ot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nGot \n\nG	14
24543	125	264	2013-08-04 20:39:38.764075	2013-08-04 20:39:38.764075	\n\nunexpected yay for you\nlogin failed\n	256
24544	117	264	2013-08-04 20:39:38.765776	2013-08-04 20:39:38.765776	\n\nunexpected yay for you\nlogin failed\n	256
24545	121	264	2013-08-04 20:39:38.766755	2013-08-04 20:39:38.766755	---------------Welcome---------------\n\nlogin success\nTraceback (most recent call last):\n  File "/home/scorebot/app/releases/20130803160046/scripts/trouver/availability", line 178, in <module>\n    cmdloop( s )\n  File "/home/scorebot/app/releases/20130803160046/scripts/trouver/availability", line 143, in cmdloop\n    retval = sendget( s )\n  File "/home/scorebot/app/releases/20130803160046/scripts/trouver/availability", line 50, in sendget\n    y = s.recv(1024)\nsocket.error: [Errno 104] Connection reset by peer\n	256
24546	95	264	2013-08-04 20:39:38.767648	2013-08-04 20:39:38.767648	---------------Welcome---------------\n\nlogin success\n	0
24547	105	264	2013-08-04 20:39:38.768545	2013-08-04 20:39:38.768545	---------------Welcome---------------\n\nlogin success\n	0
24548	101	264	2013-08-04 20:39:38.769676	2013-08-04 20:39:38.769676	---------------Welcome---------------\n\nlogin success\n	0
24549	111	264	2013-08-04 20:39:38.770651	2013-08-04 20:39:38.770651	---------------Welcome---------------\n\nlogin success\n	0
24550	85	264	2013-08-04 20:39:38.771601	2013-08-04 20:39:38.771601	---------------Welcome---------------\n\nlogin success\n	0
24551	119	264	2013-08-04 20:39:38.772493	2013-08-04 20:39:38.772493	---------------Welcome---------------\n\nlogin success\n	0
24552	97	264	2013-08-04 20:39:38.77337	2013-08-04 20:39:38.77337	---------------Welcome---------------\n\nlogin success\n	0
24553	99	264	2013-08-04 20:39:38.774229	2013-08-04 20:39:38.774229	---------------Welcome---------------\n\nlogin success\n	0
24554	115	264	2013-08-04 20:39:38.775112	2013-08-04 20:39:38.775112	---------------Welcome---------------\n\nlogin success\n	0
24555	109	264	2013-08-04 20:39:38.775985	2013-08-04 20:39:38.775985	---------------Welcome---------------\n\nlogin success\n	0
24556	91	264	2013-08-04 20:39:38.776841	2013-08-04 20:39:38.776841	---------------Welcome---------------\n\nlogin success\n	0
24557	89	264	2013-08-04 20:39:38.777716	2013-08-04 20:39:38.777716	---------------Welcome---------------\n\nlogin success\n	0
24558	87	264	2013-08-04 20:39:38.778593	2013-08-04 20:39:38.778593	---------------Welcome---------------\n\nlogin success\n	0
24559	93	264	2013-08-04 20:39:38.77949	2013-08-04 20:39:38.77949	---------------Welcome---------------\n\nlogin success\n	0
24560	103	264	2013-08-04 20:39:38.780351	2013-08-04 20:39:38.780351	---------------Welcome---------------\n\nlogin success\n	0
24561	113	264	2013-08-04 20:39:38.781182	2013-08-04 20:39:38.781182	---------------Welcome---------------\n\nlogin success\n	0
24562	107	264	2013-08-04 20:39:38.782046	2013-08-04 20:39:38.782046	---------------Welcome---------------\n\nlogin success\n	0
24563	126	264	2013-08-04 20:39:50.233629	2013-08-04 20:39:50.233629	\n3\nuser failed \nLogin failed\n	256
24564	98	264	2013-08-04 20:39:50.237566	2013-08-04 20:39:50.237566	RSfytg==\n1\nlogin success\n	0
24565	122	264	2013-08-04 20:39:50.240519	2013-08-04 20:39:50.240519	RSf/tg==\n1\nlogin success\n	0
24566	114	264	2013-08-04 20:39:50.24324	2013-08-04 20:39:50.24324	RQfwtg==\n3\nlogin success\n	0
24567	86	264	2013-08-04 20:39:50.246943	2013-08-04 20:39:50.246943	6Zb9tg==\n3\nlogin success\n	0
24568	110	264	2013-08-04 20:39:50.249913	2013-08-04 20:39:50.249913	A\n2\nuser failed AAAAA==\nuser: \nLogin failed\n	256
24569	100	264	2013-08-04 20:39:50.252806	2013-08-04 20:39:50.252806	Rcfvtg==\n3\nlogin success\n	0
24570	96	264	2013-08-04 20:39:50.255672	2013-08-04 20:39:50.255672	Ref5tg==\n3\nlogin success\n	0
24571	92	264	2013-08-04 20:39:50.258619	2013-08-04 20:39:50.258619	RQf2tg==\n0\nlogin success\n	0
24572	106	264	2013-08-04 20:39:50.261513	2013-08-04 20:39:50.261513	RYf0tg==\n1\nlogin success\n	0
24573	88	264	2013-08-04 20:39:50.26441	2013-08-04 20:39:50.26441	RWfytg==\n0\nlogin success\n	0
24574	102	264	2013-08-04 20:39:50.267346	2013-08-04 20:39:50.267346	rBF2TG==\n1\nlogin success\n	0
24575	118	264	2013-08-04 20:39:50.270223	2013-08-04 20:39:50.270223	\n2\nuser failed \nLogin failed\n	256
24576	112	264	2013-08-04 20:39:50.273132	2013-08-04 20:39:50.273132	RZf2tg==\n2\nlogin success\n	0
24577	120	264	2013-08-04 20:39:50.276117	2013-08-04 20:39:50.276117	RQf2tg==\n1\nlogin success\n	0
24578	116	264	2013-08-04 20:39:50.279135	2013-08-04 20:39:50.279135	6bb3tg==\n0\nlogin success\n	0
24579	90	264	2013-08-04 20:39:50.282027	2013-08-04 20:39:50.282027	6Xb7tg==\n3\nlogin success\n	0
24580	108	264	2013-08-04 20:39:50.284919	2013-08-04 20:39:50.284919	6dbxtg==\n1\nlogin success\n	0
24581	94	264	2013-08-04 20:39:50.28778	2013-08-04 20:39:50.28778	6Wb+tg==\n0\nlogin success\n	0
24582	104	264	2013-08-04 20:39:50.290668	2013-08-04 20:39:50.290668		14
24583	25	265	2013-08-04 20:43:23.475765	2013-08-04 20:43:23.475765	Could not create socket: Connection refused\n	28416
24584	55	265	2013-08-04 20:43:23.481113	2013-08-04 20:43:23.481113	checking TURN\nEverything ok\n	0
24585	31	265	2013-08-04 20:43:23.483209	2013-08-04 20:43:23.483209	checking TURN\nEverything ok\n	0
24586	10	265	2013-08-04 20:43:23.484283	2013-08-04 20:43:23.484283	checking TURN\nEverything ok\n	0
24587	40	265	2013-08-04 20:43:23.485319	2013-08-04 20:43:23.485319	checking TURN\nEverything ok\n	0
24588	13	265	2013-08-04 20:43:23.486309	2013-08-04 20:43:23.486309	checking TURN\nEverything ok\n	0
24589	7	265	2013-08-04 20:43:23.488242	2013-08-04 20:43:23.488242	checking TURN\nEverything ok\n	0
24590	4	265	2013-08-04 20:43:23.489257	2013-08-04 20:43:23.489257	checking TURN\nEverything ok\n	0
24591	34	265	2013-08-04 20:43:23.49019	2013-08-04 20:43:23.49019	checking TURN\nEverything ok\n	0
24592	22	265	2013-08-04 20:43:23.491174	2013-08-04 20:43:23.491174	checking TURN\nEverything ok\n	0
24593	16	265	2013-08-04 20:43:23.492207	2013-08-04 20:43:23.492207	checking TURN\nEverything ok\n	0
24594	19	265	2013-08-04 20:43:23.493131	2013-08-04 20:43:23.493131	checking TURN\nEverything ok\n	0
24595	58	265	2013-08-04 20:43:23.494013	2013-08-04 20:43:23.494013	checking TURN\nEverything ok\n	0
24596	1	265	2013-08-04 20:43:23.495047	2013-08-04 20:43:23.495047	checking TURN\nEverything ok\n	0
24597	46	265	2013-08-04 20:43:23.497211	2013-08-04 20:43:23.497211	checking TURN\nEverything ok\n	0
24598	37	265	2013-08-04 20:43:23.500433	2013-08-04 20:43:23.500433	checking TURN\nEverything ok\n	0
24599	28	265	2013-08-04 20:43:23.501836	2013-08-04 20:43:23.501836	checking TURN\nEverything ok\n	0
24600	52	265	2013-08-04 20:43:23.503625	2013-08-04 20:43:23.503625		14
24601	49	265	2013-08-04 20:43:23.506428	2013-08-04 20:43:23.506428		14
24602	43	265	2013-08-04 20:43:23.507451	2013-08-04 20:43:23.507451		14
24603	8	265	2013-08-04 20:43:48.016106	2013-08-04 20:43:48.016106	PASSED SLA\n	0
24604	38	265	2013-08-04 20:43:48.021097	2013-08-04 20:43:48.021097	PASSED SLA\n	0
24605	23	265	2013-08-04 20:43:48.023635	2013-08-04 20:43:48.023635	PASSED SLA\n	0
24606	11	265	2013-08-04 20:43:48.026179	2013-08-04 20:43:48.026179	PASSED SLA\n	0
24607	17	265	2013-08-04 20:43:48.02899	2013-08-04 20:43:48.02899	PASSED SLA\n	0
24608	44	265	2013-08-04 20:43:48.031797	2013-08-04 20:43:48.031797	PASSED SLA\n	0
24609	2	265	2013-08-04 20:43:48.034733	2013-08-04 20:43:48.034733	PASSED SLA\n	0
24610	20	265	2013-08-04 20:43:48.03767	2013-08-04 20:43:48.03767	PASSED SLA\n	0
24611	32	265	2013-08-04 20:43:48.040742	2013-08-04 20:43:48.040742	PASSED SLA\n	0
24612	5	265	2013-08-04 20:43:48.043716	2013-08-04 20:43:48.043716	PASSED SLA\n	0
24613	56	265	2013-08-04 20:43:48.046777	2013-08-04 20:43:48.046777	PASSED SLA\n	0
24614	26	265	2013-08-04 20:43:48.049724	2013-08-04 20:43:48.049724	PASSED SLA\n	0
24615	35	265	2013-08-04 20:43:48.0527	2013-08-04 20:43:48.0527	PASSED SLA\n	0
24616	29	265	2013-08-04 20:43:48.055663	2013-08-04 20:43:48.055663	PASSED SLA\n	0
24617	14	265	2013-08-04 20:43:48.058628	2013-08-04 20:43:48.058628	PASSED SLA\n	0
24618	41	265	2013-08-04 20:43:48.061573	2013-08-04 20:43:48.061573	PASSED SLA\n	0
24619	47	265	2013-08-04 20:43:48.064557	2013-08-04 20:43:48.064557		14
24620	50	265	2013-08-04 20:43:48.067522	2013-08-04 20:43:48.067522		14
24621	59	265	2013-08-04 20:43:48.070559	2013-08-04 20:43:48.070559		14
24622	53	265	2013-08-04 20:43:48.073583	2013-08-04 20:43:48.073583		14
24623	42	265	2013-08-04 20:44:00.542858	2013-08-04 20:44:00.542858	Going to port: 50426\nconnected to 50426\nNum glyphs: 94\n2169\nexpexted: 2169\nSuccessful sla\n	0
24624	54	265	2013-08-04 20:44:00.5483	2013-08-04 20:44:00.5483	Going to port: 22392\nconnected to 22392\nNum glyphs: 59\n1399\nexpexted: 1399\nSuccessful sla\n	0
24625	24	265	2013-08-04 20:44:00.55096	2013-08-04 20:44:00.55096	Going to port: 37627\nconnected to 37627\nNum glyphs: 86\n1993\nexpexted: 1993\nSuccessful sla\n	0
24626	45	265	2013-08-04 20:44:00.553541	2013-08-04 20:44:00.553541	Going to port: 39512\nconnected to 39512\nNum glyphs: 37\n915\nexpexted: 915\nSuccessful sla\n	0
24627	21	265	2013-08-04 20:44:00.556673	2013-08-04 20:44:00.556673	Going to port: 7684\nconnected to 7684\nNum glyphs: 41\n1003\nexpexted: 1003\nSuccessful sla\n	0
24628	6	265	2013-08-04 20:44:00.559811	2013-08-04 20:44:00.559811	Going to port: 50716\nconnected to 50716\nNum glyphs: 55\n1311\nexpexted: 1311\nSuccessful sla\n	0
24629	33	265	2013-08-04 20:44:00.562914	2013-08-04 20:44:00.562914	Going to port: 53337\nconnected to 53337\nNum glyphs: 56\n1333\nexpexted: 1333\nNum glyphs: 30\n761\nexpexted: 761\nSuccessful sla\n	0
24630	48	265	2013-08-04 20:44:00.565964	2013-08-04 20:44:00.565964	Going to port: 31033\nconnected to 31033\nNum glyphs: 29\n739\nexpexted: 739\nNum glyphs: 74\n1729\nexpexted: 1729\nSuccessful sla\n	0
24631	12	265	2013-08-04 20:44:00.56889	2013-08-04 20:44:00.56889	Going to port: 57076\nconnected to 57076\nNum glyphs: 33\n827\nexpexted: 827\nNum glyphs: 92\n2125\nexpexted: 2125\nSuccessful sla\n	0
24632	57	265	2013-08-04 20:44:00.571877	2013-08-04 20:44:00.571877	Going to port: 34694\nconnected to 34694\nNum glyphs: 92\n2125\nexpexted: 2125\nNum glyphs: 47\n1135\nexpexted: 1135\nSuccessful sla\n	0
24633	27	265	2013-08-04 20:44:00.57495	2013-08-04 20:44:00.57495	Going to port: 9847\nconnected to 9847\nNum glyphs: 32\n805\nexpexted: 805\nNum glyphs: 82\n1905\nexpexted: 1905\nSuccessful sla\n	0
24634	60	265	2013-08-04 20:44:00.577892	2013-08-04 20:44:00.577892	Going to port: 37181\nconnected to 37181\nNum glyphs: 30\n761\nexpexted: 761\nNum glyphs: 27\n695\nexpexted: 695\nNum glyphs: 81\n1883\nexpexted: 1883\nNum glyphs: 60\n1421\nexpexted: 1421\n	256
24635	9	265	2013-08-04 20:44:00.581057	2013-08-04 20:44:00.581057	Going to port: 56419\nconnected to 56419\nNum glyphs: 20\n541\nexpexted: 541\nNum glyphs: 38\n937\nexpexted: 937\nNum glyphs: 35\n871\nexpexted: 871\nSuccessful sla\n	0
24636	18	265	2013-08-04 20:44:00.58424	2013-08-04 20:44:00.58424	Going to port: 41863\nconnected to 41863\nNum glyphs: 36\n893\nexpexted: 893\nNum glyphs: 71\n1663\nexpexted: 1663\nNum glyphs: 52\n1245\nexpexted: 1245\nSuccessful sla\n	0
24669	105	265	2013-08-04 20:44:16.780649	2013-08-04 20:44:16.780649	---------------Welcome---------------\n\nlogin success\n	0
24637	30	265	2013-08-04 20:44:00.58731	2013-08-04 20:44:00.58731	Going to port: 37251\nconnected to 37251\nNum glyphs: 32\n805\nexpexted: 805\nNum glyphs: 70\n1641\nexpexted: 1641\nNum glyphs: 17\n475\nexpexted: 475\nSuccessful sla\n	0
24638	3	265	2013-08-04 20:44:00.590431	2013-08-04 20:44:00.590431	Going to port: 61631\nconnected to 61631\nNum glyphs: 35\n871\nexpexted: 871\nNum glyphs: 32\n805\nexpexted: 805\nNum glyphs: 67\n1575\nexpexted: 1575\nNum glyphs: 57\n1355\nexpexted: 1355\nSuccessful sla\n	0
24639	39	265	2013-08-04 20:44:00.593588	2013-08-04 20:44:00.593588	Going to port: 6607\nconnected to 6607\nNum glyphs: 27\n695\nexpexted: 695\nNum glyphs: 68\n1597\nexpexted: 1597\nNum glyphs: 21\n563\nexpexted: 563\nNum glyphs: 60\n1421\nexpexted: 1421\nSuccessful sla\n	0
24640	36	265	2013-08-04 20:44:00.596749	2013-08-04 20:44:00.596749	Going to port: 56706\nconnected to 56706\nNum glyphs: 28\n717\nexpexted: 717\nNum glyphs: 72\n1685\nexpexted: 1685\nSuccessful sla\n	0
24641	15	265	2013-08-04 20:44:00.599769	2013-08-04 20:44:00.599769		14
24642	51	265	2013-08-04 20:44:00.602825	2013-08-04 20:44:00.602825		14
24643	81	265	2013-08-04 20:44:08.871566	2013-08-04 20:44:08.871566	<function sla_sha256 at 0x27c3c80>\nNow waiting for <<RUNNING>>\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
24644	69	265	2013-08-04 20:44:08.877256	2013-08-04 20:44:08.877256	<function sla_rc4 at 0x1d5bcf8>\nNow waiting for <<RUNNING>>\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
24645	66	265	2013-08-04 20:44:08.880348	2013-08-04 20:44:08.880348	text:  1477 bytes\ncode:  1661 bytes (112%)\n<function sla_lzss at 0x2a2ed70>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 1661 bytes.\nData Length: 1477\n\nSuccess!\n	0
24646	72	265	2013-08-04 20:44:08.883381	2013-08-04 20:44:08.883381	text:  1814 bytes\ncode:  2037 bytes (112%)\n<function sla_lzss at 0x2966d70>\nNow waiting for <<RUNNING>>\n\nGot /home/reeses/reeses: 3: cd: \n\nFailed did not receive <<RUNNING>>\n\n	256
24647	79	265	2013-08-04 20:44:08.886425	2013-08-04 20:44:08.886425	<function sla_echo at 0x20bfc08>\nNow waiting for <<RUNNING>>\n\nGot ERROR: Failed read data\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
24648	83	265	2013-08-04 20:44:08.889647	2013-08-04 20:44:08.889647	<function sla_rc4 at 0x1870cf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending mChwlYSJMScWjOWgvjAVmBcoYiTJUEKM17JFG\n\nTraceback (most recent call last):\n  File "/home/scorebot/app/releases/20130803160046/scripts/reeses/availability", line 389, in <module>\n    func( args.ip_addr, args.remote_port )\n  File "/home/scorebot/app/releases/20130803160046/scripts/reeses/sla_noexploit.py", line 302, in sla_rc4\n    print "%x\\n" % recv_string\t\t\nTypeError: %x format: a number is required, not str\n	256
24649	67	265	2013-08-04 20:44:08.892847	2013-08-04 20:44:08.892847	<function sla_echo at 0x28dfc08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending EAS0SYRZ6RNWCH2\n\nGot EAS0SYRZ6RNWCH2\n\nSuccess!\n\n	0
24650	70	265	2013-08-04 20:44:08.895846	2013-08-04 20:44:08.895846	<function sla_echo at 0x235ec08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending FW3Y2UCE3F3B0F9\n\nGot FW3Y2UCE3F3B0F9\n\nSuccess!\n\n	0
24651	80	265	2013-08-04 20:44:08.898931	2013-08-04 20:44:08.898931	<function sla_rc4 at 0x24e4cf8>\nNow waiting for <<RUNNING>>\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
24652	64	265	2013-08-04 20:44:08.901834	2013-08-04 20:44:08.901834	<function sla_echo at 0x281dc08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending MAQJOFX292L92Q\n\nGot MAQJOFX292L92Q\n\nSuccess!\n\n	0
24653	74	265	2013-08-04 20:44:08.903303	2013-08-04 20:44:08.903303	<function sla_rc4 at 0x170acf8>\nNow waiting for <<RUNNING>>\n\nSending sofQ2eGX7xkU2X9BsA3hd8mYfybey8yuKiiHDuDq0ZfvUzvCkEcUMq6AxllTrXN232wsa33WStFV4l4AXVlfMUA9ZzJvPSFINGW4Qx6Gyi3DLiuZ48nj\n\nSending K7QFcYAqoflZE01zqnI1fgPutelXbBoo2Xq0uTtlbXp62De1Y13snYw2vsurDCsKtbDuPturb7AW1ysTx5hn0kZkHxK8d9Oac0aHzQvrNC\n\nSending Z4eBjG6qFsd5vRIlIC5Fa\n\nSuccess\n\n	0
24654	71	265	2013-08-04 20:44:08.904325	2013-08-04 20:44:08.904325	<function sla_rc4 at 0x12b0cf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending Z3It29ecH79NAtRMFqxPbe8IVJg\n\nSending oGrl879ImPwvSuDaIfGM4t5IKg8oLS1CoqROcztVC5tPezRmENxUwStzPM\n\nSending eahEYazxkOrsKeMBq9AGfc6HgtKRG9tSfpKxgThegtNyDY73XLCfyeHP\n\nSending 3dpQUFaGjzceJ7XgBGcyvurIbENwz8ax5i7VcKphgL1aYVnIbHENJfQBdUziWpbNzCulnNdrAJl8i8HMUIj04A6OzzuSSOnpj\n\nSuccess\n\n	0
24655	65	265	2013-08-04 20:44:08.905295	2013-08-04 20:44:08.905295	text:  1241 bytes\ncode:  1395 bytes (112%)\n<function sla_lzss at 0x2229d70>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 1395 bytes.\nData Length: 1241\n\nSuccess!\n	0
24656	68	265	2013-08-04 20:44:08.906215	2013-08-04 20:44:08.906215	<function sla_echo at 0x1df1c08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 3TTWVG8\n\nGot 3TTWVG8\n\nSuccess!\n\n	0
24657	78	265	2013-08-04 20:44:08.907225	2013-08-04 20:44:08.907225	<function sla_sha256 at 0x11bbc80>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending VGWvNzqluWWllwH38\n\nSending n7JttrxRxcSN58R\n\nSending Egg5JKwrCnUxt61mB\n\nSending Pbhv5eSh24kE1SfE\n\nSending rtSXAgb3Up3ERchsE4KNdMas\n\nSending CxCWCWbFrHsEWFN5SyG\n\nSuccess!\n\n	0
24658	73	265	2013-08-04 20:44:08.908289	2013-08-04 20:44:08.908289	<function sla_sha256 at 0x26ccc80>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending VmyN7u\n\nSending 9Are1KzUtaBgLr\n\nSending TVQg5ifzCdCb4enVItn\n\nSending MtENO4POKO28bcMHwOHYi\n\nSuccess!\n\n	0
24659	77	265	2013-08-04 20:44:08.909396	2013-08-04 20:44:08.909396	<function sla_rc4 at 0x10f6cf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending sfCZEtBRZHWKOCk2ynWpRh0M4YRtKvkleAzpqEBgiaCcecNDoItuW2ztZ7wHjs\n\nSending izmXVh3sPZdoe1MmrZKx0Etv8JTuXx7EhAXnjbvvLTnaP3pEW8MANLOzzVgKyNmKtP7ciCxjFy4kUJ62khdD20\n\nSending sPEEQ2LpZ\n\nSending QkdsPfnpr4RPRVoDMMNINhTlWw3HrVc8FU4qinuuisCYHHnBJjEIjMGJbMPeW3dQQLpdW4SSegWgY\n\nSending 7qnTrCKdJ6n5DzNoqg66hz6ydevvKTY4Viu2w3\n\nSending jxhvUXKh837gGzGAAZog4tMli1LT7zI6kCv5HWHsZ\n\nSending kBt03Xkm4JtDjKSAAHbkmXfT8ABfTda78WyAAwfYSKhw91h\n\nSuccess\n\n	0
24660	82	265	2013-08-04 20:44:08.910315	2013-08-04 20:44:08.910315	<function sla_rc4 at 0x29afcf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending DgKnZRGiVOnuGiIpnO7CCmrRg2V6gEoVJ3Fx8ZrmI5bIc6ASjUMirjqRxzVZ4VqYDO1D58xxqFRG7tY3Bf\n\nSending eeYcqWcDQosVn6bFfZzf8RElHOmFJuP9rcYgz1SQPokfGgWWtb4JBLlRPUxr8EKpSHTvTGrjw1w04q0FhM5Sn1zSM8Bn435AxKK5txrqm7SLolj6cpO\n\nSending j2eRe5FzHVKLEPgz4qVsKuobTddrwgi0l95plQsQxSkbdW1nFyvtXq1EH\n\nSending r3HzxgfvIcGUAEIBSiZYetCtRaGOk0CpIQnMUgKA25U2e1rndj9u1f3aAC1GoE7OYs5t9VrHWq8gzLFL3Q4rVEEVsfHJH66oe0rPLV5WWWRqt\n\nSending MLT144Mra3TkFiMqIGnQp4sPkTXPL\n\nSending 1M9h8WivIa06gjR0Pr96BXC9rmH42uR\n\nSending L0X9mwPXQwsW\n\nSuccess\n\n	0
24661	76	265	2013-08-04 20:44:08.911777	2013-08-04 20:44:08.911777	<function sla_rc4 at 0x285ccf8>\nNow waiting for <<RUNNING>>\n\nGot <\n\nSending 8cke8EpxX6wEuEwCeXaMYDs6ekRwGZldCbtYuAYYx9lmApvcUfUGKUgdDh9ZnBTfEus1KVshBWumxbGGiXrUTkX\n\nSending RSZ5YNEmOF2Vfb0yntmeXx60eT5kUYROOb40Z3MgLSFFTyMBBxWInOGhxulICVZTY2qKx2zXca0jSlX7qbUXsr1\n\nSending 4JEZsoZ9LPAlEOvZLMpEOpZjXWtiau\n\nSending A3Lfs4kT0N8zi3zuXljxR3\n\nSending T95Yg2uuslTPzbjbBuuEPDQeSMzdF9dWZ4R9n3AQXMksEQ7EgUuD0i\n\nSending zr9H5RLmosdlSYx4uk\n\nSuccess\n\n	0
24662	75	265	2013-08-04 20:44:08.913542	2013-08-04 20:44:08.913542	text:  1612 bytes\ncode:  1812 bytes (112%)\n<function sla_lzss at 0x1448d70>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 1812 bytes.\nData Length: 1612\n\nSuccess!\n	0
24663	125	265	2013-08-04 20:44:16.75168	2013-08-04 20:44:16.75168	\n\nunexpected yay for you\nlogin failed\n	256
24664	117	265	2013-08-04 20:44:16.759539	2013-08-04 20:44:16.759539	\n\nunexpected yay for you\nlogin failed\n	256
24665	97	265	2013-08-04 20:44:16.76359	2013-08-04 20:44:16.76359	---------------Welcome---------------\n\nlogin success\n	0
24666	85	265	2013-08-04 20:44:16.767834	2013-08-04 20:44:16.767834	---------------Welcome---------------\n\nlogin success\n	0
24667	89	265	2013-08-04 20:44:16.771549	2013-08-04 20:44:16.771549	---------------Welcome---------------\n\nlogin success\n	0
24668	95	265	2013-08-04 20:44:16.77611	2013-08-04 20:44:16.77611	---------------Welcome---------------\n\nlogin success\n	0
24670	91	265	2013-08-04 20:44:16.784513	2013-08-04 20:44:16.784513	---------------Welcome---------------\n\nlogin success\n	0
24671	107	265	2013-08-04 20:44:16.788691	2013-08-04 20:44:16.788691	---------------Welcome---------------\n\nlogin success\n	0
24672	111	265	2013-08-04 20:44:16.792638	2013-08-04 20:44:16.792638	---------------Welcome---------------\n\nlogin success\n	0
24673	121	265	2013-08-04 20:44:16.796126	2013-08-04 20:44:16.796126	---------------Welcome---------------\n\nlogin success\n	0
24674	103	265	2013-08-04 20:44:16.800337	2013-08-04 20:44:16.800337	---------------Welcome---------------\n\nlogin success\n	0
24675	101	265	2013-08-04 20:44:16.803463	2013-08-04 20:44:16.803463	---------------Welcome---------------\n\nlogin success\n	0
24676	113	265	2013-08-04 20:44:16.806809	2013-08-04 20:44:16.806809	---------------Welcome---------------\n\nlogin success\n\nunexpected response sendget\nsendget failed\n	256
24677	119	265	2013-08-04 20:44:16.809788	2013-08-04 20:44:16.809788	---------------Welcome---------------\n\nlogin success\n	0
24678	115	265	2013-08-04 20:44:16.812981	2013-08-04 20:44:16.812981	---------------Welcome---------------\n\nlogin success\n	0
24679	109	265	2013-08-04 20:44:16.815969	2013-08-04 20:44:16.815969	---------------Welcome---------------\n\nlogin success\n	0
24680	87	265	2013-08-04 20:44:16.818863	2013-08-04 20:44:16.818863	---------------Welcome---------------\n\nlogin success\n	0
24681	99	265	2013-08-04 20:44:16.822064	2013-08-04 20:44:16.822064	---------------Welcome---------------\n\nlogin success\n	0
24682	93	265	2013-08-04 20:44:16.825023	2013-08-04 20:44:16.825023	---------------Welcome---------------\n\nlogin success\n	0
24683	126	265	2013-08-04 20:44:28.096566	2013-08-04 20:44:28.096566	\n2\nuser failed \nLogin failed\n	256
24684	118	265	2013-08-04 20:44:28.102809	2013-08-04 20:44:28.102809	\n1\nuser failed \nLogin failed\n	256
24685	110	265	2013-08-04 20:44:28.105785	2013-08-04 20:44:28.105785	A\n3\nuser failed AAAAA==\nu\nLogin failed\n	256
24686	112	265	2013-08-04 20:44:28.109008	2013-08-04 20:44:28.109008	RQf7tg==\n2\nlogin success\n	0
24687	100	265	2013-08-04 20:44:28.112015	2013-08-04 20:44:28.112015	Refytg==\n0\nlogin success\n	0
24688	102	265	2013-08-04 20:44:28.115364	2013-08-04 20:44:28.115364	rtF2TG==\n2\nlogin success\n	0
24689	122	265	2013-08-04 20:44:28.118543	2013-08-04 20:44:28.118543	RYf6tg==\n1\nlogin success\n	0
24690	120	265	2013-08-04 20:44:28.12191	2013-08-04 20:44:28.12191	RYf2tg==\n3\nlogin success\n	0
24691	96	265	2013-08-04 20:44:28.125562	2013-08-04 20:44:28.125562	Raf+tg==\n3\nlogin success\n	0
24692	86	265	2013-08-04 20:44:28.12925	2013-08-04 20:44:28.12925	6Qb2tg==\n2\nlogin success\n	0
24693	98	265	2013-08-04 20:44:28.132186	2013-08-04 20:44:28.132186	Rbf6tg==\n2\nlogin success\n	0
24694	114	265	2013-08-04 20:44:28.13616	2013-08-04 20:44:28.13616	RUf7tg==\n2\nlogin success\n	0
24695	104	265	2013-08-04 20:44:28.139175	2013-08-04 20:44:28.139175	6Zb1tg==\n3\nlogin success\n	0
24696	106	265	2013-08-04 20:44:28.14261	2013-08-04 20:44:28.14261	RQf3tg==\n0\nlogin success\n	0
24697	90	265	2013-08-04 20:44:28.146011	2013-08-04 20:44:28.146011	6abvtg==\n0\nlogin success\n	0
24698	88	265	2013-08-04 20:44:28.149283	2013-08-04 20:44:28.149283	Rdf5tg==\n1\nlogin success\n	0
24699	116	265	2013-08-04 20:44:28.153223	2013-08-04 20:44:28.153223	6cb5tg==\n2\nlogin success\n	0
24700	92	265	2013-08-04 20:44:28.156667	2013-08-04 20:44:28.156667	RZf5tg==\n1\nlogin success\n	0
24701	108	265	2013-08-04 20:44:28.160767	2013-08-04 20:44:28.160767	6ab8tg==\n2\nlogin success\n	0
24702	94	265	2013-08-04 20:44:28.164645	2013-08-04 20:44:28.164645		14
24703	34	266	2013-08-04 20:48:41.438527	2013-08-04 20:48:41.438527	checking TURN\nno OK from RCPT TO: \n	65280
24704	40	266	2013-08-04 20:48:41.440424	2013-08-04 20:48:41.440424	checking TURN\nEverything ok\n	0
24705	19	266	2013-08-04 20:48:41.441394	2013-08-04 20:48:41.441394	checking TURN\nEverything ok\n	0
24706	22	266	2013-08-04 20:48:41.44236	2013-08-04 20:48:41.44236	checking TURN\nEverything ok\n	0
24707	43	266	2013-08-04 20:48:41.443346	2013-08-04 20:48:41.443346	checking TURN\nEverything ok\n	0
24708	4	266	2013-08-04 20:48:41.444487	2013-08-04 20:48:41.444487	checking TURN\nEverything ok\n	0
24709	55	266	2013-08-04 20:48:41.446673	2013-08-04 20:48:41.446673	checking TURN\nEverything ok\n	0
24710	10	266	2013-08-04 20:48:41.447903	2013-08-04 20:48:41.447903	checking TURN\nEverything ok\n	0
24711	46	266	2013-08-04 20:48:41.449296	2013-08-04 20:48:41.449296	checking TURN\nEverything ok\n	0
24712	25	266	2013-08-04 20:48:41.450621	2013-08-04 20:48:41.450621	checking TURN\nEverything ok\n	0
24713	16	266	2013-08-04 20:48:41.451919	2013-08-04 20:48:41.451919	checking TURN\nEverything ok\n	0
24714	1	266	2013-08-04 20:48:41.452994	2013-08-04 20:48:41.452994	checking TURN\nEverything ok\n	0
24715	58	266	2013-08-04 20:48:41.45406	2013-08-04 20:48:41.45406	checking TURN\nEverything ok\n	0
24716	28	266	2013-08-04 20:48:41.455128	2013-08-04 20:48:41.455128	checking TURN\nEverything ok\n	0
24717	7	266	2013-08-04 20:48:41.456339	2013-08-04 20:48:41.456339	checking TURN\nEverything ok\n	0
24718	37	266	2013-08-04 20:48:41.457493	2013-08-04 20:48:41.457493	checking TURN\nEverything ok\n	0
24719	13	266	2013-08-04 20:48:41.458777	2013-08-04 20:48:41.458777	checking TURN\nEverything ok\n	0
24720	31	266	2013-08-04 20:48:41.460179	2013-08-04 20:48:41.460179	checking TURN\nEverything ok\n	0
24721	52	266	2013-08-04 20:48:41.461531	2013-08-04 20:48:41.461531		14
24722	49	266	2013-08-04 20:48:41.463016	2013-08-04 20:48:41.463016		14
24723	17	266	2013-08-04 20:49:05.795658	2013-08-04 20:49:05.795658	PASSED SLA\n	0
24724	38	266	2013-08-04 20:49:05.801429	2013-08-04 20:49:05.801429	PASSED SLA\n	0
24725	23	266	2013-08-04 20:49:05.804522	2013-08-04 20:49:05.804522	PASSED SLA\n	0
24726	2	266	2013-08-04 20:49:05.807481	2013-08-04 20:49:05.807481	PASSED SLA\n	0
24727	11	266	2013-08-04 20:49:05.810477	2013-08-04 20:49:05.810477	PASSED SLA\n	0
24728	44	266	2013-08-04 20:49:05.813435	2013-08-04 20:49:05.813435	PASSED SLA\n	0
24729	32	266	2013-08-04 20:49:05.816411	2013-08-04 20:49:05.816411	PASSED SLA\n	0
24730	20	266	2013-08-04 20:49:05.819284	2013-08-04 20:49:05.819284	PASSED SLA\n	0
24731	26	266	2013-08-04 20:49:05.822257	2013-08-04 20:49:05.822257	PASSED SLA\n	0
24732	35	266	2013-08-04 20:49:05.825221	2013-08-04 20:49:05.825221	PASSED SLA\n	0
24733	5	266	2013-08-04 20:49:05.82822	2013-08-04 20:49:05.82822	PASSED SLA\n	0
24734	41	266	2013-08-04 20:49:05.831079	2013-08-04 20:49:05.831079	PASSED SLA\n	0
24735	29	266	2013-08-04 20:49:05.833874	2013-08-04 20:49:05.833874	PASSED SLA\n	0
24736	14	266	2013-08-04 20:49:05.836872	2013-08-04 20:49:05.836872	PASSED SLA\n	0
24737	8	266	2013-08-04 20:49:05.839891	2013-08-04 20:49:05.839891	PASSED SLA\n	0
24738	56	266	2013-08-04 20:49:05.842894	2013-08-04 20:49:05.842894	PASSED SLA\n	0
24739	47	266	2013-08-04 20:49:05.846987	2013-08-04 20:49:05.846987		14
24740	59	266	2013-08-04 20:49:05.851104	2013-08-04 20:49:05.851104		14
24741	50	266	2013-08-04 20:49:05.854083	2013-08-04 20:49:05.854083		14
24742	53	266	2013-08-04 20:49:05.857168	2013-08-04 20:49:05.857168		14
24743	18	266	2013-08-04 20:49:18.280549	2013-08-04 20:49:18.280549	Going to port: 20626\nconnected to 20626\nNum glyphs: 28\n717\nexpexted: 717\nSuccessful sla\n	0
24744	60	266	2013-08-04 20:49:18.286947	2013-08-04 20:49:18.286947	Going to port: 44732\nconnected to 44732\nNum glyphs: 49\n1179\nexpexted: 1179\nSuccessful sla\n	0
24745	54	266	2013-08-04 20:49:18.290021	2013-08-04 20:49:18.290021	Going to port: 35801\nconnected to 35801\nNum glyphs: 88\n2037\nexpexted: 2037\nSuccessful sla\n	0
24746	30	266	2013-08-04 20:49:18.293286	2013-08-04 20:49:18.293286	Going to port: 31665\nconnected to 31665\nNum glyphs: 88\n2037\nexpexted: 2037\nSuccessful sla\n	0
24747	27	266	2013-08-04 20:49:18.296315	2013-08-04 20:49:18.296315	Going to port: 11037\nconnected to 11037\nNum glyphs: 59\n1399\nexpexted: 1399\nSuccessful sla\n	0
24748	39	266	2013-08-04 20:49:18.299241	2013-08-04 20:49:18.299241	Going to port: 3342\nconnected to 3342\nNum glyphs: 81\n1883\nexpexted: 1883\nSuccessful sla\n	0
24749	48	266	2013-08-04 20:49:18.302169	2013-08-04 20:49:18.302169	Going to port: 33559\nconnected to 33559\nNum glyphs: 43\n1047\nexpexted: 1047\nSuccessful sla\n	0
24963	41	268	2013-08-04 20:59:36.896683	2013-08-04 20:59:36.896683	PASSED SLA\n	0
24964	17	268	2013-08-04 20:59:36.899655	2013-08-04 20:59:36.899655	PASSED SLA\n	0
24750	57	266	2013-08-04 20:49:18.305162	2013-08-04 20:49:18.305162	Going to port: 36383\nconnected to 36383\nNum glyphs: 72\n1685\nexpexted: 1685\nNum glyphs: 19\n519\nexpexted: 519\nSuccessful sla\n	0
24751	3	266	2013-08-04 20:49:18.308255	2013-08-04 20:49:18.308255	Going to port: 8999\nconnected to 8999\nNum glyphs: 24\n629\nexpexted: 629\nNum glyphs: 67\n1575\nexpexted: 1575\nSuccessful sla\n	0
24752	21	266	2013-08-04 20:49:18.311196	2013-08-04 20:49:18.311196	Going to port: 60357\nconnected to 60357\nNum glyphs: 19\n519\nexpexted: 519\nNum glyphs: 25\n651\nexpexted: 651\nSuccessful sla\n	0
24753	45	266	2013-08-04 20:49:18.313985	2013-08-04 20:49:18.313985	Going to port: 13157\nconnected to 13157\nNum glyphs: 46\n1113\nexpexted: 1113\nNum glyphs: 93\n2147\nexpexted: 2147\nSuccessful sla\n	0
24754	42	266	2013-08-04 20:49:18.316991	2013-08-04 20:49:18.316991	Going to port: 42535\nconnected to 42535\nNum glyphs: 73\n1707\nexpexted: 1707\nNum glyphs: 57\n1355\nexpexted: 1355\nNum glyphs: 63\n1487\nexpexted: 1487\nSuccessful sla\n	0
24755	36	266	2013-08-04 20:49:18.32	2013-08-04 20:49:18.32	Going to port: 58569\nconnected to 58569\nNum glyphs: 27\n695\nexpexted: 695\nNum glyphs: 71\n1663\nexpexted: 1663\nSuccessful sla\n	0
24756	24	266	2013-08-04 20:49:18.322825	2013-08-04 20:49:18.322825	Going to port: 9265\nconnected to 9265\nNum glyphs: 20\n541\nexpexted: 541\nNum glyphs: 63\n1487\nexpexted: 1487\nNum glyphs: 76\n1773\nexpexted: 1773\nNum glyphs: 48\n1157\nexpexted: 1157\nSuccessful sla\n	0
24757	33	266	2013-08-04 20:49:18.325624	2013-08-04 20:49:18.325624	Going to port: 28734\nconnected to 28734\nNum glyphs: 67\n1575\nexpexted: 1575\nNum glyphs: 66\n1553\nexpexted: 1553\nNum glyphs: 42\n1025\nexpexted: 1025\nNum glyphs: 78\n1817\nexpexted: 1817\nSuccessful sla\n	0
24758	12	266	2013-08-04 20:49:18.328503	2013-08-04 20:49:18.328503	Going to port: 55908\nconnected to 55908\nNum glyphs: 79\n1839\nexpexted: 1839\nNum glyphs: 54\n1289\nexpexted: 1289\nNum glyphs: 30\n761\nexpexted: 761\nNum glyphs: 84\n1949\nexpexted: 1949\nSuccessful sla\n	0
24759	6	266	2013-08-04 20:49:18.331188	2013-08-04 20:49:18.331188	Going to port: 23846\nconnected to 23846\nNum glyphs: 37\n915\nexpexted: 915\nNum glyphs: 54\n1289\nexpexted: 1289\nNum glyphs: 90\n2081\nexpexted: 2081\nNum glyphs: 44\n1069\nexpexted: 1069\nSuccessful sla\n	0
24760	9	266	2013-08-04 20:49:18.333958	2013-08-04 20:49:18.333958	Going to port: 40588\nconnected to 40588\nNum glyphs: 32\n805\nexpexted: 805\nNum glyphs: 69\n1619\nexpexted: 1619\nNum glyphs: 93\n2147\nexpexted: 2147\nSuccessful sla\n	0
24761	15	266	2013-08-04 20:49:18.336676	2013-08-04 20:49:18.336676		14
24762	51	266	2013-08-04 20:49:18.339633	2013-08-04 20:49:18.339633		14
24763	81	266	2013-08-04 20:49:28.744065	2013-08-04 20:49:28.744065	<function sla_sha256 at 0x1eccc80>\nNow waiting for <<RUNNING>>\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
24764	69	266	2013-08-04 20:49:28.749676	2013-08-04 20:49:28.749676	<function sla_echo at 0x159fc08>\nNow waiting for <<RUNNING>>\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
24765	79	266	2013-08-04 20:49:28.752767	2013-08-04 20:49:28.752767	<function sla_rc4 at 0xf66cf8>\nNow waiting for <<RUNNING>>\n\nGot ERROR: Failed read data\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
24766	80	266	2013-08-04 20:49:28.755787	2013-08-04 20:49:28.755787	<function sla_sha256 at 0x2208c80>\nNow waiting for <<RUNNING>>\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
24767	72	266	2013-08-04 20:49:28.758667	2013-08-04 20:49:28.758667	<function sla_sha256 at 0x1b1ec80>\nNow waiting for <<RUNNING>>\n\nGot /home/reeses/reeses: 3: cd: \n\nFailed did not receive <<RUNNING>>\n\n	256
24768	71	266	2013-08-04 20:49:28.761731	2013-08-04 20:49:28.761731	<function sla_echo at 0x241ec08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending PVAADJXEIU\n\nGot PVAADJXEIU\n\nSuccess!\n\n	0
24769	83	266	2013-08-04 20:49:28.764803	2013-08-04 20:49:28.764803	<function sla_echo at 0x202cc08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 9RI8WBL993N44TXDBT7I\n\nGot 9RI8WBL993N44TXDBT7I\n\nSuccess!\n\n	0
24770	82	266	2013-08-04 20:49:28.767798	2013-08-04 20:49:28.767798	<function sla_echo at 0x24a2c08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending FTBVN7T78490SGE\n\nGot FTBVN7T78490SGE\n\nSuccess!\n\n	0
24771	67	266	2013-08-04 20:49:28.770797	2013-08-04 20:49:28.770797	text:  1239 bytes\ncode:  1393 bytes (112%)\n<function sla_lzss at 0x18d2d70>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 1393 bytes.\nData Length: 1239\n\nSuccess!\n	0
24772	65	266	2013-08-04 20:49:28.773754	2013-08-04 20:49:28.773754	<function sla_rc4 at 0x1ffdcf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending senGtpmaHMUu2rt40N\n\nSending ZL62RMOf0vIlVQ\n\nSending dxko3D9TYjvIn4Ut29INkt5QigFRVYoFst4gBqydXrRak599iPU0mXW1qQ16ApQZbNDpnZdkd1brqRFjSP1hnGP0nLgv2vNdcpduMqcNcQK3qH\n\nSuccess\n\n	0
24773	77	266	2013-08-04 20:49:28.776803	2013-08-04 20:49:28.776803	<function sla_rc4 at 0x1923cf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending FJmc338OZoztIs15wq52rsIncWQZYW82Fbl1SAlhyqs0cEAEEi7e\n\nSending 78AjzOZcJ3InCoBjessY4kW98vVPDsl65oOkS55LVuvAC8Wx2Ue26C4kO8IP9aWzF8IU08Vhhl4Lap9mk15GQc3QZ8\n\nSending IeCOCNKSGxFnpuZNB4P3AoJGtMh23FBaJ3YzczisFCq1oBH01VyBU1rRawAESm6neNQ3N6cqD1qecqlsRpQ4PlPEy7yLP9bO49cqVUwisi1VSPWM\n\nSending 1tr6qAUV2rtYkYmJJKJ5aIzrVHzv9ze4oFKs3Bg4WwoSxAj5vUViqunzdyWQHxMn2w37kV9VCBfXp94Z\n\nSuccess\n\n	0
24774	73	266	2013-08-04 20:49:28.779865	2013-08-04 20:49:28.779865	<function sla_rc4 at 0x23d8cf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending LiItFgF\n\nSending l4FmF7YeJ16gO7Clzc0Xx7r8LIcGyGMceSCpF8YkLX1nIsm\n\nSending wYKAqvyI0qOWkXW5miKYI1odBvv297chqwxGKnH6F1Pk2BbRd727xQxCSrXUjIqKcMKr4XuBC8d9QcIsgRWWkOEFTSDFY2GhxprfOrBojeUhIC3yT2\n\nSending iDevs8hxlgJsolSqIVfK\n\nSuccess\n\n	0
24775	74	266	2013-08-04 20:49:28.78287	2013-08-04 20:49:28.78287	<function sla_rc4 at 0x1a96cf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 2WQNUbSN46euiWQmzd0t3Lp0wkYQcOcB3bNHmr6xBkaGqOysoomuu5WTKYPvOSpfazeWd4ksc7UqsqOcfUM4HTkX\n\nSending DiiFwjJK6qUMGGxGFtXhzLiJq5FyLSVGNA\n\nSending SKVTu\n\nSending XUKfsPAvX7vOVeClAl658jn88Y7vhknMLWbM3CjMZgX8d2rSQGQnWdlv55\n\nSending PS1m3a\n\nSuccess\n\n	0
24776	64	266	2013-08-04 20:49:28.785788	2013-08-04 20:49:28.785788	<function sla_rc4 at 0xd18cf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending SXNxfC49BF5DU8g8X1ZfgC3luWDuOGqmFZox6\n\nSending hoO39yPFbSDQrXX8qbQtwoQ1sx36HN7dZCs\n\nSending vpTYfldZaGQO68BQtnN5JXlI6vNWYpCYpA99p\n\nSending WRqeGHtg1QkQyEfBtiS65BFkEx1NG8Pf6CxOu1y5HZRafq\n\nSuccess\n\n	0
24777	66	266	2013-08-04 20:49:28.78865	2013-08-04 20:49:28.78865	<function sla_rc4 at 0x2ae9cf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending xafcu5WkXvRUTIznN6AYrS3oGo\n\nSending injJvWcSTOyQkfzUjDsj6\n\nSending k7lYs0bkuQq2ZJk3mgQO7FlLtFNgXpWy8\n\nSending ztJqvnjiX0TkSs3xXH\n\nSending OXwaV88CF7fv98Zdhp7aFnVywF0vhB7xM5570Cw8NGmslWE5TifHGsuy3TTg5keaGQMzDst3GC5aXuUHvZFj1STLEa73EqjYOBa8urDiAjkswFLfOi3nvCC\n\nSuccess\n\n	0
24778	78	266	2013-08-04 20:49:28.791594	2013-08-04 20:49:28.791594	<function sla_rc4 at 0x1f8ccf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending eKr2v9BCcJkG97shzOox\n\nSending ft4A7rWwpuAtsSuNZW5bpRaKVr2ld5brF2cjTQF6r\n\nSending i6U2LubgRXArpeYwLRPpKhfsSZfkujr4bMXc8Kbm9RDW38zqFCHKUnM7r\n\nSending 2NF5AIDOIv0BK1G1nT7nodc15gk0dIXSzA8PntlIsgTqmIWpBDan1z4LkmUukIq072Bzx9wbVM6uxjkSaPPFE0mwu\n\nSending EzA0EWghvWOj6HSsOORHw0fB3HLUJgP9Us0yEsJJhHwUJxM2auCtkWzsAqnkbtSpj20WhjB2z6b\n\nSuccess\n\n	0
24779	70	266	2013-08-04 20:49:28.794509	2013-08-04 20:49:28.794509	<function sla_sha256 at 0x123fc80>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 6ehzhsDxBk\n\nSending 7Bf4JFGqW94DEiIyV\n\nSending v9viGlGG9Nsugv2uuc\n\nSending 030iugQQXoUrK\n\nSuccess!\n\n	0
24780	75	266	2013-08-04 20:49:28.797403	2013-08-04 20:49:28.797403	<function sla_sha256 at 0x1473c80>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending FdwHNo\n\nSending TSDKhSrV8rOBUy0c4SGPRHL\n\nSending F6HpxZaigneQFgqEI\n\nSending 9aIJAGlymjeUWzLaMmZBF\n\nSuccess!\n\n	0
24863	3	267	2013-08-04 20:54:33.091286	2013-08-04 20:54:33.091286	Going to port: 42437\nconnected to 42437\nNum glyphs: 64\n1509\nexpexted: 1509\nSuccessful sla\n	0
24965	20	268	2013-08-04 20:59:36.901946	2013-08-04 20:59:36.901946	PASSED SLA\n	0
24781	68	266	2013-08-04 20:49:28.800475	2013-08-04 20:49:28.800475	<function sla_sha256 at 0x1be7c80>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending ii4ShFM5OCburJaIcfOijLmw3\n\nSending 3IpnmYDHq\n\nSending 5Xjyy\n\nSending GMd80JRqrTfxb9EA9wQLENgyA\n\nSending bHgkAxMDVVRzCYk1e9ySmKMAS\n\nSuccess!\n\n	0
24782	76	266	2013-08-04 20:49:28.803568	2013-08-04 20:49:28.803568		14
24783	125	266	2013-08-04 20:49:35.680587	2013-08-04 20:49:35.680587	\n\nunexpected yay for you\nlogin failed\n	256
24784	117	266	2013-08-04 20:49:35.686192	2013-08-04 20:49:35.686192	\n\nunexpected yay for you\nlogin failed\n	256
24785	121	266	2013-08-04 20:49:35.689303	2013-08-04 20:49:35.689303	---------------Welcome---------------\n\nlogin success\nnot same data\nsendget failed\n	256
24786	99	266	2013-08-04 20:49:35.692281	2013-08-04 20:49:35.692281	---------------Welcome---------------\n\nlogin success\n	0
24787	95	266	2013-08-04 20:49:35.695231	2013-08-04 20:49:35.695231	---------------Welcome---------------\n\nlogin success\n	0
24788	85	266	2013-08-04 20:49:35.698227	2013-08-04 20:49:35.698227	---------------Welcome---------------\n\nlogin success\n	0
24789	97	266	2013-08-04 20:49:35.701248	2013-08-04 20:49:35.701248	---------------Welcome---------------\n\nlogin success\n	0
24790	91	266	2013-08-04 20:49:35.704254	2013-08-04 20:49:35.704254	---------------Welcome---------------\n\nlogin success\n	0
24791	109	266	2013-08-04 20:49:35.707147	2013-08-04 20:49:35.707147	---------------Welcome---------------\n\nlogin success\n	0
24792	103	266	2013-08-04 20:49:35.710088	2013-08-04 20:49:35.710088	---------------Welcome---------------\n\nlogin success\n	0
24793	105	266	2013-08-04 20:49:35.713103	2013-08-04 20:49:35.713103	---------------Welcome---------------\n\nlogin success\n	0
24794	115	266	2013-08-04 20:49:35.716177	2013-08-04 20:49:35.716177	---------------Welcome---------------\n\nlogin success\n	0
24795	113	266	2013-08-04 20:49:35.7192	2013-08-04 20:49:35.7192	---------------Welcome---------------\n\nlogin success\n	0
24796	119	266	2013-08-04 20:49:35.722174	2013-08-04 20:49:35.722174	---------------Welcome---------------\n\nlogin success\n	0
24797	87	266	2013-08-04 20:49:35.725343	2013-08-04 20:49:35.725343	---------------Welcome---------------\n\nlogin success\n	0
24798	107	266	2013-08-04 20:49:35.728508	2013-08-04 20:49:35.728508	---------------Welcome---------------\n\nlogin success\n	0
24799	89	266	2013-08-04 20:49:35.731803	2013-08-04 20:49:35.731803	---------------Welcome---------------\n\nlogin success\n	0
24800	111	266	2013-08-04 20:49:35.734873	2013-08-04 20:49:35.734873	---------------Welcome---------------\n\nlogin success\n	0
24801	93	266	2013-08-04 20:49:35.737869	2013-08-04 20:49:35.737869	---------------Welcome---------------\n\nlogin success\n	0
24802	101	266	2013-08-04 20:49:35.741561	2013-08-04 20:49:35.741561	---------------Welcome---------------\n\nlogin success\n	0
24803	126	266	2013-08-04 20:49:47.223283	2013-08-04 20:49:47.223283	\n0\nuser failed \nLogin failed\n	256
24804	118	266	2013-08-04 20:49:47.228591	2013-08-04 20:49:47.228591	\n3\nuser failed \nLogin failed\n	256
24805	122	266	2013-08-04 20:49:47.231467	2013-08-04 20:49:47.231467	Rffvtg==\n1\nlogin success\ncreatedirls failed\ncreatedirls failed\n	65280
24806	86	266	2013-08-04 20:49:47.234342	2013-08-04 20:49:47.234342	6Rb8tg==\n1\nlogin success\n	0
24807	100	266	2013-08-04 20:49:47.237167	2013-08-04 20:49:47.237167	Rbf0tg==\n1\nlogin success\n	0
24808	96	266	2013-08-04 20:49:47.240103	2013-08-04 20:49:47.240103	RQf7tg==\n0\nlogin success\n	0
24809	88	266	2013-08-04 20:49:47.242897	2013-08-04 20:49:47.242897	RQf9tg==\n1\nlogin success\n	0
24810	98	266	2013-08-04 20:49:47.245592	2013-08-04 20:49:47.245592	RQf0tg==\n3\nlogin success\n	0
24811	102	266	2013-08-04 20:49:47.248653	2013-08-04 20:49:47.248653	rFF2TG==\n1\nlogin success\n	0
24812	110	266	2013-08-04 20:49:47.25153	2013-08-04 20:49:47.25153	RfZOtg==\n1\nLogin failed\n	256
24813	120	266	2013-08-04 20:49:47.25476	2013-08-04 20:49:47.25476	RRf3tg==\n2\nlogin success\n	0
24814	106	266	2013-08-04 20:49:47.257749	2013-08-04 20:49:47.257749	RYf2tg==\n0\nlogin success\n	0
24815	116	266	2013-08-04 20:49:47.260724	2013-08-04 20:49:47.260724	6Ybwtg==\n2\nlogin success\n	0
24816	104	266	2013-08-04 20:49:47.26385	2013-08-04 20:49:47.26385	6fb3tg==\n0\nlogin success\n	0
24817	114	266	2013-08-04 20:49:47.266817	2013-08-04 20:49:47.266817	RXfytg==\n3\nlogin success\n	0
24818	92	266	2013-08-04 20:49:47.269929	2013-08-04 20:49:47.269929	RWfytg==\n2\nlogin success\n	0
24819	112	266	2013-08-04 20:49:47.272799	2013-08-04 20:49:47.272799	RUfytg==\n0\nlogin success\n	0
24820	90	266	2013-08-04 20:49:47.275782	2013-08-04 20:49:47.275782	6Vb+tg==\n3\nlogin success\n	0
24821	108	266	2013-08-04 20:49:47.278549	2013-08-04 20:49:47.278549	6Yb2tg==\n0\nlogin success\n	0
24822	94	266	2013-08-04 20:49:47.281232	2013-08-04 20:49:47.281232		14
24823	43	267	2013-08-04 20:53:55.418223	2013-08-04 20:53:55.418223	checking TURN\nEverything ok\n	0
24824	22	267	2013-08-04 20:53:55.421033	2013-08-04 20:53:55.421033	checking TURN\nEverything ok\n	0
24825	1	267	2013-08-04 20:53:55.422253	2013-08-04 20:53:55.422253	checking TURN\nEverything ok\n	0
24826	58	267	2013-08-04 20:53:55.423364	2013-08-04 20:53:55.423364	checking TURN\nEverything ok\n	0
24827	46	267	2013-08-04 20:53:55.424446	2013-08-04 20:53:55.424446	checking TURN\nEverything ok\n	0
24828	13	267	2013-08-04 20:53:55.425533	2013-08-04 20:53:55.425533	checking TURN\nEverything ok\n	0
24829	28	267	2013-08-04 20:53:55.426692	2013-08-04 20:53:55.426692	checking TURN\nEverything ok\n	0
24830	25	267	2013-08-04 20:53:55.427769	2013-08-04 20:53:55.427769	checking TURN\nEverything ok\n	0
24831	31	267	2013-08-04 20:53:55.428935	2013-08-04 20:53:55.428935	checking TURN\nEverything ok\n	0
24832	37	267	2013-08-04 20:53:55.430027	2013-08-04 20:53:55.430027	checking TURN\nEverything ok\n	0
24833	4	267	2013-08-04 20:53:55.431043	2013-08-04 20:53:55.431043	checking TURN\nEverything ok\n	0
24834	40	267	2013-08-04 20:53:55.432034	2013-08-04 20:53:55.432034	checking TURN\nEverything ok\n	0
24835	10	267	2013-08-04 20:53:55.433101	2013-08-04 20:53:55.433101	checking TURN\nEverything ok\n	0
24836	16	267	2013-08-04 20:53:55.434162	2013-08-04 20:53:55.434162	checking TURN\nEverything ok\n	0
24837	55	267	2013-08-04 20:53:55.435153	2013-08-04 20:53:55.435153	checking TURN\nEverything ok\n	0
24838	19	267	2013-08-04 20:53:55.436082	2013-08-04 20:53:55.436082	checking TURN\nEverything ok\n	0
24839	34	267	2013-08-04 20:53:55.43704	2013-08-04 20:53:55.43704	checking TURN\nEverything ok\n	0
24840	7	267	2013-08-04 20:53:55.437906	2013-08-04 20:53:55.437906	checking TURN\nno OK from DATA: \n	65280
24841	49	267	2013-08-04 20:53:55.438986	2013-08-04 20:53:55.438986		14
24842	52	267	2013-08-04 20:53:55.440045	2013-08-04 20:53:55.440045		14
24843	11	267	2013-08-04 20:54:19.801167	2013-08-04 20:54:19.801167	PASSED SLA\n	0
24844	38	267	2013-08-04 20:54:19.807859	2013-08-04 20:54:19.807859	PASSED SLA\n	0
24845	2	267	2013-08-04 20:54:19.811868	2013-08-04 20:54:19.811868	PASSED SLA\n	0
24846	47	267	2013-08-04 20:54:19.815181	2013-08-04 20:54:19.815181	PASSED SLA\n	0
24847	26	267	2013-08-04 20:54:19.818235	2013-08-04 20:54:19.818235	PASSED SLA\n	0
24848	23	267	2013-08-04 20:54:19.821344	2013-08-04 20:54:19.821344	PASSED SLA\n	0
24849	32	267	2013-08-04 20:54:19.82444	2013-08-04 20:54:19.82444	PASSED SLA\n	0
24850	56	267	2013-08-04 20:54:19.827504	2013-08-04 20:54:19.827504	PASSED SLA\n	0
24851	41	267	2013-08-04 20:54:19.830705	2013-08-04 20:54:19.830705	PASSED SLA\n	0
24852	44	267	2013-08-04 20:54:19.833857	2013-08-04 20:54:19.833857	PASSED SLA\n	0
24853	20	267	2013-08-04 20:54:19.836921	2013-08-04 20:54:19.836921	PASSED SLA\n	0
24854	17	267	2013-08-04 20:54:19.839886	2013-08-04 20:54:19.839886	PASSED SLA\n	0
24855	5	267	2013-08-04 20:54:19.842714	2013-08-04 20:54:19.842714	PASSED SLA\n	0
24856	29	267	2013-08-04 20:54:19.845661	2013-08-04 20:54:19.845661	PASSED SLA\n	0
24857	8	267	2013-08-04 20:54:19.847228	2013-08-04 20:54:19.847228	PASSED SLA\n	0
24858	14	267	2013-08-04 20:54:19.848191	2013-08-04 20:54:19.848191	PASSED SLA\n	0
24859	35	267	2013-08-04 20:54:19.84909	2013-08-04 20:54:19.84909	PASSED SLA\n	0
24860	50	267	2013-08-04 20:54:19.850062	2013-08-04 20:54:19.850062		14
24861	59	267	2013-08-04 20:54:19.850995	2013-08-04 20:54:19.850995		14
24862	53	267	2013-08-04 20:54:19.851865	2013-08-04 20:54:19.851865		14
24864	57	267	2013-08-04 20:54:33.093955	2013-08-04 20:54:33.093955	Going to port: 37219\nconnected to 37219\nNum glyphs: 48\n1157\nexpexted: 1157\nSuccessful sla\n	0
24865	27	267	2013-08-04 20:54:33.096745	2013-08-04 20:54:33.096745	Going to port: 2923\nconnected to 2923\nNum glyphs: 53\n1267\nexpexted: 1267\nSuccessful sla\n	0
24866	60	267	2013-08-04 20:54:33.099888	2013-08-04 20:54:33.099888	Going to port: 5012\nconnected to 5012\nNum glyphs: 68\n1597\nexpexted: 1597\nNum glyphs: 87\n2015\nexpexted: 2015\nSuccessful sla\n	0
24867	12	267	2013-08-04 20:54:33.103174	2013-08-04 20:54:33.103174	Going to port: 52770\nconnected to 52770\nNum glyphs: 90\n2081\nexpexted: 2081\nNum glyphs: 51\n1223\nexpexted: 1223\nSuccessful sla\n	0
24868	33	267	2013-08-04 20:54:33.106409	2013-08-04 20:54:33.106409	Going to port: 29609\nconnected to 29609\nNum glyphs: 61\n1443\nexpexted: 1443\nNum glyphs: 66\n1553\nexpexted: 1553\nNum glyphs: 89\n2059\nexpexted: 2059\nTraceback (most recent call last):\n  File "/home/scorebot/app/releases/20130803160046/scripts/lonetuna/availability", line 65, in <module>\n    s.recv(1024)\nsocket.error: [Errno 104] Connection reset by peer\n	256
24869	9	267	2013-08-04 20:54:33.109473	2013-08-04 20:54:33.109473	Going to port: 58137\nconnected to 58137\nNum glyphs: 59\n1399\nexpexted: 1399\nNum glyphs: 32\n805\nexpexted: 805\nSuccessful sla\n	0
24870	45	267	2013-08-04 20:54:33.112582	2013-08-04 20:54:33.112582	Going to port: 14270\nconnected to 14270\nNum glyphs: 48\n1157\nexpexted: 1157\nNum glyphs: 43\n1047\nexpexted: 1047\nNum glyphs: 48\n1157\nexpexted: 1157\nSuccessful sla\n	0
24871	48	267	2013-08-04 20:54:33.115752	2013-08-04 20:54:33.115752	Going to port: 33202\nconnected to 33202\nNum glyphs: 26\n673\nexpexted: 673\nNum glyphs: 28\n717\nexpexted: 717\nNum glyphs: 94\n2169\nexpexted: 2169\nSuccessful sla\n	0
24872	36	267	2013-08-04 20:54:33.118807	2013-08-04 20:54:33.118807	Going to port: 27503\nconnected to 27503\nNum glyphs: 36\n893\nexpexted: 893\nNum glyphs: 63\n1487\nexpexted: 1487\nNum glyphs: 30\n761\nexpexted: 761\nSuccessful sla\n	0
24873	24	267	2013-08-04 20:54:33.121869	2013-08-04 20:54:33.121869	Going to port: 38267\nconnected to 38267\nNum glyphs: 80\n1861\nexpexted: 1861\nNum glyphs: 75\n1751\nexpexted: 1751\nNum glyphs: 22\n585\nexpexted: 585\nNum glyphs: 87\n2015\nexpexted: 2015\nSuccessful sla\n	0
24874	54	267	2013-08-04 20:54:33.124934	2013-08-04 20:54:33.124934	Going to port: 41249\nconnected to 41249\nNum glyphs: 75\n1751\nexpexted: 1751\nNum glyphs: 25\n651\nexpexted: 651\nNum glyphs: 60\n1421\nexpexted: 1421\nNum glyphs: 30\n761\nexpexted: 761\nSuccessful sla\n	0
24875	42	267	2013-08-04 20:54:33.128077	2013-08-04 20:54:33.128077	Going to port: 60019\nconnected to 60019\nNum glyphs: 60\n1421\nexpexted: 1421\nNum glyphs: 24\n629\nexpexted: 629\nNum glyphs: 26\n673\nexpexted: 673\nNum glyphs: 76\n1773\nexpexted: 1773\nSuccessful sla\n	0
24876	21	267	2013-08-04 20:54:33.131208	2013-08-04 20:54:33.131208	Going to port: 31825\nconnected to 31825\nNum glyphs: 74\n1729\nexpexted: 1729\nNum glyphs: 35\n871\nexpexted: 871\nNum glyphs: 86\n1993\nexpexted: 1993\nNum glyphs: 92\n2125\nexpexted: 2125\nSuccessful sla\n	0
24877	18	267	2013-08-04 20:54:33.134233	2013-08-04 20:54:33.134233	Going to port: 28050\nconnected to 28050\nNum glyphs: 79\n1839\nexpexted: 1839\nNum glyphs: 40\n981\nexpexted: 981\nNum glyphs: 27\n695\nexpexted: 695\nNum glyphs: 63\n1487\nexpexted: 1487\nSuccessful sla\n	0
24878	30	267	2013-08-04 20:54:33.137679	2013-08-04 20:54:33.137679	Going to port: 57858\nconnected to 57858\nNum glyphs: 91\n2103\nexpexted: 2103\nNum glyphs: 24\n629\nexpexted: 629\nNum glyphs: 50\n1201\nexpexted: 1201\nNum glyphs: 21\n563\nexpexted: 563\nSuccessful sla\n	0
24879	39	267	2013-08-04 20:54:33.140826	2013-08-04 20:54:33.140826	Going to port: 30568\nconnected to 30568\nNum glyphs: 49\n1179\nexpexted: 1179\nNum glyphs: 79\n1839\nexpexted: 1839\nNum glyphs: 56\n1333\nexpexted: 1333\nNum glyphs: 92\n2125\nexpexted: 2125\nSuccessful sla\n	0
24880	6	267	2013-08-04 20:54:33.143915	2013-08-04 20:54:33.143915	Going to port: 23167\nconnected to 23167\nNum glyphs: 43\n1047\nexpexted: 1047\nNum glyphs: 36\n893\nexpexted: 893\nNum glyphs: 31\n783\nexpexted: 783\nNum glyphs: 55\n1311\nexpexted: 1311\nSuccessful sla\n	0
24881	51	267	2013-08-04 20:54:33.146866	2013-08-04 20:54:33.146866		14
24882	15	267	2013-08-04 20:54:33.149647	2013-08-04 20:54:33.149647		14
24883	69	267	2013-08-04 20:54:40.589411	2013-08-04 20:54:40.589411	text:  1892 bytes\ncode:  2125 bytes (112%)\n<function sla_lzss at 0x1cc7d70>\nNow waiting for <<RUNNING>>\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
24884	72	267	2013-08-04 20:54:40.595304	2013-08-04 20:54:40.595304	<function sla_rc4 at 0xdb7cf8>\nNow waiting for <<RUNNING>>\n\nGot /home/reeses/reeses: 3: cd: \n\nFailed did not receive <<RUNNING>>\n\n	256
24885	81	267	2013-08-04 20:54:40.598497	2013-08-04 20:54:40.598497	text:  1431 bytes\ncode:  1609 bytes (112%)\n<function sla_lzss at 0x16c2d70>\nNow waiting for <<RUNNING>>\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
24886	79	267	2013-08-04 20:54:40.601502	2013-08-04 20:54:40.601502	<function sla_rc4 at 0x14b8cf8>\nNow waiting for <<RUNNING>>\n\nGot ERROR: Failed read length\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
24887	70	267	2013-08-04 20:54:40.604569	2013-08-04 20:54:40.604569	text:  1533 bytes\ncode:  1723 bytes (112%)\n<function sla_lzss at 0xfb3d70>\nNow waiting for <<RUNNING>>\n\nSending 1723 bytes.\nData Length: 1533\n\nSuccess!\n	0
24888	80	267	2013-08-04 20:54:40.607713	2013-08-04 20:54:40.607713	text:  1429 bytes\ncode:  1605 bytes (112%)\n<function sla_lzss at 0x2ad2d70>\nNow waiting for <<RUNNING>>\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
24889	82	267	2013-08-04 20:54:40.610596	2013-08-04 20:54:40.610596	<function sla_echo at 0x2a9bc08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending GJR3XZ18V20XIKA\n\nGot GJR3XZ18V20XIKA\n\nSuccess!\n\n	0
24890	74	267	2013-08-04 20:54:40.613737	2013-08-04 20:54:40.613737	<function sla_echo at 0x1a73c08>\nNow waiting for <<RUNNING>>\n\nSending VOW6HOVGAJVR\n\nGot VOW6HOVGAJVR\n\nSuccess!\n\n	0
24891	71	267	2013-08-04 20:54:40.616939	2013-08-04 20:54:40.616939	<function sla_echo at 0x1986c08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending WPT9VJ8KN2X7G4\n\nGot WPT9VJ8KN2X7G4\n\nSuccess!\n\n	0
24892	64	267	2013-08-04 20:54:40.619934	2013-08-04 20:54:40.619934	<function sla_echo at 0x1595c08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending XBAOH\n\nGot XBAOH\n\nSuccess!\n\n	0
24893	78	267	2013-08-04 20:54:40.623197	2013-08-04 20:54:40.623197	<function sla_sha256 at 0x1242c80>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending patyBOSIAxIGhnRYPHS9wA2s\n\nSending rahHa8KivtPuITdHjslGwVOF\n\nSending R1T3n1Aoiu8BpuM5qfbfE32\n\nSuccess!\n\n	0
24894	77	267	2013-08-04 20:54:40.626005	2013-08-04 20:54:40.626005	<function sla_rc4 at 0x192ecf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 6Y8LXNu8h9YRnOghpZ6y1eq6MuLFpJsi9nkrkjhtQRu4fngsW36JogoZJQtSyJKeFZPjNgupBtYi6ojHJ935P6Vbq\n\nSending wlk9UF9x8GmUFQx5ANcESPubCQJVpjFBO8hc9XduxQLR6hl7lDdXxtitEzi7Hc1jKCCbegi3AI2T1e9QcBEwdrj5Nf5aHCK6tulnS6j7EE\n\nSending 2nvwpd2iGDYnmjz3Z3flyIgwHzgTHPod1eMexoACZBevZfaMZBdrRQj7LPGJ\n\nSuccess\n\n	0
24895	75	267	2013-08-04 20:54:40.628976	2013-08-04 20:54:40.628976	<function sla_echo at 0x29e4c08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending MC3IV9HI\n\nGot MC3IV9HI\n\nSuccess!\n\n	0
24896	73	267	2013-08-04 20:54:40.632356	2013-08-04 20:54:40.632356	<function sla_sha256 at 0x17abc80>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending hiNwODB3\n\nSending Jl1pboQJF\n\nSending 2H550r65HhA1nSukzcO1II3P\n\nSuccess!\n\n	0
24897	65	267	2013-08-04 20:54:40.635357	2013-08-04 20:54:40.635357	<function sla_sha256 at 0x274bc80>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending D4K9PSVSQUZLwhI1a5Lhq4td\n\nSending AGYDY5ygimqPl4KhiccmU\n\nSending mC0hXSg0jUA3tr5I\n\nSuccess!\n\n	0
24898	83	267	2013-08-04 20:54:40.638194	2013-08-04 20:54:40.638194	<function sla_sha256 at 0x25a7c80>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending WFpEEwYEmm6uxDdBQrie\n\nSending UUcXVIpzGrg4FitMUYGhz4nyE\n\nSending B3UHopiZVut\n\nSending ErKlV9\n\nSending Vorgvlu30myY\n\nSending rrQO9InToxmv1597EWzq3Ur1d\n\nError connecting: [Errno 32] Broken pipe\n\n	256
24962	49	268	2013-08-04 20:59:12.450877	2013-08-04 20:59:12.450877		14
24899	67	267	2013-08-04 20:54:40.641242	2013-08-04 20:54:40.641242	<function sla_rc4 at 0x14cbcf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending H9gdEN1JqrMhusz142UfBBwYQAOfi1XHAGC3kxTl1ikT\n\nSending jhnDylR02kr9YBF0SzB54C0gtX5hlx0XjaKbU107zPfCkFg1jPEBwa0vgrpaABtIR3DliTydbF8A3CvtmBSpDajorAxTUMqc63H7go17jUWHDv\n\nSending p1VZoChlmEBN7qU7WAJoGvfVcfMgyQqNpDtRLJjB9Ip2mFW7MtjnCzkSPNO3vF5XsTFLRflRufrxVmDsbUiF3R8ps6wLdLrdp\n\nSending WOHTgIOBu1ynrJ3JZteQVFLCILGV9DEevSDqD3uGVgZv5y26tCImvPhZovCFAfqT12fLGVNgll2IeOkBogz1q7V\n\nSending l5Q5KqhdhjITeZazinxy4IFPL3c1NKMW5NhA3EquZ8YW2zkXEaC4NzTXQfN2KnplAqYpjU0pGgVxp6yHGPDHpoiinkODNiC2fe3pdUUaKYtbnaioTllfw\n\nSending Hjp8b09Tivpr1RiIDaf1BPEUsvdsv26NMWH9p9kVTEr2hkJAPPTtvpEQBJzn0WFrOksso3\n\nSuccess\n\n	0
24900	66	267	2013-08-04 20:54:40.643154	2013-08-04 20:54:40.643154	<function sla_sha256 at 0x24b9c80>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 6t1mBSwH7XDG6N4rrayZkQ\n\nSending SwBbP\n\nSending 6h1uwLRaI7UWi\n\nSending 5xmitfP7TQATTaN9\n\nSending yHIr4VLguKiGnXCw1pb\n\nSending IlWywIIyqg668pXWK8tGWa\n\nSuccess!\n\n	0
24901	68	267	2013-08-04 20:54:40.644064	2013-08-04 20:54:40.644064	<function sla_rc4 at 0x16cccf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending xrNPlEmZqF4jzZsfgbLJCR0QptcyivG5AgyllqIVU0aa20c2HHOuGbgXEubjgQLWnvKIDihVpYMfQXzd68pEQcbb4CvQiutVJzVnYxZzlnZLSwuM5M\n\nSending ieP21qxmvrjFNrBhLO0yiSslelHE24\n\nSending BCxQ41Gz7amv6Anw8oQ7igO91galjsDku6tYS1wBBeAAUXW1ikfI1QUP9kEIzQ\n\nSending n6lv9kLuQxoo4b6hnKaBMTWueEHnhwCjMUu\n\nSending ZvOxb1iiL3znLAYmhTaHl9e6C8MJ0RLfPR52JvUyZJO02vl0Lm86DlDJH17UvcJOf5n0GgYNP09IXSZgv38IbnBWc3VMgOlwKG8p0cTw0Rhr2D8x\n\nSending 41UI4JIBdTS6cypulXYpoDiFOv0FQbP7q3l2CsCKR4Am7I7Qw4L1lWH\n\nSuccess\n\n	0
24902	76	267	2013-08-04 20:54:40.64502	2013-08-04 20:54:40.64502	text:  1114 bytes\ncode:  1253 bytes (112%)\n<function sla_lzss at 0xb3dd70>\nNow waiting for <<RUNNING>>\n\nGot <\n\nSending 1253 bytes.\nData Length: 1114\n\nSuccess!\n	0
24903	125	267	2013-08-04 20:54:51.036982	2013-08-04 20:54:51.036982	\n\nunexpected yay for you\nlogin failed\n	256
24904	117	267	2013-08-04 20:54:51.043249	2013-08-04 20:54:51.043249	\n\nunexpected yay for you\nlogin failed\n	256
24905	95	267	2013-08-04 20:54:51.046542	2013-08-04 20:54:51.046542	---------------Welcome---------------\n\nlogin success\n	0
24906	121	267	2013-08-04 20:54:51.047639	2013-08-04 20:54:51.047639	---------------Welcome---------------\n\nlogin success\nnot same data\nsendget failed\n	256
24907	115	267	2013-08-04 20:54:51.048846	2013-08-04 20:54:51.048846	---------------Welcome---------------\n\nlogin success\n	0
24908	111	267	2013-08-04 20:54:51.049779	2013-08-04 20:54:51.049779	---------------Welcome---------------\n\nlogin success\n	0
24909	91	267	2013-08-04 20:54:51.050793	2013-08-04 20:54:51.050793	---------------Welcome---------------\n\nlogin success\n	0
24910	97	267	2013-08-04 20:54:51.051791	2013-08-04 20:54:51.051791	---------------Welcome---------------\n\nlogin success\n	0
24911	109	267	2013-08-04 20:54:51.05278	2013-08-04 20:54:51.05278	---------------Welcome---------------\n\nlogin success\n	0
24912	99	267	2013-08-04 20:54:51.05369	2013-08-04 20:54:51.05369	---------------Welcome---------------\n\nlogin success\n	0
24913	119	267	2013-08-04 20:54:51.05469	2013-08-04 20:54:51.05469	---------------Welcome---------------\n\nlogin success\n	0
24914	105	267	2013-08-04 20:54:51.055677	2013-08-04 20:54:51.055677	---------------Welcome---------------\n\nlogin success\n	0
24915	103	267	2013-08-04 20:54:51.056608	2013-08-04 20:54:51.056608	---------------Welcome---------------\n\nlogin success\n	0
24916	87	267	2013-08-04 20:54:51.058737	2013-08-04 20:54:51.058737	---------------Welcome---------------\n\nlogin success\n	0
24917	85	267	2013-08-04 20:54:51.060854	2013-08-04 20:54:51.060854	---------------Welcome---------------\n\nlogin success\n	0
24918	93	267	2013-08-04 20:54:51.063775	2013-08-04 20:54:51.063775	---------------Welcome---------------\n\nlogin success\n	0
24919	89	267	2013-08-04 20:54:51.06659	2013-08-04 20:54:51.06659	---------------Welcome---------------\n\nlogin success\n	0
24920	101	267	2013-08-04 20:54:51.068481	2013-08-04 20:54:51.068481	---------------Welcome---------------\n\nlogin success\n	0
24921	113	267	2013-08-04 20:54:51.070219	2013-08-04 20:54:51.070219	---------------Welcome---------------\n\nlogin success\n	0
24922	107	267	2013-08-04 20:54:51.073154	2013-08-04 20:54:51.073154	---------------Welcome---------------\n\nlogin success\n	0
24923	126	267	2013-08-04 20:54:59.059464	2013-08-04 20:54:59.059464	\n2\nuser failed \nLogin failed\n	256
24924	122	267	2013-08-04 20:54:59.065547	2013-08-04 20:54:59.065547	Rff7tg==\n0\nlogin success\ntouchls failed\ntoucls failed\n	65280
24925	110	267	2013-08-04 20:54:59.068652	2013-08-04 20:54:59.068652	RVhotg==\n0\nLogin failed\n	256
24926	104	267	2013-08-04 20:54:59.071576	2013-08-04 20:54:59.071576	6ab1tg==\n1\nlogin success\n	0
24927	96	267	2013-08-04 20:54:59.074627	2013-08-04 20:54:59.074627	Rbf3tg==\n3\nlogin success\n	0
24928	86	267	2013-08-04 20:54:59.077947	2013-08-04 20:54:59.077947	6Wb4tg==\n3\nlogin success\n	0
24929	120	267	2013-08-04 20:54:59.080963	2013-08-04 20:54:59.080963	RRfztg==\n1\nlogin success\n	0
24930	98	267	2013-08-04 20:54:59.083985	2013-08-04 20:54:59.083985	RWf6tg==\n1\nlogin success\n	0
24931	114	267	2013-08-04 20:54:59.086743	2013-08-04 20:54:59.086743	RUf7tg==\n0\nlogin success\n	0
24932	106	267	2013-08-04 20:54:59.088217	2013-08-04 20:54:59.088217	Rdf8tg==\n2\nlogin success\n	0
24933	118	267	2013-08-04 20:54:59.090711	2013-08-04 20:54:59.090711	\n2\nuser failed \nLogin failed\n	256
24934	88	267	2013-08-04 20:54:59.093711	2013-08-04 20:54:59.093711	RSf+tg==\n1\nlogin success\n	0
24935	102	267	2013-08-04 20:54:59.096715	2013-08-04 20:54:59.096715	rEF+TG==\n2\nlogin success\n	0
24936	92	267	2013-08-04 20:54:59.099799	2013-08-04 20:54:59.099799	RWfxtg==\n1\nlogin success\n	0
24937	112	267	2013-08-04 20:54:59.101032	2013-08-04 20:54:59.101032	Rff2tg==\n0\nlogin success\n	0
24938	100	267	2013-08-04 20:54:59.102449	2013-08-04 20:54:59.102449	RTfwtg==\n0\nlogin success\n	0
24939	116	267	2013-08-04 20:54:59.104293	2013-08-04 20:54:59.104293	6fb1tg==\n3\nlogin success\n	0
24940	108	267	2013-08-04 20:54:59.106315	2013-08-04 20:54:59.106315	6Zbvtg==\n1\nlogin success\n	0
24941	90	267	2013-08-04 20:54:59.108441	2013-08-04 20:54:59.108441	6ab7tg==\n2\nlogin success\n	0
24942	94	267	2013-08-04 20:54:59.110787	2013-08-04 20:54:59.110787	6bbxtg==\n3\nlogin success\n	0
24943	22	268	2013-08-04 20:59:12.426062	2013-08-04 20:59:12.426062	Could not create socket: Connection refused\n	28416
24944	7	268	2013-08-04 20:59:12.428352	2013-08-04 20:59:12.428352	checking TURN\nno OK from start DATA: \n	65280
24945	4	268	2013-08-04 20:59:12.429291	2013-08-04 20:59:12.429291	checking TURN\nEverything ok\n	0
24946	28	268	2013-08-04 20:59:12.430228	2013-08-04 20:59:12.430228	checking TURN\nEverything ok\n	0
24947	16	268	2013-08-04 20:59:12.431684	2013-08-04 20:59:12.431684	checking TURN\nEverything ok\n	0
24948	31	268	2013-08-04 20:59:12.433586	2013-08-04 20:59:12.433586	checking TURN\nEverything ok\n	0
24949	19	268	2013-08-04 20:59:12.435227	2013-08-04 20:59:12.435227	checking TURN\nEverything ok\n	0
24950	55	268	2013-08-04 20:59:12.436817	2013-08-04 20:59:12.436817	checking TURN\nEverything ok\n	0
24951	40	268	2013-08-04 20:59:12.437866	2013-08-04 20:59:12.437866	checking TURN\nEverything ok\n	0
24952	13	268	2013-08-04 20:59:12.43895	2013-08-04 20:59:12.43895	checking TURN\nEverything ok\n	0
24953	58	268	2013-08-04 20:59:12.440824	2013-08-04 20:59:12.440824	checking TURN\nEverything ok\n	0
24954	10	268	2013-08-04 20:59:12.443014	2013-08-04 20:59:12.443014	checking TURN\nEverything ok\n	0
24955	43	268	2013-08-04 20:59:12.444008	2013-08-04 20:59:12.444008	checking TURN\nEverything ok\n	0
24956	1	268	2013-08-04 20:59:12.444961	2013-08-04 20:59:12.444961	checking TURN\nEverything ok\n	0
24957	25	268	2013-08-04 20:59:12.445862	2013-08-04 20:59:12.445862	checking TURN\nEverything ok\n	0
24958	46	268	2013-08-04 20:59:12.446812	2013-08-04 20:59:12.446812	checking TURN\nEverything ok\n	0
24959	34	268	2013-08-04 20:59:12.447778	2013-08-04 20:59:12.447778	checking TURN\nEverything ok\n	0
24960	37	268	2013-08-04 20:59:12.448838	2013-08-04 20:59:12.448838	checking TURN\nEverything ok\n	0
24961	52	268	2013-08-04 20:59:12.44995	2013-08-04 20:59:12.44995		14
24966	32	268	2013-08-04 20:59:36.904391	2013-08-04 20:59:36.904391	PASSED SLA\n	0
24967	44	268	2013-08-04 20:59:36.906834	2013-08-04 20:59:36.906834	PASSED SLA\n	0
24968	38	268	2013-08-04 20:59:36.909153	2013-08-04 20:59:36.909153	FAILED SLA\n	65280
24969	2	268	2013-08-04 20:59:36.911612	2013-08-04 20:59:36.911612	PASSED SLA\n	0
24970	8	268	2013-08-04 20:59:36.913886	2013-08-04 20:59:36.913886	PASSED SLA\n	0
24971	47	268	2013-08-04 20:59:36.916406	2013-08-04 20:59:36.916406	PASSED SLA\n	0
24972	29	268	2013-08-04 20:59:36.919252	2013-08-04 20:59:36.919252	PASSED SLA\n	0
24973	26	268	2013-08-04 20:59:36.922209	2013-08-04 20:59:36.922209	PASSED SLA\n	0
24974	56	268	2013-08-04 20:59:36.925272	2013-08-04 20:59:36.925272	PASSED SLA\n	0
24975	5	268	2013-08-04 20:59:36.928307	2013-08-04 20:59:36.928307	PASSED SLA\n	0
24976	23	268	2013-08-04 20:59:36.931249	2013-08-04 20:59:36.931249	PASSED SLA\n	0
24977	11	268	2013-08-04 20:59:36.934199	2013-08-04 20:59:36.934199	PASSED SLA\n	0
24978	14	268	2013-08-04 20:59:36.937214	2013-08-04 20:59:36.937214	PASSED SLA\n	0
24979	35	268	2013-08-04 20:59:36.940335	2013-08-04 20:59:36.940335	PASSED SLA\n	0
24980	59	268	2013-08-04 20:59:36.943483	2013-08-04 20:59:36.943483		14
24981	53	268	2013-08-04 20:59:36.946454	2013-08-04 20:59:36.946454		14
24982	50	268	2013-08-04 20:59:36.949559	2013-08-04 20:59:36.949559		14
24983	18	268	2013-08-04 20:59:49.436566	2013-08-04 20:59:49.436566	Going to port: 16530\nconnected to 16530\nNum glyphs: 89\n2059\nexpexted: 2059\nSuccessful sla\n	0
24984	60	268	2013-08-04 20:59:49.442566	2013-08-04 20:59:49.442566	Going to port: 54748\nconnected to 54748\nNum glyphs: 67\n1575\nexpexted: 1575\nTraceback (most recent call last):\n  File "/home/scorebot/app/releases/20130803160046/scripts/lonetuna/availability", line 62, in <module>\n    s.recv(1024)\nsocket.error: [Errno 104] Connection reset by peer\n	256
24985	12	268	2013-08-04 20:59:49.445622	2013-08-04 20:59:49.445622	Going to port: 41544\nconnected to 41544\nNum glyphs: 32\n805\nexpexted: 805\nSuccessful sla\n	0
24986	45	268	2013-08-04 20:59:49.448554	2013-08-04 20:59:49.448554	Going to port: 55041\nconnected to 55041\nNum glyphs: 46\n1113\nexpexted: 1113\nSuccessful sla\n	0
24987	33	268	2013-08-04 20:59:49.451556	2013-08-04 20:59:49.451556	Going to port: 17284\nconnected to 17284\nNum glyphs: 47\n1135\nexpexted: 1135\nSuccessful sla\n	0
24988	21	268	2013-08-04 20:59:49.454652	2013-08-04 20:59:49.454652	Going to port: 5582\nconnected to 5582\nNum glyphs: 40\n981\nexpexted: 981\nNum glyphs: 69\n1619\nexpexted: 1619\nSuccessful sla\n	0
24989	27	268	2013-08-04 20:59:49.457741	2013-08-04 20:59:49.457741	Going to port: 53330\nconnected to 53330\nNum glyphs: 72\n1685\nexpexted: 1685\nNum glyphs: 26\n673\nexpexted: 673\nSuccessful sla\n	0
24990	39	268	2013-08-04 20:59:49.46084	2013-08-04 20:59:49.46084	Going to port: 12527\nconnected to 12527\nNum glyphs: 46\n1113\nexpexted: 1113\nNum glyphs: 66\n1553\nexpexted: 1553\nNum glyphs: 18\n497\nexpexted: 497\nSuccessful sla\n	0
24991	6	268	2013-08-04 20:59:49.46381	2013-08-04 20:59:49.46381	Going to port: 55746\nconnected to 55746\nNum glyphs: 16\n453\nexpexted: 453\nNum glyphs: 85\n1971\nexpexted: 1971\nNum glyphs: 93\n2147\nexpexted: 2147\nSuccessful sla\n	0
24992	30	268	2013-08-04 20:59:49.466895	2013-08-04 20:59:49.466895	Going to port: 54442\nconnected to 54442\nNum glyphs: 60\n1421\nexpexted: 1421\nNum glyphs: 78\n1817\nexpexted: 1817\nNum glyphs: 60\n1421\nexpexted: 1421\nNum glyphs: 93\n2147\nexpexted: 2147\nSuccessful sla\n	0
24993	3	268	2013-08-04 20:59:49.469731	2013-08-04 20:59:49.469731	Going to port: 6897\nconnected to 6897\nNum glyphs: 50\n1201\nexpexted: 1201\nNum glyphs: 23\n607\nexpexted: 607\nNum glyphs: 54\n1289\nexpexted: 1289\nNum glyphs: 21\n563\nexpexted: 563\nSuccessful sla\n	0
24994	24	268	2013-08-04 20:59:49.472767	2013-08-04 20:59:49.472767	Going to port: 34906\nconnected to 34906\nNum glyphs: 73\n1707\nexpexted: 1707\nNum glyphs: 23\n607\nexpexted: 607\nNum glyphs: 49\n1179\nexpexted: 1179\nNum glyphs: 38\n937\nexpexted: 937\nSuccessful sla\n	0
24995	42	268	2013-08-04 20:59:49.475796	2013-08-04 20:59:49.475796	Going to port: 48167\nconnected to 48167\nNum glyphs: 26\n673\nexpexted: 673\nNum glyphs: 65\n1531\nexpexted: 1531\nNum glyphs: 36\n893\nexpexted: 893\nNum glyphs: 51\n1223\nexpexted: 1223\nSuccessful sla\n	0
24996	48	268	2013-08-04 20:59:49.478765	2013-08-04 20:59:49.478765	Going to port: 21313\nconnected to 21313\nNum glyphs: 35\n871\nexpexted: 871\nNum glyphs: 62\n1465\nexpexted: 1465\nNum glyphs: 17\n475\nexpexted: 475\nNum glyphs: 28\n717\nexpexted: 717\nSuccessful sla\n	0
24997	54	268	2013-08-04 20:59:49.481429	2013-08-04 20:59:49.481429	Going to port: 31597\nconnected to 31597\nNum glyphs: 34\n849\nexpexted: 849\nNum glyphs: 59\n1399\nexpexted: 1399\nNum glyphs: 73\n1707\nexpexted: 1707\nNum glyphs: 59\n1399\nexpexted: 1399\nSuccessful sla\n	0
24998	57	268	2013-08-04 20:59:49.484236	2013-08-04 20:59:49.484236	Going to port: 32398\nconnected to 32398\nNum glyphs: 19\n519\nexpexted: 519\nNum glyphs: 42\n1025\nexpexted: 1025\nNum glyphs: 82\n1905\nexpexted: 1905\nSuccessful sla\n	0
24999	9	268	2013-08-04 20:59:49.487001	2013-08-04 20:59:49.487001	Going to port: 20912\nconnected to 20912\nNum glyphs: 35\n871\nexpexted: 871\nNum glyphs: 29\n739\nexpexted: 739\nNum glyphs: 81\n1883\nexpexted: 1883\nSuccessful sla\n	0
25000	51	268	2013-08-04 20:59:49.489732	2013-08-04 20:59:49.489732		14
25001	15	268	2013-08-04 20:59:49.492436	2013-08-04 20:59:49.492436		14
25002	36	268	2013-08-04 20:59:49.495193	2013-08-04 20:59:49.495193		14
25003	81	268	2013-08-04 21:00:00.494457	2013-08-04 21:00:00.494457	<function sla_sha256 at 0x21abc80>\nNow waiting for <<RUNNING>>\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
25004	69	268	2013-08-04 21:00:00.499085	2013-08-04 21:00:00.499085	<function sla_rc4 at 0x22e3cf8>\nNow waiting for <<RUNNING>>\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
25005	72	268	2013-08-04 21:00:00.50076	2013-08-04 21:00:00.50076	text:  1902 bytes\ncode:  2136 bytes (112%)\n<function sla_lzss at 0x1621d70>\nNow waiting for <<RUNNING>>\n\nGot /home/reeses/reeses: 3: cd: \n\nFailed did not receive <<RUNNING>>\n\n	256
25006	71	268	2013-08-04 21:00:00.501725	2013-08-04 21:00:00.501725	<function sla_sha256 at 0xbf9c80>\nNow waiting for <<RUNNING>>\n\nGot ERROR: File too large\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
25007	80	268	2013-08-04 21:00:00.503023	2013-08-04 21:00:00.503023	<function sla_sha256 at 0x291dc80>\nNow waiting for <<RUNNING>>\n\nError connecting: [Errno 104] Connection reset by peer\n\n	256
25008	78	268	2013-08-04 21:00:00.504475	2013-08-04 21:00:00.504475	<function sla_echo at 0x1621c08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending A4NUHDWCWZWIHRRNH\n\nGot A4NUHDWCWZWIHRRNH\n\nSuccess!\n\n	0
25009	83	268	2013-08-04 21:00:00.506524	2013-08-04 21:00:00.506524	<function sla_echo at 0x19d5c08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 9X3WWXWRIJ8P\n\nGot 9X3WWXWRIJ8P\n\nSuccess!\n\n	0
25010	77	268	2013-08-04 21:00:00.507682	2013-08-04 21:00:00.507682	<function sla_echo at 0x1afac08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending EQFFPCY3EU56\n\nGot EQFFPCY3EU56\n\nSuccess!\n\n	0
25011	82	268	2013-08-04 21:00:00.508869	2013-08-04 21:00:00.508869	<function sla_echo at 0x17f1c08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending UGYZ7Q725LB\n\nGot UGYZ7Q725LB\n\nSuccess!\n\n	0
25012	66	268	2013-08-04 21:00:00.510001	2013-08-04 21:00:00.510001	<function sla_echo at 0xf87c08>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending G8BL2PHDJ\n\nGot G8BL2PHDJ\n\nSuccess!\n\n	0
25013	79	268	2013-08-04 21:00:00.51116	2013-08-04 21:00:00.51116	<function sla_rc4 at 0x166acf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending hj9pa6TOf3BQSLaRTMyurbg2V7tXCiXZeqKLbTYJXCq2rITWQ3jrb0ESyoXyk7nYVVPBDBlZ4KUh3LonMInmMEMgVuDLBJ8vrwuG0kjEK86BJ3iTEw\n\nSending KaeawBY7RA6sNqsJc82rgGZqRM0xCFBh6\n\nSending ZFJEOqXu2GgNgCPvSThXVzY6hs0A9oUxOWryPSW3dFbsAWSxv6WDHnleDymBr2M8GMWBWyQHJ5q2ONuTeVXn7G5j\n\nSuccess\n\n	0
25014	64	268	2013-08-04 21:00:00.512251	2013-08-04 21:00:00.512251	text:  1939 bytes\ncode:  2176 bytes (112%)\n<function sla_lzss at 0x1feed70>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 2176 bytes.\nData Length: 1939\n\nSuccess!\n	0
25015	76	268	2013-08-04 21:00:00.513376	2013-08-04 21:00:00.513376	<function sla_echo at 0x2280c08>\nNow waiting for <<RUNNING>>\n\nGot <\n\nSending E1A0FAYTZMMKZTB2UR\n\nBad match E\n\n	256
25016	74	268	2013-08-04 21:00:00.514704	2013-08-04 21:00:00.514704	<function sla_sha256 at 0x1fd6c80>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 6Hj6s0wK7QYP6iXm\n\nSending hnNoCemENXzs3twrwanZBqd3\n\nSending jU6HT\n\nSending yK8J5m\n\nSending Dk8wFVFT0p9qWakkQhhKpT3s\n\nSuccess!\n\n	0
25017	70	268	2013-08-04 21:00:00.515685	2013-08-04 21:00:00.515685	<function sla_rc4 at 0x119bcf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending MoDEgZc8Iku\n\nSending bI1upieA3aR2DiBwUwoA9dypzNw6d1txZYOH3jm5kGEvQ1PRwYCVZNy18D9ZROGj0gRxaTpk0\n\nSending Xk0URSRKLcYGpK4JRwO6Os4iVOczKN005Dr2uupygUnNX2nkw1am7SSWJEckI0lycqFLUfIXuJFRtbuwxXdIJLOz\n\nSending yL7I4XO1b5Ege07gEqV1VNWJIpxevxhaAqJ2jmX703fI4LLP0WEVD1lvXuPe\n\nSuccess\n\n	0
25018	65	268	2013-08-04 21:00:00.516629	2013-08-04 21:00:00.516629	<function sla_sha256 at 0x1bf5c80>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 42Bv3IKaxhfghnQ\n\nSending JX34KNgNO392RH\n\nSending eTKtN9rZ\n\nSending D2dfDEFciRwCy6Mzro\n\nSuccess!\n\n	0
25019	67	268	2013-08-04 21:00:00.517558	2013-08-04 21:00:00.517558	<function sla_sha256 at 0x1230c80>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending 5vGrMlUSXTIGXpiFW38\n\nSending 7Zid1Wlt63\n\nSending FHmMeTwVfOXCIXUyoICc\n\nSending GeXrhdxRf\n\nSending k122BjSCnlbLtYF3oP\n\nSending zTu7bE2dPg\n\nSuccess!\n\n	0
25020	73	268	2013-08-04 21:00:00.51932	2013-08-04 21:00:00.51932	<function sla_sha256 at 0x1c54c80>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending U8YR3tDNumA\n\nSending cHqHHmFjIE\n\nSending dWxAE4oGrqLQBeC\n\nSending 1weU9\n\nSending IlsNGQYKQoq4jOu7Rm\n\nSending i7oQvOZSBcybDeYRCBbh8t\n\nSuccess!\n\n	0
25021	75	268	2013-08-04 21:00:00.52218	2013-08-04 21:00:00.52218	<function sla_rc4 at 0xc3acf8>\nNow waiting for <<RUNNING>>\n\nGot <<RUNNING>>\n\nSending TN0SOOUy6ZCX8a9Yl350blux5gY1dsu46UCdvKm974aABKt1a2xg74RjFx7lZXcRj3Z3ODYiXUfpiZU0vNaxSwgzf\n\nSending 5t7FYAzwYOYSR9AzU1mSMiC4drnb5L0xHLbNjz0VN33kQSZCQZqEFQVETS9JkSClQ5WODxWkPURjPtQguM6jcdmUckXosHJcDxYiaY4ZbvP\n\nSending qsuaFqwUmkTAi30GMMCWOtRTvPFBhccqsIDqTvxT9Mxp0F1Mc5tjmbPBs1BaMiUvfNK616jQeAINTdeLHg2wk2udDEz\n\nSuccess\n\n	0
25022	68	268	2013-08-04 21:00:00.525171	2013-08-04 21:00:00.525171		14
25023	97	268	2013-08-04 21:00:13.235685	2013-08-04 21:00:13.235685		14
25024	89	268	2013-08-04 21:00:13.242025	2013-08-04 21:00:13.242025		14
25025	93	268	2013-08-04 21:00:13.24505	2013-08-04 21:00:13.24505		14
25026	115	268	2013-08-04 21:00:13.248156	2013-08-04 21:00:13.248156		14
25027	109	268	2013-08-04 21:00:13.251173	2013-08-04 21:00:13.251173		14
25028	111	268	2013-08-04 21:00:13.254111	2013-08-04 21:00:13.254111		14
25029	95	268	2013-08-04 21:00:13.257281	2013-08-04 21:00:13.257281		14
25030	105	268	2013-08-04 21:00:13.260332	2013-08-04 21:00:13.260332		14
25031	113	268	2013-08-04 21:00:13.263196	2013-08-04 21:00:13.263196		14
25032	87	268	2013-08-04 21:00:13.265982	2013-08-04 21:00:13.265982		14
25033	103	268	2013-08-04 21:00:13.268892	2013-08-04 21:00:13.268892		14
25034	119	268	2013-08-04 21:00:13.272106	2013-08-04 21:00:13.272106		14
25035	107	268	2013-08-04 21:00:13.276667	2013-08-04 21:00:13.276667		14
25036	125	268	2013-08-04 21:00:13.280896	2013-08-04 21:00:13.280896		14
25037	117	268	2013-08-04 21:00:13.283822	2013-08-04 21:00:13.283822		14
25038	99	268	2013-08-04 21:00:13.285083	2013-08-04 21:00:13.285083		14
25039	101	268	2013-08-04 21:00:13.286156	2013-08-04 21:00:13.286156		14
25040	121	268	2013-08-04 21:00:13.287262	2013-08-04 21:00:13.287262		14
25041	85	268	2013-08-04 21:00:13.288328	2013-08-04 21:00:13.288328		14
25042	91	268	2013-08-04 21:00:13.28939	2013-08-04 21:00:13.28939		14
25043	88	268	2013-08-04 21:00:25.782652	2013-08-04 21:00:25.782652		14
25044	90	268	2013-08-04 21:00:25.788604	2013-08-04 21:00:25.788604		14
25045	118	268	2013-08-04 21:00:25.791564	2013-08-04 21:00:25.791564		14
25046	112	268	2013-08-04 21:00:25.794561	2013-08-04 21:00:25.794561		14
25047	104	268	2013-08-04 21:00:25.797556	2013-08-04 21:00:25.797556		14
25048	122	268	2013-08-04 21:00:25.800494	2013-08-04 21:00:25.800494		14
25049	86	268	2013-08-04 21:00:25.803315	2013-08-04 21:00:25.803315		14
25050	102	268	2013-08-04 21:00:25.806084	2013-08-04 21:00:25.806084		14
25051	110	268	2013-08-04 21:00:25.808864	2013-08-04 21:00:25.808864		14
25052	126	268	2013-08-04 21:00:25.811704	2013-08-04 21:00:25.811704		14
25053	120	268	2013-08-04 21:00:25.814644	2013-08-04 21:00:25.814644		14
25054	108	268	2013-08-04 21:00:25.817562	2013-08-04 21:00:25.817562		14
25055	98	268	2013-08-04 21:00:25.820243	2013-08-04 21:00:25.820243		14
25056	92	268	2013-08-04 21:00:25.822947	2013-08-04 21:00:25.822947		14
25057	100	268	2013-08-04 21:00:25.825877	2013-08-04 21:00:25.825877		14
25058	116	268	2013-08-04 21:00:25.828929	2013-08-04 21:00:25.828929		14
25059	96	268	2013-08-04 21:00:25.8318	2013-08-04 21:00:25.8318		14
25060	114	268	2013-08-04 21:00:25.834667	2013-08-04 21:00:25.834667		14
25061	106	268	2013-08-04 21:00:25.837563	2013-08-04 21:00:25.837563		14
25062	94	268	2013-08-04 21:00:25.84046	2013-08-04 21:00:25.84046		14
\.


--
-- Name: availabilities_id_seq; Type: SEQUENCE SET; Schema: public; Owner: scorebot
--

SELECT pg_catalog.setval('availabilities_id_seq', 25062, true);


--
-- Data for Name: captures; Type: TABLE DATA; Schema: public; Owner: scorebot
--

COPY captures (id, redemption_id, flag_id, created_at, updated_at, round_id) FROM stdin;
1	1	367	2013-08-02 17:25:30.665729	2013-08-02 17:25:30.665729	3
2	1	347	2013-08-02 17:25:30.711896	2013-08-02 17:25:30.711896	3
3	1	327	2013-08-02 17:25:30.717419	2013-08-02 17:25:30.717419	3
4	1	307	2013-08-02 17:25:30.722083	2013-08-02 17:25:30.722083	3
5	1	287	2013-08-02 17:25:30.726973	2013-08-02 17:25:30.726973	3
6	1	267	2013-08-02 17:25:30.732203	2013-08-02 17:25:30.732203	3
7	1	247	2013-08-02 17:25:30.737789	2013-08-02 17:25:30.737789	3
8	1	227	2013-08-02 17:25:30.742723	2013-08-02 17:25:30.742723	3
9	1	207	2013-08-02 17:25:30.747864	2013-08-02 17:25:30.747864	3
10	1	187	2013-08-02 17:25:30.753165	2013-08-02 17:25:30.753165	3
11	1	167	2013-08-02 17:25:30.758623	2013-08-02 17:25:30.758623	3
12	1	147	2013-08-02 17:25:30.764054	2013-08-02 17:25:30.764054	3
13	1	127	2013-08-02 17:25:30.769433	2013-08-02 17:25:30.769433	3
14	1	107	2013-08-02 17:25:30.774753	2013-08-02 17:25:30.774753	3
15	1	87	2013-08-02 17:25:30.78003	2013-08-02 17:25:30.78003	3
16	1	67	2013-08-02 17:25:30.785354	2013-08-02 17:25:30.785354	3
17	1	47	2013-08-02 17:25:30.790607	2013-08-02 17:25:30.790607	3
18	1	27	2013-08-02 17:25:30.795876	2013-08-02 17:25:30.795876	3
19	1	7	2013-08-02 17:25:30.801157	2013-08-02 17:25:30.801157	3
20	2	367	2013-08-02 17:30:30.965884	2013-08-02 17:30:30.965884	4
21	2	347	2013-08-02 17:30:30.977018	2013-08-02 17:30:30.977018	4
22	2	327	2013-08-02 17:30:30.980039	2013-08-02 17:30:30.980039	4
23	2	307	2013-08-02 17:30:30.983005	2013-08-02 17:30:30.983005	4
24	2	287	2013-08-02 17:30:30.986066	2013-08-02 17:30:30.986066	4
25	2	267	2013-08-02 17:30:30.989113	2013-08-02 17:30:30.989113	4
26	2	247	2013-08-02 17:30:30.993487	2013-08-02 17:30:30.993487	4
27	2	227	2013-08-02 17:30:30.996668	2013-08-02 17:30:30.996668	4
28	2	207	2013-08-02 17:30:31.000679	2013-08-02 17:30:31.000679	4
29	2	187	2013-08-02 17:30:31.003909	2013-08-02 17:30:31.003909	4
30	2	167	2013-08-02 17:30:31.007828	2013-08-02 17:30:31.007828	4
31	2	147	2013-08-02 17:30:31.010836	2013-08-02 17:30:31.010836	4
32	2	127	2013-08-02 17:30:31.013553	2013-08-02 17:30:31.013553	4
33	2	107	2013-08-02 17:30:31.015993	2013-08-02 17:30:31.015993	4
34	2	87	2013-08-02 17:30:31.018638	2013-08-02 17:30:31.018638	4
35	2	67	2013-08-02 17:30:31.021524	2013-08-02 17:30:31.021524	4
36	2	47	2013-08-02 17:30:31.025359	2013-08-02 17:30:31.025359	4
37	2	27	2013-08-02 17:30:31.030064	2013-08-02 17:30:31.030064	4
38	2	7	2013-08-02 17:30:31.033066	2013-08-02 17:30:31.033066	4
39	3	321	2013-08-02 21:17:08.432473	2013-08-02 21:17:08.432473	31
40	3	217	2013-08-02 21:17:08.450545	2013-08-02 21:17:08.450545	31
41	3	279	2013-08-02 21:17:08.460885	2013-08-02 21:17:08.460885	31
42	3	301	2013-08-02 21:17:08.469593	2013-08-02 21:17:08.469593	31
43	3	281	2013-08-02 21:17:08.478225	2013-08-02 21:17:08.478225	31
44	3	261	2013-08-02 21:17:08.486905	2013-08-02 21:17:08.486905	31
45	3	241	2013-08-02 21:17:08.495571	2013-08-02 21:17:08.495571	31
46	3	221	2013-08-02 21:17:08.503776	2013-08-02 21:17:08.503776	31
47	3	201	2013-08-02 21:17:08.511896	2013-08-02 21:17:08.511896	31
48	3	181	2013-08-02 21:17:08.520146	2013-08-02 21:17:08.520146	31
49	3	161	2013-08-02 21:17:08.528303	2013-08-02 21:17:08.528303	31
50	3	141	2013-08-02 21:17:08.53645	2013-08-02 21:17:08.53645	31
51	3	121	2013-08-02 21:17:08.544761	2013-08-02 21:17:08.544761	31
52	3	101	2013-08-02 21:17:08.552805	2013-08-02 21:17:08.552805	31
53	3	81	2013-08-02 21:17:08.560937	2013-08-02 21:17:08.560937	31
54	3	61	2013-08-02 21:17:08.569129	2013-08-02 21:17:08.569129	31
55	3	41	2013-08-02 21:17:08.577293	2013-08-02 21:17:08.577293	31
56	3	21	2013-08-02 21:17:08.585394	2013-08-02 21:17:08.585394	31
57	3	1	2013-08-02 21:17:08.593489	2013-08-02 21:17:08.593489	31
58	4	321	2013-08-02 21:17:08.614272	2013-08-02 21:17:08.614272	31
59	4	217	2013-08-02 21:17:08.619219	2013-08-02 21:17:08.619219	31
60	4	279	2013-08-02 21:17:08.622508	2013-08-02 21:17:08.622508	31
61	4	301	2013-08-02 21:17:08.625525	2013-08-02 21:17:08.625525	31
62	4	281	2013-08-02 21:17:08.628521	2013-08-02 21:17:08.628521	31
63	4	261	2013-08-02 21:17:08.631572	2013-08-02 21:17:08.631572	31
64	4	241	2013-08-02 21:17:08.634575	2013-08-02 21:17:08.634575	31
65	4	221	2013-08-02 21:17:08.637563	2013-08-02 21:17:08.637563	31
66	4	201	2013-08-02 21:17:08.644431	2013-08-02 21:17:08.644431	31
67	4	181	2013-08-02 21:17:08.652441	2013-08-02 21:17:08.652441	31
68	4	161	2013-08-02 21:17:08.660475	2013-08-02 21:17:08.660475	31
69	4	141	2013-08-02 21:17:08.666648	2013-08-02 21:17:08.666648	31
70	4	121	2013-08-02 21:17:08.673256	2013-08-02 21:17:08.673256	31
71	4	101	2013-08-02 21:17:08.681339	2013-08-02 21:17:08.681339	31
72	4	81	2013-08-02 21:17:08.689479	2013-08-02 21:17:08.689479	31
73	4	61	2013-08-02 21:17:08.693756	2013-08-02 21:17:08.693756	31
74	4	41	2013-08-02 21:17:08.698712	2013-08-02 21:17:08.698712	31
75	4	21	2013-08-02 21:17:08.703557	2013-08-02 21:17:08.703557	31
76	4	1	2013-08-02 21:17:08.710281	2013-08-02 21:17:08.710281	31
77	5	2372	2013-08-02 23:37:08.931088	2013-08-02 23:37:08.931088	59
78	5	2251	2013-08-02 23:37:08.948852	2013-08-02 23:37:08.948852	59
79	5	2284	2013-08-02 23:37:08.961177	2013-08-02 23:37:08.961177	59
80	5	2326	2013-08-02 23:37:09.021157	2013-08-02 23:37:09.021157	59
81	5	2352	2013-08-02 23:37:09.02808	2013-08-02 23:37:09.02808	59
82	5	2332	2013-08-02 23:37:09.033776	2013-08-02 23:37:09.033776	59
83	5	2312	2013-08-02 23:37:09.038264	2013-08-02 23:37:09.038264	59
84	5	2292	2013-08-02 23:37:09.044788	2013-08-02 23:37:09.044788	59
85	5	2272	2013-08-02 23:37:09.055682	2013-08-02 23:37:09.055682	59
86	5	2252	2013-08-02 23:37:09.066432	2013-08-02 23:37:09.066432	59
87	5	2232	2013-08-02 23:37:09.077049	2013-08-02 23:37:09.077049	59
88	5	2212	2013-08-02 23:37:09.087791	2013-08-02 23:37:09.087791	59
89	5	2101	2013-08-02 23:37:09.098566	2013-08-02 23:37:09.098566	59
90	5	2044	2013-08-02 23:37:09.108806	2013-08-02 23:37:09.108806	59
91	5	2106	2013-08-02 23:37:09.118315	2013-08-02 23:37:09.118315	59
92	5	1965	2013-08-02 23:37:09.128682	2013-08-02 23:37:09.128682	59
93	5	1660	2013-08-02 23:37:09.139518	2013-08-02 23:37:09.139518	59
94	5	1679	2013-08-02 23:37:09.147423	2013-08-02 23:37:09.147423	59
95	5	1585	2013-08-02 23:37:09.151517	2013-08-02 23:37:09.151517	59
96	6	2892	2013-08-02 23:42:08.288672	2013-08-02 23:42:08.288672	60
97	6	2872	2013-08-02 23:42:08.301363	2013-08-02 23:42:08.301363	60
98	6	2852	2013-08-02 23:42:08.312386	2013-08-02 23:42:08.312386	60
99	6	2832	2013-08-02 23:42:08.323429	2013-08-02 23:42:08.323429	60
100	6	2686	2013-08-02 23:42:08.334462	2013-08-02 23:42:08.334462	60
101	6	2790	2013-08-02 23:42:08.344527	2013-08-02 23:42:08.344527	60
102	6	2812	2013-08-02 23:42:08.355749	2013-08-02 23:42:08.355749	60
103	6	2792	2013-08-02 23:42:08.366791	2013-08-02 23:42:08.366791	60
104	6	2772	2013-08-02 23:42:08.37787	2013-08-02 23:42:08.37787	60
105	6	2752	2013-08-02 23:42:08.38873	2013-08-02 23:42:08.38873	60
106	6	2732	2013-08-02 23:42:08.399006	2013-08-02 23:42:08.399006	60
107	6	2712	2013-08-02 23:42:08.409219	2013-08-02 23:42:08.409219	60
108	6	2692	2013-08-02 23:42:08.419175	2013-08-02 23:42:08.419175	60
109	6	2672	2013-08-02 23:42:08.429213	2013-08-02 23:42:08.429213	60
110	6	2544	2013-08-02 23:42:08.439892	2013-08-02 23:42:08.439892	60
111	6	2101	2013-08-02 23:42:08.449855	2013-08-02 23:42:08.449855	60
112	6	1920	2013-08-02 23:42:08.459897	2013-08-02 23:42:08.459897	60
113	6	1941	2013-08-02 23:42:08.469882	2013-08-02 23:42:08.469882	60
114	6	1859	2013-08-02 23:42:08.480757	2013-08-02 23:42:08.480757	60
115	11	2904	2013-08-02 23:52:10.443535	2013-08-02 23:52:10.443535	62
116	11	2884	2013-08-02 23:52:10.450827	2013-08-02 23:52:10.450827	62
117	11	2864	2013-08-02 23:52:10.455986	2013-08-02 23:52:10.455986	62
118	11	2844	2013-08-02 23:52:10.46157	2013-08-02 23:52:10.46157	62
119	11	2824	2013-08-02 23:52:10.467968	2013-08-02 23:52:10.467968	62
120	11	2804	2013-08-02 23:52:10.471477	2013-08-02 23:52:10.471477	62
121	11	2784	2013-08-02 23:52:10.474998	2013-08-02 23:52:10.474998	62
122	11	2764	2013-08-02 23:52:10.479161	2013-08-02 23:52:10.479161	62
123	11	2744	2013-08-02 23:52:10.483411	2013-08-02 23:52:10.483411	62
124	11	2724	2013-08-02 23:52:10.488281	2013-08-02 23:52:10.488281	62
125	11	2704	2013-08-02 23:52:10.492625	2013-08-02 23:52:10.492625	62
126	11	2684	2013-08-02 23:52:10.496851	2013-08-02 23:52:10.496851	62
127	11	2610	2013-08-02 23:52:10.504007	2013-08-02 23:52:10.504007	62
128	11	2664	2013-08-02 23:52:10.508544	2013-08-02 23:52:10.508544	62
129	11	2644	2013-08-02 23:52:10.512612	2013-08-02 23:52:10.512612	62
130	11	2265	2013-08-02 23:52:10.516308	2013-08-02 23:52:10.516308	62
131	11	2080	2013-08-02 23:52:10.519149	2013-08-02 23:52:10.519149	62
132	11	2154	2013-08-02 23:52:10.522718	2013-08-02 23:52:10.522718	62
133	11	1979	2013-08-02 23:52:10.525396	2013-08-02 23:52:10.525396	62
134	10	1658	2013-08-02 23:52:10.556398	2013-08-02 23:52:10.556398	62
135	10	1638	2013-08-02 23:52:10.560773	2013-08-02 23:52:10.560773	62
136	10	1618	2013-08-02 23:52:10.593714	2013-08-02 23:52:10.593714	62
137	10	1598	2013-08-02 23:52:10.599053	2013-08-02 23:52:10.599053	62
138	10	1578	2013-08-02 23:52:10.604559	2013-08-02 23:52:10.604559	62
139	10	1459	2013-08-02 23:52:10.61136	2013-08-02 23:52:10.61136	62
140	10	1499	2013-08-02 23:52:10.617428	2013-08-02 23:52:10.617428	62
141	10	1519	2013-08-02 23:52:10.624066	2013-08-02 23:52:10.624066	62
142	10	1539	2013-08-02 23:52:10.628194	2013-08-02 23:52:10.628194	62
143	10	1559	2013-08-02 23:52:10.634861	2013-08-02 23:52:10.634861	62
144	10	1450	2013-08-02 23:52:10.6427	2013-08-02 23:52:10.6427	62
145	10	1488	2013-08-02 23:52:10.647838	2013-08-02 23:52:10.647838	62
146	10	1485	2013-08-02 23:52:10.653154	2013-08-02 23:52:10.653154	62
147	10	1505	2013-08-02 23:52:10.658632	2013-08-02 23:52:10.658632	62
148	10	1525	2013-08-02 23:52:10.663948	2013-08-02 23:52:10.663948	62
149	10	1545	2013-08-02 23:52:10.669097	2013-08-02 23:52:10.669097	62
150	10	1565	2013-08-02 23:52:10.673249	2013-08-02 23:52:10.673249	62
151	10	1470	2013-08-02 23:52:10.677896	2013-08-02 23:52:10.677896	62
152	10	1558	2013-08-02 23:52:10.683461	2013-08-02 23:52:10.683461	62
153	9	2359	2013-08-02 23:52:10.696592	2013-08-02 23:52:10.696592	62
154	9	2210	2013-08-02 23:52:10.700883	2013-08-02 23:52:10.700883	62
155	9	2339	2013-08-02 23:52:10.704718	2013-08-02 23:52:10.704718	62
156	9	2319	2013-08-02 23:52:10.709719	2013-08-02 23:52:10.709719	62
157	9	2299	2013-08-02 23:52:10.716959	2013-08-02 23:52:10.716959	62
158	9	2279	2013-08-02 23:52:10.726389	2013-08-02 23:52:10.726389	62
159	9	2259	2013-08-02 23:52:10.732469	2013-08-02 23:52:10.732469	62
160	9	2239	2013-08-02 23:52:10.737708	2013-08-02 23:52:10.737708	62
161	9	2219	2013-08-02 23:52:10.743058	2013-08-02 23:52:10.743058	62
162	9	2199	2013-08-02 23:52:10.747382	2013-08-02 23:52:10.747382	62
163	9	2108	2013-08-02 23:52:10.75184	2013-08-02 23:52:10.75184	62
164	9	2128	2013-08-02 23:52:10.755913	2013-08-02 23:52:10.755913	62
165	9	2179	2013-08-02 23:52:10.760144	2013-08-02 23:52:10.760144	62
166	9	2159	2013-08-02 23:52:10.764877	2013-08-02 23:52:10.764877	62
167	9	2139	2013-08-02 23:52:10.769325	2013-08-02 23:52:10.769325	62
168	9	2119	2013-08-02 23:52:10.773734	2013-08-02 23:52:10.773734	62
169	9	2099	2013-08-02 23:52:10.778223	2013-08-02 23:52:10.778223	62
170	9	2079	2013-08-02 23:52:10.785331	2013-08-02 23:52:10.785331	62
171	9	2059	2013-08-02 23:52:10.792398	2013-08-02 23:52:10.792398	62
172	12	1142	2013-08-02 23:57:06.921042	2013-08-02 23:57:06.921042	63
173	12	1122	2013-08-02 23:57:06.927443	2013-08-02 23:57:06.927443	63
174	12	1102	2013-08-02 23:57:06.931359	2013-08-02 23:57:06.931359	63
175	12	960	2013-08-02 23:57:06.935016	2013-08-02 23:57:06.935016	63
176	12	1028	2013-08-02 23:57:06.938564	2013-08-02 23:57:06.938564	63
177	12	1055	2013-08-02 23:57:06.942231	2013-08-02 23:57:06.942231	63
178	12	1019	2013-08-02 23:57:06.947108	2013-08-02 23:57:06.947108	63
179	12	945	2013-08-02 23:57:06.950678	2013-08-02 23:57:06.950678	63
180	12	970	2013-08-02 23:57:06.953987	2013-08-02 23:57:06.953987	63
181	12	1084	2013-08-02 23:57:06.958669	2013-08-02 23:57:06.958669	63
182	12	1010	2013-08-02 23:57:06.963621	2013-08-02 23:57:06.963621	63
183	12	1082	2013-08-02 23:57:06.96861	2013-08-02 23:57:06.96861	63
184	12	1062	2013-08-02 23:57:06.974275	2013-08-02 23:57:06.974275	63
185	12	1042	2013-08-02 23:57:06.977792	2013-08-02 23:57:06.977792	63
186	12	1022	2013-08-02 23:57:06.981524	2013-08-02 23:57:06.981524	63
187	12	1002	2013-08-02 23:57:06.985415	2013-08-02 23:57:06.985415	63
188	12	982	2013-08-02 23:57:06.988853	2013-08-02 23:57:06.988853	63
189	12	962	2013-08-02 23:57:06.992696	2013-08-02 23:57:06.992696	63
190	12	918	2013-08-02 23:57:06.996313	2013-08-02 23:57:06.996313	63
191	13	2508	2013-08-02 23:57:07.016949	2013-08-02 23:57:07.016949	63
192	13	2488	2013-08-02 23:57:07.021547	2013-08-02 23:57:07.021547	63
193	13	2468	2013-08-02 23:57:07.026184	2013-08-02 23:57:07.026184	63
194	13	2448	2013-08-02 23:57:07.030497	2013-08-02 23:57:07.030497	63
195	13	2428	2013-08-02 23:57:07.034402	2013-08-02 23:57:07.034402	63
196	13	2408	2013-08-02 23:57:07.038448	2013-08-02 23:57:07.038448	63
197	13	2388	2013-08-02 23:57:07.043188	2013-08-02 23:57:07.043188	63
198	13	2368	2013-08-02 23:57:07.049044	2013-08-02 23:57:07.049044	63
199	13	2205	2013-08-02 23:57:07.055948	2013-08-02 23:57:07.055948	63
200	13	2311	2013-08-02 23:57:07.062013	2013-08-02 23:57:07.062013	63
201	13	2348	2013-08-02 23:57:07.069455	2013-08-02 23:57:07.069455	63
202	13	2328	2013-08-02 23:57:07.072973	2013-08-02 23:57:07.072973	63
203	13	2308	2013-08-02 23:57:07.080954	2013-08-02 23:57:07.080954	63
204	13	2288	2013-08-02 23:57:07.087296	2013-08-02 23:57:07.087296	63
205	13	2268	2013-08-02 23:57:07.096092	2013-08-02 23:57:07.096092	63
206	13	2248	2013-08-02 23:57:07.106321	2013-08-02 23:57:07.106321	63
207	13	2068	2013-08-02 23:57:07.117249	2013-08-02 23:57:07.117249	63
208	13	2000	2013-08-02 23:57:07.127674	2013-08-02 23:57:07.127674	63
209	13	1899	2013-08-02 23:57:07.132951	2013-08-02 23:57:07.132951	63
210	16	2971	2013-08-02 23:57:07.147443	2013-08-02 23:57:07.147443	63
211	16	2951	2013-08-02 23:57:07.152365	2013-08-02 23:57:07.152365	63
212	16	2931	2013-08-02 23:57:07.157014	2013-08-02 23:57:07.157014	63
213	16	2911	2013-08-02 23:57:07.16139	2013-08-02 23:57:07.16139	63
214	16	2891	2013-08-02 23:57:07.197024	2013-08-02 23:57:07.197024	63
215	16	2871	2013-08-02 23:57:07.207924	2013-08-02 23:57:07.207924	63
216	16	2851	2013-08-02 23:57:07.218145	2013-08-02 23:57:07.218145	63
217	16	2831	2013-08-02 23:57:07.229348	2013-08-02 23:57:07.229348	63
218	16	2746	2013-08-02 23:57:07.240731	2013-08-02 23:57:07.240731	63
219	16	2810	2013-08-02 23:57:07.251216	2013-08-02 23:57:07.251216	63
220	16	2811	2013-08-02 23:57:07.262159	2013-08-02 23:57:07.262159	63
221	16	2791	2013-08-02 23:57:07.272977	2013-08-02 23:57:07.272977	63
222	16	2771	2013-08-02 23:57:07.283843	2013-08-02 23:57:07.283843	63
223	16	2751	2013-08-02 23:57:07.295076	2013-08-02 23:57:07.295076	63
224	16	2731	2013-08-02 23:57:07.306273	2013-08-02 23:57:07.306273	63
225	16	2711	2013-08-02 23:57:07.317632	2013-08-02 23:57:07.317632	63
226	16	2044	2013-08-02 23:57:07.324634	2013-08-02 23:57:07.324634	63
227	16	1940	2013-08-02 23:57:07.333883	2013-08-02 23:57:07.333883	63
228	16	1945	2013-08-02 23:57:07.343986	2013-08-02 23:57:07.343986	63
229	14	3252	2013-08-02 23:57:07.369009	2013-08-02 23:57:07.369009	63
230	14	3232	2013-08-02 23:57:07.379021	2013-08-02 23:57:07.379021	63
231	14	3212	2013-08-02 23:57:07.38742	2013-08-02 23:57:07.38742	63
232	14	3192	2013-08-02 23:57:07.392623	2013-08-02 23:57:07.392623	63
233	14	3172	2013-08-02 23:57:07.400141	2013-08-02 23:57:07.400141	63
234	14	3152	2013-08-02 23:57:07.410243	2013-08-02 23:57:07.410243	63
235	14	3010	2013-08-02 23:57:07.421261	2013-08-02 23:57:07.421261	63
236	14	3132	2013-08-02 23:57:07.432486	2013-08-02 23:57:07.432486	63
237	14	3112	2013-08-02 23:57:07.443745	2013-08-02 23:57:07.443745	63
238	14	3092	2013-08-02 23:57:07.454799	2013-08-02 23:57:07.454799	63
239	14	3072	2013-08-02 23:57:07.466281	2013-08-02 23:57:07.466281	63
240	14	3052	2013-08-02 23:57:07.477943	2013-08-02 23:57:07.477943	63
241	14	3032	2013-08-02 23:57:07.488904	2013-08-02 23:57:07.488904	63
242	14	3012	2013-08-02 23:57:07.492516	2013-08-02 23:57:07.492516	63
243	14	2992	2013-08-02 23:57:07.496183	2013-08-02 23:57:07.496183	63
244	14	2972	2013-08-02 23:57:07.49984	2013-08-02 23:57:07.49984	63
245	14	2952	2013-08-02 23:57:07.503336	2013-08-02 23:57:07.503336	63
246	14	2932	2013-08-02 23:57:07.507026	2013-08-02 23:57:07.507026	63
247	14	2912	2013-08-02 23:57:07.510556	2013-08-02 23:57:07.510556	63
248	15	1588	2013-08-02 23:57:07.530145	2013-08-02 23:57:07.530145	63
249	15	1608	2013-08-02 23:57:07.541434	2013-08-02 23:57:07.541434	63
250	15	1648	2013-08-02 23:57:07.55151	2013-08-02 23:57:07.55151	63
251	15	1591	2013-08-02 23:57:07.562549	2013-08-02 23:57:07.562549	63
252	15	1701	2013-08-02 23:57:07.573227	2013-08-02 23:57:07.573227	63
253	15	1716	2013-08-02 23:57:07.584098	2013-08-02 23:57:07.584098	63
254	15	1696	2013-08-02 23:57:07.594915	2013-08-02 23:57:07.594915	63
255	15	1676	2013-08-02 23:57:07.605611	2013-08-02 23:57:07.605611	63
256	15	1656	2013-08-02 23:57:07.616368	2013-08-02 23:57:07.616368	63
257	15	1636	2013-08-02 23:57:07.62744	2013-08-02 23:57:07.62744	63
258	15	1616	2013-08-02 23:57:07.639104	2013-08-02 23:57:07.639104	63
259	15	1596	2013-08-02 23:57:07.654534	2013-08-02 23:57:07.654534	63
260	15	1576	2013-08-02 23:57:07.660434	2013-08-02 23:57:07.660434	63
261	15	1428	2013-08-02 23:57:07.664838	2013-08-02 23:57:07.664838	63
262	15	1568	2013-08-02 23:57:07.66943	2013-08-02 23:57:07.66943	63
263	15	1548	2013-08-02 23:57:07.673597	2013-08-02 23:57:07.673597	63
264	15	1528	2013-08-02 23:57:07.679337	2013-08-02 23:57:07.679337	63
265	15	1448	2013-08-02 23:57:07.684971	2013-08-02 23:57:07.684971	63
266	15	1561	2013-08-02 23:57:07.689357	2013-08-02 23:57:07.689357	63
267	17	2699	2013-08-02 23:57:07.705194	2013-08-02 23:57:07.705194	63
268	17	2679	2013-08-02 23:57:07.710812	2013-08-02 23:57:07.710812	63
269	17	2630	2013-08-02 23:57:07.7167	2013-08-02 23:57:07.7167	63
270	17	2643	2013-08-02 23:57:07.727212	2013-08-02 23:57:07.727212	63
271	17	2659	2013-08-02 23:57:07.736674	2013-08-02 23:57:07.736674	63
272	17	2639	2013-08-02 23:57:07.74738	2013-08-02 23:57:07.74738	63
273	17	2619	2013-08-02 23:57:07.758039	2013-08-02 23:57:07.758039	63
274	17	2599	2013-08-02 23:57:07.76918	2013-08-02 23:57:07.76918	63
275	17	2579	2013-08-02 23:57:07.780898	2013-08-02 23:57:07.780898	63
276	17	2559	2013-08-02 23:57:07.792187	2013-08-02 23:57:07.792187	63
277	17	2539	2013-08-02 23:57:07.801795	2013-08-02 23:57:07.801795	63
278	17	2519	2013-08-02 23:57:07.806113	2013-08-02 23:57:07.806113	63
279	17	2499	2013-08-02 23:57:07.810497	2013-08-02 23:57:07.810497	63
280	17	2479	2013-08-02 23:57:07.860235	2013-08-02 23:57:07.860235	63
281	17	2459	2013-08-02 23:57:07.871054	2013-08-02 23:57:07.871054	63
282	17	2439	2013-08-02 23:57:07.882258	2013-08-02 23:57:07.882258	63
283	17	2419	2013-08-02 23:57:07.893295	2013-08-02 23:57:07.893295	63
284	17	2399	2013-08-02 23:57:07.904198	2013-08-02 23:57:07.904198	63
285	17	2379	2013-08-02 23:57:07.915275	2013-08-02 23:57:07.915275	63
286	1207	2681	2013-08-03 00:02:07.516654	2013-08-03 00:02:07.516654	64
287	1207	2624	2013-08-03 00:02:07.524924	2013-08-03 00:02:07.524924	64
288	1207	2550	2013-08-03 00:02:07.529486	2013-08-03 00:02:07.529486	64
289	1207	2661	2013-08-03 00:02:07.534858	2013-08-03 00:02:07.534858	64
290	1207	2641	2013-08-03 00:02:07.539959	2013-08-03 00:02:07.539959	64
291	1207	2621	2013-08-03 00:02:07.545518	2013-08-03 00:02:07.545518	64
292	1207	2601	2013-08-03 00:02:07.551584	2013-08-03 00:02:07.551584	64
293	1207	2581	2013-08-03 00:02:07.557554	2013-08-03 00:02:07.557554	64
294	1207	2561	2013-08-03 00:02:07.564476	2013-08-03 00:02:07.564476	64
295	1207	2541	2013-08-03 00:02:07.571579	2013-08-03 00:02:07.571579	64
296	1207	2521	2013-08-03 00:02:07.579145	2013-08-03 00:02:07.579145	64
297	1207	2411	2013-08-03 00:02:07.586647	2013-08-03 00:02:07.586647	64
298	1207	2374	2013-08-03 00:02:07.594148	2013-08-03 00:02:07.594148	64
299	1207	2424	2013-08-03 00:02:07.602679	2013-08-03 00:02:07.602679	64
300	1207	2325	2013-08-03 00:02:07.643002	2013-08-03 00:02:07.643002	64
301	1207	2140	2013-08-03 00:02:07.647611	2013-08-03 00:02:07.647611	64
302	1207	2039	2013-08-03 00:02:07.652466	2013-08-03 00:02:07.652466	64
303	1207	1775	2013-08-03 00:02:07.657505	2013-08-03 00:02:07.657505	64
304	1207	1729	2013-08-03 00:02:07.665523	2013-08-03 00:02:07.665523	64
305	1195	1402	2013-08-03 00:02:07.69007	2013-08-03 00:02:07.69007	64
306	1195	1382	2013-08-03 00:02:07.701639	2013-08-03 00:02:07.701639	64
307	1195	1362	2013-08-03 00:02:07.7128	2013-08-03 00:02:07.7128	64
308	1195	1342	2013-08-03 00:02:07.724137	2013-08-03 00:02:07.724137	64
309	1195	1322	2013-08-03 00:02:07.732979	2013-08-03 00:02:07.732979	64
310	1195	1302	2013-08-03 00:02:07.741934	2013-08-03 00:02:07.741934	64
311	1195	1282	2013-08-03 00:02:07.749189	2013-08-03 00:02:07.749189	64
312	1195	1262	2013-08-03 00:02:07.755529	2013-08-03 00:02:07.755529	64
313	1195	1180	2013-08-03 00:02:07.760455	2013-08-03 00:02:07.760455	64
314	1195	1184	2013-08-03 00:02:07.763865	2013-08-03 00:02:07.763865	64
315	1195	1205	2013-08-03 00:02:07.767511	2013-08-03 00:02:07.767511	64
316	1195	1173	2013-08-03 00:02:07.771247	2013-08-03 00:02:07.771247	64
317	1195	1152	2013-08-03 00:02:07.775824	2013-08-03 00:02:07.775824	64
318	1195	1131	2013-08-03 00:02:07.780139	2013-08-03 00:02:07.780139	64
319	1195	1242	2013-08-03 00:02:07.784166	2013-08-03 00:02:07.784166	64
320	1195	1222	2013-08-03 00:02:07.788593	2013-08-03 00:02:07.788593	64
321	1195	1202	2013-08-03 00:02:07.796136	2013-08-03 00:02:07.796136	64
322	1195	1182	2013-08-03 00:02:07.802775	2013-08-03 00:02:07.802775	64
323	1195	1162	2013-08-03 00:02:07.810136	2013-08-03 00:02:07.810136	64
324	1208	2299	2013-08-03 00:02:07.833683	2013-08-03 00:02:07.833683	64
325	1208	2319	2013-08-03 00:02:07.839764	2013-08-03 00:02:07.839764	64
326	1208	2339	2013-08-03 00:02:07.845497	2013-08-03 00:02:07.845497	64
327	1208	2210	2013-08-03 00:02:07.851246	2013-08-03 00:02:07.851246	64
328	1208	2265	2013-08-03 00:02:07.857455	2013-08-03 00:02:07.857455	64
329	1208	2140	2013-08-03 00:02:07.865625	2013-08-03 00:02:07.865625	64
330	1208	2059	2013-08-03 00:02:07.874063	2013-08-03 00:02:07.874063	64
331	1208	2079	2013-08-03 00:02:07.88244	2013-08-03 00:02:07.88244	64
332	1208	2099	2013-08-03 00:02:07.890915	2013-08-03 00:02:07.890915	64
333	1208	2119	2013-08-03 00:02:07.899359	2013-08-03 00:02:07.899359	64
334	1208	2139	2013-08-03 00:02:07.907755	2013-08-03 00:02:07.907755	64
335	1208	2159	2013-08-03 00:02:07.916093	2013-08-03 00:02:07.916093	64
336	1208	2179	2013-08-03 00:02:07.924354	2013-08-03 00:02:07.924354	64
337	1208	2128	2013-08-03 00:02:07.932864	2013-08-03 00:02:07.932864	64
338	1208	2108	2013-08-03 00:02:07.941252	2013-08-03 00:02:07.941252	64
339	1208	2080	2013-08-03 00:02:07.950177	2013-08-03 00:02:07.950177	64
340	1208	2154	2013-08-03 00:02:07.958646	2013-08-03 00:02:07.958646	64
341	1208	2039	2013-08-03 00:02:07.967375	2013-08-03 00:02:07.967375	64
342	1208	1979	2013-08-03 00:02:07.976267	2013-08-03 00:02:07.976267	64
343	19	2299	2013-08-03 00:02:07.997559	2013-08-03 00:02:07.997559	64
344	19	2319	2013-08-03 00:02:08.008189	2013-08-03 00:02:08.008189	64
345	19	2339	2013-08-03 00:02:08.01833	2013-08-03 00:02:08.01833	64
346	19	2210	2013-08-03 00:02:08.02875	2013-08-03 00:02:08.02875	64
347	19	2265	2013-08-03 00:02:08.03934	2013-08-03 00:02:08.03934	64
348	19	2140	2013-08-03 00:02:08.050584	2013-08-03 00:02:08.050584	64
349	19	2059	2013-08-03 00:02:08.061196	2013-08-03 00:02:08.061196	64
350	19	2079	2013-08-03 00:02:08.066957	2013-08-03 00:02:08.066957	64
351	19	2099	2013-08-03 00:02:08.070282	2013-08-03 00:02:08.070282	64
352	19	2119	2013-08-03 00:02:08.07363	2013-08-03 00:02:08.07363	64
353	19	2139	2013-08-03 00:02:08.077071	2013-08-03 00:02:08.077071	64
354	19	2159	2013-08-03 00:02:08.080298	2013-08-03 00:02:08.080298	64
355	19	2179	2013-08-03 00:02:08.083972	2013-08-03 00:02:08.083972	64
356	19	2128	2013-08-03 00:02:08.08829	2013-08-03 00:02:08.08829	64
357	19	2108	2013-08-03 00:02:08.093872	2013-08-03 00:02:08.093872	64
358	19	2080	2013-08-03 00:02:08.099854	2013-08-03 00:02:08.099854	64
359	19	2154	2013-08-03 00:02:08.142218	2013-08-03 00:02:08.142218	64
360	19	2039	2013-08-03 00:02:08.147547	2013-08-03 00:02:08.147547	64
361	19	1979	2013-08-03 00:02:08.151477	2013-08-03 00:02:08.151477	64
362	1203	2788	2013-08-03 00:02:08.185931	2013-08-03 00:02:08.185931	64
363	1203	2768	2013-08-03 00:02:08.197092	2013-08-03 00:02:08.197092	64
364	1203	2748	2013-08-03 00:02:08.208338	2013-08-03 00:02:08.208338	64
365	1203	2728	2013-08-03 00:02:08.22194	2013-08-03 00:02:08.22194	64
366	1203	2708	2013-08-03 00:02:08.227834	2013-08-03 00:02:08.227834	64
367	1203	2688	2013-08-03 00:02:08.23342	2013-08-03 00:02:08.23342	64
368	1203	2597	2013-08-03 00:02:08.239186	2013-08-03 00:02:08.239186	64
369	1203	2571	2013-08-03 00:02:08.245567	2013-08-03 00:02:08.245567	64
370	1203	2668	2013-08-03 00:02:08.255299	2013-08-03 00:02:08.255299	64
371	1203	2648	2013-08-03 00:02:08.266087	2013-08-03 00:02:08.266087	64
372	1203	2628	2013-08-03 00:02:08.27675	2013-08-03 00:02:08.27675	64
373	1203	2608	2013-08-03 00:02:08.288675	2013-08-03 00:02:08.288675	64
374	1203	2588	2013-08-03 00:02:08.300362	2013-08-03 00:02:08.300362	64
375	1203	2568	2013-08-03 00:02:08.311449	2013-08-03 00:02:08.311449	64
376	1203	2548	2013-08-03 00:02:08.323432	2013-08-03 00:02:08.323432	64
377	1203	2528	2013-08-03 00:02:08.332552	2013-08-03 00:02:08.332552	64
378	1203	2381	2013-08-03 00:02:08.3372	2013-08-03 00:02:08.3372	64
379	1203	2406	2013-08-03 00:02:08.341714	2013-08-03 00:02:08.341714	64
380	1203	2410	2013-08-03 00:02:08.345743	2013-08-03 00:02:08.345743	64
381	27	3108	2013-08-03 00:02:08.352375	2013-08-03 00:02:08.352375	64
382	27	3088	2013-08-03 00:02:08.359592	2013-08-03 00:02:08.359592	64
383	27	3068	2013-08-03 00:02:08.370445	2013-08-03 00:02:08.370445	64
384	27	3048	2013-08-03 00:02:08.380809	2013-08-03 00:02:08.380809	64
385	27	3028	2013-08-03 00:02:08.391774	2013-08-03 00:02:08.391774	64
386	27	3008	2013-08-03 00:02:08.402983	2013-08-03 00:02:08.402983	64
387	27	2988	2013-08-03 00:02:08.413819	2013-08-03 00:02:08.413819	64
388	27	2919	2013-08-03 00:02:08.425918	2013-08-03 00:02:08.425918	64
389	27	2850	2013-08-03 00:02:08.437136	2013-08-03 00:02:08.437136	64
390	27	2968	2013-08-03 00:02:08.447802	2013-08-03 00:02:08.447802	64
391	27	2948	2013-08-03 00:02:08.458704	2013-08-03 00:02:08.458704	64
392	27	2928	2013-08-03 00:02:08.469346	2013-08-03 00:02:08.469346	64
393	27	2908	2013-08-03 00:02:08.48017	2013-08-03 00:02:08.48017	64
394	27	2888	2013-08-03 00:02:08.491344	2013-08-03 00:02:08.491344	64
395	27	2868	2013-08-03 00:02:08.503121	2013-08-03 00:02:08.503121	64
396	27	2848	2013-08-03 00:02:08.514439	2013-08-03 00:02:08.514439	64
397	27	2828	2013-08-03 00:02:08.526173	2013-08-03 00:02:08.526173	64
398	27	2806	2013-08-03 00:02:08.538129	2013-08-03 00:02:08.538129	64
399	27	2808	2013-08-03 00:02:08.548082	2013-08-03 00:02:08.548082	64
400	1204	3291	2013-08-03 00:02:08.565461	2013-08-03 00:02:08.565461	64
401	1204	3271	2013-08-03 00:02:08.569464	2013-08-03 00:02:08.569464	64
402	1204	3251	2013-08-03 00:02:08.573942	2013-08-03 00:02:08.573942	64
403	1204	3231	2013-08-03 00:02:08.579229	2013-08-03 00:02:08.579229	64
404	1204	3211	2013-08-03 00:02:08.584369	2013-08-03 00:02:08.584369	64
405	1204	3191	2013-08-03 00:02:08.588981	2013-08-03 00:02:08.588981	64
406	1204	3171	2013-08-03 00:02:08.594853	2013-08-03 00:02:08.594853	64
407	1204	3151	2013-08-03 00:02:08.600494	2013-08-03 00:02:08.600494	64
408	1204	3030	2013-08-03 00:02:08.608134	2013-08-03 00:02:08.608134	64
409	1204	3131	2013-08-03 00:02:08.62001	2013-08-03 00:02:08.62001	64
410	1204	3111	2013-08-03 00:02:08.631635	2013-08-03 00:02:08.631635	64
411	1204	3091	2013-08-03 00:02:08.641326	2013-08-03 00:02:08.641326	64
412	1204	3071	2013-08-03 00:02:08.644647	2013-08-03 00:02:08.644647	64
413	1204	3051	2013-08-03 00:02:08.647853	2013-08-03 00:02:08.647853	64
414	1204	3031	2013-08-03 00:02:08.651003	2013-08-03 00:02:08.651003	64
415	1204	3011	2013-08-03 00:02:08.654245	2013-08-03 00:02:08.654245	64
416	1204	2991	2013-08-03 00:02:08.657392	2013-08-03 00:02:08.657392	64
417	1204	2859	2013-08-03 00:02:08.663664	2013-08-03 00:02:08.663664	64
418	1204	2537	2013-08-03 00:02:08.670696	2013-08-03 00:02:08.670696	64
419	21	3631	2013-08-03 00:02:08.690106	2013-08-03 00:02:08.690106	64
420	21	3510	2013-08-03 00:02:08.701535	2013-08-03 00:02:08.701535	64
421	21	3611	2013-08-03 00:02:08.712763	2013-08-03 00:02:08.712763	64
422	21	3591	2013-08-03 00:02:08.723422	2013-08-03 00:02:08.723422	64
423	21	3571	2013-08-03 00:02:08.73425	2013-08-03 00:02:08.73425	64
424	21	3551	2013-08-03 00:02:08.745088	2013-08-03 00:02:08.745088	64
425	21	3531	2013-08-03 00:02:08.756206	2013-08-03 00:02:08.756206	64
426	21	3511	2013-08-03 00:02:08.767012	2013-08-03 00:02:08.767012	64
427	21	3491	2013-08-03 00:02:08.810696	2013-08-03 00:02:08.810696	64
428	21	3471	2013-08-03 00:02:08.819565	2013-08-03 00:02:08.819565	64
429	21	3451	2013-08-03 00:02:08.828156	2013-08-03 00:02:08.828156	64
430	21	3431	2013-08-03 00:02:08.837028	2013-08-03 00:02:08.837028	64
431	21	3411	2013-08-03 00:02:08.848133	2013-08-03 00:02:08.848133	64
432	21	3391	2013-08-03 00:02:08.859156	2013-08-03 00:02:08.859156	64
433	21	3371	2013-08-03 00:02:08.870093	2013-08-03 00:02:08.870093	64
434	21	3351	2013-08-03 00:02:08.8811	2013-08-03 00:02:08.8811	64
435	21	3331	2013-08-03 00:02:08.892106	2013-08-03 00:02:08.892106	64
436	21	3311	2013-08-03 00:02:08.903173	2013-08-03 00:02:08.903173	64
437	21	3270	2013-08-03 00:02:08.914157	2013-08-03 00:02:08.914157	64
438	93	3552	2013-08-03 00:02:08.941714	2013-08-03 00:02:08.941714	64
439	93	3532	2013-08-03 00:02:08.951905	2013-08-03 00:02:08.951905	64
440	93	3512	2013-08-03 00:02:08.962646	2013-08-03 00:02:08.962646	64
441	93	3492	2013-08-03 00:02:08.973611	2013-08-03 00:02:08.973611	64
442	93	3472	2013-08-03 00:02:08.984715	2013-08-03 00:02:08.984715	64
443	93	3452	2013-08-03 00:02:08.99551	2013-08-03 00:02:08.99551	64
444	93	3432	2013-08-03 00:02:09.006825	2013-08-03 00:02:09.006825	64
445	93	3412	2013-08-03 00:02:09.018147	2013-08-03 00:02:09.018147	64
446	93	3392	2013-08-03 00:02:09.02919	2013-08-03 00:02:09.02919	64
447	1205	3372	2013-08-03 00:02:09.040769	2013-08-03 00:02:09.040769	64
448	1205	3352	2013-08-03 00:02:09.051779	2013-08-03 00:02:09.051779	64
449	1205	3332	2013-08-03 00:02:09.063107	2013-08-03 00:02:09.063107	64
450	1205	3312	2013-08-03 00:02:09.075441	2013-08-03 00:02:09.075441	64
451	1205	3250	2013-08-03 00:02:09.087167	2013-08-03 00:02:09.087167	64
452	1205	3292	2013-08-03 00:02:09.098629	2013-08-03 00:02:09.098629	64
453	1205	3272	2013-08-03 00:02:09.10991	2013-08-03 00:02:09.10991	64
454	1205	2839	2013-08-03 00:02:09.121323	2013-08-03 00:02:09.121323	64
455	1205	2517	2013-08-03 00:02:09.132248	2013-08-03 00:02:09.132248	64
456	20	2613	2013-08-03 00:02:09.159766	2013-08-03 00:02:09.159766	64
457	20	2593	2013-08-03 00:02:09.171759	2013-08-03 00:02:09.171759	64
458	20	2573	2013-08-03 00:02:09.183264	2013-08-03 00:02:09.183264	64
459	20	2553	2013-08-03 00:02:09.195815	2013-08-03 00:02:09.195815	64
460	20	2533	2013-08-03 00:02:09.20717	2013-08-03 00:02:09.20717	64
461	20	2513	2013-08-03 00:02:09.218405	2013-08-03 00:02:09.218405	64
462	20	2497	2013-08-03 00:02:09.230186	2013-08-03 00:02:09.230186	64
463	20	2493	2013-08-03 00:02:09.24183	2013-08-03 00:02:09.24183	64
464	20	2473	2013-08-03 00:02:09.247804	2013-08-03 00:02:09.247804	64
465	20	2453	2013-08-03 00:02:09.253693	2013-08-03 00:02:09.253693	64
466	20	2433	2013-08-03 00:02:09.257647	2013-08-03 00:02:09.257647	64
467	20	2413	2013-08-03 00:02:09.261236	2013-08-03 00:02:09.261236	64
468	20	2393	2013-08-03 00:02:09.264471	2013-08-03 00:02:09.264471	64
469	20	2373	2013-08-03 00:02:09.26786	2013-08-03 00:02:09.26786	64
470	20	2321	2013-08-03 00:02:09.271841	2013-08-03 00:02:09.271841	64
471	20	1900	2013-08-03 00:02:09.275238	2013-08-03 00:02:09.275238	64
472	20	2001	2013-08-03 00:02:09.278866	2013-08-03 00:02:09.278866	64
473	20	1965	2013-08-03 00:02:09.284347	2013-08-03 00:02:09.284347	64
474	20	1883	2013-08-03 00:02:09.290858	2013-08-03 00:02:09.290858	64
475	1196	1995	2013-08-03 00:02:09.316706	2013-08-03 00:02:09.316706	64
476	1196	1975	2013-08-03 00:02:09.327983	2013-08-03 00:02:09.327983	64
477	1196	1955	2013-08-03 00:02:09.34021	2013-08-03 00:02:09.34021	64
478	1196	1935	2013-08-03 00:02:09.350599	2013-08-03 00:02:09.350599	64
479	1196	1915	2013-08-03 00:02:09.356176	2013-08-03 00:02:09.356176	64
480	1196	1895	2013-08-03 00:02:09.35974	2013-08-03 00:02:09.35974	64
481	1196	1830	2013-08-03 00:02:09.363624	2013-08-03 00:02:09.363624	64
482	1196	1790	2013-08-03 00:02:09.369174	2013-08-03 00:02:09.369174	64
483	1196	1814	2013-08-03 00:02:09.372528	2013-08-03 00:02:09.372528	64
484	1196	1808	2013-08-03 00:02:09.376015	2013-08-03 00:02:09.376015	64
485	1196	1828	2013-08-03 00:02:09.382667	2013-08-03 00:02:09.382667	64
486	1196	1868	2013-08-03 00:02:09.389053	2013-08-03 00:02:09.389053	64
487	1196	1841	2013-08-03 00:02:09.399981	2013-08-03 00:02:09.399981	64
488	1196	1804	2013-08-03 00:02:09.411031	2013-08-03 00:02:09.411031	64
489	1196	1875	2013-08-03 00:02:09.422026	2013-08-03 00:02:09.422026	64
490	1196	1855	2013-08-03 00:02:09.433902	2013-08-03 00:02:09.433902	64
491	1196	1835	2013-08-03 00:02:09.472614	2013-08-03 00:02:09.472614	64
492	1196	1815	2013-08-03 00:02:09.481077	2013-08-03 00:02:09.481077	64
493	1196	1795	2013-08-03 00:02:09.489117	2013-08-03 00:02:09.489117	64
494	488	1788	2013-08-03 00:02:09.514726	2013-08-03 00:02:09.514726	64
495	488	1845	2013-08-03 00:02:09.524111	2013-08-03 00:02:09.524111	64
496	488	1865	2013-08-03 00:02:09.530414	2013-08-03 00:02:09.530414	64
497	488	1761	2013-08-03 00:02:09.54161	2013-08-03 00:02:09.54161	64
498	488	1825	2013-08-03 00:02:09.553567	2013-08-03 00:02:09.553567	64
499	488	1876	2013-08-03 00:02:09.559039	2013-08-03 00:02:09.559039	64
500	488	1856	2013-08-03 00:02:09.570923	2013-08-03 00:02:09.570923	64
501	488	1836	2013-08-03 00:02:09.576117	2013-08-03 00:02:09.576117	64
502	488	1816	2013-08-03 00:02:09.586221	2013-08-03 00:02:09.586221	64
503	488	1796	2013-08-03 00:02:09.593656	2013-08-03 00:02:09.593656	64
504	488	1776	2013-08-03 00:02:09.597325	2013-08-03 00:02:09.597325	64
505	488	1756	2013-08-03 00:02:09.600825	2013-08-03 00:02:09.600825	64
506	488	1736	2013-08-03 00:02:09.605786	2013-08-03 00:02:09.605786	64
507	488	1580	2013-08-03 00:02:09.609983	2013-08-03 00:02:09.609983	64
508	488	1599	2013-08-03 00:02:09.614045	2013-08-03 00:02:09.614045	64
509	488	1708	2013-08-03 00:02:09.61843	2013-08-03 00:02:09.61843	64
510	488	1725	2013-08-03 00:02:09.622387	2013-08-03 00:02:09.622387	64
511	488	1668	2013-08-03 00:02:09.626327	2013-08-03 00:02:09.626327	64
512	488	1665	2013-08-03 00:02:09.631185	2013-08-03 00:02:09.631185	64
513	1200	3077	2013-08-03 00:02:09.641689	2013-08-03 00:02:09.641689	64
514	1200	3057	2013-08-03 00:02:09.645815	2013-08-03 00:02:09.645815	64
515	1200	3037	2013-08-03 00:02:09.650606	2013-08-03 00:02:09.650606	64
516	1200	3017	2013-08-03 00:02:09.654417	2013-08-03 00:02:09.654417	64
517	1200	2997	2013-08-03 00:02:09.658923	2013-08-03 00:02:09.658923	64
518	1200	2977	2013-08-03 00:02:09.66513	2013-08-03 00:02:09.66513	64
519	1200	2957	2013-08-03 00:02:09.67416	2013-08-03 00:02:09.67416	64
520	1200	2937	2013-08-03 00:02:09.684927	2013-08-03 00:02:09.684927	64
521	1200	2917	2013-08-03 00:02:09.696626	2013-08-03 00:02:09.696626	64
522	1200	2897	2013-08-03 00:02:09.708489	2013-08-03 00:02:09.708489	64
523	1200	2877	2013-08-03 00:02:09.719663	2013-08-03 00:02:09.719663	64
524	1200	2857	2013-08-03 00:02:09.73074	2013-08-03 00:02:09.73074	64
525	1200	2837	2013-08-03 00:02:09.741683	2013-08-03 00:02:09.741683	64
526	1200	2739	2013-08-03 00:02:09.753179	2013-08-03 00:02:09.753179	64
527	1200	2690	2013-08-03 00:02:09.763445	2013-08-03 00:02:09.763445	64
528	1200	2817	2013-08-03 00:02:09.775218	2013-08-03 00:02:09.775218	64
529	1200	2797	2013-08-03 00:02:09.786822	2013-08-03 00:02:09.786822	64
530	1200	2777	2013-08-03 00:02:09.794524	2013-08-03 00:02:09.794524	64
531	1200	2757	2013-08-03 00:02:09.798337	2013-08-03 00:02:09.798337	64
532	1201	1820	2013-08-03 00:02:09.807022	2013-08-03 00:02:09.807022	64
533	1201	1840	2013-08-03 00:02:09.811578	2013-08-03 00:02:09.811578	64
534	1201	1880	2013-08-03 00:02:09.816923	2013-08-03 00:02:09.816923	64
535	1201	1851	2013-08-03 00:02:09.824684	2013-08-03 00:02:09.824684	64
536	1201	1850	2013-08-03 00:02:09.832263	2013-08-03 00:02:09.832263	64
537	1201	1878	2013-08-03 00:02:09.842642	2013-08-03 00:02:09.842642	64
538	1201	1858	2013-08-03 00:02:09.85383	2013-08-03 00:02:09.85383	64
539	1201	1838	2013-08-03 00:02:09.865136	2013-08-03 00:02:09.865136	64
540	1201	1818	2013-08-03 00:02:09.876143	2013-08-03 00:02:09.876143	64
541	1201	1798	2013-08-03 00:02:09.88727	2013-08-03 00:02:09.88727	64
542	1201	1778	2013-08-03 00:02:09.89852	2013-08-03 00:02:09.89852	64
543	1201	1758	2013-08-03 00:02:09.909751	2013-08-03 00:02:09.909751	64
544	1201	1738	2013-08-03 00:02:09.920961	2013-08-03 00:02:09.920961	64
545	1201	1605	2013-08-03 00:02:09.932246	2013-08-03 00:02:09.932246	64
546	1201	1606	2013-08-03 00:02:09.943799	2013-08-03 00:02:09.943799	64
547	1201	1664	2013-08-03 00:02:09.955433	2013-08-03 00:02:09.955433	64
548	1201	1718	2013-08-03 00:02:09.969634	2013-08-03 00:02:09.969634	64
549	1201	1698	2013-08-03 00:02:09.982011	2013-08-03 00:02:09.982011	64
550	1201	1678	2013-08-03 00:02:10.027464	2013-08-03 00:02:10.027464	64
551	1202	3439	2013-08-03 00:02:10.045413	2013-08-03 00:02:10.045413	64
552	1202	3419	2013-08-03 00:02:10.057235	2013-08-03 00:02:10.057235	64
553	1202	3399	2013-08-03 00:02:10.068988	2013-08-03 00:02:10.068988	64
554	1202	3379	2013-08-03 00:02:10.080053	2013-08-03 00:02:10.080053	64
555	1202	3359	2013-08-03 00:02:10.091164	2013-08-03 00:02:10.091164	64
556	1202	3339	2013-08-03 00:02:10.10218	2013-08-03 00:02:10.10218	64
557	1202	3319	2013-08-03 00:02:10.113289	2013-08-03 00:02:10.113289	64
558	1202	3299	2013-08-03 00:02:10.124422	2013-08-03 00:02:10.124422	64
559	1202	3279	2013-08-03 00:02:10.135206	2013-08-03 00:02:10.135206	64
560	1202	3259	2013-08-03 00:02:10.145896	2013-08-03 00:02:10.145896	64
561	1202	3239	2013-08-03 00:02:10.156897	2013-08-03 00:02:10.156897	64
562	1202	3219	2013-08-03 00:02:10.167211	2013-08-03 00:02:10.167211	64
563	1202	3199	2013-08-03 00:02:10.177402	2013-08-03 00:02:10.177402	64
564	1202	3179	2013-08-03 00:02:10.187746	2013-08-03 00:02:10.187746	64
565	1202	3159	2013-08-03 00:02:10.198355	2013-08-03 00:02:10.198355	64
566	1202	3139	2013-08-03 00:02:10.208404	2013-08-03 00:02:10.208404	64
567	1202	3119	2013-08-03 00:02:10.219138	2013-08-03 00:02:10.219138	64
568	1202	3099	2013-08-03 00:02:10.229466	2013-08-03 00:02:10.229466	64
569	1202	3079	2013-08-03 00:02:10.239691	2013-08-03 00:02:10.239691	64
570	22	3819	2013-08-03 00:02:10.26248	2013-08-03 00:02:10.26248	64
571	22	3799	2013-08-03 00:02:10.270939	2013-08-03 00:02:10.270939	64
572	22	3779	2013-08-03 00:02:10.282219	2013-08-03 00:02:10.282219	64
573	22	3759	2013-08-03 00:02:10.293002	2013-08-03 00:02:10.293002	64
574	22	3739	2013-08-03 00:02:10.304244	2013-08-03 00:02:10.304244	64
575	22	3719	2013-08-03 00:02:10.31533	2013-08-03 00:02:10.31533	64
576	22	3699	2013-08-03 00:02:10.32552	2013-08-03 00:02:10.32552	64
577	22	3679	2013-08-03 00:02:10.336076	2013-08-03 00:02:10.336076	64
578	22	3659	2013-08-03 00:02:10.346815	2013-08-03 00:02:10.346815	64
579	22	3639	2013-08-03 00:02:10.357463	2013-08-03 00:02:10.357463	64
580	22	3619	2013-08-03 00:02:10.367925	2013-08-03 00:02:10.367925	64
581	22	3599	2013-08-03 00:02:10.379323	2013-08-03 00:02:10.379323	64
582	22	3579	2013-08-03 00:02:10.38716	2013-08-03 00:02:10.38716	64
583	22	3559	2013-08-03 00:02:10.396727	2013-08-03 00:02:10.396727	64
584	22	3539	2013-08-03 00:02:10.405319	2013-08-03 00:02:10.405319	64
585	22	3519	2013-08-03 00:02:10.409396	2013-08-03 00:02:10.409396	64
586	22	3499	2013-08-03 00:02:10.41308	2013-08-03 00:02:10.41308	64
587	22	3479	2013-08-03 00:02:10.417096	2013-08-03 00:02:10.417096	64
588	22	3459	2013-08-03 00:02:10.424636	2013-08-03 00:02:10.424636	64
589	1220	3301	2013-08-03 00:07:06.000264	2013-08-03 00:07:06.000264	65
590	1220	3210	2013-08-03 00:07:06.013222	2013-08-03 00:07:06.013222	65
591	1220	3281	2013-08-03 00:07:06.017592	2013-08-03 00:07:06.017592	65
592	1220	3261	2013-08-03 00:07:06.021344	2013-08-03 00:07:06.021344	65
593	1220	3241	2013-08-03 00:07:06.025167	2013-08-03 00:07:06.025167	65
594	1220	3221	2013-08-03 00:07:06.028723	2013-08-03 00:07:06.028723	65
595	1220	3201	2013-08-03 00:07:06.032029	2013-08-03 00:07:06.032029	65
596	1220	3181	2013-08-03 00:07:06.035322	2013-08-03 00:07:06.035322	65
597	1220	3161	2013-08-03 00:07:06.038817	2013-08-03 00:07:06.038817	65
598	1220	3141	2013-08-03 00:07:06.043024	2013-08-03 00:07:06.043024	65
599	1220	3059	2013-08-03 00:07:06.047133	2013-08-03 00:07:06.047133	65
600	1220	2990	2013-08-03 00:07:06.050669	2013-08-03 00:07:06.050669	65
601	1220	3121	2013-08-03 00:07:06.055074	2013-08-03 00:07:06.055074	65
602	1220	3101	2013-08-03 00:07:06.059772	2013-08-03 00:07:06.059772	65
603	1220	3081	2013-08-03 00:07:06.065699	2013-08-03 00:07:06.065699	65
604	1220	3061	2013-08-03 00:07:06.074601	2013-08-03 00:07:06.074601	65
605	1220	3041	2013-08-03 00:07:06.08333	2013-08-03 00:07:06.08333	65
606	1220	3021	2013-08-03 00:07:06.091603	2013-08-03 00:07:06.091603	65
607	1220	3001	2013-08-03 00:07:06.099633	2013-08-03 00:07:06.099633	65
608	1218	1544	2013-08-03 00:07:06.112551	2013-08-03 00:07:06.112551	65
609	1218	1562	2013-08-03 00:07:06.118194	2013-08-03 00:07:06.118194	65
610	1218	1542	2013-08-03 00:07:06.124472	2013-08-03 00:07:06.124472	65
611	1218	1522	2013-08-03 00:07:06.131576	2013-08-03 00:07:06.131576	65
612	1218	1502	2013-08-03 00:07:06.137817	2013-08-03 00:07:06.137817	65
613	1218	1482	2013-08-03 00:07:06.143895	2013-08-03 00:07:06.143895	65
614	1218	1462	2013-08-03 00:07:06.148375	2013-08-03 00:07:06.148375	65
615	1218	1442	2013-08-03 00:07:06.153082	2013-08-03 00:07:06.153082	65
616	1218	1422	2013-08-03 00:07:06.157532	2013-08-03 00:07:06.157532	65
617	1218	1368	2013-08-03 00:07:06.16179	2013-08-03 00:07:06.16179	65
618	1218	1320	2013-08-03 00:07:06.166213	2013-08-03 00:07:06.166213	65
619	1218	1339	2013-08-03 00:07:06.170894	2013-08-03 00:07:06.170894	65
620	1218	1270	2013-08-03 00:07:06.174846	2013-08-03 00:07:06.174846	65
621	1218	1291	2013-08-03 00:07:06.178147	2013-08-03 00:07:06.178147	65
622	1218	1351	2013-08-03 00:07:06.182698	2013-08-03 00:07:06.182698	65
623	1218	1361	2013-08-03 00:07:06.18809	2013-08-03 00:07:06.18809	65
624	1218	1324	2013-08-03 00:07:06.222344	2013-08-03 00:07:06.222344	65
625	1218	1346	2013-08-03 00:07:06.230298	2013-08-03 00:07:06.230298	65
626	1218	1390	2013-08-03 00:07:06.234989	2013-08-03 00:07:06.234989	65
627	1243	2644	2013-08-03 00:07:06.263056	2013-08-03 00:07:06.263056	65
628	1243	2410	2013-08-03 00:07:06.270481	2013-08-03 00:07:06.270481	65
629	1243	2406	2013-08-03 00:07:06.279804	2013-08-03 00:07:06.279804	65
630	1243	2381	2013-08-03 00:07:06.287993	2013-08-03 00:07:06.287993	65
631	1243	2424	2013-08-03 00:07:06.293525	2013-08-03 00:07:06.293525	65
632	1243	2374	2013-08-03 00:07:06.299956	2013-08-03 00:07:06.299956	65
633	1243	2411	2013-08-03 00:07:06.304624	2013-08-03 00:07:06.304624	65
634	1243	2359	2013-08-03 00:07:06.311611	2013-08-03 00:07:06.311611	65
635	1243	2325	2013-08-03 00:07:06.317946	2013-08-03 00:07:06.317946	65
636	1243	2199	2013-08-03 00:07:06.327056	2013-08-03 00:07:06.327056	65
637	1243	2219	2013-08-03 00:07:06.334289	2013-08-03 00:07:06.334289	65
638	1243	2239	2013-08-03 00:07:06.342801	2013-08-03 00:07:06.342801	65
639	1243	2259	2013-08-03 00:07:06.351587	2013-08-03 00:07:06.351587	65
640	1243	2279	2013-08-03 00:07:06.361649	2013-08-03 00:07:06.361649	65
641	1243	1915	2013-08-03 00:07:06.371687	2013-08-03 00:07:06.371687	65
642	1243	1935	2013-08-03 00:07:06.382129	2013-08-03 00:07:06.382129	65
643	1243	1955	2013-08-03 00:07:06.392046	2013-08-03 00:07:06.392046	65
644	1243	1975	2013-08-03 00:07:06.40219	2013-08-03 00:07:06.40219	65
645	1243	1995	2013-08-03 00:07:06.412397	2013-08-03 00:07:06.412397	65
646	1219	955	2013-08-03 00:07:06.445794	2013-08-03 00:07:06.445794	65
647	1219	966	2013-08-03 00:07:06.457538	2013-08-03 00:07:06.457538	65
648	1219	1021	2013-08-03 00:07:06.468676	2013-08-03 00:07:06.468676	65
649	1219	1004	2013-08-03 00:07:06.479306	2013-08-03 00:07:06.479306	65
650	1219	986	2013-08-03 00:07:06.484945	2013-08-03 00:07:06.484945	65
651	1219	1087	2013-08-03 00:07:06.489618	2013-08-03 00:07:06.489618	65
652	1219	1067	2013-08-03 00:07:06.497433	2013-08-03 00:07:06.497433	65
653	1219	1047	2013-08-03 00:07:06.504812	2013-08-03 00:07:06.504812	65
654	1219	1027	2013-08-03 00:07:06.510641	2013-08-03 00:07:06.510641	65
655	1219	1007	2013-08-03 00:07:06.517727	2013-08-03 00:07:06.517727	65
656	1219	987	2013-08-03 00:07:06.522066	2013-08-03 00:07:06.522066	65
657	1219	967	2013-08-03 00:07:06.527798	2013-08-03 00:07:06.527798	65
658	1219	947	2013-08-03 00:07:06.531954	2013-08-03 00:07:06.531954	65
659	1219	818	2013-08-03 00:07:06.536448	2013-08-03 00:07:06.536448	65
660	1219	888	2013-08-03 00:07:06.541924	2013-08-03 00:07:06.541924	65
661	1219	848	2013-08-03 00:07:06.55216	2013-08-03 00:07:06.55216	65
662	1219	905	2013-08-03 00:07:06.563178	2013-08-03 00:07:06.563178	65
663	1219	852	2013-08-03 00:07:06.574413	2013-08-03 00:07:06.574413	65
664	1219	811	2013-08-03 00:07:06.585009	2013-08-03 00:07:06.585009	65
665	1223	3448	2013-08-03 00:07:06.603326	2013-08-03 00:07:06.603326	65
666	1223	3428	2013-08-03 00:07:06.611169	2013-08-03 00:07:06.611169	65
667	1223	3408	2013-08-03 00:07:06.618497	2013-08-03 00:07:06.618497	65
668	1223	3388	2013-08-03 00:07:06.627891	2013-08-03 00:07:06.627891	65
669	1223	3368	2013-08-03 00:07:06.638365	2013-08-03 00:07:06.638365	65
670	1223	3348	2013-08-03 00:07:06.648732	2013-08-03 00:07:06.648732	65
671	1223	3328	2013-08-03 00:07:06.659045	2013-08-03 00:07:06.659045	65
672	1223	3308	2013-08-03 00:07:06.670123	2013-08-03 00:07:06.670123	65
673	1223	3288	2013-08-03 00:07:06.677994	2013-08-03 00:07:06.677994	65
674	1223	3268	2013-08-03 00:07:06.682646	2013-08-03 00:07:06.682646	65
675	1223	3248	2013-08-03 00:07:06.68738	2013-08-03 00:07:06.68738	65
676	1223	3228	2013-08-03 00:07:06.695307	2013-08-03 00:07:06.695307	65
677	1223	3208	2013-08-03 00:07:06.70631	2013-08-03 00:07:06.70631	65
678	1223	3188	2013-08-03 00:07:06.717127	2013-08-03 00:07:06.717127	65
679	1223	3168	2013-08-03 00:07:06.728205	2013-08-03 00:07:06.728205	65
680	1223	3148	2013-08-03 00:07:06.735507	2013-08-03 00:07:06.735507	65
681	1223	3070	2013-08-03 00:07:06.74017	2013-08-03 00:07:06.74017	65
682	1223	3128	2013-08-03 00:07:06.744931	2013-08-03 00:07:06.744931	65
683	1223	2881	2013-08-03 00:07:06.749827	2013-08-03 00:07:06.749827	65
684	1215	3788	2013-08-03 00:07:06.758762	2013-08-03 00:07:06.758762	65
685	1215	3768	2013-08-03 00:07:06.801513	2013-08-03 00:07:06.801513	65
686	1215	3748	2013-08-03 00:07:06.807065	2013-08-03 00:07:06.807065	65
687	1215	3728	2013-08-03 00:07:06.811772	2013-08-03 00:07:06.811772	65
688	1215	3708	2013-08-03 00:07:06.816371	2013-08-03 00:07:06.816371	65
689	1215	3688	2013-08-03 00:07:06.821858	2013-08-03 00:07:06.821858	65
690	1215	3668	2013-08-03 00:07:06.827038	2013-08-03 00:07:06.827038	65
691	1215	3648	2013-08-03 00:07:06.83313	2013-08-03 00:07:06.83313	65
692	1215	3628	2013-08-03 00:07:06.839579	2013-08-03 00:07:06.839579	65
693	1215	3550	2013-08-03 00:07:06.846466	2013-08-03 00:07:06.846466	65
694	1215	3608	2013-08-03 00:07:06.854007	2013-08-03 00:07:06.854007	65
695	1215	3588	2013-08-03 00:07:06.862517	2013-08-03 00:07:06.862517	65
696	1215	3568	2013-08-03 00:07:06.871188	2013-08-03 00:07:06.871188	65
697	1215	3548	2013-08-03 00:07:06.879664	2013-08-03 00:07:06.879664	65
698	1215	3528	2013-08-03 00:07:06.888	2013-08-03 00:07:06.888	65
699	1215	3508	2013-08-03 00:07:06.892911	2013-08-03 00:07:06.892911	65
700	1215	3488	2013-08-03 00:07:06.897557	2013-08-03 00:07:06.897557	65
701	1215	3468	2013-08-03 00:07:06.902136	2013-08-03 00:07:06.902136	65
702	1215	3310	2013-08-03 00:07:06.906255	2013-08-03 00:07:06.906255	65
703	1221	3971	2013-08-03 00:07:06.919489	2013-08-03 00:07:06.919489	65
704	1221	3951	2013-08-03 00:07:06.926013	2013-08-03 00:07:06.926013	65
705	1221	3931	2013-08-03 00:07:06.931895	2013-08-03 00:07:06.931895	65
706	1221	3911	2013-08-03 00:07:06.936367	2013-08-03 00:07:06.936367	65
707	1221	3891	2013-08-03 00:07:06.941082	2013-08-03 00:07:06.941082	65
708	1221	3871	2013-08-03 00:07:06.946202	2013-08-03 00:07:06.946202	65
709	1221	3851	2013-08-03 00:07:06.952034	2013-08-03 00:07:06.952034	65
710	1221	3831	2013-08-03 00:07:06.958645	2013-08-03 00:07:06.958645	65
711	1221	3811	2013-08-03 00:07:06.962776	2013-08-03 00:07:06.962776	65
712	1221	3791	2013-08-03 00:07:06.966604	2013-08-03 00:07:06.966604	65
713	1221	3771	2013-08-03 00:07:06.972886	2013-08-03 00:07:06.972886	65
714	1221	3750	2013-08-03 00:07:06.981718	2013-08-03 00:07:06.981718	65
715	1221	3751	2013-08-03 00:07:06.990889	2013-08-03 00:07:06.990889	65
716	1221	3731	2013-08-03 00:07:07.000902	2013-08-03 00:07:07.000902	65
717	1221	3711	2013-08-03 00:07:07.011033	2013-08-03 00:07:07.011033	65
718	1221	3691	2013-08-03 00:07:07.021458	2013-08-03 00:07:07.021458	65
719	1221	3671	2013-08-03 00:07:07.030549	2013-08-03 00:07:07.030549	65
720	1221	3651	2013-08-03 00:07:07.041375	2013-08-03 00:07:07.041375	65
721	1221	2737	2013-08-03 00:07:07.052082	2013-08-03 00:07:07.052082	65
722	1247	4331	2013-08-03 00:07:07.071194	2013-08-03 00:07:07.071194	65
723	1247	4311	2013-08-03 00:07:07.077246	2013-08-03 00:07:07.077246	65
724	1247	4291	2013-08-03 00:07:07.084288	2013-08-03 00:07:07.084288	65
725	1247	4271	2013-08-03 00:07:07.09148	2013-08-03 00:07:07.09148	65
726	1247	4251	2013-08-03 00:07:07.10118	2013-08-03 00:07:07.10118	65
727	1247	4231	2013-08-03 00:07:07.108749	2013-08-03 00:07:07.108749	65
728	1247	4211	2013-08-03 00:07:07.118373	2013-08-03 00:07:07.118373	65
729	1247	4191	2013-08-03 00:07:07.128583	2013-08-03 00:07:07.128583	65
730	1247	4171	2013-08-03 00:07:07.138731	2013-08-03 00:07:07.138731	65
731	1247	4151	2013-08-03 00:07:07.149291	2013-08-03 00:07:07.149291	65
732	1247	4131	2013-08-03 00:07:07.160229	2013-08-03 00:07:07.160229	65
733	1247	4111	2013-08-03 00:07:07.170968	2013-08-03 00:07:07.170968	65
734	1247	4091	2013-08-03 00:07:07.17998	2013-08-03 00:07:07.17998	65
735	1247	3990	2013-08-03 00:07:07.186586	2013-08-03 00:07:07.186586	65
736	1247	4071	2013-08-03 00:07:07.19227	2013-08-03 00:07:07.19227	65
737	1247	4051	2013-08-03 00:07:07.195785	2013-08-03 00:07:07.195785	65
738	1247	4031	2013-08-03 00:07:07.199005	2013-08-03 00:07:07.199005	65
739	1247	4011	2013-08-03 00:07:07.202931	2013-08-03 00:07:07.202931	65
740	1247	3991	2013-08-03 00:07:07.206905	2013-08-03 00:07:07.206905	65
741	1216	3892	2013-08-03 00:07:07.221446	2013-08-03 00:07:07.221446	65
742	1216	3872	2013-08-03 00:07:07.232745	2013-08-03 00:07:07.232745	65
743	1216	3852	2013-08-03 00:07:07.243556	2013-08-03 00:07:07.243556	65
744	1216	3832	2013-08-03 00:07:07.251927	2013-08-03 00:07:07.251927	65
745	1216	3812	2013-08-03 00:07:07.256517	2013-08-03 00:07:07.256517	65
746	1216	3792	2013-08-03 00:07:07.26239	2013-08-03 00:07:07.26239	65
747	1216	3772	2013-08-03 00:07:07.268904	2013-08-03 00:07:07.268904	65
748	1216	3730	2013-08-03 00:07:07.277204	2013-08-03 00:07:07.277204	65
749	1216	3752	2013-08-03 00:07:07.284332	2013-08-03 00:07:07.284332	65
750	1216	3732	2013-08-03 00:07:07.291621	2013-08-03 00:07:07.291621	65
751	1216	3712	2013-08-03 00:07:07.299163	2013-08-03 00:07:07.299163	65
752	1216	3692	2013-08-03 00:07:07.308095	2013-08-03 00:07:07.308095	65
753	1216	3672	2013-08-03 00:07:07.318749	2013-08-03 00:07:07.318749	65
754	1216	3652	2013-08-03 00:07:07.366461	2013-08-03 00:07:07.366461	65
755	1216	3632	2013-08-03 00:07:07.375261	2013-08-03 00:07:07.375261	65
756	1216	3612	2013-08-03 00:07:07.382111	2013-08-03 00:07:07.382111	65
757	1216	3490	2013-08-03 00:07:07.388671	2013-08-03 00:07:07.388671	65
758	1216	3592	2013-08-03 00:07:07.394549	2013-08-03 00:07:07.394549	65
759	1216	2726	2013-08-03 00:07:07.405051	2013-08-03 00:07:07.405051	65
760	1244	2933	2013-08-03 00:07:07.41558	2013-08-03 00:07:07.41558	65
761	1244	2913	2013-08-03 00:07:07.423993	2013-08-03 00:07:07.423993	65
762	1244	2893	2013-08-03 00:07:07.433134	2013-08-03 00:07:07.433134	65
763	1244	2873	2013-08-03 00:07:07.444227	2013-08-03 00:07:07.444227	65
764	1244	2853	2013-08-03 00:07:07.454954	2013-08-03 00:07:07.454954	65
765	1244	2833	2013-08-03 00:07:07.464789	2013-08-03 00:07:07.464789	65
766	1244	2770	2013-08-03 00:07:07.474608	2013-08-03 00:07:07.474608	65
767	1244	2813	2013-08-03 00:07:07.484801	2013-08-03 00:07:07.484801	65
768	1244	2793	2013-08-03 00:07:07.495792	2013-08-03 00:07:07.495792	65
769	1244	2773	2013-08-03 00:07:07.507063	2013-08-03 00:07:07.507063	65
770	1244	2753	2013-08-03 00:07:07.515451	2013-08-03 00:07:07.515451	65
771	1244	2733	2013-08-03 00:07:07.522891	2013-08-03 00:07:07.522891	65
772	1244	2713	2013-08-03 00:07:07.527317	2013-08-03 00:07:07.527317	65
773	1244	2693	2013-08-03 00:07:07.532822	2013-08-03 00:07:07.532822	65
774	1244	2670	2013-08-03 00:07:07.5381	2013-08-03 00:07:07.5381	65
775	1244	2673	2013-08-03 00:07:07.542981	2013-08-03 00:07:07.542981	65
776	1244	2526	2013-08-03 00:07:07.54965	2013-08-03 00:07:07.54965	65
777	1244	2653	2013-08-03 00:07:07.55986	2013-08-03 00:07:07.55986	65
778	1244	2633	2013-08-03 00:07:07.56944	2013-08-03 00:07:07.56944	65
779	1217	2175	2013-08-03 00:07:07.597057	2013-08-03 00:07:07.597057	65
780	1217	2155	2013-08-03 00:07:07.608471	2013-08-03 00:07:07.608471	65
781	1217	2135	2013-08-03 00:07:07.619641	2013-08-03 00:07:07.619641	65
782	1217	2115	2013-08-03 00:07:07.630988	2013-08-03 00:07:07.630988	65
783	1217	2095	2013-08-03 00:07:07.641968	2013-08-03 00:07:07.641968	65
784	1217	2075	2013-08-03 00:07:07.652853	2013-08-03 00:07:07.652853	65
785	1217	2055	2013-08-03 00:07:07.663839	2013-08-03 00:07:07.663839	65
786	1217	2034	2013-08-03 00:07:07.675117	2013-08-03 00:07:07.675117	65
787	1217	1908	2013-08-03 00:07:07.686256	2013-08-03 00:07:07.686256	65
788	1217	1950	2013-08-03 00:07:07.69617	2013-08-03 00:07:07.69617	65
789	1217	1886	2013-08-03 00:07:07.703466	2013-08-03 00:07:07.703466	65
790	1217	1985	2013-08-03 00:07:07.71218	2013-08-03 00:07:07.71218	65
791	1217	1944	2013-08-03 00:07:07.72332	2013-08-03 00:07:07.72332	65
792	1217	1885	2013-08-03 00:07:07.732585	2013-08-03 00:07:07.732585	65
793	1217	2024	2013-08-03 00:07:07.740845	2013-08-03 00:07:07.740845	65
794	1217	1964	2013-08-03 00:07:07.751532	2013-08-03 00:07:07.751532	65
795	1217	1910	2013-08-03 00:07:07.761921	2013-08-03 00:07:07.761921	65
796	1217	2035	2013-08-03 00:07:07.772226	2013-08-03 00:07:07.772226	65
797	1217	2015	2013-08-03 00:07:07.778933	2013-08-03 00:07:07.778933	65
798	1553	2008	2013-08-03 00:07:07.787073	2013-08-03 00:07:07.787073	65
799	1553	2032	2013-08-03 00:07:07.790855	2013-08-03 00:07:07.790855	65
800	1553	1905	2013-08-03 00:07:07.794409	2013-08-03 00:07:07.794409	65
801	1553	1990	2013-08-03 00:07:07.798627	2013-08-03 00:07:07.798627	65
802	1553	1890	2013-08-03 00:07:07.805003	2013-08-03 00:07:07.805003	65
803	1553	2036	2013-08-03 00:07:07.813793	2013-08-03 00:07:07.813793	65
804	1553	2016	2013-08-03 00:07:07.822385	2013-08-03 00:07:07.822385	65
805	1553	1996	2013-08-03 00:07:07.831091	2013-08-03 00:07:07.831091	65
806	1553	1976	2013-08-03 00:07:07.839858	2013-08-03 00:07:07.839858	65
807	1553	1956	2013-08-03 00:07:07.848757	2013-08-03 00:07:07.848757	65
808	1553	1936	2013-08-03 00:07:07.857496	2013-08-03 00:07:07.857496	65
809	1553	1916	2013-08-03 00:07:07.867588	2013-08-03 00:07:07.867588	65
810	1553	1896	2013-08-03 00:07:07.877981	2013-08-03 00:07:07.877981	65
811	1553	1750	2013-08-03 00:07:07.888221	2013-08-03 00:07:07.888221	65
812	1553	1754	2013-08-03 00:07:07.8995	2013-08-03 00:07:07.8995	65
813	1553	1881	2013-08-03 00:07:07.909281	2013-08-03 00:07:07.909281	65
814	1553	1852	2013-08-03 00:07:07.919084	2013-08-03 00:07:07.919084	65
815	1553	1746	2013-08-03 00:07:07.957357	2013-08-03 00:07:07.957357	65
816	1553	1768	2013-08-03 00:07:07.962894	2013-08-03 00:07:07.962894	65
817	1222	3437	2013-08-03 00:07:07.973057	2013-08-03 00:07:07.973057	65
818	1222	3417	2013-08-03 00:07:07.977289	2013-08-03 00:07:07.977289	65
819	1222	3397	2013-08-03 00:07:07.980287	2013-08-03 00:07:07.980287	65
820	1222	3377	2013-08-03 00:07:07.99018	2013-08-03 00:07:07.99018	65
821	1222	3357	2013-08-03 00:07:08.000899	2013-08-03 00:07:08.000899	65
822	1222	3337	2013-08-03 00:07:08.011283	2013-08-03 00:07:08.011283	65
823	1222	3317	2013-08-03 00:07:08.022063	2013-08-03 00:07:08.022063	65
824	1222	3297	2013-08-03 00:07:08.032796	2013-08-03 00:07:08.032796	65
825	1222	3277	2013-08-03 00:07:08.043752	2013-08-03 00:07:08.043752	65
826	1222	3257	2013-08-03 00:07:08.054643	2013-08-03 00:07:08.054643	65
827	1222	3237	2013-08-03 00:07:08.065694	2013-08-03 00:07:08.065694	65
828	1222	3217	2013-08-03 00:07:08.076726	2013-08-03 00:07:08.076726	65
829	1222	3197	2013-08-03 00:07:08.087823	2013-08-03 00:07:08.087823	65
830	1222	3177	2013-08-03 00:07:08.098652	2013-08-03 00:07:08.098652	65
831	1222	3157	2013-08-03 00:07:08.106883	2013-08-03 00:07:08.106883	65
832	1222	3137	2013-08-03 00:07:08.113347	2013-08-03 00:07:08.113347	65
833	1222	3117	2013-08-03 00:07:08.123059	2013-08-03 00:07:08.123059	65
834	1222	3097	2013-08-03 00:07:08.133877	2013-08-03 00:07:08.133877	65
835	1222	2761	2013-08-03 00:07:08.14461	2013-08-03 00:07:08.14461	65
836	1226	2138	2013-08-03 00:07:08.167053	2013-08-03 00:07:08.167053	65
837	1226	2118	2013-08-03 00:07:08.177011	2013-08-03 00:07:08.177011	65
838	1226	2098	2013-08-03 00:07:08.185101	2013-08-03 00:07:08.185101	65
839	1226	2078	2013-08-03 00:07:08.191195	2013-08-03 00:07:08.191195	65
840	1226	2058	2013-08-03 00:07:08.196151	2013-08-03 00:07:08.196151	65
841	1226	2011	2013-08-03 00:07:08.20044	2013-08-03 00:07:08.20044	65
842	1226	2038	2013-08-03 00:07:08.205322	2013-08-03 00:07:08.205322	65
843	1226	2018	2013-08-03 00:07:08.211584	2013-08-03 00:07:08.211584	65
844	1226	1998	2013-08-03 00:07:08.218567	2013-08-03 00:07:08.218567	65
845	1226	1978	2013-08-03 00:07:08.226969	2013-08-03 00:07:08.226969	65
846	1226	1958	2013-08-03 00:07:08.235886	2013-08-03 00:07:08.235886	65
847	1226	1938	2013-08-03 00:07:08.243677	2013-08-03 00:07:08.243677	65
848	1226	1918	2013-08-03 00:07:08.253328	2013-08-03 00:07:08.253328	65
849	1226	1898	2013-08-03 00:07:08.259946	2013-08-03 00:07:08.259946	65
850	1226	1780	2013-08-03 00:07:08.264463	2013-08-03 00:07:08.264463	65
851	1226	1785	2013-08-03 00:07:08.271942	2013-08-03 00:07:08.271942	65
852	1226	1740	2013-08-03 00:07:08.28259	2013-08-03 00:07:08.28259	65
853	1226	1799	2013-08-03 00:07:08.292473	2013-08-03 00:07:08.292473	65
854	1226	1819	2013-08-03 00:07:08.301122	2013-08-03 00:07:08.301122	65
855	1224	4179	2013-08-03 00:07:08.322482	2013-08-03 00:07:08.322482	65
856	1224	4159	2013-08-03 00:07:08.332843	2013-08-03 00:07:08.332843	65
857	1224	4139	2013-08-03 00:07:08.34248	2013-08-03 00:07:08.34248	65
858	1224	4119	2013-08-03 00:07:08.353284	2013-08-03 00:07:08.353284	65
859	1224	4099	2013-08-03 00:07:08.363928	2013-08-03 00:07:08.363928	65
860	1224	4079	2013-08-03 00:07:08.374972	2013-08-03 00:07:08.374972	65
861	1224	4059	2013-08-03 00:07:08.386084	2013-08-03 00:07:08.386084	65
862	1224	4039	2013-08-03 00:07:08.397219	2013-08-03 00:07:08.397219	65
863	1224	4019	2013-08-03 00:07:08.408372	2013-08-03 00:07:08.408372	65
864	1224	3999	2013-08-03 00:07:08.419334	2013-08-03 00:07:08.419334	65
865	1224	3979	2013-08-03 00:07:08.430423	2013-08-03 00:07:08.430423	65
866	1224	3959	2013-08-03 00:07:08.441493	2013-08-03 00:07:08.441493	65
867	1224	3939	2013-08-03 00:07:08.452827	2013-08-03 00:07:08.452827	65
868	1224	3919	2013-08-03 00:07:08.464153	2013-08-03 00:07:08.464153	65
869	1224	3899	2013-08-03 00:07:08.474931	2013-08-03 00:07:08.474931	65
870	1224	3879	2013-08-03 00:07:08.485356	2013-08-03 00:07:08.485356	65
871	1224	3859	2013-08-03 00:07:08.495184	2013-08-03 00:07:08.495184	65
872	1224	3839	2013-08-03 00:07:08.536059	2013-08-03 00:07:08.536059	65
873	1224	2721	2013-08-03 00:07:08.540355	2013-08-03 00:07:08.540355	65
874	1214	4559	2013-08-03 00:07:08.550791	2013-08-03 00:07:08.550791	65
875	1214	4539	2013-08-03 00:07:08.556001	2013-08-03 00:07:08.556001	65
876	1214	4519	2013-08-03 00:07:08.560368	2013-08-03 00:07:08.560368	65
877	1214	4499	2013-08-03 00:07:08.564853	2013-08-03 00:07:08.564853	65
878	1214	4479	2013-08-03 00:07:08.569027	2013-08-03 00:07:08.569027	65
879	1214	4459	2013-08-03 00:07:08.574877	2013-08-03 00:07:08.574877	65
880	1214	4439	2013-08-03 00:07:08.580893	2013-08-03 00:07:08.580893	65
881	1214	4419	2013-08-03 00:07:08.586863	2013-08-03 00:07:08.586863	65
882	1214	4399	2013-08-03 00:07:08.592913	2013-08-03 00:07:08.592913	65
883	1214	4379	2013-08-03 00:07:08.598975	2013-08-03 00:07:08.598975	65
884	1214	4359	2013-08-03 00:07:08.605107	2013-08-03 00:07:08.605107	65
885	1214	4339	2013-08-03 00:07:08.613976	2013-08-03 00:07:08.613976	65
886	1214	4319	2013-08-03 00:07:08.622978	2013-08-03 00:07:08.622978	65
887	1214	4299	2013-08-03 00:07:08.633209	2013-08-03 00:07:08.633209	65
888	1214	4279	2013-08-03 00:07:08.644245	2013-08-03 00:07:08.644245	65
889	1214	4259	2013-08-03 00:07:08.65532	2013-08-03 00:07:08.65532	65
890	1214	4239	2013-08-03 00:07:08.664658	2013-08-03 00:07:08.664658	65
891	1214	4219	2013-08-03 00:07:08.675459	2013-08-03 00:07:08.675459	65
892	1214	4199	2013-08-03 00:07:08.686387	2013-08-03 00:07:08.686387	65
893	1225	2440	2013-08-03 00:07:08.709184	2013-08-03 00:07:08.709184	65
894	1225	2420	2013-08-03 00:07:08.720232	2013-08-03 00:07:08.720232	65
895	1225	2400	2013-08-03 00:07:08.731271	2013-08-03 00:07:08.731271	65
896	1225	2380	2013-08-03 00:07:08.742176	2013-08-03 00:07:08.742176	65
897	1225	2360	2013-08-03 00:07:08.753378	2013-08-03 00:07:08.753378	65
898	1225	2243	2013-08-03 00:07:08.764211	2013-08-03 00:07:08.764211	65
899	1225	2340	2013-08-03 00:07:08.77486	2013-08-03 00:07:08.77486	65
900	1225	2320	2013-08-03 00:07:08.785494	2013-08-03 00:07:08.785494	65
901	1225	2300	2013-08-03 00:07:08.795306	2013-08-03 00:07:08.795306	65
902	1225	2280	2013-08-03 00:07:08.806309	2013-08-03 00:07:08.806309	65
903	1225	2260	2013-08-03 00:07:08.817582	2013-08-03 00:07:08.817582	65
904	1225	2240	2013-08-03 00:07:08.828948	2013-08-03 00:07:08.828948	65
905	1225	2220	2013-08-03 00:07:08.840018	2013-08-03 00:07:08.840018	65
906	1225	2200	2013-08-03 00:07:08.851012	2013-08-03 00:07:08.851012	65
907	1225	2165	2013-08-03 00:07:08.861836	2013-08-03 00:07:08.861836	65
908	1225	2185	2013-08-03 00:07:08.872509	2013-08-03 00:07:08.872509	65
909	1225	2190	2013-08-03 00:07:08.879263	2013-08-03 00:07:08.879263	65
910	1225	2180	2013-08-03 00:07:08.884839	2013-08-03 00:07:08.884839	65
911	1225	2160	2013-08-03 00:07:08.890555	2013-08-03 00:07:08.890555	65
912	2352	3681	2013-08-03 00:12:09.297988	2013-08-03 00:12:09.297988	66
913	2352	3661	2013-08-03 00:12:09.305984	2013-08-03 00:12:09.305984	66
914	2352	3641	2013-08-03 00:12:09.313626	2013-08-03 00:12:09.313626	66
915	2352	3621	2013-08-03 00:12:09.321585	2013-08-03 00:12:09.321585	66
916	2352	3601	2013-08-03 00:12:09.326678	2013-08-03 00:12:09.326678	66
917	2352	3581	2013-08-03 00:12:09.332082	2013-08-03 00:12:09.332082	66
918	2352	3561	2013-08-03 00:12:09.33648	2013-08-03 00:12:09.33648	66
919	2352	3541	2013-08-03 00:12:09.340526	2013-08-03 00:12:09.340526	66
920	2352	3521	2013-08-03 00:12:09.345625	2013-08-03 00:12:09.345625	66
921	2352	3501	2013-08-03 00:12:09.350398	2013-08-03 00:12:09.350398	66
922	2352	3481	2013-08-03 00:12:09.356244	2013-08-03 00:12:09.356244	66
923	2352	3461	2013-08-03 00:12:09.365755	2013-08-03 00:12:09.365755	66
924	2352	3441	2013-08-03 00:12:09.376358	2013-08-03 00:12:09.376358	66
925	2352	3421	2013-08-03 00:12:09.38808	2013-08-03 00:12:09.38808	66
926	2352	3401	2013-08-03 00:12:09.400013	2013-08-03 00:12:09.400013	66
927	2352	3381	2013-08-03 00:12:09.411275	2013-08-03 00:12:09.411275	66
928	2352	3361	2013-08-03 00:12:09.422248	2013-08-03 00:12:09.422248	66
929	2352	3341	2013-08-03 00:12:09.433267	2013-08-03 00:12:09.433267	66
930	2352	3321	2013-08-03 00:12:09.444348	2013-08-03 00:12:09.444348	66
931	2347	1602	2013-08-03 00:12:09.476237	2013-08-03 00:12:09.476237	66
932	2347	1582	2013-08-03 00:12:09.487412	2013-08-03 00:12:09.487412	66
933	2347	1540	2013-08-03 00:12:09.498479	2013-08-03 00:12:09.498479	66
934	2347	1503	2013-08-03 00:12:09.509506	2013-08-03 00:12:09.509506	66
935	2347	4199	2013-08-03 00:12:09.52075	2013-08-03 00:12:09.52075	66
936	2347	4219	2013-08-03 00:12:09.531417	2013-08-03 00:12:09.531417	66
937	2347	4239	2013-08-03 00:12:09.543208	2013-08-03 00:12:09.543208	66
938	2347	4259	2013-08-03 00:12:09.553387	2013-08-03 00:12:09.553387	66
939	2347	4279	2013-08-03 00:12:09.563427	2013-08-03 00:12:09.563427	66
940	2353	4299	2013-08-03 00:12:09.574173	2013-08-03 00:12:09.574173	66
941	2353	4319	2013-08-03 00:12:09.584384	2013-08-03 00:12:09.584384	66
942	2353	4339	2013-08-03 00:12:09.594564	2013-08-03 00:12:09.594564	66
943	2353	4359	2013-08-03 00:12:09.604673	2013-08-03 00:12:09.604673	66
944	2353	4379	2013-08-03 00:12:09.614769	2013-08-03 00:12:09.614769	66
945	2353	4399	2013-08-03 00:12:09.625215	2013-08-03 00:12:09.625215	66
946	2353	3991	2013-08-03 00:12:09.635607	2013-08-03 00:12:09.635607	66
947	2353	4011	2013-08-03 00:12:09.645782	2013-08-03 00:12:09.645782	66
948	2353	4091	2013-08-03 00:12:09.656469	2013-08-03 00:12:09.656469	66
949	2342	2581	2013-08-03 00:12:09.723884	2013-08-03 00:12:09.723884	66
950	2342	2601	2013-08-03 00:12:09.727993	2013-08-03 00:12:09.727993	66
951	2342	2621	2013-08-03 00:12:09.732288	2013-08-03 00:12:09.732288	66
952	2342	2641	2013-08-03 00:12:09.738901	2013-08-03 00:12:09.738901	66
953	2342	2661	2013-08-03 00:12:09.745829	2013-08-03 00:12:09.745829	66
954	2342	2550	2013-08-03 00:12:09.755863	2013-08-03 00:12:09.755863	66
955	2342	2624	2013-08-03 00:12:09.765633	2013-08-03 00:12:09.765633	66
956	2342	2610	2013-08-03 00:12:09.776778	2013-08-03 00:12:09.776778	66
957	2342	2664	2013-08-03 00:12:09.786834	2013-08-03 00:12:09.786834	66
958	2356	4091	2013-08-03 00:12:09.792612	2013-08-03 00:12:09.792612	66
959	2356	4011	2013-08-03 00:12:09.796336	2013-08-03 00:12:09.796336	66
960	2356	3991	2013-08-03 00:12:09.801916	2013-08-03 00:12:09.801916	66
961	2356	4399	2013-08-03 00:12:09.807036	2013-08-03 00:12:09.807036	66
962	2356	4379	2013-08-03 00:12:09.812064	2013-08-03 00:12:09.812064	66
963	2356	4359	2013-08-03 00:12:09.818683	2013-08-03 00:12:09.818683	66
964	2356	4339	2013-08-03 00:12:09.826784	2013-08-03 00:12:09.826784	66
965	2356	4319	2013-08-03 00:12:09.835044	2013-08-03 00:12:09.835044	66
966	2356	4299	2013-08-03 00:12:09.843453	2013-08-03 00:12:09.843453	66
967	2348	1327	2013-08-03 00:12:09.877565	2013-08-03 00:12:09.877565	66
968	2348	1307	2013-08-03 00:12:09.889765	2013-08-03 00:12:09.889765	66
969	2348	1287	2013-08-03 00:12:09.901511	2013-08-03 00:12:09.901511	66
970	2348	1267	2013-08-03 00:12:09.913121	2013-08-03 00:12:09.913121	66
971	2348	1226	2013-08-03 00:12:09.924875	2013-08-03 00:12:09.924875	66
972	2348	1220	2013-08-03 00:12:09.936655	2013-08-03 00:12:09.936655	66
973	2348	1108	2013-08-03 00:12:09.947789	2013-08-03 00:12:09.947789	66
974	2348	1215	2013-08-03 00:12:09.958938	2013-08-03 00:12:09.958938	66
975	2348	1125	2013-08-03 00:12:09.9701	2013-08-03 00:12:09.9701	66
976	2348	1244	2013-08-03 00:12:09.981263	2013-08-03 00:12:09.981263	66
977	2348	1247	2013-08-03 00:12:09.9925	2013-08-03 00:12:09.9925	66
978	2348	1227	2013-08-03 00:12:10.003407	2013-08-03 00:12:10.003407	66
979	2348	1207	2013-08-03 00:12:10.014751	2013-08-03 00:12:10.014751	66
980	2348	1187	2013-08-03 00:12:10.025871	2013-08-03 00:12:10.025871	66
981	2348	1167	2013-08-03 00:12:10.037097	2013-08-03 00:12:10.037097	66
982	2348	1147	2013-08-03 00:12:10.048138	2013-08-03 00:12:10.048138	66
983	2348	1127	2013-08-03 00:12:10.059269	2013-08-03 00:12:10.059269	66
984	2348	1107	2013-08-03 00:12:10.070286	2013-08-03 00:12:10.070286	66
985	2348	965	2013-08-03 00:12:10.081537	2013-08-03 00:12:10.081537	66
986	2349	4128	2013-08-03 00:12:10.108699	2013-08-03 00:12:10.108699	66
987	2349	4108	2013-08-03 00:12:10.121129	2013-08-03 00:12:10.121129	66
988	2349	4088	2013-08-03 00:12:10.132983	2013-08-03 00:12:10.132983	66
989	2349	4030	2013-08-03 00:12:10.144289	2013-08-03 00:12:10.144289	66
990	2349	4068	2013-08-03 00:12:10.155491	2013-08-03 00:12:10.155491	66
991	2349	4048	2013-08-03 00:12:10.166603	2013-08-03 00:12:10.166603	66
992	2349	4028	2013-08-03 00:12:10.177641	2013-08-03 00:12:10.177641	66
993	2349	4008	2013-08-03 00:12:10.189079	2013-08-03 00:12:10.189079	66
994	2349	3988	2013-08-03 00:12:10.200209	2013-08-03 00:12:10.200209	66
995	2349	3968	2013-08-03 00:12:10.211493	2013-08-03 00:12:10.211493	66
996	2349	3948	2013-08-03 00:12:10.222643	2013-08-03 00:12:10.222643	66
997	2349	3928	2013-08-03 00:12:10.233847	2013-08-03 00:12:10.233847	66
998	2349	3790	2013-08-03 00:12:10.244951	2013-08-03 00:12:10.244951	66
999	2349	3908	2013-08-03 00:12:10.25629	2013-08-03 00:12:10.25629	66
1000	2349	3888	2013-08-03 00:12:10.267845	2013-08-03 00:12:10.267845	66
1001	2349	3868	2013-08-03 00:12:10.279157	2013-08-03 00:12:10.279157	66
1002	2349	3848	2013-08-03 00:12:10.290378	2013-08-03 00:12:10.290378	66
1003	2349	3828	2013-08-03 00:12:10.301579	2013-08-03 00:12:10.301579	66
1004	2349	3808	2013-08-03 00:12:10.31284	2013-08-03 00:12:10.31284	66
1005	1869	4488	2013-08-03 00:12:10.330224	2013-08-03 00:12:10.330224	66
1006	1869	4468	2013-08-03 00:12:10.336824	2013-08-03 00:12:10.336824	66
1007	1869	4448	2013-08-03 00:12:10.342503	2013-08-03 00:12:10.342503	66
1008	1869	4428	2013-08-03 00:12:10.346865	2013-08-03 00:12:10.346865	66
1009	1869	4408	2013-08-03 00:12:10.35015	2013-08-03 00:12:10.35015	66
1010	1869	4370	2013-08-03 00:12:10.35329	2013-08-03 00:12:10.35329	66
1011	1869	4388	2013-08-03 00:12:10.356411	2013-08-03 00:12:10.356411	66
1012	1869	4368	2013-08-03 00:12:10.359459	2013-08-03 00:12:10.359459	66
1013	1869	4348	2013-08-03 00:12:10.401648	2013-08-03 00:12:10.401648	66
1014	1869	4328	2013-08-03 00:12:10.406806	2013-08-03 00:12:10.406806	66
1015	1869	4308	2013-08-03 00:12:10.411296	2013-08-03 00:12:10.411296	66
1016	1869	4288	2013-08-03 00:12:10.416388	2013-08-03 00:12:10.416388	66
1017	1869	4268	2013-08-03 00:12:10.422821	2013-08-03 00:12:10.422821	66
1018	1869	4248	2013-08-03 00:12:10.429689	2013-08-03 00:12:10.429689	66
1019	1869	4228	2013-08-03 00:12:10.437508	2013-08-03 00:12:10.437508	66
1020	1869	4208	2013-08-03 00:12:10.445752	2013-08-03 00:12:10.445752	66
1021	1869	4188	2013-08-03 00:12:10.454235	2013-08-03 00:12:10.454235	66
1022	1869	4168	2013-08-03 00:12:10.463212	2013-08-03 00:12:10.463212	66
1023	1869	4148	2013-08-03 00:12:10.472236	2013-08-03 00:12:10.472236	66
1024	2351	4611	2013-08-03 00:12:10.502324	2013-08-03 00:12:10.502324	66
1025	2351	4591	2013-08-03 00:12:10.512988	2013-08-03 00:12:10.512988	66
1026	2351	4571	2013-08-03 00:12:10.523089	2013-08-03 00:12:10.523089	66
1027	2351	4530	2013-08-03 00:12:10.533099	2013-08-03 00:12:10.533099	66
1028	2351	4470	2013-08-03 00:12:10.543686	2013-08-03 00:12:10.543686	66
1029	2351	4551	2013-08-03 00:12:10.553615	2013-08-03 00:12:10.553615	66
1030	2351	4531	2013-08-03 00:12:10.563498	2013-08-03 00:12:10.563498	66
1031	2351	4511	2013-08-03 00:12:10.573478	2013-08-03 00:12:10.573478	66
1032	2351	4491	2013-08-03 00:12:10.583256	2013-08-03 00:12:10.583256	66
1033	2351	4471	2013-08-03 00:12:10.593241	2013-08-03 00:12:10.593241	66
1034	2351	4451	2013-08-03 00:12:10.603079	2013-08-03 00:12:10.603079	66
1035	2351	4431	2013-08-03 00:12:10.613206	2013-08-03 00:12:10.613206	66
1036	2351	4411	2013-08-03 00:12:10.623529	2013-08-03 00:12:10.623529	66
1037	2351	4330	2013-08-03 00:12:10.634203	2013-08-03 00:12:10.634203	66
1038	2351	4270	2013-08-03 00:12:10.645016	2013-08-03 00:12:10.645016	66
1039	2351	4363	2013-08-03 00:12:10.655895	2013-08-03 00:12:10.655895	66
1040	2351	4391	2013-08-03 00:12:10.666971	2013-08-03 00:12:10.666971	66
1041	2351	4371	2013-08-03 00:12:10.67781	2013-08-03 00:12:10.67781	66
1042	2351	4351	2013-08-03 00:12:10.688741	2013-08-03 00:12:10.688741	66
1043	2339	4991	2013-08-03 00:12:10.713519	2013-08-03 00:12:10.713519	66
1044	2339	4971	2013-08-03 00:12:10.726245	2013-08-03 00:12:10.726245	66
1045	2339	4951	2013-08-03 00:12:10.738187	2013-08-03 00:12:10.738187	66
1046	2339	4931	2013-08-03 00:12:10.750387	2013-08-03 00:12:10.750387	66
1047	2339	4911	2013-08-03 00:12:10.757217	2013-08-03 00:12:10.757217	66
1048	2339	4891	2013-08-03 00:12:10.765511	2013-08-03 00:12:10.765511	66
1049	2339	4871	2013-08-03 00:12:10.771161	2013-08-03 00:12:10.771161	66
1050	2339	4851	2013-08-03 00:12:10.775254	2013-08-03 00:12:10.775254	66
1051	2339	4831	2013-08-03 00:12:10.785239	2013-08-03 00:12:10.785239	66
1052	2339	4811	2013-08-03 00:12:10.796438	2013-08-03 00:12:10.796438	66
1053	2339	4791	2013-08-03 00:12:10.807192	2013-08-03 00:12:10.807192	66
1054	2339	4771	2013-08-03 00:12:10.817996	2013-08-03 00:12:10.817996	66
1055	2339	4751	2013-08-03 00:12:10.828986	2013-08-03 00:12:10.828986	66
1056	2339	4731	2013-08-03 00:12:10.839842	2013-08-03 00:12:10.839842	66
1057	2339	4711	2013-08-03 00:12:10.850891	2013-08-03 00:12:10.850891	66
1058	2339	4691	2013-08-03 00:12:10.861671	2013-08-03 00:12:10.861671	66
1059	2339	4671	2013-08-03 00:12:10.872416	2013-08-03 00:12:10.872416	66
1060	2339	4651	2013-08-03 00:12:10.883168	2013-08-03 00:12:10.883168	66
1061	2339	4631	2013-08-03 00:12:10.893803	2013-08-03 00:12:10.893803	66
1062	2350	4232	2013-08-03 00:12:10.917482	2013-08-03 00:12:10.917482	66
1063	2350	4212	2013-08-03 00:12:10.928005	2013-08-03 00:12:10.928005	66
1064	2350	4192	2013-08-03 00:12:10.938267	2013-08-03 00:12:10.938267	66
1065	2350	4172	2013-08-03 00:12:10.948881	2013-08-03 00:12:10.948881	66
1066	2350	4152	2013-08-03 00:12:10.959296	2013-08-03 00:12:10.959296	66
1067	2350	4132	2013-08-03 00:12:10.969329	2013-08-03 00:12:10.969329	66
1068	2350	4112	2013-08-03 00:12:10.979873	2013-08-03 00:12:10.979873	66
1069	2350	4092	2013-08-03 00:12:10.990859	2013-08-03 00:12:10.990859	66
1070	2350	3970	2013-08-03 00:12:11.001712	2013-08-03 00:12:11.001712	66
1071	2350	4072	2013-08-03 00:12:11.013368	2013-08-03 00:12:11.013368	66
1072	2350	4052	2013-08-03 00:12:11.019483	2013-08-03 00:12:11.019483	66
1073	2350	4032	2013-08-03 00:12:11.025546	2013-08-03 00:12:11.025546	66
1074	2350	4012	2013-08-03 00:12:11.034231	2013-08-03 00:12:11.034231	66
1075	2350	3992	2013-08-03 00:12:11.038082	2013-08-03 00:12:11.038082	66
1076	2350	3972	2013-08-03 00:12:11.042044	2013-08-03 00:12:11.042044	66
1077	2350	3952	2013-08-03 00:12:11.045962	2013-08-03 00:12:11.045962	66
1078	2350	3932	2013-08-03 00:12:11.054362	2013-08-03 00:12:11.054362	66
1079	2350	3890	2013-08-03 00:12:11.062862	2013-08-03 00:12:11.062862	66
1080	2350	3912	2013-08-03 00:12:11.071591	2013-08-03 00:12:11.071591	66
1081	1870	3170	2013-08-03 00:12:11.133948	2013-08-03 00:12:11.133948	66
1082	1870	3293	2013-08-03 00:12:11.145696	2013-08-03 00:12:11.145696	66
1083	1870	3273	2013-08-03 00:12:11.156888	2013-08-03 00:12:11.156888	66
1084	1870	3253	2013-08-03 00:12:11.167961	2013-08-03 00:12:11.167961	66
1085	1870	3233	2013-08-03 00:12:11.179149	2013-08-03 00:12:11.179149	66
1086	1870	3213	2013-08-03 00:12:11.190293	2013-08-03 00:12:11.190293	66
1087	1870	3193	2013-08-03 00:12:11.201496	2013-08-03 00:12:11.201496	66
1088	1870	3173	2013-08-03 00:12:11.212735	2013-08-03 00:12:11.212735	66
1089	1870	3153	2013-08-03 00:12:11.2238	2013-08-03 00:12:11.2238	66
1090	1870	3133	2013-08-03 00:12:11.234913	2013-08-03 00:12:11.234913	66
1091	1870	3113	2013-08-03 00:12:11.246121	2013-08-03 00:12:11.246121	66
1092	1870	3093	2013-08-03 00:12:11.25717	2013-08-03 00:12:11.25717	66
1093	1870	3073	2013-08-03 00:12:11.268273	2013-08-03 00:12:11.268273	66
1094	1870	3053	2013-08-03 00:12:11.279654	2013-08-03 00:12:11.279654	66
1095	1870	3033	2013-08-03 00:12:11.290756	2013-08-03 00:12:11.290756	66
1096	1870	3013	2013-08-03 00:12:11.301906	2013-08-03 00:12:11.301906	66
1097	1870	2993	2013-08-03 00:12:11.312952	2013-08-03 00:12:11.312952	66
1098	1870	2973	2013-08-03 00:12:11.324215	2013-08-03 00:12:11.324215	66
1099	1870	2953	2013-08-03 00:12:11.335397	2013-08-03 00:12:11.335397	66
1100	2341	2351	2013-08-03 00:12:11.366899	2013-08-03 00:12:11.366899	66
1101	2341	2304	2013-08-03 00:12:11.373156	2013-08-03 00:12:11.373156	66
1102	2341	2281	2013-08-03 00:12:11.378973	2013-08-03 00:12:11.378973	66
1103	2341	2290	2013-08-03 00:12:11.384348	2013-08-03 00:12:11.384348	66
1104	2341	2355	2013-08-03 00:12:11.391651	2013-08-03 00:12:11.391651	66
1105	2341	2335	2013-08-03 00:12:11.400156	2013-08-03 00:12:11.400156	66
1106	2341	2315	2013-08-03 00:12:11.410886	2013-08-03 00:12:11.410886	66
1107	2341	2295	2013-08-03 00:12:11.422054	2013-08-03 00:12:11.422054	66
1108	2341	2275	2013-08-03 00:12:11.433517	2013-08-03 00:12:11.433517	66
1109	2341	2255	2013-08-03 00:12:11.445348	2013-08-03 00:12:11.445348	66
1110	2341	2235	2013-08-03 00:12:11.456581	2013-08-03 00:12:11.456581	66
1111	2341	2215	2013-08-03 00:12:11.468142	2013-08-03 00:12:11.468142	66
1112	2341	2088	2013-08-03 00:12:11.479767	2013-08-03 00:12:11.479767	66
1113	2341	2148	2013-08-03 00:12:11.492021	2013-08-03 00:12:11.492021	66
1114	2341	2048	2013-08-03 00:12:11.505014	2013-08-03 00:12:11.505014	66
1115	2341	2105	2013-08-03 00:12:11.516947	2013-08-03 00:12:11.516947	66
1116	2341	2121	2013-08-03 00:12:11.5282	2013-08-03 00:12:11.5282	66
1117	2341	2130	2013-08-03 00:12:11.539327	2013-08-03 00:12:11.539327	66
1118	2341	2195	2013-08-03 00:12:11.550508	2013-08-03 00:12:11.550508	66
1119	1868	2256	2013-08-03 00:12:11.579184	2013-08-03 00:12:11.579184	66
1120	1868	2236	2013-08-03 00:12:11.591178	2013-08-03 00:12:11.591178	66
1121	1868	2216	2013-08-03 00:12:11.604837	2013-08-03 00:12:11.604837	66
1122	1868	2145	2013-08-03 00:12:11.617968	2013-08-03 00:12:11.617968	66
1123	1868	2090	2013-08-03 00:12:11.62876	2013-08-03 00:12:11.62876	66
1124	1868	2045	2013-08-03 00:12:11.632433	2013-08-03 00:12:11.632433	66
1125	1868	2085	2013-08-03 00:12:11.636105	2013-08-03 00:12:11.636105	66
1126	1868	2196	2013-08-03 00:12:11.639446	2013-08-03 00:12:11.639446	66
1127	1868	2176	2013-08-03 00:12:11.642825	2013-08-03 00:12:11.642825	66
1128	1868	2156	2013-08-03 00:12:11.645949	2013-08-03 00:12:11.645949	66
1129	1868	2136	2013-08-03 00:12:11.650122	2013-08-03 00:12:11.650122	66
1130	1868	2116	2013-08-03 00:12:11.654947	2013-08-03 00:12:11.654947	66
1131	1868	2096	2013-08-03 00:12:11.661877	2013-08-03 00:12:11.661877	66
1132	1868	2076	2013-08-03 00:12:11.671345	2013-08-03 00:12:11.671345	66
1133	1868	2056	2013-08-03 00:12:11.682534	2013-08-03 00:12:11.682534	66
1134	1868	1970	2013-08-03 00:12:11.693854	2013-08-03 00:12:11.693854	66
1135	1868	2025	2013-08-03 00:12:11.705194	2013-08-03 00:12:11.705194	66
1136	1868	1968	2013-08-03 00:12:11.714905	2013-08-03 00:12:11.714905	66
1137	1868	1988	2013-08-03 00:12:11.724194	2013-08-03 00:12:11.724194	66
1138	2345	3777	2013-08-03 00:12:11.749571	2013-08-03 00:12:11.749571	66
1139	2345	3743	2013-08-03 00:12:11.761789	2013-08-03 00:12:11.761789	66
1140	2345	3757	2013-08-03 00:12:11.774698	2013-08-03 00:12:11.774698	66
1141	2345	3737	2013-08-03 00:12:11.817158	2013-08-03 00:12:11.817158	66
1142	2345	3717	2013-08-03 00:12:11.826988	2013-08-03 00:12:11.826988	66
1143	2345	3697	2013-08-03 00:12:11.838188	2013-08-03 00:12:11.838188	66
1144	2345	3677	2013-08-03 00:12:11.849074	2013-08-03 00:12:11.849074	66
1145	2345	3657	2013-08-03 00:12:11.860345	2013-08-03 00:12:11.860345	66
1146	2345	3637	2013-08-03 00:12:11.87219	2013-08-03 00:12:11.87219	66
1147	2345	3617	2013-08-03 00:12:11.883437	2013-08-03 00:12:11.883437	66
1148	2345	3597	2013-08-03 00:12:11.894819	2013-08-03 00:12:11.894819	66
1149	2345	3577	2013-08-03 00:12:11.905983	2013-08-03 00:12:11.905983	66
1150	2345	3557	2013-08-03 00:12:11.917158	2013-08-03 00:12:11.917158	66
1151	2345	3537	2013-08-03 00:12:11.928328	2013-08-03 00:12:11.928328	66
1152	2345	3517	2013-08-03 00:12:11.93945	2013-08-03 00:12:11.93945	66
1153	2345	3497	2013-08-03 00:12:11.950546	2013-08-03 00:12:11.950546	66
1154	2345	3477	2013-08-03 00:12:11.961693	2013-08-03 00:12:11.961693	66
1155	2345	3457	2013-08-03 00:12:11.972797	2013-08-03 00:12:11.972797	66
1156	2345	3403	2013-08-03 00:12:11.984131	2013-08-03 00:12:11.984131	66
1157	2344	2498	2013-08-03 00:12:12.01024	2013-08-03 00:12:12.01024	66
1158	2344	2478	2013-08-03 00:12:12.021627	2013-08-03 00:12:12.021627	66
1159	2344	2458	2013-08-03 00:12:12.032613	2013-08-03 00:12:12.032613	66
1160	2344	2438	2013-08-03 00:12:12.043758	2013-08-03 00:12:12.043758	66
1161	2344	2418	2013-08-03 00:12:12.054944	2013-08-03 00:12:12.054944	66
1162	2344	2398	2013-08-03 00:12:12.065976	2013-08-03 00:12:12.065976	66
1163	2344	2378	2013-08-03 00:12:12.076915	2013-08-03 00:12:12.076915	66
1164	2344	2358	2013-08-03 00:12:12.087963	2013-08-03 00:12:12.087963	66
1165	2344	2230	2013-08-03 00:12:12.09851	2013-08-03 00:12:12.09851	66
1166	2344	2338	2013-08-03 00:12:12.108793	2013-08-03 00:12:12.108793	66
1167	2344	2318	2013-08-03 00:12:12.119244	2013-08-03 00:12:12.119244	66
1168	2344	2298	2013-08-03 00:12:12.129859	2013-08-03 00:12:12.129859	66
1169	2344	2278	2013-08-03 00:12:12.140851	2013-08-03 00:12:12.140851	66
1170	2344	2258	2013-08-03 00:12:12.196457	2013-08-03 00:12:12.196457	66
1171	2344	2238	2013-08-03 00:12:12.201901	2013-08-03 00:12:12.201901	66
1172	2344	2218	2013-08-03 00:12:12.206391	2013-08-03 00:12:12.206391	66
1173	2344	2198	2013-08-03 00:12:12.213892	2013-08-03 00:12:12.213892	66
1174	2344	2178	2013-08-03 00:12:12.224344	2013-08-03 00:12:12.224344	66
1175	2344	2158	2013-08-03 00:12:12.232768	2013-08-03 00:12:12.232768	66
1176	2346	4939	2013-08-03 00:12:12.247831	2013-08-03 00:12:12.247831	66
1177	2346	4919	2013-08-03 00:12:12.254517	2013-08-03 00:12:12.254517	66
1178	2346	4899	2013-08-03 00:12:12.258029	2013-08-03 00:12:12.258029	66
1179	2346	4879	2013-08-03 00:12:12.261589	2013-08-03 00:12:12.261589	66
1180	2346	4859	2013-08-03 00:12:12.265262	2013-08-03 00:12:12.265262	66
1181	2346	4839	2013-08-03 00:12:12.269397	2013-08-03 00:12:12.269397	66
1182	2346	4819	2013-08-03 00:12:12.277527	2013-08-03 00:12:12.277527	66
1183	2346	4799	2013-08-03 00:12:12.282575	2013-08-03 00:12:12.282575	66
1184	2346	4779	2013-08-03 00:12:12.287608	2013-08-03 00:12:12.287608	66
1185	2346	4759	2013-08-03 00:12:12.294116	2013-08-03 00:12:12.294116	66
1186	2346	4739	2013-08-03 00:12:12.303527	2013-08-03 00:12:12.303527	66
1187	2346	4719	2013-08-03 00:12:12.314462	2013-08-03 00:12:12.314462	66
1188	2346	4699	2013-08-03 00:12:12.325328	2013-08-03 00:12:12.325328	66
1189	2346	4679	2013-08-03 00:12:12.336191	2013-08-03 00:12:12.336191	66
1190	2346	4659	2013-08-03 00:12:12.347033	2013-08-03 00:12:12.347033	66
1191	2346	4639	2013-08-03 00:12:12.35999	2013-08-03 00:12:12.35999	66
1192	2346	4619	2013-08-03 00:12:12.365876	2013-08-03 00:12:12.365876	66
1193	2346	4599	2013-08-03 00:12:12.377277	2013-08-03 00:12:12.377277	66
1194	2346	4579	2013-08-03 00:12:12.385342	2013-08-03 00:12:12.385342	66
1195	1909	5319	2013-08-03 00:12:12.395057	2013-08-03 00:12:12.395057	66
1196	1909	5299	2013-08-03 00:12:12.401247	2013-08-03 00:12:12.401247	66
1197	1909	5279	2013-08-03 00:12:12.407105	2013-08-03 00:12:12.407105	66
1198	1909	5259	2013-08-03 00:12:12.414034	2013-08-03 00:12:12.414034	66
1199	1909	5239	2013-08-03 00:12:12.424447	2013-08-03 00:12:12.424447	66
1200	1909	5219	2013-08-03 00:12:12.435405	2013-08-03 00:12:12.435405	66
1201	1909	5199	2013-08-03 00:12:12.445842	2013-08-03 00:12:12.445842	66
1202	1909	5179	2013-08-03 00:12:12.456649	2013-08-03 00:12:12.456649	66
1203	1909	5159	2013-08-03 00:12:12.467656	2013-08-03 00:12:12.467656	66
1204	1909	5139	2013-08-03 00:12:12.478592	2013-08-03 00:12:12.478592	66
1205	1909	5119	2013-08-03 00:12:12.489522	2013-08-03 00:12:12.489522	66
1206	1909	5099	2013-08-03 00:12:12.500431	2013-08-03 00:12:12.500431	66
1207	1909	5079	2013-08-03 00:12:12.511587	2013-08-03 00:12:12.511587	66
1208	1909	5059	2013-08-03 00:12:12.524182	2013-08-03 00:12:12.524182	66
1209	1909	5039	2013-08-03 00:12:12.532124	2013-08-03 00:12:12.532124	66
1210	1909	5019	2013-08-03 00:12:12.536625	2013-08-03 00:12:12.536625	66
1211	1909	4999	2013-08-03 00:12:12.540868	2013-08-03 00:12:12.540868	66
1212	1909	4979	2013-08-03 00:12:12.545281	2013-08-03 00:12:12.545281	66
1213	1909	4959	2013-08-03 00:12:12.549868	2013-08-03 00:12:12.549868	66
1214	2343	2740	2013-08-03 00:12:12.558764	2013-08-03 00:12:12.558764	66
1215	2343	2720	2013-08-03 00:12:12.56468	2013-08-03 00:12:12.56468	66
1216	2343	2700	2013-08-03 00:12:12.569178	2013-08-03 00:12:12.569178	66
1217	2343	2680	2013-08-03 00:12:12.573868	2013-08-03 00:12:12.573868	66
1218	2343	2701	2013-08-03 00:12:12.578155	2013-08-03 00:12:12.578155	66
1219	2343	2623	2013-08-03 00:12:12.581199	2013-08-03 00:12:12.581199	66
1220	2343	2660	2013-08-03 00:12:12.584634	2013-08-03 00:12:12.584634	66
1221	2343	2640	2013-08-03 00:12:12.58832	2013-08-03 00:12:12.58832	66
1222	2343	2620	2013-08-03 00:12:12.594439	2013-08-03 00:12:12.594439	66
1223	2343	2600	2013-08-03 00:12:12.598594	2013-08-03 00:12:12.598594	66
1224	2343	2580	2013-08-03 00:12:12.63638	2013-08-03 00:12:12.63638	66
1225	2343	2560	2013-08-03 00:12:12.640092	2013-08-03 00:12:12.640092	66
1226	2343	2540	2013-08-03 00:12:12.644348	2013-08-03 00:12:12.644348	66
1227	2343	2520	2013-08-03 00:12:12.648577	2013-08-03 00:12:12.648577	66
1228	2343	2397	2013-08-03 00:12:12.652312	2013-08-03 00:12:12.652312	66
1229	2343	2377	2013-08-03 00:12:12.658764	2013-08-03 00:12:12.658764	66
1230	2343	2500	2013-08-03 00:12:12.664014	2013-08-03 00:12:12.664014	66
1231	2343	2480	2013-08-03 00:12:12.669297	2013-08-03 00:12:12.669297	66
1232	2343	2460	2013-08-03 00:12:12.673904	2013-08-03 00:12:12.673904	66
1233	2363	4021	2013-08-03 00:17:09.179963	2013-08-03 00:17:09.179963	67
1234	2363	4001	2013-08-03 00:17:09.188242	2013-08-03 00:17:09.188242	67
1235	2363	3981	2013-08-03 00:17:09.195355	2013-08-03 00:17:09.195355	67
1236	2363	3961	2013-08-03 00:17:09.205794	2013-08-03 00:17:09.205794	67
1237	2363	3941	2013-08-03 00:17:09.217895	2013-08-03 00:17:09.217895	67
1238	2363	3921	2013-08-03 00:17:09.230419	2013-08-03 00:17:09.230419	67
1239	2363	3901	2013-08-03 00:17:09.243304	2013-08-03 00:17:09.243304	67
1240	2363	3881	2013-08-03 00:17:09.256933	2013-08-03 00:17:09.256933	67
1241	2363	3861	2013-08-03 00:17:09.270783	2013-08-03 00:17:09.270783	67
1242	2392	3841	2013-08-03 00:17:09.285394	2013-08-03 00:17:09.285394	67
1243	2392	3821	2013-08-03 00:17:09.297385	2013-08-03 00:17:09.297385	67
1244	2392	3801	2013-08-03 00:17:09.303525	2013-08-03 00:17:09.303525	67
1245	2392	3781	2013-08-03 00:17:09.307682	2013-08-03 00:17:09.307682	67
1246	2392	3690	2013-08-03 00:17:09.311523	2013-08-03 00:17:09.311523	67
1247	2392	3761	2013-08-03 00:17:09.31517	2013-08-03 00:17:09.31517	67
1248	2392	3741	2013-08-03 00:17:09.319768	2013-08-03 00:17:09.319768	67
1249	2392	3721	2013-08-03 00:17:09.323668	2013-08-03 00:17:09.323668	67
1250	2392	3701	2013-08-03 00:17:09.331304	2013-08-03 00:17:09.331304	67
1251	2357	1750	2013-08-03 00:17:09.356029	2013-08-03 00:17:09.356029	67
1252	2357	1655	2013-08-03 00:17:09.419789	2013-08-03 00:17:09.419789	67
1253	2357	1628	2013-08-03 00:17:09.425609	2013-08-03 00:17:09.425609	67
1254	2357	1625	2013-08-03 00:17:09.430401	2013-08-03 00:17:09.430401	67
1255	2357	1592	2013-08-03 00:17:09.435198	2013-08-03 00:17:09.435198	67
1256	2357	1601	2013-08-03 00:17:09.440681	2013-08-03 00:17:09.440681	67
1257	2357	1586	2013-08-03 00:17:09.446715	2013-08-03 00:17:09.446715	67
1258	2357	1722	2013-08-03 00:17:09.452981	2013-08-03 00:17:09.452981	67
1259	2357	1702	2013-08-03 00:17:09.459702	2013-08-03 00:17:09.459702	67
1260	2357	1682	2013-08-03 00:17:09.465661	2013-08-03 00:17:09.465661	67
1261	2357	1662	2013-08-03 00:17:09.47495	2013-08-03 00:17:09.47495	67
1262	2357	1642	2013-08-03 00:17:09.485255	2013-08-03 00:17:09.485255	67
1263	2357	4959	2013-08-03 00:17:09.496294	2013-08-03 00:17:09.496294	67
1264	2357	4979	2013-08-03 00:17:09.506498	2013-08-03 00:17:09.506498	67
1265	2357	4999	2013-08-03 00:17:09.516482	2013-08-03 00:17:09.516482	67
1266	2357	5019	2013-08-03 00:17:09.526453	2013-08-03 00:17:09.526453	67
1267	2357	5039	2013-08-03 00:17:09.536446	2013-08-03 00:17:09.536446	67
1268	2357	5199	2013-08-03 00:17:09.546487	2013-08-03 00:17:09.546487	67
1269	2357	4871	2013-08-03 00:17:09.556876	2013-08-03 00:17:09.556876	67
1270	2362	1628	2013-08-03 00:17:09.58969	2013-08-03 00:17:09.58969	67
1271	2362	1655	2013-08-03 00:17:09.598138	2013-08-03 00:17:09.598138	67
1272	2362	4871	2013-08-03 00:17:09.606179	2013-08-03 00:17:09.606179	67
1273	2362	5199	2013-08-03 00:17:09.614593	2013-08-03 00:17:09.614593	67
1274	2362	5039	2013-08-03 00:17:09.623263	2013-08-03 00:17:09.623263	67
1275	2362	5019	2013-08-03 00:17:09.630865	2013-08-03 00:17:09.630865	67
1276	2362	4999	2013-08-03 00:17:09.634442	2013-08-03 00:17:09.634442	67
1277	2362	4979	2013-08-03 00:17:09.637864	2013-08-03 00:17:09.637864	67
1278	2362	4959	2013-08-03 00:17:09.642822	2013-08-03 00:17:09.642822	67
1279	2360	4091	2013-08-03 00:17:09.648232	2013-08-03 00:17:09.648232	67
1280	2360	4011	2013-08-03 00:17:09.655879	2013-08-03 00:17:09.655879	67
1281	2360	3991	2013-08-03 00:17:09.663652	2013-08-03 00:17:09.663652	67
1282	2360	4399	2013-08-03 00:17:09.673255	2013-08-03 00:17:09.673255	67
1283	2360	4379	2013-08-03 00:17:09.683737	2013-08-03 00:17:09.683737	67
1284	2360	4359	2013-08-03 00:17:09.693948	2013-08-03 00:17:09.693948	67
1285	2360	4339	2013-08-03 00:17:09.703908	2013-08-03 00:17:09.703908	67
1286	2360	4319	2013-08-03 00:17:09.713911	2013-08-03 00:17:09.713911	67
1287	2360	4299	2013-08-03 00:17:09.723722	2013-08-03 00:17:09.723722	67
1288	2355	2541	2013-08-03 00:17:09.745202	2013-08-03 00:17:09.745202	67
1289	2355	1750	2013-08-03 00:17:09.757287	2013-08-03 00:17:09.757287	67
1290	2355	1642	2013-08-03 00:17:09.76739	2013-08-03 00:17:09.76739	67
1291	2355	1662	2013-08-03 00:17:09.77735	2013-08-03 00:17:09.77735	67
1292	2355	1682	2013-08-03 00:17:09.787362	2013-08-03 00:17:09.787362	67
1293	2355	1702	2013-08-03 00:17:09.797276	2013-08-03 00:17:09.797276	67
1294	2355	1722	2013-08-03 00:17:09.807319	2013-08-03 00:17:09.807319	67
1295	2355	1586	2013-08-03 00:17:09.817801	2013-08-03 00:17:09.817801	67
1296	2355	1601	2013-08-03 00:17:09.828471	2013-08-03 00:17:09.828471	67
1297	2355	1592	2013-08-03 00:17:09.838464	2013-08-03 00:17:09.838464	67
1298	2355	1628	2013-08-03 00:17:09.848034	2013-08-03 00:17:09.848034	67
1299	2355	1655	2013-08-03 00:17:09.85802	2013-08-03 00:17:09.85802	67
1300	2355	4871	2013-08-03 00:17:09.868746	2013-08-03 00:17:09.868746	67
1301	2355	5199	2013-08-03 00:17:09.873341	2013-08-03 00:17:09.873341	67
1302	2355	5039	2013-08-03 00:17:09.879916	2013-08-03 00:17:09.879916	67
1303	2355	5019	2013-08-03 00:17:09.885428	2013-08-03 00:17:09.885428	67
1304	2355	4999	2013-08-03 00:17:09.891464	2013-08-03 00:17:09.891464	67
1305	2355	4979	2013-08-03 00:17:09.898104	2013-08-03 00:17:09.898104	67
1306	2355	4959	2013-08-03 00:17:09.906481	2013-08-03 00:17:09.906481	67
1307	2367	1567	2013-08-03 00:17:09.938898	2013-08-03 00:17:09.938898	67
1308	2367	1547	2013-08-03 00:17:09.95043	2013-08-03 00:17:09.95043	67
1309	2367	1527	2013-08-03 00:17:09.961691	2013-08-03 00:17:09.961691	67
1310	2367	1507	2013-08-03 00:17:09.973465	2013-08-03 00:17:09.973465	67
1311	2367	1487	2013-08-03 00:17:09.984714	2013-08-03 00:17:09.984714	67
1312	2367	1467	2013-08-03 00:17:09.99577	2013-08-03 00:17:09.99577	67
1313	2367	1447	2013-08-03 00:17:10.006222	2013-08-03 00:17:10.006222	67
1314	2367	1427	2013-08-03 00:17:10.016737	2013-08-03 00:17:10.016737	67
1315	2367	1364	2013-08-03 00:17:10.026857	2013-08-03 00:17:10.026857	67
1316	2367	1328	2013-08-03 00:17:10.03796	2013-08-03 00:17:10.03796	67
1317	2367	1330	2013-08-03 00:17:10.049009	2013-08-03 00:17:10.049009	67
1318	2367	1272	2013-08-03 00:17:10.060205	2013-08-03 00:17:10.060205	67
1319	2367	1261	2013-08-03 00:17:10.070574	2013-08-03 00:17:10.070574	67
1320	2367	1266	2013-08-03 00:17:10.076692	2013-08-03 00:17:10.076692	67
1321	2367	1290	2013-08-03 00:17:10.080315	2013-08-03 00:17:10.080315	67
1322	2367	1407	2013-08-03 00:17:10.085352	2013-08-03 00:17:10.085352	67
1323	2367	1387	2013-08-03 00:17:10.090051	2013-08-03 00:17:10.090051	67
1324	2367	1367	2013-08-03 00:17:10.094477	2013-08-03 00:17:10.094477	67
1325	2367	1347	2013-08-03 00:17:10.098291	2013-08-03 00:17:10.098291	67
1326	2368	4828	2013-08-03 00:17:10.106224	2013-08-03 00:17:10.106224	67
1327	2368	4808	2013-08-03 00:17:10.137038	2013-08-03 00:17:10.137038	67
1328	2368	4788	2013-08-03 00:17:10.140342	2013-08-03 00:17:10.140342	67
1329	2368	4768	2013-08-03 00:17:10.144991	2013-08-03 00:17:10.144991	67
1330	2368	4748	2013-08-03 00:17:10.149883	2013-08-03 00:17:10.149883	67
1331	2368	4728	2013-08-03 00:17:10.155589	2013-08-03 00:17:10.155589	67
1332	2368	4570	2013-08-03 00:17:10.163378	2013-08-03 00:17:10.163378	67
1333	2368	4708	2013-08-03 00:17:10.174148	2013-08-03 00:17:10.174148	67
1334	2368	4688	2013-08-03 00:17:10.180798	2013-08-03 00:17:10.180798	67
1335	2368	4668	2013-08-03 00:17:10.18507	2013-08-03 00:17:10.18507	67
1336	2368	4648	2013-08-03 00:17:10.189247	2013-08-03 00:17:10.189247	67
1337	2368	4628	2013-08-03 00:17:10.192592	2013-08-03 00:17:10.192592	67
1338	2368	4608	2013-08-03 00:17:10.196055	2013-08-03 00:17:10.196055	67
1339	2368	4588	2013-08-03 00:17:10.199574	2013-08-03 00:17:10.199574	67
1340	2368	4568	2013-08-03 00:17:10.203042	2013-08-03 00:17:10.203042	67
1341	2368	4548	2013-08-03 00:17:10.206186	2013-08-03 00:17:10.206186	67
1342	2368	4528	2013-08-03 00:17:10.209357	2013-08-03 00:17:10.209357	67
1343	2368	4508	2013-08-03 00:17:10.212814	2013-08-03 00:17:10.212814	67
1344	2368	4017	2013-08-03 00:17:10.216127	2013-08-03 00:17:10.216127	67
1345	2369	5331	2013-08-03 00:17:10.228636	2013-08-03 00:17:10.228636	67
1346	2369	5311	2013-08-03 00:17:10.2321	2013-08-03 00:17:10.2321	67
1347	2369	5291	2013-08-03 00:17:10.235904	2013-08-03 00:17:10.235904	67
1348	2369	5271	2013-08-03 00:17:10.239831	2013-08-03 00:17:10.239831	67
1349	2369	5251	2013-08-03 00:17:10.244151	2013-08-03 00:17:10.244151	67
1350	2369	5231	2013-08-03 00:17:10.248159	2013-08-03 00:17:10.248159	67
1351	2369	5211	2013-08-03 00:17:10.252321	2013-08-03 00:17:10.252321	67
1352	2369	5191	2013-08-03 00:17:10.256725	2013-08-03 00:17:10.256725	67
1353	2369	5171	2013-08-03 00:17:10.260876	2013-08-03 00:17:10.260876	67
1354	2391	5151	2013-08-03 00:17:10.266346	2013-08-03 00:17:10.266346	67
1355	2391	5131	2013-08-03 00:17:10.271272	2013-08-03 00:17:10.271272	67
1356	2391	5111	2013-08-03 00:17:10.27588	2013-08-03 00:17:10.27588	67
1357	2391	5091	2013-08-03 00:17:10.280223	2013-08-03 00:17:10.280223	67
1358	2391	5071	2013-08-03 00:17:10.284967	2013-08-03 00:17:10.284967	67
1359	2391	5051	2013-08-03 00:17:10.289245	2013-08-03 00:17:10.289245	67
1360	2391	5031	2013-08-03 00:17:10.293702	2013-08-03 00:17:10.293702	67
1361	2391	5011	2013-08-03 00:17:10.29849	2013-08-03 00:17:10.29849	67
1362	2391	3957	2013-08-03 00:17:10.303292	2013-08-03 00:17:10.303292	67
1363	2371	5731	2013-08-03 00:17:10.314754	2013-08-03 00:17:10.314754	67
1364	2371	5711	2013-08-03 00:17:10.319475	2013-08-03 00:17:10.319475	67
1365	2371	5691	2013-08-03 00:17:10.323717	2013-08-03 00:17:10.323717	67
1366	2371	5671	2013-08-03 00:17:10.327747	2013-08-03 00:17:10.327747	67
1367	2371	5651	2013-08-03 00:17:10.3316	2013-08-03 00:17:10.3316	67
1368	2371	5631	2013-08-03 00:17:10.338721	2013-08-03 00:17:10.338721	67
1369	2371	5611	2013-08-03 00:17:10.346077	2013-08-03 00:17:10.346077	67
1370	2371	5591	2013-08-03 00:17:10.352927	2013-08-03 00:17:10.352927	67
1371	2371	5571	2013-08-03 00:17:10.357264	2013-08-03 00:17:10.357264	67
1372	2371	5551	2013-08-03 00:17:10.361961	2013-08-03 00:17:10.361961	67
1373	2371	5531	2013-08-03 00:17:10.366017	2013-08-03 00:17:10.366017	67
1374	2371	5511	2013-08-03 00:17:10.370371	2013-08-03 00:17:10.370371	67
1375	2371	5491	2013-08-03 00:17:10.374959	2013-08-03 00:17:10.374959	67
1376	2371	5471	2013-08-03 00:17:10.380137	2013-08-03 00:17:10.380137	67
1377	2371	5451	2013-08-03 00:17:10.384446	2013-08-03 00:17:10.384446	67
1378	2371	5431	2013-08-03 00:17:10.3885	2013-08-03 00:17:10.3885	67
1379	2371	5411	2013-08-03 00:17:10.39308	2013-08-03 00:17:10.39308	67
1380	2371	5391	2013-08-03 00:17:10.39835	2013-08-03 00:17:10.39835	67
1381	2371	5371	2013-08-03 00:17:10.404734	2013-08-03 00:17:10.404734	67
1382	2379	4552	2013-08-03 00:17:10.416363	2013-08-03 00:17:10.416363	67
1383	2379	4532	2013-08-03 00:17:10.421046	2013-08-03 00:17:10.421046	67
1384	2379	4512	2013-08-03 00:17:10.425762	2013-08-03 00:17:10.425762	67
1385	2379	4492	2013-08-03 00:17:10.430268	2013-08-03 00:17:10.430268	67
1386	2379	4472	2013-08-03 00:17:10.434569	2013-08-03 00:17:10.434569	67
1387	2379	4452	2013-08-03 00:17:10.43972	2013-08-03 00:17:10.43972	67
1388	2379	4432	2013-08-03 00:17:10.446201	2013-08-03 00:17:10.446201	67
1389	2379	4412	2013-08-03 00:17:10.451558	2013-08-03 00:17:10.451558	67
1390	2379	4343	2013-08-03 00:17:10.456967	2013-08-03 00:17:10.456967	67
1391	2379	4392	2013-08-03 00:17:10.462279	2013-08-03 00:17:10.462279	67
1392	2379	4372	2013-08-03 00:17:10.467416	2013-08-03 00:17:10.467416	67
1393	2379	4352	2013-08-03 00:17:10.473106	2013-08-03 00:17:10.473106	67
1394	2379	4332	2013-08-03 00:17:10.479229	2013-08-03 00:17:10.479229	67
1395	2379	4312	2013-08-03 00:17:10.517131	2013-08-03 00:17:10.517131	67
1396	2379	4292	2013-08-03 00:17:10.524126	2013-08-03 00:17:10.524126	67
1397	2379	4272	2013-08-03 00:17:10.530301	2013-08-03 00:17:10.530301	67
1398	2379	4252	2013-08-03 00:17:10.541082	2013-08-03 00:17:10.541082	67
1399	2379	4130	2013-08-03 00:17:10.54652	2013-08-03 00:17:10.54652	67
1400	2379	3937	2013-08-03 00:17:10.552412	2013-08-03 00:17:10.552412	67
1401	2358	2675	2013-08-03 00:17:10.575689	2013-08-03 00:17:10.575689	67
1402	2358	2655	2013-08-03 00:17:10.583803	2013-08-03 00:17:10.583803	67
1403	2358	2635	2013-08-03 00:17:10.593503	2013-08-03 00:17:10.593503	67
1404	2358	2615	2013-08-03 00:17:10.598261	2013-08-03 00:17:10.598261	67
1405	2358	2595	2013-08-03 00:17:10.606832	2013-08-03 00:17:10.606832	67
1406	2358	2575	2013-08-03 00:17:10.617764	2013-08-03 00:17:10.617764	67
1407	2358	2555	2013-08-03 00:17:10.628945	2013-08-03 00:17:10.628945	67
1408	2358	2535	2013-08-03 00:17:10.639966	2013-08-03 00:17:10.639966	67
1409	2358	2515	2013-08-03 00:17:10.651197	2013-08-03 00:17:10.651197	67
1410	2389	2457	2013-08-03 00:17:10.662799	2013-08-03 00:17:10.662799	67
1411	2389	2384	2013-08-03 00:17:10.674134	2013-08-03 00:17:10.674134	67
1412	2389	2495	2013-08-03 00:17:10.685347	2013-08-03 00:17:10.685347	67
1413	2389	2475	2013-08-03 00:17:10.69641	2013-08-03 00:17:10.69641	67
1414	2389	2455	2013-08-03 00:17:10.707227	2013-08-03 00:17:10.707227	67
1415	2389	2435	2013-08-03 00:17:10.718363	2013-08-03 00:17:10.718363	67
1416	2389	2415	2013-08-03 00:17:10.729431	2013-08-03 00:17:10.729431	67
1417	2389	2395	2013-08-03 00:17:10.740433	2013-08-03 00:17:10.740433	67
1418	2389	2375	2013-08-03 00:17:10.751542	2013-08-03 00:17:10.751542	67
1419	2380	4517	2013-08-03 00:17:10.787765	2013-08-03 00:17:10.787765	67
1420	2380	4497	2013-08-03 00:17:10.798943	2013-08-03 00:17:10.798943	67
1421	2380	4477	2013-08-03 00:17:10.810063	2013-08-03 00:17:10.810063	67
1422	2380	4457	2013-08-03 00:17:10.82113	2013-08-03 00:17:10.82113	67
1423	2380	4437	2013-08-03 00:17:10.832601	2013-08-03 00:17:10.832601	67
1424	2380	4417	2013-08-03 00:17:10.843982	2013-08-03 00:17:10.843982	67
1425	2380	4397	2013-08-03 00:17:10.855013	2013-08-03 00:17:10.855013	67
1426	2380	4377	2013-08-03 00:17:10.865998	2013-08-03 00:17:10.865998	67
1427	2380	4357	2013-08-03 00:17:10.87698	2013-08-03 00:17:10.87698	67
1428	2394	4337	2013-08-03 00:17:10.886496	2013-08-03 00:17:10.886496	67
1429	2394	4317	2013-08-03 00:17:10.891138	2013-08-03 00:17:10.891138	67
1430	2394	4297	2013-08-03 00:17:10.899719	2013-08-03 00:17:10.899719	67
1431	2394	4277	2013-08-03 00:17:10.905659	2013-08-03 00:17:10.905659	67
1432	2394	4257	2013-08-03 00:17:10.910781	2013-08-03 00:17:10.910781	67
1433	2394	4237	2013-08-03 00:17:10.917313	2013-08-03 00:17:10.917313	67
1434	2394	4217	2013-08-03 00:17:10.923382	2013-08-03 00:17:10.923382	67
1435	2394	4197	2013-08-03 00:17:10.930008	2013-08-03 00:17:10.930008	67
1436	2394	4177	2013-08-03 00:17:10.937129	2013-08-03 00:17:10.937129	67
1437	2381	2798	2013-08-03 00:17:10.957979	2013-08-03 00:17:10.957979	67
1438	2381	2778	2013-08-03 00:17:10.966822	2013-08-03 00:17:10.966822	67
1439	2381	2758	2013-08-03 00:17:10.975782	2013-08-03 00:17:10.975782	67
1440	2381	2738	2013-08-03 00:17:10.984895	2013-08-03 00:17:10.984895	67
1441	2381	2718	2013-08-03 00:17:10.994463	2013-08-03 00:17:10.994463	67
1442	2381	2698	2013-08-03 00:17:11.005548	2013-08-03 00:17:11.005548	67
1443	2381	2678	2013-08-03 00:17:11.017038	2013-08-03 00:17:11.017038	67
1444	2381	2741	2013-08-03 00:17:11.020692	2013-08-03 00:17:11.020692	67
1445	2381	2663	2013-08-03 00:17:11.02673	2013-08-03 00:17:11.02673	67
1446	2395	2658	2013-08-03 00:17:11.03886	2013-08-03 00:17:11.03886	67
1447	2395	2638	2013-08-03 00:17:11.044086	2013-08-03 00:17:11.044086	67
1448	2395	2618	2013-08-03 00:17:11.048142	2013-08-03 00:17:11.048142	67
1449	2395	2598	2013-08-03 00:17:11.051737	2013-08-03 00:17:11.051737	67
1450	2395	2578	2013-08-03 00:17:11.056721	2013-08-03 00:17:11.056721	67
1451	2395	2558	2013-08-03 00:17:11.061767	2013-08-03 00:17:11.061767	67
1452	2395	2538	2013-08-03 00:17:11.06762	2013-08-03 00:17:11.06762	67
1453	2395	2518	2013-08-03 00:17:11.072791	2013-08-03 00:17:11.072791	67
1454	2395	2417	2013-08-03 00:17:11.080926	2013-08-03 00:17:11.080926	67
1455	2385	5659	2013-08-03 00:17:11.134836	2013-08-03 00:17:11.134836	67
1456	2385	5639	2013-08-03 00:17:11.142298	2013-08-03 00:17:11.142298	67
1457	2385	5619	2013-08-03 00:17:11.151169	2013-08-03 00:17:11.151169	67
1458	2385	5599	2013-08-03 00:17:11.158524	2013-08-03 00:17:11.158524	67
1459	2385	5579	2013-08-03 00:17:11.168314	2013-08-03 00:17:11.168314	67
1460	2385	5559	2013-08-03 00:17:11.17778	2013-08-03 00:17:11.17778	67
1461	2385	5539	2013-08-03 00:17:11.187461	2013-08-03 00:17:11.187461	67
1462	2385	5519	2013-08-03 00:17:11.198757	2013-08-03 00:17:11.198757	67
1463	2385	5499	2013-08-03 00:17:11.21003	2013-08-03 00:17:11.21003	67
1464	2393	5479	2013-08-03 00:17:11.221713	2013-08-03 00:17:11.221713	67
1465	2393	5459	2013-08-03 00:17:11.233244	2013-08-03 00:17:11.233244	67
1466	2393	5439	2013-08-03 00:17:11.245174	2013-08-03 00:17:11.245174	67
1467	2393	5419	2013-08-03 00:17:11.257586	2013-08-03 00:17:11.257586	67
1468	2393	5399	2013-08-03 00:17:11.269653	2013-08-03 00:17:11.269653	67
1469	2393	5379	2013-08-03 00:17:11.281464	2013-08-03 00:17:11.281464	67
1470	2393	5359	2013-08-03 00:17:11.293204	2013-08-03 00:17:11.293204	67
1471	2393	5339	2013-08-03 00:17:11.305158	2013-08-03 00:17:11.305158	67
1472	2393	3817	2013-08-03 00:17:11.316824	2013-08-03 00:17:11.316824	67
1473	2373	6059	2013-08-03 00:17:11.340869	2013-08-03 00:17:11.340869	67
1474	2373	6039	2013-08-03 00:17:11.353821	2013-08-03 00:17:11.353821	67
1475	2373	6019	2013-08-03 00:17:11.365692	2013-08-03 00:17:11.365692	67
1476	2373	5999	2013-08-03 00:17:11.37701	2013-08-03 00:17:11.37701	67
1477	2373	5979	2013-08-03 00:17:11.3879	2013-08-03 00:17:11.3879	67
1478	2373	5959	2013-08-03 00:17:11.39919	2013-08-03 00:17:11.39919	67
1479	2373	5939	2013-08-03 00:17:11.408783	2013-08-03 00:17:11.408783	67
1480	2373	5919	2013-08-03 00:17:11.416669	2013-08-03 00:17:11.416669	67
1481	2373	5899	2013-08-03 00:17:11.422075	2013-08-03 00:17:11.422075	67
1482	2373	5879	2013-08-03 00:17:11.426725	2013-08-03 00:17:11.426725	67
1483	2373	5859	2013-08-03 00:17:11.431223	2013-08-03 00:17:11.431223	67
1484	2373	5839	2013-08-03 00:17:11.436197	2013-08-03 00:17:11.436197	67
1485	2373	5819	2013-08-03 00:17:11.446327	2013-08-03 00:17:11.446327	67
1486	2373	5799	2013-08-03 00:17:11.457513	2013-08-03 00:17:11.457513	67
1487	2373	5779	2013-08-03 00:17:11.469491	2013-08-03 00:17:11.469491	67
1488	2373	5759	2013-08-03 00:17:11.476859	2013-08-03 00:17:11.476859	67
1489	2373	5739	2013-08-03 00:17:11.481493	2013-08-03 00:17:11.481493	67
1490	2373	5719	2013-08-03 00:17:11.48905	2013-08-03 00:17:11.48905	67
1491	2373	5699	2013-08-03 00:17:11.495705	2013-08-03 00:17:11.495705	67
1492	2390	3120	2013-08-03 00:17:11.509417	2013-08-03 00:17:11.509417	67
1493	2390	3100	2013-08-03 00:17:11.51372	2013-08-03 00:17:11.51372	67
1494	2390	3080	2013-08-03 00:17:11.520163	2013-08-03 00:17:11.520163	67
1495	2390	3060	2013-08-03 00:17:11.526304	2013-08-03 00:17:11.526304	67
1496	2390	3040	2013-08-03 00:17:11.534765	2013-08-03 00:17:11.534765	67
1497	2390	3020	2013-08-03 00:17:11.544532	2013-08-03 00:17:11.544532	67
1498	2390	3000	2013-08-03 00:17:11.555867	2013-08-03 00:17:11.555867	67
1499	2390	2980	2013-08-03 00:17:11.568043	2013-08-03 00:17:11.568043	67
1500	2390	2960	2013-08-03 00:17:11.57995	2013-08-03 00:17:11.57995	67
1501	2390	2940	2013-08-03 00:17:11.591545	2013-08-03 00:17:11.591545	67
1502	2390	2920	2013-08-03 00:17:11.602917	2013-08-03 00:17:11.602917	67
1503	2390	2900	2013-08-03 00:17:11.613993	2013-08-03 00:17:11.613993	67
1504	2390	2880	2013-08-03 00:17:11.624685	2013-08-03 00:17:11.624685	67
1505	2390	2860	2013-08-03 00:17:11.635936	2013-08-03 00:17:11.635936	67
1506	2390	2840	2013-08-03 00:17:11.648023	2013-08-03 00:17:11.648023	67
1507	2390	2820	2013-08-03 00:17:11.65976	2013-08-03 00:17:11.65976	67
1508	2390	2800	2013-08-03 00:17:11.671224	2013-08-03 00:17:11.671224	67
1509	2390	2780	2013-08-03 00:17:11.682825	2013-08-03 00:17:11.682825	67
1510	2390	2760	2013-08-03 00:17:11.694432	2013-08-03 00:17:11.694432	67
1511	2402	4341	2013-08-03 00:22:08.083212	2013-08-03 00:22:08.083212	68
1512	2402	4321	2013-08-03 00:22:08.087758	2013-08-03 00:22:08.087758	68
1513	2402	4301	2013-08-03 00:22:08.091412	2013-08-03 00:22:08.091412	68
1514	2402	4281	2013-08-03 00:22:08.095309	2013-08-03 00:22:08.095309	68
1515	2402	4261	2013-08-03 00:22:08.10086	2013-08-03 00:22:08.10086	68
1516	2402	4241	2013-08-03 00:22:08.107479	2013-08-03 00:22:08.107479	68
1517	2410	4157	2013-08-03 00:22:08.11154	2013-08-03 00:22:08.11154	68
1518	2410	4170	2013-08-03 00:22:08.119417	2013-08-03 00:22:08.119417	68
1519	2410	4221	2013-08-03 00:22:08.127678	2013-08-03 00:22:08.127678	68
1520	2410	4201	2013-08-03 00:22:08.133423	2013-08-03 00:22:08.133423	68
1521	2410	4181	2013-08-03 00:22:08.139105	2013-08-03 00:22:08.139105	68
1522	2410	4161	2013-08-03 00:22:08.143177	2013-08-03 00:22:08.143177	68
1523	2513	4141	2013-08-03 00:22:08.14766	2013-08-03 00:22:08.14766	68
1524	2513	4121	2013-08-03 00:22:08.152214	2013-08-03 00:22:08.152214	68
1525	2513	4101	2013-08-03 00:22:08.156009	2013-08-03 00:22:08.156009	68
1526	2513	3930	2013-08-03 00:22:08.160742	2013-08-03 00:22:08.160742	68
1527	2513	4081	2013-08-03 00:22:08.168478	2013-08-03 00:22:08.168478	68
1528	2513	4061	2013-08-03 00:22:08.17845	2013-08-03 00:22:08.17845	68
1529	2396	1662	2013-08-03 00:22:08.203098	2013-08-03 00:22:08.203098	68
1530	2396	1642	2013-08-03 00:22:08.210563	2013-08-03 00:22:08.210563	68
1531	2396	5699	2013-08-03 00:22:08.219705	2013-08-03 00:22:08.219705	68
1532	2396	5719	2013-08-03 00:22:08.230109	2013-08-03 00:22:08.230109	68
1533	2396	5739	2013-08-03 00:22:08.240236	2013-08-03 00:22:08.240236	68
1534	2396	5759	2013-08-03 00:22:08.250342	2013-08-03 00:22:08.250342	68
1535	2408	5819	2013-08-03 00:22:08.261519	2013-08-03 00:22:08.261519	68
1536	2408	5839	2013-08-03 00:22:08.272012	2013-08-03 00:22:08.272012	68
1537	2408	5979	2013-08-03 00:22:08.282402	2013-08-03 00:22:08.282402	68
1538	2408	5511	2013-08-03 00:22:08.293148	2013-08-03 00:22:08.293148	68
1539	2408	5531	2013-08-03 00:22:08.304108	2013-08-03 00:22:08.304108	68
1540	2408	4959	2013-08-03 00:22:08.314717	2013-08-03 00:22:08.314717	68
1541	2399	4979	2013-08-03 00:22:08.325702	2013-08-03 00:22:08.325702	68
1542	2399	4999	2013-08-03 00:22:08.335492	2013-08-03 00:22:08.335492	68
1543	2399	5019	2013-08-03 00:22:08.345603	2013-08-03 00:22:08.345603	68
1544	2399	5039	2013-08-03 00:22:08.355755	2013-08-03 00:22:08.355755	68
1545	2399	5199	2013-08-03 00:22:08.366425	2013-08-03 00:22:08.366425	68
1546	2399	4871	2013-08-03 00:22:08.376486	2013-08-03 00:22:08.376486	68
1547	2398	1647	2013-08-03 00:22:08.424477	2013-08-03 00:22:08.424477	68
1548	2398	1627	2013-08-03 00:22:08.435735	2013-08-03 00:22:08.435735	68
1549	2398	1607	2013-08-03 00:22:08.446644	2013-08-03 00:22:08.446644	68
1550	2398	1642	2013-08-03 00:22:08.457551	2013-08-03 00:22:08.457551	68
1551	2398	1662	2013-08-03 00:22:08.467653	2013-08-03 00:22:08.467653	68
1552	2398	1587	2013-08-03 00:22:08.477759	2013-08-03 00:22:08.477759	68
1553	2398	1469	2013-08-03 00:22:08.48873	2013-08-03 00:22:08.48873	68
1554	2398	1440	2013-08-03 00:22:08.499639	2013-08-03 00:22:08.499639	68
1555	2398	1479	2013-08-03 00:22:08.510817	2013-08-03 00:22:08.510817	68
1556	2436	1444	2013-08-03 00:22:08.522335	2013-08-03 00:22:08.522335	68
1557	2436	1457	2013-08-03 00:22:08.533287	2013-08-03 00:22:08.533287	68
1558	2436	1521	2013-08-03 00:22:08.544169	2013-08-03 00:22:08.544169	68
1559	2436	1464	2013-08-03 00:22:08.55523	2013-08-03 00:22:08.55523	68
1560	2436	1506	2013-08-03 00:22:08.566205	2013-08-03 00:22:08.566205	68
1561	2436	5759	2013-08-03 00:22:08.577101	2013-08-03 00:22:08.577101	68
1562	2436	5739	2013-08-03 00:22:08.587029	2013-08-03 00:22:08.587029	68
1563	2436	5719	2013-08-03 00:22:08.597088	2013-08-03 00:22:08.597088	68
1564	2436	5699	2013-08-03 00:22:08.607262	2013-08-03 00:22:08.607262	68
1565	2401	5168	2013-08-03 00:22:08.638138	2013-08-03 00:22:08.638138	68
1566	2401	5148	2013-08-03 00:22:08.649033	2013-08-03 00:22:08.649033	68
1567	2401	5128	2013-08-03 00:22:08.659896	2013-08-03 00:22:08.659896	68
1568	2401	5108	2013-08-03 00:22:08.671356	2013-08-03 00:22:08.671356	68
1569	2401	5088	2013-08-03 00:22:08.682515	2013-08-03 00:22:08.682515	68
1570	2401	5068	2013-08-03 00:22:08.693444	2013-08-03 00:22:08.693444	68
1571	2526	5048	2013-08-03 00:22:08.704994	2013-08-03 00:22:08.704994	68
1572	2526	5028	2013-08-03 00:22:08.715859	2013-08-03 00:22:08.715859	68
1573	2526	5008	2013-08-03 00:22:08.726741	2013-08-03 00:22:08.726741	68
1574	2526	4988	2013-08-03 00:22:08.737476	2013-08-03 00:22:08.737476	68
1575	2526	4968	2013-08-03 00:22:08.748269	2013-08-03 00:22:08.748269	68
1576	2526	4948	2013-08-03 00:22:08.789534	2013-08-03 00:22:08.789534	68
1577	2437	4928	2013-08-03 00:22:08.795653	2013-08-03 00:22:08.795653	68
1578	2437	4908	2013-08-03 00:22:08.806702	2013-08-03 00:22:08.806702	68
1579	2437	4888	2013-08-03 00:22:08.818072	2013-08-03 00:22:08.818072	68
1580	2437	4868	2013-08-03 00:22:08.827007	2013-08-03 00:22:08.827007	68
1581	2437	4777	2013-08-03 00:22:08.831601	2013-08-03 00:22:08.831601	68
1582	2437	4848	2013-08-03 00:22:08.836413	2013-08-03 00:22:08.836413	68
1583	2452	5568	2013-08-03 00:22:08.847282	2013-08-03 00:22:08.847282	68
1584	2452	5548	2013-08-03 00:22:08.852582	2013-08-03 00:22:08.852582	68
1585	2452	5528	2013-08-03 00:22:08.856499	2013-08-03 00:22:08.856499	68
1586	2452	5508	2013-08-03 00:22:08.864436	2013-08-03 00:22:08.864436	68
1587	2452	5488	2013-08-03 00:22:08.875181	2013-08-03 00:22:08.875181	68
1588	2452	5468	2013-08-03 00:22:08.887921	2013-08-03 00:22:08.887921	68
1589	2452	5448	2013-08-03 00:22:08.900032	2013-08-03 00:22:08.900032	68
1590	2452	5428	2013-08-03 00:22:08.911821	2013-08-03 00:22:08.911821	68
1591	2452	5408	2013-08-03 00:22:08.923738	2013-08-03 00:22:08.923738	68
1592	2452	5388	2013-08-03 00:22:08.935513	2013-08-03 00:22:08.935513	68
1593	2452	5368	2013-08-03 00:22:08.944183	2013-08-03 00:22:08.944183	68
1594	2452	5348	2013-08-03 00:22:08.95563	2013-08-03 00:22:08.95563	68
1595	2452	5328	2013-08-03 00:22:08.967217	2013-08-03 00:22:08.967217	68
1596	2452	5308	2013-08-03 00:22:08.978333	2013-08-03 00:22:08.978333	68
1597	2452	5288	2013-08-03 00:22:08.989515	2013-08-03 00:22:08.989515	68
1598	2452	5268	2013-08-03 00:22:09.000829	2013-08-03 00:22:09.000829	68
1599	2452	5248	2013-08-03 00:22:09.01249	2013-08-03 00:22:09.01249	68
1600	2452	5228	2013-08-03 00:22:09.025433	2013-08-03 00:22:09.025433	68
1601	2452	5208	2013-08-03 00:22:09.038034	2013-08-03 00:22:09.038034	68
1602	2537	6071	2013-08-03 00:22:09.083198	2013-08-03 00:22:09.083198	68
1603	2537	6051	2013-08-03 00:22:09.092025	2013-08-03 00:22:09.092025	68
1604	2537	6031	2013-08-03 00:22:09.097597	2013-08-03 00:22:09.097597	68
1605	2537	6011	2013-08-03 00:22:09.10206	2013-08-03 00:22:09.10206	68
1606	2537	5991	2013-08-03 00:22:09.107666	2013-08-03 00:22:09.107666	68
1607	2537	5971	2013-08-03 00:22:09.112363	2013-08-03 00:22:09.112363	68
1608	2405	5951	2013-08-03 00:22:09.118397	2013-08-03 00:22:09.118397	68
1609	2405	5931	2013-08-03 00:22:09.124495	2013-08-03 00:22:09.124495	68
1610	2405	5911	2013-08-03 00:22:09.132076	2013-08-03 00:22:09.132076	68
1611	2405	5891	2013-08-03 00:22:09.13883	2013-08-03 00:22:09.13883	68
1612	2405	5871	2013-08-03 00:22:09.14392	2013-08-03 00:22:09.14392	68
1613	2405	5851	2013-08-03 00:22:09.148301	2013-08-03 00:22:09.148301	68
1614	2438	5831	2013-08-03 00:22:09.153819	2013-08-03 00:22:09.153819	68
1615	2438	5811	2013-08-03 00:22:09.158107	2013-08-03 00:22:09.158107	68
1616	2438	5791	2013-08-03 00:22:09.162431	2013-08-03 00:22:09.162431	68
1617	2438	5771	2013-08-03 00:22:09.166423	2013-08-03 00:22:09.166423	68
1618	2438	5751	2013-08-03 00:22:09.172261	2013-08-03 00:22:09.172261	68
1619	2438	4717	2013-08-03 00:22:09.179891	2013-08-03 00:22:09.179891	68
1620	2451	6451	2013-08-03 00:22:09.194211	2013-08-03 00:22:09.194211	68
1621	2451	6431	2013-08-03 00:22:09.198417	2013-08-03 00:22:09.198417	68
1622	2451	6411	2013-08-03 00:22:09.203057	2013-08-03 00:22:09.203057	68
1623	2451	6391	2013-08-03 00:22:09.207609	2013-08-03 00:22:09.207609	68
1624	2451	6371	2013-08-03 00:22:09.211601	2013-08-03 00:22:09.211601	68
1625	2451	6351	2013-08-03 00:22:09.215394	2013-08-03 00:22:09.215394	68
1626	2451	6331	2013-08-03 00:22:09.219902	2013-08-03 00:22:09.219902	68
1627	2451	6311	2013-08-03 00:22:09.224104	2013-08-03 00:22:09.224104	68
1628	2451	6291	2013-08-03 00:22:09.229719	2013-08-03 00:22:09.229719	68
1629	2451	6271	2013-08-03 00:22:09.23341	2013-08-03 00:22:09.23341	68
1630	2451	6251	2013-08-03 00:22:09.237742	2013-08-03 00:22:09.237742	68
1631	2451	6231	2013-08-03 00:22:09.241385	2013-08-03 00:22:09.241385	68
1632	2451	6211	2013-08-03 00:22:09.244982	2013-08-03 00:22:09.244982	68
1633	2451	6191	2013-08-03 00:22:09.249334	2013-08-03 00:22:09.249334	68
1634	2451	6171	2013-08-03 00:22:09.252991	2013-08-03 00:22:09.252991	68
1635	2451	6151	2013-08-03 00:22:09.257779	2013-08-03 00:22:09.257779	68
1636	2451	6131	2013-08-03 00:22:09.262056	2013-08-03 00:22:09.262056	68
1637	2451	6103	2013-08-03 00:22:09.266172	2013-08-03 00:22:09.266172	68
1638	2451	6111	2013-08-03 00:22:09.270236	2013-08-03 00:22:09.270236	68
1639	2400	4892	2013-08-03 00:22:09.284614	2013-08-03 00:22:09.284614	68
1640	2400	4872	2013-08-03 00:22:09.288387	2013-08-03 00:22:09.288387	68
1641	2400	4852	2013-08-03 00:22:09.292016	2013-08-03 00:22:09.292016	68
1642	2400	4832	2013-08-03 00:22:09.296131	2013-08-03 00:22:09.296131	68
1643	2400	4812	2013-08-03 00:22:09.301255	2013-08-03 00:22:09.301255	68
1644	2400	4792	2013-08-03 00:22:09.306581	2013-08-03 00:22:09.306581	68
1645	2538	4772	2013-08-03 00:22:09.338792	2013-08-03 00:22:09.338792	68
1646	2538	4752	2013-08-03 00:22:09.346243	2013-08-03 00:22:09.346243	68
1647	2538	4732	2013-08-03 00:22:09.351105	2013-08-03 00:22:09.351105	68
1648	2538	4712	2013-08-03 00:22:09.355318	2013-08-03 00:22:09.355318	68
1649	2538	4697	2013-08-03 00:22:09.40135	2013-08-03 00:22:09.40135	68
1650	2538	4692	2013-08-03 00:22:09.405324	2013-08-03 00:22:09.405324	68
1651	2453	4672	2013-08-03 00:22:09.411008	2013-08-03 00:22:09.411008	68
1652	2453	4652	2013-08-03 00:22:09.415456	2013-08-03 00:22:09.415456	68
1653	2453	4632	2013-08-03 00:22:09.419496	2013-08-03 00:22:09.419496	68
1654	2453	4612	2013-08-03 00:22:09.423491	2013-08-03 00:22:09.423491	68
1655	2453	4592	2013-08-03 00:22:09.428071	2013-08-03 00:22:09.428071	68
1656	2453	4572	2013-08-03 00:22:09.432317	2013-08-03 00:22:09.432317	68
1657	2397	2995	2013-08-03 00:22:09.448356	2013-08-03 00:22:09.448356	68
1658	2397	2975	2013-08-03 00:22:09.453144	2013-08-03 00:22:09.453144	68
1659	2397	2955	2013-08-03 00:22:09.458393	2013-08-03 00:22:09.458393	68
1660	2397	2935	2013-08-03 00:22:09.462789	2013-08-03 00:22:09.462789	68
1661	2397	2915	2013-08-03 00:22:09.467239	2013-08-03 00:22:09.467239	68
1662	2397	2895	2013-08-03 00:22:09.472074	2013-08-03 00:22:09.472074	68
1663	2409	2875	2013-08-03 00:22:09.478002	2013-08-03 00:22:09.478002	68
1664	2409	2855	2013-08-03 00:22:09.483568	2013-08-03 00:22:09.483568	68
1665	2409	2835	2013-08-03 00:22:09.490266	2013-08-03 00:22:09.490266	68
1666	2409	2779	2013-08-03 00:22:09.497236	2013-08-03 00:22:09.497236	68
1667	2409	2730	2013-08-03 00:22:09.505102	2013-08-03 00:22:09.505102	68
1668	2409	2815	2013-08-03 00:22:09.509218	2013-08-03 00:22:09.509218	68
1669	2435	2795	2013-08-03 00:22:09.513794	2013-08-03 00:22:09.513794	68
1670	2435	2775	2013-08-03 00:22:09.517691	2013-08-03 00:22:09.517691	68
1671	2435	2755	2013-08-03 00:22:09.52135	2013-08-03 00:22:09.52135	68
1672	2435	2735	2013-08-03 00:22:09.525792	2013-08-03 00:22:09.525792	68
1673	2435	2715	2013-08-03 00:22:09.531047	2013-08-03 00:22:09.531047	68
1674	2435	2695	2013-08-03 00:22:09.536113	2013-08-03 00:22:09.536113	68
1675	2546	5257	2013-08-03 00:22:09.551279	2013-08-03 00:22:09.551279	68
1676	2546	5237	2013-08-03 00:22:09.557602	2013-08-03 00:22:09.557602	68
1677	2546	5217	2013-08-03 00:22:09.562323	2013-08-03 00:22:09.562323	68
1678	2546	5197	2013-08-03 00:22:09.566441	2013-08-03 00:22:09.566441	68
1679	2546	5177	2013-08-03 00:22:09.570451	2013-08-03 00:22:09.570451	68
1680	2546	5157	2013-08-03 00:22:09.57492	2013-08-03 00:22:09.57492	68
1681	2454	5137	2013-08-03 00:22:09.579738	2013-08-03 00:22:09.579738	68
1682	2454	5117	2013-08-03 00:22:09.584068	2013-08-03 00:22:09.584068	68
1683	2454	5097	2013-08-03 00:22:09.588873	2013-08-03 00:22:09.588873	68
1684	2454	5077	2013-08-03 00:22:09.593861	2013-08-03 00:22:09.593861	68
1685	2454	5057	2013-08-03 00:22:09.598122	2013-08-03 00:22:09.598122	68
1686	2454	5037	2013-08-03 00:22:09.602942	2013-08-03 00:22:09.602942	68
1687	2407	4903	2013-08-03 00:22:09.60804	2013-08-03 00:22:09.60804	68
1688	2407	5017	2013-08-03 00:22:09.613091	2013-08-03 00:22:09.613091	68
1689	2407	4997	2013-08-03 00:22:09.621052	2013-08-03 00:22:09.621052	68
1690	2407	4977	2013-08-03 00:22:09.62734	2013-08-03 00:22:09.62734	68
1691	2407	4957	2013-08-03 00:22:09.63249	2013-08-03 00:22:09.63249	68
1692	2407	4937	2013-08-03 00:22:09.638443	2013-08-03 00:22:09.638443	68
1693	2406	3138	2013-08-03 00:22:09.651102	2013-08-03 00:22:09.651102	68
1694	2406	3118	2013-08-03 00:22:09.656779	2013-08-03 00:22:09.656779	68
1695	2406	3098	2013-08-03 00:22:09.664482	2013-08-03 00:22:09.664482	68
1696	2406	3078	2013-08-03 00:22:09.673709	2013-08-03 00:22:09.673709	68
1697	2406	3058	2013-08-03 00:22:09.683294	2013-08-03 00:22:09.683294	68
1698	2406	3038	2013-08-03 00:22:09.694078	2013-08-03 00:22:09.694078	68
1699	2547	3018	2013-08-03 00:22:09.705477	2013-08-03 00:22:09.705477	68
1700	2547	2998	2013-08-03 00:22:09.716318	2013-08-03 00:22:09.716318	68
1701	2547	2950	2013-08-03 00:22:09.727124	2013-08-03 00:22:09.727124	68
1702	2547	2978	2013-08-03 00:22:09.738289	2013-08-03 00:22:09.738289	68
1703	2547	2958	2013-08-03 00:22:09.749315	2013-08-03 00:22:09.749315	68
1704	2547	2938	2013-08-03 00:22:09.756745	2013-08-03 00:22:09.756745	68
1705	2455	2918	2013-08-03 00:22:09.761781	2013-08-03 00:22:09.761781	68
1706	2455	2898	2013-08-03 00:22:09.766162	2013-08-03 00:22:09.766162	68
1707	2455	2878	2013-08-03 00:22:09.773215	2013-08-03 00:22:09.773215	68
1708	2455	2858	2013-08-03 00:22:09.784066	2013-08-03 00:22:09.784066	68
1709	2455	2838	2013-08-03 00:22:09.788107	2013-08-03 00:22:09.788107	68
1710	2455	2719	2013-08-03 00:22:09.791736	2013-08-03 00:22:09.791736	68
1711	2404	6399	2013-08-03 00:22:09.845954	2013-08-03 00:22:09.845954	68
1712	2404	6379	2013-08-03 00:22:09.853726	2013-08-03 00:22:09.853726	68
1713	2404	6359	2013-08-03 00:22:09.857902	2013-08-03 00:22:09.857902	68
1714	2404	6339	2013-08-03 00:22:09.861735	2013-08-03 00:22:09.861735	68
1715	2404	6319	2013-08-03 00:22:09.866002	2013-08-03 00:22:09.866002	68
1716	2404	6299	2013-08-03 00:22:09.870469	2013-08-03 00:22:09.870469	68
1717	2404	6279	2013-08-03 00:22:09.875212	2013-08-03 00:22:09.875212	68
1718	2404	6259	2013-08-03 00:22:09.882316	2013-08-03 00:22:09.882316	68
1719	2404	6239	2013-08-03 00:22:09.892048	2013-08-03 00:22:09.892048	68
1720	2465	6219	2013-08-03 00:22:09.902645	2013-08-03 00:22:09.902645	68
1721	2465	6199	2013-08-03 00:22:09.912448	2013-08-03 00:22:09.912448	68
1722	2465	6179	2013-08-03 00:22:09.923384	2013-08-03 00:22:09.923384	68
1723	2465	6159	2013-08-03 00:22:09.934136	2013-08-03 00:22:09.934136	68
1724	2465	6139	2013-08-03 00:22:09.944793	2013-08-03 00:22:09.944793	68
1725	2465	6119	2013-08-03 00:22:09.955826	2013-08-03 00:22:09.955826	68
1726	2465	6099	2013-08-03 00:22:09.966974	2013-08-03 00:22:09.966974	68
1727	2465	6079	2013-08-03 00:22:09.977874	2013-08-03 00:22:09.977874	68
1728	2465	4577	2013-08-03 00:22:09.988874	2013-08-03 00:22:09.988874	68
1729	2558	3480	2013-08-03 00:22:10.018847	2013-08-03 00:22:10.018847	68
1730	2558	3460	2013-08-03 00:22:10.029893	2013-08-03 00:22:10.029893	68
1731	2558	3440	2013-08-03 00:22:10.041143	2013-08-03 00:22:10.041143	68
1732	2558	3420	2013-08-03 00:22:10.052531	2013-08-03 00:22:10.052531	68
1733	2558	3400	2013-08-03 00:22:10.063412	2013-08-03 00:22:10.063412	68
1734	2558	3380	2013-08-03 00:22:10.07472	2013-08-03 00:22:10.07472	68
1735	2558	3360	2013-08-03 00:22:10.085918	2013-08-03 00:22:10.085918	68
1736	2558	3340	2013-08-03 00:22:10.097021	2013-08-03 00:22:10.097021	68
1737	2558	3320	2013-08-03 00:22:10.107358	2013-08-03 00:22:10.107358	68
1738	2403	3300	2013-08-03 00:22:10.118833	2013-08-03 00:22:10.118833	68
1739	2403	3280	2013-08-03 00:22:10.130073	2013-08-03 00:22:10.130073	68
1740	2403	3260	2013-08-03 00:22:10.141005	2013-08-03 00:22:10.141005	68
1741	2403	3240	2013-08-03 00:22:10.154636	2013-08-03 00:22:10.154636	68
1742	2403	3220	2013-08-03 00:22:10.16347	2013-08-03 00:22:10.16347	68
1743	2403	3200	2013-08-03 00:22:10.168776	2013-08-03 00:22:10.168776	68
1744	2403	3180	2013-08-03 00:22:10.173831	2013-08-03 00:22:10.173831	68
1745	2403	3160	2013-08-03 00:22:10.182187	2013-08-03 00:22:10.182187	68
1746	2403	3140	2013-08-03 00:22:10.192271	2013-08-03 00:22:10.192271	68
1747	2566	4661	2013-08-03 00:27:06.034563	2013-08-03 00:27:06.034563	69
1748	2566	4641	2013-08-03 00:27:06.040066	2013-08-03 00:27:06.040066	69
1749	2566	4621	2013-08-03 00:27:06.044274	2013-08-03 00:27:06.044274	69
1750	2566	4601	2013-08-03 00:27:06.048284	2013-08-03 00:27:06.048284	69
1751	2566	4581	2013-08-03 00:27:06.054556	2013-08-03 00:27:06.054556	69
1752	2566	4561	2013-08-03 00:27:06.059498	2013-08-03 00:27:06.059498	69
1753	2566	4510	2013-08-03 00:27:06.064626	2013-08-03 00:27:06.064626	69
1754	2566	4541	2013-08-03 00:27:06.069375	2013-08-03 00:27:06.069375	69
1755	2566	4521	2013-08-03 00:27:06.076343	2013-08-03 00:27:06.076343	69
1756	2589	4501	2013-08-03 00:27:06.089059	2013-08-03 00:27:06.089059	69
1757	2589	4481	2013-08-03 00:27:06.098428	2013-08-03 00:27:06.098428	69
1758	2589	4461	2013-08-03 00:27:06.107166	2013-08-03 00:27:06.107166	69
1759	2589	4441	2013-08-03 00:27:06.117265	2013-08-03 00:27:06.117265	69
1760	2589	4421	2013-08-03 00:27:06.124287	2013-08-03 00:27:06.124287	69
1761	2589	4401	2013-08-03 00:27:06.130011	2013-08-03 00:27:06.130011	69
1762	2589	4310	2013-08-03 00:27:06.134083	2013-08-03 00:27:06.134083	69
1763	2589	4381	2013-08-03 00:27:06.138955	2013-08-03 00:27:06.138955	69
1764	2589	2596	2013-08-03 00:27:06.144623	2013-08-03 00:27:06.144623	69
1765	2587	1768	2013-08-03 00:27:06.156984	2013-08-03 00:27:06.156984	69
1766	2587	1746	2013-08-03 00:27:06.162101	2013-08-03 00:27:06.162101	69
1767	2587	1852	2013-08-03 00:27:06.16775	2013-08-03 00:27:06.16775	69
1768	2587	1881	2013-08-03 00:27:06.173145	2013-08-03 00:27:06.173145	69
1769	2587	1754	2013-08-03 00:27:06.177817	2013-08-03 00:27:06.177817	69
1770	2587	1655	2013-08-03 00:27:06.182807	2013-08-03 00:27:06.182807	69
1771	2587	1628	2013-08-03 00:27:06.187769	2013-08-03 00:27:06.187769	69
1772	2587	1592	2013-08-03 00:27:06.192988	2013-08-03 00:27:06.192988	69
1773	2587	1601	2013-08-03 00:27:06.197283	2013-08-03 00:27:06.197283	69
1774	2567	1586	2013-08-03 00:27:06.201467	2013-08-03 00:27:06.201467	69
1775	2567	1722	2013-08-03 00:27:06.206061	2013-08-03 00:27:06.206061	69
1776	2567	1702	2013-08-03 00:27:06.209741	2013-08-03 00:27:06.209741	69
1777	2567	6111	2013-08-03 00:27:06.213238	2013-08-03 00:27:06.213238	69
1778	2567	6103	2013-08-03 00:27:06.216155	2013-08-03 00:27:06.216155	69
1779	2567	6131	2013-08-03 00:27:06.219831	2013-08-03 00:27:06.219831	69
1780	2567	6291	2013-08-03 00:27:06.226816	2013-08-03 00:27:06.226816	69
1781	2567	6311	2013-08-03 00:27:06.234077	2013-08-03 00:27:06.234077	69
1782	2567	5208	2013-08-03 00:27:06.238423	2013-08-03 00:27:06.238423	69
1783	2630	5839	2013-08-03 00:27:06.260167	2013-08-03 00:27:06.260167	69
1784	2630	5819	2013-08-03 00:27:06.266827	2013-08-03 00:27:06.266827	69
1785	2630	4959	2013-08-03 00:27:06.27476	2013-08-03 00:27:06.27476	69
1786	2630	5531	2013-08-03 00:27:06.28428	2013-08-03 00:27:06.28428	69
1787	2630	5511	2013-08-03 00:27:06.290734	2013-08-03 00:27:06.290734	69
1788	2630	5499	2013-08-03 00:27:06.298658	2013-08-03 00:27:06.298658	69
1789	2630	5519	2013-08-03 00:27:06.305195	2013-08-03 00:27:06.305195	69
1790	2630	5539	2013-08-03 00:27:06.313121	2013-08-03 00:27:06.313121	69
1791	2630	5559	2013-08-03 00:27:06.319425	2013-08-03 00:27:06.319425	69
1792	2630	5579	2013-08-03 00:27:06.327924	2013-08-03 00:27:06.327924	69
1793	2630	5599	2013-08-03 00:27:06.337631	2013-08-03 00:27:06.337631	69
1794	2630	5619	2013-08-03 00:27:06.346908	2013-08-03 00:27:06.346908	69
1795	2630	5639	2013-08-03 00:27:06.352355	2013-08-03 00:27:06.352355	69
1796	2630	4397	2013-08-03 00:27:06.356424	2013-08-03 00:27:06.356424	69
1797	2630	4417	2013-08-03 00:27:06.360509	2013-08-03 00:27:06.360509	69
1798	2630	4437	2013-08-03 00:27:06.36448	2013-08-03 00:27:06.36448	69
1799	2630	4457	2013-08-03 00:27:06.368641	2013-08-03 00:27:06.368641	69
1800	2630	4477	2013-08-03 00:27:06.374001	2013-08-03 00:27:06.374001	69
1801	2630	5191	2013-08-03 00:27:06.381686	2013-08-03 00:27:06.381686	69
1802	2603	5888	2013-08-03 00:27:06.406998	2013-08-03 00:27:06.406998	69
1803	2603	5868	2013-08-03 00:27:06.444362	2013-08-03 00:27:06.444362	69
1804	2603	5848	2013-08-03 00:27:06.452828	2013-08-03 00:27:06.452828	69
1805	2603	5828	2013-08-03 00:27:06.459018	2013-08-03 00:27:06.459018	69
1806	2603	5808	2013-08-03 00:27:06.464044	2013-08-03 00:27:06.464044	69
1807	2603	5788	2013-08-03 00:27:06.467851	2013-08-03 00:27:06.467851	69
1808	2573	5768	2013-08-03 00:27:06.47229	2013-08-03 00:27:06.47229	69
1809	2573	5748	2013-08-03 00:27:06.478407	2013-08-03 00:27:06.478407	69
1810	2573	5728	2013-08-03 00:27:06.486407	2013-08-03 00:27:06.486407	69
1811	2573	5708	2013-08-03 00:27:06.493185	2013-08-03 00:27:06.493185	69
1812	2573	5688	2013-08-03 00:27:06.497404	2013-08-03 00:27:06.497404	69
1813	2573	5668	2013-08-03 00:27:06.50201	2013-08-03 00:27:06.50201	69
1814	2574	5497	2013-08-03 00:27:06.506533	2013-08-03 00:27:06.506533	69
1815	2574	5648	2013-08-03 00:27:06.51025	2013-08-03 00:27:06.51025	69
1816	2574	5628	2013-08-03 00:27:06.516738	2013-08-03 00:27:06.516738	69
1817	2574	5608	2013-08-03 00:27:06.523838	2013-08-03 00:27:06.523838	69
1818	2574	5588	2013-08-03 00:27:06.533543	2013-08-03 00:27:06.533543	69
1819	2574	2476	2013-08-03 00:27:06.54347	2013-08-03 00:27:06.54347	69
1820	2631	6288	2013-08-03 00:27:06.565817	2013-08-03 00:27:06.565817	69
1821	2631	6268	2013-08-03 00:27:06.576779	2013-08-03 00:27:06.576779	69
1822	2631	6248	2013-08-03 00:27:06.579979	2013-08-03 00:27:06.579979	69
1823	2631	6228	2013-08-03 00:27:06.583063	2013-08-03 00:27:06.583063	69
1824	2631	6208	2013-08-03 00:27:06.586192	2013-08-03 00:27:06.586192	69
1825	2631	6188	2013-08-03 00:27:06.589379	2013-08-03 00:27:06.589379	69
1826	2631	6168	2013-08-03 00:27:06.592484	2013-08-03 00:27:06.592484	69
1827	2631	6148	2013-08-03 00:27:06.595729	2013-08-03 00:27:06.595729	69
1828	2631	6128	2013-08-03 00:27:06.599497	2013-08-03 00:27:06.599497	69
1829	2631	6108	2013-08-03 00:27:06.604734	2013-08-03 00:27:06.604734	69
1830	2631	6088	2013-08-03 00:27:06.607804	2013-08-03 00:27:06.607804	69
1831	2631	6068	2013-08-03 00:27:06.610764	2013-08-03 00:27:06.610764	69
1832	2631	6048	2013-08-03 00:27:06.613577	2013-08-03 00:27:06.613577	69
1833	2631	6028	2013-08-03 00:27:06.616346	2013-08-03 00:27:06.616346	69
1834	2631	6008	2013-08-03 00:27:06.619108	2013-08-03 00:27:06.619108	69
1835	2631	5988	2013-08-03 00:27:06.621867	2013-08-03 00:27:06.621867	69
1836	2631	5968	2013-08-03 00:27:06.624652	2013-08-03 00:27:06.624652	69
1837	2631	5948	2013-08-03 00:27:06.633185	2013-08-03 00:27:06.633185	69
1838	2631	5928	2013-08-03 00:27:06.642197	2013-08-03 00:27:06.642197	69
1839	2571	6751	2013-08-03 00:27:06.671497	2013-08-03 00:27:06.671497	69
1840	2571	6731	2013-08-03 00:27:06.67944	2013-08-03 00:27:06.67944	69
1841	2571	6711	2013-08-03 00:27:06.687147	2013-08-03 00:27:06.687147	69
1842	2571	6691	2013-08-03 00:27:06.695269	2013-08-03 00:27:06.695269	69
1843	2571	6671	2013-08-03 00:27:06.704981	2013-08-03 00:27:06.704981	69
1844	2571	6651	2013-08-03 00:27:06.715819	2013-08-03 00:27:06.715819	69
1845	2571	6631	2013-08-03 00:27:06.726909	2013-08-03 00:27:06.726909	69
1846	2571	6611	2013-08-03 00:27:06.736868	2013-08-03 00:27:06.736868	69
1847	2571	6523	2013-08-03 00:27:06.747069	2013-08-03 00:27:06.747069	69
1848	2575	6591	2013-08-03 00:27:06.758206	2013-08-03 00:27:06.758206	69
1849	2575	6571	2013-08-03 00:27:06.767778	2013-08-03 00:27:06.767778	69
1850	2575	6551	2013-08-03 00:27:06.777478	2013-08-03 00:27:06.777478	69
1851	2575	6531	2013-08-03 00:27:06.787241	2013-08-03 00:27:06.787241	69
1852	2575	6511	2013-08-03 00:27:06.797939	2013-08-03 00:27:06.797939	69
1853	2575	6491	2013-08-03 00:27:06.80916	2013-08-03 00:27:06.80916	69
1854	2575	6471	2013-08-03 00:27:06.820456	2013-08-03 00:27:06.820456	69
1855	2575	5437	2013-08-03 00:27:06.831365	2013-08-03 00:27:06.831365	69
1856	2575	2416	2013-08-03 00:27:06.84177	2013-08-03 00:27:06.84177	69
1857	2633	7131	2013-08-03 00:27:06.865108	2013-08-03 00:27:06.865108	69
1858	2633	7111	2013-08-03 00:27:06.876712	2013-08-03 00:27:06.876712	69
1859	2633	7091	2013-08-03 00:27:06.887789	2013-08-03 00:27:06.887789	69
1860	2633	7071	2013-08-03 00:27:06.898882	2013-08-03 00:27:06.898882	69
1861	2633	7051	2013-08-03 00:27:06.909323	2013-08-03 00:27:06.909323	69
1862	2633	7031	2013-08-03 00:27:06.919734	2013-08-03 00:27:06.919734	69
1863	2633	7011	2013-08-03 00:27:06.930472	2013-08-03 00:27:06.930472	69
1864	2633	6991	2013-08-03 00:27:06.938958	2013-08-03 00:27:06.938958	69
1865	2633	6971	2013-08-03 00:27:06.948061	2013-08-03 00:27:06.948061	69
1866	2633	6951	2013-08-03 00:27:06.951948	2013-08-03 00:27:06.951948	69
1867	2633	6931	2013-08-03 00:27:06.9555	2013-08-03 00:27:06.9555	69
1868	2633	6911	2013-08-03 00:27:06.959298	2013-08-03 00:27:06.959298	69
1869	2633	6891	2013-08-03 00:27:06.962909	2013-08-03 00:27:06.962909	69
1870	2633	6871	2013-08-03 00:27:06.967038	2013-08-03 00:27:06.967038	69
1871	2633	6851	2013-08-03 00:27:06.971878	2013-08-03 00:27:06.971878	69
1872	2633	6831	2013-08-03 00:27:06.983937	2013-08-03 00:27:06.983937	69
1873	2633	6811	2013-08-03 00:27:06.996673	2013-08-03 00:27:06.996673	69
1874	2633	6791	2013-08-03 00:27:07.009337	2013-08-03 00:27:07.009337	69
1875	2633	6771	2013-08-03 00:27:07.022506	2013-08-03 00:27:07.022506	69
1876	2596	5252	2013-08-03 00:27:07.107137	2013-08-03 00:27:07.107137	69
1877	2596	5232	2013-08-03 00:27:07.113084	2013-08-03 00:27:07.113084	69
1878	2596	5212	2013-08-03 00:27:07.119172	2013-08-03 00:27:07.119172	69
1879	2596	5192	2013-08-03 00:27:07.126082	2013-08-03 00:27:07.126082	69
1880	2596	5172	2013-08-03 00:27:07.133727	2013-08-03 00:27:07.133727	69
1881	2596	5152	2013-08-03 00:27:07.142707	2013-08-03 00:27:07.142707	69
1882	2596	5132	2013-08-03 00:27:07.151555	2013-08-03 00:27:07.151555	69
1883	2596	5112	2013-08-03 00:27:07.16309	2013-08-03 00:27:07.16309	69
1884	2596	5092	2013-08-03 00:27:07.169419	2013-08-03 00:27:07.169419	69
1885	2576	5072	2013-08-03 00:27:07.177146	2013-08-03 00:27:07.177146	69
1886	2576	5052	2013-08-03 00:27:07.183236	2013-08-03 00:27:07.183236	69
1887	2576	5032	2013-08-03 00:27:07.189187	2013-08-03 00:27:07.189187	69
1888	2576	5012	2013-08-03 00:27:07.193521	2013-08-03 00:27:07.193521	69
1889	2576	4992	2013-08-03 00:27:07.197737	2013-08-03 00:27:07.197737	69
1890	2576	4972	2013-08-03 00:27:07.201609	2013-08-03 00:27:07.201609	69
1891	2576	4952	2013-08-03 00:27:07.210179	2013-08-03 00:27:07.210179	69
1892	2576	4932	2013-08-03 00:27:07.220226	2013-08-03 00:27:07.220226	69
1893	2576	2396	2013-08-03 00:27:07.230426	2013-08-03 00:27:07.230426	69
1894	2632	3613	2013-08-03 00:27:07.252181	2013-08-03 00:27:07.252181	69
1895	2632	3470	2013-08-03 00:27:07.261637	2013-08-03 00:27:07.261637	69
1896	2632	3593	2013-08-03 00:27:07.27095	2013-08-03 00:27:07.27095	69
1897	2632	3573	2013-08-03 00:27:07.277622	2013-08-03 00:27:07.277622	69
1898	2632	3553	2013-08-03 00:27:07.283917	2013-08-03 00:27:07.283917	69
1899	2632	3533	2013-08-03 00:27:07.290711	2013-08-03 00:27:07.290711	69
1900	2632	3513	2013-08-03 00:27:07.297097	2013-08-03 00:27:07.297097	69
1901	2632	3493	2013-08-03 00:27:07.30663	2013-08-03 00:27:07.30663	69
1902	2632	3473	2013-08-03 00:27:07.317174	2013-08-03 00:27:07.317174	69
1903	2632	3453	2013-08-03 00:27:07.327889	2013-08-03 00:27:07.327889	69
1904	2632	3433	2013-08-03 00:27:07.338761	2013-08-03 00:27:07.338761	69
1905	2632	3413	2013-08-03 00:27:07.349318	2013-08-03 00:27:07.349318	69
1906	2632	3393	2013-08-03 00:27:07.3599	2013-08-03 00:27:07.3599	69
1907	2632	3373	2013-08-03 00:27:07.37076	2013-08-03 00:27:07.37076	69
1908	2632	3353	2013-08-03 00:27:07.380924	2013-08-03 00:27:07.380924	69
1909	2632	3333	2013-08-03 00:27:07.3916	2013-08-03 00:27:07.3916	69
1910	2632	3313	2013-08-03 00:27:07.402395	2013-08-03 00:27:07.402395	69
1911	2632	3230	2013-08-03 00:27:07.411466	2013-08-03 00:27:07.411466	69
1912	2632	2376	2013-08-03 00:27:07.421249	2013-08-03 00:27:07.421249	69
1913	2570	3375	2013-08-03 00:27:07.447883	2013-08-03 00:27:07.447883	69
1914	2570	3355	2013-08-03 00:27:07.458769	2013-08-03 00:27:07.458769	69
1915	2570	3335	2013-08-03 00:27:07.469798	2013-08-03 00:27:07.469798	69
1916	2570	3315	2013-08-03 00:27:07.47598	2013-08-03 00:27:07.47598	69
1917	2570	3295	2013-08-03 00:27:07.480389	2013-08-03 00:27:07.480389	69
1918	2570	3275	2013-08-03 00:27:07.485314	2013-08-03 00:27:07.485314	69
1919	2570	3255	2013-08-03 00:27:07.489351	2013-08-03 00:27:07.489351	69
1920	2570	3235	2013-08-03 00:27:07.493534	2013-08-03 00:27:07.493534	69
1921	2570	3215	2013-08-03 00:27:07.498149	2013-08-03 00:27:07.498149	69
1922	2570	3195	2013-08-03 00:27:07.502499	2013-08-03 00:27:07.502499	69
1923	2570	3175	2013-08-03 00:27:07.505529	2013-08-03 00:27:07.505529	69
1924	2570	3155	2013-08-03 00:27:07.508632	2013-08-03 00:27:07.508632	69
1925	2570	3135	2013-08-03 00:27:07.511669	2013-08-03 00:27:07.511669	69
1926	2570	3115	2013-08-03 00:27:07.518757	2013-08-03 00:27:07.518757	69
1927	2570	3095	2013-08-03 00:27:07.527178	2013-08-03 00:27:07.527178	69
1928	2570	3075	2013-08-03 00:27:07.534264	2013-08-03 00:27:07.534264	69
1929	2570	3055	2013-08-03 00:27:07.539859	2013-08-03 00:27:07.539859	69
1930	2570	3035	2013-08-03 00:27:07.548669	2013-08-03 00:27:07.548669	69
1931	2570	2270	2013-08-03 00:27:07.554834	2013-08-03 00:27:07.554834	69
1932	2751	2916	2013-08-03 00:27:07.575247	2013-08-03 00:27:07.575247	69
1933	2751	2896	2013-08-03 00:27:07.584281	2013-08-03 00:27:07.584281	69
1934	2751	2876	2013-08-03 00:27:07.58952	2013-08-03 00:27:07.58952	69
1935	2751	2856	2013-08-03 00:27:07.59454	2013-08-03 00:27:07.59454	69
1936	2751	2836	2013-08-03 00:27:07.601699	2013-08-03 00:27:07.601699	69
1937	2751	2759	2013-08-03 00:27:07.611257	2013-08-03 00:27:07.611257	69
1938	2751	2710	2013-08-03 00:27:07.622014	2013-08-03 00:27:07.622014	69
1939	2751	2816	2013-08-03 00:27:07.668822	2013-08-03 00:27:07.668822	69
1940	2751	2796	2013-08-03 00:27:07.675983	2013-08-03 00:27:07.675983	69
1941	2751	2776	2013-08-03 00:27:07.683005	2013-08-03 00:27:07.683005	69
1942	2751	2756	2013-08-03 00:27:07.693049	2013-08-03 00:27:07.693049	69
1943	2751	2736	2013-08-03 00:27:07.698198	2013-08-03 00:27:07.698198	69
1944	2751	2716	2013-08-03 00:27:07.701344	2013-08-03 00:27:07.701344	69
1945	2751	2696	2013-08-03 00:27:07.704432	2013-08-03 00:27:07.704432	69
1946	2751	2781	2013-08-03 00:27:07.710659	2013-08-03 00:27:07.710659	69
1947	2751	2676	2013-08-03 00:27:07.715045	2013-08-03 00:27:07.715045	69
1948	2751	2656	2013-08-03 00:27:07.724202	2013-08-03 00:27:07.724202	69
1949	2751	2636	2013-08-03 00:27:07.735302	2013-08-03 00:27:07.735302	69
1950	2751	2616	2013-08-03 00:27:07.746314	2013-08-03 00:27:07.746314	69
1951	2568	5957	2013-08-03 00:27:07.774392	2013-08-03 00:27:07.774392	69
1952	2568	5937	2013-08-03 00:27:07.784673	2013-08-03 00:27:07.784673	69
1953	2568	5917	2013-08-03 00:27:07.792642	2013-08-03 00:27:07.792642	69
1954	2568	5897	2013-08-03 00:27:07.797435	2013-08-03 00:27:07.797435	69
1955	2568	5877	2013-08-03 00:27:07.804405	2013-08-03 00:27:07.804405	69
1956	2568	5857	2013-08-03 00:27:07.81233	2013-08-03 00:27:07.81233	69
1957	2568	5837	2013-08-03 00:27:07.822305	2013-08-03 00:27:07.822305	69
1958	2568	5817	2013-08-03 00:27:07.832817	2013-08-03 00:27:07.832817	69
1959	2568	5797	2013-08-03 00:27:07.843373	2013-08-03 00:27:07.843373	69
1960	2584	5777	2013-08-03 00:27:07.854628	2013-08-03 00:27:07.854628	69
1961	2584	5757	2013-08-03 00:27:07.865634	2013-08-03 00:27:07.865634	69
1962	2584	5737	2013-08-03 00:27:07.874177	2013-08-03 00:27:07.874177	69
1963	2584	5717	2013-08-03 00:27:07.881859	2013-08-03 00:27:07.881859	69
1964	2584	5697	2013-08-03 00:27:07.890721	2013-08-03 00:27:07.890721	69
1965	2584	5677	2013-08-03 00:27:07.898918	2013-08-03 00:27:07.898918	69
1966	2584	5657	2013-08-03 00:27:07.906256	2013-08-03 00:27:07.906256	69
1967	2584	5543	2013-08-03 00:27:07.914686	2013-08-03 00:27:07.914686	69
1968	2584	2336	2013-08-03 00:27:07.921947	2013-08-03 00:27:07.921947	69
1969	2585	3478	2013-08-03 00:27:07.936759	2013-08-03 00:27:07.936759	69
1970	2585	3458	2013-08-03 00:27:07.940248	2013-08-03 00:27:07.940248	69
1971	2585	3383	2013-08-03 00:27:07.943559	2013-08-03 00:27:07.943559	69
1972	2585	3438	2013-08-03 00:27:07.946759	2013-08-03 00:27:07.946759	69
1973	2585	3418	2013-08-03 00:27:07.9503	2013-08-03 00:27:07.9503	69
1974	2585	3398	2013-08-03 00:27:07.954413	2013-08-03 00:27:07.954413	69
1975	2585	3378	2013-08-03 00:27:07.959966	2013-08-03 00:27:07.959966	69
1976	2585	3358	2013-08-03 00:27:07.968941	2013-08-03 00:27:07.968941	69
1977	2585	3338	2013-08-03 00:27:07.976836	2013-08-03 00:27:07.976836	69
1978	2569	3318	2013-08-03 00:27:07.981812	2013-08-03 00:27:07.981812	69
1979	2569	3298	2013-08-03 00:27:07.99089	2013-08-03 00:27:07.99089	69
1980	2569	3278	2013-08-03 00:27:07.996366	2013-08-03 00:27:07.996366	69
1981	2569	3258	2013-08-03 00:27:08.001554	2013-08-03 00:27:08.001554	69
1982	2569	3238	2013-08-03 00:27:08.0065	2013-08-03 00:27:08.0065	69
1983	2569	3218	2013-08-03 00:27:08.011187	2013-08-03 00:27:08.011187	69
1984	2569	3198	2013-08-03 00:27:08.016792	2013-08-03 00:27:08.016792	69
1985	2569	3178	2013-08-03 00:27:08.025717	2013-08-03 00:27:08.025717	69
1986	2569	2316	2013-08-03 00:27:08.036617	2013-08-03 00:27:08.036617	69
1987	2598	6759	2013-08-03 00:27:08.062366	2013-08-03 00:27:08.062366	69
1988	2598	6739	2013-08-03 00:27:08.072963	2013-08-03 00:27:08.072963	69
1989	2598	6719	2013-08-03 00:27:08.084248	2013-08-03 00:27:08.084248	69
1990	2598	6699	2013-08-03 00:27:08.095363	2013-08-03 00:27:08.095363	69
1991	2598	6679	2013-08-03 00:27:08.106284	2013-08-03 00:27:08.106284	69
1992	2598	6659	2013-08-03 00:27:08.11755	2013-08-03 00:27:08.11755	69
1993	2598	6639	2013-08-03 00:27:08.129682	2013-08-03 00:27:08.129682	69
1994	2598	6619	2013-08-03 00:27:08.138394	2013-08-03 00:27:08.138394	69
1995	2598	6599	2013-08-03 00:27:08.143368	2013-08-03 00:27:08.143368	69
1996	2598	6579	2013-08-03 00:27:08.148289	2013-08-03 00:27:08.148289	69
1997	2598	6559	2013-08-03 00:27:08.157927	2013-08-03 00:27:08.157927	69
1998	2598	6539	2013-08-03 00:27:08.194199	2013-08-03 00:27:08.194199	69
1999	2598	6519	2013-08-03 00:27:08.199021	2013-08-03 00:27:08.199021	69
2000	2598	6499	2013-08-03 00:27:08.203362	2013-08-03 00:27:08.203362	69
2001	2598	6479	2013-08-03 00:27:08.213112	2013-08-03 00:27:08.213112	69
2002	2598	6459	2013-08-03 00:27:08.217569	2013-08-03 00:27:08.217569	69
2003	2598	6439	2013-08-03 00:27:08.222453	2013-08-03 00:27:08.222453	69
2004	2598	5317	2013-08-03 00:27:08.228327	2013-08-03 00:27:08.228327	69
2005	2598	2296	2013-08-03 00:27:08.232486	2013-08-03 00:27:08.232486	69
2006	2634	7139	2013-08-03 00:27:08.243107	2013-08-03 00:27:08.243107	69
2007	2634	7119	2013-08-03 00:27:08.246893	2013-08-03 00:27:08.246893	69
2008	2634	7099	2013-08-03 00:27:08.250662	2013-08-03 00:27:08.250662	69
2009	2634	7079	2013-08-03 00:27:08.254947	2013-08-03 00:27:08.254947	69
2010	2634	7059	2013-08-03 00:27:08.259057	2013-08-03 00:27:08.259057	69
2011	2634	7039	2013-08-03 00:27:08.267289	2013-08-03 00:27:08.267289	69
2012	2634	7019	2013-08-03 00:27:08.275324	2013-08-03 00:27:08.275324	69
2013	2634	6999	2013-08-03 00:27:08.284166	2013-08-03 00:27:08.284166	69
2014	2634	6979	2013-08-03 00:27:08.29097	2013-08-03 00:27:08.29097	69
2015	2634	6959	2013-08-03 00:27:08.300156	2013-08-03 00:27:08.300156	69
2016	2634	6939	2013-08-03 00:27:08.310233	2013-08-03 00:27:08.310233	69
2017	2634	6919	2013-08-03 00:27:08.321331	2013-08-03 00:27:08.321331	69
2018	2634	6899	2013-08-03 00:27:08.331007	2013-08-03 00:27:08.331007	69
2019	2634	6879	2013-08-03 00:27:08.342731	2013-08-03 00:27:08.342731	69
2020	2634	6859	2013-08-03 00:27:08.353117	2013-08-03 00:27:08.353117	69
2021	2634	6839	2013-08-03 00:27:08.364296	2013-08-03 00:27:08.364296	69
2022	2634	6819	2013-08-03 00:27:08.373657	2013-08-03 00:27:08.373657	69
2023	2634	6799	2013-08-03 00:27:08.381816	2013-08-03 00:27:08.381816	69
2024	2634	6779	2013-08-03 00:27:08.391448	2013-08-03 00:27:08.391448	69
2025	2586	3840	2013-08-03 00:27:08.413503	2013-08-03 00:27:08.413503	69
2026	2586	3820	2013-08-03 00:27:08.42134	2013-08-03 00:27:08.42134	69
2027	2586	3800	2013-08-03 00:27:08.430635	2013-08-03 00:27:08.430635	69
2028	2586	3780	2013-08-03 00:27:08.435967	2013-08-03 00:27:08.435967	69
2029	2586	3760	2013-08-03 00:27:08.445268	2013-08-03 00:27:08.445268	69
2030	2586	3740	2013-08-03 00:27:08.454585	2013-08-03 00:27:08.454585	69
2031	2586	3720	2013-08-03 00:27:08.511742	2013-08-03 00:27:08.511742	69
2032	2586	3700	2013-08-03 00:27:08.518226	2013-08-03 00:27:08.518226	69
2033	2586	3680	2013-08-03 00:27:08.523601	2013-08-03 00:27:08.523601	69
2034	2572	3660	2013-08-03 00:27:08.530055	2013-08-03 00:27:08.530055	69
2035	2572	3640	2013-08-03 00:27:08.536269	2013-08-03 00:27:08.536269	69
2036	2572	3620	2013-08-03 00:27:08.542088	2013-08-03 00:27:08.542088	69
2037	2572	3600	2013-08-03 00:27:08.547132	2013-08-03 00:27:08.547132	69
2038	2572	3580	2013-08-03 00:27:08.55146	2013-08-03 00:27:08.55146	69
2039	2572	3560	2013-08-03 00:27:08.555816	2013-08-03 00:27:08.555816	69
2040	2572	3540	2013-08-03 00:27:08.5592	2013-08-03 00:27:08.5592	69
2041	2572	3520	2013-08-03 00:27:08.563765	2013-08-03 00:27:08.563765	69
2042	2572	2276	2013-08-03 00:27:08.567781	2013-08-03 00:27:08.567781	69
2043	2775	4917	2013-08-03 00:32:05.44955	2013-08-03 00:32:05.44955	70
2044	2775	5021	2013-08-03 00:32:05.46286	2013-08-03 00:32:05.46286	70
2045	2775	5001	2013-08-03 00:32:05.474998	2013-08-03 00:32:05.474998	70
2046	2775	4981	2013-08-03 00:32:05.4872	2013-08-03 00:32:05.4872	70
2047	2775	4961	2013-08-03 00:32:05.498227	2013-08-03 00:32:05.498227	70
2048	2775	4941	2013-08-03 00:32:05.509421	2013-08-03 00:32:05.509421	70
2049	2775	4921	2013-08-03 00:32:05.520827	2013-08-03 00:32:05.520827	70
2050	2775	4901	2013-08-03 00:32:05.532971	2013-08-03 00:32:05.532971	70
2051	2775	4881	2013-08-03 00:32:05.544343	2013-08-03 00:32:05.544343	70
2052	2788	4861	2013-08-03 00:32:05.555984	2013-08-03 00:32:05.555984	70
2053	2788	4841	2013-08-03 00:32:05.567259	2013-08-03 00:32:05.567259	70
2054	2788	4821	2013-08-03 00:32:05.578636	2013-08-03 00:32:05.578636	70
2055	2788	4801	2013-08-03 00:32:05.590846	2013-08-03 00:32:05.590846	70
2056	2788	4781	2013-08-03 00:32:05.602366	2013-08-03 00:32:05.602366	70
2057	2788	4761	2013-08-03 00:32:05.61373	2013-08-03 00:32:05.61373	70
2058	2788	4741	2013-08-03 00:32:05.625151	2013-08-03 00:32:05.625151	70
2059	2788	4721	2013-08-03 00:32:05.637219	2013-08-03 00:32:05.637219	70
2060	2788	4701	2013-08-03 00:32:05.649104	2013-08-03 00:32:05.649104	70
2061	2784	5839	2013-08-03 00:32:05.709608	2013-08-03 00:32:05.709608	70
2062	2784	5191	2013-08-03 00:32:05.720059	2013-08-03 00:32:05.720059	70
2063	2784	4477	2013-08-03 00:32:05.730456	2013-08-03 00:32:05.730456	70
2064	2784	4457	2013-08-03 00:32:05.741366	2013-08-03 00:32:05.741366	70
2065	2784	4437	2013-08-03 00:32:05.750885	2013-08-03 00:32:05.750885	70
2066	2784	4417	2013-08-03 00:32:05.754963	2013-08-03 00:32:05.754963	70
2067	2784	4397	2013-08-03 00:32:05.760067	2013-08-03 00:32:05.760067	70
2068	2784	5639	2013-08-03 00:32:05.764888	2013-08-03 00:32:05.764888	70
2069	2784	5619	2013-08-03 00:32:05.769124	2013-08-03 00:32:05.769124	70
2070	2780	5599	2013-08-03 00:32:05.77392	2013-08-03 00:32:05.77392	70
2071	2780	5579	2013-08-03 00:32:05.780334	2013-08-03 00:32:05.780334	70
2072	2780	5559	2013-08-03 00:32:05.785073	2013-08-03 00:32:05.785073	70
2073	2780	5539	2013-08-03 00:32:05.791364	2013-08-03 00:32:05.791364	70
2074	2780	5519	2013-08-03 00:32:05.798953	2013-08-03 00:32:05.798953	70
2075	2780	5499	2013-08-03 00:32:05.80804	2013-08-03 00:32:05.80804	70
2076	2780	5511	2013-08-03 00:32:05.81784	2013-08-03 00:32:05.81784	70
2077	2780	5531	2013-08-03 00:32:05.828173	2013-08-03 00:32:05.828173	70
2078	2780	4959	2013-08-03 00:32:05.838487	2013-08-03 00:32:05.838487	70
2079	2863	5037	2013-08-03 00:32:05.872374	2013-08-03 00:32:05.872374	70
2080	2863	5057	2013-08-03 00:32:05.883316	2013-08-03 00:32:05.883316	70
2081	2863	5077	2013-08-03 00:32:05.894092	2013-08-03 00:32:05.894092	70
2082	2863	5097	2013-08-03 00:32:05.90685	2013-08-03 00:32:05.90685	70
2083	2863	5117	2013-08-03 00:32:05.916082	2013-08-03 00:32:05.916082	70
2084	2863	5137	2013-08-03 00:32:05.922057	2013-08-03 00:32:05.922057	70
2085	2863	5699	2013-08-03 00:32:05.925217	2013-08-03 00:32:05.925217	70
2086	2863	5719	2013-08-03 00:32:05.928242	2013-08-03 00:32:05.928242	70
2087	2863	5739	2013-08-03 00:32:05.932397	2013-08-03 00:32:05.932397	70
2088	2863	5759	2013-08-03 00:32:05.93665	2013-08-03 00:32:05.93665	70
2089	2863	5979	2013-08-03 00:32:05.945569	2013-08-03 00:32:05.945569	70
2090	2863	5619	2013-08-03 00:32:05.954095	2013-08-03 00:32:05.954095	70
2091	2863	5639	2013-08-03 00:32:05.959486	2013-08-03 00:32:05.959486	70
2092	2863	4397	2013-08-03 00:32:05.963226	2013-08-03 00:32:05.963226	70
2093	2863	4417	2013-08-03 00:32:05.96804	2013-08-03 00:32:05.96804	70
2094	2863	4437	2013-08-03 00:32:05.972142	2013-08-03 00:32:05.972142	70
2095	2863	4457	2013-08-03 00:32:05.975434	2013-08-03 00:32:05.975434	70
2096	2863	4477	2013-08-03 00:32:05.978667	2013-08-03 00:32:05.978667	70
2097	2863	5191	2013-08-03 00:32:05.982158	2013-08-03 00:32:05.982158	70
2098	2781	6648	2013-08-03 00:32:06.011794	2013-08-03 00:32:06.011794	70
2099	2781	6628	2013-08-03 00:32:06.019219	2013-08-03 00:32:06.019219	70
2100	2781	6608	2013-08-03 00:32:06.024911	2013-08-03 00:32:06.024911	70
2101	2781	6588	2013-08-03 00:32:06.036722	2013-08-03 00:32:06.036722	70
2102	2781	6568	2013-08-03 00:32:06.041005	2013-08-03 00:32:06.041005	70
2103	2781	6548	2013-08-03 00:32:06.04489	2013-08-03 00:32:06.04489	70
2104	2781	6528	2013-08-03 00:32:06.048812	2013-08-03 00:32:06.048812	70
2105	2781	6508	2013-08-03 00:32:06.053414	2013-08-03 00:32:06.053414	70
2106	2781	6488	2013-08-03 00:32:06.057331	2013-08-03 00:32:06.057331	70
2107	2812	6468	2013-08-03 00:32:06.061326	2013-08-03 00:32:06.061326	70
2108	2812	6448	2013-08-03 00:32:06.065436	2013-08-03 00:32:06.065436	70
2109	2812	6428	2013-08-03 00:32:06.069998	2013-08-03 00:32:06.069998	70
2110	2812	6408	2013-08-03 00:32:06.073945	2013-08-03 00:32:06.073945	70
2111	2812	6388	2013-08-03 00:32:06.078913	2013-08-03 00:32:06.078913	70
2112	2812	6368	2013-08-03 00:32:06.083818	2013-08-03 00:32:06.083818	70
2113	2812	6348	2013-08-03 00:32:06.091544	2013-08-03 00:32:06.091544	70
2114	2812	6328	2013-08-03 00:32:06.102065	2013-08-03 00:32:06.102065	70
2115	2812	6308	2013-08-03 00:32:06.113582	2013-08-03 00:32:06.113582	70
2116	2779	7491	2013-08-03 00:32:06.192351	2013-08-03 00:32:06.192351	70
2117	2779	7471	2013-08-03 00:32:06.198225	2013-08-03 00:32:06.198225	70
2118	2779	7451	2013-08-03 00:32:06.205133	2013-08-03 00:32:06.205133	70
2119	2779	7431	2013-08-03 00:32:06.212273	2013-08-03 00:32:06.212273	70
2120	2779	7411	2013-08-03 00:32:06.219936	2013-08-03 00:32:06.219936	70
2121	2779	7391	2013-08-03 00:32:06.227815	2013-08-03 00:32:06.227815	70
2122	2779	7371	2013-08-03 00:32:06.236625	2013-08-03 00:32:06.236625	70
2123	2779	7351	2013-08-03 00:32:06.245058	2013-08-03 00:32:06.245058	70
2124	2779	7331	2013-08-03 00:32:06.255077	2013-08-03 00:32:06.255077	70
2125	2813	7311	2013-08-03 00:32:06.266364	2013-08-03 00:32:06.266364	70
2126	2813	7291	2013-08-03 00:32:06.277146	2013-08-03 00:32:06.277146	70
2127	2813	7271	2013-08-03 00:32:06.288079	2013-08-03 00:32:06.288079	70
2128	2813	7251	2013-08-03 00:32:06.299013	2013-08-03 00:32:06.299013	70
2129	2813	7231	2013-08-03 00:32:06.309711	2013-08-03 00:32:06.309711	70
2130	2813	7211	2013-08-03 00:32:06.32057	2013-08-03 00:32:06.32057	70
2131	2813	7191	2013-08-03 00:32:06.331472	2013-08-03 00:32:06.331472	70
2132	2813	7171	2013-08-03 00:32:06.342607	2013-08-03 00:32:06.342607	70
2133	2813	7151	2013-08-03 00:32:06.353759	2013-08-03 00:32:06.353759	70
2134	2864	7891	2013-08-03 00:32:06.377798	2013-08-03 00:32:06.377798	70
2135	2864	7871	2013-08-03 00:32:06.389738	2013-08-03 00:32:06.389738	70
2136	2864	7851	2013-08-03 00:32:06.401708	2013-08-03 00:32:06.401708	70
2137	2864	7831	2013-08-03 00:32:06.412602	2013-08-03 00:32:06.412602	70
2138	2864	7811	2013-08-03 00:32:06.423095	2013-08-03 00:32:06.423095	70
2139	2864	7791	2013-08-03 00:32:06.433725	2013-08-03 00:32:06.433725	70
2140	2864	7771	2013-08-03 00:32:06.444268	2013-08-03 00:32:06.444268	70
2141	2864	7751	2013-08-03 00:32:06.45546	2013-08-03 00:32:06.45546	70
2142	2864	7731	2013-08-03 00:32:06.466422	2013-08-03 00:32:06.466422	70
2143	2864	7711	2013-08-03 00:32:06.47735	2013-08-03 00:32:06.47735	70
2144	2864	7691	2013-08-03 00:32:06.488225	2013-08-03 00:32:06.488225	70
2145	2864	7671	2013-08-03 00:32:06.499413	2013-08-03 00:32:06.499413	70
2146	2864	7651	2013-08-03 00:32:06.510573	2013-08-03 00:32:06.510573	70
2147	2864	7631	2013-08-03 00:32:06.521722	2013-08-03 00:32:06.521722	70
2148	2864	7611	2013-08-03 00:32:06.53299	2013-08-03 00:32:06.53299	70
2149	2864	7591	2013-08-03 00:32:06.544046	2013-08-03 00:32:06.544046	70
2150	2864	7571	2013-08-03 00:32:06.555019	2013-08-03 00:32:06.555019	70
2151	2864	7551	2013-08-03 00:32:06.566692	2013-08-03 00:32:06.566692	70
2152	2864	7531	2013-08-03 00:32:06.578285	2013-08-03 00:32:06.578285	70
2153	2782	5612	2013-08-03 00:32:06.60833	2013-08-03 00:32:06.60833	70
2154	2782	5592	2013-08-03 00:32:06.619819	2013-08-03 00:32:06.619819	70
2155	2782	5572	2013-08-03 00:32:06.631311	2013-08-03 00:32:06.631311	70
2156	2782	5552	2013-08-03 00:32:06.642486	2013-08-03 00:32:06.642486	70
2157	2782	5532	2013-08-03 00:32:06.653407	2013-08-03 00:32:06.653407	70
2158	2782	5512	2013-08-03 00:32:06.664399	2013-08-03 00:32:06.664399	70
2159	2782	5417	2013-08-03 00:32:06.675311	2013-08-03 00:32:06.675311	70
2160	2782	5492	2013-08-03 00:32:06.685444	2013-08-03 00:32:06.685444	70
2161	2782	5472	2013-08-03 00:32:06.696252	2013-08-03 00:32:06.696252	70
2162	2814	5452	2013-08-03 00:32:06.707703	2013-08-03 00:32:06.707703	70
2163	2814	5432	2013-08-03 00:32:06.718798	2013-08-03 00:32:06.718798	70
2164	2814	5412	2013-08-03 00:32:06.73015	2013-08-03 00:32:06.73015	70
2165	2814	5392	2013-08-03 00:32:06.741176	2013-08-03 00:32:06.741176	70
2166	2814	5372	2013-08-03 00:32:06.752104	2013-08-03 00:32:06.752104	70
2167	2814	5352	2013-08-03 00:32:06.763259	2013-08-03 00:32:06.763259	70
2168	2814	5332	2013-08-03 00:32:06.775209	2013-08-03 00:32:06.775209	70
2169	2814	5312	2013-08-03 00:32:06.783227	2013-08-03 00:32:06.783227	70
2170	2814	5292	2013-08-03 00:32:06.788854	2013-08-03 00:32:06.788854	70
2171	2866	3933	2013-08-03 00:32:06.802164	2013-08-03 00:32:06.802164	70
2172	2866	3917	2013-08-03 00:32:06.807107	2013-08-03 00:32:06.807107	70
2173	2866	3913	2013-08-03 00:32:06.814674	2013-08-03 00:32:06.814674	70
2174	2866	3893	2013-08-03 00:32:06.82452	2013-08-03 00:32:06.82452	70
2175	2866	3873	2013-08-03 00:32:06.834394	2013-08-03 00:32:06.834394	70
2176	2866	3853	2013-08-03 00:32:06.842688	2013-08-03 00:32:06.842688	70
2177	2866	3833	2013-08-03 00:32:06.853832	2013-08-03 00:32:06.853832	70
2178	2866	3813	2013-08-03 00:32:06.864758	2013-08-03 00:32:06.864758	70
2179	2866	3793	2013-08-03 00:32:06.875797	2013-08-03 00:32:06.875797	70
2180	2866	3773	2013-08-03 00:32:06.886733	2013-08-03 00:32:06.886733	70
2181	2866	3710	2013-08-03 00:32:06.897694	2013-08-03 00:32:06.897694	70
2182	2866	3650	2013-08-03 00:32:06.909705	2013-08-03 00:32:06.909705	70
2183	2866	3753	2013-08-03 00:32:06.925906	2013-08-03 00:32:06.925906	70
2184	2866	3733	2013-08-03 00:32:06.935267	2013-08-03 00:32:06.935267	70
2185	2866	3713	2013-08-03 00:32:06.939932	2013-08-03 00:32:06.939932	70
2186	2866	3693	2013-08-03 00:32:06.974083	2013-08-03 00:32:06.974083	70
2187	2866	3673	2013-08-03 00:32:06.98383	2013-08-03 00:32:06.98383	70
2188	2866	3653	2013-08-03 00:32:06.988189	2013-08-03 00:32:06.988189	70
2189	2866	3633	2013-08-03 00:32:06.992094	2013-08-03 00:32:06.992094	70
2190	2773	3735	2013-08-03 00:32:07.0225	2013-08-03 00:32:07.0225	70
2191	2773	3715	2013-08-03 00:32:07.033861	2013-08-03 00:32:07.033861	70
2192	2773	3695	2013-08-03 00:32:07.045108	2013-08-03 00:32:07.045108	70
2193	2773	3675	2013-08-03 00:32:07.0561	2013-08-03 00:32:07.0561	70
2194	2773	3655	2013-08-03 00:32:07.067366	2013-08-03 00:32:07.067366	70
2195	2773	3635	2013-08-03 00:32:07.078413	2013-08-03 00:32:07.078413	70
2196	2778	3615	2013-08-03 00:32:07.090188	2013-08-03 00:32:07.090188	70
2197	2778	3595	2013-08-03 00:32:07.101907	2013-08-03 00:32:07.101907	70
2198	2778	3575	2013-08-03 00:32:07.112867	2013-08-03 00:32:07.112867	70
2199	2778	3555	2013-08-03 00:32:07.123684	2013-08-03 00:32:07.123684	70
2200	2778	3535	2013-08-03 00:32:07.13513	2013-08-03 00:32:07.13513	70
2201	2778	3515	2013-08-03 00:32:07.146226	2013-08-03 00:32:07.146226	70
2202	2785	3495	2013-08-03 00:32:07.157812	2013-08-03 00:32:07.157812	70
2203	2785	3475	2013-08-03 00:32:07.168872	2013-08-03 00:32:07.168872	70
2204	2785	3455	2013-08-03 00:32:07.179988	2013-08-03 00:32:07.179988	70
2205	2785	3435	2013-08-03 00:32:07.191153	2013-08-03 00:32:07.191153	70
2206	2785	3415	2013-08-03 00:32:07.20203	2013-08-03 00:32:07.20203	70
2207	2785	3395	2013-08-03 00:32:07.21233	2013-08-03 00:32:07.21233	70
2208	2824	3296	2013-08-03 00:32:07.240042	2013-08-03 00:32:07.240042	70
2209	2824	3276	2013-08-03 00:32:07.250823	2013-08-03 00:32:07.250823	70
2210	2824	3256	2013-08-03 00:32:07.261664	2013-08-03 00:32:07.261664	70
2211	2824	3236	2013-08-03 00:32:07.271995	2013-08-03 00:32:07.271995	70
2212	2824	3216	2013-08-03 00:32:07.282299	2013-08-03 00:32:07.282299	70
2213	2824	3196	2013-08-03 00:32:07.29289	2013-08-03 00:32:07.29289	70
2214	2824	3176	2013-08-03 00:32:07.303701	2013-08-03 00:32:07.303701	70
2215	2824	3156	2013-08-03 00:32:07.314212	2013-08-03 00:32:07.314212	70
2216	2824	3136	2013-08-03 00:32:07.326098	2013-08-03 00:32:07.326098	70
2217	2824	3116	2013-08-03 00:32:07.336977	2013-08-03 00:32:07.336977	70
2218	2824	3096	2013-08-03 00:32:07.347282	2013-08-03 00:32:07.347282	70
2219	2824	3076	2013-08-03 00:32:07.358262	2013-08-03 00:32:07.358262	70
2220	2824	3056	2013-08-03 00:32:07.369401	2013-08-03 00:32:07.369401	70
2221	2824	3036	2013-08-03 00:32:07.380598	2013-08-03 00:32:07.380598	70
2222	2824	3016	2013-08-03 00:32:07.394135	2013-08-03 00:32:07.394135	70
2223	2824	2996	2013-08-03 00:32:07.405939	2013-08-03 00:32:07.405939	70
2224	2824	2976	2013-08-03 00:32:07.417653	2013-08-03 00:32:07.417653	70
2225	2824	2956	2013-08-03 00:32:07.429469	2013-08-03 00:32:07.429469	70
2226	2824	2936	2013-08-03 00:32:07.44139	2013-08-03 00:32:07.44139	70
2227	2769	6337	2013-08-03 00:32:07.473228	2013-08-03 00:32:07.473228	70
2228	2769	6317	2013-08-03 00:32:07.48554	2013-08-03 00:32:07.48554	70
2229	2769	6297	2013-08-03 00:32:07.496772	2013-08-03 00:32:07.496772	70
2230	2769	6277	2013-08-03 00:32:07.507835	2013-08-03 00:32:07.507835	70
2231	2769	6257	2013-08-03 00:32:07.519482	2013-08-03 00:32:07.519482	70
2232	2769	6237	2013-08-03 00:32:07.528244	2013-08-03 00:32:07.528244	70
2233	2769	6217	2013-08-03 00:32:07.536805	2013-08-03 00:32:07.536805	70
2234	2769	6197	2013-08-03 00:32:07.543613	2013-08-03 00:32:07.543613	70
2235	2769	6177	2013-08-03 00:32:07.552046	2013-08-03 00:32:07.552046	70
2236	2776	6157	2013-08-03 00:32:07.560892	2013-08-03 00:32:07.560892	70
2237	2776	6137	2013-08-03 00:32:07.571722	2013-08-03 00:32:07.571722	70
2238	2776	6117	2013-08-03 00:32:07.582786	2013-08-03 00:32:07.582786	70
2239	2776	6097	2013-08-03 00:32:07.591222	2013-08-03 00:32:07.591222	70
2240	2776	6077	2013-08-03 00:32:07.596708	2013-08-03 00:32:07.596708	70
2241	2776	6057	2013-08-03 00:32:07.601576	2013-08-03 00:32:07.601576	70
2242	2776	6037	2013-08-03 00:32:07.606284	2013-08-03 00:32:07.606284	70
2243	2776	6017	2013-08-03 00:32:07.612217	2013-08-03 00:32:07.612217	70
2244	2776	5997	2013-08-03 00:32:07.620946	2013-08-03 00:32:07.620946	70
2245	2770	3838	2013-08-03 00:32:07.654378	2013-08-03 00:32:07.654378	70
2246	2770	3818	2013-08-03 00:32:07.666369	2013-08-03 00:32:07.666369	70
2247	2770	3798	2013-08-03 00:32:07.714138	2013-08-03 00:32:07.714138	70
2248	2770	3778	2013-08-03 00:32:07.725185	2013-08-03 00:32:07.725185	70
2249	2770	3723	2013-08-03 00:32:07.736559	2013-08-03 00:32:07.736559	70
2250	2770	3758	2013-08-03 00:32:07.747758	2013-08-03 00:32:07.747758	70
2251	2777	3738	2013-08-03 00:32:07.759309	2013-08-03 00:32:07.759309	70
2252	2777	3718	2013-08-03 00:32:07.77046	2013-08-03 00:32:07.77046	70
2253	2777	3698	2013-08-03 00:32:07.781522	2013-08-03 00:32:07.781522	70
2254	2777	3678	2013-08-03 00:32:07.79221	2013-08-03 00:32:07.79221	70
2255	2777	3658	2013-08-03 00:32:07.802023	2013-08-03 00:32:07.802023	70
2256	2777	3638	2013-08-03 00:32:07.807342	2013-08-03 00:32:07.807342	70
2257	2825	3618	2013-08-03 00:32:07.813634	2013-08-03 00:32:07.813634	70
2258	2825	3598	2013-08-03 00:32:07.818254	2013-08-03 00:32:07.818254	70
2259	2825	3578	2013-08-03 00:32:07.823688	2013-08-03 00:32:07.823688	70
2260	2825	3558	2013-08-03 00:32:07.828193	2013-08-03 00:32:07.828193	70
2261	2825	3538	2013-08-03 00:32:07.832094	2013-08-03 00:32:07.832094	70
2262	2825	3518	2013-08-03 00:32:07.835675	2013-08-03 00:32:07.835675	70
2263	2774	7499	2013-08-03 00:32:07.85316	2013-08-03 00:32:07.85316	70
2264	2774	7479	2013-08-03 00:32:07.860495	2013-08-03 00:32:07.860495	70
2265	2774	7459	2013-08-03 00:32:07.871374	2013-08-03 00:32:07.871374	70
2266	2774	7439	2013-08-03 00:32:07.882127	2013-08-03 00:32:07.882127	70
2267	2774	7419	2013-08-03 00:32:07.893192	2013-08-03 00:32:07.893192	70
2268	2774	7399	2013-08-03 00:32:07.904368	2013-08-03 00:32:07.904368	70
2269	2771	7379	2013-08-03 00:32:07.91599	2013-08-03 00:32:07.91599	70
2270	2771	7359	2013-08-03 00:32:07.975506	2013-08-03 00:32:07.975506	70
2271	2771	7339	2013-08-03 00:32:07.980762	2013-08-03 00:32:07.980762	70
2272	2771	7319	2013-08-03 00:32:07.985043	2013-08-03 00:32:07.985043	70
2273	2771	7299	2013-08-03 00:32:07.990239	2013-08-03 00:32:07.990239	70
2274	2771	7279	2013-08-03 00:32:07.995473	2013-08-03 00:32:07.995473	70
2275	2826	7259	2013-08-03 00:32:08.001324	2013-08-03 00:32:08.001324	70
2276	2826	7239	2013-08-03 00:32:08.007312	2013-08-03 00:32:08.007312	70
2277	2826	7219	2013-08-03 00:32:08.014378	2013-08-03 00:32:08.014378	70
2278	2826	7199	2013-08-03 00:32:08.024154	2013-08-03 00:32:08.024154	70
2279	2826	7179	2013-08-03 00:32:08.033303	2013-08-03 00:32:08.033303	70
2280	2826	7159	2013-08-03 00:32:08.039514	2013-08-03 00:32:08.039514	70
2281	2865	7899	2013-08-03 00:32:08.055254	2013-08-03 00:32:08.055254	70
2282	2865	7879	2013-08-03 00:32:08.063481	2013-08-03 00:32:08.063481	70
2283	2865	7859	2013-08-03 00:32:08.074751	2013-08-03 00:32:08.074751	70
2284	2865	7839	2013-08-03 00:32:08.085959	2013-08-03 00:32:08.085959	70
2285	2865	7819	2013-08-03 00:32:08.096297	2013-08-03 00:32:08.096297	70
2286	2865	7799	2013-08-03 00:32:08.106922	2013-08-03 00:32:08.106922	70
2287	2865	7779	2013-08-03 00:32:08.117822	2013-08-03 00:32:08.117822	70
2288	2865	7759	2013-08-03 00:32:08.128725	2013-08-03 00:32:08.128725	70
2289	2865	7739	2013-08-03 00:32:08.139839	2013-08-03 00:32:08.139839	70
2290	2865	7719	2013-08-03 00:32:08.150905	2013-08-03 00:32:08.150905	70
2291	2865	7699	2013-08-03 00:32:08.161734	2013-08-03 00:32:08.161734	70
2292	2865	7679	2013-08-03 00:32:08.172514	2013-08-03 00:32:08.172514	70
2293	2865	7659	2013-08-03 00:32:08.183694	2013-08-03 00:32:08.183694	70
2294	2865	7639	2013-08-03 00:32:08.194475	2013-08-03 00:32:08.194475	70
2295	2865	7619	2013-08-03 00:32:08.205032	2013-08-03 00:32:08.205032	70
2296	2865	7599	2013-08-03 00:32:08.215529	2013-08-03 00:32:08.215529	70
2297	2865	7579	2013-08-03 00:32:08.226285	2013-08-03 00:32:08.226285	70
2298	2865	7559	2013-08-03 00:32:08.237131	2013-08-03 00:32:08.237131	70
2299	2865	7539	2013-08-03 00:32:08.247114	2013-08-03 00:32:08.247114	70
2300	2772	4200	2013-08-03 00:32:08.274141	2013-08-03 00:32:08.274141	70
2301	2772	4180	2013-08-03 00:32:08.284393	2013-08-03 00:32:08.284393	70
2302	2772	4160	2013-08-03 00:32:08.294846	2013-08-03 00:32:08.294846	70
2303	2772	4140	2013-08-03 00:32:08.305511	2013-08-03 00:32:08.305511	70
2304	2772	4120	2013-08-03 00:32:08.315454	2013-08-03 00:32:08.315454	70
2305	2772	4100	2013-08-03 00:32:08.325155	2013-08-03 00:32:08.325155	70
2306	2772	4080	2013-08-03 00:32:08.335044	2013-08-03 00:32:08.335044	70
2307	2772	4060	2013-08-03 00:32:08.34502	2013-08-03 00:32:08.34502	70
2308	2772	4040	2013-08-03 00:32:08.35502	2013-08-03 00:32:08.35502	70
2309	2783	4020	2013-08-03 00:32:08.365455	2013-08-03 00:32:08.365455	70
2310	2783	4000	2013-08-03 00:32:08.375356	2013-08-03 00:32:08.375356	70
2311	2783	3980	2013-08-03 00:32:08.385232	2013-08-03 00:32:08.385232	70
2312	2783	3960	2013-08-03 00:32:08.395104	2013-08-03 00:32:08.395104	70
2313	2783	3940	2013-08-03 00:32:08.405395	2013-08-03 00:32:08.405395	70
2314	2783	3797	2013-08-03 00:32:08.415698	2013-08-03 00:32:08.415698	70
2315	2783	3920	2013-08-03 00:32:08.427308	2013-08-03 00:32:08.427308	70
2316	2783	3900	2013-08-03 00:32:08.438065	2013-08-03 00:32:08.438065	70
2317	2783	3880	2013-08-03 00:32:08.449026	2013-08-03 00:32:08.449026	70
2318	2942	5381	2013-08-03 00:37:05.92705	2013-08-03 00:37:05.92705	71
2319	2942	5361	2013-08-03 00:37:05.941755	2013-08-03 00:37:05.941755	71
2320	2942	5341	2013-08-03 00:37:05.954685	2013-08-03 00:37:05.954685	71
2321	2942	5321	2013-08-03 00:37:05.967221	2013-08-03 00:37:05.967221	71
2322	2942	5301	2013-08-03 00:37:05.978597	2013-08-03 00:37:05.978597	71
2323	2942	5281	2013-08-03 00:37:05.989598	2013-08-03 00:37:05.989598	71
2324	2942	5261	2013-08-03 00:37:06.001737	2013-08-03 00:37:06.001737	71
2325	2942	5241	2013-08-03 00:37:06.014258	2013-08-03 00:37:06.014258	71
2326	2942	5221	2013-08-03 00:37:06.025179	2013-08-03 00:37:06.025179	71
2327	2937	5201	2013-08-03 00:37:06.032753	2013-08-03 00:37:06.032753	71
2328	2937	5181	2013-08-03 00:37:06.042779	2013-08-03 00:37:06.042779	71
2329	2937	5161	2013-08-03 00:37:06.050807	2013-08-03 00:37:06.050807	71
2330	2937	5141	2013-08-03 00:37:06.05495	2013-08-03 00:37:06.05495	71
2331	2937	5121	2013-08-03 00:37:06.059823	2013-08-03 00:37:06.059823	71
2332	2937	5101	2013-08-03 00:37:06.069487	2013-08-03 00:37:06.069487	71
2333	2937	5081	2013-08-03 00:37:06.08049	2013-08-03 00:37:06.08049	71
2334	2937	5061	2013-08-03 00:37:06.091813	2013-08-03 00:37:06.091813	71
2335	2937	3692	2013-08-03 00:37:06.103129	2013-08-03 00:37:06.103129	71
2336	2939	6919	2013-08-03 00:37:06.133557	2013-08-03 00:37:06.133557	71
2337	2939	6939	2013-08-03 00:37:06.145178	2013-08-03 00:37:06.145178	71
2338	2939	6959	2013-08-03 00:37:06.149425	2013-08-03 00:37:06.149425	71
2339	2939	6979	2013-08-03 00:37:06.157533	2013-08-03 00:37:06.157533	71
2340	2939	6999	2013-08-03 00:37:06.161486	2013-08-03 00:37:06.161486	71
2341	2939	7019	2013-08-03 00:37:06.165283	2013-08-03 00:37:06.165283	71
2342	2939	7039	2013-08-03 00:37:06.169058	2013-08-03 00:37:06.169058	71
2343	2939	7059	2013-08-03 00:37:06.175288	2013-08-03 00:37:06.175288	71
2344	2939	7079	2013-08-03 00:37:06.18078	2013-08-03 00:37:06.18078	71
2345	2940	7099	2013-08-03 00:37:06.19035	2013-08-03 00:37:06.19035	71
2346	2940	7119	2013-08-03 00:37:06.200821	2013-08-03 00:37:06.200821	71
2347	2940	3712	2013-08-03 00:37:06.2111	2013-08-03 00:37:06.2111	71
2348	2940	4457	2013-08-03 00:37:06.22149	2013-08-03 00:37:06.22149	71
2349	2940	4437	2013-08-03 00:37:06.233198	2013-08-03 00:37:06.233198	71
2350	2940	4417	2013-08-03 00:37:06.244498	2013-08-03 00:37:06.244498	71
2351	2940	4397	2013-08-03 00:37:06.25537	2013-08-03 00:37:06.25537	71
2352	2940	5639	2013-08-03 00:37:06.306436	2013-08-03 00:37:06.306436	71
2353	2940	5619	2013-08-03 00:37:06.311668	2013-08-03 00:37:06.311668	71
2354	3004	7291	2013-08-03 00:37:06.327641	2013-08-03 00:37:06.327641	71
2355	3004	7311	2013-08-03 00:37:06.33405	2013-08-03 00:37:06.33405	71
2356	3004	5839	2013-08-03 00:37:06.341632	2013-08-03 00:37:06.341632	71
2357	3004	6079	2013-08-03 00:37:06.352847	2013-08-03 00:37:06.352847	71
2358	3004	6099	2013-08-03 00:37:06.362925	2013-08-03 00:37:06.362925	71
2359	3004	6119	2013-08-03 00:37:06.372782	2013-08-03 00:37:06.372782	71
2360	3004	6139	2013-08-03 00:37:06.382464	2013-08-03 00:37:06.382464	71
2361	3004	6159	2013-08-03 00:37:06.392043	2013-08-03 00:37:06.392043	71
2362	3004	6179	2013-08-03 00:37:06.399395	2013-08-03 00:37:06.399395	71
2363	3004	6199	2013-08-03 00:37:06.409008	2013-08-03 00:37:06.409008	71
2364	3004	6219	2013-08-03 00:37:06.413626	2013-08-03 00:37:06.413626	71
2365	3004	5619	2013-08-03 00:37:06.417011	2013-08-03 00:37:06.417011	71
2366	3004	5639	2013-08-03 00:37:06.420082	2013-08-03 00:37:06.420082	71
2367	3004	4397	2013-08-03 00:37:06.423158	2013-08-03 00:37:06.423158	71
2368	3004	4417	2013-08-03 00:37:06.4261	2013-08-03 00:37:06.4261	71
2369	3004	4437	2013-08-03 00:37:06.429007	2013-08-03 00:37:06.429007	71
2370	3004	4457	2013-08-03 00:37:06.431789	2013-08-03 00:37:06.431789	71
2371	3004	3712	2013-08-03 00:37:06.434532	2013-08-03 00:37:06.434532	71
2372	3004	3752	2013-08-03 00:37:06.437343	2013-08-03 00:37:06.437343	71
2373	2938	7008	2013-08-03 00:37:06.462783	2013-08-03 00:37:06.462783	71
2374	2938	6988	2013-08-03 00:37:06.472925	2013-08-03 00:37:06.472925	71
2375	2938	6968	2013-08-03 00:37:06.483352	2013-08-03 00:37:06.483352	71
2376	2938	6948	2013-08-03 00:37:06.493641	2013-08-03 00:37:06.493641	71
2377	2938	6928	2013-08-03 00:37:06.504252	2013-08-03 00:37:06.504252	71
2378	2938	6908	2013-08-03 00:37:06.514866	2013-08-03 00:37:06.514866	71
2379	2938	6888	2013-08-03 00:37:06.525624	2013-08-03 00:37:06.525624	71
2380	2938	6868	2013-08-03 00:37:06.536006	2013-08-03 00:37:06.536006	71
2381	2938	6848	2013-08-03 00:37:06.546793	2013-08-03 00:37:06.546793	71
2382	2955	6828	2013-08-03 00:37:06.557828	2013-08-03 00:37:06.557828	71
2383	2955	6808	2013-08-03 00:37:06.568677	2013-08-03 00:37:06.568677	71
2384	2955	6788	2013-08-03 00:37:06.579238	2013-08-03 00:37:06.579238	71
2385	2955	6768	2013-08-03 00:37:06.58982	2013-08-03 00:37:06.58982	71
2386	2955	6748	2013-08-03 00:37:06.60038	2013-08-03 00:37:06.60038	71
2387	2955	6728	2013-08-03 00:37:06.611034	2013-08-03 00:37:06.611034	71
2388	2955	6708	2013-08-03 00:37:06.621725	2013-08-03 00:37:06.621725	71
2389	2955	6688	2013-08-03 00:37:06.632291	2013-08-03 00:37:06.632291	71
2390	2955	3812	2013-08-03 00:37:06.642893	2013-08-03 00:37:06.642893	71
2391	2936	8231	2013-08-03 00:37:06.680963	2013-08-03 00:37:06.680963	71
2392	2936	8211	2013-08-03 00:37:06.69195	2013-08-03 00:37:06.69195	71
2393	2936	8191	2013-08-03 00:37:06.702845	2013-08-03 00:37:06.702845	71
2394	2936	8171	2013-08-03 00:37:06.713327	2013-08-03 00:37:06.713327	71
2395	2936	8151	2013-08-03 00:37:06.723336	2013-08-03 00:37:06.723336	71
2396	2936	8131	2013-08-03 00:37:06.734257	2013-08-03 00:37:06.734257	71
2397	2936	8111	2013-08-03 00:37:06.744897	2013-08-03 00:37:06.744897	71
2398	2936	8091	2013-08-03 00:37:06.755844	2013-08-03 00:37:06.755844	71
2399	2936	8071	2013-08-03 00:37:06.760399	2013-08-03 00:37:06.760399	71
2400	2956	8051	2013-08-03 00:37:06.768723	2013-08-03 00:37:06.768723	71
2401	2956	8031	2013-08-03 00:37:06.773334	2013-08-03 00:37:06.773334	71
2402	2956	8011	2013-08-03 00:37:06.778249	2013-08-03 00:37:06.778249	71
2403	2956	7991	2013-08-03 00:37:06.782638	2013-08-03 00:37:06.782638	71
2404	2956	7971	2013-08-03 00:37:06.786802	2013-08-03 00:37:06.786802	71
2405	2956	7951	2013-08-03 00:37:06.791706	2013-08-03 00:37:06.791706	71
2406	2956	7931	2013-08-03 00:37:06.796346	2013-08-03 00:37:06.796346	71
2407	2956	7911	2013-08-03 00:37:06.801735	2013-08-03 00:37:06.801735	71
2408	2956	3872	2013-08-03 00:37:06.807038	2013-08-03 00:37:06.807038	71
2409	3007	8631	2013-08-03 00:37:06.822204	2013-08-03 00:37:06.822204	71
2410	3007	8611	2013-08-03 00:37:06.831006	2013-08-03 00:37:06.831006	71
2411	3007	8591	2013-08-03 00:37:06.841429	2013-08-03 00:37:06.841429	71
2412	3007	8571	2013-08-03 00:37:06.851738	2013-08-03 00:37:06.851738	71
2413	3007	8551	2013-08-03 00:37:06.862531	2013-08-03 00:37:06.862531	71
2414	3007	8531	2013-08-03 00:37:06.87337	2013-08-03 00:37:06.87337	71
2415	3007	8511	2013-08-03 00:37:06.883963	2013-08-03 00:37:06.883963	71
2416	3007	8491	2013-08-03 00:37:06.893922	2013-08-03 00:37:06.893922	71
2417	3007	8471	2013-08-03 00:37:06.904991	2013-08-03 00:37:06.904991	71
2418	3007	8451	2013-08-03 00:37:06.916015	2013-08-03 00:37:06.916015	71
2419	3007	8431	2013-08-03 00:37:06.927037	2013-08-03 00:37:06.927037	71
2420	3007	8411	2013-08-03 00:37:06.938235	2013-08-03 00:37:06.938235	71
2421	3007	8391	2013-08-03 00:37:06.9502	2013-08-03 00:37:06.9502	71
2422	3007	8371	2013-08-03 00:37:06.989858	2013-08-03 00:37:06.989858	71
2423	3007	8351	2013-08-03 00:37:06.994867	2013-08-03 00:37:06.994867	71
2424	3007	8331	2013-08-03 00:37:07.000436	2013-08-03 00:37:07.000436	71
2425	3007	8311	2013-08-03 00:37:07.009591	2013-08-03 00:37:07.009591	71
2426	3007	8291	2013-08-03 00:37:07.020855	2013-08-03 00:37:07.020855	71
2427	3007	8271	2013-08-03 00:37:07.032813	2013-08-03 00:37:07.032813	71
2428	2933	5863	2013-08-03 00:37:07.042501	2013-08-03 00:37:07.042501	71
2429	2933	5952	2013-08-03 00:37:07.046023	2013-08-03 00:37:07.046023	71
2430	2933	5932	2013-08-03 00:37:07.049357	2013-08-03 00:37:07.049357	71
2431	2933	5912	2013-08-03 00:37:07.05267	2013-08-03 00:37:07.05267	71
2432	2933	5892	2013-08-03 00:37:07.056224	2013-08-03 00:37:07.056224	71
2433	2933	5872	2013-08-03 00:37:07.061178	2013-08-03 00:37:07.061178	71
2434	2933	5852	2013-08-03 00:37:07.070145	2013-08-03 00:37:07.070145	71
2435	2933	5832	2013-08-03 00:37:07.082262	2013-08-03 00:37:07.082262	71
2436	2933	5812	2013-08-03 00:37:07.094211	2013-08-03 00:37:07.094211	71
2437	2957	5792	2013-08-03 00:37:07.106551	2013-08-03 00:37:07.106551	71
2438	2957	5772	2013-08-03 00:37:07.11814	2013-08-03 00:37:07.11814	71
2439	2957	5752	2013-08-03 00:37:07.129647	2013-08-03 00:37:07.129647	71
2440	2957	5732	2013-08-03 00:37:07.14118	2013-08-03 00:37:07.14118	71
2441	2957	5712	2013-08-03 00:37:07.152685	2013-08-03 00:37:07.152685	71
2442	2957	5692	2013-08-03 00:37:07.163818	2013-08-03 00:37:07.163818	71
2443	2957	5672	2013-08-03 00:37:07.17549	2013-08-03 00:37:07.17549	71
2444	2957	5652	2013-08-03 00:37:07.187949	2013-08-03 00:37:07.187949	71
2445	2957	3892	2013-08-03 00:37:07.195567	2013-08-03 00:37:07.195567	71
2446	3005	4273	2013-08-03 00:37:07.209422	2013-08-03 00:37:07.209422	71
2447	3005	4253	2013-08-03 00:37:07.217824	2013-08-03 00:37:07.217824	71
2448	3005	4233	2013-08-03 00:37:07.227898	2013-08-03 00:37:07.227898	71
2449	3005	4213	2013-08-03 00:37:07.238749	2013-08-03 00:37:07.238749	71
2450	3005	4193	2013-08-03 00:37:07.250223	2013-08-03 00:37:07.250223	71
2451	3005	4173	2013-08-03 00:37:07.262413	2013-08-03 00:37:07.262413	71
2452	3005	4153	2013-08-03 00:37:07.273608	2013-08-03 00:37:07.273608	71
2453	3005	4133	2013-08-03 00:37:07.285001	2013-08-03 00:37:07.285001	71
2454	3005	4113	2013-08-03 00:37:07.296479	2013-08-03 00:37:07.296479	71
2455	3005	4093	2013-08-03 00:37:07.308012	2013-08-03 00:37:07.308012	71
2456	3005	3950	2013-08-03 00:37:07.319472	2013-08-03 00:37:07.319472	71
2457	3005	4073	2013-08-03 00:37:07.331027	2013-08-03 00:37:07.331027	71
2458	3005	4053	2013-08-03 00:37:07.342465	2013-08-03 00:37:07.342465	71
2459	3005	4033	2013-08-03 00:37:07.353959	2013-08-03 00:37:07.353959	71
2460	3005	4013	2013-08-03 00:37:07.365321	2013-08-03 00:37:07.365321	71
2461	3005	3993	2013-08-03 00:37:07.376806	2013-08-03 00:37:07.376806	71
2462	3005	3973	2013-08-03 00:37:07.388062	2013-08-03 00:37:07.388062	71
2463	3005	3953	2013-08-03 00:37:07.399402	2013-08-03 00:37:07.399402	71
2464	3005	3651	2013-08-03 00:37:07.41095	2013-08-03 00:37:07.41095	71
2465	2934	4075	2013-08-03 00:37:07.436353	2013-08-03 00:37:07.436353	71
2466	2934	4055	2013-08-03 00:37:07.445715	2013-08-03 00:37:07.445715	71
2467	2934	4035	2013-08-03 00:37:07.45425	2013-08-03 00:37:07.45425	71
2468	2934	4015	2013-08-03 00:37:07.46278	2013-08-03 00:37:07.46278	71
2469	2934	3995	2013-08-03 00:37:07.475292	2013-08-03 00:37:07.475292	71
2470	2934	3975	2013-08-03 00:37:07.487399	2013-08-03 00:37:07.487399	71
2471	2934	3955	2013-08-03 00:37:07.499464	2013-08-03 00:37:07.499464	71
2472	2934	3935	2013-08-03 00:37:07.511456	2013-08-03 00:37:07.511456	71
2473	2934	3877	2013-08-03 00:37:07.523018	2013-08-03 00:37:07.523018	71
2474	2941	3915	2013-08-03 00:37:07.534506	2013-08-03 00:37:07.534506	71
2475	2941	3895	2013-08-03 00:37:07.546063	2013-08-03 00:37:07.546063	71
2476	2941	3875	2013-08-03 00:37:07.557299	2013-08-03 00:37:07.557299	71
2477	2941	3855	2013-08-03 00:37:07.569175	2013-08-03 00:37:07.569175	71
2478	2941	3835	2013-08-03 00:37:07.580866	2013-08-03 00:37:07.580866	71
2479	2941	3815	2013-08-03 00:37:07.58784	2013-08-03 00:37:07.58784	71
2480	2941	3795	2013-08-03 00:37:07.592497	2013-08-03 00:37:07.592497	71
2481	2941	3775	2013-08-03 00:37:07.597275	2013-08-03 00:37:07.597275	71
2482	2941	3671	2013-08-03 00:37:07.601975	2013-08-03 00:37:07.601975	71
2483	3009	3636	2013-08-03 00:37:07.614481	2013-08-03 00:37:07.614481	71
2484	3009	3616	2013-08-03 00:37:07.620382	2013-08-03 00:37:07.620382	71
2485	3009	3596	2013-08-03 00:37:07.624908	2013-08-03 00:37:07.624908	71
2486	3009	3576	2013-08-03 00:37:07.634393	2013-08-03 00:37:07.634393	71
2487	3009	3556	2013-08-03 00:37:07.671848	2013-08-03 00:37:07.671848	71
2488	3009	3536	2013-08-03 00:37:07.676206	2013-08-03 00:37:07.676206	71
2489	3009	3516	2013-08-03 00:37:07.679948	2013-08-03 00:37:07.679948	71
2490	3009	3496	2013-08-03 00:37:07.684498	2013-08-03 00:37:07.684498	71
2491	3009	3476	2013-08-03 00:37:07.690108	2013-08-03 00:37:07.690108	71
2492	3009	3456	2013-08-03 00:37:07.696883	2013-08-03 00:37:07.696883	71
2493	3009	3423	2013-08-03 00:37:07.700977	2013-08-03 00:37:07.700977	71
2494	3009	3436	2013-08-03 00:37:07.705257	2013-08-03 00:37:07.705257	71
2495	3009	3416	2013-08-03 00:37:07.710553	2013-08-03 00:37:07.710553	71
2496	3009	3396	2013-08-03 00:37:07.714976	2013-08-03 00:37:07.714976	71
2497	3009	3376	2013-08-03 00:37:07.720699	2013-08-03 00:37:07.720699	71
2498	3009	3356	2013-08-03 00:37:07.725493	2013-08-03 00:37:07.725493	71
2499	3009	3336	2013-08-03 00:37:07.730474	2013-08-03 00:37:07.730474	71
2500	3009	3316	2013-08-03 00:37:07.736029	2013-08-03 00:37:07.736029	71
2501	3009	3691	2013-08-03 00:37:07.742655	2013-08-03 00:37:07.742655	71
2502	2931	6717	2013-08-03 00:37:07.757376	2013-08-03 00:37:07.757376	71
2503	2931	6697	2013-08-03 00:37:07.806702	2013-08-03 00:37:07.806702	71
2504	2931	6677	2013-08-03 00:37:07.813135	2013-08-03 00:37:07.813135	71
2505	2931	6657	2013-08-03 00:37:07.817125	2013-08-03 00:37:07.817125	71
2506	2931	6637	2013-08-03 00:37:07.820883	2013-08-03 00:37:07.820883	71
2507	2931	6617	2013-08-03 00:37:07.825538	2013-08-03 00:37:07.825538	71
2508	2931	6597	2013-08-03 00:37:07.829425	2013-08-03 00:37:07.829425	71
2509	2931	6577	2013-08-03 00:37:07.833911	2013-08-03 00:37:07.833911	71
2510	2931	6557	2013-08-03 00:37:07.83875	2013-08-03 00:37:07.83875	71
2511	2931	6537	2013-08-03 00:37:07.842568	2013-08-03 00:37:07.842568	71
2512	2931	6517	2013-08-03 00:37:07.8475	2013-08-03 00:37:07.8475	71
2513	2931	6497	2013-08-03 00:37:07.852156	2013-08-03 00:37:07.852156	71
2514	2931	6477	2013-08-03 00:37:07.8565	2013-08-03 00:37:07.8565	71
2515	2931	6457	2013-08-03 00:37:07.86046	2013-08-03 00:37:07.86046	71
2516	2931	6437	2013-08-03 00:37:07.865005	2013-08-03 00:37:07.865005	71
2517	2931	6417	2013-08-03 00:37:07.869831	2013-08-03 00:37:07.869831	71
2518	2931	6397	2013-08-03 00:37:07.873856	2013-08-03 00:37:07.873856	71
2519	2931	6377	2013-08-03 00:37:07.878991	2013-08-03 00:37:07.878991	71
2520	2931	3711	2013-08-03 00:37:07.883055	2013-08-03 00:37:07.883055	71
2521	2930	4178	2013-08-03 00:37:07.892794	2013-08-03 00:37:07.892794	71
2522	2930	4158	2013-08-03 00:37:07.896482	2013-08-03 00:37:07.896482	71
2523	2930	4138	2013-08-03 00:37:07.901074	2013-08-03 00:37:07.901074	71
2524	2930	4118	2013-08-03 00:37:07.90591	2013-08-03 00:37:07.90591	71
2525	2930	4098	2013-08-03 00:37:07.910017	2013-08-03 00:37:07.910017	71
2526	2930	4078	2013-08-03 00:37:07.915338	2013-08-03 00:37:07.915338	71
2527	2930	4058	2013-08-03 00:37:07.919105	2013-08-03 00:37:07.919105	71
2528	2930	4038	2013-08-03 00:37:07.922948	2013-08-03 00:37:07.922948	71
2529	2930	4018	2013-08-03 00:37:07.926782	2013-08-03 00:37:07.926782	71
2530	2986	3998	2013-08-03 00:37:07.930865	2013-08-03 00:37:07.930865	71
2531	2986	3978	2013-08-03 00:37:07.934632	2013-08-03 00:37:07.934632	71
2532	2986	3958	2013-08-03 00:37:07.938342	2013-08-03 00:37:07.938342	71
2533	2986	3938	2013-08-03 00:37:07.942902	2013-08-03 00:37:07.942902	71
2534	2986	3837	2013-08-03 00:37:07.946965	2013-08-03 00:37:07.946965	71
2535	2986	3918	2013-08-03 00:37:07.951808	2013-08-03 00:37:07.951808	71
2536	2986	3898	2013-08-03 00:37:07.956587	2013-08-03 00:37:07.956587	71
2537	2986	3878	2013-08-03 00:37:07.961903	2013-08-03 00:37:07.961903	71
2538	2986	3731	2013-08-03 00:37:07.967491	2013-08-03 00:37:07.967491	71
2539	2935	8259	2013-08-03 00:37:07.977305	2013-08-03 00:37:07.977305	71
2540	2935	8239	2013-08-03 00:37:07.982112	2013-08-03 00:37:07.982112	71
2541	2935	8219	2013-08-03 00:37:07.98646	2013-08-03 00:37:07.98646	71
2542	2935	8199	2013-08-03 00:37:07.990344	2013-08-03 00:37:07.990344	71
2543	2935	8179	2013-08-03 00:37:07.994191	2013-08-03 00:37:07.994191	71
2544	2935	8159	2013-08-03 00:37:07.999065	2013-08-03 00:37:07.999065	71
2545	2935	8139	2013-08-03 00:37:08.003323	2013-08-03 00:37:08.003323	71
2546	2935	8119	2013-08-03 00:37:08.007913	2013-08-03 00:37:08.007913	71
2547	2935	8099	2013-08-03 00:37:08.011875	2013-08-03 00:37:08.011875	71
2548	2935	8079	2013-08-03 00:37:08.015836	2013-08-03 00:37:08.015836	71
2549	2935	8059	2013-08-03 00:37:08.023815	2013-08-03 00:37:08.023815	71
2550	2935	8039	2013-08-03 00:37:08.028987	2013-08-03 00:37:08.028987	71
2551	2935	8019	2013-08-03 00:37:08.036303	2013-08-03 00:37:08.036303	71
2552	2935	7999	2013-08-03 00:37:08.042615	2013-08-03 00:37:08.042615	71
2553	2935	7979	2013-08-03 00:37:08.049422	2013-08-03 00:37:08.049422	71
2554	2935	7959	2013-08-03 00:37:08.055982	2013-08-03 00:37:08.055982	71
2555	2935	7939	2013-08-03 00:37:08.062929	2013-08-03 00:37:08.062929	71
2556	2935	7919	2013-08-03 00:37:08.069554	2013-08-03 00:37:08.069554	71
2557	2935	3751	2013-08-03 00:37:08.076823	2013-08-03 00:37:08.076823	71
2558	3008	8639	2013-08-03 00:37:08.090325	2013-08-03 00:37:08.090325	71
2559	3008	8619	2013-08-03 00:37:08.096633	2013-08-03 00:37:08.096633	71
2560	3008	8599	2013-08-03 00:37:08.10113	2013-08-03 00:37:08.10113	71
2561	3008	8579	2013-08-03 00:37:08.10666	2013-08-03 00:37:08.10666	71
2562	3008	8559	2013-08-03 00:37:08.110946	2013-08-03 00:37:08.110946	71
2563	3008	8539	2013-08-03 00:37:08.144297	2013-08-03 00:37:08.144297	71
2564	3008	8519	2013-08-03 00:37:08.151344	2013-08-03 00:37:08.151344	71
2565	3008	8499	2013-08-03 00:37:08.157574	2013-08-03 00:37:08.157574	71
2566	3008	8479	2013-08-03 00:37:08.163314	2013-08-03 00:37:08.163314	71
2567	3008	8459	2013-08-03 00:37:08.167152	2013-08-03 00:37:08.167152	71
2568	3008	8439	2013-08-03 00:37:08.172314	2013-08-03 00:37:08.172314	71
2569	3008	8419	2013-08-03 00:37:08.177398	2013-08-03 00:37:08.177398	71
2570	3008	8399	2013-08-03 00:37:08.182175	2013-08-03 00:37:08.182175	71
2571	3008	8379	2013-08-03 00:37:08.18762	2013-08-03 00:37:08.18762	71
2572	3008	8359	2013-08-03 00:37:08.193013	2013-08-03 00:37:08.193013	71
2573	3008	8339	2013-08-03 00:37:08.198795	2013-08-03 00:37:08.198795	71
2574	3008	8319	2013-08-03 00:37:08.205098	2013-08-03 00:37:08.205098	71
2575	3008	8299	2013-08-03 00:37:08.209634	2013-08-03 00:37:08.209634	71
2576	3008	8279	2013-08-03 00:37:08.215242	2013-08-03 00:37:08.215242	71
2577	2932	4580	2013-08-03 00:37:08.226966	2013-08-03 00:37:08.226966	71
2578	2932	4560	2013-08-03 00:37:08.232355	2013-08-03 00:37:08.232355	71
2579	2932	4540	2013-08-03 00:37:08.237577	2013-08-03 00:37:08.237577	71
2580	2932	4520	2013-08-03 00:37:08.243288	2013-08-03 00:37:08.243288	71
2581	2932	4500	2013-08-03 00:37:08.24762	2013-08-03 00:37:08.24762	71
2582	2932	4480	2013-08-03 00:37:08.252651	2013-08-03 00:37:08.252651	71
2583	2932	4460	2013-08-03 00:37:08.25772	2013-08-03 00:37:08.25772	71
2584	2932	4440	2013-08-03 00:37:08.26273	2013-08-03 00:37:08.26273	71
2585	2932	4420	2013-08-03 00:37:08.271391	2013-08-03 00:37:08.271391	71
2586	2932	4400	2013-08-03 00:37:08.27671	2013-08-03 00:37:08.27671	71
2587	2932	4380	2013-08-03 00:37:08.281002	2013-08-03 00:37:08.281002	71
2588	2932	4360	2013-08-03 00:37:08.285707	2013-08-03 00:37:08.285707	71
2589	2932	4340	2013-08-03 00:37:08.289917	2013-08-03 00:37:08.289917	71
2590	2932	4320	2013-08-03 00:37:08.295119	2013-08-03 00:37:08.295119	71
2591	2932	4300	2013-08-03 00:37:08.301356	2013-08-03 00:37:08.301356	71
2592	2932	4280	2013-08-03 00:37:08.307291	2013-08-03 00:37:08.307291	71
2593	2932	4260	2013-08-03 00:37:08.311983	2013-08-03 00:37:08.311983	71
2594	2932	4240	2013-08-03 00:37:08.317024	2013-08-03 00:37:08.317024	71
2595	2932	3771	2013-08-03 00:37:08.322637	2013-08-03 00:37:08.322637	71
2596	3025	5741	2013-08-03 00:42:06.44171	2013-08-03 00:42:06.44171	72
2597	3025	5721	2013-08-03 00:42:06.451142	2013-08-03 00:42:06.451142	72
2598	3025	5701	2013-08-03 00:42:06.458642	2013-08-03 00:42:06.458642	72
2599	3025	5681	2013-08-03 00:42:06.471301	2013-08-03 00:42:06.471301	72
2600	3025	5661	2013-08-03 00:42:06.483366	2013-08-03 00:42:06.483366	72
2601	3025	5637	2013-08-03 00:42:06.495616	2013-08-03 00:42:06.495616	72
2602	3025	5641	2013-08-03 00:42:06.507817	2013-08-03 00:42:06.507817	72
2603	3025	5621	2013-08-03 00:42:06.521694	2013-08-03 00:42:06.521694	72
2604	3025	5601	2013-08-03 00:42:06.533155	2013-08-03 00:42:06.533155	72
2605	3083	5581	2013-08-03 00:42:06.540013	2013-08-03 00:42:06.540013	72
2606	3083	5561	2013-08-03 00:42:06.547483	2013-08-03 00:42:06.547483	72
2607	3083	5541	2013-08-03 00:42:06.554413	2013-08-03 00:42:06.554413	72
2608	3083	5521	2013-08-03 00:42:06.559708	2013-08-03 00:42:06.559708	72
2609	3083	5501	2013-08-03 00:42:06.5648	2013-08-03 00:42:06.5648	72
2610	3083	5481	2013-08-03 00:42:06.570467	2013-08-03 00:42:06.570467	72
2611	3083	5461	2013-08-03 00:42:06.578988	2013-08-03 00:42:06.578988	72
2612	3083	5441	2013-08-03 00:42:06.589211	2013-08-03 00:42:06.589211	72
2613	3083	5421	2013-08-03 00:42:06.601076	2013-08-03 00:42:06.601076	72
2614	3021	5057	2013-08-03 00:42:06.627765	2013-08-03 00:42:06.627765	72
2615	3021	5037	2013-08-03 00:42:06.639911	2013-08-03 00:42:06.639911	72
2616	3021	6779	2013-08-03 00:42:06.65083	2013-08-03 00:42:06.65083	72
2617	3021	6799	2013-08-03 00:42:06.660682	2013-08-03 00:42:06.660682	72
2618	3021	6819	2013-08-03 00:42:06.666014	2013-08-03 00:42:06.666014	72
2619	3021	6839	2013-08-03 00:42:06.671453	2013-08-03 00:42:06.671453	72
2620	3021	6859	2013-08-03 00:42:06.675946	2013-08-03 00:42:06.675946	72
2621	3021	6879	2013-08-03 00:42:06.680916	2013-08-03 00:42:06.680916	72
2622	3021	3691	2013-08-03 00:42:06.685825	2013-08-03 00:42:06.685825	72
2623	3033	3651	2013-08-03 00:42:06.693935	2013-08-03 00:42:06.693935	72
2624	3033	3752	2013-08-03 00:42:06.698705	2013-08-03 00:42:06.698705	72
2625	3033	3712	2013-08-03 00:42:06.703025	2013-08-03 00:42:06.703025	72
2626	3033	4457	2013-08-03 00:42:06.707224	2013-08-03 00:42:06.707224	72
2627	3033	4437	2013-08-03 00:42:06.712616	2013-08-03 00:42:06.712616	72
2628	3033	4417	2013-08-03 00:42:06.721226	2013-08-03 00:42:06.721226	72
2629	3033	4397	2013-08-03 00:42:06.733911	2013-08-03 00:42:06.733911	72
2630	3033	5639	2013-08-03 00:42:06.744322	2013-08-03 00:42:06.744322	72
2631	3033	5619	2013-08-03 00:42:06.755203	2013-08-03 00:42:06.755203	72
2632	3073	6879	2013-08-03 00:42:06.787792	2013-08-03 00:42:06.787792	72
2633	3073	6859	2013-08-03 00:42:06.799261	2013-08-03 00:42:06.799261	72
2634	3073	6839	2013-08-03 00:42:06.80957	2013-08-03 00:42:06.80957	72
2635	3073	6819	2013-08-03 00:42:06.819942	2013-08-03 00:42:06.819942	72
2636	3073	6799	2013-08-03 00:42:06.830353	2013-08-03 00:42:06.830353	72
2637	3073	6779	2013-08-03 00:42:06.840633	2013-08-03 00:42:06.840633	72
2638	3073	5037	2013-08-03 00:42:06.850902	2013-08-03 00:42:06.850902	72
2639	3073	5057	2013-08-03 00:42:06.861141	2013-08-03 00:42:06.861141	72
2640	3073	7119	2013-08-03 00:42:06.871528	2013-08-03 00:42:06.871528	72
2641	3073	7099	2013-08-03 00:42:06.882269	2013-08-03 00:42:06.882269	72
2642	3073	7231	2013-08-03 00:42:06.892825	2013-08-03 00:42:06.892825	72
2643	3073	7251	2013-08-03 00:42:06.901625	2013-08-03 00:42:06.901625	72
2644	3073	7271	2013-08-03 00:42:06.905051	2013-08-03 00:42:06.905051	72
2645	3073	3691	2013-08-03 00:42:06.910479	2013-08-03 00:42:06.910479	72
2646	3073	3731	2013-08-03 00:42:06.914814	2013-08-03 00:42:06.914814	72
2647	3073	3671	2013-08-03 00:42:06.918637	2013-08-03 00:42:06.918637	72
2648	3073	3892	2013-08-03 00:42:06.922533	2013-08-03 00:42:06.922533	72
2649	3073	3872	2013-08-03 00:42:06.926034	2013-08-03 00:42:06.926034	72
2650	3073	3812	2013-08-03 00:42:06.930059	2013-08-03 00:42:06.930059	72
2651	3086	7388	2013-08-03 00:42:06.951871	2013-08-03 00:42:06.951871	72
2652	3086	7368	2013-08-03 00:42:06.960378	2013-08-03 00:42:06.960378	72
2653	3086	7348	2013-08-03 00:42:06.964767	2013-08-03 00:42:06.964767	72
2654	3086	7328	2013-08-03 00:42:06.971578	2013-08-03 00:42:06.971578	72
2655	3086	7308	2013-08-03 00:42:06.977728	2013-08-03 00:42:06.977728	72
2656	3086	7288	2013-08-03 00:42:06.983312	2013-08-03 00:42:06.983312	72
2657	3035	7268	2013-08-03 00:42:06.989772	2013-08-03 00:42:06.989772	72
2658	3035	7248	2013-08-03 00:42:06.995243	2013-08-03 00:42:06.995243	72
2659	3035	7228	2013-08-03 00:42:07.001112	2013-08-03 00:42:07.001112	72
2660	3035	7208	2013-08-03 00:42:07.006432	2013-08-03 00:42:07.006432	72
2661	3035	7188	2013-08-03 00:42:07.012514	2013-08-03 00:42:07.012514	72
2662	3035	7168	2013-08-03 00:42:07.024955	2013-08-03 00:42:07.024955	72
2663	3036	7148	2013-08-03 00:42:07.037863	2013-08-03 00:42:07.037863	72
2664	3036	7128	2013-08-03 00:42:07.046426	2013-08-03 00:42:07.046426	72
2665	3036	7108	2013-08-03 00:42:07.051313	2013-08-03 00:42:07.051313	72
2666	3036	7088	2013-08-03 00:42:07.056118	2013-08-03 00:42:07.056118	72
2667	3036	7068	2013-08-03 00:42:07.061526	2013-08-03 00:42:07.061526	72
2668	3036	7048	2013-08-03 00:42:07.069065	2013-08-03 00:42:07.069065	72
2669	3037	8991	2013-08-03 00:42:07.116682	2013-08-03 00:42:07.116682	72
2670	3037	8971	2013-08-03 00:42:07.120306	2013-08-03 00:42:07.120306	72
2671	3037	8951	2013-08-03 00:42:07.123529	2013-08-03 00:42:07.123529	72
2672	3037	8931	2013-08-03 00:42:07.126758	2013-08-03 00:42:07.126758	72
2673	3037	8911	2013-08-03 00:42:07.130049	2013-08-03 00:42:07.130049	72
2674	3037	8891	2013-08-03 00:42:07.133222	2013-08-03 00:42:07.133222	72
2675	3037	8871	2013-08-03 00:42:07.137331	2013-08-03 00:42:07.137331	72
2676	3037	8851	2013-08-03 00:42:07.142466	2013-08-03 00:42:07.142466	72
2677	3037	8831	2013-08-03 00:42:07.147459	2013-08-03 00:42:07.147459	72
2678	3084	8811	2013-08-03 00:42:07.152756	2013-08-03 00:42:07.152756	72
2679	3084	8791	2013-08-03 00:42:07.157754	2013-08-03 00:42:07.157754	72
2680	3084	8771	2013-08-03 00:42:07.163326	2013-08-03 00:42:07.163326	72
2681	3084	8751	2013-08-03 00:42:07.168056	2013-08-03 00:42:07.168056	72
2682	3084	8731	2013-08-03 00:42:07.17223	2013-08-03 00:42:07.17223	72
2683	3084	8711	2013-08-03 00:42:07.17707	2013-08-03 00:42:07.17707	72
2684	3084	8691	2013-08-03 00:42:07.181902	2013-08-03 00:42:07.181902	72
2685	3084	8671	2013-08-03 00:42:07.185511	2013-08-03 00:42:07.185511	72
2686	3084	8651	2013-08-03 00:42:07.190036	2013-08-03 00:42:07.190036	72
2687	3020	9391	2013-08-03 00:42:07.198551	2013-08-03 00:42:07.198551	72
2688	3020	9371	2013-08-03 00:42:07.202447	2013-08-03 00:42:07.202447	72
2689	3020	9351	2013-08-03 00:42:07.206004	2013-08-03 00:42:07.206004	72
2690	3020	9331	2013-08-03 00:42:07.209738	2013-08-03 00:42:07.209738	72
2691	3020	9311	2013-08-03 00:42:07.21368	2013-08-03 00:42:07.21368	72
2692	3020	9291	2013-08-03 00:42:07.218446	2013-08-03 00:42:07.218446	72
2693	3020	9271	2013-08-03 00:42:07.222574	2013-08-03 00:42:07.222574	72
2694	3020	9251	2013-08-03 00:42:07.226923	2013-08-03 00:42:07.226923	72
2695	3020	9231	2013-08-03 00:42:07.231834	2013-08-03 00:42:07.231834	72
2696	3020	9211	2013-08-03 00:42:07.238174	2013-08-03 00:42:07.238174	72
2697	3020	9191	2013-08-03 00:42:07.242161	2013-08-03 00:42:07.242161	72
2698	3020	9171	2013-08-03 00:42:07.245818	2013-08-03 00:42:07.245818	72
2699	3020	9151	2013-08-03 00:42:07.249401	2013-08-03 00:42:07.249401	72
2700	3020	9131	2013-08-03 00:42:07.252819	2013-08-03 00:42:07.252819	72
2701	3020	9111	2013-08-03 00:42:07.25668	2013-08-03 00:42:07.25668	72
2702	3020	9091	2013-08-03 00:42:07.260218	2013-08-03 00:42:07.260218	72
2703	3020	9071	2013-08-03 00:42:07.26551	2013-08-03 00:42:07.26551	72
2704	3020	9051	2013-08-03 00:42:07.271423	2013-08-03 00:42:07.271423	72
2705	3020	9031	2013-08-03 00:42:07.275118	2013-08-03 00:42:07.275118	72
2706	3034	6312	2013-08-03 00:42:07.286478	2013-08-03 00:42:07.286478	72
2707	3034	6292	2013-08-03 00:42:07.290327	2013-08-03 00:42:07.290327	72
2708	3034	6272	2013-08-03 00:42:07.294993	2013-08-03 00:42:07.294993	72
2709	3034	6252	2013-08-03 00:42:07.300176	2013-08-03 00:42:07.300176	72
2710	3034	6232	2013-08-03 00:42:07.303843	2013-08-03 00:42:07.303843	72
2711	3034	6212	2013-08-03 00:42:07.307998	2013-08-03 00:42:07.307998	72
2712	3038	6192	2013-08-03 00:42:07.311647	2013-08-03 00:42:07.311647	72
2713	3038	6172	2013-08-03 00:42:07.315804	2013-08-03 00:42:07.315804	72
2714	3038	6152	2013-08-03 00:42:07.319832	2013-08-03 00:42:07.319832	72
2715	3038	6132	2013-08-03 00:42:07.323803	2013-08-03 00:42:07.323803	72
2716	3038	6083	2013-08-03 00:42:07.328346	2013-08-03 00:42:07.328346	72
2717	3038	6112	2013-08-03 00:42:07.333722	2013-08-03 00:42:07.333722	72
2718	3089	6092	2013-08-03 00:42:07.338192	2013-08-03 00:42:07.338192	72
2719	3089	6072	2013-08-03 00:42:07.343124	2013-08-03 00:42:07.343124	72
2720	3089	6052	2013-08-03 00:42:07.348443	2013-08-03 00:42:07.348443	72
2721	3089	6032	2013-08-03 00:42:07.353637	2013-08-03 00:42:07.353637	72
2722	3089	6012	2013-08-03 00:42:07.35853	2013-08-03 00:42:07.35853	72
2723	3089	5992	2013-08-03 00:42:07.364154	2013-08-03 00:42:07.364154	72
2724	3069	4633	2013-08-03 00:42:07.3787	2013-08-03 00:42:07.3787	72
2725	3069	4613	2013-08-03 00:42:07.383875	2013-08-03 00:42:07.383875	72
2726	3069	4593	2013-08-03 00:42:07.391288	2013-08-03 00:42:07.391288	72
2727	3069	4573	2013-08-03 00:42:07.396812	2013-08-03 00:42:07.396812	72
2728	3069	4553	2013-08-03 00:42:07.401575	2013-08-03 00:42:07.401575	72
2729	3069	4533	2013-08-03 00:42:07.406348	2013-08-03 00:42:07.406348	72
2730	3069	4513	2013-08-03 00:42:07.409986	2013-08-03 00:42:07.409986	72
2731	3069	4493	2013-08-03 00:42:07.414184	2013-08-03 00:42:07.414184	72
2732	3069	4473	2013-08-03 00:42:07.418327	2013-08-03 00:42:07.418327	72
2733	3069	4453	2013-08-03 00:42:07.422343	2013-08-03 00:42:07.422343	72
2734	3069	4433	2013-08-03 00:42:07.426504	2013-08-03 00:42:07.426504	72
2735	3069	4413	2013-08-03 00:42:07.43058	2013-08-03 00:42:07.43058	72
2736	3069	4323	2013-08-03 00:42:07.434902	2013-08-03 00:42:07.434902	72
2737	3069	4393	2013-08-03 00:42:07.43939	2013-08-03 00:42:07.43939	72
2738	3069	4373	2013-08-03 00:42:07.472973	2013-08-03 00:42:07.472973	72
2739	3069	4353	2013-08-03 00:42:07.477543	2013-08-03 00:42:07.477543	72
2740	3069	4333	2013-08-03 00:42:07.481307	2013-08-03 00:42:07.481307	72
2741	3069	4313	2013-08-03 00:42:07.484975	2013-08-03 00:42:07.484975	72
2742	3069	4293	2013-08-03 00:42:07.488395	2013-08-03 00:42:07.488395	72
2743	3022	4455	2013-08-03 00:42:07.500998	2013-08-03 00:42:07.500998	72
2744	3022	4435	2013-08-03 00:42:07.50587	2013-08-03 00:42:07.50587	72
2745	3022	4415	2013-08-03 00:42:07.552275	2013-08-03 00:42:07.552275	72
2746	3022	4395	2013-08-03 00:42:07.562523	2013-08-03 00:42:07.562523	72
2747	3022	4375	2013-08-03 00:42:07.573008	2013-08-03 00:42:07.573008	72
2748	3022	4355	2013-08-03 00:42:07.577344	2013-08-03 00:42:07.577344	72
2749	3075	4335	2013-08-03 00:42:07.581148	2013-08-03 00:42:07.581148	72
2750	3075	4315	2013-08-03 00:42:07.590464	2013-08-03 00:42:07.590464	72
2751	3075	4295	2013-08-03 00:42:07.598869	2013-08-03 00:42:07.598869	72
2752	3075	4275	2013-08-03 00:42:07.606135	2013-08-03 00:42:07.606135	72
2753	3075	4255	2013-08-03 00:42:07.614396	2013-08-03 00:42:07.614396	72
2754	3075	4235	2013-08-03 00:42:07.621312	2013-08-03 00:42:07.621312	72
2755	3078	4215	2013-08-03 00:42:07.625884	2013-08-03 00:42:07.625884	72
2756	3078	4195	2013-08-03 00:42:07.630692	2013-08-03 00:42:07.630692	72
2757	3078	4175	2013-08-03 00:42:07.634783	2013-08-03 00:42:07.634783	72
2758	3078	4155	2013-08-03 00:42:07.639323	2013-08-03 00:42:07.639323	72
2759	3078	4135	2013-08-03 00:42:07.643461	2013-08-03 00:42:07.643461	72
2760	3078	4115	2013-08-03 00:42:07.647986	2013-08-03 00:42:07.647986	72
2761	3074	3976	2013-08-03 00:42:07.662041	2013-08-03 00:42:07.662041	72
2762	3074	3956	2013-08-03 00:42:07.6688	2013-08-03 00:42:07.6688	72
2763	3074	3936	2013-08-03 00:42:07.675285	2013-08-03 00:42:07.675285	72
2764	3074	3857	2013-08-03 00:42:07.680141	2013-08-03 00:42:07.680141	72
2765	3074	3916	2013-08-03 00:42:07.685272	2013-08-03 00:42:07.685272	72
2766	3074	3896	2013-08-03 00:42:07.689706	2013-08-03 00:42:07.689706	72
2767	3074	3876	2013-08-03 00:42:07.693412	2013-08-03 00:42:07.693412	72
2768	3074	3856	2013-08-03 00:42:07.697077	2013-08-03 00:42:07.697077	72
2769	3074	3836	2013-08-03 00:42:07.701526	2013-08-03 00:42:07.701526	72
2770	3074	3816	2013-08-03 00:42:07.705508	2013-08-03 00:42:07.705508	72
2771	3074	3796	2013-08-03 00:42:07.709941	2013-08-03 00:42:07.709941	72
2772	3074	3776	2013-08-03 00:42:07.713941	2013-08-03 00:42:07.713941	72
2773	3074	3763	2013-08-03 00:42:07.718629	2013-08-03 00:42:07.718629	72
2774	3074	3756	2013-08-03 00:42:07.724399	2013-08-03 00:42:07.724399	72
2775	3074	3736	2013-08-03 00:42:07.732708	2013-08-03 00:42:07.732708	72
2776	3074	3716	2013-08-03 00:42:07.737123	2013-08-03 00:42:07.737123	72
2777	3074	3696	2013-08-03 00:42:07.740259	2013-08-03 00:42:07.740259	72
2778	3074	3676	2013-08-03 00:42:07.744388	2013-08-03 00:42:07.744388	72
2779	3074	3656	2013-08-03 00:42:07.748298	2013-08-03 00:42:07.748298	72
2780	3048	7077	2013-08-03 00:42:07.759193	2013-08-03 00:42:07.759193	72
2781	3048	7057	2013-08-03 00:42:07.763778	2013-08-03 00:42:07.763778	72
2782	3048	7037	2013-08-03 00:42:07.768387	2013-08-03 00:42:07.768387	72
2783	3048	7017	2013-08-03 00:42:07.773491	2013-08-03 00:42:07.773491	72
2784	3048	6997	2013-08-03 00:42:07.778452	2013-08-03 00:42:07.778452	72
2785	3048	6977	2013-08-03 00:42:07.783549	2013-08-03 00:42:07.783549	72
2786	3048	6957	2013-08-03 00:42:07.788048	2013-08-03 00:42:07.788048	72
2787	3048	6937	2013-08-03 00:42:07.793822	2013-08-03 00:42:07.793822	72
2788	3048	6917	2013-08-03 00:42:07.800227	2013-08-03 00:42:07.800227	72
2789	3085	6897	2013-08-03 00:42:07.808346	2013-08-03 00:42:07.808346	72
2790	3085	6877	2013-08-03 00:42:07.81601	2013-08-03 00:42:07.81601	72
2791	3085	6857	2013-08-03 00:42:07.821405	2013-08-03 00:42:07.821405	72
2792	3085	6837	2013-08-03 00:42:07.826627	2013-08-03 00:42:07.826627	72
2793	3085	6817	2013-08-03 00:42:07.832634	2013-08-03 00:42:07.832634	72
2794	3085	6797	2013-08-03 00:42:07.838456	2013-08-03 00:42:07.838456	72
2795	3085	6777	2013-08-03 00:42:07.84251	2013-08-03 00:42:07.84251	72
2796	3085	6757	2013-08-03 00:42:07.8473	2013-08-03 00:42:07.8473	72
2797	3085	6737	2013-08-03 00:42:07.852382	2013-08-03 00:42:07.852382	72
2798	3049	4558	2013-08-03 00:42:07.865751	2013-08-03 00:42:07.865751	72
2799	3049	4538	2013-08-03 00:42:07.872807	2013-08-03 00:42:07.872807	72
2800	3049	4518	2013-08-03 00:42:07.877682	2013-08-03 00:42:07.877682	72
2801	3049	4498	2013-08-03 00:42:07.882131	2013-08-03 00:42:07.882131	72
2802	3049	4478	2013-08-03 00:42:07.887756	2013-08-03 00:42:07.887756	72
2803	3049	4458	2013-08-03 00:42:07.893063	2013-08-03 00:42:07.893063	72
2804	3049	4438	2013-08-03 00:42:07.899483	2013-08-03 00:42:07.899483	72
2805	3049	4418	2013-08-03 00:42:07.904149	2013-08-03 00:42:07.904149	72
2806	3049	4398	2013-08-03 00:42:07.908516	2013-08-03 00:42:07.908516	72
2807	3079	4378	2013-08-03 00:42:07.942018	2013-08-03 00:42:07.942018	72
2808	3079	4358	2013-08-03 00:42:07.949621	2013-08-03 00:42:07.949621	72
2809	3079	4338	2013-08-03 00:42:07.95853	2013-08-03 00:42:07.95853	72
2810	3079	4318	2013-08-03 00:42:07.963824	2013-08-03 00:42:07.963824	72
2811	3079	4298	2013-08-03 00:42:07.972216	2013-08-03 00:42:07.972216	72
2812	3079	4278	2013-08-03 00:42:07.980327	2013-08-03 00:42:07.980327	72
2813	3079	4258	2013-08-03 00:42:07.991079	2013-08-03 00:42:07.991079	72
2814	3079	4238	2013-08-03 00:42:07.997954	2013-08-03 00:42:07.997954	72
2815	3079	4218	2013-08-03 00:42:08.005531	2013-08-03 00:42:08.005531	72
2816	3050	8999	2013-08-03 00:42:08.020277	2013-08-03 00:42:08.020277	72
2817	3050	8979	2013-08-03 00:42:08.026602	2013-08-03 00:42:08.026602	72
2818	3050	8959	2013-08-03 00:42:08.033523	2013-08-03 00:42:08.033523	72
2819	3050	8939	2013-08-03 00:42:08.042073	2013-08-03 00:42:08.042073	72
2820	3050	8919	2013-08-03 00:42:08.053487	2013-08-03 00:42:08.053487	72
2821	3050	8899	2013-08-03 00:42:08.065746	2013-08-03 00:42:08.065746	72
2822	3050	8879	2013-08-03 00:42:08.077134	2013-08-03 00:42:08.077134	72
2823	3050	8859	2013-08-03 00:42:08.08799	2013-08-03 00:42:08.08799	72
2824	3050	8839	2013-08-03 00:42:08.099651	2013-08-03 00:42:08.099651	72
2825	3077	8819	2013-08-03 00:42:08.107649	2013-08-03 00:42:08.107649	72
2826	3077	8799	2013-08-03 00:42:08.115814	2013-08-03 00:42:08.115814	72
2827	3077	8779	2013-08-03 00:42:08.127594	2013-08-03 00:42:08.127594	72
2828	3077	8759	2013-08-03 00:42:08.138979	2013-08-03 00:42:08.138979	72
2829	3077	8739	2013-08-03 00:42:08.151084	2013-08-03 00:42:08.151084	72
2830	3077	8719	2013-08-03 00:42:08.163219	2013-08-03 00:42:08.163219	72
2831	3077	8699	2013-08-03 00:42:08.174992	2013-08-03 00:42:08.174992	72
2832	3077	8679	2013-08-03 00:42:08.186693	2013-08-03 00:42:08.186693	72
2833	3077	8659	2013-08-03 00:42:08.19748	2013-08-03 00:42:08.19748	72
2834	3072	9399	2013-08-03 00:42:08.223997	2013-08-03 00:42:08.223997	72
2835	3072	9379	2013-08-03 00:42:08.235864	2013-08-03 00:42:08.235864	72
2836	3072	9359	2013-08-03 00:42:08.247147	2013-08-03 00:42:08.247147	72
2837	3072	9339	2013-08-03 00:42:08.258215	2013-08-03 00:42:08.258215	72
2838	3072	9319	2013-08-03 00:42:08.269335	2013-08-03 00:42:08.269335	72
2839	3072	9299	2013-08-03 00:42:08.280584	2013-08-03 00:42:08.280584	72
2840	3072	9279	2013-08-03 00:42:08.291713	2013-08-03 00:42:08.291713	72
2841	3072	9259	2013-08-03 00:42:08.302946	2013-08-03 00:42:08.302946	72
2842	3072	9239	2013-08-03 00:42:08.314036	2013-08-03 00:42:08.314036	72
2843	3072	9219	2013-08-03 00:42:08.32527	2013-08-03 00:42:08.32527	72
2844	3072	9199	2013-08-03 00:42:08.336432	2013-08-03 00:42:08.336432	72
2845	3072	9179	2013-08-03 00:42:08.34749	2013-08-03 00:42:08.34749	72
2846	3072	9159	2013-08-03 00:42:08.358954	2013-08-03 00:42:08.358954	72
2847	3072	9139	2013-08-03 00:42:08.370157	2013-08-03 00:42:08.370157	72
2848	3072	9119	2013-08-03 00:42:08.381344	2013-08-03 00:42:08.381344	72
2849	3072	9099	2013-08-03 00:42:08.395323	2013-08-03 00:42:08.395323	72
2850	3072	9079	2013-08-03 00:42:08.40608	2013-08-03 00:42:08.40608	72
2851	3072	9059	2013-08-03 00:42:08.410913	2013-08-03 00:42:08.410913	72
2852	3072	9039	2013-08-03 00:42:08.415318	2013-08-03 00:42:08.415318	72
2853	3076	4940	2013-08-03 00:42:08.424729	2013-08-03 00:42:08.424729	72
2854	3076	4920	2013-08-03 00:42:08.428772	2013-08-03 00:42:08.428772	72
2855	3076	4900	2013-08-03 00:42:08.439151	2013-08-03 00:42:08.439151	72
2856	3076	4880	2013-08-03 00:42:08.450142	2013-08-03 00:42:08.450142	72
2857	3076	4860	2013-08-03 00:42:08.464467	2013-08-03 00:42:08.464467	72
2858	3076	4840	2013-08-03 00:42:08.469231	2013-08-03 00:42:08.469231	72
2859	3076	4820	2013-08-03 00:42:08.473793	2013-08-03 00:42:08.473793	72
2860	3076	4800	2013-08-03 00:42:08.478676	2013-08-03 00:42:08.478676	72
2861	3076	4780	2013-08-03 00:42:08.483658	2013-08-03 00:42:08.483658	72
2862	3076	4760	2013-08-03 00:42:08.488726	2013-08-03 00:42:08.488726	72
2863	3076	4740	2013-08-03 00:42:08.493043	2013-08-03 00:42:08.493043	72
2864	3076	4720	2013-08-03 00:42:08.497429	2013-08-03 00:42:08.497429	72
2865	3076	4557	2013-08-03 00:42:08.533498	2013-08-03 00:42:08.533498	72
2866	3076	4700	2013-08-03 00:42:08.538679	2013-08-03 00:42:08.538679	72
2867	3076	4680	2013-08-03 00:42:08.543664	2013-08-03 00:42:08.543664	72
2868	3076	4660	2013-08-03 00:42:08.549317	2013-08-03 00:42:08.549317	72
2869	3076	4640	2013-08-03 00:42:08.555197	2013-08-03 00:42:08.555197	72
2870	3076	4620	2013-08-03 00:42:08.563243	2013-08-03 00:42:08.563243	72
2871	3076	4600	2013-08-03 00:42:08.573163	2013-08-03 00:42:08.573163	72
2872	3137	6141	2013-08-03 00:47:06.382127	2013-08-03 00:47:06.382127	73
2873	3137	6121	2013-08-03 00:47:06.388746	2013-08-03 00:47:06.388746	73
2874	3137	6101	2013-08-03 00:47:06.395844	2013-08-03 00:47:06.395844	73
2875	3137	6081	2013-08-03 00:47:06.399426	2013-08-03 00:47:06.399426	73
2876	3137	6061	2013-08-03 00:47:06.403094	2013-08-03 00:47:06.403094	73
2877	3137	6041	2013-08-03 00:47:06.406571	2013-08-03 00:47:06.406571	73
2878	3137	6021	2013-08-03 00:47:06.410118	2013-08-03 00:47:06.410118	73
2879	3137	6001	2013-08-03 00:47:06.413672	2013-08-03 00:47:06.413672	73
2880	3137	5981	2013-08-03 00:47:06.417769	2013-08-03 00:47:06.417769	73
2881	3137	5961	2013-08-03 00:47:06.42225	2013-08-03 00:47:06.42225	73
2882	3137	5941	2013-08-03 00:47:06.426975	2013-08-03 00:47:06.426975	73
2883	3137	5921	2013-08-03 00:47:06.430932	2013-08-03 00:47:06.430932	73
2884	3137	5901	2013-08-03 00:47:06.434804	2013-08-03 00:47:06.434804	73
2885	3137	5881	2013-08-03 00:47:06.439049	2013-08-03 00:47:06.439049	73
2886	3137	5861	2013-08-03 00:47:06.444299	2013-08-03 00:47:06.444299	73
2887	3137	5841	2013-08-03 00:47:06.448295	2013-08-03 00:47:06.448295	73
2888	3137	5821	2013-08-03 00:47:06.452275	2013-08-03 00:47:06.452275	73
2889	3137	5801	2013-08-03 00:47:06.455997	2013-08-03 00:47:06.455997	73
2890	3137	5781	2013-08-03 00:47:06.460005	2013-08-03 00:47:06.460005	73
2891	3135	7871	2013-08-03 00:47:06.470044	2013-08-03 00:47:06.470044	73
2892	3135	7891	2013-08-03 00:47:06.473934	2013-08-03 00:47:06.473934	73
2893	3135	5191	2013-08-03 00:47:06.477395	2013-08-03 00:47:06.477395	73
2894	3135	4477	2013-08-03 00:47:06.483371	2013-08-03 00:47:06.483371	73
2895	3135	5979	2013-08-03 00:47:06.488286	2013-08-03 00:47:06.488286	73
2896	3135	5759	2013-08-03 00:47:06.492434	2013-08-03 00:47:06.492434	73
2897	3157	5739	2013-08-03 00:47:06.497055	2013-08-03 00:47:06.497055	73
2898	3157	5719	2013-08-03 00:47:06.50116	2013-08-03 00:47:06.50116	73
2899	3157	5699	2013-08-03 00:47:06.505108	2013-08-03 00:47:06.505108	73
2900	3157	5137	2013-08-03 00:47:06.510434	2013-08-03 00:47:06.510434	73
2901	3157	5117	2013-08-03 00:47:06.515547	2013-08-03 00:47:06.515547	73
2902	3157	5097	2013-08-03 00:47:06.520657	2013-08-03 00:47:06.520657	73
2903	3134	3812	2013-08-03 00:47:06.528409	2013-08-03 00:47:06.528409	73
2904	3134	3872	2013-08-03 00:47:06.534747	2013-08-03 00:47:06.534747	73
2905	3134	3892	2013-08-03 00:47:06.541595	2013-08-03 00:47:06.541595	73
2906	3134	3671	2013-08-03 00:47:06.546903	2013-08-03 00:47:06.546903	73
2907	3134	3731	2013-08-03 00:47:06.551234	2013-08-03 00:47:06.551234	73
2908	3134	3691	2013-08-03 00:47:06.555835	2013-08-03 00:47:06.555835	73
2909	3141	8971	2013-08-03 00:47:06.566978	2013-08-03 00:47:06.566978	73
2910	3141	8991	2013-08-03 00:47:06.571554	2013-08-03 00:47:06.571554	73
2911	3141	7068	2013-08-03 00:47:06.574723	2013-08-03 00:47:06.574723	73
2912	3141	3938	2013-08-03 00:47:06.578453	2013-08-03 00:47:06.578453	73
2913	3141	3958	2013-08-03 00:47:06.582534	2013-08-03 00:47:06.582534	73
2914	3141	3978	2013-08-03 00:47:06.586062	2013-08-03 00:47:06.586062	73
2915	3141	3998	2013-08-03 00:47:06.589961	2013-08-03 00:47:06.589961	73
2916	3141	8011	2013-08-03 00:47:06.621989	2013-08-03 00:47:06.621989	73
2917	3141	8031	2013-08-03 00:47:06.626074	2013-08-03 00:47:06.626074	73
2918	3141	8051	2013-08-03 00:47:06.629969	2013-08-03 00:47:06.629969	73
2919	3141	7239	2013-08-03 00:47:06.634155	2013-08-03 00:47:06.634155	73
2920	3141	7259	2013-08-03 00:47:06.638121	2013-08-03 00:47:06.638121	73
2921	3141	3618	2013-08-03 00:47:06.642123	2013-08-03 00:47:06.642123	73
2922	3141	5759	2013-08-03 00:47:06.645891	2013-08-03 00:47:06.645891	73
2923	3141	5979	2013-08-03 00:47:06.649797	2013-08-03 00:47:06.649797	73
2924	3141	4477	2013-08-03 00:47:06.654121	2013-08-03 00:47:06.654121	73
2925	3141	5191	2013-08-03 00:47:06.658053	2013-08-03 00:47:06.658053	73
2926	3141	7891	2013-08-03 00:47:06.661918	2013-08-03 00:47:06.661918	73
2927	3141	7871	2013-08-03 00:47:06.666058	2013-08-03 00:47:06.666058	73
2928	3191	7748	2013-08-03 00:47:06.681869	2013-08-03 00:47:06.681869	73
2929	3191	7728	2013-08-03 00:47:06.686676	2013-08-03 00:47:06.686676	73
2930	3191	7708	2013-08-03 00:47:06.690348	2013-08-03 00:47:06.690348	73
2931	3191	7688	2013-08-03 00:47:06.693602	2013-08-03 00:47:06.693602	73
2932	3191	7668	2013-08-03 00:47:06.696714	2013-08-03 00:47:06.696714	73
2933	3191	7648	2013-08-03 00:47:06.700359	2013-08-03 00:47:06.700359	73
2934	3143	7628	2013-08-03 00:47:06.704314	2013-08-03 00:47:06.704314	73
2935	3143	7608	2013-08-03 00:47:06.709675	2013-08-03 00:47:06.709675	73
2936	3143	7588	2013-08-03 00:47:06.715894	2013-08-03 00:47:06.715894	73
2937	3143	7568	2013-08-03 00:47:06.720906	2013-08-03 00:47:06.720906	73
2938	3143	7548	2013-08-03 00:47:06.726477	2013-08-03 00:47:06.726477	73
2939	3143	7528	2013-08-03 00:47:06.732837	2013-08-03 00:47:06.732837	73
2940	3159	7508	2013-08-03 00:47:06.736733	2013-08-03 00:47:06.736733	73
2941	3159	7488	2013-08-03 00:47:06.741254	2013-08-03 00:47:06.741254	73
2942	3159	7468	2013-08-03 00:47:06.746985	2013-08-03 00:47:06.746985	73
2943	3159	7448	2013-08-03 00:47:06.751738	2013-08-03 00:47:06.751738	73
2944	3159	7428	2013-08-03 00:47:06.75571	2013-08-03 00:47:06.75571	73
2945	3159	7337	2013-08-03 00:47:06.760345	2013-08-03 00:47:06.760345	73
2946	3187	8148	2013-08-03 00:47:06.76968	2013-08-03 00:47:06.76968	73
2947	3187	8128	2013-08-03 00:47:06.776757	2013-08-03 00:47:06.776757	73
2948	3187	8108	2013-08-03 00:47:06.782772	2013-08-03 00:47:06.782772	73
2949	3187	8088	2013-08-03 00:47:06.786354	2013-08-03 00:47:06.786354	73
2950	3187	8068	2013-08-03 00:47:06.791287	2013-08-03 00:47:06.791287	73
2951	3187	8048	2013-08-03 00:47:06.79529	2013-08-03 00:47:06.79529	73
2952	3187	8028	2013-08-03 00:47:06.798914	2013-08-03 00:47:06.798914	73
2953	3187	8008	2013-08-03 00:47:06.803292	2013-08-03 00:47:06.803292	73
2954	3187	7988	2013-08-03 00:47:06.808094	2013-08-03 00:47:06.808094	73
2955	3187	7968	2013-08-03 00:47:06.811973	2013-08-03 00:47:06.811973	73
2956	3187	7948	2013-08-03 00:47:06.816079	2013-08-03 00:47:06.816079	73
2957	3187	7928	2013-08-03 00:47:06.821025	2013-08-03 00:47:06.821025	73
2958	3187	7908	2013-08-03 00:47:06.826842	2013-08-03 00:47:06.826842	73
2959	3187	7888	2013-08-03 00:47:06.831867	2013-08-03 00:47:06.831867	73
2960	3187	7868	2013-08-03 00:47:06.837514	2013-08-03 00:47:06.837514	73
2961	3187	7848	2013-08-03 00:47:06.841743	2013-08-03 00:47:06.841743	73
2962	3187	7828	2013-08-03 00:47:06.847066	2013-08-03 00:47:06.847066	73
2963	3187	7808	2013-08-03 00:47:06.852877	2013-08-03 00:47:06.852877	73
2964	3187	7788	2013-08-03 00:47:06.858537	2013-08-03 00:47:06.858537	73
2965	3190	9731	2013-08-03 00:47:06.884059	2013-08-03 00:47:06.884059	73
2966	3190	9711	2013-08-03 00:47:06.892794	2013-08-03 00:47:06.892794	73
2967	3190	9691	2013-08-03 00:47:06.898727	2013-08-03 00:47:06.898727	73
2968	3190	9671	2013-08-03 00:47:06.904979	2013-08-03 00:47:06.904979	73
2969	3190	9651	2013-08-03 00:47:06.91013	2013-08-03 00:47:06.91013	73
2970	3190	9631	2013-08-03 00:47:06.914217	2013-08-03 00:47:06.914217	73
2971	3144	9611	2013-08-03 00:47:06.918974	2013-08-03 00:47:06.918974	73
2972	3144	9591	2013-08-03 00:47:06.923137	2013-08-03 00:47:06.923137	73
2973	3144	9571	2013-08-03 00:47:06.927994	2013-08-03 00:47:06.927994	73
2974	3144	9551	2013-08-03 00:47:06.933028	2013-08-03 00:47:06.933028	73
2975	3144	9531	2013-08-03 00:47:06.937944	2013-08-03 00:47:06.937944	73
2976	3144	9511	2013-08-03 00:47:06.944797	2013-08-03 00:47:06.944797	73
2977	3177	9491	2013-08-03 00:47:06.951506	2013-08-03 00:47:06.951506	73
2978	3177	9471	2013-08-03 00:47:06.957389	2013-08-03 00:47:06.957389	73
2979	3177	9451	2013-08-03 00:47:06.964599	2013-08-03 00:47:06.964599	73
2980	3177	9431	2013-08-03 00:47:06.972031	2013-08-03 00:47:06.972031	73
2981	3177	9411	2013-08-03 00:47:07.023137	2013-08-03 00:47:07.023137	73
2982	3177	7277	2013-08-03 00:47:07.027043	2013-08-03 00:47:07.027043	73
2983	3145	6672	2013-08-03 00:47:07.041512	2013-08-03 00:47:07.041512	73
2984	3145	6652	2013-08-03 00:47:07.04651	2013-08-03 00:47:07.04651	73
2985	3145	6632	2013-08-03 00:47:07.050539	2013-08-03 00:47:07.050539	73
2986	3145	6612	2013-08-03 00:47:07.056823	2013-08-03 00:47:07.056823	73
2987	3145	6592	2013-08-03 00:47:07.061675	2013-08-03 00:47:07.061675	73
2988	3145	6572	2013-08-03 00:47:07.065722	2013-08-03 00:47:07.065722	73
2989	3145	6552	2013-08-03 00:47:07.069598	2013-08-03 00:47:07.069598	73
2990	3145	6532	2013-08-03 00:47:07.073633	2013-08-03 00:47:07.073633	73
2991	3145	6512	2013-08-03 00:47:07.077782	2013-08-03 00:47:07.077782	73
2992	3158	6492	2013-08-03 00:47:07.082585	2013-08-03 00:47:07.082585	73
2993	3158	6472	2013-08-03 00:47:07.087243	2013-08-03 00:47:07.087243	73
2994	3158	6452	2013-08-03 00:47:07.092155	2013-08-03 00:47:07.092155	73
2995	3158	6303	2013-08-03 00:47:07.097671	2013-08-03 00:47:07.097671	73
2996	3158	6432	2013-08-03 00:47:07.102227	2013-08-03 00:47:07.102227	73
2997	3158	6412	2013-08-03 00:47:07.108636	2013-08-03 00:47:07.108636	73
2998	3158	6392	2013-08-03 00:47:07.116496	2013-08-03 00:47:07.116496	73
2999	3158	6372	2013-08-03 00:47:07.121287	2013-08-03 00:47:07.121287	73
3000	3158	6352	2013-08-03 00:47:07.128313	2013-08-03 00:47:07.128313	73
3001	3186	4993	2013-08-03 00:47:07.141741	2013-08-03 00:47:07.141741	73
3002	3186	4973	2013-08-03 00:47:07.147738	2013-08-03 00:47:07.147738	73
3003	3186	4953	2013-08-03 00:47:07.154979	2013-08-03 00:47:07.154979	73
3004	3186	4933	2013-08-03 00:47:07.15953	2013-08-03 00:47:07.15953	73
3005	3186	4913	2013-08-03 00:47:07.165121	2013-08-03 00:47:07.165121	73
3006	3186	4893	2013-08-03 00:47:07.170495	2013-08-03 00:47:07.170495	73
3007	3186	4873	2013-08-03 00:47:07.176188	2013-08-03 00:47:07.176188	73
3008	3186	4853	2013-08-03 00:47:07.182371	2013-08-03 00:47:07.182371	73
3009	3186	4833	2013-08-03 00:47:07.191738	2013-08-03 00:47:07.191738	73
3010	3186	4813	2013-08-03 00:47:07.202592	2013-08-03 00:47:07.202592	73
3011	3186	4793	2013-08-03 00:47:07.2117	2013-08-03 00:47:07.2117	73
3012	3186	4773	2013-08-03 00:47:07.221155	2013-08-03 00:47:07.221155	73
3013	3186	4753	2013-08-03 00:47:07.229893	2013-08-03 00:47:07.229893	73
3014	3186	4733	2013-08-03 00:47:07.240594	2013-08-03 00:47:07.240594	73
3015	3186	4713	2013-08-03 00:47:07.251228	2013-08-03 00:47:07.251228	73
3016	3186	4677	2013-08-03 00:47:07.261892	2013-08-03 00:47:07.261892	73
3017	3186	4693	2013-08-03 00:47:07.271384	2013-08-03 00:47:07.271384	73
3018	3186	4673	2013-08-03 00:47:07.283533	2013-08-03 00:47:07.283533	73
3019	3186	4653	2013-08-03 00:47:07.288863	2013-08-03 00:47:07.288863	73
3020	3178	4815	2013-08-03 00:47:07.301448	2013-08-03 00:47:07.301448	73
3021	3178	4795	2013-08-03 00:47:07.305622	2013-08-03 00:47:07.305622	73
3022	3178	4775	2013-08-03 00:47:07.309098	2013-08-03 00:47:07.309098	73
3023	3178	4755	2013-08-03 00:47:07.31592	2013-08-03 00:47:07.31592	73
3024	3178	4735	2013-08-03 00:47:07.323859	2013-08-03 00:47:07.323859	73
3025	3178	4715	2013-08-03 00:47:07.334188	2013-08-03 00:47:07.334188	73
3026	3178	4637	2013-08-03 00:47:07.344703	2013-08-03 00:47:07.344703	73
3027	3178	4695	2013-08-03 00:47:07.356532	2013-08-03 00:47:07.356532	73
3028	3178	4675	2013-08-03 00:47:07.361954	2013-08-03 00:47:07.361954	73
3029	3223	4655	2013-08-03 00:47:07.373372	2013-08-03 00:47:07.373372	73
3030	3223	4635	2013-08-03 00:47:07.379435	2013-08-03 00:47:07.379435	73
3031	3223	4615	2013-08-03 00:47:07.387097	2013-08-03 00:47:07.387097	73
3032	3223	4595	2013-08-03 00:47:07.395228	2013-08-03 00:47:07.395228	73
3033	3223	4575	2013-08-03 00:47:07.404706	2013-08-03 00:47:07.404706	73
3034	3223	4555	2013-08-03 00:47:07.410519	2013-08-03 00:47:07.410519	73
3035	3223	4535	2013-08-03 00:47:07.418247	2013-08-03 00:47:07.418247	73
3036	3223	4515	2013-08-03 00:47:07.427891	2013-08-03 00:47:07.427891	73
3037	3223	4495	2013-08-03 00:47:07.437517	2013-08-03 00:47:07.437517	73
3038	3179	7837	2013-08-03 00:47:07.46878	2013-08-03 00:47:07.46878	73
3039	3179	7817	2013-08-03 00:47:07.477667	2013-08-03 00:47:07.477667	73
3040	3179	7797	2013-08-03 00:47:07.485784	2013-08-03 00:47:07.485784	73
3041	3179	7777	2013-08-03 00:47:07.494918	2013-08-03 00:47:07.494918	73
3042	3179	7757	2013-08-03 00:47:07.506069	2013-08-03 00:47:07.506069	73
3043	3179	7737	2013-08-03 00:47:07.516753	2013-08-03 00:47:07.516753	73
3044	3179	7717	2013-08-03 00:47:07.551867	2013-08-03 00:47:07.551867	73
3045	3179	7697	2013-08-03 00:47:07.559719	2013-08-03 00:47:07.559719	73
3046	3179	7677	2013-08-03 00:47:07.564434	2013-08-03 00:47:07.564434	73
3047	3160	7657	2013-08-03 00:47:07.569007	2013-08-03 00:47:07.569007	73
3048	3160	7637	2013-08-03 00:47:07.574553	2013-08-03 00:47:07.574553	73
3049	3160	7617	2013-08-03 00:47:07.580999	2013-08-03 00:47:07.580999	73
3050	3160	7597	2013-08-03 00:47:07.586505	2013-08-03 00:47:07.586505	73
3051	3160	7577	2013-08-03 00:47:07.591849	2013-08-03 00:47:07.591849	73
3052	3160	7557	2013-08-03 00:47:07.598916	2013-08-03 00:47:07.598916	73
3053	3160	7537	2013-08-03 00:47:07.603801	2013-08-03 00:47:07.603801	73
3054	3160	7517	2013-08-03 00:47:07.610541	2013-08-03 00:47:07.610541	73
3055	3160	7497	2013-08-03 00:47:07.614586	2013-08-03 00:47:07.614586	73
3056	3193	4918	2013-08-03 00:47:07.630037	2013-08-03 00:47:07.630037	73
3057	3193	4898	2013-08-03 00:47:07.640361	2013-08-03 00:47:07.640361	73
3058	3193	4878	2013-08-03 00:47:07.652012	2013-08-03 00:47:07.652012	73
3059	3193	4858	2013-08-03 00:47:07.66421	2013-08-03 00:47:07.66421	73
3060	3193	4838	2013-08-03 00:47:07.675212	2013-08-03 00:47:07.675212	73
3061	3193	4818	2013-08-03 00:47:07.686269	2013-08-03 00:47:07.686269	73
3062	3184	4798	2013-08-03 00:47:07.697864	2013-08-03 00:47:07.697864	73
3063	3184	4778	2013-08-03 00:47:07.707407	2013-08-03 00:47:07.707407	73
3064	3184	4758	2013-08-03 00:47:07.714497	2013-08-03 00:47:07.714497	73
3065	3184	4738	2013-08-03 00:47:07.720322	2013-08-03 00:47:07.720322	73
3066	3184	4718	2013-08-03 00:47:07.725296	2013-08-03 00:47:07.725296	73
3067	3184	4597	2013-08-03 00:47:07.733548	2013-08-03 00:47:07.733548	73
3068	3274	4698	2013-08-03 00:47:07.741196	2013-08-03 00:47:07.741196	73
3069	3274	4678	2013-08-03 00:47:07.750911	2013-08-03 00:47:07.750911	73
3070	3274	4658	2013-08-03 00:47:07.75908	2013-08-03 00:47:07.75908	73
3071	3274	4638	2013-08-03 00:47:07.769884	2013-08-03 00:47:07.769884	73
3072	3274	4618	2013-08-03 00:47:07.781129	2013-08-03 00:47:07.781129	73
3073	3274	4598	2013-08-03 00:47:07.792019	2013-08-03 00:47:07.792019	73
3074	3180	9759	2013-08-03 00:47:07.807058	2013-08-03 00:47:07.807058	73
3075	3180	9739	2013-08-03 00:47:07.814896	2013-08-03 00:47:07.814896	73
3076	3180	9719	2013-08-03 00:47:07.823809	2013-08-03 00:47:07.823809	73
3077	3180	9699	2013-08-03 00:47:07.834522	2013-08-03 00:47:07.834522	73
3078	3180	9679	2013-08-03 00:47:07.843777	2013-08-03 00:47:07.843777	73
3079	3180	9659	2013-08-03 00:47:07.854574	2013-08-03 00:47:07.854574	73
3080	3180	9639	2013-08-03 00:47:07.86159	2013-08-03 00:47:07.86159	73
3081	3180	9619	2013-08-03 00:47:07.869654	2013-08-03 00:47:07.869654	73
3082	3180	9599	2013-08-03 00:47:07.876463	2013-08-03 00:47:07.876463	73
3083	3180	9579	2013-08-03 00:47:07.882411	2013-08-03 00:47:07.882411	73
3084	3180	9559	2013-08-03 00:47:07.889823	2013-08-03 00:47:07.889823	73
3085	3180	9539	2013-08-03 00:47:07.897029	2013-08-03 00:47:07.897029	73
3086	3180	9519	2013-08-03 00:47:07.906276	2013-08-03 00:47:07.906276	73
3087	3180	9499	2013-08-03 00:47:07.917702	2013-08-03 00:47:07.917702	73
3088	3180	9479	2013-08-03 00:47:07.929907	2013-08-03 00:47:07.929907	73
3089	3180	9459	2013-08-03 00:47:07.94059	2013-08-03 00:47:07.94059	73
3090	3180	9439	2013-08-03 00:47:07.952623	2013-08-03 00:47:07.952623	73
3091	3180	9419	2013-08-03 00:47:07.964474	2013-08-03 00:47:07.964474	73
3092	3180	7137	2013-08-03 00:47:07.975441	2013-08-03 00:47:07.975441	73
3093	3142	10139	2013-08-03 00:47:07.990984	2013-08-03 00:47:07.990984	73
3094	3142	10119	2013-08-03 00:47:07.996728	2013-08-03 00:47:07.996728	73
3095	3142	10099	2013-08-03 00:47:08.000917	2013-08-03 00:47:08.000917	73
3096	3142	10079	2013-08-03 00:47:08.007696	2013-08-03 00:47:08.007696	73
3097	3142	10059	2013-08-03 00:47:08.018559	2013-08-03 00:47:08.018559	73
3098	3142	10039	2013-08-03 00:47:08.030646	2013-08-03 00:47:08.030646	73
3099	3142	10019	2013-08-03 00:47:08.041371	2013-08-03 00:47:08.041371	73
3100	3142	9999	2013-08-03 00:47:08.049674	2013-08-03 00:47:08.049674	73
3101	3142	9979	2013-08-03 00:47:08.058755	2013-08-03 00:47:08.058755	73
3102	3142	9959	2013-08-03 00:47:08.069537	2013-08-03 00:47:08.069537	73
3103	3142	9939	2013-08-03 00:47:08.080779	2013-08-03 00:47:08.080779	73
3104	3142	9919	2013-08-03 00:47:08.092769	2013-08-03 00:47:08.092769	73
3105	3142	9899	2013-08-03 00:47:08.140267	2013-08-03 00:47:08.140267	73
3106	3142	9879	2013-08-03 00:47:08.146109	2013-08-03 00:47:08.146109	73
3107	3142	9859	2013-08-03 00:47:08.151522	2013-08-03 00:47:08.151522	73
3108	3142	9839	2013-08-03 00:47:08.156227	2013-08-03 00:47:08.156227	73
3109	3142	9819	2013-08-03 00:47:08.161233	2013-08-03 00:47:08.161233	73
3110	3142	9799	2013-08-03 00:47:08.167447	2013-08-03 00:47:08.167447	73
3111	3142	9779	2013-08-03 00:47:08.173816	2013-08-03 00:47:08.173816	73
3112	3133	5300	2013-08-03 00:47:08.190026	2013-08-03 00:47:08.190026	73
3113	3133	5280	2013-08-03 00:47:08.194674	2013-08-03 00:47:08.194674	73
3114	3133	5260	2013-08-03 00:47:08.200008	2013-08-03 00:47:08.200008	73
3115	3133	5240	2013-08-03 00:47:08.204921	2013-08-03 00:47:08.204921	73
3116	3133	5220	2013-08-03 00:47:08.209496	2013-08-03 00:47:08.209496	73
3117	3133	5200	2013-08-03 00:47:08.213807	2013-08-03 00:47:08.213807	73
3118	3133	5180	2013-08-03 00:47:08.219213	2013-08-03 00:47:08.219213	73
3119	3133	5160	2013-08-03 00:47:08.224501	2013-08-03 00:47:08.224501	73
3120	3133	5140	2013-08-03 00:47:08.229193	2013-08-03 00:47:08.229193	73
3121	3176	5120	2013-08-03 00:47:08.233629	2013-08-03 00:47:08.233629	73
3122	3176	5100	2013-08-03 00:47:08.237638	2013-08-03 00:47:08.237638	73
3123	3176	5080	2013-08-03 00:47:08.241563	2013-08-03 00:47:08.241563	73
3124	3176	5060	2013-08-03 00:47:08.246021	2013-08-03 00:47:08.246021	73
3125	3176	5040	2013-08-03 00:47:08.25059	2013-08-03 00:47:08.25059	73
3126	3176	5020	2013-08-03 00:47:08.254641	2013-08-03 00:47:08.254641	73
3127	3176	5000	2013-08-03 00:47:08.259473	2013-08-03 00:47:08.259473	73
3128	3176	4980	2013-08-03 00:47:08.263884	2013-08-03 00:47:08.263884	73
3129	3176	4960	2013-08-03 00:47:08.269058	2013-08-03 00:47:08.269058	73
3130	3322	7251	2013-08-03 00:52:05.585932	2013-08-03 00:52:05.585932	74
3131	3322	7231	2013-08-03 00:52:05.59821	2013-08-03 00:52:05.59821	74
3132	3322	7099	2013-08-03 00:52:05.60928	2013-08-03 00:52:05.60928	74
3133	3322	7119	2013-08-03 00:52:05.621012	2013-08-03 00:52:05.621012	74
3134	3322	5057	2013-08-03 00:52:05.631649	2013-08-03 00:52:05.631649	74
3135	3322	5037	2013-08-03 00:52:05.636235	2013-08-03 00:52:05.636235	74
3136	3222	6779	2013-08-03 00:52:05.642158	2013-08-03 00:52:05.642158	74
3137	3222	6799	2013-08-03 00:52:05.646229	2013-08-03 00:52:05.646229	74
3138	3222	6819	2013-08-03 00:52:05.649391	2013-08-03 00:52:05.649391	74
3139	3222	6839	2013-08-03 00:52:05.652638	2013-08-03 00:52:05.652638	74
3140	3222	6859	2013-08-03 00:52:05.657129	2013-08-03 00:52:05.657129	74
3141	3222	6879	2013-08-03 00:52:05.661492	2013-08-03 00:52:05.661492	74
3142	3239	7291	2013-08-03 00:52:05.666275	2013-08-03 00:52:05.666275	74
3143	3239	7751	2013-08-03 00:52:05.672121	2013-08-03 00:52:05.672121	74
3144	3239	7771	2013-08-03 00:52:05.679553	2013-08-03 00:52:05.679553	74
3145	3239	7791	2013-08-03 00:52:05.690525	2013-08-03 00:52:05.690525	74
3146	3239	7811	2013-08-03 00:52:05.701124	2013-08-03 00:52:05.701124	74
3147	3239	7831	2013-08-03 00:52:05.712253	2013-08-03 00:52:05.712253	74
3148	3205	8999	2013-08-03 00:52:05.7442	2013-08-03 00:52:05.7442	74
3149	3205	4398	2013-08-03 00:52:05.751735	2013-08-03 00:52:05.751735	74
3150	3205	4418	2013-08-03 00:52:05.75751	2013-08-03 00:52:05.75751	74
3151	3205	4438	2013-08-03 00:52:05.76609	2013-08-03 00:52:05.76609	74
3152	3205	4458	2013-08-03 00:52:05.770096	2013-08-03 00:52:05.770096	74
3153	3205	7077	2013-08-03 00:52:05.773999	2013-08-03 00:52:05.773999	74
3154	3205	8831	2013-08-03 00:52:05.777638	2013-08-03 00:52:05.777638	74
3155	3205	8851	2013-08-03 00:52:05.78125	2013-08-03 00:52:05.78125	74
3156	3205	8871	2013-08-03 00:52:05.784898	2013-08-03 00:52:05.784898	74
3157	3205	8891	2013-08-03 00:52:05.78895	2013-08-03 00:52:05.78895	74
3158	3205	8911	2013-08-03 00:52:05.79436	2013-08-03 00:52:05.79436	74
3159	3205	8931	2013-08-03 00:52:05.801371	2013-08-03 00:52:05.801371	74
3160	3205	8951	2013-08-03 00:52:05.831462	2013-08-03 00:52:05.831462	74
3161	3205	6879	2013-08-03 00:52:05.838584	2013-08-03 00:52:05.838584	74
3162	3205	6859	2013-08-03 00:52:05.84705	2013-08-03 00:52:05.84705	74
3163	3205	6839	2013-08-03 00:52:05.855942	2013-08-03 00:52:05.855942	74
3164	3205	6819	2013-08-03 00:52:05.866083	2013-08-03 00:52:05.866083	74
3165	3205	6799	2013-08-03 00:52:05.876152	2013-08-03 00:52:05.876152	74
3166	3205	6779	2013-08-03 00:52:05.886374	2013-08-03 00:52:05.886374	74
3167	3208	8508	2013-08-03 00:52:05.931405	2013-08-03 00:52:05.931405	74
3168	3208	8488	2013-08-03 00:52:05.942919	2013-08-03 00:52:05.942919	74
3169	3208	8468	2013-08-03 00:52:05.953956	2013-08-03 00:52:05.953956	74
3170	3208	8448	2013-08-03 00:52:05.96509	2013-08-03 00:52:05.96509	74
3171	3208	8428	2013-08-03 00:52:05.976355	2013-08-03 00:52:05.976355	74
3172	3208	8408	2013-08-03 00:52:05.987475	2013-08-03 00:52:05.987475	74
3173	3224	8388	2013-08-03 00:52:05.9994	2013-08-03 00:52:05.9994	74
3174	3224	8368	2013-08-03 00:52:06.011034	2013-08-03 00:52:06.011034	74
3175	3224	8348	2013-08-03 00:52:06.016025	2013-08-03 00:52:06.016025	74
3176	3224	8328	2013-08-03 00:52:06.020298	2013-08-03 00:52:06.020298	74
3177	3224	8308	2013-08-03 00:52:06.031887	2013-08-03 00:52:06.031887	74
3178	3224	8288	2013-08-03 00:52:06.039256	2013-08-03 00:52:06.039256	74
3179	3241	8268	2013-08-03 00:52:06.043643	2013-08-03 00:52:06.043643	74
3180	3241	8248	2013-08-03 00:52:06.047618	2013-08-03 00:52:06.047618	74
3181	3241	8228	2013-08-03 00:52:06.054752	2013-08-03 00:52:06.054752	74
3182	3241	8208	2013-08-03 00:52:06.060416	2013-08-03 00:52:06.060416	74
3183	3241	8188	2013-08-03 00:52:06.071369	2013-08-03 00:52:06.071369	74
3184	3241	8168	2013-08-03 00:52:06.082504	2013-08-03 00:52:06.082504	74
3185	3334	10111	2013-08-03 00:52:06.125072	2013-08-03 00:52:06.125072	74
3186	3334	10091	2013-08-03 00:52:06.136489	2013-08-03 00:52:06.136489	74
3187	3334	10071	2013-08-03 00:52:06.147732	2013-08-03 00:52:06.147732	74
3188	3334	10051	2013-08-03 00:52:06.159031	2013-08-03 00:52:06.159031	74
3189	3334	10031	2013-08-03 00:52:06.170011	2013-08-03 00:52:06.170011	74
3190	3334	10011	2013-08-03 00:52:06.180843	2013-08-03 00:52:06.180843	74
3191	3218	9991	2013-08-03 00:52:06.192216	2013-08-03 00:52:06.192216	74
3192	3218	9971	2013-08-03 00:52:06.203224	2013-08-03 00:52:06.203224	74
3193	3218	9951	2013-08-03 00:52:06.214158	2013-08-03 00:52:06.214158	74
3194	3218	9931	2013-08-03 00:52:06.225583	2013-08-03 00:52:06.225583	74
3195	3218	9911	2013-08-03 00:52:06.237182	2013-08-03 00:52:06.237182	74
3196	3218	9891	2013-08-03 00:52:06.24912	2013-08-03 00:52:06.24912	74
3197	3254	9871	2013-08-03 00:52:06.261197	2013-08-03 00:52:06.261197	74
3198	3254	9851	2013-08-03 00:52:06.272752	2013-08-03 00:52:06.272752	74
3199	3254	9831	2013-08-03 00:52:06.283977	2013-08-03 00:52:06.283977	74
3200	3254	9811	2013-08-03 00:52:06.295162	2013-08-03 00:52:06.295162	74
3201	3254	9791	2013-08-03 00:52:06.306146	2013-08-03 00:52:06.306146	74
3202	3254	9771	2013-08-03 00:52:06.317351	2013-08-03 00:52:06.317351	74
3203	3209	7052	2013-08-03 00:52:06.349787	2013-08-03 00:52:06.349787	74
3204	3209	7032	2013-08-03 00:52:06.361319	2013-08-03 00:52:06.361319	74
3205	3209	7012	2013-08-03 00:52:06.372142	2013-08-03 00:52:06.372142	74
3206	3209	6992	2013-08-03 00:52:06.383068	2013-08-03 00:52:06.383068	74
3207	3209	6972	2013-08-03 00:52:06.394121	2013-08-03 00:52:06.394121	74
3208	3209	6952	2013-08-03 00:52:06.405019	2013-08-03 00:52:06.405019	74
3209	3240	6932	2013-08-03 00:52:06.416766	2013-08-03 00:52:06.416766	74
3210	3240	6912	2013-08-03 00:52:06.428303	2013-08-03 00:52:06.428303	74
3211	3240	6892	2013-08-03 00:52:06.439683	2013-08-03 00:52:06.439683	74
3212	3240	6872	2013-08-03 00:52:06.450841	2013-08-03 00:52:06.450841	74
3213	3240	6852	2013-08-03 00:52:06.461988	2013-08-03 00:52:06.461988	74
3214	3240	6832	2013-08-03 00:52:06.473195	2013-08-03 00:52:06.473195	74
3215	3255	6812	2013-08-03 00:52:06.484929	2013-08-03 00:52:06.484929	74
3216	3255	6792	2013-08-03 00:52:06.496203	2013-08-03 00:52:06.496203	74
3217	3255	6772	2013-08-03 00:52:06.507397	2013-08-03 00:52:06.507397	74
3218	3255	6752	2013-08-03 00:52:06.563431	2013-08-03 00:52:06.563431	74
3219	3255	6732	2013-08-03 00:52:06.569306	2013-08-03 00:52:06.569306	74
3220	3255	6712	2013-08-03 00:52:06.576058	2013-08-03 00:52:06.576058	74
3221	3305	5373	2013-08-03 00:52:06.604035	2013-08-03 00:52:06.604035	74
3222	3305	5353	2013-08-03 00:52:06.614797	2013-08-03 00:52:06.614797	74
3223	3305	5333	2013-08-03 00:52:06.625343	2013-08-03 00:52:06.625343	74
3224	3305	5313	2013-08-03 00:52:06.634844	2013-08-03 00:52:06.634844	74
3225	3305	5293	2013-08-03 00:52:06.644029	2013-08-03 00:52:06.644029	74
3226	3305	5273	2013-08-03 00:52:06.65245	2013-08-03 00:52:06.65245	74
3227	3305	5253	2013-08-03 00:52:06.659094	2013-08-03 00:52:06.659094	74
3228	3305	5233	2013-08-03 00:52:06.665066	2013-08-03 00:52:06.665066	74
3229	3305	5213	2013-08-03 00:52:06.669551	2013-08-03 00:52:06.669551	74
3230	3305	5193	2013-08-03 00:52:06.674362	2013-08-03 00:52:06.674362	74
3231	3305	5173	2013-08-03 00:52:06.679628	2013-08-03 00:52:06.679628	74
3232	3305	5153	2013-08-03 00:52:06.685756	2013-08-03 00:52:06.685756	74
3233	3305	5133	2013-08-03 00:52:06.695665	2013-08-03 00:52:06.695665	74
3234	3305	5113	2013-08-03 00:52:06.706863	2013-08-03 00:52:06.706863	74
3235	3305	5093	2013-08-03 00:52:06.717753	2013-08-03 00:52:06.717753	74
3236	3305	5073	2013-08-03 00:52:06.727939	2013-08-03 00:52:06.727939	74
3237	3305	5053	2013-08-03 00:52:06.735334	2013-08-03 00:52:06.735334	74
3238	3305	5033	2013-08-03 00:52:06.745066	2013-08-03 00:52:06.745066	74
3239	3305	5013	2013-08-03 00:52:06.755709	2013-08-03 00:52:06.755709	74
3240	3210	5195	2013-08-03 00:52:06.793246	2013-08-03 00:52:06.793246	74
3241	3210	5175	2013-08-03 00:52:06.804615	2013-08-03 00:52:06.804615	74
3242	3210	5155	2013-08-03 00:52:06.808785	2013-08-03 00:52:06.808785	74
3243	3210	5135	2013-08-03 00:52:06.816021	2013-08-03 00:52:06.816021	74
3244	3210	5115	2013-08-03 00:52:06.823939	2013-08-03 00:52:06.823939	74
3245	3210	5095	2013-08-03 00:52:06.829187	2013-08-03 00:52:06.829187	74
3246	3210	5075	2013-08-03 00:52:06.834091	2013-08-03 00:52:06.834091	74
3247	3210	5055	2013-08-03 00:52:06.837772	2013-08-03 00:52:06.837772	74
3248	3210	5035	2013-08-03 00:52:06.840789	2013-08-03 00:52:06.840789	74
3249	3332	5015	2013-08-03 00:52:06.845521	2013-08-03 00:52:06.845521	74
3250	3332	4995	2013-08-03 00:52:06.853174	2013-08-03 00:52:06.853174	74
3251	3332	4975	2013-08-03 00:52:06.863925	2013-08-03 00:52:06.863925	74
3252	3332	4955	2013-08-03 00:52:06.874949	2013-08-03 00:52:06.874949	74
3253	3332	4935	2013-08-03 00:52:06.885169	2013-08-03 00:52:06.885169	74
3254	3332	4915	2013-08-03 00:52:06.892471	2013-08-03 00:52:06.892471	74
3255	3332	4895	2013-08-03 00:52:06.903872	2013-08-03 00:52:06.903872	74
3256	3332	4875	2013-08-03 00:52:06.915122	2013-08-03 00:52:06.915122	74
3257	3332	4855	2013-08-03 00:52:06.925821	2013-08-03 00:52:06.925821	74
3258	3217	4356	2013-08-03 00:52:06.954256	2013-08-03 00:52:06.954256	74
3259	3217	4336	2013-08-03 00:52:06.966508	2013-08-03 00:52:06.966508	74
3260	3217	4316	2013-08-03 00:52:06.977659	2013-08-03 00:52:06.977659	74
3261	3217	4296	2013-08-03 00:52:06.988484	2013-08-03 00:52:06.988484	74
3262	3217	4276	2013-08-03 00:52:06.999301	2013-08-03 00:52:06.999301	74
3263	3217	4256	2013-08-03 00:52:07.010079	2013-08-03 00:52:07.010079	74
3264	3217	4236	2013-08-03 00:52:07.020913	2013-08-03 00:52:07.020913	74
3265	3217	4216	2013-08-03 00:52:07.031882	2013-08-03 00:52:07.031882	74
3266	3217	4196	2013-08-03 00:52:07.042724	2013-08-03 00:52:07.042724	74
3267	3217	4176	2013-08-03 00:52:07.053545	2013-08-03 00:52:07.053545	74
3268	3217	4156	2013-08-03 00:52:07.064414	2013-08-03 00:52:07.064414	74
3269	3217	4136	2013-08-03 00:52:07.075473	2013-08-03 00:52:07.075473	74
3270	3217	4116	2013-08-03 00:52:07.086204	2013-08-03 00:52:07.086204	74
3271	3217	4096	2013-08-03 00:52:07.097077	2013-08-03 00:52:07.097077	74
3272	3217	4076	2013-08-03 00:52:07.107722	2013-08-03 00:52:07.107722	74
3273	3217	4056	2013-08-03 00:52:07.118788	2013-08-03 00:52:07.118788	74
3274	3217	4036	2013-08-03 00:52:07.129554	2013-08-03 00:52:07.129554	74
3275	3217	4016	2013-08-03 00:52:07.140442	2013-08-03 00:52:07.140442	74
3276	3217	3996	2013-08-03 00:52:07.151542	2013-08-03 00:52:07.151542	74
3277	3336	8217	2013-08-03 00:52:07.182562	2013-08-03 00:52:07.182562	74
3278	3336	8197	2013-08-03 00:52:07.193563	2013-08-03 00:52:07.193563	74
3279	3336	8177	2013-08-03 00:52:07.204049	2013-08-03 00:52:07.204049	74
3280	3336	8157	2013-08-03 00:52:07.214823	2013-08-03 00:52:07.214823	74
3281	3336	8137	2013-08-03 00:52:07.225624	2013-08-03 00:52:07.225624	74
3282	3336	8117	2013-08-03 00:52:07.235644	2013-08-03 00:52:07.235644	74
3283	3206	8097	2013-08-03 00:52:07.246373	2013-08-03 00:52:07.246373	74
3284	3206	8077	2013-08-03 00:52:07.257074	2013-08-03 00:52:07.257074	74
3285	3206	8057	2013-08-03 00:52:07.293676	2013-08-03 00:52:07.293676	74
3286	3206	8037	2013-08-03 00:52:07.298631	2013-08-03 00:52:07.298631	74
3287	3206	8017	2013-08-03 00:52:07.303279	2013-08-03 00:52:07.303279	74
3288	3206	7997	2013-08-03 00:52:07.308504	2013-08-03 00:52:07.308504	74
3289	3292	7977	2013-08-03 00:52:07.315843	2013-08-03 00:52:07.315843	74
3290	3292	7957	2013-08-03 00:52:07.322854	2013-08-03 00:52:07.322854	74
3291	3292	7937	2013-08-03 00:52:07.330347	2013-08-03 00:52:07.330347	74
3292	3292	7917	2013-08-03 00:52:07.338168	2013-08-03 00:52:07.338168	74
3293	3292	7897	2013-08-03 00:52:07.346477	2013-08-03 00:52:07.346477	74
3294	3292	7877	2013-08-03 00:52:07.355806	2013-08-03 00:52:07.355806	74
3295	3213	5298	2013-08-03 00:52:07.384631	2013-08-03 00:52:07.384631	74
3296	3213	5278	2013-08-03 00:52:07.396383	2013-08-03 00:52:07.396383	74
3297	3213	5258	2013-08-03 00:52:07.407011	2013-08-03 00:52:07.407011	74
3298	3213	5238	2013-08-03 00:52:07.417982	2013-08-03 00:52:07.417982	74
3299	3213	5218	2013-08-03 00:52:07.429175	2013-08-03 00:52:07.429175	74
3300	3213	5198	2013-08-03 00:52:07.441256	2013-08-03 00:52:07.441256	74
3301	3338	5178	2013-08-03 00:52:07.453761	2013-08-03 00:52:07.453761	74
3302	3338	5158	2013-08-03 00:52:07.465741	2013-08-03 00:52:07.465741	74
3303	3338	5138	2013-08-03 00:52:07.477179	2013-08-03 00:52:07.477179	74
3304	3338	5118	2013-08-03 00:52:07.488331	2013-08-03 00:52:07.488331	74
3305	3338	5098	2013-08-03 00:52:07.499351	2013-08-03 00:52:07.499351	74
3306	3338	5078	2013-08-03 00:52:07.510335	2013-08-03 00:52:07.510335	74
3307	3291	5058	2013-08-03 00:52:07.521849	2013-08-03 00:52:07.521849	74
3308	3291	5038	2013-08-03 00:52:07.532854	2013-08-03 00:52:07.532854	74
3309	3291	5018	2013-08-03 00:52:07.543833	2013-08-03 00:52:07.543833	74
3310	3291	4998	2013-08-03 00:52:07.556056	2013-08-03 00:52:07.556056	74
3311	3291	4978	2013-08-03 00:52:07.563573	2013-08-03 00:52:07.563573	74
3312	3291	4958	2013-08-03 00:52:07.573018	2013-08-03 00:52:07.573018	74
3313	3207	5660	2013-08-03 00:52:07.599039	2013-08-03 00:52:07.599039	74
3314	3207	5640	2013-08-03 00:52:07.608608	2013-08-03 00:52:07.608608	74
3315	3207	5620	2013-08-03 00:52:07.619109	2013-08-03 00:52:07.619109	74
3316	3207	5600	2013-08-03 00:52:07.630311	2013-08-03 00:52:07.630311	74
3317	3207	5580	2013-08-03 00:52:07.6416	2013-08-03 00:52:07.6416	74
3318	3207	5560	2013-08-03 00:52:07.656142	2013-08-03 00:52:07.656142	74
3319	3333	5540	2013-08-03 00:52:07.663072	2013-08-03 00:52:07.663072	74
3320	3333	5520	2013-08-03 00:52:07.668531	2013-08-03 00:52:07.668531	74
3321	3333	5500	2013-08-03 00:52:07.674306	2013-08-03 00:52:07.674306	74
3322	3333	5480	2013-08-03 00:52:07.679815	2013-08-03 00:52:07.679815	74
3323	3333	5460	2013-08-03 00:52:07.686496	2013-08-03 00:52:07.686496	74
3324	3333	5440	2013-08-03 00:52:07.695433	2013-08-03 00:52:07.695433	74
3325	3290	5420	2013-08-03 00:52:07.706592	2013-08-03 00:52:07.706592	74
3326	3290	5400	2013-08-03 00:52:07.718154	2013-08-03 00:52:07.718154	74
3327	3290	5380	2013-08-03 00:52:07.729151	2013-08-03 00:52:07.729151	74
3328	3290	5360	2013-08-03 00:52:07.741278	2013-08-03 00:52:07.741278	74
3329	3290	5340	2013-08-03 00:52:07.752895	2013-08-03 00:52:07.752895	74
3330	3290	5297	2013-08-03 00:52:07.763854	2013-08-03 00:52:07.763854	74
3331	3393	7591	2013-08-03 00:57:04.778655	2013-08-03 00:57:04.778655	75
3332	3393	7611	2013-08-03 00:57:04.792578	2013-08-03 00:57:04.792578	75
3333	3393	7631	2013-08-03 00:57:04.804618	2013-08-03 00:57:04.804618	75
3334	3393	7651	2013-08-03 00:57:04.816817	2013-08-03 00:57:04.816817	75
3335	3393	7671	2013-08-03 00:57:04.828156	2013-08-03 00:57:04.828156	75
3336	3393	7691	2013-08-03 00:57:04.839429	2013-08-03 00:57:04.839429	75
3337	3395	7711	2013-08-03 00:57:04.85155	2013-08-03 00:57:04.85155	75
3338	3395	7731	2013-08-03 00:57:04.862612	2013-08-03 00:57:04.862612	75
3339	3395	6819	2013-08-03 00:57:04.874942	2013-08-03 00:57:04.874942	75
3340	3395	6839	2013-08-03 00:57:04.886577	2013-08-03 00:57:04.886577	75
3341	3395	6859	2013-08-03 00:57:04.897061	2013-08-03 00:57:04.897061	75
3342	3395	6879	2013-08-03 00:57:04.907339	2013-08-03 00:57:04.907339	75
3343	3433	7871	2013-08-03 00:57:04.91812	2013-08-03 00:57:04.91812	75
3344	3433	7891	2013-08-03 00:57:04.930068	2013-08-03 00:57:04.930068	75
3345	3433	5191	2013-08-03 00:57:04.941772	2013-08-03 00:57:04.941772	75
3346	3433	4477	2013-08-03 00:57:04.95262	2013-08-03 00:57:04.95262	75
3347	3433	5979	2013-08-03 00:57:04.963156	2013-08-03 00:57:04.963156	75
3348	3433	5759	2013-08-03 00:57:04.973614	2013-08-03 00:57:04.973614	75
3349	3387	9531	2013-08-03 00:57:05.005451	2013-08-03 00:57:05.005451	75
3350	3387	9551	2013-08-03 00:57:05.016961	2013-08-03 00:57:05.016961	75
3351	3387	9571	2013-08-03 00:57:05.027529	2013-08-03 00:57:05.027529	75
3352	3387	9591	2013-08-03 00:57:05.031634	2013-08-03 00:57:05.031634	75
3353	3387	9611	2013-08-03 00:57:05.034945	2013-08-03 00:57:05.034945	75
3354	3387	8839	2013-08-03 00:57:05.038277	2013-08-03 00:57:05.038277	75
3355	3387	8859	2013-08-03 00:57:05.04155	2013-08-03 00:57:05.04155	75
3356	3387	8879	2013-08-03 00:57:05.044838	2013-08-03 00:57:05.044838	75
3357	3387	8899	2013-08-03 00:57:05.048063	2013-08-03 00:57:05.048063	75
3358	3387	8919	2013-08-03 00:57:05.051506	2013-08-03 00:57:05.051506	75
3359	3387	8939	2013-08-03 00:57:05.055301	2013-08-03 00:57:05.055301	75
3360	3387	8959	2013-08-03 00:57:05.059309	2013-08-03 00:57:05.059309	75
3361	3387	8979	2013-08-03 00:57:05.063413	2013-08-03 00:57:05.063413	75
3362	3387	7731	2013-08-03 00:57:05.06797	2013-08-03 00:57:05.06797	75
3363	3387	7711	2013-08-03 00:57:05.07395	2013-08-03 00:57:05.07395	75
3364	3387	6879	2013-08-03 00:57:05.078902	2013-08-03 00:57:05.078902	75
3365	3387	6859	2013-08-03 00:57:05.084468	2013-08-03 00:57:05.084468	75
3366	3387	6839	2013-08-03 00:57:05.090298	2013-08-03 00:57:05.090298	75
3367	3387	6819	2013-08-03 00:57:05.097857	2013-08-03 00:57:05.097857	75
3368	3443	8888	2013-08-03 00:57:05.141023	2013-08-03 00:57:05.141023	75
3369	3443	8868	2013-08-03 00:57:05.152265	2013-08-03 00:57:05.152265	75
3370	3443	8848	2013-08-03 00:57:05.161561	2013-08-03 00:57:05.161561	75
3371	3443	8828	2013-08-03 00:57:05.169631	2013-08-03 00:57:05.169631	75
3372	3443	8808	2013-08-03 00:57:05.180436	2013-08-03 00:57:05.180436	75
3373	3443	8788	2013-08-03 00:57:05.191211	2013-08-03 00:57:05.191211	75
3374	3397	8768	2013-08-03 00:57:05.202619	2013-08-03 00:57:05.202619	75
3375	3397	8748	2013-08-03 00:57:05.213516	2013-08-03 00:57:05.213516	75
3376	3397	8728	2013-08-03 00:57:05.224336	2013-08-03 00:57:05.224336	75
3377	3397	8708	2013-08-03 00:57:05.235253	2013-08-03 00:57:05.235253	75
3378	3397	8688	2013-08-03 00:57:05.246915	2013-08-03 00:57:05.246915	75
3379	3397	8668	2013-08-03 00:57:05.258609	2013-08-03 00:57:05.258609	75
3380	3416	8648	2013-08-03 00:57:05.269728	2013-08-03 00:57:05.269728	75
3381	3416	8628	2013-08-03 00:57:05.28066	2013-08-03 00:57:05.28066	75
3382	3416	8608	2013-08-03 00:57:05.291661	2013-08-03 00:57:05.291661	75
3383	3416	8588	2013-08-03 00:57:05.302501	2013-08-03 00:57:05.302501	75
3384	3416	8568	2013-08-03 00:57:05.3134	2013-08-03 00:57:05.3134	75
3385	3416	8548	2013-08-03 00:57:05.32416	2013-08-03 00:57:05.32416	75
3386	3446	10491	2013-08-03 00:57:05.383077	2013-08-03 00:57:05.383077	75
3387	3446	10471	2013-08-03 00:57:05.38846	2013-08-03 00:57:05.38846	75
3388	3446	10451	2013-08-03 00:57:05.392527	2013-08-03 00:57:05.392527	75
3389	3446	10431	2013-08-03 00:57:05.397087	2013-08-03 00:57:05.397087	75
3390	3446	10411	2013-08-03 00:57:05.408137	2013-08-03 00:57:05.408137	75
3391	3446	10391	2013-08-03 00:57:05.418398	2013-08-03 00:57:05.418398	75
3392	3389	10371	2013-08-03 00:57:05.429936	2013-08-03 00:57:05.429936	75
3393	3389	10351	2013-08-03 00:57:05.441152	2013-08-03 00:57:05.441152	75
3394	3389	10331	2013-08-03 00:57:05.452217	2013-08-03 00:57:05.452217	75
3395	3389	10311	2013-08-03 00:57:05.463368	2013-08-03 00:57:05.463368	75
3396	3389	10291	2013-08-03 00:57:05.474641	2013-08-03 00:57:05.474641	75
3397	3389	10271	2013-08-03 00:57:05.485725	2013-08-03 00:57:05.485725	75
3398	3418	10251	2013-08-03 00:57:05.497333	2013-08-03 00:57:05.497333	75
3399	3418	10231	2013-08-03 00:57:05.508316	2013-08-03 00:57:05.508316	75
3400	3418	10211	2013-08-03 00:57:05.521813	2013-08-03 00:57:05.521813	75
3401	3418	10191	2013-08-03 00:57:05.529448	2013-08-03 00:57:05.529448	75
3402	3418	10171	2013-08-03 00:57:05.535711	2013-08-03 00:57:05.535711	75
3403	3418	10151	2013-08-03 00:57:05.539025	2013-08-03 00:57:05.539025	75
3404	3419	7412	2013-08-03 00:57:05.557305	2013-08-03 00:57:05.557305	75
3405	3419	7392	2013-08-03 00:57:05.568272	2013-08-03 00:57:05.568272	75
3406	3419	7257	2013-08-03 00:57:05.579329	2013-08-03 00:57:05.579329	75
3407	3419	7372	2013-08-03 00:57:05.589561	2013-08-03 00:57:05.589561	75
3408	3419	7352	2013-08-03 00:57:05.600031	2013-08-03 00:57:05.600031	75
3409	3419	7332	2013-08-03 00:57:05.6102	2013-08-03 00:57:05.6102	75
3410	3427	7312	2013-08-03 00:57:05.621476	2013-08-03 00:57:05.621476	75
3411	3427	7292	2013-08-03 00:57:05.634712	2013-08-03 00:57:05.634712	75
3412	3427	7272	2013-08-03 00:57:05.643196	2013-08-03 00:57:05.643196	75
3413	3427	7252	2013-08-03 00:57:05.647382	2013-08-03 00:57:05.647382	75
3414	3427	7232	2013-08-03 00:57:05.655011	2013-08-03 00:57:05.655011	75
3415	3427	7212	2013-08-03 00:57:05.66207	2013-08-03 00:57:05.66207	75
3416	3434	7192	2013-08-03 00:57:05.671633	2013-08-03 00:57:05.671633	75
3417	3434	7172	2013-08-03 00:57:05.681962	2013-08-03 00:57:05.681962	75
3418	3434	7152	2013-08-03 00:57:05.693002	2013-08-03 00:57:05.693002	75
3419	3434	7132	2013-08-03 00:57:05.703771	2013-08-03 00:57:05.703771	75
3420	3434	7112	2013-08-03 00:57:05.715024	2013-08-03 00:57:05.715024	75
3421	3434	7092	2013-08-03 00:57:05.726785	2013-08-03 00:57:05.726785	75
3422	3485	5733	2013-08-03 00:57:05.755782	2013-08-03 00:57:05.755782	75
3423	3485	5713	2013-08-03 00:57:05.768018	2013-08-03 00:57:05.768018	75
3424	3485	5693	2013-08-03 00:57:05.780047	2013-08-03 00:57:05.780047	75
3425	3485	5673	2013-08-03 00:57:05.791074	2013-08-03 00:57:05.791074	75
3426	3485	5653	2013-08-03 00:57:05.802318	2013-08-03 00:57:05.802318	75
3427	3485	5633	2013-08-03 00:57:05.813521	2013-08-03 00:57:05.813521	75
3428	3485	5613	2013-08-03 00:57:05.82487	2013-08-03 00:57:05.82487	75
3429	3485	5593	2013-08-03 00:57:05.83593	2013-08-03 00:57:05.83593	75
3430	3485	5573	2013-08-03 00:57:05.847146	2013-08-03 00:57:05.847146	75
3431	3485	5553	2013-08-03 00:57:05.858472	2013-08-03 00:57:05.858472	75
3432	3485	5533	2013-08-03 00:57:05.869853	2013-08-03 00:57:05.869853	75
3433	3485	5513	2013-08-03 00:57:05.881649	2013-08-03 00:57:05.881649	75
3434	3485	5397	2013-08-03 00:57:05.892472	2013-08-03 00:57:05.892472	75
3435	3485	5493	2013-08-03 00:57:05.903006	2013-08-03 00:57:05.903006	75
3436	3485	5473	2013-08-03 00:57:05.913618	2013-08-03 00:57:05.913618	75
3437	3485	5453	2013-08-03 00:57:05.924695	2013-08-03 00:57:05.924695	75
3438	3485	5433	2013-08-03 00:57:05.936534	2013-08-03 00:57:05.936534	75
3439	3485	5413	2013-08-03 00:57:05.947976	2013-08-03 00:57:05.947976	75
3440	3485	5393	2013-08-03 00:57:05.958958	2013-08-03 00:57:05.958958	75
3441	3447	5555	2013-08-03 00:57:05.99418	2013-08-03 00:57:05.99418	75
3442	3447	5535	2013-08-03 00:57:06.005753	2013-08-03 00:57:06.005753	75
3443	3447	5515	2013-08-03 00:57:06.014512	2013-08-03 00:57:06.014512	75
3444	3447	5357	2013-08-03 00:57:06.018594	2013-08-03 00:57:06.018594	75
3445	3447	5495	2013-08-03 00:57:06.025894	2013-08-03 00:57:06.025894	75
3446	3447	5475	2013-08-03 00:57:06.029897	2013-08-03 00:57:06.029897	75
3447	3391	5455	2013-08-03 00:57:06.034295	2013-08-03 00:57:06.034295	75
3448	3391	5435	2013-08-03 00:57:06.038225	2013-08-03 00:57:06.038225	75
3449	3391	5415	2013-08-03 00:57:06.042392	2013-08-03 00:57:06.042392	75
3450	3391	5395	2013-08-03 00:57:06.046022	2013-08-03 00:57:06.046022	75
3451	3391	5375	2013-08-03 00:57:06.049695	2013-08-03 00:57:06.049695	75
3452	3391	5355	2013-08-03 00:57:06.054006	2013-08-03 00:57:06.054006	75
3453	3396	5335	2013-08-03 00:57:06.060847	2013-08-03 00:57:06.060847	75
3454	3396	5315	2013-08-03 00:57:06.106994	2013-08-03 00:57:06.106994	75
3455	3396	5295	2013-08-03 00:57:06.112844	2013-08-03 00:57:06.112844	75
3456	3396	5275	2013-08-03 00:57:06.121563	2013-08-03 00:57:06.121563	75
3457	3396	5255	2013-08-03 00:57:06.132634	2013-08-03 00:57:06.132634	75
3458	3396	5235	2013-08-03 00:57:06.143184	2013-08-03 00:57:06.143184	75
3459	3442	8597	2013-08-03 00:57:06.177947	2013-08-03 00:57:06.177947	75
3460	3442	8577	2013-08-03 00:57:06.189513	2013-08-03 00:57:06.189513	75
3461	3442	8557	2013-08-03 00:57:06.201481	2013-08-03 00:57:06.201481	75
3462	3442	8537	2013-08-03 00:57:06.213132	2013-08-03 00:57:06.213132	75
3463	3442	8517	2013-08-03 00:57:06.223851	2013-08-03 00:57:06.223851	75
3464	3442	8497	2013-08-03 00:57:06.234612	2013-08-03 00:57:06.234612	75
3465	3420	8477	2013-08-03 00:57:06.245846	2013-08-03 00:57:06.245846	75
3466	3420	8457	2013-08-03 00:57:06.257391	2013-08-03 00:57:06.257391	75
3467	3420	8437	2013-08-03 00:57:06.268739	2013-08-03 00:57:06.268739	75
3468	3420	8417	2013-08-03 00:57:06.280152	2013-08-03 00:57:06.280152	75
3469	3420	8397	2013-08-03 00:57:06.291103	2013-08-03 00:57:06.291103	75
3470	3420	8377	2013-08-03 00:57:06.30196	2013-08-03 00:57:06.30196	75
3471	3425	8357	2013-08-03 00:57:06.313386	2013-08-03 00:57:06.313386	75
3472	3425	8337	2013-08-03 00:57:06.324338	2013-08-03 00:57:06.324338	75
3473	3425	8317	2013-08-03 00:57:06.335165	2013-08-03 00:57:06.335165	75
3474	3425	8297	2013-08-03 00:57:06.346239	2013-08-03 00:57:06.346239	75
3475	3425	8277	2013-08-03 00:57:06.357003	2013-08-03 00:57:06.357003	75
3476	3425	8257	2013-08-03 00:57:06.367805	2013-08-03 00:57:06.367805	75
3477	3390	5658	2013-08-03 00:57:06.398031	2013-08-03 00:57:06.398031	75
3478	3390	5638	2013-08-03 00:57:06.4032	2013-08-03 00:57:06.4032	75
3479	3390	5618	2013-08-03 00:57:06.406788	2013-08-03 00:57:06.406788	75
3480	3390	5598	2013-08-03 00:57:06.410052	2013-08-03 00:57:06.410052	75
3481	3390	5578	2013-08-03 00:57:06.416419	2013-08-03 00:57:06.416419	75
3482	3390	5558	2013-08-03 00:57:06.422981	2013-08-03 00:57:06.422981	75
3483	3445	5538	2013-08-03 00:57:06.428466	2013-08-03 00:57:06.428466	75
3484	3445	5518	2013-08-03 00:57:06.432504	2013-08-03 00:57:06.432504	75
3485	3445	5498	2013-08-03 00:57:06.43736	2013-08-03 00:57:06.43736	75
3486	3445	5478	2013-08-03 00:57:06.444249	2013-08-03 00:57:06.444249	75
3487	3445	5458	2013-08-03 00:57:06.448855	2013-08-03 00:57:06.448855	75
3488	3445	5438	2013-08-03 00:57:06.454377	2013-08-03 00:57:06.454377	75
3489	3428	5418	2013-08-03 00:57:06.459659	2013-08-03 00:57:06.459659	75
3490	3428	5398	2013-08-03 00:57:06.463585	2013-08-03 00:57:06.463585	75
3491	3428	5378	2013-08-03 00:57:06.46727	2013-08-03 00:57:06.46727	75
3492	3428	5358	2013-08-03 00:57:06.471418	2013-08-03 00:57:06.471418	75
3493	3428	5337	2013-08-03 00:57:06.47647	2013-08-03 00:57:06.47647	75
3494	3428	5338	2013-08-03 00:57:06.487024	2013-08-03 00:57:06.487024	75
3495	3462	6040	2013-08-03 00:57:06.522701	2013-08-03 00:57:06.522701	75
3496	3462	6020	2013-08-03 00:57:06.537613	2013-08-03 00:57:06.537613	75
3497	3462	6000	2013-08-03 00:57:06.546183	2013-08-03 00:57:06.546183	75
3498	3462	5980	2013-08-03 00:57:06.553668	2013-08-03 00:57:06.553668	75
3499	3462	5960	2013-08-03 00:57:06.557396	2013-08-03 00:57:06.557396	75
3500	3462	5940	2013-08-03 00:57:06.562279	2013-08-03 00:57:06.562279	75
3501	3444	5920	2013-08-03 00:57:06.568197	2013-08-03 00:57:06.568197	75
3502	3444	5900	2013-08-03 00:57:06.574415	2013-08-03 00:57:06.574415	75
3503	3444	5880	2013-08-03 00:57:06.581069	2013-08-03 00:57:06.581069	75
3504	3444	5860	2013-08-03 00:57:06.588223	2013-08-03 00:57:06.588223	75
3505	3444	5840	2013-08-03 00:57:06.597658	2013-08-03 00:57:06.597658	75
3506	3444	5820	2013-08-03 00:57:06.607151	2013-08-03 00:57:06.607151	75
3507	3429	5800	2013-08-03 00:57:06.618149	2013-08-03 00:57:06.618149	75
3508	3429	5780	2013-08-03 00:57:06.629042	2013-08-03 00:57:06.629042	75
3509	3429	5760	2013-08-03 00:57:06.639686	2013-08-03 00:57:06.639686	75
3510	3429	5740	2013-08-03 00:57:06.650965	2013-08-03 00:57:06.650965	75
3511	3429	5720	2013-08-03 00:57:06.661849	2013-08-03 00:57:06.661849	75
3512	3429	5700	2013-08-03 00:57:06.666106	2013-08-03 00:57:06.666106	75
3513	3502	7679	2013-08-03 01:02:06.858274	2013-08-03 01:02:06.858274	76
3514	3502	7699	2013-08-03 01:02:06.873143	2013-08-03 01:02:06.873143	76
3515	3502	7719	2013-08-03 01:02:06.879865	2013-08-03 01:02:06.879865	76
3516	3502	7739	2013-08-03 01:02:06.883645	2013-08-03 01:02:06.883645	76
3517	3502	7759	2013-08-03 01:02:06.887018	2013-08-03 01:02:06.887018	76
3518	3502	7779	2013-08-03 01:02:06.890319	2013-08-03 01:02:06.890319	76
3519	3508	7799	2013-08-03 01:02:06.893763	2013-08-03 01:02:06.893763	76
3520	3508	7819	2013-08-03 01:02:06.898756	2013-08-03 01:02:06.898756	76
3521	3508	7839	2013-08-03 01:02:06.903004	2013-08-03 01:02:06.903004	76
3522	3508	7859	2013-08-03 01:02:06.907663	2013-08-03 01:02:06.907663	76
3523	3508	7879	2013-08-03 01:02:06.911347	2013-08-03 01:02:06.911347	76
3524	3508	7899	2013-08-03 01:02:06.915888	2013-08-03 01:02:06.915888	76
3525	3558	7531	2013-08-03 01:02:06.92097	2013-08-03 01:02:06.92097	76
3526	3558	7551	2013-08-03 01:02:06.9257	2013-08-03 01:02:06.9257	76
3527	3558	6819	2013-08-03 01:02:06.931799	2013-08-03 01:02:06.931799	76
3528	3558	6839	2013-08-03 01:02:06.940668	2013-08-03 01:02:06.940668	76
3529	3558	6859	2013-08-03 01:02:06.951071	2013-08-03 01:02:06.951071	76
3530	3558	6879	2013-08-03 01:02:06.962047	2013-08-03 01:02:06.962047	76
3531	3526	5297	2013-08-03 01:02:06.995048	2013-08-03 01:02:06.995048	76
3532	3526	5038	2013-08-03 01:02:07.006552	2013-08-03 01:02:07.006552	76
3533	3526	5058	2013-08-03 01:02:07.017516	2013-08-03 01:02:07.017516	76
3534	3526	4598	2013-08-03 01:02:07.028452	2013-08-03 01:02:07.028452	76
3535	3526	4618	2013-08-03 01:02:07.039321	2013-08-03 01:02:07.039321	76
3536	3526	4638	2013-08-03 01:02:07.050116	2013-08-03 01:02:07.050116	76
3537	3526	4658	2013-08-03 01:02:07.107282	2013-08-03 01:02:07.107282	76
3538	3526	4678	2013-08-03 01:02:07.112096	2013-08-03 01:02:07.112096	76
3539	3526	4698	2013-08-03 01:02:07.116275	2013-08-03 01:02:07.116275	76
3540	3526	7537	2013-08-03 01:02:07.12038	2013-08-03 01:02:07.12038	76
3541	3526	7557	2013-08-03 01:02:07.124485	2013-08-03 01:02:07.124485	76
3542	3526	4555	2013-08-03 01:02:07.128459	2013-08-03 01:02:07.128459	76
3543	3526	9511	2013-08-03 01:02:07.133339	2013-08-03 01:02:07.133339	76
3544	3526	7779	2013-08-03 01:02:07.138402	2013-08-03 01:02:07.138402	76
3545	3526	7759	2013-08-03 01:02:07.143472	2013-08-03 01:02:07.143472	76
3546	3526	7739	2013-08-03 01:02:07.149323	2013-08-03 01:02:07.149323	76
3547	3526	7719	2013-08-03 01:02:07.155338	2013-08-03 01:02:07.155338	76
3548	3526	7699	2013-08-03 01:02:07.163776	2013-08-03 01:02:07.163776	76
3549	3526	7679	2013-08-03 01:02:07.17155	2013-08-03 01:02:07.17155	76
3550	3504	9268	2013-08-03 01:02:07.191702	2013-08-03 01:02:07.191702	76
3551	3504	9248	2013-08-03 01:02:07.196783	2013-08-03 01:02:07.196783	76
3552	3504	9228	2013-08-03 01:02:07.202669	2013-08-03 01:02:07.202669	76
3553	3504	9208	2013-08-03 01:02:07.207512	2013-08-03 01:02:07.207512	76
3554	3504	9188	2013-08-03 01:02:07.211707	2013-08-03 01:02:07.211707	76
3555	3504	9168	2013-08-03 01:02:07.216185	2013-08-03 01:02:07.216185	76
3556	3513	9148	2013-08-03 01:02:07.223823	2013-08-03 01:02:07.223823	76
3557	3513	9128	2013-08-03 01:02:07.234108	2013-08-03 01:02:07.234108	76
3558	3513	9108	2013-08-03 01:02:07.245215	2013-08-03 01:02:07.245215	76
3559	3513	9088	2013-08-03 01:02:07.2563	2013-08-03 01:02:07.2563	76
3560	3513	9068	2013-08-03 01:02:07.267586	2013-08-03 01:02:07.267586	76
3561	3513	9048	2013-08-03 01:02:07.279922	2013-08-03 01:02:07.279922	76
3562	3560	9028	2013-08-03 01:02:07.287709	2013-08-03 01:02:07.287709	76
3563	3560	9008	2013-08-03 01:02:07.29341	2013-08-03 01:02:07.29341	76
3564	3560	8988	2013-08-03 01:02:07.297626	2013-08-03 01:02:07.297626	76
3565	3560	8968	2013-08-03 01:02:07.302112	2013-08-03 01:02:07.302112	76
3566	3560	8948	2013-08-03 01:02:07.305926	2013-08-03 01:02:07.305926	76
3567	3560	8928	2013-08-03 01:02:07.309896	2013-08-03 01:02:07.309896	76
3568	3609	10871	2013-08-03 01:02:07.323532	2013-08-03 01:02:07.323532	76
3569	3609	10851	2013-08-03 01:02:07.328492	2013-08-03 01:02:07.328492	76
3570	3609	10831	2013-08-03 01:02:07.334112	2013-08-03 01:02:07.334112	76
3571	3609	10811	2013-08-03 01:02:07.342446	2013-08-03 01:02:07.342446	76
3572	3609	10791	2013-08-03 01:02:07.354399	2013-08-03 01:02:07.354399	76
3573	3609	10771	2013-08-03 01:02:07.366013	2013-08-03 01:02:07.366013	76
3574	3510	10751	2013-08-03 01:02:07.377987	2013-08-03 01:02:07.377987	76
3575	3510	10731	2013-08-03 01:02:07.389944	2013-08-03 01:02:07.389944	76
3576	3510	10711	2013-08-03 01:02:07.401969	2013-08-03 01:02:07.401969	76
3577	3510	10691	2013-08-03 01:02:07.414411	2013-08-03 01:02:07.414411	76
3578	3510	10671	2013-08-03 01:02:07.425469	2013-08-03 01:02:07.425469	76
3579	3510	10651	2013-08-03 01:02:07.436666	2013-08-03 01:02:07.436666	76
3580	3522	10631	2013-08-03 01:02:07.448086	2013-08-03 01:02:07.448086	76
3581	3522	10611	2013-08-03 01:02:07.459088	2013-08-03 01:02:07.459088	76
3582	3522	10591	2013-08-03 01:02:07.470131	2013-08-03 01:02:07.470131	76
3583	3522	10571	2013-08-03 01:02:07.481112	2013-08-03 01:02:07.481112	76
3584	3522	10551	2013-08-03 01:02:07.492117	2013-08-03 01:02:07.492117	76
3585	3522	10531	2013-08-03 01:02:07.503285	2013-08-03 01:02:07.503285	76
3586	3511	7792	2013-08-03 01:02:07.536284	2013-08-03 01:02:07.536284	76
3587	3511	7772	2013-08-03 01:02:07.547438	2013-08-03 01:02:07.547438	76
3588	3511	7752	2013-08-03 01:02:07.558345	2013-08-03 01:02:07.558345	76
3589	3511	7732	2013-08-03 01:02:07.570194	2013-08-03 01:02:07.570194	76
3590	3511	7712	2013-08-03 01:02:07.582441	2013-08-03 01:02:07.582441	76
3591	3511	7692	2013-08-03 01:02:07.593531	2013-08-03 01:02:07.593531	76
3592	3521	7672	2013-08-03 01:02:07.59968	2013-08-03 01:02:07.59968	76
3593	3521	7652	2013-08-03 01:02:07.603277	2013-08-03 01:02:07.603277	76
3594	3521	7632	2013-08-03 01:02:07.606746	2013-08-03 01:02:07.606746	76
3595	3521	7612	2013-08-03 01:02:07.61048	2013-08-03 01:02:07.61048	76
3596	3521	7592	2013-08-03 01:02:07.6152	2013-08-03 01:02:07.6152	76
3597	3521	7572	2013-08-03 01:02:07.621389	2013-08-03 01:02:07.621389	76
3598	3559	7552	2013-08-03 01:02:07.625665	2013-08-03 01:02:07.625665	76
3599	3559	7532	2013-08-03 01:02:07.629387	2013-08-03 01:02:07.629387	76
3600	3559	7512	2013-08-03 01:02:07.632829	2013-08-03 01:02:07.632829	76
3601	3559	7492	2013-08-03 01:02:07.637391	2013-08-03 01:02:07.637391	76
3602	3559	7472	2013-08-03 01:02:07.643512	2013-08-03 01:02:07.643512	76
3603	3559	7452	2013-08-03 01:02:07.648929	2013-08-03 01:02:07.648929	76
3604	3572	6113	2013-08-03 01:02:07.662309	2013-08-03 01:02:07.662309	76
3605	3572	6093	2013-08-03 01:02:07.669173	2013-08-03 01:02:07.669173	76
3606	3572	6073	2013-08-03 01:02:07.676975	2013-08-03 01:02:07.676975	76
3607	3572	6053	2013-08-03 01:02:07.731572	2013-08-03 01:02:07.731572	76
3608	3572	6033	2013-08-03 01:02:07.73618	2013-08-03 01:02:07.73618	76
3609	3572	6013	2013-08-03 01:02:07.739491	2013-08-03 01:02:07.739491	76
3610	3572	5993	2013-08-03 01:02:07.743397	2013-08-03 01:02:07.743397	76
3611	3572	5973	2013-08-03 01:02:07.747425	2013-08-03 01:02:07.747425	76
3612	3572	5953	2013-08-03 01:02:07.751454	2013-08-03 01:02:07.751454	76
3613	3572	5933	2013-08-03 01:02:07.75667	2013-08-03 01:02:07.75667	76
3614	3572	5913	2013-08-03 01:02:07.76207	2013-08-03 01:02:07.76207	76
3615	3572	5893	2013-08-03 01:02:07.767602	2013-08-03 01:02:07.767602	76
3616	3572	5873	2013-08-03 01:02:07.773151	2013-08-03 01:02:07.773151	76
3617	3572	5853	2013-08-03 01:02:07.783072	2013-08-03 01:02:07.783072	76
3618	3572	5833	2013-08-03 01:02:07.794386	2013-08-03 01:02:07.794386	76
3619	3572	5813	2013-08-03 01:02:07.805605	2013-08-03 01:02:07.805605	76
3620	3572	5793	2013-08-03 01:02:07.817179	2013-08-03 01:02:07.817179	76
3621	3572	5773	2013-08-03 01:02:07.828657	2013-08-03 01:02:07.828657	76
3622	3572	5753	2013-08-03 01:02:07.839997	2013-08-03 01:02:07.839997	76
3623	3503	5935	2013-08-03 01:02:07.87612	2013-08-03 01:02:07.87612	76
3624	3503	5915	2013-08-03 01:02:07.888295	2013-08-03 01:02:07.888295	76
3625	3503	5895	2013-08-03 01:02:07.900698	2013-08-03 01:02:07.900698	76
3626	3503	5875	2013-08-03 01:02:07.910102	2013-08-03 01:02:07.910102	76
3627	3503	5855	2013-08-03 01:02:07.919549	2013-08-03 01:02:07.919549	76
3628	3503	5835	2013-08-03 01:02:07.92518	2013-08-03 01:02:07.92518	76
3629	3552	5815	2013-08-03 01:02:07.930208	2013-08-03 01:02:07.930208	76
3630	3552	5795	2013-08-03 01:02:07.934423	2013-08-03 01:02:07.934423	76
3631	3552	5775	2013-08-03 01:02:07.939215	2013-08-03 01:02:07.939215	76
3632	3552	5755	2013-08-03 01:02:07.944446	2013-08-03 01:02:07.944446	76
3633	3552	5735	2013-08-03 01:02:07.948329	2013-08-03 01:02:07.948329	76
3634	3552	5715	2013-08-03 01:02:07.953502	2013-08-03 01:02:07.953502	76
3635	3606	5695	2013-08-03 01:02:07.959181	2013-08-03 01:02:07.959181	76
3636	3606	5675	2013-08-03 01:02:07.964148	2013-08-03 01:02:07.964148	76
3637	3606	5655	2013-08-03 01:02:07.968962	2013-08-03 01:02:07.968962	76
3638	3606	5635	2013-08-03 01:02:07.979982	2013-08-03 01:02:07.979982	76
3639	3606	5615	2013-08-03 01:02:07.987346	2013-08-03 01:02:07.987346	76
3640	3606	5595	2013-08-03 01:02:07.992654	2013-08-03 01:02:07.992654	76
3641	3573	6335	2013-08-03 01:02:08.00391	2013-08-03 01:02:08.00391	76
3642	3573	6315	2013-08-03 01:02:08.00897	2013-08-03 01:02:08.00897	76
3643	3573	6295	2013-08-03 01:02:08.014435	2013-08-03 01:02:08.014435	76
3644	3573	6275	2013-08-03 01:02:08.019367	2013-08-03 01:02:08.019367	76
3645	3573	6255	2013-08-03 01:02:08.024584	2013-08-03 01:02:08.024584	76
3646	3573	6235	2013-08-03 01:02:08.02984	2013-08-03 01:02:08.02984	76
3647	3573	6215	2013-08-03 01:02:08.035685	2013-08-03 01:02:08.035685	76
3648	3573	6195	2013-08-03 01:02:08.041318	2013-08-03 01:02:08.041318	76
3649	3573	6175	2013-08-03 01:02:08.045857	2013-08-03 01:02:08.045857	76
3650	3573	6155	2013-08-03 01:02:08.04989	2013-08-03 01:02:08.04989	76
3651	3573	6135	2013-08-03 01:02:08.053834	2013-08-03 01:02:08.053834	76
3652	3573	6115	2013-08-03 01:02:08.057888	2013-08-03 01:02:08.057888	76
3653	3573	6095	2013-08-03 01:02:08.062617	2013-08-03 01:02:08.062617	76
3654	3573	6075	2013-08-03 01:02:08.066891	2013-08-03 01:02:08.066891	76
3655	3573	6055	2013-08-03 01:02:08.0711	2013-08-03 01:02:08.0711	76
3656	3573	6035	2013-08-03 01:02:08.075799	2013-08-03 01:02:08.075799	76
3657	3573	6015	2013-08-03 01:02:08.080545	2013-08-03 01:02:08.080545	76
3658	3573	5995	2013-08-03 01:02:08.085221	2013-08-03 01:02:08.085221	76
3659	3573	5975	2013-08-03 01:02:08.089797	2013-08-03 01:02:08.089797	76
3660	3613	8977	2013-08-03 01:02:08.103495	2013-08-03 01:02:08.103495	76
3661	3613	8957	2013-08-03 01:02:08.108102	2013-08-03 01:02:08.108102	76
3662	3613	8937	2013-08-03 01:02:08.115483	2013-08-03 01:02:08.115483	76
3663	3613	8917	2013-08-03 01:02:08.119947	2013-08-03 01:02:08.119947	76
3664	3613	8897	2013-08-03 01:02:08.126162	2013-08-03 01:02:08.126162	76
3665	3613	8877	2013-08-03 01:02:08.130879	2013-08-03 01:02:08.130879	76
3666	3613	8857	2013-08-03 01:02:08.135869	2013-08-03 01:02:08.135869	76
3667	3613	8837	2013-08-03 01:02:08.141569	2013-08-03 01:02:08.141569	76
3668	3613	8817	2013-08-03 01:02:08.146653	2013-08-03 01:02:08.146653	76
3669	3509	8797	2013-08-03 01:02:08.151205	2013-08-03 01:02:08.151205	76
3670	3509	8777	2013-08-03 01:02:08.156807	2013-08-03 01:02:08.156807	76
3671	3509	8757	2013-08-03 01:02:08.162195	2013-08-03 01:02:08.162195	76
3672	3509	8737	2013-08-03 01:02:08.167554	2013-08-03 01:02:08.167554	76
3673	3509	8717	2013-08-03 01:02:08.173471	2013-08-03 01:02:08.173471	76
3674	3509	8697	2013-08-03 01:02:08.179981	2013-08-03 01:02:08.179981	76
3675	3509	8677	2013-08-03 01:02:08.217304	2013-08-03 01:02:08.217304	76
3676	3509	8657	2013-08-03 01:02:08.222522	2013-08-03 01:02:08.222522	76
3677	3509	8637	2013-08-03 01:02:08.22716	2013-08-03 01:02:08.22716	76
3678	3611	6038	2013-08-03 01:02:08.240046	2013-08-03 01:02:08.240046	76
3679	3611	6018	2013-08-03 01:02:08.245047	2013-08-03 01:02:08.245047	76
3680	3611	5998	2013-08-03 01:02:08.249477	2013-08-03 01:02:08.249477	76
3681	3611	5978	2013-08-03 01:02:08.25557	2013-08-03 01:02:08.25557	76
3682	3611	5958	2013-08-03 01:02:08.25958	2013-08-03 01:02:08.25958	76
3683	3611	5938	2013-08-03 01:02:08.263583	2013-08-03 01:02:08.263583	76
3684	3611	5918	2013-08-03 01:02:08.267633	2013-08-03 01:02:08.267633	76
3685	3611	5898	2013-08-03 01:02:08.271586	2013-08-03 01:02:08.271586	76
3686	3611	5878	2013-08-03 01:02:08.275178	2013-08-03 01:02:08.275178	76
3687	3555	5858	2013-08-03 01:02:08.279126	2013-08-03 01:02:08.279126	76
3688	3555	5838	2013-08-03 01:02:08.283176	2013-08-03 01:02:08.283176	76
3689	3555	5818	2013-08-03 01:02:08.286752	2013-08-03 01:02:08.286752	76
3690	3555	5798	2013-08-03 01:02:08.339893	2013-08-03 01:02:08.339893	76
3691	3555	5778	2013-08-03 01:02:08.34481	2013-08-03 01:02:08.34481	76
3692	3555	5758	2013-08-03 01:02:08.349244	2013-08-03 01:02:08.349244	76
3693	3555	5738	2013-08-03 01:02:08.353434	2013-08-03 01:02:08.353434	76
3694	3555	5718	2013-08-03 01:02:08.357144	2013-08-03 01:02:08.357144	76
3695	3555	5698	2013-08-03 01:02:08.360963	2013-08-03 01:02:08.360963	76
3696	3658	6420	2013-08-03 01:02:08.374114	2013-08-03 01:02:08.374114	76
3697	3658	6400	2013-08-03 01:02:08.380957	2013-08-03 01:02:08.380957	76
3698	3658	6380	2013-08-03 01:02:08.384685	2013-08-03 01:02:08.384685	76
3699	3658	6360	2013-08-03 01:02:08.38952	2013-08-03 01:02:08.38952	76
3700	3658	6340	2013-08-03 01:02:08.392833	2013-08-03 01:02:08.392833	76
3701	3658	6320	2013-08-03 01:02:08.39613	2013-08-03 01:02:08.39613	76
3702	3549	6300	2013-08-03 01:02:08.399553	2013-08-03 01:02:08.399553	76
3703	3549	6280	2013-08-03 01:02:08.403907	2013-08-03 01:02:08.403907	76
3704	3549	6260	2013-08-03 01:02:08.407552	2013-08-03 01:02:08.407552	76
3705	3549	6240	2013-08-03 01:02:08.412041	2013-08-03 01:02:08.412041	76
3706	3549	6220	2013-08-03 01:02:08.417658	2013-08-03 01:02:08.417658	76
3707	3549	6200	2013-08-03 01:02:08.425202	2013-08-03 01:02:08.425202	76
3708	3608	6180	2013-08-03 01:02:08.42965	2013-08-03 01:02:08.42965	76
3709	3608	6160	2013-08-03 01:02:08.434226	2013-08-03 01:02:08.434226	76
3710	3608	6140	2013-08-03 01:02:08.437958	2013-08-03 01:02:08.437958	76
3711	3608	6120	2013-08-03 01:02:08.441404	2013-08-03 01:02:08.441404	76
3712	3608	6100	2013-08-03 01:02:08.446352	2013-08-03 01:02:08.446352	76
3713	3608	6080	2013-08-03 01:02:08.450883	2013-08-03 01:02:08.450883	76
3714	3646	8611	2013-08-03 01:07:07.046647	2013-08-03 01:07:07.046647	77
3715	3646	8631	2013-08-03 01:07:07.053665	2013-08-03 01:07:07.053665	77
3716	3646	6219	2013-08-03 01:07:07.060962	2013-08-03 01:07:07.060962	77
3717	3646	6199	2013-08-03 01:07:07.066514	2013-08-03 01:07:07.066514	77
3718	3646	6179	2013-08-03 01:07:07.070642	2013-08-03 01:07:07.070642	77
3719	3646	6159	2013-08-03 01:07:07.10067	2013-08-03 01:07:07.10067	77
3720	3667	6139	2013-08-03 01:07:07.109922	2013-08-03 01:07:07.109922	77
3721	3667	6119	2013-08-03 01:07:07.116048	2013-08-03 01:07:07.116048	77
3722	3667	6099	2013-08-03 01:07:07.122914	2013-08-03 01:07:07.122914	77
3723	3667	6079	2013-08-03 01:07:07.129775	2013-08-03 01:07:07.129775	77
3724	3667	5839	2013-08-03 01:07:07.137319	2013-08-03 01:07:07.137319	77
3725	3667	7311	2013-08-03 01:07:07.147418	2013-08-03 01:07:07.147418	77
3726	3715	7539	2013-08-03 01:07:07.159961	2013-08-03 01:07:07.159961	77
3727	3715	7559	2013-08-03 01:07:07.171962	2013-08-03 01:07:07.171962	77
3728	3715	7579	2013-08-03 01:07:07.183933	2013-08-03 01:07:07.183933	77
3729	3715	7599	2013-08-03 01:07:07.19566	2013-08-03 01:07:07.19566	77
3730	3715	7619	2013-08-03 01:07:07.206953	2013-08-03 01:07:07.206953	77
3731	3715	7639	2013-08-03 01:07:07.218086	2013-08-03 01:07:07.218086	77
3732	3768	10651	2013-08-03 01:07:07.252552	2013-08-03 01:07:07.252552	77
3733	3768	10671	2013-08-03 01:07:07.263563	2013-08-03 01:07:07.263563	77
3734	3768	10691	2013-08-03 01:07:07.273884	2013-08-03 01:07:07.273884	77
3735	3768	10711	2013-08-03 01:07:07.284379	2013-08-03 01:07:07.284379	77
3736	3768	10731	2013-08-03 01:07:07.294563	2013-08-03 01:07:07.294563	77
3737	3768	10751	2013-08-03 01:07:07.304843	2013-08-03 01:07:07.304843	77
3738	3768	5358	2013-08-03 01:07:07.315795	2013-08-03 01:07:07.315795	77
3739	3768	5378	2013-08-03 01:07:07.326816	2013-08-03 01:07:07.326816	77
3740	3768	5398	2013-08-03 01:07:07.33765	2013-08-03 01:07:07.33765	77
3741	3768	5418	2013-08-03 01:07:07.348096	2013-08-03 01:07:07.348096	77
3742	3768	10211	2013-08-03 01:07:07.359845	2013-08-03 01:07:07.359845	77
3743	3768	10231	2013-08-03 01:07:07.371042	2013-08-03 01:07:07.371042	77
3744	3768	10251	2013-08-03 01:07:07.38229	2013-08-03 01:07:07.38229	77
3745	3768	7311	2013-08-03 01:07:07.393481	2013-08-03 01:07:07.393481	77
3746	3768	5839	2013-08-03 01:07:07.403936	2013-08-03 01:07:07.403936	77
3747	3768	6079	2013-08-03 01:07:07.414256	2013-08-03 01:07:07.414256	77
3748	3768	6099	2013-08-03 01:07:07.424664	2013-08-03 01:07:07.424664	77
3749	3768	6119	2013-08-03 01:07:07.434919	2013-08-03 01:07:07.434919	77
3750	3768	6139	2013-08-03 01:07:07.445309	2013-08-03 01:07:07.445309	77
3751	3662	9648	2013-08-03 01:07:07.473399	2013-08-03 01:07:07.473399	77
3752	3662	9628	2013-08-03 01:07:07.482126	2013-08-03 01:07:07.482126	77
3753	3662	9608	2013-08-03 01:07:07.487621	2013-08-03 01:07:07.487621	77
3754	3662	9588	2013-08-03 01:07:07.493279	2013-08-03 01:07:07.493279	77
3755	3662	9568	2013-08-03 01:07:07.499403	2013-08-03 01:07:07.499403	77
3756	3662	9548	2013-08-03 01:07:07.504037	2013-08-03 01:07:07.504037	77
3757	3669	9528	2013-08-03 01:07:07.509149	2013-08-03 01:07:07.509149	77
3758	3669	9508	2013-08-03 01:07:07.51413	2013-08-03 01:07:07.51413	77
3759	3669	9488	2013-08-03 01:07:07.51805	2013-08-03 01:07:07.51805	77
3760	3669	9468	2013-08-03 01:07:07.521493	2013-08-03 01:07:07.521493	77
3761	3669	9448	2013-08-03 01:07:07.524455	2013-08-03 01:07:07.524455	77
3762	3669	9428	2013-08-03 01:07:07.530381	2013-08-03 01:07:07.530381	77
3763	3711	9408	2013-08-03 01:07:07.537615	2013-08-03 01:07:07.537615	77
3764	3711	9388	2013-08-03 01:07:07.542672	2013-08-03 01:07:07.542672	77
3765	3711	9368	2013-08-03 01:07:07.546813	2013-08-03 01:07:07.546813	77
3766	3711	9348	2013-08-03 01:07:07.553257	2013-08-03 01:07:07.553257	77
3767	3711	9328	2013-08-03 01:07:07.560038	2013-08-03 01:07:07.560038	77
3768	3711	9308	2013-08-03 01:07:07.570758	2013-08-03 01:07:07.570758	77
3769	3677	11251	2013-08-03 01:07:07.613945	2013-08-03 01:07:07.613945	77
3770	3677	11231	2013-08-03 01:07:07.617706	2013-08-03 01:07:07.617706	77
3771	3677	11211	2013-08-03 01:07:07.665565	2013-08-03 01:07:07.665565	77
3772	3677	11191	2013-08-03 01:07:07.672999	2013-08-03 01:07:07.672999	77
3773	3677	11171	2013-08-03 01:07:07.677784	2013-08-03 01:07:07.677784	77
3774	3677	11151	2013-08-03 01:07:07.682563	2013-08-03 01:07:07.682563	77
3775	3653	11131	2013-08-03 01:07:07.692156	2013-08-03 01:07:07.692156	77
3776	3653	11111	2013-08-03 01:07:07.702911	2013-08-03 01:07:07.702911	77
3777	3653	11091	2013-08-03 01:07:07.713635	2013-08-03 01:07:07.713635	77
3778	3653	11071	2013-08-03 01:07:07.724621	2013-08-03 01:07:07.724621	77
3779	3653	11051	2013-08-03 01:07:07.735506	2013-08-03 01:07:07.735506	77
3780	3653	11031	2013-08-03 01:07:07.746741	2013-08-03 01:07:07.746741	77
3781	3659	11011	2013-08-03 01:07:07.757706	2013-08-03 01:07:07.757706	77
3782	3659	10991	2013-08-03 01:07:07.769139	2013-08-03 01:07:07.769139	77
3783	3659	10971	2013-08-03 01:07:07.780205	2013-08-03 01:07:07.780205	77
3784	3659	10951	2013-08-03 01:07:07.791652	2013-08-03 01:07:07.791652	77
3785	3659	10931	2013-08-03 01:07:07.801292	2013-08-03 01:07:07.801292	77
3786	3659	10911	2013-08-03 01:07:07.804759	2013-08-03 01:07:07.804759	77
3787	3788	11651	2013-08-03 01:07:07.812649	2013-08-03 01:07:07.812649	77
3788	3788	11631	2013-08-03 01:07:07.816116	2013-08-03 01:07:07.816116	77
3789	3788	11611	2013-08-03 01:07:07.819196	2013-08-03 01:07:07.819196	77
3790	3788	11591	2013-08-03 01:07:07.825981	2013-08-03 01:07:07.825981	77
3791	3788	11571	2013-08-03 01:07:07.832471	2013-08-03 01:07:07.832471	77
3792	3788	11551	2013-08-03 01:07:07.840258	2013-08-03 01:07:07.840258	77
3793	3788	11531	2013-08-03 01:07:07.849054	2013-08-03 01:07:07.849054	77
3794	3788	11511	2013-08-03 01:07:07.860277	2013-08-03 01:07:07.860277	77
3795	3788	11491	2013-08-03 01:07:07.871096	2013-08-03 01:07:07.871096	77
3796	3788	11471	2013-08-03 01:07:07.882036	2013-08-03 01:07:07.882036	77
3797	3788	11451	2013-08-03 01:07:07.892962	2013-08-03 01:07:07.892962	77
3798	3788	11431	2013-08-03 01:07:07.904131	2013-08-03 01:07:07.904131	77
3799	3788	11411	2013-08-03 01:07:07.914974	2013-08-03 01:07:07.914974	77
3800	3788	11391	2013-08-03 01:07:07.926274	2013-08-03 01:07:07.926274	77
3801	3788	11371	2013-08-03 01:07:07.937526	2013-08-03 01:07:07.937526	77
3802	3788	11351	2013-08-03 01:07:07.948225	2013-08-03 01:07:07.948225	77
3803	3788	11331	2013-08-03 01:07:07.959222	2013-08-03 01:07:07.959222	77
3804	3788	11311	2013-08-03 01:07:07.970742	2013-08-03 01:07:07.970742	77
3805	3788	11291	2013-08-03 01:07:07.981627	2013-08-03 01:07:07.981627	77
3806	3645	8172	2013-08-03 01:07:08.011784	2013-08-03 01:07:08.011784	77
3807	3645	8152	2013-08-03 01:07:08.022861	2013-08-03 01:07:08.022861	77
3808	3645	8132	2013-08-03 01:07:08.033784	2013-08-03 01:07:08.033784	77
3809	3645	8112	2013-08-03 01:07:08.04479	2013-08-03 01:07:08.04479	77
3810	3645	8092	2013-08-03 01:07:08.055888	2013-08-03 01:07:08.055888	77
3811	3645	8072	2013-08-03 01:07:08.068627	2013-08-03 01:07:08.068627	77
3812	3678	8052	2013-08-03 01:07:08.081904	2013-08-03 01:07:08.081904	77
3813	3678	8032	2013-08-03 01:07:08.088744	2013-08-03 01:07:08.088744	77
3814	3678	8012	2013-08-03 01:07:08.093998	2013-08-03 01:07:08.093998	77
3815	3678	7992	2013-08-03 01:07:08.100258	2013-08-03 01:07:08.100258	77
3816	3678	7972	2013-08-03 01:07:08.106711	2013-08-03 01:07:08.106711	77
3817	3678	7952	2013-08-03 01:07:08.112299	2013-08-03 01:07:08.112299	77
3818	3713	7932	2013-08-03 01:07:08.116437	2013-08-03 01:07:08.116437	77
3819	3713	7912	2013-08-03 01:07:08.119817	2013-08-03 01:07:08.119817	77
3820	3713	7892	2013-08-03 01:07:08.123438	2013-08-03 01:07:08.123438	77
3821	3713	7872	2013-08-03 01:07:08.128048	2013-08-03 01:07:08.128048	77
3822	3713	7852	2013-08-03 01:07:08.13262	2013-08-03 01:07:08.13262	77
3823	3713	7832	2013-08-03 01:07:08.137809	2013-08-03 01:07:08.137809	77
3824	3644	6493	2013-08-03 01:07:08.16229	2013-08-03 01:07:08.16229	77
3825	3644	6473	2013-08-03 01:07:08.173916	2013-08-03 01:07:08.173916	77
3826	3644	6453	2013-08-03 01:07:08.18512	2013-08-03 01:07:08.18512	77
3827	3644	6433	2013-08-03 01:07:08.196738	2013-08-03 01:07:08.196738	77
3828	3644	6413	2013-08-03 01:07:08.207819	2013-08-03 01:07:08.207819	77
3829	3644	6393	2013-08-03 01:07:08.219826	2013-08-03 01:07:08.219826	77
3830	3644	6373	2013-08-03 01:07:08.231495	2013-08-03 01:07:08.231495	77
3831	3644	6353	2013-08-03 01:07:08.243362	2013-08-03 01:07:08.243362	77
3832	3644	6333	2013-08-03 01:07:08.254343	2013-08-03 01:07:08.254343	77
3833	3644	6313	2013-08-03 01:07:08.265084	2013-08-03 01:07:08.265084	77
3834	3644	6293	2013-08-03 01:07:08.275846	2013-08-03 01:07:08.275846	77
3835	3644	6273	2013-08-03 01:07:08.286569	2013-08-03 01:07:08.286569	77
3836	3644	6253	2013-08-03 01:07:08.297292	2013-08-03 01:07:08.297292	77
3837	3644	6233	2013-08-03 01:07:08.308052	2013-08-03 01:07:08.308052	77
3838	3644	6213	2013-08-03 01:07:08.318761	2013-08-03 01:07:08.318761	77
3839	3644	6193	2013-08-03 01:07:08.329312	2013-08-03 01:07:08.329312	77
3840	3644	6173	2013-08-03 01:07:08.34062	2013-08-03 01:07:08.34062	77
3841	3644	6153	2013-08-03 01:07:08.354465	2013-08-03 01:07:08.354465	77
3842	3644	6133	2013-08-03 01:07:08.366256	2013-08-03 01:07:08.366256	77
3843	3648	6655	2013-08-03 01:07:08.439353	2013-08-03 01:07:08.439353	77
3844	3648	6635	2013-08-03 01:07:08.447263	2013-08-03 01:07:08.447263	77
3845	3648	6615	2013-08-03 01:07:08.45728	2013-08-03 01:07:08.45728	77
3846	3648	6595	2013-08-03 01:07:08.468622	2013-08-03 01:07:08.468622	77
3847	3649	6575	2013-08-03 01:07:08.480285	2013-08-03 01:07:08.480285	77
3848	3649	6555	2013-08-03 01:07:08.491472	2013-08-03 01:07:08.491472	77
3849	3649	6535	2013-08-03 01:07:08.502501	2013-08-03 01:07:08.502501	77
3850	3649	6515	2013-08-03 01:07:08.513623	2013-08-03 01:07:08.513623	77
3851	3714	6495	2013-08-03 01:07:08.525529	2013-08-03 01:07:08.525529	77
3852	3714	6475	2013-08-03 01:07:08.536657	2013-08-03 01:07:08.536657	77
3853	3714	6455	2013-08-03 01:07:08.547689	2013-08-03 01:07:08.547689	77
3854	3714	6435	2013-08-03 01:07:08.558952	2013-08-03 01:07:08.558952	77
3855	3668	6415	2013-08-03 01:07:08.57115	2013-08-03 01:07:08.57115	77
3856	3668	6395	2013-08-03 01:07:08.582913	2013-08-03 01:07:08.582913	77
3857	3668	6375	2013-08-03 01:07:08.595191	2013-08-03 01:07:08.595191	77
3858	3668	6355	2013-08-03 01:07:08.606585	2013-08-03 01:07:08.606585	77
3859	3643	7095	2013-08-03 01:07:08.621543	2013-08-03 01:07:08.621543	77
3860	3643	7075	2013-08-03 01:07:08.625133	2013-08-03 01:07:08.625133	77
3861	3643	7055	2013-08-03 01:07:08.628277	2013-08-03 01:07:08.628277	77
3862	3643	7035	2013-08-03 01:07:08.631583	2013-08-03 01:07:08.631583	77
3863	3643	7015	2013-08-03 01:07:08.635863	2013-08-03 01:07:08.635863	77
3864	3643	6995	2013-08-03 01:07:08.64149	2013-08-03 01:07:08.64149	77
3865	3643	6975	2013-08-03 01:07:08.646084	2013-08-03 01:07:08.646084	77
3866	3643	6955	2013-08-03 01:07:08.649949	2013-08-03 01:07:08.649949	77
3867	3643	6935	2013-08-03 01:07:08.655607	2013-08-03 01:07:08.655607	77
3868	3643	6915	2013-08-03 01:07:08.663881	2013-08-03 01:07:08.663881	77
3869	3643	6895	2013-08-03 01:07:08.674676	2013-08-03 01:07:08.674676	77
3870	3643	6875	2013-08-03 01:07:08.68689	2013-08-03 01:07:08.68689	77
3871	3643	6855	2013-08-03 01:07:08.698898	2013-08-03 01:07:08.698898	77
3872	3643	6835	2013-08-03 01:07:08.710258	2013-08-03 01:07:08.710258	77
3873	3643	6815	2013-08-03 01:07:08.722005	2013-08-03 01:07:08.722005	77
3874	3643	6795	2013-08-03 01:07:08.733901	2013-08-03 01:07:08.733901	77
3875	3643	6775	2013-08-03 01:07:08.745566	2013-08-03 01:07:08.745566	77
3876	3643	6755	2013-08-03 01:07:08.751697	2013-08-03 01:07:08.751697	77
3877	3643	6735	2013-08-03 01:07:08.759883	2013-08-03 01:07:08.759883	77
3878	3647	9317	2013-08-03 01:07:08.797638	2013-08-03 01:07:08.797638	77
3879	3647	9297	2013-08-03 01:07:08.80913	2013-08-03 01:07:08.80913	77
3880	3647	9277	2013-08-03 01:07:08.821462	2013-08-03 01:07:08.821462	77
3881	3647	9257	2013-08-03 01:07:08.83304	2013-08-03 01:07:08.83304	77
3882	3679	9237	2013-08-03 01:07:08.84495	2013-08-03 01:07:08.84495	77
3883	3679	9217	2013-08-03 01:07:08.856826	2013-08-03 01:07:08.856826	77
3884	3679	9197	2013-08-03 01:07:08.868665	2013-08-03 01:07:08.868665	77
3885	3679	9177	2013-08-03 01:07:08.879808	2013-08-03 01:07:08.879808	77
3886	3712	9157	2013-08-03 01:07:08.891469	2013-08-03 01:07:08.891469	77
3887	3712	9137	2013-08-03 01:07:08.902555	2013-08-03 01:07:08.902555	77
3888	3712	9117	2013-08-03 01:07:08.913487	2013-08-03 01:07:08.913487	77
3889	3712	9097	2013-08-03 01:07:08.9247	2013-08-03 01:07:08.9247	77
3890	3807	9077	2013-08-03 01:07:08.936385	2013-08-03 01:07:08.936385	77
3891	3807	9057	2013-08-03 01:07:08.947378	2013-08-03 01:07:08.947378	77
3892	3807	9037	2013-08-03 01:07:08.958386	2013-08-03 01:07:08.958386	77
3893	3807	9017	2013-08-03 01:07:08.969536	2013-08-03 01:07:08.969536	77
3894	3751	6378	2013-08-03 01:07:09.006124	2013-08-03 01:07:09.006124	77
3895	3751	6358	2013-08-03 01:07:09.017893	2013-08-03 01:07:09.017893	77
3896	3751	6338	2013-08-03 01:07:09.02935	2013-08-03 01:07:09.02935	77
3897	3751	6318	2013-08-03 01:07:09.041122	2013-08-03 01:07:09.041122	77
3898	3686	6298	2013-08-03 01:07:09.053879	2013-08-03 01:07:09.053879	77
3899	3686	6278	2013-08-03 01:07:09.065716	2013-08-03 01:07:09.065716	77
3900	3686	6258	2013-08-03 01:07:09.07719	2013-08-03 01:07:09.07719	77
3901	3686	6238	2013-08-03 01:07:09.088783	2013-08-03 01:07:09.088783	77
3902	3716	6218	2013-08-03 01:07:09.10099	2013-08-03 01:07:09.10099	77
3903	3716	6198	2013-08-03 01:07:09.111579	2013-08-03 01:07:09.111579	77
3904	3716	6178	2013-08-03 01:07:09.152008	2013-08-03 01:07:09.152008	77
3905	3716	6158	2013-08-03 01:07:09.157362	2013-08-03 01:07:09.157362	77
3906	3670	6138	2013-08-03 01:07:09.162148	2013-08-03 01:07:09.162148	77
3907	3670	6118	2013-08-03 01:07:09.166857	2013-08-03 01:07:09.166857	77
3908	3670	6098	2013-08-03 01:07:09.171056	2013-08-03 01:07:09.171056	77
3909	3670	6078	2013-08-03 01:07:09.175131	2013-08-03 01:07:09.175131	77
3910	3687	6760	2013-08-03 01:07:09.195717	2013-08-03 01:07:09.195717	77
3911	3687	6740	2013-08-03 01:07:09.203268	2013-08-03 01:07:09.203268	77
3912	3687	6720	2013-08-03 01:07:09.212173	2013-08-03 01:07:09.212173	77
3913	3687	6700	2013-08-03 01:07:09.223086	2013-08-03 01:07:09.223086	77
3914	3674	6680	2013-08-03 01:07:09.234544	2013-08-03 01:07:09.234544	77
3915	3674	6660	2013-08-03 01:07:09.245552	2013-08-03 01:07:09.245552	77
3916	3674	6640	2013-08-03 01:07:09.256681	2013-08-03 01:07:09.256681	77
3917	3674	6620	2013-08-03 01:07:09.267667	2013-08-03 01:07:09.267667	77
3918	3709	6600	2013-08-03 01:07:09.279319	2013-08-03 01:07:09.279319	77
3919	3709	6580	2013-08-03 01:07:09.290382	2013-08-03 01:07:09.290382	77
3920	3709	6560	2013-08-03 01:07:09.301568	2013-08-03 01:07:09.301568	77
3921	3709	6540	2013-08-03 01:07:09.312689	2013-08-03 01:07:09.312689	77
3922	3717	6520	2013-08-03 01:07:09.323775	2013-08-03 01:07:09.323775	77
3923	3717	6500	2013-08-03 01:07:09.334767	2013-08-03 01:07:09.334767	77
3924	3717	6480	2013-08-03 01:07:09.387692	2013-08-03 01:07:09.387692	77
3925	3717	6460	2013-08-03 01:07:09.393194	2013-08-03 01:07:09.393194	77
3926	3873	7731	2013-08-03 01:13:41.658786	2013-08-03 01:13:41.658786	78
3927	3873	8951	2013-08-03 01:13:41.663034	2013-08-03 01:13:41.663034	78
3928	3873	8279	2013-08-03 01:13:41.66767	2013-08-03 01:13:41.66767	78
3929	3873	8299	2013-08-03 01:13:41.672093	2013-08-03 01:13:41.672093	78
3930	3873	8319	2013-08-03 01:13:41.676195	2013-08-03 01:13:41.676195	78
3931	3873	8339	2013-08-03 01:13:41.680411	2013-08-03 01:13:41.680411	78
3932	3830	8359	2013-08-03 01:13:41.684906	2013-08-03 01:13:41.684906	78
3933	3830	8379	2013-08-03 01:13:41.688861	2013-08-03 01:13:41.688861	78
3934	3830	8399	2013-08-03 01:13:41.694203	2013-08-03 01:13:41.694203	78
3935	3830	8419	2013-08-03 01:13:41.698588	2013-08-03 01:13:41.698588	78
3936	3830	8439	2013-08-03 01:13:41.703013	2013-08-03 01:13:41.703013	78
3937	3830	8459	2013-08-03 01:13:41.70722	2013-08-03 01:13:41.70722	78
3938	3817	8479	2013-08-03 01:13:41.711842	2013-08-03 01:13:41.711842	78
3939	3817	8499	2013-08-03 01:13:41.716506	2013-08-03 01:13:41.716506	78
3940	3817	8519	2013-08-03 01:13:41.72089	2013-08-03 01:13:41.72089	78
3941	3817	8539	2013-08-03 01:13:41.726	2013-08-03 01:13:41.726	78
3942	3817	8559	2013-08-03 01:13:41.730627	2013-08-03 01:13:41.730627	78
3943	3817	8579	2013-08-03 01:13:41.735245	2013-08-03 01:13:41.735245	78
3944	3935	7463	2013-08-03 01:13:41.747898	2013-08-03 01:13:41.747898	78
3945	3935	7443	2013-08-03 01:13:41.752639	2013-08-03 01:13:41.752639	78
3946	3935	7423	2013-08-03 01:13:41.757291	2013-08-03 01:13:41.757291	78
3947	3935	7403	2013-08-03 01:13:41.762571	2013-08-03 01:13:41.762571	78
3948	3935	7383	2013-08-03 01:13:41.768799	2013-08-03 01:13:41.768799	78
3949	3935	7363	2013-08-03 01:13:41.774379	2013-08-03 01:13:41.774379	78
3950	3935	7343	2013-08-03 01:13:41.779215	2013-08-03 01:13:41.779215	78
3951	3935	7323	2013-08-03 01:13:41.784442	2013-08-03 01:13:41.784442	78
3952	3935	7303	2013-08-03 01:13:41.791324	2013-08-03 01:13:41.791324	78
3953	3935	7197	2013-08-03 01:13:41.798348	2013-08-03 01:13:41.798348	78
3954	3935	6880	2013-08-03 01:13:41.803299	2013-08-03 01:13:41.803299	78
3955	3935	6518	2013-08-03 01:13:41.809042	2013-08-03 01:13:41.809042	78
3956	3935	4750	2013-08-03 01:13:41.814436	2013-08-03 01:13:41.814436	78
3957	3935	4496	2013-08-03 01:13:41.821198	2013-08-03 01:13:41.821198	78
3958	3935	3046	2013-08-03 01:13:41.826408	2013-08-03 01:13:41.826408	78
3959	3935	2505	2013-08-03 01:13:41.831925	2013-08-03 01:13:41.831925	78
3960	3935	1909	2013-08-03 01:13:41.8371	2013-08-03 01:13:41.8371	78
3961	3935	4059	2013-08-03 01:13:41.840618	2013-08-03 01:13:41.840618	78
3962	3935	11831	2013-08-03 01:13:41.848043	2013-08-03 01:13:41.848043	78
3963	3953	9888	2013-08-03 01:13:41.859208	2013-08-03 01:13:41.859208	78
3964	3953	6298	2013-08-03 01:13:41.863143	2013-08-03 01:13:41.863143	78
3965	3953	6355	2013-08-03 01:13:41.868159	2013-08-03 01:13:41.868159	78
3966	3953	11151	2013-08-03 01:13:41.872287	2013-08-03 01:13:41.872287	78
3967	3953	11171	2013-08-03 01:13:41.876391	2013-08-03 01:13:41.876391	78
3968	3953	11191	2013-08-03 01:13:41.880068	2013-08-03 01:13:41.880068	78
3969	3953	11211	2013-08-03 01:13:41.88376	2013-08-03 01:13:41.88376	78
3970	3953	11231	2013-08-03 01:13:41.887542	2013-08-03 01:13:41.887542	78
3971	3953	11251	2013-08-03 01:13:41.890661	2013-08-03 01:13:41.890661	78
3972	3953	5835	2013-08-03 01:13:41.894281	2013-08-03 01:13:41.894281	78
3973	3953	5855	2013-08-03 01:13:41.89925	2013-08-03 01:13:41.89925	78
3974	3953	5875	2013-08-03 01:13:41.904712	2013-08-03 01:13:41.904712	78
3975	3953	8579	2013-08-03 01:13:41.913034	2013-08-03 01:13:41.913034	78
3976	3953	8559	2013-08-03 01:13:41.919829	2013-08-03 01:13:41.919829	78
3977	3953	8539	2013-08-03 01:13:41.92844	2013-08-03 01:13:41.92844	78
3978	3953	8519	2013-08-03 01:13:41.937956	2013-08-03 01:13:41.937956	78
3979	3953	8499	2013-08-03 01:13:41.947897	2013-08-03 01:13:41.947897	78
3980	3953	8479	2013-08-03 01:13:41.957829	2013-08-03 01:13:41.957829	78
3981	3953	8639	2013-08-03 01:13:41.96768	2013-08-03 01:13:41.96768	78
3982	3902	10088	2013-08-03 01:13:42.017939	2013-08-03 01:13:42.017939	78
3983	3902	10068	2013-08-03 01:13:42.02913	2013-08-03 01:13:42.02913	78
3984	3902	10048	2013-08-03 01:13:42.039882	2013-08-03 01:13:42.039882	78
3985	3902	10028	2013-08-03 01:13:42.05109	2013-08-03 01:13:42.05109	78
3986	3875	10008	2013-08-03 01:13:42.062316	2013-08-03 01:13:42.062316	78
3987	3875	9988	2013-08-03 01:13:42.073091	2013-08-03 01:13:42.073091	78
3988	3875	9968	2013-08-03 01:13:42.083867	2013-08-03 01:13:42.083867	78
3989	3875	8292	2013-08-03 01:13:42.094671	2013-08-03 01:13:42.094671	78
3990	3844	7135	2013-08-03 01:13:42.105165	2013-08-03 01:13:42.105165	78
3991	3844	4396	2013-08-03 01:13:42.11532	2013-08-03 01:13:42.11532	78
3992	3844	2959	2013-08-03 01:13:42.125208	2013-08-03 01:13:42.125208	78
3993	3844	2981	2013-08-03 01:13:42.135117	2013-08-03 01:13:42.135117	78
3994	3819	1728	2013-08-03 01:13:42.145476	2013-08-03 01:13:42.145476	78
3995	3819	3257	2013-08-03 01:13:42.155504	2013-08-03 01:13:42.155504	78
3996	3819	11731	2013-08-03 01:13:42.165434	2013-08-03 01:13:42.165434	78
3997	3819	4159	2013-08-03 01:13:42.175195	2013-08-03 01:13:42.175195	78
3998	3974	10528	2013-08-03 01:13:42.229014	2013-08-03 01:13:42.229014	78
3999	3974	10508	2013-08-03 01:13:42.234792	2013-08-03 01:13:42.234792	78
4000	3974	10488	2013-08-03 01:13:42.239734	2013-08-03 01:13:42.239734	78
4001	3974	10468	2013-08-03 01:13:42.245508	2013-08-03 01:13:42.245508	78
4002	3974	10448	2013-08-03 01:13:42.253656	2013-08-03 01:13:42.253656	78
4003	3974	10428	2013-08-03 01:13:42.259463	2013-08-03 01:13:42.259463	78
4004	3974	10408	2013-08-03 01:13:42.26548	2013-08-03 01:13:42.26548	78
4005	3974	10388	2013-08-03 01:13:42.269694	2013-08-03 01:13:42.269694	78
4006	3974	10368	2013-08-03 01:13:42.273776	2013-08-03 01:13:42.273776	78
4007	3974	10348	2013-08-03 01:13:42.278047	2013-08-03 01:13:42.278047	78
4008	3974	10328	2013-08-03 01:13:42.282549	2013-08-03 01:13:42.282549	78
4009	3974	10308	2013-08-03 01:13:42.286919	2013-08-03 01:13:42.286919	78
4010	3974	10288	2013-08-03 01:13:42.291056	2013-08-03 01:13:42.291056	78
4011	3974	10268	2013-08-03 01:13:42.295225	2013-08-03 01:13:42.295225	78
4012	3974	10248	2013-08-03 01:13:42.299706	2013-08-03 01:13:42.299706	78
4013	3974	10228	2013-08-03 01:13:42.304349	2013-08-03 01:13:42.304349	78
4014	3974	10208	2013-08-03 01:13:42.309586	2013-08-03 01:13:42.309586	78
4015	3974	10188	2013-08-03 01:13:42.315399	2013-08-03 01:13:42.315399	78
4016	3974	10168	2013-08-03 01:13:42.319986	2013-08-03 01:13:42.319986	78
4017	3901	12071	2013-08-03 01:13:42.336276	2013-08-03 01:13:42.336276	78
4018	3901	12051	2013-08-03 01:13:42.341141	2013-08-03 01:13:42.341141	78
4019	3901	12031	2013-08-03 01:13:42.345518	2013-08-03 01:13:42.345518	78
4020	3901	12011	2013-08-03 01:13:42.349971	2013-08-03 01:13:42.349971	78
4021	3854	11991	2013-08-03 01:13:42.357809	2013-08-03 01:13:42.357809	78
4022	3854	11971	2013-08-03 01:13:42.368427	2013-08-03 01:13:42.368427	78
4023	3854	11951	2013-08-03 01:13:42.37788	2013-08-03 01:13:42.37788	78
4024	3854	11931	2013-08-03 01:13:42.383342	2013-08-03 01:13:42.383342	78
4025	3828	11911	2013-08-03 01:13:42.389163	2013-08-03 01:13:42.389163	78
4026	3828	11891	2013-08-03 01:13:42.396178	2013-08-03 01:13:42.396178	78
4027	3828	8232	2013-08-03 01:13:42.403102	2013-08-03 01:13:42.403102	78
4028	3828	2921	2013-08-03 01:13:42.410242	2013-08-03 01:13:42.410242	78
4029	3820	2531	2013-08-03 01:13:42.419576	2013-08-03 01:13:42.419576	78
4030	3820	1939	2013-08-03 01:13:42.424593	2013-08-03 01:13:42.424593	78
4031	3820	8391	2013-08-03 01:13:42.428707	2013-08-03 01:13:42.428707	78
4032	3820	3177	2013-08-03 01:13:42.433002	2013-08-03 01:13:42.433002	78
4033	3956	12511	2013-08-03 01:13:42.446667	2013-08-03 01:13:42.446667	78
4034	3956	12491	2013-08-03 01:13:42.454245	2013-08-03 01:13:42.454245	78
4035	3956	12471	2013-08-03 01:13:42.462597	2013-08-03 01:13:42.462597	78
4036	3956	12451	2013-08-03 01:13:42.471548	2013-08-03 01:13:42.471548	78
4037	3956	12431	2013-08-03 01:13:42.481386	2013-08-03 01:13:42.481386	78
4038	3956	12411	2013-08-03 01:13:42.49274	2013-08-03 01:13:42.49274	78
4039	3956	12391	2013-08-03 01:13:42.505237	2013-08-03 01:13:42.505237	78
4040	3956	12371	2013-08-03 01:13:42.5172	2013-08-03 01:13:42.5172	78
4041	3956	12351	2013-08-03 01:13:42.531512	2013-08-03 01:13:42.531512	78
4042	3956	12331	2013-08-03 01:13:42.543864	2013-08-03 01:13:42.543864	78
4043	3956	12311	2013-08-03 01:13:42.555954	2013-08-03 01:13:42.555954	78
4044	3956	12291	2013-08-03 01:13:42.567695	2013-08-03 01:13:42.567695	78
4045	3956	12271	2013-08-03 01:13:42.578916	2013-08-03 01:13:42.578916	78
4046	3956	12251	2013-08-03 01:13:42.589879	2013-08-03 01:13:42.589879	78
4047	3956	12231	2013-08-03 01:13:42.601164	2013-08-03 01:13:42.601164	78
4048	3956	12211	2013-08-03 01:13:42.612408	2013-08-03 01:13:42.612408	78
4049	3956	12191	2013-08-03 01:13:42.623724	2013-08-03 01:13:42.623724	78
4050	3956	12171	2013-08-03 01:13:42.635353	2013-08-03 01:13:42.635353	78
4051	3956	12151	2013-08-03 01:13:42.646465	2013-08-03 01:13:42.646465	78
4052	3899	8632	2013-08-03 01:13:42.689606	2013-08-03 01:13:42.689606	78
4053	3899	8612	2013-08-03 01:13:42.700734	2013-08-03 01:13:42.700734	78
4054	3899	8592	2013-08-03 01:13:42.71176	2013-08-03 01:13:42.71176	78
4055	3874	8572	2013-08-03 01:13:42.724253	2013-08-03 01:13:42.724253	78
4056	3874	8552	2013-08-03 01:13:42.736444	2013-08-03 01:13:42.736444	78
4057	3874	8532	2013-08-03 01:13:42.74865	2013-08-03 01:13:42.74865	78
4058	3863	8512	2013-08-03 01:13:42.761146	2013-08-03 01:13:42.761146	78
4059	3863	8492	2013-08-03 01:13:42.770172	2013-08-03 01:13:42.770172	78
4060	3863	8472	2013-08-03 01:13:42.773924	2013-08-03 01:13:42.773924	78
4061	3821	8452	2013-08-03 01:13:42.77798	2013-08-03 01:13:42.77798	78
4062	3821	2946	2013-08-03 01:13:42.781801	2013-08-03 01:13:42.781801	78
4063	3821	2106	2013-08-03 01:13:42.785311	2013-08-03 01:13:42.785311	78
4064	3811	1959	2013-08-03 01:13:42.791405	2013-08-03 01:13:42.791405	78
4065	3811	8331	2013-08-03 01:13:42.795824	2013-08-03 01:13:42.795824	78
4066	3811	3197	2013-08-03 01:13:42.843207	2013-08-03 01:13:42.843207	78
4067	3934	6613	2013-08-03 01:13:42.859817	2013-08-03 01:13:42.859817	78
4068	3934	6593	2013-08-03 01:13:42.869362	2013-08-03 01:13:42.869362	78
4069	3934	6573	2013-08-03 01:13:42.880572	2013-08-03 01:13:42.880572	78
4070	3934	6553	2013-08-03 01:13:42.891251	2013-08-03 01:13:42.891251	78
4071	3934	6533	2013-08-03 01:13:42.902198	2013-08-03 01:13:42.902198	78
4072	3934	6513	2013-08-03 01:13:42.913304	2013-08-03 01:13:42.913304	78
4073	3934	6301	2013-08-03 01:13:42.925351	2013-08-03 01:13:42.925351	78
4074	3934	2637	2013-08-03 01:13:42.935627	2013-08-03 01:13:42.935627	78
4075	3934	2556	2013-08-03 01:13:42.946066	2013-08-03 01:13:42.946066	78
4076	3934	2437	2013-08-03 01:13:42.956243	2013-08-03 01:13:42.956243	78
4077	3934	2385	2013-08-03 01:13:42.9663	2013-08-03 01:13:42.9663	78
4078	3934	2201	2013-08-03 01:13:42.976335	2013-08-03 01:13:42.976335	78
4079	3934	2186	2013-08-03 01:13:42.986644	2013-08-03 01:13:42.986644	78
4080	3934	1789	2013-08-03 01:13:42.996699	2013-08-03 01:13:42.996699	78
4081	3934	1849	2013-08-03 01:13:43.006766	2013-08-03 01:13:43.006766	78
4082	3934	8571	2013-08-03 01:13:43.017066	2013-08-03 01:13:43.017066	78
4083	3934	9768	2013-08-03 01:13:43.027396	2013-08-03 01:13:43.027396	78
4084	3934	8431	2013-08-03 01:13:43.037521	2013-08-03 01:13:43.037521	78
4085	3934	3217	2013-08-03 01:13:43.047675	2013-08-03 01:13:43.047675	78
4086	3916	7555	2013-08-03 01:13:43.082646	2013-08-03 01:13:43.082646	78
4087	3916	7535	2013-08-03 01:13:43.093775	2013-08-03 01:13:43.093775	78
4088	3916	7515	2013-08-03 01:13:43.104477	2013-08-03 01:13:43.104477	78
4089	3916	7495	2013-08-03 01:13:43.114888	2013-08-03 01:13:43.114888	78
4090	3916	7475	2013-08-03 01:13:43.125089	2013-08-03 01:13:43.125089	78
4091	3916	7455	2013-08-03 01:13:43.136049	2013-08-03 01:13:43.136049	78
4092	3900	7435	2013-08-03 01:13:43.146901	2013-08-03 01:13:43.146901	78
4093	3900	7415	2013-08-03 01:13:43.15773	2013-08-03 01:13:43.15773	78
4094	3900	7395	2013-08-03 01:13:43.1684	2013-08-03 01:13:43.1684	78
4095	3900	7375	2013-08-03 01:13:43.178809	2013-08-03 01:13:43.178809	78
4096	3900	7355	2013-08-03 01:13:43.189022	2013-08-03 01:13:43.189022	78
4097	3900	7335	2013-08-03 01:13:43.199549	2013-08-03 01:13:43.199549	78
4098	3812	7315	2013-08-03 01:13:43.210897	2013-08-03 01:13:43.210897	78
4099	3812	7295	2013-08-03 01:13:43.222258	2013-08-03 01:13:43.222258	78
4100	3812	7275	2013-08-03 01:13:43.233905	2013-08-03 01:13:43.233905	78
4101	3812	2181	2013-08-03 01:13:43.245744	2013-08-03 01:13:43.245744	78
4102	3812	1765	2013-08-03 01:13:43.251198	2013-08-03 01:13:43.251198	78
4103	3812	3852	2013-08-03 01:13:43.261955	2013-08-03 01:13:43.261955	78
4104	3809	7955	2013-08-03 01:13:43.287109	2013-08-03 01:13:43.287109	78
4105	3809	7935	2013-08-03 01:13:43.299242	2013-08-03 01:13:43.299242	78
4106	3809	7915	2013-08-03 01:13:43.310737	2013-08-03 01:13:43.310737	78
4107	3809	7895	2013-08-03 01:13:43.322396	2013-08-03 01:13:43.322396	78
4108	3809	7875	2013-08-03 01:13:43.329148	2013-08-03 01:13:43.329148	78
4109	3809	7855	2013-08-03 01:13:43.333939	2013-08-03 01:13:43.333939	78
4110	3809	7835	2013-08-03 01:13:43.338977	2013-08-03 01:13:43.338977	78
4111	3809	7815	2013-08-03 01:13:43.344993	2013-08-03 01:13:43.344993	78
4112	3809	7795	2013-08-03 01:13:43.350071	2013-08-03 01:13:43.350071	78
4113	3809	7775	2013-08-03 01:13:43.3555	2013-08-03 01:13:43.3555	78
4114	3809	7755	2013-08-03 01:13:43.36341	2013-08-03 01:13:43.36341	78
4115	3809	7735	2013-08-03 01:13:43.368529	2013-08-03 01:13:43.368529	78
4116	3809	7715	2013-08-03 01:13:43.372951	2013-08-03 01:13:43.372951	78
4117	3809	7695	2013-08-03 01:13:43.378313	2013-08-03 01:13:43.378313	78
4118	3809	7675	2013-08-03 01:13:43.384551	2013-08-03 01:13:43.384551	78
4119	3809	7655	2013-08-03 01:13:43.390949	2013-08-03 01:13:43.390949	78
4120	3809	7635	2013-08-03 01:13:43.396577	2013-08-03 01:13:43.396577	78
4121	3809	7615	2013-08-03 01:13:43.402952	2013-08-03 01:13:43.402952	78
4122	3809	7595	2013-08-03 01:13:43.407048	2013-08-03 01:13:43.407048	78
4123	3829	9437	2013-08-03 01:13:43.420512	2013-08-03 01:13:43.420512	78
4124	3829	9417	2013-08-03 01:13:43.4242	2013-08-03 01:13:43.4242	78
4125	3829	9397	2013-08-03 01:13:43.428292	2013-08-03 01:13:43.428292	78
4126	3829	6221	2013-08-03 01:13:43.432423	2013-08-03 01:13:43.432423	78
4127	3829	3019	2013-08-03 01:13:43.469778	2013-08-03 01:13:43.469778	78
4128	3829	2584	2013-08-03 01:13:43.478909	2013-08-03 01:13:43.478909	78
4129	3822	2557	2013-08-03 01:13:43.488117	2013-08-03 01:13:43.488117	78
4130	3822	2100	2013-08-03 01:13:43.499172	2013-08-03 01:13:43.499172	78
4131	3822	2124	2013-08-03 01:13:43.510487	2013-08-03 01:13:43.510487	78
4132	3822	1960	2013-08-03 01:13:43.52173	2013-08-03 01:13:43.52173	78
4133	3822	1974	2013-08-03 01:13:43.532983	2013-08-03 01:13:43.532983	78
4134	3822	2040	2013-08-03 01:13:43.543799	2013-08-03 01:13:43.543799	78
4135	3816	1999	2013-08-03 01:13:43.55347	2013-08-03 01:13:43.55347	78
4136	3816	1735	2013-08-03 01:13:43.557987	2013-08-03 01:13:43.557987	78
4137	3816	1769	2013-08-03 01:13:43.563225	2013-08-03 01:13:43.563225	78
4138	3816	3772	2013-08-03 01:13:43.567302	2013-08-03 01:13:43.567302	78
4139	3816	8511	2013-08-03 01:13:43.571686	2013-08-03 01:13:43.571686	78
4140	3816	3612	2013-08-03 01:13:43.575496	2013-08-03 01:13:43.575496	78
4141	3903	6898	2013-08-03 01:13:43.588352	2013-08-03 01:13:43.588352	78
4142	3903	6878	2013-08-03 01:13:43.592215	2013-08-03 01:13:43.592215	78
4143	3903	6858	2013-08-03 01:13:43.596727	2013-08-03 01:13:43.596727	78
4144	3903	6838	2013-08-03 01:13:43.601107	2013-08-03 01:13:43.601107	78
4145	3903	6818	2013-08-03 01:13:43.605285	2013-08-03 01:13:43.605285	78
4146	3903	6798	2013-08-03 01:13:43.609617	2013-08-03 01:13:43.609617	78
4147	3827	6778	2013-08-03 01:13:43.614721	2013-08-03 01:13:43.614721	78
4148	3827	6758	2013-08-03 01:13:43.618933	2013-08-03 01:13:43.618933	78
4149	3827	6738	2013-08-03 01:13:43.623462	2013-08-03 01:13:43.623462	78
4150	3827	6718	2013-08-03 01:13:43.628336	2013-08-03 01:13:43.628336	78
4151	3827	6698	2013-08-03 01:13:43.631942	2013-08-03 01:13:43.631942	78
4152	3827	6678	2013-08-03 01:13:43.635325	2013-08-03 01:13:43.635325	78
4153	3808	6658	2013-08-03 01:13:43.638868	2013-08-03 01:13:43.638868	78
4154	3808	6638	2013-08-03 01:13:43.64325	2013-08-03 01:13:43.64325	78
4155	3808	6618	2013-08-03 01:13:43.647429	2013-08-03 01:13:43.647429	78
4156	3808	6598	2013-08-03 01:13:43.651951	2013-08-03 01:13:43.651951	78
4157	3808	6578	2013-08-03 01:13:43.655773	2013-08-03 01:13:43.655773	78
4158	3808	3730	2013-08-03 01:13:43.660245	2013-08-03 01:13:43.660245	78
4159	4018	7117	2013-08-03 01:13:43.677142	2013-08-03 01:13:43.677142	78
4160	4018	7220	2013-08-03 01:13:43.680896	2013-08-03 01:13:43.680896	78
4161	4018	7200	2013-08-03 01:13:43.684688	2013-08-03 01:13:43.684688	78
4162	4018	7180	2013-08-03 01:13:43.689016	2013-08-03 01:13:43.689016	78
4163	3904	7160	2013-08-03 01:13:43.694137	2013-08-03 01:13:43.694137	78
4164	3904	7140	2013-08-03 01:13:43.698675	2013-08-03 01:13:43.698675	78
4165	3904	7120	2013-08-03 01:13:43.702834	2013-08-03 01:13:43.702834	78
4166	3904	7100	2013-08-03 01:13:43.706941	2013-08-03 01:13:43.706941	78
4167	3826	7080	2013-08-03 01:13:43.71184	2013-08-03 01:13:43.71184	78
4168	3826	7060	2013-08-03 01:13:43.717228	2013-08-03 01:13:43.717228	78
4169	3826	7040	2013-08-03 01:13:43.721951	2013-08-03 01:13:43.721951	78
4170	3826	7020	2013-08-03 01:13:43.726934	2013-08-03 01:13:43.726934	78
4171	3810	7000	2013-08-03 01:13:43.73191	2013-08-03 01:13:43.73191	78
4172	3810	6980	2013-08-03 01:13:43.736293	2013-08-03 01:13:43.736293	78
4173	3810	6960	2013-08-03 01:13:43.740404	2013-08-03 01:13:43.740404	78
4174	3810	6940	2013-08-03 01:13:43.744633	2013-08-03 01:13:43.744633	78
4175	4093	9291	2013-08-03 01:19:31.090641	2013-08-03 01:19:31.090641	79
4176	4093	9311	2013-08-03 01:19:31.096772	2013-08-03 01:19:31.096772	79
4177	4093	9331	2013-08-03 01:19:31.102271	2013-08-03 01:19:31.102271	79
4178	4093	9351	2013-08-03 01:19:31.107145	2013-08-03 01:19:31.107145	79
4179	4071	9371	2013-08-03 01:19:31.112028	2013-08-03 01:19:31.112028	79
4180	4071	9391	2013-08-03 01:19:31.117695	2013-08-03 01:19:31.117695	79
4181	4071	8431	2013-08-03 01:19:31.126843	2013-08-03 01:19:31.126843	79
4182	4071	8639	2013-08-03 01:19:31.138298	2013-08-03 01:19:31.138298	79
4183	3999	8479	2013-08-03 01:19:31.153564	2013-08-03 01:19:31.153564	79
4184	3999	8499	2013-08-03 01:19:31.167281	2013-08-03 01:19:31.167281	79
4185	3999	8519	2013-08-03 01:19:31.180001	2013-08-03 01:19:31.180001	79
4186	3999	8539	2013-08-03 01:19:31.194567	2013-08-03 01:19:31.194567	79
4187	3988	8559	2013-08-03 01:19:31.209587	2013-08-03 01:19:31.209587	79
4188	3988	8579	2013-08-03 01:19:31.226722	2013-08-03 01:19:31.226722	79
4189	3988	5839	2013-08-03 01:19:31.235673	2013-08-03 01:19:31.235673	79
4190	3988	7311	2013-08-03 01:19:31.243087	2013-08-03 01:19:31.243087	79
4191	4028	8003	2013-08-03 01:19:31.257515	2013-08-03 01:19:31.257515	79
4192	4028	7983	2013-08-03 01:19:31.269747	2013-08-03 01:19:31.269747	79
4193	4028	7963	2013-08-03 01:19:31.282191	2013-08-03 01:19:31.282191	79
4194	4028	7943	2013-08-03 01:19:31.296073	2013-08-03 01:19:31.296073	79
4195	4028	7923	2013-08-03 01:19:31.311535	2013-08-03 01:19:31.311535	79
4196	4028	7903	2013-08-03 01:19:31.327004	2013-08-03 01:19:31.327004	79
4197	4028	7883	2013-08-03 01:19:31.343223	2013-08-03 01:19:31.343223	79
4198	4028	7863	2013-08-03 01:19:31.359335	2013-08-03 01:19:31.359335	79
4199	4028	7843	2013-08-03 01:19:31.373962	2013-08-03 01:19:31.373962	79
4200	4028	7380	2013-08-03 01:19:31.387419	2013-08-03 01:19:31.387419	79
4201	4028	7058	2013-08-03 01:19:31.402666	2013-08-03 01:19:31.402666	79
4202	4028	6873	2013-08-03 01:19:31.418856	2013-08-03 01:19:31.418856	79
4203	4028	4950	2013-08-03 01:19:31.434428	2013-08-03 01:19:31.434428	79
4204	4028	4617	2013-08-03 01:19:31.450754	2013-08-03 01:19:31.450754	79
4205	4028	3306	2013-08-03 01:19:31.465195	2013-08-03 01:19:31.465195	79
4206	4028	2657	2013-08-03 01:19:31.476585	2013-08-03 01:19:31.476585	79
4207	4028	2089	2013-08-03 01:19:31.490987	2013-08-03 01:19:31.490987	79
4208	4028	4491	2013-08-03 01:19:31.506221	2013-08-03 01:19:31.506221	79
4209	4028	12731	2013-08-03 01:19:31.521258	2013-08-03 01:19:31.521258	79
4210	4275	1266	2013-08-03 01:19:31.53356	2013-08-03 01:19:31.53356	79
4211	4275	1261	2013-08-03 01:19:31.538966	2013-08-03 01:19:31.538966	79
4212	4275	1272	2013-08-03 01:19:31.544266	2013-08-03 01:19:31.544266	79
4213	4275	1330	2013-08-03 01:19:31.550242	2013-08-03 01:19:31.550242	79
4214	4275	1328	2013-08-03 01:19:31.558826	2013-08-03 01:19:31.558826	79
4215	4275	1364	2013-08-03 01:19:31.568658	2013-08-03 01:19:31.568658	79
4216	4275	4511	2013-08-03 01:19:31.580663	2013-08-03 01:19:31.580663	79
4217	4275	12711	2013-08-03 01:19:31.594365	2013-08-03 01:19:31.594365	79
4218	4275	3177	2013-08-03 01:19:31.610399	2013-08-03 01:19:31.610399	79
4219	4275	8391	2013-08-03 01:19:31.624252	2013-08-03 01:19:31.624252	79
4220	4275	4159	2013-08-03 01:19:31.634396	2013-08-03 01:19:31.634396	79
4221	4275	11731	2013-08-03 01:19:31.641117	2013-08-03 01:19:31.641117	79
4222	4275	3257	2013-08-03 01:19:31.646869	2013-08-03 01:19:31.646869	79
4223	4275	4079	2013-08-03 01:19:31.651925	2013-08-03 01:19:31.651925	79
4224	4275	11811	2013-08-03 01:19:31.65814	2013-08-03 01:19:31.65814	79
4225	4275	8539	2013-08-03 01:19:31.663484	2013-08-03 01:19:31.663484	79
4226	4275	8519	2013-08-03 01:19:31.669477	2013-08-03 01:19:31.669477	79
4227	4275	8499	2013-08-03 01:19:31.676631	2013-08-03 01:19:31.676631	79
4228	4275	8479	2013-08-03 01:19:31.686948	2013-08-03 01:19:31.686948	79
4229	4568	10948	2013-08-03 01:19:31.743919	2013-08-03 01:19:31.743919	79
4230	4568	10928	2013-08-03 01:19:31.786174	2013-08-03 01:19:31.786174	79
4231	4568	10908	2013-08-03 01:19:31.792703	2013-08-03 01:19:31.792703	79
4232	4088	10888	2013-08-03 01:19:31.801965	2013-08-03 01:19:31.801965	79
4233	4088	10868	2013-08-03 01:19:31.811826	2013-08-03 01:19:31.811826	79
4234	4088	8832	2013-08-03 01:19:31.822782	2013-08-03 01:19:31.822782	79
4235	4001	8015	2013-08-03 01:19:31.835077	2013-08-03 01:19:31.835077	79
4236	4001	6958	2013-08-03 01:19:31.844783	2013-08-03 01:19:31.844783	79
4237	4001	6773	2013-08-03 01:19:31.851911	2013-08-03 01:19:31.851911	79
4238	3992	4737	2013-08-03 01:19:31.856246	2013-08-03 01:19:31.856246	79
4239	3992	4616	2013-08-03 01:19:31.860296	2013-08-03 01:19:31.860296	79
4240	3992	2645	2013-08-03 01:19:31.864259	2013-08-03 01:19:31.864259	79
4241	3985	1928	2013-08-03 01:19:31.868295	2013-08-03 01:19:31.868295	79
4242	3985	4239	2013-08-03 01:19:31.872496	2013-08-03 01:19:31.872496	79
4243	3985	12631	2013-08-03 01:19:31.877981	2013-08-03 01:19:31.877981	79
4244	4135	11408	2013-08-03 01:19:31.892827	2013-08-03 01:19:31.892827	79
4245	4135	11388	2013-08-03 01:19:31.901493	2013-08-03 01:19:31.901493	79
4246	4135	11368	2013-08-03 01:19:31.910612	2013-08-03 01:19:31.910612	79
4247	4135	11348	2013-08-03 01:19:31.921721	2013-08-03 01:19:31.921721	79
4248	4135	11328	2013-08-03 01:19:31.935596	2013-08-03 01:19:31.935596	79
4249	4135	11308	2013-08-03 01:19:31.94729	2013-08-03 01:19:31.94729	79
4250	4135	11288	2013-08-03 01:19:31.959578	2013-08-03 01:19:31.959578	79
4251	4135	11268	2013-08-03 01:19:31.971551	2013-08-03 01:19:31.971551	79
4252	4135	11248	2013-08-03 01:19:31.982936	2013-08-03 01:19:31.982936	79
4253	4135	11228	2013-08-03 01:19:31.994299	2013-08-03 01:19:31.994299	79
4254	4135	11208	2013-08-03 01:19:32.005659	2013-08-03 01:19:32.005659	79
4255	4135	11188	2013-08-03 01:19:32.017358	2013-08-03 01:19:32.017358	79
4256	4135	11168	2013-08-03 01:19:32.029132	2013-08-03 01:19:32.029132	79
4257	4135	11148	2013-08-03 01:19:32.040368	2013-08-03 01:19:32.040368	79
4258	4135	11128	2013-08-03 01:19:32.048752	2013-08-03 01:19:32.048752	79
4259	4135	11108	2013-08-03 01:19:32.060625	2013-08-03 01:19:32.060625	79
4260	4135	11088	2013-08-03 01:19:32.072444	2013-08-03 01:19:32.072444	79
4261	4135	11068	2013-08-03 01:19:32.084204	2013-08-03 01:19:32.084204	79
4262	4135	11048	2013-08-03 01:19:32.095884	2013-08-03 01:19:32.095884	79
4263	4042	12871	2013-08-03 01:19:32.15137	2013-08-03 01:19:32.15137	79
4264	4042	12851	2013-08-03 01:19:32.163582	2013-08-03 01:19:32.163582	79
4265	4042	12831	2013-08-03 01:19:32.175194	2013-08-03 01:19:32.175194	79
4266	4038	12811	2013-08-03 01:19:32.187793	2013-08-03 01:19:32.187793	79
4267	4038	12791	2013-08-03 01:19:32.199833	2013-08-03 01:19:32.199833	79
4268	4038	10928	2013-08-03 01:19:32.211368	2013-08-03 01:19:32.211368	79
4269	4002	10948	2013-08-03 01:19:32.223137	2013-08-03 01:19:32.223137	79
4270	4002	8772	2013-08-03 01:19:32.23373	2013-08-03 01:19:32.23373	79
4271	4002	7623	2013-08-03 01:19:32.244589	2013-08-03 01:19:32.244589	79
4272	3993	6713	2013-08-03 01:19:32.25966	2013-08-03 01:19:32.25966	79
4273	3993	4556	2013-08-03 01:19:32.265501	2013-08-03 01:19:32.265501	79
4274	3993	3110	2013-08-03 01:19:32.270421	2013-08-03 01:19:32.270421	79
4275	3983	10908	2013-08-03 01:19:32.276615	2013-08-03 01:19:32.276615	79
4276	3983	10668	2013-08-03 01:19:32.282137	2013-08-03 01:19:32.282137	79
4277	3983	3839	2013-08-03 01:19:32.287541	2013-08-03 01:19:32.287541	79
4278	4029	13331	2013-08-03 01:19:32.296154	2013-08-03 01:19:32.296154	79
4279	4029	13311	2013-08-03 01:19:32.301083	2013-08-03 01:19:32.301083	79
4280	4029	13291	2013-08-03 01:19:32.305395	2013-08-03 01:19:32.305395	79
4281	4029	13271	2013-08-03 01:19:32.309385	2013-08-03 01:19:32.309385	79
4282	4029	13251	2013-08-03 01:19:32.313197	2013-08-03 01:19:32.313197	79
4283	4029	13231	2013-08-03 01:19:32.318447	2013-08-03 01:19:32.318447	79
4284	4029	13211	2013-08-03 01:19:32.32385	2013-08-03 01:19:32.32385	79
4285	4029	13191	2013-08-03 01:19:32.328966	2013-08-03 01:19:32.328966	79
4286	4029	13171	2013-08-03 01:19:32.338832	2013-08-03 01:19:32.338832	79
4287	4029	13151	2013-08-03 01:19:32.350984	2013-08-03 01:19:32.350984	79
4288	4029	13131	2013-08-03 01:19:32.362809	2013-08-03 01:19:32.362809	79
4289	4029	13111	2013-08-03 01:19:32.374624	2013-08-03 01:19:32.374624	79
4290	4029	13091	2013-08-03 01:19:32.385987	2013-08-03 01:19:32.385987	79
4291	4029	13071	2013-08-03 01:19:32.397485	2013-08-03 01:19:32.397485	79
4292	4029	13051	2013-08-03 01:19:32.408998	2013-08-03 01:19:32.408998	79
4293	4029	13031	2013-08-03 01:19:32.421549	2013-08-03 01:19:32.421549	79
4294	4029	13011	2013-08-03 01:19:32.433425	2013-08-03 01:19:32.433425	79
4295	4029	12991	2013-08-03 01:19:32.444694	2013-08-03 01:19:32.444694	79
4296	4029	12971	2013-08-03 01:19:32.4565	2013-08-03 01:19:32.4565	79
4297	4089	9012	2013-08-03 01:19:32.502316	2013-08-03 01:19:32.502316	79
4298	4089	8992	2013-08-03 01:19:32.551485	2013-08-03 01:19:32.551485	79
4299	4089	7563	2013-08-03 01:19:32.562758	2013-08-03 01:19:32.562758	79
4300	4003	6713	2013-08-03 01:19:32.573396	2013-08-03 01:19:32.573396	79
4301	4003	6693	2013-08-03 01:19:32.583079	2013-08-03 01:19:32.583079	79
4302	4003	4556	2013-08-03 01:19:32.593174	2013-08-03 01:19:32.593174	79
4303	3991	3110	2013-08-03 01:19:32.603705	2013-08-03 01:19:32.603705	79
4304	3991	2879	2013-08-03 01:19:32.613795	2013-08-03 01:19:32.613795	79
4305	3991	2585	2013-08-03 01:19:32.624306	2013-08-03 01:19:32.624306	79
4306	3990	3999	2013-08-03 01:19:32.635269	2013-08-03 01:19:32.635269	79
4307	3990	3859	2013-08-03 01:19:32.645815	2013-08-03 01:19:32.645815	79
4308	3990	9391	2013-08-03 01:19:32.65606	2013-08-03 01:19:32.65606	79
4309	3984	9371	2013-08-03 01:19:32.666708	2013-08-03 01:19:32.666708	79
4310	3984	8639	2013-08-03 01:19:32.676817	2013-08-03 01:19:32.676817	79
4311	3984	8431	2013-08-03 01:19:32.687248	2013-08-03 01:19:32.687248	79
4312	4114	7193	2013-08-03 01:19:32.716423	2013-08-03 01:19:32.716423	79
4313	4114	7173	2013-08-03 01:19:32.728163	2013-08-03 01:19:32.728163	79
4314	4114	7153	2013-08-03 01:19:32.739432	2013-08-03 01:19:32.739432	79
4315	4114	7133	2013-08-03 01:19:32.750453	2013-08-03 01:19:32.750453	79
4316	4114	7113	2013-08-03 01:19:32.76137	2013-08-03 01:19:32.76137	79
4317	4114	7093	2013-08-03 01:19:32.772272	2013-08-03 01:19:32.772272	79
4318	4114	7073	2013-08-03 01:19:32.783209	2013-08-03 01:19:32.783209	79
4319	4114	7053	2013-08-03 01:19:32.794473	2013-08-03 01:19:32.794473	79
4320	4114	7033	2013-08-03 01:19:32.805302	2013-08-03 01:19:32.805302	79
4321	4114	7013	2013-08-03 01:19:32.816008	2013-08-03 01:19:32.816008	79
4322	4114	6993	2013-08-03 01:19:32.827727	2013-08-03 01:19:32.827727	79
4323	4114	6973	2013-08-03 01:19:32.839173	2013-08-03 01:19:32.839173	79
4324	4114	6953	2013-08-03 01:19:32.850189	2013-08-03 01:19:32.850189	79
4325	4114	6933	2013-08-03 01:19:32.861179	2013-08-03 01:19:32.861179	79
4326	4114	6653	2013-08-03 01:19:32.870182	2013-08-03 01:19:32.870182	79
4327	4114	2605	2013-08-03 01:19:32.873936	2013-08-03 01:19:32.873936	79
4328	4114	2009	2013-08-03 01:19:32.877642	2013-08-03 01:19:32.877642	79
4329	4114	12571	2013-08-03 01:19:32.882355	2013-08-03 01:19:32.882355	79
4330	4114	3879	2013-08-03 01:19:32.886671	2013-08-03 01:19:32.886671	79
4331	4000	8415	2013-08-03 01:19:32.908498	2013-08-03 01:19:32.908498	79
4332	4000	8395	2013-08-03 01:19:32.916961	2013-08-03 01:19:32.916961	79
4333	4000	8375	2013-08-03 01:19:32.927358	2013-08-03 01:19:32.927358	79
4334	4000	8355	2013-08-03 01:19:32.93913	2013-08-03 01:19:32.93913	79
4335	3994	8335	2013-08-03 01:19:32.950729	2013-08-03 01:19:32.950729	79
4336	3994	8315	2013-08-03 01:19:32.95757	2013-08-03 01:19:32.95757	79
4337	3994	8295	2013-08-03 01:19:32.965711	2013-08-03 01:19:32.965711	79
4338	3994	8275	2013-08-03 01:19:32.976717	2013-08-03 01:19:32.976717	79
4339	3989	8255	2013-08-03 01:19:32.98886	2013-08-03 01:19:32.98886	79
4340	3989	8235	2013-08-03 01:19:32.994839	2013-08-03 01:19:32.994839	79
4341	3989	8215	2013-08-03 01:19:33.000232	2013-08-03 01:19:33.000232	79
4342	3989	8195	2013-08-03 01:19:33.004113	2013-08-03 01:19:33.004113	79
4343	3986	8175	2013-08-03 01:19:33.009835	2013-08-03 01:19:33.009835	79
4344	3986	2346	2013-08-03 01:19:33.014522	2013-08-03 01:19:33.014522	79
4345	3986	1872	2013-08-03 01:19:33.019671	2013-08-03 01:19:33.019671	79
4346	3986	4179	2013-08-03 01:19:33.023906	2013-08-03 01:19:33.023906	79
4347	4058	8855	2013-08-03 01:19:33.037737	2013-08-03 01:19:33.037737	79
4348	4058	8835	2013-08-03 01:19:33.047634	2013-08-03 01:19:33.047634	79
4349	4058	8815	2013-08-03 01:19:33.055054	2013-08-03 01:19:33.055054	79
4350	4058	8795	2013-08-03 01:19:33.059111	2013-08-03 01:19:33.059111	79
4351	4058	8775	2013-08-03 01:19:33.062967	2013-08-03 01:19:33.062967	79
4352	4058	8755	2013-08-03 01:19:33.066559	2013-08-03 01:19:33.066559	79
4353	4058	8735	2013-08-03 01:19:33.070256	2013-08-03 01:19:33.070256	79
4354	4058	8715	2013-08-03 01:19:33.074584	2013-08-03 01:19:33.074584	79
4355	4058	8695	2013-08-03 01:19:33.079276	2013-08-03 01:19:33.079276	79
4356	4058	8675	2013-08-03 01:19:33.084609	2013-08-03 01:19:33.084609	79
4357	4058	8655	2013-08-03 01:19:33.089968	2013-08-03 01:19:33.089968	79
4358	4058	8635	2013-08-03 01:19:33.101097	2013-08-03 01:19:33.101097	79
4359	4058	8615	2013-08-03 01:19:33.11371	2013-08-03 01:19:33.11371	79
4360	4058	8595	2013-08-03 01:19:33.125233	2013-08-03 01:19:33.125233	79
4361	4058	8575	2013-08-03 01:19:33.137807	2013-08-03 01:19:33.137807	79
4362	4058	8555	2013-08-03 01:19:33.191894	2013-08-03 01:19:33.191894	79
4363	4058	8535	2013-08-03 01:19:33.197075	2013-08-03 01:19:33.197075	79
4364	4058	8515	2013-08-03 01:19:33.201143	2013-08-03 01:19:33.201143	79
4365	4058	8495	2013-08-03 01:19:33.204822	2013-08-03 01:19:33.204822	79
4366	4570	9497	2013-08-03 01:19:33.22869	2013-08-03 01:19:33.22869	79
4367	4570	9477	2013-08-03 01:19:33.233064	2013-08-03 01:19:33.233064	79
4368	4570	7437	2013-08-03 01:19:33.239058	2013-08-03 01:19:33.239058	79
4369	4103	4830	2013-08-03 01:19:33.244593	2013-08-03 01:19:33.244593	79
4370	4103	3186	2013-08-03 01:19:33.250984	2013-08-03 01:19:33.250984	79
4371	4103	3146	2013-08-03 01:19:33.25526	2013-08-03 01:19:33.25526	79
4372	4043	2525	2013-08-03 01:19:33.258896	2013-08-03 01:19:33.258896	79
4373	4043	2590	2013-08-03 01:19:33.263049	2013-08-03 01:19:33.263049	79
4374	4043	2364	2013-08-03 01:19:33.267301	2013-08-03 01:19:33.267301	79
4375	4020	1989	2013-08-03 01:19:33.271505	2013-08-03 01:19:33.271505	79
4376	4020	2005	2013-08-03 01:19:33.276244	2013-08-03 01:19:33.276244	79
4377	4020	1969	2013-08-03 01:19:33.280059	2013-08-03 01:19:33.280059	79
4378	4004	3959	2013-08-03 01:19:33.283908	2013-08-03 01:19:33.283908	79
4379	4004	3939	2013-08-03 01:19:33.288485	2013-08-03 01:19:33.288485	79
4380	4004	3832	2013-08-03 01:19:33.294385	2013-08-03 01:19:33.294385	79
4381	4041	7378	2013-08-03 01:19:33.309918	2013-08-03 01:19:33.309918	79
4382	4041	7358	2013-08-03 01:19:33.313449	2013-08-03 01:19:33.313449	79
4383	4041	7338	2013-08-03 01:19:33.316669	2013-08-03 01:19:33.316669	79
4384	4041	7318	2013-08-03 01:19:33.319813	2013-08-03 01:19:33.319813	79
4385	4005	7298	2013-08-03 01:19:33.324096	2013-08-03 01:19:33.324096	79
4386	4005	7278	2013-08-03 01:19:33.32775	2013-08-03 01:19:33.32775	79
4387	4005	7258	2013-08-03 01:19:33.331691	2013-08-03 01:19:33.331691	79
4388	4005	7238	2013-08-03 01:19:33.335064	2013-08-03 01:19:33.335064	79
4389	3995	7157	2013-08-03 01:19:33.341741	2013-08-03 01:19:33.341741	79
4390	3995	7218	2013-08-03 01:19:33.348969	2013-08-03 01:19:33.348969	79
4391	3995	7198	2013-08-03 01:19:33.35347	2013-08-03 01:19:33.35347	79
4392	3995	7178	2013-08-03 01:19:33.358037	2013-08-03 01:19:33.358037	79
4393	3987	7158	2013-08-03 01:19:33.36244	2013-08-03 01:19:33.36244	79
4394	3987	7138	2013-08-03 01:19:33.366616	2013-08-03 01:19:33.366616	79
4395	3987	7118	2013-08-03 01:19:33.370709	2013-08-03 01:19:33.370709	79
4396	3987	11771	2013-08-03 01:19:33.375858	2013-08-03 01:19:33.375858	79
4397	4045	7760	2013-08-03 01:19:33.389969	2013-08-03 01:19:33.389969	79
4398	4045	7740	2013-08-03 01:19:33.394156	2013-08-03 01:19:33.394156	79
4399	4045	7720	2013-08-03 01:19:33.398265	2013-08-03 01:19:33.398265	79
4400	4045	7700	2013-08-03 01:19:33.40258	2013-08-03 01:19:33.40258	79
4401	4045	7680	2013-08-03 01:19:33.407067	2013-08-03 01:19:33.407067	79
4402	4045	7660	2013-08-03 01:19:33.411213	2013-08-03 01:19:33.411213	79
4403	4040	7640	2013-08-03 01:19:33.415575	2013-08-03 01:19:33.415575	79
4404	4040	7620	2013-08-03 01:19:33.419711	2013-08-03 01:19:33.419711	79
4405	4040	7600	2013-08-03 01:19:33.423884	2013-08-03 01:19:33.423884	79
4406	4040	7580	2013-08-03 01:19:33.429341	2013-08-03 01:19:33.429341	79
4407	4040	7560	2013-08-03 01:19:33.43484	2013-08-03 01:19:33.43484	79
4408	4040	7540	2013-08-03 01:19:33.439534	2013-08-03 01:19:33.439534	79
4409	4026	7483	2013-08-03 01:19:33.445537	2013-08-03 01:19:33.445537	79
4410	4026	7520	2013-08-03 01:19:33.450354	2013-08-03 01:19:33.450354	79
4411	4026	7500	2013-08-03 01:19:33.455127	2013-08-03 01:19:33.455127	79
4412	4026	7480	2013-08-03 01:19:33.461142	2013-08-03 01:19:33.461142	79
4413	4026	7460	2013-08-03 01:19:33.466662	2013-08-03 01:19:33.466662	79
4414	4026	7440	2013-08-03 01:19:33.471626	2013-08-03 01:19:33.471626	79
4415	6820	9059	2013-08-03 01:25:22.49707	2013-08-03 01:25:22.49707	80
4416	6820	9079	2013-08-03 01:25:22.509669	2013-08-03 01:25:22.509669	80
4417	6820	9099	2013-08-03 01:25:22.515601	2013-08-03 01:25:22.515601	80
4418	6435	9119	2013-08-03 01:25:22.521547	2013-08-03 01:25:22.521547	80
4419	6435	9139	2013-08-03 01:25:22.52721	2013-08-03 01:25:22.52721	80
4420	6435	9159	2013-08-03 01:25:22.535812	2013-08-03 01:25:22.535812	80
4421	5600	9179	2013-08-03 01:25:22.552911	2013-08-03 01:25:22.552911	80
4422	5600	9199	2013-08-03 01:25:22.568145	2013-08-03 01:25:22.568145	80
4423	5600	9219	2013-08-03 01:25:22.583574	2013-08-03 01:25:22.583574	80
4424	4896	9239	2013-08-03 01:25:22.600189	2013-08-03 01:25:22.600189	80
4425	4896	9259	2013-08-03 01:25:22.613527	2013-08-03 01:25:22.613527	80
4426	4896	9279	2013-08-03 01:25:22.626628	2013-08-03 01:25:22.626628	80
4427	4796	9299	2013-08-03 01:25:22.643386	2013-08-03 01:25:22.643386	80
4428	4796	9319	2013-08-03 01:25:22.659249	2013-08-03 01:25:22.659249	80
4429	4796	9339	2013-08-03 01:25:22.674107	2013-08-03 01:25:22.674107	80
4430	5710	8503	2013-08-03 01:25:22.70993	2013-08-03 01:25:22.70993	80
4431	5710	8483	2013-08-03 01:25:22.726447	2013-08-03 01:25:22.726447	80
4432	5710	8392	2013-08-03 01:25:22.742443	2013-08-03 01:25:22.742443	80
4433	5710	8463	2013-08-03 01:25:22.758609	2013-08-03 01:25:22.758609	80
4434	5710	8443	2013-08-03 01:25:22.772163	2013-08-03 01:25:22.772163	80
4435	5710	8423	2013-08-03 01:25:22.781854	2013-08-03 01:25:22.781854	80
4436	5710	8403	2013-08-03 01:25:22.797055	2013-08-03 01:25:22.797055	80
4437	5710	8383	2013-08-03 01:25:22.812596	2013-08-03 01:25:22.812596	80
4438	5710	8363	2013-08-03 01:25:22.827757	2013-08-03 01:25:22.827757	80
4439	5710	8343	2013-08-03 01:25:22.843059	2013-08-03 01:25:22.843059	80
4440	5710	7840	2013-08-03 01:25:22.85643	2013-08-03 01:25:22.85643	80
4441	5710	7523	2013-08-03 01:25:22.867405	2013-08-03 01:25:22.867405	80
4442	5710	7393	2013-08-03 01:25:22.88202	2013-08-03 01:25:22.88202	80
4443	5710	5130	2013-08-03 01:25:22.896371	2013-08-03 01:25:22.896371	80
4444	5710	4856	2013-08-03 01:25:22.911278	2013-08-03 01:25:22.911278	80
4445	5710	3566	2013-08-03 01:25:22.925863	2013-08-03 01:25:22.925863	80
4446	5710	2945	2013-08-03 01:25:22.935985	2013-08-03 01:25:22.935985	80
4447	5710	2249	2013-08-03 01:25:22.941657	2013-08-03 01:25:22.941657	80
4448	5710	4779	2013-08-03 01:25:22.953312	2013-08-03 01:25:22.953312	80
4449	5141	3225	2013-08-03 01:25:22.991541	2013-08-03 01:25:22.991541	80
4450	5141	3205	2013-08-03 01:25:23.005649	2013-08-03 01:25:23.005649	80
4451	5141	3185	2013-08-03 01:25:23.019943	2013-08-03 01:25:23.019943	80
4452	5141	3165	2013-08-03 01:25:23.035492	2013-08-03 01:25:23.035492	80
4453	5141	3145	2013-08-03 01:25:23.051547	2013-08-03 01:25:23.051547	80
4454	5141	3006	2013-08-03 01:25:23.066954	2013-08-03 01:25:23.066954	80
4455	5141	3125	2013-08-03 01:25:23.082287	2013-08-03 01:25:23.082287	80
4456	5141	3105	2013-08-03 01:25:23.096465	2013-08-03 01:25:23.096465	80
4457	5141	3085	2013-08-03 01:25:23.110085	2013-08-03 01:25:23.110085	80
4458	5141	3065	2013-08-03 01:25:23.125666	2013-08-03 01:25:23.125666	80
4459	5141	3045	2013-08-03 01:25:23.142056	2013-08-03 01:25:23.142056	80
4460	5141	3025	2013-08-03 01:25:23.158536	2013-08-03 01:25:23.158536	80
4461	5141	3005	2013-08-03 01:25:23.175269	2013-08-03 01:25:23.175269	80
4462	5141	2985	2013-08-03 01:25:23.192797	2013-08-03 01:25:23.192797	80
4463	5141	2979	2013-08-03 01:25:23.240391	2013-08-03 01:25:23.240391	80
4464	5141	2846	2013-08-03 01:25:23.247444	2013-08-03 01:25:23.247444	80
4465	5141	2209	2013-08-03 01:25:23.257167	2013-08-03 01:25:23.257167	80
4466	5141	4819	2013-08-03 01:25:23.263457	2013-08-03 01:25:23.263457	80
4467	5141	11608	2013-08-03 01:25:23.273746	2013-08-03 01:25:23.273746	80
4468	5602	11808	2013-08-03 01:25:23.32409	2013-08-03 01:25:23.32409	80
4469	5602	11788	2013-08-03 01:25:23.3355	2013-08-03 01:25:23.3355	80
4470	5602	11768	2013-08-03 01:25:23.346896	2013-08-03 01:25:23.346896	80
4471	5075	11748	2013-08-03 01:25:23.359081	2013-08-03 01:25:23.359081	80
4472	5075	11728	2013-08-03 01:25:23.370428	2013-08-03 01:25:23.370428	80
4473	5075	11708	2013-08-03 01:25:23.382332	2013-08-03 01:25:23.382332	80
4474	4898	9192	2013-08-03 01:25:23.394491	2013-08-03 01:25:23.394491	80
4475	4898	8043	2013-08-03 01:25:23.402197	2013-08-03 01:25:23.402197	80
4476	4898	7313	2013-08-03 01:25:23.40823	2013-08-03 01:25:23.40823	80
4477	4804	5030	2013-08-03 01:25:23.414496	2013-08-03 01:25:23.414496	80
4478	4804	4756	2013-08-03 01:25:23.419059	2013-08-03 01:25:23.419059	80
4479	4804	3486	2013-08-03 01:25:23.423699	2013-08-03 01:25:23.423699	80
4480	4789	2184	2013-08-03 01:25:23.427626	2013-08-03 01:25:23.427626	80
4481	4789	9171	2013-08-03 01:25:23.43142	2013-08-03 01:25:23.43142	80
4482	4789	4879	2013-08-03 01:25:23.435043	2013-08-03 01:25:23.435043	80
4483	5708	12268	2013-08-03 01:25:23.44918	2013-08-03 01:25:23.44918	80
4484	5708	12248	2013-08-03 01:25:23.453822	2013-08-03 01:25:23.453822	80
4485	5708	12228	2013-08-03 01:25:23.461529	2013-08-03 01:25:23.461529	80
4486	5708	12208	2013-08-03 01:25:23.473019	2013-08-03 01:25:23.473019	80
4487	5708	12188	2013-08-03 01:25:23.484041	2013-08-03 01:25:23.484041	80
4488	5708	12168	2013-08-03 01:25:23.495266	2013-08-03 01:25:23.495266	80
4489	5708	12148	2013-08-03 01:25:23.506417	2013-08-03 01:25:23.506417	80
4490	5708	12128	2013-08-03 01:25:23.517551	2013-08-03 01:25:23.517551	80
4491	5708	12108	2013-08-03 01:25:23.528762	2013-08-03 01:25:23.528762	80
4492	5708	12088	2013-08-03 01:25:23.540287	2013-08-03 01:25:23.540287	80
4493	5708	12068	2013-08-03 01:25:23.551471	2013-08-03 01:25:23.551471	80
4494	5708	12048	2013-08-03 01:25:23.562717	2013-08-03 01:25:23.562717	80
4495	5708	12028	2013-08-03 01:25:23.573841	2013-08-03 01:25:23.573841	80
4496	5708	12008	2013-08-03 01:25:23.585074	2013-08-03 01:25:23.585074	80
4497	5708	11988	2013-08-03 01:25:23.596291	2013-08-03 01:25:23.596291	80
4498	5708	11968	2013-08-03 01:25:23.60784	2013-08-03 01:25:23.60784	80
4499	5708	11948	2013-08-03 01:25:23.619377	2013-08-03 01:25:23.619377	80
4500	5708	11928	2013-08-03 01:25:23.629353	2013-08-03 01:25:23.629353	80
4501	5708	11908	2013-08-03 01:25:23.639805	2013-08-03 01:25:23.639805	80
4502	6529	11508	2013-08-03 01:25:23.679699	2013-08-03 01:25:23.679699	80
4503	6529	9477	2013-08-03 01:25:23.688737	2013-08-03 01:25:23.688737	80
4504	6529	9497	2013-08-03 01:25:23.697608	2013-08-03 01:25:23.697608	80
4505	5224	9132	2013-08-03 01:25:23.706858	2013-08-03 01:25:23.706858	80
4506	5224	8163	2013-08-03 01:25:23.717253	2013-08-03 01:25:23.717253	80
4507	5224	7437	2013-08-03 01:25:23.727267	2013-08-03 01:25:23.727267	80
4508	5013	7253	2013-08-03 01:25:23.738367	2013-08-03 01:25:23.738367	80
4509	5013	4576	2013-08-03 01:25:23.748762	2013-08-03 01:25:23.748762	80
4510	5013	3446	2013-08-03 01:25:23.758758	2013-08-03 01:25:23.758758	80
4511	4900	3086	2013-08-03 01:25:23.770611	2013-08-03 01:25:23.770611	80
4512	4900	2905	2013-08-03 01:25:23.782604	2013-08-03 01:25:23.782604	80
4513	4900	2805	2013-08-03 01:25:23.793181	2013-08-03 01:25:23.793181	80
4514	4797	2825	2013-08-03 01:25:23.803601	2013-08-03 01:25:23.803601	80
4515	4797	2084	2013-08-03 01:25:23.814073	2013-08-03 01:25:23.814073	80
4516	4797	9091	2013-08-03 01:25:23.824236	2013-08-03 01:25:23.824236	80
4517	4791	4371	2013-08-03 01:25:23.835032	2013-08-03 01:25:23.835032	80
4518	4791	4939	2013-08-03 01:25:23.845458	2013-08-03 01:25:23.845458	80
4519	4791	9151	2013-08-03 01:25:23.855557	2013-08-03 01:25:23.855557	80
4520	5896	13671	2013-08-03 01:25:23.881213	2013-08-03 01:25:23.881213	80
4521	5896	13651	2013-08-03 01:25:23.885105	2013-08-03 01:25:23.885105	80
4522	5896	13631	2013-08-03 01:25:23.888639	2013-08-03 01:25:23.888639	80
4523	5896	13611	2013-08-03 01:25:23.891858	2013-08-03 01:25:23.891858	80
4524	5896	13591	2013-08-03 01:25:23.895265	2013-08-03 01:25:23.895265	80
4525	5896	13571	2013-08-03 01:25:23.898816	2013-08-03 01:25:23.898816	80
4526	5896	13551	2013-08-03 01:25:23.904124	2013-08-03 01:25:23.904124	80
4527	5896	13531	2013-08-03 01:25:23.911187	2013-08-03 01:25:23.911187	80
4528	5896	13511	2013-08-03 01:25:23.963378	2013-08-03 01:25:23.963378	80
4529	5896	13491	2013-08-03 01:25:23.9732	2013-08-03 01:25:23.9732	80
4530	5896	13471	2013-08-03 01:25:23.984186	2013-08-03 01:25:23.984186	80
4531	5896	13451	2013-08-03 01:25:23.99525	2013-08-03 01:25:23.99525	80
4532	5896	13431	2013-08-03 01:25:24.00606	2013-08-03 01:25:24.00606	80
4533	5896	13411	2013-08-03 01:25:24.017129	2013-08-03 01:25:24.017129	80
4534	5896	13391	2013-08-03 01:25:24.028696	2013-08-03 01:25:24.028696	80
4535	5896	13371	2013-08-03 01:25:24.03989	2013-08-03 01:25:24.03989	80
4536	5896	11508	2013-08-03 01:25:24.050285	2013-08-03 01:25:24.050285	80
4537	5896	9477	2013-08-03 01:25:24.059977	2013-08-03 01:25:24.059977	80
4538	5896	9497	2013-08-03 01:25:24.069489	2013-08-03 01:25:24.069489	80
4539	5614	9512	2013-08-03 01:25:24.097769	2013-08-03 01:25:24.097769	80
4540	5614	9492	2013-08-03 01:25:24.108023	2013-08-03 01:25:24.108023	80
4541	5614	9472	2013-08-03 01:25:24.118602	2013-08-03 01:25:24.118602	80
4542	5601	9452	2013-08-03 01:25:24.129962	2013-08-03 01:25:24.129962	80
4543	5601	9432	2013-08-03 01:25:24.140111	2013-08-03 01:25:24.140111	80
4544	5601	9412	2013-08-03 01:25:24.150161	2013-08-03 01:25:24.150161	80
4545	5333	9392	2013-08-03 01:25:24.160777	2013-08-03 01:25:24.160777	80
4546	5333	9372	2013-08-03 01:25:24.171016	2013-08-03 01:25:24.171016	80
4547	5333	9352	2013-08-03 01:25:24.181348	2013-08-03 01:25:24.181348	80
4548	4951	7233	2013-08-03 01:25:24.19199	2013-08-03 01:25:24.19199	80
4549	4951	2725	2013-08-03 01:25:24.201394	2013-08-03 01:25:24.201394	80
4550	4951	2049	2013-08-03 01:25:24.210704	2013-08-03 01:25:24.210704	80
4551	4901	9051	2013-08-03 01:25:24.220455	2013-08-03 01:25:24.220455	80
4552	4901	4391	2013-08-03 01:25:24.229775	2013-08-03 01:25:24.229775	80
4553	4901	3932	2013-08-03 01:25:24.239265	2013-08-03 01:25:24.239265	80
4554	4848	9099	2013-08-03 01:25:24.243884	2013-08-03 01:25:24.243884	80
4555	4848	9079	2013-08-03 01:25:24.247441	2013-08-03 01:25:24.247441	80
4556	4848	9059	2013-08-03 01:25:24.252991	2013-08-03 01:25:24.252991	80
4557	5140	7603	2013-08-03 01:25:24.267056	2013-08-03 01:25:24.267056	80
4558	5140	7693	2013-08-03 01:25:24.271987	2013-08-03 01:25:24.271987	80
4559	5140	7673	2013-08-03 01:25:24.278439	2013-08-03 01:25:24.278439	80
4560	5140	7653	2013-08-03 01:25:24.288886	2013-08-03 01:25:24.288886	80
4561	5140	7633	2013-08-03 01:25:24.299675	2013-08-03 01:25:24.299675	80
4562	5140	7613	2013-08-03 01:25:24.311165	2013-08-03 01:25:24.311165	80
4563	5140	7593	2013-08-03 01:25:24.322164	2013-08-03 01:25:24.322164	80
4564	5140	7573	2013-08-03 01:25:24.333346	2013-08-03 01:25:24.333346	80
4565	5140	7553	2013-08-03 01:25:24.344437	2013-08-03 01:25:24.344437	80
4566	5140	7533	2013-08-03 01:25:24.355297	2013-08-03 01:25:24.355297	80
4567	5140	7513	2013-08-03 01:25:24.366141	2013-08-03 01:25:24.366141	80
4568	5140	7493	2013-08-03 01:25:24.377083	2013-08-03 01:25:24.377083	80
4569	5140	7473	2013-08-03 01:25:24.387793	2013-08-03 01:25:24.387793	80
4570	5140	7453	2013-08-03 01:25:24.398753	2013-08-03 01:25:24.398753	80
4571	5140	2161	2013-08-03 01:25:24.409877	2013-08-03 01:25:24.409877	80
4572	5140	1921	2013-08-03 01:25:24.4216	2013-08-03 01:25:24.4216	80
4573	5140	9031	2013-08-03 01:25:24.425892	2013-08-03 01:25:24.425892	80
4574	5140	3952	2013-08-03 01:25:24.434304	2013-08-03 01:25:24.434304	80
4575	5140	4451	2013-08-03 01:25:24.438233	2013-08-03 01:25:24.438233	80
4576	6846	8083	2013-08-03 01:25:24.457502	2013-08-03 01:25:24.457502	80
4577	6846	3346	2013-08-03 01:25:24.46324	2013-08-03 01:25:24.46324	80
4578	6780	3350	2013-08-03 01:25:24.469654	2013-08-03 01:25:24.469654	80
4579	6780	3366	2013-08-03 01:25:24.472887	2013-08-03 01:25:24.472887	80
4580	5472	2941	2013-08-03 01:25:24.476449	2013-08-03 01:25:24.476449	80
4581	5472	2745	2013-08-03 01:25:24.480784	2013-08-03 01:25:24.480784	80
4582	5007	2169	2013-08-03 01:25:24.485215	2013-08-03 01:25:24.485215	80
4583	5007	1980	2013-08-03 01:25:24.490907	2013-08-03 01:25:24.490907	80
4584	4897	1949	2013-08-03 01:25:24.496857	2013-08-03 01:25:24.496857	80
4585	4897	1739	2013-08-03 01:25:24.50291	2013-08-03 01:25:24.50291	80
4586	4794	4092	2013-08-03 01:25:24.508209	2013-08-03 01:25:24.508209	80
4587	4794	4219	2013-08-03 01:25:24.512466	2013-08-03 01:25:24.512466	80
4588	4790	8499	2013-08-03 01:25:24.521067	2013-08-03 01:25:24.521067	80
4589	4790	8431	2013-08-03 01:25:24.526593	2013-08-03 01:25:24.526593	80
4590	5332	9335	2013-08-03 01:25:24.575823	2013-08-03 01:25:24.575823	80
4591	5332	9315	2013-08-03 01:25:24.581372	2013-08-03 01:25:24.581372	80
4592	5332	9295	2013-08-03 01:25:24.585908	2013-08-03 01:25:24.585908	80
4593	5332	9275	2013-08-03 01:25:24.590455	2013-08-03 01:25:24.590455	80
4594	5332	9255	2013-08-03 01:25:24.595098	2013-08-03 01:25:24.595098	80
4595	5332	9235	2013-08-03 01:25:24.600378	2013-08-03 01:25:24.600378	80
4596	5332	9215	2013-08-03 01:25:24.607553	2013-08-03 01:25:24.607553	80
4597	5332	9195	2013-08-03 01:25:24.614876	2013-08-03 01:25:24.614876	80
4598	5332	9175	2013-08-03 01:25:24.623162	2013-08-03 01:25:24.623162	80
4599	5332	9155	2013-08-03 01:25:24.631486	2013-08-03 01:25:24.631486	80
4600	5332	9135	2013-08-03 01:25:24.640303	2013-08-03 01:25:24.640303	80
4601	5332	9115	2013-08-03 01:25:24.649936	2013-08-03 01:25:24.649936	80
4602	5332	9095	2013-08-03 01:25:24.660004	2013-08-03 01:25:24.660004	80
4603	5332	9075	2013-08-03 01:25:24.670093	2013-08-03 01:25:24.670093	80
4604	5332	9055	2013-08-03 01:25:24.680216	2013-08-03 01:25:24.680216	80
4605	5332	9035	2013-08-03 01:25:24.690247	2013-08-03 01:25:24.690247	80
4606	5332	9015	2013-08-03 01:25:24.700464	2013-08-03 01:25:24.700464	80
4607	5332	8995	2013-08-03 01:25:24.710588	2013-08-03 01:25:24.710588	80
4608	5332	8975	2013-08-03 01:25:24.720692	2013-08-03 01:25:24.720692	80
4609	6411	10037	2013-08-03 01:25:24.756511	2013-08-03 01:25:24.756511	80
4610	6411	10017	2013-08-03 01:25:24.76789	2013-08-03 01:25:24.76789	80
4611	6411	9997	2013-08-03 01:25:24.779256	2013-08-03 01:25:24.779256	80
4612	6371	9977	2013-08-03 01:25:24.790244	2013-08-03 01:25:24.790244	80
4613	6371	9957	2013-08-03 01:25:24.801481	2013-08-03 01:25:24.801481	80
4614	6371	9937	2013-08-03 01:25:24.813103	2013-08-03 01:25:24.813103	80
4615	5426	9917	2013-08-03 01:25:24.824992	2013-08-03 01:25:24.824992	80
4616	5426	9897	2013-08-03 01:25:24.836171	2013-08-03 01:25:24.836171	80
4617	5426	9877	2013-08-03 01:25:24.847325	2013-08-03 01:25:24.847325	80
4618	5012	9857	2013-08-03 01:25:24.858951	2013-08-03 01:25:24.858951	80
4619	5012	9837	2013-08-03 01:25:24.869999	2013-08-03 01:25:24.869999	80
4620	5012	9817	2013-08-03 01:25:24.881208	2013-08-03 01:25:24.881208	80
4621	4902	9797	2013-08-03 01:25:24.893027	2013-08-03 01:25:24.893027	80
4622	4902	9777	2013-08-03 01:25:24.904162	2013-08-03 01:25:24.904162	80
4623	4902	9757	2013-08-03 01:25:24.915346	2013-08-03 01:25:24.915346	80
4624	4798	9737	2013-08-03 01:25:24.926959	2013-08-03 01:25:24.926959	80
4625	4798	4531	2013-08-03 01:25:24.938196	2013-08-03 01:25:24.938196	80
4626	4798	8639	2013-08-03 01:25:24.948384	2013-08-03 01:25:24.948384	80
4627	5489	7838	2013-08-03 01:25:24.990372	2013-08-03 01:25:24.990372	80
4628	5489	7818	2013-08-03 01:25:25.001721	2013-08-03 01:25:25.001721	80
4629	5489	7798	2013-08-03 01:25:25.01292	2013-08-03 01:25:25.01292	80
4630	5011	7778	2013-08-03 01:25:25.024749	2013-08-03 01:25:25.024749	80
4631	5011	7758	2013-08-03 01:25:25.036041	2013-08-03 01:25:25.036041	80
4632	5011	7738	2013-08-03 01:25:25.047104	2013-08-03 01:25:25.047104	80
4633	4904	7718	2013-08-03 01:25:25.058671	2013-08-03 01:25:25.058671	80
4634	4904	7698	2013-08-03 01:25:25.069664	2013-08-03 01:25:25.069664	80
4635	4904	7678	2013-08-03 01:25:25.080809	2013-08-03 01:25:25.080809	80
4636	4801	7658	2013-08-03 01:25:25.09243	2013-08-03 01:25:25.09243	80
4637	4801	7638	2013-08-03 01:25:25.103373	2013-08-03 01:25:25.103373	80
4638	4801	7618	2013-08-03 01:25:25.114661	2013-08-03 01:25:25.114661	80
4639	4793	7598	2013-08-03 01:25:25.126374	2013-08-03 01:25:25.126374	80
4640	4793	7578	2013-08-03 01:25:25.138593	2013-08-03 01:25:25.138593	80
4641	4793	8539	2013-08-03 01:25:25.151486	2013-08-03 01:25:25.151486	80
4642	5551	8180	2013-08-03 01:25:25.202774	2013-08-03 01:25:25.202774	80
4643	5551	8160	2013-08-03 01:25:25.215705	2013-08-03 01:25:25.215705	80
4644	5551	8140	2013-08-03 01:25:25.228231	2013-08-03 01:25:25.228231	80
4645	5009	8120	2013-08-03 01:25:25.240825	2013-08-03 01:25:25.240825	80
4646	5009	8100	2013-08-03 01:25:25.289932	2013-08-03 01:25:25.289932	80
4647	5009	8080	2013-08-03 01:25:25.295032	2013-08-03 01:25:25.295032	80
4648	4905	8060	2013-08-03 01:25:25.300568	2013-08-03 01:25:25.300568	80
4649	4905	8040	2013-08-03 01:25:25.306129	2013-08-03 01:25:25.306129	80
4650	4905	8020	2013-08-03 01:25:25.311455	2013-08-03 01:25:25.311455	80
4651	4795	8000	2013-08-03 01:25:25.317803	2013-08-03 01:25:25.317803	80
4652	4795	7980	2013-08-03 01:25:25.324119	2013-08-03 01:25:25.324119	80
4653	4795	7960	2013-08-03 01:25:25.331128	2013-08-03 01:25:25.331128	80
4654	4792	7940	2013-08-03 01:25:25.339287	2013-08-03 01:25:25.339287	80
4655	4792	7920	2013-08-03 01:25:25.347565	2013-08-03 01:25:25.347565	80
4656	4792	7900	2013-08-03 01:25:25.356027	2013-08-03 01:25:25.356027	80
4657	7215	9151	2013-08-03 01:32:13.467067	2013-08-03 01:32:13.467067	81
4658	7215	9371	2013-08-03 01:32:13.472962	2013-08-03 01:32:13.472962	81
4659	7215	9511	2013-08-03 01:32:13.478139	2013-08-03 01:32:13.478139	81
4660	7219	4555	2013-08-03 01:32:13.48362	2013-08-03 01:32:13.48362	81
4661	7219	7557	2013-08-03 01:32:13.488467	2013-08-03 01:32:13.488467	81
4662	7219	7537	2013-08-03 01:32:13.494688	2013-08-03 01:32:13.494688	81
4663	7614	4698	2013-08-03 01:32:13.505632	2013-08-03 01:32:13.505632	81
4664	7614	4678	2013-08-03 01:32:13.517027	2013-08-03 01:32:13.517027	81
4665	7614	4658	2013-08-03 01:32:13.528005	2013-08-03 01:32:13.528005	81
4666	7342	4638	2013-08-03 01:32:13.539743	2013-08-03 01:32:13.539743	81
4667	7342	4618	2013-08-03 01:32:13.551233	2013-08-03 01:32:13.551233	81
4668	7342	4598	2013-08-03 01:32:13.562679	2013-08-03 01:32:13.562679	81
4669	7371	8959	2013-08-03 01:32:13.574936	2013-08-03 01:32:13.574936	81
4670	7371	8939	2013-08-03 01:32:13.587134	2013-08-03 01:32:13.587134	81
4671	7371	8919	2013-08-03 01:32:13.598665	2013-08-03 01:32:13.598665	81
4672	7869	8899	2013-08-03 01:32:13.610483	2013-08-03 01:32:13.610483	81
4673	7869	8879	2013-08-03 01:32:13.621919	2013-08-03 01:32:13.621919	81
4674	7869	8859	2013-08-03 01:32:13.633412	2013-08-03 01:32:13.633412	81
4675	8090	1387	2013-08-03 01:32:13.666977	2013-08-03 01:32:13.666977	81
4676	8090	1407	2013-08-03 01:32:13.678418	2013-08-03 01:32:13.678418	81
4677	8090	1290	2013-08-03 01:32:13.689923	2013-08-03 01:32:13.689923	81
4678	8090	3932	2013-08-03 01:32:13.701238	2013-08-03 01:32:13.701238	81
4679	8090	4391	2013-08-03 01:32:13.712212	2013-08-03 01:32:13.712212	81
4680	8090	9051	2013-08-03 01:32:13.723169	2013-08-03 01:32:13.723169	81
4681	8090	4799	2013-08-03 01:32:13.733807	2013-08-03 01:32:13.733807	81
4682	8090	3939	2013-08-03 01:32:13.744329	2013-08-03 01:32:13.744329	81
4683	8090	3959	2013-08-03 01:32:13.75483	2013-08-03 01:32:13.75483	81
4684	8090	10948	2013-08-03 01:32:13.768404	2013-08-03 01:32:13.768404	81
4685	8090	3832	2013-08-03 01:32:13.77965	2013-08-03 01:32:13.77965	81
4686	8090	4598	2013-08-03 01:32:13.785569	2013-08-03 01:32:13.785569	81
4687	8090	4618	2013-08-03 01:32:13.79001	2013-08-03 01:32:13.79001	81
4688	8090	4638	2013-08-03 01:32:13.794447	2013-08-03 01:32:13.794447	81
4689	8090	9591	2013-08-03 01:32:13.797999	2013-08-03 01:32:13.797999	81
4690	8090	9279	2013-08-03 01:32:13.801085	2013-08-03 01:32:13.801085	81
4691	8090	9259	2013-08-03 01:32:13.807213	2013-08-03 01:32:13.807213	81
4692	8090	9239	2013-08-03 01:32:13.817004	2013-08-03 01:32:13.817004	81
4693	8090	9399	2013-08-03 01:32:13.824695	2013-08-03 01:32:13.824695	81
4694	7221	12668	2013-08-03 01:32:13.87428	2013-08-03 01:32:13.87428	81
4695	7221	12648	2013-08-03 01:32:13.885829	2013-08-03 01:32:13.885829	81
4696	7591	12628	2013-08-03 01:32:13.898012	2013-08-03 01:32:13.898012	81
4697	7591	12608	2013-08-03 01:32:13.910153	2013-08-03 01:32:13.910153	81
4698	7344	12588	2013-08-03 01:32:13.922662	2013-08-03 01:32:13.922662	81
4699	7344	12568	2013-08-03 01:32:13.934556	2013-08-03 01:32:13.934556	81
4700	7373	10077	2013-08-03 01:32:13.946786	2013-08-03 01:32:13.946786	81
4701	7373	9572	2013-08-03 01:32:13.957298	2013-08-03 01:32:13.957298	81
4702	7873	9472	2013-08-03 01:32:13.968263	2013-08-03 01:32:13.968263	81
4703	7873	7918	2013-08-03 01:32:13.97876	2013-08-03 01:32:13.97876	81
4704	7504	5230	2013-08-03 01:32:13.989779	2013-08-03 01:32:13.989779	81
4705	7504	4896	2013-08-03 01:32:14.000561	2013-08-03 01:32:14.000561	81
4706	7739	2429	2013-08-03 01:32:14.011851	2013-08-03 01:32:14.011851	81
4707	7739	8031	2013-08-03 01:32:14.022151	2013-08-03 01:32:14.022151	81
4708	7222	13891	2013-08-03 01:32:14.107823	2013-08-03 01:32:14.107823	81
4709	7222	13871	2013-08-03 01:32:14.11914	2013-08-03 01:32:14.11914	81
4710	7222	13851	2013-08-03 01:32:14.130805	2013-08-03 01:32:14.130805	81
4711	7222	13831	2013-08-03 01:32:14.142505	2013-08-03 01:32:14.142505	81
4712	7222	13811	2013-08-03 01:32:14.153303	2013-08-03 01:32:14.153303	81
4713	7222	13791	2013-08-03 01:32:14.16416	2013-08-03 01:32:14.16416	81
4714	7222	13771	2013-08-03 01:32:14.175304	2013-08-03 01:32:14.175304	81
4715	7222	13751	2013-08-03 01:32:14.186038	2013-08-03 01:32:14.186038	81
4716	7222	9472	2013-08-03 01:32:14.19731	2013-08-03 01:32:14.19731	81
4717	7505	8643	2013-08-03 01:32:14.208193	2013-08-03 01:32:14.208193	81
4718	7505	7918	2013-08-03 01:32:14.216602	2013-08-03 01:32:14.216602	81
4719	7505	3366	2013-08-03 01:32:14.224814	2013-08-03 01:32:14.224814	81
4720	7505	3365	2013-08-03 01:32:14.233044	2013-08-03 01:32:14.233044	81
4721	7505	3265	2013-08-03 01:32:14.241299	2013-08-03 01:32:14.241299	81
4722	7505	7259	2013-08-03 01:32:14.249784	2013-08-03 01:32:14.249784	81
4723	7505	8859	2013-08-03 01:32:14.257986	2013-08-03 01:32:14.257986	81
4724	7505	8879	2013-08-03 01:32:14.266252	2013-08-03 01:32:14.266252	81
4725	7505	8899	2013-08-03 01:32:14.274684	2013-08-03 01:32:14.274684	81
4726	7377	14111	2013-08-03 01:32:14.298574	2013-08-03 01:32:14.298574	81
4727	7377	14091	2013-08-03 01:32:14.310133	2013-08-03 01:32:14.310133	81
4728	7377	14071	2013-08-03 01:32:14.321137	2013-08-03 01:32:14.321137	81
4729	7377	14051	2013-08-03 01:32:14.331899	2013-08-03 01:32:14.331899	81
4730	7377	14031	2013-08-03 01:32:14.342924	2013-08-03 01:32:14.342924	81
4731	7377	14011	2013-08-03 01:32:14.354377	2013-08-03 01:32:14.354377	81
4732	7377	13991	2013-08-03 01:32:14.365617	2013-08-03 01:32:14.365617	81
4733	7377	13971	2013-08-03 01:32:14.376507	2013-08-03 01:32:14.376507	81
4734	7377	13951	2013-08-03 01:32:14.387393	2013-08-03 01:32:14.387393	81
4735	7377	13931	2013-08-03 01:32:14.398347	2013-08-03 01:32:14.398347	81
4736	7377	8643	2013-08-03 01:32:14.409155	2013-08-03 01:32:14.409155	81
4737	7377	7918	2013-08-03 01:32:14.419394	2013-08-03 01:32:14.419394	81
4738	7377	3366	2013-08-03 01:32:14.429897	2013-08-03 01:32:14.429897	81
4739	7377	3365	2013-08-03 01:32:14.44104	2013-08-03 01:32:14.44104	81
4740	7377	3265	2013-08-03 01:32:14.449959	2013-08-03 01:32:14.449959	81
4741	7377	7259	2013-08-03 01:32:14.455387	2013-08-03 01:32:14.455387	81
4742	7377	8859	2013-08-03 01:32:14.460107	2013-08-03 01:32:14.460107	81
4743	7377	8879	2013-08-03 01:32:14.46409	2013-08-03 01:32:14.46409	81
4744	7377	8899	2013-08-03 01:32:14.467841	2013-08-03 01:32:14.467841	81
4745	7217	9892	2013-08-03 01:32:14.490788	2013-08-03 01:32:14.490788	81
4746	7217	9748	2013-08-03 01:32:14.500397	2013-08-03 01:32:14.500397	81
4747	9149	9872	2013-08-03 01:32:14.512055	2013-08-03 01:32:14.512055	81
4748	9149	9852	2013-08-03 01:32:14.523236	2013-08-03 01:32:14.523236	81
4749	7378	9832	2013-08-03 01:32:14.534071	2013-08-03 01:32:14.534071	81
4750	7378	9812	2013-08-03 01:32:14.539556	2013-08-03 01:32:14.539556	81
4751	7503	9792	2013-08-03 01:32:14.546332	2013-08-03 01:32:14.546332	81
4752	7503	9772	2013-08-03 01:32:14.55039	2013-08-03 01:32:14.55039	81
4753	7506	9752	2013-08-03 01:32:14.553816	2013-08-03 01:32:14.553816	81
4754	7506	9732	2013-08-03 01:32:14.558007	2013-08-03 01:32:14.558007	81
4755	7772	3385	2013-08-03 01:32:14.563175	2013-08-03 01:32:14.563175	81
4756	7772	3285	2013-08-03 01:32:14.566791	2013-08-03 01:32:14.566791	81
4757	7754	2745	2013-08-03 01:32:14.570446	2013-08-03 01:32:14.570446	81
4758	7754	3618	2013-08-03 01:32:14.573837	2013-08-03 01:32:14.573837	81
4759	7220	9435	2013-08-03 01:32:14.587339	2013-08-03 01:32:14.587339	81
4760	7220	9415	2013-08-03 01:32:14.591895	2013-08-03 01:32:14.591895	81
4761	7220	9395	2013-08-03 01:32:14.596337	2013-08-03 01:32:14.596337	81
4762	8386	9375	2013-08-03 01:32:14.600336	2013-08-03 01:32:14.600336	81
4763	8386	9355	2013-08-03 01:32:14.604442	2013-08-03 01:32:14.604442	81
4764	8386	8583	2013-08-03 01:32:14.608572	2013-08-03 01:32:14.608572	81
4765	9146	4876	2013-08-03 01:32:14.612697	2013-08-03 01:32:14.612697	81
4766	9146	3666	2013-08-03 01:32:14.616513	2013-08-03 01:32:14.616513	81
4767	9146	3686	2013-08-03 01:32:14.620785	2013-08-03 01:32:14.620785	81
4768	7374	3465	2013-08-03 01:32:14.624529	2013-08-03 01:32:14.624529	81
4769	7374	3305	2013-08-03 01:32:14.628642	2013-08-03 01:32:14.628642	81
4770	7374	2785	2013-08-03 01:32:14.632265	2013-08-03 01:32:14.632265	81
4771	7428	2446	2013-08-03 01:32:14.637152	2013-08-03 01:32:14.637152	81
4772	7428	2329	2013-08-03 01:32:14.640115	2013-08-03 01:32:14.640115	81
4773	7428	2349	2013-08-03 01:32:14.643617	2013-08-03 01:32:14.643617	81
4774	7663	9611	2013-08-03 01:32:14.648344	2013-08-03 01:32:14.648344	81
4775	7663	9111	2013-08-03 01:32:14.654012	2013-08-03 01:32:14.654012	81
4776	7663	3978	2013-08-03 01:32:14.658061	2013-08-03 01:32:14.658061	81
4777	7216	10477	2013-08-03 01:32:14.728883	2013-08-03 01:32:14.728883	81
4778	7216	10457	2013-08-03 01:32:14.740572	2013-08-03 01:32:14.740572	81
4779	7216	10437	2013-08-03 01:32:14.751936	2013-08-03 01:32:14.751936	81
4780	7218	10417	2013-08-03 01:32:14.764311	2013-08-03 01:32:14.764311	81
4781	7218	10397	2013-08-03 01:32:14.775432	2013-08-03 01:32:14.775432	81
4782	7218	10377	2013-08-03 01:32:14.786638	2013-08-03 01:32:14.786638	81
4783	9151	10357	2013-08-03 01:32:14.80113	2013-08-03 01:32:14.80113	81
4784	9151	10337	2013-08-03 01:32:14.81062	2013-08-03 01:32:14.81062	81
4785	9151	10317	2013-08-03 01:32:14.815945	2013-08-03 01:32:14.815945	81
4786	7840	10297	2013-08-03 01:32:14.822785	2013-08-03 01:32:14.822785	81
4787	7840	10277	2013-08-03 01:32:14.829524	2013-08-03 01:32:14.829524	81
4788	7840	10257	2013-08-03 01:32:14.835648	2013-08-03 01:32:14.835648	81
4789	7819	10237	2013-08-03 01:32:14.840769	2013-08-03 01:32:14.840769	81
4790	7819	4431	2013-08-03 01:32:14.845699	2013-08-03 01:32:14.845699	81
4791	7819	8539	2013-08-03 01:32:14.854534	2013-08-03 01:32:14.854534	81
4792	7214	8378	2013-08-03 01:32:14.884058	2013-08-03 01:32:14.884058	81
4793	7214	8358	2013-08-03 01:32:14.895382	2013-08-03 01:32:14.895382	81
4794	7214	8338	2013-08-03 01:32:14.906583	2013-08-03 01:32:14.906583	81
4795	7909	8318	2013-08-03 01:32:14.918039	2013-08-03 01:32:14.918039	81
4796	7909	8298	2013-08-03 01:32:14.929167	2013-08-03 01:32:14.929167	81
4797	7909	8278	2013-08-03 01:32:14.940839	2013-08-03 01:32:14.940839	81
4798	9152	8258	2013-08-03 01:32:14.953074	2013-08-03 01:32:14.953074	81
4799	9152	8238	2013-08-03 01:32:14.963583	2013-08-03 01:32:14.963583	81
4800	9152	8218	2013-08-03 01:32:14.975283	2013-08-03 01:32:14.975283	81
4801	7375	8198	2013-08-03 01:32:14.986329	2013-08-03 01:32:14.986329	81
4802	7375	8178	2013-08-03 01:32:14.996976	2013-08-03 01:32:14.996976	81
4803	7375	8023	2013-08-03 01:32:15.008282	2013-08-03 01:32:15.008282	81
4804	7846	8158	2013-08-03 01:32:15.018453	2013-08-03 01:32:15.018453	81
4805	7846	8138	2013-08-03 01:32:15.029979	2013-08-03 01:32:15.029979	81
4806	7846	8118	2013-08-03 01:32:15.041247	2013-08-03 01:32:15.041247	81
4807	8387	8098	2013-08-03 01:32:15.049833	2013-08-03 01:32:15.049833	81
4808	8387	8078	2013-08-03 01:32:15.059287	2013-08-03 01:32:15.059287	81
4809	8387	8479	2013-08-03 01:32:15.070664	2013-08-03 01:32:15.070664	81
4810	7875	8680	2013-08-03 01:32:15.119507	2013-08-03 01:32:15.119507	81
4811	7875	8660	2013-08-03 01:32:15.131231	2013-08-03 01:32:15.131231	81
4812	7875	8640	2013-08-03 01:32:15.142615	2013-08-03 01:32:15.142615	81
4813	7236	8620	2013-08-03 01:32:15.155111	2013-08-03 01:32:15.155111	81
4814	7236	8600	2013-08-03 01:32:15.167339	2013-08-03 01:32:15.167339	81
4815	7236	8580	2013-08-03 01:32:15.177407	2013-08-03 01:32:15.177407	81
4816	9154	8560	2013-08-03 01:32:15.189813	2013-08-03 01:32:15.189813	81
4817	9154	8540	2013-08-03 01:32:15.201771	2013-08-03 01:32:15.201771	81
4818	9154	8520	2013-08-03 01:32:15.213749	2013-08-03 01:32:15.213749	81
4819	7376	8500	2013-08-03 01:32:15.22605	2013-08-03 01:32:15.22605	81
4820	7376	8480	2013-08-03 01:32:15.237634	2013-08-03 01:32:15.237634	81
4821	7376	8460	2013-08-03 01:32:15.24954	2013-08-03 01:32:15.24954	81
4822	8388	8440	2013-08-03 01:32:15.261837	2013-08-03 01:32:15.261837	81
4823	8388	8420	2013-08-03 01:32:15.273876	2013-08-03 01:32:15.273876	81
4824	8388	8400	2013-08-03 01:32:15.286506	2013-08-03 01:32:15.286506	81
4825	9207	10079	2013-08-03 01:39:14.179392	2013-08-03 01:39:14.179392	82
4826	9207	10099	2013-08-03 01:39:14.194502	2013-08-03 01:39:14.194502	82
4827	9576	10119	2013-08-03 01:39:14.201324	2013-08-03 01:39:14.201324	82
4828	9576	8899	2013-08-03 01:39:14.207409	2013-08-03 01:39:14.207409	82
4829	9250	8879	2013-08-03 01:39:14.214262	2013-08-03 01:39:14.214262	82
4830	9250	8859	2013-08-03 01:39:14.221632	2013-08-03 01:39:14.221632	82
4831	10886	9399	2013-08-03 01:39:14.229948	2013-08-03 01:39:14.229948	82
4832	10886	9239	2013-08-03 01:39:14.237763	2013-08-03 01:39:14.237763	82
4833	9328	9259	2013-08-03 01:39:14.246422	2013-08-03 01:39:14.246422	82
4834	9328	9279	2013-08-03 01:39:14.255296	2013-08-03 01:39:14.255296	82
4835	9360	9591	2013-08-03 01:39:14.265166	2013-08-03 01:39:14.265166	82
4836	9360	4638	2013-08-03 01:39:14.27542	2013-08-03 01:39:14.27542	82
4837	9419	4618	2013-08-03 01:39:14.286523	2013-08-03 01:39:14.286523	82
4838	9419	4598	2013-08-03 01:39:14.296932	2013-08-03 01:39:14.296932	82
4839	9706	9243	2013-08-03 01:39:14.32622	2013-08-03 01:39:14.32622	82
4840	9706	9223	2013-08-03 01:39:14.336804	2013-08-03 01:39:14.336804	82
4841	9706	9203	2013-08-03 01:39:14.347207	2013-08-03 01:39:14.347207	82
4842	9706	9183	2013-08-03 01:39:14.357713	2013-08-03 01:39:14.357713	82
4843	9706	9163	2013-08-03 01:39:14.368277	2013-08-03 01:39:14.368277	82
4844	9706	9143	2013-08-03 01:39:14.378647	2013-08-03 01:39:14.378647	82
4845	9706	9123	2013-08-03 01:39:14.389221	2013-08-03 01:39:14.389221	82
4846	9706	9103	2013-08-03 01:39:14.399815	2013-08-03 01:39:14.399815	82
4847	9706	9083	2013-08-03 01:39:14.409068	2013-08-03 01:39:14.409068	82
4848	9706	9063	2013-08-03 01:39:14.419114	2013-08-03 01:39:14.419114	82
4849	9706	9043	2013-08-03 01:39:14.428706	2013-08-03 01:39:14.428706	82
4850	9706	8538	2013-08-03 01:39:14.437905	2013-08-03 01:39:14.437905	82
4851	9706	6621	2013-08-03 01:39:14.44749	2013-08-03 01:39:14.44749	82
4852	9706	5530	2013-08-03 01:39:14.461785	2013-08-03 01:39:14.461785	82
4853	9706	5176	2013-08-03 01:39:14.469869	2013-08-03 01:39:14.469869	82
4854	9706	4086	2013-08-03 01:39:14.476264	2013-08-03 01:39:14.476264	82
4855	9706	3845	2013-08-03 01:39:14.485646	2013-08-03 01:39:14.485646	82
4856	9706	2709	2013-08-03 01:39:14.496435	2013-08-03 01:39:14.496435	82
4857	9706	8880	2013-08-03 01:39:14.500843	2013-08-03 01:39:14.500843	82
4858	10682	4125	2013-08-03 01:39:14.514407	2013-08-03 01:39:14.514407	82
4859	10682	4105	2013-08-03 01:39:14.519665	2013-08-03 01:39:14.519665	82
4860	10682	4085	2013-08-03 01:39:14.524106	2013-08-03 01:39:14.524106	82
4861	10682	4066	2013-08-03 01:39:14.527352	2013-08-03 01:39:14.527352	82
4862	10682	3977	2013-08-03 01:39:14.530523	2013-08-03 01:39:14.530523	82
4863	10682	4077	2013-08-03 01:39:14.534842	2013-08-03 01:39:14.534842	82
4864	10682	4065	2013-08-03 01:39:14.540244	2013-08-03 01:39:14.540244	82
4865	10682	4045	2013-08-03 01:39:14.545076	2013-08-03 01:39:14.545076	82
4866	10682	4025	2013-08-03 01:39:14.551417	2013-08-03 01:39:14.551417	82
4867	10682	4005	2013-08-03 01:39:14.557633	2013-08-03 01:39:14.557633	82
4868	10682	3985	2013-08-03 01:39:14.56409	2013-08-03 01:39:14.56409	82
4869	10682	3965	2013-08-03 01:39:14.571062	2013-08-03 01:39:14.571062	82
4870	10682	3945	2013-08-03 01:39:14.578466	2013-08-03 01:39:14.578466	82
4871	10682	3866	2013-08-03 01:39:14.586619	2013-08-03 01:39:14.586619	82
4872	10682	3786	2013-08-03 01:39:14.595177	2013-08-03 01:39:14.595177	82
4873	10682	3850	2013-08-03 01:39:14.604513	2013-08-03 01:39:14.604513	82
4874	10682	3925	2013-08-03 01:39:14.614727	2013-08-03 01:39:14.614727	82
4875	10682	3905	2013-08-03 01:39:14.625005	2013-08-03 01:39:14.625005	82
4876	10682	2577	2013-08-03 01:39:14.635355	2013-08-03 01:39:14.635355	82
4877	9279	13188	2013-08-03 01:39:14.690194	2013-08-03 01:39:14.690194	82
4878	9279	13168	2013-08-03 01:39:14.701389	2013-08-03 01:39:14.701389	82
4879	9226	13148	2013-08-03 01:39:14.712701	2013-08-03 01:39:14.712701	82
4880	9226	13128	2013-08-03 01:39:14.723586	2013-08-03 01:39:14.723586	82
4881	9579	13108	2013-08-03 01:39:14.734558	2013-08-03 01:39:14.734558	82
4882	9579	13088	2013-08-03 01:39:14.745283	2013-08-03 01:39:14.745283	82
4883	9206	13068	2013-08-03 01:39:14.757108	2013-08-03 01:39:14.757108	82
4884	9206	10977	2013-08-03 01:39:14.768039	2013-08-03 01:39:14.768039	82
4885	9330	8780	2013-08-03 01:39:14.779194	2013-08-03 01:39:14.779194	82
4886	9330	8438	2013-08-03 01:39:14.789911	2013-08-03 01:39:14.789911	82
4887	9362	5450	2013-08-03 01:39:14.801035	2013-08-03 01:39:14.801035	82
4888	9362	5076	2013-08-03 01:39:14.811701	2013-08-03 01:39:14.811701	82
4889	9495	3665	2013-08-03 01:39:14.823334	2013-08-03 01:39:14.823334	82
4890	9495	2649	2013-08-03 01:39:14.834376	2013-08-03 01:39:14.834376	82
4891	10837	13668	2013-08-03 01:39:14.888212	2013-08-03 01:39:14.888212	82
4892	10837	13648	2013-08-03 01:39:14.899705	2013-08-03 01:39:14.899705	82
4893	10837	13628	2013-08-03 01:39:14.91096	2013-08-03 01:39:14.91096	82
4894	10837	13608	2013-08-03 01:39:14.921479	2013-08-03 01:39:14.921479	82
4895	10837	13588	2013-08-03 01:39:14.932074	2013-08-03 01:39:14.932074	82
4896	10837	13568	2013-08-03 01:39:14.942728	2013-08-03 01:39:14.942728	82
4897	10837	13548	2013-08-03 01:39:14.954234	2013-08-03 01:39:14.954234	82
4898	10837	13528	2013-08-03 01:39:14.965576	2013-08-03 01:39:14.965576	82
4899	10837	13508	2013-08-03 01:39:15.022308	2013-08-03 01:39:15.022308	82
4900	10837	13488	2013-08-03 01:39:15.027508	2013-08-03 01:39:15.027508	82
4901	10837	13468	2013-08-03 01:39:15.032288	2013-08-03 01:39:15.032288	82
4902	10837	13448	2013-08-03 01:39:15.03743	2013-08-03 01:39:15.03743	82
4903	10837	13428	2013-08-03 01:39:15.042698	2013-08-03 01:39:15.042698	82
4904	10837	13408	2013-08-03 01:39:15.048156	2013-08-03 01:39:15.048156	82
4905	10837	13388	2013-08-03 01:39:15.054021	2013-08-03 01:39:15.054021	82
4906	10837	13368	2013-08-03 01:39:15.060217	2013-08-03 01:39:15.060217	82
4907	10837	13348	2013-08-03 01:39:15.066942	2013-08-03 01:39:15.066942	82
4908	10837	13328	2013-08-03 01:39:15.073714	2013-08-03 01:39:15.073714	82
4909	10837	13308	2013-08-03 01:39:15.081328	2013-08-03 01:39:15.081328	82
4910	9212	10012	2013-08-03 01:39:15.137753	2013-08-03 01:39:15.137753	82
4911	9212	8340	2013-08-03 01:39:15.148337	2013-08-03 01:39:15.148337	82
4912	9227	5390	2013-08-03 01:39:15.159325	2013-08-03 01:39:15.159325	82
4913	9227	3946	2013-08-03 01:39:15.170084	2013-08-03 01:39:15.170084	82
4914	9581	3685	2013-08-03 01:39:15.181474	2013-08-03 01:39:15.181474	82
4915	9581	3585	2013-08-03 01:39:15.192182	2013-08-03 01:39:15.192182	82
4916	9539	3526	2013-08-03 01:39:15.203074	2013-08-03 01:39:15.203074	82
4917	9539	3266	2013-08-03 01:39:15.213592	2013-08-03 01:39:15.213592	82
4918	9302	2609	2013-08-03 01:39:15.224837	2013-08-03 01:39:15.224837	82
4919	9302	8051	2013-08-03 01:39:15.23522	2013-08-03 01:39:15.23522	82
4920	9331	3886	2013-08-03 01:39:15.246705	2013-08-03 01:39:15.246705	82
4921	9331	3618	2013-08-03 01:39:15.257758	2013-08-03 01:39:15.257758	82
4922	9361	9239	2013-08-03 01:39:15.269727	2013-08-03 01:39:15.269727	82
4923	9361	9399	2013-08-03 01:39:15.280384	2013-08-03 01:39:15.280384	82
4924	9230	8033	2013-08-03 01:39:15.310443	2013-08-03 01:39:15.310443	82
4925	9230	8013	2013-08-03 01:39:15.318037	2013-08-03 01:39:15.318037	82
4926	9230	7993	2013-08-03 01:39:15.325153	2013-08-03 01:39:15.325153	82
4927	9230	7973	2013-08-03 01:39:15.332519	2013-08-03 01:39:15.332519	82
4928	9230	7953	2013-08-03 01:39:15.342403	2013-08-03 01:39:15.342403	82
4929	9230	7933	2013-08-03 01:39:15.352841	2013-08-03 01:39:15.352841	82
4930	9230	7913	2013-08-03 01:39:15.363265	2013-08-03 01:39:15.363265	82
4931	9230	7893	2013-08-03 01:39:15.373734	2013-08-03 01:39:15.373734	82
4932	9230	7873	2013-08-03 01:39:15.38483	2013-08-03 01:39:15.38483	82
4933	9230	7853	2013-08-03 01:39:15.395599	2013-08-03 01:39:15.395599	82
4934	9230	7833	2013-08-03 01:39:15.406692	2013-08-03 01:39:15.406692	82
4935	9230	7813	2013-08-03 01:39:15.416855	2013-08-03 01:39:15.416855	82
4936	9230	7793	2013-08-03 01:39:15.427138	2013-08-03 01:39:15.427138	82
4937	9230	7773	2013-08-03 01:39:15.437466	2013-08-03 01:39:15.437466	82
4938	9230	7753	2013-08-03 01:39:15.447845	2013-08-03 01:39:15.447845	82
4939	9230	3826	2013-08-03 01:39:15.45828	2013-08-03 01:39:15.45828	82
4940	9230	3505	2013-08-03 01:39:15.471683	2013-08-03 01:39:15.471683	82
4941	9230	2625	2013-08-03 01:39:15.482812	2013-08-03 01:39:15.482812	82
4942	9230	10817	2013-08-03 01:39:15.488354	2013-08-03 01:39:15.488354	82
4943	9214	9515	2013-08-03 01:39:15.508084	2013-08-03 01:39:15.508084	82
4944	9214	9495	2013-08-03 01:39:15.511885	2013-08-03 01:39:15.511885	82
4945	9229	9475	2013-08-03 01:39:15.515544	2013-08-03 01:39:15.515544	82
4946	9229	5330	2013-08-03 01:39:15.519682	2013-08-03 01:39:15.519682	82
4947	9577	3830	2013-08-03 01:39:15.524557	2013-08-03 01:39:15.524557	82
4948	9577	3625	2013-08-03 01:39:15.530557	2013-08-03 01:39:15.530557	82
4949	9272	3606	2013-08-03 01:39:15.534941	2013-08-03 01:39:15.534941	82
4950	9272	2589	2013-08-03 01:39:15.538996	2013-08-03 01:39:15.538996	82
4951	9470	2549	2013-08-03 01:39:15.547073	2013-08-03 01:39:15.547073	82
4952	9470	2361	2013-08-03 01:39:15.554541	2013-08-03 01:39:15.554541	82
4953	9329	2369	2013-08-03 01:39:15.564934	2013-08-03 01:39:15.564934	82
4954	9329	2289	2013-08-03 01:39:15.576228	2013-08-03 01:39:15.576228	82
4955	9471	4431	2013-08-03 01:39:15.580831	2013-08-03 01:39:15.580831	82
4956	9471	8959	2013-08-03 01:39:15.58477	2013-08-03 01:39:15.58477	82
4957	9208	11437	2013-08-03 01:39:15.598881	2013-08-03 01:39:15.598881	82
4958	9208	11417	2013-08-03 01:39:15.604412	2013-08-03 01:39:15.604412	82
4959	9208	11397	2013-08-03 01:39:15.610161	2013-08-03 01:39:15.610161	82
4960	9570	11377	2013-08-03 01:39:15.61564	2013-08-03 01:39:15.61564	82
4961	9570	11357	2013-08-03 01:39:15.621661	2013-08-03 01:39:15.621661	82
4962	9570	11337	2013-08-03 01:39:15.626148	2013-08-03 01:39:15.626148	82
4963	9582	11317	2013-08-03 01:39:15.63309	2013-08-03 01:39:15.63309	82
4964	9582	11297	2013-08-03 01:39:15.636987	2013-08-03 01:39:15.636987	82
4965	9582	11277	2013-08-03 01:39:15.643151	2013-08-03 01:39:15.643151	82
4966	9359	11257	2013-08-03 01:39:15.650279	2013-08-03 01:39:15.650279	82
4967	9359	11237	2013-08-03 01:39:15.657977	2013-08-03 01:39:15.657977	82
4968	9359	11217	2013-08-03 01:39:15.666077	2013-08-03 01:39:15.666077	82
4969	9469	11197	2013-08-03 01:39:15.6766	2013-08-03 01:39:15.6766	82
4970	9469	11177	2013-08-03 01:39:15.687592	2013-08-03 01:39:15.687592	82
4971	9469	11157	2013-08-03 01:39:15.727692	2013-08-03 01:39:15.727692	82
4972	9332	11137	2013-08-03 01:39:15.73109	2013-08-03 01:39:15.73109	82
4973	9332	13731	2013-08-03 01:39:15.734312	2013-08-03 01:39:15.734312	82
4974	9332	8919	2013-08-03 01:39:15.73762	2013-08-03 01:39:15.73762	82
4975	9213	8818	2013-08-03 01:39:15.768597	2013-08-03 01:39:15.768597	82
4976	9213	8798	2013-08-03 01:39:15.7796	2013-08-03 01:39:15.7796	82
4977	9228	8778	2013-08-03 01:39:15.792276	2013-08-03 01:39:15.792276	82
4978	9228	8758	2013-08-03 01:39:15.803188	2013-08-03 01:39:15.803188	82
4979	9628	8738	2013-08-03 01:39:15.814322	2013-08-03 01:39:15.814322	82
4980	9628	8718	2013-08-03 01:39:15.824964	2013-08-03 01:39:15.824964	82
4981	9583	8698	2013-08-03 01:39:15.836034	2013-08-03 01:39:15.836034	82
4982	9583	8678	2013-08-03 01:39:15.846894	2013-08-03 01:39:15.846894	82
4983	9333	8658	2013-08-03 01:39:15.857921	2013-08-03 01:39:15.857921	82
4984	9333	8638	2013-08-03 01:39:15.86869	2013-08-03 01:39:15.86869	82
4985	9392	8523	2013-08-03 01:39:15.880474	2013-08-03 01:39:15.880474	82
4986	9392	8618	2013-08-03 01:39:15.891051	2013-08-03 01:39:15.891051	82
4987	9467	8598	2013-08-03 01:39:15.902091	2013-08-03 01:39:15.902091	82
4988	9467	8011	2013-08-03 01:39:15.912349	2013-08-03 01:39:15.912349	82
4989	11604	4438	2013-08-03 01:45:29.474455	2013-08-03 01:45:29.474455	84
4990	11604	4418	2013-08-03 01:45:29.49801	2013-08-03 01:45:29.49801	84
4991	11582	4398	2013-08-03 01:45:29.511483	2013-08-03 01:45:29.511483	84
4992	11582	8999	2013-08-03 01:45:29.525996	2013-08-03 01:45:29.525996	84
4993	11520	9779	2013-08-03 01:45:29.536785	2013-08-03 01:45:29.536785	84
4994	11520	9799	2013-08-03 01:45:29.545033	2013-08-03 01:45:29.545033	84
4995	11464	9819	2013-08-03 01:45:29.552052	2013-08-03 01:45:29.552052	84
4996	11464	9839	2013-08-03 01:45:29.556101	2013-08-03 01:45:29.556101	84
4997	11131	9859	2013-08-03 01:45:29.561712	2013-08-03 01:45:29.561712	84
4998	11131	9879	2013-08-03 01:45:29.565618	2013-08-03 01:45:29.565618	84
4999	11062	9899	2013-08-03 01:45:29.569402	2013-08-03 01:45:29.569402	84
5000	11062	9919	2013-08-03 01:45:29.575001	2013-08-03 01:45:29.575001	84
5001	11027	9939	2013-08-03 01:45:29.580078	2013-08-03 01:45:29.580078	84
5002	11027	9959	2013-08-03 01:45:29.586607	2013-08-03 01:45:29.586607	84
5003	11210	9823	2013-08-03 01:45:29.607517	2013-08-03 01:45:29.607517	84
5004	11210	9803	2013-08-03 01:45:29.617726	2013-08-03 01:45:29.617726	84
5005	11210	9783	2013-08-03 01:45:29.627995	2013-08-03 01:45:29.627995	84
5006	11210	9763	2013-08-03 01:45:29.638315	2013-08-03 01:45:29.638315	84
5007	11210	9743	2013-08-03 01:45:29.648398	2013-08-03 01:45:29.648398	84
5008	11210	9672	2013-08-03 01:45:29.65857	2013-08-03 01:45:29.65857	84
5009	11210	9677	2013-08-03 01:45:29.669218	2013-08-03 01:45:29.669218	84
5010	11210	9723	2013-08-03 01:45:29.679227	2013-08-03 01:45:29.679227	84
5011	11210	9703	2013-08-03 01:45:29.689562	2013-08-03 01:45:29.689562	84
5012	11210	9683	2013-08-03 01:45:29.6994	2013-08-03 01:45:29.6994	84
5013	11210	9663	2013-08-03 01:45:29.709681	2013-08-03 01:45:29.709681	84
5014	11210	9643	2013-08-03 01:45:29.719948	2013-08-03 01:45:29.719948	84
5015	11210	9623	2013-08-03 01:45:29.729865	2013-08-03 01:45:29.729865	84
5016	11210	9120	2013-08-03 01:45:29.740157	2013-08-03 01:45:29.740157	84
5017	11210	9158	2013-08-03 01:45:29.750522	2013-08-03 01:45:29.750522	84
5018	11210	5436	2013-08-03 01:45:29.760765	2013-08-03 01:45:29.760765	84
5019	11210	4425	2013-08-03 01:45:29.771138	2013-08-03 01:45:29.771138	84
5020	11210	2890	2013-08-03 01:45:29.781535	2013-08-03 01:45:29.781535	84
5021	11210	13968	2013-08-03 01:45:29.792107	2013-08-03 01:45:29.792107	84
5022	11561	1506	2013-08-03 01:45:29.817133	2013-08-03 01:45:29.817133	84
5023	11561	1464	2013-08-03 01:45:29.827633	2013-08-03 01:45:29.827633	84
5024	11561	1521	2013-08-03 01:45:29.838141	2013-08-03 01:45:29.838141	84
5025	11561	1457	2013-08-03 01:45:29.848502	2013-08-03 01:45:29.848502	84
5026	11561	1444	2013-08-03 01:45:29.858905	2013-08-03 01:45:29.858905	84
5027	11561	1427	2013-08-03 01:45:29.869133	2013-08-03 01:45:29.869133	84
5028	11561	1447	2013-08-03 01:45:29.879441	2013-08-03 01:45:29.879441	84
5029	11561	1467	2013-08-03 01:45:29.889842	2013-08-03 01:45:29.889842	84
5030	11561	1487	2013-08-03 01:45:29.900985	2013-08-03 01:45:29.900985	84
5031	11561	1507	2013-08-03 01:45:29.911736	2013-08-03 01:45:29.911736	84
5032	11561	1527	2013-08-03 01:45:29.960385	2013-08-03 01:45:29.960385	84
5033	11561	1547	2013-08-03 01:45:29.965486	2013-08-03 01:45:29.965486	84
5034	11561	1567	2013-08-03 01:45:29.972141	2013-08-03 01:45:29.972141	84
5035	11561	8860	2013-08-03 01:45:29.978395	2013-08-03 01:45:29.978395	84
5036	11561	12568	2013-08-03 01:45:29.988893	2013-08-03 01:45:29.988893	84
5037	11561	1347	2013-08-03 01:45:29.999114	2013-08-03 01:45:29.999114	84
5038	11561	1367	2013-08-03 01:45:30.009152	2013-08-03 01:45:30.009152	84
5039	11561	10119	2013-08-03 01:45:30.019438	2013-08-03 01:45:30.019438	84
5040	11561	8899	2013-08-03 01:45:30.029939	2013-08-03 01:45:30.029939	84
5041	11860	4725	2013-08-03 01:45:30.0562	2013-08-03 01:45:30.0562	84
5042	11860	4676	2013-08-03 01:45:30.067329	2013-08-03 01:45:30.067329	84
5043	11860	4630	2013-08-03 01:45:30.077825	2013-08-03 01:45:30.077825	84
5044	11860	4705	2013-08-03 01:45:30.088187	2013-08-03 01:45:30.088187	84
5045	11860	4685	2013-08-03 01:45:30.09855	2013-08-03 01:45:30.09855	84
5046	11860	4665	2013-08-03 01:45:30.108822	2013-08-03 01:45:30.108822	84
5047	11860	4645	2013-08-03 01:45:30.119014	2013-08-03 01:45:30.119014	84
5048	11860	4625	2013-08-03 01:45:30.129596	2013-08-03 01:45:30.129596	84
5049	11860	4605	2013-08-03 01:45:30.140174	2013-08-03 01:45:30.140174	84
5050	11860	4585	2013-08-03 01:45:30.149349	2013-08-03 01:45:30.149349	84
5051	11860	4565	2013-08-03 01:45:30.15271	2013-08-03 01:45:30.15271	84
5052	11860	4456	2013-08-03 01:45:30.156115	2013-08-03 01:45:30.156115	84
5053	11860	4430	2013-08-03 01:45:30.159527	2013-08-03 01:45:30.159527	84
5054	11860	4545	2013-08-03 01:45:30.1629	2013-08-03 01:45:30.1629	84
5055	11860	4525	2013-08-03 01:45:30.169171	2013-08-03 01:45:30.169171	84
5056	11860	4505	2013-08-03 01:45:30.176479	2013-08-03 01:45:30.176479	84
5057	11860	4485	2013-08-03 01:45:30.18214	2013-08-03 01:45:30.18214	84
5058	11860	2886	2013-08-03 01:45:30.191248	2013-08-03 01:45:30.191248	84
5059	11860	9080	2013-08-03 01:45:30.201534	2013-08-03 01:45:30.201534	84
5060	11641	14168	2013-08-03 01:45:30.255356	2013-08-03 01:45:30.255356	84
5061	11641	14148	2013-08-03 01:45:30.265997	2013-08-03 01:45:30.265997	84
5062	11529	14128	2013-08-03 01:45:30.2767	2013-08-03 01:45:30.2767	84
5063	11529	14108	2013-08-03 01:45:30.286906	2013-08-03 01:45:30.286906	84
5064	11517	14088	2013-08-03 01:45:30.297459	2013-08-03 01:45:30.297459	84
5065	11517	14068	2013-08-03 01:45:30.307736	2013-08-03 01:45:30.307736	84
5066	11197	14048	2013-08-03 01:45:30.318533	2013-08-03 01:45:30.318533	84
5067	11197	14028	2013-08-03 01:45:30.328942	2013-08-03 01:45:30.328942	84
5068	11133	11597	2013-08-03 01:45:30.339714	2013-08-03 01:45:30.339714	84
5069	11133	10272	2013-08-03 01:45:30.350223	2013-08-03 01:45:30.350223	84
5070	11069	9058	2013-08-03 01:45:30.361284	2013-08-03 01:45:30.361284	84
5071	11069	5223	2013-08-03 01:45:30.371667	2013-08-03 01:45:30.371667	84
5072	11023	2909	2013-08-03 01:45:30.382685	2013-08-03 01:45:30.382685	84
5073	11023	9020	2013-08-03 01:45:30.393178	2013-08-03 01:45:30.393178	84
5074	11209	14648	2013-08-03 01:45:30.418771	2013-08-03 01:45:30.418771	84
5075	11209	14628	2013-08-03 01:45:30.427606	2013-08-03 01:45:30.427606	84
5076	11209	14608	2013-08-03 01:45:30.434737	2013-08-03 01:45:30.434737	84
5077	11209	14588	2013-08-03 01:45:30.441713	2013-08-03 01:45:30.441713	84
5078	11209	14568	2013-08-03 01:45:30.449495	2013-08-03 01:45:30.449495	84
5079	11209	14548	2013-08-03 01:45:30.459736	2013-08-03 01:45:30.459736	84
5080	11209	14528	2013-08-03 01:45:30.469979	2013-08-03 01:45:30.469979	84
5081	11209	14508	2013-08-03 01:45:30.480294	2013-08-03 01:45:30.480294	84
5082	11209	14488	2013-08-03 01:45:30.490751	2013-08-03 01:45:30.490751	84
5083	11209	14468	2013-08-03 01:45:30.501734	2013-08-03 01:45:30.501734	84
5084	11209	14448	2013-08-03 01:45:30.512411	2013-08-03 01:45:30.512411	84
5085	11209	14428	2013-08-03 01:45:30.522826	2013-08-03 01:45:30.522826	84
5086	11209	14408	2013-08-03 01:45:30.532668	2013-08-03 01:45:30.532668	84
5087	11209	14388	2013-08-03 01:45:30.543015	2013-08-03 01:45:30.543015	84
5088	11209	14368	2013-08-03 01:45:30.553312	2013-08-03 01:45:30.553312	84
5089	11209	14348	2013-08-03 01:45:30.564859	2013-08-03 01:45:30.564859	84
5090	11209	14328	2013-08-03 01:45:30.571357	2013-08-03 01:45:30.571357	84
5091	11209	14308	2013-08-03 01:45:30.575629	2013-08-03 01:45:30.575629	84
5092	11209	14288	2013-08-03 01:45:30.578846	2013-08-03 01:45:30.578846	84
5093	11651	10592	2013-08-03 01:45:30.601634	2013-08-03 01:45:30.601634	84
5094	11651	10572	2013-08-03 01:45:30.605685	2013-08-03 01:45:30.605685	84
5095	11570	10552	2013-08-03 01:45:30.609206	2013-08-03 01:45:30.609206	84
5096	11570	10532	2013-08-03 01:45:30.612267	2013-08-03 01:45:30.612267	84
5097	11519	10512	2013-08-03 01:45:30.616148	2013-08-03 01:45:30.616148	84
5098	11519	10492	2013-08-03 01:45:30.622948	2013-08-03 01:45:30.622948	84
5099	11134	10472	2013-08-03 01:45:30.629593	2013-08-03 01:45:30.629593	84
5100	11134	10452	2013-08-03 01:45:30.635989	2013-08-03 01:45:30.635989	84
5101	11073	10432	2013-08-03 01:45:30.643624	2013-08-03 01:45:30.643624	84
5102	11073	8978	2013-08-03 01:45:30.651021	2013-08-03 01:45:30.651021	84
5103	11050	8940	2013-08-03 01:45:30.658777	2013-08-03 01:45:30.658777	84
5104	11050	5276	2013-08-03 01:45:30.667158	2013-08-03 01:45:30.667158	84
5105	11026	4418	2013-08-03 01:45:30.676293	2013-08-03 01:45:30.676293	84
5106	11026	4438	2013-08-03 01:45:30.68532	2013-08-03 01:45:30.68532	84
5107	11211	8273	2013-08-03 01:45:30.730888	2013-08-03 01:45:30.730888	84
5108	11211	8253	2013-08-03 01:45:30.736271	2013-08-03 01:45:30.736271	84
5109	11211	8233	2013-08-03 01:45:30.741953	2013-08-03 01:45:30.741953	84
5110	11211	8213	2013-08-03 01:45:30.747769	2013-08-03 01:45:30.747769	84
5111	11211	8193	2013-08-03 01:45:30.757687	2013-08-03 01:45:30.757687	84
5112	11211	8173	2013-08-03 01:45:30.767282	2013-08-03 01:45:30.767282	84
5113	11211	8018	2013-08-03 01:45:30.772647	2013-08-03 01:45:30.772647	84
5114	11211	8123	2013-08-03 01:45:30.780876	2013-08-03 01:45:30.780876	84
5115	11211	8153	2013-08-03 01:45:30.791986	2013-08-03 01:45:30.791986	84
5116	11211	8133	2013-08-03 01:45:30.802829	2013-08-03 01:45:30.802829	84
5117	11211	8113	2013-08-03 01:45:30.813411	2013-08-03 01:45:30.813411	84
5118	11211	8093	2013-08-03 01:45:30.823771	2013-08-03 01:45:30.823771	84
5119	11211	8073	2013-08-03 01:45:30.834225	2013-08-03 01:45:30.834225	84
5120	11211	8053	2013-08-03 01:45:30.844621	2013-08-03 01:45:30.844621	84
5121	11211	5256	2013-08-03 01:45:30.85502	2013-08-03 01:45:30.85502	84
5122	11211	4345	2013-08-03 01:45:30.866141	2013-08-03 01:45:30.866141	84
5123	11211	4245	2013-08-03 01:45:30.878441	2013-08-03 01:45:30.878441	84
5124	11211	2861	2013-08-03 01:45:30.889743	2013-08-03 01:45:30.889743	84
5125	11211	13788	2013-08-03 01:45:30.899994	2013-08-03 01:45:30.899994	84
5126	11626	9735	2013-08-03 01:45:30.948522	2013-08-03 01:45:30.948522	84
5127	11626	9688	2013-08-03 01:45:30.959704	2013-08-03 01:45:30.959704	84
5128	11521	9715	2013-08-03 01:45:30.970694	2013-08-03 01:45:30.970694	84
5129	11521	9695	2013-08-03 01:45:30.981385	2013-08-03 01:45:30.981385	84
5130	11498	9675	2013-08-03 01:45:30.992356	2013-08-03 01:45:30.992356	84
5131	11498	9655	2013-08-03 01:45:31.003266	2013-08-03 01:45:31.003266	84
5132	11132	9635	2013-08-03 01:45:31.014907	2013-08-03 01:45:31.014907	84
5133	11132	9363	2013-08-03 01:45:31.022604	2013-08-03 01:45:31.022604	84
5134	11066	4265	2013-08-03 01:45:31.027703	2013-08-03 01:45:31.027703	84
5135	11066	4225	2013-08-03 01:45:31.037456	2013-08-03 01:45:31.037456	84
5136	11049	4090	2013-08-03 01:45:31.041674	2013-08-03 01:45:31.041674	84
5137	11049	2809	2013-08-03 01:45:31.046278	2013-08-03 01:45:31.046278	84
5138	11025	2705	2013-08-03 01:45:31.049965	2013-08-03 01:45:31.049965	84
5139	11025	9292	2013-08-03 01:45:31.053419	2013-08-03 01:45:31.053419	84
5140	11676	12057	2013-08-03 01:45:31.072704	2013-08-03 01:45:31.072704	84
5141	11676	12037	2013-08-03 01:45:31.08228	2013-08-03 01:45:31.08228	84
5142	11676	12017	2013-08-03 01:45:31.093137	2013-08-03 01:45:31.093137	84
5143	11598	11997	2013-08-03 01:45:31.10485	2013-08-03 01:45:31.10485	84
5144	11598	11977	2013-08-03 01:45:31.115229	2013-08-03 01:45:31.115229	84
5145	11598	11957	2013-08-03 01:45:31.126351	2013-08-03 01:45:31.126351	84
5146	11516	11937	2013-08-03 01:45:31.137268	2013-08-03 01:45:31.137268	84
5147	11516	11917	2013-08-03 01:45:31.148325	2013-08-03 01:45:31.148325	84
5148	11516	11897	2013-08-03 01:45:31.159248	2013-08-03 01:45:31.159248	84
5149	11135	11877	2013-08-03 01:45:31.171001	2013-08-03 01:45:31.171001	84
5150	11135	11857	2013-08-03 01:45:31.182389	2013-08-03 01:45:31.182389	84
5151	11135	11837	2013-08-03 01:45:31.19289	2013-08-03 01:45:31.19289	84
5152	11076	11817	2013-08-03 01:45:31.203993	2013-08-03 01:45:31.203993	84
5153	11076	11797	2013-08-03 01:45:31.214591	2013-08-03 01:45:31.214591	84
5154	11076	11777	2013-08-03 01:45:31.225907	2013-08-03 01:45:31.225907	84
5155	11028	11757	2013-08-03 01:45:31.238076	2013-08-03 01:45:31.238076	84
5156	11028	4185	2013-08-03 01:45:31.248842	2013-08-03 01:45:31.248842	84
5157	11028	2309	2013-08-03 01:45:31.259343	2013-08-03 01:45:31.259343	84
5158	11695	9438	2013-08-03 01:45:31.305071	2013-08-03 01:45:31.305071	84
5159	11695	9303	2013-08-03 01:45:31.316134	2013-08-03 01:45:31.316134	84
5160	11615	9418	2013-08-03 01:45:31.327419	2013-08-03 01:45:31.327419	84
5161	11615	9398	2013-08-03 01:45:31.338206	2013-08-03 01:45:31.338206	84
5162	11518	9378	2013-08-03 01:45:31.350008	2013-08-03 01:45:31.350008	84
5163	11518	9358	2013-08-03 01:45:31.361037	2013-08-03 01:45:31.361037	84
5164	11136	9338	2013-08-03 01:45:31.372041	2013-08-03 01:45:31.372041	84
5165	11136	9318	2013-08-03 01:45:31.38324	2013-08-03 01:45:31.38324	84
5166	11079	9298	2013-08-03 01:45:31.394839	2013-08-03 01:45:31.394839	84
5167	11079	9278	2013-08-03 01:45:31.406173	2013-08-03 01:45:31.406173	84
5168	11051	9258	2013-08-03 01:45:31.417584	2013-08-03 01:45:31.417584	84
5169	11051	9238	2013-08-03 01:45:31.428692	2013-08-03 01:45:31.428692	84
5170	11024	9218	2013-08-03 01:45:31.440938	2013-08-03 01:45:31.440938	84
5171	11024	8939	2013-08-03 01:45:31.452798	2013-08-03 01:45:31.452798	84
5172	14144	5358	2013-08-03 01:50:49.029817	2013-08-03 01:50:49.029817	85
5173	14144	10751	2013-08-03 01:50:49.036036	2013-08-03 01:50:49.036036	85
5174	13639	10731	2013-08-03 01:50:49.043897	2013-08-03 01:50:49.043897	85
5175	13639	10711	2013-08-03 01:50:49.05173	2013-08-03 01:50:49.05173	85
5176	13497	5975	2013-08-03 01:50:49.062487	2013-08-03 01:50:49.062487	85
5177	13497	5995	2013-08-03 01:50:49.070445	2013-08-03 01:50:49.070445	85
5178	13280	5875	2013-08-03 01:50:49.075954	2013-08-03 01:50:49.075954	85
5179	13280	5855	2013-08-03 01:50:49.08078	2013-08-03 01:50:49.08078	85
5180	13261	5835	2013-08-03 01:50:49.089881	2013-08-03 01:50:49.089881	85
5181	13261	10691	2013-08-03 01:50:49.100378	2013-08-03 01:50:49.100378	85
5182	13224	10671	2013-08-03 01:50:49.111722	2013-08-03 01:50:49.111722	85
5183	13224	10651	2013-08-03 01:50:49.12308	2013-08-03 01:50:49.12308	85
5184	13192	6015	2013-08-03 01:50:49.134695	2013-08-03 01:50:49.134695	85
5185	13192	6035	2013-08-03 01:50:49.145477	2013-08-03 01:50:49.145477	85
5186	13454	1754	2013-08-03 01:50:49.178438	2013-08-03 01:50:49.178438	85
5187	13454	1881	2013-08-03 01:50:49.190253	2013-08-03 01:50:49.190253	85
5188	13454	1852	2013-08-03 01:50:49.201109	2013-08-03 01:50:49.201109	85
5189	13454	1746	2013-08-03 01:50:49.211761	2013-08-03 01:50:49.211761	85
5190	13454	1768	2013-08-03 01:50:49.222797	2013-08-03 01:50:49.222797	85
5191	13454	14868	2013-08-03 01:50:49.23401	2013-08-03 01:50:49.23401	85
5192	13454	9635	2013-08-03 01:50:49.248866	2013-08-03 01:50:49.248866	85
5193	13454	9879	2013-08-03 01:50:49.25445	2013-08-03 01:50:49.25445	85
5194	13454	9859	2013-08-03 01:50:49.258359	2013-08-03 01:50:49.258359	85
5195	13454	1601	2013-08-03 01:50:49.262397	2013-08-03 01:50:49.262397	85
5196	13454	1592	2013-08-03 01:50:49.267436	2013-08-03 01:50:49.267436	85
5197	13454	1628	2013-08-03 01:50:49.272231	2013-08-03 01:50:49.272231	85
5198	13454	1655	2013-08-03 01:50:49.280873	2013-08-03 01:50:49.280873	85
5199	13454	9100	2013-08-03 01:50:49.289818	2013-08-03 01:50:49.289818	85
5200	13454	10352	2013-08-03 01:50:49.295067	2013-08-03 01:50:49.295067	85
5201	13454	11317	2013-08-03 01:50:49.303796	2013-08-03 01:50:49.303796	85
5202	13454	5855	2013-08-03 01:50:49.314446	2013-08-03 01:50:49.314446	85
5203	13454	5875	2013-08-03 01:50:49.325629	2013-08-03 01:50:49.325629	85
5204	13454	6095	2013-08-03 01:50:49.337715	2013-08-03 01:50:49.337715	85
5205	13363	5565	2013-08-03 01:50:49.365109	2013-08-03 01:50:49.365109	85
5206	13363	5545	2013-08-03 01:50:49.37635	2013-08-03 01:50:49.37635	85
5207	13363	5525	2013-08-03 01:50:49.387607	2013-08-03 01:50:49.387607	85
5208	13363	5505	2013-08-03 01:50:49.398743	2013-08-03 01:50:49.398743	85
5209	13363	5396	2013-08-03 01:50:49.409418	2013-08-03 01:50:49.409418	85
5210	13363	5457	2013-08-03 01:50:49.420873	2013-08-03 01:50:49.420873	85
5211	13363	5485	2013-08-03 01:50:49.435173	2013-08-03 01:50:49.435173	85
5212	13363	5465	2013-08-03 01:50:49.44828	2013-08-03 01:50:49.44828	85
5213	13363	5445	2013-08-03 01:50:49.455443	2013-08-03 01:50:49.455443	85
5214	13363	5425	2013-08-03 01:50:49.460856	2013-08-03 01:50:49.460856	85
5215	13363	5405	2013-08-03 01:50:49.465346	2013-08-03 01:50:49.465346	85
5216	13363	5385	2013-08-03 01:50:49.469053	2013-08-03 01:50:49.469053	85
5217	13363	5365	2013-08-03 01:50:49.473036	2013-08-03 01:50:49.473036	85
5218	13363	5345	2013-08-03 01:50:49.477191	2013-08-03 01:50:49.477191	85
5219	13363	5290	2013-08-03 01:50:49.481478	2013-08-03 01:50:49.481478	85
5220	13363	4306	2013-08-03 01:50:49.488329	2013-08-03 01:50:49.488329	85
5221	13363	3149	2013-08-03 01:50:49.498483	2013-08-03 01:50:49.498483	85
5222	13363	2369	2013-08-03 01:50:49.509034	2013-08-03 01:50:49.509034	85
5223	13363	14848	2013-08-03 01:50:49.519372	2013-08-03 01:50:49.519372	85
5224	13387	15088	2013-08-03 01:50:49.56314	2013-08-03 01:50:49.56314	85
5225	13387	15068	2013-08-03 01:50:49.61833	2013-08-03 01:50:49.61833	85
5226	13387	15048	2013-08-03 01:50:49.623535	2013-08-03 01:50:49.623535	85
5227	13282	15028	2013-08-03 01:50:49.632948	2013-08-03 01:50:49.632948	85
5228	13282	15008	2013-08-03 01:50:49.638739	2013-08-03 01:50:49.638739	85
5229	13282	14988	2013-08-03 01:50:49.643283	2013-08-03 01:50:49.643283	85
5230	13275	14968	2013-08-03 01:50:49.651515	2013-08-03 01:50:49.651515	85
5231	13275	14948	2013-08-03 01:50:49.6612	2013-08-03 01:50:49.6612	85
5232	13275	10732	2013-08-03 01:50:49.671399	2013-08-03 01:50:49.671399	85
5233	13267	9558	2013-08-03 01:50:49.682444	2013-08-03 01:50:49.682444	85
5234	13267	8212	2013-08-03 01:50:49.693039	2013-08-03 01:50:49.693039	85
5235	13267	5205	2013-08-03 01:50:49.703555	2013-08-03 01:50:49.703555	85
5236	13257	5136	2013-08-03 01:50:49.713917	2013-08-03 01:50:49.713917	85
5237	13257	3109	2013-08-03 01:50:49.723239	2013-08-03 01:50:49.723239	85
5238	13257	8931	2013-08-03 01:50:49.733052	2013-08-03 01:50:49.733052	85
5239	13204	14748	2013-08-03 01:50:49.744012	2013-08-03 01:50:49.744012	85
5240	13204	10711	2013-08-03 01:50:49.754345	2013-08-03 01:50:49.754345	85
5241	13204	10731	2013-08-03 01:50:49.764789	2013-08-03 01:50:49.764789	85
5242	13481	11012	2013-08-03 01:50:49.822595	2013-08-03 01:50:49.822595	85
5243	13481	10992	2013-08-03 01:50:49.831525	2013-08-03 01:50:49.831525	85
5244	13362	10972	2013-08-03 01:50:49.840838	2013-08-03 01:50:49.840838	85
5245	13362	10952	2013-08-03 01:50:49.85113	2013-08-03 01:50:49.85113	85
5246	13283	10932	2013-08-03 01:50:49.861982	2013-08-03 01:50:49.861982	85
5247	13283	10912	2013-08-03 01:50:49.872373	2013-08-03 01:50:49.872373	85
5248	13276	10892	2013-08-03 01:50:49.8832	2013-08-03 01:50:49.8832	85
5249	13276	10872	2013-08-03 01:50:49.893576	2013-08-03 01:50:49.893576	85
5250	13274	5145	2013-08-03 01:50:49.904309	2013-08-03 01:50:49.904309	85
5251	13274	2551	2013-08-03 01:50:49.914543	2013-08-03 01:50:49.914543	85
5252	13270	9259	2013-08-03 01:50:49.925161	2013-08-03 01:50:49.925161	85
5253	13270	4206	2013-08-03 01:50:49.935075	2013-08-03 01:50:49.935075	85
5254	13195	10751	2013-08-03 01:50:49.945512	2013-08-03 01:50:49.945512	85
5255	13195	5358	2013-08-03 01:50:49.955365	2013-08-03 01:50:49.955365	85
5256	13456	8753	2013-08-03 01:50:49.983001	2013-08-03 01:50:49.983001	85
5257	13456	8733	2013-08-03 01:50:49.99357	2013-08-03 01:50:49.99357	85
5258	13456	8713	2013-08-03 01:50:50.003909	2013-08-03 01:50:50.003909	85
5259	13456	8693	2013-08-03 01:50:50.014298	2013-08-03 01:50:50.014298	85
5260	13456	8673	2013-08-03 01:50:50.024479	2013-08-03 01:50:50.024479	85
5261	13456	8653	2013-08-03 01:50:50.034687	2013-08-03 01:50:50.034687	85
5262	13456	8623	2013-08-03 01:50:50.044998	2013-08-03 01:50:50.044998	85
5263	13456	8633	2013-08-03 01:50:50.055123	2013-08-03 01:50:50.055123	85
5264	13456	8613	2013-08-03 01:50:50.064689	2013-08-03 01:50:50.064689	85
5265	13456	8593	2013-08-03 01:50:50.074124	2013-08-03 01:50:50.074124	85
5266	13456	8573	2013-08-03 01:50:50.083876	2013-08-03 01:50:50.083876	85
5267	13456	8553	2013-08-03 01:50:50.093994	2013-08-03 01:50:50.093994	85
5268	13456	8533	2013-08-03 01:50:50.10476	2013-08-03 01:50:50.10476	85
5269	13456	8513	2013-08-03 01:50:50.115386	2013-08-03 01:50:50.115386	85
5270	13456	8493	2013-08-03 01:50:50.125633	2013-08-03 01:50:50.125633	85
5271	13456	8473	2013-08-03 01:50:50.135772	2013-08-03 01:50:50.135772	85
5272	13456	4205	2013-08-03 01:50:50.146047	2013-08-03 01:50:50.146047	85
5273	13456	2446	2013-08-03 01:50:50.155848	2013-08-03 01:50:50.155848	85
5274	13456	7759	2013-08-03 01:50:50.165689	2013-08-03 01:50:50.165689	85
5275	14105	9875	2013-08-03 01:50:50.211973	2013-08-03 01:50:50.211973	85
5276	14105	9855	2013-08-03 01:50:50.222547	2013-08-03 01:50:50.222547	85
5277	13445	5105	2013-08-03 01:50:50.233322	2013-08-03 01:50:50.233322	85
5278	13445	4845	2013-08-03 01:50:50.243162	2013-08-03 01:50:50.243162	85
5279	13281	4305	2013-08-03 01:50:50.253971	2013-08-03 01:50:50.253971	85
5280	13281	4210	2013-08-03 01:50:50.266315	2013-08-03 01:50:50.266315	85
5281	13279	4146	2013-08-03 01:50:50.272645	2013-08-03 01:50:50.272645	85
5282	13279	3405	2013-08-03 01:50:50.276859	2013-08-03 01:50:50.276859	85
5283	13264	3089	2013-08-03 01:50:50.28175	2013-08-03 01:50:50.28175	85
5284	13264	2989	2013-08-03 01:50:50.28691	2013-08-03 01:50:50.28691	85
5285	13247	7719	2013-08-03 01:50:50.291136	2013-08-03 01:50:50.291136	85
5286	13247	14708	2013-08-03 01:50:50.322744	2013-08-03 01:50:50.322744	85
5287	13191	3618	2013-08-03 01:50:50.327278	2013-08-03 01:50:50.327278	85
5288	13191	8979	2013-08-03 01:50:50.332147	2013-08-03 01:50:50.332147	85
5289	14020	5956	2013-08-03 01:50:50.346088	2013-08-03 01:50:50.346088	85
5290	14020	5936	2013-08-03 01:50:50.35199	2013-08-03 01:50:50.35199	85
5291	14020	5916	2013-08-03 01:50:50.362008	2013-08-03 01:50:50.362008	85
5292	14020	5896	2013-08-03 01:50:50.371897	2013-08-03 01:50:50.371897	85
5293	14020	5876	2013-08-03 01:50:50.38215	2013-08-03 01:50:50.38215	85
5294	14020	5856	2013-08-03 01:50:50.392583	2013-08-03 01:50:50.392583	85
5295	14020	5836	2013-08-03 01:50:50.402828	2013-08-03 01:50:50.402828	85
5296	14020	5816	2013-08-03 01:50:50.41326	2013-08-03 01:50:50.41326	85
5297	14020	5796	2013-08-03 01:50:50.423575	2013-08-03 01:50:50.423575	85
5298	14020	5776	2013-08-03 01:50:50.434086	2013-08-03 01:50:50.434086	85
5299	14020	5756	2013-08-03 01:50:50.443746	2013-08-03 01:50:50.443746	85
5300	14020	5736	2013-08-03 01:50:50.453853	2013-08-03 01:50:50.453853	85
5301	14020	5716	2013-08-03 01:50:50.462912	2013-08-03 01:50:50.462912	85
5302	14020	5696	2013-08-03 01:50:50.467761	2013-08-03 01:50:50.467761	85
5303	14020	5676	2013-08-03 01:50:50.473896	2013-08-03 01:50:50.473896	85
5304	14020	5656	2013-08-03 01:50:50.478998	2013-08-03 01:50:50.478998	85
5305	14020	5636	2013-08-03 01:50:50.484568	2013-08-03 01:50:50.484568	85
5306	14020	7679	2013-08-03 01:50:50.488439	2013-08-03 01:50:50.488439	85
5307	14020	9899	2013-08-03 01:50:50.492622	2013-08-03 01:50:50.492622	85
5308	13312	12097	2013-08-03 01:50:50.513211	2013-08-03 01:50:50.513211	85
5309	13312	9863	2013-08-03 01:50:50.517112	2013-08-03 01:50:50.517112	85
5310	13312	5065	2013-08-03 01:50:50.521778	2013-08-03 01:50:50.521778	85
5311	13287	4945	2013-08-03 01:50:50.528234	2013-08-03 01:50:50.528234	85
5312	13287	4805	2013-08-03 01:50:50.534835	2013-08-03 01:50:50.534835	85
5313	13287	3029	2013-08-03 01:50:50.53912	2013-08-03 01:50:50.53912	85
5314	13284	3049	2013-08-03 01:50:50.543204	2013-08-03 01:50:50.543204	85
5315	13284	2845	2013-08-03 01:50:50.547895	2013-08-03 01:50:50.547895	85
5316	13284	2889	2013-08-03 01:50:50.552877	2013-08-03 01:50:50.552877	85
5317	13271	2899	2013-08-03 01:50:50.560019	2013-08-03 01:50:50.560019	85
5318	13271	2949	2013-08-03 01:50:50.567144	2013-08-03 01:50:50.567144	85
5319	13271	6115	2013-08-03 01:50:50.574862	2013-08-03 01:50:50.574862	85
5320	13193	7779	2013-08-03 01:50:50.583247	2013-08-03 01:50:50.583247	85
5321	13193	8663	2013-08-03 01:50:50.591695	2013-08-03 01:50:50.591695	85
5322	13193	6799	2013-08-03 01:50:50.600212	2013-08-03 01:50:50.600212	85
5323	14304	9938	2013-08-03 01:50:50.63966	2013-08-03 01:50:50.63966	85
5324	14304	9918	2013-08-03 01:50:50.651409	2013-08-03 01:50:50.651409	85
5325	13304	9898	2013-08-03 01:50:50.662425	2013-08-03 01:50:50.662425	85
5326	13304	9843	2013-08-03 01:50:50.673096	2013-08-03 01:50:50.673096	85
5327	13285	9878	2013-08-03 01:50:50.683548	2013-08-03 01:50:50.683548	85
5328	13285	9858	2013-08-03 01:50:50.694138	2013-08-03 01:50:50.694138	85
5329	13278	9838	2013-08-03 01:50:50.705196	2013-08-03 01:50:50.705196	85
5330	13278	9818	2013-08-03 01:50:50.71571	2013-08-03 01:50:50.71571	85
5331	13272	9798	2013-08-03 01:50:50.726784	2013-08-03 01:50:50.726784	85
5332	13272	9778	2013-08-03 01:50:50.737536	2013-08-03 01:50:50.737536	85
5333	13254	9758	2013-08-03 01:50:50.748726	2013-08-03 01:50:50.748726	85
5334	13254	9738	2013-08-03 01:50:50.759383	2013-08-03 01:50:50.759383	85
5335	13194	9718	2013-08-03 01:50:50.770616	2013-08-03 01:50:50.770616	85
5336	13194	6075	2013-08-03 01:50:50.781359	2013-08-03 01:50:50.781359	85
5337	15524	11471	2013-08-03 01:56:00.631045	2013-08-03 01:56:00.631045	86
5338	15524	11491	2013-08-03 01:56:00.64546	2013-08-03 01:56:00.64546	86
5339	15524	11511	2013-08-03 01:56:00.657166	2013-08-03 01:56:00.657166	86
5340	15518	11531	2013-08-03 01:56:00.668582	2013-08-03 01:56:00.668582	86
5341	15518	11551	2013-08-03 01:56:00.679046	2013-08-03 01:56:00.679046	86
5342	15518	11571	2013-08-03 01:56:00.689921	2013-08-03 01:56:00.689921	86
5343	15254	11591	2013-08-03 01:56:00.701242	2013-08-03 01:56:00.701242	86
5344	15254	11611	2013-08-03 01:56:00.711656	2013-08-03 01:56:00.711656	86
5345	15254	11631	2013-08-03 01:56:00.722195	2013-08-03 01:56:00.722195	86
5346	15253	11651	2013-08-03 01:56:00.733234	2013-08-03 01:56:00.733234	86
5347	15253	6139	2013-08-03 01:56:00.743521	2013-08-03 01:56:00.743521	86
5348	15253	6119	2013-08-03 01:56:00.754569	2013-08-03 01:56:00.754569	86
5349	15195	6099	2013-08-03 01:56:00.76619	2013-08-03 01:56:00.76619	86
5350	15195	6079	2013-08-03 01:56:00.777883	2013-08-03 01:56:00.777883	86
5351	15195	10251	2013-08-03 01:56:00.784453	2013-08-03 01:56:00.784453	86
5352	15173	6095	2013-08-03 01:56:00.792391	2013-08-03 01:56:00.792391	86
5353	15173	5875	2013-08-03 01:56:00.798579	2013-08-03 01:56:00.798579	86
5354	15173	5855	2013-08-03 01:56:00.802845	2013-08-03 01:56:00.802845	86
5355	15311	10503	2013-08-03 01:56:00.821775	2013-08-03 01:56:00.821775	86
5356	15311	10483	2013-08-03 01:56:00.832955	2013-08-03 01:56:00.832955	86
5357	15311	10463	2013-08-03 01:56:00.843386	2013-08-03 01:56:00.843386	86
5358	15311	10443	2013-08-03 01:56:00.853792	2013-08-03 01:56:00.853792	86
5359	15311	10423	2013-08-03 01:56:00.864114	2013-08-03 01:56:00.864114	86
5360	15311	10403	2013-08-03 01:56:00.87454	2013-08-03 01:56:00.87454	86
5361	15311	10383	2013-08-03 01:56:00.885008	2013-08-03 01:56:00.885008	86
5362	15311	10363	2013-08-03 01:56:00.895496	2013-08-03 01:56:00.895496	86
5363	15311	10275	2013-08-03 01:56:00.906138	2013-08-03 01:56:00.906138	86
5364	15311	10343	2013-08-03 01:56:00.916173	2013-08-03 01:56:00.916173	86
5365	15311	10323	2013-08-03 01:56:00.926679	2013-08-03 01:56:00.926679	86
5366	15311	10303	2013-08-03 01:56:00.937487	2013-08-03 01:56:00.937487	86
5367	15311	9400	2013-08-03 01:56:00.949216	2013-08-03 01:56:00.949216	86
5368	15311	8953	2013-08-03 01:56:00.958967	2013-08-03 01:56:00.958967	86
5369	15311	6136	2013-08-03 01:56:00.964704	2013-08-03 01:56:00.964704	86
5370	15311	5870	2013-08-03 01:56:00.970934	2013-08-03 01:56:00.970934	86
5371	15311	5805	2013-08-03 01:56:00.976161	2013-08-03 01:56:00.976161	86
5372	15311	3906	2013-08-03 01:56:00.981793	2013-08-03 01:56:00.981793	86
5373	15311	2229	2013-08-03 01:56:00.987943	2013-08-03 01:56:00.987943	86
5374	15664	2597	2013-08-03 01:56:01.005735	2013-08-03 01:56:01.005735	86
5375	15664	2521	2013-08-03 01:56:01.011014	2013-08-03 01:56:01.011014	86
5376	15664	2564	2013-08-03 01:56:01.014344	2013-08-03 01:56:01.014344	86
5377	15664	2557	2013-08-03 01:56:01.020032	2013-08-03 01:56:01.020032	86
5378	15664	2531	2013-08-03 01:56:01.029388	2013-08-03 01:56:01.029388	86
5379	15664	2596	2013-08-03 01:56:01.035025	2013-08-03 01:56:01.035025	86
5380	15664	2536	2013-08-03 01:56:01.038624	2013-08-03 01:56:01.038624	86
5381	15664	2663	2013-08-03 01:56:01.042161	2013-08-03 01:56:01.042161	86
5382	15664	2515	2013-08-03 01:56:01.046096	2013-08-03 01:56:01.046096	86
5383	15664	2535	2013-08-03 01:56:01.049291	2013-08-03 01:56:01.049291	86
5384	15664	2555	2013-08-03 01:56:01.052359	2013-08-03 01:56:01.052359	86
5385	15664	2575	2013-08-03 01:56:01.055203	2013-08-03 01:56:01.055203	86
5386	15664	2595	2013-08-03 01:56:01.062026	2013-08-03 01:56:01.062026	86
5387	15664	2615	2013-08-03 01:56:01.067787	2013-08-03 01:56:01.067787	86
5388	15664	2635	2013-08-03 01:56:01.074263	2013-08-03 01:56:01.074263	86
5389	15664	2655	2013-08-03 01:56:01.082173	2013-08-03 01:56:01.082173	86
5390	15664	11571	2013-08-03 01:56:01.09217	2013-08-03 01:56:01.09217	86
5391	15664	11551	2013-08-03 01:56:01.101552	2013-08-03 01:56:01.101552	86
5392	15664	11531	2013-08-03 01:56:01.107822	2013-08-03 01:56:01.107822	86
5393	15313	6165	2013-08-03 01:56:01.128031	2013-08-03 01:56:01.128031	86
5394	15313	6145	2013-08-03 01:56:01.134502	2013-08-03 01:56:01.134502	86
5395	15313	6125	2013-08-03 01:56:01.175929	2013-08-03 01:56:01.175929	86
5396	15313	6096	2013-08-03 01:56:01.180714	2013-08-03 01:56:01.180714	86
5397	15313	6105	2013-08-03 01:56:01.184329	2013-08-03 01:56:01.184329	86
5398	15313	6085	2013-08-03 01:56:01.188186	2013-08-03 01:56:01.188186	86
5399	15313	6065	2013-08-03 01:56:01.196074	2013-08-03 01:56:01.196074	86
5400	15313	6045	2013-08-03 01:56:01.204867	2013-08-03 01:56:01.204867	86
5401	15313	6025	2013-08-03 01:56:01.215244	2013-08-03 01:56:01.215244	86
5402	15313	6005	2013-08-03 01:56:01.22546	2013-08-03 01:56:01.22546	86
5403	15313	5985	2013-08-03 01:56:01.23451	2013-08-03 01:56:01.23451	86
5404	15313	5830	2013-08-03 01:56:01.239663	2013-08-03 01:56:01.239663	86
5405	15313	5965	2013-08-03 01:56:01.243649	2013-08-03 01:56:01.243649	86
5406	15313	5945	2013-08-03 01:56:01.248125	2013-08-03 01:56:01.248125	86
5407	15313	5925	2013-08-03 01:56:01.257409	2013-08-03 01:56:01.257409	86
5408	15313	5905	2013-08-03 01:56:01.26517	2013-08-03 01:56:01.26517	86
5409	15313	5885	2013-08-03 01:56:01.27287	2013-08-03 01:56:01.27287	86
5410	15313	5865	2013-08-03 01:56:01.281292	2013-08-03 01:56:01.281292	86
5411	15313	3545	2013-08-03 01:56:01.290831	2013-08-03 01:56:01.290831	86
5412	15528	10992	2013-08-03 01:56:01.330772	2013-08-03 01:56:01.330772	86
5413	15528	11012	2013-08-03 01:56:01.341255	2013-08-03 01:56:01.341255	86
5414	15520	10183	2013-08-03 01:56:01.351823	2013-08-03 01:56:01.351823	86
5415	15520	9300	2013-08-03 01:56:01.362005	2013-08-03 01:56:01.362005	86
5416	15296	8853	2013-08-03 01:56:01.372734	2013-08-03 01:56:01.372734	86
5417	15296	6036	2013-08-03 01:56:01.382889	2013-08-03 01:56:01.382889	86
5418	15286	5790	2013-08-03 01:56:01.393387	2013-08-03 01:56:01.393387	86
5419	15286	5725	2013-08-03 01:56:01.403432	2013-08-03 01:56:01.403432	86
5420	15256	2949	2013-08-03 01:56:01.413947	2013-08-03 01:56:01.413947	86
5421	15256	2106	2013-08-03 01:56:01.42438	2013-08-03 01:56:01.42438	86
5422	15197	14148	2013-08-03 01:56:01.43503	2013-08-03 01:56:01.43503	86
5423	15197	10195	2013-08-03 01:56:01.444714	2013-08-03 01:56:01.444714	86
5424	15179	9918	2013-08-03 01:56:01.453693	2013-08-03 01:56:01.453693	86
5425	15179	9938	2013-08-03 01:56:01.459005	2013-08-03 01:56:01.459005	86
5426	15580	15548	2013-08-03 01:56:01.468561	2013-08-03 01:56:01.468561	86
5427	15580	15528	2013-08-03 01:56:01.473096	2013-08-03 01:56:01.473096	86
5428	15580	15508	2013-08-03 01:56:01.477648	2013-08-03 01:56:01.477648	86
5429	15580	15488	2013-08-03 01:56:01.481963	2013-08-03 01:56:01.481963	86
5430	15580	15468	2013-08-03 01:56:01.486137	2013-08-03 01:56:01.486137	86
5431	15580	15448	2013-08-03 01:56:01.489617	2013-08-03 01:56:01.489617	86
5432	15580	15428	2013-08-03 01:56:01.492994	2013-08-03 01:56:01.492994	86
5433	15580	15408	2013-08-03 01:56:01.49623	2013-08-03 01:56:01.49623	86
5434	15580	15388	2013-08-03 01:56:01.499764	2013-08-03 01:56:01.499764	86
5435	15580	15368	2013-08-03 01:56:01.504365	2013-08-03 01:56:01.504365	86
5436	15580	15348	2013-08-03 01:56:01.511244	2013-08-03 01:56:01.511244	86
5437	15580	15328	2013-08-03 01:56:01.519517	2013-08-03 01:56:01.519517	86
5438	15580	15308	2013-08-03 01:56:01.530192	2013-08-03 01:56:01.530192	86
5439	15580	15288	2013-08-03 01:56:01.540942	2013-08-03 01:56:01.540942	86
5440	15580	15268	2013-08-03 01:56:01.551101	2013-08-03 01:56:01.551101	86
5441	15580	15248	2013-08-03 01:56:01.560884	2013-08-03 01:56:01.560884	86
5442	15580	15228	2013-08-03 01:56:01.571937	2013-08-03 01:56:01.571937	86
5443	15580	15208	2013-08-03 01:56:01.582996	2013-08-03 01:56:01.582996	86
5444	15580	15188	2013-08-03 01:56:01.594077	2013-08-03 01:56:01.594077	86
5445	15529	11512	2013-08-03 01:56:01.632597	2013-08-03 01:56:01.632597	86
5446	15529	11492	2013-08-03 01:56:01.6421	2013-08-03 01:56:01.6421	86
5447	15521	11472	2013-08-03 01:56:01.650302	2013-08-03 01:56:01.650302	86
5448	15521	11452	2013-08-03 01:56:01.659908	2013-08-03 01:56:01.659908	86
5449	15349	11432	2013-08-03 01:56:01.670508	2013-08-03 01:56:01.670508	86
5450	15349	11412	2013-08-03 01:56:01.681886	2013-08-03 01:56:01.681886	86
5451	15295	11392	2013-08-03 01:56:01.693078	2013-08-03 01:56:01.693078	86
5452	15295	11372	2013-08-03 01:56:01.698162	2013-08-03 01:56:01.698162	86
5453	15257	11352	2013-08-03 01:56:01.704321	2013-08-03 01:56:01.704321	86
5454	15257	11332	2013-08-03 01:56:01.711435	2013-08-03 01:56:01.711435	86
5455	15202	8752	2013-08-03 01:56:01.721175	2013-08-03 01:56:01.721175	86
5456	15202	5536	2013-08-03 01:56:01.766677	2013-08-03 01:56:01.766677	86
5457	15176	14888	2013-08-03 01:56:01.773533	2013-08-03 01:56:01.773533	86
5458	15176	5730	2013-08-03 01:56:01.782182	2013-08-03 01:56:01.782182	86
5459	15312	9273	2013-08-03 01:56:01.81053	2013-08-03 01:56:01.81053	86
5460	15312	9112	2013-08-03 01:56:01.822063	2013-08-03 01:56:01.822063	86
5461	15312	9253	2013-08-03 01:56:01.833311	2013-08-03 01:56:01.833311	86
5462	15312	9233	2013-08-03 01:56:01.844707	2013-08-03 01:56:01.844707	86
5463	15312	9213	2013-08-03 01:56:01.855912	2013-08-03 01:56:01.855912	86
5464	15312	9193	2013-08-03 01:56:01.865226	2013-08-03 01:56:01.865226	86
5465	15312	9173	2013-08-03 01:56:01.870194	2013-08-03 01:56:01.870194	86
5466	15312	9153	2013-08-03 01:56:01.878908	2013-08-03 01:56:01.878908	86
5467	15312	9133	2013-08-03 01:56:01.887706	2013-08-03 01:56:01.887706	86
5468	15312	9113	2013-08-03 01:56:01.895	2013-08-03 01:56:01.895	86
5469	15312	8958	2013-08-03 01:56:01.946841	2013-08-03 01:56:01.946841	86
5470	15312	9093	2013-08-03 01:56:01.950476	2013-08-03 01:56:01.950476	86
5471	15312	9073	2013-08-03 01:56:01.953272	2013-08-03 01:56:01.953272	86
5472	15312	9053	2013-08-03 01:56:01.956063	2013-08-03 01:56:01.956063	86
5473	15312	9033	2013-08-03 01:56:01.958826	2013-08-03 01:56:01.958826	86
5474	15312	9013	2013-08-03 01:56:01.961547	2013-08-03 01:56:01.961547	86
5475	15312	5605	2013-08-03 01:56:01.964488	2013-08-03 01:56:01.964488	86
5476	15312	5610	2013-08-03 01:56:01.967484	2013-08-03 01:56:01.967484	86
5477	15312	8879	2013-08-03 01:56:01.97296	2013-08-03 01:56:01.97296	86
5478	15527	10375	2013-08-03 01:56:02.001245	2013-08-03 01:56:02.001245	86
5479	15527	10355	2013-08-03 01:56:02.011423	2013-08-03 01:56:02.011423	86
5480	15519	10335	2013-08-03 01:56:02.017723	2013-08-03 01:56:02.017723	86
5481	15519	8413	2013-08-03 01:56:02.021573	2013-08-03 01:56:02.021573	86
5482	15293	5645	2013-08-03 01:56:02.027118	2013-08-03 01:56:02.027118	86
5483	15293	5285	2013-08-03 01:56:02.031768	2013-08-03 01:56:02.031768	86
5484	15270	4825	2013-08-03 01:56:02.035861	2013-08-03 01:56:02.035861	86
5485	15270	4346	2013-08-03 01:56:02.039759	2013-08-03 01:56:02.039759	86
5486	15255	2040	2013-08-03 01:56:02.045541	2013-08-03 01:56:02.045541	86
5487	15255	5710	2013-08-03 01:56:02.050251	2013-08-03 01:56:02.050251	86
5488	15196	1739	2013-08-03 01:56:02.059454	2013-08-03 01:56:02.059454	86
5489	15196	5058	2013-08-03 01:56:02.069243	2013-08-03 01:56:02.069243	86
5490	15175	11117	2013-08-03 01:56:02.079584	2013-08-03 01:56:02.079584	86
5491	15175	10671	2013-08-03 01:56:02.089315	2013-08-03 01:56:02.089315	86
5492	15314	6476	2013-08-03 01:56:02.116388	2013-08-03 01:56:02.116388	86
5493	15314	6456	2013-08-03 01:56:02.127975	2013-08-03 01:56:02.127975	86
5494	15314	6401	2013-08-03 01:56:02.138661	2013-08-03 01:56:02.138661	86
5495	15314	6436	2013-08-03 01:56:02.14959	2013-08-03 01:56:02.14959	86
5496	15314	6416	2013-08-03 01:56:02.16035	2013-08-03 01:56:02.16035	86
5497	15314	6396	2013-08-03 01:56:02.171206	2013-08-03 01:56:02.171206	86
5498	15314	6376	2013-08-03 01:56:02.177138	2013-08-03 01:56:02.177138	86
5499	15314	6356	2013-08-03 01:56:02.182064	2013-08-03 01:56:02.182064	86
5500	15314	6336	2013-08-03 01:56:02.187436	2013-08-03 01:56:02.187436	86
5501	15314	6316	2013-08-03 01:56:02.194604	2013-08-03 01:56:02.194604	86
5502	15314	6296	2013-08-03 01:56:02.205441	2013-08-03 01:56:02.205441	86
5503	15314	6241	2013-08-03 01:56:02.215678	2013-08-03 01:56:02.215678	86
5504	15314	6276	2013-08-03 01:56:02.222469	2013-08-03 01:56:02.222469	86
5505	15314	6256	2013-08-03 01:56:02.225799	2013-08-03 01:56:02.225799	86
5506	15314	6236	2013-08-03 01:56:02.22934	2013-08-03 01:56:02.22934	86
5507	15314	6216	2013-08-03 01:56:02.232872	2013-08-03 01:56:02.232872	86
5508	15314	6196	2013-08-03 01:56:02.236358	2013-08-03 01:56:02.236358	86
5509	15314	9963	2013-08-03 01:56:02.242221	2013-08-03 01:56:02.242221	86
5510	15314	8920	2013-08-03 01:56:02.245794	2013-08-03 01:56:02.245794	86
5511	15526	12697	2013-08-03 01:56:02.264235	2013-08-03 01:56:02.264235	86
5512	15526	12677	2013-08-03 01:56:02.272704	2013-08-03 01:56:02.272704	86
5513	15526	12657	2013-08-03 01:56:02.282932	2013-08-03 01:56:02.282932	86
5514	15522	12637	2013-08-03 01:56:02.294475	2013-08-03 01:56:02.294475	86
5515	15522	12617	2013-08-03 01:56:02.306123	2013-08-03 01:56:02.306123	86
5516	15522	12597	2013-08-03 01:56:02.317069	2013-08-03 01:56:02.317069	86
5517	15491	12577	2013-08-03 01:56:02.328361	2013-08-03 01:56:02.328361	86
5518	15491	12557	2013-08-03 01:56:02.339487	2013-08-03 01:56:02.339487	86
5519	15491	12537	2013-08-03 01:56:02.350527	2013-08-03 01:56:02.350527	86
5520	15375	12517	2013-08-03 01:56:02.361973	2013-08-03 01:56:02.361973	86
5521	15375	12497	2013-08-03 01:56:02.372837	2013-08-03 01:56:02.372837	86
5522	15375	12477	2013-08-03 01:56:02.384527	2013-08-03 01:56:02.384527	86
5523	15208	12457	2013-08-03 01:56:02.396861	2013-08-03 01:56:02.396861	86
5524	15208	12437	2013-08-03 01:56:02.446476	2013-08-03 01:56:02.446476	86
5525	15208	12417	2013-08-03 01:56:02.457237	2013-08-03 01:56:02.457237	86
5526	15178	12397	2013-08-03 01:56:02.46668	2013-08-03 01:56:02.46668	86
5527	15178	12377	2013-08-03 01:56:02.475786	2013-08-03 01:56:02.475786	86
5528	15178	8999	2013-08-03 01:56:02.486631	2013-08-03 01:56:02.486631	86
5529	15525	10078	2013-08-03 01:56:02.505294	2013-08-03 01:56:02.505294	86
5530	15525	10058	2013-08-03 01:56:02.509085	2013-08-03 01:56:02.509085	86
5531	15523	10035	2013-08-03 01:56:02.513613	2013-08-03 01:56:02.513613	86
5532	15523	5585	2013-08-03 01:56:02.517467	2013-08-03 01:56:02.517467	86
5533	15492	2869	2013-08-03 01:56:02.523057	2013-08-03 01:56:02.523057	86
5534	15492	1939	2013-08-03 01:56:02.530185	2013-08-03 01:56:02.530185	86
5535	15387	1960	2013-08-03 01:56:02.539653	2013-08-03 01:56:02.539653	86
5536	15387	10155	2013-08-03 01:56:02.547903	2013-08-03 01:56:02.547903	86
5537	15297	1728	2013-08-03 01:56:02.551721	2013-08-03 01:56:02.551721	86
5538	15297	5038	2013-08-03 01:56:02.560886	2013-08-03 01:56:02.560886	86
5539	15211	14988	2013-08-03 01:56:02.57062	2013-08-03 01:56:02.57062	86
5540	15211	8051	2013-08-03 01:56:02.581352	2013-08-03 01:56:02.581352	86
5541	15187	6055	2013-08-03 01:56:02.592897	2013-08-03 01:56:02.592897	86
5542	15187	4398	2013-08-03 01:56:02.603596	2013-08-03 01:56:02.603596	86
5543	20858	11191	2013-08-03 02:00:58.923257	2013-08-03 02:00:58.923257	87
5544	20858	11171	2013-08-03 02:00:58.93843	2013-08-03 02:00:58.93843	87
5545	20858	11151	2013-08-03 02:00:58.950496	2013-08-03 02:00:58.950496	87
5546	19572	6355	2013-08-03 02:00:58.962865	2013-08-03 02:00:58.962865	87
5547	19572	6298	2013-08-03 02:00:58.975139	2013-08-03 02:00:58.975139	87
5548	19572	9888	2013-08-03 02:00:58.98387	2013-08-03 02:00:58.98387	87
5549	18275	11831	2013-08-03 02:00:58.991449	2013-08-03 02:00:58.991449	87
5550	18275	4059	2013-08-03 02:00:58.996293	2013-08-03 02:00:58.996293	87
5551	18275	4039	2013-08-03 02:00:59.000625	2013-08-03 02:00:59.000625	87
5552	17814	11851	2013-08-03 02:00:59.007422	2013-08-03 02:00:59.007422	87
5553	17814	11291	2013-08-03 02:00:59.014101	2013-08-03 02:00:59.014101	87
5554	17814	11311	2013-08-03 02:00:59.021137	2013-08-03 02:00:59.021137	87
5555	17794	11331	2013-08-03 02:00:59.026095	2013-08-03 02:00:59.026095	87
5556	17794	11351	2013-08-03 02:00:59.033535	2013-08-03 02:00:59.033535	87
5557	17794	11371	2013-08-03 02:00:59.044197	2013-08-03 02:00:59.044197	87
5558	17694	11391	2013-08-03 02:00:59.055738	2013-08-03 02:00:59.055738	87
5559	17694	11411	2013-08-03 02:00:59.067006	2013-08-03 02:00:59.067006	87
5560	17694	11431	2013-08-03 02:00:59.078191	2013-08-03 02:00:59.078191	87
5561	18966	2675	2013-08-03 02:00:59.111748	2013-08-03 02:00:59.111748	87
5562	18966	2724	2013-08-03 02:00:59.123492	2013-08-03 02:00:59.123492	87
5563	18966	2704	2013-08-03 02:00:59.134713	2013-08-03 02:00:59.134713	87
5564	18966	2684	2013-08-03 02:00:59.145928	2013-08-03 02:00:59.145928	87
5565	18966	2629	2013-08-03 02:00:59.15695	2013-08-03 02:00:59.15695	87
5566	18966	2548	2013-08-03 02:00:59.167145	2013-08-03 02:00:59.167145	87
5567	18966	2568	2013-08-03 02:00:59.17829	2013-08-03 02:00:59.17829	87
5568	18966	2588	2013-08-03 02:00:59.189326	2013-08-03 02:00:59.189326	87
5569	18966	2608	2013-08-03 02:00:59.200455	2013-08-03 02:00:59.200455	87
5570	18966	2628	2013-08-03 02:00:59.212565	2013-08-03 02:00:59.212565	87
5571	18966	2648	2013-08-03 02:00:59.224345	2013-08-03 02:00:59.224345	87
5572	18966	2668	2013-08-03 02:00:59.235482	2013-08-03 02:00:59.235482	87
5573	18966	2571	2013-08-03 02:00:59.240021	2013-08-03 02:00:59.240021	87
5574	18966	10588	2013-08-03 02:00:59.291883	2013-08-03 02:00:59.291883	87
5575	18966	11671	2013-08-03 02:00:59.297726	2013-08-03 02:00:59.297726	87
5576	18966	15828	2013-08-03 02:00:59.30174	2013-08-03 02:00:59.30174	87
5577	18966	4039	2013-08-03 02:00:59.306931	2013-08-03 02:00:59.306931	87
5578	18966	4059	2013-08-03 02:00:59.313362	2013-08-03 02:00:59.313362	87
5579	18966	11831	2013-08-03 02:00:59.322426	2013-08-03 02:00:59.322426	87
5580	19469	6385	2013-08-03 02:00:59.348461	2013-08-03 02:00:59.348461	87
5581	19469	6365	2013-08-03 02:00:59.360152	2013-08-03 02:00:59.360152	87
5582	19469	6345	2013-08-03 02:00:59.370956	2013-08-03 02:00:59.370956	87
5583	19469	6325	2013-08-03 02:00:59.381866	2013-08-03 02:00:59.381866	87
5584	19469	6305	2013-08-03 02:00:59.392858	2013-08-03 02:00:59.392858	87
5585	19469	6285	2013-08-03 02:00:59.404007	2013-08-03 02:00:59.404007	87
5586	19469	6265	2013-08-03 02:00:59.415525	2013-08-03 02:00:59.415525	87
5587	19469	6245	2013-08-03 02:00:59.42693	2013-08-03 02:00:59.42693	87
5588	19469	6225	2013-08-03 02:00:59.43866	2013-08-03 02:00:59.43866	87
5589	19469	6205	2013-08-03 02:00:59.450054	2013-08-03 02:00:59.450054	87
5590	19469	6185	2013-08-03 02:00:59.461478	2013-08-03 02:00:59.461478	87
5591	19469	6123	2013-08-03 02:00:59.472407	2013-08-03 02:00:59.472407	87
5592	19469	4226	2013-08-03 02:00:59.482319	2013-08-03 02:00:59.482319	87
5593	19469	3606	2013-08-03 02:00:59.492272	2013-08-03 02:00:59.492272	87
5594	19469	9560	2013-08-03 02:00:59.502423	2013-08-03 02:00:59.502423	87
5595	19469	10358	2013-08-03 02:00:59.512577	2013-08-03 02:00:59.512577	87
5596	19469	10675	2013-08-03 02:00:59.522555	2013-08-03 02:00:59.522555	87
5597	19469	11772	2013-08-03 02:00:59.532804	2013-08-03 02:00:59.532804	87
5598	19469	15808	2013-08-03 02:00:59.543271	2013-08-03 02:00:59.543271	87
5599	21423	16028	2013-08-03 02:00:59.59901	2013-08-03 02:00:59.59901	87
5600	21423	16008	2013-08-03 02:00:59.607755	2013-08-03 02:00:59.607755	87
5601	19593	15988	2013-08-03 02:00:59.616678	2013-08-03 02:00:59.616678	87
5602	19593	15968	2013-08-03 02:00:59.627608	2013-08-03 02:00:59.627608	87
5603	18278	15948	2013-08-03 02:00:59.633782	2013-08-03 02:00:59.633782	87
5604	18278	15928	2013-08-03 02:00:59.638287	2013-08-03 02:00:59.638287	87
5605	17873	15908	2013-08-03 02:00:59.647793	2013-08-03 02:00:59.647793	87
5606	17873	11712	2013-08-03 02:00:59.653604	2013-08-03 02:00:59.653604	87
5607	17817	10298	2013-08-03 02:00:59.66236	2013-08-03 02:00:59.66236	87
5608	17817	9403	2013-08-03 02:00:59.672117	2013-08-03 02:00:59.672117	87
5609	17762	6070	2013-08-03 02:00:59.682899	2013-08-03 02:00:59.682899	87
5610	17762	2749	2013-08-03 02:00:59.693369	2013-08-03 02:00:59.693369	87
5611	17704	9500	2013-08-03 02:00:59.704733	2013-08-03 02:00:59.704733	87
5612	17704	10615	2013-08-03 02:00:59.715556	2013-08-03 02:00:59.715556	87
5613	17782	16468	2013-08-03 02:00:59.741958	2013-08-03 02:00:59.741958	87
5614	17782	16448	2013-08-03 02:00:59.753573	2013-08-03 02:00:59.753573	87
5615	17782	16428	2013-08-03 02:00:59.764925	2013-08-03 02:00:59.764925	87
5616	17782	16408	2013-08-03 02:00:59.776229	2013-08-03 02:00:59.776229	87
5617	17782	16388	2013-08-03 02:00:59.787092	2013-08-03 02:00:59.787092	87
5618	17782	16368	2013-08-03 02:00:59.798152	2013-08-03 02:00:59.798152	87
5619	17782	16348	2013-08-03 02:00:59.809038	2013-08-03 02:00:59.809038	87
5620	17782	16328	2013-08-03 02:00:59.820375	2013-08-03 02:00:59.820375	87
5621	17782	16308	2013-08-03 02:00:59.83208	2013-08-03 02:00:59.83208	87
5622	17782	16288	2013-08-03 02:00:59.842996	2013-08-03 02:00:59.842996	87
5623	17782	16268	2013-08-03 02:00:59.854009	2013-08-03 02:00:59.854009	87
5624	17782	16248	2013-08-03 02:00:59.86485	2013-08-03 02:00:59.86485	87
5625	17782	16228	2013-08-03 02:00:59.87613	2013-08-03 02:00:59.87613	87
5626	17782	16208	2013-08-03 02:00:59.887809	2013-08-03 02:00:59.887809	87
5627	17782	16188	2013-08-03 02:00:59.89894	2013-08-03 02:00:59.89894	87
5628	17782	16168	2013-08-03 02:00:59.909371	2013-08-03 02:00:59.909371	87
5629	17782	16148	2013-08-03 02:00:59.92019	2013-08-03 02:00:59.92019	87
5630	17782	16028	2013-08-03 02:00:59.931465	2013-08-03 02:00:59.931465	87
5631	17782	16008	2013-08-03 02:00:59.943086	2013-08-03 02:00:59.943086	87
5632	19599	12052	2013-08-03 02:00:59.989202	2013-08-03 02:00:59.989202	87
5633	19599	12032	2013-08-03 02:01:00.001119	2013-08-03 02:01:00.001119	87
5634	19599	12012	2013-08-03 02:01:00.013042	2013-08-03 02:01:00.013042	87
5635	18279	11992	2013-08-03 02:01:00.018729	2013-08-03 02:01:00.018729	87
5636	18279	11972	2013-08-03 02:01:00.023543	2013-08-03 02:01:00.023543	87
5637	18279	11952	2013-08-03 02:01:00.061347	2013-08-03 02:01:00.061347	87
5638	17910	11932	2013-08-03 02:01:00.069116	2013-08-03 02:01:00.069116	87
5639	17910	11912	2013-08-03 02:01:00.076691	2013-08-03 02:01:00.076691	87
5640	17910	11892	2013-08-03 02:01:00.085371	2013-08-03 02:01:00.085371	87
5641	17818	11872	2013-08-03 02:01:00.095701	2013-08-03 02:01:00.095701	87
5642	17818	11852	2013-08-03 02:01:00.107226	2013-08-03 02:01:00.107226	87
5643	17818	10218	2013-08-03 02:01:00.118529	2013-08-03 02:01:00.118529	87
5644	17764	9353	2013-08-03 02:01:00.130414	2013-08-03 02:01:00.130414	87
5645	17764	3029	2013-08-03 02:01:00.1424	2013-08-03 02:01:00.1424	87
5646	17764	10535	2013-08-03 02:01:00.147709	2013-08-03 02:01:00.147709	87
5647	17706	11151	2013-08-03 02:01:00.151366	2013-08-03 02:01:00.151366	87
5648	17706	11171	2013-08-03 02:01:00.154646	2013-08-03 02:01:00.154646	87
5649	17706	11191	2013-08-03 02:01:00.158054	2013-08-03 02:01:00.158054	87
5650	17781	9855	2013-08-03 02:01:00.168111	2013-08-03 02:01:00.168111	87
5651	17781	9873	2013-08-03 02:01:00.173064	2013-08-03 02:01:00.173064	87
5652	17781	9853	2013-08-03 02:01:00.17846	2013-08-03 02:01:00.17846	87
5653	17781	9833	2013-08-03 02:01:00.183485	2013-08-03 02:01:00.183485	87
5654	17781	9813	2013-08-03 02:01:00.188134	2013-08-03 02:01:00.188134	87
5655	17781	9793	2013-08-03 02:01:00.195589	2013-08-03 02:01:00.195589	87
5656	17781	9773	2013-08-03 02:01:00.204805	2013-08-03 02:01:00.204805	87
5657	17781	9753	2013-08-03 02:01:00.216437	2013-08-03 02:01:00.216437	87
5658	17781	9728	2013-08-03 02:01:00.221566	2013-08-03 02:01:00.221566	87
5659	17781	9733	2013-08-03 02:01:00.226826	2013-08-03 02:01:00.226826	87
5660	17781	9713	2013-08-03 02:01:00.2326	2013-08-03 02:01:00.2326	87
5661	17781	9693	2013-08-03 02:01:00.23918	2013-08-03 02:01:00.23918	87
5662	17781	9673	2013-08-03 02:01:00.245484	2013-08-03 02:01:00.245484	87
5663	17781	9653	2013-08-03 02:01:00.250361	2013-08-03 02:01:00.250361	87
5664	17781	9633	2013-08-03 02:01:00.256052	2013-08-03 02:01:00.256052	87
5665	17781	9613	2013-08-03 02:01:00.262804	2013-08-03 02:01:00.262804	87
5666	17781	9593	2013-08-03 02:01:00.268115	2013-08-03 02:01:00.268115	87
5667	17781	9573	2013-08-03 02:01:00.273617	2013-08-03 02:01:00.273617	87
5668	17781	15628	2013-08-03 02:01:00.279481	2013-08-03 02:01:00.279481	87
5669	19577	11015	2013-08-03 02:01:00.296091	2013-08-03 02:01:00.296091	87
5670	19577	10995	2013-08-03 02:01:00.300418	2013-08-03 02:01:00.300418	87
5671	19577	10975	2013-08-03 02:01:00.304145	2013-08-03 02:01:00.304145	87
5672	18276	10955	2013-08-03 02:01:00.308628	2013-08-03 02:01:00.308628	87
5673	18276	10935	2013-08-03 02:01:00.312661	2013-08-03 02:01:00.312661	87
5674	18276	10915	2013-08-03 02:01:00.317103	2013-08-03 02:01:00.317103	87
5675	17835	10895	2013-08-03 02:01:00.321259	2013-08-03 02:01:00.321259	87
5676	17835	10875	2013-08-03 02:01:00.325178	2013-08-03 02:01:00.325178	87
5677	17835	10855	2013-08-03 02:01:00.328977	2013-08-03 02:01:00.328977	87
5678	17816	10835	2013-08-03 02:01:00.332979	2013-08-03 02:01:00.332979	87
5679	17816	10815	2013-08-03 02:01:00.337233	2013-08-03 02:01:00.337233	87
5680	17816	10795	2013-08-03 02:01:00.342515	2013-08-03 02:01:00.342515	87
5681	17760	10775	2013-08-03 02:01:00.347659	2013-08-03 02:01:00.347659	87
5682	17760	10755	2013-08-03 02:01:00.352743	2013-08-03 02:01:00.352743	87
5683	17760	10735	2013-08-03 02:01:00.356896	2013-08-03 02:01:00.356896	87
5684	17699	10715	2013-08-03 02:01:00.361023	2013-08-03 02:01:00.361023	87
5685	17699	2551	2013-08-03 02:01:00.364993	2013-08-03 02:01:00.364993	87
5686	17699	15688	2013-08-03 02:01:00.369437	2013-08-03 02:01:00.369437	87
5687	19468	6696	2013-08-03 02:01:00.380368	2013-08-03 02:01:00.380368	87
5688	19468	6676	2013-08-03 02:01:00.384943	2013-08-03 02:01:00.384943	87
5689	19468	6656	2013-08-03 02:01:00.389127	2013-08-03 02:01:00.389127	87
5690	19468	6636	2013-08-03 02:01:00.395974	2013-08-03 02:01:00.395974	87
5691	19468	6616	2013-08-03 02:01:00.40275	2013-08-03 02:01:00.40275	87
5692	19468	6596	2013-08-03 02:01:00.408073	2013-08-03 02:01:00.408073	87
5693	19468	6576	2013-08-03 02:01:00.41275	2013-08-03 02:01:00.41275	87
5694	19468	6556	2013-08-03 02:01:00.417416	2013-08-03 02:01:00.417416	87
5695	19468	6536	2013-08-03 02:01:00.422299	2013-08-03 02:01:00.422299	87
5696	19468	6516	2013-08-03 02:01:00.429853	2013-08-03 02:01:00.429853	87
5697	19468	6496	2013-08-03 02:01:00.466336	2013-08-03 02:01:00.466336	87
5698	19468	5930	2013-08-03 02:01:00.472119	2013-08-03 02:01:00.472119	87
5699	19468	2365	2013-08-03 02:01:00.47642	2013-08-03 02:01:00.47642	87
5700	19468	8931	2013-08-03 02:01:00.481169	2013-08-03 02:01:00.481169	87
5701	19468	1960	2013-08-03 02:01:00.486632	2013-08-03 02:01:00.486632	87
5702	19468	9313	2013-08-03 02:01:00.492281	2013-08-03 02:01:00.492281	87
5703	19468	10643	2013-08-03 02:01:00.497524	2013-08-03 02:01:00.497524	87
5704	19468	15028	2013-08-03 02:01:00.502753	2013-08-03 02:01:00.502753	87
5705	19468	15608	2013-08-03 02:01:00.506941	2013-08-03 02:01:00.506941	87
5706	20572	12877	2013-08-03 02:01:00.519983	2013-08-03 02:01:00.519983	87
5707	20572	12857	2013-08-03 02:01:00.524889	2013-08-03 02:01:00.524889	87
5708	20572	12837	2013-08-03 02:01:00.530278	2013-08-03 02:01:00.530278	87
5709	19604	12817	2013-08-03 02:01:00.53484	2013-08-03 02:01:00.53484	87
5710	19604	12797	2013-08-03 02:01:00.539326	2013-08-03 02:01:00.539326	87
5711	19604	12777	2013-08-03 02:01:00.543904	2013-08-03 02:01:00.543904	87
5712	18280	12757	2013-08-03 02:01:00.548895	2013-08-03 02:01:00.548895	87
5713	18280	12737	2013-08-03 02:01:00.555797	2013-08-03 02:01:00.555797	87
5714	18280	10543	2013-08-03 02:01:00.562201	2013-08-03 02:01:00.562201	87
5715	17935	5990	2013-08-03 02:01:00.56735	2013-08-03 02:01:00.56735	87
5716	17935	6010	2013-08-03 02:01:00.571075	2013-08-03 02:01:00.571075	87
5717	17935	5950	2013-08-03 02:01:00.574574	2013-08-03 02:01:00.574574	87
5718	17819	2830	2013-08-03 02:01:00.579072	2013-08-03 02:01:00.579072	87
5719	17819	1974	2013-08-03 02:01:00.582649	2013-08-03 02:01:00.582649	87
5720	17819	5576	2013-08-03 02:01:00.585938	2013-08-03 02:01:00.585938	87
5721	17695	15588	2013-08-03 02:01:00.589592	2013-08-03 02:01:00.589592	87
5722	17695	10155	2013-08-03 02:01:00.593355	2013-08-03 02:01:00.593355	87
5723	17695	6119	2013-08-03 02:01:00.597689	2013-08-03 02:01:00.597689	87
5724	20418	10523	2013-08-03 02:01:00.679854	2013-08-03 02:01:00.679854	87
5725	20418	10617	2013-08-03 02:01:00.689732	2013-08-03 02:01:00.689732	87
5726	19610	10658	2013-08-03 02:01:00.700996	2013-08-03 02:01:00.700996	87
5727	19610	10638	2013-08-03 02:01:00.71271	2013-08-03 02:01:00.71271	87
5728	18281	10618	2013-08-03 02:01:00.724237	2013-08-03 02:01:00.724237	87
5729	18281	10598	2013-08-03 02:01:00.734969	2013-08-03 02:01:00.734969	87
5730	17966	10578	2013-08-03 02:01:00.745879	2013-08-03 02:01:00.745879	87
5731	17966	10558	2013-08-03 02:01:00.756854	2013-08-03 02:01:00.756854	87
5732	17822	10538	2013-08-03 02:01:00.768427	2013-08-03 02:01:00.768427	87
5733	17822	10518	2013-08-03 02:01:00.780825	2013-08-03 02:01:00.780825	87
5734	17766	10498	2013-08-03 02:01:00.792452	2013-08-03 02:01:00.792452	87
5735	17766	10478	2013-08-03 02:01:00.801643	2013-08-03 02:01:00.801643	87
5736	17696	10458	2013-08-03 02:01:00.811503	2013-08-03 02:01:00.811503	87
5737	17696	11591	2013-08-03 02:01:00.822034	2013-08-03 02:01:00.822034	87
5738	22773	10208	2013-08-03 02:06:03.701665	2013-08-03 02:06:03.701665	88
5739	22773	10368	2013-08-03 02:06:03.712942	2013-08-03 02:06:03.712942	88
5740	21511	4039	2013-08-03 02:06:03.72367	2013-08-03 02:06:03.72367	88
5741	21511	11531	2013-08-03 02:06:03.73397	2013-08-03 02:06:03.73397	88
5742	21224	11551	2013-08-03 02:06:03.744517	2013-08-03 02:06:03.744517	88
5743	21224	11571	2013-08-03 02:06:03.754703	2013-08-03 02:06:03.754703	88
5744	20819	3832	2013-08-03 02:06:03.768357	2013-08-03 02:06:03.768357	88
5745	20819	11771	2013-08-03 02:06:03.775467	2013-08-03 02:06:03.775467	88
5746	20701	11811	2013-08-03 02:06:03.781361	2013-08-03 02:06:03.781361	88
5747	20701	4079	2013-08-03 02:06:03.788584	2013-08-03 02:06:03.788584	88
5748	20580	3257	2013-08-03 02:06:03.796332	2013-08-03 02:06:03.796332	88
5749	20580	11731	2013-08-03 02:06:03.80478	2013-08-03 02:06:03.80478	88
5750	20575	11251	2013-08-03 02:06:03.814236	2013-08-03 02:06:03.814236	88
5751	20575	11231	2013-08-03 02:06:03.8248	2013-08-03 02:06:03.8248	88
5752	20763	11223	2013-08-03 02:06:03.855872	2013-08-03 02:06:03.855872	88
5753	20763	11203	2013-08-03 02:06:03.86791	2013-08-03 02:06:03.86791	88
5754	20763	11183	2013-08-03 02:06:03.879393	2013-08-03 02:06:03.879393	88
5755	20763	11163	2013-08-03 02:06:03.890169	2013-08-03 02:06:03.890169	88
5756	20763	11077	2013-08-03 02:06:03.936204	2013-08-03 02:06:03.936204	88
5757	20763	11143	2013-08-03 02:06:03.943974	2013-08-03 02:06:03.943974	88
5758	20763	11123	2013-08-03 02:06:03.950693	2013-08-03 02:06:03.950693	88
5759	20763	11103	2013-08-03 02:06:03.959362	2013-08-03 02:06:03.959362	88
5760	20763	11083	2013-08-03 02:06:03.967641	2013-08-03 02:06:03.967641	88
5761	20763	11063	2013-08-03 02:06:03.976929	2013-08-03 02:06:03.976929	88
5762	20763	11043	2013-08-03 02:06:03.987299	2013-08-03 02:06:03.987299	88
5763	20763	11023	2013-08-03 02:06:03.998299	2013-08-03 02:06:03.998299	88
5764	20763	11003	2013-08-03 02:06:04.00932	2013-08-03 02:06:04.00932	88
5765	20763	9780	2013-08-03 02:06:04.02015	2013-08-03 02:06:04.02015	88
5766	20763	9240	2013-08-03 02:06:04.029841	2013-08-03 02:06:04.029841	88
5767	20763	6916	2013-08-03 02:06:04.039691	2013-08-03 02:06:04.039691	88
5768	20763	6625	2013-08-03 02:06:04.049767	2013-08-03 02:06:04.049767	88
5769	20763	6410	2013-08-03 02:06:04.059331	2013-08-03 02:06:04.059331	88
5770	20763	10918	2013-08-03 02:06:04.068866	2013-08-03 02:06:04.068866	88
5771	20761	2730	2013-08-03 02:06:04.093618	2013-08-03 02:06:04.093618	88
5772	20761	2779	2013-08-03 02:06:04.105019	2013-08-03 02:06:04.105019	88
5773	20761	2741	2013-08-03 02:06:04.119074	2013-08-03 02:06:04.119074	88
5774	20761	2764	2013-08-03 02:06:04.130145	2013-08-03 02:06:04.130145	88
5775	20761	2678	2013-08-03 02:06:04.1344	2013-08-03 02:06:04.1344	88
5776	20761	2698	2013-08-03 02:06:04.138591	2013-08-03 02:06:04.138591	88
5777	20761	2718	2013-08-03 02:06:04.142885	2013-08-03 02:06:04.142885	88
5778	20761	2738	2013-08-03 02:06:04.147153	2013-08-03 02:06:04.147153	88
5779	20761	2758	2013-08-03 02:06:04.154998	2013-08-03 02:06:04.154998	88
5780	20761	2778	2013-08-03 02:06:04.163374	2013-08-03 02:06:04.163374	88
5781	20761	2798	2013-08-03 02:06:04.171235	2013-08-03 02:06:04.171235	88
5782	20761	2744	2013-08-03 02:06:04.17741	2013-08-03 02:06:04.17741	88
5783	20761	10898	2013-08-03 02:06:04.186813	2013-08-03 02:06:04.186813	88
5784	20761	12737	2013-08-03 02:06:04.193491	2013-08-03 02:06:04.193491	88
5785	20761	12757	2013-08-03 02:06:04.199493	2013-08-03 02:06:04.199493	88
5786	20761	15928	2013-08-03 02:06:04.204185	2013-08-03 02:06:04.204185	88
5787	20761	15948	2013-08-03 02:06:04.211326	2013-08-03 02:06:04.211326	88
5788	20761	4079	2013-08-03 02:06:04.218508	2013-08-03 02:06:04.218508	88
5789	20761	11811	2013-08-03 02:06:04.227725	2013-08-03 02:06:04.227725	88
5790	20764	6876	2013-08-03 02:06:04.255641	2013-08-03 02:06:04.255641	88
5791	20764	6761	2013-08-03 02:06:04.266927	2013-08-03 02:06:04.266927	88
5792	20764	6833	2013-08-03 02:06:04.279115	2013-08-03 02:06:04.279115	88
5793	20764	6840	2013-08-03 02:06:04.290487	2013-08-03 02:06:04.290487	88
5794	20764	6905	2013-08-03 02:06:04.301305	2013-08-03 02:06:04.301305	88
5795	20764	6885	2013-08-03 02:06:04.312776	2013-08-03 02:06:04.312776	88
5796	20764	6865	2013-08-03 02:06:04.323828	2013-08-03 02:06:04.323828	88
5797	20764	6845	2013-08-03 02:06:04.337307	2013-08-03 02:06:04.337307	88
5798	20764	6825	2013-08-03 02:06:04.349958	2013-08-03 02:06:04.349958	88
5799	20764	6805	2013-08-03 02:06:04.358498	2013-08-03 02:06:04.358498	88
5800	20764	6785	2013-08-03 02:06:04.363857	2013-08-03 02:06:04.363857	88
5801	20764	6765	2013-08-03 02:06:04.3739	2013-08-03 02:06:04.3739	88
5802	20764	6601	2013-08-03 02:06:04.37968	2013-08-03 02:06:04.37968	88
5803	20764	6745	2013-08-03 02:06:04.385431	2013-08-03 02:06:04.385431	88
5804	20764	6725	2013-08-03 02:06:04.390523	2013-08-03 02:06:04.390523	88
5805	20764	6705	2013-08-03 02:06:04.396021	2013-08-03 02:06:04.396021	88
5806	20764	6685	2013-08-03 02:06:04.40339	2013-08-03 02:06:04.40339	88
5807	20764	6370	2013-08-03 02:06:04.411004	2013-08-03 02:06:04.411004	88
5808	20764	10878	2013-08-03 02:06:04.419341	2013-08-03 02:06:04.419341	88
5809	23113	12977	2013-08-03 02:06:04.471644	2013-08-03 02:06:04.471644	88
5810	23113	12877	2013-08-03 02:06:04.48253	2013-08-03 02:06:04.48253	88
5811	21545	12837	2013-08-03 02:06:04.493623	2013-08-03 02:06:04.493623	88
5812	21545	12857	2013-08-03 02:06:04.503883	2013-08-03 02:06:04.503883	88
5813	21228	12192	2013-08-03 02:06:04.514756	2013-08-03 02:06:04.514756	88
5814	21228	10883	2013-08-03 02:06:04.525511	2013-08-03 02:06:04.525511	88
5815	20825	10818	2013-08-03 02:06:04.537251	2013-08-03 02:06:04.537251	88
5816	20825	10617	2013-08-03 02:06:04.548127	2013-08-03 02:06:04.548127	88
5817	20750	10523	2013-08-03 02:06:04.56004	2013-08-03 02:06:04.56004	88
5818	20750	9680	2013-08-03 02:06:04.564478	2013-08-03 02:06:04.564478	88
5819	20703	8793	2013-08-03 02:06:04.571217	2013-08-03 02:06:04.571217	88
5820	20703	6816	2013-08-03 02:06:04.613078	2013-08-03 02:06:04.613078	88
5821	20622	6461	2013-08-03 02:06:04.626253	2013-08-03 02:06:04.626253	88
5822	20622	6310	2013-08-03 02:06:04.632635	2013-08-03 02:06:04.632635	88
5823	20585	5165	2013-08-03 02:06:04.642085	2013-08-03 02:06:04.642085	88
5824	20585	4956	2013-08-03 02:06:04.652277	2013-08-03 02:06:04.652277	88
5825	20766	16908	2013-08-03 02:06:04.67865	2013-08-03 02:06:04.67865	88
5826	20766	16888	2013-08-03 02:06:04.689338	2013-08-03 02:06:04.689338	88
5827	20766	16868	2013-08-03 02:06:04.69644	2013-08-03 02:06:04.69644	88
5828	20766	16848	2013-08-03 02:06:04.706929	2013-08-03 02:06:04.706929	88
5829	20766	16828	2013-08-03 02:06:04.717731	2013-08-03 02:06:04.717731	88
5830	20766	16808	2013-08-03 02:06:04.728518	2013-08-03 02:06:04.728518	88
5831	20766	16788	2013-08-03 02:06:04.740156	2013-08-03 02:06:04.740156	88
5832	20766	16768	2013-08-03 02:06:04.751868	2013-08-03 02:06:04.751868	88
5833	20766	16748	2013-08-03 02:06:04.763373	2013-08-03 02:06:04.763373	88
5834	20766	16728	2013-08-03 02:06:04.774681	2013-08-03 02:06:04.774681	88
5835	20766	16708	2013-08-03 02:06:04.786433	2013-08-03 02:06:04.786433	88
5836	20766	16688	2013-08-03 02:06:04.796963	2013-08-03 02:06:04.796963	88
5837	20766	16668	2013-08-03 02:06:04.806213	2013-08-03 02:06:04.806213	88
5838	20766	16648	2013-08-03 02:06:04.816132	2013-08-03 02:06:04.816132	88
5839	20766	16628	2013-08-03 02:06:04.826511	2013-08-03 02:06:04.826511	88
5840	20766	16608	2013-08-03 02:06:04.837343	2013-08-03 02:06:04.837343	88
5841	20766	16588	2013-08-03 02:06:04.848025	2013-08-03 02:06:04.848025	88
5842	20766	16568	2013-08-03 02:06:04.8563	2013-08-03 02:06:04.8563	88
5843	20766	16548	2013-08-03 02:06:04.867656	2013-08-03 02:06:04.867656	88
5844	21557	12472	2013-08-03 02:06:04.929156	2013-08-03 02:06:04.929156	88
5845	21557	12452	2013-08-03 02:06:04.940292	2013-08-03 02:06:04.940292	88
5846	21225	12432	2013-08-03 02:06:04.951571	2013-08-03 02:06:04.951571	88
5847	21225	12412	2013-08-03 02:06:04.962348	2013-08-03 02:06:04.962348	88
5848	20829	12348	2013-08-03 02:06:04.973665	2013-08-03 02:06:04.973665	88
5849	20829	12392	2013-08-03 02:06:04.9847	2013-08-03 02:06:04.9847	88
5850	20752	12372	2013-08-03 02:06:04.99574	2013-08-03 02:06:04.99574	88
5851	20752	12352	2013-08-03 02:06:05.006566	2013-08-03 02:06:05.006566	88
5852	20704	6633	2013-08-03 02:06:05.017606	2013-08-03 02:06:05.017606	88
5853	20704	6270	2013-08-03 02:06:05.027518	2013-08-03 02:06:05.027518	88
5854	20634	4126	2013-08-03 02:06:05.037675	2013-08-03 02:06:05.037675	88
5855	20634	6525	2013-08-03 02:06:05.047413	2013-08-03 02:06:05.047413	88
5856	20590	10368	2013-08-03 02:06:05.05768	2013-08-03 02:06:05.05768	88
5857	20590	10208	2013-08-03 02:06:05.067237	2013-08-03 02:06:05.067237	88
5858	20769	9943	2013-08-03 02:06:05.095953	2013-08-03 02:06:05.095953	88
5859	20769	10033	2013-08-03 02:06:05.1076	2013-08-03 02:06:05.1076	88
5860	20769	10013	2013-08-03 02:06:05.118471	2013-08-03 02:06:05.118471	88
5861	20769	9993	2013-08-03 02:06:05.129099	2013-08-03 02:06:05.129099	88
5862	20769	9973	2013-08-03 02:06:05.13974	2013-08-03 02:06:05.13974	88
5863	20769	9953	2013-08-03 02:06:05.150461	2013-08-03 02:06:05.150461	88
5864	20769	9933	2013-08-03 02:06:05.16128	2013-08-03 02:06:05.16128	88
5865	20769	9913	2013-08-03 02:06:05.172392	2013-08-03 02:06:05.172392	88
5866	20769	9893	2013-08-03 02:06:05.183741	2013-08-03 02:06:05.183741	88
5867	20769	9600	2013-08-03 02:06:05.194583	2013-08-03 02:06:05.194583	88
5868	20769	8658	2013-08-03 02:06:05.20437	2013-08-03 02:06:05.20437	88
5869	20769	6736	2013-08-03 02:06:05.214344	2013-08-03 02:06:05.214344	88
5870	20769	6545	2013-08-03 02:06:05.224131	2013-08-03 02:06:05.224131	88
5871	20769	6505	2013-08-03 02:06:05.234072	2013-08-03 02:06:05.234072	88
5872	20769	6261	2013-08-03 02:06:05.243986	2013-08-03 02:06:05.243986	88
5873	20769	6250	2013-08-03 02:06:05.25404	2013-08-03 02:06:05.25404	88
5874	20769	4386	2013-08-03 02:06:05.263879	2013-08-03 02:06:05.263879	88
5875	20769	2830	2013-08-03 02:06:05.273885	2013-08-03 02:06:05.273885	88
5876	20769	10555	2013-08-03 02:06:05.28379	2013-08-03 02:06:05.28379	88
5877	22782	11135	2013-08-03 02:06:05.36663	2013-08-03 02:06:05.36663	88
5878	22782	11115	2013-08-03 02:06:05.377313	2013-08-03 02:06:05.377313	88
5879	21516	11095	2013-08-03 02:06:05.383308	2013-08-03 02:06:05.383308	88
5880	21516	11075	2013-08-03 02:06:05.388355	2013-08-03 02:06:05.388355	88
5881	21226	11055	2013-08-03 02:06:05.392705	2013-08-03 02:06:05.392705	88
5882	21226	10398	2013-08-03 02:06:05.39713	2013-08-03 02:06:05.39713	88
5883	20822	8438	2013-08-03 02:06:05.40187	2013-08-03 02:06:05.40187	88
5884	20822	6445	2013-08-03 02:06:05.411239	2013-08-03 02:06:05.411239	88
5885	20749	6465	2013-08-03 02:06:05.421889	2013-08-03 02:06:05.421889	88
5886	20749	6190	2013-08-03 02:06:05.431662	2013-08-03 02:06:05.431662	88
5887	20702	6210	2013-08-03 02:06:05.442252	2013-08-03 02:06:05.442252	88
5888	20702	6130	2013-08-03 02:06:05.452346	2013-08-03 02:06:05.452346	88
5889	20589	4996	2013-08-03 02:06:05.46303	2013-08-03 02:06:05.46303	88
5890	20589	10835	2013-08-03 02:06:05.473155	2013-08-03 02:06:05.473155	88
5891	20573	10695	2013-08-03 02:06:05.483789	2013-08-03 02:06:05.483789	88
5892	20573	10575	2013-08-03 02:06:05.494167	2013-08-03 02:06:05.494167	88
5893	20767	7256	2013-08-03 02:06:05.522844	2013-08-03 02:06:05.522844	88
5894	20767	7236	2013-08-03 02:06:05.534751	2013-08-03 02:06:05.534751	88
5895	20767	7177	2013-08-03 02:06:05.545936	2013-08-03 02:06:05.545936	88
5896	20767	7216	2013-08-03 02:06:05.556989	2013-08-03 02:06:05.556989	88
5897	20767	7196	2013-08-03 02:06:05.567926	2013-08-03 02:06:05.567926	88
5898	20767	7176	2013-08-03 02:06:05.579674	2013-08-03 02:06:05.579674	88
5899	20767	7156	2013-08-03 02:06:05.584953	2013-08-03 02:06:05.584953	88
5900	20767	7136	2013-08-03 02:06:05.589185	2013-08-03 02:06:05.589185	88
5901	20767	7116	2013-08-03 02:06:05.596699	2013-08-03 02:06:05.596699	88
5902	20767	7096	2013-08-03 02:06:05.605623	2013-08-03 02:06:05.605623	88
5903	20767	7076	2013-08-03 02:06:05.616947	2013-08-03 02:06:05.616947	88
5904	20767	7056	2013-08-03 02:06:05.628505	2013-08-03 02:06:05.628505	88
5905	20767	7036	2013-08-03 02:06:05.640651	2013-08-03 02:06:05.640651	88
5906	20767	7016	2013-08-03 02:06:05.652553	2013-08-03 02:06:05.652553	88
5907	20767	6996	2013-08-03 02:06:05.663692	2013-08-03 02:06:05.663692	88
5908	20767	6976	2013-08-03 02:06:05.675415	2013-08-03 02:06:05.675415	88
5909	20767	5216	2013-08-03 02:06:05.684048	2013-08-03 02:06:05.684048	88
5910	20767	4805	2013-08-03 02:06:05.692431	2013-08-03 02:06:05.692431	88
5911	20767	15848	2013-08-03 02:06:05.702685	2013-08-03 02:06:05.702685	88
5912	23115	13397	2013-08-03 02:06:05.74422	2013-08-03 02:06:05.74422	88
5913	23115	13377	2013-08-03 02:06:05.755717	2013-08-03 02:06:05.755717	88
5914	21573	13357	2013-08-03 02:06:05.767816	2013-08-03 02:06:05.767816	88
5915	21573	13337	2013-08-03 02:06:05.778798	2013-08-03 02:06:05.778798	88
5916	21227	13317	2013-08-03 02:06:05.790857	2013-08-03 02:06:05.790857	88
5917	21227	13297	2013-08-03 02:06:05.80158	2013-08-03 02:06:05.80158	88
5918	20832	13277	2013-08-03 02:06:05.808864	2013-08-03 02:06:05.808864	88
5919	20832	13257	2013-08-03 02:06:05.816163	2013-08-03 02:06:05.816163	88
5920	20755	13237	2013-08-03 02:06:05.822796	2013-08-03 02:06:05.822796	88
5921	20755	13217	2013-08-03 02:06:05.833241	2013-08-03 02:06:05.833241	88
5922	20705	13197	2013-08-03 02:06:05.84447	2013-08-03 02:06:05.84447	88
5923	20705	13177	2013-08-03 02:06:05.855772	2013-08-03 02:06:05.855772	88
5924	20696	13157	2013-08-03 02:06:05.867553	2013-08-03 02:06:05.867553	88
5925	20696	13137	2013-08-03 02:06:05.87328	2013-08-03 02:06:05.87328	88
5926	20598	4265	2013-08-03 02:06:05.878198	2013-08-03 02:06:05.878198	88
5927	20598	11311	2013-08-03 02:06:05.882706	2013-08-03 02:06:05.882706	88
5928	23116	11258	2013-08-03 02:06:05.909552	2013-08-03 02:06:05.909552	88
5929	23116	11238	2013-08-03 02:06:05.914021	2013-08-03 02:06:05.914021	88
5930	21577	11218	2013-08-03 02:06:05.91866	2013-08-03 02:06:05.91866	88
5931	21577	11198	2013-08-03 02:06:05.954766	2013-08-03 02:06:05.954766	88
5932	21229	11178	2013-08-03 02:06:05.959822	2013-08-03 02:06:05.959822	88
5933	21229	11158	2013-08-03 02:06:05.964656	2013-08-03 02:06:05.964656	88
5934	20834	11138	2013-08-03 02:06:05.968677	2013-08-03 02:06:05.968677	88
5935	20834	11118	2013-08-03 02:06:05.973111	2013-08-03 02:06:05.973111	88
5936	20753	11098	2013-08-03 02:06:05.978244	2013-08-03 02:06:05.978244	88
5937	20753	11078	2013-08-03 02:06:05.982396	2013-08-03 02:06:05.982396	88
5938	20729	11058	2013-08-03 02:06:05.987612	2013-08-03 02:06:05.987612	88
5939	20729	11038	2013-08-03 02:06:05.99263	2013-08-03 02:06:05.99263	88
5940	20706	11018	2013-08-03 02:06:05.998093	2013-08-03 02:06:05.998093	88
5941	20706	10998	2013-08-03 02:06:06.002465	2013-08-03 02:06:06.002465	88
5942	20574	10978	2013-08-03 02:06:06.009386	2013-08-03 02:06:06.009386	88
5943	20574	11331	2013-08-03 02:06:06.013974	2013-08-03 02:06:06.013974	88
5944	23396	12311	2013-08-03 02:11:04.632154	2013-08-03 02:11:04.632154	89
5945	23396	12331	2013-08-03 02:11:04.636314	2013-08-03 02:11:04.636314	89
5946	23380	12351	2013-08-03 02:11:04.639765	2013-08-03 02:11:04.639765	89
5947	23380	12371	2013-08-03 02:11:04.64368	2013-08-03 02:11:04.64368	89
5948	23298	12391	2013-08-03 02:11:04.648813	2013-08-03 02:11:04.648813	89
5949	23298	12411	2013-08-03 02:11:04.653068	2013-08-03 02:11:04.653068	89
5950	23284	12431	2013-08-03 02:11:04.657169	2013-08-03 02:11:04.657169	89
5951	23284	12451	2013-08-03 02:11:04.662079	2013-08-03 02:11:04.662079	89
5952	23257	12471	2013-08-03 02:11:04.666219	2013-08-03 02:11:04.666219	89
5953	23257	12491	2013-08-03 02:11:04.670869	2013-08-03 02:11:04.670869	89
5954	23152	12511	2013-08-03 02:11:04.674839	2013-08-03 02:11:04.674839	89
5955	23152	12011	2013-08-03 02:11:04.67923	2013-08-03 02:11:04.67923	89
5956	23149	11811	2013-08-03 02:11:04.685145	2013-08-03 02:11:04.685145	89
5957	23149	4079	2013-08-03 02:11:04.690893	2013-08-03 02:11:04.690893	89
5958	23525	11803	2013-08-03 02:11:04.701277	2013-08-03 02:11:04.701277	89
5959	23525	11783	2013-08-03 02:11:04.705897	2013-08-03 02:11:04.705897	89
5960	23525	11697	2013-08-03 02:11:04.709462	2013-08-03 02:11:04.709462	89
5961	23525	11648	2013-08-03 02:11:04.712839	2013-08-03 02:11:04.712839	89
5962	23525	11763	2013-08-03 02:11:04.716502	2013-08-03 02:11:04.716502	89
5963	23525	11743	2013-08-03 02:11:04.722499	2013-08-03 02:11:04.722499	89
5964	23525	11723	2013-08-03 02:11:04.727683	2013-08-03 02:11:04.727683	89
5965	23525	11703	2013-08-03 02:11:04.731378	2013-08-03 02:11:04.731378	89
5966	23525	11683	2013-08-03 02:11:04.736052	2013-08-03 02:11:04.736052	89
5967	23525	11663	2013-08-03 02:11:04.741791	2013-08-03 02:11:04.741791	89
5968	23525	11643	2013-08-03 02:11:04.746646	2013-08-03 02:11:04.746646	89
5969	23525	11623	2013-08-03 02:11:04.751243	2013-08-03 02:11:04.751243	89
5970	23525	11603	2013-08-03 02:11:04.755395	2013-08-03 02:11:04.755395	89
5971	23525	11583	2013-08-03 02:11:04.759402	2013-08-03 02:11:04.759402	89
5972	23525	11563	2013-08-03 02:11:04.764007	2013-08-03 02:11:04.764007	89
5973	23525	10818	2013-08-03 02:11:04.768188	2013-08-03 02:11:04.768188	89
5974	23525	10020	2013-08-03 02:11:04.771701	2013-08-03 02:11:04.771701	89
5975	23525	6690	2013-08-03 02:11:04.776078	2013-08-03 02:11:04.776078	89
5976	23525	11538	2013-08-03 02:11:04.780207	2013-08-03 02:11:04.780207	89
5977	23171	2688	2013-08-03 02:11:04.789831	2013-08-03 02:11:04.789831	89
5978	23171	2708	2013-08-03 02:11:04.79429	2013-08-03 02:11:04.79429	89
5979	23171	2728	2013-08-03 02:11:04.798726	2013-08-03 02:11:04.798726	89
5980	23171	2748	2013-08-03 02:11:04.803417	2013-08-03 02:11:04.803417	89
5981	23171	2768	2013-08-03 02:11:04.807825	2013-08-03 02:11:04.807825	89
5982	23171	2788	2013-08-03 02:11:04.811811	2013-08-03 02:11:04.811811	89
5983	23171	2681	2013-08-03 02:11:04.816305	2013-08-03 02:11:04.816305	89
5984	23171	2677	2013-08-03 02:11:04.820858	2013-08-03 02:11:04.820858	89
5985	23171	2824	2013-08-03 02:11:04.824896	2013-08-03 02:11:04.824896	89
5986	23171	2804	2013-08-03 02:11:04.830078	2013-08-03 02:11:04.830078	89
5987	23171	2719	2013-08-03 02:11:04.840633	2013-08-03 02:11:04.840633	89
5988	23171	2784	2013-08-03 02:11:04.849903	2013-08-03 02:11:04.849903	89
5989	23171	2815	2013-08-03 02:11:04.855292	2013-08-03 02:11:04.855292	89
5990	23171	10998	2013-08-03 02:11:04.860674	2013-08-03 02:11:04.860674	89
5991	23171	11018	2013-08-03 02:11:04.866147	2013-08-03 02:11:04.866147	89
5992	23171	13197	2013-08-03 02:11:04.871144	2013-08-03 02:11:04.871144	89
5993	23171	6816	2013-08-03 02:11:04.876437	2013-08-03 02:11:04.876437	89
5994	23171	12371	2013-08-03 02:11:04.881031	2013-08-03 02:11:04.881031	89
5995	23171	12351	2013-08-03 02:11:04.885332	2013-08-03 02:11:04.885332	89
5996	23526	7195	2013-08-03 02:11:04.895509	2013-08-03 02:11:04.895509	89
5997	23526	7205	2013-08-03 02:11:04.901071	2013-08-03 02:11:04.901071	89
5998	23526	7185	2013-08-03 02:11:04.905537	2013-08-03 02:11:04.905537	89
5999	23526	7165	2013-08-03 02:11:04.911636	2013-08-03 02:11:04.911636	89
6000	23526	7145	2013-08-03 02:11:04.917443	2013-08-03 02:11:04.917443	89
6001	23526	7125	2013-08-03 02:11:04.922341	2013-08-03 02:11:04.922341	89
6002	23526	7105	2013-08-03 02:11:04.926038	2013-08-03 02:11:04.926038	89
6003	23526	7085	2013-08-03 02:11:04.929729	2013-08-03 02:11:04.929729	89
6004	23526	7018	2013-08-03 02:11:04.933717	2013-08-03 02:11:04.933717	89
6005	23526	7065	2013-08-03 02:11:04.938482	2013-08-03 02:11:04.938482	89
6006	23526	7045	2013-08-03 02:11:04.972923	2013-08-03 02:11:04.972923	89
6007	23526	7025	2013-08-03 02:11:04.977455	2013-08-03 02:11:04.977455	89
6008	23526	7005	2013-08-03 02:11:04.982556	2013-08-03 02:11:04.982556	89
6009	23526	6985	2013-08-03 02:11:04.987647	2013-08-03 02:11:04.987647	89
6010	23526	6965	2013-08-03 02:11:04.995092	2013-08-03 02:11:04.995092	89
6011	23526	6945	2013-08-03 02:11:05.004843	2013-08-03 02:11:05.004843	89
6012	23526	6925	2013-08-03 02:11:05.010196	2013-08-03 02:11:05.010196	89
6013	23526	6650	2013-08-03 02:11:05.014088	2013-08-03 02:11:05.014088	89
6014	23526	5725	2013-08-03 02:11:05.019582	2013-08-03 02:11:05.019582	89
6015	23398	17068	2013-08-03 02:11:05.040782	2013-08-03 02:11:05.040782	89
6016	23398	17048	2013-08-03 02:11:05.046987	2013-08-03 02:11:05.046987	89
6017	23383	17028	2013-08-03 02:11:05.054237	2013-08-03 02:11:05.054237	89
6018	23383	17008	2013-08-03 02:11:05.061079	2013-08-03 02:11:05.061079	89
6019	23344	16988	2013-08-03 02:11:05.067193	2013-08-03 02:11:05.067193	89
6020	23344	16968	2013-08-03 02:11:05.072808	2013-08-03 02:11:05.072808	89
6021	23316	16948	2013-08-03 02:11:05.078051	2013-08-03 02:11:05.078051	89
6022	23316	16928	2013-08-03 02:11:05.083946	2013-08-03 02:11:05.083946	89
6023	23286	12632	2013-08-03 02:11:05.090498	2013-08-03 02:11:05.090498	89
6024	23286	11423	2013-08-03 02:11:05.094255	2013-08-03 02:11:05.094255	89
6025	23283	10617	2013-08-03 02:11:05.099211	2013-08-03 02:11:05.099211	89
6026	23283	9920	2013-08-03 02:11:05.103715	2013-08-03 02:11:05.103715	89
6027	23168	9423	2013-08-03 02:11:05.109027	2013-08-03 02:11:05.109027	89
6028	23168	6565	2013-08-03 02:11:05.113519	2013-08-03 02:11:05.113519	89
6029	23156	5616	2013-08-03 02:11:05.119005	2013-08-03 02:11:05.119005	89
6030	23156	11438	2013-08-03 02:11:05.12415	2013-08-03 02:11:05.12415	89
6031	23172	17508	2013-08-03 02:11:05.141953	2013-08-03 02:11:05.141953	89
6032	23172	17488	2013-08-03 02:11:05.147855	2013-08-03 02:11:05.147855	89
6033	23172	17468	2013-08-03 02:11:05.154013	2013-08-03 02:11:05.154013	89
6034	23172	17448	2013-08-03 02:11:05.1603	2013-08-03 02:11:05.1603	89
6035	23172	17428	2013-08-03 02:11:05.166672	2013-08-03 02:11:05.166672	89
6036	23172	17408	2013-08-03 02:11:05.175247	2013-08-03 02:11:05.175247	89
6037	23172	17388	2013-08-03 02:11:05.186452	2013-08-03 02:11:05.186452	89
6038	23172	17368	2013-08-03 02:11:05.197415	2013-08-03 02:11:05.197415	89
6039	23172	17348	2013-08-03 02:11:05.20843	2013-08-03 02:11:05.20843	89
6040	23172	17328	2013-08-03 02:11:05.219419	2013-08-03 02:11:05.219419	89
6041	23172	17308	2013-08-03 02:11:05.23041	2013-08-03 02:11:05.23041	89
6042	23172	17288	2013-08-03 02:11:05.241444	2013-08-03 02:11:05.241444	89
6043	23172	17268	2013-08-03 02:11:05.252442	2013-08-03 02:11:05.252442	89
6044	23172	17248	2013-08-03 02:11:05.263334	2013-08-03 02:11:05.263334	89
6045	23172	17228	2013-08-03 02:11:05.274345	2013-08-03 02:11:05.274345	89
6046	23172	17208	2013-08-03 02:11:05.285382	2013-08-03 02:11:05.285382	89
6047	23172	17188	2013-08-03 02:11:05.296258	2013-08-03 02:11:05.296258	89
6048	23172	17168	2013-08-03 02:11:05.307421	2013-08-03 02:11:05.307421	89
6049	23172	17148	2013-08-03 02:11:05.319392	2013-08-03 02:11:05.319392	89
6050	23827	10253	2013-08-03 02:11:05.368685	2013-08-03 02:11:05.368685	89
6051	23827	10233	2013-08-03 02:11:05.380243	2013-08-03 02:11:05.380243	89
6052	23827	10213	2013-08-03 02:11:05.391806	2013-08-03 02:11:05.391806	89
6053	23827	10198	2013-08-03 02:11:05.402881	2013-08-03 02:11:05.402881	89
6054	23827	10095	2013-08-03 02:11:05.413237	2013-08-03 02:11:05.413237	89
6055	23827	10192	2013-08-03 02:11:05.425025	2013-08-03 02:11:05.425025	89
6056	23827	10193	2013-08-03 02:11:05.436753	2013-08-03 02:11:05.436753	89
6057	23827	10173	2013-08-03 02:11:05.448243	2013-08-03 02:11:05.448243	89
6058	23827	10153	2013-08-03 02:11:05.459381	2013-08-03 02:11:05.459381	89
6059	23827	10133	2013-08-03 02:11:05.470739	2013-08-03 02:11:05.470739	89
6060	23827	10113	2013-08-03 02:11:05.482355	2013-08-03 02:11:05.482355	89
6061	23827	10093	2013-08-03 02:11:05.494193	2013-08-03 02:11:05.494193	89
6062	23827	10073	2013-08-03 02:11:05.505903	2013-08-03 02:11:05.505903	89
6063	23827	10053	2013-08-03 02:11:05.5172	2013-08-03 02:11:05.5172	89
6064	23827	6756	2013-08-03 02:11:05.530612	2013-08-03 02:11:05.530612	89
6065	23827	6550	2013-08-03 02:11:05.543285	2013-08-03 02:11:05.543285	89
6066	23827	5910	2013-08-03 02:11:05.553096	2013-08-03 02:11:05.553096	89
6067	23827	11338	2013-08-03 02:11:05.597589	2013-08-03 02:11:05.597589	89
6068	23827	11038	2013-08-03 02:11:05.600967	2013-08-03 02:11:05.600967	89
6069	23395	11355	2013-08-03 02:11:05.625051	2013-08-03 02:11:05.625051	89
6070	23395	11335	2013-08-03 02:11:05.636914	2013-08-03 02:11:05.636914	89
6071	23381	11315	2013-08-03 02:11:05.649608	2013-08-03 02:11:05.649608	89
6072	23381	11303	2013-08-03 02:11:05.661074	2013-08-03 02:11:05.661074	89
6073	23341	11295	2013-08-03 02:11:05.671719	2013-08-03 02:11:05.671719	89
6074	23341	11275	2013-08-03 02:11:05.682742	2013-08-03 02:11:05.682742	89
6075	23314	11255	2013-08-03 02:11:05.694075	2013-08-03 02:11:05.694075	89
6076	23314	11235	2013-08-03 02:11:05.70517	2013-08-03 02:11:05.70517	89
6077	23285	11215	2013-08-03 02:11:05.71666	2013-08-03 02:11:05.71666	89
6078	23285	10298	2013-08-03 02:11:05.727732	2013-08-03 02:11:05.727732	89
6079	23280	10115	2013-08-03 02:11:05.7383	2013-08-03 02:11:05.7383	89
6080	23280	6570	2013-08-03 02:11:05.748328	2013-08-03 02:11:05.748328	89
6081	23167	6510	2013-08-03 02:11:05.810144	2013-08-03 02:11:05.810144	89
6082	23167	6405	2013-08-03 02:11:05.820721	2013-08-03 02:11:05.820721	89
6083	23153	4996	2013-08-03 02:11:05.831198	2013-08-03 02:11:05.831198	89
6084	23153	10835	2013-08-03 02:11:05.841065	2013-08-03 02:11:05.841065	89
6085	23523	7516	2013-08-03 02:11:05.869502	2013-08-03 02:11:05.869502	89
6086	23523	7496	2013-08-03 02:11:05.880937	2013-08-03 02:11:05.880937	89
6087	23523	7476	2013-08-03 02:11:05.891676	2013-08-03 02:11:05.891676	89
6088	23523	7456	2013-08-03 02:11:05.902465	2013-08-03 02:11:05.902465	89
6089	23523	7436	2013-08-03 02:11:05.913232	2013-08-03 02:11:05.913232	89
6090	23523	7416	2013-08-03 02:11:05.924013	2013-08-03 02:11:05.924013	89
6091	23523	7396	2013-08-03 02:11:05.934251	2013-08-03 02:11:05.934251	89
6092	23523	7376	2013-08-03 02:11:05.944799	2013-08-03 02:11:05.944799	89
6093	23523	7356	2013-08-03 02:11:05.955569	2013-08-03 02:11:05.955569	89
6094	23523	7336	2013-08-03 02:11:05.966182	2013-08-03 02:11:05.966182	89
6095	23523	7316	2013-08-03 02:11:05.976124	2013-08-03 02:11:05.976124	89
6096	23523	7296	2013-08-03 02:11:05.986894	2013-08-03 02:11:05.986894	89
6097	23523	7276	2013-08-03 02:11:05.998456	2013-08-03 02:11:05.998456	89
6098	23523	6450	2013-08-03 02:11:06.005823	2013-08-03 02:11:06.005823	89
6099	23523	6490	2013-08-03 02:11:06.010392	2013-08-03 02:11:06.010392	89
6100	23523	4465	2013-08-03 02:11:06.015481	2013-08-03 02:11:06.015481	89
6101	23523	4126	2013-08-03 02:11:06.019002	2013-08-03 02:11:06.019002	89
6102	23523	11135	2013-08-03 02:11:06.022982	2013-08-03 02:11:06.022982	89
6103	23523	6525	2013-08-03 02:11:06.026412	2013-08-03 02:11:06.026412	89
6104	23394	13617	2013-08-03 02:11:06.045918	2013-08-03 02:11:06.045918	89
6105	23394	13597	2013-08-03 02:11:06.054161	2013-08-03 02:11:06.054161	89
6106	23384	13577	2013-08-03 02:11:06.065911	2013-08-03 02:11:06.065911	89
6107	23384	13557	2013-08-03 02:11:06.076721	2013-08-03 02:11:06.076721	89
6108	23347	13537	2013-08-03 02:11:06.087879	2013-08-03 02:11:06.087879	89
6109	23347	13517	2013-08-03 02:11:06.098731	2013-08-03 02:11:06.098731	89
6110	23317	13497	2013-08-03 02:11:06.109687	2013-08-03 02:11:06.109687	89
6111	23317	13477	2013-08-03 02:11:06.121314	2013-08-03 02:11:06.121314	89
6112	23315	11263	2013-08-03 02:11:06.133932	2013-08-03 02:11:06.133932	89
6113	23315	10212	2013-08-03 02:11:06.145903	2013-08-03 02:11:06.145903	89
6114	23304	6470	2013-08-03 02:11:06.157006	2013-08-03 02:11:06.157006	89
6115	23304	11258	2013-08-03 02:11:06.161286	2013-08-03 02:11:06.161286	89
6116	23170	11238	2013-08-03 02:11:06.170563	2013-08-03 02:11:06.170563	89
6117	23170	11118	2013-08-03 02:11:06.176171	2013-08-03 02:11:06.176171	89
6118	23154	10877	2013-08-03 02:11:06.180316	2013-08-03 02:11:06.180316	89
6119	23154	10958	2013-08-03 02:11:06.184198	2013-08-03 02:11:06.184198	89
6120	23397	11878	2013-08-03 02:11:06.222065	2013-08-03 02:11:06.222065	89
6121	23397	11858	2013-08-03 02:11:06.233153	2013-08-03 02:11:06.233153	89
6122	23385	11838	2013-08-03 02:11:06.244683	2013-08-03 02:11:06.244683	89
6123	23385	11818	2013-08-03 02:11:06.255382	2013-08-03 02:11:06.255382	89
6124	23350	11798	2013-08-03 02:11:06.266711	2013-08-03 02:11:06.266711	89
6125	23350	11778	2013-08-03 02:11:06.277619	2013-08-03 02:11:06.277619	89
6126	23320	11758	2013-08-03 02:11:06.289059	2013-08-03 02:11:06.289059	89
6127	23320	11738	2013-08-03 02:11:06.299724	2013-08-03 02:11:06.299724	89
6128	23318	11718	2013-08-03 02:11:06.31113	2013-08-03 02:11:06.31113	89
6129	23318	11698	2013-08-03 02:11:06.317329	2013-08-03 02:11:06.317329	89
6130	23313	11678	2013-08-03 02:11:06.322376	2013-08-03 02:11:06.322376	89
6131	23313	11658	2013-08-03 02:11:06.328518	2013-08-03 02:11:06.328518	89
6132	23169	11638	2013-08-03 02:11:06.336964	2013-08-03 02:11:06.336964	89
6133	23169	11618	2013-08-03 02:11:06.347765	2013-08-03 02:11:06.347765	89
6134	23158	11598	2013-08-03 02:11:06.359075	2013-08-03 02:11:06.359075	89
6135	23158	11251	2013-08-03 02:11:06.393544	2013-08-03 02:11:06.393544	89
6136	24717	13211	2013-08-03 02:16:23.967981	2013-08-03 02:16:23.967981	90
6137	24717	13231	2013-08-03 02:16:23.974524	2013-08-03 02:16:23.974524	90
6138	24479	13251	2013-08-03 02:16:23.97998	2013-08-03 02:16:23.97998	90
6139	24479	13271	2013-08-03 02:16:23.985085	2013-08-03 02:16:23.985085	90
6140	24316	13291	2013-08-03 02:16:23.990083	2013-08-03 02:16:23.990083	90
6141	24316	13311	2013-08-03 02:16:23.994866	2013-08-03 02:16:23.994866	90
6142	24106	13331	2013-08-03 02:16:23.999798	2013-08-03 02:16:23.999798	90
6143	24106	3839	2013-08-03 02:16:24.004147	2013-08-03 02:16:24.004147	90
6144	24043	10668	2013-08-03 02:16:24.009064	2013-08-03 02:16:24.009064	90
6145	24043	10908	2013-08-03 02:16:24.014467	2013-08-03 02:16:24.014467	90
6146	24041	11148	2013-08-03 02:16:24.019895	2013-08-03 02:16:24.019895	90
6147	24041	12631	2013-08-03 02:16:24.024506	2013-08-03 02:16:24.024506	90
6148	23988	4239	2013-08-03 02:16:24.029174	2013-08-03 02:16:24.029174	90
6149	23988	4159	2013-08-03 02:16:24.033807	2013-08-03 02:16:24.033807	90
6150	24035	12363	2013-08-03 02:16:24.04453	2013-08-03 02:16:24.04453	90
6151	24035	12343	2013-08-03 02:16:24.04911	2013-08-03 02:16:24.04911	90
6152	24035	12323	2013-08-03 02:16:24.053498	2013-08-03 02:16:24.053498	90
6153	24035	12303	2013-08-03 02:16:24.057569	2013-08-03 02:16:24.057569	90
6154	24035	12283	2013-08-03 02:16:24.061538	2013-08-03 02:16:24.061538	90
6155	24035	12263	2013-08-03 02:16:24.065564	2013-08-03 02:16:24.065564	90
6156	24035	12098	2013-08-03 02:16:24.069768	2013-08-03 02:16:24.069768	90
6157	24035	12243	2013-08-03 02:16:24.073542	2013-08-03 02:16:24.073542	90
6158	24035	12223	2013-08-03 02:16:24.077459	2013-08-03 02:16:24.077459	90
6159	24035	12203	2013-08-03 02:16:24.082534	2013-08-03 02:16:24.082534	90
6160	24035	12183	2013-08-03 02:16:24.090556	2013-08-03 02:16:24.090556	90
6161	24035	12163	2013-08-03 02:16:24.099632	2013-08-03 02:16:24.099632	90
6162	24035	12143	2013-08-03 02:16:24.109555	2013-08-03 02:16:24.109555	90
6163	24035	11423	2013-08-03 02:16:24.121754	2013-08-03 02:16:24.121754	90
6164	24035	11275	2013-08-03 02:16:24.129223	2013-08-03 02:16:24.129223	90
6165	24035	10180	2013-08-03 02:16:24.133885	2013-08-03 02:16:24.133885	90
6166	24035	7445	2013-08-03 02:16:24.137746	2013-08-03 02:16:24.137746	90
6167	24035	6776	2013-08-03 02:16:24.144116	2013-08-03 02:16:24.144116	90
6168	24035	4385	2013-08-03 02:16:24.149709	2013-08-03 02:16:24.149709	90
6169	24435	2858	2013-08-03 02:16:24.163385	2013-08-03 02:16:24.163385	90
6170	24435	2878	2013-08-03 02:16:24.216642	2013-08-03 02:16:24.216642	90
6171	24435	2898	2013-08-03 02:16:24.2223	2013-08-03 02:16:24.2223	90
6172	24435	2924	2013-08-03 02:16:24.227076	2013-08-03 02:16:24.227076	90
6173	24435	2918	2013-08-03 02:16:24.232571	2013-08-03 02:16:24.232571	90
6174	24435	2835	2013-08-03 02:16:24.238009	2013-08-03 02:16:24.238009	90
6175	24435	2855	2013-08-03 02:16:24.243494	2013-08-03 02:16:24.243494	90
6176	24435	2875	2013-08-03 02:16:24.249062	2013-08-03 02:16:24.249062	90
6177	24435	2904	2013-08-03 02:16:24.256009	2013-08-03 02:16:24.256009	90
6178	24435	2884	2013-08-03 02:16:24.263612	2013-08-03 02:16:24.263612	90
6179	24435	2864	2013-08-03 02:16:24.271503	2013-08-03 02:16:24.271503	90
6180	24435	2844	2013-08-03 02:16:24.280456	2013-08-03 02:16:24.280456	90
6181	24435	2961	2013-08-03 02:16:24.289366	2013-08-03 02:16:24.289366	90
6182	24435	11518	2013-08-03 02:16:24.293244	2013-08-03 02:16:24.293244	90
6183	24435	2689	2013-08-03 02:16:24.298092	2013-08-03 02:16:24.298092	90
6184	24435	2805	2013-08-03 02:16:24.30374	2013-08-03 02:16:24.30374	90
6185	24435	13311	2013-08-03 02:16:24.309252	2013-08-03 02:16:24.309252	90
6186	24435	13291	2013-08-03 02:16:24.312746	2013-08-03 02:16:24.312746	90
6187	24435	12711	2013-08-03 02:16:24.318841	2013-08-03 02:16:24.318841	90
6188	24040	7765	2013-08-03 02:16:24.337254	2013-08-03 02:16:24.337254	90
6189	24040	7745	2013-08-03 02:16:24.348036	2013-08-03 02:16:24.348036	90
6190	24040	7725	2013-08-03 02:16:24.358434	2013-08-03 02:16:24.358434	90
6191	24040	7705	2013-08-03 02:16:24.369343	2013-08-03 02:16:24.369343	90
6192	24040	7685	2013-08-03 02:16:24.379954	2013-08-03 02:16:24.379954	90
6193	24040	7665	2013-08-03 02:16:24.390699	2013-08-03 02:16:24.390699	90
6194	24040	7645	2013-08-03 02:16:24.401195	2013-08-03 02:16:24.401195	90
6195	24040	7625	2013-08-03 02:16:24.411313	2013-08-03 02:16:24.411313	90
6196	24040	7605	2013-08-03 02:16:24.421731	2013-08-03 02:16:24.421731	90
6197	24040	7585	2013-08-03 02:16:24.431808	2013-08-03 02:16:24.431808	90
6198	24040	7565	2013-08-03 02:16:24.441974	2013-08-03 02:16:24.441974	90
6199	24040	7545	2013-08-03 02:16:24.453201	2013-08-03 02:16:24.453201	90
6200	24040	7498	2013-08-03 02:16:24.46433	2013-08-03 02:16:24.46433	90
6201	24040	7397	2013-08-03 02:16:24.47576	2013-08-03 02:16:24.47576	90
6202	24040	7525	2013-08-03 02:16:24.487336	2013-08-03 02:16:24.487336	90
6203	24040	7505	2013-08-03 02:16:24.495247	2013-08-03 02:16:24.495247	90
6204	24040	6870	2013-08-03 02:16:24.499804	2013-08-03 02:16:24.499804	90
6205	24040	12058	2013-08-03 02:16:24.50582	2013-08-03 02:16:24.50582	90
6206	24040	2989	2013-08-03 02:16:24.511189	2013-08-03 02:16:24.511189	90
6207	24719	17588	2013-08-03 02:16:24.537849	2013-08-03 02:16:24.537849	90
6208	24719	17568	2013-08-03 02:16:24.543973	2013-08-03 02:16:24.543973	90
6209	24201	17548	2013-08-03 02:16:24.55136	2013-08-03 02:16:24.55136	90
6210	24201	17528	2013-08-03 02:16:24.559534	2013-08-03 02:16:24.559534	90
6211	24108	14117	2013-08-03 02:16:24.568331	2013-08-03 02:16:24.568331	90
6212	24108	13897	2013-08-03 02:16:24.578122	2013-08-03 02:16:24.578122	90
6213	24089	12003	2013-08-03 02:16:24.588784	2013-08-03 02:16:24.588784	90
6214	24089	10080	2013-08-03 02:16:24.598675	2013-08-03 02:16:24.598675	90
6215	24048	7373	2013-08-03 02:16:24.609035	2013-08-03 02:16:24.609035	90
6216	24048	6810	2013-08-03 02:16:24.616267	2013-08-03 02:16:24.616267	90
6217	24044	6701	2013-08-03 02:16:24.626516	2013-08-03 02:16:24.626516	90
6218	24044	6361	2013-08-03 02:16:24.636094	2013-08-03 02:16:24.636094	90
6219	24018	5976	2013-08-03 02:16:24.646407	2013-08-03 02:16:24.646407	90
6220	24018	11998	2013-08-03 02:16:24.65635	2013-08-03 02:16:24.65635	90
6221	23985	2869	2013-08-03 02:16:24.666697	2013-08-03 02:16:24.666697	90
6222	23985	7863	2013-08-03 02:16:24.676681	2013-08-03 02:16:24.676681	90
6223	24036	18028	2013-08-03 02:16:24.703443	2013-08-03 02:16:24.703443	90
6224	24036	18008	2013-08-03 02:16:24.715223	2013-08-03 02:16:24.715223	90
6225	24036	17988	2013-08-03 02:16:24.726787	2013-08-03 02:16:24.726787	90
6226	24036	17968	2013-08-03 02:16:24.738305	2013-08-03 02:16:24.738305	90
6227	24036	17948	2013-08-03 02:16:24.748991	2013-08-03 02:16:24.748991	90
6228	24036	17928	2013-08-03 02:16:24.759685	2013-08-03 02:16:24.759685	90
6229	24036	17908	2013-08-03 02:16:24.770482	2013-08-03 02:16:24.770482	90
6230	24036	17888	2013-08-03 02:16:24.781115	2013-08-03 02:16:24.781115	90
6231	24036	17868	2013-08-03 02:16:24.792788	2013-08-03 02:16:24.792788	90
6232	24036	17848	2013-08-03 02:16:24.80423	2013-08-03 02:16:24.80423	90
6233	24036	17828	2013-08-03 02:16:24.815307	2013-08-03 02:16:24.815307	90
6234	24036	17808	2013-08-03 02:16:24.826595	2013-08-03 02:16:24.826595	90
6235	24036	17788	2013-08-03 02:16:24.837954	2013-08-03 02:16:24.837954	90
6236	24036	17768	2013-08-03 02:16:24.849095	2013-08-03 02:16:24.849095	90
6237	24036	17748	2013-08-03 02:16:24.893167	2013-08-03 02:16:24.893167	90
6238	24036	17728	2013-08-03 02:16:24.898143	2013-08-03 02:16:24.898143	90
6239	24036	17708	2013-08-03 02:16:24.902974	2013-08-03 02:16:24.902974	90
6240	24036	17688	2013-08-03 02:16:24.908446	2013-08-03 02:16:24.908446	90
6241	24036	17668	2013-08-03 02:16:24.913999	2013-08-03 02:16:24.913999	90
6242	24038	10413	2013-08-03 02:16:24.947431	2013-08-03 02:16:24.947431	90
6243	24038	10393	2013-08-03 02:16:24.959269	2013-08-03 02:16:24.959269	90
6244	24038	10373	2013-08-03 02:16:24.972793	2013-08-03 02:16:24.972793	90
6245	24038	10353	2013-08-03 02:16:24.979582	2013-08-03 02:16:24.979582	90
6246	24038	10333	2013-08-03 02:16:24.986106	2013-08-03 02:16:24.986106	90
6247	24038	10313	2013-08-03 02:16:24.989855	2013-08-03 02:16:24.989855	90
6248	24038	10293	2013-08-03 02:16:24.993334	2013-08-03 02:16:24.993334	90
6249	24038	10273	2013-08-03 02:16:24.9965	2013-08-03 02:16:24.9965	90
6250	24038	7305	2013-08-03 02:16:25.001239	2013-08-03 02:16:25.001239	90
6251	24038	6661	2013-08-03 02:16:25.006053	2013-08-03 02:16:25.006053	90
6252	24038	5990	2013-08-03 02:16:25.012794	2013-08-03 02:16:25.012794	90
6253	24038	12751	2013-08-03 02:16:25.021001	2013-08-03 02:16:25.021001	90
6254	24038	7100	2013-08-03 02:16:25.031014	2013-08-03 02:16:25.031014	90
6255	24038	7225	2013-08-03 02:16:25.040931	2013-08-03 02:16:25.040931	90
6256	24038	11658	2013-08-03 02:16:25.051076	2013-08-03 02:16:25.051076	90
6257	24038	16968	2013-08-03 02:16:25.061712	2013-08-03 02:16:25.061712	90
6258	24038	13708	2013-08-03 02:16:25.072862	2013-08-03 02:16:25.072862	90
6259	24038	9540	2013-08-03 02:16:25.083847	2013-08-03 02:16:25.083847	90
6260	24038	7120	2013-08-03 02:16:25.095209	2013-08-03 02:16:25.095209	90
6261	24852	11555	2013-08-03 02:16:25.133175	2013-08-03 02:16:25.133175	90
6262	24852	11535	2013-08-03 02:16:25.14446	2013-08-03 02:16:25.14446	90
6263	24718	11515	2013-08-03 02:16:25.156066	2013-08-03 02:16:25.156066	90
6264	24718	11495	2013-08-03 02:16:25.167813	2013-08-03 02:16:25.167813	90
6265	24317	11475	2013-08-03 02:16:25.180187	2013-08-03 02:16:25.180187	90
6266	24317	11428	2013-08-03 02:16:25.191478	2013-08-03 02:16:25.191478	90
6267	24203	11455	2013-08-03 02:16:25.203148	2013-08-03 02:16:25.203148	90
6268	24203	11435	2013-08-03 02:16:25.214207	2013-08-03 02:16:25.214207	90
6269	24107	7265	2013-08-03 02:16:25.225871	2013-08-03 02:16:25.225871	90
6270	24107	6743	2013-08-03 02:16:25.235989	2013-08-03 02:16:25.235989	90
6271	24045	4511	2013-08-03 02:16:25.24665	2013-08-03 02:16:25.24665	90
6272	24045	11398	2013-08-03 02:16:25.256806	2013-08-03 02:16:25.256806	90
6273	24042	11258	2013-08-03 02:16:25.26745	2013-08-03 02:16:25.26745	90
6274	24042	11378	2013-08-03 02:16:25.27762	2013-08-03 02:16:25.27762	90
6275	24017	11718	2013-08-03 02:16:25.288296	2013-08-03 02:16:25.288296	90
6276	24017	11578	2013-08-03 02:16:25.298679	2013-08-03 02:16:25.298679	90
6277	23989	10655	2013-08-03 02:16:25.309301	2013-08-03 02:16:25.309301	90
6278	23989	3217	2013-08-03 02:16:25.314713	2013-08-03 02:16:25.314713	90
6279	24039	7543	2013-08-03 02:16:25.33319	2013-08-03 02:16:25.33319	90
6280	24039	7676	2013-08-03 02:16:25.338074	2013-08-03 02:16:25.338074	90
6281	24039	7656	2013-08-03 02:16:25.342025	2013-08-03 02:16:25.342025	90
6282	24039	7636	2013-08-03 02:16:25.346293	2013-08-03 02:16:25.346293	90
6283	24039	7616	2013-08-03 02:16:25.35129	2013-08-03 02:16:25.35129	90
6284	24039	7596	2013-08-03 02:16:25.356713	2013-08-03 02:16:25.356713	90
6285	24039	7576	2013-08-03 02:16:25.360682	2013-08-03 02:16:25.360682	90
6286	24039	7556	2013-08-03 02:16:25.365572	2013-08-03 02:16:25.365572	90
6287	24039	7536	2013-08-03 02:16:25.370433	2013-08-03 02:16:25.370433	90
6288	24039	7245	2013-08-03 02:16:25.375835	2013-08-03 02:16:25.375835	90
6289	24039	6750	2013-08-03 02:16:25.384437	2013-08-03 02:16:25.384437	90
6290	24039	3177	2013-08-03 02:16:25.392077	2013-08-03 02:16:25.392077	90
6291	24039	11352	2013-08-03 02:16:25.397185	2013-08-03 02:16:25.397185	90
6292	24039	2124	2013-08-03 02:16:25.400799	2013-08-03 02:16:25.400799	90
6293	24039	11358	2013-08-03 02:16:25.406695	2013-08-03 02:16:25.406695	90
6294	24039	11343	2013-08-03 02:16:25.449588	2013-08-03 02:16:25.449588	90
6295	24039	10115	2013-08-03 02:16:25.460069	2013-08-03 02:16:25.460069	90
6296	24039	11752	2013-08-03 02:16:25.470196	2013-08-03 02:16:25.470196	90
6297	24039	9768	2013-08-03 02:16:25.480498	2013-08-03 02:16:25.480498	90
6298	24750	14577	2013-08-03 02:16:25.514557	2013-08-03 02:16:25.514557	90
6299	24750	14557	2013-08-03 02:16:25.518981	2013-08-03 02:16:25.518981	90
6300	24723	14537	2013-08-03 02:16:25.526627	2013-08-03 02:16:25.526627	90
6301	24723	14517	2013-08-03 02:16:25.538208	2013-08-03 02:16:25.538208	90
6302	24428	14497	2013-08-03 02:16:25.549891	2013-08-03 02:16:25.549891	90
6303	24428	14477	2013-08-03 02:16:25.561422	2013-08-03 02:16:25.561422	90
6304	24204	14457	2013-08-03 02:16:25.573049	2013-08-03 02:16:25.573049	90
6305	24204	14437	2013-08-03 02:16:25.584452	2013-08-03 02:16:25.584452	90
6306	24109	14417	2013-08-03 02:16:25.596344	2013-08-03 02:16:25.596344	90
6307	24109	14397	2013-08-03 02:16:25.607717	2013-08-03 02:16:25.607717	90
6308	24079	14377	2013-08-03 02:16:25.619913	2013-08-03 02:16:25.619913	90
6309	24079	14357	2013-08-03 02:16:25.631784	2013-08-03 02:16:25.631784	90
6310	24046	14337	2013-08-03 02:16:25.644133	2013-08-03 02:16:25.644133	90
6311	24046	14317	2013-08-03 02:16:25.650179	2013-08-03 02:16:25.650179	90
6312	24021	14297	2013-08-03 02:16:25.656188	2013-08-03 02:16:25.656188	90
6313	24021	14277	2013-08-03 02:16:25.661671	2013-08-03 02:16:25.661671	90
6314	23987	12191	2013-08-03 02:16:25.66646	2013-08-03 02:16:25.66646	90
6315	23987	12232	2013-08-03 02:16:25.670855	2013-08-03 02:16:25.670855	90
6316	25073	12318	2013-08-03 02:16:25.699773	2013-08-03 02:16:25.699773	90
6317	24724	12298	2013-08-03 02:16:25.70562	2013-08-03 02:16:25.70562	90
6318	24633	12278	2013-08-03 02:16:25.748494	2013-08-03 02:16:25.748494	90
6319	24429	12258	2013-08-03 02:16:25.755555	2013-08-03 02:16:25.755555	90
6320	24202	12238	2013-08-03 02:16:25.760038	2013-08-03 02:16:25.760038	90
6321	24110	12218	2013-08-03 02:16:25.764018	2013-08-03 02:16:25.764018	90
6322	24090	12198	2013-08-03 02:16:25.767779	2013-08-03 02:16:25.767779	90
6323	24047	12178	2013-08-03 02:16:25.772731	2013-08-03 02:16:25.772731	90
6324	24020	12158	2013-08-03 02:16:25.776523	2013-08-03 02:16:25.776523	90
6325	23986	12471	2013-08-03 02:16:25.78075	2013-08-03 02:16:25.78075	90
6326	25355	9768	2013-08-03 02:21:46.97635	2013-08-03 02:21:46.97635	91
6327	25355	7120	2013-08-03 02:21:46.989344	2013-08-03 02:21:46.989344	91
6328	25263	12711	2013-08-03 02:21:47.0003	2013-08-03 02:21:47.0003	91
6329	25263	13291	2013-08-03 02:21:47.01079	2013-08-03 02:21:47.01079	91
6330	25257	13311	2013-08-03 02:21:47.021533	2013-08-03 02:21:47.021533	91
6331	25257	12351	2013-08-03 02:21:47.031682	2013-08-03 02:21:47.031682	91
6332	25088	12371	2013-08-03 02:21:47.042386	2013-08-03 02:21:47.042386	91
6333	25088	10948	2013-08-03 02:21:47.052515	2013-08-03 02:21:47.052515	91
6334	24907	4451	2013-08-03 02:21:47.06441	2013-08-03 02:21:47.06441	91
6335	24907	12971	2013-08-03 02:21:47.075497	2013-08-03 02:21:47.075497	91
6336	24879	12991	2013-08-03 02:21:47.087	2013-08-03 02:21:47.087	91
6337	24879	13011	2013-08-03 02:21:47.09802	2013-08-03 02:21:47.09802	91
6338	24870	13031	2013-08-03 02:21:47.1095	2013-08-03 02:21:47.1095	91
6339	24870	13051	2013-08-03 02:21:47.120011	2013-08-03 02:21:47.120011	91
6340	24867	13071	2013-08-03 02:21:47.131151	2013-08-03 02:21:47.131151	91
6341	24867	13091	2013-08-03 02:21:47.141996	2013-08-03 02:21:47.141996	91
6342	25404	12883	2013-08-03 02:21:47.173369	2013-08-03 02:21:47.173369	91
6343	25404	12812	2013-08-03 02:21:47.185102	2013-08-03 02:21:47.185102	91
6344	25404	12732	2013-08-03 02:21:47.195263	2013-08-03 02:21:47.195263	91
6345	25404	12863	2013-08-03 02:21:47.205489	2013-08-03 02:21:47.205489	91
6346	25404	12843	2013-08-03 02:21:47.246836	2013-08-03 02:21:47.246836	91
6347	25404	12823	2013-08-03 02:21:47.256771	2013-08-03 02:21:47.256771	91
6348	25404	12803	2013-08-03 02:21:47.264803	2013-08-03 02:21:47.264803	91
6349	25404	12783	2013-08-03 02:21:47.272565	2013-08-03 02:21:47.272565	91
6350	25404	12763	2013-08-03 02:21:47.277923	2013-08-03 02:21:47.277923	91
6351	25404	12743	2013-08-03 02:21:47.283377	2013-08-03 02:21:47.283377	91
6352	25404	12723	2013-08-03 02:21:47.289407	2013-08-03 02:21:47.289407	91
6353	25404	11943	2013-08-03 02:21:47.293331	2013-08-03 02:21:47.293331	91
6354	25404	11795	2013-08-03 02:21:47.296564	2013-08-03 02:21:47.296564	91
6355	25404	10380	2013-08-03 02:21:47.299908	2013-08-03 02:21:47.299908	91
6356	25404	8045	2013-08-03 02:21:47.303136	2013-08-03 02:21:47.303136	91
6357	25404	12658	2013-08-03 02:21:47.306302	2013-08-03 02:21:47.306302	91
6358	25404	7876	2013-08-03 02:21:47.309414	2013-08-03 02:21:47.309414	91
6359	25404	5031	2013-08-03 02:21:47.312719	2013-08-03 02:21:47.312719	91
6360	25404	4686	2013-08-03 02:21:47.316429	2013-08-03 02:21:47.316429	91
6361	25031	8300	2013-08-03 02:21:47.335361	2013-08-03 02:21:47.335361	91
6362	25031	8263	2013-08-03 02:21:47.345048	2013-08-03 02:21:47.345048	91
6363	25031	8305	2013-08-03 02:21:47.352931	2013-08-03 02:21:47.352931	91
6364	25031	8285	2013-08-03 02:21:47.363773	2013-08-03 02:21:47.363773	91
6365	25031	8265	2013-08-03 02:21:47.374786	2013-08-03 02:21:47.374786	91
6366	25031	8245	2013-08-03 02:21:47.385846	2013-08-03 02:21:47.385846	91
6367	25031	8225	2013-08-03 02:21:47.398049	2013-08-03 02:21:47.398049	91
6368	25031	8205	2013-08-03 02:21:47.412116	2013-08-03 02:21:47.412116	91
6369	25031	8185	2013-08-03 02:21:47.420167	2013-08-03 02:21:47.420167	91
6370	25031	8165	2013-08-03 02:21:47.431986	2013-08-03 02:21:47.431986	91
6371	25031	8075	2013-08-03 02:21:47.443976	2013-08-03 02:21:47.443976	91
6372	25031	8145	2013-08-03 02:21:47.456046	2013-08-03 02:21:47.456046	91
6373	25031	8125	2013-08-03 02:21:47.468661	2013-08-03 02:21:47.468661	91
6374	25031	8105	2013-08-03 02:21:47.477192	2013-08-03 02:21:47.477192	91
6375	25031	12618	2013-08-03 02:21:47.488687	2013-08-03 02:21:47.488687	91
6376	25031	7800	2013-08-03 02:21:47.499638	2013-08-03 02:21:47.499638	91
6377	25031	4319	2013-08-03 02:21:47.511845	2013-08-03 02:21:47.511845	91
6378	25031	12503	2013-08-03 02:21:47.523645	2013-08-03 02:21:47.523645	91
6379	25031	4646	2013-08-03 02:21:47.534318	2013-08-03 02:21:47.534318	91
6380	25510	18088	2013-08-03 02:21:47.581425	2013-08-03 02:21:47.581425	91
6381	25510	18068	2013-08-03 02:21:47.593994	2013-08-03 02:21:47.593994	91
6382	25376	18048	2013-08-03 02:21:47.599641	2013-08-03 02:21:47.599641	91
6383	25376	15057	2013-08-03 02:21:47.606477	2013-08-03 02:21:47.606477	91
6384	25266	14837	2013-08-03 02:21:47.611359	2013-08-03 02:21:47.611359	91
6385	25266	12583	2013-08-03 02:21:47.61516	2013-08-03 02:21:47.61516	91
6386	25101	11695	2013-08-03 02:21:47.61944	2013-08-03 02:21:47.61944	91
6387	25101	11652	2013-08-03 02:21:47.626593	2013-08-03 02:21:47.626593	91
6388	24979	10280	2013-08-03 02:21:47.637611	2013-08-03 02:21:47.637611	91
6389	24979	7985	2013-08-03 02:21:47.647382	2013-08-03 02:21:47.647382	91
6390	24909	7265	2013-08-03 02:21:47.654293	2013-08-03 02:21:47.654293	91
6391	24909	12558	2013-08-03 02:21:47.662403	2013-08-03 02:21:47.662403	91
6392	24888	7816	2013-08-03 02:21:47.673264	2013-08-03 02:21:47.673264	91
6393	24888	4379	2013-08-03 02:21:47.683541	2013-08-03 02:21:47.683541	91
6394	24882	4606	2013-08-03 02:21:47.694302	2013-08-03 02:21:47.694302	91
6395	24882	12318	2013-08-03 02:21:47.704654	2013-08-03 02:21:47.704654	91
6396	24874	12351	2013-08-03 02:21:47.715579	2013-08-03 02:21:47.715579	91
6397	24874	13311	2013-08-03 02:21:47.725911	2013-08-03 02:21:47.725911	91
6398	24886	18448	2013-08-03 02:21:47.753072	2013-08-03 02:21:47.753072	91
6399	24886	18428	2013-08-03 02:21:47.765651	2013-08-03 02:21:47.765651	91
6400	24886	18408	2013-08-03 02:21:47.777236	2013-08-03 02:21:47.777236	91
6401	24886	18388	2013-08-03 02:21:47.789173	2013-08-03 02:21:47.789173	91
6402	24886	18368	2013-08-03 02:21:47.80059	2013-08-03 02:21:47.80059	91
6403	24886	18348	2013-08-03 02:21:47.812673	2013-08-03 02:21:47.812673	91
6404	24886	18328	2013-08-03 02:21:47.824409	2013-08-03 02:21:47.824409	91
6405	24886	18308	2013-08-03 02:21:47.83629	2013-08-03 02:21:47.83629	91
6406	24886	18288	2013-08-03 02:21:47.84835	2013-08-03 02:21:47.84835	91
6407	24886	18268	2013-08-03 02:21:47.859867	2013-08-03 02:21:47.859867	91
6408	24886	18248	2013-08-03 02:21:47.871228	2013-08-03 02:21:47.871228	91
6409	24886	18228	2013-08-03 02:21:47.882721	2013-08-03 02:21:47.882721	91
6410	24886	18208	2013-08-03 02:21:47.894441	2013-08-03 02:21:47.894441	91
6411	24886	18188	2013-08-03 02:21:47.945513	2013-08-03 02:21:47.945513	91
6412	24886	18168	2013-08-03 02:21:47.952806	2013-08-03 02:21:47.952806	91
6413	24886	18148	2013-08-03 02:21:47.963579	2013-08-03 02:21:47.963579	91
6414	24886	18128	2013-08-03 02:21:47.974419	2013-08-03 02:21:47.974419	91
6415	24886	14837	2013-08-03 02:21:47.985199	2013-08-03 02:21:47.985199	91
6416	24886	12583	2013-08-03 02:21:47.995406	2013-08-03 02:21:47.995406	91
6417	24956	10533	2013-08-03 02:21:48.04373	2013-08-03 02:21:48.04373	91
6418	24956	10518	2013-08-03 02:21:48.056217	2013-08-03 02:21:48.056217	91
6419	24956	10432	2013-08-03 02:21:48.066933	2013-08-03 02:21:48.066933	91
6420	24956	10515	2013-08-03 02:21:48.076926	2013-08-03 02:21:48.076926	91
6421	24956	10513	2013-08-03 02:21:48.088251	2013-08-03 02:21:48.088251	91
6422	24956	10493	2013-08-03 02:21:48.099541	2013-08-03 02:21:48.099541	91
6423	24956	10473	2013-08-03 02:21:48.110417	2013-08-03 02:21:48.110417	91
6424	24956	10453	2013-08-03 02:21:48.121034	2013-08-03 02:21:48.121034	91
6425	24956	10433	2013-08-03 02:21:48.131833	2013-08-03 02:21:48.131833	91
6426	24956	7885	2013-08-03 02:21:48.14293	2013-08-03 02:21:48.14293	91
6427	24956	7716	2013-08-03 02:21:48.152819	2013-08-03 02:21:48.152819	91
6428	24956	6743	2013-08-03 02:21:48.162469	2013-08-03 02:21:48.162469	91
6429	24956	4719	2013-08-03 02:21:48.1725	2013-08-03 02:21:48.1725	91
6430	24956	4466	2013-08-03 02:21:48.182189	2013-08-03 02:21:48.182189	91
6431	24956	7845	2013-08-03 02:21:48.191752	2013-08-03 02:21:48.191752	91
6432	24956	4579	2013-08-03 02:21:48.201597	2013-08-03 02:21:48.201597	91
6433	24956	4410	2013-08-03 02:21:48.211544	2013-08-03 02:21:48.211544	91
6434	24956	4546	2013-08-03 02:21:48.221428	2013-08-03 02:21:48.221428	91
6435	24956	14737	2013-08-03 02:21:48.231279	2013-08-03 02:21:48.231279	91
6436	25359	11935	2013-08-03 02:21:48.29301	2013-08-03 02:21:48.29301	91
6437	25262	11883	2013-08-03 02:21:48.303764	2013-08-03 02:21:48.303764	91
6438	25216	11915	2013-08-03 02:21:48.313703	2013-08-03 02:21:48.313703	91
6439	25089	11895	2013-08-03 02:21:48.325935	2013-08-03 02:21:48.325935	91
6440	24978	11875	2013-08-03 02:21:48.331398	2013-08-03 02:21:48.331398	91
6441	24908	11855	2013-08-03 02:21:48.336877	2013-08-03 02:21:48.336877	91
6442	24887	7643	2013-08-03 02:21:48.343248	2013-08-03 02:21:48.343248	91
6443	24883	12178	2013-08-03 02:21:48.347104	2013-08-03 02:21:48.347104	91
6444	24880	4599	2013-08-03 02:21:48.350756	2013-08-03 02:21:48.350756	91
6445	24878	11258	2013-08-03 02:21:48.355201	2013-08-03 02:21:48.355201	91
6446	25127	8216	2013-08-03 02:21:48.366488	2013-08-03 02:21:48.366488	91
6447	25127	8196	2013-08-03 02:21:48.371462	2013-08-03 02:21:48.371462	91
6448	25127	8176	2013-08-03 02:21:48.377076	2013-08-03 02:21:48.377076	91
6449	25127	8063	2013-08-03 02:21:48.381648	2013-08-03 02:21:48.381648	91
6450	25127	8156	2013-08-03 02:21:48.385314	2013-08-03 02:21:48.385314	91
6451	25127	8136	2013-08-03 02:21:48.392589	2013-08-03 02:21:48.392589	91
6452	25127	8116	2013-08-03 02:21:48.402943	2013-08-03 02:21:48.402943	91
6453	25127	8096	2013-08-03 02:21:48.413356	2013-08-03 02:21:48.413356	91
6454	25127	8076	2013-08-03 02:21:48.423516	2013-08-03 02:21:48.423516	91
6455	25127	8056	2013-08-03 02:21:48.434306	2013-08-03 02:21:48.434306	91
6456	25127	8036	2013-08-03 02:21:48.445024	2013-08-03 02:21:48.445024	91
6457	25127	8016	2013-08-03 02:21:48.45573	2013-08-03 02:21:48.45573	91
6458	25127	7996	2013-08-03 02:21:48.466284	2013-08-03 02:21:48.466284	91
6459	25127	7976	2013-08-03 02:21:48.477031	2013-08-03 02:21:48.477031	91
6460	25127	7956	2013-08-03 02:21:48.487606	2013-08-03 02:21:48.487606	91
6461	25127	7936	2013-08-03 02:21:48.498249	2013-08-03 02:21:48.498249	91
6462	25127	4659	2013-08-03 02:21:48.508925	2013-08-03 02:21:48.508925	91
6463	25127	4639	2013-08-03 02:21:48.51889	2013-08-03 02:21:48.51889	91
6464	25127	7345	2013-08-03 02:21:48.528531	2013-08-03 02:21:48.528531	91
6465	25400	15517	2013-08-03 02:21:48.562962	2013-08-03 02:21:48.562962	91
6466	25400	15497	2013-08-03 02:21:48.599048	2013-08-03 02:21:48.599048	91
6467	25270	15477	2013-08-03 02:21:48.605651	2013-08-03 02:21:48.605651	91
6468	25270	15457	2013-08-03 02:21:48.613064	2013-08-03 02:21:48.613064	91
6469	25106	15437	2013-08-03 02:21:48.617619	2013-08-03 02:21:48.617619	91
6470	25106	15417	2013-08-03 02:21:48.621411	2013-08-03 02:21:48.621411	91
6471	24982	15397	2013-08-03 02:21:48.625158	2013-08-03 02:21:48.625158	91
6472	24982	15377	2013-08-03 02:21:48.629473	2013-08-03 02:21:48.629473	91
6473	24910	15357	2013-08-03 02:21:48.639844	2013-08-03 02:21:48.639844	91
6474	24910	15337	2013-08-03 02:21:48.65063	2013-08-03 02:21:48.65063	91
6475	24900	15317	2013-08-03 02:21:48.661476	2013-08-03 02:21:48.661476	91
6476	24900	15297	2013-08-03 02:21:48.672426	2013-08-03 02:21:48.672426	91
6477	24884	15277	2013-08-03 02:21:48.684804	2013-08-03 02:21:48.684804	91
6478	24884	15257	2013-08-03 02:21:48.696849	2013-08-03 02:21:48.696849	91
6479	24881	15237	2013-08-03 02:21:48.709236	2013-08-03 02:21:48.709236	91
6480	24881	15217	2013-08-03 02:21:48.721132	2013-08-03 02:21:48.721132	91
6481	24866	4446	2013-08-03 02:21:48.733845	2013-08-03 02:21:48.733845	91
6482	24866	11378	2013-08-03 02:21:48.745718	2013-08-03 02:21:48.745718	91
6483	25512	13038	2013-08-03 02:21:48.78134	2013-08-03 02:21:48.78134	91
6484	25512	13018	2013-08-03 02:21:48.792504	2013-08-03 02:21:48.792504	91
6485	25401	12998	2013-08-03 02:21:48.804151	2013-08-03 02:21:48.804151	91
6486	25401	12978	2013-08-03 02:21:48.815234	2013-08-03 02:21:48.815234	91
6487	25275	12958	2013-08-03 02:21:48.826741	2013-08-03 02:21:48.826741	91
6488	25275	12938	2013-08-03 02:21:48.837841	2013-08-03 02:21:48.837841	91
6489	25107	12918	2013-08-03 02:21:48.849519	2013-08-03 02:21:48.849519	91
6490	25107	12898	2013-08-03 02:21:48.860734	2013-08-03 02:21:48.860734	91
6491	24980	12878	2013-08-03 02:21:48.872281	2013-08-03 02:21:48.872281	91
6492	24980	12858	2013-08-03 02:21:48.883409	2013-08-03 02:21:48.883409	91
6493	24911	12838	2013-08-03 02:21:48.894976	2013-08-03 02:21:48.894976	91
6494	24911	12818	2013-08-03 02:21:48.906006	2013-08-03 02:21:48.906006	91
6495	24906	12798	2013-08-03 02:21:48.917728	2013-08-03 02:21:48.917728	91
6496	24906	12778	2013-08-03 02:21:48.928836	2013-08-03 02:21:48.928836	91
6497	24885	12758	2013-08-03 02:21:48.940465	2013-08-03 02:21:48.940465	91
6498	24885	12738	2013-08-03 02:21:48.951724	2013-08-03 02:21:48.951724	91
6499	24873	12718	2013-08-03 02:21:48.963347	2013-08-03 02:21:48.963347	91
6500	24873	11148	2013-08-03 02:21:48.97447	2013-08-03 02:21:48.97447	91
6501	26320	13671	2013-08-03 02:26:54.725444	2013-08-03 02:26:54.725444	92
6502	26320	4939	2013-08-03 02:26:54.73912	2013-08-03 02:26:54.73912	92
6503	26259	4371	2013-08-03 02:26:54.751003	2013-08-03 02:26:54.751003	92
6504	26259	11908	2013-08-03 02:26:54.762276	2013-08-03 02:26:54.762276	92
6505	26022	11928	2013-08-03 02:26:54.774011	2013-08-03 02:26:54.774011	92
6506	26022	11948	2013-08-03 02:26:54.785131	2013-08-03 02:26:54.785131	92
6507	25927	11968	2013-08-03 02:26:54.796684	2013-08-03 02:26:54.796684	92
6508	25927	4879	2013-08-03 02:26:54.807641	2013-08-03 02:26:54.807641	92
6509	25904	9171	2013-08-03 02:26:54.819205	2013-08-03 02:26:54.819205	92
6510	25904	11608	2013-08-03 02:26:54.830231	2013-08-03 02:26:54.830231	92
6511	25821	4819	2013-08-03 02:26:54.841828	2013-08-03 02:26:54.841828	92
6512	25821	4779	2013-08-03 02:26:54.852913	2013-08-03 02:26:54.852913	92
6513	25806	4759	2013-08-03 02:26:54.864356	2013-08-03 02:26:54.864356	92
6514	25806	7118	2013-08-03 02:26:54.875355	2013-08-03 02:26:54.875355	92
6515	25803	7138	2013-08-03 02:26:54.886868	2013-08-03 02:26:54.886868	92
6516	25803	7158	2013-08-03 02:26:54.897845	2013-08-03 02:26:54.897845	92
6517	25801	13463	2013-08-03 02:26:54.929026	2013-08-03 02:26:54.929026	92
6518	25801	13443	2013-08-03 02:26:54.940431	2013-08-03 02:26:54.940431	92
6519	25801	13423	2013-08-03 02:26:54.95136	2013-08-03 02:26:54.95136	92
6520	25801	13403	2013-08-03 02:26:54.962938	2013-08-03 02:26:54.962938	92
6521	25801	13383	2013-08-03 02:26:54.975846	2013-08-03 02:26:54.975846	92
6522	25801	13363	2013-08-03 02:26:54.98695	2013-08-03 02:26:54.98695	92
6523	25801	13343	2013-08-03 02:26:54.991663	2013-08-03 02:26:54.991663	92
6524	25801	13323	2013-08-03 02:26:54.996031	2013-08-03 02:26:54.996031	92
6525	25801	13303	2013-08-03 02:26:55.001143	2013-08-03 02:26:55.001143	92
6526	25801	13283	2013-08-03 02:26:55.005884	2013-08-03 02:26:55.005884	92
6527	25801	13263	2013-08-03 02:26:55.01012	2013-08-03 02:26:55.01012	92
6528	25801	13243	2013-08-03 02:26:55.014275	2013-08-03 02:26:55.014275	92
6529	25801	13223	2013-08-03 02:26:55.017246	2013-08-03 02:26:55.017246	92
6530	25801	10600	2013-08-03 02:26:55.022252	2013-08-03 02:26:55.022252	92
6531	25801	8565	2013-08-03 02:26:55.029022	2013-08-03 02:26:55.029022	92
6532	25801	4698	2013-08-03 02:26:55.03419	2013-08-03 02:26:55.03419	92
6533	25801	6990	2013-08-03 02:26:55.037759	2013-08-03 02:26:55.037759	92
6534	25801	8456	2013-08-03 02:26:55.040906	2013-08-03 02:26:55.040906	92
6535	25801	4946	2013-08-03 02:26:55.044124	2013-08-03 02:26:55.044124	92
6536	25798	3044	2013-08-03 02:26:55.068987	2013-08-03 02:26:55.068987	92
6537	25798	3024	2013-08-03 02:26:55.079916	2013-08-03 02:26:55.079916	92
6538	25798	3004	2013-08-03 02:26:55.08471	2013-08-03 02:26:55.08471	92
6539	25798	2984	2013-08-03 02:26:55.092623	2013-08-03 02:26:55.092623	92
6540	25798	2889	2013-08-03 02:26:55.098965	2013-08-03 02:26:55.098965	92
6541	25798	2845	2013-08-03 02:26:55.103486	2013-08-03 02:26:55.103486	92
6542	25798	2969	2013-08-03 02:26:55.109686	2013-08-03 02:26:55.109686	92
6543	25798	2905	2013-08-03 02:26:55.114144	2013-08-03 02:26:55.114144	92
6544	25798	2925	2013-08-03 02:26:55.121123	2013-08-03 02:26:55.121123	92
6545	25798	2946	2013-08-03 02:26:55.126459	2013-08-03 02:26:55.126459	92
6546	25798	2866	2013-08-03 02:26:55.134388	2013-08-03 02:26:55.134388	92
6547	25798	2930	2013-08-03 02:26:55.142849	2013-08-03 02:26:55.142849	92
6548	25798	2964	2013-08-03 02:26:55.152803	2013-08-03 02:26:55.152803	92
6549	25798	2944	2013-08-03 02:26:55.163602	2013-08-03 02:26:55.163602	92
6550	25798	2838	2013-08-03 02:26:55.174392	2013-08-03 02:26:55.174392	92
6551	25798	4879	2013-08-03 02:26:55.185306	2013-08-03 02:26:55.185306	92
6552	25798	11968	2013-08-03 02:26:55.195267	2013-08-03 02:26:55.195267	92
6553	25798	13011	2013-08-03 02:26:55.205294	2013-08-03 02:26:55.205294	92
6554	25798	12991	2013-08-03 02:26:55.247196	2013-08-03 02:26:55.247196	92
6555	25969	8865	2013-08-03 02:26:55.260563	2013-08-03 02:26:55.260563	92
6556	25969	8845	2013-08-03 02:26:55.268213	2013-08-03 02:26:55.268213	92
6557	25969	8825	2013-08-03 02:26:55.275896	2013-08-03 02:26:55.275896	92
6558	25969	8805	2013-08-03 02:26:55.284357	2013-08-03 02:26:55.284357	92
6559	25969	8783	2013-08-03 02:26:55.293067	2013-08-03 02:26:55.293067	92
6560	25969	8785	2013-08-03 02:26:55.301783	2013-08-03 02:26:55.301783	92
6561	25969	8765	2013-08-03 02:26:55.310476	2013-08-03 02:26:55.310476	92
6562	25969	8745	2013-08-03 02:26:55.31998	2013-08-03 02:26:55.31998	92
6563	25969	8725	2013-08-03 02:26:55.329435	2013-08-03 02:26:55.329435	92
6564	25969	8705	2013-08-03 02:26:55.338716	2013-08-03 02:26:55.338716	92
6565	25969	8685	2013-08-03 02:26:55.348828	2013-08-03 02:26:55.348828	92
6566	25969	8665	2013-08-03 02:26:55.359057	2013-08-03 02:26:55.359057	92
6567	25969	8645	2013-08-03 02:26:55.369436	2013-08-03 02:26:55.369436	92
6568	25969	8498	2013-08-03 02:26:55.379569	2013-08-03 02:26:55.379569	92
6569	25969	8625	2013-08-03 02:26:55.38987	2013-08-03 02:26:55.38987	92
6570	25969	9139	2013-08-03 02:26:55.401933	2013-08-03 02:26:55.401933	92
6571	25969	6950	2013-08-03 02:26:55.412814	2013-08-03 02:26:55.412814	92
6572	25969	8416	2013-08-03 02:26:55.423464	2013-08-03 02:26:55.423464	92
6573	25969	4906	2013-08-03 02:26:55.433554	2013-08-03 02:26:55.433554	92
6574	26340	18468	2013-08-03 02:26:55.475896	2013-08-03 02:26:55.475896	92
6575	26340	16037	2013-08-03 02:26:55.487143	2013-08-03 02:26:55.487143	92
6576	26218	15777	2013-08-03 02:26:55.497777	2013-08-03 02:26:55.497777	92
6577	26218	15457	2013-08-03 02:26:55.507732	2013-08-03 02:26:55.507732	92
6578	26041	15477	2013-08-03 02:26:55.519581	2013-08-03 02:26:55.519581	92
6579	26041	13103	2013-08-03 02:26:55.529986	2013-08-03 02:26:55.529986	92
6580	25930	12938	2013-08-03 02:26:55.540563	2013-08-03 02:26:55.540563	92
6581	25930	12958	2013-08-03 02:26:55.55107	2013-08-03 02:26:55.55107	92
6582	25926	11883	2013-08-03 02:26:55.561746	2013-08-03 02:26:55.561746	92
6583	25926	10500	2013-08-03 02:26:55.573267	2013-08-03 02:26:55.573267	92
6584	25901	8485	2013-08-03 02:26:55.58366	2013-08-03 02:26:55.58366	92
6585	25901	8539	2013-08-03 02:26:55.593694	2013-08-03 02:26:55.593694	92
6586	25823	8356	2013-08-03 02:26:55.603739	2013-08-03 02:26:55.603739	92
6587	25823	8352	2013-08-03 02:26:55.612051	2013-08-03 02:26:55.612051	92
6588	25793	7978	2013-08-03 02:26:55.620901	2013-08-03 02:26:55.620901	92
6589	25793	4379	2013-08-03 02:26:55.630975	2013-08-03 02:26:55.630975	92
6590	25789	4779	2013-08-03 02:26:55.641505	2013-08-03 02:26:55.641505	92
6591	25789	4819	2013-08-03 02:26:55.651655	2013-08-03 02:26:55.651655	92
6592	25802	18828	2013-08-03 02:26:55.678994	2013-08-03 02:26:55.678994	92
6593	25802	18808	2013-08-03 02:26:55.690638	2013-08-03 02:26:55.690638	92
6594	25802	18788	2013-08-03 02:26:55.701403	2013-08-03 02:26:55.701403	92
6595	25802	18768	2013-08-03 02:26:55.71146	2013-08-03 02:26:55.71146	92
6596	25802	18748	2013-08-03 02:26:55.722335	2013-08-03 02:26:55.722335	92
6597	25802	18728	2013-08-03 02:26:55.734203	2013-08-03 02:26:55.734203	92
6598	25802	18708	2013-08-03 02:26:55.74548	2013-08-03 02:26:55.74548	92
6599	25802	18688	2013-08-03 02:26:55.756593	2013-08-03 02:26:55.756593	92
6600	25802	18668	2013-08-03 02:26:55.767399	2013-08-03 02:26:55.767399	92
6601	25802	18648	2013-08-03 02:26:55.778546	2013-08-03 02:26:55.778546	92
6602	25802	18628	2013-08-03 02:26:55.789717	2013-08-03 02:26:55.789717	92
6603	25802	18608	2013-08-03 02:26:55.800969	2013-08-03 02:26:55.800969	92
6604	25802	18588	2013-08-03 02:26:55.811994	2013-08-03 02:26:55.811994	92
6605	25802	18568	2013-08-03 02:26:55.823057	2013-08-03 02:26:55.823057	92
6606	25802	18548	2013-08-03 02:26:55.83424	2013-08-03 02:26:55.83424	92
6607	25802	18528	2013-08-03 02:26:55.845441	2013-08-03 02:26:55.845441	92
6608	25802	18508	2013-08-03 02:26:55.856789	2013-08-03 02:26:55.856789	92
6609	25802	8356	2013-08-03 02:26:55.868024	2013-08-03 02:26:55.868024	92
6610	25802	8352	2013-08-03 02:26:55.878423	2013-08-03 02:26:55.878423	92
6611	25799	10713	2013-08-03 02:26:55.926424	2013-08-03 02:26:55.926424	92
6612	25799	10693	2013-08-03 02:26:55.934926	2013-08-03 02:26:55.934926	92
6613	25799	10623	2013-08-03 02:26:55.946027	2013-08-03 02:26:55.946027	92
6614	25799	10628	2013-08-03 02:26:55.952245	2013-08-03 02:26:55.952245	92
6615	25799	10673	2013-08-03 02:26:55.95954	2013-08-03 02:26:55.95954	92
6616	25799	10653	2013-08-03 02:26:55.996667	2013-08-03 02:26:55.996667	92
6617	25799	10633	2013-08-03 02:26:56.002346	2013-08-03 02:26:56.002346	92
6618	25799	10613	2013-08-03 02:26:56.007095	2013-08-03 02:26:56.007095	92
6619	25799	10593	2013-08-03 02:26:56.011159	2013-08-03 02:26:56.011159	92
6620	25799	10573	2013-08-03 02:26:56.016674	2013-08-03 02:26:56.016674	92
6621	25799	10553	2013-08-03 02:26:56.026583	2013-08-03 02:26:56.026583	92
6622	25799	8425	2013-08-03 02:26:56.0317	2013-08-03 02:26:56.0317	92
6623	25799	8296	2013-08-03 02:26:56.036156	2013-08-03 02:26:56.036156	92
6624	25799	8371	2013-08-03 02:26:56.042492	2013-08-03 02:26:56.042492	92
6625	25799	4826	2013-08-03 02:26:56.046249	2013-08-03 02:26:56.046249	92
6626	25799	15677	2013-08-03 02:26:56.049968	2013-08-03 02:26:56.049968	92
6627	25799	12698	2013-08-03 02:26:56.053175	2013-08-03 02:26:56.053175	92
6628	25799	3991	2013-08-03 02:26:56.101813	2013-08-03 02:26:56.101813	92
6629	25799	4511	2013-08-03 02:26:56.106528	2013-08-03 02:26:56.106528	92
6630	26321	12155	2013-08-03 02:26:56.173294	2013-08-03 02:26:56.173294	92
6631	26319	12135	2013-08-03 02:26:56.186161	2013-08-03 02:26:56.186161	92
6632	26025	8385	2013-08-03 02:26:56.197539	2013-08-03 02:26:56.197539	92
6633	25931	8256	2013-08-03 02:26:56.202981	2013-08-03 02:26:56.202981	92
6634	25928	8291	2013-08-03 02:26:56.206596	2013-08-03 02:26:56.206596	92
6635	25908	8345	2013-08-03 02:26:56.213616	2013-08-03 02:26:56.213616	92
6636	25900	12703	2013-08-03 02:26:56.217858	2013-08-03 02:26:56.217858	92
6637	25822	4786	2013-08-03 02:26:56.22252	2013-08-03 02:26:56.22252	92
6638	25794	12278	2013-08-03 02:26:56.226482	2013-08-03 02:26:56.226482	92
6639	25788	14257	2013-08-03 02:26:56.230321	2013-08-03 02:26:56.230321	92
6640	26192	8776	2013-08-03 02:26:56.240407	2013-08-03 02:26:56.240407	92
6641	26192	8756	2013-08-03 02:26:56.244418	2013-08-03 02:26:56.244418	92
6642	26192	8736	2013-08-03 02:26:56.248692	2013-08-03 02:26:56.248692	92
6643	26192	8716	2013-08-03 02:26:56.252291	2013-08-03 02:26:56.252291	92
6644	26192	8696	2013-08-03 02:26:56.256253	2013-08-03 02:26:56.256253	92
6645	26192	8676	2013-08-03 02:26:56.260038	2013-08-03 02:26:56.260038	92
6646	26192	8656	2013-08-03 02:26:56.26341	2013-08-03 02:26:56.26341	92
6647	26192	8636	2013-08-03 02:26:56.266967	2013-08-03 02:26:56.266967	92
6648	26192	8563	2013-08-03 02:26:56.272245	2013-08-03 02:26:56.272245	92
6649	26192	8616	2013-08-03 02:26:56.278653	2013-08-03 02:26:56.278653	92
6650	26192	8596	2013-08-03 02:26:56.283033	2013-08-03 02:26:56.283033	92
6651	26192	8576	2013-08-03 02:26:56.28711	2013-08-03 02:26:56.28711	92
6652	26192	8556	2013-08-03 02:26:56.290664	2013-08-03 02:26:56.290664	92
6653	26192	8536	2013-08-03 02:26:56.295189	2013-08-03 02:26:56.295189	92
6654	26192	8516	2013-08-03 02:26:56.299472	2013-08-03 02:26:56.299472	92
6655	26192	8496	2013-08-03 02:26:56.304783	2013-08-03 02:26:56.304783	92
6656	26192	8236	2013-08-03 02:26:56.311316	2013-08-03 02:26:56.311316	92
6657	26192	8271	2013-08-03 02:26:56.316168	2013-08-03 02:26:56.316168	92
6658	26192	4670	2013-08-03 02:26:56.319877	2013-08-03 02:26:56.319877	92
6659	26416	16337	2013-08-03 02:26:56.343508	2013-08-03 02:26:56.343508	92
6660	26339	16317	2013-08-03 02:26:56.347682	2013-08-03 02:26:56.347682	92
6661	26219	16297	2013-08-03 02:26:56.352004	2013-08-03 02:26:56.352004	92
6662	26063	16277	2013-08-03 02:26:56.356754	2013-08-03 02:26:56.356754	92
6663	25934	16257	2013-08-03 02:26:56.3614	2013-08-03 02:26:56.3614	92
6664	25933	16237	2013-08-03 02:26:56.367784	2013-08-03 02:26:56.367784	92
6665	25902	16217	2013-08-03 02:26:56.372685	2013-08-03 02:26:56.372685	92
6666	25792	16197	2013-08-03 02:26:56.377255	2013-08-03 02:26:56.377255	92
6667	25791	8619	2013-08-03 02:26:56.382828	2013-08-03 02:26:56.382828	92
6668	25786	11798	2013-08-03 02:26:56.386658	2013-08-03 02:26:56.386658	92
6669	26421	13078	2013-08-03 02:26:56.415708	2013-08-03 02:26:56.415708	92
6670	26304	12923	2013-08-03 02:26:56.420117	2013-08-03 02:26:56.420117	92
6671	26079	8325	2013-08-03 02:26:56.423847	2013-08-03 02:26:56.423847	92
6672	25935	8551	2013-08-03 02:26:56.427838	2013-08-03 02:26:56.427838	92
6673	25932	13091	2013-08-03 02:26:56.432566	2013-08-03 02:26:56.432566	92
6674	25929	4566	2013-08-03 02:26:56.43891	2013-08-03 02:26:56.43891	92
6675	25903	13071	2013-08-03 02:26:56.483062	2013-08-03 02:26:56.483062	92
6676	25797	4726	2013-08-03 02:26:56.491902	2013-08-03 02:26:56.491902	92
6677	25790	12151	2013-08-03 02:26:56.49942	2013-08-03 02:26:56.49942	92
6678	25787	8391	2013-08-03 02:26:56.51053	2013-08-03 02:26:56.51053	92
6679	27703	18568	2013-08-03 02:32:07.289286	2013-08-03 02:32:07.289286	93
6680	27703	18588	2013-08-03 02:32:07.298342	2013-08-03 02:32:07.298342	93
6681	27273	18608	2013-08-03 02:32:07.308054	2013-08-03 02:32:07.308054	93
6682	27273	18628	2013-08-03 02:32:07.317936	2013-08-03 02:32:07.317936	93
6683	26993	18648	2013-08-03 02:32:07.328661	2013-08-03 02:32:07.328661	93
6684	26993	18668	2013-08-03 02:32:07.338012	2013-08-03 02:32:07.338012	93
6685	26905	18688	2013-08-03 02:32:07.349125	2013-08-03 02:32:07.349125	93
6686	26905	4819	2013-08-03 02:32:07.359112	2013-08-03 02:32:07.359112	93
6687	26883	4779	2013-08-03 02:32:07.369843	2013-08-03 02:32:07.369843	93
6688	26883	11968	2013-08-03 02:32:07.380379	2013-08-03 02:32:07.380379	93
6689	26855	4879	2013-08-03 02:32:07.391853	2013-08-03 02:32:07.391853	93
6690	26855	3959	2013-08-03 02:32:07.4026	2013-08-03 02:32:07.4026	93
6691	26851	3939	2013-08-03 02:32:07.414996	2013-08-03 02:32:07.414996	93
6692	26851	4799	2013-08-03 02:32:07.425724	2013-08-03 02:32:07.425724	93
6693	26848	9051	2013-08-03 02:32:07.436837	2013-08-03 02:32:07.436837	93
6694	26848	4391	2013-08-03 02:32:07.447665	2013-08-03 02:32:07.447665	93
6695	26992	14043	2013-08-03 02:32:07.477689	2013-08-03 02:32:07.477689	93
6696	26992	14023	2013-08-03 02:32:07.489572	2013-08-03 02:32:07.489572	93
6697	26992	14003	2013-08-03 02:32:07.496473	2013-08-03 02:32:07.496473	93
6698	26992	13983	2013-08-03 02:32:07.505436	2013-08-03 02:32:07.505436	93
6699	26992	13963	2013-08-03 02:32:07.510352	2013-08-03 02:32:07.510352	93
6700	26992	13943	2013-08-03 02:32:07.515019	2013-08-03 02:32:07.515019	93
6701	26992	13923	2013-08-03 02:32:07.519749	2013-08-03 02:32:07.519749	93
6702	26992	13903	2013-08-03 02:32:07.525116	2013-08-03 02:32:07.525116	93
6703	26992	13883	2013-08-03 02:32:07.53198	2013-08-03 02:32:07.53198	93
6704	26992	13863	2013-08-03 02:32:07.541828	2013-08-03 02:32:07.541828	93
6705	26992	13843	2013-08-03 02:32:07.551034	2013-08-03 02:32:07.551034	93
6706	26992	13823	2013-08-03 02:32:07.560934	2013-08-03 02:32:07.560934	93
6707	26992	13691	2013-08-03 02:32:07.571591	2013-08-03 02:32:07.571591	93
6708	26992	13803	2013-08-03 02:32:07.582341	2013-08-03 02:32:07.582341	93
6709	26992	10760	2013-08-03 02:32:07.59306	2013-08-03 02:32:07.59306	93
6710	26992	8956	2013-08-03 02:32:07.603005	2013-08-03 02:32:07.603005	93
6711	26992	7590	2013-08-03 02:32:07.61238	2013-08-03 02:32:07.61238	93
6712	26992	8365	2013-08-03 02:32:07.621915	2013-08-03 02:32:07.621915	93
6713	26992	5166	2013-08-03 02:32:07.631632	2013-08-03 02:32:07.631632	93
6714	27306	3144	2013-08-03 02:32:07.655713	2013-08-03 02:32:07.655713	93
6715	27306	17008	2013-08-03 02:32:07.667128	2013-08-03 02:32:07.667128	93
6716	27306	17028	2013-08-03 02:32:07.678169	2013-08-03 02:32:07.678169	93
6717	27306	3049	2013-08-03 02:32:07.689663	2013-08-03 02:32:07.689663	93
6718	27306	3086	2013-08-03 02:32:07.700801	2013-08-03 02:32:07.700801	93
6719	27306	3026	2013-08-03 02:32:07.711561	2013-08-03 02:32:07.711561	93
6720	27306	3030	2013-08-03 02:32:07.722407	2013-08-03 02:32:07.722407	93
6721	27306	2999	2013-08-03 02:32:07.73342	2013-08-03 02:32:07.73342	93
6722	27306	3124	2013-08-03 02:32:07.74434	2013-08-03 02:32:07.74434	93
6723	27306	3104	2013-08-03 02:32:07.755365	2013-08-03 02:32:07.755365	93
6724	27306	3084	2013-08-03 02:32:07.766193	2013-08-03 02:32:07.766193	93
6725	27306	3064	2013-08-03 02:32:07.776981	2013-08-03 02:32:07.776981	93
6726	27306	5146	2013-08-03 02:32:07.787593	2013-08-03 02:32:07.787593	93
6727	27306	7920	2013-08-03 02:32:07.797474	2013-08-03 02:32:07.797474	93
6728	27306	4819	2013-08-03 02:32:07.807265	2013-08-03 02:32:07.807265	93
6729	27306	18688	2013-08-03 02:32:07.81732	2013-08-03 02:32:07.81732	93
6730	27306	7061	2013-08-03 02:32:07.827745	2013-08-03 02:32:07.827745	93
6731	27306	7310	2013-08-03 02:32:07.83811	2013-08-03 02:32:07.83811	93
6732	27306	4566	2013-08-03 02:32:07.847892	2013-08-03 02:32:07.847892	93
6733	27127	9025	2013-08-03 02:32:07.875348	2013-08-03 02:32:07.875348	93
6734	27127	9005	2013-08-03 02:32:07.885437	2013-08-03 02:32:07.885437	93
6735	27127	8985	2013-08-03 02:32:07.897014	2013-08-03 02:32:07.897014	93
6736	27127	8965	2013-08-03 02:32:07.909471	2013-08-03 02:32:07.909471	93
6737	27127	8916	2013-08-03 02:32:07.91373	2013-08-03 02:32:07.91373	93
6738	27127	8913	2013-08-03 02:32:07.917125	2013-08-03 02:32:07.917125	93
6739	27127	8840	2013-08-03 02:32:07.92163	2013-08-03 02:32:07.92163	93
6740	27127	8892	2013-08-03 02:32:07.92625	2013-08-03 02:32:07.92625	93
6741	27127	8945	2013-08-03 02:32:07.930252	2013-08-03 02:32:07.930252	93
6742	27127	8925	2013-08-03 02:32:07.934697	2013-08-03 02:32:07.934697	93
6743	27127	8905	2013-08-03 02:32:07.939835	2013-08-03 02:32:07.939835	93
6744	27127	8885	2013-08-03 02:32:07.94417	2013-08-03 02:32:07.94417	93
6745	27127	7550	2013-08-03 02:32:07.950063	2013-08-03 02:32:07.950063	93
6746	27127	15697	2013-08-03 02:32:07.954	2013-08-03 02:32:07.954	93
6747	27127	5126	2013-08-03 02:32:07.957626	2013-08-03 02:32:07.957626	93
6748	27127	7578	2013-08-03 02:32:07.963252	2013-08-03 02:32:07.963252	93
6749	27127	7041	2013-08-03 02:32:07.997403	2013-08-03 02:32:07.997403	93
6750	27127	16797	2013-08-03 02:32:08.000925	2013-08-03 02:32:08.000925	93
6751	27127	7290	2013-08-03 02:32:08.004125	2013-08-03 02:32:08.004125	93
6752	27147	5426	2013-08-03 02:32:08.017818	2013-08-03 02:32:08.017818	93
6753	27147	5406	2013-08-03 02:32:08.027494	2013-08-03 02:32:08.027494	93
6754	27147	5386	2013-08-03 02:32:08.034675	2013-08-03 02:32:08.034675	93
6755	27147	5366	2013-08-03 02:32:08.043771	2013-08-03 02:32:08.043771	93
6756	27147	5346	2013-08-03 02:32:08.050077	2013-08-03 02:32:08.050077	93
6757	27147	7816	2013-08-03 02:32:08.056612	2013-08-03 02:32:08.056612	93
6758	27147	7763	2013-08-03 02:32:08.060456	2013-08-03 02:32:08.060456	93
6759	27147	5223	2013-08-03 02:32:08.065617	2013-08-03 02:32:08.065617	93
6760	27147	5245	2013-08-03 02:32:08.073506	2013-08-03 02:32:08.073506	93
6761	27147	5270	2013-08-03 02:32:08.083352	2013-08-03 02:32:08.083352	93
6762	27147	5326	2013-08-03 02:32:08.094883	2013-08-03 02:32:08.094883	93
6763	27147	5306	2013-08-03 02:32:08.107286	2013-08-03 02:32:08.107286	93
6764	27147	5286	2013-08-03 02:32:08.120234	2013-08-03 02:32:08.120234	93
6765	27147	5266	2013-08-03 02:32:08.131992	2013-08-03 02:32:08.131992	93
6766	27147	5246	2013-08-03 02:32:08.142801	2013-08-03 02:32:08.142801	93
6767	27147	5226	2013-08-03 02:32:08.153457	2013-08-03 02:32:08.153457	93
6768	27147	5206	2013-08-03 02:32:08.164265	2013-08-03 02:32:08.164265	93
6769	27147	5186	2013-08-03 02:32:08.175205	2013-08-03 02:32:08.175205	93
6770	27147	4339	2013-08-03 02:32:08.186155	2013-08-03 02:32:08.186155	93
6771	27706	16977	2013-08-03 02:32:08.23049	2013-08-03 02:32:08.23049	93
6772	27706	16737	2013-08-03 02:32:08.238071	2013-08-03 02:32:08.238071	93
6773	27004	13663	2013-08-03 02:32:08.24907	2013-08-03 02:32:08.24907	93
6774	27004	10577	2013-08-03 02:32:08.25923	2013-08-03 02:32:08.25923	93
6775	26937	8856	2013-08-03 02:32:08.269828	2013-08-03 02:32:08.269828	93
6776	26937	7490	2013-08-03 02:32:08.280018	2013-08-03 02:32:08.280018	93
6777	26908	6981	2013-08-03 02:32:08.290614	2013-08-03 02:32:08.290614	93
6778	26908	7825	2013-08-03 02:32:08.30074	2013-08-03 02:32:08.30074	93
6779	26885	5086	2013-08-03 02:32:08.312322	2013-08-03 02:32:08.312322	93
6780	26885	4786	2013-08-03 02:32:08.322461	2013-08-03 02:32:08.322461	93
6781	26878	11798	2013-08-03 02:32:08.333268	2013-08-03 02:32:08.333268	93
6782	26878	8391	2013-08-03 02:32:08.343765	2013-08-03 02:32:08.343765	93
6783	26876	9031	2013-08-03 02:32:08.354647	2013-08-03 02:32:08.354647	93
6784	26876	4391	2013-08-03 02:32:08.36482	2013-08-03 02:32:08.36482	93
6785	26857	9051	2013-08-03 02:32:08.3754	2013-08-03 02:32:08.3754	93
6786	26857	7230	2013-08-03 02:32:08.385649	2013-08-03 02:32:08.385649	93
6787	26881	19268	2013-08-03 02:32:08.413194	2013-08-03 02:32:08.413194	93
6788	26881	19248	2013-08-03 02:32:08.424997	2013-08-03 02:32:08.424997	93
6789	26881	19228	2013-08-03 02:32:08.436168	2013-08-03 02:32:08.436168	93
6790	26881	19208	2013-08-03 02:32:08.447445	2013-08-03 02:32:08.447445	93
6791	26881	19188	2013-08-03 02:32:08.458424	2013-08-03 02:32:08.458424	93
6792	26881	19168	2013-08-03 02:32:08.469432	2013-08-03 02:32:08.469432	93
6793	26881	19148	2013-08-03 02:32:08.480474	2013-08-03 02:32:08.480474	93
6794	26881	19128	2013-08-03 02:32:08.491579	2013-08-03 02:32:08.491579	93
6795	26881	19108	2013-08-03 02:32:08.505361	2013-08-03 02:32:08.505361	93
6796	26881	19088	2013-08-03 02:32:08.515727	2013-08-03 02:32:08.515727	93
6797	26881	19068	2013-08-03 02:32:08.522601	2013-08-03 02:32:08.522601	93
6798	26881	19048	2013-08-03 02:32:08.527426	2013-08-03 02:32:08.527426	93
6799	26881	19028	2013-08-03 02:32:08.533894	2013-08-03 02:32:08.533894	93
6800	26881	19008	2013-08-03 02:32:08.54281	2013-08-03 02:32:08.54281	93
6801	26881	18988	2013-08-03 02:32:08.552033	2013-08-03 02:32:08.552033	93
6802	26881	18968	2013-08-03 02:32:08.563035	2013-08-03 02:32:08.563035	93
6803	26881	18948	2013-08-03 02:32:08.574131	2013-08-03 02:32:08.574131	93
6804	26881	18928	2013-08-03 02:32:08.58526	2013-08-03 02:32:08.58526	93
6805	26881	18908	2013-08-03 02:32:08.596361	2013-08-03 02:32:08.596361	93
6806	26882	10913	2013-08-03 02:32:08.645059	2013-08-03 02:32:08.645059	93
6807	26882	10893	2013-08-03 02:32:08.657804	2013-08-03 02:32:08.657804	93
6808	26882	10873	2013-08-03 02:32:08.709627	2013-08-03 02:32:08.709627	93
6809	26882	10853	2013-08-03 02:32:08.71521	2013-08-03 02:32:08.71521	93
6810	26882	10677	2013-08-03 02:32:08.723486	2013-08-03 02:32:08.723486	93
6811	26882	10833	2013-08-03 02:32:08.735666	2013-08-03 02:32:08.735666	93
6812	26882	10813	2013-08-03 02:32:08.7476	2013-08-03 02:32:08.7476	93
6813	26882	10793	2013-08-03 02:32:08.759272	2013-08-03 02:32:08.759272	93
6814	26882	10773	2013-08-03 02:32:08.771317	2013-08-03 02:32:08.771317	93
6815	26882	10753	2013-08-03 02:32:08.782456	2013-08-03 02:32:08.782456	93
6816	26882	10733	2013-08-03 02:32:08.794112	2013-08-03 02:32:08.794112	93
6817	26882	8723	2013-08-03 02:32:08.805828	2013-08-03 02:32:08.805828	93
6818	26882	7410	2013-08-03 02:32:08.816194	2013-08-03 02:32:08.816194	93
6819	26882	6810	2013-08-03 02:32:08.827041	2013-08-03 02:32:08.827041	93
6820	26882	4985	2013-08-03 02:32:08.838469	2013-08-03 02:32:08.838469	93
6821	26882	11398	2013-08-03 02:32:08.844811	2013-08-03 02:32:08.844811	93
6822	26882	12371	2013-08-03 02:32:08.851876	2013-08-03 02:32:08.851876	93
6823	26882	13451	2013-08-03 02:32:08.85766	2013-08-03 02:32:08.85766	93
6824	26882	7190	2013-08-03 02:32:08.860938	2013-08-03 02:32:08.860938	93
6825	27704	12355	2013-08-03 02:32:08.910113	2013-08-03 02:32:08.910113	93
6826	27088	7365	2013-08-03 02:32:08.922102	2013-08-03 02:32:08.922102	93
6827	26994	6881	2013-08-03 02:32:08.933239	2013-08-03 02:32:08.933239	93
6828	26939	4986	2013-08-03 02:32:08.941908	2013-08-03 02:32:08.941908	93
6829	26906	4990	2013-08-03 02:32:08.953783	2013-08-03 02:32:08.953783	93
6830	26884	7270	2013-08-03 02:32:08.958604	2013-08-03 02:32:08.958604	93
6831	26877	12778	2013-08-03 02:32:08.96292	2013-08-03 02:32:08.96292	93
6832	26875	7210	2013-08-03 02:32:08.967688	2013-08-03 02:32:08.967688	93
6833	26854	13491	2013-08-03 02:32:08.971598	2013-08-03 02:32:08.971598	93
6834	26849	7150	2013-08-03 02:32:08.975794	2013-08-03 02:32:08.975794	93
6835	27384	5386	2013-08-03 02:32:08.986586	2013-08-03 02:32:08.986586	93
6836	27384	5406	2013-08-03 02:32:08.991725	2013-08-03 02:32:08.991725	93
6837	27384	5426	2013-08-03 02:32:08.999047	2013-08-03 02:32:08.999047	93
6838	27384	5245	2013-08-03 02:32:09.008056	2013-08-03 02:32:09.008056	93
6839	27384	5223	2013-08-03 02:32:09.01836	2013-08-03 02:32:09.01836	93
6840	27384	7763	2013-08-03 02:32:09.028816	2013-08-03 02:32:09.028816	93
6841	27384	7816	2013-08-03 02:32:09.039591	2013-08-03 02:32:09.039591	93
6842	27384	4339	2013-08-03 02:32:09.051256	2013-08-03 02:32:09.051256	93
6843	27384	5186	2013-08-03 02:32:09.064463	2013-08-03 02:32:09.064463	93
6844	27384	5206	2013-08-03 02:32:09.074943	2013-08-03 02:32:09.074943	93
6845	27384	5226	2013-08-03 02:32:09.085681	2013-08-03 02:32:09.085681	93
6846	27384	5246	2013-08-03 02:32:09.096422	2013-08-03 02:32:09.096422	93
6847	27384	5266	2013-08-03 02:32:09.106733	2013-08-03 02:32:09.106733	93
6848	27384	5286	2013-08-03 02:32:09.116881	2013-08-03 02:32:09.116881	93
6849	27384	5306	2013-08-03 02:32:09.123102	2013-08-03 02:32:09.123102	93
6850	27384	5326	2013-08-03 02:32:09.127341	2013-08-03 02:32:09.127341	93
6851	27384	5270	2013-08-03 02:32:09.133281	2013-08-03 02:32:09.133281	93
6852	27384	7330	2013-08-03 02:32:09.136911	2013-08-03 02:32:09.136911	93
6853	27384	5006	2013-08-03 02:32:09.140098	2013-08-03 02:32:09.140098	93
6854	27771	17297	2013-08-03 02:32:09.180341	2013-08-03 02:32:09.180341	93
6855	27725	17277	2013-08-03 02:32:09.190552	2013-08-03 02:32:09.190552	93
6856	27067	17257	2013-08-03 02:32:09.202628	2013-08-03 02:32:09.202628	93
6857	27022	17237	2013-08-03 02:32:09.214615	2013-08-03 02:32:09.214615	93
6858	26940	17217	2013-08-03 02:32:09.226541	2013-08-03 02:32:09.226541	93
6859	26888	17197	2013-08-03 02:32:09.239075	2013-08-03 02:32:09.239075	93
6860	26886	17177	2013-08-03 02:32:09.252009	2013-08-03 02:32:09.252009	93
6861	26880	17157	2013-08-03 02:32:09.295062	2013-08-03 02:32:09.295062	93
6862	26852	17137	2013-08-03 02:32:09.303306	2013-08-03 02:32:09.303306	93
6863	26850	13591	2013-08-03 02:32:09.314721	2013-08-03 02:32:09.314721	93
6864	27727	7090	2013-08-03 02:32:09.351018	2013-08-03 02:32:09.351018	93
6865	27166	11928	2013-08-03 02:32:09.355931	2013-08-03 02:32:09.355931	93
6866	27031	4890	2013-08-03 02:32:09.360221	2013-08-03 02:32:09.360221	93
6867	26995	16337	2013-08-03 02:32:09.365204	2013-08-03 02:32:09.365204	93
6868	26938	13671	2013-08-03 02:32:09.37018	2013-08-03 02:32:09.37018	93
6869	26913	6941	2013-08-03 02:32:09.377952	2013-08-03 02:32:09.377952	93
6870	26887	7598	2013-08-03 02:32:09.388905	2013-08-03 02:32:09.388905	93
6871	26879	7900	2013-08-03 02:32:09.400095	2013-08-03 02:32:09.400095	93
6872	26856	13551	2013-08-03 02:32:09.41173	2013-08-03 02:32:09.41173	93
6873	26853	7370	2013-08-03 02:32:09.422509	2013-08-03 02:32:09.422509	93
6874	28560	1407	2013-08-03 02:37:17.401598	2013-08-03 02:37:17.401598	94
6875	28560	1387	2013-08-03 02:37:17.414698	2013-08-03 02:37:17.414698	94
6876	28419	10197	2013-08-03 02:37:17.427434	2013-08-03 02:37:17.427434	94
6877	28419	13711	2013-08-03 02:37:17.439307	2013-08-03 02:37:17.439307	94
6878	28395	12528	2013-08-03 02:37:17.451607	2013-08-03 02:37:17.451607	94
6879	28395	1364	2013-08-03 02:37:17.462796	2013-08-03 02:37:17.462796	94
6880	28334	1328	2013-08-03 02:37:17.474036	2013-08-03 02:37:17.474036	94
6881	28334	1330	2013-08-03 02:37:17.484867	2013-08-03 02:37:17.484867	94
6882	28215	1272	2013-08-03 02:37:17.496224	2013-08-03 02:37:17.496224	94
6883	28215	1261	2013-08-03 02:37:17.506909	2013-08-03 02:37:17.506909	94
6884	28079	1266	2013-08-03 02:37:17.518256	2013-08-03 02:37:17.518256	94
6885	28079	7190	2013-08-03 02:37:17.529314	2013-08-03 02:37:17.529314	94
6886	28049	7290	2013-08-03 02:37:17.540254	2013-08-03 02:37:17.540254	94
6887	28049	16797	2013-08-03 02:37:17.55079	2013-08-03 02:37:17.55079	94
6888	27979	7041	2013-08-03 02:37:17.56173	2013-08-03 02:37:17.56173	94
6889	27979	4566	2013-08-03 02:37:17.571946	2013-08-03 02:37:17.571946	94
6890	27973	9156	2013-08-03 02:37:17.583675	2013-08-03 02:37:17.583675	94
6891	27973	5516	2013-08-03 02:37:17.593811	2013-08-03 02:37:17.593811	94
6892	28045	14563	2013-08-03 02:37:17.624416	2013-08-03 02:37:17.624416	94
6893	28045	14543	2013-08-03 02:37:17.635899	2013-08-03 02:37:17.635899	94
6894	28045	14523	2013-08-03 02:37:17.646436	2013-08-03 02:37:17.646436	94
6895	28045	14503	2013-08-03 02:37:17.657344	2013-08-03 02:37:17.657344	94
6896	28045	14483	2013-08-03 02:37:17.667498	2013-08-03 02:37:17.667498	94
6897	28045	14463	2013-08-03 02:37:17.678228	2013-08-03 02:37:17.678228	94
6898	28045	14443	2013-08-03 02:37:17.688307	2013-08-03 02:37:17.688307	94
6899	28045	14423	2013-08-03 02:37:17.698346	2013-08-03 02:37:17.698346	94
6900	28045	14403	2013-08-03 02:37:17.708365	2013-08-03 02:37:17.708365	94
6901	28045	14383	2013-08-03 02:37:17.718331	2013-08-03 02:37:17.718331	94
6902	28045	14363	2013-08-03 02:37:17.728246	2013-08-03 02:37:17.728246	94
6903	28045	12695	2013-08-03 02:37:17.738166	2013-08-03 02:37:17.738166	94
6904	28045	11488	2013-08-03 02:37:17.747428	2013-08-03 02:37:17.747428	94
6905	28045	11133	2013-08-03 02:37:17.756756	2013-08-03 02:37:17.756756	94
6906	28045	10920	2013-08-03 02:37:17.765972	2013-08-03 02:37:17.765972	94
6907	28045	9252	2013-08-03 02:37:17.775261	2013-08-03 02:37:17.775261	94
6908	28045	7810	2013-08-03 02:37:17.784472	2013-08-03 02:37:17.784472	94
6909	28045	9136	2013-08-03 02:37:17.793745	2013-08-03 02:37:17.793745	94
6910	28045	5590	2013-08-03 02:37:17.802946	2013-08-03 02:37:17.802946	94
6911	28046	3251	2013-08-03 02:37:17.827413	2013-08-03 02:37:17.827413	94
6912	28046	3271	2013-08-03 02:37:17.838944	2013-08-03 02:37:17.838944	94
6913	28046	3291	2013-08-03 02:37:17.850482	2013-08-03 02:37:17.850482	94
6914	28046	3150	2013-08-03 02:37:17.862216	2013-08-03 02:37:17.862216	94
6915	28046	3284	2013-08-03 02:37:17.873208	2013-08-03 02:37:17.873208	94
6916	28046	3264	2013-08-03 02:37:17.884069	2013-08-03 02:37:17.884069	94
6917	28046	3244	2013-08-03 02:37:17.894964	2013-08-03 02:37:17.894964	94
6918	28046	3224	2013-08-03 02:37:17.9061	2013-08-03 02:37:17.9061	94
6919	28046	3204	2013-08-03 02:37:17.918127	2013-08-03 02:37:17.918127	94
6920	28046	3184	2013-08-03 02:37:17.929516	2013-08-03 02:37:17.929516	94
6921	28046	3164	2013-08-03 02:37:17.940094	2013-08-03 02:37:17.940094	94
6922	28046	11928	2013-08-03 02:37:17.950918	2013-08-03 02:37:17.950918	94
6923	28046	4990	2013-08-03 02:37:17.96102	2013-08-03 02:37:17.96102	94
6924	28046	13711	2013-08-03 02:37:17.971199	2013-08-03 02:37:17.971199	94
6925	28046	10197	2013-08-03 02:37:17.981113	2013-08-03 02:37:17.981113	94
6926	28046	18688	2013-08-03 02:37:17.991014	2013-08-03 02:37:17.991014	94
6927	28046	17577	2013-08-03 02:37:18.000873	2013-08-03 02:37:18.000873	94
6928	28046	9116	2013-08-03 02:37:18.011042	2013-08-03 02:37:18.011042	94
6929	28046	5537	2013-08-03 02:37:18.021263	2013-08-03 02:37:18.021263	94
6930	28054	9525	2013-08-03 02:37:18.084519	2013-08-03 02:37:18.084519	94
6931	28054	9505	2013-08-03 02:37:18.089154	2013-08-03 02:37:18.089154	94
6932	28054	9485	2013-08-03 02:37:18.094623	2013-08-03 02:37:18.094623	94
6933	28054	9465	2013-08-03 02:37:18.09858	2013-08-03 02:37:18.09858	94
6934	28054	9445	2013-08-03 02:37:18.105499	2013-08-03 02:37:18.105499	94
6935	28054	9425	2013-08-03 02:37:18.11621	2013-08-03 02:37:18.11621	94
6936	28054	9360	2013-08-03 02:37:18.126973	2013-08-03 02:37:18.126973	94
6937	28054	9405	2013-08-03 02:37:18.138571	2013-08-03 02:37:18.138571	94
6938	28054	9385	2013-08-03 02:37:18.147868	2013-08-03 02:37:18.147868	94
6939	28054	9365	2013-08-03 02:37:18.152669	2013-08-03 02:37:18.152669	94
6940	28054	9345	2013-08-03 02:37:18.157487	2013-08-03 02:37:18.157487	94
6941	28054	9325	2013-08-03 02:37:18.164044	2013-08-03 02:37:18.164044	94
6942	28054	9305	2013-08-03 02:37:18.168354	2013-08-03 02:37:18.168354	94
6943	28054	9285	2013-08-03 02:37:18.171896	2013-08-03 02:37:18.171896	94
6944	28054	9265	2013-08-03 02:37:18.175268	2013-08-03 02:37:18.175268	94
6945	28054	9058	2013-08-03 02:37:18.178735	2013-08-03 02:37:18.178735	94
6946	28054	7770	2013-08-03 02:37:18.181947	2013-08-03 02:37:18.181947	94
6947	28054	9096	2013-08-03 02:37:18.186276	2013-08-03 02:37:18.186276	94
6948	28054	5646	2013-08-03 02:37:18.195934	2013-08-03 02:37:18.195934	94
6949	28874	5966	2013-08-03 02:37:18.212788	2013-08-03 02:37:18.212788	94
6950	28874	5946	2013-08-03 02:37:18.218336	2013-08-03 02:37:18.218336	94
6951	28874	5926	2013-08-03 02:37:18.224011	2013-08-03 02:37:18.224011	94
6952	28874	5906	2013-08-03 02:37:18.230589	2013-08-03 02:37:18.230589	94
6953	28874	5886	2013-08-03 02:37:18.237925	2013-08-03 02:37:18.237925	94
6954	28874	5866	2013-08-03 02:37:18.248227	2013-08-03 02:37:18.248227	94
6955	28874	5846	2013-08-03 02:37:18.259913	2013-08-03 02:37:18.259913	94
6956	28874	5826	2013-08-03 02:37:18.27099	2013-08-03 02:37:18.27099	94
6957	28874	5790	2013-08-03 02:37:18.281724	2013-08-03 02:37:18.281724	94
6958	28874	5765	2013-08-03 02:37:18.292854	2013-08-03 02:37:18.292854	94
6959	28874	5806	2013-08-03 02:37:18.303882	2013-08-03 02:37:18.303882	94
6960	28874	5786	2013-08-03 02:37:18.314612	2013-08-03 02:37:18.314612	94
6961	28874	5766	2013-08-03 02:37:18.325408	2013-08-03 02:37:18.325408	94
6962	28874	5746	2013-08-03 02:37:18.336497	2013-08-03 02:37:18.336497	94
6963	28874	5726	2013-08-03 02:37:18.347623	2013-08-03 02:37:18.347623	94
6964	28874	5706	2013-08-03 02:37:18.358478	2013-08-03 02:37:18.358478	94
6965	28874	5686	2013-08-03 02:37:18.369599	2013-08-03 02:37:18.369599	94
6966	28874	5666	2013-08-03 02:37:18.380761	2013-08-03 02:37:18.380761	94
6967	28874	9076	2013-08-03 02:37:18.39172	2013-08-03 02:37:18.39172	94
6968	28692	14243	2013-08-03 02:37:18.438099	2013-08-03 02:37:18.438099	94
6969	28692	12595	2013-08-03 02:37:18.448523	2013-08-03 02:37:18.448523	94
6970	28423	11033	2013-08-03 02:37:18.459213	2013-08-03 02:37:18.459213	94
6971	28423	10820	2013-08-03 02:37:18.469427	2013-08-03 02:37:18.469427	94
6972	28422	9185	2013-08-03 02:37:18.480208	2013-08-03 02:37:18.480208	94
6973	28422	9036	2013-08-03 02:37:18.490831	2013-08-03 02:37:18.490831	94
6974	28051	8316	2013-08-03 02:37:18.501598	2013-08-03 02:37:18.501598	94
6975	28051	7710	2013-08-03 02:37:18.511805	2013-08-03 02:37:18.511805	94
6976	28041	7101	2013-08-03 02:37:18.522526	2013-08-03 02:37:18.522526	94
6977	28041	13591	2013-08-03 02:37:18.532707	2013-08-03 02:37:18.532707	94
6978	28018	1266	2013-08-03 02:37:18.543323	2013-08-03 02:37:18.543323	94
6979	28018	7370	2013-08-03 02:37:18.553516	2013-08-03 02:37:18.553516	94
6980	27993	7150	2013-08-03 02:37:18.564202	2013-08-03 02:37:18.564202	94
6981	27993	7190	2013-08-03 02:37:18.574584	2013-08-03 02:37:18.574584	94
6982	27975	8619	2013-08-03 02:37:18.58526	2013-08-03 02:37:18.58526	94
6983	27975	5606	2013-08-03 02:37:18.595463	2013-08-03 02:37:18.595463	94
6984	28055	19688	2013-08-03 02:37:18.623362	2013-08-03 02:37:18.623362	94
6985	28055	19668	2013-08-03 02:37:18.63231	2013-08-03 02:37:18.63231	94
6986	28055	19648	2013-08-03 02:37:18.640481	2013-08-03 02:37:18.640481	94
6987	28055	19628	2013-08-03 02:37:18.650656	2013-08-03 02:37:18.650656	94
6988	28055	19608	2013-08-03 02:37:18.662535	2013-08-03 02:37:18.662535	94
6989	28055	19588	2013-08-03 02:37:18.67406	2013-08-03 02:37:18.67406	94
6990	28055	19568	2013-08-03 02:37:18.685418	2013-08-03 02:37:18.685418	94
6991	28055	19548	2013-08-03 02:37:18.696956	2013-08-03 02:37:18.696956	94
6992	28055	19528	2013-08-03 02:37:18.70862	2013-08-03 02:37:18.70862	94
6993	28055	19508	2013-08-03 02:37:18.72142	2013-08-03 02:37:18.72142	94
6994	28055	19488	2013-08-03 02:37:18.734735	2013-08-03 02:37:18.734735	94
6995	28055	19468	2013-08-03 02:37:18.776393	2013-08-03 02:37:18.776393	94
6996	28055	19448	2013-08-03 02:37:18.784027	2013-08-03 02:37:18.784027	94
6997	28055	19428	2013-08-03 02:37:18.793985	2013-08-03 02:37:18.793985	94
6998	28055	19408	2013-08-03 02:37:18.805581	2013-08-03 02:37:18.805581	94
6999	28055	19388	2013-08-03 02:37:18.817464	2013-08-03 02:37:18.817464	94
7000	28055	19368	2013-08-03 02:37:18.829163	2013-08-03 02:37:18.829163	94
7001	28055	19348	2013-08-03 02:37:18.839983	2013-08-03 02:37:18.839983	94
7002	28055	19328	2013-08-03 02:37:18.850627	2013-08-03 02:37:18.850627	94
7003	28047	11323	2013-08-03 02:37:18.895856	2013-08-03 02:37:18.895856	94
7004	28047	11453	2013-08-03 02:37:18.907455	2013-08-03 02:37:18.907455	94
7005	28047	11433	2013-08-03 02:37:18.967453	2013-08-03 02:37:18.967453	94
7006	28047	11413	2013-08-03 02:37:18.976238	2013-08-03 02:37:18.976238	94
7007	28047	11393	2013-08-03 02:37:18.981111	2013-08-03 02:37:18.981111	94
7008	28047	11373	2013-08-03 02:37:18.986891	2013-08-03 02:37:18.986891	94
7009	28047	11353	2013-08-03 02:37:18.993554	2013-08-03 02:37:18.993554	94
7010	28047	11333	2013-08-03 02:37:19.000414	2013-08-03 02:37:19.000414	94
7011	28047	11313	2013-08-03 02:37:19.007175	2013-08-03 02:37:19.007175	94
7012	28047	11293	2013-08-03 02:37:19.014403	2013-08-03 02:37:19.014403	94
7013	28047	11273	2013-08-03 02:37:19.02332	2013-08-03 02:37:19.02332	94
7014	28047	11253	2013-08-03 02:37:19.033763	2013-08-03 02:37:19.033763	94
7015	28047	11233	2013-08-03 02:37:19.044439	2013-08-03 02:37:19.044439	94
7016	28047	11213	2013-08-03 02:37:19.055243	2013-08-03 02:37:19.055243	94
7017	28047	11193	2013-08-03 02:37:19.065929	2013-08-03 02:37:19.065929	94
7018	28047	8963	2013-08-03 02:37:19.076676	2013-08-03 02:37:19.076676	94
7019	28047	5346	2013-08-03 02:37:19.086643	2013-08-03 02:37:19.086643	94
7020	28047	7061	2013-08-03 02:37:19.096671	2013-08-03 02:37:19.096671	94
7021	28047	5490	2013-08-03 02:37:19.106564	2013-08-03 02:37:19.106564	94
7022	29175	12875	2013-08-03 02:37:19.169507	2013-08-03 02:37:19.169507	94
7023	28676	12788	2013-08-03 02:37:19.180921	2013-08-03 02:37:19.180921	94
7024	28558	12855	2013-08-03 02:37:19.18723	2013-08-03 02:37:19.18723	94
7025	28408	12835	2013-08-03 02:37:19.191581	2013-08-03 02:37:19.191581	94
7026	28376	12815	2013-08-03 02:37:19.19683	2013-08-03 02:37:19.19683	94
7027	28120	12795	2013-08-03 02:37:19.202279	2013-08-03 02:37:19.202279	94
7028	28080	12775	2013-08-03 02:37:19.207375	2013-08-03 02:37:19.207375	94
7029	28050	12755	2013-08-03 02:37:19.213059	2013-08-03 02:37:19.213059	94
7030	28042	5486	2013-08-03 02:37:19.218797	2013-08-03 02:37:19.218797	94
7031	27992	4890	2013-08-03 02:37:19.223399	2013-08-03 02:37:19.223399	94
7032	27972	3939	2013-08-03 02:37:19.22755	2013-08-03 02:37:19.22755	94
7033	28048	5666	2013-08-03 02:37:19.236719	2013-08-03 02:37:19.236719	94
7034	28048	5686	2013-08-03 02:37:19.242587	2013-08-03 02:37:19.242587	94
7035	28048	5706	2013-08-03 02:37:19.248079	2013-08-03 02:37:19.248079	94
7036	28048	5726	2013-08-03 02:37:19.255311	2013-08-03 02:37:19.255311	94
7037	28048	5746	2013-08-03 02:37:19.263554	2013-08-03 02:37:19.263554	94
7038	28048	5766	2013-08-03 02:37:19.272936	2013-08-03 02:37:19.272936	94
7039	28048	5786	2013-08-03 02:37:19.282817	2013-08-03 02:37:19.282817	94
7040	28048	5806	2013-08-03 02:37:19.292705	2013-08-03 02:37:19.292705	94
7041	28048	5765	2013-08-03 02:37:19.302581	2013-08-03 02:37:19.302581	94
7042	28048	5790	2013-08-03 02:37:19.312436	2013-08-03 02:37:19.312436	94
7043	28048	5826	2013-08-03 02:37:19.322288	2013-08-03 02:37:19.322288	94
7044	28048	5846	2013-08-03 02:37:19.331511	2013-08-03 02:37:19.331511	94
7045	28048	5866	2013-08-03 02:37:19.340613	2013-08-03 02:37:19.340613	94
7046	28048	5886	2013-08-03 02:37:19.349647	2013-08-03 02:37:19.349647	94
7047	28048	5906	2013-08-03 02:37:19.358753	2013-08-03 02:37:19.358753	94
7048	28048	5926	2013-08-03 02:37:19.367767	2013-08-03 02:37:19.367767	94
7049	28048	5946	2013-08-03 02:37:19.376911	2013-08-03 02:37:19.376911	94
7050	28048	5966	2013-08-03 02:37:19.386209	2013-08-03 02:37:19.386209	94
7051	28048	5526	2013-08-03 02:37:19.395881	2013-08-03 02:37:19.395881	94
7052	29176	17917	2013-08-03 02:37:19.429458	2013-08-03 02:37:19.429458	94
7053	29176	17897	2013-08-03 02:37:19.440494	2013-08-03 02:37:19.440494	94
7054	28693	17877	2013-08-03 02:37:19.451808	2013-08-03 02:37:19.451808	94
7055	28693	17857	2013-08-03 02:37:19.462751	2013-08-03 02:37:19.462751	94
7056	28561	17837	2013-08-03 02:37:19.474085	2013-08-03 02:37:19.474085	94
7057	28561	17817	2013-08-03 02:37:19.484895	2013-08-03 02:37:19.484895	94
7058	28438	17797	2013-08-03 02:37:19.496152	2013-08-03 02:37:19.496152	94
7059	28438	17777	2013-08-03 02:37:19.548703	2013-08-03 02:37:19.548703	94
7060	28106	17757	2013-08-03 02:37:19.560886	2013-08-03 02:37:19.560886	94
7061	28106	17737	2013-08-03 02:37:19.571827	2013-08-03 02:37:19.571827	94
7062	28052	17717	2013-08-03 02:37:19.582404	2013-08-03 02:37:19.582404	94
7063	28052	17697	2013-08-03 02:37:19.58966	2013-08-03 02:37:19.58966	94
7064	28043	17677	2013-08-03 02:37:19.598977	2013-08-03 02:37:19.598977	94
7065	28043	17657	2013-08-03 02:37:19.609633	2013-08-03 02:37:19.609633	94
7066	28010	12815	2013-08-03 02:37:19.62187	2013-08-03 02:37:19.62187	94
7067	28010	1330	2013-08-03 02:37:19.632229	2013-08-03 02:37:19.632229	94
7068	27974	1328	2013-08-03 02:37:19.64301	2013-08-03 02:37:19.64301	94
7069	27974	5566	2013-08-03 02:37:19.653128	2013-08-03 02:37:19.653128	94
7070	29210	5446	2013-08-03 02:37:19.715312	2013-08-03 02:37:19.715312	94
7071	28694	16337	2013-08-03 02:37:19.726467	2013-08-03 02:37:19.726467	94
7072	28557	7050	2013-08-03 02:37:19.73705	2013-08-03 02:37:19.73705	94
7073	28439	9031	2013-08-03 02:37:19.747794	2013-08-03 02:37:19.747794	94
7074	28424	4091	2013-08-03 02:37:19.758436	2013-08-03 02:37:19.758436	94
7075	28110	18668	2013-08-03 02:37:19.769174	2013-08-03 02:37:19.769174	94
7076	28053	8736	2013-08-03 02:37:19.780058	2013-08-03 02:37:19.780058	94
7077	28044	4391	2013-08-03 02:37:19.790861	2013-08-03 02:37:19.790861	94
7078	28019	14283	2013-08-03 02:37:19.801789	2013-08-03 02:37:19.801789	94
7079	27971	5506	2013-08-03 02:37:19.813173	2013-08-03 02:37:19.813173	94
7080	29546	19648	2013-08-03 02:42:39.379784	2013-08-03 02:42:39.379784	95
7081	29546	19668	2013-08-03 02:42:39.384735	2013-08-03 02:42:39.384735	95
7082	29502	19688	2013-08-03 02:42:39.388769	2013-08-03 02:42:39.388769	95
7083	29502	5646	2013-08-03 02:42:39.391878	2013-08-03 02:42:39.391878	95
7084	29424	9096	2013-08-03 02:42:39.39672	2013-08-03 02:42:39.39672	95
7085	29424	5537	2013-08-03 02:42:39.400476	2013-08-03 02:42:39.400476	95
7086	29267	9116	2013-08-03 02:42:39.404103	2013-08-03 02:42:39.404103	95
7087	29267	17577	2013-08-03 02:42:39.407782	2013-08-03 02:42:39.407782	95
7088	29092	3164	2013-08-03 02:42:39.411607	2013-08-03 02:42:39.411607	95
7089	29092	3184	2013-08-03 02:42:39.415128	2013-08-03 02:42:39.415128	95
7090	29019	3204	2013-08-03 02:42:39.418772	2013-08-03 02:42:39.418772	95
7091	29019	3224	2013-08-03 02:42:39.422361	2013-08-03 02:42:39.422361	95
7092	29006	3244	2013-08-03 02:42:39.425931	2013-08-03 02:42:39.425931	95
7093	29006	3264	2013-08-03 02:42:39.430661	2013-08-03 02:42:39.430661	95
7094	29001	3284	2013-08-03 02:42:39.435097	2013-08-03 02:42:39.435097	95
7095	29001	3150	2013-08-03 02:42:39.441214	2013-08-03 02:42:39.441214	95
7096	28996	5590	2013-08-03 02:42:39.445134	2013-08-03 02:42:39.445134	95
7097	28996	9136	2013-08-03 02:42:39.448916	2013-08-03 02:42:39.448916	95
7098	29010	15123	2013-08-03 02:42:39.50744	2013-08-03 02:42:39.50744	95
7099	29010	15103	2013-08-03 02:42:39.512772	2013-08-03 02:42:39.512772	95
7100	29010	15083	2013-08-03 02:42:39.519486	2013-08-03 02:42:39.519486	95
7101	29010	14937	2013-08-03 02:42:39.523192	2013-08-03 02:42:39.523192	95
7102	29010	15063	2013-08-03 02:42:39.529121	2013-08-03 02:42:39.529121	95
7103	29010	15043	2013-08-03 02:42:39.533371	2013-08-03 02:42:39.533371	95
7104	29010	15023	2013-08-03 02:42:39.537921	2013-08-03 02:42:39.537921	95
7105	29010	15003	2013-08-03 02:42:39.542684	2013-08-03 02:42:39.542684	95
7106	29010	14983	2013-08-03 02:42:39.54704	2013-08-03 02:42:39.54704	95
7107	29010	14963	2013-08-03 02:42:39.554444	2013-08-03 02:42:39.554444	95
7108	29010	14943	2013-08-03 02:42:39.559677	2013-08-03 02:42:39.559677	95
7109	29010	13255	2013-08-03 02:42:39.564316	2013-08-03 02:42:39.564316	95
7110	29010	12835	2013-08-03 02:42:39.568346	2013-08-03 02:42:39.568346	95
7111	29010	11653	2013-08-03 02:42:39.572237	2013-08-03 02:42:39.572237	95
7112	29010	11120	2013-08-03 02:42:39.576139	2013-08-03 02:42:39.576139	95
7113	29010	9745	2013-08-03 02:42:39.584226	2013-08-03 02:42:39.584226	95
7114	29010	8050	2013-08-03 02:42:39.594294	2013-08-03 02:42:39.594294	95
7115	29010	13798	2013-08-03 02:42:39.604608	2013-08-03 02:42:39.604608	95
7116	29010	18517	2013-08-03 02:42:39.614543	2013-08-03 02:42:39.614543	95
7117	29663	3435	2013-08-03 02:42:39.643929	2013-08-03 02:42:39.643929	95
7118	29663	3444	2013-08-03 02:42:39.655214	2013-08-03 02:42:39.655214	95
7119	29663	3424	2013-08-03 02:42:39.666188	2013-08-03 02:42:39.666188	95
7120	29663	3404	2013-08-03 02:42:39.676452	2013-08-03 02:42:39.676452	95
7121	29663	3384	2013-08-03 02:42:39.686088	2013-08-03 02:42:39.686088	95
7122	29663	3364	2013-08-03 02:42:39.692337	2013-08-03 02:42:39.692337	95
7123	29663	3344	2013-08-03 02:42:39.700007	2013-08-03 02:42:39.700007	95
7124	29663	3324	2013-08-03 02:42:39.709606	2013-08-03 02:42:39.709606	95
7125	29663	3304	2013-08-03 02:42:39.714305	2013-08-03 02:42:39.714305	95
7126	29110	3169	2013-08-03 02:42:39.718846	2013-08-03 02:42:39.718846	95
7127	29110	3286	2013-08-03 02:42:39.726482	2013-08-03 02:42:39.726482	95
7128	29110	3191	2013-08-03 02:42:39.733733	2013-08-03 02:42:39.733733	95
7129	29110	3211	2013-08-03 02:42:39.740984	2013-08-03 02:42:39.740984	95
7130	29110	3231	2013-08-03 02:42:39.748951	2013-08-03 02:42:39.748951	95
7131	29110	4091	2013-08-03 02:42:39.757485	2013-08-03 02:42:39.757485	95
7132	29110	18497	2013-08-03 02:42:39.767134	2013-08-03 02:42:39.767134	95
7133	29110	3150	2013-08-03 02:42:39.771504	2013-08-03 02:42:39.771504	95
7134	29110	3284	2013-08-03 02:42:39.774752	2013-08-03 02:42:39.774752	95
7135	29441	10025	2013-08-03 02:42:39.783546	2013-08-03 02:42:39.783546	95
7136	29441	10005	2013-08-03 02:42:39.787445	2013-08-03 02:42:39.787445	95
7137	29441	9985	2013-08-03 02:42:39.794748	2013-08-03 02:42:39.794748	95
7138	29441	9965	2013-08-03 02:42:39.802887	2013-08-03 02:42:39.802887	95
7139	29441	9945	2013-08-03 02:42:39.810679	2013-08-03 02:42:39.810679	95
7140	29441	9925	2013-08-03 02:42:39.817777	2013-08-03 02:42:39.817777	95
7141	29441	9905	2013-08-03 02:42:39.826302	2013-08-03 02:42:39.826302	95
7142	29441	9860	2013-08-03 02:42:39.837194	2013-08-03 02:42:39.837194	95
7143	29441	9752	2013-08-03 02:42:39.84785	2013-08-03 02:42:39.84785	95
7144	29441	9740	2013-08-03 02:42:39.8585	2013-08-03 02:42:39.8585	95
7145	29441	9868	2013-08-03 02:42:39.869223	2013-08-03 02:42:39.869223	95
7146	29441	9885	2013-08-03 02:42:39.879916	2013-08-03 02:42:39.879916	95
7147	29441	9865	2013-08-03 02:42:39.89074	2013-08-03 02:42:39.89074	95
7148	29441	9845	2013-08-03 02:42:39.901434	2013-08-03 02:42:39.901434	95
7149	29441	9825	2013-08-03 02:42:39.912143	2013-08-03 02:42:39.912143	95
7150	29441	9805	2013-08-03 02:42:39.923001	2013-08-03 02:42:39.923001	95
7151	29441	8010	2013-08-03 02:42:39.933771	2013-08-03 02:42:39.933771	95
7152	29441	18477	2013-08-03 02:42:39.943705	2013-08-03 02:42:39.943705	95
7153	29441	11615	2013-08-03 02:42:39.953491	2013-08-03 02:42:39.953491	95
7154	29132	6246	2013-08-03 02:42:39.979579	2013-08-03 02:42:39.979579	95
7155	29132	6226	2013-08-03 02:42:39.990925	2013-08-03 02:42:39.990925	95
7156	29132	6206	2013-08-03 02:42:40.002099	2013-08-03 02:42:40.002099	95
7157	29132	6186	2013-08-03 02:42:40.013392	2013-08-03 02:42:40.013392	95
7158	29132	6166	2013-08-03 02:42:40.024013	2013-08-03 02:42:40.024013	95
7159	29132	6146	2013-08-03 02:42:40.034413	2013-08-03 02:42:40.034413	95
7160	29132	6126	2013-08-03 02:42:40.045074	2013-08-03 02:42:40.045074	95
7161	29132	12898	2013-08-03 02:42:40.055953	2013-08-03 02:42:40.055953	95
7162	29132	6110	2013-08-03 02:42:40.066794	2013-08-03 02:42:40.066794	95
7163	29132	6076	2013-08-03 02:42:40.077474	2013-08-03 02:42:40.077474	95
7164	29132	6106	2013-08-03 02:42:40.08839	2013-08-03 02:42:40.08839	95
7165	29132	6086	2013-08-03 02:42:40.100112	2013-08-03 02:42:40.100112	95
7166	29132	6066	2013-08-03 02:42:40.112048	2013-08-03 02:42:40.112048	95
7167	29132	6046	2013-08-03 02:42:40.157942	2013-08-03 02:42:40.157942	95
7168	29132	6026	2013-08-03 02:42:40.164806	2013-08-03 02:42:40.164806	95
7169	29132	6006	2013-08-03 02:42:40.169809	2013-08-03 02:42:40.169809	95
7170	29132	5986	2013-08-03 02:42:40.174332	2013-08-03 02:42:40.174332	95
7171	29132	5810	2013-08-03 02:42:40.17984	2013-08-03 02:42:40.17984	95
7172	29132	18457	2013-08-03 02:42:40.188749	2013-08-03 02:42:40.188749	95
7173	29621	19708	2013-08-03 02:42:40.221224	2013-08-03 02:42:40.221224	95
7174	29621	18417	2013-08-03 02:42:40.232419	2013-08-03 02:42:40.232419	95
7175	29564	18177	2013-08-03 02:42:40.243791	2013-08-03 02:42:40.243791	95
7176	29564	17757	2013-08-03 02:42:40.250832	2013-08-03 02:42:40.250832	95
7177	29271	17737	2013-08-03 02:42:40.254881	2013-08-03 02:42:40.254881	95
7178	29271	14803	2013-08-03 02:42:40.25939	2013-08-03 02:42:40.25939	95
7179	29206	13698	2013-08-03 02:42:40.263841	2013-08-03 02:42:40.263841	95
7180	29206	13155	2013-08-03 02:42:40.268083	2013-08-03 02:42:40.268083	95
7181	29108	12775	2013-08-03 02:42:40.27229	2013-08-03 02:42:40.27229	95
7182	29108	11613	2013-08-03 02:42:40.276206	2013-08-03 02:42:40.276206	95
7183	29096	11020	2013-08-03 02:42:40.280334	2013-08-03 02:42:40.280334	95
7184	29096	10953	2013-08-03 02:42:40.284249	2013-08-03 02:42:40.284249	95
7185	29021	9725	2013-08-03 02:42:40.289143	2013-08-03 02:42:40.289143	95
7186	29021	7990	2013-08-03 02:42:40.293912	2013-08-03 02:42:40.293912	95
7187	29004	4658	2013-08-03 02:42:40.30196	2013-08-03 02:42:40.30196	95
7188	29004	18668	2013-08-03 02:42:40.306347	2013-08-03 02:42:40.306347	95
7189	28995	3224	2013-08-03 02:42:40.311171	2013-08-03 02:42:40.311171	95
7190	28995	3204	2013-08-03 02:42:40.314149	2013-08-03 02:42:40.314149	95
7191	29095	20108	2013-08-03 02:42:40.324448	2013-08-03 02:42:40.324448	95
7192	29095	20088	2013-08-03 02:42:40.334838	2013-08-03 02:42:40.334838	95
7193	29095	20068	2013-08-03 02:42:40.345065	2013-08-03 02:42:40.345065	95
7194	29095	20048	2013-08-03 02:42:40.35663	2013-08-03 02:42:40.35663	95
7195	29095	20028	2013-08-03 02:42:40.367923	2013-08-03 02:42:40.367923	95
7196	29095	20008	2013-08-03 02:42:40.379193	2013-08-03 02:42:40.379193	95
7197	29095	19988	2013-08-03 02:42:40.390948	2013-08-03 02:42:40.390948	95
7198	29095	19968	2013-08-03 02:42:40.402682	2013-08-03 02:42:40.402682	95
7199	29095	19948	2013-08-03 02:42:40.414251	2013-08-03 02:42:40.414251	95
7200	29095	19928	2013-08-03 02:42:40.425735	2013-08-03 02:42:40.425735	95
7201	29095	19908	2013-08-03 02:42:40.437172	2013-08-03 02:42:40.437172	95
7202	29095	19888	2013-08-03 02:42:40.448951	2013-08-03 02:42:40.448951	95
7203	29095	19868	2013-08-03 02:42:40.460442	2013-08-03 02:42:40.460442	95
7204	29095	19848	2013-08-03 02:42:40.472061	2013-08-03 02:42:40.472061	95
7205	29095	19828	2013-08-03 02:42:40.483691	2013-08-03 02:42:40.483691	95
7206	29095	19808	2013-08-03 02:42:40.494942	2013-08-03 02:42:40.494942	95
7207	29095	19788	2013-08-03 02:42:40.50584	2013-08-03 02:42:40.50584	95
7208	29095	19768	2013-08-03 02:42:40.517637	2013-08-03 02:42:40.517637	95
7209	29095	19748	2013-08-03 02:42:40.529045	2013-08-03 02:42:40.529045	95
7210	29662	13072	2013-08-03 02:42:40.550984	2013-08-03 02:42:40.550984	95
7211	29662	13052	2013-08-03 02:42:40.55502	2013-08-03 02:42:40.55502	95
7212	29662	13075	2013-08-03 02:42:40.560335	2013-08-03 02:42:40.560335	95
7213	29662	13032	2013-08-03 02:42:40.563966	2013-08-03 02:42:40.563966	95
7214	29662	13008	2013-08-03 02:42:40.569313	2013-08-03 02:42:40.569313	95
7215	29662	12918	2013-08-03 02:42:40.573181	2013-08-03 02:42:40.573181	95
7216	29662	12877	2013-08-03 02:42:40.578459	2013-08-03 02:42:40.578459	95
7217	29662	12977	2013-08-03 02:42:40.58417	2013-08-03 02:42:40.58417	95
7218	29662	13012	2013-08-03 02:42:40.594578	2013-08-03 02:42:40.594578	95
7219	29662	12992	2013-08-03 02:42:40.605533	2013-08-03 02:42:40.605533	95
7220	29662	12972	2013-08-03 02:42:40.616493	2013-08-03 02:42:40.616493	95
7221	29662	12952	2013-08-03 02:42:40.627834	2013-08-03 02:42:40.627834	95
7222	29662	12932	2013-08-03 02:42:40.639439	2013-08-03 02:42:40.639439	95
7223	29662	12912	2013-08-03 02:42:40.651346	2013-08-03 02:42:40.651346	95
7224	29662	12892	2013-08-03 02:42:40.663179	2013-08-03 02:42:40.663179	95
7225	29662	11533	2013-08-03 02:42:40.67521	2013-08-03 02:42:40.67521	95
7226	29662	7041	2013-08-03 02:42:40.683996	2013-08-03 02:42:40.683996	95
7227	29662	19668	2013-08-03 02:42:40.692654	2013-08-03 02:42:40.692654	95
7228	29662	19648	2013-08-03 02:42:40.728769	2013-08-03 02:42:40.728769	95
7229	29026	11973	2013-08-03 02:42:40.741396	2013-08-03 02:42:40.741396	95
7230	29026	11953	2013-08-03 02:42:40.745796	2013-08-03 02:42:40.745796	95
7231	29026	11933	2013-08-03 02:42:40.749684	2013-08-03 02:42:40.749684	95
7232	29026	11923	2013-08-03 02:42:40.75308	2013-08-03 02:42:40.75308	95
7233	29026	11913	2013-08-03 02:42:40.757257	2013-08-03 02:42:40.757257	95
7234	29026	11893	2013-08-03 02:42:40.765201	2013-08-03 02:42:40.765201	95
7235	29026	11873	2013-08-03 02:42:40.775282	2013-08-03 02:42:40.775282	95
7236	29026	11853	2013-08-03 02:42:40.787005	2013-08-03 02:42:40.787005	95
7237	29026	11833	2013-08-03 02:42:40.799299	2013-08-03 02:42:40.799299	95
7238	29026	11813	2013-08-03 02:42:40.810782	2013-08-03 02:42:40.810782	95
7239	29026	11793	2013-08-03 02:42:40.821867	2013-08-03 02:42:40.821867	95
7240	29026	11632	2013-08-03 02:42:40.833959	2013-08-03 02:42:40.833959	95
7241	29026	11773	2013-08-03 02:42:40.847054	2013-08-03 02:42:40.847054	95
7242	29026	11753	2013-08-03 02:42:40.859093	2013-08-03 02:42:40.859093	95
7243	29026	11733	2013-08-03 02:42:40.868681	2013-08-03 02:42:40.868681	95
7244	29026	11713	2013-08-03 02:42:40.879871	2013-08-03 02:42:40.879871	95
7245	29026	9565	2013-08-03 02:42:40.889983	2013-08-03 02:42:40.889983	95
7246	29026	7150	2013-08-03 02:42:40.893895	2013-08-03 02:42:40.893895	95
7247	29026	14623	2013-08-03 02:42:40.900315	2013-08-03 02:42:40.900315	95
7248	29620	13455	2013-08-03 02:42:40.964737	2013-08-03 02:42:40.964737	95
7249	29547	13435	2013-08-03 02:42:41.019443	2013-08-03 02:42:41.019443	95
7250	29427	13415	2013-08-03 02:42:41.023735	2013-08-03 02:42:41.023735	95
7251	29387	13395	2013-08-03 02:42:41.027881	2013-08-03 02:42:41.027881	95
7252	29269	13375	2013-08-03 02:42:41.032058	2013-08-03 02:42:41.032058	95
7253	29101	13355	2013-08-03 02:42:41.037154	2013-08-03 02:42:41.037154	95
7254	29094	13335	2013-08-03 02:42:41.041327	2013-08-03 02:42:41.041327	95
7255	29022	13315	2013-08-03 02:42:41.046753	2013-08-03 02:42:41.046753	95
7256	29020	7930	2013-08-03 02:42:41.055309	2013-08-03 02:42:41.055309	95
7257	29002	5446	2013-08-03 02:42:41.065764	2013-08-03 02:42:41.065764	95
7258	28991	7281	2013-08-03 02:42:41.076302	2013-08-03 02:42:41.076302	95
7259	29093	6026	2013-08-03 02:42:41.102233	2013-08-03 02:42:41.102233	95
7260	29093	6046	2013-08-03 02:42:41.112908	2013-08-03 02:42:41.112908	95
7261	29093	6066	2013-08-03 02:42:41.123066	2013-08-03 02:42:41.123066	95
7262	29093	6086	2013-08-03 02:42:41.133022	2013-08-03 02:42:41.133022	95
7263	29093	6106	2013-08-03 02:42:41.143083	2013-08-03 02:42:41.143083	95
7264	29093	6076	2013-08-03 02:42:41.153298	2013-08-03 02:42:41.153298	95
7265	29093	6126	2013-08-03 02:42:41.163948	2013-08-03 02:42:41.163948	95
7266	29093	6146	2013-08-03 02:42:41.174328	2013-08-03 02:42:41.174328	95
7267	29093	6166	2013-08-03 02:42:41.184141	2013-08-03 02:42:41.184141	95
7268	29093	6186	2013-08-03 02:42:41.187686	2013-08-03 02:42:41.187686	95
7269	29093	6206	2013-08-03 02:42:41.191599	2013-08-03 02:42:41.191599	95
7270	29093	3304	2013-08-03 02:42:41.200294	2013-08-03 02:42:41.200294	95
7271	29093	3324	2013-08-03 02:42:41.206994	2013-08-03 02:42:41.206994	95
7272	29093	18457	2013-08-03 02:42:41.215898	2013-08-03 02:42:41.215898	95
7273	29093	11493	2013-08-03 02:42:41.225918	2013-08-03 02:42:41.225918	95
7274	29093	19648	2013-08-03 02:42:41.236044	2013-08-03 02:42:41.236044	95
7275	29093	19668	2013-08-03 02:42:41.246231	2013-08-03 02:42:41.246231	95
7276	29093	9176	2013-08-03 02:42:41.257276	2013-08-03 02:42:41.257276	95
7277	29093	9076	2013-08-03 02:42:41.267682	2013-08-03 02:42:41.267682	95
7278	29565	18797	2013-08-03 02:42:41.281641	2013-08-03 02:42:41.281641	95
7279	29565	18777	2013-08-03 02:42:41.286167	2013-08-03 02:42:41.286167	95
7280	29426	18757	2013-08-03 02:42:41.290306	2013-08-03 02:42:41.290306	95
7281	29426	18737	2013-08-03 02:42:41.294387	2013-08-03 02:42:41.294387	95
7282	29405	18717	2013-08-03 02:42:41.299021	2013-08-03 02:42:41.299021	95
7283	29405	18697	2013-08-03 02:42:41.30337	2013-08-03 02:42:41.30337	95
7284	29289	18677	2013-08-03 02:42:41.308674	2013-08-03 02:42:41.308674	95
7285	29289	18657	2013-08-03 02:42:41.315745	2013-08-03 02:42:41.315745	95
7286	29131	18637	2013-08-03 02:42:41.322149	2013-08-03 02:42:41.322149	95
7287	29131	18617	2013-08-03 02:42:41.328061	2013-08-03 02:42:41.328061	95
7288	29117	18597	2013-08-03 02:42:41.33303	2013-08-03 02:42:41.33303	95
7289	29117	18577	2013-08-03 02:42:41.336656	2013-08-03 02:42:41.336656	95
7290	29033	18417	2013-08-03 02:42:41.340107	2013-08-03 02:42:41.340107	95
7291	29033	13455	2013-08-03 02:42:41.344032	2013-08-03 02:42:41.344032	95
7292	29023	12528	2013-08-03 02:42:41.35085	2013-08-03 02:42:41.35085	95
7293	29023	5646	2013-08-03 02:42:41.359258	2013-08-03 02:42:41.359258	95
7294	29005	19688	2013-08-03 02:42:41.366483	2013-08-03 02:42:41.366483	95
7295	29005	8536	2013-08-03 02:42:41.370899	2013-08-03 02:42:41.370899	95
7296	29566	14063	2013-08-03 02:42:41.394715	2013-08-03 02:42:41.394715	95
7297	29444	13958	2013-08-03 02:42:41.400648	2013-08-03 02:42:41.400648	95
7298	29428	13938	2013-08-03 02:42:41.405175	2013-08-03 02:42:41.405175	95
7299	29292	13918	2013-08-03 02:42:41.444791	2013-08-03 02:42:41.444791	95
7300	29133	13898	2013-08-03 02:42:41.450854	2013-08-03 02:42:41.450854	95
7301	29120	13878	2013-08-03 02:42:41.45752	2013-08-03 02:42:41.45752	95
7302	29039	13858	2013-08-03 02:42:41.466094	2013-08-03 02:42:41.466094	95
7303	29024	13838	2013-08-03 02:42:41.475788	2013-08-03 02:42:41.475788	95
7304	29003	13818	2013-08-03 02:42:41.487749	2013-08-03 02:42:41.487749	95
7305	28994	14083	2013-08-03 02:42:41.500331	2013-08-03 02:42:41.500331	95
7306	30357	5846	2013-08-03 02:47:51.460328	2013-08-03 02:47:51.460328	96
7307	29970	5826	2013-08-03 02:47:51.466455	2013-08-03 02:47:51.466455	96
7308	29967	5790	2013-08-03 02:47:51.470298	2013-08-03 02:47:51.470298	96
7309	29823	5765	2013-08-03 02:47:51.474814	2013-08-03 02:47:51.474814	96
7310	29815	5806	2013-08-03 02:47:51.478686	2013-08-03 02:47:51.478686	96
7311	29805	5786	2013-08-03 02:47:51.482443	2013-08-03 02:47:51.482443	96
7312	29792	5766	2013-08-03 02:47:51.48605	2013-08-03 02:47:51.48605	96
7313	29786	5746	2013-08-03 02:47:51.489342	2013-08-03 02:47:51.489342	96
7314	29779	5726	2013-08-03 02:47:51.492882	2013-08-03 02:47:51.492882	96
7315	29777	5706	2013-08-03 02:47:51.496579	2013-08-03 02:47:51.496579	96
7316	29799	15703	2013-08-03 02:47:51.511104	2013-08-03 02:47:51.511104	96
7317	29799	15683	2013-08-03 02:47:51.5163	2013-08-03 02:47:51.5163	96
7318	29799	15663	2013-08-03 02:47:51.521161	2013-08-03 02:47:51.521161	96
7319	29799	15643	2013-08-03 02:47:51.524825	2013-08-03 02:47:51.524825	96
7320	29799	15623	2013-08-03 02:47:51.528681	2013-08-03 02:47:51.528681	96
7321	29799	15603	2013-08-03 02:47:51.53267	2013-08-03 02:47:51.53267	96
7322	29799	15583	2013-08-03 02:47:51.537063	2013-08-03 02:47:51.537063	96
7323	29799	15563	2013-08-03 02:47:51.541373	2013-08-03 02:47:51.541373	96
7324	29799	15543	2013-08-03 02:47:51.545436	2013-08-03 02:47:51.545436	96
7325	29799	15523	2013-08-03 02:47:51.550858	2013-08-03 02:47:51.550858	96
7326	29799	15503	2013-08-03 02:47:51.556085	2013-08-03 02:47:51.556085	96
7327	29799	15483	2013-08-03 02:47:51.560764	2013-08-03 02:47:51.560764	96
7328	29799	15463	2013-08-03 02:47:51.565601	2013-08-03 02:47:51.565601	96
7329	29799	14338	2013-08-03 02:47:51.570411	2013-08-03 02:47:51.570411	96
7330	29799	11320	2013-08-03 02:47:51.57389	2013-08-03 02:47:51.57389	96
7331	29799	8293	2013-08-03 02:47:51.578401	2013-08-03 02:47:51.578401	96
7332	29799	3364	2013-08-03 02:47:51.583438	2013-08-03 02:47:51.583438	96
7333	29799	13777	2013-08-03 02:47:51.588315	2013-08-03 02:47:51.588315	96
7334	29799	6526	2013-08-03 02:47:51.593117	2013-08-03 02:47:51.593117	96
7335	29860	3578	2013-08-03 02:47:51.603855	2013-08-03 02:47:51.603855	96
7336	29860	3598	2013-08-03 02:47:51.608692	2013-08-03 02:47:51.608692	96
7337	29860	3455	2013-08-03 02:47:51.61308	2013-08-03 02:47:51.61308	96
7338	29860	3475	2013-08-03 02:47:51.617351	2013-08-03 02:47:51.617351	96
7339	29860	3495	2013-08-03 02:47:51.622859	2013-08-03 02:47:51.622859	96
7340	29860	3604	2013-08-03 02:47:51.627441	2013-08-03 02:47:51.627441	96
7341	29860	3584	2013-08-03 02:47:51.632859	2013-08-03 02:47:51.632859	96
7342	29860	3564	2013-08-03 02:47:51.637926	2013-08-03 02:47:51.637926	96
7343	29860	3544	2013-08-03 02:47:51.684973	2013-08-03 02:47:51.684973	96
7344	29860	3524	2013-08-03 02:47:51.689622	2013-08-03 02:47:51.689622	96
7345	29860	3504	2013-08-03 02:47:51.693988	2013-08-03 02:47:51.693988	96
7346	29860	3484	2013-08-03 02:47:51.698408	2013-08-03 02:47:51.698408	96
7347	29860	3464	2013-08-03 02:47:51.702711	2013-08-03 02:47:51.702711	96
7348	29860	11818	2013-08-03 02:47:51.707561	2013-08-03 02:47:51.707561	96
7349	29860	3395	2013-08-03 02:47:51.712298	2013-08-03 02:47:51.712298	96
7350	29860	3384	2013-08-03 02:47:51.717727	2013-08-03 02:47:51.717727	96
7351	29860	7477	2013-08-03 02:47:51.722464	2013-08-03 02:47:51.722464	96
7352	29860	5806	2013-08-03 02:47:51.727666	2013-08-03 02:47:51.727666	96
7353	29860	5490	2013-08-03 02:47:51.733012	2013-08-03 02:47:51.733012	96
7354	29798	10140	2013-08-03 02:47:51.743391	2013-08-03 02:47:51.743391	96
7355	29798	10083	2013-08-03 02:47:51.749187	2013-08-03 02:47:51.749187	96
7356	29798	10137	2013-08-03 02:47:51.75355	2013-08-03 02:47:51.75355	96
7357	29798	10205	2013-08-03 02:47:51.757636	2013-08-03 02:47:51.757636	96
7358	29798	10185	2013-08-03 02:47:51.762975	2013-08-03 02:47:51.762975	96
7359	29798	10165	2013-08-03 02:47:51.768239	2013-08-03 02:47:51.768239	96
7360	29798	10145	2013-08-03 02:47:51.773257	2013-08-03 02:47:51.773257	96
7361	29798	10125	2013-08-03 02:47:51.781121	2013-08-03 02:47:51.781121	96
7362	29798	10105	2013-08-03 02:47:51.789969	2013-08-03 02:47:51.789969	96
7363	29798	10085	2013-08-03 02:47:51.799962	2013-08-03 02:47:51.799962	96
7364	29798	10065	2013-08-03 02:47:51.81065	2013-08-03 02:47:51.81065	96
7365	29798	9980	2013-08-03 02:47:51.821426	2013-08-03 02:47:51.821426	96
7366	29798	9997	2013-08-03 02:47:51.831104	2013-08-03 02:47:51.831104	96
7367	29798	10045	2013-08-03 02:47:51.839481	2013-08-03 02:47:51.839481	96
7368	29798	8310	2013-08-03 02:47:51.846233	2013-08-03 02:47:51.846233	96
7369	29798	6486	2013-08-03 02:47:51.85222	2013-08-03 02:47:51.85222	96
7370	29798	3404	2013-08-03 02:47:51.856852	2013-08-03 02:47:51.856852	96
7371	29798	7521	2013-08-03 02:47:51.860799	2013-08-03 02:47:51.860799	96
7372	29798	7061	2013-08-03 02:47:51.867011	2013-08-03 02:47:51.867011	96
7373	29971	19297	2013-08-03 02:47:51.8841	2013-08-03 02:47:51.8841	96
7374	29971	19057	2013-08-03 02:47:51.887845	2013-08-03 02:47:51.887845	96
7375	29825	18417	2013-08-03 02:47:51.891454	2013-08-03 02:47:51.891454	96
7376	29825	15323	2013-08-03 02:47:51.895216	2013-08-03 02:47:51.895216	96
7377	29818	14238	2013-08-03 02:47:51.89923	2013-08-03 02:47:51.89923	96
7378	29818	13858	2013-08-03 02:47:51.903516	2013-08-03 02:47:51.903516	96
7379	29802	13755	2013-08-03 02:47:51.909072	2013-08-03 02:47:51.909072	96
7380	29802	11220	2013-08-03 02:47:51.915584	2013-08-03 02:47:51.915584	96
7381	29789	8250	2013-08-03 02:47:51.921252	2013-08-03 02:47:51.921252	96
7382	29789	7930	2013-08-03 02:47:51.927808	2013-08-03 02:47:51.927808	96
7383	29782	7461	2013-08-03 02:47:51.932357	2013-08-03 02:47:51.932357	96
7384	29782	6446	2013-08-03 02:47:51.936779	2013-08-03 02:47:51.936779	96
7385	29781	3435	2013-08-03 02:47:51.941201	2013-08-03 02:47:51.941201	96
7386	29781	13455	2013-08-03 02:47:51.945282	2013-08-03 02:47:51.945282	96
7387	29770	5766	2013-08-03 02:47:51.948963	2013-08-03 02:47:51.948963	96
7388	29770	19368	2013-08-03 02:47:51.952519	2013-08-03 02:47:51.952519	96
7389	29773	20548	2013-08-03 02:47:51.965082	2013-08-03 02:47:51.965082	96
7390	29773	20528	2013-08-03 02:47:51.972849	2013-08-03 02:47:51.972849	96
7391	29773	20508	2013-08-03 02:47:51.981707	2013-08-03 02:47:51.981707	96
7392	29773	20488	2013-08-03 02:47:51.990701	2013-08-03 02:47:51.990701	96
7393	29773	20468	2013-08-03 02:47:52.000874	2013-08-03 02:47:52.000874	96
7394	29773	20448	2013-08-03 02:47:52.010836	2013-08-03 02:47:52.010836	96
7395	29773	20428	2013-08-03 02:47:52.019361	2013-08-03 02:47:52.019361	96
7396	29773	20408	2013-08-03 02:47:52.025993	2013-08-03 02:47:52.025993	96
7397	29773	20388	2013-08-03 02:47:52.031434	2013-08-03 02:47:52.031434	96
7398	29773	20368	2013-08-03 02:47:52.036652	2013-08-03 02:47:52.036652	96
7399	29773	20348	2013-08-03 02:47:52.040005	2013-08-03 02:47:52.040005	96
7400	29773	20328	2013-08-03 02:47:52.043017	2013-08-03 02:47:52.043017	96
7401	29773	20308	2013-08-03 02:47:52.049152	2013-08-03 02:47:52.049152	96
7402	29773	20288	2013-08-03 02:47:52.054764	2013-08-03 02:47:52.054764	96
7403	29773	20268	2013-08-03 02:47:52.058672	2013-08-03 02:47:52.058672	96
7404	29773	20248	2013-08-03 02:47:52.062275	2013-08-03 02:47:52.062275	96
7405	29773	20228	2013-08-03 02:47:52.066917	2013-08-03 02:47:52.066917	96
7406	29773	20208	2013-08-03 02:47:52.071331	2013-08-03 02:47:52.071331	96
7407	29773	20188	2013-08-03 02:47:52.078755	2013-08-03 02:47:52.078755	96
7408	29774	12213	2013-08-03 02:47:52.131186	2013-08-03 02:47:52.131186	96
7409	29774	12193	2013-08-03 02:47:52.135217	2013-08-03 02:47:52.135217	96
7410	29774	12173	2013-08-03 02:47:52.138818	2013-08-03 02:47:52.138818	96
7411	29774	12153	2013-08-03 02:47:52.143075	2013-08-03 02:47:52.143075	96
7412	29774	12133	2013-08-03 02:47:52.148229	2013-08-03 02:47:52.148229	96
7413	29774	12113	2013-08-03 02:47:52.152189	2013-08-03 02:47:52.152189	96
7414	29774	12093	2013-08-03 02:47:52.15613	2013-08-03 02:47:52.15613	96
7415	29774	12073	2013-08-03 02:47:52.160131	2013-08-03 02:47:52.160131	96
7416	29774	12053	2013-08-03 02:47:52.165421	2013-08-03 02:47:52.165421	96
7417	29774	12033	2013-08-03 02:47:52.170037	2013-08-03 02:47:52.170037	96
7418	29774	12013	2013-08-03 02:47:52.17455	2013-08-03 02:47:52.17455	96
7419	29774	11993	2013-08-03 02:47:52.182948	2013-08-03 02:47:52.182948	96
7420	29774	8170	2013-08-03 02:47:52.190417	2013-08-03 02:47:52.190417	96
7421	29774	7255	2013-08-03 02:47:52.195732	2013-08-03 02:47:52.195732	96
7422	29774	3652	2013-08-03 02:47:52.201068	2013-08-03 02:47:52.201068	96
7423	29774	7041	2013-08-03 02:47:52.205311	2013-08-03 02:47:52.205311	96
7424	29774	6366	2013-08-03 02:47:52.210962	2013-08-03 02:47:52.210962	96
7425	29774	19528	2013-08-03 02:47:52.214838	2013-08-03 02:47:52.214838	96
7426	29774	19468	2013-08-03 02:47:52.218137	2013-08-03 02:47:52.218137	96
7427	30276	14123	2013-08-03 02:47:52.237866	2013-08-03 02:47:52.237866	96
7428	29966	13975	2013-08-03 02:47:52.242353	2013-08-03 02:47:52.242353	96
7429	29824	13955	2013-08-03 02:47:52.247426	2013-08-03 02:47:52.247426	96
7430	29822	13935	2013-08-03 02:47:52.252207	2013-08-03 02:47:52.252207	96
7431	29816	13915	2013-08-03 02:47:52.257623	2013-08-03 02:47:52.257623	96
7432	29804	13895	2013-08-03 02:47:52.262729	2013-08-03 02:47:52.262729	96
7433	29793	13875	2013-08-03 02:47:52.267776	2013-08-03 02:47:52.267776	96
7434	29788	8110	2013-08-03 02:47:52.272877	2013-08-03 02:47:52.272877	96
7435	29780	6286	2013-08-03 02:47:52.277452	2013-08-03 02:47:52.277452	96
7436	29778	12892	2013-08-03 02:47:52.281616	2013-08-03 02:47:52.281616	96
7437	29768	19408	2013-08-03 02:47:52.28507	2013-08-03 02:47:52.28507	96
7438	30063	9336	2013-08-03 02:47:52.296309	2013-08-03 02:47:52.296309	96
7439	30063	9316	2013-08-03 02:47:52.301222	2013-08-03 02:47:52.301222	96
7440	30063	9296	2013-08-03 02:47:52.305961	2013-08-03 02:47:52.305961	96
7441	30063	9276	2013-08-03 02:47:52.310871	2013-08-03 02:47:52.310871	96
7442	30063	9256	2013-08-03 02:47:52.316046	2013-08-03 02:47:52.316046	96
7443	30063	9236	2013-08-03 02:47:52.320224	2013-08-03 02:47:52.320224	96
7444	30063	9216	2013-08-03 02:47:52.324659	2013-08-03 02:47:52.324659	96
7445	30063	9196	2013-08-03 02:47:52.329382	2013-08-03 02:47:52.329382	96
7446	30063	8130	2013-08-03 02:47:52.333538	2013-08-03 02:47:52.333538	96
7447	30063	7670	2013-08-03 02:47:52.337432	2013-08-03 02:47:52.337432	96
7448	30063	7361	2013-08-03 02:47:52.342217	2013-08-03 02:47:52.342217	96
7449	30063	7283	2013-08-03 02:47:52.346153	2013-08-03 02:47:52.346153	96
7450	30063	6306	2013-08-03 02:47:52.349955	2013-08-03 02:47:52.349955	96
7451	30063	6226	2013-08-03 02:47:52.353503	2013-08-03 02:47:52.353503	96
7452	30063	6246	2013-08-03 02:47:52.357054	2013-08-03 02:47:52.357054	96
7453	30063	6110	2013-08-03 02:47:52.361051	2013-08-03 02:47:52.361051	96
7454	30063	12898	2013-08-03 02:47:52.36484	2013-08-03 02:47:52.36484	96
7455	30063	7421	2013-08-03 02:47:52.368798	2013-08-03 02:47:52.368798	96
7456	30063	19328	2013-08-03 02:47:52.37314	2013-08-03 02:47:52.37314	96
7457	29969	19677	2013-08-03 02:47:52.385491	2013-08-03 02:47:52.385491	96
7458	29969	19657	2013-08-03 02:47:52.389718	2013-08-03 02:47:52.389718	96
7459	29827	19637	2013-08-03 02:47:52.394919	2013-08-03 02:47:52.394919	96
7460	29827	19617	2013-08-03 02:47:52.399126	2013-08-03 02:47:52.399126	96
7461	29826	19597	2013-08-03 02:47:52.404676	2013-08-03 02:47:52.404676	96
7462	29826	19577	2013-08-03 02:47:52.439001	2013-08-03 02:47:52.439001	96
7463	29800	19557	2013-08-03 02:47:52.443414	2013-08-03 02:47:52.443414	96
7464	29800	19537	2013-08-03 02:47:52.447347	2013-08-03 02:47:52.447347	96
7465	29790	19517	2013-08-03 02:47:52.451743	2013-08-03 02:47:52.451743	96
7466	29790	19497	2013-08-03 02:47:52.455538	2013-08-03 02:47:52.455538	96
7467	29785	19477	2013-08-03 02:47:52.460468	2013-08-03 02:47:52.460468	96
7468	29785	19457	2013-08-03 02:47:52.466591	2013-08-03 02:47:52.466591	96
7469	29783	19297	2013-08-03 02:47:52.470907	2013-08-03 02:47:52.470907	96
7470	29783	19057	2013-08-03 02:47:52.474515	2013-08-03 02:47:52.474515	96
7471	29772	14123	2013-08-03 02:47:52.478372	2013-08-03 02:47:52.478372	96
7472	29772	5986	2013-08-03 02:47:52.484388	2013-08-03 02:47:52.484388	96
7473	29769	5826	2013-08-03 02:47:52.490628	2013-08-03 02:47:52.490628	96
7474	29769	5666	2013-08-03 02:47:52.494882	2013-08-03 02:47:52.494882	96
7475	29968	14558	2013-08-03 02:47:52.52406	2013-08-03 02:47:52.52406	96
7476	29829	14538	2013-08-03 02:47:52.531508	2013-08-03 02:47:52.531508	96
7477	29828	14518	2013-08-03 02:47:52.53768	2013-08-03 02:47:52.53768	96
7478	29819	14498	2013-08-03 02:47:52.542276	2013-08-03 02:47:52.542276	96
7479	29803	14478	2013-08-03 02:47:52.54694	2013-08-03 02:47:52.54694	96
7480	29801	14458	2013-08-03 02:47:52.554534	2013-08-03 02:47:52.554534	96
7481	29791	14438	2013-08-03 02:47:52.559894	2013-08-03 02:47:52.559894	96
7482	29787	14418	2013-08-03 02:47:52.566016	2013-08-03 02:47:52.566016	96
7483	29784	14398	2013-08-03 02:47:52.570331	2013-08-03 02:47:52.570331	96
7484	29771	19608	2013-08-03 02:47:52.576004	2013-08-03 02:47:52.576004	96
7485	30833	20048	2013-08-03 02:53:03.679546	2013-08-03 02:53:03.679546	97
7486	30654	20068	2013-08-03 02:53:03.692959	2013-08-03 02:53:03.692959	97
7487	30631	20088	2013-08-03 02:53:03.703878	2013-08-03 02:53:03.703878	97
7488	30593	20108	2013-08-03 02:53:03.714566	2013-08-03 02:53:03.714566	97
7489	30495	14943	2013-08-03 02:53:03.72522	2013-08-03 02:53:03.72522	97
7490	30450	14963	2013-08-03 02:53:03.735959	2013-08-03 02:53:03.735959	97
7491	30449	14623	2013-08-03 02:53:03.74698	2013-08-03 02:53:03.74698	97
7492	30391	11615	2013-08-03 02:53:03.757671	2013-08-03 02:53:03.757671	97
7493	30386	18477	2013-08-03 02:53:03.768498	2013-08-03 02:53:03.768498	97
7494	30381	18497	2013-08-03 02:53:03.779698	2013-08-03 02:53:03.779698	97
7495	30425	16223	2013-08-03 02:53:03.810824	2013-08-03 02:53:03.810824	97
7496	30425	16203	2013-08-03 02:53:03.822627	2013-08-03 02:53:03.822627	97
7497	30425	16183	2013-08-03 02:53:03.83387	2013-08-03 02:53:03.83387	97
7498	30425	16137	2013-08-03 02:53:03.842968	2013-08-03 02:53:03.842968	97
7499	30425	16163	2013-08-03 02:53:03.851086	2013-08-03 02:53:03.851086	97
7500	30425	16143	2013-08-03 02:53:03.857146	2013-08-03 02:53:03.857146	97
7501	30425	16123	2013-08-03 02:53:03.863648	2013-08-03 02:53:03.863648	97
7502	30425	16103	2013-08-03 02:53:03.868221	2013-08-03 02:53:03.868221	97
7503	30425	16083	2013-08-03 02:53:03.871593	2013-08-03 02:53:03.871593	97
7504	30425	16063	2013-08-03 02:53:03.87464	2013-08-03 02:53:03.87464	97
7505	30425	16043	2013-08-03 02:53:03.878281	2013-08-03 02:53:03.878281	97
7506	30425	14878	2013-08-03 02:53:03.884143	2013-08-03 02:53:03.884143	97
7507	30425	14335	2013-08-03 02:53:03.889219	2013-08-03 02:53:03.889219	97
7508	30425	13152	2013-08-03 02:53:03.896531	2013-08-03 02:53:03.896531	97
7509	30425	11500	2013-08-03 02:53:03.906153	2013-08-03 02:53:03.906153	97
7510	30425	10385	2013-08-03 02:53:03.916177	2013-08-03 02:53:03.916177	97
7511	30425	9476	2013-08-03 02:53:03.926222	2013-08-03 02:53:03.926222	97
7512	30425	8570	2013-08-03 02:53:03.93618	2013-08-03 02:53:03.93618	97
7513	30425	6726	2013-08-03 02:53:03.981565	2013-08-03 02:53:03.981565	97
7514	30592	3724	2013-08-03 02:53:03.997528	2013-08-03 02:53:03.997528	97
7515	30592	3704	2013-08-03 02:53:04.001938	2013-08-03 02:53:04.001938	97
7516	30592	3684	2013-08-03 02:53:04.006348	2013-08-03 02:53:04.006348	97
7517	30592	3664	2013-08-03 02:53:04.012715	2013-08-03 02:53:04.012715	97
7518	30592	3644	2013-08-03 02:53:04.01701	2013-08-03 02:53:04.01701	97
7519	30592	3624	2013-08-03 02:53:04.022509	2013-08-03 02:53:04.022509	97
7520	30592	3345	2013-08-03 02:53:04.030689	2013-08-03 02:53:04.030689	97
7521	30592	12083	2013-08-03 02:53:04.035656	2013-08-03 02:53:04.035656	97
7522	30592	3585	2013-08-03 02:53:04.043441	2013-08-03 02:53:04.043441	97
7523	30426	3485	2013-08-03 02:53:04.053867	2013-08-03 02:53:04.053867	97
7524	30426	3546	2013-08-03 02:53:04.06354	2013-08-03 02:53:04.06354	97
7525	30426	3518	2013-08-03 02:53:04.073317	2013-08-03 02:53:04.073317	97
7526	30426	3538	2013-08-03 02:53:04.083358	2013-08-03 02:53:04.083358	97
7527	30426	3558	2013-08-03 02:53:04.094244	2013-08-03 02:53:04.094244	97
7528	30426	6706	2013-08-03 02:53:04.105242	2013-08-03 02:53:04.105242	97
7529	30426	16003	2013-08-03 02:53:04.115365	2013-08-03 02:53:04.115365	97
7530	30426	18497	2013-08-03 02:53:04.125457	2013-08-03 02:53:04.125457	97
7531	30426	13688	2013-08-03 02:53:04.135468	2013-08-03 02:53:04.135468	97
7532	30920	10725	2013-08-03 02:53:04.163532	2013-08-03 02:53:04.163532	97
7533	30920	10705	2013-08-03 02:53:04.175178	2013-08-03 02:53:04.175178	97
7534	30920	10685	2013-08-03 02:53:04.185968	2013-08-03 02:53:04.185968	97
7535	30920	10560	2013-08-03 02:53:04.196474	2013-08-03 02:53:04.196474	97
7536	30920	10665	2013-08-03 02:53:04.206727	2013-08-03 02:53:04.206727	97
7537	30920	10645	2013-08-03 02:53:04.21692	2013-08-03 02:53:04.21692	97
7538	30920	10625	2013-08-03 02:53:04.226871	2013-08-03 02:53:04.226871	97
7539	30920	10605	2013-08-03 02:53:04.237035	2013-08-03 02:53:04.237035	97
7540	30920	10585	2013-08-03 02:53:04.247779	2013-08-03 02:53:04.247779	97
7541	30920	10565	2013-08-03 02:53:04.258448	2013-08-03 02:53:04.258448	97
7542	30920	10545	2013-08-03 02:53:04.269588	2013-08-03 02:53:04.269588	97
7543	30920	10525	2013-08-03 02:53:04.281011	2013-08-03 02:53:04.281011	97
7544	30920	10505	2013-08-03 02:53:04.292864	2013-08-03 02:53:04.292864	97
7545	30920	10485	2013-08-03 02:53:04.303855	2013-08-03 02:53:04.303855	97
7546	30920	10465	2013-08-03 02:53:04.314891	2013-08-03 02:53:04.314891	97
7547	30920	10445	2013-08-03 02:53:04.325769	2013-08-03 02:53:04.325769	97
7548	30920	9473	2013-08-03 02:53:04.337367	2013-08-03 02:53:04.337367	97
7549	30920	8530	2013-08-03 02:53:04.348189	2013-08-03 02:53:04.348189	97
7550	30920	6686	2013-08-03 02:53:04.358447	2013-08-03 02:53:04.358447	97
7551	31080	13875	2013-08-03 02:53:04.426527	2013-08-03 02:53:04.426527	97
7552	31068	11400	2013-08-03 02:53:04.437879	2013-08-03 02:53:04.437879	97
7553	30854	9323	2013-08-03 02:53:04.448904	2013-08-03 02:53:04.448904	97
7554	30661	8410	2013-08-03 02:53:04.459889	2013-08-03 02:53:04.459889	97
7555	30454	8470	2013-08-03 02:53:04.470708	2013-08-03 02:53:04.470708	97
7556	30453	7601	2013-08-03 02:53:04.481441	2013-08-03 02:53:04.481441	97
7557	30421	6646	2013-08-03 02:53:04.492305	2013-08-03 02:53:04.492305	97
7558	30400	14943	2013-08-03 02:53:04.503151	2013-08-03 02:53:04.503151	97
7559	30393	10223	2013-08-03 02:53:04.513918	2013-08-03 02:53:04.513918	97
7560	30383	19328	2013-08-03 02:53:04.525313	2013-08-03 02:53:04.525313	97
7561	30428	20968	2013-08-03 02:53:04.554399	2013-08-03 02:53:04.554399	97
7562	30428	20948	2013-08-03 02:53:04.562698	2013-08-03 02:53:04.562698	97
7563	30428	20928	2013-08-03 02:53:04.570357	2013-08-03 02:53:04.570357	97
7564	30428	20908	2013-08-03 02:53:04.575291	2013-08-03 02:53:04.575291	97
7565	30428	20888	2013-08-03 02:53:04.579386	2013-08-03 02:53:04.579386	97
7566	30428	20868	2013-08-03 02:53:04.58313	2013-08-03 02:53:04.58313	97
7567	30428	20848	2013-08-03 02:53:04.588342	2013-08-03 02:53:04.588342	97
7568	30428	20828	2013-08-03 02:53:04.600051	2013-08-03 02:53:04.600051	97
7569	30428	20808	2013-08-03 02:53:04.610977	2013-08-03 02:53:04.610977	97
7570	30428	20788	2013-08-03 02:53:04.621671	2013-08-03 02:53:04.621671	97
7571	30428	20768	2013-08-03 02:53:04.632898	2013-08-03 02:53:04.632898	97
7572	30428	20748	2013-08-03 02:53:04.644458	2013-08-03 02:53:04.644458	97
7573	30428	20728	2013-08-03 02:53:04.656188	2013-08-03 02:53:04.656188	97
7574	30428	20708	2013-08-03 02:53:04.668687	2013-08-03 02:53:04.668687	97
7575	30428	20688	2013-08-03 02:53:04.681718	2013-08-03 02:53:04.681718	97
7576	30428	20668	2013-08-03 02:53:04.761924	2013-08-03 02:53:04.761924	97
7577	30428	20648	2013-08-03 02:53:04.769944	2013-08-03 02:53:04.769944	97
7578	30428	20628	2013-08-03 02:53:04.774665	2013-08-03 02:53:04.774665	97
7579	30428	20608	2013-08-03 02:53:04.780743	2013-08-03 02:53:04.780743	97
7580	30429	12373	2013-08-03 02:53:04.808263	2013-08-03 02:53:04.808263	97
7581	30429	12353	2013-08-03 02:53:04.815989	2013-08-03 02:53:04.815989	97
7582	30429	12333	2013-08-03 02:53:04.826686	2013-08-03 02:53:04.826686	97
7583	30429	12313	2013-08-03 02:53:04.837315	2013-08-03 02:53:04.837315	97
7584	30429	12293	2013-08-03 02:53:04.848429	2013-08-03 02:53:04.848429	97
7585	30429	12273	2013-08-03 02:53:04.859029	2013-08-03 02:53:04.859029	97
7586	30429	12253	2013-08-03 02:53:04.871352	2013-08-03 02:53:04.871352	97
7587	30429	12112	2013-08-03 02:53:04.878001	2013-08-03 02:53:04.878001	97
7588	30429	12233	2013-08-03 02:53:04.883854	2013-08-03 02:53:04.883854	97
7589	30429	10305	2013-08-03 02:53:04.888059	2013-08-03 02:53:04.888059	97
7590	30429	9356	2013-08-03 02:53:04.891564	2013-08-03 02:53:04.891564	97
7591	30429	8390	2013-08-03 02:53:04.89499	2013-08-03 02:53:04.89499	97
7592	30429	7461	2013-08-03 02:53:04.898381	2013-08-03 02:53:04.898381	97
7593	30429	6541	2013-08-03 02:53:04.901767	2013-08-03 02:53:04.901767	97
7594	30429	1364	2013-08-03 02:53:04.904863	2013-08-03 02:53:04.904863	97
7595	30429	5806	2013-08-03 02:53:04.908406	2013-08-03 02:53:04.908406	97
7596	30429	10265	2013-08-03 02:53:04.914144	2013-08-03 02:53:04.914144	97
7597	30429	6461	2013-08-03 02:53:04.918137	2013-08-03 02:53:04.918137	97
7598	30429	5766	2013-08-03 02:53:04.921954	2013-08-03 02:53:04.921954	97
7599	30839	14555	2013-08-03 02:53:04.941845	2013-08-03 02:53:04.941845	97
7600	30800	14535	2013-08-03 02:53:04.949008	2013-08-03 02:53:04.949008	97
7601	30743	14515	2013-08-03 02:53:04.953015	2013-08-03 02:53:04.953015	97
7602	30657	14495	2013-08-03 02:53:04.959847	2013-08-03 02:53:04.959847	97
7603	30632	14475	2013-08-03 02:53:04.968044	2013-08-03 02:53:04.968044	97
7604	30496	14455	2013-08-03 02:53:04.973772	2013-08-03 02:53:04.973772	97
7605	30452	14435	2013-08-03 02:53:04.977943	2013-08-03 02:53:04.977943	97
7606	30451	14415	2013-08-03 02:53:04.981235	2013-08-03 02:53:04.981235	97
7607	30424	14395	2013-08-03 02:53:04.984986	2013-08-03 02:53:04.984986	97
7608	30395	19448	2013-08-03 02:53:04.990078	2013-08-03 02:53:04.990078	97
7609	30392	19708	2013-08-03 02:53:05.000954	2013-08-03 02:53:05.000954	97
7610	30382	6586	2013-08-03 02:53:05.011613	2013-08-03 02:53:05.011613	97
7611	30427	9676	2013-08-03 02:53:05.042274	2013-08-03 02:53:05.042274	97
7612	30427	9656	2013-08-03 02:53:05.046975	2013-08-03 02:53:05.046975	97
7613	30427	9636	2013-08-03 02:53:05.054494	2013-08-03 02:53:05.054494	97
7614	30427	9616	2013-08-03 02:53:05.062943	2013-08-03 02:53:05.062943	97
7615	30427	9596	2013-08-03 02:53:05.067153	2013-08-03 02:53:05.067153	97
7616	30427	9576	2013-08-03 02:53:05.072288	2013-08-03 02:53:05.072288	97
7617	30427	9556	2013-08-03 02:53:05.078402	2013-08-03 02:53:05.078402	97
7618	30427	9536	2013-08-03 02:53:05.088132	2013-08-03 02:53:05.088132	97
7619	30427	3644	2013-08-03 02:53:05.092991	2013-08-03 02:53:05.092991	97
7620	30427	3664	2013-08-03 02:53:05.096886	2013-08-03 02:53:05.096886	97
7621	30427	3684	2013-08-03 02:53:05.100435	2013-08-03 02:53:05.100435	97
7622	30427	3704	2013-08-03 02:53:05.105097	2013-08-03 02:53:05.105097	97
7623	30427	3724	2013-08-03 02:53:05.109693	2013-08-03 02:53:05.109693	97
7624	30427	3585	2013-08-03 02:53:05.1174	2013-08-03 02:53:05.1174	97
7625	30427	12083	2013-08-03 02:53:05.12594	2013-08-03 02:53:05.12594	97
7626	30427	3345	2013-08-03 02:53:05.136007	2013-08-03 02:53:05.136007	97
7627	30427	3624	2013-08-03 02:53:05.146522	2013-08-03 02:53:05.146522	97
7628	30427	19468	2013-08-03 02:53:05.156481	2013-08-03 02:53:05.156481	97
7629	30427	10340	2013-08-03 02:53:05.165698	2013-08-03 02:53:05.165698	97
7630	30858	20137	2013-08-03 02:53:05.186271	2013-08-03 02:53:05.186271	97
7631	30858	20117	2013-08-03 02:53:05.228399	2013-08-03 02:53:05.228399	97
7632	30805	20097	2013-08-03 02:53:05.233269	2013-08-03 02:53:05.233269	97
7633	30805	20077	2013-08-03 02:53:05.241769	2013-08-03 02:53:05.241769	97
7634	30663	15743	2013-08-03 02:53:05.253234	2013-08-03 02:53:05.253234	97
7635	30663	14415	2013-08-03 02:53:05.263972	2013-08-03 02:53:05.263972	97
7636	30633	10225	2013-08-03 02:53:05.275549	2013-08-03 02:53:05.275549	97
7637	30633	7601	2013-08-03 02:53:05.285895	2013-08-03 02:53:05.285895	97
7638	30506	5810	2013-08-03 02:53:05.296728	2013-08-03 02:53:05.296728	97
7639	30506	3424	2013-08-03 02:53:05.307086	2013-08-03 02:53:05.307086	97
7640	30455	6441	2013-08-03 02:53:05.317944	2013-08-03 02:53:05.317944	97
7641	30455	6606	2013-08-03 02:53:05.328346	2013-08-03 02:53:05.328346	97
7642	30423	14063	2013-08-03 02:53:05.338983	2013-08-03 02:53:05.338983	97
7643	30423	6566	2013-08-03 02:53:05.349105	2013-08-03 02:53:05.349105	97
7644	30419	12892	2013-08-03 02:53:05.360445	2013-08-03 02:53:05.360445	97
7645	30419	14623	2013-08-03 02:53:05.371418	2013-08-03 02:53:05.371418	97
7646	30380	5846	2013-08-03 02:53:05.384271	2013-08-03 02:53:05.384271	97
7647	30380	5646	2013-08-03 02:53:05.396274	2013-08-03 02:53:05.396274	97
7648	30859	15098	2013-08-03 02:53:05.460059	2013-08-03 02:53:05.460059	97
7649	30809	15078	2013-08-03 02:53:05.472321	2013-08-03 02:53:05.472321	97
7650	30665	15058	2013-08-03 02:53:05.484197	2013-08-03 02:53:05.484197	97
7651	30630	15038	2013-08-03 02:53:05.496217	2013-08-03 02:53:05.496217	97
7652	30514	15018	2013-08-03 02:53:05.508775	2013-08-03 02:53:05.508775	97
7653	30457	14998	2013-08-03 02:53:05.521028	2013-08-03 02:53:05.521028	97
7654	30422	14978	2013-08-03 02:53:05.532866	2013-08-03 02:53:05.532866	97
7655	30420	14958	2013-08-03 02:53:05.544659	2013-08-03 02:53:05.544659	97
7656	30385	14938	2013-08-03 02:53:05.55676	2013-08-03 02:53:05.55676	97
7657	30384	19668	2013-08-03 02:53:05.569124	2013-08-03 02:53:05.569124	97
7658	31432	3564	2013-08-03 02:58:07.692133	2013-08-03 02:58:07.692133	98
7659	31399	3584	2013-08-03 02:58:07.755714	2013-08-03 02:58:07.755714	98
7660	31353	6526	2013-08-03 02:58:07.759862	2013-08-03 02:58:07.759862	98
7661	31288	13777	2013-08-03 02:58:07.763389	2013-08-03 02:58:07.763389	98
7662	31250	6546	2013-08-03 02:58:07.768349	2013-08-03 02:58:07.768349	98
7663	31148	7433	2013-08-03 02:58:07.772381	2013-08-03 02:58:07.772381	98
7664	31126	11493	2013-08-03 02:58:07.776306	2013-08-03 02:58:07.776306	98
7665	31097	18457	2013-08-03 02:58:07.780144	2013-08-03 02:58:07.780144	98
7666	31095	3324	2013-08-03 02:58:07.784124	2013-08-03 02:58:07.784124	98
7667	31087	3304	2013-08-03 02:58:07.790802	2013-08-03 02:58:07.790802	98
7668	31156	16803	2013-08-03 02:58:07.809928	2013-08-03 02:58:07.809928	98
7669	31156	16783	2013-08-03 02:58:07.822033	2013-08-03 02:58:07.822033	98
7670	31156	16763	2013-08-03 02:58:07.833624	2013-08-03 02:58:07.833624	98
7671	31156	16743	2013-08-03 02:58:07.840025	2013-08-03 02:58:07.840025	98
7672	31156	16723	2013-08-03 02:58:07.844688	2013-08-03 02:58:07.844688	98
7673	31156	16703	2013-08-03 02:58:07.850276	2013-08-03 02:58:07.850276	98
7674	31156	16683	2013-08-03 02:58:07.854422	2013-08-03 02:58:07.854422	98
7675	31156	16663	2013-08-03 02:58:07.858577	2013-08-03 02:58:07.858577	98
7676	31156	16643	2013-08-03 02:58:07.863661	2013-08-03 02:58:07.863661	98
7677	31156	16623	2013-08-03 02:58:07.869731	2013-08-03 02:58:07.869731	98
7678	31156	16603	2013-08-03 02:58:07.875549	2013-08-03 02:58:07.875549	98
7679	31156	16583	2013-08-03 02:58:07.881986	2013-08-03 02:58:07.881986	98
7680	31156	16563	2013-08-03 02:58:07.88867	2013-08-03 02:58:07.88867	98
7681	31156	13312	2013-08-03 02:58:07.895046	2013-08-03 02:58:07.895046	98
7682	31156	11660	2013-08-03 02:58:07.899718	2013-08-03 02:58:07.899718	98
7683	31156	11185	2013-08-03 02:58:07.908776	2013-08-03 02:58:07.908776	98
7684	31156	9896	2013-08-03 02:58:07.914127	2013-08-03 02:58:07.914127	98
7685	31156	8810	2013-08-03 02:58:07.917573	2013-08-03 02:58:07.917573	98
7686	31156	5579	2013-08-03 02:58:07.922652	2013-08-03 02:58:07.922652	98
7687	31838	3884	2013-08-03 02:58:07.935885	2013-08-03 02:58:07.935885	98
7688	31838	3864	2013-08-03 02:58:07.945999	2013-08-03 02:58:07.945999	98
7689	31838	3844	2013-08-03 02:58:07.95747	2013-08-03 02:58:07.95747	98
7690	31838	3824	2013-08-03 02:58:07.968935	2013-08-03 02:58:07.968935	98
7691	31838	3804	2013-08-03 02:58:07.980971	2013-08-03 02:58:07.980971	98
7692	31838	3784	2013-08-03 02:58:07.992252	2013-08-03 02:58:07.992252	98
7693	31838	3705	2013-08-03 02:58:08.003308	2013-08-03 02:58:08.003308	98
7694	31838	3625	2013-08-03 02:58:08.014387	2013-08-03 02:58:08.014387	98
7695	31838	3685	2013-08-03 02:58:08.025684	2013-08-03 02:58:08.025684	98
7696	31838	3686	2013-08-03 02:58:08.037108	2013-08-03 02:58:08.037108	98
7697	31838	3666	2013-08-03 02:58:08.047994	2013-08-03 02:58:08.047994	98
7698	31838	3630	2013-08-03 02:58:08.058861	2013-08-03 02:58:08.058861	98
7699	31838	3764	2013-08-03 02:58:08.069613	2013-08-03 02:58:08.069613	98
7700	31838	7433	2013-08-03 02:58:08.080779	2013-08-03 02:58:08.080779	98
7701	31838	5599	2013-08-03 02:58:08.091458	2013-08-03 02:58:08.091458	98
7702	31838	19668	2013-08-03 02:58:08.102283	2013-08-03 02:58:08.102283	98
7703	31838	6586	2013-08-03 02:58:08.107627	2013-08-03 02:58:08.107627	98
7704	31838	19328	2013-08-03 02:58:08.111166	2013-08-03 02:58:08.111166	98
7705	31838	6166	2013-08-03 02:58:08.114853	2013-08-03 02:58:08.114853	98
7706	31228	11485	2013-08-03 02:58:08.124801	2013-08-03 02:58:08.124801	98
7707	31228	11465	2013-08-03 02:58:08.129058	2013-08-03 02:58:08.129058	98
7708	31228	11445	2013-08-03 02:58:08.133409	2013-08-03 02:58:08.133409	98
7709	31228	11425	2013-08-03 02:58:08.138485	2013-08-03 02:58:08.138485	98
7710	31228	11405	2013-08-03 02:58:08.143062	2013-08-03 02:58:08.143062	98
7711	31228	11385	2013-08-03 02:58:08.14833	2013-08-03 02:58:08.14833	98
7712	31228	11365	2013-08-03 02:58:08.154633	2013-08-03 02:58:08.154633	98
7713	31228	11460	2013-08-03 02:58:08.16141	2013-08-03 02:58:08.16141	98
7714	31228	11345	2013-08-03 02:58:08.164722	2013-08-03 02:58:08.164722	98
7715	31228	11325	2013-08-03 02:58:08.172909	2013-08-03 02:58:08.172909	98
7716	31228	11305	2013-08-03 02:58:08.178846	2013-08-03 02:58:08.178846	98
7717	31228	11232	2013-08-03 02:58:08.188357	2013-08-03 02:58:08.188357	98
7718	31228	11285	2013-08-03 02:58:08.197988	2013-08-03 02:58:08.197988	98
7719	31228	11265	2013-08-03 02:58:08.208921	2013-08-03 02:58:08.208921	98
7720	31228	11245	2013-08-03 02:58:08.219922	2013-08-03 02:58:08.219922	98
7721	31228	11225	2013-08-03 02:58:08.231367	2013-08-03 02:58:08.231367	98
7722	31228	9876	2013-08-03 02:58:08.240654	2013-08-03 02:58:08.240654	98
7723	31228	8792	2013-08-03 02:58:08.252976	2013-08-03 02:58:08.252976	98
7724	31228	19488	2013-08-03 02:58:08.260078	2013-08-03 02:58:08.260078	98
7725	31676	10865	2013-08-03 02:58:08.324663	2013-08-03 02:58:08.324663	98
7726	31428	9816	2013-08-03 02:58:08.332169	2013-08-03 02:58:08.332169	98
7727	31355	8750	2013-08-03 02:58:08.339854	2013-08-03 02:58:08.339854	98
7728	31153	7761	2013-08-03 02:58:08.349568	2013-08-03 02:58:08.349568	98
7729	31150	5810	2013-08-03 02:58:08.361149	2013-08-03 02:58:08.361149	98
7730	31129	3424	2013-08-03 02:58:08.374005	2013-08-03 02:58:08.374005	98
7731	31128	6546	2013-08-03 02:58:08.386024	2013-08-03 02:58:08.386024	98
7732	31106	5039	2013-08-03 02:58:08.396911	2013-08-03 02:58:08.396911	98
7733	31104	14455	2013-08-03 02:58:08.407671	2013-08-03 02:58:08.407671	98
7734	31099	6106	2013-08-03 02:58:08.419004	2013-08-03 02:58:08.419004	98
7735	31299	21388	2013-08-03 02:58:08.449893	2013-08-03 02:58:08.449893	98
7736	31299	21368	2013-08-03 02:58:08.463046	2013-08-03 02:58:08.463046	98
7737	31299	21348	2013-08-03 02:58:08.473413	2013-08-03 02:58:08.473413	98
7738	31299	21328	2013-08-03 02:58:08.477406	2013-08-03 02:58:08.477406	98
7739	31299	21308	2013-08-03 02:58:08.481399	2013-08-03 02:58:08.481399	98
7740	31299	21288	2013-08-03 02:58:08.485011	2013-08-03 02:58:08.485011	98
7741	31299	21268	2013-08-03 02:58:08.488591	2013-08-03 02:58:08.488591	98
7742	31299	21248	2013-08-03 02:58:08.492264	2013-08-03 02:58:08.492264	98
7743	31299	21228	2013-08-03 02:58:08.496075	2013-08-03 02:58:08.496075	98
7744	31299	21208	2013-08-03 02:58:08.503043	2013-08-03 02:58:08.503043	98
7745	31299	21188	2013-08-03 02:58:08.510562	2013-08-03 02:58:08.510562	98
7746	31299	21168	2013-08-03 02:58:08.52227	2013-08-03 02:58:08.52227	98
7747	31299	21148	2013-08-03 02:58:08.533841	2013-08-03 02:58:08.533841	98
7748	31299	21128	2013-08-03 02:58:08.544939	2013-08-03 02:58:08.544939	98
7749	31299	21108	2013-08-03 02:58:08.555662	2013-08-03 02:58:08.555662	98
7750	31299	21088	2013-08-03 02:58:08.566669	2013-08-03 02:58:08.566669	98
7751	31299	21068	2013-08-03 02:58:08.573022	2013-08-03 02:58:08.573022	98
7752	31299	21048	2013-08-03 02:58:08.576855	2013-08-03 02:58:08.576855	98
7753	31299	21028	2013-08-03 02:58:08.584661	2013-08-03 02:58:08.584661	98
7754	31157	12533	2013-08-03 02:58:08.618358	2013-08-03 02:58:08.618358	98
7755	31157	12513	2013-08-03 02:58:08.630747	2013-08-03 02:58:08.630747	98
7756	31157	12493	2013-08-03 02:58:08.642304	2013-08-03 02:58:08.642304	98
7757	31157	12473	2013-08-03 02:58:08.653356	2013-08-03 02:58:08.653356	98
7758	31157	12453	2013-08-03 02:58:08.664606	2013-08-03 02:58:08.664606	98
7759	31157	12433	2013-08-03 02:58:08.677182	2013-08-03 02:58:08.677182	98
7760	31157	12413	2013-08-03 02:58:08.689109	2013-08-03 02:58:08.689109	98
7761	31157	12328	2013-08-03 02:58:08.700679	2013-08-03 02:58:08.700679	98
7762	31157	12393	2013-08-03 02:58:08.711843	2013-08-03 02:58:08.711843	98
7763	31157	11080	2013-08-03 02:58:08.722623	2013-08-03 02:58:08.722623	98
7764	31157	10943	2013-08-03 02:58:08.732744	2013-08-03 02:58:08.732744	98
7765	31157	10783	2013-08-03 02:58:08.742896	2013-08-03 02:58:08.742896	98
7766	31157	9716	2013-08-03 02:58:08.753206	2013-08-03 02:58:08.753206	98
7767	31157	9376	2013-08-03 02:58:08.764351	2013-08-03 02:58:08.764351	98
7768	31157	8670	2013-08-03 02:58:08.775047	2013-08-03 02:58:08.775047	98
7769	31157	7630	2013-08-03 02:58:08.785221	2013-08-03 02:58:08.785221	98
7770	31157	10805	2013-08-03 02:58:08.795357	2013-08-03 02:58:08.795357	98
7771	31157	5439	2013-08-03 02:58:08.805493	2013-08-03 02:58:08.805493	98
7772	31157	6026	2013-08-03 02:58:08.815731	2013-08-03 02:58:08.815731	98
7773	31433	14715	2013-08-03 02:58:08.877359	2013-08-03 02:58:08.877359	98
7774	31402	14695	2013-08-03 02:58:08.885279	2013-08-03 02:58:08.885279	98
7775	31354	11005	2013-08-03 02:58:08.891499	2013-08-03 02:58:08.891499	98
7776	31289	10768	2013-08-03 02:58:08.895837	2013-08-03 02:58:08.895837	98
7777	31251	8630	2013-08-03 02:58:08.90384	2013-08-03 02:58:08.90384	98
7778	31195	8410	2013-08-03 02:58:08.908647	2013-08-03 02:58:08.908647	98
7779	31170	7701	2013-08-03 02:58:08.913443	2013-08-03 02:58:08.913443	98
7780	31152	7661	2013-08-03 02:58:08.917054	2013-08-03 02:58:08.917054	98
7781	31149	5459	2013-08-03 02:58:08.921112	2013-08-03 02:58:08.921112	98
7782	31127	19448	2013-08-03 02:58:08.925303	2013-08-03 02:58:08.925303	98
7783	31101	19808	2013-08-03 02:58:08.956809	2013-08-03 02:58:08.956809	98
7784	31085	19788	2013-08-03 02:58:08.961285	2013-08-03 02:58:08.961285	98
7785	31227	10216	2013-08-03 02:58:08.970256	2013-08-03 02:58:08.970256	98
7786	31227	10245	2013-08-03 02:58:08.976347	2013-08-03 02:58:08.976347	98
7787	31227	10055	2013-08-03 02:58:08.981293	2013-08-03 02:58:08.981293	98
7788	31227	10132	2013-08-03 02:58:08.986501	2013-08-03 02:58:08.986501	98
7789	31227	10196	2013-08-03 02:58:08.991079	2013-08-03 02:58:08.991079	98
7790	31227	10176	2013-08-03 02:58:08.996657	2013-08-03 02:58:08.996657	98
7791	31227	10156	2013-08-03 02:58:09.007127	2013-08-03 02:58:09.007127	98
7792	31227	10136	2013-08-03 02:58:09.018038	2013-08-03 02:58:09.018038	98
7793	31227	10116	2013-08-03 02:58:09.028863	2013-08-03 02:58:09.028863	98
7794	31227	10096	2013-08-03 02:58:09.04022	2013-08-03 02:58:09.04022	98
7795	31227	10076	2013-08-03 02:58:09.051156	2013-08-03 02:58:09.051156	98
7796	31227	10056	2013-08-03 02:58:09.062194	2013-08-03 02:58:09.062194	98
7797	31227	10036	2013-08-03 02:58:09.073244	2013-08-03 02:58:09.073244	98
7798	31227	10016	2013-08-03 02:58:09.084252	2013-08-03 02:58:09.084252	98
7799	31227	9996	2013-08-03 02:58:09.095208	2013-08-03 02:58:09.095208	98
7800	31227	9976	2013-08-03 02:58:09.10599	2013-08-03 02:58:09.10599	98
7801	31227	9956	2013-08-03 02:58:09.116823	2013-08-03 02:58:09.116823	98
7802	31227	7485	2013-08-03 02:58:09.127839	2013-08-03 02:58:09.127839	98
7803	31227	20068	2013-08-03 02:58:09.138002	2013-08-03 02:58:09.138002	98
7804	31683	20857	2013-08-03 02:58:09.242524	2013-08-03 02:58:09.242524	98
7805	31430	20837	2013-08-03 02:58:09.25981	2013-08-03 02:58:09.25981	98
7806	31361	20817	2013-08-03 02:58:09.271359	2013-08-03 02:58:09.271359	98
7807	31290	20797	2013-08-03 02:58:09.283149	2013-08-03 02:58:09.283149	98
7808	31197	20777	2013-08-03 02:58:09.298004	2013-08-03 02:58:09.298004	98
7809	31172	20757	2013-08-03 02:58:09.310974	2013-08-03 02:58:09.310974	98
7810	31154	6546	2013-08-03 02:58:09.319935	2013-08-03 02:58:09.319935	98
7811	31118	11493	2013-08-03 02:58:09.32501	2013-08-03 02:58:09.32501	98
7812	31102	19448	2013-08-03 02:58:09.330663	2013-08-03 02:58:09.330663	98
7813	31094	14903	2013-08-03 02:58:09.335287	2013-08-03 02:58:09.335287	98
7814	31431	10945	2013-08-03 02:58:09.357888	2013-08-03 02:58:09.357888	98
7815	31362	10785	2013-08-03 02:58:09.361558	2013-08-03 02:58:09.361558	98
7816	31287	5537	2013-08-03 02:58:09.365569	2013-08-03 02:58:09.365569	98
7817	31203	5479	2013-08-03 02:58:09.369499	2013-08-03 02:58:09.369499	98
7818	31198	9096	2013-08-03 02:58:09.373394	2013-08-03 02:58:09.373394	98
7819	31155	15078	2013-08-03 02:58:09.381565	2013-08-03 02:58:09.381565	98
7820	31151	9076	2013-08-03 02:58:09.387516	2013-08-03 02:58:09.387516	98
7821	31125	19848	2013-08-03 02:58:09.396412	2013-08-03 02:58:09.396412	98
7822	31096	18497	2013-08-03 02:58:09.400329	2013-08-03 02:58:09.400329	98
7823	31093	14623	2013-08-03 02:58:09.403473	2013-08-03 02:58:09.403473	98
7824	31432	20748	2013-08-03 03:09:46.77357	2013-08-03 03:09:46.77357	99
7825	31399	20768	2013-08-03 03:09:46.786233	2013-08-03 03:09:46.786233	99
7826	31353	20788	2013-08-03 03:09:46.797468	2013-08-03 03:09:46.797468	99
7827	31288	20808	2013-08-03 03:09:46.808997	2013-08-03 03:09:46.808997	99
7828	31250	20828	2013-08-03 03:09:46.820579	2013-08-03 03:09:46.820579	99
7829	31148	20848	2013-08-03 03:09:46.832171	2013-08-03 03:09:46.832171	99
7830	31126	20868	2013-08-03 03:09:46.843662	2013-08-03 03:09:46.843662	99
7831	31097	20888	2013-08-03 03:09:46.85454	2013-08-03 03:09:46.85454	99
7832	31095	6366	2013-08-03 03:09:46.865467	2013-08-03 03:09:46.865467	99
7833	31087	6511	2013-08-03 03:09:46.914766	2013-08-03 03:09:46.914766	99
7834	31156	17103	2013-08-03 03:09:46.939704	2013-08-03 03:09:46.939704	99
7835	31156	17083	2013-08-03 03:09:46.951013	2013-08-03 03:09:46.951013	99
7836	31156	11705	2013-08-03 03:09:46.960991	2013-08-03 03:09:46.960991	99
7837	31156	8870	2013-08-03 03:09:46.970367	2013-08-03 03:09:46.970367	99
7838	31156	6986	2013-08-03 03:09:46.979535	2013-08-03 03:09:46.979535	99
7839	31156	5506	2013-08-03 03:09:46.98886	2013-08-03 03:09:46.98886	99
7840	31156	3691	2013-08-03 03:09:46.998113	2013-08-03 03:09:46.998113	99
7841	31156	6606	2013-08-03 03:09:47.007335	2013-08-03 03:09:47.007335	99
7842	31156	18497	2013-08-03 03:09:47.0165	2013-08-03 03:09:47.0165	99
7843	31156	4457	2013-08-03 03:09:47.025534	2013-08-03 03:09:47.025534	99
7844	31156	6239	2013-08-03 03:09:47.034754	2013-08-03 03:09:47.034754	99
7845	31156	19428	2013-08-03 03:09:47.043896	2013-08-03 03:09:47.043896	99
7846	31156	9136	2013-08-03 03:09:47.053257	2013-08-03 03:09:47.053257	99
7847	31156	7103	2013-08-03 03:09:47.062539	2013-08-03 03:09:47.062539	99
7848	31156	3878	2013-08-03 03:09:47.071693	2013-08-03 03:09:47.071693	99
7849	31156	3204	2013-08-03 03:09:47.081079	2013-08-03 03:09:47.081079	99
7850	31156	3825	2013-08-03 03:09:47.090336	2013-08-03 03:09:47.090336	99
7851	31156	20228	2013-08-03 03:09:47.099702	2013-08-03 03:09:47.099702	99
7852	31156	6531	2013-08-03 03:09:47.109146	2013-08-03 03:09:47.109146	99
7853	31838	3937	2013-08-03 03:09:47.132761	2013-08-03 03:09:47.132761	99
7854	31838	4017	2013-08-03 03:09:47.143329	2013-08-03 03:09:47.143329	99
7855	31838	3941	2013-08-03 03:09:47.153971	2013-08-03 03:09:47.153971	99
7856	31838	3961	2013-08-03 03:09:47.163905	2013-08-03 03:09:47.163905	99
7857	31838	3981	2013-08-03 03:09:47.173761	2013-08-03 03:09:47.173761	99
7858	31838	4001	2013-08-03 03:09:47.183483	2013-08-03 03:09:47.183483	99
7859	31838	4021	2013-08-03 03:09:47.193359	2013-08-03 03:09:47.193359	99
7860	31838	4064	2013-08-03 03:09:47.203439	2013-08-03 03:09:47.203439	99
7861	31838	4044	2013-08-03 03:09:47.213405	2013-08-03 03:09:47.213405	99
7862	31838	4024	2013-08-03 03:09:47.22319	2013-08-03 03:09:47.22319	99
7863	31838	4004	2013-08-03 03:09:47.2332	2013-08-03 03:09:47.2332	99
7864	31838	3984	2013-08-03 03:09:47.247383	2013-08-03 03:09:47.247383	99
7865	31838	3964	2013-08-03 03:09:47.258767	2013-08-03 03:09:47.258767	99
7866	31838	3944	2013-08-03 03:09:47.269373	2013-08-03 03:09:47.269373	99
7867	31838	12078	2013-08-03 03:09:47.2798	2013-08-03 03:09:47.2798	99
7868	31838	11418	2013-08-03 03:09:47.290553	2013-08-03 03:09:47.290553	99
7869	31838	13071	2013-08-03 03:09:47.30016	2013-08-03 03:09:47.30016	99
7870	31838	15983	2013-08-03 03:09:47.309887	2013-08-03 03:09:47.309887	99
7871	31838	5157	2013-08-03 03:09:47.319649	2013-08-03 03:09:47.319649	99
7872	31228	11785	2013-08-03 03:09:47.346316	2013-08-03 03:09:47.346316	99
7873	31228	11755	2013-08-03 03:09:47.357517	2013-08-03 03:09:47.357517	99
7874	31228	11657	2013-08-03 03:09:47.367586	2013-08-03 03:09:47.367586	99
7875	31228	11765	2013-08-03 03:09:47.377448	2013-08-03 03:09:47.377448	99
7876	31228	8061	2013-08-03 03:09:47.38752	2013-08-03 03:09:47.38752	99
7877	31228	6946	2013-08-03 03:09:47.397466	2013-08-03 03:09:47.397466	99
7878	31228	5028	2013-08-03 03:09:47.407069	2013-08-03 03:09:47.407069	99
7879	31228	20948	2013-08-03 03:09:47.416313	2013-08-03 03:09:47.416313	99
7880	31228	19608	2013-08-03 03:09:47.425759	2013-08-03 03:09:47.425759	99
7881	31228	6186	2013-08-03 03:09:47.435565	2013-08-03 03:09:47.435565	99
7882	31228	14903	2013-08-03 03:09:47.445445	2013-08-03 03:09:47.445445	99
7883	31228	6279	2013-08-03 03:09:47.455096	2013-08-03 03:09:47.455096	99
7884	31228	5531	2013-08-03 03:09:47.465123	2013-08-03 03:09:47.465123	99
7885	31228	7880	2013-08-03 03:09:47.474935	2013-08-03 03:09:47.474935	99
7886	31228	3775	2013-08-03 03:09:47.484602	2013-08-03 03:09:47.484602	99
7887	31228	3651	2013-08-03 03:09:47.494409	2013-08-03 03:09:47.494409	99
7888	31228	12703	2013-08-03 03:09:47.50421	2013-08-03 03:09:47.50421	99
7889	31228	19497	2013-08-03 03:09:47.513908	2013-08-03 03:09:47.513908	99
7890	31228	5177	2013-08-03 03:09:47.523611	2013-08-03 03:09:47.523611	99
7891	31676	6339	2013-08-03 03:09:47.591856	2013-08-03 03:09:47.591856	99
7892	31428	20268	2013-08-03 03:09:47.602824	2013-08-03 03:09:47.602824	99
7893	31355	5511	2013-08-03 03:09:47.61296	2013-08-03 03:09:47.61296	99
7894	31153	5516	2013-08-03 03:09:47.623381	2013-08-03 03:09:47.623381	99
7895	31150	5706	2013-08-03 03:09:47.633644	2013-08-03 03:09:47.633644	99
7896	31129	6286	2013-08-03 03:09:47.643948	2013-08-03 03:09:47.643948	99
7897	31128	2289	2013-08-03 03:09:47.654321	2013-08-03 03:09:47.654321	99
7898	31106	20248	2013-08-03 03:09:47.66468	2013-08-03 03:09:47.66468	99
7899	31104	4759	2013-08-03 03:09:47.674986	2013-08-03 03:09:47.674986	99
7900	31099	4618	2013-08-03 03:09:47.685376	2013-08-03 03:09:47.685376	99
7901	31299	21988	2013-08-03 03:09:47.713309	2013-08-03 03:09:47.713309	99
7902	31299	21968	2013-08-03 03:09:47.724851	2013-08-03 03:09:47.724851	99
7903	31299	21948	2013-08-03 03:09:47.735652	2013-08-03 03:09:47.735652	99
7904	31299	21928	2013-08-03 03:09:47.746667	2013-08-03 03:09:47.746667	99
7905	31299	21908	2013-08-03 03:09:47.784485	2013-08-03 03:09:47.784485	99
7906	31299	21888	2013-08-03 03:09:47.795503	2013-08-03 03:09:47.795503	99
7907	31299	21868	2013-08-03 03:09:47.806228	2013-08-03 03:09:47.806228	99
7908	31299	21848	2013-08-03 03:09:47.8171	2013-08-03 03:09:47.8171	99
7909	31299	21828	2013-08-03 03:09:47.827889	2013-08-03 03:09:47.827889	99
7910	31299	21808	2013-08-03 03:09:47.838636	2013-08-03 03:09:47.838636	99
7911	31299	21788	2013-08-03 03:09:47.849299	2013-08-03 03:09:47.849299	99
7912	31299	21768	2013-08-03 03:09:47.859269	2013-08-03 03:09:47.859269	99
7913	31299	21748	2013-08-03 03:09:47.869339	2013-08-03 03:09:47.869339	99
7914	31299	21728	2013-08-03 03:09:47.879263	2013-08-03 03:09:47.879263	99
7915	31299	21708	2013-08-03 03:09:47.88994	2013-08-03 03:09:47.88994	99
7916	31299	21688	2013-08-03 03:09:47.899932	2013-08-03 03:09:47.899932	99
7917	31299	21668	2013-08-03 03:09:47.91046	2013-08-03 03:09:47.91046	99
7918	31299	21648	2013-08-03 03:09:47.921343	2013-08-03 03:09:47.921343	99
7919	31299	21628	2013-08-03 03:09:47.93185	2013-08-03 03:09:47.93185	99
7920	31157	12853	2013-08-03 03:09:47.979491	2013-08-03 03:09:47.979491	99
7921	31157	12833	2013-08-03 03:09:47.991091	2013-08-03 03:09:47.991091	99
7922	31157	12813	2013-08-03 03:09:48.002624	2013-08-03 03:09:48.002624	99
7923	31157	12793	2013-08-03 03:09:48.013625	2013-08-03 03:09:48.013625	99
7924	31157	12773	2013-08-03 03:09:48.024525	2013-08-03 03:09:48.024525	99
7925	31157	12753	2013-08-03 03:09:48.035444	2013-08-03 03:09:48.035444	99
7926	31157	12733	2013-08-03 03:09:48.045789	2013-08-03 03:09:48.045789	99
7927	31157	12713	2013-08-03 03:09:48.056377	2013-08-03 03:09:48.056377	99
7928	31157	12693	2013-08-03 03:09:48.067159	2013-08-03 03:09:48.067159	99
7929	31157	12673	2013-08-03 03:09:48.078008	2013-08-03 03:09:48.078008	99
7930	31157	12653	2013-08-03 03:09:48.088752	2013-08-03 03:09:48.088752	99
7931	31157	12633	2013-08-03 03:09:48.099619	2013-08-03 03:09:48.099619	99
7932	31157	6526	2013-08-03 03:09:48.110369	2013-08-03 03:09:48.110369	99
7933	31157	4957	2013-08-03 03:09:48.120342	2013-08-03 03:09:48.120342	99
7934	31157	3892	2013-08-03 03:09:48.130598	2013-08-03 03:09:48.130598	99
7935	31157	6813	2013-08-03 03:09:48.140673	2013-08-03 03:09:48.140673	99
7936	31157	13371	2013-08-03 03:09:48.150686	2013-08-03 03:09:48.150686	99
7937	31157	15877	2013-08-03 03:09:48.160645	2013-08-03 03:09:48.160645	99
7938	31157	3584	2013-08-03 03:09:48.170139	2013-08-03 03:09:48.170139	99
7939	31433	15035	2013-08-03 03:09:48.225601	2013-08-03 03:09:48.225601	99
7940	31402	15015	2013-08-03 03:09:48.237345	2013-08-03 03:09:48.237345	99
7941	31354	14995	2013-08-03 03:09:48.249429	2013-08-03 03:09:48.249429	99
7942	31289	14975	2013-08-03 03:09:48.256999	2013-08-03 03:09:48.256999	99
7943	31251	14955	2013-08-03 03:09:48.269058	2013-08-03 03:09:48.269058	99
7944	31195	14935	2013-08-03 03:09:48.28071	2013-08-03 03:09:48.28071	99
7945	31170	14915	2013-08-03 03:09:48.292134	2013-08-03 03:09:48.292134	99
7946	31152	6726	2013-08-03 03:09:48.303403	2013-08-03 03:09:48.303403	99
7947	31149	10175	2013-08-03 03:09:48.314004	2013-08-03 03:09:48.314004	99
7948	31127	20208	2013-08-03 03:09:48.324709	2013-08-03 03:09:48.324709	99
7949	31101	13355	2013-08-03 03:09:48.335308	2013-08-03 03:09:48.335308	99
7950	31085	13375	2013-08-03 03:09:48.345981	2013-08-03 03:09:48.345981	99
7951	31227	10576	2013-08-03 03:09:48.375662	2013-08-03 03:09:48.375662	99
7952	31227	10556	2013-08-03 03:09:48.387242	2013-08-03 03:09:48.387242	99
7953	31227	10536	2013-08-03 03:09:48.398222	2013-08-03 03:09:48.398222	99
7954	31227	10516	2013-08-03 03:09:48.409012	2013-08-03 03:09:48.409012	99
7955	31227	10496	2013-08-03 03:09:48.42001	2013-08-03 03:09:48.42001	99
7956	31227	10476	2013-08-03 03:09:48.430872	2013-08-03 03:09:48.430872	99
7957	31227	10456	2013-08-03 03:09:48.441685	2013-08-03 03:09:48.441685	99
7958	31227	10436	2013-08-03 03:09:48.452401	2013-08-03 03:09:48.452401	99
7959	31227	10416	2013-08-03 03:09:48.463038	2013-08-03 03:09:48.463038	99
7960	31227	10396	2013-08-03 03:09:48.474115	2013-08-03 03:09:48.474115	99
7961	31227	10376	2013-08-03 03:09:48.485229	2013-08-03 03:09:48.485229	99
7962	31227	10238	2013-08-03 03:09:48.496122	2013-08-03 03:09:48.496122	99
7963	31227	10356	2013-08-03 03:09:48.506533	2013-08-03 03:09:48.506533	99
7964	31227	10336	2013-08-03 03:09:48.516884	2013-08-03 03:09:48.516884	99
7965	31227	10316	2013-08-03 03:09:48.527408	2013-08-03 03:09:48.527408	99
7966	31227	5971	2013-08-03 03:09:48.537666	2013-08-03 03:09:48.537666	99
7967	31227	6706	2013-08-03 03:09:48.547695	2013-08-03 03:09:48.547695	99
7968	31227	6086	2013-08-03 03:09:48.557974	2013-08-03 03:09:48.557974	99
7969	31227	12912	2013-08-03 03:09:48.568267	2013-08-03 03:09:48.568267	99
7970	31683	21497	2013-08-03 03:09:48.645264	2013-08-03 03:09:48.645264	99
7971	31430	21477	2013-08-03 03:09:48.655184	2013-08-03 03:09:48.655184	99
7972	31361	21457	2013-08-03 03:09:48.665204	2013-08-03 03:09:48.665204	99
7973	31290	21437	2013-08-03 03:09:48.676171	2013-08-03 03:09:48.676171	99
7974	31197	20868	2013-08-03 03:09:48.686794	2013-08-03 03:09:48.686794	99
7975	31172	5257	2013-08-03 03:09:48.696899	2013-08-03 03:09:48.696899	99
7976	31154	2289	2013-08-03 03:09:48.706734	2013-08-03 03:09:48.706734	99
7977	31118	20208	2013-08-03 03:09:48.761218	2013-08-03 03:09:48.761218	99
7978	31102	6350	2013-08-03 03:09:48.76778	2013-08-03 03:09:48.76778	99
7979	31094	20048	2013-08-03 03:09:48.77205	2013-08-03 03:09:48.77205	99
7980	31431	15898	2013-08-03 03:09:48.815405	2013-08-03 03:09:48.815405	99
7981	31362	15878	2013-08-03 03:09:48.827129	2013-08-03 03:09:48.827129	99
7982	31287	15858	2013-08-03 03:09:48.838203	2013-08-03 03:09:48.838203	99
7983	31203	15838	2013-08-03 03:09:48.849374	2013-08-03 03:09:48.849374	99
7984	31198	15818	2013-08-03 03:09:48.861098	2013-08-03 03:09:48.861098	99
7985	31155	15798	2013-08-03 03:09:48.872523	2013-08-03 03:09:48.872523	99
7986	31151	15778	2013-08-03 03:09:48.88384	2013-08-03 03:09:48.88384	99
7987	31125	15758	2013-08-03 03:09:48.895124	2013-08-03 03:09:48.895124	99
7988	31096	5237	2013-08-03 03:09:48.906375	2013-08-03 03:09:48.906375	99
7989	31093	5986	2013-08-03 03:09:48.916911	2013-08-03 03:09:48.916911	99
7990	33796	10817	2013-08-03 17:05:34.161947	2013-08-03 17:05:34.161947	101
7991	33702	8880	2013-08-03 17:05:34.244145	2013-08-03 17:05:34.244145	101
7992	33650	8900	2013-08-03 17:05:34.253344	2013-08-03 17:05:34.253344	101
7993	33563	20717	2013-08-03 17:05:34.26158	2013-08-03 17:05:34.26158	101
7994	33495	1364	2013-08-03 17:05:34.268634	2013-08-03 17:05:34.268634	101
7995	33417	12528	2013-08-03 17:05:34.275547	2013-08-03 17:05:34.275547	101
7996	33390	13028	2013-08-03 17:05:34.283113	2013-08-03 17:05:34.283113	101
7997	33380	4091	2013-08-03 17:05:34.290449	2013-08-03 17:05:34.290449	101
7998	33360	7259	2013-08-03 17:05:34.297044	2013-08-03 17:05:34.297044	101
7999	33350	13931	2013-08-03 17:05:34.304282	2013-08-03 17:05:34.304282	101
8000	33293	13951	2013-08-03 17:05:34.311976	2013-08-03 17:05:34.311976	101
8001	33461	3084	2013-08-03 17:05:34.323479	2013-08-03 17:05:34.323479	101
8002	33461	3104	2013-08-03 17:05:34.328309	2013-08-03 17:05:34.328309	101
8003	33461	3124	2013-08-03 17:05:34.332336	2013-08-03 17:05:34.332336	101
8004	33461	2999	2013-08-03 17:05:34.335827	2013-08-03 17:05:34.335827	101
8005	33461	3030	2013-08-03 17:05:34.339133	2013-08-03 17:05:34.339133	101
8006	33461	3026	2013-08-03 17:05:34.342203	2013-08-03 17:05:34.342203	101
8007	33461	5166	2013-08-03 17:05:34.345382	2013-08-03 17:05:34.345382	101
8008	33461	17097	2013-08-03 17:05:34.348428	2013-08-03 17:05:34.348428	101
8009	33461	8519	2013-08-03 17:05:34.351522	2013-08-03 17:05:34.351522	101
8010	33461	5070	2013-08-03 17:05:34.354769	2013-08-03 17:05:34.354769	101
8011	33461	13371	2013-08-03 17:05:34.35802	2013-08-03 17:05:34.35802	101
8012	33461	21188	2013-08-03 17:05:34.361664	2013-08-03 17:05:34.361664	101
8013	33461	21208	2013-08-03 17:05:34.365167	2013-08-03 17:05:34.365167	101
8014	33461	21228	2013-08-03 17:05:34.368708	2013-08-03 17:05:34.368708	101
8015	33461	21248	2013-08-03 17:05:34.372339	2013-08-03 17:05:34.372339	101
8016	33461	21268	2013-08-03 17:05:34.400961	2013-08-03 17:05:34.400961	101
8017	33461	21288	2013-08-03 17:05:34.404512	2013-08-03 17:05:34.404512	101
8018	33461	8920	2013-08-03 17:05:34.448026	2013-08-03 17:05:34.448026	101
8019	33461	21308	2013-08-03 17:05:34.452	2013-08-03 17:05:34.452	101
8020	34190	17303	2013-08-03 17:05:34.466704	2013-08-03 17:05:34.466704	101
8021	34190	17283	2013-08-03 17:05:34.470001	2013-08-03 17:05:34.470001	101
8022	34190	17263	2013-08-03 17:05:34.473303	2013-08-03 17:05:34.473303	101
8023	34190	17243	2013-08-03 17:05:34.477419	2013-08-03 17:05:34.477419	101
8024	34190	17223	2013-08-03 17:05:34.481352	2013-08-03 17:05:34.481352	101
8025	34190	17203	2013-08-03 17:05:34.485374	2013-08-03 17:05:34.485374	101
8026	34190	17183	2013-08-03 17:05:34.48954	2013-08-03 17:05:34.48954	101
8027	34190	17163	2013-08-03 17:05:34.493517	2013-08-03 17:05:34.493517	101
8028	34190	17143	2013-08-03 17:05:34.496985	2013-08-03 17:05:34.496985	101
8029	33411	17123	2013-08-03 17:05:34.50366	2013-08-03 17:05:34.50366	101
8030	33411	17077	2013-08-03 17:05:34.507285	2013-08-03 17:05:34.507285	101
8031	33411	13392	2013-08-03 17:05:34.51078	2013-08-03 17:05:34.51078	101
8032	33411	12380	2013-08-03 17:05:34.514067	2013-08-03 17:05:34.514067	101
8033	33411	10796	2013-08-03 17:05:34.51732	2013-08-03 17:05:34.51732	101
8034	33411	9010	2013-08-03 17:05:34.520284	2013-08-03 17:05:34.520284	101
8035	33411	20188	2013-08-03 17:05:34.523331	2013-08-03 17:05:34.523331	101
8036	33411	13991	2013-08-03 17:05:34.52642	2013-08-03 17:05:34.52642	101
8037	33411	7041	2013-08-03 17:05:34.529508	2013-08-03 17:05:34.529508	101
8038	33406	4170	2013-08-03 17:05:34.541042	2013-08-03 17:05:34.541042	101
8039	33406	4157	2013-08-03 17:05:34.545112	2013-08-03 17:05:34.545112	101
8040	33406	4130	2013-08-03 17:05:34.549555	2013-08-03 17:05:34.549555	101
8041	33406	4097	2013-08-03 17:05:34.553705	2013-08-03 17:05:34.553705	101
8042	33406	4110	2013-08-03 17:05:34.557661	2013-08-03 17:05:34.557661	101
8043	33406	4224	2013-08-03 17:05:34.561045	2013-08-03 17:05:34.561045	101
8044	33406	4204	2013-08-03 17:05:34.564217	2013-08-03 17:05:34.564217	101
8045	33406	4184	2013-08-03 17:05:34.567317	2013-08-03 17:05:34.567317	101
8046	33406	4164	2013-08-03 17:05:34.570392	2013-08-03 17:05:34.570392	101
8047	33406	4144	2013-08-03 17:05:34.573493	2013-08-03 17:05:34.573493	101
8048	33406	4124	2013-08-03 17:05:34.57647	2013-08-03 17:05:34.57647	101
8049	33406	4104	2013-08-03 17:05:34.579494	2013-08-03 17:05:34.579494	101
8050	33406	4084	2013-08-03 17:05:34.582536	2013-08-03 17:05:34.582536	101
8051	33406	4057	2013-08-03 17:05:34.58559	2013-08-03 17:05:34.58559	101
8052	33406	5706	2013-08-03 17:05:34.588615	2013-08-03 17:05:34.588615	101
8053	33406	10175	2013-08-03 17:05:34.591815	2013-08-03 17:05:34.591815	101
8054	33406	14011	2013-08-03 17:05:34.595168	2013-08-03 17:05:34.595168	101
8055	33406	7150	2013-08-03 17:05:34.598424	2013-08-03 17:05:34.598424	101
8056	33406	13028	2013-08-03 17:05:34.60167	2013-08-03 17:05:34.60167	101
8057	34177	11985	2013-08-03 17:05:34.616525	2013-08-03 17:05:34.616525	101
8058	34177	11965	2013-08-03 17:05:34.620484	2013-08-03 17:05:34.620484	101
8059	34177	11980	2013-08-03 17:05:34.624738	2013-08-03 17:05:34.624738	101
8060	34177	11945	2013-08-03 17:05:34.628783	2013-08-03 17:05:34.628783	101
8061	34177	11872	2013-08-03 17:05:34.633136	2013-08-03 17:05:34.633136	101
8062	34177	11925	2013-08-03 17:05:34.637162	2013-08-03 17:05:34.637162	101
8063	34177	11905	2013-08-03 17:05:34.640858	2013-08-03 17:05:34.640858	101
8064	34177	11885	2013-08-03 17:05:34.644602	2013-08-03 17:05:34.644602	101
8065	34177	11865	2013-08-03 17:05:34.649139	2013-08-03 17:05:34.649139	101
8066	33430	11845	2013-08-03 17:05:34.656331	2013-08-03 17:05:34.656331	101
8067	33430	11780	2013-08-03 17:05:34.65972	2013-08-03 17:05:34.65972	101
8068	33430	11825	2013-08-03 17:05:34.662902	2013-08-03 17:05:34.662902	101
8069	33430	11805	2013-08-03 17:05:34.666203	2013-08-03 17:05:34.666203	101
8070	33430	10756	2013-08-03 17:05:34.671075	2013-08-03 17:05:34.671075	101
8071	33430	8970	2013-08-03 17:05:34.675431	2013-08-03 17:05:34.675431	101
8072	33430	8736	2013-08-03 17:05:34.680548	2013-08-03 17:05:34.680548	101
8073	33430	14031	2013-08-03 17:05:34.68415	2013-08-03 17:05:34.68415	101
8074	33430	4391	2013-08-03 17:05:34.687638	2013-08-03 17:05:34.687638	101
8075	33895	5991	2013-08-03 17:05:34.702251	2013-08-03 17:05:34.702251	101
8076	33895	13737	2013-08-03 17:05:34.707381	2013-08-03 17:05:34.707381	101
8077	33895	9585	2013-08-03 17:05:34.714796	2013-08-03 17:05:34.714796	101
8078	33895	3881	2013-08-03 17:05:34.719568	2013-08-03 17:05:34.719568	101
8079	33895	5339	2013-08-03 17:05:34.72364	2013-08-03 17:05:34.72364	101
8080	33895	5539	2013-08-03 17:05:34.727333	2013-08-03 17:05:34.727333	101
8081	33895	6299	2013-08-03 17:05:34.731523	2013-08-03 17:05:34.731523	101
8082	33895	9116	2013-08-03 17:05:34.734743	2013-08-03 17:05:34.734743	101
8083	33895	20108	2013-08-03 17:05:34.739738	2013-08-03 17:05:34.739738	101
8084	33895	9045	2013-08-03 17:05:34.749355	2013-08-03 17:05:34.749355	101
8085	33895	3870	2013-08-03 17:05:34.759686	2013-08-03 17:05:34.759686	101
8086	33895	6286	2013-08-03 17:05:34.770124	2013-08-03 17:05:34.770124	101
8087	33895	10817	2013-08-03 17:05:34.780387	2013-08-03 17:05:34.780387	101
8088	33895	14051	2013-08-03 17:05:34.823093	2013-08-03 17:05:34.823093	101
8089	33895	5019	2013-08-03 17:05:34.828023	2013-08-03 17:05:34.828023	101
8090	33895	18688	2013-08-03 17:05:34.833774	2013-08-03 17:05:34.833774	101
8091	33895	20748	2013-08-03 17:05:34.839289	2013-08-03 17:05:34.839289	101
8092	33895	8959	2013-08-03 17:05:34.847524	2013-08-03 17:05:34.847524	101
8093	33895	5197	2013-08-03 17:05:34.857203	2013-08-03 17:05:34.857203	101
8094	33608	22108	2013-08-03 17:05:34.909448	2013-08-03 17:05:34.909448	101
8095	33608	22088	2013-08-03 17:05:34.922309	2013-08-03 17:05:34.922309	101
8096	33577	22068	2013-08-03 17:05:34.946697	2013-08-03 17:05:34.946697	101
8097	33577	22048	2013-08-03 17:05:34.958093	2013-08-03 17:05:34.958093	101
8098	33419	22028	2013-08-03 17:05:34.981599	2013-08-03 17:05:34.981599	101
8099	33419	22008	2013-08-03 17:05:34.992751	2013-08-03 17:05:34.992751	101
8100	33413	21857	2013-08-03 17:05:35.015374	2013-08-03 17:05:35.015374	101
8101	33413	14955	2013-08-03 17:05:35.02614	2013-08-03 17:05:35.02614	101
8102	33409	12280	2013-08-03 17:05:35.051648	2013-08-03 17:05:35.051648	101
8103	33409	10825	2013-08-03 17:05:35.06155	2013-08-03 17:05:35.06155	101
8104	33392	5237	2013-08-03 17:05:35.085244	2013-08-03 17:05:35.085244	101
8105	33392	5257	2013-08-03 17:05:35.09655	2013-08-03 17:05:35.09655	101
8106	33382	20768	2013-08-03 17:05:35.118901	2013-08-03 17:05:35.118901	101
8107	33382	6103	2013-08-03 17:05:35.130162	2013-08-03 17:05:35.130162	101
8108	33366	8880	2013-08-03 17:05:35.153081	2013-08-03 17:05:35.153081	101
8109	33366	14091	2013-08-03 17:05:35.164208	2013-08-03 17:05:35.164208	101
8110	33287	3704	2013-08-03 17:05:35.177788	2013-08-03 17:05:35.177788	101
8111	33287	20048	2013-08-03 17:05:35.184414	2013-08-03 17:05:35.184414	101
8112	33587	13583	2013-08-03 17:05:35.209949	2013-08-03 17:05:35.209949	101
8113	33587	13652	2013-08-03 17:05:35.215654	2013-08-03 17:05:35.215654	101
8114	33587	13632	2013-08-03 17:05:35.224449	2013-08-03 17:05:35.224449	101
8115	33587	13612	2013-08-03 17:05:35.227788	2013-08-03 17:05:35.227788	101
8116	33587	13592	2013-08-03 17:05:35.230762	2013-08-03 17:05:35.230762	101
8117	33587	13572	2013-08-03 17:05:35.235043	2013-08-03 17:05:35.235043	101
8118	33587	13552	2013-08-03 17:05:35.240024	2013-08-03 17:05:35.240024	101
8119	33587	13532	2013-08-03 17:05:35.245367	2013-08-03 17:05:35.245367	101
8120	33587	13618	2013-08-03 17:05:35.253758	2013-08-03 17:05:35.253758	101
8121	33587	13512	2013-08-03 17:05:35.264997	2013-08-03 17:05:35.264997	101
8122	33587	13377	2013-08-03 17:05:35.275649	2013-08-03 17:05:35.275649	101
8123	33587	13397	2013-08-03 17:05:35.286213	2013-08-03 17:05:35.286213	101
8124	33587	13492	2013-08-03 17:05:35.296834	2013-08-03 17:05:35.296834	101
8125	33587	13472	2013-08-03 17:05:35.307364	2013-08-03 17:05:35.307364	101
8126	33587	13452	2013-08-03 17:05:35.318373	2013-08-03 17:05:35.318373	101
8127	33587	12703	2013-08-03 17:05:35.329781	2013-08-03 17:05:35.329781	101
8128	33587	14091	2013-08-03 17:05:35.34039	2013-08-03 17:05:35.34039	101
8129	33587	8880	2013-08-03 17:05:35.350601	2013-08-03 17:05:35.350601	101
8130	33587	7259	2013-08-03 17:05:35.361048	2013-08-03 17:05:35.361048	101
8131	33292	13055	2013-08-03 17:05:35.401482	2013-08-03 17:05:35.401482	101
8132	33292	13033	2013-08-03 17:05:35.412753	2013-08-03 17:05:35.412753	101
8133	33292	13023	2013-08-03 17:05:35.4235	2013-08-03 17:05:35.4235	101
8134	33292	13013	2013-08-03 17:05:35.434476	2013-08-03 17:05:35.434476	101
8135	33292	12993	2013-08-03 17:05:35.445333	2013-08-03 17:05:35.445333	101
8136	33292	12973	2013-08-03 17:05:35.457774	2013-08-03 17:05:35.457774	101
8137	33292	12953	2013-08-03 17:05:35.469666	2013-08-03 17:05:35.469666	101
8138	33292	12933	2013-08-03 17:05:35.482771	2013-08-03 17:05:35.482771	101
8139	33292	12913	2013-08-03 17:05:35.487502	2013-08-03 17:05:35.487502	101
8140	33292	12893	2013-08-03 17:05:35.491276	2013-08-03 17:05:35.491276	101
8141	33292	12828	2013-08-03 17:05:35.495009	2013-08-03 17:05:35.495009	101
8142	33292	12873	2013-08-03 17:05:35.530237	2013-08-03 17:05:35.530237	101
8143	33292	12180	2013-08-03 17:05:35.538337	2013-08-03 17:05:35.538337	101
8144	33292	10676	2013-08-03 17:05:35.544205	2013-08-03 17:05:35.544205	101
8145	33292	6379	2013-08-03 17:05:35.54966	2013-08-03 17:05:35.54966	101
8146	33292	3915	2013-08-03 17:05:35.554446	2013-08-03 17:05:35.554446	101
8147	33292	3885	2013-08-03 17:05:35.559481	2013-08-03 17:05:35.559481	101
8148	33292	15078	2013-08-03 17:05:35.564432	2013-08-03 17:05:35.564432	101
8149	33292	15877	2013-08-03 17:05:35.569075	2013-08-03 17:05:35.569075	101
8150	33741	15175	2013-08-03 17:05:35.655213	2013-08-03 17:05:35.655213	101
8151	33712	12140	2013-08-03 17:05:35.674436	2013-08-03 17:05:35.674436	101
8152	33649	10636	2013-08-03 17:05:35.696634	2013-08-03 17:05:35.696634	101
8153	33569	5606	2013-08-03 17:05:35.719266	2013-08-03 17:05:35.719266	101
8154	33418	16923	2013-08-03 17:05:35.732395	2013-08-03 17:05:35.732395	101
8155	33414	19488	2013-08-03 17:05:35.754572	2013-08-03 17:05:35.754572	101
8156	33408	3724	2013-08-03 17:05:35.77626	2013-08-03 17:05:35.77626	101
8157	33391	20228	2013-08-03 17:05:35.799597	2013-08-03 17:05:35.799597	101
8158	33381	22088	2013-08-03 17:05:35.8216	2013-08-03 17:05:35.8216	101
8159	33361	22108	2013-08-03 17:05:35.843437	2013-08-03 17:05:35.843437	101
8160	33297	13931	2013-08-03 17:05:35.865717	2013-08-03 17:05:35.865717	101
8161	33493	10175	2013-08-03 17:05:35.902808	2013-08-03 17:05:35.902808	101
8162	33493	7150	2013-08-03 17:05:35.911996	2013-08-03 17:05:35.911996	101
8163	33493	5579	2013-08-03 17:05:35.918328	2013-08-03 17:05:35.918328	101
8164	33493	20908	2013-08-03 17:05:35.926159	2013-08-03 17:05:35.926159	101
8165	33493	13028	2013-08-03 17:05:35.934038	2013-08-03 17:05:35.934038	101
8166	33493	14011	2013-08-03 17:05:35.944181	2013-08-03 17:05:35.944181	101
8167	33493	4084	2013-08-03 17:05:35.95425	2013-08-03 17:05:35.95425	101
8168	33493	4104	2013-08-03 17:05:35.964313	2013-08-03 17:05:35.964313	101
8169	33493	4124	2013-08-03 17:05:35.97567	2013-08-03 17:05:35.97567	101
8170	33493	4144	2013-08-03 17:05:35.986555	2013-08-03 17:05:35.986555	101
8171	33493	4164	2013-08-03 17:05:35.99667	2013-08-03 17:05:35.99667	101
8172	33493	4184	2013-08-03 17:05:36.006443	2013-08-03 17:05:36.006443	101
8173	33493	4204	2013-08-03 17:05:36.016829	2013-08-03 17:05:36.016829	101
8174	33493	4224	2013-08-03 17:05:36.02682	2013-08-03 17:05:36.02682	101
8175	33493	4110	2013-08-03 17:05:36.036863	2013-08-03 17:05:36.036863	101
8176	33493	4097	2013-08-03 17:05:36.047126	2013-08-03 17:05:36.047126	101
8177	33493	4130	2013-08-03 17:05:36.057668	2013-08-03 17:05:36.057668	101
8178	33493	4157	2013-08-03 17:05:36.068214	2013-08-03 17:05:36.068214	101
8179	33493	4170	2013-08-03 17:05:36.07867	2013-08-03 17:05:36.07867	101
8180	33797	16278	2013-08-03 17:05:36.128623	2013-08-03 17:05:36.128623	101
8181	33797	16258	2013-08-03 17:05:36.140065	2013-08-03 17:05:36.140065	101
8182	33755	16238	2013-08-03 17:05:36.162772	2013-08-03 17:05:36.162772	101
8183	33755	16218	2013-08-03 17:05:36.173705	2013-08-03 17:05:36.173705	101
8184	33752	16198	2013-08-03 17:05:36.196257	2013-08-03 17:05:36.196257	101
8185	33752	16178	2013-08-03 17:05:36.205381	2013-08-03 17:05:36.205381	101
8186	33648	16158	2013-08-03 17:05:36.216021	2013-08-03 17:05:36.216021	101
8187	33648	16138	2013-08-03 17:05:36.221383	2013-08-03 17:05:36.221383	101
8188	33415	16118	2013-08-03 17:05:36.233755	2013-08-03 17:05:36.233755	101
8189	33415	16098	2013-08-03 17:05:36.273001	2013-08-03 17:05:36.273001	101
8190	33410	3624	2013-08-03 17:05:36.287815	2013-08-03 17:05:36.287815	101
8191	33410	19568	2013-08-03 17:05:36.295348	2013-08-03 17:05:36.295348	101
8192	33394	6086	2013-08-03 17:05:36.312747	2013-08-03 17:05:36.312747	101
8193	33394	3584	2013-08-03 17:05:36.317627	2013-08-03 17:05:36.317627	101
8194	33375	3978	2013-08-03 17:05:36.33173	2013-08-03 17:05:36.33173	101
8195	33375	6491	2013-08-03 17:05:36.33546	2013-08-03 17:05:36.33546	101
8196	33289	5177	2013-08-03 17:05:36.354762	2013-08-03 17:05:36.354762	101
8197	33289	6531	2013-08-03 17:05:36.36515	2013-08-03 17:05:36.36515	101
8198	34234	8385	2013-08-03 17:10:31.626044	2013-08-03 17:10:31.626044	102
8199	34234	8453	2013-08-03 17:10:31.640058	2013-08-03 17:10:31.640058	102
8200	34234	8380	2013-08-03 17:10:31.64923	2013-08-03 17:10:31.64923	102
8201	34234	8323	2013-08-03 17:10:31.658151	2013-08-03 17:10:31.658151	102
8202	34234	8432	2013-08-03 17:10:31.668186	2013-08-03 17:10:31.668186	102
8203	34234	8461	2013-08-03 17:10:31.673253	2013-08-03 17:10:31.673253	102
8204	34234	8441	2013-08-03 17:10:31.677897	2013-08-03 17:10:31.677897	102
8205	34234	8421	2013-08-03 17:10:31.683679	2013-08-03 17:10:31.683679	102
8206	34234	8401	2013-08-03 17:10:31.692759	2013-08-03 17:10:31.692759	102
8207	34234	8381	2013-08-03 17:10:31.703496	2013-08-03 17:10:31.703496	102
8208	34234	8361	2013-08-03 17:10:31.712633	2013-08-03 17:10:31.712633	102
8209	34234	8341	2013-08-03 17:10:31.720749	2013-08-03 17:10:31.720749	102
8210	34234	8330	2013-08-03 17:10:31.72817	2013-08-03 17:10:31.72817	102
8211	34234	8321	2013-08-03 17:10:31.736678	2013-08-03 17:10:31.736678	102
8212	34234	8301	2013-08-03 17:10:31.744771	2013-08-03 17:10:31.744771	102
8213	34234	6358	2013-08-03 17:10:31.75163	2013-08-03 17:10:31.75163	102
8214	34234	17583	2013-08-03 17:10:31.755421	2013-08-03 17:10:31.755421	102
8215	34234	4305	2013-08-03 17:10:31.763439	2013-08-03 17:10:31.763439	102
8216	34234	7266	2013-08-03 17:10:31.767974	2013-08-03 17:10:31.767974	102
8217	34229	11928	2013-08-03 17:10:31.825241	2013-08-03 17:10:31.825241	102
8218	34229	19268	2013-08-03 17:10:31.835898	2013-08-03 17:10:31.835898	102
8219	34229	7578	2013-08-03 17:10:31.84191	2013-08-03 17:10:31.84191	102
8220	34229	5126	2013-08-03 17:10:31.848292	2013-08-03 17:10:31.848292	102
8221	34229	7920	2013-08-03 17:10:31.852285	2013-08-03 17:10:31.852285	102
8222	34229	5146	2013-08-03 17:10:31.855945	2013-08-03 17:10:31.855945	102
8223	34229	3064	2013-08-03 17:10:31.859552	2013-08-03 17:10:31.859552	102
8224	34229	3624	2013-08-03 17:10:31.867266	2013-08-03 17:10:31.867266	102
8225	34229	5579	2013-08-03 17:10:31.875359	2013-08-03 17:10:31.875359	102
8226	34229	7150	2013-08-03 17:10:31.884265	2013-08-03 17:10:31.884265	102
8227	34229	3724	2013-08-03 17:10:31.89334	2013-08-03 17:10:31.89334	102
8228	34229	15078	2013-08-03 17:10:31.898576	2013-08-03 17:10:31.898576	102
8229	34229	7041	2013-08-03 17:10:31.902876	2013-08-03 17:10:31.902876	102
8230	34229	20908	2013-08-03 17:10:31.907275	2013-08-03 17:10:31.907275	102
8231	34229	6378	2013-08-03 17:10:31.91134	2013-08-03 17:10:31.91134	102
8232	34229	15877	2013-08-03 17:10:31.917149	2013-08-03 17:10:31.917149	102
8233	34229	19568	2013-08-03 17:10:31.923141	2013-08-03 17:10:31.923141	102
8234	34229	4326	2013-08-03 17:10:31.928767	2013-08-03 17:10:31.928767	102
8235	34229	7246	2013-08-03 17:10:31.933236	2013-08-03 17:10:31.933236	102
8236	34295	1444	2013-08-03 17:10:31.947462	2013-08-03 17:10:31.947462	102
8237	34295	1457	2013-08-03 17:10:31.953308	2013-08-03 17:10:31.953308	102
8238	34295	1521	2013-08-03 17:10:31.960033	2013-08-03 17:10:31.960033	102
8239	34295	1464	2013-08-03 17:10:31.969262	2013-08-03 17:10:31.969262	102
8240	34295	1506	2013-08-03 17:10:31.973679	2013-08-03 17:10:31.973679	102
8241	34295	13968	2013-08-03 17:10:31.97864	2013-08-03 17:10:31.97864	102
8242	34295	6546	2013-08-03 17:10:31.982465	2013-08-03 17:10:31.982465	102
8243	34295	10805	2013-08-03 17:10:31.98632	2013-08-03 17:10:31.98632	102
8244	34295	21048	2013-08-03 17:10:31.990228	2013-08-03 17:10:31.990228	102
8245	34295	21068	2013-08-03 17:10:31.995073	2013-08-03 17:10:31.995073	102
8246	34295	21088	2013-08-03 17:10:32.044753	2013-08-03 17:10:32.044753	102
8247	34295	21108	2013-08-03 17:10:32.05192	2013-08-03 17:10:32.05192	102
8248	34295	21128	2013-08-03 17:10:32.057479	2013-08-03 17:10:32.057479	102
8249	34295	21148	2013-08-03 17:10:32.066741	2013-08-03 17:10:32.066741	102
8250	34295	21168	2013-08-03 17:10:32.075997	2013-08-03 17:10:32.075997	102
8251	34295	13348	2013-08-03 17:10:32.086417	2013-08-03 17:10:32.086417	102
8252	34295	13508	2013-08-03 17:10:32.097711	2013-08-03 17:10:32.097711	102
8253	34295	13591	2013-08-03 17:10:32.108504	2013-08-03 17:10:32.108504	102
8254	34295	4990	2013-08-03 17:10:32.119858	2013-08-03 17:10:32.119858	102
8255	34230	17843	2013-08-03 17:10:32.158816	2013-08-03 17:10:32.158816	102
8256	34230	17823	2013-08-03 17:10:32.169511	2013-08-03 17:10:32.169511	102
8257	34230	17803	2013-08-03 17:10:32.179624	2013-08-03 17:10:32.179624	102
8258	34230	17783	2013-08-03 17:10:32.1901	2013-08-03 17:10:32.1901	102
8259	34230	17763	2013-08-03 17:10:32.200227	2013-08-03 17:10:32.200227	102
8260	34230	17743	2013-08-03 17:10:32.210673	2013-08-03 17:10:32.210673	102
8261	34230	17723	2013-08-03 17:10:32.221141	2013-08-03 17:10:32.221141	102
8262	34230	17703	2013-08-03 17:10:32.231669	2013-08-03 17:10:32.231669	102
8263	34230	17683	2013-08-03 17:10:32.242114	2013-08-03 17:10:32.242114	102
8264	34230	17663	2013-08-03 17:10:32.251829	2013-08-03 17:10:32.251829	102
8265	34230	17643	2013-08-03 17:10:32.258661	2013-08-03 17:10:32.258661	102
8266	34230	17623	2013-08-03 17:10:32.262807	2013-08-03 17:10:32.262807	102
8267	34230	17603	2013-08-03 17:10:32.270001	2013-08-03 17:10:32.270001	102
8268	34230	13253	2013-08-03 17:10:32.277105	2013-08-03 17:10:32.277105	102
8269	34230	9430	2013-08-03 17:10:32.285005	2013-08-03 17:10:32.285005	102
8270	34230	6741	2013-08-03 17:10:32.291312	2013-08-03 17:10:32.291312	102
8271	34230	4343	2013-08-03 17:10:32.299219	2013-08-03 17:10:32.299219	102
8272	34230	4355	2013-08-03 17:10:32.305628	2013-08-03 17:10:32.305628	102
8273	34230	7261	2013-08-03 17:10:32.311714	2013-08-03 17:10:32.311714	102
8274	34216	18223	2013-08-03 17:10:32.34207	2013-08-03 17:10:32.34207	102
8275	34216	18203	2013-08-03 17:10:32.35205	2013-08-03 17:10:32.35205	102
8276	34216	18183	2013-08-03 17:10:32.363419	2013-08-03 17:10:32.363419	102
8277	34216	18163	2013-08-03 17:10:32.372133	2013-08-03 17:10:32.372133	102
8278	34216	18143	2013-08-03 17:10:32.381274	2013-08-03 17:10:32.381274	102
8279	34216	18123	2013-08-03 17:10:32.391263	2013-08-03 17:10:32.391263	102
8280	34216	18103	2013-08-03 17:10:32.401605	2013-08-03 17:10:32.401605	102
8281	34216	18083	2013-08-03 17:10:32.411959	2013-08-03 17:10:32.411959	102
8282	34216	18063	2013-08-03 17:10:32.422363	2013-08-03 17:10:32.422363	102
8283	34216	18043	2013-08-03 17:10:32.432618	2013-08-03 17:10:32.432618	102
8284	34216	18023	2013-08-03 17:10:32.443319	2013-08-03 17:10:32.443319	102
8285	34216	18003	2013-08-03 17:10:32.453674	2013-08-03 17:10:32.453674	102
8286	34216	17983	2013-08-03 17:10:32.463981	2013-08-03 17:10:32.463981	102
8287	34216	17963	2013-08-03 17:10:32.474438	2013-08-03 17:10:32.474438	102
8288	34216	17943	2013-08-03 17:10:32.482973	2013-08-03 17:10:32.482973	102
8289	34216	17923	2013-08-03 17:10:32.490309	2013-08-03 17:10:32.490309	102
8290	34216	17903	2013-08-03 17:10:32.500555	2013-08-03 17:10:32.500555	102
8291	34216	17883	2013-08-03 17:10:32.509141	2013-08-03 17:10:32.509141	102
8292	34216	17863	2013-08-03 17:10:32.517869	2013-08-03 17:10:32.517869	102
8293	34232	7150	2013-08-03 17:10:32.544832	2013-08-03 17:10:32.544832	102
8294	34232	5579	2013-08-03 17:10:32.551862	2013-08-03 17:10:32.551862	102
8295	34232	3624	2013-08-03 17:10:32.555694	2013-08-03 17:10:32.555694	102
8296	34232	20908	2013-08-03 17:10:32.562007	2013-08-03 17:10:32.562007	102
8297	34232	6741	2013-08-03 17:10:32.567169	2013-08-03 17:10:32.567169	102
8298	34232	6378	2013-08-03 17:10:32.574187	2013-08-03 17:10:32.574187	102
8299	34232	6358	2013-08-03 17:10:32.581671	2013-08-03 17:10:32.581671	102
8300	34232	15877	2013-08-03 17:10:32.588156	2013-08-03 17:10:32.588156	102
8301	34232	19568	2013-08-03 17:10:32.594828	2013-08-03 17:10:32.594828	102
8302	34232	7261	2013-08-03 17:10:32.601903	2013-08-03 17:10:32.601903	102
8303	34232	4355	2013-08-03 17:10:32.605971	2013-08-03 17:10:32.605971	102
8304	34232	4343	2013-08-03 17:10:32.610817	2013-08-03 17:10:32.610817	102
8305	34232	7246	2013-08-03 17:10:32.617244	2013-08-03 17:10:32.617244	102
8306	34232	4326	2013-08-03 17:10:32.623517	2013-08-03 17:10:32.623517	102
8307	34232	7266	2013-08-03 17:10:32.630095	2013-08-03 17:10:32.630095	102
8308	34232	4305	2013-08-03 17:10:32.637861	2013-08-03 17:10:32.637861	102
8309	34232	17583	2013-08-03 17:10:32.645115	2013-08-03 17:10:32.645115	102
8310	34232	4170	2013-08-03 17:10:32.680122	2013-08-03 17:10:32.680122	102
8311	34232	9373	2013-08-03 17:10:32.682869	2013-08-03 17:10:32.682869	102
8312	34233	12145	2013-08-03 17:10:32.706906	2013-08-03 17:10:32.706906	102
8313	34233	12200	2013-08-03 17:10:32.71724	2013-08-03 17:10:32.71724	102
8314	34233	12125	2013-08-03 17:10:32.722822	2013-08-03 17:10:32.722822	102
8315	34233	12105	2013-08-03 17:10:32.734114	2013-08-03 17:10:32.734114	102
8316	34233	12063	2013-08-03 17:10:32.745578	2013-08-03 17:10:32.745578	102
8317	34233	12085	2013-08-03 17:10:32.756507	2013-08-03 17:10:32.756507	102
8318	34233	12065	2013-08-03 17:10:32.767691	2013-08-03 17:10:32.767691	102
8319	34233	12045	2013-08-03 17:10:32.77678	2013-08-03 17:10:32.77678	102
8320	34233	12025	2013-08-03 17:10:32.7803	2013-08-03 17:10:32.7803	102
8321	34233	10976	2013-08-03 17:10:32.78383	2013-08-03 17:10:32.78383	102
8322	34233	9170	2013-08-03 17:10:32.787127	2013-08-03 17:10:32.787127	102
8323	34233	8221	2013-08-03 17:10:32.790454	2013-08-03 17:10:32.790454	102
8324	34233	6706	2013-08-03 17:10:32.793769	2013-08-03 17:10:32.793769	102
8325	34233	4157	2013-08-03 17:10:32.798112	2013-08-03 17:10:32.798112	102
8326	34233	9393	2013-08-03 17:10:32.801993	2013-08-03 17:10:32.801993	102
8327	34233	4375	2013-08-03 17:10:32.806314	2013-08-03 17:10:32.806314	102
8328	34233	9119	2013-08-03 17:10:32.810613	2013-08-03 17:10:32.810613	102
8329	34233	17543	2013-08-03 17:10:32.814831	2013-08-03 17:10:32.814831	102
8330	34233	4384	2013-08-03 17:10:32.81909	2013-08-03 17:10:32.81909	102
8331	34360	12425	2013-08-03 17:10:32.835645	2013-08-03 17:10:32.835645	102
8332	34360	12405	2013-08-03 17:10:32.839674	2013-08-03 17:10:32.839674	102
8333	34360	12252	2013-08-03 17:10:32.843611	2013-08-03 17:10:32.843611	102
8334	34360	12277	2013-08-03 17:10:32.848583	2013-08-03 17:10:32.848583	102
8335	34360	12385	2013-08-03 17:10:32.852727	2013-08-03 17:10:32.852727	102
8336	34360	12365	2013-08-03 17:10:32.856587	2013-08-03 17:10:32.856587	102
8337	34360	12345	2013-08-03 17:10:32.860784	2013-08-03 17:10:32.860784	102
8338	34360	12325	2013-08-03 17:10:32.865128	2013-08-03 17:10:32.865128	102
8339	34360	12305	2013-08-03 17:10:32.869177	2013-08-03 17:10:32.869177	102
8340	34215	12285	2013-08-03 17:10:32.87774	2013-08-03 17:10:32.87774	102
8341	34215	12340	2013-08-03 17:10:32.882014	2013-08-03 17:10:32.882014	102
8342	34215	12265	2013-08-03 17:10:32.888117	2013-08-03 17:10:32.888117	102
8343	34215	12292	2013-08-03 17:10:32.897321	2013-08-03 17:10:32.897321	102
8344	34215	12245	2013-08-03 17:10:32.904845	2013-08-03 17:10:32.904845	102
8345	34215	12225	2013-08-03 17:10:32.908786	2013-08-03 17:10:32.908786	102
8346	34215	12205	2013-08-03 17:10:32.915565	2013-08-03 17:10:32.915565	102
8347	34215	12185	2013-08-03 17:10:32.919959	2013-08-03 17:10:32.919959	102
8348	34215	12165	2013-08-03 17:10:32.924982	2013-08-03 17:10:32.924982	102
8349	34235	7506	2013-08-03 17:10:32.938872	2013-08-03 17:10:32.938872	102
8350	34235	7486	2013-08-03 17:10:32.945124	2013-08-03 17:10:32.945124	102
8351	34235	7466	2013-08-03 17:10:32.950906	2013-08-03 17:10:32.950906	102
8352	34235	7446	2013-08-03 17:10:32.957168	2013-08-03 17:10:32.957168	102
8353	34235	7426	2013-08-03 17:10:32.963332	2013-08-03 17:10:32.963332	102
8354	34235	7406	2013-08-03 17:10:32.968662	2013-08-03 17:10:32.968662	102
8355	34235	7501	2013-08-03 17:10:32.973742	2013-08-03 17:10:32.973742	102
8356	34235	7386	2013-08-03 17:10:32.979017	2013-08-03 17:10:32.979017	102
8357	34235	7353	2013-08-03 17:10:32.98389	2013-08-03 17:10:32.98389	102
8358	34235	7320	2013-08-03 17:10:32.988862	2013-08-03 17:10:32.988862	102
8359	34235	7377	2013-08-03 17:10:32.993968	2013-08-03 17:10:32.993968	102
8360	34235	7366	2013-08-03 17:10:32.998651	2013-08-03 17:10:32.998651	102
8361	34235	7346	2013-08-03 17:10:33.003644	2013-08-03 17:10:33.003644	102
8362	34235	7326	2013-08-03 17:10:33.008177	2013-08-03 17:10:33.008177	102
8363	34235	7306	2013-08-03 17:10:33.044404	2013-08-03 17:10:33.044404	102
8364	34235	7286	2013-08-03 17:10:33.048086	2013-08-03 17:10:33.048086	102
8365	34235	5835	2013-08-03 17:10:33.051941	2013-08-03 17:10:33.051941	102
8366	34235	4130	2013-08-03 17:10:33.055927	2013-08-03 17:10:33.055927	102
8367	34235	4395	2013-08-03 17:10:33.059585	2013-08-03 17:10:33.059585	102
8368	34236	8920	2013-08-03 17:10:33.071314	2013-08-03 17:10:33.071314	102
8369	34236	21288	2013-08-03 17:10:33.075373	2013-08-03 17:10:33.075373	102
8370	34236	21268	2013-08-03 17:10:33.07935	2013-08-03 17:10:33.07935	102
8371	34236	21248	2013-08-03 17:10:33.082882	2013-08-03 17:10:33.082882	102
8372	34236	21228	2013-08-03 17:10:33.086894	2013-08-03 17:10:33.086894	102
8373	34236	21208	2013-08-03 17:10:33.091142	2013-08-03 17:10:33.091142	102
8374	34236	21188	2013-08-03 17:10:33.09563	2013-08-03 17:10:33.09563	102
8375	34236	13371	2013-08-03 17:10:33.099022	2013-08-03 17:10:33.099022	102
8376	34236	5070	2013-08-03 17:10:33.101952	2013-08-03 17:10:33.101952	102
8377	34236	8519	2013-08-03 17:10:33.104747	2013-08-03 17:10:33.104747	102
8378	34236	17097	2013-08-03 17:10:33.10769	2013-08-03 17:10:33.10769	102
8379	34236	5166	2013-08-03 17:10:33.11108	2013-08-03 17:10:33.11108	102
8380	34236	3026	2013-08-03 17:10:33.114566	2013-08-03 17:10:33.114566	102
8381	34236	3030	2013-08-03 17:10:33.117718	2013-08-03 17:10:33.117718	102
8382	34236	2999	2013-08-03 17:10:33.121853	2013-08-03 17:10:33.121853	102
8383	34236	3124	2013-08-03 17:10:33.126011	2013-08-03 17:10:33.126011	102
8384	34236	3104	2013-08-03 17:10:33.130049	2013-08-03 17:10:33.130049	102
8385	34236	3084	2013-08-03 17:10:33.13467	2013-08-03 17:10:33.13467	102
8386	34236	13951	2013-08-03 17:10:33.139007	2013-08-03 17:10:33.139007	102
8387	34237	22188	2013-08-03 17:10:33.155948	2013-08-03 17:10:33.155948	102
8388	34237	22168	2013-08-03 17:10:33.160663	2013-08-03 17:10:33.160663	102
8389	34237	22148	2013-08-03 17:10:33.164682	2013-08-03 17:10:33.164682	102
8390	34237	17483	2013-08-03 17:10:33.16812	2013-08-03 17:10:33.16812	102
8391	34237	16218	2013-08-03 17:10:33.171934	2013-08-03 17:10:33.171934	102
8392	34237	16238	2013-08-03 17:10:33.176426	2013-08-03 17:10:33.176426	102
8393	34237	13153	2013-08-03 17:10:33.180288	2013-08-03 17:10:33.180288	102
8394	34237	12460	2013-08-03 17:10:33.185901	2013-08-03 17:10:33.185901	102
8395	34237	12140	2013-08-03 17:10:33.192216	2013-08-03 17:10:33.192216	102
8396	34237	10916	2013-08-03 17:10:33.200598	2013-08-03 17:10:33.200598	102
8397	34237	9370	2013-08-03 17:10:33.252395	2013-08-03 17:10:33.252395	102
8398	34237	9130	2013-08-03 17:10:33.256562	2013-08-03 17:10:33.256562	102
8399	34237	8085	2013-08-03 17:10:33.260446	2013-08-03 17:10:33.260446	102
8400	34237	5666	2013-08-03 17:10:33.264138	2013-08-03 17:10:33.264138	102
8401	34237	4310	2013-08-03 17:10:33.268221	2013-08-03 17:10:33.268221	102
8402	34237	8911	2013-08-03 17:10:33.272181	2013-08-03 17:10:33.272181	102
8403	34237	4110	2013-08-03 17:10:33.276163	2013-08-03 17:10:33.276163	102
8404	34237	7206	2013-08-03 17:10:33.281153	2013-08-03 17:10:33.281153	102
8405	34237	4324	2013-08-03 17:10:33.286096	2013-08-03 17:10:33.286096	102
8406	34238	3329	2013-08-03 17:10:33.30657	2013-08-03 17:10:33.30657	102
8407	34238	3309	2013-08-03 17:10:33.314476	2013-08-03 17:10:33.314476	102
8408	34238	3206	2013-08-03 17:10:33.319756	2013-08-03 17:10:33.319756	102
8409	34238	3290	2013-08-03 17:10:33.32564	2013-08-03 17:10:33.32564	102
8410	34238	3289	2013-08-03 17:10:33.32922	2013-08-03 17:10:33.32922	102
8411	34238	3269	2013-08-03 17:10:33.335334	2013-08-03 17:10:33.335334	102
8412	34238	3249	2013-08-03 17:10:33.340731	2013-08-03 17:10:33.340731	102
8413	34238	3109	2013-08-03 17:10:33.346229	2013-08-03 17:10:33.346229	102
8414	34238	5479	2013-08-03 17:10:33.354003	2013-08-03 17:10:33.354003	102
8415	34238	3692	2013-08-03 17:10:33.362485	2013-08-03 17:10:33.362485	102
8416	34238	20388	2013-08-03 17:10:33.372958	2013-08-03 17:10:33.372958	102
8417	34238	14111	2013-08-03 17:10:33.383412	2013-08-03 17:10:33.383412	102
8418	34238	9096	2013-08-03 17:10:33.391452	2013-08-03 17:10:33.391452	102
8419	34238	3684	2013-08-03 17:10:33.401424	2013-08-03 17:10:33.401424	102
8420	34238	9839	2013-08-03 17:10:33.407304	2013-08-03 17:10:33.407304	102
8421	34238	8839	2013-08-03 17:10:33.417279	2013-08-03 17:10:33.417279	102
8422	34238	4224	2013-08-03 17:10:33.426463	2013-08-03 17:10:33.426463	102
8423	34238	7186	2013-08-03 17:10:33.433634	2013-08-03 17:10:33.433634	102
8424	34238	4304	2013-08-03 17:10:33.439534	2013-08-03 17:10:33.439534	102
8425	34239	9658	2013-08-03 17:10:33.454288	2013-08-03 17:10:33.454288	102
8426	34239	9730	2013-08-03 17:10:33.458185	2013-08-03 17:10:33.458185	102
8427	34239	9710	2013-08-03 17:10:33.461694	2013-08-03 17:10:33.461694	102
8428	34239	9690	2013-08-03 17:10:33.465198	2013-08-03 17:10:33.465198	102
8429	34239	9670	2013-08-03 17:10:33.468753	2013-08-03 17:10:33.468753	102
8430	34239	9650	2013-08-03 17:10:33.474499	2013-08-03 17:10:33.474499	102
8431	34239	9630	2013-08-03 17:10:33.480681	2013-08-03 17:10:33.480681	102
8432	34239	9610	2013-08-03 17:10:33.488588	2013-08-03 17:10:33.488588	102
8433	34239	9685	2013-08-03 17:10:33.497708	2013-08-03 17:10:33.497708	102
8434	34239	9590	2013-08-03 17:10:33.50577	2013-08-03 17:10:33.50577	102
8435	34239	9460	2013-08-03 17:10:33.513605	2013-08-03 17:10:33.513605	102
8436	34239	9443	2013-08-03 17:10:33.522334	2013-08-03 17:10:33.522334	102
8437	34239	9512	2013-08-03 17:10:33.531044	2013-08-03 17:10:33.531044	102
8438	34239	9570	2013-08-03 17:10:33.538816	2013-08-03 17:10:33.538816	102
8439	34239	9550	2013-08-03 17:10:33.546387	2013-08-03 17:10:33.546387	102
8440	34239	9530	2013-08-03 17:10:33.555315	2013-08-03 17:10:33.555315	102
8441	34239	9510	2013-08-03 17:10:33.565435	2013-08-03 17:10:33.565435	102
8442	34239	9490	2013-08-03 17:10:33.575032	2013-08-03 17:10:33.575032	102
8443	34239	4204	2013-08-03 17:10:33.584689	2013-08-03 17:10:33.584689	102
8444	34240	5086	2013-08-03 17:10:33.634789	2013-08-03 17:10:33.634789	102
8445	34240	13531	2013-08-03 17:10:33.638082	2013-08-03 17:10:33.638082	102
8446	34240	4885	2013-08-03 17:10:33.640854	2013-08-03 17:10:33.640854	102
8447	34240	13411	2013-08-03 17:10:33.643552	2013-08-03 17:10:33.643552	102
8448	34240	6106	2013-08-03 17:10:33.647938	2013-08-03 17:10:33.647938	102
8449	34240	18457	2013-08-03 17:10:33.650877	2013-08-03 17:10:33.650877	102
8450	34240	6146	2013-08-03 17:10:33.653709	2013-08-03 17:10:33.653709	102
8451	34240	9031	2013-08-03 17:10:33.656495	2013-08-03 17:10:33.656495	102
8452	34240	1330	2013-08-03 17:10:33.659169	2013-08-03 17:10:33.659169	102
8453	34240	13711	2013-08-03 17:10:33.662012	2013-08-03 17:10:33.662012	102
8454	34240	3644	2013-08-03 17:10:33.667554	2013-08-03 17:10:33.667554	102
8455	34240	20228	2013-08-03 17:10:33.675647	2013-08-03 17:10:33.675647	102
8456	34240	4618	2013-08-03 17:10:33.68593	2013-08-03 17:10:33.68593	102
8457	34240	6406	2013-08-03 17:10:33.696235	2013-08-03 17:10:33.696235	102
8458	34240	4184	2013-08-03 17:10:33.70694	2013-08-03 17:10:33.70694	102
8459	34240	7146	2013-08-03 17:10:33.717299	2013-08-03 17:10:33.717299	102
8460	34240	4264	2013-08-03 17:10:33.725084	2013-08-03 17:10:33.725084	102
8461	34240	22088	2013-08-03 17:10:33.733576	2013-08-03 17:10:33.733576	102
8462	34240	4091	2013-08-03 17:10:33.743365	2013-08-03 17:10:33.743365	102
8463	34241	13752	2013-08-03 17:10:33.779684	2013-08-03 17:10:33.779684	102
8464	34241	13732	2013-08-03 17:10:33.790974	2013-08-03 17:10:33.790974	102
8465	34241	13712	2013-08-03 17:10:33.801917	2013-08-03 17:10:33.801917	102
8466	34241	13675	2013-08-03 17:10:33.812559	2013-08-03 17:10:33.812559	102
8467	34241	13692	2013-08-03 17:10:33.823368	2013-08-03 17:10:33.823368	102
8468	34241	13672	2013-08-03 17:10:33.833804	2013-08-03 17:10:33.833804	102
8469	34241	13073	2013-08-03 17:10:33.843694	2013-08-03 17:10:33.843694	102
8470	34241	10836	2013-08-03 17:10:33.854276	2013-08-03 17:10:33.854276	102
8471	34241	9310	2013-08-03 17:10:33.864344	2013-08-03 17:10:33.864344	102
8472	34241	8980	2013-08-03 17:10:33.872753	2013-08-03 17:10:33.872753	102
8473	34241	8058	2013-08-03 17:10:33.878302	2013-08-03 17:10:33.878302	102
8474	34241	4272	2013-08-03 17:10:33.88247	2013-08-03 17:10:33.88247	102
8475	34241	6866	2013-08-03 17:10:33.88639	2013-08-03 17:10:33.88639	102
8476	34241	3795	2013-08-03 17:10:33.890394	2013-08-03 17:10:33.890394	102
8477	34241	6366	2013-08-03 17:10:33.895068	2013-08-03 17:10:33.895068	102
8478	34241	4164	2013-08-03 17:10:33.899826	2013-08-03 17:10:33.899826	102
8479	34241	7126	2013-08-03 17:10:33.9072	2013-08-03 17:10:33.9072	102
8480	34241	4244	2013-08-03 17:10:33.916454	2013-08-03 17:10:33.916454	102
8481	34241	22108	2013-08-03 17:10:33.927252	2013-08-03 17:10:33.927252	102
8482	34242	13553	2013-08-03 17:10:33.946937	2013-08-03 17:10:33.946937	102
8483	34242	13533	2013-08-03 17:10:33.989583	2013-08-03 17:10:33.989583	102
8484	34242	13513	2013-08-03 17:10:33.994934	2013-08-03 17:10:33.994934	102
8485	34242	13483	2013-08-03 17:10:34.00374	2013-08-03 17:10:34.00374	102
8486	34242	13493	2013-08-03 17:10:34.013774	2013-08-03 17:10:34.013774	102
8487	34242	13473	2013-08-03 17:10:34.024366	2013-08-03 17:10:34.024366	102
8488	34242	13453	2013-08-03 17:10:34.035739	2013-08-03 17:10:34.035739	102
8489	34242	13433	2013-08-03 17:10:34.046549	2013-08-03 17:10:34.046549	102
8490	34242	13413	2013-08-03 17:10:34.056949	2013-08-03 17:10:34.056949	102
8491	34242	13393	2013-08-03 17:10:34.067552	2013-08-03 17:10:34.067552	102
8492	34242	13373	2013-08-03 17:10:34.078203	2013-08-03 17:10:34.078203	102
8493	34242	13353	2013-08-03 17:10:34.08875	2013-08-03 17:10:34.08875	102
8494	34242	13333	2013-08-03 17:10:34.099636	2013-08-03 17:10:34.099636	102
8495	34242	13313	2013-08-03 17:10:34.106144	2013-08-03 17:10:34.106144	102
8496	34242	9416	2013-08-03 17:10:34.112853	2013-08-03 17:10:34.112853	102
8497	34242	4292	2013-08-03 17:10:34.119333	2013-08-03 17:10:34.119333	102
8498	34242	13355	2013-08-03 17:10:34.127507	2013-08-03 17:10:34.127507	102
8499	34242	4144	2013-08-03 17:10:34.134298	2013-08-03 17:10:34.134298	102
8500	34242	7106	2013-08-03 17:10:34.141455	2013-08-03 17:10:34.141455	102
8501	34294	13873	2013-08-03 17:10:34.168613	2013-08-03 17:10:34.168613	102
8502	34294	13853	2013-08-03 17:10:34.173921	2013-08-03 17:10:34.173921	102
8503	34294	13833	2013-08-03 17:10:34.179679	2013-08-03 17:10:34.179679	102
8504	34294	13813	2013-08-03 17:10:34.18559	2013-08-03 17:10:34.18559	102
8505	34294	13793	2013-08-03 17:10:34.192368	2013-08-03 17:10:34.192368	102
8506	34294	13773	2013-08-03 17:10:34.199741	2013-08-03 17:10:34.199741	102
8507	34294	13753	2013-08-03 17:10:34.206836	2013-08-03 17:10:34.206836	102
8508	34294	13733	2013-08-03 17:10:34.214161	2013-08-03 17:10:34.214161	102
8509	34294	13713	2013-08-03 17:10:34.22156	2013-08-03 17:10:34.22156	102
8510	34251	13693	2013-08-03 17:10:34.238549	2013-08-03 17:10:34.238549	102
8511	34251	13673	2013-08-03 17:10:34.245773	2013-08-03 17:10:34.245773	102
8512	34251	13563	2013-08-03 17:10:34.252137	2013-08-03 17:10:34.252137	102
8513	34251	13653	2013-08-03 17:10:34.258093	2013-08-03 17:10:34.258093	102
8514	34251	13633	2013-08-03 17:10:34.262723	2013-08-03 17:10:34.262723	102
8515	34251	13613	2013-08-03 17:10:34.267208	2013-08-03 17:10:34.267208	102
8516	34251	13593	2013-08-03 17:10:34.271648	2013-08-03 17:10:34.271648	102
8517	34251	13523	2013-08-03 17:10:34.276074	2013-08-03 17:10:34.276074	102
8518	34251	13573	2013-08-03 17:10:34.281673	2013-08-03 17:10:34.281673	102
8519	34243	5817	2013-08-03 17:10:34.298323	2013-08-03 17:10:34.298323	102
8520	34243	5837	2013-08-03 17:10:34.339359	2013-08-03 17:10:34.339359	102
8521	34243	5857	2013-08-03 17:10:34.344065	2013-08-03 17:10:34.344065	102
8522	34243	5877	2013-08-03 17:10:34.348663	2013-08-03 17:10:34.348663	102
8523	34243	5897	2013-08-03 17:10:34.353188	2013-08-03 17:10:34.353188	102
8524	34243	5917	2013-08-03 17:10:34.357529	2013-08-03 17:10:34.357529	102
8525	34243	5937	2013-08-03 17:10:34.361717	2013-08-03 17:10:34.361717	102
8526	34243	5957	2013-08-03 17:10:34.366086	2013-08-03 17:10:34.366086	102
8527	34243	6611	2013-08-03 17:10:34.371874	2013-08-03 17:10:34.371874	102
8528	34243	6631	2013-08-03 17:10:34.377718	2013-08-03 17:10:34.377718	102
8529	34243	6651	2013-08-03 17:10:34.384187	2013-08-03 17:10:34.384187	102
8530	34243	6671	2013-08-03 17:10:34.390853	2013-08-03 17:10:34.390853	102
8531	34243	5208	2013-08-03 17:10:34.398047	2013-08-03 17:10:34.398047	102
8532	34243	6311	2013-08-03 17:10:34.405623	2013-08-03 17:10:34.405623	102
8533	34243	6291	2013-08-03 17:10:34.413331	2013-08-03 17:10:34.413331	102
8534	34243	6131	2013-08-03 17:10:34.421579	2013-08-03 17:10:34.421579	102
8535	34243	4124	2013-08-03 17:10:34.428733	2013-08-03 17:10:34.428733	102
8536	34243	7086	2013-08-03 17:10:34.43448	2013-08-03 17:10:34.43448	102
8537	34243	8900	2013-08-03 17:10:34.438362	2013-08-03 17:10:34.438362	102
8538	34231	15475	2013-08-03 17:10:34.450727	2013-08-03 17:10:34.450727	102
8539	34231	15455	2013-08-03 17:10:34.454173	2013-08-03 17:10:34.454173	102
8540	34231	15435	2013-08-03 17:10:34.458128	2013-08-03 17:10:34.458128	102
8541	34231	15415	2013-08-03 17:10:34.46256	2013-08-03 17:10:34.46256	102
8542	34231	15395	2013-08-03 17:10:34.466656	2013-08-03 17:10:34.466656	102
8543	34231	15375	2013-08-03 17:10:34.473329	2013-08-03 17:10:34.473329	102
8544	34231	15355	2013-08-03 17:10:34.483303	2013-08-03 17:10:34.483303	102
8545	34231	9270	2013-08-03 17:10:34.53512	2013-08-03 17:10:34.53512	102
8546	34231	9018	2013-08-03 17:10:34.538888	2013-08-03 17:10:34.538888	102
8547	34231	9070	2013-08-03 17:10:34.543316	2013-08-03 17:10:34.543316	102
8548	34231	4332	2013-08-03 17:10:34.547222	2013-08-03 17:10:34.547222	102
8549	34231	4181	2013-08-03 17:10:34.551205	2013-08-03 17:10:34.551205	102
8550	34231	4057	2013-08-03 17:10:34.555	2013-08-03 17:10:34.555	102
8551	34231	13971	2013-08-03 17:10:34.559355	2013-08-03 17:10:34.559355	102
8552	34231	3664	2013-08-03 17:10:34.562827	2013-08-03 17:10:34.562827	102
8553	34231	3584	2013-08-03 17:10:34.566954	2013-08-03 17:10:34.566954	102
8554	34231	6491	2013-08-03 17:10:34.570918	2013-08-03 17:10:34.570918	102
8555	34231	4104	2013-08-03 17:10:34.575571	2013-08-03 17:10:34.575571	102
8556	34231	7141	2013-08-03 17:10:34.581046	2013-08-03 17:10:34.581046	102
8557	34351	15655	2013-08-03 17:10:34.642053	2013-08-03 17:10:34.642053	102
8558	34349	15635	2013-08-03 17:10:34.664419	2013-08-03 17:10:34.664419	102
8559	34312	15615	2013-08-03 17:10:34.681152	2013-08-03 17:10:34.681152	102
8560	34304	15595	2013-08-03 17:10:34.700067	2013-08-03 17:10:34.700067	102
8561	34281	15575	2013-08-03 17:10:34.720258	2013-08-03 17:10:34.720258	102
8562	34273	15555	2013-08-03 17:10:34.735461	2013-08-03 17:10:34.735461	102
8563	34252	15535	2013-08-03 17:10:34.753254	2013-08-03 17:10:34.753254	102
8564	34248	15518	2013-08-03 17:10:34.760981	2013-08-03 17:10:34.760981	102
8565	34222	15515	2013-08-03 17:10:34.769791	2013-08-03 17:10:34.769791	102
8566	34220	15495	2013-08-03 17:10:34.778666	2013-08-03 17:10:34.778666	102
8567	34244	22337	2013-08-03 17:10:34.798214	2013-08-03 17:10:34.798214	102
8568	34244	22317	2013-08-03 17:10:34.805743	2013-08-03 17:10:34.805743	102
8569	34244	22297	2013-08-03 17:10:34.813533	2013-08-03 17:10:34.813533	102
8570	34244	22277	2013-08-03 17:10:34.821973	2013-08-03 17:10:34.821973	102
8571	34244	22257	2013-08-03 17:10:34.829287	2013-08-03 17:10:34.829287	102
8572	34244	22237	2013-08-03 17:10:34.836312	2013-08-03 17:10:34.836312	102
8573	34244	22217	2013-08-03 17:10:34.84362	2013-08-03 17:10:34.84362	102
8574	34244	22197	2013-08-03 17:10:34.850793	2013-08-03 17:10:34.850793	102
8575	34244	22177	2013-08-03 17:10:34.858042	2013-08-03 17:10:34.858042	102
8576	34244	22157	2013-08-03 17:10:34.865591	2013-08-03 17:10:34.865591	102
8577	34244	22137	2013-08-03 17:10:34.870236	2013-08-03 17:10:34.870236	102
8578	34244	15555	2013-08-03 17:10:34.877536	2013-08-03 17:10:34.877536	102
8579	34244	11016	2013-08-03 17:10:34.885565	2013-08-03 17:10:34.885565	102
8580	34244	8021	2013-08-03 17:10:34.892207	2013-08-03 17:10:34.892207	102
8581	34244	6998	2013-08-03 17:10:34.901051	2013-08-03 17:10:34.901051	102
8582	34244	4372	2013-08-03 17:10:34.910916	2013-08-03 17:10:34.910916	102
8583	34244	14011	2013-08-03 17:10:34.920894	2013-08-03 17:10:34.920894	102
8584	34244	4377	2013-08-03 17:10:34.931244	2013-08-03 17:10:34.931244	102
8585	34244	22048	2013-08-03 17:10:34.936862	2013-08-03 17:10:34.936862	102
8586	34245	16418	2013-08-03 17:10:34.958716	2013-08-03 17:10:34.958716	102
8587	34245	16398	2013-08-03 17:10:34.96546	2013-08-03 17:10:34.96546	102
8588	34245	16378	2013-08-03 17:10:34.976602	2013-08-03 17:10:34.976602	102
8589	34245	16358	2013-08-03 17:10:34.985535	2013-08-03 17:10:34.985535	102
8590	34245	16338	2013-08-03 17:10:34.995784	2013-08-03 17:10:34.995784	102
8591	34245	16318	2013-08-03 17:10:35.001099	2013-08-03 17:10:35.001099	102
8592	34245	5559	2013-08-03 17:10:35.004979	2013-08-03 17:10:35.004979	102
8593	34245	7421	2013-08-03 17:10:35.008381	2013-08-03 17:10:35.008381	102
8594	34245	6086	2013-08-03 17:10:35.011745	2013-08-03 17:10:35.011745	102
8595	34245	17123	2013-08-03 17:10:35.017363	2013-08-03 17:10:35.017363	102
8596	34245	7166	2013-08-03 17:10:35.023099	2013-08-03 17:10:35.023099	102
8597	34245	17563	2013-08-03 17:10:35.028846	2013-08-03 17:10:35.028846	102
8598	34245	20717	2013-08-03 17:10:35.036147	2013-08-03 17:10:35.036147	102
8599	34245	4364	2013-08-03 17:10:35.043009	2013-08-03 17:10:35.043009	102
8600	34245	4250	2013-08-03 17:10:35.050606	2013-08-03 17:10:35.050606	102
8601	34245	12528	2013-08-03 17:10:35.055755	2013-08-03 17:10:35.055755	102
8602	34245	4392	2013-08-03 17:10:35.064314	2013-08-03 17:10:35.064314	102
8603	34245	4284	2013-08-03 17:10:35.074251	2013-08-03 17:10:35.074251	102
8604	34245	1364	2013-08-03 17:10:35.08439	2013-08-03 17:10:35.08439	102
8605	34354	16718	2013-08-03 17:10:35.130443	2013-08-03 17:10:35.130443	102
8606	34354	16698	2013-08-03 17:10:35.141606	2013-08-03 17:10:35.141606	102
8607	34350	16678	2013-08-03 17:10:35.161887	2013-08-03 17:10:35.161887	102
8608	34350	16658	2013-08-03 17:10:35.167405	2013-08-03 17:10:35.167405	102
8609	34305	16557	2013-08-03 17:10:35.175992	2013-08-03 17:10:35.175992	102
8610	34305	16638	2013-08-03 17:10:35.179289	2013-08-03 17:10:35.179289	102
8611	34253	16618	2013-08-03 17:10:35.185362	2013-08-03 17:10:35.185362	102
8612	34253	16598	2013-08-03 17:10:35.188381	2013-08-03 17:10:35.188381	102
8613	34228	16578	2013-08-03 17:10:35.194928	2013-08-03 17:10:35.194928	102
8614	34228	16558	2013-08-03 17:10:35.198469	2013-08-03 17:10:35.198469	102
8615	34224	16538	2013-08-03 17:10:35.230707	2013-08-03 17:10:35.230707	102
8616	34224	16518	2013-08-03 17:10:35.242188	2013-08-03 17:10:35.242188	102
8617	34221	16498	2013-08-03 17:10:35.260563	2013-08-03 17:10:35.260563	102
8618	34221	16478	2013-08-03 17:10:35.268385	2013-08-03 17:10:35.268385	102
8619	34219	16458	2013-08-03 17:10:35.287949	2013-08-03 17:10:35.287949	102
8620	34219	16438	2013-08-03 17:10:35.298226	2013-08-03 17:10:35.298226	102
8621	34246	11871	2013-08-03 17:10:35.313559	2013-08-03 17:10:35.313559	102
8622	34246	11791	2013-08-03 17:10:35.319215	2013-08-03 17:10:35.319215	102
8623	34246	8411	2013-08-03 17:10:35.326576	2013-08-03 17:10:35.326576	102
8624	34246	11691	2013-08-03 17:10:35.334408	2013-08-03 17:10:35.334408	102
8625	34246	11711	2013-08-03 17:10:35.341167	2013-08-03 17:10:35.341167	102
8626	34246	4119	2013-08-03 17:10:35.346649	2013-08-03 17:10:35.346649	102
8627	34246	4099	2013-08-03 17:10:35.351043	2013-08-03 17:10:35.351043	102
8628	34246	3732	2013-08-03 17:10:35.355502	2013-08-03 17:10:35.355502	102
8629	34246	8531	2013-08-03 17:10:35.363705	2013-08-03 17:10:35.363705	102
8630	34246	8491	2013-08-03 17:10:35.374054	2013-08-03 17:10:35.374054	102
8631	34246	8471	2013-08-03 17:10:35.384622	2013-08-03 17:10:35.384622	102
8632	34246	6540	2013-08-03 17:10:35.394299	2013-08-03 17:10:35.394299	102
8633	34246	6600	2013-08-03 17:10:35.404885	2013-08-03 17:10:35.404885	102
8634	34246	6461	2013-08-03 17:10:35.410854	2013-08-03 17:10:35.410854	102
8635	34246	6318	2013-08-03 17:10:35.417672	2013-08-03 17:10:35.417672	102
8636	34246	6338	2013-08-03 17:10:35.42562	2013-08-03 17:10:35.42562	102
8637	34246	10332	2013-08-03 17:10:35.433378	2013-08-03 17:10:35.433378	102
8638	34246	15495	2013-08-03 17:10:35.439759	2013-08-03 17:10:35.439759	102
8639	34246	13028	2013-08-03 17:10:35.447711	2013-08-03 17:10:35.447711	102
8640	34247	12800	2013-08-03 17:10:35.478311	2013-08-03 17:10:35.478311	102
8641	34247	12780	2013-08-03 17:10:35.489049	2013-08-03 17:10:35.489049	102
8642	34247	12760	2013-08-03 17:10:35.499399	2013-08-03 17:10:35.499399	102
8643	34247	12740	2013-08-03 17:10:35.507906	2013-08-03 17:10:35.507906	102
8644	34247	12720	2013-08-03 17:10:35.518511	2013-08-03 17:10:35.518511	102
8645	34247	12700	2013-08-03 17:10:35.529324	2013-08-03 17:10:35.529324	102
8646	34247	12680	2013-08-03 17:10:35.535258	2013-08-03 17:10:35.535258	102
8647	34247	12660	2013-08-03 17:10:35.539488	2013-08-03 17:10:35.539488	102
8648	34247	12640	2013-08-03 17:10:35.546924	2013-08-03 17:10:35.546924	102
8649	34247	12620	2013-08-03 17:10:35.557426	2013-08-03 17:10:35.557426	102
8650	34247	8261	2013-08-03 17:10:35.568105	2013-08-03 17:10:35.568105	102
8651	34247	10197	2013-08-03 17:10:35.578309	2013-08-03 17:10:35.578309	102
8652	34247	19488	2013-08-03 17:10:35.587333	2013-08-03 17:10:35.587333	102
8653	34247	9819	2013-08-03 17:10:35.59558	2013-08-03 17:10:35.59558	102
8654	34247	13991	2013-08-03 17:10:35.605481	2013-08-03 17:10:35.605481	102
8655	34247	7226	2013-08-03 17:10:35.615207	2013-08-03 17:10:35.615207	102
8656	34247	22068	2013-08-03 17:10:35.625365	2013-08-03 17:10:35.625365	102
8657	34247	6850	2013-08-03 17:10:35.635486	2013-08-03 17:10:35.635486	102
8658	34247	22028	2013-08-03 17:10:35.645731	2013-08-03 17:10:35.645731	102
8659	34427	8881	2013-08-03 17:20:33.582412	2013-08-03 17:20:33.582412	104
8660	34427	8861	2013-08-03 17:20:33.594553	2013-08-03 17:20:33.594553	104
8661	34427	8841	2013-08-03 17:20:33.605216	2013-08-03 17:20:33.605216	104
8662	34427	8821	2013-08-03 17:20:33.616835	2013-08-03 17:20:33.616835	104
8663	34427	8816	2013-08-03 17:20:33.627737	2013-08-03 17:20:33.627737	104
8664	34427	8801	2013-08-03 17:20:33.638881	2013-08-03 17:20:33.638881	104
8665	34427	8850	2013-08-03 17:20:33.649801	2013-08-03 17:20:33.649801	104
8666	34427	8640	2013-08-03 17:20:33.660592	2013-08-03 17:20:33.660592	104
8667	34427	8660	2013-08-03 17:20:33.672225	2013-08-03 17:20:33.672225	104
8668	34427	8680	2013-08-03 17:20:33.683519	2013-08-03 17:20:33.683519	104
8669	34427	8781	2013-08-03 17:20:33.694498	2013-08-03 17:20:33.694498	104
8670	34427	8761	2013-08-03 17:20:33.705557	2013-08-03 17:20:33.705557	104
8671	34427	8741	2013-08-03 17:20:33.716662	2013-08-03 17:20:33.716662	104
8672	34427	8721	2013-08-03 17:20:33.727779	2013-08-03 17:20:33.727779	104
8673	34427	8701	2013-08-03 17:20:33.738841	2013-08-03 17:20:33.738841	104
8674	34427	8681	2013-08-03 17:20:33.74991	2013-08-03 17:20:33.74991	104
8675	34427	8661	2013-08-03 17:20:33.761028	2013-08-03 17:20:33.761028	104
8676	34427	23697	2013-08-03 17:20:33.77232	2013-08-03 17:20:33.77232	104
8677	34427	23317	2013-08-03 17:20:33.782901	2013-08-03 17:20:33.782901	104
8678	34422	1547	2013-08-03 17:20:33.820528	2013-08-03 17:20:33.820528	104
8679	34422	1527	2013-08-03 17:20:33.832356	2013-08-03 17:20:33.832356	104
8680	34422	1507	2013-08-03 17:20:33.84344	2013-08-03 17:20:33.84344	104
8681	34422	1487	2013-08-03 17:20:33.854472	2013-08-03 17:20:33.854472	104
8682	34422	1467	2013-08-03 17:20:33.865865	2013-08-03 17:20:33.865865	104
8683	34422	1447	2013-08-03 17:20:33.877601	2013-08-03 17:20:33.877601	104
8684	34422	1427	2013-08-03 17:20:33.888932	2013-08-03 17:20:33.888932	104
8685	34422	23677	2013-08-03 17:20:33.900078	2013-08-03 17:20:33.900078	104
8686	34422	23297	2013-08-03 17:20:33.909957	2013-08-03 17:20:33.909957	104
8687	34422	22977	2013-08-03 17:20:33.920027	2013-08-03 17:20:33.920027	104
8688	34422	13817	2013-08-03 17:20:33.930438	2013-08-03 17:20:33.930438	104
8689	34422	22697	2013-08-03 17:20:33.940671	2013-08-03 17:20:33.940671	104
8690	34422	16518	2013-08-03 17:20:33.950604	2013-08-03 17:20:33.950604	104
8691	34422	13673	2013-08-03 17:20:33.961125	2013-08-03 17:20:33.961125	104
8692	34422	13693	2013-08-03 17:20:33.971315	2013-08-03 17:20:33.971315	104
8693	34422	17863	2013-08-03 17:20:33.981019	2013-08-03 17:20:33.981019	104
8694	34422	17903	2013-08-03 17:20:33.988632	2013-08-03 17:20:33.988632	104
8695	34422	17923	2013-08-03 17:20:33.994496	2013-08-03 17:20:33.994496	104
8696	34422	18063	2013-08-03 17:20:34.001119	2013-08-03 17:20:34.001119	104
8697	34405	19028	2013-08-03 17:20:34.012203	2013-08-03 17:20:34.012203	104
8698	34405	19048	2013-08-03 17:20:34.017643	2013-08-03 17:20:34.017643	104
8699	34405	19068	2013-08-03 17:20:34.022253	2013-08-03 17:20:34.022253	104
8700	34405	19088	2013-08-03 17:20:34.027867	2013-08-03 17:20:34.027867	104
8701	34405	19108	2013-08-03 17:20:34.033306	2013-08-03 17:20:34.033306	104
8702	34405	19128	2013-08-03 17:20:34.042134	2013-08-03 17:20:34.042134	104
8703	34405	19148	2013-08-03 17:20:34.052862	2013-08-03 17:20:34.052862	104
8704	34405	19168	2013-08-03 17:20:34.063962	2013-08-03 17:20:34.063962	104
8705	34405	21397	2013-08-03 17:20:34.074975	2013-08-03 17:20:34.074975	104
8706	34405	19188	2013-08-03 17:20:34.085681	2013-08-03 17:20:34.085681	104
8707	34405	19208	2013-08-03 17:20:34.096325	2013-08-03 17:20:34.096325	104
8708	34405	19228	2013-08-03 17:20:34.106873	2013-08-03 17:20:34.106873	104
8709	34405	19248	2013-08-03 17:20:34.1177	2013-08-03 17:20:34.1177	104
8710	34405	11317	2013-08-03 17:20:34.129316	2013-08-03 17:20:34.129316	104
8711	34405	10352	2013-08-03 17:20:34.141087	2013-08-03 17:20:34.141087	104
8712	34405	9100	2013-08-03 17:20:34.15269	2013-08-03 17:20:34.15269	104
8713	34405	13788	2013-08-03 17:20:34.164077	2013-08-03 17:20:34.164077	104
8714	34405	9080	2013-08-03 17:20:34.17591	2013-08-03 17:20:34.17591	104
8715	34405	1567	2013-08-03 17:20:34.187577	2013-08-03 17:20:34.187577	104
8716	34423	19143	2013-08-03 17:20:34.229235	2013-08-03 17:20:34.229235	104
8717	34423	19123	2013-08-03 17:20:34.238915	2013-08-03 17:20:34.238915	104
8718	34423	19103	2013-08-03 17:20:34.245161	2013-08-03 17:20:34.245161	104
8719	34423	19083	2013-08-03 17:20:34.25009	2013-08-03 17:20:34.25009	104
8720	34423	19063	2013-08-03 17:20:34.25449	2013-08-03 17:20:34.25449	104
8721	34423	19043	2013-08-03 17:20:34.258287	2013-08-03 17:20:34.258287	104
8722	34423	19023	2013-08-03 17:20:34.261953	2013-08-03 17:20:34.261953	104
8723	34423	19003	2013-08-03 17:20:34.265918	2013-08-03 17:20:34.265918	104
8724	34423	18983	2013-08-03 17:20:34.269258	2013-08-03 17:20:34.269258	104
8725	34423	18963	2013-08-03 17:20:34.272493	2013-08-03 17:20:34.272493	104
8726	34423	18943	2013-08-03 17:20:34.275667	2013-08-03 17:20:34.275667	104
8727	34423	18923	2013-08-03 17:20:34.279424	2013-08-03 17:20:34.279424	104
8728	34423	18903	2013-08-03 17:20:34.285373	2013-08-03 17:20:34.285373	104
8729	34423	18883	2013-08-03 17:20:34.29014	2013-08-03 17:20:34.29014	104
8730	34423	18863	2013-08-03 17:20:34.295131	2013-08-03 17:20:34.295131	104
8731	34423	18843	2013-08-03 17:20:34.300574	2013-08-03 17:20:34.300574	104
8732	34423	23657	2013-08-03 17:20:34.306248	2013-08-03 17:20:34.306248	104
8733	34423	23277	2013-08-03 17:20:34.315445	2013-08-03 17:20:34.315445	104
8734	34423	8605	2013-08-03 17:20:34.325635	2013-08-03 17:20:34.325635	104
8735	34441	19397	2013-08-03 17:20:34.369941	2013-08-03 17:20:34.369941	104
8736	34441	19463	2013-08-03 17:20:34.381235	2013-08-03 17:20:34.381235	104
8737	34441	19443	2013-08-03 17:20:34.392154	2013-08-03 17:20:34.392154	104
8738	34441	19423	2013-08-03 17:20:34.402949	2013-08-03 17:20:34.402949	104
8739	34441	19403	2013-08-03 17:20:34.413963	2013-08-03 17:20:34.413963	104
8740	34441	19383	2013-08-03 17:20:34.424825	2013-08-03 17:20:34.424825	104
8741	34441	19363	2013-08-03 17:20:34.435997	2013-08-03 17:20:34.435997	104
8742	34441	19343	2013-08-03 17:20:34.447092	2013-08-03 17:20:34.447092	104
8743	34441	19323	2013-08-03 17:20:34.457856	2013-08-03 17:20:34.457856	104
8744	34406	19303	2013-08-03 17:20:34.481249	2013-08-03 17:20:34.481249	104
8745	34406	19283	2013-08-03 17:20:34.492805	2013-08-03 17:20:34.492805	104
8746	34406	19263	2013-08-03 17:20:34.504049	2013-08-03 17:20:34.504049	104
8747	34406	19243	2013-08-03 17:20:34.568017	2013-08-03 17:20:34.568017	104
8748	34406	19223	2013-08-03 17:20:34.574005	2013-08-03 17:20:34.574005	104
8749	34406	19157	2013-08-03 17:20:34.579	2013-08-03 17:20:34.579	104
8750	34406	19203	2013-08-03 17:20:34.583612	2013-08-03 17:20:34.583612	104
8751	34406	19183	2013-08-03 17:20:34.58952	2013-08-03 17:20:34.58952	104
8752	34406	19163	2013-08-03 17:20:34.595539	2013-08-03 17:20:34.595539	104
8753	34425	7466	2013-08-03 17:20:34.617501	2013-08-03 17:20:34.617501	104
8754	34425	7486	2013-08-03 17:20:34.62374	2013-08-03 17:20:34.62374	104
8755	34425	7506	2013-08-03 17:20:34.629671	2013-08-03 17:20:34.629671	104
8756	34425	4384	2013-08-03 17:20:34.637851	2013-08-03 17:20:34.637851	104
8757	34425	17543	2013-08-03 17:20:34.646508	2013-08-03 17:20:34.646508	104
8758	34425	9119	2013-08-03 17:20:34.655571	2013-08-03 17:20:34.655571	104
8759	34425	4375	2013-08-03 17:20:34.663766	2013-08-03 17:20:34.663766	104
8760	34425	9393	2013-08-03 17:20:34.672055	2013-08-03 17:20:34.672055	104
8761	34425	4157	2013-08-03 17:20:34.680458	2013-08-03 17:20:34.680458	104
8762	34425	7261	2013-08-03 17:20:34.688874	2013-08-03 17:20:34.688874	104
8763	34425	4355	2013-08-03 17:20:34.697155	2013-08-03 17:20:34.697155	104
8764	34425	4343	2013-08-03 17:20:34.705664	2013-08-03 17:20:34.705664	104
8765	34425	7246	2013-08-03 17:20:34.713969	2013-08-03 17:20:34.713969	104
8766	34425	4326	2013-08-03 17:20:34.72228	2013-08-03 17:20:34.72228	104
8767	34425	7266	2013-08-03 17:20:34.730479	2013-08-03 17:20:34.730479	104
8768	34425	4305	2013-08-03 17:20:34.738675	2013-08-03 17:20:34.738675	104
8769	34425	17583	2013-08-03 17:20:34.746861	2013-08-03 17:20:34.746861	104
8770	34425	4170	2013-08-03 17:20:34.755092	2013-08-03 17:20:34.755092	104
8771	34425	9373	2013-08-03 17:20:34.76308	2013-08-03 17:20:34.76308	104
8772	34426	12945	2013-08-03 17:20:34.801251	2013-08-03 17:20:34.801251	104
8773	34426	12925	2013-08-03 17:20:34.813417	2013-08-03 17:20:34.813417	104
8774	34426	12905	2013-08-03 17:20:34.825187	2013-08-03 17:20:34.825187	104
8775	34426	12885	2013-08-03 17:20:34.83671	2013-08-03 17:20:34.83671	104
8776	34426	12865	2013-08-03 17:20:34.848146	2013-08-03 17:20:34.848146	104
8777	34426	12845	2013-08-03 17:20:34.859308	2013-08-03 17:20:34.859308	104
8778	34426	12825	2013-08-03 17:20:34.870757	2013-08-03 17:20:34.870757	104
8779	34426	12805	2013-08-03 17:20:34.88264	2013-08-03 17:20:34.88264	104
8780	34426	12785	2013-08-03 17:20:34.893739	2013-08-03 17:20:34.893739	104
8781	34426	12765	2013-08-03 17:20:34.904774	2013-08-03 17:20:34.904774	104
8782	34426	12745	2013-08-03 17:20:34.915829	2013-08-03 17:20:34.915829	104
8783	34426	12725	2013-08-03 17:20:34.926858	2013-08-03 17:20:34.926858	104
8784	34426	12643	2013-08-03 17:20:34.938457	2013-08-03 17:20:34.938457	104
8785	34426	12692	2013-08-03 17:20:34.950342	2013-08-03 17:20:34.950342	104
8786	34426	12705	2013-08-03 17:20:34.9615	2013-08-03 17:20:34.9615	104
8787	34426	8523	2013-08-03 17:20:34.972852	2013-08-03 17:20:34.972852	104
8788	34426	23617	2013-08-03 17:20:34.981244	2013-08-03 17:20:34.981244	104
8789	34426	23237	2013-08-03 17:20:34.987514	2013-08-03 17:20:34.987514	104
8790	34426	22917	2013-08-03 17:20:34.996292	2013-08-03 17:20:34.996292	104
8791	34476	13215	2013-08-03 17:20:35.016299	2013-08-03 17:20:35.016299	104
8792	34476	13213	2013-08-03 17:20:35.022813	2013-08-03 17:20:35.022813	104
8793	34476	13037	2013-08-03 17:20:35.027495	2013-08-03 17:20:35.027495	104
8794	34476	13185	2013-08-03 17:20:35.037592	2013-08-03 17:20:35.037592	104
8795	34476	13165	2013-08-03 17:20:35.048682	2013-08-03 17:20:35.048682	104
8796	34476	13145	2013-08-03 17:20:35.059596	2013-08-03 17:20:35.059596	104
8797	34476	13125	2013-08-03 17:20:35.069955	2013-08-03 17:20:35.069955	104
8798	34476	13105	2013-08-03 17:20:35.080673	2013-08-03 17:20:35.080673	104
8799	34476	13112	2013-08-03 17:20:35.091734	2013-08-03 17:20:35.091734	104
8800	34407	13085	2013-08-03 17:20:35.113914	2013-08-03 17:20:35.113914	104
8801	34407	13065	2013-08-03 17:20:35.125065	2013-08-03 17:20:35.125065	104
8802	34407	13045	2013-08-03 17:20:35.133481	2013-08-03 17:20:35.133481	104
8803	34407	12968	2013-08-03 17:20:35.144426	2013-08-03 17:20:35.144426	104
8804	34407	13025	2013-08-03 17:20:35.1552	2013-08-03 17:20:35.1552	104
8805	34407	13005	2013-08-03 17:20:35.166296	2013-08-03 17:20:35.166296	104
8806	34407	12985	2013-08-03 17:20:35.17724	2013-08-03 17:20:35.17724	104
8807	34407	12965	2013-08-03 17:20:35.188149	2013-08-03 17:20:35.188149	104
8808	34407	12980	2013-08-03 17:20:35.199	2013-08-03 17:20:35.199	104
8809	34428	8266	2013-08-03 17:20:35.233207	2013-08-03 17:20:35.233207	104
8810	34428	8246	2013-08-03 17:20:35.245029	2013-08-03 17:20:35.245029	104
8811	34428	8226	2013-08-03 17:20:35.256206	2013-08-03 17:20:35.256206	104
8812	34428	8206	2013-08-03 17:20:35.260758	2013-08-03 17:20:35.260758	104
8813	34428	8186	2013-08-03 17:20:35.265503	2013-08-03 17:20:35.265503	104
8814	34428	8290	2013-08-03 17:20:35.270688	2013-08-03 17:20:35.270688	104
8815	34428	8201	2013-08-03 17:20:35.276424	2013-08-03 17:20:35.276424	104
8816	34428	8166	2013-08-03 17:20:35.281181	2013-08-03 17:20:35.281181	104
8817	34428	8055	2013-08-03 17:20:35.285334	2013-08-03 17:20:35.285334	104
8818	34428	8146	2013-08-03 17:20:35.289465	2013-08-03 17:20:35.289465	104
8819	34428	8126	2013-08-03 17:20:35.293253	2013-08-03 17:20:35.293253	104
8820	34428	8106	2013-08-03 17:20:35.297831	2013-08-03 17:20:35.297831	104
8821	34428	8086	2013-08-03 17:20:35.302101	2013-08-03 17:20:35.302101	104
8822	34428	8066	2013-08-03 17:20:35.309463	2013-08-03 17:20:35.309463	104
8823	34428	8046	2013-08-03 17:20:35.318498	2013-08-03 17:20:35.318498	104
8824	34428	8101	2013-08-03 17:20:35.329387	2013-08-03 17:20:35.329387	104
8825	34428	23597	2013-08-03 17:20:35.340165	2013-08-03 17:20:35.340165	104
8826	34428	23217	2013-08-03 17:20:35.350093	2013-08-03 17:20:35.350093	104
8827	34428	22897	2013-08-03 17:20:35.360246	2013-08-03 17:20:35.360246	104
8828	34429	5737	2013-08-03 17:20:35.396379	2013-08-03 17:20:35.396379	104
8829	34429	5757	2013-08-03 17:20:35.405394	2013-08-03 17:20:35.405394	104
8830	34429	6471	2013-08-03 17:20:35.408802	2013-08-03 17:20:35.408802	104
8831	34429	6531	2013-08-03 17:20:35.412069	2013-08-03 17:20:35.412069	104
8832	34429	5177	2013-08-03 17:20:35.415612	2013-08-03 17:20:35.415612	104
8833	34429	5197	2013-08-03 17:20:35.419201	2013-08-03 17:20:35.419201	104
8834	34429	4097	2013-08-03 17:20:35.424179	2013-08-03 17:20:35.424179	104
8835	34429	7175	2013-08-03 17:20:35.432861	2013-08-03 17:20:35.432861	104
8836	34429	4344	2013-08-03 17:20:35.438812	2013-08-03 17:20:35.438812	104
8837	34429	13931	2013-08-03 17:20:35.443788	2013-08-03 17:20:35.443788	104
8838	34429	7259	2013-08-03 17:20:35.449204	2013-08-03 17:20:35.449204	104
8839	34429	8880	2013-08-03 17:20:35.455451	2013-08-03 17:20:35.455451	104
8840	34429	14091	2013-08-03 17:20:35.462233	2013-08-03 17:20:35.462233	104
8841	34429	13512	2013-08-03 17:20:35.469673	2013-08-03 17:20:35.469673	104
8842	34429	13618	2013-08-03 17:20:35.479652	2013-08-03 17:20:35.479652	104
8843	34429	14051	2013-08-03 17:20:35.491016	2013-08-03 17:20:35.491016	104
8844	34429	10817	2013-08-03 17:20:35.501985	2013-08-03 17:20:35.501985	104
8845	34429	14031	2013-08-03 17:20:35.513465	2013-08-03 17:20:35.513465	104
8846	34429	21308	2013-08-03 17:20:35.524913	2013-08-03 17:20:35.524913	104
8847	34430	22268	2013-08-03 17:20:35.569419	2013-08-03 17:20:35.569419	104
8848	34430	22248	2013-08-03 17:20:35.581814	2013-08-03 17:20:35.581814	104
8849	34430	22228	2013-08-03 17:20:35.592787	2013-08-03 17:20:35.592787	104
8850	34430	22208	2013-08-03 17:20:35.603833	2013-08-03 17:20:35.603833	104
8851	34430	18703	2013-08-03 17:20:35.614669	2013-08-03 17:20:35.614669	104
8852	34430	18403	2013-08-03 17:20:35.624797	2013-08-03 17:20:35.624797	104
8853	34430	16438	2013-08-03 17:20:35.635117	2013-08-03 17:20:35.635117	104
8854	34430	16458	2013-08-03 17:20:35.645504	2013-08-03 17:20:35.645504	104
8855	34430	15515	2013-08-03 17:20:35.655524	2013-08-03 17:20:35.655524	104
8856	34430	13872	2013-08-03 17:20:35.665774	2013-08-03 17:20:35.665774	104
8857	34430	12920	2013-08-03 17:20:35.675906	2013-08-03 17:20:35.675906	104
8858	34430	12655	2013-08-03 17:20:35.685963	2013-08-03 17:20:35.685963	104
8859	34430	8601	2013-08-03 17:20:35.695948	2013-08-03 17:20:35.695948	104
8860	34430	7926	2013-08-03 17:20:35.70586	2013-08-03 17:20:35.70586	104
8861	34430	7666	2013-08-03 17:20:35.715977	2013-08-03 17:20:35.715977	104
8862	34430	23557	2013-08-03 17:20:35.726276	2013-08-03 17:20:35.726276	104
8863	34430	23177	2013-08-03 17:20:35.736357	2013-08-03 17:20:35.736357	104
8864	34430	22857	2013-08-03 17:20:35.746419	2013-08-03 17:20:35.746419	104
8865	34430	22577	2013-08-03 17:20:35.75637	2013-08-03 17:20:35.75637	104
8866	34431	3549	2013-08-03 17:20:35.793537	2013-08-03 17:20:35.793537	104
8867	34431	3529	2013-08-03 17:20:35.805395	2013-08-03 17:20:35.805395	104
8868	34431	3509	2013-08-03 17:20:35.815929	2013-08-03 17:20:35.815929	104
8869	34431	6026	2013-08-03 17:20:35.826156	2013-08-03 17:20:35.826156	104
8870	34431	3489	2013-08-03 17:20:35.837033	2013-08-03 17:20:35.837033	104
8871	34431	3469	2013-08-03 17:20:35.847378	2013-08-03 17:20:35.847378	104
8872	34431	3425	2013-08-03 17:20:35.858115	2013-08-03 17:20:35.858115	104
8873	34431	3406	2013-08-03 17:20:35.868534	2013-08-03 17:20:35.868534	104
8874	34431	3449	2013-08-03 17:20:35.878923	2013-08-03 17:20:35.878923	104
8875	34431	3429	2013-08-03 17:20:35.890391	2013-08-03 17:20:35.890391	104
8876	34431	3409	2013-08-03 17:20:35.901719	2013-08-03 17:20:35.901719	104
8877	34431	3389	2013-08-03 17:20:35.912496	2013-08-03 17:20:35.912496	104
8878	34431	3369	2013-08-03 17:20:35.923094	2013-08-03 17:20:35.923094	104
8879	34431	9176	2013-08-03 17:20:35.933601	2013-08-03 17:20:35.933601	104
8880	34431	3349	2013-08-03 17:20:35.944586	2013-08-03 17:20:35.944586	104
8881	34431	23537	2013-08-03 17:20:35.955569	2013-08-03 17:20:35.955569	104
8882	34431	23157	2013-08-03 17:20:35.965769	2013-08-03 17:20:35.965769	104
8883	34431	22837	2013-08-03 17:20:35.975876	2013-08-03 17:20:35.975876	104
8884	34431	22557	2013-08-03 17:20:35.985781	2013-08-03 17:20:35.985781	104
8885	34432	9910	2013-08-03 17:20:36.021288	2013-08-03 17:20:36.021288	104
8886	34432	9880	2013-08-03 17:20:36.028235	2013-08-03 17:20:36.028235	104
8887	34432	9788	2013-08-03 17:20:36.033337	2013-08-03 17:20:36.033337	104
8888	34432	9890	2013-08-03 17:20:36.038592	2013-08-03 17:20:36.038592	104
8889	34432	9870	2013-08-03 17:20:36.044533	2013-08-03 17:20:36.044533	104
8890	34432	9850	2013-08-03 17:20:36.051323	2013-08-03 17:20:36.051323	104
8891	34432	9830	2013-08-03 17:20:36.060037	2013-08-03 17:20:36.060037	104
8892	34432	9810	2013-08-03 17:20:36.070144	2013-08-03 17:20:36.070144	104
8893	34432	9790	2013-08-03 17:20:36.081479	2013-08-03 17:20:36.081479	104
8894	34432	9770	2013-08-03 17:20:36.092519	2013-08-03 17:20:36.092519	104
8895	34432	9776	2013-08-03 17:20:36.103673	2013-08-03 17:20:36.103673	104
8896	34432	9750	2013-08-03 17:20:36.115553	2013-08-03 17:20:36.115553	104
8897	34432	8561	2013-08-03 17:20:36.179186	2013-08-03 17:20:36.179186	104
8898	34432	7981	2013-08-03 17:20:36.184078	2013-08-03 17:20:36.184078	104
8899	34432	7626	2013-08-03 17:20:36.187973	2013-08-03 17:20:36.187973	104
8900	34432	23517	2013-08-03 17:20:36.194045	2013-08-03 17:20:36.194045	104
8901	34432	23137	2013-08-03 17:20:36.199583	2013-08-03 17:20:36.199583	104
8902	34432	22817	2013-08-03 17:20:36.205765	2013-08-03 17:20:36.205765	104
8903	34432	22537	2013-08-03 17:20:36.212522	2013-08-03 17:20:36.212522	104
8904	34433	5726	2013-08-03 17:20:36.242718	2013-08-03 17:20:36.242718	104
8905	34433	3711	2013-08-03 17:20:36.254334	2013-08-03 17:20:36.254334	104
8906	34433	20448	2013-08-03 17:20:36.266031	2013-08-03 17:20:36.266031	104
8907	34433	6766	2013-08-03 17:20:36.281052	2013-08-03 17:20:36.281052	104
8908	34433	19688	2013-08-03 17:20:36.292378	2013-08-03 17:20:36.292378	104
8909	34433	6779	2013-08-03 17:20:36.297241	2013-08-03 17:20:36.297241	104
8910	34433	16923	2013-08-03 17:20:36.303338	2013-08-03 17:20:36.303338	104
8911	34433	8536	2013-08-03 17:20:36.308297	2013-08-03 17:20:36.308297	104
8912	34433	10595	2013-08-03 17:20:36.313113	2013-08-03 17:20:36.313113	104
8913	34433	3835	2013-08-03 17:20:36.317868	2013-08-03 17:20:36.317868	104
8914	34433	20428	2013-08-03 17:20:36.32473	2013-08-03 17:20:36.32473	104
8915	34433	3164	2013-08-03 17:20:36.330556	2013-08-03 17:20:36.330556	104
8916	34433	7598	2013-08-03 17:20:36.33802	2013-08-03 17:20:36.33802	104
8917	34433	7270	2013-08-03 17:20:36.342603	2013-08-03 17:20:36.342603	104
8918	34433	4786	2013-08-03 17:20:36.347102	2013-08-03 17:20:36.347102	104
8919	34433	23497	2013-08-03 17:20:36.351584	2013-08-03 17:20:36.351584	104
8920	34433	23117	2013-08-03 17:20:36.355503	2013-08-03 17:20:36.355503	104
8921	34433	22797	2013-08-03 17:20:36.359422	2013-08-03 17:20:36.359422	104
8922	34433	22517	2013-08-03 17:20:36.363304	2013-08-03 17:20:36.363304	104
8923	34434	14158	2013-08-03 17:20:36.380616	2013-08-03 17:20:36.380616	104
8924	34434	14212	2013-08-03 17:20:36.389002	2013-08-03 17:20:36.389002	104
8925	34434	14192	2013-08-03 17:20:36.399476	2013-08-03 17:20:36.399476	104
8926	34434	14172	2013-08-03 17:20:36.410462	2013-08-03 17:20:36.410462	104
8927	34434	14152	2013-08-03 17:20:36.421395	2013-08-03 17:20:36.421395	104
8928	34434	14163	2013-08-03 17:20:36.432397	2013-08-03 17:20:36.432397	104
8929	34434	14132	2013-08-03 17:20:36.443943	2013-08-03 17:20:36.443943	104
8930	34434	14112	2013-08-03 17:20:36.454904	2013-08-03 17:20:36.454904	104
8931	34434	14092	2013-08-03 17:20:36.466283	2013-08-03 17:20:36.466283	104
8932	34434	14072	2013-08-03 17:20:36.477687	2013-08-03 17:20:36.477687	104
8933	34434	14052	2013-08-03 17:20:36.484756	2013-08-03 17:20:36.484756	104
8934	34434	14032	2013-08-03 17:20:36.488694	2013-08-03 17:20:36.488694	104
8935	34434	14012	2013-08-03 17:20:36.493458	2013-08-03 17:20:36.493458	104
8936	34434	12840	2013-08-03 17:20:36.497378	2013-08-03 17:20:36.497378	104
8937	34434	12525	2013-08-03 17:20:36.500631	2013-08-03 17:20:36.500631	104
8938	34434	8521	2013-08-03 17:20:36.503823	2013-08-03 17:20:36.503823	104
8939	34434	23477	2013-08-03 17:20:36.507257	2013-08-03 17:20:36.507257	104
8940	34434	23097	2013-08-03 17:20:36.512471	2013-08-03 17:20:36.512471	104
8941	34434	22777	2013-08-03 17:20:36.517285	2013-08-03 17:20:36.517285	104
8942	34435	14093	2013-08-03 17:20:36.53196	2013-08-03 17:20:36.53196	104
8943	34435	14073	2013-08-03 17:20:36.536407	2013-08-03 17:20:36.536407	104
8944	34435	14053	2013-08-03 17:20:36.542465	2013-08-03 17:20:36.542465	104
8945	34435	14033	2013-08-03 17:20:36.549338	2013-08-03 17:20:36.549338	104
8946	34435	14013	2013-08-03 17:20:36.55452	2013-08-03 17:20:36.55452	104
8947	34435	13993	2013-08-03 17:20:36.558668	2013-08-03 17:20:36.558668	104
8948	34435	13973	2013-08-03 17:20:36.562433	2013-08-03 17:20:36.562433	104
8949	34435	13953	2013-08-03 17:20:36.566177	2013-08-03 17:20:36.566177	104
8950	34435	13933	2013-08-03 17:20:36.569733	2013-08-03 17:20:36.569733	104
8951	34435	13913	2013-08-03 17:20:36.57345	2013-08-03 17:20:36.57345	104
8952	34435	13663	2013-08-03 17:20:36.577351	2013-08-03 17:20:36.577351	104
8953	34435	12820	2013-08-03 17:20:36.581804	2013-08-03 17:20:36.581804	104
8954	34435	12505	2013-08-03 17:20:36.585279	2013-08-03 17:20:36.585279	104
8955	34435	8501	2013-08-03 17:20:36.589587	2013-08-03 17:20:36.589587	104
8956	34435	7866	2013-08-03 17:20:36.593794	2013-08-03 17:20:36.593794	104
8957	34435	7566	2013-08-03 17:20:36.597106	2013-08-03 17:20:36.597106	104
8958	34435	23457	2013-08-03 17:20:36.600392	2013-08-03 17:20:36.600392	104
8959	34435	23077	2013-08-03 17:20:36.603583	2013-08-03 17:20:36.603583	104
8960	34435	22477	2013-08-03 17:20:36.60767	2013-08-03 17:20:36.60767	104
8961	34558	14433	2013-08-03 17:20:36.625321	2013-08-03 17:20:36.625321	104
8962	34558	14413	2013-08-03 17:20:36.630566	2013-08-03 17:20:36.630566	104
8963	34558	14393	2013-08-03 17:20:36.636122	2013-08-03 17:20:36.636122	104
8964	34558	14373	2013-08-03 17:20:36.640827	2013-08-03 17:20:36.640827	104
8965	34558	14353	2013-08-03 17:20:36.64502	2013-08-03 17:20:36.64502	104
8966	34558	14333	2013-08-03 17:20:36.651376	2013-08-03 17:20:36.651376	104
8967	34558	14313	2013-08-03 17:20:36.656076	2013-08-03 17:20:36.656076	104
8968	34558	14293	2013-08-03 17:20:36.660837	2013-08-03 17:20:36.660837	104
8969	34558	14273	2013-08-03 17:20:36.665429	2013-08-03 17:20:36.665429	104
8970	34408	14253	2013-08-03 17:20:36.673821	2013-08-03 17:20:36.673821	104
8971	34408	14233	2013-08-03 17:20:36.67809	2013-08-03 17:20:36.67809	104
8972	34408	14213	2013-08-03 17:20:36.681907	2013-08-03 17:20:36.681907	104
8973	34408	14193	2013-08-03 17:20:36.686193	2013-08-03 17:20:36.686193	104
8974	34408	14173	2013-08-03 17:20:36.690262	2013-08-03 17:20:36.690262	104
8975	34408	14153	2013-08-03 17:20:36.694349	2013-08-03 17:20:36.694349	104
8976	34408	14143	2013-08-03 17:20:36.700977	2013-08-03 17:20:36.700977	104
8977	34408	14133	2013-08-03 17:20:36.709504	2013-08-03 17:20:36.709504	104
8978	34408	14113	2013-08-03 17:20:36.714227	2013-08-03 17:20:36.714227	104
8979	34436	7451	2013-08-03 17:20:36.729039	2013-08-03 17:20:36.729039	104
8980	34436	7471	2013-08-03 17:20:36.733731	2013-08-03 17:20:36.733731	104
8981	34436	7491	2013-08-03 17:20:36.739826	2013-08-03 17:20:36.739826	104
8982	34436	6439	2013-08-03 17:20:36.744363	2013-08-03 17:20:36.744363	104
8983	34436	6459	2013-08-03 17:20:36.748617	2013-08-03 17:20:36.748617	104
8984	34436	6479	2013-08-03 17:20:36.75266	2013-08-03 17:20:36.75266	104
8985	34436	6499	2013-08-03 17:20:36.75711	2013-08-03 17:20:36.75711	104
8986	34436	6519	2013-08-03 17:20:36.761183	2013-08-03 17:20:36.761183	104
8987	34436	6539	2013-08-03 17:20:36.765804	2013-08-03 17:20:36.765804	104
8988	34436	6559	2013-08-03 17:20:36.770311	2013-08-03 17:20:36.770311	104
8989	34436	6579	2013-08-03 17:20:36.775152	2013-08-03 17:20:36.775152	104
8990	34436	6599	2013-08-03 17:20:36.780298	2013-08-03 17:20:36.780298	104
8991	34436	6619	2013-08-03 17:20:36.784648	2013-08-03 17:20:36.784648	104
8992	34436	6639	2013-08-03 17:20:36.789483	2013-08-03 17:20:36.789483	104
8993	34436	6659	2013-08-03 17:20:36.794054	2013-08-03 17:20:36.794054	104
8994	34436	6679	2013-08-03 17:20:36.798391	2013-08-03 17:20:36.798391	104
8995	34436	6699	2013-08-03 17:20:36.802512	2013-08-03 17:20:36.802512	104
8996	34436	6719	2013-08-03 17:20:36.80694	2013-08-03 17:20:36.80694	104
8997	34436	6739	2013-08-03 17:20:36.812397	2013-08-03 17:20:36.812397	104
8998	34424	15975	2013-08-03 17:20:36.827339	2013-08-03 17:20:36.827339	104
8999	34424	15955	2013-08-03 17:20:36.832622	2013-08-03 17:20:36.832622	104
9000	34424	15935	2013-08-03 17:20:36.837269	2013-08-03 17:20:36.837269	104
9001	34424	15915	2013-08-03 17:20:36.841986	2013-08-03 17:20:36.841986	104
9002	34424	15895	2013-08-03 17:20:36.846636	2013-08-03 17:20:36.846636	104
9003	34424	15875	2013-08-03 17:20:36.851082	2013-08-03 17:20:36.851082	104
9004	34424	15855	2013-08-03 17:20:36.857029	2013-08-03 17:20:36.857029	104
9005	34424	15835	2013-08-03 17:20:36.862597	2013-08-03 17:20:36.862597	104
9006	34424	15723	2013-08-03 17:20:36.871183	2013-08-03 17:20:36.871183	104
9007	34424	15815	2013-08-03 17:20:36.88135	2013-08-03 17:20:36.88135	104
9008	34424	13792	2013-08-03 17:20:36.891547	2013-08-03 17:20:36.891547	104
9009	34424	12465	2013-08-03 17:20:36.901415	2013-08-03 17:20:36.901415	104
9010	34424	8481	2013-08-03 17:20:36.910989	2013-08-03 17:20:36.910989	104
9011	34424	7750	2013-08-03 17:20:36.921084	2013-08-03 17:20:36.921084	104
9012	34424	7743	2013-08-03 17:20:36.931671	2013-08-03 17:20:36.931671	104
9013	34424	7546	2013-08-03 17:20:36.942145	2013-08-03 17:20:36.942145	104
9014	34424	23417	2013-08-03 17:20:36.9522	2013-08-03 17:20:36.9522	104
9015	34424	18243	2013-08-03 17:20:36.962195	2013-08-03 17:20:36.962195	104
9016	34424	22437	2013-08-03 17:20:36.97226	2013-08-03 17:20:36.97226	104
9017	34681	16315	2013-08-03 17:20:37.010865	2013-08-03 17:20:37.010865	104
9018	34681	16295	2013-08-03 17:20:37.015098	2013-08-03 17:20:37.015098	104
9019	34621	16275	2013-08-03 17:20:37.026423	2013-08-03 17:20:37.026423	104
9020	34621	16255	2013-08-03 17:20:37.03203	2013-08-03 17:20:37.03203	104
9021	34478	16235	2013-08-03 17:20:37.040234	2013-08-03 17:20:37.040234	104
9022	34478	16283	2013-08-03 17:20:37.044311	2013-08-03 17:20:37.044311	104
9023	34450	16215	2013-08-03 17:20:37.055277	2013-08-03 17:20:37.055277	104
9024	34450	16195	2013-08-03 17:20:37.062745	2013-08-03 17:20:37.062745	104
9025	34413	16175	2013-08-03 17:20:37.083935	2013-08-03 17:20:37.083935	104
9026	34413	16155	2013-08-03 17:20:37.095395	2013-08-03 17:20:37.095395	104
9027	34411	16135	2013-08-03 17:20:37.118363	2013-08-03 17:20:37.118363	104
9028	34411	16115	2013-08-03 17:20:37.130306	2013-08-03 17:20:37.130306	104
9029	34410	16095	2013-08-03 17:20:37.15287	2013-08-03 17:20:37.15287	104
9030	34410	16075	2013-08-03 17:20:37.163864	2013-08-03 17:20:37.163864	104
9031	34403	16055	2013-08-03 17:20:37.185176	2013-08-03 17:20:37.185176	104
9032	34403	16035	2013-08-03 17:20:37.195848	2013-08-03 17:20:37.195848	104
9033	34401	16015	2013-08-03 17:20:37.216518	2013-08-03 17:20:37.216518	104
9034	34401	15995	2013-08-03 17:20:37.226806	2013-08-03 17:20:37.226806	104
9035	34437	24037	2013-08-03 17:20:37.323434	2013-08-03 17:20:37.323434	104
9036	34437	24017	2013-08-03 17:20:37.329976	2013-08-03 17:20:37.329976	104
9037	34437	23997	2013-08-03 17:20:37.336393	2013-08-03 17:20:37.336393	104
9038	34437	23977	2013-08-03 17:20:37.341088	2013-08-03 17:20:37.341088	104
9039	34437	23957	2013-08-03 17:20:37.344922	2013-08-03 17:20:37.344922	104
9040	34437	23937	2013-08-03 17:20:37.348724	2013-08-03 17:20:37.348724	104
9041	34437	23917	2013-08-03 17:20:37.352916	2013-08-03 17:20:37.352916	104
9042	34437	23897	2013-08-03 17:20:37.358037	2013-08-03 17:20:37.358037	104
9043	34437	23877	2013-08-03 17:20:37.362518	2013-08-03 17:20:37.362518	104
9044	34437	23857	2013-08-03 17:20:37.367283	2013-08-03 17:20:37.367283	104
9045	34437	23837	2013-08-03 17:20:37.373043	2013-08-03 17:20:37.373043	104
9046	34437	23817	2013-08-03 17:20:37.378646	2013-08-03 17:20:37.378646	104
9047	34437	23797	2013-08-03 17:20:37.384118	2013-08-03 17:20:37.384118	104
9048	34437	23777	2013-08-03 17:20:37.3908	2013-08-03 17:20:37.3908	104
9049	34437	23757	2013-08-03 17:20:37.397742	2013-08-03 17:20:37.397742	104
9050	34437	23737	2013-08-03 17:20:37.40521	2013-08-03 17:20:37.40521	104
9051	34437	23717	2013-08-03 17:20:37.415139	2013-08-03 17:20:37.415139	104
9052	34437	16215	2013-08-03 17:20:37.425575	2013-08-03 17:20:37.425575	104
9053	34437	16195	2013-08-03 17:20:37.436154	2013-08-03 17:20:37.436154	104
9054	34438	16958	2013-08-03 17:20:37.458927	2013-08-03 17:20:37.458927	104
9055	34438	16938	2013-08-03 17:20:37.465021	2013-08-03 17:20:37.465021	104
9056	34438	16918	2013-08-03 17:20:37.471609	2013-08-03 17:20:37.471609	104
9057	34438	16898	2013-08-03 17:20:37.480495	2013-08-03 17:20:37.480495	104
9058	34438	16878	2013-08-03 17:20:37.491077	2013-08-03 17:20:37.491077	104
9059	34438	16858	2013-08-03 17:20:37.502184	2013-08-03 17:20:37.502184	104
9060	34438	16838	2013-08-03 17:20:37.513473	2013-08-03 17:20:37.513473	104
9061	34438	16818	2013-08-03 17:20:37.524766	2013-08-03 17:20:37.524766	104
9062	34438	16798	2013-08-03 17:20:37.535742	2013-08-03 17:20:37.535742	104
9063	34438	7786	2013-08-03 17:20:37.546866	2013-08-03 17:20:37.546866	104
9064	34438	7766	2013-08-03 17:20:37.557092	2013-08-03 17:20:37.557092	104
9065	34438	7405	2013-08-03 17:20:37.567106	2013-08-03 17:20:37.567106	104
9066	34438	22717	2013-08-03 17:20:37.57792	2013-08-03 17:20:37.57792	104
9067	34438	13972	2013-08-03 17:20:37.588695	2013-08-03 17:20:37.588695	104
9068	34438	22637	2013-08-03 17:20:37.598878	2013-08-03 17:20:37.598878	104
9069	34438	22677	2013-08-03 17:20:37.608996	2013-08-03 17:20:37.608996	104
9070	34438	22617	2013-08-03 17:20:37.619486	2013-08-03 17:20:37.619486	104
9071	34438	22497	2013-08-03 17:20:37.630244	2013-08-03 17:20:37.630244	104
9072	34438	16498	2013-08-03 17:20:37.640868	2013-08-03 17:20:37.640868	104
9073	34682	17278	2013-08-03 17:20:37.694111	2013-08-03 17:20:37.694111	104
9074	34682	17258	2013-08-03 17:20:37.705386	2013-08-03 17:20:37.705386	104
9075	34479	17238	2013-08-03 17:20:37.726054	2013-08-03 17:20:37.726054	104
9076	34479	17218	2013-08-03 17:20:37.736871	2013-08-03 17:20:37.736871	104
9077	34415	17198	2013-08-03 17:20:37.760179	2013-08-03 17:20:37.760179	104
9078	34415	17178	2013-08-03 17:20:37.769886	2013-08-03 17:20:37.769886	104
9079	34414	17158	2013-08-03 17:20:37.79137	2013-08-03 17:20:37.79137	104
9080	34414	17138	2013-08-03 17:20:37.802715	2013-08-03 17:20:37.802715	104
9081	34412	17118	2013-08-03 17:20:37.826771	2013-08-03 17:20:37.826771	104
9082	34412	17098	2013-08-03 17:20:37.838294	2013-08-03 17:20:37.838294	104
9083	34409	17078	2013-08-03 17:20:37.861872	2013-08-03 17:20:37.861872	104
9084	34409	17058	2013-08-03 17:20:37.873919	2013-08-03 17:20:37.873919	104
9085	34404	17038	2013-08-03 17:20:37.89698	2013-08-03 17:20:37.89698	104
9086	34404	17018	2013-08-03 17:20:37.90861	2013-08-03 17:20:37.90861	104
9087	34402	16998	2013-08-03 17:20:37.933001	2013-08-03 17:20:37.933001	104
9088	34402	16978	2013-08-03 17:20:37.944623	2013-08-03 17:20:37.944623	104
9089	34439	11851	2013-08-03 17:20:37.981016	2013-08-03 17:20:37.981016	104
9090	34439	11371	2013-08-03 17:20:37.993229	2013-08-03 17:20:37.993229	104
9091	34439	11351	2013-08-03 17:20:38.004548	2013-08-03 17:20:38.004548	104
9092	34439	11291	2013-08-03 17:20:38.015859	2013-08-03 17:20:38.015859	104
9093	34439	9888	2013-08-03 17:20:38.027149	2013-08-03 17:20:38.027149	104
9094	34439	6298	2013-08-03 17:20:38.040311	2013-08-03 17:20:38.040311	104
9095	34439	6355	2013-08-03 17:20:38.046297	2013-08-03 17:20:38.046297	104
9096	34439	11651	2013-08-03 17:20:38.053098	2013-08-03 17:20:38.053098	104
9097	34439	11631	2013-08-03 17:20:38.058003	2013-08-03 17:20:38.058003	104
9098	34439	11611	2013-08-03 17:20:38.064095	2013-08-03 17:20:38.064095	104
9099	34439	6139	2013-08-03 17:20:38.070617	2013-08-03 17:20:38.070617	104
9100	34439	10251	2013-08-03 17:20:38.074534	2013-08-03 17:20:38.074534	104
9101	34439	6079	2013-08-03 17:20:38.078809	2013-08-03 17:20:38.078809	104
9102	34439	6099	2013-08-03 17:20:38.083835	2013-08-03 17:20:38.083835	104
9103	34439	5995	2013-08-03 17:20:38.091195	2013-08-03 17:20:38.091195	104
9104	34439	5975	2013-08-03 17:20:38.101925	2013-08-03 17:20:38.101925	104
9105	34439	4019	2013-08-03 17:20:38.113535	2013-08-03 17:20:38.113535	104
9106	34439	3237	2013-08-03 17:20:38.125324	2013-08-03 17:20:38.125324	104
9107	34439	22397	2013-08-03 17:20:38.136312	2013-08-03 17:20:38.136312	104
9108	34440	13380	2013-08-03 17:20:38.176221	2013-08-03 17:20:38.176221	104
9109	34440	13360	2013-08-03 17:20:38.18834	2013-08-03 17:20:38.18834	104
9110	34440	13340	2013-08-03 17:20:38.199562	2013-08-03 17:20:38.199562	104
9111	34440	13320	2013-08-03 17:20:38.210417	2013-08-03 17:20:38.210417	104
9112	34440	13300	2013-08-03 17:20:38.221789	2013-08-03 17:20:38.221789	104
9113	34440	13280	2013-08-03 17:20:38.234024	2013-08-03 17:20:38.234024	104
9114	34440	13260	2013-08-03 17:20:38.245202	2013-08-03 17:20:38.245202	104
9115	34440	13240	2013-08-03 17:20:38.255434	2013-08-03 17:20:38.255434	104
9116	34440	13220	2013-08-03 17:20:38.259301	2013-08-03 17:20:38.259301	104
9117	34440	13200	2013-08-03 17:20:38.264037	2013-08-03 17:20:38.264037	104
9118	34440	13180	2013-08-03 17:20:38.269285	2013-08-03 17:20:38.269285	104
9119	34440	13160	2013-08-03 17:20:38.273168	2013-08-03 17:20:38.273168	104
9120	34440	13140	2013-08-03 17:20:38.276462	2013-08-03 17:20:38.276462	104
9121	34440	13120	2013-08-03 17:20:38.279403	2013-08-03 17:20:38.279403	104
9122	34440	13100	2013-08-03 17:20:38.284841	2013-08-03 17:20:38.284841	104
9123	34440	13080	2013-08-03 17:20:38.290756	2013-08-03 17:20:38.290756	104
9124	34440	8026	2013-08-03 17:20:38.299581	2013-08-03 17:20:38.299581	104
9125	34440	22997	2013-08-03 17:20:38.310135	2013-08-03 17:20:38.310135	104
9126	34440	22957	2013-08-03 17:20:38.320673	2013-08-03 17:20:38.320673	104
9127	34753	14253	2013-08-03 17:25:31.577082	2013-08-03 17:25:31.577082	105
9128	34753	10175	2013-08-03 17:25:31.582328	2013-08-03 17:25:31.582328	105
9129	34753	7900	2013-08-03 17:25:31.588286	2013-08-03 17:25:31.588286	105
9130	34753	5006	2013-08-03 17:25:31.594904	2013-08-03 17:25:31.594904	105
9131	34753	7330	2013-08-03 17:25:31.600827	2013-08-03 17:25:31.600827	105
9132	34753	5270	2013-08-03 17:25:31.606523	2013-08-03 17:25:31.606523	105
9133	34753	5326	2013-08-03 17:25:31.612916	2013-08-03 17:25:31.612916	105
9134	34753	5306	2013-08-03 17:25:31.62056	2013-08-03 17:25:31.62056	105
9135	34753	5286	2013-08-03 17:25:31.626812	2013-08-03 17:25:31.626812	105
9136	34753	5266	2013-08-03 17:25:31.632965	2013-08-03 17:25:31.632965	105
9137	34753	5246	2013-08-03 17:25:31.639928	2013-08-03 17:25:31.639928	105
9138	34753	5226	2013-08-03 17:25:31.645168	2013-08-03 17:25:31.645168	105
9139	34753	5206	2013-08-03 17:25:31.649855	2013-08-03 17:25:31.649855	105
9140	34753	5186	2013-08-03 17:25:31.654544	2013-08-03 17:25:31.654544	105
9141	34753	4339	2013-08-03 17:25:31.660306	2013-08-03 17:25:31.660306	105
9142	34753	7816	2013-08-03 17:25:31.666859	2013-08-03 17:25:31.666859	105
9143	34753	7763	2013-08-03 17:25:31.671986	2013-08-03 17:25:31.671986	105
9144	34753	5223	2013-08-03 17:25:31.67734	2013-08-03 17:25:31.67734	105
9145	34753	5245	2013-08-03 17:25:31.684339	2013-08-03 17:25:31.684339	105
9146	34982	20423	2013-08-03 17:25:31.713734	2013-08-03 17:25:31.713734	105
9147	34982	20403	2013-08-03 17:25:31.718568	2013-08-03 17:25:31.718568	105
9148	34982	20383	2013-08-03 17:25:31.725215	2013-08-03 17:25:31.725215	105
9149	34982	20363	2013-08-03 17:25:31.732813	2013-08-03 17:25:31.732813	105
9150	34954	20343	2013-08-03 17:25:31.743698	2013-08-03 17:25:31.743698	105
9151	34954	20323	2013-08-03 17:25:31.750226	2013-08-03 17:25:31.750226	105
9152	34954	20303	2013-08-03 17:25:31.755285	2013-08-03 17:25:31.755285	105
9153	34954	20283	2013-08-03 17:25:31.760211	2013-08-03 17:25:31.760211	105
9154	34794	20263	2013-08-03 17:25:31.771555	2013-08-03 17:25:31.771555	105
9155	34794	20243	2013-08-03 17:25:31.776601	2013-08-03 17:25:31.776601	105
9156	34794	20223	2013-08-03 17:25:31.784165	2013-08-03 17:25:31.784165	105
9157	34794	20203	2013-08-03 17:25:31.794843	2013-08-03 17:25:31.794843	105
9158	34751	20183	2013-08-03 17:25:31.817785	2013-08-03 17:25:31.817785	105
9159	34751	8746	2013-08-03 17:25:31.829764	2013-08-03 17:25:31.829764	105
9160	34751	24237	2013-08-03 17:25:31.840369	2013-08-03 17:25:31.840369	105
9161	34751	5406	2013-08-03 17:25:31.850789	2013-08-03 17:25:31.850789	105
9162	34953	13445	2013-08-03 17:25:31.898442	2013-08-03 17:25:31.898442	105
9163	34953	13425	2013-08-03 17:25:31.903555	2013-08-03 17:25:31.903555	105
9164	34953	13405	2013-08-03 17:25:31.911958	2013-08-03 17:25:31.911958	105
9165	34953	13385	2013-08-03 17:25:31.917246	2013-08-03 17:25:31.917246	105
9166	34953	13365	2013-08-03 17:25:31.92153	2013-08-03 17:25:31.92153	105
9167	34953	13345	2013-08-03 17:25:31.926221	2013-08-03 17:25:31.926221	105
9168	34834	13325	2013-08-03 17:25:31.934741	2013-08-03 17:25:31.934741	105
9169	34834	13305	2013-08-03 17:25:31.938344	2013-08-03 17:25:31.938344	105
9170	34834	13285	2013-08-03 17:25:31.941549	2013-08-03 17:25:31.941549	105
9171	34834	13265	2013-08-03 17:25:31.944681	2013-08-03 17:25:31.944681	105
9172	34834	13245	2013-08-03 17:25:31.953292	2013-08-03 17:25:31.953292	105
9173	34834	13272	2013-08-03 17:25:31.963932	2013-08-03 17:25:31.963932	105
9174	34752	13225	2013-08-03 17:25:31.987105	2013-08-03 17:25:31.987105	105
9175	34752	8706	2013-08-03 17:25:31.998587	2013-08-03 17:25:31.998587	105
9176	34752	8478	2013-08-03 17:25:32.007516	2013-08-03 17:25:32.007516	105
9177	34752	24197	2013-08-03 17:25:32.016787	2013-08-03 17:25:32.016787	105
9178	34752	13451	2013-08-03 17:25:32.02035	2013-08-03 17:25:32.02035	105
9179	34752	4384	2013-08-03 17:25:32.027985	2013-08-03 17:25:32.027985	105
9180	34993	16795	2013-08-03 17:25:32.143337	2013-08-03 17:25:32.143337	105
9181	34971	16775	2013-08-03 17:25:32.167571	2013-08-03 17:25:32.167571	105
9182	34851	16755	2013-08-03 17:25:32.191071	2013-08-03 17:25:32.191071	105
9183	34818	16735	2013-08-03 17:25:32.204245	2013-08-03 17:25:32.204245	105
9184	34816	16715	2013-08-03 17:25:32.213016	2013-08-03 17:25:32.213016	105
9185	34782	16695	2013-08-03 17:25:32.219118	2013-08-03 17:25:32.219118	105
9186	34766	16395	2013-08-03 17:25:32.228685	2013-08-03 17:25:32.228685	105
9187	34764	8586	2013-08-03 17:25:32.246359	2013-08-03 17:25:32.246359	105
9188	34750	8326	2013-08-03 17:25:32.267709	2013-08-03 17:25:32.267709	105
9189	34748	13065	2013-08-03 17:25:32.289943	2013-08-03 17:25:32.289943	105
9190	34992	17518	2013-08-03 17:25:32.355479	2013-08-03 17:25:32.355479	105
9191	34992	17498	2013-08-03 17:25:32.36738	2013-08-03 17:25:32.36738	105
9192	34961	17478	2013-08-03 17:25:32.390368	2013-08-03 17:25:32.390368	105
9193	34961	17458	2013-08-03 17:25:32.40108	2013-08-03 17:25:32.40108	105
9194	34833	17438	2013-08-03 17:25:32.421854	2013-08-03 17:25:32.421854	105
9195	34833	17418	2013-08-03 17:25:32.433195	2013-08-03 17:25:32.433195	105
9196	34820	17398	2013-08-03 17:25:32.456411	2013-08-03 17:25:32.456411	105
9197	34820	17378	2013-08-03 17:25:32.468025	2013-08-03 17:25:32.468025	105
9198	34784	17358	2013-08-03 17:25:32.492263	2013-08-03 17:25:32.492263	105
9199	34784	20017	2013-08-03 17:25:32.505826	2013-08-03 17:25:32.505826	105
9200	34767	4305	2013-08-03 17:25:32.529628	2013-08-03 17:25:32.529628	105
9201	34767	7486	2013-08-03 17:25:32.538434	2013-08-03 17:25:32.538434	105
9202	34765	7506	2013-08-03 17:25:32.552444	2013-08-03 17:25:32.552444	105
9203	34765	17543	2013-08-03 17:25:32.556698	2013-08-03 17:25:32.556698	105
9204	34749	4326	2013-08-03 17:25:32.57519	2013-08-03 17:25:32.57519	105
9205	34749	9373	2013-08-03 17:25:32.585483	2013-08-03 17:25:32.585483	105
9206	35144	9263	2013-08-03 17:35:01.8643	2013-08-03 17:35:01.8643	106
9207	35144	9160	2013-08-03 17:35:01.881256	2013-08-03 17:35:01.881256	106
9208	35144	9198	2013-08-03 17:35:01.888025	2013-08-03 17:35:01.888025	106
9209	35144	9261	2013-08-03 17:35:01.894871	2013-08-03 17:35:01.894871	106
9210	35144	9241	2013-08-03 17:35:01.902287	2013-08-03 17:35:01.902287	106
9211	35144	9221	2013-08-03 17:35:01.910029	2013-08-03 17:35:01.910029	106
9212	35144	9201	2013-08-03 17:35:01.918458	2013-08-03 17:35:01.918458	106
9213	35144	9181	2013-08-03 17:35:01.926481	2013-08-03 17:35:01.926481	106
9214	35144	9161	2013-08-03 17:35:01.934753	2013-08-03 17:35:01.934753	106
9215	35144	9250	2013-08-03 17:35:01.943533	2013-08-03 17:35:01.943533	106
9216	35144	9141	2013-08-03 17:35:01.953048	2013-08-03 17:35:01.953048	106
9217	35144	9121	2013-08-03 17:35:01.96274	2013-08-03 17:35:01.96274	106
9218	35144	8996	2013-08-03 17:35:01.97209	2013-08-03 17:35:01.97209	106
9219	35144	8993	2013-08-03 17:35:01.982534	2013-08-03 17:35:01.982534	106
9220	35144	9023	2013-08-03 17:35:01.992759	2013-08-03 17:35:01.992759	106
9221	35144	8972	2013-08-03 17:35:02.003179	2013-08-03 17:35:02.003179	106
9222	35144	8786	2013-08-03 17:35:02.013928	2013-08-03 17:35:02.013928	106
9223	35144	24437	2013-08-03 17:35:02.021518	2013-08-03 17:35:02.021518	106
9224	35144	14568	2013-08-03 17:35:02.026887	2013-08-03 17:35:02.026887	106
9225	35137	9879	2013-08-03 17:35:02.048233	2013-08-03 17:35:02.048233	106
9226	35137	9635	2013-08-03 17:35:02.051894	2013-08-03 17:35:02.051894	106
9227	35137	14868	2013-08-03 17:35:02.05794	2013-08-03 17:35:02.05794	106
9228	35137	10697	2013-08-03 17:35:02.066648	2013-08-03 17:35:02.066648	106
9229	35137	14908	2013-08-03 17:35:02.07693	2013-08-03 17:35:02.07693	106
9230	35137	14288	2013-08-03 17:35:02.087066	2013-08-03 17:35:02.087066	106
9231	35137	14308	2013-08-03 17:35:02.097392	2013-08-03 17:35:02.097392	106
9232	35137	14328	2013-08-03 17:35:02.107447	2013-08-03 17:35:02.107447	106
9233	35137	14348	2013-08-03 17:35:02.117423	2013-08-03 17:35:02.117423	106
9234	35137	14368	2013-08-03 17:35:02.127232	2013-08-03 17:35:02.127232	106
9235	35137	14388	2013-08-03 17:35:02.135952	2013-08-03 17:35:02.135952	106
9236	35137	14408	2013-08-03 17:35:02.140828	2013-08-03 17:35:02.140828	106
9237	35137	14428	2013-08-03 17:35:02.145137	2013-08-03 17:35:02.145137	106
9238	35137	14448	2013-08-03 17:35:02.149976	2013-08-03 17:35:02.149976	106
9239	35137	14468	2013-08-03 17:35:02.153241	2013-08-03 17:35:02.153241	106
9240	35137	14488	2013-08-03 17:35:02.156463	2013-08-03 17:35:02.156463	106
9241	35137	14508	2013-08-03 17:35:02.159386	2013-08-03 17:35:02.159386	106
9242	35137	14528	2013-08-03 17:35:02.162694	2013-08-03 17:35:02.162694	106
9243	35137	14548	2013-08-03 17:35:02.165879	2013-08-03 17:35:02.165879	106
9244	35004	1789	2013-08-03 17:35:02.220504	2013-08-03 17:35:02.220504	106
9245	35004	6813	2013-08-03 17:35:02.228683	2013-08-03 17:35:02.228683	106
9246	35004	1762	2013-08-03 17:35:02.23812	2013-08-03 17:35:02.23812	106
9247	35004	1742	2013-08-03 17:35:02.248035	2013-08-03 17:35:02.248035	106
9248	35004	6906	2013-08-03 17:35:02.258357	2013-08-03 17:35:02.258357	106
9249	35004	5038	2013-08-03 17:35:02.268972	2013-08-03 17:35:02.268972	106
9250	35004	9898	2013-08-03 17:35:02.279542	2013-08-03 17:35:02.279542	106
9251	35004	9899	2013-08-03 17:35:02.291002	2013-08-03 17:35:02.291002	106
9252	35004	7679	2013-08-03 17:35:02.301569	2013-08-03 17:35:02.301569	106
9253	34994	7759	2013-08-03 17:35:02.324142	2013-08-03 17:35:02.324142	106
9254	34994	14948	2013-08-03 17:35:02.334778	2013-08-03 17:35:02.334778	106
9255	34994	14968	2013-08-03 17:35:02.345073	2013-08-03 17:35:02.345073	106
9256	34994	14848	2013-08-03 17:35:02.355393	2013-08-03 17:35:02.355393	106
9257	34994	1655	2013-08-03 17:35:02.365755	2013-08-03 17:35:02.365755	106
9258	34994	1628	2013-08-03 17:35:02.376542	2013-08-03 17:35:02.376542	106
9259	34994	1592	2013-08-03 17:35:02.387116	2013-08-03 17:35:02.387116	106
9260	34994	1601	2013-08-03 17:35:02.393822	2013-08-03 17:35:02.393822	106
9261	34994	9859	2013-08-03 17:35:02.397275	2013-08-03 17:35:02.397275	106
9262	35012	21403	2013-08-03 17:35:02.411745	2013-08-03 17:35:02.411745	106
9263	35012	21383	2013-08-03 17:35:02.416134	2013-08-03 17:35:02.416134	106
9264	35012	21363	2013-08-03 17:35:02.420498	2013-08-03 17:35:02.420498	106
9265	35012	21343	2013-08-03 17:35:02.427218	2013-08-03 17:35:02.427218	106
9266	35012	21323	2013-08-03 17:35:02.436515	2013-08-03 17:35:02.436515	106
9267	35012	21303	2013-08-03 17:35:02.446977	2013-08-03 17:35:02.446977	106
9268	35012	21283	2013-08-03 17:35:02.457295	2013-08-03 17:35:02.457295	106
9269	35012	21263	2013-08-03 17:35:02.46771	2013-08-03 17:35:02.46771	106
9270	35012	21243	2013-08-03 17:35:02.478123	2013-08-03 17:35:02.478123	106
9271	35012	21223	2013-08-03 17:35:02.488278	2013-08-03 17:35:02.488278	106
9272	35012	21203	2013-08-03 17:35:02.498829	2013-08-03 17:35:02.498829	106
9273	35012	21183	2013-08-03 17:35:02.50918	2013-08-03 17:35:02.50918	106
9274	35012	21163	2013-08-03 17:35:02.519724	2013-08-03 17:35:02.519724	106
9275	35012	21143	2013-08-03 17:35:02.53	2013-08-03 17:35:02.53	106
9276	35012	21123	2013-08-03 17:35:02.540289	2013-08-03 17:35:02.540289	106
9277	35012	21103	2013-08-03 17:35:02.550563	2013-08-03 17:35:02.550563	106
9278	35012	9903	2013-08-03 17:35:02.560955	2013-08-03 17:35:02.560955	106
9279	35012	24397	2013-08-03 17:35:02.571364	2013-08-03 17:35:02.571364	106
9280	35012	14588	2013-08-03 17:35:02.581565	2013-08-03 17:35:02.581565	106
9281	35141	21208	2013-08-03 17:35:02.61495	2013-08-03 17:35:02.61495	106
9282	35141	21228	2013-08-03 17:35:02.618958	2013-08-03 17:35:02.618958	106
9283	35141	21248	2013-08-03 17:35:02.621969	2013-08-03 17:35:02.621969	106
9284	35141	21268	2013-08-03 17:35:02.624816	2013-08-03 17:35:02.624816	106
9285	35141	21288	2013-08-03 17:35:02.627824	2013-08-03 17:35:02.627824	106
9286	35141	8920	2013-08-03 17:35:02.630812	2013-08-03 17:35:02.630812	106
9287	35141	4395	2013-08-03 17:35:02.633569	2013-08-03 17:35:02.633569	106
9288	35141	4130	2013-08-03 17:35:02.636187	2013-08-03 17:35:02.636187	106
9289	35141	7286	2013-08-03 17:35:02.639082	2013-08-03 17:35:02.639082	106
9290	35141	7306	2013-08-03 17:35:02.641801	2013-08-03 17:35:02.641801	106
9291	35141	7326	2013-08-03 17:35:02.644405	2013-08-03 17:35:02.644405	106
9292	35141	7346	2013-08-03 17:35:02.647067	2013-08-03 17:35:02.647067	106
9293	35141	7386	2013-08-03 17:35:02.649884	2013-08-03 17:35:02.649884	106
9294	35141	7501	2013-08-03 17:35:02.653117	2013-08-03 17:35:02.653117	106
9295	35141	7406	2013-08-03 17:35:02.656856	2013-08-03 17:35:02.656856	106
9296	35141	7426	2013-08-03 17:35:02.659813	2013-08-03 17:35:02.659813	106
9297	35141	7446	2013-08-03 17:35:02.662645	2013-08-03 17:35:02.662645	106
9298	35141	14548	2013-08-03 17:35:02.666249	2013-08-03 17:35:02.666249	106
9299	35141	14528	2013-08-03 17:35:02.670204	2013-08-03 17:35:02.670204	106
9300	35143	13758	2013-08-03 17:35:02.707991	2013-08-03 17:35:02.707991	106
9301	35143	13665	2013-08-03 17:35:02.714862	2013-08-03 17:35:02.714862	106
9302	35143	13645	2013-08-03 17:35:02.719003	2013-08-03 17:35:02.719003	106
9303	35143	13625	2013-08-03 17:35:02.727372	2013-08-03 17:35:02.727372	106
9304	35143	13520	2013-08-03 17:35:02.736139	2013-08-03 17:35:02.736139	106
9305	35143	13605	2013-08-03 17:35:02.747241	2013-08-03 17:35:02.747241	106
9306	35143	13585	2013-08-03 17:35:02.758602	2013-08-03 17:35:02.758602	106
9307	35143	13565	2013-08-03 17:35:02.769962	2013-08-03 17:35:02.769962	106
9308	35143	13545	2013-08-03 17:35:02.780952	2013-08-03 17:35:02.780952	106
9309	35143	13525	2013-08-03 17:35:02.791615	2013-08-03 17:35:02.791615	106
9310	35143	13505	2013-08-03 17:35:02.802318	2013-08-03 17:35:02.802318	106
9311	35143	13485	2013-08-03 17:35:02.812857	2013-08-03 17:35:02.812857	106
9312	35143	10030	2013-08-03 17:35:02.823905	2013-08-03 17:35:02.823905	106
9313	35143	9041	2013-08-03 17:35:02.834604	2013-08-03 17:35:02.834604	106
9314	35143	8932	2013-08-03 17:35:02.845558	2013-08-03 17:35:02.845558	106
9315	35143	8280	2013-08-03 17:35:02.856614	2013-08-03 17:35:02.856614	106
9316	35143	24357	2013-08-03 17:35:02.868119	2013-08-03 17:35:02.868119	106
9317	35143	14628	2013-08-03 17:35:02.879379	2013-08-03 17:35:02.879379	106
9318	35143	17575	2013-08-03 17:35:02.890895	2013-08-03 17:35:02.890895	106
9319	35066	13965	2013-08-03 17:35:02.931596	2013-08-03 17:35:02.931596	106
9320	35066	13945	2013-08-03 17:35:02.939546	2013-08-03 17:35:02.939546	106
9321	35066	13925	2013-08-03 17:35:02.976811	2013-08-03 17:35:02.976811	106
9322	35066	13905	2013-08-03 17:35:02.983018	2013-08-03 17:35:02.983018	106
9323	35066	13932	2013-08-03 17:35:02.987465	2013-08-03 17:35:02.987465	106
9324	35066	13885	2013-08-03 17:35:02.994514	2013-08-03 17:35:02.994514	106
9325	35032	13865	2013-08-03 17:35:03.002885	2013-08-03 17:35:03.002885	106
9326	35032	13845	2013-08-03 17:35:03.006763	2013-08-03 17:35:03.006763	106
9327	35032	13825	2013-08-03 17:35:03.010313	2013-08-03 17:35:03.010313	106
9328	35032	13723	2013-08-03 17:35:03.013677	2013-08-03 17:35:03.013677	106
9329	35032	13805	2013-08-03 17:35:03.017439	2013-08-03 17:35:03.017439	106
9330	35032	13785	2013-08-03 17:35:03.020451	2013-08-03 17:35:03.020451	106
9331	35008	13765	2013-08-03 17:35:03.028696	2013-08-03 17:35:03.028696	106
9332	35008	13745	2013-08-03 17:35:03.032188	2013-08-03 17:35:03.032188	106
9333	35008	13815	2013-08-03 17:35:03.035611	2013-08-03 17:35:03.035611	106
9334	35008	13725	2013-08-03 17:35:03.0391	2013-08-03 17:35:03.0391	106
9335	35008	13705	2013-08-03 17:35:03.043008	2013-08-03 17:35:03.043008	106
9336	35008	13685	2013-08-03 17:35:03.046366	2013-08-03 17:35:03.046366	106
9337	35145	9166	2013-08-03 17:35:03.058547	2013-08-03 17:35:03.058547	106
9338	35145	9146	2013-08-03 17:35:03.06248	2013-08-03 17:35:03.06248	106
9339	35145	9150	2013-08-03 17:35:03.066429	2013-08-03 17:35:03.066429	106
9340	35145	9126	2013-08-03 17:35:03.071628	2013-08-03 17:35:03.071628	106
9341	35145	9225	2013-08-03 17:35:03.076866	2013-08-03 17:35:03.076866	106
9342	35145	8960	2013-08-03 17:35:03.082046	2013-08-03 17:35:03.082046	106
9343	35145	9098	2013-08-03 17:35:03.08549	2013-08-03 17:35:03.08549	106
9344	35145	9106	2013-08-03 17:35:03.089669	2013-08-03 17:35:03.089669	106
9345	35145	9086	2013-08-03 17:35:03.093424	2013-08-03 17:35:03.093424	106
9346	35145	9066	2013-08-03 17:35:03.098407	2013-08-03 17:35:03.098407	106
9347	35145	9046	2013-08-03 17:35:03.102557	2013-08-03 17:35:03.102557	106
9348	35145	9026	2013-08-03 17:35:03.10687	2013-08-03 17:35:03.10687	106
9349	35145	9006	2013-08-03 17:35:03.110845	2013-08-03 17:35:03.110845	106
9350	35145	9021	2013-08-03 17:35:03.114779	2013-08-03 17:35:03.114779	106
9351	35145	8986	2013-08-03 17:35:03.118819	2013-08-03 17:35:03.118819	106
9352	35145	8966	2013-08-03 17:35:03.122566	2013-08-03 17:35:03.122566	106
9353	35145	8138	2013-08-03 17:35:03.12689	2013-08-03 17:35:03.12689	106
9354	35145	24337	2013-08-03 17:35:03.130602	2013-08-03 17:35:03.130602	106
9355	35145	14648	2013-08-03 17:35:03.134183	2013-08-03 17:35:03.134183	106
9356	35147	5157	2013-08-03 17:35:03.149086	2013-08-03 17:35:03.149086	106
9357	35147	6511	2013-08-03 17:35:03.155647	2013-08-03 17:35:03.155647	106
9358	35147	14623	2013-08-03 17:35:03.161046	2013-08-03 17:35:03.161046	106
9359	35147	11615	2013-08-03 17:35:03.167321	2013-08-03 17:35:03.167321	106
9360	35147	5657	2013-08-03 17:35:03.171329	2013-08-03 17:35:03.171329	106
9361	35147	5677	2013-08-03 17:35:03.174863	2013-08-03 17:35:03.174863	106
9362	35147	5697	2013-08-03 17:35:03.178278	2013-08-03 17:35:03.178278	106
9363	35147	5717	2013-08-03 17:35:03.182051	2013-08-03 17:35:03.182051	106
9364	35147	9373	2013-08-03 17:35:03.185536	2013-08-03 17:35:03.185536	106
9365	35147	4326	2013-08-03 17:35:03.192221	2013-08-03 17:35:03.192221	106
9366	35147	9119	2013-08-03 17:35:03.198897	2013-08-03 17:35:03.198897	106
9367	35147	7679	2013-08-03 17:35:03.203297	2013-08-03 17:35:03.203297	106
9368	35147	9899	2013-08-03 17:35:03.211177	2013-08-03 17:35:03.211177	106
9369	35147	9898	2013-08-03 17:35:03.21671	2013-08-03 17:35:03.21671	106
9370	35147	5038	2013-08-03 17:35:03.220772	2013-08-03 17:35:03.220772	106
9371	35147	6906	2013-08-03 17:35:03.224845	2013-08-03 17:35:03.224845	106
9372	35147	1742	2013-08-03 17:35:03.228143	2013-08-03 17:35:03.228143	106
9373	35147	1762	2013-08-03 17:35:03.232436	2013-08-03 17:35:03.232436	106
9374	35147	6813	2013-08-03 17:35:03.236379	2013-08-03 17:35:03.236379	106
9375	35186	16555	2013-08-03 17:35:03.255377	2013-08-03 17:35:03.255377	106
9376	35186	16015	2013-08-03 17:35:03.259829	2013-08-03 17:35:03.259829	106
9377	35186	15995	2013-08-03 17:35:03.264243	2013-08-03 17:35:03.264243	106
9378	35186	13460	2013-08-03 17:35:03.270003	2013-08-03 17:35:03.270003	106
9379	35186	9970	2013-08-03 17:35:03.27474	2013-08-03 17:35:03.27474	106
9380	35186	9065	2013-08-03 17:35:03.278633	2013-08-03 17:35:03.278633	106
9381	35186	8946	2013-08-03 17:35:03.28364	2013-08-03 17:35:03.28364	106
9382	35186	8666	2013-08-03 17:35:03.289313	2013-08-03 17:35:03.289313	106
9383	35186	8586	2013-08-03 17:35:03.295056	2013-08-03 17:35:03.295056	106
9384	35148	8466	2013-08-03 17:35:03.306821	2013-08-03 17:35:03.306821	106
9385	35148	7846	2013-08-03 17:35:03.313036	2013-08-03 17:35:03.313036	106
9386	35148	10119	2013-08-03 17:35:03.319811	2013-08-03 17:35:03.319811	106
9387	35148	24137	2013-08-03 17:35:03.354648	2013-08-03 17:35:03.354648	106
9388	35148	19743	2013-08-03 17:35:03.361433	2013-08-03 17:35:03.361433	106
9389	35148	18908	2013-08-03 17:35:03.36553	2013-08-03 17:35:03.36553	106
9390	35148	17543	2013-08-03 17:35:03.36961	2013-08-03 17:35:03.36961	106
9391	35148	7506	2013-08-03 17:35:03.376611	2013-08-03 17:35:03.376611	106
9392	35148	4375	2013-08-03 17:35:03.383203	2013-08-03 17:35:03.383203	106
9393	35178	3726	2013-08-03 17:35:03.407498	2013-08-03 17:35:03.407498	106
9394	35178	3749	2013-08-03 17:35:03.419534	2013-08-03 17:35:03.419534	106
9395	35178	3729	2013-08-03 17:35:03.424347	2013-08-03 17:35:03.424347	106
9396	35178	3709	2013-08-03 17:35:03.43231	2013-08-03 17:35:03.43231	106
9397	35178	3689	2013-08-03 17:35:03.437849	2013-08-03 17:35:03.437849	106
9398	35178	3669	2013-08-03 17:35:03.445517	2013-08-03 17:35:03.445517	106
9399	35178	3649	2013-08-03 17:35:03.456313	2013-08-03 17:35:03.456313	106
9400	35178	3629	2013-08-03 17:35:03.467086	2013-08-03 17:35:03.467086	106
9401	35178	3815	2013-08-03 17:35:03.478006	2013-08-03 17:35:03.478006	106
9402	35150	3590	2013-08-03 17:35:03.500838	2013-08-03 17:35:03.500838	106
9403	35150	3466	2013-08-03 17:35:03.50666	2013-08-03 17:35:03.50666	106
9404	35150	3530	2013-08-03 17:35:03.513247	2013-08-03 17:35:03.513247	106
9405	35150	3609	2013-08-03 17:35:03.520606	2013-08-03 17:35:03.520606	106
9406	35150	3589	2013-08-03 17:35:03.530851	2013-08-03 17:35:03.530851	106
9407	35150	3569	2013-08-03 17:35:03.54219	2013-08-03 17:35:03.54219	106
9408	35150	24117	2013-08-03 17:35:03.553213	2013-08-03 17:35:03.553213	106
9409	35150	18928	2013-08-03 17:35:03.564164	2013-08-03 17:35:03.564164	106
9410	35150	9393	2013-08-03 17:35:03.575057	2013-08-03 17:35:03.575057	106
9411	35183	10370	2013-08-03 17:35:03.614645	2013-08-03 17:35:03.614645	106
9412	35183	10240	2013-08-03 17:35:03.625683	2013-08-03 17:35:03.625683	106
9413	35183	10258	2013-08-03 17:35:03.636486	2013-08-03 17:35:03.636486	106
9414	35183	10232	2013-08-03 17:35:03.647605	2013-08-03 17:35:03.647605	106
9415	35183	10350	2013-08-03 17:35:03.654433	2013-08-03 17:35:03.654433	106
9416	35183	10330	2013-08-03 17:35:03.660359	2013-08-03 17:35:03.660359	106
9417	35183	10310	2013-08-03 17:35:03.670231	2013-08-03 17:35:03.670231	106
9418	35183	10290	2013-08-03 17:35:03.679949	2013-08-03 17:35:03.679949	106
9419	35183	10270	2013-08-03 17:35:03.686518	2013-08-03 17:35:03.686518	106
9420	35152	10250	2013-08-03 17:35:03.69478	2013-08-03 17:35:03.69478	106
9421	35152	10230	2013-08-03 17:35:03.700215	2013-08-03 17:35:03.700215	106
9422	35152	10210	2013-08-03 17:35:03.704003	2013-08-03 17:35:03.704003	106
9423	35152	10190	2013-08-03 17:35:03.708574	2013-08-03 17:35:03.708574	106
9424	35152	10170	2013-08-03 17:35:03.712068	2013-08-03 17:35:03.712068	106
9425	35152	10150	2013-08-03 17:35:03.717232	2013-08-03 17:35:03.717232	106
9426	35152	10130	2013-08-03 17:35:03.721662	2013-08-03 17:35:03.721662	106
9427	35152	10110	2013-08-03 17:35:03.726325	2013-08-03 17:35:03.726325	106
9428	35152	10090	2013-08-03 17:35:03.731601	2013-08-03 17:35:03.731601	106
9429	35182	5626	2013-08-03 17:35:03.747712	2013-08-03 17:35:03.747712	106
9430	35182	5586	2013-08-03 17:35:03.751531	2013-08-03 17:35:03.751531	106
9431	35182	6206	2013-08-03 17:35:03.75838	2013-08-03 17:35:03.75838	106
9432	35182	3901	2013-08-03 17:35:03.766617	2013-08-03 17:35:03.766617	106
9433	35182	20548	2013-08-03 17:35:03.777187	2013-08-03 17:35:03.777187	106
9434	35182	7321	2013-08-03 17:35:03.788299	2013-08-03 17:35:03.788299	106
9435	35182	14133	2013-08-03 17:35:03.800018	2013-08-03 17:35:03.800018	106
9436	35182	19183	2013-08-03 17:35:03.812593	2013-08-03 17:35:03.812593	106
9437	35182	5686	2013-08-03 17:35:03.824025	2013-08-03 17:35:03.824025	106
9438	35153	3435	2013-08-03 17:35:03.847597	2013-08-03 17:35:03.847597	106
9439	35153	24077	2013-08-03 17:35:03.859149	2013-08-03 17:35:03.859149	106
9440	35153	19408	2013-08-03 17:35:03.87051	2013-08-03 17:35:03.87051	106
9441	35153	20368	2013-08-03 17:35:03.881823	2013-08-03 17:35:03.881823	106
9442	35153	3244	2013-08-03 17:35:03.893175	2013-08-03 17:35:03.893175	106
9443	35153	18968	2013-08-03 17:35:03.904991	2013-08-03 17:35:03.904991	106
9444	35153	7486	2013-08-03 17:35:03.95524	2013-08-03 17:35:03.95524	106
9445	35153	4305	2013-08-03 17:35:03.960533	2013-08-03 17:35:03.960533	106
9446	35153	7261	2013-08-03 17:35:03.963727	2013-08-03 17:35:03.963727	106
9447	35184	14352	2013-08-03 17:35:03.978683	2013-08-03 17:35:03.978683	106
9448	35184	14332	2013-08-03 17:35:03.987719	2013-08-03 17:35:03.987719	106
9449	35184	14312	2013-08-03 17:35:03.996203	2013-08-03 17:35:03.996203	106
9450	35184	14292	2013-08-03 17:35:04.003286	2013-08-03 17:35:04.003286	106
9451	35184	14155	2013-08-03 17:35:04.010626	2013-08-03 17:35:04.010626	106
9452	35184	14272	2013-08-03 17:35:04.020377	2013-08-03 17:35:04.020377	106
9453	35184	14252	2013-08-03 17:35:04.031252	2013-08-03 17:35:04.031252	106
9454	35184	14232	2013-08-03 17:35:04.042354	2013-08-03 17:35:04.042354	106
9455	35184	8961	2013-08-03 17:35:04.053973	2013-08-03 17:35:04.053973	106
9456	35155	8843	2013-08-03 17:35:04.076799	2013-08-03 17:35:04.076799	106
9457	35155	8866	2013-08-03 17:35:04.0876	2013-08-03 17:35:04.0876	106
9458	35155	8578	2013-08-03 17:35:04.098607	2013-08-03 17:35:04.098607	106
9459	35155	8525	2013-08-03 17:35:04.109595	2013-08-03 17:35:04.109595	106
9460	35155	8386	2013-08-03 17:35:04.120516	2013-08-03 17:35:04.120516	106
9461	35155	14143	2013-08-03 17:35:04.131044	2013-08-03 17:35:04.131044	106
9462	35155	19163	2013-08-03 17:35:04.141655	2013-08-03 17:35:04.141655	106
9463	35155	18988	2013-08-03 17:35:04.153033	2013-08-03 17:35:04.153033	106
9464	35155	4355	2013-08-03 17:35:04.16454	2013-08-03 17:35:04.16454	106
9465	35180	14593	2013-08-03 17:35:04.196132	2013-08-03 17:35:04.196132	106
9466	35180	14573	2013-08-03 17:35:04.201255	2013-08-03 17:35:04.201255	106
9467	35180	14553	2013-08-03 17:35:04.205752	2013-08-03 17:35:04.205752	106
9468	35180	14533	2013-08-03 17:35:04.210009	2013-08-03 17:35:04.210009	106
9469	35180	14513	2013-08-03 17:35:04.214471	2013-08-03 17:35:04.214471	106
9470	35180	14493	2013-08-03 17:35:04.219174	2013-08-03 17:35:04.219174	106
9471	35180	14473	2013-08-03 17:35:04.222817	2013-08-03 17:35:04.222817	106
9472	35180	13560	2013-08-03 17:35:04.226276	2013-08-03 17:35:04.226276	106
9473	35180	8906	2013-08-03 17:35:04.229736	2013-08-03 17:35:04.229736	106
9474	35157	8941	2013-08-03 17:35:04.238876	2013-08-03 17:35:04.238876	106
9475	35157	8846	2013-08-03 17:35:04.245308	2013-08-03 17:35:04.245308	106
9476	35157	8510	2013-08-03 17:35:04.250822	2013-08-03 17:35:04.250822	106
9477	35157	8626	2013-08-03 17:35:04.25695	2013-08-03 17:35:04.25695	106
9478	35157	8366	2013-08-03 17:35:04.266489	2013-08-03 17:35:04.266489	106
9479	35157	14153	2013-08-03 17:35:04.275665	2013-08-03 17:35:04.275665	106
9480	35157	19008	2013-08-03 17:35:04.286807	2013-08-03 17:35:04.286807	106
9481	35157	23397	2013-08-03 17:35:04.298195	2013-08-03 17:35:04.298195	106
9482	35157	4343	2013-08-03 17:35:04.309101	2013-08-03 17:35:04.309101	106
9483	35187	6979	2013-08-03 17:35:04.350834	2013-08-03 17:35:04.350834	106
9484	35187	6959	2013-08-03 17:35:04.358396	2013-08-03 17:35:04.358396	106
9485	35187	6939	2013-08-03 17:35:04.362575	2013-08-03 17:35:04.362575	106
9486	35187	6919	2013-08-03 17:35:04.366737	2013-08-03 17:35:04.366737	106
9487	35187	18437	2013-08-03 17:35:04.370993	2013-08-03 17:35:04.370993	106
9488	35187	7391	2013-08-03 17:35:04.375412	2013-08-03 17:35:04.375412	106
9489	35187	7411	2013-08-03 17:35:04.379808	2013-08-03 17:35:04.379808	106
9490	35187	7431	2013-08-03 17:35:04.384037	2013-08-03 17:35:04.384037	106
9491	35187	7246	2013-08-03 17:35:04.39234	2013-08-03 17:35:04.39234	106
9492	35158	9859	2013-08-03 17:35:04.402064	2013-08-03 17:35:04.402064	106
9493	35158	1601	2013-08-03 17:35:04.40598	2013-08-03 17:35:04.40598	106
9494	35158	1592	2013-08-03 17:35:04.412995	2013-08-03 17:35:04.412995	106
9495	35158	1628	2013-08-03 17:35:04.463418	2013-08-03 17:35:04.463418	106
9496	35158	1655	2013-08-03 17:35:04.467348	2013-08-03 17:35:04.467348	106
9497	35158	14848	2013-08-03 17:35:04.471037	2013-08-03 17:35:04.471037	106
9498	35158	14968	2013-08-03 17:35:04.475587	2013-08-03 17:35:04.475587	106
9499	35158	14948	2013-08-03 17:35:04.47977	2013-08-03 17:35:04.47977	106
9500	35158	7759	2013-08-03 17:35:04.483901	2013-08-03 17:35:04.483901	106
9501	35181	17915	2013-08-03 17:35:04.514791	2013-08-03 17:35:04.514791	106
9502	35181	17895	2013-08-03 17:35:04.52649	2013-08-03 17:35:04.52649	106
9503	35181	17875	2013-08-03 17:35:04.537506	2013-08-03 17:35:04.537506	106
9504	35181	17855	2013-08-03 17:35:04.548271	2013-08-03 17:35:04.548271	106
9505	35181	17835	2013-08-03 17:35:04.559049	2013-08-03 17:35:04.559049	106
9506	35181	17815	2013-08-03 17:35:04.570433	2013-08-03 17:35:04.570433	106
9507	35181	17795	2013-08-03 17:35:04.581679	2013-08-03 17:35:04.581679	106
9508	35181	17775	2013-08-03 17:35:04.592393	2013-08-03 17:35:04.592393	106
9509	35181	17755	2013-08-03 17:35:04.60291	2013-08-03 17:35:04.60291	106
9510	35139	17615	2013-08-03 17:35:04.626263	2013-08-03 17:35:04.626263	106
9511	35139	17735	2013-08-03 17:35:04.638639	2013-08-03 17:35:04.638639	106
9512	35139	17715	2013-08-03 17:35:04.65019	2013-08-03 17:35:04.65019	106
9513	35139	17695	2013-08-03 17:35:04.661226	2013-08-03 17:35:04.661226	106
9514	35139	17675	2013-08-03 17:35:04.672181	2013-08-03 17:35:04.672181	106
9515	35139	8506	2013-08-03 17:35:04.68141	2013-08-03 17:35:04.68141	106
9516	35139	8426	2013-08-03 17:35:04.6855	2013-08-03 17:35:04.6855	106
9517	35139	14193	2013-08-03 17:35:04.695995	2013-08-03 17:35:04.695995	106
9518	35139	3978	2013-08-03 17:35:04.705453	2013-08-03 17:35:04.705453	106
9519	35098	18115	2013-08-03 17:35:04.77072	2013-08-03 17:35:04.77072	106
9520	35088	18095	2013-08-03 17:35:04.784357	2013-08-03 17:35:04.784357	106
9521	35013	18075	2013-08-03 17:35:04.796565	2013-08-03 17:35:04.796565	106
9522	35009	18055	2013-08-03 17:35:04.819233	2013-08-03 17:35:04.819233	106
9523	35006	18035	2013-08-03 17:35:04.841849	2013-08-03 17:35:04.841849	106
9524	35002	18037	2013-08-03 17:35:04.864611	2013-08-03 17:35:04.864611	106
9525	35000	18015	2013-08-03 17:35:04.88744	2013-08-03 17:35:04.88744	106
9526	34999	17995	2013-08-03 17:35:04.910464	2013-08-03 17:35:04.910464	106
9527	34997	17975	2013-08-03 17:35:04.934277	2013-08-03 17:35:04.934277	106
9528	34991	17955	2013-08-03 17:35:04.957439	2013-08-03 17:35:04.957439	106
9529	35185	17738	2013-08-03 17:35:05.044947	2013-08-03 17:35:05.044947	106
9530	35185	17718	2013-08-03 17:35:05.056017	2013-08-03 17:35:05.056017	106
9531	35185	17698	2013-08-03 17:35:05.066421	2013-08-03 17:35:05.066421	106
9532	35185	17678	2013-08-03 17:35:05.076736	2013-08-03 17:35:05.076736	106
9533	35185	17658	2013-08-03 17:35:05.086927	2013-08-03 17:35:05.086927	106
9534	35185	17638	2013-08-03 17:35:05.097195	2013-08-03 17:35:05.097195	106
9535	35185	17618	2013-08-03 17:35:05.107697	2013-08-03 17:35:05.107697	106
9536	35185	17598	2013-08-03 17:35:05.117817	2013-08-03 17:35:05.117817	106
9537	35185	16995	2013-08-03 17:35:05.128343	2013-08-03 17:35:05.128343	106
9538	35159	8893	2013-08-03 17:35:05.149088	2013-08-03 17:35:05.149088	106
9539	35159	24177	2013-08-03 17:35:05.159075	2013-08-03 17:35:05.159075	106
9540	35159	12371	2013-08-03 17:35:05.168958	2013-08-03 17:35:05.168958	106
9541	35159	7266	2013-08-03 17:35:05.178975	2013-08-03 17:35:05.178975	106
9542	35159	4157	2013-08-03 17:35:05.188699	2013-08-03 17:35:05.188699	106
9543	35159	4384	2013-08-03 17:35:05.199805	2013-08-03 17:35:05.199805	106
9544	35159	7066	2013-08-03 17:35:05.209407	2013-08-03 17:35:05.209407	106
9545	35159	4170	2013-08-03 17:35:05.21416	2013-08-03 17:35:05.21416	106
9546	35159	7466	2013-08-03 17:35:05.219499	2013-08-03 17:35:05.219499	106
9547	35176	18098	2013-08-03 17:35:05.234478	2013-08-03 17:35:05.234478	106
9548	35176	18078	2013-08-03 17:35:05.23776	2013-08-03 17:35:05.23776	106
9549	35169	18058	2013-08-03 17:35:05.244103	2013-08-03 17:35:05.244103	106
9550	35169	18038	2013-08-03 17:35:05.247014	2013-08-03 17:35:05.247014	106
9551	35134	18018	2013-08-03 17:35:05.253413	2013-08-03 17:35:05.253413	106
9552	35134	17998	2013-08-03 17:35:05.256735	2013-08-03 17:35:05.256735	106
9553	35014	17997	2013-08-03 17:35:05.262694	2013-08-03 17:35:05.262694	106
9554	35014	17978	2013-08-03 17:35:05.269046	2013-08-03 17:35:05.269046	106
9555	35010	17958	2013-08-03 17:35:05.285239	2013-08-03 17:35:05.285239	106
9556	35010	17938	2013-08-03 17:35:05.293159	2013-08-03 17:35:05.293159	106
9557	35007	17918	2013-08-03 17:35:05.310154	2013-08-03 17:35:05.310154	106
9558	35007	17898	2013-08-03 17:35:05.320908	2013-08-03 17:35:05.320908	106
9559	35003	17878	2013-08-03 17:35:05.343704	2013-08-03 17:35:05.343704	106
9560	35003	17858	2013-08-03 17:35:05.354578	2013-08-03 17:35:05.354578	106
9561	35001	17838	2013-08-03 17:35:05.377545	2013-08-03 17:35:05.377545	106
9562	35001	17818	2013-08-03 17:35:05.388545	2013-08-03 17:35:05.388545	106
9563	34998	17798	2013-08-03 17:35:05.411866	2013-08-03 17:35:05.411866	106
9564	34998	17778	2013-08-03 17:35:05.423249	2013-08-03 17:35:05.423249	106
9565	35189	3999	2013-08-03 17:35:05.484627	2013-08-03 17:35:05.484627	106
9566	35189	3919	2013-08-03 17:35:05.488182	2013-08-03 17:35:05.488182	106
9567	35189	3899	2013-08-03 17:35:05.492341	2013-08-03 17:35:05.492341	106
9568	35189	14963	2013-08-03 17:35:05.496805	2013-08-03 17:35:05.496805	106
9569	35189	4451	2013-08-03 17:35:05.501067	2013-08-03 17:35:05.501067	106
9570	35189	3979	2013-08-03 17:35:05.509948	2013-08-03 17:35:05.509948	106
9571	35189	4471	2013-08-03 17:35:05.520759	2013-08-03 17:35:05.520759	106
9572	35189	11811	2013-08-03 17:35:05.531963	2013-08-03 17:35:05.531963	106
9573	35189	4079	2013-08-03 17:35:05.542517	2013-08-03 17:35:05.542517	106
9574	35160	3832	2013-08-03 17:35:05.564996	2013-08-03 17:35:05.564996	106
9575	35160	11231	2013-08-03 17:35:05.575442	2013-08-03 17:35:05.575442	106
9576	35160	11771	2013-08-03 17:35:05.586187	2013-08-03 17:35:05.586187	106
9577	35160	11531	2013-08-03 17:35:05.596764	2013-08-03 17:35:05.596764	106
9578	35160	4039	2013-08-03 17:35:05.607026	2013-08-03 17:35:05.607026	106
9579	35160	17998	2013-08-03 17:35:05.617505	2013-08-03 17:35:05.617505	106
9580	35160	18018	2013-08-03 17:35:05.628019	2013-08-03 17:35:05.628019	106
9581	35160	4084	2013-08-03 17:35:05.638207	2013-08-03 17:35:05.638207	106
9582	35160	17583	2013-08-03 17:35:05.642845	2013-08-03 17:35:05.642845	106
9583	35188	13820	2013-08-03 17:35:05.657735	2013-08-03 17:35:05.657735	106
9584	35188	13697	2013-08-03 17:35:05.661332	2013-08-03 17:35:05.661332	106
9585	35188	13800	2013-08-03 17:35:05.665368	2013-08-03 17:35:05.665368	106
9586	35188	13780	2013-08-03 17:35:05.671804	2013-08-03 17:35:05.671804	106
9587	35188	13760	2013-08-03 17:35:05.678645	2013-08-03 17:35:05.678645	106
9588	35188	13740	2013-08-03 17:35:05.687381	2013-08-03 17:35:05.687381	106
9589	35188	13720	2013-08-03 17:35:05.698298	2013-08-03 17:35:05.698298	106
9590	35188	13700	2013-08-03 17:35:05.707768	2013-08-03 17:35:05.707768	106
9591	35188	13680	2013-08-03 17:35:05.719565	2013-08-03 17:35:05.719565	106
9592	35161	13660	2013-08-03 17:35:05.733017	2013-08-03 17:35:05.733017	106
9593	35161	13640	2013-08-03 17:35:05.738892	2013-08-03 17:35:05.738892	106
9594	35161	13620	2013-08-03 17:35:05.744443	2013-08-03 17:35:05.744443	106
9595	35161	8806	2013-08-03 17:35:05.748993	2013-08-03 17:35:05.748993	106
9596	35161	8566	2013-08-03 17:35:05.752947	2013-08-03 17:35:05.752947	106
9597	35161	5426	2013-08-03 17:35:05.761726	2013-08-03 17:35:05.761726	106
9598	35161	18948	2013-08-03 17:35:05.767733	2013-08-03 17:35:05.767733	106
9599	35161	5406	2013-08-03 17:35:05.77235	2013-08-03 17:35:05.77235	106
9600	35161	22008	2013-08-03 17:35:05.778941	2013-08-03 17:35:05.778941	106
9601	35345	9521	2013-08-03 17:42:00.60184	2013-08-03 17:42:00.60184	109
9602	35345	9501	2013-08-03 17:42:00.613493	2013-08-03 17:42:00.613493	109
9603	35345	9481	2013-08-03 17:42:00.617032	2013-08-03 17:42:00.617032	109
9604	35345	9461	2013-08-03 17:42:00.619897	2013-08-03 17:42:00.619897	109
9605	35345	9516	2013-08-03 17:42:00.622693	2013-08-03 17:42:00.622693	109
9606	35345	9441	2013-08-03 17:42:00.62579	2013-08-03 17:42:00.62579	109
9607	35345	9470	2013-08-03 17:42:00.628832	2013-08-03 17:42:00.628832	109
9608	35345	9421	2013-08-03 17:42:00.63143	2013-08-03 17:42:00.63143	109
9609	35345	9278	2013-08-03 17:42:00.634051	2013-08-03 17:42:00.634051	109
9610	35224	9303	2013-08-03 17:42:00.639865	2013-08-03 17:42:00.639865	109
9611	35224	9332	2013-08-03 17:42:00.64257	2013-08-03 17:42:00.64257	109
9612	35224	9401	2013-08-03 17:42:00.645146	2013-08-03 17:42:00.645146	109
9613	35224	9381	2013-08-03 17:42:00.647684	2013-08-03 17:42:00.647684	109
9614	35224	9361	2013-08-03 17:42:00.650278	2013-08-03 17:42:00.650278	109
9615	35224	9341	2013-08-03 17:42:00.652847	2013-08-03 17:42:00.652847	109
9616	35224	9321	2013-08-03 17:42:00.656155	2013-08-03 17:42:00.656155	109
9617	35224	9301	2013-08-03 17:42:00.659115	2013-08-03 17:42:00.659115	109
9618	35224	9281	2013-08-03 17:42:00.662058	2013-08-03 17:42:00.662058	109
9619	35341	15448	2013-08-03 17:42:00.679036	2013-08-03 17:42:00.679036	109
9620	35341	15468	2013-08-03 17:42:00.683452	2013-08-03 17:42:00.683452	109
9621	35341	15488	2013-08-03 17:42:00.686991	2013-08-03 17:42:00.686991	109
9622	35341	15508	2013-08-03 17:42:00.691295	2013-08-03 17:42:00.691295	109
9623	35341	15528	2013-08-03 17:42:00.69668	2013-08-03 17:42:00.69668	109
9624	35341	15548	2013-08-03 17:42:00.703504	2013-08-03 17:42:00.703504	109
9625	35341	10363	2013-08-03 17:42:00.710834	2013-08-03 17:42:00.710834	109
9626	35341	1822	2013-08-03 17:42:00.718234	2013-08-03 17:42:00.718234	109
9627	35341	1802	2013-08-03 17:42:00.726073	2013-08-03 17:42:00.726073	109
9628	35226	1768	2013-08-03 17:42:00.743702	2013-08-03 17:42:00.743702	109
9629	35226	1746	2013-08-03 17:42:00.751573	2013-08-03 17:42:00.751573	109
9630	35226	1852	2013-08-03 17:42:00.761652	2013-08-03 17:42:00.761652	109
9631	35226	1881	2013-08-03 17:42:00.771357	2013-08-03 17:42:00.771357	109
9632	35226	1754	2013-08-03 17:42:00.781502	2013-08-03 17:42:00.781502	109
9633	35226	1872	2013-08-03 17:42:00.789743	2013-08-03 17:42:00.789743	109
9634	35226	1782	2013-08-03 17:42:00.794741	2013-08-03 17:42:00.794741	109
9635	35226	17778	2013-08-03 17:42:00.798822	2013-08-03 17:42:00.798822	109
9636	35226	17798	2013-08-03 17:42:00.803812	2013-08-03 17:42:00.803812	109
9637	35206	15868	2013-08-03 17:42:00.86417	2013-08-03 17:42:00.86417	109
9638	35206	1882	2013-08-03 17:42:00.870197	2013-08-03 17:42:00.870197	109
9639	35206	1728	2013-08-03 17:42:00.875679	2013-08-03 17:42:00.875679	109
9640	35206	1862	2013-08-03 17:42:00.879072	2013-08-03 17:42:00.879072	109
9641	35206	9963	2013-08-03 17:42:00.882338	2013-08-03 17:42:00.882338	109
9642	35206	8879	2013-08-03 17:42:00.88558	2013-08-03 17:42:00.88558	109
9643	35206	15188	2013-08-03 17:42:00.888784	2013-08-03 17:42:00.888784	109
9644	35206	15208	2013-08-03 17:42:00.891834	2013-08-03 17:42:00.891834	109
9645	35206	15228	2013-08-03 17:42:00.895377	2013-08-03 17:42:00.895377	109
9646	35206	15248	2013-08-03 17:42:00.898831	2013-08-03 17:42:00.898831	109
9647	35206	15268	2013-08-03 17:42:00.902409	2013-08-03 17:42:00.902409	109
9648	35206	1842	2013-08-03 17:42:00.906691	2013-08-03 17:42:00.906691	109
9649	35206	15288	2013-08-03 17:42:00.911313	2013-08-03 17:42:00.911313	109
9650	35206	15308	2013-08-03 17:42:00.915329	2013-08-03 17:42:00.915329	109
9651	35206	15328	2013-08-03 17:42:00.919118	2013-08-03 17:42:00.919118	109
9652	35206	15348	2013-08-03 17:42:00.923739	2013-08-03 17:42:00.923739	109
9653	35206	15368	2013-08-03 17:42:00.930552	2013-08-03 17:42:00.930552	109
9654	35206	15388	2013-08-03 17:42:00.938897	2013-08-03 17:42:00.938897	109
9655	35206	15408	2013-08-03 17:42:00.946114	2013-08-03 17:42:00.946114	109
9656	36052	22063	2013-08-03 17:42:00.981918	2013-08-03 17:42:00.981918	109
9657	36052	22043	2013-08-03 17:42:00.986944	2013-08-03 17:42:00.986944	109
9658	36052	22023	2013-08-03 17:42:00.991174	2013-08-03 17:42:00.991174	109
9659	36052	22003	2013-08-03 17:42:00.994378	2013-08-03 17:42:00.994378	109
9660	36052	21983	2013-08-03 17:42:01.003175	2013-08-03 17:42:01.003175	109
9661	36052	21963	2013-08-03 17:42:01.01147	2013-08-03 17:42:01.01147	109
9662	35361	21957	2013-08-03 17:42:01.029172	2013-08-03 17:42:01.029172	109
9663	35361	21943	2013-08-03 17:42:01.038545	2013-08-03 17:42:01.038545	109
9664	35361	21923	2013-08-03 17:42:01.044134	2013-08-03 17:42:01.044134	109
9665	35361	21903	2013-08-03 17:42:01.051146	2013-08-03 17:42:01.051146	109
9666	35361	21883	2013-08-03 17:42:01.055885	2013-08-03 17:42:01.055885	109
9667	35361	21863	2013-08-03 17:42:01.061577	2013-08-03 17:42:01.061577	109
9668	35314	21843	2013-08-03 17:42:01.078796	2013-08-03 17:42:01.078796	109
9669	35314	21823	2013-08-03 17:42:01.087562	2013-08-03 17:42:01.087562	109
9670	35314	21803	2013-08-03 17:42:01.094795	2013-08-03 17:42:01.094795	109
9671	35314	21783	2013-08-03 17:42:01.101655	2013-08-03 17:42:01.101655	109
9672	35314	18535	2013-08-03 17:42:01.110863	2013-08-03 17:42:01.110863	109
9673	35314	14160	2013-08-03 17:42:01.119384	2013-08-03 17:42:01.119384	109
9674	35343	6813	2013-08-03 17:42:01.137705	2013-08-03 17:42:01.137705	109
9675	35343	1762	2013-08-03 17:42:01.14003	2013-08-03 17:42:01.14003	109
9676	35343	1742	2013-08-03 17:42:01.142289	2013-08-03 17:42:01.142289	109
9677	35343	6906	2013-08-03 17:42:01.14452	2013-08-03 17:42:01.14452	109
9678	35343	5038	2013-08-03 17:42:01.146679	2013-08-03 17:42:01.146679	109
9679	35343	9898	2013-08-03 17:42:01.14906	2013-08-03 17:42:01.14906	109
9680	35343	9899	2013-08-03 17:42:01.153845	2013-08-03 17:42:01.153845	109
9681	35343	7679	2013-08-03 17:42:01.157656	2013-08-03 17:42:01.157656	109
9682	35343	9119	2013-08-03 17:42:01.159977	2013-08-03 17:42:01.159977	109
9683	35213	4326	2013-08-03 17:42:01.167744	2013-08-03 17:42:01.167744	109
9684	35213	9373	2013-08-03 17:42:01.17445	2013-08-03 17:42:01.17445	109
9685	35213	14648	2013-08-03 17:42:01.1847	2013-08-03 17:42:01.1847	109
9686	35213	9225	2013-08-03 17:42:01.194561	2013-08-03 17:42:01.194561	109
9687	35213	9126	2013-08-03 17:42:01.204873	2013-08-03 17:42:01.204873	109
9688	35213	9150	2013-08-03 17:42:01.214153	2013-08-03 17:42:01.214153	109
9689	35213	17575	2013-08-03 17:42:01.224966	2013-08-03 17:42:01.224966	109
9690	35213	14548	2013-08-03 17:42:01.235575	2013-08-03 17:42:01.235575	109
9691	35213	14528	2013-08-03 17:42:01.245964	2013-08-03 17:42:01.245964	109
9692	35344	14177	2013-08-03 17:42:01.286587	2013-08-03 17:42:01.286587	109
9693	35344	14285	2013-08-03 17:42:01.291402	2013-08-03 17:42:01.291402	109
9694	35344	14265	2013-08-03 17:42:01.295914	2013-08-03 17:42:01.295914	109
9695	35344	14245	2013-08-03 17:42:01.303536	2013-08-03 17:42:01.303536	109
9696	35344	14225	2013-08-03 17:42:01.311175	2013-08-03 17:42:01.311175	109
9697	35344	14205	2013-08-03 17:42:01.321341	2013-08-03 17:42:01.321341	109
9698	35344	14185	2013-08-03 17:42:01.331306	2013-08-03 17:42:01.331306	109
9699	35344	14165	2013-08-03 17:42:01.341835	2013-08-03 17:42:01.341835	109
9700	35344	14145	2013-08-03 17:42:01.352016	2013-08-03 17:42:01.352016	109
9701	35218	14125	2013-08-03 17:42:01.373384	2013-08-03 17:42:01.373384	109
9702	35218	14105	2013-08-03 17:42:01.384051	2013-08-03 17:42:01.384051	109
9703	35218	14085	2013-08-03 17:42:01.394326	2013-08-03 17:42:01.394326	109
9704	35218	14065	2013-08-03 17:42:01.404579	2013-08-03 17:42:01.404579	109
9705	35218	14120	2013-08-03 17:42:01.415327	2013-08-03 17:42:01.415327	109
9706	35218	14045	2013-08-03 17:42:01.421747	2013-08-03 17:42:01.421747	109
9707	35218	14025	2013-08-03 17:42:01.429841	2013-08-03 17:42:01.429841	109
9708	35218	14005	2013-08-03 17:42:01.433816	2013-08-03 17:42:01.433816	109
9709	35218	13985	2013-08-03 17:42:01.436884	2013-08-03 17:42:01.436884	109
9710	35487	14625	2013-08-03 17:42:01.476146	2013-08-03 17:42:01.476146	109
9711	35487	14605	2013-08-03 17:42:01.480769	2013-08-03 17:42:01.480769	109
9712	35487	14585	2013-08-03 17:42:01.484728	2013-08-03 17:42:01.484728	109
9713	35487	14565	2013-08-03 17:42:01.488298	2013-08-03 17:42:01.488298	109
9714	35487	14545	2013-08-03 17:42:01.491775	2013-08-03 17:42:01.491775	109
9715	35487	14525	2013-08-03 17:42:01.495119	2013-08-03 17:42:01.495119	109
9716	35487	14505	2013-08-03 17:42:01.498516	2013-08-03 17:42:01.498516	109
9717	35487	14485	2013-08-03 17:42:01.502532	2013-08-03 17:42:01.502532	109
9718	35487	14465	2013-08-03 17:42:01.506895	2013-08-03 17:42:01.506895	109
9719	35368	14445	2013-08-03 17:42:01.515542	2013-08-03 17:42:01.515542	109
9720	35368	14295	2013-08-03 17:42:01.520585	2013-08-03 17:42:01.520585	109
9721	35368	14425	2013-08-03 17:42:01.528904	2013-08-03 17:42:01.528904	109
9722	35368	14405	2013-08-03 17:42:01.538398	2013-08-03 17:42:01.538398	109
9723	35368	14385	2013-08-03 17:42:01.54639	2013-08-03 17:42:01.54639	109
9724	35368	14298	2013-08-03 17:42:01.552126	2013-08-03 17:42:01.552126	109
9725	35368	14365	2013-08-03 17:42:01.556397	2013-08-03 17:42:01.556397	109
9726	35368	14345	2013-08-03 17:42:01.560499	2013-08-03 17:42:01.560499	109
9727	35368	14325	2013-08-03 17:42:01.569699	2013-08-03 17:42:01.569699	109
9728	35346	9446	2013-08-03 17:42:01.594762	2013-08-03 17:42:01.594762	109
9729	35346	9426	2013-08-03 17:42:01.60193	2013-08-03 17:42:01.60193	109
9730	35346	9340	2013-08-03 17:42:01.609886	2013-08-03 17:42:01.609886	109
9731	35346	9406	2013-08-03 17:42:01.618673	2013-08-03 17:42:01.618673	109
9732	35346	9386	2013-08-03 17:42:01.628405	2013-08-03 17:42:01.628405	109
9733	35346	9366	2013-08-03 17:42:01.638955	2013-08-03 17:42:01.638955	109
9734	35346	9346	2013-08-03 17:42:01.649674	2013-08-03 17:42:01.649674	109
9735	35346	9326	2013-08-03 17:42:01.66006	2013-08-03 17:42:01.66006	109
9736	35346	9410	2013-08-03 17:42:01.669003	2013-08-03 17:42:01.669003	109
9737	35221	9306	2013-08-03 17:42:01.688297	2013-08-03 17:42:01.688297	109
9738	35221	9286	2013-08-03 17:42:01.696588	2013-08-03 17:42:01.696588	109
9739	35221	9266	2013-08-03 17:42:01.7019	2013-08-03 17:42:01.7019	109
9740	35221	9180	2013-08-03 17:42:01.706399	2013-08-03 17:42:01.706399	109
9741	35221	9232	2013-08-03 17:42:01.715505	2013-08-03 17:42:01.715505	109
9742	35221	9246	2013-08-03 17:42:01.724599	2013-08-03 17:42:01.724599	109
9743	35221	9226	2013-08-03 17:42:01.734883	2013-08-03 17:42:01.734883	109
9744	35221	9206	2013-08-03 17:42:01.745286	2013-08-03 17:42:01.745286	109
9745	35221	9186	2013-08-03 17:42:01.755185	2013-08-03 17:42:01.755185	109
9746	35347	9373	2013-08-03 17:42:01.788834	2013-08-03 17:42:01.788834	109
9747	35347	4326	2013-08-03 17:42:01.799012	2013-08-03 17:42:01.799012	109
9748	35347	7246	2013-08-03 17:42:01.808976	2013-08-03 17:42:01.808976	109
9749	35347	8961	2013-08-03 17:42:01.819314	2013-08-03 17:42:01.819314	109
9750	35347	19183	2013-08-03 17:42:01.830006	2013-08-03 17:42:01.830006	109
9751	35347	14133	2013-08-03 17:42:01.840791	2013-08-03 17:42:01.840791	109
9752	35347	7321	2013-08-03 17:42:01.851436	2013-08-03 17:42:01.851436	109
9753	35347	20548	2013-08-03 17:42:01.862235	2013-08-03 17:42:01.862235	109
9754	35347	3901	2013-08-03 17:42:01.873427	2013-08-03 17:42:01.873427	109
9755	35347	6206	2013-08-03 17:42:01.884566	2013-08-03 17:42:01.884566	109
9756	35347	3815	2013-08-03 17:42:01.895317	2013-08-03 17:42:01.895317	109
9757	35347	3629	2013-08-03 17:42:01.906657	2013-08-03 17:42:01.906657	109
9758	35347	3649	2013-08-03 17:42:01.911794	2013-08-03 17:42:01.911794	109
9759	35347	3669	2013-08-03 17:42:01.915786	2013-08-03 17:42:01.915786	109
9760	35347	3689	2013-08-03 17:42:01.919822	2013-08-03 17:42:01.919822	109
9761	35347	3709	2013-08-03 17:42:01.924037	2013-08-03 17:42:01.924037	109
9762	35347	3729	2013-08-03 17:42:01.929015	2013-08-03 17:42:01.929015	109
9763	35347	3749	2013-08-03 17:42:01.93379	2013-08-03 17:42:01.93379	109
9764	35347	3726	2013-08-03 17:42:01.937577	2013-08-03 17:42:01.937577	109
9765	35348	22388	2013-08-03 17:42:01.952631	2013-08-03 17:42:01.952631	109
9766	35348	22368	2013-08-03 17:42:01.956123	2013-08-03 17:42:01.956123	109
9767	35348	22348	2013-08-03 17:42:01.959919	2013-08-03 17:42:01.959919	109
9768	35348	22328	2013-08-03 17:42:01.967909	2013-08-03 17:42:01.967909	109
9769	35348	22308	2013-08-03 17:42:01.976716	2013-08-03 17:42:01.976716	109
9770	35348	22288	2013-08-03 17:42:01.984197	2013-08-03 17:42:01.984197	109
9771	35348	21643	2013-08-03 17:42:01.993574	2013-08-03 17:42:01.993574	109
9772	35348	20963	2013-08-03 17:42:02.004018	2013-08-03 17:42:02.004018	109
9773	35348	20723	2013-08-03 17:42:02.012197	2013-08-03 17:42:02.012197	109
9774	35197	20063	2013-08-03 17:42:02.053684	2013-08-03 17:42:02.053684	109
9775	35197	18435	2013-08-03 17:42:02.057797	2013-08-03 17:42:02.057797	109
9776	35197	18035	2013-08-03 17:42:02.061188	2013-08-03 17:42:02.061188	109
9777	35197	17515	2013-08-03 17:42:02.06452	2013-08-03 17:42:02.06452	109
9778	35197	17215	2013-08-03 17:42:02.067897	2013-08-03 17:42:02.067897	109
9779	35197	16978	2013-08-03 17:42:02.071223	2013-08-03 17:42:02.071223	109
9780	35197	14060	2013-08-03 17:42:02.074436	2013-08-03 17:42:02.074436	109
9781	35197	17898	2013-08-03 17:42:02.077857	2013-08-03 17:42:02.077857	109
9782	35197	17918	2013-08-03 17:42:02.081875	2013-08-03 17:42:02.081875	109
9783	35349	3989	2013-08-03 17:42:02.101292	2013-08-03 17:42:02.101292	109
9784	35349	3969	2013-08-03 17:42:02.108986	2013-08-03 17:42:02.108986	109
9785	35349	3949	2013-08-03 17:42:02.115539	2013-08-03 17:42:02.115539	109
9786	35349	3929	2013-08-03 17:42:02.124043	2013-08-03 17:42:02.124043	109
9787	35349	11978	2013-08-03 17:42:02.132034	2013-08-03 17:42:02.132034	109
9788	35349	3770	2013-08-03 17:42:02.140346	2013-08-03 17:42:02.140346	109
9789	35349	3909	2013-08-03 17:42:02.145672	2013-08-03 17:42:02.145672	109
9790	35349	3889	2013-08-03 17:42:02.153476	2013-08-03 17:42:02.153476	109
9791	35349	3869	2013-08-03 17:42:02.16127	2013-08-03 17:42:02.16127	109
9792	35204	3849	2013-08-03 17:42:02.173204	2013-08-03 17:42:02.173204	109
9793	35204	3829	2013-08-03 17:42:02.180397	2013-08-03 17:42:02.180397	109
9794	35204	3809	2013-08-03 17:42:02.185072	2013-08-03 17:42:02.185072	109
9795	35204	3837	2013-08-03 17:42:02.193263	2013-08-03 17:42:02.193263	109
9796	35204	3789	2013-08-03 17:42:02.202522	2013-08-03 17:42:02.202522	109
9797	35204	3769	2013-08-03 17:42:02.210117	2013-08-03 17:42:02.210117	109
9798	35204	11778	2013-08-03 17:42:02.21812	2013-08-03 17:42:02.21812	109
9799	35204	3646	2013-08-03 17:42:02.225435	2013-08-03 17:42:02.225435	109
9800	35204	3745	2013-08-03 17:42:02.232879	2013-08-03 17:42:02.232879	109
9801	35350	10663	2013-08-03 17:42:02.247071	2013-08-03 17:42:02.247071	109
9802	35350	10670	2013-08-03 17:42:02.251682	2013-08-03 17:42:02.251682	109
9803	35350	10650	2013-08-03 17:42:02.257569	2013-08-03 17:42:02.257569	109
9804	35350	10630	2013-08-03 17:42:02.261277	2013-08-03 17:42:02.261277	109
9805	35350	10610	2013-08-03 17:42:02.265403	2013-08-03 17:42:02.265403	109
9806	35350	10590	2013-08-03 17:42:02.272289	2013-08-03 17:42:02.272289	109
9807	35350	10570	2013-08-03 17:42:02.281158	2013-08-03 17:42:02.281158	109
9808	35350	10563	2013-08-03 17:42:02.290516	2013-08-03 17:42:02.290516	109
9809	35350	10550	2013-08-03 17:42:02.301049	2013-08-03 17:42:02.301049	109
9810	35199	10530	2013-08-03 17:42:02.323311	2013-08-03 17:42:02.323311	109
9811	35199	10460	2013-08-03 17:42:02.333401	2013-08-03 17:42:02.333401	109
9812	35199	10510	2013-08-03 17:42:02.341562	2013-08-03 17:42:02.341562	109
9813	35199	10490	2013-08-03 17:42:02.349051	2013-08-03 17:42:02.349051	109
9814	35199	10470	2013-08-03 17:42:02.357044	2013-08-03 17:42:02.357044	109
9815	35199	10450	2013-08-03 17:42:02.365919	2013-08-03 17:42:02.365919	109
9816	35199	10430	2013-08-03 17:42:02.376729	2013-08-03 17:42:02.376729	109
9817	35199	10410	2013-08-03 17:42:02.387924	2013-08-03 17:42:02.387924	109
9818	35199	18078	2013-08-03 17:42:02.398113	2013-08-03 17:42:02.398113	109
9819	35351	12558	2013-08-03 17:42:02.433768	2013-08-03 17:42:02.433768	109
9820	35351	7785	2013-08-03 17:42:02.441818	2013-08-03 17:42:02.441818	109
9821	35351	5546	2013-08-03 17:42:02.448943	2013-08-03 17:42:02.448943	109
9822	35351	12518	2013-08-03 17:42:02.454076	2013-08-03 17:42:02.454076	109
9823	35351	6103	2013-08-03 17:42:02.458323	2013-08-03 17:42:02.458323	109
9824	35351	6399	2013-08-03 17:42:02.463418	2013-08-03 17:42:02.463418	109
9825	35351	4937	2013-08-03 17:42:02.468138	2013-08-03 17:42:02.468138	109
9826	35351	5026	2013-08-03 17:42:02.472402	2013-08-03 17:42:02.472402	109
9827	35351	4011	2013-08-03 17:42:02.477863	2013-08-03 17:42:02.477863	109
9828	35203	4397	2013-08-03 17:42:02.497667	2013-08-03 17:42:02.497667	109
9829	35203	19368	2013-08-03 17:42:02.50561	2013-08-03 17:42:02.50561	109
9830	35203	11968	2013-08-03 17:42:02.540342	2013-08-03 17:42:02.540342	109
9831	35203	12198	2013-08-03 17:42:02.545386	2013-08-03 17:42:02.545386	109
9832	35203	1949	2013-08-03 17:42:02.549714	2013-08-03 17:42:02.549714	109
9833	35203	19388	2013-08-03 17:42:02.557549	2013-08-03 17:42:02.557549	109
9834	35203	21337	2013-08-03 17:42:02.565396	2013-08-03 17:42:02.565396	109
9835	35203	17978	2013-08-03 17:42:02.574577	2013-08-03 17:42:02.574577	109
9836	35203	17997	2013-08-03 17:42:02.585519	2013-08-03 17:42:02.585519	109
9837	35352	14592	2013-08-03 17:42:02.632818	2013-08-03 17:42:02.632818	109
9838	35352	14572	2013-08-03 17:42:02.644044	2013-08-03 17:42:02.644044	109
9839	35352	14518	2013-08-03 17:42:02.647298	2013-08-03 17:42:02.647298	109
9840	35352	14552	2013-08-03 17:42:02.65084	2013-08-03 17:42:02.65084	109
9841	35352	14532	2013-08-03 17:42:02.654257	2013-08-03 17:42:02.654257	109
9842	35352	14512	2013-08-03 17:42:02.657637	2013-08-03 17:42:02.657637	109
9843	35352	14492	2013-08-03 17:42:02.660967	2013-08-03 17:42:02.660967	109
9844	35352	14472	2013-08-03 17:42:02.664375	2013-08-03 17:42:02.664375	109
9845	35352	14452	2013-08-03 17:42:02.668316	2013-08-03 17:42:02.668316	109
9846	35198	14415	2013-08-03 17:42:02.678002	2013-08-03 17:42:02.678002	109
9847	35198	14317	2013-08-03 17:42:02.683792	2013-08-03 17:42:02.683792	109
9848	35198	14337	2013-08-03 17:42:02.690019	2013-08-03 17:42:02.690019	109
9849	35198	14432	2013-08-03 17:42:02.699697	2013-08-03 17:42:02.699697	109
9850	35198	14412	2013-08-03 17:42:02.713481	2013-08-03 17:42:02.713481	109
9851	35198	14392	2013-08-03 17:42:02.724427	2013-08-03 17:42:02.724427	109
9852	35198	13980	2013-08-03 17:42:02.733355	2013-08-03 17:42:02.733355	109
9853	35198	17938	2013-08-03 17:42:02.738041	2013-08-03 17:42:02.738041	109
9854	35198	17958	2013-08-03 17:42:02.74159	2013-08-03 17:42:02.74159	109
9855	35353	14933	2013-08-03 17:42:02.756756	2013-08-03 17:42:02.756756	109
9856	35353	14913	2013-08-03 17:42:02.761822	2013-08-03 17:42:02.761822	109
9857	35353	14893	2013-08-03 17:42:02.766808	2013-08-03 17:42:02.766808	109
9858	35353	14873	2013-08-03 17:42:02.771559	2013-08-03 17:42:02.771559	109
9859	35353	14853	2013-08-03 17:42:02.77868	2013-08-03 17:42:02.77868	109
9860	35353	14833	2013-08-03 17:42:02.786383	2013-08-03 17:42:02.786383	109
9861	35353	14813	2013-08-03 17:42:02.793836	2013-08-03 17:42:02.793836	109
9862	35353	14793	2013-08-03 17:42:02.801223	2013-08-03 17:42:02.801223	109
9863	35353	14773	2013-08-03 17:42:02.808271	2013-08-03 17:42:02.808271	109
9864	35202	14753	2013-08-03 17:42:02.827842	2013-08-03 17:42:02.827842	109
9865	35202	14733	2013-08-03 17:42:02.836128	2013-08-03 17:42:02.836128	109
9866	35202	14713	2013-08-03 17:42:02.839399	2013-08-03 17:42:02.839399	109
9867	35202	14693	2013-08-03 17:42:02.845877	2013-08-03 17:42:02.845877	109
9868	35202	14673	2013-08-03 17:42:02.852078	2013-08-03 17:42:02.852078	109
9869	35202	14703	2013-08-03 17:42:02.857468	2013-08-03 17:42:02.857468	109
9870	35202	14653	2013-08-03 17:42:02.865195	2013-08-03 17:42:02.865195	109
9871	35202	14633	2013-08-03 17:42:02.873956	2013-08-03 17:42:02.873956	109
9872	35202	13960	2013-08-03 17:42:02.881718	2013-08-03 17:42:02.881718	109
9873	35354	7891	2013-08-03 17:42:02.915188	2013-08-03 17:42:02.915188	109
9874	35354	7871	2013-08-03 17:42:02.922936	2013-08-03 17:42:02.922936	109
9875	35354	7831	2013-08-03 17:42:02.929693	2013-08-03 17:42:02.929693	109
9876	35354	7811	2013-08-03 17:42:02.934205	2013-08-03 17:42:02.934205	109
9877	35354	7791	2013-08-03 17:42:02.938403	2013-08-03 17:42:02.938403	109
9878	35354	7771	2013-08-03 17:42:02.942598	2013-08-03 17:42:02.942598	109
9879	35354	7751	2013-08-03 17:42:02.946862	2013-08-03 17:42:02.946862	109
9880	35354	7291	2013-08-03 17:42:02.952578	2013-08-03 17:42:02.952578	109
9881	35354	5097	2013-08-03 17:42:02.956793	2013-08-03 17:42:02.956793	109
9882	35196	5117	2013-08-03 17:42:02.994552	2013-08-03 17:42:02.994552	109
9883	35196	5137	2013-08-03 17:42:02.997808	2013-08-03 17:42:02.997808	109
9884	35196	5699	2013-08-03 17:42:03.000528	2013-08-03 17:42:03.000528	109
9885	35196	5719	2013-08-03 17:42:03.003306	2013-08-03 17:42:03.003306	109
9886	35196	5739	2013-08-03 17:42:03.006044	2013-08-03 17:42:03.006044	109
9887	35196	7079	2013-08-03 17:42:03.008748	2013-08-03 17:42:03.008748	109
9888	35196	7059	2013-08-03 17:42:03.011863	2013-08-03 17:42:03.011863	109
9889	35196	7039	2013-08-03 17:42:03.019939	2013-08-03 17:42:03.019939	109
9890	35196	7019	2013-08-03 17:42:03.03062	2013-08-03 17:42:03.03062	109
9891	35342	18895	2013-08-03 17:42:03.07614	2013-08-03 17:42:03.07614	109
9892	35342	18875	2013-08-03 17:42:03.087109	2013-08-03 17:42:03.087109	109
9893	35342	18855	2013-08-03 17:42:03.097675	2013-08-03 17:42:03.097675	109
9894	35342	18835	2013-08-03 17:42:03.108106	2013-08-03 17:42:03.108106	109
9895	35342	18815	2013-08-03 17:42:03.118851	2013-08-03 17:42:03.118851	109
9896	35342	18795	2013-08-03 17:42:03.12373	2013-08-03 17:42:03.12373	109
9897	35342	18775	2013-08-03 17:42:03.127702	2013-08-03 17:42:03.127702	109
9898	35342	18755	2013-08-03 17:42:03.131876	2013-08-03 17:42:03.131876	109
9899	35342	18735	2013-08-03 17:42:03.135988	2013-08-03 17:42:03.135988	109
9900	35201	18715	2013-08-03 17:42:03.144754	2013-08-03 17:42:03.144754	109
9901	35201	18695	2013-08-03 17:42:03.148994	2013-08-03 17:42:03.148994	109
9902	35201	18675	2013-08-03 17:42:03.153179	2013-08-03 17:42:03.153179	109
9903	35201	18655	2013-08-03 17:42:03.157715	2013-08-03 17:42:03.157715	109
9904	35201	18635	2013-08-03 17:42:03.162459	2013-08-03 17:42:03.162459	109
9905	35201	18615	2013-08-03 17:42:03.16971	2013-08-03 17:42:03.16971	109
9906	35201	18595	2013-08-03 17:42:03.175798	2013-08-03 17:42:03.175798	109
9907	35201	18575	2013-08-03 17:42:03.182388	2013-08-03 17:42:03.182388	109
9908	35201	13920	2013-08-03 17:42:03.192118	2013-08-03 17:42:03.192118	109
9909	36548	19095	2013-08-03 17:42:03.240577	2013-08-03 17:42:03.240577	109
9910	36360	19075	2013-08-03 17:42:03.250377	2013-08-03 17:42:03.250377	109
9911	36283	19055	2013-08-03 17:42:03.262232	2013-08-03 17:42:03.262232	109
9912	36117	19035	2013-08-03 17:42:03.28155	2013-08-03 17:42:03.28155	109
9913	36113	19015	2013-08-03 17:42:03.303322	2013-08-03 17:42:03.303322	109
9914	36107	18995	2013-08-03 17:42:03.34347	2013-08-03 17:42:03.34347	109
9915	36063	18975	2013-08-03 17:42:03.36447	2013-08-03 17:42:03.36447	109
9916	35973	18955	2013-08-03 17:42:03.376712	2013-08-03 17:42:03.376712	109
9917	35944	18935	2013-08-03 17:42:03.391336	2013-08-03 17:42:03.391336	109
9918	35763	18915	2013-08-03 17:42:03.442691	2013-08-03 17:42:03.442691	109
9919	35776	18438	2013-08-03 17:42:03.47147	2013-08-03 17:42:03.47147	109
9920	35776	18418	2013-08-03 17:42:03.476562	2013-08-03 17:42:03.476562	109
9921	35776	18398	2013-08-03 17:42:03.480816	2013-08-03 17:42:03.480816	109
9922	35776	18378	2013-08-03 17:42:03.484889	2013-08-03 17:42:03.484889	109
9923	35776	18358	2013-08-03 17:42:03.488394	2013-08-03 17:42:03.488394	109
9924	35776	18338	2013-08-03 17:42:03.493883	2013-08-03 17:42:03.493883	109
9925	35776	18318	2013-08-03 17:42:03.502212	2013-08-03 17:42:03.502212	109
9926	35776	18298	2013-08-03 17:42:03.511879	2013-08-03 17:42:03.511879	109
9927	35776	18278	2013-08-03 17:42:03.522629	2013-08-03 17:42:03.522629	109
9928	35200	18258	2013-08-03 17:42:03.543146	2013-08-03 17:42:03.543146	109
9929	35200	18238	2013-08-03 17:42:03.552544	2013-08-03 17:42:03.552544	109
9930	35200	18218	2013-08-03 17:42:03.560861	2013-08-03 17:42:03.560861	109
9931	35200	18198	2013-08-03 17:42:03.570165	2013-08-03 17:42:03.570165	109
9932	35200	18178	2013-08-03 17:42:03.579307	2013-08-03 17:42:03.579307	109
9933	35200	18158	2013-08-03 17:42:03.589872	2013-08-03 17:42:03.589872	109
9934	35200	18138	2013-08-03 17:42:03.59904	2013-08-03 17:42:03.59904	109
9935	35200	18038	2013-08-03 17:42:03.607306	2013-08-03 17:42:03.607306	109
9936	35200	18058	2013-08-03 17:42:03.613321	2013-08-03 17:42:03.613321	109
9937	36361	18818	2013-08-03 17:42:03.634412	2013-08-03 17:42:03.634412	109
9938	36361	18798	2013-08-03 17:42:03.643472	2013-08-03 17:42:03.643472	109
9939	36085	18778	2013-08-03 17:42:03.666295	2013-08-03 17:42:03.666295	109
9940	36085	18758	2013-08-03 17:42:03.677222	2013-08-03 17:42:03.677222	109
9941	35655	18738	2013-08-03 17:42:03.699444	2013-08-03 17:42:03.699444	109
9942	35655	18718	2013-08-03 17:42:03.710296	2013-08-03 17:42:03.710296	109
9943	35358	18698	2013-08-03 17:42:03.73235	2013-08-03 17:42:03.73235	109
9944	35358	18678	2013-08-03 17:42:03.743289	2013-08-03 17:42:03.743289	109
9945	35339	18658	2013-08-03 17:42:03.764494	2013-08-03 17:42:03.764494	109
9946	35339	18638	2013-08-03 17:42:03.773539	2013-08-03 17:42:03.773539	109
9947	35334	18618	2013-08-03 17:42:03.793678	2013-08-03 17:42:03.793678	109
9948	35334	18598	2013-08-03 17:42:03.804733	2013-08-03 17:42:03.804733	109
9949	35244	18578	2013-08-03 17:42:03.827451	2013-08-03 17:42:03.827451	109
9950	35244	18558	2013-08-03 17:42:03.838312	2013-08-03 17:42:03.838312	109
9951	35205	18538	2013-08-03 17:42:03.852971	2013-08-03 17:42:03.852971	109
9952	35205	18518	2013-08-03 17:42:03.899977	2013-08-03 17:42:03.899977	109
9953	35194	18498	2013-08-03 17:42:03.907628	2013-08-03 17:42:03.907628	109
9954	35194	18478	2013-08-03 17:42:03.911061	2013-08-03 17:42:03.911061	109
9955	35777	7120	2013-08-03 17:42:03.930448	2013-08-03 17:42:03.930448	109
9956	35777	9768	2013-08-03 17:42:03.94121	2013-08-03 17:42:03.94121	109
9957	35777	13331	2013-08-03 17:42:03.95003	2013-08-03 17:42:03.95003	109
9958	35777	12631	2013-08-03 17:42:03.961235	2013-08-03 17:42:03.961235	109
9959	35777	3839	2013-08-03 17:42:03.967022	2013-08-03 17:42:03.967022	109
9960	35777	13231	2013-08-03 17:42:03.972264	2013-08-03 17:42:03.972264	109
9961	35777	13211	2013-08-03 17:42:03.981194	2013-08-03 17:42:03.981194	109
9962	35777	12171	2013-08-03 17:42:03.989496	2013-08-03 17:42:03.989496	109
9963	35777	12491	2013-08-03 17:42:03.993629	2013-08-03 17:42:03.993629	109
9964	35195	12411	2013-08-03 17:42:04.001861	2013-08-03 17:42:04.001861	109
9965	35195	12391	2013-08-03 17:42:04.010324	2013-08-03 17:42:04.010324	109
9966	35195	4279	2013-08-03 17:42:04.013813	2013-08-03 17:42:04.013813	109
9967	35195	12771	2013-08-03 17:42:04.016844	2013-08-03 17:42:04.016844	109
9968	35195	12591	2013-08-03 17:42:04.019953	2013-08-03 17:42:04.019953	109
9969	35195	12611	2013-08-03 17:42:04.024011	2013-08-03 17:42:04.024011	109
9970	35195	12671	2013-08-03 17:42:04.032631	2013-08-03 17:42:04.032631	109
9971	35195	12691	2013-08-03 17:42:04.042458	2013-08-03 17:42:04.042458	109
9972	35195	21448	2013-08-03 17:42:04.052944	2013-08-03 17:42:04.052944	109
9973	35778	14560	2013-08-03 17:42:04.094476	2013-08-03 17:42:04.094476	109
9974	35778	14540	2013-08-03 17:42:04.104696	2013-08-03 17:42:04.104696	109
9975	35778	14520	2013-08-03 17:42:04.110179	2013-08-03 17:42:04.110179	109
9976	35778	14500	2013-08-03 17:42:04.115601	2013-08-03 17:42:04.115601	109
9977	35778	14480	2013-08-03 17:42:04.120398	2013-08-03 17:42:04.120398	109
9978	35778	14460	2013-08-03 17:42:04.125624	2013-08-03 17:42:04.125624	109
9979	35778	14440	2013-08-03 17:42:04.130985	2013-08-03 17:42:04.130985	109
9980	35778	14420	2013-08-03 17:42:04.135667	2013-08-03 17:42:04.135667	109
9981	35778	14400	2013-08-03 17:42:04.139401	2013-08-03 17:42:04.139401	109
9982	35193	14380	2013-08-03 17:42:04.155838	2013-08-03 17:42:04.155838	109
9983	35193	14360	2013-08-03 17:42:04.165491	2013-08-03 17:42:04.165491	109
9984	35193	14340	2013-08-03 17:42:04.176258	2013-08-03 17:42:04.176258	109
9985	35193	14320	2013-08-03 17:42:04.187248	2013-08-03 17:42:04.187248	109
9986	35193	14300	2013-08-03 17:42:04.198958	2013-08-03 17:42:04.198958	109
9987	35193	14280	2013-08-03 17:42:04.210726	2013-08-03 17:42:04.210726	109
9988	35193	14260	2013-08-03 17:42:04.222008	2013-08-03 17:42:04.222008	109
9989	35193	14240	2013-08-03 17:42:04.227137	2013-08-03 17:42:04.227137	109
9990	35193	14220	2013-08-03 17:42:04.268828	2013-08-03 17:42:04.268828	109
9991	38324	9920	2013-08-03 17:47:03.502024	2013-08-03 17:47:03.502024	110
9992	38324	9995	2013-08-03 17:47:03.508809	2013-08-03 17:47:03.508809	110
9993	38324	9937	2013-08-03 17:47:03.515404	2013-08-03 17:47:03.515404	110
9994	38324	9957	2013-08-03 17:47:03.519356	2013-08-03 17:47:03.519356	110
9995	38324	9977	2013-08-03 17:47:03.525401	2013-08-03 17:47:03.525401	110
9996	38324	9948	2013-08-03 17:47:03.535143	2013-08-03 17:47:03.535143	110
9997	38324	10041	2013-08-03 17:47:03.545046	2013-08-03 17:47:03.545046	110
9998	38324	10021	2013-08-03 17:47:03.555801	2013-08-03 17:47:03.555801	110
9999	38324	10001	2013-08-03 17:47:03.56665	2013-08-03 17:47:03.56665	110
10000	37059	9981	2013-08-03 17:47:03.589429	2013-08-03 17:47:03.589429	110
10001	37059	9961	2013-08-03 17:47:03.599965	2013-08-03 17:47:03.599965	110
10002	37059	9941	2013-08-03 17:47:03.610453	2013-08-03 17:47:03.610453	110
10003	37059	14960	2013-08-03 17:47:03.6213	2013-08-03 17:47:03.6213	110
10004	37059	1976	2013-08-03 17:47:03.631899	2013-08-03 17:47:03.631899	110
10005	37059	15040	2013-08-03 17:47:03.642335	2013-08-03 17:47:03.642335	110
10006	37059	4229	2013-08-03 17:47:03.652819	2013-08-03 17:47:03.652819	110
10007	37059	7399	2013-08-03 17:47:03.663368	2013-08-03 17:47:03.663368	110
10008	37059	24657	2013-08-03 17:47:03.674104	2013-08-03 17:47:03.674104	110
10009	38318	1921	2013-08-03 17:47:03.715918	2013-08-03 17:47:03.715918	110
10010	38318	2002	2013-08-03 17:47:03.727016	2013-08-03 17:47:03.727016	110
10011	38318	2009	2013-08-03 17:47:03.738139	2013-08-03 17:47:03.738139	110
10012	38318	1928	2013-08-03 17:47:03.749072	2013-08-03 17:47:03.749072	110
10013	38318	1982	2013-08-03 17:47:03.760272	2013-08-03 17:47:03.760272	110
10014	38318	1962	2013-08-03 17:47:03.771714	2013-08-03 17:47:03.771714	110
10015	38318	1909	2013-08-03 17:47:03.782644	2013-08-03 17:47:03.782644	110
10016	38318	1929	2013-08-03 17:47:03.792608	2013-08-03 17:47:03.792608	110
10017	38318	1942	2013-08-03 17:47:03.798013	2013-08-03 17:47:03.798013	110
10018	37067	1988	2013-08-03 17:47:03.80641	2013-08-03 17:47:03.80641	110
10019	37067	1968	2013-08-03 17:47:03.81054	2013-08-03 17:47:03.81054	110
10020	37067	2025	2013-08-03 17:47:03.814577	2013-08-03 17:47:03.814577	110
10021	37067	1970	2013-08-03 17:47:03.818865	2013-08-03 17:47:03.818865	110
10022	37067	1896	2013-08-03 17:47:03.86091	2013-08-03 17:47:03.86091	110
10023	37067	1916	2013-08-03 17:47:03.867409	2013-08-03 17:47:03.867409	110
10024	37067	1922	2013-08-03 17:47:03.874391	2013-08-03 17:47:03.874391	110
10025	37067	1936	2013-08-03 17:47:03.881483	2013-08-03 17:47:03.881483	110
10026	37067	1956	2013-08-03 17:47:03.888857	2013-08-03 17:47:03.888857	110
10027	39115	16308	2013-08-03 17:47:03.912634	2013-08-03 17:47:03.912634	110
10028	39115	16328	2013-08-03 17:47:03.923915	2013-08-03 17:47:03.923915	110
10029	39115	16348	2013-08-03 17:47:03.93417	2013-08-03 17:47:03.93417	110
10030	39115	1946	2013-08-03 17:47:03.944469	2013-08-03 17:47:03.944469	110
10031	39115	16368	2013-08-03 17:47:03.954999	2013-08-03 17:47:03.954999	110
10032	39115	16388	2013-08-03 17:47:03.965422	2013-08-03 17:47:03.965422	110
10033	39115	16408	2013-08-03 17:47:03.975953	2013-08-03 17:47:03.975953	110
10034	39115	16428	2013-08-03 17:47:03.986852	2013-08-03 17:47:03.986852	110
10035	39115	16448	2013-08-03 17:47:03.997597	2013-08-03 17:47:03.997597	110
10036	37113	16468	2013-08-03 17:47:04.019862	2013-08-03 17:47:04.019862	110
10037	37113	2004	2013-08-03 17:47:04.030527	2013-08-03 17:47:04.030527	110
10038	37113	10358	2013-08-03 17:47:04.041338	2013-08-03 17:47:04.041338	110
10039	37113	9560	2013-08-03 17:47:04.052481	2013-08-03 17:47:04.052481	110
10040	37113	11831	2013-08-03 17:47:04.063616	2013-08-03 17:47:04.063616	110
10041	37113	4059	2013-08-03 17:47:04.074581	2013-08-03 17:47:04.074581	110
10042	37113	10588	2013-08-03 17:47:04.085238	2013-08-03 17:47:04.085238	110
10043	37113	1984	2013-08-03 17:47:04.089892	2013-08-03 17:47:04.089892	110
10044	37113	10583	2013-08-03 17:47:04.095779	2013-08-03 17:47:04.095779	110
10045	38320	19183	2013-08-03 17:47:04.112212	2013-08-03 17:47:04.112212	110
10046	38320	8961	2013-08-03 17:47:04.114988	2013-08-03 17:47:04.114988	110
10047	38320	7246	2013-08-03 17:47:04.118988	2013-08-03 17:47:04.118988	110
10048	38320	4326	2013-08-03 17:47:04.122108	2013-08-03 17:47:04.122108	110
10049	38320	9373	2013-08-03 17:47:04.125183	2013-08-03 17:47:04.125183	110
10050	38320	1628	2013-08-03 17:47:04.128129	2013-08-03 17:47:04.128129	110
10051	38320	1592	2013-08-03 17:47:04.135195	2013-08-03 17:47:04.135195	110
10052	38320	1601	2013-08-03 17:47:04.143208	2013-08-03 17:47:04.143208	110
10053	38320	9859	2013-08-03 17:47:04.149337	2013-08-03 17:47:04.149337	110
10054	37061	4343	2013-08-03 17:47:04.161131	2013-08-03 17:47:04.161131	110
10055	37061	14153	2013-08-03 17:47:04.166545	2013-08-03 17:47:04.166545	110
10056	37061	4355	2013-08-03 17:47:04.170976	2013-08-03 17:47:04.170976	110
10057	37061	19163	2013-08-03 17:47:04.174592	2013-08-03 17:47:04.174592	110
10058	37061	14143	2013-08-03 17:47:04.179262	2013-08-03 17:47:04.179262	110
10059	37061	7261	2013-08-03 17:47:04.184624	2013-08-03 17:47:04.184624	110
10060	37061	4305	2013-08-03 17:47:04.192035	2013-08-03 17:47:04.192035	110
10061	37061	7486	2013-08-03 17:47:04.199199	2013-08-03 17:47:04.199199	110
10062	37061	3244	2013-08-03 17:47:04.207501	2013-08-03 17:47:04.207501	110
10063	38322	15285	2013-08-03 17:47:04.252241	2013-08-03 17:47:04.252241	110
10064	38322	15265	2013-08-03 17:47:04.263388	2013-08-03 17:47:04.263388	110
10065	38322	15245	2013-08-03 17:47:04.274333	2013-08-03 17:47:04.274333	110
10066	38322	15117	2013-08-03 17:47:04.285793	2013-08-03 17:47:04.285793	110
10067	38322	15225	2013-08-03 17:47:04.297254	2013-08-03 17:47:04.297254	110
10068	38322	15205	2013-08-03 17:47:04.308198	2013-08-03 17:47:04.308198	110
10069	38322	15185	2013-08-03 17:47:04.31932	2013-08-03 17:47:04.31932	110
10070	38322	15165	2013-08-03 17:47:04.33325	2013-08-03 17:47:04.33325	110
10071	38322	15145	2013-08-03 17:47:04.338409	2013-08-03 17:47:04.338409	110
10072	37054	15125	2013-08-03 17:47:04.351479	2013-08-03 17:47:04.351479	110
10073	37054	15105	2013-08-03 17:47:04.356042	2013-08-03 17:47:04.356042	110
10074	37054	15100	2013-08-03 17:47:04.36026	2013-08-03 17:47:04.36026	110
10075	37054	15085	2013-08-03 17:47:04.36481	2013-08-03 17:47:04.36481	110
10076	37054	15065	2013-08-03 17:47:04.368935	2013-08-03 17:47:04.368935	110
10077	37054	15045	2013-08-03 17:47:04.373278	2013-08-03 17:47:04.373278	110
10078	37054	15025	2013-08-03 17:47:04.405382	2013-08-03 17:47:04.405382	110
10079	37054	15005	2013-08-03 17:47:04.411362	2013-08-03 17:47:04.411362	110
10080	37054	14712	2013-08-03 17:47:04.416258	2013-08-03 17:47:04.416258	110
10081	38340	15645	2013-08-03 17:47:04.439865	2013-08-03 17:47:04.439865	110
10082	38340	15625	2013-08-03 17:47:04.447809	2013-08-03 17:47:04.447809	110
10083	38340	15605	2013-08-03 17:47:04.458155	2013-08-03 17:47:04.458155	110
10084	38340	15585	2013-08-03 17:47:04.470144	2013-08-03 17:47:04.470144	110
10085	38340	15565	2013-08-03 17:47:04.482926	2013-08-03 17:47:04.482926	110
10086	38340	15545	2013-08-03 17:47:04.494639	2013-08-03 17:47:04.494639	110
10087	38340	15525	2013-08-03 17:47:04.505923	2013-08-03 17:47:04.505923	110
10088	38340	15505	2013-08-03 17:47:04.51494	2013-08-03 17:47:04.51494	110
10089	38340	15485	2013-08-03 17:47:04.522713	2013-08-03 17:47:04.522713	110
10090	37100	15465	2013-08-03 17:47:04.532506	2013-08-03 17:47:04.532506	110
10091	37100	15445	2013-08-03 17:47:04.540652	2013-08-03 17:47:04.540652	110
10092	37100	15425	2013-08-03 17:47:04.550354	2013-08-03 17:47:04.550354	110
10093	37100	15405	2013-08-03 17:47:04.561928	2013-08-03 17:47:04.561928	110
10094	37100	15385	2013-08-03 17:47:04.573821	2013-08-03 17:47:04.573821	110
10095	37100	15365	2013-08-03 17:47:04.586386	2013-08-03 17:47:04.586386	110
10096	37100	15345	2013-08-03 17:47:04.598018	2013-08-03 17:47:04.598018	110
10097	37100	15325	2013-08-03 17:47:04.609189	2013-08-03 17:47:04.609189	110
10098	37100	15383	2013-08-03 17:47:04.620445	2013-08-03 17:47:04.620445	110
10099	38325	6979	2013-08-03 17:47:04.651867	2013-08-03 17:47:04.651867	110
10100	38325	3244	2013-08-03 17:47:04.658127	2013-08-03 17:47:04.658127	110
10101	38325	7486	2013-08-03 17:47:04.661664	2013-08-03 17:47:04.661664	110
10102	38325	4305	2013-08-03 17:47:04.666734	2013-08-03 17:47:04.666734	110
10103	38325	7261	2013-08-03 17:47:04.673254	2013-08-03 17:47:04.673254	110
10104	38325	14143	2013-08-03 17:47:04.678498	2013-08-03 17:47:04.678498	110
10105	38325	19163	2013-08-03 17:47:04.683144	2013-08-03 17:47:04.683144	110
10106	38325	4355	2013-08-03 17:47:04.687058	2013-08-03 17:47:04.687058	110
10107	38325	14153	2013-08-03 17:47:04.692828	2013-08-03 17:47:04.692828	110
10108	38325	4343	2013-08-03 17:47:04.698408	2013-08-03 17:47:04.698408	110
10109	38325	4375	2013-08-03 17:47:04.705473	2013-08-03 17:47:04.705473	110
10110	38325	3466	2013-08-03 17:47:04.711721	2013-08-03 17:47:04.711721	110
10111	38325	14528	2013-08-03 17:47:04.715907	2013-08-03 17:47:04.715907	110
10112	38325	14548	2013-08-03 17:47:04.721534	2013-08-03 17:47:04.721534	110
10113	38325	17575	2013-08-03 17:47:04.727235	2013-08-03 17:47:04.727235	110
10114	38325	9150	2013-08-03 17:47:04.733392	2013-08-03 17:47:04.733392	110
10115	38325	9126	2013-08-03 17:47:04.739046	2013-08-03 17:47:04.739046	110
10116	38325	9225	2013-08-03 17:47:04.743011	2013-08-03 17:47:04.743011	110
10117	38325	14648	2013-08-03 17:47:04.747216	2013-08-03 17:47:04.747216	110
10118	39394	22583	2013-08-03 17:47:04.771898	2013-08-03 17:47:04.771898	110
10119	39394	22568	2013-08-03 17:47:04.776544	2013-08-03 17:47:04.776544	110
10120	39394	22548	2013-08-03 17:47:04.782446	2013-08-03 17:47:04.782446	110
10121	39394	22528	2013-08-03 17:47:04.788405	2013-08-03 17:47:04.788405	110
10122	39394	22508	2013-08-03 17:47:04.795221	2013-08-03 17:47:04.795221	110
10123	39394	22488	2013-08-03 17:47:04.799504	2013-08-03 17:47:04.799504	110
10124	38327	22468	2013-08-03 17:47:04.813237	2013-08-03 17:47:04.813237	110
10125	38327	22448	2013-08-03 17:47:04.822448	2013-08-03 17:47:04.822448	110
10126	38327	22428	2013-08-03 17:47:04.828541	2013-08-03 17:47:04.828541	110
10127	38327	22263	2013-08-03 17:47:04.835676	2013-08-03 17:47:04.835676	110
10128	38327	19655	2013-08-03 17:47:04.842315	2013-08-03 17:47:04.842315	110
10129	38327	19415	2013-08-03 17:47:04.882393	2013-08-03 17:47:04.882393	110
10130	37045	18995	2013-08-03 17:47:04.890688	2013-08-03 17:47:04.890688	110
10131	37045	14792	2013-08-03 17:47:04.894169	2013-08-03 17:47:04.894169	110
10132	37045	14905	2013-08-03 17:47:04.899493	2013-08-03 17:47:04.899493	110
10133	37045	1905	2013-08-03 17:47:04.908447	2013-08-03 17:47:04.908447	110
10134	37045	9313	2013-08-03 17:47:04.911924	2013-08-03 17:47:04.911924	110
10135	37045	1742	2013-08-03 17:47:04.915767	2013-08-03 17:47:04.915767	110
10136	38329	4429	2013-08-03 17:47:04.930177	2013-08-03 17:47:04.930177	110
10137	38329	4409	2013-08-03 17:47:04.934594	2013-08-03 17:47:04.934594	110
10138	38329	4246	2013-08-03 17:47:04.939624	2013-08-03 17:47:04.939624	110
10139	38329	4325	2013-08-03 17:47:04.944281	2013-08-03 17:47:04.944281	110
10140	38329	4376	2013-08-03 17:47:04.949492	2013-08-03 17:47:04.949492	110
10141	38329	4350	2013-08-03 17:47:04.953749	2013-08-03 17:47:04.953749	110
10142	38329	4389	2013-08-03 17:47:04.957202	2013-08-03 17:47:04.957202	110
10143	38329	4369	2013-08-03 17:47:04.961338	2013-08-03 17:47:04.961338	110
10144	38329	4349	2013-08-03 17:47:04.965853	2013-08-03 17:47:04.965853	110
10145	37071	4329	2013-08-03 17:47:04.975873	2013-08-03 17:47:04.975873	110
10146	37071	4309	2013-08-03 17:47:04.980454	2013-08-03 17:47:04.980454	110
10147	37071	4289	2013-08-03 17:47:04.984348	2013-08-03 17:47:04.984348	110
10148	37071	3678	2013-08-03 17:47:04.987985	2013-08-03 17:47:04.987985	110
10149	37071	4269	2013-08-03 17:47:04.991455	2013-08-03 17:47:04.991455	110
10150	37071	4357	2013-08-03 17:47:04.995224	2013-08-03 17:47:04.995224	110
10151	37071	4249	2013-08-03 17:47:04.998821	2013-08-03 17:47:04.998821	110
10152	37071	11752	2013-08-03 17:47:05.002264	2013-08-03 17:47:05.002264	110
10153	37071	5038	2013-08-03 17:47:05.005406	2013-08-03 17:47:05.005406	110
10154	39251	11190	2013-08-03 17:47:05.020336	2013-08-03 17:47:05.020336	110
10155	39251	11180	2013-08-03 17:47:05.024536	2013-08-03 17:47:05.024536	110
10156	39251	11170	2013-08-03 17:47:05.028735	2013-08-03 17:47:05.028735	110
10157	39251	11150	2013-08-03 17:47:05.032848	2013-08-03 17:47:05.032848	110
10158	39251	11132	2013-08-03 17:47:05.037523	2013-08-03 17:47:05.037523	110
10159	39251	11130	2013-08-03 17:47:05.04287	2013-08-03 17:47:05.04287	110
10160	38330	11110	2013-08-03 17:47:05.050161	2013-08-03 17:47:05.050161	110
10161	38330	11090	2013-08-03 17:47:05.054349	2013-08-03 17:47:05.054349	110
10162	38330	11045	2013-08-03 17:47:05.057716	2013-08-03 17:47:05.057716	110
10163	38330	11070	2013-08-03 17:47:05.060774	2013-08-03 17:47:05.060774	110
10164	38330	11085	2013-08-03 17:47:05.063831	2013-08-03 17:47:05.063831	110
10165	38330	9785	2013-08-03 17:47:05.06707	2013-08-03 17:47:05.06707	110
10166	37075	8910	2013-08-03 17:47:05.074071	2013-08-03 17:47:05.074071	110
10167	37075	14838	2013-08-03 17:47:05.077228	2013-08-03 17:47:05.077228	110
10168	37075	2008	2013-08-03 17:47:05.081054	2013-08-03 17:47:05.081054	110
10169	37075	4089	2013-08-03 17:47:05.08404	2013-08-03 17:47:05.08404	110
10170	37075	1786	2013-08-03 17:47:05.087077	2013-08-03 17:47:05.087077	110
10171	37075	9393	2013-08-03 17:47:05.090784	2013-08-03 17:47:05.090784	110
10172	39392	7850	2013-08-03 17:47:05.139614	2013-08-03 17:47:05.139614	110
10173	39392	7710	2013-08-03 17:47:05.146688	2013-08-03 17:47:05.146688	110
10174	39392	20868	2013-08-03 17:47:05.152113	2013-08-03 17:47:05.152113	110
10175	39392	7606	2013-08-03 17:47:05.157556	2013-08-03 17:47:05.157556	110
10176	39392	7541	2013-08-03 17:47:05.161475	2013-08-03 17:47:05.161475	110
10177	39392	7650	2013-08-03 17:47:05.166952	2013-08-03 17:47:05.166952	110
10178	38332	7690	2013-08-03 17:47:05.175959	2013-08-03 17:47:05.175959	110
10179	38332	7450	2013-08-03 17:47:05.180661	2013-08-03 17:47:05.180661	110
10180	38332	7381	2013-08-03 17:47:05.185304	2013-08-03 17:47:05.185304	110
10181	38332	8396	2013-08-03 17:47:05.190958	2013-08-03 17:47:05.190958	110
10182	38332	20768	2013-08-03 17:47:05.195708	2013-08-03 17:47:05.195708	110
10183	38332	1902	2013-08-03 17:47:05.200244	2013-08-03 17:47:05.200244	110
10184	37074	4006	2013-08-03 17:47:05.207777	2013-08-03 17:47:05.207777	110
10185	37074	14283	2013-08-03 17:47:05.212014	2013-08-03 17:47:05.212014	110
10186	37074	15828	2013-08-03 17:47:05.215214	2013-08-03 17:47:05.215214	110
10187	37074	10535	2013-08-03 17:47:05.218494	2013-08-03 17:47:05.218494	110
10188	37074	6813	2013-08-03 17:47:05.222569	2013-08-03 17:47:05.222569	110
10189	37074	17543	2013-08-03 17:47:05.22725	2013-08-03 17:47:05.22725	110
10190	39416	15212	2013-08-03 17:47:05.245622	2013-08-03 17:47:05.245622	110
10191	39416	15192	2013-08-03 17:47:05.252704	2013-08-03 17:47:05.252704	110
10192	39416	15172	2013-08-03 17:47:05.258888	2013-08-03 17:47:05.258888	110
10193	39416	15152	2013-08-03 17:47:05.265643	2013-08-03 17:47:05.265643	110
10194	39416	15132	2013-08-03 17:47:05.271937	2013-08-03 17:47:05.271937	110
10195	39416	15112	2013-08-03 17:47:05.282158	2013-08-03 17:47:05.282158	110
10196	38334	15092	2013-08-03 17:47:05.296282	2013-08-03 17:47:05.296282	110
10197	38334	15015	2013-08-03 17:47:05.303037	2013-08-03 17:47:05.303037	110
10198	38334	15072	2013-08-03 17:47:05.308709	2013-08-03 17:47:05.308709	110
10199	38334	15052	2013-08-03 17:47:05.314704	2013-08-03 17:47:05.314704	110
10200	38334	15032	2013-08-03 17:47:05.321288	2013-08-03 17:47:05.321288	110
10201	38334	10843	2013-08-03 17:47:05.327276	2013-08-03 17:47:05.327276	110
10202	37040	9681	2013-08-03 17:47:05.339004	2013-08-03 17:47:05.339004	110
10203	37040	18578	2013-08-03 17:47:05.34426	2013-08-03 17:47:05.34426	110
10204	37040	3658	2013-08-03 17:47:05.348675	2013-08-03 17:47:05.348675	110
10205	37040	3997	2013-08-03 17:47:05.352593	2013-08-03 17:47:05.352593	110
10206	37040	1848	2013-08-03 17:47:05.356364	2013-08-03 17:47:05.356364	110
10207	37040	7506	2013-08-03 17:47:05.361239	2013-08-03 17:47:05.361239	110
10208	39418	14720	2013-08-03 17:47:05.381815	2013-08-03 17:47:05.381815	110
10209	39418	13880	2013-08-03 17:47:05.386523	2013-08-03 17:47:05.386523	110
10210	39418	10890	2013-08-03 17:47:05.42426	2013-08-03 17:47:05.42426	110
10211	39418	10737	2013-08-03 17:47:05.42944	2013-08-03 17:47:05.42944	110
10212	39418	10730	2013-08-03 17:47:05.433102	2013-08-03 17:47:05.433102	110
10213	39418	9761	2013-08-03 17:47:05.437122	2013-08-03 17:47:05.437122	110
10214	38335	9621	2013-08-03 17:47:05.445722	2013-08-03 17:47:05.445722	110
10215	38335	9440	2013-08-03 17:47:05.451265	2013-08-03 17:47:05.451265	110
10216	38335	6361	2013-08-03 17:47:05.455465	2013-08-03 17:47:05.455465	110
10217	38335	12838	2013-08-03 17:47:05.459068	2013-08-03 17:47:05.459068	110
10218	38335	1995	2013-08-03 17:47:05.463047	2013-08-03 17:47:05.463047	110
10219	38335	4221	2013-08-03 17:47:05.467051	2013-08-03 17:47:05.467051	110
10220	37051	4010	2013-08-03 17:47:05.476847	2013-08-03 17:47:05.476847	110
10221	37051	1770	2013-08-03 17:47:05.481103	2013-08-03 17:47:05.481103	110
10222	37051	11772	2013-08-03 17:47:05.485341	2013-08-03 17:47:05.485341	110
10223	37051	6859	2013-08-03 17:47:05.489316	2013-08-03 17:47:05.489316	110
10224	37051	6906	2013-08-03 17:47:05.493221	2013-08-03 17:47:05.493221	110
10225	37051	1762	2013-08-03 17:47:05.496619	2013-08-03 17:47:05.496619	110
10226	38336	4018	2013-08-03 17:47:05.518092	2013-08-03 17:47:05.518092	110
10227	38336	4038	2013-08-03 17:47:05.522665	2013-08-03 17:47:05.522665	110
10228	38336	4058	2013-08-03 17:47:05.526903	2013-08-03 17:47:05.526903	110
10229	38336	4078	2013-08-03 17:47:05.531821	2013-08-03 17:47:05.531821	110
10230	38336	4098	2013-08-03 17:47:05.540834	2013-08-03 17:47:05.540834	110
10231	38336	4118	2013-08-03 17:47:05.546982	2013-08-03 17:47:05.546982	110
10232	38336	3935	2013-08-03 17:47:05.552259	2013-08-03 17:47:05.552259	110
10233	38336	20088	2013-08-03 17:47:05.561753	2013-08-03 17:47:05.561753	110
10234	38336	8071	2013-08-03 17:47:05.568133	2013-08-03 17:47:05.568133	110
10235	37042	8091	2013-08-03 17:47:05.587107	2013-08-03 17:47:05.587107	110
10236	37042	8111	2013-08-03 17:47:05.597423	2013-08-03 17:47:05.597423	110
10237	37042	8131	2013-08-03 17:47:05.608466	2013-08-03 17:47:05.608466	110
10238	37042	8151	2013-08-03 17:47:05.619634	2013-08-03 17:47:05.619634	110
10239	37042	8171	2013-08-03 17:47:05.63073	2013-08-03 17:47:05.63073	110
10240	37042	8191	2013-08-03 17:47:05.641879	2013-08-03 17:47:05.641879	110
10241	37042	8211	2013-08-03 17:47:05.652982	2013-08-03 17:47:05.652982	110
10242	37042	8231	2013-08-03 17:47:05.664189	2013-08-03 17:47:05.664189	110
10243	37042	3609	2013-08-03 17:47:05.675324	2013-08-03 17:47:05.675324	110
10244	37056	20255	2013-08-03 17:47:05.721958	2013-08-03 17:47:05.721958	110
10245	37056	20237	2013-08-03 17:47:05.734529	2013-08-03 17:47:05.734529	110
10246	37056	20235	2013-08-03 17:47:05.746621	2013-08-03 17:47:05.746621	110
10247	37056	20215	2013-08-03 17:47:05.791663	2013-08-03 17:47:05.791663	110
10248	37056	20195	2013-08-03 17:47:05.797013	2013-08-03 17:47:05.797013	110
10249	37056	20175	2013-08-03 17:47:05.801689	2013-08-03 17:47:05.801689	110
10250	37056	20155	2013-08-03 17:47:05.806651	2013-08-03 17:47:05.806651	110
10251	37056	20135	2013-08-03 17:47:05.812856	2013-08-03 17:47:05.812856	110
10252	37056	20115	2013-08-03 17:47:05.819297	2013-08-03 17:47:05.819297	110
10253	37056	20095	2013-08-03 17:47:05.826548	2013-08-03 17:47:05.826548	110
10254	37056	20075	2013-08-03 17:47:05.835112	2013-08-03 17:47:05.835112	110
10255	37056	20055	2013-08-03 17:47:05.845988	2013-08-03 17:47:05.845988	110
10256	37056	20035	2013-08-03 17:47:05.851614	2013-08-03 17:47:05.851614	110
10257	37056	20015	2013-08-03 17:47:05.856923	2013-08-03 17:47:05.856923	110
10258	37056	19995	2013-08-03 17:47:05.863328	2013-08-03 17:47:05.863328	110
10259	37056	19975	2013-08-03 17:47:05.868438	2013-08-03 17:47:05.868438	110
10260	37056	19955	2013-08-03 17:47:05.873268	2013-08-03 17:47:05.873268	110
10261	37056	19935	2013-08-03 17:47:05.877894	2013-08-03 17:47:05.877894	110
10262	37056	14213	2013-08-03 17:47:05.882502	2013-08-03 17:47:05.882502	110
10263	39393	11296	2013-08-03 17:47:05.900014	2013-08-03 17:47:05.900014	110
10264	39393	11276	2013-08-03 17:47:05.910785	2013-08-03 17:47:05.910785	110
10265	39393	11256	2013-08-03 17:47:05.922974	2013-08-03 17:47:05.922974	110
10266	39393	11236	2013-08-03 17:47:05.934582	2013-08-03 17:47:05.934582	110
10267	39393	11216	2013-08-03 17:47:05.945722	2013-08-03 17:47:05.945722	110
10268	39393	11196	2013-08-03 17:47:05.956796	2013-08-03 17:47:05.956796	110
10269	39393	11176	2013-08-03 17:47:05.968066	2013-08-03 17:47:05.968066	110
10270	39393	11156	2013-08-03 17:47:05.979194	2013-08-03 17:47:05.979194	110
10271	39393	11136	2013-08-03 17:47:05.990339	2013-08-03 17:47:05.990339	110
10272	39393	11116	2013-08-03 17:47:06.001631	2013-08-03 17:47:06.001631	110
10273	39393	10980	2013-08-03 17:47:06.012629	2013-08-03 17:47:06.012629	110
10274	39393	24797	2013-08-03 17:47:06.022551	2013-08-03 17:47:06.022551	110
10275	39393	2036	2013-08-03 17:47:06.032422	2013-08-03 17:47:06.032422	110
10276	39393	1935	2013-08-03 17:47:06.042145	2013-08-03 17:47:06.042145	110
10277	39393	24557	2013-08-03 17:47:06.052097	2013-08-03 17:47:06.052097	110
10278	39393	4029	2013-08-03 17:47:06.062144	2013-08-03 17:47:06.062144	110
10279	39393	18778	2013-08-03 17:47:06.071976	2013-08-03 17:47:06.071976	110
10280	39393	6819	2013-08-03 17:47:06.082063	2013-08-03 17:47:06.082063	110
10281	39393	9898	2013-08-03 17:47:06.090531	2013-08-03 17:47:06.090531	110
10282	39252	19038	2013-08-03 17:47:06.151495	2013-08-03 17:47:06.151495	110
10283	39252	19018	2013-08-03 17:47:06.161821	2013-08-03 17:47:06.161821	110
10284	39252	18998	2013-08-03 17:47:06.168254	2013-08-03 17:47:06.168254	110
10285	39252	18978	2013-08-03 17:47:06.173913	2013-08-03 17:47:06.173913	110
10286	39252	18958	2013-08-03 17:47:06.184409	2013-08-03 17:47:06.184409	110
10287	39252	18938	2013-08-03 17:47:06.196222	2013-08-03 17:47:06.196222	110
10288	38337	18918	2013-08-03 17:47:06.219471	2013-08-03 17:47:06.219471	110
10289	38337	18898	2013-08-03 17:47:06.231452	2013-08-03 17:47:06.231452	110
10290	38337	18878	2013-08-03 17:47:06.242896	2013-08-03 17:47:06.242896	110
10291	38337	18877	2013-08-03 17:47:06.254883	2013-08-03 17:47:06.254883	110
10292	38337	18858	2013-08-03 17:47:06.267723	2013-08-03 17:47:06.267723	110
10293	38337	14600	2013-08-03 17:47:06.279676	2013-08-03 17:47:06.279676	110
10294	37068	12912	2013-08-03 17:47:06.302212	2013-08-03 17:47:06.302212	110
10295	37068	18698	2013-08-03 17:47:06.312647	2013-08-03 17:47:06.312647	110
10296	37068	18738	2013-08-03 17:47:06.323552	2013-08-03 17:47:06.323552	110
10297	37068	17955	2013-08-03 17:47:06.334971	2013-08-03 17:47:06.334971	110
10298	37068	9119	2013-08-03 17:47:06.339699	2013-08-03 17:47:06.339699	110
10299	37068	3569	2013-08-03 17:47:06.343716	2013-08-03 17:47:06.343716	110
10300	40469	19298	2013-08-03 17:47:06.369497	2013-08-03 17:47:06.369497	110
10301	39965	19278	2013-08-03 17:47:06.380076	2013-08-03 17:47:06.380076	110
10302	38908	19258	2013-08-03 17:47:06.394965	2013-08-03 17:47:06.394965	110
10303	37693	19238	2013-08-03 17:47:06.421662	2013-08-03 17:47:06.421662	110
10304	37531	19218	2013-08-03 17:47:06.431267	2013-08-03 17:47:06.431267	110
10305	37425	19198	2013-08-03 17:47:06.43973	2013-08-03 17:47:06.43973	110
10306	37309	19178	2013-08-03 17:47:06.486793	2013-08-03 17:47:06.486793	110
10307	37244	19158	2013-08-03 17:47:06.504215	2013-08-03 17:47:06.504215	110
10308	37227	19138	2013-08-03 17:47:06.527252	2013-08-03 17:47:06.527252	110
10309	37137	19118	2013-08-03 17:47:06.549582	2013-08-03 17:47:06.549582	110
10310	37097	19098	2013-08-03 17:47:06.569565	2013-08-03 17:47:06.569565	110
10311	37058	19078	2013-08-03 17:47:06.577888	2013-08-03 17:47:06.577888	110
10312	39329	6066	2013-08-03 17:47:06.60318	2013-08-03 17:47:06.60318	110
10313	39329	9897	2013-08-03 17:47:06.6085	2013-08-03 17:47:06.6085	110
10314	39329	9917	2013-08-03 17:47:06.613905	2013-08-03 17:47:06.613905	110
10315	39329	15098	2013-08-03 17:47:06.620122	2013-08-03 17:47:06.620122	110
10316	39329	7190	2013-08-03 17:47:06.62779	2013-08-03 17:47:06.62779	110
10317	39329	8676	2013-08-03 17:47:06.637249	2013-08-03 17:47:06.637249	110
10318	38338	18648	2013-08-03 17:47:06.659064	2013-08-03 17:47:06.659064	110
10319	38338	8496	2013-08-03 17:47:06.671093	2013-08-03 17:47:06.671093	110
10320	38338	6913	2013-08-03 17:47:06.681987	2013-08-03 17:47:06.681987	110
10321	38338	4819	2013-08-03 17:47:06.689653	2013-08-03 17:47:06.689653	110
10322	38338	4411	2013-08-03 17:47:06.693245	2013-08-03 17:47:06.693245	110
10323	38338	10340	2013-08-03 17:47:06.696755	2013-08-03 17:47:06.696755	110
10324	37048	4979	2013-08-03 17:47:06.707332	2013-08-03 17:47:06.707332	110
10325	37048	8756	2013-08-03 17:47:06.715687	2013-08-03 17:47:06.715687	110
10326	37048	4477	2013-08-03 17:47:06.725595	2013-08-03 17:47:06.725595	110
10327	37048	5979	2013-08-03 17:47:06.73561	2013-08-03 17:47:06.73561	110
10328	37048	3589	2013-08-03 17:47:06.746113	2013-08-03 17:47:06.746113	110
10329	37048	9899	2013-08-03 17:47:06.756445	2013-08-03 17:47:06.756445	110
10330	39332	15560	2013-08-03 17:47:06.803475	2013-08-03 17:47:06.803475	110
10331	39332	15540	2013-08-03 17:47:06.816367	2013-08-03 17:47:06.816367	110
10332	39332	15520	2013-08-03 17:47:06.82807	2013-08-03 17:47:06.82807	110
10333	39332	15500	2013-08-03 17:47:06.839136	2013-08-03 17:47:06.839136	110
10334	39332	15438	2013-08-03 17:47:06.850144	2013-08-03 17:47:06.850144	110
10335	39332	15480	2013-08-03 17:47:06.861321	2013-08-03 17:47:06.861321	110
10336	38339	15460	2013-08-03 17:47:06.871545	2013-08-03 17:47:06.871545	110
10337	38339	15440	2013-08-03 17:47:06.876157	2013-08-03 17:47:06.876157	110
10338	38339	15420	2013-08-03 17:47:06.880068	2013-08-03 17:47:06.880068	110
10339	38339	15400	2013-08-03 17:47:06.88957	2013-08-03 17:47:06.88957	110
10340	38339	15380	2013-08-03 17:47:06.899964	2013-08-03 17:47:06.899964	110
10341	38339	15360	2013-08-03 17:47:06.910901	2013-08-03 17:47:06.910901	110
10342	37057	15340	2013-08-03 17:47:06.933731	2013-08-03 17:47:06.933731	110
10343	37057	15320	2013-08-03 17:47:06.94484	2013-08-03 17:47:06.94484	110
10344	37057	15300	2013-08-03 17:47:06.955966	2013-08-03 17:47:06.955966	110
10345	37057	15280	2013-08-03 17:47:06.967118	2013-08-03 17:47:06.967118	110
10346	37057	15260	2013-08-03 17:47:06.978199	2013-08-03 17:47:06.978199	110
10347	37057	15240	2013-08-03 17:47:06.989203	2013-08-03 17:47:06.989203	110
10348	42716	10761	2013-08-03 17:52:01.494888	2013-08-03 17:52:01.494888	111
10349	42716	10683	2013-08-03 17:52:01.499728	2013-08-03 17:52:01.499728	111
10350	42716	10741	2013-08-03 17:52:01.503866	2013-08-03 17:52:01.503866	111
10351	42716	10721	2013-08-03 17:52:01.509703	2013-08-03 17:52:01.509703	111
10352	42195	10777	2013-08-03 17:52:01.520073	2013-08-03 17:52:01.520073	111
10353	42195	10701	2013-08-03 17:52:01.527333	2013-08-03 17:52:01.527333	111
10354	42195	10681	2013-08-03 17:52:01.533615	2013-08-03 17:52:01.533615	111
10355	42195	10640	2013-08-03 17:52:01.538013	2013-08-03 17:52:01.538013	111
10356	41240	10617	2013-08-03 17:52:01.545605	2013-08-03 17:52:01.545605	111
10357	41240	10558	2013-08-03 17:52:01.550304	2013-08-03 17:52:01.550304	111
10358	41240	10578	2013-08-03 17:52:01.55456	2013-08-03 17:52:01.55456	111
10359	41240	10572	2013-08-03 17:52:01.557855	2013-08-03 17:52:01.557855	111
10360	40619	10592	2013-08-03 17:52:01.566352	2013-08-03 17:52:01.566352	111
10361	40619	10661	2013-08-03 17:52:01.571741	2013-08-03 17:52:01.571741	111
10362	40619	10641	2013-08-03 17:52:01.580503	2013-08-03 17:52:01.580503	111
10363	40619	10621	2013-08-03 17:52:01.591187	2013-08-03 17:52:01.591187	111
10364	42250	2136	2013-08-03 17:52:01.634957	2013-08-03 17:52:01.634957	111
10365	42250	2156	2013-08-03 17:52:01.638768	2013-08-03 17:52:01.638768	111
10366	42250	2176	2013-08-03 17:52:01.642036	2013-08-03 17:52:01.642036	111
10367	42250	2196	2013-08-03 17:52:01.645063	2013-08-03 17:52:01.645063	111
10368	41929	2082	2013-08-03 17:52:01.651419	2013-08-03 17:52:01.651419	111
10369	41929	2085	2013-08-03 17:52:01.65779	2013-08-03 17:52:01.65779	111
10370	41929	2045	2013-08-03 17:52:01.664254	2013-08-03 17:52:01.664254	111
10371	41929	2090	2013-08-03 17:52:01.67324	2013-08-03 17:52:01.67324	111
10372	41235	2145	2013-08-03 17:52:01.695679	2013-08-03 17:52:01.695679	111
10373	41235	2062	2013-08-03 17:52:01.707015	2013-08-03 17:52:01.707015	111
10374	41235	3872	2013-08-03 17:52:01.718195	2013-08-03 17:52:01.718195	111
10375	41235	2042	2013-08-03 17:52:01.729288	2013-08-03 17:52:01.729288	111
10376	40549	8431	2013-08-03 17:52:01.750938	2013-08-03 17:52:01.750938	111
10377	40549	19748	2013-08-03 17:52:01.761805	2013-08-03 17:52:01.761805	111
10378	40549	7431	2013-08-03 17:52:01.767033	2013-08-03 17:52:01.767033	111
10379	40549	3689	2013-08-03 17:52:01.770957	2013-08-03 17:52:01.770957	111
10380	44107	16028	2013-08-03 17:52:01.784047	2013-08-03 17:52:01.784047	111
10381	44107	16148	2013-08-03 17:52:01.789846	2013-08-03 17:52:01.789846	111
10382	44107	16168	2013-08-03 17:52:01.797663	2013-08-03 17:52:01.797663	111
10383	44107	16188	2013-08-03 17:52:01.807405	2013-08-03 17:52:01.807405	111
10384	44107	2182	2013-08-03 17:52:01.818327	2013-08-03 17:52:01.818327	111
10385	44107	16208	2013-08-03 17:52:01.829109	2013-08-03 17:52:01.829109	111
10386	44107	2161	2013-08-03 17:52:01.840784	2013-08-03 17:52:01.840784	111
10387	44107	2162	2013-08-03 17:52:01.853127	2013-08-03 17:52:01.853127	111
10388	44107	2049	2013-08-03 17:52:01.864886	2013-08-03 17:52:01.864886	111
10389	40594	2184	2013-08-03 17:52:01.888428	2013-08-03 17:52:01.888428	111
10390	40594	2142	2013-08-03 17:52:01.900387	2013-08-03 17:52:01.900387	111
10391	40594	2089	2013-08-03 17:52:01.914675	2013-08-03 17:52:01.914675	111
10392	40594	2109	2013-08-03 17:52:01.922776	2013-08-03 17:52:01.922776	111
10393	40594	2122	2013-08-03 17:52:01.927139	2013-08-03 17:52:01.927139	111
10394	40594	2186	2013-08-03 17:52:01.933402	2013-08-03 17:52:01.933402	111
10395	40594	2102	2013-08-03 17:52:01.943336	2013-08-03 17:52:01.943336	111
10396	40594	3892	2013-08-03 17:52:01.954302	2013-08-03 17:52:01.954302	111
10397	40594	2056	2013-08-03 17:52:01.965017	2013-08-03 17:52:01.965017	111
10398	42196	23123	2013-08-03 17:52:02.017819	2013-08-03 17:52:02.017819	111
10399	42196	23103	2013-08-03 17:52:02.022339	2013-08-03 17:52:02.022339	111
10400	42196	23083	2013-08-03 17:52:02.029673	2013-08-03 17:52:02.029673	111
10401	41932	23063	2013-08-03 17:52:02.037003	2013-08-03 17:52:02.037003	111
10402	41932	23043	2013-08-03 17:52:02.041046	2013-08-03 17:52:02.041046	111
10403	41932	23023	2013-08-03 17:52:02.044866	2013-08-03 17:52:02.044866	111
10404	41236	23003	2013-08-03 17:52:02.052058	2013-08-03 17:52:02.052058	111
10405	41236	22983	2013-08-03 17:52:02.057224	2013-08-03 17:52:02.057224	111
10406	41236	22963	2013-08-03 17:52:02.062408	2013-08-03 17:52:02.062408	111
10407	40867	22943	2013-08-03 17:52:02.082457	2013-08-03 17:52:02.082457	111
10408	40867	22923	2013-08-03 17:52:02.0959	2013-08-03 17:52:02.0959	111
10409	40867	22903	2013-08-03 17:52:02.107843	2013-08-03 17:52:02.107843	111
10410	40543	22883	2013-08-03 17:52:02.118006	2013-08-03 17:52:02.118006	111
10411	40543	22863	2013-08-03 17:52:02.121535	2013-08-03 17:52:02.121535	111
10412	40543	10581	2013-08-03 17:52:02.124863	2013-08-03 17:52:02.124863	111
10413	43999	23563	2013-08-03 17:52:02.139167	2013-08-03 17:52:02.139167	111
10414	43999	23543	2013-08-03 17:52:02.14419	2013-08-03 17:52:02.14419	111
10415	43999	23523	2013-08-03 17:52:02.150182	2013-08-03 17:52:02.150182	111
10416	43999	23503	2013-08-03 17:52:02.156631	2013-08-03 17:52:02.156631	111
10417	43999	23483	2013-08-03 17:52:02.167065	2013-08-03 17:52:02.167065	111
10418	43999	23463	2013-08-03 17:52:02.178187	2013-08-03 17:52:02.178187	111
10419	43999	23443	2013-08-03 17:52:02.189148	2013-08-03 17:52:02.189148	111
10420	43999	23423	2013-08-03 17:52:02.200847	2013-08-03 17:52:02.200847	111
10421	43999	23403	2013-08-03 17:52:02.211648	2013-08-03 17:52:02.211648	111
10422	40701	23383	2013-08-03 17:52:02.221419	2013-08-03 17:52:02.221419	111
10423	40701	23363	2013-08-03 17:52:02.225023	2013-08-03 17:52:02.225023	111
10424	40701	23343	2013-08-03 17:52:02.228016	2013-08-03 17:52:02.228016	111
10425	40701	23323	2013-08-03 17:52:02.230974	2013-08-03 17:52:02.230974	111
10426	40701	23303	2013-08-03 17:52:02.234737	2013-08-03 17:52:02.234737	111
10427	40701	23283	2013-08-03 17:52:02.241413	2013-08-03 17:52:02.241413	111
10428	40701	23263	2013-08-03 17:52:02.246293	2013-08-03 17:52:02.246293	111
10429	40701	23243	2013-08-03 17:52:02.251896	2013-08-03 17:52:02.251896	111
10430	40701	23223	2013-08-03 17:52:02.258971	2013-08-03 17:52:02.258971	111
10431	43055	7346	2013-08-03 17:52:02.282169	2013-08-03 17:52:02.282169	111
10432	43055	7386	2013-08-03 17:52:02.290386	2013-08-03 17:52:02.290386	111
10433	43055	7501	2013-08-03 17:52:02.295047	2013-08-03 17:52:02.295047	111
10434	42649	7406	2013-08-03 17:52:02.302328	2013-08-03 17:52:02.302328	111
10435	42649	7426	2013-08-03 17:52:02.307737	2013-08-03 17:52:02.307737	111
10436	42649	7446	2013-08-03 17:52:02.311719	2013-08-03 17:52:02.311719	111
10437	41935	4343	2013-08-03 17:52:02.318895	2013-08-03 17:52:02.318895	111
10438	41935	14153	2013-08-03 17:52:02.322566	2013-08-03 17:52:02.322566	111
10439	41935	4355	2013-08-03 17:52:02.32645	2013-08-03 17:52:02.32645	111
10440	41238	19163	2013-08-03 17:52:02.380297	2013-08-03 17:52:02.380297	111
10441	41238	14143	2013-08-03 17:52:02.383365	2013-08-03 17:52:02.383365	111
10442	41238	7261	2013-08-03 17:52:02.386407	2013-08-03 17:52:02.386407	111
10443	40926	4305	2013-08-03 17:52:02.393695	2013-08-03 17:52:02.393695	111
10444	40926	7486	2013-08-03 17:52:02.397544	2013-08-03 17:52:02.397544	111
10445	40926	3244	2013-08-03 17:52:02.401378	2013-08-03 17:52:02.401378	111
10446	40604	3726	2013-08-03 17:52:02.411514	2013-08-03 17:52:02.411514	111
10447	40604	3749	2013-08-03 17:52:02.417845	2013-08-03 17:52:02.417845	111
10448	40604	3729	2013-08-03 17:52:02.423948	2013-08-03 17:52:02.423948	111
10449	43046	10777	2013-08-03 17:52:02.456594	2013-08-03 17:52:02.456594	111
10450	43046	10541	2013-08-03 17:52:02.466112	2013-08-03 17:52:02.466112	111
10451	43046	10640	2013-08-03 17:52:02.475335	2013-08-03 17:52:02.475335	111
10452	42690	15632	2013-08-03 17:52:02.497084	2013-08-03 17:52:02.497084	111
10453	42690	10301	2013-08-03 17:52:02.507602	2013-08-03 17:52:02.507602	111
10454	42690	8203	2013-08-03 17:52:02.51204	2013-08-03 17:52:02.51204	111
10455	41937	7731	2013-08-03 17:52:02.522202	2013-08-03 17:52:02.522202	111
10456	41937	9526	2013-08-03 17:52:02.526601	2013-08-03 17:52:02.526601	111
10457	41937	9373	2013-08-03 17:52:02.530645	2013-08-03 17:52:02.530645	111
10458	41239	9566	2013-08-03 17:52:02.543971	2013-08-03 17:52:02.543971	111
10459	41239	9330	2013-08-03 17:52:02.553643	2013-08-03 17:52:02.553643	111
10460	41239	4589	2013-08-03 17:52:02.563224	2013-08-03 17:52:02.563224	111
10461	40566	24597	2013-08-03 17:52:02.584755	2013-08-03 17:52:02.584755	111
10462	40566	1965	2013-08-03 17:52:02.596294	2013-08-03 17:52:02.596294	111
10463	40566	9171	2013-08-03 17:52:02.606383	2013-08-03 17:52:02.606383	111
10464	40553	8299	2013-08-03 17:52:02.627288	2013-08-03 17:52:02.627288	111
10465	40553	18437	2013-08-03 17:52:02.637889	2013-08-03 17:52:02.637889	111
10466	40553	3649	2013-08-03 17:52:02.647995	2013-08-03 17:52:02.647995	111
10467	41575	16345	2013-08-03 17:52:02.693128	2013-08-03 17:52:02.693128	111
10468	41575	16325	2013-08-03 17:52:02.7045	2013-08-03 17:52:02.7045	111
10469	41575	16305	2013-08-03 17:52:02.715346	2013-08-03 17:52:02.715346	111
10470	41575	16285	2013-08-03 17:52:02.726208	2013-08-03 17:52:02.726208	111
10471	41575	16265	2013-08-03 17:52:02.736873	2013-08-03 17:52:02.736873	111
10472	41575	16245	2013-08-03 17:52:02.747242	2013-08-03 17:52:02.747242	111
10473	41575	16225	2013-08-03 17:52:02.757301	2013-08-03 17:52:02.757301	111
10474	41575	16205	2013-08-03 17:52:02.767291	2013-08-03 17:52:02.767291	111
10475	41575	16185	2013-08-03 17:52:02.777662	2013-08-03 17:52:02.777662	111
10476	41337	16097	2013-08-03 17:52:02.79103	2013-08-03 17:52:02.79103	111
10477	41337	16165	2013-08-03 17:52:02.795165	2013-08-03 17:52:02.795165	111
10478	41337	16145	2013-08-03 17:52:02.803778	2013-08-03 17:52:02.803778	111
10479	41337	15575	2013-08-03 17:52:02.812172	2013-08-03 17:52:02.812172	111
10480	41337	11573	2013-08-03 17:52:02.817633	2013-08-03 17:52:02.817633	111
10481	41337	3244	2013-08-03 17:52:02.821548	2013-08-03 17:52:02.821548	111
10482	41337	7486	2013-08-03 17:52:02.826388	2013-08-03 17:52:02.826388	111
10483	41337	4305	2013-08-03 17:52:02.834508	2013-08-03 17:52:02.834508	111
10484	41337	10681	2013-08-03 17:52:02.844601	2013-08-03 17:52:02.844601	111
10485	43052	7231	2013-08-03 17:52:02.893154	2013-08-03 17:52:02.893154	111
10486	43052	7251	2013-08-03 17:52:02.904388	2013-08-03 17:52:02.904388	111
10487	43052	18437	2013-08-03 17:52:02.915284	2013-08-03 17:52:02.915284	111
10488	43052	7431	2013-08-03 17:52:02.925651	2013-08-03 17:52:02.925651	111
10489	42874	5979	2013-08-03 17:52:02.942982	2013-08-03 17:52:02.942982	111
10490	42874	4477	2013-08-03 17:52:02.946928	2013-08-03 17:52:02.946928	111
10491	42874	17955	2013-08-03 17:52:02.956301	2013-08-03 17:52:02.956301	111
10492	42874	6859	2013-08-03 17:52:02.963465	2013-08-03 17:52:02.963465	111
10493	41940	7059	2013-08-03 17:52:02.972832	2013-08-03 17:52:02.972832	111
10494	41940	7079	2013-08-03 17:52:02.981196	2013-08-03 17:52:02.981196	111
10495	41940	5739	2013-08-03 17:52:02.991167	2013-08-03 17:52:02.991167	111
10496	41940	5719	2013-08-03 17:52:03.002039	2013-08-03 17:52:03.002039	111
10497	41241	5699	2013-08-03 17:52:03.024207	2013-08-03 17:52:03.024207	111
10498	41241	5137	2013-08-03 17:52:03.035067	2013-08-03 17:52:03.035067	111
10499	41241	5117	2013-08-03 17:52:03.046053	2013-08-03 17:52:03.046053	111
10500	41241	17678	2013-08-03 17:52:03.056809	2013-08-03 17:52:03.056809	111
10501	43127	20475	2013-08-03 17:52:03.111287	2013-08-03 17:52:03.111287	111
10502	43127	19875	2013-08-03 17:52:03.121589	2013-08-03 17:52:03.121589	111
10503	43056	19198	2013-08-03 17:52:03.142143	2013-08-03 17:52:03.142143	111
10504	43056	16025	2013-08-03 17:52:03.152257	2013-08-03 17:52:03.152257	111
10505	42889	16060	2013-08-03 17:52:03.173792	2013-08-03 17:52:03.173792	111
10506	42889	15785	2013-08-03 17:52:03.184158	2013-08-03 17:52:03.184158	111
10507	41944	15760	2013-08-03 17:52:03.206248	2013-08-03 17:52:03.206248	111
10508	41944	15572	2013-08-03 17:52:03.217652	2013-08-03 17:52:03.217652	111
10509	41361	15272	2013-08-03 17:52:03.234655	2013-08-03 17:52:03.234655	111
10510	41361	11350	2013-08-03 17:52:03.24087	2013-08-03 17:52:03.24087	111
10511	41242	10438	2013-08-03 17:52:03.249957	2013-08-03 17:52:03.249957	111
10512	41242	10441	2013-08-03 17:52:03.253556	2013-08-03 17:52:03.253556	111
10513	40802	1946	2013-08-03 17:52:03.261101	2013-08-03 17:52:03.261101	111
10514	40802	9050	2013-08-03 17:52:03.267551	2013-08-03 17:52:03.267551	111
10515	40552	4189	2013-08-03 17:52:03.279929	2013-08-03 17:52:03.279929	111
10516	40552	9540	2013-08-03 17:52:03.287585	2013-08-03 17:52:03.287585	111
10517	43049	4757	2013-08-03 17:52:03.333413	2013-08-03 17:52:03.333413	111
10518	43049	4849	2013-08-03 17:52:03.344853	2013-08-03 17:52:03.344853	111
10519	43049	4829	2013-08-03 17:52:03.350374	2013-08-03 17:52:03.350374	111
10520	43049	4809	2013-08-03 17:52:03.354444	2013-08-03 17:52:03.354444	111
10521	41740	4789	2013-08-03 17:52:03.371144	2013-08-03 17:52:03.371144	111
10522	41740	4769	2013-08-03 17:52:03.382404	2013-08-03 17:52:03.382404	111
10523	41740	4749	2013-08-03 17:52:03.393194	2013-08-03 17:52:03.393194	111
10524	41740	4729	2013-08-03 17:52:03.403905	2013-08-03 17:52:03.403905	111
10525	41360	3424	2013-08-03 17:52:03.426315	2013-08-03 17:52:03.426315	111
10526	41360	4596	2013-08-03 17:52:03.437541	2013-08-03 17:52:03.437541	111
10527	41360	4709	2013-08-03 17:52:03.449516	2013-08-03 17:52:03.449516	111
10528	41360	4689	2013-08-03 17:52:03.461465	2013-08-03 17:52:03.461465	111
10529	40617	4351	2013-08-03 17:52:03.485551	2013-08-03 17:52:03.485551	111
10530	40617	8451	2013-08-03 17:52:03.49543	2013-08-03 17:52:03.49543	111
10531	40617	7959	2013-08-03 17:52:03.505246	2013-08-03 17:52:03.505246	111
10532	40617	6959	2013-08-03 17:52:03.515229	2013-08-03 17:52:03.515229	111
10533	43002	11630	2013-08-03 17:52:03.56923	2013-08-03 17:52:03.56923	111
10534	43002	11535	2013-08-03 17:52:03.580382	2013-08-03 17:52:03.580382	111
10535	43002	11555	2013-08-03 17:52:03.59126	2013-08-03 17:52:03.59126	111
10536	41947	11557	2013-08-03 17:52:03.612218	2013-08-03 17:52:03.612218	111
10537	41947	11528	2013-08-03 17:52:03.623104	2013-08-03 17:52:03.623104	111
10538	41947	11610	2013-08-03 17:52:03.634025	2013-08-03 17:52:03.634025	111
10539	41243	11590	2013-08-03 17:52:03.656282	2013-08-03 17:52:03.656282	111
10540	41243	11570	2013-08-03 17:52:03.667291	2013-08-03 17:52:03.667291	111
10541	41243	11483	2013-08-03 17:52:03.678611	2013-08-03 17:52:03.678611	111
10542	40570	11550	2013-08-03 17:52:03.701863	2013-08-03 17:52:03.701863	111
10543	40570	10481	2013-08-03 17:52:03.713058	2013-08-03 17:52:03.713058	111
10544	40570	10241	2013-08-03 17:52:03.723025	2013-08-03 17:52:03.723025	111
10545	40555	8079	2013-08-03 17:52:03.743857	2013-08-03 17:52:03.743857	111
10546	40555	20535	2013-08-03 17:52:03.754259	2013-08-03 17:52:03.754259	111
10547	40555	14692	2013-08-03 17:52:03.763898	2013-08-03 17:52:03.763898	111
10548	41949	8039	2013-08-03 17:52:03.817977	2013-08-03 17:52:03.817977	111
10549	41949	10212	2013-08-03 17:52:03.828082	2013-08-03 17:52:03.828082	111
10550	41949	10345	2013-08-03 17:52:03.831627	2013-08-03 17:52:03.831627	111
10551	41949	10135	2013-08-03 17:52:03.886659	2013-08-03 17:52:03.886659	111
10552	41244	9930	2013-08-03 17:52:03.89514	2013-08-03 17:52:03.89514	111
10553	41244	4550	2013-08-03 17:52:03.898752	2013-08-03 17:52:03.898752	111
10554	41244	9801	2013-08-03 17:52:03.901929	2013-08-03 17:52:03.901929	111
10555	41244	9756	2013-08-03 17:52:03.905624	2013-08-03 17:52:03.905624	111
10556	40803	9641	2013-08-03 17:52:03.916174	2013-08-03 17:52:03.916174	111
10557	40803	1742	2013-08-03 17:52:03.922276	2013-08-03 17:52:03.922276	111
10558	40803	6930	2013-08-03 17:52:03.932998	2013-08-03 17:52:03.932998	111
10559	40803	16408	2013-08-03 17:52:03.943131	2013-08-03 17:52:03.943131	111
10560	40550	1996	2013-08-03 17:52:03.961703	2013-08-03 17:52:03.961703	111
10561	40550	24837	2013-08-03 17:52:03.965518	2013-08-03 17:52:03.965518	111
10562	40550	4899	2013-08-03 17:52:03.973535	2013-08-03 17:52:03.973535	111
10563	40550	7639	2013-08-03 17:52:03.98339	2013-08-03 17:52:03.98339	111
10564	43112	4129	2013-08-03 17:52:04.038708	2013-08-03 17:52:04.038708	111
10565	43112	9466	2013-08-03 17:52:04.048866	2013-08-03 17:52:04.048866	111
10566	42827	3901	2013-08-03 17:52:04.069923	2013-08-03 17:52:04.069923	111
10567	42827	9036	2013-08-03 17:52:04.07982	2013-08-03 17:52:04.07982	111
10568	41952	3609	2013-08-03 17:52:04.101183	2013-08-03 17:52:04.101183	111
10569	41952	4529	2013-08-03 17:52:04.112716	2013-08-03 17:52:04.112716	111
10570	41511	24997	2013-08-03 17:52:04.134813	2013-08-03 17:52:04.134813	111
10571	41511	8410	2013-08-03 17:52:04.145172	2013-08-03 17:52:04.145172	111
10572	41245	16428	2013-08-03 17:52:04.166989	2013-08-03 17:52:04.166989	111
10573	41245	1890	2013-08-03 17:52:04.177453	2013-08-03 17:52:04.177453	111
10574	40569	24777	2013-08-03 17:52:04.19924	2013-08-03 17:52:04.19924	111
10575	40569	4839	2013-08-03 17:52:04.210751	2013-08-03 17:52:04.210751	111
10576	40554	7619	2013-08-03 17:52:04.233321	2013-08-03 17:52:04.233321	111
10577	40554	19183	2013-08-03 17:52:04.244347	2013-08-03 17:52:04.244347	111
10578	43133	15033	2013-08-03 17:52:04.288338	2013-08-03 17:52:04.288338	111
10579	43133	15013	2013-08-03 17:52:04.292498	2013-08-03 17:52:04.292498	111
10580	43051	14993	2013-08-03 17:52:04.302626	2013-08-03 17:52:04.302626	111
10581	43051	14973	2013-08-03 17:52:04.309112	2013-08-03 17:52:04.309112	111
10582	41954	14832	2013-08-03 17:52:04.328459	2013-08-03 17:52:04.328459	111
10583	41954	14612	2013-08-03 17:52:04.33934	2013-08-03 17:52:04.33934	111
10584	41246	11270	2013-08-03 17:52:04.362545	2013-08-03 17:52:04.362545	111
10585	41246	9661	2013-08-03 17:52:04.373026	2013-08-03 17:52:04.373026	111
10586	40927	9486	2013-08-03 17:52:04.395031	2013-08-03 17:52:04.395031	111
10587	40927	7979	2013-08-03 17:52:04.40513	2013-08-03 17:52:04.40513	111
10588	40576	7961	2013-08-03 17:52:04.427032	2013-08-03 17:52:04.427032	111
10589	40576	14705	2013-08-03 17:52:04.437578	2013-08-03 17:52:04.437578	111
10590	40556	2000	2013-08-03 17:52:04.459791	2013-08-03 17:52:04.459791	111
10591	40556	1899	2013-08-03 17:52:04.469875	2013-08-03 17:52:04.469875	111
10592	43195	4338	2013-08-03 17:52:04.520664	2013-08-03 17:52:04.520664	111
10593	43195	4358	2013-08-03 17:52:04.531881	2013-08-03 17:52:04.531881	111
10594	43195	4378	2013-08-03 17:52:04.54287	2013-08-03 17:52:04.54287	111
10595	41956	6346	2013-08-03 17:52:04.566351	2013-08-03 17:52:04.566351	111
10596	41956	8651	2013-08-03 17:52:04.577905	2013-08-03 17:52:04.577905	111
10597	41956	8671	2013-08-03 17:52:04.588875	2013-08-03 17:52:04.588875	111
10598	41247	8691	2013-08-03 17:52:04.611347	2013-08-03 17:52:04.611347	111
10599	41247	8711	2013-08-03 17:52:04.62287	2013-08-03 17:52:04.62287	111
10600	41247	8731	2013-08-03 17:52:04.634277	2013-08-03 17:52:04.634277	111
10601	40925	8751	2013-08-03 17:52:04.65565	2013-08-03 17:52:04.65565	111
10602	40925	8771	2013-08-03 17:52:04.666707	2013-08-03 17:52:04.666707	111
10603	40925	7431	2013-08-03 17:52:04.677579	2013-08-03 17:52:04.677579	111
10604	40559	18437	2013-08-03 17:52:04.699029	2013-08-03 17:52:04.699029	111
10605	40559	7251	2013-08-03 17:52:04.709053	2013-08-03 17:52:04.709053	111
10606	40559	7231	2013-08-03 17:52:04.718847	2013-08-03 17:52:04.718847	111
10607	40572	11416	2013-08-03 17:52:04.76157	2013-08-03 17:52:04.76157	111
10608	40572	11396	2013-08-03 17:52:04.773059	2013-08-03 17:52:04.773059	111
10609	40572	11376	2013-08-03 17:52:04.783821	2013-08-03 17:52:04.783821	111
10610	40572	11356	2013-08-03 17:52:04.794268	2013-08-03 17:52:04.794268	111
10611	40572	11410	2013-08-03 17:52:04.804825	2013-08-03 17:52:04.804825	111
10612	40572	4669	2013-08-03 17:52:04.814581	2013-08-03 17:52:04.814581	111
10613	40572	4629	2013-08-03 17:52:04.824296	2013-08-03 17:52:04.824296	111
10614	40572	7539	2013-08-03 17:52:04.833996	2013-08-03 17:52:04.833996	111
10615	40572	4919	2013-08-03 17:52:04.846179	2013-08-03 17:52:04.846179	111
10616	40572	9898	2013-08-03 17:52:04.85747	2013-08-03 17:52:04.85747	111
10617	40572	17543	2013-08-03 17:52:04.863262	2013-08-03 17:52:04.863262	111
10618	40572	4149	2013-08-03 17:52:04.867164	2013-08-03 17:52:04.867164	111
10619	40572	14113	2013-08-03 17:52:04.872299	2013-08-03 17:52:04.872299	111
10620	40572	15948	2013-08-03 17:52:04.878238	2013-08-03 17:52:04.878238	111
10621	40572	15848	2013-08-03 17:52:04.882989	2013-08-03 17:52:04.882989	111
10622	40572	9111	2013-08-03 17:52:04.886762	2013-08-03 17:52:04.886762	111
10623	40572	7559	2013-08-03 17:52:04.889829	2013-08-03 17:52:04.889829	111
10624	40572	6939	2013-08-03 17:52:04.894632	2013-08-03 17:52:04.894632	111
10625	40572	5759	2013-08-03 17:52:04.899977	2013-08-03 17:52:04.899977	111
10626	41957	19158	2013-08-03 17:52:04.942975	2013-08-03 17:52:04.942975	111
10627	41957	11450	2013-08-03 17:52:04.949482	2013-08-03 17:52:04.949482	111
10628	41957	3709	2013-08-03 17:52:04.952299	2013-08-03 17:52:04.952299	111
10629	41514	3669	2013-08-03 17:52:04.95815	2013-08-03 17:52:04.95815	111
10630	41514	1601	2013-08-03 17:52:04.960953	2013-08-03 17:52:04.960953	111
10631	41514	10070	2013-08-03 17:52:04.963724	2013-08-03 17:52:04.963724	111
10632	41248	4326	2013-08-03 17:52:04.972868	2013-08-03 17:52:04.972868	111
10633	41248	1628	2013-08-03 17:52:04.977562	2013-08-03 17:52:04.977562	111
10634	41248	20548	2013-08-03 17:52:04.982424	2013-08-03 17:52:04.982424	111
10635	40589	6206	2013-08-03 17:52:04.989833	2013-08-03 17:52:04.989833	111
10636	40589	8961	2013-08-03 17:52:04.993787	2013-08-03 17:52:04.993787	111
10637	40589	1592	2013-08-03 17:52:04.997287	2013-08-03 17:52:04.997287	111
10638	40551	7246	2013-08-03 17:52:05.003437	2013-08-03 17:52:05.003437	111
10639	40551	7321	2013-08-03 17:52:05.007193	2013-08-03 17:52:05.007193	111
10640	40551	7919	2013-08-03 17:52:05.011339	2013-08-03 17:52:05.011339	111
10641	41918	19718	2013-08-03 17:52:05.064474	2013-08-03 17:52:05.064474	111
10642	41340	19698	2013-08-03 17:52:05.088039	2013-08-03 17:52:05.088039	111
10643	41237	19678	2013-08-03 17:52:05.107534	2013-08-03 17:52:05.107534	111
10644	41107	19658	2013-08-03 17:52:05.128722	2013-08-03 17:52:05.128722	111
10645	41035	19638	2013-08-03 17:52:05.150763	2013-08-03 17:52:05.150763	111
10646	40982	19618	2013-08-03 17:52:05.173671	2013-08-03 17:52:05.173671	111
10647	40671	19598	2013-08-03 17:52:05.197869	2013-08-03 17:52:05.197869	111
10648	40666	19578	2013-08-03 17:52:05.22236	2013-08-03 17:52:05.22236	111
10649	40593	19558	2013-08-03 17:52:05.245069	2013-08-03 17:52:05.245069	111
10650	40592	19538	2013-08-03 17:52:05.267444	2013-08-03 17:52:05.267444	111
10651	40573	19518	2013-08-03 17:52:05.290432	2013-08-03 17:52:05.290432	111
10652	43047	3350	2013-08-03 17:52:05.381111	2013-08-03 17:52:05.381111	111
10653	43047	9611	2013-08-03 17:52:05.392531	2013-08-03 17:52:05.392531	111
10654	43047	8031	2013-08-03 17:52:05.403372	2013-08-03 17:52:05.403372	111
10655	41958	1261	2013-08-03 17:52:05.425126	2013-08-03 17:52:05.425126	111
10656	41958	1272	2013-08-03 17:52:05.43624	2013-08-03 17:52:05.43624	111
10657	41958	3958	2013-08-03 17:52:05.447255	2013-08-03 17:52:05.447255	111
10658	41364	3932	2013-08-03 17:52:05.462816	2013-08-03 17:52:05.462816	111
10659	41364	5116	2013-08-03 17:52:05.467756	2013-08-03 17:52:05.467756	111
10660	41364	18588	2013-08-03 17:52:05.472634	2013-08-03 17:52:05.472634	111
10661	41249	18568	2013-08-03 17:52:05.489065	2013-08-03 17:52:05.489065	111
10662	41249	13571	2013-08-03 17:52:05.499302	2013-08-03 17:52:05.499302	111
10663	41249	11948	2013-08-03 17:52:05.509678	2013-08-03 17:52:05.509678	111
10664	40678	8551	2013-08-03 17:52:05.530185	2013-08-03 17:52:05.530185	111
10665	40678	8345	2013-08-03 17:52:05.541026	2013-08-03 17:52:05.541026	111
10666	40678	6859	2013-08-03 17:52:05.551662	2013-08-03 17:52:05.551662	111
10667	40564	17955	2013-08-03 17:52:05.574239	2013-08-03 17:52:05.574239	111
10668	40564	4477	2013-08-03 17:52:05.584303	2013-08-03 17:52:05.584303	111
10669	40564	5979	2013-08-03 17:52:05.595163	2013-08-03 17:52:05.595163	111
10670	42019	16380	2013-08-03 17:52:05.652122	2013-08-03 17:52:05.652122	111
10671	42019	16360	2013-08-03 17:52:05.663429	2013-08-03 17:52:05.663429	111
10672	42019	16340	2013-08-03 17:52:05.673956	2013-08-03 17:52:05.673956	111
10673	41517	16320	2013-08-03 17:52:05.696048	2013-08-03 17:52:05.696048	111
10674	41517	16300	2013-08-03 17:52:05.708091	2013-08-03 17:52:05.708091	111
10675	41517	16280	2013-08-03 17:52:05.718956	2013-08-03 17:52:05.718956	111
10676	41250	16260	2013-08-03 17:52:05.741166	2013-08-03 17:52:05.741166	111
10677	41250	16240	2013-08-03 17:52:05.752204	2013-08-03 17:52:05.752204	111
10678	41250	16220	2013-08-03 17:52:05.762973	2013-08-03 17:52:05.762973	111
10679	40700	15412	2013-08-03 17:52:05.785516	2013-08-03 17:52:05.785516	111
10680	40700	8139	2013-08-03 17:52:05.795659	2013-08-03 17:52:05.795659	111
10681	40700	8059	2013-08-03 17:52:05.805545	2013-08-03 17:52:05.805545	111
10682	40546	8119	2013-08-03 17:52:05.826925	2013-08-03 17:52:05.826925	111
10683	40546	17698	2013-08-03 17:52:05.837085	2013-08-03 17:52:05.837085	111
10684	40546	7411	2013-08-03 17:52:05.8471	2013-08-03 17:52:05.8471	111
10685	45220	11361	2013-08-03 17:57:09.744259	2013-08-03 17:57:09.744259	112
10686	45220	11341	2013-08-03 17:57:09.755693	2013-08-03 17:57:09.755693	112
10687	45220	11360	2013-08-03 17:57:09.765348	2013-08-03 17:57:09.765348	112
10688	45066	11321	2013-08-03 17:57:09.786761	2013-08-03 17:57:09.786761	112
10689	45066	11263	2013-08-03 17:57:09.797878	2013-08-03 17:57:09.797878	112
10690	45066	11217	2013-08-03 17:57:09.809112	2013-08-03 17:57:09.809112	112
10691	43618	11237	2013-08-03 17:57:09.830845	2013-08-03 17:57:09.830845	112
10692	43618	11257	2013-08-03 17:57:09.84116	2013-08-03 17:57:09.84116	112
10693	43618	11301	2013-08-03 17:57:09.851027	2013-08-03 17:57:09.851027	112
10694	43554	11281	2013-08-03 17:57:09.871442	2013-08-03 17:57:09.871442	112
10695	43554	11261	2013-08-03 17:57:09.881527	2013-08-03 17:57:09.881527	112
10696	43554	11241	2013-08-03 17:57:09.891466	2013-08-03 17:57:09.891466	112
10697	43224	11221	2013-08-03 17:57:09.913183	2013-08-03 17:57:09.913183	112
10698	43224	11205	2013-08-03 17:57:09.924181	2013-08-03 17:57:09.924181	112
10699	43224	11201	2013-08-03 17:57:09.9346	2013-08-03 17:57:09.9346	112
10700	45057	2219	2013-08-03 17:57:09.989449	2013-08-03 17:57:09.989449	112
10701	45057	2202	2013-08-03 17:57:10.000142	2013-08-03 17:57:10.000142	112
10702	45039	2199	2013-08-03 17:57:10.021284	2013-08-03 17:57:10.021284	112
10703	45039	18558	2013-08-03 17:57:10.03135	2013-08-03 17:57:10.03135	112
10704	44880	2325	2013-08-03 17:57:10.051403	2013-08-03 17:57:10.051403	112
10705	44880	2154	2013-08-03 17:57:10.061677	2013-08-03 17:57:10.061677	112
10706	43678	2080	2013-08-03 17:57:10.082098	2013-08-03 17:57:10.082098	112
10707	43678	2108	2013-08-03 17:57:10.090758	2013-08-03 17:57:10.090758	112
10708	43615	2128	2013-08-03 17:57:10.111809	2013-08-03 17:57:10.111809	112
10709	43615	2179	2013-08-03 17:57:10.122028	2013-08-03 17:57:10.122028	112
10710	43485	2159	2013-08-03 17:57:10.139366	2013-08-03 17:57:10.139366	112
10711	43485	2139	2013-08-03 17:57:10.149193	2013-08-03 17:57:10.149193	112
10712	43212	2119	2013-08-03 17:57:10.170352	2013-08-03 17:57:10.170352	112
10713	43212	2099	2013-08-03 17:57:10.18052	2013-08-03 17:57:10.18052	112
10714	45237	16888	2013-08-03 17:57:10.212211	2013-08-03 17:57:10.212211	112
10715	45237	16908	2013-08-03 17:57:10.220429	2013-08-03 17:57:10.220429	112
10716	45237	2229	2013-08-03 17:57:10.229141	2013-08-03 17:57:10.229141	112
10717	45237	2342	2013-08-03 17:57:10.233143	2013-08-03 17:57:10.233143	112
10718	45237	2322	2013-08-03 17:57:10.237404	2013-08-03 17:57:10.237404	112
10719	45237	2289	2013-08-03 17:57:10.242143	2013-08-03 17:57:10.242143	112
10720	45237	2302	2013-08-03 17:57:10.247334	2013-08-03 17:57:10.247334	112
10721	45237	2209	2013-08-03 17:57:10.252332	2013-08-03 17:57:10.252332	112
10722	45237	2249	2013-08-03 17:57:10.256355	2013-08-03 17:57:10.256355	112
10723	43281	2269	2013-08-03 17:57:10.270083	2013-08-03 17:57:10.270083	112
10724	43281	2346	2013-08-03 17:57:10.275486	2013-08-03 17:57:10.275486	112
10725	43281	2201	2013-08-03 17:57:10.279519	2013-08-03 17:57:10.279519	112
10726	43281	2282	2013-08-03 17:57:10.285111	2013-08-03 17:57:10.285111	112
10727	43281	2262	2013-08-03 17:57:10.291363	2013-08-03 17:57:10.291363	112
10728	43281	2216	2013-08-03 17:57:10.299063	2013-08-03 17:57:10.299063	112
10729	43281	2236	2013-08-03 17:57:10.309781	2013-08-03 17:57:10.309781	112
10730	43281	2242	2013-08-03 17:57:10.320361	2013-08-03 17:57:10.320361	112
10731	43281	2256	2013-08-03 17:57:10.329478	2013-08-03 17:57:10.329478	112
10732	45098	24843	2013-08-03 17:57:10.368442	2013-08-03 17:57:10.368442	112
10733	45098	24823	2013-08-03 17:57:10.37925	2013-08-03 17:57:10.37925	112
10734	45098	24803	2013-08-03 17:57:10.389647	2013-08-03 17:57:10.389647	112
10735	45098	24783	2013-08-03 17:57:10.398472	2013-08-03 17:57:10.398472	112
10736	45068	24763	2013-08-03 17:57:10.408643	2013-08-03 17:57:10.408643	112
10737	45068	24743	2013-08-03 17:57:10.413229	2013-08-03 17:57:10.413229	112
10738	45068	24723	2013-08-03 17:57:10.420893	2013-08-03 17:57:10.420893	112
10739	45068	24703	2013-08-03 17:57:10.430527	2013-08-03 17:57:10.430527	112
10740	45050	24683	2013-08-03 17:57:10.439539	2013-08-03 17:57:10.439539	112
10741	45050	24663	2013-08-03 17:57:10.446237	2013-08-03 17:57:10.446237	112
10742	45050	24643	2013-08-03 17:57:10.453056	2013-08-03 17:57:10.453056	112
10743	45050	24623	2013-08-03 17:57:10.461945	2013-08-03 17:57:10.461945	112
10744	44888	24603	2013-08-03 17:57:10.478686	2013-08-03 17:57:10.478686	112
10745	44888	24583	2013-08-03 17:57:10.487477	2013-08-03 17:57:10.487477	112
10746	44888	24563	2013-08-03 17:57:10.496275	2013-08-03 17:57:10.496275	112
10747	44888	24543	2013-08-03 17:57:10.503602	2013-08-03 17:57:10.503602	112
10748	44094	25263	2013-08-03 17:57:10.533237	2013-08-03 17:57:10.533237	112
10749	44094	25243	2013-08-03 17:57:10.540742	2013-08-03 17:57:10.540742	112
10750	44094	25223	2013-08-03 17:57:10.549418	2013-08-03 17:57:10.549418	112
10751	44094	25203	2013-08-03 17:57:10.558639	2013-08-03 17:57:10.558639	112
10752	44094	25183	2013-08-03 17:57:10.569119	2013-08-03 17:57:10.569119	112
10753	44094	25163	2013-08-03 17:57:10.579872	2013-08-03 17:57:10.579872	112
10754	43522	25143	2013-08-03 17:57:10.596896	2013-08-03 17:57:10.596896	112
10755	43522	25123	2013-08-03 17:57:10.604078	2013-08-03 17:57:10.604078	112
10756	43522	25103	2013-08-03 17:57:10.612726	2013-08-03 17:57:10.612726	112
10757	43522	25083	2013-08-03 17:57:10.620204	2013-08-03 17:57:10.620204	112
10758	43522	25063	2013-08-03 17:57:10.627719	2013-08-03 17:57:10.627719	112
10759	43522	25043	2013-08-03 17:57:10.635861	2013-08-03 17:57:10.635861	112
10760	43430	25023	2013-08-03 17:57:10.650488	2013-08-03 17:57:10.650488	112
10761	43430	25003	2013-08-03 17:57:10.656362	2013-08-03 17:57:10.656362	112
10762	43430	24983	2013-08-03 17:57:10.663093	2013-08-03 17:57:10.663093	112
10763	43430	24963	2013-08-03 17:57:10.670092	2013-08-03 17:57:10.670092	112
10764	43430	24943	2013-08-03 17:57:10.676947	2013-08-03 17:57:10.676947	112
10765	43430	24923	2013-08-03 17:57:10.685501	2013-08-03 17:57:10.685501	112
10766	45214	17575	2013-08-03 17:57:10.710586	2013-08-03 17:57:10.710586	112
10767	45214	14548	2013-08-03 17:57:10.716581	2013-08-03 17:57:10.716581	112
10768	45214	14528	2013-08-03 17:57:10.719707	2013-08-03 17:57:10.719707	112
10769	45202	3466	2013-08-03 17:57:10.72544	2013-08-03 17:57:10.72544	112
10770	45202	4375	2013-08-03 17:57:10.729574	2013-08-03 17:57:10.729574	112
10771	45202	21308	2013-08-03 17:57:10.733642	2013-08-03 17:57:10.733642	112
10772	45063	14031	2013-08-03 17:57:10.742508	2013-08-03 17:57:10.742508	112
10773	45063	10817	2013-08-03 17:57:10.746552	2013-08-03 17:57:10.746552	112
10774	45063	14051	2013-08-03 17:57:10.752882	2013-08-03 17:57:10.752882	112
10775	43616	13618	2013-08-03 17:57:10.767039	2013-08-03 17:57:10.767039	112
10776	43616	13512	2013-08-03 17:57:10.775168	2013-08-03 17:57:10.775168	112
10777	43616	14091	2013-08-03 17:57:10.782907	2013-08-03 17:57:10.782907	112
10778	43578	8880	2013-08-03 17:57:10.795317	2013-08-03 17:57:10.795317	112
10779	43578	7259	2013-08-03 17:57:10.801038	2013-08-03 17:57:10.801038	112
10780	43578	13931	2013-08-03 17:57:10.805555	2013-08-03 17:57:10.805555	112
10781	43221	4344	2013-08-03 17:57:10.813601	2013-08-03 17:57:10.813601	112
10782	43221	7175	2013-08-03 17:57:10.817844	2013-08-03 17:57:10.817844	112
10783	43221	4097	2013-08-03 17:57:10.824154	2013-08-03 17:57:10.824154	112
10784	45134	7259	2013-08-03 17:57:10.86476	2013-08-03 17:57:10.86476	112
10785	45134	8880	2013-08-03 17:57:10.871185	2013-08-03 17:57:10.871185	112
10786	45134	24663	2013-08-03 17:57:10.87766	2013-08-03 17:57:10.87766	112
10787	45059	24683	2013-08-03 17:57:10.890981	2013-08-03 17:57:10.890981	112
10788	45059	11241	2013-08-03 17:57:10.898506	2013-08-03 17:57:10.898506	112
10789	45059	11261	2013-08-03 17:57:10.904982	2013-08-03 17:57:10.904982	112
10790	44882	11281	2013-08-03 17:57:10.913885	2013-08-03 17:57:10.913885	112
10791	44882	9739	2013-08-03 17:57:10.918397	2013-08-03 17:57:10.918397	112
10792	44882	5010	2013-08-03 17:57:10.923236	2013-08-03 17:57:10.923236	112
10793	43617	11456	2013-08-03 17:57:10.940736	2013-08-03 17:57:10.940736	112
10794	43617	11173	2013-08-03 17:57:10.950415	2013-08-03 17:57:10.950415	112
10795	43617	8199	2013-08-03 17:57:10.960316	2013-08-03 17:57:10.960316	112
10796	43216	2108	2013-08-03 17:57:11.020229	2013-08-03 17:57:11.020229	112
10797	43216	2080	2013-08-03 17:57:11.02448	2013-08-03 17:57:11.02448	112
10798	43216	2044	2013-08-03 17:57:11.028964	2013-08-03 17:57:11.028964	112
10799	45153	19748	2013-08-03 17:57:11.056289	2013-08-03 17:57:11.056289	112
10800	45153	8951	2013-08-03 17:57:11.063838	2013-08-03 17:57:11.063838	112
10801	45153	19788	2013-08-03 17:57:11.07122	2013-08-03 17:57:11.07122	112
10802	45153	7999	2013-08-03 17:57:11.080037	2013-08-03 17:57:11.080037	112
10803	45061	7281	2013-08-03 17:57:11.091552	2013-08-03 17:57:11.091552	112
10804	45061	8091	2013-08-03 17:57:11.100687	2013-08-03 17:57:11.100687	112
10805	45061	7279	2013-08-03 17:57:11.107934	2013-08-03 17:57:11.107934	112
10806	45061	7299	2013-08-03 17:57:11.116611	2013-08-03 17:57:11.116611	112
10807	43800	7319	2013-08-03 17:57:11.132565	2013-08-03 17:57:11.132565	112
10808	43800	7339	2013-08-03 17:57:11.13988	2013-08-03 17:57:11.13988	112
10809	43800	7359	2013-08-03 17:57:11.148821	2013-08-03 17:57:11.148821	112
10810	43800	7379	2013-08-03 17:57:11.155428	2013-08-03 17:57:11.155428	112
10811	43619	20048	2013-08-03 17:57:11.169705	2013-08-03 17:57:11.169705	112
10812	43619	17638	2013-08-03 17:57:11.177204	2013-08-03 17:57:11.177204	112
10813	43619	17658	2013-08-03 17:57:11.186338	2013-08-03 17:57:11.186338	112
10814	43619	5037	2013-08-03 17:57:11.194559	2013-08-03 17:57:11.194559	112
10815	45499	22748	2013-08-03 17:57:11.218977	2013-08-03 17:57:11.218977	112
10816	45499	22728	2013-08-03 17:57:11.222635	2013-08-03 17:57:11.222635	112
10817	45499	22708	2013-08-03 17:57:11.226555	2013-08-03 17:57:11.226555	112
10818	45060	20695	2013-08-03 17:57:11.235995	2013-08-03 17:57:11.235995	112
10819	45060	15272	2013-08-03 17:57:11.239935	2013-08-03 17:57:11.239935	112
10820	45060	4798	2013-08-03 17:57:11.244085	2013-08-03 17:57:11.244085	112
10821	43620	11101	2013-08-03 17:57:11.252956	2013-08-03 17:57:11.252956	112
10822	43620	14143	2013-08-03 17:57:11.256599	2013-08-03 17:57:11.256599	112
10823	43620	4969	2013-08-03 17:57:11.260519	2013-08-03 17:57:11.260519	112
10824	43580	21208	2013-08-03 17:57:11.268625	2013-08-03 17:57:11.268625	112
10825	43580	11672	2013-08-03 17:57:11.272649	2013-08-03 17:57:11.272649	112
10826	43580	10941	2013-08-03 17:57:11.276692	2013-08-03 17:57:11.276692	112
10827	43214	9712	2013-08-03 17:57:11.289362	2013-08-03 17:57:11.289362	112
10828	43214	14695	2013-08-03 17:57:11.298044	2013-08-03 17:57:11.298044	112
10829	43214	10878	2013-08-03 17:57:11.306987	2013-08-03 17:57:11.306987	112
10830	45064	4399	2013-08-03 17:57:11.346569	2013-08-03 17:57:11.346569	112
10831	45064	5090	2013-08-03 17:57:11.357348	2013-08-03 17:57:11.357348	112
10832	45064	5045	2013-08-03 17:57:11.367519	2013-08-03 17:57:11.367519	112
10833	45064	5085	2013-08-03 17:57:11.378527	2013-08-03 17:57:11.378527	112
10834	43674	5056	2013-08-03 17:57:11.400263	2013-08-03 17:57:11.400263	112
10835	43674	5169	2013-08-03 17:57:11.411071	2013-08-03 17:57:11.411071	112
10836	43674	5149	2013-08-03 17:57:11.422181	2013-08-03 17:57:11.422181	112
10837	43674	5129	2013-08-03 17:57:11.43079	2013-08-03 17:57:11.43079	112
10838	43621	5109	2013-08-03 17:57:11.443125	2013-08-03 17:57:11.443125	112
10839	43621	5089	2013-08-03 17:57:11.447657	2013-08-03 17:57:11.447657	112
10840	43621	5069	2013-08-03 17:57:11.452651	2013-08-03 17:57:11.452651	112
10841	43621	5049	2013-08-03 17:57:11.458169	2013-08-03 17:57:11.458169	112
10842	43228	20308	2013-08-03 17:57:11.468763	2013-08-03 17:57:11.468763	112
10843	43228	5029	2013-08-03 17:57:11.474812	2013-08-03 17:57:11.474812	112
10844	43228	2744	2013-08-03 17:57:11.480912	2013-08-03 17:57:11.480912	112
10845	43228	6765	2013-08-03 17:57:11.487289	2013-08-03 17:57:11.487289	112
10846	45236	12070	2013-08-03 17:57:11.518026	2013-08-03 17:57:11.518026	112
10847	45236	12050	2013-08-03 17:57:11.524471	2013-08-03 17:57:11.524471	112
10848	45236	12030	2013-08-03 17:57:11.531461	2013-08-03 17:57:11.531461	112
10849	45053	12010	2013-08-03 17:57:11.549291	2013-08-03 17:57:11.549291	112
10850	45053	11990	2013-08-03 17:57:11.559498	2013-08-03 17:57:11.559498	112
10851	45053	11970	2013-08-03 17:57:11.567015	2013-08-03 17:57:11.567015	112
10852	44879	11950	2013-08-03 17:57:11.584779	2013-08-03 17:57:11.584779	112
10853	44879	11915	2013-08-03 17:57:11.592536	2013-08-03 17:57:11.592536	112
10854	44879	11930	2013-08-03 17:57:11.597885	2013-08-03 17:57:11.597885	112
10855	43622	11910	2013-08-03 17:57:11.610826	2013-08-03 17:57:11.610826	112
10856	43622	11890	2013-08-03 17:57:11.616248	2013-08-03 17:57:11.616248	112
10857	43622	9393	2013-08-03 17:57:11.625111	2013-08-03 17:57:11.625111	112
10858	43229	11023	2013-08-03 17:57:11.641404	2013-08-03 17:57:11.641404	112
10859	43229	6785	2013-08-03 17:57:11.650629	2013-08-03 17:57:11.650629	112
10860	43229	18588	2013-08-03 17:57:11.657729	2013-08-03 17:57:11.657729	112
10861	45062	16092	2013-08-03 17:57:11.694906	2013-08-03 17:57:11.694906	112
10862	45062	11160	2013-08-03 17:57:11.70199	2013-08-03 17:57:11.70199	112
10863	45062	11050	2013-08-03 17:57:11.708213	2013-08-03 17:57:11.708213	112
10864	44854	11020	2013-08-03 17:57:11.72023	2013-08-03 17:57:11.72023	112
10865	44854	4909	2013-08-03 17:57:11.728189	2013-08-03 17:57:11.728189	112
10866	44854	21288	2013-08-03 17:57:11.735104	2013-08-03 17:57:11.735104	112
10867	43676	8679	2013-08-03 17:57:11.751975	2013-08-03 17:57:11.751975	112
10868	43676	10852	2013-08-03 17:57:11.760207	2013-08-03 17:57:11.760207	112
10869	43676	24143	2013-08-03 17:57:11.766431	2013-08-03 17:57:11.766431	112
10870	43623	11730	2013-08-03 17:57:11.783603	2013-08-03 17:57:11.783603	112
10871	43623	4739	2013-08-03 17:57:11.78816	2013-08-03 17:57:11.78816	112
10872	43623	10918	2013-08-03 17:57:11.794768	2013-08-03 17:57:11.794768	112
10873	43215	6825	2013-08-03 17:57:11.809799	2013-08-03 17:57:11.809799	112
10874	43215	15808	2013-08-03 17:57:11.818034	2013-08-03 17:57:11.818034	112
10875	43215	4718	2013-08-03 17:57:11.827894	2013-08-03 17:57:11.827894	112
10876	45511	11230	2013-08-03 17:57:11.862695	2013-08-03 17:57:11.862695	112
10877	45511	11041	2013-08-03 17:57:11.867717	2013-08-03 17:57:11.867717	112
10878	45511	10960	2013-08-03 17:57:11.870746	2013-08-03 17:57:11.870746	112
10879	45055	2045	2013-08-03 17:57:11.876365	2013-08-03 17:57:11.876365	112
10880	45055	10217	2013-08-03 17:57:11.878979	2013-08-03 17:57:11.878979	112
10881	45055	1601	2013-08-03 17:57:11.881947	2013-08-03 17:57:11.881947	112
10882	43624	9606	2013-08-03 17:57:11.893819	2013-08-03 17:57:11.893819	112
10883	43624	9373	2013-08-03 17:57:11.899179	2013-08-03 17:57:11.899179	112
10884	43624	4529	2013-08-03 17:57:11.905492	2013-08-03 17:57:11.905492	112
10885	43579	12757	2013-08-03 17:57:11.921081	2013-08-03 17:57:11.921081	112
10886	43579	15948	2013-08-03 17:57:11.929021	2013-08-03 17:57:11.929021	112
10887	43579	1965	2013-08-03 17:57:11.938074	2013-08-03 17:57:11.938074	112
10888	43217	8551	2013-08-03 17:57:11.956952	2013-08-03 17:57:11.956952	112
10889	43217	4738	2013-08-03 17:57:11.963289	2013-08-03 17:57:11.963289	112
10890	43217	8699	2013-08-03 17:57:11.971101	2013-08-03 17:57:11.971101	112
10891	44884	9679	2013-08-03 17:57:12.006088	2013-08-03 17:57:12.006088	112
10892	44884	9699	2013-08-03 17:57:12.011815	2013-08-03 17:57:12.011815	112
10893	44884	9719	2013-08-03 17:57:12.015533	2013-08-03 17:57:12.015533	112
10894	44884	9399	2013-08-03 17:57:12.020509	2013-08-03 17:57:12.020509	112
10895	43803	9239	2013-08-03 17:57:12.029062	2013-08-03 17:57:12.029062	112
10896	43803	4638	2013-08-03 17:57:12.032816	2013-08-03 17:57:12.032816	112
10897	43803	9591	2013-08-03 17:57:12.036355	2013-08-03 17:57:12.036355	112
10898	43803	9511	2013-08-03 17:57:12.044021	2013-08-03 17:57:12.044021	112
10899	43625	9371	2013-08-03 17:57:12.058396	2013-08-03 17:57:12.058396	112
10900	43625	9151	2013-08-03 17:57:12.064803	2013-08-03 17:57:12.064803	112
10901	43625	3998	2013-08-03 17:57:12.070536	2013-08-03 17:57:12.070536	112
10902	43625	7299	2013-08-03 17:57:12.077763	2013-08-03 17:57:12.077763	112
10903	43227	7279	2013-08-03 17:57:12.096715	2013-08-03 17:57:12.096715	112
10904	43227	8091	2013-08-03 17:57:12.102762	2013-08-03 17:57:12.102762	112
10905	43227	7281	2013-08-03 17:57:12.156458	2013-08-03 17:57:12.156458	112
10906	43227	7559	2013-08-03 17:57:12.164103	2013-08-03 17:57:12.164103	112
10907	45051	19998	2013-08-03 17:57:12.217666	2013-08-03 17:57:12.217666	112
10908	45051	19978	2013-08-03 17:57:12.228716	2013-08-03 17:57:12.228716	112
10909	45051	19958	2013-08-03 17:57:12.239554	2013-08-03 17:57:12.239554	112
10910	44872	19938	2013-08-03 17:57:12.256136	2013-08-03 17:57:12.256136	112
10911	44872	19918	2013-08-03 17:57:12.261548	2013-08-03 17:57:12.261548	112
10912	44872	19898	2013-08-03 17:57:12.266941	2013-08-03 17:57:12.266941	112
10913	43626	19878	2013-08-03 17:57:12.277503	2013-08-03 17:57:12.277503	112
10914	43626	9179	2013-08-03 17:57:12.2864	2013-08-03 17:57:12.2864	112
10915	43626	9219	2013-08-03 17:57:12.29122	2013-08-03 17:57:12.29122	112
10916	43588	9199	2013-08-03 17:57:12.300069	2013-08-03 17:57:12.300069	112
10917	43588	4600	2013-08-03 17:57:12.30388	2013-08-03 17:57:12.30388	112
10918	43588	9431	2013-08-03 17:57:12.312351	2013-08-03 17:57:12.312351	112
10919	43238	7261	2013-08-03 17:57:12.319525	2013-08-03 17:57:12.319525	112
10920	43238	4620	2013-08-03 17:57:12.322982	2013-08-03 17:57:12.322982	112
10921	43238	8279	2013-08-03 17:57:12.32631	2013-08-03 17:57:12.32631	112
10922	43218	7059	2013-08-03 17:57:12.332593	2013-08-03 17:57:12.332593	112
10923	43218	6819	2013-08-03 17:57:12.335506	2013-08-03 17:57:12.335506	112
10924	43218	6919	2013-08-03 17:57:12.338129	2013-08-03 17:57:12.338129	112
10925	44878	20238	2013-08-03 17:57:12.359339	2013-08-03 17:57:12.359339	112
10926	44157	20218	2013-08-03 17:57:12.366863	2013-08-03 17:57:12.366863	112
10927	43984	20198	2013-08-03 17:57:12.374209	2013-08-03 17:57:12.374209	112
10928	43813	20178	2013-08-03 17:57:12.381045	2013-08-03 17:57:12.381045	112
10929	43774	20158	2013-08-03 17:57:12.38836	2013-08-03 17:57:12.38836	112
10930	43734	20138	2013-08-03 17:57:12.399946	2013-08-03 17:57:12.399946	112
10931	43708	20118	2013-08-03 17:57:12.407736	2013-08-03 17:57:12.407736	112
10932	43557	20098	2013-08-03 17:57:12.419856	2013-08-03 17:57:12.419856	112
10933	43328	20078	2013-08-03 17:57:12.435073	2013-08-03 17:57:12.435073	112
10934	43274	20058	2013-08-03 17:57:12.44514	2013-08-03 17:57:12.44514	112
10935	43223	20038	2013-08-03 17:57:12.458083	2013-08-03 17:57:12.458083	112
10936	45216	8051	2013-08-03 17:57:12.477922	2013-08-03 17:57:12.477922	112
10937	45216	3886	2013-08-03 17:57:12.483031	2013-08-03 17:57:12.483031	112
10938	45216	9359	2013-08-03 17:57:12.486764	2013-08-03 17:57:12.486764	112
10939	45056	14943	2013-08-03 17:57:12.496977	2013-08-03 17:57:12.496977	112
10940	45056	7239	2013-08-03 17:57:12.506826	2013-08-03 17:57:12.506826	112
10941	45056	9171	2013-08-03 17:57:12.517031	2013-08-03 17:57:12.517031	112
10942	43801	4839	2013-08-03 17:57:12.538598	2013-08-03 17:57:12.538598	112
10943	43801	4431	2013-08-03 17:57:12.543425	2013-08-03 17:57:12.543425	112
10944	43801	7697	2013-08-03 17:57:12.546756	2013-08-03 17:57:12.546756	112
10945	43627	8779	2013-08-03 17:57:12.55269	2013-08-03 17:57:12.55269	112
10946	43627	8279	2013-08-03 17:57:12.555642	2013-08-03 17:57:12.555642	112
10947	43627	5719	2013-08-03 17:57:12.558449	2013-08-03 17:57:12.558449	112
10948	43225	7079	2013-08-03 17:57:12.565333	2013-08-03 17:57:12.565333	112
10949	43225	6839	2013-08-03 17:57:12.57034	2013-08-03 17:57:12.57034	112
10950	43225	5739	2013-08-03 17:57:12.576844	2013-08-03 17:57:12.576844	112
10951	45203	17360	2013-08-03 17:57:12.606483	2013-08-03 17:57:12.606483	112
10952	45203	17340	2013-08-03 17:57:12.614314	2013-08-03 17:57:12.614314	112
10953	45203	17320	2013-08-03 17:57:12.622204	2013-08-03 17:57:12.622204	112
10954	45067	17300	2013-08-03 17:57:12.635731	2013-08-03 17:57:12.635731	112
10955	45067	17280	2013-08-03 17:57:12.641255	2013-08-03 17:57:12.641255	112
10956	45067	17260	2013-08-03 17:57:12.647717	2013-08-03 17:57:12.647717	112
10957	43628	17240	2013-08-03 17:57:12.66814	2013-08-03 17:57:12.66814	112
10958	43628	17220	2013-08-03 17:57:12.674126	2013-08-03 17:57:12.674126	112
10959	43628	17200	2013-08-03 17:57:12.681486	2013-08-03 17:57:12.681486	112
10960	43553	17180	2013-08-03 17:57:12.699277	2013-08-03 17:57:12.699277	112
10961	43553	17160	2013-08-03 17:57:12.708347	2013-08-03 17:57:12.708347	112
10962	43553	17140	2013-08-03 17:57:12.715504	2013-08-03 17:57:12.715504	112
10963	43325	17120	2013-08-03 17:57:12.733413	2013-08-03 17:57:12.733413	112
10964	43325	17100	2013-08-03 17:57:12.743592	2013-08-03 17:57:12.743592	112
10965	43325	17015	2013-08-03 17:57:12.750547	2013-08-03 17:57:12.750547	112
10966	43234	4758	2013-08-03 17:57:12.769817	2013-08-03 17:57:12.769817	112
10967	43234	2059	2013-08-03 17:57:12.779291	2013-08-03 17:57:12.779291	112
10968	43234	11003	2013-08-03 17:57:12.787428	2013-08-03 17:57:12.787428	112
10969	47428	12081	2013-08-03 18:02:14.323511	2013-08-03 18:02:14.323511	113
10970	47428	12061	2013-08-03 18:02:14.339761	2013-08-03 18:02:14.339761	113
10971	47298	12041	2013-08-03 18:02:14.361978	2013-08-03 18:02:14.361978	113
10972	47298	12021	2013-08-03 18:02:14.373112	2013-08-03 18:02:14.373112	113
10973	47104	11936	2013-08-03 18:02:14.395934	2013-08-03 18:02:14.395934	113
10974	47104	12001	2013-08-03 18:02:14.407909	2013-08-03 18:02:14.407909	113
10975	46577	11610	2013-08-03 18:02:14.431822	2013-08-03 18:02:14.431822	113
10976	46577	11528	2013-08-03 18:02:14.442298	2013-08-03 18:02:14.442298	113
10977	45868	11981	2013-08-03 18:02:14.496079	2013-08-03 18:02:14.496079	113
10978	45868	12060	2013-08-03 18:02:14.500616	2013-08-03 18:02:14.500616	113
10979	45605	11557	2013-08-03 18:02:14.509778	2013-08-03 18:02:14.509778	113
10980	45605	11961	2013-08-03 18:02:14.514348	2013-08-03 18:02:14.514348	113
10981	45508	11941	2013-08-03 18:02:14.525598	2013-08-03 18:02:14.525598	113
10982	45508	11835	2013-08-03 18:02:14.531842	2013-08-03 18:02:14.531842	113
10983	45462	11892	2013-08-03 18:02:14.54511	2013-08-03 18:02:14.54511	113
10984	45462	11912	2013-08-03 18:02:14.552171	2013-08-03 18:02:14.552171	113
10985	45248	11932	2013-08-03 18:02:14.567118	2013-08-03 18:02:14.567118	113
10986	45248	11832	2013-08-03 18:02:14.574529	2013-08-03 18:02:14.574529	113
10987	48859	2402	2013-08-03 18:02:14.631696	2013-08-03 18:02:14.631696	113
10988	47293	2382	2013-08-03 18:02:14.653343	2013-08-03 18:02:14.653343	113
10989	46993	2359	2013-08-03 18:02:14.674272	2013-08-03 18:02:14.674272	113
10990	46872	2411	2013-08-03 18:02:14.695768	2013-08-03 18:02:14.695768	113
10991	46698	2374	2013-08-03 18:02:14.718004	2013-08-03 18:02:14.718004	113
10992	46185	2424	2013-08-03 18:02:14.740065	2013-08-03 18:02:14.740065	113
10993	45502	2362	2013-08-03 18:02:14.761672	2013-08-03 18:02:14.761672	113
10994	45449	2381	2013-08-03 18:02:14.783037	2013-08-03 18:02:14.783037	113
10995	45357	1979	2013-08-03 18:02:14.808795	2013-08-03 18:02:14.808795	113
10996	45254	7146	2013-08-03 18:02:14.819306	2013-08-03 18:02:14.819306	113
10997	48660	2419	2013-08-03 18:02:14.834967	2013-08-03 18:02:14.834967	113
10998	48660	2439	2013-08-03 18:02:14.838785	2013-08-03 18:02:14.838785	113
10999	48660	2459	2013-08-03 18:02:14.841849	2013-08-03 18:02:14.841849	113
11000	48660	2479	2013-08-03 18:02:14.845424	2013-08-03 18:02:14.845424	113
11001	48660	2499	2013-08-03 18:02:14.850593	2013-08-03 18:02:14.850593	113
11002	48660	2368	2013-08-03 18:02:14.855589	2013-08-03 18:02:14.855589	113
11003	48660	2388	2013-08-03 18:02:14.860632	2013-08-03 18:02:14.860632	113
11004	48660	2408	2013-08-03 18:02:14.866328	2013-08-03 18:02:14.866328	113
11005	48660	2428	2013-08-03 18:02:14.873929	2013-08-03 18:02:14.873929	113
11006	45292	2448	2013-08-03 18:02:14.894139	2013-08-03 18:02:14.894139	113
11007	45292	2468	2013-08-03 18:02:14.905145	2013-08-03 18:02:14.905145	113
11008	45292	2488	2013-08-03 18:02:14.915728	2013-08-03 18:02:14.915728	113
11009	45292	2508	2013-08-03 18:02:14.92612	2013-08-03 18:02:14.92612	113
11010	45292	2501	2013-08-03 18:02:14.936076	2013-08-03 18:02:14.936076	113
11011	45292	2391	2013-08-03 18:02:14.945795	2013-08-03 18:02:14.945795	113
11012	45292	2404	2013-08-03 18:02:14.953958	2013-08-03 18:02:14.953958	113
11013	45292	2509	2013-08-03 18:02:14.965089	2013-08-03 18:02:14.965089	113
11014	45292	2502	2013-08-03 18:02:14.9695	2013-08-03 18:02:14.9695	113
11015	47430	23068	2013-08-03 18:02:15.00433	2013-08-03 18:02:15.00433	113
11016	47300	21495	2013-08-03 18:02:15.017007	2013-08-03 18:02:15.017007	113
11017	46820	21435	2013-08-03 18:02:15.038561	2013-08-03 18:02:15.038561	113
11018	46322	17940	2013-08-03 18:02:15.061788	2013-08-03 18:02:15.061788	113
11019	45942	11901	2013-08-03 18:02:15.077041	2013-08-03 18:02:15.077041	113
11020	45663	16337	2013-08-03 18:02:15.084478	2013-08-03 18:02:15.084478	113
11021	45562	7531	2013-08-03 18:02:15.092772	2013-08-03 18:02:15.092772	113
11022	45503	16452	2013-08-03 18:02:15.125858	2013-08-03 18:02:15.125858	113
11023	45453	8880	2013-08-03 18:02:15.136485	2013-08-03 18:02:15.136485	113
11024	45401	11363	2013-08-03 18:02:15.146358	2013-08-03 18:02:15.146358	113
11025	45251	4184	2013-08-03 18:02:15.156059	2013-08-03 18:02:15.156059	113
11026	46280	25803	2013-08-03 18:02:15.180092	2013-08-03 18:02:15.180092	113
11027	46280	25783	2013-08-03 18:02:15.191067	2013-08-03 18:02:15.191067	113
11028	46280	25763	2013-08-03 18:02:15.201574	2013-08-03 18:02:15.201574	113
11029	46280	25743	2013-08-03 18:02:15.212014	2013-08-03 18:02:15.212014	113
11030	46280	25723	2013-08-03 18:02:15.222769	2013-08-03 18:02:15.222769	113
11031	46280	25703	2013-08-03 18:02:15.233347	2013-08-03 18:02:15.233347	113
11032	46280	25683	2013-08-03 18:02:15.243858	2013-08-03 18:02:15.243858	113
11033	46280	25663	2013-08-03 18:02:15.253998	2013-08-03 18:02:15.253998	113
11034	46280	25643	2013-08-03 18:02:15.264697	2013-08-03 18:02:15.264697	113
11035	45574	25623	2013-08-03 18:02:15.287658	2013-08-03 18:02:15.287658	113
11036	45574	25603	2013-08-03 18:02:15.298429	2013-08-03 18:02:15.298429	113
11037	45574	25583	2013-08-03 18:02:15.309021	2013-08-03 18:02:15.309021	113
11038	45574	25563	2013-08-03 18:02:15.319655	2013-08-03 18:02:15.319655	113
11039	45574	25543	2013-08-03 18:02:15.330489	2013-08-03 18:02:15.330489	113
11040	45574	25523	2013-08-03 18:02:15.341137	2013-08-03 18:02:15.341137	113
11041	45574	25503	2013-08-03 18:02:15.35152	2013-08-03 18:02:15.35152	113
11042	45574	25483	2013-08-03 18:02:15.362077	2013-08-03 18:02:15.362077	113
11043	45574	25463	2013-08-03 18:02:15.372825	2013-08-03 18:02:15.372825	113
11044	47407	13713	2013-08-03 18:02:15.436012	2013-08-03 18:02:15.436012	113
11045	47294	13733	2013-08-03 18:02:15.458356	2013-08-03 18:02:15.458356	113
11046	46874	7106	2013-08-03 18:02:15.479732	2013-08-03 18:02:15.479732	113
11047	46671	4144	2013-08-03 18:02:15.500848	2013-08-03 18:02:15.500848	113
11048	46143	22108	2013-08-03 18:02:15.521408	2013-08-03 18:02:15.521408	113
11049	45528	4244	2013-08-03 18:02:15.542833	2013-08-03 18:02:15.542833	113
11050	45505	7126	2013-08-03 18:02:15.563634	2013-08-03 18:02:15.563634	113
11051	45456	4164	2013-08-03 18:02:15.584024	2013-08-03 18:02:15.584024	113
11052	45294	4091	2013-08-03 18:02:15.606437	2013-08-03 18:02:15.606437	113
11053	45259	22088	2013-08-03 18:02:15.628833	2013-08-03 18:02:15.628833	113
11054	47292	9199	2013-08-03 18:02:15.700002	2013-08-03 18:02:15.700002	113
11055	47142	12030	2013-08-03 18:02:15.722551	2013-08-03 18:02:15.722551	113
11056	46707	12050	2013-08-03 18:02:15.74496	2013-08-03 18:02:15.74496	113
11057	45685	12070	2013-08-03 18:02:15.767052	2013-08-03 18:02:15.767052	113
11058	45565	5129	2013-08-03 18:02:15.789608	2013-08-03 18:02:15.789608	113
11059	45545	5149	2013-08-03 18:02:15.811496	2013-08-03 18:02:15.811496	113
11060	45506	5169	2013-08-03 18:02:15.834965	2013-08-03 18:02:15.834965	113
11061	45458	12061	2013-08-03 18:02:15.888315	2013-08-03 18:02:15.888315	113
11062	45295	12081	2013-08-03 18:02:15.897062	2013-08-03 18:02:15.897062	113
11063	45276	10985	2013-08-03 18:02:15.91127	2013-08-03 18:02:15.91127	113
11064	47295	7819	2013-08-03 18:02:15.976563	2013-08-03 18:02:15.976563	113
11065	47295	7799	2013-08-03 18:02:15.984524	2013-08-03 18:02:15.984524	113
11066	47034	7619	2013-08-03 18:02:15.992797	2013-08-03 18:02:15.992797	113
11067	47034	7639	2013-08-03 18:02:16.002575	2013-08-03 18:02:16.002575	113
11068	46875	7691	2013-08-03 18:02:16.018542	2013-08-03 18:02:16.018542	113
11069	46875	7671	2013-08-03 18:02:16.025724	2013-08-03 18:02:16.025724	113
11070	46137	7651	2013-08-03 18:02:16.041701	2013-08-03 18:02:16.041701	113
11071	46137	7631	2013-08-03 18:02:16.050156	2013-08-03 18:02:16.050156	113
11072	45821	7611	2013-08-03 18:02:16.068699	2013-08-03 18:02:16.068699	113
11073	45821	7591	2013-08-03 18:02:16.079157	2013-08-03 18:02:16.079157	113
11074	45666	7186	2013-08-03 18:02:16.101447	2013-08-03 18:02:16.101447	113
11075	45666	5717	2013-08-03 18:02:16.112489	2013-08-03 18:02:16.112489	113
11076	45509	5739	2013-08-03 18:02:16.133659	2013-08-03 18:02:16.133659	113
11077	45509	6839	2013-08-03 18:02:16.1438	2013-08-03 18:02:16.1438	113
11078	45465	7079	2013-08-03 18:02:16.164814	2013-08-03 18:02:16.164814	113
11079	45465	6919	2013-08-03 18:02:16.175031	2013-08-03 18:02:16.175031	113
11080	45296	6819	2013-08-03 18:02:16.196624	2013-08-03 18:02:16.196624	113
11081	45296	7059	2013-08-03 18:02:16.206991	2013-08-03 18:02:16.206991	113
11082	47418	2319	2013-08-03 18:02:16.271726	2013-08-03 18:02:16.271726	113
11083	47299	16668	2013-08-03 18:02:16.293857	2013-08-03 18:02:16.293857	113
11084	46956	2154	2013-08-03 18:02:16.314828	2013-08-03 18:02:16.314828	113
11085	46576	15948	2013-08-03 18:02:16.333932	2013-08-03 18:02:16.333932	113
11086	45767	13511	2013-08-03 18:02:16.355569	2013-08-03 18:02:16.355569	113
11087	45686	5518	2013-08-03 18:02:16.377483	2013-08-03 18:02:16.377483	113
11088	45563	7639	2013-08-03 18:02:16.399071	2013-08-03 18:02:16.399071	113
11089	45510	7619	2013-08-03 18:02:16.42011	2013-08-03 18:02:16.42011	113
11090	45468	8951	2013-08-03 18:02:16.441031	2013-08-03 18:02:16.441031	113
11091	45297	4224	2013-08-03 18:02:16.461831	2013-08-03 18:02:16.461831	113
11092	45260	5697	2013-08-03 18:02:16.483652	2013-08-03 18:02:16.483652	113
11093	47080	12538	2013-08-03 18:02:16.533467	2013-08-03 18:02:16.533467	113
11094	47080	5430	2013-08-03 18:02:16.54413	2013-08-03 18:02:16.54413	113
11095	47080	5477	2013-08-03 18:02:16.554373	2013-08-03 18:02:16.554373	113
11096	45689	5489	2013-08-03 18:02:16.607008	2013-08-03 18:02:16.607008	113
11097	45689	5469	2013-08-03 18:02:16.611775	2013-08-03 18:02:16.611775	113
11098	45689	5449	2013-08-03 18:02:16.620401	2013-08-03 18:02:16.620401	113
11099	45512	5429	2013-08-03 18:02:16.64243	2013-08-03 18:02:16.64243	113
11100	45512	5409	2013-08-03 18:02:16.652716	2013-08-03 18:02:16.652716	113
11101	45512	5389	2013-08-03 18:02:16.663125	2013-08-03 18:02:16.663125	113
11102	45469	5369	2013-08-03 18:02:16.684875	2013-08-03 18:02:16.684875	113
11103	45469	5349	2013-08-03 18:02:16.695447	2013-08-03 18:02:16.695447	113
11104	45469	16808	2013-08-03 18:02:16.705794	2013-08-03 18:02:16.705794	113
11105	45258	3886	2013-08-03 18:02:16.728793	2013-08-03 18:02:16.728793	113
11106	45258	19748	2013-08-03 18:02:16.739936	2013-08-03 18:02:16.739936	113
11107	45258	4324	2013-08-03 18:02:16.744805	2013-08-03 18:02:16.744805	113
11108	47306	10910	2013-08-03 18:02:16.79468	2013-08-03 18:02:16.79468	113
11109	47287	16708	2013-08-03 18:02:16.817013	2013-08-03 18:02:16.817013	113
11110	46871	2248	2013-08-03 18:02:16.839301	2013-08-03 18:02:16.839301	113
11111	45720	2204	2013-08-03 18:02:16.861826	2013-08-03 18:02:16.861826	113
11112	45694	6805	2013-08-03 18:02:16.877389	2013-08-03 18:02:16.877389	113
11113	45609	2068	2013-08-03 18:02:16.886466	2013-08-03 18:02:16.886466	113
11114	45513	1979	2013-08-03 18:02:16.893313	2013-08-03 18:02:16.893313	113
11115	45470	4431	2013-08-03 18:02:16.899358	2013-08-03 18:02:16.899358	113
11116	45404	5518	2013-08-03 18:02:16.90522	2013-08-03 18:02:16.90522	113
11117	45298	20488	2013-08-03 18:02:16.911104	2013-08-03 18:02:16.911104	113
11118	45243	7206	2013-08-03 18:02:16.919515	2013-08-03 18:02:16.919515	113
11119	47419	10901	2013-08-03 18:02:16.970933	2013-08-03 18:02:16.970933	113
11120	47419	13695	2013-08-03 18:02:16.981094	2013-08-03 18:02:16.981094	113
11121	47419	13603	2013-08-03 18:02:16.99085	2013-08-03 18:02:16.99085	113
11122	47383	13537	2013-08-03 18:02:17.00546	2013-08-03 18:02:17.00546	113
11123	47383	13638	2013-08-03 18:02:17.009962	2013-08-03 18:02:17.009962	113
11124	47383	10981	2013-08-03 18:02:17.015462	2013-08-03 18:02:17.015462	113
11125	47120	13093	2013-08-03 18:02:17.028406	2013-08-03 18:02:17.028406	113
11126	47120	24143	2013-08-03 18:02:17.032405	2013-08-03 18:02:17.032405	113
11127	47120	11912	2013-08-03 18:02:17.036356	2013-08-03 18:02:17.036356	113
11128	46941	11892	2013-08-03 18:02:17.045574	2013-08-03 18:02:17.045574	113
11129	46941	16808	2013-08-03 18:02:17.077964	2013-08-03 18:02:17.077964	113
11130	46941	19157	2013-08-03 18:02:17.086399	2013-08-03 18:02:17.086399	113
11131	46724	4431	2013-08-03 18:02:17.108588	2013-08-03 18:02:17.108588	113
11132	46724	8951	2013-08-03 18:02:17.119631	2013-08-03 18:02:17.119631	113
11133	46724	4110	2013-08-03 18:02:17.129961	2013-08-03 18:02:17.129961	113
11134	47603	16592	2013-08-03 18:02:17.200204	2013-08-03 18:02:17.200204	113
11135	47307	16572	2013-08-03 18:02:17.222192	2013-08-03 18:02:17.222192	113
11136	47296	16552	2013-08-03 18:02:17.244572	2013-08-03 18:02:17.244572	113
11137	46578	16560	2013-08-03 18:02:17.266895	2013-08-03 18:02:17.266895	113
11138	45766	16532	2013-08-03 18:02:17.290205	2013-08-03 18:02:17.290205	113
11139	45514	16512	2013-08-03 18:02:17.313387	2013-08-03 18:02:17.313387	113
11140	45472	16492	2013-08-03 18:02:17.336532	2013-08-03 18:02:17.336532	113
11141	45402	12270	2013-08-03 18:02:17.359672	2013-08-03 18:02:17.359672	113
11142	45299	9331	2013-08-03 18:02:17.382675	2013-08-03 18:02:17.382675	113
11143	45265	22148	2013-08-03 18:02:17.406897	2013-08-03 18:02:17.406897	113
11144	47706	2266	2013-08-03 18:02:17.509119	2013-08-03 18:02:17.509119	113
11145	47397	15628	2013-08-03 18:02:17.519998	2013-08-03 18:02:17.519998	113
11146	47290	8051	2013-08-03 18:02:17.534003	2013-08-03 18:02:17.534003	113
11147	46977	10431	2013-08-03 18:02:17.555232	2013-08-03 18:02:17.555232	113
11148	45771	9499	2013-08-03 18:02:17.575783	2013-08-03 18:02:17.575783	113
11149	45515	8659	2013-08-03 18:02:17.595121	2013-08-03 18:02:17.595121	113
11150	45474	4597	2013-08-03 18:02:17.617019	2013-08-03 18:02:17.617019	113
11151	45403	9591	2013-08-03 18:02:17.638698	2013-08-03 18:02:17.638698	113
11152	45300	22168	2013-08-03 18:02:17.660484	2013-08-03 18:02:17.660484	113
11153	45262	6511	2013-08-03 18:02:17.682234	2013-08-03 18:02:17.682234	113
11154	47756	9779	2013-08-03 18:02:17.729414	2013-08-03 18:02:17.729414	113
11155	47756	22417	2013-08-03 18:02:17.740066	2013-08-03 18:02:17.740066	113
11156	47396	16003	2013-08-03 18:02:17.761704	2013-08-03 18:02:17.761704	113
11157	47396	10771	2013-08-03 18:02:17.772108	2013-08-03 18:02:17.772108	113
11158	45789	10791	2013-08-03 18:02:17.79372	2013-08-03 18:02:17.79372	113
11159	45789	10811	2013-08-03 18:02:17.804135	2013-08-03 18:02:17.804135	113
11160	45608	10831	2013-08-03 18:02:17.825673	2013-08-03 18:02:17.825673	113
11161	45608	10851	2013-08-03 18:02:17.836119	2013-08-03 18:02:17.836119	113
11162	45516	10871	2013-08-03 18:02:17.857609	2013-08-03 18:02:17.857609	113
11163	45516	14123	2013-08-03 18:02:17.867944	2013-08-03 18:02:17.867944	113
11164	45475	4638	2013-08-03 18:02:17.892642	2013-08-03 18:02:17.892642	113
11165	45475	7697	2013-08-03 18:02:17.898467	2013-08-03 18:02:17.898467	113
11166	45301	9239	2013-08-03 18:02:17.907605	2013-08-03 18:02:17.907605	113
11167	45301	7799	2013-08-03 18:02:17.913274	2013-08-03 18:02:17.913274	113
11168	45264	7819	2013-08-03 18:02:17.926579	2013-08-03 18:02:17.926579	113
11169	45264	22188	2013-08-03 18:02:17.934545	2013-08-03 18:02:17.934545	113
11170	45547	12076	2013-08-03 18:02:17.995705	2013-08-03 18:02:17.995705	113
11171	45547	12056	2013-08-03 18:02:18.00548	2013-08-03 18:02:18.00548	113
11172	45547	12036	2013-08-03 18:02:18.016693	2013-08-03 18:02:18.016693	113
11173	45547	12016	2013-08-03 18:02:18.025473	2013-08-03 18:02:18.025473	113
11174	45547	11996	2013-08-03 18:02:18.029856	2013-08-03 18:02:18.029856	113
11175	45547	12020	2013-08-03 18:02:18.035482	2013-08-03 18:02:18.035482	113
11176	45547	11976	2013-08-03 18:02:18.03966	2013-08-03 18:02:18.03966	113
11177	45547	11956	2013-08-03 18:02:18.048259	2013-08-03 18:02:18.048259	113
11178	45547	10941	2013-08-03 18:02:18.054914	2013-08-03 18:02:18.054914	113
11179	45547	4586	2013-08-03 18:02:18.063477	2013-08-03 18:02:18.063477	113
11180	45547	16608	2013-08-03 18:02:18.074529	2013-08-03 18:02:18.074529	113
11181	45547	16688	2013-08-03 18:02:18.085779	2013-08-03 18:02:18.085779	113
11182	45547	2311	2013-08-03 18:02:18.0972	2013-08-03 18:02:18.0972	113
11183	45547	9359	2013-08-03 18:02:18.108034	2013-08-03 18:02:18.108034	113
11184	45547	10391	2013-08-03 18:02:18.119017	2013-08-03 18:02:18.119017	113
11185	45547	7319	2013-08-03 18:02:18.130365	2013-08-03 18:02:18.130365	113
11186	45547	19788	2013-08-03 18:02:18.141029	2013-08-03 18:02:18.141029	113
11187	45547	7339	2013-08-03 18:02:18.151915	2013-08-03 18:02:18.151915	113
11188	45547	3084	2013-08-03 18:02:18.162595	2013-08-03 18:02:18.162595	113
11189	47416	20498	2013-08-03 18:02:18.216434	2013-08-03 18:02:18.216434	113
11190	47416	20478	2013-08-03 18:02:18.227394	2013-08-03 18:02:18.227394	113
11191	47288	20458	2013-08-03 18:02:18.250023	2013-08-03 18:02:18.250023	113
11192	47288	20503	2013-08-03 18:02:18.261219	2013-08-03 18:02:18.261219	113
11193	46975	20438	2013-08-03 18:02:18.283937	2013-08-03 18:02:18.283937	113
11194	46975	20418	2013-08-03 18:02:18.294819	2013-08-03 18:02:18.294819	113
11195	46651	20398	2013-08-03 18:02:18.317359	2013-08-03 18:02:18.317359	113
11196	46651	2999	2013-08-03 18:02:18.328446	2013-08-03 18:02:18.328446	113
11197	45901	13951	2013-08-03 18:02:18.35149	2013-08-03 18:02:18.35149	113
11198	45901	4264	2013-08-03 18:02:18.362515	2013-08-03 18:02:18.362515	113
11199	45517	3104	2013-08-03 18:02:18.385311	2013-08-03 18:02:18.385311	113
11200	45517	4204	2013-08-03 18:02:18.396257	2013-08-03 18:02:18.396257	113
11201	45477	3124	2013-08-03 18:02:18.419632	2013-08-03 18:02:18.419632	113
11202	45477	10411	2013-08-03 18:02:18.431203	2013-08-03 18:02:18.431203	113
11203	45302	14091	2013-08-03 18:02:18.478329	2013-08-03 18:02:18.478329	113
11204	45302	11585	2013-08-03 18:02:18.483615	2013-08-03 18:02:18.483615	113
11205	45244	11441	2013-08-03 18:02:18.495453	2013-08-03 18:02:18.495453	113
11206	45244	2139	2013-08-03 18:02:18.501785	2013-08-03 18:02:18.501785	113
11207	46475	20718	2013-08-03 18:02:18.558884	2013-08-03 18:02:18.558884	113
11208	46244	20698	2013-08-03 18:02:18.58229	2013-08-03 18:02:18.58229	113
11209	45945	20678	2013-08-03 18:02:18.605211	2013-08-03 18:02:18.605211	113
11210	45869	20658	2013-08-03 18:02:18.628135	2013-08-03 18:02:18.628135	113
11211	45731	20638	2013-08-03 18:02:18.651457	2013-08-03 18:02:18.651457	113
11212	45687	20618	2013-08-03 18:02:18.664468	2013-08-03 18:02:18.664468	113
11213	45560	20598	2013-08-03 18:02:18.675132	2013-08-03 18:02:18.675132	113
11214	45476	20578	2013-08-03 18:02:18.682601	2013-08-03 18:02:18.682601	113
11215	45263	20558	2013-08-03 18:02:18.689634	2013-08-03 18:02:18.689634	113
11216	45261	20538	2013-08-03 18:02:18.697556	2013-08-03 18:02:18.697556	113
11217	47398	10043	2013-08-03 18:02:18.710621	2013-08-03 18:02:18.710621	113
11218	47398	9655	2013-08-03 18:02:18.715164	2013-08-03 18:02:18.715164	113
11219	47289	10532	2013-08-03 18:02:18.727532	2013-08-03 18:02:18.727532	113
11220	47289	10552	2013-08-03 18:02:18.732887	2013-08-03 18:02:18.732887	113
11221	46148	15568	2013-08-03 18:02:18.779364	2013-08-03 18:02:18.779364	113
11222	46148	21377	2013-08-03 18:02:18.78516	2013-08-03 18:02:18.78516	113
11223	45924	13451	2013-08-03 18:02:18.793914	2013-08-03 18:02:18.793914	113
11224	45924	14217	2013-08-03 18:02:18.797091	2013-08-03 18:02:18.797091	113
11225	45543	17277	2013-08-03 18:02:18.805653	2013-08-03 18:02:18.805653	113
11226	45543	8919	2013-08-03 18:02:18.809696	2013-08-03 18:02:18.809696	113
11227	45518	9060	2013-08-03 18:02:18.819189	2013-08-03 18:02:18.819189	113
11228	45518	13511	2013-08-03 18:02:18.824492	2013-08-03 18:02:18.824492	113
11229	45478	22417	2013-08-03 18:02:18.833992	2013-08-03 18:02:18.833992	113
11230	45478	9779	2013-08-03 18:02:18.837293	2013-08-03 18:02:18.837293	113
11231	45405	9511	2013-08-03 18:02:18.849897	2013-08-03 18:02:18.849897	113
11232	45405	7591	2013-08-03 18:02:18.857489	2013-08-03 18:02:18.857489	113
11233	45266	7611	2013-08-03 18:02:18.863978	2013-08-03 18:02:18.863978	113
11234	45266	7359	2013-08-03 18:02:18.867443	2013-08-03 18:02:18.867443	113
11235	47429	18300	2013-08-03 18:02:18.887018	2013-08-03 18:02:18.887018	113
11236	47429	18280	2013-08-03 18:02:18.893551	2013-08-03 18:02:18.893551	113
11237	47297	18260	2013-08-03 18:02:18.910628	2013-08-03 18:02:18.910628	113
11238	47297	18240	2013-08-03 18:02:18.924907	2013-08-03 18:02:18.924907	113
11239	45953	18220	2013-08-03 18:02:18.936046	2013-08-03 18:02:18.936046	113
11240	45953	18200	2013-08-03 18:02:18.941922	2013-08-03 18:02:18.941922	113
11241	45927	18180	2013-08-03 18:02:18.951611	2013-08-03 18:02:18.951611	113
11242	45927	18160	2013-08-03 18:02:18.956115	2013-08-03 18:02:18.956115	113
11243	45684	18140	2013-08-03 18:02:19.0006	2013-08-03 18:02:19.0006	113
11244	45684	18120	2013-08-03 18:02:19.005309	2013-08-03 18:02:19.005309	113
11245	45519	18100	2013-08-03 18:02:19.016169	2013-08-03 18:02:19.016169	113
11246	45519	18080	2013-08-03 18:02:19.024957	2013-08-03 18:02:19.024957	113
11247	45479	18060	2013-08-03 18:02:19.045288	2013-08-03 18:02:19.045288	113
11248	45479	7551	2013-08-03 18:02:19.056082	2013-08-03 18:02:19.056082	113
11249	45406	18040	2013-08-03 18:02:19.065361	2013-08-03 18:02:19.065361	113
11250	45406	18020	2013-08-03 18:02:19.069457	2013-08-03 18:02:19.069457	113
11251	45245	18000	2013-08-03 18:02:19.078516	2013-08-03 18:02:19.078516	113
11252	45245	17980	2013-08-03 18:02:19.082905	2013-08-03 18:02:19.082905	113
11253	49241	12581	2013-08-03 18:07:17.492222	2013-08-03 18:07:17.492222	114
11254	49241	3709	2013-08-03 18:07:17.505315	2013-08-03 18:07:17.505315	114
11255	48855	12600	2013-08-03 18:07:17.527821	2013-08-03 18:07:17.527821	114
11256	48855	11450	2013-08-03 18:07:17.53852	2013-08-03 18:07:17.53852	114
11257	48830	12561	2013-08-03 18:07:17.560748	2013-08-03 18:07:17.560748	114
11258	48830	12477	2013-08-03 18:07:17.571477	2013-08-03 18:07:17.571477	114
11259	48489	12497	2013-08-03 18:07:17.593761	2013-08-03 18:07:17.593761	114
11260	48489	12517	2013-08-03 18:07:17.604575	2013-08-03 18:07:17.604575	114
11261	47675	12541	2013-08-03 18:07:17.626479	2013-08-03 18:07:17.626479	114
11262	47675	12521	2013-08-03 18:07:17.637312	2013-08-03 18:07:17.637312	114
11263	47513	12501	2013-08-03 18:07:17.65884	2013-08-03 18:07:17.65884	114
11264	47513	12481	2013-08-03 18:07:17.66944	2013-08-03 18:07:17.66944	114
11265	47456	12461	2013-08-03 18:07:17.691455	2013-08-03 18:07:17.691455	114
11266	47456	12441	2013-08-03 18:07:17.70241	2013-08-03 18:07:17.70241	114
11267	48751	13197	2013-08-03 18:07:17.74952	2013-08-03 18:07:17.74952	114
11268	48751	11018	2013-08-03 18:07:17.760379	2013-08-03 18:07:17.760379	114
11269	48568	10998	2013-08-03 18:07:17.782573	2013-08-03 18:07:17.782573	114
11270	48568	11078	2013-08-03 18:07:17.793182	2013-08-03 18:07:17.793182	114
11271	48497	11098	2013-08-03 18:07:17.814994	2013-08-03 18:07:17.814994	114
11272	48497	13217	2013-08-03 18:07:17.822178	2013-08-03 18:07:17.822178	114
11273	47847	16548	2013-08-03 18:07:17.830994	2013-08-03 18:07:17.830994	114
11274	47847	16568	2013-08-03 18:07:17.835407	2013-08-03 18:07:17.835407	114
11275	47707	2365	2013-08-03 18:07:17.845761	2013-08-03 18:07:17.845761	114
11276	47707	2485	2013-08-03 18:07:17.850771	2013-08-03 18:07:17.850771	114
11277	47663	2446	2013-08-03 18:07:17.861071	2013-08-03 18:07:17.861071	114
11278	47663	2369	2013-08-03 18:07:17.866535	2013-08-03 18:07:17.866535	114
11279	47509	2373	2013-08-03 18:07:17.882657	2013-08-03 18:07:17.882657	114
11280	47509	2393	2013-08-03 18:07:17.889419	2013-08-03 18:07:17.889419	114
11281	47455	2413	2013-08-03 18:07:17.901851	2013-08-03 18:07:17.901851	114
11282	47455	16912	2013-08-03 18:07:17.908681	2013-08-03 18:07:17.908681	114
11283	47450	2530	2013-08-03 18:07:17.935198	2013-08-03 18:07:17.935198	114
11284	47450	2662	2013-08-03 18:07:17.944884	2013-08-03 18:07:17.944884	114
11285	47450	2642	2013-08-03 18:07:17.954398	2013-08-03 18:07:17.954398	114
11286	47450	2556	2013-08-03 18:07:17.965071	2013-08-03 18:07:17.965071	114
11287	47450	2637	2013-08-03 18:07:17.975357	2013-08-03 18:07:17.975357	114
11288	47450	2622	2013-08-03 18:07:17.98605	2013-08-03 18:07:17.98605	114
11289	47450	2616	2013-08-03 18:07:17.993139	2013-08-03 18:07:17.993139	114
11290	47450	2636	2013-08-03 18:07:18.000823	2013-08-03 18:07:18.000823	114
11291	47450	2602	2013-08-03 18:07:18.010809	2013-08-03 18:07:18.010809	114
11292	47450	2656	2013-08-03 18:07:18.021074	2013-08-03 18:07:18.021074	114
11293	47450	2576	2013-08-03 18:07:18.031397	2013-08-03 18:07:18.031397	114
11294	47450	2582	2013-08-03 18:07:18.041754	2013-08-03 18:07:18.041754	114
11295	47450	3651	2013-08-03 18:07:18.05205	2013-08-03 18:07:18.05205	114
11296	47450	2562	2013-08-03 18:07:18.06241	2013-08-03 18:07:18.06241	114
11297	47450	2541	2013-08-03 18:07:18.072637	2013-08-03 18:07:18.072637	114
11298	47450	2542	2013-08-03 18:07:18.134745	2013-08-03 18:07:18.134745	114
11299	47450	2522	2013-08-03 18:07:18.144661	2013-08-03 18:07:18.144661	114
11300	47450	2633	2013-08-03 18:07:18.155014	2013-08-03 18:07:18.155014	114
11301	47450	2653	2013-08-03 18:07:18.165312	2013-08-03 18:07:18.165312	114
11302	48498	25843	2013-08-03 18:07:18.22689	2013-08-03 18:07:18.22689	114
11303	48498	9986	2013-08-03 18:07:18.233839	2013-08-03 18:07:18.233839	114
11304	47933	18940	2013-08-03 18:07:18.24504	2013-08-03 18:07:18.24504	114
11305	47933	12543	2013-08-03 18:07:18.250465	2013-08-03 18:07:18.250465	114
11306	47849	6439	2013-08-03 18:07:18.258528	2013-08-03 18:07:18.258528	114
11307	47849	21835	2013-08-03 18:07:18.262366	2013-08-03 18:07:18.262366	114
11308	47749	12030	2013-08-03 18:07:18.271836	2013-08-03 18:07:18.271836	114
11309	47749	18660	2013-08-03 18:07:18.276435	2013-08-03 18:07:18.276435	114
11310	47667	13603	2013-08-03 18:07:18.284068	2013-08-03 18:07:18.284068	114
11311	47667	12123	2013-08-03 18:07:18.287898	2013-08-03 18:07:18.287898	114
11312	47510	9856	2013-08-03 18:07:18.302861	2013-08-03 18:07:18.302861	114
11313	47510	2453	2013-08-03 18:07:18.312903	2013-08-03 18:07:18.312903	114
11314	47452	12348	2013-08-03 18:07:18.334195	2013-08-03 18:07:18.334195	114
11315	47452	16892	2013-08-03 18:07:18.344301	2013-08-03 18:07:18.344301	114
11316	47468	26323	2013-08-03 18:07:18.38533	2013-08-03 18:07:18.38533	114
11317	47468	26303	2013-08-03 18:07:18.396355	2013-08-03 18:07:18.396355	114
11318	47468	26283	2013-08-03 18:07:18.406635	2013-08-03 18:07:18.406635	114
11319	47468	26263	2013-08-03 18:07:18.41688	2013-08-03 18:07:18.41688	114
11320	47468	26243	2013-08-03 18:07:18.427165	2013-08-03 18:07:18.427165	114
11321	47468	26223	2013-08-03 18:07:18.437487	2013-08-03 18:07:18.437487	114
11322	47468	26203	2013-08-03 18:07:18.447563	2013-08-03 18:07:18.447563	114
11323	47468	26183	2013-08-03 18:07:18.458092	2013-08-03 18:07:18.458092	114
11324	47468	26163	2013-08-03 18:07:18.468372	2013-08-03 18:07:18.468372	114
11325	47468	26143	2013-08-03 18:07:18.478566	2013-08-03 18:07:18.478566	114
11326	47468	26123	2013-08-03 18:07:18.488865	2013-08-03 18:07:18.488865	114
11327	47468	26103	2013-08-03 18:07:18.499057	2013-08-03 18:07:18.499057	114
11328	47468	26083	2013-08-03 18:07:18.509423	2013-08-03 18:07:18.509423	114
11329	47468	26063	2013-08-03 18:07:18.519645	2013-08-03 18:07:18.519645	114
11330	47468	26043	2013-08-03 18:07:18.529902	2013-08-03 18:07:18.529902	114
11331	47468	26023	2013-08-03 18:07:18.539618	2013-08-03 18:07:18.539618	114
11332	47468	26003	2013-08-03 18:07:18.549508	2013-08-03 18:07:18.549508	114
11333	47468	25983	2013-08-03 18:07:18.55922	2013-08-03 18:07:18.55922	114
11334	47468	25963	2013-08-03 18:07:18.569083	2013-08-03 18:07:18.569083	114
11335	48985	6879	2013-08-03 18:07:18.608914	2013-08-03 18:07:18.608914	114
11336	48985	6539	2013-08-03 18:07:18.618679	2013-08-03 18:07:18.618679	114
11337	48569	6519	2013-08-03 18:07:18.638533	2013-08-03 18:07:18.638533	114
11338	48569	6499	2013-08-03 18:07:18.6486	2013-08-03 18:07:18.6486	114
11339	48231	5097	2013-08-03 18:07:18.669795	2013-08-03 18:07:18.669795	114
11340	48231	7291	2013-08-03 18:07:18.680224	2013-08-03 18:07:18.680224	114
11341	48073	7751	2013-08-03 18:07:18.701691	2013-08-03 18:07:18.701691	114
11342	48073	7771	2013-08-03 18:07:18.712008	2013-08-03 18:07:18.712008	114
11343	47671	7791	2013-08-03 18:07:18.73353	2013-08-03 18:07:18.73353	114
11344	47671	7811	2013-08-03 18:07:18.743923	2013-08-03 18:07:18.743923	114
11345	47511	7831	2013-08-03 18:07:18.765428	2013-08-03 18:07:18.765428	114
11346	47511	7871	2013-08-03 18:07:18.773623	2013-08-03 18:07:18.773623	114
11347	47460	7891	2013-08-03 18:07:18.793228	2013-08-03 18:07:18.793228	114
11348	47460	14193	2013-08-03 18:07:18.80422	2013-08-03 18:07:18.80422	114
11349	47440	7759	2013-08-03 18:07:18.825021	2013-08-03 18:07:18.825021	114
11350	47440	14948	2013-08-03 18:07:18.835259	2013-08-03 18:07:18.835259	114
11351	48785	16700	2013-08-03 18:07:18.892237	2013-08-03 18:07:18.892237	114
11352	48785	16665	2013-08-03 18:07:18.903043	2013-08-03 18:07:18.903043	114
11353	48233	16645	2013-08-03 18:07:18.924965	2013-08-03 18:07:18.924965	114
11354	48233	11685	2013-08-03 18:07:18.93535	2013-08-03 18:07:18.93535	114
11355	48074	16625	2013-08-03 18:07:18.957146	2013-08-03 18:07:18.957146	114
11356	48074	16615	2013-08-03 18:07:18.967619	2013-08-03 18:07:18.967619	114
11357	47673	16605	2013-08-03 18:07:18.989053	2013-08-03 18:07:18.989053	114
11358	47673	16585	2013-08-03 18:07:18.999487	2013-08-03 18:07:18.999487	114
11359	47512	16565	2013-08-03 18:07:19.020813	2013-08-03 18:07:19.020813	114
11360	47512	12477	2013-08-03 18:07:19.031223	2013-08-03 18:07:19.031223	114
11361	47453	11078	2013-08-03 18:07:19.052342	2013-08-03 18:07:19.052342	114
11362	47453	10998	2013-08-03 18:07:19.062319	2013-08-03 18:07:19.062319	114
11363	47435	12357	2013-08-03 18:07:19.083307	2013-08-03 18:07:19.083307	114
11364	47435	16852	2013-08-03 18:07:19.093211	2013-08-03 18:07:19.093211	114
11365	48991	8379	2013-08-03 18:07:19.140007	2013-08-03 18:07:19.140007	114
11366	48991	8359	2013-08-03 18:07:19.151356	2013-08-03 18:07:19.151356	114
11367	48991	7559	2013-08-03 18:07:19.161898	2013-08-03 18:07:19.161898	114
11368	48634	7281	2013-08-03 18:07:19.183584	2013-08-03 18:07:19.183584	114
11369	48634	8091	2013-08-03 18:07:19.193978	2013-08-03 18:07:19.193978	114
11370	48634	7279	2013-08-03 18:07:19.204261	2013-08-03 18:07:19.204261	114
11371	48357	8311	2013-08-03 18:07:19.22561	2013-08-03 18:07:19.22561	114
11372	48357	5986	2013-08-03 18:07:19.236129	2013-08-03 18:07:19.236129	114
11373	48357	13375	2013-08-03 18:07:19.248805	2013-08-03 18:07:19.248805	114
11374	48269	6159	2013-08-03 18:07:19.260431	2013-08-03 18:07:19.260431	114
11375	48269	6179	2013-08-03 18:07:19.264645	2013-08-03 18:07:19.264645	114
11376	48269	6199	2013-08-03 18:07:19.269019	2013-08-03 18:07:19.269019	114
11377	48075	6219	2013-08-03 18:07:19.277403	2013-08-03 18:07:19.277403	114
11378	48075	8631	2013-08-03 18:07:19.285788	2013-08-03 18:07:19.285788	114
11379	48075	8611	2013-08-03 18:07:19.294488	2013-08-03 18:07:19.294488	114
11380	47676	7899	2013-08-03 18:07:19.314839	2013-08-03 18:07:19.314839	114
11381	47676	7879	2013-08-03 18:07:19.325172	2013-08-03 18:07:19.325172	114
11382	47676	7859	2013-08-03 18:07:19.334903	2013-08-03 18:07:19.334903	114
11383	48570	21735	2013-08-03 18:07:19.388141	2013-08-03 18:07:19.388141	114
11384	48570	23228	2013-08-03 18:07:19.398519	2013-08-03 18:07:19.398519	114
11385	48358	23208	2013-08-03 18:07:19.420261	2013-08-03 18:07:19.420261	114
11386	48358	23188	2013-08-03 18:07:19.430519	2013-08-03 18:07:19.430519	114
11387	48271	23168	2013-08-03 18:07:19.452364	2013-08-03 18:07:19.452364	114
11388	48271	23148	2013-08-03 18:07:19.462842	2013-08-03 18:07:19.462842	114
11389	48076	23128	2013-08-03 18:07:19.484763	2013-08-03 18:07:19.484763	114
11390	48076	20658	2013-08-03 18:07:19.495188	2013-08-03 18:07:19.495188	114
11391	48066	21915	2013-08-03 18:07:19.516464	2013-08-03 18:07:19.516464	114
11392	48066	16812	2013-08-03 18:07:19.526315	2013-08-03 18:07:19.526315	114
11393	47677	12490	2013-08-03 18:07:19.547204	2013-08-03 18:07:19.547204	114
11394	47677	10010	2013-08-03 18:07:19.557552	2013-08-03 18:07:19.557552	114
11395	47439	5477	2013-08-03 18:07:19.578992	2013-08-03 18:07:19.578992	114
11396	47439	2311	2013-08-03 18:07:19.589137	2013-08-03 18:07:19.589137	114
11397	47431	2068	2013-08-03 18:07:19.610176	2013-08-03 18:07:19.610176	114
11398	47431	12361	2013-08-03 18:07:19.620579	2013-08-03 18:07:19.620579	114
11399	49548	5729	2013-08-03 18:07:19.667253	2013-08-03 18:07:19.667253	114
11400	49548	5709	2013-08-03 18:07:19.678453	2013-08-03 18:07:19.678453	114
11401	49548	5689	2013-08-03 18:07:19.688934	2013-08-03 18:07:19.688934	114
11402	49548	5669	2013-08-03 18:07:19.749748	2013-08-03 18:07:19.749748	114
11403	49234	5570	2013-08-03 18:07:19.759853	2013-08-03 18:07:19.759853	114
11404	49234	5649	2013-08-03 18:07:19.764535	2013-08-03 18:07:19.764535	114
11405	49234	5629	2013-08-03 18:07:19.770039	2013-08-03 18:07:19.770039	114
11406	49234	5609	2013-08-03 18:07:19.775411	2013-08-03 18:07:19.775411	114
11407	47678	5589	2013-08-03 18:07:19.788088	2013-08-03 18:07:19.788088	114
11408	47678	5569	2013-08-03 18:07:19.796561	2013-08-03 18:07:19.796561	114
11409	47678	5549	2013-08-03 18:07:19.807407	2013-08-03 18:07:19.807407	114
11410	47678	5430	2013-08-03 18:07:19.8181	2013-08-03 18:07:19.8181	114
11411	47446	16688	2013-08-03 18:07:19.838794	2013-08-03 18:07:19.838794	114
11412	47446	12757	2013-08-03 18:07:19.848978	2013-08-03 18:07:19.848978	114
11413	47446	12341	2013-08-03 18:07:19.859705	2013-08-03 18:07:19.859705	114
11414	47446	5998	2013-08-03 18:07:19.86998	2013-08-03 18:07:19.86998	114
11415	49419	12710	2013-08-03 18:07:19.912916	2013-08-03 18:07:19.912916	114
11416	49419	12690	2013-08-03 18:07:19.923388	2013-08-03 18:07:19.923388	114
11417	48980	12670	2013-08-03 18:07:19.946463	2013-08-03 18:07:19.946463	114
11418	48980	12650	2013-08-03 18:07:19.957519	2013-08-03 18:07:19.957519	114
11419	48730	12630	2013-08-03 18:07:19.979148	2013-08-03 18:07:19.979148	114
11420	48730	19638	2013-08-03 18:07:19.989576	2013-08-03 18:07:19.989576	114
11421	48424	12610	2013-08-03 18:07:20.011867	2013-08-03 18:07:20.011867	114
11422	48424	9906	2013-08-03 18:07:20.022138	2013-08-03 18:07:20.022138	114
11423	48272	5609	2013-08-03 18:07:20.042739	2013-08-03 18:07:20.042739	114
11424	48272	5629	2013-08-03 18:07:20.052452	2013-08-03 18:07:20.052452	114
11425	48077	5649	2013-08-03 18:07:20.073498	2013-08-03 18:07:20.073498	114
11426	48077	5570	2013-08-03 18:07:20.084008	2013-08-03 18:07:20.084008	114
11427	47680	12538	2013-08-03 18:07:20.106555	2013-08-03 18:07:20.106555	114
11428	47680	2485	2013-08-03 18:07:20.116858	2013-08-03 18:07:20.116858	114
11429	47649	2365	2013-08-03 18:07:20.138598	2013-08-03 18:07:20.138598	114
11430	47649	16608	2013-08-03 18:07:20.146871	2013-08-03 18:07:20.146871	114
11431	47458	12321	2013-08-03 18:07:20.153624	2013-08-03 18:07:20.153624	114
11432	47458	6018	2013-08-03 18:07:20.156726	2013-08-03 18:07:20.156726	114
11433	48729	17112	2013-08-03 18:07:20.177084	2013-08-03 18:07:20.177084	114
11434	48729	17092	2013-08-03 18:07:20.182297	2013-08-03 18:07:20.182297	114
11435	48487	17072	2013-08-03 18:07:20.196224	2013-08-03 18:07:20.196224	114
11436	48487	17052	2013-08-03 18:07:20.206772	2013-08-03 18:07:20.206772	114
11437	48449	17058	2013-08-03 18:07:20.228289	2013-08-03 18:07:20.228289	114
11438	48449	17032	2013-08-03 18:07:20.238603	2013-08-03 18:07:20.238603	114
11439	48273	17078	2013-08-03 18:07:20.259319	2013-08-03 18:07:20.259319	114
11440	48273	17012	2013-08-03 18:07:20.265692	2013-08-03 18:07:20.265692	114
11441	48079	16992	2013-08-03 18:07:20.277498	2013-08-03 18:07:20.277498	114
11442	48079	16972	2013-08-03 18:07:20.282759	2013-08-03 18:07:20.282759	114
11443	47683	16897	2013-08-03 18:07:20.291871	2013-08-03 18:07:20.291871	114
11444	47683	16952	2013-08-03 18:07:20.295766	2013-08-03 18:07:20.295766	114
11445	47443	16932	2013-08-03 18:07:20.306193	2013-08-03 18:07:20.306193	114
11446	47443	16372	2013-08-03 18:07:20.311938	2013-08-03 18:07:20.311938	114
11447	47432	12383	2013-08-03 18:07:20.31921	2013-08-03 18:07:20.31921	114
11448	47432	811	2013-08-03 18:07:20.325242	2013-08-03 18:07:20.325242	114
11449	49547	15157	2013-08-03 18:07:20.355765	2013-08-03 18:07:20.355765	114
11450	49547	15153	2013-08-03 18:07:20.366085	2013-08-03 18:07:20.366085	114
11451	48979	4905	2013-08-03 18:07:20.387446	2013-08-03 18:07:20.387446	114
11452	48979	4889	2013-08-03 18:07:20.398201	2013-08-03 18:07:20.398201	114
11453	48633	8920	2013-08-03 18:07:20.41954	2013-08-03 18:07:20.41954	114
11454	48633	8819	2013-08-03 18:07:20.430097	2013-08-03 18:07:20.430097	114
11455	48450	12557	2013-08-03 18:07:20.451613	2013-08-03 18:07:20.451613	114
11456	48450	12392	2013-08-03 18:07:20.46202	2013-08-03 18:07:20.46202	114
11457	48275	12281	2013-08-03 18:07:20.482985	2013-08-03 18:07:20.482985	114
11458	48275	12310	2013-08-03 18:07:20.49296	2013-08-03 18:07:20.49296	114
11459	48082	12121	2013-08-03 18:07:20.514344	2013-08-03 18:07:20.514344	114
11460	48082	12170	2013-08-03 18:07:20.523998	2013-08-03 18:07:20.523998	114
11461	47686	12037	2013-08-03 18:07:20.545812	2013-08-03 18:07:20.545812	114
11462	47686	9886	2013-08-03 18:07:20.556026	2013-08-03 18:07:20.556026	114
11463	47442	2319	2013-08-03 18:07:20.577005	2013-08-03 18:07:20.577005	114
11464	47442	9359	2013-08-03 18:07:20.586724	2013-08-03 18:07:20.586724	114
11465	47434	852	2013-08-03 18:07:20.607873	2013-08-03 18:07:20.607873	114
11466	47434	10831	2013-08-03 18:07:20.617833	2013-08-03 18:07:20.617833	114
11467	48983	6500	2013-08-03 18:07:20.649838	2013-08-03 18:07:20.649838	114
11468	48983	6520	2013-08-03 18:07:20.653391	2013-08-03 18:07:20.653391	114
11469	48632	10235	2013-08-03 18:07:20.660288	2013-08-03 18:07:20.660288	114
11470	48632	19477	2013-08-03 18:07:20.663966	2013-08-03 18:07:20.663966	114
11471	48451	11031	2013-08-03 18:07:20.679491	2013-08-03 18:07:20.679491	114
11472	48451	11051	2013-08-03 18:07:20.689741	2013-08-03 18:07:20.689741	114
11473	48276	11071	2013-08-03 18:07:20.710972	2013-08-03 18:07:20.710972	114
11474	48276	11091	2013-08-03 18:07:20.721248	2013-08-03 18:07:20.721248	114
11475	48084	11111	2013-08-03 18:07:20.741433	2013-08-03 18:07:20.741433	114
11476	48084	11131	2013-08-03 18:07:20.751829	2013-08-03 18:07:20.751829	114
11477	47689	6080	2013-08-03 18:07:20.773631	2013-08-03 18:07:20.773631	114
11478	47689	6100	2013-08-03 18:07:20.78484	2013-08-03 18:07:20.78484	114
11479	47441	6120	2013-08-03 18:07:20.80716	2013-08-03 18:07:20.80716	114
11480	47441	6140	2013-08-03 18:07:20.817772	2013-08-03 18:07:20.817772	114
11481	47433	12236	2013-08-03 18:07:20.860929	2013-08-03 18:07:20.860929	114
11482	47433	12216	2013-08-03 18:07:20.871567	2013-08-03 18:07:20.871567	114
11483	47433	12196	2013-08-03 18:07:20.881903	2013-08-03 18:07:20.881903	114
11484	47433	12176	2013-08-03 18:07:20.892192	2013-08-03 18:07:20.892192	114
11485	47433	12156	2013-08-03 18:07:20.903172	2013-08-03 18:07:20.903172	114
11486	47433	12136	2013-08-03 18:07:20.913898	2013-08-03 18:07:20.913898	114
11487	47433	12116	2013-08-03 18:07:20.92409	2013-08-03 18:07:20.92409	114
11488	47433	12120	2013-08-03 18:07:20.934332	2013-08-03 18:07:20.934332	114
11489	47433	12096	2013-08-03 18:07:20.944621	2013-08-03 18:07:20.944621	114
11490	47433	9826	2013-08-03 18:07:20.95494	2013-08-03 18:07:20.95494	114
11491	47433	2248	2013-08-03 18:07:20.964824	2013-08-03 18:07:20.964824	114
11492	47433	15948	2013-08-03 18:07:20.974696	2013-08-03 18:07:20.974696	114
11493	47433	10043	2013-08-03 18:07:20.984677	2013-08-03 18:07:20.984677	114
11494	47433	14217	2013-08-03 18:07:20.994528	2013-08-03 18:07:20.994528	114
11495	47433	12430	2013-08-03 18:07:21.004443	2013-08-03 18:07:21.004443	114
11496	47433	848	2013-08-03 18:07:21.014428	2013-08-03 18:07:21.014428	114
11497	47433	9591	2013-08-03 18:07:21.0242	2013-08-03 18:07:21.0242	114
11498	47433	9399	2013-08-03 18:07:21.034087	2013-08-03 18:07:21.034087	114
11499	47433	9511	2013-08-03 18:07:21.044029	2013-08-03 18:07:21.044029	114
11500	49546	20998	2013-08-03 18:07:21.095062	2013-08-03 18:07:21.095062	114
11501	49546	20978	2013-08-03 18:07:21.105707	2013-08-03 18:07:21.105707	114
11502	48829	20958	2013-08-03 18:07:21.127511	2013-08-03 18:07:21.127511	114
11503	48829	20938	2013-08-03 18:07:21.137984	2013-08-03 18:07:21.137984	114
11504	48546	20918	2013-08-03 18:07:21.159289	2013-08-03 18:07:21.159289	114
11505	48546	18340	2013-08-03 18:07:21.225721	2013-08-03 18:07:21.225721	114
11506	48496	2497	2013-08-03 18:07:21.235662	2013-08-03 18:07:21.235662	114
11507	48496	2154	2013-08-03 18:07:21.239545	2013-08-03 18:07:21.239545	114
11508	48278	9479	2013-08-03 18:07:21.249736	2013-08-03 18:07:21.249736	114
11509	48278	10431	2013-08-03 18:07:21.25491	2013-08-03 18:07:21.25491	114
11510	47932	20488	2013-08-03 18:07:21.266412	2013-08-03 18:07:21.266412	114
11511	47932	10851	2013-08-03 18:07:21.272528	2013-08-03 18:07:21.272528	114
11512	47698	9499	2013-08-03 18:07:21.288695	2013-08-03 18:07:21.288695	114
11513	47698	9451	2013-08-03 18:07:21.293762	2013-08-03 18:07:21.293762	114
11514	47592	7691	2013-08-03 18:07:21.305647	2013-08-03 18:07:21.305647	114
11515	47592	7591	2013-08-03 18:07:21.309388	2013-08-03 18:07:21.309388	114
11516	47457	7639	2013-08-03 18:07:21.321108	2013-08-03 18:07:21.321108	114
11517	47457	7799	2013-08-03 18:07:21.32869	2013-08-03 18:07:21.32869	114
11518	48987	21198	2013-08-03 18:07:21.396069	2013-08-03 18:07:21.396069	114
11519	48130	21097	2013-08-03 18:07:21.406086	2013-08-03 18:07:21.406086	114
11520	48114	21178	2013-08-03 18:07:21.414807	2013-08-03 18:07:21.414807	114
11521	48109	21158	2013-08-03 18:07:21.423139	2013-08-03 18:07:21.423139	114
11522	47938	21138	2013-08-03 18:07:21.431889	2013-08-03 18:07:21.431889	114
11523	47931	21118	2013-08-03 18:07:21.439806	2013-08-03 18:07:21.439806	114
11524	47712	21098	2013-08-03 18:07:21.448658	2013-08-03 18:07:21.448658	114
11525	47692	21078	2013-08-03 18:07:21.457244	2013-08-03 18:07:21.457244	114
11526	47444	21058	2013-08-03 18:07:21.465256	2013-08-03 18:07:21.465256	114
11527	47436	21038	2013-08-03 18:07:21.473748	2013-08-03 18:07:21.473748	114
11528	49549	14213	2013-08-03 18:07:21.48971	2013-08-03 18:07:21.48971	114
11529	49549	18778	2013-08-03 18:07:21.493212	2013-08-03 18:07:21.493212	114
11530	49163	18638	2013-08-03 18:07:21.500569	2013-08-03 18:07:21.500569	114
11531	49163	14728	2013-08-03 18:07:21.503708	2013-08-03 18:07:21.503708	114
11532	48731	18758	2013-08-03 18:07:21.512201	2013-08-03 18:07:21.512201	114
11533	48731	18598	2013-08-03 18:07:21.516183	2013-08-03 18:07:21.516183	114
11534	48547	18618	2013-08-03 18:07:21.525366	2013-08-03 18:07:21.525366	114
11535	48547	9279	2013-08-03 18:07:21.531106	2013-08-03 18:07:21.531106	114
11536	48279	14768	2013-08-03 18:07:21.541166	2013-08-03 18:07:21.541166	114
11537	48279	9786	2013-08-03 18:07:21.54628	2013-08-03 18:07:21.54628	114
11538	47799	818	2013-08-03 18:07:21.554234	2013-08-03 18:07:21.554234	114
11539	47799	5518	2013-08-03 18:07:21.557496	2013-08-03 18:07:21.557496	114
11540	47701	16003	2013-08-03 18:07:21.566673	2013-08-03 18:07:21.566673	114
11541	47701	10811	2013-08-03 18:07:21.571457	2013-08-03 18:07:21.571457	114
11542	47593	9331	2013-08-03 18:07:21.583796	2013-08-03 18:07:21.583796	114
11543	47593	7319	2013-08-03 18:07:21.58852	2013-08-03 18:07:21.58852	114
11544	47445	19788	2013-08-03 18:07:21.600404	2013-08-03 18:07:21.600404	114
11545	47445	7651	2013-08-03 18:07:21.608794	2013-08-03 18:07:21.608794	114
11546	49550	19240	2013-08-03 18:07:21.634534	2013-08-03 18:07:21.634534	114
11547	49550	19220	2013-08-03 18:07:21.639021	2013-08-03 18:07:21.639021	114
11548	48831	19200	2013-08-03 18:07:21.646087	2013-08-03 18:07:21.646087	114
11549	48831	19180	2013-08-03 18:07:21.649866	2013-08-03 18:07:21.649866	114
11550	48745	19160	2013-08-03 18:07:21.656877	2013-08-03 18:07:21.656877	114
11551	48745	19140	2013-08-03 18:07:21.66061	2013-08-03 18:07:21.66061	114
11552	48559	19120	2013-08-03 18:07:21.669421	2013-08-03 18:07:21.669421	114
11553	48559	19100	2013-08-03 18:07:21.675493	2013-08-03 18:07:21.675493	114
11554	48281	19080	2013-08-03 18:07:21.687894	2013-08-03 18:07:21.687894	114
11555	48281	19060	2013-08-03 18:07:21.695166	2013-08-03 18:07:21.695166	114
11556	47704	19040	2013-08-03 18:07:21.714155	2013-08-03 18:07:21.714155	114
11557	47704	19020	2013-08-03 18:07:21.724293	2013-08-03 18:07:21.724293	114
11558	47595	19000	2013-08-03 18:07:21.745386	2013-08-03 18:07:21.745386	114
11559	47595	9816	2013-08-03 18:07:21.756407	2013-08-03 18:07:21.756407	114
11560	47589	2433	2013-08-03 18:07:21.777847	2013-08-03 18:07:21.777847	114
11561	47589	17277	2013-08-03 18:07:21.78762	2013-08-03 18:07:21.78762	114
11562	47454	10391	2013-08-03 18:07:21.808703	2013-08-03 18:07:21.808703	114
11563	47454	5478	2013-08-03 18:07:21.818437	2013-08-03 18:07:21.818437	114
11564	51430	13432	2013-08-03 18:12:23.8514	2013-08-03 18:12:23.8514	115
11565	51430	13361	2013-08-03 18:12:23.867742	2013-08-03 18:12:23.867742	115
11566	51041	13400	2013-08-03 18:12:23.892594	2013-08-03 18:12:23.892594	115
11567	51041	13203	2013-08-03 18:12:23.905175	2013-08-03 18:12:23.905175	115
11568	50128	13341	2013-08-03 18:12:23.930445	2013-08-03 18:12:23.930445	115
11569	50128	13321	2013-08-03 18:12:23.94314	2013-08-03 18:12:23.94314	115
11570	50064	13301	2013-08-03 18:12:23.96601	2013-08-03 18:12:23.96601	115
11571	50064	13281	2013-08-03 18:12:23.977433	2013-08-03 18:12:23.977433	115
11572	49945	13261	2013-08-03 18:12:24.00194	2013-08-03 18:12:24.00194	115
11573	49945	13241	2013-08-03 18:12:24.013422	2013-08-03 18:12:24.013422	115
11574	49736	13293	2013-08-03 18:12:24.0361	2013-08-03 18:12:24.0361	115
11575	49736	13221	2013-08-03 18:12:24.041225	2013-08-03 18:12:24.041225	115
11576	49719	13335	2013-08-03 18:12:24.051186	2013-08-03 18:12:24.051186	115
11577	49719	13295	2013-08-03 18:12:24.05692	2013-08-03 18:12:24.05692	115
11578	49668	13201	2013-08-03 18:12:24.073943	2013-08-03 18:12:24.073943	115
11579	49668	13103	2013-08-03 18:12:24.085282	2013-08-03 18:12:24.085282	115
11580	49555	13137	2013-08-03 18:12:24.10975	2013-08-03 18:12:24.10975	115
11581	49555	13157	2013-08-03 18:12:24.121766	2013-08-03 18:12:24.121766	115
11582	49749	2604	2013-08-03 18:12:24.167363	2013-08-03 18:12:24.167363	115
11583	49749	2657	2013-08-03 18:12:24.180253	2013-08-03 18:12:24.180253	115
11584	49749	2433	2013-08-03 18:12:24.191367	2013-08-03 18:12:24.191367	115
11585	49749	2248	2013-08-03 18:12:24.201107	2013-08-03 18:12:24.201107	115
11586	49749	2068	2013-08-03 18:12:24.211797	2013-08-03 18:12:24.211797	115
11587	49749	15948	2013-08-03 18:12:24.222314	2013-08-03 18:12:24.222314	115
11588	49749	10043	2013-08-03 18:12:24.23432	2013-08-03 18:12:24.23432	115
11589	49749	17277	2013-08-03 18:12:24.245902	2013-08-03 18:12:24.245902	115
11590	49749	14217	2013-08-03 18:12:24.257546	2013-08-03 18:12:24.257546	115
11591	49562	852	2013-08-03 18:12:24.280437	2013-08-03 18:12:24.280437	115
11592	49562	811	2013-08-03 18:12:24.290859	2013-08-03 18:12:24.290859	115
11593	49562	5518	2013-08-03 18:12:24.302081	2013-08-03 18:12:24.302081	115
11594	49562	10851	2013-08-03 18:12:24.314996	2013-08-03 18:12:24.314996	115
11595	49562	20488	2013-08-03 18:12:24.32648	2013-08-03 18:12:24.32648	115
11596	49562	10831	2013-08-03 18:12:24.337737	2013-08-03 18:12:24.337737	115
11597	49562	9511	2013-08-03 18:12:24.348626	2013-08-03 18:12:24.348626	115
11598	49562	9399	2013-08-03 18:12:24.360068	2013-08-03 18:12:24.360068	115
11599	49562	9591	2013-08-03 18:12:24.370685	2013-08-03 18:12:24.370685	115
11600	51427	27503	2013-08-03 18:12:24.40629	2013-08-03 18:12:24.40629	115
11601	51039	27483	2013-08-03 18:12:24.413888	2013-08-03 18:12:24.413888	115
11602	50332	27463	2013-08-03 18:12:24.420267	2013-08-03 18:12:24.420267	115
11603	50160	27443	2013-08-03 18:12:24.435056	2013-08-03 18:12:24.435056	115
11604	50101	27423	2013-08-03 18:12:24.454345	2013-08-03 18:12:24.454345	115
11605	50060	27403	2013-08-03 18:12:24.478572	2013-08-03 18:12:24.478572	115
11606	50018	27383	2013-08-03 18:12:24.501714	2013-08-03 18:12:24.501714	115
11607	49938	27363	2013-08-03 18:12:24.513369	2013-08-03 18:12:24.513369	115
11608	49874	27343	2013-08-03 18:12:24.520817	2013-08-03 18:12:24.520817	115
11609	49755	27323	2013-08-03 18:12:24.533149	2013-08-03 18:12:24.533149	115
11610	50098	28043	2013-08-03 18:12:24.576488	2013-08-03 18:12:24.576488	115
11611	50098	28023	2013-08-03 18:12:24.588082	2013-08-03 18:12:24.588082	115
11612	50098	28003	2013-08-03 18:12:24.598952	2013-08-03 18:12:24.598952	115
11613	50098	27983	2013-08-03 18:12:24.609908	2013-08-03 18:12:24.609908	115
11614	50098	27963	2013-08-03 18:12:24.62067	2013-08-03 18:12:24.62067	115
11615	50098	27943	2013-08-03 18:12:24.630848	2013-08-03 18:12:24.630848	115
11616	50098	27923	2013-08-03 18:12:24.641309	2013-08-03 18:12:24.641309	115
11617	50098	27903	2013-08-03 18:12:24.651495	2013-08-03 18:12:24.651495	115
11618	50098	27883	2013-08-03 18:12:24.662118	2013-08-03 18:12:24.662118	115
11619	49781	27863	2013-08-03 18:12:24.68381	2013-08-03 18:12:24.68381	115
11620	49781	27843	2013-08-03 18:12:24.694712	2013-08-03 18:12:24.694712	115
11621	49781	27823	2013-08-03 18:12:24.70517	2013-08-03 18:12:24.70517	115
11622	49781	27803	2013-08-03 18:12:24.715482	2013-08-03 18:12:24.715482	115
11623	49781	27783	2013-08-03 18:12:24.725882	2013-08-03 18:12:24.725882	115
11624	49781	27763	2013-08-03 18:12:24.735912	2013-08-03 18:12:24.735912	115
11625	49781	27743	2013-08-03 18:12:24.745838	2013-08-03 18:12:24.745838	115
11626	49781	27723	2013-08-03 18:12:24.758432	2013-08-03 18:12:24.758432	115
11627	49781	27703	2013-08-03 18:12:24.770444	2013-08-03 18:12:24.770444	115
11628	50100	20088	2013-08-03 18:12:24.79248	2013-08-03 18:12:24.79248	115
11629	50100	3935	2013-08-03 18:12:24.796356	2013-08-03 18:12:24.796356	115
11630	50061	4118	2013-08-03 18:12:24.802596	2013-08-03 18:12:24.802596	115
11631	50061	4098	2013-08-03 18:12:24.804947	2013-08-03 18:12:24.804947	115
11632	50057	4078	2013-08-03 18:12:24.810417	2013-08-03 18:12:24.810417	115
11633	50057	4058	2013-08-03 18:12:24.817526	2013-08-03 18:12:24.817526	115
11634	50022	22217	2013-08-03 18:12:24.83533	2013-08-03 18:12:24.83533	115
11635	50022	22237	2013-08-03 18:12:24.845704	2013-08-03 18:12:24.845704	115
11636	49731	22257	2013-08-03 18:12:24.867204	2013-08-03 18:12:24.867204	115
11637	49731	22277	2013-08-03 18:12:24.878115	2013-08-03 18:12:24.878115	115
11638	49595	22297	2013-08-03 18:12:24.900625	2013-08-03 18:12:24.900625	115
11639	49595	22317	2013-08-03 18:12:24.912392	2013-08-03 18:12:24.912392	115
11640	49563	22337	2013-08-03 18:12:24.934355	2013-08-03 18:12:24.934355	115
11641	49563	4038	2013-08-03 18:12:24.945244	2013-08-03 18:12:24.945244	115
11642	51425	17125	2013-08-03 18:12:24.992809	2013-08-03 18:12:24.992809	115
11643	51425	17092	2013-08-03 18:12:25.004385	2013-08-03 18:12:25.004385	115
11644	51040	17112	2013-08-03 18:12:25.02642	2013-08-03 18:12:25.02642	115
11645	51040	17037	2013-08-03 18:12:25.036607	2013-08-03 18:12:25.036607	115
11646	50762	17105	2013-08-03 18:12:25.0506	2013-08-03 18:12:25.0506	115
11647	50762	17085	2013-08-03 18:12:25.055265	2013-08-03 18:12:25.055265	115
11648	50530	17065	2013-08-03 18:12:25.069394	2013-08-03 18:12:25.069394	115
11649	50530	17045	2013-08-03 18:12:25.075097	2013-08-03 18:12:25.075097	115
11650	50099	17025	2013-08-03 18:12:25.083408	2013-08-03 18:12:25.083408	115
11651	50099	17005	2013-08-03 18:12:25.089905	2013-08-03 18:12:25.089905	115
11652	50062	16985	2013-08-03 18:12:25.110647	2013-08-03 18:12:25.110647	115
11653	50062	16983	2013-08-03 18:12:25.121818	2013-08-03 18:12:25.121818	115
11654	50058	16965	2013-08-03 18:12:25.144152	2013-08-03 18:12:25.144152	115
11655	50058	11576	2013-08-03 18:12:25.155049	2013-08-03 18:12:25.155049	115
11656	49734	16945	2013-08-03 18:12:25.233553	2013-08-03 18:12:25.233553	115
11657	49734	12356	2013-08-03 18:12:25.244901	2013-08-03 18:12:25.244901	115
11658	49552	10220	2013-08-03 18:12:25.26638	2013-08-03 18:12:25.26638	115
11659	49552	1047	2013-08-03 18:12:25.276392	2013-08-03 18:12:25.276392	115
11660	51043	8639	2013-08-03 18:12:25.334538	2013-08-03 18:12:25.334538	115
11661	51043	7611	2013-08-03 18:12:25.345719	2013-08-03 18:12:25.345719	115
11662	50173	7819	2013-08-03 18:12:25.36786	2013-08-03 18:12:25.36786	115
11663	50173	8951	2013-08-03 18:12:25.3786	2013-08-03 18:12:25.3786	115
11664	50102	19748	2013-08-03 18:12:25.400839	2013-08-03 18:12:25.400839	115
11665	50102	7311	2013-08-03 18:12:25.4118	2013-08-03 18:12:25.4118	115
11666	50065	5839	2013-08-03 18:12:25.43218	2013-08-03 18:12:25.43218	115
11667	50065	8579	2013-08-03 18:12:25.443139	2013-08-03 18:12:25.443139	115
11668	50059	8559	2013-08-03 18:12:25.465192	2013-08-03 18:12:25.465192	115
11669	50059	8511	2013-08-03 18:12:25.476243	2013-08-03 18:12:25.476243	115
11670	49943	7379	2013-08-03 18:12:25.498473	2013-08-03 18:12:25.498473	115
11671	49943	8459	2013-08-03 18:12:25.510165	2013-08-03 18:12:25.510165	115
11672	49737	8439	2013-08-03 18:12:25.532718	2013-08-03 18:12:25.532718	115
11673	49737	8419	2013-08-03 18:12:25.543222	2013-08-03 18:12:25.543222	115
11674	50503	9071	2013-08-03 18:12:25.576072	2013-08-03 18:12:25.576072	115
11675	50503	7420	2013-08-03 18:12:25.584304	2013-08-03 18:12:25.584304	115
11676	50503	8699	2013-08-03 18:12:25.588995	2013-08-03 18:12:25.588995	115
11677	50503	4738	2013-08-03 18:12:25.5966	2013-08-03 18:12:25.5966	115
11678	50503	4718	2013-08-03 18:12:25.59956	2013-08-03 18:12:25.59956	115
11679	50503	6046	2013-08-03 18:12:25.602507	2013-08-03 18:12:25.602507	115
11680	50503	9311	2013-08-03 18:12:25.605433	2013-08-03 18:12:25.605433	115
11681	50503	4818	2013-08-03 18:12:25.611979	2013-08-03 18:12:25.611979	115
11682	50503	4838	2013-08-03 18:12:25.62054	2013-08-03 18:12:25.62054	115
11683	50503	4858	2013-08-03 18:12:25.625709	2013-08-03 18:12:25.625709	115
11684	50503	9631	2013-08-03 18:12:25.628537	2013-08-03 18:12:25.628537	115
11685	50503	9651	2013-08-03 18:12:25.631139	2013-08-03 18:12:25.631139	115
11686	50503	9671	2013-08-03 18:12:25.633839	2013-08-03 18:12:25.633839	115
11687	50503	9691	2013-08-03 18:12:25.636543	2013-08-03 18:12:25.636543	115
11688	50503	9711	2013-08-03 18:12:25.64166	2013-08-03 18:12:25.64166	115
11689	50503	9731	2013-08-03 18:12:25.646563	2013-08-03 18:12:25.646563	115
11690	50503	6076	2013-08-03 18:12:25.652957	2013-08-03 18:12:25.652957	115
11691	50503	9471	2013-08-03 18:12:25.659983	2013-08-03 18:12:25.659983	115
11692	50503	4255	2013-08-03 18:12:25.667908	2013-08-03 18:12:25.667908	115
11693	50196	5989	2013-08-03 18:12:25.722329	2013-08-03 18:12:25.722329	115
11694	50196	5969	2013-08-03 18:12:25.733909	2013-08-03 18:12:25.733909	115
11695	50196	5949	2013-08-03 18:12:25.74474	2013-08-03 18:12:25.74474	115
11696	50067	5929	2013-08-03 18:12:25.76807	2013-08-03 18:12:25.76807	115
11697	50067	5909	2013-08-03 18:12:25.77995	2013-08-03 18:12:25.77995	115
11698	50067	5889	2013-08-03 18:12:25.791336	2013-08-03 18:12:25.791336	115
11699	49810	5869	2013-08-03 18:12:25.815851	2013-08-03 18:12:25.815851	115
11700	49810	5849	2013-08-03 18:12:25.820121	2013-08-03 18:12:25.820121	115
11701	49810	5829	2013-08-03 18:12:25.826593	2013-08-03 18:12:25.826593	115
11702	49739	14885	2013-08-03 18:12:25.834857	2013-08-03 18:12:25.834857	115
11703	49739	5770	2013-08-03 18:12:25.841588	2013-08-03 18:12:25.841588	115
11704	49739	5705	2013-08-03 18:12:25.84886	2013-08-03 18:12:25.84886	115
11705	49572	5809	2013-08-03 18:12:25.86866	2013-08-03 18:12:25.86866	115
11706	49572	5490	2013-08-03 18:12:25.87939	2013-08-03 18:12:25.87939	115
11707	49572	12301	2013-08-03 18:12:25.889533	2013-08-03 18:12:25.889533	115
11708	51432	13070	2013-08-03 18:12:25.933815	2013-08-03 18:12:25.933815	115
11709	51432	13113	2013-08-03 18:12:25.944847	2013-08-03 18:12:25.944847	115
11710	50241	13115	2013-08-03 18:12:25.966835	2013-08-03 18:12:25.966835	115
11711	50241	13050	2013-08-03 18:12:25.977761	2013-08-03 18:12:25.977761	115
11712	50085	12923	2013-08-03 18:12:26.000233	2013-08-03 18:12:26.000233	115
11713	50085	12937	2013-08-03 18:12:26.011381	2013-08-03 18:12:26.011381	115
11714	50068	12888	2013-08-03 18:12:26.03346	2013-08-03 18:12:26.03346	115
11715	50068	13030	2013-08-03 18:12:26.044799	2013-08-03 18:12:26.044799	115
11716	50063	13010	2013-08-03 18:12:26.070568	2013-08-03 18:12:26.070568	115
11717	50063	12990	2013-08-03 18:12:26.07884	2013-08-03 18:12:26.07884	115
11718	49922	12970	2013-08-03 18:12:26.08752	2013-08-03 18:12:26.08752	115
11719	49922	12880	2013-08-03 18:12:26.091934	2013-08-03 18:12:26.091934	115
11720	49740	12950	2013-08-03 18:12:26.10879	2013-08-03 18:12:26.10879	115
11721	49740	12930	2013-08-03 18:12:26.1195	2013-08-03 18:12:26.1195	115
11722	49598	12910	2013-08-03 18:12:26.141473	2013-08-03 18:12:26.141473	115
11723	49598	12276	2013-08-03 18:12:26.152386	2013-08-03 18:12:26.152386	115
11724	49561	10246	2013-08-03 18:12:26.17352	2013-08-03 18:12:26.17352	115
11725	49561	1004	2013-08-03 18:12:26.183173	2013-08-03 18:12:26.183173	115
11726	51424	12661	2013-08-03 18:12:26.226569	2013-08-03 18:12:26.226569	115
11727	51424	12490	2013-08-03 18:12:26.23665	2013-08-03 18:12:26.23665	115
11728	51045	12521	2013-08-03 18:12:26.259346	2013-08-03 18:12:26.259346	115
11729	51045	12541	2013-08-03 18:12:26.26935	2013-08-03 18:12:26.26935	115
11730	50261	12450	2013-08-03 18:12:26.290542	2013-08-03 18:12:26.290542	115
11731	50261	12356	2013-08-03 18:12:26.301014	2013-08-03 18:12:26.301014	115
11732	50125	12256	2013-08-03 18:12:26.319812	2013-08-03 18:12:26.319812	115
11733	50125	12123	2013-08-03 18:12:26.328798	2013-08-03 18:12:26.328798	115
11734	50097	12101	2013-08-03 18:12:26.340172	2013-08-03 18:12:26.340172	115
11735	50097	12037	2013-08-03 18:12:26.346336	2013-08-03 18:12:26.346336	115
11736	50069	10226	2013-08-03 18:12:26.362409	2013-08-03 18:12:26.362409	115
11737	50069	10010	2013-08-03 18:12:26.370895	2013-08-03 18:12:26.370895	115
11738	50066	9886	2013-08-03 18:12:26.392249	2013-08-03 18:12:26.392249	115
11739	50066	5705	2013-08-03 18:12:26.402801	2013-08-03 18:12:26.402801	115
11740	49919	5770	2013-08-03 18:12:26.4249	2013-08-03 18:12:26.4249	115
11741	49919	2497	2013-08-03 18:12:26.435423	2013-08-03 18:12:26.435423	115
11742	49699	13451	2013-08-03 18:12:26.457248	2013-08-03 18:12:26.457248	115
11743	49699	1021	2013-08-03 18:12:26.468081	2013-08-03 18:12:26.468081	115
11744	51426	17452	2013-08-03 18:12:26.538555	2013-08-03 18:12:26.538555	115
11745	51119	17432	2013-08-03 18:12:26.560764	2013-08-03 18:12:26.560764	115
11746	51047	17412	2013-08-03 18:12:26.582637	2013-08-03 18:12:26.582637	115
11747	50299	17418	2013-08-03 18:12:26.60495	2013-08-03 18:12:26.60495	115
11748	50078	17392	2013-08-03 18:12:26.620313	2013-08-03 18:12:26.620313	115
11749	50071	17372	2013-08-03 18:12:26.628227	2013-08-03 18:12:26.628227	115
11750	50070	13101	2013-08-03 18:12:26.648404	2013-08-03 18:12:26.648404	115
11751	49809	12628	2013-08-03 18:12:26.670214	2013-08-03 18:12:26.670214	115
11752	49742	12121	2013-08-03 18:12:26.677583	2013-08-03 18:12:26.677583	115
11753	49717	10206	2013-08-03 18:12:26.685598	2013-08-03 18:12:26.685598	115
11754	49573	966	2013-08-03 18:12:26.693273	2013-08-03 18:12:26.693273	115
11755	51428	15193	2013-08-03 18:12:26.789776	2013-08-03 18:12:26.789776	115
11756	51050	15173	2013-08-03 18:12:26.811293	2013-08-03 18:12:26.811293	115
11757	50334	8920	2013-08-03 18:12:26.826927	2013-08-03 18:12:26.826927	115
11758	50073	13081	2013-08-03 18:12:26.835585	2013-08-03 18:12:26.835585	115
11759	50072	12681	2013-08-03 18:12:26.843823	2013-08-03 18:12:26.843823	115
11760	50054	1272	2013-08-03 18:12:26.852061	2013-08-03 18:12:26.852061	115
11761	49937	11098	2013-08-03 18:12:26.857891	2013-08-03 18:12:26.857891	115
11762	49744	955	2013-08-03 18:12:26.864703	2013-08-03 18:12:26.864703	115
11763	49596	10771	2013-08-03 18:12:26.879906	2013-08-03 18:12:26.879906	115
11764	49570	16003	2013-08-03 18:12:26.895689	2013-08-03 18:12:26.895689	115
11765	51433	10126	2013-08-03 18:12:26.953138	2013-08-03 18:12:26.953138	115
11766	51433	12538	2013-08-03 18:12:26.961512	2013-08-03 18:12:26.961512	115
11767	51057	2485	2013-08-03 18:12:26.982171	2013-08-03 18:12:26.982171	115
11768	51057	16548	2013-08-03 18:12:26.992279	2013-08-03 18:12:26.992279	115
11769	50074	7110	2013-08-03 18:12:27.012426	2013-08-03 18:12:27.012426	115
11770	50074	11051	2013-08-03 18:12:27.016303	2013-08-03 18:12:27.016303	115
11771	50055	6520	2013-08-03 18:12:27.026979	2013-08-03 18:12:27.026979	115
11772	50055	11031	2013-08-03 18:12:27.030527	2013-08-03 18:12:27.030527	115
11773	49811	10235	2013-08-03 18:12:27.037149	2013-08-03 18:12:27.037149	115
11774	49811	6500	2013-08-03 18:12:27.040264	2013-08-03 18:12:27.040264	115
11775	49748	905	2013-08-03 18:12:27.051684	2013-08-03 18:12:27.051684	115
11776	49748	9499	2013-08-03 18:12:27.059034	2013-08-03 18:12:27.059034	115
11777	49741	10811	2013-08-03 18:12:27.07739	2013-08-03 18:12:27.07739	115
11778	49741	9239	2013-08-03 18:12:27.089061	2013-08-03 18:12:27.089061	115
11779	49727	4638	2013-08-03 18:12:27.10012	2013-08-03 18:12:27.10012	115
11780	49727	9451	2013-08-03 18:12:27.105845	2013-08-03 18:12:27.105845	115
11781	49558	4597	2013-08-03 18:12:27.115335	2013-08-03 18:12:27.115335	115
11782	49558	9331	2013-08-03 18:12:27.119518	2013-08-03 18:12:27.119518	115
11783	50506	21538	2013-08-03 18:12:27.166156	2013-08-03 18:12:27.166156	115
11784	50309	21518	2013-08-03 18:12:27.187711	2013-08-03 18:12:27.187711	115
11785	50180	21498	2013-08-03 18:12:27.210652	2013-08-03 18:12:27.210652	115
11786	50124	21478	2013-08-03 18:12:27.23565	2013-08-03 18:12:27.23565	115
11787	50104	21458	2013-08-03 18:12:27.25825	2013-08-03 18:12:27.25825	115
11788	49754	21438	2013-08-03 18:12:27.280638	2013-08-03 18:12:27.280638	115
11789	49747	21418	2013-08-03 18:12:27.302604	2013-08-03 18:12:27.302604	115
11790	49746	21398	2013-08-03 18:12:27.325092	2013-08-03 18:12:27.325092	115
11791	49716	21423	2013-08-03 18:12:27.34656	2013-08-03 18:12:27.34656	115
11792	49616	12741	2013-08-03 18:12:27.355881	2013-08-03 18:12:27.355881	115
11793	49565	12436	2013-08-03 18:12:27.366312	2013-08-03 18:12:27.366312	115
11794	51431	9919	2013-08-03 18:12:27.379902	2013-08-03 18:12:27.379902	115
11795	51431	15008	2013-08-03 18:12:27.383994	2013-08-03 18:12:27.383994	115
11796	51059	14708	2013-08-03 18:12:27.391791	2013-08-03 18:12:27.391791	115
11797	51059	8859	2013-08-03 18:12:27.395808	2013-08-03 18:12:27.395808	115
11798	50561	9738	2013-08-03 18:12:27.403534	2013-08-03 18:12:27.403534	115
11799	50561	9758	2013-08-03 18:12:27.407532	2013-08-03 18:12:27.407532	115
11800	50075	9655	2013-08-03 18:12:27.415527	2013-08-03 18:12:27.415527	115
11801	50075	14728	2013-08-03 18:12:27.419626	2013-08-03 18:12:27.419626	115
11802	50015	18758	2013-08-03 18:12:27.42704	2013-08-03 18:12:27.42704	115
11803	50015	15048	2013-08-03 18:12:27.430574	2013-08-03 18:12:27.430574	115
11804	49942	15088	2013-08-03 18:12:27.438876	2013-08-03 18:12:27.438876	115
11805	49942	8891	2013-08-03 18:12:27.447875	2013-08-03 18:12:27.447875	115
11806	49751	16863	2013-08-03 18:12:27.468764	2013-08-03 18:12:27.468764	115
11807	49751	888	2013-08-03 18:12:27.47898	2013-08-03 18:12:27.47898	115
11808	49743	19477	2013-08-03 18:12:27.495679	2013-08-03 18:12:27.495679	115
11809	49743	6038	2013-08-03 18:12:27.505519	2013-08-03 18:12:27.505519	115
11810	49569	9779	2013-08-03 18:12:27.526455	2013-08-03 18:12:27.526455	115
11811	49569	7697	2013-08-03 18:12:27.537774	2013-08-03 18:12:27.537774	115
11812	51429	20040	2013-08-03 18:12:27.585545	2013-08-03 18:12:27.585545	115
11813	51429	20020	2013-08-03 18:12:27.596264	2013-08-03 18:12:27.596264	115
11814	51064	20000	2013-08-03 18:12:27.618282	2013-08-03 18:12:27.618282	115
11815	51064	19980	2013-08-03 18:12:27.629151	2013-08-03 18:12:27.629151	115
11816	50095	19960	2013-08-03 18:12:27.641314	2013-08-03 18:12:27.641314	115
11817	50095	19940	2013-08-03 18:12:27.645258	2013-08-03 18:12:27.645258	115
11818	50076	19920	2013-08-03 18:12:27.654422	2013-08-03 18:12:27.654422	115
11819	50076	19900	2013-08-03 18:12:27.659627	2013-08-03 18:12:27.659627	115
11820	50008	19880	2013-08-03 18:12:27.670837	2013-08-03 18:12:27.670837	115
11821	50008	19860	2013-08-03 18:12:27.676221	2013-08-03 18:12:27.676221	115
11822	49752	19840	2013-08-03 18:12:27.690204	2013-08-03 18:12:27.690204	115
11823	49752	19820	2013-08-03 18:12:27.699954	2013-08-03 18:12:27.699954	115
11824	49745	19800	2013-08-03 18:12:27.721138	2013-08-03 18:12:27.721138	115
11825	49745	12981	2013-08-03 18:12:27.731489	2013-08-03 18:12:27.731489	115
11826	49634	12401	2013-08-03 18:12:27.751461	2013-08-03 18:12:27.751461	115
11827	49634	11571	2013-08-03 18:12:27.761801	2013-08-03 18:12:27.761801	115
11828	49575	10791	2013-08-03 18:12:27.782646	2013-08-03 18:12:27.782646	115
11829	49575	22417	2013-08-03 18:12:27.793242	2013-08-03 18:12:27.793242	115
11830	52861	13881	2013-08-03 18:17:16.270933	2013-08-03 18:17:16.270933	116
11831	52692	13855	2013-08-03 18:17:16.295843	2013-08-03 18:17:16.295843	116
11832	52144	13861	2013-08-03 18:17:16.318374	2013-08-03 18:17:16.318374	116
11833	52011	13841	2013-08-03 18:17:16.339855	2013-08-03 18:17:16.339855	116
11834	51853	13898	2013-08-03 18:17:16.362167	2013-08-03 18:17:16.362167	116
11835	51749	13821	2013-08-03 18:17:16.385223	2013-08-03 18:17:16.385223	116
11836	51617	13695	2013-08-03 18:17:16.408809	2013-08-03 18:17:16.408809	116
11837	51590	13783	2013-08-03 18:17:16.432447	2013-08-03 18:17:16.432447	116
11838	51576	13801	2013-08-03 18:17:16.456428	2013-08-03 18:17:16.456428	116
11839	51568	13250	2013-08-03 18:17:16.479304	2013-08-03 18:17:16.479304	116
11840	51563	12556	2013-08-03 18:17:16.501733	2013-08-03 18:17:16.501733	116
11841	51528	1220	2013-08-03 18:17:16.524248	2013-08-03 18:17:16.524248	116
11842	51532	2519	2013-08-03 18:17:16.563803	2013-08-03 18:17:16.563803	116
11843	51532	2539	2013-08-03 18:17:16.575512	2013-08-03 18:17:16.575512	116
11844	51532	2559	2013-08-03 18:17:16.587137	2013-08-03 18:17:16.587137	116
11845	51532	2579	2013-08-03 18:17:16.599089	2013-08-03 18:17:16.599089	116
11846	51532	2599	2013-08-03 18:17:16.610507	2013-08-03 18:17:16.610507	116
11847	51532	2619	2013-08-03 18:17:16.621489	2013-08-03 18:17:16.621489	116
11848	51532	2639	2013-08-03 18:17:16.636472	2013-08-03 18:17:16.636472	116
11849	51532	2659	2013-08-03 18:17:16.646761	2013-08-03 18:17:16.646761	116
11850	51532	2643	2013-08-03 18:17:16.654857	2013-08-03 18:17:16.654857	116
11851	51532	2630	2013-08-03 18:17:16.660291	2013-08-03 18:17:16.660291	116
11852	51532	11098	2013-08-03 18:17:16.664752	2013-08-03 18:17:16.664752	116
11853	51532	2497	2013-08-03 18:17:16.668616	2013-08-03 18:17:16.668616	116
11854	51532	18758	2013-08-03 18:17:16.671559	2013-08-03 18:17:16.671559	116
11855	51532	1226	2013-08-03 18:17:16.675252	2013-08-03 18:17:16.675252	116
11856	51532	12401	2013-08-03 18:17:16.678791	2013-08-03 18:17:16.678791	116
11857	51532	11571	2013-08-03 18:17:16.682973	2013-08-03 18:17:16.682973	116
11858	51532	14011	2013-08-03 18:17:16.686905	2013-08-03 18:17:16.686905	116
11859	51532	9451	2013-08-03 18:17:16.691661	2013-08-03 18:17:16.691661	116
11860	51532	4638	2013-08-03 18:17:16.70159	2013-08-03 18:17:16.70159	116
11861	52385	28883	2013-08-03 18:17:16.776279	2013-08-03 18:17:16.776279	116
11862	52014	28863	2013-08-03 18:17:16.800416	2013-08-03 18:17:16.800416	116
11863	52010	28843	2013-08-03 18:17:16.808811	2013-08-03 18:17:16.808811	116
11864	51938	28823	2013-08-03 18:17:16.826884	2013-08-03 18:17:16.826884	116
11865	51850	28803	2013-08-03 18:17:16.849776	2013-08-03 18:17:16.849776	116
11866	51748	28783	2013-08-03 18:17:16.87307	2013-08-03 18:17:16.87307	116
11867	51602	28763	2013-08-03 18:17:16.897714	2013-08-03 18:17:16.897714	116
11868	51588	28743	2013-08-03 18:17:16.913082	2013-08-03 18:17:16.913082	116
11869	51573	28723	2013-08-03 18:17:16.922573	2013-08-03 18:17:16.922573	116
11870	51537	25597	2013-08-03 18:17:16.930428	2013-08-03 18:17:16.930428	116
11871	51531	12516	2013-08-03 18:17:16.937206	2013-08-03 18:17:16.937206	116
11872	52053	29403	2013-08-03 18:17:16.956587	2013-08-03 18:17:16.956587	116
11873	52053	29383	2013-08-03 18:17:16.963908	2013-08-03 18:17:16.963908	116
11874	52053	29363	2013-08-03 18:17:16.971605	2013-08-03 18:17:16.971605	116
11875	52053	29343	2013-08-03 18:17:16.97886	2013-08-03 18:17:16.97886	116
11876	52053	29323	2013-08-03 18:17:16.984468	2013-08-03 18:17:16.984468	116
11877	52053	29303	2013-08-03 18:17:16.988281	2013-08-03 18:17:16.988281	116
11878	52053	29283	2013-08-03 18:17:16.992855	2013-08-03 18:17:16.992855	116
11879	52053	29263	2013-08-03 18:17:16.996642	2013-08-03 18:17:16.996642	116
11880	52053	29243	2013-08-03 18:17:17.000504	2013-08-03 18:17:17.000504	116
11881	51842	29223	2013-08-03 18:17:17.008456	2013-08-03 18:17:17.008456	116
11882	51842	29203	2013-08-03 18:17:17.013266	2013-08-03 18:17:17.013266	116
11883	51842	29183	2013-08-03 18:17:17.017225	2013-08-03 18:17:17.017225	116
11884	51842	29163	2013-08-03 18:17:17.0212	2013-08-03 18:17:17.0212	116
11885	51842	29143	2013-08-03 18:17:17.025097	2013-08-03 18:17:17.025097	116
11886	51842	29123	2013-08-03 18:17:17.02907	2013-08-03 18:17:17.02907	116
11887	51842	29103	2013-08-03 18:17:17.032794	2013-08-03 18:17:17.032794	116
11888	51842	29083	2013-08-03 18:17:17.03605	2013-08-03 18:17:17.03605	116
11889	51842	29063	2013-08-03 18:17:17.039536	2013-08-03 18:17:17.039536	116
11890	52860	17275	2013-08-03 18:17:17.079629	2013-08-03 18:17:17.079629	116
11891	52760	17425	2013-08-03 18:17:17.102782	2013-08-03 18:17:17.102782	116
11892	52434	17405	2013-08-03 18:17:17.125647	2013-08-03 18:17:17.125647	116
11893	52138	17385	2013-08-03 18:17:17.148006	2013-08-03 18:17:17.148006	116
11894	52018	17365	2013-08-03 18:17:17.170246	2013-08-03 18:17:17.170246	116
11895	51852	17345	2013-08-03 18:17:17.192453	2013-08-03 18:17:17.192453	116
11896	51742	17325	2013-08-03 18:17:17.214387	2013-08-03 18:17:17.214387	116
11897	51614	17420	2013-08-03 18:17:17.236624	2013-08-03 18:17:17.236624	116
11898	51603	13761	2013-08-03 18:17:17.258673	2013-08-03 18:17:17.258673	116
11899	51556	13190	2013-08-03 18:17:17.280395	2013-08-03 18:17:17.280395	116
11900	51545	12445	2013-08-03 18:17:17.3032	2013-08-03 18:17:17.3032	116
11901	51543	13271	2013-08-03 18:17:17.310637	2013-08-03 18:17:17.310637	116
11902	52918	4858	2013-08-03 18:17:17.335051	2013-08-03 18:17:17.335051	116
11903	52631	9631	2013-08-03 18:17:17.34581	2013-08-03 18:17:17.34581	116
11904	52388	9651	2013-08-03 18:17:17.418951	2013-08-03 18:17:17.418951	116
11905	52217	9671	2013-08-03 18:17:17.441219	2013-08-03 18:17:17.441219	116
11906	51855	9691	2013-08-03 18:17:17.464837	2013-08-03 18:17:17.464837	116
11907	51816	9711	2013-08-03 18:17:17.488484	2013-08-03 18:17:17.488484	116
11908	51620	9731	2013-08-03 18:17:17.511622	2013-08-03 18:17:17.511622	116
11909	51585	6076	2013-08-03 18:17:17.535121	2013-08-03 18:17:17.535121	116
11910	51562	9471	2013-08-03 18:17:17.558063	2013-08-03 18:17:17.558063	116
11911	51560	4255	2013-08-03 18:17:17.580459	2013-08-03 18:17:17.580459	116
11912	52919	6170	2013-08-03 18:17:17.627486	2013-08-03 18:17:17.627486	116
11913	52919	6269	2013-08-03 18:17:17.638603	2013-08-03 18:17:17.638603	116
11914	52919	6249	2013-08-03 18:17:17.649404	2013-08-03 18:17:17.649404	116
11915	52337	6229	2013-08-03 18:17:17.66757	2013-08-03 18:17:17.66757	116
11916	52337	6209	2013-08-03 18:17:17.674029	2013-08-03 18:17:17.674029	116
11917	52337	6189	2013-08-03 18:17:17.681822	2013-08-03 18:17:17.681822	116
11918	51856	6169	2013-08-03 18:17:17.692133	2013-08-03 18:17:17.692133	116
11919	51856	6149	2013-08-03 18:17:17.695895	2013-08-03 18:17:17.695895	116
11920	51856	20928	2013-08-03 18:17:17.700637	2013-08-03 18:17:17.700637	116
11921	51774	6129	2013-08-03 18:17:17.710229	2013-08-03 18:17:17.710229	116
11922	51774	10870	2013-08-03 18:17:17.71921	2013-08-03 18:17:17.71921	116
11923	51774	6050	2013-08-03 18:17:17.728945	2013-08-03 18:17:17.728945	116
11924	51625	6016	2013-08-03 18:17:17.751741	2013-08-03 18:17:17.751741	116
11925	51625	6109	2013-08-03 18:17:17.763175	2013-08-03 18:17:17.763175	116
11926	51625	6089	2013-08-03 18:17:17.77367	2013-08-03 18:17:17.77367	116
11927	51558	2248	2013-08-03 18:17:17.795547	2013-08-03 18:17:17.795547	116
11928	51558	12311	2013-08-03 18:17:17.806059	2013-08-03 18:17:17.806059	116
11929	51558	4618	2013-08-03 18:17:17.8168	2013-08-03 18:17:17.8168	116
11930	52384	13395	2013-08-03 18:17:17.841886	2013-08-03 18:17:17.841886	116
11931	52015	13370	2013-08-03 18:17:17.849476	2013-08-03 18:17:17.849476	116
11932	52009	13350	2013-08-03 18:17:17.861716	2013-08-03 18:17:17.861716	116
11933	51858	13330	2013-08-03 18:17:17.880083	2013-08-03 18:17:17.880083	116
11934	51833	13310	2013-08-03 18:17:17.902972	2013-08-03 18:17:17.902972	116
11935	51629	13290	2013-08-03 18:17:17.925505	2013-08-03 18:17:17.925505	116
11936	51555	13270	2013-08-03 18:17:17.948005	2013-08-03 18:17:17.948005	116
11937	51550	13203	2013-08-03 18:17:17.970429	2013-08-03 18:17:17.970429	116
11938	51546	5705	2013-08-03 18:17:17.992711	2013-08-03 18:17:17.992711	116
11939	51524	4199	2013-08-03 18:17:18.014158	2013-08-03 18:17:18.014158	116
11940	52980	14151	2013-08-03 18:17:18.081753	2013-08-03 18:17:18.081753	116
11941	52383	14131	2013-08-03 18:17:18.103874	2013-08-03 18:17:18.103874	116
11942	51972	13695	2013-08-03 18:17:18.126255	2013-08-03 18:17:18.126255	116
11943	51940	13290	2013-08-03 18:17:18.147347	2013-08-03 18:17:18.147347	116
11944	51859	13130	2013-08-03 18:17:18.168591	2013-08-03 18:17:18.168591	116
11945	51820	6089	2013-08-03 18:17:18.189813	2013-08-03 18:17:18.189813	116
11946	51817	6109	2013-08-03 18:17:18.211634	2013-08-03 18:17:18.211634	116
11947	51744	6016	2013-08-03 18:17:18.233558	2013-08-03 18:17:18.233558	116
11948	51547	2657	2013-08-03 18:17:18.254438	2013-08-03 18:17:18.254438	116
11949	51542	15948	2013-08-03 18:17:18.275356	2013-08-03 18:17:18.275356	116
11950	51519	12831	2013-08-03 18:17:18.296521	2013-08-03 18:17:18.296521	116
11951	52981	17872	2013-08-03 18:17:18.366439	2013-08-03 18:17:18.366439	116
11952	52435	17777	2013-08-03 18:17:18.388446	2013-08-03 18:17:18.388446	116
11953	51905	17852	2013-08-03 18:17:18.41251	2013-08-03 18:17:18.41251	116
11954	51861	17797	2013-08-03 18:17:18.42517	2013-08-03 18:17:18.42517	116
11955	51746	17832	2013-08-03 18:17:18.432647	2013-08-03 18:17:18.432647	116
11956	51701	17812	2013-08-03 18:17:18.439977	2013-08-03 18:17:18.439977	116
11957	51632	17792	2013-08-03 18:17:18.447828	2013-08-03 18:17:18.447828	116
11958	51554	13110	2013-08-03 18:17:18.455613	2013-08-03 18:17:18.455613	116
11959	51548	12990	2013-08-03 18:17:18.467338	2013-08-03 18:17:18.467338	116
11960	51538	2365	2013-08-03 18:17:18.484173	2013-08-03 18:17:18.484173	116
11961	51522	10868	2013-08-03 18:17:18.505951	2013-08-03 18:17:18.505951	116
11962	52983	15513	2013-08-03 18:17:18.558189	2013-08-03 18:17:18.558189	116
11963	52983	15493	2013-08-03 18:17:18.570339	2013-08-03 18:17:18.570339	116
11964	51764	15473	2013-08-03 18:17:18.592364	2013-08-03 18:17:18.592364	116
11965	51764	15453	2013-08-03 18:17:18.603403	2013-08-03 18:17:18.603403	116
11966	51635	15433	2013-08-03 18:17:18.626421	2013-08-03 18:17:18.626421	116
11967	51635	15413	2013-08-03 18:17:18.637336	2013-08-03 18:17:18.637336	116
11968	51571	15393	2013-08-03 18:17:18.659571	2013-08-03 18:17:18.659571	116
11969	51571	12950	2013-08-03 18:17:18.670662	2013-08-03 18:17:18.670662	116
11970	51561	13010	2013-08-03 18:17:18.692961	2013-08-03 18:17:18.692961	116
11971	51561	12541	2013-08-03 18:17:18.700103	2013-08-03 18:17:18.700103	116
11972	51549	12276	2013-08-03 18:17:18.710082	2013-08-03 18:17:18.710082	116
11973	51549	10366	2013-08-03 18:17:18.716636	2013-08-03 18:17:18.716636	116
11974	51529	2485	2013-08-03 18:17:18.725055	2013-08-03 18:17:18.725055	116
11975	51529	9738	2013-08-03 18:17:18.728823	2013-08-03 18:17:18.728823	116
11976	51517	10888	2013-08-03 18:17:18.736375	2013-08-03 18:17:18.736375	116
11977	51517	24177	2013-08-03 18:17:18.741123	2013-08-03 18:17:18.741123	116
11978	53059	9379	2013-08-03 18:17:18.758842	2013-08-03 18:17:18.758842	116
11979	53059	19468	2013-08-03 18:17:18.768679	2013-08-03 18:17:18.768679	116
11980	53059	7370	2013-08-03 18:17:18.778871	2013-08-03 18:17:18.778871	116
11981	53059	5439	2013-08-03 18:17:18.789802	2013-08-03 18:17:18.789802	116
11982	53059	4759	2013-08-03 18:17:18.800755	2013-08-03 18:17:18.800755	116
11983	53059	8656	2013-08-03 18:17:18.864323	2013-08-03 18:17:18.864323	116
11984	53059	1107	2013-08-03 18:17:18.869072	2013-08-03 18:17:18.869072	116
11985	53059	1127	2013-08-03 18:17:18.872548	2013-08-03 18:17:18.872548	116
11986	53059	1147	2013-08-03 18:17:18.875447	2013-08-03 18:17:18.875447	116
11987	53059	1167	2013-08-03 18:17:18.878371	2013-08-03 18:17:18.878371	116
11988	53059	1187	2013-08-03 18:17:18.882002	2013-08-03 18:17:18.882002	116
11989	53059	1207	2013-08-03 18:17:18.886014	2013-08-03 18:17:18.886014	116
11990	53059	1227	2013-08-03 18:17:18.889392	2013-08-03 18:17:18.889392	116
11991	53059	1247	2013-08-03 18:17:18.89431	2013-08-03 18:17:18.89431	116
11992	53059	1244	2013-08-03 18:17:18.899914	2013-08-03 18:17:18.899914	116
11993	53059	1125	2013-08-03 18:17:18.906148	2013-08-03 18:17:18.906148	116
11994	53059	1215	2013-08-03 18:17:18.91234	2013-08-03 18:17:18.91234	116
11995	53059	1108	2013-08-03 18:17:18.919308	2013-08-03 18:17:18.919308	116
11996	53059	12311	2013-08-03 18:17:18.928062	2013-08-03 18:17:18.928062	116
11997	53060	25837	2013-08-03 18:17:19.01355	2013-08-03 18:17:19.01355	116
11998	52682	25817	2013-08-03 18:17:19.036009	2013-08-03 18:17:19.036009	116
11999	52634	25797	2013-08-03 18:17:19.058282	2013-08-03 18:17:19.058282	116
12000	52420	25777	2013-08-03 18:17:19.080753	2013-08-03 18:17:19.080753	116
12001	52122	25757	2013-08-03 18:17:19.103101	2013-08-03 18:17:19.103101	116
12002	52025	25737	2013-08-03 18:17:19.129322	2013-08-03 18:17:19.129322	116
12003	51951	25717	2013-08-03 18:17:19.138795	2013-08-03 18:17:19.138795	116
12004	51939	25697	2013-08-03 18:17:19.147925	2013-08-03 18:17:19.147925	116
12005	51910	25677	2013-08-03 18:17:19.16199	2013-08-03 18:17:19.16199	116
12006	51876	25657	2013-08-03 18:17:19.179866	2013-08-03 18:17:19.179866	116
12007	53063	11551	2013-08-03 18:17:19.241886	2013-08-03 18:17:19.241886	116
12008	52242	6038	2013-08-03 18:17:19.263593	2013-08-03 18:17:19.263593	116
12009	52143	11511	2013-08-03 18:17:19.285232	2013-08-03 18:17:19.285232	116
12010	51906	10771	2013-08-03 18:17:19.30639	2013-08-03 18:17:19.30639	116
12011	51862	10811	2013-08-03 18:17:19.327521	2013-08-03 18:17:19.327521	116
12012	51745	7266	2013-08-03 18:17:19.349053	2013-08-03 18:17:19.349053	116
12013	51706	8839	2013-08-03 18:17:19.369919	2013-08-03 18:17:19.369919	116
12014	51641	4377	2013-08-03 18:17:19.391061	2013-08-03 18:17:19.391061	116
12015	51587	22177	2013-08-03 18:17:19.412209	2013-08-03 18:17:19.412209	116
12016	51559	22197	2013-08-03 18:17:19.433584	2013-08-03 18:17:19.433584	116
12017	51551	19568	2013-08-03 18:17:19.454686	2013-08-03 18:17:19.454686	116
12018	51525	9239	2013-08-03 18:17:19.475497	2013-08-03 18:17:19.475497	116
12019	52032	22038	2013-08-03 18:17:19.543926	2013-08-03 18:17:19.543926	116
12020	51970	22018	2013-08-03 18:17:19.565853	2013-08-03 18:17:19.565853	116
12021	51942	21998	2013-08-03 18:17:19.587421	2013-08-03 18:17:19.587421	116
12022	51888	21978	2013-08-03 18:17:19.60886	2013-08-03 18:17:19.60886	116
12023	51727	21958	2013-08-03 18:17:19.630675	2013-08-03 18:17:19.630675	116
12024	51684	21938	2013-08-03 18:17:19.652626	2013-08-03 18:17:19.652626	116
12025	51638	21918	2013-08-03 18:17:19.674722	2013-08-03 18:17:19.674722	116
12026	51572	21898	2013-08-03 18:17:19.697059	2013-08-03 18:17:19.697059	116
12027	51570	21878	2013-08-03 18:17:19.719364	2013-08-03 18:17:19.719364	116
12028	51541	21858	2013-08-03 18:17:19.734035	2013-08-03 18:17:19.734035	116
12029	51530	21838	2013-08-03 18:17:19.742022	2013-08-03 18:17:19.742022	116
12030	53205	14708	2013-08-03 18:17:19.766908	2013-08-03 18:17:19.766908	116
12031	52137	8859	2013-08-03 18:17:19.777672	2013-08-03 18:17:19.777672	116
12032	51989	10888	2013-08-03 18:17:19.789853	2013-08-03 18:17:19.789853	116
12033	51907	965	2013-08-03 18:17:19.802904	2013-08-03 18:17:19.802904	116
12034	51864	10235	2013-08-03 18:17:19.817324	2013-08-03 18:17:19.817324	116
12035	51743	11031	2013-08-03 18:17:19.834806	2013-08-03 18:17:19.834806	116
12036	51644	888	2013-08-03 18:17:19.855079	2013-08-03 18:17:19.855079	116
12037	51557	905	2013-08-03 18:17:19.872754	2013-08-03 18:17:19.872754	116
12038	51553	19477	2013-08-03 18:17:19.888088	2013-08-03 18:17:19.888088	116
12039	51527	9499	2013-08-03 18:17:19.897589	2013-08-03 18:17:19.897589	116
12040	53206	20760	2013-08-03 18:17:19.953525	2013-08-03 18:17:19.953525	116
12041	52386	20740	2013-08-03 18:17:19.975365	2013-08-03 18:17:19.975365	116
12042	52049	20720	2013-08-03 18:17:19.998468	2013-08-03 18:17:19.998468	116
12043	51865	20700	2013-08-03 18:17:20.02089	2013-08-03 18:17:20.02089	116
12044	51750	20680	2013-08-03 18:17:20.042271	2013-08-03 18:17:20.042271	116
12045	51651	20660	2013-08-03 18:17:20.064577	2013-08-03 18:17:20.064577	116
12046	51647	10215	2013-08-03 18:17:20.08676	2013-08-03 18:17:20.08676	116
12047	51598	9758	2013-08-03 18:17:20.108399	2013-08-03 18:17:20.108399	116
12048	51564	947	2013-08-03 18:17:20.129905	2013-08-03 18:17:20.129905	116
12049	51540	6520	2013-08-03 18:17:20.151283	2013-08-03 18:17:20.151283	116
12050	51526	6500	2013-08-03 18:17:20.173105	2013-08-03 18:17:20.173105	116
12051	52082	21057	2013-08-03 18:17:20.227208	2013-08-03 18:17:20.227208	116
12052	52082	21180	2013-08-03 18:17:20.238539	2013-08-03 18:17:20.238539	116
12053	52013	21160	2013-08-03 18:17:20.259927	2013-08-03 18:17:20.259927	116
12054	52013	21140	2013-08-03 18:17:20.270828	2013-08-03 18:17:20.270828	116
12055	52012	21120	2013-08-03 18:17:20.349578	2013-08-03 18:17:20.349578	116
12056	52012	21100	2013-08-03 18:17:20.355455	2013-08-03 18:17:20.355455	116
12057	51949	21080	2013-08-03 18:17:20.365946	2013-08-03 18:17:20.365946	116
12058	51949	21060	2013-08-03 18:17:20.372383	2013-08-03 18:17:20.372383	116
12059	51904	21040	2013-08-03 18:17:20.39278	2013-08-03 18:17:20.39278	116
12060	51904	21020	2013-08-03 18:17:20.403986	2013-08-03 18:17:20.403986	116
12061	51839	21000	2013-08-03 18:17:20.429411	2013-08-03 18:17:20.429411	116
12062	51839	20980	2013-08-03 18:17:20.438714	2013-08-03 18:17:20.438714	116
12063	51821	20960	2013-08-03 18:17:20.452537	2013-08-03 18:17:20.452537	116
12064	51821	20940	2013-08-03 18:17:20.461777	2013-08-03 18:17:20.461777	116
12065	53528	9491	2013-08-03 18:22:12.760191	2013-08-03 18:22:12.760191	117
12066	53317	14081	2013-08-03 18:22:12.788707	2013-08-03 18:22:12.788707	117
12067	53299	14061	2013-08-03 18:22:12.813309	2013-08-03 18:22:12.813309	117
12068	53229	14041	2013-08-03 18:22:12.838324	2013-08-03 18:22:12.838324	117
12069	53070	14021	2013-08-03 18:22:12.862591	2013-08-03 18:22:12.862591	117
12070	52849	14001	2013-08-03 18:22:12.888537	2013-08-03 18:22:12.888537	117
12071	52840	8516	2013-08-03 18:22:12.898688	2013-08-03 18:22:12.898688	117
12072	52792	6089	2013-08-03 18:22:12.906931	2013-08-03 18:22:12.906931	117
12073	52764	18608	2013-08-03 18:22:12.915102	2013-08-03 18:22:12.915102	117
12074	52683	6038	2013-08-03 18:22:12.922635	2013-08-03 18:22:12.922635	117
12075	52669	2615	2013-08-03 18:22:12.935727	2013-08-03 18:22:12.935727	117
12076	52669	2595	2013-08-03 18:22:12.939804	2013-08-03 18:22:12.939804	117
12077	52669	2575	2013-08-03 18:22:12.943598	2013-08-03 18:22:12.943598	117
12078	52669	2555	2013-08-03 18:22:12.94828	2013-08-03 18:22:12.94828	117
12079	52669	2535	2013-08-03 18:22:12.95276	2013-08-03 18:22:12.95276	117
12080	52669	2515	2013-08-03 18:22:12.956966	2013-08-03 18:22:12.956966	117
12081	52669	2663	2013-08-03 18:22:12.961015	2013-08-03 18:22:12.961015	117
12082	52669	2536	2013-08-03 18:22:12.964958	2013-08-03 18:22:12.964958	117
12083	52669	2596	2013-08-03 18:22:12.968577	2013-08-03 18:22:12.968577	117
12084	52669	2531	2013-08-03 18:22:12.971989	2013-08-03 18:22:12.971989	117
12085	52669	2557	2013-08-03 18:22:12.981115	2013-08-03 18:22:12.981115	117
12086	52669	2564	2013-08-03 18:22:12.984616	2013-08-03 18:22:12.984616	117
12087	52669	2521	2013-08-03 18:22:12.990352	2013-08-03 18:22:12.990352	117
12088	52669	2597	2013-08-03 18:22:12.996468	2013-08-03 18:22:12.996468	117
12089	52669	2625	2013-08-03 18:22:13.004311	2013-08-03 18:22:13.004311	117
12090	52669	2577	2013-08-03 18:22:13.010436	2013-08-03 18:22:13.010436	117
12091	52669	7170	2013-08-03 18:22:13.014494	2013-08-03 18:22:13.014494	117
12092	52669	10888	2013-08-03 18:22:13.018033	2013-08-03 18:22:13.018033	117
12093	52669	6520	2013-08-03 18:22:13.023019	2013-08-03 18:22:13.023019	117
12094	53446	30303	2013-08-03 18:22:13.084203	2013-08-03 18:22:13.084203	117
12095	53334	30283	2013-08-03 18:22:13.099841	2013-08-03 18:22:13.099841	117
12096	53297	30263	2013-08-03 18:22:13.11499	2013-08-03 18:22:13.11499	117
12097	53230	30243	2013-08-03 18:22:13.124078	2013-08-03 18:22:13.124078	117
12098	53072	30223	2013-08-03 18:22:13.133152	2013-08-03 18:22:13.133152	117
12099	52978	30203	2013-08-03 18:22:13.142547	2013-08-03 18:22:13.142547	117
12100	52812	30183	2013-08-03 18:22:13.151637	2013-08-03 18:22:13.151637	117
12101	52784	30163	2013-08-03 18:22:13.160161	2013-08-03 18:22:13.160161	117
12102	52762	30143	2013-08-03 18:22:13.168607	2013-08-03 18:22:13.168607	117
12103	52699	18172	2013-08-03 18:22:13.177885	2013-08-03 18:22:13.177885	117
12104	53672	30843	2013-08-03 18:22:13.196206	2013-08-03 18:22:13.196206	117
12105	53672	30823	2013-08-03 18:22:13.200293	2013-08-03 18:22:13.200293	117
12106	53672	30803	2013-08-03 18:22:13.206893	2013-08-03 18:22:13.206893	117
12107	53672	30783	2013-08-03 18:22:13.212831	2013-08-03 18:22:13.212831	117
12108	53672	30763	2013-08-03 18:22:13.220298	2013-08-03 18:22:13.220298	117
12109	53672	30743	2013-08-03 18:22:13.227674	2013-08-03 18:22:13.227674	117
12110	53672	30723	2013-08-03 18:22:13.234556	2013-08-03 18:22:13.234556	117
12111	53672	30703	2013-08-03 18:22:13.243585	2013-08-03 18:22:13.243585	117
12112	53672	30683	2013-08-03 18:22:13.24989	2013-08-03 18:22:13.24989	117
12113	53003	30663	2013-08-03 18:22:13.259112	2013-08-03 18:22:13.259112	117
12114	53003	30643	2013-08-03 18:22:13.263907	2013-08-03 18:22:13.263907	117
12115	53003	30623	2013-08-03 18:22:13.268146	2013-08-03 18:22:13.268146	117
12116	53003	30603	2013-08-03 18:22:13.272802	2013-08-03 18:22:13.272802	117
12117	53003	30583	2013-08-03 18:22:13.276862	2013-08-03 18:22:13.276862	117
12118	53003	30563	2013-08-03 18:22:13.282948	2013-08-03 18:22:13.282948	117
12119	53003	30543	2013-08-03 18:22:13.288635	2013-08-03 18:22:13.288635	117
12120	53003	30523	2013-08-03 18:22:13.292755	2013-08-03 18:22:13.292755	117
12121	53003	30503	2013-08-03 18:22:13.299547	2013-08-03 18:22:13.299547	117
12122	53459	6366	2013-08-03 18:22:13.33474	2013-08-03 18:22:13.33474	117
12123	53459	20228	2013-08-03 18:22:13.346149	2013-08-03 18:22:13.346149	117
12124	53459	9839	2013-08-03 18:22:13.357709	2013-08-03 18:22:13.357709	117
12125	53459	8911	2013-08-03 18:22:13.368641	2013-08-03 18:22:13.368641	117
12126	53418	5835	2013-08-03 18:22:13.391704	2013-08-03 18:22:13.391704	117
12127	53418	15877	2013-08-03 18:22:13.403152	2013-08-03 18:22:13.403152	117
12128	53418	7466	2013-08-03 18:22:13.407275	2013-08-03 18:22:13.407275	117
12129	53418	4170	2013-08-03 18:22:13.412461	2013-08-03 18:22:13.412461	117
12130	52959	7066	2013-08-03 18:22:13.430589	2013-08-03 18:22:13.430589	117
12131	52959	4384	2013-08-03 18:22:13.43913	2013-08-03 18:22:13.43913	117
12132	52959	4157	2013-08-03 18:22:13.447489	2013-08-03 18:22:13.447489	117
12133	52959	8659	2013-08-03 18:22:13.455728	2013-08-03 18:22:13.455728	117
12134	52921	8779	2013-08-03 18:22:13.476627	2013-08-03 18:22:13.476627	117
12135	52921	3998	2013-08-03 18:22:13.488247	2013-08-03 18:22:13.488247	117
12136	52921	9151	2013-08-03 18:22:13.500065	2013-08-03 18:22:13.500065	117
12137	52921	9371	2013-08-03 18:22:13.511518	2013-08-03 18:22:13.511518	117
12138	53477	18085	2013-08-03 18:22:13.538191	2013-08-03 18:22:13.538191	117
12139	53477	18065	2013-08-03 18:22:13.544412	2013-08-03 18:22:13.544412	117
12140	53331	18045	2013-08-03 18:22:13.563974	2013-08-03 18:22:13.563974	117
12141	53331	18025	2013-08-03 18:22:13.574337	2013-08-03 18:22:13.574337	117
12142	53178	18005	2013-08-03 18:22:13.5853	2013-08-03 18:22:13.5853	117
12143	53178	17985	2013-08-03 18:22:13.590956	2013-08-03 18:22:13.590956	117
12144	53067	17965	2013-08-03 18:22:13.602389	2013-08-03 18:22:13.602389	117
12145	53067	17945	2013-08-03 18:22:13.608327	2013-08-03 18:22:13.608327	117
12146	52836	17925	2013-08-03 18:22:13.617132	2013-08-03 18:22:13.617132	117
12147	52836	17905	2013-08-03 18:22:13.620981	2013-08-03 18:22:13.620981	117
12148	52835	17800	2013-08-03 18:22:13.628712	2013-08-03 18:22:13.628712	117
12149	52835	17885	2013-08-03 18:22:13.634965	2013-08-03 18:22:13.634965	117
12150	52789	17865	2013-08-03 18:22:13.643566	2013-08-03 18:22:13.643566	117
12151	52789	17845	2013-08-03 18:22:13.647571	2013-08-03 18:22:13.647571	117
12152	52763	17825	2013-08-03 18:22:13.656597	2013-08-03 18:22:13.656597	117
12153	52763	17805	2013-08-03 18:22:13.661443	2013-08-03 18:22:13.661443	117
12154	52664	17785	2013-08-03 18:22:13.669459	2013-08-03 18:22:13.669459	117
12155	52664	17765	2013-08-03 18:22:13.676732	2013-08-03 18:22:13.676732	117
12156	53009	18425	2013-08-03 18:22:13.693159	2013-08-03 18:22:13.693159	117
12157	53009	18405	2013-08-03 18:22:13.69722	2013-08-03 18:22:13.69722	117
12158	53009	18385	2013-08-03 18:22:13.700516	2013-08-03 18:22:13.700516	117
12159	53009	18365	2013-08-03 18:22:13.70392	2013-08-03 18:22:13.70392	117
12160	53009	18345	2013-08-03 18:22:13.750826	2013-08-03 18:22:13.750826	117
12161	53009	18325	2013-08-03 18:22:13.767718	2013-08-03 18:22:13.767718	117
12162	53009	18305	2013-08-03 18:22:13.772793	2013-08-03 18:22:13.772793	117
12163	53009	18285	2013-08-03 18:22:13.778085	2013-08-03 18:22:13.778085	117
12164	53009	18265	2013-08-03 18:22:13.785482	2013-08-03 18:22:13.785482	117
12165	53009	18237	2013-08-03 18:22:13.793655	2013-08-03 18:22:13.793655	117
12166	53009	18245	2013-08-03 18:22:13.804391	2013-08-03 18:22:13.804391	117
12167	53009	18225	2013-08-03 18:22:13.815124	2013-08-03 18:22:13.815124	117
12168	53009	18132	2013-08-03 18:22:13.826175	2013-08-03 18:22:13.826175	117
12169	53009	11861	2013-08-03 18:22:13.836342	2013-08-03 18:22:13.836342	117
12170	53009	18205	2013-08-03 18:22:13.849058	2013-08-03 18:22:13.849058	117
12171	53009	18185	2013-08-03 18:22:13.860589	2013-08-03 18:22:13.860589	117
12172	53009	18165	2013-08-03 18:22:13.8717	2013-08-03 18:22:13.8717	117
12173	53009	18145	2013-08-03 18:22:13.882715	2013-08-03 18:22:13.882715	117
12174	53009	18125	2013-08-03 18:22:13.893836	2013-08-03 18:22:13.893836	117
12175	53500	7697	2013-08-03 18:22:13.945097	2013-08-03 18:22:13.945097	117
12176	53500	9331	2013-08-03 18:22:13.950996	2013-08-03 18:22:13.950996	117
12177	53332	4597	2013-08-03 18:22:13.961371	2013-08-03 18:22:13.961371	117
12178	53332	9591	2013-08-03 18:22:13.965943	2013-08-03 18:22:13.965943	117
12179	53176	9399	2013-08-03 18:22:13.976077	2013-08-03 18:22:13.976077	117
12180	53176	9511	2013-08-03 18:22:13.981258	2013-08-03 18:22:13.981258	117
12181	53159	7537	2013-08-03 18:22:13.99152	2013-08-03 18:22:13.99152	117
12182	53159	7557	2013-08-03 18:22:13.995976	2013-08-03 18:22:13.995976	117
12183	52843	4555	2013-08-03 18:22:14.003246	2013-08-03 18:22:14.003246	117
12184	52843	9531	2013-08-03 18:22:14.006968	2013-08-03 18:22:14.006968	117
12185	52795	9099	2013-08-03 18:22:14.014166	2013-08-03 18:22:14.014166	117
12186	52795	9339	2013-08-03 18:22:14.018233	2013-08-03 18:22:14.018233	117
12187	52765	9319	2013-08-03 18:22:14.026559	2013-08-03 18:22:14.026559	117
12188	52765	9299	2013-08-03 18:22:14.030973	2013-08-03 18:22:14.030973	117
12189	52705	6350	2013-08-03 18:22:14.038518	2013-08-03 18:22:14.038518	117
12190	52705	4598	2013-08-03 18:22:14.042339	2013-08-03 18:22:14.042339	117
12191	53532	11908	2013-08-03 18:22:14.105312	2013-08-03 18:22:14.105312	117
12192	53519	13271	2013-08-03 18:22:14.127328	2013-08-03 18:22:14.127328	117
12193	53483	12331	2013-08-03 18:22:14.149399	2013-08-03 18:22:14.149399	117
12194	53460	986	2013-08-03 18:22:14.170712	2013-08-03 18:22:14.170712	117
12195	53440	19477	2013-08-03 18:22:14.193869	2013-08-03 18:22:14.193869	117
12196	53372	4170	2013-08-03 18:22:14.209895	2013-08-03 18:22:14.209895	117
12197	53344	7466	2013-08-03 18:22:14.216652	2013-08-03 18:22:14.216652	117
12198	53315	15877	2013-08-03 18:22:14.223707	2013-08-03 18:22:14.223707	117
12199	53272	5835	2013-08-03 18:22:14.230506	2013-08-03 18:22:14.230506	117
12200	53254	6406	2013-08-03 18:22:14.240897	2013-08-03 18:22:14.240897	117
12201	53604	6426	2013-08-03 18:22:14.267507	2013-08-03 18:22:14.267507	117
12202	53604	6570	2013-08-03 18:22:14.279062	2013-08-03 18:22:14.279062	117
12203	53604	6449	2013-08-03 18:22:14.29004	2013-08-03 18:22:14.29004	117
12204	53166	4796	2013-08-03 18:22:14.313188	2013-08-03 18:22:14.313188	117
12205	53166	8373	2013-08-03 18:22:14.325142	2013-08-03 18:22:14.325142	117
12206	53166	6290	2013-08-03 18:22:14.336402	2013-08-03 18:22:14.336402	117
12207	52800	6381	2013-08-03 18:22:14.348847	2013-08-03 18:22:14.348847	117
12208	52800	6429	2013-08-03 18:22:14.353503	2013-08-03 18:22:14.353503	117
12209	52800	6409	2013-08-03 18:22:14.360454	2013-08-03 18:22:14.360454	117
12210	52720	6389	2013-08-03 18:22:14.382136	2013-08-03 18:22:14.382136	117
12211	52720	6369	2013-08-03 18:22:14.393329	2013-08-03 18:22:14.393329	117
12212	52720	6349	2013-08-03 18:22:14.404838	2013-08-03 18:22:14.404838	117
12213	52703	6329	2013-08-03 18:22:14.425332	2013-08-03 18:22:14.425332	117
12214	52703	18718	2013-08-03 18:22:14.429288	2013-08-03 18:22:14.429288	117
12215	52703	6309	2013-08-03 18:22:14.436387	2013-08-03 18:22:14.436387	117
12216	52686	6289	2013-08-03 18:22:14.445434	2013-08-03 18:22:14.445434	117
12217	52686	6386	2013-08-03 18:22:14.451379	2013-08-03 18:22:14.451379	117
12218	52686	4371	2013-08-03 18:22:14.457712	2013-08-03 18:22:14.457712	117
12219	53526	10852	2013-08-03 18:22:14.510363	2013-08-03 18:22:14.510363	117
12220	53526	13650	2013-08-03 18:22:14.52232	2013-08-03 18:22:14.52232	117
12221	53330	10855	2013-08-03 18:22:14.548117	2013-08-03 18:22:14.548117	117
12222	53330	13630	2013-08-03 18:22:14.557586	2013-08-03 18:22:14.557586	117
12223	52846	13610	2013-08-03 18:22:14.566717	2013-08-03 18:22:14.566717	117
12224	52846	13590	2013-08-03 18:22:14.571456	2013-08-03 18:22:14.571456	117
12225	52803	13570	2013-08-03 18:22:14.579737	2013-08-03 18:22:14.579737	117
12226	52803	13550	2013-08-03 18:22:14.586011	2013-08-03 18:22:14.586011	117
12227	52766	13658	2013-08-03 18:22:14.599583	2013-08-03 18:22:14.599583	117
12228	52766	13530	2013-08-03 18:22:14.605551	2013-08-03 18:22:14.605551	117
12229	52724	13510	2013-08-03 18:22:14.613838	2013-08-03 18:22:14.613838	117
12230	52724	10746	2013-08-03 18:22:14.617694	2013-08-03 18:22:14.617694	117
12231	52702	10506	2013-08-03 18:22:14.624805	2013-08-03 18:22:14.624805	117
12232	52702	9111	2013-08-03 18:22:14.629091	2013-08-03 18:22:14.629091	117
12233	52666	12331	2013-08-03 18:22:14.636383	2013-08-03 18:22:14.636383	117
12234	52666	11031	2013-08-03 18:22:14.640751	2013-08-03 18:22:14.640751	117
12235	52674	14691	2013-08-03 18:22:14.657727	2013-08-03 18:22:14.657727	117
12236	52674	14743	2013-08-03 18:22:14.664606	2013-08-03 18:22:14.664606	117
12237	52674	14671	2013-08-03 18:22:14.671865	2013-08-03 18:22:14.671865	117
12238	52674	14651	2013-08-03 18:22:14.680834	2013-08-03 18:22:14.680834	117
12239	52674	14631	2013-08-03 18:22:14.688968	2013-08-03 18:22:14.688968	117
12240	52674	14611	2013-08-03 18:22:14.693757	2013-08-03 18:22:14.693757	117
12241	52674	11350	2013-08-03 18:22:14.698226	2013-08-03 18:22:14.698226	117
12242	52674	2090	2013-08-03 18:22:14.705773	2013-08-03 18:22:14.705773	117
12243	52674	14591	2013-08-03 18:22:14.709839	2013-08-03 18:22:14.709839	117
12244	52674	14571	2013-08-03 18:22:14.713938	2013-08-03 18:22:14.713938	117
12245	52674	14551	2013-08-03 18:22:14.718392	2013-08-03 18:22:14.718392	117
12246	52674	14531	2013-08-03 18:22:14.722949	2013-08-03 18:22:14.722949	117
12247	52674	14511	2013-08-03 18:22:14.728622	2013-08-03 18:22:14.728622	117
12248	52674	14491	2013-08-03 18:22:14.735475	2013-08-03 18:22:14.735475	117
12249	52674	10810	2013-08-03 18:22:14.74612	2013-08-03 18:22:14.74612	117
12250	52674	10486	2013-08-03 18:22:14.752724	2013-08-03 18:22:14.752724	117
12251	52674	6089	2013-08-03 18:22:14.762252	2013-08-03 18:22:14.762252	117
12252	52674	11908	2013-08-03 18:22:14.771049	2013-08-03 18:22:14.771049	117
12253	52674	12892	2013-08-03 18:22:14.781736	2013-08-03 18:22:14.781736	117
12254	53535	18355	2013-08-03 18:22:14.855961	2013-08-03 18:22:14.855961	117
12255	53333	18323	2013-08-03 18:22:14.870671	2013-08-03 18:22:14.870671	117
12256	53173	18332	2013-08-03 18:22:14.883472	2013-08-03 18:22:14.883472	117
12257	53160	18312	2013-08-03 18:22:14.892946	2013-08-03 18:22:14.892946	117
12258	53065	18292	2013-08-03 18:22:14.901141	2013-08-03 18:22:14.901141	117
12259	52855	18272	2013-08-03 18:22:14.916136	2013-08-03 18:22:14.916136	117
12260	52805	18252	2013-08-03 18:22:14.938886	2013-08-03 18:22:14.938886	117
12261	52767	18232	2013-08-03 18:22:15.016775	2013-08-03 18:22:15.016775	117
12262	52723	10451	2013-08-03 18:22:15.027403	2013-08-03 18:22:15.027403	117
12263	52678	18177	2013-08-03 18:22:15.037054	2013-08-03 18:22:15.037054	117
12264	52956	15773	2013-08-03 18:22:15.060641	2013-08-03 18:22:15.060641	117
12265	52956	15823	2013-08-03 18:22:15.065852	2013-08-03 18:22:15.065852	117
12266	52956	15753	2013-08-03 18:22:15.071964	2013-08-03 18:22:15.071964	117
12267	52956	15733	2013-08-03 18:22:15.078538	2013-08-03 18:22:15.078538	117
12268	52956	15713	2013-08-03 18:22:15.085467	2013-08-03 18:22:15.085467	117
12269	52956	15600	2013-08-03 18:22:15.091401	2013-08-03 18:22:15.091401	117
12270	52956	15680	2013-08-03 18:22:15.096437	2013-08-03 18:22:15.096437	117
12271	52956	15693	2013-08-03 18:22:15.100697	2013-08-03 18:22:15.100697	117
12272	52956	15673	2013-08-03 18:22:15.104886	2013-08-03 18:22:15.104886	117
12273	52956	15653	2013-08-03 18:22:15.108972	2013-08-03 18:22:15.108972	117
12274	52956	15633	2013-08-03 18:22:15.116975	2013-08-03 18:22:15.116975	117
12275	52956	15558	2013-08-03 18:22:15.127687	2013-08-03 18:22:15.127687	117
12276	52956	15613	2013-08-03 18:22:15.139607	2013-08-03 18:22:15.139607	117
12277	52956	15593	2013-08-03 18:22:15.150681	2013-08-03 18:22:15.150681	117
12278	52956	15573	2013-08-03 18:22:15.161395	2013-08-03 18:22:15.161395	117
12279	52956	14371	2013-08-03 18:22:15.172164	2013-08-03 18:22:15.172164	117
12280	52956	10726	2013-08-03 18:22:15.183481	2013-08-03 18:22:15.183481	117
12281	52956	10446	2013-08-03 18:22:15.194713	2013-08-03 18:22:15.194713	117
12282	52956	7310	2013-08-03 18:22:15.205259	2013-08-03 18:22:15.205259	117
12283	53691	26217	2013-08-03 18:22:15.268347	2013-08-03 18:22:15.268347	117
12284	53691	26197	2013-08-03 18:22:15.27901	2013-08-03 18:22:15.27901	117
12285	53462	26177	2013-08-03 18:22:15.301584	2013-08-03 18:22:15.301584	117
12286	53462	26157	2013-08-03 18:22:15.313193	2013-08-03 18:22:15.313193	117
12287	53236	26137	2013-08-03 18:22:15.336724	2013-08-03 18:22:15.336724	117
12288	53236	26117	2013-08-03 18:22:15.348378	2013-08-03 18:22:15.348378	117
12289	53182	26097	2013-08-03 18:22:15.356672	2013-08-03 18:22:15.356672	117
12290	53182	26077	2013-08-03 18:22:15.360863	2013-08-03 18:22:15.360863	117
12291	52863	26057	2013-08-03 18:22:15.369456	2013-08-03 18:22:15.369456	117
12292	52863	26037	2013-08-03 18:22:15.377158	2013-08-03 18:22:15.377158	117
12293	52806	23435	2013-08-03 18:22:15.387213	2013-08-03 18:22:15.387213	117
12294	52806	21978	2013-08-03 18:22:15.395059	2013-08-03 18:22:15.395059	117
12295	52768	21020	2013-08-03 18:22:15.416871	2013-08-03 18:22:15.416871	117
12296	52768	14291	2013-08-03 18:22:15.427919	2013-08-03 18:22:15.427919	117
12297	52725	10540	2013-08-03 18:22:15.450834	2013-08-03 18:22:15.450834	117
12298	52725	10386	2013-08-03 18:22:15.461178	2013-08-03 18:22:15.461178	117
12299	52670	6109	2013-08-03 18:22:15.48415	2013-08-03 18:22:15.48415	117
12300	52670	11808	2013-08-03 18:22:15.494335	2013-08-03 18:22:15.494335	117
12301	53551	22218	2013-08-03 18:22:15.570095	2013-08-03 18:22:15.570095	117
12302	53326	17425	2013-08-03 18:22:15.589787	2013-08-03 18:22:15.589787	117
12303	53175	10421	2013-08-03 18:22:15.597466	2013-08-03 18:22:15.597466	117
12304	53161	14217	2013-08-03 18:22:15.607397	2013-08-03 18:22:15.607397	117
12305	53069	9171	2013-08-03 18:22:15.616978	2013-08-03 18:22:15.616978	117
12306	52874	13091	2013-08-03 18:22:15.624938	2013-08-03 18:22:15.624938	117
12307	52808	905	2013-08-03 18:22:15.634798	2013-08-03 18:22:15.634798	117
12308	52769	11511	2013-08-03 18:22:15.644236	2013-08-03 18:22:15.644236	117
12309	52681	888	2013-08-03 18:22:15.656003	2013-08-03 18:22:15.656003	117
12310	52675	10771	2013-08-03 18:22:15.675458	2013-08-03 18:22:15.675458	117
12311	53464	22598	2013-08-03 18:22:15.74799	2013-08-03 18:22:15.74799	117
12312	53433	22578	2013-08-03 18:22:15.771324	2013-08-03 18:22:15.771324	117
12313	53172	22558	2013-08-03 18:22:15.794605	2013-08-03 18:22:15.794605	117
12314	52982	22538	2013-08-03 18:22:15.818102	2013-08-03 18:22:15.818102	117
12315	52917	22518	2013-08-03 18:22:15.840814	2013-08-03 18:22:15.840814	117
12316	52807	22498	2013-08-03 18:22:15.863142	2013-08-03 18:22:15.863142	117
12317	52757	22478	2013-08-03 18:22:15.885726	2013-08-03 18:22:15.885726	117
12318	52744	22458	2013-08-03 18:22:15.908748	2013-08-03 18:22:15.908748	117
12319	52739	22357	2013-08-03 18:22:15.931466	2013-08-03 18:22:15.931466	117
12320	52721	22438	2013-08-03 18:22:15.955102	2013-08-03 18:22:15.955102	117
12321	52671	22418	2013-08-03 18:22:15.975542	2013-08-03 18:22:15.975542	117
12322	53690	15708	2013-08-03 18:22:16.013661	2013-08-03 18:22:16.013661	117
12323	53690	15728	2013-08-03 18:22:16.01727	2013-08-03 18:22:16.01727	117
12324	53234	1821	2013-08-03 18:22:16.028574	2013-08-03 18:22:16.028574	117
12325	53234	15608	2013-08-03 18:22:16.037878	2013-08-03 18:22:16.037878	117
12326	53174	10723	2013-08-03 18:22:16.053664	2013-08-03 18:22:16.053664	117
12327	53174	12417	2013-08-03 18:22:16.065184	2013-08-03 18:22:16.065184	117
12328	52893	1739	2013-08-03 18:22:16.088432	2013-08-03 18:22:16.088432	117
12329	52893	1755	2013-08-03 18:22:16.097825	2013-08-03 18:22:16.097825	117
12330	52876	7719	2013-08-03 18:22:16.109375	2013-08-03 18:22:16.109375	117
12331	52876	4186	2013-08-03 18:22:16.114776	2013-08-03 18:22:16.114776	117
12332	52809	11671	2013-08-03 18:22:16.123878	2013-08-03 18:22:16.123878	117
12333	52809	4206	2013-08-03 18:22:16.128371	2013-08-03 18:22:16.128371	117
12334	52770	6115	2013-08-03 18:22:16.136833	2013-08-03 18:22:16.136833	117
12335	52770	1869	2013-08-03 18:22:16.142096	2013-08-03 18:22:16.142096	117
12336	52704	8859	2013-08-03 18:22:16.15379	2013-08-03 18:22:16.15379	117
12337	52704	4839	2013-08-03 18:22:16.158334	2013-08-03 18:22:16.158334	117
12338	52677	4566	2013-08-03 18:22:16.173432	2013-08-03 18:22:16.173432	117
12339	52677	13271	2013-08-03 18:22:16.183554	2013-08-03 18:22:16.183554	117
12340	53651	21300	2013-08-03 18:22:16.263804	2013-08-03 18:22:16.263804	117
12341	53465	14331	2013-08-03 18:22:16.287148	2013-08-03 18:22:16.287148	117
12342	53434	10646	2013-08-03 18:22:16.308359	2013-08-03 18:22:16.308359	117
12343	53350	10606	2013-08-03 18:22:16.315577	2013-08-03 18:22:16.315577	117
12344	53212	10466	2013-08-03 18:22:16.322546	2013-08-03 18:22:16.322546	117
12345	53015	10215	2013-08-03 18:22:16.329577	2013-08-03 18:22:16.329577	117
12346	52984	17277	2013-08-03 18:22:16.391455	2013-08-03 18:22:16.391455	117
12347	52938	965	2013-08-03 18:22:16.407799	2013-08-03 18:22:16.407799	117
12348	52854	947	2013-08-03 18:22:16.416819	2013-08-03 18:22:16.416819	117
12349	52841	13251	2013-08-03 18:22:16.435723	2013-08-03 18:22:16.435723	117
12350	54674	14940	2013-08-03 18:27:12.929961	2013-08-03 18:27:12.929961	118
12351	54674	14941	2013-08-03 18:27:12.943793	2013-08-03 18:27:12.943793	118
12352	54662	14921	2013-08-03 18:27:12.96635	2013-08-03 18:27:12.96635	118
12353	54662	14955	2013-08-03 18:27:12.978406	2013-08-03 18:27:12.978406	118
12354	54221	14923	2013-08-03 18:27:13.003555	2013-08-03 18:27:13.003555	118
12355	54221	14832	2013-08-03 18:27:13.017209	2013-08-03 18:27:13.017209	118
12356	54060	14895	2013-08-03 18:27:13.045605	2013-08-03 18:27:13.045605	118
12357	54060	14901	2013-08-03 18:27:13.050154	2013-08-03 18:27:13.050154	118
12358	54012	14865	2013-08-03 18:27:13.062781	2013-08-03 18:27:13.062781	118
12359	54012	14881	2013-08-03 18:27:13.069616	2013-08-03 18:27:13.069616	118
12360	53939	14861	2013-08-03 18:27:13.078436	2013-08-03 18:27:13.078436	118
12361	53939	14841	2013-08-03 18:27:13.082782	2013-08-03 18:27:13.082782	118
12362	53932	14821	2013-08-03 18:27:13.100596	2013-08-03 18:27:13.100596	118
12363	53932	14801	2013-08-03 18:27:13.106018	2013-08-03 18:27:13.106018	118
12364	53900	14781	2013-08-03 18:27:13.121669	2013-08-03 18:27:13.121669	118
12365	53900	14761	2013-08-03 18:27:13.127197	2013-08-03 18:27:13.127197	118
12366	53887	14612	2013-08-03 18:27:13.134949	2013-08-03 18:27:13.134949	118
12367	53887	1346	2013-08-03 18:27:13.138773	2013-08-03 18:27:13.138773	118
12368	53869	2816	2013-08-03 18:27:13.151709	2013-08-03 18:27:13.151709	118
12369	53869	2710	2013-08-03 18:27:13.156877	2013-08-03 18:27:13.156877	118
12370	53869	2759	2013-08-03 18:27:13.16181	2013-08-03 18:27:13.16181	118
12371	53869	2802	2013-08-03 18:27:13.167199	2013-08-03 18:27:13.167199	118
12372	53869	2782	2013-08-03 18:27:13.173006	2013-08-03 18:27:13.173006	118
12373	53869	2762	2013-08-03 18:27:13.178584	2013-08-03 18:27:13.178584	118
12374	53869	2742	2013-08-03 18:27:13.183892	2013-08-03 18:27:13.183892	118
12375	53869	2722	2013-08-03 18:27:13.189046	2013-08-03 18:27:13.189046	118
12376	53869	2673	2013-08-03 18:27:13.193465	2013-08-03 18:27:13.193465	118
12377	53869	2670	2013-08-03 18:27:13.197914	2013-08-03 18:27:13.197914	118
12378	53869	2693	2013-08-03 18:27:13.202393	2013-08-03 18:27:13.202393	118
12379	53869	2713	2013-08-03 18:27:13.207361	2013-08-03 18:27:13.207361	118
12380	53869	2733	2013-08-03 18:27:13.213198	2013-08-03 18:27:13.213198	118
12381	53869	2753	2013-08-03 18:27:13.217713	2013-08-03 18:27:13.217713	118
12382	53869	2773	2013-08-03 18:27:13.22181	2013-08-03 18:27:13.22181	118
12383	53869	2793	2013-08-03 18:27:13.225826	2013-08-03 18:27:13.225826	118
12384	53869	2702	2013-08-03 18:27:13.230797	2013-08-03 18:27:13.230797	118
12385	53869	2813	2013-08-03 18:27:13.236155	2013-08-03 18:27:13.236155	118
12386	53869	1324	2013-08-03 18:27:13.241721	2013-08-03 18:27:13.241721	118
12387	54104	31843	2013-08-03 18:27:13.283111	2013-08-03 18:27:13.283111	118
12388	54104	31823	2013-08-03 18:27:13.295098	2013-08-03 18:27:13.295098	118
12389	54104	31803	2013-08-03 18:27:13.307056	2013-08-03 18:27:13.307056	118
12390	54009	31783	2013-08-03 18:27:13.329722	2013-08-03 18:27:13.329722	118
12391	54009	31763	2013-08-03 18:27:13.343362	2013-08-03 18:27:13.343362	118
12392	54009	31743	2013-08-03 18:27:13.356666	2013-08-03 18:27:13.356666	118
12393	53937	31723	2013-08-03 18:27:13.378936	2013-08-03 18:27:13.378936	118
12394	53937	31703	2013-08-03 18:27:13.3841	2013-08-03 18:27:13.3841	118
12395	53937	31683	2013-08-03 18:27:13.388878	2013-08-03 18:27:13.388878	118
12396	53935	31663	2013-08-03 18:27:13.397828	2013-08-03 18:27:13.397828	118
12397	53935	31643	2013-08-03 18:27:13.402161	2013-08-03 18:27:13.402161	118
12398	53935	31623	2013-08-03 18:27:13.407048	2013-08-03 18:27:13.407048	118
12399	53898	31603	2013-08-03 18:27:13.415643	2013-08-03 18:27:13.415643	118
12400	53898	31583	2013-08-03 18:27:13.422556	2013-08-03 18:27:13.422556	118
12401	53898	31563	2013-08-03 18:27:13.428837	2013-08-03 18:27:13.428837	118
12402	53883	31543	2013-08-03 18:27:13.438475	2013-08-03 18:27:13.438475	118
12403	53883	31523	2013-08-03 18:27:13.443524	2013-08-03 18:27:13.443524	118
12404	53883	24855	2013-08-03 18:27:13.449557	2013-08-03 18:27:13.449557	118
12405	53924	32243	2013-08-03 18:27:13.47082	2013-08-03 18:27:13.47082	118
12406	53924	32223	2013-08-03 18:27:13.475478	2013-08-03 18:27:13.475478	118
12407	53924	32203	2013-08-03 18:27:13.479963	2013-08-03 18:27:13.479963	118
12408	53924	32183	2013-08-03 18:27:13.484347	2013-08-03 18:27:13.484347	118
12409	53924	32163	2013-08-03 18:27:13.488781	2013-08-03 18:27:13.488781	118
12410	53924	32143	2013-08-03 18:27:13.493031	2013-08-03 18:27:13.493031	118
12411	53924	32123	2013-08-03 18:27:13.497625	2013-08-03 18:27:13.497625	118
12412	53924	32103	2013-08-03 18:27:13.502198	2013-08-03 18:27:13.502198	118
12413	53924	32083	2013-08-03 18:27:13.506476	2013-08-03 18:27:13.506476	118
12414	53924	32063	2013-08-03 18:27:13.510909	2013-08-03 18:27:13.510909	118
12415	53924	32043	2013-08-03 18:27:13.516122	2013-08-03 18:27:13.516122	118
12416	53924	32023	2013-08-03 18:27:13.520638	2013-08-03 18:27:13.520638	118
12417	53924	32003	2013-08-03 18:27:13.525179	2013-08-03 18:27:13.525179	118
12418	53924	31983	2013-08-03 18:27:13.529478	2013-08-03 18:27:13.529478	118
12419	53924	31963	2013-08-03 18:27:13.533621	2013-08-03 18:27:13.533621	118
12420	53924	31943	2013-08-03 18:27:13.537863	2013-08-03 18:27:13.537863	118
12421	53924	31923	2013-08-03 18:27:13.542254	2013-08-03 18:27:13.542254	118
12422	53924	31903	2013-08-03 18:27:13.54687	2013-08-03 18:27:13.54687	118
12423	53924	31883	2013-08-03 18:27:13.551237	2013-08-03 18:27:13.551237	118
12424	54647	18745	2013-08-03 18:27:13.576544	2013-08-03 18:27:13.576544	118
12425	54597	18725	2013-08-03 18:27:13.584705	2013-08-03 18:27:13.584705	118
12426	54469	18705	2013-08-03 18:27:13.593816	2013-08-03 18:27:13.593816	118
12427	54331	18685	2013-08-03 18:27:13.601321	2013-08-03 18:27:13.601321	118
12428	54193	21975	2013-08-03 18:27:13.610487	2013-08-03 18:27:13.610487	118
12429	54011	18620	2013-08-03 18:27:13.621095	2013-08-03 18:27:13.621095	118
12430	53934	17900	2013-08-03 18:27:13.629718	2013-08-03 18:27:13.629718	118
12431	53915	18665	2013-08-03 18:27:13.637625	2013-08-03 18:27:13.637625	118
12432	53899	18645	2013-08-03 18:27:13.645992	2013-08-03 18:27:13.645992	118
12433	53881	14681	2013-08-03 18:27:13.655398	2013-08-03 18:27:13.655398	118
12434	53866	11086	2013-08-03 18:27:13.663492	2013-08-03 18:27:13.663492	118
12435	53855	1291	2013-08-03 18:27:13.671442	2013-08-03 18:27:13.671442	118
12436	53993	19185	2013-08-03 18:27:13.6863	2013-08-03 18:27:13.6863	118
12437	53993	19165	2013-08-03 18:27:13.691489	2013-08-03 18:27:13.691489	118
12438	53993	19145	2013-08-03 18:27:13.696309	2013-08-03 18:27:13.696309	118
12439	53993	19125	2013-08-03 18:27:13.70077	2013-08-03 18:27:13.70077	118
12440	53993	19117	2013-08-03 18:27:13.705013	2013-08-03 18:27:13.705013	118
12441	53993	19105	2013-08-03 18:27:13.709826	2013-08-03 18:27:13.709826	118
12442	53993	19085	2013-08-03 18:27:13.71462	2013-08-03 18:27:13.71462	118
12443	53993	19065	2013-08-03 18:27:13.719064	2013-08-03 18:27:13.719064	118
12444	53993	19045	2013-08-03 18:27:13.724145	2013-08-03 18:27:13.724145	118
12445	53993	19025	2013-08-03 18:27:13.728709	2013-08-03 18:27:13.728709	118
12446	53993	19005	2013-08-03 18:27:13.732892	2013-08-03 18:27:13.732892	118
12447	53993	2411	2013-08-03 18:27:13.790393	2013-08-03 18:27:13.790393	118
12448	53993	18985	2013-08-03 18:27:13.795862	2013-08-03 18:27:13.795862	118
12449	53993	18965	2013-08-03 18:27:13.800117	2013-08-03 18:27:13.800117	118
12450	53993	18945	2013-08-03 18:27:13.805138	2013-08-03 18:27:13.805138	118
12451	53993	18925	2013-08-03 18:27:13.809742	2013-08-03 18:27:13.809742	118
12452	53993	18905	2013-08-03 18:27:13.81679	2013-08-03 18:27:13.81679	118
12453	53993	18885	2013-08-03 18:27:13.82391	2013-08-03 18:27:13.82391	118
12454	53993	14681	2013-08-03 18:27:13.833547	2013-08-03 18:27:13.833547	118
12455	54660	5198	2013-08-03 18:27:13.902834	2013-08-03 18:27:13.902834	118
12456	54599	5218	2013-08-03 18:27:13.92575	2013-08-03 18:27:13.92575	118
12457	54478	5238	2013-08-03 18:27:13.946586	2013-08-03 18:27:13.946586	118
12458	54191	5258	2013-08-03 18:27:13.955113	2013-08-03 18:27:13.955113	118
12459	54013	5278	2013-08-03 18:27:13.963155	2013-08-03 18:27:13.963155	118
12460	53936	5298	2013-08-03 18:27:13.971132	2013-08-03 18:27:13.971132	118
12461	53923	5035	2013-08-03 18:27:13.97972	2013-08-03 18:27:13.97972	118
12462	53901	5055	2013-08-03 18:27:13.98742	2013-08-03 18:27:13.98742	118
12463	53882	5075	2013-08-03 18:27:13.995209	2013-08-03 18:27:13.995209	118
12464	53856	19937	2013-08-03 18:27:14.003508	2013-08-03 18:27:14.003508	118
12465	54673	10366	2013-08-03 18:27:14.051971	2013-08-03 18:27:14.051971	118
12466	54661	10266	2013-08-03 18:27:14.077042	2013-08-03 18:27:14.077042	118
12467	54482	10126	2013-08-03 18:27:14.085828	2013-08-03 18:27:14.085828	118
12468	54014	2628	2013-08-03 18:27:14.095809	2013-08-03 18:27:14.095809	118
12469	53962	4186	2013-08-03 18:27:14.104539	2013-08-03 18:27:14.104539	118
12470	53938	7719	2013-08-03 18:27:14.118421	2013-08-03 18:27:14.118421	118
12471	53913	1320	2013-08-03 18:27:14.138159	2013-08-03 18:27:14.138159	118
12472	53902	13091	2013-08-03 18:27:14.159374	2013-08-03 18:27:14.159374	118
12473	53864	19477	2013-08-03 18:27:14.182061	2013-08-03 18:27:14.182061	118
12474	53857	5438	2013-08-03 18:27:14.206479	2013-08-03 18:27:14.206479	118
12475	54610	6649	2013-08-03 18:27:14.240784	2013-08-03 18:27:14.240784	118
12476	54610	6629	2013-08-03 18:27:14.245868	2013-08-03 18:27:14.245868	118
12477	54610	6609	2013-08-03 18:27:14.250245	2013-08-03 18:27:14.250245	118
12478	54333	6626	2013-08-03 18:27:14.260643	2013-08-03 18:27:14.260643	118
12479	54333	6010	2013-08-03 18:27:14.265321	2013-08-03 18:27:14.265321	118
12480	54333	6470	2013-08-03 18:27:14.270715	2013-08-03 18:27:14.270715	118
12481	54015	6543	2013-08-03 18:27:14.281765	2013-08-03 18:27:14.281765	118
12482	54015	6585	2013-08-03 18:27:14.287848	2013-08-03 18:27:14.287848	118
12483	54015	6563	2013-08-03 18:27:14.292518	2013-08-03 18:27:14.292518	118
12484	53933	6589	2013-08-03 18:27:14.303505	2013-08-03 18:27:14.303505	118
12485	53933	6569	2013-08-03 18:27:14.308708	2013-08-03 18:27:14.308708	118
12486	53933	6549	2013-08-03 18:27:14.313461	2013-08-03 18:27:14.313461	118
12487	53903	6529	2013-08-03 18:27:14.323097	2013-08-03 18:27:14.323097	118
12488	53903	6509	2013-08-03 18:27:14.328943	2013-08-03 18:27:14.328943	118
12489	53903	6489	2013-08-03 18:27:14.334574	2013-08-03 18:27:14.334574	118
12490	53874	2608	2013-08-03 18:27:14.344917	2013-08-03 18:27:14.344917	118
12491	53874	1368	2013-08-03 18:27:14.349265	2013-08-03 18:27:14.349265	118
12492	53874	22657	2013-08-03 18:27:14.353822	2013-08-03 18:27:14.353822	118
12493	54663	13710	2013-08-03 18:27:14.386367	2013-08-03 18:27:14.386367	118
12494	54611	13715	2013-08-03 18:27:14.398541	2013-08-03 18:27:14.398541	118
12495	54483	13690	2013-08-03 18:27:14.411667	2013-08-03 18:27:14.411667	118
12496	54082	11046	2013-08-03 18:27:14.421812	2013-08-03 18:27:14.421812	118
12497	54016	10866	2013-08-03 18:27:14.429972	2013-08-03 18:27:14.429972	118
12498	53941	10421	2013-08-03 18:27:14.436644	2013-08-03 18:27:14.436644	118
12499	53920	2588	2013-08-03 18:27:14.451222	2013-08-03 18:27:14.451222	118
12500	53904	12417	2013-08-03 18:27:14.467458	2013-08-03 18:27:14.467458	118
12501	53884	10723	2013-08-03 18:27:14.479428	2013-08-03 18:27:14.479428	118
12502	53867	4839	2013-08-03 18:27:14.500917	2013-08-03 18:27:14.500917	118
12503	53858	22028	2013-08-03 18:27:14.523233	2013-08-03 18:27:14.523233	118
12504	54671	18492	2013-08-03 18:27:14.59008	2013-08-03 18:27:14.59008	118
12505	54612	18417	2013-08-03 18:27:14.597904	2013-08-03 18:27:14.597904	118
12506	54330	14561	2013-08-03 18:27:14.603719	2013-08-03 18:27:14.603719	118
12507	54192	14357	2013-08-03 18:27:14.620835	2013-08-03 18:27:14.620835	118
12508	54080	14301	2013-08-03 18:27:14.642539	2013-08-03 18:27:14.642539	118
12509	54018	11026	2013-08-03 18:27:14.656159	2013-08-03 18:27:14.656159	118
12510	53963	10860	2013-08-03 18:27:14.662305	2013-08-03 18:27:14.662305	118
12511	53940	10126	2013-08-03 18:27:14.668674	2013-08-03 18:27:14.668674	118
12512	53905	2548	2013-08-03 18:27:14.675947	2013-08-03 18:27:14.675947	118
12513	53873	9111	2013-08-03 18:27:14.686291	2013-08-03 18:27:14.686291	118
12514	53859	22068	2013-08-03 18:27:14.695841	2013-08-03 18:27:14.695841	118
12515	54613	15933	2013-08-03 18:27:14.719403	2013-08-03 18:27:14.719403	118
12516	54613	15913	2013-08-03 18:27:14.725001	2013-08-03 18:27:14.725001	118
12517	54613	15893	2013-08-03 18:27:14.729045	2013-08-03 18:27:14.729045	118
12518	54613	15873	2013-08-03 18:27:14.733036	2013-08-03 18:27:14.733036	118
12519	54613	15732	2013-08-03 18:27:14.736598	2013-08-03 18:27:14.736598	118
12520	54613	15853	2013-08-03 18:27:14.742087	2013-08-03 18:27:14.742087	118
12521	54613	15833	2013-08-03 18:27:14.747904	2013-08-03 18:27:14.747904	118
12522	54613	15813	2013-08-03 18:27:14.756354	2013-08-03 18:27:14.756354	118
12523	54613	15705	2013-08-03 18:27:14.766302	2013-08-03 18:27:14.766302	118
12524	54202	15793	2013-08-03 18:27:14.78382	2013-08-03 18:27:14.78382	118
12525	54202	14541	2013-08-03 18:27:14.790845	2013-08-03 18:27:14.790845	118
12526	54202	14281	2013-08-03 18:27:14.79455	2013-08-03 18:27:14.79455	118
12527	54202	11006	2013-08-03 18:27:14.798285	2013-08-03 18:27:14.798285	118
12528	54202	10846	2013-08-03 18:27:14.801971	2013-08-03 18:27:14.801971	118
12529	54202	10736	2013-08-03 18:27:14.805002	2013-08-03 18:27:14.805002	118
12530	54202	2629	2013-08-03 18:27:14.808155	2013-08-03 18:27:14.808155	118
12531	54202	18628	2013-08-03 18:27:14.815198	2013-08-03 18:27:14.815198	118
12532	54202	7226	2013-08-03 18:27:14.876184	2013-08-03 18:27:14.876184	118
12533	54614	13471	2013-08-03 18:27:14.89125	2013-08-03 18:27:14.89125	118
12534	54614	13731	2013-08-03 18:27:14.900951	2013-08-03 18:27:14.900951	118
12535	54614	13777	2013-08-03 18:27:14.908516	2013-08-03 18:27:14.908516	118
12536	54614	12508	2013-08-03 18:27:14.917463	2013-08-03 18:27:14.917463	118
12537	54614	7130	2013-08-03 18:27:14.928376	2013-08-03 18:27:14.928376	118
12538	54614	8051	2013-08-03 18:27:14.931817	2013-08-03 18:27:14.931817	118
12539	54614	12548	2013-08-03 18:27:14.935276	2013-08-03 18:27:14.935276	118
12540	54614	7050	2013-08-03 18:27:14.942047	2013-08-03 18:27:14.942047	118
12541	54614	1266	2013-08-03 18:27:14.946236	2013-08-03 18:27:14.946236	118
12542	54614	9571	2013-08-03 18:27:14.950399	2013-08-03 18:27:14.950399	118
12543	54614	7239	2013-08-03 18:27:14.955008	2013-08-03 18:27:14.955008	118
12544	54614	14943	2013-08-03 18:27:14.960401	2013-08-03 18:27:14.960401	118
12545	54614	1387	2013-08-03 18:27:14.968208	2013-08-03 18:27:14.968208	118
12546	54614	1407	2013-08-03 18:27:14.977876	2013-08-03 18:27:14.977876	118
12547	54614	1267	2013-08-03 18:27:14.99016	2013-08-03 18:27:14.99016	118
12548	54614	1287	2013-08-03 18:27:15.00219	2013-08-03 18:27:15.00219	118
12549	54614	1307	2013-08-03 18:27:15.012296	2013-08-03 18:27:15.012296	118
12550	54614	1327	2013-08-03 18:27:15.015532	2013-08-03 18:27:15.015532	118
12551	54614	1390	2013-08-03 18:27:15.023472	2013-08-03 18:27:15.023472	118
12552	54694	14461	2013-08-03 18:27:15.087004	2013-08-03 18:27:15.087004	118
12553	54672	14418	2013-08-03 18:27:15.096014	2013-08-03 18:27:15.096014	118
12554	54615	14221	2013-08-03 18:27:15.105085	2013-08-03 18:27:15.105085	118
12555	54196	10960	2013-08-03 18:27:15.114435	2013-08-03 18:27:15.114435	118
12556	54059	10815	2013-08-03 18:27:15.124875	2013-08-03 18:27:15.124875	118
12557	54019	2571	2013-08-03 18:27:15.135056	2013-08-03 18:27:15.135056	118
12558	53944	1739	2013-08-03 18:27:15.145024	2013-08-03 18:27:15.145024	118
12559	53931	15728	2013-08-03 18:27:15.154437	2013-08-03 18:27:15.154437	118
12560	53906	17277	2013-08-03 18:27:15.161919	2013-08-03 18:27:15.161919	118
12561	53877	947	2013-08-03 18:27:15.169437	2013-08-03 18:27:15.169437	118
12562	53860	7066	2013-08-03 18:27:15.176945	2013-08-03 18:27:15.176945	118
12563	54695	22918	2013-08-03 18:27:15.20841	2013-08-03 18:27:15.20841	118
12564	54616	22898	2013-08-03 18:27:15.220939	2013-08-03 18:27:15.220939	118
12565	54484	22878	2013-08-03 18:27:15.241118	2013-08-03 18:27:15.241118	118
12566	54332	22858	2013-08-03 18:27:15.264413	2013-08-03 18:27:15.264413	118
12567	54195	22838	2013-08-03 18:27:15.288174	2013-08-03 18:27:15.288174	118
12568	54058	22818	2013-08-03 18:27:15.31083	2013-08-03 18:27:15.31083	118
12569	54021	22798	2013-08-03 18:27:15.333621	2013-08-03 18:27:15.333621	118
12570	54003	22778	2013-08-03 18:27:15.35823	2013-08-03 18:27:15.35823	118
12571	53943	14377	2013-08-03 18:27:15.375323	2013-08-03 18:27:15.375323	118
12572	53907	1821	2013-08-03 18:27:15.382449	2013-08-03 18:27:15.382449	118
12573	53865	14217	2013-08-03 18:27:15.389115	2013-08-03 18:27:15.389115	118
12574	53861	18668	2013-08-03 18:27:15.400159	2013-08-03 18:27:15.400159	118
12575	54676	23298	2013-08-03 18:27:15.451317	2013-08-03 18:27:15.451317	118
12576	54596	23278	2013-08-03 18:27:15.465259	2013-08-03 18:27:15.465259	118
12577	54442	23258	2013-08-03 18:27:15.477782	2013-08-03 18:27:15.477782	118
12578	54190	23238	2013-08-03 18:27:15.490741	2013-08-03 18:27:15.490741	118
12579	54108	23218	2013-08-03 18:27:15.503326	2013-08-03 18:27:15.503326	118
12580	54020	23198	2013-08-03 18:27:15.514263	2013-08-03 18:27:15.514263	118
12581	54006	23178	2013-08-03 18:27:15.526708	2013-08-03 18:27:15.526708	118
12582	53916	23158	2013-08-03 18:27:15.540445	2013-08-03 18:27:15.540445	118
12583	53897	23138	2013-08-03 18:27:15.548989	2013-08-03 18:27:15.548989	118
12584	53895	23118	2013-08-03 18:27:15.559286	2013-08-03 18:27:15.559286	118
12585	53888	23098	2013-08-03 18:27:15.582481	2013-08-03 18:27:15.582481	118
12586	53854	23078	2013-08-03 18:27:15.606408	2013-08-03 18:27:15.606408	118
12587	54693	2040	2013-08-03 18:27:15.663718	2013-08-03 18:27:15.663718	118
12588	54617	2019	2013-08-03 18:27:15.67347	2013-08-03 18:27:15.67347	118
12589	54485	2039	2013-08-03 18:27:15.680957	2013-08-03 18:27:15.680957	118
12590	54194	2014	2013-08-03 18:27:15.689941	2013-08-03 18:27:15.689941	118
12591	54023	15788	2013-08-03 18:27:15.700645	2013-08-03 18:27:15.700645	118
12592	54001	10808	2013-08-03 18:27:15.712296	2013-08-03 18:27:15.712296	118
12593	53964	15608	2013-08-03 18:27:15.72221	2013-08-03 18:27:15.72221	118
12594	53942	15888	2013-08-03 18:27:15.733354	2013-08-03 18:27:15.733354	118
12595	53921	15708	2013-08-03 18:27:15.745004	2013-08-03 18:27:15.745004	118
12596	53908	7310	2013-08-03 18:27:15.754227	2013-08-03 18:27:15.754227	118
12597	53871	888	2013-08-03 18:27:15.76281	2013-08-03 18:27:15.76281	118
12598	53862	4384	2013-08-03 18:27:15.771052	2013-08-03 18:27:15.771052	118
12599	55414	21840	2013-08-03 18:27:15.811631	2013-08-03 18:27:15.811631	118
12600	54956	21820	2013-08-03 18:27:15.824387	2013-08-03 18:27:15.824387	118
12601	54906	21800	2013-08-03 18:27:15.838969	2013-08-03 18:27:15.838969	118
12602	54841	21780	2013-08-03 18:27:15.858152	2013-08-03 18:27:15.858152	118
12603	54769	21760	2013-08-03 18:27:15.881048	2013-08-03 18:27:15.881048	118
12604	54759	21740	2013-08-03 18:27:15.90591	2013-08-03 18:27:15.90591	118
12605	54736	21720	2013-08-03 18:27:15.918053	2013-08-03 18:27:15.918053	118
12606	54698	21700	2013-08-03 18:27:15.926895	2013-08-03 18:27:15.926895	118
12607	54675	10910	2013-08-03 18:27:15.996544	2013-08-03 18:27:15.996544	118
12608	54620	10946	2013-08-03 18:27:16.011112	2013-08-03 18:27:16.011112	118
12609	54600	22340	2013-08-03 18:27:16.068277	2013-08-03 18:27:16.068277	118
12610	54600	22320	2013-08-03 18:27:16.079494	2013-08-03 18:27:16.079494	118
12611	54443	22300	2013-08-03 18:27:16.106956	2013-08-03 18:27:16.106956	118
12612	54443	22280	2013-08-03 18:27:16.121794	2013-08-03 18:27:16.121794	118
12613	54109	22260	2013-08-03 18:27:16.150217	2013-08-03 18:27:16.150217	118
12614	54109	22240	2013-08-03 18:27:16.155988	2013-08-03 18:27:16.155988	118
12615	54024	22220	2013-08-03 18:27:16.166345	2013-08-03 18:27:16.166345	118
12616	54024	22200	2013-08-03 18:27:16.170582	2013-08-03 18:27:16.170582	118
12617	53917	22180	2013-08-03 18:27:16.179624	2013-08-03 18:27:16.179624	118
12618	53917	22160	2013-08-03 18:27:16.185461	2013-08-03 18:27:16.185461	118
12619	53896	22140	2013-08-03 18:27:16.198054	2013-08-03 18:27:16.198054	118
12620	53896	22120	2013-08-03 18:27:16.204441	2013-08-03 18:27:16.204441	118
12621	53885	22100	2013-08-03 18:27:16.22244	2013-08-03 18:27:16.22244	118
12622	53885	22080	2013-08-03 18:27:16.234277	2013-08-03 18:27:16.234277	118
12623	53863	22060	2013-08-03 18:27:16.257401	2013-08-03 18:27:16.257401	118
12624	53863	22040	2013-08-03 18:27:16.268527	2013-08-03 18:27:16.268527	118
12625	54648	22760	2013-08-03 18:27:16.303693	2013-08-03 18:27:16.303693	118
12626	54648	22740	2013-08-03 18:27:16.310929	2013-08-03 18:27:16.310929	118
12627	54648	22720	2013-08-03 18:27:16.315429	2013-08-03 18:27:16.315429	118
12628	54648	22700	2013-08-03 18:27:16.319906	2013-08-03 18:27:16.319906	118
12629	54648	22680	2013-08-03 18:27:16.324636	2013-08-03 18:27:16.324636	118
12630	54648	22660	2013-08-03 18:27:16.329141	2013-08-03 18:27:16.329141	118
12631	54648	22640	2013-08-03 18:27:16.333438	2013-08-03 18:27:16.333438	118
12632	54648	22620	2013-08-03 18:27:16.337878	2013-08-03 18:27:16.337878	118
12633	54648	22600	2013-08-03 18:27:16.341676	2013-08-03 18:27:16.341676	118
12634	54648	22580	2013-08-03 18:27:16.345288	2013-08-03 18:27:16.345288	118
12635	54648	22560	2013-08-03 18:27:16.350267	2013-08-03 18:27:16.350267	118
12636	54648	22540	2013-08-03 18:27:16.354211	2013-08-03 18:27:16.354211	118
12637	54648	22520	2013-08-03 18:27:16.359616	2013-08-03 18:27:16.359616	118
12638	54648	22500	2013-08-03 18:27:16.36571	2013-08-03 18:27:16.36571	118
12639	54648	22480	2013-08-03 18:27:16.373297	2013-08-03 18:27:16.373297	118
12640	54648	22460	2013-08-03 18:27:16.380106	2013-08-03 18:27:16.380106	118
12641	54648	22377	2013-08-03 18:27:16.389172	2013-08-03 18:27:16.389172	118
12642	54648	22440	2013-08-03 18:27:16.394264	2013-08-03 18:27:16.394264	118
12643	54648	22420	2013-08-03 18:27:16.400925	2013-08-03 18:27:16.400925	118
12644	55761	15321	2013-08-03 18:32:14.075938	2013-08-03 18:32:14.075938	119
12645	55714	15301	2013-08-03 18:32:14.091111	2013-08-03 18:32:14.091111	119
12646	55600	15281	2013-08-03 18:32:14.10143	2013-08-03 18:32:14.10143	119
12647	55523	15261	2013-08-03 18:32:14.113769	2013-08-03 18:32:14.113769	119
12648	55313	15241	2013-08-03 18:32:14.123925	2013-08-03 18:32:14.123925	119
12649	55186	15221	2013-08-03 18:32:14.140433	2013-08-03 18:32:14.140433	119
12650	55086	15201	2013-08-03 18:32:14.155808	2013-08-03 18:32:14.155808	119
12651	55049	15181	2013-08-03 18:32:14.166484	2013-08-03 18:32:14.166484	119
12652	55020	15161	2013-08-03 18:32:14.181129	2013-08-03 18:32:14.181129	119
12653	54979	15141	2013-08-03 18:32:14.203167	2013-08-03 18:32:14.203167	119
12654	54963	15220	2013-08-03 18:32:14.222421	2013-08-03 18:32:14.222421	119
12655	55084	17838	2013-08-03 18:32:14.242388	2013-08-03 18:32:14.242388	119
12656	55084	6540	2013-08-03 18:32:14.246571	2013-08-03 18:32:14.246571	119
12657	55084	8471	2013-08-03 18:32:14.250767	2013-08-03 18:32:14.250767	119
12658	55084	8491	2013-08-03 18:32:14.254974	2013-08-03 18:32:14.254974	119
12659	55084	8531	2013-08-03 18:32:14.259729	2013-08-03 18:32:14.259729	119
12660	55084	3732	2013-08-03 18:32:14.267205	2013-08-03 18:32:14.267205	119
12661	55084	4099	2013-08-03 18:32:14.275738	2013-08-03 18:32:14.275738	119
12662	55084	4119	2013-08-03 18:32:14.284185	2013-08-03 18:32:14.284185	119
12663	55084	11711	2013-08-03 18:32:14.292354	2013-08-03 18:32:14.292354	119
12664	54982	11691	2013-08-03 18:32:14.307789	2013-08-03 18:32:14.307789	119
12665	54982	8411	2013-08-03 18:32:14.320072	2013-08-03 18:32:14.320072	119
12666	54982	11791	2013-08-03 18:32:14.328069	2013-08-03 18:32:14.328069	119
12667	54982	11871	2013-08-03 18:32:14.332199	2013-08-03 18:32:14.332199	119
12668	54982	6706	2013-08-03 18:32:14.336063	2013-08-03 18:32:14.336063	119
12669	54982	6741	2013-08-03 18:32:14.341379	2013-08-03 18:32:14.341379	119
12670	54982	6378	2013-08-03 18:32:14.347074	2013-08-03 18:32:14.347074	119
12671	54982	6358	2013-08-03 18:32:14.353638	2013-08-03 18:32:14.353638	119
12672	54982	4170	2013-08-03 18:32:14.363737	2013-08-03 18:32:14.363737	119
12673	55760	19525	2013-08-03 18:32:14.414461	2013-08-03 18:32:14.414461	119
12674	55724	19505	2013-08-03 18:32:14.4275	2013-08-03 18:32:14.4275	119
12675	55526	19485	2013-08-03 18:32:14.43569	2013-08-03 18:32:14.43569	119
12676	55324	19475	2013-08-03 18:32:14.443759	2013-08-03 18:32:14.443759	119
12677	55085	19357	2013-08-03 18:32:14.452664	2013-08-03 18:32:14.452664	119
12678	55081	19465	2013-08-03 18:32:14.4616	2013-08-03 18:32:14.4616	119
12679	55048	19445	2013-08-03 18:32:14.49397	2013-08-03 18:32:14.49397	119
12680	55027	19425	2013-08-03 18:32:14.515105	2013-08-03 18:32:14.515105	119
12681	54983	18752	2013-08-03 18:32:14.526106	2013-08-03 18:32:14.526106	119
12682	54978	15221	2013-08-03 18:32:14.536062	2013-08-03 18:32:14.536062	119
12683	54964	15081	2013-08-03 18:32:14.54961	2013-08-03 18:32:14.54961	119
12684	55021	20005	2013-08-03 18:32:14.579546	2013-08-03 18:32:14.579546	119
12685	55021	19985	2013-08-03 18:32:14.587198	2013-08-03 18:32:14.587198	119
12686	55021	19965	2013-08-03 18:32:14.594017	2013-08-03 18:32:14.594017	119
12687	55021	19945	2013-08-03 18:32:14.641061	2013-08-03 18:32:14.641061	119
12688	55021	19925	2013-08-03 18:32:14.652597	2013-08-03 18:32:14.652597	119
12689	55021	19905	2013-08-03 18:32:14.658692	2013-08-03 18:32:14.658692	119
12690	55021	19885	2013-08-03 18:32:14.664554	2013-08-03 18:32:14.664554	119
12691	55021	19865	2013-08-03 18:32:14.670835	2013-08-03 18:32:14.670835	119
12692	55021	19845	2013-08-03 18:32:14.676243	2013-08-03 18:32:14.676243	119
12693	55021	19855	2013-08-03 18:32:14.681435	2013-08-03 18:32:14.681435	119
12694	55021	19825	2013-08-03 18:32:14.686899	2013-08-03 18:32:14.686899	119
12695	55021	19805	2013-08-03 18:32:14.692378	2013-08-03 18:32:14.692378	119
12696	55021	19803	2013-08-03 18:32:14.697844	2013-08-03 18:32:14.697844	119
12697	55021	19785	2013-08-03 18:32:14.70293	2013-08-03 18:32:14.70293	119
12698	55021	19765	2013-08-03 18:32:14.707815	2013-08-03 18:32:14.707815	119
12699	55021	19745	2013-08-03 18:32:14.712399	2013-08-03 18:32:14.712399	119
12700	55021	19725	2013-08-03 18:32:14.716194	2013-08-03 18:32:14.716194	119
12701	55021	19705	2013-08-03 18:32:14.720322	2013-08-03 18:32:14.720322	119
12702	55021	19715	2013-08-03 18:32:14.724053	2013-08-03 18:32:14.724053	119
12703	55762	10611	2013-08-03 18:32:14.763468	2013-08-03 18:32:14.763468	119
12704	55710	10631	2013-08-03 18:32:14.780883	2013-08-03 18:32:14.780883	119
12705	55495	5498	2013-08-03 18:32:14.797611	2013-08-03 18:32:14.797611	119
12706	55088	22597	2013-08-03 18:32:14.815464	2013-08-03 18:32:14.815464	119
12707	55050	5558	2013-08-03 18:32:14.82958	2013-08-03 18:32:14.82958	119
12708	55036	5578	2013-08-03 18:32:14.844077	2013-08-03 18:32:14.844077	119
12709	55011	5598	2013-08-03 18:32:14.857335	2013-08-03 18:32:14.857335	119
12710	54985	5618	2013-08-03 18:32:14.875653	2013-08-03 18:32:14.875653	119
12711	54980	5355	2013-08-03 18:32:14.89265	2013-08-03 18:32:14.89265	119
12712	54965	5375	2013-08-03 18:32:14.900716	2013-08-03 18:32:14.900716	119
12713	55722	12790	2013-08-03 18:32:14.924102	2013-08-03 18:32:14.924102	119
12714	55599	12661	2013-08-03 18:32:14.933045	2013-08-03 18:32:14.933045	119
12715	55470	11436	2013-08-03 18:32:14.942292	2013-08-03 18:32:14.942292	119
12716	55119	11260	2013-08-03 18:32:14.950773	2013-08-03 18:32:14.950773	119
12717	55103	10421	2013-08-03 18:32:14.959122	2013-08-03 18:32:14.959122	119
12718	55089	10126	2013-08-03 18:32:14.967165	2013-08-03 18:32:14.967165	119
12719	55051	2729	2013-08-03 18:32:14.976736	2013-08-03 18:32:14.976736	119
12720	55017	2781	2013-08-03 18:32:14.982625	2013-08-03 18:32:14.982625	119
12721	55002	15888	2013-08-03 18:32:14.992775	2013-08-03 18:32:14.992775	119
12722	54986	1739	2013-08-03 18:32:15.005955	2013-08-03 18:32:15.005955	119
12723	54966	7719	2013-08-03 18:32:15.018283	2013-08-03 18:32:15.018283	119
12724	55763	6869	2013-08-03 18:32:15.033237	2013-08-03 18:32:15.033237	119
12725	55763	6849	2013-08-03 18:32:15.037481	2013-08-03 18:32:15.037481	119
12726	55686	6829	2013-08-03 18:32:15.046424	2013-08-03 18:32:15.046424	119
12727	55686	6809	2013-08-03 18:32:15.050276	2013-08-03 18:32:15.050276	119
12728	55612	6789	2013-08-03 18:32:15.056466	2013-08-03 18:32:15.056466	119
12729	55612	6769	2013-08-03 18:32:15.059509	2013-08-03 18:32:15.059509	119
12730	55209	6856	2013-08-03 18:32:15.068861	2013-08-03 18:32:15.068861	119
12731	55209	6846	2013-08-03 18:32:15.074901	2013-08-03 18:32:15.074901	119
12732	55145	6786	2013-08-03 18:32:15.092313	2013-08-03 18:32:15.092313	119
12733	55145	8336	2013-08-03 18:32:15.100342	2013-08-03 18:32:15.100342	119
12734	55090	6701	2013-08-03 18:32:15.118453	2013-08-03 18:32:15.118453	119
12735	55090	6681	2013-08-03 18:32:15.126267	2013-08-03 18:32:15.126267	119
12736	55055	6749	2013-08-03 18:32:15.140083	2013-08-03 18:32:15.140083	119
12737	55055	6729	2013-08-03 18:32:15.146545	2013-08-03 18:32:15.146545	119
12738	55034	6709	2013-08-03 18:32:15.162139	2013-08-03 18:32:15.162139	119
12739	55034	6689	2013-08-03 18:32:15.167706	2013-08-03 18:32:15.167706	119
12740	54981	2785	2013-08-03 18:32:15.185907	2013-08-03 18:32:15.185907	119
12741	54981	2696	2013-08-03 18:32:15.1932	2013-08-03 18:32:15.1932	119
12742	55713	14130	2013-08-03 18:32:15.219244	2013-08-03 18:32:15.219244	119
12743	55461	21248	2013-08-03 18:32:15.228436	2013-08-03 18:32:15.228436	119
12744	55223	14110	2013-08-03 18:32:15.239465	2013-08-03 18:32:15.239465	119
12745	55092	14090	2013-08-03 18:32:15.254772	2013-08-03 18:32:15.254772	119
12746	55053	14070	2013-08-03 18:32:15.263811	2013-08-03 18:32:15.263811	119
12747	55035	14050	2013-08-03 18:32:15.271103	2013-08-03 18:32:15.271103	119
12748	55026	14030	2013-08-03 18:32:15.278436	2013-08-03 18:32:15.278436	119
12749	55009	14020	2013-08-03 18:32:15.286663	2013-08-03 18:32:15.286663	119
12750	54988	11386	2013-08-03 18:32:15.294295	2013-08-03 18:32:15.294295	119
12751	54984	2725	2013-08-03 18:32:15.303126	2013-08-03 18:32:15.303126	119
12752	54972	2822	2013-08-03 18:32:15.316076	2013-08-03 18:32:15.316076	119
12753	55764	10956	2013-08-03 18:32:15.352504	2013-08-03 18:32:15.352504	119
12754	55764	10606	2013-08-03 18:32:15.360183	2013-08-03 18:32:15.360183	119
12755	55764	6585	2013-08-03 18:32:15.366284	2013-08-03 18:32:15.366284	119
12756	55764	6543	2013-08-03 18:32:15.372799	2013-08-03 18:32:15.372799	119
12757	55764	2725	2013-08-03 18:32:15.378706	2013-08-03 18:32:15.378706	119
12758	55764	2696	2013-08-03 18:32:15.382849	2013-08-03 18:32:15.382849	119
12759	55764	2785	2013-08-03 18:32:15.387654	2013-08-03 18:32:15.387654	119
12760	55764	2808	2013-08-03 18:32:15.393855	2013-08-03 18:32:15.393855	119
12761	55764	2716	2013-08-03 18:32:15.401482	2013-08-03 18:32:15.401482	119
12762	55444	2571	2013-08-03 18:32:15.435115	2013-08-03 18:32:15.435115	119
12763	55444	2628	2013-08-03 18:32:15.445584	2013-08-03 18:32:15.445584	119
12764	55444	2568	2013-08-03 18:32:15.455704	2013-08-03 18:32:15.455704	119
12765	55444	15788	2013-08-03 18:32:15.465662	2013-08-03 18:32:15.465662	119
12766	55444	4206	2013-08-03 18:32:15.469979	2013-08-03 18:32:15.469979	119
12767	55444	11671	2013-08-03 18:32:15.475668	2013-08-03 18:32:15.475668	119
12768	55444	9171	2013-08-03 18:32:15.48321	2013-08-03 18:32:15.48321	119
12769	55444	905	2013-08-03 18:32:15.490348	2013-08-03 18:32:15.490348	119
12770	55444	6850	2013-08-03 18:32:15.494801	2013-08-03 18:32:15.494801	119
12771	55765	18852	2013-08-03 18:32:15.524143	2013-08-03 18:32:15.524143	119
12772	55716	18705	2013-08-03 18:32:15.53236	2013-08-03 18:32:15.53236	119
12773	55418	18623	2013-08-03 18:32:15.540807	2013-08-03 18:32:15.540807	119
12774	55323	15181	2013-08-03 18:32:15.547926	2013-08-03 18:32:15.547926	119
12775	55105	14918	2013-08-03 18:32:15.604735	2013-08-03 18:32:15.604735	119
12776	55093	15001	2013-08-03 18:32:15.612795	2013-08-03 18:32:15.612795	119
12777	55019	14070	2013-08-03 18:32:15.621407	2013-08-03 18:32:15.621407	119
12778	55004	13661	2013-08-03 18:32:15.629131	2013-08-03 18:32:15.629131	119
12779	54989	11400	2013-08-03 18:32:15.64214	2013-08-03 18:32:15.64214	119
12780	54987	2729	2013-08-03 18:32:15.657851	2013-08-03 18:32:15.657851	119
12781	54969	1502	2013-08-03 18:32:15.66952	2013-08-03 18:32:15.66952	119
12782	55766	16393	2013-08-03 18:32:15.70614	2013-08-03 18:32:15.70614	119
12783	55766	16373	2013-08-03 18:32:15.714861	2013-08-03 18:32:15.714861	119
12784	55766	16353	2013-08-03 18:32:15.720464	2013-08-03 18:32:15.720464	119
12785	55766	16333	2013-08-03 18:32:15.725114	2013-08-03 18:32:15.725114	119
12786	55766	16192	2013-08-03 18:32:15.729325	2013-08-03 18:32:15.729325	119
12787	55766	16313	2013-08-03 18:32:15.73385	2013-08-03 18:32:15.73385	119
12788	55766	16293	2013-08-03 18:32:15.739234	2013-08-03 18:32:15.739234	119
12789	55766	16273	2013-08-03 18:32:15.744092	2013-08-03 18:32:15.744092	119
12790	55766	16253	2013-08-03 18:32:15.748983	2013-08-03 18:32:15.748983	119
12791	55082	16323	2013-08-03 18:32:15.758752	2013-08-03 18:32:15.758752	119
12792	55082	16233	2013-08-03 18:32:15.763232	2013-08-03 18:32:15.763232	119
12793	55082	16213	2013-08-03 18:32:15.76806	2013-08-03 18:32:15.76806	119
12794	55082	16193	2013-08-03 18:32:15.773364	2013-08-03 18:32:15.773364	119
12795	55082	16173	2013-08-03 18:32:15.779177	2013-08-03 18:32:15.779177	119
12796	55082	16153	2013-08-03 18:32:15.783982	2013-08-03 18:32:15.783982	119
12797	55082	16133	2013-08-03 18:32:15.78842	2013-08-03 18:32:15.78842	119
12798	55082	16113	2013-08-03 18:32:15.792423	2013-08-03 18:32:15.792423	119
12799	55082	14010	2013-08-03 18:32:15.795664	2013-08-03 18:32:15.795664	119
12800	55767	11937	2013-08-03 18:32:15.811964	2013-08-03 18:32:15.811964	119
12801	55767	14168	2013-08-03 18:32:15.816653	2013-08-03 18:32:15.816653	119
12802	55767	1702	2013-08-03 18:32:15.821781	2013-08-03 18:32:15.821781	119
12803	55767	1722	2013-08-03 18:32:15.826254	2013-08-03 18:32:15.826254	119
12804	55767	1586	2013-08-03 18:32:15.830715	2013-08-03 18:32:15.830715	119
12805	55767	1587	2013-08-03 18:32:15.834896	2013-08-03 18:32:15.834896	119
12806	55767	1662	2013-08-03 18:32:15.84165	2013-08-03 18:32:15.84165	119
12807	55767	1642	2013-08-03 18:32:15.84837	2013-08-03 18:32:15.84837	119
12808	55767	1607	2013-08-03 18:32:15.853396	2013-08-03 18:32:15.853396	119
12809	55767	1627	2013-08-03 18:32:15.857551	2013-08-03 18:32:15.857551	119
12810	55767	1647	2013-08-03 18:32:15.866381	2013-08-03 18:32:15.866381	119
12811	55767	1582	2013-08-03 18:32:15.874291	2013-08-03 18:32:15.874291	119
12812	55767	1602	2013-08-03 18:32:15.88333	2013-08-03 18:32:15.88333	119
12813	55767	17577	2013-08-03 18:32:15.89072	2013-08-03 18:32:15.89072	119
12814	55767	13671	2013-08-03 18:32:15.899924	2013-08-03 18:32:15.899924	119
12815	55767	11737	2013-08-03 18:32:15.904473	2013-08-03 18:32:15.904473	119
12816	55767	5537	2013-08-03 18:32:15.90913	2013-08-03 18:32:15.90913	119
12817	55767	13768	2013-08-03 18:32:15.91424	2013-08-03 18:32:15.91424	119
12818	55767	8011	2013-08-03 18:32:15.918855	2013-08-03 18:32:15.918855	119
12819	55149	26757	2013-08-03 18:32:15.96601	2013-08-03 18:32:15.96601	119
12820	55149	26737	2013-08-03 18:32:15.976536	2013-08-03 18:32:15.976536	119
12821	55095	26717	2013-08-03 18:32:15.996549	2013-08-03 18:32:15.996549	119
12822	55095	26697	2013-08-03 18:32:16.0068	2013-08-03 18:32:16.0068	119
12823	55063	26677	2013-08-03 18:32:16.015446	2013-08-03 18:32:16.015446	119
12824	55063	26657	2013-08-03 18:32:16.019708	2013-08-03 18:32:16.019708	119
12825	55022	26637	2013-08-03 18:32:16.029383	2013-08-03 18:32:16.029383	119
12826	55022	26617	2013-08-03 18:32:16.033628	2013-08-03 18:32:16.033628	119
12827	54991	26597	2013-08-03 18:32:16.041953	2013-08-03 18:32:16.041953	119
12828	54991	26577	2013-08-03 18:32:16.0465	2013-08-03 18:32:16.0465	119
12829	54990	26557	2013-08-03 18:32:16.054681	2013-08-03 18:32:16.054681	119
12830	54990	26537	2013-08-03 18:32:16.058794	2013-08-03 18:32:16.058794	119
12831	54975	26517	2013-08-03 18:32:16.070247	2013-08-03 18:32:16.070247	119
12832	54975	26497	2013-08-03 18:32:16.073315	2013-08-03 18:32:16.073315	119
12833	54970	11041	2013-08-03 18:32:16.078831	2013-08-03 18:32:16.078831	119
12834	54970	11126	2013-08-03 18:32:16.081899	2013-08-03 18:32:16.081899	119
12835	55768	2049	2013-08-03 18:32:16.112179	2013-08-03 18:32:16.112179	119
12836	55712	2791	2013-08-03 18:32:16.122183	2013-08-03 18:32:16.122183	119
12837	55325	2039	2013-08-03 18:32:16.132812	2013-08-03 18:32:16.132812	119
12838	55283	2014	2013-08-03 18:32:16.145256	2013-08-03 18:32:16.145256	119
12839	55172	2040	2013-08-03 18:32:16.154556	2013-08-03 18:32:16.154556	119
12840	55106	4186	2013-08-03 18:32:16.160183	2013-08-03 18:32:16.160183	119
12841	55096	1542	2013-08-03 18:32:16.168592	2013-08-03 18:32:16.168592	119
12842	55064	1522	2013-08-03 18:32:16.179611	2013-08-03 18:32:16.179611	119
12843	55025	3324	2013-08-03 18:32:16.188384	2013-08-03 18:32:16.188384	119
12844	54995	1320	2013-08-03 18:32:16.203619	2013-08-03 18:32:16.203619	119
12845	54992	18668	2013-08-03 18:32:16.220419	2013-08-03 18:32:16.220419	119
12846	54967	18628	2013-08-03 18:32:16.230983	2013-08-03 18:32:16.230983	119
12847	55510	23738	2013-08-03 18:32:16.277294	2013-08-03 18:32:16.277294	119
12848	55309	23718	2013-08-03 18:32:16.284651	2013-08-03 18:32:16.284651	119
12849	55245	23698	2013-08-03 18:32:16.297361	2013-08-03 18:32:16.297361	119
12850	55154	23678	2013-08-03 18:32:16.309239	2013-08-03 18:32:16.309239	119
12851	55067	23658	2013-08-03 18:32:16.321243	2013-08-03 18:32:16.321243	119
12852	55047	23638	2013-08-03 18:32:16.328565	2013-08-03 18:32:16.328565	119
12853	55023	23618	2013-08-03 18:32:16.338023	2013-08-03 18:32:16.338023	119
12854	55006	23598	2013-08-03 18:32:16.347901	2013-08-03 18:32:16.347901	119
12855	55003	23578	2013-08-03 18:32:16.356975	2013-08-03 18:32:16.356975	119
12856	54998	23558	2013-08-03 18:32:16.370989	2013-08-03 18:32:16.370989	119
12857	54993	23538	2013-08-03 18:32:16.386918	2013-08-03 18:32:16.386918	119
12858	55769	12777	2013-08-03 18:32:16.438038	2013-08-03 18:32:16.438038	119
12859	55715	2069	2013-08-03 18:32:16.446228	2013-08-03 18:32:16.446228	119
12860	55305	2079	2013-08-03 18:32:16.454794	2013-08-03 18:32:16.454794	119
12861	55173	2166	2013-08-03 18:32:16.461056	2013-08-03 18:32:16.461056	119
12862	55146	2104	2013-08-03 18:32:16.472172	2013-08-03 18:32:16.472172	119
12863	55098	2798	2013-08-03 18:32:16.484319	2013-08-03 18:32:16.484319	119
12864	55065	1960	2013-08-03 18:32:16.496703	2013-08-03 18:32:16.496703	119
12865	55018	2014	2013-08-03 18:32:16.570787	2013-08-03 18:32:16.570787	119
12866	55010	10723	2013-08-03 18:32:16.577951	2013-08-03 18:32:16.577951	119
12867	54997	15608	2013-08-03 18:32:16.584412	2013-08-03 18:32:16.584412	119
12868	54994	15728	2013-08-03 18:32:16.592132	2013-08-03 18:32:16.592132	119
12869	54968	13391	2013-08-03 18:32:16.599105	2013-08-03 18:32:16.599105	119
12870	55771	23140	2013-08-03 18:32:16.634169	2013-08-03 18:32:16.634169	119
12871	55717	23120	2013-08-03 18:32:16.649365	2013-08-03 18:32:16.649365	119
12872	55601	23100	2013-08-03 18:32:16.668374	2013-08-03 18:32:16.668374	119
12873	55556	23080	2013-08-03 18:32:16.683624	2013-08-03 18:32:16.683624	119
12874	55271	21555	2013-08-03 18:32:16.701948	2013-08-03 18:32:16.701948	119
12875	55148	23060	2013-08-03 18:32:16.72315	2013-08-03 18:32:16.72315	119
12876	55099	23040	2013-08-03 18:32:16.743315	2013-08-03 18:32:16.743315	119
12877	55066	10815	2013-08-03 18:32:16.75999	2013-08-03 18:32:16.75999	119
12878	55024	2756	2013-08-03 18:32:16.781575	2013-08-03 18:32:16.781575	119
12879	54999	10808	2013-08-03 18:32:16.795738	2013-08-03 18:32:16.795738	119
12880	54996	1291	2013-08-03 18:32:16.80712	2013-08-03 18:32:16.80712	119
12881	54971	13431	2013-08-03 18:32:16.817164	2013-08-03 18:32:16.817164	119
12882	55742	23600	2013-08-03 18:32:16.833858	2013-08-03 18:32:16.833858	119
12883	55742	23580	2013-08-03 18:32:16.837855	2013-08-03 18:32:16.837855	119
12884	55742	23560	2013-08-03 18:32:16.841187	2013-08-03 18:32:16.841187	119
12885	55742	23540	2013-08-03 18:32:16.844419	2013-08-03 18:32:16.844419	119
12886	55742	23520	2013-08-03 18:32:16.847376	2013-08-03 18:32:16.847376	119
12887	55742	23500	2013-08-03 18:32:16.851669	2013-08-03 18:32:16.851669	119
12888	55741	23480	2013-08-03 18:32:16.864226	2013-08-03 18:32:16.864226	119
12889	55741	23460	2013-08-03 18:32:16.87254	2013-08-03 18:32:16.87254	119
12890	55741	23440	2013-08-03 18:32:16.879851	2013-08-03 18:32:16.879851	119
12891	55741	23420	2013-08-03 18:32:16.887308	2013-08-03 18:32:16.887308	119
12892	55741	23400	2013-08-03 18:32:16.895016	2013-08-03 18:32:16.895016	119
12893	55741	6631	2013-08-03 18:32:16.902537	2013-08-03 18:32:16.902537	119
12894	55728	23357	2013-08-03 18:32:16.921689	2013-08-03 18:32:16.921689	119
12895	55728	23380	2013-08-03 18:32:16.929512	2013-08-03 18:32:16.929512	119
12896	55728	23360	2013-08-03 18:32:16.939165	2013-08-03 18:32:16.939165	119
12897	55728	23340	2013-08-03 18:32:16.945605	2013-08-03 18:32:16.945605	119
12898	55728	23320	2013-08-03 18:32:16.948575	2013-08-03 18:32:16.948575	119
12899	55728	23300	2013-08-03 18:32:16.953328	2013-08-03 18:32:16.953328	119
12900	55423	24000	2013-08-03 18:32:16.974832	2013-08-03 18:32:16.974832	119
12901	55423	23980	2013-08-03 18:32:16.983337	2013-08-03 18:32:16.983337	119
12902	55423	23960	2013-08-03 18:32:16.988508	2013-08-03 18:32:16.988508	119
12903	55423	23940	2013-08-03 18:32:16.993082	2013-08-03 18:32:16.993082	119
12904	55423	23920	2013-08-03 18:32:16.996604	2013-08-03 18:32:16.996604	119
12905	55423	23900	2013-08-03 18:32:17.002703	2013-08-03 18:32:17.002703	119
12906	55423	23880	2013-08-03 18:32:17.011423	2013-08-03 18:32:17.011423	119
12907	55423	23860	2013-08-03 18:32:17.017205	2013-08-03 18:32:17.017205	119
12908	55423	23840	2013-08-03 18:32:17.02091	2013-08-03 18:32:17.02091	119
12909	55423	23820	2013-08-03 18:32:17.025511	2013-08-03 18:32:17.025511	119
12910	55423	23800	2013-08-03 18:32:17.030016	2013-08-03 18:32:17.030016	119
12911	55423	23780	2013-08-03 18:32:17.036055	2013-08-03 18:32:17.036055	119
12912	55423	23760	2013-08-03 18:32:17.040293	2013-08-03 18:32:17.040293	119
12913	55423	23740	2013-08-03 18:32:17.044589	2013-08-03 18:32:17.044589	119
12914	55423	23720	2013-08-03 18:32:17.04875	2013-08-03 18:32:17.04875	119
12915	55423	23700	2013-08-03 18:32:17.052984	2013-08-03 18:32:17.052984	119
12916	55423	23680	2013-08-03 18:32:17.059458	2013-08-03 18:32:17.059458	119
12917	55423	23660	2013-08-03 18:32:17.064921	2013-08-03 18:32:17.064921	119
12918	55423	23640	2013-08-03 18:32:17.069203	2013-08-03 18:32:17.069203	119
12919	56817	15561	2013-08-03 18:37:37.015685	2013-08-03 18:37:37.015685	120
12920	56265	15477	2013-08-03 18:37:37.039581	2013-08-03 18:37:37.039581	120
12921	56192	15478	2013-08-03 18:37:37.063865	2013-08-03 18:37:37.063865	120
12922	56117	15541	2013-08-03 18:37:37.086783	2013-08-03 18:37:37.086783	120
12923	55983	15521	2013-08-03 18:37:37.11403	2013-08-03 18:37:37.11403	120
12924	55835	15392	2013-08-03 18:37:37.127407	2013-08-03 18:37:37.127407	120
12925	55828	15501	2013-08-03 18:37:37.135073	2013-08-03 18:37:37.135073	120
12926	55826	15481	2013-08-03 18:37:37.142067	2013-08-03 18:37:37.142067	120
12927	55819	15461	2013-08-03 18:37:37.159862	2013-08-03 18:37:37.159862	120
12928	55803	10675	2013-08-03 18:37:37.182016	2013-08-03 18:37:37.182016	120
12929	55782	1247	2013-08-03 18:37:37.203675	2013-08-03 18:37:37.203675	120
12930	56814	11231	2013-08-03 18:37:37.274945	2013-08-03 18:37:37.274945	120
12931	56425	3832	2013-08-03 18:37:37.297349	2013-08-03 18:37:37.297349	120
12932	56409	17838	2013-08-03 18:37:37.316906	2013-08-03 18:37:37.316906	120
12933	56394	6540	2013-08-03 18:37:37.328861	2013-08-03 18:37:37.328861	120
12934	56344	8471	2013-08-03 18:37:37.345798	2013-08-03 18:37:37.345798	120
12935	56281	8491	2013-08-03 18:37:37.3639	2013-08-03 18:37:37.3639	120
12936	56272	8531	2013-08-03 18:37:37.385801	2013-08-03 18:37:37.385801	120
12937	56263	3732	2013-08-03 18:37:37.407325	2013-08-03 18:37:37.407325	120
12938	56200	4099	2013-08-03 18:37:37.429126	2013-08-03 18:37:37.429126	120
12939	56189	4119	2013-08-03 18:37:37.451028	2013-08-03 18:37:37.451028	120
12940	56188	11711	2013-08-03 18:37:37.472953	2013-08-03 18:37:37.472953	120
12941	56815	20625	2013-08-03 18:37:37.540103	2013-08-03 18:37:37.540103	120
12942	56264	20605	2013-08-03 18:37:37.563115	2013-08-03 18:37:37.563115	120
12943	56191	20585	2013-08-03 18:37:37.586445	2013-08-03 18:37:37.586445	120
12944	56109	20437	2013-08-03 18:37:37.608298	2013-08-03 18:37:37.608298	120
12945	55980	20565	2013-08-03 18:37:37.630168	2013-08-03 18:37:37.630168	120
12946	55889	19072	2013-08-03 18:37:37.681203	2013-08-03 18:37:37.681203	120
12947	55857	16540	2013-08-03 18:37:37.696305	2013-08-03 18:37:37.696305	120
12948	55834	11846	2013-08-03 18:37:37.717082	2013-08-03 18:37:37.717082	120
12949	55830	11626	2013-08-03 18:37:37.726164	2013-08-03 18:37:37.726164	120
12950	55818	1819	2013-08-03 18:37:37.741569	2013-08-03 18:37:37.741569	120
12951	55801	1167	2013-08-03 18:37:37.752367	2013-08-03 18:37:37.752367	120
12952	55788	17838	2013-08-03 18:37:37.768199	2013-08-03 18:37:37.768199	120
12953	56355	21025	2013-08-03 18:37:37.809041	2013-08-03 18:37:37.809041	120
12954	56355	21005	2013-08-03 18:37:37.820501	2013-08-03 18:37:37.820501	120
12955	56355	20985	2013-08-03 18:37:37.830992	2013-08-03 18:37:37.830992	120
12956	56355	20965	2013-08-03 18:37:37.841549	2013-08-03 18:37:37.841549	120
12957	56355	21023	2013-08-03 18:37:37.851911	2013-08-03 18:37:37.851911	120
12958	56355	20945	2013-08-03 18:37:37.8624	2013-08-03 18:37:37.8624	120
12959	56355	20925	2013-08-03 18:37:37.872891	2013-08-03 18:37:37.872891	120
12960	56355	20905	2013-08-03 18:37:37.883371	2013-08-03 18:37:37.883371	120
12961	56355	20885	2013-08-03 18:37:37.893948	2013-08-03 18:37:37.893948	120
12962	56355	20865	2013-08-03 18:37:37.904706	2013-08-03 18:37:37.904706	120
12963	56355	20845	2013-08-03 18:37:37.915274	2013-08-03 18:37:37.915274	120
12964	56355	20825	2013-08-03 18:37:37.925786	2013-08-03 18:37:37.925786	120
12965	56355	20875	2013-08-03 18:37:37.936381	2013-08-03 18:37:37.936381	120
12966	56355	20805	2013-08-03 18:37:37.946614	2013-08-03 18:37:37.946614	120
12967	56355	20785	2013-08-03 18:37:37.957188	2013-08-03 18:37:37.957188	120
12968	56355	20765	2013-08-03 18:37:37.967504	2013-08-03 18:37:37.967504	120
12969	56355	20755	2013-08-03 18:37:37.977895	2013-08-03 18:37:37.977895	120
12970	56355	20745	2013-08-03 18:37:37.988491	2013-08-03 18:37:37.988491	120
12971	56355	20763	2013-08-03 18:37:38.039009	2013-08-03 18:37:38.039009	120
12972	56818	16003	2013-08-03 18:37:38.05877	2013-08-03 18:37:38.05877	120
12973	56818	10831	2013-08-03 18:37:38.064791	2013-08-03 18:37:38.064791	120
12974	56193	20488	2013-08-03 18:37:38.077982	2013-08-03 18:37:38.077982	120
12975	56193	10851	2013-08-03 18:37:38.084787	2013-08-03 18:37:38.084787	120
12976	56115	5518	2013-08-03 18:37:38.098482	2013-08-03 18:37:38.098482	120
12977	56115	4398	2013-08-03 18:37:38.105878	2013-08-03 18:37:38.105878	120
12978	55987	6055	2013-08-03 18:37:38.122921	2013-08-03 18:37:38.122921	120
12979	55987	8999	2013-08-03 18:37:38.13551	2013-08-03 18:37:38.13551	120
12980	55890	10671	2013-08-03 18:37:38.146948	2013-08-03 18:37:38.146948	120
12981	55890	5855	2013-08-03 18:37:38.150967	2013-08-03 18:37:38.150967	120
12982	55836	5875	2013-08-03 18:37:38.1596	2013-08-03 18:37:38.1596	120
12983	55836	6095	2013-08-03 18:37:38.163962	2013-08-03 18:37:38.163962	120
12984	55816	5478	2013-08-03 18:37:38.170731	2013-08-03 18:37:38.170731	120
12985	55816	10391	2013-08-03 18:37:38.17478	2013-08-03 18:37:38.17478	120
12986	55807	6799	2013-08-03 18:37:38.188832	2013-08-03 18:37:38.188832	120
12987	55807	8979	2013-08-03 18:37:38.198087	2013-08-03 18:37:38.198087	120
12988	55804	6035	2013-08-03 18:37:38.219364	2013-08-03 18:37:38.219364	120
12989	55804	6015	2013-08-03 18:37:38.229371	2013-08-03 18:37:38.229371	120
12990	56273	2718	2013-08-03 18:37:38.295159	2013-08-03 18:37:38.295159	120
12991	56196	2730	2013-08-03 18:37:38.317122	2013-08-03 18:37:38.317122	120
12992	56108	2822	2013-08-03 18:37:38.338832	2013-08-03 18:37:38.338832	120
12993	55988	1819	2013-08-03 18:37:38.360569	2013-08-03 18:37:38.360569	120
12994	55933	1785	2013-08-03 18:37:38.381542	2013-08-03 18:37:38.381542	120
12995	55915	7719	2013-08-03 18:37:38.402886	2013-08-03 18:37:38.402886	120
12996	55838	1502	2013-08-03 18:37:38.424735	2013-08-03 18:37:38.424735	120
12997	55823	13431	2013-08-03 18:37:38.446535	2013-08-03 18:37:38.446535	120
12998	55805	13391	2013-08-03 18:37:38.46618	2013-08-03 18:37:38.46618	120
12999	55798	1107	2013-08-03 18:37:38.488037	2013-08-03 18:37:38.488037	120
13000	55786	18628	2013-08-03 18:37:38.509798	2013-08-03 18:37:38.509798	120
13001	56819	6938	2013-08-03 18:37:38.555556	2013-08-03 18:37:38.555556	120
13002	56819	7049	2013-08-03 18:37:38.565804	2013-08-03 18:37:38.565804	120
13003	56274	7029	2013-08-03 18:37:38.588725	2013-08-03 18:37:38.588725	120
13004	56274	7009	2013-08-03 18:37:38.599382	2013-08-03 18:37:38.599382	120
13005	56009	6989	2013-08-03 18:37:38.620802	2013-08-03 18:37:38.620802	120
13006	56009	6969	2013-08-03 18:37:38.658439	2013-08-03 18:37:38.658439	120
13007	56000	6949	2013-08-03 18:37:38.677327	2013-08-03 18:37:38.677327	120
13008	56000	6929	2013-08-03 18:37:38.688156	2013-08-03 18:37:38.688156	120
13009	55906	6909	2013-08-03 18:37:38.71053	2013-08-03 18:37:38.71053	120
13010	55906	6790	2013-08-03 18:37:38.721768	2013-08-03 18:37:38.721768	120
13011	55840	6796	2013-08-03 18:37:38.731149	2013-08-03 18:37:38.731149	120
13012	55840	6753	2013-08-03 18:37:38.735188	2013-08-03 18:37:38.735188	120
13013	55814	2749	2013-08-03 18:37:38.744666	2013-08-03 18:37:38.744666	120
13014	55814	1780	2013-08-03 18:37:38.748767	2013-08-03 18:37:38.748767	120
13015	55806	15728	2013-08-03 18:37:38.757192	2013-08-03 18:37:38.757192	120
13016	55806	8656	2013-08-03 18:37:38.760774	2013-08-03 18:37:38.760774	120
13017	56112	11061	2013-08-03 18:37:38.782451	2013-08-03 18:37:38.782451	120
13018	56112	14535	2013-08-03 18:37:38.787479	2013-08-03 18:37:38.787479	120
13019	56021	14557	2013-08-03 18:37:38.796502	2013-08-03 18:37:38.796502	120
13020	56021	14577	2013-08-03 18:37:38.80165	2013-08-03 18:37:38.80165	120
13021	56013	14590	2013-08-03 18:37:38.811647	2013-08-03 18:37:38.811647	120
13022	56013	14570	2013-08-03 18:37:38.81668	2013-08-03 18:37:38.81668	120
13023	55990	14550	2013-08-03 18:37:38.827642	2013-08-03 18:37:38.827642	120
13024	55990	14538	2013-08-03 18:37:38.833039	2013-08-03 18:37:38.833039	120
13025	55841	14530	2013-08-03 18:37:38.846307	2013-08-03 18:37:38.846307	120
13026	55841	14510	2013-08-03 18:37:38.85262	2013-08-03 18:37:38.85262	120
13027	55831	14490	2013-08-03 18:37:38.87048	2013-08-03 18:37:38.87048	120
13028	55831	14470	2013-08-03 18:37:38.881066	2013-08-03 18:37:38.881066	120
13029	55821	14350	2013-08-03 18:37:38.90391	2013-08-03 18:37:38.90391	120
13030	55821	11735	2013-08-03 18:37:38.914237	2013-08-03 18:37:38.914237	120
13031	55808	2568	2013-08-03 18:37:38.936314	2013-08-03 18:37:38.936314	120
13032	55808	3875	2013-08-03 18:37:38.947113	2013-08-03 18:37:38.947113	120
13033	55781	1739	2013-08-03 18:37:38.968456	2013-08-03 18:37:38.968456	120
13034	55781	4759	2013-08-03 18:37:38.979563	2013-08-03 18:37:38.979563	120
13035	56822	11546	2013-08-03 18:37:39.02306	2013-08-03 18:37:39.02306	120
13036	56822	11366	2013-08-03 18:37:39.033932	2013-08-03 18:37:39.033932	120
13037	56822	11260	2013-08-03 18:37:39.044657	2013-08-03 18:37:39.044657	120
13038	56822	11146	2013-08-03 18:37:39.055495	2013-08-03 18:37:39.055495	120
13039	56822	11026	2013-08-03 18:37:39.066369	2013-08-03 18:37:39.066369	120
13040	56822	11060	2013-08-03 18:37:39.077005	2013-08-03 18:37:39.077005	120
13041	56276	6753	2013-08-03 18:37:39.099677	2013-08-03 18:37:39.099677	120
13042	56276	6796	2013-08-03 18:37:39.11018	2013-08-03 18:37:39.11018	120
13043	56276	2729	2013-08-03 18:37:39.120551	2013-08-03 18:37:39.120551	120
13044	56276	2628	2013-08-03 18:37:39.13192	2013-08-03 18:37:39.13192	120
13045	56276	10808	2013-08-03 18:37:39.143601	2013-08-03 18:37:39.143601	120
13046	56276	15608	2013-08-03 18:37:39.156803	2013-08-03 18:37:39.156803	120
13047	55859	8859	2013-08-03 18:37:39.198156	2013-08-03 18:37:39.198156	120
13048	55859	1502	2013-08-03 18:37:39.20186	2013-08-03 18:37:39.20186	120
13049	55859	1291	2013-08-03 18:37:39.206042	2013-08-03 18:37:39.206042	120
13050	55859	1320	2013-08-03 18:37:39.212557	2013-08-03 18:37:39.212557	120
13051	55859	5439	2013-08-03 18:37:39.217577	2013-08-03 18:37:39.217577	120
13052	55859	8471	2013-08-03 18:37:39.223043	2013-08-03 18:37:39.223043	120
13053	56824	19292	2013-08-03 18:37:39.25938	2013-08-03 18:37:39.25938	120
13054	56279	19272	2013-08-03 18:37:39.266568	2013-08-03 18:37:39.266568	120
13055	56266	19217	2013-08-03 18:37:39.275292	2013-08-03 18:37:39.275292	120
13056	56198	19252	2013-08-03 18:37:39.285088	2013-08-03 18:37:39.285088	120
13057	56111	19232	2013-08-03 18:37:39.296696	2013-08-03 18:37:39.296696	120
13058	56042	19212	2013-08-03 18:37:39.316742	2013-08-03 18:37:39.316742	120
13059	56016	19192	2013-08-03 18:37:39.339579	2013-08-03 18:37:39.339579	120
13060	55916	19172	2013-08-03 18:37:39.361981	2013-08-03 18:37:39.361981	120
13061	55842	15521	2013-08-03 18:37:39.384889	2013-08-03 18:37:39.384889	120
13062	55832	14538	2013-08-03 18:37:39.407003	2013-08-03 18:37:39.407003	120
13063	55822	14550	2013-08-03 18:37:39.429611	2013-08-03 18:37:39.429611	120
13064	55799	14330	2013-08-03 18:37:39.451973	2013-08-03 18:37:39.451973	120
13065	55790	1819	2013-08-03 18:37:39.474535	2013-08-03 18:37:39.474535	120
13066	56825	16793	2013-08-03 18:37:39.518987	2013-08-03 18:37:39.518987	120
13067	56825	16773	2013-08-03 18:37:39.529203	2013-08-03 18:37:39.529203	120
13068	56825	16753	2013-08-03 18:37:39.539452	2013-08-03 18:37:39.539452	120
13069	56825	16733	2013-08-03 18:37:39.550005	2013-08-03 18:37:39.550005	120
13070	56825	16713	2013-08-03 18:37:39.55989	2013-08-03 18:37:39.55989	120
13071	56825	16693	2013-08-03 18:37:39.569987	2013-08-03 18:37:39.569987	120
13072	56825	16673	2013-08-03 18:37:39.579928	2013-08-03 18:37:39.579928	120
13073	56825	16653	2013-08-03 18:37:39.590212	2013-08-03 18:37:39.590212	120
13074	56825	16637	2013-08-03 18:37:39.60126	2013-08-03 18:37:39.60126	120
13075	56017	16633	2013-08-03 18:37:39.623662	2013-08-03 18:37:39.623662	120
13076	56017	16613	2013-08-03 18:37:39.634452	2013-08-03 18:37:39.634452	120
13077	56017	15477	2013-08-03 18:37:39.645272	2013-08-03 18:37:39.645272	120
13078	56017	14198	2013-08-03 18:37:39.655465	2013-08-03 18:37:39.655465	120
13079	56017	6796	2013-08-03 18:37:39.666011	2013-08-03 18:37:39.666011	120
13080	56017	6753	2013-08-03 18:37:39.676653	2013-08-03 18:37:39.676653	120
13081	56017	2729	2013-08-03 18:37:39.72105	2013-08-03 18:37:39.72105	120
13082	56017	2718	2013-08-03 18:37:39.725642	2013-08-03 18:37:39.725642	120
13083	56017	2628	2013-08-03 18:37:39.729779	2013-08-03 18:37:39.729779	120
13084	56827	1985	2013-08-03 18:37:39.749527	2013-08-03 18:37:39.749527	120
13085	56827	1886	2013-08-03 18:37:39.756463	2013-08-03 18:37:39.756463	120
13086	56827	1950	2013-08-03 18:37:39.76559	2013-08-03 18:37:39.76559	120
13087	56827	1908	2013-08-03 18:37:39.770944	2013-08-03 18:37:39.770944	120
13088	56827	2034	2013-08-03 18:37:39.775198	2013-08-03 18:37:39.775198	120
13089	56827	1832	2013-08-03 18:37:39.781507	2013-08-03 18:37:39.781507	120
13090	56827	10723	2013-08-03 18:37:39.789408	2013-08-03 18:37:39.789408	120
13091	56827	15708	2013-08-03 18:37:39.793949	2013-08-03 18:37:39.793949	120
13092	56827	5576	2013-08-03 18:37:39.800182	2013-08-03 18:37:39.800182	120
13093	56287	15848	2013-08-03 18:37:39.81885	2013-08-03 18:37:39.81885	120
13094	56287	12577	2013-08-03 18:37:39.829824	2013-08-03 18:37:39.829824	120
13095	56287	10643	2013-08-03 18:37:39.84056	2013-08-03 18:37:39.84056	120
13096	56287	15648	2013-08-03 18:37:39.850477	2013-08-03 18:37:39.850477	120
13097	56287	10375	2013-08-03 18:37:39.857579	2013-08-03 18:37:39.857579	120
13098	56287	9259	2013-08-03 18:37:39.865955	2013-08-03 18:37:39.865955	120
13099	56287	1749	2013-08-03 18:37:39.876626	2013-08-03 18:37:39.876626	120
13100	56287	1809	2013-08-03 18:37:39.887218	2013-08-03 18:37:39.887218	120
13101	56287	9379	2013-08-03 18:37:39.89782	2013-08-03 18:37:39.89782	120
13102	56831	2741	2013-08-03 18:37:39.977408	2013-08-03 18:37:39.977408	120
13103	56288	2764	2013-08-03 18:37:40.000202	2013-08-03 18:37:40.000202	120
13104	56204	2810	2013-08-03 18:37:40.022741	2013-08-03 18:37:40.022741	120
13105	56116	2069	2013-08-03 18:37:40.045441	2013-08-03 18:37:40.045441	120
13106	56102	11671	2013-08-03 18:37:40.068167	2013-08-03 18:37:40.068167	120
13107	56043	4186	2013-08-03 18:37:40.091914	2013-08-03 18:37:40.091914	120
13108	55993	18668	2013-08-03 18:37:40.117043	2013-08-03 18:37:40.117043	120
13109	55918	9171	2013-08-03 18:37:40.140711	2013-08-03 18:37:40.140711	120
13110	55845	6741	2013-08-03 18:37:40.165635	2013-08-03 18:37:40.165635	120
13111	55825	6358	2013-08-03 18:37:40.18315	2013-08-03 18:37:40.18315	120
13112	55811	6378	2013-08-03 18:37:40.229713	2013-08-03 18:37:40.229713	120
13113	55784	11691	2013-08-03 18:37:40.251191	2013-08-03 18:37:40.251191	120
13114	55778	905	2013-08-03 18:37:40.272597	2013-08-03 18:37:40.272597	120
13115	56286	24198	2013-08-03 18:37:40.296541	2013-08-03 18:37:40.296541	120
13116	56251	24178	2013-08-03 18:37:40.305743	2013-08-03 18:37:40.305743	120
13117	56218	24158	2013-08-03 18:37:40.322497	2013-08-03 18:37:40.322497	120
13118	56187	24138	2013-08-03 18:37:40.343584	2013-08-03 18:37:40.343584	120
13119	55961	24118	2013-08-03 18:37:40.366293	2013-08-03 18:37:40.366293	120
13120	55911	24098	2013-08-03 18:37:40.388015	2013-08-03 18:37:40.388015	120
13121	55873	24078	2013-08-03 18:37:40.410798	2013-08-03 18:37:40.410798	120
13122	55858	24058	2013-08-03 18:37:40.433091	2013-08-03 18:37:40.433091	120
13123	55843	24038	2013-08-03 18:37:40.45611	2013-08-03 18:37:40.45611	120
13124	55800	5070	2013-08-03 18:37:40.479318	2013-08-03 18:37:40.479318	120
13125	55793	24018	2013-08-03 18:37:40.502372	2013-08-03 18:37:40.502372	120
13126	56832	2349	2013-08-03 18:37:40.566896	2013-08-03 18:37:40.566896	120
13127	56289	2208	2013-08-03 18:37:40.590481	2013-08-03 18:37:40.590481	120
13128	56120	2104	2013-08-03 18:37:40.613531	2013-08-03 18:37:40.613531	120
13129	56044	2079	2013-08-03 18:37:40.637206	2013-08-03 18:37:40.637206	120
13130	56005	15888	2013-08-03 18:37:40.689611	2013-08-03 18:37:40.689611	120
13131	55919	18778	2013-08-03 18:37:40.699646	2013-08-03 18:37:40.699646	120
13132	55886	10043	2013-08-03 18:37:40.71046	2013-08-03 18:37:40.71046	120
13133	55846	10552	2013-08-03 18:37:40.728266	2013-08-03 18:37:40.728266	120
13134	55820	1522	2013-08-03 18:37:40.746661	2013-08-03 18:37:40.746661	120
13135	55802	6706	2013-08-03 18:37:40.758999	2013-08-03 18:37:40.758999	120
13136	55789	11791	2013-08-03 18:37:40.76551	2013-08-03 18:37:40.76551	120
13137	56833	24300	2013-08-03 18:37:40.796351	2013-08-03 18:37:40.796351	120
13138	56290	24280	2013-08-03 18:37:40.805045	2013-08-03 18:37:40.805045	120
13139	56215	24260	2013-08-03 18:37:40.81547	2013-08-03 18:37:40.81547	120
13140	56119	24240	2013-08-03 18:37:40.825757	2013-08-03 18:37:40.825757	120
13141	56045	24220	2013-08-03 18:37:40.848479	2013-08-03 18:37:40.848479	120
13142	56006	24200	2013-08-03 18:37:40.870068	2013-08-03 18:37:40.870068	120
13143	55921	11915	2013-08-03 18:37:40.892678	2013-08-03 18:37:40.892678	120
13144	55849	11646	2013-08-03 18:37:40.912563	2013-08-03 18:37:40.912563	120
13145	55844	10532	2013-08-03 18:37:40.933598	2013-08-03 18:37:40.933598	120
13146	55824	986	2013-08-03 18:37:40.956654	2013-08-03 18:37:40.956654	120
13147	55815	11551	2013-08-03 18:37:41.017631	2013-08-03 18:37:41.017631	120
13148	55785	8411	2013-08-03 18:37:41.034849	2013-08-03 18:37:41.034849	120
13149	55912	24780	2013-08-03 18:37:41.059515	2013-08-03 18:37:41.059515	120
13150	55912	24760	2013-08-03 18:37:41.062977	2013-08-03 18:37:41.062977	120
13151	55912	24740	2013-08-03 18:37:41.067701	2013-08-03 18:37:41.067701	120
13152	55879	24720	2013-08-03 18:37:41.074958	2013-08-03 18:37:41.074958	120
13153	55879	24700	2013-08-03 18:37:41.079394	2013-08-03 18:37:41.079394	120
13154	55879	24680	2013-08-03 18:37:41.084754	2013-08-03 18:37:41.084754	120
13155	55847	24660	2013-08-03 18:37:41.094249	2013-08-03 18:37:41.094249	120
13156	55847	24640	2013-08-03 18:37:41.102427	2013-08-03 18:37:41.102427	120
13157	55847	24620	2013-08-03 18:37:41.109287	2013-08-03 18:37:41.109287	120
13158	55795	24600	2013-08-03 18:37:41.127319	2013-08-03 18:37:41.127319	120
13159	55795	24580	2013-08-03 18:37:41.137986	2013-08-03 18:37:41.137986	120
13160	55795	24560	2013-08-03 18:37:41.148681	2013-08-03 18:37:41.148681	120
13161	55792	24540	2013-08-03 18:37:41.171193	2013-08-03 18:37:41.171193	120
13162	55792	24520	2013-08-03 18:37:41.182143	2013-08-03 18:37:41.182143	120
13163	55792	24500	2013-08-03 18:37:41.193382	2013-08-03 18:37:41.193382	120
13164	55791	7671	2013-08-03 18:37:41.207103	2013-08-03 18:37:41.207103	120
13165	55791	24480	2013-08-03 18:37:41.21208	2013-08-03 18:37:41.21208	120
13166	55791	24460	2013-08-03 18:37:41.216186	2013-08-03 18:37:41.216186	120
13167	56998	15885	2013-08-03 18:42:34.667869	2013-08-03 18:42:34.667869	121
13168	56867	15921	2013-08-03 18:42:34.704756	2013-08-03 18:42:34.704756	121
13169	56686	15900	2013-08-03 18:42:34.729095	2013-08-03 18:42:34.729095	121
13170	56620	15901	2013-08-03 18:42:34.752226	2013-08-03 18:42:34.752226	121
13171	56571	15881	2013-08-03 18:42:34.776718	2013-08-03 18:42:34.776718	121
13172	56520	15861	2013-08-03 18:42:34.799103	2013-08-03 18:42:34.799103	121
13173	56517	15758	2013-08-03 18:42:34.821924	2013-08-03 18:42:34.821924	121
13174	56462	14790	2013-08-03 18:42:34.843701	2013-08-03 18:42:34.843701	121
13175	56459	15928	2013-08-03 18:42:34.865859	2013-08-03 18:42:34.865859	121
13176	56456	13768	2013-08-03 18:42:34.88769	2013-08-03 18:42:34.88769	121
13177	56882	33783	2013-08-03 18:42:34.946903	2013-08-03 18:42:34.946903	121
13178	56882	33763	2013-08-03 18:42:34.957611	2013-08-03 18:42:34.957611	121
13179	56882	33743	2013-08-03 18:42:34.967813	2013-08-03 18:42:34.967813	121
13180	56882	33723	2013-08-03 18:42:34.978088	2013-08-03 18:42:34.978088	121
13181	56882	33703	2013-08-03 18:42:34.988528	2013-08-03 18:42:34.988528	121
13182	56882	33683	2013-08-03 18:42:34.99888	2013-08-03 18:42:34.99888	121
13183	56882	33663	2013-08-03 18:42:35.009169	2013-08-03 18:42:35.009169	121
13184	56882	33643	2013-08-03 18:42:35.019405	2013-08-03 18:42:35.019405	121
13185	56882	33623	2013-08-03 18:42:35.029618	2013-08-03 18:42:35.029618	121
13186	56809	33603	2013-08-03 18:42:35.046163	2013-08-03 18:42:35.046163	121
13187	56809	33583	2013-08-03 18:42:35.055606	2013-08-03 18:42:35.055606	121
13188	56809	33563	2013-08-03 18:42:35.065827	2013-08-03 18:42:35.065827	121
13189	56809	33543	2013-08-03 18:42:35.07609	2013-08-03 18:42:35.07609	121
13190	56809	33523	2013-08-03 18:42:35.086511	2013-08-03 18:42:35.086511	121
13191	56809	33503	2013-08-03 18:42:35.096668	2013-08-03 18:42:35.096668	121
13192	56809	33483	2013-08-03 18:42:35.107068	2013-08-03 18:42:35.107068	121
13193	56809	27535	2013-08-03 18:42:35.117149	2013-08-03 18:42:35.117149	121
13194	56809	16913	2013-08-03 18:42:35.127391	2013-08-03 18:42:35.127391	121
13195	56996	23697	2013-08-03 18:42:35.183073	2013-08-03 18:42:35.183073	121
13196	56865	23637	2013-08-03 18:42:35.204256	2013-08-03 18:42:35.204256	121
13197	56816	11948	2013-08-03 18:42:35.218553	2013-08-03 18:42:35.218553	121
13198	56684	13571	2013-08-03 18:42:35.226954	2013-08-03 18:42:35.226954	121
13199	56616	18568	2013-08-03 18:42:35.234986	2013-08-03 18:42:35.234986	121
13200	56612	19488	2013-08-03 18:42:35.255488	2013-08-03 18:42:35.255488	121
13201	56568	5559	2013-08-03 18:42:35.270248	2013-08-03 18:42:35.270248	121
13202	56516	9096	2013-08-03 18:42:35.291778	2013-08-03 18:42:35.291778	121
13203	56514	7041	2013-08-03 18:42:35.299739	2013-08-03 18:42:35.299739	121
13204	56501	15078	2013-08-03 18:42:35.309844	2013-08-03 18:42:35.309844	121
13205	56465	3724	2013-08-03 18:42:35.351069	2013-08-03 18:42:35.351069	121
13206	56458	7150	2013-08-03 18:42:35.358614	2013-08-03 18:42:35.358614	121
13207	56997	21465	2013-08-03 18:42:35.398247	2013-08-03 18:42:35.398247	121
13208	56829	21445	2013-08-03 18:42:35.409034	2013-08-03 18:42:35.409034	121
13209	56685	21425	2013-08-03 18:42:35.419711	2013-08-03 18:42:35.419711	121
13210	56641	21405	2013-08-03 18:42:35.440904	2013-08-03 18:42:35.440904	121
13211	56617	21385	2013-08-03 18:42:35.455642	2013-08-03 18:42:35.455642	121
13212	56613	21365	2013-08-03 18:42:35.468561	2013-08-03 18:42:35.468561	121
13213	56572	16572	2013-08-03 18:42:35.482711	2013-08-03 18:42:35.482711	121
13214	56527	21345	2013-08-03 18:42:35.501516	2013-08-03 18:42:35.501516	121
13215	56519	21325	2013-08-03 18:42:35.520708	2013-08-03 18:42:35.520708	121
13216	56489	21305	2013-08-03 18:42:35.529751	2013-08-03 18:42:35.529751	121
13217	56461	16893	2013-08-03 18:42:35.545967	2013-08-03 18:42:35.545967	121
13218	57000	5738	2013-08-03 18:42:35.637021	2013-08-03 18:42:35.637021	121
13219	56869	5758	2013-08-03 18:42:35.652138	2013-08-03 18:42:35.652138	121
13220	56846	5818	2013-08-03 18:42:35.673442	2013-08-03 18:42:35.673442	121
13221	56687	5838	2013-08-03 18:42:35.694969	2013-08-03 18:42:35.694969	121
13222	56625	5858	2013-08-03 18:42:35.716673	2013-08-03 18:42:35.716673	121
13223	56614	22577	2013-08-03 18:42:35.738507	2013-08-03 18:42:35.738507	121
13224	56569	10771	2013-08-03 18:42:35.754349	2013-08-03 18:42:35.754349	121
13225	56521	9499	2013-08-03 18:42:35.766697	2013-08-03 18:42:35.766697	121
13226	56502	22417	2013-08-03 18:42:35.781672	2013-08-03 18:42:35.781672	121
13227	56464	10791	2013-08-03 18:42:35.799688	2013-08-03 18:42:35.799688	121
13228	56870	13783	2013-08-03 18:42:35.866365	2013-08-03 18:42:35.866365	121
13229	56847	11960	2013-08-03 18:42:35.887923	2013-08-03 18:42:35.887923	121
13230	56688	11735	2013-08-03 18:42:35.909024	2013-08-03 18:42:35.909024	121
13231	56637	11486	2013-08-03 18:42:35.930078	2013-08-03 18:42:35.930078	121
13232	56631	2738	2013-08-03 18:42:35.950598	2013-08-03 18:42:35.950598	121
13233	56615	2018	2013-08-03 18:42:35.969385	2013-08-03 18:42:35.969385	121
13234	56570	1522	2013-08-03 18:42:35.990825	2013-08-03 18:42:35.990825	121
13235	56522	8051	2013-08-03 18:42:36.011474	2013-08-03 18:42:36.011474	121
13236	56510	13431	2013-08-03 18:42:36.033777	2013-08-03 18:42:36.033777	121
13237	56497	3684	2013-08-03 18:42:36.055059	2013-08-03 18:42:36.055059	121
13238	56466	986	2013-08-03 18:42:36.077631	2013-08-03 18:42:36.077631	121
13239	57001	7289	2013-08-03 18:42:36.120119	2013-08-03 18:42:36.120119	121
13240	57001	7269	2013-08-03 18:42:36.130662	2013-08-03 18:42:36.130662	121
13241	56689	7249	2013-08-03 18:42:36.15257	2013-08-03 18:42:36.15257	121
13242	56689	7229	2013-08-03 18:42:36.163303	2013-08-03 18:42:36.163303	121
13243	56638	8499	2013-08-03 18:42:36.185599	2013-08-03 18:42:36.185599	121
13244	56638	7115	2013-08-03 18:42:36.196476	2013-08-03 18:42:36.196476	121
13245	56535	7209	2013-08-03 18:42:36.218252	2013-08-03 18:42:36.218252	121
13246	56535	7189	2013-08-03 18:42:36.229463	2013-08-03 18:42:36.229463	121
13247	56523	7169	2013-08-03 18:42:36.245581	2013-08-03 18:42:36.245581	121
13248	56523	7149	2013-08-03 18:42:36.249746	2013-08-03 18:42:36.249746	121
13249	56490	7129	2013-08-03 18:42:36.285901	2013-08-03 18:42:36.285901	121
13250	56490	7109	2013-08-03 18:42:36.289381	2013-08-03 18:42:36.289381	121
13251	56471	7089	2013-08-03 18:42:36.296684	2013-08-03 18:42:36.296684	121
13252	56471	7098	2013-08-03 18:42:36.301605	2013-08-03 18:42:36.301605	121
13253	56467	2718	2013-08-03 18:42:36.311586	2013-08-03 18:42:36.311586	121
13254	56467	2038	2013-08-03 18:42:36.315799	2013-08-03 18:42:36.315799	121
13255	56452	7130	2013-08-03 18:42:36.324883	2013-08-03 18:42:36.324883	121
13256	56452	20908	2013-08-03 18:42:36.32963	2013-08-03 18:42:36.32963	121
13257	57002	14581	2013-08-03 18:42:36.365843	2013-08-03 18:42:36.365843	121
13258	57002	14370	2013-08-03 18:42:36.376827	2013-08-03 18:42:36.376827	121
13259	57002	14343	2013-08-03 18:42:36.387228	2013-08-03 18:42:36.387228	121
13260	57002	13935	2013-08-03 18:42:36.397543	2013-08-03 18:42:36.397543	121
13261	57002	11797	2013-08-03 18:42:36.408102	2013-08-03 18:42:36.408102	121
13262	57002	11846	2013-08-03 18:42:36.418506	2013-08-03 18:42:36.418506	121
13263	56640	11646	2013-08-03 18:42:36.441	2013-08-03 18:42:36.441	121
13264	56640	11766	2013-08-03 18:42:36.451809	2013-08-03 18:42:36.451809	121
13265	56640	7149	2013-08-03 18:42:36.462371	2013-08-03 18:42:36.462371	121
13266	56640	7169	2013-08-03 18:42:36.47316	2013-08-03 18:42:36.47316	121
13267	56640	2571	2013-08-03 18:42:36.482096	2013-08-03 18:42:36.482096	121
13268	56640	2628	2013-08-03 18:42:36.486032	2013-08-03 18:42:36.486032	121
13269	56469	2015	2013-08-03 18:42:36.494101	2013-08-03 18:42:36.494101	121
13270	56469	10043	2013-08-03 18:42:36.499277	2013-08-03 18:42:36.499277	121
13271	56469	10552	2013-08-03 18:42:36.504148	2013-08-03 18:42:36.504148	121
13272	56469	8051	2013-08-03 18:42:36.507424	2013-08-03 18:42:36.507424	121
13273	56469	13777	2013-08-03 18:42:36.510757	2013-08-03 18:42:36.510757	121
13274	56469	1027	2013-08-03 18:42:36.516071	2013-08-03 18:42:36.516071	121
13275	57003	16553	2013-08-03 18:42:36.563804	2013-08-03 18:42:36.563804	121
13276	56854	14670	2013-08-03 18:42:36.585365	2013-08-03 18:42:36.585365	121
13277	56779	14557	2013-08-03 18:42:36.609033	2013-08-03 18:42:36.609033	121
13278	56691	14577	2013-08-03 18:42:36.631997	2013-08-03 18:42:36.631997	121
13279	56643	13783	2013-08-03 18:42:36.654451	2013-08-03 18:42:36.654451	121
13280	56577	11926	2013-08-03 18:42:36.676842	2013-08-03 18:42:36.676842	121
13281	56554	2166	2013-08-03 18:42:36.700273	2013-08-03 18:42:36.700273	121
13282	56524	2035	2013-08-03 18:42:36.723348	2013-08-03 18:42:36.723348	121
13283	56518	8859	2013-08-03 18:42:36.746775	2013-08-03 18:42:36.746775	121
13284	56492	13731	2013-08-03 18:42:36.772175	2013-08-03 18:42:36.772175	121
13285	56470	12332	2013-08-03 18:42:36.813582	2013-08-03 18:42:36.813582	121
13286	57004	17033	2013-08-03 18:42:36.858231	2013-08-03 18:42:36.858231	121
13287	57004	17013	2013-08-03 18:42:36.869152	2013-08-03 18:42:36.869152	121
13288	57004	16993	2013-08-03 18:42:36.879943	2013-08-03 18:42:36.879943	121
13289	57004	16973	2013-08-03 18:42:36.893485	2013-08-03 18:42:36.893485	121
13290	57004	16893	2013-08-03 18:42:36.904863	2013-08-03 18:42:36.904863	121
13291	57004	13512	2013-08-03 18:42:36.915603	2013-08-03 18:42:36.915603	121
13292	57004	14790	2013-08-03 18:42:36.926182	2013-08-03 18:42:36.926182	121
13293	57004	14270	2013-08-03 18:42:36.935964	2013-08-03 18:42:36.935964	121
13294	57004	2718	2013-08-03 18:42:36.94662	2013-08-03 18:42:36.94662	121
13295	56644	2015	2013-08-03 18:42:36.96881	2013-08-03 18:42:36.96881	121
13296	56644	2038	2013-08-03 18:42:36.979389	2013-08-03 18:42:36.979389	121
13297	56644	10552	2013-08-03 18:42:36.989456	2013-08-03 18:42:36.989456	121
13298	56644	10043	2013-08-03 18:42:36.999291	2013-08-03 18:42:36.999291	121
13299	56644	13777	2013-08-03 18:42:37.008551	2013-08-03 18:42:37.008551	121
13300	56644	8051	2013-08-03 18:42:37.011869	2013-08-03 18:42:37.011869	121
13301	56644	12332	2013-08-03 18:42:37.01522	2013-08-03 18:42:37.01522	121
13302	56644	1027	2013-08-03 18:42:37.024104	2013-08-03 18:42:37.024104	121
13303	56644	986	2013-08-03 18:42:37.033706	2013-08-03 18:42:37.033706	121
13304	57005	2028	2013-08-03 18:42:37.049234	2013-08-03 18:42:37.049234	121
13305	57005	10338	2013-08-03 18:42:37.053205	2013-08-03 18:42:37.053205	121
13306	57005	15908	2013-08-03 18:42:37.057363	2013-08-03 18:42:37.057363	121
13307	57005	2040	2013-08-03 18:42:37.063502	2013-08-03 18:42:37.063502	121
13308	57005	2039	2013-08-03 18:42:37.114919	2013-08-03 18:42:37.114919	121
13309	57005	15668	2013-08-03 18:42:37.119883	2013-08-03 18:42:37.119883	121
13310	57005	16268	2013-08-03 18:42:37.12414	2013-08-03 18:42:37.12414	121
13311	57005	1889	2013-08-03 18:42:37.128827	2013-08-03 18:42:37.128827	121
13312	57005	16228	2013-08-03 18:42:37.134203	2013-08-03 18:42:37.134203	121
13313	56472	1980	2013-08-03 18:42:37.145912	2013-08-03 18:42:37.145912	121
13314	56472	1926	2013-08-03 18:42:37.152578	2013-08-03 18:42:37.152578	121
13315	56472	16248	2013-08-03 18:42:37.159555	2013-08-03 18:42:37.159555	121
13316	56472	1940	2013-08-03 18:42:37.168319	2013-08-03 18:42:37.168319	121
13317	56472	2029	2013-08-03 18:42:37.178491	2013-08-03 18:42:37.178491	121
13318	56472	1522	2013-08-03 18:42:37.188649	2013-08-03 18:42:37.188649	121
13319	56472	17577	2013-08-03 18:42:37.198601	2013-08-03 18:42:37.198601	121
13320	56472	7130	2013-08-03 18:42:37.209172	2013-08-03 18:42:37.209172	121
13321	56472	20908	2013-08-03 18:42:37.219067	2013-08-03 18:42:37.219067	121
13322	57006	24378	2013-08-03 18:42:37.279314	2013-08-03 18:42:37.279314	121
13323	56871	11856	2013-08-03 18:42:37.290735	2013-08-03 18:42:37.290735	121
13324	56859	12508	2013-08-03 18:42:37.310383	2013-08-03 18:42:37.310383	121
13325	56784	16872	2013-08-03 18:42:37.332536	2013-08-03 18:42:37.332536	121
13326	56693	23257	2013-08-03 18:42:37.348754	2013-08-03 18:42:37.348754	121
13327	56661	13620	2013-08-03 18:42:37.366414	2013-08-03 18:42:37.366414	121
13328	56576	13640	2013-08-03 18:42:37.379551	2013-08-03 18:42:37.379551	121
13329	56555	965	2013-08-03 18:42:37.39313	2013-08-03 18:42:37.39313	121
13330	56528	13211	2013-08-03 18:42:37.41514	2013-08-03 18:42:37.41514	121
13331	56508	13231	2013-08-03 18:42:37.437531	2013-08-03 18:42:37.437531	121
13332	56473	22008	2013-08-03 18:42:37.459033	2013-08-03 18:42:37.459033	121
13333	56468	9768	2013-08-03 18:42:37.480738	2013-08-03 18:42:37.480738	121
13334	57095	24738	2013-08-03 18:42:37.518877	2013-08-03 18:42:37.518877	121
13335	56794	24718	2013-08-03 18:42:37.528903	2013-08-03 18:42:37.528903	121
13336	56735	24698	2013-08-03 18:42:37.577513	2013-08-03 18:42:37.577513	121
13337	56670	24678	2013-08-03 18:42:37.587603	2013-08-03 18:42:37.587603	121
13338	56639	24658	2013-08-03 18:42:37.599921	2013-08-03 18:42:37.599921	121
13339	56588	24638	2013-08-03 18:42:37.617705	2013-08-03 18:42:37.617705	121
13340	56585	24618	2013-08-03 18:42:37.640147	2013-08-03 18:42:37.640147	121
13341	56583	24598	2013-08-03 18:42:37.662653	2013-08-03 18:42:37.662653	121
13342	56582	24578	2013-08-03 18:42:37.685088	2013-08-03 18:42:37.685088	121
13343	56526	24558	2013-08-03 18:42:37.707593	2013-08-03 18:42:37.707593	121
13344	56495	24538	2013-08-03 18:42:37.730172	2013-08-03 18:42:37.730172	121
13345	57007	1918	2013-08-03 18:42:37.793008	2013-08-03 18:42:37.793008	121
13346	56872	1958	2013-08-03 18:42:37.817484	2013-08-03 18:42:37.817484	121
13347	56787	2011	2013-08-03 18:42:37.840784	2013-08-03 18:42:37.840784	121
13348	56694	18638	2013-08-03 18:42:37.863987	2013-08-03 18:42:37.863987	121
13349	56645	18778	2013-08-03 18:42:37.88753	2013-08-03 18:42:37.88753	121
13350	56578	11737	2013-08-03 18:42:37.910559	2013-08-03 18:42:37.910559	121
13351	56557	12508	2013-08-03 18:42:37.933657	2013-08-03 18:42:37.933657	121
13352	56529	1291	2013-08-03 18:42:37.956679	2013-08-03 18:42:37.956679	121
13353	56506	7120	2013-08-03 18:42:37.980174	2013-08-03 18:42:37.980174	121
13354	56493	12631	2013-08-03 18:42:38.003936	2013-08-03 18:42:38.003936	121
13355	56474	13331	2013-08-03 18:42:38.027507	2013-08-03 18:42:38.027507	121
13356	57008	25200	2013-08-03 18:42:38.137501	2013-08-03 18:42:38.137501	121
13357	56873	25180	2013-08-03 18:42:38.160597	2013-08-03 18:42:38.160597	121
13358	56862	25160	2013-08-03 18:42:38.183317	2013-08-03 18:42:38.183317	121
13359	56789	25140	2013-08-03 18:42:38.206299	2013-08-03 18:42:38.206299	121
13360	56696	25120	2013-08-03 18:42:38.228863	2013-08-03 18:42:38.228863	121
13361	56646	25100	2013-08-03 18:42:38.251586	2013-08-03 18:42:38.251586	121
13362	56575	25080	2013-08-03 18:42:38.274269	2013-08-03 18:42:38.274269	121
13363	56558	25060	2013-08-03 18:42:38.28947	2013-08-03 18:42:38.28947	121
13364	56530	25040	2013-08-03 18:42:38.299106	2013-08-03 18:42:38.299106	121
13365	56503	25020	2013-08-03 18:42:38.306012	2013-08-03 18:42:38.306012	121
13366	56475	7739	2013-08-03 18:42:38.314591	2013-08-03 18:42:38.314591	121
13367	56460	13471	2013-08-03 18:42:38.325959	2013-08-03 18:42:38.325959	121
13368	57133	25620	2013-08-03 18:42:38.369776	2013-08-03 18:42:38.369776	121
13369	57133	25600	2013-08-03 18:42:38.373958	2013-08-03 18:42:38.373958	121
13370	57133	25580	2013-08-03 18:42:38.379557	2013-08-03 18:42:38.379557	121
13371	57125	25560	2013-08-03 18:42:38.401705	2013-08-03 18:42:38.401705	121
13372	57125	25540	2013-08-03 18:42:38.41237	2013-08-03 18:42:38.41237	121
13373	57125	25520	2013-08-03 18:42:38.422996	2013-08-03 18:42:38.422996	121
13374	57108	25500	2013-08-03 18:42:38.446175	2013-08-03 18:42:38.446175	121
13375	57108	25480	2013-08-03 18:42:38.457412	2013-08-03 18:42:38.457412	121
13376	57108	25460	2013-08-03 18:42:38.468564	2013-08-03 18:42:38.468564	121
13377	57098	25440	2013-08-03 18:42:38.526634	2013-08-03 18:42:38.526634	121
13378	57098	25420	2013-08-03 18:42:38.534771	2013-08-03 18:42:38.534771	121
13379	57098	25400	2013-08-03 18:42:38.542052	2013-08-03 18:42:38.542052	121
13380	57061	25380	2013-08-03 18:42:38.550842	2013-08-03 18:42:38.550842	121
13381	57061	25360	2013-08-03 18:42:38.555798	2013-08-03 18:42:38.555798	121
13382	57061	25340	2013-08-03 18:42:38.560292	2013-08-03 18:42:38.560292	121
13383	57686	16101	2013-08-03 18:47:34.930673	2013-08-03 18:47:34.930673	122
13384	57658	16081	2013-08-03 18:47:34.945604	2013-08-03 18:47:34.945604	122
13385	57481	16061	2013-08-03 18:47:34.962743	2013-08-03 18:47:34.962743	122
13386	57377	14970	2013-08-03 18:47:34.984988	2013-08-03 18:47:34.984988	122
13387	57340	12206	2013-08-03 18:47:35.002328	2013-08-03 18:47:35.002328	122
13388	57266	2689	2013-08-03 18:47:35.012191	2013-08-03 18:47:35.012191	122
13389	57244	2185	2013-08-03 18:47:35.02115	2013-08-03 18:47:35.02115	122
13390	57185	2166	2013-08-03 18:47:35.031331	2013-08-03 18:47:35.031331	122
13391	57173	2018	2013-08-03 18:47:35.038495	2013-08-03 18:47:35.038495	122
13392	57164	23177	2013-08-03 18:47:35.044868	2013-08-03 18:47:35.044868	122
13393	57141	1330	2013-08-03 18:47:35.052306	2013-08-03 18:47:35.052306	122
13394	57137	12508	2013-08-03 18:47:35.059831	2013-08-03 18:47:35.059831	122
13395	57738	34663	2013-08-03 18:47:35.078987	2013-08-03 18:47:35.078987	122
13396	57738	34643	2013-08-03 18:47:35.082861	2013-08-03 18:47:35.082861	122
13397	57738	34623	2013-08-03 18:47:35.08619	2013-08-03 18:47:35.08619	122
13398	57738	34603	2013-08-03 18:47:35.089485	2013-08-03 18:47:35.089485	122
13399	57738	34583	2013-08-03 18:47:35.093078	2013-08-03 18:47:35.093078	122
13400	57738	34563	2013-08-03 18:47:35.096796	2013-08-03 18:47:35.096796	122
13401	57738	34543	2013-08-03 18:47:35.100347	2013-08-03 18:47:35.100347	122
13402	57738	34523	2013-08-03 18:47:35.104189	2013-08-03 18:47:35.104189	122
13403	57738	34503	2013-08-03 18:47:35.108239	2013-08-03 18:47:35.108239	122
13404	57738	34483	2013-08-03 18:47:35.112172	2013-08-03 18:47:35.112172	122
13405	57738	34463	2013-08-03 18:47:35.116682	2013-08-03 18:47:35.116682	122
13406	57738	34443	2013-08-03 18:47:35.121255	2013-08-03 18:47:35.121255	122
13407	57738	34423	2013-08-03 18:47:35.12699	2013-08-03 18:47:35.12699	122
13408	57738	34403	2013-08-03 18:47:35.131843	2013-08-03 18:47:35.131843	122
13409	57738	34383	2013-08-03 18:47:35.136843	2013-08-03 18:47:35.136843	122
13410	57738	34363	2013-08-03 18:47:35.146056	2013-08-03 18:47:35.146056	122
13411	57738	28795	2013-08-03 18:47:35.153513	2013-08-03 18:47:35.153513	122
13412	57738	17193	2013-08-03 18:47:35.161831	2013-08-03 18:47:35.161831	122
13413	57738	14950	2013-08-03 18:47:35.172091	2013-08-03 18:47:35.172091	122
13414	57421	23497	2013-08-03 18:47:35.21441	2013-08-03 18:47:35.21441	122
13415	57421	4786	2013-08-03 18:47:35.222595	2013-08-03 18:47:35.222595	122
13416	57374	7270	2013-08-03 18:47:35.282655	2013-08-03 18:47:35.282655	122
13417	57374	7598	2013-08-03 18:47:35.28911	2013-08-03 18:47:35.28911	122
13418	57337	3164	2013-08-03 18:47:35.307174	2013-08-03 18:47:35.307174	122
13419	57337	22537	2013-08-03 18:47:35.317903	2013-08-03 18:47:35.317903	122
13420	57278	22817	2013-08-03 18:47:35.333596	2013-08-03 18:47:35.333596	122
13421	57278	23137	2013-08-03 18:47:35.344439	2013-08-03 18:47:35.344439	122
13422	57222	23517	2013-08-03 18:47:35.36151	2013-08-03 18:47:35.36151	122
13423	57222	9750	2013-08-03 18:47:35.373384	2013-08-03 18:47:35.373384	122
13424	57202	22837	2013-08-03 18:47:35.397034	2013-08-03 18:47:35.397034	122
13425	57202	23157	2013-08-03 18:47:35.408234	2013-08-03 18:47:35.408234	122
13426	57179	23537	2013-08-03 18:47:35.43179	2013-08-03 18:47:35.43179	122
13427	57179	3349	2013-08-03 18:47:35.444032	2013-08-03 18:47:35.444032	122
13428	57169	22857	2013-08-03 18:47:35.468086	2013-08-03 18:47:35.468086	122
13429	57169	1330	2013-08-03 18:47:35.474908	2013-08-03 18:47:35.474908	122
13430	57685	22605	2013-08-03 18:47:35.5003	2013-08-03 18:47:35.5003	122
13431	57665	22585	2013-08-03 18:47:35.50742	2013-08-03 18:47:35.50742	122
13432	57480	22565	2013-08-03 18:47:35.514721	2013-08-03 18:47:35.514721	122
13433	57423	22545	2013-08-03 18:47:35.522375	2013-08-03 18:47:35.522375	122
13434	57375	22525	2013-08-03 18:47:35.530363	2013-08-03 18:47:35.530363	122
13435	57339	22505	2013-08-03 18:47:35.543329	2013-08-03 18:47:35.543329	122
13436	57276	22485	2013-08-03 18:47:35.556943	2013-08-03 18:47:35.556943	122
13437	57221	22465	2013-08-03 18:47:35.569481	2013-08-03 18:47:35.569481	122
13438	57184	18280	2013-08-03 18:47:35.578191	2013-08-03 18:47:35.578191	122
13439	57180	20165	2013-08-03 18:47:35.597083	2013-08-03 18:47:35.597083	122
13440	57172	17153	2013-08-03 18:47:35.653515	2013-08-03 18:47:35.653515	122
13441	57168	14872	2013-08-03 18:47:35.661621	2013-08-03 18:47:35.661621	122
13442	58106	23065	2013-08-03 18:47:35.690035	2013-08-03 18:47:35.690035	122
13443	58106	23045	2013-08-03 18:47:35.698965	2013-08-03 18:47:35.698965	122
13444	58106	23025	2013-08-03 18:47:35.7075	2013-08-03 18:47:35.7075	122
13445	58106	23005	2013-08-03 18:47:35.717923	2013-08-03 18:47:35.717923	122
13446	58106	22985	2013-08-03 18:47:35.728993	2013-08-03 18:47:35.728993	122
13447	58106	22965	2013-08-03 18:47:35.739145	2013-08-03 18:47:35.739145	122
13448	58106	22945	2013-08-03 18:47:35.744168	2013-08-03 18:47:35.744168	122
13449	58106	22925	2013-08-03 18:47:35.748717	2013-08-03 18:47:35.748717	122
13450	58106	22818	2013-08-03 18:47:35.753392	2013-08-03 18:47:35.753392	122
13451	58106	22905	2013-08-03 18:47:35.759336	2013-08-03 18:47:35.759336	122
13452	58106	22885	2013-08-03 18:47:35.76436	2013-08-03 18:47:35.76436	122
13453	58106	22865	2013-08-03 18:47:35.768973	2013-08-03 18:47:35.768973	122
13454	58106	22845	2013-08-03 18:47:35.773518	2013-08-03 18:47:35.773518	122
13455	58106	22825	2013-08-03 18:47:35.778426	2013-08-03 18:47:35.778426	122
13456	58106	22805	2013-08-03 18:47:35.784331	2013-08-03 18:47:35.784331	122
13457	58106	22785	2013-08-03 18:47:35.788996	2013-08-03 18:47:35.788996	122
13458	58106	22765	2013-08-03 18:47:35.793758	2013-08-03 18:47:35.793758	122
13459	58106	22745	2013-08-03 18:47:35.798504	2013-08-03 18:47:35.798504	122
13460	58106	22743	2013-08-03 18:47:35.803165	2013-08-03 18:47:35.803165	122
13461	57687	13700	2013-08-03 18:47:35.820088	2013-08-03 18:47:35.820088	122
13462	57687	13720	2013-08-03 18:47:35.82436	2013-08-03 18:47:35.82436	122
13463	57687	13740	2013-08-03 18:47:35.833466	2013-08-03 18:47:35.833466	122
13464	57223	13760	2013-08-03 18:47:35.850019	2013-08-03 18:47:35.850019	122
13465	57223	13820	2013-08-03 18:47:35.860017	2013-08-03 18:47:35.860017	122
13466	57223	6138	2013-08-03 18:47:35.868947	2013-08-03 18:47:35.868947	122
13467	57189	10265	2013-08-03 18:47:35.88727	2013-08-03 18:47:35.88727	122
13468	57189	4079	2013-08-03 18:47:35.896418	2013-08-03 18:47:35.896418	122
13469	57189	11811	2013-08-03 18:47:35.906914	2013-08-03 18:47:35.906914	122
13470	57176	10223	2013-08-03 18:47:35.916995	2013-08-03 18:47:35.916995	122
13471	57176	17858	2013-08-03 18:47:35.925793	2013-08-03 18:47:35.925793	122
13472	57176	10911	2013-08-03 18:47:35.967604	2013-08-03 18:47:35.967604	122
13473	57163	10931	2013-08-03 18:47:35.9847	2013-08-03 18:47:35.9847	122
13474	57163	22743	2013-08-03 18:47:35.993766	2013-08-03 18:47:35.993766	122
13475	57163	22745	2013-08-03 18:47:36.003579	2013-08-03 18:47:36.003579	122
13476	57659	14970	2013-08-03 18:47:36.039091	2013-08-03 18:47:36.039091	122
13477	57490	14910	2013-08-03 18:47:36.049021	2013-08-03 18:47:36.049021	122
13478	57426	14557	2013-08-03 18:47:36.06035	2013-08-03 18:47:36.06035	122
13479	57393	12106	2013-08-03 18:47:36.068875	2013-08-03 18:47:36.068875	122
13480	57341	2778	2013-08-03 18:47:36.076332	2013-08-03 18:47:36.076332	122
13481	57264	2738	2013-08-03 18:47:36.084354	2013-08-03 18:47:36.084354	122
13482	57194	2055	2013-08-03 18:47:36.092725	2013-08-03 18:47:36.092725	122
13483	57183	23617	2013-08-03 18:47:36.100731	2013-08-03 18:47:36.100731	122
13484	57178	13411	2013-08-03 18:47:36.107889	2013-08-03 18:47:36.107889	122
13485	57166	7598	2013-08-03 18:47:36.115676	2013-08-03 18:47:36.115676	122
13486	57138	7270	2013-08-03 18:47:36.123169	2013-08-03 18:47:36.123169	122
13487	57725	7340	2013-08-03 18:47:36.145981	2013-08-03 18:47:36.145981	122
13488	57688	7293	2013-08-03 18:47:36.189046	2013-08-03 18:47:36.189046	122
13489	57485	7317	2013-08-03 18:47:36.198705	2013-08-03 18:47:36.198705	122
13490	57427	7369	2013-08-03 18:47:36.209241	2013-08-03 18:47:36.209241	122
13491	57342	7349	2013-08-03 18:47:36.224129	2013-08-03 18:47:36.224129	122
13492	57324	7329	2013-08-03 18:47:36.234018	2013-08-03 18:47:36.234018	122
13493	57295	2764	2013-08-03 18:47:36.252616	2013-08-03 18:47:36.252616	122
13494	57199	2075	2013-08-03 18:47:36.272704	2013-08-03 18:47:36.272704	122
13495	57182	19323	2013-08-03 18:47:36.292613	2013-08-03 18:47:36.292613	122
13496	57181	4885	2013-08-03 18:47:36.314245	2013-08-03 18:47:36.314245	122
13497	57861	15130	2013-08-03 18:47:36.359843	2013-08-03 18:47:36.359843	122
13498	57734	15110	2013-08-03 18:47:36.379582	2013-08-03 18:47:36.379582	122
13499	57689	15090	2013-08-03 18:47:36.391165	2013-08-03 18:47:36.391165	122
13500	57673	15175	2013-08-03 18:47:36.399507	2013-08-03 18:47:36.399507	122
13501	57493	15012	2013-08-03 18:47:36.414957	2013-08-03 18:47:36.414957	122
13502	57420	15017	2013-08-03 18:47:36.430168	2013-08-03 18:47:36.430168	122
13503	57414	15070	2013-08-03 18:47:36.448778	2013-08-03 18:47:36.448778	122
13504	57395	15050	2013-08-03 18:47:36.469504	2013-08-03 18:47:36.469504	122
13505	57363	15030	2013-08-03 18:47:36.491914	2013-08-03 18:47:36.491914	122
13506	57344	15010	2013-08-03 18:47:36.51416	2013-08-03 18:47:36.51416	122
13507	57333	14990	2013-08-03 18:47:36.527187	2013-08-03 18:47:36.527187	122
13508	57309	14970	2013-08-03 18:47:36.537866	2013-08-03 18:47:36.537866	122
13509	57303	14830	2013-08-03 18:47:36.54992	2013-08-03 18:47:36.54992	122
13510	57301	16081	2013-08-03 18:47:36.564886	2013-08-03 18:47:36.564886	122
13511	57690	14711	2013-08-03 18:47:36.601405	2013-08-03 18:47:36.601405	122
13512	57690	14617	2013-08-03 18:47:36.610723	2013-08-03 18:47:36.610723	122
13513	57690	12046	2013-08-03 18:47:36.619635	2013-08-03 18:47:36.619635	122
13514	57690	12086	2013-08-03 18:47:36.627282	2013-08-03 18:47:36.627282	122
13515	57690	11558	2013-08-03 18:47:36.634768	2013-08-03 18:47:36.634768	122
13516	57690	2115	2013-08-03 18:47:36.644898	2013-08-03 18:47:36.644898	122
13517	57198	2075	2013-08-03 18:47:36.663757	2013-08-03 18:47:36.663757	122
13518	57198	2055	2013-08-03 18:47:36.669551	2013-08-03 18:47:36.669551	122
13519	57198	2166	2013-08-03 18:47:36.677565	2013-08-03 18:47:36.677565	122
13520	57198	2035	2013-08-03 18:47:36.682489	2013-08-03 18:47:36.682489	122
13521	57198	19343	2013-08-03 18:47:36.687021	2013-08-03 18:47:36.687021	122
13522	57198	5086	2013-08-03 18:47:36.690861	2013-08-03 18:47:36.690861	122
13523	57186	1291	2013-08-03 18:47:36.698818	2013-08-03 18:47:36.698818	122
13524	57186	3349	2013-08-03 18:47:36.7021	2013-08-03 18:47:36.7021	122
13525	57186	23537	2013-08-03 18:47:36.705141	2013-08-03 18:47:36.705141	122
13526	57186	11811	2013-08-03 18:47:36.708289	2013-08-03 18:47:36.708289	122
13527	57186	4079	2013-08-03 18:47:36.711827	2013-08-03 18:47:36.711827	122
13528	57186	10265	2013-08-03 18:47:36.716523	2013-08-03 18:47:36.716523	122
13529	57792	14850	2013-08-03 18:47:36.741236	2013-08-03 18:47:36.741236	122
13530	57691	12206	2013-08-03 18:47:36.74932	2013-08-03 18:47:36.74932	122
13531	57663	12066	2013-08-03 18:47:36.756178	2013-08-03 18:47:36.756178	122
13532	57661	11856	2013-08-03 18:47:36.78462	2013-08-03 18:47:36.78462	122
13533	57495	7349	2013-08-03 18:47:36.807373	2013-08-03 18:47:36.807373	122
13534	57428	2729	2013-08-03 18:47:36.821532	2013-08-03 18:47:36.821532	122
13535	57272	2778	2013-08-03 18:47:36.832071	2013-08-03 18:47:36.832071	122
13536	57248	2155	2013-08-03 18:47:36.843984	2013-08-03 18:47:36.843984	122
13537	57225	2135	2013-08-03 18:47:36.854761	2013-08-03 18:47:36.854761	122
13538	57201	8605	2013-08-03 18:47:36.863613	2013-08-03 18:47:36.863613	122
13539	57200	14111	2013-08-03 18:47:36.873187	2013-08-03 18:47:36.873187	122
13540	57187	22537	2013-08-03 18:47:36.881745	2013-08-03 18:47:36.881745	122
13541	57167	3164	2013-08-03 18:47:36.889174	2013-08-03 18:47:36.889174	122
13542	57157	15010	2013-08-03 18:47:36.896022	2013-08-03 18:47:36.896022	122
13543	57692	17212	2013-08-03 18:47:36.915285	2013-08-03 18:47:36.915285	122
13544	57692	17153	2013-08-03 18:47:36.920288	2013-08-03 18:47:36.920288	122
13545	57692	15110	2013-08-03 18:47:36.924401	2013-08-03 18:47:36.924401	122
13546	57692	2166	2013-08-03 18:47:36.931384	2013-08-03 18:47:36.931384	122
13547	57692	2055	2013-08-03 18:47:36.93798	2013-08-03 18:47:36.93798	122
13548	57692	2075	2013-08-03 18:47:36.941989	2013-08-03 18:47:36.941989	122
13549	57692	2035	2013-08-03 18:47:36.951522	2013-08-03 18:47:36.951522	122
13550	57692	2018	2013-08-03 18:47:36.960177	2013-08-03 18:47:36.960177	122
13551	57692	8605	2013-08-03 18:47:36.963609	2013-08-03 18:47:36.963609	122
13552	57197	5086	2013-08-03 18:47:36.97436	2013-08-03 18:47:36.97436	122
13553	57197	19343	2013-08-03 18:47:36.978792	2013-08-03 18:47:36.978792	122
13554	57197	4885	2013-08-03 18:47:36.985214	2013-08-03 18:47:36.985214	122
13555	57197	13411	2013-08-03 18:47:36.989056	2013-08-03 18:47:36.989056	122
13556	57197	1330	2013-08-03 18:47:36.993103	2013-08-03 18:47:36.993103	122
13557	57197	22857	2013-08-03 18:47:36.996438	2013-08-03 18:47:36.996438	122
13558	57197	10911	2013-08-03 18:47:37.004571	2013-08-03 18:47:37.004571	122
13559	57197	17858	2013-08-03 18:47:37.010165	2013-08-03 18:47:37.010165	122
13560	57197	10223	2013-08-03 18:47:37.013977	2013-08-03 18:47:37.013977	122
13561	57693	2130	2013-08-03 18:47:37.032298	2013-08-03 18:47:37.032298	122
13562	57693	2121	2013-08-03 18:47:37.035975	2013-08-03 18:47:37.035975	122
13563	57693	2105	2013-08-03 18:47:37.039534	2013-08-03 18:47:37.039534	122
13564	57693	2048	2013-08-03 18:47:37.043962	2013-08-03 18:47:37.043962	122
13565	57693	2148	2013-08-03 18:47:37.048179	2013-08-03 18:47:37.048179	122
13566	57693	2088	2013-08-03 18:47:37.052311	2013-08-03 18:47:37.052311	122
13567	57693	2160	2013-08-03 18:47:37.056989	2013-08-03 18:47:37.056989	122
13568	57693	2180	2013-08-03 18:47:37.061641	2013-08-03 18:47:37.061641	122
13569	57693	2190	2013-08-03 18:47:37.065589	2013-08-03 18:47:37.065589	122
13570	57205	2135	2013-08-03 18:47:37.073866	2013-08-03 18:47:37.073866	122
13571	57205	7270	2013-08-03 18:47:37.079122	2013-08-03 18:47:37.079122	122
13572	57205	9750	2013-08-03 18:47:37.083582	2013-08-03 18:47:37.083582	122
13573	57205	23517	2013-08-03 18:47:37.087625	2013-08-03 18:47:37.087625	122
13574	57205	12508	2013-08-03 18:47:37.094396	2013-08-03 18:47:37.094396	122
13575	57205	6138	2013-08-03 18:47:37.102732	2013-08-03 18:47:37.102732	122
13576	57205	13820	2013-08-03 18:47:37.111846	2013-08-03 18:47:37.111846	122
13577	57205	13760	2013-08-03 18:47:37.122245	2013-08-03 18:47:37.122245	122
13578	57205	14970	2013-08-03 18:47:37.131662	2013-08-03 18:47:37.131662	122
13579	57694	25018	2013-08-03 18:47:37.163663	2013-08-03 18:47:37.163663	122
13580	57657	24998	2013-08-03 18:47:37.171298	2013-08-03 18:47:37.171298	122
13581	57568	24978	2013-08-03 18:47:37.236719	2013-08-03 18:47:37.236719	122
13582	57520	24958	2013-08-03 18:47:37.245907	2013-08-03 18:47:37.245907	122
13583	57430	24938	2013-08-03 18:47:37.256064	2013-08-03 18:47:37.256064	122
13584	57401	24918	2013-08-03 18:47:37.265067	2013-08-03 18:47:37.265067	122
13585	57346	12146	2013-08-03 18:47:37.275524	2013-08-03 18:47:37.275524	122
13586	57249	12201	2013-08-03 18:47:37.28838	2013-08-03 18:47:37.28838	122
13587	57247	7130	2013-08-03 18:47:37.299068	2013-08-03 18:47:37.299068	122
13588	57228	23657	2013-08-03 18:47:37.307283	2013-08-03 18:47:37.307283	122
13589	57227	5146	2013-08-03 18:47:37.316974	2013-08-03 18:47:37.316974	122
13590	57209	13511	2013-08-03 18:47:37.327225	2013-08-03 18:47:37.327225	122
13591	57206	9031	2013-08-03 18:47:37.333565	2013-08-03 18:47:37.333565	122
13592	57191	18457	2013-08-03 18:47:37.34179	2013-08-03 18:47:37.34179	122
13593	57165	7920	2013-08-03 18:47:37.351233	2013-08-03 18:47:37.351233	122
13594	57600	25318	2013-08-03 18:47:37.406164	2013-08-03 18:47:37.406164	122
13595	57465	25298	2013-08-03 18:47:37.426756	2013-08-03 18:47:37.426756	122
13596	57410	25278	2013-08-03 18:47:37.44307	2013-08-03 18:47:37.44307	122
13597	57350	25258	2013-08-03 18:47:37.450802	2013-08-03 18:47:37.450802	122
13598	57294	25238	2013-08-03 18:47:37.457948	2013-08-03 18:47:37.457948	122
13599	57252	25218	2013-08-03 18:47:37.465428	2013-08-03 18:47:37.465428	122
13600	57237	25198	2013-08-03 18:47:37.47337	2013-08-03 18:47:37.47337	122
13601	57236	25178	2013-08-03 18:47:37.484105	2013-08-03 18:47:37.484105	122
13602	57204	25158	2013-08-03 18:47:37.493292	2013-08-03 18:47:37.493292	122
13603	57188	25138	2013-08-03 18:47:37.504642	2013-08-03 18:47:37.504642	122
13604	57177	25118	2013-08-03 18:47:37.51207	2013-08-03 18:47:37.51207	122
13605	57695	11095	2013-08-03 18:47:37.541571	2013-08-03 18:47:37.541571	122
13606	57660	2386	2013-08-03 18:47:37.558589	2013-08-03 18:47:37.558589	122
13607	57627	2449	2013-08-03 18:47:37.57823	2013-08-03 18:47:37.57823	122
13608	57515	2489	2013-08-03 18:47:37.598039	2013-08-03 18:47:37.598039	122
13609	57431	2175	2013-08-03 18:47:37.616714	2013-08-03 18:47:37.616714	122
13610	57402	2095	2013-08-03 18:47:37.636086	2013-08-03 18:47:37.636086	122
13611	57347	2058	2013-08-03 18:47:37.651573	2013-08-03 18:47:37.651573	122
13612	57271	11737	2013-08-03 18:47:37.664026	2013-08-03 18:47:37.664026	122
13613	57250	1562	2013-08-03 18:47:37.694001	2013-08-03 18:47:37.694001	122
13614	57226	7110	2013-08-03 18:47:37.714869	2013-08-03 18:47:37.714869	122
13615	57210	13971	2013-08-03 18:47:37.735685	2013-08-03 18:47:37.735685	122
13616	57207	19268	2013-08-03 18:47:37.750882	2013-08-03 18:47:37.750882	122
13617	57162	7349	2013-08-03 18:47:37.771943	2013-08-03 18:47:37.771943	122
13618	57155	16061	2013-08-03 18:47:37.786191	2013-08-03 18:47:37.786191	122
13619	57696	26180	2013-08-03 18:47:37.827466	2013-08-03 18:47:37.827466	122
13620	57662	26160	2013-08-03 18:47:37.842835	2013-08-03 18:47:37.842835	122
13621	57523	26140	2013-08-03 18:47:37.865037	2013-08-03 18:47:37.865037	122
13622	57460	26120	2013-08-03 18:47:37.885788	2013-08-03 18:47:37.885788	122
13623	57432	26100	2013-08-03 18:47:37.898558	2013-08-03 18:47:37.898558	122
13624	57424	26080	2013-08-03 18:47:37.907613	2013-08-03 18:47:37.907613	122
13625	57404	26060	2013-08-03 18:47:37.916544	2013-08-03 18:47:37.916544	122
13626	57369	26040	2013-08-03 18:47:37.926653	2013-08-03 18:47:37.926653	122
13627	57348	26020	2013-08-03 18:47:37.937657	2013-08-03 18:47:37.937657	122
13628	57245	26000	2013-08-03 18:47:37.947338	2013-08-03 18:47:37.947338	122
13629	57229	24978	2013-08-03 18:47:37.954829	2013-08-03 18:47:37.954829	122
13630	57211	2098	2013-08-03 18:47:37.967933	2013-08-03 18:47:37.967933	122
13631	57208	5537	2013-08-03 18:47:37.978832	2013-08-03 18:47:37.978832	122
13632	57174	3064	2013-08-03 18:47:37.994737	2013-08-03 18:47:37.994737	122
13633	57190	26640	2013-08-03 18:47:38.029541	2013-08-03 18:47:38.029541	122
13634	57190	26620	2013-08-03 18:47:38.040683	2013-08-03 18:47:38.040683	122
13635	57190	26600	2013-08-03 18:47:38.047784	2013-08-03 18:47:38.047784	122
13636	57190	26580	2013-08-03 18:47:38.052716	2013-08-03 18:47:38.052716	122
13637	57190	26560	2013-08-03 18:47:38.056969	2013-08-03 18:47:38.056969	122
13638	57190	26540	2013-08-03 18:47:38.061234	2013-08-03 18:47:38.061234	122
13639	57190	26520	2013-08-03 18:47:38.066802	2013-08-03 18:47:38.066802	122
13640	57190	26500	2013-08-03 18:47:38.071766	2013-08-03 18:47:38.071766	122
13641	57190	26480	2013-08-03 18:47:38.075651	2013-08-03 18:47:38.075651	122
13642	57190	26460	2013-08-03 18:47:38.079458	2013-08-03 18:47:38.079458	122
13643	57190	26440	2013-08-03 18:47:38.083284	2013-08-03 18:47:38.083284	122
13644	57190	26420	2013-08-03 18:47:38.088334	2013-08-03 18:47:38.088334	122
13645	57190	26400	2013-08-03 18:47:38.093766	2013-08-03 18:47:38.093766	122
13646	57190	26380	2013-08-03 18:47:38.098148	2013-08-03 18:47:38.098148	122
13647	57190	26343	2013-08-03 18:47:38.1027	2013-08-03 18:47:38.1027	122
13648	57190	26360	2013-08-03 18:47:38.107782	2013-08-03 18:47:38.107782	122
13649	57190	26340	2013-08-03 18:47:38.114321	2013-08-03 18:47:38.114321	122
13650	57190	26320	2013-08-03 18:47:38.120667	2013-08-03 18:47:38.120667	122
13651	57190	26300	2013-08-03 18:47:38.126543	2013-08-03 18:47:38.126543	122
13652	58605	12201	2013-08-03 18:52:32.459345	2013-08-03 18:52:32.459345	123
13653	58493	2628	2013-08-03 18:52:32.474974	2013-08-03 18:52:32.474974	123
13654	58277	2189	2013-08-03 18:52:32.499683	2013-08-03 18:52:32.499683	123
13655	58252	2155	2013-08-03 18:52:32.52266	2013-08-03 18:52:32.52266	123
13656	58208	18948	2013-08-03 18:52:32.545616	2013-08-03 18:52:32.545616	123
13657	58188	1562	2013-08-03 18:52:32.56839	2013-08-03 18:52:32.56839	123
13658	57880	22537	2013-08-03 18:52:32.591444	2013-08-03 18:52:32.591444	123
13659	57843	26695	2013-08-03 18:52:32.614311	2013-08-03 18:52:32.614311	123
13660	57825	35263	2013-08-03 18:52:32.636475	2013-08-03 18:52:32.636475	123
13661	57820	29515	2013-08-03 18:52:32.658377	2013-08-03 18:52:32.658377	123
13662	57788	29195	2013-08-03 18:52:32.680026	2013-08-03 18:52:32.680026	123
13663	57782	35043	2013-08-03 18:52:32.702172	2013-08-03 18:52:32.702172	123
13664	57772	1330	2013-08-03 18:52:32.724023	2013-08-03 18:52:32.724023	123
13665	58603	23285	2013-08-03 18:52:32.801534	2013-08-03 18:52:32.801534	123
13666	58492	23265	2013-08-03 18:52:32.824475	2013-08-03 18:52:32.824475	123
13667	58251	23245	2013-08-03 18:52:32.849464	2013-08-03 18:52:32.849464	123
13668	58169	23155	2013-08-03 18:52:32.874966	2013-08-03 18:52:32.874966	123
13669	58140	21795	2013-08-03 18:52:32.886566	2013-08-03 18:52:32.886566	123
13670	57901	23225	2013-08-03 18:52:32.894447	2013-08-03 18:52:32.894447	123
13671	57842	23083	2013-08-03 18:52:32.903274	2013-08-03 18:52:32.903274	123
13672	57823	23205	2013-08-03 18:52:32.916306	2013-08-03 18:52:32.916306	123
13673	57819	23103	2013-08-03 18:52:32.924768	2013-08-03 18:52:32.924768	123
13674	57812	23185	2013-08-03 18:52:32.935423	2013-08-03 18:52:32.935423	123
13675	57787	23123	2013-08-03 18:52:32.994313	2013-08-03 18:52:32.994313	123
13676	57786	19632	2013-08-03 18:52:33.009677	2013-08-03 18:52:33.009677	123
13677	57775	2158	2013-08-03 18:52:33.030313	2013-08-03 18:52:33.030313	123
13678	57769	35203	2013-08-03 18:52:33.051418	2013-08-03 18:52:33.051418	123
13679	57886	23725	2013-08-03 18:52:33.078513	2013-08-03 18:52:33.078513	123
13680	57886	14968	2013-08-03 18:52:33.088327	2013-08-03 18:52:33.088327	123
13681	57886	23705	2013-08-03 18:52:33.097137	2013-08-03 18:52:33.097137	123
13682	57886	23685	2013-08-03 18:52:33.107628	2013-08-03 18:52:33.107628	123
13683	57886	23665	2013-08-03 18:52:33.119065	2013-08-03 18:52:33.119065	123
13684	57886	23645	2013-08-03 18:52:33.130915	2013-08-03 18:52:33.130915	123
13685	57886	23625	2013-08-03 18:52:33.147245	2013-08-03 18:52:33.147245	123
13686	57886	23605	2013-08-03 18:52:33.157522	2013-08-03 18:52:33.157522	123
13687	57886	23585	2013-08-03 18:52:33.162347	2013-08-03 18:52:33.162347	123
13688	57886	23565	2013-08-03 18:52:33.167955	2013-08-03 18:52:33.167955	123
13689	57886	23545	2013-08-03 18:52:33.171965	2013-08-03 18:52:33.171965	123
13690	57886	23525	2013-08-03 18:52:33.175359	2013-08-03 18:52:33.175359	123
13691	57886	23505	2013-08-03 18:52:33.178855	2013-08-03 18:52:33.178855	123
13692	57886	23485	2013-08-03 18:52:33.186541	2013-08-03 18:52:33.186541	123
13693	57886	23465	2013-08-03 18:52:33.195499	2013-08-03 18:52:33.195499	123
13694	57886	23445	2013-08-03 18:52:33.206567	2013-08-03 18:52:33.206567	123
13695	57886	23425	2013-08-03 18:52:33.217825	2013-08-03 18:52:33.217825	123
13696	57886	23405	2013-08-03 18:52:33.229209	2013-08-03 18:52:33.229209	123
13697	57886	23328	2013-08-03 18:52:33.240019	2013-08-03 18:52:33.240019	123
13698	58608	811	2013-08-03 18:52:33.283206	2013-08-03 18:52:33.283206	123
13699	58608	852	2013-08-03 18:52:33.294407	2013-08-03 18:52:33.294407	123
13700	58608	3632	2013-08-03 18:52:33.305222	2013-08-03 18:52:33.305222	123
13701	58608	6018	2013-08-03 18:52:33.316791	2013-08-03 18:52:33.316791	123
13702	58608	5998	2013-08-03 18:52:33.328452	2013-08-03 18:52:33.328452	123
13703	58608	17958	2013-08-03 18:52:33.341773	2013-08-03 18:52:33.341773	123
13704	58608	17938	2013-08-03 18:52:33.354282	2013-08-03 18:52:33.354282	123
13705	58608	17997	2013-08-03 18:52:33.362799	2013-08-03 18:52:33.362799	123
13706	58608	17978	2013-08-03 18:52:33.367688	2013-08-03 18:52:33.367688	123
13707	58494	4139	2013-08-03 18:52:33.378802	2013-08-03 18:52:33.378802	123
13708	58494	17918	2013-08-03 18:52:33.383497	2013-08-03 18:52:33.383497	123
13709	58494	17898	2013-08-03 18:52:33.38677	2013-08-03 18:52:33.38677	123
13710	58494	17798	2013-08-03 18:52:33.390019	2013-08-03 18:52:33.390019	123
13711	58494	35163	2013-08-03 18:52:33.392958	2013-08-03 18:52:33.392958	123
13712	58494	29775	2013-08-03 18:52:33.395967	2013-08-03 18:52:33.395967	123
13713	58494	34943	2013-08-03 18:52:33.399803	2013-08-03 18:52:33.399803	123
13714	58494	34403	2013-08-03 18:52:33.40367	2013-08-03 18:52:33.40367	123
13715	58494	7130	2013-08-03 18:52:33.4094	2013-08-03 18:52:33.4094	123
13716	58498	17093	2013-08-03 18:52:33.465602	2013-08-03 18:52:33.465602	123
13717	58280	15050	2013-08-03 18:52:33.482009	2013-08-03 18:52:33.482009	123
13718	58253	12106	2013-08-03 18:52:33.501355	2013-08-03 18:52:33.501355	123
13719	58224	12066	2013-08-03 18:52:33.522348	2013-08-03 18:52:33.522348	123
13720	57906	2198	2013-08-03 18:52:33.544028	2013-08-03 18:52:33.544028	123
13721	57904	2095	2013-08-03 18:52:33.565239	2013-08-03 18:52:33.565239	123
13722	57844	18928	2013-08-03 18:52:33.587428	2013-08-03 18:52:33.587428	123
13723	57826	7598	2013-08-03 18:52:33.609959	2013-08-03 18:52:33.609959	123
13724	57821	10223	2013-08-03 18:52:33.629759	2013-08-03 18:52:33.629759	123
13725	57801	29515	2013-08-03 18:52:33.649972	2013-08-03 18:52:33.649972	123
13726	57789	35143	2013-08-03 18:52:33.671616	2013-08-03 18:52:33.671616	123
13727	57776	34923	2013-08-03 18:52:33.692732	2013-08-03 18:52:33.692732	123
13728	57773	34423	2013-08-03 18:52:33.71388	2013-08-03 18:52:33.71388	123
13729	58611	7569	2013-08-03 18:52:33.763337	2013-08-03 18:52:33.763337	123
13730	58611	7646	2013-08-03 18:52:33.775111	2013-08-03 18:52:33.775111	123
13731	58499	7581	2013-08-03 18:52:33.797905	2013-08-03 18:52:33.797905	123
13732	58499	7549	2013-08-03 18:52:33.80869	2013-08-03 18:52:33.80869	123
13733	58281	7663	2013-08-03 18:52:33.830637	2013-08-03 18:52:33.830637	123
13734	58281	7470	2013-08-03 18:52:33.842048	2013-08-03 18:52:33.842048	123
13735	57908	7529	2013-08-03 18:52:33.865038	2013-08-03 18:52:33.865038	123
13736	57908	7509	2013-08-03 18:52:33.876064	2013-08-03 18:52:33.876064	123
13737	57845	3792	2013-08-03 18:52:33.886111	2013-08-03 18:52:33.886111	123
13738	57845	18948	2013-08-03 18:52:33.889684	2013-08-03 18:52:33.889684	123
13739	57818	18908	2013-08-03 18:52:33.896831	2013-08-03 18:52:33.896831	123
13740	57818	23157	2013-08-03 18:52:33.90055	2013-08-03 18:52:33.90055	123
13741	57800	17858	2013-08-03 18:52:33.912344	2013-08-03 18:52:33.912344	123
13742	57800	35123	2013-08-03 18:52:33.919	2013-08-03 18:52:33.919	123
13743	57790	34903	2013-08-03 18:52:33.93957	2013-08-03 18:52:33.93957	123
13744	57790	34443	2013-08-03 18:52:33.950605	2013-08-03 18:52:33.950605	123
13745	58614	15270	2013-08-03 18:52:34.01134	2013-08-03 18:52:34.01134	123
13746	58523	15283	2013-08-03 18:52:34.033945	2013-08-03 18:52:34.033945	123
13747	58500	15250	2013-08-03 18:52:34.057316	2013-08-03 18:52:34.057316	123
13748	58359	15230	2013-08-03 18:52:34.078892	2013-08-03 18:52:34.078892	123
13749	58254	12146	2013-08-03 18:52:34.095757	2013-08-03 18:52:34.095757	123
13750	58194	11856	2013-08-03 18:52:34.10873	2013-08-03 18:52:34.10873	123
13751	57907	2386	2013-08-03 18:52:34.12313	2013-08-03 18:52:34.12313	123
13752	57846	11928	2013-08-03 18:52:34.140105	2013-08-03 18:52:34.140105	123
13753	57835	22777	2013-08-03 18:52:34.16159	2013-08-03 18:52:34.16159	123
13754	57822	22837	2013-08-03 18:52:34.185354	2013-08-03 18:52:34.185354	123
13755	57791	10911	2013-08-03 18:52:34.202276	2013-08-03 18:52:34.202276	123
13756	57783	35103	2013-08-03 18:52:34.212358	2013-08-03 18:52:34.212358	123
13757	57777	34883	2013-08-03 18:52:34.221513	2013-08-03 18:52:34.221513	123
13758	57767	34463	2013-08-03 18:52:34.228547	2013-08-03 18:52:34.228547	123
13759	58615	2058	2013-08-03 18:52:34.271303	2013-08-03 18:52:34.271303	123
13760	58615	19008	2013-08-03 18:52:34.281601	2013-08-03 18:52:34.281601	123
13761	58615	5537	2013-08-03 18:52:34.2916	2013-08-03 18:52:34.2916	123
13762	58615	23177	2013-08-03 18:52:34.301653	2013-08-03 18:52:34.301653	123
13763	58615	13391	2013-08-03 18:52:34.311696	2013-08-03 18:52:34.311696	123
13764	58615	14111	2013-08-03 18:52:34.321772	2013-08-03 18:52:34.321772	123
13765	58501	10911	2013-08-03 18:52:34.344101	2013-08-03 18:52:34.344101	123
13766	58501	10265	2013-08-03 18:52:34.355104	2013-08-03 18:52:34.355104	123
13767	58501	34903	2013-08-03 18:52:34.365951	2013-08-03 18:52:34.365951	123
13768	58501	35143	2013-08-03 18:52:34.378247	2013-08-03 18:52:34.378247	123
13769	58501	29195	2013-08-03 18:52:34.385082	2013-08-03 18:52:34.385082	123
13770	58501	34703	2013-08-03 18:52:34.390028	2013-08-03 18:52:34.390028	123
13771	58192	35083	2013-08-03 18:52:34.398886	2013-08-03 18:52:34.398886	123
13772	58192	34863	2013-08-03 18:52:34.458006	2013-08-03 18:52:34.458006	123
13773	58192	34443	2013-08-03 18:52:34.461671	2013-08-03 18:52:34.461671	123
13774	58192	34483	2013-08-03 18:52:34.464447	2013-08-03 18:52:34.464447	123
13775	58192	19268	2013-08-03 18:52:34.473104	2013-08-03 18:52:34.473104	123
13776	58192	9031	2013-08-03 18:52:34.482725	2013-08-03 18:52:34.482725	123
13777	59244	19852	2013-08-03 18:52:34.548796	2013-08-03 18:52:34.548796	123
13778	58616	19832	2013-08-03 18:52:34.572976	2013-08-03 18:52:34.572976	123
13779	58525	19812	2013-08-03 18:52:34.595998	2013-08-03 18:52:34.595998	123
13780	58505	19792	2013-08-03 18:52:34.618308	2013-08-03 18:52:34.618308	123
13781	58255	19637	2013-08-03 18:52:34.643115	2013-08-03 18:52:34.643115	123
13782	57912	19772	2013-08-03 18:52:34.667536	2013-08-03 18:52:34.667536	123
13783	57847	19698	2013-08-03 18:52:34.690606	2013-08-03 18:52:34.690606	123
13784	57824	19752	2013-08-03 18:52:34.713023	2013-08-03 18:52:34.713023	123
13785	57817	19732	2013-08-03 18:52:34.735285	2013-08-03 18:52:34.735285	123
13786	57793	19712	2013-08-03 18:52:34.757963	2013-08-03 18:52:34.757963	123
13787	57784	22777	2013-08-03 18:52:34.780496	2013-08-03 18:52:34.780496	123
13788	57778	7598	2013-08-03 18:52:34.801964	2013-08-03 18:52:34.801964	123
13789	57768	35263	2013-08-03 18:52:34.822363	2013-08-03 18:52:34.822363	123
13790	58617	7581	2013-08-03 18:52:34.857578	2013-08-03 18:52:34.857578	123
13791	58617	34943	2013-08-03 18:52:34.867285	2013-08-03 18:52:34.867285	123
13792	58617	29775	2013-08-03 18:52:34.877137	2013-08-03 18:52:34.877137	123
13793	58617	35163	2013-08-03 18:52:34.886624	2013-08-03 18:52:34.886624	123
13794	58617	29495	2013-08-03 18:52:34.896773	2013-08-03 18:52:34.896773	123
13795	58617	35003	2013-08-03 18:52:34.906454	2013-08-03 18:52:34.906454	123
13796	58617	34963	2013-08-03 18:52:34.916229	2013-08-03 18:52:34.916229	123
13797	58617	34823	2013-08-03 18:52:34.926476	2013-08-03 18:52:34.926476	123
13798	58617	7130	2013-08-03 18:52:34.936999	2013-08-03 18:52:34.936999	123
13799	57884	34403	2013-08-03 18:52:34.959736	2013-08-03 18:52:34.959736	123
13800	57884	34523	2013-08-03 18:52:34.969722	2013-08-03 18:52:34.969722	123
13801	57884	13971	2013-08-03 18:52:34.97958	2013-08-03 18:52:34.97958	123
13802	57884	13511	2013-08-03 18:52:34.98969	2013-08-03 18:52:34.98969	123
13803	57884	14970	2013-08-03 18:52:34.999655	2013-08-03 18:52:34.999655	123
13804	57884	12508	2013-08-03 18:52:35.009711	2013-08-03 18:52:35.009711	123
13805	57884	23517	2013-08-03 18:52:35.020915	2013-08-03 18:52:35.020915	123
13806	57884	9750	2013-08-03 18:52:35.030875	2013-08-03 18:52:35.030875	123
13807	57884	7270	2013-08-03 18:52:35.040969	2013-08-03 18:52:35.040969	123
13808	58619	2101	2013-08-03 18:52:35.080625	2013-08-03 18:52:35.080625	123
13809	58619	2068	2013-08-03 18:52:35.092063	2013-08-03 18:52:35.092063	123
13810	58619	2154	2013-08-03 18:52:35.102701	2013-08-03 18:52:35.102701	123
13811	58619	15628	2013-08-03 18:52:35.112812	2013-08-03 18:52:35.112812	123
13812	58619	6805	2013-08-03 18:52:35.117284	2013-08-03 18:52:35.117284	123
13813	58619	2065	2013-08-03 18:52:35.122309	2013-08-03 18:52:35.122309	123
13814	58619	10898	2013-08-03 18:52:35.133361	2013-08-03 18:52:35.133361	123
13815	58619	1974	2013-08-03 18:52:35.139702	2013-08-03 18:52:35.139702	123
13816	58619	2125	2013-08-03 18:52:35.144701	2013-08-03 18:52:35.144701	123
13817	58510	2169	2013-08-03 18:52:35.161938	2013-08-03 18:52:35.161938	123
13818	58510	2149	2013-08-03 18:52:35.171745	2013-08-03 18:52:35.171745	123
13819	58510	13993	2013-08-03 18:52:35.181146	2013-08-03 18:52:35.181146	123
13820	58510	35263	2013-08-03 18:52:35.191114	2013-08-03 18:52:35.191114	123
13821	58510	7663	2013-08-03 18:52:35.201108	2013-08-03 18:52:35.201108	123
13822	58510	35203	2013-08-03 18:52:35.210931	2013-08-03 18:52:35.210931	123
13823	58510	34463	2013-08-03 18:52:35.22057	2013-08-03 18:52:35.22057	123
13824	58510	34423	2013-08-03 18:52:35.225382	2013-08-03 18:52:35.225382	123
13825	58510	1330	2013-08-03 18:52:35.229399	2013-08-03 18:52:35.229399	123
13826	59353	25538	2013-08-03 18:52:35.283348	2013-08-03 18:52:35.283348	123
13827	58622	25518	2013-08-03 18:52:35.309039	2013-08-03 18:52:35.309039	123
13828	58531	25498	2013-08-03 18:52:35.333322	2013-08-03 18:52:35.333322	123
13829	58526	34783	2013-08-03 18:52:35.355844	2013-08-03 18:52:35.355844	123
13830	58278	34503	2013-08-03 18:52:35.37716	2013-08-03 18:52:35.37716	123
13831	57883	5146	2013-08-03 18:52:35.398691	2013-08-03 18:52:35.398691	123
13832	57848	22745	2013-08-03 18:52:35.424257	2013-08-03 18:52:35.424257	123
13833	57837	13411	2013-08-03 18:52:35.435149	2013-08-03 18:52:35.435149	123
13834	57833	14990	2013-08-03 18:52:35.444886	2013-08-03 18:52:35.444886	123
13835	57813	22857	2013-08-03 18:52:35.453914	2013-08-03 18:52:35.453914	123
13836	57797	7349	2013-08-03 18:52:35.460805	2013-08-03 18:52:35.460805	123
13837	57796	34663	2013-08-03 18:52:35.47062	2013-08-03 18:52:35.47062	123
13838	57779	22743	2013-08-03 18:52:35.487349	2013-08-03 18:52:35.487349	123
13839	57771	15175	2013-08-03 18:52:35.50223	2013-08-03 18:52:35.50223	123
13840	58236	25838	2013-08-03 18:52:35.523097	2013-08-03 18:52:35.523097	123
13841	58182	25818	2013-08-03 18:52:35.530428	2013-08-03 18:52:35.530428	123
13842	57932	25798	2013-08-03 18:52:35.541185	2013-08-03 18:52:35.541185	123
13843	57910	25778	2013-08-03 18:52:35.551197	2013-08-03 18:52:35.551197	123
13844	57870	25758	2013-08-03 18:52:35.568713	2013-08-03 18:52:35.568713	123
13845	57862	25738	2013-08-03 18:52:35.591744	2013-08-03 18:52:35.591744	123
13846	57858	25718	2013-08-03 18:52:35.615078	2013-08-03 18:52:35.615078	123
13847	57816	25698	2013-08-03 18:52:35.638375	2013-08-03 18:52:35.638375	123
13848	57802	25678	2013-08-03 18:52:35.661867	2013-08-03 18:52:35.661867	123
13849	57795	25658	2013-08-03 18:52:35.684607	2013-08-03 18:52:35.684607	123
13850	58626	23537	2013-08-03 18:52:35.750301	2013-08-03 18:52:35.750301	123
13851	58532	23097	2013-08-03 18:52:35.772565	2013-08-03 18:52:35.772565	123
13852	58527	4786	2013-08-03 18:52:35.794824	2013-08-03 18:52:35.794824	123
13853	57909	29475	2013-08-03 18:52:35.816975	2013-08-03 18:52:35.816975	123
13854	57849	34723	2013-08-03 18:52:35.839846	2013-08-03 18:52:35.839846	123
13855	57838	34503	2013-08-03 18:52:35.862394	2013-08-03 18:52:35.862394	123
13856	57831	24978	2013-08-03 18:52:35.884223	2013-08-03 18:52:35.884223	123
13857	57814	34643	2013-08-03 18:52:35.905311	2013-08-03 18:52:35.905311	123
13858	57798	23657	2013-08-03 18:52:35.981924	2013-08-03 18:52:35.981924	123
13859	57794	26400	2013-08-03 18:52:35.991258	2013-08-03 18:52:35.991258	123
13860	57780	34623	2013-08-03 18:52:36.000263	2013-08-03 18:52:36.000263	123
13861	57770	7329	2013-08-03 18:52:36.010962	2013-08-03 18:52:36.010962	123
13862	58630	27060	2013-08-03 18:52:36.052534	2013-08-03 18:52:36.052534	123
13863	58533	27040	2013-08-03 18:52:36.072382	2013-08-03 18:52:36.072382	123
13864	58528	27020	2013-08-03 18:52:36.095352	2013-08-03 18:52:36.095352	123
13865	58279	27000	2013-08-03 18:52:36.118902	2013-08-03 18:52:36.118902	123
13866	57882	26980	2013-08-03 18:52:36.135812	2013-08-03 18:52:36.135812	123
13867	57850	26960	2013-08-03 18:52:36.150544	2013-08-03 18:52:36.150544	123
13868	57839	26940	2013-08-03 18:52:36.164048	2013-08-03 18:52:36.164048	123
13869	57832	26920	2013-08-03 18:52:36.182222	2013-08-03 18:52:36.182222	123
13870	57815	26900	2013-08-03 18:52:36.206093	2013-08-03 18:52:36.206093	123
13871	57799	26880	2013-08-03 18:52:36.230264	2013-08-03 18:52:36.230264	123
13872	57785	26860	2013-08-03 18:52:36.244196	2013-08-03 18:52:36.244196	123
13873	57781	34843	2013-08-03 18:52:36.254364	2013-08-03 18:52:36.254364	123
13874	57774	7110	2013-08-03 18:52:36.261683	2013-08-03 18:52:36.261683	123
13875	60624	16593	2013-08-03 18:57:35.405886	2013-08-03 18:57:35.405886	124
13876	59532	16615	2013-08-03 18:57:35.413476	2013-08-03 18:57:35.413476	124
13877	59293	16625	2013-08-03 18:57:35.420012	2013-08-03 18:57:35.420012	124
13878	59132	16641	2013-08-03 18:57:35.428843	2013-08-03 18:57:35.428843	124
13879	59127	16621	2013-08-03 18:57:35.435249	2013-08-03 18:57:35.435249	124
13880	59117	16343	2013-08-03 18:57:35.442099	2013-08-03 18:57:35.442099	124
13881	59058	16601	2013-08-03 18:57:35.449572	2013-08-03 18:57:35.449572	124
13882	59023	16581	2013-08-03 18:57:35.460884	2013-08-03 18:57:35.460884	124
13883	58979	16561	2013-08-03 18:57:35.472283	2013-08-03 18:57:35.472283	124
13884	58866	16541	2013-08-03 18:57:35.491919	2013-08-03 18:57:35.491919	124
13885	58848	16521	2013-08-03 18:57:35.509749	2013-08-03 18:57:35.509749	124
13886	58806	16543	2013-08-03 18:57:35.526473	2013-08-03 18:57:35.526473	124
13887	58788	16501	2013-08-03 18:57:35.540399	2013-08-03 18:57:35.540399	124
13888	58777	16481	2013-08-03 18:57:35.552863	2013-08-03 18:57:35.552863	124
13889	58772	16461	2013-08-03 18:57:35.56723	2013-08-03 18:57:35.56723	124
13890	59511	36283	2013-08-03 18:57:35.614186	2013-08-03 18:57:35.614186	124
13891	59511	36263	2013-08-03 18:57:35.621559	2013-08-03 18:57:35.621559	124
13892	59511	36243	2013-08-03 18:57:35.626472	2013-08-03 18:57:35.626472	124
13893	59511	36223	2013-08-03 18:57:35.631564	2013-08-03 18:57:35.631564	124
13894	59511	36203	2013-08-03 18:57:35.635633	2013-08-03 18:57:35.635633	124
13895	59511	36183	2013-08-03 18:57:35.639725	2013-08-03 18:57:35.639725	124
13896	59511	36163	2013-08-03 18:57:35.643578	2013-08-03 18:57:35.643578	124
13897	59511	36143	2013-08-03 18:57:35.648161	2013-08-03 18:57:35.648161	124
13898	59511	36123	2013-08-03 18:57:35.652451	2013-08-03 18:57:35.652451	124
13899	59511	36103	2013-08-03 18:57:35.656537	2013-08-03 18:57:35.656537	124
13900	59511	36083	2013-08-03 18:57:35.660361	2013-08-03 18:57:35.660361	124
13901	59511	36063	2013-08-03 18:57:35.664595	2013-08-03 18:57:35.664595	124
13902	59511	36043	2013-08-03 18:57:35.669312	2013-08-03 18:57:35.669312	124
13903	59511	36023	2013-08-03 18:57:35.675464	2013-08-03 18:57:35.675464	124
13904	59511	36003	2013-08-03 18:57:35.680141	2013-08-03 18:57:35.680141	124
13905	59511	35983	2013-08-03 18:57:35.684336	2013-08-03 18:57:35.684336	124
13906	59511	35963	2013-08-03 18:57:35.689112	2013-08-03 18:57:35.689112	124
13907	59511	35943	2013-08-03 18:57:35.692238	2013-08-03 18:57:35.692238	124
13908	59511	16581	2013-08-03 18:57:35.695115	2013-08-03 18:57:35.695115	124
13909	60626	24643	2013-08-03 18:57:35.73015	2013-08-03 18:57:35.73015	124
13910	59289	24645	2013-08-03 18:57:35.752394	2013-08-03 18:57:35.752394	124
13911	59131	24625	2013-08-03 18:57:35.773795	2013-08-03 18:57:35.773795	124
13912	59126	24605	2013-08-03 18:57:35.795878	2013-08-03 18:57:35.795878	124
13913	59116	24585	2013-08-03 18:57:35.843953	2013-08-03 18:57:35.843953	124
13914	59021	24565	2013-08-03 18:57:35.861704	2013-08-03 18:57:35.861704	124
13915	58978	24545	2013-08-03 18:57:35.872983	2013-08-03 18:57:35.872983	124
13916	58972	24525	2013-08-03 18:57:35.889503	2013-08-03 18:57:35.889503	124
13917	58885	24505	2013-08-03 18:57:35.910352	2013-08-03 18:57:35.910352	124
13918	58865	24463	2013-08-03 18:57:35.932363	2013-08-03 18:57:35.932363	124
13919	58810	24485	2013-08-03 18:57:35.95291	2013-08-03 18:57:35.95291	124
13920	58805	24465	2013-08-03 18:57:35.962334	2013-08-03 18:57:35.962334	124
13921	58793	24445	2013-08-03 18:57:35.977459	2013-08-03 18:57:35.977459	124
13922	58770	24425	2013-08-03 18:57:35.99504	2013-08-03 18:57:35.99504	124
13923	58785	25045	2013-08-03 18:57:36.032092	2013-08-03 18:57:36.032092	124
13924	58785	25025	2013-08-03 18:57:36.04288	2013-08-03 18:57:36.04288	124
13925	58785	25005	2013-08-03 18:57:36.053335	2013-08-03 18:57:36.053335	124
13926	58785	24985	2013-08-03 18:57:36.063931	2013-08-03 18:57:36.063931	124
13927	58785	24965	2013-08-03 18:57:36.074326	2013-08-03 18:57:36.074326	124
13928	58785	24920	2013-08-03 18:57:36.084741	2013-08-03 18:57:36.084741	124
13929	58785	24815	2013-08-03 18:57:36.095401	2013-08-03 18:57:36.095401	124
13930	58785	24945	2013-08-03 18:57:36.106331	2013-08-03 18:57:36.106331	124
13931	58785	24925	2013-08-03 18:57:36.116935	2013-08-03 18:57:36.116935	124
13932	58785	24905	2013-08-03 18:57:36.127644	2013-08-03 18:57:36.127644	124
13933	58785	24885	2013-08-03 18:57:36.136094	2013-08-03 18:57:36.136094	124
13934	58785	24865	2013-08-03 18:57:36.145054	2013-08-03 18:57:36.145054	124
13935	58785	24845	2013-08-03 18:57:36.152106	2013-08-03 18:57:36.152106	124
13936	58785	24825	2013-08-03 18:57:36.160114	2013-08-03 18:57:36.160114	124
13937	58785	24805	2013-08-03 18:57:36.169353	2013-08-03 18:57:36.169353	124
13938	58785	24785	2013-08-03 18:57:36.180111	2013-08-03 18:57:36.180111	124
13939	58785	24765	2013-08-03 18:57:36.190883	2013-08-03 18:57:36.190883	124
13940	58785	24745	2013-08-03 18:57:36.201697	2013-08-03 18:57:36.201697	124
13941	58785	24725	2013-08-03 18:57:36.210782	2013-08-03 18:57:36.210782	124
13942	59600	1330	2013-08-03 18:57:36.236941	2013-08-03 18:57:36.236941	124
13943	59600	34423	2013-08-03 18:57:36.244616	2013-08-03 18:57:36.244616	124
13944	59600	34463	2013-08-03 18:57:36.25318	2013-08-03 18:57:36.25318	124
13945	59600	23657	2013-08-03 18:57:36.260289	2013-08-03 18:57:36.260289	124
13946	59600	34663	2013-08-03 18:57:36.268911	2013-08-03 18:57:36.268911	124
13947	59600	24978	2013-08-03 18:57:36.276022	2013-08-03 18:57:36.276022	124
13948	59600	14990	2013-08-03 18:57:36.283812	2013-08-03 18:57:36.283812	124
13949	59600	5146	2013-08-03 18:57:36.292083	2013-08-03 18:57:36.292083	124
13950	59600	22745	2013-08-03 18:57:36.299905	2013-08-03 18:57:36.299905	124
13951	59600	4885	2013-08-03 18:57:36.308138	2013-08-03 18:57:36.308138	124
13952	59600	14970	2013-08-03 18:57:36.315674	2013-08-03 18:57:36.315674	124
13953	59600	13511	2013-08-03 18:57:36.324385	2013-08-03 18:57:36.324385	124
13954	59600	13971	2013-08-03 18:57:36.332122	2013-08-03 18:57:36.332122	124
13955	59600	34523	2013-08-03 18:57:36.341149	2013-08-03 18:57:36.341149	124
13956	59600	34403	2013-08-03 18:57:36.350739	2013-08-03 18:57:36.350739	124
13957	59600	9031	2013-08-03 18:57:36.359556	2013-08-03 18:57:36.359556	124
13958	59600	19268	2013-08-03 18:57:36.36854	2013-08-03 18:57:36.36854	124
13959	59600	34483	2013-08-03 18:57:36.376508	2013-08-03 18:57:36.376508	124
13960	59600	34443	2013-08-03 18:57:36.385591	2013-08-03 18:57:36.385591	124
13961	59533	3919	2013-08-03 18:57:36.41635	2013-08-03 18:57:36.41635	124
13962	59533	3999	2013-08-03 18:57:36.425345	2013-08-03 18:57:36.425345	124
13963	59533	11251	2013-08-03 18:57:36.43306	2013-08-03 18:57:36.43306	124
13964	59533	11331	2013-08-03 18:57:36.44214	2013-08-03 18:57:36.44214	124
13965	59533	11311	2013-08-03 18:57:36.452132	2013-08-03 18:57:36.452132	124
13966	59533	11731	2013-08-03 18:57:36.459138	2013-08-03 18:57:36.459138	124
13967	59533	3257	2013-08-03 18:57:36.467714	2013-08-03 18:57:36.467714	124
13968	59533	11431	2013-08-03 18:57:36.478589	2013-08-03 18:57:36.478589	124
13969	59533	11411	2013-08-03 18:57:36.488881	2013-08-03 18:57:36.488881	124
13970	59300	11391	2013-08-03 18:57:36.497607	2013-08-03 18:57:36.497607	124
13971	59300	888	2013-08-03 18:57:36.50091	2013-08-03 18:57:36.50091	124
13972	59300	19477	2013-08-03 18:57:36.503984	2013-08-03 18:57:36.503984	124
13973	59300	11031	2013-08-03 18:57:36.507002	2013-08-03 18:57:36.507002	124
13974	59300	6520	2013-08-03 18:57:36.51198	2013-08-03 18:57:36.51198	124
13975	59300	6038	2013-08-03 18:57:36.520718	2013-08-03 18:57:36.520718	124
13976	59300	6500	2013-08-03 18:57:36.527346	2013-08-03 18:57:36.527346	124
13977	59300	24825	2013-08-03 18:57:36.537133	2013-08-03 18:57:36.537133	124
13978	59300	24845	2013-08-03 18:57:36.5464	2013-08-03 18:57:36.5464	124
13979	59304	13511	2013-08-03 18:57:36.633181	2013-08-03 18:57:36.633181	124
13980	59146	14970	2013-08-03 18:57:36.643547	2013-08-03 18:57:36.643547	124
13981	59128	4885	2013-08-03 18:57:36.653749	2013-08-03 18:57:36.653749	124
13982	59118	22745	2013-08-03 18:57:36.662203	2013-08-03 18:57:36.662203	124
13983	59057	5146	2013-08-03 18:57:36.675222	2013-08-03 18:57:36.675222	124
13984	58980	14990	2013-08-03 18:57:36.693214	2013-08-03 18:57:36.693214	124
13985	58869	24978	2013-08-03 18:57:36.714482	2013-08-03 18:57:36.714482	124
13986	58867	34663	2013-08-03 18:57:36.735502	2013-08-03 18:57:36.735502	124
13987	58807	23657	2013-08-03 18:57:36.756971	2013-08-03 18:57:36.756971	124
13988	58800	34463	2013-08-03 18:57:36.774435	2013-08-03 18:57:36.774435	124
13989	58789	34423	2013-08-03 18:57:36.787231	2013-08-03 18:57:36.787231	124
13990	58767	1330	2013-08-03 18:57:36.800371	2013-08-03 18:57:36.800371	124
13991	59594	7789	2013-08-03 18:57:36.839905	2013-08-03 18:57:36.839905	124
13992	59534	7769	2013-08-03 18:57:36.860216	2013-08-03 18:57:36.860216	124
13993	59390	7749	2013-08-03 18:57:36.878083	2013-08-03 18:57:36.878083	124
13994	59382	7729	2013-08-03 18:57:36.887659	2013-08-03 18:57:36.887659	124
13995	59344	7741	2013-08-03 18:57:36.899742	2013-08-03 18:57:36.899742	124
13996	59305	7709	2013-08-03 18:57:36.917029	2013-08-03 18:57:36.917029	124
13997	59173	7736	2013-08-03 18:57:36.934807	2013-08-03 18:57:36.934807	124
13998	58981	7683	2013-08-03 18:57:36.95311	2013-08-03 18:57:36.95311	124
13999	58887	7689	2013-08-03 18:57:36.968496	2013-08-03 18:57:36.968496	124
14000	58868	14970	2013-08-03 18:57:36.977725	2013-08-03 18:57:36.977725	124
14001	60629	15721	2013-08-03 18:57:37.00324	2013-08-03 18:57:37.00324	124
14002	59535	15772	2013-08-03 18:57:37.011103	2013-08-03 18:57:37.011103	124
14003	59307	15737	2013-08-03 18:57:37.018607	2013-08-03 18:57:37.018607	124
14004	59133	15850	2013-08-03 18:57:37.025926	2013-08-03 18:57:37.025926	124
14005	59129	15838	2013-08-03 18:57:37.034049	2013-08-03 18:57:37.034049	124
14006	59119	15830	2013-08-03 18:57:37.046507	2013-08-03 18:57:37.046507	124
14007	59022	15765	2013-08-03 18:57:37.065875	2013-08-03 18:57:37.065875	124
14008	58982	15810	2013-08-03 18:57:37.086817	2013-08-03 18:57:37.086817	124
14009	58870	15790	2013-08-03 18:57:37.105249	2013-08-03 18:57:37.105249	124
14010	58851	15770	2013-08-03 18:57:37.123875	2013-08-03 18:57:37.123875	124
14011	58818	15750	2013-08-03 18:57:37.139785	2013-08-03 18:57:37.139785	124
14012	58804	15730	2013-08-03 18:57:37.15652	2013-08-03 18:57:37.15652	124
14013	58790	24525	2013-08-03 18:57:37.174007	2013-08-03 18:57:37.174007	124
14014	58773	5146	2013-08-03 18:57:37.183657	2013-08-03 18:57:37.183657	124
14015	59536	14931	2013-08-03 18:57:37.21169	2013-08-03 18:57:37.21169	124
14016	59536	15070	2013-08-03 18:57:37.223344	2013-08-03 18:57:37.223344	124
14017	59536	14870	2013-08-03 18:57:37.233384	2013-08-03 18:57:37.233384	124
14018	59536	14852	2013-08-03 18:57:37.24459	2013-08-03 18:57:37.24459	124
14019	59536	14777	2013-08-03 18:57:37.255464	2013-08-03 18:57:37.255464	124
14020	59536	14911	2013-08-03 18:57:37.265621	2013-08-03 18:57:37.265621	124
14021	59308	14891	2013-08-03 18:57:37.277371	2013-08-03 18:57:37.277371	124
14022	59308	14871	2013-08-03 18:57:37.281695	2013-08-03 18:57:37.281695	124
14023	59308	14851	2013-08-03 18:57:37.28526	2013-08-03 18:57:37.28526	124
14024	59308	14831	2013-08-03 18:57:37.288877	2013-08-03 18:57:37.288877	124
14025	59308	14811	2013-08-03 18:57:37.292297	2013-08-03 18:57:37.292297	124
14026	59308	14791	2013-08-03 18:57:37.295912	2013-08-03 18:57:37.295912	124
14027	58974	14771	2013-08-03 18:57:37.304283	2013-08-03 18:57:37.304283	124
14028	58974	14650	2013-08-03 18:57:37.312395	2013-08-03 18:57:37.312395	124
14029	58974	14690	2013-08-03 18:57:37.320401	2013-08-03 18:57:37.320401	124
14030	58974	14632	2013-08-03 18:57:37.328736	2013-08-03 18:57:37.328736	124
14031	58974	14970	2013-08-03 18:57:37.337312	2013-08-03 18:57:37.337312	124
14032	58974	34663	2013-08-03 18:57:37.346283	2013-08-03 18:57:37.346283	124
14033	59537	20345	2013-08-03 18:57:37.407955	2013-08-03 18:57:37.407955	124
14034	59496	20297	2013-08-03 18:57:37.429901	2013-08-03 18:57:37.429901	124
14035	59309	20392	2013-08-03 18:57:37.446755	2013-08-03 18:57:37.446755	124
14036	59265	20372	2013-08-03 18:57:37.457547	2013-08-03 18:57:37.457547	124
14037	59168	20395	2013-08-03 18:57:37.471696	2013-08-03 18:57:37.471696	124
14038	59130	20352	2013-08-03 18:57:37.480479	2013-08-03 18:57:37.480479	124
14039	59120	20332	2013-08-03 18:57:37.48757	2013-08-03 18:57:37.48757	124
14040	59054	20312	2013-08-03 18:57:37.496665	2013-08-03 18:57:37.496665	124
14041	58873	20292	2013-08-03 18:57:37.510716	2013-08-03 18:57:37.510716	124
14042	58872	16561	2013-08-03 18:57:37.525602	2013-08-03 18:57:37.525602	124
14043	58799	15810	2013-08-03 18:57:37.538694	2013-08-03 18:57:37.538694	124
14044	58792	7729	2013-08-03 18:57:37.546209	2013-08-03 18:57:37.546209	124
14045	58781	24545	2013-08-03 18:57:37.557247	2013-08-03 18:57:37.557247	124
14046	58768	14990	2013-08-03 18:57:37.577389	2013-08-03 18:57:37.577389	124
14047	59538	17798	2013-08-03 18:57:37.607776	2013-08-03 18:57:37.607776	124
14048	59538	17898	2013-08-03 18:57:37.611846	2013-08-03 18:57:37.611846	124
14049	59538	17918	2013-08-03 18:57:37.615537	2013-08-03 18:57:37.615537	124
14050	59538	4139	2013-08-03 18:57:37.621542	2013-08-03 18:57:37.621542	124
14051	59538	11811	2013-08-03 18:57:37.627904	2013-08-03 18:57:37.627904	124
14052	59538	13760	2013-08-03 18:57:37.636743	2013-08-03 18:57:37.636743	124
14053	59538	13820	2013-08-03 18:57:37.645892	2013-08-03 18:57:37.645892	124
14054	59538	6138	2013-08-03 18:57:37.65313	2013-08-03 18:57:37.65313	124
14055	59538	7709	2013-08-03 18:57:37.66112	2013-08-03 18:57:37.66112	124
14056	58976	24845	2013-08-03 18:57:37.672125	2013-08-03 18:57:37.672125	124
14057	58976	24825	2013-08-03 18:57:37.678027	2013-08-03 18:57:37.678027	124
14058	58976	35123	2013-08-03 18:57:37.734546	2013-08-03 18:57:37.734546	124
14059	58976	34743	2013-08-03 18:57:37.739533	2013-08-03 18:57:37.739533	124
14060	58976	35623	2013-08-03 18:57:37.74916	2013-08-03 18:57:37.74916	124
14061	58976	27020	2013-08-03 18:57:37.759302	2013-08-03 18:57:37.759302	124
14062	58976	34783	2013-08-03 18:57:37.766621	2013-08-03 18:57:37.766621	124
14063	58976	35203	2013-08-03 18:57:37.770214	2013-08-03 18:57:37.770214	124
14064	58976	13511	2013-08-03 18:57:37.773436	2013-08-03 18:57:37.773436	124
14065	59539	2290	2013-08-03 18:57:37.790576	2013-08-03 18:57:37.790576	124
14066	59539	2281	2013-08-03 18:57:37.794785	2013-08-03 18:57:37.794785	124
14067	59539	2304	2013-08-03 18:57:37.79932	2013-08-03 18:57:37.79932	124
14068	59539	2351	2013-08-03 18:57:37.804797	2013-08-03 18:57:37.804797	124
14069	59539	2200	2013-08-03 18:57:37.809217	2013-08-03 18:57:37.809217	124
14070	59539	2220	2013-08-03 18:57:37.814169	2013-08-03 18:57:37.814169	124
14071	59539	2240	2013-08-03 18:57:37.82269	2013-08-03 18:57:37.82269	124
14072	59539	18538	2013-08-03 18:57:37.828178	2013-08-03 18:57:37.828178	124
14073	59539	2260	2013-08-03 18:57:37.832036	2013-08-03 18:57:37.832036	124
14074	59310	2280	2013-08-03 18:57:37.844195	2013-08-03 18:57:37.844195	124
14075	59310	2300	2013-08-03 18:57:37.854795	2013-08-03 18:57:37.854795	124
14076	59310	2320	2013-08-03 18:57:37.865386	2013-08-03 18:57:37.865386	124
14077	59310	2340	2013-08-03 18:57:37.87626	2013-08-03 18:57:37.87626	124
14078	59310	15810	2013-08-03 18:57:37.887052	2013-08-03 18:57:37.887052	124
14079	59310	15730	2013-08-03 18:57:37.89258	2013-08-03 18:57:37.89258	124
14080	59310	7789	2013-08-03 18:57:37.89843	2013-08-03 18:57:37.89843	124
14081	59310	16543	2013-08-03 18:57:37.902843	2013-08-03 18:57:37.902843	124
14082	59310	23657	2013-08-03 18:57:37.906955	2013-08-03 18:57:37.906955	124
14083	59540	26238	2013-08-03 18:57:37.955569	2013-08-03 18:57:37.955569	124
14084	59314	26218	2013-08-03 18:57:37.977862	2013-08-03 18:57:37.977862	124
14085	59217	26198	2013-08-03 18:57:37.999968	2013-08-03 18:57:37.999968	124
14086	59144	26178	2013-08-03 18:57:38.038198	2013-08-03 18:57:38.038198	124
14087	59134	26158	2013-08-03 18:57:38.056705	2013-08-03 18:57:38.056705	124
14088	59121	26138	2013-08-03 18:57:38.065126	2013-08-03 18:57:38.065126	124
14089	59100	26118	2013-08-03 18:57:38.073233	2013-08-03 18:57:38.073233	124
14090	59059	26098	2013-08-03 18:57:38.084668	2013-08-03 18:57:38.084668	124
14091	59024	26078	2013-08-03 18:57:38.094185	2013-08-03 18:57:38.094185	124
14092	58996	26058	2013-08-03 18:57:38.10637	2013-08-03 18:57:38.10637	124
14093	58886	26038	2013-08-03 18:57:38.120255	2013-08-03 18:57:38.120255	124
14094	58853	23745	2013-08-03 18:57:38.137756	2013-08-03 18:57:38.137756	124
14095	58801	16381	2013-08-03 18:57:38.154979	2013-08-03 18:57:38.154979	124
14096	58776	35383	2013-08-03 18:57:38.170222	2013-08-03 18:57:38.170222	124
14097	58769	35483	2013-08-03 18:57:38.189971	2013-08-03 18:57:38.189971	124
14098	60634	26518	2013-08-03 18:57:38.258661	2013-08-03 18:57:38.258661	124
14099	59114	26498	2013-08-03 18:57:38.277085	2013-08-03 18:57:38.277085	124
14100	59065	26478	2013-08-03 18:57:38.297056	2013-08-03 18:57:38.297056	124
14101	59062	26458	2013-08-03 18:57:38.312412	2013-08-03 18:57:38.312412	124
14102	58971	26438	2013-08-03 18:57:38.321851	2013-08-03 18:57:38.321851	124
14103	58970	26418	2013-08-03 18:57:38.338949	2013-08-03 18:57:38.338949	124
14104	58890	26398	2013-08-03 18:57:38.360919	2013-08-03 18:57:38.360919	124
14105	58883	26378	2013-08-03 18:57:38.380274	2013-08-03 18:57:38.380274	124
14106	58791	26358	2013-08-03 18:57:38.401141	2013-08-03 18:57:38.401141	124
14107	58784	26338	2013-08-03 18:57:38.422891	2013-08-03 18:57:38.422891	124
14108	59542	5606	2013-08-03 18:57:38.480814	2013-08-03 18:57:38.480814	124
14109	59356	14455	2013-08-03 18:57:38.497514	2013-08-03 18:57:38.497514	124
14110	59317	2849	2013-08-03 18:57:38.505642	2013-08-03 18:57:38.505642	124
14111	59135	2865	2013-08-03 18:57:38.524226	2013-08-03 18:57:38.524226	124
14112	59122	19203	2013-08-03 18:57:38.545892	2013-08-03 18:57:38.545892	124
14113	59056	20528	2013-08-03 18:57:38.567633	2013-08-03 18:57:38.567633	124
14114	59003	2789	2013-08-03 18:57:38.589961	2013-08-03 18:57:38.589961	124
14115	58888	2786	2013-08-03 18:57:38.612322	2013-08-03 18:57:38.612322	124
14116	58874	2769	2013-08-03 18:57:38.634319	2013-08-03 18:57:38.634319	124
14117	58802	2688	2013-08-03 18:57:38.646354	2013-08-03 18:57:38.646354	124
14118	58794	2810	2013-08-03 18:57:38.658981	2013-08-03 18:57:38.658981	124
14119	58778	2730	2013-08-03 18:57:38.677442	2013-08-03 18:57:38.677442	124
14120	58771	4885	2013-08-03 18:57:38.692267	2013-08-03 18:57:38.692267	124
14121	59621	27800	2013-08-03 18:57:38.71607	2013-08-03 18:57:38.71607	124
14122	59543	27780	2013-08-03 18:57:38.747287	2013-08-03 18:57:38.747287	124
14123	59469	27760	2013-08-03 18:57:38.762025	2013-08-03 18:57:38.762025	124
14124	59320	27740	2013-08-03 18:57:38.772711	2013-08-03 18:57:38.772711	124
14125	59145	27720	2013-08-03 18:57:38.779872	2013-08-03 18:57:38.779872	124
14126	59123	27700	2013-08-03 18:57:38.787153	2013-08-03 18:57:38.787153	124
14127	59055	27680	2013-08-03 18:57:38.795232	2013-08-03 18:57:38.795232	124
14128	59009	27660	2013-08-03 18:57:38.803902	2013-08-03 18:57:38.803902	124
14129	58889	27640	2013-08-03 18:57:38.812312	2013-08-03 18:57:38.812312	124
14130	58871	27620	2013-08-03 18:57:38.824557	2013-08-03 18:57:38.824557	124
14131	58803	27600	2013-08-03 18:57:38.836149	2013-08-03 18:57:38.836149	124
14132	58795	27580	2013-08-03 18:57:38.849954	2013-08-03 18:57:38.849954	124
14133	58775	27560	2013-08-03 18:57:38.8712	2013-08-03 18:57:38.8712	124
14134	58774	27540	2013-08-03 18:57:38.893664	2013-08-03 18:57:38.893664	124
14135	60495	17301	2013-08-03 19:02:35.088033	2013-08-03 19:02:35.088033	125
14136	60464	17281	2013-08-03 19:02:35.09883	2013-08-03 19:02:35.09883	125
14137	60040	17233	2013-08-03 19:02:35.107784	2013-08-03 19:02:35.107784	125
14138	59955	17197	2013-08-03 19:02:35.117497	2013-08-03 19:02:35.117497	125
14139	59869	17117	2013-08-03 19:02:35.127729	2013-08-03 19:02:35.127729	125
14140	59865	17261	2013-08-03 19:02:35.147462	2013-08-03 19:02:35.147462	125
14141	59837	17241	2013-08-03 19:02:35.221665	2013-08-03 19:02:35.221665	125
14142	59747	17221	2013-08-03 19:02:35.236613	2013-08-03 19:02:35.236613	125
14143	59741	17201	2013-08-03 19:02:35.246262	2013-08-03 19:02:35.246262	125
14144	59738	17181	2013-08-03 19:02:35.257275	2013-08-03 19:02:35.257275	125
14145	59711	17161	2013-08-03 19:02:35.269994	2013-08-03 19:02:35.269994	125
14146	59697	2278	2013-08-03 19:02:35.284652	2013-08-03 19:02:35.284652	125
14147	59696	5606	2013-08-03 19:02:35.299357	2013-08-03 19:02:35.299357	125
14148	59668	15010	2013-08-03 19:02:35.314591	2013-08-03 19:02:35.314591	125
14149	60413	36923	2013-08-03 19:02:35.377735	2013-08-03 19:02:35.377735	125
14150	60117	36903	2013-08-03 19:02:35.399687	2013-08-03 19:02:35.399687	125
14151	60097	36883	2013-08-03 19:02:35.415598	2013-08-03 19:02:35.415598	125
14152	60052	28020	2013-08-03 19:02:35.425253	2013-08-03 19:02:35.425253	125
14153	60031	26735	2013-08-03 19:02:35.431954	2013-08-03 19:02:35.431954	125
14154	60016	25265	2013-08-03 19:02:35.441716	2013-08-03 19:02:35.441716	125
14155	59979	23155	2013-08-03 19:02:35.460139	2013-08-03 19:02:35.460139	125
14156	59966	17241	2013-08-03 19:02:35.468442	2013-08-03 19:02:35.468442	125
14157	59940	17121	2013-08-03 19:02:35.478212	2013-08-03 19:02:35.478212	125
14158	59909	16050	2013-08-03 19:02:35.488601	2013-08-03 19:02:35.488601	125
14159	59906	2318	2013-08-03 19:02:35.496073	2013-08-03 19:02:35.496073	125
14160	59884	7769	2013-08-03 19:02:35.508676	2013-08-03 19:02:35.508676	125
14161	59867	34603	2013-08-03 19:02:35.521349	2013-08-03 19:02:35.521349	125
14162	61759	15010	2013-08-03 19:02:35.586095	2013-08-03 19:02:35.586095	125
14163	60580	35183	2013-08-03 19:02:35.608528	2013-08-03 19:02:35.608528	125
14164	60577	26400	2013-08-03 19:02:35.630646	2013-08-03 19:02:35.630646	125
14165	60556	2406	2013-08-03 19:02:35.653411	2013-08-03 19:02:35.653411	125
14166	60534	36823	2013-08-03 19:02:35.676638	2013-08-03 19:02:35.676638	125
14167	60493	16877	2013-08-03 19:02:35.696652	2013-08-03 19:02:35.696652	125
14168	60473	36523	2013-08-03 19:02:35.719388	2013-08-03 19:02:35.719388	125
14169	60456	19203	2013-08-03 19:02:35.74134	2013-08-03 19:02:35.74134	125
14170	60444	16501	2013-08-03 19:02:35.75565	2013-08-03 19:02:35.75565	125
14171	60389	7749	2013-08-03 19:02:35.764769	2013-08-03 19:02:35.764769	125
14172	60377	22745	2013-08-03 19:02:35.773651	2013-08-03 19:02:35.773651	125
14173	60494	25377	2013-08-03 19:02:35.796233	2013-08-03 19:02:35.796233	125
14174	60463	25425	2013-08-03 19:02:35.805029	2013-08-03 19:02:35.805029	125
14175	60147	25405	2013-08-03 19:02:35.813797	2013-08-03 19:02:35.813797	125
14176	60046	25385	2013-08-03 19:02:35.821147	2013-08-03 19:02:35.821147	125
14177	60015	25365	2013-08-03 19:02:35.829535	2013-08-03 19:02:35.829535	125
14178	59954	25345	2013-08-03 19:02:35.837691	2013-08-03 19:02:35.837691	125
14179	59868	25325	2013-08-03 19:02:35.849496	2013-08-03 19:02:35.849496	125
14180	59864	25305	2013-08-03 19:02:35.866385	2013-08-03 19:02:35.866385	125
14181	59838	19852	2013-08-03 19:02:35.889514	2013-08-03 19:02:35.889514	125
14182	59750	16050	2013-08-03 19:02:35.913705	2013-08-03 19:02:35.913705	125
14183	59739	2230	2013-08-03 19:02:35.93098	2013-08-03 19:02:35.93098	125
14184	59727	15010	2013-08-03 19:02:35.938909	2013-08-03 19:02:35.938909	125
14185	59698	34843	2013-08-03 19:02:35.946847	2013-08-03 19:02:35.946847	125
14186	59688	26380	2013-08-03 19:02:35.955142	2013-08-03 19:02:35.955142	125
14187	59666	11616	2013-08-03 19:02:35.963759	2013-08-03 19:02:35.963759	125
14188	59774	25845	2013-08-03 19:02:35.981583	2013-08-03 19:02:35.981583	125
14189	59774	25825	2013-08-03 19:02:35.989915	2013-08-03 19:02:35.989915	125
14190	59774	25805	2013-08-03 19:02:35.996675	2013-08-03 19:02:35.996675	125
14191	59774	25785	2013-08-03 19:02:36.001483	2013-08-03 19:02:36.001483	125
14192	59774	25765	2013-08-03 19:02:36.008944	2013-08-03 19:02:36.008944	125
14193	59774	25745	2013-08-03 19:02:36.021352	2013-08-03 19:02:36.021352	125
14194	59774	25725	2013-08-03 19:02:36.029855	2013-08-03 19:02:36.029855	125
14195	59774	25705	2013-08-03 19:02:36.034023	2013-08-03 19:02:36.034023	125
14196	59774	25685	2013-08-03 19:02:36.038185	2013-08-03 19:02:36.038185	125
14197	59774	25665	2013-08-03 19:02:36.042328	2013-08-03 19:02:36.042328	125
14198	59774	25645	2013-08-03 19:02:36.046004	2013-08-03 19:02:36.046004	125
14199	59774	25625	2013-08-03 19:02:36.049786	2013-08-03 19:02:36.049786	125
14200	59774	25605	2013-08-03 19:02:36.055423	2013-08-03 19:02:36.055423	125
14201	59774	25495	2013-08-03 19:02:36.062359	2013-08-03 19:02:36.062359	125
14202	59774	25557	2013-08-03 19:02:36.06826	2013-08-03 19:02:36.06826	125
14203	59774	25585	2013-08-03 19:02:36.073624	2013-08-03 19:02:36.073624	125
14204	59774	25565	2013-08-03 19:02:36.078916	2013-08-03 19:02:36.078916	125
14205	59774	25545	2013-08-03 19:02:36.084025	2013-08-03 19:02:36.084025	125
14206	59774	25525	2013-08-03 19:02:36.088711	2013-08-03 19:02:36.088711	125
14207	60575	34723	2013-08-03 19:02:36.113094	2013-08-03 19:02:36.113094	125
14208	60566	26695	2013-08-03 19:02:36.122884	2013-08-03 19:02:36.122884	125
14209	60497	35223	2013-08-03 19:02:36.133452	2013-08-03 19:02:36.133452	125
14210	60465	29455	2013-08-03 19:02:36.142468	2013-08-03 19:02:36.142468	125
14211	60448	35843	2013-08-03 19:02:36.154695	2013-08-03 19:02:36.154695	125
14212	60349	24978	2013-08-03 19:02:36.173921	2013-08-03 19:02:36.173921	125
14213	60331	34563	2013-08-03 19:02:36.196743	2013-08-03 19:02:36.196743	125
14214	60298	5086	2013-08-03 19:02:36.211955	2013-08-03 19:02:36.211955	125
14215	60277	16081	2013-08-03 19:02:36.219689	2013-08-03 19:02:36.219689	125
14216	60252	34623	2013-08-03 19:02:36.227428	2013-08-03 19:02:36.227428	125
14217	59726	13411	2013-08-03 19:02:36.242374	2013-08-03 19:02:36.242374	125
14218	59669	22743	2013-08-03 19:02:36.315541	2013-08-03 19:02:36.315541	125
14219	60499	12971	2013-08-03 19:02:36.344029	2013-08-03 19:02:36.344029	125
14220	60499	13411	2013-08-03 19:02:36.355491	2013-08-03 19:02:36.355491	125
14221	60499	25525	2013-08-03 19:02:36.366837	2013-08-03 19:02:36.366837	125
14222	60499	25545	2013-08-03 19:02:36.376877	2013-08-03 19:02:36.376877	125
14223	60499	22745	2013-08-03 19:02:36.38761	2013-08-03 19:02:36.38761	125
14224	60499	26380	2013-08-03 19:02:36.397747	2013-08-03 19:02:36.397747	125
14225	60499	7769	2013-08-03 19:02:36.40773	2013-08-03 19:02:36.40773	125
14226	60499	5606	2013-08-03 19:02:36.414925	2013-08-03 19:02:36.414925	125
14227	60499	34823	2013-08-03 19:02:36.418762	2013-08-03 19:02:36.418762	125
14228	59958	34503	2013-08-03 19:02:36.439984	2013-08-03 19:02:36.439984	125
14229	59958	36763	2013-08-03 19:02:36.450503	2013-08-03 19:02:36.450503	125
14230	59958	31535	2013-08-03 19:02:36.460316	2013-08-03 19:02:36.460316	125
14231	59958	36463	2013-08-03 19:02:36.470246	2013-08-03 19:02:36.470246	125
14232	59958	35383	2013-08-03 19:02:36.48209	2013-08-03 19:02:36.48209	125
14233	59958	30115	2013-08-03 19:02:36.494432	2013-08-03 19:02:36.494432	125
14234	59958	24545	2013-08-03 19:02:36.504637	2013-08-03 19:02:36.504637	125
14235	59958	15750	2013-08-03 19:02:36.508746	2013-08-03 19:02:36.508746	125
14236	59958	34463	2013-08-03 19:02:36.512839	2013-08-03 19:02:36.512839	125
14237	59972	15997	2013-08-03 19:02:36.537854	2013-08-03 19:02:36.537854	125
14238	59972	15510	2013-08-03 19:02:36.542638	2013-08-03 19:02:36.542638	125
14239	59972	2278	2013-08-03 19:02:36.546828	2013-08-03 19:02:36.546828	125
14240	59972	2255	2013-08-03 19:02:36.552959	2013-08-03 19:02:36.552959	125
14241	59972	16081	2013-08-03 19:02:36.558551	2013-08-03 19:02:36.558551	125
14242	59972	34843	2013-08-03 19:02:36.564431	2013-08-03 19:02:36.564431	125
14243	59972	35183	2013-08-03 19:02:36.569327	2013-08-03 19:02:36.569327	125
14244	59972	34963	2013-08-03 19:02:36.574072	2013-08-03 19:02:36.574072	125
14245	59972	18457	2013-08-03 19:02:36.578902	2013-08-03 19:02:36.578902	125
14246	59846	36743	2013-08-03 19:02:36.587593	2013-08-03 19:02:36.587593	125
14247	59846	31515	2013-08-03 19:02:36.591567	2013-08-03 19:02:36.591567	125
14248	59846	36443	2013-08-03 19:02:36.595111	2013-08-03 19:02:36.595111	125
14249	59846	35483	2013-08-03 19:02:36.598962	2013-08-03 19:02:36.598962	125
14250	59846	34863	2013-08-03 19:02:36.603253	2013-08-03 19:02:36.603253	125
14251	59846	4885	2013-08-03 19:02:36.607155	2013-08-03 19:02:36.607155	125
14252	59846	14990	2013-08-03 19:02:36.61106	2013-08-03 19:02:36.61106	125
14253	59846	5146	2013-08-03 19:02:36.614616	2013-08-03 19:02:36.614616	125
14254	59846	1330	2013-08-03 19:02:36.618405	2013-08-03 19:02:36.618405	125
14255	60500	2275	2013-08-03 19:02:36.646477	2013-08-03 19:02:36.646477	125
14256	60471	29455	2013-08-03 19:02:36.656262	2013-08-03 19:02:36.656262	125
14257	60151	36903	2013-08-03 19:02:36.664458	2013-08-03 19:02:36.664458	125
14258	59974	19203	2013-08-03 19:02:36.676911	2013-08-03 19:02:36.676911	125
14259	59872	35003	2013-08-03 19:02:36.684989	2013-08-03 19:02:36.684989	125
14260	59791	19343	2013-08-03 19:02:36.69358	2013-08-03 19:02:36.69358	125
14261	59752	36723	2013-08-03 19:02:36.70449	2013-08-03 19:02:36.70449	125
14262	59748	36423	2013-08-03 19:02:36.719697	2013-08-03 19:02:36.719697	125
14263	59732	14455	2013-08-03 19:02:36.741509	2013-08-03 19:02:36.741509	125
14264	59670	35083	2013-08-03 19:02:36.764844	2013-08-03 19:02:36.764844	125
14265	60501	16278	2013-08-03 19:02:36.832449	2013-08-03 19:02:36.832449	125
14266	60469	16190	2013-08-03 19:02:36.856513	2013-08-03 19:02:36.856513	125
14267	59975	9439	2013-08-03 19:02:36.879306	2013-08-03 19:02:36.879306	125
14268	59907	16170	2013-08-03 19:02:36.903405	2013-08-03 19:02:36.903405	125
14269	59873	16150	2013-08-03 19:02:36.92565	2013-08-03 19:02:36.92565	125
14270	59870	16130	2013-08-03 19:02:36.947505	2013-08-03 19:02:36.947505	125
14271	59849	16110	2013-08-03 19:02:36.970376	2013-08-03 19:02:36.970376	125
14272	59840	16075	2013-08-03 19:02:36.995948	2013-08-03 19:02:36.995948	125
14273	59753	16090	2013-08-03 19:02:37.021419	2013-08-03 19:02:37.021419	125
14274	59731	2295	2013-08-03 19:02:37.035429	2013-08-03 19:02:37.035429	125
14275	59715	34723	2013-08-03 19:02:37.047497	2013-08-03 19:02:37.047497	125
14276	59703	26400	2013-08-03 19:02:37.055417	2013-08-03 19:02:37.055417	125
14277	59685	29495	2013-08-03 19:02:37.063783	2013-08-03 19:02:37.063783	125
14278	59672	26300	2013-08-03 19:02:37.075466	2013-08-03 19:02:37.075466	125
14279	60502	14998	2013-08-03 19:02:37.110873	2013-08-03 19:02:37.110873	125
14280	60502	15011	2013-08-03 19:02:37.123112	2013-08-03 19:02:37.123112	125
14281	60502	14991	2013-08-03 19:02:37.131708	2013-08-03 19:02:37.131708	125
14282	60502	14971	2013-08-03 19:02:37.135798	2013-08-03 19:02:37.135798	125
14283	60502	14980	2013-08-03 19:02:37.139261	2013-08-03 19:02:37.139261	125
14284	60502	2786	2013-08-03 19:02:37.144083	2013-08-03 19:02:37.144083	125
14285	60101	2230	2013-08-03 19:02:37.154421	2013-08-03 19:02:37.154421	125
14286	60101	2315	2013-08-03 19:02:37.159209	2013-08-03 19:02:37.159209	125
14287	60101	16090	2013-08-03 19:02:37.164957	2013-08-03 19:02:37.164957	125
14288	60101	36723	2013-08-03 19:02:37.169631	2013-08-03 19:02:37.169631	125
14289	60101	34563	2013-08-03 19:02:37.174192	2013-08-03 19:02:37.174192	125
14290	60101	36823	2013-08-03 19:02:37.179201	2013-08-03 19:02:37.179201	125
14291	59988	35163	2013-08-03 19:02:37.189072	2013-08-03 19:02:37.189072	125
14292	59988	34583	2013-08-03 19:02:37.194707	2013-08-03 19:02:37.194707	125
14293	59988	36683	2013-08-03 19:02:37.199031	2013-08-03 19:02:37.199031	125
14294	59988	36383	2013-08-03 19:02:37.202159	2013-08-03 19:02:37.202159	125
14295	59988	20292	2013-08-03 19:02:37.204982	2013-08-03 19:02:37.204982	125
14296	59988	13511	2013-08-03 19:02:37.207853	2013-08-03 19:02:37.207853	125
14297	60503	20752	2013-08-03 19:02:37.262093	2013-08-03 19:02:37.262093	125
14298	60470	20732	2013-08-03 19:02:37.285624	2013-08-03 19:02:37.285624	125
14299	60093	17161	2013-08-03 19:02:37.307731	2013-08-03 19:02:37.307731	125
14300	59991	17000	2013-08-03 19:02:37.330034	2013-08-03 19:02:37.330034	125
14301	59874	15990	2013-08-03 19:02:37.351397	2013-08-03 19:02:37.351397	125
14302	59841	15850	2013-08-03 19:02:37.373351	2013-08-03 19:02:37.373351	125
14303	59819	15765	2013-08-03 19:02:37.395937	2013-08-03 19:02:37.395937	125
14304	59754	2335	2013-08-03 19:02:37.417079	2013-08-03 19:02:37.417079	125
14305	59749	34723	2013-08-03 19:02:37.439693	2013-08-03 19:02:37.439693	125
14306	59725	36903	2013-08-03 19:02:37.461955	2013-08-03 19:02:37.461955	125
14307	59716	29775	2013-08-03 19:02:37.48426	2013-08-03 19:02:37.48426	125
14308	59702	7920	2013-08-03 19:02:37.506864	2013-08-03 19:02:37.506864	125
14309	59674	36663	2013-08-03 19:02:37.525702	2013-08-03 19:02:37.525702	125
14310	60504	34843	2013-08-03 19:02:37.539622	2013-08-03 19:02:37.539622	125
14311	60504	35383	2013-08-03 19:02:37.595182	2013-08-03 19:02:37.595182	125
14312	60504	36463	2013-08-03 19:02:37.60568	2013-08-03 19:02:37.60568	125
14313	60504	31535	2013-08-03 19:02:37.610498	2013-08-03 19:02:37.610498	125
14314	60504	36763	2013-08-03 19:02:37.614267	2013-08-03 19:02:37.614267	125
14315	60504	34503	2013-08-03 19:02:37.617537	2013-08-03 19:02:37.617537	125
14316	60504	34943	2013-08-03 19:02:37.621004	2013-08-03 19:02:37.621004	125
14317	60504	7329	2013-08-03 19:02:37.62465	2013-08-03 19:02:37.62465	125
14318	60504	8605	2013-08-03 19:02:37.628343	2013-08-03 19:02:37.628343	125
14319	59742	36643	2013-08-03 19:02:37.636379	2013-08-03 19:02:37.636379	125
14320	59742	36343	2013-08-03 19:02:37.639794	2013-08-03 19:02:37.639794	125
14321	59742	2849	2013-08-03 19:02:37.643172	2013-08-03 19:02:37.643172	125
14322	59742	16543	2013-08-03 19:02:37.646697	2013-08-03 19:02:37.646697	125
14323	59742	7789	2013-08-03 19:02:37.650856	2013-08-03 19:02:37.650856	125
14324	59742	15730	2013-08-03 19:02:37.654393	2013-08-03 19:02:37.654393	125
14325	59742	15810	2013-08-03 19:02:37.6578	2013-08-03 19:02:37.6578	125
14326	59742	14970	2013-08-03 19:02:37.661357	2013-08-03 19:02:37.661357	125
14327	59742	23657	2013-08-03 19:02:37.665289	2013-08-03 19:02:37.665289	125
14328	60505	2318	2013-08-03 19:02:37.684776	2013-08-03 19:02:37.684776	125
14329	60505	16748	2013-08-03 19:02:37.693339	2013-08-03 19:02:37.693339	125
14330	60505	2345	2013-08-03 19:02:37.701046	2013-08-03 19:02:37.701046	125
14331	60505	3861	2013-08-03 19:02:37.710442	2013-08-03 19:02:37.710442	125
14332	60505	19528	2013-08-03 19:02:37.721682	2013-08-03 19:02:37.721682	125
14333	60505	2206	2013-08-03 19:02:37.732768	2013-08-03 19:02:37.732768	125
14334	60505	2285	2013-08-03 19:02:37.744355	2013-08-03 19:02:37.744355	125
14335	60505	2276	2013-08-03 19:02:37.755866	2013-08-03 19:02:37.755866	125
14336	60505	2296	2013-08-03 19:02:37.766864	2013-08-03 19:02:37.766864	125
14337	59994	2316	2013-08-03 19:02:37.790619	2013-08-03 19:02:37.790619	125
14338	59994	2270	2013-08-03 19:02:37.803108	2013-08-03 19:02:37.803108	125
14339	59994	14083	2013-08-03 19:02:37.815337	2013-08-03 19:02:37.815337	125
14340	59994	2218	2013-08-03 19:02:37.828002	2013-08-03 19:02:37.828002	125
14341	59994	2238	2013-08-03 19:02:37.840029	2013-08-03 19:02:37.840029	125
14342	59994	2258	2013-08-03 19:02:37.848666	2013-08-03 19:02:37.848666	125
14343	59994	29455	2013-08-03 19:02:37.860677	2013-08-03 19:02:37.860677	125
14344	59994	5086	2013-08-03 19:02:37.871576	2013-08-03 19:02:37.871576	125
14345	59994	36523	2013-08-03 19:02:37.882149	2013-08-03 19:02:37.882149	125
14346	60506	34423	2013-08-03 19:02:37.941703	2013-08-03 19:02:37.941703	125
14347	60143	7270	2013-08-03 19:02:37.948926	2013-08-03 19:02:37.948926	125
14348	60044	34543	2013-08-03 19:02:37.956192	2013-08-03 19:02:37.956192	125
14349	59996	23517	2013-08-03 19:02:37.963802	2013-08-03 19:02:37.963802	125
14350	59893	15175	2013-08-03 19:02:37.972547	2013-08-03 19:02:37.972547	125
14351	59882	36263	2013-08-03 19:02:37.98089	2013-08-03 19:02:37.98089	125
14352	59761	35823	2013-08-03 19:02:37.991211	2013-08-03 19:02:37.991211	125
14353	59757	20312	2013-08-03 19:02:38.007393	2013-08-03 19:02:38.007393	125
14354	59743	34663	2013-08-03 19:02:38.026038	2013-08-03 19:02:38.026038	125
14355	59719	36563	2013-08-03 19:02:38.048108	2013-08-03 19:02:38.048108	125
14356	59705	26078	2013-08-03 19:02:38.070923	2013-08-03 19:02:38.070923	125
14357	59700	36283	2013-08-03 19:02:38.081712	2013-08-03 19:02:38.081712	125
14358	59676	34643	2013-08-03 19:02:38.092178	2013-08-03 19:02:38.092178	125
14359	59667	12508	2013-08-03 19:02:38.102628	2013-08-03 19:02:38.102628	125
14360	60256	27018	2013-08-03 19:02:38.140883	2013-08-03 19:02:38.140883	125
14361	60094	26998	2013-08-03 19:02:38.163487	2013-08-03 19:02:38.163487	125
14362	59866	26978	2013-08-03 19:02:38.187264	2013-08-03 19:02:38.187264	125
14363	59844	26958	2013-08-03 19:02:38.210328	2013-08-03 19:02:38.210328	125
14364	59836	26938	2013-08-03 19:02:38.221781	2013-08-03 19:02:38.221781	125
14365	59818	26918	2013-08-03 19:02:38.230962	2013-08-03 19:02:38.230962	125
14366	59804	26898	2013-08-03 19:02:38.242306	2013-08-03 19:02:38.242306	125
14367	59794	26878	2013-08-03 19:02:38.252699	2013-08-03 19:02:38.252699	125
14368	59755	26858	2013-08-03 19:02:38.264287	2013-08-03 19:02:38.264287	125
14369	59745	26838	2013-08-03 19:02:38.274261	2013-08-03 19:02:38.274261	125
14370	59695	26818	2013-08-03 19:02:38.288198	2013-08-03 19:02:38.288198	125
14371	59675	26798	2013-08-03 19:02:38.310489	2013-08-03 19:02:38.310489	125
14372	60507	24277	2013-08-03 19:02:38.370443	2013-08-03 19:02:38.370443	125
14373	60042	17255	2013-08-03 19:02:38.393919	2013-08-03 19:02:38.393919	125
14374	59997	2789	2013-08-03 19:02:38.416773	2013-08-03 19:02:38.416773	125
14375	59883	15175	2013-08-03 19:02:38.438864	2013-08-03 19:02:38.438864	125
14376	59839	36623	2013-08-03 19:02:38.461184	2013-08-03 19:02:38.461184	125
14377	59758	2865	2013-08-03 19:02:38.483519	2013-08-03 19:02:38.483519	125
14378	59756	16061	2013-08-03 19:02:38.505761	2013-08-03 19:02:38.505761	125
14379	59744	36363	2013-08-03 19:02:38.528325	2013-08-03 19:02:38.528325	125
14380	59721	7110	2013-08-03 19:02:38.550941	2013-08-03 19:02:38.550941	125
14381	59714	36803	2013-08-03 19:02:38.563206	2013-08-03 19:02:38.563206	125
14382	59699	20528	2013-08-03 19:02:38.574792	2013-08-03 19:02:38.574792	125
14383	59679	20672	2013-08-03 19:02:38.582286	2013-08-03 19:02:38.582286	125
14384	59671	9750	2013-08-03 19:02:38.590943	2013-08-03 19:02:38.590943	125
14385	60509	28220	2013-08-03 19:02:38.617963	2013-08-03 19:02:38.617963	125
14386	60357	28200	2013-08-03 19:02:38.625095	2013-08-03 19:02:38.625095	125
14387	59998	28180	2013-08-03 19:02:38.633098	2013-08-03 19:02:38.633098	125
14388	59900	28160	2013-08-03 19:02:38.64349	2013-08-03 19:02:38.64349	125
14389	59885	28140	2013-08-03 19:02:38.652291	2013-08-03 19:02:38.652291	125
14390	59759	28120	2013-08-03 19:02:38.660683	2013-08-03 19:02:38.660683	125
14391	59730	28083	2013-08-03 19:02:38.67864	2013-08-03 19:02:38.67864	125
14392	59722	28100	2013-08-03 19:02:38.698626	2013-08-03 19:02:38.698626	125
14393	59717	28080	2013-08-03 19:02:38.71962	2013-08-03 19:02:38.71962	125
14394	59704	24085	2013-08-03 19:02:38.742645	2013-08-03 19:02:38.742645	125
14395	59701	36323	2013-08-03 19:02:38.825772	2013-08-03 19:02:38.825772	125
14396	59681	7741	2013-08-03 19:02:38.838053	2013-08-03 19:02:38.838053	125
14397	59677	7130	2013-08-03 19:02:38.850402	2013-08-03 19:02:38.850402	125
14398	62292	17655	2013-08-03 19:07:33.87489	2013-08-03 19:07:33.87489	126
14399	61169	17741	2013-08-03 19:07:33.900333	2013-08-03 19:07:33.900333	126
14400	60814	17721	2013-08-03 19:07:33.924191	2013-08-03 19:07:33.924191	126
14401	60809	17701	2013-08-03 19:07:33.947397	2013-08-03 19:07:33.947397	126
14402	60791	17681	2013-08-03 19:07:33.97	2013-08-03 19:07:33.97	126
14403	60742	17661	2013-08-03 19:07:34.047493	2013-08-03 19:07:34.047493	126
14404	60735	17641	2013-08-03 19:07:34.057591	2013-08-03 19:07:34.057591	126
14405	60713	17637	2013-08-03 19:07:34.069793	2013-08-03 19:07:34.069793	126
14406	60698	17621	2013-08-03 19:07:34.083733	2013-08-03 19:07:34.083733	126
14407	60688	2420	2013-08-03 19:07:34.098987	2013-08-03 19:07:34.098987	126
14408	60675	32795	2013-08-03 19:07:34.114232	2013-08-03 19:07:34.114232	126
14409	60663	34903	2013-08-03 19:07:34.131073	2013-08-03 19:07:34.131073	126
14410	60647	37563	2013-08-03 19:07:34.148035	2013-08-03 19:07:34.148035	126
14411	62291	37643	2013-08-03 19:07:34.21746	2013-08-03 19:07:34.21746	126
14412	60960	37623	2013-08-03 19:07:34.239263	2013-08-03 19:07:34.239263	126
14413	60877	37603	2013-08-03 19:07:34.261583	2013-08-03 19:07:34.261583	126
14414	60790	37583	2013-08-03 19:07:34.284455	2013-08-03 19:07:34.284455	126
14415	60785	33115	2013-08-03 19:07:34.307239	2013-08-03 19:07:34.307239	126
14416	60764	32375	2013-08-03 19:07:34.329564	2013-08-03 19:07:34.329564	126
14417	60737	26405	2013-08-03 19:07:34.351207	2013-08-03 19:07:34.351207	126
14418	60699	17721	2013-08-03 19:07:34.372696	2013-08-03 19:07:34.372696	126
14419	60684	17561	2013-08-03 19:07:34.394167	2013-08-03 19:07:34.394167	126
14420	60670	21417	2013-08-03 19:07:34.415489	2013-08-03 19:07:34.415489	126
14421	60665	32755	2013-08-03 19:07:34.436945	2013-08-03 19:07:34.436945	126
14422	60648	29815	2013-08-03 19:07:34.447319	2013-08-03 19:07:34.447319	126
14423	62299	9386	2013-08-03 19:07:34.476217	2013-08-03 19:07:34.476217	126
14424	61178	9406	2013-08-03 19:07:34.494689	2013-08-03 19:07:34.494689	126
14425	60995	35643	2013-08-03 19:07:34.51606	2013-08-03 19:07:34.51606	126
14426	60803	37523	2013-08-03 19:07:34.538272	2013-08-03 19:07:34.538272	126
14427	60788	37243	2013-08-03 19:07:34.560696	2013-08-03 19:07:34.560696	126
14428	60762	7741	2013-08-03 19:07:34.58176	2013-08-03 19:07:34.58176	126
14429	60739	20672	2013-08-03 19:07:34.604964	2013-08-03 19:07:34.604964	126
14430	60706	34643	2013-08-03 19:07:34.625929	2013-08-03 19:07:34.625929	126
14431	60700	36663	2013-08-03 19:07:34.64721	2013-08-03 19:07:34.64721	126
14432	60686	26300	2013-08-03 19:07:34.668273	2013-08-03 19:07:34.668273	126
14433	60685	35083	2013-08-03 19:07:34.689404	2013-08-03 19:07:34.689404	126
14434	60671	22743	2013-08-03 19:07:34.71032	2013-08-03 19:07:34.71032	126
14435	60659	11616	2013-08-03 19:07:34.733465	2013-08-03 19:07:34.733465	126
14436	61166	26565	2013-08-03 19:07:34.804004	2013-08-03 19:07:34.804004	126
14437	60976	26545	2013-08-03 19:07:34.827401	2013-08-03 19:07:34.827401	126
14438	60816	26397	2013-08-03 19:07:34.853191	2013-08-03 19:07:34.853191	126
14439	60807	26525	2013-08-03 19:07:34.876957	2013-08-03 19:07:34.876957	126
14440	60741	26505	2013-08-03 19:07:34.900772	2013-08-03 19:07:34.900772	126
14441	60736	26485	2013-08-03 19:07:34.921279	2013-08-03 19:07:34.921279	126
14442	60702	26465	2013-08-03 19:07:34.928842	2013-08-03 19:07:34.928842	126
14443	60697	17655	2013-08-03 19:07:34.936191	2013-08-03 19:07:34.936191	126
14444	60687	16150	2013-08-03 19:07:34.943149	2013-08-03 19:07:34.943149	126
14445	60672	9386	2013-08-03 19:07:34.956551	2013-08-03 19:07:34.956551	126
14446	60664	37643	2013-08-03 19:07:34.975153	2013-08-03 19:07:34.975153	126
14447	60652	32335	2013-08-03 19:07:34.996728	2013-08-03 19:07:34.996728	126
14448	61162	26985	2013-08-03 19:07:35.040653	2013-08-03 19:07:35.040653	126
14449	61162	26965	2013-08-03 19:07:35.045391	2013-08-03 19:07:35.045391	126
14450	61162	26945	2013-08-03 19:07:35.050216	2013-08-03 19:07:35.050216	126
14451	61162	26925	2013-08-03 19:07:35.054997	2013-08-03 19:07:35.054997	126
14452	61162	26905	2013-08-03 19:07:35.058304	2013-08-03 19:07:35.058304	126
14453	61162	26885	2013-08-03 19:07:35.061211	2013-08-03 19:07:35.061211	126
14454	61162	26865	2013-08-03 19:07:35.064114	2013-08-03 19:07:35.064114	126
14455	61162	26737	2013-08-03 19:07:35.067147	2013-08-03 19:07:35.067147	126
14456	61162	26757	2013-08-03 19:07:35.071588	2013-08-03 19:07:35.071588	126
14457	61162	26845	2013-08-03 19:07:35.075799	2013-08-03 19:07:35.075799	126
14458	61162	26825	2013-08-03 19:07:35.081095	2013-08-03 19:07:35.081095	126
14459	61162	26805	2013-08-03 19:07:35.08864	2013-08-03 19:07:35.08864	126
14460	61162	26785	2013-08-03 19:07:35.098395	2013-08-03 19:07:35.098395	126
14461	61162	26765	2013-08-03 19:07:35.104806	2013-08-03 19:07:35.104806	126
14462	61162	26820	2013-08-03 19:07:35.10967	2013-08-03 19:07:35.10967	126
14463	61162	26745	2013-08-03 19:07:35.114826	2013-08-03 19:07:35.114826	126
14464	61162	26725	2013-08-03 19:07:35.124006	2013-08-03 19:07:35.124006	126
14465	61162	26780	2013-08-03 19:07:35.134844	2013-08-03 19:07:35.134844	126
14466	61162	26705	2013-08-03 19:07:35.145342	2013-08-03 19:07:35.145342	126
14467	62297	24505	2013-08-03 19:07:35.177782	2013-08-03 19:07:35.177782	126
14468	62297	16521	2013-08-03 19:07:35.189035	2013-08-03 19:07:35.189035	126
14469	62297	30135	2013-08-03 19:07:35.199827	2013-08-03 19:07:35.199827	126
14470	62297	12530	2013-08-03 19:07:35.210651	2013-08-03 19:07:35.210651	126
14471	62297	35043	2013-08-03 19:07:35.221708	2013-08-03 19:07:35.221708	126
14472	62297	35683	2013-08-03 19:07:35.232482	2013-08-03 19:07:35.232482	126
14473	62297	34883	2013-08-03 19:07:35.243222	2013-08-03 19:07:35.243222	126
14474	62297	35343	2013-08-03 19:07:35.254466	2013-08-03 19:07:35.254466	126
14475	62297	34923	2013-08-03 19:07:35.265327	2013-08-03 19:07:35.265327	126
14476	62297	34983	2013-08-03 19:07:35.276104	2013-08-03 19:07:35.276104	126
14477	62297	29795	2013-08-03 19:07:35.286894	2013-08-03 19:07:35.286894	126
14478	62297	29515	2013-08-03 19:07:35.297765	2013-08-03 19:07:35.297765	126
14479	62297	20172	2013-08-03 19:07:35.308758	2013-08-03 19:07:35.308758	126
14480	62297	35543	2013-08-03 19:07:35.319638	2013-08-03 19:07:35.319638	126
14481	62297	7663	2013-08-03 19:07:35.330546	2013-08-03 19:07:35.330546	126
14482	62297	35263	2013-08-03 19:07:35.341732	2013-08-03 19:07:35.341732	126
14483	62297	34703	2013-08-03 19:07:35.352989	2013-08-03 19:07:35.352989	126
14484	62297	29195	2013-08-03 19:07:35.364697	2013-08-03 19:07:35.364697	126
14485	62297	35143	2013-08-03 19:07:35.376272	2013-08-03 19:07:35.376272	126
14486	60793	11971	2013-08-03 19:07:35.416263	2013-08-03 19:07:35.416263	126
14487	60793	11991	2013-08-03 19:07:35.429135	2013-08-03 19:07:35.429135	126
14488	60793	20748	2013-08-03 19:07:35.438759	2013-08-03 19:07:35.438759	126
14489	60793	4451	2013-08-03 19:07:35.446484	2013-08-03 19:07:35.446484	126
14490	60793	26705	2013-08-03 19:07:35.45713	2013-08-03 19:07:35.45713	126
14491	60793	26780	2013-08-03 19:07:35.46761	2013-08-03 19:07:35.46761	126
14492	60793	26725	2013-08-03 19:07:35.474681	2013-08-03 19:07:35.474681	126
14493	60793	37643	2013-08-03 19:07:35.4804	2013-08-03 19:07:35.4804	126
14494	60793	34643	2013-08-03 19:07:35.484518	2013-08-03 19:07:35.484518	126
14495	60793	32755	2013-08-03 19:07:35.532006	2013-08-03 19:07:35.532006	126
14496	60793	32295	2013-08-03 19:07:35.550584	2013-08-03 19:07:35.550584	126
14497	60793	34803	2013-08-03 19:07:35.560664	2013-08-03 19:07:35.560664	126
14498	60793	37463	2013-08-03 19:07:35.571161	2013-08-03 19:07:35.571161	126
14499	60793	37183	2013-08-03 19:07:35.581931	2013-08-03 19:07:35.581931	126
14500	60793	36803	2013-08-03 19:07:35.592283	2013-08-03 19:07:35.592283	126
14501	60793	26078	2013-08-03 19:07:35.602684	2013-08-03 19:07:35.602684	126
14502	60793	29775	2013-08-03 19:07:35.614267	2013-08-03 19:07:35.614267	126
14503	60793	29495	2013-08-03 19:07:35.620726	2013-08-03 19:07:35.620726	126
14504	60793	14455	2013-08-03 19:07:35.627922	2013-08-03 19:07:35.627922	126
14505	60794	16675	2013-08-03 19:07:35.64529	2013-08-03 19:07:35.64529	126
14506	60794	16461	2013-08-03 19:07:35.652649	2013-08-03 19:07:35.652649	126
14507	60794	21417	2013-08-03 19:07:35.663317	2013-08-03 19:07:35.663317	126
14508	60794	2232	2013-08-03 19:07:35.673238	2013-08-03 19:07:35.673238	126
14509	60794	9386	2013-08-03 19:07:35.683352	2013-08-03 19:07:35.683352	126
14510	60794	32795	2013-08-03 19:07:35.693349	2013-08-03 19:07:35.693349	126
14511	60794	35463	2013-08-03 19:07:35.703309	2013-08-03 19:07:35.703309	126
14512	60794	32655	2013-08-03 19:07:35.712878	2013-08-03 19:07:35.712878	126
14513	60794	32275	2013-08-03 19:07:35.722045	2013-08-03 19:07:35.722045	126
14514	60653	35663	2013-08-03 19:07:35.743931	2013-08-03 19:07:35.743931	126
14515	60653	37443	2013-08-03 19:07:35.754698	2013-08-03 19:07:35.754698	126
14516	60653	37163	2013-08-03 19:07:35.764374	2013-08-03 19:07:35.764374	126
14517	60653	36323	2013-08-03 19:07:35.774486	2013-08-03 19:07:35.774486	126
14518	60653	20528	2013-08-03 19:07:35.785106	2013-08-03 19:07:35.785106	126
14519	60653	36283	2013-08-03 19:07:35.79552	2013-08-03 19:07:35.79552	126
14520	60653	22743	2013-08-03 19:07:35.807414	2013-08-03 19:07:35.807414	126
14521	60653	7920	2013-08-03 19:07:35.818596	2013-08-03 19:07:35.818596	126
14522	60653	26400	2013-08-03 19:07:35.826177	2013-08-03 19:07:35.826177	126
14523	62332	17721	2013-08-03 19:07:35.853055	2013-08-03 19:07:35.853055	126
14524	60982	35023	2013-08-03 19:07:35.862303	2013-08-03 19:07:35.862303	126
14525	60916	32635	2013-08-03 19:07:35.869011	2013-08-03 19:07:35.869011	126
14526	60857	30295	2013-08-03 19:07:35.875803	2013-08-03 19:07:35.875803	126
14527	60795	37423	2013-08-03 19:07:35.88301	2013-08-03 19:07:35.88301	126
14528	60769	37143	2013-08-03 19:07:35.890106	2013-08-03 19:07:35.890106	126
14529	60745	7130	2013-08-03 19:07:35.898596	2013-08-03 19:07:35.898596	126
14530	60689	9750	2013-08-03 19:07:35.907295	2013-08-03 19:07:35.907295	126
14531	60683	12508	2013-08-03 19:07:35.921691	2013-08-03 19:07:35.921691	126
14532	60669	26300	2013-08-03 19:07:35.933821	2013-08-03 19:07:35.933821	126
14533	62300	16350	2013-08-03 19:07:35.958559	2013-08-03 19:07:35.958559	126
14534	60876	16330	2013-08-03 19:07:35.966438	2013-08-03 19:07:35.966438	126
14535	60858	5138	2013-08-03 19:07:35.98164	2013-08-03 19:07:35.98164	126
14536	60818	16317	2013-08-03 19:07:36.001371	2013-08-03 19:07:36.001371	126
14537	60812	16310	2013-08-03 19:07:36.019961	2013-08-03 19:07:36.019961	126
14538	60796	16290	2013-08-03 19:07:36.030086	2013-08-03 19:07:36.030086	126
14539	60746	16320	2013-08-03 19:07:36.042307	2013-08-03 19:07:36.042307	126
14540	60734	16270	2013-08-03 19:07:36.052413	2013-08-03 19:07:36.052413	126
14541	60690	2272	2013-08-03 19:07:36.063363	2013-08-03 19:07:36.063363	126
14542	60680	26185	2013-08-03 19:07:36.073373	2013-08-03 19:07:36.073373	126
14543	60677	32615	2013-08-03 19:07:36.085067	2013-08-03 19:07:36.085067	126
14544	60667	35363	2013-08-03 19:07:36.092416	2013-08-03 19:07:36.092416	126
14545	60654	37403	2013-08-03 19:07:36.098846	2013-08-03 19:07:36.098846	126
14546	60644	37123	2013-08-03 19:07:36.106853	2013-08-03 19:07:36.106853	126
14547	60800	15111	2013-08-03 19:07:36.121394	2013-08-03 19:07:36.121394	126
14548	60800	15091	2013-08-03 19:07:36.126599	2013-08-03 19:07:36.126599	126
14549	60800	15021	2013-08-03 19:07:36.131787	2013-08-03 19:07:36.131787	126
14550	60800	14935	2013-08-03 19:07:36.135632	2013-08-03 19:07:36.135632	126
14551	60800	14997	2013-08-03 19:07:36.138931	2013-08-03 19:07:36.138931	126
14552	60800	15071	2013-08-03 19:07:36.142048	2013-08-03 19:07:36.142048	126
14553	60800	15051	2013-08-03 19:07:36.145048	2013-08-03 19:07:36.145048	126
14554	60800	2292	2013-08-03 19:07:36.148733	2013-08-03 19:07:36.148733	126
14555	60800	2335	2013-08-03 19:07:36.151981	2013-08-03 19:07:36.151981	126
14556	60656	7130	2013-08-03 19:07:36.158625	2013-08-03 19:07:36.158625	126
14557	60656	20672	2013-08-03 19:07:36.161755	2013-08-03 19:07:36.161755	126
14558	60656	7270	2013-08-03 19:07:36.164997	2013-08-03 19:07:36.164997	126
14559	60656	32595	2013-08-03 19:07:36.167977	2013-08-03 19:07:36.167977	126
14560	60656	35763	2013-08-03 19:07:36.170744	2013-08-03 19:07:36.170744	126
14561	60656	37383	2013-08-03 19:07:36.173717	2013-08-03 19:07:36.173717	126
14562	60656	37103	2013-08-03 19:07:36.176774	2013-08-03 19:07:36.176774	126
14563	60656	2865	2013-08-03 19:07:36.181038	2013-08-03 19:07:36.181038	126
14564	60656	20312	2013-08-03 19:07:36.186446	2013-08-03 19:07:36.186446	126
14565	62301	21172	2013-08-03 19:07:36.210593	2013-08-03 19:07:36.210593	126
14566	61059	21152	2013-08-03 19:07:36.219199	2013-08-03 19:07:36.219199	126
14567	60819	21132	2013-08-03 19:07:36.226537	2013-08-03 19:07:36.226537	126
14568	60817	21112	2013-08-03 19:07:36.233941	2013-08-03 19:07:36.233941	126
14569	60810	16708	2013-08-03 19:07:36.241198	2013-08-03 19:07:36.241198	126
14570	60802	35363	2013-08-03 19:07:36.249056	2013-08-03 19:07:36.249056	126
14571	60747	35023	2013-08-03 19:07:36.256343	2013-08-03 19:07:36.256343	126
14572	60729	26545	2013-08-03 19:07:36.263975	2013-08-03 19:07:36.263975	126
14573	60691	34903	2013-08-03 19:07:36.273144	2013-08-03 19:07:36.273144	126
14574	60673	37283	2013-08-03 19:07:36.280006	2013-08-03 19:07:36.280006	126
14575	60668	30455	2013-08-03 19:07:36.290441	2013-08-03 19:07:36.290441	126
14576	60655	37363	2013-08-03 19:07:36.297542	2013-08-03 19:07:36.297542	126
14577	60645	11616	2013-08-03 19:07:36.305157	2013-08-03 19:07:36.305157	126
14578	60646	5086	2013-08-03 19:07:36.317642	2013-08-03 19:07:36.317642	126
14579	60646	29455	2013-08-03 19:07:36.323945	2013-08-03 19:07:36.323945	126
14580	60646	13511	2013-08-03 19:07:36.327225	2013-08-03 19:07:36.327225	126
14581	60646	20292	2013-08-03 19:07:36.330788	2013-08-03 19:07:36.330788	126
14582	60646	36383	2013-08-03 19:07:36.336123	2013-08-03 19:07:36.336123	126
14583	60646	36683	2013-08-03 19:07:36.339471	2013-08-03 19:07:36.339471	126
14584	60646	34583	2013-08-03 19:07:36.342801	2013-08-03 19:07:36.342801	126
14585	60646	35163	2013-08-03 19:07:36.345936	2013-08-03 19:07:36.345936	126
14586	60646	19203	2013-08-03 19:07:36.349069	2013-08-03 19:07:36.349069	126
14587	60646	18457	2013-08-03 19:07:36.355686	2013-08-03 19:07:36.355686	126
14588	60646	34963	2013-08-03 19:07:36.362274	2013-08-03 19:07:36.362274	126
14589	60646	35183	2013-08-03 19:07:36.369805	2013-08-03 19:07:36.369805	126
14590	60646	16081	2013-08-03 19:07:36.376545	2013-08-03 19:07:36.376545	126
14591	60646	34463	2013-08-03 19:07:36.381629	2013-08-03 19:07:36.381629	126
14592	60646	15750	2013-08-03 19:07:36.387326	2013-08-03 19:07:36.387326	126
14593	60646	24545	2013-08-03 19:07:36.394066	2013-08-03 19:07:36.394066	126
14594	60646	30115	2013-08-03 19:07:36.398184	2013-08-03 19:07:36.398184	126
14595	60646	17121	2013-08-03 19:07:36.455234	2013-08-03 19:07:36.455234	126
14596	60646	11576	2013-08-03 19:07:36.460549	2013-08-03 19:07:36.460549	126
14597	60804	2500	2013-08-03 19:07:36.476031	2013-08-03 19:07:36.476031	126
14598	60804	2377	2013-08-03 19:07:36.486779	2013-08-03 19:07:36.486779	126
14599	60804	2397	2013-08-03 19:07:36.498717	2013-08-03 19:07:36.498717	126
14600	60804	2358	2013-08-03 19:07:36.506826	2013-08-03 19:07:36.506826	126
14601	60804	2378	2013-08-03 19:07:36.511088	2013-08-03 19:07:36.511088	126
14602	60804	2398	2013-08-03 19:07:36.516831	2013-08-03 19:07:36.516831	126
14603	60804	2418	2013-08-03 19:07:36.524968	2013-08-03 19:07:36.524968	126
14604	60804	2438	2013-08-03 19:07:36.531239	2013-08-03 19:07:36.531239	126
14605	60804	2458	2013-08-03 19:07:36.535186	2013-08-03 19:07:36.535186	126
14606	60804	2478	2013-08-03 19:07:36.539085	2013-08-03 19:07:36.539085	126
14607	60804	2498	2013-08-03 19:07:36.542876	2013-08-03 19:07:36.542876	126
14608	60804	2360	2013-08-03 19:07:36.547712	2013-08-03 19:07:36.547712	126
14609	60804	2380	2013-08-03 19:07:36.552631	2013-08-03 19:07:36.552631	126
14610	60804	2400	2013-08-03 19:07:36.557139	2013-08-03 19:07:36.557139	126
14611	60804	9406	2013-08-03 19:07:36.564954	2013-08-03 19:07:36.564954	126
14612	60804	17721	2013-08-03 19:07:36.573004	2013-08-03 19:07:36.573004	126
14613	60804	37603	2013-08-03 19:07:36.581364	2013-08-03 19:07:36.581364	126
14614	60804	36263	2013-08-03 19:07:36.591809	2013-08-03 19:07:36.591809	126
14615	60804	20072	2013-08-03 19:07:36.603525	2013-08-03 19:07:36.603525	126
14616	62295	27178	2013-08-03 19:07:36.683814	2013-08-03 19:07:36.683814	126
14617	61171	25865	2013-08-03 19:07:36.712412	2013-08-03 19:07:36.712412	126
14618	60863	17597	2013-08-03 19:07:36.73546	2013-08-03 19:07:36.73546	126
14619	60833	35403	2013-08-03 19:07:36.757808	2013-08-03 19:07:36.757808	126
14620	60811	37223	2013-08-03 19:07:36.779654	2013-08-03 19:07:36.779654	126
14621	60805	35423	2013-08-03 19:07:36.802515	2013-08-03 19:07:36.802515	126
14622	60749	36563	2013-08-03 19:07:36.825251	2013-08-03 19:07:36.825251	126
14623	60732	17161	2013-08-03 19:07:36.848863	2013-08-03 19:07:36.848863	126
14624	60708	26695	2013-08-03 19:07:36.869999	2013-08-03 19:07:36.869999	126
14625	60692	36503	2013-08-03 19:07:36.892309	2013-08-03 19:07:36.892309	126
14626	60679	3064	2013-08-03 19:07:36.915301	2013-08-03 19:07:36.915301	126
14627	60674	20632	2013-08-03 19:07:36.937286	2013-08-03 19:07:36.937286	126
14628	60660	2406	2013-08-03 19:07:36.959822	2013-08-03 19:07:36.959822	126
14629	60650	36603	2013-08-03 19:07:36.982605	2013-08-03 19:07:36.982605	126
14630	60888	27478	2013-08-03 19:07:37.034139	2013-08-03 19:07:37.034139	126
14631	60879	27458	2013-08-03 19:07:37.041896	2013-08-03 19:07:37.041896	126
14632	60848	27438	2013-08-03 19:07:37.049356	2013-08-03 19:07:37.049356	126
14633	60787	27418	2013-08-03 19:07:37.05667	2013-08-03 19:07:37.05667	126
14634	60781	27398	2013-08-03 19:07:37.076885	2013-08-03 19:07:37.076885	126
14635	60748	27378	2013-08-03 19:07:37.102202	2013-08-03 19:07:37.102202	126
14636	60725	27358	2013-08-03 19:07:37.112659	2013-08-03 19:07:37.112659	126
14637	60714	27338	2013-08-03 19:07:37.121735	2013-08-03 19:07:37.121735	126
14638	60701	27318	2013-08-03 19:07:37.131901	2013-08-03 19:07:37.131901	126
14639	60651	27298	2013-08-03 19:07:37.14157	2013-08-03 19:07:37.14157	126
14640	62296	35403	2013-08-03 19:07:37.161359	2013-08-03 19:07:37.161359	126
14641	60920	37523	2013-08-03 19:07:37.169033	2013-08-03 19:07:37.169033	126
14642	60865	37583	2013-08-03 19:07:37.184179	2013-08-03 19:07:37.184179	126
14643	60813	37503	2013-08-03 19:07:37.205428	2013-08-03 19:07:37.205428	126
14644	60806	35723	2013-08-03 19:07:37.227413	2013-08-03 19:07:37.227413	126
14645	60761	17255	2013-08-03 19:07:37.24927	2013-08-03 19:07:37.24927	126
14646	60750	28560	2013-08-03 19:07:37.270603	2013-08-03 19:07:37.270603	126
14647	60693	37083	2013-08-03 19:07:37.291982	2013-08-03 19:07:37.291982	126
14648	60681	26137	2013-08-03 19:07:37.313217	2013-08-03 19:07:37.313217	126
14649	60678	36623	2013-08-03 19:07:37.335424	2013-08-03 19:07:37.335424	126
14650	60666	35843	2013-08-03 19:07:37.356197	2013-08-03 19:07:37.356197	126
14651	60661	34623	2013-08-03 19:07:37.376796	2013-08-03 19:07:37.376796	126
14652	60657	15090	2013-08-03 19:07:37.399114	2013-08-03 19:07:37.399114	126
14653	62298	28740	2013-08-03 19:07:37.470083	2013-08-03 19:07:37.470083	126
14654	60921	28720	2013-08-03 19:07:37.494005	2013-08-03 19:07:37.494005	126
14655	60866	28700	2013-08-03 19:07:37.506462	2013-08-03 19:07:37.506462	126
14656	60835	28680	2013-08-03 19:07:37.515275	2013-08-03 19:07:37.515275	126
14657	60808	28660	2013-08-03 19:07:37.526275	2013-08-03 19:07:37.526275	126
14658	60752	28640	2013-08-03 19:07:37.535194	2013-08-03 19:07:37.535194	126
14659	60728	28620	2013-08-03 19:07:37.54365	2013-08-03 19:07:37.54365	126
14660	60707	21072	2013-08-03 19:07:37.554546	2013-08-03 19:07:37.554546	126
14661	60694	2268	2013-08-03 19:07:37.563985	2013-08-03 19:07:37.563985	126
14662	60682	21032	2013-08-03 19:07:37.573798	2013-08-03 19:07:37.573798	126
14663	60676	20092	2013-08-03 19:07:37.581625	2013-08-03 19:07:37.581625	126
14664	60662	34543	2013-08-03 19:07:37.58907	2013-08-03 19:07:37.58907	126
14665	60658	16501	2013-08-03 19:07:37.599729	2013-08-03 19:07:37.599729	126
14666	62131	17772	2013-08-03 19:12:34.245062	2013-08-03 19:12:34.245062	127
14667	61820	13808	2013-08-03 19:12:34.273079	2013-08-03 19:12:34.273079	127
14668	61749	17880	2013-08-03 19:12:34.290435	2013-08-03 19:12:34.290435	127
14669	61407	17881	2013-08-03 19:12:34.307765	2013-08-03 19:12:34.307765	127
14670	61396	17861	2013-08-03 19:12:34.328295	2013-08-03 19:12:34.328295	127
14671	61343	17841	2013-08-03 19:12:34.344386	2013-08-03 19:12:34.344386	127
14672	61340	15357	2013-08-03 19:12:34.360138	2013-08-03 19:12:34.360138	127
14673	61327	12778	2013-08-03 19:12:34.379547	2013-08-03 19:12:34.379547	127
14674	61313	8209	2013-08-03 19:12:34.398175	2013-08-03 19:12:34.398175	127
14675	61304	38323	2013-08-03 19:12:34.418755	2013-08-03 19:12:34.418755	127
14676	61270	35143	2013-08-03 19:12:34.439604	2013-08-03 19:12:34.439604	127
14677	61229	38043	2013-08-03 19:12:34.457897	2013-08-03 19:12:34.457897	127
14678	61214	32315	2013-08-03 19:12:34.47647	2013-08-03 19:12:34.47647	127
14679	62305	38503	2013-08-03 19:12:34.569041	2013-08-03 19:12:34.569041	127
14680	62305	38483	2013-08-03 19:12:34.577175	2013-08-03 19:12:34.577175	127
14681	61338	38463	2013-08-03 19:12:34.598688	2013-08-03 19:12:34.598688	127
14682	61338	38443	2013-08-03 19:12:34.607225	2013-08-03 19:12:34.607225	127
14683	61329	38423	2013-08-03 19:12:34.624157	2013-08-03 19:12:34.624157	127
14684	61329	38403	2013-08-03 19:12:34.630803	2013-08-03 19:12:34.630803	127
14685	61310	38383	2013-08-03 19:12:34.650605	2013-08-03 19:12:34.650605	127
14686	61310	38363	2013-08-03 19:12:34.660201	2013-08-03 19:12:34.660201	127
14687	61299	38343	2013-08-03 19:12:34.68268	2013-08-03 19:12:34.68268	127
14688	61299	34835	2013-08-03 19:12:34.692649	2013-08-03 19:12:34.692649	127
14689	61292	34455	2013-08-03 19:12:34.708391	2013-08-03 19:12:34.708391	127
14690	61292	34095	2013-08-03 19:12:34.716725	2013-08-03 19:12:34.716725	127
14691	61271	29020	2013-08-03 19:12:34.735145	2013-08-03 19:12:34.735145	127
14692	61271	21197	2013-08-03 19:12:34.741521	2013-08-03 19:12:34.741521	127
14693	61231	17861	2013-08-03 19:12:34.750756	2013-08-03 19:12:34.750756	127
14694	61231	8189	2013-08-03 19:12:34.755021	2013-08-03 19:12:34.755021	127
14695	61222	27145	2013-08-03 19:12:34.764352	2013-08-03 19:12:34.764352	127
14696	61222	37203	2013-08-03 19:12:34.768271	2013-08-03 19:12:34.768271	127
14697	62122	38883	2013-08-03 19:12:34.80466	2013-08-03 19:12:34.80466	127
14698	62122	38863	2013-08-03 19:12:34.815428	2013-08-03 19:12:34.815428	127
14699	62122	38843	2013-08-03 19:12:34.824802	2013-08-03 19:12:34.824802	127
14700	62122	38823	2013-08-03 19:12:34.835336	2013-08-03 19:12:34.835336	127
14701	62122	38803	2013-08-03 19:12:34.846013	2013-08-03 19:12:34.846013	127
14702	62122	38783	2013-08-03 19:12:34.85698	2013-08-03 19:12:34.85698	127
14703	62122	38763	2013-08-03 19:12:34.866146	2013-08-03 19:12:34.866146	127
14704	62122	38743	2013-08-03 19:12:34.874147	2013-08-03 19:12:34.874147	127
14705	62122	38723	2013-08-03 19:12:34.878635	2013-08-03 19:12:34.878635	127
14706	61279	38703	2013-08-03 19:12:34.888872	2013-08-03 19:12:34.888872	127
14707	61279	38683	2013-08-03 19:12:34.893177	2013-08-03 19:12:34.893177	127
14708	61279	38663	2013-08-03 19:12:34.898573	2013-08-03 19:12:34.898573	127
14709	61279	38643	2013-08-03 19:12:34.903735	2013-08-03 19:12:34.903735	127
14710	61279	38623	2013-08-03 19:12:34.908299	2013-08-03 19:12:34.908299	127
14711	61279	38603	2013-08-03 19:12:34.912381	2013-08-03 19:12:34.912381	127
14712	61279	38583	2013-08-03 19:12:34.916457	2013-08-03 19:12:34.916457	127
14713	61279	38563	2013-08-03 19:12:34.920485	2013-08-03 19:12:34.920485	127
14714	61279	38543	2013-08-03 19:12:34.924936	2013-08-03 19:12:34.924936	127
14715	62162	3835	2013-08-03 19:12:34.947537	2013-08-03 19:12:34.947537	127
14716	61732	3795	2013-08-03 19:12:34.956681	2013-08-03 19:12:34.956681	127
14717	61714	14908	2013-08-03 19:12:34.965626	2013-08-03 19:12:34.965626	127
14718	61690	10697	2013-08-03 19:12:34.976841	2013-08-03 19:12:34.976841	127
14719	61402	14868	2013-08-03 19:12:34.997485	2013-08-03 19:12:34.997485	127
14720	61395	9635	2013-08-03 19:12:35.011671	2013-08-03 19:12:35.011671	127
14721	61341	9879	2013-08-03 19:12:35.020808	2013-08-03 19:12:35.020808	127
14722	61325	13671	2013-08-03 19:12:35.029981	2013-08-03 19:12:35.029981	127
14723	61311	38363	2013-08-03 19:12:35.04361	2013-08-03 19:12:35.04361	127
14724	61309	38383	2013-08-03 19:12:35.058612	2013-08-03 19:12:35.058612	127
14725	61301	8209	2013-08-03 19:12:35.074384	2013-08-03 19:12:35.074384	127
14726	61287	38283	2013-08-03 19:12:35.093668	2013-08-03 19:12:35.093668	127
14727	61235	16061	2013-08-03 19:12:35.11032	2013-08-03 19:12:35.11032	127
14728	62163	27275	2013-08-03 19:12:35.144272	2013-08-03 19:12:35.144272	127
14729	62118	27305	2013-08-03 19:12:35.155251	2013-08-03 19:12:35.155251	127
14730	61821	27285	2013-08-03 19:12:35.16882	2013-08-03 19:12:35.16882	127
14731	61637	27178	2013-08-03 19:12:35.179732	2013-08-03 19:12:35.179732	127
14732	61406	27265	2013-08-03 19:12:35.19233	2013-08-03 19:12:35.19233	127
14733	61393	27245	2013-08-03 19:12:35.202558	2013-08-03 19:12:35.202558	127
14734	61342	27225	2013-08-03 19:12:35.211238	2013-08-03 19:12:35.211238	127
14735	61330	27205	2013-08-03 19:12:35.221636	2013-08-03 19:12:35.221636	127
14736	61319	21332	2013-08-03 19:12:35.230856	2013-08-03 19:12:35.230856	127
14737	61312	13808	2013-08-03 19:12:35.241293	2013-08-03 19:12:35.241293	127
14738	61300	8169	2013-08-03 19:12:35.250272	2013-08-03 19:12:35.250272	127
14739	61280	14908	2013-08-03 19:12:35.280357	2013-08-03 19:12:35.280357	127
14740	61277	38483	2013-08-03 19:12:35.295117	2013-08-03 19:12:35.295117	127
14741	61223	38503	2013-08-03 19:12:35.303621	2013-08-03 19:12:35.303621	127
14742	61471	27725	2013-08-03 19:12:35.319728	2013-08-03 19:12:35.319728	127
14743	61471	27705	2013-08-03 19:12:35.324264	2013-08-03 19:12:35.324264	127
14744	61471	27685	2013-08-03 19:12:35.328156	2013-08-03 19:12:35.328156	127
14745	61471	27665	2013-08-03 19:12:35.332131	2013-08-03 19:12:35.332131	127
14746	61471	27645	2013-08-03 19:12:35.335592	2013-08-03 19:12:35.335592	127
14747	61471	27495	2013-08-03 19:12:35.339051	2013-08-03 19:12:35.339051	127
14748	61471	27625	2013-08-03 19:12:35.342932	2013-08-03 19:12:35.342932	127
14749	61471	27605	2013-08-03 19:12:35.347244	2013-08-03 19:12:35.347244	127
14750	61471	27585	2013-08-03 19:12:35.351875	2013-08-03 19:12:35.351875	127
14751	61471	27565	2013-08-03 19:12:35.355545	2013-08-03 19:12:35.355545	127
14752	61471	27545	2013-08-03 19:12:35.359194	2013-08-03 19:12:35.359194	127
14753	61471	27525	2013-08-03 19:12:35.363071	2013-08-03 19:12:35.363071	127
14754	61471	27505	2013-08-03 19:12:35.367176	2013-08-03 19:12:35.367176	127
14755	61471	27485	2013-08-03 19:12:35.370756	2013-08-03 19:12:35.370756	127
14756	61471	27465	2013-08-03 19:12:35.37487	2013-08-03 19:12:35.37487	127
14757	61471	27445	2013-08-03 19:12:35.379433	2013-08-03 19:12:35.379433	127
14758	61471	27425	2013-08-03 19:12:35.382897	2013-08-03 19:12:35.382897	127
14759	61471	27405	2013-08-03 19:12:35.386171	2013-08-03 19:12:35.386171	127
14760	61471	27285	2013-08-03 19:12:35.389606	2013-08-03 19:12:35.389606	127
14761	62185	3852	2013-08-03 19:12:35.403554	2013-08-03 19:12:35.403554	127
14762	62185	19708	2013-08-03 19:12:35.407333	2013-08-03 19:12:35.407333	127
14763	62185	3197	2013-08-03 19:12:35.41088	2013-08-03 19:12:35.41088	127
14764	62185	8331	2013-08-03 19:12:35.414395	2013-08-03 19:12:35.414395	127
14765	62185	23197	2013-08-03 19:12:35.418835	2013-08-03 19:12:35.418835	127
14766	62185	18058	2013-08-03 19:12:35.423019	2013-08-03 19:12:35.423019	127
14767	61716	18038	2013-08-03 19:12:35.432164	2013-08-03 19:12:35.432164	127
14768	61716	30455	2013-08-03 19:12:35.436683	2013-08-03 19:12:35.436683	127
14769	61716	4471	2013-08-03 19:12:35.440497	2013-08-03 19:12:35.440497	127
14770	61716	3979	2013-08-03 19:12:35.444719	2013-08-03 19:12:35.444719	127
14771	61716	3704	2013-08-03 19:12:35.448727	2013-08-03 19:12:35.448727	127
14772	61716	11951	2013-08-03 19:12:35.452692	2013-08-03 19:12:35.452692	127
14773	61452	26185	2013-08-03 19:12:35.464506	2013-08-03 19:12:35.464506	127
14774	61452	12508	2013-08-03 19:12:35.46782	2013-08-03 19:12:35.46782	127
14775	61452	16061	2013-08-03 19:12:35.471587	2013-08-03 19:12:35.471587	127
14776	61452	37203	2013-08-03 19:12:35.474821	2013-08-03 19:12:35.474821	127
14777	61452	32315	2013-08-03 19:12:35.478216	2013-08-03 19:12:35.478216	127
14778	61452	26300	2013-08-03 19:12:35.481472	2013-08-03 19:12:35.481472	127
14779	62186	8109	2013-08-03 19:12:35.56096	2013-08-03 19:12:35.56096	127
14780	62186	1507	2013-08-03 19:12:35.567281	2013-08-03 19:12:35.567281	127
14781	62186	8209	2013-08-03 19:12:35.573257	2013-08-03 19:12:35.573257	127
14782	62186	38343	2013-08-03 19:12:35.577534	2013-08-03 19:12:35.577534	127
14783	61729	34355	2013-08-03 19:12:35.588869	2013-08-03 19:12:35.588869	127
14784	61729	38323	2013-08-03 19:12:35.592981	2013-08-03 19:12:35.592981	127
14785	61729	38203	2013-08-03 19:12:35.59636	2013-08-03 19:12:35.59636	127
14786	61729	20172	2013-08-03 19:12:35.59927	2013-08-03 19:12:35.59927	127
14787	61453	37923	2013-08-03 19:12:35.606024	2013-08-03 19:12:35.606024	127
14788	61453	20092	2013-08-03 19:12:35.60961	2013-08-03 19:12:35.60961	127
14789	61453	36623	2013-08-03 19:12:35.613332	2013-08-03 19:12:35.613332	127
14790	61453	37283	2013-08-03 19:12:35.617847	2013-08-03 19:12:35.617847	127
14791	61266	32615	2013-08-03 19:12:35.62487	2013-08-03 19:12:35.62487	127
14792	61266	32635	2013-08-03 19:12:35.630404	2013-08-03 19:12:35.630404	127
14793	61266	36903	2013-08-03 19:12:35.634488	2013-08-03 19:12:35.634488	127
14794	61266	20632	2013-08-03 19:12:35.637897	2013-08-03 19:12:35.637897	127
14795	62344	8313	2013-08-03 19:12:35.660453	2013-08-03 19:12:35.660453	127
14796	62187	8183	2013-08-03 19:12:35.668324	2013-08-03 19:12:35.668324	127
14797	61892	8272	2013-08-03 19:12:35.67704	2013-08-03 19:12:35.67704	127
14798	61827	8309	2013-08-03 19:12:35.686742	2013-08-03 19:12:35.686742	127
14799	61375	8289	2013-08-03 19:12:35.695813	2013-08-03 19:12:35.695813	127
14800	61344	8269	2013-08-03 19:12:35.705851	2013-08-03 19:12:35.705851	127
14801	61314	8249	2013-08-03 19:12:35.715913	2013-08-03 19:12:35.715913	127
14802	61267	8229	2013-08-03 19:12:35.724953	2013-08-03 19:12:35.724953	127
14803	61232	14868	2013-08-03 19:12:35.734063	2013-08-03 19:12:35.734063	127
14804	61215	34335	2013-08-03 19:12:35.741822	2013-08-03 19:12:35.741822	127
14805	62311	16232	2013-08-03 19:12:35.768336	2013-08-03 19:12:35.768336	127
14806	62311	16470	2013-08-03 19:12:35.772805	2013-08-03 19:12:35.772805	127
14807	61345	16450	2013-08-03 19:12:35.7808	2013-08-03 19:12:35.7808	127
14808	61345	16430	2013-08-03 19:12:35.784582	2013-08-03 19:12:35.784582	127
14809	61315	15231	2013-08-03 19:12:35.794816	2013-08-03 19:12:35.794816	127
14810	61315	15211	2013-08-03 19:12:35.799095	2013-08-03 19:12:35.799095	127
14811	61269	8089	2013-08-03 19:12:35.809281	2013-08-03 19:12:35.809281	127
14812	61269	8309	2013-08-03 19:12:35.813844	2013-08-03 19:12:35.813844	127
14813	61236	1547	2013-08-03 19:12:35.823474	2013-08-03 19:12:35.823474	127
14814	61236	34695	2013-08-03 19:12:35.827814	2013-08-03 19:12:35.827814	127
14815	61217	38163	2013-08-03 19:12:35.836048	2013-08-03 19:12:35.836048	127
14816	61217	29795	2013-08-03 19:12:35.841933	2013-08-03 19:12:35.841933	127
14817	61216	37883	2013-08-03 19:12:35.852621	2013-08-03 19:12:35.852621	127
14818	61216	7749	2013-08-03 19:12:35.85654	2013-08-03 19:12:35.85654	127
14819	62188	8269	2013-08-03 19:12:35.870122	2013-08-03 19:12:35.870122	127
14820	62188	37283	2013-08-03 19:12:35.873978	2013-08-03 19:12:35.873978	127
14821	62188	1527	2013-08-03 19:12:35.877555	2013-08-03 19:12:35.877555	127
14822	62188	14518	2013-08-03 19:12:35.881189	2013-08-03 19:12:35.881189	127
14823	62188	17277	2013-08-03 19:12:35.88506	2013-08-03 19:12:35.88506	127
14824	62188	38443	2013-08-03 19:12:35.888669	2013-08-03 19:12:35.888669	127
14825	61963	34675	2013-08-03 19:12:35.897158	2013-08-03 19:12:35.897158	127
14826	61963	36623	2013-08-03 19:12:35.901226	2013-08-03 19:12:35.901226	127
14827	61963	20092	2013-08-03 19:12:35.905216	2013-08-03 19:12:35.905216	127
14828	61963	37923	2013-08-03 19:12:35.909422	2013-08-03 19:12:35.909422	127
14829	61963	38143	2013-08-03 19:12:35.914781	2013-08-03 19:12:35.914781	127
14830	61963	12508	2013-08-03 19:12:35.919122	2013-08-03 19:12:35.919122	127
14831	61335	26185	2013-08-03 19:12:35.928218	2013-08-03 19:12:35.928218	127
14832	61335	32315	2013-08-03 19:12:35.932325	2013-08-03 19:12:35.932325	127
14833	61335	37203	2013-08-03 19:12:35.935711	2013-08-03 19:12:35.935711	127
14834	61335	16061	2013-08-03 19:12:35.939466	2013-08-03 19:12:35.939466	127
14835	61335	26300	2013-08-03 19:12:35.943624	2013-08-03 19:12:35.943624	127
14836	61335	16961	2013-08-03 19:12:35.947202	2013-08-03 19:12:35.947202	127
14837	62189	21563	2013-08-03 19:12:35.972974	2013-08-03 19:12:35.972974	127
14838	61951	21532	2013-08-03 19:12:35.982676	2013-08-03 19:12:35.982676	127
14839	61761	21512	2013-08-03 19:12:35.992164	2013-08-03 19:12:35.992164	127
14840	61737	21477	2013-08-03 19:12:36.0016	2013-08-03 19:12:36.0016	127
14841	61440	21492	2013-08-03 19:12:36.014199	2013-08-03 19:12:36.014199	127
14842	61353	21472	2013-08-03 19:12:36.032956	2013-08-03 19:12:36.032956	127
14843	61346	21452	2013-08-03 19:12:36.050078	2013-08-03 19:12:36.050078	127
14844	61316	21432	2013-08-03 19:12:36.066218	2013-08-03 19:12:36.066218	127
14845	61302	21412	2013-08-03 19:12:36.07394	2013-08-03 19:12:36.07394	127
14846	61293	21392	2013-08-03 19:12:36.081376	2013-08-03 19:12:36.081376	127
14847	61233	17880	2013-08-03 19:12:36.090338	2013-08-03 19:12:36.090338	127
14848	61219	3795	2013-08-03 19:12:36.101151	2013-08-03 19:12:36.101151	127
14849	61218	38183	2013-08-03 19:12:36.109492	2013-08-03 19:12:36.109492	127
14850	61964	6038	2013-08-03 19:12:36.139623	2013-08-03 19:12:36.139623	127
14851	61964	6520	2013-08-03 19:12:36.150114	2013-08-03 19:12:36.150114	127
14852	61964	11031	2013-08-03 19:12:36.159925	2013-08-03 19:12:36.159925	127
14853	61964	19477	2013-08-03 19:12:36.169669	2013-08-03 19:12:36.169669	127
14854	61964	888	2013-08-03 19:12:36.178753	2013-08-03 19:12:36.178753	127
14855	61964	11391	2013-08-03 19:12:36.187107	2013-08-03 19:12:36.187107	127
14856	61459	10265	2013-08-03 19:12:36.207418	2013-08-03 19:12:36.207418	127
14857	61459	37243	2013-08-03 19:12:36.218962	2013-08-03 19:12:36.218962	127
14858	61459	15175	2013-08-03 19:12:36.228384	2013-08-03 19:12:36.228384	127
14859	61459	35703	2013-08-03 19:12:36.238976	2013-08-03 19:12:36.238976	127
14860	61459	37063	2013-08-03 19:12:36.247615	2013-08-03 19:12:36.247615	127
14861	61459	23517	2013-08-03 19:12:36.25761	2013-08-03 19:12:36.25761	127
14862	61378	36523	2013-08-03 19:12:36.276516	2013-08-03 19:12:36.276516	127
14863	61378	14455	2013-08-03 19:12:36.287907	2013-08-03 19:12:36.287907	127
14864	61378	29495	2013-08-03 19:12:36.297896	2013-08-03 19:12:36.297896	127
14865	61378	29775	2013-08-03 19:12:36.304943	2013-08-03 19:12:36.304943	127
14866	61378	7581	2013-08-03 19:12:36.312695	2013-08-03 19:12:36.312695	127
14867	61378	34603	2013-08-03 19:12:36.322122	2013-08-03 19:12:36.322122	127
14868	62190	38783	2013-08-03 19:12:36.349493	2013-08-03 19:12:36.349493	127
14869	62190	38803	2013-08-03 19:12:36.353401	2013-08-03 19:12:36.353401	127
14870	62190	38823	2013-08-03 19:12:36.357119	2013-08-03 19:12:36.357119	127
14871	62190	38843	2013-08-03 19:12:36.360791	2013-08-03 19:12:36.360791	127
14872	62190	38863	2013-08-03 19:12:36.364522	2013-08-03 19:12:36.364522	127
14873	62190	38883	2013-08-03 19:12:36.368353	2013-08-03 19:12:36.368353	127
14874	61730	34923	2013-08-03 19:12:36.379586	2013-08-03 19:12:36.379586	127
14875	61730	29795	2013-08-03 19:12:36.383457	2013-08-03 19:12:36.383457	127
14876	61730	38163	2013-08-03 19:12:36.39166	2013-08-03 19:12:36.39166	127
14877	61730	38283	2013-08-03 19:12:36.400539	2013-08-03 19:12:36.400539	127
14878	61730	38043	2013-08-03 19:12:36.409274	2013-08-03 19:12:36.409274	127
14879	61730	37903	2013-08-03 19:12:36.417546	2013-08-03 19:12:36.417546	127
14880	61460	35523	2013-08-03 19:12:36.487989	2013-08-03 19:12:36.487989	127
14881	61460	35263	2013-08-03 19:12:36.493344	2013-08-03 19:12:36.493344	127
14882	61460	34883	2013-08-03 19:12:36.497437	2013-08-03 19:12:36.497437	127
14883	61460	33255	2013-08-03 19:12:36.504129	2013-08-03 19:12:36.504129	127
14884	61460	37523	2013-08-03 19:12:36.511481	2013-08-03 19:12:36.511481	127
14885	61460	30095	2013-08-03 19:12:36.518647	2013-08-03 19:12:36.518647	127
14886	62191	26397	2013-08-03 19:12:36.574198	2013-08-03 19:12:36.574198	127
14887	61766	34543	2013-08-03 19:12:36.590197	2013-08-03 19:12:36.590197	127
14888	61715	16561	2013-08-03 19:12:36.603008	2013-08-03 19:12:36.603008	127
14889	61444	34703	2013-08-03 19:12:36.613193	2013-08-03 19:12:36.613193	127
14890	61394	35683	2013-08-03 19:12:36.625019	2013-08-03 19:12:36.625019	127
14891	61356	35023	2013-08-03 19:12:36.635621	2013-08-03 19:12:36.635621	127
14892	61348	24505	2013-08-03 19:12:36.64525	2013-08-03 19:12:36.64525	127
14893	61326	35823	2013-08-03 19:12:36.655279	2013-08-03 19:12:36.655279	127
14894	61317	35643	2013-08-03 19:12:36.661718	2013-08-03 19:12:36.661718	127
14895	61305	35083	2013-08-03 19:12:36.670933	2013-08-03 19:12:36.670933	127
14896	61263	11616	2013-08-03 19:12:36.682542	2013-08-03 19:12:36.682542	127
14897	61238	17101	2013-08-03 19:12:36.694769	2013-08-03 19:12:36.694769	127
14898	61226	3064	2013-08-03 19:12:36.711493	2013-08-03 19:12:36.711493	127
14899	61224	36503	2013-08-03 19:12:36.7341	2013-08-03 19:12:36.7341	127
14900	62340	28118	2013-08-03 19:12:36.781526	2013-08-03 19:12:36.781526	127
14901	62340	28098	2013-08-03 19:12:36.793277	2013-08-03 19:12:36.793277	127
14902	61556	28078	2013-08-03 19:12:36.809765	2013-08-03 19:12:36.809765	127
14903	61556	28058	2013-08-03 19:12:36.819664	2013-08-03 19:12:36.819664	127
14904	61450	28038	2013-08-03 19:12:36.842269	2013-08-03 19:12:36.842269	127
14905	61450	28018	2013-08-03 19:12:36.85233	2013-08-03 19:12:36.85233	127
14906	61372	27998	2013-08-03 19:12:36.868483	2013-08-03 19:12:36.868483	127
14907	61372	27978	2013-08-03 19:12:36.872869	2013-08-03 19:12:36.872869	127
14908	61347	27958	2013-08-03 19:12:36.880624	2013-08-03 19:12:36.880624	127
14909	61347	27938	2013-08-03 19:12:36.884219	2013-08-03 19:12:36.884219	127
14910	61282	27918	2013-08-03 19:12:36.895102	2013-08-03 19:12:36.895102	127
14911	61282	27898	2013-08-03 19:12:36.900209	2013-08-03 19:12:36.900209	127
14912	61281	27878	2013-08-03 19:12:36.917475	2013-08-03 19:12:36.917475	127
14913	61281	27858	2013-08-03 19:12:36.924774	2013-08-03 19:12:36.924774	127
14914	61268	27838	2013-08-03 19:12:36.937763	2013-08-03 19:12:36.937763	127
14915	61268	27818	2013-08-03 19:12:36.943418	2013-08-03 19:12:36.943418	127
14916	61230	27798	2013-08-03 19:12:36.952081	2013-08-03 19:12:36.952081	127
14917	61230	27778	2013-08-03 19:12:36.956617	2013-08-03 19:12:36.956617	127
14918	62192	3665	2013-08-03 19:12:36.98851	2013-08-03 19:12:36.98851	127
14919	61888	35023	2013-08-03 19:12:36.998671	2013-08-03 19:12:36.998671	127
14920	61769	38383	2013-08-03 19:12:37.006545	2013-08-03 19:12:37.006545	127
14921	61446	38003	2013-08-03 19:12:37.013716	2013-08-03 19:12:37.013716	127
14922	61397	27478	2013-08-03 19:12:37.021385	2013-08-03 19:12:37.021385	127
14923	61355	37983	2013-08-03 19:12:37.029642	2013-08-03 19:12:37.029642	127
14924	61349	28560	2013-08-03 19:12:37.037324	2013-08-03 19:12:37.037324	127
14925	61318	37503	2013-08-03 19:12:37.044213	2013-08-03 19:12:37.044213	127
14926	61307	16521	2013-08-03 19:12:37.052421	2013-08-03 19:12:37.052421	127
14927	61264	9750	2013-08-03 19:12:37.065711	2013-08-03 19:12:37.065711	127
14928	61234	30135	2013-08-03 19:12:37.078824	2013-08-03 19:12:37.078824	127
14929	61225	19343	2013-08-03 19:12:37.087631	2013-08-03 19:12:37.087631	127
14930	61221	36483	2013-08-03 19:12:37.096777	2013-08-03 19:12:37.096777	127
14931	62193	29280	2013-08-03 19:12:37.129717	2013-08-03 19:12:37.129717	127
14932	61771	29260	2013-08-03 19:12:37.147251	2013-08-03 19:12:37.147251	127
14933	61731	29240	2013-08-03 19:12:37.161925	2013-08-03 19:12:37.161925	127
14934	61448	29220	2013-08-03 19:12:37.172389	2013-08-03 19:12:37.172389	127
14935	61359	29200	2013-08-03 19:12:37.183968	2013-08-03 19:12:37.183968	127
14936	61350	29180	2013-08-03 19:12:37.21999	2013-08-03 19:12:37.21999	127
14937	61336	29160	2013-08-03 19:12:37.239277	2013-08-03 19:12:37.239277	127
14938	61320	29140	2013-08-03 19:12:37.250137	2013-08-03 19:12:37.250137	127
14939	61306	29120	2013-08-03 19:12:37.258257	2013-08-03 19:12:37.258257	127
14940	61265	29100	2013-08-03 19:12:37.266509	2013-08-03 19:12:37.266509	127
14941	61237	29080	2013-08-03 19:12:37.276401	2013-08-03 19:12:37.276401	127
14942	61228	35403	2013-08-03 19:12:37.286455	2013-08-03 19:12:37.286455	127
14943	61227	2406	2013-08-03 19:12:37.294792	2013-08-03 19:12:37.294792	127
14944	61220	15010	2013-08-03 19:12:37.308443	2013-08-03 19:12:37.308443	127
14945	62908	11685	2013-08-03 19:17:36.114932	2013-08-03 19:17:36.114932	128
14946	62743	15337	2013-08-03 19:17:36.140155	2013-08-03 19:17:36.140155	128
14947	62630	2384	2013-08-03 19:17:36.163365	2013-08-03 19:17:36.163365	128
14948	62617	39083	2013-08-03 19:17:36.186982	2013-08-03 19:17:36.186982	128
14949	62570	39323	2013-08-03 19:17:36.210401	2013-08-03 19:17:36.210401	128
14950	62486	1821	2013-08-03 19:17:36.233486	2013-08-03 19:17:36.233486	128
14951	62439	39143	2013-08-03 19:17:36.246501	2013-08-03 19:17:36.246501	128
14952	62431	6866	2013-08-03 19:17:36.256542	2013-08-03 19:17:36.256542	128
14953	62414	6639	2013-08-03 19:17:36.266534	2013-08-03 19:17:36.266534	128
14954	62365	8272	2013-08-03 19:17:36.27588	2013-08-03 19:17:36.27588	128
14955	62350	23097	2013-08-03 19:17:36.284661	2013-08-03 19:17:36.284661	128
14956	62348	33435	2013-08-03 19:17:36.292748	2013-08-03 19:17:36.292748	128
14957	62327	11991	2013-08-03 19:17:36.303217	2013-08-03 19:17:36.303217	128
14958	62319	2406	2013-08-03 19:17:36.312534	2013-08-03 19:17:36.312534	128
14959	62407	39643	2013-08-03 19:17:36.409403	2013-08-03 19:17:36.409403	128
14960	62407	39623	2013-08-03 19:17:36.416902	2013-08-03 19:17:36.416902	128
14961	62407	39603	2013-08-03 19:17:36.42449	2013-08-03 19:17:36.42449	128
14962	62407	39583	2013-08-03 19:17:36.431078	2013-08-03 19:17:36.431078	128
14963	62407	39563	2013-08-03 19:17:36.435885	2013-08-03 19:17:36.435885	128
14964	62407	39543	2013-08-03 19:17:36.441498	2013-08-03 19:17:36.441498	128
14965	62407	39523	2013-08-03 19:17:36.448493	2013-08-03 19:17:36.448493	128
14966	62407	39503	2013-08-03 19:17:36.456516	2013-08-03 19:17:36.456516	128
14967	62407	39483	2013-08-03 19:17:36.46067	2013-08-03 19:17:36.46067	128
14968	62407	39463	2013-08-03 19:17:36.46717	2013-08-03 19:17:36.46717	128
14969	62407	39443	2013-08-03 19:17:36.472909	2013-08-03 19:17:36.472909	128
14970	62407	39423	2013-08-03 19:17:36.478455	2013-08-03 19:17:36.478455	128
14971	62407	39403	2013-08-03 19:17:36.485498	2013-08-03 19:17:36.485498	128
14972	62407	39383	2013-08-03 19:17:36.497653	2013-08-03 19:17:36.497653	128
14973	62407	39363	2013-08-03 19:17:36.509108	2013-08-03 19:17:36.509108	128
14974	62407	39343	2013-08-03 19:17:36.521973	2013-08-03 19:17:36.521973	128
14975	62407	29440	2013-08-03 19:17:36.533838	2013-08-03 19:17:36.533838	128
14976	62407	39083	2013-08-03 19:17:36.543624	2013-08-03 19:17:36.543624	128
14977	62407	16561	2013-08-03 19:17:36.552601	2013-08-03 19:17:36.552601	128
14978	63089	23897	2013-08-03 19:17:36.575117	2013-08-03 19:17:36.575117	128
14979	62905	23917	2013-08-03 19:17:36.583297	2013-08-03 19:17:36.583297	128
14980	62748	23937	2013-08-03 19:17:36.591052	2013-08-03 19:17:36.591052	128
14981	62616	37523	2013-08-03 19:17:36.599676	2013-08-03 19:17:36.599676	128
14982	62563	23957	2013-08-03 19:17:36.608168	2013-08-03 19:17:36.608168	128
14983	62437	35135	2013-08-03 19:17:36.61652	2013-08-03 19:17:36.61652	128
14984	62434	23977	2013-08-03 19:17:36.623477	2013-08-03 19:17:36.623477	128
14985	62428	39103	2013-08-03 19:17:36.631034	2013-08-03 19:17:36.631034	128
14986	62403	8536	2013-08-03 19:17:36.638105	2013-08-03 19:17:36.638105	128
14987	62402	10675	2013-08-03 19:17:36.647515	2013-08-03 19:17:36.647515	128
14988	62376	3224	2013-08-03 19:17:36.657763	2013-08-03 19:17:36.657763	128
14989	62361	23597	2013-08-03 19:17:36.666497	2013-08-03 19:17:36.666497	128
14990	62345	34903	2013-08-03 19:17:36.674325	2013-08-03 19:17:36.674325	128
14991	62907	27865	2013-08-03 19:17:36.700001	2013-08-03 19:17:36.700001	128
14992	62753	27845	2013-08-03 19:17:36.71105	2013-08-03 19:17:36.71105	128
14993	62619	27825	2013-08-03 19:17:36.719788	2013-08-03 19:17:36.719788	128
14994	62572	27805	2013-08-03 19:17:36.728035	2013-08-03 19:17:36.728035	128
14995	62564	27785	2013-08-03 19:17:36.736558	2013-08-03 19:17:36.736558	128
14996	62488	27765	2013-08-03 19:17:36.744672	2013-08-03 19:17:36.744672	128
14997	62438	27745	2013-08-03 19:17:36.752155	2013-08-03 19:17:36.752155	128
14998	62432	16515	2013-08-03 19:17:36.760437	2013-08-03 19:17:36.760437	128
14999	62406	16470	2013-08-03 19:17:36.769562	2013-08-03 19:17:36.769562	128
15000	62404	16232	2013-08-03 19:17:36.779313	2013-08-03 19:17:36.779313	128
15001	62363	2394	2013-08-03 19:17:36.787213	2013-08-03 19:17:36.787213	128
15002	62347	39263	2013-08-03 19:17:36.795908	2013-08-03 19:17:36.795908	128
15003	62326	6115	2013-08-03 19:17:36.803464	2013-08-03 19:17:36.803464	128
15004	62313	33255	2013-08-03 19:17:36.814024	2013-08-03 19:17:36.814024	128
15005	62329	28285	2013-08-03 19:17:36.831441	2013-08-03 19:17:36.831441	128
15006	62329	28265	2013-08-03 19:17:36.836583	2013-08-03 19:17:36.836583	128
15007	62329	28175	2013-08-03 19:17:36.841373	2013-08-03 19:17:36.841373	128
15008	62329	28245	2013-08-03 19:17:36.845297	2013-08-03 19:17:36.845297	128
15009	62329	28225	2013-08-03 19:17:36.852271	2013-08-03 19:17:36.852271	128
15010	62329	28205	2013-08-03 19:17:36.857102	2013-08-03 19:17:36.857102	128
15011	62329	28185	2013-08-03 19:17:36.8636	2013-08-03 19:17:36.8636	128
15012	62329	28165	2013-08-03 19:17:36.87011	2013-08-03 19:17:36.87011	128
15013	62329	28145	2013-08-03 19:17:36.880403	2013-08-03 19:17:36.880403	128
15014	62329	28125	2013-08-03 19:17:36.891617	2013-08-03 19:17:36.891617	128
15015	62329	28105	2013-08-03 19:17:36.903399	2013-08-03 19:17:36.903399	128
15016	62329	28085	2013-08-03 19:17:36.915026	2013-08-03 19:17:36.915026	128
15017	62329	28065	2013-08-03 19:17:36.927147	2013-08-03 19:17:36.927147	128
15018	62329	28045	2013-08-03 19:17:36.93928	2013-08-03 19:17:36.93928	128
15019	62329	28025	2013-08-03 19:17:36.950983	2013-08-03 19:17:36.950983	128
15020	62329	28005	2013-08-03 19:17:36.962694	2013-08-03 19:17:36.962694	128
15021	62329	27985	2013-08-03 19:17:36.974345	2013-08-03 19:17:36.974345	128
15022	62329	27965	2013-08-03 19:17:36.986488	2013-08-03 19:17:36.986488	128
15023	62329	27980	2013-08-03 19:17:36.997957	2013-08-03 19:17:36.997957	128
15024	62910	5490	2013-08-03 19:17:37.03333	2013-08-03 19:17:37.03333	128
15025	62910	1047	2013-08-03 19:17:37.037481	2013-08-03 19:17:37.037481	128
15026	62910	1087	2013-08-03 19:17:37.04124	2013-08-03 19:17:37.04124	128
15027	62910	16912	2013-08-03 19:17:37.044549	2013-08-03 19:17:37.044549	128
15028	62910	4259	2013-08-03 19:17:37.047924	2013-08-03 19:17:37.047924	128
15029	62910	12381	2013-08-03 19:17:37.051649	2013-08-03 19:17:37.051649	128
15030	62910	12651	2013-08-03 19:17:37.05527	2013-08-03 19:17:37.05527	128
15031	62910	19328	2013-08-03 19:17:37.062255	2013-08-03 19:17:37.062255	128
15032	62910	6586	2013-08-03 19:17:37.070507	2013-08-03 19:17:37.070507	128
15033	62352	16832	2013-08-03 19:17:37.094596	2013-08-03 19:17:37.094596	128
15034	62352	26695	2013-08-03 19:17:37.109066	2013-08-03 19:17:37.109066	128
15035	62352	9966	2013-08-03 19:17:37.118796	2013-08-03 19:17:37.118796	128
15036	62352	3730	2013-08-03 19:17:37.122844	2013-08-03 19:17:37.122844	128
15037	62352	3612	2013-08-03 19:17:37.126768	2013-08-03 19:17:37.126768	128
15038	62352	32295	2013-08-03 19:17:37.13045	2013-08-03 19:17:37.13045	128
15039	62352	32795	2013-08-03 19:17:37.133541	2013-08-03 19:17:37.133541	128
15040	62352	30135	2013-08-03 19:17:37.137299	2013-08-03 19:17:37.137299	128
15041	62352	17101	2013-08-03 19:17:37.141003	2013-08-03 19:17:37.141003	128
15042	62911	16550	2013-08-03 19:17:37.170892	2013-08-03 19:17:37.170892	128
15043	62911	39103	2013-08-03 19:17:37.181848	2013-08-03 19:17:37.181848	128
15044	62911	38163	2013-08-03 19:17:37.1936	2013-08-03 19:17:37.1936	128
15045	62911	6739	2013-08-03 19:17:37.204065	2013-08-03 19:17:37.204065	128
15046	62911	39203	2013-08-03 19:17:37.214468	2013-08-03 19:17:37.214468	128
15047	62911	11391	2013-08-03 19:17:37.225166	2013-08-03 19:17:37.225166	128
15048	62353	15528	2013-08-03 19:17:37.248479	2013-08-03 19:17:37.248479	128
15049	62353	35523	2013-08-03 19:17:37.261165	2013-08-03 19:17:37.261165	128
15050	62353	6866	2013-08-03 19:17:37.27167	2013-08-03 19:17:37.27167	128
15051	62353	39023	2013-08-03 19:17:37.286329	2013-08-03 19:17:37.286329	128
15052	62353	14773	2013-08-03 19:17:37.292496	2013-08-03 19:17:37.292496	128
15053	62353	14448	2013-08-03 19:17:37.297248	2013-08-03 19:17:37.297248	128
15054	62318	30455	2013-08-03 19:17:37.306981	2013-08-03 19:17:37.306981	128
15055	62318	37963	2013-08-03 19:17:37.312298	2013-08-03 19:17:37.312298	128
15056	62318	10751	2013-08-03 19:17:37.318776	2013-08-03 19:17:37.318776	128
15057	62318	26078	2013-08-03 19:17:37.324911	2013-08-03 19:17:37.324911	128
15058	62318	16521	2013-08-03 19:17:37.331498	2013-08-03 19:17:37.331498	128
15059	62318	35083	2013-08-03 19:17:37.336764	2013-08-03 19:17:37.336764	128
15060	63197	34703	2013-08-03 19:17:37.360541	2013-08-03 19:17:37.360541	128
15061	63090	14308	2013-08-03 19:17:37.367738	2013-08-03 19:17:37.367738	128
15062	62912	14452	2013-08-03 19:17:37.387771	2013-08-03 19:17:37.387771	128
15063	62798	14388	2013-08-03 19:17:37.41022	2013-08-03 19:17:37.41022	128
15064	62761	14428	2013-08-03 19:17:37.486384	2013-08-03 19:17:37.486384	128
15065	62746	8272	2013-08-03 19:17:37.505712	2013-08-03 19:17:37.505712	128
15066	62736	23597	2013-08-03 19:17:37.526967	2013-08-03 19:17:37.526967	128
15067	62672	18038	2013-08-03 19:17:37.549595	2013-08-03 19:17:37.549595	128
15068	62574	17255	2013-08-03 19:17:37.571521	2013-08-03 19:17:37.571521	128
15069	62510	37643	2013-08-03 19:17:37.592792	2013-08-03 19:17:37.592792	128
15070	62507	36803	2013-08-03 19:17:37.611479	2013-08-03 19:17:37.611479	128
15071	62918	6866	2013-08-03 19:17:37.627147	2013-08-03 19:17:37.627147	128
15072	62918	23997	2013-08-03 19:17:37.630585	2013-08-03 19:17:37.630585	128
15073	62918	14448	2013-08-03 19:17:37.634993	2013-08-03 19:17:37.634993	128
15074	62918	14773	2013-08-03 19:17:37.640558	2013-08-03 19:17:37.640558	128
15075	62918	14328	2013-08-03 19:17:37.646139	2013-08-03 19:17:37.646139	128
15076	62918	14492	2013-08-03 19:17:37.652666	2013-08-03 19:17:37.652666	128
15077	62918	18038	2013-08-03 19:17:37.659325	2013-08-03 19:17:37.659325	128
15078	62918	23097	2013-08-03 19:17:37.667	2013-08-03 19:17:37.667	128
15079	62918	22837	2013-08-03 19:17:37.677246	2013-08-03 19:17:37.677246	128
15080	62323	3612	2013-08-03 19:17:37.699177	2013-08-03 19:17:37.699177	128
15081	62323	3730	2013-08-03 19:17:37.710515	2013-08-03 19:17:37.710515	128
15082	62323	9966	2013-08-03 19:17:37.721428	2013-08-03 19:17:37.721428	128
15083	62323	26695	2013-08-03 19:17:37.7317	2013-08-03 19:17:37.7317	128
15084	62323	16832	2013-08-03 19:17:37.741692	2013-08-03 19:17:37.741692	128
15085	62323	34903	2013-08-03 19:17:37.745934	2013-08-03 19:17:37.745934	128
15086	62323	26545	2013-08-03 19:17:37.750047	2013-08-03 19:17:37.750047	128
15087	62323	12530	2013-08-03 19:17:37.755208	2013-08-03 19:17:37.755208	128
15088	62323	17101	2013-08-03 19:17:37.761016	2013-08-03 19:17:37.761016	128
15089	62945	24017	2013-08-03 19:17:37.788627	2013-08-03 19:17:37.788627	128
15090	62919	38943	2013-08-03 19:17:37.803412	2013-08-03 19:17:37.803412	128
15091	62744	38383	2013-08-03 19:17:37.819044	2013-08-03 19:17:37.819044	128
15092	62576	34543	2013-08-03 19:17:37.830718	2013-08-03 19:17:37.830718	128
15093	62494	14308	2013-08-03 19:17:37.84309	2013-08-03 19:17:37.84309	128
15094	62492	14512	2013-08-03 19:17:37.863683	2013-08-03 19:17:37.863683	128
15095	62440	14368	2013-08-03 19:17:37.886268	2013-08-03 19:17:37.886268	128
15096	62427	11951	2013-08-03 19:17:37.908191	2013-08-03 19:17:37.908191	128
15097	62408	38503	2013-08-03 19:17:37.930611	2013-08-03 19:17:37.930611	128
15098	62354	38323	2013-08-03 19:17:37.953523	2013-08-03 19:17:37.953523	128
15099	62341	30295	2013-08-03 19:17:37.975438	2013-08-03 19:17:37.975438	128
15100	62325	35463	2013-08-03 19:17:37.997623	2013-08-03 19:17:37.997623	128
15101	62316	34803	2013-08-03 19:17:38.019667	2013-08-03 19:17:38.019667	128
15102	62450	1047	2013-08-03 19:17:38.060494	2013-08-03 19:17:38.060494	128
15103	62450	5490	2013-08-03 19:17:38.070813	2013-08-03 19:17:38.070813	128
15104	62450	23197	2013-08-03 19:17:38.080973	2013-08-03 19:17:38.080973	128
15105	62450	8331	2013-08-03 19:17:38.091493	2013-08-03 19:17:38.091493	128
15106	62450	3197	2013-08-03 19:17:38.101844	2013-08-03 19:17:38.101844	128
15107	62450	19708	2013-08-03 19:17:38.11199	2013-08-03 19:17:38.11199	128
15108	62450	3852	2013-08-03 19:17:38.122325	2013-08-03 19:17:38.122325	128
15109	62450	35723	2013-08-03 19:17:38.132187	2013-08-03 19:17:38.132187	128
15110	62450	35423	2013-08-03 19:17:38.14397	2013-08-03 19:17:38.14397	128
15111	62356	20072	2013-08-03 19:17:38.166621	2013-08-03 19:17:38.166621	128
15112	62356	36263	2013-08-03 19:17:38.177753	2013-08-03 19:17:38.177753	128
15113	62356	37603	2013-08-03 19:17:38.18767	2013-08-03 19:17:38.18767	128
15114	62356	17721	2013-08-03 19:17:38.198943	2013-08-03 19:17:38.198943	128
15115	62356	35363	2013-08-03 19:17:38.210677	2013-08-03 19:17:38.210677	128
15116	62356	4451	2013-08-03 19:17:38.222532	2013-08-03 19:17:38.222532	128
15117	62356	20748	2013-08-03 19:17:38.235907	2013-08-03 19:17:38.235907	128
15118	62356	17858	2013-08-03 19:17:38.248623	2013-08-03 19:17:38.248623	128
15119	62356	35703	2013-08-03 19:17:38.258979	2013-08-03 19:17:38.258979	128
15120	62920	39443	2013-08-03 19:17:38.299299	2013-08-03 19:17:38.299299	128
15121	62920	39463	2013-08-03 19:17:38.310421	2013-08-03 19:17:38.310421	128
15122	62920	39483	2013-08-03 19:17:38.321097	2013-08-03 19:17:38.321097	128
15123	62920	39503	2013-08-03 19:17:38.331387	2013-08-03 19:17:38.331387	128
15124	62920	39523	2013-08-03 19:17:38.341769	2013-08-03 19:17:38.341769	128
15125	62920	39543	2013-08-03 19:17:38.351828	2013-08-03 19:17:38.351828	128
15126	62920	39563	2013-08-03 19:17:38.366713	2013-08-03 19:17:38.366713	128
15127	62920	39583	2013-08-03 19:17:38.377301	2013-08-03 19:17:38.377301	128
15128	62920	39603	2013-08-03 19:17:38.38114	2013-08-03 19:17:38.38114	128
15129	62357	39623	2013-08-03 19:17:38.389701	2013-08-03 19:17:38.389701	128
15130	62357	39643	2013-08-03 19:17:38.39373	2013-08-03 19:17:38.39373	128
15131	62357	20092	2013-08-03 19:17:38.398067	2013-08-03 19:17:38.398067	128
15132	62357	39323	2013-08-03 19:17:38.402417	2013-08-03 19:17:38.402417	128
15133	62357	6038	2013-08-03 19:17:38.406854	2013-08-03 19:17:38.406854	128
15134	62357	35455	2013-08-03 19:17:38.41088	2013-08-03 19:17:38.41088	128
15135	62357	34703	2013-08-03 19:17:38.415107	2013-08-03 19:17:38.415107	128
15136	62357	14472	2013-08-03 19:17:38.418949	2013-08-03 19:17:38.418949	128
15137	62357	37623	2013-08-03 19:17:38.423406	2013-08-03 19:17:38.423406	128
15138	62922	37423	2013-08-03 19:17:38.461412	2013-08-03 19:17:38.461412	128
15139	62750	6659	2013-08-03 19:17:38.469778	2013-08-03 19:17:38.469778	128
15140	62618	37583	2013-08-03 19:17:38.479337	2013-08-03 19:17:38.479337	128
15141	62579	37223	2013-08-03 19:17:38.488077	2013-08-03 19:17:38.488077	128
15142	62446	37183	2013-08-03 19:17:38.495136	2013-08-03 19:17:38.495136	128
15143	62444	12508	2013-08-03 19:17:38.502002	2013-08-03 19:17:38.502002	128
15144	62441	26705	2013-08-03 19:17:38.510501	2013-08-03 19:17:38.510501	128
15145	62433	7741	2013-08-03 19:17:38.519855	2013-08-03 19:17:38.519855	128
15146	62421	23517	2013-08-03 19:17:38.536861	2013-08-03 19:17:38.536861	128
15147	62409	35643	2013-08-03 19:17:38.54792	2013-08-03 19:17:38.54792	128
15148	62370	36483	2013-08-03 19:17:38.556645	2013-08-03 19:17:38.556645	128
15149	62358	31555	2013-08-03 19:17:38.570388	2013-08-03 19:17:38.570388	128
15150	62334	3064	2013-08-03 19:17:38.585282	2013-08-03 19:17:38.585282	128
15151	62320	30095	2013-08-03 19:17:38.595247	2013-08-03 19:17:38.595247	128
15152	62807	28418	2013-08-03 19:17:38.631177	2013-08-03 19:17:38.631177	128
15153	62752	28398	2013-08-03 19:17:38.638329	2013-08-03 19:17:38.638329	128
15154	62697	28378	2013-08-03 19:17:38.645921	2013-08-03 19:17:38.645921	128
15155	62661	28358	2013-08-03 19:17:38.653254	2013-08-03 19:17:38.653254	128
15156	62436	28338	2013-08-03 19:17:38.66153	2013-08-03 19:17:38.66153	128
15157	62416	28318	2013-08-03 19:17:38.720516	2013-08-03 19:17:38.720516	128
15158	62379	28298	2013-08-03 19:17:38.746439	2013-08-03 19:17:38.746439	128
15159	62359	28278	2013-08-03 19:17:38.771176	2013-08-03 19:17:38.771176	128
15160	62351	28258	2013-08-03 19:17:38.79525	2013-08-03 19:17:38.79525	128
15161	62328	28238	2013-08-03 19:17:38.819555	2013-08-03 19:17:38.819555	128
15162	62317	28218	2013-08-03 19:17:38.842777	2013-08-03 19:17:38.842777	128
15163	62923	6699	2013-08-03 19:17:38.904642	2013-08-03 19:17:38.904642	128
15164	62580	9635	2013-08-03 19:17:38.928059	2013-08-03 19:17:38.928059	128
15165	62445	11951	2013-08-03 19:17:38.950208	2013-08-03 19:17:38.950208	128
15166	62442	38363	2013-08-03 19:17:38.972737	2013-08-03 19:17:38.972737	128
15167	62430	17161	2013-08-03 19:17:38.996261	2013-08-03 19:17:38.996261	128
15168	62422	10731	2013-08-03 19:17:39.016605	2013-08-03 19:17:39.016605	128
15169	62411	26725	2013-08-03 19:17:39.039059	2013-08-03 19:17:39.039059	128
15170	62362	15175	2013-08-03 19:17:39.062383	2013-08-03 19:17:39.062383	128
15171	62336	36663	2013-08-03 19:17:39.085085	2013-08-03 19:17:39.085085	128
15172	62321	36503	2013-08-03 19:17:39.106392	2013-08-03 19:17:39.106392	128
15173	62314	15010	2013-08-03 19:17:39.127695	2013-08-03 19:17:39.127695	128
15174	62924	29680	2013-08-03 19:17:39.19844	2013-08-03 19:17:39.19844	128
15175	62745	29660	2013-08-03 19:17:39.22096	2013-08-03 19:17:39.22096	128
15176	62581	29640	2013-08-03 19:17:39.245402	2013-08-03 19:17:39.245402	128
15177	62571	29620	2013-08-03 19:17:39.270242	2013-08-03 19:17:39.270242	128
15178	62485	29600	2013-08-03 19:17:39.293888	2013-08-03 19:17:39.293888	128
15179	62447	29580	2013-08-03 19:17:39.317761	2013-08-03 19:17:39.317761	128
15180	62443	29560	2013-08-03 19:17:39.341804	2013-08-03 19:17:39.341804	128
15181	62429	29555	2013-08-03 19:17:39.365736	2013-08-03 19:17:39.365736	128
15182	62423	29540	2013-08-03 19:17:39.388596	2013-08-03 19:17:39.388596	128
15183	62413	29520	2013-08-03 19:17:39.411056	2013-08-03 19:17:39.411056	128
15184	62400	29443	2013-08-03 19:17:39.439141	2013-08-03 19:17:39.439141	128
15185	62366	29500	2013-08-03 19:17:39.453143	2013-08-03 19:17:39.453143	128
15186	62315	38243	2013-08-03 19:17:39.465521	2013-08-03 19:17:39.465521	128
15187	63521	18061	2013-08-03 19:22:36.417357	2013-08-03 19:22:36.417357	129
15188	63521	2261	2013-08-03 19:22:36.430767	2013-08-03 19:22:36.430767	129
15189	63321	18020	2013-08-03 19:22:36.454932	2013-08-03 19:22:36.454932	129
15190	63321	18040	2013-08-03 19:22:36.466927	2013-08-03 19:22:36.466927	129
15191	63305	11623	2013-08-03 19:22:36.490291	2013-08-03 19:22:36.490291	129
15192	63305	40203	2013-08-03 19:22:36.501616	2013-08-03 19:22:36.501616	129
15193	63296	8209	2013-08-03 19:22:36.51344	2013-08-03 19:22:36.51344	129
15194	63296	39943	2013-08-03 19:22:36.518695	2013-08-03 19:22:36.518695	129
15195	63280	28238	2013-08-03 19:22:36.52778	2013-08-03 19:22:36.52778	129
15196	63280	2395	2013-08-03 19:22:36.531603	2013-08-03 19:22:36.531603	129
15197	63276	6779	2013-08-03 19:22:36.542091	2013-08-03 19:22:36.542091	129
15198	63276	23757	2013-08-03 19:22:36.550371	2013-08-03 19:22:36.550371	129
15199	63274	37503	2013-08-03 19:22:36.570976	2013-08-03 19:22:36.570976	129
15200	63274	18243	2013-08-03 19:22:36.581517	2013-08-03 19:22:36.581517	129
15201	63612	40443	2013-08-03 19:22:36.644163	2013-08-03 19:22:36.644163	129
15202	63612	40423	2013-08-03 19:22:36.656476	2013-08-03 19:22:36.656476	129
15203	63612	40403	2013-08-03 19:22:36.668163	2013-08-03 19:22:36.668163	129
15204	63612	40383	2013-08-03 19:22:36.679366	2013-08-03 19:22:36.679366	129
15205	63612	40363	2013-08-03 19:22:36.69021	2013-08-03 19:22:36.69021	129
15206	63612	40343	2013-08-03 19:22:36.700805	2013-08-03 19:22:36.700805	129
15207	63612	40323	2013-08-03 19:22:36.712505	2013-08-03 19:22:36.712505	129
15208	63612	40303	2013-08-03 19:22:36.724216	2013-08-03 19:22:36.724216	129
15209	63612	40283	2013-08-03 19:22:36.735134	2013-08-03 19:22:36.735134	129
15210	63519	40263	2013-08-03 19:22:36.758483	2013-08-03 19:22:36.758483	129
15211	63519	40243	2013-08-03 19:22:36.77025	2013-08-03 19:22:36.77025	129
15212	63519	40223	2013-08-03 19:22:36.782018	2013-08-03 19:22:36.782018	129
15213	63519	39943	2013-08-03 19:22:36.79346	2013-08-03 19:22:36.79346	129
15214	63519	8209	2013-08-03 19:22:36.803386	2013-08-03 19:22:36.803386	129
15215	63519	2495	2013-08-03 19:22:36.813771	2013-08-03 19:22:36.813771	129
15216	63519	2435	2013-08-03 19:22:36.823951	2013-08-03 19:22:36.823951	129
15217	63519	39063	2013-08-03 19:22:36.834201	2013-08-03 19:22:36.834201	129
15218	63519	11031	2013-08-03 19:22:36.84492	2013-08-03 19:22:36.84492	129
15219	63855	22497	2013-08-03 19:22:36.910554	2013-08-03 19:22:36.910554	129
15220	63811	22617	2013-08-03 19:22:36.934564	2013-08-03 19:22:36.934564	129
15221	63788	22677	2013-08-03 19:22:36.957999	2013-08-03 19:22:36.957999	129
15222	63649	22637	2013-08-03 19:22:36.981878	2013-08-03 19:22:36.981878	129
15223	63611	13972	2013-08-03 19:22:37.00414	2013-08-03 19:22:37.00414	129
15224	63560	22717	2013-08-03 19:22:37.027318	2013-08-03 19:22:37.027318	129
15225	63508	16195	2013-08-03 19:22:37.038502	2013-08-03 19:22:37.038502	129
15226	63498	16215	2013-08-03 19:22:37.048264	2013-08-03 19:22:37.048264	129
15227	63316	16923	2013-08-03 19:22:37.057899	2013-08-03 19:22:37.057899	129
15228	63301	35403	2013-08-03 19:22:37.065929	2013-08-03 19:22:37.065929	129
15229	63272	37983	2013-08-03 19:22:37.08211	2013-08-03 19:22:37.08211	129
15230	63856	28685	2013-08-03 19:22:37.147221	2013-08-03 19:22:37.147221	129
15231	63787	28665	2013-08-03 19:22:37.156115	2013-08-03 19:22:37.156115	129
15232	63650	28645	2013-08-03 19:22:37.165018	2013-08-03 19:22:37.165018	129
15233	63587	28625	2013-08-03 19:22:37.175122	2013-08-03 19:22:37.175122	129
15234	63512	28605	2013-08-03 19:22:37.195239	2013-08-03 19:22:37.195239	129
15235	63507	28585	2013-08-03 19:22:37.217938	2013-08-03 19:22:37.217938	129
15236	63501	28535	2013-08-03 19:22:37.241935	2013-08-03 19:22:37.241935	129
15237	63329	28565	2013-08-03 19:22:37.265547	2013-08-03 19:22:37.265547	129
15238	63319	23977	2013-08-03 19:22:37.289696	2013-08-03 19:22:37.289696	129
15239	63311	40143	2013-08-03 19:22:37.31083	2013-08-03 19:22:37.31083	129
15240	63302	2475	2013-08-03 19:22:37.3342	2013-08-03 19:22:37.3342	129
15241	63297	3795	2013-08-03 19:22:37.348533	2013-08-03 19:22:37.348533	129
15242	63273	14512	2013-08-03 19:22:37.356446	2013-08-03 19:22:37.356446	129
15243	64129	12320	2013-08-03 19:22:37.375141	2013-08-03 19:22:37.375141	129
15244	64129	12266	2013-08-03 19:22:37.381401	2013-08-03 19:22:37.381401	129
15245	64129	12246	2013-08-03 19:22:37.385783	2013-08-03 19:22:37.385783	129
15246	64129	12101	2013-08-03 19:22:37.393116	2013-08-03 19:22:37.393116	129
15247	64129	8149	2013-08-03 19:22:37.398637	2013-08-03 19:22:37.398637	129
15248	64129	7689	2013-08-03 19:22:37.404826	2013-08-03 19:22:37.404826	129
15249	64042	7669	2013-08-03 19:22:37.413541	2013-08-03 19:22:37.413541	129
15250	64042	7649	2013-08-03 19:22:37.42197	2013-08-03 19:22:37.42197	129
15251	64042	7340	2013-08-03 19:22:37.433237	2013-08-03 19:22:37.433237	129
15252	64042	7189	2013-08-03 19:22:37.444958	2013-08-03 19:22:37.444958	129
15253	64042	22717	2013-08-03 19:22:37.456783	2013-08-03 19:22:37.456783	129
15254	64042	40123	2013-08-03 19:22:37.467878	2013-08-03 19:22:37.467878	129
15255	63990	35935	2013-08-03 19:22:37.490726	2013-08-03 19:22:37.490726	129
15256	63990	39863	2013-08-03 19:22:37.501019	2013-08-03 19:22:37.501019	129
15257	63990	12508	2013-08-03 19:22:37.511485	2013-08-03 19:22:37.511485	129
15258	63990	2769	2013-08-03 19:22:37.522583	2013-08-03 19:22:37.522583	129
15259	63990	2717	2013-08-03 19:22:37.542108	2013-08-03 19:22:37.542108	129
15260	63990	2751	2013-08-03 19:22:37.551172	2013-08-03 19:22:37.551172	129
15261	63869	13271	2013-08-03 19:22:37.621584	2013-08-03 19:22:37.621584	129
15262	63869	12331	2013-08-03 19:22:37.626991	2013-08-03 19:22:37.626991	129
15263	63869	4531	2013-08-03 19:22:37.632903	2013-08-03 19:22:37.632903	129
15264	63869	4219	2013-08-03 19:22:37.645465	2013-08-03 19:22:37.645465	129
15265	63869	10888	2013-08-03 19:22:37.657743	2013-08-03 19:22:37.657743	129
15266	63869	10868	2013-08-03 19:22:37.669445	2013-08-03 19:22:37.669445	129
15267	63869	12831	2013-08-03 19:22:37.680516	2013-08-03 19:22:37.680516	129
15268	63869	4199	2013-08-03 19:22:37.692494	2013-08-03 19:22:37.692494	129
15269	63869	12401	2013-08-03 19:22:37.704214	2013-08-03 19:22:37.704214	129
15270	63532	7395	2013-08-03 19:22:37.728275	2013-08-03 19:22:37.728275	129
15271	63532	966	2013-08-03 19:22:37.740252	2013-08-03 19:22:37.740252	129
15272	63532	10928	2013-08-03 19:22:37.752247	2013-08-03 19:22:37.752247	129
15273	63532	12791	2013-08-03 19:22:37.763324	2013-08-03 19:22:37.763324	129
15274	63532	12811	2013-08-03 19:22:37.773509	2013-08-03 19:22:37.773509	129
15275	63532	1021	2013-08-03 19:22:37.784784	2013-08-03 19:22:37.784784	129
15276	63532	1004	2013-08-03 19:22:37.795799	2013-08-03 19:22:37.795799	129
15277	63532	15010	2013-08-03 19:22:37.807105	2013-08-03 19:22:37.807105	129
15278	63532	36483	2013-08-03 19:22:37.819103	2013-08-03 19:22:37.819103	129
15279	63870	40203	2013-08-03 19:22:37.867926	2013-08-03 19:22:37.867926	129
15280	63870	11623	2013-08-03 19:22:37.878205	2013-08-03 19:22:37.878205	129
15281	63870	23897	2013-08-03 19:22:37.88797	2013-08-03 19:22:37.88797	129
15282	63870	40083	2013-08-03 19:22:37.897789	2013-08-03 19:22:37.897789	129
15283	63870	35895	2013-08-03 19:22:37.907577	2013-08-03 19:22:37.907577	129
15284	63870	39823	2013-08-03 19:22:37.917526	2013-08-03 19:22:37.917526	129
15285	63535	17161	2013-08-03 19:22:37.939068	2013-08-03 19:22:37.939068	129
15286	63535	2475	2013-08-03 19:22:37.94916	2013-08-03 19:22:37.94916	129
15287	63535	2295	2013-08-03 19:22:37.95926	2013-08-03 19:22:37.95926	129
15288	63535	2179	2013-08-03 19:22:37.964262	2013-08-03 19:22:37.964262	129
15289	63535	1900	2013-08-03 19:22:37.970737	2013-08-03 19:22:37.970737	129
15290	63535	35403	2013-08-03 19:22:37.977715	2013-08-03 19:22:37.977715	129
15291	63283	6719	2013-08-03 19:22:37.988067	2013-08-03 19:22:37.988067	129
15292	63283	6579	2013-08-03 19:22:37.991475	2013-08-03 19:22:37.991475	129
15293	63283	14308	2013-08-03 19:22:37.994907	2013-08-03 19:22:37.994907	129
15294	63283	14428	2013-08-03 19:22:37.99986	2013-08-03 19:22:37.99986	129
15295	63283	19157	2013-08-03 19:22:38.004032	2013-08-03 19:22:38.004032	129
15296	63283	7741	2013-08-03 19:22:38.009287	2013-08-03 19:22:38.009287	129
15297	63652	16215	2013-08-03 19:22:38.051449	2013-08-03 19:22:38.051449	129
15298	63652	3792	2013-08-03 19:22:38.065311	2013-08-03 19:22:38.065311	129
15299	63652	40063	2013-08-03 19:22:38.07043	2013-08-03 19:22:38.07043	129
15300	63538	35875	2013-08-03 19:22:38.079445	2013-08-03 19:22:38.079445	129
15301	63538	39803	2013-08-03 19:22:38.084079	2013-08-03 19:22:38.084079	129
15302	63538	29540	2013-08-03 19:22:38.088655	2013-08-03 19:22:38.088655	129
15303	63320	10731	2013-08-03 19:22:38.098876	2013-08-03 19:22:38.098876	129
15304	63320	2215	2013-08-03 19:22:38.103915	2013-08-03 19:22:38.103915	129
15305	63320	2128	2013-08-03 19:22:38.107696	2013-08-03 19:22:38.107696	129
15306	63306	39143	2013-08-03 19:22:38.114999	2013-08-03 19:22:38.114999	129
15307	63306	10697	2013-08-03 19:22:38.121581	2013-08-03 19:22:38.121581	129
15308	63306	8289	2013-08-03 19:22:38.125542	2013-08-03 19:22:38.125542	129
15309	63284	14013	2013-08-03 19:22:38.131169	2013-08-03 19:22:38.131169	129
15310	63284	38503	2013-08-03 19:22:38.138168	2013-08-03 19:22:38.138168	129
15311	63284	23517	2013-08-03 19:22:38.147341	2013-08-03 19:22:38.147341	129
15312	63289	35403	2013-08-03 19:22:38.185877	2013-08-03 19:22:38.185877	129
15313	63289	34703	2013-08-03 19:22:38.195404	2013-08-03 19:22:38.195404	129
15314	63289	14472	2013-08-03 19:22:38.205257	2013-08-03 19:22:38.205257	129
15315	63289	12778	2013-08-03 19:22:38.214185	2013-08-03 19:22:38.214185	129
15316	63289	38103	2013-08-03 19:22:38.220132	2013-08-03 19:22:38.220132	129
15317	63289	38323	2013-08-03 19:22:38.229065	2013-08-03 19:22:38.229065	129
15318	63289	1004	2013-08-03 19:22:38.235798	2013-08-03 19:22:38.235798	129
15319	63289	1021	2013-08-03 19:22:38.239588	2013-08-03 19:22:38.239588	129
15320	63289	12811	2013-08-03 19:22:38.243444	2013-08-03 19:22:38.243444	129
15321	63289	12791	2013-08-03 19:22:38.250049	2013-08-03 19:22:38.250049	129
15322	63289	10928	2013-08-03 19:22:38.259722	2013-08-03 19:22:38.259722	129
15323	63289	966	2013-08-03 19:22:38.269555	2013-08-03 19:22:38.269555	129
15324	63289	7395	2013-08-03 19:22:38.278989	2013-08-03 19:22:38.278989	129
15325	63289	15175	2013-08-03 19:22:38.288797	2013-08-03 19:22:38.288797	129
15326	63289	37623	2013-08-03 19:22:38.298782	2013-08-03 19:22:38.298782	129
15327	63289	35703	2013-08-03 19:22:38.309302	2013-08-03 19:22:38.309302	129
15328	63289	36483	2013-08-03 19:22:38.319689	2013-08-03 19:22:38.319689	129
15329	63289	15010	2013-08-03 19:22:38.323712	2013-08-03 19:22:38.323712	129
15330	63289	31555	2013-08-03 19:22:38.332348	2013-08-03 19:22:38.332348	129
15331	64076	13972	2013-08-03 19:22:38.381607	2013-08-03 19:22:38.381607	129
15332	63859	39343	2013-08-03 19:22:38.40147	2013-08-03 19:22:38.40147	129
15333	63786	39743	2013-08-03 19:22:38.422846	2013-08-03 19:22:38.422846	129
15334	63651	29520	2013-08-03 19:22:38.439472	2013-08-03 19:22:38.439472	129
15335	63584	26725	2013-08-03 19:22:38.461054	2013-08-03 19:22:38.461054	129
15336	63541	2384	2013-08-03 19:22:38.48147	2013-08-03 19:22:38.48147	129
15337	63524	38043	2013-08-03 19:22:38.502682	2013-08-03 19:22:38.502682	129
15338	63500	2140	2013-08-03 19:22:38.524926	2013-08-03 19:22:38.524926	129
15339	63322	26780	2013-08-03 19:22:38.544482	2013-08-03 19:22:38.544482	129
15340	63313	1929	2013-08-03 19:22:38.564455	2013-08-03 19:22:38.564455	129
15341	63312	1467	2013-08-03 19:22:38.575528	2013-08-03 19:22:38.575528	129
15342	63295	20172	2013-08-03 19:22:38.584611	2013-08-03 19:22:38.584611	129
15343	63294	35343	2013-08-03 19:22:38.592718	2013-08-03 19:22:38.592718	129
15344	63290	35643	2013-08-03 19:22:38.601121	2013-08-03 19:22:38.601121	129
15345	63994	22032	2013-08-03 19:22:38.628754	2013-08-03 19:22:38.628754	129
15346	63994	22012	2013-08-03 19:22:38.633279	2013-08-03 19:22:38.633279	129
15347	63994	21992	2013-08-03 19:22:38.637401	2013-08-03 19:22:38.637401	129
15348	63994	21972	2013-08-03 19:22:38.641312	2013-08-03 19:22:38.641312	129
15349	63994	21952	2013-08-03 19:22:38.645442	2013-08-03 19:22:38.645442	129
15350	63994	21932	2013-08-03 19:22:38.649774	2013-08-03 19:22:38.649774	129
15351	63994	21912	2013-08-03 19:22:38.654183	2013-08-03 19:22:38.654183	129
15352	63994	21892	2013-08-03 19:22:38.658621	2013-08-03 19:22:38.658621	129
15353	63994	21872	2013-08-03 19:22:38.662732	2013-08-03 19:22:38.662732	129
15354	63921	21852	2013-08-03 19:22:38.670755	2013-08-03 19:22:38.670755	129
15355	63921	21832	2013-08-03 19:22:38.674605	2013-08-03 19:22:38.674605	129
15356	63921	21685	2013-08-03 19:22:38.678433	2013-08-03 19:22:38.678433	129
15357	63921	21812	2013-08-03 19:22:38.682418	2013-08-03 19:22:38.682418	129
15358	63921	21792	2013-08-03 19:22:38.686452	2013-08-03 19:22:38.686452	129
15359	63921	21772	2013-08-03 19:22:38.690613	2013-08-03 19:22:38.690613	129
15360	63921	21752	2013-08-03 19:22:38.694572	2013-08-03 19:22:38.694572	129
15361	63921	21732	2013-08-03 19:22:38.698717	2013-08-03 19:22:38.698717	129
15362	63921	13972	2013-08-03 19:22:38.702902	2013-08-03 19:22:38.702902	129
15363	63602	14572	2013-08-03 19:22:38.736137	2013-08-03 19:22:38.736137	129
15364	63602	9406	2013-08-03 19:22:38.747175	2013-08-03 19:22:38.747175	129
15365	63602	9386	2013-08-03 19:22:38.758405	2013-08-03 19:22:38.758405	129
15366	63602	22837	2013-08-03 19:22:38.769281	2013-08-03 19:22:38.769281	129
15367	63602	23097	2013-08-03 19:22:38.779106	2013-08-03 19:22:38.779106	129
15368	63602	18038	2013-08-03 19:22:38.789063	2013-08-03 19:22:38.789063	129
15369	63602	38723	2013-08-03 19:22:38.798914	2013-08-03 19:22:38.798914	129
15370	63602	38343	2013-08-03 19:22:38.809057	2013-08-03 19:22:38.809057	129
15371	63602	37883	2013-08-03 19:22:38.819072	2013-08-03 19:22:38.819072	129
15372	63544	12401	2013-08-03 19:22:38.84026	2013-08-03 19:22:38.84026	129
15373	63544	4199	2013-08-03 19:22:38.850132	2013-08-03 19:22:38.850132	129
15374	63544	12831	2013-08-03 19:22:38.859572	2013-08-03 19:22:38.859572	129
15375	63544	10868	2013-08-03 19:22:38.868841	2013-08-03 19:22:38.868841	129
15376	63544	10888	2013-08-03 19:22:38.878516	2013-08-03 19:22:38.878516	129
15377	63544	4219	2013-08-03 19:22:38.888329	2013-08-03 19:22:38.888329	129
15378	63544	4531	2013-08-03 19:22:38.89759	2013-08-03 19:22:38.89759	129
15379	63544	12331	2013-08-03 19:22:38.907296	2013-08-03 19:22:38.907296	129
15380	63544	13271	2013-08-03 19:22:38.975069	2013-08-03 19:22:38.975069	129
15381	63876	2494	2013-08-03 19:22:38.994698	2013-08-03 19:22:38.994698	129
15382	63876	2364	2013-08-03 19:22:39.001306	2013-08-03 19:22:39.001306	129
15383	63876	2441	2013-08-03 19:22:39.00823	2013-08-03 19:22:39.00823	129
15384	63876	2446	2013-08-03 19:22:39.015347	2013-08-03 19:22:39.015347	129
15385	63876	2474	2013-08-03 19:22:39.022578	2013-08-03 19:22:39.022578	129
15386	63876	2493	2013-08-03 19:22:39.03019	2013-08-03 19:22:39.03019	129
15387	63876	30295	2013-08-03 19:22:39.038195	2013-08-03 19:22:39.038195	129
15388	63876	2436	2013-08-03 19:22:39.045778	2013-08-03 19:22:39.045778	129
15389	63876	2465	2013-08-03 19:22:39.054164	2013-08-03 19:22:39.054164	129
15390	63546	2454	2013-08-03 19:22:39.071736	2013-08-03 19:22:39.071736	129
15391	63546	2434	2013-08-03 19:22:39.081111	2013-08-03 19:22:39.081111	129
15392	63546	2356	2013-08-03 19:22:39.090225	2013-08-03 19:22:39.090225	129
15393	63546	2417	2013-08-03 19:22:39.099576	2013-08-03 19:22:39.099576	129
15394	63546	2414	2013-08-03 19:22:39.108814	2013-08-03 19:22:39.108814	129
15395	63546	2375	2013-08-03 19:22:39.115174	2013-08-03 19:22:39.115174	129
15396	63546	2104	2013-08-03 19:22:39.121904	2013-08-03 19:22:39.121904	129
15397	63546	39063	2013-08-03 19:22:39.125946	2013-08-03 19:22:39.125946	129
15398	63546	11031	2013-08-03 19:22:39.128909	2013-08-03 19:22:39.128909	129
15399	63880	28638	2013-08-03 19:22:39.157752	2013-08-03 19:22:39.157752	129
15400	63789	28618	2013-08-03 19:22:39.164404	2013-08-03 19:22:39.164404	129
15401	63767	28598	2013-08-03 19:22:39.172367	2013-08-03 19:22:39.172367	129
15402	63655	4786	2013-08-03 19:22:39.187159	2013-08-03 19:22:39.187159	129
15403	63627	7598	2013-08-03 19:22:39.206892	2013-08-03 19:22:39.206892	129
15404	63558	23797	2013-08-03 19:22:39.227057	2013-08-03 19:22:39.227057	129
15405	63557	24017	2013-08-03 19:22:39.247405	2013-08-03 19:22:39.247405	129
15406	63548	9655	2013-08-03 19:22:39.268578	2013-08-03 19:22:39.268578	129
15407	63536	38363	2013-08-03 19:22:39.28983	2013-08-03 19:22:39.28983	129
15408	63440	17597	2013-08-03 19:22:39.310656	2013-08-03 19:22:39.310656	129
15409	63355	16912	2013-08-03 19:22:39.331278	2013-08-03 19:22:39.331278	129
15410	63317	37243	2013-08-03 19:22:39.352889	2013-08-03 19:22:39.352889	129
15411	63314	19343	2013-08-03 19:22:39.374261	2013-08-03 19:22:39.374261	129
15412	63279	3064	2013-08-03 19:22:39.39688	2013-08-03 19:22:39.39688	129
15413	64195	28958	2013-08-03 19:22:39.459781	2013-08-03 19:22:39.459781	129
15414	64122	28938	2013-08-03 19:22:39.481945	2013-08-03 19:22:39.481945	129
15415	63792	28918	2013-08-03 19:22:39.504615	2013-08-03 19:22:39.504615	129
15416	63549	28898	2013-08-03 19:22:39.52675	2013-08-03 19:22:39.52675	129
15417	63494	28878	2013-08-03 19:22:39.548999	2013-08-03 19:22:39.548999	129
15418	63493	28858	2013-08-03 19:22:39.57169	2013-08-03 19:22:39.57169	129
15419	63367	28838	2013-08-03 19:22:39.594622	2013-08-03 19:22:39.594622	129
15420	63331	28818	2013-08-03 19:22:39.6068	2013-08-03 19:22:39.6068	129
15421	63304	28798	2013-08-03 19:22:39.61622	2013-08-03 19:22:39.61622	129
15422	63287	28778	2013-08-03 19:22:39.624705	2013-08-03 19:22:39.624705	129
15423	63275	28758	2013-08-03 19:22:39.632682	2013-08-03 19:22:39.632682	129
15424	63882	11958	2013-08-03 19:22:39.649814	2013-08-03 19:22:39.649814	129
15425	63882	11823	2013-08-03 19:22:39.655179	2013-08-03 19:22:39.655179	129
15426	63882	12038	2013-08-03 19:22:39.660282	2013-08-03 19:22:39.660282	129
15427	63882	24617	2013-08-03 19:22:39.667094	2013-08-03 19:22:39.667094	129
15428	63882	9698	2013-08-03 19:22:39.673928	2013-08-03 19:22:39.673928	129
15429	63882	28258	2013-08-03 19:22:39.677916	2013-08-03 19:22:39.677916	129
15430	63552	37183	2013-08-03 19:22:39.695475	2013-08-03 19:22:39.695475	129
15431	63552	27825	2013-08-03 19:22:39.705616	2013-08-03 19:22:39.705616	129
15432	63552	2079	2013-08-03 19:22:39.715532	2013-08-03 19:22:39.715532	129
15433	63552	23717	2013-08-03 19:22:39.725275	2013-08-03 19:22:39.725275	129
15434	63552	26780	2013-08-03 19:22:39.735201	2013-08-03 19:22:39.735201	129
15435	63552	39243	2013-08-03 19:22:39.745102	2013-08-03 19:22:39.745102	129
15436	63281	14368	2013-08-03 19:22:39.766682	2013-08-03 19:22:39.766682	129
15437	63281	33275	2013-08-03 19:22:39.776589	2013-08-03 19:22:39.776589	129
15438	63281	16912	2013-08-03 19:22:39.786289	2013-08-03 19:22:39.786289	129
15439	63281	17255	2013-08-03 19:22:39.796127	2013-08-03 19:22:39.796127	129
15440	63281	6586	2013-08-03 19:22:39.805831	2013-08-03 19:22:39.805831	129
15441	63281	12381	2013-08-03 19:22:39.816062	2013-08-03 19:22:39.816062	129
15442	63886	29860	2013-08-03 19:22:39.882179	2013-08-03 19:22:39.882179	129
15443	63790	29840	2013-08-03 19:22:39.892932	2013-08-03 19:22:39.892932	129
15444	63656	29820	2013-08-03 19:22:39.899209	2013-08-03 19:22:39.899209	129
15445	63628	38423	2013-08-03 19:22:39.906197	2013-08-03 19:22:39.906197	129
15446	63585	2078	2013-08-03 19:22:39.916918	2013-08-03 19:22:39.916918	129
15447	63559	11571	2013-08-03 19:22:39.935852	2013-08-03 19:22:39.935852	129
15448	63554	37523	2013-08-03 19:22:39.95699	2013-08-03 19:22:39.95699	129
15449	63502	23817	2013-08-03 19:22:39.978996	2013-08-03 19:22:39.978996	129
15450	63364	23737	2013-08-03 19:22:40.001372	2013-08-03 19:22:40.001372	129
15451	63318	10265	2013-08-03 19:22:40.023406	2013-08-03 19:22:40.023406	129
15452	63315	14388	2013-08-03 19:22:40.045164	2013-08-03 19:22:40.045164	129
15453	63303	11991	2013-08-03 19:22:40.067463	2013-08-03 19:22:40.067463	129
15454	63292	4259	2013-08-03 19:22:40.089841	2013-08-03 19:22:40.089841	129
15455	63288	36663	2013-08-03 19:22:40.111803	2013-08-03 19:22:40.111803	129
15456	64249	41303	2013-08-03 19:27:37.305156	2013-08-03 19:27:37.305156	130
15457	64249	41283	2013-08-03 19:27:37.318773	2013-08-03 19:27:37.318773	130
15458	64249	41263	2013-08-03 19:27:37.33126	2013-08-03 19:27:37.33126	130
15459	64249	41243	2013-08-03 19:27:37.34324	2013-08-03 19:27:37.34324	130
15460	64249	41223	2013-08-03 19:27:37.354922	2013-08-03 19:27:37.354922	130
15461	64249	41203	2013-08-03 19:27:37.366434	2013-08-03 19:27:37.366434	130
15462	64249	41183	2013-08-03 19:27:37.378804	2013-08-03 19:27:37.378804	130
15463	64249	41163	2013-08-03 19:27:37.390655	2013-08-03 19:27:37.390655	130
15464	64249	41143	2013-08-03 19:27:37.402163	2013-08-03 19:27:37.402163	130
15465	64213	41123	2013-08-03 19:27:37.426778	2013-08-03 19:27:37.426778	130
15466	64213	41103	2013-08-03 19:27:37.439423	2013-08-03 19:27:37.439423	130
15467	64213	41083	2013-08-03 19:27:37.451048	2013-08-03 19:27:37.451048	130
15468	64213	41063	2013-08-03 19:27:37.455263	2013-08-03 19:27:37.455263	130
15469	64213	41043	2013-08-03 19:27:37.458584	2013-08-03 19:27:37.458584	130
15470	64213	41023	2013-08-03 19:27:37.461812	2013-08-03 19:27:37.461812	130
15471	64213	41003	2013-08-03 19:27:37.465122	2013-08-03 19:27:37.465122	130
15472	64213	40983	2013-08-03 19:27:37.469029	2013-08-03 19:27:37.469029	130
15473	64213	40963	2013-08-03 19:27:37.472975	2013-08-03 19:27:37.472975	130
15474	64670	29085	2013-08-03 19:27:37.52125	2013-08-03 19:27:37.52125	130
15475	64511	29065	2013-08-03 19:27:37.545562	2013-08-03 19:27:37.545562	130
15476	64393	28980	2013-08-03 19:27:37.569119	2013-08-03 19:27:37.569119	130
15477	64356	29045	2013-08-03 19:27:37.592973	2013-08-03 19:27:37.592973	130
15478	64351	29025	2013-08-03 19:27:37.61608	2013-08-03 19:27:37.61608	130
15479	64349	29005	2013-08-03 19:27:37.638397	2013-08-03 19:27:37.638397	130
15480	64343	28985	2013-08-03 19:27:37.661981	2013-08-03 19:27:37.661981	130
15481	64325	22152	2013-08-03 19:27:37.673204	2013-08-03 19:27:37.673204	130
15482	64269	18361	2013-08-03 19:27:37.680205	2013-08-03 19:27:37.680205	130
15483	64264	12257	2013-08-03 19:27:37.68761	2013-08-03 19:27:37.68761	130
15484	64256	40883	2013-08-03 19:27:37.697516	2013-08-03 19:27:37.697516	130
15485	64239	6806	2013-08-03 19:27:37.761741	2013-08-03 19:27:37.761741	130
15486	64223	39143	2013-08-03 19:27:37.772324	2013-08-03 19:27:37.772324	130
15487	64397	12586	2013-08-03 19:27:37.790172	2013-08-03 19:27:37.790172	130
15488	64397	12635	2013-08-03 19:27:37.794783	2013-08-03 19:27:37.794783	130
15489	64397	12566	2013-08-03 19:27:37.799631	2013-08-03 19:27:37.799631	130
15490	64397	12448	2013-08-03 19:27:37.804548	2013-08-03 19:27:37.804548	130
15491	64279	12476	2013-08-03 19:27:37.817321	2013-08-03 19:27:37.817321	130
15492	64279	12546	2013-08-03 19:27:37.824333	2013-08-03 19:27:37.824333	130
15493	64279	12526	2013-08-03 19:27:37.832859	2013-08-03 19:27:37.832859	130
15494	64279	12506	2013-08-03 19:27:37.840874	2013-08-03 19:27:37.840874	130
15495	64255	12517	2013-08-03 19:27:37.861145	2013-08-03 19:27:37.861145	130
15496	64255	12497	2013-08-03 19:27:37.872411	2013-08-03 19:27:37.872411	130
15497	64255	12486	2013-08-03 19:27:37.884107	2013-08-03 19:27:37.884107	130
15498	64255	12466	2013-08-03 19:27:37.897788	2013-08-03 19:27:37.897788	130
15499	64215	12500	2013-08-03 19:27:37.912348	2013-08-03 19:27:37.912348	130
15500	64215	40863	2013-08-03 19:27:37.917141	2013-08-03 19:27:37.917141	130
15501	64215	2514	2013-08-03 19:27:37.92129	2013-08-03 19:27:37.92129	130
15502	64215	37503	2013-08-03 19:27:37.92556	2013-08-03 19:27:37.92556	130
15503	64400	13311	2013-08-03 19:27:37.941813	2013-08-03 19:27:37.941813	130
15504	64400	12351	2013-08-03 19:27:37.947421	2013-08-03 19:27:37.947421	130
15505	64400	13051	2013-08-03 19:27:37.951442	2013-08-03 19:27:37.951442	130
15506	64400	13031	2013-08-03 19:27:37.954696	2013-08-03 19:27:37.954696	130
15507	64400	3684	2013-08-03 19:27:37.958843	2013-08-03 19:27:37.958843	130
15508	64400	3217	2013-08-03 19:27:37.963972	2013-08-03 19:27:37.963972	130
15509	64400	7863	2013-08-03 19:27:37.969641	2013-08-03 19:27:37.969641	130
15510	64400	4159	2013-08-03 19:27:37.973572	2013-08-03 19:27:37.973572	130
15511	64400	4239	2013-08-03 19:27:37.977443	2013-08-03 19:27:37.977443	130
15512	64281	4491	2013-08-03 19:27:37.98705	2013-08-03 19:27:37.98705	130
15513	64281	3644	2013-08-03 19:27:37.993008	2013-08-03 19:27:37.993008	130
15514	64281	947	2013-08-03 19:27:38.000983	2013-08-03 19:27:38.000983	130
15515	64281	12011	2013-08-03 19:27:38.005832	2013-08-03 19:27:38.005832	130
15516	64281	12511	2013-08-03 19:27:38.010756	2013-08-03 19:27:38.010756	130
15517	64281	13251	2013-08-03 19:27:38.015196	2013-08-03 19:27:38.015196	130
15518	64281	10208	2013-08-03 19:27:38.01941	2013-08-03 19:27:38.01941	130
15519	64281	36663	2013-08-03 19:27:38.024041	2013-08-03 19:27:38.024041	130
15520	64281	3064	2013-08-03 19:27:38.028523	2013-08-03 19:27:38.028523	130
15521	64402	19592	2013-08-03 19:27:38.045123	2013-08-03 19:27:38.045123	130
15522	64402	19285	2013-08-03 19:27:38.049703	2013-08-03 19:27:38.049703	130
15523	64402	19012	2013-08-03 19:27:38.05452	2013-08-03 19:27:38.05452	130
15524	64402	18712	2013-08-03 19:27:38.059552	2013-08-03 19:27:38.059552	130
15525	64402	17900	2013-08-03 19:27:38.064444	2013-08-03 19:27:38.064444	130
15526	64402	18525	2013-08-03 19:27:38.06927	2013-08-03 19:27:38.06927	130
15527	64283	18321	2013-08-03 19:27:38.078258	2013-08-03 19:27:38.078258	130
15528	64283	12261	2013-08-03 19:27:38.083697	2013-08-03 19:27:38.083697	130
15529	64283	6806	2013-08-03 19:27:38.088332	2013-08-03 19:27:38.088332	130
15530	64283	40823	2013-08-03 19:27:38.093688	2013-08-03 19:27:38.093688	130
15531	64283	40663	2013-08-03 19:27:38.100702	2013-08-03 19:27:38.100702	130
15532	64283	28838	2013-08-03 19:27:38.105249	2013-08-03 19:27:38.105249	130
15533	64217	11178	2013-08-03 19:27:38.114901	2013-08-03 19:27:38.114901	130
15534	64217	35135	2013-08-03 19:27:38.122954	2013-08-03 19:27:38.122954	130
15535	64217	10265	2013-08-03 19:27:38.13324	2013-08-03 19:27:38.13324	130
15536	64217	1929	2013-08-03 19:27:38.145139	2013-08-03 19:27:38.145139	130
15537	64217	14773	2013-08-03 19:27:38.155938	2013-08-03 19:27:38.155938	130
15538	64217	37243	2013-08-03 19:27:38.168506	2013-08-03 19:27:38.168506	130
15539	64444	10208	2013-08-03 19:27:38.198373	2013-08-03 19:27:38.198373	130
15540	64444	13251	2013-08-03 19:27:38.202735	2013-08-03 19:27:38.202735	130
15541	64444	12511	2013-08-03 19:27:38.206767	2013-08-03 19:27:38.206767	130
15542	64444	12011	2013-08-03 19:27:38.210891	2013-08-03 19:27:38.210891	130
15543	64444	947	2013-08-03 19:27:38.215435	2013-08-03 19:27:38.215435	130
15544	64444	3644	2013-08-03 19:27:38.219419	2013-08-03 19:27:38.219419	130
15545	64444	4491	2013-08-03 19:27:38.223562	2013-08-03 19:27:38.223562	130
15546	64444	13271	2013-08-03 19:27:38.228367	2013-08-03 19:27:38.228367	130
15547	64444	12331	2013-08-03 19:27:38.234559	2013-08-03 19:27:38.234559	130
15548	64406	4531	2013-08-03 19:27:38.246531	2013-08-03 19:27:38.246531	130
15549	64406	4219	2013-08-03 19:27:38.252124	2013-08-03 19:27:38.252124	130
15550	64406	10888	2013-08-03 19:27:38.255531	2013-08-03 19:27:38.255531	130
15551	64406	10868	2013-08-03 19:27:38.26031	2013-08-03 19:27:38.26031	130
15552	64406	12831	2013-08-03 19:27:38.265503	2013-08-03 19:27:38.265503	130
15553	64406	4199	2013-08-03 19:27:38.271946	2013-08-03 19:27:38.271946	130
15554	64406	12401	2013-08-03 19:27:38.277721	2013-08-03 19:27:38.277721	130
15555	64406	36663	2013-08-03 19:27:38.284674	2013-08-03 19:27:38.284674	130
15556	64406	3064	2013-08-03 19:27:38.295222	2013-08-03 19:27:38.295222	130
15557	64726	22412	2013-08-03 19:27:38.353823	2013-08-03 19:27:38.353823	130
15558	64505	22392	2013-08-03 19:27:38.377373	2013-08-03 19:27:38.377373	130
15559	64396	22372	2013-08-03 19:27:38.392085	2013-08-03 19:27:38.392085	130
15560	64353	22352	2013-08-03 19:27:38.399428	2013-08-03 19:27:38.399428	130
15561	64341	22332	2013-08-03 19:27:38.406311	2013-08-03 19:27:38.406311	130
15562	64332	22312	2013-08-03 19:27:38.413965	2013-08-03 19:27:38.413965	130
15563	64326	22285	2013-08-03 19:27:38.42358	2013-08-03 19:27:38.42358	130
15564	64298	22280	2013-08-03 19:27:38.438319	2013-08-03 19:27:38.438319	130
15565	64271	22292	2013-08-03 19:27:38.462032	2013-08-03 19:27:38.462032	130
15566	64265	22272	2013-08-03 19:27:38.484622	2013-08-03 19:27:38.484622	130
15567	64257	22252	2013-08-03 19:27:38.507692	2013-08-03 19:27:38.507692	130
15568	64240	22232	2013-08-03 19:27:38.530023	2013-08-03 19:27:38.530023	130
15569	64237	22152	2013-08-03 19:27:38.553745	2013-08-03 19:27:38.553745	130
15570	64221	12250	2013-08-03 19:27:38.575995	2013-08-03 19:27:38.575995	130
15571	64219	2390	2013-08-03 19:27:38.597683	2013-08-03 19:27:38.597683	130
15572	64218	8269	2013-08-03 19:27:38.620536	2013-08-03 19:27:38.620536	130
15573	64358	22732	2013-08-03 19:27:38.66265	2013-08-03 19:27:38.66265	130
15574	64358	22712	2013-08-03 19:27:38.675057	2013-08-03 19:27:38.675057	130
15575	64358	22692	2013-08-03 19:27:38.68697	2013-08-03 19:27:38.68697	130
15576	64358	22672	2013-08-03 19:27:38.698575	2013-08-03 19:27:38.698575	130
15577	64358	22652	2013-08-03 19:27:38.709716	2013-08-03 19:27:38.709716	130
15578	64358	22632	2013-08-03 19:27:38.720909	2013-08-03 19:27:38.720909	130
15579	64358	22612	2013-08-03 19:27:38.731988	2013-08-03 19:27:38.731988	130
15580	64358	22478	2013-08-03 19:27:38.743388	2013-08-03 19:27:38.743388	130
15581	64358	22592	2013-08-03 19:27:38.755819	2013-08-03 19:27:38.755819	130
15582	64358	22572	2013-08-03 19:27:38.767382	2013-08-03 19:27:38.767382	130
15583	64358	22552	2013-08-03 19:27:38.7754	2013-08-03 19:27:38.7754	130
15584	64358	22532	2013-08-03 19:27:38.779608	2013-08-03 19:27:38.779608	130
15585	64358	22512	2013-08-03 19:27:38.784917	2013-08-03 19:27:38.784917	130
15586	64358	22503	2013-08-03 19:27:38.788695	2013-08-03 19:27:38.788695	130
15587	64358	22492	2013-08-03 19:27:38.794168	2013-08-03 19:27:38.794168	130
15588	64358	22505	2013-08-03 19:27:38.800345	2013-08-03 19:27:38.800345	130
15589	64358	22472	2013-08-03 19:27:38.807006	2013-08-03 19:27:38.807006	130
15590	64358	22452	2013-08-03 19:27:38.815134	2013-08-03 19:27:38.815134	130
15591	64358	22285	2013-08-03 19:27:38.825516	2013-08-03 19:27:38.825516	130
15592	64545	14388	2013-08-03 19:27:38.858992	2013-08-03 19:27:38.858992	130
15593	64545	12401	2013-08-03 19:27:38.869926	2013-08-03 19:27:38.869926	130
15594	64545	4199	2013-08-03 19:27:38.880407	2013-08-03 19:27:38.880407	130
15595	64545	12831	2013-08-03 19:27:38.89091	2013-08-03 19:27:38.89091	130
15596	64545	10868	2013-08-03 19:27:38.901068	2013-08-03 19:27:38.901068	130
15597	64545	10888	2013-08-03 19:27:38.910889	2013-08-03 19:27:38.910889	130
15598	64545	4219	2013-08-03 19:27:38.920829	2013-08-03 19:27:38.920829	130
15599	64545	4531	2013-08-03 19:27:38.931022	2013-08-03 19:27:38.931022	130
15600	64545	4239	2013-08-03 19:27:38.941618	2013-08-03 19:27:38.941618	130
15601	64545	4159	2013-08-03 19:27:38.955359	2013-08-03 19:27:38.955359	130
15602	64545	7863	2013-08-03 19:27:39.026182	2013-08-03 19:27:39.026182	130
15603	64545	3217	2013-08-03 19:27:39.038334	2013-08-03 19:27:39.038334	130
15604	64545	3684	2013-08-03 19:27:39.042746	2013-08-03 19:27:39.042746	130
15605	64545	13031	2013-08-03 19:27:39.048036	2013-08-03 19:27:39.048036	130
15606	64545	13051	2013-08-03 19:27:39.053327	2013-08-03 19:27:39.053327	130
15607	64545	12351	2013-08-03 19:27:39.057787	2013-08-03 19:27:39.057787	130
15608	64545	13311	2013-08-03 19:27:39.062156	2013-08-03 19:27:39.062156	130
15609	64545	36663	2013-08-03 19:27:39.06697	2013-08-03 19:27:39.06697	130
15610	64545	3064	2013-08-03 19:27:39.072624	2013-08-03 19:27:39.072624	130
15611	64410	3751	2013-08-03 19:27:39.088044	2013-08-03 19:27:39.088044	130
15612	64410	2554	2013-08-03 19:27:39.093884	2013-08-03 19:27:39.093884	130
15613	64410	2520	2013-08-03 19:27:39.099971	2013-08-03 19:27:39.099971	130
15614	64410	2540	2013-08-03 19:27:39.105725	2013-08-03 19:27:39.105725	130
15615	64410	2560	2013-08-03 19:27:39.114262	2013-08-03 19:27:39.114262	130
15616	64410	2580	2013-08-03 19:27:39.124391	2013-08-03 19:27:39.124391	130
15617	64410	2600	2013-08-03 19:27:39.135517	2013-08-03 19:27:39.135517	130
15618	64410	2620	2013-08-03 19:27:39.147027	2013-08-03 19:27:39.147027	130
15619	64410	2640	2013-08-03 19:27:39.158623	2013-08-03 19:27:39.158623	130
15620	64288	2660	2013-08-03 19:27:39.183059	2013-08-03 19:27:39.183059	130
15621	64288	2623	2013-08-03 19:27:39.194428	2013-08-03 19:27:39.194428	130
15622	64288	2664	2013-08-03 19:27:39.206064	2013-08-03 19:27:39.206064	130
15623	64288	2610	2013-08-03 19:27:39.216817	2013-08-03 19:27:39.216817	130
15624	64288	2534	2013-08-03 19:27:39.221576	2013-08-03 19:27:39.221576	130
15625	64288	2624	2013-08-03 19:27:39.228048	2013-08-03 19:27:39.228048	130
15626	64288	2550	2013-08-03 19:27:39.232589	2013-08-03 19:27:39.232589	130
15627	64288	2661	2013-08-03 19:27:39.23659	2013-08-03 19:27:39.23659	130
15628	64288	10697	2013-08-03 19:27:39.239869	2013-08-03 19:27:39.239869	130
15629	64781	37075	2013-08-03 19:27:39.296955	2013-08-03 19:27:39.296955	130
15630	64666	37055	2013-08-03 19:27:39.307454	2013-08-03 19:27:39.307454	130
15631	64612	37035	2013-08-03 19:27:39.318201	2013-08-03 19:27:39.318201	130
15632	64567	37015	2013-08-03 19:27:39.3282	2013-08-03 19:27:39.3282	130
15633	64510	36995	2013-08-03 19:27:39.338819	2013-08-03 19:27:39.338819	130
15634	64394	18401	2013-08-03 19:27:39.34753	2013-08-03 19:27:39.34753	130
15635	64392	18201	2013-08-03 19:27:39.354118	2013-08-03 19:27:39.354118	130
15636	64383	7649	2013-08-03 19:27:39.360974	2013-08-03 19:27:39.360974	130
15637	64375	7189	2013-08-03 19:27:39.367869	2013-08-03 19:27:39.367869	130
15638	64365	36875	2013-08-03 19:27:39.3755	2013-08-03 19:27:39.3755	130
15639	64346	22717	2013-08-03 19:27:39.382247	2013-08-03 19:27:39.382247	130
15640	64324	2372	2013-08-03 19:27:39.3901	2013-08-03 19:27:39.3901	130
15641	64303	14512	2013-08-03 19:27:39.398892	2013-08-03 19:27:39.398892	130
15642	64507	29218	2013-08-03 19:27:39.426052	2013-08-03 19:27:39.426052	130
15643	64490	29198	2013-08-03 19:27:39.436747	2013-08-03 19:27:39.436747	130
15644	64415	29178	2013-08-03 19:27:39.448752	2013-08-03 19:27:39.448752	130
15645	64372	29158	2013-08-03 19:27:39.457147	2013-08-03 19:27:39.457147	130
15646	64344	29138	2013-08-03 19:27:39.465935	2013-08-03 19:27:39.465935	130
15647	64338	38443	2013-08-03 19:27:39.479082	2013-08-03 19:27:39.479082	130
15648	64290	14518	2013-08-03 19:27:39.500809	2013-08-03 19:27:39.500809	130
15649	64275	14492	2013-08-03 19:27:39.523603	2013-08-03 19:27:39.523603	130
15650	64268	14532	2013-08-03 19:27:39.547878	2013-08-03 19:27:39.547878	130
15651	64263	12371	2013-08-03 19:27:39.571705	2013-08-03 19:27:39.571705	130
15652	64259	1507	2013-08-03 19:27:39.593764	2013-08-03 19:27:39.593764	130
15653	64252	26137	2013-08-03 19:27:39.616655	2013-08-03 19:27:39.616655	130
15654	64242	35343	2013-08-03 19:27:39.639086	2013-08-03 19:27:39.639086	130
15655	64238	17597	2013-08-03 19:27:39.661285	2013-08-03 19:27:39.661285	130
15656	64214	11991	2013-08-03 19:27:39.680874	2013-08-03 19:27:39.680874	130
15657	64212	19343	2013-08-03 19:27:39.69387	2013-08-03 19:27:39.69387	130
15658	64820	29478	2013-08-03 19:27:39.745527	2013-08-03 19:27:39.745527	130
15659	64509	29458	2013-08-03 19:27:39.755743	2013-08-03 19:27:39.755743	130
15660	64440	29438	2013-08-03 19:27:39.77269	2013-08-03 19:27:39.77269	130
15661	64321	29418	2013-08-03 19:27:39.794812	2013-08-03 19:27:39.794812	130
15662	64313	29398	2013-08-03 19:27:39.819167	2013-08-03 19:27:39.819167	130
15663	64291	29378	2013-08-03 19:27:39.840171	2013-08-03 19:27:39.840171	130
15664	64261	29358	2013-08-03 19:27:39.852429	2013-08-03 19:27:39.852429	130
15665	64248	29338	2013-08-03 19:27:39.861275	2013-08-03 19:27:39.861275	130
15666	64216	29318	2013-08-03 19:27:39.876503	2013-08-03 19:27:39.876503	130
15667	64211	29298	2013-08-03 19:27:39.890915	2013-08-03 19:27:39.890915	130
15668	64419	4165	2013-08-03 19:27:39.92044	2013-08-03 19:27:39.92044	130
15669	64419	24857	2013-08-03 19:27:39.929435	2013-08-03 19:27:39.929435	130
15670	64419	24897	2013-08-03 19:27:39.939989	2013-08-03 19:27:39.939989	130
15671	64419	12818	2013-08-03 19:27:39.951133	2013-08-03 19:27:39.951133	130
15672	64322	4210	2013-08-03 19:27:39.973233	2013-08-03 19:27:39.973233	130
15673	64322	12431	2013-08-03 19:27:39.986918	2013-08-03 19:27:39.986918	130
15674	64322	38123	2013-08-03 19:27:39.998966	2013-08-03 19:27:39.998966	130
15675	64322	24497	2013-08-03 19:27:40.010028	2013-08-03 19:27:40.010028	130
15676	64295	2495	2013-08-03 19:27:40.019187	2013-08-03 19:27:40.019187	130
15677	64295	23817	2013-08-03 19:27:40.022808	2013-08-03 19:27:40.022808	130
15678	64295	23737	2013-08-03 19:27:40.02665	2013-08-03 19:27:40.02665	130
15679	64295	15468	2013-08-03 19:27:40.030292	2013-08-03 19:27:40.030292	130
15680	64253	8269	2013-08-03 19:27:40.038301	2013-08-03 19:27:40.038301	130
15681	64253	1527	2013-08-03 19:27:40.041759	2013-08-03 19:27:40.041759	130
15682	64253	3835	2013-08-03 19:27:40.045387	2013-08-03 19:27:40.045387	130
15683	64253	8289	2013-08-03 19:27:40.049059	2013-08-03 19:27:40.049059	130
15684	64508	30380	2013-08-03 19:27:40.075892	2013-08-03 19:27:40.075892	130
15685	64493	30360	2013-08-03 19:27:40.091217	2013-08-03 19:27:40.091217	130
15686	64420	30340	2013-08-03 19:27:40.101314	2013-08-03 19:27:40.101314	130
15687	64374	30320	2013-08-03 19:27:40.111449	2013-08-03 19:27:40.111449	130
15688	64342	30300	2013-08-03 19:27:40.181001	2013-08-03 19:27:40.181001	130
15689	64340	30280	2013-08-03 19:27:40.189037	2013-08-03 19:27:40.189037	130
15690	64304	30260	2013-08-03 19:27:40.197145	2013-08-03 19:27:40.197145	130
15691	64297	30240	2013-08-03 19:27:40.205653	2013-08-03 19:27:40.205653	130
15692	64277	30220	2013-08-03 19:27:40.214188	2013-08-03 19:27:40.214188	130
15693	64260	22412	2013-08-03 19:27:40.2226	2013-08-03 19:27:40.2226	130
15694	64247	11043	2013-08-03 19:27:40.230536	2013-08-03 19:27:40.230536	130
15695	64241	2140	2013-08-03 19:27:40.238574	2013-08-03 19:27:40.238574	130
15696	64228	14348	2013-08-03 19:27:40.248502	2013-08-03 19:27:40.248502	130
15697	64220	37843	2013-08-03 19:27:40.257433	2013-08-03 19:27:40.257433	130
15698	65837	42123	2013-08-03 19:32:37.268125	2013-08-03 19:32:37.268125	131
15699	65837	42103	2013-08-03 19:32:37.282696	2013-08-03 19:32:37.282696	131
15700	65837	42083	2013-08-03 19:32:37.293786	2013-08-03 19:32:37.293786	131
15701	65837	42063	2013-08-03 19:32:37.304762	2013-08-03 19:32:37.304762	131
15702	65837	42043	2013-08-03 19:32:37.316028	2013-08-03 19:32:37.316028	131
15703	65837	42023	2013-08-03 19:32:37.327891	2013-08-03 19:32:37.327891	131
15704	65837	42003	2013-08-03 19:32:37.340979	2013-08-03 19:32:37.340979	131
15705	65837	41983	2013-08-03 19:32:37.352354	2013-08-03 19:32:37.352354	131
15706	65837	41963	2013-08-03 19:32:37.363797	2013-08-03 19:32:37.363797	131
15707	65837	41943	2013-08-03 19:32:37.375505	2013-08-03 19:32:37.375505	131
15708	65837	41923	2013-08-03 19:32:37.387307	2013-08-03 19:32:37.387307	131
15709	65837	41903	2013-08-03 19:32:37.398924	2013-08-03 19:32:37.398924	131
15710	65837	41883	2013-08-03 19:32:37.413366	2013-08-03 19:32:37.413366	131
15711	65837	41863	2013-08-03 19:32:37.421127	2013-08-03 19:32:37.421127	131
15712	65837	41843	2013-08-03 19:32:37.426915	2013-08-03 19:32:37.426915	131
15713	65837	41823	2013-08-03 19:32:37.432049	2013-08-03 19:32:37.432049	131
15714	65837	41803	2013-08-03 19:32:37.437355	2013-08-03 19:32:37.437355	131
15715	65837	12672	2013-08-03 19:32:37.442284	2013-08-03 19:32:37.442284	131
15716	65837	2469	2013-08-03 19:32:37.44692	2013-08-03 19:32:37.44692	131
15717	65080	29365	2013-08-03 19:32:37.478398	2013-08-03 19:32:37.478398	131
15718	65036	29240	2013-08-03 19:32:37.488251	2013-08-03 19:32:37.488251	131
15719	65030	29345	2013-08-03 19:32:37.505503	2013-08-03 19:32:37.505503	131
15720	65000	29325	2013-08-03 19:32:37.514977	2013-08-03 19:32:37.514977	131
15721	64995	29305	2013-08-03 19:32:37.531725	2013-08-03 19:32:37.531725	131
15722	64982	29285	2013-08-03 19:32:37.55583	2013-08-03 19:32:37.55583	131
15723	64975	29265	2013-08-03 19:32:37.575836	2013-08-03 19:32:37.575836	131
15724	64925	26997	2013-08-03 19:32:37.584865	2013-08-03 19:32:37.584865	131
15725	64923	18501	2013-08-03 19:32:37.593313	2013-08-03 19:32:37.593313	131
15726	64919	1272	2013-08-03 19:32:37.60107	2013-08-03 19:32:37.60107	131
15727	64909	41723	2013-08-03 19:32:37.609276	2013-08-03 19:32:37.609276	131
15728	64891	2655	2013-08-03 19:32:37.616997	2013-08-03 19:32:37.616997	131
15729	64877	23937	2013-08-03 19:32:37.625569	2013-08-03 19:32:37.625569	131
15730	65073	12986	2013-08-03 19:32:37.663601	2013-08-03 19:32:37.663601	131
15731	65073	12966	2013-08-03 19:32:37.675875	2013-08-03 19:32:37.675875	131
15732	65073	12960	2013-08-03 19:32:37.688229	2013-08-03 19:32:37.688229	131
15733	65073	12946	2013-08-03 19:32:37.702555	2013-08-03 19:32:37.702555	131
15734	64933	12926	2013-08-03 19:32:37.726272	2013-08-03 19:32:37.726272	131
15735	64933	12906	2013-08-03 19:32:37.731984	2013-08-03 19:32:37.731984	131
15736	64933	12886	2013-08-03 19:32:37.736405	2013-08-03 19:32:37.736405	131
15737	64933	12866	2013-08-03 19:32:37.744397	2013-08-03 19:32:37.744397	131
15738	64930	12790	2013-08-03 19:32:37.756068	2013-08-03 19:32:37.756068	131
15739	64930	12846	2013-08-03 19:32:37.761004	2013-08-03 19:32:37.761004	131
15740	64930	12826	2013-08-03 19:32:37.765552	2013-08-03 19:32:37.765552	131
15741	64930	12806	2013-08-03 19:32:37.7698	2013-08-03 19:32:37.7698	131
15742	64878	12786	2013-08-03 19:32:37.789963	2013-08-03 19:32:37.789963	131
15743	64878	12766	2013-08-03 19:32:37.801446	2013-08-03 19:32:37.801446	131
15744	64878	12746	2013-08-03 19:32:37.812411	2013-08-03 19:32:37.812411	131
15745	64878	37903	2013-08-03 19:32:37.824064	2013-08-03 19:32:37.824064	131
15746	64938	35543	2013-08-03 19:32:37.864397	2013-08-03 19:32:37.864397	131
15747	64938	4859	2013-08-03 19:32:37.876134	2013-08-03 19:32:37.876134	131
15748	64938	18688	2013-08-03 19:32:37.887974	2013-08-03 19:32:37.887974	131
15749	64938	5019	2013-08-03 19:32:37.899413	2013-08-03 19:32:37.899413	131
15750	64938	4391	2013-08-03 19:32:37.908822	2013-08-03 19:32:37.908822	131
15751	64938	15868	2013-08-03 19:32:37.912339	2013-08-03 19:32:37.912339	131
15752	64938	1782	2013-08-03 19:32:37.917506	2013-08-03 19:32:37.917506	131
15753	64938	1872	2013-08-03 19:32:37.922007	2013-08-03 19:32:37.922007	131
15754	64938	7350	2013-08-03 19:32:37.925135	2013-08-03 19:32:37.925135	131
15755	64934	1754	2013-08-03 19:32:37.93114	2013-08-03 19:32:37.93114	131
15756	64934	1881	2013-08-03 19:32:37.935548	2013-08-03 19:32:37.935548	131
15757	64934	1852	2013-08-03 19:32:37.940053	2013-08-03 19:32:37.940053	131
15758	64934	1746	2013-08-03 19:32:37.944432	2013-08-03 19:32:37.944432	131
15759	64934	1768	2013-08-03 19:32:37.949225	2013-08-03 19:32:37.949225	131
15760	64934	7178	2013-08-03 19:32:37.954111	2013-08-03 19:32:37.954111	131
15761	64934	37943	2013-08-03 19:32:37.958182	2013-08-03 19:32:37.958182	131
15762	64934	35843	2013-08-03 19:32:37.962342	2013-08-03 19:32:37.962342	131
15763	64934	19343	2013-08-03 19:32:37.96628	2013-08-03 19:32:37.96628	131
15764	65074	20500	2013-08-03 19:32:38.007766	2013-08-03 19:32:38.007766	131
15765	65074	20103	2013-08-03 19:32:38.01959	2013-08-03 19:32:38.01959	131
15766	65074	18461	2013-08-03 19:32:38.031556	2013-08-03 19:32:38.031556	131
15767	65074	12632	2013-08-03 19:32:38.040614	2013-08-03 19:32:38.040614	131
15768	64943	12497	2013-08-03 19:32:38.048206	2013-08-03 19:32:38.048206	131
15769	64943	41663	2013-08-03 19:32:38.0537	2013-08-03 19:32:38.0537	131
15770	64943	38115	2013-08-03 19:32:38.057443	2013-08-03 19:32:38.057443	131
15771	64943	41503	2013-08-03 19:32:38.060318	2013-08-03 19:32:38.060318	131
15772	64937	7189	2013-08-03 19:32:38.068066	2013-08-03 19:32:38.068066	131
15773	64937	40723	2013-08-03 19:32:38.075826	2013-08-03 19:32:38.075826	131
15774	64937	2518	2013-08-03 19:32:38.085174	2013-08-03 19:32:38.085174	131
15775	64937	34923	2013-08-03 19:32:38.095282	2013-08-03 19:32:38.095282	131
15776	64873	2140	2013-08-03 19:32:38.118145	2013-08-03 19:32:38.118145	131
15777	64873	1869	2013-08-03 19:32:38.125837	2013-08-03 19:32:38.125837	131
15778	64873	14388	2013-08-03 19:32:38.129119	2013-08-03 19:32:38.129119	131
15779	64873	35343	2013-08-03 19:32:38.136571	2013-08-03 19:32:38.136571	131
15780	65076	21512	2013-08-03 19:32:38.162722	2013-08-03 19:32:38.162722	131
15781	65076	39243	2013-08-03 19:32:38.171968	2013-08-03 19:32:38.171968	131
15782	65076	26780	2013-08-03 19:32:38.175763	2013-08-03 19:32:38.175763	131
15783	65076	39063	2013-08-03 19:32:38.179436	2013-08-03 19:32:38.179436	131
15784	65076	1900	2013-08-03 19:32:38.18258	2013-08-03 19:32:38.18258	131
15785	65076	1982	2013-08-03 19:32:38.185774	2013-08-03 19:32:38.185774	131
15786	65051	1942	2013-08-03 19:32:38.192161	2013-08-03 19:32:38.192161	131
15787	65051	15488	2013-08-03 19:32:38.19573	2013-08-03 19:32:38.19573	131
15788	65051	37423	2013-08-03 19:32:38.201559	2013-08-03 19:32:38.201559	131
15789	65051	7350	2013-08-03 19:32:38.205751	2013-08-03 19:32:38.205751	131
15790	65051	1872	2013-08-03 19:32:38.212404	2013-08-03 19:32:38.212404	131
15791	65051	1782	2013-08-03 19:32:38.224954	2013-08-03 19:32:38.224954	131
15792	64945	15868	2013-08-03 19:32:38.246709	2013-08-03 19:32:38.246709	131
15793	64945	4391	2013-08-03 19:32:38.257486	2013-08-03 19:32:38.257486	131
15794	64945	5019	2013-08-03 19:32:38.268086	2013-08-03 19:32:38.268086	131
15795	64945	18688	2013-08-03 19:32:38.278346	2013-08-03 19:32:38.278346	131
15796	64945	4859	2013-08-03 19:32:38.288716	2013-08-03 19:32:38.288716	131
15797	64945	35543	2013-08-03 19:32:38.298712	2013-08-03 19:32:38.298712	131
15798	65548	1272	2013-08-03 19:32:38.362434	2013-08-03 19:32:38.362434	131
15799	65184	12257	2013-08-03 19:32:38.385097	2013-08-03 19:32:38.385097	131
15800	65081	41703	2013-08-03 19:32:38.407457	2013-08-03 19:32:38.407457	131
15801	65037	37515	2013-08-03 19:32:38.42978	2013-08-03 19:32:38.42978	131
15802	65033	4531	2013-08-03 19:32:38.452247	2013-08-03 19:32:38.452247	131
15803	64997	37655	2013-08-03 19:32:38.475157	2013-08-03 19:32:38.475157	131
15804	64981	37315	2013-08-03 19:32:38.490576	2013-08-03 19:32:38.490576	131
15805	64977	41423	2013-08-03 19:32:38.566153	2013-08-03 19:32:38.566153	131
15806	64928	2601	2013-08-03 19:32:38.587085	2013-08-03 19:32:38.587085	131
15807	64927	35635	2013-08-03 19:32:38.609307	2013-08-03 19:32:38.609307	131
15808	64921	2598	2013-08-03 19:32:38.631664	2013-08-03 19:32:38.631664	131
15809	64910	18243	2013-08-03 19:32:38.646271	2013-08-03 19:32:38.646271	131
15810	64884	23997	2013-08-03 19:32:38.662244	2013-08-03 19:32:38.662244	131
15811	64874	38443	2013-08-03 19:32:38.67851	2013-08-03 19:32:38.67851	131
15812	65643	23052	2013-08-03 19:32:38.722971	2013-08-03 19:32:38.722971	131
15813	65643	23032	2013-08-03 19:32:38.733977	2013-08-03 19:32:38.733977	131
15814	65643	23012	2013-08-03 19:32:38.741276	2013-08-03 19:32:38.741276	131
15815	65643	22992	2013-08-03 19:32:38.749751	2013-08-03 19:32:38.749751	131
15816	65643	22972	2013-08-03 19:32:38.755385	2013-08-03 19:32:38.755385	131
15817	65643	22952	2013-08-03 19:32:38.760034	2013-08-03 19:32:38.760034	131
15818	65643	22932	2013-08-03 19:32:38.765497	2013-08-03 19:32:38.765497	131
15819	65643	22820	2013-08-03 19:32:38.770966	2013-08-03 19:32:38.770966	131
15820	65643	22878	2013-08-03 19:32:38.777609	2013-08-03 19:32:38.777609	131
15821	64916	18480	2013-08-03 19:32:38.78955	2013-08-03 19:32:38.78955	131
15822	64916	22908	2013-08-03 19:32:38.79634	2013-08-03 19:32:38.79634	131
15823	64916	22912	2013-08-03 19:32:38.80253	2013-08-03 19:32:38.80253	131
15824	64916	22892	2013-08-03 19:32:38.812567	2013-08-03 19:32:38.812567	131
15825	64916	22872	2013-08-03 19:32:38.820802	2013-08-03 19:32:38.820802	131
15826	64916	22852	2013-08-03 19:32:38.825451	2013-08-03 19:32:38.825451	131
15827	64916	22832	2013-08-03 19:32:38.829975	2013-08-03 19:32:38.829975	131
15828	64916	22812	2013-08-03 19:32:38.834772	2013-08-03 19:32:38.834772	131
15829	64916	2598	2013-08-03 19:32:38.839887	2013-08-03 19:32:38.839887	131
15830	65069	3264	2013-08-03 19:32:38.860317	2013-08-03 19:32:38.860317	131
15831	65069	2821	2013-08-03 19:32:38.865367	2013-08-03 19:32:38.865367	131
15832	65069	2674	2013-08-03 19:32:38.870248	2013-08-03 19:32:38.870248	131
15833	65069	11058	2013-08-03 19:32:38.874267	2013-08-03 19:32:38.874267	131
15834	65069	2589	2013-08-03 19:32:38.878526	2013-08-03 19:32:38.878526	131
15835	65069	2609	2013-08-03 19:32:38.883431	2013-08-03 19:32:38.883431	131
15836	64955	2549	2013-08-03 19:32:38.892409	2013-08-03 19:32:38.892409	131
15837	64955	2529	2013-08-03 19:32:38.89742	2013-08-03 19:32:38.89742	131
15838	64955	2569	2013-08-03 19:32:38.901118	2013-08-03 19:32:38.901118	131
15839	64955	2544	2013-08-03 19:32:38.90439	2013-08-03 19:32:38.90439	131
15840	64955	2590	2013-08-03 19:32:38.908945	2013-08-03 19:32:38.908945	131
15841	64955	2525	2013-08-03 19:32:38.914063	2013-08-03 19:32:38.914063	131
15842	64950	2598	2013-08-03 19:32:38.921842	2013-08-03 19:32:38.921842	131
15843	64950	2654	2013-08-03 19:32:38.925316	2013-08-03 19:32:38.925316	131
15844	64950	2588	2013-08-03 19:32:38.92947	2013-08-03 19:32:38.92947	131
15845	64950	2435	2013-08-03 19:32:38.934297	2013-08-03 19:32:38.934297	131
15846	64950	18243	2013-08-03 19:32:38.938861	2013-08-03 19:32:38.938861	131
15847	64950	14452	2013-08-03 19:32:38.942572	2013-08-03 19:32:38.942572	131
15848	65079	38295	2013-08-03 19:32:38.970404	2013-08-03 19:32:38.970404	131
15849	65034	38275	2013-08-03 19:32:38.978548	2013-08-03 19:32:38.978548	131
15850	65029	38255	2013-08-03 19:32:38.986715	2013-08-03 19:32:38.986715	131
15851	65002	18541	2013-08-03 19:32:38.994277	2013-08-03 19:32:38.994277	131
15852	64992	4199	2013-08-03 19:32:39.001625	2013-08-03 19:32:39.001625	131
15853	64979	10868	2013-08-03 19:32:39.010607	2013-08-03 19:32:39.010607	131
15854	64974	29138	2013-08-03 19:32:39.020654	2013-08-03 19:32:39.020654	131
15855	64922	2641	2013-08-03 19:32:39.029503	2013-08-03 19:32:39.029503	131
15856	64918	2638	2013-08-03 19:32:39.037766	2013-08-03 19:32:39.037766	131
15857	64917	35315	2013-08-03 19:32:39.045282	2013-08-03 19:32:39.045282	131
15858	64908	34543	2013-08-03 19:32:39.053867	2013-08-03 19:32:39.053867	131
15859	64894	6659	2013-08-03 19:32:39.070687	2013-08-03 19:32:39.070687	131
15860	65420	15468	2013-08-03 19:32:39.132212	2013-08-03 19:32:39.132212	131
15861	65083	38883	2013-08-03 19:32:39.154733	2013-08-03 19:32:39.154733	131
15862	65070	24037	2013-08-03 19:32:39.17674	2013-08-03 19:32:39.17674	131
15863	65032	38823	2013-08-03 19:32:39.19439	2013-08-03 19:32:39.19439	131
15864	65009	14512	2013-08-03 19:32:39.202537	2013-08-03 19:32:39.202537	131
15865	64984	1527	2013-08-03 19:32:39.210812	2013-08-03 19:32:39.210812	131
15866	64980	14492	2013-08-03 19:32:39.21907	2013-08-03 19:32:39.21907	131
15867	64959	14532	2013-08-03 19:32:39.233037	2013-08-03 19:32:39.233037	131
15868	64954	12371	2013-08-03 19:32:39.256936	2013-08-03 19:32:39.256936	131
15869	64939	29515	2013-08-03 19:32:39.274249	2013-08-03 19:32:39.274249	131
15870	64912	26137	2013-08-03 19:32:39.296289	2013-08-03 19:32:39.296289	131
15871	64902	36663	2013-08-03 19:32:39.312195	2013-08-03 19:32:39.312195	131
15872	64887	3064	2013-08-03 19:32:39.320652	2013-08-03 19:32:39.320652	131
15873	65232	30098	2013-08-03 19:32:39.340568	2013-08-03 19:32:39.340568	131
15874	65232	30078	2013-08-03 19:32:39.345496	2013-08-03 19:32:39.345496	131
15875	65035	30058	2013-08-03 19:32:39.354552	2013-08-03 19:32:39.354552	131
15876	65035	30038	2013-08-03 19:32:39.358703	2013-08-03 19:32:39.358703	131
15877	64972	30018	2013-08-03 19:32:39.372213	2013-08-03 19:32:39.372213	131
15878	64972	29998	2013-08-03 19:32:39.377501	2013-08-03 19:32:39.377501	131
15879	64960	29978	2013-08-03 19:32:39.396941	2013-08-03 19:32:39.396941	131
15880	64960	29958	2013-08-03 19:32:39.405904	2013-08-03 19:32:39.405904	131
15881	64936	29938	2013-08-03 19:32:39.42593	2013-08-03 19:32:39.42593	131
15882	64936	29918	2013-08-03 19:32:39.436959	2013-08-03 19:32:39.436959	131
15883	64932	29898	2013-08-03 19:32:39.459848	2013-08-03 19:32:39.459848	131
15884	64932	29878	2013-08-03 19:32:39.471634	2013-08-03 19:32:39.471634	131
15885	64907	29858	2013-08-03 19:32:39.49432	2013-08-03 19:32:39.49432	131
15886	64907	29838	2013-08-03 19:32:39.504597	2013-08-03 19:32:39.504597	131
15887	64905	29818	2013-08-03 19:32:39.511929	2013-08-03 19:32:39.511929	131
15888	64905	29798	2013-08-03 19:32:39.515675	2013-08-03 19:32:39.515675	131
15889	64875	29778	2013-08-03 19:32:39.523059	2013-08-03 19:32:39.523059	131
15890	64875	29758	2013-08-03 19:32:39.527012	2013-08-03 19:32:39.527012	131
15891	65071	4656	2013-08-03 19:32:39.553582	2013-08-03 19:32:39.553582	131
15892	65071	12298	2013-08-03 19:32:39.559606	2013-08-03 19:32:39.559606	131
15893	65071	4596	2013-08-03 19:32:39.564003	2013-08-03 19:32:39.564003	131
15894	65071	4709	2013-08-03 19:32:39.568186	2013-08-03 19:32:39.568186	131
15895	64965	3731	2013-08-03 19:32:39.577967	2013-08-03 19:32:39.577967	131
15896	64965	4346	2013-08-03 19:32:39.646601	2013-08-03 19:32:39.646601	131
15897	64965	37223	2013-08-03 19:32:39.652729	2013-08-03 19:32:39.652729	131
15898	64965	23957	2013-08-03 19:32:39.656797	2013-08-03 19:32:39.656797	131
15899	64957	2169	2013-08-03 19:32:39.671219	2013-08-03 19:32:39.671219	131
15900	64957	11043	2013-08-03 19:32:39.678468	2013-08-03 19:32:39.678468	131
15901	64957	1909	2013-08-03 19:32:39.688638	2013-08-03 19:32:39.688638	131
15902	64957	28560	2013-08-03 19:32:39.696888	2013-08-03 19:32:39.696888	131
15903	64876	38863	2013-08-03 19:32:39.704088	2013-08-03 19:32:39.704088	131
15904	64876	8269	2013-08-03 19:32:39.707335	2013-08-03 19:32:39.707335	131
15905	64876	13671	2013-08-03 19:32:39.710369	2013-08-03 19:32:39.710369	131
15906	64876	8289	2013-08-03 19:32:39.713671	2013-08-03 19:32:39.713671	131
15907	65185	30800	2013-08-03 19:32:39.777627	2013-08-03 19:32:39.777627	131
15908	65084	30780	2013-08-03 19:32:39.787489	2013-08-03 19:32:39.787489	131
15909	65078	30760	2013-08-03 19:32:39.800271	2013-08-03 19:32:39.800271	131
15910	65031	30740	2013-08-03 19:32:39.823536	2013-08-03 19:32:39.823536	131
15911	64996	30720	2013-08-03 19:32:39.846995	2013-08-03 19:32:39.846995	131
15912	64990	30078	2013-08-03 19:32:39.869597	2013-08-03 19:32:39.869597	131
15913	64969	30098	2013-08-03 19:32:39.892473	2013-08-03 19:32:39.892473	131
15914	64958	1272	2013-08-03 19:32:39.915	2013-08-03 19:32:39.915	131
15915	64942	2135	2013-08-03 19:32:39.938443	2013-08-03 19:32:39.938443	131
15916	64913	11031	2013-08-03 19:32:39.961568	2013-08-03 19:32:39.961568	131
15917	64904	38843	2013-08-03 19:32:39.985235	2013-08-03 19:32:39.985235	131
15918	64881	8272	2013-08-03 19:32:40.009043	2013-08-03 19:32:40.009043	131
15919	66763	42763	2013-08-03 19:37:42.945838	2013-08-03 19:37:42.945838	132
15920	66729	42743	2013-08-03 19:37:42.973475	2013-08-03 19:37:42.973475	132
15921	66635	42723	2013-08-03 19:37:42.997277	2013-08-03 19:37:42.997277	132
15922	66609	42703	2013-08-03 19:37:43.02101	2013-08-03 19:37:43.02101	132
15923	66607	42683	2013-08-03 19:37:43.042854	2013-08-03 19:37:43.042854	132
15924	66596	42663	2013-08-03 19:37:43.066118	2013-08-03 19:37:43.066118	132
15925	66508	42643	2013-08-03 19:37:43.09045	2013-08-03 19:37:43.09045	132
15926	66430	42623	2013-08-03 19:37:43.113384	2013-08-03 19:37:43.113384	132
15927	66365	31000	2013-08-03 19:37:43.137057	2013-08-03 19:37:43.137057	132
15928	66364	27418	2013-08-03 19:37:43.157783	2013-08-03 19:37:43.157783	132
15929	66359	2680	2013-08-03 19:37:43.18042	2013-08-03 19:37:43.18042	132
15930	66358	25545	2013-08-03 19:37:43.202651	2013-08-03 19:37:43.202651	132
15931	67047	11611	2013-08-03 19:37:43.252869	2013-08-03 19:37:43.252869	132
15932	66780	11631	2013-08-03 19:37:43.26593	2013-08-03 19:37:43.26593	132
15933	66765	11651	2013-08-03 19:37:43.273939	2013-08-03 19:37:43.273939	132
15934	66639	6355	2013-08-03 19:37:43.282919	2013-08-03 19:37:43.282919	132
15935	66622	12171	2013-08-03 19:37:43.290743	2013-08-03 19:37:43.290743	132
15936	66443	20448	2013-08-03 19:37:43.305859	2013-08-03 19:37:43.305859	132
15937	66378	3711	2013-08-03 19:37:43.328613	2013-08-03 19:37:43.328613	132
15938	66357	3692	2013-08-03 19:37:43.346892	2013-08-03 19:37:43.346892	132
15939	66338	2469	2013-08-03 19:37:43.359598	2013-08-03 19:37:43.359598	132
15940	66324	2455	2013-08-03 19:37:43.368693	2013-08-03 19:37:43.368693	132
15941	66189	2369	2013-08-03 19:37:43.381013	2013-08-03 19:37:43.381013	132
15942	66186	2453	2013-08-03 19:37:43.389783	2013-08-03 19:37:43.389783	132
15943	66175	2480	2013-08-03 19:37:43.400909	2013-08-03 19:37:43.400909	132
15944	66166	2393	2013-08-03 19:37:43.415492	2013-08-03 19:37:43.415492	132
15945	66161	2373	2013-08-03 19:37:43.427544	2013-08-03 19:37:43.427544	132
15946	66160	25525	2013-08-03 19:37:43.437222	2013-08-03 19:37:43.437222	132
15947	66766	29865	2013-08-03 19:37:43.466171	2013-08-03 19:37:43.466171	132
15948	66626	29845	2013-08-03 19:37:43.475434	2013-08-03 19:37:43.475434	132
15949	66339	29825	2013-08-03 19:37:43.483261	2013-08-03 19:37:43.483261	132
15950	66325	29805	2013-08-03 19:37:43.492022	2013-08-03 19:37:43.492022	132
15951	66192	29785	2013-08-03 19:37:43.50301	2013-08-03 19:37:43.50301	132
15952	66167	29765	2013-08-03 19:37:43.51676	2013-08-03 19:37:43.51676	132
15953	66115	29745	2013-08-03 19:37:43.539274	2013-08-03 19:37:43.539274	132
15954	66031	27397	2013-08-03 19:37:43.565006	2013-08-03 19:37:43.565006	132
15955	66001	18641	2013-08-03 19:37:43.584398	2013-08-03 19:37:43.584398	132
15956	65997	13126	2013-08-03 19:37:43.611365	2013-08-03 19:37:43.611365	132
15957	65976	42663	2013-08-03 19:37:43.62616	2013-08-03 19:37:43.62616	132
15958	65929	42543	2013-08-03 19:37:43.639951	2013-08-03 19:37:43.639951	132
15959	65913	2720	2013-08-03 19:37:43.655615	2013-08-03 19:37:43.655615	132
15960	65886	3692	2013-08-03 19:37:43.676758	2013-08-03 19:37:43.676758	132
15961	65875	13411	2013-08-03 19:37:43.696151	2013-08-03 19:37:43.696151	132
15962	66685	13286	2013-08-03 19:37:43.737968	2013-08-03 19:37:43.737968	132
15963	66685	13266	2013-08-03 19:37:43.748486	2013-08-03 19:37:43.748486	132
15964	66685	13246	2013-08-03 19:37:43.758302	2013-08-03 19:37:43.758302	132
15965	66632	13252	2013-08-03 19:37:43.780239	2013-08-03 19:37:43.780239	132
15966	66632	13226	2013-08-03 19:37:43.791489	2013-08-03 19:37:43.791489	132
15967	66632	8751	2013-08-03 19:37:43.797394	2013-08-03 19:37:43.797394	132
15968	66341	13206	2013-08-03 19:37:43.814644	2013-08-03 19:37:43.814644	132
15969	66341	13095	2013-08-03 19:37:43.825096	2013-08-03 19:37:43.825096	132
15970	66341	13193	2013-08-03 19:37:43.835677	2013-08-03 19:37:43.835677	132
15971	65937	13195	2013-08-03 19:37:43.850938	2013-08-03 19:37:43.850938	132
15972	65937	13063	2013-08-03 19:37:43.85532	2013-08-03 19:37:43.85532	132
15973	65937	13143	2013-08-03 19:37:43.85912	2013-08-03 19:37:43.85912	132
15974	65890	13126	2013-08-03 19:37:43.865568	2013-08-03 19:37:43.865568	132
15975	65890	42523	2013-08-03 19:37:43.868423	2013-08-03 19:37:43.868423	132
15976	65890	2740	2013-08-03 19:37:43.871619	2013-08-03 19:37:43.871619	132
15977	65876	2373	2013-08-03 19:37:43.87888	2013-08-03 19:37:43.87888	132
15978	65876	25545	2013-08-03 19:37:43.882231	2013-08-03 19:37:43.882231	132
15979	65876	35223	2013-08-03 19:37:43.885725	2013-08-03 19:37:43.885725	132
15980	66790	20172	2013-08-03 19:37:43.958879	2013-08-03 19:37:43.958879	132
15981	66790	7158	2013-08-03 19:37:43.962874	2013-08-03 19:37:43.962874	132
15982	66790	7138	2013-08-03 19:37:43.966377	2013-08-03 19:37:43.966377	132
15983	66790	8551	2013-08-03 19:37:43.96984	2013-08-03 19:37:43.96984	132
15984	66637	18588	2013-08-03 19:37:43.977064	2013-08-03 19:37:43.977064	132
15985	66637	5039	2013-08-03 19:37:43.980294	2013-08-03 19:37:43.980294	132
15986	66637	38243	2013-08-03 19:37:43.98306	2013-08-03 19:37:43.98306	132
15987	66637	19668	2013-08-03 19:37:43.985835	2013-08-03 19:37:43.985835	132
15988	66342	5599	2013-08-03 19:37:43.996483	2013-08-03 19:37:43.996483	132
15989	66342	33435	2013-08-03 19:37:44.004048	2013-08-03 19:37:44.004048	132
15990	66342	7663	2013-08-03 19:37:44.009962	2013-08-03 19:37:44.009962	132
15991	66342	5199	2013-08-03 19:37:44.016361	2013-08-03 19:37:44.016361	132
15992	65940	9100	2013-08-03 19:37:44.025158	2013-08-03 19:37:44.025158	132
15993	65940	10352	2013-08-03 19:37:44.030616	2013-08-03 19:37:44.030616	132
15994	65940	25525	2013-08-03 19:37:44.037245	2013-08-03 19:37:44.037245	132
15995	65940	36863	2013-08-03 19:37:44.043056	2013-08-03 19:37:44.043056	132
15996	66687	39375	2013-08-03 19:37:44.083962	2013-08-03 19:37:44.083962	132
15997	66687	42303	2013-08-03 19:37:44.089991	2013-08-03 19:37:44.089991	132
15998	66687	29838	2013-08-03 19:37:44.098289	2013-08-03 19:37:44.098289	132
15999	66645	29858	2013-08-03 19:37:44.114429	2013-08-03 19:37:44.114429	132
16000	66645	2614	2013-08-03 19:37:44.120719	2013-08-03 19:37:44.120719	132
16001	66645	41423	2013-08-03 19:37:44.128283	2013-08-03 19:37:44.128283	132
16002	65960	29138	2013-08-03 19:37:44.143137	2013-08-03 19:37:44.143137	132
16003	65960	2720	2013-08-03 19:37:44.153533	2013-08-03 19:37:44.153533	132
16004	65960	2761	2013-08-03 19:37:44.162971	2013-08-03 19:37:44.162971	132
16005	65943	2480	2013-08-03 19:37:44.181171	2013-08-03 19:37:44.181171	132
16006	65943	16808	2013-08-03 19:37:44.186718	2013-08-03 19:37:44.186718	132
16007	65943	1527	2013-08-03 19:37:44.190347	2013-08-03 19:37:44.190347	132
16008	65888	5019	2013-08-03 19:37:44.203086	2013-08-03 19:37:44.203086	132
16009	65888	20397	2013-08-03 19:37:44.206669	2013-08-03 19:37:44.206669	132
16010	65888	36783	2013-08-03 19:37:44.210392	2013-08-03 19:37:44.210392	132
16011	66689	23737	2013-08-03 19:37:44.253669	2013-08-03 19:37:44.253669	132
16012	66689	23817	2013-08-03 19:37:44.262681	2013-08-03 19:37:44.262681	132
16013	66689	23717	2013-08-03 19:37:44.271042	2013-08-03 19:37:44.271042	132
16014	66649	2079	2013-08-03 19:37:44.284791	2013-08-03 19:37:44.284791	132
16015	66649	2104	2013-08-03 19:37:44.294623	2013-08-03 19:37:44.294623	132
16016	66649	2179	2013-08-03 19:37:44.302761	2013-08-03 19:37:44.302761	132
16017	66343	2798	2013-08-03 19:37:44.320381	2013-08-03 19:37:44.320381	132
16018	66343	38383	2013-08-03 19:37:44.328502	2013-08-03 19:37:44.328502	132
16019	66343	1527	2013-08-03 19:37:44.336608	2013-08-03 19:37:44.336608	132
16020	65963	14532	2013-08-03 19:37:44.3541	2013-08-03 19:37:44.3541	132
16021	65963	35843	2013-08-03 19:37:44.363832	2013-08-03 19:37:44.363832	132
16022	65963	4899	2013-08-03 19:37:44.370316	2013-08-03 19:37:44.370316	132
16023	65891	36863	2013-08-03 19:37:44.38074	2013-08-03 19:37:44.38074	132
16024	65891	25525	2013-08-03 19:37:44.385025	2013-08-03 19:37:44.385025	132
16025	65891	5606	2013-08-03 19:37:44.389221	2013-08-03 19:37:44.389221	132
16026	66879	18561	2013-08-03 19:37:44.416009	2013-08-03 19:37:44.416009	132
16027	66767	13017	2013-08-03 19:37:44.428249	2013-08-03 19:37:44.428249	132
16028	66629	12257	2013-08-03 19:37:44.436279	2013-08-03 19:37:44.436279	132
16029	66340	39095	2013-08-03 19:37:44.455349	2013-08-03 19:37:44.455349	132
16030	66193	42223	2013-08-03 19:37:44.475871	2013-08-03 19:37:44.475871	132
16031	66168	2694	2013-08-03 19:37:44.487734	2013-08-03 19:37:44.487734	132
16032	66114	2393	2013-08-03 19:37:44.495645	2013-08-03 19:37:44.495645	132
16033	66002	22637	2013-08-03 19:37:44.50593	2013-08-03 19:37:44.50593	132
16034	65992	2135	2013-08-03 19:37:44.515171	2013-08-03 19:37:44.515171	132
16035	65981	35315	2013-08-03 19:37:44.524585	2013-08-03 19:37:44.524585	132
16036	65977	12371	2013-08-03 19:37:44.53457	2013-08-03 19:37:44.53457	132
16037	65962	37943	2013-08-03 19:37:44.542349	2013-08-03 19:37:44.542349	132
16038	65932	4351	2013-08-03 19:37:44.551951	2013-08-03 19:37:44.551951	132
16039	65915	29515	2013-08-03 19:37:44.568418	2013-08-03 19:37:44.568418	132
16040	65889	7769	2013-08-03 19:37:44.582787	2013-08-03 19:37:44.582787	132
16041	66459	23432	2013-08-03 19:37:44.609373	2013-08-03 19:37:44.609373	132
16042	66459	23412	2013-08-03 19:37:44.619135	2013-08-03 19:37:44.619135	132
16043	66459	6631	2013-08-03 19:37:44.627127	2013-08-03 19:37:44.627127	132
16044	66459	23392	2013-08-03 19:37:44.637136	2013-08-03 19:37:44.637136	132
16045	66459	23372	2013-08-03 19:37:44.64513	2013-08-03 19:37:44.64513	132
16046	66459	23352	2013-08-03 19:37:44.651699	2013-08-03 19:37:44.651699	132
16047	66459	23332	2013-08-03 19:37:44.656566	2013-08-03 19:37:44.656566	132
16048	66459	23312	2013-08-03 19:37:44.664507	2013-08-03 19:37:44.664507	132
16049	66459	23292	2013-08-03 19:37:44.671849	2013-08-03 19:37:44.671849	132
16050	66136	23272	2013-08-03 19:37:44.684997	2013-08-03 19:37:44.684997	132
16051	66136	23252	2013-08-03 19:37:44.692279	2013-08-03 19:37:44.692279	132
16052	66136	23232	2013-08-03 19:37:44.698844	2013-08-03 19:37:44.698844	132
16053	66136	23212	2013-08-03 19:37:44.70544	2013-08-03 19:37:44.70544	132
16054	66136	23192	2013-08-03 19:37:44.71234	2013-08-03 19:37:44.71234	132
16055	66136	23172	2013-08-03 19:37:44.717522	2013-08-03 19:37:44.717522	132
16056	66136	23152	2013-08-03 19:37:44.72133	2013-08-03 19:37:44.72133	132
16057	66136	23132	2013-08-03 19:37:44.725611	2013-08-03 19:37:44.725611	132
16058	66136	2694	2013-08-03 19:37:44.729055	2013-08-03 19:37:44.729055	132
16059	66653	2697	2013-08-03 19:37:44.747168	2013-08-03 19:37:44.747168	132
16060	66653	2750	2013-08-03 19:37:44.752315	2013-08-03 19:37:44.752315	132
16061	66653	2822	2013-08-03 19:37:44.756462	2013-08-03 19:37:44.756462	132
16062	66509	2814	2013-08-03 19:37:44.772472	2013-08-03 19:37:44.772472	132
16063	66509	2794	2013-08-03 19:37:44.783949	2013-08-03 19:37:44.783949	132
16064	66509	2774	2013-08-03 19:37:44.793953	2013-08-03 19:37:44.793953	132
16065	66345	2760	2013-08-03 19:37:44.811374	2013-08-03 19:37:44.811374	132
16066	66345	2780	2013-08-03 19:37:44.81652	2013-08-03 19:37:44.81652	132
16067	66345	2800	2013-08-03 19:37:44.820779	2013-08-03 19:37:44.820779	132
16068	65948	2820	2013-08-03 19:37:44.83748	2013-08-03 19:37:44.83748	132
16069	65948	2754	2013-08-03 19:37:44.844745	2013-08-03 19:37:44.844745	132
16070	65948	2679	2013-08-03 19:37:44.850354	2013-08-03 19:37:44.850354	132
16071	65887	2455	2013-08-03 19:37:44.859693	2013-08-03 19:37:44.859693	132
16072	65887	35315	2013-08-03 19:37:44.862464	2013-08-03 19:37:44.862464	132
16073	65887	16877	2013-08-03 19:37:44.865008	2013-08-03 19:37:44.865008	132
16074	66788	39595	2013-08-03 19:37:44.895186	2013-08-03 19:37:44.895186	132
16075	66764	39575	2013-08-03 19:37:44.914964	2013-08-03 19:37:44.914964	132
16076	66619	39555	2013-08-03 19:37:44.93151	2013-08-03 19:37:44.93151	132
16077	66337	39535	2013-08-03 19:37:44.949452	2013-08-03 19:37:44.949452	132
16078	66326	29400	2013-08-03 19:37:44.958266	2013-08-03 19:37:44.958266	132
16079	66191	27197	2013-08-03 19:37:45.022973	2013-08-03 19:37:45.022973	132
16080	66165	4859	2013-08-03 19:37:45.031035	2013-08-03 19:37:45.031035	132
16081	66116	42363	2013-08-03 19:37:45.039105	2013-08-03 19:37:45.039105	132
16082	66004	42423	2013-08-03 19:37:45.046719	2013-08-03 19:37:45.046719	132
16083	65996	42343	2013-08-03 19:37:45.054208	2013-08-03 19:37:45.054208	132
16084	65975	11611	2013-08-03 19:37:45.062448	2013-08-03 19:37:45.062448	132
16085	65920	1962	2013-08-03 19:37:45.070538	2013-08-03 19:37:45.070538	132
16086	65910	38883	2013-08-03 19:37:45.078384	2013-08-03 19:37:45.078384	132
16087	65880	36403	2013-08-03 19:37:45.086158	2013-08-03 19:37:45.086158	132
16088	66822	27737	2013-08-03 19:37:45.10698	2013-08-03 19:37:45.10698	132
16089	66822	27717	2013-08-03 19:37:45.111359	2013-08-03 19:37:45.111359	132
16090	66822	27697	2013-08-03 19:37:45.117355	2013-08-03 19:37:45.117355	132
16091	66807	27677	2013-08-03 19:37:45.126427	2013-08-03 19:37:45.126427	132
16092	66807	27657	2013-08-03 19:37:45.130986	2013-08-03 19:37:45.130986	132
16093	66807	27637	2013-08-03 19:37:45.134851	2013-08-03 19:37:45.134851	132
16094	66786	27595	2013-08-03 19:37:45.142266	2013-08-03 19:37:45.142266	132
16095	66786	27617	2013-08-03 19:37:45.146676	2013-08-03 19:37:45.146676	132
16096	66786	27597	2013-08-03 19:37:45.151837	2013-08-03 19:37:45.151837	132
16097	66783	27577	2013-08-03 19:37:45.161165	2013-08-03 19:37:45.161165	132
16098	66783	27557	2013-08-03 19:37:45.166052	2013-08-03 19:37:45.166052	132
16099	66783	27537	2013-08-03 19:37:45.170892	2013-08-03 19:37:45.170892	132
16100	66779	27517	2013-08-03 19:37:45.178738	2013-08-03 19:37:45.178738	132
16101	66779	27497	2013-08-03 19:37:45.183024	2013-08-03 19:37:45.183024	132
16102	66779	27477	2013-08-03 19:37:45.187438	2013-08-03 19:37:45.187438	132
16103	66768	34543	2013-08-03 19:37:45.196539	2013-08-03 19:37:45.196539	132
16104	66768	8431	2013-08-03 19:37:45.200112	2013-08-03 19:37:45.200112	132
16105	66768	35243	2013-08-03 19:37:45.203726	2013-08-03 19:37:45.203726	132
16106	66787	14492	2013-08-03 19:37:45.231937	2013-08-03 19:37:45.231937	132
16107	66655	9131	2013-08-03 19:37:45.239969	2013-08-03 19:37:45.239969	132
16108	66346	26137	2013-08-03 19:37:45.249133	2013-08-03 19:37:45.249133	132
16109	66195	1852	2013-08-03 19:37:45.262078	2013-08-03 19:37:45.262078	132
16110	66182	4092	2013-08-03 19:37:45.279509	2013-08-03 19:37:45.279509	132
16111	66118	27145	2013-08-03 19:37:45.297053	2013-08-03 19:37:45.297053	132
16112	66003	9079	2013-08-03 19:37:45.311282	2013-08-03 19:37:45.311282	132
16113	65991	9059	2013-08-03 19:37:45.323327	2013-08-03 19:37:45.323327	132
16114	65988	23577	2013-08-03 19:37:45.339324	2013-08-03 19:37:45.339324	132
16115	65983	1768	2013-08-03 19:37:45.352548	2013-08-03 19:37:45.352548	132
16116	65950	3939	2013-08-03 19:37:45.387491	2013-08-03 19:37:45.387491	132
16117	65926	38223	2013-08-03 19:37:45.410328	2013-08-03 19:37:45.410328	132
16118	65905	19343	2013-08-03 19:37:45.418323	2013-08-03 19:37:45.418323	132
16119	65896	36583	2013-08-03 19:37:45.425934	2013-08-03 19:37:45.425934	132
16120	65893	3064	2013-08-03 19:37:45.434132	2013-08-03 19:37:45.434132	132
16121	66749	30458	2013-08-03 19:37:45.461855	2013-08-03 19:37:45.461855	132
16122	66394	30438	2013-08-03 19:37:45.469915	2013-08-03 19:37:45.469915	132
16123	66127	30418	2013-08-03 19:37:45.478067	2013-08-03 19:37:45.478067	132
16124	66121	30398	2013-08-03 19:37:45.48855	2013-08-03 19:37:45.48855	132
16125	66037	30378	2013-08-03 19:37:45.500167	2013-08-03 19:37:45.500167	132
16126	65964	30358	2013-08-03 19:37:45.513152	2013-08-03 19:37:45.513152	132
16127	65951	30338	2013-08-03 19:37:45.523467	2013-08-03 19:37:45.523467	132
16128	65906	30318	2013-08-03 19:37:45.531839	2013-08-03 19:37:45.531839	132
16129	65894	30298	2013-08-03 19:37:45.540953	2013-08-03 19:37:45.540953	132
16130	65884	30278	2013-08-03 19:37:45.55043	2013-08-03 19:37:45.55043	132
16131	65882	30258	2013-08-03 19:37:45.56015	2013-08-03 19:37:45.56015	132
16132	65881	30238	2013-08-03 19:37:45.570219	2013-08-03 19:37:45.570219	132
16133	65877	30218	2013-08-03 19:37:45.586133	2013-08-03 19:37:45.586133	132
16134	66658	16943	2013-08-03 19:37:45.606915	2013-08-03 19:37:45.606915	132
16135	66658	4845	2013-08-03 19:37:45.61214	2013-08-03 19:37:45.61214	132
16136	66658	4765	2013-08-03 19:37:45.61782	2013-08-03 19:37:45.61782	132
16137	66347	4830	2013-08-03 19:37:45.627614	2013-08-03 19:37:45.627614	132
16138	66347	11651	2013-08-03 19:37:45.632928	2013-08-03 19:37:45.632928	132
16139	66347	6766	2013-08-03 19:37:45.638042	2013-08-03 19:37:45.638042	132
16140	65954	6298	2013-08-03 19:37:45.647698	2013-08-03 19:37:45.647698	132
16141	65954	2420	2013-08-03 19:37:45.652566	2013-08-03 19:37:45.652566	132
16142	65954	19688	2013-08-03 19:37:45.657698	2013-08-03 19:37:45.657698	132
16143	65907	15468	2013-08-03 19:37:45.665293	2013-08-03 19:37:45.665293	132
16144	65907	14492	2013-08-03 19:37:45.669441	2013-08-03 19:37:45.669441	132
16145	65907	14512	2013-08-03 19:37:45.67327	2013-08-03 19:37:45.67327	132
16146	65904	1507	2013-08-03 19:37:45.692039	2013-08-03 19:37:45.692039	132
16147	65904	1754	2013-08-03 19:37:45.702846	2013-08-03 19:37:45.702846	132
16148	65904	7178	2013-08-03 19:37:45.71281	2013-08-03 19:37:45.71281	132
16149	65902	1881	2013-08-03 19:37:45.734219	2013-08-03 19:37:45.734219	132
16150	65902	8619	2013-08-03 19:37:45.742973	2013-08-03 19:37:45.742973	132
16151	65902	16101	2013-08-03 19:37:45.752642	2013-08-03 19:37:45.752642	132
16152	66961	31260	2013-08-03 19:37:45.804519	2013-08-03 19:37:45.804519	132
16153	66791	31240	2013-08-03 19:37:45.815226	2013-08-03 19:37:45.815226	132
16154	66660	31220	2013-08-03 19:37:45.83564	2013-08-03 19:37:45.83564	132
16155	66348	31200	2013-08-03 19:37:45.851457	2013-08-03 19:37:45.851457	132
16156	66196	31180	2013-08-03 19:37:45.871495	2013-08-03 19:37:45.871495	132
16157	66183	31160	2013-08-03 19:37:45.888819	2013-08-03 19:37:45.888819	132
16158	66052	31140	2013-08-03 19:37:45.908518	2013-08-03 19:37:45.908518	132
16159	65994	31120	2013-08-03 19:37:45.924843	2013-08-03 19:37:45.924843	132
16160	65990	31100	2013-08-03 19:37:46.001095	2013-08-03 19:37:46.001095	132
16161	65982	31080	2013-08-03 19:37:46.01335	2013-08-03 19:37:46.01335	132
16162	65956	31060	2013-08-03 19:37:46.026699	2013-08-03 19:37:46.026699	132
16163	65928	27397	2013-08-03 19:37:46.039261	2013-08-03 19:37:46.039261	132
16164	65908	30318	2013-08-03 19:37:46.049991	2013-08-03 19:37:46.049991	132
16165	65897	36703	2013-08-03 19:37:46.059369	2013-08-03 19:37:46.059369	132
16166	67642	2895	2013-08-03 19:42:21.535002	2013-08-03 19:42:21.535002	133
16167	67642	2915	2013-08-03 19:42:21.542367	2013-08-03 19:42:21.542367	133
16168	67642	2935	2013-08-03 19:42:21.54711	2013-08-03 19:42:21.54711	133
16169	67061	2894	2013-08-03 19:42:21.557587	2013-08-03 19:42:21.557587	133
16170	67061	2955	2013-08-03 19:42:21.561869	2013-08-03 19:42:21.561869	133
16171	67061	2975	2013-08-03 19:42:21.572806	2013-08-03 19:42:21.572806	133
16172	67046	2840	2013-08-03 19:42:21.584273	2013-08-03 19:42:21.584273	133
16173	67046	2860	2013-08-03 19:42:21.590491	2013-08-03 19:42:21.590491	133
16174	67046	2880	2013-08-03 19:42:21.59432	2013-08-03 19:42:21.59432	133
16175	67022	2900	2013-08-03 19:42:21.603273	2013-08-03 19:42:21.603273	133
16176	67022	2920	2013-08-03 19:42:21.608463	2013-08-03 19:42:21.608463	133
16177	67022	2814	2013-08-03 19:42:21.614077	2013-08-03 19:42:21.614077	133
16178	66989	5726	2013-08-03 19:42:21.625393	2013-08-03 19:42:21.625393	133
16179	66989	38823	2013-08-03 19:42:21.630839	2013-08-03 19:42:21.630839	133
16180	66989	3795	2013-08-03 19:42:21.635921	2013-08-03 19:42:21.635921	133
16181	67863	40375	2013-08-03 19:42:21.702964	2013-08-03 19:42:21.702964	133
16182	67611	40355	2013-08-03 19:42:21.719471	2013-08-03 19:42:21.719471	133
16183	67593	40335	2013-08-03 19:42:21.72892	2013-08-03 19:42:21.72892	133
16184	67378	40315	2013-08-03 19:42:21.745896	2013-08-03 19:42:21.745896	133
16185	67171	28217	2013-08-03 19:42:21.757787	2013-08-03 19:42:21.757787	133
16186	67143	5995	2013-08-03 19:42:21.779196	2013-08-03 19:42:21.779196	133
16187	67091	2752	2013-08-03 19:42:21.800786	2013-08-03 19:42:21.800786	133
16188	67053	20328	2013-08-03 19:42:21.822728	2013-08-03 19:42:21.822728	133
16189	67020	14552	2013-08-03 19:42:21.843956	2013-08-03 19:42:21.843956	133
16190	67012	37795	2013-08-03 19:42:21.864355	2013-08-03 19:42:21.864355	133
16191	67000	41463	2013-08-03 19:42:21.885632	2013-08-03 19:42:21.885632	133
16192	66970	2538	2013-08-03 19:42:21.907973	2013-08-03 19:42:21.907973	133
16193	66908	2369	2013-08-03 19:42:21.930674	2013-08-03 19:42:21.930674	133
16194	66901	1507	2013-08-03 19:42:21.954499	2013-08-03 19:42:21.954499	133
16195	67962	28777	2013-08-03 19:42:21.980004	2013-08-03 19:42:21.980004	133
16196	67961	28757	2013-08-03 19:42:21.987437	2013-08-03 19:42:21.987437	133
16197	67800	28737	2013-08-03 19:42:21.995856	2013-08-03 19:42:21.995856	133
16198	67738	28717	2013-08-03 19:42:22.003235	2013-08-03 19:42:22.003235	133
16199	67644	28697	2013-08-03 19:42:22.012841	2013-08-03 19:42:22.012841	133
16200	67380	28677	2013-08-03 19:42:22.020409	2013-08-03 19:42:22.020409	133
16201	67182	28657	2013-08-03 19:42:22.029401	2013-08-03 19:42:22.029401	133
16202	67172	28637	2013-08-03 19:42:22.037814	2013-08-03 19:42:22.037814	133
16203	67165	28617	2013-08-03 19:42:22.048501	2013-08-03 19:42:22.048501	133
16204	67098	28700	2013-08-03 19:42:22.061309	2013-08-03 19:42:22.061309	133
16205	67064	28597	2013-08-03 19:42:22.083277	2013-08-03 19:42:22.083277	133
16206	67062	28577	2013-08-03 19:42:22.106029	2013-08-03 19:42:22.106029	133
16207	67048	28557	2013-08-03 19:42:22.132457	2013-08-03 19:42:22.132457	133
16208	67025	28537	2013-08-03 19:42:22.157905	2013-08-03 19:42:22.157905	133
16209	66983	28517	2013-08-03 19:42:22.175818	2013-08-03 19:42:22.175818	133
16210	66967	28497	2013-08-03 19:42:22.185686	2013-08-03 19:42:22.185686	133
16211	66903	28477	2013-08-03 19:42:22.196893	2013-08-03 19:42:22.196893	133
16212	67965	30938	2013-08-03 19:42:22.253933	2013-08-03 19:42:22.253933	133
16213	67842	2765	2013-08-03 19:42:22.276714	2013-08-03 19:42:22.276714	133
16214	67810	6355	2013-08-03 19:42:22.298621	2013-08-03 19:42:22.298621	133
16215	67645	22637	2013-08-03 19:42:22.320456	2013-08-03 19:42:22.320456	133
16216	67180	12371	2013-08-03 19:42:22.342186	2013-08-03 19:42:22.342186	133
16217	67170	25525	2013-08-03 19:42:22.36398	2013-08-03 19:42:22.36398	133
16218	67166	34843	2013-08-03 19:42:22.386322	2013-08-03 19:42:22.386322	133
16219	67100	36703	2013-08-03 19:42:22.409216	2013-08-03 19:42:22.409216	133
16220	67066	34823	2013-08-03 19:42:22.430884	2013-08-03 19:42:22.430884	133
16221	67063	35243	2013-08-03 19:42:22.453475	2013-08-03 19:42:22.453475	133
16222	67051	36583	2013-08-03 19:42:22.476349	2013-08-03 19:42:22.476349	133
16223	67050	34763	2013-08-03 19:42:22.498874	2013-08-03 19:42:22.498874	133
16224	67028	16101	2013-08-03 19:42:22.520742	2013-08-03 19:42:22.520742	133
16225	67010	3064	2013-08-03 19:42:22.538219	2013-08-03 19:42:22.538219	133
16226	66979	16877	2013-08-03 19:42:22.545851	2013-08-03 19:42:22.545851	133
16227	66969	26380	2013-08-03 19:42:22.555634	2013-08-03 19:42:22.555634	133
16228	66906	36783	2013-08-03 19:42:22.569766	2013-08-03 19:42:22.569766	133
16229	67837	31198	2013-08-03 19:42:22.618432	2013-08-03 19:42:22.618432	133
16230	67409	31178	2013-08-03 19:42:22.682792	2013-08-03 19:42:22.682792	133
16231	67359	31158	2013-08-03 19:42:22.693326	2013-08-03 19:42:22.693326	133
16232	67277	31138	2013-08-03 19:42:22.704425	2013-08-03 19:42:22.704425	133
16233	67186	31118	2013-08-03 19:42:22.717507	2013-08-03 19:42:22.717507	133
16234	67121	31098	2013-08-03 19:42:22.736568	2013-08-03 19:42:22.736568	133
16235	67029	31078	2013-08-03 19:42:22.747686	2013-08-03 19:42:22.747686	133
16236	67014	31058	2013-08-03 19:42:22.75769	2013-08-03 19:42:22.75769	133
16237	66991	31038	2013-08-03 19:42:22.76646	2013-08-03 19:42:22.76646	133
16238	66941	31018	2013-08-03 19:42:22.776241	2013-08-03 19:42:22.776241	133
16239	66924	30998	2013-08-03 19:42:22.784563	2013-08-03 19:42:22.784563	133
16240	66891	30978	2013-08-03 19:42:22.792879	2013-08-03 19:42:22.792879	133
16241	67646	5205	2013-08-03 19:42:22.821819	2013-08-03 19:42:22.821819	133
16242	67646	5399	2013-08-03 19:42:22.829762	2013-08-03 19:42:22.829762	133
16243	67646	4679	2013-08-03 19:42:22.838117	2013-08-03 19:42:22.838117	133
16244	67118	5065	2013-08-03 19:42:22.858701	2013-08-03 19:42:22.858701	133
16245	67118	5105	2013-08-03 19:42:22.87049	2013-08-03 19:42:22.87049	133
16246	67118	5025	2013-08-03 19:42:22.881151	2013-08-03 19:42:22.881151	133
16247	67065	2548	2013-08-03 19:42:22.902851	2013-08-03 19:42:22.902851	133
16248	67065	11055	2013-08-03 19:42:22.912974	2013-08-03 19:42:22.912974	133
16249	67065	2453	2013-08-03 19:42:22.922859	2013-08-03 19:42:22.922859	133
16250	67041	2272	2013-08-03 19:42:22.944031	2013-08-03 19:42:22.944031	133
16251	67041	28560	2013-08-03 19:42:22.953899	2013-08-03 19:42:22.953899	133
16252	67041	18243	2013-08-03 19:42:22.963793	2013-08-03 19:42:22.963793	133
16253	66986	34335	2013-08-03 19:42:22.986488	2013-08-03 19:42:22.986488	133
16254	66986	5606	2013-08-03 19:42:22.997569	2013-08-03 19:42:22.997569	133
16255	66986	7769	2013-08-03 19:42:23.00741	2013-08-03 19:42:23.00741	133
16256	68028	31680	2013-08-03 19:42:23.066194	2013-08-03 19:42:23.066194	133
16257	67967	31660	2013-08-03 19:42:23.088767	2013-08-03 19:42:23.088767	133
16258	67795	31640	2013-08-03 19:42:23.111117	2013-08-03 19:42:23.111117	133
16259	67649	31620	2013-08-03 19:42:23.133613	2013-08-03 19:42:23.133613	133
16260	67457	31600	2013-08-03 19:42:23.15476	2013-08-03 19:42:23.15476	133
16261	67191	31580	2013-08-03 19:42:23.176315	2013-08-03 19:42:23.176315	133
16262	67169	31560	2013-08-03 19:42:23.189004	2013-08-03 19:42:23.189004	133
16263	67168	31540	2013-08-03 19:42:23.195884	2013-08-03 19:42:23.195884	133
16264	67101	31520	2013-08-03 19:42:23.20471	2013-08-03 19:42:23.20471	133
16265	67068	31500	2013-08-03 19:42:23.215515	2013-08-03 19:42:23.215515	133
16266	67067	31480	2013-08-03 19:42:23.227193	2013-08-03 19:42:23.227193	133
16267	67049	31460	2013-08-03 19:42:23.240333	2013-08-03 19:42:23.240333	133
16268	67043	28757	2013-08-03 19:42:23.254078	2013-08-03 19:42:23.254078	133
16269	66993	2688	2013-08-03 19:42:23.268195	2013-08-03 19:42:23.268195	133
16270	66913	2765	2013-08-03 19:42:23.285972	2013-08-03 19:42:23.285972	133
16271	66896	24505	2013-08-03 19:42:23.305034	2013-08-03 19:42:23.305034	133
16272	67852	40255	2013-08-03 19:42:23.392092	2013-08-03 19:42:23.392092	133
16273	67821	31400	2013-08-03 19:42:23.40255	2013-08-03 19:42:23.40255	133
16274	67396	28637	2013-08-03 19:42:23.417226	2013-08-03 19:42:23.417226	133
16275	67203	28137	2013-08-03 19:42:23.43856	2013-08-03 19:42:23.43856	133
16276	67116	23492	2013-08-03 19:42:23.460403	2013-08-03 19:42:23.460403	133
16277	67103	18741	2013-08-03 19:42:23.466887	2013-08-03 19:42:23.466887	133
16278	67089	13326	2013-08-03 19:42:23.483356	2013-08-03 19:42:23.483356	133
16279	67052	28315	2013-08-03 19:42:23.505472	2013-08-03 19:42:23.505472	133
16280	67019	32275	2013-08-03 19:42:23.528053	2013-08-03 19:42:23.528053	133
16281	66998	8551	2013-08-03 19:42:23.548775	2013-08-03 19:42:23.548775	133
16282	66966	2729	2013-08-03 19:42:23.557161	2013-08-03 19:42:23.557161	133
16283	66907	11611	2013-08-03 19:42:23.565095	2013-08-03 19:42:23.565095	133
16284	66888	25525	2013-08-03 19:42:23.575209	2013-08-03 19:42:23.575209	133
16285	67358	43503	2013-08-03 19:42:23.596879	2013-08-03 19:42:23.596879	133
16286	67358	43483	2013-08-03 19:42:23.602286	2013-08-03 19:42:23.602286	133
16287	67358	43463	2013-08-03 19:42:23.610581	2013-08-03 19:42:23.610581	133
16288	67358	43443	2013-08-03 19:42:23.618281	2013-08-03 19:42:23.618281	133
16289	67358	43423	2013-08-03 19:42:23.622458	2013-08-03 19:42:23.622458	133
16290	67358	43403	2013-08-03 19:42:23.626906	2013-08-03 19:42:23.626906	133
16291	67358	43383	2013-08-03 19:42:23.63207	2013-08-03 19:42:23.63207	133
16292	67358	43363	2013-08-03 19:42:23.636306	2013-08-03 19:42:23.636306	133
16293	67358	43343	2013-08-03 19:42:23.639934	2013-08-03 19:42:23.639934	133
16294	67192	43323	2013-08-03 19:42:23.649451	2013-08-03 19:42:23.649451	133
16295	67192	43303	2013-08-03 19:42:23.657701	2013-08-03 19:42:23.657701	133
16296	67192	43283	2013-08-03 19:42:23.661539	2013-08-03 19:42:23.661539	133
16297	67192	43263	2013-08-03 19:42:23.665099	2013-08-03 19:42:23.665099	133
16298	67192	43243	2013-08-03 19:42:23.669209	2013-08-03 19:42:23.669209	133
16299	67192	43223	2013-08-03 19:42:23.677321	2013-08-03 19:42:23.677321	133
16300	67192	43203	2013-08-03 19:42:23.681883	2013-08-03 19:42:23.681883	133
16301	67192	43183	2013-08-03 19:42:23.686379	2013-08-03 19:42:23.686379	133
16302	67192	43163	2013-08-03 19:42:23.695683	2013-08-03 19:42:23.695683	133
16303	67870	3109	2013-08-03 19:42:23.74893	2013-08-03 19:42:23.74893	133
16304	67761	19408	2013-08-03 19:42:23.773949	2013-08-03 19:42:23.773949	133
16305	67736	19743	2013-08-03 19:42:23.791793	2013-08-03 19:42:23.791793	133
16306	67613	22957	2013-08-03 19:42:23.80025	2013-08-03 19:42:23.80025	133
16307	67594	22997	2013-08-03 19:42:23.810962	2013-08-03 19:42:23.810962	133
16308	67375	13080	2013-08-03 19:42:23.8192	2013-08-03 19:42:23.8192	133
16309	67176	13100	2013-08-03 19:42:23.831256	2013-08-03 19:42:23.831256	133
16310	67148	13120	2013-08-03 19:42:23.848477	2013-08-03 19:42:23.848477	133
16311	67093	13140	2013-08-03 19:42:23.932047	2013-08-03 19:42:23.932047	133
16312	67054	2708	2013-08-03 19:42:23.940779	2013-08-03 19:42:23.940779	133
16313	67021	11643	2013-08-03 19:42:23.959233	2013-08-03 19:42:23.959233	133
16314	66976	2700	2013-08-03 19:42:23.971104	2013-08-03 19:42:23.971104	133
16315	66975	2678	2013-08-03 19:42:23.988045	2013-08-03 19:42:23.988045	133
16316	66910	2724	2013-08-03 19:42:24.012042	2013-08-03 19:42:24.012042	133
16317	66900	36703	2013-08-03 19:42:24.036454	2013-08-03 19:42:24.036454	133
16318	68016	36703	2013-08-03 19:42:24.086364	2013-08-03 19:42:24.086364	133
16319	67875	34763	2013-08-03 19:42:24.109143	2013-08-03 19:42:24.109143	133
16320	67796	2880	2013-08-03 19:42:24.131032	2013-08-03 19:42:24.131032	133
16321	67614	2860	2013-08-03 19:42:24.153063	2013-08-03 19:42:24.153063	133
16322	67595	23817	2013-08-03 19:42:24.176085	2013-08-03 19:42:24.176085	133
16323	67376	4019	2013-08-03 19:42:24.198159	2013-08-03 19:42:24.198159	133
16324	67175	39875	2013-08-03 19:42:24.220972	2013-08-03 19:42:24.220972	133
16325	67152	30758	2013-08-03 19:42:24.242265	2013-08-03 19:42:24.242265	133
16326	67094	42983	2013-08-03 19:42:24.264638	2013-08-03 19:42:24.264638	133
16327	67055	2854	2013-08-03 19:42:24.286902	2013-08-03 19:42:24.286902	133
16328	67023	2079	2013-08-03 19:42:24.298112	2013-08-03 19:42:24.298112	133
16329	67008	7170	2013-08-03 19:42:24.305666	2013-08-03 19:42:24.305666	133
16330	66996	39975	2013-08-03 19:42:24.312752	2013-08-03 19:42:24.312752	133
16331	66984	7178	2013-08-03 19:42:24.323952	2013-08-03 19:42:24.323952	133
16332	66911	1754	2013-08-03 19:42:24.332083	2013-08-03 19:42:24.332083	133
16333	66902	2840	2013-08-03 19:42:24.340319	2013-08-03 19:42:24.340319	133
16334	66889	1507	2013-08-03 19:42:24.34866	2013-08-03 19:42:24.34866	133
16335	67618	13506	2013-08-03 19:42:24.394206	2013-08-03 19:42:24.394206	133
16336	67618	13486	2013-08-03 19:42:24.405503	2013-08-03 19:42:24.405503	133
16337	67618	13500	2013-08-03 19:42:24.416077	2013-08-03 19:42:24.416077	133
16338	67057	13466	2013-08-03 19:42:24.438736	2013-08-03 19:42:24.438736	133
16339	67057	13446	2013-08-03 19:42:24.450338	2013-08-03 19:42:24.450338	133
16340	67057	13426	2013-08-03 19:42:24.461803	2013-08-03 19:42:24.461803	133
16341	67001	13406	2013-08-03 19:42:24.473123	2013-08-03 19:42:24.473123	133
16342	67001	10981	2013-08-03 19:42:24.476512	2013-08-03 19:42:24.476512	133
16343	67001	13386	2013-08-03 19:42:24.479595	2013-08-03 19:42:24.479595	133
16344	66988	39875	2013-08-03 19:42:24.486357	2013-08-03 19:42:24.486357	133
16345	66988	13100	2013-08-03 19:42:24.493191	2013-08-03 19:42:24.493191	133
16346	66988	31560	2013-08-03 19:42:24.500368	2013-08-03 19:42:24.500368	133
16347	66894	9059	2013-08-03 19:42:24.519927	2013-08-03 19:42:24.519927	133
16348	66894	5646	2013-08-03 19:42:24.530433	2013-08-03 19:42:24.530433	133
16349	66894	12371	2013-08-03 19:42:24.540908	2013-08-03 19:42:24.540908	133
16350	67058	8879	2013-08-03 19:42:24.579359	2013-08-03 19:42:24.579359	133
16351	67058	14071	2013-08-03 19:42:24.58843	2013-08-03 19:42:24.58843	133
16352	67058	9963	2013-08-03 19:42:24.592846	2013-08-03 19:42:24.592846	133
16353	67058	1862	2013-08-03 19:42:24.596193	2013-08-03 19:42:24.596193	133
16354	67058	1728	2013-08-03 19:42:24.599084	2013-08-03 19:42:24.599084	133
16355	67058	23137	2013-08-03 19:42:24.603284	2013-08-03 19:42:24.603284	133
16356	67058	22817	2013-08-03 19:42:24.607852	2013-08-03 19:42:24.607852	133
16357	67058	1882	2013-08-03 19:42:24.612647	2013-08-03 19:42:24.612647	133
16358	67058	1127	2013-08-03 19:42:24.621994	2013-08-03 19:42:24.621994	133
16359	67004	18688	2013-08-03 19:42:24.636445	2013-08-03 19:42:24.636445	133
16360	67004	13551	2013-08-03 19:42:24.641434	2013-08-03 19:42:24.641434	133
16361	67004	7230	2013-08-03 19:42:24.646155	2013-08-03 19:42:24.646155	133
16362	67004	9051	2013-08-03 19:42:24.650325	2013-08-03 19:42:24.650325	133
16363	67004	9111	2013-08-03 19:42:24.6543	2013-08-03 19:42:24.6543	133
16364	67004	4839	2013-08-03 19:42:24.658341	2013-08-03 19:42:24.658341	133
16365	67004	4566	2013-08-03 19:42:24.662646	2013-08-03 19:42:24.662646	133
16366	67004	11808	2013-08-03 19:42:24.667083	2013-08-03 19:42:24.667083	133
16367	67004	3959	2013-08-03 19:42:24.672217	2013-08-03 19:42:24.672217	133
16368	67628	42363	2013-08-03 19:42:24.704995	2013-08-03 19:42:24.704995	133
16369	67628	23797	2013-08-03 19:42:24.716046	2013-08-03 19:42:24.716046	133
16370	67628	2169	2013-08-03 19:42:24.725703	2013-08-03 19:42:24.725703	133
16371	67628	13071	2013-08-03 19:42:24.735444	2013-08-03 19:42:24.735444	133
16372	67007	30238	2013-08-03 19:42:24.756751	2013-08-03 19:42:24.756751	133
16373	67007	38223	2013-08-03 19:42:24.766526	2013-08-03 19:42:24.766526	133
16374	67007	29515	2013-08-03 19:42:24.777611	2013-08-03 19:42:24.777611	133
16375	67007	39375	2013-08-03 19:42:24.788338	2013-08-03 19:42:24.788338	133
16376	66992	16561	2013-08-03 19:42:24.812102	2013-08-03 19:42:24.812102	133
16377	66992	20288	2013-08-03 19:42:24.819353	2013-08-03 19:42:24.819353	133
16378	66992	2724	2013-08-03 19:42:24.826833	2013-08-03 19:42:24.826833	133
16379	66992	22397	2013-08-03 19:42:24.832867	2013-08-03 19:42:24.832867	133
16380	66893	11611	2013-08-03 19:42:24.841491	2013-08-03 19:42:24.841491	133
16381	66893	12491	2013-08-03 19:42:24.845711	2013-08-03 19:42:24.845711	133
16382	66893	2369	2013-08-03 19:42:24.849852	2013-08-03 19:42:24.849852	133
16383	66893	38883	2013-08-03 19:42:24.853888	2013-08-03 19:42:24.853888	133
16384	67638	2475	2013-08-03 19:42:24.879432	2013-08-03 19:42:24.879432	133
16385	67638	37603	2013-08-03 19:42:24.885996	2013-08-03 19:42:24.885996	133
16386	67638	36263	2013-08-03 19:42:24.896051	2013-08-03 19:42:24.896051	133
16387	67638	20072	2013-08-03 19:42:24.900504	2013-08-03 19:42:24.900504	133
16388	67059	2272	2013-08-03 19:42:24.910639	2013-08-03 19:42:24.910639	133
16389	67059	2300	2013-08-03 19:42:24.914027	2013-08-03 19:42:24.914027	133
16390	67059	16808	2013-08-03 19:42:24.916908	2013-08-03 19:42:24.916908	133
16391	67059	2245	2013-08-03 19:42:24.919908	2013-08-03 19:42:24.919908	133
16392	66981	23957	2013-08-03 19:42:24.927846	2013-08-03 19:42:24.927846	133
16393	66981	35523	2013-08-03 19:42:24.93209	2013-08-03 19:42:24.93209	133
16394	66981	15528	2013-08-03 19:42:24.937358	2013-08-03 19:42:24.937358	133
16395	66981	28560	2013-08-03 19:42:24.941041	2013-08-03 19:42:24.941041	133
16396	66892	39283	2013-08-03 19:42:24.952692	2013-08-03 19:42:24.952692	133
16397	66892	1962	2013-08-03 19:42:24.961463	2013-08-03 19:42:24.961463	133
16398	66892	18243	2013-08-03 19:42:24.970468	2013-08-03 19:42:24.970468	133
16399	66892	19343	2013-08-03 19:42:24.980539	2013-08-03 19:42:24.980539	133
16400	68007	23712	2013-08-03 19:42:25.033386	2013-08-03 19:42:25.033386	133
16401	67884	23658	2013-08-03 19:42:25.055912	2013-08-03 19:42:25.055912	133
16402	67797	23692	2013-08-03 19:42:25.071738	2013-08-03 19:42:25.071738	133
16403	67616	23672	2013-08-03 19:42:25.085529	2013-08-03 19:42:25.085529	133
16404	67188	23663	2013-08-03 19:42:25.096738	2013-08-03 19:42:25.096738	133
16405	67174	23652	2013-08-03 19:42:25.106589	2013-08-03 19:42:25.106589	133
16406	67173	23632	2013-08-03 19:42:25.173272	2013-08-03 19:42:25.173272	133
16407	67156	23612	2013-08-03 19:42:25.180662	2013-08-03 19:42:25.180662	133
16408	67102	23592	2013-08-03 19:42:25.18599	2013-08-03 19:42:25.18599	133
16409	67095	23572	2013-08-03 19:42:25.194314	2013-08-03 19:42:25.194314	133
16410	67056	23552	2013-08-03 19:42:25.202337	2013-08-03 19:42:25.202337	133
16411	67031	23515	2013-08-03 19:42:25.213578	2013-08-03 19:42:25.213578	133
16412	67013	5177	2013-08-03 19:42:25.225392	2013-08-03 19:42:25.225392	133
16413	66994	13120	2013-08-03 19:42:25.231759	2013-08-03 19:42:25.231759	133
16414	66985	5995	2013-08-03 19:42:25.241026	2013-08-03 19:42:25.241026	133
16415	66890	30758	2013-08-03 19:42:25.259205	2013-08-03 19:42:25.259205	133
16416	66887	34843	2013-08-03 19:42:25.273072	2013-08-03 19:42:25.273072	133
16417	67830	24052	2013-08-03 19:42:25.287113	2013-08-03 19:42:25.287113	133
16418	67830	24032	2013-08-03 19:42:25.29053	2013-08-03 19:42:25.29053	133
16419	67830	24012	2013-08-03 19:42:25.294079	2013-08-03 19:42:25.294079	133
16420	67830	24003	2013-08-03 19:42:25.29782	2013-08-03 19:42:25.29782	133
16421	67830	23992	2013-08-03 19:42:25.301849	2013-08-03 19:42:25.301849	133
16422	67830	23972	2013-08-03 19:42:25.305749	2013-08-03 19:42:25.305749	133
16423	67830	23952	2013-08-03 19:42:25.310748	2013-08-03 19:42:25.310748	133
16424	67830	23932	2013-08-03 19:42:25.316683	2013-08-03 19:42:25.316683	133
16425	67830	23912	2013-08-03 19:42:25.325486	2013-08-03 19:42:25.325486	133
16426	67006	23892	2013-08-03 19:42:25.345576	2013-08-03 19:42:25.345576	133
16427	67006	23865	2013-08-03 19:42:25.352077	2013-08-03 19:42:25.352077	133
16428	67006	23872	2013-08-03 19:42:25.35759	2013-08-03 19:42:25.35759	133
16429	67006	23852	2013-08-03 19:42:25.36803	2013-08-03 19:42:25.36803	133
16430	67006	23832	2013-08-03 19:42:25.376289	2013-08-03 19:42:25.376289	133
16431	67006	23812	2013-08-03 19:42:25.386542	2013-08-03 19:42:25.386542	133
16432	67006	23792	2013-08-03 19:42:25.397507	2013-08-03 19:42:25.397507	133
16433	67006	23772	2013-08-03 19:42:25.406458	2013-08-03 19:42:25.406458	133
16434	67006	23612	2013-08-03 19:42:25.415096	2013-08-03 19:42:25.415096	133
16435	69317	43863	2013-08-03 19:47:24.894042	2013-08-03 19:47:24.894042	134
16436	69240	43843	2013-08-03 19:47:24.902761	2013-08-03 19:47:24.902761	134
16437	68747	43823	2013-08-03 19:47:24.911556	2013-08-03 19:47:24.911556	134
16438	68610	43803	2013-08-03 19:47:24.921048	2013-08-03 19:47:24.921048	134
16439	68404	43783	2013-08-03 19:47:24.929943	2013-08-03 19:47:24.929943	134
16440	68384	43763	2013-08-03 19:47:24.951222	2013-08-03 19:47:24.951222	134
16441	68306	43743	2013-08-03 19:47:24.977014	2013-08-03 19:47:24.977014	134
16442	68274	43723	2013-08-03 19:47:24.999157	2013-08-03 19:47:24.999157	134
16443	68242	43703	2013-08-03 19:47:25.022697	2013-08-03 19:47:25.022697	134
16444	68239	43683	2013-08-03 19:47:25.046512	2013-08-03 19:47:25.046512	134
16445	68197	29297	2013-08-03 19:47:25.070059	2013-08-03 19:47:25.070059	134
16446	68192	28318	2013-08-03 19:47:25.092719	2013-08-03 19:47:25.092719	134
16447	68188	24192	2013-08-03 19:47:25.11504	2013-08-03 19:47:25.11504	134
16448	68169	3081	2013-08-03 19:47:25.13784	2013-08-03 19:47:25.13784	134
16449	68168	13726	2013-08-03 19:47:25.146977	2013-08-03 19:47:25.146977	134
16450	68403	44303	2013-08-03 19:47:25.16433	2013-08-03 19:47:25.16433	134
16451	68403	44283	2013-08-03 19:47:25.170433	2013-08-03 19:47:25.170433	134
16452	68403	44263	2013-08-03 19:47:25.176371	2013-08-03 19:47:25.176371	134
16453	68403	44243	2013-08-03 19:47:25.187209	2013-08-03 19:47:25.187209	134
16454	68403	44223	2013-08-03 19:47:25.19778	2013-08-03 19:47:25.19778	134
16455	68403	44203	2013-08-03 19:47:25.208315	2013-08-03 19:47:25.208315	134
16456	68403	44183	2013-08-03 19:47:25.219681	2013-08-03 19:47:25.219681	134
16457	68403	44163	2013-08-03 19:47:25.231647	2013-08-03 19:47:25.231647	134
16458	68403	44143	2013-08-03 19:47:25.243247	2013-08-03 19:47:25.243247	134
16459	68387	44123	2013-08-03 19:47:25.266371	2013-08-03 19:47:25.266371	134
16460	68387	44103	2013-08-03 19:47:25.277735	2013-08-03 19:47:25.277735	134
16461	68387	44083	2013-08-03 19:47:25.285492	2013-08-03 19:47:25.285492	134
16462	68387	44063	2013-08-03 19:47:25.292517	2013-08-03 19:47:25.292517	134
16463	68387	44043	2013-08-03 19:47:25.301661	2013-08-03 19:47:25.301661	134
16464	68387	44023	2013-08-03 19:47:25.313007	2013-08-03 19:47:25.313007	134
16465	68387	44003	2013-08-03 19:47:25.324693	2013-08-03 19:47:25.324693	134
16466	68387	43983	2013-08-03 19:47:25.33626	2013-08-03 19:47:25.33626	134
16467	68387	43963	2013-08-03 19:47:25.348092	2013-08-03 19:47:25.348092	134
16468	69245	3969	2013-08-03 19:47:25.401546	2013-08-03 19:47:25.401546	134
16469	68832	3989	2013-08-03 19:47:25.426833	2013-08-03 19:47:25.426833	134
16470	68749	4057	2013-08-03 19:47:25.453693	2013-08-03 19:47:25.453693	134
16471	68685	24637	2013-08-03 19:47:25.469979	2013-08-03 19:47:25.469979	134
16472	68615	3869	2013-08-03 19:47:25.479698	2013-08-03 19:47:25.479698	134
16473	68478	3889	2013-08-03 19:47:25.48984	2013-08-03 19:47:25.48984	134
16474	68377	3909	2013-08-03 19:47:25.499466	2013-08-03 19:47:25.499466	134
16475	68310	3770	2013-08-03 19:47:25.512994	2013-08-03 19:47:25.512994	134
16476	68305	11978	2013-08-03 19:47:25.533004	2013-08-03 19:47:25.533004	134
16477	68254	24337	2013-08-03 19:47:25.55573	2013-08-03 19:47:25.55573	134
16478	68247	24357	2013-08-03 19:47:25.578809	2013-08-03 19:47:25.578809	134
16479	68212	24377	2013-08-03 19:47:25.602639	2013-08-03 19:47:25.602639	134
16480	68198	14568	2013-08-03 19:47:25.625147	2013-08-03 19:47:25.625147	134
16481	68190	24437	2013-08-03 19:47:25.646468	2013-08-03 19:47:25.646468	134
16482	68178	14400	2013-08-03 19:47:25.66944	2013-08-03 19:47:25.66944	134
16483	68162	14420	2013-08-03 19:47:25.690901	2013-08-03 19:47:25.690901	134
16484	69246	30165	2013-08-03 19:47:25.712324	2013-08-03 19:47:25.712324	134
16485	69115	30145	2013-08-03 19:47:25.720815	2013-08-03 19:47:25.720815	134
16486	68750	30140	2013-08-03 19:47:25.728894	2013-08-03 19:47:25.728894	134
16487	68739	30125	2013-08-03 19:47:25.736922	2013-08-03 19:47:25.736922	134
16488	68686	30105	2013-08-03 19:47:25.747471	2013-08-03 19:47:25.747471	134
16489	68616	30085	2013-08-03 19:47:25.766457	2013-08-03 19:47:25.766457	134
16490	68370	30065	2013-08-03 19:47:25.79009	2013-08-03 19:47:25.79009	134
16491	68312	30055	2013-08-03 19:47:25.813535	2013-08-03 19:47:25.813535	134
16492	68291	30045	2013-08-03 19:47:25.836791	2013-08-03 19:47:25.836791	134
16493	68261	30025	2013-08-03 19:47:25.860083	2013-08-03 19:47:25.860083	134
16494	68211	30005	2013-08-03 19:47:25.88354	2013-08-03 19:47:25.88354	134
16495	68202	29985	2013-08-03 19:47:25.906993	2013-08-03 19:47:25.906993	134
16496	68191	29965	2013-08-03 19:47:25.925035	2013-08-03 19:47:25.925035	134
16497	68182	29257	2013-08-03 19:47:25.933287	2013-08-03 19:47:25.933287	134
16498	68166	43863	2013-08-03 19:47:25.941176	2013-08-03 19:47:25.941176	134
16499	68163	2994	2013-08-03 19:47:25.949168	2013-08-03 19:47:25.949168	134
16500	68151	24357	2013-08-03 19:47:25.957601	2013-08-03 19:47:25.957601	134
16501	69283	13906	2013-08-03 19:47:26.052469	2013-08-03 19:47:26.052469	134
16502	69283	13912	2013-08-03 19:47:26.05606	2013-08-03 19:47:26.05606	134
16503	68753	13886	2013-08-03 19:47:26.063326	2013-08-03 19:47:26.063326	134
16504	68753	13866	2013-08-03 19:47:26.069916	2013-08-03 19:47:26.069916	134
16505	68688	13846	2013-08-03 19:47:26.092312	2013-08-03 19:47:26.092312	134
16506	68688	13826	2013-08-03 19:47:26.104016	2013-08-03 19:47:26.104016	134
16507	68373	13741	2013-08-03 19:47:26.126941	2013-08-03 19:47:26.126941	134
16508	68373	13703	2013-08-03 19:47:26.138093	2013-08-03 19:47:26.138093	134
16509	68299	15957	2013-08-03 19:47:26.16033	2013-08-03 19:47:26.16033	134
16510	68299	13806	2013-08-03 19:47:26.172383	2013-08-03 19:47:26.172383	134
16511	68268	13786	2013-08-03 19:47:26.196318	2013-08-03 19:47:26.196318	134
16512	68268	13766	2013-08-03 19:47:26.207352	2013-08-03 19:47:26.207352	134
16513	68172	3889	2013-08-03 19:47:26.231116	2013-08-03 19:47:26.231116	134
16514	68172	3101	2013-08-03 19:47:26.241852	2013-08-03 19:47:26.241852	134
16515	69213	21540	2013-08-03 19:47:26.290869	2013-08-03 19:47:26.290869	134
16516	69213	21498	2013-08-03 19:47:26.302801	2013-08-03 19:47:26.302801	134
16517	69213	21412	2013-08-03 19:47:26.314646	2013-08-03 19:47:26.314646	134
16518	68758	21165	2013-08-03 19:47:26.337796	2013-08-03 19:47:26.337796	134
16519	68758	5138	2013-08-03 19:47:26.349241	2013-08-03 19:47:26.349241	134
16520	68758	14568	2013-08-03 19:47:26.359743	2013-08-03 19:47:26.359743	134
16521	68371	13666	2013-08-03 19:47:26.382176	2013-08-03 19:47:26.382176	134
16522	68371	40815	2013-08-03 19:47:26.392732	2013-08-03 19:47:26.392732	134
16523	68371	3886	2013-08-03 19:47:26.402487	2013-08-03 19:47:26.402487	134
16524	68289	1754	2013-08-03 19:47:26.42113	2013-08-03 19:47:26.42113	134
16525	68289	30998	2013-08-03 19:47:26.42794	2013-08-03 19:47:26.42794	134
16526	68289	36783	2013-08-03 19:47:26.435886	2013-08-03 19:47:26.435886	134
16527	68270	13160	2013-08-03 19:47:26.457818	2013-08-03 19:47:26.457818	134
16528	68270	35615	2013-08-03 19:47:26.467885	2013-08-03 19:47:26.467885	134
16529	68270	3449	2013-08-03 19:47:26.477502	2013-08-03 19:47:26.477502	134
16530	68165	2990	2013-08-03 19:47:26.498852	2013-08-03 19:47:26.498852	134
16531	68165	2258	2013-08-03 19:47:26.509276	2013-08-03 19:47:26.509276	134
16532	68165	34843	2013-08-03 19:47:26.51371	2013-08-03 19:47:26.51371	134
16533	68766	2549	2013-08-03 19:47:26.535447	2013-08-03 19:47:26.535447	134
16534	68766	2578	2013-08-03 19:47:26.53985	2013-08-03 19:47:26.53985	134
16535	68766	35455	2013-08-03 19:47:26.544482	2013-08-03 19:47:26.544482	134
16536	68690	6038	2013-08-03 19:47:26.555667	2013-08-03 19:47:26.555667	134
16537	68690	39323	2013-08-03 19:47:26.564617	2013-08-03 19:47:26.564617	134
16538	68690	20092	2013-08-03 19:47:26.571839	2013-08-03 19:47:26.571839	134
16539	68376	39643	2013-08-03 19:47:26.580495	2013-08-03 19:47:26.580495	134
16540	68376	39623	2013-08-03 19:47:26.584145	2013-08-03 19:47:26.584145	134
16541	68376	17858	2013-08-03 19:47:26.587875	2013-08-03 19:47:26.587875	134
16542	68304	20748	2013-08-03 19:47:26.59464	2013-08-03 19:47:26.59464	134
16543	68304	4451	2013-08-03 19:47:26.597969	2013-08-03 19:47:26.597969	134
16544	68304	35363	2013-08-03 19:47:26.601713	2013-08-03 19:47:26.601713	134
16545	68262	17721	2013-08-03 19:47:26.616957	2013-08-03 19:47:26.616957	134
16546	68262	19688	2013-08-03 19:47:26.622291	2013-08-03 19:47:26.622291	134
16547	68262	2420	2013-08-03 19:47:26.62733	2013-08-03 19:47:26.62733	134
16548	68167	6298	2013-08-03 19:47:26.647282	2013-08-03 19:47:26.647282	134
16549	68167	2480	2013-08-03 19:47:26.659498	2013-08-03 19:47:26.659498	134
16550	68167	14083	2013-08-03 19:47:26.672862	2013-08-03 19:47:26.672862	134
16551	69247	24472	2013-08-03 19:47:26.727169	2013-08-03 19:47:26.727169	134
16552	68751	24452	2013-08-03 19:47:26.736609	2013-08-03 19:47:26.736609	134
16553	68746	24432	2013-08-03 19:47:26.751284	2013-08-03 19:47:26.751284	134
16554	68687	24412	2013-08-03 19:47:26.760915	2013-08-03 19:47:26.760915	134
16555	68617	24392	2013-08-03 19:47:26.777201	2013-08-03 19:47:26.777201	134
16556	68369	24372	2013-08-03 19:47:26.799562	2013-08-03 19:47:26.799562	134
16557	68331	24477	2013-08-03 19:47:26.810603	2013-08-03 19:47:26.810603	134
16558	68300	24352	2013-08-03 19:47:26.825191	2013-08-03 19:47:26.825191	134
16559	68265	24332	2013-08-03 19:47:26.835695	2013-08-03 19:47:26.835695	134
16560	68210	24312	2013-08-03 19:47:26.843995	2013-08-03 19:47:26.843995	134
16561	68199	24292	2013-08-03 19:47:26.852205	2013-08-03 19:47:26.852205	134
16562	68194	24272	2013-08-03 19:47:26.860752	2013-08-03 19:47:26.860752	134
16563	68193	24243	2013-08-03 19:47:26.867873	2013-08-03 19:47:26.867873	134
16564	68185	24252	2013-08-03 19:47:26.876689	2013-08-03 19:47:26.876689	134
16565	68183	16690	2013-08-03 19:47:26.890799	2013-08-03 19:47:26.890799	134
16566	68170	2994	2013-08-03 19:47:26.901257	2013-08-03 19:47:26.901257	134
16567	68164	14420	2013-08-03 19:47:26.910075	2013-08-03 19:47:26.910075	134
16568	68152	2910	2013-08-03 19:47:26.916347	2013-08-03 19:47:26.916347	134
16569	68398	24772	2013-08-03 19:47:26.932912	2013-08-03 19:47:26.932912	134
16570	68398	24752	2013-08-03 19:47:26.940491	2013-08-03 19:47:26.940491	134
16571	68398	24732	2013-08-03 19:47:26.94699	2013-08-03 19:47:26.94699	134
16572	68398	24712	2013-08-03 19:47:26.951254	2013-08-03 19:47:26.951254	134
16573	68398	24692	2013-08-03 19:47:26.955953	2013-08-03 19:47:26.955953	134
16574	68398	24678	2013-08-03 19:47:26.963635	2013-08-03 19:47:26.963635	134
16575	68398	24672	2013-08-03 19:47:26.969495	2013-08-03 19:47:26.969495	134
16576	68398	24652	2013-08-03 19:47:26.975156	2013-08-03 19:47:26.975156	134
16577	68398	24632	2013-08-03 19:47:26.980563	2013-08-03 19:47:26.980563	134
16578	68171	24612	2013-08-03 19:47:26.988547	2013-08-03 19:47:26.988547	134
16579	68171	24592	2013-08-03 19:47:26.993455	2013-08-03 19:47:26.993455	134
16580	68171	24572	2013-08-03 19:47:26.999905	2013-08-03 19:47:26.999905	134
16581	68171	24552	2013-08-03 19:47:27.004504	2013-08-03 19:47:27.004504	134
16582	68171	24532	2013-08-03 19:47:27.008745	2013-08-03 19:47:27.008745	134
16583	68171	24512	2013-08-03 19:47:27.012852	2013-08-03 19:47:27.012852	134
16584	68171	24355	2013-08-03 19:47:27.016845	2013-08-03 19:47:27.016845	134
16585	68171	9848	2013-08-03 19:47:27.025267	2013-08-03 19:47:27.025267	134
16586	68171	14420	2013-08-03 19:47:27.028815	2013-08-03 19:47:27.028815	134
16587	69029	3100	2013-08-03 19:47:27.052687	2013-08-03 19:47:27.052687	134
16588	69029	3120	2013-08-03 19:47:27.059724	2013-08-03 19:47:27.059724	134
16589	69029	3034	2013-08-03 19:47:27.067858	2013-08-03 19:47:27.067858	134
16590	68778	3097	2013-08-03 19:47:27.089679	2013-08-03 19:47:27.089679	134
16591	68778	3117	2013-08-03 19:47:27.101	2013-08-03 19:47:27.101	134
16592	68778	3137	2013-08-03 19:47:27.112122	2013-08-03 19:47:27.112122	134
16593	68693	3014	2013-08-03 19:47:27.134763	2013-08-03 19:47:27.134763	134
16594	68693	3128	2013-08-03 19:47:27.146374	2013-08-03 19:47:27.146374	134
16595	68693	3070	2013-08-03 19:47:27.15842	2013-08-03 19:47:27.15842	134
16596	68303	3001	2013-08-03 19:47:27.182763	2013-08-03 19:47:27.182763	134
16597	68303	13045	2013-08-03 19:47:27.196821	2013-08-03 19:47:27.196821	134
16598	68303	3021	2013-08-03 19:47:27.208189	2013-08-03 19:47:27.208189	134
16599	68297	17858	2013-08-03 19:47:27.220802	2013-08-03 19:47:27.220802	134
16600	68297	39623	2013-08-03 19:47:27.224216	2013-08-03 19:47:27.224216	134
16601	68297	39643	2013-08-03 19:47:27.227458	2013-08-03 19:47:27.227458	134
16602	69244	41075	2013-08-03 19:47:27.309205	2013-08-03 19:47:27.309205	134
16603	69030	41055	2013-08-03 19:47:27.316719	2013-08-03 19:47:27.316719	134
16604	68748	41035	2013-08-03 19:47:27.322511	2013-08-03 19:47:27.322511	134
16605	68740	41015	2013-08-03 19:47:27.328366	2013-08-03 19:47:27.328366	134
16606	68684	40995	2013-08-03 19:47:27.334963	2013-08-03 19:47:27.334963	134
16607	68613	40975	2013-08-03 19:47:27.343422	2013-08-03 19:47:27.343422	134
16608	68378	29257	2013-08-03 19:47:27.356348	2013-08-03 19:47:27.356348	134
16609	68308	29077	2013-08-03 19:47:27.377703	2013-08-03 19:47:27.377703	134
16610	68245	28318	2013-08-03 19:47:27.402203	2013-08-03 19:47:27.402203	134
16611	68209	16690	2013-08-03 19:47:27.424218	2013-08-03 19:47:27.424218	134
16612	68200	14500	2013-08-03 19:47:27.448421	2013-08-03 19:47:27.448421	134
16613	68189	13537	2013-08-03 19:47:27.470344	2013-08-03 19:47:27.470344	134
16614	68161	13606	2013-08-03 19:47:27.492146	2013-08-03 19:47:27.492146	134
16615	68159	14480	2013-08-03 19:47:27.50805	2013-08-03 19:47:27.50805	134
16616	68154	14400	2013-08-03 19:47:27.530332	2013-08-03 19:47:27.530332	134
16617	68153	2832	2013-08-03 19:47:27.554993	2013-08-03 19:47:27.554993	134
16618	69447	41415	2013-08-03 19:47:27.58706	2013-08-03 19:47:27.58706	134
16619	69447	41395	2013-08-03 19:47:27.592737	2013-08-03 19:47:27.592737	134
16620	69407	41375	2013-08-03 19:47:27.601968	2013-08-03 19:47:27.601968	134
16621	69407	41355	2013-08-03 19:47:27.606731	2013-08-03 19:47:27.606731	134
16622	69365	41335	2013-08-03 19:47:27.616311	2013-08-03 19:47:27.616311	134
16623	69365	41315	2013-08-03 19:47:27.620721	2013-08-03 19:47:27.620721	134
16624	69239	41295	2013-08-03 19:47:27.63361	2013-08-03 19:47:27.63361	134
16625	69239	41275	2013-08-03 19:47:27.640803	2013-08-03 19:47:27.640803	134
16626	69164	41255	2013-08-03 19:47:27.660095	2013-08-03 19:47:27.660095	134
16627	69164	41235	2013-08-03 19:47:27.671385	2013-08-03 19:47:27.671385	134
16628	69129	41215	2013-08-03 19:47:27.693768	2013-08-03 19:47:27.693768	134
16629	69129	41195	2013-08-03 19:47:27.704626	2013-08-03 19:47:27.704626	134
16630	69108	41175	2013-08-03 19:47:27.726714	2013-08-03 19:47:27.726714	134
16631	69108	41155	2013-08-03 19:47:27.738859	2013-08-03 19:47:27.738859	134
16632	69321	29477	2013-08-03 19:47:27.767638	2013-08-03 19:47:27.767638	134
16633	69221	29457	2013-08-03 19:47:27.776286	2013-08-03 19:47:27.776286	134
16634	69214	29437	2013-08-03 19:47:27.786942	2013-08-03 19:47:27.786942	134
16635	68833	29417	2013-08-03 19:47:27.796737	2013-08-03 19:47:27.796737	134
16636	68781	29397	2013-08-03 19:47:27.806418	2013-08-03 19:47:27.806418	134
16637	68694	29377	2013-08-03 19:47:27.825473	2013-08-03 19:47:27.825473	134
16638	68619	29285	2013-08-03 19:47:27.847649	2013-08-03 19:47:27.847649	134
16639	68468	29305	2013-08-03 19:47:27.870014	2013-08-03 19:47:27.870014	134
16640	68386	29338	2013-08-03 19:47:27.89196	2013-08-03 19:47:27.89196	134
16641	68307	29357	2013-08-03 19:47:27.91701	2013-08-03 19:47:27.91701	134
16642	68301	29077	2013-08-03 19:47:27.939218	2013-08-03 19:47:27.939218	134
16643	68271	24252	2013-08-03 19:47:27.961855	2013-08-03 19:47:27.961855	134
16644	68214	43743	2013-08-03 19:47:27.984042	2013-08-03 19:47:27.984042	134
16645	68201	13246	2013-08-03 19:47:28.005303	2013-08-03 19:47:28.005303	134
16646	68181	12646	2013-08-03 19:47:28.027409	2013-08-03 19:47:28.027409	134
16647	68180	3770	2013-08-03 19:47:28.049103	2013-08-03 19:47:28.049103	134
16648	68173	2872	2013-08-03 19:47:28.070561	2013-08-03 19:47:28.070561	134
16649	69351	31398	2013-08-03 19:47:28.114509	2013-08-03 19:47:28.114509	134
16650	69347	31378	2013-08-03 19:47:28.125519	2013-08-03 19:47:28.125519	134
16651	69130	31358	2013-08-03 19:47:28.134834	2013-08-03 19:47:28.134834	134
16652	68895	23712	2013-08-03 19:47:28.143382	2013-08-03 19:47:28.143382	134
16653	68783	36583	2013-08-03 19:47:28.1532	2013-08-03 19:47:28.1532	134
16654	68743	2292	2013-08-03 19:47:28.163973	2013-08-03 19:47:28.163973	134
16655	68695	2270	2013-08-03 19:47:28.176937	2013-08-03 19:47:28.176937	134
16656	68620	2232	2013-08-03 19:47:28.198299	2013-08-03 19:47:28.198299	134
16657	68372	23917	2013-08-03 19:47:28.220254	2013-08-03 19:47:28.220254	134
16658	68313	2255	2013-08-03 19:47:28.241337	2013-08-03 19:47:28.241337	134
16659	68275	2335	2013-08-03 19:47:28.262769	2013-08-03 19:47:28.262769	134
16660	68273	2340	2013-08-03 19:47:28.284262	2013-08-03 19:47:28.284262	134
16661	68213	1328	2013-08-03 19:47:28.306734	2013-08-03 19:47:28.306734	134
16662	68203	8820	2013-08-03 19:47:28.328377	2013-08-03 19:47:28.328377	134
16663	68186	13140	2013-08-03 19:47:28.350835	2013-08-03 19:47:28.350835	134
16664	68174	6355	2013-08-03 19:47:28.373573	2013-08-03 19:47:28.373573	134
16665	68160	2393	2013-08-03 19:47:28.397975	2013-08-03 19:47:28.397975	134
16666	68158	24037	2013-08-03 19:47:28.421701	2013-08-03 19:47:28.421701	134
16667	69203	31658	2013-08-03 19:47:28.493313	2013-08-03 19:47:28.493313	134
16668	68742	31638	2013-08-03 19:47:28.513518	2013-08-03 19:47:28.513518	134
16669	68568	31618	2013-08-03 19:47:28.537294	2013-08-03 19:47:28.537294	134
16670	68540	31598	2013-08-03 19:47:28.560407	2013-08-03 19:47:28.560407	134
16671	68402	31578	2013-08-03 19:47:28.585799	2013-08-03 19:47:28.585799	134
16672	68389	31558	2013-08-03 19:47:28.677556	2013-08-03 19:47:28.677556	134
16673	68354	31538	2013-08-03 19:47:28.692112	2013-08-03 19:47:28.692112	134
16674	68343	31518	2013-08-03 19:47:28.709335	2013-08-03 19:47:28.709335	134
16675	68329	31498	2013-08-03 19:47:28.731875	2013-08-03 19:47:28.731875	134
16676	68235	31478	2013-08-03 19:47:28.753536	2013-08-03 19:47:28.753536	134
16677	68219	31458	2013-08-03 19:47:28.768126	2013-08-03 19:47:28.768126	134
16678	68155	31438	2013-08-03 19:47:28.779331	2013-08-03 19:47:28.779331	134
16679	69031	36303	2013-08-03 19:47:28.802326	2013-08-03 19:47:28.802326	134
16680	69031	6266	2013-08-03 19:47:28.809732	2013-08-03 19:47:28.809732	134
16681	68785	6030	2013-08-03 19:47:28.818617	2013-08-03 19:47:28.818617	134
16682	68785	4049	2013-08-03 19:47:28.825473	2013-08-03 19:47:28.825473	134
16683	68696	6746	2013-08-03 19:47:28.84688	2013-08-03 19:47:28.84688	134
16684	68696	5949	2013-08-03 19:47:28.858276	2013-08-03 19:47:28.858276	134
16685	68388	28598	2013-08-03 19:47:28.880481	2013-08-03 19:47:28.880481	134
16686	68388	7479	2013-08-03 19:47:28.893985	2013-08-03 19:47:28.893985	134
16687	68316	28758	2013-08-03 19:47:28.917681	2013-08-03 19:47:28.917681	134
16688	68316	3969	2013-08-03 19:47:28.929177	2013-08-03 19:47:28.929177	134
16689	68296	14540	2013-08-03 19:47:28.95061	2013-08-03 19:47:28.95061	134
16690	68296	3269	2013-08-03 19:47:28.960614	2013-08-03 19:47:28.960614	134
16691	68295	2892	2013-08-03 19:47:28.982446	2013-08-03 19:47:28.982446	134
16692	68295	2320	2013-08-03 19:47:28.992576	2013-08-03 19:47:28.992576	134
16693	69354	43723	2013-08-03 19:47:29.02581	2013-08-03 19:47:29.02581	134
16694	68799	2316	2013-08-03 19:47:29.032936	2013-08-03 19:47:29.032936	134
16695	68787	3249	2013-08-03 19:47:29.042227	2013-08-03 19:47:29.042227	134
16696	68698	24117	2013-08-03 19:47:29.049283	2013-08-03 19:47:29.049283	134
16697	68621	3369	2013-08-03 19:47:29.059912	2013-08-03 19:47:29.059912	134
16698	68590	3938	2013-08-03 19:47:29.07666	2013-08-03 19:47:29.07666	134
16699	68379	22997	2013-08-03 19:47:29.097498	2013-08-03 19:47:29.097498	134
16700	68319	37795	2013-08-03 19:47:29.119143	2013-08-03 19:47:29.119143	134
16701	68298	14400	2013-08-03 19:47:29.141475	2013-08-03 19:47:29.141475	134
16702	68293	3529	2013-08-03 19:47:29.164697	2013-08-03 19:47:29.164697	134
16703	68287	3329	2013-08-03 19:47:29.177338	2013-08-03 19:47:29.177338	134
16704	68256	3409	2013-08-03 19:47:29.184685	2013-08-03 19:47:29.184685	134
16705	68204	14560	2013-08-03 19:47:29.192942	2013-08-03 19:47:29.192942	134
16706	68187	3289	2013-08-03 19:47:29.200714	2013-08-03 19:47:29.200714	134
16707	68179	2840	2013-08-03 19:47:29.208655	2013-08-03 19:47:29.208655	134
16708	68156	34543	2013-08-03 19:47:29.216526	2013-08-03 19:47:29.216526	134
16709	70502	45063	2013-08-03 19:52:25.450889	2013-08-03 19:52:25.450889	135
16710	70482	45043	2013-08-03 19:52:25.462262	2013-08-03 19:52:25.462262	135
16711	70408	45023	2013-08-03 19:52:25.4714	2013-08-03 19:52:25.4714	135
16712	70155	45003	2013-08-03 19:52:25.481463	2013-08-03 19:52:25.481463	135
16713	69995	44983	2013-08-03 19:52:25.491368	2013-08-03 19:52:25.491368	135
16714	69931	44963	2013-08-03 19:52:25.501123	2013-08-03 19:52:25.501123	135
16715	69903	44943	2013-08-03 19:52:25.510182	2013-08-03 19:52:25.510182	135
16716	69777	44923	2013-08-03 19:52:25.517541	2013-08-03 19:52:25.517541	135
16717	69754	44903	2013-08-03 19:52:25.525047	2013-08-03 19:52:25.525047	135
16718	69644	44883	2013-08-03 19:52:25.533058	2013-08-03 19:52:25.533058	135
16719	69625	32240	2013-08-03 19:52:25.539871	2013-08-03 19:52:25.539871	135
16720	69590	29597	2013-08-03 19:52:25.547816	2013-08-03 19:52:25.547816	135
16721	69586	24832	2013-08-03 19:52:25.557696	2013-08-03 19:52:25.557696	135
16722	69580	3095	2013-08-03 19:52:25.565288	2013-08-03 19:52:25.565288	135
16723	69573	4472	2013-08-03 19:52:25.573613	2013-08-03 19:52:25.573613	135
16724	69562	4452	2013-08-03 19:52:25.580259	2013-08-03 19:52:25.580259	135
16725	69627	45503	2013-08-03 19:52:25.605313	2013-08-03 19:52:25.605313	135
16726	69627	45483	2013-08-03 19:52:25.609581	2013-08-03 19:52:25.609581	135
16727	69627	45463	2013-08-03 19:52:25.613044	2013-08-03 19:52:25.613044	135
16728	69627	45443	2013-08-03 19:52:25.617091	2013-08-03 19:52:25.617091	135
16729	69627	45423	2013-08-03 19:52:25.622661	2013-08-03 19:52:25.622661	135
16730	69627	45403	2013-08-03 19:52:25.626473	2013-08-03 19:52:25.626473	135
16731	69627	45383	2013-08-03 19:52:25.630039	2013-08-03 19:52:25.630039	135
16732	69627	45363	2013-08-03 19:52:25.635567	2013-08-03 19:52:25.635567	135
16733	69627	45343	2013-08-03 19:52:25.643106	2013-08-03 19:52:25.643106	135
16734	69627	45323	2013-08-03 19:52:25.653602	2013-08-03 19:52:25.653602	135
16735	69627	45303	2013-08-03 19:52:25.663379	2013-08-03 19:52:25.663379	135
16736	69627	45283	2013-08-03 19:52:25.670249	2013-08-03 19:52:25.670249	135
16737	69627	45263	2013-08-03 19:52:25.679307	2013-08-03 19:52:25.679307	135
16738	69627	45243	2013-08-03 19:52:25.6903	2013-08-03 19:52:25.6903	135
16739	69627	45223	2013-08-03 19:52:25.701372	2013-08-03 19:52:25.701372	135
16740	69627	45203	2013-08-03 19:52:25.710689	2013-08-03 19:52:25.710689	135
16741	69627	45183	2013-08-03 19:52:25.719836	2013-08-03 19:52:25.719836	135
16742	69627	45163	2013-08-03 19:52:25.728042	2013-08-03 19:52:25.728042	135
16743	69627	45143	2013-08-03 19:52:25.732556	2013-08-03 19:52:25.732556	135
16744	70510	4518	2013-08-03 19:52:25.760754	2013-08-03 19:52:25.760754	135
16745	70409	4538	2013-08-03 19:52:25.770133	2013-08-03 19:52:25.770133	135
16746	70401	4415	2013-08-03 19:52:25.779712	2013-08-03 19:52:25.779712	135
16747	70003	4435	2013-08-03 19:52:25.791158	2013-08-03 19:52:25.791158	135
16748	69961	4455	2013-08-03 19:52:25.80578	2013-08-03 19:52:25.80578	135
16749	69906	4401	2013-08-03 19:52:25.822381	2013-08-03 19:52:25.822381	135
16750	69865	4421	2013-08-03 19:52:25.839134	2013-08-03 19:52:25.839134	135
16751	69784	4441	2013-08-03 19:52:25.854906	2013-08-03 19:52:25.854906	135
16752	69728	4461	2013-08-03 19:52:25.863001	2013-08-03 19:52:25.863001	135
16753	69670	4481	2013-08-03 19:52:25.870653	2013-08-03 19:52:25.870653	135
16754	69606	4501	2013-08-03 19:52:25.881291	2013-08-03 19:52:25.881291	135
16755	69587	4497	2013-08-03 19:52:25.899104	2013-08-03 19:52:25.899104	135
16756	69565	4517	2013-08-03 19:52:25.917014	2013-08-03 19:52:25.917014	135
16757	69558	3115	2013-08-03 19:52:25.937175	2013-08-03 19:52:25.937175	135
16758	70511	30365	2013-08-03 19:52:25.963353	2013-08-03 19:52:25.963353	135
16759	70410	30345	2013-08-03 19:52:25.980018	2013-08-03 19:52:25.980018	135
16760	70403	30325	2013-08-03 19:52:25.998107	2013-08-03 19:52:25.998107	135
16761	70004	30305	2013-08-03 19:52:26.012266	2013-08-03 19:52:26.012266	135
16762	69963	30285	2013-08-03 19:52:26.030474	2013-08-03 19:52:26.030474	135
16763	69908	30265	2013-08-03 19:52:26.048527	2013-08-03 19:52:26.048527	135
16764	69867	30245	2013-08-03 19:52:26.059243	2013-08-03 19:52:26.059243	135
16765	69785	30225	2013-08-03 19:52:26.070457	2013-08-03 19:52:26.070457	135
16766	69736	30145	2013-08-03 19:52:26.086757	2013-08-03 19:52:26.086757	135
16767	69724	29577	2013-08-03 19:52:26.105951	2013-08-03 19:52:26.105951	135
16768	69667	29437	2013-08-03 19:52:26.179334	2013-08-03 19:52:26.179334	135
16769	69656	24698	2013-08-03 19:52:26.198763	2013-08-03 19:52:26.198763	135
16770	69607	24272	2013-08-03 19:52:26.216943	2013-08-03 19:52:26.216943	135
16771	69592	21540	2013-08-03 19:52:26.226737	2013-08-03 19:52:26.226737	135
16772	69569	45043	2013-08-03 19:52:26.234553	2013-08-03 19:52:26.234553	135
16773	69563	4415	2013-08-03 19:52:26.243953	2013-08-03 19:52:26.243953	135
16774	69559	3135	2013-08-03 19:52:26.251329	2013-08-03 19:52:26.251329	135
16775	70609	14086	2013-08-03 19:52:26.27508	2013-08-03 19:52:26.27508	135
16776	70609	14066	2013-08-03 19:52:26.28012	2013-08-03 19:52:26.28012	135
16777	70412	14100	2013-08-03 19:52:26.290495	2013-08-03 19:52:26.290495	135
16778	70412	14046	2013-08-03 19:52:26.296728	2013-08-03 19:52:26.296728	135
16779	69792	14026	2013-08-03 19:52:26.314692	2013-08-03 19:52:26.314692	135
16780	69792	14006	2013-08-03 19:52:26.326941	2013-08-03 19:52:26.326941	135
16781	69787	13986	2013-08-03 19:52:26.335921	2013-08-03 19:52:26.335921	135
16782	69787	13950	2013-08-03 19:52:26.340045	2013-08-03 19:52:26.340045	135
16783	69727	13837	2013-08-03 19:52:26.349903	2013-08-03 19:52:26.349903	135
16784	69727	4421	2013-08-03 19:52:26.355021	2013-08-03 19:52:26.355021	135
16785	69658	3140	2013-08-03 19:52:26.373039	2013-08-03 19:52:26.373039	135
16786	69658	2832	2013-08-03 19:52:26.385017	2013-08-03 19:52:26.385017	135
16787	69600	2910	2013-08-03 19:52:26.40735	2013-08-03 19:52:26.40735	135
16788	69600	2458	2013-08-03 19:52:26.417176	2013-08-03 19:52:26.417176	135
16789	70611	20638	2013-08-03 19:52:26.469584	2013-08-03 19:52:26.469584	135
16790	70611	21745	2013-08-03 19:52:26.477678	2013-08-03 19:52:26.477678	135
16791	70611	44903	2013-08-03 19:52:26.481448	2013-08-03 19:52:26.481448	135
16792	69797	44523	2013-08-03 19:52:26.495207	2013-08-03 19:52:26.495207	135
16793	69797	4532	2013-08-03 19:52:26.502021	2013-08-03 19:52:26.502021	135
16794	69797	44743	2013-08-03 19:52:26.507248	2013-08-03 19:52:26.507248	135
16795	69730	3952	2013-08-03 19:52:26.516171	2013-08-03 19:52:26.516171	135
16796	69730	4325	2013-08-03 19:52:26.521676	2013-08-03 19:52:26.521676	135
16797	69730	44463	2013-08-03 19:52:26.528128	2013-08-03 19:52:26.528128	135
16798	69657	13246	2013-08-03 19:52:26.538066	2013-08-03 19:52:26.538066	135
16799	69657	41295	2013-08-03 19:52:26.542432	2013-08-03 19:52:26.542432	135
16800	69657	14500	2013-08-03 19:52:26.546639	2013-08-03 19:52:26.546639	135
16801	69602	4415	2013-08-03 19:52:26.554839	2013-08-03 19:52:26.554839	135
16802	69602	4517	2013-08-03 19:52:26.558656	2013-08-03 19:52:26.558656	135
16803	69602	14560	2013-08-03 19:52:26.562077	2013-08-03 19:52:26.562077	135
16804	69570	8820	2013-08-03 19:52:26.570834	2013-08-03 19:52:26.570834	135
16805	69570	3038	2013-08-03 19:52:26.574819	2013-08-03 19:52:26.574819	135
16806	69570	2418	2013-08-03 19:52:26.578724	2013-08-03 19:52:26.578724	135
16807	70413	5975	2013-08-03 19:52:26.607198	2013-08-03 19:52:26.607198	135
16808	70413	2799	2013-08-03 19:52:26.619041	2013-08-03 19:52:26.619041	135
16809	70413	2776	2013-08-03 19:52:26.629708	2013-08-03 19:52:26.629708	135
16810	70063	37223	2013-08-03 19:52:26.652112	2013-08-03 19:52:26.652112	135
16811	70063	39763	2013-08-03 19:52:26.664037	2013-08-03 19:52:26.664037	135
16812	70063	28278	2013-08-03 19:52:26.675226	2013-08-03 19:52:26.675226	135
16813	69811	39643	2013-08-03 19:52:26.683847	2013-08-03 19:52:26.683847	135
16814	69811	39623	2013-08-03 19:52:26.689097	2013-08-03 19:52:26.689097	135
16815	69811	17858	2013-08-03 19:52:26.697348	2013-08-03 19:52:26.697348	135
16816	69729	2538	2013-08-03 19:52:26.717945	2013-08-03 19:52:26.717945	135
16817	69729	20448	2013-08-03 19:52:26.729852	2013-08-03 19:52:26.729852	135
16818	69729	2638	2013-08-03 19:52:26.741571	2013-08-03 19:52:26.741571	135
16819	69652	2525	2013-08-03 19:52:26.76505	2013-08-03 19:52:26.76505	135
16820	69652	2590	2013-08-03 19:52:26.776029	2013-08-03 19:52:26.776029	135
16821	69652	2544	2013-08-03 19:52:26.787948	2013-08-03 19:52:26.787948	135
16822	69577	2569	2013-08-03 19:52:26.807211	2013-08-03 19:52:26.807211	135
16823	69577	2458	2013-08-03 19:52:26.819676	2013-08-03 19:52:26.819676	135
16824	69577	2358	2013-08-03 19:52:26.831005	2013-08-03 19:52:26.831005	135
16825	70580	25112	2013-08-03 19:52:26.864554	2013-08-03 19:52:26.864554	135
16826	70512	25092	2013-08-03 19:52:26.873992	2013-08-03 19:52:26.873992	135
16827	70411	25072	2013-08-03 19:52:26.892028	2013-08-03 19:52:26.892028	135
16828	70156	25052	2013-08-03 19:52:26.913405	2013-08-03 19:52:26.913405	135
16829	70005	25105	2013-08-03 19:52:26.929964	2013-08-03 19:52:26.929964	135
16830	69985	25032	2013-08-03 19:52:26.953078	2013-08-03 19:52:26.953078	135
16831	69965	25012	2013-08-03 19:52:26.975897	2013-08-03 19:52:26.975897	135
16832	69916	24992	2013-08-03 19:52:26.999801	2013-08-03 19:52:26.999801	135
16833	69850	24972	2013-08-03 19:52:27.017116	2013-08-03 19:52:27.017116	135
16834	69786	24952	2013-08-03 19:52:27.028833	2013-08-03 19:52:27.028833	135
16835	69731	24932	2013-08-03 19:52:27.040185	2013-08-03 19:52:27.040185	135
16836	69665	24912	2013-08-03 19:52:27.048034	2013-08-03 19:52:27.048034	135
16837	69648	24892	2013-08-03 19:52:27.055694	2013-08-03 19:52:27.055694	135
16838	69609	44943	2013-08-03 19:52:27.067697	2013-08-03 19:52:27.067697	135
16839	69596	22637	2013-08-03 19:52:27.090197	2013-08-03 19:52:27.090197	135
16840	69571	1339	2013-08-03 19:52:27.113444	2013-08-03 19:52:27.113444	135
16841	69564	4401	2013-08-03 19:52:27.135909	2013-08-03 19:52:27.135909	135
16842	69552	3118	2013-08-03 19:52:27.15734	2013-08-03 19:52:27.15734	135
16843	69775	25372	2013-08-03 19:52:27.204065	2013-08-03 19:52:27.204065	135
16844	69775	25352	2013-08-03 19:52:27.215512	2013-08-03 19:52:27.215512	135
16845	69775	25405	2013-08-03 19:52:27.227345	2013-08-03 19:52:27.227345	135
16846	69775	25332	2013-08-03 19:52:27.239538	2013-08-03 19:52:27.239538	135
16847	69775	25312	2013-08-03 19:52:27.251019	2013-08-03 19:52:27.251019	135
16848	69775	25292	2013-08-03 19:52:27.26235	2013-08-03 19:52:27.26235	135
16849	69775	25180	2013-08-03 19:52:27.273467	2013-08-03 19:52:27.273467	135
16850	69775	25237	2013-08-03 19:52:27.285184	2013-08-03 19:52:27.285184	135
16851	69775	25272	2013-08-03 19:52:27.297793	2013-08-03 19:52:27.297793	135
16852	69695	25252	2013-08-03 19:52:27.322711	2013-08-03 19:52:27.322711	135
16853	69695	25232	2013-08-03 19:52:27.329675	2013-08-03 19:52:27.329675	135
16854	69695	25212	2013-08-03 19:52:27.334463	2013-08-03 19:52:27.334463	135
16855	69695	25192	2013-08-03 19:52:27.339073	2013-08-03 19:52:27.339073	135
16856	69695	25172	2013-08-03 19:52:27.343837	2013-08-03 19:52:27.343837	135
16857	69695	25152	2013-08-03 19:52:27.348252	2013-08-03 19:52:27.348252	135
16858	69695	25198	2013-08-03 19:52:27.352342	2013-08-03 19:52:27.352342	135
16859	69695	25132	2013-08-03 19:52:27.35663	2013-08-03 19:52:27.35663	135
16860	69695	24992	2013-08-03 19:52:27.360676	2013-08-03 19:52:27.360676	135
16861	70415	39603	2013-08-03 19:52:27.378357	2013-08-03 19:52:27.378357	135
16862	70415	39583	2013-08-03 19:52:27.433643	2013-08-03 19:52:27.433643	135
16863	70415	39563	2013-08-03 19:52:27.443649	2013-08-03 19:52:27.443649	135
16864	70415	39543	2013-08-03 19:52:27.448791	2013-08-03 19:52:27.448791	135
16865	70415	39523	2013-08-03 19:52:27.456249	2013-08-03 19:52:27.456249	135
16866	70415	39503	2013-08-03 19:52:27.464266	2013-08-03 19:52:27.464266	135
16867	70415	39483	2013-08-03 19:52:27.472768	2013-08-03 19:52:27.472768	135
16868	70415	39463	2013-08-03 19:52:27.483353	2013-08-03 19:52:27.483353	135
16869	70415	39443	2013-08-03 19:52:27.494798	2013-08-03 19:52:27.494798	135
16870	70415	2628	2013-08-03 19:52:27.506676	2013-08-03 19:52:27.506676	135
16871	70415	20072	2013-08-03 19:52:27.51805	2013-08-03 19:52:27.51805	135
16872	70415	36263	2013-08-03 19:52:27.528323	2013-08-03 19:52:27.528323	135
16873	70415	37603	2013-08-03 19:52:27.537289	2013-08-03 19:52:27.537289	135
16874	70415	2475	2013-08-03 19:52:27.548857	2013-08-03 19:52:27.548857	135
16875	70415	2435	2013-08-03 19:52:27.564096	2013-08-03 19:52:27.564096	135
16876	70415	2477	2013-08-03 19:52:27.573151	2013-08-03 19:52:27.573151	135
16877	70415	2441	2013-08-03 19:52:27.579314	2013-08-03 19:52:27.579314	135
16878	70415	2364	2013-08-03 19:52:27.584538	2013-08-03 19:52:27.584538	135
16879	70415	2494	2013-08-03 19:52:27.589561	2013-08-03 19:52:27.589561	135
16880	70416	3261	2013-08-03 19:52:27.613845	2013-08-03 19:52:27.613845	135
16881	70416	3281	2013-08-03 19:52:27.620169	2013-08-03 19:52:27.620169	135
16882	70416	3210	2013-08-03 19:52:27.625614	2013-08-03 19:52:27.625614	135
16883	69821	17048	2013-08-03 19:52:27.638479	2013-08-03 19:52:27.638479	135
16884	69821	17068	2013-08-03 19:52:27.64399	2013-08-03 19:52:27.64399	135
16885	69821	3009	2013-08-03 19:52:27.648183	2013-08-03 19:52:27.648183	135
16886	69654	3106	2013-08-03 19:52:27.656529	2013-08-03 19:52:27.656529	135
16887	69654	3126	2013-08-03 19:52:27.661405	2013-08-03 19:52:27.661405	135
16888	69654	3019	2013-08-03 19:52:27.667929	2013-08-03 19:52:27.667929	135
16889	69645	3134	2013-08-03 19:52:27.682902	2013-08-03 19:52:27.682902	135
16890	69645	3035	2013-08-03 19:52:27.693134	2013-08-03 19:52:27.693134	135
16891	69645	3114	2013-08-03 19:52:27.704443	2013-08-03 19:52:27.704443	135
16892	69613	2638	2013-08-03 19:52:27.728258	2013-08-03 19:52:27.728258	135
16893	69613	20448	2013-08-03 19:52:27.738984	2013-08-03 19:52:27.738984	135
16894	69613	2538	2013-08-03 19:52:27.74972	2013-08-03 19:52:27.74972	135
16895	70002	42155	2013-08-03 19:52:27.829205	2013-08-03 19:52:27.829205	135
16896	69957	29597	2013-08-03 19:52:27.853674	2013-08-03 19:52:27.853674	135
16897	69860	7459	2013-08-03 19:52:27.876655	2013-08-03 19:52:27.876655	135
16898	69781	4524	2013-08-03 19:52:27.901415	2013-08-03 19:52:27.901415	135
16899	69762	44603	2013-08-03 19:52:27.92409	2013-08-03 19:52:27.92409	135
16900	69669	3770	2013-08-03 19:52:27.937469	2013-08-03 19:52:27.937469	135
16901	69626	12646	2013-08-03 19:52:27.946872	2013-08-03 19:52:27.946872	135
16902	69611	3118	2013-08-03 19:52:27.958061	2013-08-03 19:52:27.958061	135
16903	69605	3135	2013-08-03 19:52:27.970978	2013-08-03 19:52:27.970978	135
16904	69603	3115	2013-08-03 19:52:27.989469	2013-08-03 19:52:27.989469	135
16905	69593	3138	2013-08-03 19:52:27.998727	2013-08-03 19:52:27.998727	135
16906	69584	3120	2013-08-03 19:52:28.01392	2013-08-03 19:52:28.01392	135
16907	70457	42555	2013-08-03 19:52:28.080338	2013-08-03 19:52:28.080338	135
16908	70457	42535	2013-08-03 19:52:28.091099	2013-08-03 19:52:28.091099	135
16909	69778	42515	2013-08-03 19:52:28.113655	2013-08-03 19:52:28.113655	135
16910	69778	42495	2013-08-03 19:52:28.125186	2013-08-03 19:52:28.125186	135
16911	69671	42475	2013-08-03 19:52:28.147539	2013-08-03 19:52:28.147539	135
16912	69671	42455	2013-08-03 19:52:28.159328	2013-08-03 19:52:28.159328	135
16913	69659	42435	2013-08-03 19:52:28.18333	2013-08-03 19:52:28.18333	135
16914	69659	42415	2013-08-03 19:52:28.194899	2013-08-03 19:52:28.194899	135
16915	69631	42395	2013-08-03 19:52:28.217822	2013-08-03 19:52:28.217822	135
16916	69631	42375	2013-08-03 19:52:28.229342	2013-08-03 19:52:28.229342	135
16917	69574	42355	2013-08-03 19:52:28.251711	2013-08-03 19:52:28.251711	135
16918	69574	42335	2013-08-03 19:52:28.261387	2013-08-03 19:52:28.261387	135
16919	69560	42315	2013-08-03 19:52:28.272226	2013-08-03 19:52:28.272226	135
16920	69560	42295	2013-08-03 19:52:28.277074	2013-08-03 19:52:28.277074	135
16921	70479	29737	2013-08-03 19:52:28.3397	2013-08-03 19:52:28.3397	135
16922	70008	29717	2013-08-03 19:52:28.358512	2013-08-03 19:52:28.358512	135
16923	69826	29697	2013-08-03 19:52:28.370153	2013-08-03 19:52:28.370153	135
16924	69825	29677	2013-08-03 19:52:28.382151	2013-08-03 19:52:28.382151	135
16925	69668	29597	2013-08-03 19:52:28.391779	2013-08-03 19:52:28.391779	135
16926	69653	29640	2013-08-03 19:52:28.400862	2013-08-03 19:52:28.400862	135
16927	69650	29657	2013-08-03 19:52:28.41204	2013-08-03 19:52:28.41204	135
16928	69643	25012	2013-08-03 19:52:28.421724	2013-08-03 19:52:28.421724	135
16929	69615	42295	2013-08-03 19:52:28.430373	2013-08-03 19:52:28.430373	135
16930	69572	44963	2013-08-03 19:52:28.443061	2013-08-03 19:52:28.443061	135
16931	69567	4455	2013-08-03 19:52:28.464045	2013-08-03 19:52:28.464045	135
16932	69557	3000	2013-08-03 19:52:28.482278	2013-08-03 19:52:28.482278	135
16933	70687	31878	2013-08-03 19:52:28.502164	2013-08-03 19:52:28.502164	135
16934	70602	31858	2013-08-03 19:52:28.510585	2013-08-03 19:52:28.510585	135
16935	70418	31838	2013-08-03 19:52:28.517893	2013-08-03 19:52:28.517893	135
16936	70293	31818	2013-08-03 19:52:28.529315	2013-08-03 19:52:28.529315	135
16937	70233	31795	2013-08-03 19:52:28.536723	2013-08-03 19:52:28.536723	135
16938	70130	6739	2013-08-03 19:52:28.544068	2013-08-03 19:52:28.544068	135
16939	70030	22777	2013-08-03 19:52:28.550976	2013-08-03 19:52:28.550976	135
16940	70009	1328	2013-08-03 19:52:28.558002	2013-08-03 19:52:28.558002	135
16941	69848	3869	2013-08-03 19:52:28.566089	2013-08-03 19:52:28.566089	135
16942	69725	13140	2013-08-03 19:52:28.57423	2013-08-03 19:52:28.57423	135
16943	69666	17721	2013-08-03 19:52:28.582897	2013-08-03 19:52:28.582897	135
16944	69661	2377	2013-08-03 19:52:28.591894	2013-08-03 19:52:28.591894	135
16945	69642	2420	2013-08-03 19:52:28.599662	2013-08-03 19:52:28.599662	135
16946	69624	2397	2013-08-03 19:52:28.609301	2013-08-03 19:52:28.609301	135
16947	69618	19688	2013-08-03 19:52:28.617708	2013-08-03 19:52:28.617708	135
16948	69597	2498	2013-08-03 19:52:28.627636	2013-08-03 19:52:28.627636	135
16949	69583	2360	2013-08-03 19:52:28.716842	2013-08-03 19:52:28.716842	135
16950	69561	2500	2013-08-03 19:52:28.726594	2013-08-03 19:52:28.726594	135
16951	70837	32118	2013-08-03 19:52:28.760677	2013-08-03 19:52:28.760677	135
16952	70501	32098	2013-08-03 19:52:28.772793	2013-08-03 19:52:28.772793	135
16953	70083	32078	2013-08-03 19:52:28.78291	2013-08-03 19:52:28.78291	135
16954	70078	32058	2013-08-03 19:52:28.792734	2013-08-03 19:52:28.792734	135
16955	69977	32038	2013-08-03 19:52:28.803579	2013-08-03 19:52:28.803579	135
16956	69780	32018	2013-08-03 19:52:28.82059	2013-08-03 19:52:28.82059	135
16957	69688	31998	2013-08-03 19:52:28.842709	2013-08-03 19:52:28.842709	135
16958	69655	31978	2013-08-03 19:52:28.866455	2013-08-03 19:52:28.866455	135
16959	69633	31958	2013-08-03 19:52:28.889938	2013-08-03 19:52:28.889938	135
16960	69630	31938	2013-08-03 19:52:28.913519	2013-08-03 19:52:28.913519	135
16961	69629	31918	2013-08-03 19:52:28.930881	2013-08-03 19:52:28.930881	135
16962	70419	13163	2013-08-03 19:52:28.987418	2013-08-03 19:52:28.987418	135
16963	70419	6320	2013-08-03 19:52:29.000874	2013-08-03 19:52:29.000874	135
16964	69883	6340	2013-08-03 19:52:29.023645	2013-08-03 19:52:29.023645	135
16965	69883	6360	2013-08-03 19:52:29.034594	2013-08-03 19:52:29.034594	135
16966	69841	6380	2013-08-03 19:52:29.059539	2013-08-03 19:52:29.059539	135
16967	69841	6400	2013-08-03 19:52:29.071371	2013-08-03 19:52:29.071371	135
16968	69735	4518	2013-08-03 19:52:29.09252	2013-08-03 19:52:29.09252	135
16969	69735	4464	2013-08-03 19:52:29.102933	2013-08-03 19:52:29.102933	135
16970	69649	4332	2013-08-03 19:52:29.12611	2013-08-03 19:52:29.12611	135
16971	69649	24757	2013-08-03 19:52:29.136691	2013-08-03 19:52:29.136691	135
16972	69619	40163	2013-08-03 19:52:29.158699	2013-08-03 19:52:29.158699	135
16973	69619	3020	2013-08-03 19:52:29.169561	2013-08-03 19:52:29.169561	135
16974	69554	2840	2013-08-03 19:52:29.191911	2013-08-03 19:52:29.191911	135
16975	69554	2478	2013-08-03 19:52:29.203629	2013-08-03 19:52:29.203629	135
16976	70603	32480	2013-08-03 19:52:29.263341	2013-08-03 19:52:29.263341	135
16977	70421	32460	2013-08-03 19:52:29.288109	2013-08-03 19:52:29.288109	135
16978	70405	32455	2013-08-03 19:52:29.311167	2013-08-03 19:52:29.311167	135
16979	70308	32440	2013-08-03 19:52:29.334048	2013-08-03 19:52:29.334048	135
16980	70010	32420	2013-08-03 19:52:29.357612	2013-08-03 19:52:29.357612	135
16981	69969	32400	2013-08-03 19:52:29.380202	2013-08-03 19:52:29.380202	135
16982	69844	32380	2013-08-03 19:52:29.397488	2013-08-03 19:52:29.397488	135
16983	69734	32360	2013-08-03 19:52:29.409763	2013-08-03 19:52:29.409763	135
16984	69662	32340	2013-08-03 19:52:29.417967	2013-08-03 19:52:29.417967	135
16985	69651	32320	2013-08-03 19:52:29.425537	2013-08-03 19:52:29.425537	135
16986	69632	32300	2013-08-03 19:52:29.433554	2013-08-03 19:52:29.433554	135
16987	69621	32118	2013-08-03 19:52:29.442422	2013-08-03 19:52:29.442422	135
16988	69568	25112	2013-08-03 19:52:29.453461	2013-08-03 19:52:29.453461	135
16989	69555	6739	2013-08-03 19:52:29.476088	2013-08-03 19:52:29.476088	135
16990	69553	3289	2013-08-03 19:52:29.497789	2013-08-03 19:52:29.497789	135
16991	69551	3034	2013-08-03 19:52:29.520793	2013-08-03 19:52:29.520793	135
16992	71782	46263	2013-08-03 19:57:23.464632	2013-08-03 19:57:23.464632	136
16993	71687	46243	2013-08-03 19:57:23.479942	2013-08-03 19:57:23.479942	136
16994	71480	46223	2013-08-03 19:57:23.494288	2013-08-03 19:57:23.494288	136
16995	71354	46203	2013-08-03 19:57:23.509087	2013-08-03 19:57:23.509087	136
16996	71220	46183	2013-08-03 19:57:23.523116	2013-08-03 19:57:23.523116	136
16997	71169	46163	2013-08-03 19:57:23.537102	2013-08-03 19:57:23.537102	136
16998	71155	46143	2013-08-03 19:57:23.553703	2013-08-03 19:57:23.553703	136
16999	71077	46123	2013-08-03 19:57:23.564176	2013-08-03 19:57:23.564176	136
17000	71075	46103	2013-08-03 19:57:23.576593	2013-08-03 19:57:23.576593	136
17001	70972	46083	2013-08-03 19:57:23.588153	2013-08-03 19:57:23.588153	136
17002	70954	43215	2013-08-03 19:57:23.597007	2013-08-03 19:57:23.597007	136
17003	70948	32740	2013-08-03 19:57:23.605952	2013-08-03 19:57:23.605952	136
17004	70943	25552	2013-08-03 19:57:23.616453	2013-08-03 19:57:23.616453	136
17005	70871	46003	2013-08-03 19:57:23.624729	2013-08-03 19:57:23.624729	136
17006	70854	44583	2013-08-03 19:57:23.63304	2013-08-03 19:57:23.63304	136
17007	70843	14306	2013-08-03 19:57:23.644712	2013-08-03 19:57:23.644712	136
17008	71783	30585	2013-08-03 19:57:23.691832	2013-08-03 19:57:23.691832	136
17009	71773	30565	2013-08-03 19:57:23.703325	2013-08-03 19:57:23.703325	136
17010	71691	30545	2013-08-03 19:57:23.715566	2013-08-03 19:57:23.715566	136
17011	71481	30525	2013-08-03 19:57:23.728134	2013-08-03 19:57:23.728134	136
17012	71361	30505	2013-08-03 19:57:23.737107	2013-08-03 19:57:23.737107	136
17013	71221	30485	2013-08-03 19:57:23.746559	2013-08-03 19:57:23.746559	136
17014	71172	30465	2013-08-03 19:57:23.757939	2013-08-03 19:57:23.757939	136
17015	71164	30445	2013-08-03 19:57:23.767788	2013-08-03 19:57:23.767788	136
17016	71078	30425	2013-08-03 19:57:23.777127	2013-08-03 19:57:23.777127	136
17017	71040	30405	2013-08-03 19:57:23.78762	2013-08-03 19:57:23.78762	136
17018	70978	30325	2013-08-03 19:57:23.798188	2013-08-03 19:57:23.798188	136
17019	70957	29737	2013-08-03 19:57:23.807916	2013-08-03 19:57:23.807916	136
17020	70950	25512	2013-08-03 19:57:23.81534	2013-08-03 19:57:23.81534	136
17021	70949	25052	2013-08-03 19:57:23.823667	2013-08-03 19:57:23.823667	136
17022	70936	20638	2013-08-03 19:57:23.831915	2013-08-03 19:57:23.831915	136
17023	70864	21745	2013-08-03 19:57:23.842218	2013-08-03 19:57:23.842218	136
17024	70855	3041	2013-08-03 19:57:23.850664	2013-08-03 19:57:23.850664	136
17025	71223	14466	2013-08-03 19:57:23.878368	2013-08-03 19:57:23.878368	136
17026	71223	3081	2013-08-03 19:57:23.88548	2013-08-03 19:57:23.88548	136
17027	71177	14446	2013-08-03 19:57:23.898309	2013-08-03 19:57:23.898309	136
17028	71177	14330	2013-08-03 19:57:23.905744	2013-08-03 19:57:23.905744	136
17029	71175	14430	2013-08-03 19:57:23.91391	2013-08-03 19:57:23.91391	136
17030	71175	14401	2013-08-03 19:57:23.917783	2013-08-03 19:57:23.917783	136
17031	70962	4889	2013-08-03 19:57:23.92453	2013-08-03 19:57:23.92453	136
17032	70962	5010	2013-08-03 19:57:23.928459	2013-08-03 19:57:23.928459	136
17033	70955	14426	2013-08-03 19:57:23.939817	2013-08-03 19:57:23.939817	136
17034	70955	5009	2013-08-03 19:57:23.945112	2013-08-03 19:57:23.945112	136
17035	70941	14406	2013-08-03 19:57:23.959476	2013-08-03 19:57:23.959476	136
17036	70941	14386	2013-08-03 19:57:23.964565	2013-08-03 19:57:23.964565	136
17037	70878	14366	2013-08-03 19:57:23.982528	2013-08-03 19:57:23.982528	136
17038	70878	29337	2013-08-03 19:57:23.992526	2013-08-03 19:57:23.992526	136
17039	71173	3041	2013-08-03 19:57:24.076916	2013-08-03 19:57:24.076916	136
17040	71173	44903	2013-08-03 19:57:24.08113	2013-08-03 19:57:24.08113	136
17041	71173	15920	2013-08-03 19:57:24.084941	2013-08-03 19:57:24.084941	136
17042	70974	45943	2013-08-03 19:57:24.0918	2013-08-03 19:57:24.0918	136
17043	70974	4688	2013-08-03 19:57:24.095494	2013-08-03 19:57:24.095494	136
17044	70974	45623	2013-08-03 19:57:24.09881	2013-08-03 19:57:24.09881	136
17045	70963	25112	2013-08-03 19:57:24.10797	2013-08-03 19:57:24.10797	136
17046	70963	2397	2013-08-03 19:57:24.114624	2013-08-03 19:57:24.114624	136
17047	70963	4455	2013-08-03 19:57:24.120568	2013-08-03 19:57:24.120568	136
17048	70865	7459	2013-08-03 19:57:24.132453	2013-08-03 19:57:24.132453	136
17049	70865	4401	2013-08-03 19:57:24.136584	2013-08-03 19:57:24.136584	136
17050	70865	44583	2013-08-03 19:57:24.141406	2013-08-03 19:57:24.141406	136
17051	70847	43663	2013-08-03 19:57:24.15309	2013-08-03 19:57:24.15309	136
17052	70847	3938	2013-08-03 19:57:24.158641	2013-08-03 19:57:24.158641	136
17053	70847	1457	2013-08-03 19:57:24.164712	2013-08-03 19:57:24.164712	136
17054	71225	40163	2013-08-03 19:57:24.183113	2013-08-03 19:57:24.183113	136
17055	71225	40023	2013-08-03 19:57:24.187017	2013-08-03 19:57:24.187017	136
17056	71225	24337	2013-08-03 19:57:24.192522	2013-08-03 19:57:24.192522	136
17057	71174	35855	2013-08-03 19:57:24.199836	2013-08-03 19:57:24.199836	136
17058	71174	35615	2013-08-03 19:57:24.203604	2013-08-03 19:57:24.203604	136
17059	71174	3469	2013-08-03 19:57:24.211894	2013-08-03 19:57:24.211894	136
17060	71001	14560	2013-08-03 19:57:24.227899	2013-08-03 19:57:24.227899	136
17061	71001	3449	2013-08-03 19:57:24.232894	2013-08-03 19:57:24.232894	136
17062	71001	3309	2013-08-03 19:57:24.236347	2013-08-03 19:57:24.236347	136
17063	70980	3020	2013-08-03 19:57:24.255694	2013-08-03 19:57:24.255694	136
17064	70980	3120	2013-08-03 19:57:24.266156	2013-08-03 19:57:24.266156	136
17065	70980	3098	2013-08-03 19:57:24.27739	2013-08-03 19:57:24.27739	136
17066	70938	2910	2013-08-03 19:57:24.29908	2013-08-03 19:57:24.29908	136
17067	70938	2941	2013-08-03 19:57:24.311003	2013-08-03 19:57:24.311003	136
17068	70938	2678	2013-08-03 19:57:24.322724	2013-08-03 19:57:24.322724	136
17069	70868	2729	2013-08-03 19:57:24.345993	2013-08-03 19:57:24.345993	136
17070	70868	2638	2013-08-03 19:57:24.351471	2013-08-03 19:57:24.351471	136
17071	70868	11737	2013-08-03 19:57:24.355109	2013-08-03 19:57:24.355109	136
17072	71784	25760	2013-08-03 19:57:24.380107	2013-08-03 19:57:24.380107	136
17073	71692	25892	2013-08-03 19:57:24.390022	2013-08-03 19:57:24.390022	136
17074	71482	25872	2013-08-03 19:57:24.399407	2013-08-03 19:57:24.399407	136
17075	71222	25852	2013-08-03 19:57:24.417081	2013-08-03 19:57:24.417081	136
17076	71186	25832	2013-08-03 19:57:24.441515	2013-08-03 19:57:24.441515	136
17077	71168	25812	2013-08-03 19:57:24.464997	2013-08-03 19:57:24.464997	136
17078	71166	25792	2013-08-03 19:57:24.488983	2013-08-03 19:57:24.488983	136
17079	71080	25772	2013-08-03 19:57:24.510233	2013-08-03 19:57:24.510233	136
17080	71076	25752	2013-08-03 19:57:24.534717	2013-08-03 19:57:24.534717	136
17081	70976	25732	2013-08-03 19:57:24.547016	2013-08-03 19:57:24.547016	136
17082	70960	25712	2013-08-03 19:57:24.556699	2013-08-03 19:57:24.556699	136
17083	70956	25692	2013-08-03 19:57:24.567973	2013-08-03 19:57:24.567973	136
17084	70952	25672	2013-08-03 19:57:24.579727	2013-08-03 19:57:24.579727	136
17085	70869	25652	2013-08-03 19:57:24.591476	2013-08-03 19:57:24.591476	136
17086	70856	25632	2013-08-03 19:57:24.607587	2013-08-03 19:57:24.607587	136
17087	70853	25718	2013-08-03 19:57:24.631973	2013-08-03 19:57:24.631973	136
17088	70848	25612	2013-08-03 19:57:24.655239	2013-08-03 19:57:24.655239	136
17089	70842	25592	2013-08-03 19:57:24.677086	2013-08-03 19:57:24.677086	136
17090	71840	26172	2013-08-03 19:57:24.725747	2013-08-03 19:57:24.725747	136
17091	71840	26152	2013-08-03 19:57:24.737204	2013-08-03 19:57:24.737204	136
17092	71840	26132	2013-08-03 19:57:24.746447	2013-08-03 19:57:24.746447	136
17093	71840	26112	2013-08-03 19:57:24.757523	2013-08-03 19:57:24.757523	136
17094	71840	26092	2013-08-03 19:57:24.76892	2013-08-03 19:57:24.76892	136
17095	71840	26072	2013-08-03 19:57:24.780269	2013-08-03 19:57:24.780269	136
17096	71840	25915	2013-08-03 19:57:24.791369	2013-08-03 19:57:24.791369	136
17097	71840	26052	2013-08-03 19:57:24.802322	2013-08-03 19:57:24.802322	136
17098	71840	26032	2013-08-03 19:57:24.810182	2013-08-03 19:57:24.810182	136
17099	71693	26012	2013-08-03 19:57:24.824646	2013-08-03 19:57:24.824646	136
17100	71693	26025	2013-08-03 19:57:24.83	2013-08-03 19:57:24.83	136
17101	71693	25992	2013-08-03 19:57:24.834774	2013-08-03 19:57:24.834774	136
17102	71693	25972	2013-08-03 19:57:24.83927	2013-08-03 19:57:24.83927	136
17103	71693	26058	2013-08-03 19:57:24.844248	2013-08-03 19:57:24.844248	136
17104	71693	25952	2013-08-03 19:57:24.84922	2013-08-03 19:57:24.84922	136
17105	71693	25932	2013-08-03 19:57:24.854659	2013-08-03 19:57:24.854659	136
17106	71693	26020	2013-08-03 19:57:24.860182	2013-08-03 19:57:24.860182	136
17107	71693	25792	2013-08-03 19:57:24.865977	2013-08-03 19:57:24.865977	136
17108	71892	35455	2013-08-03 19:57:24.889435	2013-08-03 19:57:24.889435	136
17109	71892	2578	2013-08-03 19:57:24.894669	2013-08-03 19:57:24.894669	136
17110	71892	2549	2013-08-03 19:57:24.899409	2013-08-03 19:57:24.899409	136
17111	71666	11631	2013-08-03 19:57:24.910233	2013-08-03 19:57:24.910233	136
17112	71666	12171	2013-08-03 19:57:24.914618	2013-08-03 19:57:24.914618	136
17113	71666	2588	2013-08-03 19:57:24.917721	2013-08-03 19:57:24.917721	136
17114	71617	2654	2013-08-03 19:57:24.924263	2013-08-03 19:57:24.924263	136
17115	71617	2598	2013-08-03 19:57:24.92765	2013-08-03 19:57:24.92765	136
17116	71617	2518	2013-08-03 19:57:24.932945	2013-08-03 19:57:24.932945	136
17117	71470	2618	2013-08-03 19:57:24.948218	2013-08-03 19:57:24.948218	136
17118	71470	2560	2013-08-03 19:57:24.954621	2013-08-03 19:57:24.954621	136
17119	71470	2540	2013-08-03 19:57:24.961335	2013-08-03 19:57:24.961335	136
17120	71442	2520	2013-08-03 19:57:24.984231	2013-08-03 19:57:24.984231	136
17121	71442	2554	2013-08-03 19:57:24.988709	2013-08-03 19:57:24.988709	136
17122	71442	3751	2013-08-03 19:57:24.993151	2013-08-03 19:57:24.993151	136
17123	71444	3194	2013-08-03 19:57:25.009172	2013-08-03 19:57:25.009172	136
17124	71444	3208	2013-08-03 19:57:25.015107	2013-08-03 19:57:25.015107	136
17125	71444	3228	2013-08-03 19:57:25.022642	2013-08-03 19:57:25.022642	136
17126	71227	3248	2013-08-03 19:57:25.045181	2013-08-03 19:57:25.045181	136
17127	71227	3268	2013-08-03 19:57:25.05728	2013-08-03 19:57:25.05728	136
17128	71227	3288	2013-08-03 19:57:25.068165	2013-08-03 19:57:25.068165	136
17129	70987	3174	2013-08-03 19:57:25.082368	2013-08-03 19:57:25.082368	136
17130	70987	3141	2013-08-03 19:57:25.090444	2013-08-03 19:57:25.090444	136
17131	70987	3161	2013-08-03 19:57:25.095785	2013-08-03 19:57:25.095785	136
17132	70983	3181	2013-08-03 19:57:25.105059	2013-08-03 19:57:25.105059	136
17133	70983	12598	2013-08-03 19:57:25.111487	2013-08-03 19:57:25.111487	136
17134	70983	3035	2013-08-03 19:57:25.118157	2013-08-03 19:57:25.118157	136
17135	70876	2518	2013-08-03 19:57:25.132396	2013-08-03 19:57:25.132396	136
17136	70876	2598	2013-08-03 19:57:25.139273	2013-08-03 19:57:25.139273	136
17137	70876	2654	2013-08-03 19:57:25.143714	2013-08-03 19:57:25.143714	136
17138	71654	43295	2013-08-03 19:57:25.239907	2013-08-03 19:57:25.239907	136
17139	71334	43275	2013-08-03 19:57:25.25009	2013-08-03 19:57:25.25009	136
17140	71206	30325	2013-08-03 19:57:25.259602	2013-08-03 19:57:25.259602	136
17141	71122	25732	2013-08-03 19:57:25.268219	2013-08-03 19:57:25.268219	136
17142	71045	46083	2013-08-03 19:57:25.282047	2013-08-03 19:57:25.282047	136
17143	70947	1291	2013-08-03 19:57:25.292837	2013-08-03 19:57:25.292837	136
17144	70944	2378	2013-08-03 19:57:25.301406	2013-08-03 19:57:25.301406	136
17145	70866	14206	2013-08-03 19:57:25.312111	2013-08-03 19:57:25.312111	136
17146	70860	23497	2013-08-03 19:57:25.333057	2013-08-03 19:57:25.333057	136
17147	70849	3134	2013-08-03 19:57:25.348013	2013-08-03 19:57:25.348013	136
17148	71718	32358	2013-08-03 19:57:25.37299	2013-08-03 19:57:25.37299	136
17149	71485	32338	2013-08-03 19:57:25.382553	2013-08-03 19:57:25.382553	136
17150	71228	32318	2013-08-03 19:57:25.391366	2013-08-03 19:57:25.391366	136
17151	71195	32298	2013-08-03 19:57:25.401127	2013-08-03 19:57:25.401127	136
17152	71187	45803	2013-08-03 19:57:25.4128	2013-08-03 19:57:25.4128	136
17153	71178	27405	2013-08-03 19:57:25.421788	2013-08-03 19:57:25.421788	136
17154	71170	2218	2013-08-03 19:57:25.430397	2013-08-03 19:57:25.430397	136
17155	71082	4435	2013-08-03 19:57:25.438361	2013-08-03 19:57:25.438361	136
17156	71054	4481	2013-08-03 19:57:25.446727	2013-08-03 19:57:25.446727	136
17157	71005	3138	2013-08-03 19:57:25.454333	2013-08-03 19:57:25.454333	136
17158	70990	3115	2013-08-03 19:57:25.461721	2013-08-03 19:57:25.461721	136
17159	70986	3000	2013-08-03 19:57:25.46861	2013-08-03 19:57:25.46861	136
17160	70979	10805	2013-08-03 19:57:25.47605	2013-08-03 19:57:25.47605	136
17161	70862	1464	2013-08-03 19:57:25.483495	2013-08-03 19:57:25.483495	136
17162	70858	1521	2013-08-03 19:57:25.490888	2013-08-03 19:57:25.490888	136
17163	70844	13968	2013-08-03 19:57:25.498577	2013-08-03 19:57:25.498577	136
17164	71684	32638	2013-08-03 19:57:25.52635	2013-08-03 19:57:25.52635	136
17165	71578	32618	2013-08-03 19:57:25.535196	2013-08-03 19:57:25.535196	136
17166	71486	32598	2013-08-03 19:57:25.54379	2013-08-03 19:57:25.54379	136
17167	71335	32578	2013-08-03 19:57:25.555821	2013-08-03 19:57:25.555821	136
17168	71224	32558	2013-08-03 19:57:25.568214	2013-08-03 19:57:25.568214	136
17169	70991	32538	2013-08-03 19:57:25.582265	2013-08-03 19:57:25.582265	136
17170	70942	32518	2013-08-03 19:57:25.589804	2013-08-03 19:57:25.589804	136
17171	70939	32498	2013-08-03 19:57:25.599355	2013-08-03 19:57:25.599355	136
17172	70875	32478	2013-08-03 19:57:25.611909	2013-08-03 19:57:25.611909	136
17173	70863	32458	2013-08-03 19:57:25.622295	2013-08-03 19:57:25.622295	136
17174	70852	32438	2013-08-03 19:57:25.629971	2013-08-03 19:57:25.629971	136
17175	70841	32435	2013-08-03 19:57:25.638544	2013-08-03 19:57:25.638544	136
17176	71229	5511	2013-08-03 19:57:25.661466	2013-08-03 19:57:25.661466	136
17177	71229	7201	2013-08-03 19:57:25.667864	2013-08-03 19:57:25.667864	136
17178	71176	7030	2013-08-03 19:57:25.689366	2013-08-03 19:57:25.689366	136
17179	71176	7046	2013-08-03 19:57:25.700914	2013-08-03 19:57:25.700914	136
17180	70995	4746	2013-08-03 19:57:25.724674	2013-08-03 19:57:25.724674	136
17181	70995	6801	2013-08-03 19:57:25.730989	2013-08-03 19:57:25.730989	136
17182	70989	6790	2013-08-03 19:57:25.745378	2013-08-03 19:57:25.745378	136
17183	70989	6730	2013-08-03 19:57:25.755527	2013-08-03 19:57:25.755527	136
17184	70873	20788	2013-08-03 19:57:25.775289	2013-08-03 19:57:25.775289	136
17185	70873	4766	2013-08-03 19:57:25.787332	2013-08-03 19:57:25.787332	136
17186	70861	4405	2013-08-03 19:57:25.811926	2013-08-03 19:57:25.811926	136
17187	70861	3289	2013-08-03 19:57:25.822982	2013-08-03 19:57:25.822982	136
17188	70845	2829	2013-08-03 19:57:25.833363	2013-08-03 19:57:25.833363	136
17189	70845	39763	2013-08-03 19:57:25.838242	2013-08-03 19:57:25.838242	136
17190	71719	32940	2013-08-03 19:57:25.87064	2013-08-03 19:57:25.87064	136
17191	71711	32920	2013-08-03 19:57:25.888973	2013-08-03 19:57:25.888973	136
17192	71479	32900	2013-08-03 19:57:25.905688	2013-08-03 19:57:25.905688	136
17193	71230	32880	2013-08-03 19:57:25.930368	2013-08-03 19:57:25.930368	136
17194	71188	32860	2013-08-03 19:57:25.941433	2013-08-03 19:57:25.941433	136
17195	71179	32840	2013-08-03 19:57:25.952873	2013-08-03 19:57:25.952873	136
17196	71089	32815	2013-08-03 19:57:25.962439	2013-08-03 19:57:25.962439	136
17197	71083	32820	2013-08-03 19:57:25.972902	2013-08-03 19:57:25.972902	136
17198	71039	32800	2013-08-03 19:57:25.982928	2013-08-03 19:57:25.982928	136
17199	71003	32558	2013-08-03 19:57:25.992211	2013-08-03 19:57:25.992211	136
17200	70998	30585	2013-08-03 19:57:26.00191	2013-08-03 19:57:26.00191	136
17201	70997	25760	2013-08-03 19:57:26.011486	2013-08-03 19:57:26.011486	136
17202	70994	46263	2013-08-03 19:57:26.022001	2013-08-03 19:57:26.022001	136
17203	70892	2400	2013-08-03 19:57:26.030897	2013-08-03 19:57:26.030897	136
17204	70859	3989	2013-08-03 19:57:26.037851	2013-08-03 19:57:26.037851	136
17205	70846	37223	2013-08-03 19:57:26.044614	2013-08-03 19:57:26.044614	136
17206	72327	47023	2013-08-03 20:02:24.612554	2013-08-03 20:02:24.612554	137
17207	72185	47003	2013-08-03 20:02:24.623069	2013-08-03 20:02:24.623069	137
17208	72168	46983	2013-08-03 20:02:24.631357	2013-08-03 20:02:24.631357	137
17209	72124	46963	2013-08-03 20:02:24.641502	2013-08-03 20:02:24.641502	137
17210	72090	46943	2013-08-03 20:02:24.659246	2013-08-03 20:02:24.659246	137
17211	72075	33160	2013-08-03 20:02:24.680713	2013-08-03 20:02:24.680713	137
17212	72061	26312	2013-08-03 20:02:24.704239	2013-08-03 20:02:24.704239	137
17213	72050	17050	2013-08-03 20:02:24.728684	2013-08-03 20:02:24.728684	137
17214	72012	14706	2013-08-03 20:02:24.752338	2013-08-03 20:02:24.752338	137
17215	72007	18841	2013-08-03 20:02:24.831166	2013-08-03 20:02:24.831166	137
17216	71992	3289	2013-08-03 20:02:24.854193	2013-08-03 20:02:24.854193	137
17217	71981	3255	2013-08-03 20:02:24.862194	2013-08-03 20:02:24.862194	137
17218	71980	46203	2013-08-03 20:02:24.870745	2013-08-03 20:02:24.870745	137
17219	72883	4748	2013-08-03 20:02:24.886221	2013-08-03 20:02:24.886221	137
17220	72883	4768	2013-08-03 20:02:24.890815	2013-08-03 20:02:24.890815	137
17221	72883	4788	2013-08-03 20:02:24.894121	2013-08-03 20:02:24.894121	137
17222	72883	4808	2013-08-03 20:02:24.898458	2013-08-03 20:02:24.898458	137
17223	72883	4828	2013-08-03 20:02:24.903372	2013-08-03 20:02:24.903372	137
17224	72883	4864	2013-08-03 20:02:24.910084	2013-08-03 20:02:24.910084	137
17225	72870	4844	2013-08-03 20:02:24.921724	2013-08-03 20:02:24.921724	137
17226	72870	4824	2013-08-03 20:02:24.931536	2013-08-03 20:02:24.931536	137
17227	72870	4804	2013-08-03 20:02:24.942795	2013-08-03 20:02:24.942795	137
17228	72870	4784	2013-08-03 20:02:24.954508	2013-08-03 20:02:24.954508	137
17229	72870	4764	2013-08-03 20:02:24.96991	2013-08-03 20:02:24.96991	137
17230	72870	4744	2013-08-03 20:02:24.976553	2013-08-03 20:02:24.976553	137
17231	72864	4724	2013-08-03 20:02:24.988268	2013-08-03 20:02:24.988268	137
17232	72864	3806	2013-08-03 20:02:24.992904	2013-08-03 20:02:24.992904	137
17233	72864	12258	2013-08-03 20:02:24.996943	2013-08-03 20:02:24.996943	137
17234	72864	4556	2013-08-03 20:02:25.000573	2013-08-03 20:02:25.000573	137
17235	72864	4696	2013-08-03 20:02:25.003999	2013-08-03 20:02:25.003999	137
17236	72864	3294	2013-08-03 20:02:25.008418	2013-08-03 20:02:25.008418	137
17237	72539	30620	2013-08-03 20:02:25.032413	2013-08-03 20:02:25.032413	137
17238	72487	30765	2013-08-03 20:02:25.041177	2013-08-03 20:02:25.041177	137
17239	72480	30745	2013-08-03 20:02:25.052714	2013-08-03 20:02:25.052714	137
17240	72371	30725	2013-08-03 20:02:25.071935	2013-08-03 20:02:25.071935	137
17241	72191	30705	2013-08-03 20:02:25.092613	2013-08-03 20:02:25.092613	137
17242	72184	30685	2013-08-03 20:02:25.115221	2013-08-03 20:02:25.115221	137
17243	72170	30665	2013-08-03 20:02:25.131857	2013-08-03 20:02:25.131857	137
17244	72125	30675	2013-08-03 20:02:25.150118	2013-08-03 20:02:25.150118	137
17245	72092	30645	2013-08-03 20:02:25.158451	2013-08-03 20:02:25.158451	137
17246	72076	26272	2013-08-03 20:02:25.167994	2013-08-03 20:02:25.167994	137
17247	72063	47023	2013-08-03 20:02:25.176242	2013-08-03 20:02:25.176242	137
17248	72053	17010	2013-08-03 20:02:25.191965	2013-08-03 20:02:25.191965	137
17249	72029	14666	2013-08-03 20:02:25.212524	2013-08-03 20:02:25.212524	137
17250	72016	2402	2013-08-03 20:02:25.239457	2013-08-03 20:02:25.239457	137
17251	72015	46863	2013-08-03 20:02:25.259722	2013-08-03 20:02:25.259722	137
17252	71994	16581	2013-08-03 20:02:25.268593	2013-08-03 20:02:25.268593	137
17253	71977	16850	2013-08-03 20:02:25.281145	2013-08-03 20:02:25.281145	137
17254	72729	14843	2013-08-03 20:02:25.31565	2013-08-03 20:02:25.31565	137
17255	72729	14806	2013-08-03 20:02:25.32692	2013-08-03 20:02:25.32692	137
17256	72490	14786	2013-08-03 20:02:25.349833	2013-08-03 20:02:25.349833	137
17257	72490	14760	2013-08-03 20:02:25.360828	2013-08-03 20:02:25.360828	137
17258	72340	14850	2013-08-03 20:02:25.383224	2013-08-03 20:02:25.383224	137
17259	72340	14766	2013-08-03 20:02:25.39475	2013-08-03 20:02:25.39475	137
17260	72106	14872	2013-08-03 20:02:25.418019	2013-08-03 20:02:25.418019	137
17261	72106	14661	2013-08-03 20:02:25.429222	2013-08-03 20:02:25.429222	137
17262	72030	4905	2013-08-03 20:02:25.451371	2013-08-03 20:02:25.451371	137
17263	72030	14715	2013-08-03 20:02:25.462264	2013-08-03 20:02:25.462264	137
17264	71991	4696	2013-08-03 20:02:25.484391	2013-08-03 20:02:25.484391	137
17265	71991	4556	2013-08-03 20:02:25.494296	2013-08-03 20:02:25.494296	137
17266	71986	12258	2013-08-03 20:02:25.514618	2013-08-03 20:02:25.514618	137
17267	71986	3294	2013-08-03 20:02:25.519394	2013-08-03 20:02:25.519394	137
17268	72734	18801	2013-08-03 20:02:25.538801	2013-08-03 20:02:25.538801	137
17269	72734	46803	2013-08-03 20:02:25.542682	2013-08-03 20:02:25.542682	137
17270	72734	16581	2013-08-03 20:02:25.546945	2013-08-03 20:02:25.546945	137
17271	72318	36003	2013-08-03 20:02:25.555193	2013-08-03 20:02:25.555193	137
17272	72318	43615	2013-08-03 20:02:25.55847	2013-08-03 20:02:25.55847	137
17273	72318	46523	2013-08-03 20:02:25.563237	2013-08-03 20:02:25.563237	137
17274	72171	32435	2013-08-03 20:02:25.573059	2013-08-03 20:02:25.573059	137
17275	72171	31918	2013-08-03 20:02:25.576419	2013-08-03 20:02:25.576419	137
17276	72171	16970	2013-08-03 20:02:25.579739	2013-08-03 20:02:25.579739	137
17277	72093	16820	2013-08-03 20:02:25.586034	2013-08-03 20:02:25.586034	137
17278	72093	14330	2013-08-03 20:02:25.588664	2013-08-03 20:02:25.588664	137
17279	72093	4788	2013-08-03 20:02:25.591181	2013-08-03 20:02:25.591181	137
17280	72033	4768	2013-08-03 20:02:25.602926	2013-08-03 20:02:25.602926	137
17281	72033	4748	2013-08-03 20:02:25.609919	2013-08-03 20:02:25.609919	137
17282	72033	4701	2013-08-03 20:02:25.613376	2013-08-03 20:02:25.613376	137
17283	72020	3989	2013-08-03 20:02:25.621116	2013-08-03 20:02:25.621116	137
17284	72020	3180	2013-08-03 20:02:25.624623	2013-08-03 20:02:25.624623	137
17285	72020	1521	2013-08-03 20:02:25.627652	2013-08-03 20:02:25.627652	137
17286	72742	28605	2013-08-03 20:02:25.649146	2013-08-03 20:02:25.649146	137
17287	72742	16195	2013-08-03 20:02:25.656414	2013-08-03 20:02:25.656414	137
17288	72742	4701	2013-08-03 20:02:25.661008	2013-08-03 20:02:25.661008	137
17289	72491	4592	2013-08-03 20:02:25.668703	2013-08-03 20:02:25.668703	137
17290	72491	4517	2013-08-03 20:02:25.672579	2013-08-03 20:02:25.672579	137
17291	72491	4415	2013-08-03 20:02:25.67627	2013-08-03 20:02:25.67627	137
17292	72337	4497	2013-08-03 20:02:25.685789	2013-08-03 20:02:25.685789	137
17293	72337	37643	2013-08-03 20:02:25.694148	2013-08-03 20:02:25.694148	137
17294	72337	4372	2013-08-03 20:02:25.704734	2013-08-03 20:02:25.704734	137
17295	72176	4346	2013-08-03 20:02:25.727969	2013-08-03 20:02:25.727969	137
17296	72176	3979	2013-08-03 20:02:25.738771	2013-08-03 20:02:25.738771	137
17297	72176	39083	2013-08-03 20:02:25.749781	2013-08-03 20:02:25.749781	137
17298	72091	3309	2013-08-03 20:02:25.769273	2013-08-03 20:02:25.769273	137
17299	72091	3220	2013-08-03 20:02:25.774574	2013-08-03 20:02:25.774574	137
17300	72091	3115	2013-08-03 20:02:25.779303	2013-08-03 20:02:25.779303	137
17301	72021	2588	2013-08-03 20:02:25.793828	2013-08-03 20:02:25.793828	137
17302	72021	12171	2013-08-03 20:02:25.802905	2013-08-03 20:02:25.802905	137
17303	72021	11631	2013-08-03 20:02:25.813501	2013-08-03 20:02:25.813501	137
17304	72541	26492	2013-08-03 20:02:25.864552	2013-08-03 20:02:25.864552	137
17305	72489	26472	2013-08-03 20:02:25.877838	2013-08-03 20:02:25.877838	137
17306	72320	26452	2013-08-03 20:02:25.886566	2013-08-03 20:02:25.886566	137
17307	72194	26478	2013-08-03 20:02:25.896351	2013-08-03 20:02:25.896351	137
17308	72186	26432	2013-08-03 20:02:25.956342	2013-08-03 20:02:25.956342	137
17309	72167	26412	2013-08-03 20:02:25.965327	2013-08-03 20:02:25.965327	137
17310	72126	26392	2013-08-03 20:02:25.974117	2013-08-03 20:02:25.974117	137
17311	72117	26235	2013-08-03 20:02:25.984941	2013-08-03 20:02:25.984941	137
17312	72104	26372	2013-08-03 20:02:25.99807	2013-08-03 20:02:25.99807	137
17313	72077	26352	2013-08-03 20:02:26.012543	2013-08-03 20:02:26.012543	137
17314	72074	4744	2013-08-03 20:02:26.027658	2013-08-03 20:02:26.027658	137
17315	72062	4764	2013-08-03 20:02:26.043129	2013-08-03 20:02:26.043129	137
17316	72032	4784	2013-08-03 20:02:26.058415	2013-08-03 20:02:26.058415	137
17317	72026	4804	2013-08-03 20:02:26.073323	2013-08-03 20:02:26.073323	137
17318	72018	4824	2013-08-03 20:02:26.088299	2013-08-03 20:02:26.088299	137
17319	71996	4844	2013-08-03 20:02:26.103059	2013-08-03 20:02:26.103059	137
17320	71989	46203	2013-08-03 20:02:26.117786	2013-08-03 20:02:26.117786	137
17321	71978	16937	2013-08-03 20:02:26.131278	2013-08-03 20:02:26.131278	137
17322	72025	26832	2013-08-03 20:02:26.162628	2013-08-03 20:02:26.162628	137
17323	72025	26812	2013-08-03 20:02:26.172969	2013-08-03 20:02:26.172969	137
17324	72025	26792	2013-08-03 20:02:26.183492	2013-08-03 20:02:26.183492	137
17325	72025	26772	2013-08-03 20:02:26.192881	2013-08-03 20:02:26.192881	137
17326	72025	26752	2013-08-03 20:02:26.198022	2013-08-03 20:02:26.198022	137
17327	72025	26732	2013-08-03 20:02:26.200933	2013-08-03 20:02:26.200933	137
17328	72025	26712	2013-08-03 20:02:26.203846	2013-08-03 20:02:26.203846	137
17329	72025	26692	2013-08-03 20:02:26.206735	2013-08-03 20:02:26.206735	137
17330	72025	26657	2013-08-03 20:02:26.209669	2013-08-03 20:02:26.209669	137
17331	72025	26677	2013-08-03 20:02:26.212577	2013-08-03 20:02:26.212577	137
17332	72025	26672	2013-08-03 20:02:26.216487	2013-08-03 20:02:26.216487	137
17333	72025	26652	2013-08-03 20:02:26.220364	2013-08-03 20:02:26.220364	137
17334	72025	26632	2013-08-03 20:02:26.224037	2013-08-03 20:02:26.224037	137
17335	72025	26612	2013-08-03 20:02:26.227625	2013-08-03 20:02:26.227625	137
17336	72025	26592	2013-08-03 20:02:26.231257	2013-08-03 20:02:26.231257	137
17337	72025	26572	2013-08-03 20:02:26.235005	2013-08-03 20:02:26.235005	137
17338	72025	26552	2013-08-03 20:02:26.238859	2013-08-03 20:02:26.238859	137
17339	72025	26532	2013-08-03 20:02:26.242403	2013-08-03 20:02:26.242403	137
17340	72025	46203	2013-08-03 20:02:26.25548	2013-08-03 20:02:26.25548	137
17341	72718	17068	2013-08-03 20:02:26.297356	2013-08-03 20:02:26.297356	137
17342	72718	17048	2013-08-03 20:02:26.309454	2013-08-03 20:02:26.309454	137
17343	72718	3074	2013-08-03 20:02:26.321166	2013-08-03 20:02:26.321166	137
17344	72494	2921	2013-08-03 20:02:26.344521	2013-08-03 20:02:26.344521	137
17345	72494	2935	2013-08-03 20:02:26.356174	2013-08-03 20:02:26.356174	137
17346	72494	2915	2013-08-03 20:02:26.367643	2013-08-03 20:02:26.367643	137
17347	72169	2895	2013-08-03 20:02:26.391133	2013-08-03 20:02:26.391133	137
17348	72169	6099	2013-08-03 20:02:26.402536	2013-08-03 20:02:26.402536	137
17349	72169	2732	2013-08-03 20:02:26.414234	2013-08-03 20:02:26.414234	137
17350	72107	2822	2013-08-03 20:02:26.438504	2013-08-03 20:02:26.438504	137
17351	72107	2750	2013-08-03 20:02:26.448672	2013-08-03 20:02:26.448672	137
17352	72107	2697	2013-08-03 20:02:26.456722	2013-08-03 20:02:26.456722	137
17353	72045	2726	2013-08-03 20:02:26.469334	2013-08-03 20:02:26.469334	137
17354	72045	39723	2013-08-03 20:02:26.475224	2013-08-03 20:02:26.475224	137
17355	72045	6699	2013-08-03 20:02:26.481091	2013-08-03 20:02:26.481091	137
17356	72719	3408	2013-08-03 20:02:26.519346	2013-08-03 20:02:26.519346	137
17357	72719	3428	2013-08-03 20:02:26.531025	2013-08-03 20:02:26.531025	137
17358	72719	3448	2013-08-03 20:02:26.541768	2013-08-03 20:02:26.541768	137
17359	72719	3301	2013-08-03 20:02:26.552123	2013-08-03 20:02:26.552123	137
17360	72719	3189	2013-08-03 20:02:26.562734	2013-08-03 20:02:26.562734	137
17361	72719	3166	2013-08-03 20:02:26.575147	2013-08-03 20:02:26.575147	137
17362	72105	3178	2013-08-03 20:02:26.587764	2013-08-03 20:02:26.587764	137
17363	72105	3198	2013-08-03 20:02:26.592273	2013-08-03 20:02:26.592273	137
17364	72105	3218	2013-08-03 20:02:26.596728	2013-08-03 20:02:26.596728	137
17365	72105	3238	2013-08-03 20:02:26.602073	2013-08-03 20:02:26.602073	137
17366	72105	3258	2013-08-03 20:02:26.610094	2013-08-03 20:02:26.610094	137
17367	72105	3278	2013-08-03 20:02:26.615103	2013-08-03 20:02:26.615103	137
17368	72047	3155	2013-08-03 20:02:26.62374	2013-08-03 20:02:26.62374	137
17369	72047	3175	2013-08-03 20:02:26.62774	2013-08-03 20:02:26.62774	137
17370	72047	3195	2013-08-03 20:02:26.632211	2013-08-03 20:02:26.632211	137
17371	72047	2895	2013-08-03 20:02:26.63664	2013-08-03 20:02:26.63664	137
17372	72047	2732	2013-08-03 20:02:26.645345	2013-08-03 20:02:26.645345	137
17373	72047	6099	2013-08-03 20:02:26.653868	2013-08-03 20:02:26.653868	137
17374	72946	44135	2013-08-03 20:02:26.732946	2013-08-03 20:02:26.732946	137
17375	72525	26312	2013-08-03 20:02:26.756232	2013-08-03 20:02:26.756232	137
17376	72514	4764	2013-08-03 20:02:26.779709	2013-08-03 20:02:26.779709	137
17377	72404	47023	2013-08-03 20:02:26.799321	2013-08-03 20:02:26.799321	137
17378	72302	4672	2013-08-03 20:02:26.814415	2013-08-03 20:02:26.814415	137
17379	72089	3228	2013-08-03 20:02:26.822639	2013-08-03 20:02:26.822639	137
17380	72088	42395	2013-08-03 20:02:26.829571	2013-08-03 20:02:26.829571	137
17381	72082	16910	2013-08-03 20:02:26.83673	2013-08-03 20:02:26.83673	137
17382	72014	4412	2013-08-03 20:02:26.843612	2013-08-03 20:02:26.843612	137
17383	72011	14515	2013-08-03 20:02:26.850176	2013-08-03 20:02:26.850176	137
17384	71990	4564	2013-08-03 20:02:26.856566	2013-08-03 20:02:26.856566	137
17385	71985	3280	2013-08-03 20:02:26.864331	2013-08-03 20:02:26.864331	137
17386	72575	32838	2013-08-03 20:02:26.902184	2013-08-03 20:02:26.902184	137
17387	72496	32818	2013-08-03 20:02:26.910619	2013-08-03 20:02:26.910619	137
17388	72362	32798	2013-08-03 20:02:26.919399	2013-08-03 20:02:26.919399	137
17389	72321	3200	2013-08-03 20:02:26.932824	2013-08-03 20:02:26.932824	137
17390	72192	3240	2013-08-03 20:02:26.946607	2013-08-03 20:02:26.946607	137
17391	72188	3295	2013-08-03 20:02:26.955413	2013-08-03 20:02:26.955413	137
17392	72174	36143	2013-08-03 20:02:26.962506	2013-08-03 20:02:26.962506	137
17393	72128	36243	2013-08-03 20:02:26.969699	2013-08-03 20:02:26.969699	137
17394	72116	45803	2013-08-03 20:02:26.977211	2013-08-03 20:02:26.977211	137
17395	72094	4575	2013-08-03 20:02:26.985376	2013-08-03 20:02:26.985376	137
17396	72078	4615	2013-08-03 20:02:26.994229	2013-08-03 20:02:26.994229	137
17397	72066	3297	2013-08-03 20:02:27.000515	2013-08-03 20:02:27.000515	137
17398	72065	13140	2013-08-03 20:02:27.007255	2013-08-03 20:02:27.007255	137
17399	72049	28278	2013-08-03 20:02:27.013908	2013-08-03 20:02:27.013908	137
17400	72004	2520	2013-08-03 20:02:27.021507	2013-08-03 20:02:27.021507	137
17401	72002	10805	2013-08-03 20:02:27.086762	2013-08-03 20:02:27.086762	137
17402	71995	1506	2013-08-03 20:02:27.098357	2013-08-03 20:02:27.098357	137
17403	71984	18968	2013-08-03 20:02:27.108492	2013-08-03 20:02:27.108492	137
17404	72785	33078	2013-08-03 20:02:27.169355	2013-08-03 20:02:27.169355	137
17405	72531	33058	2013-08-03 20:02:27.193139	2013-08-03 20:02:27.193139	137
17406	72303	33038	2013-08-03 20:02:27.215452	2013-08-03 20:02:27.215452	137
17407	72189	33018	2013-08-03 20:02:27.238814	2013-08-03 20:02:27.238814	137
17408	72087	32998	2013-08-03 20:02:27.262166	2013-08-03 20:02:27.262166	137
17409	72086	32978	2013-08-03 20:02:27.28149	2013-08-03 20:02:27.28149	137
17410	72051	32958	2013-08-03 20:02:27.292404	2013-08-03 20:02:27.292404	137
17411	72023	32938	2013-08-03 20:02:27.299842	2013-08-03 20:02:27.299842	137
17412	72013	32918	2013-08-03 20:02:27.307512	2013-08-03 20:02:27.307512	137
17413	71993	32898	2013-08-03 20:02:27.314972	2013-08-03 20:02:27.314972	137
17414	71979	32878	2013-08-03 20:02:27.322424	2013-08-03 20:02:27.322424	137
17415	72754	7746	2013-08-03 20:02:27.36297	2013-08-03 20:02:27.36297	137
17416	72754	7821	2013-08-03 20:02:27.370798	2013-08-03 20:02:27.370798	137
17417	72497	7823	2013-08-03 20:02:27.38687	2013-08-03 20:02:27.38687	137
17418	72497	7806	2013-08-03 20:02:27.395204	2013-08-03 20:02:27.395204	137
17419	72328	17597	2013-08-03 20:02:27.41206	2013-08-03 20:02:27.41206	137
17420	72328	7586	2013-08-03 20:02:27.416702	2013-08-03 20:02:27.416702	137
17421	72172	7558	2013-08-03 20:02:27.424714	2013-08-03 20:02:27.424714	137
17422	72172	7437	2013-08-03 20:02:27.428764	2013-08-03 20:02:27.428764	137
17423	72103	7503	2013-08-03 20:02:27.443702	2013-08-03 20:02:27.443702	137
17424	72103	4572	2013-08-03 20:02:27.451643	2013-08-03 20:02:27.451643	137
17425	72054	4612	2013-08-03 20:02:27.474121	2013-08-03 20:02:27.474121	137
17426	72054	4655	2013-08-03 20:02:27.482354	2013-08-03 20:02:27.482354	137
17427	71982	4650	2013-08-03 20:02:27.495742	2013-08-03 20:02:27.495742	137
17428	71982	3214	2013-08-03 20:02:27.499275	2013-08-03 20:02:27.499275	137
17429	72585	33340	2013-08-03 20:02:27.53012	2013-08-03 20:02:27.53012	137
17430	72537	33320	2013-08-03 20:02:27.545875	2013-08-03 20:02:27.545875	137
17431	72500	33300	2013-08-03 20:02:27.564846	2013-08-03 20:02:27.564846	137
17432	72498	33160	2013-08-03 20:02:27.58632	2013-08-03 20:02:27.58632	137
17433	72377	33280	2013-08-03 20:02:27.604879	2013-08-03 20:02:27.604879	137
17434	72334	33260	2013-08-03 20:02:27.623393	2013-08-03 20:02:27.623393	137
17435	72177	33240	2013-08-03 20:02:27.633817	2013-08-03 20:02:27.633817	137
17436	72129	33220	2013-08-03 20:02:27.643094	2013-08-03 20:02:27.643094	137
17437	72079	33200	2013-08-03 20:02:27.652114	2013-08-03 20:02:27.652114	137
17438	72067	26352	2013-08-03 20:02:27.661278	2013-08-03 20:02:27.661278	137
17439	72060	26272	2013-08-03 20:02:27.670195	2013-08-03 20:02:27.670195	137
17440	72057	45803	2013-08-03 20:02:27.680683	2013-08-03 20:02:27.680683	137
17441	72034	27425	2013-08-03 20:02:27.694499	2013-08-03 20:02:27.694499	137
17442	72005	4405	2013-08-03 20:02:27.709967	2013-08-03 20:02:27.709967	137
17443	72001	4481	2013-08-03 20:02:27.72614	2013-08-03 20:02:27.72614	137
17444	71983	3449	2013-08-03 20:02:27.745267	2013-08-03 20:02:27.745267	137
17445	73506	30865	2013-08-03 20:07:25.869339	2013-08-03 20:07:25.869339	138
17446	73455	30845	2013-08-03 20:07:25.897559	2013-08-03 20:07:25.897559	138
17447	73374	30825	2013-08-03 20:07:25.905874	2013-08-03 20:07:25.905874	138
17448	73216	29938	2013-08-03 20:07:25.914585	2013-08-03 20:07:25.914585	138
17449	73185	26452	2013-08-03 20:07:25.92871	2013-08-03 20:07:25.92871	138
17450	73181	3317	2013-08-03 20:07:25.952338	2013-08-03 20:07:25.952338	138
17451	73137	26978	2013-08-03 20:07:25.975463	2013-08-03 20:07:25.975463	138
17452	73116	19421	2013-08-03 20:07:25.998301	2013-08-03 20:07:25.998301	138
17453	73110	4976	2013-08-03 20:07:26.020742	2013-08-03 20:07:26.020742	138
17454	73046	47303	2013-08-03 20:07:26.043022	2013-08-03 20:07:26.043022	138
17455	73034	19072	2013-08-03 20:07:26.066706	2013-08-03 20:07:26.066706	138
17456	73007	33260	2013-08-03 20:07:26.088403	2013-08-03 20:07:26.088403	138
17457	73000	7586	2013-08-03 20:07:26.11047	2013-08-03 20:07:26.11047	138
17458	72988	3200	2013-08-03 20:07:26.138778	2013-08-03 20:07:26.138778	138
17459	72977	14766	2013-08-03 20:07:26.150194	2013-08-03 20:07:26.150194	138
17460	72969	44863	2013-08-03 20:07:26.16084	2013-08-03 20:07:26.16084	138
17461	72965	24277	2013-08-03 20:07:26.17212	2013-08-03 20:07:26.17212	138
17462	73517	2342	2013-08-03 20:07:26.203125	2013-08-03 20:07:26.203125	138
17463	73517	2229	2013-08-03 20:07:26.20821	2013-08-03 20:07:26.20821	138
17464	73478	16908	2013-08-03 20:07:26.217922	2013-08-03 20:07:26.217922	138
17465	73478	16888	2013-08-03 20:07:26.221997	2013-08-03 20:07:26.221997	138
17466	73133	2325	2013-08-03 20:07:26.231585	2013-08-03 20:07:26.231585	138
17467	73133	14877	2013-08-03 20:07:26.236609	2013-08-03 20:07:26.236609	138
17468	73039	14906	2013-08-03 20:07:26.248922	2013-08-03 20:07:26.248922	138
17469	73039	14886	2013-08-03 20:07:26.254073	2013-08-03 20:07:26.254073	138
17470	73013	14863	2013-08-03 20:07:26.26494	2013-08-03 20:07:26.26494	138
17471	73013	14818	2013-08-03 20:07:26.27135	2013-08-03 20:07:26.27135	138
17472	73011	17597	2013-08-03 20:07:26.284006	2013-08-03 20:07:26.284006	138
17473	73011	5419	2013-08-03 20:07:26.291924	2013-08-03 20:07:26.291924	138
17474	72985	4165	2013-08-03 20:07:26.304993	2013-08-03 20:07:26.304993	138
17475	72985	34423	2013-08-03 20:07:26.308846	2013-08-03 20:07:26.308846	138
17476	73947	15388	2013-08-03 20:07:26.323569	2013-08-03 20:07:26.323569	138
17477	73947	15368	2013-08-03 20:07:26.327999	2013-08-03 20:07:26.327999	138
17478	73947	15348	2013-08-03 20:07:26.333824	2013-08-03 20:07:26.333824	138
17479	73947	15328	2013-08-03 20:07:26.339614	2013-08-03 20:07:26.339614	138
17480	73947	15308	2013-08-03 20:07:26.350286	2013-08-03 20:07:26.350286	138
17481	73947	15288	2013-08-03 20:07:26.36169	2013-08-03 20:07:26.36169	138
17482	73897	21088	2013-08-03 20:07:26.38526	2013-08-03 20:07:26.38526	138
17483	73897	1842	2013-08-03 20:07:26.459668	2013-08-03 20:07:26.459668	138
17484	73897	9040	2013-08-03 20:07:26.469453	2013-08-03 20:07:26.469453	138
17485	73897	11617	2013-08-03 20:07:26.47926	2013-08-03 20:07:26.47926	138
17486	73897	15268	2013-08-03 20:07:26.493524	2013-08-03 20:07:26.493524	138
17487	73897	15248	2013-08-03 20:07:26.504066	2013-08-03 20:07:26.504066	138
17488	73869	15228	2013-08-03 20:07:26.516603	2013-08-03 20:07:26.516603	138
17489	73869	15208	2013-08-03 20:07:26.526499	2013-08-03 20:07:26.526499	138
17490	73869	21068	2013-08-03 20:07:26.532015	2013-08-03 20:07:26.532015	138
17491	73869	13068	2013-08-03 20:07:26.539485	2013-08-03 20:07:26.539485	138
17492	73869	21048	2013-08-03 20:07:26.547541	2013-08-03 20:07:26.547541	138
17493	73869	36863	2013-08-03 20:07:26.559903	2013-08-03 20:07:26.559903	138
17494	73535	4864	2013-08-03 20:07:26.586072	2013-08-03 20:07:26.586072	138
17495	73535	4828	2013-08-03 20:07:26.589682	2013-08-03 20:07:26.589682	138
17496	73535	4808	2013-08-03 20:07:26.592772	2013-08-03 20:07:26.592772	138
17497	73135	23275	2013-08-03 20:07:26.599082	2013-08-03 20:07:26.599082	138
17498	73135	23138	2013-08-03 20:07:26.603265	2013-08-03 20:07:26.603265	138
17499	73135	23095	2013-08-03 20:07:26.607522	2013-08-03 20:07:26.607522	138
17500	73053	23103	2013-08-03 20:07:26.614955	2013-08-03 20:07:26.614955	138
17501	73053	22940	2013-08-03 20:07:26.618533	2013-08-03 20:07:26.618533	138
17502	73053	22900	2013-08-03 20:07:26.623109	2013-08-03 20:07:26.623109	138
17503	73028	14626	2013-08-03 20:07:26.63641	2013-08-03 20:07:26.63641	138
17504	73028	23497	2013-08-03 20:07:26.639826	2013-08-03 20:07:26.639826	138
17505	73028	4730	2013-08-03 20:07:26.643778	2013-08-03 20:07:26.643778	138
17506	72999	4564	2013-08-03 20:07:26.665195	2013-08-03 20:07:26.665195	138
17507	72999	4497	2013-08-03 20:07:26.677018	2013-08-03 20:07:26.677018	138
17508	72999	4481	2013-08-03 20:07:26.687284	2013-08-03 20:07:26.687284	138
17509	72991	35635	2013-08-03 20:07:26.710259	2013-08-03 20:07:26.710259	138
17510	72991	10805	2013-08-03 20:07:26.7207	2013-08-03 20:07:26.7207	138
17511	72991	7749	2013-08-03 20:07:26.732269	2013-08-03 20:07:26.732269	138
17512	73542	4165	2013-08-03 20:07:26.783886	2013-08-03 20:07:26.783886	138
17513	73542	24857	2013-08-03 20:07:26.794815	2013-08-03 20:07:26.794815	138
17514	73542	35635	2013-08-03 20:07:26.805632	2013-08-03 20:07:26.805632	138
17515	73477	39903	2013-08-03 20:07:26.828236	2013-08-03 20:07:26.828236	138
17516	73477	3195	2013-08-03 20:07:26.838774	2013-08-03 20:07:26.838774	138
17517	73477	3175	2013-08-03 20:07:26.848735	2013-08-03 20:07:26.848735	138
17518	73139	3155	2013-08-03 20:07:26.868361	2013-08-03 20:07:26.868361	138
17519	73139	2895	2013-08-03 20:07:26.872705	2013-08-03 20:07:26.872705	138
17520	73139	28278	2013-08-03 20:07:26.876873	2013-08-03 20:07:26.876873	138
17521	73015	6099	2013-08-03 20:07:26.890934	2013-08-03 20:07:26.890934	138
17522	73015	2732	2013-08-03 20:07:26.897548	2013-08-03 20:07:26.897548	138
17523	73015	6699	2013-08-03 20:07:26.900622	2013-08-03 20:07:26.900622	138
17524	73001	39723	2013-08-03 20:07:26.913757	2013-08-03 20:07:26.913757	138
17525	73001	2726	2013-08-03 20:07:26.924534	2013-08-03 20:07:26.924534	138
17526	73001	34423	2013-08-03 20:07:26.930971	2013-08-03 20:07:26.930971	138
17527	72963	7749	2013-08-03 20:07:26.941671	2013-08-03 20:07:26.941671	138
17528	72963	36863	2013-08-03 20:07:26.950591	2013-08-03 20:07:26.950591	138
17529	72963	7329	2013-08-03 20:07:26.954879	2013-08-03 20:07:26.954879	138
17530	73512	27232	2013-08-03 20:07:26.976385	2013-08-03 20:07:26.976385	138
17531	73376	27212	2013-08-03 20:07:26.986206	2013-08-03 20:07:26.986206	138
17532	73217	27192	2013-08-03 20:07:27.004983	2013-08-03 20:07:27.004983	138
17533	73186	27200	2013-08-03 20:07:27.024678	2013-08-03 20:07:27.024678	138
17534	73160	27172	2013-08-03 20:07:27.043076	2013-08-03 20:07:27.043076	138
17535	73136	27135	2013-08-03 20:07:27.054291	2013-08-03 20:07:27.054291	138
17536	73111	27152	2013-08-03 20:07:27.063398	2013-08-03 20:07:27.063398	138
17537	73072	27132	2013-08-03 20:07:27.073375	2013-08-03 20:07:27.073375	138
17538	73055	27112	2013-08-03 20:07:27.081181	2013-08-03 20:07:27.081181	138
17539	73047	27092	2013-08-03 20:07:27.088781	2013-08-03 20:07:27.088781	138
17540	73035	27072	2013-08-03 20:07:27.096746	2013-08-03 20:07:27.096746	138
17541	73029	27052	2013-08-03 20:07:27.104784	2013-08-03 20:07:27.104784	138
17542	73010	25718	2013-08-03 20:07:27.113338	2013-08-03 20:07:27.113338	138
17543	73009	4944	2013-08-03 20:07:27.122421	2013-08-03 20:07:27.122421	138
17544	72986	3437	2013-08-03 20:07:27.130585	2013-08-03 20:07:27.130585	138
17545	72981	4857	2013-08-03 20:07:27.147345	2013-08-03 20:07:27.147345	138
17546	72976	4615	2013-08-03 20:07:27.169627	2013-08-03 20:07:27.169627	138
17547	72971	34943	2013-08-03 20:07:27.191837	2013-08-03 20:07:27.191837	138
17548	73678	27592	2013-08-03 20:07:27.234682	2013-08-03 20:07:27.234682	138
17549	73678	27572	2013-08-03 20:07:27.241592	2013-08-03 20:07:27.241592	138
17550	73678	27552	2013-08-03 20:07:27.246274	2013-08-03 20:07:27.246274	138
17551	73678	27532	2013-08-03 20:07:27.250635	2013-08-03 20:07:27.250635	138
17552	73678	27512	2013-08-03 20:07:27.255682	2013-08-03 20:07:27.255682	138
17553	73678	27492	2013-08-03 20:07:27.261076	2013-08-03 20:07:27.261076	138
17554	73678	27472	2013-08-03 20:07:27.268277	2013-08-03 20:07:27.268277	138
17555	73678	27452	2013-08-03 20:07:27.274445	2013-08-03 20:07:27.274445	138
17556	73678	27432	2013-08-03 20:07:27.280743	2013-08-03 20:07:27.280743	138
17557	73678	27412	2013-08-03 20:07:27.285882	2013-08-03 20:07:27.285882	138
17558	73678	27392	2013-08-03 20:07:27.291598	2013-08-03 20:07:27.291598	138
17559	73678	27372	2013-08-03 20:07:27.296934	2013-08-03 20:07:27.296934	138
17560	73678	27352	2013-08-03 20:07:27.301629	2013-08-03 20:07:27.301629	138
17561	73678	27332	2013-08-03 20:07:27.308701	2013-08-03 20:07:27.308701	138
17562	73678	27277	2013-08-03 20:07:27.314551	2013-08-03 20:07:27.314551	138
17563	73678	27312	2013-08-03 20:07:27.319806	2013-08-03 20:07:27.319806	138
17564	73678	27292	2013-08-03 20:07:27.323721	2013-08-03 20:07:27.323721	138
17565	73678	27272	2013-08-03 20:07:27.326567	2013-08-03 20:07:27.326567	138
17566	73678	27192	2013-08-03 20:07:27.329455	2013-08-03 20:07:27.329455	138
17567	73481	40203	2013-08-03 20:07:27.345654	2013-08-03 20:07:27.345654	138
17568	73481	4841	2013-08-03 20:07:27.353683	2013-08-03 20:07:27.353683	138
17569	73481	4801	2013-08-03 20:07:27.360491	2013-08-03 20:07:27.360491	138
17570	73144	4765	2013-08-03 20:07:27.376044	2013-08-03 20:07:27.376044	138
17571	73144	4845	2013-08-03 20:07:27.38103	2013-08-03 20:07:27.38103	138
17572	73144	4701	2013-08-03 20:07:27.387586	2013-08-03 20:07:27.387586	138
17573	73020	4632	2013-08-03 20:07:27.408256	2013-08-03 20:07:27.408256	138
17574	73020	22497	2013-08-03 20:07:27.419625	2013-08-03 20:07:27.419625	138
17575	73020	4435	2013-08-03 20:07:27.431023	2013-08-03 20:07:27.431023	138
17576	73019	4441	2013-08-03 20:07:27.452453	2013-08-03 20:07:27.452453	138
17577	73019	24857	2013-08-03 20:07:27.463219	2013-08-03 20:07:27.463219	138
17578	73019	4165	2013-08-03 20:07:27.474526	2013-08-03 20:07:27.474526	138
17579	72996	35635	2013-08-03 20:07:27.488717	2013-08-03 20:07:27.488717	138
17580	72996	3448	2013-08-03 20:07:27.492599	2013-08-03 20:07:27.492599	138
17581	72996	34503	2013-08-03 20:07:27.4965	2013-08-03 20:07:27.4965	138
17582	73361	26478	2013-08-03 20:07:27.532324	2013-08-03 20:07:27.532324	138
17583	73266	47303	2013-08-03 20:07:27.551608	2013-08-03 20:07:27.551608	138
17584	73249	3314	2013-08-03 20:07:27.574604	2013-08-03 20:07:27.574604	138
17585	73145	3308	2013-08-03 20:07:27.668417	2013-08-03 20:07:27.668417	138
17586	73119	4888	2013-08-03 20:07:27.690302	2013-08-03 20:07:27.690302	138
17587	73089	19298	2013-08-03 20:07:27.71292	2013-08-03 20:07:27.71292	138
17588	73058	18981	2013-08-03 20:07:27.734733	2013-08-03 20:07:27.734733	138
17589	73037	5024	2013-08-03 20:07:27.75719	2013-08-03 20:07:27.75719	138
17590	73003	12818	2013-08-03 20:07:27.780256	2013-08-03 20:07:27.780256	138
17591	72975	3408	2013-08-03 20:07:27.802292	2013-08-03 20:07:27.802292	138
17592	72973	3189	2013-08-03 20:07:27.824577	2013-08-03 20:07:27.824577	138
17593	72964	31535	2013-08-03 20:07:27.847119	2013-08-03 20:07:27.847119	138
17594	73548	33678	2013-08-03 20:07:27.907723	2013-08-03 20:07:27.907723	138
17595	73458	33658	2013-08-03 20:07:27.92771	2013-08-03 20:07:27.92771	138
17596	73450	33638	2013-08-03 20:07:27.948686	2013-08-03 20:07:27.948686	138
17597	73224	33618	2013-08-03 20:07:27.9642	2013-08-03 20:07:27.9642	138
17598	73184	33598	2013-08-03 20:07:27.974204	2013-08-03 20:07:27.974204	138
17599	73175	33578	2013-08-03 20:07:27.984622	2013-08-03 20:07:27.984622	138
17600	73142	33558	2013-08-03 20:07:27.996785	2013-08-03 20:07:27.996785	138
17601	73114	33538	2013-08-03 20:07:28.00517	2013-08-03 20:07:28.00517	138
17602	73076	33518	2013-08-03 20:07:28.01932	2013-08-03 20:07:28.01932	138
17603	73054	33498	2013-08-03 20:07:28.041336	2013-08-03 20:07:28.041336	138
17604	73049	33478	2013-08-03 20:07:28.063967	2013-08-03 20:07:28.063967	138
17605	73036	33458	2013-08-03 20:07:28.087904	2013-08-03 20:07:28.087904	138
17606	73021	33438	2013-08-03 20:07:28.111826	2013-08-03 20:07:28.111826	138
17607	73002	36403	2013-08-03 20:07:28.133974	2013-08-03 20:07:28.133974	138
17608	72997	17010	2013-08-03 20:07:28.156936	2013-08-03 20:07:28.156936	138
17609	72989	13140	2013-08-03 20:07:28.178878	2013-08-03 20:07:28.178878	138
17610	72967	36463	2013-08-03 20:07:28.20107	2013-08-03 20:07:28.20107	138
17611	72959	36763	2013-08-03 20:07:28.223016	2013-08-03 20:07:28.223016	138
17612	73845	33978	2013-08-03 20:07:28.28177	2013-08-03 20:07:28.28177	138
17613	73811	33958	2013-08-03 20:07:28.305136	2013-08-03 20:07:28.305136	138
17614	73464	33938	2013-08-03 20:07:28.330206	2013-08-03 20:07:28.330206	138
17615	73364	33918	2013-08-03 20:07:28.342568	2013-08-03 20:07:28.342568	138
17616	73280	33898	2013-08-03 20:07:28.353052	2013-08-03 20:07:28.353052	138
17617	73252	33878	2013-08-03 20:07:28.362006	2013-08-03 20:07:28.362006	138
17618	73038	33858	2013-08-03 20:07:28.372315	2013-08-03 20:07:28.372315	138
17619	73033	33838	2013-08-03 20:07:28.382774	2013-08-03 20:07:28.382774	138
17620	73014	33818	2013-08-03 20:07:28.39028	2013-08-03 20:07:28.39028	138
17621	73004	33798	2013-08-03 20:07:28.400981	2013-08-03 20:07:28.400981	138
17622	72980	33778	2013-08-03 20:07:28.414382	2013-08-03 20:07:28.414382	138
17623	72974	33758	2013-08-03 20:07:28.428526	2013-08-03 20:07:28.428526	138
17624	72972	33738	2013-08-03 20:07:28.443831	2013-08-03 20:07:28.443831	138
17625	72962	33718	2013-08-03 20:07:28.466844	2013-08-03 20:07:28.466844	138
17626	73550	7966	2013-08-03 20:07:28.523627	2013-08-03 20:07:28.523627	138
17627	73550	8006	2013-08-03 20:07:28.536108	2013-08-03 20:07:28.536108	138
17628	73141	7930	2013-08-03 20:07:28.56038	2013-08-03 20:07:28.56038	138
17629	73141	7910	2013-08-03 20:07:28.564353	2013-08-03 20:07:28.564353	138
17630	73056	4964	2013-08-03 20:07:28.571443	2013-08-03 20:07:28.571443	138
17631	73056	4848	2013-08-03 20:07:28.574849	2013-08-03 20:07:28.574849	138
17632	73023	6026	2013-08-03 20:07:28.582639	2013-08-03 20:07:28.582639	138
17633	73023	3368	2013-08-03 20:07:28.586446	2013-08-03 20:07:28.586446	138
17634	73012	17048	2013-08-03 20:07:28.594523	2013-08-03 20:07:28.594523	138
17635	73012	3035	2013-08-03 20:07:28.600318	2013-08-03 20:07:28.600318	138
17636	73005	3098	2013-08-03 20:07:28.616287	2013-08-03 20:07:28.616287	138
17637	73005	3074	2013-08-03 20:07:28.62604	2013-08-03 20:07:28.62604	138
17638	72960	3000	2013-08-03 20:07:28.648638	2013-08-03 20:07:28.648638	138
17639	72960	35383	2013-08-03 20:07:28.659362	2013-08-03 20:07:28.659362	138
17640	73553	33720	2013-08-03 20:07:28.720376	2013-08-03 20:07:28.720376	138
17641	73475	33700	2013-08-03 20:07:28.743133	2013-08-03 20:07:28.743133	138
17642	73451	33680	2013-08-03 20:07:28.766638	2013-08-03 20:07:28.766638	138
17643	73256	33660	2013-08-03 20:07:28.790954	2013-08-03 20:07:28.790954	138
17644	73227	33640	2013-08-03 20:07:28.815913	2013-08-03 20:07:28.815913	138
17645	73193	33620	2013-08-03 20:07:28.839501	2013-08-03 20:07:28.839501	138
17646	73143	33600	2013-08-03 20:07:28.864157	2013-08-03 20:07:28.864157	138
17647	73115	33580	2013-08-03 20:07:28.886966	2013-08-03 20:07:28.886966	138
17648	73077	33560	2013-08-03 20:07:28.910132	2013-08-03 20:07:28.910132	138
17649	73052	27072	2013-08-03 20:07:28.932743	2013-08-03 20:07:28.932743	138
17650	73044	33778	2013-08-03 20:07:28.955464	2013-08-03 20:07:28.955464	138
17651	73040	33458	2013-08-03 20:07:28.978442	2013-08-03 20:07:28.978442	138
17652	73030	4888	2013-08-03 20:07:28.99746	2013-08-03 20:07:28.99746	138
17653	73018	19072	2013-08-03 20:07:29.005704	2013-08-03 20:07:29.005704	138
17654	72968	4744	2013-08-03 20:07:29.013487	2013-08-03 20:07:29.013487	138
17655	72961	17068	2013-08-03 20:07:29.021015	2013-08-03 20:07:29.021015	138
17656	75028	19692	2013-08-03 20:12:23.004933	2013-08-03 20:12:23.004933	139
17657	75028	19641	2013-08-03 20:12:23.009984	2013-08-03 20:12:23.009984	139
17658	75028	11901	2013-08-03 20:12:23.014652	2013-08-03 20:12:23.014652	139
17659	75028	19621	2013-08-03 20:12:23.020214	2013-08-03 20:12:23.020214	139
17660	75028	19601	2013-08-03 20:12:23.024984	2013-08-03 20:12:23.024984	139
17661	75028	19581	2013-08-03 20:12:23.031879	2013-08-03 20:12:23.031879	139
17662	74989	19561	2013-08-03 20:12:23.053402	2013-08-03 20:12:23.053402	139
17663	74989	19603	2013-08-03 20:12:23.065257	2013-08-03 20:12:23.065257	139
17664	74989	19541	2013-08-03 20:12:23.082827	2013-08-03 20:12:23.082827	139
17665	74989	14346	2013-08-03 20:12:23.093253	2013-08-03 20:12:23.093253	139
17666	74989	19521	2013-08-03 20:12:23.097734	2013-08-03 20:12:23.097734	139
17667	74989	19501	2013-08-03 20:12:23.102099	2013-08-03 20:12:23.102099	139
17668	74948	19481	2013-08-03 20:12:23.11074	2013-08-03 20:12:23.11074	139
17669	74948	19405	2013-08-03 20:12:23.115404	2013-08-03 20:12:23.115404	139
17670	74948	19457	2013-08-03 20:12:23.120508	2013-08-03 20:12:23.120508	139
17671	74948	40523	2013-08-03 20:12:23.126825	2013-08-03 20:12:23.126825	139
17672	74948	3335	2013-08-03 20:12:23.134431	2013-08-03 20:12:23.134431	139
17673	74948	35823	2013-08-03 20:12:23.144399	2013-08-03 20:12:23.144399	139
17674	74681	31025	2013-08-03 20:12:23.208889	2013-08-03 20:12:23.208889	139
17675	74426	31005	2013-08-03 20:12:23.233039	2013-08-03 20:12:23.233039	139
17676	74395	30985	2013-08-03 20:12:23.256225	2013-08-03 20:12:23.256225	139
17677	74372	30965	2013-08-03 20:12:23.333737	2013-08-03 20:12:23.333737	139
17678	74366	30945	2013-08-03 20:12:23.350021	2013-08-03 20:12:23.350021	139
17679	74307	30858	2013-08-03 20:12:23.36716	2013-08-03 20:12:23.36716	139
17680	74280	30925	2013-08-03 20:12:23.37815	2013-08-03 20:12:23.37815	139
17681	74271	30077	2013-08-03 20:12:23.393227	2013-08-03 20:12:23.393227	139
17682	74262	15080	2013-08-03 20:12:23.404464	2013-08-03 20:12:23.404464	139
17683	74245	34198	2013-08-03 20:12:23.415101	2013-08-03 20:12:23.415101	139
17684	74132	27675	2013-08-03 20:12:23.42741	2013-08-03 20:12:23.42741	139
17685	74125	11251	2013-08-03 20:12:23.445792	2013-08-03 20:12:23.445792	139
17686	74102	9698	2013-08-03 20:12:23.464536	2013-08-03 20:12:23.464536	139
17687	74080	5164	2013-08-03 20:12:23.485646	2013-08-03 20:12:23.485646	139
17688	74069	27112	2013-08-03 20:12:23.508684	2013-08-03 20:12:23.508684	139
17689	74011	33700	2013-08-03 20:12:23.516967	2013-08-03 20:12:23.516967	139
17690	74005	15288	2013-08-03 20:12:23.525639	2013-08-03 20:12:23.525639	139
17691	74515	15306	2013-08-03 20:12:23.548575	2013-08-03 20:12:23.548575	139
17692	74515	15363	2013-08-03 20:12:23.55968	2013-08-03 20:12:23.55968	139
17693	74431	15291	2013-08-03 20:12:23.58242	2013-08-03 20:12:23.58242	139
17694	74431	15286	2013-08-03 20:12:23.594151	2013-08-03 20:12:23.594151	139
17695	74353	15370	2013-08-03 20:12:23.618007	2013-08-03 20:12:23.618007	139
17696	74353	15230	2013-08-03 20:12:23.629548	2013-08-03 20:12:23.629548	139
17697	74309	15266	2013-08-03 20:12:23.652308	2013-08-03 20:12:23.652308	139
17698	74309	15246	2013-08-03 20:12:23.663655	2013-08-03 20:12:23.663655	139
17699	74242	14528	2013-08-03 20:12:23.684478	2013-08-03 20:12:23.684478	139
17700	74242	14548	2013-08-03 20:12:23.690475	2013-08-03 20:12:23.690475	139
17701	74085	17575	2013-08-03 20:12:23.701339	2013-08-03 20:12:23.701339	139
17702	74085	15097	2013-08-03 20:12:23.706101	2013-08-03 20:12:23.706101	139
17703	74025	15226	2013-08-03 20:12:23.719883	2013-08-03 20:12:23.719883	139
17704	74025	15206	2013-08-03 20:12:23.726183	2013-08-03 20:12:23.726183	139
17705	74013	15186	2013-08-03 20:12:23.734879	2013-08-03 20:12:23.734879	139
17706	74013	15166	2013-08-03 20:12:23.73898	2013-08-03 20:12:23.73898	139
17707	74532	13508	2013-08-03 20:12:23.770109	2013-08-03 20:12:23.770109	139
17708	74532	13451	2013-08-03 20:12:23.78181	2013-08-03 20:12:23.78181	139
17709	74532	13348	2013-08-03 20:12:23.793715	2013-08-03 20:12:23.793715	139
17710	74436	8919	2013-08-03 20:12:23.816467	2013-08-03 20:12:23.816467	139
17711	74436	3769	2013-08-03 20:12:23.827943	2013-08-03 20:12:23.827943	139
17712	74436	3789	2013-08-03 20:12:23.838958	2013-08-03 20:12:23.838958	139
17713	74356	21168	2013-08-03 20:12:23.862421	2013-08-03 20:12:23.862421	139
17714	74356	21148	2013-08-03 20:12:23.874084	2013-08-03 20:12:23.874084	139
17715	74356	21128	2013-08-03 20:12:23.885488	2013-08-03 20:12:23.885488	139
17716	74315	9266	2013-08-03 20:12:23.908593	2013-08-03 20:12:23.908593	139
17717	74315	9286	2013-08-03 20:12:23.921062	2013-08-03 20:12:23.921062	139
17718	74315	21108	2013-08-03 20:12:23.933299	2013-08-03 20:12:23.933299	139
17719	74238	8939	2013-08-03 20:12:23.956459	2013-08-03 20:12:23.956459	139
17720	74238	9292	2013-08-03 20:12:23.967951	2013-08-03 20:12:23.967951	139
17721	74238	9306	2013-08-03 20:12:23.978915	2013-08-03 20:12:23.978915	139
17722	74027	9020	2013-08-03 20:12:24.002625	2013-08-03 20:12:24.002625	139
17723	74027	19448	2013-08-03 20:12:24.012837	2013-08-03 20:12:24.012837	139
17724	74027	34423	2013-08-03 20:12:24.016493	2013-08-03 20:12:24.016493	139
17725	74565	23668	2013-08-03 20:12:24.036042	2013-08-03 20:12:24.036042	139
17726	74565	23648	2013-08-03 20:12:24.042058	2013-08-03 20:12:24.042058	139
17727	74443	22940	2013-08-03 20:12:24.055326	2013-08-03 20:12:24.055326	139
17728	74443	11823	2013-08-03 20:12:24.061858	2013-08-03 20:12:24.061858	139
17729	74360	12818	2013-08-03 20:12:24.069964	2013-08-03 20:12:24.069964	139
17730	74360	3414	2013-08-03 20:12:24.075612	2013-08-03 20:12:24.075612	139
17731	74237	13140	2013-08-03 20:12:24.093559	2013-08-03 20:12:24.093559	139
17732	74237	15288	2013-08-03 20:12:24.103775	2013-08-03 20:12:24.103775	139
17733	74076	19501	2013-08-03 20:12:24.126344	2013-08-03 20:12:24.126344	139
17734	74076	19521	2013-08-03 20:12:24.136873	2013-08-03 20:12:24.136873	139
17735	74071	14346	2013-08-03 20:12:24.157869	2013-08-03 20:12:24.157869	139
17736	74071	19541	2013-08-03 20:12:24.167714	2013-08-03 20:12:24.167714	139
17737	74031	19603	2013-08-03 20:12:24.190142	2013-08-03 20:12:24.190142	139
17738	74031	19561	2013-08-03 20:12:24.197379	2013-08-03 20:12:24.197379	139
17739	74651	4761	2013-08-03 20:12:24.227164	2013-08-03 20:12:24.227164	139
17740	74651	4655	2013-08-03 20:12:24.231623	2013-08-03 20:12:24.231623	139
17741	74454	35635	2013-08-03 20:12:24.252348	2013-08-03 20:12:24.252348	139
17742	74454	3403	2013-08-03 20:12:24.263522	2013-08-03 20:12:24.263522	139
17743	74375	3448	2013-08-03 20:12:24.285802	2013-08-03 20:12:24.285802	139
17744	74375	3035	2013-08-03 20:12:24.295736	2013-08-03 20:12:24.295736	139
17745	74316	17048	2013-08-03 20:12:24.317171	2013-08-03 20:12:24.317171	139
17746	74316	19448	2013-08-03 20:12:24.327712	2013-08-03 20:12:24.327712	139
17747	74246	9020	2013-08-03 20:12:24.348368	2013-08-03 20:12:24.348368	139
17748	74246	34423	2013-08-03 20:12:24.357904	2013-08-03 20:12:24.357904	139
17749	74081	34503	2013-08-03 20:12:24.378679	2013-08-03 20:12:24.378679	139
17750	74081	19561	2013-08-03 20:12:24.389332	2013-08-03 20:12:24.389332	139
17751	74016	19603	2013-08-03 20:12:24.411176	2013-08-03 20:12:24.411176	139
17752	74016	33700	2013-08-03 20:12:24.421522	2013-08-03 20:12:24.421522	139
17753	74430	28072	2013-08-03 20:12:24.476705	2013-08-03 20:12:24.476705	139
17754	74400	28052	2013-08-03 20:12:24.500648	2013-08-03 20:12:24.500648	139
17755	74346	28100	2013-08-03 20:12:24.524129	2013-08-03 20:12:24.524129	139
17756	74308	28032	2013-08-03 20:12:24.543948	2013-08-03 20:12:24.543948	139
17757	74272	28012	2013-08-03 20:12:24.553408	2013-08-03 20:12:24.553408	139
17758	74263	27992	2013-08-03 20:12:24.561745	2013-08-03 20:12:24.561745	139
17759	74240	27972	2013-08-03 20:12:24.574475	2013-08-03 20:12:24.574475	139
17760	74139	27952	2013-08-03 20:12:24.585062	2013-08-03 20:12:24.585062	139
17761	74126	27837	2013-08-03 20:12:24.593813	2013-08-03 20:12:24.593813	139
17762	74103	27855	2013-08-03 20:12:24.601097	2013-08-03 20:12:24.601097	139
17763	74084	27932	2013-08-03 20:12:24.609229	2013-08-03 20:12:24.609229	139
17764	74082	27912	2013-08-03 20:12:24.671305	2013-08-03 20:12:24.671305	139
17765	74070	27892	2013-08-03 20:12:24.681369	2013-08-03 20:12:24.681369	139
17766	74020	27872	2013-08-03 20:12:24.690497	2013-08-03 20:12:24.690497	139
17767	74017	27852	2013-08-03 20:12:24.705054	2013-08-03 20:12:24.705054	139
17768	74009	18981	2013-08-03 20:12:24.72103	2013-08-03 20:12:24.72103	139
17769	74003	11251	2013-08-03 20:12:24.741844	2013-08-03 20:12:24.741844	139
17770	74385	28392	2013-08-03 20:12:24.765219	2013-08-03 20:12:24.765219	139
17771	74385	28372	2013-08-03 20:12:24.770532	2013-08-03 20:12:24.770532	139
17772	74385	28352	2013-08-03 20:12:24.775862	2013-08-03 20:12:24.775862	139
17773	74385	28332	2013-08-03 20:12:24.780516	2013-08-03 20:12:24.780516	139
17774	74385	28400	2013-08-03 20:12:24.785893	2013-08-03 20:12:24.785893	139
17775	74385	28312	2013-08-03 20:12:24.790313	2013-08-03 20:12:24.790313	139
17776	74385	28292	2013-08-03 20:12:24.794453	2013-08-03 20:12:24.794453	139
17777	74385	28272	2013-08-03 20:12:24.797631	2013-08-03 20:12:24.797631	139
17778	74385	28252	2013-08-03 20:12:24.801005	2013-08-03 20:12:24.801005	139
17779	74089	28232	2013-08-03 20:12:24.814892	2013-08-03 20:12:24.814892	139
17780	74089	28212	2013-08-03 20:12:24.823303	2013-08-03 20:12:24.823303	139
17781	74089	28192	2013-08-03 20:12:24.832414	2013-08-03 20:12:24.832414	139
17782	74089	28172	2013-08-03 20:12:24.843072	2013-08-03 20:12:24.843072	139
17783	74089	28152	2013-08-03 20:12:24.853559	2013-08-03 20:12:24.853559	139
17784	74089	28132	2013-08-03 20:12:24.86421	2013-08-03 20:12:24.86421	139
17785	74089	28112	2013-08-03 20:12:24.875651	2013-08-03 20:12:24.875651	139
17786	74089	2436	2013-08-03 20:12:24.884416	2013-08-03 20:12:24.884416	139
17787	74089	27837	2013-08-03 20:12:24.894788	2013-08-03 20:12:24.894788	139
17788	74739	2600	2013-08-03 20:12:24.929786	2013-08-03 20:12:24.929786	139
17789	74739	2580	2013-08-03 20:12:24.939391	2013-08-03 20:12:24.939391	139
17790	74739	6730	2013-08-03 20:12:24.950461	2013-08-03 20:12:24.950461	139
17791	74351	2641	2013-08-03 20:12:24.97336	2013-08-03 20:12:24.97336	139
17792	74351	40723	2013-08-03 20:12:24.985619	2013-08-03 20:12:24.985619	139
17793	74351	36875	2013-08-03 20:12:24.997369	2013-08-03 20:12:24.997369	139
17794	74318	11823	2013-08-03 20:12:25.019237	2013-08-03 20:12:25.019237	139
17795	74318	2493	2013-08-03 20:12:25.02983	2013-08-03 20:12:25.02983	139
17796	74318	40203	2013-08-03 20:12:25.04022	2013-08-03 20:12:25.04022	139
17797	74248	35635	2013-08-03 20:12:25.062756	2013-08-03 20:12:25.062756	139
17798	74248	3341	2013-08-03 20:12:25.073337	2013-08-03 20:12:25.073337	139
17799	74248	3403	2013-08-03 20:12:25.083371	2013-08-03 20:12:25.083371	139
17800	74086	3789	2013-08-03 20:12:25.106211	2013-08-03 20:12:25.106211	139
17801	74086	3769	2013-08-03 20:12:25.117165	2013-08-03 20:12:25.117165	139
17802	74086	8919	2013-08-03 20:12:25.127162	2013-08-03 20:12:25.127162	139
17803	74043	28072	2013-08-03 20:12:25.151144	2013-08-03 20:12:25.151144	139
17804	74043	15286	2013-08-03 20:12:25.161668	2013-08-03 20:12:25.161668	139
17805	74043	15291	2013-08-03 20:12:25.172252	2013-08-03 20:12:25.172252	139
17806	74579	45715	2013-08-03 20:12:25.236638	2013-08-03 20:12:25.236638	139
17807	74350	14966	2013-08-03 20:12:25.24929	2013-08-03 20:12:25.24929	139
17808	74343	811	2013-08-03 20:12:25.259107	2013-08-03 20:12:25.259107	139
17809	74114	27855	2013-08-03 20:12:25.27015	2013-08-03 20:12:25.27015	139
17810	74109	27632	2013-08-03 20:12:25.281921	2013-08-03 20:12:25.281921	139
17811	74099	19461	2013-08-03 20:12:25.304114	2013-08-03 20:12:25.304114	139
17812	74098	5026	2013-08-03 20:12:25.330474	2013-08-03 20:12:25.330474	139
17813	74097	4964	2013-08-03 20:12:25.35459	2013-08-03 20:12:25.35459	139
17814	74015	4801	2013-08-03 20:12:25.363406	2013-08-03 20:12:25.363406	139
17815	74001	3321	2013-08-03 20:12:25.370887	2013-08-03 20:12:25.370887	139
17816	74000	3425	2013-08-03 20:12:25.378164	2013-08-03 20:12:25.378164	139
17817	73988	9698	2013-08-03 20:12:25.385811	2013-08-03 20:12:25.385811	139
17818	74613	30417	2013-08-03 20:12:25.402984	2013-08-03 20:12:25.402984	139
17819	74613	30397	2013-08-03 20:12:25.407501	2013-08-03 20:12:25.407501	139
17820	74613	30377	2013-08-03 20:12:25.411667	2013-08-03 20:12:25.411667	139
17821	74613	30357	2013-08-03 20:12:25.415837	2013-08-03 20:12:25.415837	139
17822	74613	30337	2013-08-03 20:12:25.419918	2013-08-03 20:12:25.419918	139
17823	74613	30317	2013-08-03 20:12:25.423812	2013-08-03 20:12:25.423812	139
17824	74613	30285	2013-08-03 20:12:25.427648	2013-08-03 20:12:25.427648	139
17825	74613	30278	2013-08-03 20:12:25.432153	2013-08-03 20:12:25.432153	139
17826	74613	30297	2013-08-03 20:12:25.436293	2013-08-03 20:12:25.436293	139
17827	74613	30277	2013-08-03 20:12:25.440943	2013-08-03 20:12:25.440943	139
17828	74613	30257	2013-08-03 20:12:25.445006	2013-08-03 20:12:25.445006	139
17829	74613	30237	2013-08-03 20:12:25.449735	2013-08-03 20:12:25.449735	139
17830	74613	30217	2013-08-03 20:12:25.455301	2013-08-03 20:12:25.455301	139
17831	74613	30195	2013-08-03 20:12:25.461472	2013-08-03 20:12:25.461472	139
17832	74613	30197	2013-08-03 20:12:25.469718	2013-08-03 20:12:25.469718	139
17833	74613	30177	2013-08-03 20:12:25.479951	2013-08-03 20:12:25.479951	139
17834	74613	30157	2013-08-03 20:12:25.492018	2013-08-03 20:12:25.492018	139
17835	74613	15050	2013-08-03 20:12:25.503616	2013-08-03 20:12:25.503616	139
17836	74613	5026	2013-08-03 20:12:25.514808	2013-08-03 20:12:25.514808	139
17837	74478	34515	2013-08-03 20:12:25.573107	2013-08-03 20:12:25.573107	139
17838	74465	34538	2013-08-03 20:12:25.589711	2013-08-03 20:12:25.589711	139
17839	74369	34518	2013-08-03 20:12:25.600499	2013-08-03 20:12:25.600499	139
17840	74368	34498	2013-08-03 20:12:25.609807	2013-08-03 20:12:25.609807	139
17841	74365	34478	2013-08-03 20:12:25.617573	2013-08-03 20:12:25.617573	139
17842	74319	34458	2013-08-03 20:12:25.625975	2013-08-03 20:12:25.625975	139
17843	74304	34438	2013-08-03 20:12:25.634939	2013-08-03 20:12:25.634939	139
17844	74274	34418	2013-08-03 20:12:25.642794	2013-08-03 20:12:25.642794	139
17845	74260	34398	2013-08-03 20:12:25.650064	2013-08-03 20:12:25.650064	139
17846	74243	34378	2013-08-03 20:12:25.662915	2013-08-03 20:12:25.662915	139
17847	74156	34358	2013-08-03 20:12:25.675653	2013-08-03 20:12:25.675653	139
17848	74128	34338	2013-08-03 20:12:25.689752	2013-08-03 20:12:25.689752	139
17849	74104	34318	2013-08-03 20:12:25.705712	2013-08-03 20:12:25.705712	139
17850	74079	34298	2013-08-03 20:12:25.718208	2013-08-03 20:12:25.718208	139
17851	74048	3300	2013-08-03 20:12:25.745061	2013-08-03 20:12:25.745061	139
17852	74010	28278	2013-08-03 20:12:25.767971	2013-08-03 20:12:25.767971	139
17853	74007	7110	2013-08-03 20:12:25.789229	2013-08-03 20:12:25.789229	139
17854	74943	34818	2013-08-03 20:12:25.823202	2013-08-03 20:12:25.823202	139
17855	74373	34798	2013-08-03 20:12:25.833205	2013-08-03 20:12:25.833205	139
17856	74363	34778	2013-08-03 20:12:25.845262	2013-08-03 20:12:25.845262	139
17857	74261	34758	2013-08-03 20:12:25.922323	2013-08-03 20:12:25.922323	139
17858	74117	34738	2013-08-03 20:12:25.931195	2013-08-03 20:12:25.931195	139
17859	74110	34718	2013-08-03 20:12:25.939571	2013-08-03 20:12:25.939571	139
17860	74108	34698	2013-08-03 20:12:25.946024	2013-08-03 20:12:25.946024	139
17861	74101	34683	2013-08-03 20:12:25.953268	2013-08-03 20:12:25.953268	139
17862	74100	34678	2013-08-03 20:12:25.964744	2013-08-03 20:12:25.964744	139
17863	74090	34658	2013-08-03 20:12:25.984856	2013-08-03 20:12:25.984856	139
17864	74073	34638	2013-08-03 20:12:26.004068	2013-08-03 20:12:26.004068	139
17865	74049	34618	2013-08-03 20:12:26.022956	2013-08-03 20:12:26.022956	139
17866	74021	34598	2013-08-03 20:12:26.042567	2013-08-03 20:12:26.042567	139
17867	74469	3434	2013-08-03 20:12:26.078306	2013-08-03 20:12:26.078306	139
17868	74469	3155	2013-08-03 20:12:26.083148	2013-08-03 20:12:26.083148	139
17869	74370	2895	2013-08-03 20:12:26.103795	2013-08-03 20:12:26.103795	139
17870	74370	13348	2013-08-03 20:12:26.115053	2013-08-03 20:12:26.115053	139
17871	74320	13451	2013-08-03 20:12:26.135059	2013-08-03 20:12:26.135059	139
17872	74320	13508	2013-08-03 20:12:26.141439	2013-08-03 20:12:26.141439	139
17873	74247	27040	2013-08-03 20:12:26.155699	2013-08-03 20:12:26.155699	139
17874	74247	14966	2013-08-03 20:12:26.163741	2013-08-03 20:12:26.163741	139
17875	74083	2580	2013-08-03 20:12:26.183372	2013-08-03 20:12:26.183372	139
17876	74083	2600	2013-08-03 20:12:26.187433	2013-08-03 20:12:26.187433	139
17877	74052	28052	2013-08-03 20:12:26.216113	2013-08-03 20:12:26.216113	139
17878	74052	23648	2013-08-03 20:12:26.226451	2013-08-03 20:12:26.226451	139
17879	74012	23668	2013-08-03 20:12:26.245859	2013-08-03 20:12:26.245859	139
17880	74012	15363	2013-08-03 20:12:26.252231	2013-08-03 20:12:26.252231	139
17881	74486	34160	2013-08-03 20:12:26.279653	2013-08-03 20:12:26.279653	139
17882	74473	34140	2013-08-03 20:12:26.289785	2013-08-03 20:12:26.289785	139
17883	74374	34120	2013-08-03 20:12:26.298277	2013-08-03 20:12:26.298277	139
17884	74321	34100	2013-08-03 20:12:26.309572	2013-08-03 20:12:26.309572	139
17885	74275	34080	2013-08-03 20:12:26.323063	2013-08-03 20:12:26.323063	139
17886	74241	34060	2013-08-03 20:12:26.342166	2013-08-03 20:12:26.342166	139
17887	74159	34040	2013-08-03 20:12:26.364308	2013-08-03 20:12:26.364308	139
17888	74129	34020	2013-08-03 20:12:26.381427	2013-08-03 20:12:26.381427	139
17889	74119	34000	2013-08-03 20:12:26.392395	2013-08-03 20:12:26.392395	139
17890	74107	33980	2013-08-03 20:12:26.402342	2013-08-03 20:12:26.402342	139
17891	74106	30945	2013-08-03 20:12:26.415468	2013-08-03 20:12:26.415468	139
17892	74078	27912	2013-08-03 20:12:26.428037	2013-08-03 20:12:26.428037	139
17893	74054	27632	2013-08-03 20:12:26.448251	2013-08-03 20:12:26.448251	139
17894	74036	14915	2013-08-03 20:12:26.467907	2013-08-03 20:12:26.467907	139
17895	74006	3189	2013-08-03 20:12:26.48701	2013-08-03 20:12:26.48701	139
17896	75502	20021	2013-08-03 20:21:35.165039	2013-08-03 20:21:35.165039	140
17897	75482	20001	2013-08-03 20:21:35.191133	2013-08-03 20:21:35.191133	140
17898	75454	19981	2013-08-03 20:21:35.214442	2013-08-03 20:21:35.214442	140
17899	75431	19961	2013-08-03 20:21:35.239909	2013-08-03 20:21:35.239909	140
17900	75402	19941	2013-08-03 20:21:35.262205	2013-08-03 20:21:35.262205	140
17901	75352	19921	2013-08-03 20:21:35.285525	2013-08-03 20:21:35.285525	140
17902	75341	19901	2013-08-03 20:21:35.309654	2013-08-03 20:21:35.309654	140
17903	75266	19915	2013-08-03 20:21:35.333324	2013-08-03 20:21:35.333324	140
17904	75238	19881	2013-08-03 20:21:35.352316	2013-08-03 20:21:35.352316	140
17905	75217	19861	2013-08-03 20:21:35.367869	2013-08-03 20:21:35.367869	140
17906	75133	14275	2013-08-03 20:21:35.37851	2013-08-03 20:21:35.37851	140
17907	75124	19841	2013-08-03 20:21:35.393645	2013-08-03 20:21:35.393645	140
17908	75073	19863	2013-08-03 20:21:35.406497	2013-08-03 20:21:35.406497	140
17909	75064	19821	2013-08-03 20:21:35.426776	2013-08-03 20:21:35.426776	140
17910	75047	40723	2013-08-03 20:21:35.450372	2013-08-03 20:21:35.450372	140
17911	76392	47523	2013-08-03 20:21:35.510553	2013-08-03 20:21:35.510553	140
17912	76235	47503	2013-08-03 20:21:35.520518	2013-08-03 20:21:35.520518	140
17913	76101	47483	2013-08-03 20:21:35.529147	2013-08-03 20:21:35.529147	140
17914	75937	47463	2013-08-03 20:21:35.539612	2013-08-03 20:21:35.539612	140
17915	75815	47443	2013-08-03 20:21:35.548557	2013-08-03 20:21:35.548557	140
17916	75775	47423	2013-08-03 20:21:35.560186	2013-08-03 20:21:35.560186	140
17917	75766	46435	2013-08-03 20:21:35.573314	2013-08-03 20:21:35.573314	140
17918	75691	34238	2013-08-03 20:21:35.594034	2013-08-03 20:21:35.594034	140
17919	75607	34300	2013-08-03 20:21:35.61702	2013-08-03 20:21:35.61702	140
17920	75553	33920	2013-08-03 20:21:35.639458	2013-08-03 20:21:35.639458	140
17921	75497	30537	2013-08-03 20:21:35.66216	2013-08-03 20:21:35.66216	140
17922	75495	30117	2013-08-03 20:21:35.68481	2013-08-03 20:21:35.68481	140
17923	75489	19921	2013-08-03 20:21:35.707051	2013-08-03 20:21:35.707051	140
17924	75455	19795	2013-08-03 20:21:35.728684	2013-08-03 20:21:35.728684	140
17925	75399	17112	2013-08-03 20:21:35.751294	2013-08-03 20:21:35.751294	140
17926	75393	16888	2013-08-03 20:21:35.773822	2013-08-03 20:21:35.773822	140
17927	75369	12818	2013-08-03 20:21:35.795957	2013-08-03 20:21:35.795957	140
17928	75362	2356	2013-08-03 20:21:35.818739	2013-08-03 20:21:35.818739	140
17929	76236	31235	2013-08-03 20:21:35.846705	2013-08-03 20:21:35.846705	140
17930	75816	31225	2013-08-03 20:21:35.855941	2013-08-03 20:21:35.855941	140
17931	75767	31205	2013-08-03 20:21:35.864768	2013-08-03 20:21:35.864768	140
17932	75608	31185	2013-08-03 20:21:35.874323	2013-08-03 20:21:35.874323	140
17933	75430	31165	2013-08-03 20:21:35.892833	2013-08-03 20:21:35.892833	140
17934	75401	31145	2013-08-03 20:21:35.913125	2013-08-03 20:21:35.913125	140
17935	75370	31125	2013-08-03 20:21:35.936469	2013-08-03 20:21:35.936469	140
17936	75351	31105	2013-08-03 20:21:35.959795	2013-08-03 20:21:35.959795	140
17937	75342	30980	2013-08-03 20:21:35.984719	2013-08-03 20:21:35.984719	140
17938	75245	31085	2013-08-03 20:21:35.998902	2013-08-03 20:21:35.998902	140
17939	75235	30497	2013-08-03 20:21:36.00828	2013-08-03 20:21:36.00828	140
17940	75233	28592	2013-08-03 20:21:36.08401	2013-08-03 20:21:36.08401	140
17941	75219	11311	2013-08-03 20:21:36.106936	2013-08-03 20:21:36.106936	140
17942	75169	17090	2013-08-03 20:21:36.129933	2013-08-03 20:21:36.129933	140
17943	75129	2641	2013-08-03 20:21:36.152173	2013-08-03 20:21:36.152173	140
17944	75123	36875	2013-08-03 20:21:36.175058	2013-08-03 20:21:36.175058	140
17945	75094	47463	2013-08-03 20:21:36.197386	2013-08-03 20:21:36.197386	140
17946	75054	19861	2013-08-03 20:21:36.223858	2013-08-03 20:21:36.223858	140
17947	76239	15481	2013-08-03 20:21:36.270044	2013-08-03 20:21:36.270044	140
17948	76239	15526	2013-08-03 20:21:36.282185	2013-08-03 20:21:36.282185	140
17949	76041	15506	2013-08-03 20:21:36.305852	2013-08-03 20:21:36.305852	140
17950	76041	15486	2013-08-03 20:21:36.317553	2013-08-03 20:21:36.317553	140
17951	75820	15466	2013-08-03 20:21:36.339724	2013-08-03 20:21:36.339724	140
17952	75820	24037	2013-08-03 20:21:36.350671	2013-08-03 20:21:36.350671	140
17953	75344	15446	2013-08-03 20:21:36.374036	2013-08-03 20:21:36.374036	140
17954	75344	15450	2013-08-03 20:21:36.385273	2013-08-03 20:21:36.385273	140
17955	75276	5129	2013-08-03 20:21:36.408143	2013-08-03 20:21:36.408143	140
17956	75276	15426	2013-08-03 20:21:36.419922	2013-08-03 20:21:36.419922	140
17957	75241	15417	2013-08-03 20:21:36.442342	2013-08-03 20:21:36.442342	140
17958	75241	15406	2013-08-03 20:21:36.453476	2013-08-03 20:21:36.453476	140
17959	75218	15301	2013-08-03 20:21:36.475821	2013-08-03 20:21:36.475821	140
17960	75218	11281	2013-08-03 20:21:36.485901	2013-08-03 20:21:36.485901	140
17961	75058	3414	2013-08-03 20:21:36.502046	2013-08-03 20:21:36.502046	140
17962	75058	20001	2013-08-03 20:21:36.505619	2013-08-03 20:21:36.505619	140
17963	75043	2356	2013-08-03 20:21:36.513155	2013-08-03 20:21:36.513155	140
17964	75043	19718	2013-08-03 20:21:36.516575	2013-08-03 20:21:36.516575	140
17965	76240	34503	2013-08-03 20:21:36.535487	2013-08-03 20:21:36.535487	140
17966	76240	20001	2013-08-03 20:21:36.539803	2013-08-03 20:21:36.539803	140
17967	76042	19861	2013-08-03 20:21:36.548439	2013-08-03 20:21:36.548439	140
17968	76042	19795	2013-08-03 20:21:36.552653	2013-08-03 20:21:36.552653	140
17969	75821	19821	2013-08-03 20:21:36.560207	2013-08-03 20:21:36.560207	140
17970	75821	19741	2013-08-03 20:21:36.563655	2013-08-03 20:21:36.563655	140
17971	75349	28552	2013-08-03 20:21:36.571616	2013-08-03 20:21:36.571616	140
17972	75349	5224	2013-08-03 20:21:36.575867	2013-08-03 20:21:36.575867	140
17973	75286	2600	2013-08-03 20:21:36.583822	2013-08-03 20:21:36.583822	140
17974	75286	2580	2013-08-03 20:21:36.587475	2013-08-03 20:21:36.587475	140
17975	75243	9698	2013-08-03 20:21:36.595169	2013-08-03 20:21:36.595169	140
17976	75243	19561	2013-08-03 20:21:36.59965	2013-08-03 20:21:36.59965	140
17977	75223	19521	2013-08-03 20:21:36.608833	2013-08-03 20:21:36.608833	140
17978	75223	19501	2013-08-03 20:21:36.612756	2013-08-03 20:21:36.612756	140
17979	76241	3189	2013-08-03 20:21:36.631302	2013-08-03 20:21:36.631302	140
17980	76241	2895	2013-08-03 20:21:36.636781	2013-08-03 20:21:36.636781	140
17981	76043	8939	2013-08-03 20:21:36.648023	2013-08-03 20:21:36.648023	140
17982	76043	13760	2013-08-03 20:21:36.652604	2013-08-03 20:21:36.652604	140
17983	75348	7110	2013-08-03 20:21:36.660908	2013-08-03 20:21:36.660908	140
17984	75348	19795	2013-08-03 20:21:36.670461	2013-08-03 20:21:36.670461	140
17985	75291	19861	2013-08-03 20:21:36.690377	2013-08-03 20:21:36.690377	140
17986	75291	15486	2013-08-03 20:21:36.700983	2013-08-03 20:21:36.700983	140
17987	75247	15506	2013-08-03 20:21:36.724027	2013-08-03 20:21:36.724027	140
17988	75247	47463	2013-08-03 20:21:36.732952	2013-08-03 20:21:36.732952	140
17989	75221	19863	2013-08-03 20:21:36.740303	2013-08-03 20:21:36.740303	140
17990	75221	19721	2013-08-03 20:21:36.743614	2013-08-03 20:21:36.743614	140
17991	75114	28572	2013-08-03 20:21:36.750665	2013-08-03 20:21:36.750665	140
17992	75114	28532	2013-08-03 20:21:36.75379	2013-08-03 20:21:36.75379	140
17993	75059	6259	2013-08-03 20:21:36.761362	2013-08-03 20:21:36.761362	140
17994	75059	11251	2013-08-03 20:21:36.76604	2013-08-03 20:21:36.76604	140
17995	76242	28838	2013-08-03 20:21:36.814919	2013-08-03 20:21:36.814919	140
17996	76242	28898	2013-08-03 20:21:36.826537	2013-08-03 20:21:36.826537	140
17997	76050	2465	2013-08-03 20:21:36.849465	2013-08-03 20:21:36.849465	140
17998	76050	2375	2013-08-03 20:21:36.859647	2013-08-03 20:21:36.859647	140
17999	75935	4741	2013-08-03 20:21:36.882273	2013-08-03 20:21:36.882273	140
18000	75935	3454	2013-08-03 20:21:36.893071	2013-08-03 20:21:36.893071	140
18001	75822	13348	2013-08-03 20:21:36.91502	2013-08-03 20:21:36.91502	140
18002	75822	47463	2013-08-03 20:21:36.925735	2013-08-03 20:21:36.925735	140
18003	75753	15506	2013-08-03 20:21:36.934237	2013-08-03 20:21:36.934237	140
18004	75753	15406	2013-08-03 20:21:36.937638	2013-08-03 20:21:36.937638	140
18005	75345	15417	2013-08-03 20:21:36.945222	2013-08-03 20:21:36.945222	140
18006	75345	19881	2013-08-03 20:21:36.948836	2013-08-03 20:21:36.948836	140
18007	75305	15230	2013-08-03 20:21:36.956416	2013-08-03 20:21:36.956416	140
18008	75305	34438	2013-08-03 20:21:36.959265	2013-08-03 20:21:36.959265	140
18009	75060	19561	2013-08-03 20:21:36.969481	2013-08-03 20:21:36.969481	140
18010	75060	9698	2013-08-03 20:21:36.975884	2013-08-03 20:21:36.975884	140
18011	76292	28792	2013-08-03 20:21:37.02133	2013-08-03 20:21:37.02133	140
18012	76238	28772	2013-08-03 20:21:37.033227	2013-08-03 20:21:37.033227	140
18013	75819	28752	2013-08-03 20:21:37.042811	2013-08-03 20:21:37.042811	140
18014	75768	28732	2013-08-03 20:21:37.055948	2013-08-03 20:21:37.055948	140
18015	75498	40063	2013-08-03 20:21:37.065888	2013-08-03 20:21:37.065888	140
18016	75462	28617	2013-08-03 20:21:37.074647	2013-08-03 20:21:37.074647	140
18017	75457	28615	2013-08-03 20:21:37.083177	2013-08-03 20:21:37.083177	140
18018	75433	28712	2013-08-03 20:21:37.093265	2013-08-03 20:21:37.093265	140
18019	75404	28692	2013-08-03 20:21:37.106922	2013-08-03 20:21:37.106922	140
18020	75354	17130	2013-08-03 20:21:37.127083	2013-08-03 20:21:37.127083	140
18021	75347	4615	2013-08-03 20:21:37.149757	2013-08-03 20:21:37.149757	140
18022	75312	3341	2013-08-03 20:21:37.173461	2013-08-03 20:21:37.173461	140
18023	75263	21128	2013-08-03 20:21:37.196018	2013-08-03 20:21:37.196018	140
18024	75224	4139	2013-08-03 20:21:37.21876	2013-08-03 20:21:37.21876	140
18025	75127	17918	2013-08-03 20:21:37.241012	2013-08-03 20:21:37.241012	140
18026	75126	17898	2013-08-03 20:21:37.312689	2013-08-03 20:21:37.312689	140
18027	75117	34100	2013-08-03 20:21:37.320262	2013-08-03 20:21:37.320262	140
18028	75096	45715	2013-08-03 20:21:37.327587	2013-08-03 20:21:37.327587	140
18029	75056	14966	2013-08-03 20:21:37.335437	2013-08-03 20:21:37.335437	140
18030	75959	2641	2013-08-03 20:21:37.396147	2013-08-03 20:21:37.396147	140
18031	75366	3321	2013-08-03 20:21:37.418046	2013-08-03 20:21:37.418046	140
18032	75363	3394	2013-08-03 20:21:37.440448	2013-08-03 20:21:37.440448	140
18033	75361	17918	2013-08-03 20:21:37.462539	2013-08-03 20:21:37.462539	140
18034	75272	35043	2013-08-03 20:21:37.483784	2013-08-03 20:21:37.483784	140
18035	75234	19921	2013-08-03 20:21:37.505473	2013-08-03 20:21:37.505473	140
18036	75163	14275	2013-08-03 20:21:37.52697	2013-08-03 20:21:37.52697	140
18037	75140	28072	2013-08-03 20:21:37.549023	2013-08-03 20:21:37.549023	140
18038	75139	15291	2013-08-03 20:21:37.564358	2013-08-03 20:21:37.564358	140
18039	75045	28312	2013-08-03 20:21:37.574363	2013-08-03 20:21:37.574363	140
18040	75044	23648	2013-08-03 20:21:37.582897	2013-08-03 20:21:37.582897	140
18041	75035	46115	2013-08-03 20:21:37.591338	2013-08-03 20:21:37.591338	140
18042	76245	35038	2013-08-03 20:21:37.616516	2013-08-03 20:21:37.616516	140
18043	75824	35018	2013-08-03 20:21:37.625894	2013-08-03 20:21:37.625894	140
18044	75769	34998	2013-08-03 20:21:37.634417	2013-08-03 20:21:37.634417	140
18045	75619	34978	2013-08-03 20:21:37.641991	2013-08-03 20:21:37.641991	140
18046	75505	34958	2013-08-03 20:21:37.651951	2013-08-03 20:21:37.651951	140
18047	75458	5145	2013-08-03 20:21:37.662099	2013-08-03 20:21:37.662099	140
18048	75410	34418	2013-08-03 20:21:37.670713	2013-08-03 20:21:37.670713	140
18049	75406	15370	2013-08-03 20:21:37.681186	2013-08-03 20:21:37.681186	140
18050	75353	34698	2013-08-03 20:21:37.694556	2013-08-03 20:21:37.694556	140
18051	75343	5304	2013-08-03 20:21:37.704794	2013-08-03 20:21:37.704794	140
18052	75315	28392	2013-08-03 20:21:37.718721	2013-08-03 20:21:37.718721	140
18053	75225	28492	2013-08-03 20:21:37.741014	2013-08-03 20:21:37.741014	140
18054	75220	27872	2013-08-03 20:21:37.763038	2013-08-03 20:21:37.763038	140
18055	75132	19601	2013-08-03 20:21:37.785734	2013-08-03 20:21:37.785734	140
18056	75130	30177	2013-08-03 20:21:37.809289	2013-08-03 20:21:37.809289	140
18057	75095	34198	2013-08-03 20:21:37.832994	2013-08-03 20:21:37.832994	140
18058	75050	15266	2013-08-03 20:21:37.856632	2013-08-03 20:21:37.856632	140
18059	75042	6399	2013-08-03 20:21:37.879526	2013-08-03 20:21:37.879526	140
18060	75036	28012	2013-08-03 20:21:37.890869	2013-08-03 20:21:37.890869	140
18061	75368	35278	2013-08-03 20:21:37.918593	2013-08-03 20:21:37.918593	140
18062	75274	35258	2013-08-03 20:21:37.92683	2013-08-03 20:21:37.92683	140
18063	75222	35238	2013-08-03 20:21:37.93475	2013-08-03 20:21:37.93475	140
18064	75194	35218	2013-08-03 20:21:37.942776	2013-08-03 20:21:37.942776	140
18065	75165	35198	2013-08-03 20:21:37.951896	2013-08-03 20:21:37.951896	140
18066	75142	35178	2013-08-03 20:21:37.966361	2013-08-03 20:21:37.966361	140
18067	75141	35158	2013-08-03 20:21:37.98867	2013-08-03 20:21:37.98867	140
18068	75116	35138	2013-08-03 20:21:38.012111	2013-08-03 20:21:38.012111	140
18069	75055	35118	2013-08-03 20:21:38.036101	2013-08-03 20:21:38.036101	140
18070	75048	35098	2013-08-03 20:21:38.058962	2013-08-03 20:21:38.058962	140
18071	75037	35078	2013-08-03 20:21:38.081779	2013-08-03 20:21:38.081779	140
18072	75034	35058	2013-08-03 20:21:38.09716	2013-08-03 20:21:38.09716	140
18073	76246	8306	2013-08-03 20:21:38.11443	2013-08-03 20:21:38.11443	140
18074	76246	8250	2013-08-03 20:21:38.121612	2013-08-03 20:21:38.121612	140
18075	76053	8140	2013-08-03 20:21:38.131274	2013-08-03 20:21:38.131274	140
18076	76053	8160	2013-08-03 20:21:38.136614	2013-08-03 20:21:38.136614	140
18077	75922	12818	2013-08-03 20:21:38.150185	2013-08-03 20:21:38.150185	140
18078	75922	3394	2013-08-03 20:21:38.156061	2013-08-03 20:21:38.156061	140
18079	75826	27040	2013-08-03 20:21:38.165703	2013-08-03 20:21:38.165703	140
18080	75826	19981	2013-08-03 20:21:38.171217	2013-08-03 20:21:38.171217	140
18081	75350	15246	2013-08-03 20:21:38.180673	2013-08-03 20:21:38.180673	140
18082	75350	28100	2013-08-03 20:21:38.185035	2013-08-03 20:21:38.185035	140
18083	75320	811	2013-08-03 20:21:38.19441	2013-08-03 20:21:38.19441	140
18084	75320	28672	2013-08-03 20:21:38.199244	2013-08-03 20:21:38.199244	140
18085	75061	28352	2013-08-03 20:21:38.208686	2013-08-03 20:21:38.208686	140
18086	75061	15286	2013-08-03 20:21:38.212461	2013-08-03 20:21:38.212461	140
18087	75049	27992	2013-08-03 20:21:38.220187	2013-08-03 20:21:38.220187	140
18088	75049	27972	2013-08-03 20:21:38.224857	2013-08-03 20:21:38.224857	140
18089	75040	28032	2013-08-03 20:21:38.235127	2013-08-03 20:21:38.235127	140
18090	75040	34080	2013-08-03 20:21:38.241273	2013-08-03 20:21:38.241273	140
18091	76248	34540	2013-08-03 20:21:38.297313	2013-08-03 20:21:38.297313	140
18092	75929	34520	2013-08-03 20:21:38.321504	2013-08-03 20:21:38.321504	140
18093	75828	34500	2013-08-03 20:21:38.344431	2013-08-03 20:21:38.344431	140
18094	75770	34480	2013-08-03 20:21:38.367823	2013-08-03 20:21:38.367823	140
18095	75621	34460	2013-08-03 20:21:38.391519	2013-08-03 20:21:38.391519	140
18096	75510	34440	2013-08-03 20:21:38.413089	2013-08-03 20:21:38.413089	140
18097	75500	34420	2013-08-03 20:21:38.498401	2013-08-03 20:21:38.498401	140
18098	75420	34518	2013-08-03 20:21:38.506306	2013-08-03 20:21:38.506306	140
18099	75407	34400	2013-08-03 20:21:38.513582	2013-08-03 20:21:38.513582	140
18100	75346	34380	2013-08-03 20:21:38.521992	2013-08-03 20:21:38.521992	140
18101	75325	34360	2013-08-03 20:21:38.532908	2013-08-03 20:21:38.532908	140
18102	75131	31165	2013-08-03 20:21:38.545522	2013-08-03 20:21:38.545522	140
18103	75128	28712	2013-08-03 20:21:38.566866	2013-08-03 20:21:38.566866	140
18104	75098	5145	2013-08-03 20:21:38.590331	2013-08-03 20:21:38.590331	140
18105	75053	35043	2013-08-03 20:21:38.599431	2013-08-03 20:21:38.599431	140
18106	75051	47523	2013-08-03 20:21:38.609043	2013-08-03 20:21:38.609043	140
18107	75046	19961	2013-08-03 20:21:38.617514	2013-08-03 20:21:38.617514	140
18108	76881	20281	2013-08-03 20:22:29.582446	2013-08-03 20:22:29.582446	141
18109	76807	20261	2013-08-03 20:22:29.611331	2013-08-03 20:22:29.611331	141
18110	76757	7106	2013-08-03 20:22:29.625423	2013-08-03 20:22:29.625423	141
18111	76744	20205	2013-08-03 20:22:29.635325	2013-08-03 20:22:29.635325	141
18112	76729	20241	2013-08-03 20:22:29.645082	2013-08-03 20:22:29.645082	141
18113	76700	20118	2013-08-03 20:22:29.653887	2013-08-03 20:22:29.653887	141
18114	76696	20221	2013-08-03 20:22:29.665414	2013-08-03 20:22:29.665414	141
18115	76688	20201	2013-08-03 20:22:29.67479	2013-08-03 20:22:29.67479	141
18116	76675	20181	2013-08-03 20:22:29.685023	2013-08-03 20:22:29.685023	141
18117	76652	20161	2013-08-03 20:22:29.696	2013-08-03 20:22:29.696	141
18118	76629	20141	2013-08-03 20:22:29.705854	2013-08-03 20:22:29.705854	141
18119	76564	20163	2013-08-03 20:22:29.715828	2013-08-03 20:22:29.715828	141
18120	76528	20121	2013-08-03 20:22:29.726551	2013-08-03 20:22:29.726551	141
18121	76514	20218	2013-08-03 20:22:29.736437	2013-08-03 20:22:29.736437	141
18122	76505	20101	2013-08-03 20:22:29.746046	2013-08-03 20:22:29.746046	141
18123	76488	28732	2013-08-03 20:22:29.75578	2013-08-03 20:22:29.75578	141
18124	76487	46115	2013-08-03 20:22:29.769266	2013-08-03 20:22:29.769266	141
18125	76870	47803	2013-08-03 20:22:29.796071	2013-08-03 20:22:29.796071	141
18126	76758	47783	2013-08-03 20:22:29.808045	2013-08-03 20:22:29.808045	141
18127	76742	47763	2013-08-03 20:22:29.820191	2013-08-03 20:22:29.820191	141
18128	76718	47743	2013-08-03 20:22:29.836153	2013-08-03 20:22:29.836153	141
18129	76698	47723	2013-08-03 20:22:29.856337	2013-08-03 20:22:29.856337	141
18130	76692	47703	2013-08-03 20:22:29.879795	2013-08-03 20:22:29.879795	141
18131	76676	47683	2013-08-03 20:22:29.903239	2013-08-03 20:22:29.903239	141
18132	76648	47663	2013-08-03 20:22:29.927513	2013-08-03 20:22:29.927513	141
18133	76590	47643	2013-08-03 20:22:29.951437	2013-08-03 20:22:29.951437	141
18134	76570	47623	2013-08-03 20:22:29.974985	2013-08-03 20:22:29.974985	141
18135	76563	47603	2013-08-03 20:22:29.998361	2013-08-03 20:22:29.998361	141
18136	76522	47583	2013-08-03 20:22:30.021635	2013-08-03 20:22:30.021635	141
18137	76510	47563	2013-08-03 20:22:30.045336	2013-08-03 20:22:30.045336	141
18138	76501	31105	2013-08-03 20:22:30.117214	2013-08-03 20:22:30.117214	141
18139	76466	17130	2013-08-03 20:22:30.126551	2013-08-03 20:22:30.126551	141
18140	76449	20201	2013-08-03 20:22:30.136561	2013-08-03 20:22:30.136561	141
18141	76444	34698	2013-08-03 20:22:30.149287	2013-08-03 20:22:30.149287	141
18142	76743	31305	2013-08-03 20:22:30.183901	2013-08-03 20:22:30.183901	141
18143	76720	31285	2013-08-03 20:22:30.19165	2013-08-03 20:22:30.19165	141
18144	76699	31265	2013-08-03 20:22:30.198849	2013-08-03 20:22:30.198849	141
18145	76694	11281	2013-08-03 20:22:30.20824	2013-08-03 20:22:30.20824	141
18146	76689	15301	2013-08-03 20:22:30.219793	2013-08-03 20:22:30.219793	141
18147	76683	4741	2013-08-03 20:22:30.235415	2013-08-03 20:22:30.235415	141
18148	76651	12818	2013-08-03 20:22:30.249446	2013-08-03 20:22:30.249446	141
18149	76625	3394	2013-08-03 20:22:30.268176	2013-08-03 20:22:30.268176	141
18150	76581	3454	2013-08-03 20:22:30.290951	2013-08-03 20:22:30.290951	141
18151	76569	4139	2013-08-03 20:22:30.314438	2013-08-03 20:22:30.314438	141
18152	76561	47803	2013-08-03 20:22:30.337194	2013-08-03 20:22:30.337194	141
18153	76512	20281	2013-08-03 20:22:30.359619	2013-08-03 20:22:30.359619	141
18154	76502	19863	2013-08-03 20:22:30.381717	2013-08-03 20:22:30.381717	141
18155	76467	28492	2013-08-03 20:22:30.398796	2013-08-03 20:22:30.398796	141
18156	76457	19721	2013-08-03 20:22:30.406317	2013-08-03 20:22:30.406317	141
18157	76450	19501	2013-08-03 20:22:30.413322	2013-08-03 20:22:30.413322	141
18158	76443	19521	2013-08-03 20:22:30.422587	2013-08-03 20:22:30.422587	141
18159	77640	15626	2013-08-03 20:22:30.449606	2013-08-03 20:22:30.449606	141
18160	77640	34543	2013-08-03 20:22:30.455016	2013-08-03 20:22:30.455016	141
18161	76893	15606	2013-08-03 20:22:30.474585	2013-08-03 20:22:30.474585	141
18162	76893	15690	2013-08-03 20:22:30.486765	2013-08-03 20:22:30.486765	141
18163	76864	15586	2013-08-03 20:22:30.511663	2013-08-03 20:22:30.511663	141
18164	76864	15670	2013-08-03 20:22:30.522984	2013-08-03 20:22:30.522984	141
18165	76680	15650	2013-08-03 20:22:30.544647	2013-08-03 20:22:30.544647	141
18166	76680	15618	2013-08-03 20:22:30.556713	2013-08-03 20:22:30.556713	141
18167	76594	15630	2013-08-03 20:22:30.579258	2013-08-03 20:22:30.579258	141
18168	76594	15610	2013-08-03 20:22:30.590212	2013-08-03 20:22:30.590212	141
18169	76577	15566	2013-08-03 20:22:30.612389	2013-08-03 20:22:30.612389	141
18170	76577	15570	2013-08-03 20:22:30.623933	2013-08-03 20:22:30.623933	141
18171	76516	15635	2013-08-03 20:22:30.646155	2013-08-03 20:22:30.646155	141
18172	76516	3321	2013-08-03 20:22:30.657488	2013-08-03 20:22:30.657488	141
18173	76513	4139	2013-08-03 20:22:30.678272	2013-08-03 20:22:30.678272	141
18174	76513	47583	2013-08-03 20:22:30.688997	2013-08-03 20:22:30.688997	141
18175	76452	20141	2013-08-03 20:22:30.709632	2013-08-03 20:22:30.709632	141
18176	76452	34418	2013-08-03 20:22:30.720068	2013-08-03 20:22:30.720068	141
18177	77645	20141	2013-08-03 20:22:30.758611	2013-08-03 20:22:30.758611	141
18178	77645	20201	2013-08-03 20:22:30.764269	2013-08-03 20:22:30.764269	141
18179	76832	34418	2013-08-03 20:22:30.774209	2013-08-03 20:22:30.774209	141
18180	76832	19721	2013-08-03 20:22:30.778644	2013-08-03 20:22:30.778644	141
18181	76678	15286	2013-08-03 20:22:30.788993	2013-08-03 20:22:30.788993	141
18182	76678	28352	2013-08-03 20:22:30.793771	2013-08-03 20:22:30.793771	141
18183	76597	28312	2013-08-03 20:22:30.807893	2013-08-03 20:22:30.807893	141
18184	76597	46115	2013-08-03 20:22:30.811481	2013-08-03 20:22:30.811481	141
18185	76578	15266	2013-08-03 20:22:30.81786	2013-08-03 20:22:30.81786	141
18186	76578	14966	2013-08-03 20:22:30.821036	2013-08-03 20:22:30.821036	141
18187	76572	9698	2013-08-03 20:22:30.829994	2013-08-03 20:22:30.829994	141
18188	76572	19561	2013-08-03 20:22:30.836261	2013-08-03 20:22:30.836261	141
18189	76518	11251	2013-08-03 20:22:30.84675	2013-08-03 20:22:30.84675	141
18190	76518	6259	2013-08-03 20:22:30.852554	2013-08-03 20:22:30.852554	141
18191	77647	8140	2013-08-03 20:22:30.888168	2013-08-03 20:22:30.888168	141
18192	77647	2375	2013-08-03 20:22:30.898525	2013-08-03 20:22:30.898525	141
18193	76867	2465	2013-08-03 20:22:30.907851	2013-08-03 20:22:30.907851	141
18194	76867	5145	2013-08-03 20:22:30.915668	2013-08-03 20:22:30.915668	141
18195	76681	8939	2013-08-03 20:22:30.933437	2013-08-03 20:22:30.933437	141
18196	76681	13760	2013-08-03 20:22:30.94358	2013-08-03 20:22:30.94358	141
18197	76630	15570	2013-08-03 20:22:30.96584	2013-08-03 20:22:30.96584	141
18198	76630	15566	2013-08-03 20:22:30.976285	2013-08-03 20:22:30.976285	141
18199	76600	20121	2013-08-03 20:22:30.998017	2013-08-03 20:22:30.998017	141
18200	76600	34698	2013-08-03 20:22:31.008336	2013-08-03 20:22:31.008336	141
18201	76580	28072	2013-08-03 20:22:31.031308	2013-08-03 20:22:31.031308	141
18202	76580	45715	2013-08-03 20:22:31.040075	2013-08-03 20:22:31.040075	141
18203	76484	14966	2013-08-03 20:22:31.060546	2013-08-03 20:22:31.060546	141
18204	76484	15266	2013-08-03 20:22:31.071335	2013-08-03 20:22:31.071335	141
18205	76455	19521	2013-08-03 20:22:31.093462	2013-08-03 20:22:31.093462	141
18206	76455	34198	2013-08-03 20:22:31.10416	2013-08-03 20:22:31.10416	141
18207	77946	17198	2013-08-03 20:22:31.126764	2013-08-03 20:22:31.126764	141
18208	77946	45003	2013-08-03 20:22:31.132242	2013-08-03 20:22:31.132242	141
18209	77720	17210	2013-08-03 20:22:31.145595	2013-08-03 20:22:31.145595	141
18210	77720	17190	2013-08-03 20:22:31.152664	2013-08-03 20:22:31.152664	141
18211	77649	5269	2013-08-03 20:22:31.171526	2013-08-03 20:22:31.171526	141
18212	77649	17170	2013-08-03 20:22:31.183043	2013-08-03 20:22:31.183043	141
18213	77631	17150	2013-08-03 20:22:31.196779	2013-08-03 20:22:31.196779	141
18214	77631	9020	2013-08-03 20:22:31.201052	2013-08-03 20:22:31.201052	141
18215	77539	8605	2013-08-03 20:22:31.208219	2013-08-03 20:22:31.208219	141
18216	77539	47803	2013-08-03 20:22:31.212617	2013-08-03 20:22:31.212617	141
18217	77519	47603	2013-08-03 20:22:31.220069	2013-08-03 20:22:31.220069	141
18218	77519	20163	2013-08-03 20:22:31.224189	2013-08-03 20:22:31.224189	141
18219	77496	20021	2013-08-03 20:22:31.232507	2013-08-03 20:22:31.232507	141
18220	77496	27872	2013-08-03 20:22:31.236635	2013-08-03 20:22:31.236635	141
18221	77434	19701	2013-08-03 20:22:31.244511	2013-08-03 20:22:31.244511	141
18222	77434	27912	2013-08-03 20:22:31.248484	2013-08-03 20:22:31.248484	141
18223	77651	37523	2013-08-03 20:22:31.333437	2013-08-03 20:22:31.333437	141
18224	77651	3454	2013-08-03 20:22:31.345437	2013-08-03 20:22:31.345437	141
18225	76876	9020	2013-08-03 20:22:31.36958	2013-08-03 20:22:31.36958	141
18226	76876	21128	2013-08-03 20:22:31.380361	2013-08-03 20:22:31.380361	141
18227	76707	17150	2013-08-03 20:22:31.401397	2013-08-03 20:22:31.401397	141
18228	76707	20121	2013-08-03 20:22:31.412019	2013-08-03 20:22:31.412019	141
18229	76691	15610	2013-08-03 20:22:31.43412	2013-08-03 20:22:31.43412	141
18230	76691	15630	2013-08-03 20:22:31.444912	2013-08-03 20:22:31.444912	141
18231	76674	47623	2013-08-03 20:22:31.466823	2013-08-03 20:22:31.466823	141
18232	76674	20261	2013-08-03 20:22:31.478115	2013-08-03 20:22:31.478115	141
18233	76519	19961	2013-08-03 20:22:31.501536	2013-08-03 20:22:31.501536	141
18234	76519	19921	2013-08-03 20:22:31.511855	2013-08-03 20:22:31.511855	141
18235	76503	34698	2013-08-03 20:22:31.534315	2013-08-03 20:22:31.534315	141
18236	76503	28312	2013-08-03 20:22:31.545649	2013-08-03 20:22:31.545649	141
18237	76481	46115	2013-08-03 20:22:31.567778	2013-08-03 20:22:31.567778	141
18238	76481	34080	2013-08-03 20:22:31.578645	2013-08-03 20:22:31.578645	141
18239	76453	28032	2013-08-03 20:22:31.601381	2013-08-03 20:22:31.601381	141
18240	76453	28012	2013-08-03 20:22:31.612872	2013-08-03 20:22:31.612872	141
18241	76890	28975	2013-08-03 20:22:31.672429	2013-08-03 20:22:31.672429	141
18242	76746	28972	2013-08-03 20:22:31.695994	2013-08-03 20:22:31.695994	141
18243	76745	28952	2013-08-03 20:22:31.720946	2013-08-03 20:22:31.720946	141
18244	76719	28932	2013-08-03 20:22:31.744799	2013-08-03 20:22:31.744799	141
18245	76714	28912	2013-08-03 20:22:31.769141	2013-08-03 20:22:31.769141	141
18246	76679	28892	2013-08-03 20:22:31.783784	2013-08-03 20:22:31.783784	141
18247	76641	39343	2013-08-03 20:22:31.791482	2013-08-03 20:22:31.791482	141
18248	76587	28857	2013-08-03 20:22:31.799178	2013-08-03 20:22:31.799178	141
18249	76562	28872	2013-08-03 20:22:31.80826	2013-08-03 20:22:31.80826	141
18250	76521	28852	2013-08-03 20:22:31.819808	2013-08-03 20:22:31.819808	141
18251	76499	28832	2013-08-03 20:22:31.828768	2013-08-03 20:22:31.828768	141
18252	76483	28812	2013-08-03 20:22:31.839553	2013-08-03 20:22:31.839553	141
18253	76477	28792	2013-08-03 20:22:31.848861	2013-08-03 20:22:31.848861	141
18254	76468	12818	2013-08-03 20:22:31.857303	2013-08-03 20:22:31.857303	141
18255	76456	47663	2013-08-03 20:22:31.866771	2013-08-03 20:22:31.866771	141
18256	76445	20161	2013-08-03 20:22:31.877138	2013-08-03 20:22:31.877138	141
18257	77762	15486	2013-08-03 20:22:31.894604	2013-08-03 20:22:31.894604	141
18258	77762	19861	2013-08-03 20:22:31.898105	2013-08-03 20:22:31.898105	141
18259	77762	15426	2013-08-03 20:22:31.901948	2013-08-03 20:22:31.901948	141
18260	77762	5129	2013-08-03 20:22:31.90582	2013-08-03 20:22:31.90582	141
18261	77728	28672	2013-08-03 20:22:31.919481	2013-08-03 20:22:31.919481	141
18262	77728	811	2013-08-03 20:22:31.925567	2013-08-03 20:22:31.925567	141
18263	77728	28392	2013-08-03 20:22:31.93127	2013-08-03 20:22:31.93127	141
18264	77728	34438	2013-08-03 20:22:31.938269	2013-08-03 20:22:31.938269	141
18265	77554	15230	2013-08-03 20:22:31.958255	2013-08-03 20:22:31.958255	141
18266	77554	46155	2013-08-03 20:22:31.968894	2013-08-03 20:22:31.968894	141
18267	77554	2414	2013-08-03 20:22:31.979377	2013-08-03 20:22:31.979377	141
18268	77554	28272	2013-08-03 20:22:31.989287	2013-08-03 20:22:31.989287	141
18269	77544	2580	2013-08-03 20:22:32.010927	2013-08-03 20:22:32.010927	141
18270	77544	2600	2013-08-03 20:22:32.017963	2013-08-03 20:22:32.017963	141
18271	77544	30157	2013-08-03 20:22:32.021491	2013-08-03 20:22:32.021491	141
18272	77544	28452	2013-08-03 20:22:32.028279	2013-08-03 20:22:32.028279	141
18273	76507	46835	2013-08-03 20:22:32.046136	2013-08-03 20:22:32.046136	141
18274	76507	46815	2013-08-03 20:22:32.05457	2013-08-03 20:22:32.05457	141
18275	76507	46795	2013-08-03 20:22:32.059778	2013-08-03 20:22:32.059778	141
18276	76507	46663	2013-08-03 20:22:32.067487	2013-08-03 20:22:32.067487	141
18277	76507	46775	2013-08-03 20:22:32.078977	2013-08-03 20:22:32.078977	141
18278	76507	46755	2013-08-03 20:22:32.092403	2013-08-03 20:22:32.092403	141
18279	76507	46735	2013-08-03 20:22:32.100419	2013-08-03 20:22:32.100419	141
18280	76507	46715	2013-08-03 20:22:32.110471	2013-08-03 20:22:32.110471	141
18281	76507	46695	2013-08-03 20:22:32.115432	2013-08-03 20:22:32.115432	141
18282	76507	46675	2013-08-03 20:22:32.119926	2013-08-03 20:22:32.119926	141
18283	76507	46655	2013-08-03 20:22:32.124707	2013-08-03 20:22:32.124707	141
18284	76507	46635	2013-08-03 20:22:32.129442	2013-08-03 20:22:32.129442	141
18285	76507	31105	2013-08-03 20:22:32.134385	2013-08-03 20:22:32.134385	141
18286	76507	28832	2013-08-03 20:22:32.139665	2013-08-03 20:22:32.139665	141
18287	76507	19863	2013-08-03 20:22:32.14392	2013-08-03 20:22:32.14392	141
18288	76507	20101	2013-08-03 20:22:32.147536	2013-08-03 20:22:32.147536	141
18289	76507	28712	2013-08-03 20:22:32.151897	2013-08-03 20:22:32.151897	141
18290	76507	35178	2013-08-03 20:22:32.155154	2013-08-03 20:22:32.155154	141
18291	76507	19601	2013-08-03 20:22:32.158707	2013-08-03 20:22:32.158707	141
18292	77169	35778	2013-08-03 20:22:32.188488	2013-08-03 20:22:32.188488	141
18293	76868	35758	2013-08-03 20:22:32.196774	2013-08-03 20:22:32.196774	141
18294	76815	35738	2013-08-03 20:22:32.205638	2013-08-03 20:22:32.205638	141
18295	76755	35718	2013-08-03 20:22:32.216457	2013-08-03 20:22:32.216457	141
18296	76747	35698	2013-08-03 20:22:32.22421	2013-08-03 20:22:32.22421	141
18297	76736	35678	2013-08-03 20:22:32.232862	2013-08-03 20:22:32.232862	141
18298	76715	35658	2013-08-03 20:22:32.241733	2013-08-03 20:22:32.241733	141
18299	76690	35638	2013-08-03 20:22:32.251451	2013-08-03 20:22:32.251451	141
18300	76682	35618	2013-08-03 20:22:32.262517	2013-08-03 20:22:32.262517	141
18301	76672	35598	2013-08-03 20:22:32.273932	2013-08-03 20:22:32.273932	141
18302	76662	35578	2013-08-03 20:22:32.283666	2013-08-03 20:22:32.283666	141
18303	76614	35558	2013-08-03 20:22:32.292101	2013-08-03 20:22:32.292101	141
18304	76565	35538	2013-08-03 20:22:32.30219	2013-08-03 20:22:32.30219	141
18305	76523	35518	2013-08-03 20:22:32.311414	2013-08-03 20:22:32.311414	141
18306	76500	35498	2013-08-03 20:22:32.322757	2013-08-03 20:22:32.322757	141
18307	76495	35478	2013-08-03 20:22:32.334399	2013-08-03 20:22:32.334399	141
18308	76458	35458	2013-08-03 20:22:32.347912	2013-08-03 20:22:32.347912	141
18309	76447	35438	2013-08-03 20:22:32.365201	2013-08-03 20:22:32.365201	141
18310	76665	36038	2013-08-03 20:22:32.436249	2013-08-03 20:22:32.436249	141
18311	76615	36018	2013-08-03 20:22:32.459738	2013-08-03 20:22:32.459738	141
18312	76606	35998	2013-08-03 20:22:32.54235	2013-08-03 20:22:32.54235	141
18313	76579	35978	2013-08-03 20:22:32.558892	2013-08-03 20:22:32.558892	141
18314	76566	35958	2013-08-03 20:22:32.569614	2013-08-03 20:22:32.569614	141
18315	76550	35938	2013-08-03 20:22:32.591498	2013-08-03 20:22:32.591498	141
18316	76542	35918	2013-08-03 20:22:32.615859	2013-08-03 20:22:32.615859	141
18317	76517	35898	2013-08-03 20:22:32.639737	2013-08-03 20:22:32.639737	141
18318	76485	35878	2013-08-03 20:22:32.66332	2013-08-03 20:22:32.66332	141
18319	76479	35858	2013-08-03 20:22:32.686988	2013-08-03 20:22:32.686988	141
18320	76469	35838	2013-08-03 20:22:32.709963	2013-08-03 20:22:32.709963	141
18321	76459	35818	2013-08-03 20:22:32.733994	2013-08-03 20:22:32.733994	141
18322	76442	35798	2013-08-03 20:22:32.75831	2013-08-03 20:22:32.75831	141
18323	77660	8472	2013-08-03 20:22:32.782864	2013-08-03 20:22:32.782864	141
18324	77660	7950	2013-08-03 20:22:32.791878	2013-08-03 20:22:32.791878	141
18325	76871	8278	2013-08-03 20:22:32.799847	2013-08-03 20:22:32.799847	141
18326	76871	8298	2013-08-03 20:22:32.804032	2013-08-03 20:22:32.804032	141
18327	76716	8318	2013-08-03 20:22:32.812495	2013-08-03 20:22:32.812495	141
18328	76716	8180	2013-08-03 20:22:32.816432	2013-08-03 20:22:32.816432	141
18329	76685	12401	2013-08-03 20:22:32.826309	2013-08-03 20:22:32.826309	141
18330	76685	4139	2013-08-03 20:22:32.832455	2013-08-03 20:22:32.832455	141
18331	76620	15630	2013-08-03 20:22:32.843322	2013-08-03 20:22:32.843322	141
18332	76620	15610	2013-08-03 20:22:32.847442	2013-08-03 20:22:32.847442	141
18333	76541	15566	2013-08-03 20:22:32.854856	2013-08-03 20:22:32.854856	141
18334	76541	15570	2013-08-03 20:22:32.859723	2013-08-03 20:22:32.859723	141
18335	76524	47583	2013-08-03 20:22:32.869516	2013-08-03 20:22:32.869516	141
18336	76524	47643	2013-08-03 20:22:32.875323	2013-08-03 20:22:32.875323	141
18337	76509	28732	2013-08-03 20:22:32.891685	2013-08-03 20:22:32.891685	141
18338	76509	19561	2013-08-03 20:22:32.897572	2013-08-03 20:22:32.897572	141
18339	76451	9698	2013-08-03 20:22:32.907791	2013-08-03 20:22:32.907791	141
18340	76451	19501	2013-08-03 20:22:32.912915	2013-08-03 20:22:32.912915	141
18341	77308	34800	2013-08-03 20:22:32.942624	2013-08-03 20:22:32.942624	141
18342	76873	34780	2013-08-03 20:22:32.953683	2013-08-03 20:22:32.953683	141
18343	76773	34718	2013-08-03 20:22:32.962311	2013-08-03 20:22:32.962311	141
18344	76748	34760	2013-08-03 20:22:32.972353	2013-08-03 20:22:32.972353	141
18345	76717	34740	2013-08-03 20:22:32.984123	2013-08-03 20:22:32.984123	141
18346	76687	34720	2013-08-03 20:22:32.992743	2013-08-03 20:22:32.992743	141
18347	76684	34700	2013-08-03 20:22:32.999058	2013-08-03 20:22:32.999058	141
18348	76663	34680	2013-08-03 20:22:33.00973	2013-08-03 20:22:33.00973	141
18349	76624	34660	2013-08-03 20:22:33.020666	2013-08-03 20:22:33.020666	141
18350	76567	34640	2013-08-03 20:22:33.032099	2013-08-03 20:22:33.032099	141
18351	76545	34620	2013-08-03 20:22:33.041234	2013-08-03 20:22:33.041234	141
18352	76526	34600	2013-08-03 20:22:33.050062	2013-08-03 20:22:33.050062	141
18353	76506	34580	2013-08-03 20:22:33.065001	2013-08-03 20:22:33.065001	141
18354	76471	17130	2013-08-03 20:22:33.083251	2013-08-03 20:22:33.083251	141
18355	76448	12818	2013-08-03 20:22:33.106821	2013-08-03 20:22:33.106821	141
18356	76441	28492	2013-08-03 20:22:33.129179	2013-08-03 20:22:33.129179	141
18357	78453	20541	2013-08-03 20:27:30.201003	2013-08-03 20:27:30.201003	142
18358	78441	20521	2013-08-03 20:27:30.211148	2013-08-03 20:27:30.211148	142
18359	78275	20501	2013-08-03 20:27:30.223148	2013-08-03 20:27:30.223148	142
18360	78143	20481	2013-08-03 20:27:30.232557	2013-08-03 20:27:30.232557	142
18361	78032	20461	2013-08-03 20:27:30.241031	2013-08-03 20:27:30.241031	142
18362	77926	20441	2013-08-03 20:27:30.259993	2013-08-03 20:27:30.259993	142
18363	77924	20421	2013-08-03 20:27:30.283998	2013-08-03 20:27:30.283998	142
18364	77913	4091	2013-08-03 20:27:30.307376	2013-08-03 20:27:30.307376	142
18365	77905	20401	2013-08-03 20:27:30.331958	2013-08-03 20:27:30.331958	142
18366	77880	20381	2013-08-03 20:27:30.358798	2013-08-03 20:27:30.358798	142
18367	77862	20361	2013-08-03 20:27:30.38253	2013-08-03 20:27:30.38253	142
18368	77857	20341	2013-08-03 20:27:30.407275	2013-08-03 20:27:30.407275	142
18369	77844	5271	2013-08-03 20:27:30.431104	2013-08-03 20:27:30.431104	142
18370	77804	19088	2013-08-03 20:27:30.438976	2013-08-03 20:27:30.438976	142
18371	77788	17390	2013-08-03 20:27:30.446943	2013-08-03 20:27:30.446943	142
18372	77785	15800	2013-08-03 20:27:30.454021	2013-08-03 20:27:30.454021	142
18373	77783	48043	2013-08-03 20:27:30.464105	2013-08-03 20:27:30.464105	142
18374	77774	47463	2013-08-03 20:27:30.474184	2013-08-03 20:27:30.474184	142
18375	78440	48283	2013-08-03 20:27:30.519104	2013-08-03 20:27:30.519104	142
18376	78267	48263	2013-08-03 20:27:30.527849	2013-08-03 20:27:30.527849	142
18377	78141	48243	2013-08-03 20:27:30.545196	2013-08-03 20:27:30.545196	142
18378	77960	48223	2013-08-03 20:27:30.554569	2013-08-03 20:27:30.554569	142
18379	77920	48203	2013-08-03 20:27:30.572337	2013-08-03 20:27:30.572337	142
18380	77918	48183	2013-08-03 20:27:30.593807	2013-08-03 20:27:30.593807	142
18381	77902	48163	2013-08-03 20:27:30.617806	2013-08-03 20:27:30.617806	142
18382	77889	48143	2013-08-03 20:27:30.641903	2013-08-03 20:27:30.641903	142
18383	77876	48123	2013-08-03 20:27:30.666117	2013-08-03 20:27:30.666117	142
18384	77853	48103	2013-08-03 20:27:30.692289	2013-08-03 20:27:30.692289	142
18385	77837	48083	2013-08-03 20:27:30.71563	2013-08-03 20:27:30.71563	142
18386	77836	48063	2013-08-03 20:27:30.739975	2013-08-03 20:27:30.739975	142
18387	77789	35000	2013-08-03 20:27:30.751197	2013-08-03 20:27:30.751197	142
18388	77779	20461	2013-08-03 20:27:30.763796	2013-08-03 20:27:30.763796	142
18389	77778	17370	2013-08-03 20:27:30.776307	2013-08-03 20:27:30.776307	142
18390	77777	15770	2013-08-03 20:27:30.796117	2013-08-03 20:27:30.796117	142
18391	77771	24037	2013-08-03 20:27:30.820109	2013-08-03 20:27:30.820109	142
18392	78439	31545	2013-08-03 20:27:30.884483	2013-08-03 20:27:30.884483	142
18393	78268	31525	2013-08-03 20:27:30.907824	2013-08-03 20:27:30.907824	142
18394	78142	31505	2013-08-03 20:27:30.930644	2013-08-03 20:27:30.930644	142
18395	78031	31485	2013-08-03 20:27:30.954427	2013-08-03 20:27:30.954427	142
18396	77964	31465	2013-08-03 20:27:30.976863	2013-08-03 20:27:30.976863	142
18397	77955	31445	2013-08-03 20:27:30.989762	2013-08-03 20:27:30.989762	142
18398	77923	31425	2013-08-03 20:27:30.99797	2013-08-03 20:27:30.99797	142
18399	77922	31405	2013-08-03 20:27:31.010377	2013-08-03 20:27:31.010377	142
18400	77912	31378	2013-08-03 20:27:31.023991	2013-08-03 20:27:31.023991	142
18401	77899	31260	2013-08-03 20:27:31.04155	2013-08-03 20:27:31.04155	142
18402	77878	29532	2013-08-03 20:27:31.109711	2013-08-03 20:27:31.109711	142
18403	77850	48223	2013-08-03 20:27:31.118246	2013-08-03 20:27:31.118246	142
18404	77847	20541	2013-08-03 20:27:31.13526	2013-08-03 20:27:31.13526	142
18405	77828	17350	2013-08-03 20:27:31.156711	2013-08-03 20:27:31.156711	142
18406	77784	15726	2013-08-03 20:27:31.166663	2013-08-03 20:27:31.166663	142
18407	77781	47983	2013-08-03 20:27:31.1793	2013-08-03 20:27:31.1793	142
18408	77773	47443	2013-08-03 20:27:31.190323	2013-08-03 20:27:31.190323	142
18409	79620	9699	2013-08-03 20:27:31.21758	2013-08-03 20:27:31.21758	142
18410	79620	9679	2013-08-03 20:27:31.223833	2013-08-03 20:27:31.223833	142
18411	78577	11230	2013-08-03 20:27:31.237195	2013-08-03 20:27:31.237195	142
18412	78577	4909	2013-08-03 20:27:31.242474	2013-08-03 20:27:31.242474	142
18413	78360	11020	2013-08-03 20:27:31.251329	2013-08-03 20:27:31.251329	142
18414	78360	11950	2013-08-03 20:27:31.255493	2013-08-03 20:27:31.255493	142
18415	78144	15725	2013-08-03 20:27:31.266718	2013-08-03 20:27:31.266718	142
18416	78144	15817	2013-08-03 20:27:31.274343	2013-08-03 20:27:31.274343	142
18417	77952	15846	2013-08-03 20:27:31.288068	2013-08-03 20:27:31.288068	142
18418	77952	15825	2013-08-03 20:27:31.29203	2013-08-03 20:27:31.29203	142
18419	77949	15826	2013-08-03 20:27:31.298701	2013-08-03 20:27:31.298701	142
18420	77949	15806	2013-08-03 20:27:31.302984	2013-08-03 20:27:31.302984	142
18421	77908	15786	2013-08-03 20:27:31.310923	2013-08-03 20:27:31.310923	142
18422	77908	44503	2013-08-03 20:27:31.316067	2013-08-03 20:27:31.316067	142
18423	77806	19088	2013-08-03 20:27:31.328458	2013-08-03 20:27:31.328458	142
18424	77806	15770	2013-08-03 20:27:31.335015	2013-08-03 20:27:31.335015	142
18425	77802	17330	2013-08-03 20:27:31.344668	2013-08-03 20:27:31.344668	142
18426	77802	15370	2013-08-03 20:27:31.348653	2013-08-03 20:27:31.348653	142
18427	79625	19208	2013-08-03 20:27:31.369391	2013-08-03 20:27:31.369391	142
18428	79625	19188	2013-08-03 20:27:31.374204	2013-08-03 20:27:31.374204	142
18429	78580	5765	2013-08-03 20:27:31.38405	2013-08-03 20:27:31.38405	142
18430	78580	21397	2013-08-03 20:27:31.389746	2013-08-03 20:27:31.389746	142
18431	78365	19168	2013-08-03 20:27:31.398976	2013-08-03 20:27:31.398976	142
18432	78365	19148	2013-08-03 20:27:31.404779	2013-08-03 20:27:31.404779	142
18433	78263	19128	2013-08-03 20:27:31.41577	2013-08-03 20:27:31.41577	142
18434	78263	19108	2013-08-03 20:27:31.421321	2013-08-03 20:27:31.421321	142
18435	78145	19088	2013-08-03 20:27:31.430134	2013-08-03 20:27:31.430134	142
18436	78145	15770	2013-08-03 20:27:31.433858	2013-08-03 20:27:31.433858	142
18437	77954	17350	2013-08-03 20:27:31.44115	2013-08-03 20:27:31.44115	142
18438	77954	48083	2013-08-03 20:27:31.444554	2013-08-03 20:27:31.444554	142
18439	77914	17310	2013-08-03 20:27:31.451647	2013-08-03 20:27:31.451647	142
18440	77914	15720	2013-08-03 20:27:31.454975	2013-08-03 20:27:31.454975	142
18441	77803	47943	2013-08-03 20:27:31.461799	2013-08-03 20:27:31.461799	142
18442	77803	27912	2013-08-03 20:27:31.465226	2013-08-03 20:27:31.465226	142
18443	79628	47663	2013-08-03 20:27:31.481773	2013-08-03 20:27:31.481773	142
18444	79628	20161	2013-08-03 20:27:31.485618	2013-08-03 20:27:31.485618	142
18445	78583	47803	2013-08-03 20:27:31.493498	2013-08-03 20:27:31.493498	142
18446	78583	8605	2013-08-03 20:27:31.497665	2013-08-03 20:27:31.497665	142
18447	78371	27912	2013-08-03 20:27:31.509837	2013-08-03 20:27:31.509837	142
18448	78371	15370	2013-08-03 20:27:31.518497	2013-08-03 20:27:31.518497	142
18449	77950	19701	2013-08-03 20:27:31.540108	2013-08-03 20:27:31.540108	142
18450	77950	28312	2013-08-03 20:27:31.550512	2013-08-03 20:27:31.550512	142
18451	77916	34698	2013-08-03 20:27:31.573965	2013-08-03 20:27:31.573965	142
18452	77916	28072	2013-08-03 20:27:31.585515	2013-08-03 20:27:31.585515	142
18453	77818	45715	2013-08-03 20:27:31.607721	2013-08-03 20:27:31.607721	142
18454	77818	19561	2013-08-03 20:27:31.619645	2013-08-03 20:27:31.619645	142
18455	77805	28452	2013-08-03 20:27:31.64243	2013-08-03 20:27:31.64243	142
18456	77805	30157	2013-08-03 20:27:31.650757	2013-08-03 20:27:31.650757	142
18457	77787	2600	2013-08-03 20:27:31.671135	2013-08-03 20:27:31.671135	142
18458	77787	2580	2013-08-03 20:27:31.682686	2013-08-03 20:27:31.682686	142
18459	78587	17570	2013-08-03 20:27:31.74197	2013-08-03 20:27:31.74197	142
18460	78587	17550	2013-08-03 20:27:31.753518	2013-08-03 20:27:31.753518	142
18461	78375	17530	2013-08-03 20:27:31.77634	2013-08-03 20:27:31.77634	142
18462	78375	17510	2013-08-03 20:27:31.78796	2013-08-03 20:27:31.78796	142
18463	78146	17490	2013-08-03 20:27:31.813771	2013-08-03 20:27:31.813771	142
18464	78146	17560	2013-08-03 20:27:31.817582	2013-08-03 20:27:31.817582	142
18465	77965	17470	2013-08-03 20:27:31.828066	2013-08-03 20:27:31.828066	142
18466	77965	17450	2013-08-03 20:27:31.832007	2013-08-03 20:27:31.832007	142
18467	77958	17461	2013-08-03 20:27:31.840604	2013-08-03 20:27:31.840604	142
18468	77958	17430	2013-08-03 20:27:31.846	2013-08-03 20:27:31.846	142
18469	77919	17443	2013-08-03 20:27:31.857973	2013-08-03 20:27:31.857973	142
18470	77919	17355	2013-08-03 20:27:31.868627	2013-08-03 20:27:31.868627	142
18471	77822	17378	2013-08-03 20:27:31.891651	2013-08-03 20:27:31.891651	142
18472	77822	17398	2013-08-03 20:27:31.90349	2013-08-03 20:27:31.90349	142
18473	77811	17410	2013-08-03 20:27:31.926554	2013-08-03 20:27:31.926554	142
18474	77811	48123	2013-08-03 20:27:31.937597	2013-08-03 20:27:31.937597	142
18475	78589	15786	2013-08-03 20:27:31.990103	2013-08-03 20:27:31.990103	142
18476	78589	48143	2013-08-03 20:27:32.000504	2013-08-03 20:27:32.000504	142
18477	78376	29152	2013-08-03 20:27:32.018457	2013-08-03 20:27:32.018457	142
18478	78376	15610	2013-08-03 20:27:32.022798	2013-08-03 20:27:32.022798	142
18479	78147	15630	2013-08-03 20:27:32.033356	2013-08-03 20:27:32.033356	142
18480	78147	5129	2013-08-03 20:27:32.036869	2013-08-03 20:27:32.036869	142
18481	77968	15426	2013-08-03 20:27:32.044309	2013-08-03 20:27:32.044309	142
18482	77968	19861	2013-08-03 20:27:32.050692	2013-08-03 20:27:32.050692	142
18483	77953	15486	2013-08-03 20:27:32.07115	2013-08-03 20:27:32.07115	142
18484	77953	47763	2013-08-03 20:27:32.081924	2013-08-03 20:27:32.081924	142
18485	77882	28072	2013-08-03 20:27:32.104058	2013-08-03 20:27:32.104058	142
18486	77882	34698	2013-08-03 20:27:32.114148	2013-08-03 20:27:32.114148	142
18487	77817	19761	2013-08-03 20:27:32.135627	2013-08-03 20:27:32.135627	142
18488	77817	2414	2013-08-03 20:27:32.14655	2013-08-03 20:27:32.14655	142
18489	78380	20541	2013-08-03 20:27:32.161088	2013-08-03 20:27:32.161088	142
18490	78380	5358	2013-08-03 20:27:32.165044	2013-08-03 20:27:32.165044	142
18491	78380	17798	2013-08-03 20:27:32.169184	2013-08-03 20:27:32.169184	142
18492	78149	48063	2013-08-03 20:27:32.183158	2013-08-03 20:27:32.183158	142
18493	78149	20341	2013-08-03 20:27:32.251074	2013-08-03 20:27:32.251074	142
18494	78149	47395	2013-08-03 20:27:32.257983	2013-08-03 20:27:32.257983	142
18495	77948	29132	2013-08-03 20:27:32.268822	2013-08-03 20:27:32.268822	142
18496	77948	34423	2013-08-03 20:27:32.273722	2013-08-03 20:27:32.273722	142
18497	77948	8605	2013-08-03 20:27:32.279206	2013-08-03 20:27:32.279206	142
18498	77925	47803	2013-08-03 20:27:32.287587	2013-08-03 20:27:32.287587	142
18499	77925	28972	2013-08-03 20:27:32.29127	2013-08-03 20:27:32.29127	142
18500	77925	14275	2013-08-03 20:27:32.294796	2013-08-03 20:27:32.294796	142
18501	77827	17170	2013-08-03 20:27:32.302998	2013-08-03 20:27:32.302998	142
18502	77827	5269	2013-08-03 20:27:32.308457	2013-08-03 20:27:32.308457	142
18503	77827	20201	2013-08-03 20:27:32.316297	2013-08-03 20:27:32.316297	142
18504	77824	20141	2013-08-03 20:27:32.330726	2013-08-03 20:27:32.330726	142
18505	77824	28400	2013-08-03 20:27:32.333856	2013-08-03 20:27:32.333856	142
18506	77824	15230	2013-08-03 20:27:32.339271	2013-08-03 20:27:32.339271	142
18507	77861	47655	2013-08-03 20:27:32.39001	2013-08-03 20:27:32.39001	142
18508	77861	47635	2013-08-03 20:27:32.394436	2013-08-03 20:27:32.394436	142
18509	77861	47615	2013-08-03 20:27:32.398298	2013-08-03 20:27:32.398298	142
18510	77861	47595	2013-08-03 20:27:32.401755	2013-08-03 20:27:32.401755	142
18511	77861	47575	2013-08-03 20:27:32.405158	2013-08-03 20:27:32.405158	142
18512	77861	47555	2013-08-03 20:27:32.40915	2013-08-03 20:27:32.40915	142
18513	77861	47535	2013-08-03 20:27:32.413112	2013-08-03 20:27:32.413112	142
18514	77861	47515	2013-08-03 20:27:32.41653	2013-08-03 20:27:32.41653	142
18515	77861	47495	2013-08-03 20:27:32.424477	2013-08-03 20:27:32.424477	142
18516	77861	29252	2013-08-03 20:27:32.433859	2013-08-03 20:27:32.433859	142
18517	77861	29260	2013-08-03 20:27:32.443778	2013-08-03 20:27:32.443778	142
18518	77861	20361	2013-08-03 20:27:32.453725	2013-08-03 20:27:32.453725	142
18519	77861	8278	2013-08-03 20:27:32.4642	2013-08-03 20:27:32.4642	142
18520	77861	1487	2013-08-03 20:27:32.475138	2013-08-03 20:27:32.475138	142
18521	77861	48223	2013-08-03 20:27:32.486381	2013-08-03 20:27:32.486381	142
18522	77861	48103	2013-08-03 20:27:32.496521	2013-08-03 20:27:32.496521	142
18523	77861	47255	2013-08-03 20:27:32.506367	2013-08-03 20:27:32.506367	142
18524	77861	45003	2013-08-03 20:27:32.516637	2013-08-03 20:27:32.516637	142
18525	77861	9698	2013-08-03 20:27:32.526778	2013-08-03 20:27:32.526778	142
18526	78333	36255	2013-08-03 20:27:32.58933	2013-08-03 20:27:32.58933	142
18527	78280	36258	2013-08-03 20:27:32.613279	2013-08-03 20:27:32.613279	142
18528	78150	36238	2013-08-03 20:27:32.63691	2013-08-03 20:27:32.63691	142
18529	78033	36218	2013-08-03 20:27:32.65952	2013-08-03 20:27:32.65952	142
18530	77993	36198	2013-08-03 20:27:32.682913	2013-08-03 20:27:32.682913	142
18531	77951	36178	2013-08-03 20:27:32.706393	2013-08-03 20:27:32.706393	142
18532	77947	47095	2013-08-03 20:27:32.729308	2013-08-03 20:27:32.729308	142
18533	77939	28792	2013-08-03 20:27:32.751932	2013-08-03 20:27:32.751932	142
18534	77937	34400	2013-08-03 20:27:32.772873	2013-08-03 20:27:32.772873	142
18535	77928	19941	2013-08-03 20:27:32.793832	2013-08-03 20:27:32.793832	142
18536	77874	28272	2013-08-03 20:27:32.816215	2013-08-03 20:27:32.816215	142
18537	77866	46155	2013-08-03 20:27:32.839933	2013-08-03 20:27:32.839933	142
18538	77851	34418	2013-08-03 20:27:32.863635	2013-08-03 20:27:32.863635	142
18539	77831	28612	2013-08-03 20:27:32.887017	2013-08-03 20:27:32.887017	142
18540	77813	30197	2013-08-03 20:27:32.908177	2013-08-03 20:27:32.908177	142
18541	77792	19501	2013-08-03 20:27:32.930993	2013-08-03 20:27:32.930993	142
18542	77780	19521	2013-08-03 20:27:32.954748	2013-08-03 20:27:32.954748	142
18543	77775	46095	2013-08-03 20:27:32.979376	2013-08-03 20:27:32.979376	142
18544	78982	36558	2013-08-03 20:27:33.035456	2013-08-03 20:27:33.035456	142
18545	78264	36538	2013-08-03 20:27:33.044366	2013-08-03 20:27:33.044366	142
18546	78034	36518	2013-08-03 20:27:33.05303	2013-08-03 20:27:33.05303	142
18547	78029	36498	2013-08-03 20:27:33.061947	2013-08-03 20:27:33.061947	142
18548	78023	36478	2013-08-03 20:27:33.078111	2013-08-03 20:27:33.078111	142
18549	78008	36458	2013-08-03 20:27:33.091614	2013-08-03 20:27:33.091614	142
18550	77929	36438	2013-08-03 20:27:33.112604	2013-08-03 20:27:33.112604	142
18551	77904	36418	2013-08-03 20:27:33.1357	2013-08-03 20:27:33.1357	142
18552	77898	36398	2013-08-03 20:27:33.160065	2013-08-03 20:27:33.160065	142
18553	77881	36378	2013-08-03 20:27:33.183078	2013-08-03 20:27:33.183078	142
18554	77867	36358	2013-08-03 20:27:33.206771	2013-08-03 20:27:33.206771	142
18555	77849	36338	2013-08-03 20:27:33.22311	2013-08-03 20:27:33.22311	142
18556	77810	36318	2013-08-03 20:27:33.232071	2013-08-03 20:27:33.232071	142
18557	77772	36298	2013-08-03 20:27:33.243574	2013-08-03 20:27:33.243574	142
18558	78592	29152	2013-08-03 20:27:33.275348	2013-08-03 20:27:33.275348	142
18559	78592	17510	2013-08-03 20:27:33.279414	2013-08-03 20:27:33.279414	142
18560	78151	17530	2013-08-03 20:27:33.287315	2013-08-03 20:27:33.287315	142
18561	78151	48263	2013-08-03 20:27:33.292547	2013-08-03 20:27:33.292547	142
18562	77961	20501	2013-08-03 20:27:33.305312	2013-08-03 20:27:33.305312	142
18563	77961	47375	2013-08-03 20:27:33.310503	2013-08-03 20:27:33.310503	142
18564	77932	28952	2013-08-03 20:27:33.320148	2013-08-03 20:27:33.320148	142
18565	77932	15586	2013-08-03 20:27:33.324917	2013-08-03 20:27:33.324917	142
18566	77843	15370	2013-08-03 20:27:33.33319	2013-08-03 20:27:33.33319	142
18567	77843	27912	2013-08-03 20:27:33.337459	2013-08-03 20:27:33.337459	142
18568	77814	2434	2013-08-03 20:27:33.345834	2013-08-03 20:27:33.345834	142
18569	77814	34198	2013-08-03 20:27:33.349873	2013-08-03 20:27:33.349873	142
18570	77786	11251	2013-08-03 20:27:33.356401	2013-08-03 20:27:33.356401	142
18571	77786	28032	2013-08-03 20:27:33.359422	2013-08-03 20:27:33.359422	142
18572	78435	35260	2013-08-03 20:27:33.385618	2013-08-03 20:27:33.385618	142
18573	78343	35240	2013-08-03 20:27:33.401217	2013-08-03 20:27:33.401217	142
18574	78152	35220	2013-08-03 20:27:33.421471	2013-08-03 20:27:33.421471	142
18575	78068	35258	2013-08-03 20:27:33.444824	2013-08-03 20:27:33.444824	142
18576	77967	35200	2013-08-03 20:27:33.466204	2013-08-03 20:27:33.466204	142
18577	77945	35180	2013-08-03 20:27:33.491805	2013-08-03 20:27:33.491805	142
18578	77938	35160	2013-08-03 20:27:33.51407	2013-08-03 20:27:33.51407	142
18579	77934	35140	2013-08-03 20:27:33.532536	2013-08-03 20:27:33.532536	142
18580	77879	35120	2013-08-03 20:27:33.605055	2013-08-03 20:27:33.605055	142
18581	77873	35100	2013-08-03 20:27:33.611954	2013-08-03 20:27:33.611954	142
18582	77856	35080	2013-08-03 20:27:33.619019	2013-08-03 20:27:33.619019	142
18583	77821	35060	2013-08-03 20:27:33.625891	2013-08-03 20:27:33.625891	142
18584	77820	31425	2013-08-03 20:27:33.635383	2013-08-03 20:27:33.635383	142
18585	77793	48203	2013-08-03 20:27:33.645005	2013-08-03 20:27:33.645005	142
18586	77791	20441	2013-08-03 20:27:33.660027	2013-08-03 20:27:33.660027	142
18587	77782	19581	2013-08-03 20:27:33.68138	2013-08-03 20:27:33.68138	142
18588	79830	20595	2013-08-03 20:32:23.49275	2013-08-03 20:32:23.49275	143
18589	79830	20641	2013-08-03 20:32:23.498447	2013-08-03 20:32:23.498447	143
18590	79830	20621	2013-08-03 20:32:23.504064	2013-08-03 20:32:23.504064	143
18591	79823	20712	2013-08-03 20:32:23.517771	2013-08-03 20:32:23.517771	143
18592	79823	20601	2013-08-03 20:32:23.527436	2013-08-03 20:32:23.527436	143
18593	79823	20581	2013-08-03 20:32:23.587072	2013-08-03 20:32:23.587072	143
18594	79783	20545	2013-08-03 20:32:23.612124	2013-08-03 20:32:23.612124	143
18595	79783	20517	2013-08-03 20:32:23.623351	2013-08-03 20:32:23.623351	143
18596	79783	12081	2013-08-03 20:32:23.632319	2013-08-03 20:32:23.632319	143
18597	79740	5261	2013-08-03 20:32:23.653329	2013-08-03 20:32:23.653329	143
18598	79740	5286	2013-08-03 20:32:23.663684	2013-08-03 20:32:23.663684	143
18599	79740	4264	2013-08-03 20:32:23.67363	2013-08-03 20:32:23.67363	143
18600	79734	17750	2013-08-03 20:32:23.694983	2013-08-03 20:32:23.694983	143
18601	79734	48175	2013-08-03 20:32:23.705104	2013-08-03 20:32:23.705104	143
18602	79734	15986	2013-08-03 20:32:23.715551	2013-08-03 20:32:23.715551	143
18603	79731	9081	2013-08-03 20:32:23.737458	2013-08-03 20:32:23.737458	143
18604	79731	20121	2013-08-03 20:32:23.742793	2013-08-03 20:32:23.742793	143
18605	79731	28400	2013-08-03 20:32:23.748174	2013-08-03 20:32:23.748174	143
18606	79861	31665	2013-08-03 20:32:23.800741	2013-08-03 20:32:23.800741	143
18607	79861	31645	2013-08-03 20:32:23.812378	2013-08-03 20:32:23.812378	143
18608	79827	31625	2013-08-03 20:32:23.837823	2013-08-03 20:32:23.837823	143
18609	79827	31605	2013-08-03 20:32:23.847623	2013-08-03 20:32:23.847623	143
18610	79793	31585	2013-08-03 20:32:23.858598	2013-08-03 20:32:23.858598	143
18611	79793	31565	2013-08-03 20:32:23.864318	2013-08-03 20:32:23.864318	143
18612	79792	29952	2013-08-03 20:32:23.875275	2013-08-03 20:32:23.875275	143
18613	79792	29525	2013-08-03 20:32:23.880138	2013-08-03 20:32:23.880138	143
18614	79779	8901	2013-08-03 20:32:23.888654	2013-08-03 20:32:23.888654	143
18615	79779	5321	2013-08-03 20:32:23.892801	2013-08-03 20:32:23.892801	143
18616	79756	7330	2013-08-03 20:32:23.89982	2013-08-03 20:32:23.89982	143
18617	79756	18010	2013-08-03 20:32:23.902822	2013-08-03 20:32:23.902822	143
18618	79735	17730	2013-08-03 20:32:23.910993	2013-08-03 20:32:23.910993	143
18619	79735	4350	2013-08-03 20:32:23.914678	2013-08-03 20:32:23.914678	143
18620	79832	16146	2013-08-03 20:32:23.958676	2013-08-03 20:32:23.958676	143
18621	79832	16126	2013-08-03 20:32:23.969765	2013-08-03 20:32:23.969765	143
18622	79832	5106	2013-08-03 20:32:23.980908	2013-08-03 20:32:23.980908	143
18623	79796	16106	2013-08-03 20:32:24.00431	2013-08-03 20:32:24.00431	143
18624	79796	16100	2013-08-03 20:32:24.016052	2013-08-03 20:32:24.016052	143
18625	79796	16086	2013-08-03 20:32:24.027492	2013-08-03 20:32:24.027492	143
18626	79758	16066	2013-08-03 20:32:24.04168	2013-08-03 20:32:24.04168	143
18627	79758	16046	2013-08-03 20:32:24.048248	2013-08-03 20:32:24.048248	143
18628	79758	16026	2013-08-03 20:32:24.052499	2013-08-03 20:32:24.052499	143
18629	79746	9719	2013-08-03 20:32:24.059928	2013-08-03 20:32:24.059928	143
18630	79746	16006	2013-08-03 20:32:24.065228	2013-08-03 20:32:24.065228	143
18631	79746	31565	2013-08-03 20:32:24.073166	2013-08-03 20:32:24.073166	143
18632	79732	17990	2013-08-03 20:32:24.081182	2013-08-03 20:32:24.081182	143
18633	79732	17710	2013-08-03 20:32:24.084377	2013-08-03 20:32:24.084377	143
18634	79732	8605	2013-08-03 20:32:24.088816	2013-08-03 20:32:24.088816	143
18635	79834	5223	2013-08-03 20:32:24.109995	2013-08-03 20:32:24.109995	143
18636	79834	7763	2013-08-03 20:32:24.117801	2013-08-03 20:32:24.117801	143
18637	79834	7816	2013-08-03 20:32:24.127312	2013-08-03 20:32:24.127312	143
18638	79834	4339	2013-08-03 20:32:24.137486	2013-08-03 20:32:24.137486	143
18639	79834	5186	2013-08-03 20:32:24.148019	2013-08-03 20:32:24.148019	143
18640	79834	5206	2013-08-03 20:32:24.158987	2013-08-03 20:32:24.158987	143
18641	79795	5226	2013-08-03 20:32:24.181253	2013-08-03 20:32:24.181253	143
18642	79795	5246	2013-08-03 20:32:24.192804	2013-08-03 20:32:24.192804	143
18643	79795	5266	2013-08-03 20:32:24.204788	2013-08-03 20:32:24.204788	143
18644	79795	17710	2013-08-03 20:32:24.209896	2013-08-03 20:32:24.209896	143
18645	79795	17990	2013-08-03 20:32:24.214844	2013-08-03 20:32:24.214844	143
18646	79795	17970	2013-08-03 20:32:24.218574	2013-08-03 20:32:24.218574	143
18647	79772	17690	2013-08-03 20:32:24.226415	2013-08-03 20:32:24.226415	143
18648	79772	15950	2013-08-03 20:32:24.229568	2013-08-03 20:32:24.229568	143
18649	79772	8605	2013-08-03 20:32:24.232231	2013-08-03 20:32:24.232231	143
18650	79772	34423	2013-08-03 20:32:24.237218	2013-08-03 20:32:24.237218	143
18651	79772	20221	2013-08-03 20:32:24.242053	2013-08-03 20:32:24.242053	143
18652	79772	28672	2013-08-03 20:32:24.247521	2013-08-03 20:32:24.247521	143
18653	80277	17330	2013-08-03 20:32:24.273888	2013-08-03 20:32:24.273888	143
18654	80277	47983	2013-08-03 20:32:24.28295	2013-08-03 20:32:24.28295	143
18655	80277	20461	2013-08-03 20:32:24.292024	2013-08-03 20:32:24.292024	143
18656	79836	48043	2013-08-03 20:32:24.313853	2013-08-03 20:32:24.313853	143
18657	79836	17290	2013-08-03 20:32:24.324365	2013-08-03 20:32:24.324365	143
18658	79836	20001	2013-08-03 20:32:24.334433	2013-08-03 20:32:24.334433	143
18659	79794	20201	2013-08-03 20:32:24.357558	2013-08-03 20:32:24.357558	143
18660	79794	5269	2013-08-03 20:32:24.36592	2013-08-03 20:32:24.36592	143
18661	79794	17170	2013-08-03 20:32:24.374215	2013-08-03 20:32:24.374215	143
18662	79776	28352	2013-08-03 20:32:24.394093	2013-08-03 20:32:24.394093	143
18663	79776	19581	2013-08-03 20:32:24.404238	2013-08-03 20:32:24.404238	143
18664	79776	27912	2013-08-03 20:32:24.414166	2013-08-03 20:32:24.414166	143
18665	79747	15370	2013-08-03 20:32:24.436042	2013-08-03 20:32:24.436042	143
18666	79747	2414	2013-08-03 20:32:24.445919	2013-08-03 20:32:24.445919	143
18667	79747	19761	2013-08-03 20:32:24.457143	2013-08-03 20:32:24.457143	143
18668	79742	19521	2013-08-03 20:32:24.480518	2013-08-03 20:32:24.480518	143
18669	79742	28452	2013-08-03 20:32:24.491391	2013-08-03 20:32:24.491391	143
18670	79742	30157	2013-08-03 20:32:24.502955	2013-08-03 20:32:24.502955	143
18671	80302	18270	2013-08-03 20:32:24.5542	2013-08-03 20:32:24.5542	143
18672	80302	18250	2013-08-03 20:32:24.56526	2013-08-03 20:32:24.56526	143
18673	80302	18230	2013-08-03 20:32:24.5765	2013-08-03 20:32:24.5765	143
18674	79838	18281	2013-08-03 20:32:24.599323	2013-08-03 20:32:24.599323	143
18675	79838	11801	2013-08-03 20:32:24.611196	2013-08-03 20:32:24.611196	143
18676	79838	18210	2013-08-03 20:32:24.620222	2013-08-03 20:32:24.620222	143
18677	79805	18190	2013-08-03 20:32:24.633962	2013-08-03 20:32:24.633962	143
18678	79805	18098	2013-08-03 20:32:24.641164	2013-08-03 20:32:24.641164	143
18679	79805	18170	2013-08-03 20:32:24.647066	2013-08-03 20:32:24.647066	143
18680	79797	18150	2013-08-03 20:32:24.66959	2013-08-03 20:32:24.66959	143
18681	79797	18137	2013-08-03 20:32:24.681013	2013-08-03 20:32:24.681013	143
18682	79797	18130	2013-08-03 20:32:24.692477	2013-08-03 20:32:24.692477	143
18683	79787	18110	2013-08-03 20:32:24.715448	2013-08-03 20:32:24.715448	143
18684	79787	18090	2013-08-03 20:32:24.726559	2013-08-03 20:32:24.726559	143
18685	79787	18070	2013-08-03 20:32:24.737644	2013-08-03 20:32:24.737644	143
18686	79751	17985	2013-08-03 20:32:24.760632	2013-08-03 20:32:24.760632	143
18687	79751	18005	2013-08-03 20:32:24.769272	2013-08-03 20:32:24.769272	143
18688	79751	11756	2013-08-03 20:32:24.772794	2013-08-03 20:32:24.772794	143
18689	79803	20621	2013-08-03 20:32:24.785596	2013-08-03 20:32:24.785596	143
18690	79803	20641	2013-08-03 20:32:24.789067	2013-08-03 20:32:24.789067	143
18691	79803	20595	2013-08-03 20:32:24.794926	2013-08-03 20:32:24.794926	143
18692	79803	17917	2013-08-03 20:32:24.802351	2013-08-03 20:32:24.802351	143
18693	79803	8492	2013-08-03 20:32:24.811802	2013-08-03 20:32:24.811802	143
18694	79803	28952	2013-08-03 20:32:24.821497	2013-08-03 20:32:24.821497	143
18695	79803	17470	2013-08-03 20:32:24.831008	2013-08-03 20:32:24.831008	143
18696	79803	28972	2013-08-03 20:32:24.841886	2013-08-03 20:32:24.841886	143
18697	79803	47803	2013-08-03 20:32:24.852326	2013-08-03 20:32:24.852326	143
18698	79738	17290	2013-08-03 20:32:24.867646	2013-08-03 20:32:24.867646	143
18699	79738	48043	2013-08-03 20:32:24.870957	2013-08-03 20:32:24.870957	143
18700	79738	20001	2013-08-03 20:32:24.874091	2013-08-03 20:32:24.874091	143
18701	79738	20141	2013-08-03 20:32:24.87737	2013-08-03 20:32:24.87737	143
18702	79738	15586	2013-08-03 20:32:24.880475	2013-08-03 20:32:24.880475	143
18703	79738	19941	2013-08-03 20:32:24.883777	2013-08-03 20:32:24.883777	143
18704	79738	14275	2013-08-03 20:32:24.891995	2013-08-03 20:32:24.891995	143
18705	79738	34398	2013-08-03 20:32:24.898353	2013-08-03 20:32:24.898353	143
18706	79738	15246	2013-08-03 20:32:24.960639	2013-08-03 20:32:24.960639	143
18707	79839	21397	2013-08-03 20:32:24.978978	2013-08-03 20:32:24.978978	143
18708	79839	5765	2013-08-03 20:32:24.982859	2013-08-03 20:32:24.982859	143
18709	79839	19048	2013-08-03 20:32:24.986847	2013-08-03 20:32:24.986847	143
18710	79839	21148	2013-08-03 20:32:24.990618	2013-08-03 20:32:24.990618	143
18711	79839	3030	2013-08-03 20:32:24.995018	2013-08-03 20:32:24.995018	143
18712	79839	15973	2013-08-03 20:32:24.99886	2013-08-03 20:32:24.99886	143
18713	79799	8430	2013-08-03 20:32:25.007458	2013-08-03 20:32:25.007458	143
18714	79799	17510	2013-08-03 20:32:25.011652	2013-08-03 20:32:25.011652	143
18715	79799	17350	2013-08-03 20:32:25.015537	2013-08-03 20:32:25.015537	143
18716	79799	29152	2013-08-03 20:32:25.019448	2013-08-03 20:32:25.019448	143
18717	79799	48143	2013-08-03 20:32:25.023959	2013-08-03 20:32:25.023959	143
18718	79799	15786	2013-08-03 20:32:25.028442	2013-08-03 20:32:25.028442	143
18719	79759	17550	2013-08-03 20:32:25.040861	2013-08-03 20:32:25.040861	143
18720	79759	11701	2013-08-03 20:32:25.047423	2013-08-03 20:32:25.047423	143
18721	79759	45715	2013-08-03 20:32:25.056954	2013-08-03 20:32:25.056954	143
18722	79759	28372	2013-08-03 20:32:25.067908	2013-08-03 20:32:25.067908	143
18723	79759	15230	2013-08-03 20:32:25.071593	2013-08-03 20:32:25.071593	143
18724	79759	46155	2013-08-03 20:32:25.07517	2013-08-03 20:32:25.07517	143
18725	79811	48455	2013-08-03 20:32:25.12032	2013-08-03 20:32:25.12032	143
18726	79811	48435	2013-08-03 20:32:25.129672	2013-08-03 20:32:25.129672	143
18727	79811	48415	2013-08-03 20:32:25.136969	2013-08-03 20:32:25.136969	143
18728	79811	48395	2013-08-03 20:32:25.148275	2013-08-03 20:32:25.148275	143
18729	79811	48375	2013-08-03 20:32:25.159246	2013-08-03 20:32:25.159246	143
18730	79811	48355	2013-08-03 20:32:25.170326	2013-08-03 20:32:25.170326	143
18731	79811	48335	2013-08-03 20:32:25.181266	2013-08-03 20:32:25.181266	143
18732	79811	48315	2013-08-03 20:32:25.191514	2013-08-03 20:32:25.191514	143
18733	79811	48295	2013-08-03 20:32:25.208127	2013-08-03 20:32:25.208127	143
18734	79811	48275	2013-08-03 20:32:25.214805	2013-08-03 20:32:25.214805	143
18735	79811	29952	2013-08-03 20:32:25.219539	2013-08-03 20:32:25.219539	143
18736	79811	29812	2013-08-03 20:32:25.224272	2013-08-03 20:32:25.224272	143
18737	79811	29525	2013-08-03 20:32:25.228359	2013-08-03 20:32:25.228359	143
18738	79811	5231	2013-08-03 20:32:25.232353	2013-08-03 20:32:25.232353	143
18739	79811	17870	2013-08-03 20:32:25.236159	2013-08-03 20:32:25.236159	143
18740	79811	47835	2013-08-03 20:32:25.240436	2013-08-03 20:32:25.240436	143
18741	79811	15826	2013-08-03 20:32:25.244943	2013-08-03 20:32:25.244943	143
18742	79811	15466	2013-08-03 20:32:25.248936	2013-08-03 20:32:25.248936	143
18743	79811	15288	2013-08-03 20:32:25.253059	2013-08-03 20:32:25.253059	143
18744	80284	17770	2013-08-03 20:32:25.282308	2013-08-03 20:32:25.282308	143
18745	80284	47463	2013-08-03 20:32:25.286425	2013-08-03 20:32:25.286425	143
18746	79883	28272	2013-08-03 20:32:25.294123	2013-08-03 20:32:25.294123	143
18747	79883	19701	2013-08-03 20:32:25.29821	2013-08-03 20:32:25.29821	143
18748	79841	811	2013-08-03 20:32:25.306567	2013-08-03 20:32:25.306567	143
18749	79841	2434	2013-08-03 20:32:25.310508	2013-08-03 20:32:25.310508	143
18750	79804	34698	2013-08-03 20:32:25.319397	2013-08-03 20:32:25.319397	143
18751	79804	34418	2013-08-03 20:32:25.32338	2013-08-03 20:32:25.32338	143
18752	79789	28012	2013-08-03 20:32:25.331327	2013-08-03 20:32:25.331327	143
18753	79789	28612	2013-08-03 20:32:25.335141	2013-08-03 20:32:25.335141	143
18754	79781	28632	2013-08-03 20:32:25.343459	2013-08-03 20:32:25.343459	143
18755	79781	19561	2013-08-03 20:32:25.34744	2013-08-03 20:32:25.34744	143
18756	79736	19501	2013-08-03 20:32:25.355801	2013-08-03 20:32:25.355801	143
18757	79736	46095	2013-08-03 20:32:25.359205	2013-08-03 20:32:25.359205	143
18758	79842	37098	2013-08-03 20:32:25.375858	2013-08-03 20:32:25.375858	143
18759	79842	37078	2013-08-03 20:32:25.380153	2013-08-03 20:32:25.380153	143
18760	79842	37058	2013-08-03 20:32:25.384959	2013-08-03 20:32:25.384959	143
18761	79821	37038	2013-08-03 20:32:25.397884	2013-08-03 20:32:25.397884	143
18762	79821	37018	2013-08-03 20:32:25.405054	2013-08-03 20:32:25.405054	143
18763	79821	36998	2013-08-03 20:32:25.409801	2013-08-03 20:32:25.409801	143
18764	79819	36978	2013-08-03 20:32:25.420323	2013-08-03 20:32:25.420323	143
18765	79819	36958	2013-08-03 20:32:25.42491	2013-08-03 20:32:25.42491	143
18766	79819	36938	2013-08-03 20:32:25.431628	2013-08-03 20:32:25.431628	143
18767	79777	36918	2013-08-03 20:32:25.440513	2013-08-03 20:32:25.440513	143
18768	79777	36898	2013-08-03 20:32:25.446106	2013-08-03 20:32:25.446106	143
18769	79777	36878	2013-08-03 20:32:25.450316	2013-08-03 20:32:25.450316	143
18770	79748	36858	2013-08-03 20:32:25.459099	2013-08-03 20:32:25.459099	143
18771	79748	36838	2013-08-03 20:32:25.464315	2013-08-03 20:32:25.464315	143
18772	79748	36818	2013-08-03 20:32:25.468469	2013-08-03 20:32:25.468469	143
18773	79744	36798	2013-08-03 20:32:25.479703	2013-08-03 20:32:25.479703	143
18774	79744	36778	2013-08-03 20:32:25.483762	2013-08-03 20:32:25.483762	143
18775	79744	36758	2013-08-03 20:32:25.487417	2013-08-03 20:32:25.487417	143
18776	80300	9210	2013-08-03 20:32:25.513092	2013-08-03 20:32:25.513092	143
18777	80300	9017	2013-08-03 20:32:25.523698	2013-08-03 20:32:25.523698	143
18778	80300	9037	2013-08-03 20:32:25.534383	2013-08-03 20:32:25.534383	143
18779	80300	9057	2013-08-03 20:32:25.544898	2013-08-03 20:32:25.544898	143
18780	79845	9077	2013-08-03 20:32:25.566728	2013-08-03 20:32:25.566728	143
18781	79845	17810	2013-08-03 20:32:25.576997	2013-08-03 20:32:25.576997	143
18782	79845	48203	2013-08-03 20:32:25.586095	2013-08-03 20:32:25.586095	143
18783	79845	8526	2013-08-03 20:32:25.595562	2013-08-03 20:32:25.595562	143
18784	79801	47095	2013-08-03 20:32:25.615848	2013-08-03 20:32:25.615848	143
18785	79801	15800	2013-08-03 20:32:25.62668	2013-08-03 20:32:25.62668	143
18786	79801	47503	2013-08-03 20:32:25.637211	2013-08-03 20:32:25.637211	143
18787	79801	28392	2013-08-03 20:32:25.649019	2013-08-03 20:32:25.649019	143
18788	79739	5284	2013-08-03 20:32:25.670589	2013-08-03 20:32:25.670589	143
18789	79739	28552	2013-08-03 20:32:25.68077	2013-08-03 20:32:25.68077	143
18790	79739	5224	2013-08-03 20:32:25.690682	2013-08-03 20:32:25.690682	143
18791	79739	34198	2013-08-03 20:32:25.700578	2013-08-03 20:32:25.700578	143
18792	79884	35780	2013-08-03 20:32:25.752119	2013-08-03 20:32:25.752119	143
18793	79884	35760	2013-08-03 20:32:25.763525	2013-08-03 20:32:25.763525	143
18794	79884	35740	2013-08-03 20:32:25.775366	2013-08-03 20:32:25.775366	143
18795	79847	35720	2013-08-03 20:32:25.798344	2013-08-03 20:32:25.798344	143
18796	79847	35700	2013-08-03 20:32:25.804578	2013-08-03 20:32:25.804578	143
18797	79847	35680	2013-08-03 20:32:25.812055	2013-08-03 20:32:25.812055	143
18798	79810	35660	2013-08-03 20:32:25.819882	2013-08-03 20:32:25.819882	143
18799	79810	35640	2013-08-03 20:32:25.824216	2013-08-03 20:32:25.824216	143
18800	79810	35620	2013-08-03 20:32:25.832605	2013-08-03 20:32:25.832605	143
18801	79791	35600	2013-08-03 20:32:25.853011	2013-08-03 20:32:25.853011	143
18802	79791	35580	2013-08-03 20:32:25.864296	2013-08-03 20:32:25.864296	143
18803	79791	35560	2013-08-03 20:32:25.875088	2013-08-03 20:32:25.875088	143
18804	79753	17790	2013-08-03 20:32:25.897547	2013-08-03 20:32:25.897547	143
18805	79753	47703	2013-08-03 20:32:25.909044	2013-08-03 20:32:25.909044	143
18806	79753	28100	2013-08-03 20:32:25.921343	2013-08-03 20:32:25.921343	143
18807	79737	28312	2013-08-03 20:32:25.937789	2013-08-03 20:32:25.937789	143
18808	79737	5304	2013-08-03 20:32:25.944596	2013-08-03 20:32:25.944596	143
18809	79737	6259	2013-08-03 20:32:25.948727	2013-08-03 20:32:25.948727	143
18810	81158	20981	2013-08-03 20:37:33.714008	2013-08-03 20:37:33.714008	144
18811	80652	20955	2013-08-03 20:37:33.739489	2013-08-03 20:37:33.739489	144
18812	80472	20961	2013-08-03 20:37:33.763743	2013-08-03 20:37:33.763743	144
18813	80435	20941	2013-08-03 20:37:33.787913	2013-08-03 20:37:33.787913	144
18814	80326	20921	2013-08-03 20:37:33.811805	2013-08-03 20:37:33.811805	144
18815	80274	20901	2013-08-03 20:37:33.8361	2013-08-03 20:37:33.8361	144
18816	80243	20737	2013-08-03 20:37:33.86009	2013-08-03 20:37:33.86009	144
18817	80195	20881	2013-08-03 20:37:33.88381	2013-08-03 20:37:33.88381	144
18818	80155	20861	2013-08-03 20:37:33.894405	2013-08-03 20:37:33.894405	144
18819	80089	20841	2013-08-03 20:37:33.902006	2013-08-03 20:37:33.902006	144
18820	79989	4224	2013-08-03 20:37:33.909416	2013-08-03 20:37:33.909416	144
18821	79986	20821	2013-08-03 20:37:33.917051	2013-08-03 20:37:33.917051	144
18822	79954	20835	2013-08-03 20:37:33.983663	2013-08-03 20:37:33.983663	144
18823	79923	20801	2013-08-03 20:37:34.003652	2013-08-03 20:37:34.003652	144
18824	79891	20781	2013-08-03 20:37:34.026599	2013-08-03 20:37:34.026599	144
18825	79882	18690	2013-08-03 20:37:34.049915	2013-08-03 20:37:34.049915	144
18826	79874	16286	2013-08-03 20:37:34.061075	2013-08-03 20:37:34.061075	144
18827	81850	18720	2013-08-03 20:37:34.08159	2013-08-03 20:37:34.08159	144
18828	80632	20823	2013-08-03 20:37:34.092702	2013-08-03 20:37:34.092702	144
18829	80614	48935	2013-08-03 20:37:34.101738	2013-08-03 20:37:34.101738	144
18830	80503	48555	2013-08-03 20:37:34.110064	2013-08-03 20:37:34.110064	144
18831	80467	9483	2013-08-03 20:37:34.118348	2013-08-03 20:37:34.118348	144
18832	80401	18510	2013-08-03 20:37:34.12644	2013-08-03 20:37:34.12644	144
18833	80285	18050	2013-08-03 20:37:34.133968	2013-08-03 20:37:34.133968	144
18834	80232	17625	2013-08-03 20:37:34.144336	2013-08-03 20:37:34.144336	144
18835	80193	47375	2013-08-03 20:37:34.151089	2013-08-03 20:37:34.151089	144
18836	80143	15946	2013-08-03 20:37:34.165349	2013-08-03 20:37:34.165349	144
18837	79995	29938	2013-08-03 20:37:34.187804	2013-08-03 20:37:34.187804	144
18838	79987	35958	2013-08-03 20:37:34.210372	2013-08-03 20:37:34.210372	144
18839	79973	15426	2013-08-03 20:37:34.232273	2013-08-03 20:37:34.232273	144
18840	79958	28892	2013-08-03 20:37:34.250853	2013-08-03 20:37:34.250853	144
18841	79880	34503	2013-08-03 20:37:34.264413	2013-08-03 20:37:34.264413	144
18842	79869	27872	2013-08-03 20:37:34.276132	2013-08-03 20:37:34.276132	144
18843	81441	48403	2013-08-03 20:37:34.298292	2013-08-03 20:37:34.298292	144
18844	81441	48383	2013-08-03 20:37:34.302768	2013-08-03 20:37:34.302768	144
18845	81441	48363	2013-08-03 20:37:34.307306	2013-08-03 20:37:34.307306	144
18846	81441	48215	2013-08-03 20:37:34.31379	2013-08-03 20:37:34.31379	144
18847	81441	48343	2013-08-03 20:37:34.319288	2013-08-03 20:37:34.319288	144
18848	81441	47895	2013-08-03 20:37:34.323473	2013-08-03 20:37:34.323473	144
18849	81441	36218	2013-08-03 20:37:34.327395	2013-08-03 20:37:34.327395	144
18850	81441	35818	2013-08-03 20:37:34.331016	2013-08-03 20:37:34.331016	144
18851	81441	35500	2013-08-03 20:37:34.336404	2013-08-03 20:37:34.336404	144
18852	81127	32065	2013-08-03 20:37:34.35167	2013-08-03 20:37:34.35167	144
18853	81127	31825	2013-08-03 20:37:34.362857	2013-08-03 20:37:34.362857	144
18854	81127	31645	2013-08-03 20:37:34.368706	2013-08-03 20:37:34.368706	144
18855	81127	31665	2013-08-03 20:37:34.373283	2013-08-03 20:37:34.373283	144
18856	81127	31485	2013-08-03 20:37:34.378796	2013-08-03 20:37:34.378796	144
18857	81127	29692	2013-08-03 20:37:34.383593	2013-08-03 20:37:34.383593	144
18858	81127	8630	2013-08-03 20:37:34.388352	2013-08-03 20:37:34.388352	144
18859	81127	5335	2013-08-03 20:37:34.392928	2013-08-03 20:37:34.392928	144
18860	81127	5301	2013-08-03 20:37:34.399416	2013-08-03 20:37:34.399416	144
18861	81157	32245	2013-08-03 20:37:34.444999	2013-08-03 20:37:34.444999	144
18862	81092	32225	2013-08-03 20:37:34.453337	2013-08-03 20:37:34.453337	144
18863	80631	32205	2013-08-03 20:37:34.46098	2013-08-03 20:37:34.46098	144
18864	80473	32185	2013-08-03 20:37:34.469929	2013-08-03 20:37:34.469929	144
18865	80234	32165	2013-08-03 20:37:34.47727	2013-08-03 20:37:34.47727	144
18866	80194	32145	2013-08-03 20:37:34.484437	2013-08-03 20:37:34.484437	144
18867	80145	32125	2013-08-03 20:37:34.491906	2013-08-03 20:37:34.491906	144
18868	79983	32105	2013-08-03 20:37:34.50517	2013-08-03 20:37:34.50517	144
18869	79959	20741	2013-08-03 20:37:34.518182	2013-08-03 20:37:34.518182	144
18870	79955	20921	2013-08-03 20:37:34.532032	2013-08-03 20:37:34.532032	144
18871	79911	14091	2013-08-03 20:37:34.542839	2013-08-03 20:37:34.542839	144
18872	79890	18663	2013-08-03 20:37:34.553871	2013-08-03 20:37:34.553871	144
18873	79881	18050	2013-08-03 20:37:34.562896	2013-08-03 20:37:34.562896	144
18874	79868	35658	2013-08-03 20:37:34.572296	2013-08-03 20:37:34.572296	144
18875	79867	19921	2013-08-03 20:37:34.581623	2013-08-03 20:37:34.581623	144
18876	80799	16355	2013-08-03 20:37:34.601159	2013-08-03 20:37:34.601159	144
18877	80799	16446	2013-08-03 20:37:34.606221	2013-08-03 20:37:34.606221	144
18878	80651	16426	2013-08-03 20:37:34.617122	2013-08-03 20:37:34.617122	144
18879	80651	16406	2013-08-03 20:37:34.622311	2013-08-03 20:37:34.622311	144
18880	80351	16463	2013-08-03 20:37:34.634112	2013-08-03 20:37:34.634112	144
18881	80351	16441	2013-08-03 20:37:34.637701	2013-08-03 20:37:34.637701	144
18882	80161	16386	2013-08-03 20:37:34.645544	2013-08-03 20:37:34.645544	144
18883	80161	16385	2013-08-03 20:37:34.649668	2013-08-03 20:37:34.649668	144
18884	79993	16421	2013-08-03 20:37:34.65812	2013-08-03 20:37:34.65812	144
18885	79993	16401	2013-08-03 20:37:34.663855	2013-08-03 20:37:34.663855	144
18886	79937	16360	2013-08-03 20:37:34.67836	2013-08-03 20:37:34.67836	144
18887	79937	16366	2013-08-03 20:37:34.68363	2013-08-03 20:37:34.68363	144
18888	79910	16346	2013-08-03 20:37:34.692271	2013-08-03 20:37:34.692271	144
18889	79910	6739	2013-08-03 20:37:34.696651	2013-08-03 20:37:34.696651	144
18890	79888	16326	2013-08-03 20:37:34.706173	2013-08-03 20:37:34.706173	144
18891	79888	16306	2013-08-03 20:37:34.710971	2013-08-03 20:37:34.710971	144
18892	79871	20901	2013-08-03 20:37:34.726667	2013-08-03 20:37:34.726667	144
18893	79871	35958	2013-08-03 20:37:34.736382	2013-08-03 20:37:34.736382	144
18894	80354	46155	2013-08-03 20:37:34.786178	2013-08-03 20:37:34.786178	144
18895	80354	15230	2013-08-03 20:37:34.797693	2013-08-03 20:37:34.797693	144
18896	80354	28372	2013-08-03 20:37:34.808465	2013-08-03 20:37:34.808465	144
18897	80163	45715	2013-08-03 20:37:34.83032	2013-08-03 20:37:34.83032	144
18898	80163	15246	2013-08-03 20:37:34.84073	2013-08-03 20:37:34.84073	144
18899	80163	34398	2013-08-03 20:37:34.851564	2013-08-03 20:37:34.851564	144
18900	79996	34198	2013-08-03 20:37:34.873195	2013-08-03 20:37:34.873195	144
18901	79996	5224	2013-08-03 20:37:34.88417	2013-08-03 20:37:34.88417	144
18902	79996	28552	2013-08-03 20:37:34.89422	2013-08-03 20:37:34.89422	144
18903	79951	5284	2013-08-03 20:37:34.916882	2013-08-03 20:37:34.916882	144
18904	79951	19561	2013-08-03 20:37:34.927306	2013-08-03 20:37:34.927306	144
18905	79951	28632	2013-08-03 20:37:34.937212	2013-08-03 20:37:34.937212	144
18906	79877	30157	2013-08-03 20:37:34.957755	2013-08-03 20:37:34.957755	144
18907	79877	28452	2013-08-03 20:37:34.968711	2013-08-03 20:37:34.968711	144
18908	79877	19521	2013-08-03 20:37:34.978918	2013-08-03 20:37:34.978918	144
18909	80805	47443	2013-08-03 20:37:35.054791	2013-08-03 20:37:35.054791	144
18910	80805	17210	2013-08-03 20:37:35.059484	2013-08-03 20:37:35.059484	144
18911	80659	47503	2013-08-03 20:37:35.074648	2013-08-03 20:37:35.074648	144
18912	80659	20201	2013-08-03 20:37:35.079017	2013-08-03 20:37:35.079017	144
18913	80323	5269	2013-08-03 20:37:35.088972	2013-08-03 20:37:35.088972	144
18914	80323	17170	2013-08-03 20:37:35.099196	2013-08-03 20:37:35.099196	144
18915	80011	27872	2013-08-03 20:37:35.12035	2013-08-03 20:37:35.12035	144
18916	80011	5304	2013-08-03 20:37:35.127377	2013-08-03 20:37:35.127377	144
18917	79956	28312	2013-08-03 20:37:35.13602	2013-08-03 20:37:35.13602	144
18918	79956	28392	2013-08-03 20:37:35.140091	2013-08-03 20:37:35.140091	144
18919	79920	19521	2013-08-03 20:37:35.147537	2013-08-03 20:37:35.147537	144
18920	79920	28452	2013-08-03 20:37:35.151473	2013-08-03 20:37:35.151473	144
18921	79915	30157	2013-08-03 20:37:35.160847	2013-08-03 20:37:35.160847	144
18922	79915	6259	2013-08-03 20:37:35.165793	2013-08-03 20:37:35.165793	144
18923	79870	46095	2013-08-03 20:37:35.176018	2013-08-03 20:37:35.176018	144
18924	79870	19501	2013-08-03 20:37:35.179968	2013-08-03 20:37:35.179968	144
18925	80812	11961	2013-08-03 20:37:35.220744	2013-08-03 20:37:35.220744	144
18926	80812	11557	2013-08-03 20:37:35.233875	2013-08-03 20:37:35.233875	144
18927	80681	18830	2013-08-03 20:37:35.25079	2013-08-03 20:37:35.25079	144
18928	80681	18810	2013-08-03 20:37:35.254593	2013-08-03 20:37:35.254593	144
18929	80505	18697	2013-08-03 20:37:35.262569	2013-08-03 20:37:35.262569	144
18930	80505	18790	2013-08-03 20:37:35.266955	2013-08-03 20:37:35.266955	144
18931	80348	18717	2013-08-03 20:37:35.277713	2013-08-03 20:37:35.277713	144
18932	80348	18770	2013-08-03 20:37:35.282731	2013-08-03 20:37:35.282731	144
18933	80165	4608	2013-08-03 20:37:35.296373	2013-08-03 20:37:35.296373	144
18934	80165	18750	2013-08-03 20:37:35.305083	2013-08-03 20:37:35.305083	144
18935	80014	18730	2013-08-03 20:37:35.327263	2013-08-03 20:37:35.327263	144
18936	80014	4708	2013-08-03 20:37:35.338728	2013-08-03 20:37:35.338728	144
18937	80010	18710	2013-08-03 20:37:35.354097	2013-08-03 20:37:35.354097	144
18938	80010	18701	2013-08-03 20:37:35.365642	2013-08-03 20:37:35.365642	144
18939	79972	5241	2013-08-03 20:37:35.388165	2013-08-03 20:37:35.388165	144
18940	79972	20961	2013-08-03 20:37:35.398208	2013-08-03 20:37:35.398208	144
18941	79879	9483	2013-08-03 20:37:35.42063	2013-08-03 20:37:35.42063	144
18942	79879	17330	2013-08-03 20:37:35.431213	2013-08-03 20:37:35.431213	144
18943	80813	18281	2013-08-03 20:37:35.474296	2013-08-03 20:37:35.474296	144
18944	80813	5106	2013-08-03 20:37:35.480086	2013-08-03 20:37:35.480086	144
18945	80683	16126	2013-08-03 20:37:35.493498	2013-08-03 20:37:35.493498	144
18946	80683	20501	2013-08-03 20:37:35.5021	2013-08-03 20:37:35.5021	144
18947	80309	47583	2013-08-03 20:37:35.513014	2013-08-03 20:37:35.513014	144
18948	80309	15426	2013-08-03 20:37:35.516637	2013-08-03 20:37:35.516637	144
18949	80167	24037	2013-08-03 20:37:35.524453	2013-08-03 20:37:35.524453	144
18950	80167	20281	2013-08-03 20:37:35.528355	2013-08-03 20:37:35.528355	144
18951	80019	47683	2013-08-03 20:37:35.536253	2013-08-03 20:37:35.536253	144
18952	80019	5304	2013-08-03 20:37:35.540384	2013-08-03 20:37:35.540384	144
18953	79916	27872	2013-08-03 20:37:35.553036	2013-08-03 20:37:35.553036	144
18954	79916	2434	2013-08-03 20:37:35.558047	2013-08-03 20:37:35.558047	144
18955	79913	811	2013-08-03 20:37:35.565041	2013-08-03 20:37:35.565041	144
18956	79913	28552	2013-08-03 20:37:35.568601	2013-08-03 20:37:35.568601	144
18957	79864	5224	2013-08-03 20:37:35.574841	2013-08-03 20:37:35.574841	144
18958	79864	34198	2013-08-03 20:37:35.578134	2013-08-03 20:37:35.578134	144
18959	80814	48735	2013-08-03 20:37:35.599017	2013-08-03 20:37:35.599017	144
18960	80814	16126	2013-08-03 20:37:35.60871	2013-08-03 20:37:35.60871	144
18961	80353	9859	2013-08-03 20:37:35.630117	2013-08-03 20:37:35.630117	144
18962	80353	9372	2013-08-03 20:37:35.635461	2013-08-03 20:37:35.635461	144
18963	80168	9037	2013-08-03 20:37:35.644141	2013-08-03 20:37:35.644141	144
18964	80168	20501	2013-08-03 20:37:35.64844	2013-08-03 20:37:35.64844	144
18965	80072	29972	2013-08-03 20:37:35.65657	2013-08-03 20:37:35.65657	144
18966	80072	19921	2013-08-03 20:37:35.662449	2013-08-03 20:37:35.662449	144
18967	80016	20201	2013-08-03 20:37:35.672234	2013-08-03 20:37:35.672234	144
18968	80016	47503	2013-08-03 20:37:35.677738	2013-08-03 20:37:35.677738	144
18969	79921	15635	2013-08-03 20:37:35.684876	2013-08-03 20:37:35.684876	144
18970	79921	15670	2013-08-03 20:37:35.688188	2013-08-03 20:37:35.688188	144
18971	79866	19981	2013-08-03 20:37:35.702327	2013-08-03 20:37:35.702327	144
18972	79866	19881	2013-08-03 20:37:35.711843	2013-08-03 20:37:35.711843	144
18973	79984	49135	2013-08-03 20:37:35.769176	2013-08-03 20:37:35.769176	144
18974	79984	49115	2013-08-03 20:37:35.781555	2013-08-03 20:37:35.781555	144
18975	79984	49095	2013-08-03 20:37:35.792931	2013-08-03 20:37:35.792931	144
18976	79984	49075	2013-08-03 20:37:35.804324	2013-08-03 20:37:35.804324	144
18977	79984	49055	2013-08-03 20:37:35.815942	2013-08-03 20:37:35.815942	144
18978	79984	49035	2013-08-03 20:37:35.827161	2013-08-03 20:37:35.827161	144
18979	79984	49015	2013-08-03 20:37:35.838302	2013-08-03 20:37:35.838302	144
18980	79984	48995	2013-08-03 20:37:35.849656	2013-08-03 20:37:35.849656	144
18981	79984	31795	2013-08-03 20:37:35.860887	2013-08-03 20:37:35.860887	144
18982	79984	5295	2013-08-03 20:37:35.871732	2013-08-03 20:37:35.871732	144
18983	79984	20741	2013-08-03 20:37:35.882271	2013-08-03 20:37:35.882271	144
18984	79984	4224	2013-08-03 20:37:35.892777	2013-08-03 20:37:35.892777	144
18985	79984	48795	2013-08-03 20:37:35.902664	2013-08-03 20:37:35.902664	144
18986	79984	9438	2013-08-03 20:37:35.912645	2013-08-03 20:37:35.912645	144
18987	79984	28892	2013-08-03 20:37:35.9226	2013-08-03 20:37:35.9226	144
18988	79984	15417	2013-08-03 20:37:35.932875	2013-08-03 20:37:35.932875	144
18989	79984	28672	2013-08-03 20:37:35.943447	2013-08-03 20:37:35.943447	144
18990	79984	27912	2013-08-03 20:37:35.953511	2013-08-03 20:37:35.953511	144
18991	79984	5264	2013-08-03 20:37:35.963736	2013-08-03 20:37:35.963736	144
18992	81154	37198	2013-08-03 20:37:36.00785	2013-08-03 20:37:36.00785	144
18993	80777	37178	2013-08-03 20:37:36.026163	2013-08-03 20:37:36.026163	144
18994	80703	37158	2013-08-03 20:37:36.034148	2013-08-03 20:37:36.034148	144
18995	80603	37138	2013-08-03 20:37:36.04295	2013-08-03 20:37:36.04295	144
18996	80468	18310	2013-08-03 20:37:36.05126	2013-08-03 20:37:36.05126	144
18997	80436	7110	2013-08-03 20:37:36.061111	2013-08-03 20:37:36.061111	144
18998	80327	47623	2013-08-03 20:37:36.079523	2013-08-03 20:37:36.079523	144
18999	80273	15650	2013-08-03 20:37:36.102337	2013-08-03 20:37:36.102337	144
19000	80231	47463	2013-08-03 20:37:36.124606	2013-08-03 20:37:36.124606	144
19001	80169	28400	2013-08-03 20:37:36.137808	2013-08-03 20:37:36.137808	144
19002	80104	19721	2013-08-03 20:37:36.145735	2013-08-03 20:37:36.145735	144
19003	80050	19781	2013-08-03 20:37:36.152548	2013-08-03 20:37:36.152548	144
19004	80021	34698	2013-08-03 20:37:36.163569	2013-08-03 20:37:36.163569	144
19005	79975	19701	2013-08-03 20:37:36.227839	2013-08-03 20:37:36.227839	144
19006	79952	34438	2013-08-03 20:37:36.236593	2013-08-03 20:37:36.236593	144
19007	79936	28612	2013-08-03 20:37:36.248799	2013-08-03 20:37:36.248799	144
19008	79872	28012	2013-08-03 20:37:36.269884	2013-08-03 20:37:36.269884	144
19009	81155	37498	2013-08-03 20:37:36.302221	2013-08-03 20:37:36.302221	144
19010	80612	37478	2013-08-03 20:37:36.319305	2013-08-03 20:37:36.319305	144
19011	80529	37458	2013-08-03 20:37:36.342566	2013-08-03 20:37:36.342566	144
19012	80511	37438	2013-08-03 20:37:36.365903	2013-08-03 20:37:36.365903	144
19013	80475	37418	2013-08-03 20:37:36.388977	2013-08-03 20:37:36.388977	144
19014	80282	37398	2013-08-03 20:37:36.414236	2013-08-03 20:37:36.414236	144
19015	80246	37378	2013-08-03 20:37:36.43909	2013-08-03 20:37:36.43909	144
19016	80242	37358	2013-08-03 20:37:36.463469	2013-08-03 20:37:36.463469	144
19017	80192	37338	2013-08-03 20:37:36.488127	2013-08-03 20:37:36.488127	144
19018	80074	37318	2013-08-03 20:37:36.505535	2013-08-03 20:37:36.505535	144
19019	80018	37298	2013-08-03 20:37:36.513671	2013-08-03 20:37:36.513671	144
19020	79953	37278	2013-08-03 20:37:36.529673	2013-08-03 20:37:36.529673	144
19021	79892	37258	2013-08-03 20:37:36.552605	2013-08-03 20:37:36.552605	144
19022	80705	48935	2013-08-03 20:37:36.602017	2013-08-03 20:37:36.602017	144
19023	80705	20955	2013-08-03 20:37:36.612254	2013-08-03 20:37:36.612254	144
19024	80347	16126	2013-08-03 20:37:36.633811	2013-08-03 20:37:36.633811	144
19025	80347	5106	2013-08-03 20:37:36.644394	2013-08-03 20:37:36.644394	144
19026	80171	18281	2013-08-03 20:37:36.666712	2013-08-03 20:37:36.666712	144
19027	80171	48515	2013-08-03 20:37:36.677435	2013-08-03 20:37:36.677435	144
19028	80117	48195	2013-08-03 20:37:36.700596	2013-08-03 20:37:36.700596	144
19029	80117	17370	2013-08-03 20:37:36.70593	2013-08-03 20:37:36.70593	144
19030	80049	17210	2013-08-03 20:37:36.717011	2013-08-03 20:37:36.717011	144
19031	80049	47443	2013-08-03 20:37:36.720805	2013-08-03 20:37:36.720805	144
19032	80038	28692	2013-08-03 20:37:36.730608	2013-08-03 20:37:36.730608	144
19033	80038	15450	2013-08-03 20:37:36.7357	2013-08-03 20:37:36.7357	144
19034	79914	15446	2013-08-03 20:37:36.745278	2013-08-03 20:37:36.745278	144
19035	79914	28272	2013-08-03 20:37:36.75152	2013-08-03 20:37:36.75152	144
19036	79875	28352	2013-08-03 20:37:36.759801	2013-08-03 20:37:36.759801	144
19037	79875	28292	2013-08-03 20:37:36.763767	2013-08-03 20:37:36.763767	144
19038	81156	36200	2013-08-03 20:37:36.809576	2013-08-03 20:37:36.809576	144
19039	80790	36198	2013-08-03 20:37:36.869549	2013-08-03 20:37:36.869549	144
19040	80708	36180	2013-08-03 20:37:36.879214	2013-08-03 20:37:36.879214	144
19041	80604	36160	2013-08-03 20:37:36.888969	2013-08-03 20:37:36.888969	144
19042	80466	36140	2013-08-03 20:37:36.902403	2013-08-03 20:37:36.902403	144
19043	80308	36120	2013-08-03 20:37:36.914211	2013-08-03 20:37:36.914211	144
19044	80275	36100	2013-08-03 20:37:36.933719	2013-08-03 20:37:36.933719	144
19045	80244	36080	2013-08-03 20:37:36.956556	2013-08-03 20:37:36.956556	144
19046	80174	36060	2013-08-03 20:37:36.980269	2013-08-03 20:37:36.980269	144
19047	80137	36040	2013-08-03 20:37:37.003383	2013-08-03 20:37:37.003383	144
19048	80066	36020	2013-08-03 20:37:37.014832	2013-08-03 20:37:37.014832	144
19049	80042	36000	2013-08-03 20:37:37.024742	2013-08-03 20:37:37.024742	144
19050	79990	35980	2013-08-03 20:37:37.031859	2013-08-03 20:37:37.031859	144
19051	79982	35960	2013-08-03 20:37:37.039343	2013-08-03 20:37:37.039343	144
19052	79893	35940	2013-08-03 20:37:37.047066	2013-08-03 20:37:37.047066	144
19053	79876	35920	2013-08-03 20:37:37.058514	2013-08-03 20:37:37.058514	144
19054	83243	21381	2013-08-03 20:42:28.966713	2013-08-03 20:42:28.966713	145
19055	83023	21361	2013-08-03 20:42:28.979432	2013-08-03 20:42:28.979432	145
19056	82860	21372	2013-08-03 20:42:28.987809	2013-08-03 20:42:28.987809	145
19057	82670	21285	2013-08-03 20:42:28.997669	2013-08-03 20:42:28.997669	145
19058	82405	21215	2013-08-03 20:42:29.012287	2013-08-03 20:42:29.012287	145
19059	82374	21341	2013-08-03 20:42:29.031921	2013-08-03 20:42:29.031921	145
19060	82305	21321	2013-08-03 20:42:29.050363	2013-08-03 20:42:29.050363	145
19061	82191	21301	2013-08-03 20:42:29.064457	2013-08-03 20:42:29.064457	145
19062	82163	21255	2013-08-03 20:42:29.076393	2013-08-03 20:42:29.076393	145
19063	82124	21281	2013-08-03 20:42:29.086488	2013-08-03 20:42:29.086488	145
19064	82116	21261	2013-08-03 20:42:29.09454	2013-08-03 20:42:29.09454	145
19065	82084	21241	2013-08-03 20:42:29.10269	2013-08-03 20:42:29.10269	145
19066	82036	21221	2013-08-03 20:42:29.114243	2013-08-03 20:42:29.114243	145
19067	82031	21201	2013-08-03 20:42:29.126696	2013-08-03 20:42:29.126696	145
19068	82012	21100	2013-08-03 20:42:29.145366	2013-08-03 20:42:29.145366	145
19069	82003	21120	2013-08-03 20:42:29.168207	2013-08-03 20:42:29.168207	145
19070	81989	21181	2013-08-03 20:42:29.192659	2013-08-03 20:42:29.192659	145
19071	82941	48823	2013-08-03 20:42:29.26871	2013-08-03 20:42:29.26871	145
19072	82849	48803	2013-08-03 20:42:29.292951	2013-08-03 20:42:29.292951	145
19073	82668	48783	2013-08-03 20:42:29.316385	2013-08-03 20:42:29.316385	145
19074	82348	48763	2013-08-03 20:42:29.339696	2013-08-03 20:42:29.339696	145
19075	82258	48743	2013-08-03 20:42:29.36285	2013-08-03 20:42:29.36285	145
19076	82175	48723	2013-08-03 20:42:29.385149	2013-08-03 20:42:29.385149	145
19077	82160	48703	2013-08-03 20:42:29.408657	2013-08-03 20:42:29.408657	145
19078	82123	48683	2013-08-03 20:42:29.43225	2013-08-03 20:42:29.43225	145
19079	82069	48663	2013-08-03 20:42:29.454839	2013-08-03 20:42:29.454839	145
19080	82032	48643	2013-08-03 20:42:29.479145	2013-08-03 20:42:29.479145	145
19081	82022	48623	2013-08-03 20:42:29.502033	2013-08-03 20:42:29.502033	145
19082	82010	48603	2013-08-03 20:42:29.525483	2013-08-03 20:42:29.525483	145
19083	82005	48583	2013-08-03 20:42:29.5479	2013-08-03 20:42:29.5479	145
19084	81997	21215	2013-08-03 20:42:29.570661	2013-08-03 20:42:29.570661	145
19085	81987	21141	2013-08-03 20:42:29.592885	2013-08-03 20:42:29.592885	145
19086	82788	49263	2013-08-03 20:42:29.642434	2013-08-03 20:42:29.642434	145
19087	82788	49243	2013-08-03 20:42:29.646708	2013-08-03 20:42:29.646708	145
19088	82788	49223	2013-08-03 20:42:29.650795	2013-08-03 20:42:29.650795	145
19089	82788	49203	2013-08-03 20:42:29.654907	2013-08-03 20:42:29.654907	145
19090	82788	49183	2013-08-03 20:42:29.659172	2013-08-03 20:42:29.659172	145
19091	82788	49163	2013-08-03 20:42:29.663379	2013-08-03 20:42:29.663379	145
19092	82245	49143	2013-08-03 20:42:29.673565	2013-08-03 20:42:29.673565	145
19093	82245	49123	2013-08-03 20:42:29.681608	2013-08-03 20:42:29.681608	145
19094	82245	49103	2013-08-03 20:42:29.68955	2013-08-03 20:42:29.68955	145
19095	82245	49083	2013-08-03 20:42:29.694488	2013-08-03 20:42:29.694488	145
19096	82245	49063	2013-08-03 20:42:29.699269	2013-08-03 20:42:29.699269	145
19097	82245	49043	2013-08-03 20:42:29.704829	2013-08-03 20:42:29.704829	145
19098	82190	49023	2013-08-03 20:42:29.725775	2013-08-03 20:42:29.725775	145
19099	82190	49003	2013-08-03 20:42:29.738378	2013-08-03 20:42:29.738378	145
19100	82190	48983	2013-08-03 20:42:29.750131	2013-08-03 20:42:29.750131	145
19101	82190	48963	2013-08-03 20:42:29.761324	2013-08-03 20:42:29.761324	145
19102	82190	48943	2013-08-03 20:42:29.772646	2013-08-03 20:42:29.772646	145
19103	82190	48923	2013-08-03 20:42:29.784315	2013-08-03 20:42:29.784315	145
19104	82669	32425	2013-08-03 20:42:29.852123	2013-08-03 20:42:29.852123	145
19105	82406	32405	2013-08-03 20:42:29.91911	2013-08-03 20:42:29.91911	145
19106	82352	32385	2013-08-03 20:42:29.942395	2013-08-03 20:42:29.942395	145
19107	82189	32365	2013-08-03 20:42:29.965472	2013-08-03 20:42:29.965472	145
19108	82162	32345	2013-08-03 20:42:29.976264	2013-08-03 20:42:29.976264	145
19109	82120	32325	2013-08-03 20:42:29.986244	2013-08-03 20:42:29.986244	145
19110	82112	5255	2013-08-03 20:42:29.99715	2013-08-03 20:42:29.99715	145
19111	82082	21361	2013-08-03 20:42:30.007259	2013-08-03 20:42:30.007259	145
19112	82033	21101	2013-08-03 20:42:30.023265	2013-08-03 20:42:30.023265	145
19113	82029	16566	2013-08-03 20:42:30.041816	2013-08-03 20:42:30.041816	145
19114	82028	49655	2013-08-03 20:42:30.06374	2013-08-03 20:42:30.06374	145
19115	82023	49335	2013-08-03 20:42:30.079317	2013-08-03 20:42:30.079317	145
19116	82004	15817	2013-08-03 20:42:30.087556	2013-08-03 20:42:30.087556	145
19117	81988	17918	2013-08-03 20:42:30.094927	2013-08-03 20:42:30.094927	145
19118	82859	4492	2013-08-03 20:42:30.117896	2013-08-03 20:42:30.117896	145
19119	82859	16766	2013-08-03 20:42:30.123844	2013-08-03 20:42:30.123844	145
19120	82671	16746	2013-08-03 20:42:30.135858	2013-08-03 20:42:30.135858	145
19121	82671	16726	2013-08-03 20:42:30.14119	2013-08-03 20:42:30.14119	145
19122	82519	16670	2013-08-03 20:42:30.152367	2013-08-03 20:42:30.152367	145
19123	82519	16706	2013-08-03 20:42:30.157072	2013-08-03 20:42:30.157072	145
19124	82460	16686	2013-08-03 20:42:30.16449	2013-08-03 20:42:30.16449	145
19125	82460	16666	2013-08-03 20:42:30.168582	2013-08-03 20:42:30.168582	145
19126	82192	16680	2013-08-03 20:42:30.179814	2013-08-03 20:42:30.179814	145
19127	82192	16646	2013-08-03 20:42:30.184491	2013-08-03 20:42:30.184491	145
19128	82087	16513	2013-08-03 20:42:30.193375	2013-08-03 20:42:30.193375	145
19129	82087	11681	2013-08-03 20:42:30.198274	2013-08-03 20:42:30.198274	145
19130	82015	16626	2013-08-03 20:42:30.207745	2013-08-03 20:42:30.207745	145
19131	82015	16595	2013-08-03 20:42:30.211698	2013-08-03 20:42:30.211698	145
19132	81998	21321	2013-08-03 20:42:30.219364	2013-08-03 20:42:30.219364	145
19133	81998	21081	2013-08-03 20:42:30.22339	2013-08-03 20:42:30.22339	145
19134	81994	49655	2013-08-03 20:42:30.232211	2013-08-03 20:42:30.232211	145
19135	81994	48243	2013-08-03 20:42:30.236583	2013-08-03 20:42:30.236583	145
19136	84773	18070	2013-08-03 20:42:30.254204	2013-08-03 20:42:30.254204	145
19137	84773	18090	2013-08-03 20:42:30.258719	2013-08-03 20:42:30.258719	145
19138	84773	18110	2013-08-03 20:42:30.263073	2013-08-03 20:42:30.263073	145
19139	84773	29938	2013-08-03 20:42:30.267683	2013-08-03 20:42:30.267683	145
19140	84773	17550	2013-08-03 20:42:30.273206	2013-08-03 20:42:30.273206	145
19141	84773	20481	2013-08-03 20:42:30.278133	2013-08-03 20:42:30.278133	145
19142	83878	17370	2013-08-03 20:42:30.290486	2013-08-03 20:42:30.290486	145
19143	83878	11701	2013-08-03 20:42:30.296451	2013-08-03 20:42:30.296451	145
19144	83878	48043	2013-08-03 20:42:30.305725	2013-08-03 20:42:30.305725	145
19145	83878	17290	2013-08-03 20:42:30.317162	2013-08-03 20:42:30.317162	145
19146	83878	20161	2013-08-03 20:42:30.328518	2013-08-03 20:42:30.328518	145
19147	83878	15446	2013-08-03 20:42:30.339173	2013-08-03 20:42:30.339173	145
19148	83357	15670	2013-08-03 20:42:30.357732	2013-08-03 20:42:30.357732	145
19149	83357	15635	2013-08-03 20:42:30.36294	2013-08-03 20:42:30.36294	145
19150	83357	19795	2013-08-03 20:42:30.368667	2013-08-03 20:42:30.368667	145
19151	83357	17190	2013-08-03 20:42:30.372538	2013-08-03 20:42:30.372538	145
19152	83357	14275	2013-08-03 20:42:30.379089	2013-08-03 20:42:30.379089	145
19153	83357	811	2013-08-03 20:42:30.383232	2013-08-03 20:42:30.383232	145
19154	82901	48143	2013-08-03 20:42:30.409523	2013-08-03 20:42:30.409523	145
19155	82901	29152	2013-08-03 20:42:30.418039	2013-08-03 20:42:30.418039	145
19156	82554	17350	2013-08-03 20:42:30.440114	2013-08-03 20:42:30.440114	145
19157	82554	47803	2013-08-03 20:42:30.451026	2013-08-03 20:42:30.451026	145
19158	82466	28972	2013-08-03 20:42:30.474481	2013-08-03 20:42:30.474481	145
19159	82466	17470	2013-08-03 20:42:30.48599	2013-08-03 20:42:30.48599	145
19160	82193	29132	2013-08-03 20:42:30.508709	2013-08-03 20:42:30.508709	145
19161	82193	48123	2013-08-03 20:42:30.520424	2013-08-03 20:42:30.520424	145
19162	82095	48243	2013-08-03 20:42:30.543361	2013-08-03 20:42:30.543361	145
19163	82095	29172	2013-08-03 20:42:30.553828	2013-08-03 20:42:30.553828	145
19164	82011	35958	2013-08-03 20:42:30.575238	2013-08-03 20:42:30.575238	145
19165	82011	19921	2013-08-03 20:42:30.585597	2013-08-03 20:42:30.585597	145
19166	82002	19881	2013-08-03 20:42:30.608169	2013-08-03 20:42:30.608169	145
19167	82002	19981	2013-08-03 20:42:30.61406	2013-08-03 20:42:30.61406	145
19168	81990	46095	2013-08-03 20:42:30.620438	2013-08-03 20:42:30.620438	145
19169	81990	19501	2013-08-03 20:42:30.623161	2013-08-03 20:42:30.623161	145
19170	83170	18930	2013-08-03 20:42:30.639534	2013-08-03 20:42:30.639534	145
19171	83170	18910	2013-08-03 20:42:30.645619	2013-08-03 20:42:30.645619	145
19172	82672	18890	2013-08-03 20:42:30.666994	2013-08-03 20:42:30.666994	145
19173	82672	18870	2013-08-03 20:42:30.678568	2013-08-03 20:42:30.678568	145
19174	82613	18850	2013-08-03 20:42:30.70229	2013-08-03 20:42:30.70229	145
19175	82613	18310	2013-08-03 20:42:30.713938	2013-08-03 20:42:30.713938	145
19176	82468	16506	2013-08-03 20:42:30.735786	2013-08-03 20:42:30.735786	145
19177	82468	10015	2013-08-03 20:42:30.746762	2013-08-03 20:42:30.746762	145
19178	82194	21215	2013-08-03 20:42:30.768725	2013-08-03 20:42:30.768725	145
19179	82194	17170	2013-08-03 20:42:30.778841	2013-08-03 20:42:30.778841	145
19180	82097	49555	2013-08-03 20:42:30.800841	2013-08-03 20:42:30.800841	145
19181	82097	20221	2013-08-03 20:42:30.811547	2013-08-03 20:42:30.811547	145
19182	82027	49235	2013-08-03 20:42:30.833704	2013-08-03 20:42:30.833704	145
19183	82027	36140	2013-08-03 20:42:30.843829	2013-08-03 20:42:30.843829	145
19184	82019	16441	2013-08-03 20:42:30.86203	2013-08-03 20:42:30.86203	145
19185	82019	16246	2013-08-03 20:42:30.87262	2013-08-03 20:42:30.87262	145
19186	81991	17625	2013-08-03 20:42:30.895023	2013-08-03 20:42:30.895023	145
19187	81991	15817	2013-08-03 20:42:30.911021	2013-08-03 20:42:30.911021	145
19188	82863	8526	2013-08-03 20:42:30.935726	2013-08-03 20:42:30.935726	145
19189	82863	48203	2013-08-03 20:42:30.941875	2013-08-03 20:42:30.941875	145
19190	82674	17810	2013-08-03 20:42:30.951965	2013-08-03 20:42:30.951965	145
19191	82674	15926	2013-08-03 20:42:30.956757	2013-08-03 20:42:30.956757	145
19192	82470	29172	2013-08-03 20:42:30.966753	2013-08-03 20:42:30.966753	145
19193	82470	48243	2013-08-03 20:42:30.970731	2013-08-03 20:42:30.970731	145
19194	82196	17290	2013-08-03 20:42:30.981073	2013-08-03 20:42:30.981073	145
19195	82196	48043	2013-08-03 20:42:30.98643	2013-08-03 20:42:30.98643	145
19196	82024	11701	2013-08-03 20:42:30.998384	2013-08-03 20:42:30.998384	145
19197	82024	17370	2013-08-03 20:42:31.002885	2013-08-03 20:42:31.002885	145
19198	82013	20161	2013-08-03 20:42:31.012202	2013-08-03 20:42:31.012202	145
19199	82013	15450	2013-08-03 20:42:31.017866	2013-08-03 20:42:31.017866	145
19200	82007	28692	2013-08-03 20:42:31.030266	2013-08-03 20:42:31.030266	145
19201	82007	47503	2013-08-03 20:42:31.098827	2013-08-03 20:42:31.098827	145
19202	81993	20201	2013-08-03 20:42:31.118351	2013-08-03 20:42:31.118351	145
19203	81993	34698	2013-08-03 20:42:31.122719	2013-08-03 20:42:31.122719	145
19204	84774	30032	2013-08-03 20:42:31.153047	2013-08-03 20:42:31.153047	145
19205	83888	20737	2013-08-03 20:42:31.160891	2013-08-03 20:42:31.160891	145
19206	83778	20675	2013-08-03 20:42:31.171116	2013-08-03 20:42:31.171116	145
19207	83683	17257	2013-08-03 20:42:31.181222	2013-08-03 20:42:31.181222	145
19208	83597	16292	2013-08-03 20:42:31.197409	2013-08-03 20:42:31.197409	145
19209	83571	15866	2013-08-03 20:42:31.220195	2013-08-03 20:42:31.220195	145
19210	83468	5338	2013-08-03 20:42:31.233862	2013-08-03 20:42:31.233862	145
19211	83421	21372	2013-08-03 20:42:31.243873	2013-08-03 20:42:31.243873	145
19212	83394	16640	2013-08-03 20:42:31.25573	2013-08-03 20:42:31.25573	145
19213	83368	28072	2013-08-03 20:42:31.267332	2013-08-03 20:42:31.267332	145
19214	83367	20281	2013-08-03 20:42:31.283627	2013-08-03 20:42:31.283627	145
19215	83361	49515	2013-08-03 20:42:31.306367	2013-08-03 20:42:31.306367	145
19216	83351	19721	2013-08-03 20:42:31.32869	2013-08-03 20:42:31.32869	145
19217	83350	9859	2013-08-03 20:42:31.352416	2013-08-03 20:42:31.352416	145
19218	82861	24037	2013-08-03 20:42:31.403574	2013-08-03 20:42:31.403574	145
19219	82861	49495	2013-08-03 20:42:31.414549	2013-08-03 20:42:31.414549	145
19220	82675	5304	2013-08-03 20:42:31.43663	2013-08-03 20:42:31.43663	145
19221	82675	49175	2013-08-03 20:42:31.448978	2013-08-03 20:42:31.448978	145
19222	82471	9863	2013-08-03 20:42:31.470591	2013-08-03 20:42:31.470591	145
19223	82471	20955	2013-08-03 20:42:31.481465	2013-08-03 20:42:31.481465	145
19224	82099	48935	2013-08-03 20:42:31.503474	2013-08-03 20:42:31.503474	145
19225	82099	48915	2013-08-03 20:42:31.513689	2013-08-03 20:42:31.513689	145
19226	82048	17910	2013-08-03 20:42:31.536208	2013-08-03 20:42:31.536208	145
19227	82048	48123	2013-08-03 20:42:31.547867	2013-08-03 20:42:31.547867	145
19228	82008	29132	2013-08-03 20:42:31.569443	2013-08-03 20:42:31.569443	145
19229	82008	48043	2013-08-03 20:42:31.580204	2013-08-03 20:42:31.580204	145
19230	81992	17290	2013-08-03 20:42:31.598435	2013-08-03 20:42:31.598435	145
19231	81992	47583	2013-08-03 20:42:31.60225	2013-08-03 20:42:31.60225	145
19232	82132	49935	2013-08-03 20:42:31.620517	2013-08-03 20:42:31.620517	145
19233	82132	49915	2013-08-03 20:42:31.625424	2013-08-03 20:42:31.625424	145
19234	82132	49895	2013-08-03 20:42:31.629908	2013-08-03 20:42:31.629908	145
19235	82132	49875	2013-08-03 20:42:31.634837	2013-08-03 20:42:31.634837	145
19236	82132	49855	2013-08-03 20:42:31.641391	2013-08-03 20:42:31.641391	145
19237	82132	49835	2013-08-03 20:42:31.648948	2013-08-03 20:42:31.648948	145
19238	82132	49815	2013-08-03 20:42:31.659236	2013-08-03 20:42:31.659236	145
19239	82132	49795	2013-08-03 20:42:31.670545	2013-08-03 20:42:31.670545	145
19240	82132	49775	2013-08-03 20:42:31.679699	2013-08-03 20:42:31.679699	145
19241	82132	49755	2013-08-03 20:42:31.691404	2013-08-03 20:42:31.691404	145
19242	82132	32325	2013-08-03 20:42:31.703177	2013-08-03 20:42:31.703177	145
19243	82132	21372	2013-08-03 20:42:31.713541	2013-08-03 20:42:31.713541	145
19244	82132	48683	2013-08-03 20:42:31.722923	2013-08-03 20:42:31.722923	145
19245	82132	21281	2013-08-03 20:42:31.733301	2013-08-03 20:42:31.733301	145
19246	82132	8203	2013-08-03 20:42:31.743824	2013-08-03 20:42:31.743824	145
19247	82132	10159	2013-08-03 20:42:31.754212	2013-08-03 20:42:31.754212	145
19248	82132	19701	2013-08-03 20:42:31.764221	2013-08-03 20:42:31.764221	145
19249	82132	34398	2013-08-03 20:42:31.775463	2013-08-03 20:42:31.775463	145
19250	82132	49315	2013-08-03 20:42:31.787293	2013-08-03 20:42:31.787293	145
19251	83106	37718	2013-08-03 20:42:31.861582	2013-08-03 20:42:31.861582	145
19252	82934	37698	2013-08-03 20:42:31.88394	2013-08-03 20:42:31.88394	145
19253	82874	37678	2013-08-03 20:42:31.906608	2013-08-03 20:42:31.906608	145
19254	82676	37658	2013-08-03 20:42:31.930143	2013-08-03 20:42:31.930143	145
19255	82536	37638	2013-08-03 20:42:31.954411	2013-08-03 20:42:31.954411	145
19256	82441	20181	2013-08-03 20:42:31.977666	2013-08-03 20:42:31.977666	145
19257	82407	19581	2013-08-03 20:42:31.998047	2013-08-03 20:42:31.998047	145
19258	82217	5284	2013-08-03 20:42:32.020316	2013-08-03 20:42:32.020316	145
19259	82118	46155	2013-08-03 20:42:32.034606	2013-08-03 20:42:32.034606	145
19260	82111	28472	2013-08-03 20:42:32.047097	2013-08-03 20:42:32.047097	145
19261	82088	9466	2013-08-03 20:42:32.056887	2013-08-03 20:42:32.056887	145
19262	82068	8605	2013-08-03 20:42:32.06768	2013-08-03 20:42:32.06768	145
19263	82050	7110	2013-08-03 20:42:32.079853	2013-08-03 20:42:32.079853	145
19264	82037	47963	2013-08-03 20:42:32.089653	2013-08-03 20:42:32.089653	145
19265	82025	15426	2013-08-03 20:42:32.104528	2013-08-03 20:42:32.104528	145
19266	81999	34503	2013-08-03 20:42:32.116767	2013-08-03 20:42:32.116767	145
19267	81996	20261	2013-08-03 20:42:32.126451	2013-08-03 20:42:32.126451	145
19268	82935	37895	2013-08-03 20:42:32.155401	2013-08-03 20:42:32.155401	145
19269	82423	37978	2013-08-03 20:42:32.163665	2013-08-03 20:42:32.163665	145
19270	82346	37958	2013-08-03 20:42:32.175016	2013-08-03 20:42:32.175016	145
19271	82307	37938	2013-08-03 20:42:32.187145	2013-08-03 20:42:32.187145	145
19272	82257	37918	2013-08-03 20:42:32.197995	2013-08-03 20:42:32.197995	145
19273	82246	37898	2013-08-03 20:42:32.208555	2013-08-03 20:42:32.208555	145
19274	82174	37878	2013-08-03 20:42:32.224305	2013-08-03 20:42:32.224305	145
19275	82161	37858	2013-08-03 20:42:32.2372	2013-08-03 20:42:32.2372	145
19276	82125	37838	2013-08-03 20:42:32.25514	2013-08-03 20:42:32.25514	145
19277	82113	37818	2013-08-03 20:42:32.27772	2013-08-03 20:42:32.27772	145
19278	82014	37798	2013-08-03 20:42:32.301883	2013-08-03 20:42:32.301883	145
19279	82006	37778	2013-08-03 20:42:32.326246	2013-08-03 20:42:32.326246	145
19280	83242	36680	2013-08-03 20:42:32.393222	2013-08-03 20:42:32.393222	145
19281	82875	36660	2013-08-03 20:42:32.477732	2013-08-03 20:42:32.477732	145
19282	82862	36640	2013-08-03 20:42:32.494127	2013-08-03 20:42:32.494127	145
19283	82677	36620	2013-08-03 20:42:32.513305	2013-08-03 20:42:32.513305	145
19284	82443	36600	2013-08-03 20:42:32.536097	2013-08-03 20:42:32.536097	145
19285	82438	36580	2013-08-03 20:42:32.559093	2013-08-03 20:42:32.559093	145
19286	82221	36560	2013-08-03 20:42:32.575375	2013-08-03 20:42:32.575375	145
19287	82121	36540	2013-08-03 20:42:32.586478	2013-08-03 20:42:32.586478	145
19288	82117	36520	2013-08-03 20:42:32.607176	2013-08-03 20:42:32.607176	145
19289	82090	36500	2013-08-03 20:42:32.630229	2013-08-03 20:42:32.630229	145
19290	82051	36480	2013-08-03 20:42:32.655142	2013-08-03 20:42:32.655142	145
19291	82038	36460	2013-08-03 20:42:32.678216	2013-08-03 20:42:32.678216	145
19292	82026	36558	2013-08-03 20:42:32.702132	2013-08-03 20:42:32.702132	145
19293	82009	9859	2013-08-03 20:42:32.726089	2013-08-03 20:42:32.726089	145
19294	82000	15630	2013-08-03 20:42:32.7437	2013-08-03 20:42:32.7437	145
19295	81995	28792	2013-08-03 20:42:32.752977	2013-08-03 20:42:32.752977	145
19296	85472	22021	2013-08-03 20:47:29.637771	2013-08-03 20:47:29.637771	146
19297	85405	22001	2013-08-03 20:47:29.647461	2013-08-03 20:47:29.647461	146
19298	85356	21997	2013-08-03 20:47:29.654892	2013-08-03 20:47:29.654892	146
19299	84876	21981	2013-08-03 20:47:29.662947	2013-08-03 20:47:29.662947	146
19300	84783	21865	2013-08-03 20:47:29.680771	2013-08-03 20:47:29.680771	146
19301	84780	21857	2013-08-03 20:47:29.704185	2013-08-03 20:47:29.704185	146
19302	84639	21961	2013-08-03 20:47:29.727181	2013-08-03 20:47:29.727181	146
19303	84599	21941	2013-08-03 20:47:29.750272	2013-08-03 20:47:29.750272	146
19304	84429	21921	2013-08-03 20:47:29.773303	2013-08-03 20:47:29.773303	146
19305	84351	21901	2013-08-03 20:47:29.796192	2013-08-03 20:47:29.796192	146
19306	84277	21881	2013-08-03 20:47:29.819102	2013-08-03 20:47:29.819102	146
19307	84112	21861	2013-08-03 20:47:29.841939	2013-08-03 20:47:29.841939	146
19308	84107	19350	2013-08-03 20:47:29.864698	2013-08-03 20:47:29.864698	146
19309	84011	16900	2013-08-03 20:47:29.882372	2013-08-03 20:47:29.882372	146
19310	83982	347	2013-08-03 20:47:29.890635	2013-08-03 20:47:29.890635	146
19311	83973	16066	2013-08-03 20:47:29.900925	2013-08-03 20:47:29.900925	146
19312	83967	18050	2013-08-03 20:47:29.92009	2013-08-03 20:47:29.92009	146
19313	84417	233	2013-08-03 20:47:29.944798	2013-08-03 20:47:29.944798	146
19314	84417	694	2013-08-03 20:47:29.948796	2013-08-03 20:47:29.948796	146
19315	84417	340	2013-08-03 20:47:29.9527	2013-08-03 20:47:29.9527	146
19316	84417	49983	2013-08-03 20:47:29.956958	2013-08-03 20:47:29.956958	146
19317	84417	49963	2013-08-03 20:47:29.960892	2013-08-03 20:47:29.960892	146
19318	84417	49943	2013-08-03 20:47:29.964379	2013-08-03 20:47:29.964379	146
19319	84417	49923	2013-08-03 20:47:29.96784	2013-08-03 20:47:29.96784	146
19320	84417	49903	2013-08-03 20:47:29.972852	2013-08-03 20:47:29.972852	146
19321	84417	49883	2013-08-03 20:47:29.979539	2013-08-03 20:47:29.979539	146
19322	83995	49863	2013-08-03 20:47:30.00242	2013-08-03 20:47:30.00242	146
19323	83995	49843	2013-08-03 20:47:30.011319	2013-08-03 20:47:30.011319	146
19324	83995	49823	2013-08-03 20:47:30.022396	2013-08-03 20:47:30.022396	146
19325	83995	49803	2013-08-03 20:47:30.033329	2013-08-03 20:47:30.033329	146
19326	83995	49783	2013-08-03 20:47:30.044906	2013-08-03 20:47:30.044906	146
19327	83995	49763	2013-08-03 20:47:30.056434	2013-08-03 20:47:30.056434	146
19328	83995	49743	2013-08-03 20:47:30.067212	2013-08-03 20:47:30.067212	146
19329	83995	49723	2013-08-03 20:47:30.078037	2013-08-03 20:47:30.078037	146
19330	83995	18050	2013-08-03 20:47:30.088653	2013-08-03 20:47:30.088653	146
19331	85527	32585	2013-08-03 20:47:30.146978	2013-08-03 20:47:30.146978	146
19332	85403	32565	2013-08-03 20:47:30.159395	2013-08-03 20:47:30.159395	146
19333	84888	32545	2013-08-03 20:47:30.171246	2013-08-03 20:47:30.171246	146
19334	84772	32525	2013-08-03 20:47:30.182614	2013-08-03 20:47:30.182614	146
19335	84584	30032	2013-08-03 20:47:30.192903	2013-08-03 20:47:30.192903	146
19336	84395	19257	2013-08-03 20:47:30.201656	2013-08-03 20:47:30.201656	146
19337	84321	45903	2013-08-03 20:47:30.209799	2013-08-03 20:47:30.209799	146
19338	84292	18910	2013-08-03 20:47:30.218091	2013-08-03 20:47:30.218091	146
19339	84264	18930	2013-08-03 20:47:30.226521	2013-08-03 20:47:30.226521	146
19340	84229	16806	2013-08-03 20:47:30.2346	2013-08-03 20:47:30.2346	146
19341	84161	16766	2013-08-03 20:47:30.242857	2013-08-03 20:47:30.242857	146
19342	84111	4492	2013-08-03 20:47:30.25296	2013-08-03 20:47:30.25296	146
19343	84095	5265	2013-08-03 20:47:30.26431	2013-08-03 20:47:30.26431	146
19344	83992	21857	2013-08-03 20:47:30.277006	2013-08-03 20:47:30.277006	146
19345	83974	21821	2013-08-03 20:47:30.290769	2013-08-03 20:47:30.290769	146
19346	83966	49403	2013-08-03 20:47:30.305524	2013-08-03 20:47:30.305524	146
19347	85734	17026	2013-08-03 20:47:30.346	2013-08-03 20:47:30.346	146
19348	85734	17006	2013-08-03 20:47:30.357046	2013-08-03 20:47:30.357046	146
19349	85416	17090	2013-08-03 20:47:30.380382	2013-08-03 20:47:30.380382	146
19350	85416	16986	2013-08-03 20:47:30.391986	2013-08-03 20:47:30.391986	146
19351	84797	16966	2013-08-03 20:47:30.410781	2013-08-03 20:47:30.410781	146
19352	84797	16963	2013-08-03 20:47:30.416406	2013-08-03 20:47:30.416406	146
19353	84638	16873	2013-08-03 20:47:30.426532	2013-08-03 20:47:30.426532	146
19354	84638	16920	2013-08-03 20:47:30.430419	2013-08-03 20:47:30.430419	146
19355	84601	16812	2013-08-03 20:47:30.439217	2013-08-03 20:47:30.439217	146
19356	84601	11556	2013-08-03 20:47:30.444996	2013-08-03 20:47:30.444996	146
19357	84109	16946	2013-08-03 20:47:30.457005	2013-08-03 20:47:30.457005	146
19358	84109	16926	2013-08-03 20:47:30.462179	2013-08-03 20:47:30.462179	146
19359	84003	16906	2013-08-03 20:47:30.47502	2013-08-03 20:47:30.47502	146
19360	84003	16886	2013-08-03 20:47:30.484574	2013-08-03 20:47:30.484574	146
19361	83998	3324	2013-08-03 20:47:30.506864	2013-08-03 20:47:30.506864	146
19362	83998	16866	2013-08-03 20:47:30.517944	2013-08-03 20:47:30.517944	146
19363	83969	347	2013-08-03 20:47:30.54069	2013-08-03 20:47:30.54069	146
19364	83969	24037	2013-08-03 20:47:30.553141	2013-08-03 20:47:30.553141	146
19365	84802	28552	2013-08-03 20:47:30.574031	2013-08-03 20:47:30.574031	146
19366	84802	20961	2013-08-03 20:47:30.577878	2013-08-03 20:47:30.577878	146
19367	84802	6259	2013-08-03 20:47:30.583226	2013-08-03 20:47:30.583226	146
19368	84802	30157	2013-08-03 20:47:30.593841	2013-08-03 20:47:30.593841	146
19369	84802	16346	2013-08-03 20:47:30.604596	2013-08-03 20:47:30.604596	146
19370	84802	20921	2013-08-03 20:47:30.615626	2013-08-03 20:47:30.615626	146
19371	84115	20835	2013-08-03 20:47:30.629252	2013-08-03 20:47:30.629252	146
19372	84115	18630	2013-08-03 20:47:30.633546	2013-08-03 20:47:30.633546	146
19373	84115	48855	2013-08-03 20:47:30.641014	2013-08-03 20:47:30.641014	146
19374	84115	9859	2013-08-03 20:47:30.7059	2013-08-03 20:47:30.7059	146
19375	84115	9466	2013-08-03 20:47:30.7186	2013-08-03 20:47:30.7186	146
19376	84115	9352	2013-08-03 20:47:30.729826	2013-08-03 20:47:30.729826	146
19377	83970	45583	2013-08-03 20:47:30.753155	2013-08-03 20:47:30.753155	146
19378	83970	18050	2013-08-03 20:47:30.763626	2013-08-03 20:47:30.763626	146
19379	83970	17830	2013-08-03 20:47:30.773287	2013-08-03 20:47:30.773287	146
19380	83970	8718	2013-08-03 20:47:30.783333	2013-08-03 20:47:30.783333	146
19381	83970	29132	2013-08-03 20:47:30.79345	2013-08-03 20:47:30.79345	146
19382	83970	48043	2013-08-03 20:47:30.803365	2013-08-03 20:47:30.803365	146
19383	85748	31425	2013-08-03 20:47:30.842787	2013-08-03 20:47:30.842787	146
19384	85748	8752	2013-08-03 20:47:30.852168	2013-08-03 20:47:30.852168	146
19385	84808	17625	2013-08-03 20:47:30.873629	2013-08-03 20:47:30.873629	146
19386	84808	17950	2013-08-03 20:47:30.878787	2013-08-03 20:47:30.878787	146
19387	84660	17670	2013-08-03 20:47:30.890192	2013-08-03 20:47:30.890192	146
19388	84660	15963	2013-08-03 20:47:30.899503	2013-08-03 20:47:30.899503	146
19389	84616	8738	2013-08-03 20:47:30.909636	2013-08-03 20:47:30.909636	146
19390	84616	29132	2013-08-03 20:47:30.914657	2013-08-03 20:47:30.914657	146
19391	84118	15817	2013-08-03 20:47:30.922453	2013-08-03 20:47:30.922453	146
19392	84118	17918	2013-08-03 20:47:30.92702	2013-08-03 20:47:30.92702	146
19393	84002	48043	2013-08-03 20:47:30.938591	2013-08-03 20:47:30.938591	146
19394	84002	47583	2013-08-03 20:47:30.942027	2013-08-03 20:47:30.942027	146
19395	83987	17290	2013-08-03 20:47:30.949374	2013-08-03 20:47:30.949374	146
19396	83987	20261	2013-08-03 20:47:30.952475	2013-08-03 20:47:30.952475	146
19397	83971	46095	2013-08-03 20:47:30.960072	2013-08-03 20:47:30.960072	146
19398	83971	19501	2013-08-03 20:47:30.965987	2013-08-03 20:47:30.965987	146
19399	84776	14286	2013-08-03 20:47:31.0159	2013-08-03 20:47:31.0159	146
19400	84776	19510	2013-08-03 20:47:31.027185	2013-08-03 20:47:31.027185	146
19401	84678	11901	2013-08-03 20:47:31.048887	2013-08-03 20:47:31.048887	146
19402	84678	19490	2013-08-03 20:47:31.060267	2013-08-03 20:47:31.060267	146
19403	84619	19470	2013-08-03 20:47:31.082627	2013-08-03 20:47:31.082627	146
19404	84619	19450	2013-08-03 20:47:31.095219	2013-08-03 20:47:31.095219	146
19405	84131	19430	2013-08-03 20:47:31.118155	2013-08-03 20:47:31.118155	146
19406	84131	19410	2013-08-03 20:47:31.129346	2013-08-03 20:47:31.129346	146
19407	84004	19390	2013-08-03 20:47:31.144828	2013-08-03 20:47:31.144828	146
19408	84004	19375	2013-08-03 20:47:31.152165	2013-08-03 20:47:31.152165	146
19409	83986	19370	2013-08-03 20:47:31.16112	2013-08-03 20:47:31.16112	146
19410	83986	19321	2013-08-03 20:47:31.168191	2013-08-03 20:47:31.168191	146
19411	83977	21981	2013-08-03 20:47:31.185948	2013-08-03 20:47:31.185948	146
19412	83977	19581	2013-08-03 20:47:31.196056	2013-08-03 20:47:31.196056	146
19413	85750	4708	2013-08-03 20:47:31.242737	2013-08-03 20:47:31.242737	146
19414	85750	18730	2013-08-03 20:47:31.253418	2013-08-03 20:47:31.253418	146
19415	85417	16401	2013-08-03 20:47:31.272996	2013-08-03 20:47:31.272996	146
19416	85417	16421	2013-08-03 20:47:31.276264	2013-08-03 20:47:31.276264	146
19417	84899	20821	2013-08-03 20:47:31.282707	2013-08-03 20:47:31.282707	146
19418	84899	18650	2013-08-03 20:47:31.285704	2013-08-03 20:47:31.285704	146
19419	84818	18570	2013-08-03 20:47:31.293222	2013-08-03 20:47:31.293222	146
19420	84818	48775	2013-08-03 20:47:31.301496	2013-08-03 20:47:31.301496	146
19421	84691	9352	2013-08-03 20:47:31.320683	2013-08-03 20:47:31.320683	146
19422	84691	9466	2013-08-03 20:47:31.330089	2013-08-03 20:47:31.330089	146
19423	84620	9859	2013-08-03 20:47:31.35068	2013-08-03 20:47:31.35068	146
19424	84620	18110	2013-08-03 20:47:31.36138	2013-08-03 20:47:31.36138	146
19425	83989	3919	2013-08-03 20:47:31.384143	2013-08-03 20:47:31.384143	146
19426	83989	17918	2013-08-03 20:47:31.394464	2013-08-03 20:47:31.394464	146
19427	83976	15817	2013-08-03 20:47:31.415347	2013-08-03 20:47:31.415347	146
19428	83976	8605	2013-08-03 20:47:31.42557	2013-08-03 20:47:31.42557	146
19429	85418	30132	2013-08-03 20:47:31.470642	2013-08-03 20:47:31.470642	146
19430	84877	21701	2013-08-03 20:47:31.482905	2013-08-03 20:47:31.482905	146
19431	84819	19210	2013-08-03 20:47:31.493767	2013-08-03 20:47:31.493767	146
19432	84786	19070	2013-08-03 20:47:31.502124	2013-08-03 20:47:31.502124	146
19433	84475	21961	2013-08-03 20:47:31.509458	2013-08-03 20:47:31.509458	146
19434	84416	4943	2013-08-03 20:47:31.523617	2013-08-03 20:47:31.523617	146
19435	84360	21801	2013-08-03 20:47:31.538198	2013-08-03 20:47:31.538198	146
19436	84265	4623	2013-08-03 20:47:31.55886	2013-08-03 20:47:31.55886	146
19437	84225	5444	2013-08-03 20:47:31.581995	2013-08-03 20:47:31.581995	146
19438	84145	21501	2013-08-03 20:47:31.60234	2013-08-03 20:47:31.60234	146
19439	84132	16586	2013-08-03 20:47:31.623236	2013-08-03 20:47:31.623236	146
19440	84113	18090	2013-08-03 20:47:31.644503	2013-08-03 20:47:31.644503	146
19441	83996	17530	2013-08-03 20:47:31.666728	2013-08-03 20:47:31.666728	146
19442	83983	12971	2013-08-03 20:47:31.679118	2013-08-03 20:47:31.679118	146
19443	83979	48123	2013-08-03 20:47:31.689575	2013-08-03 20:47:31.689575	146
19444	83968	15770	2013-08-03 20:47:31.700607	2013-08-03 20:47:31.700607	146
19445	85419	21215	2013-08-03 20:47:31.724931	2013-08-03 20:47:31.724931	146
19446	85419	16646	2013-08-03 20:47:31.731938	2013-08-03 20:47:31.731938	146
19447	84799	16680	2013-08-03 20:47:31.751934	2013-08-03 20:47:31.751934	146
19448	84799	49675	2013-08-03 20:47:31.761841	2013-08-03 20:47:31.761841	146
19449	84757	5284	2013-08-03 20:47:31.782826	2013-08-03 20:47:31.782826	146
19450	84757	18730	2013-08-03 20:47:31.792862	2013-08-03 20:47:31.792862	146
19451	84622	4708	2013-08-03 20:47:31.814578	2013-08-03 20:47:31.814578	146
19452	84622	18070	2013-08-03 20:47:31.824257	2013-08-03 20:47:31.824257	146
19453	84135	8752	2013-08-03 20:47:31.831319	2013-08-03 20:47:31.831319	146
19454	84135	31425	2013-08-03 20:47:31.834735	2013-08-03 20:47:31.834735	146
19455	84000	17612	2013-08-03 20:47:31.841273	2013-08-03 20:47:31.841273	146
19456	84000	3999	2013-08-03 20:47:31.844724	2013-08-03 20:47:31.844724	146
19457	83978	47803	2013-08-03 20:47:31.852079	2013-08-03 20:47:31.852079	146
19458	83978	17470	2013-08-03 20:47:31.856766	2013-08-03 20:47:31.856766	146
19459	84258	5583	2013-08-03 20:47:31.89741	2013-08-03 20:47:31.89741	146
19460	84258	302	2013-08-03 20:47:31.901309	2013-08-03 20:47:31.901309	146
19461	84258	5263	2013-08-03 20:47:31.904519	2013-08-03 20:47:31.904519	146
19462	84258	10	2013-08-03 20:47:31.90784	2013-08-03 20:47:31.90784	146
19463	84258	307	2013-08-03 20:47:31.911073	2013-08-03 20:47:31.911073	146
19464	84258	98	2013-08-03 20:47:31.915583	2013-08-03 20:47:31.915583	146
19465	84258	757	2013-08-03 20:47:31.987796	2013-08-03 20:47:31.987796	146
19466	84258	21641	2013-08-03 20:47:31.998592	2013-08-03 20:47:31.998592	146
19467	84258	19245	2013-08-03 20:47:32.006557	2013-08-03 20:47:32.006557	146
19468	84258	16806	2013-08-03 20:47:32.015327	2013-08-03 20:47:32.015327	146
19469	84258	21881	2013-08-03 20:47:32.019109	2013-08-03 20:47:32.019109	146
19470	84258	21435	2013-08-03 20:47:32.027432	2013-08-03 20:47:32.027432	146
19471	84258	1203	2013-08-03 20:47:32.033936	2013-08-03 20:47:32.033936	146
19472	84258	297	2013-08-03 20:47:32.037384	2013-08-03 20:47:32.037384	146
19473	84258	5444	2013-08-03 20:47:32.040889	2013-08-03 20:47:32.040889	146
19474	84258	36563	2013-08-03 20:47:32.044268	2013-08-03 20:47:32.044268	146
19475	84258	5129	2013-08-03 20:47:32.04926	2013-08-03 20:47:32.04926	146
19476	84258	47983	2013-08-03 20:47:32.054656	2013-08-03 20:47:32.054656	146
19477	84258	47395	2013-08-03 20:47:32.058626	2013-08-03 20:47:32.058626	146
19478	85711	1191	2013-08-03 20:47:32.0905	2013-08-03 20:47:32.0905	146
19479	85711	445	2013-08-03 20:47:32.101294	2013-08-03 20:47:32.101294	146
19480	85711	458	2013-08-03 20:47:32.106716	2013-08-03 20:47:32.106716	146
19481	85711	912	2013-08-03 20:47:32.110265	2013-08-03 20:47:32.110265	146
19482	85711	454	2013-08-03 20:47:32.113871	2013-08-03 20:47:32.113871	146
19483	85711	1274	2013-08-03 20:47:32.117263	2013-08-03 20:47:32.117263	146
19484	85711	973	2013-08-03 20:47:32.120263	2013-08-03 20:47:32.120263	146
19485	85711	952	2013-08-03 20:47:32.123414	2013-08-03 20:47:32.123414	146
19486	85711	825	2013-08-03 20:47:32.127688	2013-08-03 20:47:32.127688	146
19487	85711	387	2013-08-03 20:47:32.132138	2013-08-03 20:47:32.132138	146
19488	85711	283	2013-08-03 20:47:32.138873	2013-08-03 20:47:32.138873	146
19489	85711	553	2013-08-03 20:47:32.147221	2013-08-03 20:47:32.147221	146
19490	85711	51	2013-08-03 20:47:32.158275	2013-08-03 20:47:32.158275	146
19491	85711	473	2013-08-03 20:47:32.169385	2013-08-03 20:47:32.169385	146
19492	85711	81	2013-08-03 20:47:32.18016	2013-08-03 20:47:32.18016	146
19493	85711	864	2013-08-03 20:47:32.19087	2013-08-03 20:47:32.19087	146
19494	85711	773	2013-08-03 20:47:32.201696	2013-08-03 20:47:32.201696	146
19495	85711	752	2013-08-03 20:47:32.212545	2013-08-03 20:47:32.212545	146
19496	85711	222	2013-08-03 20:47:32.223172	2013-08-03 20:47:32.223172	146
19497	85471	38138	2013-08-03 20:47:32.288664	2013-08-03 20:47:32.288664	146
19498	85420	5384	2013-08-03 20:47:32.311152	2013-08-03 20:47:32.311152	146
19499	84879	20218	2013-08-03 20:47:32.332644	2013-08-03 20:47:32.332644	146
19500	84830	20281	2013-08-03 20:47:32.354978	2013-08-03 20:47:32.354978	146
19501	84796	16666	2013-08-03 20:47:32.37725	2013-08-03 20:47:32.37725	146
19502	84659	10179	2013-08-03 20:47:32.398173	2013-08-03 20:47:32.398173	146
19503	84527	45715	2013-08-03 20:47:32.41953	2013-08-03 20:47:32.41953	146
19504	84396	15946	2013-08-03 20:47:32.439884	2013-08-03 20:47:32.439884	146
19505	84364	17850	2013-08-03 20:47:32.460548	2013-08-03 20:47:32.460548	146
19506	84289	20341	2013-08-03 20:47:32.481949	2013-08-03 20:47:32.481949	146
19507	84233	17490	2013-08-03 20:47:32.49775	2013-08-03 20:47:32.49775	146
19508	84137	20481	2013-08-03 20:47:32.512716	2013-08-03 20:47:32.512716	146
19509	84114	48243	2013-08-03 20:47:32.521969	2013-08-03 20:47:32.521969	146
19510	84012	47963	2013-08-03 20:47:32.535555	2013-08-03 20:47:32.535555	146
19511	84007	28852	2013-08-03 20:47:32.544692	2013-08-03 20:47:32.544692	146
19512	83980	20161	2013-08-03 20:47:32.554575	2013-08-03 20:47:32.554575	146
19513	83965	34503	2013-08-03 20:47:32.569282	2013-08-03 20:47:32.569282	146
19514	85474	38418	2013-08-03 20:47:32.635917	2013-08-03 20:47:32.635917	146
19515	84890	38398	2013-08-03 20:47:32.658266	2013-08-03 20:47:32.658266	146
19516	84672	38378	2013-08-03 20:47:32.679699	2013-08-03 20:47:32.679699	146
19517	84654	38358	2013-08-03 20:47:32.703872	2013-08-03 20:47:32.703872	146
19518	84441	38338	2013-08-03 20:47:32.720969	2013-08-03 20:47:32.720969	146
19519	84414	38318	2013-08-03 20:47:32.728081	2013-08-03 20:47:32.728081	146
19520	84320	38298	2013-08-03 20:47:32.736479	2013-08-03 20:47:32.736479	146
19521	84138	38278	2013-08-03 20:47:32.747279	2013-08-03 20:47:32.747279	146
19522	84038	38258	2013-08-03 20:47:32.763402	2013-08-03 20:47:32.763402	146
19523	83984	38238	2013-08-03 20:47:32.78538	2013-08-03 20:47:32.78538	146
19524	83981	38218	2013-08-03 20:47:32.80769	2013-08-03 20:47:32.80769	146
19525	83964	38198	2013-08-03 20:47:32.829894	2013-08-03 20:47:32.829894	146
19526	85541	37140	2013-08-03 20:47:32.894506	2013-08-03 20:47:32.894506	146
19527	85473	37120	2013-08-03 20:47:32.917099	2013-08-03 20:47:32.917099	146
19528	85421	37100	2013-08-03 20:47:32.939947	2013-08-03 20:47:32.939947	146
19529	84878	37080	2013-08-03 20:47:32.963701	2013-08-03 20:47:32.963701	146
19530	84831	37060	2013-08-03 20:47:32.980079	2013-08-03 20:47:32.980079	146
19531	84801	37040	2013-08-03 20:47:32.991447	2013-08-03 20:47:32.991447	146
19532	84553	37020	2013-08-03 20:47:33.00241	2013-08-03 20:47:33.00241	146
19533	84411	37000	2013-08-03 20:47:33.015706	2013-08-03 20:47:33.015706	146
19534	84226	36980	2013-08-03 20:47:33.036801	2013-08-03 20:47:33.036801	146
19535	84142	36960	2013-08-03 20:47:33.059296	2013-08-03 20:47:33.059296	146
19536	84141	36940	2013-08-03 20:47:33.081882	2013-08-03 20:47:33.081882	146
19537	84116	36920	2013-08-03 20:47:33.10433	2013-08-03 20:47:33.10433	146
19538	84055	36900	2013-08-03 20:47:33.126276	2013-08-03 20:47:33.126276	146
19539	83999	36880	2013-08-03 20:47:33.149827	2013-08-03 20:47:33.149827	146
19540	83991	36860	2013-08-03 20:47:33.172202	2013-08-03 20:47:33.172202	146
19541	83975	17910	2013-08-03 20:47:33.194566	2013-08-03 20:47:33.194566	146
19542	86959	22401	2013-08-03 20:52:35.084666	2013-08-03 20:52:35.084666	147
19543	86665	22381	2013-08-03 20:52:35.109257	2013-08-03 20:52:35.109257	147
19544	86499	3215	2013-08-03 20:52:35.134353	2013-08-03 20:52:35.134353	147
19545	86470	46923	2013-08-03 20:52:35.156534	2013-08-03 20:52:35.156534	147
19546	86358	22361	2013-08-03 20:52:35.16748	2013-08-03 20:52:35.16748	147
19547	86306	22341	2013-08-03 20:52:35.175372	2013-08-03 20:52:35.175372	147
19548	86222	22321	2013-08-03 20:52:35.183228	2013-08-03 20:52:35.183228	147
19549	86208	22301	2013-08-03 20:52:35.201227	2013-08-03 20:52:35.201227	147
19550	86189	22165	2013-08-03 20:52:35.225267	2013-08-03 20:52:35.225267	147
19551	86158	22281	2013-08-03 20:52:35.249355	2013-08-03 20:52:35.249355	147
19552	86134	22261	2013-08-03 20:52:35.263098	2013-08-03 20:52:35.263098	147
19553	86124	20598	2013-08-03 20:52:35.280786	2013-08-03 20:52:35.280786	147
19554	86062	22241	2013-08-03 20:52:35.301997	2013-08-03 20:52:35.301997	147
19555	86053	22221	2013-08-03 20:52:35.313907	2013-08-03 20:52:35.313907	147
19556	86029	22201	2013-08-03 20:52:35.327793	2013-08-03 20:52:35.327793	147
19557	86831	1234	2013-08-03 20:52:35.354294	2013-08-03 20:52:35.354294	147
19558	86831	810	2013-08-03 20:52:35.359219	2013-08-03 20:52:35.359219	147
19559	86831	469	2013-08-03 20:52:35.363851	2013-08-03 20:52:35.363851	147
19560	86831	1	2013-08-03 20:52:35.36853	2013-08-03 20:52:35.36853	147
19561	86831	599	2013-08-03 20:52:35.373342	2013-08-03 20:52:35.373342	147
19562	86831	47	2013-08-03 20:52:35.379001	2013-08-03 20:52:35.379001	147
19563	86831	786	2013-08-03 20:52:35.384498	2013-08-03 20:52:35.384498	147
19564	86831	77	2013-08-03 20:52:35.390901	2013-08-03 20:52:35.390901	147
19565	86831	97	2013-08-03 20:52:35.394992	2013-08-03 20:52:35.394992	147
19566	86086	994	2013-08-03 20:52:35.401647	2013-08-03 20:52:35.401647	147
19567	86086	673	2013-08-03 20:52:35.405754	2013-08-03 20:52:35.405754	147
19568	86086	672	2013-08-03 20:52:35.410782	2013-08-03 20:52:35.410782	147
19569	86086	37360	2013-08-03 20:52:35.414913	2013-08-03 20:52:35.414913	147
19570	86086	30155	2013-08-03 20:52:35.418456	2013-08-03 20:52:35.418456	147
19571	86086	46223	2013-08-03 20:52:35.422077	2013-08-03 20:52:35.422077	147
19572	86086	46923	2013-08-03 20:52:35.42597	2013-08-03 20:52:35.42597	147
19573	86086	22161	2013-08-03 20:52:35.429995	2013-08-03 20:52:35.429995	147
19574	86086	20955	2013-08-03 20:52:35.43366	2013-08-03 20:52:35.43366	147
19575	86896	32765	2013-08-03 20:52:35.466049	2013-08-03 20:52:35.466049	147
19576	86469	32745	2013-08-03 20:52:35.525141	2013-08-03 20:52:35.525141	147
19577	86357	32725	2013-08-03 20:52:35.535484	2013-08-03 20:52:35.535484	147
19578	86294	32705	2013-08-03 20:52:35.543082	2013-08-03 20:52:35.543082	147
19579	86258	32715	2013-08-03 20:52:35.551167	2013-08-03 20:52:35.551167	147
19580	86221	32685	2013-08-03 20:52:35.561854	2013-08-03 20:52:35.561854	147
19581	86207	32665	2013-08-03 20:52:35.571448	2013-08-03 20:52:35.571448	147
19582	86192	30275	2013-08-03 20:52:35.582133	2013-08-03 20:52:35.582133	147
19583	86152	22141	2013-08-03 20:52:35.590005	2013-08-03 20:52:35.590005	147
19584	86142	19990	2013-08-03 20:52:35.599128	2013-08-03 20:52:35.599128	147
19585	86114	19770	2013-08-03 20:52:35.607642	2013-08-03 20:52:35.607642	147
19586	86061	19510	2013-08-03 20:52:35.615512	2013-08-03 20:52:35.615512	147
19587	86052	14286	2013-08-03 20:52:35.628154	2013-08-03 20:52:35.628154	147
19588	86028	22401	2013-08-03 20:52:35.645242	2013-08-03 20:52:35.645242	147
19589	86026	19188	2013-08-03 20:52:35.660589	2013-08-03 20:52:35.660589	147
19590	87093	17166	2013-08-03 20:52:35.683354	2013-08-03 20:52:35.683354	147
19591	87093	17146	2013-08-03 20:52:35.689107	2013-08-03 20:52:35.689107	147
19592	86963	17126	2013-08-03 20:52:35.706389	2013-08-03 20:52:35.706389	147
19593	86963	17045	2013-08-03 20:52:35.717332	2013-08-03 20:52:35.717332	147
19594	86368	17065	2013-08-03 20:52:35.729354	2013-08-03 20:52:35.729354	147
19595	86368	17017	2013-08-03 20:52:35.734005	2013-08-03 20:52:35.734005	147
19596	86310	17106	2013-08-03 20:52:35.742004	2013-08-03 20:52:35.742004	147
19597	86310	17086	2013-08-03 20:52:35.745508	2013-08-03 20:52:35.745508	147
19598	86278	17066	2013-08-03 20:52:35.753184	2013-08-03 20:52:35.753184	147
19599	86278	5380	2013-08-03 20:52:35.758735	2013-08-03 20:52:35.758735	147
19600	86275	3215	2013-08-03 20:52:35.767117	2013-08-03 20:52:35.767117	147
19601	86275	22060	2013-08-03 20:52:35.773276	2013-08-03 20:52:35.773276	147
19602	86120	21501	2013-08-03 20:52:35.784284	2013-08-03 20:52:35.784284	147
19603	86120	20181	2013-08-03 20:52:35.788429	2013-08-03 20:52:35.788429	147
19604	86036	45715	2013-08-03 20:52:35.798382	2013-08-03 20:52:35.798382	147
19605	86036	19208	2013-08-03 20:52:35.805765	2013-08-03 20:52:35.805765	147
19606	86023	35640	2013-08-03 20:52:35.822142	2013-08-03 20:52:35.822142	147
19607	86023	17850	2013-08-03 20:52:35.829843	2013-08-03 20:52:35.829843	147
19608	87098	16100	2013-08-03 20:52:35.86873	2013-08-03 20:52:35.86873	147
19609	87098	16106	2013-08-03 20:52:35.874789	2013-08-03 20:52:35.874789	147
19610	86953	4350	2013-08-03 20:52:35.889017	2013-08-03 20:52:35.889017	147
19611	86953	17730	2013-08-03 20:52:35.896622	2013-08-03 20:52:35.896622	147
19612	86321	15986	2013-08-03 20:52:35.915867	2013-08-03 20:52:35.915867	147
19613	86321	48175	2013-08-03 20:52:35.927064	2013-08-03 20:52:35.927064	147
19614	86307	17750	2013-08-03 20:52:35.946384	2013-08-03 20:52:35.946384	147
19615	86307	17910	2013-08-03 20:52:35.955123	2013-08-03 20:52:35.955123	147
19616	86288	17470	2013-08-03 20:52:35.974754	2013-08-03 20:52:35.974754	147
19617	86288	47803	2013-08-03 20:52:35.986004	2013-08-03 20:52:35.986004	147
19618	86123	48123	2013-08-03 20:52:36.003139	2013-08-03 20:52:36.003139	147
19619	86123	8605	2013-08-03 20:52:36.008915	2013-08-03 20:52:36.008915	147
19620	86057	15817	2013-08-03 20:52:36.01869	2013-08-03 20:52:36.01869	147
19621	86057	20161	2013-08-03 20:52:36.02287	2013-08-03 20:52:36.02287	147
19622	86031	46095	2013-08-03 20:52:36.030148	2013-08-03 20:52:36.030148	147
19623	86031	19501	2013-08-03 20:52:36.033419	2013-08-03 20:52:36.033419	147
19624	87115	7816	2013-08-03 20:52:36.058173	2013-08-03 20:52:36.058173	147
19625	87115	7763	2013-08-03 20:52:36.065322	2013-08-03 20:52:36.065322	147
19626	86974	5223	2013-08-03 20:52:36.082706	2013-08-03 20:52:36.082706	147
19627	86974	18701	2013-08-03 20:52:36.09303	2013-08-03 20:52:36.09303	147
19628	86369	18570	2013-08-03 20:52:36.110774	2013-08-03 20:52:36.110774	147
19629	86369	48855	2013-08-03 20:52:36.12101	2013-08-03 20:52:36.12101	147
19630	86355	18630	2013-08-03 20:52:36.13775	2013-08-03 20:52:36.13775	147
19631	86355	20835	2013-08-03 20:52:36.144977	2013-08-03 20:52:36.144977	147
19632	86312	18563	2013-08-03 20:52:36.152316	2013-08-03 20:52:36.152316	147
19633	86312	48175	2013-08-03 20:52:36.158646	2013-08-03 20:52:36.158646	147
19634	86122	15986	2013-08-03 20:52:36.173878	2013-08-03 20:52:36.173878	147
19635	86122	9859	2013-08-03 20:52:36.182744	2013-08-03 20:52:36.182744	147
19636	86032	17690	2013-08-03 20:52:36.195247	2013-08-03 20:52:36.195247	147
19637	86032	31425	2013-08-03 20:52:36.19886	2013-08-03 20:52:36.19886	147
19638	86024	8752	2013-08-03 20:52:36.208357	2013-08-03 20:52:36.208357	147
19639	86024	20481	2013-08-03 20:52:36.211926	2013-08-03 20:52:36.211926	147
19640	87454	30552	2013-08-03 20:52:36.23513	2013-08-03 20:52:36.23513	147
19641	86958	30532	2013-08-03 20:52:36.24304	2013-08-03 20:52:36.24304	147
19642	86370	30535	2013-08-03 20:52:36.25025	2013-08-03 20:52:36.25025	147
19643	86324	30512	2013-08-03 20:52:36.262872	2013-08-03 20:52:36.262872	147
19644	86314	30492	2013-08-03 20:52:36.283294	2013-08-03 20:52:36.283294	147
19645	86254	30472	2013-08-03 20:52:36.306466	2013-08-03 20:52:36.306466	147
19646	86235	30445	2013-08-03 20:52:36.331258	2013-08-03 20:52:36.331258	147
19647	86220	30452	2013-08-03 20:52:36.355303	2013-08-03 20:52:36.355303	147
19648	86188	30432	2013-08-03 20:52:36.378245	2013-08-03 20:52:36.378245	147
19649	86121	30412	2013-08-03 20:52:36.405581	2013-08-03 20:52:36.405581	147
19650	86111	30392	2013-08-03 20:52:36.418617	2013-08-03 20:52:36.418617	147
19651	86098	30372	2013-08-03 20:52:36.429472	2013-08-03 20:52:36.429472	147
19652	86054	30352	2013-08-03 20:52:36.441484	2013-08-03 20:52:36.441484	147
19653	86033	30332	2013-08-03 20:52:36.453479	2013-08-03 20:52:36.453479	147
19654	86025	30312	2013-08-03 20:52:36.464696	2013-08-03 20:52:36.464696	147
19655	86962	32685	2013-08-03 20:52:36.488228	2013-08-03 20:52:36.488228	147
19656	86962	3454	2013-08-03 20:52:36.492471	2013-08-03 20:52:36.492471	147
19657	86388	3341	2013-08-03 20:52:36.501729	2013-08-03 20:52:36.501729	147
19658	86388	3434	2013-08-03 20:52:36.506262	2013-08-03 20:52:36.506262	147
19659	86371	22321	2013-08-03 20:52:36.575481	2013-08-03 20:52:36.575481	147
19660	86371	29152	2013-08-03 20:52:36.580814	2013-08-03 20:52:36.580814	147
19661	86330	21680	2013-08-03 20:52:36.588457	2013-08-03 20:52:36.588457	147
19662	86330	20281	2013-08-03 20:52:36.591588	2013-08-03 20:52:36.591588	147
19663	86322	16366	2013-08-03 20:52:36.597635	2013-08-03 20:52:36.597635	147
19664	86322	16346	2013-08-03 20:52:36.600594	2013-08-03 20:52:36.600594	147
19665	86119	16106	2013-08-03 20:52:36.612459	2013-08-03 20:52:36.612459	147
19666	86119	16100	2013-08-03 20:52:36.616319	2013-08-03 20:52:36.616319	147
19667	86035	16046	2013-08-03 20:52:36.624219	2013-08-03 20:52:36.624219	147
19668	86035	48195	2013-08-03 20:52:36.631403	2013-08-03 20:52:36.631403	147
19669	86117	1233	2013-08-03 20:52:36.685969	2013-08-03 20:52:36.685969	147
19670	86117	1212	2013-08-03 20:52:36.698126	2013-08-03 20:52:36.698126	147
19671	86117	36980	2013-08-03 20:52:36.709385	2013-08-03 20:52:36.709385	147
19672	86117	30392	2013-08-03 20:52:36.719805	2013-08-03 20:52:36.719805	147
19673	86117	20598	2013-08-03 20:52:36.730383	2013-08-03 20:52:36.730383	147
19674	86117	19852	2013-08-03 20:52:36.740956	2013-08-03 20:52:36.740956	147
19675	86117	19870	2013-08-03 20:52:36.751313	2013-08-03 20:52:36.751313	147
19676	86117	19770	2013-08-03 20:52:36.761747	2013-08-03 20:52:36.761747	147
19677	86117	19630	2013-08-03 20:52:36.772342	2013-08-03 20:52:36.772342	147
19678	86117	5340	2013-08-03 20:52:36.783543	2013-08-03 20:52:36.783543	147
19679	86117	29132	2013-08-03 20:52:36.795266	2013-08-03 20:52:36.795266	147
19680	86117	38198	2013-08-03 20:52:36.805388	2013-08-03 20:52:36.805388	147
19681	86117	17490	2013-08-03 20:52:36.81561	2013-08-03 20:52:36.81561	147
19682	86117	21581	2013-08-03 20:52:36.827034	2013-08-03 20:52:36.827034	147
19683	86117	373	2013-08-03 20:52:36.837421	2013-08-03 20:52:36.837421	147
19684	86117	48595	2013-08-03 20:52:36.848156	2013-08-03 20:52:36.848156	147
19685	86117	14091	2013-08-03 20:52:36.858725	2013-08-03 20:52:36.858725	147
19686	86117	6259	2013-08-03 20:52:36.868759	2013-08-03 20:52:36.868759	147
19687	86117	15963	2013-08-03 20:52:36.878995	2013-08-03 20:52:36.878995	147
19688	88051	845	2013-08-03 20:52:36.928679	2013-08-03 20:52:36.928679	147
19689	88051	836	2013-08-03 20:52:36.941003	2013-08-03 20:52:36.941003	147
19690	88051	1631	2013-08-03 20:52:36.952757	2013-08-03 20:52:36.952757	147
19691	88051	1673	2013-08-03 20:52:36.96483	2013-08-03 20:52:36.96483	147
19692	88051	1652	2013-08-03 20:52:36.976699	2013-08-03 20:52:36.976699	147
19693	88051	1774	2013-08-03 20:52:36.986888	2013-08-03 20:52:36.986888	147
19694	88051	865	2013-08-03 20:52:36.997092	2013-08-03 20:52:36.997092	147
19695	88051	1741	2013-08-03 20:52:37.009043	2013-08-03 20:52:37.009043	147
19696	88051	860	2013-08-03 20:52:37.023089	2013-08-03 20:52:37.023089	147
19697	88051	707	2013-08-03 20:52:37.030017	2013-08-03 20:52:37.030017	147
19698	88051	1477	2013-08-03 20:52:37.04128	2013-08-03 20:52:37.04128	147
19699	88051	1371	2013-08-03 20:52:37.046813	2013-08-03 20:52:37.046813	147
19700	88051	1350	2013-08-03 20:52:37.050569	2013-08-03 20:52:37.050569	147
19701	88051	1306	2013-08-03 20:52:37.054268	2013-08-03 20:52:37.054268	147
19702	88051	700	2013-08-03 20:52:37.058531	2013-08-03 20:52:37.058531	147
19703	88051	769	2013-08-03 20:52:37.063815	2013-08-03 20:52:37.063815	147
19704	88051	505	2013-08-03 20:52:37.067704	2013-08-03 20:52:37.067704	147
19705	88051	488	2013-08-03 20:52:37.074984	2013-08-03 20:52:37.074984	147
19706	88051	1304	2013-08-03 20:52:37.080674	2013-08-03 20:52:37.080674	147
19707	86960	38678	2013-08-03 20:52:37.139428	2013-08-03 20:52:37.139428	147
19708	86471	38658	2013-08-03 20:52:37.162582	2013-08-03 20:52:37.162582	147
19709	86373	38638	2013-08-03 20:52:37.186224	2013-08-03 20:52:37.186224	147
19710	86344	38618	2013-08-03 20:52:37.206561	2013-08-03 20:52:37.206561	147
19711	86267	38598	2013-08-03 20:52:37.226404	2013-08-03 20:52:37.226404	147
19712	86253	38578	2013-08-03 20:52:37.234738	2013-08-03 20:52:37.234738	147
19713	86252	20218	2013-08-03 20:52:37.252711	2013-08-03 20:52:37.252711	147
19714	86209	48895	2013-08-03 20:52:37.269583	2013-08-03 20:52:37.269583	147
19715	86186	16026	2013-08-03 20:52:37.292586	2013-08-03 20:52:37.292586	147
19716	86118	18090	2013-08-03 20:52:37.303353	2013-08-03 20:52:37.303353	147
19717	86113	15950	2013-08-03 20:52:37.31314	2013-08-03 20:52:37.31314	147
19718	86110	17625	2013-08-03 20:52:37.322627	2013-08-03 20:52:37.322627	147
19719	86100	20461	2013-08-03 20:52:37.33049	2013-08-03 20:52:37.33049	147
19720	86060	29172	2013-08-03 20:52:37.339109	2013-08-03 20:52:37.339109	147
19721	86055	48243	2013-08-03 20:52:37.350454	2013-08-03 20:52:37.350454	147
19722	86030	47963	2013-08-03 20:52:37.362962	2013-08-03 20:52:37.362962	147
19723	86027	34503	2013-08-03 20:52:37.371861	2013-08-03 20:52:37.371861	147
19724	87149	38958	2013-08-03 20:52:37.398572	2013-08-03 20:52:37.398572	147
19725	86437	38938	2013-08-03 20:52:37.407649	2013-08-03 20:52:37.407649	147
19726	86354	38918	2013-08-03 20:52:37.418117	2013-08-03 20:52:37.418117	147
19727	86345	38898	2013-08-03 20:52:37.42903	2013-08-03 20:52:37.42903	147
19728	86291	38878	2013-08-03 20:52:37.444431	2013-08-03 20:52:37.444431	147
19729	86277	38858	2013-08-03 20:52:37.45735	2013-08-03 20:52:37.45735	147
19730	86191	38838	2013-08-03 20:52:37.465659	2013-08-03 20:52:37.465659	147
19731	86190	38818	2013-08-03 20:52:37.474543	2013-08-03 20:52:37.474543	147
19732	86153	38798	2013-08-03 20:52:37.487527	2013-08-03 20:52:37.487527	147
19733	86135	38778	2013-08-03 20:52:37.508897	2013-08-03 20:52:37.508897	147
19734	86097	38758	2013-08-03 20:52:37.52099	2013-08-03 20:52:37.52099	147
19735	86059	38738	2013-08-03 20:52:37.530745	2013-08-03 20:52:37.530745	147
19736	86973	37680	2013-08-03 20:52:37.568016	2013-08-03 20:52:37.568016	147
19737	86393	37660	2013-08-03 20:52:37.581106	2013-08-03 20:52:37.581106	147
19738	86375	37640	2013-08-03 20:52:37.598685	2013-08-03 20:52:37.598685	147
19739	86349	37620	2013-08-03 20:52:37.619023	2013-08-03 20:52:37.619023	147
19740	86289	37600	2013-08-03 20:52:37.64212	2013-08-03 20:52:37.64212	147
19741	86256	37580	2013-08-03 20:52:37.665352	2013-08-03 20:52:37.665352	147
19742	86255	37560	2013-08-03 20:52:37.688703	2013-08-03 20:52:37.688703	147
19743	86187	37540	2013-08-03 20:52:37.712988	2013-08-03 20:52:37.712988	147
19744	86155	37520	2013-08-03 20:52:37.736355	2013-08-03 20:52:37.736355	147
19745	86136	37500	2013-08-03 20:52:37.76024	2013-08-03 20:52:37.76024	147
19746	86116	37480	2013-08-03 20:52:37.784004	2013-08-03 20:52:37.784004	147
19747	86115	37460	2013-08-03 20:52:37.809119	2013-08-03 20:52:37.809119	147
19748	86112	37440	2013-08-03 20:52:37.832682	2013-08-03 20:52:37.832682	147
19749	86056	37420	2013-08-03 20:52:37.856159	2013-08-03 20:52:37.856159	147
19750	86034	8526	2013-08-03 20:52:37.936403	2013-08-03 20:52:37.936403	147
28416	155307	32523	2013-08-04 17:07:40.72889	2013-08-04 17:07:40.72889	223
28417	154264	2684	2013-08-04 17:07:41.024706	2013-08-04 17:07:41.024706	223
28418	154135	32583	2013-08-04 17:07:41.040434	2013-08-04 17:07:41.040434	223
28419	154051	22040	2013-08-04 17:07:41.047485	2013-08-04 17:07:41.047485	223
28420	154049	4384	2013-08-04 17:07:41.055035	2013-08-04 17:07:41.055035	223
28421	154034	2456	2013-08-04 17:07:41.062791	2013-08-04 17:07:41.062791	223
28422	154017	34300	2013-08-04 17:07:41.078974	2013-08-04 17:07:41.078974	223
28423	154002	25011	2013-08-04 17:07:41.10789	2013-08-04 17:07:41.10789	223
28424	153987	24737	2013-08-04 17:07:41.115479	2013-08-04 17:07:41.115479	223
28425	153981	2430	2013-08-04 17:07:41.122775	2013-08-04 17:07:41.122775	223
28426	153977	38823	2013-08-04 17:07:41.129925	2013-08-04 17:07:41.129925	223
28427	153940	23997	2013-08-04 17:07:41.137206	2013-08-04 17:07:41.137206	223
28428	153923	2396	2013-08-04 17:07:41.143789	2013-08-04 17:07:41.143789	223
28429	153918	3274	2013-08-04 17:07:41.153649	2013-08-04 17:07:41.153649	223
28430	153913	10	2013-08-04 17:07:41.176957	2013-08-04 17:07:41.176957	223
28431	155324	18710	2013-08-04 17:07:41.394614	2013-08-04 17:07:41.394614	223
28432	154339	17212	2013-08-04 17:07:41.402618	2013-08-04 17:07:41.402618	223
28433	154266	31192	2013-08-04 17:07:41.410933	2013-08-04 17:07:41.410933	223
28434	154137	17176	2013-08-04 17:07:41.459997	2013-08-04 17:07:41.459997	223
28435	154075	28366	2013-08-04 17:07:41.467653	2013-08-04 17:07:41.467653	223
28436	154015	45023	2013-08-04 17:07:41.47622	2013-08-04 17:07:41.47622	223
28437	154003	21332	2013-08-04 17:07:41.484693	2013-08-04 17:07:41.484693	223
28438	153989	15370	2013-08-04 17:07:41.492546	2013-08-04 17:07:41.492546	223
28439	153984	28100	2013-08-04 17:07:41.501136	2013-08-04 17:07:41.501136	223
28440	153970	12032	2013-08-04 17:07:41.508987	2013-08-04 17:07:41.508987	223
28441	153969	22353	2013-08-04 17:07:41.520482	2013-08-04 17:07:41.520482	223
28442	153949	28386	2013-08-04 17:07:41.529288	2013-08-04 17:07:41.529288	223
28443	153936	17153	2013-08-04 17:07:41.536654	2013-08-04 17:07:41.536654	223
28444	153933	3924	2013-08-04 17:07:41.544235	2013-08-04 17:07:41.544235	223
28445	153920	3095	2013-08-04 17:07:41.562844	2013-08-04 17:07:41.562844	223
28446	153914	17136	2013-08-04 17:07:41.572195	2013-08-04 17:07:41.572195	223
28447	155322	22068	2013-08-04 17:07:41.669049	2013-08-04 17:07:41.669049	223
28448	155322	27313	2013-08-04 17:07:41.672542	2013-08-04 17:07:41.672542	223
28449	155322	25468	2013-08-04 17:07:41.67597	2013-08-04 17:07:41.67597	223
28450	155322	34300	2013-08-04 17:07:41.679696	2013-08-04 17:07:41.679696	223
28451	155322	24991	2013-08-04 17:07:41.683574	2013-08-04 17:07:41.683574	223
28452	155322	24771	2013-08-04 17:07:41.687018	2013-08-04 17:07:41.687018	223
28453	155322	20799	2013-08-04 17:07:41.690243	2013-08-04 17:07:41.690243	223
28454	155322	2485	2013-08-04 17:07:41.694031	2013-08-04 17:07:41.694031	223
28455	155322	2367	2013-08-04 17:07:41.72644	2013-08-04 17:07:41.72644	223
28456	155322	15808	2013-08-04 17:07:41.729661	2013-08-04 17:07:41.729661	223
28457	155322	1760	2013-08-04 17:07:41.732807	2013-08-04 17:07:41.732807	223
28458	155322	15877	2013-08-04 17:07:41.735894	2013-08-04 17:07:41.735894	223
28459	155322	24137	2013-08-04 17:07:41.738862	2013-08-04 17:07:41.738862	223
28460	155322	302	2013-08-04 17:07:41.741803	2013-08-04 17:07:41.741803	223
28461	155322	45023	2013-08-04 17:07:41.751723	2013-08-04 17:07:41.751723	223
28462	155322	31197	2013-08-04 17:07:41.755295	2013-08-04 17:07:41.755295	223
28463	155322	28466	2013-08-04 17:07:41.758591	2013-08-04 17:07:41.758591	223
28464	155322	21319	2013-08-04 17:07:41.761863	2013-08-04 17:07:41.761863	223
28465	154026	28526	2013-08-04 17:07:41.789004	2013-08-04 17:07:41.789004	223
28466	154026	14108	2013-08-04 17:07:41.792859	2013-08-04 17:07:41.792859	223
28467	154026	28506	2013-08-04 17:07:41.796541	2013-08-04 17:07:41.796541	223
28468	154026	28470	2013-08-04 17:07:41.799907	2013-08-04 17:07:41.799907	223
28469	154026	21140	2013-08-04 17:07:41.803184	2013-08-04 17:07:41.803184	223
28470	154026	21077	2013-08-04 17:07:41.806859	2013-08-04 17:07:41.806859	223
28471	154026	3657	2013-08-04 17:07:41.810533	2013-08-04 17:07:41.810533	223
28472	154026	39603	2013-08-04 17:07:41.814029	2013-08-04 17:07:41.814029	223
28473	154026	11643	2013-08-04 17:07:41.81748	2013-08-04 17:07:41.81748	223
28474	154026	11098	2013-08-04 17:07:41.821064	2013-08-04 17:07:41.821064	223
28475	154026	10635	2013-08-04 17:07:41.90084	2013-08-04 17:07:41.90084	223
28476	154026	1786	2013-08-04 17:07:41.915501	2013-08-04 17:07:41.915501	223
28477	154026	24951	2013-08-04 17:07:41.919296	2013-08-04 17:07:41.919296	223
28478	154026	2496	2013-08-04 17:07:41.92287	2013-08-04 17:07:41.92287	223
28479	154026	10	2013-08-04 17:07:41.926466	2013-08-04 17:07:41.926466	223
28480	154026	3634	2013-08-04 17:07:41.929941	2013-08-04 17:07:41.929941	223
28481	154026	15528	2013-08-04 17:07:41.933411	2013-08-04 17:07:41.933411	223
28482	154026	31140	2013-08-04 17:07:41.936911	2013-08-04 17:07:41.936911	223
28483	154026	17153	2013-08-04 17:07:41.940455	2013-08-04 17:07:41.940455	223
28484	154027	2519	2013-08-04 17:07:42.007793	2013-08-04 17:07:42.007793	223
28485	154027	2567	2013-08-04 17:07:42.011781	2013-08-04 17:07:42.011781	223
28486	154027	2604	2013-08-04 17:07:42.031197	2013-08-04 17:07:42.031197	223
28487	154027	2547	2013-08-04 17:07:42.034946	2013-08-04 17:07:42.034946	223
28488	154027	192	2013-08-04 17:07:42.038859	2013-08-04 17:07:42.038859	223
28489	154027	2527	2013-08-04 17:07:42.047193	2013-08-04 17:07:42.047193	223
28490	154027	5384	2013-08-04 17:07:42.051	2013-08-04 17:07:42.051	223
28491	154027	3870	2013-08-04 17:07:42.054909	2013-08-04 17:07:42.054909	223
28492	154027	10835	2013-08-04 17:07:42.058694	2013-08-04 17:07:42.058694	223
28493	154027	2438	2013-08-04 17:07:42.062533	2013-08-04 17:07:42.062533	223
28494	154027	2393	2013-08-04 17:07:42.066634	2013-08-04 17:07:42.066634	223
28495	154027	2455	2013-08-04 17:07:42.070755	2013-08-04 17:07:42.070755	223
28496	154027	2372	2013-08-04 17:07:42.074507	2013-08-04 17:07:42.074507	223
28497	154027	11158	2013-08-04 17:07:42.07804	2013-08-04 17:07:42.07804	223
28498	154027	2401	2013-08-04 17:07:42.081402	2013-08-04 17:07:42.081402	223
28499	154027	2426	2013-08-04 17:07:42.084949	2013-08-04 17:07:42.084949	223
28500	154027	6766	2013-08-04 17:07:42.088729	2013-08-04 17:07:42.088729	223
28501	154027	2396	2013-08-04 17:07:42.092593	2013-08-04 17:07:42.092593	223
28502	154027	3924	2013-08-04 17:07:42.096283	2013-08-04 17:07:42.096283	223
28503	155325	25748	2013-08-04 17:07:42.142975	2013-08-04 17:07:42.142975	223
28504	155325	25728	2013-08-04 17:07:42.146924	2013-08-04 17:07:42.146924	223
28505	155325	25708	2013-08-04 17:07:42.150493	2013-08-04 17:07:42.150493	223
28506	155325	25632	2013-08-04 17:07:42.153915	2013-08-04 17:07:42.153915	223
28507	155325	25688	2013-08-04 17:07:42.157256	2013-08-04 17:07:42.157256	223
28508	155325	25668	2013-08-04 17:07:42.160886	2013-08-04 17:07:42.160886	223
28509	155325	25648	2013-08-04 17:07:42.164551	2013-08-04 17:07:42.164551	223
28510	155325	25628	2013-08-04 17:07:42.168198	2013-08-04 17:07:42.168198	223
28511	155325	25608	2013-08-04 17:07:42.171914	2013-08-04 17:07:42.171914	223
28512	155325	25738	2013-08-04 17:07:42.175548	2013-08-04 17:07:42.175548	223
28513	155325	3357	2013-08-04 17:07:42.179175	2013-08-04 17:07:42.179175	223
28514	155325	24737	2013-08-04 17:07:42.232719	2013-08-04 17:07:42.232719	223
28515	155325	16993	2013-08-04 17:07:42.236619	2013-08-04 17:07:42.236619	223
28516	155325	28472	2013-08-04 17:07:42.240033	2013-08-04 17:07:42.240033	223
28517	155325	1805	2013-08-04 17:07:42.243528	2013-08-04 17:07:42.243528	223
28518	155325	24931	2013-08-04 17:07:42.246978	2013-08-04 17:07:42.246978	223
28519	155325	21501	2013-08-04 17:07:42.250184	2013-08-04 17:07:42.250184	223
28520	155325	3138	2013-08-04 17:07:42.253581	2013-08-04 17:07:42.253581	223
28521	155325	22353	2013-08-04 17:07:42.256892	2013-08-04 17:07:42.256892	223
28522	154028	17176	2013-08-04 17:07:42.27349	2013-08-04 17:07:42.27349	223
28523	154029	25250	2013-08-04 17:07:42.299764	2013-08-04 17:07:42.299764	223
28524	154029	25191	2013-08-04 17:07:42.303661	2013-08-04 17:07:42.303661	223
28525	154029	25171	2013-08-04 17:07:42.307291	2013-08-04 17:07:42.307291	223
28526	154029	25125	2013-08-04 17:07:42.310919	2013-08-04 17:07:42.310919	223
28527	154029	25158	2013-08-04 17:07:42.314599	2013-08-04 17:07:42.314599	223
28528	154029	25151	2013-08-04 17:07:42.31816	2013-08-04 17:07:42.31816	223
28529	154029	9938	2013-08-04 17:07:42.321819	2013-08-04 17:07:42.321819	223
28530	154029	25131	2013-08-04 17:07:42.339915	2013-08-04 17:07:42.339915	223
28531	154029	25040	2013-08-04 17:07:42.345356	2013-08-04 17:07:42.345356	223
28532	154029	25035	2013-08-04 17:07:42.349471	2013-08-04 17:07:42.349471	223
28533	154029	25111	2013-08-04 17:07:42.353318	2013-08-04 17:07:42.353318	223
28534	154029	25091	2013-08-04 17:07:42.356804	2013-08-04 17:07:42.356804	223
28535	154029	25071	2013-08-04 17:07:42.360216	2013-08-04 17:07:42.360216	223
28536	154029	25051	2013-08-04 17:07:42.363618	2013-08-04 17:07:42.363618	223
28537	154029	24972	2013-08-04 17:07:42.366951	2013-08-04 17:07:42.366951	223
28538	154029	25031	2013-08-04 17:07:42.370153	2013-08-04 17:07:42.370153	223
28539	154029	2487	2013-08-04 17:07:42.373494	2013-08-04 17:07:42.373494	223
28540	154029	38823	2013-08-04 17:07:42.376871	2013-08-04 17:07:42.376871	223
28541	154029	28100	2013-08-04 17:07:42.380156	2013-08-04 17:07:42.380156	223
28542	155328	29783	2013-08-04 17:07:42.428933	2013-08-04 17:07:42.428933	223
28543	155328	23628	2013-08-04 17:07:42.468232	2013-08-04 17:07:42.468232	223
28544	155328	40537	2013-08-04 17:07:42.472356	2013-08-04 17:07:42.472356	223
28545	155328	20659	2013-08-04 17:07:42.475896	2013-08-04 17:07:42.475896	223
28546	155328	34803	2013-08-04 17:07:42.479675	2013-08-04 17:07:42.479675	223
28547	155328	8659	2013-08-04 17:07:42.483205	2013-08-04 17:07:42.483205	223
28548	155328	2243	2013-08-04 17:07:42.486872	2013-08-04 17:07:42.486872	223
28549	155328	2139	2013-08-04 17:07:42.490449	2013-08-04 17:07:42.490449	223
28550	155328	22040	2013-08-04 17:07:42.494055	2013-08-04 17:07:42.494055	223
28551	155328	15588	2013-08-04 17:07:42.497564	2013-08-04 17:07:42.497564	223
28552	155328	15768	2013-08-04 17:07:42.501142	2013-08-04 17:07:42.501142	223
28553	155328	24891	2013-08-04 17:07:42.50469	2013-08-04 17:07:42.50469	223
28554	155328	3059	2013-08-04 17:07:42.508183	2013-08-04 17:07:42.508183	223
28555	155328	2347	2013-08-04 17:07:42.511614	2013-08-04 17:07:42.511614	223
28556	155327	27493	2013-08-04 17:07:42.526374	2013-08-04 17:07:42.526374	223
28557	155327	26530	2013-08-04 17:07:42.530312	2013-08-04 17:07:42.530312	223
28558	155327	27473	2013-08-04 17:07:42.533982	2013-08-04 17:07:42.533982	223
28559	155327	27453	2013-08-04 17:07:42.53756	2013-08-04 17:07:42.53756	223
28560	155327	25011	2013-08-04 17:07:42.540861	2013-08-04 17:07:42.540861	223
28561	155327	17216	2013-08-04 17:07:42.544337	2013-08-04 17:07:42.544337	223
28562	155327	3718	2013-08-04 17:07:42.547827	2013-08-04 17:07:42.547827	223
28563	155327	2467	2013-08-04 17:07:42.551467	2013-08-04 17:07:42.551467	223
28564	155327	823	2013-08-04 17:07:42.554985	2013-08-04 17:07:42.554985	223
28565	155327	37838	2013-08-04 17:07:42.558367	2013-08-04 17:07:42.558367	223
28566	155327	49895	2013-08-04 17:07:42.56199	2013-08-04 17:07:42.56199	223
28567	155327	2301	2013-08-04 17:07:42.565773	2013-08-04 17:07:42.565773	223
28568	155327	2128	2013-08-04 17:07:42.569364	2013-08-04 17:07:42.569364	223
28569	155327	10155	2013-08-04 17:07:42.572914	2013-08-04 17:07:42.572914	223
28570	155327	39043	2013-08-04 17:07:42.576506	2013-08-04 17:07:42.576506	223
28571	155327	1879	2013-08-04 17:07:42.579968	2013-08-04 17:07:42.579968	223
28572	155327	24871	2013-08-04 17:07:42.583533	2013-08-04 17:07:42.583533	223
28573	155327	47395	2013-08-04 17:07:42.586967	2013-08-04 17:07:42.586967	223
28574	155327	12032	2013-08-04 17:07:42.590453	2013-08-04 17:07:42.590453	223
28575	154030	2453	2013-08-04 17:07:42.63395	2013-08-04 17:07:42.63395	223
28576	154030	2311	2013-08-04 17:07:42.669526	2013-08-04 17:07:42.669526	223
28577	154030	2339	2013-08-04 17:07:42.673473	2013-08-04 17:07:42.673473	223
28578	154030	33255	2013-08-04 17:07:42.677026	2013-08-04 17:07:42.677026	223
28579	154030	13455	2013-08-04 17:07:42.68064	2013-08-04 17:07:42.68064	223
19915	88643	738	2013-08-03 20:59:18.299623	2013-08-03 20:59:18.299623	148
19916	88643	785	2013-08-03 20:59:18.350183	2013-08-03 20:59:18.350183	148
19917	88643	706	2013-08-03 20:59:18.357122	2013-08-03 20:59:18.357122	148
19918	88643	1714	2013-08-03 20:59:18.365238	2013-08-03 20:59:18.365238	148
19919	88643	1373	2013-08-03 20:59:18.375171	2013-08-03 20:59:18.375171	148
19920	88643	1352	2013-08-03 20:59:18.386253	2013-08-03 20:59:18.386253	148
19921	88643	1128	2013-08-03 20:59:18.397395	2013-08-03 20:59:18.397395	148
19922	88643	1826	2013-08-03 20:59:18.406174	2013-08-03 20:59:18.406174	148
19923	88643	484	2013-08-03 20:59:18.415461	2013-08-03 20:59:18.415461	148
19924	87751	879	2013-08-03 20:59:18.438606	2013-08-03 20:59:18.438606	148
19925	87751	558	2013-08-03 20:59:18.446244	2013-08-03 20:59:18.446244	148
19926	87751	1377	2013-08-03 20:59:18.456928	2013-08-03 20:59:18.456928	148
19927	87751	616	2013-08-03 20:59:18.461195	2013-08-03 20:59:18.461195	148
19928	87751	474	2013-08-03 20:59:18.466287	2013-08-03 20:59:18.466287	148
19929	87751	1474	2013-08-03 20:59:18.472829	2013-08-03 20:59:18.472829	148
19930	87751	31185	2013-08-03 20:59:18.478385	2013-08-03 20:59:18.478385	148
19931	87751	17306	2013-08-03 20:59:18.486306	2013-08-03 20:59:18.486306	148
19932	87751	2343	2013-08-03 20:59:18.496116	2013-08-03 20:59:18.496116	148
19933	88698	33105	2013-08-03 20:59:18.541707	2013-08-03 20:59:18.541707	148
19934	88433	33085	2013-08-03 20:59:18.555214	2013-08-03 20:59:18.555214	148
19935	88415	33075	2013-08-03 20:59:18.564302	2013-08-03 20:59:18.564302	148
19936	88251	33065	2013-08-03 20:59:18.577101	2013-08-03 20:59:18.577101	148
19937	88156	33045	2013-08-03 20:59:18.598443	2013-08-03 20:59:18.598443	148
19938	88137	33025	2013-08-03 20:59:18.618506	2013-08-03 20:59:18.618506	148
19939	87963	33005	2013-08-03 20:59:18.638414	2013-08-03 20:59:18.638414	148
19940	87934	32985	2013-08-03 20:59:18.659379	2013-08-03 20:59:18.659379	148
19941	87859	32965	2013-08-03 20:59:18.675821	2013-08-03 20:59:18.675821	148
19942	87797	32945	2013-08-03 20:59:18.684265	2013-08-03 20:59:18.684265	148
19943	87789	32925	2013-08-03 20:59:18.692281	2013-08-03 20:59:18.692281	148
19944	87779	31095	2013-08-03 20:59:18.701074	2013-08-03 20:59:18.701074	148
19945	87770	17286	2013-08-03 20:59:18.710411	2013-08-03 20:59:18.710411	148
19946	87750	22518	2013-08-03 20:59:18.720228	2013-08-03 20:59:18.720228	148
19947	87733	20218	2013-08-03 20:59:18.732806	2013-08-03 20:59:18.732806	148
19948	88913	17523	2013-08-03 20:59:18.764241	2013-08-03 20:59:18.764241	148
19949	88913	17506	2013-08-03 20:59:18.769307	2013-08-03 20:59:18.769307	148
19950	88435	5185	2013-08-03 20:59:18.777384	2013-08-03 20:59:18.777384	148
19951	88435	17486	2013-08-03 20:59:18.781328	2013-08-03 20:59:18.781328	148
19952	88426	17466	2013-08-03 20:59:18.789236	2013-08-03 20:59:18.789236	148
19953	88426	17541	2013-08-03 20:59:18.793328	2013-08-03 20:59:18.793328	148
19954	88257	17537	2013-08-03 20:59:18.802529	2013-08-03 20:59:18.802529	148
19955	88257	17446	2013-08-03 20:59:18.808506	2013-08-03 20:59:18.808506	148
19956	87965	17425	2013-08-03 20:59:18.816008	2013-08-03 20:59:18.816008	148
19957	87965	17426	2013-08-03 20:59:18.82311	2013-08-03 20:59:18.82311	148
19958	87936	17405	2013-08-03 20:59:18.84804	2013-08-03 20:59:18.84804	148
19959	87936	17406	2013-08-03 20:59:18.859073	2013-08-03 20:59:18.859073	148
19960	87875	17386	2013-08-03 20:59:18.876804	2013-08-03 20:59:18.876804	148
19961	87875	17392	2013-08-03 20:59:18.881825	2013-08-03 20:59:18.881825	148
19962	87746	17366	2013-08-03 20:59:18.927841	2013-08-03 20:59:18.927841	148
19963	87746	17272	2013-08-03 20:59:18.932909	2013-08-03 20:59:18.932909	148
19964	87740	32985	2013-08-03 20:59:18.94139	2013-08-03 20:59:18.94139	148
19965	87740	46155	2013-08-03 20:59:18.945191	2013-08-03 20:59:18.945191	148
19966	88427	8430	2013-08-03 20:59:18.967622	2013-08-03 20:59:18.967622	148
19967	88427	28952	2013-08-03 20:59:18.97195	2013-08-03 20:59:18.97195	148
19968	88270	8492	2013-08-03 20:59:18.980633	2013-08-03 20:59:18.980633	148
19969	88270	17917	2013-08-03 20:59:18.98494	2013-08-03 20:59:18.98494	148
19970	87976	20595	2013-08-03 20:59:18.99237	2013-08-03 20:59:18.99237	148
19971	87976	20641	2013-08-03 20:59:18.995495	2013-08-03 20:59:18.995495	148
19972	87951	20621	2013-08-03 20:59:19.008016	2013-08-03 20:59:19.008016	148
19973	87951	18130	2013-08-03 20:59:19.011918	2013-08-03 20:59:19.011918	148
19974	87937	18137	2013-08-03 20:59:19.018368	2013-08-03 20:59:19.018368	148
19975	87937	18150	2013-08-03 20:59:19.02181	2013-08-03 20:59:19.02181	148
19976	87863	17970	2013-08-03 20:59:19.033133	2013-08-03 20:59:19.033133	148
19977	87863	48195	2013-08-03 20:59:19.041694	2013-08-03 20:59:19.041694	148
19978	87752	31425	2013-08-03 20:59:19.064193	2013-08-03 20:59:19.064193	148
19979	87752	47963	2013-08-03 20:59:19.076698	2013-08-03 20:59:19.076698	148
19980	87736	46095	2013-08-03 20:59:19.103605	2013-08-03 20:59:19.103605	148
19981	87736	19501	2013-08-03 20:59:19.113708	2013-08-03 20:59:19.113708	148
19982	88901	5717	2013-08-03 20:59:19.18469	2013-08-03 20:59:19.18469	148
19983	88436	7186	2013-08-03 20:59:19.208982	2013-08-03 20:59:19.208982	148
19984	88429	20557	2013-08-03 20:59:19.224165	2013-08-03 20:59:19.224165	148
19985	87978	20550	2013-08-03 20:59:19.232728	2013-08-03 20:59:19.232728	148
19986	87954	20530	2013-08-03 20:59:19.244422	2013-08-03 20:59:19.244422	148
19987	87864	20510	2013-08-03 20:59:19.253537	2013-08-03 20:59:19.253537	148
19988	87798	17266	2013-08-03 20:59:19.308102	2013-08-03 20:59:19.308102	148
19989	87784	17126	2013-08-03 20:59:19.323266	2013-08-03 20:59:19.323266	148
19990	87783	22541	2013-08-03 20:59:19.340696	2013-08-03 20:59:19.340696	148
19991	87758	1981	2013-08-03 20:59:19.356936	2013-08-03 20:59:19.356936	148
19992	87754	49415	2013-08-03 20:59:19.372235	2013-08-03 20:59:19.372235	148
19993	87732	37083	2013-08-03 20:59:19.38682	2013-08-03 20:59:19.38682	148
19994	88437	21241	2013-08-03 20:59:19.413169	2013-08-03 20:59:19.413169	148
19995	88437	15246	2013-08-03 20:59:19.424727	2013-08-03 20:59:19.424727	148
19996	88431	16586	2013-08-03 20:59:19.439558	2013-08-03 20:59:19.439558	148
19997	88431	15650	2013-08-03 20:59:19.45035	2013-08-03 20:59:19.45035	148
19998	87986	20221	2013-08-03 20:59:19.47329	2013-08-03 20:59:19.47329	148
19999	87986	49555	2013-08-03 20:59:19.484962	2013-08-03 20:59:19.484962	148
20000	87955	49535	2013-08-03 20:59:19.507031	2013-08-03 20:59:19.507031	148
20001	87955	47683	2013-08-03 20:59:19.517603	2013-08-03 20:59:19.517603	148
20002	87935	10135	2013-08-03 20:59:19.53964	2013-08-03 20:59:19.53964	148
20003	87935	49215	2013-08-03 20:59:19.551365	2013-08-03 20:59:19.551365	148
20004	87874	48935	2013-08-03 20:59:19.574359	2013-08-03 20:59:19.574359	148
20005	87874	21148	2013-08-03 20:59:19.585887	2013-08-03 20:59:19.585887	148
20006	87771	19048	2013-08-03 20:59:19.608287	2013-08-03 20:59:19.608287	148
20007	87771	5765	2013-08-03 20:59:19.619888	2013-08-03 20:59:19.619888	148
20008	87735	21397	2013-08-03 20:59:19.642352	2013-08-03 20:59:19.642352	148
20009	87735	34983	2013-08-03 20:59:19.653394	2013-08-03 20:59:19.653394	148
20010	88615	31392	2013-08-03 20:59:19.716411	2013-08-03 20:59:19.716411	148
20011	88589	31372	2013-08-03 20:59:19.739104	2013-08-03 20:59:19.739104	148
20012	88438	31352	2013-08-03 20:59:19.761797	2013-08-03 20:59:19.761797	148
20013	88434	31332	2013-08-03 20:59:19.784681	2013-08-03 20:59:19.784681	148
20014	87981	31312	2013-08-03 20:59:19.803128	2013-08-03 20:59:19.803128	148
20015	87957	31292	2013-08-03 20:59:19.812811	2013-08-03 20:59:19.812811	148
20016	87933	31272	2013-08-03 20:59:19.821228	2013-08-03 20:59:19.821228	148
20017	87877	31252	2013-08-03 20:59:19.829867	2013-08-03 20:59:19.829867	148
20018	87858	31160	2013-08-03 20:59:19.838036	2013-08-03 20:59:19.838036	148
20019	87857	31232	2013-08-03 20:59:19.850039	2013-08-03 20:59:19.850039	148
20020	87799	31212	2013-08-03 20:59:19.86148	2013-08-03 20:59:19.86148	148
20021	87790	31192	2013-08-03 20:59:19.900252	2013-08-03 20:59:19.900252	148
20022	87756	31172	2013-08-03 20:59:19.911689	2013-08-03 20:59:19.911689	148
20023	87749	17226	2013-08-03 20:59:19.924663	2013-08-03 20:59:19.924663	148
20024	87737	5284	2013-08-03 20:59:19.939601	2013-08-03 20:59:19.939601	148
20025	88912	5360	2013-08-03 20:59:19.994624	2013-08-03 20:59:19.994624	148
20026	88912	5424	2013-08-03 20:59:20.000396	2013-08-03 20:59:20.000396	148
20027	88439	2375	2013-08-03 20:59:20.010938	2013-08-03 20:59:20.010938	148
20028	88439	5275	2013-08-03 20:59:20.015979	2013-08-03 20:59:20.015979	148
20029	87988	22501	2013-08-03 20:59:20.025233	2013-08-03 20:59:20.025233	148
20030	87988	20270	2013-08-03 20:59:20.029425	2013-08-03 20:59:20.029425	148
20031	87959	5466	2013-08-03 20:59:20.03936	2013-08-03 20:59:20.03936	148
20032	87959	20370	2013-08-03 20:59:20.04529	2013-08-03 20:59:20.04529	148
20033	87879	15650	2013-08-03 20:59:20.05613	2013-08-03 20:59:20.05613	148
20034	87879	16586	2013-08-03 20:59:20.060765	2013-08-03 20:59:20.060765	148
20035	87800	18701	2013-08-03 20:59:20.070855	2013-08-03 20:59:20.070855	148
20036	87800	28952	2013-08-03 20:59:20.076781	2013-08-03 20:59:20.076781	148
20037	87734	8430	2013-08-03 20:59:20.089119	2013-08-03 20:59:20.089119	148
20038	87734	17670	2013-08-03 20:59:20.095419	2013-08-03 20:59:20.095419	148
20039	89187	1365	2013-08-03 20:59:20.126476	2013-08-03 20:59:20.126476	148
20040	89187	1284	2013-08-03 20:59:20.130952	2013-08-03 20:59:20.130952	148
20041	89163	1589	2013-08-03 20:59:20.143437	2013-08-03 20:59:20.143437	148
20042	89163	2432	2013-08-03 20:59:20.155218	2013-08-03 20:59:20.155218	148
20043	89148	2471	2013-08-03 20:59:20.17786	2013-08-03 20:59:20.17786	148
20044	89148	1439	2013-08-03 20:59:20.188629	2013-08-03 20:59:20.188629	148
20045	89090	747	2013-08-03 20:59:20.212302	2013-08-03 20:59:20.212302	148
20046	89090	32965	2013-08-03 20:59:20.224106	2013-08-03 20:59:20.224106	148
20047	89065	31160	2013-08-03 20:59:20.246709	2013-08-03 20:59:20.246709	148
20048	89065	30932	2013-08-03 20:59:20.257878	2013-08-03 20:59:20.257878	148
20049	89052	22641	2013-08-03 20:59:20.2823	2013-08-03 20:59:20.2823	148
20050	89052	20510	2013-08-03 20:59:20.294383	2013-08-03 20:59:20.294383	148
20051	89024	20490	2013-08-03 20:59:20.317928	2013-08-03 20:59:20.317928	148
20052	89024	17186	2013-08-03 20:59:20.329629	2013-08-03 20:59:20.329629	148
20053	89019	31405	2013-08-03 20:59:20.354311	2013-08-03 20:59:20.354311	148
20054	89019	32685	2013-08-03 20:59:20.366657	2013-08-03 20:59:20.366657	148
20055	89014	18630	2013-08-03 20:59:20.416797	2013-08-03 20:59:20.416797	148
20056	89014	12651	2013-08-03 20:59:20.425407	2013-08-03 20:59:20.425407	148
20057	87878	22917	2013-08-03 20:59:20.470543	2013-08-03 20:59:20.470543	148
20058	87878	24140	2013-08-03 20:59:20.475465	2013-08-03 20:59:20.475465	148
20059	87878	32323	2013-08-03 20:59:20.47928	2013-08-03 20:59:20.47928	148
20060	87878	30983	2013-08-03 20:59:20.483053	2013-08-03 20:59:20.483053	148
20061	87878	10806	2013-08-03 20:59:20.488106	2013-08-03 20:59:20.488106	148
20062	87878	29863	2013-08-03 20:59:20.493876	2013-08-03 20:59:20.493876	148
20063	87878	20717	2013-08-03 20:59:20.502989	2013-08-03 20:59:20.502989	148
20064	87878	29523	2013-08-03 20:59:20.513911	2013-08-03 20:59:20.513911	148
20065	87878	13581	2013-08-03 20:59:20.525036	2013-08-03 20:59:20.525036	148
20066	87878	28163	2013-08-03 20:59:20.536782	2013-08-03 20:59:20.536782	148
20067	87878	27043	2013-08-03 20:59:20.548266	2013-08-03 20:59:20.548266	148
20068	87878	12781	2013-08-03 20:59:20.559913	2013-08-03 20:59:20.559913	148
20069	87878	10186	2013-08-03 20:59:20.571719	2013-08-03 20:59:20.571719	148
20070	87878	26703	2013-08-03 20:59:20.58143	2013-08-03 20:59:20.58143	148
20071	87878	10063	2013-08-03 20:59:20.585725	2013-08-03 20:59:20.585725	148
20072	87878	20208	2013-08-03 20:59:20.58994	2013-08-03 20:59:20.58994	148
20073	87878	4018	2013-08-03 20:59:20.594236	2013-08-03 20:59:20.594236	148
20074	87878	26423	2013-08-03 20:59:20.598719	2013-08-03 20:59:20.598719	148
20075	87878	19320	2013-08-03 20:59:20.60308	2013-08-03 20:59:20.60308	148
20076	88769	1980	2013-08-03 20:59:20.636377	2013-08-03 20:59:20.636377	148
20077	88769	33903	2013-08-03 20:59:20.646094	2013-08-03 20:59:20.646094	148
20078	88769	1215	2013-08-03 20:59:20.65691	2013-08-03 20:59:20.65691	148
20079	88905	39158	2013-08-03 20:59:20.765974	2013-08-03 20:59:20.765974	148
20080	88699	39138	2013-08-03 20:59:20.784658	2013-08-03 20:59:20.784658	148
20081	88441	39118	2013-08-03 20:59:20.806691	2013-08-03 20:59:20.806691	148
20082	88440	7825	2013-08-03 20:59:20.82903	2013-08-03 20:59:20.82903	148
20083	88268	34423	2013-08-03 20:59:20.839683	2013-08-03 20:59:20.839683	148
20084	88157	46923	2013-08-03 20:59:20.849502	2013-08-03 20:59:20.849502	148
20085	88010	20761	2013-08-03 20:59:20.856811	2013-08-03 20:59:20.856811	148
20086	87990	21032	2013-08-03 20:59:20.866885	2013-08-03 20:59:20.866885	148
20087	87910	9418	2013-08-03 20:59:20.876622	2013-08-03 20:59:20.876622	148
20088	87876	17730	2013-08-03 20:59:20.883811	2013-08-03 20:59:20.883811	148
20089	87826	4350	2013-08-03 20:59:20.892288	2013-08-03 20:59:20.892288	148
20090	87820	17950	2013-08-03 20:59:20.912417	2013-08-03 20:59:20.912417	148
20091	87801	3839	2013-08-03 20:59:20.935866	2013-08-03 20:59:20.935866	148
20092	87757	17625	2013-08-03 20:59:20.958815	2013-08-03 20:59:20.958815	148
20093	87742	29172	2013-08-03 20:59:20.982361	2013-08-03 20:59:20.982361	148
20094	87739	48243	2013-08-03 20:59:21.005217	2013-08-03 20:59:21.005217	148
20095	88617	39418	2013-08-03 20:59:21.073049	2013-08-03 20:59:21.073049	148
20096	88250	39398	2013-08-03 20:59:21.094217	2013-08-03 20:59:21.094217	148
20097	88024	39378	2013-08-03 20:59:21.116964	2013-08-03 20:59:21.116964	148
20098	87929	39358	2013-08-03 20:59:21.137078	2013-08-03 20:59:21.137078	148
20099	87914	39338	2013-08-03 20:59:21.148381	2013-08-03 20:59:21.148381	148
20100	87909	39318	2013-08-03 20:59:21.157169	2013-08-03 20:59:21.157169	148
20101	87791	39298	2013-08-03 20:59:21.201098	2013-08-03 20:59:21.201098	148
20102	87753	39278	2013-08-03 20:59:21.214516	2013-08-03 20:59:21.214516	148
20103	87745	39258	2013-08-03 20:59:21.224679	2013-08-03 20:59:21.224679	148
20104	87744	39155	2013-08-03 20:59:21.24144	2013-08-03 20:59:21.24144	148
20105	87743	39238	2013-08-03 20:59:21.265044	2013-08-03 20:59:21.265044	148
20106	88705	38120	2013-08-03 20:59:21.335952	2013-08-03 20:59:21.335952	148
20107	88453	38100	2013-08-03 20:59:21.358697	2013-08-03 20:59:21.358697	148
20108	88442	38080	2013-08-03 20:59:21.383537	2013-08-03 20:59:21.383537	148
20109	88269	38060	2013-08-03 20:59:21.406487	2013-08-03 20:59:21.406487	148
20110	87994	38040	2013-08-03 20:59:21.43342	2013-08-03 20:59:21.43342	148
20111	87953	38020	2013-08-03 20:59:21.45707	2013-08-03 20:59:21.45707	148
20112	87932	38000	2013-08-03 20:59:21.479966	2013-08-03 20:59:21.479966	148
20113	87912	37915	2013-08-03 20:59:21.503514	2013-08-03 20:59:21.503514	148
20114	87856	32965	2013-08-03 20:59:21.525531	2013-08-03 20:59:21.525531	148
20115	87842	747	2013-08-03 20:59:21.548386	2013-08-03 20:59:21.548386	148
20116	87802	20390	2013-08-03 20:59:21.571222	2013-08-03 20:59:21.571222	148
20117	87769	5524	2013-08-03 20:59:21.596132	2013-08-03 20:59:21.596132	148
20118	87755	48895	2013-08-03 20:59:21.607677	2013-08-03 20:59:21.607677	148
20119	87747	38203	2013-08-03 20:59:21.615219	2013-08-03 20:59:21.615219	148
20120	87738	17910	2013-08-03 20:59:21.623983	2013-08-03 20:59:21.623983	148
20121	90973	22761	2013-08-03 21:04:18.982652	2013-08-03 21:04:18.982652	150
20122	90841	22741	2013-08-03 21:04:18.992588	2013-08-03 21:04:18.992588	150
20123	90589	22721	2013-08-03 21:04:19.00197	2013-08-03 21:04:19.00197	150
20124	90209	22701	2013-08-03 21:04:19.011089	2013-08-03 21:04:19.011089	150
20125	90069	22703	2013-08-03 21:04:19.0205	2013-08-03 21:04:19.0205	150
20126	90043	22681	2013-08-03 21:04:19.031582	2013-08-03 21:04:19.031582	150
20127	89954	21110	2013-08-03 21:04:19.038841	2013-08-03 21:04:19.038841	150
20128	89835	20890	2013-08-03 21:04:19.045359	2013-08-03 21:04:19.045359	150
20129	89703	17346	2013-08-03 21:04:19.051058	2013-08-03 21:04:19.051058	150
20130	89624	17726	2013-08-03 21:04:19.058183	2013-08-03 21:04:19.058183	150
20131	89588	38455	2013-08-03 21:04:19.072437	2013-08-03 21:04:19.072437	150
20132	89571	1278	2013-08-03 21:04:19.086783	2013-08-03 21:04:19.086783	150
20133	89538	5510	2013-08-03 21:04:19.096405	2013-08-03 21:04:19.096405	150
20134	89522	1038	2013-08-03 21:04:19.105947	2013-08-03 21:04:19.105947	150
20135	89521	1981	2013-08-03 21:04:19.121318	2013-08-03 21:04:19.121318	150
20136	89520	28072	2013-08-03 21:04:19.133142	2013-08-03 21:04:19.133142	150
20137	90601	5878	2013-08-03 21:04:19.226403	2013-08-03 21:04:19.226403	150
20138	90601	22015	2013-08-03 21:04:19.231714	2013-08-03 21:04:19.231714	150
20139	90601	1498	2013-08-03 21:04:19.241452	2013-08-03 21:04:19.241452	150
20140	90601	2337	2013-08-03 21:04:19.252125	2013-08-03 21:04:19.252125	150
20141	90601	1484	2013-08-03 21:04:19.263081	2013-08-03 21:04:19.263081	150
20142	90601	2352	2013-08-03 21:04:19.272225	2013-08-03 21:04:19.272225	150
20143	90601	2241	2013-08-03 21:04:19.283414	2013-08-03 21:04:19.283414	150
20144	90601	2632	2013-08-03 21:04:19.29533	2013-08-03 21:04:19.29533	150
20145	90601	2566	2013-08-03 21:04:19.307733	2013-08-03 21:04:19.307733	150
20146	89428	1711	2013-08-03 21:04:19.330995	2013-08-03 21:04:19.330995	150
20147	89428	887	2013-08-03 21:04:19.342368	2013-08-03 21:04:19.342368	150
20148	89428	890	2013-08-03 21:04:19.348784	2013-08-03 21:04:19.348784	150
20149	89428	38440	2013-08-03 21:04:19.355386	2013-08-03 21:04:19.355386	150
20150	89428	33185	2013-08-03 21:04:19.35957	2013-08-03 21:04:19.35957	150
20151	89428	21120	2013-08-03 21:04:19.363154	2013-08-03 21:04:19.363154	150
20152	89428	17686	2013-08-03 21:04:19.366533	2013-08-03 21:04:19.366533	150
20153	89428	22701	2013-08-03 21:04:19.370472	2013-08-03 21:04:19.370472	150
20154	89428	37540	2013-08-03 21:04:19.374485	2013-08-03 21:04:19.374485	150
20155	90240	33465	2013-08-03 21:04:19.404505	2013-08-03 21:04:19.404505	150
20156	89702	33445	2013-08-03 21:04:19.42333	2013-08-03 21:04:19.42333	150
20157	89592	33338	2013-08-03 21:04:19.448681	2013-08-03 21:04:19.448681	150
20158	89507	33425	2013-08-03 21:04:19.461564	2013-08-03 21:04:19.461564	150
20159	89500	33405	2013-08-03 21:04:19.4688	2013-08-03 21:04:19.4688	150
20160	89474	33385	2013-08-03 21:04:19.479479	2013-08-03 21:04:19.479479	150
20161	89378	33365	2013-08-03 21:04:19.490329	2013-08-03 21:04:19.490329	150
20162	89346	33345	2013-08-03 21:04:19.499509	2013-08-03 21:04:19.499509	150
20163	89323	33325	2013-08-03 21:04:19.51938	2013-08-03 21:04:19.51938	150
20164	89304	33305	2013-08-03 21:04:19.541359	2013-08-03 21:04:19.541359	150
20165	89298	33285	2013-08-03 21:04:19.5643	2013-08-03 21:04:19.5643	150
20166	89289	33265	2013-08-03 21:04:19.587948	2013-08-03 21:04:19.587948	150
20167	89236	33245	2013-08-03 21:04:19.610603	2013-08-03 21:04:19.610603	150
20168	89209	22681	2013-08-03 21:04:19.633564	2013-08-03 21:04:19.633564	150
20169	89194	3341	2013-08-03 21:04:19.656371	2013-08-03 21:04:19.656371	150
20170	89998	18610	2013-08-03 21:04:19.677142	2013-08-03 21:04:19.677142	150
20171	89998	48835	2013-08-03 21:04:19.68161	2013-08-03 21:04:19.68161	150
20172	89713	38263	2013-08-03 21:04:19.692374	2013-08-03 21:04:19.692374	150
20173	89713	16046	2013-08-03 21:04:19.700972	2013-08-03 21:04:19.700972	150
20174	89587	17690	2013-08-03 21:04:19.721503	2013-08-03 21:04:19.721503	150
20175	89587	18098	2013-08-03 21:04:19.732959	2013-08-03 21:04:19.732959	150
20176	89389	45583	2013-08-03 21:04:19.75661	2013-08-03 21:04:19.75661	150
20177	89389	16066	2013-08-03 21:04:19.768527	2013-08-03 21:04:19.768527	150
20178	89305	9057	2013-08-03 21:04:19.790004	2013-08-03 21:04:19.790004	150
20179	89305	9483	2013-08-03 21:04:19.80243	2013-08-03 21:04:19.80243	150
20180	89269	18490	2013-08-03 21:04:19.826219	2013-08-03 21:04:19.826219	150
20181	89269	17910	2013-08-03 21:04:19.837425	2013-08-03 21:04:19.837425	150
20182	89195	17670	2013-08-03 21:04:19.859547	2013-08-03 21:04:19.859547	150
20183	89195	48243	2013-08-03 21:04:19.869783	2013-08-03 21:04:19.869783	150
20184	89188	46095	2013-08-03 21:04:19.889704	2013-08-03 21:04:19.889704	150
20185	89188	19501	2013-08-03 21:04:19.895766	2013-08-03 21:04:19.895766	150
20186	91190	21270	2013-08-03 21:04:19.952936	2013-08-03 21:04:19.952936	150
20187	91012	46483	2013-08-03 21:04:19.962495	2013-08-03 21:04:19.962495	150
20188	90951	21250	2013-08-03 21:04:19.973689	2013-08-03 21:04:19.973689	150
20189	90011	21230	2013-08-03 21:04:19.995262	2013-08-03 21:04:19.995262	150
20190	89725	21210	2013-08-03 21:04:20.018817	2013-08-03 21:04:20.018817	150
20191	89623	21125	2013-08-03 21:04:20.042699	2013-08-03 21:04:20.042699	150
20192	89610	21190	2013-08-03 21:04:20.054543	2013-08-03 21:04:20.054543	150
20193	89504	21170	2013-08-03 21:04:20.064075	2013-08-03 21:04:20.064075	150
20194	89393	21150	2013-08-03 21:04:20.073063	2013-08-03 21:04:20.073063	150
20195	89312	21130	2013-08-03 21:04:20.083352	2013-08-03 21:04:20.083352	150
20196	89278	21095	2013-08-03 21:04:20.093933	2013-08-03 21:04:20.093933	150
20197	89212	17506	2013-08-03 21:04:20.103784	2013-08-03 21:04:20.103784	150
20198	89201	38318	2013-08-03 21:04:20.114693	2013-08-03 21:04:20.114693	150
20199	90038	20595	2013-08-03 21:04:20.134243	2013-08-03 21:04:20.134243	150
20200	90038	33005	2013-08-03 21:04:20.137888	2013-08-03 21:04:20.137888	150
20201	89736	20270	2013-08-03 21:04:20.205265	2013-08-03 21:04:20.205265	150
20202	89736	22501	2013-08-03 21:04:20.214425	2013-08-03 21:04:20.214425	150
20203	89647	36183	2013-08-03 21:04:20.231909	2013-08-03 21:04:20.231909	150
20204	89647	20410	2013-08-03 21:04:20.23978	2013-08-03 21:04:20.23978	150
20205	89318	48063	2013-08-03 21:04:20.253046	2013-08-03 21:04:20.253046	150
20206	89318	22341	2013-08-03 21:04:20.261903	2013-08-03 21:04:20.261903	150
20207	89268	21680	2013-08-03 21:04:20.283876	2013-08-03 21:04:20.283876	150
20208	89268	21861	2013-08-03 21:04:20.295599	2013-08-03 21:04:20.295599	150
20209	89253	187	2013-08-03 21:04:20.311615	2013-08-03 21:04:20.311615	150
20210	89253	5464	2013-08-03 21:04:20.316343	2013-08-03 21:04:20.316343	150
20211	89215	49975	2013-08-03 21:04:20.325182	2013-08-03 21:04:20.325182	150
20212	89215	22168	2013-08-03 21:04:20.329393	2013-08-03 21:04:20.329393	150
20213	89200	28472	2013-08-03 21:04:20.337289	2013-08-03 21:04:20.337289	150
20214	89200	20281	2013-08-03 21:04:20.341572	2013-08-03 21:04:20.341572	150
20215	90032	31912	2013-08-03 21:04:20.365764	2013-08-03 21:04:20.365764	150
20216	89739	31892	2013-08-03 21:04:20.373074	2013-08-03 21:04:20.373074	150
20217	89665	31925	2013-08-03 21:04:20.381385	2013-08-03 21:04:20.381385	150
20218	89596	31872	2013-08-03 21:04:20.389133	2013-08-03 21:04:20.389133	150
20219	89450	31860	2013-08-03 21:04:20.398994	2013-08-03 21:04:20.398994	150
20220	89397	31852	2013-08-03 21:04:20.408113	2013-08-03 21:04:20.408113	150
20221	89345	31832	2013-08-03 21:04:20.417653	2013-08-03 21:04:20.417653	150
20222	89322	31812	2013-08-03 21:04:20.427975	2013-08-03 21:04:20.427975	150
20223	89301	31792	2013-08-03 21:04:20.435681	2013-08-03 21:04:20.435681	150
20224	89291	31772	2013-08-03 21:04:20.444301	2013-08-03 21:04:20.444301	150
20225	89273	22721	2013-08-03 21:04:20.457227	2013-08-03 21:04:20.457227	150
20226	89216	20970	2013-08-03 21:04:20.472131	2013-08-03 21:04:20.472131	150
20227	89204	17555	2013-08-03 21:04:20.484618	2013-08-03 21:04:20.484618	150
20228	89199	2310	2013-08-03 21:04:20.492279	2013-08-03 21:04:20.492279	150
20229	89193	1997	2013-08-03 21:04:20.500344	2013-08-03 21:04:20.500344	150
20230	89190	3189	2013-08-03 21:04:20.513829	2013-08-03 21:04:20.513829	150
20231	90046	8109	2013-08-03 21:04:20.534244	2013-08-03 21:04:20.534244	150
20232	90046	8140	2013-08-03 21:04:20.539469	2013-08-03 21:04:20.539469	150
20233	89687	37295	2013-08-03 21:04:20.549621	2013-08-03 21:04:20.549621	150
20234	89687	5621	2013-08-03 21:04:20.553544	2013-08-03 21:04:20.553544	150
20235	89420	41423	2013-08-03 21:04:20.561752	2013-08-03 21:04:20.561752	150
20236	89420	41403	2013-08-03 21:04:20.56642	2013-08-03 21:04:20.56642	150
20237	89320	1196	2013-08-03 21:04:20.574314	2013-08-03 21:04:20.574314	150
20238	89320	5584	2013-08-03 21:04:20.57747	2013-08-03 21:04:20.57747	150
20239	89279	7825	2013-08-03 21:04:20.584596	2013-08-03 21:04:20.584596	150
20240	89279	22501	2013-08-03 21:04:20.588712	2013-08-03 21:04:20.588712	150
20241	89217	20270	2013-08-03 21:04:20.603919	2013-08-03 21:04:20.603919	150
20242	89217	2895	2013-08-03 21:04:20.614362	2013-08-03 21:04:20.614362	150
20243	89202	18630	2013-08-03 21:04:20.637338	2013-08-03 21:04:20.637338	150
20244	89202	12651	2013-08-03 21:04:20.648059	2013-08-03 21:04:20.648059	150
20245	90242	39718	2013-08-03 21:04:20.992227	2013-08-03 21:04:20.992227	150
20246	90007	39698	2013-08-03 21:04:21.002954	2013-08-03 21:04:21.002954	150
20247	89749	39678	2013-08-03 21:04:21.019234	2013-08-03 21:04:21.019234	150
20248	89668	39658	2013-08-03 21:04:21.041809	2013-08-03 21:04:21.041809	150
20249	89595	39638	2013-08-03 21:04:21.06371	2013-08-03 21:04:21.06371	150
20250	89494	39618	2013-08-03 21:04:21.086839	2013-08-03 21:04:21.086839	150
20251	89425	39598	2013-08-03 21:04:21.11011	2013-08-03 21:04:21.11011	150
20252	89392	5644	2013-08-03 21:04:21.126354	2013-08-03 21:04:21.126354	150
20253	89325	5601	2013-08-03 21:04:21.138222	2013-08-03 21:04:21.138222	150
20254	89296	34423	2013-08-03 21:04:21.14714	2013-08-03 21:04:21.14714	150
20255	89293	39418	2013-08-03 21:04:21.156519	2013-08-03 21:04:21.156519	150
20256	89239	1365	2013-08-03 21:04:21.169333	2013-08-03 21:04:21.169333	150
20257	89237	46923	2013-08-03 21:04:21.179093	2013-08-03 21:04:21.179093	150
20258	89218	10135	2013-08-03 21:04:21.188337	2013-08-03 21:04:21.188337	150
20259	89203	18701	2013-08-03 21:04:21.197796	2013-08-03 21:04:21.197796	150
20260	89196	20761	2013-08-03 21:04:21.206526	2013-08-03 21:04:21.206526	150
20261	89191	3839	2013-08-03 21:04:21.218181	2013-08-03 21:04:21.218181	150
20262	89553	39938	2013-08-03 21:04:21.246443	2013-08-03 21:04:21.246443	150
20263	89523	39918	2013-08-03 21:04:21.257105	2013-08-03 21:04:21.257105	150
20264	89451	39898	2013-08-03 21:04:21.279388	2013-08-03 21:04:21.279388	150
20265	89427	39878	2013-08-03 21:04:21.343147	2013-08-03 21:04:21.343147	150
20266	89380	39858	2013-08-03 21:04:21.357996	2013-08-03 21:04:21.357996	150
20267	89348	39838	2013-08-03 21:04:21.374016	2013-08-03 21:04:21.374016	150
20268	89306	39818	2013-08-03 21:04:21.396313	2013-08-03 21:04:21.396313	150
20269	89247	39798	2013-08-03 21:04:21.414246	2013-08-03 21:04:21.414246	150
20270	89220	39778	2013-08-03 21:04:21.426739	2013-08-03 21:04:21.426739	150
20271	89189	39758	2013-08-03 21:04:21.435203	2013-08-03 21:04:21.435203	150
20272	90974	5765	2013-08-03 21:04:21.460747	2013-08-03 21:04:21.460747	150
20273	90848	19148	2013-08-03 21:04:21.482747	2013-08-03 21:04:21.482747	150
20274	90612	20955	2013-08-03 21:04:21.501243	2013-08-03 21:04:21.501243	150
20275	90609	16346	2013-08-03 21:04:21.51336	2013-08-03 21:04:21.51336	150
20276	90301	16366	2013-08-03 21:04:21.521875	2013-08-03 21:04:21.521875	150
20277	90210	18563	2013-08-03 21:04:21.533549	2013-08-03 21:04:21.533549	150
20278	90047	20921	2013-08-03 21:04:21.543154	2013-08-03 21:04:21.543154	150
20279	89932	19961	2013-08-03 21:04:21.560216	2013-08-03 21:04:21.560216	150
20280	89863	48775	2013-08-03 21:04:21.580062	2013-08-03 21:04:21.580062	150
20281	89750	34623	2013-08-03 21:04:21.602817	2013-08-03 21:04:21.602817	150
20282	89681	48175	2013-08-03 21:04:21.625755	2013-08-03 21:04:21.625755	150
20283	89649	9466	2013-08-03 21:04:21.648173	2013-08-03 21:04:21.648173	150
20284	89646	18510	2013-08-03 21:04:21.670443	2013-08-03 21:04:21.670443	150
20285	89640	19328	2013-08-03 21:04:21.690849	2013-08-03 21:04:21.690849	150
20286	89621	15926	2013-08-03 21:04:21.700376	2013-08-03 21:04:21.700376	150
20287	89598	47875	2013-08-03 21:04:21.708198	2013-08-03 21:04:21.708198	150
20288	90238	38600	2013-08-03 21:04:21.74752	2013-08-03 21:04:21.74752	150
20289	90026	38580	2013-08-03 21:04:21.770031	2013-08-03 21:04:21.770031	150
20290	89751	38560	2013-08-03 21:04:21.783742	2013-08-03 21:04:21.783742	150
20291	89686	38540	2013-08-03 21:04:21.793637	2013-08-03 21:04:21.793637	150
20292	89496	38520	2013-08-03 21:04:21.80152	2013-08-03 21:04:21.80152	150
20293	89433	38500	2013-08-03 21:04:21.808711	2013-08-03 21:04:21.808711	150
20294	89347	38480	2013-08-03 21:04:21.817194	2013-08-03 21:04:21.817194	150
20295	89326	17555	2013-08-03 21:04:21.824268	2013-08-03 21:04:21.824268	150
20296	89295	1365	2013-08-03 21:04:21.831955	2013-08-03 21:04:21.831955	150
20297	89275	762	2013-08-03 21:04:21.839477	2013-08-03 21:04:21.839477	150
20298	89238	1981	2013-08-03 21:04:21.846498	2013-08-03 21:04:21.846498	150
20299	89219	32685	2013-08-03 21:04:21.855243	2013-08-03 21:04:21.855243	150
20300	89214	49215	2013-08-03 21:04:21.86446	2013-08-03 21:04:21.86446	150
20301	89198	19048	2013-08-03 21:04:21.872672	2013-08-03 21:04:21.872672	150
20302	89192	47875	2013-08-03 21:04:21.882395	2013-08-03 21:04:21.882395	150
20303	92338	23101	2013-08-03 21:09:20.179555	2013-08-03 21:09:20.179555	151
20304	92054	23165	2013-08-03 21:09:20.192561	2013-08-03 21:09:20.192561	151
20305	91954	23081	2013-08-03 21:09:20.21084	2013-08-03 21:09:20.21084	151
20306	91842	23020	2013-08-03 21:09:20.234669	2013-08-03 21:09:20.234669	151
20307	91750	23061	2013-08-03 21:09:20.258232	2013-08-03 21:09:20.258232	151
20308	91660	23041	2013-08-03 21:09:20.275985	2013-08-03 21:09:20.275985	151
20309	91583	23021	2013-08-03 21:09:20.288022	2013-08-03 21:09:20.288022	151
20310	91508	14746	2013-08-03 21:09:20.297043	2013-08-03 21:09:20.297043	151
20311	91476	23975	2013-08-03 21:09:20.306483	2013-08-03 21:09:20.306483	151
20312	91468	17780	2013-08-03 21:09:20.314245	2013-08-03 21:09:20.314245	151
20313	91462	21703	2013-08-03 21:09:20.322065	2013-08-03 21:09:20.322065	151
20314	91433	19841	2013-08-03 21:09:20.329979	2013-08-03 21:09:20.329979	151
20315	91416	22875	2013-08-03 21:09:20.337364	2013-08-03 21:09:20.337364	151
20316	91408	39238	2013-08-03 21:09:20.345608	2013-08-03 21:09:20.345608	151
20317	91391	16401	2013-08-03 21:09:20.354662	2013-08-03 21:09:20.354662	151
20318	92010	24960	2013-08-03 21:09:20.376806	2013-08-03 21:09:20.376806	151
20319	92010	15841	2013-08-03 21:09:20.38438	2013-08-03 21:09:20.38438	151
20320	92010	27315	2013-08-03 21:09:20.390951	2013-08-03 21:09:20.390951	151
20321	92010	11608	2013-08-03 21:09:20.396121	2013-08-03 21:09:20.396121	151
20322	92010	26995	2013-08-03 21:09:20.401643	2013-08-03 21:09:20.401643	151
20323	92010	14321	2013-08-03 21:09:20.406481	2013-08-03 21:09:20.406481	151
20324	91753	11360	2013-08-03 21:09:20.416111	2013-08-03 21:09:20.416111	151
20325	91753	1440	2013-08-03 21:09:20.422278	2013-08-03 21:09:20.422278	151
20326	91753	13857	2013-08-03 21:09:20.427233	2013-08-03 21:09:20.427233	151
20327	91753	14721	2013-08-03 21:09:20.43193	2013-08-03 21:09:20.43193	151
20328	91753	18585	2013-08-03 21:09:20.438345	2013-08-03 21:09:20.438345	151
20329	91753	2682	2013-08-03 21:09:20.444336	2013-08-03 21:09:20.444336	151
20330	91434	14123	2013-08-03 21:09:20.454697	2013-08-03 21:09:20.454697	151
20331	91434	24295	2013-08-03 21:09:20.458912	2013-08-03 21:09:20.458912	151
20332	91434	17725	2013-08-03 21:09:20.462711	2013-08-03 21:09:20.462711	151
20333	91434	10748	2013-08-03 21:09:20.466421	2013-08-03 21:09:20.466421	151
20334	91434	23061	2013-08-03 21:09:20.470194	2013-08-03 21:09:20.470194	151
20335	91434	18750	2013-08-03 21:09:20.473701	2013-08-03 21:09:20.473701	151
20336	92051	33765	2013-08-03 21:09:20.505477	2013-08-03 21:09:20.505477	151
20337	91841	33775	2013-08-03 21:09:20.513807	2013-08-03 21:09:20.513807	151
20338	91747	33745	2013-08-03 21:09:20.523474	2013-08-03 21:09:20.523474	151
20339	91692	33725	2013-08-03 21:09:20.539644	2013-08-03 21:09:20.539644	151
20340	91654	33705	2013-08-03 21:09:20.556446	2013-08-03 21:09:20.556446	151
20341	91573	33685	2013-08-03 21:09:20.568024	2013-08-03 21:09:20.568024	151
20342	91505	33665	2013-08-03 21:09:20.575815	2013-08-03 21:09:20.575815	151
20343	91480	33645	2013-08-03 21:09:20.583787	2013-08-03 21:09:20.583787	151
20344	91461	33625	2013-08-03 21:09:20.59185	2013-08-03 21:09:20.59185	151
20345	91429	21790	2013-08-03 21:09:20.60104	2013-08-03 21:09:20.60104	151
20346	91425	17826	2013-08-03 21:09:20.61921	2013-08-03 21:09:20.61921	151
20347	91423	23101	2013-08-03 21:09:20.642129	2013-08-03 21:09:20.642129	151
20348	91407	28838	2013-08-03 21:09:20.664572	2013-08-03 21:09:20.664572	151
20349	91389	23537	2013-08-03 21:09:20.686557	2013-08-03 21:09:20.686557	151
20350	92013	5226	2013-08-03 21:09:20.749364	2013-08-03 21:09:20.749364	151
20351	92013	7900	2013-08-03 21:09:20.752999	2013-08-03 21:09:20.752999	151
20352	91513	16401	2013-08-03 21:09:20.762445	2013-08-03 21:09:20.762445	151
20353	91513	23177	2013-08-03 21:09:20.766227	2013-08-03 21:09:20.766227	151
20354	91472	20761	2013-08-03 21:09:20.832864	2013-08-03 21:09:20.832864	151
20355	91472	18630	2013-08-03 21:09:20.837448	2013-08-03 21:09:20.837448	151
20356	91440	18730	2013-08-03 21:09:20.853096	2013-08-03 21:09:20.853096	151
20357	91440	4708	2013-08-03 21:09:20.860745	2013-08-03 21:09:20.860745	151
20358	91431	18770	2013-08-03 21:09:20.875349	2013-08-03 21:09:20.875349	151
20359	91431	34198	2013-08-03 21:09:20.884399	2013-08-03 21:09:20.884399	151
20360	91421	19328	2013-08-03 21:09:20.900794	2013-08-03 21:09:20.900794	151
20361	91421	12651	2013-08-03 21:09:20.90638	2013-08-03 21:09:20.90638	151
20362	91392	17670	2013-08-03 21:09:20.914393	2013-08-03 21:09:20.914393	151
20363	91392	48243	2013-08-03 21:09:20.918208	2013-08-03 21:09:20.918208	151
20364	92318	22010	2013-08-03 21:09:20.944748	2013-08-03 21:09:20.944748	151
20365	92318	22112	2013-08-03 21:09:20.956485	2013-08-03 21:09:20.956485	151
20366	91843	21990	2013-08-03 21:09:20.980689	2013-08-03 21:09:20.980689	151
20367	91843	21958	2013-08-03 21:09:20.992426	2013-08-03 21:09:20.992426	151
20368	91650	21970	2013-08-03 21:09:21.013173	2013-08-03 21:09:21.013173	151
20369	91650	21950	2013-08-03 21:09:21.024532	2013-08-03 21:09:21.024532	151
20370	91610	21930	2013-08-03 21:09:21.048271	2013-08-03 21:09:21.048271	151
20371	91610	21910	2013-08-03 21:09:21.060061	2013-08-03 21:09:21.060061	151
20372	91523	21890	2013-08-03 21:09:21.066608	2013-08-03 21:09:21.066608	151
20373	91523	36043	2013-08-03 21:09:21.072612	2013-08-03 21:09:21.072612	151
20374	91511	21870	2013-08-03 21:09:21.08741	2013-08-03 21:09:21.08741	151
20375	91511	21850	2013-08-03 21:09:21.093143	2013-08-03 21:09:21.093143	151
20376	91482	21830	2013-08-03 21:09:21.109272	2013-08-03 21:09:21.109272	151
20377	91482	17746	2013-08-03 21:09:21.120234	2013-08-03 21:09:21.120234	151
20378	91418	23081	2013-08-03 21:09:21.142975	2013-08-03 21:09:21.142975	151
20379	91418	13781	2013-08-03 21:09:21.153891	2013-08-03 21:09:21.153891	151
20380	91384	20595	2013-08-03 21:09:21.176134	2013-08-03 21:09:21.176134	151
20381	91384	16386	2013-08-03 21:09:21.18737	2013-08-03 21:09:21.18737	151
20382	92857	1118	2013-08-03 21:09:21.208141	2013-08-03 21:09:21.208141	151
20383	92857	2601	2013-08-03 21:09:21.212529	2013-08-03 21:09:21.212529	151
20384	92857	5624	2013-08-03 21:09:21.21776	2013-08-03 21:09:21.21776	151
20385	92607	6266	2013-08-03 21:09:21.226849	2013-08-03 21:09:21.226849	151
20386	92607	40663	2013-08-03 21:09:21.235906	2013-08-03 21:09:21.235906	151
20387	92607	36415	2013-08-03 21:09:21.246843	2013-08-03 21:09:21.246843	151
20388	92489	2016	2013-08-03 21:09:21.270188	2013-08-03 21:09:21.270188	151
20389	92489	21032	2013-08-03 21:09:21.27809	2013-08-03 21:09:21.27809	151
20390	92489	15197	2013-08-03 21:09:21.282008	2013-08-03 21:09:21.282008	151
20391	92444	2432	2013-08-03 21:09:21.290588	2013-08-03 21:09:21.290588	151
20392	92444	1589	2013-08-03 21:09:21.294773	2013-08-03 21:09:21.294773	151
20393	92444	5265	2013-08-03 21:09:21.298511	2013-08-03 21:09:21.298511	151
20394	92355	5310	2013-08-03 21:09:21.3127	2013-08-03 21:09:21.3127	151
20395	92355	23477	2013-08-03 21:09:21.324446	2013-08-03 21:09:21.324446	151
20396	92355	16366	2013-08-03 21:09:21.335139	2013-08-03 21:09:21.335139	151
20397	92335	31992	2013-08-03 21:09:21.367711	2013-08-03 21:09:21.367711	151
20398	91960	31972	2013-08-03 21:09:21.377341	2013-08-03 21:09:21.377341	151
20399	91844	21741	2013-08-03 21:09:21.384614	2013-08-03 21:09:21.384614	151
20400	91745	21490	2013-08-03 21:09:21.392395	2013-08-03 21:09:21.392395	151
20401	91657	23165	2013-08-03 21:09:21.401186	2013-08-03 21:09:21.401186	151
20402	91629	20300	2013-08-03 21:09:21.411801	2013-08-03 21:09:21.411801	151
20403	91605	15286	2013-08-03 21:09:21.427813	2013-08-03 21:09:21.427813	151
20404	91538	5244	2013-08-03 21:09:21.43795	2013-08-03 21:09:21.43795	151
20405	91530	22881	2013-08-03 21:09:21.445288	2013-08-03 21:09:21.445288	151
20406	91479	5744	2013-08-03 21:09:21.452312	2013-08-03 21:09:21.452312	151
20407	91463	3999	2013-08-03 21:09:21.464002	2013-08-03 21:09:21.464002	151
20408	91452	20955	2013-08-03 21:09:21.476753	2013-08-03 21:09:21.476753	151
20409	91439	12558	2013-08-03 21:09:21.485925	2013-08-03 21:09:21.485925	151
20410	91394	8492	2013-08-03 21:09:21.496233	2013-08-03 21:09:21.496233	151
20411	91383	48975	2013-08-03 21:09:21.507925	2013-08-03 21:09:21.507925	151
20412	92339	29838	2013-08-03 21:09:21.527307	2013-08-03 21:09:21.527307	151
20413	92339	29858	2013-08-03 21:09:21.534767	2013-08-03 21:09:21.534767	151
20414	91845	2614	2013-08-03 21:09:21.551674	2013-08-03 21:09:21.551674	151
20415	91845	38063	2013-08-03 21:09:21.561591	2013-08-03 21:09:21.561591	151
20416	91554	16046	2013-08-03 21:09:21.578097	2013-08-03 21:09:21.578097	151
20417	91554	38263	2013-08-03 21:09:21.589117	2013-08-03 21:09:21.589117	151
20418	91536	41363	2013-08-03 21:09:21.612237	2013-08-03 21:09:21.612237	151
20419	91536	41623	2013-08-03 21:09:21.624304	2013-08-03 21:09:21.624304	151
20420	91453	39238	2013-08-03 21:09:21.647995	2013-08-03 21:09:21.647995	151
20421	91453	12558	2013-08-03 21:09:21.658587	2013-08-03 21:09:21.658587	151
20422	91393	28838	2013-08-03 21:09:21.680317	2013-08-03 21:09:21.680317	151
20423	91393	10360	2013-08-03 21:09:21.690969	2013-08-03 21:09:21.690969	151
20424	91385	622	2013-08-03 21:09:21.713481	2013-08-03 21:09:21.713481	151
20425	91385	48695	2013-08-03 21:09:21.720917	2013-08-03 21:09:21.720917	151
20426	92070	40178	2013-08-03 21:09:22.013875	2013-08-03 21:09:22.013875	151
20427	92049	40158	2013-08-03 21:09:22.092913	2013-08-03 21:09:22.092913	151
20428	91848	40138	2013-08-03 21:09:22.115964	2013-08-03 21:09:22.115964	151
20429	91746	17810	2013-08-03 21:09:22.13877	2013-08-03 21:09:22.13877	151
20430	91695	15926	2013-08-03 21:09:22.160349	2013-08-03 21:09:22.160349	151
20431	91691	17910	2013-08-03 21:09:22.18206	2013-08-03 21:09:22.18206	151
20432	91684	19481	2013-08-03 21:09:22.20442	2013-08-03 21:09:22.20442	151
20433	91576	5765	2013-08-03 21:09:22.224725	2013-08-03 21:09:22.224725	151
20434	91543	5630	2013-08-03 21:09:22.234296	2013-08-03 21:09:22.234296	151
20435	91502	18610	2013-08-03 21:09:22.243549	2013-08-03 21:09:22.243549	151
20436	91464	18563	2013-08-03 21:09:22.251357	2013-08-03 21:09:22.251357	151
20437	91454	18701	2013-08-03 21:09:22.260204	2013-08-03 21:09:22.260204	151
20438	91420	16346	2013-08-03 21:09:22.27166	2013-08-03 21:09:22.27166	151
20439	91398	29172	2013-08-03 21:09:22.279373	2013-08-03 21:09:22.279373	151
20440	91395	28852	2013-08-03 21:09:22.287641	2013-08-03 21:09:22.287641	151
20441	91386	20261	2013-08-03 21:09:22.298037	2013-08-03 21:09:22.298037	151
20442	91961	40438	2013-08-03 21:09:22.368523	2013-08-03 21:09:22.368523	151
20443	91782	40418	2013-08-03 21:09:22.379202	2013-08-03 21:09:22.379202	151
20444	91674	40398	2013-08-03 21:09:22.388501	2013-08-03 21:09:22.388501	151
20445	91557	40378	2013-08-03 21:09:22.399104	2013-08-03 21:09:22.399104	151
20446	91544	40358	2013-08-03 21:09:22.418848	2013-08-03 21:09:22.418848	151
20447	91532	40338	2013-08-03 21:09:22.442467	2013-08-03 21:09:22.442467	151
20448	91512	40318	2013-08-03 21:09:22.466031	2013-08-03 21:09:22.466031	151
20449	91430	40298	2013-08-03 21:09:22.489446	2013-08-03 21:09:22.489446	151
20450	91428	40278	2013-08-03 21:09:22.512199	2013-08-03 21:09:22.512199	151
20451	91417	40258	2013-08-03 21:09:22.529679	2013-08-03 21:09:22.529679	151
20452	92316	46923	2013-08-03 21:09:22.556492	2013-08-03 21:09:22.556492	151
20453	92071	47803	2013-08-03 21:09:22.567983	2013-08-03 21:09:22.567983	151
20454	91958	17470	2013-08-03 21:09:22.57701	2013-08-03 21:09:22.57701	151
20455	91867	22060	2013-08-03 21:09:22.585639	2013-08-03 21:09:22.585639	151
20456	91851	3215	2013-08-03 21:09:22.594469	2013-08-03 21:09:22.594469	151
20457	91744	22341	2013-08-03 21:09:22.607262	2013-08-03 21:09:22.607262	151
20458	91686	48063	2013-08-03 21:09:22.63034	2013-08-03 21:09:22.63034	151
20459	91592	15630	2013-08-03 21:09:22.652841	2013-08-03 21:09:22.652841	151
20460	91567	21961	2013-08-03 21:09:22.676037	2013-08-03 21:09:22.676037	151
20461	91550	21921	2013-08-03 21:09:22.699834	2013-08-03 21:09:22.699834	151
20462	91478	21720	2013-08-03 21:09:22.723475	2013-08-03 21:09:22.723475	151
20463	91471	5361	2013-08-03 21:09:22.746948	2013-08-03 21:09:22.746948	151
20464	91465	20921	2013-08-03 21:09:22.767614	2013-08-03 21:09:22.767614	151
20465	91457	29172	2013-08-03 21:09:22.789791	2013-08-03 21:09:22.789791	151
20466	91397	17290	2013-08-03 21:09:22.812776	2013-08-03 21:09:22.812776	151
20467	92321	39120	2013-08-03 21:09:22.876454	2013-08-03 21:09:22.876454	151
20468	92080	39100	2013-08-03 21:09:22.899505	2013-08-03 21:09:22.899505	151
20469	91854	39080	2013-08-03 21:09:22.922882	2013-08-03 21:09:22.922882	151
20470	91723	39060	2013-08-03 21:09:22.946261	2013-08-03 21:09:22.946261	151
20471	91689	39040	2013-08-03 21:09:22.970209	2013-08-03 21:09:22.970209	151
20472	91688	39020	2013-08-03 21:09:22.993098	2013-08-03 21:09:22.993098	151
20473	91640	39000	2013-08-03 21:09:23.016022	2013-08-03 21:09:23.016022	151
20474	91606	38980	2013-08-03 21:09:23.038936	2013-08-03 21:09:23.038936	151
20475	91553	38960	2013-08-03 21:09:23.061939	2013-08-03 21:09:23.061939	151
20476	91490	9352	2013-08-03 21:09:23.085144	2013-08-03 21:09:23.085144	151
20477	91466	27912	2013-08-03 21:09:23.106881	2013-08-03 21:09:23.106881	151
20478	91460	5664	2013-08-03 21:09:23.128437	2013-08-03 21:09:23.128437	151
20479	91404	32665	2013-08-03 21:09:23.141213	2013-08-03 21:09:23.141213	151
20480	91396	28072	2013-08-03 21:09:23.152925	2013-08-03 21:09:23.152925	151
20481	91382	48835	2013-08-03 21:09:23.166463	2013-08-03 21:09:23.166463	151
20482	93942	23901	2013-08-03 21:14:20.857599	2013-08-03 21:14:20.857599	152
20483	93864	23881	2013-08-03 21:14:20.884768	2013-08-03 21:14:20.884768	152
20484	93808	6479	2013-08-03 21:14:20.908987	2013-08-03 21:14:20.908987	152
20485	93640	23861	2013-08-03 21:14:20.933888	2013-08-03 21:14:20.933888	152
20486	93546	23863	2013-08-03 21:14:20.957277	2013-08-03 21:14:20.957277	152
20487	93473	23841	2013-08-03 21:14:20.980203	2013-08-03 21:14:20.980203	152
20488	93442	23821	2013-08-03 21:14:21.002861	2013-08-03 21:14:21.002861	152
20489	93278	23801	2013-08-03 21:14:21.025277	2013-08-03 21:14:21.025277	152
20490	93254	23781	2013-08-03 21:14:21.048225	2013-08-03 21:14:21.048225	152
20491	93113	23761	2013-08-03 21:14:21.071065	2013-08-03 21:14:21.071065	152
20492	93092	23741	2013-08-03 21:14:21.093629	2013-08-03 21:14:21.093629	152
20493	93056	23721	2013-08-03 21:14:21.116408	2013-08-03 21:14:21.116408	152
20494	93055	14850	2013-08-03 21:14:21.140221	2013-08-03 21:14:21.140221	152
20495	93048	23678	2013-08-03 21:14:21.16116	2013-08-03 21:14:21.16116	152
20496	93042	23558	2013-08-03 21:14:21.168074	2013-08-03 21:14:21.168074	152
20497	93027	23701	2013-08-03 21:14:21.176707	2013-08-03 21:14:21.176707	152
20498	93222	23881	2013-08-03 21:14:21.232179	2013-08-03 21:14:21.232179	152
20499	93933	34185	2013-08-03 21:14:21.295221	2013-08-03 21:14:21.295221	152
20500	93735	34165	2013-08-03 21:14:21.307278	2013-08-03 21:14:21.307278	152
20501	93639	34145	2013-08-03 21:14:21.318639	2013-08-03 21:14:21.318639	152
20502	93538	34125	2013-08-03 21:14:21.327432	2013-08-03 21:14:21.327432	152
20503	93479	34120	2013-08-03 21:14:21.34417	2013-08-03 21:14:21.34417	152
20504	93472	34105	2013-08-03 21:14:21.367589	2013-08-03 21:14:21.367589	152
20505	93439	34085	2013-08-03 21:14:21.390758	2013-08-03 21:14:21.390758	152
20506	93258	34065	2013-08-03 21:14:21.414713	2013-08-03 21:14:21.414713	152
20507	93253	34055	2013-08-03 21:14:21.43824	2013-08-03 21:14:21.43824	152
20508	93241	34045	2013-08-03 21:14:21.462461	2013-08-03 21:14:21.462461	152
20509	93142	34025	2013-08-03 21:14:21.485979	2013-08-03 21:14:21.485979	152
20510	93089	34005	2013-08-03 21:14:21.505528	2013-08-03 21:14:21.505528	152
20511	93074	33985	2013-08-03 21:14:21.529371	2013-08-03 21:14:21.529371	152
20512	93057	33965	2013-08-03 21:14:21.55234	2013-08-03 21:14:21.55234	152
20513	93050	33945	2013-08-03 21:14:21.574679	2013-08-03 21:14:21.574679	152
20514	93036	6479	2013-08-03 21:14:21.597477	2013-08-03 21:14:21.597477	152
20515	94067	21061	2013-08-03 21:14:21.710546	2013-08-03 21:14:21.710546	152
20516	94067	16546	2013-08-03 21:14:21.715536	2013-08-03 21:14:21.715536	152
20517	93779	5284	2013-08-03 21:14:21.725041	2013-08-03 21:14:21.725041	152
20518	93779	49495	2013-08-03 21:14:21.730043	2013-08-03 21:14:21.730043	152
20519	93651	49515	2013-08-03 21:14:21.740204	2013-08-03 21:14:21.740204	152
20520	93651	49655	2013-08-03 21:14:21.744207	2013-08-03 21:14:21.744207	152
20521	93299	49595	2013-08-03 21:14:21.752998	2013-08-03 21:14:21.752998	152
20522	93299	9863	2013-08-03 21:14:21.757745	2013-08-03 21:14:21.757745	152
20523	93108	49275	2013-08-03 21:14:21.766464	2013-08-03 21:14:21.766464	152
20524	93108	42763	2013-08-03 21:14:21.771044	2013-08-03 21:14:21.771044	152
20525	93095	21397	2013-08-03 21:14:21.778255	2013-08-03 21:14:21.778255	152
20526	93095	19208	2013-08-03 21:14:21.783857	2013-08-03 21:14:21.783857	152
20527	93045	17670	2013-08-03 21:14:21.793305	2013-08-03 21:14:21.793305	152
20528	93045	17290	2013-08-03 21:14:21.797651	2013-08-03 21:14:21.797651	152
20529	93029	48243	2013-08-03 21:14:21.80575	2013-08-03 21:14:21.80575	152
20530	93029	28852	2013-08-03 21:14:21.80878	2013-08-03 21:14:21.80878	152
20531	94078	18200	2013-08-03 21:14:21.849169	2013-08-03 21:14:21.849169	152
20532	93863	22590	2013-08-03 21:14:21.860462	2013-08-03 21:14:21.860462	152
20533	93782	22570	2013-08-03 21:14:21.870251	2013-08-03 21:14:21.870251	152
20534	93653	22550	2013-08-03 21:14:21.878888	2013-08-03 21:14:21.878888	152
20535	93454	22543	2013-08-03 21:14:21.88798	2013-08-03 21:14:21.88798	152
20536	93370	22530	2013-08-03 21:14:21.897362	2013-08-03 21:14:21.897362	152
20537	93320	22510	2013-08-03 21:14:21.907387	2013-08-03 21:14:21.907387	152
20538	93255	22112	2013-08-03 21:14:21.916079	2013-08-03 21:14:21.916079	152
20539	93146	17926	2013-08-03 21:14:21.924269	2013-08-03 21:14:21.924269	152
20540	93100	23541	2013-08-03 21:14:21.931905	2013-08-03 21:14:21.931905	152
20541	93081	8250	2013-08-03 21:14:21.93979	2013-08-03 21:14:21.93979	152
20542	94079	2550	2013-08-03 21:14:21.969546	2013-08-03 21:14:21.969546	152
20543	94079	2624	2013-08-03 21:14:21.979911	2013-08-03 21:14:21.979911	152
20544	93807	2534	2013-08-03 21:14:22.001229	2013-08-03 21:14:22.001229	152
20545	93807	2610	2013-08-03 21:14:22.009748	2013-08-03 21:14:22.009748	152
20546	93654	2664	2013-08-03 21:14:22.017079	2013-08-03 21:14:22.017079	152
20547	93654	2623	2013-08-03 21:14:22.022105	2013-08-03 21:14:22.022105	152
20548	93348	2660	2013-08-03 21:14:22.029711	2013-08-03 21:14:22.029711	152
20549	93348	13311	2013-08-03 21:14:22.033455	2013-08-03 21:14:22.033455	152
20550	93256	12351	2013-08-03 21:14:22.041459	2013-08-03 21:14:22.041459	152
20551	93256	13051	2013-08-03 21:14:22.047212	2013-08-03 21:14:22.047212	152
20552	93144	13031	2013-08-03 21:14:22.059851	2013-08-03 21:14:22.059851	152
20553	93144	3684	2013-08-03 21:14:22.070141	2013-08-03 21:14:22.070141	152
20554	93044	3217	2013-08-03 21:14:22.092241	2013-08-03 21:14:22.092241	152
20555	93044	5792	2013-08-03 21:14:22.103494	2013-08-03 21:14:22.103494	152
20556	93031	5630	2013-08-03 21:14:22.125172	2013-08-03 21:14:22.125172	152
20557	93031	21921	2013-08-03 21:14:22.135343	2013-08-03 21:14:22.135343	152
20558	93990	32172	2013-08-03 21:14:22.188814	2013-08-03 21:14:22.188814	152
20559	93968	32152	2013-08-03 21:14:22.209404	2013-08-03 21:14:22.209404	152
20560	93869	32132	2013-08-03 21:14:22.23073	2013-08-03 21:14:22.23073	152
20561	93805	32112	2013-08-03 21:14:22.25332	2013-08-03 21:14:22.25332	152
20562	93742	32092	2013-08-03 21:14:22.275939	2013-08-03 21:14:22.275939	152
20563	93657	32072	2013-08-03 21:14:22.288264	2013-08-03 21:14:22.288264	152
20564	93502	23521	2013-08-03 21:14:22.304194	2013-08-03 21:14:22.304194	152
20565	93474	23241	2013-08-03 21:14:22.313913	2013-08-03 21:14:22.313913	152
20566	93353	22350	2013-08-03 21:14:22.321406	2013-08-03 21:14:22.321406	152
20567	93257	22130	2013-08-03 21:14:22.331896	2013-08-03 21:14:22.331896	152
20568	93242	16337	2013-08-03 21:14:22.351482	2013-08-03 21:14:22.351482	152
20569	93106	23863	2013-08-03 21:14:22.373501	2013-08-03 21:14:22.373501	152
20570	93105	18006	2013-08-03 21:14:22.395092	2013-08-03 21:14:22.395092	152
20571	93064	18150	2013-08-03 21:14:22.417463	2013-08-03 21:14:22.417463	152
20572	93046	5788	2013-08-03 21:14:22.43815	2013-08-03 21:14:22.43815	152
20573	93030	47803	2013-08-03 21:14:22.460228	2013-08-03 21:14:22.460228	152
20574	94082	5664	2013-08-03 21:14:22.507507	2013-08-03 21:14:22.507507	152
20575	94082	16943	2013-08-03 21:14:22.518258	2013-08-03 21:14:22.518258	152
20576	93810	9131	2013-08-03 21:14:22.5437	2013-08-03 21:14:22.5437	152
20577	93810	17612	2013-08-03 21:14:22.55738	2013-08-03 21:14:22.55738	152
20578	93369	19668	2013-08-03 21:14:22.58159	2013-08-03 21:14:22.58159	152
20579	93369	38243	2013-08-03 21:14:22.594255	2013-08-03 21:14:22.594255	152
20580	93259	5039	2013-08-03 21:14:22.605026	2013-08-03 21:14:22.605026	152
20581	93259	18588	2013-08-03 21:14:22.610195	2013-08-03 21:14:22.610195	152
20582	93111	5641	2013-08-03 21:14:22.617687	2013-08-03 21:14:22.617687	152
20583	93111	2623	2013-08-03 21:14:22.622252	2013-08-03 21:14:22.622252	152
20584	93101	5808	2013-08-03 21:14:22.641314	2013-08-03 21:14:22.641314	152
20585	93101	49655	2013-08-03 21:14:22.646198	2013-08-03 21:14:22.646198	152
20586	93028	49515	2013-08-03 21:14:22.666027	2013-08-03 21:14:22.666027	152
20587	93028	29172	2013-08-03 21:14:22.677035	2013-08-03 21:14:22.677035	152
20588	94033	40778	2013-08-03 21:14:22.995389	2013-08-03 21:14:22.995389	152
20589	93780	40758	2013-08-03 21:14:23.018269	2013-08-03 21:14:23.018269	152
20590	93668	40738	2013-08-03 21:14:23.040688	2013-08-03 21:14:23.040688	152
20591	93560	40718	2013-08-03 21:14:23.062949	2013-08-03 21:14:23.062949	152
20592	93506	40698	2013-08-03 21:14:23.085875	2013-08-03 21:14:23.085875	152
20593	93480	40678	2013-08-03 21:14:23.109527	2013-08-03 21:14:23.109527	152
20594	93475	40658	2013-08-03 21:14:23.132154	2013-08-03 21:14:23.132154	152
20595	93400	40638	2013-08-03 21:14:23.155651	2013-08-03 21:14:23.155651	152
20596	93260	21961	2013-08-03 21:14:23.178146	2013-08-03 21:14:23.178146	152
20597	93248	14111	2013-08-03 21:14:23.199718	2013-08-03 21:14:23.199718	152
20598	93136	5701	2013-08-03 21:14:23.212337	2013-08-03 21:14:23.212337	152
20599	93125	4608	2013-08-03 21:14:23.220277	2013-08-03 21:14:23.220277	152
20600	93107	8239	2013-08-03 21:14:23.237467	2013-08-03 21:14:23.237467	152
20601	93058	5772	2013-08-03 21:14:23.24875	2013-08-03 21:14:23.24875	152
20602	93049	46923	2013-08-03 21:14:23.25758	2013-08-03 21:14:23.25758	152
20603	93034	17470	2013-08-03 21:14:23.268562	2013-08-03 21:14:23.268562	152
20604	93026	15630	2013-08-03 21:14:23.276399	2013-08-03 21:14:23.276399	152
20605	93865	41038	2013-08-03 21:14:23.303974	2013-08-03 21:14:23.303974	152
20606	93350	41018	2013-08-03 21:14:23.315041	2013-08-03 21:14:23.315041	152
20607	93286	40998	2013-08-03 21:14:23.327967	2013-08-03 21:14:23.327967	152
20608	93239	40978	2013-08-03 21:14:23.345259	2013-08-03 21:14:23.345259	152
20609	93216	40958	2013-08-03 21:14:23.366852	2013-08-03 21:14:23.366852	152
20610	93200	40938	2013-08-03 21:14:23.389242	2013-08-03 21:14:23.389242	152
20611	93172	40918	2013-08-03 21:14:23.411566	2013-08-03 21:14:23.411566	152
20612	93128	40898	2013-08-03 21:14:23.433547	2013-08-03 21:14:23.433547	152
20613	93126	40878	2013-08-03 21:14:23.450022	2013-08-03 21:14:23.450022	152
20614	93060	40858	2013-08-03 21:14:23.465438	2013-08-03 21:14:23.465438	152
20615	93047	40838	2013-08-03 21:14:23.477769	2013-08-03 21:14:23.477769	152
20616	93781	1284	2013-08-03 21:14:23.496017	2013-08-03 21:14:23.496017	152
20617	93669	1439	2013-08-03 21:14:23.503914	2013-08-03 21:14:23.503914	152
20618	93561	2471	2013-08-03 21:14:23.513736	2013-08-03 21:14:23.513736	152
20619	93507	18137	2013-08-03 21:14:23.527316	2013-08-03 21:14:23.527316	152
20620	93481	18130	2013-08-03 21:14:23.544171	2013-08-03 21:14:23.544171	152
20621	93476	20621	2013-08-03 21:14:23.561437	2013-08-03 21:14:23.561437	152
20622	93468	622	2013-08-03 21:14:23.578722	2013-08-03 21:14:23.578722	152
20623	93261	4786	2013-08-03 21:14:23.598321	2013-08-03 21:14:23.598321	152
20624	93243	5466	2013-08-03 21:14:23.621176	2013-08-03 21:14:23.621176	152
20625	93141	1389	2013-08-03 21:14:23.643195	2013-08-03 21:14:23.643195	152
20626	93131	1460	2013-08-03 21:14:23.664012	2013-08-03 21:14:23.664012	152
20627	93129	5544	2013-08-03 21:14:23.680013	2013-08-03 21:14:23.680013	152
20628	93110	20410	2013-08-03 21:14:23.689476	2013-08-03 21:14:23.689476	152
20629	93053	1981	2013-08-03 21:14:23.698685	2013-08-03 21:14:23.698685	152
20630	93040	16546	2013-08-03 21:14:23.709157	2013-08-03 21:14:23.709157	152
20631	93032	21061	2013-08-03 21:14:23.717583	2013-08-03 21:14:23.717583	152
20632	94036	39620	2013-08-03 21:14:23.745474	2013-08-03 21:14:23.745474	152
20633	93991	39600	2013-08-03 21:14:23.754003	2013-08-03 21:14:23.754003	152
20634	93789	39580	2013-08-03 21:14:23.762075	2013-08-03 21:14:23.762075	152
20635	93670	39560	2013-08-03 21:14:23.773216	2013-08-03 21:14:23.773216	152
20636	93562	39540	2013-08-03 21:14:23.790088	2013-08-03 21:14:23.790088	152
20637	93508	39520	2013-08-03 21:14:23.803386	2013-08-03 21:14:23.803386	152
20638	93477	39500	2013-08-03 21:14:23.812449	2013-08-03 21:14:23.812449	152
20639	93262	39480	2013-08-03 21:14:23.820123	2013-08-03 21:14:23.820123	152
20640	93135	39460	2013-08-03 21:14:23.829736	2013-08-03 21:14:23.829736	152
20641	93134	18025	2013-08-03 21:14:23.839586	2013-08-03 21:14:23.839586	152
20642	93063	6479	2013-08-03 21:14:23.851436	2013-08-03 21:14:23.851436	152
20643	93061	18098	2013-08-03 21:14:23.866951	2013-08-03 21:14:23.866951	152
20644	93043	8239	2013-08-03 21:14:23.887529	2013-08-03 21:14:23.887529	152
20645	93039	18150	2013-08-03 21:14:23.907235	2013-08-03 21:14:23.907235	152
20646	93033	20410	2013-08-03 21:14:23.925275	2013-08-03 21:14:23.925275	152
20647	99210	34525	2013-08-03 21:19:19.532571	2013-08-03 21:19:19.532571	153
20648	95408	34505	2013-08-03 21:19:19.54602	2013-08-03 21:19:19.54602	153
20649	95381	34485	2013-08-03 21:19:19.555928	2013-08-03 21:19:19.555928	153
20650	95323	34520	2013-08-03 21:19:19.568286	2013-08-03 21:19:19.568286	153
20651	95267	34465	2013-08-03 21:19:19.579561	2013-08-03 21:19:19.579561	153
20652	95186	34445	2013-08-03 21:19:19.595108	2013-08-03 21:19:19.595108	153
20653	95078	34478	2013-08-03 21:19:19.616296	2013-08-03 21:19:19.616296	153
20654	94922	34425	2013-08-03 21:19:19.630982	2013-08-03 21:19:19.630982	153
20655	94883	34405	2013-08-03 21:19:19.650377	2013-08-03 21:19:19.650377	153
20656	94815	34385	2013-08-03 21:19:19.674406	2013-08-03 21:19:19.674406	153
20657	94801	34365	2013-08-03 21:19:19.697531	2013-08-03 21:19:19.697531	153
20658	94800	34345	2013-08-03 21:19:19.720146	2013-08-03 21:19:19.720146	153
20659	94788	34325	2013-08-03 21:19:19.734976	2013-08-03 21:19:19.734976	153
20660	94697	18146	2013-08-03 21:19:19.747181	2013-08-03 21:19:19.747181	153
20661	94691	13508	2013-08-03 21:19:19.756107	2013-08-03 21:19:19.756107	153
20662	94665	5244	2013-08-03 21:19:19.816073	2013-08-03 21:19:19.816073	153
20663	94659	14488	2013-08-03 21:19:19.823453	2013-08-03 21:19:19.823453	153
20664	95543	15450	2013-08-03 21:19:19.842573	2013-08-03 21:19:19.842573	153
20665	95543	34698	2013-08-03 21:19:19.846693	2013-08-03 21:19:19.846693	153
20666	95105	20201	2013-08-03 21:19:19.85472	2013-08-03 21:19:19.85472	153
20667	95105	16680	2013-08-03 21:19:19.858912	2013-08-03 21:19:19.858912	153
20668	94892	21101	2013-08-03 21:19:19.866421	2013-08-03 21:19:19.866421	153
20669	94892	811	2013-08-03 21:19:19.870411	2013-08-03 21:19:19.870411	153
20670	94843	14275	2013-08-03 21:19:19.886769	2013-08-03 21:19:19.886769	153
20671	94843	17190	2013-08-03 21:19:19.891657	2013-08-03 21:19:19.891657	153
20672	94726	19795	2013-08-03 21:19:19.907012	2013-08-03 21:19:19.907012	153
20673	94726	15635	2013-08-03 21:19:19.91228	2013-08-03 21:19:19.91228	153
20674	94688	21061	2013-08-03 21:19:19.920436	2013-08-03 21:19:19.920436	153
20675	94688	49515	2013-08-03 21:19:19.926083	2013-08-03 21:19:19.926083	153
20676	94674	14488	2013-08-03 21:19:19.946164	2013-08-03 21:19:19.946164	153
20677	94674	29172	2013-08-03 21:19:19.956948	2013-08-03 21:19:19.956948	153
20678	94658	48243	2013-08-03 21:19:19.979489	2013-08-03 21:19:19.979489	153
20679	94658	28852	2013-08-03 21:19:19.988685	2013-08-03 21:19:19.988685	153
20680	95561	23030	2013-08-03 21:19:20.060969	2013-08-03 21:19:20.060969	153
20681	95551	23010	2013-08-03 21:19:20.082683	2013-08-03 21:19:20.082683	153
20682	94890	22990	2013-08-03 21:19:20.105365	2013-08-03 21:19:20.105365	153
20683	94847	22970	2013-08-03 21:19:20.127976	2013-08-03 21:19:20.127976	153
20684	94846	18086	2013-08-03 21:19:20.150387	2013-08-03 21:19:20.150387	153
20685	94813	48515	2013-08-03 21:19:20.172027	2013-08-03 21:19:20.172027	153
20686	94776	9286	2013-08-03 21:19:20.193635	2013-08-03 21:19:20.193635	153
20687	94752	41663	2013-08-03 21:19:20.214854	2013-08-03 21:19:20.214854	153
20688	94732	24101	2013-08-03 21:19:20.237073	2013-08-03 21:19:20.237073	153
20689	94701	48175	2013-08-03 21:19:20.258378	2013-08-03 21:19:20.258378	153
20690	94690	41623	2013-08-03 21:19:20.279573	2013-08-03 21:19:20.279573	153
20691	94684	5700	2013-08-03 21:19:20.30091	2013-08-03 21:19:20.30091	153
20692	95715	4351	2013-08-03 21:19:20.352195	2013-08-03 21:19:20.352195	153
20693	95715	10352	2013-08-03 21:19:20.363675	2013-08-03 21:19:20.363675	153
20694	95562	9100	2013-08-03 21:19:20.38137	2013-08-03 21:19:20.38137	153
20695	95562	42543	2013-08-03 21:19:20.386871	2013-08-03 21:19:20.386871	153
20696	95187	7579	2013-08-03 21:19:20.396689	2013-08-03 21:19:20.396689	153
20697	95187	39375	2013-08-03 21:19:20.400266	2013-08-03 21:19:20.400266	153
20698	94904	9781	2013-08-03 21:19:20.406299	2013-08-03 21:19:20.406299	153
20699	94904	38615	2013-08-03 21:19:20.413097	2013-08-03 21:19:20.413097	153
20700	94866	38935	2013-08-03 21:19:20.433729	2013-08-03 21:19:20.433729	153
20701	94866	39598	2013-08-03 21:19:20.444505	2013-08-03 21:19:20.444505	153
20702	94763	38595	2013-08-03 21:19:20.466659	2013-08-03 21:19:20.466659	153
20703	94763	41403	2013-08-03 21:19:20.477989	2013-08-03 21:19:20.477989	153
20704	94713	41503	2013-08-03 21:19:20.499837	2013-08-03 21:19:20.499837	153
20705	94713	5700	2013-08-03 21:19:20.508555	2013-08-03 21:19:20.508555	153
20706	94664	14488	2013-08-03 21:19:20.523693	2013-08-03 21:19:20.523693	153
20707	94664	29172	2013-08-03 21:19:20.534272	2013-08-03 21:19:20.534272	153
20708	99216	32935	2013-08-03 21:19:20.585505	2013-08-03 21:19:20.585505	153
20709	95411	32932	2013-08-03 21:19:20.607984	2013-08-03 21:19:20.607984	153
20710	95409	32912	2013-08-03 21:19:20.629954	2013-08-03 21:19:20.629954	153
20711	95270	32892	2013-08-03 21:19:20.651601	2013-08-03 21:19:20.651601	153
20712	95189	32872	2013-08-03 21:19:20.672313	2013-08-03 21:19:20.672313	153
20713	95079	32852	2013-08-03 21:19:20.693027	2013-08-03 21:19:20.693027	153
20714	94905	32832	2013-08-03 21:19:20.713614	2013-08-03 21:19:20.713614	153
20715	94889	32763	2013-08-03 21:19:20.733715	2013-08-03 21:19:20.733715	153
20716	94865	32812	2013-08-03 21:19:20.754435	2013-08-03 21:19:20.754435	153
20717	94795	32792	2013-08-03 21:19:20.76626	2013-08-03 21:19:20.76626	153
20718	94739	32772	2013-08-03 21:19:20.774304	2013-08-03 21:19:20.774304	153
20719	94729	32752	2013-08-03 21:19:20.781048	2013-08-03 21:19:20.781048	153
20720	94711	34385	2013-08-03 21:19:20.787847	2013-08-03 21:19:20.787847	153
20721	94687	1467	2013-08-03 21:19:20.795603	2013-08-03 21:19:20.795603	153
20722	94685	13451	2013-08-03 21:19:20.805626	2013-08-03 21:19:20.805626	153
20723	94671	19003	2013-08-03 21:19:20.820794	2013-08-03 21:19:20.820794	153
20724	94669	22838	2013-08-03 21:19:20.830315	2013-08-03 21:19:20.830315	153
20725	94662	13311	2013-08-03 21:19:20.842974	2013-08-03 21:19:20.842974	153
20726	95718	5205	2013-08-03 21:19:20.89953	2013-08-03 21:19:20.89953	153
20727	95718	40355	2013-08-03 21:19:20.910781	2013-08-03 21:19:20.910781	153
20728	95567	4859	2013-08-03 21:19:20.933251	2013-08-03 21:19:20.933251	153
20729	95567	8431	2013-08-03 21:19:20.944454	2013-08-03 21:19:20.944454	153
20730	95192	9698	2013-08-03 21:19:20.966459	2013-08-03 21:19:20.966459	153
20731	95192	23797	2013-08-03 21:19:20.977821	2013-08-03 21:19:20.977821	153
20732	94884	9781	2013-08-03 21:19:21.000983	2013-08-03 21:19:21.000983	153
20733	94884	38615	2013-08-03 21:19:21.011135	2013-08-03 21:19:21.011135	153
20734	94736	38115	2013-08-03 21:19:21.032501	2013-08-03 21:19:21.032501	153
20735	94736	2660	2013-08-03 21:19:21.043054	2013-08-03 21:19:21.043054	153
20736	94694	5760	2013-08-03 21:19:21.064189	2013-08-03 21:19:21.064189	153
20737	94694	1439	2013-08-03 21:19:21.074179	2013-08-03 21:19:21.074179	153
20738	94660	811	2013-08-03 21:19:21.095673	2013-08-03 21:19:21.095673	153
20739	94660	21101	2013-08-03 21:19:21.105949	2013-08-03 21:19:21.105949	153
20740	99214	22790	2013-08-03 21:19:21.214811	2013-08-03 21:19:21.214811	153
20741	95749	18086	2013-08-03 21:19:21.223779	2013-08-03 21:19:21.223779	153
20742	95416	9037	2013-08-03 21:19:21.232675	2013-08-03 21:19:21.232675	153
20743	95379	20961	2013-08-03 21:19:21.24304	2013-08-03 21:19:21.24304	153
20744	95266	48855	2013-08-03 21:19:21.25534	2013-08-03 21:19:21.25534	153
20745	95183	22838	2013-08-03 21:19:21.272483	2013-08-03 21:19:21.272483	153
20746	95101	18098	2013-08-03 21:19:21.293887	2013-08-03 21:19:21.293887	153
20747	95077	14111	2013-08-03 21:19:21.314627	2013-08-03 21:19:21.314627	153
20748	94909	5244	2013-08-03 21:19:21.337606	2013-08-03 21:19:21.337606	153
20749	94881	17612	2013-08-03 21:19:21.359291	2013-08-03 21:19:21.359291	153
20750	94786	8149	2013-08-03 21:19:21.381932	2013-08-03 21:19:21.381932	153
20751	94775	18150	2013-08-03 21:19:21.392579	2013-08-03 21:19:21.392579	153
20752	94707	5740	2013-08-03 21:19:21.407852	2013-08-03 21:19:21.407852	153
20753	94695	5800	2013-08-03 21:19:21.416229	2013-08-03 21:19:21.416229	153
20754	94657	5466	2013-08-03 21:19:21.423698	2013-08-03 21:19:21.423698	153
20755	94668	40918	2013-08-03 21:19:21.45007	2013-08-03 21:19:21.45007	153
20756	99213	9679	2013-08-03 21:19:21.498429	2013-08-03 21:19:21.498429	153
20757	99213	9699	2013-08-03 21:19:21.510751	2013-08-03 21:19:21.510751	153
20758	99213	29858	2013-08-03 21:19:21.522553	2013-08-03 21:19:21.522553	153
20759	99213	15926	2013-08-03 21:19:21.533188	2013-08-03 21:19:21.533188	153
20760	99213	15481	2013-08-03 21:19:21.544188	2013-08-03 21:19:21.544188	153
20761	99213	15301	2013-08-03 21:19:21.555018	2013-08-03 21:19:21.555018	153
20762	99213	11281	2013-08-03 21:19:21.566395	2013-08-03 21:19:21.566395	153
20763	99213	38263	2013-08-03 21:19:21.577583	2013-08-03 21:19:21.577583	153
20764	99213	16046	2013-08-03 21:19:21.588636	2013-08-03 21:19:21.588636	153
20765	94812	36415	2013-08-03 21:19:21.611397	2013-08-03 21:19:21.611397	153
20766	94812	18630	2013-08-03 21:19:21.622675	2013-08-03 21:19:21.622675	153
20767	94812	20761	2013-08-03 21:19:21.634183	2013-08-03 21:19:21.634183	153
20768	94812	23101	2013-08-03 21:19:21.645301	2013-08-03 21:19:21.645301	153
20769	94812	9191	2013-08-03 21:19:21.656042	2013-08-03 21:19:21.656042	153
20770	94812	8149	2013-08-03 21:19:21.667999	2013-08-03 21:19:21.667999	153
20771	94812	1389	2013-08-03 21:19:21.679087	2013-08-03 21:19:21.679087	153
20772	94812	17190	2013-08-03 21:19:21.69015	2013-08-03 21:19:21.69015	153
20773	94812	14275	2013-08-03 21:19:21.700909	2013-08-03 21:19:21.700909	153
20774	99211	41318	2013-08-03 21:19:21.742653	2013-08-03 21:19:21.742653	153
20775	95461	41298	2013-08-03 21:19:21.75981	2013-08-03 21:19:21.75981	153
20776	95417	41278	2013-08-03 21:19:21.783472	2013-08-03 21:19:21.783472	153
20777	95360	41258	2013-08-03 21:19:21.797153	2013-08-03 21:19:21.797153	153
20778	95271	41238	2013-08-03 21:19:21.806286	2013-08-03 21:19:21.806286	153
20779	95194	41218	2013-08-03 21:19:21.814652	2013-08-03 21:19:21.814652	153
20780	95080	1447	2013-08-03 21:19:21.823268	2013-08-03 21:19:21.823268	153
20781	94906	16421	2013-08-03 21:19:21.830084	2013-08-03 21:19:21.830084	153
20782	94891	5929	2013-08-03 21:19:21.843267	2013-08-03 21:19:21.843267	153
20783	94882	8306	2013-08-03 21:19:21.858617	2013-08-03 21:19:21.858617	153
20784	94877	5772	2013-08-03 21:19:21.88045	2013-08-03 21:19:21.88045	153
20785	94761	2471	2013-08-03 21:19:21.902784	2013-08-03 21:19:21.902784	153
20786	94727	20621	2013-08-03 21:19:21.924999	2013-08-03 21:19:21.924999	153
20787	94712	1460	2013-08-03 21:19:21.947453	2013-08-03 21:19:21.947453	153
20788	94699	1981	2013-08-03 21:19:21.970119	2013-08-03 21:19:21.970119	153
20789	94693	15630	2013-08-03 21:19:21.989962	2013-08-03 21:19:21.989962	153
20790	94677	49495	2013-08-03 21:19:21.998034	2013-08-03 21:19:21.998034	153
20791	94670	5284	2013-08-03 21:19:22.006213	2013-08-03 21:19:22.006213	153
20792	94661	9863	2013-08-03 21:19:22.013356	2013-08-03 21:19:22.013356	153
20793	99212	41578	2013-08-03 21:19:22.044023	2013-08-03 21:19:22.044023	153
20794	96094	41558	2013-08-03 21:19:22.060337	2013-08-03 21:19:22.060337	153
20795	95418	41538	2013-08-03 21:19:22.067897	2013-08-03 21:19:22.067897	153
20796	95355	41518	2013-08-03 21:19:22.075989	2013-08-03 21:19:22.075989	153
20797	94957	41498	2013-08-03 21:19:22.085014	2013-08-03 21:19:22.085014	153
20798	94903	41478	2013-08-03 21:19:22.096637	2013-08-03 21:19:22.096637	153
20799	94841	41458	2013-08-03 21:19:22.114695	2013-08-03 21:19:22.114695	153
20800	94796	41438	2013-08-03 21:19:22.137526	2013-08-03 21:19:22.137526	153
20801	94773	41418	2013-08-03 21:19:22.160581	2013-08-03 21:19:22.160581	153
20802	94731	41398	2013-08-03 21:19:22.184036	2013-08-03 21:19:22.184036	153
20803	94725	41378	2013-08-03 21:19:22.209416	2013-08-03 21:19:22.209416	153
20804	94714	41358	2013-08-03 21:19:22.233629	2013-08-03 21:19:22.233629	153
20805	94700	41338	2013-08-03 21:19:22.256434	2013-08-03 21:19:22.256434	153
20806	99209	33285	2013-08-03 21:19:22.302565	2013-08-03 21:19:22.302565	153
20807	95415	5641	2013-08-03 21:19:22.315096	2013-08-03 21:19:22.315096	153
20808	95273	17606	2013-08-03 21:19:22.323008	2013-08-03 21:19:22.323008	153
20809	95196	20750	2013-08-03 21:19:22.331316	2013-08-03 21:19:22.331316	153
20810	95081	5584	2013-08-03 21:19:22.340754	2013-08-03 21:19:22.340754	153
20811	94990	18340	2013-08-03 21:19:22.350419	2013-08-03 21:19:22.350419	153
20812	94908	14945	2013-08-03 21:19:22.361115	2013-08-03 21:19:22.361115	153
20813	94893	5681	2013-08-03 21:19:22.378804	2013-08-03 21:19:22.378804	153
20814	94878	5661	2013-08-03 21:19:22.400466	2013-08-03 21:19:22.400466	153
20815	94840	5804	2013-08-03 21:19:22.424529	2013-08-03 21:19:22.424529	153
20816	94750	39155	2013-08-03 21:19:22.437067	2013-08-03 21:19:22.437067	153
20817	94728	9418	2013-08-03 21:19:22.50045	2013-08-03 21:19:22.50045	153
20818	94710	28898	2013-08-03 21:19:22.528003	2013-08-03 21:19:22.528003	153
20819	94706	1284	2013-08-03 21:19:22.549099	2013-08-03 21:19:22.549099	153
20820	94698	34698	2013-08-03 21:19:22.555934	2013-08-03 21:19:22.555934	153
20821	94678	15450	2013-08-03 21:19:22.562995	2013-08-03 21:19:22.562995	153
20822	94666	16546	2013-08-03 21:19:22.569972	2013-08-03 21:19:22.569972	153
20823	94663	49595	2013-08-03 21:19:22.583505	2013-08-03 21:19:22.583505	153
20824	99215	40500	2013-08-03 21:19:22.615178	2013-08-03 21:19:22.615178	153
20825	95721	40480	2013-08-03 21:19:22.628841	2013-08-03 21:19:22.628841	153
20826	95555	40460	2013-08-03 21:19:22.644276	2013-08-03 21:19:22.644276	153
20827	95465	40440	2013-08-03 21:19:22.652948	2013-08-03 21:19:22.652948	153
20828	95412	40420	2013-08-03 21:19:22.662739	2013-08-03 21:19:22.662739	153
20829	95365	40400	2013-08-03 21:19:22.675939	2013-08-03 21:19:22.675939	153
20830	95275	40380	2013-08-03 21:19:22.698287	2013-08-03 21:19:22.698287	153
20831	95198	40360	2013-08-03 21:19:22.725214	2013-08-03 21:19:22.725214	153
20832	95153	40340	2013-08-03 21:19:22.753283	2013-08-03 21:19:22.753283	153
20833	95006	40320	2013-08-03 21:19:22.777859	2013-08-03 21:19:22.777859	153
20834	94964	40300	2013-08-03 21:19:22.793864	2013-08-03 21:19:22.793864	153
20835	94916	40280	2013-08-03 21:19:22.805433	2013-08-03 21:19:22.805433	153
20836	94879	40260	2013-08-03 21:19:22.813946	2013-08-03 21:19:22.813946	153
20837	94774	13451	2013-08-03 21:19:22.822638	2013-08-03 21:19:22.822638	153
20838	94760	8011	2013-08-03 21:19:22.830151	2013-08-03 21:19:22.830151	153
20839	94759	9418	2013-08-03 21:19:22.845597	2013-08-03 21:19:22.845597	153
20840	94722	20621	2013-08-03 21:19:22.858512	2013-08-03 21:19:22.858512	153
20841	99218	34885	2013-08-03 21:24:19.237159	2013-08-03 21:24:19.237159	154
20842	97468	34865	2013-08-03 21:24:19.262893	2013-08-03 21:24:19.262893	154
20843	97201	34795	2013-08-03 21:24:19.285376	2013-08-03 21:24:19.285376	154
20844	97147	34845	2013-08-03 21:24:19.307826	2013-08-03 21:24:19.307826	154
20845	96967	34825	2013-08-03 21:24:19.330675	2013-08-03 21:24:19.330675	154
20846	96897	34780	2013-08-03 21:24:19.353825	2013-08-03 21:24:19.353825	154
20847	96847	34805	2013-08-03 21:24:19.378033	2013-08-03 21:24:19.378033	154
20848	96803	34785	2013-08-03 21:24:19.449276	2013-08-03 21:24:19.449276	154
20849	96596	34765	2013-08-03 21:24:19.458757	2013-08-03 21:24:19.458757	154
20850	96514	34745	2013-08-03 21:24:19.474301	2013-08-03 21:24:19.474301	154
20851	96419	34725	2013-08-03 21:24:19.49129	2013-08-03 21:24:19.49129	154
20852	96308	34705	2013-08-03 21:24:19.510186	2013-08-03 21:24:19.510186	154
20853	96290	34685	2013-08-03 21:24:19.532736	2013-08-03 21:24:19.532736	154
20854	96283	18217	2013-08-03 21:24:19.555118	2013-08-03 21:24:19.555118	154
20855	96280	24301	2013-08-03 21:24:19.573775	2013-08-03 21:24:19.573775	154
20856	96268	16873	2013-08-03 21:24:19.581008	2013-08-03 21:24:19.581008	154
20857	97735	28072	2013-08-03 21:24:19.60709	2013-08-03 21:24:19.60709	154
20858	97735	3103	2013-08-03 21:24:19.611741	2013-08-03 21:24:19.611741	154
20859	97380	21763	2013-08-03 21:24:19.620071	2013-08-03 21:24:19.620071	154
20860	97380	262	2013-08-03 21:24:19.624521	2013-08-03 21:24:19.624521	154
20861	96857	28472	2013-08-03 21:24:19.632149	2013-08-03 21:24:19.632149	154
20862	96857	46155	2013-08-03 21:24:19.635623	2013-08-03 21:24:19.635623	154
20863	96631	20218	2013-08-03 21:24:19.647231	2013-08-03 21:24:19.647231	154
20864	96631	5432	2013-08-03 21:24:19.652479	2013-08-03 21:24:19.652479	154
20865	96361	21101	2013-08-03 21:24:19.661404	2013-08-03 21:24:19.661404	154
20866	96361	811	2013-08-03 21:24:19.664876	2013-08-03 21:24:19.664876	154
20867	96339	49595	2013-08-03 21:24:19.673485	2013-08-03 21:24:19.673485	154
20868	96339	9863	2013-08-03 21:24:19.678824	2013-08-03 21:24:19.678824	154
20869	96309	14488	2013-08-03 21:24:19.689685	2013-08-03 21:24:19.689685	154
20870	96309	29172	2013-08-03 21:24:19.696749	2013-08-03 21:24:19.696749	154
20871	96271	48243	2013-08-03 21:24:19.709267	2013-08-03 21:24:19.709267	154
20872	96271	28852	2013-08-03 21:24:19.716182	2013-08-03 21:24:19.716182	154
20873	97859	23510	2013-08-03 21:24:19.781732	2013-08-03 21:24:19.781732	154
20874	97806	23490	2013-08-03 21:24:19.791701	2013-08-03 21:24:19.791701	154
20875	96819	23470	2013-08-03 21:24:19.800099	2013-08-03 21:24:19.800099	154
20876	96789	5177	2013-08-03 21:24:19.808492	2013-08-03 21:24:19.808492	154
20877	96640	23492	2013-08-03 21:24:19.825513	2013-08-03 21:24:19.825513	154
20878	96516	23450	2013-08-03 21:24:19.848332	2013-08-03 21:24:19.848332	154
20879	96430	23430	2013-08-03 21:24:19.872	2013-08-03 21:24:19.872	154
20880	96384	6479	2013-08-03 21:24:19.894664	2013-08-03 21:24:19.894664	154
20881	96312	34698	2013-08-03 21:24:19.91609	2013-08-03 21:24:19.91609	154
20882	96279	18098	2013-08-03 21:24:19.938006	2013-08-03 21:24:19.938006	154
20883	96873	22901	2013-08-03 21:24:19.985568	2013-08-03 21:24:19.985568	154
20884	96873	22881	2013-08-03 21:24:19.990803	2013-08-03 21:24:19.990803	154
20885	96873	2189	2013-08-03 21:24:19.995539	2013-08-03 21:24:19.995539	154
20886	96382	30738	2013-08-03 21:24:20.004833	2013-08-03 21:24:20.004833	154
20887	96382	7178	2013-08-03 21:24:20.010034	2013-08-03 21:24:20.010034	154
20888	96382	38223	2013-08-03 21:24:20.014752	2013-08-03 21:24:20.014752	154
20889	96363	3939	2013-08-03 21:24:20.028285	2013-08-03 21:24:20.028285	154
20890	96363	48195	2013-08-03 21:24:20.038314	2013-08-03 21:24:20.038314	154
20891	96363	29515	2013-08-03 21:24:20.049216	2013-08-03 21:24:20.049216	154
20892	96314	5760	2013-08-03 21:24:20.071745	2013-08-03 21:24:20.071745	154
20893	96314	1284	2013-08-03 21:24:20.082469	2013-08-03 21:24:20.082469	154
20894	96314	1439	2013-08-03 21:24:20.092727	2013-08-03 21:24:20.092727	154
20895	96272	1981	2013-08-03 21:24:20.113825	2013-08-03 21:24:20.113825	154
20896	96272	5432	2013-08-03 21:24:20.124537	2013-08-03 21:24:20.124537	154
20897	96272	20218	2013-08-03 21:24:20.134778	2013-08-03 21:24:20.134778	154
20898	97109	33032	2013-08-03 21:24:20.206402	2013-08-03 21:24:20.206402	154
20899	96965	33012	2013-08-03 21:24:20.229011	2013-08-03 21:24:20.229011	154
20900	96871	32992	2013-08-03 21:24:20.252224	2013-08-03 21:24:20.252224	154
20901	96785	32972	2013-08-03 21:24:20.274332	2013-08-03 21:24:20.274332	154
20902	96647	32920	2013-08-03 21:24:20.296665	2013-08-03 21:24:20.296665	154
20903	96518	23410	2013-08-03 21:24:20.31986	2013-08-03 21:24:20.31986	154
20904	96499	21695	2013-08-03 21:24:20.342248	2013-08-03 21:24:20.342248	154
20905	96416	34385	2013-08-03 21:24:20.365131	2013-08-03 21:24:20.365131	154
20906	96388	38243	2013-08-03 21:24:20.387905	2013-08-03 21:24:20.387905	154
20907	96329	18630	2013-08-03 21:24:20.41001	2013-08-03 21:24:20.41001	154
20908	96311	5804	2013-08-03 21:24:20.43158	2013-08-03 21:24:20.43158	154
20909	96276	1607	2013-08-03 21:24:20.454234	2013-08-03 21:24:20.454234	154
20910	97813	12846	2013-08-03 21:24:20.513903	2013-08-03 21:24:20.513903	154
20911	97813	12790	2013-08-03 21:24:20.525566	2013-08-03 21:24:20.525566	154
20912	97471	12646	2013-08-03 21:24:20.548027	2013-08-03 21:24:20.548027	154
20913	97471	2860	2013-08-03 21:24:20.559305	2013-08-03 21:24:20.559305	154
20914	97405	22957	2013-08-03 21:24:20.582064	2013-08-03 21:24:20.582064	154
20915	97405	1272	2013-08-03 21:24:20.593216	2013-08-03 21:24:20.593216	154
20916	96653	12566	2013-08-03 21:24:20.615641	2013-08-03 21:24:20.615641	154
20917	96653	12635	2013-08-03 21:24:20.626837	2013-08-03 21:24:20.626837	154
20918	96401	12586	2013-08-03 21:24:20.649193	2013-08-03 21:24:20.649193	154
20919	96401	17612	2013-08-03 21:24:20.660543	2013-08-03 21:24:20.660543	154
20920	96313	14945	2013-08-03 21:24:20.682244	2013-08-03 21:24:20.682244	154
20921	96313	3103	2013-08-03 21:24:20.692688	2013-08-03 21:24:20.692688	154
20922	96273	28072	2013-08-03 21:24:20.714492	2013-08-03 21:24:20.714492	154
20923	96273	1642	2013-08-03 21:24:20.725312	2013-08-03 21:24:20.725312	154
20924	96930	18990	2013-08-03 21:24:21.052151	2013-08-03 21:24:21.052151	154
20925	96930	18850	2013-08-03 21:24:21.059856	2013-08-03 21:24:21.059856	154
20926	96930	18310	2013-08-03 21:24:21.066623	2013-08-03 21:24:21.066623	154
20927	96930	18363	2013-08-03 21:24:21.075256	2013-08-03 21:24:21.075256	154
20928	96930	38615	2013-08-03 21:24:21.084878	2013-08-03 21:24:21.084878	154
20929	96930	9781	2013-08-03 21:24:21.095502	2013-08-03 21:24:21.095502	154
20930	96930	39598	2013-08-03 21:24:21.103745	2013-08-03 21:24:21.103745	154
20931	96930	38935	2013-08-03 21:24:21.110434	2013-08-03 21:24:21.110434	154
20932	96930	22970	2013-08-03 21:24:21.120694	2013-08-03 21:24:21.120694	154
20933	96566	17446	2013-08-03 21:24:21.142819	2013-08-03 21:24:21.142819	154
20934	96566	17537	2013-08-03 21:24:21.154359	2013-08-03 21:24:21.154359	154
20935	96566	17286	2013-08-03 21:24:21.165325	2013-08-03 21:24:21.165325	154
20936	96566	38243	2013-08-03 21:24:21.176486	2013-08-03 21:24:21.176486	154
20937	96566	30738	2013-08-03 21:24:21.186536	2013-08-03 21:24:21.186536	154
20938	96566	7178	2013-08-03 21:24:21.195957	2013-08-03 21:24:21.195957	154
20939	96566	38223	2013-08-03 21:24:21.205482	2013-08-03 21:24:21.205482	154
20940	96566	49595	2013-08-03 21:24:21.215534	2013-08-03 21:24:21.215534	154
20941	96566	9863	2013-08-03 21:24:21.22534	2013-08-03 21:24:21.22534	154
20942	99219	41878	2013-08-03 21:24:21.285672	2013-08-03 21:24:21.285672	154
20943	97318	41858	2013-08-03 21:24:21.302747	2013-08-03 21:24:21.302747	154
20944	97312	41838	2013-08-03 21:24:21.325557	2013-08-03 21:24:21.325557	154
20945	96970	41818	2013-08-03 21:24:21.347951	2013-08-03 21:24:21.347951	154
20946	96932	41798	2013-08-03 21:24:21.370081	2013-08-03 21:24:21.370081	154
20947	96866	41778	2013-08-03 21:24:21.393196	2013-08-03 21:24:21.393196	154
20948	96815	41758	2013-08-03 21:24:21.415306	2013-08-03 21:24:21.415306	154
20949	96670	41738	2013-08-03 21:24:21.435788	2013-08-03 21:24:21.435788	154
20950	96519	41718	2013-08-03 21:24:21.455668	2013-08-03 21:24:21.455668	154
20951	96493	5641	2013-08-03 21:24:21.477706	2013-08-03 21:24:21.477706	154
20952	96435	49515	2013-08-03 21:24:21.499345	2013-08-03 21:24:21.499345	154
20953	96429	1586	2013-08-03 21:24:21.520067	2013-08-03 21:24:21.520067	154
20954	96346	10135	2013-08-03 21:24:21.540882	2013-08-03 21:24:21.540882	154
20955	96316	11937	2013-08-03 21:24:21.56037	2013-08-03 21:24:21.56037	154
20956	96275	14168	2013-08-03 21:24:21.580333	2013-08-03 21:24:21.580333	154
20957	99223	42218	2013-08-03 21:24:21.64818	2013-08-03 21:24:21.64818	154
20958	97165	42198	2013-08-03 21:24:21.670167	2013-08-03 21:24:21.670167	154
20959	96971	42178	2013-08-03 21:24:21.693096	2013-08-03 21:24:21.693096	154
20960	96907	42158	2013-08-03 21:24:21.716489	2013-08-03 21:24:21.716489	154
20961	96843	42138	2013-08-03 21:24:21.739691	2013-08-03 21:24:21.739691	154
20962	96673	42118	2013-08-03 21:24:21.760726	2013-08-03 21:24:21.760726	154
20963	96409	42098	2013-08-03 21:24:21.783224	2013-08-03 21:24:21.783224	154
20964	96358	42078	2013-08-03 21:24:21.805654	2013-08-03 21:24:21.805654	154
20965	96352	42058	2013-08-03 21:24:21.828353	2013-08-03 21:24:21.828353	154
20966	96315	42038	2013-08-03 21:24:21.837579	2013-08-03 21:24:21.837579	154
20967	96310	42018	2013-08-03 21:24:21.849245	2013-08-03 21:24:21.849245	154
20968	96292	41998	2013-08-03 21:24:21.863877	2013-08-03 21:24:21.863877	154
20969	96284	41978	2013-08-03 21:24:21.881812	2013-08-03 21:24:21.881812	154
20970	99217	42543	2013-08-03 21:24:21.924609	2013-08-03 21:24:21.924609	154
20971	97473	10259	2013-08-03 21:24:21.945928	2013-08-03 21:24:21.945928	154
20972	97316	10239	2013-08-03 21:24:21.957456	2013-08-03 21:24:21.957456	154
20973	96966	10219	2013-08-03 21:24:21.972538	2013-08-03 21:24:21.972538	154
20974	96915	10199	2013-08-03 21:24:21.993389	2013-08-03 21:24:21.993389	154
20975	96867	10015	2013-08-03 21:24:22.011492	2013-08-03 21:24:22.011492	154
20976	96794	1196	2013-08-03 21:24:22.024028	2013-08-03 21:24:22.024028	154
20977	96682	1997	2013-08-03 21:24:22.037637	2013-08-03 21:24:22.037637	154
20978	96522	9483	2013-08-03 21:24:22.049156	2013-08-03 21:24:22.049156	154
20979	96496	17606	2013-08-03 21:24:22.056354	2013-08-03 21:24:22.056354	154
20980	96441	5772	2013-08-03 21:24:22.073891	2013-08-03 21:24:22.073891	154
20981	96417	15630	2013-08-03 21:24:22.095814	2013-08-03 21:24:22.095814	154
20982	96348	262	2013-08-03 21:24:22.115885	2013-08-03 21:24:22.115885	154
20983	96317	21763	2013-08-03 21:24:22.122301	2013-08-03 21:24:22.122301	154
20984	96282	14275	2013-08-03 21:24:22.128461	2013-08-03 21:24:22.128461	154
20985	96274	1722	2013-08-03 21:24:22.134586	2013-08-03 21:24:22.134586	154
20986	99222	40740	2013-08-03 21:24:22.154025	2013-08-03 21:24:22.154025	154
20987	97475	40720	2013-08-03 21:24:22.160915	2013-08-03 21:24:22.160915	154
20988	97320	40700	2013-08-03 21:24:22.168395	2013-08-03 21:24:22.168395	154
20989	97314	40680	2013-08-03 21:24:22.174819	2013-08-03 21:24:22.174819	154
20990	96968	40660	2013-08-03 21:24:22.183191	2013-08-03 21:24:22.183191	154
20991	96916	40640	2013-08-03 21:24:22.264229	2013-08-03 21:24:22.264229	154
20992	96854	40620	2013-08-03 21:24:22.27517	2013-08-03 21:24:22.27517	154
20993	96787	40600	2013-08-03 21:24:22.291387	2013-08-03 21:24:22.291387	154
20994	96691	40580	2013-08-03 21:24:22.302215	2013-08-03 21:24:22.302215	154
20995	96523	40560	2013-08-03 21:24:22.309816	2013-08-03 21:24:22.309816	154
20996	96462	9037	2013-08-03 21:24:22.317281	2013-08-03 21:24:22.317281	154
20997	96418	1389	2013-08-03 21:24:22.324764	2013-08-03 21:24:22.324764	154
20998	96349	17190	2013-08-03 21:24:22.337718	2013-08-03 21:24:22.337718	154
20999	96327	21061	2013-08-03 21:24:22.346212	2013-08-03 21:24:22.346212	154
21000	96281	5304	2013-08-03 21:24:22.358711	2013-08-03 21:24:22.358711	154
21001	96277	1702	2013-08-03 21:24:22.372344	2013-08-03 21:24:22.372344	154
21002	99861	24441	2013-08-03 21:29:19.632534	2013-08-03 21:29:19.632534	155
21003	99656	24421	2013-08-03 21:29:19.658904	2013-08-03 21:29:19.658904	155
21004	99532	24401	2013-08-03 21:29:19.682141	2013-08-03 21:29:19.682141	155
21005	99409	24381	2013-08-03 21:29:19.705256	2013-08-03 21:29:19.705256	155
21006	99316	24361	2013-08-03 21:29:19.7291	2013-08-03 21:29:19.7291	155
21007	99228	24341	2013-08-03 21:29:19.755609	2013-08-03 21:29:19.755609	155
21008	99115	24345	2013-08-03 21:29:19.832819	2013-08-03 21:29:19.832819	155
21009	99103	24210	2013-08-03 21:29:19.839426	2013-08-03 21:29:19.839426	155
21010	99089	21970	2013-08-03 21:29:19.846742	2013-08-03 21:29:19.846742	155
21011	99054	5921	2013-08-03 21:29:19.858233	2013-08-03 21:29:19.858233	155
21012	99047	23970	2013-08-03 21:29:19.875692	2013-08-03 21:29:19.875692	155
21013	99036	2360	2013-08-03 21:29:19.891229	2013-08-03 21:29:19.891229	155
21014	99022	18386	2013-08-03 21:29:19.911452	2013-08-03 21:29:19.911452	155
21015	99019	8249	2013-08-03 21:29:19.924588	2013-08-03 21:29:19.924588	155
21016	99001	15246	2013-08-03 21:29:19.934939	2013-08-03 21:29:19.934939	155
21017	99226	35565	2013-08-03 21:29:19.972489	2013-08-03 21:29:19.972489	155
21018	98813	35545	2013-08-03 21:29:19.980609	2013-08-03 21:29:19.980609	155
21019	98661	35525	2013-08-03 21:29:19.993968	2013-08-03 21:29:19.993968	155
21020	98392	35505	2013-08-03 21:29:20.005184	2013-08-03 21:29:20.005184	155
21021	98300	35485	2013-08-03 21:29:20.013574	2013-08-03 21:29:20.013574	155
21022	98298	35460	2013-08-03 21:29:20.022106	2013-08-03 21:29:20.022106	155
21023	98273	35415	2013-08-03 21:29:20.032382	2013-08-03 21:29:20.032382	155
21024	98261	35465	2013-08-03 21:29:20.046583	2013-08-03 21:29:20.046583	155
21025	98238	35445	2013-08-03 21:29:20.062862	2013-08-03 21:29:20.062862	155
21026	98113	35425	2013-08-03 21:29:20.076242	2013-08-03 21:29:20.076242	155
21027	98085	35405	2013-08-03 21:29:20.097441	2013-08-03 21:29:20.097441	155
21028	98079	35385	2013-08-03 21:29:20.111031	2013-08-03 21:29:20.111031	155
21029	98076	35365	2013-08-03 21:29:20.127052	2013-08-03 21:29:20.127052	155
21030	98026	35345	2013-08-03 21:29:20.145835	2013-08-03 21:29:20.145835	155
21031	97951	35325	2013-08-03 21:29:20.161384	2013-08-03 21:29:20.161384	155
21032	97934	35200	2013-08-03 21:29:20.182298	2013-08-03 21:29:20.182298	155
21033	97932	35305	2013-08-03 21:29:20.199337	2013-08-03 21:29:20.199337	155
21034	97921	24441	2013-08-03 21:29:20.221853	2013-08-03 21:29:20.221853	155
21035	98814	38318	2013-08-03 21:29:20.24583	2013-08-03 21:29:20.24583	155
21036	98814	22301	2013-08-03 21:29:20.251853	2013-08-03 21:29:20.251853	155
21037	98758	19581	2013-08-03 21:29:20.264711	2013-08-03 21:29:20.264711	155
21038	98758	21981	2013-08-03 21:29:20.271107	2013-08-03 21:29:20.271107	155
21039	98501	24037	2013-08-03 21:29:20.279369	2013-08-03 21:29:20.279369	155
21040	98501	347	2013-08-03 21:29:20.2836	2013-08-03 21:29:20.2836	155
21041	98396	28072	2013-08-03 21:29:20.291861	2013-08-03 21:29:20.291861	155
21042	98396	20218	2013-08-03 21:29:20.29582	2013-08-03 21:29:20.29582	155
21043	98125	5432	2013-08-03 21:29:20.303537	2013-08-03 21:29:20.303537	155
21044	98125	1702	2013-08-03 21:29:20.309758	2013-08-03 21:29:20.309758	155
21045	98030	1722	2013-08-03 21:29:20.321577	2013-08-03 21:29:20.321577	155
21046	98030	14168	2013-08-03 21:29:20.32889	2013-08-03 21:29:20.32889	155
21047	97952	1642	2013-08-03 21:29:20.343944	2013-08-03 21:29:20.343944	155
21048	97952	1607	2013-08-03 21:29:20.351123	2013-08-03 21:29:20.351123	155
21049	97936	48243	2013-08-03 21:29:20.362934	2013-08-03 21:29:20.362934	155
21050	97936	28852	2013-08-03 21:29:20.366244	2013-08-03 21:29:20.366244	155
21051	99541	24310	2013-08-03 21:29:20.391721	2013-08-03 21:29:20.391721	155
21052	99140	24283	2013-08-03 21:29:20.40055	2013-08-03 21:29:20.40055	155
21053	98830	24290	2013-08-03 21:29:20.408117	2013-08-03 21:29:20.408117	155
21054	98781	24270	2013-08-03 21:29:20.415874	2013-08-03 21:29:20.415874	155
21055	98722	24250	2013-08-03 21:29:20.424081	2013-08-03 21:29:20.424081	155
21056	98358	24230	2013-08-03 21:29:20.434365	2013-08-03 21:29:20.434365	155
21057	98239	24221	2013-08-03 21:29:20.445823	2013-08-03 21:29:20.445823	155
21058	98145	5828	2013-08-03 21:29:20.454416	2013-08-03 21:29:20.454416	155
21059	98128	19577	2013-08-03 21:29:20.462784	2013-08-03 21:29:20.462784	155
21060	98059	18286	2013-08-03 21:29:20.470363	2013-08-03 21:29:20.470363	155
21061	97982	38383	2013-08-03 21:29:20.47848	2013-08-03 21:29:20.47848	155
21062	98832	12476	2013-08-03 21:29:20.498082	2013-08-03 21:29:20.498082	155
21063	98832	12261	2013-08-03 21:29:20.503097	2013-08-03 21:29:20.503097	155
21064	98763	12346	2013-08-03 21:29:20.514009	2013-08-03 21:29:20.514009	155
21065	98763	12266	2013-08-03 21:29:20.518805	2013-08-03 21:29:20.518805	155
21066	98542	12320	2013-08-03 21:29:20.527092	2013-08-03 21:29:20.527092	155
21067	98542	12101	2013-08-03 21:29:20.531155	2013-08-03 21:29:20.531155	155
21068	98306	12246	2013-08-03 21:29:20.539087	2013-08-03 21:29:20.539087	155
21069	98306	13160	2013-08-03 21:29:20.543484	2013-08-03 21:29:20.543484	155
21070	98264	16101	2013-08-03 21:29:20.551478	2013-08-03 21:29:20.551478	155
21071	98264	2920	2013-08-03 21:29:20.55652	2013-08-03 21:29:20.55652	155
21072	98232	2900	2013-08-03 21:29:20.593427	2013-08-03 21:29:20.593427	155
21073	98232	4092	2013-08-03 21:29:20.606247	2013-08-03 21:29:20.606247	155
21074	98127	1997	2013-08-03 21:29:20.623624	2013-08-03 21:29:20.623624	155
21075	98127	5432	2013-08-03 21:29:20.630419	2013-08-03 21:29:20.630419	155
21076	98101	11031	2013-08-03 21:29:20.641327	2013-08-03 21:29:20.641327	155
21077	98101	1702	2013-08-03 21:29:20.644944	2013-08-03 21:29:20.644944	155
21078	98838	13500	2013-08-03 21:29:20.670453	2013-08-03 21:29:20.670453	155
21079	98838	13486	2013-08-03 21:29:20.679993	2013-08-03 21:29:20.679993	155
21080	98732	13831	2013-08-03 21:29:20.696183	2013-08-03 21:29:20.696183	155
21081	98732	8751	2013-08-03 21:29:20.706648	2013-08-03 21:29:20.706648	155
21082	98265	13226	2013-08-03 21:29:20.725387	2013-08-03 21:29:20.725387	155
21083	98265	13252	2013-08-03 21:29:20.734239	2013-08-03 21:29:20.734239	155
21084	98134	13751	2013-08-03 21:29:20.809678	2013-08-03 21:29:20.809678	155
21085	98134	13186	2013-08-03 21:29:20.814066	2013-08-03 21:29:20.814066	155
21086	97968	24217	2013-08-03 21:29:20.822549	2013-08-03 21:29:20.822549	155
21087	97968	12246	2013-08-03 21:29:20.828893	2013-08-03 21:29:20.828893	155
21088	97947	13160	2013-08-03 21:29:20.836324	2013-08-03 21:29:20.836324	155
21089	97947	6866	2013-08-03 21:29:20.841507	2013-08-03 21:29:20.841507	155
21090	97938	14168	2013-08-03 21:29:20.850846	2013-08-03 21:29:20.850846	155
21091	97938	1722	2013-08-03 21:29:20.85527	2013-08-03 21:29:20.85527	155
21092	99224	23201	2013-08-03 21:29:20.994296	2013-08-03 21:29:20.994296	155
21093	99224	22801	2013-08-03 21:29:21.000046	2013-08-03 21:29:21.000046	155
21094	99224	22750	2013-08-03 21:29:21.004283	2013-08-03 21:29:21.004283	155
21095	99224	22641	2013-08-03 21:29:21.008328	2013-08-03 21:29:21.008328	155
21096	99224	22510	2013-08-03 21:29:21.012623	2013-08-03 21:29:21.012623	155
21097	99224	22350	2013-08-03 21:29:21.016508	2013-08-03 21:29:21.016508	155
21098	99224	22290	2013-08-03 21:29:21.020472	2013-08-03 21:29:21.020472	155
21099	99224	22101	2013-08-03 21:29:21.026183	2013-08-03 21:29:21.026183	155
21100	99224	21950	2013-08-03 21:29:21.031644	2013-08-03 21:29:21.031644	155
21101	97944	13160	2013-08-03 21:29:21.045393	2013-08-03 21:29:21.045393	155
21102	97944	12320	2013-08-03 21:29:21.053503	2013-08-03 21:29:21.053503	155
21103	97944	347	2013-08-03 21:29:21.060708	2013-08-03 21:29:21.060708	155
21104	97944	24037	2013-08-03 21:29:21.067144	2013-08-03 21:29:21.067144	155
21105	97944	5921	2013-08-03 21:29:21.072983	2013-08-03 21:29:21.072983	155
21106	97944	12101	2013-08-03 21:29:21.077387	2013-08-03 21:29:21.077387	155
21107	97944	10015	2013-08-03 21:29:21.082973	2013-08-03 21:29:21.082973	155
21108	97944	1196	2013-08-03 21:29:21.089571	2013-08-03 21:29:21.089571	155
21109	97944	6866	2013-08-03 21:29:21.098523	2013-08-03 21:29:21.098523	155
21110	99227	42478	2013-08-03 21:29:21.12448	2013-08-03 21:29:21.12448	155
21111	98731	42458	2013-08-03 21:29:21.132178	2013-08-03 21:29:21.132178	155
21112	98721	42438	2013-08-03 21:29:21.141812	2013-08-03 21:29:21.141812	155
21113	98612	42418	2013-08-03 21:29:21.150594	2013-08-03 21:29:21.150594	155
21114	98301	42398	2013-08-03 21:29:21.158399	2013-08-03 21:29:21.158399	155
21115	98274	42378	2013-08-03 21:29:21.170377	2013-08-03 21:29:21.170377	155
21116	98266	42358	2013-08-03 21:29:21.187243	2013-08-03 21:29:21.187243	155
21117	98240	33432	2013-08-03 21:29:21.204015	2013-08-03 21:29:21.204015	155
21118	98144	5831	2013-08-03 21:29:21.220237	2013-08-03 21:29:21.220237	155
21119	98131	10219	2013-08-03 21:29:21.234453	2013-08-03 21:29:21.234453	155
21120	98094	18326	2013-08-03 21:29:21.252273	2013-08-03 21:29:21.252273	155
21121	98080	10199	2013-08-03 21:29:21.269713	2013-08-03 21:29:21.269713	155
21122	98045	5909	2013-08-03 21:29:21.281176	2013-08-03 21:29:21.281176	155
21123	98004	5106	2013-08-03 21:29:21.319298	2013-08-03 21:29:21.319298	155
21124	97963	19477	2013-08-03 21:29:21.34181	2013-08-03 21:29:21.34181	155
21125	97942	9863	2013-08-03 21:29:21.361853	2013-08-03 21:29:21.361853	155
21126	97920	1586	2013-08-03 21:29:21.382503	2013-08-03 21:29:21.382503	155
21127	97917	14408	2013-08-03 21:29:21.397845	2013-08-03 21:29:21.397845	155
21128	99435	42738	2013-08-03 21:29:21.433791	2013-08-03 21:29:21.433791	155
21129	98865	42718	2013-08-03 21:29:21.449854	2013-08-03 21:29:21.449854	155
21130	98628	42698	2013-08-03 21:29:21.468544	2013-08-03 21:29:21.468544	155
21131	98336	42678	2013-08-03 21:29:21.485239	2013-08-03 21:29:21.485239	155
21132	98201	42658	2013-08-03 21:29:21.511926	2013-08-03 21:29:21.511926	155
21133	98148	42638	2013-08-03 21:29:21.53022	2013-08-03 21:29:21.53022	155
21134	98096	42618	2013-08-03 21:29:21.541873	2013-08-03 21:29:21.541873	155
21135	98006	42598	2013-08-03 21:29:21.553265	2013-08-03 21:29:21.553265	155
21136	98002	42578	2013-08-03 21:29:21.565583	2013-08-03 21:29:21.565583	155
21137	97962	42558	2013-08-03 21:29:21.573418	2013-08-03 21:29:21.573418	155
21138	97949	42538	2013-08-03 21:29:21.588831	2013-08-03 21:29:21.588831	155
21139	97915	42518	2013-08-03 21:29:21.608243	2013-08-03 21:29:21.608243	155
21140	99225	10419	2013-08-03 21:29:21.644226	2013-08-03 21:29:21.644226	155
21141	98737	10399	2013-08-03 21:29:21.663988	2013-08-03 21:29:21.663988	155
21142	98618	10379	2013-08-03 21:29:21.68608	2013-08-03 21:29:21.68608	155
21143	98302	10266	2013-08-03 21:29:21.699611	2013-08-03 21:29:21.699611	155
21144	98271	10257	2013-08-03 21:29:21.708623	2013-08-03 21:29:21.708623	155
21145	98267	10277	2013-08-03 21:29:21.718224	2013-08-03 21:29:21.718224	155
21146	98237	10297	2013-08-03 21:29:21.726562	2013-08-03 21:29:21.726562	155
21147	98154	10359	2013-08-03 21:29:21.735238	2013-08-03 21:29:21.735238	155
21148	98133	10339	2013-08-03 21:29:21.743284	2013-08-03 21:29:21.743284	155
21149	98092	10319	2013-08-03 21:29:21.754178	2013-08-03 21:29:21.754178	155
21150	98071	5889	2013-08-03 21:29:21.774167	2013-08-03 21:29:21.774167	155
21151	98054	5772	2013-08-03 21:29:21.793883	2013-08-03 21:29:21.793883	155
21152	98005	22301	2013-08-03 21:29:21.869927	2013-08-03 21:29:21.869927	155
21153	97976	38318	2013-08-03 21:29:21.878095	2013-08-03 21:29:21.878095	155
21154	97969	46155	2013-08-03 21:29:21.884011	2013-08-03 21:29:21.884011	155
21155	97943	2018	2013-08-03 21:29:21.903301	2013-08-03 21:29:21.903301	155
21156	97919	22437	2013-08-03 21:29:21.919345	2013-08-03 21:29:21.919345	155
21157	98851	41300	2013-08-03 21:29:21.957828	2013-08-03 21:29:21.957828	155
21158	98851	41280	2013-08-03 21:29:21.96413	2013-08-03 21:29:21.96413	155
21159	98742	41260	2013-08-03 21:29:21.976593	2013-08-03 21:29:21.976593	155
21160	98742	41240	2013-08-03 21:29:21.982822	2013-08-03 21:29:21.982822	155
21161	98268	41220	2013-08-03 21:29:21.991699	2013-08-03 21:29:21.991699	155
21162	98268	41200	2013-08-03 21:29:21.996977	2013-08-03 21:29:21.996977	155
21163	98159	41180	2013-08-03 21:29:22.008124	2013-08-03 21:29:22.008124	155
21164	98159	41160	2013-08-03 21:29:22.014438	2013-08-03 21:29:22.014438	155
21165	98055	41140	2013-08-03 21:29:22.028056	2013-08-03 21:29:22.028056	155
21166	98055	41120	2013-08-03 21:29:22.034397	2013-08-03 21:29:22.034397	155
21167	97996	35305	2013-08-03 21:29:22.045658	2013-08-03 21:29:22.045658	155
21168	97996	34960	2013-08-03 21:29:22.050816	2013-08-03 21:29:22.050816	155
21169	97971	23990	2013-08-03 21:29:22.058908	2013-08-03 21:29:22.058908	155
21170	97971	24345	2013-08-03 21:29:22.062516	2013-08-03 21:29:22.062516	155
21171	97941	49595	2013-08-03 21:29:22.07375	2013-08-03 21:29:22.07375	155
21172	97941	38803	2013-08-03 21:29:22.080108	2013-08-03 21:29:22.080108	155
21173	97939	28472	2013-08-03 21:29:22.091961	2013-08-03 21:29:22.091961	155
21174	97939	35683	2013-08-03 21:29:22.096944	2013-08-03 21:29:22.096944	155
21175	101087	25261	2013-08-03 21:34:19.809465	2013-08-03 21:34:19.809465	156
21176	100941	25241	2013-08-03 21:34:19.822035	2013-08-03 21:34:19.822035	156
21177	100646	25221	2013-08-03 21:34:19.83025	2013-08-03 21:34:19.83025	156
21178	100464	25201	2013-08-03 21:34:19.842818	2013-08-03 21:34:19.842818	156
21179	100411	25181	2013-08-03 21:34:19.859268	2013-08-03 21:34:19.859268	156
21180	100406	25161	2013-08-03 21:34:19.884645	2013-08-03 21:34:19.884645	156
21181	100164	25141	2013-08-03 21:34:19.90942	2013-08-03 21:34:19.90942	156
21182	100054	25121	2013-08-03 21:34:19.934111	2013-08-03 21:34:19.934111	156
21183	99940	25060	2013-08-03 21:34:19.94315	2013-08-03 21:34:19.94315	156
21184	99938	25000	2013-08-03 21:34:19.951603	2013-08-03 21:34:19.951603	156
21185	99931	4666	2013-08-03 21:34:19.960367	2013-08-03 21:34:19.960367	156
21186	99860	25101	2013-08-03 21:34:19.969806	2013-08-03 21:34:19.969806	156
21187	99771	25081	2013-08-03 21:34:19.981442	2013-08-03 21:34:19.981442	156
21188	99737	25061	2013-08-03 21:34:19.99086	2013-08-03 21:34:19.99086	156
21189	99735	25041	2013-08-03 21:34:20.000607	2013-08-03 21:34:20.000607	156
21190	99697	25021	2013-08-03 21:34:20.009245	2013-08-03 21:34:20.009245	156
21191	99688	25118	2013-08-03 21:34:20.017039	2013-08-03 21:34:20.017039	156
21192	101191	24981	2013-08-03 21:34:20.033842	2013-08-03 21:34:20.033842	156
21193	100876	25201	2013-08-03 21:34:20.04522	2013-08-03 21:34:20.04522	156
21194	99726	16268	2013-08-03 21:34:20.062515	2013-08-03 21:34:20.062515	156
21195	100642	35905	2013-08-03 21:34:20.110421	2013-08-03 21:34:20.110421	156
21196	100477	35840	2013-08-03 21:34:20.128684	2013-08-03 21:34:20.128684	156
21197	100407	35885	2013-08-03 21:34:20.145284	2013-08-03 21:34:20.145284	156
21198	100403	35865	2013-08-03 21:34:20.168124	2013-08-03 21:34:20.168124	156
21199	100158	35845	2013-08-03 21:34:20.19095	2013-08-03 21:34:20.19095	156
21200	100011	35825	2013-08-03 21:34:20.215705	2013-08-03 21:34:20.215705	156
21201	99937	35805	2013-08-03 21:34:20.238517	2013-08-03 21:34:20.238517	156
21202	99936	35785	2013-08-03 21:34:20.261038	2013-08-03 21:34:20.261038	156
21203	99928	35765	2013-08-03 21:34:20.28491	2013-08-03 21:34:20.28491	156
21204	99917	35745	2013-08-03 21:34:20.308222	2013-08-03 21:34:20.308222	156
21205	99770	35725	2013-08-03 21:34:20.331834	2013-08-03 21:34:20.331834	156
21206	99741	35705	2013-08-03 21:34:20.355246	2013-08-03 21:34:20.355246	156
21207	99733	25261	2013-08-03 21:34:20.378945	2013-08-03 21:34:20.378945	156
21208	99702	24961	2013-08-03 21:34:20.401123	2013-08-03 21:34:20.401123	156
21209	99689	24638	2013-08-03 21:34:20.417972	2013-08-03 21:34:20.417972	156
21210	99687	2039	2013-08-03 21:34:20.427892	2013-08-03 21:34:20.427892	156
21211	100592	8526	2013-08-03 21:34:20.454216	2013-08-03 21:34:20.454216	156
21212	100592	38938	2013-08-03 21:34:20.459386	2013-08-03 21:34:20.459386	156
21213	100206	17470	2013-08-03 21:34:20.471206	2013-08-03 21:34:20.471206	156
21214	100206	47803	2013-08-03 21:34:20.476704	2013-08-03 21:34:20.476704	156
21215	99962	28472	2013-08-03 21:34:20.488591	2013-08-03 21:34:20.488591	156
21216	99962	2039	2013-08-03 21:34:20.494745	2013-08-03 21:34:20.494745	156
21217	99939	10338	2013-08-03 21:34:20.506273	2013-08-03 21:34:20.506273	156
21218	99939	35683	2013-08-03 21:34:20.511837	2013-08-03 21:34:20.511837	156
21219	99870	22437	2013-08-03 21:34:20.520702	2013-08-03 21:34:20.520702	156
21220	99870	11031	2013-08-03 21:34:20.524959	2013-08-03 21:34:20.524959	156
21221	99768	1586	2013-08-03 21:34:20.535651	2013-08-03 21:34:20.535651	156
21222	99768	1722	2013-08-03 21:34:20.541186	2013-08-03 21:34:20.541186	156
21223	99701	14168	2013-08-03 21:34:20.548555	2013-08-03 21:34:20.548555	156
21224	99701	1702	2013-08-03 21:34:20.552717	2013-08-03 21:34:20.552717	156
21225	99696	48243	2013-08-03 21:34:20.563122	2013-08-03 21:34:20.563122	156
21226	99696	28852	2013-08-03 21:34:20.568818	2013-08-03 21:34:20.568818	156
21227	101085	24810	2013-08-03 21:34:20.602761	2013-08-03 21:34:20.602761	156
21228	101085	24715	2013-08-03 21:34:20.60841	2013-08-03 21:34:20.60841	156
21229	100600	24790	2013-08-03 21:34:20.625475	2013-08-03 21:34:20.625475	156
21230	100600	24770	2013-08-03 21:34:20.636846	2013-08-03 21:34:20.636846	156
21231	100471	24750	2013-08-03 21:34:20.660502	2013-08-03 21:34:20.660502	156
21232	100471	24730	2013-08-03 21:34:20.673353	2013-08-03 21:34:20.673353	156
21233	99954	24621	2013-08-03 21:34:20.696432	2013-08-03 21:34:20.696432	156
21234	99954	24250	2013-08-03 21:34:20.70654	2013-08-03 21:34:20.70654	156
21235	99764	23981	2013-08-03 21:34:20.725542	2013-08-03 21:34:20.725542	156
21236	99764	25101	2013-08-03 21:34:20.729617	2013-08-03 21:34:20.729617	156
21237	99707	24861	2013-08-03 21:34:20.736904	2013-08-03 21:34:20.736904	156
21238	99707	3835	2013-08-03 21:34:20.740697	2013-08-03 21:34:20.740697	156
21239	99698	5845	2013-08-03 21:34:20.750935	2013-08-03 21:34:20.750935	156
21240	99698	2024	2013-08-03 21:34:20.755936	2013-08-03 21:34:20.755936	156
21241	100748	4839	2013-08-03 21:34:20.800734	2013-08-03 21:34:20.800734	156
21242	100748	9111	2013-08-03 21:34:20.813037	2013-08-03 21:34:20.813037	156
21243	100651	9051	2013-08-03 21:34:20.837067	2013-08-03 21:34:20.837067	156
21244	100651	7230	2013-08-03 21:34:20.845845	2013-08-03 21:34:20.845845	156
21245	100649	13551	2013-08-03 21:34:20.86203	2013-08-03 21:34:20.86203	156
21246	100649	18688	2013-08-03 21:34:20.866636	2013-08-03 21:34:20.866636	156
21247	100601	12866	2013-08-03 21:34:20.874912	2013-08-03 21:34:20.874912	156
21248	100601	22961	2013-08-03 21:34:20.878784	2013-08-03 21:34:20.878784	156
21249	99869	12497	2013-08-03 21:34:20.889389	2013-08-03 21:34:20.889389	156
21250	99869	12466	2013-08-03 21:34:20.952978	2013-08-03 21:34:20.952978	156
21251	99723	12446	2013-08-03 21:34:20.969856	2013-08-03 21:34:20.969856	156
21252	99723	10359	2013-08-03 21:34:20.977679	2013-08-03 21:34:20.977679	156
21253	99708	5850	2013-08-03 21:34:20.994478	2013-08-03 21:34:20.994478	156
21254	99708	10338	2013-08-03 21:34:20.998841	2013-08-03 21:34:20.998841	156
21255	99703	2034	2013-08-03 21:34:21.007218	2013-08-03 21:34:21.007218	156
21256	99703	35683	2013-08-03 21:34:21.010897	2013-08-03 21:34:21.010897	156
21257	101093	14871	2013-08-03 21:34:21.036294	2013-08-03 21:34:21.036294	156
21258	101093	14891	2013-08-03 21:34:21.042096	2013-08-03 21:34:21.042096	156
21259	100653	9739	2013-08-03 21:34:21.051883	2013-08-03 21:34:21.051883	156
21260	100653	43823	2013-08-03 21:34:21.056746	2013-08-03 21:34:21.056746	156
21261	100604	34198	2013-08-03 21:34:21.064406	2013-08-03 21:34:21.064406	156
21262	100604	18770	2013-08-03 21:34:21.068801	2013-08-03 21:34:21.068801	156
21263	100275	13686	2013-08-03 21:34:21.07994	2013-08-03 21:34:21.07994	156
21264	100275	9191	2013-08-03 21:34:21.084086	2013-08-03 21:34:21.084086	156
21265	99960	13950	2013-08-03 21:34:21.091549	2013-08-03 21:34:21.091549	156
21266	99960	13646	2013-08-03 21:34:21.099047	2013-08-03 21:34:21.099047	156
21267	99879	5915	2013-08-03 21:34:21.106873	2013-08-03 21:34:21.106873	156
21268	99879	5909	2013-08-03 21:34:21.110652	2013-08-03 21:34:21.110652	156
21269	99738	5772	2013-08-03 21:34:21.119729	2013-08-03 21:34:21.119729	156
21270	99738	28472	2013-08-03 21:34:21.125278	2013-08-03 21:34:21.125278	156
21271	99709	2039	2013-08-03 21:34:21.139076	2013-08-03 21:34:21.139076	156
21272	99709	1950	2013-08-03 21:34:21.14337	2013-08-03 21:34:21.14337	156
21273	101090	42998	2013-08-03 21:34:21.357771	2013-08-03 21:34:21.357771	156
21274	100655	42978	2013-08-03 21:34:21.381279	2013-08-03 21:34:21.381279	156
21275	100497	42958	2013-08-03 21:34:21.404032	2013-08-03 21:34:21.404032	156
21276	100472	42938	2013-08-03 21:34:21.428352	2013-08-03 21:34:21.428352	156
21277	100431	42918	2013-08-03 21:34:21.452239	2013-08-03 21:34:21.452239	156
21278	100293	42898	2013-08-03 21:34:21.478813	2013-08-03 21:34:21.478813	156
21279	100010	41340	2013-08-03 21:34:21.502143	2013-08-03 21:34:21.502143	156
21280	99985	16228	2013-08-03 21:34:21.525383	2013-08-03 21:34:21.525383	156
21281	99963	10379	2013-08-03 21:34:21.552009	2013-08-03 21:34:21.552009	156
21282	99955	10257	2013-08-03 21:34:21.561693	2013-08-03 21:34:21.561693	156
21283	99778	10319	2013-08-03 21:34:21.570482	2013-08-03 21:34:21.570482	156
21284	99774	38318	2013-08-03 21:34:21.579547	2013-08-03 21:34:21.579547	156
21285	99706	19581	2013-08-03 21:34:21.588472	2013-08-03 21:34:21.588472	156
21286	99704	1928	2013-08-03 21:34:21.599035	2013-08-03 21:34:21.599035	156
21287	99695	49195	2013-08-03 21:34:21.608016	2013-08-03 21:34:21.608016	156
21288	99693	19477	2013-08-03 21:34:21.617402	2013-08-03 21:34:21.617402	156
21289	99690	14518	2013-08-03 21:34:21.626063	2013-08-03 21:34:21.626063	156
21290	101401	43278	2013-08-03 21:34:21.666061	2013-08-03 21:34:21.666061	156
21291	100479	43258	2013-08-03 21:34:21.686636	2013-08-03 21:34:21.686636	156
21292	100367	43238	2013-08-03 21:34:21.710696	2013-08-03 21:34:21.710696	156
21293	100269	43218	2013-08-03 21:34:21.734663	2013-08-03 21:34:21.734663	156
21294	100078	43198	2013-08-03 21:34:21.756806	2013-08-03 21:34:21.756806	156
21295	100056	43178	2013-08-03 21:34:21.771171	2013-08-03 21:34:21.771171	156
21296	99964	43158	2013-08-03 21:34:21.781102	2013-08-03 21:34:21.781102	156
21297	99874	43138	2013-08-03 21:34:21.794128	2013-08-03 21:34:21.794128	156
21298	99873	43118	2013-08-03 21:34:21.80672	2013-08-03 21:34:21.80672	156
21299	99776	43098	2013-08-03 21:34:21.816666	2013-08-03 21:34:21.816666	156
21300	99742	43078	2013-08-03 21:34:21.826665	2013-08-03 21:34:21.826665	156
21301	99722	43058	2013-08-03 21:34:21.835731	2013-08-03 21:34:21.835731	156
21302	101094	10500	2013-08-03 21:34:21.853064	2013-08-03 21:34:21.853064	156
21303	101094	10372	2013-08-03 21:34:21.857172	2013-08-03 21:34:21.857172	156
21304	100656	10519	2013-08-03 21:34:21.86628	2013-08-03 21:34:21.86628	156
21305	100656	10421	2013-08-03 21:34:21.8721	2013-08-03 21:34:21.8721	156
21306	100323	10499	2013-08-03 21:34:21.887056	2013-08-03 21:34:21.887056	156
21307	100323	10479	2013-08-03 21:34:21.898206	2013-08-03 21:34:21.898206	156
21308	99990	10459	2013-08-03 21:34:21.920504	2013-08-03 21:34:21.920504	156
21309	99990	8339	2013-08-03 21:34:21.932561	2013-08-03 21:34:21.932561	156
21310	99968	10399	2013-08-03 21:34:21.955585	2013-08-03 21:34:21.955585	156
21311	99968	10339	2013-08-03 21:34:21.966477	2013-08-03 21:34:21.966477	156
21312	99734	5901	2013-08-03 21:34:21.988817	2013-08-03 21:34:21.988817	156
21313	99734	5861	2013-08-03 21:34:21.998845	2013-08-03 21:34:21.998845	156
21314	99719	5881	2013-08-03 21:34:22.009462	2013-08-03 21:34:22.009462	156
21315	99719	8526	2013-08-03 21:34:22.012964	2013-08-03 21:34:22.012964	156
21316	99705	38938	2013-08-03 21:34:22.020876	2013-08-03 21:34:22.020876	156
21317	99705	2019	2013-08-03 21:34:22.027469	2013-08-03 21:34:22.027469	156
21318	101096	42240	2013-08-03 21:34:22.106458	2013-08-03 21:34:22.106458	156
21319	101096	42220	2013-08-03 21:34:22.110597	2013-08-03 21:34:22.110597	156
21320	100658	42200	2013-08-03 21:34:22.12318	2013-08-03 21:34:22.12318	156
21321	100658	42180	2013-08-03 21:34:22.134788	2013-08-03 21:34:22.134788	156
21322	100615	42160	2013-08-03 21:34:22.157624	2013-08-03 21:34:22.157624	156
21323	100615	42140	2013-08-03 21:34:22.169497	2013-08-03 21:34:22.169497	156
21324	100331	42120	2013-08-03 21:34:22.192061	2013-08-03 21:34:22.192061	156
21325	100331	42100	2013-08-03 21:34:22.204323	2013-08-03 21:34:22.204323	156
21326	100005	42080	2013-08-03 21:34:22.228028	2013-08-03 21:34:22.228028	156
21327	100005	42060	2013-08-03 21:34:22.240983	2013-08-03 21:34:22.240983	156
21328	99974	42040	2013-08-03 21:34:22.264754	2013-08-03 21:34:22.264754	156
21329	99974	42020	2013-08-03 21:34:22.276652	2013-08-03 21:34:22.276652	156
21330	99732	42000	2013-08-03 21:34:22.300463	2013-08-03 21:34:22.300463	156
21331	99732	41980	2013-08-03 21:34:22.30998	2013-08-03 21:34:22.30998	156
21332	99711	24721	2013-08-03 21:34:22.31884	2013-08-03 21:34:22.31884	156
21333	99711	24710	2013-08-03 21:34:22.32339	2013-08-03 21:34:22.32339	156
21334	99700	21981	2013-08-03 21:34:22.33165	2013-08-03 21:34:22.33165	156
21335	99700	1938	2013-08-03 21:34:22.335696	2013-08-03 21:34:22.335696	156
21336	102649	25421	2013-08-03 21:39:31.021489	2013-08-03 21:39:31.021489	157
21337	102291	25401	2013-08-03 21:39:31.033586	2013-08-03 21:39:31.033586	157
21338	102166	25381	2013-08-03 21:39:31.044674	2013-08-03 21:39:31.044674	157
21339	102110	25361	2013-08-03 21:39:31.052719	2013-08-03 21:39:31.052719	157
21340	102094	25341	2013-08-03 21:39:31.061188	2013-08-03 21:39:31.061188	157
21341	101987	25321	2013-08-03 21:39:31.069496	2013-08-03 21:39:31.069496	157
21342	101944	25285	2013-08-03 21:39:31.132696	2013-08-03 21:39:31.132696	157
21343	101919	25301	2013-08-03 21:39:31.148185	2013-08-03 21:39:31.148185	157
21344	101835	25281	2013-08-03 21:39:31.157831	2013-08-03 21:39:31.157831	157
21345	101821	25235	2013-08-03 21:39:31.170595	2013-08-03 21:39:31.170595	157
21346	101763	25145	2013-08-03 21:39:31.178128	2013-08-03 21:39:31.178128	157
21347	101759	25370	2013-08-03 21:39:31.187576	2013-08-03 21:39:31.187576	157
21348	101686	18743	2013-08-03 21:39:31.204968	2013-08-03 21:39:31.204968	157
21349	101662	43178	2013-08-03 21:39:31.227527	2013-08-03 21:39:31.227527	157
21350	101637	25141	2013-08-03 21:39:31.241727	2013-08-03 21:39:31.241727	157
21351	101623	17265	2013-08-03 21:39:31.250267	2013-08-03 21:39:31.250267	157
21352	101610	6124	2013-08-03 21:39:31.257617	2013-08-03 21:39:31.257617	157
21353	101613	25281	2013-08-03 21:39:31.287172	2013-08-03 21:39:31.287172	157
21354	103111	36155	2013-08-03 21:39:31.310519	2013-08-03 21:39:31.310519	157
21355	102752	36265	2013-08-03 21:39:31.32083	2013-08-03 21:39:31.32083	157
21356	102165	36245	2013-08-03 21:39:31.330729	2013-08-03 21:39:31.330729	157
21357	102093	36225	2013-08-03 21:39:31.340141	2013-08-03 21:39:31.340141	157
21358	101986	36205	2013-08-03 21:39:31.348848	2013-08-03 21:39:31.348848	157
21359	101917	36178	2013-08-03 21:39:31.359252	2013-08-03 21:39:31.359252	157
21360	101897	36185	2013-08-03 21:39:31.372781	2013-08-03 21:39:31.372781	157
21361	101836	36165	2013-08-03 21:39:31.382914	2013-08-03 21:39:31.382914	157
21362	101820	36145	2013-08-03 21:39:31.393996	2013-08-03 21:39:31.393996	157
21363	101757	36125	2013-08-03 21:39:31.402203	2013-08-03 21:39:31.402203	157
21364	101755	35955	2013-08-03 21:39:31.41273	2013-08-03 21:39:31.41273	157
21365	101685	36105	2013-08-03 21:39:31.421232	2013-08-03 21:39:31.421232	157
21366	101682	36085	2013-08-03 21:39:31.428577	2013-08-03 21:39:31.428577	157
21367	101663	36065	2013-08-03 21:39:31.436451	2013-08-03 21:39:31.436451	157
21368	101615	25361	2013-08-03 21:39:31.446264	2013-08-03 21:39:31.446264	157
21369	101612	25278	2013-08-03 21:39:31.460055	2013-08-03 21:39:31.460055	157
21370	101609	13686	2013-08-03 21:39:31.479289	2013-08-03 21:39:31.479289	157
21371	102317	8492	2013-08-03 21:39:31.538188	2013-08-03 21:39:31.538188	157
21372	102317	34983	2013-08-03 21:39:31.549935	2013-08-03 21:39:31.549935	157
21373	102287	37083	2013-08-03 21:39:31.575301	2013-08-03 21:39:31.575301	157
21374	102287	32985	2013-08-03 21:39:31.587614	2013-08-03 21:39:31.587614	157
21375	102114	5466	2013-08-03 21:39:31.60963	2013-08-03 21:39:31.60963	157
21376	102114	3228	2013-08-03 21:39:31.621649	2013-08-03 21:39:31.621649	157
21377	102097	1981	2013-08-03 21:39:31.645739	2013-08-03 21:39:31.645739	157
21378	102097	20410	2013-08-03 21:39:31.659138	2013-08-03 21:39:31.659138	157
21379	101773	1006	2013-08-03 21:39:31.682174	2013-08-03 21:39:31.682174	157
21380	101773	8526	2013-08-03 21:39:31.694286	2013-08-03 21:39:31.694286	157
21381	101634	1950	2013-08-03 21:39:31.716629	2013-08-03 21:39:31.716629	157
21382	101634	2039	2013-08-03 21:39:31.725378	2013-08-03 21:39:31.725378	157
21383	101630	10338	2013-08-03 21:39:31.741044	2013-08-03 21:39:31.741044	157
21384	101630	19477	2013-08-03 21:39:31.751437	2013-08-03 21:39:31.751437	157
21385	101616	48243	2013-08-03 21:39:31.774329	2013-08-03 21:39:31.774329	157
21386	101616	28852	2013-08-03 21:39:31.783288	2013-08-03 21:39:31.783288	157
21387	102444	25590	2013-08-03 21:39:31.831728	2013-08-03 21:39:31.831728	157
21388	102444	3397	2013-08-03 21:39:31.837856	2013-08-03 21:39:31.837856	157
21389	102337	25570	2013-08-03 21:39:31.850502	2013-08-03 21:39:31.850502	157
21390	102337	25550	2013-08-03 21:39:31.855297	2013-08-03 21:39:31.855297	157
21391	102117	25530	2013-08-03 21:39:31.864464	2013-08-03 21:39:31.864464	157
21392	102117	25510	2013-08-03 21:39:31.870094	2013-08-03 21:39:31.870094	157
21393	102109	25490	2013-08-03 21:39:31.888184	2013-08-03 21:39:31.888184	157
21394	102109	25538	2013-08-03 21:39:31.892493	2013-08-03 21:39:31.892493	157
21395	101789	25470	2013-08-03 21:39:31.905278	2013-08-03 21:39:31.905278	157
21396	101789	25450	2013-08-03 21:39:31.91339	2013-08-03 21:39:31.91339	157
21397	101776	1506	2013-08-03 21:39:31.934248	2013-08-03 21:39:31.934248	157
21398	101776	25395	2013-08-03 21:39:31.946229	2013-08-03 21:39:31.946229	157
21399	101762	25430	2013-08-03 21:39:31.969566	2013-08-03 21:39:31.969566	157
21400	101762	25432	2013-08-03 21:39:31.980803	2013-08-03 21:39:31.980803	157
21401	101636	25410	2013-08-03 21:39:32.003973	2013-08-03 21:39:32.003973	157
21402	101636	25390	2013-08-03 21:39:32.016038	2013-08-03 21:39:32.016038	157
21403	101617	25401	2013-08-03 21:39:32.02712	2013-08-03 21:39:32.02712	157
21404	101617	10372	2013-08-03 21:39:32.031126	2013-08-03 21:39:32.031126	157
21405	102361	14515	2013-08-03 21:39:32.050339	2013-08-03 21:39:32.050339	157
21406	102361	43703	2013-08-03 21:39:32.060752	2013-08-03 21:39:32.060752	157
21407	102332	4889	2013-08-03 21:39:32.081337	2013-08-03 21:39:32.081337	157
21408	102332	20761	2013-08-03 21:39:32.092935	2013-08-03 21:39:32.092935	157
21409	102118	23177	2013-08-03 21:39:32.116496	2013-08-03 21:39:32.116496	157
21410	102118	16401	2013-08-03 21:39:32.125631	2013-08-03 21:39:32.125631	157
21411	102096	14166	2013-08-03 21:39:32.133186	2013-08-03 21:39:32.133186	157
21412	102096	14086	2013-08-03 21:39:32.137051	2013-08-03 21:39:32.137051	157
21413	101764	13646	2013-08-03 21:39:32.146207	2013-08-03 21:39:32.146207	157
21414	101764	13950	2013-08-03 21:39:32.151926	2013-08-03 21:39:32.151926	157
21415	101632	10855	2013-08-03 21:39:32.162498	2013-08-03 21:39:32.162498	157
21416	101632	13766	2013-08-03 21:39:32.173513	2013-08-03 21:39:32.173513	157
21417	101626	13786	2013-08-03 21:39:32.196332	2013-08-03 21:39:32.196332	157
21418	101626	10499	2013-08-03 21:39:32.209048	2013-08-03 21:39:32.209048	157
21419	101618	1006	2013-08-03 21:39:32.231066	2013-08-03 21:39:32.231066	157
21420	101618	8526	2013-08-03 21:39:32.241515	2013-08-03 21:39:32.241515	157
21421	102379	13886	2013-08-03 21:39:32.277935	2013-08-03 21:39:32.277935	157
21422	102379	15051	2013-08-03 21:39:32.282321	2013-08-03 21:39:32.282321	157
21423	102336	15071	2013-08-03 21:39:32.336682	2013-08-03 21:39:32.336682	157
21424	102336	14997	2013-08-03 21:39:32.347763	2013-08-03 21:39:32.347763	157
21425	102115	14935	2013-08-03 21:39:32.362387	2013-08-03 21:39:32.362387	157
21426	102115	15021	2013-08-03 21:39:32.37415	2013-08-03 21:39:32.37415	157
21427	101801	2229	2013-08-03 21:39:32.400765	2013-08-03 21:39:32.400765	157
21428	101801	2342	2013-08-03 21:39:32.407552	2013-08-03 21:39:32.407552	157
21429	101767	24377	2013-08-03 21:39:32.419076	2013-08-03 21:39:32.419076	157
21430	101767	18701	2013-08-03 21:39:32.425531	2013-08-03 21:39:32.425531	157
21431	101737	14791	2013-08-03 21:39:32.435281	2013-08-03 21:39:32.435281	157
21432	101737	13751	2013-08-03 21:39:32.440889	2013-08-03 21:39:32.440889	157
21433	101635	6084	2013-08-03 21:39:32.451417	2013-08-03 21:39:32.451417	157
21434	101635	6121	2013-08-03 21:39:32.456413	2013-08-03 21:39:32.456413	157
21435	101621	3228	2013-08-03 21:39:32.466697	2013-08-03 21:39:32.466697	157
21436	101621	5466	2013-08-03 21:39:32.472566	2013-08-03 21:39:32.472566	157
21437	103017	43578	2013-08-03 21:39:32.768024	2013-08-03 21:39:32.768024	157
21438	102679	43558	2013-08-03 21:39:32.78831	2013-08-03 21:39:32.78831	157
21439	102221	43538	2013-08-03 21:39:32.802846	2013-08-03 21:39:32.802846	157
21440	102151	43518	2013-08-03 21:39:32.817786	2013-08-03 21:39:32.817786	157
21441	102119	43498	2013-08-03 21:39:32.840617	2013-08-03 21:39:32.840617	157
21442	102113	43478	2013-08-03 21:39:32.864289	2013-08-03 21:39:32.864289	157
21443	101972	43458	2013-08-03 21:39:32.887673	2013-08-03 21:39:32.887673	157
21444	101898	43438	2013-08-03 21:39:32.910999	2013-08-03 21:39:32.910999	157
21445	101846	24910	2013-08-03 21:39:32.933907	2013-08-03 21:39:32.933907	157
21446	101837	6061	2013-08-03 21:39:32.956164	2013-08-03 21:39:32.956164	157
21447	101822	10339	2013-08-03 21:39:32.978887	2013-08-03 21:39:32.978887	157
21448	101804	38318	2013-08-03 21:39:33.001311	2013-08-03 21:39:33.001311	157
21449	101769	1909	2013-08-03 21:39:33.024246	2013-08-03 21:39:33.024246	157
21450	101655	49195	2013-08-03 21:39:33.046606	2013-08-03 21:39:33.046606	157
21451	101654	2040	2013-08-03 21:39:33.072124	2013-08-03 21:39:33.072124	157
21452	101633	1908	2013-08-03 21:39:33.080321	2013-08-03 21:39:33.080321	157
21453	101622	15668	2013-08-03 21:39:33.088776	2013-08-03 21:39:33.088776	157
21454	101611	22437	2013-08-03 21:39:33.097054	2013-08-03 21:39:33.097054	157
21455	102136	43798	2013-08-03 21:39:33.16313	2013-08-03 21:39:33.16313	157
21456	101995	43778	2013-08-03 21:39:33.186686	2013-08-03 21:39:33.186686	157
21457	101984	43758	2013-08-03 21:39:33.21047	2013-08-03 21:39:33.21047	157
21458	101899	43738	2013-08-03 21:39:33.234108	2013-08-03 21:39:33.234108	157
21459	101805	43718	2013-08-03 21:39:33.258109	2013-08-03 21:39:33.258109	157
21460	101803	43698	2013-08-03 21:39:33.281603	2013-08-03 21:39:33.281603	157
21461	101745	43678	2013-08-03 21:39:33.301317	2013-08-03 21:39:33.301317	157
21462	101738	43658	2013-08-03 21:39:33.314625	2013-08-03 21:39:33.314625	157
21463	101683	43638	2013-08-03 21:39:33.322603	2013-08-03 21:39:33.322603	157
21464	101664	43618	2013-08-03 21:39:33.331142	2013-08-03 21:39:33.331142	157
21465	102754	44358	2013-08-03 21:39:33.360307	2013-08-03 21:39:33.360307	157
21466	102754	44338	2013-08-03 21:39:33.370257	2013-08-03 21:39:33.370257	157
21467	102754	44318	2013-08-03 21:39:33.380016	2013-08-03 21:39:33.380016	157
21468	102754	44298	2013-08-03 21:39:33.392001	2013-08-03 21:39:33.392001	157
21469	102754	44278	2013-08-03 21:39:33.40422	2013-08-03 21:39:33.40422	157
21470	102754	44258	2013-08-03 21:39:33.41538	2013-08-03 21:39:33.41538	157
21471	102754	44238	2013-08-03 21:39:33.426651	2013-08-03 21:39:33.426651	157
21472	102754	44218	2013-08-03 21:39:33.436774	2013-08-03 21:39:33.436774	157
21473	102754	44198	2013-08-03 21:39:33.441332	2013-08-03 21:39:33.441332	157
21474	102754	44178	2013-08-03 21:39:33.445966	2013-08-03 21:39:33.445966	157
21475	102754	44158	2013-08-03 21:39:33.450192	2013-08-03 21:39:33.450192	157
21476	102754	44138	2013-08-03 21:39:33.453532	2013-08-03 21:39:33.453532	157
21477	102754	44118	2013-08-03 21:39:33.456472	2013-08-03 21:39:33.456472	157
21478	102754	44098	2013-08-03 21:39:33.46342	2013-08-03 21:39:33.46342	157
21479	102754	44078	2013-08-03 21:39:33.470414	2013-08-03 21:39:33.470414	157
21480	102754	44058	2013-08-03 21:39:33.481931	2013-08-03 21:39:33.481931	157
21481	102754	44038	2013-08-03 21:39:33.490482	2013-08-03 21:39:33.490482	157
21482	102754	44018	2013-08-03 21:39:33.496602	2013-08-03 21:39:33.496602	157
21483	102754	43998	2013-08-03 21:39:33.501959	2013-08-03 21:39:33.501959	157
21484	102410	10658	2013-08-03 21:39:33.520615	2013-08-03 21:39:33.520615	157
21485	102410	10597	2013-08-03 21:39:33.525448	2013-08-03 21:39:33.525448	157
21486	102130	10646	2013-08-03 21:39:33.536632	2013-08-03 21:39:33.536632	157
21487	102130	10659	2013-08-03 21:39:33.542348	2013-08-03 21:39:33.542348	157
21488	102091	10666	2013-08-03 21:39:33.549195	2013-08-03 21:39:33.549195	157
21489	102091	10639	2013-08-03 21:39:33.55482	2013-08-03 21:39:33.55482	157
21490	101871	8099	2013-08-03 21:39:33.565914	2013-08-03 21:39:33.565914	157
21491	101871	10619	2013-08-03 21:39:33.571507	2013-08-03 21:39:33.571507	157
21492	101808	10599	2013-08-03 21:39:33.585489	2013-08-03 21:39:33.585489	157
21493	101808	8811	2013-08-03 21:39:33.596903	2013-08-03 21:39:33.596903	157
21494	101770	10579	2013-08-03 21:39:33.614833	2013-08-03 21:39:33.614833	157
21495	101770	10500	2013-08-03 21:39:33.619725	2013-08-03 21:39:33.619725	157
21496	101638	6064	2013-08-03 21:39:33.62745	2013-08-03 21:39:33.62745	157
21497	101638	32985	2013-08-03 21:39:33.634518	2013-08-03 21:39:33.634518	157
21498	101619	37083	2013-08-03 21:39:33.656349	2013-08-03 21:39:33.656349	157
21499	101619	17470	2013-08-03 21:39:33.66742	2013-08-03 21:39:33.66742	157
21500	102416	43200	2013-08-03 21:39:33.761438	2013-08-03 21:39:33.761438	157
21501	102416	43180	2013-08-03 21:39:33.768912	2013-08-03 21:39:33.768912	157
21502	102343	43160	2013-08-03 21:39:33.790048	2013-08-03 21:39:33.790048	157
21503	102343	43140	2013-08-03 21:39:33.80124	2013-08-03 21:39:33.80124	157
21504	102131	43120	2013-08-03 21:39:33.823871	2013-08-03 21:39:33.823871	157
21505	102131	43100	2013-08-03 21:39:33.835699	2013-08-03 21:39:33.835699	157
21506	102095	43080	2013-08-03 21:39:33.859273	2013-08-03 21:39:33.859273	157
21507	102095	43060	2013-08-03 21:39:33.871228	2013-08-03 21:39:33.871228	157
21508	101812	43040	2013-08-03 21:39:33.88983	2013-08-03 21:39:33.88983	157
21509	101812	43020	2013-08-03 21:39:33.893412	2013-08-03 21:39:33.893412	157
21510	101771	42915	2013-08-03 21:39:33.899916	2013-08-03 21:39:33.899916	157
21511	101771	43000	2013-08-03 21:39:33.903833	2013-08-03 21:39:33.903833	157
21512	101628	42980	2013-08-03 21:39:33.911222	2013-08-03 21:39:33.911222	157
21513	101628	42960	2013-08-03 21:39:33.915667	2013-08-03 21:39:33.915667	157
21514	101624	42940	2013-08-03 21:39:33.924562	2013-08-03 21:39:33.924562	157
21515	101624	13143	2013-08-03 21:39:33.93307	2013-08-03 21:39:33.93307	157
21516	101614	2024	2013-08-03 21:39:33.951062	2013-08-03 21:39:33.951062	157
21517	101614	11031	2013-08-03 21:39:33.959295	2013-08-03 21:39:33.959295	157
21518	104120	26201	2013-08-03 21:44:32.044444	2013-08-03 21:44:32.044444	158
21519	103916	26181	2013-08-03 21:44:32.063927	2013-08-03 21:44:32.063927	158
21520	103631	26161	2013-08-03 21:44:32.079878	2013-08-03 21:44:32.079878	158
21521	103617	26141	2013-08-03 21:44:32.092039	2013-08-03 21:44:32.092039	158
21522	103441	26121	2013-08-03 21:44:32.100946	2013-08-03 21:44:32.100946	158
21523	103381	26080	2013-08-03 21:44:32.177579	2013-08-03 21:44:32.177579	158
21524	103310	26101	2013-08-03 21:44:32.18582	2013-08-03 21:44:32.18582	158
21525	103247	26081	2013-08-03 21:44:32.195861	2013-08-03 21:44:32.195861	158
21526	103244	25980	2013-08-03 21:44:32.207638	2013-08-03 21:44:32.207638	158
21527	103231	26061	2013-08-03 21:44:32.226701	2013-08-03 21:44:32.226701	158
21528	103218	26041	2013-08-03 21:44:32.235112	2013-08-03 21:44:32.235112	158
21529	103205	26021	2013-08-03 21:44:32.24333	2013-08-03 21:44:32.24333	158
21530	103194	25925	2013-08-03 21:44:32.252783	2013-08-03 21:44:32.252783	158
21531	103174	26001	2013-08-03 21:44:32.261152	2013-08-03 21:44:32.261152	158
21532	103161	25981	2013-08-03 21:44:32.270263	2013-08-03 21:44:32.270263	158
21533	103137	25961	2013-08-03 21:44:32.278118	2013-08-03 21:44:32.278118	158
21534	103134	26130	2013-08-03 21:44:32.286769	2013-08-03 21:44:32.286769	158
21535	104918	34472	2013-08-03 21:44:32.319527	2013-08-03 21:44:32.319527	158
21536	104918	26061	2013-08-03 21:44:32.323672	2013-08-03 21:44:32.323672	158
21537	104918	26090	2013-08-03 21:44:32.328364	2013-08-03 21:44:32.328364	158
21538	103832	36625	2013-08-03 21:44:32.350454	2013-08-03 21:44:32.350454	158
21539	103630	36605	2013-08-03 21:44:32.361346	2013-08-03 21:44:32.361346	158
21540	103602	36585	2013-08-03 21:44:32.369786	2013-08-03 21:44:32.369786	158
21541	103380	36515	2013-08-03 21:44:32.376642	2013-08-03 21:44:32.376642	158
21542	103306	36565	2013-08-03 21:44:32.3859	2013-08-03 21:44:32.3859	158
21543	103293	36545	2013-08-03 21:44:32.40459	2013-08-03 21:44:32.40459	158
21544	103228	36525	2013-08-03 21:44:32.428264	2013-08-03 21:44:32.428264	158
21545	103214	36505	2013-08-03 21:44:32.452281	2013-08-03 21:44:32.452281	158
21546	103195	36485	2013-08-03 21:44:32.477269	2013-08-03 21:44:32.477269	158
21547	103193	36465	2013-08-03 21:44:32.500063	2013-08-03 21:44:32.500063	158
21548	103192	36445	2013-08-03 21:44:32.523178	2013-08-03 21:44:32.523178	158
21549	103163	36425	2013-08-03 21:44:32.549984	2013-08-03 21:44:32.549984	158
21550	103160	36380	2013-08-03 21:44:32.572919	2013-08-03 21:44:32.572919	158
21551	103159	36405	2013-08-03 21:44:32.595951	2013-08-03 21:44:32.595951	158
21552	103152	34432	2013-08-03 21:44:32.618621	2013-08-03 21:44:32.618621	158
21553	103143	26181	2013-08-03 21:44:32.639929	2013-08-03 21:44:32.639929	158
21554	103136	26070	2013-08-03 21:44:32.660927	2013-08-03 21:44:32.660927	158
21555	103133	25901	2013-08-03 21:44:32.67788	2013-08-03 21:44:32.67788	158
21556	104027	5732	2013-08-03 21:44:32.73827	2013-08-03 21:44:32.73827	158
21557	104027	5630	2013-08-03 21:44:32.751902	2013-08-03 21:44:32.751902	158
21558	103897	10360	2013-08-03 21:44:32.775183	2013-08-03 21:44:32.775183	158
21559	103897	28838	2013-08-03 21:44:32.792964	2013-08-03 21:44:32.792964	158
21560	103736	5546	2013-08-03 21:44:32.804662	2013-08-03 21:44:32.804662	158
21561	103736	5364	2013-08-03 21:44:32.809699	2013-08-03 21:44:32.809699	158
21562	103321	5420	2013-08-03 21:44:32.818933	2013-08-03 21:44:32.818933	158
21563	103321	8430	2013-08-03 21:44:32.824112	2013-08-03 21:44:32.824112	158
21564	103224	5335	2013-08-03 21:44:32.837053	2013-08-03 21:44:32.837053	158
21565	103224	5466	2013-08-03 21:44:32.84227	2013-08-03 21:44:32.84227	158
21566	103221	3228	2013-08-03 21:44:32.856146	2013-08-03 21:44:32.856146	158
21567	103221	8526	2013-08-03 21:44:32.860627	2013-08-03 21:44:32.860627	158
21568	103210	17470	2013-08-03 21:44:32.868221	2013-08-03 21:44:32.868221	158
21569	103210	15668	2013-08-03 21:44:32.877444	2013-08-03 21:44:32.877444	158
21570	103139	48243	2013-08-03 21:44:32.900316	2013-08-03 21:44:32.900316	158
21571	103139	28852	2013-08-03 21:44:32.908815	2013-08-03 21:44:32.908815	158
21572	104742	26330	2013-08-03 21:44:32.979376	2013-08-03 21:44:32.979376	158
21573	104742	26310	2013-08-03 21:44:32.991528	2013-08-03 21:44:32.991528	158
21574	103774	26290	2013-08-03 21:44:33.015849	2013-08-03 21:44:33.015849	158
21575	103774	26270	2013-08-03 21:44:33.027711	2013-08-03 21:44:33.027711	158
21576	103351	26250	2013-08-03 21:44:33.050687	2013-08-03 21:44:33.050687	158
21577	103351	26230	2013-08-03 21:44:33.062617	2013-08-03 21:44:33.062617	158
21578	103292	26097	2013-08-03 21:44:33.086933	2013-08-03 21:44:33.086933	158
21579	103292	26210	2013-08-03 21:44:33.098786	2013-08-03 21:44:33.098786	158
21580	103226	26190	2013-08-03 21:44:33.122084	2013-08-03 21:44:33.122084	158
21581	103226	26065	2013-08-03 21:44:33.134155	2013-08-03 21:44:33.134155	158
21582	103184	26170	2013-08-03 21:44:33.157883	2013-08-03 21:44:33.157883	158
21583	103184	26098	2013-08-03 21:44:33.169197	2013-08-03 21:44:33.169197	158
21584	103141	26150	2013-08-03 21:44:33.191969	2013-08-03 21:44:33.191969	158
21585	103141	26121	2013-08-03 21:44:33.19651	2013-08-03 21:44:33.19651	158
21586	104029	15470	2013-08-03 21:44:33.225289	2013-08-03 21:44:33.225289	158
21587	104029	15391	2013-08-03 21:44:33.236185	2013-08-03 21:44:33.236185	158
21588	103915	8880	2013-08-03 21:44:33.259952	2013-08-03 21:44:33.259952	158
21589	103915	15352	2013-08-03 21:44:33.271786	2013-08-03 21:44:33.271786	158
21590	103767	15386	2013-08-03 21:44:33.294222	2013-08-03 21:44:33.294222	158
21591	103767	23261	2013-08-03 21:44:33.304573	2013-08-03 21:44:33.304573	158
21592	103632	4608	2013-08-03 21:44:33.328209	2013-08-03 21:44:33.328209	158
21593	103632	15206	2013-08-03 21:44:33.340777	2013-08-03 21:44:33.340777	158
21594	103329	15226	2013-08-03 21:44:33.361684	2013-08-03 21:44:33.361684	158
21595	103329	40358	2013-08-03 21:44:33.366415	2013-08-03 21:44:33.366415	158
21596	103261	16908	2013-08-03 21:44:33.375813	2013-08-03 21:44:33.375813	158
21597	103261	2342	2013-08-03 21:44:33.380445	2013-08-03 21:44:33.380445	158
21598	103182	2229	2013-08-03 21:44:33.388383	2013-08-03 21:44:33.388383	158
21599	103182	5335	2013-08-03 21:44:33.392663	2013-08-03 21:44:33.392663	158
21600	103145	5466	2013-08-03 21:44:33.401999	2013-08-03 21:44:33.401999	158
21601	103145	38318	2013-08-03 21:44:33.4059	2013-08-03 21:44:33.4059	158
21602	103917	16290	2013-08-03 21:44:33.430496	2013-08-03 21:44:33.430496	158
21603	103917	19668	2013-08-03 21:44:33.43979	2013-08-03 21:44:33.43979	158
21604	103772	9439	2013-08-03 21:44:33.502104	2013-08-03 21:44:33.502104	158
21605	103772	2664	2013-08-03 21:44:33.505989	2013-08-03 21:44:33.505989	158
21606	103633	22777	2013-08-03 21:44:33.513925	2013-08-03 21:44:33.513925	158
21607	103633	34375	2013-08-03 21:44:33.518701	2013-08-03 21:44:33.518701	158
21608	103280	15997	2013-08-03 21:44:33.535363	2013-08-03 21:44:33.535363	158
21609	103280	15866	2013-08-03 21:44:33.54606	2013-08-03 21:44:33.54606	158
21610	103260	15860	2013-08-03 21:44:33.566163	2013-08-03 21:44:33.566163	158
21611	103260	23861	2013-08-03 21:44:33.570671	2013-08-03 21:44:33.570671	158
21612	103245	4909	2013-08-03 21:44:33.579944	2013-08-03 21:44:33.579944	158
21613	103245	11230	2013-08-03 21:44:33.584198	2013-08-03 21:44:33.584198	158
21614	103153	15226	2013-08-03 21:44:33.594557	2013-08-03 21:44:33.594557	158
21615	103153	40358	2013-08-03 21:44:33.600589	2013-08-03 21:44:33.600589	158
21616	103138	5420	2013-08-03 21:44:33.610004	2013-08-03 21:44:33.610004	158
21617	103138	8430	2013-08-03 21:44:33.620373	2013-08-03 21:44:33.620373	158
21618	105804	6116	2013-08-03 21:44:33.846434	2013-08-03 21:44:33.846434	158
21619	105804	18743	2013-08-03 21:44:33.849976	2013-08-03 21:44:33.849976	158
21620	105804	10479	2013-08-03 21:44:33.853616	2013-08-03 21:44:33.853616	158
21621	105804	9111	2013-08-03 21:44:33.858274	2013-08-03 21:44:33.858274	158
21622	105804	18746	2013-08-03 21:44:33.864361	2013-08-03 21:44:33.864361	158
21623	105804	15250	2013-08-03 21:44:33.868799	2013-08-03 21:44:33.868799	158
21624	105804	15191	2013-08-03 21:44:33.872437	2013-08-03 21:44:33.872437	158
21625	105804	13886	2013-08-03 21:44:33.876393	2013-08-03 21:44:33.876393	158
21626	105804	2342	2013-08-03 21:44:33.883261	2013-08-03 21:44:33.883261	158
21627	103650	16908	2013-08-03 21:44:33.893433	2013-08-03 21:44:33.893433	158
21628	103650	14515	2013-08-03 21:44:33.897887	2013-08-03 21:44:33.897887	158
21629	103650	14086	2013-08-03 21:44:33.902216	2013-08-03 21:44:33.902216	158
21630	103650	10597	2013-08-03 21:44:33.907315	2013-08-03 21:44:33.907315	158
21631	103650	10658	2013-08-03 21:44:33.911569	2013-08-03 21:44:33.911569	158
21632	103650	34983	2013-08-03 21:44:33.915361	2013-08-03 21:44:33.915361	158
21633	103650	8492	2013-08-03 21:44:33.918741	2013-08-03 21:44:33.918741	158
21634	103650	17470	2013-08-03 21:44:33.922809	2013-08-03 21:44:33.922809	158
21635	103650	15668	2013-08-03 21:44:33.927551	2013-08-03 21:44:33.927551	158
21636	104511	44498	2013-08-03 21:44:33.97022	2013-08-03 21:44:33.97022	158
21637	103898	44478	2013-08-03 21:44:33.99431	2013-08-03 21:44:33.99431	158
21638	103844	44458	2013-08-03 21:44:34.017304	2013-08-03 21:44:34.017304	158
21639	103718	44438	2013-08-03 21:44:34.040524	2013-08-03 21:44:34.040524	158
21640	103651	44418	2013-08-03 21:44:34.063985	2013-08-03 21:44:34.063985	158
21641	103397	44398	2013-08-03 21:44:34.086778	2013-08-03 21:44:34.086778	158
21642	103382	44378	2013-08-03 21:44:34.114287	2013-08-03 21:44:34.114287	158
21643	103344	25630	2013-08-03 21:44:34.137868	2013-08-03 21:44:34.137868	158
21644	103249	18826	2013-08-03 21:44:34.160327	2013-08-03 21:44:34.160327	158
21645	103234	43678	2013-08-03 21:44:34.182548	2013-08-03 21:44:34.182548	158
21646	103223	15737	2013-08-03 21:44:34.205889	2013-08-03 21:44:34.205889	158
21647	103222	29397	2013-08-03 21:44:34.225696	2013-08-03 21:44:34.225696	158
21648	103207	10659	2013-08-03 21:44:34.234459	2013-08-03 21:44:34.234459	158
21649	103162	10646	2013-08-03 21:44:34.245061	2013-08-03 21:44:34.245061	158
21650	103151	10319	2013-08-03 21:44:34.255807	2013-08-03 21:44:34.255807	158
21651	103147	1981	2013-08-03 21:44:34.273091	2013-08-03 21:44:34.273091	158
21652	103146	49195	2013-08-03 21:44:34.294918	2013-08-03 21:44:34.294918	158
21653	103880	44738	2013-08-03 21:44:34.377506	2013-08-03 21:44:34.377506	158
21654	103574	44718	2013-08-03 21:44:34.401368	2013-08-03 21:44:34.401368	158
21655	103343	44698	2013-08-03 21:44:34.419112	2013-08-03 21:44:34.419112	158
21656	103263	44678	2013-08-03 21:44:34.426728	2013-08-03 21:44:34.426728	158
21657	103262	44658	2013-08-03 21:44:34.436672	2013-08-03 21:44:34.436672	158
21658	103217	44638	2013-08-03 21:44:34.448075	2013-08-03 21:44:34.448075	158
21659	103190	44618	2013-08-03 21:44:34.464189	2013-08-03 21:44:34.464189	158
21660	103180	44598	2013-08-03 21:44:34.485942	2013-08-03 21:44:34.485942	158
21661	103164	44578	2013-08-03 21:44:34.507695	2013-08-03 21:44:34.507695	158
21662	103129	44558	2013-08-03 21:44:34.528222	2013-08-03 21:44:34.528222	158
21663	103899	10799	2013-08-03 21:44:34.57788	2013-08-03 21:44:34.57788	158
21664	103899	10800	2013-08-03 21:44:34.589007	2013-08-03 21:44:34.589007	158
21665	103634	10779	2013-08-03 21:44:34.609964	2013-08-03 21:44:34.609964	158
21666	103634	10721	2013-08-03 21:44:34.620677	2013-08-03 21:44:34.620677	158
21667	103346	10741	2013-08-03 21:44:34.641524	2013-08-03 21:44:34.641524	158
21668	103346	10683	2013-08-03 21:44:34.652091	2013-08-03 21:44:34.652091	158
21669	103311	10761	2013-08-03 21:44:34.672769	2013-08-03 21:44:34.672769	158
21670	103311	10759	2013-08-03 21:44:34.683445	2013-08-03 21:44:34.683445	158
21671	103251	10739	2013-08-03 21:44:34.70658	2013-08-03 21:44:34.70658	158
21672	103251	10719	2013-08-03 21:44:34.718274	2013-08-03 21:44:34.718274	158
21673	103250	10785	2013-08-03 21:44:34.741328	2013-08-03 21:44:34.741328	158
21674	103250	10699	2013-08-03 21:44:34.753456	2013-08-03 21:44:34.753456	158
21675	103148	10765	2013-08-03 21:44:34.777596	2013-08-03 21:44:34.777596	158
21676	103148	10666	2013-08-03 21:44:34.789608	2013-08-03 21:44:34.789608	158
21677	103142	5546	2013-08-03 21:44:34.810873	2013-08-03 21:44:34.810873	158
21678	103142	5364	2013-08-03 21:44:34.879641	2013-08-03 21:44:34.879641	158
21679	103912	43740	2013-08-03 21:44:34.91576	2013-08-03 21:44:34.91576	158
21680	103912	43720	2013-08-03 21:44:34.922543	2013-08-03 21:44:34.922543	158
21681	103792	43700	2013-08-03 21:44:34.934604	2013-08-03 21:44:34.934604	158
21682	103792	43680	2013-08-03 21:44:34.939386	2013-08-03 21:44:34.939386	158
21683	103635	43660	2013-08-03 21:44:34.949584	2013-08-03 21:44:34.949584	158
21684	103635	43640	2013-08-03 21:44:34.95462	2013-08-03 21:44:34.95462	158
21685	103623	43620	2013-08-03 21:44:34.963618	2013-08-03 21:44:34.963618	158
21686	103623	43600	2013-08-03 21:44:34.969334	2013-08-03 21:44:34.969334	158
21687	103322	43580	2013-08-03 21:44:34.981178	2013-08-03 21:44:34.981178	158
21688	103322	43560	2013-08-03 21:44:34.988822	2013-08-03 21:44:34.988822	158
21689	103254	43540	2013-08-03 21:44:35.00551	2013-08-03 21:44:35.00551	158
21690	103254	43520	2013-08-03 21:44:35.016886	2013-08-03 21:44:35.016886	158
21691	103188	26181	2013-08-03 21:44:35.0395	2013-08-03 21:44:35.0395	158
21692	103188	18732	2013-08-03 21:44:35.049848	2013-08-03 21:44:35.049848	158
21693	103149	14935	2013-08-03 21:44:35.070565	2013-08-03 21:44:35.070565	158
21694	103149	18926	2013-08-03 21:44:35.077388	2013-08-03 21:44:35.077388	158
21695	103144	10659	2013-08-03 21:44:35.091691	2013-08-03 21:44:35.091691	158
21696	103144	20410	2013-08-03 21:44:35.099946	2013-08-03 21:44:35.099946	158
21697	105764	27101	2013-08-03 21:49:32.073057	2013-08-03 21:49:32.073057	159
21698	105637	27081	2013-08-03 21:49:32.099013	2013-08-03 21:49:32.099013	159
21699	105073	27061	2013-08-03 21:49:32.123647	2013-08-03 21:49:32.123647	159
21700	105038	27041	2013-08-03 21:49:32.200561	2013-08-03 21:49:32.200561	159
21701	104892	27021	2013-08-03 21:49:32.208432	2013-08-03 21:49:32.208432	159
21702	104773	26878	2013-08-03 21:49:32.231473	2013-08-03 21:49:32.231473	159
21703	104746	27001	2013-08-03 21:49:32.255206	2013-08-03 21:49:32.255206	159
21704	104691	26981	2013-08-03 21:49:32.27848	2013-08-03 21:49:32.27848	159
21705	104687	26961	2013-08-03 21:49:32.301429	2013-08-03 21:49:32.301429	159
21706	104653	26877	2013-08-03 21:49:32.324024	2013-08-03 21:49:32.324024	159
21707	104646	26941	2013-08-03 21:49:32.348141	2013-08-03 21:49:32.348141	159
21708	104621	26921	2013-08-03 21:49:32.370429	2013-08-03 21:49:32.370429	159
21709	104596	26901	2013-08-03 21:49:32.392869	2013-08-03 21:49:32.392869	159
21710	104583	26881	2013-08-03 21:49:32.415346	2013-08-03 21:49:32.415346	159
21711	104575	26861	2013-08-03 21:49:32.437869	2013-08-03 21:49:32.437869	159
21712	104572	26841	2013-08-03 21:49:32.46072	2013-08-03 21:49:32.46072	159
21713	104556	17335	2013-08-03 21:49:32.484195	2013-08-03 21:49:32.484195	159
21714	105624	36885	2013-08-03 21:49:32.559745	2013-08-03 21:49:32.559745	159
21715	105072	36865	2013-08-03 21:49:32.582878	2013-08-03 21:49:32.582878	159
21716	105035	36845	2013-08-03 21:49:32.60684	2013-08-03 21:49:32.60684	159
21717	104890	36825	2013-08-03 21:49:32.63009	2013-08-03 21:49:32.63009	159
21718	104772	36760	2013-08-03 21:49:32.652354	2013-08-03 21:49:32.652354	159
21719	104681	36805	2013-08-03 21:49:32.670766	2013-08-03 21:49:32.670766	159
21720	104669	36785	2013-08-03 21:49:32.679258	2013-08-03 21:49:32.679258	159
21721	104650	36765	2013-08-03 21:49:32.695526	2013-08-03 21:49:32.695526	159
21722	104648	36745	2013-08-03 21:49:32.705918	2013-08-03 21:49:32.705918	159
21723	104645	36725	2013-08-03 21:49:32.720516	2013-08-03 21:49:32.720516	159
21724	104614	17577	2013-08-03 21:49:32.736813	2013-08-03 21:49:32.736813	159
21725	104598	26761	2013-08-03 21:49:32.756899	2013-08-03 21:49:32.756899	159
21726	104580	21221	2013-08-03 21:49:32.776946	2013-08-03 21:49:32.776946	159
21727	104574	2419	2013-08-03 21:49:32.789587	2013-08-03 21:49:32.789587	159
21728	104571	26890	2013-08-03 21:49:32.797658	2013-08-03 21:49:32.797658	159
21729	104553	27001	2013-08-03 21:49:32.808122	2013-08-03 21:49:32.808122	159
21730	105140	37795	2013-08-03 21:49:32.839941	2013-08-03 21:49:32.839941	159
21731	105140	8250	2013-08-03 21:49:32.853233	2013-08-03 21:49:32.853233	159
21732	104854	5510	2013-08-03 21:49:32.863239	2013-08-03 21:49:32.863239	159
21733	104854	21010	2013-08-03 21:49:32.867426	2013-08-03 21:49:32.867426	159
21734	104789	13311	2013-08-03 21:49:32.877396	2013-08-03 21:49:32.877396	159
21735	104789	5652	2013-08-03 21:49:32.881975	2013-08-03 21:49:32.881975	159
21736	104756	10720	2013-08-03 21:49:32.889744	2013-08-03 21:49:32.889744	159
21737	104756	5546	2013-08-03 21:49:32.894269	2013-08-03 21:49:32.894269	159
21738	104688	5364	2013-08-03 21:49:32.903584	2013-08-03 21:49:32.903584	159
21739	104688	5420	2013-08-03 21:49:32.911891	2013-08-03 21:49:32.911891	159
21740	104680	8430	2013-08-03 21:49:32.932202	2013-08-03 21:49:32.932202	159
21741	104680	5466	2013-08-03 21:49:32.942652	2013-08-03 21:49:32.942652	159
21742	104616	20410	2013-08-03 21:49:32.964022	2013-08-03 21:49:32.964022	159
21743	104616	38318	2013-08-03 21:49:32.974245	2013-08-03 21:49:32.974245	159
21744	104604	2160	2013-08-03 21:49:32.995586	2013-08-03 21:49:32.995586	159
21745	104604	49195	2013-08-03 21:49:33.006054	2013-08-03 21:49:33.006054	159
21746	104555	48243	2013-08-03 21:49:33.029825	2013-08-03 21:49:33.029825	159
21747	104555	28852	2013-08-03 21:49:33.038262	2013-08-03 21:49:33.038262	159
21748	105909	15698	2013-08-03 21:49:33.089921	2013-08-03 21:49:33.089921	159
21749	105909	15611	2013-08-03 21:49:33.101945	2013-08-03 21:49:33.101945	159
21750	105642	15612	2013-08-03 21:49:33.12592	2013-08-03 21:49:33.12592	159
21751	105642	3969	2013-08-03 21:49:33.137242	2013-08-03 21:49:33.137242	159
21752	105150	15591	2013-08-03 21:49:33.160874	2013-08-03 21:49:33.160874	159
21753	105150	15571	2013-08-03 21:49:33.172352	2013-08-03 21:49:33.172352	159
21754	104790	15551	2013-08-03 21:49:33.194689	2013-08-03 21:49:33.194689	159
21755	104790	15392	2013-08-03 21:49:33.205874	2013-08-03 21:49:33.205874	159
21756	104711	15437	2013-08-03 21:49:33.228318	2013-08-03 21:49:33.228318	159
21757	104711	15531	2013-08-03 21:49:33.240395	2013-08-03 21:49:33.240395	159
21758	104617	15511	2013-08-03 21:49:33.263678	2013-08-03 21:49:33.263678	159
21759	104617	15491	2013-08-03 21:49:33.274734	2013-08-03 21:49:33.274734	159
21760	104607	28758	2013-08-03 21:49:33.297052	2013-08-03 21:49:33.297052	159
21761	104607	15471	2013-08-03 21:49:33.308716	2013-08-03 21:49:33.308716	159
21762	104599	15451	2013-08-03 21:49:33.330176	2013-08-03 21:49:33.330176	159
21763	104599	2160	2013-08-03 21:49:33.341242	2013-08-03 21:49:33.341242	159
21764	104561	2048	2013-08-03 21:49:33.36302	2013-08-03 21:49:33.36302	159
21765	104561	49195	2013-08-03 21:49:33.373881	2013-08-03 21:49:33.373881	159
21766	105647	17513	2013-08-03 21:49:33.425271	2013-08-03 21:49:33.425271	159
21767	105647	17493	2013-08-03 21:49:33.43648	2013-08-03 21:49:33.43648	159
21768	105154	17473	2013-08-03 21:49:33.458531	2013-08-03 21:49:33.458531	159
21769	105154	17500	2013-08-03 21:49:33.46939	2013-08-03 21:49:33.46939	159
21770	104748	17453	2013-08-03 21:49:33.49137	2013-08-03 21:49:33.49137	159
21771	104748	17433	2013-08-03 21:49:33.503739	2013-08-03 21:49:33.503739	159
21772	104740	17286	2013-08-03 21:49:33.526806	2013-08-03 21:49:33.526806	159
21773	104740	17346	2013-08-03 21:49:33.538361	2013-08-03 21:49:33.538361	159
21774	104623	17415	2013-08-03 21:49:33.561706	2013-08-03 21:49:33.561706	159
21775	104623	17413	2013-08-03 21:49:33.573274	2013-08-03 21:49:33.573274	159
21776	104612	17393	2013-08-03 21:49:33.59242	2013-08-03 21:49:33.59242	159
21777	104612	17373	2013-08-03 21:49:33.603606	2013-08-03 21:49:33.603606	159
21778	104600	17353	2013-08-03 21:49:33.620891	2013-08-03 21:49:33.620891	159
21779	104600	17383	2013-08-03 21:49:33.630815	2013-08-03 21:49:33.630815	159
21780	104569	17333	2013-08-03 21:49:33.653091	2013-08-03 21:49:33.653091	159
21781	104569	15392	2013-08-03 21:49:33.66453	2013-08-03 21:49:33.66453	159
21782	104559	13311	2013-08-03 21:49:33.740685	2013-08-03 21:49:33.740685	159
21783	104559	5652	2013-08-03 21:49:33.745474	2013-08-03 21:49:33.745474	159
21784	105661	45038	2013-08-03 21:49:33.933815	2013-08-03 21:49:33.933815	159
21785	105203	45018	2013-08-03 21:49:33.956387	2013-08-03 21:49:33.956387	159
21786	105094	44998	2013-08-03 21:49:33.978966	2013-08-03 21:49:33.978966	159
21787	105089	44978	2013-08-03 21:49:34.002416	2013-08-03 21:49:34.002416	159
21788	104972	44958	2013-08-03 21:49:34.025086	2013-08-03 21:49:34.025086	159
21789	104957	44938	2013-08-03 21:49:34.047521	2013-08-03 21:49:34.047521	159
21790	104893	26455	2013-08-03 21:49:34.069871	2013-08-03 21:49:34.069871	159
21791	104791	26410	2013-08-03 21:49:34.092079	2013-08-03 21:49:34.092079	159
21792	104747	26241	2013-08-03 21:49:34.10182	2013-08-03 21:49:34.10182	159
21793	104703	25970	2013-08-03 21:49:34.108949	2013-08-03 21:49:34.108949	159
21794	104647	1346	2013-08-03 21:49:34.116357	2013-08-03 21:49:34.116357	159
21795	104626	2610	2013-08-03 21:49:34.126783	2013-08-03 21:49:34.126783	159
21796	104625	11685	2013-08-03 21:49:34.139397	2013-08-03 21:49:34.139397	159
21797	104618	16350	2013-08-03 21:49:34.158926	2013-08-03 21:49:34.158926	159
21798	104584	10360	2013-08-03 21:49:34.181132	2013-08-03 21:49:34.181132	159
21799	104562	2121	2013-08-03 21:49:34.201554	2013-08-03 21:49:34.201554	159
21800	104560	1909	2013-08-03 21:49:34.224224	2013-08-03 21:49:34.224224	159
21801	105216	45318	2013-08-03 21:49:34.297741	2013-08-03 21:49:34.297741	159
21802	104999	45298	2013-08-03 21:49:34.322483	2013-08-03 21:49:34.322483	159
21803	104973	45278	2013-08-03 21:49:34.345615	2013-08-03 21:49:34.345615	159
21804	104841	45258	2013-08-03 21:49:34.367069	2013-08-03 21:49:34.367069	159
21805	104840	45238	2013-08-03 21:49:34.387776	2013-08-03 21:49:34.387776	159
21806	104788	45218	2013-08-03 21:49:34.40887	2013-08-03 21:49:34.40887	159
21807	104694	45198	2013-08-03 21:49:34.429569	2013-08-03 21:49:34.429569	159
21808	104670	45178	2013-08-03 21:49:34.450355	2013-08-03 21:49:34.450355	159
21809	104666	45158	2013-08-03 21:49:34.470597	2013-08-03 21:49:34.470597	159
21810	104651	45138	2013-08-03 21:49:34.492916	2013-08-03 21:49:34.492916	159
21811	104644	45118	2013-08-03 21:49:34.515372	2013-08-03 21:49:34.515372	159
21812	104627	45098	2013-08-03 21:49:34.533525	2013-08-03 21:49:34.533525	159
21813	105663	10972	2013-08-03 21:49:34.563996	2013-08-03 21:49:34.563996	159
21814	105663	10961	2013-08-03 21:49:34.575668	2013-08-03 21:49:34.575668	159
21815	104967	10979	2013-08-03 21:49:34.588595	2013-08-03 21:49:34.588595	159
21816	104967	10921	2013-08-03 21:49:34.592483	2013-08-03 21:49:34.592483	159
21817	104801	10959	2013-08-03 21:49:34.599761	2013-08-03 21:49:34.599761	159
21818	104801	2196	2013-08-03 21:49:34.606604	2013-08-03 21:49:34.606604	159
21819	104771	2176	2013-08-03 21:49:34.616549	2013-08-03 21:49:34.616549	159
21820	104771	2156	2013-08-03 21:49:34.620868	2013-08-03 21:49:34.620868	159
21821	104752	2136	2013-08-03 21:49:34.629143	2013-08-03 21:49:34.629143	159
21822	104752	10939	2013-08-03 21:49:34.63371	2013-08-03 21:49:34.63371	159
21823	104692	10919	2013-08-03 21:49:34.642912	2013-08-03 21:49:34.642912	159
21824	104692	10899	2013-08-03 21:49:34.647216	2013-08-03 21:49:34.647216	159
21825	104624	10879	2013-08-03 21:49:34.656335	2013-08-03 21:49:34.656335	159
21826	104624	5664	2013-08-03 21:49:34.663413	2013-08-03 21:49:34.663413	159
21827	104615	10799	2013-08-03 21:49:34.678185	2013-08-03 21:49:34.678185	159
21828	104615	37795	2013-08-03 21:49:34.687919	2013-08-03 21:49:34.687919	159
21829	104558	8250	2013-08-03 21:49:34.711659	2013-08-03 21:49:34.711659	159
21830	104558	2166	2013-08-03 21:49:34.718879	2013-08-03 21:49:34.718879	159
21831	105667	47303	2013-08-03 21:49:34.759039	2013-08-03 21:49:34.759039	159
21832	105168	26261	2013-08-03 21:49:34.768993	2013-08-03 21:49:34.768993	159
21833	105145	36445	2013-08-03 21:49:34.777273	2013-08-03 21:49:34.777273	159
21834	104803	18646	2013-08-03 21:49:34.79375	2013-08-03 21:49:34.79375	159
21835	104787	25395	2013-08-03 21:49:34.816145	2013-08-03 21:49:34.816145	159
21836	104755	18946	2013-08-03 21:49:34.841617	2013-08-03 21:49:34.841617	159
21837	104642	44643	2013-08-03 21:49:34.853741	2013-08-03 21:49:34.853741	159
21838	104622	16290	2013-08-03 21:49:34.862158	2013-08-03 21:49:34.862158	159
21839	104578	28838	2013-08-03 21:49:34.870804	2013-08-03 21:49:34.870804	159
21840	104557	2115	2013-08-03 21:49:34.881791	2013-08-03 21:49:34.881791	159
21841	106522	27521	2013-08-03 21:54:20.740954	2013-08-03 21:54:20.740954	160
21842	106468	27501	2013-08-03 21:54:20.752654	2013-08-03 21:54:20.752654	160
21843	106442	27481	2013-08-03 21:54:20.763288	2013-08-03 21:54:20.763288	160
21844	106426	27457	2013-08-03 21:54:20.772887	2013-08-03 21:54:20.772887	160
21845	106409	27355	2013-08-03 21:54:20.787261	2013-08-03 21:54:20.787261	160
21846	106368	27338	2013-08-03 21:54:20.811209	2013-08-03 21:54:20.811209	160
21847	106360	27461	2013-08-03 21:54:20.834318	2013-08-03 21:54:20.834318	160
21848	106317	27441	2013-08-03 21:54:20.858058	2013-08-03 21:54:20.858058	160
21849	106301	27421	2013-08-03 21:54:20.881485	2013-08-03 21:54:20.881485	160
21850	106264	27401	2013-08-03 21:54:20.905672	2013-08-03 21:54:20.905672	160
21851	106259	27381	2013-08-03 21:54:20.928425	2013-08-03 21:54:20.928425	160
21852	106224	2351	2013-08-03 21:54:20.951298	2013-08-03 21:54:20.951298	160
21853	107118	6132	2013-08-03 21:54:21.015489	2013-08-03 21:54:21.015489	160
21854	107118	6152	2013-08-03 21:54:21.026882	2013-08-03 21:54:21.026882	160
21855	107065	6172	2013-08-03 21:54:21.049719	2013-08-03 21:54:21.049719	160
21856	107065	6192	2013-08-03 21:54:21.060324	2013-08-03 21:54:21.060324	160
21857	106891	6264	2013-08-03 21:54:21.069503	2013-08-03 21:54:21.069503	160
21858	106891	6244	2013-08-03 21:54:21.079114	2013-08-03 21:54:21.079114	160
21859	106856	6224	2013-08-03 21:54:21.099292	2013-08-03 21:54:21.099292	160
21860	106856	6204	2013-08-03 21:54:21.104195	2013-08-03 21:54:21.104195	160
21861	106815	6184	2013-08-03 21:54:21.11408	2013-08-03 21:54:21.11408	160
21862	106815	6164	2013-08-03 21:54:21.119063	2013-08-03 21:54:21.119063	160
21863	106796	6144	2013-08-03 21:54:21.126696	2013-08-03 21:54:21.126696	160
21864	106796	5786	2013-08-03 21:54:21.130532	2013-08-03 21:54:21.130532	160
21865	106607	40743	2013-08-03 21:54:21.144413	2013-08-03 21:54:21.144413	160
21866	106607	2290	2013-08-03 21:54:21.156726	2013-08-03 21:54:21.156726	160
21867	106640	37225	2013-08-03 21:54:21.269067	2013-08-03 21:54:21.269067	160
21868	106533	37205	2013-08-03 21:54:21.280053	2013-08-03 21:54:21.280053	160
21869	106469	37185	2013-08-03 21:54:21.291513	2013-08-03 21:54:21.291513	160
21870	106461	37165	2013-08-03 21:54:21.311137	2013-08-03 21:54:21.311137	160
21871	106440	37145	2013-08-03 21:54:21.332257	2013-08-03 21:54:21.332257	160
21872	106431	37125	2013-08-03 21:54:21.355893	2013-08-03 21:54:21.355893	160
21873	106425	37105	2013-08-03 21:54:21.37862	2013-08-03 21:54:21.37862	160
21874	106407	37085	2013-08-03 21:54:21.401235	2013-08-03 21:54:21.401235	160
21875	106357	37065	2013-08-03 21:54:21.423683	2013-08-03 21:54:21.423683	160
21876	106316	35092	2013-08-03 21:54:21.44683	2013-08-03 21:54:21.44683	160
21877	106300	6152	2013-08-03 21:54:21.468405	2013-08-03 21:54:21.468405	160
21878	106266	6132	2013-08-03 21:54:21.475653	2013-08-03 21:54:21.475653	160
21879	106238	27521	2013-08-03 21:54:21.482747	2013-08-03 21:54:21.482747	160
21880	106221	2388	2013-08-03 21:54:21.490254	2013-08-03 21:54:21.490254	160
21881	106218	27321	2013-08-03 21:54:21.50305	2013-08-03 21:54:21.50305	160
21882	106213	2798	2013-08-03 21:54:21.522746	2013-08-03 21:54:21.522746	160
21883	106806	15986	2013-08-03 21:54:21.551056	2013-08-03 21:54:21.551056	160
21884	106806	10659	2013-08-03 21:54:21.555408	2013-08-03 21:54:21.555408	160
21885	106631	10372	2013-08-03 21:54:21.563629	2013-08-03 21:54:21.563629	160
21886	106631	19048	2013-08-03 21:54:21.56738	2013-08-03 21:54:21.56738	160
21887	106534	9545	2013-08-03 21:54:21.577487	2013-08-03 21:54:21.577487	160
21888	106534	8250	2013-08-03 21:54:21.581933	2013-08-03 21:54:21.581933	160
21889	106520	13311	2013-08-03 21:54:21.588365	2013-08-03 21:54:21.588365	160
21890	106520	5652	2013-08-03 21:54:21.592517	2013-08-03 21:54:21.592517	160
21891	106500	2290	2013-08-03 21:54:21.604359	2013-08-03 21:54:21.604359	160
21892	106500	2351	2013-08-03 21:54:21.610487	2013-08-03 21:54:21.610487	160
21893	106363	2158	2013-08-03 21:54:21.623571	2013-08-03 21:54:21.623571	160
21894	106363	2115	2013-08-03 21:54:21.627162	2013-08-03 21:54:21.627162	160
21895	106242	2166	2013-08-03 21:54:21.633468	2013-08-03 21:54:21.633468	160
21896	106242	2048	2013-08-03 21:54:21.638924	2013-08-03 21:54:21.638924	160
21897	106226	1909	2013-08-03 21:54:21.649333	2013-08-03 21:54:21.649333	160
21898	106226	49195	2013-08-03 21:54:21.653074	2013-08-03 21:54:21.653074	160
21899	106214	48243	2013-08-03 21:54:21.660531	2013-08-03 21:54:21.660531	160
21900	106214	28852	2013-08-03 21:54:21.665494	2013-08-03 21:54:21.665494	160
21901	106632	15771	2013-08-03 21:54:21.691526	2013-08-03 21:54:21.691526	160
21902	106632	15751	2013-08-03 21:54:21.69709	2013-08-03 21:54:21.69709	160
21903	106555	15790	2013-08-03 21:54:21.708161	2013-08-03 21:54:21.708161	160
21904	106555	15731	2013-08-03 21:54:21.715095	2013-08-03 21:54:21.715095	160
21905	106505	15711	2013-08-03 21:54:21.737014	2013-08-03 21:54:21.737014	160
21906	106505	15557	2013-08-03 21:54:21.748886	2013-08-03 21:54:21.748886	160
21907	106445	15691	2013-08-03 21:54:21.770997	2013-08-03 21:54:21.770997	160
21908	106445	15671	2013-08-03 21:54:21.782897	2013-08-03 21:54:21.782897	160
21909	106294	15651	2013-08-03 21:54:21.804706	2013-08-03 21:54:21.804706	160
21910	106294	15598	2013-08-03 21:54:21.815724	2013-08-03 21:54:21.815724	160
21911	106245	15631	2013-08-03 21:54:21.837193	2013-08-03 21:54:21.837193	160
21912	106245	2115	2013-08-03 21:54:21.848692	2013-08-03 21:54:21.848692	160
21913	106222	2158	2013-08-03 21:54:21.870396	2013-08-03 21:54:21.870396	160
21914	106222	21241	2013-08-03 21:54:21.880888	2013-08-03 21:54:21.880888	160
21915	106532	17681	2013-08-03 21:54:21.942858	2013-08-03 21:54:21.942858	160
21916	106532	17633	2013-08-03 21:54:21.954529	2013-08-03 21:54:21.954529	160
21917	106532	17613	2013-08-03 21:54:21.966974	2013-08-03 21:54:21.966974	160
21918	106365	17593	2013-08-03 21:54:21.990201	2013-08-03 21:54:21.990201	160
21919	106365	17565	2013-08-03 21:54:22.002321	2013-08-03 21:54:22.002321	160
21920	106365	17566	2013-08-03 21:54:22.010253	2013-08-03 21:54:22.010253	160
21921	106265	17573	2013-08-03 21:54:22.020351	2013-08-03 21:54:22.020351	160
21922	106265	17435	2013-08-03 21:54:22.024506	2013-08-03 21:54:22.024506	160
21923	106265	17541	2013-08-03 21:54:22.02852	2013-08-03 21:54:22.02852	160
21924	106220	17466	2013-08-03 21:54:22.036082	2013-08-03 21:54:22.036082	160
21925	106220	17553	2013-08-03 21:54:22.040193	2013-08-03 21:54:22.040193	160
21926	106220	16290	2013-08-03 21:54:22.044329	2013-08-03 21:54:22.044329	160
21927	106215	15986	2013-08-03 21:54:22.055402	2013-08-03 21:54:22.055402	160
21928	106215	10659	2013-08-03 21:54:22.06351	2013-08-03 21:54:22.06351	160
21929	106215	2125	2013-08-03 21:54:22.073743	2013-08-03 21:54:22.073743	160
21930	106296	34932	2013-08-03 21:54:22.130849	2013-08-03 21:54:22.130849	160
21931	106296	6152	2013-08-03 21:54:22.141657	2013-08-03 21:54:22.141657	160
21932	106296	27421	2013-08-03 21:54:22.151848	2013-08-03 21:54:22.151848	160
21933	106296	45983	2013-08-03 21:54:22.162913	2013-08-03 21:54:22.162913	160
21934	106296	27181	2013-08-03 21:54:22.173725	2013-08-03 21:54:22.173725	160
21935	106296	27130	2013-08-03 21:54:22.178552	2013-08-03 21:54:22.178552	160
21936	106296	17433	2013-08-03 21:54:22.181854	2013-08-03 21:54:22.181854	160
21937	106296	16646	2013-08-03 21:54:22.185469	2013-08-03 21:54:22.185469	160
21938	106907	26690	2013-08-03 21:54:22.204385	2013-08-03 21:54:22.204385	160
21939	106907	25395	2013-08-03 21:54:22.212622	2013-08-03 21:54:22.212622	160
21940	106907	19166	2013-08-03 21:54:22.221179	2013-08-03 21:54:22.221179	160
21941	106907	18986	2013-08-03 21:54:22.231394	2013-08-03 21:54:22.231394	160
21942	106907	17346	2013-08-03 21:54:22.241602	2013-08-03 21:54:22.241602	160
21943	106907	17286	2013-08-03 21:54:22.251789	2013-08-03 21:54:22.251789	160
21944	106907	17270	2013-08-03 21:54:22.26168	2013-08-03 21:54:22.26168	160
21945	106907	3618	2013-08-03 21:54:22.271881	2013-08-03 21:54:22.271881	160
21946	106907	15611	2013-08-03 21:54:22.28222	2013-08-03 21:54:22.28222	160
21947	106907	15531	2013-08-03 21:54:22.294037	2013-08-03 21:54:22.294037	160
21948	106907	15437	2013-08-03 21:54:22.304676	2013-08-03 21:54:22.304676	160
21949	106907	10800	2013-08-03 21:54:22.31501	2013-08-03 21:54:22.31501	160
21950	106907	9545	2013-08-03 21:54:22.325759	2013-08-03 21:54:22.325759	160
21951	106907	37795	2013-08-03 21:54:22.336847	2013-08-03 21:54:22.336847	160
21952	106907	8250	2013-08-03 21:54:22.347969	2013-08-03 21:54:22.347969	160
21953	106907	5420	2013-08-03 21:54:22.3582	2013-08-03 21:54:22.3582	160
21954	106907	5364	2013-08-03 21:54:22.368929	2013-08-03 21:54:22.368929	160
21955	106907	10898	2013-08-03 21:54:22.379918	2013-08-03 21:54:22.379918	160
21956	106907	2055	2013-08-03 21:54:22.38479	2013-08-03 21:54:22.38479	160
21957	106638	46018	2013-08-03 21:54:22.415342	2013-08-03 21:54:22.415342	160
21958	106572	45998	2013-08-03 21:54:22.427461	2013-08-03 21:54:22.427461	160
21959	106561	45978	2013-08-03 21:54:22.442314	2013-08-03 21:54:22.442314	160
21960	106529	45958	2013-08-03 21:54:22.451196	2013-08-03 21:54:22.451196	160
21961	106502	45938	2013-08-03 21:54:22.470139	2013-08-03 21:54:22.470139	160
21962	106470	45918	2013-08-03 21:54:22.548113	2013-08-03 21:54:22.548113	160
21963	106467	45898	2013-08-03 21:54:22.56125	2013-08-03 21:54:22.56125	160
21964	106447	45878	2013-08-03 21:54:22.571976	2013-08-03 21:54:22.571976	160
21965	106410	45858	2013-08-03 21:54:22.580212	2013-08-03 21:54:22.580212	160
21966	106373	45838	2013-08-03 21:54:22.588263	2013-08-03 21:54:22.588263	160
21967	106327	27010	2013-08-03 21:54:22.596416	2013-08-03 21:54:22.596416	160
21968	106298	27030	2013-08-03 21:54:22.612039	2013-08-03 21:54:22.612039	160
21969	106297	26855	2013-08-03 21:54:22.634498	2013-08-03 21:54:22.634498	160
21970	106267	2368	2013-08-03 21:54:22.656139	2013-08-03 21:54:22.656139	160
21971	106231	5546	2013-08-03 21:54:22.680067	2013-08-03 21:54:22.680067	160
21972	106216	15628	2013-08-03 21:54:22.696476	2013-08-03 21:54:22.696476	160
21973	106211	2105	2013-08-03 21:54:22.704204	2013-08-03 21:54:22.704204	160
21974	106642	46298	2013-08-03 21:54:22.732665	2013-08-03 21:54:22.732665	160
21975	106570	46278	2013-08-03 21:54:22.741578	2013-08-03 21:54:22.741578	160
21976	106537	46258	2013-08-03 21:54:22.750011	2013-08-03 21:54:22.750011	160
21977	106444	46238	2013-08-03 21:54:22.762993	2013-08-03 21:54:22.762993	160
21978	106400	46218	2013-08-03 21:54:22.778517	2013-08-03 21:54:22.778517	160
21979	106398	46198	2013-08-03 21:54:22.799699	2013-08-03 21:54:22.799699	160
21980	106377	46178	2013-08-03 21:54:22.824805	2013-08-03 21:54:22.824805	160
21981	106346	46158	2013-08-03 21:54:22.849697	2013-08-03 21:54:22.849697	160
21982	106284	46138	2013-08-03 21:54:22.873402	2013-08-03 21:54:22.873402	160
21983	106249	46118	2013-08-03 21:54:22.896437	2013-08-03 21:54:22.896437	160
21984	106239	46098	2013-08-03 21:54:22.919375	2013-08-03 21:54:22.919375	160
21985	106228	46078	2013-08-03 21:54:22.942883	2013-08-03 21:54:22.942883	160
21986	106821	11139	2013-08-03 21:54:22.988734	2013-08-03 21:54:22.988734	160
21987	106821	11119	2013-08-03 21:54:22.99982	2013-08-03 21:54:22.99982	160
21988	106633	11099	2013-08-03 21:54:23.022175	2013-08-03 21:54:23.022175	160
21989	106633	11005	2013-08-03 21:54:23.029959	2013-08-03 21:54:23.029959	160
21990	106536	11079	2013-08-03 21:54:23.037091	2013-08-03 21:54:23.037091	160
21991	106536	11059	2013-08-03 21:54:23.040531	2013-08-03 21:54:23.040531	160
21992	106448	11039	2013-08-03 21:54:23.049717	2013-08-03 21:54:23.049717	160
21993	106448	7170	2013-08-03 21:54:23.060814	2013-08-03 21:54:23.060814	160
21994	106385	11019	2013-08-03 21:54:23.083209	2013-08-03 21:54:23.083209	160
21995	106385	10999	2013-08-03 21:54:23.094087	2013-08-03 21:54:23.094087	160
21996	106307	15868	2013-08-03 21:54:23.114695	2013-08-03 21:54:23.114695	160
21997	106307	10986	2013-08-03 21:54:23.125481	2013-08-03 21:54:23.125481	160
21998	106263	10966	2013-08-03 21:54:23.145605	2013-08-03 21:54:23.145605	160
21999	106263	10975	2013-08-03 21:54:23.157572	2013-08-03 21:54:23.157572	160
22000	106240	20410	2013-08-03 21:54:23.181378	2013-08-03 21:54:23.181378	160
22001	106240	2351	2013-08-03 21:54:23.192865	2013-08-03 21:54:23.192865	160
22002	106212	2290	2013-08-03 21:54:23.214932	2013-08-03 21:54:23.214932	160
22003	106212	2065	2013-08-03 21:54:23.222294	2013-08-03 21:54:23.222294	160
22004	107119	44040	2013-08-03 21:54:23.244778	2013-08-03 21:54:23.244778	160
22005	107119	44020	2013-08-03 21:54:23.25254	2013-08-03 21:54:23.25254	160
22006	107070	44000	2013-08-03 21:54:23.267638	2013-08-03 21:54:23.267638	160
22007	107070	43980	2013-08-03 21:54:23.275964	2013-08-03 21:54:23.275964	160
22008	106822	43960	2013-08-03 21:54:23.293666	2013-08-03 21:54:23.293666	160
22009	106822	43940	2013-08-03 21:54:23.303169	2013-08-03 21:54:23.303169	160
22010	106394	43920	2013-08-03 21:54:23.322456	2013-08-03 21:54:23.322456	160
22011	106394	27097	2013-08-03 21:54:23.332748	2013-08-03 21:54:23.332748	160
22012	106258	27161	2013-08-03 21:54:23.35355	2013-08-03 21:54:23.35355	160
22013	106258	27050	2013-08-03 21:54:23.362928	2013-08-03 21:54:23.362928	160
22014	106241	19052	2013-08-03 21:54:23.382603	2013-08-03 21:54:23.382603	160
22015	106241	11685	2013-08-03 21:54:23.392658	2013-08-03 21:54:23.392658	160
22016	106219	10720	2013-08-03 21:54:23.414313	2013-08-03 21:54:23.414313	160
22017	106219	38318	2013-08-03 21:54:23.424323	2013-08-03 21:54:23.424323	160
22018	106217	6805	2013-08-03 21:54:23.446678	2013-08-03 21:54:23.446678	160
22019	106217	2148	2013-08-03 21:54:23.457895	2013-08-03 21:54:23.457895	160
22020	107589	6428	2013-08-03 21:59:21.87957	2013-08-03 21:59:21.87957	161
22021	107589	6404	2013-08-03 21:59:21.892199	2013-08-03 21:59:21.892199	161
22022	107521	6384	2013-08-03 21:59:21.91516	2013-08-03 21:59:21.91516	161
22023	107521	6364	2013-08-03 21:59:21.926701	2013-08-03 21:59:21.926701	161
22024	107514	6344	2013-08-03 21:59:21.949657	2013-08-03 21:59:21.949657	161
22025	107514	5584	2013-08-03 21:59:21.961195	2013-08-03 21:59:21.961195	161
22026	107358	6324	2013-08-03 21:59:21.984194	2013-08-03 21:59:21.984194	161
22027	107358	8373	2013-08-03 21:59:21.99569	2013-08-03 21:59:21.99569	161
22028	107308	4796	2013-08-03 21:59:22.011426	2013-08-03 21:59:22.011426	161
22029	107308	6361	2013-08-03 21:59:22.01552	2013-08-03 21:59:22.01552	161
22030	107219	6304	2013-08-03 21:59:22.031958	2013-08-03 21:59:22.031958	161
22031	107219	16797	2013-08-03 21:59:22.035812	2013-08-03 21:59:22.035812	161
22032	107178	6284	2013-08-03 21:59:22.044187	2013-08-03 21:59:22.044187	161
22033	107178	15857	2013-08-03 21:59:22.049981	2013-08-03 21:59:22.049981	161
22034	107168	6130	2013-08-03 21:59:22.059481	2013-08-03 21:59:22.059481	161
22035	107168	6210	2013-08-03 21:59:22.06712	2013-08-03 21:59:22.06712	161
22036	107572	37625	2013-08-03 21:59:22.11675	2013-08-03 21:59:22.11675	161
22037	107534	37680	2013-08-03 21:59:22.133488	2013-08-03 21:59:22.133488	161
22038	107522	37605	2013-08-03 21:59:22.145134	2013-08-03 21:59:22.145134	161
22039	107340	37585	2013-08-03 21:59:22.162047	2013-08-03 21:59:22.162047	161
22040	107319	37565	2013-08-03 21:59:22.178716	2013-08-03 21:59:22.178716	161
22041	107306	37545	2013-08-03 21:59:22.186055	2013-08-03 21:59:22.186055	161
22042	107291	37525	2013-08-03 21:59:22.1941	2013-08-03 21:59:22.1941	161
22043	107278	37435	2013-08-03 21:59:22.204275	2013-08-03 21:59:22.204275	161
22044	107235	37505	2013-08-03 21:59:22.223479	2013-08-03 21:59:22.223479	161
22045	107221	37485	2013-08-03 21:59:22.245675	2013-08-03 21:59:22.245675	161
22046	107217	37465	2013-08-03 21:59:22.268209	2013-08-03 21:59:22.268209	161
22047	107215	37445	2013-08-03 21:59:22.290573	2013-08-03 21:59:22.290573	161
22048	107206	37425	2013-08-03 21:59:22.312959	2013-08-03 21:59:22.312959	161
22049	107193	35532	2013-08-03 21:59:22.335554	2013-08-03 21:59:22.335554	161
22050	107192	6404	2013-08-03 21:59:22.35868	2013-08-03 21:59:22.35868	161
22051	107181	6428	2013-08-03 21:59:22.380055	2013-08-03 21:59:22.380055	161
22052	107167	2276	2013-08-03 21:59:22.387165	2013-08-03 21:59:22.387165	161
22053	107582	21830	2013-08-03 21:59:22.407378	2013-08-03 21:59:22.407378	161
22054	107582	23537	2013-08-03 21:59:22.41512	2013-08-03 21:59:22.41512	161
22055	107365	17265	2013-08-03 21:59:22.436839	2013-08-03 21:59:22.436839	161
22056	107365	4839	2013-08-03 21:59:22.44792	2013-08-03 21:59:22.44792	161
22057	107330	28492	2013-08-03 21:59:22.469656	2013-08-03 21:59:22.469656	161
22058	107330	12870	2013-08-03 21:59:22.482002	2013-08-03 21:59:22.482002	161
22059	107279	21650	2013-08-03 21:59:22.504873	2013-08-03 21:59:22.504873	161
22060	107279	6210	2013-08-03 21:59:22.516176	2013-08-03 21:59:22.516176	161
22061	107251	6130	2013-08-03 21:59:22.537509	2013-08-03 21:59:22.537509	161
22062	107251	10720	2013-08-03 21:59:22.547646	2013-08-03 21:59:22.547646	161
22063	107233	38318	2013-08-03 21:59:22.572178	2013-08-03 21:59:22.572178	161
22064	107233	2290	2013-08-03 21:59:22.578134	2013-08-03 21:59:22.578134	161
22065	107190	2065	2013-08-03 21:59:22.587479	2013-08-03 21:59:22.587479	161
22066	107190	2105	2013-08-03 21:59:22.591345	2013-08-03 21:59:22.591345	161
22067	107174	21241	2013-08-03 21:59:22.605601	2013-08-03 21:59:22.605601	161
22068	107174	2158	2013-08-03 21:59:22.614716	2013-08-03 21:59:22.614716	161
22069	107169	1909	2013-08-03 21:59:22.694319	2013-08-03 21:59:22.694319	161
22070	107169	49195	2013-08-03 21:59:22.697726	2013-08-03 21:59:22.697726	161
22071	108192	17853	2013-08-03 21:59:22.74793	2013-08-03 21:59:22.74793	161
22072	108192	17833	2013-08-03 21:59:22.759457	2013-08-03 21:59:22.759457	161
22073	108192	17813	2013-08-03 21:59:22.770285	2013-08-03 21:59:22.770285	161
22074	107984	17793	2013-08-03 21:59:22.792801	2013-08-03 21:59:22.792801	161
22075	107984	17773	2013-08-03 21:59:22.804065	2013-08-03 21:59:22.804065	161
22076	107984	17753	2013-08-03 21:59:22.815291	2013-08-03 21:59:22.815291	161
22077	107706	11615	2013-08-03 21:59:22.838274	2013-08-03 21:59:22.838274	161
22078	107706	10352	2013-08-03 21:59:22.850174	2013-08-03 21:59:22.850174	161
22079	107706	17733	2013-08-03 21:59:22.861397	2013-08-03 21:59:22.861397	161
22080	107697	34405	2013-08-03 21:59:22.883882	2013-08-03 21:59:22.883882	161
22081	107697	17713	2013-08-03 21:59:22.895142	2013-08-03 21:59:22.895142	161
22082	107697	44523	2013-08-03 21:59:22.906304	2013-08-03 21:59:22.906304	161
22083	107687	15857	2013-08-03 21:59:22.928851	2013-08-03 21:59:22.928851	161
22084	107687	2105	2013-08-03 21:59:22.938961	2013-08-03 21:59:22.938961	161
22085	107687	2065	2013-08-03 21:59:22.949115	2013-08-03 21:59:22.949115	161
22086	108188	17633	2013-08-03 21:59:23.007133	2013-08-03 21:59:23.007133	161
22087	107975	27721	2013-08-03 21:59:23.027027	2013-08-03 21:59:23.027027	161
22088	107935	19386	2013-08-03 21:59:23.048735	2013-08-03 21:59:23.048735	161
22089	107909	27350	2013-08-03 21:59:23.066585	2013-08-03 21:59:23.066585	161
22090	107793	27030	2013-08-03 21:59:23.074833	2013-08-03 21:59:23.074833	161
22091	107739	26561	2013-08-03 21:59:23.086269	2013-08-03 21:59:23.086269	161
22092	107725	2260	2013-08-03 21:59:23.095618	2013-08-03 21:59:23.095618	161
22093	107583	46978	2013-08-03 21:59:23.145669	2013-08-03 21:59:23.145669	161
22094	107523	46958	2013-08-03 21:59:23.156883	2013-08-03 21:59:23.156883	161
22095	107451	46938	2013-08-03 21:59:23.168415	2013-08-03 21:59:23.168415	161
22096	107383	46918	2013-08-03 21:59:23.185124	2013-08-03 21:59:23.185124	161
22097	107359	46898	2013-08-03 21:59:23.203345	2013-08-03 21:59:23.203345	161
22098	107339	46878	2013-08-03 21:59:23.215638	2013-08-03 21:59:23.215638	161
22099	107292	46858	2013-08-03 21:59:23.233899	2013-08-03 21:59:23.233899	161
22100	107281	46838	2013-08-03 21:59:23.247558	2013-08-03 21:59:23.247558	161
22101	107243	27590	2013-08-03 21:59:23.261377	2013-08-03 21:59:23.261377	161
22102	107236	27050	2013-08-03 21:59:23.2734	2013-08-03 21:59:23.2734	161
22103	107218	5652	2013-08-03 21:59:23.282711	2013-08-03 21:59:23.282711	161
22104	107216	20410	2013-08-03 21:59:23.292371	2013-08-03 21:59:23.292371	161
22105	107205	2200	2013-08-03 21:59:23.31244	2013-08-03 21:59:23.31244	161
22106	107200	2351	2013-08-03 21:59:23.333723	2013-08-03 21:59:23.333723	161
22107	107176	1960	2013-08-03 21:59:23.355029	2013-08-03 21:59:23.355029	161
22108	107175	12737	2013-08-03 21:59:23.376482	2013-08-03 21:59:23.376482	161
22109	107170	34675	2013-08-03 21:59:23.398181	2013-08-03 21:59:23.398181	161
22110	107452	47278	2013-08-03 21:59:23.471138	2013-08-03 21:59:23.471138	161
22111	107367	47258	2013-08-03 21:59:23.494086	2013-08-03 21:59:23.494086	161
22112	107338	47238	2013-08-03 21:59:23.518555	2013-08-03 21:59:23.518555	161
22113	107285	47218	2013-08-03 21:59:23.535261	2013-08-03 21:59:23.535261	161
22114	107273	47198	2013-08-03 21:59:23.542716	2013-08-03 21:59:23.542716	161
22115	107263	47178	2013-08-03 21:59:23.553498	2013-08-03 21:59:23.553498	161
22116	107252	47158	2013-08-03 21:59:23.574271	2013-08-03 21:59:23.574271	161
22117	107244	47138	2013-08-03 21:59:23.594986	2013-08-03 21:59:23.594986	161
22118	107213	47118	2013-08-03 21:59:23.605508	2013-08-03 21:59:23.605508	161
22119	107189	47098	2013-08-03 21:59:23.615527	2013-08-03 21:59:23.615527	161
22120	107188	47078	2013-08-03 21:59:23.625557	2013-08-03 21:59:23.625557	161
22121	107177	47058	2013-08-03 21:59:23.6384	2013-08-03 21:59:23.6384	161
22122	107173	47038	2013-08-03 21:59:23.653569	2013-08-03 21:59:23.653569	161
22123	107584	5784	2013-08-03 21:59:23.723651	2013-08-03 21:59:23.723651	161
22124	107530	11159	2013-08-03 21:59:23.746838	2013-08-03 21:59:23.746838	161
22125	107401	2182	2013-08-03 21:59:23.770102	2013-08-03 21:59:23.770102	161
22126	107389	11017	2013-08-03 21:59:23.792822	2013-08-03 21:59:23.792822	161
22127	107280	16208	2013-08-03 21:59:23.814276	2013-08-03 21:59:23.814276	161
22128	107264	10995	2013-08-03 21:59:23.837179	2013-08-03 21:59:23.837179	161
22129	107238	10372	2013-08-03 21:59:23.860173	2013-08-03 21:59:23.860173	161
22130	107201	19048	2013-08-03 21:59:23.881356	2013-08-03 21:59:23.881356	161
22131	107191	5546	2013-08-03 21:59:23.903674	2013-08-03 21:59:23.903674	161
22132	107171	2240	2013-08-03 21:59:23.913779	2013-08-03 21:59:23.913779	161
22133	107585	44500	2013-08-03 21:59:23.973183	2013-08-03 21:59:23.973183	161
22134	107531	44480	2013-08-03 21:59:23.983965	2013-08-03 21:59:23.983965	161
22135	107513	44460	2013-08-03 21:59:23.992249	2013-08-03 21:59:23.992249	161
22136	107399	44440	2013-08-03 21:59:24.000984	2013-08-03 21:59:24.000984	161
22137	107391	44420	2013-08-03 21:59:24.019294	2013-08-03 21:59:24.019294	161
22138	107266	44400	2013-08-03 21:59:24.09467	2013-08-03 21:59:24.09467	161
22139	107240	19426	2013-08-03 21:59:24.104213	2013-08-03 21:59:24.104213	161
22140	107222	26670	2013-08-03 21:59:24.114733	2013-08-03 21:59:24.114733	161
22141	107202	13311	2013-08-03 21:59:24.129759	2013-08-03 21:59:24.129759	161
22142	107172	2220	2013-08-03 21:59:24.150852	2013-08-03 21:59:24.150852	161
22143	109372	28381	2013-08-03 22:04:20.66717	2013-08-03 22:04:20.66717	162
22144	109161	28361	2013-08-03 22:04:20.679796	2013-08-03 22:04:20.679796	162
22145	108913	28341	2013-08-03 22:04:20.691501	2013-08-03 22:04:20.691501	162
22146	108756	28321	2013-08-03 22:04:20.709953	2013-08-03 22:04:20.709953	162
22147	108689	28301	2013-08-03 22:04:20.733638	2013-08-03 22:04:20.733638	162
22148	108663	28281	2013-08-03 22:04:20.759036	2013-08-03 22:04:20.759036	162
22149	108617	28261	2013-08-03 22:04:20.77106	2013-08-03 22:04:20.77106	162
22150	108578	15308	2013-08-03 22:04:20.783015	2013-08-03 22:04:20.783015	162
22151	108490	28140	2013-08-03 22:04:20.80183	2013-08-03 22:04:20.80183	162
22152	108469	28241	2013-08-03 22:04:20.825689	2013-08-03 22:04:20.825689	162
22153	108465	28221	2013-08-03 22:04:20.849345	2013-08-03 22:04:20.849345	162
22154	108427	28201	2013-08-03 22:04:20.872792	2013-08-03 22:04:20.872792	162
22155	108419	28181	2013-08-03 22:04:20.952673	2013-08-03 22:04:20.952673	162
22156	108396	28161	2013-08-03 22:04:20.963007	2013-08-03 22:04:20.963007	162
22157	108370	17006	2013-08-03 22:04:20.974867	2013-08-03 22:04:20.974867	162
22158	108356	28141	2013-08-03 22:04:20.98835	2013-08-03 22:04:20.98835	162
22159	108354	28121	2013-08-03 22:04:21.004545	2013-08-03 22:04:21.004545	162
22160	108352	6103	2013-08-03 22:04:21.023362	2013-08-03 22:04:21.023362	162
22161	109304	6552	2013-08-03 22:04:21.107281	2013-08-03 22:04:21.107281	162
22162	108417	6572	2013-08-03 22:04:21.117948	2013-08-03 22:04:21.117948	162
22163	108293	6592	2013-08-03 22:04:21.126989	2013-08-03 22:04:21.126989	162
22164	108222	6448	2013-08-03 22:04:21.135094	2013-08-03 22:04:21.135094	162
22165	108214	6468	2013-08-03 22:04:21.142636	2013-08-03 22:04:21.142636	162
22166	108166	6584	2013-08-03 22:04:21.149938	2013-08-03 22:04:21.149938	162
22167	108079	6564	2013-08-03 22:04:21.156875	2013-08-03 22:04:21.156875	162
22168	108064	6544	2013-08-03 22:04:21.166594	2013-08-03 22:04:21.166594	162
22169	108037	6524	2013-08-03 22:04:21.176063	2013-08-03 22:04:21.176063	162
22170	107995	21417	2013-08-03 22:04:21.193752	2013-08-03 22:04:21.193752	162
22171	109305	37945	2013-08-03 22:04:21.254747	2013-08-03 22:04:21.254747	162
22172	108389	37900	2013-08-03 22:04:21.278262	2013-08-03 22:04:21.278262	162
22173	108353	37925	2013-08-03 22:04:21.300715	2013-08-03 22:04:21.300715	162
22174	108291	37905	2013-08-03 22:04:21.323427	2013-08-03 22:04:21.323427	162
22175	108284	37885	2013-08-03 22:04:21.346318	2013-08-03 22:04:21.346318	162
22176	108195	37865	2013-08-03 22:04:21.369958	2013-08-03 22:04:21.369958	162
22177	108157	37845	2013-08-03 22:04:21.387714	2013-08-03 22:04:21.387714	162
22178	108146	37825	2013-08-03 22:04:21.396534	2013-08-03 22:04:21.396534	162
22179	108144	28061	2013-08-03 22:04:21.403072	2013-08-03 22:04:21.403072	162
22180	108137	36092	2013-08-03 22:04:21.411152	2013-08-03 22:04:21.411152	162
22181	108089	19750	2013-08-03 22:04:21.433965	2013-08-03 22:04:21.433965	162
22182	108065	27990	2013-08-03 22:04:21.444288	2013-08-03 22:04:21.444288	162
22183	108061	15510	2013-08-03 22:04:21.453272	2013-08-03 22:04:21.453272	162
22184	108041	2453	2013-08-03 22:04:21.462524	2013-08-03 22:04:21.462524	162
22185	108002	6448	2013-08-03 22:04:21.470561	2013-08-03 22:04:21.470561	162
22186	107996	28201	2013-08-03 22:04:21.480186	2013-08-03 22:04:21.480186	162
22187	109306	16873	2013-08-03 22:04:21.527275	2013-08-03 22:04:21.527275	162
22188	108458	19448	2013-08-03 22:04:21.53549	2013-08-03 22:04:21.53549	162
22189	108391	16670	2013-08-03 22:04:21.543155	2013-08-03 22:04:21.543155	162
22190	108289	32560	2013-08-03 22:04:21.550958	2013-08-03 22:04:21.550958	162
22191	108265	16700	2013-08-03 22:04:21.563024	2013-08-03 22:04:21.563024	162
22192	108198	24101	2013-08-03 22:04:21.57797	2013-08-03 22:04:21.57797	162
22193	108165	24141	2013-08-03 22:04:21.599511	2013-08-03 22:04:21.599511	162
22194	108117	2469	2013-08-03 22:04:21.621966	2013-08-03 22:04:21.621966	162
22195	108072	21417	2013-08-03 22:04:21.644038	2013-08-03 22:04:21.644038	162
22196	108011	28201	2013-08-03 22:04:21.659475	2013-08-03 22:04:21.659475	162
22197	107994	17006	2013-08-03 22:04:21.669725	2013-08-03 22:04:21.669725	162
22198	109301	19048	2013-08-03 22:04:21.758099	2013-08-03 22:04:21.758099	162
22199	108475	13311	2013-08-03 22:04:21.780689	2013-08-03 22:04:21.780689	162
22200	108453	6390	2013-08-03 22:04:21.789204	2013-08-03 22:04:21.789204	162
22201	108316	6103	2013-08-03 22:04:21.799138	2013-08-03 22:04:21.799138	162
22202	108295	21417	2013-08-03 22:04:21.808622	2013-08-03 22:04:21.808622	162
22203	108122	2453	2013-08-03 22:04:21.817442	2013-08-03 22:04:21.817442	162
22204	108088	2278	2013-08-03 22:04:21.83848	2013-08-03 22:04:21.83848	162
22205	108063	2220	2013-08-03 22:04:21.861391	2013-08-03 22:04:21.861391	162
22206	108007	2351	2013-08-03 22:04:21.878695	2013-08-03 22:04:21.878695	162
22207	107997	6524	2013-08-03 22:04:21.885773	2013-08-03 22:04:21.885773	162
22208	108906	35815	2013-08-03 22:04:21.909963	2013-08-03 22:04:21.909963	162
22209	108619	35652	2013-08-03 22:04:21.924821	2013-08-03 22:04:21.924821	162
22210	108416	27941	2013-08-03 22:04:21.94796	2013-08-03 22:04:21.94796	162
22211	108371	17833	2013-08-03 22:04:21.971086	2013-08-03 22:04:21.971086	162
22212	108247	28140	2013-08-03 22:04:21.994662	2013-08-03 22:04:21.994662	162
22213	108210	27850	2013-08-03 22:04:22.017749	2013-08-03 22:04:22.017749	162
22214	108186	27630	2013-08-03 22:04:22.031893	2013-08-03 22:04:22.031893	162
22215	108158	19626	2013-08-03 22:04:22.041865	2013-08-03 22:04:22.041865	162
22216	108068	5652	2013-08-03 22:04:22.049353	2013-08-03 22:04:22.049353	162
22217	108060	6395	2013-08-03 22:04:22.059061	2013-08-03 22:04:22.059061	162
22218	108059	16808	2013-08-03 22:04:22.071399	2013-08-03 22:04:22.071399	162
22219	108001	2260	2013-08-03 22:04:22.136799	2013-08-03 22:04:22.136799	162
22220	108618	47898	2013-08-03 22:04:22.227172	2013-08-03 22:04:22.227172	162
22221	108471	47878	2013-08-03 22:04:22.248581	2013-08-03 22:04:22.248581	162
22222	108423	47858	2013-08-03 22:04:22.269486	2013-08-03 22:04:22.269486	162
22223	108382	47838	2013-08-03 22:04:22.290173	2013-08-03 22:04:22.290173	162
22224	108296	47818	2013-08-03 22:04:22.311107	2013-08-03 22:04:22.311107	162
22225	108276	47798	2013-08-03 22:04:22.334188	2013-08-03 22:04:22.334188	162
22226	108206	16290	2013-08-03 22:04:22.357821	2013-08-03 22:04:22.357821	162
22227	108160	47698	2013-08-03 22:04:22.3801	2013-08-03 22:04:22.3801	162
22228	108159	23537	2013-08-03 22:04:22.402337	2013-08-03 22:04:22.402337	162
22229	108155	4846	2013-08-03 22:04:22.412246	2013-08-03 22:04:22.412246	162
22230	108132	13183	2013-08-03 22:04:22.41988	2013-08-03 22:04:22.41988	162
22231	108119	6368	2013-08-03 22:04:22.427341	2013-08-03 22:04:22.427341	162
22232	108094	6210	2013-08-03 22:04:22.435692	2013-08-03 22:04:22.435692	162
22233	108062	2200	2013-08-03 22:04:22.44984	2013-08-03 22:04:22.44984	162
22234	108010	34675	2013-08-03 22:04:22.458591	2013-08-03 22:04:22.458591	162
22235	107998	49195	2013-08-03 22:04:22.474837	2013-08-03 22:04:22.474837	162
22236	109165	48178	2013-08-03 22:04:22.507186	2013-08-03 22:04:22.507186	162
22237	108395	48158	2013-08-03 22:04:22.51469	2013-08-03 22:04:22.51469	162
22238	108321	48138	2013-08-03 22:04:22.52561	2013-08-03 22:04:22.52561	162
22239	108297	48118	2013-08-03 22:04:22.544129	2013-08-03 22:04:22.544129	162
22240	108294	48098	2013-08-03 22:04:22.566966	2013-08-03 22:04:22.566966	162
22241	108246	48078	2013-08-03 22:04:22.592752	2013-08-03 22:04:22.592752	162
22242	108189	48058	2013-08-03 22:04:22.603137	2013-08-03 22:04:22.603137	162
22243	108181	48038	2013-08-03 22:04:22.611419	2013-08-03 22:04:22.611419	162
22244	108133	48018	2013-08-03 22:04:22.6195	2013-08-03 22:04:22.6195	162
22245	108035	47998	2013-08-03 22:04:22.631299	2013-08-03 22:04:22.631299	162
22246	108006	47978	2013-08-03 22:04:22.650114	2013-08-03 22:04:22.650114	162
22247	109307	11319	2013-08-03 22:04:22.70826	2013-08-03 22:04:22.70826	162
22248	108692	2149	2013-08-03 22:04:22.730151	2013-08-03 22:04:22.730151	162
22249	108351	11235	2013-08-03 22:04:22.751506	2013-08-03 22:04:22.751506	162
22250	108290	21650	2013-08-03 22:04:22.769927	2013-08-03 22:04:22.769927	162
22251	108207	13311	2013-08-03 22:04:22.779653	2013-08-03 22:04:22.779653	162
22252	108172	6572	2013-08-03 22:04:22.79486	2013-08-03 22:04:22.79486	162
22253	108138	6328	2013-08-03 22:04:22.812102	2013-08-03 22:04:22.812102	162
22254	108120	2272	2013-08-03 22:04:22.822507	2013-08-03 22:04:22.822507	162
22255	108099	2105	2013-08-03 22:04:22.835272	2013-08-03 22:04:22.835272	162
22256	108009	27941	2013-08-03 22:04:22.848482	2013-08-03 22:04:22.848482	162
22257	107999	28181	2013-08-03 22:04:22.856544	2013-08-03 22:04:22.856544	162
22258	108487	17833	2013-08-03 22:04:22.883378	2013-08-03 22:04:22.883378	162
22259	108357	27790	2013-08-03 22:04:22.892968	2013-08-03 22:04:22.892968	162
22260	108292	27537	2013-08-03 22:04:22.902867	2013-08-03 22:04:22.902867	162
22261	108212	19783	2013-08-03 22:04:22.914208	2013-08-03 22:04:22.914208	162
22262	108169	21830	2013-08-03 22:04:22.934309	2013-08-03 22:04:22.934309	162
22263	108156	2182	2013-08-03 22:04:22.959169	2013-08-03 22:04:22.959169	162
22264	108140	16208	2013-08-03 22:04:22.981575	2013-08-03 22:04:22.981575	162
22265	108121	6348	2013-08-03 22:04:22.997584	2013-08-03 22:04:22.997584	162
22266	108103	2208	2013-08-03 22:04:23.005977	2013-08-03 22:04:23.005977	162
22267	108008	1909	2013-08-03 22:04:23.013738	2013-08-03 22:04:23.013738	162
22268	108000	28161	2013-08-03 22:04:23.021368	2013-08-03 22:04:23.021368	162
22269	110581	29061	2013-08-03 22:09:23.208421	2013-08-03 22:09:23.208421	163
22270	110105	15106	2013-08-03 22:09:23.23467	2013-08-03 22:09:23.23467	163
22271	109932	28957	2013-08-03 22:09:23.250669	2013-08-03 22:09:23.250669	163
22272	109919	28965	2013-08-03 22:09:23.259347	2013-08-03 22:09:23.259347	163
22273	109850	29041	2013-08-03 22:09:23.268384	2013-08-03 22:09:23.268384	163
22274	109816	29021	2013-08-03 22:09:23.278851	2013-08-03 22:09:23.278851	163
22275	109799	29001	2013-08-03 22:09:23.298509	2013-08-03 22:09:23.298509	163
22276	109749	28981	2013-08-03 22:09:23.321636	2013-08-03 22:09:23.321636	163
22277	109672	28961	2013-08-03 22:09:23.344426	2013-08-03 22:09:23.344426	163
22278	109629	28941	2013-08-03 22:09:23.368094	2013-08-03 22:09:23.368094	163
22279	109613	28921	2013-08-03 22:09:23.392048	2013-08-03 22:09:23.392048	163
22280	109581	28901	2013-08-03 22:09:23.415542	2013-08-03 22:09:23.415542	163
22281	109579	28835	2013-08-03 22:09:23.442269	2013-08-03 22:09:23.442269	163
22282	109564	28881	2013-08-03 22:09:23.46523	2013-08-03 22:09:23.46523	163
22283	109525	28861	2013-08-03 22:09:23.53472	2013-08-03 22:09:23.53472	163
22284	109519	28305	2013-08-03 22:09:23.54191	2013-08-03 22:09:23.54191	163
22285	109512	19886	2013-08-03 22:09:23.552053	2013-08-03 22:09:23.552053	163
22286	111363	6740	2013-08-03 22:09:23.620987	2013-08-03 22:09:23.620987	163
22287	110237	6712	2013-08-03 22:09:23.631631	2013-08-03 22:09:23.631631	163
22288	110107	6732	2013-08-03 22:09:23.641067	2013-08-03 22:09:23.641067	163
22289	109930	13183	2013-08-03 22:09:23.651577	2013-08-03 22:09:23.651577	163
22290	109866	2574	2013-08-03 22:09:23.66105	2013-08-03 22:09:23.66105	163
22291	109744	15746	2013-08-03 22:09:23.66964	2013-08-03 22:09:23.66964	163
22292	109707	19826	2013-08-03 22:09:23.678733	2013-08-03 22:09:23.678733	163
22293	109625	30797	2013-08-03 22:09:23.684848	2013-08-03 22:09:23.684848	163
22294	109608	30817	2013-08-03 22:09:23.691417	2013-08-03 22:09:23.691417	163
22295	109542	23668	2013-08-03 22:09:23.707472	2013-08-03 22:09:23.707472	163
22296	110439	38225	2013-08-03 22:09:23.765937	2013-08-03 22:09:23.765937	163
22297	110234	38205	2013-08-03 22:09:23.791129	2013-08-03 22:09:23.791129	163
22298	109931	38185	2013-08-03 22:09:23.814297	2013-08-03 22:09:23.814297	163
22299	109813	38165	2013-08-03 22:09:23.837638	2013-08-03 22:09:23.837638	163
22300	109797	38145	2013-08-03 22:09:23.861921	2013-08-03 22:09:23.861921	163
22301	109747	38000	2013-08-03 22:09:23.885452	2013-08-03 22:09:23.885452	163
22302	109665	38125	2013-08-03 22:09:23.910283	2013-08-03 22:09:23.910283	163
22303	109628	38105	2013-08-03 22:09:23.933606	2013-08-03 22:09:23.933606	163
22304	109610	38085	2013-08-03 22:09:23.956398	2013-08-03 22:09:23.956398	163
22305	109582	38065	2013-08-03 22:09:23.979483	2013-08-03 22:09:23.979483	163
22306	109580	36472	2013-08-03 22:09:24.003484	2013-08-03 22:09:24.003484	163
22307	109577	29041	2013-08-03 22:09:24.025244	2013-08-03 22:09:24.025244	163
22308	109553	28781	2013-08-03 22:09:24.047178	2013-08-03 22:09:24.047178	163
22309	109527	5171	2013-08-03 22:09:24.069518	2013-08-03 22:09:24.069518	163
22310	109520	19835	2013-08-03 22:09:24.091863	2013-08-03 22:09:24.091863	163
22311	109517	2343	2013-08-03 22:09:24.115046	2013-08-03 22:09:24.115046	163
22312	109510	15746	2013-08-03 22:09:24.137325	2013-08-03 22:09:24.137325	163
22313	110115	34700	2013-08-03 22:09:24.217701	2013-08-03 22:09:24.217701	163
22314	110111	23668	2013-08-03 22:09:24.239496	2013-08-03 22:09:24.239496	163
22315	109902	30757	2013-08-03 22:09:24.261595	2013-08-03 22:09:24.261595	163
22316	109745	28112	2013-08-03 22:09:24.279062	2013-08-03 22:09:24.279062	163
22317	109638	6728	2013-08-03 22:09:24.287154	2013-08-03 22:09:24.287154	163
22318	109623	28161	2013-08-03 22:09:24.294884	2013-08-03 22:09:24.294884	163
22319	109547	28181	2013-08-03 22:09:24.302314	2013-08-03 22:09:24.302314	163
22320	109526	28140	2013-08-03 22:09:24.309234	2013-08-03 22:09:24.309234	163
22321	109514	6524	2013-08-03 22:09:24.31661	2013-08-03 22:09:24.31661	163
22322	109508	17006	2013-08-03 22:09:24.326878	2013-08-03 22:09:24.326878	163
22323	110924	36732	2013-08-03 22:09:24.361398	2013-08-03 22:09:24.361398	163
22324	110761	36660	2013-08-03 22:09:24.382383	2013-08-03 22:09:24.382383	163
22325	110728	36712	2013-08-03 22:09:24.407215	2013-08-03 22:09:24.407215	163
22326	110502	36692	2013-08-03 22:09:24.431029	2013-08-03 22:09:24.431029	163
22327	110470	36672	2013-08-03 22:09:24.454558	2013-08-03 22:09:24.454558	163
22328	110440	36652	2013-08-03 22:09:24.478073	2013-08-03 22:09:24.478073	163
22329	110434	36632	2013-08-03 22:09:24.501387	2013-08-03 22:09:24.501387	163
22330	110369	36612	2013-08-03 22:09:24.511483	2013-08-03 22:09:24.511483	163
22331	110364	36592	2013-08-03 22:09:24.519564	2013-08-03 22:09:24.519564	163
22332	110308	36572	2013-08-03 22:09:24.527424	2013-08-03 22:09:24.527424	163
22333	110236	36472	2013-08-03 22:09:24.53643	2013-08-03 22:09:24.53643	163
22334	110227	28190	2013-08-03 22:09:24.546936	2013-08-03 22:09:24.546936	163
22335	110226	8180	2013-08-03 22:09:24.563291	2013-08-03 22:09:24.563291	163
22336	110207	28901	2013-08-03 22:09:24.585122	2013-08-03 22:09:24.585122	163
22337	110194	49403	2013-08-03 22:09:24.606237	2013-08-03 22:09:24.606237	163
22338	111111	11055	2013-08-03 22:09:24.675204	2013-08-03 22:09:24.675204	163
22339	110104	16808	2013-08-03 22:09:24.695316	2013-08-03 22:09:24.695316	163
22340	109935	2272	2013-08-03 22:09:24.704422	2013-08-03 22:09:24.704422	163
22341	109915	34335	2013-08-03 22:09:24.715821	2013-08-03 22:09:24.715821	163
22342	109878	13391	2013-08-03 22:09:24.725696	2013-08-03 22:09:24.725696	163
22343	109781	28752	2013-08-03 22:09:24.73513	2013-08-03 22:09:24.73513	163
22344	109630	30797	2013-08-03 22:09:24.745153	2013-08-03 22:09:24.745153	163
22345	109534	28172	2013-08-03 22:09:24.754024	2013-08-03 22:09:24.754024	163
22346	109529	6728	2013-08-03 22:09:24.761197	2013-08-03 22:09:24.761197	163
22347	109516	27852	2013-08-03 22:09:24.821803	2013-08-03 22:09:24.821803	163
22348	109511	6684	2013-08-03 22:09:24.833332	2013-08-03 22:09:24.833332	163
22349	110441	48935	2013-08-03 22:09:25.139551	2013-08-03 22:09:25.139551	163
22350	109941	1464	2013-08-03 22:09:25.154719	2013-08-03 22:09:25.154719	163
22351	109920	6744	2013-08-03 22:09:25.16234	2013-08-03 22:09:25.16234	163
22352	109848	28141	2013-08-03 22:09:25.169584	2013-08-03 22:09:25.169584	163
22353	109835	6612	2013-08-03 22:09:25.177317	2013-08-03 22:09:25.177317	163
22354	109819	28192	2013-08-03 22:09:25.192545	2013-08-03 22:09:25.192545	163
22355	109683	6544	2013-08-03 22:09:25.204669	2013-08-03 22:09:25.204669	163
22356	109651	16290	2013-08-03 22:09:25.221321	2013-08-03 22:09:25.221321	163
22357	109650	17833	2013-08-03 22:09:25.243724	2013-08-03 22:09:25.243724	163
22358	109632	6564	2013-08-03 22:09:25.266499	2013-08-03 22:09:25.266499	163
22359	109589	28241	2013-08-03 22:09:25.288784	2013-08-03 22:09:25.288784	163
22360	109583	19541	2013-08-03 22:09:25.311359	2013-08-03 22:09:25.311359	163
22361	109569	15186	2013-08-03 22:09:25.325118	2013-08-03 22:09:25.325118	163
22362	109565	6704	2013-08-03 22:09:25.334184	2013-08-03 22:09:25.334184	163
22363	109563	6468	2013-08-03 22:09:25.341981	2013-08-03 22:09:25.341981	163
22364	109552	28457	2013-08-03 22:09:25.36231	2013-08-03 22:09:25.36231	163
22365	109533	28221	2013-08-03 22:09:25.387277	2013-08-03 22:09:25.387277	163
22366	110828	48578	2013-08-03 22:09:25.443893	2013-08-03 22:09:25.443893	163
22367	109725	48558	2013-08-03 22:09:25.451637	2013-08-03 22:09:25.451637	163
22368	109709	48538	2013-08-03 22:09:25.461	2013-08-03 22:09:25.461	163
22369	109654	48518	2013-08-03 22:09:25.475956	2013-08-03 22:09:25.475956	163
22370	109649	48498	2013-08-03 22:09:25.484015	2013-08-03 22:09:25.484015	163
22371	109639	48478	2013-08-03 22:09:25.491834	2013-08-03 22:09:25.491834	163
22372	109636	48458	2013-08-03 22:09:25.499974	2013-08-03 22:09:25.499974	163
22373	109567	48438	2013-08-03 22:09:25.50921	2013-08-03 22:09:25.50921	163
22374	109531	48418	2013-08-03 22:09:25.518752	2013-08-03 22:09:25.518752	163
22375	109515	48398	2013-08-03 22:09:25.530102	2013-08-03 22:09:25.530102	163
22376	110119	2574	2013-08-03 22:09:25.556724	2013-08-03 22:09:25.556724	163
22377	110108	34335	2013-08-03 22:09:25.568331	2013-08-03 22:09:25.568331	163
22378	109942	47623	2013-08-03 22:09:25.577172	2013-08-03 22:09:25.577172	163
22379	109812	48538	2013-08-03 22:09:25.586297	2013-08-03 22:09:25.586297	163
22380	109633	6612	2013-08-03 22:09:25.597258	2013-08-03 22:09:25.597258	163
22381	109562	30717	2013-08-03 22:09:25.604789	2013-08-03 22:09:25.604789	163
22382	109536	6688	2013-08-03 22:09:25.613469	2013-08-03 22:09:25.613469	163
22383	109530	30837	2013-08-03 22:09:25.622136	2013-08-03 22:09:25.622136	163
22384	109522	19603	2013-08-03 22:09:25.629783	2013-08-03 22:09:25.629783	163
22385	109521	6632	2013-08-03 22:09:25.639288	2013-08-03 22:09:25.639288	163
22386	109509	30757	2013-08-03 22:09:25.648933	2013-08-03 22:09:25.648933	163
22387	110118	28152	2013-08-03 22:09:25.715894	2013-08-03 22:09:25.715894	163
22388	109945	47698	2013-08-03 22:09:25.737899	2013-08-03 22:09:25.737899	163
22389	109922	5331	2013-08-03 22:09:25.764084	2013-08-03 22:09:25.764084	163
22390	109833	27941	2013-08-03 22:09:25.783592	2013-08-03 22:09:25.783592	163
22391	109635	6672	2013-08-03 22:09:25.793544	2013-08-03 22:09:25.793544	163
22392	109568	28201	2013-08-03 22:09:25.804655	2013-08-03 22:09:25.804655	163
22393	109540	19750	2013-08-03 22:09:25.816482	2013-08-03 22:09:25.816482	163
22394	109532	6584	2013-08-03 22:09:25.827687	2013-08-03 22:09:25.827687	163
22395	109524	15166	2013-08-03 22:09:25.837459	2013-08-03 22:09:25.837459	163
22396	109523	47978	2013-08-03 22:09:25.845177	2013-08-03 22:09:25.845177	163
22397	109513	6448	2013-08-03 22:09:25.859049	2013-08-03 22:09:25.859049	163
22398	112513	30041	2013-08-03 22:14:24.181081	2013-08-03 22:14:24.181081	164
22399	112441	30021	2013-08-03 22:14:24.206965	2013-08-03 22:14:24.206965	164
22400	112144	30001	2013-08-03 22:14:24.230579	2013-08-03 22:14:24.230579	164
22401	111918	30012	2013-08-03 22:14:24.253993	2013-08-03 22:14:24.253993	164
22402	111910	29981	2013-08-03 22:14:24.278271	2013-08-03 22:14:24.278271	164
22403	111828	29961	2013-08-03 22:14:24.300285	2013-08-03 22:14:24.300285	164
22404	111822	29941	2013-08-03 22:14:24.323357	2013-08-03 22:14:24.323357	164
22405	111417	29921	2013-08-03 22:14:24.347014	2013-08-03 22:14:24.347014	164
22406	111408	29895	2013-08-03 22:14:24.369999	2013-08-03 22:14:24.369999	164
22407	111341	29901	2013-08-03 22:14:24.389123	2013-08-03 22:14:24.389123	164
22408	111253	2154	2013-08-03 22:14:24.414336	2013-08-03 22:14:24.414336	164
22409	111237	29881	2013-08-03 22:14:24.428298	2013-08-03 22:14:24.428298	164
22410	111217	2499	2013-08-03 22:14:24.437664	2013-08-03 22:14:24.437664	164
22411	111158	29861	2013-08-03 22:14:24.446153	2013-08-03 22:14:24.446153	164
22412	111134	29841	2013-08-03 22:14:24.455506	2013-08-03 22:14:24.455506	164
22413	111120	29725	2013-08-03 22:14:24.464915	2013-08-03 22:14:24.464915	164
22414	111119	29821	2013-08-03 22:14:24.473418	2013-08-03 22:14:24.473418	164
22415	112864	8512	2013-08-03 22:14:24.530009	2013-08-03 22:14:24.530009	164
22416	112629	29901	2013-08-03 22:14:24.552894	2013-08-03 22:14:24.552894	164
22417	112577	29761	2013-08-03 22:14:24.57441	2013-08-03 22:14:24.57441	164
22418	112511	29501	2013-08-03 22:14:24.596777	2013-08-03 22:14:24.596777	164
22419	111699	19966	2013-08-03 22:14:24.608764	2013-08-03 22:14:24.608764	164
22420	111591	2135	2013-08-03 22:14:24.621494	2013-08-03 22:14:24.621494	164
22421	111362	29281	2013-08-03 22:14:24.640426	2013-08-03 22:14:24.640426	164
22422	111216	6744	2013-08-03 22:14:24.661629	2013-08-03 22:14:24.661629	164
22423	111153	48458	2013-08-03 22:14:24.67623	2013-08-03 22:14:24.67623	164
22424	111136	28192	2013-08-03 22:14:24.689195	2013-08-03 22:14:24.689195	164
22425	112863	38505	2013-08-03 22:14:24.732463	2013-08-03 22:14:24.732463	164
22426	112512	38485	2013-08-03 22:14:24.748914	2013-08-03 22:14:24.748914	164
22427	112439	38465	2013-08-03 22:14:24.760015	2013-08-03 22:14:24.760015	164
22428	111821	38445	2013-08-03 22:14:24.771692	2013-08-03 22:14:24.771692	164
22429	111689	37232	2013-08-03 22:14:24.779458	2013-08-03 22:14:24.779458	164
22430	111416	28470	2013-08-03 22:14:24.790563	2013-08-03 22:14:24.790563	164
22431	111369	19946	2013-08-03 22:14:24.808717	2013-08-03 22:14:24.808717	164
22432	111340	15851	2013-08-03 22:14:24.830787	2013-08-03 22:14:24.830787	164
22433	111251	11651	2013-08-03 22:14:24.853031	2013-08-03 22:14:24.853031	164
22434	111234	29961	2013-08-03 22:14:24.870214	2013-08-03 22:14:24.870214	164
22435	111212	17550	2013-08-03 22:14:24.884107	2013-08-03 22:14:24.884107	164
22436	111161	29741	2013-08-03 22:14:24.896883	2013-08-03 22:14:24.896883	164
22437	111155	29481	2013-08-03 22:14:24.917441	2013-08-03 22:14:24.917441	164
22438	111137	2135	2013-08-03 22:14:24.940366	2013-08-03 22:14:24.940366	164
22439	111124	11679	2013-08-03 22:14:24.960306	2013-08-03 22:14:24.960306	164
22440	111118	17833	2013-08-03 22:14:24.968395	2013-08-03 22:14:24.968395	164
22441	112862	18173	2013-08-03 22:14:25.015639	2013-08-03 22:14:25.015639	164
22442	112624	19750	2013-08-03 22:14:25.039049	2013-08-03 22:14:25.039049	164
22443	112621	28192	2013-08-03 22:14:25.061055	2013-08-03 22:14:25.061055	164
22444	112149	16290	2013-08-03 22:14:25.070067	2013-08-03 22:14:25.070067	164
22445	111442	6688	2013-08-03 22:14:25.093719	2013-08-03 22:14:25.093719	164
22446	111265	48518	2013-08-03 22:14:25.116729	2013-08-03 22:14:25.116729	164
22447	111258	28901	2013-08-03 22:14:25.139802	2013-08-03 22:14:25.139802	164
22448	111233	28221	2013-08-03 22:14:25.150262	2013-08-03 22:14:25.150262	164
22449	111164	27852	2013-08-03 22:14:25.158171	2013-08-03 22:14:25.158171	164
22450	111130	28181	2013-08-03 22:14:25.165523	2013-08-03 22:14:25.165523	164
22451	112682	2278	2013-08-03 22:14:25.22448	2013-08-03 22:14:25.22448	164
22452	112627	29961	2013-08-03 22:14:25.248001	2013-08-03 22:14:25.248001	164
22453	112514	29881	2013-08-03 22:14:25.269798	2013-08-03 22:14:25.269798	164
22454	112151	29601	2013-08-03 22:14:25.292713	2013-08-03 22:14:25.292713	164
22455	111842	28201	2013-08-03 22:14:25.313881	2013-08-03 22:14:25.313881	164
22456	111524	18221	2013-08-03 22:14:25.335896	2013-08-03 22:14:25.335896	164
22457	111318	29201	2013-08-03 22:14:25.35861	2013-08-03 22:14:25.35861	164
22458	111281	29261	2013-08-03 22:14:25.384406	2013-08-03 22:14:25.384406	164
22459	111219	48518	2013-08-03 22:14:25.40641	2013-08-03 22:14:25.40641	164
22460	111186	6744	2013-08-03 22:14:25.423597	2013-08-03 22:14:25.423597	164
22461	111133	23737	2013-08-03 22:14:25.442406	2013-08-03 22:14:25.442406	164
22462	112548	29041	2013-08-03 22:14:25.650415	2013-08-03 22:14:25.650415	164
22463	112515	11719	2013-08-03 22:14:25.662749	2013-08-03 22:14:25.662749	164
22464	112152	29677	2013-08-03 22:14:25.676148	2013-08-03 22:14:25.676148	164
22465	111923	18153	2013-08-03 22:14:25.686643	2013-08-03 22:14:25.686643	164
22466	111868	29181	2013-08-03 22:14:25.6963	2013-08-03 22:14:25.6963	164
22467	111841	49403	2013-08-03 22:14:25.704087	2013-08-03 22:14:25.704087	164
22468	111824	28561	2013-08-03 22:14:25.713239	2013-08-03 22:14:25.713239	164
22469	111558	30717	2013-08-03 22:14:25.726033	2013-08-03 22:14:25.726033	164
22470	111460	48558	2013-08-03 22:14:25.743138	2013-08-03 22:14:25.743138	164
22471	111342	30757	2013-08-03 22:14:25.760117	2013-08-03 22:14:25.760117	164
22472	111282	28112	2013-08-03 22:14:25.780931	2013-08-03 22:14:25.780931	164
22473	111214	6448	2013-08-03 22:14:25.792804	2013-08-03 22:14:25.792804	164
22474	111191	15186	2013-08-03 22:14:25.804323	2013-08-03 22:14:25.804323	164
22475	111190	28161	2013-08-03 22:14:25.812808	2013-08-03 22:14:25.812808	164
22476	111135	6684	2013-08-03 22:14:25.81999	2013-08-03 22:14:25.81999	164
22477	111128	17006	2013-08-03 22:14:25.833472	2013-08-03 22:14:25.833472	164
22478	111123	15166	2013-08-03 22:14:25.848712	2013-08-03 22:14:25.848712	164
22479	112330	48998	2013-08-03 22:14:25.894954	2013-08-03 22:14:25.894954	164
22480	112153	48978	2013-08-03 22:14:25.908483	2013-08-03 22:14:25.908483	164
22481	111669	48958	2013-08-03 22:14:25.921664	2013-08-03 22:14:25.921664	164
22482	111664	48938	2013-08-03 22:14:25.935415	2013-08-03 22:14:25.935415	164
22483	111638	48918	2013-08-03 22:14:25.947253	2013-08-03 22:14:25.947253	164
22484	111487	48898	2013-08-03 22:14:25.95844	2013-08-03 22:14:25.95844	164
22485	111439	48878	2013-08-03 22:14:25.975559	2013-08-03 22:14:25.975559	164
22486	111315	48858	2013-08-03 22:14:25.986055	2013-08-03 22:14:25.986055	164
22487	111218	48838	2013-08-03 22:14:25.993951	2013-08-03 22:14:25.993951	164
22488	111192	48818	2013-08-03 22:14:26.002202	2013-08-03 22:14:26.002202	164
22489	111163	48798	2013-08-03 22:14:26.011121	2013-08-03 22:14:26.011121	164
22490	111162	48778	2013-08-03 22:14:26.021181	2013-08-03 22:14:26.021181	164
22491	112626	29761	2013-08-03 22:14:26.047567	2013-08-03 22:14:26.047567	164
22492	112516	30021	2013-08-03 22:14:26.060522	2013-08-03 22:14:26.060522	164
22493	112147	29612	2013-08-03 22:14:26.080163	2013-08-03 22:14:26.080163	164
22494	111580	18353	2013-08-03 22:14:26.091849	2013-08-03 22:14:26.091849	164
22495	111316	27941	2013-08-03 22:14:26.105754	2013-08-03 22:14:26.105754	164
22496	111278	29241	2013-08-03 22:14:26.116737	2013-08-03 22:14:26.116737	164
22497	111203	28192	2013-08-03 22:14:26.127986	2013-08-03 22:14:26.127986	164
22498	111194	30817	2013-08-03 22:14:26.138715	2013-08-03 22:14:26.138715	164
22499	111131	6572	2013-08-03 22:14:26.15597	2013-08-03 22:14:26.15597	164
22500	111129	6612	2013-08-03 22:14:26.167195	2013-08-03 22:14:26.167195	164
22501	111121	30677	2013-08-03 22:14:26.194415	2013-08-03 22:14:26.194415	164
22502	112706	45400	2013-08-03 22:14:26.240654	2013-08-03 22:14:26.240654	164
22503	112517	45380	2013-08-03 22:14:26.250537	2013-08-03 22:14:26.250537	164
22504	112145	45355	2013-08-03 22:14:26.259077	2013-08-03 22:14:26.259077	164
22505	112120	45360	2013-08-03 22:14:26.267107	2013-08-03 22:14:26.267107	164
22506	111617	45340	2013-08-03 22:14:26.274765	2013-08-03 22:14:26.274765	164
22507	111317	45320	2013-08-03 22:14:26.282619	2013-08-03 22:14:26.282619	164
22508	111201	45300	2013-08-03 22:14:26.290532	2013-08-03 22:14:26.290532	164
22509	111200	45280	2013-08-03 22:14:26.298166	2013-08-03 22:14:26.298166	164
22510	111196	29521	2013-08-03 22:14:26.305778	2013-08-03 22:14:26.305778	164
22511	111138	29060	2013-08-03 22:14:26.320993	2013-08-03 22:14:26.320993	164
22512	111122	20006	2013-08-03 22:14:26.339831	2013-08-03 22:14:26.339831	164
22513	114410	30681	2013-08-03 22:19:21.165608	2013-08-03 22:19:21.165608	165
22514	114076	30661	2013-08-03 22:19:21.176901	2013-08-03 22:19:21.176901	165
22515	113910	30641	2013-08-03 22:19:21.193565	2013-08-03 22:19:21.193565	165
22516	113776	30621	2013-08-03 22:19:21.209062	2013-08-03 22:19:21.209062	165
22517	113724	30601	2013-08-03 22:19:21.224956	2013-08-03 22:19:21.224956	165
22518	113689	30581	2013-08-03 22:19:21.234825	2013-08-03 22:19:21.234825	165
22519	113628	30561	2013-08-03 22:19:21.246939	2013-08-03 22:19:21.246939	165
22520	113614	30541	2013-08-03 22:19:21.282109	2013-08-03 22:19:21.282109	165
22521	113591	30521	2013-08-03 22:19:21.304883	2013-08-03 22:19:21.304883	165
22522	113502	30501	2013-08-03 22:19:21.323855	2013-08-03 22:19:21.323855	165
22523	113346	30577	2013-08-03 22:19:21.343352	2013-08-03 22:19:21.343352	165
22524	113339	30495	2013-08-03 22:19:21.36093	2013-08-03 22:19:21.36093	165
22525	113305	30481	2013-08-03 22:19:21.369319	2013-08-03 22:19:21.369319	165
22526	113301	28872	2013-08-03 22:19:21.379986	2013-08-03 22:19:21.379986	165
22527	113291	20046	2013-08-03 22:19:21.392042	2013-08-03 22:19:21.392042	165
22528	113289	30021	2013-08-03 22:19:21.40753	2013-08-03 22:19:21.40753	165
22529	114164	6890	2013-08-03 22:19:21.468912	2013-08-03 22:19:21.468912	165
22530	114146	6896	2013-08-03 22:19:21.484515	2013-08-03 22:19:21.484515	165
22531	113911	6781	2013-08-03 22:19:21.530018	2013-08-03 22:19:21.530018	165
22532	113692	6773	2013-08-03 22:19:21.553138	2013-08-03 22:19:21.553138	165
22533	113604	11095	2013-08-03 22:19:21.575247	2013-08-03 22:19:21.575247	165
22534	113593	30441	2013-08-03 22:19:21.588879	2013-08-03 22:19:21.588879	165
22535	113542	29761	2013-08-03 22:19:21.597571	2013-08-03 22:19:21.597571	165
22536	113443	29881	2013-08-03 22:19:21.61062	2013-08-03 22:19:21.61062	165
22537	113401	29172	2013-08-03 22:19:21.625199	2013-08-03 22:19:21.625199	165
22538	113311	29181	2013-08-03 22:19:21.63869	2013-08-03 22:19:21.63869	165
22539	114144	39125	2013-08-03 22:19:21.675288	2013-08-03 22:19:21.675288	165
22540	114049	39105	2013-08-03 22:19:21.688976	2013-08-03 22:19:21.688976	165
22541	113908	39055	2013-08-03 22:19:21.701393	2013-08-03 22:19:21.701393	165
22542	113725	39085	2013-08-03 22:19:21.71883	2013-08-03 22:19:21.71883	165
22543	113688	39065	2013-08-03 22:19:21.735446	2013-08-03 22:19:21.735446	165
22544	113605	39045	2013-08-03 22:19:21.771586	2013-08-03 22:19:21.771586	165
22545	113594	39025	2013-08-03 22:19:21.789519	2013-08-03 22:19:21.789519	165
22546	113551	39005	2013-08-03 22:19:21.798751	2013-08-03 22:19:21.798751	165
22547	113546	38985	2013-08-03 22:19:21.808908	2013-08-03 22:19:21.808908	165
22548	113521	38965	2013-08-03 22:19:21.81811	2013-08-03 22:19:21.81811	165
22549	113456	38945	2013-08-03 22:19:21.829204	2013-08-03 22:19:21.829204	165
22550	113399	38925	2013-08-03 22:19:21.840063	2013-08-03 22:19:21.840063	165
22551	113320	38905	2013-08-03 22:19:21.854261	2013-08-03 22:19:21.854261	165
22552	113304	38860	2013-08-03 22:19:21.866663	2013-08-03 22:19:21.866663	165
22553	113302	30621	2013-08-03 22:19:21.886547	2013-08-03 22:19:21.886547	165
22554	113288	6773	2013-08-03 22:19:21.899581	2013-08-03 22:19:21.899581	165
22555	114202	30012	2013-08-03 22:19:21.929849	2013-08-03 22:19:21.929849	165
22556	114147	29561	2013-08-03 22:19:21.943153	2013-08-03 22:19:21.943153	165
22557	113906	29641	2013-08-03 22:19:21.951402	2013-08-03 22:19:21.951402	165
22558	113652	19603	2013-08-03 22:19:21.959704	2013-08-03 22:19:21.959704	165
22559	113608	29181	2013-08-03 22:19:21.969128	2013-08-03 22:19:21.969128	165
22560	113474	48518	2013-08-03 22:19:22.009846	2013-08-03 22:19:22.009846	165
22561	113341	6572	2013-08-03 22:19:22.02037	2013-08-03 22:19:22.02037	165
22562	113335	23737	2013-08-03 22:19:22.028118	2013-08-03 22:19:22.028118	165
22563	113312	15266	2013-08-03 22:19:22.035072	2013-08-03 22:19:22.035072	165
22564	113298	6684	2013-08-03 22:19:22.04312	2013-08-03 22:19:22.04312	165
22565	113295	28181	2013-08-03 22:19:22.05237	2013-08-03 22:19:22.05237	165
22566	114222	6752	2013-08-03 22:19:22.092668	2013-08-03 22:19:22.092668	165
22567	113909	30201	2013-08-03 22:19:22.110775	2013-08-03 22:19:22.110775	165
22568	113810	19603	2013-08-03 22:19:22.190234	2013-08-03 22:19:22.190234	165
22569	113625	25112	2013-08-03 22:19:22.199554	2013-08-03 22:19:22.199554	165
22570	113595	19750	2013-08-03 22:19:22.215109	2013-08-03 22:19:22.215109	165
22571	113527	30817	2013-08-03 22:19:22.224678	2013-08-03 22:19:22.224678	165
22572	113501	48418	2013-08-03 22:19:22.234891	2013-08-03 22:19:22.234891	165
22573	113349	30618	2013-08-03 22:19:22.250477	2013-08-03 22:19:22.250477	165
22574	113319	6448	2013-08-03 22:19:22.265442	2013-08-03 22:19:22.265442	165
22575	113316	6728	2013-08-03 22:19:22.282643	2013-08-03 22:19:22.282643	165
22576	113299	6399	2013-08-03 22:19:22.299273	2013-08-03 22:19:22.299273	165
22577	114300	49858	2013-08-03 22:19:22.481392	2013-08-03 22:19:22.481392	165
22578	114138	49838	2013-08-03 22:19:22.496901	2013-08-03 22:19:22.496901	165
22579	113690	49818	2013-08-03 22:19:22.511529	2013-08-03 22:19:22.511529	165
22580	113684	49798	2013-08-03 22:19:22.521026	2013-08-03 22:19:22.521026	165
22581	113627	49778	2013-08-03 22:19:22.53256	2013-08-03 22:19:22.53256	165
22582	113602	49758	2013-08-03 22:19:22.541299	2013-08-03 22:19:22.541299	165
22583	113596	49738	2013-08-03 22:19:22.549925	2013-08-03 22:19:22.549925	165
22584	113554	49718	2013-08-03 22:19:22.557814	2013-08-03 22:19:22.557814	165
22585	113505	49698	2013-08-03 22:19:22.566023	2013-08-03 22:19:22.566023	165
22586	113487	49678	2013-08-03 22:19:22.57523	2013-08-03 22:19:22.57523	165
22587	113409	49658	2013-08-03 22:19:22.583555	2013-08-03 22:19:22.583555	165
22588	113366	49638	2013-08-03 22:19:22.59338	2013-08-03 22:19:22.59338	165
22589	113347	49618	2013-08-03 22:19:22.604877	2013-08-03 22:19:22.604877	165
22590	113343	49598	2013-08-03 22:19:22.61887	2013-08-03 22:19:22.61887	165
22591	113337	49578	2013-08-03 22:19:22.632967	2013-08-03 22:19:22.632967	165
22592	113328	15166	2013-08-03 22:19:22.653883	2013-08-03 22:19:22.653883	165
22593	113307	27992	2013-08-03 22:19:22.676135	2013-08-03 22:19:22.676135	165
22594	113287	27837	2013-08-03 22:19:22.695254	2013-08-03 22:19:22.695254	165
22595	114799	203	2013-08-03 22:19:22.751129	2013-08-03 22:19:22.751129	165
22596	114011	3043	2013-08-03 22:19:22.765745	2013-08-03 22:19:22.765745	165
22597	113924	2283	2013-08-03 22:19:22.775224	2013-08-03 22:19:22.775224	165
22598	113743	1903	2013-08-03 22:19:22.795785	2013-08-03 22:19:22.795785	165
22599	113626	1523	2013-08-03 22:19:22.809517	2013-08-03 22:19:22.809517	165
22600	113580	1143	2013-08-03 22:19:22.818349	2013-08-03 22:19:22.818349	165
22601	113543	40	2013-08-03 22:19:22.826839	2013-08-03 22:19:22.826839	165
22602	113415	49998	2013-08-03 22:19:22.841394	2013-08-03 22:19:22.841394	165
22603	113379	49978	2013-08-03 22:19:22.85151	2013-08-03 22:19:22.85151	165
22604	113340	49958	2013-08-03 22:19:22.862487	2013-08-03 22:19:22.862487	165
22605	113338	49938	2013-08-03 22:19:22.87154	2013-08-03 22:19:22.87154	165
22606	113329	49918	2013-08-03 22:19:22.880241	2013-08-03 22:19:22.880241	165
22607	113293	49898	2013-08-03 22:19:22.891605	2013-08-03 22:19:22.891605	165
22608	114734	29661	2013-08-03 22:19:22.915188	2013-08-03 22:19:22.915188	165
22609	114149	29281	2013-08-03 22:19:22.925265	2013-08-03 22:19:22.925265	165
22610	113912	18193	2013-08-03 22:19:22.934725	2013-08-03 22:19:22.934725	165
22611	113685	29312	2013-08-03 22:19:22.944826	2013-08-03 22:19:22.944826	165
22612	113612	49403	2013-08-03 22:19:22.954283	2013-08-03 22:19:22.954283	165
22613	113600	48558	2013-08-03 22:19:22.968319	2013-08-03 22:19:22.968319	165
22614	113573	6688	2013-08-03 22:19:22.977225	2013-08-03 22:19:22.977225	165
22615	113426	2149	2013-08-03 22:19:22.98986	2013-08-03 22:19:22.98986	165
22616	113345	46135	2013-08-03 22:19:23.007364	2013-08-03 22:19:23.007364	165
22617	113332	15186	2013-08-03 22:19:23.024135	2013-08-03 22:19:23.024135	165
22618	113317	28652	2013-08-03 22:19:23.043539	2013-08-03 22:19:23.043539	165
22619	113294	27972	2013-08-03 22:19:23.052939	2013-08-03 22:19:23.052939	165
22620	114227	46140	2013-08-03 22:19:23.105118	2013-08-03 22:19:23.105118	165
22621	114145	46120	2013-08-03 22:19:23.122946	2013-08-03 22:19:23.122946	165
22622	113691	46100	2013-08-03 22:19:23.139265	2013-08-03 22:19:23.139265	165
22623	113610	49638	2013-08-03 22:19:23.148923	2013-08-03 22:19:23.148923	165
22624	113601	28457	2013-08-03 22:19:23.208652	2013-08-03 22:19:23.208652	165
22625	113590	48283	2013-08-03 22:19:23.223261	2013-08-03 22:19:23.223261	165
22626	113457	29441	2013-08-03 22:19:23.236402	2013-08-03 22:19:23.236402	165
22627	113348	6632	2013-08-03 22:19:23.247464	2013-08-03 22:19:23.247464	165
22628	113344	6564	2013-08-03 22:19:23.259038	2013-08-03 22:19:23.259038	165
22629	113334	6708	2013-08-03 22:19:23.269979	2013-08-03 22:19:23.269979	165
22630	113314	6704	2013-08-03 22:19:23.282402	2013-08-03 22:19:23.282402	165
22631	115302	31141	2013-08-03 22:24:23.116374	2013-08-03 22:24:23.116374	166
22632	115131	31121	2013-08-03 22:24:23.141693	2013-08-03 22:24:23.141693	166
22633	114779	31101	2013-08-03 22:24:23.154075	2013-08-03 22:24:23.154075	166
22634	114761	31205	2013-08-03 22:24:23.16167	2013-08-03 22:24:23.16167	166
22635	114714	31040	2013-08-03 22:24:23.168972	2013-08-03 22:24:23.168972	166
22636	114692	31081	2013-08-03 22:24:23.228661	2013-08-03 22:24:23.228661	166
22637	114686	31061	2013-08-03 22:24:23.248344	2013-08-03 22:24:23.248344	166
22638	114628	31041	2013-08-03 22:24:23.266638	2013-08-03 22:24:23.266638	166
22639	114622	31021	2013-08-03 22:24:23.286204	2013-08-03 22:24:23.286204	166
22640	114577	31001	2013-08-03 22:24:23.309156	2013-08-03 22:24:23.309156	166
22641	114551	30981	2013-08-03 22:24:23.330924	2013-08-03 22:24:23.330924	166
22642	114550	29110	2013-08-03 22:24:23.353964	2013-08-03 22:24:23.353964	166
22643	114521	20252	2013-08-03 22:24:23.375862	2013-08-03 22:24:23.375862	166
22644	114518	30441	2013-08-03 22:24:23.398235	2013-08-03 22:24:23.398235	166
22645	115659	7048	2013-08-03 22:24:23.453567	2013-08-03 22:24:23.453567	166
22646	115449	7064	2013-08-03 22:24:23.47116	2013-08-03 22:24:23.47116	166
22647	115113	7044	2013-08-03 22:24:23.489006	2013-08-03 22:24:23.489006	166
22648	114955	7024	2013-08-03 22:24:23.512395	2013-08-03 22:24:23.512395	166
22649	114838	31041	2013-08-03 22:24:23.535716	2013-08-03 22:24:23.535716	166
22650	114690	20132	2013-08-03 22:24:23.557786	2013-08-03 22:24:23.557786	166
22651	114683	28878	2013-08-03 22:24:23.574305	2013-08-03 22:24:23.574305	166
22652	114666	30421	2013-08-03 22:24:23.582878	2013-08-03 22:24:23.582878	166
22653	114547	30445	2013-08-03 22:24:23.591865	2013-08-03 22:24:23.591865	166
22654	114527	29881	2013-08-03 22:24:23.601653	2013-08-03 22:24:23.601653	166
22655	115272	39545	2013-08-03 22:24:23.623549	2013-08-03 22:24:23.623549	166
22656	115143	39525	2013-08-03 22:24:23.632791	2013-08-03 22:24:23.632791	166
22657	115129	39505	2013-08-03 22:24:23.646331	2013-08-03 22:24:23.646331	166
22658	115115	39485	2013-08-03 22:24:23.666349	2013-08-03 22:24:23.666349	166
22659	114956	39465	2013-08-03 22:24:23.690087	2013-08-03 22:24:23.690087	166
22660	114747	39445	2013-08-03 22:24:23.714403	2013-08-03 22:24:23.714403	166
22661	114691	39425	2013-08-03 22:24:23.737421	2013-08-03 22:24:23.737421	166
22662	114678	39405	2013-08-03 22:24:23.756853	2013-08-03 22:24:23.756853	166
22663	114677	39360	2013-08-03 22:24:23.766486	2013-08-03 22:24:23.766486	166
22664	114647	39385	2013-08-03 22:24:23.774238	2013-08-03 22:24:23.774238	166
22665	114613	39365	2013-08-03 22:24:23.782442	2013-08-03 22:24:23.782442	166
22666	114607	39345	2013-08-03 22:24:23.793679	2013-08-03 22:24:23.793679	166
22667	114598	39325	2013-08-03 22:24:23.815879	2013-08-03 22:24:23.815879	166
22668	114593	39305	2013-08-03 22:24:23.8343	2013-08-03 22:24:23.8343	166
22669	114555	15046	2013-08-03 22:24:23.845522	2013-08-03 22:24:23.845522	166
22670	114534	20126	2013-08-03 22:24:23.862548	2013-08-03 22:24:23.862548	166
22671	114528	29581	2013-08-03 22:24:23.88461	2013-08-03 22:24:23.88461	166
22672	115483	19290	2013-08-03 22:24:23.960439	2013-08-03 22:24:23.960439	166
22673	115197	19130	2013-08-03 22:24:23.985965	2013-08-03 22:24:23.985965	166
22674	114839	18846	2013-08-03 22:24:24.009304	2013-08-03 22:24:24.009304	166
22675	114716	18112	2013-08-03 22:24:24.033229	2013-08-03 22:24:24.033229	166
22676	114711	18713	2013-08-03 22:24:24.05904	2013-08-03 22:24:24.05904	166
22677	114706	18673	2013-08-03 22:24:24.074838	2013-08-03 22:24:24.074838	166
22678	114688	24241	2013-08-03 22:24:24.081555	2013-08-03 22:24:24.081555	166
22679	114684	18633	2013-08-03 22:24:24.089183	2013-08-03 22:24:24.089183	166
22680	114646	30981	2013-08-03 22:24:24.09822	2013-08-03 22:24:24.09822	166
22681	114594	29581	2013-08-03 22:24:24.113659	2013-08-03 22:24:24.113659	166
22682	114592	30281	2013-08-03 22:24:24.13605	2013-08-03 22:24:24.13605	166
22683	114543	29881	2013-08-03 22:24:24.160605	2013-08-03 22:24:24.160605	166
22684	114526	29172	2013-08-03 22:24:24.182656	2013-08-03 22:24:24.182656	166
22685	115424	904	2013-08-03 22:24:24.473916	2013-08-03 22:24:24.473916	166
22686	115146	906	2013-08-03 22:24:24.482816	2013-08-03 22:24:24.482816	166
22687	115116	386	2013-08-03 22:24:24.49202	2013-08-03 22:24:24.49202	166
22688	114808	208	2013-08-03 22:24:24.502573	2013-08-03 22:24:24.502573	166
22689	114764	444	2013-08-03 22:24:24.513463	2013-08-03 22:24:24.513463	166
22690	114728	512	2013-08-03 22:24:24.581286	2013-08-03 22:24:24.581286	166
22691	114707	72	2013-08-03 22:24:24.588332	2013-08-03 22:24:24.588332	166
22692	114695	27852	2013-08-03 22:24:24.597693	2013-08-03 22:24:24.597693	166
22693	114694	16290	2013-08-03 22:24:24.611922	2013-08-03 22:24:24.611922	166
22694	114657	6572	2013-08-03 22:24:24.627659	2013-08-03 22:24:24.627659	166
22695	114591	28140	2013-08-03 22:24:24.637158	2013-08-03 22:24:24.637158	166
22696	114548	46135	2013-08-03 22:24:24.646139	2013-08-03 22:24:24.646139	166
22697	114542	30101	2013-08-03 22:24:24.656129	2013-08-03 22:24:24.656129	166
22698	114530	30041	2013-08-03 22:24:24.667496	2013-08-03 22:24:24.667496	166
22699	114525	29181	2013-08-03 22:24:24.676149	2013-08-03 22:24:24.676149	166
22700	114523	19966	2013-08-03 22:24:24.685626	2013-08-03 22:24:24.685626	166
22701	114519	15266	2013-08-03 22:24:24.694884	2013-08-03 22:24:24.694884	166
22702	115456	1030	2013-08-03 22:24:24.76295	2013-08-03 22:24:24.76295	166
22703	115308	929	2013-08-03 22:24:24.786996	2013-08-03 22:24:24.786996	166
22704	115215	1046	2013-08-03 22:24:24.810755	2013-08-03 22:24:24.810755	166
22705	114907	1039	2013-08-03 22:24:24.834066	2013-08-03 22:24:24.834066	166
22706	114890	640	2013-08-03 22:24:24.856864	2013-08-03 22:24:24.856864	166
22707	114752	629	2013-08-03 22:24:24.881022	2013-08-03 22:24:24.881022	166
22708	114660	544	2013-08-03 22:24:24.904439	2013-08-03 22:24:24.904439	166
22709	114611	565	2013-08-03 22:24:24.92826	2013-08-03 22:24:24.92826	166
22710	114564	417	2013-08-03 22:24:24.950807	2013-08-03 22:24:24.950807	166
22711	114540	841	2013-08-03 22:24:24.976504	2013-08-03 22:24:24.976504	166
22712	114535	436	2013-08-03 22:24:24.989051	2013-08-03 22:24:24.989051	166
22713	115219	30618	2013-08-03 22:24:25.010836	2013-08-03 22:24:25.010836	166
22714	115198	141	2013-08-03 22:24:25.020455	2013-08-03 22:24:25.020455	166
22715	115118	46115	2013-08-03 22:24:25.034812	2013-08-03 22:24:25.034812	166
22716	114834	28652	2013-08-03 22:24:25.046218	2013-08-03 22:24:25.046218	166
22717	114730	28790	2013-08-03 22:24:25.067826	2013-08-03 22:24:25.067826	166
22718	114708	29901	2013-08-03 22:24:25.09075	2013-08-03 22:24:25.09075	166
22719	114696	6380	2013-08-03 22:24:25.113648	2013-08-03 22:24:25.113648	166
22720	114681	19603	2013-08-03 22:24:25.137454	2013-08-03 22:24:25.137454	166
22721	114659	25112	2013-08-03 22:24:25.159715	2013-08-03 22:24:25.159715	166
22722	114545	28545	2013-08-03 22:24:25.182786	2013-08-03 22:24:25.182786	166
22723	114532	49403	2013-08-03 22:24:25.20564	2013-08-03 22:24:25.20564	166
22724	114522	28561	2013-08-03 22:24:25.22837	2013-08-03 22:24:25.22837	166
22725	115616	46620	2013-08-03 22:24:25.311726	2013-08-03 22:24:25.311726	166
22726	115519	46600	2013-08-03 22:24:25.335644	2013-08-03 22:24:25.335644	166
22727	115336	46580	2013-08-03 22:24:25.358482	2013-08-03 22:24:25.358482	166
22728	115199	46560	2013-08-03 22:24:25.38242	2013-08-03 22:24:25.38242	166
22729	114843	48558	2013-08-03 22:24:25.40565	2013-08-03 22:24:25.40565	166
22730	114811	46135	2013-08-03 22:24:25.42875	2013-08-03 22:24:25.42875	166
22731	114735	2149	2013-08-03 22:24:25.451083	2013-08-03 22:24:25.451083	166
22732	114698	27992	2013-08-03 22:24:25.473609	2013-08-03 22:24:25.473609	166
22733	114680	6524	2013-08-03 22:24:25.492002	2013-08-03 22:24:25.492002	166
22734	114569	2499	2013-08-03 22:24:25.502998	2013-08-03 22:24:25.502998	166
22735	114531	29661	2013-08-03 22:24:25.511027	2013-08-03 22:24:25.511027	166
22736	116761	31655	2013-08-03 22:29:27.357579	2013-08-03 22:29:27.357579	167
22737	116666	31641	2013-08-03 22:29:27.372772	2013-08-03 22:29:27.372772	167
22738	116509	31621	2013-08-03 22:29:27.383143	2013-08-03 22:29:27.383143	167
22739	116468	31601	2013-08-03 22:29:27.391828	2013-08-03 22:29:27.391828	167
22740	116022	31581	2013-08-03 22:29:27.40118	2013-08-03 22:29:27.40118	167
22741	115869	31561	2013-08-03 22:29:27.411469	2013-08-03 22:29:27.411469	167
22742	115841	31538	2013-08-03 22:29:27.423408	2013-08-03 22:29:27.423408	167
22743	115814	31541	2013-08-03 22:29:27.43069	2013-08-03 22:29:27.43069	167
22744	115813	31440	2013-08-03 22:29:27.437428	2013-08-03 22:29:27.437428	167
22745	115752	31521	2013-08-03 22:29:27.450831	2013-08-03 22:29:27.450831	167
22746	115750	31501	2013-08-03 22:29:27.462447	2013-08-03 22:29:27.462447	167
22747	115734	20810	2013-08-03 22:29:27.474297	2013-08-03 22:29:27.474297	167
22748	115724	20286	2013-08-03 22:29:27.486582	2013-08-03 22:29:27.486582	167
22749	115714	31041	2013-08-03 22:29:27.499012	2013-08-03 22:29:27.499012	167
22750	115707	27941	2013-08-03 22:29:27.540257	2013-08-03 22:29:27.540257	167
22751	116588	16428	2013-08-03 22:29:27.592402	2013-08-03 22:29:27.592402	167
22752	116588	7104	2013-08-03 22:29:27.601195	2013-08-03 22:29:27.601195	167
22753	116461	7084	2013-08-03 22:29:27.614878	2013-08-03 22:29:27.614878	167
22754	116461	7181	2013-08-03 22:29:27.6217	2013-08-03 22:29:27.6217	167
22755	115910	8599	2013-08-03 22:29:27.638342	2013-08-03 22:29:27.638342	167
22756	115910	6981	2013-08-03 22:29:27.646459	2013-08-03 22:29:27.646459	167
22757	115804	6970	2013-08-03 22:29:27.66584	2013-08-03 22:29:27.66584	167
22758	115804	6958	2013-08-03 22:29:27.678047	2013-08-03 22:29:27.678047	167
22759	115795	31655	2013-08-03 22:29:27.693282	2013-08-03 22:29:27.693282	167
22760	115795	5717	2013-08-03 22:29:27.697744	2013-08-03 22:29:27.697744	167
22761	115776	20125	2013-08-03 22:29:27.705931	2013-08-03 22:29:27.705931	167
22762	115776	31441	2013-08-03 22:29:27.712157	2013-08-03 22:29:27.712157	167
22763	115773	27837	2013-08-03 22:29:27.72705	2013-08-03 22:29:27.72705	167
22764	115773	30618	2013-08-03 22:29:27.732549	2013-08-03 22:29:27.732549	167
22765	115709	30981	2013-08-03 22:29:27.742214	2013-08-03 22:29:27.742214	167
22766	115709	20581	2013-08-03 22:29:27.74675	2013-08-03 22:29:27.74675	167
22767	116760	39900	2013-08-03 22:29:27.77227	2013-08-03 22:29:27.77227	167
22768	116462	39945	2013-08-03 22:29:27.780375	2013-08-03 22:29:27.780375	167
22769	116460	39925	2013-08-03 22:29:27.793245	2013-08-03 22:29:27.793245	167
22770	116140	39905	2013-08-03 22:29:27.806081	2013-08-03 22:29:27.806081	167
22771	115908	39885	2013-08-03 22:29:27.815846	2013-08-03 22:29:27.815846	167
22772	115829	39865	2013-08-03 22:29:27.825453	2013-08-03 22:29:27.825453	167
22773	115809	39845	2013-08-03 22:29:27.834344	2013-08-03 22:29:27.834344	167
22774	115803	39785	2013-08-03 22:29:27.842098	2013-08-03 22:29:27.842098	167
22775	115796	20490	2013-08-03 22:29:27.850378	2013-08-03 22:29:27.850378	167
22776	115785	46940	2013-08-03 22:29:27.858592	2013-08-03 22:29:27.858592	167
22777	115772	22108	2013-08-03 22:29:27.922112	2013-08-03 22:29:27.922112	167
22778	115743	31421	2013-08-03 22:29:27.934801	2013-08-03 22:29:27.934801	167
22779	115735	38292	2013-08-03 22:29:27.95155	2013-08-03 22:29:27.95155	167
22780	115728	48935	2013-08-03 22:29:27.973131	2013-08-03 22:29:27.973131	167
22781	115710	20601	2013-08-03 22:29:27.995477	2013-08-03 22:29:27.995477	167
22782	115915	24861	2013-08-03 22:29:28.032343	2013-08-03 22:29:28.032343	167
22783	115915	24901	2013-08-03 22:29:28.040168	2013-08-03 22:29:28.040168	167
22784	115857	21750	2013-08-03 22:29:28.053884	2013-08-03 22:29:28.053884	167
22785	115857	21570	2013-08-03 22:29:28.060408	2013-08-03 22:29:28.060408	167
22786	115845	21530	2013-08-03 22:29:28.077753	2013-08-03 22:29:28.077753	167
22787	115845	21541	2013-08-03 22:29:28.090042	2013-08-03 22:29:28.090042	167
22788	115818	3835	2013-08-03 22:29:28.112753	2013-08-03 22:29:28.112753	167
22789	115818	18466	2013-08-03 22:29:28.124868	2013-08-03 22:29:28.124868	167
22790	115805	21181	2013-08-03 22:29:28.148656	2013-08-03 22:29:28.148656	167
22791	115805	44735	2013-08-03 22:29:28.160775	2013-08-03 22:29:28.160775	167
22792	115763	30981	2013-08-03 22:29:28.183821	2013-08-03 22:29:28.183821	167
22793	115763	31041	2013-08-03 22:29:28.19456	2013-08-03 22:29:28.19456	167
22794	115723	6704	2013-08-03 22:29:28.217171	2013-08-03 22:29:28.217171	167
22795	115723	20601	2013-08-03 22:29:28.228036	2013-08-03 22:29:28.228036	167
22796	115722	20581	2013-08-03 22:29:28.248852	2013-08-03 22:29:28.248852	167
22797	115722	8738	2013-08-03 22:29:28.257928	2013-08-03 22:29:28.257928	167
22798	116759	39865	2013-08-03 22:29:28.342782	2013-08-03 22:29:28.342782	167
22799	116444	39698	2013-08-03 22:29:28.3652	2013-08-03 22:29:28.3652	167
22800	116138	38035	2013-08-03 22:29:28.388482	2013-08-03 22:29:28.388482	167
22801	116020	31261	2013-08-03 22:29:28.410673	2013-08-03 22:29:28.410673	167
22802	115925	20810	2013-08-03 22:29:28.437708	2013-08-03 22:29:28.437708	167
22803	115858	19130	2013-08-03 22:29:28.448648	2013-08-03 22:29:28.448648	167
22804	115801	18846	2013-08-03 22:29:28.460577	2013-08-03 22:29:28.460577	167
22805	115799	18330	2013-08-03 22:29:28.471154	2013-08-03 22:29:28.471154	167
22806	115794	31361	2013-08-03 22:29:28.480169	2013-08-03 22:29:28.480169	167
22807	115769	31461	2013-08-03 22:29:28.488929	2013-08-03 22:29:28.488929	167
22808	115741	1660	2013-08-03 22:29:28.499732	2013-08-03 22:29:28.499732	167
22809	115727	28690	2013-08-03 22:29:28.509901	2013-08-03 22:29:28.509901	167
22810	115715	29281	2013-08-03 22:29:28.522982	2013-08-03 22:29:28.522982	167
22811	115708	19966	2013-08-03 22:29:28.531988	2013-08-03 22:29:28.531988	167
22812	116762	1675	2013-08-03 22:29:28.602558	2013-08-03 22:29:28.602558	167
22813	116576	1595	2013-08-03 22:29:28.613894	2013-08-03 22:29:28.613894	167
22814	116021	1408	2013-08-03 22:29:28.63016	2013-08-03 22:29:28.63016	167
22815	115944	1626	2013-08-03 22:29:28.653584	2013-08-03 22:29:28.653584	167
22816	115930	38072	2013-08-03 22:29:28.678518	2013-08-03 22:29:28.678518	167
22817	115832	28532	2013-08-03 22:29:28.700262	2013-08-03 22:29:28.700262	167
22818	115774	29335	2013-08-03 22:29:28.719907	2013-08-03 22:29:28.719907	167
22819	115771	6572	2013-08-03 22:29:28.731898	2013-08-03 22:29:28.731898	167
22820	115765	29461	2013-08-03 22:29:28.741159	2013-08-03 22:29:28.741159	167
22821	115731	18652	2013-08-03 22:29:28.748693	2013-08-03 22:29:28.748693	167
22822	115726	29901	2013-08-03 22:29:28.760019	2013-08-03 22:29:28.760019	167
22823	115720	29172	2013-08-03 22:29:28.780279	2013-08-03 22:29:28.780279	167
22824	115712	25112	2013-08-03 22:29:28.793068	2013-08-03 22:29:28.793068	167
22825	115711	18193	2013-08-03 22:29:28.800826	2013-08-03 22:29:28.800826	167
22826	116720	9819	2013-08-03 22:29:28.834142	2013-08-03 22:29:28.834142	167
22827	116553	6366	2013-08-03 22:29:28.840947	2013-08-03 22:29:28.840947	167
22828	116433	7466	2013-08-03 22:29:28.84853	2013-08-03 22:29:28.84853	167
22829	115907	5835	2013-08-03 22:29:28.863658	2013-08-03 22:29:28.863658	167
22830	115792	15877	2013-08-03 22:29:28.887626	2013-08-03 22:29:28.887626	167
22831	115766	8659	2013-08-03 22:29:28.910918	2013-08-03 22:29:28.910918	167
22832	115764	23437	2013-08-03 22:29:28.938151	2013-08-03 22:29:28.938151	167
22833	115742	22048	2013-08-03 22:29:28.96224	2013-08-03 22:29:28.96224	167
22834	115740	3978	2013-08-03 22:29:28.986407	2013-08-03 22:29:28.986407	167
22835	115713	8893	2013-08-03 22:29:29.01045	2013-08-03 22:29:29.01045	167
22836	116459	7466	2013-08-03 22:29:29.082658	2013-08-03 22:29:29.082658	167
22837	116154	31601	2013-08-03 22:29:29.104743	2013-08-03 22:29:29.104743	167
22838	115928	19826	2013-08-03 22:29:29.127127	2013-08-03 22:29:29.127127	167
22839	115900	20212	2013-08-03 22:29:29.14937	2013-08-03 22:29:29.14937	167
22840	115860	31205	2013-08-03 22:29:29.172843	2013-08-03 22:29:29.172843	167
22841	115835	23737	2013-08-03 22:29:29.194519	2013-08-03 22:29:29.194519	167
22842	115831	141	2013-08-03 22:29:29.216977	2013-08-03 22:29:29.216977	167
22843	115797	28201	2013-08-03 22:29:29.24073	2013-08-03 22:29:29.24073	167
22844	115736	29895	2013-08-03 22:29:29.263299	2013-08-03 22:29:29.263299	167
22845	115721	29661	2013-08-03 22:29:29.274751	2013-08-03 22:29:29.274751	167
22846	116639	47140	2013-08-03 22:29:29.396588	2013-08-03 22:29:29.396588	167
22847	115924	47120	2013-08-03 22:29:29.416898	2013-08-03 22:29:29.416898	167
22848	115906	47100	2013-08-03 22:29:29.439478	2013-08-03 22:29:29.439478	167
22849	115861	47080	2013-08-03 22:29:29.462824	2013-08-03 22:29:29.462824	167
22850	115842	47060	2013-08-03 22:29:29.486556	2013-08-03 22:29:29.486556	167
22851	115840	47040	2013-08-03 22:29:29.510139	2013-08-03 22:29:29.510139	167
22852	115798	2600	2013-08-03 22:29:29.521068	2013-08-03 22:29:29.521068	167
22853	115767	30561	2013-08-03 22:29:29.530482	2013-08-03 22:29:29.530482	167
22854	115733	18652	2013-08-03 22:29:29.540381	2013-08-03 22:29:29.540381	167
22855	115725	29441	2013-08-03 22:29:29.551858	2013-08-03 22:29:29.551858	167
22856	115719	30041	2013-08-03 22:29:29.563735	2013-08-03 22:29:29.563735	167
22857	117709	32461	2013-08-03 22:34:28.120113	2013-08-03 22:34:28.120113	168
22858	117224	32492	2013-08-03 22:34:28.142097	2013-08-03 22:34:28.142097	168
22859	117178	32441	2013-08-03 22:34:28.162903	2013-08-03 22:34:28.162903	168
22860	117172	32421	2013-08-03 22:34:28.185117	2013-08-03 22:34:28.185117	168
22861	117147	32415	2013-08-03 22:34:28.207301	2013-08-03 22:34:28.207301	168
22862	117111	32401	2013-08-03 22:34:28.228999	2013-08-03 22:34:28.228999	168
22863	117080	32381	2013-08-03 22:34:28.246738	2013-08-03 22:34:28.246738	168
22864	117036	32361	2013-08-03 22:34:28.257217	2013-08-03 22:34:28.257217	168
22865	116899	32280	2013-08-03 22:34:28.265221	2013-08-03 22:34:28.265221	168
22866	116871	32341	2013-08-03 22:34:28.276295	2013-08-03 22:34:28.276295	168
22867	116851	32321	2013-08-03 22:34:28.28834	2013-08-03 22:34:28.28834	168
22868	116836	32301	2013-08-03 22:34:28.301419	2013-08-03 22:34:28.301419	168
22869	116821	32281	2013-08-03 22:34:28.316819	2013-08-03 22:34:28.316819	168
22870	116791	32261	2013-08-03 22:34:28.334054	2013-08-03 22:34:28.334054	168
22871	116788	32241	2013-08-03 22:34:28.352875	2013-08-03 22:34:28.352875	168
22872	116787	32221	2013-08-03 22:34:28.374725	2013-08-03 22:34:28.374725	168
22873	116779	20366	2013-08-03 22:34:28.390091	2013-08-03 22:34:28.390091	168
22874	119939	47760	2013-08-03 22:34:28.431323	2013-08-03 22:34:28.431323	168
22875	119939	47440	2013-08-03 22:34:28.437548	2013-08-03 22:34:28.437548	168
22876	119939	38692	2013-08-03 22:34:28.445679	2013-08-03 22:34:28.445679	168
22877	117145	20326	2013-08-03 22:34:28.460205	2013-08-03 22:34:28.460205	168
22878	117145	18077	2013-08-03 22:34:28.467921	2013-08-03 22:34:28.467921	168
22879	117145	32492	2013-08-03 22:34:28.472631	2013-08-03 22:34:28.472631	168
22880	116885	32080	2013-08-03 22:34:28.484144	2013-08-03 22:34:28.484144	168
22881	116885	40185	2013-08-03 22:34:28.491798	2013-08-03 22:34:28.491798	168
22882	116885	2549	2013-08-03 22:34:28.500626	2013-08-03 22:34:28.500626	168
22883	117814	7191	2013-08-03 22:34:28.561055	2013-08-03 22:34:28.561055	168
22884	117732	7184	2013-08-03 22:34:28.585195	2013-08-03 22:34:28.585195	168
22885	117221	7211	2013-08-03 22:34:28.608866	2013-08-03 22:34:28.608866	168
22886	117176	32415	2013-08-03 22:34:28.615979	2013-08-03 22:34:28.615979	168
22887	117173	32181	2013-08-03 22:34:28.623503	2013-08-03 22:34:28.623503	168
22888	116933	40160	2013-08-03 22:34:28.631641	2013-08-03 22:34:28.631641	168
22889	116865	2578	2013-08-03 22:34:28.638785	2013-08-03 22:34:28.638785	168
22890	116847	5717	2013-08-03 22:34:28.645954	2013-08-03 22:34:28.645954	168
22891	116815	31921	2013-08-03 22:34:28.658173	2013-08-03 22:34:28.658173	168
22892	116797	5835	2013-08-03 22:34:28.667688	2013-08-03 22:34:28.667688	168
22893	116783	20348	2013-08-03 22:34:28.678826	2013-08-03 22:34:28.678826	168
22894	117703	40405	2013-08-03 22:34:28.736795	2013-08-03 22:34:28.736795	168
22895	117471	40385	2013-08-03 22:34:28.746242	2013-08-03 22:34:28.746242	168
22896	117225	40365	2013-08-03 22:34:28.75458	2013-08-03 22:34:28.75458	168
22897	117177	40215	2013-08-03 22:34:28.761983	2013-08-03 22:34:28.761983	168
22898	117171	40345	2013-08-03 22:34:28.772175	2013-08-03 22:34:28.772175	168
22899	117146	40325	2013-08-03 22:34:28.77966	2013-08-03 22:34:28.77966	168
22900	117110	40305	2013-08-03 22:34:28.787318	2013-08-03 22:34:28.787318	168
22901	116901	40285	2013-08-03 22:34:28.801103	2013-08-03 22:34:28.801103	168
22902	116867	40265	2013-08-03 22:34:28.821326	2013-08-03 22:34:28.821326	168
22903	116850	40245	2013-08-03 22:34:28.84456	2013-08-03 22:34:28.84456	168
22904	116846	38672	2013-08-03 22:34:28.868416	2013-08-03 22:34:28.868416	168
22905	116828	6981	2013-08-03 22:34:28.890871	2013-08-03 22:34:28.890871	168
22906	116819	40160	2013-08-03 22:34:28.912781	2013-08-03 22:34:28.912781	168
22907	116792	32361	2013-08-03 22:34:28.933955	2013-08-03 22:34:28.933955	168
22908	116786	32155	2013-08-03 22:34:28.948798	2013-08-03 22:34:28.948798	168
22909	116784	31901	2013-08-03 22:34:28.958508	2013-08-03 22:34:28.958508	168
22910	117922	141	2013-08-03 22:34:29.000693	2013-08-03 22:34:29.000693	168
22911	117907	6572	2013-08-03 22:34:29.009774	2013-08-03 22:34:29.009774	168
22912	117737	6688	2013-08-03 22:34:29.016705	2013-08-03 22:34:29.016705	168
22913	117711	11919	2013-08-03 22:34:29.026327	2013-08-03 22:34:29.026327	168
22914	117700	30445	2013-08-03 22:34:29.039375	2013-08-03 22:34:29.039375	168
22915	117697	11719	2013-08-03 22:34:29.053523	2013-08-03 22:34:29.053523	168
22916	117635	29701	2013-08-03 22:34:29.062749	2013-08-03 22:34:29.062749	168
22917	117378	17958	2013-08-03 22:34:29.071708	2013-08-03 22:34:29.071708	168
22918	117345	19750	2013-08-03 22:34:29.082124	2013-08-03 22:34:29.082124	168
22919	117336	29312	2013-08-03 22:34:29.0944	2013-08-03 22:34:29.0944	168
22920	117667	29450	2013-08-03 22:34:29.133008	2013-08-03 22:34:29.133008	168
22921	117601	29330	2013-08-03 22:34:29.154549	2013-08-03 22:34:29.154549	168
22922	117220	32361	2013-08-03 22:34:29.236363	2013-08-03 22:34:29.236363	168
22923	117175	32261	2013-08-03 22:34:29.254917	2013-08-03 22:34:29.254917	168
22924	117144	39603	2013-08-03 22:34:29.277067	2013-08-03 22:34:29.277067	168
22925	117107	31761	2013-08-03 22:34:29.299569	2013-08-03 22:34:29.299569	168
22926	116910	15877	2013-08-03 22:34:29.309936	2013-08-03 22:34:29.309936	168
22927	116862	31641	2013-08-03 22:34:29.316665	2013-08-03 22:34:29.316665	168
22928	116845	20435	2013-08-03 22:34:29.323542	2013-08-03 22:34:29.323542	168
22929	116817	30618	2013-08-03 22:34:29.332587	2013-08-03 22:34:29.332587	168
22930	116802	28457	2013-08-03 22:34:29.342354	2013-08-03 22:34:29.342354	168
22931	116796	46115	2013-08-03 22:34:29.351861	2013-08-03 22:34:29.351861	168
22932	116782	30101	2013-08-03 22:34:29.369794	2013-08-03 22:34:29.369794	168
22933	116781	25112	2013-08-03 22:34:29.389573	2013-08-03 22:34:29.389573	168
22934	117861	29458	2013-08-03 22:34:29.709872	2013-08-03 22:34:29.709872	168
22935	117222	31655	2013-08-03 22:34:29.732819	2013-08-03 22:34:29.732819	168
22936	117179	49403	2013-08-03 22:34:29.754302	2013-08-03 22:34:29.754302	168
22937	117088	31315	2013-08-03 22:34:29.778972	2013-08-03 22:34:29.778972	168
22938	116930	31121	2013-08-03 22:34:29.801879	2013-08-03 22:34:29.801879	168
22939	116929	6572	2013-08-03 22:34:29.823469	2013-08-03 22:34:29.823469	168
22940	116925	30441	2013-08-03 22:34:29.845563	2013-08-03 22:34:29.845563	168
22941	116891	28201	2013-08-03 22:34:29.871943	2013-08-03 22:34:29.871943	168
22942	116886	20601	2013-08-03 22:34:29.884746	2013-08-03 22:34:29.884746	168
22943	116805	30301	2013-08-03 22:34:29.891604	2013-08-03 22:34:29.891604	168
22944	116778	29881	2013-08-03 22:34:29.898304	2013-08-03 22:34:29.898304	168
22945	117910	48000	2013-08-03 22:34:29.962183	2013-08-03 22:34:29.962183	168
22946	117181	47980	2013-08-03 22:34:29.987001	2013-08-03 22:34:29.987001	168
22947	117090	47960	2013-08-03 22:34:30.012908	2013-08-03 22:34:30.012908	168
22948	116934	47940	2013-08-03 22:34:30.033003	2013-08-03 22:34:30.033003	168
22949	116911	47920	2013-08-03 22:34:30.043914	2013-08-03 22:34:30.043914	168
22950	116897	47900	2013-08-03 22:34:30.054444	2013-08-03 22:34:30.054444	168
22951	116887	47880	2013-08-03 22:34:30.064231	2013-08-03 22:34:30.064231	168
22952	116808	47860	2013-08-03 22:34:30.074828	2013-08-03 22:34:30.074828	168
22953	116790	47840	2013-08-03 22:34:30.084574	2013-08-03 22:34:30.084574	168
22954	116780	47820	2013-08-03 22:34:30.097681	2013-08-03 22:34:30.097681	168
22955	118945	33021	2013-08-03 22:39:21.503705	2013-08-03 22:39:21.503705	169
22956	118904	33001	2013-08-03 22:39:21.521534	2013-08-03 22:39:21.521534	169
22957	118729	32981	2013-08-03 22:39:21.536217	2013-08-03 22:39:21.536217	169
22958	118456	32961	2013-08-03 22:39:21.553989	2013-08-03 22:39:21.553989	169
22959	118373	32941	2013-08-03 22:39:21.566996	2013-08-03 22:39:21.566996	169
22960	118364	32892	2013-08-03 22:39:21.578778	2013-08-03 22:39:21.578778	169
22961	118221	32921	2013-08-03 22:39:21.587396	2013-08-03 22:39:21.587396	169
22962	118192	32901	2013-08-03 22:39:21.599259	2013-08-03 22:39:21.599259	169
22963	118100	32881	2013-08-03 22:39:21.609219	2013-08-03 22:39:21.609219	169
22964	118068	32861	2013-08-03 22:39:21.618057	2013-08-03 22:39:21.618057	169
22965	118051	32841	2013-08-03 22:39:21.624659	2013-08-03 22:39:21.624659	169
22966	118037	32905	2013-08-03 22:39:21.631987	2013-08-03 22:39:21.631987	169
22967	118030	32821	2013-08-03 22:39:21.644224	2013-08-03 22:39:21.644224	169
22968	118026	32780	2013-08-03 22:39:21.661017	2013-08-03 22:39:21.661017	169
22969	118023	20526	2013-08-03 22:39:21.680211	2013-08-03 22:39:21.680211	169
22970	118486	7180	2013-08-03 22:39:21.715459	2013-08-03 22:39:21.715459	169
22971	118486	7200	2013-08-03 22:39:21.725169	2013-08-03 22:39:21.725169	169
22972	118476	7220	2013-08-03 22:39:21.736561	2013-08-03 22:39:21.736561	169
22973	118476	7117	2013-08-03 22:39:21.740992	2013-08-03 22:39:21.740992	169
22974	118426	7215	2013-08-03 22:39:21.749727	2013-08-03 22:39:21.749727	169
22975	118426	7088	2013-08-03 22:39:21.753403	2013-08-03 22:39:21.753403	169
22976	118183	7108	2013-08-03 22:39:21.761298	2013-08-03 22:39:21.761298	169
22977	118183	7128	2013-08-03 22:39:21.765988	2013-08-03 22:39:21.765988	169
22978	118069	20486	2013-08-03 22:39:21.778684	2013-08-03 22:39:21.778684	169
22979	118069	32761	2013-08-03 22:39:21.786453	2013-08-03 22:39:21.786453	169
22980	118059	49175	2013-08-03 22:39:21.801236	2013-08-03 22:39:21.801236	169
22981	118059	39603	2013-08-03 22:39:21.807114	2013-08-03 22:39:21.807114	169
22982	118041	29458	2013-08-03 22:39:21.818337	2013-08-03 22:39:21.818337	169
22983	118041	11719	2013-08-03 22:39:21.821811	2013-08-03 22:39:21.821811	169
22984	118946	40905	2013-08-03 22:39:21.843263	2013-08-03 22:39:21.843263	169
22985	118903	40885	2013-08-03 22:39:21.852901	2013-08-03 22:39:21.852901	169
22986	118728	40865	2013-08-03 22:39:21.86389	2013-08-03 22:39:21.86389	169
22987	118637	40845	2013-08-03 22:39:21.878308	2013-08-03 22:39:21.878308	169
22988	118455	40825	2013-08-03 22:39:21.89721	2013-08-03 22:39:21.89721	169
22989	118371	40805	2013-08-03 22:39:21.916276	2013-08-03 22:39:21.916276	169
22990	118217	40785	2013-08-03 22:39:21.92973	2013-08-03 22:39:21.92973	169
22991	118191	40765	2013-08-03 22:39:21.947576	2013-08-03 22:39:21.947576	169
22992	118124	40745	2013-08-03 22:39:21.96389	2013-08-03 22:39:21.96389	169
22993	118098	40725	2013-08-03 22:39:21.97642	2013-08-03 22:39:21.97642	169
22994	118063	40705	2013-08-03 22:39:21.985342	2013-08-03 22:39:21.985342	169
22995	118049	40758	2013-08-03 22:39:21.995314	2013-08-03 22:39:21.995314	169
22996	118047	40685	2013-08-03 22:39:22.006054	2013-08-03 22:39:22.006054	169
22997	118033	20430	2013-08-03 22:39:22.015613	2013-08-03 22:39:22.015613	169
22998	118028	7200	2013-08-03 22:39:22.024396	2013-08-03 22:39:22.024396	169
22999	118022	7180	2013-08-03 22:39:22.031016	2013-08-03 22:39:22.031016	169
23000	119043	39563	2013-08-03 22:39:22.079185	2013-08-03 22:39:22.079185	169
23001	118730	5717	2013-08-03 22:39:22.098005	2013-08-03 22:39:22.098005	169
23002	118633	31781	2013-08-03 22:39:22.108276	2013-08-03 22:39:22.108276	169
23003	118368	1660	2013-08-03 22:39:22.170875	2013-08-03 22:39:22.170875	169
23004	118155	20125	2013-08-03 22:39:22.180901	2013-08-03 22:39:22.180901	169
23005	118089	20435	2013-08-03 22:39:22.188833	2013-08-03 22:39:22.188833	169
23006	118087	20272	2013-08-03 22:39:22.201226	2013-08-03 22:39:22.201226	169
23007	118065	31301	2013-08-03 22:39:22.213621	2013-08-03 22:39:22.213621	169
23008	118052	31421	2013-08-03 22:39:22.226919	2013-08-03 22:39:22.226919	169
23009	118045	14253	2013-08-03 22:39:22.237346	2013-08-03 22:39:22.237346	169
23010	118035	20601	2013-08-03 22:39:22.244538	2013-08-03 22:39:22.244538	169
23011	118731	12032	2013-08-03 22:39:22.649223	2013-08-03 22:39:22.649223	169
23012	118366	12052	2013-08-03 22:39:22.659196	2013-08-03 22:39:22.659196	169
23013	118237	11957	2013-08-03 22:39:22.669864	2013-08-03 22:39:22.669864	169
23014	118222	11977	2013-08-03 22:39:22.681394	2013-08-03 22:39:22.681394	169
23015	118152	33001	2013-08-03 22:39:22.688361	2013-08-03 22:39:22.688361	169
23016	118121	32732	2013-08-03 22:39:22.694501	2013-08-03 22:39:22.694501	169
23017	118097	39885	2013-08-03 22:39:22.701089	2013-08-03 22:39:22.701089	169
23018	118095	39563	2013-08-03 22:39:22.708191	2013-08-03 22:39:22.708191	169
23019	118048	2105	2013-08-03 22:39:22.716732	2013-08-03 22:39:22.716732	169
23020	118046	29335	2013-08-03 22:39:22.723696	2013-08-03 22:39:22.723696	169
23021	118031	46115	2013-08-03 22:39:22.731297	2013-08-03 22:39:22.731297	169
23022	119065	48260	2013-08-03 22:39:22.767416	2013-08-03 22:39:22.767416	169
23023	119051	48240	2013-08-03 22:39:22.77545	2013-08-03 22:39:22.77545	169
23024	118374	48220	2013-08-03 22:39:22.784439	2013-08-03 22:39:22.784439	169
23025	118278	48200	2013-08-03 22:39:22.792391	2013-08-03 22:39:22.792391	169
23026	118223	39005	2013-08-03 22:39:22.80044	2013-08-03 22:39:22.80044	169
23027	118130	29630	2013-08-03 22:39:22.808388	2013-08-03 22:39:22.808388	169
23028	118101	42763	2013-08-03 22:39:22.821789	2013-08-03 22:39:22.821789	169
23029	118062	31761	2013-08-03 22:39:22.836368	2013-08-03 22:39:22.836368	169
23030	118050	48558	2013-08-03 22:39:22.847163	2013-08-03 22:39:22.847163	169
23031	118042	31121	2013-08-03 22:39:22.857586	2013-08-03 22:39:22.857586	169
23032	118034	29881	2013-08-03 22:39:22.868371	2013-08-03 22:39:22.868371	169
23033	119314	33661	2013-08-03 22:44:23.869997	2013-08-03 22:44:23.869997	170
23034	119280	33641	2013-08-03 22:44:23.887112	2013-08-03 22:44:23.887112	170
23035	119231	33621	2013-08-03 22:44:23.910552	2013-08-03 22:44:23.910552	170
23036	119189	33601	2013-08-03 22:44:23.934221	2013-08-03 22:44:23.934221	170
23037	119187	33605	2013-08-03 22:44:23.957556	2013-08-03 22:44:23.957556	170
23038	119171	33540	2013-08-03 22:44:24.037225	2013-08-03 22:44:24.037225	170
23039	119169	33581	2013-08-03 22:44:24.052197	2013-08-03 22:44:24.052197	170
23040	119148	33561	2013-08-03 22:44:24.075512	2013-08-03 22:44:24.075512	170
23041	119111	33541	2013-08-03 22:44:24.098329	2013-08-03 22:44:24.098329	170
23042	119103	33521	2013-08-03 22:44:24.122504	2013-08-03 22:44:24.122504	170
23043	119096	29550	2013-08-03 22:44:24.146421	2013-08-03 22:44:24.146421	170
23044	119085	20546	2013-08-03 22:44:24.169562	2013-08-03 22:44:24.169562	170
23045	119537	48780	2013-08-03 22:44:24.229513	2013-08-03 22:44:24.229513	170
23046	119537	33581	2013-08-03 22:44:24.240169	2013-08-03 22:44:24.240169	170
23047	119537	28910	2013-08-03 22:44:24.250184	2013-08-03 22:44:24.250184	170
23048	119780	41205	2013-08-03 22:44:24.313518	2013-08-03 22:44:24.313518	170
23049	119663	41185	2013-08-03 22:44:24.326708	2013-08-03 22:44:24.326708	170
23050	119567	41165	2013-08-03 22:44:24.334711	2013-08-03 22:44:24.334711	170
23051	119511	41145	2013-08-03 22:44:24.343395	2013-08-03 22:44:24.343395	170
23052	119344	41055	2013-08-03 22:44:24.355564	2013-08-03 22:44:24.355564	170
23053	119307	41125	2013-08-03 22:44:24.370509	2013-08-03 22:44:24.370509	170
23054	119305	41105	2013-08-03 22:44:24.393646	2013-08-03 22:44:24.393646	170
23055	119276	41085	2013-08-03 22:44:24.416974	2013-08-03 22:44:24.416974	170
23056	119225	41020	2013-08-03 22:44:24.440631	2013-08-03 22:44:24.440631	170
23057	119188	41065	2013-08-03 22:44:24.464285	2013-08-03 22:44:24.464285	170
23058	119147	41045	2013-08-03 22:44:24.487682	2013-08-03 22:44:24.487682	170
23059	119145	41025	2013-08-03 22:44:24.511669	2013-08-03 22:44:24.511669	170
23060	119104	39592	2013-08-03 22:44:24.534173	2013-08-03 22:44:24.534173	170
23061	119102	21541	2013-08-03 22:44:24.545414	2013-08-03 22:44:24.545414	170
23062	119098	33605	2013-08-03 22:44:24.553156	2013-08-03 22:44:24.553156	170
23063	119091	33418	2013-08-03 22:44:24.561096	2013-08-03 22:44:24.561096	170
23064	119566	33341	2013-08-03 22:44:24.607465	2013-08-03 22:44:24.607465	170
23065	119410	28141	2013-08-03 22:44:24.627861	2013-08-03 22:44:24.627861	170
23066	119345	36612	2013-08-03 22:44:24.650799	2013-08-03 22:44:24.650799	170
23067	119321	2785	2013-08-03 22:44:24.673589	2013-08-03 22:44:24.673589	170
23068	119211	32761	2013-08-03 22:44:24.696232	2013-08-03 22:44:24.696232	170
23069	119198	22001	2013-08-03 22:44:24.719696	2013-08-03 22:44:24.719696	170
23070	119107	46920	2013-08-03 22:44:24.741654	2013-08-03 22:44:24.741654	170
23071	119099	14412	2013-08-03 22:44:24.764102	2013-08-03 22:44:24.764102	170
23072	119094	27837	2013-08-03 22:44:24.785796	2013-08-03 22:44:24.785796	170
23073	119088	30101	2013-08-03 22:44:24.807289	2013-08-03 22:44:24.807289	170
23074	119568	6448	2013-08-03 22:44:25.333155	2013-08-03 22:44:25.333155	170
23075	119427	14317	2013-08-03 22:44:25.342064	2013-08-03 22:44:25.342064	170
23076	119347	20348	2013-08-03 22:44:25.351154	2013-08-03 22:44:25.351154	170
23077	119325	14253	2013-08-03 22:44:25.368094	2013-08-03 22:44:25.368094	170
23078	119320	14703	2013-08-03 22:44:25.389985	2013-08-03 22:44:25.389985	170
23079	119242	4438	2013-08-03 22:44:25.413171	2013-08-03 22:44:25.413171	170
23080	119230	6572	2013-08-03 22:44:25.490469	2013-08-03 22:44:25.490469	170
23081	119120	28457	2013-08-03 22:44:25.506521	2013-08-03 22:44:25.506521	170
23082	119110	11919	2013-08-03 22:44:25.519648	2013-08-03 22:44:25.519648	170
23083	119095	30301	2013-08-03 22:44:25.542603	2013-08-03 22:44:25.542603	170
23084	119090	29172	2013-08-03 22:44:25.566029	2013-08-03 22:44:25.566029	170
23085	120317	40092	2013-08-03 22:49:20.798446	2013-08-03 22:49:20.798446	171
23086	120317	39932	2013-08-03 22:49:20.814793	2013-08-03 22:49:20.814793	171
23087	120317	23728	2013-08-03 22:49:20.826835	2013-08-03 22:49:20.826835	171
23088	120317	19253	2013-08-03 22:49:20.838319	2013-08-03 22:49:20.838319	171
23089	120317	19293	2013-08-03 22:49:20.849944	2013-08-03 22:49:20.849944	171
23090	120317	19050	2013-08-03 22:49:20.861258	2013-08-03 22:49:20.861258	171
23091	120317	31301	2013-08-03 22:49:20.873659	2013-08-03 22:49:20.873659	171
23092	120317	3166	2013-08-03 22:49:20.885254	2013-08-03 22:49:20.885254	171
23093	120317	7412	2013-08-03 22:49:20.896341	2013-08-03 22:49:20.896341	171
23094	120317	31077	2013-08-03 22:49:20.906917	2013-08-03 22:49:20.906917	171
23095	120317	6958	2013-08-03 22:49:20.917571	2013-08-03 22:49:20.917571	171
23096	120317	39885	2013-08-03 22:49:20.928894	2013-08-03 22:49:20.928894	171
23097	120317	20212	2013-08-03 22:49:20.940024	2013-08-03 22:49:20.940024	171
23098	120544	41745	2013-08-03 22:49:21.007241	2013-08-03 22:49:21.007241	171
23099	120518	41725	2013-08-03 22:49:21.031853	2013-08-03 22:49:21.031853	171
23100	120218	40052	2013-08-03 22:49:21.049219	2013-08-03 22:49:21.049219	171
23101	120145	39892	2013-08-03 22:49:21.060775	2013-08-03 22:49:21.060775	171
23102	120116	31037	2013-08-03 22:49:21.077437	2013-08-03 22:49:21.077437	171
23103	120105	23561	2013-08-03 22:49:21.092608	2013-08-03 22:49:21.092608	171
23104	120027	21541	2013-08-03 22:49:21.11416	2013-08-03 22:49:21.11416	171
23105	120020	19210	2013-08-03 22:49:21.136879	2013-08-03 22:49:21.136879	171
23106	120010	29335	2013-08-03 22:49:21.158011	2013-08-03 22:49:21.158011	171
23107	120000	31315	2013-08-03 22:49:21.167543	2013-08-03 22:49:21.167543	171
23108	119998	3254	2013-08-03 22:49:21.175797	2013-08-03 22:49:21.175797	171
23109	119986	7497	2013-08-03 22:49:21.187231	2013-08-03 22:49:21.187231	171
23110	119982	48875	2013-08-03 22:49:21.196971	2013-08-03 22:49:21.196971	171
23111	119965	23737	2013-08-03 22:49:21.206206	2013-08-03 22:49:21.206206	171
23112	119946	2915	2013-08-03 22:49:21.215274	2013-08-03 22:49:21.215274	171
23113	119945	11558	2013-08-03 22:49:21.223106	2013-08-03 22:49:21.223106	171
23114	119944	5006	2013-08-03 22:49:21.23189	2013-08-03 22:49:21.23189	171
23115	120340	7444	2013-08-03 22:49:21.282828	2013-08-03 22:49:21.282828	171
23116	120307	48875	2013-08-03 22:49:21.3508	2013-08-03 22:49:21.3508	171
23117	120219	14728	2013-08-03 22:49:21.362459	2013-08-03 22:49:21.362459	171
23118	120114	28141	2013-08-03 22:49:21.378312	2013-08-03 22:49:21.378312	171
23119	120065	2785	2013-08-03 22:49:21.387004	2013-08-03 22:49:21.387004	171
23120	120028	32301	2013-08-03 22:49:21.403415	2013-08-03 22:49:21.403415	171
23121	119964	24137	2013-08-03 22:49:21.426291	2013-08-03 22:49:21.426291	171
23122	119954	5717	2013-08-03 22:49:21.448836	2013-08-03 22:49:21.448836	171
23123	119949	9959	2013-08-03 22:49:21.471448	2013-08-03 22:49:21.471448	171
23124	119943	16360	2013-08-03 22:49:21.496168	2013-08-03 22:49:21.496168	171
23125	120409	49155	2013-08-03 22:49:21.928577	2013-08-03 22:49:21.928577	171
23126	120224	14253	2013-08-03 22:49:21.951915	2013-08-03 22:49:21.951915	171
23127	120113	1586	2013-08-03 22:49:21.975864	2013-08-03 22:49:21.975864	171
23128	120079	14408	2013-08-03 22:49:21.997818	2013-08-03 22:49:21.997818	171
23129	120077	7019	2013-08-03 22:49:22.020357	2013-08-03 22:49:22.020357	171
23130	120036	27852	2013-08-03 22:49:22.033826	2013-08-03 22:49:22.033826	171
23131	120034	27837	2013-08-03 22:49:22.042958	2013-08-03 22:49:22.042958	171
23132	119999	48535	2013-08-03 22:49:22.050263	2013-08-03 22:49:22.050263	171
23133	119969	29621	2013-08-03 22:49:22.056802	2013-08-03 22:49:22.056802	171
23134	119967	20581	2013-08-03 22:49:22.063778	2013-08-03 22:49:22.063778	171
23135	119942	8738	2013-08-03 22:49:22.081614	2013-08-03 22:49:22.081614	171
23136	120729	49520	2013-08-03 22:54:23.395884	2013-08-03 22:54:23.395884	172
23137	120729	41885	2013-08-03 22:54:23.400134	2013-08-03 22:54:23.400134	172
23138	120729	3368	2013-08-03 22:54:23.403782	2013-08-03 22:54:23.403782	172
23139	120729	34201	2013-08-03 22:54:23.407654	2013-08-03 22:54:23.407654	172
23140	120817	42220	2013-08-03 22:54:23.451083	2013-08-03 22:54:23.451083	172
23141	120805	42125	2013-08-03 22:54:23.464887	2013-08-03 22:54:23.464887	172
23142	120674	42105	2013-08-03 22:54:23.475803	2013-08-03 22:54:23.475803	172
23143	120658	42085	2013-08-03 22:54:23.487356	2013-08-03 22:54:23.487356	172
23144	120633	42055	2013-08-03 22:54:23.504568	2013-08-03 22:54:23.504568	172
23145	120628	42065	2013-08-03 22:54:23.514948	2013-08-03 22:54:23.514948	172
23146	120626	42045	2013-08-03 22:54:23.522634	2013-08-03 22:54:23.522634	172
23147	120624	42025	2013-08-03 22:54:23.530907	2013-08-03 22:54:23.530907	172
23148	120605	42005	2013-08-03 22:54:23.539483	2013-08-03 22:54:23.539483	172
23149	120599	41985	2013-08-03 22:54:23.547654	2013-08-03 22:54:23.547654	172
23150	120594	41965	2013-08-03 22:54:23.556205	2013-08-03 22:54:23.556205	172
23151	120592	41945	2013-08-03 22:54:23.589127	2013-08-03 22:54:23.589127	172
23152	120590	41925	2013-08-03 22:54:23.614194	2013-08-03 22:54:23.614194	172
23153	120589	32685	2013-08-03 22:54:23.629998	2013-08-03 22:54:23.629998	172
23154	120716	19513	2013-08-03 22:54:23.656552	2013-08-03 22:54:23.656552	172
23155	120716	19592	2013-08-03 22:54:23.661609	2013-08-03 22:54:23.661609	172
23156	120716	19493	2013-08-03 22:54:23.666708	2013-08-03 22:54:23.666708	172
23157	120677	19473	2013-08-03 22:54:23.683403	2013-08-03 22:54:23.683403	172
23158	120677	19453	2013-08-03 22:54:23.694901	2013-08-03 22:54:23.694901	172
23159	120677	19433	2013-08-03 22:54:23.706454	2013-08-03 22:54:23.706454	172
23160	120642	19413	2013-08-03 22:54:23.721125	2013-08-03 22:54:23.721125	172
23161	120642	10697	2013-08-03 22:54:23.730359	2013-08-03 22:54:23.730359	172
23162	120642	30250	2013-08-03 22:54:23.736569	2013-08-03 22:54:23.736569	172
23163	120617	34061	2013-08-03 22:54:23.745382	2013-08-03 22:54:23.745382	172
23164	120617	3195	2013-08-03 22:54:23.748924	2013-08-03 22:54:23.748924	172
23165	120617	7517	2013-08-03 22:54:23.75237	2013-08-03 22:54:23.75237	172
23166	120612	2578	2013-08-03 22:54:23.759418	2013-08-03 22:54:23.759418	172
23167	120612	3175	2013-08-03 22:54:23.763529	2013-08-03 22:54:23.763529	172
23168	120612	39523	2013-08-03 22:54:23.76769	2013-08-03 22:54:23.76769	172
23169	120600	14432	2013-08-03 22:54:23.779609	2013-08-03 22:54:23.779609	172
23170	120600	9735	2013-08-03 22:54:23.789438	2013-08-03 22:54:23.789438	172
23171	120600	48535	2013-08-03 22:54:23.794563	2013-08-03 22:54:23.794563	172
23172	120671	40432	2013-08-03 22:54:23.830559	2013-08-03 22:54:23.830559	172
23173	120668	39892	2013-08-03 22:54:23.840528	2013-08-03 22:54:23.840528	172
23174	120657	34021	2013-08-03 22:54:23.857323	2013-08-03 22:54:23.857323	172
23175	120640	30058	2013-08-03 22:54:23.879721	2013-08-03 22:54:23.879721	172
23176	120630	9738	2013-08-03 22:54:23.893076	2013-08-03 22:54:23.893076	172
23177	120627	7497	2013-08-03 22:54:23.908761	2013-08-03 22:54:23.908761	172
23178	120613	34161	2013-08-03 22:54:23.924184	2013-08-03 22:54:23.924184	172
23179	120608	7504	2013-08-03 22:54:23.989187	2013-08-03 22:54:23.989187	172
23180	120598	7215	2013-08-03 22:54:24.0022	2013-08-03 22:54:24.0022	172
23181	120587	7019	2013-08-03 22:54:24.018238	2013-08-03 22:54:24.018238	172
23182	120713	1706	2013-08-03 22:54:24.080012	2013-08-03 22:54:24.080012	172
23183	120690	9877	2013-08-03 22:54:24.086224	2013-08-03 22:54:24.086224	172
23184	120687	27852	2013-08-03 22:54:24.100682	2013-08-03 22:54:24.100682	172
23185	120645	48715	2013-08-03 22:54:24.119258	2013-08-03 22:54:24.119258	172
23186	120623	28457	2013-08-03 22:54:24.132394	2013-08-03 22:54:24.132394	172
23187	120615	203	2013-08-03 22:54:24.145537	2013-08-03 22:54:24.145537	172
23188	120606	29621	2013-08-03 22:54:24.158426	2013-08-03 22:54:24.158426	172
23189	120597	20521	2013-08-03 22:54:24.165021	2013-08-03 22:54:24.165021	172
23190	120595	18230	2013-08-03 22:54:24.171977	2013-08-03 22:54:24.171977	172
23191	120588	20581	2013-08-03 22:54:24.17939	2013-08-03 22:54:24.17939	172
23192	120722	29761	2013-08-03 22:54:24.264503	2013-08-03 22:54:24.264503	172
23193	120714	33661	2013-08-03 22:54:24.279797	2013-08-03 22:54:24.279797	172
23194	120646	33421	2013-08-03 22:54:24.292213	2013-08-03 22:54:24.292213	172
23195	120638	49215	2013-08-03 22:54:24.302612	2013-08-03 22:54:24.302612	172
23196	120629	20092	2013-08-03 22:54:24.312066	2013-08-03 22:54:24.312066	172
23197	120616	49475	2013-08-03 22:54:24.321608	2013-08-03 22:54:24.321608	172
23198	120614	14412	2013-08-03 22:54:24.331546	2013-08-03 22:54:24.331546	172
23199	120611	1722	2013-08-03 22:54:24.341019	2013-08-03 22:54:24.341019	172
23200	120609	21168	2013-08-03 22:54:24.351197	2013-08-03 22:54:24.351197	172
23201	120601	46460	2013-08-03 22:54:24.362575	2013-08-03 22:54:24.362575	172
23202	120591	20835	2013-08-03 22:54:24.36897	2013-08-03 22:54:24.36897	172
23203	120923	49840	2013-08-03 22:59:25.364979	2013-08-03 22:59:25.364979	173
23204	120923	42365	2013-08-03 22:59:25.376617	2013-08-03 22:59:25.376617	173
23205	120923	42125	2013-08-03 22:59:25.386992	2013-08-03 22:59:25.386992	173
23206	120923	41092	2013-08-03 22:59:25.397043	2013-08-03 22:59:25.397043	173
23207	120923	34421	2013-08-03 22:59:25.407172	2013-08-03 22:59:25.407172	173
23208	120923	40792	2013-08-03 22:59:25.417139	2013-08-03 22:59:25.417139	173
23209	120923	30450	2013-08-03 22:59:25.427447	2013-08-03 22:59:25.427447	173
23210	120923	34061	2013-08-03 22:59:25.437872	2013-08-03 22:59:25.437872	173
23211	120923	3195	2013-08-03 22:59:25.448339	2013-08-03 22:59:25.448339	173
23212	120923	22361	2013-08-03 22:59:25.45865	2013-08-03 22:59:25.45865	173
23213	120923	7517	2013-08-03 22:59:25.468941	2013-08-03 22:59:25.468941	173
23214	120923	49475	2013-08-03 22:59:25.478589	2013-08-03 22:59:25.478589	173
23215	120923	28457	2013-08-03 22:59:25.488159	2013-08-03 22:59:25.488159	173
23216	120911	42585	2013-08-03 22:59:25.553328	2013-08-03 22:59:25.553328	173
23217	120892	42565	2013-08-03 22:59:25.563195	2013-08-03 22:59:25.563195	173
23218	120874	42545	2013-08-03 22:59:25.573061	2013-08-03 22:59:25.573061	173
23219	120862	42525	2013-08-03 22:59:25.580111	2013-08-03 22:59:25.580111	173
23220	120861	42500	2013-08-03 22:59:25.592531	2013-08-03 22:59:25.592531	173
23221	120860	42505	2013-08-03 22:59:25.613877	2013-08-03 22:59:25.613877	173
23222	120851	42485	2013-08-03 22:59:25.633822	2013-08-03 22:59:25.633822	173
23223	120824	42465	2013-08-03 22:59:25.656973	2013-08-03 22:59:25.656973	173
23224	120822	42445	2013-08-03 22:59:25.67998	2013-08-03 22:59:25.67998	173
23225	120820	42425	2013-08-03 22:59:25.702803	2013-08-03 22:59:25.702803	173
23226	120819	42458	2013-08-03 22:59:25.725887	2013-08-03 22:59:25.725887	173
23227	120814	41052	2013-08-03 22:59:25.750233	2013-08-03 22:59:25.750233	173
23228	120813	7298	2013-08-03 22:59:25.772491	2013-08-03 22:59:25.772491	173
23229	120973	12259	2013-08-03 22:59:26.045379	2013-08-03 22:59:26.045379	173
23230	120963	34161	2013-08-03 22:59:26.067832	2013-08-03 22:59:26.067832	173
23231	120953	4378	2013-08-03 22:59:26.08921	2013-08-03 22:59:26.08921	173
23232	120877	12097	2013-08-03 22:59:26.111714	2013-08-03 22:59:26.111714	173
23233	120852	12239	2013-08-03 22:59:26.134289	2013-08-03 22:59:26.134289	173
23234	120848	12170	2013-08-03 22:59:26.156294	2013-08-03 22:59:26.156294	173
23235	120837	12219	2013-08-03 22:59:26.177586	2013-08-03 22:59:26.177586	173
23236	120829	12199	2013-08-03 22:59:26.199234	2013-08-03 22:59:26.199234	173
23237	120821	12179	2013-08-03 22:59:26.225109	2013-08-03 22:59:26.225109	173
23238	120815	12159	2013-08-03 22:59:26.239043	2013-08-03 22:59:26.239043	173
23239	120812	40400	2013-08-03 22:59:26.248795	2013-08-03 22:59:26.248795	173
23240	120811	3268	2013-08-03 22:59:26.256243	2013-08-03 22:59:26.256243	173
23241	122657	41612	2013-08-03 23:04:23.762079	2013-08-03 23:04:23.762079	174
23242	122657	31241	2013-08-03 23:04:23.775471	2013-08-03 23:04:23.775471	174
23243	122657	30910	2013-08-03 23:04:23.786855	2013-08-03 23:04:23.786855	174
23244	122657	20706	2013-08-03 23:04:23.796745	2013-08-03 23:04:23.796745	174
23245	122657	21397	2013-08-03 23:04:23.80068	2013-08-03 23:04:23.80068	174
23246	122657	4632	2013-08-03 23:04:23.805464	2013-08-03 23:04:23.805464	174
23247	121361	43105	2013-08-03 23:04:23.858445	2013-08-03 23:04:23.858445	174
23248	121267	43085	2013-08-03 23:04:23.881764	2013-08-03 23:04:23.881764	174
23249	121190	43065	2013-08-03 23:04:23.904726	2013-08-03 23:04:23.904726	174
23250	121137	43045	2013-08-03 23:04:23.927668	2013-08-03 23:04:23.927668	174
23251	121090	43025	2013-08-03 23:04:23.950307	2013-08-03 23:04:23.950307	174
23252	121083	43005	2013-08-03 23:04:23.972856	2013-08-03 23:04:23.972856	174
23253	121047	42985	2013-08-03 23:04:23.994872	2013-08-03 23:04:23.994872	174
23254	121034	42965	2013-08-03 23:04:24.01628	2013-08-03 23:04:24.01628	174
23255	121024	42945	2013-08-03 23:04:24.037566	2013-08-03 23:04:24.037566	174
23256	121009	30870	2013-08-03 23:04:24.058486	2013-08-03 23:04:24.058486	174
23257	120992	30490	2013-08-03 23:04:24.078681	2013-08-03 23:04:24.078681	174
23258	120990	20666	2013-08-03 23:04:24.100295	2013-08-03 23:04:24.100295	174
23259	120989	15931	2013-08-03 23:04:24.12076	2013-08-03 23:04:24.12076	174
23260	120985	19826	2013-08-03 23:04:24.140614	2013-08-03 23:04:24.140614	174
23261	120979	41592	2013-08-03 23:04:24.161698	2013-08-03 23:04:24.161698	174
23262	121219	24337	2013-08-03 23:04:24.256833	2013-08-03 23:04:24.256833	174
23263	121216	35455	2013-08-03 23:04:24.276657	2013-08-03 23:04:24.276657	174
23264	121152	34465	2013-08-03 23:04:24.290237	2013-08-03 23:04:24.290237	174
23265	121111	34495	2013-08-03 23:04:24.303797	2013-08-03 23:04:24.303797	174
23266	121091	12199	2013-08-03 23:04:24.321193	2013-08-03 23:04:24.321193	174
23267	121075	34260	2013-08-03 23:04:24.338788	2013-08-03 23:04:24.338788	174
23268	121050	34301	2013-08-03 23:04:24.354215	2013-08-03 23:04:24.354215	174
23269	120991	7019	2013-08-03 23:04:24.363588	2013-08-03 23:04:24.363588	174
23270	120987	34135	2013-08-03 23:04:24.383518	2013-08-03 23:04:24.383518	174
23271	120986	33241	2013-08-03 23:04:24.405523	2013-08-03 23:04:24.405523	174
23272	120980	21168	2013-08-03 23:04:24.427001	2013-08-03 23:04:24.427001	174
23273	121221	12459	2013-08-03 23:04:24.830072	2013-08-03 23:04:24.830072	174
23274	121213	12439	2013-08-03 23:04:24.83806	2013-08-03 23:04:24.83806	174
23275	121116	12419	2013-08-03 23:04:24.84886	2013-08-03 23:04:24.84886	174
23276	121112	12355	2013-08-03 23:04:24.85933	2013-08-03 23:04:24.85933	174
23277	121058	12403	2013-08-03 23:04:24.877431	2013-08-03 23:04:24.877431	174
23278	121040	12399	2013-08-03 23:04:24.900505	2013-08-03 23:04:24.900505	174
23279	121038	12356	2013-08-03 23:04:24.92397	2013-08-03 23:04:24.92397	174
23280	120988	9738	2013-08-03 23:04:24.938787	2013-08-03 23:04:24.938787	174
23281	120984	2975	2013-08-03 23:04:24.945755	2013-08-03 23:04:24.945755	174
23282	120983	4517	2013-08-03 23:04:24.961175	2013-08-03 23:04:24.961175	174
23283	120982	22321	2013-08-03 23:04:24.977287	2013-08-03 23:04:24.977287	174
23284	120981	24137	2013-08-03 23:04:24.988663	2013-08-03 23:04:24.988663	174
23285	122619	510	2013-08-03 23:11:27.096545	2013-08-03 23:11:27.096545	175
23286	122619	43285	2013-08-03 23:11:27.111167	2013-08-03 23:11:27.111167	175
23287	122619	42152	2013-08-03 23:11:27.12408	2013-08-03 23:11:27.12408	175
23288	121769	35021	2013-08-03 23:11:27.149056	2013-08-03 23:11:27.149056	175
23289	121769	20806	2013-08-03 23:11:27.161144	2013-08-03 23:11:27.161144	175
23290	121769	4429	2013-08-03 23:11:27.172501	2013-08-03 23:11:27.172501	175
23291	121530	5324	2013-08-03 23:11:27.196531	2013-08-03 23:11:27.196531	175
23292	121530	34821	2013-08-03 23:11:27.208478	2013-08-03 23:11:27.208478	175
23293	121530	31237	2013-08-03 23:11:27.220056	2013-08-03 23:11:27.220056	175
23294	122128	43485	2013-08-03 23:11:27.294973	2013-08-03 23:11:27.294973	175
23295	121839	43465	2013-08-03 23:11:27.31949	2013-08-03 23:11:27.31949	175
23296	121766	43420	2013-08-03 23:11:27.342618	2013-08-03 23:11:27.342618	175
23297	121683	43445	2013-08-03 23:11:27.366369	2013-08-03 23:11:27.366369	175
23298	121670	43425	2013-08-03 23:11:27.390369	2013-08-03 23:11:27.390369	175
23299	121601	43405	2013-08-03 23:11:27.413817	2013-08-03 23:11:27.413817	175
23300	121562	43385	2013-08-03 23:11:27.436722	2013-08-03 23:11:27.436722	175
23301	121544	43478	2013-08-03 23:11:27.459523	2013-08-03 23:11:27.459523	175
23302	121535	43365	2013-08-03 23:11:27.480783	2013-08-03 23:11:27.480783	175
23303	121525	43345	2013-08-03 23:11:27.501415	2013-08-03 23:11:27.501415	175
23304	121514	20766	2013-08-03 23:11:27.523151	2013-08-03 23:11:27.523151	175
23305	121512	34965	2013-08-03 23:11:27.545363	2013-08-03 23:11:27.545363	175
23306	121508	2474	2013-08-03 23:11:27.567364	2013-08-03 23:11:27.567364	175
23307	121507	16031	2013-08-03 23:11:27.589357	2013-08-03 23:11:27.589357	175
23308	122105	34901	2013-08-03 23:11:27.700266	2013-08-03 23:11:27.700266	175
23309	121953	34761	2013-08-03 23:11:27.724392	2013-08-03 23:11:27.724392	175
23310	121872	31137	2013-08-03 23:11:27.747435	2013-08-03 23:11:27.747435	175
23311	121671	15871	2013-08-03 23:11:27.770557	2013-08-03 23:11:27.770557	175
23312	121647	5257	2013-08-03 23:11:27.793288	2013-08-03 23:11:27.793288	175
23313	121583	15971	2013-08-03 23:11:27.816132	2013-08-03 23:11:27.816132	175
23314	121570	12159	2013-08-03 23:11:27.838232	2013-08-03 23:11:27.838232	175
23315	121555	30070	2013-08-03 23:11:27.860258	2013-08-03 23:11:27.860258	175
23316	121545	12356	2013-08-03 23:11:27.882429	2013-08-03 23:11:27.882429	175
23317	121510	40203	2013-08-03 23:11:27.904653	2013-08-03 23:11:27.904653	175
23318	122127	183	2013-08-03 23:11:27.95699	2013-08-03 23:11:27.95699	175
23319	121971	41932	2013-08-03 23:11:27.970033	2013-08-03 23:11:27.970033	175
23320	121945	41672	2013-08-03 23:11:27.981949	2013-08-03 23:11:27.981949	175
23321	121837	34861	2013-08-03 23:11:27.991378	2013-08-03 23:11:27.991378	175
23322	121790	31190	2013-08-03 23:11:28.000969	2013-08-03 23:11:28.000969	175
23323	121765	30965	2013-08-03 23:11:28.009314	2013-08-03 23:11:28.009314	175
23324	121720	20637	2013-08-03 23:11:28.016258	2013-08-03 23:11:28.016258	175
23325	121690	2474	2013-08-03 23:11:28.022291	2013-08-03 23:11:28.022291	175
23326	121673	32301	2013-08-03 23:11:28.030028	2013-08-03 23:11:28.030028	175
23327	121668	7681	2013-08-03 23:11:28.038343	2013-08-03 23:11:28.038343	175
23328	121643	34781	2013-08-03 23:11:28.054922	2013-08-03 23:11:28.054922	175
23329	121642	16000	2013-08-03 23:11:28.075404	2013-08-03 23:11:28.075404	175
23330	121615	1706	2013-08-03 23:11:28.0977	2013-08-03 23:11:28.0977	175
23331	121611	7425	2013-08-03 23:11:28.121005	2013-08-03 23:11:28.121005	175
23332	121603	49215	2013-08-03 23:11:28.144029	2013-08-03 23:11:28.144029	175
23333	121848	15950	2013-08-03 23:11:28.21634	2013-08-03 23:11:28.21634	175
23334	121767	4409	2013-08-03 23:11:28.238255	2013-08-03 23:11:28.238255	175
23335	121696	49155	2013-08-03 23:11:28.260045	2013-08-03 23:11:28.260045	175
23336	121684	12399	2013-08-03 23:11:28.282165	2013-08-03 23:11:28.282165	175
23337	121628	12355	2013-08-03 23:11:28.365052	2013-08-03 23:11:28.365052	175
23338	121573	32661	2013-08-03 23:11:28.374242	2013-08-03 23:11:28.374242	175
23339	121569	4830	2013-08-03 23:11:28.392215	2013-08-03 23:11:28.392215	175
23340	121543	32085	2013-08-03 23:11:28.412707	2013-08-03 23:11:28.412707	175
23341	121542	22601	2013-08-03 23:11:28.434456	2013-08-03 23:11:28.434456	175
23342	121533	20565	2013-08-03 23:11:28.456356	2013-08-03 23:11:28.456356	175
23343	121523	4415	2013-08-03 23:11:28.478274	2013-08-03 23:11:28.478274	175
23344	121521	20270	2013-08-03 23:11:28.499962	2013-08-03 23:11:28.499962	175
23345	121513	28532	2013-08-03 23:11:28.50697	2013-08-03 23:11:28.50697	175
23346	121789	12452	2013-08-03 23:11:28.629688	2013-08-03 23:11:28.629688	175
23347	121672	12472	2013-08-03 23:11:28.652385	2013-08-03 23:11:28.652385	175
23348	121613	12437	2013-08-03 23:11:28.674573	2013-08-03 23:11:28.674573	175
23349	121602	12457	2013-08-03 23:11:28.696829	2013-08-03 23:11:28.696829	175
23350	121593	12445	2013-08-03 23:11:28.719264	2013-08-03 23:11:28.719264	175
23351	121576	33661	2013-08-03 23:11:28.740863	2013-08-03 23:11:28.740863	175
23352	121541	6970	2013-08-03 23:11:28.762257	2013-08-03 23:11:28.762257	175
23353	121524	32241	2013-08-03 23:11:28.783594	2013-08-03 23:11:28.783594	175
23354	121515	4476	2013-08-03 23:11:28.804613	2013-08-03 23:11:28.804613	175
23355	121509	1133	2013-08-03 23:11:28.827261	2013-08-03 23:11:28.827261	175
23356	122422	43765	2013-08-03 23:14:34.293888	2013-08-03 23:14:34.293888	176
23357	122186	31257	2013-08-03 23:14:34.316148	2013-08-03 23:14:34.316148	176
23358	122141	5841	2013-08-03 23:14:34.340247	2013-08-03 23:14:34.340247	176
23359	122540	44045	2013-08-03 23:14:34.410227	2013-08-03 23:14:34.410227	176
23360	122485	44025	2013-08-03 23:14:34.432523	2013-08-03 23:14:34.432523	176
23361	122432	44005	2013-08-03 23:14:34.455269	2013-08-03 23:14:34.455269	176
23362	122423	43985	2013-08-03 23:14:34.478269	2013-08-03 23:14:34.478269	176
23363	122305	43965	2013-08-03 23:14:34.501835	2013-08-03 23:14:34.501835	176
23364	122269	43945	2013-08-03 23:14:34.590521	2013-08-03 23:14:34.590521	176
23365	122236	43925	2013-08-03 23:14:34.606879	2013-08-03 23:14:34.606879	176
23366	122232	43905	2013-08-03 23:14:34.617305	2013-08-03 23:14:34.617305	176
23367	122218	43885	2013-08-03 23:14:34.626457	2013-08-03 23:14:34.626457	176
23368	122177	43865	2013-08-03 23:14:34.634459	2013-08-03 23:14:34.634459	176
23369	122157	43845	2013-08-03 23:14:34.644398	2013-08-03 23:14:34.644398	176
23370	122156	43825	2013-08-03 23:14:34.659332	2013-08-03 23:14:34.659332	176
23371	122136	43805	2013-08-03 23:14:34.681924	2013-08-03 23:14:34.681924	176
23372	122135	19513	2013-08-03 23:14:34.704861	2013-08-03 23:14:34.704861	176
23373	122132	5864	2013-08-03 23:14:34.728036	2013-08-03 23:14:34.728036	176
23374	122575	19813	2013-08-03 23:14:34.828806	2013-08-03 23:14:34.828806	176
23375	122541	19793	2013-08-03 23:14:34.853007	2013-08-03 23:14:34.853007	176
23376	122437	19632	2013-08-03 23:14:34.866414	2013-08-03 23:14:34.866414	176
23377	122430	19773	2013-08-03 23:14:34.876298	2013-08-03 23:14:34.876298	176
23378	122408	19753	2013-08-03 23:14:34.884766	2013-08-03 23:14:34.884766	176
23379	122337	19670	2013-08-03 23:14:34.896268	2013-08-03 23:14:34.896268	176
23380	122306	32301	2013-08-03 23:14:34.909536	2013-08-03 23:14:34.909536	176
23381	122263	15971	2013-08-03 23:14:34.924919	2013-08-03 23:14:34.924919	176
23382	122185	15965	2013-08-03 23:14:34.932222	2013-08-03 23:14:34.932222	176
23383	122167	5791	2013-08-03 23:14:34.941429	2013-08-03 23:14:34.941429	176
23384	122138	32241	2013-08-03 23:14:34.957979	2013-08-03 23:14:34.957979	176
23385	122131	4415	2013-08-03 23:14:34.978919	2013-08-03 23:14:34.978919	176
23386	122192	4839	2013-08-03 23:14:35.470303	2013-08-03 23:14:35.470303	176
23387	122192	12819	2013-08-03 23:14:35.481547	2013-08-03 23:14:35.481547	176
23388	122192	12799	2013-08-03 23:14:35.492396	2013-08-03 23:14:35.492396	176
23389	122192	12779	2013-08-03 23:14:35.503488	2013-08-03 23:14:35.503488	176
23390	122139	12759	2013-08-03 23:14:35.527214	2013-08-03 23:14:35.527214	176
23391	122139	12739	2013-08-03 23:14:35.539887	2013-08-03 23:14:35.539887	176
23392	122139	12788	2013-08-03 23:14:35.55221	2013-08-03 23:14:35.55221	176
23393	122139	12719	2013-08-03 23:14:35.564299	2013-08-03 23:14:35.564299	176
23394	122137	23817	2013-08-03 23:14:35.583516	2013-08-03 23:14:35.583516	176
23395	122137	12699	2013-08-03 23:14:35.588517	2013-08-03 23:14:35.588517	176
23396	122137	12679	2013-08-03 23:14:35.592999	2013-08-03 23:14:35.592999	176
23397	122137	34763	2013-08-03 23:14:35.598123	2013-08-03 23:14:35.598123	176
23398	122130	12659	2013-08-03 23:14:35.605876	2013-08-03 23:14:35.605876	176
23399	122130	32981	2013-08-03 23:14:35.609008	2013-08-03 23:14:35.609008	176
23400	122130	2375	2013-08-03 23:14:35.611885	2013-08-03 23:14:35.611885	176
23401	122130	32261	2013-08-03 23:14:35.614662	2013-08-03 23:14:35.614662	176
23402	123765	35441	2013-08-03 23:19:39.090753	2013-08-03 23:19:39.090753	177
23403	123471	35421	2013-08-03 23:19:39.116943	2013-08-03 23:19:39.116943	177
23404	123260	35401	2013-08-03 23:19:39.136611	2013-08-03 23:19:39.136611	177
23405	123241	35381	2013-08-03 23:19:39.145951	2013-08-03 23:19:39.145951	177
23406	123070	35361	2013-08-03 23:19:39.165397	2013-08-03 23:19:39.165397	177
23407	123055	35341	2013-08-03 23:19:39.188685	2013-08-03 23:19:39.188685	177
23408	122999	35285	2013-08-03 23:19:39.212661	2013-08-03 23:19:39.212661	177
23409	122992	35195	2013-08-03 23:19:39.224719	2013-08-03 23:19:39.224719	177
23410	122985	35321	2013-08-03 23:19:39.236979	2013-08-03 23:19:39.236979	177
23411	122970	35301	2013-08-03 23:19:39.253237	2013-08-03 23:19:39.253237	177
23412	122933	35281	2013-08-03 23:19:39.277478	2013-08-03 23:19:39.277478	177
23413	122908	35261	2013-08-03 23:19:39.301953	2013-08-03 23:19:39.301953	177
23414	122901	35241	2013-08-03 23:19:39.316526	2013-08-03 23:19:39.316526	177
23415	122898	35218	2013-08-03 23:19:39.329168	2013-08-03 23:19:39.329168	177
23416	122894	35221	2013-08-03 23:19:39.342054	2013-08-03 23:19:39.342054	177
23417	123657	44285	2013-08-03 23:19:39.376118	2013-08-03 23:19:39.376118	177
23418	123657	35181	2013-08-03 23:19:39.379631	2013-08-03 23:19:39.379631	177
23419	123657	31497	2013-08-03 23:19:39.384535	2013-08-03 23:19:39.384535	177
23420	122942	20866	2013-08-03 23:19:39.395797	2013-08-03 23:19:39.395797	177
23421	122942	35441	2013-08-03 23:19:39.405151	2013-08-03 23:19:39.405151	177
23422	122942	36612	2013-08-03 23:19:39.414038	2013-08-03 23:19:39.414038	177
23423	123493	44505	2013-08-03 23:19:39.457775	2013-08-03 23:19:39.457775	177
23424	123470	44485	2013-08-03 23:19:39.481581	2013-08-03 23:19:39.481581	177
23425	123416	44465	2013-08-03 23:19:39.505352	2013-08-03 23:19:39.505352	177
23426	123259	44478	2013-08-03 23:19:39.518568	2013-08-03 23:19:39.518568	177
23427	123064	44445	2013-08-03 23:19:39.541185	2013-08-03 23:19:39.541185	177
23428	122998	44425	2013-08-03 23:19:39.564275	2013-08-03 23:19:39.564275	177
23429	122984	44405	2013-08-03 23:19:39.588063	2013-08-03 23:19:39.588063	177
23430	122969	44385	2013-08-03 23:19:39.595348	2013-08-03 23:19:39.595348	177
23431	122929	44365	2013-08-03 23:19:39.603235	2013-08-03 23:19:39.603235	177
23432	122913	44300	2013-08-03 23:19:39.61104	2013-08-03 23:19:39.61104	177
23433	122907	44345	2013-08-03 23:19:39.62958	2013-08-03 23:19:39.62958	177
23434	122902	20850	2013-08-03 23:19:39.651243	2013-08-03 23:19:39.651243	177
23435	122896	35341	2013-08-03 23:19:39.662598	2013-08-03 23:19:39.662598	177
23436	122892	35161	2013-08-03 23:19:39.673088	2013-08-03 23:19:39.673088	177
23437	123771	31950	2013-08-03 23:19:39.718317	2013-08-03 23:19:39.718317	177
23438	123766	31930	2013-08-03 23:19:39.734719	2013-08-03 23:19:39.734719	177
23439	123739	31910	2013-08-03 23:19:39.747398	2013-08-03 23:19:39.747398	177
23440	123667	31965	2013-08-03 23:19:39.769142	2013-08-03 23:19:39.769142	177
23441	123573	31890	2013-08-03 23:19:39.789696	2013-08-03 23:19:39.789696	177
23442	123402	31870	2013-08-03 23:19:39.864344	2013-08-03 23:19:39.864344	177
23443	123295	31850	2013-08-03 23:19:39.876179	2013-08-03 23:19:39.876179	177
23444	123268	31830	2013-08-03 23:19:39.88382	2013-08-03 23:19:39.88382	177
23445	123109	31810	2013-08-03 23:19:39.890891	2013-08-03 23:19:39.890891	177
23446	123053	31397	2013-08-03 23:19:39.900028	2013-08-03 23:19:39.900028	177
23447	123031	34761	2013-08-03 23:19:39.909659	2013-08-03 23:19:39.909659	177
23448	123018	13183	2013-08-03 23:19:39.91778	2013-08-03 23:19:39.91778	177
23449	123769	19963	2013-08-03 23:19:39.945808	2013-08-03 23:19:39.945808	177
23450	123749	19953	2013-08-03 23:19:39.954205	2013-08-03 23:19:39.954205	177
23451	123317	19817	2013-08-03 23:19:39.963372	2013-08-03 23:19:39.963372	177
23452	123144	19933	2013-08-03 23:19:39.971053	2013-08-03 23:19:39.971053	177
23453	123080	12846	2013-08-03 23:19:39.978446	2013-08-03 23:19:39.978446	177
23454	123073	19913	2013-08-03 23:19:39.985361	2013-08-03 23:19:39.985361	177
23455	123068	17612	2013-08-03 23:19:39.994341	2013-08-03 23:19:39.994341	177
23456	123004	19893	2013-08-03 23:19:40.008225	2013-08-03 23:19:40.008225	177
23457	122948	19910	2013-08-03 23:19:40.016378	2013-08-03 23:19:40.016378	177
23458	122947	35301	2013-08-03 23:19:40.025199	2013-08-03 23:19:40.025199	177
23459	122910	15960	2013-08-03 23:19:40.031587	2013-08-03 23:19:40.031587	177
23460	122895	36395	2013-08-03 23:19:40.039698	2013-08-03 23:19:40.039698	177
23461	124214	35861	2013-08-03 23:24:40.156282	2013-08-03 23:24:40.156282	178
23462	124134	35841	2013-08-03 23:24:40.164341	2013-08-03 23:24:40.164341	178
23463	124006	35878	2013-08-03 23:24:40.173102	2013-08-03 23:24:40.173102	178
23464	123977	35821	2013-08-03 23:24:40.183537	2013-08-03 23:24:40.183537	178
23465	123970	35801	2013-08-03 23:24:40.1964	2013-08-03 23:24:40.1964	178
23466	123950	35685	2013-08-03 23:24:40.205512	2013-08-03 23:24:40.205512	178
23467	123919	35655	2013-08-03 23:24:40.214919	2013-08-03 23:24:40.214919	178
23468	123912	35781	2013-08-03 23:24:40.222504	2013-08-03 23:24:40.222504	178
23469	123902	35761	2013-08-03 23:24:40.229478	2013-08-03 23:24:40.229478	178
23470	123876	35741	2013-08-03 23:24:40.237136	2013-08-03 23:24:40.237136	178
23471	123857	32770	2013-08-03 23:24:40.247277	2013-08-03 23:24:40.247277	178
23472	123853	20233	2013-08-03 23:24:40.260362	2013-08-03 23:24:40.260362	178
23473	123852	12401	2013-08-03 23:24:40.273946	2013-08-03 23:24:40.273946	178
23474	124145	44765	2013-08-03 23:24:40.287457	2013-08-03 23:24:40.287457	178
23475	124145	44505	2013-08-03 23:24:40.291524	2013-08-03 23:24:40.291524	178
23476	124145	43132	2013-08-03 23:24:40.295279	2013-08-03 23:24:40.295279	178
23477	124145	42912	2013-08-03 23:24:40.300078	2013-08-03 23:24:40.300078	178
23478	124145	35701	2013-08-03 23:24:40.304739	2013-08-03 23:24:40.304739	178
23479	124145	32730	2013-08-03 23:24:40.308852	2013-08-03 23:24:40.308852	178
23480	124145	32550	2013-08-03 23:24:40.31207	2013-08-03 23:24:40.31207	178
23481	124145	32270	2013-08-03 23:24:40.317995	2013-08-03 23:24:40.317995	178
23482	123878	31615	2013-08-03 23:24:40.32886	2013-08-03 23:24:40.32886	178
23483	123878	20193	2013-08-03 23:24:40.333362	2013-08-03 23:24:40.333362	178
23484	123878	35821	2013-08-03 23:24:40.33643	2013-08-03 23:24:40.33643	178
23485	123878	36463	2013-08-03 23:24:40.339428	2013-08-03 23:24:40.339428	178
23486	123878	12846	2013-08-03 23:24:40.34288	2013-08-03 23:24:40.34288	178
23487	123878	21026	2013-08-03 23:24:40.346594	2013-08-03 23:24:40.346594	178
23488	123878	31930	2013-08-03 23:24:40.350144	2013-08-03 23:24:40.350144	178
23489	123878	7569	2013-08-03 23:24:40.353294	2013-08-03 23:24:40.353294	178
23490	124260	44945	2013-08-03 23:24:40.378358	2013-08-03 23:24:40.378358	178
23491	124213	44925	2013-08-03 23:24:40.386328	2013-08-03 23:24:40.386328	178
23492	124133	44905	2013-08-03 23:24:40.392754	2013-08-03 23:24:40.392754	178
23493	124005	44835	2013-08-03 23:24:40.406107	2013-08-03 23:24:40.406107	178
23494	123991	44885	2013-08-03 23:24:40.427921	2013-08-03 23:24:40.427921	178
23495	123980	44865	2013-08-03 23:24:40.451468	2013-08-03 23:24:40.451468	178
23496	123962	44845	2013-08-03 23:24:40.466857	2013-08-03 23:24:40.466857	178
23497	123920	44825	2013-08-03 23:24:40.476798	2013-08-03 23:24:40.476798	178
23498	123910	43092	2013-08-03 23:24:40.496251	2013-08-03 23:24:40.496251	178
23499	123898	35661	2013-08-03 23:24:40.518124	2013-08-03 23:24:40.518124	178
23500	123875	32690	2013-08-03 23:24:40.542207	2013-08-03 23:24:40.542207	178
23501	123863	20173	2013-08-03 23:24:40.553335	2013-08-03 23:24:40.553335	178
23502	123855	7404	2013-08-03 23:24:40.563412	2013-08-03 23:24:40.563412	178
23503	123851	35003	2013-08-03 23:24:40.572393	2013-08-03 23:24:40.572393	178
23504	124217	32975	2013-08-03 23:24:40.634447	2013-08-03 23:24:40.634447	178
23505	124217	32900	2013-08-03 23:24:40.63844	2013-08-03 23:24:40.63844	178
23506	124189	32970	2013-08-03 23:24:40.703005	2013-08-03 23:24:40.703005	178
23507	124189	32950	2013-08-03 23:24:40.708681	2013-08-03 23:24:40.708681	178
23508	124148	32930	2013-08-03 23:24:40.727253	2013-08-03 23:24:40.727253	178
23509	124148	32932	2013-08-03 23:24:40.735966	2013-08-03 23:24:40.735966	178
23510	124109	32910	2013-08-03 23:24:40.745347	2013-08-03 23:24:40.745347	178
23511	124109	32890	2013-08-03 23:24:40.752134	2013-08-03 23:24:40.752134	178
23512	123981	32870	2013-08-03 23:24:40.774131	2013-08-03 23:24:40.774131	178
23513	123981	32850	2013-08-03 23:24:40.785954	2013-08-03 23:24:40.785954	178
23514	123976	32830	2013-08-03 23:24:40.800202	2013-08-03 23:24:40.800202	178
23515	123976	11005	2013-08-03 23:24:40.803896	2013-08-03 23:24:40.803896	178
23516	123890	11099	2013-08-03 23:24:40.810463	2013-08-03 23:24:40.810463	178
23517	123890	32803	2013-08-03 23:24:40.814799	2013-08-03 23:24:40.814799	178
23518	123877	32810	2013-08-03 23:24:40.823495	2013-08-03 23:24:40.823495	178
23519	123877	32790	2013-08-03 23:24:40.82802	2013-08-03 23:24:40.82802	178
23520	123860	20025	2013-08-03 23:24:40.836034	2013-08-03 23:24:40.836034	178
23521	123860	20021	2013-08-03 23:24:40.840506	2013-08-03 23:24:40.840506	178
23522	124139	20413	2013-08-03 23:24:40.86938	2013-08-03 23:24:40.86938	178
23523	124139	20325	2013-08-03 23:24:40.874222	2013-08-03 23:24:40.874222	178
23524	124045	20277	2013-08-03 23:24:40.887134	2013-08-03 23:24:40.887134	178
23525	124045	20393	2013-08-03 23:24:40.892827	2013-08-03 23:24:40.892827	178
23526	123987	20373	2013-08-03 23:24:40.903117	2013-08-03 23:24:40.903117	178
23527	123987	20353	2013-08-03 23:24:40.91054	2013-08-03 23:24:40.91054	178
23528	123978	20375	2013-08-03 23:24:40.922925	2013-08-03 23:24:40.922925	178
23529	123978	5009	2013-08-03 23:24:40.927555	2013-08-03 23:24:40.927555	178
23530	123911	14426	2013-08-03 23:24:40.939479	2013-08-03 23:24:40.939479	178
23531	123911	20333	2013-08-03 23:24:40.945798	2013-08-03 23:24:40.945798	178
23532	123895	20313	2013-08-03 23:24:40.954497	2013-08-03 23:24:40.954497	178
23533	123895	20293	2013-08-03 23:24:40.958476	2013-08-03 23:24:40.958476	178
23534	123859	20392	2013-08-03 23:24:40.965885	2013-08-03 23:24:40.965885	178
23535	123859	20273	2013-08-03 23:24:40.971616	2013-08-03 23:24:40.971616	178
23536	123854	20253	2013-08-03 23:24:40.980778	2013-08-03 23:24:40.980778	178
23537	123854	47463	2013-08-03 23:24:40.987344	2013-08-03 23:24:40.987344	178
23538	125060	36421	2013-08-03 23:29:38.562712	2013-08-03 23:29:38.562712	179
23539	124709	36401	2013-08-03 23:29:38.576483	2013-08-03 23:29:38.576483	179
23540	124561	36381	2013-08-03 23:29:38.586462	2013-08-03 23:29:38.586462	179
23541	124528	36361	2013-08-03 23:29:38.60018	2013-08-03 23:29:38.60018	179
23542	124523	36341	2013-08-03 23:29:38.622001	2013-08-03 23:29:38.622001	179
23543	124465	36321	2013-08-03 23:29:38.64718	2013-08-03 23:29:38.64718	179
23544	124406	36301	2013-08-03 23:29:38.658825	2013-08-03 23:29:38.658825	179
23545	124380	36312	2013-08-03 23:29:38.666481	2013-08-03 23:29:38.666481	179
23546	124357	36281	2013-08-03 23:29:38.674695	2013-08-03 23:29:38.674695	179
23547	124346	36172	2013-08-03 23:29:38.685495	2013-08-03 23:29:38.685495	179
23548	124338	36235	2013-08-03 23:29:38.697635	2013-08-03 23:29:38.697635	179
23549	124335	36155	2013-08-03 23:29:38.713638	2013-08-03 23:29:38.713638	179
23550	124304	36261	2013-08-03 23:29:38.722297	2013-08-03 23:29:38.722297	179
23551	124277	31777	2013-08-03 23:29:38.73235	2013-08-03 23:29:38.73235	179
23552	124272	16191	2013-08-03 23:29:38.740187	2013-08-03 23:29:38.740187	179
23553	125028	1135	2013-08-03 23:29:38.785121	2013-08-03 23:29:38.785121	179
23554	124339	36381	2013-08-03 23:29:38.809458	2013-08-03 23:29:38.809458	179
23555	124336	16098	2013-08-03 23:29:38.823836	2013-08-03 23:29:38.823836	179
23556	124708	45445	2013-08-03 23:29:38.850195	2013-08-03 23:29:38.850195	179
23557	124560	45425	2013-08-03 23:29:38.859058	2013-08-03 23:29:38.859058	179
23558	124522	45405	2013-08-03 23:29:38.869223	2013-08-03 23:29:38.869223	179
23559	124488	45385	2013-08-03 23:29:38.883552	2013-08-03 23:29:38.883552	179
23560	124462	45295	2013-08-03 23:29:38.896051	2013-08-03 23:29:38.896051	179
23561	124405	45255	2013-08-03 23:29:38.907021	2013-08-03 23:29:38.907021	179
23562	124353	45365	2013-08-03 23:29:38.917193	2013-08-03 23:29:38.917193	179
23563	124347	45345	2013-08-03 23:29:38.926728	2013-08-03 23:29:38.926728	179
23564	124331	45325	2013-08-03 23:29:38.938232	2013-08-03 23:29:38.938232	179
23565	124301	45280	2013-08-03 23:29:38.950235	2013-08-03 23:29:38.950235	179
23566	124282	45305	2013-08-03 23:29:38.973123	2013-08-03 23:29:38.973123	179
23567	124278	45285	2013-08-03 23:29:38.994958	2013-08-03 23:29:38.994958	179
23568	124276	45265	2013-08-03 23:29:39.008092	2013-08-03 23:29:39.008092	179
23569	124275	36421	2013-08-03 23:29:39.016061	2013-08-03 23:29:39.016061	179
23570	124271	16151	2013-08-03 23:29:39.026143	2013-08-03 23:29:39.026143	179
23571	124876	33430	2013-08-03 23:29:39.090616	2013-08-03 23:29:39.090616	179
23572	124823	33410	2013-08-03 23:29:39.107159	2013-08-03 23:29:39.107159	179
23573	124802	33390	2013-08-03 23:29:39.125895	2013-08-03 23:29:39.125895	179
23574	124763	33370	2013-08-03 23:29:39.139561	2013-08-03 23:29:39.139561	179
23575	124731	33350	2013-08-03 23:29:39.15138	2013-08-03 23:29:39.15138	179
23576	124695	33335	2013-08-03 23:29:39.1604	2013-08-03 23:29:39.1604	179
23577	124648	33330	2013-08-03 23:29:39.17748	2013-08-03 23:29:39.17748	179
23578	124626	33310	2013-08-03 23:29:39.200904	2013-08-03 23:29:39.200904	179
23579	124562	33290	2013-08-03 23:29:39.218832	2013-08-03 23:29:39.218832	179
23580	124552	33270	2013-08-03 23:29:39.228166	2013-08-03 23:29:39.228166	179
23581	124521	31717	2013-08-03 23:29:39.235869	2013-08-03 23:29:39.235869	179
23582	124457	31680	2013-08-03 23:29:39.242232	2013-08-03 23:29:39.242232	179
23583	124306	21106	2013-08-03 23:29:39.250591	2013-08-03 23:29:39.250591	179
23584	124302	36035	2013-08-03 23:29:39.257904	2013-08-03 23:29:39.257904	179
23585	124281	16115	2013-08-03 23:29:39.26414	2013-08-03 23:29:39.26414	179
23586	125061	20557	2013-08-03 23:29:39.294456	2013-08-03 23:29:39.294456	179
23587	124710	20553	2013-08-03 23:29:39.304948	2013-08-03 23:29:39.304948	179
23588	124563	20533	2013-08-03 23:29:39.313908	2013-08-03 23:29:39.313908	179
23589	124559	20513	2013-08-03 23:29:39.325889	2013-08-03 23:29:39.325889	179
23590	124504	20493	2013-08-03 23:29:39.333926	2013-08-03 23:29:39.333926	179
23591	124485	2397	2013-08-03 23:29:39.341469	2013-08-03 23:29:39.341469	179
23592	124419	20473	2013-08-03 23:29:39.407255	2013-08-03 23:29:39.407255	179
23593	124371	20277	2013-08-03 23:29:39.416513	2013-08-03 23:29:39.416513	179
23594	124290	33012	2013-08-03 23:29:39.423511	2013-08-03 23:29:39.423511	179
23595	124279	32310	2013-08-03 23:29:39.430577	2013-08-03 23:29:39.430577	179
23596	124273	16135	2013-08-03 23:29:39.43958	2013-08-03 23:29:39.43958	179
23597	125611	36841	2013-08-03 23:34:27.4861	2013-08-03 23:34:27.4861	180
23598	125463	36821	2013-08-03 23:34:27.496169	2013-08-03 23:34:27.496169	180
23599	125340	36801	2013-08-03 23:34:27.503743	2013-08-03 23:34:27.503743	180
23600	125248	36781	2013-08-03 23:34:27.511245	2013-08-03 23:34:27.511245	180
23601	125194	36761	2013-08-03 23:34:27.52179	2013-08-03 23:34:27.52179	180
23602	125171	36741	2013-08-03 23:34:27.531157	2013-08-03 23:34:27.531157	180
23603	125143	36640	2013-08-03 23:34:27.542528	2013-08-03 23:34:27.542528	180
23604	125137	36595	2013-08-03 23:34:27.552976	2013-08-03 23:34:27.552976	180
23605	125112	36721	2013-08-03 23:34:27.561814	2013-08-03 23:34:27.561814	180
23606	125107	36701	2013-08-03 23:34:27.570647	2013-08-03 23:34:27.570647	180
23607	125090	34210	2013-08-03 23:34:27.577505	2013-08-03 23:34:27.577505	180
23608	125080	32410	2013-08-03 23:34:27.586941	2013-08-03 23:34:27.586941	180
23609	125075	31917	2013-08-03 23:34:27.5961	2013-08-03 23:34:27.5961	180
23610	125072	21205	2013-08-03 23:34:27.603712	2013-08-03 23:34:27.603712	180
23611	125062	39095	2013-08-03 23:34:27.611893	2013-08-03 23:34:27.611893	180
23612	125507	32172	2013-08-03 23:34:27.636811	2013-08-03 23:34:27.636811	180
23613	125431	31981	2013-08-03 23:34:27.64498	2013-08-03 23:34:27.64498	180
23614	125144	21277	2013-08-03 23:34:27.653115	2013-08-03 23:34:27.653115	180
23615	125084	8179	2013-08-03 23:34:27.660169	2013-08-03 23:34:27.660169	180
23616	125804	45865	2013-08-03 23:34:27.688025	2013-08-03 23:34:27.688025	180
23617	125338	45845	2013-08-03 23:34:27.697306	2013-08-03 23:34:27.697306	180
23618	125277	45825	2013-08-03 23:34:27.704859	2013-08-03 23:34:27.704859	180
23619	125220	45738	2013-08-03 23:34:27.711597	2013-08-03 23:34:27.711597	180
23620	125190	45805	2013-08-03 23:34:27.718196	2013-08-03 23:34:27.718196	180
23621	125169	45785	2013-08-03 23:34:27.73255	2013-08-03 23:34:27.73255	180
23622	125138	45765	2013-08-03 23:34:27.740199	2013-08-03 23:34:27.740199	180
23623	125108	45800	2013-08-03 23:34:27.749668	2013-08-03 23:34:27.749668	180
23624	125095	36841	2013-08-03 23:34:27.760615	2013-08-03 23:34:27.760615	180
23625	125089	34130	2013-08-03 23:34:27.770401	2013-08-03 23:34:27.770401	180
23626	125079	31818	2013-08-03 23:34:27.781252	2013-08-03 23:34:27.781252	180
23627	125077	21346	2013-08-03 23:34:27.79256	2013-08-03 23:34:27.79256	180
23628	125069	20906	2013-08-03 23:34:27.806038	2013-08-03 23:34:27.806038	180
23629	125063	41783	2013-08-03 23:34:27.815964	2013-08-03 23:34:27.815964	180
23630	125395	34315	2013-08-03 23:34:27.852664	2013-08-03 23:34:27.852664	180
23631	125341	34370	2013-08-03 23:34:27.863122	2013-08-03 23:34:27.863122	180
23632	125288	34350	2013-08-03 23:34:27.87272	2013-08-03 23:34:27.87272	180
23633	125212	34330	2013-08-03 23:34:27.882741	2013-08-03 23:34:27.882741	180
23634	125150	34310	2013-08-03 23:34:27.893014	2013-08-03 23:34:27.893014	180
23635	125139	34290	2013-08-03 23:34:27.903634	2013-08-03 23:34:27.903634	180
23636	125119	34270	2013-08-03 23:34:27.913171	2013-08-03 23:34:27.913171	180
23637	125102	34250	2013-08-03 23:34:27.921155	2013-08-03 23:34:27.921155	180
23638	125101	34230	2013-08-03 23:34:27.928702	2013-08-03 23:34:27.928702	180
23639	125099	5584	2013-08-03 23:34:27.936459	2013-08-03 23:34:27.936459	180
23640	125093	34092	2013-08-03 23:34:27.944377	2013-08-03 23:34:27.944377	180
23641	125092	34098	2013-08-03 23:34:27.953082	2013-08-03 23:34:27.953082	180
23642	125073	34183	2013-08-03 23:34:27.961625	2013-08-03 23:34:27.961625	180
23643	125617	20863	2013-08-03 23:34:27.999637	2013-08-03 23:34:27.999637	180
23644	125396	20773	2013-08-03 23:34:28.007042	2013-08-03 23:34:28.007042	180
23645	125278	20753	2013-08-03 23:34:28.017176	2013-08-03 23:34:28.017176	180
23646	125251	20733	2013-08-03 23:34:28.025309	2013-08-03 23:34:28.025309	180
23647	125200	20713	2013-08-03 23:34:28.033994	2013-08-03 23:34:28.033994	180
23648	125174	20693	2013-08-03 23:34:28.041476	2013-08-03 23:34:28.041476	180
23649	125123	20673	2013-08-03 23:34:28.048438	2013-08-03 23:34:28.048438	180
23650	125106	12598	2013-08-03 23:34:28.057738	2013-08-03 23:34:28.057738	180
23651	125081	12159	2013-08-03 23:34:28.065723	2013-08-03 23:34:28.065723	180
23652	125078	8149	2013-08-03 23:34:28.072423	2013-08-03 23:34:28.072423	180
23653	125070	6624	2013-08-03 23:34:28.079512	2013-08-03 23:34:28.079512	180
23654	126105	37045	2013-08-03 23:39:26.480764	2013-08-03 23:39:26.480764	181
23655	126074	37035	2013-08-03 23:39:26.503143	2013-08-03 23:39:26.503143	181
23656	126060	36975	2013-08-03 23:39:26.526181	2013-08-03 23:39:26.526181	181
23657	126001	37041	2013-08-03 23:39:26.537726	2013-08-03 23:39:26.537726	181
23658	125979	37021	2013-08-03 23:39:26.548142	2013-08-03 23:39:26.548142	181
23659	125966	37001	2013-08-03 23:39:26.554122	2013-08-03 23:39:26.554122	181
23660	125924	36981	2013-08-03 23:39:26.561411	2013-08-03 23:39:26.561411	181
23661	125892	36961	2013-08-03 23:39:26.575598	2013-08-03 23:39:26.575598	181
23662	125882	36941	2013-08-03 23:39:26.586984	2013-08-03 23:39:26.586984	181
23663	125867	36921	2013-08-03 23:39:26.596495	2013-08-03 23:39:26.596495	181
23664	125855	36478	2013-08-03 23:39:26.629753	2013-08-03 23:39:26.629753	181
23665	125833	32097	2013-08-03 23:39:26.640883	2013-08-03 23:39:26.640883	181
23666	125825	1178	2013-08-03 23:39:26.647844	2013-08-03 23:39:26.647844	181
23667	125820	16351	2013-08-03 23:39:26.656853	2013-08-03 23:39:26.656853	181
23668	125819	8179	2013-08-03 23:39:26.666149	2013-08-03 23:39:26.666149	181
23669	127046	37041	2013-08-03 23:39:26.688673	2013-08-03 23:39:26.688673	181
23670	127046	36181	2013-08-03 23:39:26.692342	2013-08-03 23:39:26.692342	181
23671	125881	32077	2013-08-03 23:39:26.699694	2013-08-03 23:39:26.699694	181
23672	125881	1256	2013-08-03 23:39:26.703639	2013-08-03 23:39:26.703639	181
23673	126155	46425	2013-08-03 23:39:26.728068	2013-08-03 23:39:26.728068	181
23674	126104	46405	2013-08-03 23:39:26.736212	2013-08-03 23:39:26.736212	181
23675	126073	46385	2013-08-03 23:39:26.79494	2013-08-03 23:39:26.79494	181
23676	126055	46395	2013-08-03 23:39:26.810433	2013-08-03 23:39:26.810433	181
23677	125999	46365	2013-08-03 23:39:26.823056	2013-08-03 23:39:26.823056	181
23678	125962	46345	2013-08-03 23:39:26.833577	2013-08-03 23:39:26.833577	181
23679	125923	46325	2013-08-03 23:39:26.841779	2013-08-03 23:39:26.841779	181
23680	125868	46305	2013-08-03 23:39:26.849405	2013-08-03 23:39:26.849405	181
23681	125853	46285	2013-08-03 23:39:26.858694	2013-08-03 23:39:26.858694	181
23682	125835	46265	2013-08-03 23:39:26.866604	2013-08-03 23:39:26.866604	181
23683	125832	46245	2013-08-03 23:39:26.875953	2013-08-03 23:39:26.875953	181
23684	125822	37021	2013-08-03 23:39:26.890286	2013-08-03 23:39:26.890286	181
23685	125821	36021	2013-08-03 23:39:26.897788	2013-08-03 23:39:26.897788	181
23686	125818	32037	2013-08-03 23:39:26.90565	2013-08-03 23:39:26.90565	181
23687	126122	34630	2013-08-03 23:39:26.947395	2013-08-03 23:39:26.947395	181
23688	126106	34610	2013-08-03 23:39:26.954893	2013-08-03 23:39:26.954893	181
23689	126080	34590	2013-08-03 23:39:26.963393	2013-08-03 23:39:26.963393	181
23690	126075	34570	2013-08-03 23:39:26.975259	2013-08-03 23:39:26.975259	181
23691	126002	34550	2013-08-03 23:39:26.992162	2013-08-03 23:39:26.992162	181
23692	125989	34541	2013-08-03 23:39:27.010889	2013-08-03 23:39:27.010889	181
23693	125984	34505	2013-08-03 23:39:27.018383	2013-08-03 23:39:27.018383	181
23694	125978	34530	2013-08-03 23:39:27.030242	2013-08-03 23:39:27.030242	181
23695	125884	34420	2013-08-03 23:39:27.040252	2013-08-03 23:39:27.040252	181
23696	125859	34510	2013-08-03 23:39:27.048199	2013-08-03 23:39:27.048199	181
23697	125854	34490	2013-08-03 23:39:27.056365	2013-08-03 23:39:27.056365	181
23698	125840	34470	2013-08-03 23:39:27.078396	2013-08-03 23:39:27.078396	181
23699	125836	33592	2013-08-03 23:39:27.099314	2013-08-03 23:39:27.099314	181
23700	125834	31957	2013-08-03 23:39:27.114531	2013-08-03 23:39:27.114531	181
23701	125829	16178	2013-08-03 23:39:27.127396	2013-08-03 23:39:27.127396	181
23702	126480	24530	2013-08-03 23:39:27.180045	2013-08-03 23:39:27.180045	181
23703	126425	21035	2013-08-03 23:39:27.190918	2013-08-03 23:39:27.190918	181
23704	126381	20993	2013-08-03 23:39:27.208336	2013-08-03 23:39:27.208336	181
23705	126151	20973	2013-08-03 23:39:27.228698	2013-08-03 23:39:27.228698	181
23706	126076	20950	2013-08-03 23:39:27.242671	2013-08-03 23:39:27.242671	181
23707	125987	20953	2013-08-03 23:39:27.250135	2013-08-03 23:39:27.250135	181
23708	125964	33590	2013-08-03 23:39:27.257712	2013-08-03 23:39:27.257712	181
23709	125849	6790	2013-08-03 23:39:27.264549	2013-08-03 23:39:27.264549	181
23710	125845	20933	2013-08-03 23:39:27.284648	2013-08-03 23:39:27.284648	181
23711	125841	20913	2013-08-03 23:39:27.300734	2013-08-03 23:39:27.300734	181
23712	125837	20892	2013-08-03 23:39:27.316901	2013-08-03 23:39:27.316901	181
23713	125827	20893	2013-08-03 23:39:27.324305	2013-08-03 23:39:27.324305	181
23714	127003	37481	2013-08-03 23:44:24.840358	2013-08-03 23:44:24.840358	182
23715	126900	37400	2013-08-03 23:44:24.850267	2013-08-03 23:44:24.850267	182
23716	126712	37461	2013-08-03 23:44:24.858572	2013-08-03 23:44:24.858572	182
23717	126670	37441	2013-08-03 23:44:24.869748	2013-08-03 23:44:24.869748	182
23718	126635	37421	2013-08-03 23:44:24.889504	2013-08-03 23:44:24.889504	182
23719	126607	37438	2013-08-03 23:44:24.913432	2013-08-03 23:44:24.913432	182
23720	126585	37472	2013-08-03 23:44:24.936556	2013-08-03 23:44:24.936556	182
23721	126568	37401	2013-08-03 23:44:24.945535	2013-08-03 23:44:24.945535	182
23722	126555	37381	2013-08-03 23:44:24.957071	2013-08-03 23:44:24.957071	182
23723	126553	37361	2013-08-03 23:44:24.96983	2013-08-03 23:44:24.96983	182
23724	126535	37341	2013-08-03 23:44:24.993744	2013-08-03 23:44:24.993744	182
23725	126534	37321	2013-08-03 23:44:25.013591	2013-08-03 23:44:25.013591	182
23726	126529	37301	2013-08-03 23:44:25.02235	2013-08-03 23:44:25.02235	182
23727	126524	32495	2013-08-03 23:44:25.03193	2013-08-03 23:44:25.03193	182
23728	126520	33435	2013-08-03 23:44:25.040169	2013-08-03 23:44:25.040169	182
23729	127045	47025	2013-08-03 23:44:25.075506	2013-08-03 23:44:25.075506	182
23730	127045	46785	2013-08-03 23:44:25.084033	2013-08-03 23:44:25.084033	182
23731	127045	46365	2013-08-03 23:44:25.0884	2013-08-03 23:44:25.0884	182
23732	127045	43972	2013-08-03 23:44:25.095134	2013-08-03 23:44:25.095134	182
23733	127045	37321	2013-08-03 23:44:25.102037	2013-08-03 23:44:25.102037	182
23734	127045	37261	2013-08-03 23:44:25.164146	2013-08-03 23:44:25.164146	182
23735	127045	34550	2013-08-03 23:44:25.1738	2013-08-03 23:44:25.1738	182
23736	127045	32477	2013-08-03 23:44:25.178353	2013-08-03 23:44:25.178353	182
23737	127045	32317	2013-08-03 23:44:25.181876	2013-08-03 23:44:25.181876	182
23738	126829	21486	2013-08-03 23:44:25.189086	2013-08-03 23:44:25.189086	182
23739	126829	12998	2013-08-03 23:44:25.192624	2013-08-03 23:44:25.192624	182
23740	126829	27798	2013-08-03 23:44:25.195941	2013-08-03 23:44:25.195941	182
23741	126829	20993	2013-08-03 23:44:25.200344	2013-08-03 23:44:25.200344	182
23742	126829	17918	2013-08-03 23:44:25.204568	2013-08-03 23:44:25.204568	182
23743	126829	33855	2013-08-03 23:44:25.208683	2013-08-03 23:44:25.208683	182
23744	126829	32441	2013-08-03 23:44:25.212937	2013-08-03 23:44:25.212937	182
23745	126829	21381	2013-08-03 23:44:25.221563	2013-08-03 23:44:25.221563	182
23746	126829	47643	2013-08-03 23:44:25.232399	2013-08-03 23:44:25.232399	182
23747	128179	47225	2013-08-03 23:44:25.283826	2013-08-03 23:44:25.283826	182
23748	127002	47205	2013-08-03 23:44:25.292482	2013-08-03 23:44:25.292482	182
23749	126906	47185	2013-08-03 23:44:25.300187	2013-08-03 23:44:25.300187	182
23750	126708	47165	2013-08-03 23:44:25.308999	2013-08-03 23:44:25.308999	182
23751	126665	47145	2013-08-03 23:44:25.318303	2013-08-03 23:44:25.318303	182
23752	126630	47125	2013-08-03 23:44:25.326334	2013-08-03 23:44:25.326334	182
23753	126606	47105	2013-08-03 23:44:25.337877	2013-08-03 23:44:25.337877	182
23754	126584	46978	2013-08-03 23:44:25.361952	2013-08-03 23:44:25.361952	182
23755	126567	47085	2013-08-03 23:44:25.385265	2013-08-03 23:44:25.385265	182
23756	126554	47065	2013-08-03 23:44:25.405577	2013-08-03 23:44:25.405577	182
23757	126551	37400	2013-08-03 23:44:25.413666	2013-08-03 23:44:25.413666	182
23758	126541	37241	2013-08-03 23:44:25.422634	2013-08-03 23:44:25.422634	182
23759	126531	32437	2013-08-03 23:44:25.428475	2013-08-03 23:44:25.428475	182
23760	126523	21375	2013-08-03 23:44:25.440273	2013-08-03 23:44:25.440273	182
23761	126518	10277	2013-08-03 23:44:25.451458	2013-08-03 23:44:25.451458	182
23762	128180	34798	2013-08-03 23:44:25.488542	2013-08-03 23:44:25.488542	182
23763	127004	34710	2013-08-03 23:44:25.498255	2013-08-03 23:44:25.498255	182
23764	126899	34701	2013-08-03 23:44:25.512295	2013-08-03 23:44:25.512295	182
23765	126791	34592	2013-08-03 23:44:25.532394	2013-08-03 23:44:25.532394	182
23766	126734	34580	2013-08-03 23:44:25.545415	2013-08-03 23:44:25.545415	182
23767	126711	32357	2013-08-03 23:44:25.554486	2013-08-03 23:44:25.554486	182
23768	126689	32197	2013-08-03 23:44:25.564813	2013-08-03 23:44:25.564813	182
23769	126642	46563	2013-08-03 23:44:25.579142	2013-08-03 23:44:25.579142	182
23770	126598	46635	2013-08-03 23:44:25.596652	2013-08-03 23:44:25.596652	182
23771	126590	1765	2013-08-03 23:44:25.6182	2013-08-03 23:44:25.6182	182
23772	126558	18758	2013-08-03 23:44:25.641738	2013-08-03 23:44:25.641738	182
23773	126556	8179	2013-08-03 23:44:25.66499	2013-08-03 23:44:25.66499	182
23774	126552	7215	2013-08-03 23:44:25.67453	2013-08-03 23:44:25.67453	182
23775	126537	15230	2013-08-03 23:44:25.691995	2013-08-03 23:44:25.691995	182
23776	126533	31281	2013-08-03 23:44:25.709157	2013-08-03 23:44:25.709157	182
23777	126521	29401	2013-08-03 23:44:25.731509	2013-08-03 23:44:25.731509	182
23778	127007	46263	2013-08-03 23:44:25.759481	2013-08-03 23:44:25.759481	182
23779	126994	21133	2013-08-03 23:44:25.766699	2013-08-03 23:44:25.766699	182
23780	126902	21165	2013-08-03 23:44:25.775363	2013-08-03 23:44:25.775363	182
23781	126790	21113	2013-08-03 23:44:25.788629	2013-08-03 23:44:25.788629	182
23782	126755	21152	2013-08-03 23:44:25.796278	2013-08-03 23:44:25.796278	182
23783	126741	21093	2013-08-03 23:44:25.805058	2013-08-03 23:44:25.805058	182
23784	126705	13051	2013-08-03 23:44:25.813486	2013-08-03 23:44:25.813486	182
23785	126649	14488	2013-08-03 23:44:25.822076	2013-08-03 23:44:25.822076	182
23786	126629	2785	2013-08-03 23:44:25.830237	2013-08-03 23:44:25.830237	182
23787	126543	49615	2013-08-03 23:44:25.837153	2013-08-03 23:44:25.837153	182
23788	126538	46460	2013-08-03 23:44:25.84415	2013-08-03 23:44:25.84415	182
23789	126519	35178	2013-08-03 23:44:25.851958	2013-08-03 23:44:25.851958	182
23790	128181	32317	2013-08-03 23:44:25.878616	2013-08-03 23:44:25.878616	182
23791	126901	35798	2013-08-03 23:44:25.887098	2013-08-03 23:44:25.887098	182
23792	126742	15417	2013-08-03 23:44:25.896834	2013-08-03 23:44:25.896834	182
23793	126706	12401	2013-08-03 23:44:25.907323	2013-08-03 23:44:25.907323	182
23794	126659	28832	2013-08-03 23:44:25.921864	2013-08-03 23:44:25.921864	182
23795	126619	15668	2013-08-03 23:44:25.930111	2013-08-03 23:44:25.930111	182
23796	126599	49735	2013-08-03 23:44:25.938136	2013-08-03 23:44:25.938136	182
23797	126574	19863	2013-08-03 23:44:25.948647	2013-08-03 23:44:25.948647	182
23798	126563	48163	2013-08-03 23:44:25.960362	2013-08-03 23:44:25.960362	182
23799	126557	20461	2013-08-03 23:44:25.969682	2013-08-03 23:44:25.969682	182
23800	126539	24170	2013-08-03 23:44:25.976489	2013-08-03 23:44:25.976489	182
23801	126532	47903	2013-08-03 23:44:25.983582	2013-08-03 23:44:25.983582	182
23802	126530	29381	2013-08-03 23:44:25.993243	2013-08-03 23:44:25.993243	182
23803	126526	19603	2013-08-03 23:44:26.012678	2013-08-03 23:44:26.012678	182
23804	126525	28912	2013-08-03 23:44:26.022279	2013-08-03 23:44:26.022279	182
23805	127543	37561	2013-08-03 23:49:34.265986	2013-08-03 23:49:34.265986	183
23806	127499	37678	2013-08-03 23:49:34.274149	2013-08-03 23:49:34.274149	183
23807	127467	35270	2013-08-03 23:49:34.281658	2013-08-03 23:49:34.281658	183
23808	127418	35090	2013-08-03 23:49:34.291624	2013-08-03 23:49:34.291624	183
23809	127321	34798	2013-08-03 23:49:34.305041	2013-08-03 23:49:34.305041	183
23810	127318	32577	2013-08-03 23:49:34.323209	2013-08-03 23:49:34.323209	183
23811	127316	32317	2013-08-03 23:49:34.396623	2013-08-03 23:49:34.396623	183
23812	127315	13599	2013-08-03 23:49:34.404598	2013-08-03 23:49:34.404598	183
23813	127304	21726	2013-08-03 23:49:34.412604	2013-08-03 23:49:34.412604	183
23814	127297	10799	2013-08-03 23:49:34.419704	2013-08-03 23:49:34.419704	183
23815	127288	13179	2013-08-03 23:49:34.428948	2013-08-03 23:49:34.428948	183
23816	127277	13819	2013-08-03 23:49:34.436402	2013-08-03 23:49:34.436402	183
23817	127266	13399	2013-08-03 23:49:34.453565	2013-08-03 23:49:34.453565	183
23818	127253	11206	2013-08-03 23:49:34.461389	2013-08-03 23:49:34.461389	183
23819	128418	35230	2013-08-03 23:49:34.497781	2013-08-03 23:49:34.497781	183
23820	128418	32557	2013-08-03 23:49:34.505899	2013-08-03 23:49:34.505899	183
23821	128186	13799	2013-08-03 23:49:34.52532	2013-08-03 23:49:34.52532	183
23822	128186	13951	2013-08-03 23:49:34.528701	2013-08-03 23:49:34.528701	183
23823	127634	21683	2013-08-03 23:49:34.54408	2013-08-03 23:49:34.54408	183
23824	127634	11060	2013-08-03 23:49:34.55475	2013-08-03 23:49:34.55475	183
23825	128183	47665	2013-08-03 23:49:34.616351	2013-08-03 23:49:34.616351	183
23826	127512	47645	2013-08-03 23:49:34.631925	2013-08-03 23:49:34.631925	183
23827	127502	47625	2013-08-03 23:49:34.649778	2013-08-03 23:49:34.649778	183
23828	127466	47720	2013-08-03 23:49:34.660805	2013-08-03 23:49:34.660805	183
23829	127415	47605	2013-08-03 23:49:34.668672	2013-08-03 23:49:34.668672	183
23830	127339	47585	2013-08-03 23:49:34.675525	2013-08-03 23:49:34.675525	183
23831	127317	47565	2013-08-03 23:49:34.68293	2013-08-03 23:49:34.68293	183
23832	127314	47545	2013-08-03 23:49:34.691282	2013-08-03 23:49:34.691282	183
23833	127313	47525	2013-08-03 23:49:34.700566	2013-08-03 23:49:34.700566	183
23834	127303	35210	2013-08-03 23:49:34.710155	2013-08-03 23:49:34.710155	183
23835	127296	32541	2013-08-03 23:49:34.717487	2013-08-03 23:49:34.717487	183
23836	127282	13277	2013-08-03 23:49:34.723715	2013-08-03 23:49:34.723715	183
23837	127272	13871	2013-08-03 23:49:34.729995	2013-08-03 23:49:34.729995	183
23838	127264	21580	2013-08-03 23:49:34.737122	2013-08-03 23:49:34.737122	183
23839	127255	11146	2013-08-03 23:49:34.74407	2013-08-03 23:49:34.74407	183
23840	128184	35405	2013-08-03 23:49:34.775504	2013-08-03 23:49:34.775504	183
23841	127556	35470	2013-08-03 23:49:34.783443	2013-08-03 23:49:34.783443	183
23842	127500	35450	2013-08-03 23:49:34.79037	2013-08-03 23:49:34.79037	183
23843	127468	35380	2013-08-03 23:49:34.796861	2013-08-03 23:49:34.796861	183
23844	127351	35430	2013-08-03 23:49:34.80542	2013-08-03 23:49:34.80542	183
23845	127344	35410	2013-08-03 23:49:34.814513	2013-08-03 23:49:34.814513	183
23846	127336	35390	2013-08-03 23:49:34.824473	2013-08-03 23:49:34.824473	183
23847	127324	35370	2013-08-03 23:49:34.835661	2013-08-03 23:49:34.835661	183
23848	127323	35350	2013-08-03 23:49:34.845983	2013-08-03 23:49:34.845983	183
23849	127319	35330	2013-08-03 23:49:34.854709	2013-08-03 23:49:34.854709	183
23850	127307	35212	2013-08-03 23:49:34.862711	2013-08-03 23:49:34.862711	183
23851	127291	35310	2013-08-03 23:49:34.872289	2013-08-03 23:49:34.872289	183
23852	127271	35290	2013-08-03 23:49:34.883338	2013-08-03 23:49:34.883338	183
23853	127267	13699	2013-08-03 23:49:34.894931	2013-08-03 23:49:34.894931	183
23854	127259	10960	2013-08-03 23:49:34.90238	2013-08-03 23:49:34.90238	183
23855	127256	13357	2013-08-03 23:49:34.909084	2013-08-03 23:49:34.909084	183
23856	127535	21313	2013-08-03 23:49:34.938584	2013-08-03 23:49:34.938584	183
23857	127514	12831	2013-08-03 23:49:34.951658	2013-08-03 23:49:34.951658	183
23858	127501	21293	2013-08-03 23:49:34.960253	2013-08-03 23:49:34.960253	183
23859	127469	21210	2013-08-03 23:49:34.968544	2013-08-03 23:49:34.968544	183
23860	127402	21273	2013-08-03 23:49:34.975356	2013-08-03 23:49:34.975356	183
23861	127369	21253	2013-08-03 23:49:34.983329	2013-08-03 23:49:34.983329	183
23862	127368	46423	2013-08-03 23:49:34.992551	2013-08-03 23:49:34.992551	183
23863	127280	13650	2013-08-03 23:49:34.999864	2013-08-03 23:49:34.999864	183
23864	127279	13459	2013-08-03 23:49:35.008718	2013-08-03 23:49:35.008718	183
23865	127263	8149	2013-08-03 23:49:35.016254	2013-08-03 23:49:35.016254	183
23866	127257	33005	2013-08-03 23:49:35.024007	2013-08-03 23:49:35.024007	183
23867	128496	37921	2013-08-03 23:55:30.458529	2013-08-03 23:55:30.458529	184
23868	128430	37901	2013-08-03 23:55:30.484485	2013-08-03 23:55:30.484485	184
23869	128246	37881	2013-08-03 23:55:30.495773	2013-08-03 23:55:30.495773	184
23870	128208	37861	2013-08-03 23:55:30.505363	2013-08-03 23:55:30.505363	184
23871	128151	37978	2013-08-03 23:55:30.514027	2013-08-03 23:55:30.514027	184
23872	128148	37841	2013-08-03 23:55:30.521965	2013-08-03 23:55:30.521965	184
23873	128131	37805	2013-08-03 23:55:30.529484	2013-08-03 23:55:30.529484	184
23874	128105	37821	2013-08-03 23:55:30.538864	2013-08-03 23:55:30.538864	184
23875	128099	35510	2013-08-03 23:55:30.546816	2013-08-03 23:55:30.546816	184
23876	128098	14779	2013-08-03 23:55:30.556873	2013-08-03 23:55:30.556873	184
23877	128094	32998	2013-08-03 23:55:30.566041	2013-08-03 23:55:30.566041	184
23878	128081	14517	2013-08-03 23:55:30.574316	2013-08-03 23:55:30.574316	184
23879	128064	16551	2013-08-03 23:55:30.585526	2013-08-03 23:55:30.585526	184
23880	128054	14359	2013-08-03 23:55:30.595498	2013-08-03 23:55:30.595498	184
23881	128051	30575	2013-08-03 23:55:30.604884	2013-08-03 23:55:30.604884	184
23882	128612	37805	2013-08-03 23:55:30.622573	2013-08-03 23:55:30.622573	184
23883	128612	37781	2013-08-03 23:55:30.627282	2013-08-03 23:55:30.627282	184
23884	128612	14910	2013-08-03 23:55:30.63416	2013-08-03 23:55:30.63416	184
23885	128588	16711	2013-08-03 23:55:30.643949	2013-08-03 23:55:30.643949	184
23886	128588	14599	2013-08-03 23:55:30.649708	2013-08-03 23:55:30.649708	184
23887	128588	16580	2013-08-03 23:55:30.653017	2013-08-03 23:55:30.653017	184
23888	128270	35455	2013-08-03 23:55:30.659742	2013-08-03 23:55:30.659742	184
23889	128270	24081	2013-08-03 23:55:30.665921	2013-08-03 23:55:30.665921	184
23890	128270	14139	2013-08-03 23:55:30.671807	2013-08-03 23:55:30.671807	184
23891	128429	48005	2013-08-03 23:55:30.738346	2013-08-03 23:55:30.738346	184
23892	128244	47985	2013-08-03 23:55:30.762538	2013-08-03 23:55:30.762538	184
23893	128237	47965	2013-08-03 23:55:30.786714	2013-08-03 23:55:30.786714	184
23894	128202	47945	2013-08-03 23:55:30.810192	2013-08-03 23:55:30.810192	184
23895	128149	44432	2013-08-03 23:55:30.834498	2013-08-03 23:55:30.834498	184
23896	128145	37921	2013-08-03 23:55:30.857393	2013-08-03 23:55:30.857393	184
23897	128132	37741	2013-08-03 23:55:30.86697	2013-08-03 23:55:30.86697	184
23898	128097	14670	2013-08-03 23:55:30.876968	2013-08-03 23:55:30.876968	184
23899	128095	16721	2013-08-03 23:55:30.886818	2013-08-03 23:55:30.886818	184
23900	128084	14559	2013-08-03 23:55:30.894315	2013-08-03 23:55:30.894315	184
23901	128083	16541	2013-08-03 23:55:30.901691	2013-08-03 23:55:30.901691	184
23902	128080	43843	2013-08-03 23:55:30.914979	2013-08-03 23:55:30.914979	184
23903	128065	40015	2013-08-03 23:55:30.935087	2013-08-03 23:55:30.935087	184
23904	128050	8920	2013-08-03 23:55:30.953299	2013-08-03 23:55:30.953299	184
23905	128329	36130	2013-08-03 23:55:31.015372	2013-08-03 23:55:31.015372	184
23906	128247	36012	2013-08-03 23:55:31.03064	2013-08-03 23:55:31.03064	184
23907	128215	36075	2013-08-03 23:55:31.05488	2013-08-03 23:55:31.05488	184
23908	128214	36110	2013-08-03 23:55:31.077192	2013-08-03 23:55:31.077192	184
23909	128160	36090	2013-08-03 23:55:31.087489	2013-08-03 23:55:31.087489	184
23910	128154	14699	2013-08-03 23:55:31.100782	2013-08-03 23:55:31.100782	184
23911	128153	14479	2013-08-03 23:55:31.120815	2013-08-03 23:55:31.120815	184
23912	128139	14279	2013-08-03 23:55:31.142444	2013-08-03 23:55:31.142444	184
23913	128133	14099	2013-08-03 23:55:31.164515	2013-08-03 23:55:31.164515	184
23914	128108	21806	2013-08-03 23:55:31.172046	2013-08-03 23:55:31.172046	184
23915	128107	21606	2013-08-03 23:55:31.184328	2013-08-03 23:55:31.184328	184
23916	128106	16585	2013-08-03 23:55:31.20213	2013-08-03 23:55:31.20213	184
23917	128067	16486	2013-08-03 23:55:31.223976	2013-08-03 23:55:31.223976	184
23918	128056	18758	2013-08-03 23:55:31.246615	2013-08-03 23:55:31.246615	184
23919	128053	12659	2013-08-03 23:55:31.257944	2013-08-03 23:55:31.257944	184
23920	128500	18426	2013-08-03 23:55:31.306438	2013-08-03 23:55:31.306438	184
23921	128436	21473	2013-08-03 23:55:31.329303	2013-08-03 23:55:31.329303	184
23922	128431	24550	2013-08-03 23:55:31.341299	2013-08-03 23:55:31.341299	184
23923	128271	21453	2013-08-03 23:55:31.352865	2013-08-03 23:55:31.352865	184
23924	128255	21470	2013-08-03 23:55:31.418386	2013-08-03 23:55:31.418386	184
23925	128253	16631	2013-08-03 23:55:31.43716	2013-08-03 23:55:31.43716	184
23926	128241	44683	2013-08-03 23:55:31.447259	2013-08-03 23:55:31.447259	184
23927	128222	14059	2013-08-03 23:55:31.455438	2013-08-03 23:55:31.455438	184
23928	128157	13679	2013-08-03 23:55:31.464558	2013-08-03 23:55:31.464558	184
23929	128073	14432	2013-08-03 23:55:31.472708	2013-08-03 23:55:31.472708	184
23930	128060	2760	2013-08-03 23:55:31.480544	2013-08-03 23:55:31.480544	184
23931	128057	20486	2013-08-03 23:55:31.492207	2013-08-03 23:55:31.492207	184
23932	128432	4889	2013-08-03 23:55:31.528872	2013-08-03 23:55:31.528872	184
23933	128330	41272	2013-08-03 23:55:31.535311	2013-08-03 23:55:31.535311	184
23934	128327	13459	2013-08-03 23:55:31.548246	2013-08-03 23:55:31.548246	184
23935	128249	34381	2013-08-03 23:55:31.560679	2013-08-03 23:55:31.560679	184
23936	128248	14448	2013-08-03 23:55:31.576969	2013-08-03 23:55:31.576969	184
23937	128245	2854	2013-08-03 23:55:31.58337	2013-08-03 23:55:31.58337	184
23938	128167	2049	2013-08-03 23:55:31.59304	2013-08-03 23:55:31.59304	184
23939	128161	7663	2013-08-03 23:55:31.608626	2013-08-03 23:55:31.608626	184
23940	128130	48175	2013-08-03 23:55:31.632773	2013-08-03 23:55:31.632773	184
23941	128129	20226	2013-08-03 23:55:31.642915	2013-08-03 23:55:31.642915	184
23942	128126	49615	2013-08-03 23:55:31.65095	2013-08-03 23:55:31.65095	184
23943	128082	48163	2013-08-03 23:55:31.659284	2013-08-03 23:55:31.659284	184
23944	128066	29381	2013-08-03 23:55:31.665947	2013-08-03 23:55:31.665947	184
23945	128055	29192	2013-08-03 23:55:31.674791	2013-08-03 23:55:31.674791	184
23946	128052	35178	2013-08-03 23:55:31.686024	2013-08-03 23:55:31.686024	184
23947	128937	38201	2013-08-04 00:00:22.082438	2013-08-04 00:00:22.082438	185
23948	128906	38181	2013-08-04 00:00:22.097915	2013-08-04 00:00:22.097915	185
23949	128766	38225	2013-08-04 00:00:22.118092	2013-08-04 00:00:22.118092	185
23950	128745	38161	2013-08-04 00:00:22.142763	2013-08-04 00:00:22.142763	185
23951	128737	38141	2013-08-04 00:00:22.168473	2013-08-04 00:00:22.168473	185
23952	128728	38121	2013-08-04 00:00:22.181477	2013-08-04 00:00:22.181477	185
23953	128712	38052	2013-08-04 00:00:22.192736	2013-08-04 00:00:22.192736	185
23954	128706	38101	2013-08-04 00:00:22.201495	2013-08-04 00:00:22.201495	185
23955	128701	38081	2013-08-04 00:00:22.217525	2013-08-04 00:00:22.217525	185
23956	128700	38061	2013-08-04 00:00:22.2328	2013-08-04 00:00:22.2328	185
23957	128696	17511	2013-08-04 00:00:22.244953	2013-08-04 00:00:22.244953	185
23958	128687	17311	2013-08-04 00:00:22.258049	2013-08-04 00:00:22.258049	185
23959	128667	17201	2013-08-04 00:00:22.280724	2013-08-04 00:00:22.280724	185
23960	128651	23261	2013-08-04 00:00:22.303284	2013-08-04 00:00:22.303284	185
23961	128649	17098	2013-08-04 00:00:22.321869	2013-08-04 00:00:22.321869	185
23962	128646	28901	2013-08-04 00:00:22.330779	2013-08-04 00:00:22.330779	185
23963	128908	48405	2013-08-04 00:00:22.395911	2013-08-04 00:00:22.395911	185
23964	128901	48385	2013-08-04 00:00:22.404218	2013-08-04 00:00:22.404218	185
23965	128812	48365	2013-08-04 00:00:22.422554	2013-08-04 00:00:22.422554	185
23966	128765	48345	2013-08-04 00:00:22.445894	2013-08-04 00:00:22.445894	185
23967	128736	48325	2013-08-04 00:00:22.469773	2013-08-04 00:00:22.469773	185
23968	128722	48305	2013-08-04 00:00:22.489817	2013-08-04 00:00:22.489817	185
23969	128717	48285	2013-08-04 00:00:22.498857	2013-08-04 00:00:22.498857	185
23970	128710	38201	2013-08-04 00:00:22.50669	2013-08-04 00:00:22.50669	185
23971	128699	38001	2013-08-04 00:00:22.516909	2013-08-04 00:00:22.516909	185
23972	128698	17166	2013-08-04 00:00:22.536307	2013-08-04 00:00:22.536307	185
23973	128697	15339	2013-08-04 00:00:22.547853	2013-08-04 00:00:22.547853	185
23974	128682	23648	2013-08-04 00:00:22.556233	2013-08-04 00:00:22.556233	185
23975	128666	17451	2013-08-04 00:00:22.564487	2013-08-04 00:00:22.564487	185
23976	128661	31390	2013-08-04 00:00:22.575807	2013-08-04 00:00:22.575807	185
23977	128652	7566	2013-08-04 00:00:22.587059	2013-08-04 00:00:22.587059	185
23978	128946	21681	2013-08-04 00:00:22.626437	2013-08-04 00:00:22.626437	185
23979	128907	21600	2013-08-04 00:00:22.637545	2013-08-04 00:00:22.637545	185
23980	128826	21653	2013-08-04 00:00:22.650405	2013-08-04 00:00:22.650405	185
23981	128813	21633	2013-08-04 00:00:22.660844	2013-08-04 00:00:22.660844	185
23982	128772	21613	2013-08-04 00:00:22.683203	2013-08-04 00:00:22.683203	185
23983	128767	21593	2013-08-04 00:00:22.761568	2013-08-04 00:00:22.761568	185
23984	128742	21573	2013-08-04 00:00:22.781985	2013-08-04 00:00:22.781985	185
23985	128726	16931	2013-08-04 00:00:22.794043	2013-08-04 00:00:22.794043	185
23986	128716	16677	2013-08-04 00:00:22.803627	2013-08-04 00:00:22.803627	185
23987	128702	15068	2013-08-04 00:00:22.816236	2013-08-04 00:00:22.816236	185
23988	128685	14399	2013-08-04 00:00:22.827276	2013-08-04 00:00:22.827276	185
23989	128665	14438	2013-08-04 00:00:22.837484	2013-08-04 00:00:22.837484	185
23990	128648	2049	2013-08-04 00:00:22.848761	2013-08-04 00:00:22.848761	185
23991	128942	15033	2013-08-04 00:00:22.879304	2013-08-04 00:00:22.879304	185
23992	128910	29381	2013-08-04 00:00:22.89298	2013-08-04 00:00:22.89298	185
23993	128892	18426	2013-08-04 00:00:22.903398	2013-08-04 00:00:22.903398	185
23994	128803	17331	2013-08-04 00:00:22.910443	2013-08-04 00:00:22.910443	185
23995	128796	17191	2013-08-04 00:00:22.917361	2013-08-04 00:00:22.917361	185
23996	128753	17011	2013-08-04 00:00:22.930375	2013-08-04 00:00:22.930375	185
23997	128743	16433	2013-08-04 00:00:22.944333	2013-08-04 00:00:22.944333	185
23998	128729	15199	2013-08-04 00:00:22.958267	2013-08-04 00:00:22.958267	185
23999	128725	14799	2013-08-04 00:00:22.965599	2013-08-04 00:00:22.965599	185
24000	128709	41272	2013-08-04 00:00:22.974797	2013-08-04 00:00:22.974797	185
24001	128686	13459	2013-08-04 00:00:22.990278	2013-08-04 00:00:22.990278	185
24002	128654	34381	2013-08-04 00:00:23.011895	2013-08-04 00:00:23.011895	185
24003	128653	7663	2013-08-04 00:00:23.034283	2013-08-04 00:00:23.034283	185
24004	128650	7404	2013-08-04 00:00:23.04589	2013-08-04 00:00:23.04589	185
24005	128645	21168	2013-08-04 00:00:23.057628	2013-08-04 00:00:23.057628	185
24006	129335	38601	2013-08-04 00:05:40.089719	2013-08-04 00:05:40.089719	186
24007	129305	38581	2013-08-04 00:05:40.114359	2013-08-04 00:05:40.114359	186
24008	129300	38512	2013-08-04 00:05:40.138073	2013-08-04 00:05:40.138073	186
24009	129273	38561	2013-08-04 00:05:40.157739	2013-08-04 00:05:40.157739	186
24010	129251	38541	2013-08-04 00:05:40.170193	2013-08-04 00:05:40.170193	186
24011	129227	38521	2013-08-04 00:05:40.190344	2013-08-04 00:05:40.190344	186
24012	129225	38501	2013-08-04 00:05:40.206429	2013-08-04 00:05:40.206429	186
24013	129222	38481	2013-08-04 00:05:40.21777	2013-08-04 00:05:40.21777	186
24014	129202	38461	2013-08-04 00:05:40.224504	2013-08-04 00:05:40.224504	186
24015	129197	38441	2013-08-04 00:05:40.233083	2013-08-04 00:05:40.233083	186
24016	129194	37270	2013-08-04 00:05:40.246782	2013-08-04 00:05:40.246782	186
24017	129186	37050	2013-08-04 00:05:40.268307	2013-08-04 00:05:40.268307	186
24018	129176	18075	2013-08-04 00:05:40.277998	2013-08-04 00:05:40.277998	186
24019	129169	15878	2013-08-04 00:05:40.284598	2013-08-04 00:05:40.284598	186
24020	129168	18011	2013-08-04 00:05:40.291185	2013-08-04 00:05:40.291185	186
24021	129164	10277	2013-08-04 00:05:40.298311	2013-08-04 00:05:40.298311	186
24022	129598	38421	2013-08-04 00:05:40.336872	2013-08-04 00:05:40.336872	186
24023	129598	37250	2013-08-04 00:05:40.340832	2013-08-04 00:05:40.340832	186
24024	129598	37010	2013-08-04 00:05:40.344664	2013-08-04 00:05:40.344664	186
24025	129598	38481	2013-08-04 00:05:40.348477	2013-08-04 00:05:40.348477	186
24026	129393	42295	2013-08-04 00:05:40.356929	2013-08-04 00:05:40.356929	186
24027	129393	2538	2013-08-04 00:05:40.361	2013-08-04 00:05:40.361	186
24028	129393	17841	2013-08-04 00:05:40.365107	2013-08-04 00:05:40.365107	186
24029	129393	15739	2013-08-04 00:05:40.370358	2013-08-04 00:05:40.370358	186
24030	129228	17371	2013-08-04 00:05:40.384347	2013-08-04 00:05:40.384347	186
24031	129228	22146	2013-08-04 00:05:40.38734	2013-08-04 00:05:40.38734	186
24032	129228	21600	2013-08-04 00:05:40.390195	2013-08-04 00:05:40.390195	186
24033	129228	15959	2013-08-04 00:05:40.39586	2013-08-04 00:05:40.39586	186
24034	129530	48745	2013-08-04 00:05:40.459844	2013-08-04 00:05:40.459844	186
24035	129468	48725	2013-08-04 00:05:40.470448	2013-08-04 00:05:40.470448	186
24036	129334	48705	2013-08-04 00:05:40.481899	2013-08-04 00:05:40.481899	186
24037	129299	48685	2013-08-04 00:05:40.491891	2013-08-04 00:05:40.491891	186
24038	129272	48665	2013-08-04 00:05:40.500082	2013-08-04 00:05:40.500082	186
24039	129254	48645	2013-08-04 00:05:40.512998	2013-08-04 00:05:40.512998	186
24040	129249	48625	2013-08-04 00:05:40.520293	2013-08-04 00:05:40.520293	186
24041	129224	38581	2013-08-04 00:05:40.52723	2013-08-04 00:05:40.52723	186
24042	129223	38381	2013-08-04 00:05:40.534322	2013-08-04 00:05:40.534322	186
24043	129211	37210	2013-08-04 00:05:40.543431	2013-08-04 00:05:40.543431	186
24044	129193	37038	2013-08-04 00:05:40.55865	2013-08-04 00:05:40.55865	186
24045	129189	18117	2013-08-04 00:05:40.580577	2013-08-04 00:05:40.580577	186
24046	129174	17971	2013-08-04 00:05:40.598012	2013-08-04 00:05:40.598012	186
24047	129167	17355	2013-08-04 00:05:40.605607	2013-08-04 00:05:40.605607	186
24048	129163	15939	2013-08-04 00:05:40.617899	2013-08-04 00:05:40.617899	186
24049	129556	21813	2013-08-04 00:05:40.687508	2013-08-04 00:05:40.687508	186
24050	129420	21793	2013-08-04 00:05:40.700006	2013-08-04 00:05:40.700006	186
24051	129336	21773	2013-08-04 00:05:40.720638	2013-08-04 00:05:40.720638	186
24052	129308	43615	2013-08-04 00:05:40.796354	2013-08-04 00:05:40.796354	186
24053	129274	21753	2013-08-04 00:05:40.803814	2013-08-04 00:05:40.803814	186
24054	129248	21733	2013-08-04 00:05:40.819509	2013-08-04 00:05:40.819509	186
24055	129244	18071	2013-08-04 00:05:40.840507	2013-08-04 00:05:40.840507	186
24056	129218	17865	2013-08-04 00:05:40.861375	2013-08-04 00:05:40.861375	186
24057	129201	17551	2013-08-04 00:05:40.87813	2013-08-04 00:05:40.87813	186
24058	129183	17571	2013-08-04 00:05:40.889579	2013-08-04 00:05:40.889579	186
24059	129182	15785	2013-08-04 00:05:40.898974	2013-08-04 00:05:40.898974	186
24060	129180	15219	2013-08-04 00:05:40.90887	2013-08-04 00:05:40.90887	186
24061	129172	14799	2013-08-04 00:05:40.919679	2013-08-04 00:05:40.919679	186
24062	129337	15719	2013-08-04 00:05:40.946594	2013-08-04 00:05:40.946594	186
24063	129306	17841	2013-08-04 00:05:40.955402	2013-08-04 00:05:40.955402	186
24064	129301	15739	2013-08-04 00:05:40.97284	2013-08-04 00:05:40.97284	186
24065	129275	17651	2013-08-04 00:05:40.995287	2013-08-04 00:05:40.995287	186
24066	129252	16677	2013-08-04 00:05:41.008573	2013-08-04 00:05:41.008573	186
24067	129226	16471	2013-08-04 00:05:41.015486	2013-08-04 00:05:41.015486	186
24068	129220	16433	2013-08-04 00:05:41.023091	2013-08-04 00:05:41.023091	186
24069	129212	15859	2013-08-04 00:05:41.031032	2013-08-04 00:05:41.031032	186
24070	129206	15879	2013-08-04 00:05:41.042396	2013-08-04 00:05:41.042396	186
24071	129198	15199	2013-08-04 00:05:41.051231	2013-08-04 00:05:41.051231	186
24072	129181	15057	2013-08-04 00:05:41.069699	2013-08-04 00:05:41.069699	186
24073	129177	48975	2013-08-04 00:05:41.091594	2013-08-04 00:05:41.091594	186
24074	129175	41272	2013-08-04 00:05:41.112653	2013-08-04 00:05:41.112653	186
24075	129170	34135	2013-08-04 00:05:41.122826	2013-08-04 00:05:41.122826	186
24076	129166	7663	2013-08-04 00:05:41.133737	2013-08-04 00:05:41.133737	186
24077	129165	48175	2013-08-04 00:05:41.150047	2013-08-04 00:05:41.150047	186
24078	129920	38961	2013-08-04 00:10:38.568643	2013-08-04 00:10:38.568643	187
24079	129877	38941	2013-08-04 00:10:38.580412	2013-08-04 00:10:38.580412	187
24080	129854	38795	2013-08-04 00:10:38.588059	2013-08-04 00:10:38.588059	187
24081	129836	38921	2013-08-04 00:10:38.595606	2013-08-04 00:10:38.595606	187
24082	129829	38901	2013-08-04 00:10:38.603412	2013-08-04 00:10:38.603412	187
24083	129816	38881	2013-08-04 00:10:38.613947	2013-08-04 00:10:38.613947	187
24084	129814	18931	2013-08-04 00:10:38.626933	2013-08-04 00:10:38.626933	187
24085	129805	37930	2013-08-04 00:10:38.637009	2013-08-04 00:10:38.637009	187
24086	129794	37730	2013-08-04 00:10:38.64514	2013-08-04 00:10:38.64514	187
24087	129783	18641	2013-08-04 00:10:38.653732	2013-08-04 00:10:38.653732	187
24088	129777	18431	2013-08-04 00:10:38.660513	2013-08-04 00:10:38.660513	187
24089	129762	13618	2013-08-04 00:10:38.667379	2013-08-04 00:10:38.667379	187
24090	129759	18691	2013-08-04 00:10:38.676203	2013-08-04 00:10:38.676203	187
24091	129757	16699	2013-08-04 00:10:38.685776	2013-08-04 00:10:38.685776	187
24092	129752	16506	2013-08-04 00:10:38.694339	2013-08-04 00:10:38.694339	187
24093	129782	38941	2013-08-04 00:10:38.718713	2013-08-04 00:10:38.718713	187
24094	129782	18881	2013-08-04 00:10:38.724152	2013-08-04 00:10:38.724152	187
24095	129782	18620	2013-08-04 00:10:38.727972	2013-08-04 00:10:38.727972	187
24096	129782	37890	2013-08-04 00:10:38.733653	2013-08-04 00:10:38.733653	187
24097	129751	18411	2013-08-04 00:10:38.74646	2013-08-04 00:10:38.74646	187
24098	129751	18571	2013-08-04 00:10:38.750598	2013-08-04 00:10:38.750598	187
24099	129751	16679	2013-08-04 00:10:38.754114	2013-08-04 00:10:38.754114	187
24100	129751	16621	2013-08-04 00:10:38.758336	2013-08-04 00:10:38.758336	187
24101	129964	49105	2013-08-04 00:10:38.793132	2013-08-04 00:10:38.793132	187
24102	129919	49080	2013-08-04 00:10:38.802023	2013-08-04 00:10:38.802023	187
24103	129878	49085	2013-08-04 00:10:38.809547	2013-08-04 00:10:38.809547	187
24104	129864	49065	2013-08-04 00:10:38.818882	2013-08-04 00:10:38.818882	187
24105	129834	49045	2013-08-04 00:10:38.830563	2013-08-04 00:10:38.830563	187
24106	129825	49025	2013-08-04 00:10:38.83945	2013-08-04 00:10:38.83945	187
24107	129818	49005	2013-08-04 00:10:38.85233	2013-08-04 00:10:38.85233	187
24108	129815	48985	2013-08-04 00:10:38.861668	2013-08-04 00:10:38.861668	187
24109	129811	48965	2013-08-04 00:10:38.869356	2013-08-04 00:10:38.869356	187
24110	129804	18671	2013-08-04 00:10:38.876979	2013-08-04 00:10:38.876979	187
24111	129793	37870	2013-08-04 00:10:38.884457	2013-08-04 00:10:38.884457	187
24112	129778	44703	2013-08-04 00:10:38.894545	2013-08-04 00:10:38.894545	187
24113	129761	18391	2013-08-04 00:10:38.905055	2013-08-04 00:10:38.905055	187
24114	129760	18891	2013-08-04 00:10:38.919172	2013-08-04 00:10:38.919172	187
24115	129754	18581	2013-08-04 00:10:38.926182	2013-08-04 00:10:38.926182	187
24116	129749	16659	2013-08-04 00:10:38.980734	2013-08-04 00:10:38.980734	187
24117	129967	45743	2013-08-04 00:10:39.022594	2013-08-04 00:10:39.022594	187
24118	129921	18351	2013-08-04 00:10:39.029228	2013-08-04 00:10:39.029228	187
24119	129874	18211	2013-08-04 00:10:39.037126	2013-08-04 00:10:39.037126	187
24120	129865	10491	2013-08-04 00:10:39.049771	2013-08-04 00:10:39.049771	187
24121	129856	16579	2013-08-04 00:10:39.064671	2013-08-04 00:10:39.064671	187
24122	129821	16419	2013-08-04 00:10:39.084854	2013-08-04 00:10:39.084854	187
24123	129817	16199	2013-08-04 00:10:39.099228	2013-08-04 00:10:39.099228	187
24124	129781	17460	2013-08-04 00:10:39.112813	2013-08-04 00:10:39.112813	187
24125	129769	15859	2013-08-04 00:10:39.130887	2013-08-04 00:10:39.130887	187
24126	129763	15599	2013-08-04 00:10:39.152755	2013-08-04 00:10:39.152755	187
24127	129744	18391	2013-08-04 00:10:39.175295	2013-08-04 00:10:39.175295	187
24128	129743	13618	2013-08-04 00:10:39.185208	2013-08-04 00:10:39.185208	187
24129	130090	1627	2013-08-04 00:10:39.230557	2013-08-04 00:10:39.230557	187
24130	130029	17531	2013-08-04 00:10:39.239276	2013-08-04 00:10:39.239276	187
24131	129949	16599	2013-08-04 00:10:39.247011	2013-08-04 00:10:39.247011	187
24132	129866	16539	2013-08-04 00:10:39.260488	2013-08-04 00:10:39.260488	187
24133	129853	16459	2013-08-04 00:10:39.275084	2013-08-04 00:10:39.275084	187
24134	129819	16355	2013-08-04 00:10:39.296397	2013-08-04 00:10:39.296397	187
24135	129806	16301	2013-08-04 00:10:39.313826	2013-08-04 00:10:39.313826	187
24136	129801	16079	2013-08-04 00:10:39.322789	2013-08-04 00:10:39.322789	187
24137	129800	15939	2013-08-04 00:10:39.333291	2013-08-04 00:10:39.333291	187
24138	129780	15999	2013-08-04 00:10:39.344277	2013-08-04 00:10:39.344277	187
24139	129758	747	2013-08-04 00:10:39.363828	2013-08-04 00:10:39.363828	187
24140	129750	3466	2013-08-04 00:10:39.386157	2013-08-04 00:10:39.386157	187
24141	129748	14059	2013-08-04 00:10:39.400293	2013-08-04 00:10:39.400293	187
24142	129746	7663	2013-08-04 00:10:39.414042	2013-08-04 00:10:39.414042	187
24143	129742	18881	2013-08-04 00:10:39.434303	2013-08-04 00:10:39.434303	187
24144	130466	39481	2013-08-04 00:15:37.923084	2013-08-04 00:15:37.923084	188
24145	130283	39461	2013-08-04 00:15:37.93857	2013-08-04 00:15:37.93857	188
24146	130244	39441	2013-08-04 00:15:37.952407	2013-08-04 00:15:37.952407	188
24147	130233	39421	2013-08-04 00:15:37.971743	2013-08-04 00:15:37.971743	188
24148	130207	39392	2013-08-04 00:15:37.984215	2013-08-04 00:15:37.984215	188
24149	130184	39401	2013-08-04 00:15:37.993752	2013-08-04 00:15:37.993752	188
24150	130182	39381	2013-08-04 00:15:38.015314	2013-08-04 00:15:38.015314	188
24151	130178	39361	2013-08-04 00:15:38.033516	2013-08-04 00:15:38.033516	188
24152	130173	39272	2013-08-04 00:15:38.046748	2013-08-04 00:15:38.046748	188
24153	130169	39341	2013-08-04 00:15:38.057346	2013-08-04 00:15:38.057346	188
24154	130165	39321	2013-08-04 00:15:38.064378	2013-08-04 00:15:38.064378	188
24155	130161	39301	2013-08-04 00:15:38.074899	2013-08-04 00:15:38.074899	188
24156	130157	39338	2013-08-04 00:15:38.082199	2013-08-04 00:15:38.082199	188
24157	130156	39281	2013-08-04 00:15:38.089107	2013-08-04 00:15:38.089107	188
24158	130153	39261	2013-08-04 00:15:38.095943	2013-08-04 00:15:38.095943	188
24159	130146	18471	2013-08-04 00:15:38.103495	2013-08-04 00:15:38.103495	188
24160	130603	45112	2013-08-04 00:15:38.129847	2013-08-04 00:15:38.129847	188
24161	130603	39338	2013-08-04 00:15:38.13303	2013-08-04 00:15:38.13303	188
24162	130468	39135	2013-08-04 00:15:38.14158	2013-08-04 00:15:38.14158	188
24163	130468	38310	2013-08-04 00:15:38.151121	2013-08-04 00:15:38.151121	188
24164	130464	22190	2013-08-04 00:15:38.160952	2013-08-04 00:15:38.160952	188
24165	130464	2474	2013-08-04 00:15:38.168362	2013-08-04 00:15:38.168362	188
24166	130436	49625	2013-08-04 00:15:38.201099	2013-08-04 00:15:38.201099	188
24167	130391	49605	2013-08-04 00:15:38.211406	2013-08-04 00:15:38.211406	188
24168	130331	49585	2013-08-04 00:15:38.221265	2013-08-04 00:15:38.221265	188
24169	130282	49480	2013-08-04 00:15:38.230862	2013-08-04 00:15:38.230862	188
24170	130230	49565	2013-08-04 00:15:38.239715	2013-08-04 00:15:38.239715	188
24171	130209	49545	2013-08-04 00:15:38.246545	2013-08-04 00:15:38.246545	188
24172	130185	49598	2013-08-04 00:15:38.253958	2013-08-04 00:15:38.253958	188
24173	130183	49525	2013-08-04 00:15:38.267657	2013-08-04 00:15:38.267657	188
24174	130181	49505	2013-08-04 00:15:38.284772	2013-08-04 00:15:38.284772	188
24175	130177	49485	2013-08-04 00:15:38.303292	2013-08-04 00:15:38.303292	188
24176	130172	49465	2013-08-04 00:15:38.314378	2013-08-04 00:15:38.314378	188
24177	130168	49445	2013-08-04 00:15:38.324825	2013-08-04 00:15:38.324825	188
24178	130162	45072	2013-08-04 00:15:38.336461	2013-08-04 00:15:38.336461	188
24179	130160	39481	2013-08-04 00:15:38.344188	2013-08-04 00:15:38.344188	188
24180	130150	39221	2013-08-04 00:15:38.352121	2013-08-04 00:15:38.352121	188
24181	130144	11688	2013-08-04 00:15:38.358885	2013-08-04 00:15:38.358885	188
24182	130472	22073	2013-08-04 00:15:38.394844	2013-08-04 00:15:38.394844	188
24183	130329	22046	2013-08-04 00:15:38.406691	2013-08-04 00:15:38.406691	188
24184	130287	22053	2013-08-04 00:15:38.414699	2013-08-04 00:15:38.414699	188
24185	130208	22033	2013-08-04 00:15:38.421941	2013-08-04 00:15:38.421941	188
24186	130206	22061	2013-08-04 00:15:38.429869	2013-08-04 00:15:38.429869	188
24187	130203	35963	2013-08-04 00:15:38.43842	2013-08-04 00:15:38.43842	188
24188	130179	22013	2013-08-04 00:15:38.446192	2013-08-04 00:15:38.446192	188
24189	130174	22072	2013-08-04 00:15:38.453463	2013-08-04 00:15:38.453463	188
24190	130166	21993	2013-08-04 00:15:38.461309	2013-08-04 00:15:38.461309	188
24191	130154	16359	2013-08-04 00:15:38.468823	2013-08-04 00:15:38.468823	188
24192	130151	16433	2013-08-04 00:15:38.479976	2013-08-04 00:15:38.479976	188
24193	130149	15999	2013-08-04 00:15:38.495236	2013-08-04 00:15:38.495236	188
24194	130148	38230	2013-08-04 00:15:38.513933	2013-08-04 00:15:38.513933	188
24195	130387	16737	2013-08-04 00:15:38.757125	2013-08-04 00:15:38.757125	188
24196	130387	16730	2013-08-04 00:15:38.768526	2013-08-04 00:15:38.768526	188
24197	130387	16799	2013-08-04 00:15:38.777929	2013-08-04 00:15:38.777929	188
24198	130387	9519	2013-08-04 00:15:38.787654	2013-08-04 00:15:38.787654	188
24199	130387	16779	2013-08-04 00:15:38.797277	2013-08-04 00:15:38.797277	188
24200	130387	16755	2013-08-04 00:15:38.802428	2013-08-04 00:15:38.802428	188
24201	130313	16759	2013-08-04 00:15:38.811422	2013-08-04 00:15:38.811422	188
24202	130313	20801	2013-08-04 00:15:38.816724	2013-08-04 00:15:38.816724	188
24203	130313	16739	2013-08-04 00:15:38.826186	2013-08-04 00:15:38.826186	188
24204	130313	16751	2013-08-04 00:15:38.838677	2013-08-04 00:15:38.838677	188
24205	130313	16719	2013-08-04 00:15:38.846463	2013-08-04 00:15:38.846463	188
24206	130313	16579	2013-08-04 00:15:38.852237	2013-08-04 00:15:38.852237	188
24207	130289	16439	2013-08-04 00:15:38.860139	2013-08-04 00:15:38.860139	188
24208	130289	17460	2013-08-04 00:15:38.863714	2013-08-04 00:15:38.863714	188
24209	130289	15919	2013-08-04 00:15:38.867964	2013-08-04 00:15:38.867964	188
24210	130289	39261	2013-08-04 00:15:38.870907	2013-08-04 00:15:38.870907	188
24211	130289	38398	2013-08-04 00:15:38.874091	2013-08-04 00:15:38.874091	188
24212	130289	44703	2013-08-04 00:15:38.878242	2013-08-04 00:15:38.878242	188
24213	130962	40001	2013-08-04 00:20:44.685853	2013-08-04 00:20:44.685853	189
24214	130814	39905	2013-08-04 00:20:44.693968	2013-08-04 00:20:44.693968	189
24215	130770	39981	2013-08-04 00:20:44.758539	2013-08-04 00:20:44.758539	189
24216	130758	39961	2013-08-04 00:20:44.768177	2013-08-04 00:20:44.768177	189
24217	130718	39941	2013-08-04 00:20:44.777675	2013-08-04 00:20:44.777675	189
24218	130704	39921	2013-08-04 00:20:44.785801	2013-08-04 00:20:44.785801	189
24219	130697	39901	2013-08-04 00:20:44.797097	2013-08-04 00:20:44.797097	189
24220	130683	39881	2013-08-04 00:20:44.80455	2013-08-04 00:20:44.80455	189
24221	130679	39861	2013-08-04 00:20:44.813121	2013-08-04 00:20:44.813121	189
24222	130675	39841	2013-08-04 00:20:44.82257	2013-08-04 00:20:44.82257	189
24223	130666	39821	2013-08-04 00:20:44.832793	2013-08-04 00:20:44.832793	189
24224	130641	39801	2013-08-04 00:20:44.841187	2013-08-04 00:20:44.841187	189
24225	130620	39781	2013-08-04 00:20:44.849016	2013-08-04 00:20:44.849016	189
24226	130618	39825	2013-08-04 00:20:44.857387	2013-08-04 00:20:44.857387	189
24227	130613	16979	2013-08-04 00:20:44.867023	2013-08-04 00:20:44.867023	189
24228	130605	12472	2013-08-04 00:20:44.875835	2013-08-04 00:20:44.875835	189
24229	130784	39961	2013-08-04 00:20:44.897701	2013-08-04 00:20:44.897701	189
24230	130784	39858	2013-08-04 00:20:44.901089	2013-08-04 00:20:44.901089	189
24231	130784	28315	2013-08-04 00:20:44.904282	2013-08-04 00:20:44.904282	189
24232	130784	16950	2013-08-04 00:20:44.907851	2013-08-04 00:20:44.907851	189
24233	130802	1783	2013-08-04 00:20:44.941267	2013-08-04 00:20:44.941267	189
24234	130772	1403	2013-08-04 00:20:44.96037	2013-08-04 00:20:44.96037	189
24235	130756	654	2013-08-04 00:20:44.972967	2013-08-04 00:20:44.972967	189
24236	130729	1023	2013-08-04 00:20:44.994201	2013-08-04 00:20:44.994201	189
24237	130712	49980	2013-08-04 00:20:45.01249	2013-08-04 00:20:45.01249	189
24238	130703	663	2013-08-04 00:20:45.028169	2013-08-04 00:20:45.028169	189
24239	130695	303	2013-08-04 00:20:45.04206	2013-08-04 00:20:45.04206	189
24240	130682	300	2013-08-04 00:20:45.048773	2013-08-04 00:20:45.048773	189
24241	130676	49985	2013-08-04 00:20:45.057949	2013-08-04 00:20:45.057949	189
24242	130665	49965	2013-08-04 00:20:45.070043	2013-08-04 00:20:45.070043	189
24243	130660	39905	2013-08-04 00:20:45.089372	2013-08-04 00:20:45.089372	189
24244	130654	38690	2013-08-04 00:20:45.112756	2013-08-04 00:20:45.112756	189
24245	130638	16948	2013-08-04 00:20:45.12496	2013-08-04 00:20:45.12496	189
24246	130619	1706	2013-08-04 00:20:45.137085	2013-08-04 00:20:45.137085	189
24247	130612	39721	2013-08-04 00:20:45.148579	2013-08-04 00:20:45.148579	189
24248	130606	46843	2013-08-04 00:20:45.168074	2013-08-04 00:20:45.168074	189
24249	130818	22293	2013-08-04 00:20:45.226718	2013-08-04 00:20:45.226718	189
24250	130803	22273	2013-08-04 00:20:45.236802	2013-08-04 00:20:45.236802	189
24251	130771	22253	2013-08-04 00:20:45.253332	2013-08-04 00:20:45.253332	189
24252	130754	22233	2013-08-04 00:20:45.268225	2013-08-04 00:20:45.268225	189
24253	130705	46703	2013-08-04 00:20:45.277784	2013-08-04 00:20:45.277784	189
24254	130698	22213	2013-08-04 00:20:45.29124	2013-08-04 00:20:45.29124	189
24255	130674	22193	2013-08-04 00:20:45.314361	2013-08-04 00:20:45.314361	189
24256	130645	25021	2013-08-04 00:20:45.329867	2013-08-04 00:20:45.329867	189
24257	130634	22173	2013-08-04 00:20:45.341987	2013-08-04 00:20:45.341987	189
24258	130630	17865	2013-08-04 00:20:45.356472	2013-08-04 00:20:45.356472	189
24259	130616	16839	2013-08-04 00:20:45.379287	2013-08-04 00:20:45.379287	189
24260	130614	28512	2013-08-04 00:20:45.400888	2013-08-04 00:20:45.400888	189
24261	130610	12032	2013-08-04 00:20:45.422629	2013-08-04 00:20:45.422629	189
24262	131485	40481	2013-08-04 00:25:49.390683	2013-08-04 00:25:49.390683	190
24263	131478	40461	2013-08-04 00:25:49.404723	2013-08-04 00:25:49.404723	190
24264	131275	40441	2013-08-04 00:25:49.413825	2013-08-04 00:25:49.413825	190
24265	131250	40421	2013-08-04 00:25:49.422298	2013-08-04 00:25:49.422298	190
24266	131234	40401	2013-08-04 00:25:49.430756	2013-08-04 00:25:49.430756	190
24267	131172	40381	2013-08-04 00:25:49.440641	2013-08-04 00:25:49.440641	190
24268	131135	40361	2013-08-04 00:25:49.449376	2013-08-04 00:25:49.449376	190
24269	131127	40295	2013-08-04 00:25:49.461145	2013-08-04 00:25:49.461145	190
24270	131125	40341	2013-08-04 00:25:49.474609	2013-08-04 00:25:49.474609	190
24271	131078	40321	2013-08-04 00:25:49.484149	2013-08-04 00:25:49.484149	190
24272	131073	40332	2013-08-04 00:25:49.4958	2013-08-04 00:25:49.4958	190
24273	131069	40301	2013-08-04 00:25:49.506377	2013-08-04 00:25:49.506377	190
24274	131056	40240	2013-08-04 00:25:49.517826	2013-08-04 00:25:49.517826	190
24275	131026	40281	2013-08-04 00:25:49.529783	2013-08-04 00:25:49.529783	190
24276	131021	40261	2013-08-04 00:25:49.540554	2013-08-04 00:25:49.540554	190
24277	131011	40298	2013-08-04 00:25:49.552121	2013-08-04 00:25:49.552121	190
24278	131007	40241	2013-08-04 00:25:49.563647	2013-08-04 00:25:49.563647	190
24279	131257	5463	2013-08-04 00:25:49.635082	2013-08-04 00:25:49.635082	190
24280	131249	24	2013-08-04 00:25:49.658196	2013-08-04 00:25:49.658196	190
24281	131134	559	2013-08-04 00:25:49.682025	2013-08-04 00:25:49.682025	190
24282	131131	46	2013-08-04 00:25:49.691837	2013-08-04 00:25:49.691837	190
24283	131126	917	2013-08-04 00:25:49.69914	2013-08-04 00:25:49.69914	190
24284	131124	157	2013-08-04 00:25:49.705681	2013-08-04 00:25:49.705681	190
24285	131080	84	2013-08-04 00:25:49.717311	2013-08-04 00:25:49.717311	190
24286	131074	453	2013-08-04 00:25:49.728594	2013-08-04 00:25:49.728594	190
24287	131072	104	2013-08-04 00:25:49.748805	2013-08-04 00:25:49.748805	190
24288	131055	441	2013-08-04 00:25:49.770506	2013-08-04 00:25:49.770506	190
24289	131028	954	2013-08-04 00:25:49.792763	2013-08-04 00:25:49.792763	190
24290	131023	633	2013-08-04 00:25:49.814829	2013-08-04 00:25:49.814829	190
24291	131022	632	2013-08-04 00:25:49.83761	2013-08-04 00:25:49.83761	190
24292	131009	40461	2013-08-04 00:25:49.860534	2013-08-04 00:25:49.860534	190
24293	131006	40055	2013-08-04 00:25:49.882263	2013-08-04 00:25:49.882263	190
24294	131002	39150	2013-08-04 00:25:49.903903	2013-08-04 00:25:49.903903	190
24295	130998	13879	2013-08-04 00:25:49.925544	2013-08-04 00:25:49.925544	190
24296	131484	22435	2013-08-04 00:25:50.058174	2013-08-04 00:25:50.058174	190
24297	131251	22403	2013-08-04 00:25:50.077807	2013-08-04 00:25:50.077807	190
24298	131233	22433	2013-08-04 00:25:50.100342	2013-08-04 00:25:50.100342	190
24299	131163	7230	2013-08-04 00:25:50.122719	2013-08-04 00:25:50.122719	190
24300	131158	9051	2013-08-04 00:25:50.145931	2013-08-04 00:25:50.145931	190
24301	131133	22413	2013-08-04 00:25:50.156153	2013-08-04 00:25:50.156153	190
24302	131095	22393	2013-08-04 00:25:50.16779	2013-08-04 00:25:50.16779	190
24303	131079	22373	2013-08-04 00:25:50.176727	2013-08-04 00:25:50.176727	190
24304	131063	22353	2013-08-04 00:25:50.188259	2013-08-04 00:25:50.188259	190
24305	131036	15999	2013-08-04 00:25:50.205926	2013-08-04 00:25:50.205926	190
24306	131012	157	2013-08-04 00:25:50.227541	2013-08-04 00:25:50.227541	190
24307	131005	4243	2013-08-04 00:25:50.249875	2013-08-04 00:25:50.249875	190
24308	131486	38970	2013-08-04 00:25:50.524658	2013-08-04 00:25:50.524658	190
24309	131486	16950	2013-08-04 00:25:50.531564	2013-08-04 00:25:50.531564	190
24310	131486	49985	2013-08-04 00:25:50.536057	2013-08-04 00:25:50.536057	190
24311	131811	41041	2013-08-04 00:30:53.970318	2013-08-04 00:30:53.970318	191
24312	131766	41021	2013-08-04 00:30:53.982956	2013-08-04 00:30:53.982956	191
24313	131761	41001	2013-08-04 00:30:53.992718	2013-08-04 00:30:53.992718	191
24314	131706	40981	2013-08-04 00:30:53.999868	2013-08-04 00:30:53.999868	191
24315	131696	41005	2013-08-04 00:30:54.006137	2013-08-04 00:30:54.006137	191
24316	131665	40961	2013-08-04 00:30:54.014771	2013-08-04 00:30:54.014771	191
24317	131597	40941	2013-08-04 00:30:54.025012	2013-08-04 00:30:54.025012	191
24318	131596	40921	2013-08-04 00:30:54.045755	2013-08-04 00:30:54.045755	191
24319	131546	40901	2013-08-04 00:30:54.066587	2013-08-04 00:30:54.066587	191
24320	131545	40881	2013-08-04 00:30:54.087873	2013-08-04 00:30:54.087873	191
24321	131532	40861	2013-08-04 00:30:54.096133	2013-08-04 00:30:54.096133	191
24322	131531	40841	2013-08-04 00:30:54.107391	2013-08-04 00:30:54.107391	191
24323	131528	40821	2013-08-04 00:30:54.126377	2013-08-04 00:30:54.126377	191
24324	131522	40801	2013-08-04 00:30:54.142415	2013-08-04 00:30:54.142415	191
24325	131511	40781	2013-08-04 00:30:54.152248	2013-08-04 00:30:54.152248	191
24326	131507	40761	2013-08-04 00:30:54.15918	2013-08-04 00:30:54.15918	191
24327	131502	40741	2013-08-04 00:30:54.167383	2013-08-04 00:30:54.167383	191
24328	131829	41005	2013-08-04 00:30:54.211472	2013-08-04 00:30:54.211472	191
24329	131829	40701	2013-08-04 00:30:54.220801	2013-08-04 00:30:54.220801	191
24330	131803	14446	2013-08-04 00:30:54.233142	2013-08-04 00:30:54.233142	191
24331	131803	39690	2013-08-04 00:30:54.237157	2013-08-04 00:30:54.237157	191
24332	131812	604	2013-08-04 00:30:54.259319	2013-08-04 00:30:54.259319	191
24333	131764	741	2013-08-04 00:30:54.268316	2013-08-04 00:30:54.268316	191
24334	131704	1674	2013-08-04 00:30:54.274926	2013-08-04 00:30:54.274926	191
24335	131695	1333	2013-08-04 00:30:54.291209	2013-08-04 00:30:54.291209	191
24336	131592	1312	2013-08-04 00:30:54.309022	2013-08-04 00:30:54.309022	191
24337	131577	3610	2013-08-04 00:30:54.320236	2013-08-04 00:30:54.320236	191
24338	131544	6223	2013-08-04 00:30:54.332392	2013-08-04 00:30:54.332392	191
24339	131543	547	2013-08-04 00:30:54.340181	2013-08-04 00:30:54.340181	191
24340	131542	839	2013-08-04 00:30:54.348028	2013-08-04 00:30:54.348028	191
24341	131530	378	2013-08-04 00:30:54.356202	2013-08-04 00:30:54.356202	191
24342	131529	518	2013-08-04 00:30:54.364444	2013-08-04 00:30:54.364444	191
24343	131521	1337	2013-08-04 00:30:54.376766	2013-08-04 00:30:54.376766	191
24344	131517	576	2013-08-04 00:30:54.394348	2013-08-04 00:30:54.394348	191
24345	131508	549	2013-08-04 00:30:54.410168	2013-08-04 00:30:54.410168	191
24346	131506	41001	2013-08-04 00:30:54.417784	2013-08-04 00:30:54.417784	191
24347	131503	40665	2013-08-04 00:30:54.425462	2013-08-04 00:30:54.425462	191
24348	131501	39650	2013-08-04 00:30:54.434632	2013-08-04 00:30:54.434632	191
24349	131500	22526	2013-08-04 00:30:54.450555	2013-08-04 00:30:54.450555	191
24350	132470	41481	2013-08-04 00:35:56.218759	2013-08-04 00:35:56.218759	192
24351	132173	41461	2013-08-04 00:35:56.244706	2013-08-04 00:35:56.244706	192
24352	132162	41441	2013-08-04 00:35:56.252698	2013-08-04 00:35:56.252698	192
24353	132144	41421	2013-08-04 00:35:56.27168	2013-08-04 00:35:56.27168	192
24354	132103	41412	2013-08-04 00:35:56.295724	2013-08-04 00:35:56.295724	192
24355	132099	41401	2013-08-04 00:35:56.319973	2013-08-04 00:35:56.319973	192
24356	132064	41381	2013-08-04 00:35:56.341577	2013-08-04 00:35:56.341577	192
24357	132042	41361	2013-08-04 00:35:56.351608	2013-08-04 00:35:56.351608	192
24358	132034	41341	2013-08-04 00:35:56.360844	2013-08-04 00:35:56.360844	192
24359	132023	41385	2013-08-04 00:35:56.377	2013-08-04 00:35:56.377	192
24360	132014	41321	2013-08-04 00:35:56.397712	2013-08-04 00:35:56.397712	192
24361	132012	41438	2013-08-04 00:35:56.421083	2013-08-04 00:35:56.421083	192
24362	132011	41301	2013-08-04 00:35:56.431163	2013-08-04 00:35:56.431163	192
24363	132005	40530	2013-08-04 00:35:56.443685	2013-08-04 00:35:56.443685	192
24364	131997	40321	2013-08-04 00:35:56.453679	2013-08-04 00:35:56.453679	192
24365	131996	39561	2013-08-04 00:35:56.464073	2013-08-04 00:35:56.464073	192
24366	131993	12716	2013-08-04 00:35:56.473992	2013-08-04 00:35:56.473992	192
24367	132181	2054	2013-08-04 00:35:56.523716	2013-08-04 00:35:56.523716	192
24368	132181	41281	2013-08-04 00:35:56.531549	2013-08-04 00:35:56.531549	192
24369	132181	40510	2013-08-04 00:35:56.538735	2013-08-04 00:35:56.538735	192
24370	132181	40345	2013-08-04 00:35:56.547188	2013-08-04 00:35:56.547188	192
24371	132181	39561	2013-08-04 00:35:56.553029	2013-08-04 00:35:56.553029	192
24372	132181	39272	2013-08-04 00:35:56.557888	2013-08-04 00:35:56.557888	192
24373	132181	12696	2013-08-04 00:35:56.562739	2013-08-04 00:35:56.562739	192
24374	132220	1156	2013-08-04 00:35:56.628209	2013-08-04 00:35:56.628209	192
24375	132174	2164	2013-08-04 00:35:56.651228	2013-08-04 00:35:56.651228	192
24376	132161	1953	2013-08-04 00:35:56.670251	2013-08-04 00:35:56.670251	192
24377	132143	1912	2013-08-04 00:35:56.67884	2013-08-04 00:35:56.67884	192
24378	132102	1911	2013-08-04 00:35:56.68726	2013-08-04 00:35:56.68726	192
24379	132078	6843	2013-08-04 00:35:56.696349	2013-08-04 00:35:56.696349	192
24380	132061	1075	2013-08-04 00:35:56.707699	2013-08-04 00:35:56.707699	192
24381	132047	2094	2013-08-04 00:35:56.727137	2013-08-04 00:35:56.727137	192
24382	132031	915	2013-08-04 00:35:56.750476	2013-08-04 00:35:56.750476	192
24383	132022	998	2013-08-04 00:35:56.763781	2013-08-04 00:35:56.763781	192
24384	132010	41241	2013-08-04 00:35:56.777991	2013-08-04 00:35:56.777991	192
24385	132007	40470	2013-08-04 00:35:56.799978	2013-08-04 00:35:56.799978	192
24386	132004	39040	2013-08-04 00:35:56.821681	2013-08-04 00:35:56.821681	192
24387	131998	12656	2013-08-04 00:35:56.843933	2013-08-04 00:35:56.843933	192
24388	131992	41321	2013-08-04 00:35:56.861881	2013-08-04 00:35:56.861881	192
24389	131989	40192	2013-08-04 00:35:56.870105	2013-08-04 00:35:56.870105	192
24390	132429	46332	2013-08-04 00:35:56.943301	2013-08-04 00:35:56.943301	192
24391	132429	46312	2013-08-04 00:35:56.952048	2013-08-04 00:35:56.952048	192
24392	132429	46292	2013-08-04 00:35:57.007814	2013-08-04 00:35:57.007814	192
24393	132429	46272	2013-08-04 00:35:57.016188	2013-08-04 00:35:57.016188	192
24394	132429	46252	2013-08-04 00:35:57.019584	2013-08-04 00:35:57.019584	192
24395	132429	46255	2013-08-04 00:35:57.022459	2013-08-04 00:35:57.022459	192
24396	132429	46232	2013-08-04 00:35:57.02569	2013-08-04 00:35:57.02569	192
24397	132429	46212	2013-08-04 00:35:57.028732	2013-08-04 00:35:57.028732	192
24398	132429	46192	2013-08-04 00:35:57.031632	2013-08-04 00:35:57.031632	192
24399	132429	46172	2013-08-04 00:35:57.034069	2013-08-04 00:35:57.034069	192
24400	132429	46143	2013-08-04 00:35:57.036945	2013-08-04 00:35:57.036945	192
24401	132429	46152	2013-08-04 00:35:57.039693	2013-08-04 00:35:57.039693	192
24402	132429	46132	2013-08-04 00:35:57.042501	2013-08-04 00:35:57.042501	192
24403	132429	41412	2013-08-04 00:35:57.045329	2013-08-04 00:35:57.045329	192
24404	132429	41132	2013-08-04 00:35:57.048148	2013-08-04 00:35:57.048148	192
24405	132429	40438	2013-08-04 00:35:57.0509	2013-08-04 00:35:57.0509	192
24406	132429	40130	2013-08-04 00:35:57.056101	2013-08-04 00:35:57.056101	192
24407	132429	16779	2013-08-04 00:35:57.064585	2013-08-04 00:35:57.064585	192
24408	132429	12457	2013-08-04 00:35:57.072763	2013-08-04 00:35:57.072763	192
24409	132085	46052	2013-08-04 00:35:57.388365	2013-08-04 00:35:57.388365	192
24410	132085	41001	2013-08-04 00:35:57.399098	2013-08-04 00:35:57.399098	192
24411	132085	40250	2013-08-04 00:35:57.402879	2013-08-04 00:35:57.402879	192
24412	132085	40012	2013-08-04 00:35:57.406115	2013-08-04 00:35:57.406115	192
24413	132085	39750	2013-08-04 00:35:57.414244	2013-08-04 00:35:57.414244	192
24414	132085	32757	2013-08-04 00:35:57.424265	2013-08-04 00:35:57.424265	192
24415	132085	32812	2013-08-04 00:35:57.434383	2013-08-04 00:35:57.434383	192
24416	132085	839	2013-08-04 00:35:57.445655	2013-08-04 00:35:57.445655	192
24417	132085	38810	2013-08-04 00:35:57.453417	2013-08-04 00:35:57.453417	192
24418	132085	22586	2013-08-04 00:35:57.457967	2013-08-04 00:35:57.457967	192
24419	132085	32837	2013-08-04 00:35:57.462411	2013-08-04 00:35:57.462411	192
24420	132085	22213	2013-08-04 00:35:57.467899	2013-08-04 00:35:57.467899	192
24421	132919	41601	2013-08-04 00:40:47.282622	2013-08-04 00:40:47.282622	193
24422	132905	41581	2013-08-04 00:40:47.290332	2013-08-04 00:40:47.290332	193
24423	132774	41561	2013-08-04 00:40:47.297043	2013-08-04 00:40:47.297043	193
24424	132735	41541	2013-08-04 00:40:47.305403	2013-08-04 00:40:47.305403	193
24425	132605	41281	2013-08-04 00:40:47.314181	2013-08-04 00:40:47.314181	193
24426	132530	41050	2013-08-04 00:40:47.324072	2013-08-04 00:40:47.324072	193
24427	132529	40810	2013-08-04 00:40:47.333267	2013-08-04 00:40:47.333267	193
24428	132516	40510	2013-08-04 00:40:47.34889	2013-08-04 00:40:47.34889	193
24429	132513	40345	2013-08-04 00:40:47.370675	2013-08-04 00:40:47.370675	193
24430	132498	39561	2013-08-04 00:40:47.393763	2013-08-04 00:40:47.393763	193
24431	132494	39272	2013-08-04 00:40:47.413319	2013-08-04 00:40:47.413319	193
24432	132493	13036	2013-08-04 00:40:47.422114	2013-08-04 00:40:47.422114	193
24433	132489	12876	2013-08-04 00:40:47.433253	2013-08-04 00:40:47.433253	193
24434	132484	12696	2013-08-04 00:40:47.450143	2013-08-04 00:40:47.450143	193
24435	132481	33097	2013-08-04 00:40:47.460317	2013-08-04 00:40:47.460317	193
24436	132479	22728	2013-08-04 00:40:47.469257	2013-08-04 00:40:47.469257	193
24437	132475	46312	2013-08-04 00:40:47.477175	2013-08-04 00:40:47.477175	193
24438	134022	6519	2013-08-04 00:40:47.497282	2013-08-04 00:40:47.497282	193
24439	132920	12561	2013-08-04 00:40:47.506336	2013-08-04 00:40:47.506336	193
24440	132904	5918	2013-08-04 00:40:47.51433	2013-08-04 00:40:47.51433	193
24441	132770	1458	2013-08-04 00:40:47.521078	2013-08-04 00:40:47.521078	193
24442	132734	2297	2013-08-04 00:40:47.529973	2013-08-04 00:40:47.529973	193
24443	132590	1556	2013-08-04 00:40:47.544571	2013-08-04 00:40:47.544571	193
24444	132532	1619	2013-08-04 00:40:47.560566	2013-08-04 00:40:47.560566	193
24445	132526	1489	2013-08-04 00:40:47.571793	2013-08-04 00:40:47.571793	193
24446	132515	2284	2013-08-04 00:40:47.581694	2013-08-04 00:40:47.581694	193
24447	132512	2246	2013-08-04 00:40:47.592524	2013-08-04 00:40:47.592524	193
24448	132497	2592	2013-08-04 00:40:47.615484	2013-08-04 00:40:47.615484	193
24449	132490	2631	2013-08-04 00:40:47.628789	2013-08-04 00:40:47.628789	193
24450	132485	1644	2013-08-04 00:40:47.636525	2013-08-04 00:40:47.636525	193
24451	132483	1526	2013-08-04 00:40:47.644073	2013-08-04 00:40:47.644073	193
24452	132480	41281	2013-08-04 00:40:47.651973	2013-08-04 00:40:47.651973	193
24453	132478	12976	2013-08-04 00:40:47.659141	2013-08-04 00:40:47.659141	193
24454	132477	32975	2013-08-04 00:40:47.6662	2013-08-04 00:40:47.6662	193
24455	132845	12896	2013-08-04 00:40:47.796259	2013-08-04 00:40:47.796259	193
24456	133554	42081	2013-08-04 00:45:50.051164	2013-08-04 00:45:50.051164	194
24457	133483	42061	2013-08-04 00:45:50.068983	2013-08-04 00:45:50.068983	194
24458	133312	42041	2013-08-04 00:45:50.080732	2013-08-04 00:45:50.080732	194
24459	133277	42021	2013-08-04 00:45:50.088557	2013-08-04 00:45:50.088557	194
24460	133231	41960	2013-08-04 00:45:50.096589	2013-08-04 00:45:50.096589	194
24461	133198	42001	2013-08-04 00:45:50.104303	2013-08-04 00:45:50.104303	194
24462	133170	41981	2013-08-04 00:45:50.11743	2013-08-04 00:45:50.11743	194
24463	133094	41998	2013-08-04 00:45:50.134268	2013-08-04 00:45:50.134268	194
24464	133073	41961	2013-08-04 00:45:50.157648	2013-08-04 00:45:50.157648	194
24465	133072	41941	2013-08-04 00:45:50.168861	2013-08-04 00:45:50.168861	194
24466	133064	41921	2013-08-04 00:45:50.180655	2013-08-04 00:45:50.180655	194
24467	133056	41912	2013-08-04 00:45:50.19704	2013-08-04 00:45:50.19704	194
24468	133042	41270	2013-08-04 00:45:50.218933	2013-08-04 00:45:50.218933	194
24469	133017	13906	2013-08-04 00:45:50.24133	2013-08-04 00:45:50.24133	194
24470	133010	18460	2013-08-04 00:45:50.250281	2013-08-04 00:45:50.250281	194
24471	133008	23548	2013-08-04 00:45:50.259648	2013-08-04 00:45:50.259648	194
24472	133005	22986	2013-08-04 00:45:50.268669	2013-08-04 00:45:50.268669	194
24473	134003	22317	2013-08-04 00:45:50.3014	2013-08-04 00:45:50.3014	194
24474	133424	22297	2013-08-04 00:45:50.308167	2013-08-04 00:45:50.308167	194
24475	133311	12961	2013-08-04 00:45:50.315299	2013-08-04 00:45:50.315299	194
24476	133278	13241	2013-08-04 00:45:50.324086	2013-08-04 00:45:50.324086	194
24477	133276	13261	2013-08-04 00:45:50.34034	2013-08-04 00:45:50.34034	194
24478	133229	27243	2013-08-04 00:45:50.347381	2013-08-04 00:45:50.347381	194
24479	133194	22835	2013-08-04 00:45:50.354822	2013-08-04 00:45:50.354822	194
24480	133093	13048	2013-08-04 00:45:50.361701	2013-08-04 00:45:50.361701	194
24481	133076	12220	2013-08-04 00:45:50.372374	2013-08-04 00:45:50.372374	194
24482	133060	26903	2013-08-04 00:45:50.388564	2013-08-04 00:45:50.388564	194
24483	133055	19720	2013-08-04 00:45:50.404287	2013-08-04 00:45:50.404287	194
24484	133053	17292	2013-08-04 00:45:50.415815	2013-08-04 00:45:50.415815	194
24485	133044	5116	2013-08-04 00:45:50.423377	2013-08-04 00:45:50.423377	194
24486	133037	22575	2013-08-04 00:45:50.432696	2013-08-04 00:45:50.432696	194
24487	133036	42081	2013-08-04 00:45:50.445646	2013-08-04 00:45:50.445646	194
24488	133007	22873	2013-08-04 00:45:50.456329	2013-08-04 00:45:50.456329	194
24489	133004	22633	2013-08-04 00:45:50.466794	2013-08-04 00:45:50.466794	194
24490	133907	42581	2013-08-04 00:50:53.279036	2013-08-04 00:50:53.279036	195
24491	133796	42678	2013-08-04 00:50:53.305224	2013-08-04 00:50:53.305224	195
24492	133753	42561	2013-08-04 00:50:53.322615	2013-08-04 00:50:53.322615	195
24493	133717	42541	2013-08-04 00:50:53.336284	2013-08-04 00:50:53.336284	195
24494	133686	42521	2013-08-04 00:50:53.352025	2013-08-04 00:50:53.352025	195
24495	133675	42432	2013-08-04 00:50:53.36828	2013-08-04 00:50:53.36828	195
24496	133603	42501	2013-08-04 00:50:53.379006	2013-08-04 00:50:53.379006	195
24497	133601	42481	2013-08-04 00:50:53.388333	2013-08-04 00:50:53.388333	195
24498	133595	42461	2013-08-04 00:50:53.40029	2013-08-04 00:50:53.40029	195
24499	133592	42441	2013-08-04 00:50:53.413982	2013-08-04 00:50:53.413982	195
24500	133589	42418	2013-08-04 00:50:53.421669	2013-08-04 00:50:53.421669	195
24501	133566	42421	2013-08-04 00:50:53.429647	2013-08-04 00:50:53.429647	195
24502	133556	23178	2013-08-04 00:50:53.437529	2013-08-04 00:50:53.437529	195
24503	133549	33277	2013-08-04 00:50:53.444896	2013-08-04 00:50:53.444896	195
24504	133538	41752	2013-08-04 00:50:53.454086	2013-08-04 00:50:53.454086	195
24505	133537	28643	2013-08-04 00:50:53.467347	2013-08-04 00:50:53.467347	195
24506	133530	4939	2013-08-04 00:50:53.488314	2013-08-04 00:50:53.488314	195
24507	133990	14398	2013-08-04 00:50:53.581181	2013-08-04 00:50:53.581181	195
24508	133950	6086	2013-08-04 00:50:53.590681	2013-08-04 00:50:53.590681	195
24509	133792	6338	2013-08-04 00:50:53.600952	2013-08-04 00:50:53.600952	195
24510	133752	23615	2013-08-04 00:50:53.613227	2013-08-04 00:50:53.613227	195
24511	133682	29723	2013-08-04 00:50:53.621097	2013-08-04 00:50:53.621097	195
24512	133676	17852	2013-08-04 00:50:53.630877	2013-08-04 00:50:53.630877	195
24513	133596	13350	2013-08-04 00:50:53.641908	2013-08-04 00:50:53.641908	195
24514	133591	9711	2013-08-04 00:50:53.650741	2013-08-04 00:50:53.650741	195
24515	133588	28843	2013-08-04 00:50:53.659372	2013-08-04 00:50:53.659372	195
24516	133586	13841	2013-08-04 00:50:53.668337	2013-08-04 00:50:53.668337	195
24517	133582	23335	2013-08-04 00:50:53.677713	2013-08-04 00:50:53.677713	195
24518	133567	46612	2013-08-04 00:50:53.689556	2013-08-04 00:50:53.689556	195
24519	133565	42581	2013-08-04 00:50:53.710668	2013-08-04 00:50:53.710668	195
24520	133555	41725	2013-08-04 00:50:53.733187	2013-08-04 00:50:53.733187	195
24521	133546	21655	2013-08-04 00:50:53.750446	2013-08-04 00:50:53.750446	195
24522	133529	33217	2013-08-04 00:50:53.75786	2013-08-04 00:50:53.75786	195
24523	134509	43081	2013-08-04 00:55:54.934306	2013-08-04 00:55:54.934306	196
24524	134275	43061	2013-08-04 00:55:54.960104	2013-08-04 00:55:54.960104	196
24525	134242	43041	2013-08-04 00:55:54.969089	2013-08-04 00:55:54.969089	196
24526	134219	43021	2013-08-04 00:55:54.992853	2013-08-04 00:55:54.992853	196
24527	134174	42895	2013-08-04 00:55:55.017595	2013-08-04 00:55:55.017595	196
24528	134125	42932	2013-08-04 00:55:55.042774	2013-08-04 00:55:55.042774	196
24529	134095	43001	2013-08-04 00:55:55.051964	2013-08-04 00:55:55.051964	196
24530	134083	42981	2013-08-04 00:55:55.061318	2013-08-04 00:55:55.061318	196
24531	134076	42961	2013-08-04 00:55:55.068989	2013-08-04 00:55:55.068989	196
24532	134065	42920	2013-08-04 00:55:55.082258	2013-08-04 00:55:55.082258	196
24533	134054	42941	2013-08-04 00:55:55.09627	2013-08-04 00:55:55.09627	196
24534	134044	42921	2013-08-04 00:55:55.115474	2013-08-04 00:55:55.115474	196
24535	134036	42250	2013-08-04 00:55:55.13287	2013-08-04 00:55:55.13287	196
24536	134032	39830	2013-08-04 00:55:55.140805	2013-08-04 00:55:55.140805	196
24537	134029	12918	2013-08-04 00:55:55.148187	2013-08-04 00:55:55.148187	196
24538	134027	23126	2013-08-04 00:55:55.160216	2013-08-04 00:55:55.160216	196
24539	134025	31803	2013-08-04 00:55:55.182144	2013-08-04 00:55:55.182144	196
24540	134318	32903	2013-08-04 00:55:55.233978	2013-08-04 00:55:55.233978	196
24541	134278	26375	2013-08-04 00:55:55.245585	2013-08-04 00:55:55.245585	196
24542	134274	26055	2013-08-04 00:55:55.262392	2013-08-04 00:55:55.262392	196
24543	134241	32683	2013-08-04 00:55:55.284674	2013-08-04 00:55:55.284674	196
24544	134170	6689	2013-08-04 00:55:55.292709	2013-08-04 00:55:55.292709	196
24545	134124	6709	2013-08-04 00:55:55.313118	2013-08-04 00:55:55.313118	196
24546	134084	5578	2013-08-04 00:55:55.335792	2013-08-04 00:55:55.335792	196
24547	134077	25715	2013-08-04 00:55:55.359915	2013-08-04 00:55:55.359915	196
24548	134063	15980	2013-08-04 00:55:55.375527	2013-08-04 00:55:55.375527	196
24549	134057	11361	2013-08-04 00:55:55.389258	2013-08-04 00:55:55.389258	196
24550	134051	1503	2013-08-04 00:55:55.405661	2013-08-04 00:55:55.405661	196
24551	134045	32523	2013-08-04 00:55:55.429374	2013-08-04 00:55:55.429374	196
24552	134043	13970	2013-08-04 00:55:55.452197	2013-08-04 00:55:55.452197	196
24553	134035	5075	2013-08-04 00:55:55.461553	2013-08-04 00:55:55.461553	196
24554	134031	43021	2013-08-04 00:55:55.471087	2013-08-04 00:55:55.471087	196
24555	134028	42190	2013-08-04 00:55:55.480131	2013-08-04 00:55:55.480131	196
24556	134024	23008	2013-08-04 00:55:55.489478	2013-08-04 00:55:55.489478	196
24557	135003	43621	2013-08-04 01:00:52.483952	2013-08-04 01:00:52.483952	197
24558	134748	43601	2013-08-04 01:00:52.502307	2013-08-04 01:00:52.502307	197
24559	134727	43581	2013-08-04 01:00:52.519097	2013-08-04 01:00:52.519097	197
24560	134676	43500	2013-08-04 01:00:52.531711	2013-08-04 01:00:52.531711	197
24561	134671	43561	2013-08-04 01:00:52.542139	2013-08-04 01:00:52.542139	197
24562	134668	43541	2013-08-04 01:00:52.552743	2013-08-04 01:00:52.552743	197
24563	134648	43521	2013-08-04 01:00:52.560701	2013-08-04 01:00:52.560701	197
24564	134621	43578	2013-08-04 01:00:52.568229	2013-08-04 01:00:52.568229	197
24565	134620	43501	2013-08-04 01:00:52.606116	2013-08-04 01:00:52.606116	197
24566	134601	43481	2013-08-04 01:00:52.622558	2013-08-04 01:00:52.622558	197
24567	134564	43432	2013-08-04 01:00:52.631244	2013-08-04 01:00:52.631244	197
24568	134557	43461	2013-08-04 01:00:52.640119	2013-08-04 01:00:52.640119	197
24569	134545	43441	2013-08-04 01:00:52.649112	2013-08-04 01:00:52.649112	197
24570	134542	42790	2013-08-04 01:00:52.657347	2013-08-04 01:00:52.657347	197
24571	134537	33477	2013-08-04 01:00:52.665952	2013-08-04 01:00:52.665952	197
24572	134534	23386	2013-08-04 01:00:52.676134	2013-08-04 01:00:52.676134	197
24573	135022	41960	2013-08-04 01:00:52.692535	2013-08-04 01:00:52.692535	197
24574	135022	41730	2013-08-04 01:00:52.696172	2013-08-04 01:00:52.696172	197
24575	135022	41565	2013-08-04 01:00:52.699471	2013-08-04 01:00:52.699471	197
24576	135022	39550	2013-08-04 01:00:52.702818	2013-08-04 01:00:52.702818	197
24577	135022	23086	2013-08-04 01:00:52.70641	2013-08-04 01:00:52.70641	197
24578	135022	22913	2013-08-04 01:00:52.711696	2013-08-04 01:00:52.711696	197
24579	135022	22673	2013-08-04 01:00:52.718778	2013-08-04 01:00:52.718778	197
24580	135022	1728	2013-08-04 01:00:52.724844	2013-08-04 01:00:52.724844	197
24581	135022	27681	2013-08-04 01:00:52.732256	2013-08-04 01:00:52.732256	197
24582	134877	23346	2013-08-04 01:00:52.739425	2013-08-04 01:00:52.739425	197
24583	134877	47092	2013-08-04 01:00:52.74299	2013-08-04 01:00:52.74299	197
24584	134877	23126	2013-08-04 01:00:52.748937	2013-08-04 01:00:52.748937	197
24585	134877	6086	2013-08-04 01:00:52.754316	2013-08-04 01:00:52.754316	197
24586	134877	23093	2013-08-04 01:00:52.759544	2013-08-04 01:00:52.759544	197
24587	134877	46598	2013-08-04 01:00:52.76485	2013-08-04 01:00:52.76485	197
24588	134877	33237	2013-08-04 01:00:52.772091	2013-08-04 01:00:52.772091	197
24589	134877	20560	2013-08-04 01:00:52.781597	2013-08-04 01:00:52.781597	197
24590	134877	13041	2013-08-04 01:00:52.790251	2013-08-04 01:00:52.790251	197
24591	134857	26375	2013-08-04 01:00:53.209244	2013-08-04 01:00:53.209244	197
24592	134857	31843	2013-08-04 01:00:53.21472	2013-08-04 01:00:53.21472	197
24593	134857	27243	2013-08-04 01:00:53.21877	2013-08-04 01:00:53.21877	197
24594	134857	46892	2013-08-04 01:00:53.223683	2013-08-04 01:00:53.223683	197
24595	134857	46352	2013-08-04 01:00:53.227625	2013-08-04 01:00:53.227625	197
24596	134857	43581	2013-08-04 01:00:53.231362	2013-08-04 01:00:53.231362	197
24597	134857	43401	2013-08-04 01:00:53.23569	2013-08-04 01:00:53.23569	197
24598	134857	42901	2013-08-04 01:00:53.243549	2013-08-04 01:00:53.243549	197
24599	134857	42770	2013-08-04 01:00:53.250731	2013-08-04 01:00:53.250731	197
24600	134857	42490	2013-08-04 01:00:53.259648	2013-08-04 01:00:53.259648	197
24601	134857	42541	2013-08-04 01:00:53.26717	2013-08-04 01:00:53.26717	197
24602	134857	42405	2013-08-04 01:00:53.276707	2013-08-04 01:00:53.276707	197
24603	134857	42230	2013-08-04 01:00:53.287032	2013-08-04 01:00:53.287032	197
24604	134835	13441	2013-08-04 01:00:53.324252	2013-08-04 01:00:53.324252	197
24605	134835	22986	2013-08-04 01:00:53.327866	2013-08-04 01:00:53.327866	197
24606	134835	5981	2013-08-04 01:00:53.332336	2013-08-04 01:00:53.332336	197
24607	134835	32975	2013-08-04 01:00:53.338203	2013-08-04 01:00:53.338203	197
24608	134835	46312	2013-08-04 01:00:53.343929	2013-08-04 01:00:53.343929	197
24609	134835	40950	2013-08-04 01:00:53.347818	2013-08-04 01:00:53.347818	197
24610	134835	22706	2013-08-04 01:00:53.351387	2013-08-04 01:00:53.351387	197
24611	134835	41321	2013-08-04 01:00:53.354345	2013-08-04 01:00:53.354345	197
24612	134835	12716	2013-08-04 01:00:53.358393	2013-08-04 01:00:53.358393	197
24613	134835	321	2013-08-04 01:00:53.366614	2013-08-04 01:00:53.366614	197
24614	134835	4243	2013-08-04 01:00:53.375014	2013-08-04 01:00:53.375014	197
24615	134835	40241	2013-08-04 01:00:53.385727	2013-08-04 01:00:53.385727	197
24616	134835	12032	2013-08-04 01:00:53.396699	2013-08-04 01:00:53.396699	197
24617	134835	46843	2013-08-04 01:00:53.408511	2013-08-04 01:00:53.408511	197
24618	134835	22326	2013-08-04 01:00:53.420226	2013-08-04 01:00:53.420226	197
24619	134835	3409	2013-08-04 01:00:53.426466	2013-08-04 01:00:53.426466	197
24620	134835	22072	2013-08-04 01:00:53.430213	2013-08-04 01:00:53.430213	197
24621	134835	38290	2013-08-04 01:00:53.435502	2013-08-04 01:00:53.435502	197
24622	134835	38050	2013-08-04 01:00:53.442929	2013-08-04 01:00:53.442929	197
24623	134834	2368	2013-08-04 01:00:53.464324	2013-08-04 01:00:53.464324	197
24624	134834	2381	2013-08-04 01:00:53.468562	2013-08-04 01:00:53.468562	197
24625	134834	18991	2013-08-04 01:00:53.472279	2013-08-04 01:00:53.472279	197
24626	134834	18997	2013-08-04 01:00:53.475907	2013-08-04 01:00:53.475907	197
24627	134834	18971	2013-08-04 01:00:53.479026	2013-08-04 01:00:53.479026	197
24628	134834	18951	2013-08-04 01:00:53.482122	2013-08-04 01:00:53.482122	197
24629	134834	18581	2013-08-04 01:00:53.485567	2013-08-04 01:00:53.485567	197
24630	134834	7544	2013-08-04 01:00:53.490007	2013-08-04 01:00:53.490007	197
24631	134834	16948	2013-08-04 01:00:53.49439	2013-08-04 01:00:53.49439	197
24632	134834	11556	2013-08-04 01:00:53.49934	2013-08-04 01:00:53.49934	197
24633	134834	16730	2013-08-04 01:00:53.505738	2013-08-04 01:00:53.505738	197
24634	134834	16559	2013-08-04 01:00:53.516339	2013-08-04 01:00:53.516339	197
24635	134834	16433	2013-08-04 01:00:53.52695	2013-08-04 01:00:53.52695	197
24636	134834	15999	2013-08-04 01:00:53.538597	2013-08-04 01:00:53.538597	197
24637	134834	13032	2013-08-04 01:00:53.550232	2013-08-04 01:00:53.550232	197
24638	134834	33410	2013-08-04 01:00:53.558585	2013-08-04 01:00:53.558585	197
24639	134834	23120	2013-08-04 01:00:53.563535	2013-08-04 01:00:53.563535	197
24640	134834	1503	2013-08-04 01:00:53.568807	2013-08-04 01:00:53.568807	197
24641	134834	42941	2013-08-04 01:00:53.574015	2013-08-04 01:00:53.574015	197
24642	134836	47392	2013-08-04 01:00:53.595288	2013-08-04 01:00:53.595288	197
24643	134836	47325	2013-08-04 01:00:53.602707	2013-08-04 01:00:53.602707	197
24644	134836	47372	2013-08-04 01:00:53.609006	2013-08-04 01:00:53.609006	197
24645	134836	47352	2013-08-04 01:00:53.613744	2013-08-04 01:00:53.613744	197
24646	134836	47332	2013-08-04 01:00:53.619036	2013-08-04 01:00:53.619036	197
24647	134836	47312	2013-08-04 01:00:53.623093	2013-08-04 01:00:53.623093	197
24648	134836	47292	2013-08-04 01:00:53.626726	2013-08-04 01:00:53.626726	197
24649	134836	47272	2013-08-04 01:00:53.630447	2013-08-04 01:00:53.630447	197
24650	134836	47163	2013-08-04 01:00:53.634312	2013-08-04 01:00:53.634312	197
24651	134836	47252	2013-08-04 01:00:53.640059	2013-08-04 01:00:53.640059	197
24652	134836	47232	2013-08-04 01:00:53.644802	2013-08-04 01:00:53.644802	197
24653	134836	47212	2013-08-04 01:00:53.65065	2013-08-04 01:00:53.65065	197
24654	134836	47192	2013-08-04 01:00:53.654606	2013-08-04 01:00:53.654606	197
24655	134836	47172	2013-08-04 01:00:53.661197	2013-08-04 01:00:53.661197	197
24656	134836	47152	2013-08-04 01:00:53.665907	2013-08-04 01:00:53.665907	197
24657	134836	43241	2013-08-04 01:00:53.669172	2013-08-04 01:00:53.669172	197
24658	134836	42630	2013-08-04 01:00:53.67196	2013-08-04 01:00:53.67196	197
24659	134836	33425	2013-08-04 01:00:53.676247	2013-08-04 01:00:53.676247	197
24660	134836	23135	2013-08-04 01:00:53.681471	2013-08-04 01:00:53.681471	197
24661	134848	23353	2013-08-04 01:00:53.699988	2013-08-04 01:00:53.699988	197
24662	134848	23333	2013-08-04 01:00:53.704663	2013-08-04 01:00:53.704663	197
24663	134848	23313	2013-08-04 01:00:53.709352	2013-08-04 01:00:53.709352	197
24664	134848	23293	2013-08-04 01:00:53.714042	2013-08-04 01:00:53.714042	197
24665	134848	23273	2013-08-04 01:00:53.718427	2013-08-04 01:00:53.718427	197
24666	134848	23265	2013-08-04 01:00:53.72326	2013-08-04 01:00:53.72326	197
24667	134848	23253	2013-08-04 01:00:53.726879	2013-08-04 01:00:53.726879	197
24668	134848	23233	2013-08-04 01:00:53.731461	2013-08-04 01:00:53.731461	197
24669	134848	23213	2013-08-04 01:00:53.734957	2013-08-04 01:00:53.734957	197
24670	134848	23193	2013-08-04 01:00:53.739024	2013-08-04 01:00:53.739024	197
24671	134848	23230	2013-08-04 01:00:53.742754	2013-08-04 01:00:53.742754	197
24672	134848	23173	2013-08-04 01:00:53.750025	2013-08-04 01:00:53.750025	197
24673	134848	23153	2013-08-04 01:00:53.75576	2013-08-04 01:00:53.75576	197
24674	134848	23133	2013-08-04 01:00:53.760531	2013-08-04 01:00:53.760531	197
24675	134848	22613	2013-08-04 01:00:53.764442	2013-08-04 01:00:53.764442	197
24676	134848	8879	2013-08-04 01:00:53.768193	2013-08-04 01:00:53.768193	197
24677	134848	21775	2013-08-04 01:00:53.771679	2013-08-04 01:00:53.771679	197
24678	134848	28843	2013-08-04 01:00:53.775494	2013-08-04 01:00:53.775494	197
24679	134848	38955	2013-08-04 01:00:53.779694	2013-08-04 01:00:53.779694	197
24680	135197	44441	2013-08-04 01:05:54.934825	2013-08-04 01:05:54.934825	198
24681	135142	44421	2013-08-04 01:05:54.95586	2013-08-04 01:05:54.95586	198
24682	135117	44380	2013-08-04 01:05:54.976617	2013-08-04 01:05:54.976617	198
24683	135109	44401	2013-08-04 01:05:54.984656	2013-08-04 01:05:54.984656	198
24684	135092	44381	2013-08-04 01:05:55.000217	2013-08-04 01:05:55.000217	198
24685	135056	44312	2013-08-04 01:05:55.023168	2013-08-04 01:05:55.023168	198
24686	135053	44361	2013-08-04 01:05:55.048023	2013-08-04 01:05:55.048023	198
24687	135049	44341	2013-08-04 01:05:55.06369	2013-08-04 01:05:55.06369	198
24688	135045	44321	2013-08-04 01:05:55.076715	2013-08-04 01:05:55.076715	198
24689	135041	43290	2013-08-04 01:05:55.099648	2013-08-04 01:05:55.099648	198
24690	135033	13831	2013-08-04 01:05:55.121496	2013-08-04 01:05:55.121496	198
24691	135029	13436	2013-08-04 01:05:55.144044	2013-08-04 01:05:55.144044	198
24692	135025	23495	2013-08-04 01:05:55.151268	2013-08-04 01:05:55.151268	198
24693	135023	33990	2013-08-04 01:05:55.1683	2013-08-04 01:05:55.1683	198
24694	135380	47672	2013-08-04 01:05:55.225998	2013-08-04 01:05:55.225998	198
24695	135380	44321	2013-08-04 01:05:55.23081	2013-08-04 01:05:55.23081	198
24696	135380	44325	2013-08-04 01:05:55.23398	2013-08-04 01:05:55.23398	198
24697	135380	43981	2013-08-04 01:05:55.241753	2013-08-04 01:05:55.241753	198
24698	135380	43250	2013-08-04 01:05:55.247527	2013-08-04 01:05:55.247527	198
24699	135380	13396	2013-08-04 01:05:55.252054	2013-08-04 01:05:55.252054	198
24700	135380	13095	2013-08-04 01:05:55.256466	2013-08-04 01:05:55.256466	198
24701	135380	18686	2013-08-04 01:05:55.261199	2013-08-04 01:05:55.261199	198
24702	135380	34065	2013-08-04 01:05:55.265331	2013-08-04 01:05:55.265331	198
24703	135380	2345	2013-08-04 01:05:55.269418	2013-08-04 01:05:55.269418	198
24704	135380	43010	2013-08-04 01:05:55.273807	2013-08-04 01:05:55.273807	198
24705	135316	13396	2013-08-04 01:05:55.39813	2013-08-04 01:05:55.39813	198
24706	135299	13095	2013-08-04 01:05:55.413723	2013-08-04 01:05:55.413723	198
24707	135173	13236	2013-08-04 01:05:55.434902	2013-08-04 01:05:55.434902	198
24708	135128	18686	2013-08-04 01:05:55.453193	2013-08-04 01:05:55.453193	198
24709	135110	44325	2013-08-04 01:05:55.46143	2013-08-04 01:05:55.46143	198
24710	135068	44321	2013-08-04 01:05:55.523201	2013-08-04 01:05:55.523201	198
24711	135066	33475	2013-08-04 01:05:55.541722	2013-08-04 01:05:55.541722	198
24712	135060	43010	2013-08-04 01:05:55.551558	2013-08-04 01:05:55.551558	198
24713	135057	2345	2013-08-04 01:05:55.560474	2013-08-04 01:05:55.560474	198
24714	135050	34065	2013-08-04 01:05:55.567147	2013-08-04 01:05:55.567147	198
24715	135047	33857	2013-08-04 01:05:55.575154	2013-08-04 01:05:55.575154	198
24716	135044	33717	2013-08-04 01:05:55.583693	2013-08-04 01:05:55.583693	198
24717	135043	42890	2013-08-04 01:05:55.602308	2013-08-04 01:05:55.602308	198
24718	135032	33317	2013-08-04 01:05:55.624932	2013-08-04 01:05:55.624932	198
24719	135028	15568	2013-08-04 01:05:55.645046	2013-08-04 01:05:55.645046	198
24720	135034	33717	2013-08-04 01:05:55.802274	2013-08-04 01:05:55.802274	198
24721	135037	33475	2013-08-04 01:05:55.837175	2013-08-04 01:05:55.837175	198
24722	135036	12659	2013-08-04 01:05:55.881925	2013-08-04 01:05:55.881925	198
24723	135036	12646	2013-08-04 01:05:55.887459	2013-08-04 01:05:55.887459	198
24724	135036	12472	2013-08-04 01:05:55.890951	2013-08-04 01:05:55.890951	198
24725	135036	12201	2013-08-04 01:05:55.899353	2013-08-04 01:05:55.899353	198
24726	135036	2049	2013-08-04 01:05:55.906647	2013-08-04 01:05:55.906647	198
24727	135036	2760	2013-08-04 01:05:55.91584	2013-08-04 01:05:55.91584	198
24728	135036	7404	2013-08-04 01:05:55.926998	2013-08-04 01:05:55.926998	198
24729	135036	33990	2013-08-04 01:05:55.937972	2013-08-04 01:05:55.937972	198
24730	135036	4864	2013-08-04 01:05:55.949227	2013-08-04 01:05:55.949227	198
24731	135036	11059	2013-08-04 01:05:55.960155	2013-08-04 01:05:55.960155	198
24732	135036	33357	2013-08-04 01:05:55.968877	2013-08-04 01:05:55.968877	198
24733	135036	23286	2013-08-04 01:05:55.972478	2013-08-04 01:05:55.972478	198
24734	135036	31803	2013-08-04 01:05:55.975636	2013-08-04 01:05:55.975636	198
24735	135036	33217	2013-08-04 01:05:55.979341	2013-08-04 01:05:55.979341	198
24736	135036	33277	2013-08-04 01:05:55.983202	2013-08-04 01:05:55.983202	198
24737	135036	23053	2013-08-04 01:05:55.990978	2013-08-04 01:05:55.990978	198
24738	135036	33177	2013-08-04 01:05:55.996249	2013-08-04 01:05:55.996249	198
24739	135036	4939	2013-08-04 01:05:56.001902	2013-08-04 01:05:56.001902	198
24740	135036	15568	2013-08-04 01:05:56.00627	2013-08-04 01:05:56.00627	198
24741	135035	35281	2013-08-04 01:05:56.027558	2013-08-04 01:05:56.027558	198
24742	135035	19131	2013-08-04 01:05:56.031607	2013-08-04 01:05:56.031607	198
24743	135035	19015	2013-08-04 01:05:56.038154	2013-08-04 01:05:56.038154	198
24744	135035	19073	2013-08-04 01:05:56.045315	2013-08-04 01:05:56.045315	198
24745	135035	19111	2013-08-04 01:05:56.052174	2013-08-04 01:05:56.052174	198
24746	135035	19093	2013-08-04 01:05:56.059014	2013-08-04 01:05:56.059014	198
24747	135035	12635	2013-08-04 01:05:56.070825	2013-08-04 01:05:56.070825	198
24748	135035	12566	2013-08-04 01:05:56.082729	2013-08-04 01:05:56.082729	198
24749	135035	19091	2013-08-04 01:05:56.094959	2013-08-04 01:05:56.094959	198
24750	135035	19071	2013-08-04 01:05:56.102453	2013-08-04 01:05:56.102453	198
24751	135035	19051	2013-08-04 01:05:56.105937	2013-08-04 01:05:56.105937	198
24752	135035	19090	2013-08-04 01:05:56.112621	2013-08-04 01:05:56.112621	198
24753	135035	19031	2013-08-04 01:05:56.121021	2013-08-04 01:05:56.121021	198
24754	135035	19011	2013-08-04 01:05:56.130227	2013-08-04 01:05:56.130227	198
24755	135035	13336	2013-08-04 01:05:56.142382	2013-08-04 01:05:56.142382	198
24756	135035	12916	2013-08-04 01:05:56.15248	2013-08-04 01:05:56.15248	198
24757	135035	18686	2013-08-04 01:05:56.160916	2013-08-04 01:05:56.160916	198
24758	135035	23473	2013-08-04 01:05:56.170118	2013-08-04 01:05:56.170118	198
24759	135035	33897	2013-08-04 01:05:56.180366	2013-08-04 01:05:56.180366	198
24760	135039	47912	2013-08-04 01:05:56.205633	2013-08-04 01:05:56.205633	198
24761	135039	47892	2013-08-04 01:05:56.209388	2013-08-04 01:05:56.209388	198
24762	135039	47872	2013-08-04 01:05:56.212877	2013-08-04 01:05:56.212877	198
24763	135039	47852	2013-08-04 01:05:56.220028	2013-08-04 01:05:56.220028	198
24764	135039	47832	2013-08-04 01:05:56.230793	2013-08-04 01:05:56.230793	198
24765	135039	47812	2013-08-04 01:05:56.242468	2013-08-04 01:05:56.242468	198
24766	135039	47792	2013-08-04 01:05:56.254465	2013-08-04 01:05:56.254465	198
24767	135039	47772	2013-08-04 01:05:56.265629	2013-08-04 01:05:56.265629	198
24768	135039	47752	2013-08-04 01:05:56.27408	2013-08-04 01:05:56.27408	198
24769	135039	47732	2013-08-04 01:05:56.278424	2013-08-04 01:05:56.278424	198
24770	135039	47715	2013-08-04 01:05:56.282688	2013-08-04 01:05:56.282688	198
24771	135039	44141	2013-08-04 01:05:56.290348	2013-08-04 01:05:56.290348	198
24772	135039	43821	2013-08-04 01:05:56.298268	2013-08-04 01:05:56.298268	198
24773	135039	43150	2013-08-04 01:05:56.303486	2013-08-04 01:05:56.303486	198
24774	135039	33577	2013-08-04 01:05:56.313819	2013-08-04 01:05:56.313819	198
24775	135039	24117	2013-08-04 01:05:56.321974	2013-08-04 01:05:56.321974	198
24776	135039	12656	2013-08-04 01:05:56.328318	2013-08-04 01:05:56.328318	198
24777	135039	14706	2013-08-04 01:05:56.337705	2013-08-04 01:05:56.337705	198
24778	135039	33877	2013-08-04 01:05:56.344925	2013-08-04 01:05:56.344925	198
24779	135040	23713	2013-08-04 01:05:56.359641	2013-08-04 01:05:56.359641	198
24780	135040	14806	2013-08-04 01:05:56.364186	2013-08-04 01:05:56.364186	198
24781	135040	23693	2013-08-04 01:05:56.36845	2013-08-04 01:05:56.36845	198
24782	135040	14843	2013-08-04 01:05:56.372699	2013-08-04 01:05:56.372699	198
24783	135040	23673	2013-08-04 01:05:56.378545	2013-08-04 01:05:56.378545	198
24784	135040	14666	2013-08-04 01:05:56.384059	2013-08-04 01:05:56.384059	198
24785	135040	23653	2013-08-04 01:05:56.391271	2013-08-04 01:05:56.391271	198
24786	135040	23643	2013-08-04 01:05:56.397887	2013-08-04 01:05:56.397887	198
24787	135040	23633	2013-08-04 01:05:56.407041	2013-08-04 01:05:56.407041	198
24788	135040	23652	2013-08-04 01:05:56.41854	2013-08-04 01:05:56.41854	198
24789	135040	23613	2013-08-04 01:05:56.4303	2013-08-04 01:05:56.4303	198
24790	135040	23672	2013-08-04 01:05:56.441562	2013-08-04 01:05:56.441562	198
24791	135040	23593	2013-08-04 01:05:56.452148	2013-08-04 01:05:56.452148	198
24792	135040	23573	2013-08-04 01:05:56.455666	2013-08-04 01:05:56.455666	198
24793	135040	23553	2013-08-04 01:05:56.46451	2013-08-04 01:05:56.46451	198
24794	135040	9359	2013-08-04 01:05:56.474332	2013-08-04 01:05:56.474332	198
24795	135040	12086	2013-08-04 01:05:56.484757	2013-08-04 01:05:56.484757	198
24796	135040	2345	2013-08-04 01:05:56.494965	2013-08-04 01:05:56.494965	198
24797	135040	23495	2013-08-04 01:05:56.505261	2013-08-04 01:05:56.505261	198
24798	135824	45241	2013-08-04 01:10:50.292585	2013-08-04 01:10:50.292585	199
24799	135797	45221	2013-08-04 01:10:50.303142	2013-08-04 01:10:50.303142	199
24800	135587	45201	2013-08-04 01:10:50.313002	2013-08-04 01:10:50.313002	199
24801	135586	45181	2013-08-04 01:10:50.324094	2013-08-04 01:10:50.324094	199
24802	135583	45161	2013-08-04 01:10:50.34343	2013-08-04 01:10:50.34343	199
24803	135568	45141	2013-08-04 01:10:50.352501	2013-08-04 01:10:50.352501	199
24804	135557	45121	2013-08-04 01:10:50.361251	2013-08-04 01:10:50.361251	199
24805	135553	45101	2013-08-04 01:10:50.370249	2013-08-04 01:10:50.370249	199
24806	135545	45152	2013-08-04 01:10:50.380096	2013-08-04 01:10:50.380096	199
24807	135537	45081	2013-08-04 01:10:50.388614	2013-08-04 01:10:50.388614	199
24808	135536	45080	2013-08-04 01:10:50.397033	2013-08-04 01:10:50.397033	199
24809	135533	45061	2013-08-04 01:10:50.405821	2013-08-04 01:10:50.405821	199
24810	135531	44070	2013-08-04 01:10:50.415563	2013-08-04 01:10:50.415563	199
24811	135520	43730	2013-08-04 01:10:50.42282	2013-08-04 01:10:50.42282	199
24812	135516	40521	2013-08-04 01:10:50.42987	2013-08-04 01:10:50.42987	199
24813	135712	45041	2013-08-04 01:10:50.464627	2013-08-04 01:10:50.464627	199
24814	135712	44761	2013-08-04 01:10:50.475652	2013-08-04 01:10:50.475652	199
24815	135712	44030	2013-08-04 01:10:50.486604	2013-08-04 01:10:50.486604	199
24816	135712	43690	2013-08-04 01:10:50.49626	2013-08-04 01:10:50.49626	199
24817	135712	43490	2013-08-04 01:10:50.49957	2013-08-04 01:10:50.49957	199
24818	135614	40330	2013-08-04 01:10:50.511981	2013-08-04 01:10:50.511981	199
24819	135614	34177	2013-08-04 01:10:50.522141	2013-08-04 01:10:50.522141	199
24820	135614	23503	2013-08-04 01:10:50.533077	2013-08-04 01:10:50.533077	199
24821	135614	11846	2013-08-04 01:10:50.544253	2013-08-04 01:10:50.544253	199
24822	135614	48192	2013-08-04 01:10:50.555252	2013-08-04 01:10:50.555252	199
24823	135525	16031	2013-08-04 01:10:51.135092	2013-08-04 01:10:51.135092	199
24824	135525	12439	2013-08-04 01:10:51.139711	2013-08-04 01:10:51.139711	199
24825	135525	15891	2013-08-04 01:10:51.144697	2013-08-04 01:10:51.144697	199
24826	135525	15599	2013-08-04 01:10:51.149699	2013-08-04 01:10:51.149699	199
24827	135525	747	2013-08-04 01:10:51.15492	2013-08-04 01:10:51.15492	199
24828	135525	15219	2013-08-04 01:10:51.160951	2013-08-04 01:10:51.160951	199
24829	135525	15079	2013-08-04 01:10:51.167003	2013-08-04 01:10:51.167003	199
24830	135525	12239	2013-08-04 01:10:51.172664	2013-08-04 01:10:51.172664	199
24831	135525	41272	2013-08-04 01:10:51.179221	2013-08-04 01:10:51.179221	199
24832	135525	13918	2013-08-04 01:10:51.187388	2013-08-04 01:10:51.187388	199
24833	135525	13356	2013-08-04 01:10:51.195109	2013-08-04 01:10:51.195109	199
24834	135525	13446	2013-08-04 01:10:51.201597	2013-08-04 01:10:51.201597	199
24835	135525	13078	2013-08-04 01:10:51.205881	2013-08-04 01:10:51.205881	199
24836	135525	13166	2013-08-04 01:10:51.208916	2013-08-04 01:10:51.208916	199
24837	135525	13116	2013-08-04 01:10:51.215161	2013-08-04 01:10:51.215161	199
24838	135525	13050	2013-08-04 01:10:51.221293	2013-08-04 01:10:51.221293	199
24839	135525	12952	2013-08-04 01:10:51.227149	2013-08-04 01:10:51.227149	199
24840	135525	22817	2013-08-04 01:10:51.235288	2013-08-04 01:10:51.235288	199
24841	135525	13350	2013-08-04 01:10:51.24646	2013-08-04 01:10:51.24646	199
24842	135524	19237	2013-08-04 01:10:51.292907	2013-08-04 01:10:51.292907	199
24843	135524	19311	2013-08-04 01:10:51.297387	2013-08-04 01:10:51.297387	199
24844	135524	35301	2013-08-04 01:10:51.303929	2013-08-04 01:10:51.303929	199
24845	135524	19291	2013-08-04 01:10:51.311357	2013-08-04 01:10:51.311357	199
24846	135524	19271	2013-08-04 01:10:51.315653	2013-08-04 01:10:51.315653	199
24847	135524	19251	2013-08-04 01:10:51.322177	2013-08-04 01:10:51.322177	199
24848	135524	19210	2013-08-04 01:10:51.329863	2013-08-04 01:10:51.329863	199
24849	135524	19231	2013-08-04 01:10:51.33456	2013-08-04 01:10:51.33456	199
24850	135524	19211	2013-08-04 01:10:51.342753	2013-08-04 01:10:51.342753	199
24851	135524	45943	2013-08-04 01:10:51.348423	2013-08-04 01:10:51.348423	199
24852	135524	19191	2013-08-04 01:10:51.353311	2013-08-04 01:10:51.353311	199
24853	135524	45883	2013-08-04 01:10:51.361054	2013-08-04 01:10:51.361054	199
24854	135524	19171	2013-08-04 01:10:51.366965	2013-08-04 01:10:51.366965	199
24855	135524	45843	2013-08-04 01:10:51.373739	2013-08-04 01:10:51.373739	199
24856	135524	19138	2013-08-04 01:10:51.380793	2013-08-04 01:10:51.380793	199
24857	135524	19057	2013-08-04 01:10:51.389253	2013-08-04 01:10:51.389253	199
24858	135524	19151	2013-08-04 01:10:51.395557	2013-08-04 01:10:51.395557	199
24859	135524	42890	2013-08-04 01:10:51.404993	2013-08-04 01:10:51.404993	199
24860	135524	26903	2013-08-04 01:10:51.415639	2013-08-04 01:10:51.415639	199
24861	135529	48472	2013-08-04 01:10:51.448928	2013-08-04 01:10:51.448928	199
24862	135529	48452	2013-08-04 01:10:51.460538	2013-08-04 01:10:51.460538	199
24863	135529	48432	2013-08-04 01:10:51.471496	2013-08-04 01:10:51.471496	199
24864	135529	48412	2013-08-04 01:10:51.483586	2013-08-04 01:10:51.483586	199
24865	135529	48392	2013-08-04 01:10:51.49636	2013-08-04 01:10:51.49636	199
24866	135529	48372	2013-08-04 01:10:51.508752	2013-08-04 01:10:51.508752	199
24867	135529	48352	2013-08-04 01:10:51.517251	2013-08-04 01:10:51.517251	199
24868	135529	48332	2013-08-04 01:10:51.521019	2013-08-04 01:10:51.521019	199
24869	135529	48312	2013-08-04 01:10:51.526069	2013-08-04 01:10:51.526069	199
24870	135529	48292	2013-08-04 01:10:51.53107	2013-08-04 01:10:51.53107	199
24871	135529	48272	2013-08-04 01:10:51.534974	2013-08-04 01:10:51.534974	199
24872	135529	48252	2013-08-04 01:10:51.538369	2013-08-04 01:10:51.538369	199
24873	135529	44881	2013-08-04 01:10:51.542006	2013-08-04 01:10:51.542006	199
24874	135529	44678	2013-08-04 01:10:51.545739	2013-08-04 01:10:51.545739	199
24875	135529	43890	2013-08-04 01:10:51.549577	2013-08-04 01:10:51.549577	199
24876	135529	43590	2013-08-04 01:10:51.553637	2013-08-04 01:10:51.553637	199
24877	135529	34017	2013-08-04 01:10:51.557456	2013-08-04 01:10:51.557456	199
24878	135529	13376	2013-08-04 01:10:51.561898	2013-08-04 01:10:51.561898	199
24879	135529	33857	2013-08-04 01:10:51.566471	2013-08-04 01:10:51.566471	199
24880	135528	23853	2013-08-04 01:10:51.580577	2013-08-04 01:10:51.580577	199
24881	135528	16581	2013-08-04 01:10:51.58529	2013-08-04 01:10:51.58529	199
24882	135528	46803	2013-08-04 01:10:51.590288	2013-08-04 01:10:51.590288	199
24883	135528	18801	2013-08-04 01:10:51.597641	2013-08-04 01:10:51.597641	199
24884	135528	23833	2013-08-04 01:10:51.602425	2013-08-04 01:10:51.602425	199
24885	135528	23813	2013-08-04 01:10:51.606657	2013-08-04 01:10:51.606657	199
24886	135528	16217	2013-08-04 01:10:51.610772	2013-08-04 01:10:51.610772	199
24887	135528	23793	2013-08-04 01:10:51.614791	2013-08-04 01:10:51.614791	199
24888	135528	23773	2013-08-04 01:10:51.618915	2013-08-04 01:10:51.618915	199
24889	135528	23765	2013-08-04 01:10:51.622627	2013-08-04 01:10:51.622627	199
24890	135528	23825	2013-08-04 01:10:51.625773	2013-08-04 01:10:51.625773	199
24891	135528	2374	2013-08-04 01:10:51.629229	2013-08-04 01:10:51.629229	199
24892	135528	23753	2013-08-04 01:10:51.63294	2013-08-04 01:10:51.63294	199
24893	135528	40978	2013-08-04 01:10:51.636055	2013-08-04 01:10:51.636055	199
24894	135528	23770	2013-08-04 01:10:51.639724	2013-08-04 01:10:51.639724	199
24895	135528	23733	2013-08-04 01:10:51.643178	2013-08-04 01:10:51.643178	199
24896	135528	13196	2013-08-04 01:10:51.646998	2013-08-04 01:10:51.646998	199
24897	135528	23501	2013-08-04 01:10:51.651229	2013-08-04 01:10:51.651229	199
24898	135528	22826	2013-08-04 01:10:51.655035	2013-08-04 01:10:51.655035	199
24899	136329	46041	2013-08-04 01:15:48.600404	2013-08-04 01:15:48.600404	200
24900	136283	46080	2013-08-04 01:15:48.616148	2013-08-04 01:15:48.616148	200
24901	136178	46021	2013-08-04 01:15:48.626328	2013-08-04 01:15:48.626328	200
24902	136152	46001	2013-08-04 01:15:48.646338	2013-08-04 01:15:48.646338	200
24903	136084	45981	2013-08-04 01:15:48.669646	2013-08-04 01:15:48.669646	200
24904	136066	45961	2013-08-04 01:15:48.693384	2013-08-04 01:15:48.693384	200
24905	136023	45941	2013-08-04 01:15:48.702982	2013-08-04 01:15:48.702982	200
24906	136004	45921	2013-08-04 01:15:48.71659	2013-08-04 01:15:48.71659	200
24907	135999	45901	2013-08-04 01:15:48.730387	2013-08-04 01:15:48.730387	200
24908	135997	45881	2013-08-04 01:15:48.754004	2013-08-04 01:15:48.754004	200
24909	135994	45892	2013-08-04 01:15:48.777915	2013-08-04 01:15:48.777915	200
24910	135992	45861	2013-08-04 01:15:48.787862	2013-08-04 01:15:48.787862	200
24911	135989	44460	2013-08-04 01:15:48.806495	2013-08-04 01:15:48.806495	200
24912	135975	42330	2013-08-04 01:15:48.82836	2013-08-04 01:15:48.82836	200
24913	135968	34481	2013-08-04 01:15:48.851166	2013-08-04 01:15:48.851166	200
24914	135965	22946	2013-08-04 01:15:48.867358	2013-08-04 01:15:48.867358	200
24915	136384	44550	2013-08-04 01:15:48.902081	2013-08-04 01:15:48.902081	200
24916	136384	42050	2013-08-04 01:15:48.913097	2013-08-04 01:15:48.913097	200
24917	136238	34365	2013-08-04 01:15:48.93629	2013-08-04 01:15:48.93629	200
24918	136238	45818	2013-08-04 01:15:48.946788	2013-08-04 01:15:48.946788	200
24919	136055	13616	2013-08-04 01:15:48.957239	2013-08-04 01:15:48.957239	200
24920	136055	33037	2013-08-04 01:15:48.964294	2013-08-04 01:15:48.964294	200
24921	135978	31390	2013-08-04 01:15:49.493698	2013-08-04 01:15:49.493698	200
24922	135978	17043	2013-08-04 01:15:49.497697	2013-08-04 01:15:49.497697	200
24923	135978	31130	2013-08-04 01:15:49.502508	2013-08-04 01:15:49.502508	200
24924	135978	16897	2013-08-04 01:15:49.505879	2013-08-04 01:15:49.505879	200
24925	135978	16899	2013-08-04 01:15:49.509473	2013-08-04 01:15:49.509473	200
24926	135978	16785	2013-08-04 01:15:49.5131	2013-08-04 01:15:49.5131	200
24927	135978	12210	2013-08-04 01:15:49.51757	2013-08-04 01:15:49.51757	200
24928	135978	16771	2013-08-04 01:15:49.52358	2013-08-04 01:15:49.52358	200
24929	135978	16651	2013-08-04 01:15:49.530153	2013-08-04 01:15:49.530153	200
24930	135978	31157	2013-08-04 01:15:49.538735	2013-08-04 01:15:49.538735	200
24931	135978	16259	2013-08-04 01:15:49.546935	2013-08-04 01:15:49.546935	200
24932	135978	16191	2013-08-04 01:15:49.557433	2013-08-04 01:15:49.557433	200
24933	135978	4369	2013-08-04 01:15:49.562703	2013-08-04 01:15:49.562703	200
24934	135978	16095	2013-08-04 01:15:49.567356	2013-08-04 01:15:49.567356	200
24935	135978	16135	2013-08-04 01:15:49.575073	2013-08-04 01:15:49.575073	200
24936	135978	11117	2013-08-04 01:15:49.58083	2013-08-04 01:15:49.58083	200
24937	135978	13556	2013-08-04 01:15:49.587319	2013-08-04 01:15:49.587319	200
24938	135978	34297	2013-08-04 01:15:49.595217	2013-08-04 01:15:49.595217	200
24939	135978	157	2013-08-04 01:15:49.604998	2013-08-04 01:15:49.604998	200
24940	135977	19471	2013-08-04 01:15:49.640836	2013-08-04 01:15:49.640836	200
24941	135977	19451	2013-08-04 01:15:49.645904	2013-08-04 01:15:49.645904	200
24942	135977	19431	2013-08-04 01:15:49.650326	2013-08-04 01:15:49.650326	200
24943	135977	21003	2013-08-04 01:15:49.654847	2013-08-04 01:15:49.654847	200
24944	135977	19411	2013-08-04 01:15:49.662264	2013-08-04 01:15:49.662264	200
24945	135977	19391	2013-08-04 01:15:49.670765	2013-08-04 01:15:49.670765	200
24946	135977	19371	2013-08-04 01:15:49.675083	2013-08-04 01:15:49.675083	200
24947	135977	42118	2013-08-04 01:15:49.681074	2013-08-04 01:15:49.681074	200
24948	135977	19355	2013-08-04 01:15:49.68653	2013-08-04 01:15:49.68653	200
24949	135977	19351	2013-08-04 01:15:49.690433	2013-08-04 01:15:49.690433	200
24950	135977	46063	2013-08-04 01:15:49.694299	2013-08-04 01:15:49.694299	200
24951	135977	19410	2013-08-04 01:15:49.6983	2013-08-04 01:15:49.6983	200
24952	135977	19430	2013-08-04 01:15:49.70405	2013-08-04 01:15:49.70405	200
24953	135977	19350	2013-08-04 01:15:49.710308	2013-08-04 01:15:49.710308	200
24954	135977	19331	2013-08-04 01:15:49.715513	2013-08-04 01:15:49.715513	200
24955	135977	19225	2013-08-04 01:15:49.725853	2013-08-04 01:15:49.725853	200
24956	135977	19297	2013-08-04 01:15:49.737046	2013-08-04 01:15:49.737046	200
24957	135977	13496	2013-08-04 01:15:49.748489	2013-08-04 01:15:49.748489	200
24958	135977	22173	2013-08-04 01:15:49.759255	2013-08-04 01:15:49.759255	200
24959	135979	49012	2013-08-04 01:15:49.79029	2013-08-04 01:15:49.79029	200
24960	135979	48992	2013-08-04 01:15:49.796128	2013-08-04 01:15:49.796128	200
24961	135979	48940	2013-08-04 01:15:49.802914	2013-08-04 01:15:49.802914	200
24962	135979	48972	2013-08-04 01:15:49.814293	2013-08-04 01:15:49.814293	200
24963	135979	48952	2013-08-04 01:15:49.825423	2013-08-04 01:15:49.825423	200
24964	135979	48932	2013-08-04 01:15:49.837121	2013-08-04 01:15:49.837121	200
24965	135979	48912	2013-08-04 01:15:49.84903	2013-08-04 01:15:49.84903	200
24966	135979	48892	2013-08-04 01:15:49.8606	2013-08-04 01:15:49.8606	200
24967	135979	48872	2013-08-04 01:15:49.86653	2013-08-04 01:15:49.86653	200
24968	135979	48852	2013-08-04 01:15:49.871695	2013-08-04 01:15:49.871695	200
24969	135979	48832	2013-08-04 01:15:49.88196	2013-08-04 01:15:49.88196	200
24970	135979	48803	2013-08-04 01:15:49.893787	2013-08-04 01:15:49.893787	200
24971	135979	45721	2013-08-04 01:15:49.899473	2013-08-04 01:15:49.899473	200
24972	135979	45401	2013-08-04 01:15:49.90454	2013-08-04 01:15:49.90454	200
24973	135979	44430	2013-08-04 01:15:49.908659	2013-08-04 01:15:49.908659	200
24974	135979	41101	2013-08-04 01:15:49.912408	2013-08-04 01:15:49.912408	200
24975	135979	34237	2013-08-04 01:15:49.916603	2013-08-04 01:15:49.916603	200
24976	135979	13476	2013-08-04 01:15:49.920916	2013-08-04 01:15:49.920916	200
24977	135979	300	2013-08-04 01:15:49.924506	2013-08-04 01:15:49.924506	200
24978	135980	24165	2013-08-04 01:15:49.941226	2013-08-04 01:15:49.941226	200
24979	135980	24053	2013-08-04 01:15:49.945802	2013-08-04 01:15:49.945802	200
24980	135980	24070	2013-08-04 01:15:49.955206	2013-08-04 01:15:49.955206	200
24981	135980	24033	2013-08-04 01:15:49.966325	2013-08-04 01:15:49.966325	200
24982	135980	24013	2013-08-04 01:15:49.978169	2013-08-04 01:15:49.978169	200
24983	135980	23993	2013-08-04 01:15:49.983268	2013-08-04 01:15:49.983268	200
24984	135980	23983	2013-08-04 01:15:49.992183	2013-08-04 01:15:49.992183	200
24985	135980	23973	2013-08-04 01:15:49.995395	2013-08-04 01:15:49.995395	200
24986	135980	4784	2013-08-04 01:15:49.998691	2013-08-04 01:15:49.998691	200
24987	135980	23953	2013-08-04 01:15:50.002469	2013-08-04 01:15:50.002469	200
24988	135980	23933	2013-08-04 01:15:50.007574	2013-08-04 01:15:50.007574	200
24989	135980	23913	2013-08-04 01:15:50.013058	2013-08-04 01:15:50.013058	200
24990	135980	23893	2013-08-04 01:15:50.022379	2013-08-04 01:15:50.022379	200
24991	135980	23873	2013-08-04 01:15:50.029932	2013-08-04 01:15:50.029932	200
24992	135980	16195	2013-08-04 01:15:50.04076	2013-08-04 01:15:50.04076	200
24993	135980	28605	2013-08-04 01:15:50.052834	2013-08-04 01:15:50.052834	200
24994	135980	13500	2013-08-04 01:15:50.06465	2013-08-04 01:15:50.06465	200
24995	135980	22946	2013-08-04 01:15:50.074857	2013-08-04 01:15:50.074857	200
24996	135980	39881	2013-08-04 01:15:50.078765	2013-08-04 01:15:50.078765	200
24997	136774	46881	2013-08-04 01:20:59.716286	2013-08-04 01:20:59.716286	201
24998	136749	46861	2013-08-04 01:20:59.741344	2013-08-04 01:20:59.741344	201
24999	136609	46805	2013-08-04 01:20:59.764853	2013-08-04 01:20:59.764853	201
25000	136586	46841	2013-08-04 01:20:59.789263	2013-08-04 01:20:59.789263	201
25001	136546	46821	2013-08-04 01:20:59.812654	2013-08-04 01:20:59.812654	201
25002	136526	46801	2013-08-04 01:20:59.836643	2013-08-04 01:20:59.836643	201
25003	136521	46781	2013-08-04 01:20:59.861033	2013-08-04 01:20:59.861033	201
25004	136508	46761	2013-08-04 01:20:59.884429	2013-08-04 01:20:59.884429	201
25005	136502	46741	2013-08-04 01:20:59.90719	2013-08-04 01:20:59.90719	201
25006	136484	46721	2013-08-04 01:20:59.93006	2013-08-04 01:20:59.93006	201
25007	136475	46701	2013-08-04 01:20:59.952839	2013-08-04 01:20:59.952839	201
25008	136457	46681	2013-08-04 01:20:59.97468	2013-08-04 01:20:59.97468	201
25009	136455	46661	2013-08-04 01:20:59.992287	2013-08-04 01:20:59.992287	201
25010	136454	45098	2013-08-04 01:21:00.012312	2013-08-04 01:21:00.012312	201
25011	136441	34637	2013-08-04 01:21:00.028161	2013-08-04 01:21:00.028161	201
25012	136437	14016	2013-08-04 01:21:00.036511	2013-08-04 01:21:00.036511	201
25013	136912	46641	2013-08-04 01:21:00.092403	2013-08-04 01:21:00.092403	201
25014	136912	46341	2013-08-04 01:21:00.10336	2013-08-04 01:21:00.10336	201
25015	136912	45090	2013-08-04 01:21:00.113703	2013-08-04 01:21:00.113703	201
25016	136912	44790	2013-08-04 01:21:00.124464	2013-08-04 01:21:00.124464	201
25017	136486	34580	2013-08-04 01:21:00.148593	2013-08-04 01:21:00.148593	201
25018	136486	13996	2013-08-04 01:21:00.159799	2013-08-04 01:21:00.159799	201
25019	136486	49292	2013-08-04 01:21:00.164078	2013-08-04 01:21:00.164078	201
25020	136486	13796	2013-08-04 01:21:00.17018	2013-08-04 01:21:00.17018	201
25021	136446	18891	2013-08-04 01:21:00.456454	2013-08-04 01:21:00.456454	201
25022	136446	898	2013-08-04 01:21:00.462703	2013-08-04 01:21:00.462703	201
25023	136446	13163	2013-08-04 01:21:00.467928	2013-08-04 01:21:00.467928	201
25024	136446	18691	2013-08-04 01:21:00.473132	2013-08-04 01:21:00.473132	201
25025	136446	34761	2013-08-04 01:21:00.477953	2013-08-04 01:21:00.477953	201
25026	136446	5661	2013-08-04 01:21:00.482659	2013-08-04 01:21:00.482659	201
25027	136446	18375	2013-08-04 01:21:00.487051	2013-08-04 01:21:00.487051	201
25028	136446	31530	2013-08-04 01:21:00.49164	2013-08-04 01:21:00.49164	201
25029	136446	31490	2013-08-04 01:21:00.496331	2013-08-04 01:21:00.496331	201
25030	136446	17971	2013-08-04 01:21:00.50043	2013-08-04 01:21:00.50043	201
25031	136446	2261	2013-08-04 01:21:00.504556	2013-08-04 01:21:00.504556	201
25032	136446	34941	2013-08-04 01:21:00.561272	2013-08-04 01:21:00.561272	201
25033	136446	34981	2013-08-04 01:21:00.571841	2013-08-04 01:21:00.571841	201
25034	136446	17786	2013-08-04 01:21:00.57684	2013-08-04 01:21:00.57684	201
25035	136446	15977	2013-08-04 01:21:00.581582	2013-08-04 01:21:00.581582	201
25036	136446	17697	2013-08-04 01:21:00.586704	2013-08-04 01:21:00.586704	201
25037	136446	13958	2013-08-04 01:21:00.59208	2013-08-04 01:21:00.59208	201
25038	136446	13772	2013-08-04 01:21:00.597019	2013-08-04 01:21:00.597019	201
25039	136446	34537	2013-08-04 01:21:00.601981	2013-08-04 01:21:00.601981	201
25040	136442	19651	2013-08-04 01:21:00.635301	2013-08-04 01:21:00.635301	201
25041	136442	19683	2013-08-04 01:21:00.646585	2013-08-04 01:21:00.646585	201
25042	136442	19631	2013-08-04 01:21:00.656612	2013-08-04 01:21:00.656612	201
25043	136442	5831	2013-08-04 01:21:00.666655	2013-08-04 01:21:00.666655	201
25044	136442	19600	2013-08-04 01:21:00.677478	2013-08-04 01:21:00.677478	201
25045	136442	19598	2013-08-04 01:21:00.687675	2013-08-04 01:21:00.687675	201
25046	136442	5964	2013-08-04 01:21:00.69792	2013-08-04 01:21:00.69792	201
25047	136442	19611	2013-08-04 01:21:00.708101	2013-08-04 01:21:00.708101	201
25048	136442	19591	2013-08-04 01:21:00.718044	2013-08-04 01:21:00.718044	201
25049	136442	19595	2013-08-04 01:21:00.72852	2013-08-04 01:21:00.72852	201
25050	136442	19610	2013-08-04 01:21:00.73873	2013-08-04 01:21:00.73873	201
25051	136442	19571	2013-08-04 01:21:00.74888	2013-08-04 01:21:00.74888	201
25052	136442	19551	2013-08-04 01:21:00.758853	2013-08-04 01:21:00.758853	201
25053	136442	19531	2013-08-04 01:21:00.76952	2013-08-04 01:21:00.76952	201
25054	136442	19511	2013-08-04 01:21:00.780589	2013-08-04 01:21:00.780589	201
25055	136442	14266	2013-08-04 01:21:00.791903	2013-08-04 01:21:00.791903	201
25056	136442	19491	2013-08-04 01:21:00.802752	2013-08-04 01:21:00.802752	201
25057	136442	13900	2013-08-04 01:21:00.81375	2013-08-04 01:21:00.81375	201
25058	136442	13716	2013-08-04 01:21:00.823871	2013-08-04 01:21:00.823871	201
25059	136447	49592	2013-08-04 01:21:00.873829	2013-08-04 01:21:00.873829	201
25060	136447	49572	2013-08-04 01:21:00.885717	2013-08-04 01:21:00.885717	201
25061	136447	49552	2013-08-04 01:21:00.896705	2013-08-04 01:21:00.896705	201
25062	136447	49532	2013-08-04 01:21:00.907632	2013-08-04 01:21:00.907632	201
25063	136447	49512	2013-08-04 01:21:00.918549	2013-08-04 01:21:00.918549	201
25064	136447	49492	2013-08-04 01:21:00.930051	2013-08-04 01:21:00.930051	201
25065	136447	49472	2013-08-04 01:21:00.940954	2013-08-04 01:21:00.940954	201
25066	136447	49452	2013-08-04 01:21:00.951864	2013-08-04 01:21:00.951864	201
25067	136447	49432	2013-08-04 01:21:00.962765	2013-08-04 01:21:00.962765	201
25068	136447	49412	2013-08-04 01:21:00.973665	2013-08-04 01:21:00.973665	201
25069	136447	49392	2013-08-04 01:21:00.98471	2013-08-04 01:21:00.98471	201
25070	136447	49372	2013-08-04 01:21:00.995789	2013-08-04 01:21:00.995789	201
25071	136447	49352	2013-08-04 01:21:01.006696	2013-08-04 01:21:01.006696	201
25072	136447	46475	2013-08-04 01:21:01.017558	2013-08-04 01:21:01.017558	201
25073	136447	46201	2013-08-04 01:21:01.0276	2013-08-04 01:21:01.0276	201
25074	136447	44950	2013-08-04 01:21:01.037671	2013-08-04 01:21:01.037671	201
25075	136447	44650	2013-08-04 01:21:01.045755	2013-08-04 01:21:01.045755	201
25076	136447	34540	2013-08-04 01:21:01.049889	2013-08-04 01:21:01.049889	201
25077	136447	13916	2013-08-04 01:21:01.055458	2013-08-04 01:21:01.055458	201
25078	136449	24283	2013-08-04 01:21:01.070657	2013-08-04 01:21:01.070657	201
25079	136449	24253	2013-08-04 01:21:01.074857	2013-08-04 01:21:01.074857	201
25080	136449	24210	2013-08-04 01:21:01.078349	2013-08-04 01:21:01.078349	201
25081	136449	24223	2013-08-04 01:21:01.081821	2013-08-04 01:21:01.081821	201
25082	136449	24233	2013-08-04 01:21:01.085315	2013-08-04 01:21:01.085315	201
25083	136449	24213	2013-08-04 01:21:01.090238	2013-08-04 01:21:01.090238	201
25084	136449	24193	2013-08-04 01:21:01.095366	2013-08-04 01:21:01.095366	201
25085	136449	18760	2013-08-04 01:21:01.101133	2013-08-04 01:21:01.101133	201
25086	136449	24173	2013-08-04 01:21:01.106781	2013-08-04 01:21:01.106781	201
25087	136449	24153	2013-08-04 01:21:01.112381	2013-08-04 01:21:01.112381	201
25088	136449	24133	2013-08-04 01:21:01.119416	2013-08-04 01:21:01.119416	201
25089	136449	12879	2013-08-04 01:21:01.127263	2013-08-04 01:21:01.127263	201
25090	136449	24113	2013-08-04 01:21:01.13588	2013-08-04 01:21:01.13588	201
25091	136449	24072	2013-08-04 01:21:01.144782	2013-08-04 01:21:01.144782	201
25092	136449	24093	2013-08-04 01:21:01.154593	2013-08-04 01:21:01.154593	201
25093	136449	21246	2013-08-04 01:21:01.164174	2013-08-04 01:21:01.164174	201
25094	136449	24073	2013-08-04 01:21:01.173663	2013-08-04 01:21:01.173663	201
25095	136449	13950	2013-08-04 01:21:01.183983	2013-08-04 01:21:01.183983	201
25096	136449	13586	2013-08-04 01:21:01.191491	2013-08-04 01:21:01.191491	201
25097	137242	47480	2013-08-04 01:25:46.471598	2013-08-04 01:25:46.471598	202
25098	137231	47421	2013-08-04 01:25:46.486329	2013-08-04 01:25:46.486329	202
25099	137198	47403	2013-08-04 01:25:46.501653	2013-08-04 01:25:46.501653	202
25100	137178	47401	2013-08-04 01:25:46.512425	2013-08-04 01:25:46.512425	202
25101	137162	47381	2013-08-04 01:25:46.520358	2013-08-04 01:25:46.520358	202
25102	137090	47361	2013-08-04 01:25:46.528887	2013-08-04 01:25:46.528887	202
25103	137085	47341	2013-08-04 01:25:46.543455	2013-08-04 01:25:46.543455	202
25104	137075	47321	2013-08-04 01:25:46.562681	2013-08-04 01:25:46.562681	202
25105	137055	47301	2013-08-04 01:25:46.571155	2013-08-04 01:25:46.571155	202
25106	137039	47281	2013-08-04 01:25:46.57881	2013-08-04 01:25:46.57881	202
25107	137028	47261	2013-08-04 01:25:46.587442	2013-08-04 01:25:46.587442	202
25108	137016	47241	2013-08-04 01:25:46.596568	2013-08-04 01:25:46.596568	202
25109	137002	47221	2013-08-04 01:25:46.605404	2013-08-04 01:25:46.605404	202
25110	136997	47201	2013-08-04 01:25:46.615252	2013-08-04 01:25:46.615252	202
25111	136989	47225	2013-08-04 01:25:46.629023	2013-08-04 01:25:46.629023	202
25112	136987	47181	2013-08-04 01:25:46.65196	2013-08-04 01:25:46.65196	202
25113	136982	14256	2013-08-04 01:25:46.674315	2013-08-04 01:25:46.674315	202
25114	137309	49852	2013-08-04 01:25:46.73027	2013-08-04 01:25:46.73027	202
25115	137309	47141	2013-08-04 01:25:46.740743	2013-08-04 01:25:46.740743	202
25116	137309	14216	2013-08-04 01:25:46.800899	2013-08-04 01:25:46.800899	202
25117	137144	47261	2013-08-04 01:25:46.810041	2013-08-04 01:25:46.810041	202
25118	137144	2335	2013-08-04 01:25:46.814023	2013-08-04 01:25:46.814023	202
25119	137144	45221	2013-08-04 01:25:46.817931	2013-08-04 01:25:46.817931	202
25120	136990	20093	2013-08-04 01:25:47.434313	2013-08-04 01:25:47.434313	202
25121	136990	20051	2013-08-04 01:25:47.446163	2013-08-04 01:25:47.446163	202
25122	136990	20031	2013-08-04 01:25:47.457284	2013-08-04 01:25:47.457284	202
25123	136990	20011	2013-08-04 01:25:47.468283	2013-08-04 01:25:47.468283	202
25124	136990	19991	2013-08-04 01:25:47.478168	2013-08-04 01:25:47.478168	202
25125	136990	20066	2013-08-04 01:25:47.4863	2013-08-04 01:25:47.4863	202
25126	136990	20003	2013-08-04 01:25:47.491784	2013-08-04 01:25:47.491784	202
25127	136990	20046	2013-08-04 01:25:47.495375	2013-08-04 01:25:47.495375	202
25128	136990	19971	2013-08-04 01:25:47.499153	2013-08-04 01:25:47.499153	202
25129	136990	20032	2013-08-04 01:25:47.503489	2013-08-04 01:25:47.503489	202
25130	136990	19951	2013-08-04 01:25:47.507561	2013-08-04 01:25:47.507561	202
25131	136990	19857	2013-08-04 01:25:47.511842	2013-08-04 01:25:47.511842	202
25132	136990	41778	2013-08-04 01:25:47.521268	2013-08-04 01:25:47.521268	202
25133	136990	19931	2013-08-04 01:25:47.525218	2013-08-04 01:25:47.525218	202
25134	136990	19490	2013-08-04 01:25:47.530257	2013-08-04 01:25:47.530257	202
25135	136990	19911	2013-08-04 01:25:47.541231	2013-08-04 01:25:47.541231	202
25136	136990	19930	2013-08-04 01:25:47.552089	2013-08-04 01:25:47.552089	202
25137	136990	19877	2013-08-04 01:25:47.562964	2013-08-04 01:25:47.562964	202
25138	136990	14116	2013-08-04 01:25:47.573791	2013-08-04 01:25:47.573791	202
25139	136992	2403	2013-08-04 01:25:47.613156	2013-08-04 01:25:47.613156	202
25140	136992	2023	2013-08-04 01:25:47.625296	2013-08-04 01:25:47.625296	202
25141	136992	1643	2013-08-04 01:25:47.637149	2013-08-04 01:25:47.637149	202
25142	136992	49955	2013-08-04 01:25:47.648576	2013-08-04 01:25:47.648576	202
25143	136992	1263	2013-08-04 01:25:47.659386	2013-08-04 01:25:47.659386	202
25144	136992	883	2013-08-04 01:25:47.670066	2013-08-04 01:25:47.670066	202
25145	136992	523	2013-08-04 01:25:47.680847	2013-08-04 01:25:47.680847	202
25146	136992	153	2013-08-04 01:25:47.691044	2013-08-04 01:25:47.691044	202
25147	136992	160	2013-08-04 01:25:47.701508	2013-08-04 01:25:47.701508	202
25148	136992	49992	2013-08-04 01:25:47.7116	2013-08-04 01:25:47.7116	202
25149	136992	49972	2013-08-04 01:25:47.721982	2013-08-04 01:25:47.721982	202
25150	136992	49952	2013-08-04 01:25:47.732076	2013-08-04 01:25:47.732076	202
25151	136992	49932	2013-08-04 01:25:47.742122	2013-08-04 01:25:47.742122	202
25152	136992	49912	2013-08-04 01:25:47.752196	2013-08-04 01:25:47.752196	202
25153	136992	47381	2013-08-04 01:25:47.762197	2013-08-04 01:25:47.762197	202
25154	136992	47041	2013-08-04 01:25:47.77197	2013-08-04 01:25:47.77197	202
25155	136992	45272	2013-08-04 01:25:47.782058	2013-08-04 01:25:47.782058	202
25156	136992	7286	2013-08-04 01:25:47.791738	2013-08-04 01:25:47.791738	202
25157	136992	19731	2013-08-04 01:25:47.801585	2013-08-04 01:25:47.801585	202
25158	136993	23177	2013-08-04 01:25:47.843821	2013-08-04 01:25:47.843821	202
25159	136993	24453	2013-08-04 01:25:47.855559	2013-08-04 01:25:47.855559	202
25160	136993	24433	2013-08-04 01:25:47.866877	2013-08-04 01:25:47.866877	202
25161	136993	24413	2013-08-04 01:25:47.877876	2013-08-04 01:25:47.877876	202
25162	136993	24452	2013-08-04 01:25:47.889004	2013-08-04 01:25:47.889004	202
25163	136993	24393	2013-08-04 01:25:47.900458	2013-08-04 01:25:47.900458	202
25164	136993	24373	2013-08-04 01:25:47.911547	2013-08-04 01:25:47.911547	202
25165	136993	24353	2013-08-04 01:25:47.922582	2013-08-04 01:25:47.922582	202
25166	136993	24457	2013-08-04 01:25:47.933632	2013-08-04 01:25:47.933632	202
25167	136993	25510	2013-08-04 01:25:47.944713	2013-08-04 01:25:47.944713	202
25168	136993	25530	2013-08-04 01:25:47.956228	2013-08-04 01:25:47.956228	202
25169	136993	24333	2013-08-04 01:25:47.967413	2013-08-04 01:25:47.967413	202
25170	136993	24313	2013-08-04 01:25:47.978382	2013-08-04 01:25:47.978382	202
25171	136993	7821	2013-08-04 01:25:47.989502	2013-08-04 01:25:47.989502	202
25172	136993	7746	2013-08-04 01:25:47.999886	2013-08-04 01:25:47.999886	202
25173	136993	24293	2013-08-04 01:25:48.011394	2013-08-04 01:25:48.011394	202
25174	136993	24273	2013-08-04 01:25:48.025396	2013-08-04 01:25:48.025396	202
25175	136993	14096	2013-08-04 01:25:48.031217	2013-08-04 01:25:48.031217	202
25176	136993	35601	2013-08-04 01:25:48.035689	2013-08-04 01:25:48.035689	202
25177	137923	48001	2013-08-04 01:30:50.480796	2013-08-04 01:30:50.480796	203
25178	137746	47981	2013-08-04 01:30:50.492955	2013-08-04 01:30:50.492955	203
25179	137740	47961	2013-08-04 01:30:50.503542	2013-08-04 01:30:50.503542	203
25180	137723	47941	2013-08-04 01:30:50.512539	2013-08-04 01:30:50.512539	203
25181	137710	47921	2013-08-04 01:30:50.519706	2013-08-04 01:30:50.519706	203
25182	137673	47901	2013-08-04 01:30:50.528586	2013-08-04 01:30:50.528586	203
25183	137666	47778	2013-08-04 01:30:50.542085	2013-08-04 01:30:50.542085	203
25184	137653	47881	2013-08-04 01:30:50.563656	2013-08-04 01:30:50.563656	203
25185	137569	47861	2013-08-04 01:30:50.586506	2013-08-04 01:30:50.586506	203
25186	137557	47841	2013-08-04 01:30:50.608812	2013-08-04 01:30:50.608812	203
25187	137544	47821	2013-08-04 01:30:50.631458	2013-08-04 01:30:50.631458	203
25188	137538	47801	2013-08-04 01:30:50.652389	2013-08-04 01:30:50.652389	203
25189	137511	47800	2013-08-04 01:30:50.674047	2013-08-04 01:30:50.674047	203
25190	137478	47781	2013-08-04 01:30:50.696523	2013-08-04 01:30:50.696523	203
25191	137476	45650	2013-08-04 01:30:50.71883	2013-08-04 01:30:50.71883	203
25192	137472	34740	2013-08-04 01:30:50.738944	2013-08-04 01:30:50.738944	203
25193	138285	47741	2013-08-04 01:30:50.798604	2013-08-04 01:30:50.798604	203
25194	138285	45610	2013-08-04 01:30:50.808259	2013-08-04 01:30:50.808259	203
25195	137998	34817	2013-08-04 01:30:50.817409	2013-08-04 01:30:50.817409	203
25196	137998	5003	2013-08-04 01:30:50.821653	2013-08-04 01:30:50.821653	203
25197	137496	20231	2013-08-04 01:30:51.510804	2013-08-04 01:30:51.510804	203
25198	137496	20178	2013-08-04 01:30:51.515415	2013-08-04 01:30:51.515415	203
25199	137496	20211	2013-08-04 01:30:51.521672	2013-08-04 01:30:51.521672	203
25200	137496	20191	2013-08-04 01:30:51.526446	2013-08-04 01:30:51.526446	203
25201	137496	20171	2013-08-04 01:30:51.531116	2013-08-04 01:30:51.531116	203
25202	137496	20190	2013-08-04 01:30:51.536558	2013-08-04 01:30:51.536558	203
25203	137496	20151	2013-08-04 01:30:51.603654	2013-08-04 01:30:51.603654	203
25204	137496	20131	2013-08-04 01:30:51.609882	2013-08-04 01:30:51.609882	203
25205	137496	20110	2013-08-04 01:30:51.614232	2013-08-04 01:30:51.614232	203
25206	137496	20111	2013-08-04 01:30:51.6196	2013-08-04 01:30:51.6196	203
25207	137496	20165	2013-08-04 01:30:51.623606	2013-08-04 01:30:51.623606	203
25208	137496	20333	2013-08-04 01:30:51.627903	2013-08-04 01:30:51.627903	203
25209	137496	20065	2013-08-04 01:30:51.63209	2013-08-04 01:30:51.63209	203
25210	137496	20080	2013-08-04 01:30:51.636053	2013-08-04 01:30:51.636053	203
25211	137496	24381	2013-08-04 01:30:51.640232	2013-08-04 01:30:51.640232	203
25212	137496	14426	2013-08-04 01:30:51.644211	2013-08-04 01:30:51.644211	203
25213	137496	20091	2013-08-04 01:30:51.6473	2013-08-04 01:30:51.6473	203
25214	137496	20071	2013-08-04 01:30:51.652053	2013-08-04 01:30:51.652053	203
25215	137496	2510	2013-08-04 01:30:51.655997	2013-08-04 01:30:51.655997	203
25216	137499	5643	2013-08-04 01:30:51.674516	2013-08-04 01:30:51.674516	203
25217	137499	5323	2013-08-04 01:30:51.680137	2013-08-04 01:30:51.680137	203
25218	137499	6	2013-08-04 01:30:51.684493	2013-08-04 01:30:51.684493	203
25219	137499	330	2013-08-04 01:30:51.688951	2013-08-04 01:30:51.688951	203
25220	137499	53	2013-08-04 01:30:51.693797	2013-08-04 01:30:51.693797	203
25221	137499	730	2013-08-04 01:30:51.698801	2013-08-04 01:30:51.698801	203
25222	137499	156	2013-08-04 01:30:51.703302	2013-08-04 01:30:51.703302	203
25223	137499	155	2013-08-04 01:30:51.706826	2013-08-04 01:30:51.706826	203
25224	137499	854	2013-08-04 01:30:51.711484	2013-08-04 01:30:51.711484	203
25225	137499	384	2013-08-04 01:30:51.717098	2013-08-04 01:30:51.717098	203
25226	137499	531	2013-08-04 01:30:51.722804	2013-08-04 01:30:51.722804	203
25227	137499	248	2013-08-04 01:30:51.729683	2013-08-04 01:30:51.729683	203
25228	137499	169	2013-08-04 01:30:51.734875	2013-08-04 01:30:51.734875	203
25229	137499	441	2013-08-04 01:30:51.739453	2013-08-04 01:30:51.739453	203
25230	137499	346	2013-08-04 01:30:51.744873	2013-08-04 01:30:51.744873	203
25231	137499	47881	2013-08-04 01:30:51.749573	2013-08-04 01:30:51.749573	203
25232	137499	47601	2013-08-04 01:30:51.754353	2013-08-04 01:30:51.754353	203
25233	137499	45490	2013-08-04 01:30:51.75948	2013-08-04 01:30:51.75948	203
25234	137499	44440	2013-08-04 01:30:51.763589	2013-08-04 01:30:51.763589	203
25235	137498	24713	2013-08-04 01:30:51.783431	2013-08-04 01:30:51.783431	203
25236	137498	24693	2013-08-04 01:30:51.793371	2013-08-04 01:30:51.793371	203
25237	137498	24673	2013-08-04 01:30:51.804431	2013-08-04 01:30:51.804431	203
25238	137498	24653	2013-08-04 01:30:51.816025	2013-08-04 01:30:51.816025	203
25239	137498	24633	2013-08-04 01:30:51.828997	2013-08-04 01:30:51.828997	203
25240	137498	24613	2013-08-04 01:30:51.840999	2013-08-04 01:30:51.840999	203
25241	137498	24593	2013-08-04 01:30:51.852062	2013-08-04 01:30:51.852062	203
25242	137498	24581	2013-08-04 01:30:51.862002	2013-08-04 01:30:51.862002	203
25243	137498	24573	2013-08-04 01:30:51.870593	2013-08-04 01:30:51.870593	203
25244	137498	24553	2013-08-04 01:30:51.88022	2013-08-04 01:30:51.88022	203
25245	137498	24560	2013-08-04 01:30:51.890843	2013-08-04 01:30:51.890843	203
25246	137498	24533	2013-08-04 01:30:51.901565	2013-08-04 01:30:51.901565	203
25247	137498	24561	2013-08-04 01:30:51.911127	2013-08-04 01:30:51.911127	203
25248	137498	24513	2013-08-04 01:30:51.916847	2013-08-04 01:30:51.916847	203
25249	137498	24645	2013-08-04 01:30:51.921753	2013-08-04 01:30:51.921753	203
25250	137498	24493	2013-08-04 01:30:51.926422	2013-08-04 01:30:51.926422	203
25251	137498	16401	2013-08-04 01:30:51.931305	2013-08-04 01:30:51.931305	203
25252	137498	24473	2013-08-04 01:30:51.936525	2013-08-04 01:30:51.936525	203
25253	137498	4103	2013-08-04 01:30:51.941544	2013-08-04 01:30:51.941544	203
25254	138850	48561	2013-08-04 01:35:46.208727	2013-08-04 01:35:46.208727	204
25255	138666	48541	2013-08-04 01:35:46.223725	2013-08-04 01:35:46.223725	204
25256	138627	48521	2013-08-04 01:35:46.246578	2013-08-04 01:35:46.246578	204
25257	138618	48501	2013-08-04 01:35:46.269658	2013-08-04 01:35:46.269658	204
25258	138590	48481	2013-08-04 01:35:46.293246	2013-08-04 01:35:46.293246	204
25259	138587	48461	2013-08-04 01:35:46.315999	2013-08-04 01:35:46.315999	204
25260	138517	48441	2013-08-04 01:35:46.338777	2013-08-04 01:35:46.338777	204
25261	138467	48421	2013-08-04 01:35:46.361377	2013-08-04 01:35:46.361377	204
25262	138435	48401	2013-08-04 01:35:46.3842	2013-08-04 01:35:46.3842	204
25263	138387	48381	2013-08-04 01:35:46.406842	2013-08-04 01:35:46.406842	204
25264	138359	48361	2013-08-04 01:35:46.430038	2013-08-04 01:35:46.430038	204
25265	138355	48225	2013-08-04 01:35:46.453976	2013-08-04 01:35:46.453976	204
25266	138349	48255	2013-08-04 01:35:46.477011	2013-08-04 01:35:46.477011	204
25267	138340	48265	2013-08-04 01:35:46.499738	2013-08-04 01:35:46.499738	204
25268	138336	48341	2013-08-04 01:35:46.522378	2013-08-04 01:35:46.522378	204
25269	138329	45900	2013-08-04 01:35:46.545189	2013-08-04 01:35:46.545189	204
25270	140061	324	2013-08-04 01:35:46.572518	2013-08-04 01:35:46.572518	204
25271	140061	48501	2013-08-04 01:35:46.577198	2013-08-04 01:35:46.577198	204
25272	138908	48301	2013-08-04 01:35:46.588922	2013-08-04 01:35:46.588922	204
25273	138908	45850	2013-08-04 01:35:46.599582	2013-08-04 01:35:46.599582	204
25274	138702	23423	2013-08-04 01:35:46.621045	2013-08-04 01:35:46.621045	204
25275	138702	34065	2013-08-04 01:35:46.631647	2013-08-04 01:35:46.631647	204
25276	138334	4164	2013-08-04 01:35:47.315905	2013-08-04 01:35:47.315905	204
25277	138334	20317	2013-08-04 01:35:47.325713	2013-08-04 01:35:47.325713	204
25278	138334	13186	2013-08-04 01:35:47.336836	2013-08-04 01:35:47.336836	204
25279	138334	20391	2013-08-04 01:35:47.347971	2013-08-04 01:35:47.347971	204
25280	138334	20371	2013-08-04 01:35:47.359522	2013-08-04 01:35:47.359522	204
25281	138334	19577	2013-08-04 01:35:47.371095	2013-08-04 01:35:47.371095	204
25282	138334	20315	2013-08-04 01:35:47.382655	2013-08-04 01:35:47.382655	204
25283	138334	20351	2013-08-04 01:35:47.393639	2013-08-04 01:35:47.393639	204
25284	138334	20331	2013-08-04 01:35:47.404326	2013-08-04 01:35:47.404326	204
25285	138334	5010	2013-08-04 01:35:47.415218	2013-08-04 01:35:47.415218	204
25286	138334	20406	2013-08-04 01:35:47.426529	2013-08-04 01:35:47.426529	204
25287	138334	20311	2013-08-04 01:35:47.438572	2013-08-04 01:35:47.438572	204
25288	138334	20291	2013-08-04 01:35:47.451012	2013-08-04 01:35:47.451012	204
25289	138334	20401	2013-08-04 01:35:47.462273	2013-08-04 01:35:47.462273	204
25290	138334	20271	2013-08-04 01:35:47.473184	2013-08-04 01:35:47.473184	204
25291	138334	33018	2013-08-04 01:35:47.48429	2013-08-04 01:35:47.48429	204
25292	138334	20251	2013-08-04 01:35:47.495399	2013-08-04 01:35:47.495399	204
25293	138334	19811	2013-08-04 01:35:47.506594	2013-08-04 01:35:47.506594	204
25294	138334	23326	2013-08-04 01:35:47.517038	2013-08-04 01:35:47.517038	204
25295	138338	1864	2013-08-04 01:35:47.567653	2013-08-04 01:35:47.567653	204
25296	138338	920	2013-08-04 01:35:47.580115	2013-08-04 01:35:47.580115	204
25297	138338	708	2013-08-04 01:35:47.584203	2013-08-04 01:35:47.584203	204
25298	138338	1271	2013-08-04 01:35:47.589127	2013-08-04 01:35:47.589127	204
25299	138338	1581	2013-08-04 01:35:47.597947	2013-08-04 01:35:47.597947	204
25300	138338	1433	2013-08-04 01:35:47.609404	2013-08-04 01:35:47.609404	204
25301	138338	695	2013-08-04 01:35:47.61868	2013-08-04 01:35:47.61868	204
25302	138338	1431	2013-08-04 01:35:47.629978	2013-08-04 01:35:47.629978	204
25303	138338	1874	2013-08-04 01:35:47.641693	2013-08-04 01:35:47.641693	204
25304	138338	760	2013-08-04 01:35:47.652923	2013-08-04 01:35:47.652923	204
25305	138338	587	2013-08-04 01:35:47.663862	2013-08-04 01:35:47.663862	204
25306	138338	636	2013-08-04 01:35:47.676024	2013-08-04 01:35:47.676024	204
25307	138338	1190	2013-08-04 01:35:47.687285	2013-08-04 01:35:47.687285	204
25308	138338	1251	2013-08-04 01:35:47.698373	2013-08-04 01:35:47.698373	204
25309	138338	1674	2013-08-04 01:35:47.70988	2013-08-04 01:35:47.70988	204
25310	138338	500	2013-08-04 01:35:47.721279	2013-08-04 01:35:47.721279	204
25311	138338	48521	2013-08-04 01:35:47.731516	2013-08-04 01:35:47.731516	204
25312	138338	48141	2013-08-04 01:35:47.742358	2013-08-04 01:35:47.742358	204
25313	138338	45710	2013-08-04 01:35:47.752698	2013-08-04 01:35:47.752698	204
25314	138335	24953	2013-08-04 01:35:47.794328	2013-08-04 01:35:47.794328	204
25315	138335	24933	2013-08-04 01:35:47.806865	2013-08-04 01:35:47.806865	204
25316	138335	25615	2013-08-04 01:35:47.813336	2013-08-04 01:35:47.813336	204
25317	138335	24913	2013-08-04 01:35:47.821679	2013-08-04 01:35:47.821679	204
25318	138335	4908	2013-08-04 01:35:47.826512	2013-08-04 01:35:47.826512	204
25319	138335	24893	2013-08-04 01:35:47.831105	2013-08-04 01:35:47.831105	204
25320	138335	24952	2013-08-04 01:35:47.836854	2013-08-04 01:35:47.836854	204
25321	138335	24873	2013-08-04 01:35:47.84493	2013-08-04 01:35:47.84493	204
25322	138335	24853	2013-08-04 01:35:47.855116	2013-08-04 01:35:47.855116	204
25323	138335	24833	2013-08-04 01:35:47.86621	2013-08-04 01:35:47.86621	204
25324	138335	24813	2013-08-04 01:35:47.873602	2013-08-04 01:35:47.873602	204
25325	138335	24821	2013-08-04 01:35:47.879325	2013-08-04 01:35:47.879325	204
25326	138335	24655	2013-08-04 01:35:47.888269	2013-08-04 01:35:47.888269	204
25327	138335	24793	2013-08-04 01:35:47.899429	2013-08-04 01:35:47.899429	204
25328	138335	24773	2013-08-04 01:35:47.908774	2013-08-04 01:35:47.908774	204
25329	138335	24753	2013-08-04 01:35:47.920756	2013-08-04 01:35:47.920756	204
25330	138335	24733	2013-08-04 01:35:47.93232	2013-08-04 01:35:47.93232	204
25331	138335	13935	2013-08-04 01:35:47.944197	2013-08-04 01:35:47.944197	204
25332	138335	22980	2013-08-04 01:35:47.95673	2013-08-04 01:35:47.95673	204
25333	139963	48801	2013-08-04 01:41:00.190799	2013-08-04 01:41:00.190799	205
25334	139760	48781	2013-08-04 01:41:00.213067	2013-08-04 01:41:00.213067	205
25335	139452	48761	2013-08-04 01:41:00.236097	2013-08-04 01:41:00.236097	205
25336	139428	48680	2013-08-04 01:41:00.258013	2013-08-04 01:41:00.258013	205
25337	139400	48741	2013-08-04 01:41:00.280146	2013-08-04 01:41:00.280146	205
25338	139321	48721	2013-08-04 01:41:00.302587	2013-08-04 01:41:00.302587	205
25339	139267	48812	2013-08-04 01:41:00.325163	2013-08-04 01:41:00.325163	205
25340	139234	48701	2013-08-04 01:41:00.340641	2013-08-04 01:41:00.340641	205
25341	139227	48681	2013-08-04 01:41:00.349759	2013-08-04 01:41:00.349759	205
25342	139187	48620	2013-08-04 01:41:00.359522	2013-08-04 01:41:00.359522	205
25343	139148	48563	2013-08-04 01:41:00.376539	2013-08-04 01:41:00.376539	205
25344	139141	48661	2013-08-04 01:41:00.399661	2013-08-04 01:41:00.399661	205
25345	139138	48641	2013-08-04 01:41:00.422399	2013-08-04 01:41:00.422399	205
25346	139134	14299	2013-08-04 01:41:00.446031	2013-08-04 01:41:00.446031	205
25347	139128	46065	2013-08-04 01:41:00.467688	2013-08-04 01:41:00.467688	205
25348	140052	1455	2013-08-04 01:41:00.526868	2013-08-04 01:41:00.526868	205
25349	140052	48781	2013-08-04 01:41:00.537513	2013-08-04 01:41:00.537513	205
25350	139222	46018	2013-08-04 01:41:00.558015	2013-08-04 01:41:00.558015	205
25351	139222	4889	2013-08-04 01:41:00.568031	2013-08-04 01:41:00.568031	205
25352	139176	20681	2013-08-04 01:41:01.203351	2013-08-04 01:41:01.203351	205
25353	139176	20571	2013-08-04 01:41:01.212441	2013-08-04 01:41:01.212441	205
25354	139176	20460	2013-08-04 01:41:01.222342	2013-08-04 01:41:01.222342	205
25355	139176	20537	2013-08-04 01:41:01.233597	2013-08-04 01:41:01.233597	205
25356	139176	20550	2013-08-04 01:41:01.244785	2013-08-04 01:41:01.244785	205
25357	139176	12061	2013-08-04 01:41:01.256399	2013-08-04 01:41:01.256399	205
25358	139176	20551	2013-08-04 01:41:01.268881	2013-08-04 01:41:01.268881	205
25359	139176	20531	2013-08-04 01:41:01.281211	2013-08-04 01:41:01.281211	205
25360	139176	20511	2013-08-04 01:41:01.292539	2013-08-04 01:41:01.292539	205
25361	139176	20491	2013-08-04 01:41:01.303655	2013-08-04 01:41:01.303655	205
25362	139176	20471	2013-08-04 01:41:01.314897	2013-08-04 01:41:01.314897	205
25363	139176	20440	2013-08-04 01:41:01.326667	2013-08-04 01:41:01.326667	205
25364	139176	20451	2013-08-04 01:41:01.338161	2013-08-04 01:41:01.338161	205
25365	139176	20431	2013-08-04 01:41:01.349247	2013-08-04 01:41:01.349247	205
25366	139176	20415	2013-08-04 01:41:01.361035	2013-08-04 01:41:01.361035	205
25367	139176	20411	2013-08-04 01:41:01.370512	2013-08-04 01:41:01.370512	205
25368	139176	20277	2013-08-04 01:41:01.375474	2013-08-04 01:41:01.375474	205
25369	139176	36101	2013-08-04 01:41:01.380948	2013-08-04 01:41:01.380948	205
25370	139176	14270	2013-08-04 01:41:01.385067	2013-08-04 01:41:01.385067	205
25371	139178	19380	2013-08-04 01:41:01.404026	2013-08-04 01:41:01.404026	205
25372	139178	22155	2013-08-04 01:41:01.409705	2013-08-04 01:41:01.409705	205
25373	139178	1300	2013-08-04 01:41:01.415484	2013-08-04 01:41:01.415484	205
25374	139178	1416	2013-08-04 01:41:01.420506	2013-08-04 01:41:01.420506	205
25375	139178	1688	2013-08-04 01:41:01.425327	2013-08-04 01:41:01.425327	205
25376	139178	2233	2013-08-04 01:41:01.429839	2013-08-04 01:41:01.429839	205
25377	139178	2370	2013-08-04 01:41:01.433806	2013-08-04 01:41:01.433806	205
25378	139178	2766	2013-08-04 01:41:01.43705	2013-08-04 01:41:01.43705	205
25379	139178	1629	2013-08-04 01:41:01.440632	2013-08-04 01:41:01.440632	205
25380	139178	704	2013-08-04 01:41:01.448232	2013-08-04 01:41:01.448232	205
25381	139178	2631	2013-08-04 01:41:01.458019	2013-08-04 01:41:01.458019	205
25382	139178	2484	2013-08-04 01:41:01.469914	2013-08-04 01:41:01.469914	205
25383	139178	842	2013-08-04 01:41:01.481695	2013-08-04 01:41:01.481695	205
25384	139178	1185	2013-08-04 01:41:01.548524	2013-08-04 01:41:01.548524	205
25385	139178	1204	2013-08-04 01:41:01.559644	2013-08-04 01:41:01.559644	205
25386	139178	1208	2013-08-04 01:41:01.568212	2013-08-04 01:41:01.568212	205
25387	139178	48721	2013-08-04 01:41:01.576612	2013-08-04 01:41:01.576612	205
25388	139178	45990	2013-08-04 01:41:01.583243	2013-08-04 01:41:01.583243	205
25389	139178	14195	2013-08-04 01:41:01.586964	2013-08-04 01:41:01.586964	205
25390	139175	25153	2013-08-04 01:41:01.621906	2013-08-04 01:41:01.621906	205
25391	139175	25133	2013-08-04 01:41:01.633764	2013-08-04 01:41:01.633764	205
25392	139175	19197	2013-08-04 01:41:01.644607	2013-08-04 01:41:01.644607	205
25393	139175	19301	2013-08-04 01:41:01.656074	2013-08-04 01:41:01.656074	205
25394	139175	24995	2013-08-04 01:41:01.667928	2013-08-04 01:41:01.667928	205
25395	139175	25113	2013-08-04 01:41:01.679357	2013-08-04 01:41:01.679357	205
25396	139175	25052	2013-08-04 01:41:01.69065	2013-08-04 01:41:01.69065	205
25397	139175	25093	2013-08-04 01:41:01.701944	2013-08-04 01:41:01.701944	205
25398	139175	25073	2013-08-04 01:41:01.713251	2013-08-04 01:41:01.713251	205
25399	139175	25053	2013-08-04 01:41:01.723883	2013-08-04 01:41:01.723883	205
25400	139175	25085	2013-08-04 01:41:01.736351	2013-08-04 01:41:01.736351	205
25401	139175	25033	2013-08-04 01:41:01.743336	2013-08-04 01:41:01.743336	205
25402	139175	25013	2013-08-04 01:41:01.747442	2013-08-04 01:41:01.747442	205
25403	139175	24998	2013-08-04 01:41:01.751921	2013-08-04 01:41:01.751921	205
25404	139175	24993	2013-08-04 01:41:01.759507	2013-08-04 01:41:01.759507	205
25405	139175	25000	2013-08-04 01:41:01.769208	2013-08-04 01:41:01.769208	205
25406	139175	24973	2013-08-04 01:41:01.779739	2013-08-04 01:41:01.779739	205
25407	139175	24957	2013-08-04 01:41:01.790824	2013-08-04 01:41:01.790824	205
25408	139175	14221	2013-08-04 01:41:01.802019	2013-08-04 01:41:01.802019	205
25409	140727	49061	2013-08-04 01:45:50.531802	2013-08-04 01:45:50.531802	206
25410	140552	49041	2013-08-04 01:45:50.55867	2013-08-04 01:45:50.55867	206
25411	140415	49021	2013-08-04 01:45:50.584134	2013-08-04 01:45:50.584134	206
25412	140408	49001	2013-08-04 01:45:50.609183	2013-08-04 01:45:50.609183	206
25413	140223	48945	2013-08-04 01:45:50.634586	2013-08-04 01:45:50.634586	206
25414	140196	48981	2013-08-04 01:45:50.660167	2013-08-04 01:45:50.660167	206
25415	140176	48961	2013-08-04 01:45:50.683898	2013-08-04 01:45:50.683898	206
25416	140171	48941	2013-08-04 01:45:50.70855	2013-08-04 01:45:50.70855	206
25417	140094	48921	2013-08-04 01:45:50.732046	2013-08-04 01:45:50.732046	206
25418	140090	48901	2013-08-04 01:45:50.75581	2013-08-04 01:45:50.75581	206
25419	140079	48881	2013-08-04 01:45:50.779375	2013-08-04 01:45:50.779375	206
25420	140063	48898	2013-08-04 01:45:50.803217	2013-08-04 01:45:50.803217	206
25421	140060	46690	2013-08-04 01:45:50.826833	2013-08-04 01:45:50.826833	206
25422	140056	46390	2013-08-04 01:45:50.849618	2013-08-04 01:45:50.849618	206
25423	140055	13856	2013-08-04 01:45:50.872525	2013-08-04 01:45:50.872525	206
25424	140068	48945	2013-08-04 01:45:51.468573	2013-08-04 01:45:51.468573	206
25425	140068	46650	2013-08-04 01:45:51.472478	2013-08-04 01:45:51.472478	206
25426	140068	46380	2013-08-04 01:45:51.47614	2013-08-04 01:45:51.47614	206
25427	140068	13516	2013-08-04 01:45:51.479645	2013-08-04 01:45:51.479645	206
25428	140069	20751	2013-08-04 01:45:51.513761	2013-08-04 01:45:51.513761	206
25429	140069	20726	2013-08-04 01:45:51.518731	2013-08-04 01:45:51.518731	206
25430	140069	20731	2013-08-04 01:45:51.523166	2013-08-04 01:45:51.523166	206
25431	140069	20673	2013-08-04 01:45:51.532164	2013-08-04 01:45:51.532164	206
25432	140069	6919	2013-08-04 01:45:51.540338	2013-08-04 01:45:51.540338	206
25433	140069	7079	2013-08-04 01:45:51.549943	2013-08-04 01:45:51.549943	206
25434	140069	20711	2013-08-04 01:45:51.560348	2013-08-04 01:45:51.560348	206
25435	140069	20691	2013-08-04 01:45:51.570275	2013-08-04 01:45:51.570275	206
25436	140069	20073	2013-08-04 01:45:51.578842	2013-08-04 01:45:51.578842	206
25437	140069	20671	2013-08-04 01:45:51.588446	2013-08-04 01:45:51.588446	206
25438	140069	20651	2013-08-04 01:45:51.59926	2013-08-04 01:45:51.59926	206
25439	140069	3161	2013-08-04 01:45:51.61018	2013-08-04 01:45:51.61018	206
25440	140069	3141	2013-08-04 01:45:51.621807	2013-08-04 01:45:51.621807	206
25441	140069	3174	2013-08-04 01:45:51.633411	2013-08-04 01:45:51.633411	206
25442	140069	20631	2013-08-04 01:45:51.644976	2013-08-04 01:45:51.644976	206
25443	140069	20611	2013-08-04 01:45:51.655688	2013-08-04 01:45:51.655688	206
25444	140069	20663	2013-08-04 01:45:51.663446	2013-08-04 01:45:51.663446	206
25445	140069	20591	2013-08-04 01:45:51.668623	2013-08-04 01:45:51.668623	206
25446	140069	13796	2013-08-04 01:45:51.673712	2013-08-04 01:45:51.673712	206
25447	140070	29583	2013-08-04 01:45:51.705508	2013-08-04 01:45:51.705508	206
25448	140070	15088	2013-08-04 01:45:51.717406	2013-08-04 01:45:51.717406	206
25449	140070	28503	2013-08-04 01:45:51.729192	2013-08-04 01:45:51.729192	206
25450	140070	13600	2013-08-04 01:45:51.737168	2013-08-04 01:45:51.737168	206
25451	140070	22297	2013-08-04 01:45:51.744672	2013-08-04 01:45:51.744672	206
25452	140070	20140	2013-08-04 01:45:51.750185	2013-08-04 01:45:51.750185	206
25453	140070	28223	2013-08-04 01:45:51.754305	2013-08-04 01:45:51.754305	206
25454	140070	23035	2013-08-04 01:45:51.763616	2013-08-04 01:45:51.763616	206
25455	140070	27103	2013-08-04 01:45:51.775322	2013-08-04 01:45:51.775322	206
25456	140070	12841	2013-08-04 01:45:51.787304	2013-08-04 01:45:51.787304	206
25457	140070	26763	2013-08-04 01:45:51.799406	2013-08-04 01:45:51.799406	206
25458	140070	19540	2013-08-04 01:45:51.810935	2013-08-04 01:45:51.810935	206
25459	140070	23428	2013-08-04 01:45:51.821201	2013-08-04 01:45:51.821201	206
25460	140070	6671	2013-08-04 01:45:51.832688	2013-08-04 01:45:51.832688	206
25461	140070	26483	2013-08-04 01:45:51.844721	2013-08-04 01:45:51.844721	206
25462	140070	49021	2013-08-04 01:45:51.856825	2013-08-04 01:45:51.856825	206
25463	140070	46530	2013-08-04 01:45:51.867872	2013-08-04 01:45:51.867872	206
25464	140070	46270	2013-08-04 01:45:51.878541	2013-08-04 01:45:51.878541	206
25465	140070	49292	2013-08-04 01:45:51.889142	2013-08-04 01:45:51.889142	206
25466	141350	49301	2013-08-04 01:50:56.567934	2013-08-04 01:50:56.567934	207
25467	141164	49281	2013-08-04 01:50:56.591824	2013-08-04 01:50:56.591824	207
25468	141002	49261	2013-08-04 01:50:56.671285	2013-08-04 01:50:56.671285	207
25469	140978	49180	2013-08-04 01:50:56.684685	2013-08-04 01:50:56.684685	207
25470	140947	49241	2013-08-04 01:50:56.705083	2013-08-04 01:50:56.705083	207
25471	140921	49158	2013-08-04 01:50:56.726735	2013-08-04 01:50:56.726735	207
25472	140903	49221	2013-08-04 01:50:56.749163	2013-08-04 01:50:56.749163	207
25473	140885	49201	2013-08-04 01:50:56.771437	2013-08-04 01:50:56.771437	207
25474	140880	49181	2013-08-04 01:50:56.793685	2013-08-04 01:50:56.793685	207
25475	140870	49161	2013-08-04 01:50:56.816232	2013-08-04 01:50:56.816232	207
25476	140853	47210	2013-08-04 01:50:56.838564	2013-08-04 01:50:56.838564	207
25477	140805	20931	2013-08-04 01:50:56.860604	2013-08-04 01:50:56.860604	207
25478	140800	17350	2013-08-04 01:50:56.882436	2013-08-04 01:50:56.882436	207
25479	140799	46930	2013-08-04 01:50:56.904326	2013-08-04 01:50:56.904326	207
25480	140792	23073	2013-08-04 01:50:56.926264	2013-08-04 01:50:56.926264	207
25481	140794	49281	2013-08-04 01:50:57.371934	2013-08-04 01:50:57.371934	207
25482	140794	47170	2013-08-04 01:50:57.37559	2013-08-04 01:50:57.37559	207
25483	140794	46905	2013-08-04 01:50:57.379103	2013-08-04 01:50:57.379103	207
25484	140794	20911	2013-08-04 01:50:57.382888	2013-08-04 01:50:57.382888	207
25485	140794	2154	2013-08-04 01:50:57.386374	2013-08-04 01:50:57.386374	207
25486	140794	28363	2013-08-04 01:50:57.391307	2013-08-04 01:50:57.391307	207
25487	140972	23646	2013-08-04 01:50:57.425136	2013-08-04 01:50:57.425136	207
25488	140972	23626	2013-08-04 01:50:57.429553	2013-08-04 01:50:57.429553	207
25489	140972	23606	2013-08-04 01:50:57.434683	2013-08-04 01:50:57.434683	207
25490	140972	23632	2013-08-04 01:50:57.439004	2013-08-04 01:50:57.439004	207
25491	140972	23601	2013-08-04 01:50:57.443948	2013-08-04 01:50:57.443948	207
25492	140972	23586	2013-08-04 01:50:57.449939	2013-08-04 01:50:57.449939	207
25493	140972	23563	2013-08-04 01:50:57.456075	2013-08-04 01:50:57.456075	207
25494	140972	23566	2013-08-04 01:50:57.460894	2013-08-04 01:50:57.460894	207
25495	140972	23546	2013-08-04 01:50:57.46756	2013-08-04 01:50:57.46756	207
25496	140972	23403	2013-08-04 01:50:57.472361	2013-08-04 01:50:57.472361	207
25497	140972	23526	2013-08-04 01:50:57.476637	2013-08-04 01:50:57.476637	207
25498	140972	21021	2013-08-04 01:50:57.481662	2013-08-04 01:50:57.481662	207
25499	140972	43823	2013-08-04 01:50:57.486169	2013-08-04 01:50:57.486169	207
25500	140972	13276	2013-08-04 01:50:57.490279	2013-08-04 01:50:57.490279	207
25501	140972	17350	2013-08-04 01:50:57.494806	2013-08-04 01:50:57.494806	207
25502	140972	46298	2013-08-04 01:50:57.499349	2013-08-04 01:50:57.499349	207
25503	140972	33957	2013-08-04 01:50:57.502812	2013-08-04 01:50:57.502812	207
25504	140972	11411	2013-08-04 01:50:57.506228	2013-08-04 01:50:57.506228	207
25505	140972	22906	2013-08-04 01:50:57.509538	2013-08-04 01:50:57.509538	207
25506	140976	19791	2013-08-04 01:50:57.524896	2013-08-04 01:50:57.524896	207
25507	140976	35495	2013-08-04 01:50:57.529479	2013-08-04 01:50:57.529479	207
25508	140976	20915	2013-08-04 01:50:57.533484	2013-08-04 01:50:57.533484	207
25509	140976	19413	2013-08-04 01:50:57.538605	2013-08-04 01:50:57.538605	207
25510	140976	35341	2013-08-04 01:50:57.546275	2013-08-04 01:50:57.546275	207
25511	140976	35221	2013-08-04 01:50:57.555253	2013-08-04 01:50:57.555253	207
25512	140976	35040	2013-08-04 01:50:57.566466	2013-08-04 01:50:57.566466	207
25513	140976	14336	2013-08-04 01:50:57.578082	2013-08-04 01:50:57.578082	207
25514	140976	14156	2013-08-04 01:50:57.588374	2013-08-04 01:50:57.588374	207
25515	140976	13056	2013-08-04 01:50:57.599745	2013-08-04 01:50:57.599745	207
25516	140976	46930	2013-08-04 01:50:57.610005	2013-08-04 01:50:57.610005	207
25517	140976	46065	2013-08-04 01:50:57.619886	2013-08-04 01:50:57.619886	207
25518	140976	34757	2013-08-04 01:50:57.630125	2013-08-04 01:50:57.630125	207
25519	140976	45530	2013-08-04 01:50:57.641506	2013-08-04 01:50:57.641506	207
25520	140976	47055	2013-08-04 01:50:57.652507	2013-08-04 01:50:57.652507	207
25521	140976	49752	2013-08-04 01:50:57.663571	2013-08-04 01:50:57.663571	207
25522	140976	42990	2013-08-04 01:50:57.674669	2013-08-04 01:50:57.674669	207
25523	140976	48083	2013-08-04 01:50:57.685978	2013-08-04 01:50:57.685978	207
25524	140976	12976	2013-08-04 01:50:57.696072	2013-08-04 01:50:57.696072	207
25525	140974	47470	2013-08-04 01:50:57.744273	2013-08-04 01:50:57.744273	207
25526	140974	47435	2013-08-04 01:50:57.750473	2013-08-04 01:50:57.750473	207
25527	140974	47450	2013-08-04 01:50:57.756844	2013-08-04 01:50:57.756844	207
25528	140974	47430	2013-08-04 01:50:57.76598	2013-08-04 01:50:57.76598	207
25529	140974	47410	2013-08-04 01:50:57.777324	2013-08-04 01:50:57.777324	207
25530	140974	47345	2013-08-04 01:50:57.78856	2013-08-04 01:50:57.78856	207
25531	140974	47390	2013-08-04 01:50:57.794368	2013-08-04 01:50:57.794368	207
25532	140974	47370	2013-08-04 01:50:57.797797	2013-08-04 01:50:57.797797	207
25533	140974	47350	2013-08-04 01:50:57.801789	2013-08-04 01:50:57.801789	207
25534	140974	47330	2013-08-04 01:50:57.862827	2013-08-04 01:50:57.862827	207
25535	140974	47310	2013-08-04 01:50:57.870722	2013-08-04 01:50:57.870722	207
25536	140974	47290	2013-08-04 01:50:57.878038	2013-08-04 01:50:57.878038	207
25537	140974	47295	2013-08-04 01:50:57.888848	2013-08-04 01:50:57.888848	207
25538	140974	47300	2013-08-04 01:50:57.899318	2013-08-04 01:50:57.899318	207
25539	140974	47270	2013-08-04 01:50:57.910485	2013-08-04 01:50:57.910485	207
25540	140974	47218	2013-08-04 01:50:57.922144	2013-08-04 01:50:57.922144	207
25541	140974	47250	2013-08-04 01:50:57.934689	2013-08-04 01:50:57.934689	207
25542	140974	47230	2013-08-04 01:50:57.946399	2013-08-04 01:50:57.946399	207
25543	140974	19863	2013-08-04 01:50:57.956996	2013-08-04 01:50:57.956996	207
25544	140796	25760	2013-08-04 01:50:57.996686	2013-08-04 01:50:57.996686	207
25545	140796	21111	2013-08-04 01:50:58.008582	2013-08-04 01:50:58.008582	207
25546	140796	21075	2013-08-04 01:50:58.019389	2013-08-04 01:50:58.019389	207
25547	140796	21091	2013-08-04 01:50:58.030482	2013-08-04 01:50:58.030482	207
25548	140796	21071	2013-08-04 01:50:58.041422	2013-08-04 01:50:58.041422	207
25549	140796	21086	2013-08-04 01:50:58.052474	2013-08-04 01:50:58.052474	207
25550	140796	21051	2013-08-04 01:50:58.063318	2013-08-04 01:50:58.063318	207
25551	140796	5349	2013-08-04 01:50:58.074465	2013-08-04 01:50:58.074465	207
25552	140796	5369	2013-08-04 01:50:58.085562	2013-08-04 01:50:58.085562	207
25553	140796	21031	2013-08-04 01:50:58.096571	2013-08-04 01:50:58.096571	207
25554	140796	24570	2013-08-04 01:50:58.107714	2013-08-04 01:50:58.107714	207
25555	140796	21011	2013-08-04 01:50:58.119366	2013-08-04 01:50:58.119366	207
25556	140796	20991	2013-08-04 01:50:58.13049	2013-08-04 01:50:58.13049	207
25557	140796	20890	2013-08-04 01:50:58.142398	2013-08-04 01:50:58.142398	207
25558	140796	20990	2013-08-04 01:50:58.153971	2013-08-04 01:50:58.153971	207
25559	140796	20971	2013-08-04 01:50:58.164425	2013-08-04 01:50:58.164425	207
25560	140796	20951	2013-08-04 01:50:58.168143	2013-08-04 01:50:58.168143	207
25561	140796	6801	2013-08-04 01:50:58.171934	2013-08-04 01:50:58.171934	207
25562	140796	12932	2013-08-04 01:50:58.175652	2013-08-04 01:50:58.175652	207
25563	140807	5558	2013-08-04 01:50:58.189792	2013-08-04 01:50:58.189792	207
25564	140807	32383	2013-08-04 01:50:58.195167	2013-08-04 01:50:58.195167	207
25565	140807	23258	2013-08-04 01:50:58.199908	2013-08-04 01:50:58.199908	207
25566	140807	13690	2013-08-04 01:50:58.209328	2013-08-04 01:50:58.209328	207
25567	140807	5238	2013-08-04 01:50:58.220363	2013-08-04 01:50:58.220363	207
25568	140807	31303	2013-08-04 01:50:58.231337	2013-08-04 01:50:58.231337	207
25569	140807	31043	2013-08-04 01:50:58.242665	2013-08-04 01:50:58.242665	207
25570	140807	24115	2013-08-04 01:50:58.253369	2013-08-04 01:50:58.253369	207
25571	140807	23655	2013-08-04 01:50:58.264521	2013-08-04 01:50:58.264521	207
25572	140807	29923	2013-08-04 01:50:58.2734	2013-08-04 01:50:58.2734	207
25573	140807	23815	2013-08-04 01:50:58.279142	2013-08-04 01:50:58.279142	207
25574	140807	14391	2013-08-04 01:50:58.287174	2013-08-04 01:50:58.287174	207
25575	140807	12528	2013-08-04 01:50:58.294019	2013-08-04 01:50:58.294019	207
25576	140807	49180	2013-08-04 01:50:58.300054	2013-08-04 01:50:58.300054	207
25577	140807	47030	2013-08-04 01:50:58.303381	2013-08-04 01:50:58.303381	207
25578	140807	46790	2013-08-04 01:50:58.306252	2013-08-04 01:50:58.306252	207
25579	140807	20851	2013-08-04 01:50:58.3093	2013-08-04 01:50:58.3093	207
25580	140807	22846	2013-08-04 01:50:58.312771	2013-08-04 01:50:58.312771	207
25581	140807	40190	2013-08-04 01:50:58.317359	2013-08-04 01:50:58.317359	207
25582	140992	14166	2013-08-04 01:50:58.35375	2013-08-04 01:50:58.35375	207
25583	140992	25333	2013-08-04 01:50:58.36577	2013-08-04 01:50:58.36577	207
25584	140992	25313	2013-08-04 01:50:58.377916	2013-08-04 01:50:58.377916	207
25585	140992	25341	2013-08-04 01:50:58.38339	2013-08-04 01:50:58.38339	207
25586	140992	25293	2013-08-04 01:50:58.387344	2013-08-04 01:50:58.387344	207
25587	140992	18646	2013-08-04 01:50:58.391186	2013-08-04 01:50:58.391186	207
25588	140992	25217	2013-08-04 01:50:58.395927	2013-08-04 01:50:58.395927	207
25589	140992	25273	2013-08-04 01:50:58.399991	2013-08-04 01:50:58.399991	207
25590	140992	25253	2013-08-04 01:50:58.403515	2013-08-04 01:50:58.403515	207
25591	140992	25233	2013-08-04 01:50:58.408385	2013-08-04 01:50:58.408385	207
25592	140992	25213	2013-08-04 01:50:58.414024	2013-08-04 01:50:58.414024	207
25593	140992	25193	2013-08-04 01:50:58.42436	2013-08-04 01:50:58.42436	207
25594	140992	25210	2013-08-04 01:50:58.429651	2013-08-04 01:50:58.429651	207
25595	140992	25173	2013-08-04 01:50:58.435662	2013-08-04 01:50:58.435662	207
25596	140992	20831	2013-08-04 01:50:58.44396	2013-08-04 01:50:58.44396	207
25597	140992	13856	2013-08-04 01:50:58.453732	2013-08-04 01:50:58.453732	207
25598	140992	34337	2013-08-04 01:50:58.463355	2013-08-04 01:50:58.463355	207
25599	140992	22886	2013-08-04 01:50:58.474601	2013-08-04 01:50:58.474601	207
25600	140992	32855	2013-08-04 01:50:58.48456	2013-08-04 01:50:58.48456	207
25601	140971	42772	2013-08-04 01:50:58.535493	2013-08-04 01:50:58.535493	207
25602	140971	42741	2013-08-04 01:50:58.54739	2013-08-04 01:50:58.54739	207
25603	140971	42618	2013-08-04 01:50:58.558437	2013-08-04 01:50:58.558437	207
25604	140971	42681	2013-08-04 01:50:58.569488	2013-08-04 01:50:58.569488	207
25605	140971	42461	2013-08-04 01:50:58.580287	2013-08-04 01:50:58.580287	207
25606	140971	34677	2013-08-04 01:50:58.591293	2013-08-04 01:50:58.591293	207
25607	140971	34437	2013-08-04 01:50:58.603407	2013-08-04 01:50:58.603407	207
25608	140971	20811	2013-08-04 01:50:58.61523	2013-08-04 01:50:58.61523	207
25609	140971	14241	2013-08-04 01:50:58.625933	2013-08-04 01:50:58.625933	207
25610	140971	14019	2013-08-04 01:50:58.636261	2013-08-04 01:50:58.636261	207
25611	140971	13896	2013-08-04 01:50:58.647326	2013-08-04 01:50:58.647326	207
25612	140971	13576	2013-08-04 01:50:58.658123	2013-08-04 01:50:58.658123	207
25613	140971	13561	2013-08-04 01:50:58.669054	2013-08-04 01:50:58.669054	207
25614	140971	33	2013-08-04 01:50:58.680037	2013-08-04 01:50:58.680037	207
25615	140971	21006	2013-08-04 01:50:58.691036	2013-08-04 01:50:58.691036	207
25616	140971	33981	2013-08-04 01:50:58.702108	2013-08-04 01:50:58.702108	207
25617	140971	20280	2013-08-04 01:50:58.711981	2013-08-04 01:50:58.711981	207
25618	140971	40298	2013-08-04 01:50:58.723003	2013-08-04 01:50:58.723003	207
25619	140971	39721	2013-08-04 01:50:58.733247	2013-08-04 01:50:58.733247	207
25620	140993	17015	2013-08-04 01:50:58.779097	2013-08-04 01:50:58.779097	207
25621	140993	17035	2013-08-04 01:50:58.790945	2013-08-04 01:50:58.790945	207
25622	140993	17079	2013-08-04 01:50:58.802868	2013-08-04 01:50:58.802868	207
25623	140993	17100	2013-08-04 01:50:58.81474	2013-08-04 01:50:58.81474	207
25624	140993	17059	2013-08-04 01:50:58.826335	2013-08-04 01:50:58.826335	207
25625	140993	17039	2013-08-04 01:50:58.836931	2013-08-04 01:50:58.836931	207
25626	140993	39203	2013-08-04 01:50:58.84821	2013-08-04 01:50:58.84821	207
25627	140993	17019	2013-08-04 01:50:58.859509	2013-08-04 01:50:58.859509	207
25628	140993	17011	2013-08-04 01:50:58.869424	2013-08-04 01:50:58.869424	207
25629	140993	16999	2013-08-04 01:50:58.875315	2013-08-04 01:50:58.875315	207
25630	140993	17031	2013-08-04 01:50:58.884244	2013-08-04 01:50:58.884244	207
25631	140993	16812	2013-08-04 01:50:58.89197	2013-08-04 01:50:58.89197	207
25632	140993	14276	2013-08-04 01:50:58.902153	2013-08-04 01:50:58.902153	207
25633	140993	14216	2013-08-04 01:50:58.910315	2013-08-04 01:50:58.910315	207
25634	140993	14056	2013-08-04 01:50:58.921115	2013-08-04 01:50:58.921115	207
25635	140993	3389	2013-08-04 01:50:58.931447	2013-08-04 01:50:58.931447	207
25636	140993	13996	2013-08-04 01:50:58.941706	2013-08-04 01:50:58.941706	207
25637	140993	49485	2013-08-04 01:50:58.952617	2013-08-04 01:50:58.952617	207
25638	140993	38410	2013-08-04 01:50:58.962619	2013-08-04 01:50:58.962619	207
25639	140991	844	2013-08-04 01:50:59.013602	2013-08-04 01:50:59.013602	207
25640	140991	46838	2013-08-04 01:50:59.02432	2013-08-04 01:50:59.02432	207
25641	140991	46710	2013-08-04 01:50:59.034502	2013-08-04 01:50:59.034502	207
25642	140991	46410	2013-08-04 01:50:59.045544	2013-08-04 01:50:59.045544	207
25643	140991	45910	2013-08-04 01:50:59.05618	2013-08-04 01:50:59.05618	207
25644	140991	23466	2013-08-04 01:50:59.066682	2013-08-04 01:50:59.066682	207
25645	140991	3806	2013-08-04 01:50:59.07867	2013-08-04 01:50:59.07867	207
25646	140991	20771	2013-08-04 01:50:59.090298	2013-08-04 01:50:59.090298	207
25647	140991	14296	2013-08-04 01:50:59.100366	2013-08-04 01:50:59.100366	207
25648	140991	14176	2013-08-04 01:50:59.110601	2013-08-04 01:50:59.110601	207
25649	140991	13876	2013-08-04 01:50:59.122405	2013-08-04 01:50:59.122405	207
25650	140991	34738	2013-08-04 01:50:59.134139	2013-08-04 01:50:59.134139	207
25651	140991	44250	2013-08-04 01:50:59.144957	2013-08-04 01:50:59.144957	207
25652	140991	19500	2013-08-04 01:50:59.156066	2013-08-04 01:50:59.156066	207
25653	140991	20461	2013-08-04 01:50:59.166937	2013-08-04 01:50:59.166937	207
25654	140991	38212	2013-08-04 01:50:59.178053	2013-08-04 01:50:59.178053	207
25655	140991	38300	2013-08-04 01:50:59.188218	2013-08-04 01:50:59.188218	207
25656	142058	49558	2013-08-04 01:55:49.638842	2013-08-04 01:55:49.638842	208
25657	141832	49521	2013-08-04 01:55:49.664879	2013-08-04 01:55:49.664879	208
25658	141688	49501	2013-08-04 01:55:49.688086	2013-08-04 01:55:49.688086	208
25659	141623	49518	2013-08-04 01:55:49.71222	2013-08-04 01:55:49.71222	208
25660	141572	49481	2013-08-04 01:55:49.736088	2013-08-04 01:55:49.736088	208
25661	141559	49461	2013-08-04 01:55:49.758907	2013-08-04 01:55:49.758907	208
25662	141523	49441	2013-08-04 01:55:49.782344	2013-08-04 01:55:49.782344	208
25663	141496	49421	2013-08-04 01:55:49.807478	2013-08-04 01:55:49.807478	208
25664	141493	49360	2013-08-04 01:55:49.821207	2013-08-04 01:55:49.821207	208
25665	141490	49401	2013-08-04 01:55:49.830008	2013-08-04 01:55:49.830008	208
25666	141472	49332	2013-08-04 01:55:49.838297	2013-08-04 01:55:49.838297	208
25667	141469	49381	2013-08-04 01:55:49.848182	2013-08-04 01:55:49.848182	208
25668	141462	47818	2013-08-04 01:55:49.862673	2013-08-04 01:55:49.862673	208
25669	141451	47375	2013-08-04 01:55:49.876226	2013-08-04 01:55:49.876226	208
25670	141450	7624	2013-08-04 01:55:49.884036	2013-08-04 01:55:49.884036	208
25671	141984	15888	2013-08-04 01:55:50.01607	2013-08-04 01:55:50.01607	208
25672	141982	18668	2013-08-04 01:55:50.027156	2013-08-04 01:55:50.027156	208
25673	141979	8999	2013-08-04 01:55:50.035296	2013-08-04 01:55:50.035296	208
25674	141954	6055	2013-08-04 01:55:50.045014	2013-08-04 01:55:50.045014	208
25675	141942	26055	2013-08-04 01:55:50.05739	2013-08-04 01:55:50.05739	208
25676	141941	23400	2013-08-04 01:55:50.080397	2013-08-04 01:55:50.080397	208
25677	141899	23420	2013-08-04 01:55:50.101703	2013-08-04 01:55:50.101703	208
25678	141867	23440	2013-08-04 01:55:50.124848	2013-08-04 01:55:50.124848	208
25679	141808	23460	2013-08-04 01:55:50.148771	2013-08-04 01:55:50.148771	208
25680	141806	23480	2013-08-04 01:55:50.172667	2013-08-04 01:55:50.172667	208
25681	141788	49332	2013-08-04 01:55:50.195717	2013-08-04 01:55:50.195717	208
25682	141785	47610	2013-08-04 01:55:50.218061	2013-08-04 01:55:50.218061	208
25683	141773	47983	2013-08-04 01:55:50.240851	2013-08-04 01:55:50.240851	208
25684	141760	2785	2013-08-04 01:55:50.262718	2013-08-04 01:55:50.262718	208
25685	141487	44910	2013-08-04 01:55:50.707344	2013-08-04 01:55:50.707344	208
25686	141487	44841	2013-08-04 01:55:50.712475	2013-08-04 01:55:50.712475	208
25687	141487	44630	2013-08-04 01:55:50.716157	2013-08-04 01:55:50.716157	208
25688	141487	44460	2013-08-04 01:55:50.719591	2013-08-04 01:55:50.719591	208
25689	141487	44555	2013-08-04 01:55:50.723209	2013-08-04 01:55:50.723209	208
25690	141487	44390	2013-08-04 01:55:50.728623	2013-08-04 01:55:50.728623	208
25691	141487	44361	2013-08-04 01:55:50.73346	2013-08-04 01:55:50.73346	208
25692	141487	44165	2013-08-04 01:55:50.738501	2013-08-04 01:55:50.738501	208
25693	141487	44070	2013-08-04 01:55:50.746059	2013-08-04 01:55:50.746059	208
25694	141487	44101	2013-08-04 01:55:50.755398	2013-08-04 01:55:50.755398	208
25695	141487	43830	2013-08-04 01:55:50.763658	2013-08-04 01:55:50.763658	208
25696	141487	43781	2013-08-04 01:55:50.772077	2013-08-04 01:55:50.772077	208
25697	141487	43550	2013-08-04 01:55:50.783421	2013-08-04 01:55:50.783421	208
25698	141487	43461	2013-08-04 01:55:50.795117	2013-08-04 01:55:50.795117	208
25699	141487	43272	2013-08-04 01:55:50.807536	2013-08-04 01:55:50.807536	208
25700	141487	43201	2013-08-04 01:55:50.819726	2013-08-04 01:55:50.819726	208
25701	141487	43165	2013-08-04 01:55:50.833253	2013-08-04 01:55:50.833253	208
25702	141487	49272	2013-08-04 01:55:50.845151	2013-08-04 01:55:50.845151	208
25703	141487	19861	2013-08-04 01:55:50.84921	2013-08-04 01:55:50.84921	208
25704	141456	15888	2013-08-04 01:55:50.877737	2013-08-04 01:55:50.877737	208
25705	141456	49360	2013-08-04 01:55:50.882359	2013-08-04 01:55:50.882359	208
25706	141456	47730	2013-08-04 01:55:50.889029	2013-08-04 01:55:50.889029	208
25707	141456	12971	2013-08-04 01:55:50.893713	2013-08-04 01:55:50.893713	208
25708	141456	7584	2013-08-04 01:55:50.897988	2013-08-04 01:55:50.897988	208
25709	141458	23866	2013-08-04 01:55:50.931249	2013-08-04 01:55:50.931249	208
25710	141458	18560	2013-08-04 01:55:50.93822	2013-08-04 01:55:50.93822	208
25711	141458	23846	2013-08-04 01:55:50.947804	2013-08-04 01:55:50.947804	208
25712	141458	23826	2013-08-04 01:55:50.955107	2013-08-04 01:55:50.955107	208
25713	141458	23806	2013-08-04 01:55:50.964639	2013-08-04 01:55:50.964639	208
25714	141458	16311	2013-08-04 01:55:50.969816	2013-08-04 01:55:50.969816	208
25715	141458	23786	2013-08-04 01:55:50.975096	2013-08-04 01:55:50.975096	208
25716	141458	23783	2013-08-04 01:55:50.980127	2013-08-04 01:55:50.980127	208
25717	141458	23766	2013-08-04 01:55:50.984962	2013-08-04 01:55:50.984962	208
25718	141458	23745	2013-08-04 01:55:50.989739	2013-08-04 01:55:50.989739	208
25719	141458	23746	2013-08-04 01:55:50.994451	2013-08-04 01:55:50.994451	208
25720	141458	23726	2013-08-04 01:55:50.998181	2013-08-04 01:55:50.998181	208
25721	141458	23603	2013-08-04 01:55:51.002732	2013-08-04 01:55:51.002732	208
25722	141458	14848	2013-08-04 01:55:51.008172	2013-08-04 01:55:51.008172	208
25723	141458	23706	2013-08-04 01:55:51.013823	2013-08-04 01:55:51.013823	208
25724	141458	23686	2013-08-04 01:55:51.020052	2013-08-04 01:55:51.020052	208
25725	141458	23666	2013-08-04 01:55:51.029343	2013-08-04 01:55:51.029343	208
25726	141458	30161	2013-08-04 01:55:51.039467	2013-08-04 01:55:51.039467	208
25727	141458	34740	2013-08-04 01:55:51.050116	2013-08-04 01:55:51.050116	208
25728	141460	21306	2013-08-04 01:55:51.095163	2013-08-04 01:55:51.095163	208
25729	141460	22106	2013-08-04 01:55:51.107331	2013-08-04 01:55:51.107331	208
25730	141460	21986	2013-08-04 01:55:51.11913	2013-08-04 01:55:51.11913	208
25731	141460	43615	2013-08-04 01:55:51.13124	2013-08-04 01:55:51.13124	208
25732	141460	21541	2013-08-04 01:55:51.143221	2013-08-04 01:55:51.143221	208
25733	141460	21106	2013-08-04 01:55:51.155371	2013-08-04 01:55:51.155371	208
25734	141460	16151	2013-08-04 01:55:51.167246	2013-08-04 01:55:51.167246	208
25735	141460	20777	2013-08-04 01:55:51.179223	2013-08-04 01:55:51.179223	208
25736	141460	20735	2013-08-04 01:55:51.190788	2013-08-04 01:55:51.190788	208
25737	141460	20666	2013-08-04 01:55:51.203307	2013-08-04 01:55:51.203307	208
25738	141460	20540	2013-08-04 01:55:51.2142	2013-08-04 01:55:51.2142	208
25739	141460	21126	2013-08-04 01:55:51.221384	2013-08-04 01:55:51.221384	208
25740	141460	20253	2013-08-04 01:55:51.230042	2013-08-04 01:55:51.230042	208
25741	141460	20233	2013-08-04 01:55:51.238981	2013-08-04 01:55:51.238981	208
25742	141460	20133	2013-08-04 01:55:51.246577	2013-08-04 01:55:51.246577	208
25743	141460	20053	2013-08-04 01:55:51.252078	2013-08-04 01:55:51.252078	208
25744	141460	7624	2013-08-04 01:55:51.256763	2013-08-04 01:55:51.256763	208
25745	141460	7405	2013-08-04 01:55:51.261551	2013-08-04 01:55:51.261551	208
25746	141460	19860	2013-08-04 01:55:51.267396	2013-08-04 01:55:51.267396	208
25747	141457	48010	2013-08-04 01:55:51.307486	2013-08-04 01:55:51.307486	208
25748	141457	47990	2013-08-04 01:55:51.315568	2013-08-04 01:55:51.315568	208
25749	141457	47941	2013-08-04 01:55:51.326336	2013-08-04 01:55:51.326336	208
25750	141457	47970	2013-08-04 01:55:51.339146	2013-08-04 01:55:51.339146	208
25751	141457	47950	2013-08-04 01:55:51.351373	2013-08-04 01:55:51.351373	208
25752	141457	47930	2013-08-04 01:55:51.362695	2013-08-04 01:55:51.362695	208
25753	141457	47910	2013-08-04 01:55:51.373838	2013-08-04 01:55:51.373838	208
25754	141457	47890	2013-08-04 01:55:51.384964	2013-08-04 01:55:51.384964	208
25755	141457	47755	2013-08-04 01:55:51.396399	2013-08-04 01:55:51.396399	208
25756	141457	47883	2013-08-04 01:55:51.408667	2013-08-04 01:55:51.408667	208
25757	141457	47870	2013-08-04 01:55:51.420563	2013-08-04 01:55:51.420563	208
25758	141457	47765	2013-08-04 01:55:51.432166	2013-08-04 01:55:51.432166	208
25759	141457	47850	2013-08-04 01:55:51.44417	2013-08-04 01:55:51.44417	208
25760	141457	47830	2013-08-04 01:55:51.455725	2013-08-04 01:55:51.455725	208
25761	141457	47810	2013-08-04 01:55:51.467673	2013-08-04 01:55:51.467673	208
25762	141457	47790	2013-08-04 01:55:51.479974	2013-08-04 01:55:51.479974	208
25763	141457	47770	2013-08-04 01:55:51.487176	2013-08-04 01:55:51.487176	208
25764	141457	14488	2013-08-04 01:55:51.49841	2013-08-04 01:55:51.49841	208
25765	141457	30221	2013-08-04 01:55:51.509429	2013-08-04 01:55:51.509429	208
25766	141463	10043	2013-08-04 01:55:51.550332	2013-08-04 01:55:51.550332	208
25767	141463	33963	2013-08-04 01:55:51.555879	2013-08-04 01:55:51.555879	208
25768	141463	1958	2013-08-04 01:55:51.560563	2013-08-04 01:55:51.560563	208
25769	141463	5758	2013-08-04 01:55:51.564745	2013-08-04 01:55:51.564745	208
25770	141463	23637	2013-08-04 01:55:51.568649	2013-08-04 01:55:51.568649	208
25771	141463	15921	2013-08-04 01:55:51.572249	2013-08-04 01:55:51.572249	208
25772	141466	25950	2013-08-04 01:55:51.587557	2013-08-04 01:55:51.587557	208
25773	141466	25553	2013-08-04 01:55:51.592587	2013-08-04 01:55:51.592587	208
25774	141466	25533	2013-08-04 01:55:51.596927	2013-08-04 01:55:51.596927	208
25775	141466	25581	2013-08-04 01:55:51.6016	2013-08-04 01:55:51.6016	208
25776	141466	25513	2013-08-04 01:55:51.608212	2013-08-04 01:55:51.608212	208
25777	141466	25493	2013-08-04 01:55:51.618813	2013-08-04 01:55:51.618813	208
25778	141466	25561	2013-08-04 01:55:51.630121	2013-08-04 01:55:51.630121	208
25779	141466	25473	2013-08-04 01:55:51.645978	2013-08-04 01:55:51.645978	208
25780	141466	25453	2013-08-04 01:55:51.657866	2013-08-04 01:55:51.657866	208
25781	141466	25335	2013-08-04 01:55:51.670209	2013-08-04 01:55:51.670209	208
25782	141466	25433	2013-08-04 01:55:51.682521	2013-08-04 01:55:51.682521	208
25783	141466	25413	2013-08-04 01:55:51.694114	2013-08-04 01:55:51.694114	208
25784	141466	25393	2013-08-04 01:55:51.705405	2013-08-04 01:55:51.705405	208
25785	141466	25373	2013-08-04 01:55:51.71616	2013-08-04 01:55:51.71616	208
25786	141466	25345	2013-08-04 01:55:51.727295	2013-08-04 01:55:51.727295	208
25787	141466	25353	2013-08-04 01:55:51.739772	2013-08-04 01:55:51.739772	208
25788	141466	49461	2013-08-04 01:55:51.75206	2013-08-04 01:55:51.75206	208
25789	141466	5844	2013-08-04 01:55:51.763555	2013-08-04 01:55:51.763555	208
25790	141466	5129	2013-08-04 01:55:51.773955	2013-08-04 01:55:51.773955	208
25791	141454	47221	2013-08-04 01:55:51.826231	2013-08-04 01:55:51.826231	208
25792	141454	46970	2013-08-04 01:55:51.837978	2013-08-04 01:55:51.837978	208
25793	141454	47020	2013-08-04 01:55:51.848258	2013-08-04 01:55:51.848258	208
25794	141454	46638	2013-08-04 01:55:51.860151	2013-08-04 01:55:51.860151	208
25795	141454	46712	2013-08-04 01:55:51.870983	2013-08-04 01:55:51.870983	208
25796	141454	46512	2013-08-04 01:55:51.878902	2013-08-04 01:55:51.878902	208
25797	141454	46435	2013-08-04 01:55:51.883277	2013-08-04 01:55:51.883277	208
25798	141454	46432	2013-08-04 01:55:51.888799	2013-08-04 01:55:51.888799	208
25799	141454	46210	2013-08-04 01:55:51.893348	2013-08-04 01:55:51.893348	208
25800	141454	46141	2013-08-04 01:55:51.897419	2013-08-04 01:55:51.897419	208
25801	141454	45950	2013-08-04 01:55:51.90205	2013-08-04 01:55:51.90205	208
25802	141454	45690	2013-08-04 01:55:51.907537	2013-08-04 01:55:51.907537	208
25803	141454	45661	2013-08-04 01:55:51.912894	2013-08-04 01:55:51.912894	208
25804	141454	45652	2013-08-04 01:55:51.91701	2013-08-04 01:55:51.91701	208
25805	141454	45512	2013-08-04 01:55:51.922942	2013-08-04 01:55:51.922942	208
25806	141454	45361	2013-08-04 01:55:51.927842	2013-08-04 01:55:51.927842	208
25807	141454	45190	2013-08-04 01:55:51.932031	2013-08-04 01:55:51.932031	208
25808	141454	45098	2013-08-04 01:55:51.936174	2013-08-04 01:55:51.936174	208
25809	141454	45212	2013-08-04 01:55:51.940455	2013-08-04 01:55:51.940455	208
25810	141553	34997	2013-08-04 01:55:51.975002	2013-08-04 01:55:51.975002	208
25811	141553	34977	2013-08-04 01:55:51.983126	2013-08-04 01:55:51.983126	208
25812	141553	34957	2013-08-04 01:55:51.995693	2013-08-04 01:55:51.995693	208
25813	141553	34937	2013-08-04 01:55:52.0134	2013-08-04 01:55:52.0134	208
25814	141553	34917	2013-08-04 01:55:52.022882	2013-08-04 01:55:52.022882	208
25815	141553	34897	2013-08-04 01:55:52.027461	2013-08-04 01:55:52.027461	208
25816	141553	34877	2013-08-04 01:55:52.032606	2013-08-04 01:55:52.032606	208
25817	141553	34857	2013-08-04 01:55:52.037955	2013-08-04 01:55:52.037955	208
25818	141553	20791	2013-08-04 01:55:52.042979	2013-08-04 01:55:52.042979	208
25819	141553	11810	2013-08-04 01:55:52.047457	2013-08-04 01:55:52.047457	208
25820	141553	8999	2013-08-04 01:55:52.053199	2013-08-04 01:55:52.053199	208
25821	141553	47375	2013-08-04 01:55:52.058195	2013-08-04 01:55:52.058195	208
25822	141553	45861	2013-08-04 01:55:52.063569	2013-08-04 01:55:52.063569	208
25823	141553	44945	2013-08-04 01:55:52.069112	2013-08-04 01:55:52.069112	208
25824	141553	42921	2013-08-04 01:55:52.075248	2013-08-04 01:55:52.075248	208
25825	141553	48103	2013-08-04 01:55:52.138199	2013-08-04 01:55:52.138199	208
25826	141553	23548	2013-08-04 01:55:52.144593	2013-08-04 01:55:52.144593	208
25827	141553	11708	2013-08-04 01:55:52.151175	2013-08-04 01:55:52.151175	208
25828	141553	11686	2013-08-04 01:55:52.159665	2013-08-04 01:55:52.159665	208
25829	141465	17219	2013-08-04 01:55:52.197892	2013-08-04 01:55:52.197892	208
25830	141465	45063	2013-08-04 01:55:52.209852	2013-08-04 01:55:52.209852	208
25831	141465	17199	2013-08-04 01:55:52.221913	2013-08-04 01:55:52.221913	208
25832	141465	17211	2013-08-04 01:55:52.234809	2013-08-04 01:55:52.234809	208
25833	141465	17179	2013-08-04 01:55:52.246513	2013-08-04 01:55:52.246513	208
25834	141465	31137	2013-08-04 01:55:52.257668	2013-08-04 01:55:52.257668	208
25835	141465	17261	2013-08-04 01:55:52.269632	2013-08-04 01:55:52.269632	208
25836	141465	17120	2013-08-04 01:55:52.28096	2013-08-04 01:55:52.28096	208
25837	141465	17159	2013-08-04 01:55:52.292784	2013-08-04 01:55:52.292784	208
25838	141465	17139	2013-08-04 01:55:52.305611	2013-08-04 01:55:52.305611	208
25839	141465	17119	2013-08-04 01:55:52.314798	2013-08-04 01:55:52.314798	208
25840	141465	17005	2013-08-04 01:55:52.321631	2013-08-04 01:55:52.321631	208
25841	141465	17025	2013-08-04 01:55:52.327048	2013-08-04 01:55:52.327048	208
25842	141465	17000	2013-08-04 01:55:52.333293	2013-08-04 01:55:52.333293	208
25843	141465	16977	2013-08-04 01:55:52.340462	2013-08-04 01:55:52.340462	208
25844	141465	17099	2013-08-04 01:55:52.346245	2013-08-04 01:55:52.346245	208
25845	141465	2785	2013-08-04 01:55:52.352861	2013-08-04 01:55:52.352861	208
25846	141465	34377	2013-08-04 01:55:52.362808	2013-08-04 01:55:52.362808	208
25847	141465	48223	2013-08-04 01:55:52.369689	2013-08-04 01:55:52.369689	208
25848	141467	23460	2013-08-04 01:55:52.407074	2013-08-04 01:55:52.407074	208
25849	141467	47421	2013-08-04 01:55:52.41648	2013-08-04 01:55:52.41648	208
25850	141467	45695	2013-08-04 01:55:52.424082	2013-08-04 01:55:52.424082	208
25851	141467	20361	2013-08-04 01:55:52.431307	2013-08-04 01:55:52.431307	208
25852	142648	49761	2013-08-04 02:00:45.719335	2013-08-04 02:00:45.719335	209
25853	142595	49741	2013-08-04 02:00:45.74058	2013-08-04 02:00:45.74058	209
25854	142375	49721	2013-08-04 02:00:45.761716	2013-08-04 02:00:45.761716	209
25855	142334	49701	2013-08-04 02:00:45.784023	2013-08-04 02:00:45.784023	209
25856	142332	49681	2013-08-04 02:00:45.806068	2013-08-04 02:00:45.806068	209
25857	142326	49661	2013-08-04 02:00:45.827536	2013-08-04 02:00:45.827536	209
25858	142299	49641	2013-08-04 02:00:45.848724	2013-08-04 02:00:45.848724	209
25859	142206	49625	2013-08-04 02:00:45.869446	2013-08-04 02:00:45.869446	209
25860	142195	49621	2013-08-04 02:00:45.890103	2013-08-04 02:00:45.890103	209
25861	142164	49560	2013-08-04 02:00:45.911285	2013-08-04 02:00:45.911285	209
25862	142145	49463	2013-08-04 02:00:45.932794	2013-08-04 02:00:45.932794	209
25863	142128	48260	2013-08-04 02:00:45.953442	2013-08-04 02:00:45.953442	209
25864	142126	35237	2013-08-04 02:00:45.973578	2013-08-04 02:00:45.973578	209
25865	142180	49721	2013-08-04 02:00:46.765356	2013-08-04 02:00:46.765356	209
25866	142180	48270	2013-08-04 02:00:46.775462	2013-08-04 02:00:46.775462	209
25867	142180	35197	2013-08-04 02:00:46.785364	2013-08-04 02:00:46.785364	209
25868	142181	24106	2013-08-04 02:00:46.868092	2013-08-04 02:00:46.868092	209
25869	142181	24086	2013-08-04 02:00:46.880023	2013-08-04 02:00:46.880023	209
25870	142181	24150	2013-08-04 02:00:46.890896	2013-08-04 02:00:46.890896	209
25871	142181	46145	2013-08-04 02:00:46.901854	2013-08-04 02:00:46.901854	209
25872	142181	24066	2013-08-04 02:00:46.912812	2013-08-04 02:00:46.912812	209
25873	142181	24046	2013-08-04 02:00:46.923647	2013-08-04 02:00:46.923647	209
25874	142181	24026	2013-08-04 02:00:46.934677	2013-08-04 02:00:46.934677	209
25875	142181	12510	2013-08-04 02:00:46.945618	2013-08-04 02:00:46.945618	209
25876	142181	43178	2013-08-04 02:00:46.957069	2013-08-04 02:00:46.957069	209
25877	142181	24006	2013-08-04 02:00:46.969372	2013-08-04 02:00:46.969372	209
25878	142181	23986	2013-08-04 02:00:46.980893	2013-08-04 02:00:46.980893	209
25879	142181	23966	2013-08-04 02:00:46.992121	2013-08-04 02:00:46.992121	209
25880	142181	23946	2013-08-04 02:00:47.002729	2013-08-04 02:00:47.002729	209
25881	142181	23926	2013-08-04 02:00:47.014248	2013-08-04 02:00:47.014248	209
25882	142181	23905	2013-08-04 02:00:47.021721	2013-08-04 02:00:47.021721	209
25883	142181	23906	2013-08-04 02:00:47.027278	2013-08-04 02:00:47.027278	209
25884	142181	23985	2013-08-04 02:00:47.038045	2013-08-04 02:00:47.038045	209
25885	142181	23886	2013-08-04 02:00:47.043168	2013-08-04 02:00:47.043168	209
25886	142181	35157	2013-08-04 02:00:47.046726	2013-08-04 02:00:47.046726	209
25887	142187	23808	2013-08-04 02:00:47.07557	2013-08-04 02:00:47.07557	209
25888	142187	16178	2013-08-04 02:00:47.086791	2013-08-04 02:00:47.086791	209
25889	142187	23788	2013-08-04 02:00:47.098159	2013-08-04 02:00:47.098159	209
25890	142187	16320	2013-08-04 02:00:47.10924	2013-08-04 02:00:47.10924	209
25891	142187	23768	2013-08-04 02:00:47.120094	2013-08-04 02:00:47.120094	209
25892	142187	23850	2013-08-04 02:00:47.130998	2013-08-04 02:00:47.130998	209
25893	142187	23486	2013-08-04 02:00:47.141848	2013-08-04 02:00:47.141848	209
25894	142187	23406	2013-08-04 02:00:47.153059	2013-08-04 02:00:47.153059	209
25895	142187	21346	2013-08-04 02:00:47.164168	2013-08-04 02:00:47.164168	209
25896	142187	23008	2013-08-04 02:00:47.177867	2013-08-04 02:00:47.177867	209
25897	142187	23046	2013-08-04 02:00:47.185965	2013-08-04 02:00:47.185965	209
25898	142187	22833	2013-08-04 02:00:47.19101	2013-08-04 02:00:47.19101	209
25899	142187	6021	2013-08-04 02:00:47.195672	2013-08-04 02:00:47.195672	209
25900	142187	22633	2013-08-04 02:00:47.199364	2013-08-04 02:00:47.199364	209
25901	142187	22593	2013-08-04 02:00:47.202607	2013-08-04 02:00:47.202607	209
25902	142187	22486	2013-08-04 02:00:47.205511	2013-08-04 02:00:47.205511	209
25903	142187	49621	2013-08-04 02:00:47.208294	2013-08-04 02:00:47.208294	209
25904	142187	35117	2013-08-04 02:00:47.210884	2013-08-04 02:00:47.210884	209
25905	142187	48190	2013-08-04 02:00:47.213836	2013-08-04 02:00:47.213836	209
25906	142182	48561	2013-08-04 02:00:47.247236	2013-08-04 02:00:47.247236	209
25907	142182	48570	2013-08-04 02:00:47.257809	2013-08-04 02:00:47.257809	209
25908	142182	48520	2013-08-04 02:00:47.26854	2013-08-04 02:00:47.26854	209
25909	142182	48550	2013-08-04 02:00:47.279374	2013-08-04 02:00:47.279374	209
25910	142182	48632	2013-08-04 02:00:47.290134	2013-08-04 02:00:47.290134	209
25911	142182	48530	2013-08-04 02:00:47.301007	2013-08-04 02:00:47.301007	209
25912	142182	48405	2013-08-04 02:00:47.310558	2013-08-04 02:00:47.310558	209
25913	142182	48510	2013-08-04 02:00:47.321664	2013-08-04 02:00:47.321664	209
25914	142182	48490	2013-08-04 02:00:47.332216	2013-08-04 02:00:47.332216	209
25915	142182	48470	2013-08-04 02:00:47.342838	2013-08-04 02:00:47.342838	209
25916	142182	48450	2013-08-04 02:00:47.353781	2013-08-04 02:00:47.353781	209
25917	142182	48430	2013-08-04 02:00:47.364652	2013-08-04 02:00:47.364652	209
25918	142182	48410	2013-08-04 02:00:47.375646	2013-08-04 02:00:47.375646	209
25919	142182	48390	2013-08-04 02:00:47.386436	2013-08-04 02:00:47.386436	209
25920	142182	48370	2013-08-04 02:00:47.397265	2013-08-04 02:00:47.397265	209
25921	142182	48350	2013-08-04 02:00:47.408015	2013-08-04 02:00:47.408015	209
25922	142182	48330	2013-08-04 02:00:47.41924	2013-08-04 02:00:47.41924	209
25923	142182	48310	2013-08-04 02:00:47.430529	2013-08-04 02:00:47.430529	209
25924	142182	35058	2013-08-04 02:00:47.441937	2013-08-04 02:00:47.441937	209
25925	142214	25793	2013-08-04 02:00:47.529236	2013-08-04 02:00:47.529236	209
25926	142214	25773	2013-08-04 02:00:47.541073	2013-08-04 02:00:47.541073	209
25927	142214	25753	2013-08-04 02:00:47.552128	2013-08-04 02:00:47.552128	209
25928	142214	3421	2013-08-04 02:00:47.563105	2013-08-04 02:00:47.563105	209
25929	142214	25740	2013-08-04 02:00:47.574279	2013-08-04 02:00:47.574279	209
25930	142214	25733	2013-08-04 02:00:47.585598	2013-08-04 02:00:47.585598	209
25931	142214	25713	2013-08-04 02:00:47.595806	2013-08-04 02:00:47.595806	209
25932	142214	26101	2013-08-04 02:00:47.602424	2013-08-04 02:00:47.602424	209
25933	142214	25693	2013-08-04 02:00:47.607636	2013-08-04 02:00:47.607636	209
25934	142214	25672	2013-08-04 02:00:47.612397	2013-08-04 02:00:47.612397	209
25935	142214	25673	2013-08-04 02:00:47.617407	2013-08-04 02:00:47.617407	209
25936	142214	25653	2013-08-04 02:00:47.621559	2013-08-04 02:00:47.621559	209
25937	142214	25677	2013-08-04 02:00:47.627123	2013-08-04 02:00:47.627123	209
25938	142214	25633	2013-08-04 02:00:47.633156	2013-08-04 02:00:47.633156	209
25939	142214	25613	2013-08-04 02:00:47.639844	2013-08-04 02:00:47.639844	209
25940	142214	25593	2013-08-04 02:00:47.64921	2013-08-04 02:00:47.64921	209
25941	142214	3334	2013-08-04 02:00:47.659507	2013-08-04 02:00:47.659507	209
25942	142214	25573	2013-08-04 02:00:47.670727	2013-08-04 02:00:47.670727	209
25943	142214	35037	2013-08-04 02:00:47.681624	2013-08-04 02:00:47.681624	209
25944	142185	1269	2013-08-04 02:00:47.73769	2013-08-04 02:00:47.73769	209
25945	142185	832	2013-08-04 02:00:47.749358	2013-08-04 02:00:47.749358	209
25946	142185	1551	2013-08-04 02:00:47.760776	2013-08-04 02:00:47.760776	209
25947	142185	518	2013-08-04 02:00:47.772734	2013-08-04 02:00:47.772734	209
25948	142185	215	2013-08-04 02:00:47.784204	2013-08-04 02:00:47.784204	209
25949	142185	913	2013-08-04 02:00:47.795422	2013-08-04 02:00:47.795422	209
25950	142185	632	2013-08-04 02:00:47.806436	2013-08-04 02:00:47.806436	209
25951	142185	3983	2013-08-04 02:00:47.817487	2013-08-04 02:00:47.817487	209
25952	142185	49672	2013-08-04 02:00:47.828747	2013-08-04 02:00:47.828747	209
25953	142185	49725	2013-08-04 02:00:47.839809	2013-08-04 02:00:47.839809	209
25954	142185	49112	2013-08-04 02:00:47.85067	2013-08-04 02:00:47.85067	209
25955	142185	48552	2013-08-04 02:00:47.862263	2013-08-04 02:00:47.862263	209
25956	142185	48090	2013-08-04 02:00:47.873799	2013-08-04 02:00:47.873799	209
25957	142185	48081	2013-08-04 02:00:47.883768	2013-08-04 02:00:47.883768	209
25958	142185	47992	2013-08-04 02:00:47.894766	2013-08-04 02:00:47.894766	209
25959	142185	47570	2013-08-04 02:00:47.905826	2013-08-04 02:00:47.905826	209
25960	142185	47561	2013-08-04 02:00:47.916098	2013-08-04 02:00:47.916098	209
25961	142185	47492	2013-08-04 02:00:47.92731	2013-08-04 02:00:47.92731	209
25962	142185	35038	2013-08-04 02:00:47.938375	2013-08-04 02:00:47.938375	209
25963	142208	35517	2013-08-04 02:00:47.987613	2013-08-04 02:00:47.987613	209
25964	142208	35497	2013-08-04 02:00:47.999982	2013-08-04 02:00:47.999982	209
25965	142208	27921	2013-08-04 02:00:48.011858	2013-08-04 02:00:48.011858	209
25966	142208	35460	2013-08-04 02:00:48.023664	2013-08-04 02:00:48.023664	209
25967	142208	35477	2013-08-04 02:00:48.035893	2013-08-04 02:00:48.035893	209
25968	142208	35457	2013-08-04 02:00:48.040392	2013-08-04 02:00:48.040392	209
25969	142208	35437	2013-08-04 02:00:48.044852	2013-08-04 02:00:48.044852	209
25970	142208	35417	2013-08-04 02:00:48.049341	2013-08-04 02:00:48.049341	209
25971	142208	35397	2013-08-04 02:00:48.053896	2013-08-04 02:00:48.053896	209
25972	142208	35377	2013-08-04 02:00:48.108067	2013-08-04 02:00:48.108067	209
25973	142208	35410	2013-08-04 02:00:48.119342	2013-08-04 02:00:48.119342	209
25974	142208	35357	2013-08-04 02:00:48.127237	2013-08-04 02:00:48.127237	209
25975	142208	35337	2013-08-04 02:00:48.138082	2013-08-04 02:00:48.138082	209
25976	142208	35305	2013-08-04 02:00:48.148847	2013-08-04 02:00:48.148847	209
25977	142208	35215	2013-08-04 02:00:48.159218	2013-08-04 02:00:48.159218	209
25978	142208	35317	2013-08-04 02:00:48.17005	2013-08-04 02:00:48.17005	209
25979	142208	35297	2013-08-04 02:00:48.180577	2013-08-04 02:00:48.180577	209
25980	142208	35277	2013-08-04 02:00:48.191694	2013-08-04 02:00:48.191694	209
25981	142208	35257	2013-08-04 02:00:48.20512	2013-08-04 02:00:48.20512	209
25982	142216	17419	2013-08-04 02:00:48.222038	2013-08-04 02:00:48.222038	209
25983	142216	17399	2013-08-04 02:00:48.225953	2013-08-04 02:00:48.225953	209
25984	142216	17355	2013-08-04 02:00:48.231185	2013-08-04 02:00:48.231185	209
25985	142216	17379	2013-08-04 02:00:48.23851	2013-08-04 02:00:48.23851	209
25986	142216	17418	2013-08-04 02:00:48.246377	2013-08-04 02:00:48.246377	209
25987	142216	16255	2013-08-04 02:00:48.255346	2013-08-04 02:00:48.255346	209
25988	142216	17359	2013-08-04 02:00:48.266493	2013-08-04 02:00:48.266493	209
25989	142216	17305	2013-08-04 02:00:48.277841	2013-08-04 02:00:48.277841	209
25990	142216	17339	2013-08-04 02:00:48.289261	2013-08-04 02:00:48.289261	209
25991	142216	31050	2013-08-04 02:00:48.300648	2013-08-04 02:00:48.300648	209
25992	142216	17319	2013-08-04 02:00:48.311711	2013-08-04 02:00:48.311711	209
25993	142216	17400	2013-08-04 02:00:48.322757	2013-08-04 02:00:48.322757	209
25994	142216	31110	2013-08-04 02:00:48.33442	2013-08-04 02:00:48.33442	209
25995	142216	17299	2013-08-04 02:00:48.345835	2013-08-04 02:00:48.345835	209
25996	142216	17279	2013-08-04 02:00:48.356574	2013-08-04 02:00:48.356574	209
25997	142216	1502	2013-08-04 02:00:48.367663	2013-08-04 02:00:48.367663	209
25998	142216	17259	2013-08-04 02:00:48.378711	2013-08-04 02:00:48.378711	209
25999	142216	17239	2013-08-04 02:00:48.389568	2013-08-04 02:00:48.389568	209
26000	142216	17131	2013-08-04 02:00:48.400431	2013-08-04 02:00:48.400431	209
26001	142218	48052	2013-08-04 02:00:48.451224	2013-08-04 02:00:48.451224	209
26002	142218	35005	2013-08-04 02:00:48.461801	2013-08-04 02:00:48.461801	209
26003	143285	49958	2013-08-04 02:05:53.786927	2013-08-04 02:05:53.786927	210
26004	143042	49961	2013-08-04 02:05:53.809584	2013-08-04 02:05:53.809584	210
26005	142974	1023	2013-08-04 02:05:53.825042	2013-08-04 02:05:53.825042	210
26006	142969	49941	2013-08-04 02:05:53.846225	2013-08-04 02:05:53.846225	210
26007	142968	49945	2013-08-04 02:05:53.869629	2013-08-04 02:05:53.869629	210
26008	142898	49921	2013-08-04 02:05:53.892862	2013-08-04 02:05:53.892862	210
26009	142882	49880	2013-08-04 02:05:53.905658	2013-08-04 02:05:53.905658	210
26010	142866	49901	2013-08-04 02:05:53.916992	2013-08-04 02:05:53.916992	210
26011	142863	49892	2013-08-04 02:05:53.931899	2013-08-04 02:05:53.931899	210
26012	142858	49881	2013-08-04 02:05:53.94259	2013-08-04 02:05:53.94259	210
26013	142857	48910	2013-08-04 02:05:53.951832	2013-08-04 02:05:53.951832	210
26014	142841	35797	2013-08-04 02:05:53.964586	2013-08-04 02:05:53.964586	210
26015	142837	14496	2013-08-04 02:05:53.974096	2013-08-04 02:05:53.974096	210
26016	142835	47978	2013-08-04 02:05:53.981997	2013-08-04 02:05:53.981997	210
26017	142955	35577	2013-08-04 02:05:54.509632	2013-08-04 02:05:54.509632	210
26018	142955	33657	2013-08-04 02:05:54.520415	2013-08-04 02:05:54.520415	210
26019	142955	17625	2013-08-04 02:05:54.529146	2013-08-04 02:05:54.529146	210
26020	142887	49958	2013-08-04 02:05:54.561531	2013-08-04 02:05:54.561531	210
26021	142887	14476	2013-08-04 02:05:54.566119	2013-08-04 02:05:54.566119	210
26022	142887	47835	2013-08-04 02:05:54.569913	2013-08-04 02:05:54.569913	210
26023	142887	35777	2013-08-04 02:05:54.577726	2013-08-04 02:05:54.577726	210
26024	142886	18880	2013-08-04 02:05:54.632367	2013-08-04 02:05:54.632367	210
26025	142886	24306	2013-08-04 02:05:54.636486	2013-08-04 02:05:54.636486	210
26026	142886	24286	2013-08-04 02:05:54.640312	2013-08-04 02:05:54.640312	210
26027	142886	24266	2013-08-04 02:05:54.644116	2013-08-04 02:05:54.644116	210
26028	142886	24270	2013-08-04 02:05:54.648974	2013-08-04 02:05:54.648974	210
26029	142886	24246	2013-08-04 02:05:54.656519	2013-08-04 02:05:54.656519	210
26030	142886	24226	2013-08-04 02:05:54.665243	2013-08-04 02:05:54.665243	210
26031	142886	24206	2013-08-04 02:05:54.675783	2013-08-04 02:05:54.675783	210
26032	142886	24285	2013-08-04 02:05:54.68639	2013-08-04 02:05:54.68639	210
26033	142886	24186	2013-08-04 02:05:54.69733	2013-08-04 02:05:54.69733	210
26034	142886	24080	2013-08-04 02:05:54.707205	2013-08-04 02:05:54.707205	210
26035	142886	24166	2013-08-04 02:05:54.718474	2013-08-04 02:05:54.718474	210
26036	142886	24146	2013-08-04 02:05:54.72981	2013-08-04 02:05:54.72981	210
26037	142886	24123	2013-08-04 02:05:54.741819	2013-08-04 02:05:54.741819	210
26038	142886	24057	2013-08-04 02:05:54.748942	2013-08-04 02:05:54.748942	210
26039	142886	24126	2013-08-04 02:05:54.756312	2013-08-04 02:05:54.756312	210
26040	142886	14343	2013-08-04 02:05:54.762572	2013-08-04 02:05:54.762572	210
26041	142886	48395	2013-08-04 02:05:54.771195	2013-08-04 02:05:54.771195	210
26042	142886	35717	2013-08-04 02:05:54.781615	2013-08-04 02:05:54.781615	210
26043	142891	24068	2013-08-04 02:05:54.826498	2013-08-04 02:05:54.826498	210
26044	142891	24048	2013-08-04 02:05:54.837875	2013-08-04 02:05:54.837875	210
26045	142891	24028	2013-08-04 02:05:54.848795	2013-08-04 02:05:54.848795	210
26046	142891	24008	2013-08-04 02:05:54.860031	2013-08-04 02:05:54.860031	210
26047	142891	3200	2013-08-04 02:05:54.871407	2013-08-04 02:05:54.871407	210
26048	142891	23988	2013-08-04 02:05:54.879207	2013-08-04 02:05:54.879207	210
26049	142891	23968	2013-08-04 02:05:54.885315	2013-08-04 02:05:54.885315	210
26050	142891	4844	2013-08-04 02:05:54.892885	2013-08-04 02:05:54.892885	210
26051	142891	23948	2013-08-04 02:05:54.901198	2013-08-04 02:05:54.901198	210
26052	142891	23928	2013-08-04 02:05:54.911678	2013-08-04 02:05:54.911678	210
26053	142891	23908	2013-08-04 02:05:54.922618	2013-08-04 02:05:54.922618	210
26054	142891	23945	2013-08-04 02:05:54.933492	2013-08-04 02:05:54.933492	210
26055	142891	23888	2013-08-04 02:05:54.945374	2013-08-04 02:05:54.945374	210
26056	142891	23868	2013-08-04 02:05:54.958265	2013-08-04 02:05:54.958265	210
26057	142891	23848	2013-08-04 02:05:54.964186	2013-08-04 02:05:54.964186	210
26058	142891	23828	2013-08-04 02:05:54.969859	2013-08-04 02:05:54.969859	210
26059	142891	23712	2013-08-04 02:05:54.975196	2013-08-04 02:05:54.975196	210
26060	142891	14311	2013-08-04 02:05:54.980203	2013-08-04 02:05:54.980203	210
26061	142891	48435	2013-08-04 02:05:54.984651	2013-08-04 02:05:54.984651	210
26062	142889	49170	2013-08-04 02:05:55.007287	2013-08-04 02:05:55.007287	210
26063	142889	49150	2013-08-04 02:05:55.012122	2013-08-04 02:05:55.012122	210
26064	142889	49001	2013-08-04 02:05:55.016404	2013-08-04 02:05:55.016404	210
26065	142889	49130	2013-08-04 02:05:55.023353	2013-08-04 02:05:55.023353	210
26066	142889	49110	2013-08-04 02:05:55.029214	2013-08-04 02:05:55.029214	210
26067	142889	49090	2013-08-04 02:05:55.034188	2013-08-04 02:05:55.034188	210
26068	142889	49070	2013-08-04 02:05:55.039039	2013-08-04 02:05:55.039039	210
26069	142889	49050	2013-08-04 02:05:55.043152	2013-08-04 02:05:55.043152	210
26070	142889	49065	2013-08-04 02:05:55.047272	2013-08-04 02:05:55.047272	210
26071	142889	49030	2013-08-04 02:05:55.051698	2013-08-04 02:05:55.051698	210
26072	142889	49010	2013-08-04 02:05:55.056019	2013-08-04 02:05:55.056019	210
26073	142889	48990	2013-08-04 02:05:55.060183	2013-08-04 02:05:55.060183	210
26074	142889	48980	2013-08-04 02:05:55.06411	2013-08-04 02:05:55.06411	210
26075	142889	48970	2013-08-04 02:05:55.067966	2013-08-04 02:05:55.067966	210
26076	142889	48950	2013-08-04 02:05:55.071934	2013-08-04 02:05:55.071934	210
26077	142889	48930	2013-08-04 02:05:55.078056	2013-08-04 02:05:55.078056	210
26078	142889	35657	2013-08-04 02:05:55.089094	2013-08-04 02:05:55.089094	210
26079	142889	8759	2013-08-04 02:05:55.099425	2013-08-04 02:05:55.099425	210
26080	142889	48455	2013-08-04 02:05:55.109516	2013-08-04 02:05:55.109516	210
26081	142915	26053	2013-08-04 02:05:55.142439	2013-08-04 02:05:55.142439	210
26082	142915	26033	2013-08-04 02:05:55.147156	2013-08-04 02:05:55.147156	210
26083	142915	26013	2013-08-04 02:05:55.151611	2013-08-04 02:05:55.151611	210
26084	142915	12401	2013-08-04 02:05:55.159243	2013-08-04 02:05:55.159243	210
26085	142915	26005	2013-08-04 02:05:55.164803	2013-08-04 02:05:55.164803	210
26086	142915	25993	2013-08-04 02:05:55.171152	2013-08-04 02:05:55.171152	210
26087	142915	25973	2013-08-04 02:05:55.177591	2013-08-04 02:05:55.177591	210
26088	142915	25953	2013-08-04 02:05:55.181008	2013-08-04 02:05:55.181008	210
26089	142915	25933	2013-08-04 02:05:55.185248	2013-08-04 02:05:55.185248	210
26090	142915	25913	2013-08-04 02:05:55.189445	2013-08-04 02:05:55.189445	210
26091	142915	25895	2013-08-04 02:05:55.194159	2013-08-04 02:05:55.194159	210
26092	142915	25893	2013-08-04 02:05:55.199498	2013-08-04 02:05:55.199498	210
26093	142915	25873	2013-08-04 02:05:55.204847	2013-08-04 02:05:55.204847	210
26094	142915	25853	2013-08-04 02:05:55.208206	2013-08-04 02:05:55.208206	210
26095	142915	25833	2013-08-04 02:05:55.212483	2013-08-04 02:05:55.212483	210
26096	142915	25813	2013-08-04 02:05:55.216712	2013-08-04 02:05:55.216712	210
26097	142915	35510	2013-08-04 02:05:55.221166	2013-08-04 02:05:55.221166	210
26098	142915	35617	2013-08-04 02:05:55.224958	2013-08-04 02:05:55.224958	210
26099	142915	23033	2013-08-04 02:05:55.228879	2013-08-04 02:05:55.228879	210
26100	142913	35998	2013-08-04 02:05:55.26085	2013-08-04 02:05:55.26085	210
26101	142913	35997	2013-08-04 02:05:55.320322	2013-08-04 02:05:55.320322	210
26102	142913	35977	2013-08-04 02:05:55.326245	2013-08-04 02:05:55.326245	210
26103	142913	35981	2013-08-04 02:05:55.330952	2013-08-04 02:05:55.330952	210
26104	142913	35957	2013-08-04 02:05:55.335577	2013-08-04 02:05:55.335577	210
26105	142913	35932	2013-08-04 02:05:55.340594	2013-08-04 02:05:55.340594	210
26106	142913	35845	2013-08-04 02:05:55.347849	2013-08-04 02:05:55.347849	210
26107	142913	35937	2013-08-04 02:05:55.352564	2013-08-04 02:05:55.352564	210
26108	142913	35917	2013-08-04 02:05:55.35762	2013-08-04 02:05:55.35762	210
26109	142913	15033	2013-08-04 02:05:55.36189	2013-08-04 02:05:55.36189	210
26110	142913	35897	2013-08-04 02:05:55.366572	2013-08-04 02:05:55.366572	210
26111	142913	35877	2013-08-04 02:05:55.371596	2013-08-04 02:05:55.371596	210
26112	142913	35898	2013-08-04 02:05:55.377057	2013-08-04 02:05:55.377057	210
26113	142913	35857	2013-08-04 02:05:55.38731	2013-08-04 02:05:55.38731	210
26114	142913	35830	2013-08-04 02:05:55.397422	2013-08-04 02:05:55.397422	210
26115	142913	35837	2013-08-04 02:05:55.408884	2013-08-04 02:05:55.408884	210
26116	142913	35817	2013-08-04 02:05:55.417809	2013-08-04 02:05:55.417809	210
26117	142913	15963	2013-08-04 02:05:55.422132	2013-08-04 02:05:55.422132	210
26118	142913	15946	2013-08-04 02:05:55.426312	2013-08-04 02:05:55.426312	210
26119	142914	17568	2013-08-04 02:05:55.441599	2013-08-04 02:05:55.441599	210
26120	142914	17579	2013-08-04 02:05:55.449321	2013-08-04 02:05:55.449321	210
26121	142914	17478	2013-08-04 02:05:55.457825	2013-08-04 02:05:55.457825	210
26122	142914	17559	2013-08-04 02:05:55.468317	2013-08-04 02:05:55.468317	210
26123	142914	17539	2013-08-04 02:05:55.479554	2013-08-04 02:05:55.479554	210
26124	142914	17519	2013-08-04 02:05:55.490772	2013-08-04 02:05:55.490772	210
26125	142914	17455	2013-08-04 02:05:55.501759	2013-08-04 02:05:55.501759	210
26126	142914	17551	2013-08-04 02:05:55.512293	2013-08-04 02:05:55.512293	210
26127	142914	17499	2013-08-04 02:05:55.523732	2013-08-04 02:05:55.523732	210
26128	142914	17479	2013-08-04 02:05:55.53516	2013-08-04 02:05:55.53516	210
26129	142914	11736	2013-08-04 02:05:55.548524	2013-08-04 02:05:55.548524	210
26130	142914	17459	2013-08-04 02:05:55.560646	2013-08-04 02:05:55.560646	210
26131	142914	17439	2013-08-04 02:05:55.565203	2013-08-04 02:05:55.565203	210
26132	142914	17531	2013-08-04 02:05:55.569664	2013-08-04 02:05:55.569664	210
26133	142914	17406	2013-08-04 02:05:55.573967	2013-08-04 02:05:55.573967	210
26134	142914	17405	2013-08-04 02:05:55.578418	2013-08-04 02:05:55.578418	210
26135	142914	35557	2013-08-04 02:05:55.582513	2013-08-04 02:05:55.582513	210
26136	142914	36563	2013-08-04 02:05:55.586563	2013-08-04 02:05:55.586563	210
26137	142914	47255	2013-08-04 02:05:55.590421	2013-08-04 02:05:55.590421	210
26138	142912	48610	2013-08-04 02:05:55.626616	2013-08-04 02:05:55.626616	210
26139	142912	35537	2013-08-04 02:05:55.636541	2013-08-04 02:05:55.636541	210
26140	142912	35180	2013-08-04 02:05:55.646552	2013-08-04 02:05:55.646552	210
26141	142912	49965	2013-08-04 02:05:55.656751	2013-08-04 02:05:55.656751	210
26142	145173	174	2013-08-04 02:10:49.104393	2013-08-04 02:10:49.104393	211
26143	145118	3363	2013-08-04 02:10:49.128586	2013-08-04 02:10:49.128586	211
26144	144411	3443	2013-08-04 02:10:49.152866	2013-08-04 02:10:49.152866	211
26145	144297	2983	2013-08-04 02:10:49.175944	2013-08-04 02:10:49.175944	211
26146	144018	2603	2013-08-04 02:10:49.199248	2013-08-04 02:10:49.199248	211
26147	143921	2223	2013-08-04 02:10:49.222051	2013-08-04 02:10:49.222051	211
26148	143690	214	2013-08-04 02:10:49.244339	2013-08-04 02:10:49.244339	211
26149	143659	1843	2013-08-04 02:10:49.282621	2013-08-04 02:10:49.282621	211
26150	143635	1463	2013-08-04 02:10:49.297587	2013-08-04 02:10:49.297587	211
26151	143608	734	2013-08-04 02:10:49.317883	2013-08-04 02:10:49.317883	211
26152	143585	2614	2013-08-04 02:10:49.33652	2013-08-04 02:10:49.33652	211
26153	143581	49075	2013-08-04 02:10:49.35668	2013-08-04 02:10:49.35668	211
26154	143519	18717	2013-08-04 02:10:49.378572	2013-08-04 02:10:49.378572	211
26155	143490	49450	2013-08-04 02:10:49.400261	2013-08-04 02:10:49.400261	211
26156	146742	21191	2013-08-04 02:10:49.686796	2013-08-04 02:10:49.686796	211
26157	146742	21171	2013-08-04 02:10:49.694884	2013-08-04 02:10:49.694884	211
26158	146672	21150	2013-08-04 02:10:49.714377	2013-08-04 02:10:49.714377	211
26159	146672	21151	2013-08-04 02:10:49.725185	2013-08-04 02:10:49.725185	211
26160	146189	21131	2013-08-04 02:10:49.734512	2013-08-04 02:10:49.734512	211
26161	146189	14596	2013-08-04 02:10:49.738354	2013-08-04 02:10:49.738354	211
26162	145949	1843	2013-08-04 02:10:49.745715	2013-08-04 02:10:49.745715	211
26163	145949	14436	2013-08-04 02:10:49.749388	2013-08-04 02:10:49.749388	211
26164	145747	31021	2013-08-04 02:10:49.76425	2013-08-04 02:10:49.76425	211
26165	145747	35632	2013-08-04 02:10:49.773519	2013-08-04 02:10:49.773519	211
26166	145454	35077	2013-08-04 02:10:49.796088	2013-08-04 02:10:49.796088	211
26167	145454	48150	2013-08-04 02:10:49.806722	2013-08-04 02:10:49.806722	211
26168	145178	19851	2013-08-04 02:10:49.82817	2013-08-04 02:10:49.82817	211
26169	145178	33815	2013-08-04 02:10:49.840637	2013-08-04 02:10:49.840637	211
26170	145081	11630	2013-08-04 02:10:49.863244	2013-08-04 02:10:49.863244	211
26171	145081	19720	2013-08-04 02:10:49.873914	2013-08-04 02:10:49.873914	211
26172	143830	21171	2013-08-04 02:10:50.369389	2013-08-04 02:10:50.369389	211
26173	143830	21191	2013-08-04 02:10:50.380101	2013-08-04 02:10:50.380101	211
26174	143830	14656	2013-08-04 02:10:50.390332	2013-08-04 02:10:50.390332	211
26175	143830	2983	2013-08-04 02:10:50.400289	2013-08-04 02:10:50.400289	211
26176	143830	49115	2013-08-04 02:10:50.410228	2013-08-04 02:10:50.410228	211
26177	143830	49618	2013-08-04 02:10:50.420245	2013-08-04 02:10:50.420245	211
26178	143830	49380	2013-08-04 02:10:50.430147	2013-08-04 02:10:50.430147	211
26179	144251	7706	2013-08-04 02:10:50.464794	2013-08-04 02:10:50.464794	211
26180	144251	7846	2013-08-04 02:10:50.473289	2013-08-04 02:10:50.473289	211
26181	144251	7570	2013-08-04 02:10:50.481469	2013-08-04 02:10:50.481469	211
26182	144251	7678	2013-08-04 02:10:50.489682	2013-08-04 02:10:50.489682	211
26183	144251	7623	2013-08-04 02:10:50.498373	2013-08-04 02:10:50.498373	211
26184	144251	7692	2013-08-04 02:10:50.508702	2013-08-04 02:10:50.508702	211
26185	144251	7577	2013-08-04 02:10:50.51966	2013-08-04 02:10:50.51966	211
26186	144251	7597	2013-08-04 02:10:50.529177	2013-08-04 02:10:50.529177	211
26187	144251	7617	2013-08-04 02:10:50.53793	2013-08-04 02:10:50.53793	211
26188	144251	7637	2013-08-04 02:10:50.546769	2013-08-04 02:10:50.546769	211
26189	144251	7657	2013-08-04 02:10:50.555093	2013-08-04 02:10:50.555093	211
26190	144251	7548	2013-08-04 02:10:50.563301	2013-08-04 02:10:50.563301	211
26191	144251	7568	2013-08-04 02:10:50.571545	2013-08-04 02:10:50.571545	211
26192	144251	7588	2013-08-04 02:10:50.579834	2013-08-04 02:10:50.579834	211
26193	144251	7608	2013-08-04 02:10:50.588114	2013-08-04 02:10:50.588114	211
26194	144251	7628	2013-08-04 02:10:50.596349	2013-08-04 02:10:50.596349	211
26195	144251	7684	2013-08-04 02:10:50.604945	2013-08-04 02:10:50.604945	211
26196	144251	7664	2013-08-04 02:10:50.613194	2013-08-04 02:10:50.613194	211
26197	144251	7644	2013-08-04 02:10:50.621441	2013-08-04 02:10:50.621441	211
26198	143832	24446	2013-08-04 02:10:50.692005	2013-08-04 02:10:50.692005	211
26199	143832	24426	2013-08-04 02:10:50.704506	2013-08-04 02:10:50.704506	211
26200	143832	24406	2013-08-04 02:10:50.716448	2013-08-04 02:10:50.716448	211
26201	143832	24363	2013-08-04 02:10:50.727927	2013-08-04 02:10:50.727927	211
26202	143832	24386	2013-08-04 02:10:50.739706	2013-08-04 02:10:50.739706	211
26203	143832	24366	2013-08-04 02:10:50.751814	2013-08-04 02:10:50.751814	211
26204	143832	24383	2013-08-04 02:10:50.763392	2013-08-04 02:10:50.763392	211
26205	143832	24405	2013-08-04 02:10:50.774582	2013-08-04 02:10:50.774582	211
26206	143832	24346	2013-08-04 02:10:50.785932	2013-08-04 02:10:50.785932	211
26207	143832	24385	2013-08-04 02:10:50.797204	2013-08-04 02:10:50.797204	211
26208	143832	24365	2013-08-04 02:10:50.808935	2013-08-04 02:10:50.808935	211
26209	143832	33280	2013-08-04 02:10:50.820496	2013-08-04 02:10:50.820496	211
26210	143832	24326	2013-08-04 02:10:50.824902	2013-08-04 02:10:50.824902	211
26211	143832	14616	2013-08-04 02:10:50.829509	2013-08-04 02:10:50.829509	211
26212	143832	2223	2013-08-04 02:10:50.833331	2013-08-04 02:10:50.833331	211
26213	143832	31001	2013-08-04 02:10:50.837142	2013-08-04 02:10:50.837142	211
26214	143832	18590	2013-08-04 02:10:50.842678	2013-08-04 02:10:50.842678	211
26215	143832	11630	2013-08-04 02:10:50.849771	2013-08-04 02:10:50.849771	211
26216	143832	19720	2013-08-04 02:10:50.857981	2013-08-04 02:10:50.857981	211
26217	143836	24228	2013-08-04 02:10:50.902931	2013-08-04 02:10:50.902931	211
26218	143836	24208	2013-08-04 02:10:50.91457	2013-08-04 02:10:50.91457	211
26219	143836	24245	2013-08-04 02:10:50.920298	2013-08-04 02:10:50.920298	211
26220	143836	24188	2013-08-04 02:10:50.925172	2013-08-04 02:10:50.925172	211
26221	143836	24078	2013-08-04 02:10:50.930917	2013-08-04 02:10:50.930917	211
26222	143836	24040	2013-08-04 02:10:50.937323	2013-08-04 02:10:50.937323	211
26223	143836	18840	2013-08-04 02:10:50.946207	2013-08-04 02:10:50.946207	211
26224	143836	24168	2013-08-04 02:10:50.957607	2013-08-04 02:10:50.957607	211
26225	143836	24148	2013-08-04 02:10:50.968584	2013-08-04 02:10:50.968584	211
26226	143836	24128	2013-08-04 02:10:50.979718	2013-08-04 02:10:50.979718	211
26227	143836	24152	2013-08-04 02:10:50.990745	2013-08-04 02:10:50.990745	211
26228	143836	24108	2013-08-04 02:10:51.001749	2013-08-04 02:10:51.001749	211
26229	143836	24083	2013-08-04 02:10:51.013131	2013-08-04 02:10:51.013131	211
26230	143836	24088	2013-08-04 02:10:51.020733	2013-08-04 02:10:51.020733	211
26231	143836	24130	2013-08-04 02:10:51.026641	2013-08-04 02:10:51.026641	211
26232	143836	2614	2013-08-04 02:10:51.031438	2013-08-04 02:10:51.031438	211
26233	143836	14711	2013-08-04 02:10:51.034943	2013-08-04 02:10:51.034943	211
26234	143836	4985	2013-08-04 02:10:51.038673	2013-08-04 02:10:51.038673	211
26235	143836	9711	2013-08-04 02:10:51.106513	2013-08-04 02:10:51.106513	211
26236	143833	49690	2013-08-04 02:10:51.140538	2013-08-04 02:10:51.140538	211
26237	143833	49670	2013-08-04 02:10:51.146262	2013-08-04 02:10:51.146262	211
26238	143833	49650	2013-08-04 02:10:51.151295	2013-08-04 02:10:51.151295	211
26239	143833	49630	2013-08-04 02:10:51.158727	2013-08-04 02:10:51.158727	211
26240	143833	49521	2013-08-04 02:10:51.166029	2013-08-04 02:10:51.166029	211
26241	143833	49543	2013-08-04 02:10:51.173604	2013-08-04 02:10:51.173604	211
26242	143833	49610	2013-08-04 02:10:51.182621	2013-08-04 02:10:51.182621	211
26243	143833	49590	2013-08-04 02:10:51.192889	2013-08-04 02:10:51.192889	211
26244	143833	49570	2013-08-04 02:10:51.203402	2013-08-04 02:10:51.203402	211
26245	143833	49550	2013-08-04 02:10:51.215499	2013-08-04 02:10:51.215499	211
26246	143833	49530	2013-08-04 02:10:51.227084	2013-08-04 02:10:51.227084	211
26247	143833	49510	2013-08-04 02:10:51.235822	2013-08-04 02:10:51.235822	211
26248	143833	49490	2013-08-04 02:10:51.2451	2013-08-04 02:10:51.2451	211
26249	143833	49545	2013-08-04 02:10:51.253534	2013-08-04 02:10:51.253534	211
26250	143833	49470	2013-08-04 02:10:51.262509	2013-08-04 02:10:51.262509	211
26251	143833	49303	2013-08-04 02:10:51.273213	2013-08-04 02:10:51.273213	211
26252	143833	14481	2013-08-04 02:10:51.284199	2013-08-04 02:10:51.284199	211
26253	143833	1487	2013-08-04 02:10:51.294221	2013-08-04 02:10:51.294221	211
26254	143833	30358	2013-08-04 02:10:51.304293	2013-08-04 02:10:51.304293	211
26255	143909	26253	2013-08-04 02:10:51.372173	2013-08-04 02:10:51.372173	211
26256	143909	26233	2013-08-04 02:10:51.376063	2013-08-04 02:10:51.376063	211
26257	143909	26215	2013-08-04 02:10:51.379772	2013-08-04 02:10:51.379772	211
26258	143909	26213	2013-08-04 02:10:51.383708	2013-08-04 02:10:51.383708	211
26259	143909	26193	2013-08-04 02:10:51.387832	2013-08-04 02:10:51.387832	211
26260	143909	26173	2013-08-04 02:10:51.39132	2013-08-04 02:10:51.39132	211
26261	143909	26153	2013-08-04 02:10:51.396166	2013-08-04 02:10:51.396166	211
26262	143909	26133	2013-08-04 02:10:51.405046	2013-08-04 02:10:51.405046	211
26263	143909	26218	2013-08-04 02:10:51.409412	2013-08-04 02:10:51.409412	211
26264	143909	26113	2013-08-04 02:10:51.418509	2013-08-04 02:10:51.418509	211
26265	143909	26093	2013-08-04 02:10:51.426321	2013-08-04 02:10:51.426321	211
26266	143909	1871	2013-08-04 02:10:51.436544	2013-08-04 02:10:51.436544	211
26267	143909	26073	2013-08-04 02:10:51.444824	2013-08-04 02:10:51.444824	211
26268	143909	25940	2013-08-04 02:10:51.456041	2013-08-04 02:10:51.456041	211
26269	143909	14436	2013-08-04 02:10:51.467978	2013-08-04 02:10:51.467978	211
26270	143909	1843	2013-08-04 02:10:51.478735	2013-08-04 02:10:51.478735	211
26271	143909	14556	2013-08-04 02:10:51.490422	2013-08-04 02:10:51.490422	211
26272	143909	1547	2013-08-04 02:10:51.501289	2013-08-04 02:10:51.501289	211
26273	143909	18190	2013-08-04 02:10:51.510528	2013-08-04 02:10:51.510528	211
26274	143835	14516	2013-08-04 02:10:51.54416	2013-08-04 02:10:51.54416	211
26275	143835	28612	2013-08-04 02:10:51.555008	2013-08-04 02:10:51.555008	211
26276	143906	36157	2013-08-04 02:10:51.604683	2013-08-04 02:10:51.604683	211
26277	143906	36137	2013-08-04 02:10:51.616791	2013-08-04 02:10:51.616791	211
26278	143906	36117	2013-08-04 02:10:51.627491	2013-08-04 02:10:51.627491	211
26279	143906	36105	2013-08-04 02:10:51.638433	2013-08-04 02:10:51.638433	211
26280	143906	17540	2013-08-04 02:10:51.649696	2013-08-04 02:10:51.649696	211
26281	143906	35980	2013-08-04 02:10:51.662081	2013-08-04 02:10:51.662081	211
26282	143906	36097	2013-08-04 02:10:51.675297	2013-08-04 02:10:51.675297	211
26283	143906	11950	2013-08-04 02:10:51.688404	2013-08-04 02:10:51.688404	211
26284	143906	36077	2013-08-04 02:10:51.700951	2013-08-04 02:10:51.700951	211
26285	143906	36057	2013-08-04 02:10:51.711899	2013-08-04 02:10:51.711899	211
26286	143906	36040	2013-08-04 02:10:51.722724	2013-08-04 02:10:51.722724	211
26287	143906	36037	2013-08-04 02:10:51.734821	2013-08-04 02:10:51.734821	211
26288	143906	36017	2013-08-04 02:10:51.745962	2013-08-04 02:10:51.745962	211
26289	143906	14461	2013-08-04 02:10:51.756183	2013-08-04 02:10:51.756183	211
26290	143906	2603	2013-08-04 02:10:51.763308	2013-08-04 02:10:51.763308	211
26291	143906	48150	2013-08-04 02:10:51.768143	2013-08-04 02:10:51.768143	211
26292	143906	35077	2013-08-04 02:10:51.773084	2013-08-04 02:10:51.773084	211
26293	143906	6259	2013-08-04 02:10:51.776722	2013-08-04 02:10:51.776722	211
26294	143906	4129	2013-08-04 02:10:51.780418	2013-08-04 02:10:51.780418	211
26295	145075	9100	2013-08-04 02:10:51.795683	2013-08-04 02:10:51.795683	211
26296	145075	17737	2013-08-04 02:10:51.800392	2013-08-04 02:10:51.800392	211
26297	145075	17739	2013-08-04 02:10:51.804752	2013-08-04 02:10:51.804752	211
26298	145075	17719	2013-08-04 02:10:51.809131	2013-08-04 02:10:51.809131	211
26299	145075	17699	2013-08-04 02:10:51.812937	2013-08-04 02:10:51.812937	211
26300	145075	17679	2013-08-04 02:10:51.817522	2013-08-04 02:10:51.817522	211
26301	145075	17671	2013-08-04 02:10:51.820756	2013-08-04 02:10:51.820756	211
26302	145075	17659	2013-08-04 02:10:51.823728	2013-08-04 02:10:51.823728	211
26303	145075	17639	2013-08-04 02:10:51.826629	2013-08-04 02:10:51.826629	211
26304	145075	17701	2013-08-04 02:10:51.831153	2013-08-04 02:10:51.831153	211
26305	145075	17619	2013-08-04 02:10:51.840189	2013-08-04 02:10:51.840189	211
26306	145075	17599	2013-08-04 02:10:51.851158	2013-08-04 02:10:51.851158	211
26307	145075	17500	2013-08-04 02:10:51.86319	2013-08-04 02:10:51.86319	211
26308	145075	17473	2013-08-04 02:10:51.875067	2013-08-04 02:10:51.875067	211
26309	145075	17458	2013-08-04 02:10:51.883942	2013-08-04 02:10:51.883942	211
26310	145075	14596	2013-08-04 02:10:51.893974	2013-08-04 02:10:51.893974	211
26311	145075	9739	2013-08-04 02:10:51.900485	2013-08-04 02:10:51.900485	211
26312	145075	14091	2013-08-04 02:10:51.910815	2013-08-04 02:10:51.910815	211
26313	145075	9398	2013-08-04 02:10:51.92093	2013-08-04 02:10:51.92093	211
26314	143907	49210	2013-08-04 02:10:51.970144	2013-08-04 02:10:51.970144	211
26315	143907	49945	2013-08-04 02:10:51.980855	2013-08-04 02:10:51.980855	211
26316	143907	48595	2013-08-04 02:10:51.991383	2013-08-04 02:10:51.991383	211
26317	143907	30495	2013-08-04 02:10:52.001882	2013-08-04 02:10:52.001882	211
26318	147091	288	2013-08-04 02:15:49.269819	2013-08-04 02:15:49.269819	212
26319	146978	5203	2013-08-04 02:15:49.280803	2013-08-04 02:15:49.280803	212
26320	146970	697	2013-08-04 02:15:49.292184	2013-08-04 02:15:49.292184	212
26321	146948	4883	2013-08-04 02:15:49.305407	2013-08-04 02:15:49.305407	212
26322	146932	173	2013-08-04 02:15:49.319691	2013-08-04 02:15:49.319691	212
26323	146920	4543	2013-08-04 02:15:49.336018	2013-08-04 02:15:49.336018	212
26324	146919	432	2013-08-04 02:15:49.353395	2013-08-04 02:15:49.353395	212
26325	146869	459	2013-08-04 02:15:49.371104	2013-08-04 02:15:49.371104	212
26326	146859	370	2013-08-04 02:15:49.392684	2013-08-04 02:15:49.392684	212
26327	146843	310	2013-08-04 02:15:49.41511	2013-08-04 02:15:49.41511	212
26328	146830	4303	2013-08-04 02:15:49.438271	2013-08-04 02:15:49.438271	212
26329	146823	234	2013-08-04 02:15:49.461244	2013-08-04 02:15:49.461244	212
26330	146814	49930	2013-08-04 02:15:49.483631	2013-08-04 02:15:49.483631	212
26331	146802	3128	2013-08-04 02:15:49.505213	2013-08-04 02:15:49.505213	212
26332	146792	14980	2013-08-04 02:15:49.526724	2013-08-04 02:15:49.526724	212
26333	146781	14819	2013-08-04 02:15:49.548359	2013-08-04 02:15:49.548359	212
26334	147092	21331	2013-08-04 02:15:49.782997	2013-08-04 02:15:49.782997	212
26335	147086	21311	2013-08-04 02:15:49.803597	2013-08-04 02:15:49.803597	212
26336	146966	21275	2013-08-04 02:15:49.825818	2013-08-04 02:15:49.825818	212
26337	146894	21291	2013-08-04 02:15:49.839182	2013-08-04 02:15:49.839182	212
26338	146879	21271	2013-08-04 02:15:49.849789	2013-08-04 02:15:49.849789	212
26339	146845	46463	2013-08-04 02:15:49.86604	2013-08-04 02:15:49.86604	212
26340	146844	21251	2013-08-04 02:15:49.886436	2013-08-04 02:15:49.886436	212
26341	146817	14790	2013-08-04 02:15:49.910016	2013-08-04 02:15:49.910016	212
26342	146806	15056	2013-08-04 02:15:49.933083	2013-08-04 02:15:49.933083	212
26343	146777	14736	2013-08-04 02:15:49.955396	2013-08-04 02:15:49.955396	212
26344	146944	288	2013-08-04 02:15:50.275171	2013-08-04 02:15:50.275171	212
26345	146944	21331	2013-08-04 02:15:50.28143	2013-08-04 02:15:50.28143	212
26346	146944	15156	2013-08-04 02:15:50.285291	2013-08-04 02:15:50.285291	212
26347	146944	14991	2013-08-04 02:15:50.291223	2013-08-04 02:15:50.291223	212
26348	146944	14796	2013-08-04 02:15:50.296328	2013-08-04 02:15:50.296328	212
26349	146944	49900	2013-08-04 02:15:50.30316	2013-08-04 02:15:50.30316	212
26350	147002	7706	2013-08-04 02:15:50.331778	2013-08-04 02:15:50.331778	212
26351	147002	7846	2013-08-04 02:15:50.340436	2013-08-04 02:15:50.340436	212
26352	147002	7570	2013-08-04 02:15:50.348672	2013-08-04 02:15:50.348672	212
26353	147002	7678	2013-08-04 02:15:50.356886	2013-08-04 02:15:50.356886	212
26354	147002	7623	2013-08-04 02:15:50.36515	2013-08-04 02:15:50.36515	212
26355	147002	7692	2013-08-04 02:15:50.373419	2013-08-04 02:15:50.373419	212
26356	147002	7577	2013-08-04 02:15:50.38158	2013-08-04 02:15:50.38158	212
26357	147002	7597	2013-08-04 02:15:50.389783	2013-08-04 02:15:50.389783	212
26358	147002	7617	2013-08-04 02:15:50.397982	2013-08-04 02:15:50.397982	212
26359	147002	7637	2013-08-04 02:15:50.406254	2013-08-04 02:15:50.406254	212
26360	147002	7657	2013-08-04 02:15:50.414452	2013-08-04 02:15:50.414452	212
26361	147002	7548	2013-08-04 02:15:50.422467	2013-08-04 02:15:50.422467	212
26362	147002	7568	2013-08-04 02:15:50.430482	2013-08-04 02:15:50.430482	212
26363	147002	7588	2013-08-04 02:15:50.438536	2013-08-04 02:15:50.438536	212
26364	147002	7608	2013-08-04 02:15:50.446933	2013-08-04 02:15:50.446933	212
26365	147002	7628	2013-08-04 02:15:50.455242	2013-08-04 02:15:50.455242	212
26366	147002	7684	2013-08-04 02:15:50.463622	2013-08-04 02:15:50.463622	212
26367	147002	7664	2013-08-04 02:15:50.472237	2013-08-04 02:15:50.472237	212
26368	147002	7644	2013-08-04 02:15:50.48108	2013-08-04 02:15:50.48108	212
26369	147003	24675	2013-08-04 02:15:50.615312	2013-08-04 02:15:50.615312	212
26370	147003	24706	2013-08-04 02:15:50.619642	2013-08-04 02:15:50.619642	212
26371	147003	24686	2013-08-04 02:15:50.627026	2013-08-04 02:15:50.627026	212
26372	147003	24666	2013-08-04 02:15:50.637792	2013-08-04 02:15:50.637792	212
26373	147003	24646	2013-08-04 02:15:50.648486	2013-08-04 02:15:50.648486	212
26374	147003	24626	2013-08-04 02:15:50.659598	2013-08-04 02:15:50.659598	212
26375	147003	24606	2013-08-04 02:15:50.670443	2013-08-04 02:15:50.670443	212
26376	147003	24586	2013-08-04 02:15:50.681267	2013-08-04 02:15:50.681267	212
26377	147003	24566	2013-08-04 02:15:50.692215	2013-08-04 02:15:50.692215	212
26378	147003	24546	2013-08-04 02:15:50.703119	2013-08-04 02:15:50.703119	212
26379	147003	24526	2013-08-04 02:15:50.714338	2013-08-04 02:15:50.714338	212
26380	147003	24506	2013-08-04 02:15:50.726201	2013-08-04 02:15:50.726201	212
26381	147003	24486	2013-08-04 02:15:50.736623	2013-08-04 02:15:50.736623	212
26382	147003	24466	2013-08-04 02:15:50.740171	2013-08-04 02:15:50.740171	212
26383	147003	19152	2013-08-04 02:15:50.743595	2013-08-04 02:15:50.743595	212
26384	147003	21291	2013-08-04 02:15:50.747099	2013-08-04 02:15:50.747099	212
26385	147003	4375	2013-08-04 02:15:50.750682	2013-08-04 02:15:50.750682	212
26386	147003	14998	2013-08-04 02:15:50.754856	2013-08-04 02:15:50.754856	212
26387	147003	14852	2013-08-04 02:15:50.759088	2013-08-04 02:15:50.759088	212
26388	146783	24986	2013-08-04 02:15:50.774797	2013-08-04 02:15:50.774797	212
26389	146783	24966	2013-08-04 02:15:50.784033	2013-08-04 02:15:50.784033	212
26390	146783	24900	2013-08-04 02:15:50.792768	2013-08-04 02:15:50.792768	212
26391	146783	24946	2013-08-04 02:15:50.797596	2013-08-04 02:15:50.797596	212
26392	146783	25830	2013-08-04 02:15:50.801878	2013-08-04 02:15:50.801878	212
26393	146783	24926	2013-08-04 02:15:50.806485	2013-08-04 02:15:50.806485	212
26394	146783	4930	2013-08-04 02:15:50.812063	2013-08-04 02:15:50.812063	212
26395	146783	24906	2013-08-04 02:15:50.821538	2013-08-04 02:15:50.821538	212
26396	146783	24886	2013-08-04 02:15:50.83242	2013-08-04 02:15:50.83242	212
26397	146783	24866	2013-08-04 02:15:50.843284	2013-08-04 02:15:50.843284	212
26398	146783	24846	2013-08-04 02:15:50.856021	2013-08-04 02:15:50.856021	212
26399	146783	24826	2013-08-04 02:15:50.868152	2013-08-04 02:15:50.868152	212
26400	146783	33590	2013-08-04 02:15:50.87949	2013-08-04 02:15:50.87949	212
26401	146783	24806	2013-08-04 02:15:50.890775	2013-08-04 02:15:50.890775	212
26402	146783	24786	2013-08-04 02:15:50.895333	2013-08-04 02:15:50.895333	212
26403	146783	24766	2013-08-04 02:15:50.898997	2013-08-04 02:15:50.898997	212
26404	146783	24746	2013-08-04 02:15:50.902577	2013-08-04 02:15:50.902577	212
26405	146783	47283	2013-08-04 02:15:50.912537	2013-08-04 02:15:50.912537	212
26406	146783	24726	2013-08-04 02:15:50.92564	2013-08-04 02:15:50.92564	212
26407	147004	1827	2013-08-04 02:15:50.961937	2013-08-04 02:15:50.961937	212
26408	147004	39043	2013-08-04 02:15:50.97376	2013-08-04 02:15:50.97376	212
26409	147004	28632	2013-08-04 02:15:50.984876	2013-08-04 02:15:50.984876	212
26410	147004	1807	2013-08-04 02:15:50.99597	2013-08-04 02:15:50.99597	212
26411	147004	28312	2013-08-04 02:15:51.008268	2013-08-04 02:15:51.008268	212
26412	147004	13436	2013-08-04 02:15:51.015724	2013-08-04 02:15:51.015724	212
26413	147004	23430	2013-08-04 02:15:51.020613	2013-08-04 02:15:51.020613	212
26414	147004	33697	2013-08-04 02:15:51.025902	2013-08-04 02:15:51.025902	212
26415	147004	33377	2013-08-04 02:15:51.030964	2013-08-04 02:15:51.030964	212
26416	147004	23330	2013-08-04 02:15:51.035678	2013-08-04 02:15:51.035678	212
26417	147004	43255	2013-08-04 02:15:51.040447	2013-08-04 02:15:51.040447	212
26418	147004	15980	2013-08-04 02:15:51.044859	2013-08-04 02:15:51.044859	212
26419	147004	48815	2013-08-04 02:15:51.048801	2013-08-04 02:15:51.048801	212
26420	147004	13841	2013-08-04 02:15:51.051845	2013-08-04 02:15:51.051845	212
26421	147004	21655	2013-08-04 02:15:51.056346	2013-08-04 02:15:51.056346	212
26422	147004	41910	2013-08-04 02:15:51.065348	2013-08-04 02:15:51.065348	212
26423	147004	23335	2013-08-04 02:15:51.076601	2013-08-04 02:15:51.076601	212
26424	147004	28643	2013-08-04 02:15:51.087711	2013-08-04 02:15:51.087711	212
26425	147004	11811	2013-08-04 02:15:51.09895	2013-08-04 02:15:51.09895	212
26426	146786	24408	2013-08-04 02:15:51.135502	2013-08-04 02:15:51.135502	212
26427	146786	24388	2013-08-04 02:15:51.139464	2013-08-04 02:15:51.139464	212
26428	146786	24425	2013-08-04 02:15:51.143569	2013-08-04 02:15:51.143569	212
26429	146786	24368	2013-08-04 02:15:51.147833	2013-08-04 02:15:51.147833	212
26430	146786	16351	2013-08-04 02:15:51.152203	2013-08-04 02:15:51.152203	212
26431	146786	24348	2013-08-04 02:15:51.1577	2013-08-04 02:15:51.1577	212
26432	146786	24195	2013-08-04 02:15:51.162824	2013-08-04 02:15:51.162824	212
26433	146786	24297	2013-08-04 02:15:51.168372	2013-08-04 02:15:51.168372	212
26434	146786	25361	2013-08-04 02:15:51.172128	2013-08-04 02:15:51.172128	212
26435	146786	24328	2013-08-04 02:15:51.175353	2013-08-04 02:15:51.175353	212
26436	146786	24230	2013-08-04 02:15:51.180971	2013-08-04 02:15:51.180971	212
26437	146786	24308	2013-08-04 02:15:51.185981	2013-08-04 02:15:51.185981	212
26438	146786	24288	2013-08-04 02:15:51.190494	2013-08-04 02:15:51.190494	212
26439	146786	24268	2013-08-04 02:15:51.195341	2013-08-04 02:15:51.195341	212
26440	146786	24292	2013-08-04 02:15:51.199591	2013-08-04 02:15:51.199591	212
26441	146786	24248	2013-08-04 02:15:51.203296	2013-08-04 02:15:51.203296	212
26442	146786	15116	2013-08-04 02:15:51.20768	2013-08-04 02:15:51.20768	212
26443	146786	14931	2013-08-04 02:15:51.21179	2013-08-04 02:15:51.21179	212
26444	146786	14870	2013-08-04 02:15:51.216519	2013-08-04 02:15:51.216519	212
26445	147005	3543	2013-08-04 02:15:51.243288	2013-08-04 02:15:51.243288	212
26446	147005	3203	2013-08-04 02:15:51.251162	2013-08-04 02:15:51.251162	212
26447	147005	2823	2013-08-04 02:15:51.256105	2013-08-04 02:15:51.256105	212
26448	147005	2443	2013-08-04 02:15:51.260315	2013-08-04 02:15:51.260315	212
26449	147005	1523	2013-08-04 02:15:51.265841	2013-08-04 02:15:51.265841	212
26450	147005	2063	2013-08-04 02:15:51.270387	2013-08-04 02:15:51.270387	212
26451	147005	1683	2013-08-04 02:15:51.27438	2013-08-04 02:15:51.27438	212
26452	147005	1303	2013-08-04 02:15:51.278364	2013-08-04 02:15:51.278364	212
26453	147005	923	2013-08-04 02:15:51.281891	2013-08-04 02:15:51.281891	212
26454	147005	563	2013-08-04 02:15:51.286249	2013-08-04 02:15:51.286249	212
26455	147005	200	2013-08-04 02:15:51.291096	2013-08-04 02:15:51.291096	212
26456	147005	49990	2013-08-04 02:15:51.295639	2013-08-04 02:15:51.295639	212
26457	147005	49970	2013-08-04 02:15:51.30028	2013-08-04 02:15:51.30028	212
26458	147005	49950	2013-08-04 02:15:51.303697	2013-08-04 02:15:51.303697	212
26459	147005	1403	2013-08-04 02:15:51.307731	2013-08-04 02:15:51.307731	212
26460	147005	21311	2013-08-04 02:15:51.312022	2013-08-04 02:15:51.312022	212
26461	147005	15076	2013-08-04 02:15:51.316475	2013-08-04 02:15:51.316475	212
26462	147005	14916	2013-08-04 02:15:51.320655	2013-08-04 02:15:51.320655	212
26463	147005	14756	2013-08-04 02:15:51.324816	2013-08-04 02:15:51.324816	212
26464	146785	926	2013-08-04 02:15:51.345132	2013-08-04 02:15:51.345132	212
26465	146785	697	2013-08-04 02:15:51.349386	2013-08-04 02:15:51.349386	212
26466	146785	217	2013-08-04 02:15:51.353337	2013-08-04 02:15:51.353337	212
26467	146785	205	2013-08-04 02:15:51.357254	2013-08-04 02:15:51.357254	212
26468	146785	5043	2013-08-04 02:15:51.361867	2013-08-04 02:15:51.361867	212
26469	146785	557	2013-08-04 02:15:51.366564	2013-08-04 02:15:51.366564	212
26470	146785	181	2013-08-04 02:15:51.371425	2013-08-04 02:15:51.371425	212
26471	146785	502	2013-08-04 02:15:51.375905	2013-08-04 02:15:51.375905	212
26472	146785	4723	2013-08-04 02:15:51.381465	2013-08-04 02:15:51.381465	212
26473	146785	147	2013-08-04 02:15:51.3861	2013-08-04 02:15:51.3861	212
26474	146785	148	2013-08-04 02:15:51.389924	2013-08-04 02:15:51.389924	212
26475	146785	154	2013-08-04 02:15:51.394512	2013-08-04 02:15:51.394512	212
26476	146785	4383	2013-08-04 02:15:51.399	2013-08-04 02:15:51.399	212
26477	146785	4483	2013-08-04 02:15:51.40366	2013-08-04 02:15:51.40366	212
26478	146785	462	2013-08-04 02:15:51.408623	2013-08-04 02:15:51.408623	212
26479	146785	3363	2013-08-04 02:15:51.412705	2013-08-04 02:15:51.412705	212
26480	146785	4143	2013-08-04 02:15:51.416113	2013-08-04 02:15:51.416113	212
26481	146785	34	2013-08-04 02:15:51.420088	2013-08-04 02:15:51.420088	212
26482	146785	3883	2013-08-04 02:15:51.424111	2013-08-04 02:15:51.424111	212
26483	147006	21631	2013-08-04 02:15:51.439119	2013-08-04 02:15:51.439119	212
26484	147006	18506	2013-08-04 02:15:51.444202	2013-08-04 02:15:51.444202	212
26485	147006	21611	2013-08-04 02:15:51.449616	2013-08-04 02:15:51.449616	212
26486	147006	21591	2013-08-04 02:15:51.45452	2013-08-04 02:15:51.45452	212
26487	147006	21571	2013-08-04 02:15:51.458959	2013-08-04 02:15:51.458959	212
26488	147006	21551	2013-08-04 02:15:51.463429	2013-08-04 02:15:51.463429	212
26489	147006	21583	2013-08-04 02:15:51.468321	2013-08-04 02:15:51.468321	212
26490	147006	16657	2013-08-04 02:15:51.472473	2013-08-04 02:15:51.472473	212
26491	147006	21540	2013-08-04 02:15:51.476495	2013-08-04 02:15:51.476495	212
26492	147006	21531	2013-08-04 02:15:51.484642	2013-08-04 02:15:51.484642	212
26493	147006	21511	2013-08-04 02:15:51.490521	2013-08-04 02:15:51.490521	212
26494	147006	21480	2013-08-04 02:15:51.495327	2013-08-04 02:15:51.495327	212
26495	147006	16492	2013-08-04 02:15:51.50087	2013-08-04 02:15:51.50087	212
26496	147006	21491	2013-08-04 02:15:51.50594	2013-08-04 02:15:51.50594	212
26497	147006	18446	2013-08-04 02:15:51.510779	2013-08-04 02:15:51.510779	212
26498	147006	21471	2013-08-04 02:15:51.516185	2013-08-04 02:15:51.516185	212
26499	147006	21451	2013-08-04 02:15:51.521837	2013-08-04 02:15:51.521837	212
26500	147006	21500	2013-08-04 02:15:51.525565	2013-08-04 02:15:51.525565	212
26501	147006	21431	2013-08-04 02:15:51.529481	2013-08-04 02:15:51.529481	212
26502	146794	4883	2013-08-04 02:15:51.546424	2013-08-04 02:15:51.546424	212
26503	146794	49790	2013-08-04 02:15:51.549828	2013-08-04 02:15:51.549828	212
26504	146794	15036	2013-08-04 02:15:51.553251	2013-08-04 02:15:51.553251	212
26505	146794	14763	2013-08-04 02:15:51.556796	2013-08-04 02:15:51.556796	212
26506	146794	14716	2013-08-04 02:15:51.560742	2013-08-04 02:15:51.560742	212
26507	146796	26410	2013-08-04 02:15:51.595249	2013-08-04 02:15:51.595249	212
26508	146796	14328	2013-08-04 02:15:51.607356	2013-08-04 02:15:51.607356	212
26509	146796	26393	2013-08-04 02:15:51.619069	2013-08-04 02:15:51.619069	212
26510	146796	2699	2013-08-04 02:15:51.627028	2013-08-04 02:15:51.627028	212
26511	146796	26352	2013-08-04 02:15:51.631221	2013-08-04 02:15:51.631221	212
26512	146796	26373	2013-08-04 02:15:51.63479	2013-08-04 02:15:51.63479	212
26513	146796	26353	2013-08-04 02:15:51.63875	2013-08-04 02:15:51.63875	212
26514	146796	26333	2013-08-04 02:15:51.642978	2013-08-04 02:15:51.642978	212
26515	146796	26225	2013-08-04 02:15:51.647411	2013-08-04 02:15:51.647411	212
26516	146796	26313	2013-08-04 02:15:51.651915	2013-08-04 02:15:51.651915	212
26517	146796	26293	2013-08-04 02:15:51.656312	2013-08-04 02:15:51.656312	212
26518	146796	26241	2013-08-04 02:15:51.660575	2013-08-04 02:15:51.660575	212
26519	146796	26273	2013-08-04 02:15:51.665117	2013-08-04 02:15:51.665117	212
26520	146796	26245	2013-08-04 02:15:51.730939	2013-08-04 02:15:51.730939	212
26521	146796	46463	2013-08-04 02:15:51.73476	2013-08-04 02:15:51.73476	212
26522	146796	4303	2013-08-04 02:15:51.737882	2013-08-04 02:15:51.737882	212
26523	146796	15068	2013-08-04 02:15:51.741014	2013-08-04 02:15:51.741014	212
26524	146796	14772	2013-08-04 02:15:51.744293	2013-08-04 02:15:51.744293	212
26525	146796	14696	2013-08-04 02:15:51.747522	2013-08-04 02:15:51.747522	212
26526	147007	47643	2013-08-04 02:15:51.757766	2013-08-04 02:15:51.757766	212
26527	147007	22806	2013-08-04 02:15:51.761638	2013-08-04 02:15:51.761638	212
26528	147007	22786	2013-08-04 02:15:51.765047	2013-08-04 02:15:51.765047	212
26529	147007	19603	2013-08-04 02:15:51.768504	2013-08-04 02:15:51.768504	212
26530	147007	22686	2013-08-04 02:15:51.771861	2013-08-04 02:15:51.771861	212
26531	147007	839	2013-08-04 02:15:51.775923	2013-08-04 02:15:51.775923	212
26532	147007	759	2013-08-04 02:15:51.78173	2013-08-04 02:15:51.78173	212
26533	147007	25021	2013-08-04 02:15:51.786345	2013-08-04 02:15:51.786345	212
26534	147007	32837	2013-08-04 02:15:51.790685	2013-08-04 02:15:51.790685	212
26535	147007	22586	2013-08-04 02:15:51.795183	2013-08-04 02:15:51.795183	212
26536	147007	38810	2013-08-04 02:15:51.803145	2013-08-04 02:15:51.803145	212
26537	147007	22366	2013-08-04 02:15:51.811651	2013-08-04 02:15:51.811651	212
26538	147007	22213	2013-08-04 02:15:51.818618	2013-08-04 02:15:51.818618	212
26539	147007	49985	2013-08-04 02:15:51.823252	2013-08-04 02:15:51.823252	212
26540	147007	16950	2013-08-04 02:15:51.82723	2013-08-04 02:15:51.82723	212
26541	147007	16719	2013-08-04 02:15:51.831489	2013-08-04 02:15:51.831489	212
26542	147007	16751	2013-08-04 02:15:51.835579	2013-08-04 02:15:51.835579	212
26543	147007	39281	2013-08-04 02:15:51.83952	2013-08-04 02:15:51.83952	212
26544	147007	38305	2013-08-04 02:15:51.843617	2013-08-04 02:15:51.843617	212
26545	147001	13826	2013-08-04 02:15:51.860085	2013-08-04 02:15:51.860085	212
26546	147008	36417	2013-08-04 02:15:51.889175	2013-08-04 02:15:51.889175	212
26547	147008	36397	2013-08-04 02:15:51.894499	2013-08-04 02:15:51.894499	212
26548	147008	36270	2013-08-04 02:15:51.898624	2013-08-04 02:15:51.898624	212
26549	147008	36377	2013-08-04 02:15:51.902546	2013-08-04 02:15:51.902546	212
26550	147008	36357	2013-08-04 02:15:51.906296	2013-08-04 02:15:51.906296	212
26551	147008	36337	2013-08-04 02:15:51.909774	2013-08-04 02:15:51.909774	212
26552	147008	36317	2013-08-04 02:15:51.913081	2013-08-04 02:15:51.913081	212
26553	147008	36297	2013-08-04 02:15:51.916436	2013-08-04 02:15:51.916436	212
26554	147008	36277	2013-08-04 02:15:51.920765	2013-08-04 02:15:51.920765	212
26555	147008	36257	2013-08-04 02:15:51.925306	2013-08-04 02:15:51.925306	212
26556	147008	36237	2013-08-04 02:15:51.932548	2013-08-04 02:15:51.932548	212
26557	147008	36217	2013-08-04 02:15:51.938736	2013-08-04 02:15:51.938736	212
26558	147008	36155	2013-08-04 02:15:51.943049	2013-08-04 02:15:51.943049	212
26559	147008	36197	2013-08-04 02:15:51.947199	2013-08-04 02:15:51.947199	212
26560	147008	36177	2013-08-04 02:15:51.95177	2013-08-04 02:15:51.95177	212
26561	147008	21271	2013-08-04 02:15:51.955939	2013-08-04 02:15:51.955939	212
26562	147008	14996	2013-08-04 02:15:51.959178	2013-08-04 02:15:51.959178	212
26563	147008	24377	2013-08-04 02:15:51.962811	2013-08-04 02:15:51.962811	212
26564	147008	38063	2013-08-04 02:15:51.966778	2013-08-04 02:15:51.966778	212
26565	146798	36697	2013-08-04 02:15:51.982338	2013-08-04 02:15:51.982338	212
26566	146798	36677	2013-08-04 02:15:51.986462	2013-08-04 02:15:51.986462	212
26567	146798	36657	2013-08-04 02:15:51.990168	2013-08-04 02:15:51.990168	212
26568	146798	36637	2013-08-04 02:15:51.993858	2013-08-04 02:15:51.993858	212
26569	146798	36617	2013-08-04 02:15:51.997847	2013-08-04 02:15:51.997847	212
26570	146798	36597	2013-08-04 02:15:52.001627	2013-08-04 02:15:52.001627	212
26571	146798	36577	2013-08-04 02:15:52.006053	2013-08-04 02:15:52.006053	212
26572	146798	36500	2013-08-04 02:15:52.010936	2013-08-04 02:15:52.010936	212
26573	146798	36557	2013-08-04 02:15:52.015727	2013-08-04 02:15:52.015727	212
26574	146798	36537	2013-08-04 02:15:52.020226	2013-08-04 02:15:52.020226	212
26575	146798	36517	2013-08-04 02:15:52.024828	2013-08-04 02:15:52.024828	212
26576	146798	36497	2013-08-04 02:15:52.029806	2013-08-04 02:15:52.029806	212
26577	146798	36458	2013-08-04 02:15:52.034482	2013-08-04 02:15:52.034482	212
26578	146798	36477	2013-08-04 02:15:52.03901	2013-08-04 02:15:52.03901	212
26579	146798	36457	2013-08-04 02:15:52.043902	2013-08-04 02:15:52.043902	212
26580	146798	36437	2013-08-04 02:15:52.051519	2013-08-04 02:15:52.051519	212
26581	146798	18210	2013-08-04 02:15:52.060699	2013-08-04 02:15:52.060699	212
26582	146798	36405	2013-08-04 02:15:52.066207	2013-08-04 02:15:52.066207	212
26583	146798	36315	2013-08-04 02:15:52.074284	2013-08-04 02:15:52.074284	212
26584	147009	5458	2013-08-04 02:15:52.11119	2013-08-04 02:15:52.11119	212
26585	147009	17853	2013-08-04 02:15:52.118836	2013-08-04 02:15:52.118836	212
26586	147009	17879	2013-08-04 02:15:52.123101	2013-08-04 02:15:52.123101	212
26587	147009	17859	2013-08-04 02:15:52.126927	2013-08-04 02:15:52.126927	212
26588	147009	17851	2013-08-04 02:15:52.13036	2013-08-04 02:15:52.13036	212
26589	147009	17839	2013-08-04 02:15:52.133734	2013-08-04 02:15:52.133734	212
26590	147009	17819	2013-08-04 02:15:52.137008	2013-08-04 02:15:52.137008	212
26591	147009	34998	2013-08-04 02:15:52.140578	2013-08-04 02:15:52.140578	212
26592	147009	17799	2013-08-04 02:15:52.144249	2013-08-04 02:15:52.144249	212
26593	147009	17857	2013-08-04 02:15:52.147838	2013-08-04 02:15:52.147838	212
26594	147009	17779	2013-08-04 02:15:52.1524	2013-08-04 02:15:52.1524	212
26595	147009	17877	2013-08-04 02:15:52.156289	2013-08-04 02:15:52.156289	212
26596	147009	17759	2013-08-04 02:15:52.160077	2013-08-04 02:15:52.160077	212
26597	147009	17600	2013-08-04 02:15:52.164326	2013-08-04 02:15:52.164326	212
26598	147009	14790	2013-08-04 02:15:52.16884	2013-08-04 02:15:52.16884	212
26599	147009	14980	2013-08-04 02:15:52.173776	2013-08-04 02:15:52.173776	212
26600	147009	13846	2013-08-04 02:15:52.178633	2013-08-04 02:15:52.178633	212
26601	147009	14876	2013-08-04 02:15:52.182561	2013-08-04 02:15:52.182561	212
26602	147009	19851	2013-08-04 02:15:52.186317	2013-08-04 02:15:52.186317	212
26603	146795	18099	2013-08-04 02:15:52.209051	2013-08-04 02:15:52.209051	212
26604	146795	18079	2013-08-04 02:15:52.221229	2013-08-04 02:15:52.221229	212
26605	146795	18059	2013-08-04 02:15:52.23341	2013-08-04 02:15:52.23341	212
26606	146795	17995	2013-08-04 02:15:52.239113	2013-08-04 02:15:52.239113	212
26607	146795	18048	2013-08-04 02:15:52.242708	2013-08-04 02:15:52.242708	212
26608	146795	18051	2013-08-04 02:15:52.245983	2013-08-04 02:15:52.245983	212
26609	146795	18039	2013-08-04 02:15:52.249236	2013-08-04 02:15:52.249236	212
26610	146795	34875	2013-08-04 02:15:52.252486	2013-08-04 02:15:52.252486	212
26611	146795	18019	2013-08-04 02:15:52.255851	2013-08-04 02:15:52.255851	212
26612	146795	17999	2013-08-04 02:15:52.259479	2013-08-04 02:15:52.259479	212
26613	146795	17979	2013-08-04 02:15:52.263448	2013-08-04 02:15:52.263448	212
26614	146795	17977	2013-08-04 02:15:52.268238	2013-08-04 02:15:52.268238	212
26615	146795	17959	2013-08-04 02:15:52.27395	2013-08-04 02:15:52.27395	212
26616	146795	18040	2013-08-04 02:15:52.279988	2013-08-04 02:15:52.279988	212
26617	146795	18020	2013-08-04 02:15:52.28583	2013-08-04 02:15:52.28583	212
26618	146795	17939	2013-08-04 02:15:52.291055	2013-08-04 02:15:52.291055	212
26619	146795	10491	2013-08-04 02:15:52.29573	2013-08-04 02:15:52.29573	212
26620	146795	17919	2013-08-04 02:15:52.301166	2013-08-04 02:15:52.301166	212
26621	146795	17899	2013-08-04 02:15:52.306683	2013-08-04 02:15:52.306683	212
26622	146797	459	2013-08-04 02:15:52.326758	2013-08-04 02:15:52.326758	212
26623	146797	49700	2013-08-04 02:15:52.330595	2013-08-04 02:15:52.330595	212
26624	146797	15019	2013-08-04 02:15:52.334263	2013-08-04 02:15:52.334263	212
26625	146797	14856	2013-08-04 02:15:52.337184	2013-08-04 02:15:52.337184	212
26626	146797	16385	2013-08-04 02:15:52.339884	2013-08-04 02:15:52.339884	212
26627	147937	150	2013-08-04 02:20:49.592676	2013-08-04 02:20:49.592676	213
26628	147887	977	2013-08-04 02:20:49.611388	2013-08-04 02:20:49.611388	213
26629	147627	82	2013-08-04 02:20:49.630705	2013-08-04 02:20:49.630705	213
26630	147597	102	2013-08-04 02:20:49.642031	2013-08-04 02:20:49.642031	213
26631	147574	631	2013-08-04 02:20:49.651341	2013-08-04 02:20:49.651341	213
26632	147565	1034	2013-08-04 02:20:49.66029	2013-08-04 02:20:49.66029	213
26633	147554	713	2013-08-04 02:20:49.6702	2013-08-04 02:20:49.6702	213
26634	147537	712	2013-08-04 02:20:49.67833	2013-08-04 02:20:49.67833	213
26635	147480	348	2013-08-04 02:20:49.686368	2013-08-04 02:20:49.686368	213
26636	147476	671	2013-08-04 02:20:49.694065	2013-08-04 02:20:49.694065	213
26637	147470	194	2013-08-04 02:20:49.701455	2013-08-04 02:20:49.701455	213
26638	147467	323	2013-08-04 02:20:49.709157	2013-08-04 02:20:49.709157	213
26639	147464	25206	2013-08-04 02:20:49.725873	2013-08-04 02:20:49.725873	213
26640	147444	8880	2013-08-04 02:20:49.735743	2013-08-04 02:20:49.735743	213
26641	147442	310	2013-08-04 02:20:49.752904	2013-08-04 02:20:49.752904	213
26642	147886	21705	2013-08-04 02:20:49.946545	2013-08-04 02:20:49.946545	213
26643	147886	21740	2013-08-04 02:20:49.954271	2013-08-04 02:20:49.954271	213
26644	147663	3124	2013-08-04 02:20:49.9689	2013-08-04 02:20:49.9689	213
26645	147663	21811	2013-08-04 02:20:49.977219	2013-08-04 02:20:49.977219	213
26646	147630	21791	2013-08-04 02:20:49.998487	2013-08-04 02:20:49.998487	213
26647	147630	21771	2013-08-04 02:20:50.009496	2013-08-04 02:20:50.009496	213
26648	147599	21751	2013-08-04 02:20:50.031509	2013-08-04 02:20:50.031509	213
26649	147599	21797	2013-08-04 02:20:50.042854	2013-08-04 02:20:50.042854	213
26650	147575	21701	2013-08-04 02:20:50.064768	2013-08-04 02:20:50.064768	213
26651	147575	21731	2013-08-04 02:20:50.075729	2013-08-04 02:20:50.075729	213
26652	147563	21711	2013-08-04 02:20:50.099137	2013-08-04 02:20:50.099137	213
26653	147563	21721	2013-08-04 02:20:50.111383	2013-08-04 02:20:50.111383	213
26654	147560	21691	2013-08-04 02:20:50.134652	2013-08-04 02:20:50.134652	213
26655	147560	21671	2013-08-04 02:20:50.146349	2013-08-04 02:20:50.146349	213
26656	147479	21651	2013-08-04 02:20:50.169531	2013-08-04 02:20:50.169531	213
26657	147479	10379	2013-08-04 02:20:50.181488	2013-08-04 02:20:50.181488	213
26658	147445	6746	2013-08-04 02:20:50.20399	2013-08-04 02:20:50.20399	213
26659	147445	15270	2013-08-04 02:20:50.214394	2013-08-04 02:20:50.214394	213
26660	147454	813	2013-08-04 02:20:50.531556	2013-08-04 02:20:50.531556	213
26661	147454	977	2013-08-04 02:20:50.54214	2013-08-04 02:20:50.54214	213
26662	147454	25225	2013-08-04 02:20:50.552143	2013-08-04 02:20:50.552143	213
26663	147454	21740	2013-08-04 02:20:50.562361	2013-08-04 02:20:50.562361	213
26664	147454	21705	2013-08-04 02:20:50.569671	2013-08-04 02:20:50.569671	213
26665	147454	15513	2013-08-04 02:20:50.62434	2013-08-04 02:20:50.62434	213
26666	147454	29377	2013-08-04 02:20:50.633489	2013-08-04 02:20:50.633489	213
26667	147541	28643	2013-08-04 02:20:50.647695	2013-08-04 02:20:50.647695	213
26668	147541	23335	2013-08-04 02:20:50.650842	2013-08-04 02:20:50.650842	213
26669	147541	41910	2013-08-04 02:20:50.654521	2013-08-04 02:20:50.654521	213
26670	147541	21655	2013-08-04 02:20:50.658419	2013-08-04 02:20:50.658419	213
26671	147541	13841	2013-08-04 02:20:50.662175	2013-08-04 02:20:50.662175	213
26672	147541	48815	2013-08-04 02:20:50.666284	2013-08-04 02:20:50.666284	213
26673	147541	11811	2013-08-04 02:20:50.670601	2013-08-04 02:20:50.670601	213
26674	147541	22786	2013-08-04 02:20:50.674882	2013-08-04 02:20:50.674882	213
26675	147541	22806	2013-08-04 02:20:50.679585	2013-08-04 02:20:50.679585	213
26676	147541	47643	2013-08-04 02:20:50.684408	2013-08-04 02:20:50.684408	213
26677	147541	19603	2013-08-04 02:20:50.689324	2013-08-04 02:20:50.689324	213
26678	147541	839	2013-08-04 02:20:50.694516	2013-08-04 02:20:50.694516	213
26679	147541	22686	2013-08-04 02:20:50.699876	2013-08-04 02:20:50.699876	213
26680	147541	38810	2013-08-04 02:20:50.705074	2013-08-04 02:20:50.705074	213
26681	147541	22586	2013-08-04 02:20:50.710231	2013-08-04 02:20:50.710231	213
26682	147541	32837	2013-08-04 02:20:50.715634	2013-08-04 02:20:50.715634	213
26683	147541	25021	2013-08-04 02:20:50.721162	2013-08-04 02:20:50.721162	213
26684	147541	759	2013-08-04 02:20:50.72665	2013-08-04 02:20:50.72665	213
26685	147541	22366	2013-08-04 02:20:50.732159	2013-08-04 02:20:50.732159	213
26686	147542	25357	2013-08-04 02:20:50.794802	2013-08-04 02:20:50.794802	213
26687	147542	25426	2013-08-04 02:20:50.806502	2013-08-04 02:20:50.806502	213
26688	147542	26952	2013-08-04 02:20:50.817451	2013-08-04 02:20:50.817451	213
26689	147542	25406	2013-08-04 02:20:50.827993	2013-08-04 02:20:50.827993	213
26690	147542	25386	2013-08-04 02:20:50.838199	2013-08-04 02:20:50.838199	213
26691	147542	25366	2013-08-04 02:20:50.84962	2013-08-04 02:20:50.84962	213
26692	147542	25346	2013-08-04 02:20:50.860207	2013-08-04 02:20:50.860207	213
26693	147542	25326	2013-08-04 02:20:50.870726	2013-08-04 02:20:50.870726	213
26694	147542	25306	2013-08-04 02:20:50.874923	2013-08-04 02:20:50.874923	213
26695	147542	25286	2013-08-04 02:20:50.877968	2013-08-04 02:20:50.877968	213
26696	147542	25310	2013-08-04 02:20:50.880977	2013-08-04 02:20:50.880977	213
26697	147542	19421	2013-08-04 02:20:50.883959	2013-08-04 02:20:50.883959	213
26698	147542	25135	2013-08-04 02:20:50.886986	2013-08-04 02:20:50.886986	213
26699	147542	25266	2013-08-04 02:20:50.892109	2013-08-04 02:20:50.892109	213
26700	147542	19401	2013-08-04 02:20:50.897323	2013-08-04 02:20:50.897323	213
26701	147542	25246	2013-08-04 02:20:50.902699	2013-08-04 02:20:50.902699	213
26702	147542	25226	2013-08-04 02:20:50.907444	2013-08-04 02:20:50.907444	213
26703	147542	21731	2013-08-04 02:20:50.912349	2013-08-04 02:20:50.912349	213
26704	147542	21701	2013-08-04 02:20:50.917431	2013-08-04 02:20:50.917431	213
26705	147450	25666	2013-08-04 02:20:50.942618	2013-08-04 02:20:50.942618	213
26706	147450	25955	2013-08-04 02:20:50.951167	2013-08-04 02:20:50.951167	213
26707	147450	25646	2013-08-04 02:20:50.961699	2013-08-04 02:20:50.961699	213
26708	147450	25626	2013-08-04 02:20:50.97263	2013-08-04 02:20:50.97263	213
26709	147450	25606	2013-08-04 02:20:50.983676	2013-08-04 02:20:50.983676	213
26710	147450	3337	2013-08-04 02:20:50.99467	2013-08-04 02:20:50.99467	213
26711	147450	25970	2013-08-04 02:20:51.005785	2013-08-04 02:20:51.005785	213
26712	147450	25475	2013-08-04 02:20:51.016756	2013-08-04 02:20:51.016756	213
26713	147450	25537	2013-08-04 02:20:51.027715	2013-08-04 02:20:51.027715	213
26714	147450	25586	2013-08-04 02:20:51.038685	2013-08-04 02:20:51.038685	213
26715	147450	25566	2013-08-04 02:20:51.049588	2013-08-04 02:20:51.049588	213
26716	147450	25546	2013-08-04 02:20:51.060806	2013-08-04 02:20:51.060806	213
26717	147450	25526	2013-08-04 02:20:51.0719	2013-08-04 02:20:51.0719	213
26718	147450	25492	2013-08-04 02:20:51.082951	2013-08-04 02:20:51.082951	213
26719	147450	25506	2013-08-04 02:20:51.094713	2013-08-04 02:20:51.094713	213
26720	147450	25486	2013-08-04 02:20:51.10373	2013-08-04 02:20:51.10373	213
26721	147450	25466	2013-08-04 02:20:51.113647	2013-08-04 02:20:51.113647	213
26722	147450	15028	2013-08-04 02:20:51.124551	2013-08-04 02:20:51.124551	213
26723	147450	25446	2013-08-04 02:20:51.135442	2013-08-04 02:20:51.135442	213
26724	147543	1766	2013-08-04 02:20:51.169159	2013-08-04 02:20:51.169159	213
26725	147543	37983	2013-08-04 02:20:51.181372	2013-08-04 02:20:51.181372	213
26726	147543	1879	2013-08-04 02:20:51.192911	2013-08-04 02:20:51.192911	213
26727	147543	15768	2013-08-04 02:20:51.204123	2013-08-04 02:20:51.204123	213
26728	147543	11772	2013-08-04 02:20:51.214899	2013-08-04 02:20:51.214899	213
26729	147543	1770	2013-08-04 02:20:51.22585	2013-08-04 02:20:51.22585	213
26730	147543	1848	2013-08-04 02:20:51.236992	2013-08-04 02:20:51.236992	213
26731	147543	10535	2013-08-04 02:20:51.248385	2013-08-04 02:20:51.248385	213
26732	147543	15828	2013-08-04 02:20:51.256942	2013-08-04 02:20:51.256942	213
26733	147543	1786	2013-08-04 02:20:51.261311	2013-08-04 02:20:51.261311	213
26734	147543	11752	2013-08-04 02:20:51.265676	2013-08-04 02:20:51.265676	213
26735	147543	1867	2013-08-04 02:20:51.270337	2013-08-04 02:20:51.270337	213
26736	147543	9313	2013-08-04 02:20:51.274773	2013-08-04 02:20:51.274773	213
26737	147543	1860	2013-08-04 02:20:51.280963	2013-08-04 02:20:51.280963	213
26738	147543	5730	2013-08-04 02:20:51.285282	2013-08-04 02:20:51.285282	213
26739	147543	14888	2013-08-04 02:20:51.290156	2013-08-04 02:20:51.290156	213
26740	147543	1847	2013-08-04 02:20:51.294218	2013-08-04 02:20:51.294218	213
26741	147543	49655	2013-08-04 02:20:51.297887	2013-08-04 02:20:51.297887	213
26742	147543	3224	2013-08-04 02:20:51.305678	2013-08-04 02:20:51.305678	213
26743	147456	24628	2013-08-04 02:20:51.347951	2013-08-04 02:20:51.347951	213
26744	147456	24608	2013-08-04 02:20:51.35972	2013-08-04 02:20:51.35972	213
26745	147456	24588	2013-08-04 02:20:51.370739	2013-08-04 02:20:51.370739	213
26746	147456	44415	2013-08-04 02:20:51.381688	2013-08-04 02:20:51.381688	213
26747	147456	24523	2013-08-04 02:20:51.392555	2013-08-04 02:20:51.392555	213
26748	147456	24568	2013-08-04 02:20:51.403394	2013-08-04 02:20:51.403394	213
26749	147456	24548	2013-08-04 02:20:51.414296	2013-08-04 02:20:51.414296	213
26750	147456	24600	2013-08-04 02:20:51.425358	2013-08-04 02:20:51.425358	213
26751	147456	24528	2013-08-04 02:20:51.435994	2013-08-04 02:20:51.435994	213
26752	147456	24508	2013-08-04 02:20:51.446814	2013-08-04 02:20:51.446814	213
26753	147456	1006	2013-08-04 02:20:51.457638	2013-08-04 02:20:51.457638	213
26754	147456	24488	2013-08-04 02:20:51.468328	2013-08-04 02:20:51.468328	213
26755	147456	24468	2013-08-04 02:20:51.47906	2013-08-04 02:20:51.47906	213
26756	147456	19121	2013-08-04 02:20:51.488657	2013-08-04 02:20:51.488657	213
26757	147456	25401	2013-08-04 02:20:51.499481	2013-08-04 02:20:51.499481	213
26758	147456	24448	2013-08-04 02:20:51.510649	2013-08-04 02:20:51.510649	213
26759	147456	24428	2013-08-04 02:20:51.517643	2013-08-04 02:20:51.517643	213
26760	147456	15496	2013-08-04 02:20:51.52351	2013-08-04 02:20:51.52351	213
26761	147456	15276	2013-08-04 02:20:51.527814	2013-08-04 02:20:51.527814	213
26762	147544	1354	2013-08-04 02:20:51.579016	2013-08-04 02:20:51.579016	213
26763	147544	1053	2013-08-04 02:20:51.591059	2013-08-04 02:20:51.591059	213
26764	147544	1032	2013-08-04 02:20:51.602572	2013-08-04 02:20:51.602572	213
26765	147544	991	2013-08-04 02:20:51.61722	2013-08-04 02:20:51.61722	213
26766	147544	5903	2013-08-04 02:20:51.626111	2013-08-04 02:20:51.626111	213
26767	147544	460	2013-08-04 02:20:51.630317	2013-08-04 02:20:51.630317	213
26768	147544	198	2013-08-04 02:20:51.634671	2013-08-04 02:20:51.634671	213
26769	147544	585	2013-08-04 02:20:51.639242	2013-08-04 02:20:51.639242	213
26770	147544	238	2013-08-04 02:20:51.644392	2013-08-04 02:20:51.644392	213
26771	147544	425	2013-08-04 02:20:51.649257	2013-08-04 02:20:51.649257	213
26772	147544	997	2013-08-04 02:20:51.653534	2013-08-04 02:20:51.653534	213
26773	147544	236	2013-08-04 02:20:51.657236	2013-08-04 02:20:51.657236	213
26774	147544	263	2013-08-04 02:20:51.662805	2013-08-04 02:20:51.662805	213
26775	147544	23361	2013-08-04 02:20:51.66881	2013-08-04 02:20:51.66881	213
26776	147544	21671	2013-08-04 02:20:51.675979	2013-08-04 02:20:51.675979	213
26777	147544	21691	2013-08-04 02:20:51.683352	2013-08-04 02:20:51.683352	213
26778	147544	310	2013-08-04 02:20:51.693938	2013-08-04 02:20:51.693938	213
26779	147544	15476	2013-08-04 02:20:51.704311	2013-08-04 02:20:51.704311	213
26780	147544	15256	2013-08-04 02:20:51.714033	2013-08-04 02:20:51.714033	213
26781	147453	655	2013-08-04 02:20:51.76311	2013-08-04 02:20:51.76311	213
26782	147453	789	2013-08-04 02:20:51.775168	2013-08-04 02:20:51.775168	213
26783	147453	1472	2013-08-04 02:20:51.782216	2013-08-04 02:20:51.782216	213
26784	147453	1451	2013-08-04 02:20:51.785791	2013-08-04 02:20:51.785791	213
26785	147453	6343	2013-08-04 02:20:51.789102	2013-08-04 02:20:51.789102	213
26786	147453	670	2013-08-04 02:20:51.792685	2013-08-04 02:20:51.792685	213
26787	147453	548	2013-08-04 02:20:51.796216	2013-08-04 02:20:51.796216	213
26788	147453	1121	2013-08-04 02:20:51.801285	2013-08-04 02:20:51.801285	213
26789	147453	676	2013-08-04 02:20:51.805444	2013-08-04 02:20:51.805444	213
26790	147453	1574	2013-08-04 02:20:51.810439	2013-08-04 02:20:51.810439	213
26791	147453	1124	2013-08-04 02:20:51.81516	2013-08-04 02:20:51.81516	213
26792	147453	1166	2013-08-04 02:20:51.823424	2013-08-04 02:20:51.823424	213
26793	147453	1230	2013-08-04 02:20:51.832825	2013-08-04 02:20:51.832825	213
26794	147453	540	2013-08-04 02:20:51.842957	2013-08-04 02:20:51.842957	213
26795	147453	604	2013-08-04 02:20:51.853167	2013-08-04 02:20:51.853167	213
26796	147453	361	2013-08-04 02:20:51.864133	2013-08-04 02:20:51.864133	213
26797	147453	1110	2013-08-04 02:20:51.875164	2013-08-04 02:20:51.875164	213
26798	147453	476	2013-08-04 02:20:51.886153	2013-08-04 02:20:51.886153	213
26799	147453	495	2013-08-04 02:20:51.897189	2013-08-04 02:20:51.897189	213
26800	147545	21983	2013-08-04 02:20:51.93211	2013-08-04 02:20:51.93211	213
26801	147545	22031	2013-08-04 02:20:51.937875	2013-08-04 02:20:51.937875	213
26802	147545	22011	2013-08-04 02:20:51.942803	2013-08-04 02:20:51.942803	213
26803	147545	22092	2013-08-04 02:20:51.946755	2013-08-04 02:20:51.946755	213
26804	147545	21266	2013-08-04 02:20:51.950678	2013-08-04 02:20:51.950678	213
26805	147545	21991	2013-08-04 02:20:51.954844	2013-08-04 02:20:51.954844	213
26806	147545	21978	2013-08-04 02:20:51.959137	2013-08-04 02:20:51.959137	213
26807	147545	21918	2013-08-04 02:20:51.967562	2013-08-04 02:20:51.967562	213
26808	147545	21971	2013-08-04 02:20:51.978342	2013-08-04 02:20:51.978342	213
26809	147545	21951	2013-08-04 02:20:51.9892	2013-08-04 02:20:51.9892	213
26810	147545	24872	2013-08-04 02:20:52.000192	2013-08-04 02:20:52.000192	213
26811	147545	21931	2013-08-04 02:20:52.009155	2013-08-04 02:20:52.009155	213
26812	147545	21911	2013-08-04 02:20:52.01293	2013-08-04 02:20:52.01293	213
26813	147545	36043	2013-08-04 02:20:52.018014	2013-08-04 02:20:52.018014	213
26814	147545	21890	2013-08-04 02:20:52.02487	2013-08-04 02:20:52.02487	213
26815	147545	21891	2013-08-04 02:20:52.032911	2013-08-04 02:20:52.032911	213
26816	147545	21871	2013-08-04 02:20:52.096002	2013-08-04 02:20:52.096002	213
26817	147545	36063	2013-08-04 02:20:52.107	2013-08-04 02:20:52.107	213
26818	147545	21851	2013-08-04 02:20:52.117926	2013-08-04 02:20:52.117926	213
26819	147457	83	2013-08-04 02:20:52.166063	2013-08-04 02:20:52.166063	213
26820	147457	194	2013-08-04 02:20:52.177274	2013-08-04 02:20:52.177274	213
26821	147457	25086	2013-08-04 02:20:52.188371	2013-08-04 02:20:52.188371	213
26822	147457	15456	2013-08-04 02:20:52.199164	2013-08-04 02:20:52.199164	213
26823	147457	15236	2013-08-04 02:20:52.210085	2013-08-04 02:20:52.210085	213
26824	147460	26641	2013-08-04 02:20:52.254555	2013-08-04 02:20:52.254555	213
26825	147460	26573	2013-08-04 02:20:52.266811	2013-08-04 02:20:52.266811	213
26826	147460	26553	2013-08-04 02:20:52.278813	2013-08-04 02:20:52.278813	213
26827	147460	26397	2013-08-04 02:20:52.288798	2013-08-04 02:20:52.288798	213
26828	147460	26415	2013-08-04 02:20:52.297743	2013-08-04 02:20:52.297743	213
26829	147460	26533	2013-08-04 02:20:52.302275	2013-08-04 02:20:52.302275	213
26830	147460	26513	2013-08-04 02:20:52.306886	2013-08-04 02:20:52.306886	213
26831	147460	26493	2013-08-04 02:20:52.311293	2013-08-04 02:20:52.311293	213
26832	147460	26473	2013-08-04 02:20:52.318093	2013-08-04 02:20:52.318093	213
26833	147460	26453	2013-08-04 02:20:52.327449	2013-08-04 02:20:52.327449	213
26834	147460	26433	2013-08-04 02:20:52.333273	2013-08-04 02:20:52.333273	213
26835	147460	37401	2013-08-04 02:20:52.340922	2013-08-04 02:20:52.340922	213
26836	147460	26413	2013-08-04 02:20:52.351975	2013-08-04 02:20:52.351975	213
26837	147460	25678	2013-08-04 02:20:52.364053	2013-08-04 02:20:52.364053	213
26838	147460	21721	2013-08-04 02:20:52.376531	2013-08-04 02:20:52.376531	213
26839	147460	21711	2013-08-04 02:20:52.388028	2013-08-04 02:20:52.388028	213
26840	147460	103	2013-08-04 02:20:52.396267	2013-08-04 02:20:52.396267	213
26841	147460	2270	2013-08-04 02:20:52.401884	2013-08-04 02:20:52.401884	213
26842	147460	15216	2013-08-04 02:20:52.409623	2013-08-04 02:20:52.409623	213
26843	147735	33797	2013-08-04 02:20:52.432777	2013-08-04 02:20:52.432777	213
26844	147735	33837	2013-08-04 02:20:52.442279	2013-08-04 02:20:52.442279	213
26845	147735	23346	2013-08-04 02:20:52.45192	2013-08-04 02:20:52.45192	213
26846	147735	23186	2013-08-04 02:20:52.462635	2013-08-04 02:20:52.462635	213
26847	147735	23226	2013-08-04 02:20:52.473087	2013-08-04 02:20:52.473087	213
26848	147735	6709	2013-08-04 02:20:52.48349	2013-08-04 02:20:52.48349	213
26849	147735	47092	2013-08-04 02:20:52.493957	2013-08-04 02:20:52.493957	213
26850	147735	6086	2013-08-04 02:20:52.500624	2013-08-04 02:20:52.500624	213
26851	147735	23126	2013-08-04 02:20:52.512587	2013-08-04 02:20:52.512587	213
26852	147735	6338	2013-08-04 02:20:52.524018	2013-08-04 02:20:52.524018	213
26853	147735	29461	2013-08-04 02:20:52.535198	2013-08-04 02:20:52.535198	213
26854	147735	33157	2013-08-04 02:20:52.546583	2013-08-04 02:20:52.546583	213
26855	147735	33215	2013-08-04 02:20:52.557549	2013-08-04 02:20:52.557549	213
26856	147735	33237	2013-08-04 02:20:52.568205	2013-08-04 02:20:52.568205	213
26857	147735	46598	2013-08-04 02:20:52.579163	2013-08-04 02:20:52.579163	213
26858	147735	23093	2013-08-04 02:20:52.59018	2013-08-04 02:20:52.59018	213
26859	147735	13041	2013-08-04 02:20:52.601176	2013-08-04 02:20:52.601176	213
26860	147735	20560	2013-08-04 02:20:52.612436	2013-08-04 02:20:52.612436	213
26861	147735	15826	2013-08-04 02:20:52.623507	2013-08-04 02:20:52.623507	213
26862	147546	36883	2013-08-04 02:20:52.692355	2013-08-04 02:20:52.692355	213
26863	147546	36877	2013-08-04 02:20:52.697434	2013-08-04 02:20:52.697434	213
26864	147546	36857	2013-08-04 02:20:52.707364	2013-08-04 02:20:52.707364	213
26865	147546	36761	2013-08-04 02:20:52.718244	2013-08-04 02:20:52.718244	213
26866	147546	36837	2013-08-04 02:20:52.729087	2013-08-04 02:20:52.729087	213
26867	147546	36817	2013-08-04 02:20:52.740063	2013-08-04 02:20:52.740063	213
26868	147546	36797	2013-08-04 02:20:52.750997	2013-08-04 02:20:52.750997	213
26869	147546	36777	2013-08-04 02:20:52.761903	2013-08-04 02:20:52.761903	213
26870	147546	36832	2013-08-04 02:20:52.772977	2013-08-04 02:20:52.772977	213
26871	147546	36757	2013-08-04 02:20:52.78392	2013-08-04 02:20:52.78392	213
26872	147546	36725	2013-08-04 02:20:52.79497	2013-08-04 02:20:52.79497	213
26873	147546	36675	2013-08-04 02:20:52.8061	2013-08-04 02:20:52.8061	213
26874	147546	36737	2013-08-04 02:20:52.816951	2013-08-04 02:20:52.816951	213
26875	147546	36717	2013-08-04 02:20:52.827708	2013-08-04 02:20:52.827708	213
26876	147546	25026	2013-08-04 02:20:52.838556	2013-08-04 02:20:52.838556	213
26877	147546	21797	2013-08-04 02:20:52.84908	2013-08-04 02:20:52.84908	213
26878	147546	21751	2013-08-04 02:20:52.8591	2013-08-04 02:20:52.8591	213
26879	147546	15286	2013-08-04 02:20:52.868911	2013-08-04 02:20:52.868911	213
26880	147546	15176	2013-08-04 02:20:52.878946	2013-08-04 02:20:52.878946	213
26881	147458	37177	2013-08-04 02:20:52.923392	2013-08-04 02:20:52.923392	213
26882	147458	37157	2013-08-04 02:20:52.935326	2013-08-04 02:20:52.935326	213
26883	147458	37137	2013-08-04 02:20:52.949325	2013-08-04 02:20:52.949325	213
26884	147458	37117	2013-08-04 02:20:52.958569	2013-08-04 02:20:52.958569	213
26885	147458	37097	2013-08-04 02:20:52.963413	2013-08-04 02:20:52.963413	213
26886	147458	37077	2013-08-04 02:20:52.968092	2013-08-04 02:20:52.968092	213
26887	147458	37057	2013-08-04 02:20:52.974416	2013-08-04 02:20:52.974416	213
26888	147458	18231	2013-08-04 02:20:52.980384	2013-08-04 02:20:52.980384	213
26889	147458	36995	2013-08-04 02:20:52.983414	2013-08-04 02:20:52.983414	213
26890	147458	36900	2013-08-04 02:20:52.986399	2013-08-04 02:20:52.986399	213
26891	147458	37037	2013-08-04 02:20:52.990193	2013-08-04 02:20:52.990193	213
26892	147458	37017	2013-08-04 02:20:52.994281	2013-08-04 02:20:52.994281	213
26893	147458	36997	2013-08-04 02:20:52.998297	2013-08-04 02:20:52.998297	213
26894	147458	37001	2013-08-04 02:20:53.001673	2013-08-04 02:20:53.001673	213
26895	147458	36977	2013-08-04 02:20:53.006445	2013-08-04 02:20:53.006445	213
26896	147458	36957	2013-08-04 02:20:53.014042	2013-08-04 02:20:53.014042	213
26897	147458	36937	2013-08-04 02:20:53.021017	2013-08-04 02:20:53.021017	213
26898	147458	36917	2013-08-04 02:20:53.029924	2013-08-04 02:20:53.029924	213
26899	147458	36897	2013-08-04 02:20:53.038311	2013-08-04 02:20:53.038311	213
26900	147548	6400	2013-08-04 02:20:53.0777	2013-08-04 02:20:53.0777	213
26901	147548	18350	2013-08-04 02:20:53.089209	2013-08-04 02:20:53.089209	213
26902	147548	18293	2013-08-04 02:20:53.100401	2013-08-04 02:20:53.100401	213
26903	147548	18239	2013-08-04 02:20:53.111328	2013-08-04 02:20:53.111328	213
26904	147548	18219	2013-08-04 02:20:53.122244	2013-08-04 02:20:53.122244	213
26905	147548	18065	2013-08-04 02:20:53.133225	2013-08-04 02:20:53.133225	213
26906	147548	18085	2013-08-04 02:20:53.144379	2013-08-04 02:20:53.144379	213
26907	147548	18199	2013-08-04 02:20:53.155365	2013-08-04 02:20:53.155365	213
26908	147548	20961	2013-08-04 02:20:53.166308	2013-08-04 02:20:53.166308	213
26909	147548	15950	2013-08-04 02:20:53.177117	2013-08-04 02:20:53.177117	213
26910	147548	18179	2013-08-04 02:20:53.188172	2013-08-04 02:20:53.188172	213
26911	147548	18159	2013-08-04 02:20:53.199339	2013-08-04 02:20:53.199339	213
26912	147548	3770	2013-08-04 02:20:53.210372	2013-08-04 02:20:53.210372	213
26913	147548	18115	2013-08-04 02:20:53.221512	2013-08-04 02:20:53.221512	213
26914	147548	18139	2013-08-04 02:20:53.231602	2013-08-04 02:20:53.231602	213
26915	147548	18119	2013-08-04 02:20:53.241668	2013-08-04 02:20:53.241668	213
26916	147548	42555	2013-08-04 02:20:53.252527	2013-08-04 02:20:53.252527	213
26917	147548	15416	2013-08-04 02:20:53.263038	2013-08-04 02:20:53.263038	213
26918	147548	15206	2013-08-04 02:20:53.272627	2013-08-04 02:20:53.272627	213
26919	147514	18519	2013-08-04 02:20:53.305921	2013-08-04 02:20:53.305921	213
26920	147514	18451	2013-08-04 02:20:53.309928	2013-08-04 02:20:53.309928	213
26921	147514	18499	2013-08-04 02:20:53.313486	2013-08-04 02:20:53.313486	213
26922	147514	18479	2013-08-04 02:20:53.317657	2013-08-04 02:20:53.317657	213
26923	147514	18340	2013-08-04 02:20:53.32373	2013-08-04 02:20:53.32373	213
26924	147514	18459	2013-08-04 02:20:53.32925	2013-08-04 02:20:53.32925	213
26925	147514	18439	2013-08-04 02:20:53.334485	2013-08-04 02:20:53.334485	213
26926	147514	18419	2013-08-04 02:20:53.339258	2013-08-04 02:20:53.339258	213
26927	147514	18399	2013-08-04 02:20:53.343224	2013-08-04 02:20:53.343224	213
26928	147514	18379	2013-08-04 02:20:53.347076	2013-08-04 02:20:53.347076	213
26929	147514	36415	2013-08-04 02:20:53.351062	2013-08-04 02:20:53.351062	213
26930	147514	18360	2013-08-04 02:20:53.355255	2013-08-04 02:20:53.355255	213
26931	147514	34501	2013-08-04 02:20:53.359252	2013-08-04 02:20:53.359252	213
26932	147514	18359	2013-08-04 02:20:53.368684	2013-08-04 02:20:53.368684	213
26933	147514	18339	2013-08-04 02:20:53.37804	2013-08-04 02:20:53.37804	213
26934	147514	18319	2013-08-04 02:20:53.389229	2013-08-04 02:20:53.389229	213
26935	147514	18299	2013-08-04 02:20:53.400256	2013-08-04 02:20:53.400256	213
26936	147514	18279	2013-08-04 02:20:53.412017	2013-08-04 02:20:53.412017	213
26937	147514	18259	2013-08-04 02:20:53.424053	2013-08-04 02:20:53.424053	213
26938	147459	15498	2013-08-04 02:20:53.461705	2013-08-04 02:20:53.461705	213
26939	148589	255	2013-08-04 02:25:48.277856	2013-08-04 02:25:48.277856	214
26940	148344	437	2013-08-04 02:25:48.285605	2013-08-04 02:25:48.285605	214
26941	148318	743	2013-08-04 02:25:48.294438	2013-08-04 02:25:48.294438	214
26942	148262	358	2013-08-04 02:25:48.307553	2013-08-04 02:25:48.307553	214
26943	148238	1177	2013-08-04 02:25:48.317462	2013-08-04 02:25:48.317462	214
26944	148203	376	2013-08-04 02:25:48.328387	2013-08-04 02:25:48.328387	214
26945	148176	395	2013-08-04 02:25:48.337963	2013-08-04 02:25:48.337963	214
26946	148174	1170	2013-08-04 02:25:48.345818	2013-08-04 02:25:48.345818	214
26947	148163	884	2013-08-04 02:25:48.354447	2013-08-04 02:25:48.354447	214
26948	148115	886	2013-08-04 02:25:48.364096	2013-08-04 02:25:48.364096	214
26949	148094	22	2013-08-04 02:25:48.373906	2013-08-04 02:25:48.373906	214
26950	148091	337	2013-08-04 02:25:48.38364	2013-08-04 02:25:48.38364	214
26951	148088	5843	2013-08-04 02:25:48.393504	2013-08-04 02:25:48.393504	214
26952	148076	15736	2013-08-04 02:25:48.402651	2013-08-04 02:25:48.402651	214
26953	148617	22231	2013-08-04 02:25:48.630305	2013-08-04 02:25:48.630305	214
26954	148617	46743	2013-08-04 02:25:48.641739	2013-08-04 02:25:48.641739	214
26955	148590	22211	2013-08-04 02:25:48.664342	2013-08-04 02:25:48.664342	214
26956	148590	22191	2013-08-04 02:25:48.676275	2013-08-04 02:25:48.676275	214
26957	148288	22203	2013-08-04 02:25:48.698909	2013-08-04 02:25:48.698909	214
26958	148288	22171	2013-08-04 02:25:48.710016	2013-08-04 02:25:48.710016	214
26959	148265	22292	2013-08-04 02:25:48.732472	2013-08-04 02:25:48.732472	214
26960	148265	22151	2013-08-04 02:25:48.74371	2013-08-04 02:25:48.74371	214
26961	148241	22005	2013-08-04 02:25:48.766508	2013-08-04 02:25:48.766508	214
26962	148241	22131	2013-08-04 02:25:48.778449	2013-08-04 02:25:48.778449	214
26963	148239	22010	2013-08-04 02:25:48.801631	2013-08-04 02:25:48.801631	214
26964	148239	22111	2013-08-04 02:25:48.813595	2013-08-04 02:25:48.813595	214
26965	148169	22025	2013-08-04 02:25:48.83611	2013-08-04 02:25:48.83611	214
26966	148169	22091	2013-08-04 02:25:48.847875	2013-08-04 02:25:48.847875	214
26967	148133	22071	2013-08-04 02:25:48.871018	2013-08-04 02:25:48.871018	214
26968	148133	22051	2013-08-04 02:25:48.882151	2013-08-04 02:25:48.882151	214
26969	148092	22081	2013-08-04 02:25:48.904327	2013-08-04 02:25:48.904327	214
26970	148092	15620	2013-08-04 02:25:48.915432	2013-08-04 02:25:48.915432	214
26971	148083	1041	2013-08-04 02:25:49.282806	2013-08-04 02:25:49.282806	214
26972	148083	358	2013-08-04 02:25:49.293401	2013-08-04 02:25:49.293401	214
26973	148083	22151	2013-08-04 02:25:49.303346	2013-08-04 02:25:49.303346	214
26974	148083	22292	2013-08-04 02:25:49.313689	2013-08-04 02:25:49.313689	214
26975	148083	15716	2013-08-04 02:25:49.323861	2013-08-04 02:25:49.323861	214
26976	148112	33215	2013-08-04 02:25:49.355133	2013-08-04 02:25:49.355133	214
26977	148112	33157	2013-08-04 02:25:49.36377	2013-08-04 02:25:49.36377	214
26978	148112	29461	2013-08-04 02:25:49.372052	2013-08-04 02:25:49.372052	214
26979	148112	20560	2013-08-04 02:25:49.380842	2013-08-04 02:25:49.380842	214
26980	148112	13041	2013-08-04 02:25:49.38955	2013-08-04 02:25:49.38955	214
26981	148112	15826	2013-08-04 02:25:49.394196	2013-08-04 02:25:49.394196	214
26982	148112	11811	2013-08-04 02:25:49.397243	2013-08-04 02:25:49.397243	214
26983	148112	22786	2013-08-04 02:25:49.400138	2013-08-04 02:25:49.400138	214
26984	148112	22806	2013-08-04 02:25:49.402887	2013-08-04 02:25:49.402887	214
26985	148112	47643	2013-08-04 02:25:49.4059	2013-08-04 02:25:49.4059	214
26986	148112	19603	2013-08-04 02:25:49.412112	2013-08-04 02:25:49.412112	214
26987	148112	839	2013-08-04 02:25:49.420484	2013-08-04 02:25:49.420484	214
26988	148112	22686	2013-08-04 02:25:49.428782	2013-08-04 02:25:49.428782	214
26989	148112	38810	2013-08-04 02:25:49.436996	2013-08-04 02:25:49.436996	214
26990	148112	22586	2013-08-04 02:25:49.445203	2013-08-04 02:25:49.445203	214
26991	148112	32837	2013-08-04 02:25:49.453404	2013-08-04 02:25:49.453404	214
26992	148112	25021	2013-08-04 02:25:49.461432	2013-08-04 02:25:49.461432	214
26993	148112	759	2013-08-04 02:25:49.469807	2013-08-04 02:25:49.469807	214
26994	148112	22366	2013-08-04 02:25:49.47814	2013-08-04 02:25:49.47814	214
26995	148113	33440	2013-08-04 02:25:49.555111	2013-08-04 02:25:49.555111	214
26996	148113	25886	2013-08-04 02:25:49.566996	2013-08-04 02:25:49.566996	214
26997	148113	25752	2013-08-04 02:25:49.5781	2013-08-04 02:25:49.5781	214
26998	148113	26250	2013-08-04 02:25:49.589186	2013-08-04 02:25:49.589186	214
26999	148113	25866	2013-08-04 02:25:49.600096	2013-08-04 02:25:49.600096	214
27000	148113	25846	2013-08-04 02:25:49.610731	2013-08-04 02:25:49.610731	214
27001	148113	25826	2013-08-04 02:25:49.621281	2013-08-04 02:25:49.621281	214
27002	148113	25806	2013-08-04 02:25:49.631681	2013-08-04 02:25:49.631681	214
27003	148113	25881	2013-08-04 02:25:49.641974	2013-08-04 02:25:49.641974	214
27004	148113	25786	2013-08-04 02:25:49.652754	2013-08-04 02:25:49.652754	214
27005	148113	25766	2013-08-04 02:25:49.662753	2013-08-04 02:25:49.662753	214
27006	148113	25695	2013-08-04 02:25:49.672626	2013-08-04 02:25:49.672626	214
27007	148113	25746	2013-08-04 02:25:49.683623	2013-08-04 02:25:49.683623	214
27008	148113	25726	2013-08-04 02:25:49.694548	2013-08-04 02:25:49.694548	214
27009	148113	25706	2013-08-04 02:25:49.705535	2013-08-04 02:25:49.705535	214
27010	148113	25686	2013-08-04 02:25:49.716591	2013-08-04 02:25:49.716591	214
27011	148113	22171	2013-08-04 02:25:49.727968	2013-08-04 02:25:49.727968	214
27012	148113	22203	2013-08-04 02:25:49.738051	2013-08-04 02:25:49.738051	214
27013	148113	15671	2013-08-04 02:25:49.748103	2013-08-04 02:25:49.748103	214
27014	148114	1740	2013-08-04 02:25:49.783033	2013-08-04 02:25:49.783033	214
27015	148114	1760	2013-08-04 02:25:49.795355	2013-08-04 02:25:49.795355	214
27016	148114	1779	2013-08-04 02:25:49.806292	2013-08-04 02:25:49.806292	214
27017	148114	23997	2013-08-04 02:25:49.817271	2013-08-04 02:25:49.817271	214
27018	148114	10655	2013-08-04 02:25:49.82849	2013-08-04 02:25:49.82849	214
27019	148114	10575	2013-08-04 02:25:49.839539	2013-08-04 02:25:49.839539	214
27020	148114	1831	2013-08-04 02:25:49.850487	2013-08-04 02:25:49.850487	214
27021	148114	11031	2013-08-04 02:25:49.860574	2013-08-04 02:25:49.860574	214
27022	148114	1784	2013-08-04 02:25:49.872013	2013-08-04 02:25:49.872013	214
27023	148114	10155	2013-08-04 02:25:49.883196	2013-08-04 02:25:49.883196	214
27024	148114	15588	2013-08-04 02:25:49.894318	2013-08-04 02:25:49.894318	214
27025	148114	1748	2013-08-04 02:25:49.904914	2013-08-04 02:25:49.904914	214
27026	148114	10615	2013-08-04 02:25:49.915019	2013-08-04 02:25:49.915019	214
27027	148114	6866	2013-08-04 02:25:49.925122	2013-08-04 02:25:49.925122	214
27028	148114	1805	2013-08-04 02:25:49.935973	2013-08-04 02:25:49.935973	214
27029	148114	38383	2013-08-04 02:25:49.946542	2013-08-04 02:25:49.946542	214
27030	148114	10635	2013-08-04 02:25:49.95689	2013-08-04 02:25:49.95689	214
27031	148114	1834	2013-08-04 02:25:49.96738	2013-08-04 02:25:49.96738	214
27032	148114	15808	2013-08-04 02:25:49.980152	2013-08-04 02:25:49.980152	214
27033	148084	24848	2013-08-04 02:25:50.010988	2013-08-04 02:25:50.010988	214
27034	148084	24828	2013-08-04 02:25:50.014676	2013-08-04 02:25:50.014676	214
27035	148084	24918	2013-08-04 02:25:50.01796	2013-08-04 02:25:50.01796	214
27036	148084	24808	2013-08-04 02:25:50.021355	2013-08-04 02:25:50.021355	214
27037	148084	24755	2013-08-04 02:25:50.024789	2013-08-04 02:25:50.024789	214
27038	148084	24788	2013-08-04 02:25:50.028778	2013-08-04 02:25:50.028778	214
27039	148084	13143	2013-08-04 02:25:50.034258	2013-08-04 02:25:50.034258	214
27040	148084	37083	2013-08-04 02:25:50.039729	2013-08-04 02:25:50.039729	214
27041	148084	24768	2013-08-04 02:25:50.044072	2013-08-04 02:25:50.044072	214
27042	148084	24721	2013-08-04 02:25:50.049694	2013-08-04 02:25:50.049694	214
27043	148084	24748	2013-08-04 02:25:50.054407	2013-08-04 02:25:50.054407	214
27044	148084	47243	2013-08-04 02:25:50.05844	2013-08-04 02:25:50.05844	214
27045	148084	24728	2013-08-04 02:25:50.063222	2013-08-04 02:25:50.063222	214
27046	148084	24708	2013-08-04 02:25:50.068733	2013-08-04 02:25:50.068733	214
27047	148084	24688	2013-08-04 02:25:50.075694	2013-08-04 02:25:50.075694	214
27048	148084	24668	2013-08-04 02:25:50.086127	2013-08-04 02:25:50.086127	214
27049	148084	24598	2013-08-04 02:25:50.096624	2013-08-04 02:25:50.096624	214
27050	148084	24648	2013-08-04 02:25:50.107524	2013-08-04 02:25:50.107524	214
27051	148084	15691	2013-08-04 02:25:50.118519	2013-08-04 02:25:50.118519	214
27052	148116	2490	2013-08-04 02:25:50.172676	2013-08-04 02:25:50.172676	214
27053	148116	882	2013-08-04 02:25:50.179104	2013-08-04 02:25:50.179104	214
27054	148116	1188	2013-08-04 02:25:50.18492	2013-08-04 02:25:50.18492	214
27055	148116	1289	2013-08-04 02:25:50.189452	2013-08-04 02:25:50.189452	214
27056	148116	1276	2013-08-04 02:25:50.195572	2013-08-04 02:25:50.195572	214
27057	148116	1546	2013-08-04 02:25:50.202009	2013-08-04 02:25:50.202009	214
27058	148116	2061	2013-08-04 02:25:50.206486	2013-08-04 02:25:50.206486	214
27059	148116	1500	2013-08-04 02:25:50.210377	2013-08-04 02:25:50.210377	214
27060	148116	2053	2013-08-04 02:25:50.217423	2013-08-04 02:25:50.217423	214
27061	148116	2051	2013-08-04 02:25:50.225418	2013-08-04 02:25:50.225418	214
27062	148116	2153	2013-08-04 02:25:50.236146	2013-08-04 02:25:50.236146	214
27063	148116	2324	2013-08-04 02:25:50.247091	2013-08-04 02:25:50.247091	214
27064	148116	1119	2013-08-04 02:25:50.25797	2013-08-04 02:25:50.25797	214
27065	148116	6923	2013-08-04 02:25:50.2688	2013-08-04 02:25:50.2688	214
27066	148116	621	2013-08-04 02:25:50.279694	2013-08-04 02:25:50.279694	214
27067	148116	437	2013-08-04 02:25:50.290618	2013-08-04 02:25:50.290618	214
27068	148116	46743	2013-08-04 02:25:50.300616	2013-08-04 02:25:50.300616	214
27069	148116	22231	2013-08-04 02:25:50.310801	2013-08-04 02:25:50.310801	214
27070	148116	15676	2013-08-04 02:25:50.320852	2013-08-04 02:25:50.320852	214
27071	148082	23208	2013-08-04 02:25:50.368285	2013-08-04 02:25:50.368285	214
27072	148082	13375	2013-08-04 02:25:50.379205	2013-08-04 02:25:50.379205	214
27073	148082	5986	2013-08-04 02:25:50.3903	2013-08-04 02:25:50.3903	214
27074	148082	8311	2013-08-04 02:25:50.401031	2013-08-04 02:25:50.401031	214
27075	148082	16645	2013-08-04 02:25:50.411014	2013-08-04 02:25:50.411014	214
27076	148082	7291	2013-08-04 02:25:50.415959	2013-08-04 02:25:50.415959	214
27077	148082	5097	2013-08-04 02:25:50.42217	2013-08-04 02:25:50.42217	214
27078	148082	18660	2013-08-04 02:25:50.426863	2013-08-04 02:25:50.426863	214
27079	148082	3709	2013-08-04 02:25:50.431124	2013-08-04 02:25:50.431124	214
27080	148082	12581	2013-08-04 02:25:50.435534	2013-08-04 02:25:50.435534	214
27081	148082	1759	2013-08-04 02:25:50.439685	2013-08-04 02:25:50.439685	214
27082	148082	1260	2013-08-04 02:25:50.444084	2013-08-04 02:25:50.444084	214
27083	148082	1619	2013-08-04 02:25:50.447839	2013-08-04 02:25:50.447839	214
27084	148082	1456	2013-08-04 02:25:50.451628	2013-08-04 02:25:50.451628	214
27085	148082	1724	2013-08-04 02:25:50.455252	2013-08-04 02:25:50.455252	214
27086	148082	2273	2013-08-04 02:25:50.458628	2013-08-04 02:25:50.458628	214
27087	148082	2512	2013-08-04 02:25:50.465348	2013-08-04 02:25:50.465348	214
27088	148082	1669	2013-08-04 02:25:50.475821	2013-08-04 02:25:50.475821	214
27089	148082	666	2013-08-04 02:25:50.48615	2013-08-04 02:25:50.48615	214
27090	148117	22305	2013-08-04 02:25:50.522342	2013-08-04 02:25:50.522342	214
27091	148117	22451	2013-08-04 02:25:50.534295	2013-08-04 02:25:50.534295	214
27092	148117	24638	2013-08-04 02:25:50.54689	2013-08-04 02:25:50.54689	214
27093	148117	22431	2013-08-04 02:25:50.558536	2013-08-04 02:25:50.558536	214
27094	148117	22446	2013-08-04 02:25:50.569312	2013-08-04 02:25:50.569312	214
27095	148117	22411	2013-08-04 02:25:50.579547	2013-08-04 02:25:50.579547	214
27096	148117	22391	2013-08-04 02:25:50.590602	2013-08-04 02:25:50.590602	214
27097	148117	22371	2013-08-04 02:25:50.601615	2013-08-04 02:25:50.601615	214
27098	148117	22370	2013-08-04 02:25:50.613084	2013-08-04 02:25:50.613084	214
27099	148117	22351	2013-08-04 02:25:50.624653	2013-08-04 02:25:50.624653	214
27100	148117	22331	2013-08-04 02:25:50.630621	2013-08-04 02:25:50.630621	214
27101	148117	22311	2013-08-04 02:25:50.638994	2013-08-04 02:25:50.638994	214
27102	148117	22260	2013-08-04 02:25:50.643138	2013-08-04 02:25:50.643138	214
27103	148117	22200	2013-08-04 02:25:50.646609	2013-08-04 02:25:50.646609	214
27104	148117	22220	2013-08-04 02:25:50.649933	2013-08-04 02:25:50.649933	214
27105	148117	22291	2013-08-04 02:25:50.654257	2013-08-04 02:25:50.654257	214
27106	148117	22271	2013-08-04 02:25:50.659516	2013-08-04 02:25:50.659516	214
27107	148117	20578	2013-08-04 02:25:50.670106	2013-08-04 02:25:50.670106	214
27108	148117	4666	2013-08-04 02:25:50.681152	2013-08-04 02:25:50.681152	214
27109	148099	15656	2013-08-04 02:25:50.733973	2013-08-04 02:25:50.733973	214
27110	148103	26833	2013-08-04 02:25:50.77719	2013-08-04 02:25:50.77719	214
27111	148103	26813	2013-08-04 02:25:50.789104	2013-08-04 02:25:50.789104	214
27112	148103	26793	2013-08-04 02:25:50.800318	2013-08-04 02:25:50.800318	214
27113	148103	26773	2013-08-04 02:25:50.81209	2013-08-04 02:25:50.81209	214
27114	148103	26753	2013-08-04 02:25:50.82326	2013-08-04 02:25:50.82326	214
27115	148103	26733	2013-08-04 02:25:50.887435	2013-08-04 02:25:50.887435	214
27116	148103	10500	2013-08-04 02:25:50.898917	2013-08-04 02:25:50.898917	214
27117	148103	26713	2013-08-04 02:25:50.904891	2013-08-04 02:25:50.904891	214
27118	148103	13039	2013-08-04 02:25:50.910348	2013-08-04 02:25:50.910348	214
27119	148103	26693	2013-08-04 02:25:50.91531	2013-08-04 02:25:50.91531	214
27120	148103	33478	2013-08-04 02:25:50.920791	2013-08-04 02:25:50.920791	214
27121	148103	26673	2013-08-04 02:25:50.926495	2013-08-04 02:25:50.926495	214
27122	148103	26653	2013-08-04 02:25:50.934031	2013-08-04 02:25:50.934031	214
27123	148103	26633	2013-08-04 02:25:50.943932	2013-08-04 02:25:50.943932	214
27124	148103	26613	2013-08-04 02:25:50.954964	2013-08-04 02:25:50.954964	214
27125	148103	26593	2013-08-04 02:25:50.965936	2013-08-04 02:25:50.965936	214
27126	148103	22091	2013-08-04 02:25:50.976863	2013-08-04 02:25:50.976863	214
27127	148103	22025	2013-08-04 02:25:50.987165	2013-08-04 02:25:50.987165	214
27128	148103	5226	2013-08-04 02:25:50.997265	2013-08-04 02:25:50.997265	214
27129	148118	2574	2013-08-04 02:25:51.030472	2013-08-04 02:25:51.030472	214
27130	148118	202	2013-08-04 02:25:51.041897	2013-08-04 02:25:51.041897	214
27131	148118	11055	2013-08-04 02:25:51.053633	2013-08-04 02:25:51.053633	214
27132	148118	21441	2013-08-04 02:25:51.064687	2013-08-04 02:25:51.064687	214
27133	148118	49975	2013-08-04 02:25:51.071462	2013-08-04 02:25:51.071462	214
27134	148118	21417	2013-08-04 02:25:51.080311	2013-08-04 02:25:51.080311	214
27135	148118	1660	2013-08-04 02:25:51.085547	2013-08-04 02:25:51.085547	214
27136	148118	2245	2013-08-04 02:25:51.090279	2013-08-04 02:25:51.090279	214
27137	148118	2240	2013-08-04 02:25:51.094896	2013-08-04 02:25:51.094896	214
27138	148118	2055	2013-08-04 02:25:51.100181	2013-08-04 02:25:51.100181	214
27139	148118	10898	2013-08-04 02:25:51.105952	2013-08-04 02:25:51.105952	214
27140	148118	1974	2013-08-04 02:25:51.112691	2013-08-04 02:25:51.112691	214
27141	148118	2130	2013-08-04 02:25:51.119542	2013-08-04 02:25:51.119542	214
27142	148118	21381	2013-08-04 02:25:51.128944	2013-08-04 02:25:51.128944	214
27143	148118	2105	2013-08-04 02:25:51.138853	2013-08-04 02:25:51.138853	214
27144	148118	1886	2013-08-04 02:25:51.148985	2013-08-04 02:25:51.148985	214
27145	148118	23533	2013-08-04 02:25:51.159576	2013-08-04 02:25:51.159576	214
27146	148118	23433	2013-08-04 02:25:51.169735	2013-08-04 02:25:51.169735	214
27147	148118	23453	2013-08-04 02:25:51.180392	2013-08-04 02:25:51.180392	214
27148	148119	37417	2013-08-04 02:25:51.283452	2013-08-04 02:25:51.283452	214
27149	148119	37397	2013-08-04 02:25:51.290884	2013-08-04 02:25:51.290884	214
27150	148119	37377	2013-08-04 02:25:51.294976	2013-08-04 02:25:51.294976	214
27151	148119	37235	2013-08-04 02:25:51.298654	2013-08-04 02:25:51.298654	214
27152	148119	37357	2013-08-04 02:25:51.302408	2013-08-04 02:25:51.302408	214
27153	148119	37337	2013-08-04 02:25:51.306422	2013-08-04 02:25:51.306422	214
27154	148119	37317	2013-08-04 02:25:51.310813	2013-08-04 02:25:51.310813	214
27155	148119	37297	2013-08-04 02:25:51.315434	2013-08-04 02:25:51.315434	214
27156	148119	37277	2013-08-04 02:25:51.319427	2013-08-04 02:25:51.319427	214
27157	148119	37257	2013-08-04 02:25:51.324345	2013-08-04 02:25:51.324345	214
27158	148119	37237	2013-08-04 02:25:51.328699	2013-08-04 02:25:51.328699	214
27159	148119	37217	2013-08-04 02:25:51.333519	2013-08-04 02:25:51.333519	214
27160	148119	37152	2013-08-04 02:25:51.337242	2013-08-04 02:25:51.337242	214
27161	148119	37105	2013-08-04 02:25:51.341025	2013-08-04 02:25:51.341025	214
27162	148119	37075	2013-08-04 02:25:51.345538	2013-08-04 02:25:51.345538	214
27163	148119	37197	2013-08-04 02:25:51.352559	2013-08-04 02:25:51.352559	214
27164	148119	22111	2013-08-04 02:25:51.357426	2013-08-04 02:25:51.357426	214
27165	148119	22010	2013-08-04 02:25:51.362291	2013-08-04 02:25:51.362291	214
27166	148119	15596	2013-08-04 02:25:51.369131	2013-08-04 02:25:51.369131	214
27167	148101	37560	2013-08-04 02:25:51.386188	2013-08-04 02:25:51.386188	214
27168	148101	37575	2013-08-04 02:25:51.390751	2013-08-04 02:25:51.390751	214
27169	148101	37677	2013-08-04 02:25:51.394965	2013-08-04 02:25:51.394965	214
27170	148101	37657	2013-08-04 02:25:51.399601	2013-08-04 02:25:51.399601	214
27171	148101	37637	2013-08-04 02:25:51.404494	2013-08-04 02:25:51.404494	214
27172	148101	37617	2013-08-04 02:25:51.409262	2013-08-04 02:25:51.409262	214
27173	148101	37597	2013-08-04 02:25:51.413235	2013-08-04 02:25:51.413235	214
27174	148101	37577	2013-08-04 02:25:51.417564	2013-08-04 02:25:51.417564	214
27175	148101	37592	2013-08-04 02:25:51.421596	2013-08-04 02:25:51.421596	214
27176	148101	37557	2013-08-04 02:25:51.425528	2013-08-04 02:25:51.425528	214
27177	148101	37537	2013-08-04 02:25:51.430026	2013-08-04 02:25:51.430026	214
27178	148101	18651	2013-08-04 02:25:51.434842	2013-08-04 02:25:51.434842	214
27179	148101	37517	2013-08-04 02:25:51.439414	2013-08-04 02:25:51.439414	214
27180	148101	37497	2013-08-04 02:25:51.444078	2013-08-04 02:25:51.444078	214
27181	148101	37461	2013-08-04 02:25:51.44882	2013-08-04 02:25:51.44882	214
27182	148101	37477	2013-08-04 02:25:51.454592	2013-08-04 02:25:51.454592	214
27183	148101	37457	2013-08-04 02:25:51.458909	2013-08-04 02:25:51.458909	214
27184	148101	37437	2013-08-04 02:25:51.464025	2013-08-04 02:25:51.464025	214
27185	148101	37398	2013-08-04 02:25:51.468858	2013-08-04 02:25:51.468858	214
27186	148120	17940	2013-08-04 02:25:51.486869	2013-08-04 02:25:51.486869	214
27187	148120	18679	2013-08-04 02:25:51.492177	2013-08-04 02:25:51.492177	214
27188	148120	5801	2013-08-04 02:25:51.499345	2013-08-04 02:25:51.499345	214
27189	148120	18659	2013-08-04 02:25:51.510244	2013-08-04 02:25:51.510244	214
27190	148120	18550	2013-08-04 02:25:51.521712	2013-08-04 02:25:51.521712	214
27191	148120	47003	2013-08-04 02:25:51.532924	2013-08-04 02:25:51.532924	214
27192	148120	18639	2013-08-04 02:25:51.545126	2013-08-04 02:25:51.545126	214
27193	148120	18619	2013-08-04 02:25:51.556063	2013-08-04 02:25:51.556063	214
27194	148120	18599	2013-08-04 02:25:51.568167	2013-08-04 02:25:51.568167	214
27195	148120	18657	2013-08-04 02:25:51.579215	2013-08-04 02:25:51.579215	214
27196	148120	18579	2013-08-04 02:25:51.590468	2013-08-04 02:25:51.590468	214
27197	148120	18677	2013-08-04 02:25:51.601564	2013-08-04 02:25:51.601564	214
27198	148120	18559	2013-08-04 02:25:51.613151	2013-08-04 02:25:51.613151	214
27199	148120	1647	2013-08-04 02:25:51.625237	2013-08-04 02:25:51.625237	214
27200	148120	18539	2013-08-04 02:25:51.636696	2013-08-04 02:25:51.636696	214
27201	148120	18492	2013-08-04 02:25:51.647627	2013-08-04 02:25:51.647627	214
27202	148120	8519	2013-08-04 02:25:51.659315	2013-08-04 02:25:51.659315	214
27203	148120	886	2013-08-04 02:25:51.670986	2013-08-04 02:25:51.670986	214
27204	148120	43723	2013-08-04 02:25:51.681647	2013-08-04 02:25:51.681647	214
27205	148100	18857	2013-08-04 02:25:51.725062	2013-08-04 02:25:51.725062	214
27206	148100	18731	2013-08-04 02:25:51.736471	2013-08-04 02:25:51.736471	214
27207	148100	18745	2013-08-04 02:25:51.747395	2013-08-04 02:25:51.747395	214
27208	148100	12060	2013-08-04 02:25:51.75831	2013-08-04 02:25:51.75831	214
27209	148100	11981	2013-08-04 02:25:51.769141	2013-08-04 02:25:51.769141	214
27210	148100	18839	2013-08-04 02:25:51.779804	2013-08-04 02:25:51.779804	214
27211	148100	18819	2013-08-04 02:25:51.790507	2013-08-04 02:25:51.790507	214
27212	148100	24281	2013-08-04 02:25:51.801407	2013-08-04 02:25:51.801407	214
27213	148100	34975	2013-08-04 02:25:51.812314	2013-08-04 02:25:51.812314	214
27214	148100	18799	2013-08-04 02:25:51.823531	2013-08-04 02:25:51.823531	214
27215	148100	18779	2013-08-04 02:25:51.834505	2013-08-04 02:25:51.834505	214
27216	148100	18759	2013-08-04 02:25:51.84539	2013-08-04 02:25:51.84539	214
27217	148100	18739	2013-08-04 02:25:51.856312	2013-08-04 02:25:51.856312	214
27218	148100	11557	2013-08-04 02:25:51.86721	2013-08-04 02:25:51.86721	214
27219	148100	18719	2013-08-04 02:25:51.878313	2013-08-04 02:25:51.878313	214
27220	148100	11961	2013-08-04 02:25:51.889169	2013-08-04 02:25:51.889169	214
27221	148100	18699	2013-08-04 02:25:51.900008	2013-08-04 02:25:51.900008	214
27222	148100	18623	2013-08-04 02:25:51.910734	2013-08-04 02:25:51.910734	214
27223	148100	18611	2013-08-04 02:25:51.921571	2013-08-04 02:25:51.921571	214
27224	149278	919	2013-08-04 02:30:50.300247	2013-08-04 02:30:50.300247	215
27225	149079	598	2013-08-04 02:30:50.325841	2013-08-04 02:30:50.325841	215
27226	149059	350	2013-08-04 02:30:50.349659	2013-08-04 02:30:50.349659	215
27227	149031	3410	2013-08-04 02:30:50.37307	2013-08-04 02:30:50.37307	215
27228	149025	415	2013-08-04 02:30:50.396202	2013-08-04 02:30:50.396202	215
27229	149022	1417	2013-08-04 02:30:50.419021	2013-08-04 02:30:50.419021	215
27230	148975	546	2013-08-04 02:30:50.443364	2013-08-04 02:30:50.443364	215
27231	148973	566	2013-08-04 02:30:50.467535	2013-08-04 02:30:50.467535	215
27232	148964	1514	2013-08-04 02:30:50.49183	2013-08-04 02:30:50.49183	215
27233	148962	26126	2013-08-04 02:30:50.516817	2013-08-04 02:30:50.516817	215
27234	148941	4584	2013-08-04 02:30:50.539543	2013-08-04 02:30:50.539543	215
27235	148929	9738	2013-08-04 02:30:50.562062	2013-08-04 02:30:50.562062	215
27236	148926	23588	2013-08-04 02:30:50.584632	2013-08-04 02:30:50.584632	215
27237	148915	33215	2013-08-04 02:30:50.607256	2013-08-04 02:30:50.607256	215
27238	149277	22671	2013-08-04 02:30:50.883183	2013-08-04 02:30:50.883183	215
27239	149277	22651	2013-08-04 02:30:50.890737	2013-08-04 02:30:50.890737	215
27240	149248	22631	2013-08-04 02:30:50.905933	2013-08-04 02:30:50.905933	215
27241	149248	22611	2013-08-04 02:30:50.916085	2013-08-04 02:30:50.916085	215
27242	149080	22498	2013-08-04 02:30:50.931324	2013-08-04 02:30:50.931324	215
27243	149080	22591	2013-08-04 02:30:50.937788	2013-08-04 02:30:50.937788	215
27244	149008	22571	2013-08-04 02:30:50.956346	2013-08-04 02:30:50.956346	215
27245	149008	22551	2013-08-04 02:30:50.968435	2013-08-04 02:30:50.968435	215
27246	148985	22531	2013-08-04 02:30:50.989589	2013-08-04 02:30:50.989589	215
27247	148985	22523	2013-08-04 02:30:51.001037	2013-08-04 02:30:51.001037	215
27248	148970	22511	2013-08-04 02:30:51.023997	2013-08-04 02:30:51.023997	215
27249	148970	22491	2013-08-04 02:30:51.036176	2013-08-04 02:30:51.036176	215
27250	148927	22471	2013-08-04 02:30:51.059478	2013-08-04 02:30:51.059478	215
27251	148927	43675	2013-08-04 02:30:51.071076	2013-08-04 02:30:51.071076	215
27252	148916	15836	2013-08-04 02:30:51.092776	2013-08-04 02:30:51.092776	215
27253	148916	47643	2013-08-04 02:30:51.103109	2013-08-04 02:30:51.103109	215
27254	149010	919	2013-08-04 02:30:51.39674	2013-08-04 02:30:51.39674	215
27255	149010	26086	2013-08-04 02:30:51.407032	2013-08-04 02:30:51.407032	215
27256	149010	22651	2013-08-04 02:30:51.416926	2013-08-04 02:30:51.416926	215
27257	149010	22671	2013-08-04 02:30:51.427181	2013-08-04 02:30:51.427181	215
27258	149010	2424	2013-08-04 02:30:51.437341	2013-08-04 02:30:51.437341	215
27259	149010	15939	2013-08-04 02:30:51.500718	2013-08-04 02:30:51.500718	215
27260	149010	22475	2013-08-04 02:30:51.510154	2013-08-04 02:30:51.510154	215
27261	149010	29461	2013-08-04 02:30:51.514851	2013-08-04 02:30:51.514851	215
27262	149046	43255	2013-08-04 02:30:51.536398	2013-08-04 02:30:51.536398	215
27263	149046	23330	2013-08-04 02:30:51.540524	2013-08-04 02:30:51.540524	215
27264	149046	33377	2013-08-04 02:30:51.543661	2013-08-04 02:30:51.543661	215
27265	149046	33697	2013-08-04 02:30:51.54671	2013-08-04 02:30:51.54671	215
27266	149046	47092	2013-08-04 02:30:51.551678	2013-08-04 02:30:51.551678	215
27267	149046	6709	2013-08-04 02:30:51.557947	2013-08-04 02:30:51.557947	215
27268	149046	15980	2013-08-04 02:30:51.564039	2013-08-04 02:30:51.564039	215
27269	149046	6338	2013-08-04 02:30:51.568327	2013-08-04 02:30:51.568327	215
27270	149046	23126	2013-08-04 02:30:51.571409	2013-08-04 02:30:51.571409	215
27271	149046	6086	2013-08-04 02:30:51.574321	2013-08-04 02:30:51.574321	215
27272	149046	28643	2013-08-04 02:30:51.57703	2013-08-04 02:30:51.57703	215
27273	149046	23335	2013-08-04 02:30:51.57956	2013-08-04 02:30:51.57956	215
27274	149046	41910	2013-08-04 02:30:51.582109	2013-08-04 02:30:51.582109	215
27275	149046	21655	2013-08-04 02:30:51.584631	2013-08-04 02:30:51.584631	215
27276	149046	13841	2013-08-04 02:30:51.587155	2013-08-04 02:30:51.587155	215
27277	149046	48815	2013-08-04 02:30:51.590265	2013-08-04 02:30:51.590265	215
27278	149046	23093	2013-08-04 02:30:51.595372	2013-08-04 02:30:51.595372	215
27279	149046	46598	2013-08-04 02:30:51.599337	2013-08-04 02:30:51.599337	215
27280	149046	33237	2013-08-04 02:30:51.606671	2013-08-04 02:30:51.606671	215
27281	149047	26366	2013-08-04 02:30:51.679211	2013-08-04 02:30:51.679211	215
27282	149047	26346	2013-08-04 02:30:51.692109	2013-08-04 02:30:51.692109	215
27283	149047	26326	2013-08-04 02:30:51.701635	2013-08-04 02:30:51.701635	215
27284	149047	26306	2013-08-04 02:30:51.706061	2013-08-04 02:30:51.706061	215
27285	149047	26286	2013-08-04 02:30:51.710679	2013-08-04 02:30:51.710679	215
27286	149047	26266	2013-08-04 02:30:51.715298	2013-08-04 02:30:51.715298	215
27287	149047	26246	2013-08-04 02:30:51.721153	2013-08-04 02:30:51.721153	215
27288	149047	26226	2013-08-04 02:30:51.729434	2013-08-04 02:30:51.729434	215
27289	149047	26197	2013-08-04 02:30:51.736537	2013-08-04 02:30:51.736537	215
27290	149047	26217	2013-08-04 02:30:51.747015	2013-08-04 02:30:51.747015	215
27291	149047	26206	2013-08-04 02:30:51.756731	2013-08-04 02:30:51.756731	215
27292	149047	26145	2013-08-04 02:30:51.767866	2013-08-04 02:30:51.767866	215
27293	149047	26186	2013-08-04 02:30:51.779135	2013-08-04 02:30:51.779135	215
27294	149047	26155	2013-08-04 02:30:51.791335	2013-08-04 02:30:51.791335	215
27295	149047	26166	2013-08-04 02:30:51.802545	2013-08-04 02:30:51.802545	215
27296	149047	26146	2013-08-04 02:30:51.813473	2013-08-04 02:30:51.813473	215
27297	149047	22523	2013-08-04 02:30:51.824475	2013-08-04 02:30:51.824475	215
27298	149047	22531	2013-08-04 02:30:51.834644	2013-08-04 02:30:51.834644	215
27299	149047	23588	2013-08-04 02:30:51.844727	2013-08-04 02:30:51.844727	215
27300	149048	2025	2013-08-04 02:30:51.879146	2013-08-04 02:30:51.879146	215
27301	149048	1968	2013-08-04 02:30:51.891922	2013-08-04 02:30:51.891922	215
27302	149048	1988	2013-08-04 02:30:51.901397	2013-08-04 02:30:51.901397	215
27303	149048	1947	2013-08-04 02:30:51.905991	2013-08-04 02:30:51.905991	215
27304	149048	16640	2013-08-04 02:30:51.910321	2013-08-04 02:30:51.910321	215
27305	149048	16175	2013-08-04 02:30:51.915008	2013-08-04 02:30:51.915008	215
27306	149048	1927	2013-08-04 02:30:51.920153	2013-08-04 02:30:51.920153	215
27307	149048	10555	2013-08-04 02:30:51.92669	2013-08-04 02:30:51.92669	215
27308	149048	5828	2013-08-04 02:30:51.930653	2013-08-04 02:30:51.930653	215
27309	149048	35263	2013-08-04 02:30:51.934376	2013-08-04 02:30:51.934376	215
27310	149048	1907	2013-08-04 02:30:51.937814	2013-08-04 02:30:51.937814	215
27311	149048	1909	2013-08-04 02:30:51.943056	2013-08-04 02:30:51.943056	215
27312	149048	1887	2013-08-04 02:30:51.948615	2013-08-04 02:30:51.948615	215
27313	149048	16570	2013-08-04 02:30:51.954153	2013-08-04 02:30:51.954153	215
27314	149048	3795	2013-08-04 02:30:51.961467	2013-08-04 02:30:51.961467	215
27315	149048	38823	2013-08-04 02:30:51.970469	2013-08-04 02:30:51.970469	215
27316	149048	33215	2013-08-04 02:30:51.976327	2013-08-04 02:30:51.976327	215
27317	149048	15826	2013-08-04 02:30:51.979611	2013-08-04 02:30:51.979611	215
27318	149048	47643	2013-08-04 02:30:51.982964	2013-08-04 02:30:51.982964	215
27319	148933	25028	2013-08-04 02:30:52.016796	2013-08-04 02:30:52.016796	215
27320	148933	25070	2013-08-04 02:30:52.023082	2013-08-04 02:30:52.023082	215
27321	148933	25008	2013-08-04 02:30:52.027401	2013-08-04 02:30:52.027401	215
27322	148933	24988	2013-08-04 02:30:52.03166	2013-08-04 02:30:52.03166	215
27323	148933	20893	2013-08-04 02:30:52.035665	2013-08-04 02:30:52.035665	215
27324	148933	24968	2013-08-04 02:30:52.039644	2013-08-04 02:30:52.039644	215
27325	148933	24860	2013-08-04 02:30:52.044186	2013-08-04 02:30:52.044186	215
27326	148933	24935	2013-08-04 02:30:52.048826	2013-08-04 02:30:52.048826	215
27327	148933	24948	2013-08-04 02:30:52.05304	2013-08-04 02:30:52.05304	215
27328	148933	25790	2013-08-04 02:30:52.059745	2013-08-04 02:30:52.059745	215
27329	148933	24928	2013-08-04 02:30:52.06589	2013-08-04 02:30:52.06589	215
27330	148933	4978	2013-08-04 02:30:52.074762	2013-08-04 02:30:52.074762	215
27331	148933	24810	2013-08-04 02:30:52.085713	2013-08-04 02:30:52.085713	215
27332	148933	24908	2013-08-04 02:30:52.096579	2013-08-04 02:30:52.096579	215
27333	148933	24888	2013-08-04 02:30:52.107355	2013-08-04 02:30:52.107355	215
27334	148933	24868	2013-08-04 02:30:52.118257	2013-08-04 02:30:52.118257	215
27335	148933	18941	2013-08-04 02:30:52.129189	2013-08-04 02:30:52.129189	215
27336	148933	15853	2013-08-04 02:30:52.139472	2013-08-04 02:30:52.139472	215
27337	148933	11811	2013-08-04 02:30:52.1497	2013-08-04 02:30:52.1497	215
27338	149049	20000	2013-08-04 02:30:52.202472	2013-08-04 02:30:52.202472	215
27339	149049	21538	2013-08-04 02:30:52.218924	2013-08-04 02:30:52.218924	215
27340	149049	7611	2013-08-04 02:30:52.227757	2013-08-04 02:30:52.227757	215
27341	149049	8639	2013-08-04 02:30:52.233188	2013-08-04 02:30:52.233188	215
27342	149049	27483	2013-08-04 02:30:52.237637	2013-08-04 02:30:52.237637	215
27343	149049	13400	2013-08-04 02:30:52.243119	2013-08-04 02:30:52.243119	215
27344	149049	27143	2013-08-04 02:30:52.248184	2013-08-04 02:30:52.248184	215
27345	149049	22755	2013-08-04 02:30:52.253125	2013-08-04 02:30:52.253125	215
27346	149049	13060	2013-08-04 02:30:52.257822	2013-08-04 02:30:52.257822	215
27347	149049	12772	2013-08-04 02:30:52.261697	2013-08-04 02:30:52.261697	215
27348	149049	26803	2013-08-04 02:30:52.265626	2013-08-04 02:30:52.265626	215
27349	149049	13241	2013-08-04 02:30:52.269478	2013-08-04 02:30:52.269478	215
27350	149049	3410	2013-08-04 02:30:52.274007	2013-08-04 02:30:52.274007	215
27351	149049	25986	2013-08-04 02:30:52.278167	2013-08-04 02:30:52.278167	215
27352	149049	22611	2013-08-04 02:30:52.282295	2013-08-04 02:30:52.282295	215
27353	149049	22631	2013-08-04 02:30:52.286318	2013-08-04 02:30:52.286318	215
27354	149049	6479	2013-08-04 02:30:52.290498	2013-08-04 02:30:52.290498	215
27355	149049	15856	2013-08-04 02:30:52.294512	2013-08-04 02:30:52.294512	215
27356	149049	22806	2013-08-04 02:30:52.298774	2013-08-04 02:30:52.298774	215
27357	148934	23855	2013-08-04 02:30:52.333594	2013-08-04 02:30:52.333594	215
27358	148934	4929	2013-08-04 02:30:52.33914	2013-08-04 02:30:52.33914	215
27359	148934	4284	2013-08-04 02:30:52.344829	2013-08-04 02:30:52.344829	215
27360	148934	5757	2013-08-04 02:30:52.34883	2013-08-04 02:30:52.34883	215
27361	148934	29623	2013-08-04 02:30:52.352791	2013-08-04 02:30:52.352791	215
27362	148934	7266	2013-08-04 02:30:52.357823	2013-08-04 02:30:52.357823	215
27363	148934	25797	2013-08-04 02:30:52.362158	2013-08-04 02:30:52.362158	215
27364	148934	17832	2013-08-04 02:30:52.36724	2013-08-04 02:30:52.36724	215
27365	148934	6016	2013-08-04 02:30:52.371359	2013-08-04 02:30:52.371359	215
27366	148934	9631	2013-08-04 02:30:52.375594	2013-08-04 02:30:52.375594	215
27367	148934	17325	2013-08-04 02:30:52.380094	2013-08-04 02:30:52.380094	215
27368	148934	28783	2013-08-04 02:30:52.384449	2013-08-04 02:30:52.384449	215
27369	148934	13821	2013-08-04 02:30:52.388932	2013-08-04 02:30:52.388932	215
27370	148934	17852	2013-08-04 02:30:52.39532	2013-08-04 02:30:52.39532	215
27371	148934	28543	2013-08-04 02:30:52.399776	2013-08-04 02:30:52.399776	215
27372	148934	20180	2013-08-04 02:30:52.409622	2013-08-04 02:30:52.409622	215
27373	148934	28263	2013-08-04 02:30:52.420678	2013-08-04 02:30:52.420678	215
27374	148934	23075	2013-08-04 02:30:52.432222	2013-08-04 02:30:52.432222	215
27375	148934	19980	2013-08-04 02:30:52.444231	2013-08-04 02:30:52.444231	215
27376	149050	18500	2013-08-04 02:30:52.486747	2013-08-04 02:30:52.486747	215
27377	149050	25010	2013-08-04 02:30:52.498394	2013-08-04 02:30:52.498394	215
27378	149050	22911	2013-08-04 02:30:52.510845	2013-08-04 02:30:52.510845	215
27379	149050	22891	2013-08-04 02:30:52.522852	2013-08-04 02:30:52.522852	215
27380	149050	22853	2013-08-04 02:30:52.53759	2013-08-04 02:30:52.53759	215
27381	149050	22871	2013-08-04 02:30:52.542782	2013-08-04 02:30:52.542782	215
27382	149050	14751	2013-08-04 02:30:52.547086	2013-08-04 02:30:52.547086	215
27383	149050	14606	2013-08-04 02:30:52.551303	2013-08-04 02:30:52.551303	215
27384	149050	22851	2013-08-04 02:30:52.555303	2013-08-04 02:30:52.555303	215
27385	149050	22831	2013-08-04 02:30:52.559421	2013-08-04 02:30:52.559421	215
27386	149050	22811	2013-08-04 02:30:52.564044	2013-08-04 02:30:52.564044	215
27387	149050	22773	2013-08-04 02:30:52.568935	2013-08-04 02:30:52.568935	215
27388	149050	22791	2013-08-04 02:30:52.575883	2013-08-04 02:30:52.575883	215
27389	149050	22771	2013-08-04 02:30:52.581278	2013-08-04 02:30:52.581278	215
27390	149050	18060	2013-08-04 02:30:52.588318	2013-08-04 02:30:52.588318	215
27391	149050	6081	2013-08-04 02:30:52.596569	2013-08-04 02:30:52.596569	215
27392	149050	22751	2013-08-04 02:30:52.601269	2013-08-04 02:30:52.601269	215
27393	149050	10399	2013-08-04 02:30:52.605547	2013-08-04 02:30:52.605547	215
27394	149050	22695	2013-08-04 02:30:52.60978	2013-08-04 02:30:52.60978	215
27395	148936	44423	2013-08-04 02:30:52.622407	2013-08-04 02:30:52.622407	215
27396	148936	18921	2013-08-04 02:30:52.626336	2013-08-04 02:30:52.626336	215
27397	148936	19603	2013-08-04 02:30:52.630068	2013-08-04 02:30:52.630068	215
27398	148936	26021	2013-08-04 02:30:52.633806	2013-08-04 02:30:52.633806	215
27399	148936	350	2013-08-04 02:30:52.637158	2013-08-04 02:30:52.637158	215
27400	148937	26973	2013-08-04 02:30:52.650346	2013-08-04 02:30:52.650346	215
27401	148937	26953	2013-08-04 02:30:52.654621	2013-08-04 02:30:52.654621	215
27402	148937	26933	2013-08-04 02:30:52.658891	2013-08-04 02:30:52.658891	215
27403	148937	26913	2013-08-04 02:30:52.662967	2013-08-04 02:30:52.662967	215
27404	148937	26893	2013-08-04 02:30:52.667216	2013-08-04 02:30:52.667216	215
27405	148937	13341	2013-08-04 02:30:52.674881	2013-08-04 02:30:52.674881	215
27406	148937	26873	2013-08-04 02:30:52.683236	2013-08-04 02:30:52.683236	215
27407	148937	26878	2013-08-04 02:30:52.747299	2013-08-04 02:30:52.747299	215
27408	148937	26853	2013-08-04 02:30:52.762064	2013-08-04 02:30:52.762064	215
27409	148937	33720	2013-08-04 02:30:52.767944	2013-08-04 02:30:52.767944	215
27410	148937	8006	2013-08-04 02:30:52.77233	2013-08-04 02:30:52.77233	215
27411	148937	7966	2013-08-04 02:30:52.776745	2013-08-04 02:30:52.776745	215
27412	148937	26795	2013-08-04 02:30:52.781431	2013-08-04 02:30:52.781431	215
27413	148937	25946	2013-08-04 02:30:52.78683	2013-08-04 02:30:52.78683	215
27414	148937	22491	2013-08-04 02:30:52.791634	2013-08-04 02:30:52.791634	215
27415	148937	22511	2013-08-04 02:30:52.796828	2013-08-04 02:30:52.796828	215
27416	148937	18899	2013-08-04 02:30:52.802748	2013-08-04 02:30:52.802748	215
27417	148937	15816	2013-08-04 02:30:52.808392	2013-08-04 02:30:52.808392	215
27418	148937	839	2013-08-04 02:30:52.814109	2013-08-04 02:30:52.814109	215
27419	149051	15770	2013-08-04 02:30:52.834822	2013-08-04 02:30:52.834822	215
27420	149051	20050	2013-08-04 02:30:52.842989	2013-08-04 02:30:52.842989	215
27421	149051	39583	2013-08-04 02:30:52.850662	2013-08-04 02:30:52.850662	215
27422	149051	2741	2013-08-04 02:30:52.85841	2013-08-04 02:30:52.85841	215
27423	149051	31921	2013-08-04 02:30:52.866717	2013-08-04 02:30:52.866717	215
27424	149051	2718	2013-08-04 02:30:52.876763	2013-08-04 02:30:52.876763	215
27425	149051	6699	2013-08-04 02:30:52.886908	2013-08-04 02:30:52.886908	215
27426	149051	5975	2013-08-04 02:30:52.89817	2013-08-04 02:30:52.89817	215
27427	149051	19326	2013-08-04 02:30:52.908316	2013-08-04 02:30:52.908316	215
27428	149051	21941	2013-08-04 02:30:52.918682	2013-08-04 02:30:52.918682	215
27429	149051	44741	2013-08-04 02:30:52.932869	2013-08-04 02:30:52.932869	215
27430	149051	49995	2013-08-04 02:30:52.945218	2013-08-04 02:30:52.945218	215
27431	149051	31775	2013-08-04 02:30:52.951503	2013-08-04 02:30:52.951503	215
27432	149051	5392	2013-08-04 02:30:52.956026	2013-08-04 02:30:52.956026	215
27433	149051	31752	2013-08-04 02:30:52.964854	2013-08-04 02:30:52.964854	215
27434	149051	49423	2013-08-04 02:30:52.974585	2013-08-04 02:30:52.974585	215
27435	149051	4623	2013-08-04 02:30:52.982907	2013-08-04 02:30:52.982907	215
27436	149051	12518	2013-08-04 02:30:52.987426	2013-08-04 02:30:52.987426	215
27437	149051	22686	2013-08-04 02:30:52.994293	2013-08-04 02:30:52.994293	215
27438	149052	37918	2013-08-04 02:30:53.01759	2013-08-04 02:30:53.01759	215
27439	149052	37877	2013-08-04 02:30:53.025432	2013-08-04 02:30:53.025432	215
27440	149052	37857	2013-08-04 02:30:53.034078	2013-08-04 02:30:53.034078	215
27441	149052	37837	2013-08-04 02:30:53.045421	2013-08-04 02:30:53.045421	215
27442	149052	37817	2013-08-04 02:30:53.056565	2013-08-04 02:30:53.056565	215
27443	149052	37797	2013-08-04 02:30:53.068065	2013-08-04 02:30:53.068065	215
27444	149052	37777	2013-08-04 02:30:53.080089	2013-08-04 02:30:53.080089	215
27445	149052	37757	2013-08-04 02:30:53.091076	2013-08-04 02:30:53.091076	215
27446	149052	37737	2013-08-04 02:30:53.100563	2013-08-04 02:30:53.100563	215
27447	149052	37717	2013-08-04 02:30:53.104149	2013-08-04 02:30:53.104149	215
27448	149052	37697	2013-08-04 02:30:53.107518	2013-08-04 02:30:53.107518	215
27449	149052	5538	2013-08-04 02:30:53.110791	2013-08-04 02:30:53.110791	215
27450	149052	37565	2013-08-04 02:30:53.114026	2013-08-04 02:30:53.114026	215
27451	149052	22551	2013-08-04 02:30:53.118207	2013-08-04 02:30:53.118207	215
27452	149052	22571	2013-08-04 02:30:53.122785	2013-08-04 02:30:53.122785	215
27453	149052	18966	2013-08-04 02:30:53.127311	2013-08-04 02:30:53.127311	215
27454	149052	4471	2013-08-04 02:30:53.131247	2013-08-04 02:30:53.131247	215
27455	149052	15776	2013-08-04 02:30:53.137829	2013-08-04 02:30:53.137829	215
27456	149052	32837	2013-08-04 02:30:53.147534	2013-08-04 02:30:53.147534	215
27457	148938	38157	2013-08-04 02:30:53.192616	2013-08-04 02:30:53.192616	215
27458	148938	38121	2013-08-04 02:30:53.204074	2013-08-04 02:30:53.204074	215
27459	148938	38060	2013-08-04 02:30:53.215377	2013-08-04 02:30:53.215377	215
27460	148938	38137	2013-08-04 02:30:53.22629	2013-08-04 02:30:53.22629	215
27461	148938	38117	2013-08-04 02:30:53.237414	2013-08-04 02:30:53.237414	215
27462	148938	38097	2013-08-04 02:30:53.248387	2013-08-04 02:30:53.248387	215
27463	148938	38077	2013-08-04 02:30:53.262084	2013-08-04 02:30:53.262084	215
27464	148938	38057	2013-08-04 02:30:53.272042	2013-08-04 02:30:53.272042	215
27465	148938	38037	2013-08-04 02:30:53.277563	2013-08-04 02:30:53.277563	215
27466	148938	38017	2013-08-04 02:30:53.283385	2013-08-04 02:30:53.283385	215
27467	148938	37997	2013-08-04 02:30:53.288878	2013-08-04 02:30:53.288878	215
27468	148938	37955	2013-08-04 02:30:53.293534	2013-08-04 02:30:53.293534	215
27469	148938	37972	2013-08-04 02:30:53.297619	2013-08-04 02:30:53.297619	215
27470	148938	37977	2013-08-04 02:30:53.301727	2013-08-04 02:30:53.301727	215
27471	148938	37957	2013-08-04 02:30:53.306041	2013-08-04 02:30:53.306041	215
27472	148938	37937	2013-08-04 02:30:53.311164	2013-08-04 02:30:53.311164	215
27473	148938	37917	2013-08-04 02:30:53.315829	2013-08-04 02:30:53.315829	215
27474	148938	37865	2013-08-04 02:30:53.322197	2013-08-04 02:30:53.322197	215
27475	148938	37897	2013-08-04 02:30:53.327533	2013-08-04 02:30:53.327533	215
27476	149053	19219	2013-08-04 02:30:53.36632	2013-08-04 02:30:53.36632	215
27477	149053	19199	2013-08-04 02:30:53.378062	2013-08-04 02:30:53.378062	215
27478	149053	19179	2013-08-04 02:30:53.389063	2013-08-04 02:30:53.389063	215
27479	149053	19290	2013-08-04 02:30:53.39993	2013-08-04 02:30:53.39993	215
27480	149053	19159	2013-08-04 02:30:53.410774	2013-08-04 02:30:53.410774	215
27481	149053	35218	2013-08-04 02:30:53.421868	2013-08-04 02:30:53.421868	215
27482	149053	19139	2013-08-04 02:30:53.433213	2013-08-04 02:30:53.433213	215
27483	149053	35421	2013-08-04 02:30:53.444432	2013-08-04 02:30:53.444432	215
27484	149053	19119	2013-08-04 02:30:53.455273	2013-08-04 02:30:53.455273	215
27485	149053	19099	2013-08-04 02:30:53.466714	2013-08-04 02:30:53.466714	215
27486	149053	1272	2013-08-04 02:30:53.478602	2013-08-04 02:30:53.478602	215
27487	149053	22957	2013-08-04 02:30:53.489946	2013-08-04 02:30:53.489946	215
27488	149053	19055	2013-08-04 02:30:53.500638	2013-08-04 02:30:53.500638	215
27489	149053	19079	2013-08-04 02:30:53.511236	2013-08-04 02:30:53.511236	215
27490	149053	19059	2013-08-04 02:30:53.52256	2013-08-04 02:30:53.52256	215
27491	149053	19039	2013-08-04 02:30:53.534308	2013-08-04 02:30:53.534308	215
27492	149053	42855	2013-08-04 02:30:53.546595	2013-08-04 02:30:53.546595	215
27493	149053	19019	2013-08-04 02:30:53.557563	2013-08-04 02:30:53.557563	215
27494	149053	25021	2013-08-04 02:30:53.568103	2013-08-04 02:30:53.568103	215
27495	148958	19419	2013-08-04 02:30:53.597251	2013-08-04 02:30:53.597251	215
27496	148958	19346	2013-08-04 02:30:53.605117	2013-08-04 02:30:53.605117	215
27497	148958	19399	2013-08-04 02:30:53.614272	2013-08-04 02:30:53.614272	215
27498	148958	19379	2013-08-04 02:30:53.62536	2013-08-04 02:30:53.62536	215
27499	148958	19359	2013-08-04 02:30:53.636331	2013-08-04 02:30:53.636331	215
27500	148958	19450	2013-08-04 02:30:53.648709	2013-08-04 02:30:53.648709	215
27501	148958	19339	2013-08-04 02:30:53.66086	2013-08-04 02:30:53.66086	215
27502	148958	19319	2013-08-04 02:30:53.671937	2013-08-04 02:30:53.671937	215
27503	148958	19953	2013-08-04 02:30:53.683166	2013-08-04 02:30:53.683166	215
27504	148958	19299	2013-08-04 02:30:53.694307	2013-08-04 02:30:53.694307	215
27505	148958	19258	2013-08-04 02:30:53.705962	2013-08-04 02:30:53.705962	215
27506	148958	19170	2013-08-04 02:30:53.717797	2013-08-04 02:30:53.717797	215
27507	148958	31910	2013-08-04 02:30:53.729397	2013-08-04 02:30:53.729397	215
27508	148958	19279	2013-08-04 02:30:53.740596	2013-08-04 02:30:53.740596	215
27509	148958	19259	2013-08-04 02:30:53.751833	2013-08-04 02:30:53.751833	215
27510	148958	19257	2013-08-04 02:30:53.760523	2013-08-04 02:30:53.760523	215
27511	148958	19173	2013-08-04 02:30:53.772246	2013-08-04 02:30:53.772246	215
27512	148958	19239	2013-08-04 02:30:53.783838	2013-08-04 02:30:53.783838	215
27513	148958	19241	2013-08-04 02:30:53.795037	2013-08-04 02:30:53.795037	215
27514	148939	17058	2013-08-04 02:30:53.845633	2013-08-04 02:30:53.845633	215
27515	148939	20938	2013-08-04 02:30:53.856146	2013-08-04 02:30:53.856146	215
27516	148939	18871	2013-08-04 02:30:53.866596	2013-08-04 02:30:53.866596	215
27517	148939	15756	2013-08-04 02:30:53.877142	2013-08-04 02:30:53.877142	215
27518	148939	759	2013-08-04 02:30:53.887977	2013-08-04 02:30:53.887977	215
27519	150216	6703	2013-08-04 02:35:40.529287	2013-08-04 02:35:40.529287	216
27520	150152	1697	2013-08-04 02:35:40.553181	2013-08-04 02:35:40.553181	216
27521	150075	1954	2013-08-04 02:35:40.575048	2013-08-04 02:35:40.575048	216
27522	150073	1633	2013-08-04 02:35:40.597737	2013-08-04 02:35:40.597737	216
27523	149987	1612	2013-08-04 02:35:40.620246	2013-08-04 02:35:40.620246	216
27524	149945	6503	2013-08-04 02:35:40.64313	2013-08-04 02:35:40.64313	216
27525	149912	725	2013-08-04 02:35:40.664768	2013-08-04 02:35:40.664768	216
27526	149834	761	2013-08-04 02:35:40.687347	2013-08-04 02:35:40.687347	216
27527	149804	778	2013-08-04 02:35:40.709654	2013-08-04 02:35:40.709654	216
27528	149803	1537	2013-08-04 02:35:40.731941	2013-08-04 02:35:40.731941	216
27529	149779	668	2013-08-04 02:35:40.753231	2013-08-04 02:35:40.753231	216
27530	149753	665	2013-08-04 02:35:40.767268	2013-08-04 02:35:40.767268	216
27531	149746	1734	2013-08-04 02:35:40.786036	2013-08-04 02:35:40.786036	216
27532	149745	1413	2013-08-04 02:35:40.808808	2013-08-04 02:35:40.808808	216
27533	149744	1392	2013-08-04 02:35:40.832157	2013-08-04 02:35:40.832157	216
27534	149741	14653	2013-08-04 02:35:40.848047	2013-08-04 02:35:40.848047	216
27535	149989	38410	2013-08-04 02:35:41.249721	2013-08-04 02:35:41.249721	216
27536	149989	49485	2013-08-04 02:35:41.252581	2013-08-04 02:35:41.252581	216
27537	149989	39721	2013-08-04 02:35:41.255332	2013-08-04 02:35:41.255332	216
27538	149989	39881	2013-08-04 02:35:41.258071	2013-08-04 02:35:41.258071	216
27539	149989	300	2013-08-04 02:35:41.260922	2013-08-04 02:35:41.260922	216
27540	149989	15568	2013-08-04 02:35:41.263788	2013-08-04 02:35:41.263788	216
27541	149989	38050	2013-08-04 02:35:41.268427	2013-08-04 02:35:41.268427	216
27542	149989	38290	2013-08-04 02:35:41.273221	2013-08-04 02:35:41.273221	216
27543	149989	22072	2013-08-04 02:35:41.277587	2013-08-04 02:35:41.277587	216
27544	149989	3409	2013-08-04 02:35:41.282927	2013-08-04 02:35:41.282927	216
27545	149989	22326	2013-08-04 02:35:41.286451	2013-08-04 02:35:41.286451	216
27546	149989	46843	2013-08-04 02:35:41.289615	2013-08-04 02:35:41.289615	216
27547	149989	39905	2013-08-04 02:35:41.292804	2013-08-04 02:35:41.292804	216
27548	149989	22386	2013-08-04 02:35:41.295923	2013-08-04 02:35:41.295923	216
27549	149989	49925	2013-08-04 02:35:41.298687	2013-08-04 02:35:41.298687	216
27550	149989	8345	2013-08-04 02:35:41.301492	2013-08-04 02:35:41.301492	216
27551	149989	38230	2013-08-04 02:35:41.304721	2013-08-04 02:35:41.304721	216
27552	149989	38330	2013-08-04 02:35:41.308318	2013-08-04 02:35:41.308318	216
27553	149989	38150	2013-08-04 02:35:41.315086	2013-08-04 02:35:41.315086	216
27554	149826	6703	2013-08-04 02:35:41.385946	2013-08-04 02:35:41.385946	216
27555	149826	33518	2013-08-04 02:35:41.391735	2013-08-04 02:35:41.391735	216
27556	149849	6338	2013-08-04 02:35:41.420372	2013-08-04 02:35:41.420372	216
27557	149849	23126	2013-08-04 02:35:41.428797	2013-08-04 02:35:41.428797	216
27558	149849	6086	2013-08-04 02:35:41.437247	2013-08-04 02:35:41.437247	216
27559	149849	28643	2013-08-04 02:35:41.445422	2013-08-04 02:35:41.445422	216
27560	149849	23335	2013-08-04 02:35:41.453959	2013-08-04 02:35:41.453959	216
27561	149849	41910	2013-08-04 02:35:41.462759	2013-08-04 02:35:41.462759	216
27562	149849	21655	2013-08-04 02:35:41.471419	2013-08-04 02:35:41.471419	216
27563	149849	13841	2013-08-04 02:35:41.479845	2013-08-04 02:35:41.479845	216
27564	149849	48815	2013-08-04 02:35:41.4882	2013-08-04 02:35:41.4882	216
27565	149849	33215	2013-08-04 02:35:41.496314	2013-08-04 02:35:41.496314	216
27566	149849	23093	2013-08-04 02:35:41.504517	2013-08-04 02:35:41.504517	216
27567	149849	46598	2013-08-04 02:35:41.513085	2013-08-04 02:35:41.513085	216
27568	149849	33237	2013-08-04 02:35:41.520992	2013-08-04 02:35:41.520992	216
27569	149849	15826	2013-08-04 02:35:41.524423	2013-08-04 02:35:41.524423	216
27570	149849	22806	2013-08-04 02:35:41.527482	2013-08-04 02:35:41.527482	216
27571	149849	47643	2013-08-04 02:35:41.531029	2013-08-04 02:35:41.531029	216
27572	149849	22686	2013-08-04 02:35:41.534381	2013-08-04 02:35:41.534381	216
27573	149849	25021	2013-08-04 02:35:41.537592	2013-08-04 02:35:41.537592	216
27574	149849	32837	2013-08-04 02:35:41.540927	2013-08-04 02:35:41.540927	216
27575	149850	26546	2013-08-04 02:35:41.666297	2013-08-04 02:35:41.666297	216
27576	149850	3314	2013-08-04 02:35:41.672467	2013-08-04 02:35:41.672467	216
27577	149850	26377	2013-08-04 02:35:41.679379	2013-08-04 02:35:41.679379	216
27578	149850	26526	2013-08-04 02:35:41.686031	2013-08-04 02:35:41.686031	216
27579	149850	26485	2013-08-04 02:35:41.69382	2013-08-04 02:35:41.69382	216
27580	149850	26506	2013-08-04 02:35:41.702041	2013-08-04 02:35:41.702041	216
27581	149850	26486	2013-08-04 02:35:41.710924	2013-08-04 02:35:41.710924	216
27582	149850	26466	2013-08-04 02:35:41.716946	2013-08-04 02:35:41.716946	216
27583	149850	26446	2013-08-04 02:35:41.721722	2013-08-04 02:35:41.721722	216
27584	149850	37400	2013-08-04 02:35:41.729541	2013-08-04 02:35:41.729541	216
27585	149850	26426	2013-08-04 02:35:41.741041	2013-08-04 02:35:41.741041	216
27586	149850	14728	2013-08-04 02:35:41.75289	2013-08-04 02:35:41.75289	216
27587	149850	26406	2013-08-04 02:35:41.764105	2013-08-04 02:35:41.764105	216
27588	149850	26386	2013-08-04 02:35:41.774934	2013-08-04 02:35:41.774934	216
27589	149850	26235	2013-08-04 02:35:41.785895	2013-08-04 02:35:41.785895	216
27590	149850	26252	2013-08-04 02:35:41.797038	2013-08-04 02:35:41.797038	216
27591	149850	26365	2013-08-04 02:35:41.808141	2013-08-04 02:35:41.808141	216
27592	149850	14923	2013-08-04 02:35:41.819186	2013-08-04 02:35:41.819186	216
27593	149850	49255	2013-08-04 02:35:41.829233	2013-08-04 02:35:41.829233	216
27594	149851	1979	2013-08-04 02:35:41.863486	2013-08-04 02:35:41.863486	216
27595	149851	1969	2013-08-04 02:35:41.870858	2013-08-04 02:35:41.870858	216
27596	149851	2005	2013-08-04 02:35:41.875226	2013-08-04 02:35:41.875226	216
27597	149851	1989	2013-08-04 02:35:41.879665	2013-08-04 02:35:41.879665	216
27598	149851	2035	2013-08-04 02:35:41.888284	2013-08-04 02:35:41.888284	216
27599	149851	21061	2013-08-04 02:35:41.896754	2013-08-04 02:35:41.896754	216
27600	149851	1987	2013-08-04 02:35:41.903591	2013-08-04 02:35:41.903591	216
27601	149851	1888	2013-08-04 02:35:41.911279	2013-08-04 02:35:41.911279	216
27602	149851	1945	2013-08-04 02:35:41.918548	2013-08-04 02:35:41.918548	216
27603	149851	16586	2013-08-04 02:35:41.922779	2013-08-04 02:35:41.922779	216
27604	149851	15650	2013-08-04 02:35:41.926629	2013-08-04 02:35:41.926629	216
27605	149851	1999	2013-08-04 02:35:41.930024	2013-08-04 02:35:41.930024	216
27606	149851	1967	2013-08-04 02:35:41.93355	2013-08-04 02:35:41.93355	216
27607	149851	1916	2013-08-04 02:35:41.938127	2013-08-04 02:35:41.938127	216
27608	149851	1959	2013-08-04 02:35:41.944971	2013-08-04 02:35:41.944971	216
27609	149851	39223	2013-08-04 02:35:41.952985	2013-08-04 02:35:41.952985	216
27610	149851	1896	2013-08-04 02:35:41.963199	2013-08-04 02:35:41.963199	216
27611	149851	1970	2013-08-04 02:35:41.973933	2013-08-04 02:35:41.973933	216
27612	149851	23266	2013-08-04 02:35:41.984411	2013-08-04 02:35:41.984411	216
27613	149766	25288	2013-08-04 02:35:42.017623	2013-08-04 02:35:42.017623	216
27614	149766	25268	2013-08-04 02:35:42.028393	2013-08-04 02:35:42.028393	216
27615	149766	25248	2013-08-04 02:35:42.040149	2013-08-04 02:35:42.040149	216
27616	149766	25228	2013-08-04 02:35:42.044162	2013-08-04 02:35:42.044162	216
27617	149766	25208	2013-08-04 02:35:42.048114	2013-08-04 02:35:42.048114	216
27618	149766	25277	2013-08-04 02:35:42.052813	2013-08-04 02:35:42.052813	216
27619	149766	25188	2013-08-04 02:35:42.063406	2013-08-04 02:35:42.063406	216
27620	149766	25185	2013-08-04 02:35:42.074251	2013-08-04 02:35:42.074251	216
27621	149766	25168	2013-08-04 02:35:42.085259	2013-08-04 02:35:42.085259	216
27622	149766	25148	2013-08-04 02:35:42.096413	2013-08-04 02:35:42.096413	216
27623	149766	25178	2013-08-04 02:35:42.107676	2013-08-04 02:35:42.107676	216
27624	149766	25128	2013-08-04 02:35:42.119353	2013-08-04 02:35:42.119353	216
27625	149766	19361	2013-08-04 02:35:42.1302	2013-08-04 02:35:42.1302	216
27626	149766	25108	2013-08-04 02:35:42.141406	2013-08-04 02:35:42.141406	216
27627	149766	25088	2013-08-04 02:35:42.152328	2013-08-04 02:35:42.152328	216
27628	149766	25068	2013-08-04 02:35:42.163244	2013-08-04 02:35:42.163244	216
27629	149766	25020	2013-08-04 02:35:42.174243	2013-08-04 02:35:42.174243	216
27630	149766	25048	2013-08-04 02:35:42.185209	2013-08-04 02:35:42.185209	216
27631	149766	1444	2013-08-04 02:35:42.19629	2013-08-04 02:35:42.19629	216
27632	149852	15928	2013-08-04 02:35:42.246968	2013-08-04 02:35:42.246968	216
27633	149852	28075	2013-08-04 02:35:42.258425	2013-08-04 02:35:42.258425	216
27634	149852	34003	2013-08-04 02:35:42.269478	2013-08-04 02:35:42.269478	216
27635	149852	33303	2013-08-04 02:35:42.280352	2013-08-04 02:35:42.280352	216
27636	149852	11511	2013-08-04 02:35:42.291319	2013-08-04 02:35:42.291319	216
27637	149852	33063	2013-08-04 02:35:42.303935	2013-08-04 02:35:42.303935	216
27638	149852	26055	2013-08-04 02:35:42.313754	2013-08-04 02:35:42.313754	216
27639	149852	20385	2013-08-04 02:35:42.320278	2013-08-04 02:35:42.320278	216
27640	149852	23718	2013-08-04 02:35:42.326269	2013-08-04 02:35:42.326269	216
27641	149852	1697	2013-08-04 02:35:42.334323	2013-08-04 02:35:42.334323	216
27642	149852	36160	2013-08-04 02:35:42.343108	2013-08-04 02:35:42.343108	216
27643	149853	23091	2013-08-04 02:35:42.415164	2013-08-04 02:35:42.415164	216
27644	149853	18666	2013-08-04 02:35:42.424197	2013-08-04 02:35:42.424197	216
27645	149853	23071	2013-08-04 02:35:42.428936	2013-08-04 02:35:42.428936	216
27646	149853	23051	2013-08-04 02:35:42.433502	2013-08-04 02:35:42.433502	216
27647	149853	36083	2013-08-04 02:35:42.437985	2013-08-04 02:35:42.437985	216
27648	149853	23031	2013-08-04 02:35:42.442484	2013-08-04 02:35:42.442484	216
27649	149853	22928	2013-08-04 02:35:42.44697	2013-08-04 02:35:42.44697	216
27650	149853	23011	2013-08-04 02:35:42.451398	2013-08-04 02:35:42.451398	216
27651	149853	22991	2013-08-04 02:35:42.456074	2013-08-04 02:35:42.456074	216
27652	149853	14746	2013-08-04 02:35:42.460695	2013-08-04 02:35:42.460695	216
27653	149853	22971	2013-08-04 02:35:42.465066	2013-08-04 02:35:42.465066	216
27654	149853	23013	2013-08-04 02:35:42.470229	2013-08-04 02:35:42.470229	216
27655	149853	22951	2013-08-04 02:35:42.477385	2013-08-04 02:35:42.477385	216
27656	149853	3164	2013-08-04 02:35:42.487735	2013-08-04 02:35:42.487735	216
27657	149853	22931	2013-08-04 02:35:42.498946	2013-08-04 02:35:42.498946	216
27658	149853	22840	2013-08-04 02:35:42.510313	2013-08-04 02:35:42.510313	216
27659	149853	22798	2013-08-04 02:35:42.521694	2013-08-04 02:35:42.521694	216
27660	149853	778	2013-08-04 02:35:42.531317	2013-08-04 02:35:42.531317	216
27661	149853	27852	2013-08-04 02:35:42.538224	2013-08-04 02:35:42.538224	216
27662	149768	1954	2013-08-04 02:35:42.559571	2013-08-04 02:35:42.559571	216
27663	149768	9438	2013-08-04 02:35:42.563922	2013-08-04 02:35:42.563922	216
27664	149767	10741	2013-08-04 02:35:42.582741	2013-08-04 02:35:42.582741	216
27665	149767	27173	2013-08-04 02:35:42.587039	2013-08-04 02:35:42.587039	216
27666	149767	27115	2013-08-04 02:35:42.591221	2013-08-04 02:35:42.591221	216
27667	149767	27153	2013-08-04 02:35:42.595144	2013-08-04 02:35:42.595144	216
27668	149767	27133	2013-08-04 02:35:42.599692	2013-08-04 02:35:42.599692	216
27669	149767	27113	2013-08-04 02:35:42.603968	2013-08-04 02:35:42.603968	216
27670	149767	27090	2013-08-04 02:35:42.607816	2013-08-04 02:35:42.607816	216
27671	149767	27093	2013-08-04 02:35:42.612729	2013-08-04 02:35:42.612729	216
27672	149767	21603	2013-08-04 02:35:42.617795	2013-08-04 02:35:42.617795	216
27673	149767	27073	2013-08-04 02:35:42.623243	2013-08-04 02:35:42.623243	216
27674	149767	27053	2013-08-04 02:35:42.631464	2013-08-04 02:35:42.631464	216
27675	149767	21566	2013-08-04 02:35:42.639951	2013-08-04 02:35:42.639951	216
27676	149767	25630	2013-08-04 02:35:42.65097	2013-08-04 02:35:42.65097	216
27677	149767	27033	2013-08-04 02:35:42.662464	2013-08-04 02:35:42.662464	216
27678	149767	27013	2013-08-04 02:35:42.674912	2013-08-04 02:35:42.674912	216
27679	149767	26852	2013-08-04 02:35:42.687201	2013-08-04 02:35:42.687201	216
27680	149767	26997	2013-08-04 02:35:42.698978	2013-08-04 02:35:42.698978	216
27681	149767	26993	2013-08-04 02:35:42.709811	2013-08-04 02:35:42.709811	216
27682	149767	48795	2013-08-04 02:35:42.720486	2013-08-04 02:35:42.720486	216
27683	150069	14173	2013-08-04 02:35:42.753715	2013-08-04 02:35:42.753715	216
27684	150069	3601	2013-08-04 02:35:42.765951	2013-08-04 02:35:42.765951	216
27685	150069	3592	2013-08-04 02:35:42.77711	2013-08-04 02:35:42.77711	216
27686	150069	3494	2013-08-04 02:35:42.788189	2013-08-04 02:35:42.788189	216
27687	150069	3490	2013-08-04 02:35:42.799225	2013-08-04 02:35:42.799225	216
27688	150069	3474	2013-08-04 02:35:42.810389	2013-08-04 02:35:42.810389	216
27689	150069	11698	2013-08-04 02:35:42.822068	2013-08-04 02:35:42.822068	216
27690	150069	3426	2013-08-04 02:35:42.833936	2013-08-04 02:35:42.833936	216
27691	150069	3325	2013-08-04 02:35:42.844796	2013-08-04 02:35:42.844796	216
27692	150069	3446	2013-08-04 02:35:42.855636	2013-08-04 02:35:42.855636	216
27693	150069	17470	2013-08-04 02:35:42.86665	2013-08-04 02:35:42.86665	216
27694	150069	3386	2013-08-04 02:35:42.877734	2013-08-04 02:35:42.877734	216
27695	150069	3298	2013-08-04 02:35:42.889301	2013-08-04 02:35:42.889301	216
27696	150069	3318	2013-08-04 02:35:42.900542	2013-08-04 02:35:42.900542	216
27697	150069	3454	2013-08-04 02:35:42.905014	2013-08-04 02:35:42.905014	216
27698	150069	22161	2013-08-04 02:35:42.911239	2013-08-04 02:35:42.911239	216
27699	150069	3315	2013-08-04 02:35:42.91833	2013-08-04 02:35:42.91833	216
27700	150069	39503	2013-08-04 02:35:42.926778	2013-08-04 02:35:42.926778	216
27701	150069	4224	2013-08-04 02:35:42.937847	2013-08-04 02:35:42.937847	216
27702	150376	18332	2013-08-04 02:35:42.986568	2013-08-04 02:35:42.986568	216
27703	150376	20741	2013-08-04 02:35:42.996671	2013-08-04 02:35:42.996671	216
27704	149854	38477	2013-08-04 02:35:43.071636	2013-08-04 02:35:43.071636	216
27705	149854	38457	2013-08-04 02:35:43.08383	2013-08-04 02:35:43.08383	216
27706	149854	38437	2013-08-04 02:35:43.095154	2013-08-04 02:35:43.095154	216
27707	149854	38417	2013-08-04 02:35:43.099268	2013-08-04 02:35:43.099268	216
27708	149854	38397	2013-08-04 02:35:43.102893	2013-08-04 02:35:43.102893	216
27709	149854	38377	2013-08-04 02:35:43.109459	2013-08-04 02:35:43.109459	216
27710	149854	38338	2013-08-04 02:35:43.115622	2013-08-04 02:35:43.115622	216
27711	149854	38357	2013-08-04 02:35:43.122825	2013-08-04 02:35:43.122825	216
27712	149854	38337	2013-08-04 02:35:43.131548	2013-08-04 02:35:43.131548	216
27713	149854	38317	2013-08-04 02:35:43.143011	2013-08-04 02:35:43.143011	216
27714	149854	4688	2013-08-04 02:35:43.153764	2013-08-04 02:35:43.153764	216
27715	149854	38297	2013-08-04 02:35:43.165018	2013-08-04 02:35:43.165018	216
27716	149854	38277	2013-08-04 02:35:43.17655	2013-08-04 02:35:43.17655	216
27717	149854	38257	2013-08-04 02:35:43.187707	2013-08-04 02:35:43.187707	216
27718	149854	38237	2013-08-04 02:35:43.198441	2013-08-04 02:35:43.198441	216
27719	149854	38217	2013-08-04 02:35:43.264443	2013-08-04 02:35:43.264443	216
27720	149854	38197	2013-08-04 02:35:43.271137	2013-08-04 02:35:43.271137	216
27721	149854	38177	2013-08-04 02:35:43.280401	2013-08-04 02:35:43.280401	216
27722	149854	49015	2013-08-04 02:35:43.29148	2013-08-04 02:35:43.29148	216
27723	149769	38757	2013-08-04 02:35:43.32843	2013-08-04 02:35:43.32843	216
27724	149769	38737	2013-08-04 02:35:43.333402	2013-08-04 02:35:43.333402	216
27725	149769	38717	2013-08-04 02:35:43.338282	2013-08-04 02:35:43.338282	216
27726	149769	38697	2013-08-04 02:35:43.342933	2013-08-04 02:35:43.342933	216
27727	149769	38677	2013-08-04 02:35:43.347661	2013-08-04 02:35:43.347661	216
27728	149769	38770	2013-08-04 02:35:43.352163	2013-08-04 02:35:43.352163	216
27729	149769	38657	2013-08-04 02:35:43.357074	2013-08-04 02:35:43.357074	216
27730	149769	38637	2013-08-04 02:35:43.366666	2013-08-04 02:35:43.366666	216
27731	149769	38495	2013-08-04 02:35:43.377213	2013-08-04 02:35:43.377213	216
27732	149769	38617	2013-08-04 02:35:43.387743	2013-08-04 02:35:43.387743	216
27733	149769	38597	2013-08-04 02:35:43.398872	2013-08-04 02:35:43.398872	216
27734	149769	38540	2013-08-04 02:35:43.409943	2013-08-04 02:35:43.409943	216
27735	149769	38577	2013-08-04 02:35:43.420737	2013-08-04 02:35:43.420737	216
27736	149769	38557	2013-08-04 02:35:43.431609	2013-08-04 02:35:43.431609	216
27737	149769	38490	2013-08-04 02:35:43.442777	2013-08-04 02:35:43.442777	216
27738	149769	38537	2013-08-04 02:35:43.453888	2013-08-04 02:35:43.453888	216
27739	149769	38517	2013-08-04 02:35:43.464857	2013-08-04 02:35:43.464857	216
27740	149769	38530	2013-08-04 02:35:43.475643	2013-08-04 02:35:43.475643	216
27741	149769	38497	2013-08-04 02:35:43.486678	2013-08-04 02:35:43.486678	216
27742	149856	19517	2013-08-04 02:35:43.526194	2013-08-04 02:35:43.526194	216
27743	149856	19558	2013-08-04 02:35:43.53797	2013-08-04 02:35:43.53797	216
27744	149856	19619	2013-08-04 02:35:43.548832	2013-08-04 02:35:43.548832	216
27745	149856	19599	2013-08-04 02:35:43.55993	2013-08-04 02:35:43.55993	216
27746	149856	19579	2013-08-04 02:35:43.571882	2013-08-04 02:35:43.571882	216
27747	149856	19597	2013-08-04 02:35:43.577536	2013-08-04 02:35:43.577536	216
27748	149856	42675	2013-08-04 02:35:43.582033	2013-08-04 02:35:43.582033	216
27749	149856	19470	2013-08-04 02:35:43.586331	2013-08-04 02:35:43.586331	216
27750	149856	19515	2013-08-04 02:35:43.5907	2013-08-04 02:35:43.5907	216
27751	149856	19559	2013-08-04 02:35:43.595064	2013-08-04 02:35:43.595064	216
27752	149856	19539	2013-08-04 02:35:43.602345	2013-08-04 02:35:43.602345	216
27753	149856	19519	2013-08-04 02:35:43.609737	2013-08-04 02:35:43.609737	216
27754	149856	19543	2013-08-04 02:35:43.616255	2013-08-04 02:35:43.616255	216
27755	149856	19499	2013-08-04 02:35:43.620221	2013-08-04 02:35:43.620221	216
27756	149856	19479	2013-08-04 02:35:43.62506	2013-08-04 02:35:43.62506	216
27757	149856	19459	2013-08-04 02:35:43.634911	2013-08-04 02:35:43.634911	216
27758	149856	19439	2013-08-04 02:35:43.640951	2013-08-04 02:35:43.640951	216
27759	149856	20926	2013-08-04 02:35:43.645765	2013-08-04 02:35:43.645765	216
27760	149856	49035	2013-08-04 02:35:43.651668	2013-08-04 02:35:43.651668	216
27761	149770	19839	2013-08-04 02:35:43.684577	2013-08-04 02:35:43.684577	216
27762	149770	19819	2013-08-04 02:35:43.696456	2013-08-04 02:35:43.696456	216
27763	149770	19799	2013-08-04 02:35:43.707508	2013-08-04 02:35:43.707508	216
27764	149770	19737	2013-08-04 02:35:43.718499	2013-08-04 02:35:43.718499	216
27765	149770	19779	2013-08-04 02:35:43.729615	2013-08-04 02:35:43.729615	216
27766	149770	5944	2013-08-04 02:35:43.740537	2013-08-04 02:35:43.740537	216
27767	149770	19759	2013-08-04 02:35:43.751579	2013-08-04 02:35:43.751579	216
27768	149770	35540	2013-08-04 02:35:43.762526	2013-08-04 02:35:43.762526	216
27769	149770	19739	2013-08-04 02:35:43.773656	2013-08-04 02:35:43.773656	216
27770	149770	19719	2013-08-04 02:35:43.784622	2013-08-04 02:35:43.784622	216
27771	149770	19753	2013-08-04 02:35:43.796493	2013-08-04 02:35:43.796493	216
27772	149770	19699	2013-08-04 02:35:43.808036	2013-08-04 02:35:43.808036	216
27773	149770	19652	2013-08-04 02:35:43.819453	2013-08-04 02:35:43.819453	216
27774	149770	19679	2013-08-04 02:35:43.830971	2013-08-04 02:35:43.830971	216
27775	149770	19712	2013-08-04 02:35:43.842595	2013-08-04 02:35:43.842595	216
27776	149770	19637	2013-08-04 02:35:43.854206	2013-08-04 02:35:43.854206	216
27777	149770	19659	2013-08-04 02:35:43.865919	2013-08-04 02:35:43.865919	216
27778	149770	19639	2013-08-04 02:35:43.877688	2013-08-04 02:35:43.877688	216
27779	149770	19586	2013-08-04 02:35:43.888908	2013-08-04 02:35:43.888908	216
27780	149771	14041	2013-08-04 02:35:43.932686	2013-08-04 02:35:43.932686	216
27781	149771	761	2013-08-04 02:35:43.936745	2013-08-04 02:35:43.936745	216
27782	149771	49055	2013-08-04 02:35:43.94152	2013-08-04 02:35:43.94152	216
27783	150786	1992	2013-08-04 02:40:47.858798	2013-08-04 02:40:47.858798	217
27784	150571	1991	2013-08-04 02:40:47.872041	2013-08-04 02:40:47.872041	217
27785	150563	2450	2013-08-04 02:40:47.882134	2013-08-04 02:40:47.882134	217
27786	150533	6903	2013-08-04 02:40:47.891613	2013-08-04 02:40:47.891613	217
27787	150532	689	2013-08-04 02:40:47.899583	2013-08-04 02:40:47.899583	217
27788	150523	1078	2013-08-04 02:40:47.90885	2013-08-04 02:40:47.90885	217
27789	150517	1837	2013-08-04 02:40:47.919789	2013-08-04 02:40:47.919789	217
27790	150511	1016	2013-08-04 02:40:47.930287	2013-08-04 02:40:47.930287	217
27791	150499	2134	2013-08-04 02:40:47.942229	2013-08-04 02:40:47.942229	217
27792	150498	755	2013-08-04 02:40:47.953393	2013-08-04 02:40:47.953393	217
27793	150444	1873	2013-08-04 02:40:47.96164	2013-08-04 02:40:47.96164	217
27794	150440	1792	2013-08-04 02:40:47.970771	2013-08-04 02:40:47.970771	217
27795	150431	1791	2013-08-04 02:40:47.980721	2013-08-04 02:40:47.980721	217
27796	150428	16000	2013-08-04 02:40:47.989399	2013-08-04 02:40:47.989399	217
27797	150417	36420	2013-08-04 02:40:47.997092	2013-08-04 02:40:47.997092	217
27798	151674	38410	2013-08-04 02:40:48.452261	2013-08-04 02:40:48.452261	217
27799	151674	49485	2013-08-04 02:40:48.461019	2013-08-04 02:40:48.461019	217
27800	151674	39721	2013-08-04 02:40:48.46938	2013-08-04 02:40:48.46938	217
27801	151674	39881	2013-08-04 02:40:48.477818	2013-08-04 02:40:48.477818	217
27802	151674	300	2013-08-04 02:40:48.486327	2013-08-04 02:40:48.486327	217
27803	151674	15568	2013-08-04 02:40:48.494877	2013-08-04 02:40:48.494877	217
27804	151674	38050	2013-08-04 02:40:48.500595	2013-08-04 02:40:48.500595	217
27805	151674	38290	2013-08-04 02:40:48.504357	2013-08-04 02:40:48.504357	217
27806	151674	22072	2013-08-04 02:40:48.507549	2013-08-04 02:40:48.507549	217
27807	151674	3409	2013-08-04 02:40:48.510514	2013-08-04 02:40:48.510514	217
27808	151674	22326	2013-08-04 02:40:48.513443	2013-08-04 02:40:48.513443	217
27809	151674	46843	2013-08-04 02:40:48.516312	2013-08-04 02:40:48.516312	217
27810	151674	39905	2013-08-04 02:40:48.519272	2013-08-04 02:40:48.519272	217
27811	151674	22386	2013-08-04 02:40:48.524586	2013-08-04 02:40:48.524586	217
27812	151674	49925	2013-08-04 02:40:48.532283	2013-08-04 02:40:48.532283	217
27813	151674	8345	2013-08-04 02:40:48.540074	2013-08-04 02:40:48.540074	217
27814	151674	38230	2013-08-04 02:40:48.548356	2013-08-04 02:40:48.548356	217
27815	151674	38330	2013-08-04 02:40:48.556188	2013-08-04 02:40:48.556188	217
27816	151674	38150	2013-08-04 02:40:48.564611	2013-08-04 02:40:48.564611	217
27817	150474	9520	2013-08-04 02:40:48.63982	2013-08-04 02:40:48.63982	217
27818	150474	39243	2013-08-04 02:40:48.652121	2013-08-04 02:40:48.652121	217
27819	150474	1904	2013-08-04 02:40:48.661786	2013-08-04 02:40:48.661786	217
27820	150474	1966	2013-08-04 02:40:48.666558	2013-08-04 02:40:48.666558	217
27821	150474	37123	2013-08-04 02:40:48.671316	2013-08-04 02:40:48.671316	217
27822	150474	1965	2013-08-04 02:40:48.676863	2013-08-04 02:40:48.676863	217
27823	150474	39143	2013-08-04 02:40:48.681103	2013-08-04 02:40:48.681103	217
27824	150474	1821	2013-08-04 02:40:48.685948	2013-08-04 02:40:48.685948	217
27825	150474	15908	2013-08-04 02:40:48.689426	2013-08-04 02:40:48.689426	217
27826	150474	2027	2013-08-04 02:40:48.692861	2013-08-04 02:40:48.692861	217
27827	150474	1899	2013-08-04 02:40:48.696651	2013-08-04 02:40:48.696651	217
27828	150474	2000	2013-08-04 02:40:48.701474	2013-08-04 02:40:48.701474	217
27829	150474	9540	2013-08-04 02:40:48.707433	2013-08-04 02:40:48.707433	217
27830	150474	15668	2013-08-04 02:40:48.718404	2013-08-04 02:40:48.718404	217
27831	150474	2001	2013-08-04 02:40:48.729745	2013-08-04 02:40:48.729745	217
27832	150474	2007	2013-08-04 02:40:48.740519	2013-08-04 02:40:48.740519	217
27833	150474	15246	2013-08-04 02:40:48.751615	2013-08-04 02:40:48.751615	217
27834	150474	20435	2013-08-04 02:40:48.763085	2013-08-04 02:40:48.763085	217
27835	150474	49615	2013-08-04 02:40:48.774953	2013-08-04 02:40:48.774953	217
27836	150475	2450	2013-08-04 02:40:48.803126	2013-08-04 02:40:48.803126	217
27837	150475	23721	2013-08-04 02:40:48.806612	2013-08-04 02:40:48.806612	217
27838	150475	49315	2013-08-04 02:40:48.81011	2013-08-04 02:40:48.81011	217
27839	150476	23331	2013-08-04 02:40:48.824699	2013-08-04 02:40:48.824699	217
27840	150476	23311	2013-08-04 02:40:48.829023	2013-08-04 02:40:48.829023	217
27841	150476	23291	2013-08-04 02:40:48.833379	2013-08-04 02:40:48.833379	217
27842	150476	23271	2013-08-04 02:40:48.838517	2013-08-04 02:40:48.838517	217
27843	150476	23250	2013-08-04 02:40:48.847919	2013-08-04 02:40:48.847919	217
27844	150476	23251	2013-08-04 02:40:48.857017	2013-08-04 02:40:48.857017	217
27845	150476	23198	2013-08-04 02:40:48.867711	2013-08-04 02:40:48.867711	217
27846	150476	21717	2013-08-04 02:40:48.8769	2013-08-04 02:40:48.8769	217
27847	150476	23231	2013-08-04 02:40:48.880808	2013-08-04 02:40:48.880808	217
27848	150476	23211	2013-08-04 02:40:48.88423	2013-08-04 02:40:48.88423	217
27849	150476	23191	2013-08-04 02:40:48.887586	2013-08-04 02:40:48.887586	217
27850	150476	23171	2013-08-04 02:40:48.89099	2013-08-04 02:40:48.89099	217
27851	150476	23151	2013-08-04 02:40:48.895221	2013-08-04 02:40:48.895221	217
27852	150476	23123	2013-08-04 02:40:48.902778	2013-08-04 02:40:48.902778	217
27853	150476	23131	2013-08-04 02:40:48.909687	2013-08-04 02:40:48.909687	217
27854	150476	23111	2013-08-04 02:40:48.917086	2013-08-04 02:40:48.917086	217
27855	150476	1792	2013-08-04 02:40:48.925229	2013-08-04 02:40:48.925229	217
27856	150476	15956	2013-08-04 02:40:48.934454	2013-08-04 02:40:48.934454	217
27857	150476	49575	2013-08-04 02:40:48.944983	2013-08-04 02:40:48.944983	217
27858	150477	3537	2013-08-04 02:40:48.976655	2013-08-04 02:40:48.976655	217
27859	150477	3469	2013-08-04 02:40:48.981251	2013-08-04 02:40:48.981251	217
27860	150477	3557	2013-08-04 02:40:48.985485	2013-08-04 02:40:48.985485	217
27861	150477	3577	2013-08-04 02:40:48.989169	2013-08-04 02:40:48.989169	217
27862	150477	3534	2013-08-04 02:40:48.992559	2013-08-04 02:40:48.992559	217
27863	150477	3509	2013-08-04 02:40:48.997351	2013-08-04 02:40:48.997351	217
27864	150477	3597	2013-08-04 02:40:49.002054	2013-08-04 02:40:49.002054	217
27865	150477	3461	2013-08-04 02:40:49.0076	2013-08-04 02:40:49.0076	217
27866	150477	3481	2013-08-04 02:40:49.014335	2013-08-04 02:40:49.014335	217
27867	150477	38743	2013-08-04 02:40:49.023609	2013-08-04 02:40:49.023609	217
27868	150477	3501	2013-08-04 02:40:49.03442	2013-08-04 02:40:49.03442	217
27869	150477	3521	2013-08-04 02:40:49.04532	2013-08-04 02:40:49.04532	217
27870	150477	45818	2013-08-04 02:40:49.05622	2013-08-04 02:40:49.05622	217
27871	150477	3514	2013-08-04 02:40:49.067227	2013-08-04 02:40:49.067227	217
27872	150477	3541	2013-08-04 02:40:49.078338	2013-08-04 02:40:49.078338	217
27873	150477	3561	2013-08-04 02:40:49.089452	2013-08-04 02:40:49.089452	217
27874	150477	3581	2013-08-04 02:40:49.10072	2013-08-04 02:40:49.10072	217
27875	150477	13798	2013-08-04 02:40:49.111906	2013-08-04 02:40:49.111906	217
27876	150477	31341	2013-08-04 02:40:49.12385	2013-08-04 02:40:49.12385	217
27877	150550	39057	2013-08-04 02:40:49.177806	2013-08-04 02:40:49.177806	217
27878	150550	39037	2013-08-04 02:40:49.189603	2013-08-04 02:40:49.189603	217
27879	150550	39017	2013-08-04 02:40:49.200442	2013-08-04 02:40:49.200442	217
27880	150550	38997	2013-08-04 02:40:49.211135	2013-08-04 02:40:49.211135	217
27881	150550	38977	2013-08-04 02:40:49.221914	2013-08-04 02:40:49.221914	217
27882	150550	38957	2013-08-04 02:40:49.230759	2013-08-04 02:40:49.230759	217
27883	150550	38937	2013-08-04 02:40:49.239681	2013-08-04 02:40:49.239681	217
27884	150550	38835	2013-08-04 02:40:49.249942	2013-08-04 02:40:49.249942	217
27885	150550	38917	2013-08-04 02:40:49.25974	2013-08-04 02:40:49.25974	217
27886	150550	38897	2013-08-04 02:40:49.267931	2013-08-04 02:40:49.267931	217
27887	150550	38877	2013-08-04 02:40:49.275946	2013-08-04 02:40:49.275946	217
27888	150550	38857	2013-08-04 02:40:49.280389	2013-08-04 02:40:49.280389	217
27889	150550	38837	2013-08-04 02:40:49.287056	2013-08-04 02:40:49.287056	217
27890	150550	38817	2013-08-04 02:40:49.346494	2013-08-04 02:40:49.346494	217
27891	150550	38797	2013-08-04 02:40:49.355531	2013-08-04 02:40:49.355531	217
27892	150550	38918	2013-08-04 02:40:49.361311	2013-08-04 02:40:49.361311	217
27893	150550	38777	2013-08-04 02:40:49.368248	2013-08-04 02:40:49.368248	217
27894	150550	15916	2013-08-04 02:40:49.374229	2013-08-04 02:40:49.374229	217
27895	150550	1727	2013-08-04 02:40:49.379873	2013-08-04 02:40:49.379873	217
27896	150478	15813	2013-08-04 02:40:49.393875	2013-08-04 02:40:49.393875	217
27897	150478	20019	2013-08-04 02:40:49.399372	2013-08-04 02:40:49.399372	217
27898	150478	46243	2013-08-04 02:40:49.404513	2013-08-04 02:40:49.404513	217
27899	150478	19999	2013-08-04 02:40:49.409929	2013-08-04 02:40:49.409929	217
27900	150478	19979	2013-08-04 02:40:49.415443	2013-08-04 02:40:49.415443	217
27901	150478	19959	2013-08-04 02:40:49.423994	2013-08-04 02:40:49.423994	217
27902	150478	35801	2013-08-04 02:40:49.435363	2013-08-04 02:40:49.435363	217
27903	150478	35141	2013-08-04 02:40:49.449485	2013-08-04 02:40:49.449485	217
27904	150478	19939	2013-08-04 02:40:49.461839	2013-08-04 02:40:49.461839	217
27905	150478	19875	2013-08-04 02:40:49.47288	2013-08-04 02:40:49.47288	217
27906	150478	19913	2013-08-04 02:40:49.483488	2013-08-04 02:40:49.483488	217
27907	150478	19919	2013-08-04 02:40:49.49454	2013-08-04 02:40:49.49454	217
27908	150478	19899	2013-08-04 02:40:49.50538	2013-08-04 02:40:49.50538	217
27909	150478	19813	2013-08-04 02:40:49.516383	2013-08-04 02:40:49.516383	217
27910	150478	19879	2013-08-04 02:40:49.527546	2013-08-04 02:40:49.527546	217
27911	150478	29037	2013-08-04 02:40:49.538601	2013-08-04 02:40:49.538601	217
27912	150478	19859	2013-08-04 02:40:49.55052	2013-08-04 02:40:49.55052	217
27913	150478	1642	2013-08-04 02:40:49.561652	2013-08-04 02:40:49.561652	217
27914	150478	27992	2013-08-04 02:40:49.571667	2013-08-04 02:40:49.571667	217
27915	151288	2192	2013-08-04 02:45:45.540766	2013-08-04 02:45:45.540766	218
27916	151162	2064	2013-08-04 02:45:45.561356	2013-08-04 02:45:45.561356	218
27917	151114	1466	2013-08-04 02:45:45.584449	2013-08-04 02:45:45.584449	218
27918	151089	7083	2013-08-04 02:45:45.607358	2013-08-04 02:45:45.607358	218
27919	151053	1400	2013-08-04 02:45:45.630472	2013-08-04 02:45:45.630472	218
27920	151050	1135	2013-08-04 02:45:45.653483	2013-08-04 02:45:45.653483	218
27921	151047	1139	2013-08-04 02:45:45.673781	2013-08-04 02:45:45.673781	218
27922	151045	782	2013-08-04 02:45:45.690893	2013-08-04 02:45:45.690893	218
27923	151016	1158	2013-08-04 02:45:45.704687	2013-08-04 02:45:45.704687	218
27924	151010	26746	2013-08-04 02:45:45.71478	2013-08-04 02:45:45.71478	218
27925	151005	23435	2013-08-04 02:45:45.725887	2013-08-04 02:45:45.725887	218
27926	151002	16263	2013-08-04 02:45:45.739014	2013-08-04 02:45:45.739014	218
27927	150992	6338	2013-08-04 02:45:45.759798	2013-08-04 02:45:45.759798	218
27928	150995	27006	2013-08-04 02:45:46.430282	2013-08-04 02:45:46.430282	218
27929	150995	33620	2013-08-04 02:45:46.439327	2013-08-04 02:45:46.439327	218
27930	150995	26977	2013-08-04 02:45:46.450668	2013-08-04 02:45:46.450668	218
27931	150995	26935	2013-08-04 02:45:46.458117	2013-08-04 02:45:46.458117	218
27932	150995	26986	2013-08-04 02:45:46.46311	2013-08-04 02:45:46.46311	218
27933	150995	26966	2013-08-04 02:45:46.467547	2013-08-04 02:45:46.467547	218
27934	150995	26946	2013-08-04 02:45:46.474204	2013-08-04 02:45:46.474204	218
27935	150995	26926	2013-08-04 02:45:46.484503	2013-08-04 02:45:46.484503	218
27936	150995	26860	2013-08-04 02:45:46.491067	2013-08-04 02:45:46.491067	218
27937	150995	26906	2013-08-04 02:45:46.495534	2013-08-04 02:45:46.495534	218
27938	150995	26990	2013-08-04 02:45:46.499908	2013-08-04 02:45:46.499908	218
27939	150995	26886	2013-08-04 02:45:46.504348	2013-08-04 02:45:46.504348	218
27940	150995	26961	2013-08-04 02:45:46.508862	2013-08-04 02:45:46.508862	218
27941	150995	26866	2013-08-04 02:45:46.513324	2013-08-04 02:45:46.513324	218
27942	150995	26846	2013-08-04 02:45:46.518095	2013-08-04 02:45:46.518095	218
27943	150995	26826	2013-08-04 02:45:46.522745	2013-08-04 02:45:46.522745	218
27944	150995	26806	2013-08-04 02:45:46.528738	2013-08-04 02:45:46.528738	218
27945	150995	26786	2013-08-04 02:45:46.533321	2013-08-04 02:45:46.533321	218
27946	150995	26766	2013-08-04 02:45:46.537895	2013-08-04 02:45:46.537895	218
27947	150996	1998	2013-08-04 02:45:46.550121	2013-08-04 02:45:46.550121	218
27948	150996	10695	2013-08-04 02:45:46.555141	2013-08-04 02:45:46.555141	218
27949	150996	2024	2013-08-04 02:45:46.559251	2013-08-04 02:45:46.559251	218
27950	150996	28560	2013-08-04 02:45:46.563372	2013-08-04 02:45:46.563372	218
27951	150996	2040	2013-08-04 02:45:46.573019	2013-08-04 02:45:46.573019	218
27952	150996	1948	2013-08-04 02:45:46.5842	2013-08-04 02:45:46.5842	218
27953	150996	2039	2013-08-04 02:45:46.595001	2013-08-04 02:45:46.595001	218
27954	150996	1950	2013-08-04 02:45:46.605947	2013-08-04 02:45:46.605947	218
27955	150996	2014	2013-08-04 02:45:46.617207	2013-08-04 02:45:46.617207	218
27956	150996	9500	2013-08-04 02:45:46.628878	2013-08-04 02:45:46.628878	218
27957	150996	1986	2013-08-04 02:45:46.639983	2013-08-04 02:45:46.639983	218
27958	150996	35315	2013-08-04 02:45:46.646338	2013-08-04 02:45:46.646338	218
27959	150996	1961	2013-08-04 02:45:46.650073	2013-08-04 02:45:46.650073	218
27960	150996	1982	2013-08-04 02:45:46.653655	2013-08-04 02:45:46.653655	218
27961	150996	1900	2013-08-04 02:45:46.657158	2013-08-04 02:45:46.657158	218
27962	150996	39063	2013-08-04 02:45:46.666363	2013-08-04 02:45:46.666363	218
27963	150996	1930	2013-08-04 02:45:46.67556	2013-08-04 02:45:46.67556	218
27964	150996	26780	2013-08-04 02:45:46.686983	2013-08-04 02:45:46.686983	218
27965	150996	41910	2013-08-04 02:45:46.698277	2013-08-04 02:45:46.698277	218
27966	151097	23771	2013-08-04 02:45:46.769735	2013-08-04 02:45:46.769735	218
27967	151097	23751	2013-08-04 02:45:46.781572	2013-08-04 02:45:46.781572	218
27968	151097	23810	2013-08-04 02:45:46.792442	2013-08-04 02:45:46.792442	218
27969	151097	23731	2013-08-04 02:45:46.803433	2013-08-04 02:45:46.803433	218
27970	151097	23711	2013-08-04 02:45:46.814321	2013-08-04 02:45:46.814321	218
27971	151097	14766	2013-08-04 02:45:46.825128	2013-08-04 02:45:46.825128	218
27972	151097	23690	2013-08-04 02:45:46.836225	2013-08-04 02:45:46.836225	218
27973	151097	23691	2013-08-04 02:45:46.847434	2013-08-04 02:45:46.847434	218
27974	151097	23683	2013-08-04 02:45:46.860416	2013-08-04 02:45:46.860416	218
27975	151097	23671	2013-08-04 02:45:46.872693	2013-08-04 02:45:46.872693	218
27976	151097	46863	2013-08-04 02:45:46.883709	2013-08-04 02:45:46.883709	218
27977	151097	23651	2013-08-04 02:45:46.895188	2013-08-04 02:45:46.895188	218
27978	151097	23631	2013-08-04 02:45:46.90648	2013-08-04 02:45:46.90648	218
27979	151097	23611	2013-08-04 02:45:46.918017	2013-08-04 02:45:46.918017	218
27980	151097	23591	2013-08-04 02:45:46.931546	2013-08-04 02:45:46.931546	218
27981	151097	23571	2013-08-04 02:45:46.942997	2013-08-04 02:45:46.942997	218
27982	151097	23551	2013-08-04 02:45:46.954182	2013-08-04 02:45:46.954182	218
27983	151097	23538	2013-08-04 02:45:46.961769	2013-08-04 02:45:46.961769	218
27984	151097	6338	2013-08-04 02:45:46.965343	2013-08-04 02:45:46.965343	218
27985	150999	3605	2013-08-04 02:45:46.986282	2013-08-04 02:45:46.986282	218
27986	150999	3515	2013-08-04 02:45:46.994053	2013-08-04 02:45:46.994053	218
27987	150999	3535	2013-08-04 02:45:47.006106	2013-08-04 02:45:47.006106	218
27988	150999	3555	2013-08-04 02:45:47.017781	2013-08-04 02:45:47.017781	218
27989	150999	3575	2013-08-04 02:45:47.023098	2013-08-04 02:45:47.023098	218
27990	150999	3595	2013-08-04 02:45:47.030776	2013-08-04 02:45:47.030776	218
27991	150999	3520	2013-08-04 02:45:47.039971	2013-08-04 02:45:47.039971	218
27992	150999	3540	2013-08-04 02:45:47.043955	2013-08-04 02:45:47.043955	218
27993	150999	3560	2013-08-04 02:45:47.047517	2013-08-04 02:45:47.047517	218
27994	150999	3580	2013-08-04 02:45:47.050975	2013-08-04 02:45:47.050975	218
27995	150999	3600	2013-08-04 02:45:47.055467	2013-08-04 02:45:47.055467	218
27996	150999	3594	2013-08-04 02:45:47.060129	2013-08-04 02:45:47.060129	218
27997	150999	3574	2013-08-04 02:45:47.0654	2013-08-04 02:45:47.0654	218
27998	150999	3457	2013-08-04 02:45:47.072151	2013-08-04 02:45:47.072151	218
27999	150999	3477	2013-08-04 02:45:47.079615	2013-08-04 02:45:47.079615	218
28000	150999	3554	2013-08-04 02:45:47.087918	2013-08-04 02:45:47.087918	218
28001	150999	3497	2013-08-04 02:45:47.095476	2013-08-04 02:45:47.095476	218
28002	150999	3517	2013-08-04 02:45:47.103776	2013-08-04 02:45:47.103776	218
28003	150999	33237	2013-08-04 02:45:47.108809	2013-08-04 02:45:47.108809	218
28004	151501	23391	2013-08-04 02:45:47.121031	2013-08-04 02:45:47.121031	218
28005	151501	26566	2013-08-04 02:45:47.125443	2013-08-04 02:45:47.125443	218
28006	151000	39150	2013-08-04 02:45:47.14222	2013-08-04 02:45:47.14222	218
28007	151000	39250	2013-08-04 02:45:47.149477	2013-08-04 02:45:47.149477	218
28008	151000	39215	2013-08-04 02:45:47.159029	2013-08-04 02:45:47.159029	218
28009	151000	39237	2013-08-04 02:45:47.168675	2013-08-04 02:45:47.168675	218
28010	151000	39217	2013-08-04 02:45:47.179072	2013-08-04 02:45:47.179072	218
28011	151000	39197	2013-08-04 02:45:47.190242	2013-08-04 02:45:47.190242	218
28012	151000	39177	2013-08-04 02:45:47.198053	2013-08-04 02:45:47.198053	218
28013	151000	39157	2013-08-04 02:45:47.208243	2013-08-04 02:45:47.208243	218
28014	151000	39137	2013-08-04 02:45:47.21282	2013-08-04 02:45:47.21282	218
28015	151000	39117	2013-08-04 02:45:47.217286	2013-08-04 02:45:47.217286	218
28016	151000	39097	2013-08-04 02:45:47.226324	2013-08-04 02:45:47.226324	218
28017	151000	39077	2013-08-04 02:45:47.236785	2013-08-04 02:45:47.236785	218
28018	151000	38980	2013-08-04 02:45:47.247952	2013-08-04 02:45:47.247952	218
28019	151000	39010	2013-08-04 02:45:47.258752	2013-08-04 02:45:47.258752	218
28020	151000	39012	2013-08-04 02:45:47.269743	2013-08-04 02:45:47.269743	218
28021	151000	23315	2013-08-04 02:45:47.280708	2013-08-04 02:45:47.280708	218
28022	151000	16159	2013-08-04 02:45:47.290922	2013-08-04 02:45:47.290922	218
28023	151000	16036	2013-08-04 02:45:47.30149	2013-08-04 02:45:47.30149	218
28024	151000	47643	2013-08-04 02:45:47.311597	2013-08-04 02:45:47.311597	218
28025	151001	20117	2013-08-04 02:45:47.359224	2013-08-04 02:45:47.359224	218
28026	151001	20137	2013-08-04 02:45:47.369565	2013-08-04 02:45:47.369565	218
28027	151001	20239	2013-08-04 02:45:47.373841	2013-08-04 02:45:47.373841	218
28028	151001	20219	2013-08-04 02:45:47.377522	2013-08-04 02:45:47.377522	218
28029	151001	20199	2013-08-04 02:45:47.38087	2013-08-04 02:45:47.38087	218
28030	151001	20238	2013-08-04 02:45:47.384271	2013-08-04 02:45:47.384271	218
28031	151001	20179	2013-08-04 02:45:47.38787	2013-08-04 02:45:47.38787	218
28032	151001	20159	2013-08-04 02:45:47.392109	2013-08-04 02:45:47.392109	218
28033	151001	20139	2013-08-04 02:45:47.396909	2013-08-04 02:45:47.396909	218
28034	151001	20126	2013-08-04 02:45:47.403173	2013-08-04 02:45:47.403173	218
28035	151001	20119	2013-08-04 02:45:47.408408	2013-08-04 02:45:47.408408	218
28036	151001	20099	2013-08-04 02:45:47.415013	2013-08-04 02:45:47.415013	218
28037	151001	20079	2013-08-04 02:45:47.419303	2013-08-04 02:45:47.419303	218
28038	151001	20078	2013-08-04 02:45:47.42296	2013-08-04 02:45:47.42296	218
28039	151001	20085	2013-08-04 02:45:47.426373	2013-08-04 02:45:47.426373	218
28040	151001	20059	2013-08-04 02:45:47.433847	2013-08-04 02:45:47.433847	218
28041	151001	20039	2013-08-04 02:45:47.493202	2013-08-04 02:45:47.493202	218
28042	151001	19990	2013-08-04 02:45:47.512144	2013-08-04 02:45:47.512144	218
28043	151001	22686	2013-08-04 02:45:47.517655	2013-08-04 02:45:47.517655	218
28044	152444	1445	2013-08-04 02:50:48.959979	2013-08-04 02:50:48.959979	219
28045	152246	1719	2013-08-04 02:50:48.969637	2013-08-04 02:50:48.969637	219
28046	152208	2312	2013-08-04 02:50:48.98652	2013-08-04 02:50:48.98652	219
28047	152125	2231	2013-08-04 02:50:49.003848	2013-08-04 02:50:49.003848	219
28048	151933	2546	2013-08-04 02:50:49.026435	2013-08-04 02:50:49.026435	219
28049	151895	2691	2013-08-04 02:50:49.050124	2013-08-04 02:50:49.050124	219
28050	151865	2341	2013-08-04 02:50:49.074763	2013-08-04 02:50:49.074763	219
28051	151737	4710	2013-08-04 02:50:49.098343	2013-08-04 02:50:49.098343	219
28052	151704	2228	2013-08-04 02:50:49.122625	2013-08-04 02:50:49.122625	219
28053	151698	927	2013-08-04 02:50:49.146256	2013-08-04 02:50:49.146256	219
28054	151695	7263	2013-08-04 02:50:49.169175	2013-08-04 02:50:49.169175	219
28055	151693	869	2013-08-04 02:50:49.190227	2013-08-04 02:50:49.190227	219
28056	151686	847	2013-08-04 02:50:49.200194	2013-08-04 02:50:49.200194	219
28057	151685	10906	2013-08-04 02:50:49.208469	2013-08-04 02:50:49.208469	219
28058	151680	16396	2013-08-04 02:50:49.217106	2013-08-04 02:50:49.217106	219
28059	152569	27446	2013-08-04 02:50:49.92623	2013-08-04 02:50:49.92623	219
28060	152569	27426	2013-08-04 02:50:49.939023	2013-08-04 02:50:49.939023	219
28061	152569	27406	2013-08-04 02:50:49.950941	2013-08-04 02:50:49.950941	219
28062	152569	27460	2013-08-04 02:50:49.958412	2013-08-04 02:50:49.958412	219
28063	152569	27440	2013-08-04 02:50:49.962193	2013-08-04 02:50:49.962193	219
28064	152569	27386	2013-08-04 02:50:49.965864	2013-08-04 02:50:49.965864	219
28065	152569	27380	2013-08-04 02:50:49.969037	2013-08-04 02:50:49.969037	219
28066	152569	27366	2013-08-04 02:50:49.972552	2013-08-04 02:50:49.972552	219
28067	152569	27346	2013-08-04 02:50:49.97613	2013-08-04 02:50:49.97613	219
28068	152569	17265	2013-08-04 02:50:49.97971	2013-08-04 02:50:49.97971	219
28069	152569	27326	2013-08-04 02:50:49.986235	2013-08-04 02:50:49.986235	219
28070	152569	27320	2013-08-04 02:50:49.992058	2013-08-04 02:50:49.992058	219
28071	152569	27172	2013-08-04 02:50:50.001422	2013-08-04 02:50:50.001422	219
28072	152569	27205	2013-08-04 02:50:50.011688	2013-08-04 02:50:50.011688	219
28073	152569	27255	2013-08-04 02:50:50.022184	2013-08-04 02:50:50.022184	219
28074	152569	27306	2013-08-04 02:50:50.033364	2013-08-04 02:50:50.033364	219
28075	152569	27286	2013-08-04 02:50:50.04423	2013-08-04 02:50:50.04423	219
28076	152569	27266	2013-08-04 02:50:50.055287	2013-08-04 02:50:50.055287	219
28077	152569	10906	2013-08-04 02:50:50.066721	2013-08-04 02:50:50.066721	219
28078	152397	1445	2013-08-04 02:50:50.115443	2013-08-04 02:50:50.115443	219
28079	152397	2192	2013-08-04 02:50:50.119418	2013-08-04 02:50:50.119418	219
28080	152397	1837	2013-08-04 02:50:50.123263	2013-08-04 02:50:50.123263	219
28081	152397	27226	2013-08-04 02:50:50.127299	2013-08-04 02:50:50.127299	219
28082	152397	26760	2013-08-04 02:50:50.13451	2013-08-04 02:50:50.13451	219
28083	152397	16356	2013-08-04 02:50:50.143282	2013-08-04 02:50:50.143282	219
28084	152397	5197	2013-08-04 02:50:50.151223	2013-08-04 02:50:50.151223	219
28085	152397	16196	2013-08-04 02:50:50.161414	2013-08-04 02:50:50.161414	219
28086	152397	15933	2013-08-04 02:50:50.171857	2013-08-04 02:50:50.171857	219
28087	152397	44321	2013-08-04 02:50:50.183961	2013-08-04 02:50:50.183961	219
28088	152397	6086	2013-08-04 02:50:50.19549	2013-08-04 02:50:50.19549	219
28089	152547	27646	2013-08-04 02:50:50.236704	2013-08-04 02:50:50.236704	219
28090	152547	26680	2013-08-04 02:50:50.241347	2013-08-04 02:50:50.241347	219
28091	152547	27626	2013-08-04 02:50:50.245642	2013-08-04 02:50:50.245642	219
28092	152547	27606	2013-08-04 02:50:50.249513	2013-08-04 02:50:50.249513	219
28093	152547	27586	2013-08-04 02:50:50.253303	2013-08-04 02:50:50.253303	219
28094	152547	27566	2013-08-04 02:50:50.258847	2013-08-04 02:50:50.258847	219
28095	152547	27546	2013-08-04 02:50:50.263897	2013-08-04 02:50:50.263897	219
28096	152547	27526	2013-08-04 02:50:50.268908	2013-08-04 02:50:50.268908	219
28097	152547	47585	2013-08-04 02:50:50.275181	2013-08-04 02:50:50.275181	219
28098	152547	27490	2013-08-04 02:50:50.283265	2013-08-04 02:50:50.283265	219
28099	152547	27620	2013-08-04 02:50:50.287656	2013-08-04 02:50:50.287656	219
28100	152547	27506	2013-08-04 02:50:50.292144	2013-08-04 02:50:50.292144	219
28101	152547	27520	2013-08-04 02:50:50.301042	2013-08-04 02:50:50.301042	219
28102	152547	27500	2013-08-04 02:50:50.308786	2013-08-04 02:50:50.308786	219
28103	152547	27486	2013-08-04 02:50:50.316982	2013-08-04 02:50:50.316982	219
28104	152547	27480	2013-08-04 02:50:50.321272	2013-08-04 02:50:50.321272	219
28105	152547	27377	2013-08-04 02:50:50.332099	2013-08-04 02:50:50.332099	219
28106	152547	27475	2013-08-04 02:50:50.342706	2013-08-04 02:50:50.342706	219
28107	152547	27466	2013-08-04 02:50:50.353796	2013-08-04 02:50:50.353796	219
28108	152548	2107	2013-08-04 02:50:50.379916	2013-08-04 02:50:50.379916	219
28109	152548	19881	2013-08-04 02:50:50.383826	2013-08-04 02:50:50.383826	219
28110	152548	2046	2013-08-04 02:50:50.387529	2013-08-04 02:50:50.387529	219
28111	152548	2178	2013-08-04 02:50:50.391167	2013-08-04 02:50:50.391167	219
28112	152548	21081	2013-08-04 02:50:50.394808	2013-08-04 02:50:50.394808	219
28113	152548	21321	2013-08-04 02:50:50.398801	2013-08-04 02:50:50.398801	219
28114	152548	2087	2013-08-04 02:50:50.40354	2013-08-04 02:50:50.40354	219
28115	152548	48418	2013-08-04 02:50:50.409266	2013-08-04 02:50:50.409266	219
28116	152548	48583	2013-08-04 02:50:50.417621	2013-08-04 02:50:50.417621	219
28117	152548	21261	2013-08-04 02:50:50.427202	2013-08-04 02:50:50.427202	219
28118	152548	2067	2013-08-04 02:50:50.438637	2013-08-04 02:50:50.438637	219
28119	152548	34065	2013-08-04 02:50:50.450129	2013-08-04 02:50:50.450129	219
28120	152548	2047	2013-08-04 02:50:50.461168	2013-08-04 02:50:50.461168	219
28121	152548	43010	2013-08-04 02:50:50.4723	2013-08-04 02:50:50.4723	219
28122	152548	34675	2013-08-04 02:50:50.484348	2013-08-04 02:50:50.484348	219
28123	152548	21083	2013-08-04 02:50:50.495841	2013-08-04 02:50:50.495841	219
28124	152548	2185	2013-08-04 02:50:50.502235	2013-08-04 02:50:50.502235	219
28125	152548	2020	2013-08-04 02:50:50.505961	2013-08-04 02:50:50.505961	219
28126	152548	1919	2013-08-04 02:50:50.510084	2013-08-04 02:50:50.510084	219
28127	152550	24023	2013-08-04 02:50:50.561898	2013-08-04 02:50:50.561898	219
28128	152550	24031	2013-08-04 02:50:50.572187	2013-08-04 02:50:50.572187	219
28129	152550	24020	2013-08-04 02:50:50.583376	2013-08-04 02:50:50.583376	219
28130	152550	24011	2013-08-04 02:50:50.594782	2013-08-04 02:50:50.594782	219
28131	152550	23991	2013-08-04 02:50:50.606558	2013-08-04 02:50:50.606558	219
28132	152550	23971	2013-08-04 02:50:50.618143	2013-08-04 02:50:50.618143	219
28133	152550	4804	2013-08-04 02:50:50.628326	2013-08-04 02:50:50.628326	219
28134	152550	23951	2013-08-04 02:50:50.631634	2013-08-04 02:50:50.631634	219
28135	152550	23931	2013-08-04 02:50:50.635176	2013-08-04 02:50:50.635176	219
28136	152550	23911	2013-08-04 02:50:50.640937	2013-08-04 02:50:50.640937	219
28137	152550	23891	2013-08-04 02:50:50.647717	2013-08-04 02:50:50.647717	219
28138	152550	23885	2013-08-04 02:50:50.655782	2013-08-04 02:50:50.655782	219
28139	152550	23871	2013-08-04 02:50:50.666398	2013-08-04 02:50:50.666398	219
28140	152550	4748	2013-08-04 02:50:50.677569	2013-08-04 02:50:50.677569	219
28141	152550	4768	2013-08-04 02:50:50.689113	2013-08-04 02:50:50.689113	219
28142	152550	23851	2013-08-04 02:50:50.702263	2013-08-04 02:50:50.702263	219
28143	152550	23831	2013-08-04 02:50:50.711638	2013-08-04 02:50:50.711638	219
28144	152550	23811	2013-08-04 02:50:50.724446	2013-08-04 02:50:50.724446	219
28145	152550	23791	2013-08-04 02:50:50.730961	2013-08-04 02:50:50.730961	219
28146	152546	27086	2013-08-04 02:50:50.753204	2013-08-04 02:50:50.753204	219
28147	152546	16276	2013-08-04 02:50:50.757741	2013-08-04 02:50:50.757741	219
28148	152551	39517	2013-08-04 02:50:50.778245	2013-08-04 02:50:50.778245	219
28149	152551	39497	2013-08-04 02:50:50.782686	2013-08-04 02:50:50.782686	219
28150	152551	39477	2013-08-04 02:50:50.788808	2013-08-04 02:50:50.788808	219
28151	152551	39457	2013-08-04 02:50:50.795404	2013-08-04 02:50:50.795404	219
28152	152551	39437	2013-08-04 02:50:50.806577	2013-08-04 02:50:50.806577	219
28153	152551	39417	2013-08-04 02:50:50.818516	2013-08-04 02:50:50.818516	219
28154	152551	39272	2013-08-04 02:50:50.823277	2013-08-04 02:50:50.823277	219
28155	152551	39295	2013-08-04 02:50:50.827478	2013-08-04 02:50:50.827478	219
28156	152551	39397	2013-08-04 02:50:50.831587	2013-08-04 02:50:50.831587	219
28157	152551	39377	2013-08-04 02:50:50.835858	2013-08-04 02:50:50.835858	219
28158	152551	39357	2013-08-04 02:50:50.84251	2013-08-04 02:50:50.84251	219
28159	152551	39337	2013-08-04 02:50:50.849838	2013-08-04 02:50:50.849838	219
28160	152551	39317	2013-08-04 02:50:50.855014	2013-08-04 02:50:50.855014	219
28161	152551	39297	2013-08-04 02:50:50.859721	2013-08-04 02:50:50.859721	219
28162	152551	39381	2013-08-04 02:50:50.864094	2013-08-04 02:50:50.864094	219
28163	152551	39277	2013-08-04 02:50:50.868248	2013-08-04 02:50:50.868248	219
28164	152551	39257	2013-08-04 02:50:50.872549	2013-08-04 02:50:50.872549	219
28165	152551	27046	2013-08-04 02:50:50.876782	2013-08-04 02:50:50.876782	219
28166	152551	16256	2013-08-04 02:50:50.880271	2013-08-04 02:50:50.880271	219
28167	152552	13486	2013-08-04 02:50:50.893884	2013-08-04 02:50:50.893884	219
28168	152552	20379	2013-08-04 02:50:50.898125	2013-08-04 02:50:50.898125	219
28169	152552	12476	2013-08-04 02:50:50.90229	2013-08-04 02:50:50.90229	219
28170	152552	20359	2013-08-04 02:50:50.906706	2013-08-04 02:50:50.906706	219
28171	152552	20386	2013-08-04 02:50:50.910502	2013-08-04 02:50:50.910502	219
28172	152552	20339	2013-08-04 02:50:50.913879	2013-08-04 02:50:50.913879	219
28173	152552	20290	2013-08-04 02:50:50.918387	2013-08-04 02:50:50.918387	219
28174	152552	20319	2013-08-04 02:50:50.923576	2013-08-04 02:50:50.923576	219
28175	152552	20295	2013-08-04 02:50:50.927851	2013-08-04 02:50:50.927851	219
28176	152552	20299	2013-08-04 02:50:50.936395	2013-08-04 02:50:50.936395	219
28177	152552	20372	2013-08-04 02:50:50.946134	2013-08-04 02:50:50.946134	219
28178	152552	20352	2013-08-04 02:50:50.957052	2013-08-04 02:50:50.957052	219
28179	152552	20279	2013-08-04 02:50:50.968143	2013-08-04 02:50:50.968143	219
28180	152552	20259	2013-08-04 02:50:50.979587	2013-08-04 02:50:50.979587	219
28181	152552	20245	2013-08-04 02:50:50.991547	2013-08-04 02:50:50.991547	219
28182	152552	33020	2013-08-04 02:50:51.001256	2013-08-04 02:50:51.001256	219
28183	152552	4144	2013-08-04 02:50:51.005062	2013-08-04 02:50:51.005062	219
28184	152552	20177	2013-08-04 02:50:51.008552	2013-08-04 02:50:51.008552	219
28185	152552	16278	2013-08-04 02:50:51.011818	2013-08-04 02:50:51.011818	219
28186	152889	16992	2013-08-04 02:56:11.038841	2013-08-04 02:56:11.038841	220
28187	152863	5570	2013-08-04 02:56:11.053717	2013-08-04 02:56:11.053717	220
28188	152812	5649	2013-08-04 02:56:11.061165	2013-08-04 02:56:11.061165	220
28189	152796	23128	2013-08-04 02:56:11.068443	2013-08-04 02:56:11.068443	220
28190	152781	8611	2013-08-04 02:56:11.076275	2013-08-04 02:56:11.076275	220
28191	152734	8631	2013-08-04 02:56:11.083982	2013-08-04 02:56:11.083982	220
28192	152727	6219	2013-08-04 02:56:11.091775	2013-08-04 02:56:11.091775	220
28193	152712	7771	2013-08-04 02:56:11.104782	2013-08-04 02:56:11.104782	220
28194	152677	7751	2013-08-04 02:56:11.11881	2013-08-04 02:56:11.11881	220
28195	152670	21835	2013-08-04 02:56:11.127329	2013-08-04 02:56:11.127329	220
28196	152641	6439	2013-08-04 02:56:11.134859	2013-08-04 02:56:11.134859	220
28197	152622	16516	2013-08-04 02:56:11.147327	2013-08-04 02:56:11.147327	220
28198	152617	16656	2013-08-04 02:56:11.157063	2013-08-04 02:56:11.157063	220
28199	152601	49935	2013-08-04 02:56:11.16709	2013-08-04 02:56:11.16709	220
28200	152624	27846	2013-08-04 02:56:11.881359	2013-08-04 02:56:11.881359	220
28201	152624	26481	2013-08-04 02:56:11.890925	2013-08-04 02:56:11.890925	220
28202	152624	27826	2013-08-04 02:56:11.900393	2013-08-04 02:56:11.900393	220
28203	152624	27806	2013-08-04 02:56:11.909892	2013-08-04 02:56:11.909892	220
28204	152624	27892	2013-08-04 02:56:11.919738	2013-08-04 02:56:11.919738	220
28205	152624	27765	2013-08-04 02:56:11.93068	2013-08-04 02:56:11.93068	220
28206	152624	27786	2013-08-04 02:56:11.936606	2013-08-04 02:56:11.936606	220
28207	152624	27766	2013-08-04 02:56:11.941583	2013-08-04 02:56:11.941583	220
28208	152624	27746	2013-08-04 02:56:11.946426	2013-08-04 02:56:11.946426	220
28209	152624	27726	2013-08-04 02:56:11.952363	2013-08-04 02:56:11.952363	220
28210	152624	27706	2013-08-04 02:56:11.960005	2013-08-04 02:56:11.960005	220
28211	152624	27710	2013-08-04 02:56:11.967583	2013-08-04 02:56:11.967583	220
28212	152624	33921	2013-08-04 02:56:11.975893	2013-08-04 02:56:11.975893	220
28213	152624	27686	2013-08-04 02:56:11.985141	2013-08-04 02:56:11.985141	220
28214	152624	27666	2013-08-04 02:56:11.991104	2013-08-04 02:56:11.991104	220
28215	152624	16516	2013-08-04 02:56:11.996696	2013-08-04 02:56:11.996696	220
28216	152624	16577	2013-08-04 02:56:12.001544	2013-08-04 02:56:12.001544	220
28217	152624	16353	2013-08-04 02:56:12.005529	2013-08-04 02:56:12.005529	220
28218	152624	2121	2013-08-04 02:56:12.009238	2013-08-04 02:56:12.009238	220
28219	152625	2080	2013-08-04 02:56:12.022172	2013-08-04 02:56:12.022172	220
28220	152625	2108	2013-08-04 02:56:12.026111	2013-08-04 02:56:12.026111	220
28221	152625	2099	2013-08-04 02:56:12.030146	2013-08-04 02:56:12.030146	220
28222	152625	2119	2013-08-04 02:56:12.034561	2013-08-04 02:56:12.034561	220
28223	152625	2100	2013-08-04 02:56:12.038963	2013-08-04 02:56:12.038963	220
28224	152625	2167	2013-08-04 02:56:12.043109	2013-08-04 02:56:12.043109	220
28225	152625	38283	2013-08-04 02:56:12.047123	2013-08-04 02:56:12.047123	220
28226	152625	2084	2013-08-04 02:56:12.051281	2013-08-04 02:56:12.051281	220
28227	152625	15635	2013-08-04 02:56:12.055534	2013-08-04 02:56:12.055534	220
28228	152625	19795	2013-08-04 02:56:12.060263	2013-08-04 02:56:12.060263	220
28229	152625	2147	2013-08-04 02:56:12.0648	2013-08-04 02:56:12.0648	220
28230	152625	888	2013-08-04 02:56:12.070105	2013-08-04 02:56:12.070105	220
28231	152625	2168	2013-08-04 02:56:12.075052	2013-08-04 02:56:12.075052	220
28232	152625	2120	2013-08-04 02:56:12.079705	2013-08-04 02:56:12.079705	220
28233	152625	16666	2013-08-04 02:56:12.083626	2013-08-04 02:56:12.083626	220
28234	152625	2127	2013-08-04 02:56:12.087411	2013-08-04 02:56:12.087411	220
28235	152625	2181	2013-08-04 02:56:12.09127	2013-08-04 02:56:12.09127	220
28236	152625	2198	2013-08-04 02:56:12.095383	2013-08-04 02:56:12.095383	220
28237	152625	2088	2013-08-04 02:56:12.1002	2013-08-04 02:56:12.1002	220
28238	152626	24231	2013-08-04 02:56:12.145538	2013-08-04 02:56:12.145538	220
28239	152626	24203	2013-08-04 02:56:12.149772	2013-08-04 02:56:12.149772	220
28240	152626	24211	2013-08-04 02:56:12.154069	2013-08-04 02:56:12.154069	220
28241	152626	24191	2013-08-04 02:56:12.161276	2013-08-04 02:56:12.161276	220
28242	152626	24185	2013-08-04 02:56:12.167969	2013-08-04 02:56:12.167969	220
28243	152626	24038	2013-08-04 02:56:12.177308	2013-08-04 02:56:12.177308	220
28244	152626	18800	2013-08-04 02:56:12.187927	2013-08-04 02:56:12.187927	220
28245	152626	24171	2013-08-04 02:56:12.199135	2013-08-04 02:56:12.199135	220
28246	152626	24151	2013-08-04 02:56:12.209649	2013-08-04 02:56:12.209649	220
28247	152626	24131	2013-08-04 02:56:12.218951	2013-08-04 02:56:12.218951	220
28248	152626	24090	2013-08-04 02:56:12.227674	2013-08-04 02:56:12.227674	220
28249	152626	24111	2013-08-04 02:56:12.237787	2013-08-04 02:56:12.237787	220
28250	152626	1178	2013-08-04 02:56:12.248448	2013-08-04 02:56:12.248448	220
28251	152626	24092	2013-08-04 02:56:12.256578	2013-08-04 02:56:12.256578	220
28252	152626	24091	2013-08-04 02:56:12.264771	2013-08-04 02:56:12.264771	220
28253	152626	24071	2013-08-04 02:56:12.268521	2013-08-04 02:56:12.268521	220
28254	152626	24110	2013-08-04 02:56:12.272227	2013-08-04 02:56:12.272227	220
28255	152626	24051	2013-08-04 02:56:12.275963	2013-08-04 02:56:12.275963	220
28256	152626	48923	2013-08-04 02:56:12.279508	2013-08-04 02:56:12.279508	220
28257	152623	16556	2013-08-04 02:56:12.298205	2013-08-04 02:56:12.298205	220
28258	152623	5106	2013-08-04 02:56:12.301528	2013-08-04 02:56:12.301528	220
28259	152627	39757	2013-08-04 02:56:12.321514	2013-08-04 02:56:12.321514	220
28260	152627	39861	2013-08-04 02:56:12.331991	2013-08-04 02:56:12.331991	220
28261	152627	39737	2013-08-04 02:56:12.342966	2013-08-04 02:56:12.342966	220
28262	152627	39717	2013-08-04 02:56:12.353945	2013-08-04 02:56:12.353945	220
28263	152627	39697	2013-08-04 02:56:12.364795	2013-08-04 02:56:12.364795	220
28264	152627	39677	2013-08-04 02:56:12.375598	2013-08-04 02:56:12.375598	220
28265	152627	39657	2013-08-04 02:56:12.386725	2013-08-04 02:56:12.386725	220
28266	152627	39637	2013-08-04 02:56:12.39764	2013-08-04 02:56:12.39764	220
28267	152627	39658	2013-08-04 02:56:12.408263	2013-08-04 02:56:12.408263	220
28268	152627	39617	2013-08-04 02:56:12.416685	2013-08-04 02:56:12.416685	220
28269	152627	39597	2013-08-04 02:56:12.426025	2013-08-04 02:56:12.426025	220
28270	152627	39577	2013-08-04 02:56:12.436575	2013-08-04 02:56:12.436575	220
28271	152627	39510	2013-08-04 02:56:12.447832	2013-08-04 02:56:12.447832	220
28272	152627	39557	2013-08-04 02:56:12.460115	2013-08-04 02:56:12.460115	220
28273	152627	39537	2013-08-04 02:56:12.471146	2013-08-04 02:56:12.471146	220
28274	152627	7751	2013-08-04 02:56:12.476528	2013-08-04 02:56:12.476528	220
28275	152627	15871	2013-08-04 02:56:12.481359	2013-08-04 02:56:12.481359	220
28276	152627	16416	2013-08-04 02:56:12.485945	2013-08-04 02:56:12.485945	220
28277	152627	49415	2013-08-04 02:56:12.489828	2013-08-04 02:56:12.489828	220
28278	152767	20599	2013-08-04 02:56:12.507681	2013-08-04 02:56:12.507681	220
28279	152767	20579	2013-08-04 02:56:12.511916	2013-08-04 02:56:12.511916	220
28280	152767	20493	2013-08-04 02:56:12.518056	2013-08-04 02:56:12.518056	220
28281	152767	20530	2013-08-04 02:56:12.522623	2013-08-04 02:56:12.522623	220
28282	152767	20559	2013-08-04 02:56:12.526778	2013-08-04 02:56:12.526778	220
28283	152767	20539	2013-08-04 02:56:12.530812	2013-08-04 02:56:12.530812	220
28284	152767	12050	2013-08-04 02:56:12.534979	2013-08-04 02:56:12.534979	220
28285	152767	20533	2013-08-04 02:56:12.539486	2013-08-04 02:56:12.539486	220
28286	152767	20519	2013-08-04 02:56:12.544282	2013-08-04 02:56:12.544282	220
28287	152767	20499	2013-08-04 02:56:12.548757	2013-08-04 02:56:12.548757	220
28288	152767	20479	2013-08-04 02:56:12.554766	2013-08-04 02:56:12.554766	220
28289	152767	20543	2013-08-04 02:56:12.562767	2013-08-04 02:56:12.562767	220
28290	152767	20459	2013-08-04 02:56:12.57292	2013-08-04 02:56:12.57292	220
28291	152767	20439	2013-08-04 02:56:12.583715	2013-08-04 02:56:12.583715	220
28292	152767	20419	2013-08-04 02:56:12.594573	2013-08-04 02:56:12.594573	220
28293	152767	20399	2013-08-04 02:56:12.605309	2013-08-04 02:56:12.605309	220
28294	152767	16536	2013-08-04 02:56:12.616323	2013-08-04 02:56:12.616323	220
28295	152767	16350	2013-08-04 02:56:12.626212	2013-08-04 02:56:12.626212	220
28296	152767	16566	2013-08-04 02:56:12.635984	2013-08-04 02:56:12.635984	220
28297	152889	8559	2013-08-04 03:00:37.352507	2013-08-04 03:00:37.352507	221
28298	152863	16965	2013-08-04 03:00:37.372577	2013-08-04 03:00:37.372577	221
28299	152812	4058	2013-08-04 03:00:37.385028	2013-08-04 03:00:37.385028	221
28300	152796	4078	2013-08-04 03:00:37.3924	2013-08-04 03:00:37.3924	221
28301	152781	40197	2013-08-04 03:00:37.404673	2013-08-04 03:00:37.404673	221
28302	152734	20899	2013-08-04 03:00:37.420111	2013-08-04 03:00:37.420111	221
28303	152727	20659	2013-08-04 03:00:37.442211	2013-08-04 03:00:37.442211	221
28304	152712	16836	2013-08-04 03:00:37.464438	2013-08-04 03:00:37.464438	221
28305	152677	28252	2013-08-04 03:00:37.475284	2013-08-04 03:00:37.475284	221
28306	152670	8345	2013-08-04 03:00:37.484131	2013-08-04 03:00:37.484131	221
28307	152641	24551	2013-08-04 03:00:37.492647	2013-08-04 03:00:37.492647	221
28308	152622	17013	2013-08-04 03:00:37.508993	2013-08-04 03:00:37.508993	221
28309	152617	21512	2013-08-04 03:00:37.525616	2013-08-04 03:00:37.525616	221
28310	152601	21655	2013-08-04 03:00:37.547547	2013-08-04 03:00:37.547547	221
28311	152624	28306	2013-08-04 03:00:38.348567	2013-08-04 03:00:38.348567	221
28312	152624	28286	2013-08-04 03:00:38.362057	2013-08-04 03:00:38.362057	221
28313	152624	28266	2013-08-04 03:00:38.368645	2013-08-04 03:00:38.368645	221
28314	152624	28137	2013-08-04 03:00:38.373903	2013-08-04 03:00:38.373903	221
28315	152624	28217	2013-08-04 03:00:38.380026	2013-08-04 03:00:38.380026	221
28316	152624	28155	2013-08-04 03:00:38.385294	2013-08-04 03:00:38.385294	221
28317	152624	28246	2013-08-04 03:00:38.390339	2013-08-04 03:00:38.390339	221
28318	152624	28226	2013-08-04 03:00:38.394075	2013-08-04 03:00:38.394075	221
28319	152624	28206	2013-08-04 03:00:38.397082	2013-08-04 03:00:38.397082	221
28320	152624	45515	2013-08-04 03:00:38.40006	2013-08-04 03:00:38.40006	221
28321	152624	28186	2013-08-04 03:00:38.403432	2013-08-04 03:00:38.403432	221
28322	152624	26437	2013-08-04 03:00:38.411993	2013-08-04 03:00:38.411993	221
28323	152624	28166	2013-08-04 03:00:38.417113	2013-08-04 03:00:38.417113	221
28324	152624	28146	2013-08-04 03:00:38.421581	2013-08-04 03:00:38.421581	221
28325	152624	28126	2013-08-04 03:00:38.42876	2013-08-04 03:00:38.42876	221
28326	152624	15348	2013-08-04 03:00:38.43811	2013-08-04 03:00:38.43811	221
28327	152624	28106	2013-08-04 03:00:38.448429	2013-08-04 03:00:38.448429	221
28328	152624	16136	2013-08-04 03:00:38.460112	2013-08-04 03:00:38.460112	221
28329	152624	20819	2013-08-04 03:00:38.4709	2013-08-04 03:00:38.4709	221
28330	152625	22108	2013-08-04 03:00:38.492024	2013-08-04 03:00:38.492024	221
28331	152625	2267	2013-08-04 03:00:38.501506	2013-08-04 03:00:38.501506	221
28332	152625	2336	2013-08-04 03:00:38.509633	2013-08-04 03:00:38.509633	221
28333	152625	2235	2013-08-04 03:00:38.514546	2013-08-04 03:00:38.514546	221
28334	152625	2272	2013-08-04 03:00:38.518956	2013-08-04 03:00:38.518956	221
28335	152625	20181	2013-08-04 03:00:38.523267	2013-08-04 03:00:38.523267	221
28336	152625	2247	2013-08-04 03:00:38.527711	2013-08-04 03:00:38.527711	221
28337	152625	2227	2013-08-04 03:00:38.532123	2013-08-04 03:00:38.532123	221
28338	152625	4890	2013-08-04 03:00:38.536434	2013-08-04 03:00:38.536434	221
28339	152625	6286	2013-08-04 03:00:38.540835	2013-08-04 03:00:38.540835	221
28340	152625	49935	2013-08-04 03:00:38.545285	2013-08-04 03:00:38.545285	221
28341	152625	47503	2013-08-04 03:00:38.548976	2013-08-04 03:00:38.548976	221
28342	152625	28692	2013-08-04 03:00:38.553352	2013-08-04 03:00:38.553352	221
28343	152625	2207	2013-08-04 03:00:38.559653	2013-08-04 03:00:38.559653	221
28344	152625	2260	2013-08-04 03:00:38.565053	2013-08-04 03:00:38.565053	221
28345	152625	2351	2013-08-04 03:00:38.569958	2013-08-04 03:00:38.569958	221
28346	152625	19981	2013-08-04 03:00:38.574917	2013-08-04 03:00:38.574917	221
28347	152625	2138	2013-08-04 03:00:38.579711	2013-08-04 03:00:38.579711	221
28348	152625	21655	2013-08-04 03:00:38.584693	2013-08-04 03:00:38.584693	221
28349	152626	24711	2013-08-04 03:00:38.625469	2013-08-04 03:00:38.625469	221
28350	152626	24691	2013-08-04 03:00:38.629917	2013-08-04 03:00:38.629917	221
28351	152626	24671	2013-08-04 03:00:38.634383	2013-08-04 03:00:38.634383	221
28352	152626	24651	2013-08-04 03:00:38.638772	2013-08-04 03:00:38.638772	221
28353	152626	24558	2013-08-04 03:00:38.643215	2013-08-04 03:00:38.643215	221
28354	152626	24620	2013-08-04 03:00:38.647663	2013-08-04 03:00:38.647663	221
28355	152626	24640	2013-08-04 03:00:38.652074	2013-08-04 03:00:38.652074	221
28356	152626	15021	2013-08-04 03:00:38.656399	2013-08-04 03:00:38.656399	221
28357	152626	8811	2013-08-04 03:00:38.66053	2013-08-04 03:00:38.66053	221
28358	152626	10599	2013-08-04 03:00:38.664561	2013-08-04 03:00:38.664561	221
28359	152626	24631	2013-08-04 03:00:38.66879	2013-08-04 03:00:38.66879	221
28360	152626	24611	2013-08-04 03:00:38.67274	2013-08-04 03:00:38.67274	221
28361	152626	24591	2013-08-04 03:00:38.676706	2013-08-04 03:00:38.676706	221
28362	152626	24621	2013-08-04 03:00:38.683357	2013-08-04 03:00:38.683357	221
28363	152626	24571	2013-08-04 03:00:38.692116	2013-08-04 03:00:38.692116	221
28364	152626	19061	2013-08-04 03:00:38.698241	2013-08-04 03:00:38.698241	221
28365	152626	23431	2013-08-04 03:00:38.703036	2013-08-04 03:00:38.703036	221
28366	152626	49915	2013-08-04 03:00:38.709886	2013-08-04 03:00:38.709886	221
28367	152626	2048	2013-08-04 03:00:38.714243	2013-08-04 03:00:38.714243	221
28368	152623	11151	2013-08-04 03:00:38.73672	2013-08-04 03:00:38.73672	221
28369	152623	49255	2013-08-04 03:00:38.740452	2013-08-04 03:00:38.740452	221
28370	152623	21761	2013-08-04 03:00:38.748478	2013-08-04 03:00:38.748478	221
28371	152623	297	2013-08-04 03:00:38.75184	2013-08-04 03:00:38.75184	221
28372	152623	5444	2013-08-04 03:00:38.755081	2013-08-04 03:00:38.755081	221
28373	152623	27413	2013-08-04 03:00:38.758215	2013-08-04 03:00:38.758215	221
28374	152623	27273	2013-08-04 03:00:38.76117	2013-08-04 03:00:38.76117	221
28375	152623	28026	2013-08-04 03:00:38.764188	2013-08-04 03:00:38.764188	221
28376	152623	49855	2013-08-04 03:00:38.766961	2013-08-04 03:00:38.766961	221
28377	152623	22386	2013-08-04 03:00:38.769802	2013-08-04 03:00:38.769802	221
28378	152627	40477	2013-08-04 03:00:38.784602	2013-08-04 03:00:38.784602	221
28379	152627	40457	2013-08-04 03:00:38.788563	2013-08-04 03:00:38.788563	221
28380	152627	40437	2013-08-04 03:00:38.792136	2013-08-04 03:00:38.792136	221
28381	152627	40417	2013-08-04 03:00:38.795616	2013-08-04 03:00:38.795616	221
28382	152627	40397	2013-08-04 03:00:38.798998	2013-08-04 03:00:38.798998	221
28383	152627	40418	2013-08-04 03:00:38.802379	2013-08-04 03:00:38.802379	221
28384	152627	40377	2013-08-04 03:00:38.805886	2013-08-04 03:00:38.805886	221
28385	152627	40357	2013-08-04 03:00:38.808867	2013-08-04 03:00:38.808867	221
28386	152627	40290	2013-08-04 03:00:38.812329	2013-08-04 03:00:38.812329	221
28387	152627	40260	2013-08-04 03:00:38.815918	2013-08-04 03:00:38.815918	221
28388	152627	40337	2013-08-04 03:00:38.819229	2013-08-04 03:00:38.819229	221
28389	152627	40317	2013-08-04 03:00:38.822791	2013-08-04 03:00:38.822791	221
28390	152627	40297	2013-08-04 03:00:38.826259	2013-08-04 03:00:38.826259	221
28391	152627	40277	2013-08-04 03:00:38.829853	2013-08-04 03:00:38.829853	221
28392	152627	40257	2013-08-04 03:00:38.833435	2013-08-04 03:00:38.833435	221
28393	152627	40237	2013-08-04 03:00:38.837007	2013-08-04 03:00:38.837007	221
28394	152627	40295	2013-08-04 03:00:38.840573	2013-08-04 03:00:38.840573	221
28395	152627	40217	2013-08-04 03:00:38.844125	2013-08-04 03:00:38.844125	221
28396	152627	28252	2013-08-04 03:00:38.847266	2013-08-04 03:00:38.847266	221
28397	152767	21159	2013-08-04 03:00:38.892917	2013-08-04 03:00:38.892917	221
28398	152767	21139	2013-08-04 03:00:38.896856	2013-08-04 03:00:38.896856	221
28399	152767	12906	2013-08-04 03:00:38.900521	2013-08-04 03:00:38.900521	221
28400	152767	21119	2013-08-04 03:00:38.904212	2013-08-04 03:00:38.904212	221
28401	152767	21099	2013-08-04 03:00:38.907836	2013-08-04 03:00:38.907836	221
28402	152767	21131	2013-08-04 03:00:38.911362	2013-08-04 03:00:38.911362	221
28403	152767	21132	2013-08-04 03:00:38.91495	2013-08-04 03:00:38.91495	221
28404	152767	21079	2013-08-04 03:00:38.918686	2013-08-04 03:00:38.918686	221
28405	152767	21059	2013-08-04 03:00:38.922197	2013-08-04 03:00:38.922197	221
28406	152767	21046	2013-08-04 03:00:38.925727	2013-08-04 03:00:38.925727	221
28407	152767	21039	2013-08-04 03:00:38.929203	2013-08-04 03:00:38.929203	221
28408	152767	24530	2013-08-04 03:00:38.932748	2013-08-04 03:00:38.932748	221
28409	152767	21019	2013-08-04 03:00:38.936276	2013-08-04 03:00:38.936276	221
28410	152767	20999	2013-08-04 03:00:38.939937	2013-08-04 03:00:38.939937	221
28411	152767	20979	2013-08-04 03:00:38.943538	2013-08-04 03:00:38.943538	221
28412	152767	20959	2013-08-04 03:00:38.94739	2013-08-04 03:00:38.94739	221
28413	152767	20939	2013-08-04 03:00:38.952584	2013-08-04 03:00:38.952584	221
28414	152767	20919	2013-08-04 03:00:38.956231	2013-08-04 03:00:38.956231	221
28415	152767	28632	2013-08-04 03:00:38.9599	2013-08-04 03:00:38.9599	221
28580	154030	2166	2013-08-04 17:07:42.684205	2013-08-04 17:07:42.684205	223
28581	154030	10918	2013-08-04 17:07:42.702509	2013-08-04 17:07:42.702509	223
28582	154030	12777	2013-08-04 17:07:42.706318	2013-08-04 17:07:42.706318	223
28583	154030	23997	2013-08-04 17:07:42.710057	2013-08-04 17:07:42.710057	223
28584	154030	10575	2013-08-04 17:07:42.713553	2013-08-04 17:07:42.713553	223
28585	154030	2288	2013-08-04 17:07:42.716955	2013-08-04 17:07:42.716955	223
28586	154030	16806	2013-08-04 17:07:42.720377	2013-08-04 17:07:42.720377	223
28587	154030	35123	2013-08-04 17:07:42.723783	2013-08-04 17:07:42.723783	223
28588	154030	24825	2013-08-04 17:07:42.727229	2013-08-04 17:07:42.727229	223
28589	154030	34783	2013-08-04 17:07:42.730653	2013-08-04 17:07:42.730653	223
28590	154030	2212	2013-08-04 17:07:42.73403	2013-08-04 17:07:42.73403	223
28591	154030	2434	2013-08-04 17:07:42.737563	2013-08-04 17:07:42.737563	223
28592	154030	30677	2013-08-04 17:07:42.741012	2013-08-04 17:07:42.741012	223
28593	154030	28386	2013-08-04 17:07:42.74449	2013-08-04 17:07:42.74449	223
28594	155329	40852	2013-08-04 17:07:42.765929	2013-08-04 17:07:42.765929	223
28595	155329	40937	2013-08-04 17:07:42.775456	2013-08-04 17:07:42.775456	223
28596	155329	40917	2013-08-04 17:07:42.779439	2013-08-04 17:07:42.779439	223
28597	155329	40850	2013-08-04 17:07:42.783161	2013-08-04 17:07:42.783161	223
28598	155329	40897	2013-08-04 17:07:42.786865	2013-08-04 17:07:42.786865	223
28599	155329	40877	2013-08-04 17:07:42.790636	2013-08-04 17:07:42.790636	223
28600	155329	40857	2013-08-04 17:07:42.794406	2013-08-04 17:07:42.794406	223
28601	155329	40837	2013-08-04 17:07:42.798099	2013-08-04 17:07:42.798099	223
28602	155329	40941	2013-08-04 17:07:42.801817	2013-08-04 17:07:42.801817	223
28603	155329	40817	2013-08-04 17:07:42.805641	2013-08-04 17:07:42.805641	223
28604	155329	40797	2013-08-04 17:07:42.809439	2013-08-04 17:07:42.809439	223
28605	155329	40777	2013-08-04 17:07:42.813083	2013-08-04 17:07:42.813083	223
28606	155329	40757	2013-08-04 17:07:42.816901	2013-08-04 17:07:42.816901	223
28607	155329	40737	2013-08-04 17:07:42.8206	2013-08-04 17:07:42.8206	223
28608	155329	40717	2013-08-04 17:07:42.824252	2013-08-04 17:07:42.824252	223
28609	155329	40697	2013-08-04 17:07:42.82792	2013-08-04 17:07:42.82792	223
28610	155329	40805	2013-08-04 17:07:42.831527	2013-08-04 17:07:42.831527	223
28611	155329	24660	2013-08-04 17:07:42.835074	2013-08-04 17:07:42.835074	223
28612	155329	11078	2013-08-04 17:07:42.83841	2013-08-04 17:07:42.83841	223
28613	154031	21472	2013-08-04 17:07:42.884929	2013-08-04 17:07:42.884929	223
28614	154031	21359	2013-08-04 17:07:42.888933	2013-08-04 17:07:42.888933	223
28615	154031	16592	2013-08-04 17:07:42.892848	2013-08-04 17:07:42.892848	223
28616	154031	757	2013-08-04 17:07:42.896768	2013-08-04 17:07:42.896768	223
28617	154031	2413	2013-08-04 17:07:42.900424	2013-08-04 17:07:42.900424	223
28618	154031	3921	2013-08-04 17:07:42.903942	2013-08-04 17:07:42.903942	223
28619	154031	2307	2013-08-04 17:07:42.907446	2013-08-04 17:07:42.907446	223
28620	154031	2187	2013-08-04 17:07:42.910932	2013-08-04 17:07:42.910932	223
28621	154031	4384	2013-08-04 17:07:42.914341	2013-08-04 17:07:42.914341	223
28622	154031	10655	2013-08-04 17:07:42.917726	2013-08-04 17:07:42.917726	223
28623	154031	23266	2013-08-04 17:07:42.921062	2013-08-04 17:07:42.921062	223
28624	154031	23957	2013-08-04 17:07:42.924616	2013-08-04 17:07:42.924616	223
28625	154031	15790	2013-08-04 17:07:42.928024	2013-08-04 17:07:42.928024	223
28626	154031	28397	2013-08-04 17:07:42.931574	2013-08-04 17:07:42.931574	223
28627	154031	28500	2013-08-04 17:07:42.935311	2013-08-04 17:07:42.935311	223
28628	154031	28366	2013-08-04 17:07:42.938969	2013-08-04 17:07:42.938969	223
28629	154031	21339	2013-08-04 17:07:42.942373	2013-08-04 17:07:42.942373	223
28630	154031	17301	2013-08-04 17:07:42.945775	2013-08-04 17:07:42.945775	223
28631	154031	35623	2013-08-04 17:07:42.949274	2013-08-04 17:07:42.949274	223
28632	155320	21559	2013-08-04 17:07:42.962972	2013-08-04 17:07:42.962972	223
28633	155320	21539	2013-08-04 17:07:42.966981	2013-08-04 17:07:42.966981	223
28634	155320	21519	2013-08-04 17:07:42.970636	2013-08-04 17:07:42.970636	223
28635	155320	21445	2013-08-04 17:07:42.974321	2013-08-04 17:07:42.974321	223
28636	155320	21457	2013-08-04 17:07:42.977941	2013-08-04 17:07:42.977941	223
28637	155320	18443	2013-08-04 17:07:42.981651	2013-08-04 17:07:42.981651	223
28638	155320	21499	2013-08-04 17:07:42.985414	2013-08-04 17:07:42.985414	223
28639	155320	21479	2013-08-04 17:07:42.989002	2013-08-04 17:07:42.989002	223
28640	155320	21459	2013-08-04 17:07:42.992638	2013-08-04 17:07:42.992638	223
28641	155320	21470	2013-08-04 17:07:42.996043	2013-08-04 17:07:42.996043	223
28642	155320	21439	2013-08-04 17:07:42.999575	2013-08-04 17:07:42.999575	223
28643	155320	21453	2013-08-04 17:07:43.003097	2013-08-04 17:07:43.003097	223
28644	155320	21419	2013-08-04 17:07:43.006723	2013-08-04 17:07:43.006723	223
28645	155320	21370	2013-08-04 17:07:43.010451	2013-08-04 17:07:43.010451	223
28646	155320	21463	2013-08-04 17:07:43.014153	2013-08-04 17:07:43.014153	223
28647	155320	21399	2013-08-04 17:07:43.017908	2013-08-04 17:07:43.017908	223
28648	155320	46643	2013-08-04 17:07:43.021579	2013-08-04 17:07:43.021579	223
28649	155320	21392	2013-08-04 17:07:43.025257	2013-08-04 17:07:43.025257	223
28650	155320	21379	2013-08-04 17:07:43.028835	2013-08-04 17:07:43.028835	223
28651	159167	16988	2013-08-04 17:11:51.809627	2013-08-04 17:11:51.809627	224
28652	159167	2619	2013-08-04 17:11:51.819538	2013-08-04 17:11:51.819538	224
28653	159167	46155	2013-08-04 17:11:51.828006	2013-08-04 17:11:51.828006	224
28654	159167	2445	2013-08-04 17:11:51.836608	2013-08-04 17:11:51.836608	224
28655	159167	2387	2013-08-04 17:11:51.844494	2013-08-04 17:11:51.844494	224
28656	159167	2309	2013-08-04 17:11:51.850216	2013-08-04 17:11:51.850216	224
28657	159167	2225	2013-08-04 17:11:51.857876	2013-08-04 17:11:51.857876	224
28658	159167	2050	2013-08-04 17:11:51.866509	2013-08-04 17:11:51.866509	224
28659	159167	1784	2013-08-04 17:11:51.874624	2013-08-04 17:11:51.874624	224
28660	159167	10535	2013-08-04 17:11:51.877171	2013-08-04 17:11:51.877171	224
28661	159167	1848	2013-08-04 17:11:51.879746	2013-08-04 17:11:51.879746	224
28662	159167	37983	2013-08-04 17:11:51.883887	2013-08-04 17:11:51.883887	224
28663	159167	24851	2013-08-04 17:11:51.88944	2013-08-04 17:11:51.88944	224
28664	159167	21881	2013-08-04 17:11:51.893212	2013-08-04 17:11:51.893212	224
28665	159167	1203	2013-08-04 17:11:51.897925	2013-08-04 17:11:51.897925	224
28666	159167	17212	2013-08-04 17:11:51.900801	2013-08-04 17:11:51.900801	224
28667	159167	49875	2013-08-04 17:11:51.903452	2013-08-04 17:11:51.903452	224
28668	159167	36803	2013-08-04 17:11:51.906054	2013-08-04 17:11:51.906054	224
28669	159167	19761	2013-08-04 17:11:51.910686	2013-08-04 17:11:51.910686	224
28670	159169	16988	2013-08-04 17:11:51.924212	2013-08-04 17:11:51.924212	224
28671	159169	2619	2013-08-04 17:11:51.927107	2013-08-04 17:11:51.927107	224
28672	159169	46155	2013-08-04 17:11:51.929785	2013-08-04 17:11:51.929785	224
28673	159169	2445	2013-08-04 17:11:51.933006	2013-08-04 17:11:51.933006	224
28674	159169	2387	2013-08-04 17:11:51.938488	2013-08-04 17:11:51.938488	224
28675	159169	2309	2013-08-04 17:11:51.942058	2013-08-04 17:11:51.942058	224
28676	159169	2225	2013-08-04 17:11:51.945461	2013-08-04 17:11:51.945461	224
28677	159169	2050	2013-08-04 17:11:51.948439	2013-08-04 17:11:51.948439	224
28678	159169	1784	2013-08-04 17:11:51.951145	2013-08-04 17:11:51.951145	224
28679	159169	10535	2013-08-04 17:11:51.953757	2013-08-04 17:11:51.953757	224
28680	159169	1848	2013-08-04 17:11:51.956493	2013-08-04 17:11:51.956493	224
28681	159169	37983	2013-08-04 17:11:51.959206	2013-08-04 17:11:51.959206	224
28682	159169	24851	2013-08-04 17:11:51.962099	2013-08-04 17:11:51.962099	224
28683	159169	21881	2013-08-04 17:11:51.964902	2013-08-04 17:11:51.964902	224
28684	159169	1203	2013-08-04 17:11:51.967607	2013-08-04 17:11:51.967607	224
28685	159169	17212	2013-08-04 17:11:51.97035	2013-08-04 17:11:51.97035	224
28686	159169	49875	2013-08-04 17:11:51.974983	2013-08-04 17:11:51.974983	224
28687	159169	36803	2013-08-04 17:11:51.978578	2013-08-04 17:11:51.978578	224
28688	159169	19761	2013-08-04 17:11:51.982962	2013-08-04 17:11:51.982962	224
28689	159170	16988	2013-08-04 17:11:51.993972	2013-08-04 17:11:51.993972	224
28690	159170	2619	2013-08-04 17:11:51.996757	2013-08-04 17:11:51.996757	224
28691	159170	46155	2013-08-04 17:11:51.999344	2013-08-04 17:11:51.999344	224
28692	159170	2445	2013-08-04 17:11:52.00249	2013-08-04 17:11:52.00249	224
28693	159170	2387	2013-08-04 17:11:52.006719	2013-08-04 17:11:52.006719	224
28694	159170	2309	2013-08-04 17:11:52.011044	2013-08-04 17:11:52.011044	224
28695	159170	2225	2013-08-04 17:11:52.013804	2013-08-04 17:11:52.013804	224
28696	159170	2050	2013-08-04 17:11:52.016401	2013-08-04 17:11:52.016401	224
28697	159170	1784	2013-08-04 17:11:52.018947	2013-08-04 17:11:52.018947	224
28698	159170	10535	2013-08-04 17:11:52.021524	2013-08-04 17:11:52.021524	224
28699	159170	1848	2013-08-04 17:11:52.024382	2013-08-04 17:11:52.024382	224
28700	159170	37983	2013-08-04 17:11:52.02851	2013-08-04 17:11:52.02851	224
28701	159170	24851	2013-08-04 17:11:52.033098	2013-08-04 17:11:52.033098	224
28702	159170	21881	2013-08-04 17:11:52.037976	2013-08-04 17:11:52.037976	224
28703	159170	1203	2013-08-04 17:11:52.04263	2013-08-04 17:11:52.04263	224
28704	159170	17212	2013-08-04 17:11:52.046869	2013-08-04 17:11:52.046869	224
28705	159170	49875	2013-08-04 17:11:52.051029	2013-08-04 17:11:52.051029	224
28706	159170	36803	2013-08-04 17:11:52.055785	2013-08-04 17:11:52.055785	224
28707	159170	19761	2013-08-04 17:11:52.05909	2013-08-04 17:11:52.05909	224
28708	157884	41757	2013-08-04 17:11:52.079856	2013-08-04 17:11:52.079856	224
28709	157884	41737	2013-08-04 17:11:52.083902	2013-08-04 17:11:52.083902	224
28710	157884	41717	2013-08-04 17:11:52.088201	2013-08-04 17:11:52.088201	224
28711	157884	41697	2013-08-04 17:11:52.095845	2013-08-04 17:11:52.095845	224
28712	157884	41677	2013-08-04 17:11:52.102051	2013-08-04 17:11:52.102051	224
28713	157884	41657	2013-08-04 17:11:52.110058	2013-08-04 17:11:52.110058	224
28714	157884	41681	2013-08-04 17:11:52.118565	2013-08-04 17:11:52.118565	224
28715	157884	41637	2013-08-04 17:11:52.128761	2013-08-04 17:11:52.128761	224
28716	157884	41617	2013-08-04 17:11:52.138979	2013-08-04 17:11:52.138979	224
28717	157884	41550	2013-08-04 17:11:52.149213	2013-08-04 17:11:52.149213	224
28718	157884	41597	2013-08-04 17:11:52.159656	2013-08-04 17:11:52.159656	224
28719	157884	41577	2013-08-04 17:11:52.170023	2013-08-04 17:11:52.170023	224
28720	157884	41557	2013-08-04 17:11:52.180523	2013-08-04 17:11:52.180523	224
28721	157884	41537	2013-08-04 17:11:52.25201	2013-08-04 17:11:52.25201	224
28722	157884	41517	2013-08-04 17:11:52.256437	2013-08-04 17:11:52.256437	224
28723	157884	41478	2013-08-04 17:11:52.260643	2013-08-04 17:11:52.260643	224
28724	157884	41497	2013-08-04 17:11:52.2648	2013-08-04 17:11:52.2648	224
28725	157884	41477	2013-08-04 17:11:52.268993	2013-08-04 17:11:52.268993	224
28726	157884	25375	2013-08-04 17:11:52.274021	2013-08-04 17:11:52.274021	224
28727	159161	16988	2013-08-04 17:11:52.683265	2013-08-04 17:11:52.683265	224
28728	159161	2619	2013-08-04 17:11:52.691526	2013-08-04 17:11:52.691526	224
28729	159161	46155	2013-08-04 17:11:52.699427	2013-08-04 17:11:52.699427	224
28730	159161	2445	2013-08-04 17:11:52.707362	2013-08-04 17:11:52.707362	224
28731	159161	2387	2013-08-04 17:11:52.715126	2013-08-04 17:11:52.715126	224
28732	159161	2309	2013-08-04 17:11:52.722818	2013-08-04 17:11:52.722818	224
28733	159161	2225	2013-08-04 17:11:52.730504	2013-08-04 17:11:52.730504	224
28734	159161	2050	2013-08-04 17:11:52.738061	2013-08-04 17:11:52.738061	224
28735	159161	1784	2013-08-04 17:11:52.74602	2013-08-04 17:11:52.74602	224
28736	159161	10535	2013-08-04 17:11:52.753706	2013-08-04 17:11:52.753706	224
28737	159161	1848	2013-08-04 17:11:52.761334	2013-08-04 17:11:52.761334	224
28738	159161	37983	2013-08-04 17:11:52.769437	2013-08-04 17:11:52.769437	224
28739	159161	24851	2013-08-04 17:11:52.777641	2013-08-04 17:11:52.777641	224
28740	159161	21881	2013-08-04 17:11:52.786669	2013-08-04 17:11:52.786669	224
28741	159161	1203	2013-08-04 17:11:52.795002	2013-08-04 17:11:52.795002	224
28742	159161	17212	2013-08-04 17:11:52.803637	2013-08-04 17:11:52.803637	224
28743	159161	49875	2013-08-04 17:11:52.811738	2013-08-04 17:11:52.811738	224
28744	159161	36803	2013-08-04 17:11:52.820778	2013-08-04 17:11:52.820778	224
28745	159161	19761	2013-08-04 17:11:52.829023	2013-08-04 17:11:52.829023	224
28746	155168	15506	2013-08-04 17:11:52.940318	2013-08-04 17:11:52.940318	224
28747	155168	29321	2013-08-04 17:11:52.950844	2013-08-04 17:11:52.950844	224
28748	155168	16953	2013-08-04 17:11:52.961996	2013-08-04 17:11:52.961996	224
28749	155168	12856	2013-08-04 17:11:52.973057	2013-08-04 17:11:52.973057	224
28750	155168	36543	2013-08-04 17:11:52.983906	2013-08-04 17:11:52.983906	224
28751	155168	40192	2013-08-04 17:11:52.994928	2013-08-04 17:11:52.994928	224
28752	155168	47483	2013-08-04 17:11:53.020925	2013-08-04 17:11:53.020925	224
28753	155168	6584	2013-08-04 17:11:53.03191	2013-08-04 17:11:53.03191	224
28754	155168	41175	2013-08-04 17:11:53.042429	2013-08-04 17:11:53.042429	224
28755	155168	35203	2013-08-04 17:11:53.052731	2013-08-04 17:11:53.052731	224
28756	155168	19781	2013-08-04 17:11:53.062464	2013-08-04 17:11:53.062464	224
28757	155168	12032	2013-08-04 17:11:53.072002	2013-08-04 17:11:53.072002	224
28758	155168	22353	2013-08-04 17:11:53.081737	2013-08-04 17:11:53.081737	224
28759	155168	28466	2013-08-04 17:11:53.08888	2013-08-04 17:11:53.08888	224
28760	155168	31197	2013-08-04 17:11:53.096899	2013-08-04 17:11:53.096899	224
28761	155168	17336	2013-08-04 17:11:53.10701	2013-08-04 17:11:53.10701	224
28762	155168	28450	2013-08-04 17:11:53.116905	2013-08-04 17:11:53.116905	224
28763	155168	21319	2013-08-04 17:11:53.129541	2013-08-04 17:11:53.129541	224
28764	155168	21253	2013-08-04 17:11:53.140086	2013-08-04 17:11:53.140086	224
28765	159183	33463	2013-08-04 17:11:53.187173	2013-08-04 17:11:53.187173	224
28766	159183	41380	2013-08-04 17:11:53.198266	2013-08-04 17:11:53.198266	224
28767	159183	41177	2013-08-04 17:11:53.208687	2013-08-04 17:11:53.208687	224
28768	159183	3417	2013-08-04 17:11:53.218447	2013-08-04 17:11:53.218447	224
28769	159183	25371	2013-08-04 17:11:53.227825	2013-08-04 17:11:53.227825	224
28770	159183	17396	2013-08-04 17:11:53.2376	2013-08-04 17:11:53.2376	224
28771	159183	30392	2013-08-04 17:11:53.247881	2013-08-04 17:11:53.247881	224
28772	159183	2555	2013-08-04 17:11:53.258026	2013-08-04 17:11:53.258026	224
28773	154685	28626	2013-08-04 17:11:53.415696	2013-08-04 17:11:53.415696	224
28774	154685	28621	2013-08-04 17:11:53.426944	2013-08-04 17:11:53.426944	224
28775	154685	28606	2013-08-04 17:11:53.437949	2013-08-04 17:11:53.437949	224
28776	154685	28601	2013-08-04 17:11:53.44757	2013-08-04 17:11:53.44757	224
28777	154685	28615	2013-08-04 17:11:53.456024	2013-08-04 17:11:53.456024	224
28778	154685	28586	2013-08-04 17:11:53.466874	2013-08-04 17:11:53.466874	224
28779	154685	25348	2013-08-04 17:11:53.477585	2013-08-04 17:11:53.477585	224
28780	154685	4079	2013-08-04 17:11:53.488472	2013-08-04 17:11:53.488472	224
28781	154685	28535	2013-08-04 17:11:53.500237	2013-08-04 17:11:53.500237	224
28782	154685	28520	2013-08-04 17:11:53.511708	2013-08-04 17:11:53.511708	224
28783	154685	28515	2013-08-04 17:11:53.522125	2013-08-04 17:11:53.522125	224
28784	154685	28566	2013-08-04 17:11:53.532406	2013-08-04 17:11:53.532406	224
28785	154685	28546	2013-08-04 17:11:53.543493	2013-08-04 17:11:53.543493	224
28786	154685	25512	2013-08-04 17:11:53.553808	2013-08-04 17:11:53.553808	224
28787	154685	25318	2013-08-04 17:11:53.563913	2013-08-04 17:11:53.563913	224
28788	154685	3408	2013-08-04 17:11:53.574257	2013-08-04 17:11:53.574257	224
28789	154685	41070	2013-08-04 17:11:53.584898	2013-08-04 17:11:53.584898	224
28790	154685	2615	2013-08-04 17:11:53.595376	2013-08-04 17:11:53.595376	224
28791	154685	2599	2013-08-04 17:11:53.604884	2013-08-04 17:11:53.604884	224
28792	154686	2594	2013-08-04 17:11:53.642099	2013-08-04 17:11:53.642099	224
28793	154686	2665	2013-08-04 17:11:53.653286	2013-08-04 17:11:53.653286	224
28794	154686	2647	2013-08-04 17:11:53.664435	2013-08-04 17:11:53.664435	224
28795	154686	2608	2013-08-04 17:11:53.675546	2013-08-04 17:11:53.675546	224
28796	154686	2648	2013-08-04 17:11:53.686582	2013-08-04 17:11:53.686582	224
28797	154686	2627	2013-08-04 17:11:53.697517	2013-08-04 17:11:53.697517	224
28798	154686	31761	2013-08-04 17:11:53.708798	2013-08-04 17:11:53.708798	224
28799	154686	2577	2013-08-04 17:11:53.720131	2013-08-04 17:11:53.720131	224
28800	154686	2625	2013-08-04 17:11:53.731053	2013-08-04 17:11:53.731053	224
28801	154686	2597	2013-08-04 17:11:53.742169	2013-08-04 17:11:53.742169	224
28802	154686	2521	2013-08-04 17:11:53.753508	2013-08-04 17:11:53.753508	224
28803	154686	2564	2013-08-04 17:11:53.765022	2013-08-04 17:11:53.765022	224
28804	154686	2557	2013-08-04 17:11:53.776189	2013-08-04 17:11:53.776189	224
28805	154686	2531	2013-08-04 17:11:53.787376	2013-08-04 17:11:53.787376	224
28806	154686	2596	2013-08-04 17:11:53.799151	2013-08-04 17:11:53.799151	224
28807	154686	2536	2013-08-04 17:11:53.810671	2013-08-04 17:11:53.810671	224
28808	154686	2607	2013-08-04 17:11:53.821984	2013-08-04 17:11:53.821984	224
28809	154686	2663	2013-08-04 17:11:53.833909	2013-08-04 17:11:53.833909	224
28810	154686	10998	2013-08-04 17:11:53.845475	2013-08-04 17:11:53.845475	224
28811	159192	2638	2013-08-04 17:11:53.880621	2013-08-04 17:11:53.880621	224
28812	159192	2544	2013-08-04 17:11:53.89229	2013-08-04 17:11:53.89229	224
28813	159192	2590	2013-08-04 17:11:53.903266	2013-08-04 17:11:53.903266	224
28814	159192	2525	2013-08-04 17:11:53.914387	2013-08-04 17:11:53.914387	224
28815	159192	35363	2013-08-04 17:11:53.925338	2013-08-04 17:11:53.925338	224
28816	159192	4451	2013-08-04 17:11:53.936512	2013-08-04 17:11:53.936512	224
28817	159192	20748	2013-08-04 17:11:54.001721	2013-08-04 17:11:54.001721	224
28818	159192	2669	2013-08-04 17:11:54.017338	2013-08-04 17:11:54.017338	224
28819	159192	2617	2013-08-04 17:11:54.022764	2013-08-04 17:11:54.022764	224
28820	159192	3692	2013-08-04 17:11:54.028583	2013-08-04 17:11:54.028583	224
28821	159192	2585	2013-08-04 17:11:54.034812	2013-08-04 17:11:54.034812	224
28822	159192	2524	2013-08-04 17:11:54.040972	2013-08-04 17:11:54.040972	224
28823	159192	2645	2013-08-04 17:11:54.045963	2013-08-04 17:11:54.045963	224
28824	159192	2609	2013-08-04 17:11:54.053665	2013-08-04 17:11:54.053665	224
28825	159192	2589	2013-08-04 17:11:54.063415	2013-08-04 17:11:54.063415	224
28826	159192	11058	2013-08-04 17:11:54.074204	2013-08-04 17:11:54.074204	224
28827	159192	2655	2013-08-04 17:11:54.084682	2013-08-04 17:11:54.084682	224
28828	159192	2571	2013-08-04 17:11:54.096104	2013-08-04 17:11:54.096104	224
28829	159192	2667	2013-08-04 17:11:54.108094	2013-08-04 17:11:54.108094	224
28830	159182	25840	2013-08-04 17:11:54.152594	2013-08-04 17:11:54.152594	224
28831	159182	35243	2013-08-04 17:11:54.165744	2013-08-04 17:11:54.165744	224
28832	159182	25888	2013-08-04 17:11:54.177017	2013-08-04 17:11:54.177017	224
28833	159182	25868	2013-08-04 17:11:54.188138	2013-08-04 17:11:54.188138	224
28834	159182	25848	2013-08-04 17:11:54.199139	2013-08-04 17:11:54.199139	224
28835	159182	25828	2013-08-04 17:11:54.210578	2013-08-04 17:11:54.210578	224
28836	159182	26070	2013-08-04 17:11:54.220829	2013-08-04 17:11:54.220829	224
28837	159182	25808	2013-08-04 17:11:54.231727	2013-08-04 17:11:54.231727	224
28838	159182	25788	2013-08-04 17:11:54.242991	2013-08-04 17:11:54.242991	224
28839	159182	25841	2013-08-04 17:11:54.254129	2013-08-04 17:11:54.254129	224
28840	159182	25768	2013-08-04 17:11:54.265044	2013-08-04 17:11:54.265044	224
28841	159182	25655	2013-08-04 17:11:54.276154	2013-08-04 17:11:54.276154	224
28842	159182	25717	2013-08-04 17:11:54.287845	2013-08-04 17:11:54.287845	224
28843	159182	25551	2013-08-04 17:11:54.299596	2013-08-04 17:11:54.299596	224
28844	159182	25291	2013-08-04 17:11:54.309763	2013-08-04 17:11:54.309763	224
28845	159182	29152	2013-08-04 17:11:54.319907	2013-08-04 17:11:54.319907	224
28846	159182	41117	2013-08-04 17:11:54.329996	2013-08-04 17:11:54.329996	224
28847	159182	21763	2013-08-04 17:11:54.339765	2013-08-04 17:11:54.339765	224
28848	159182	2379	2013-08-04 17:11:54.349386	2013-08-04 17:11:54.349386	224
28849	159256	26128	2013-08-04 17:11:54.395704	2013-08-04 17:11:54.395704	224
28850	159256	26108	2013-08-04 17:11:54.407244	2013-08-04 17:11:54.407244	224
28851	159256	26088	2013-08-04 17:11:54.418686	2013-08-04 17:11:54.418686	224
28852	159256	26068	2013-08-04 17:11:54.429601	2013-08-04 17:11:54.429601	224
28853	159256	25995	2013-08-04 17:11:54.4403	2013-08-04 17:11:54.4403	224
28854	159256	26037	2013-08-04 17:11:54.451107	2013-08-04 17:11:54.451107	224
28855	159162	26057	2013-08-04 17:11:54.473703	2013-08-04 17:11:54.473703	224
28856	159162	26048	2013-08-04 17:11:54.481972	2013-08-04 17:11:54.481972	224
28857	159162	26028	2013-08-04 17:11:54.490413	2013-08-04 17:11:54.490413	224
28858	159162	26026	2013-08-04 17:11:54.498579	2013-08-04 17:11:54.498579	224
28859	159162	26008	2013-08-04 17:11:54.506808	2013-08-04 17:11:54.506808	224
28860	159162	25988	2013-08-04 17:11:54.514809	2013-08-04 17:11:54.514809	224
28861	155442	25961	2013-08-04 17:11:54.533811	2013-08-04 17:11:54.533811	224
28862	155442	25968	2013-08-04 17:11:54.545468	2013-08-04 17:11:54.545468	224
28863	155442	25948	2013-08-04 17:11:54.556519	2013-08-04 17:11:54.556519	224
28864	155442	25928	2013-08-04 17:11:54.567434	2013-08-04 17:11:54.567434	224
28865	155442	26060	2013-08-04 17:11:54.579073	2013-08-04 17:11:54.579073	224
28866	155442	25908	2013-08-04 17:11:54.590939	2013-08-04 17:11:54.590939	224
28867	159257	4501	2013-08-04 17:11:54.626899	2013-08-04 17:11:54.626899	224
28868	159257	22561	2013-08-04 17:11:54.639006	2013-08-04 17:11:54.639006	224
28869	159257	4372	2013-08-04 17:11:54.650764	2013-08-04 17:11:54.650764	224
28870	159257	1981	2013-08-04 17:11:54.661433	2013-08-04 17:11:54.661433	224
28871	159257	1024	2013-08-04 17:11:54.672503	2013-08-04 17:11:54.672503	224
28872	159257	32101	2013-08-04 17:11:54.683424	2013-08-04 17:11:54.683424	224
28873	159257	20337	2013-08-04 17:11:54.694794	2013-08-04 17:11:54.694794	224
28874	159257	40043	2013-08-04 17:11:54.706662	2013-08-04 17:11:54.706662	224
28875	159257	39883	2013-08-04 17:11:54.718864	2013-08-04 17:11:54.718864	224
28876	159257	28505	2013-08-04 17:11:54.730593	2013-08-04 17:11:54.730593	224
28877	159257	3645	2013-08-04 17:11:54.74174	2013-08-04 17:11:54.74174	224
28878	159257	3738	2013-08-04 17:11:54.752078	2013-08-04 17:11:54.752078	224
28879	159257	3690	2013-08-04 17:11:54.762096	2013-08-04 17:11:54.762096	224
28880	159257	3706	2013-08-04 17:11:54.773319	2013-08-04 17:11:54.773319	224
28881	159257	14628	2013-08-04 17:11:54.78354	2013-08-04 17:11:54.78354	224
28882	159257	3529	2013-08-04 17:11:54.795078	2013-08-04 17:11:54.795078	224
28883	159257	34277	2013-08-04 17:11:54.806033	2013-08-04 17:11:54.806033	224
28884	159257	17490	2013-08-04 17:11:54.816885	2013-08-04 17:11:54.816885	224
28885	159257	38198	2013-08-04 17:11:54.827828	2013-08-04 17:11:54.827828	224
28886	154688	25791	2013-08-04 17:11:54.954386	2013-08-04 17:11:54.954386	224
28887	154688	25771	2013-08-04 17:11:54.966154	2013-08-04 17:11:54.966154	224
28888	154688	28832	2013-08-04 17:11:54.977027	2013-08-04 17:11:54.977027	224
28889	154688	25781	2013-08-04 17:11:54.98814	2013-08-04 17:11:54.98814	224
28890	154688	25751	2013-08-04 17:11:54.999491	2013-08-04 17:11:54.999491	224
28891	154688	3317	2013-08-04 17:11:55.010678	2013-08-04 17:11:55.010678	224
28892	154688	25595	2013-08-04 17:11:55.022891	2013-08-04 17:11:55.022891	224
28893	154688	25737	2013-08-04 17:11:55.032197	2013-08-04 17:11:55.032197	224
28894	154688	25731	2013-08-04 17:11:55.036612	2013-08-04 17:11:55.036612	224
28895	154688	25711	2013-08-04 17:11:55.04108	2013-08-04 17:11:55.04108	224
28896	154688	25691	2013-08-04 17:11:55.045743	2013-08-04 17:11:55.045743	224
28897	154688	25692	2013-08-04 17:11:55.05025	2013-08-04 17:11:55.05025	224
28898	154688	25671	2013-08-04 17:11:55.054609	2013-08-04 17:11:55.054609	224
28899	154688	25651	2013-08-04 17:11:55.059996	2013-08-04 17:11:55.059996	224
28900	154688	25631	2013-08-04 17:11:55.067811	2013-08-04 17:11:55.067811	224
28901	154688	25658	2013-08-04 17:11:55.07727	2013-08-04 17:11:55.07727	224
28902	154688	25611	2013-08-04 17:11:55.08776	2013-08-04 17:11:55.08776	224
28903	154688	25520	2013-08-04 17:11:55.098812	2013-08-04 17:11:55.098812	224
28904	154688	25540	2013-08-04 17:11:55.109597	2013-08-04 17:11:55.109597	224
28905	159180	10671	2013-08-04 17:11:55.155223	2013-08-04 17:11:55.155223	224
28906	159180	41297	2013-08-04 17:11:55.165525	2013-08-04 17:11:55.165525	224
28907	159180	41020	2013-08-04 17:11:55.175508	2013-08-04 17:11:55.175508	224
28908	159180	25511	2013-08-04 17:11:55.185662	2013-08-04 17:11:55.185662	224
28909	159180	11528	2013-08-04 17:11:55.195759	2013-08-04 17:11:55.195759	224
28910	159180	22301	2013-08-04 17:11:55.205832	2013-08-04 17:11:55.205832	224
28911	159180	2639	2013-08-04 17:11:55.215805	2013-08-04 17:11:55.215805	224
28912	159180	24811	2013-08-04 17:11:55.225656	2013-08-04 17:11:55.225656	224
28913	159197	11366	2013-08-04 17:11:55.310087	2013-08-04 17:11:55.310087	224
28914	159197	27673	2013-08-04 17:11:55.32295	2013-08-04 17:11:55.32295	224
28915	159197	27740	2013-08-04 17:11:55.334787	2013-08-04 17:11:55.334787	224
28916	159197	27653	2013-08-04 17:11:55.34675	2013-08-04 17:11:55.34675	224
28917	159197	27730	2013-08-04 17:11:55.35851	2013-08-04 17:11:55.35851	224
28918	159197	27633	2013-08-04 17:11:55.371282	2013-08-04 17:11:55.371282	224
28919	159197	27613	2013-08-04 17:11:55.382405	2013-08-04 17:11:55.382405	224
28920	159197	27593	2013-08-04 17:11:55.395755	2013-08-04 17:11:55.395755	224
28921	159197	27573	2013-08-04 17:11:55.407467	2013-08-04 17:11:55.407467	224
28922	155445	27557	2013-08-04 17:11:55.430974	2013-08-04 17:11:55.430974	224
28923	155445	27553	2013-08-04 17:11:55.442903	2013-08-04 17:11:55.442903	224
28924	155445	27533	2013-08-04 17:11:55.455148	2013-08-04 17:11:55.455148	224
28925	155445	27513	2013-08-04 17:11:55.467517	2013-08-04 17:11:55.467517	224
28926	155445	25457	2013-08-04 17:11:55.479681	2013-08-04 17:11:55.479681	224
28927	155445	25750	2013-08-04 17:11:55.490713	2013-08-04 17:11:55.490713	224
28928	155445	2630	2013-08-04 17:11:55.501524	2013-08-04 17:11:55.501524	224
28929	155445	2587	2013-08-04 17:11:55.512242	2013-08-04 17:11:55.512242	224
28930	155445	3058	2013-08-04 17:11:55.522978	2013-08-04 17:11:55.522978	224
28931	159172	2379	2013-08-04 17:11:55.558153	2013-08-04 17:11:55.558153	224
28932	159172	46155	2013-08-04 17:11:55.567485	2013-08-04 17:11:55.567485	224
28933	159172	2445	2013-08-04 17:11:55.576229	2013-08-04 17:11:55.576229	224
28934	159172	2387	2013-08-04 17:11:55.585084	2013-08-04 17:11:55.585084	224
28935	159172	2309	2013-08-04 17:11:55.594543	2013-08-04 17:11:55.594543	224
28936	159172	2225	2013-08-04 17:11:55.603397	2013-08-04 17:11:55.603397	224
28937	159172	2050	2013-08-04 17:11:55.60868	2013-08-04 17:11:55.60868	224
28938	159172	1784	2013-08-04 17:11:55.611915	2013-08-04 17:11:55.611915	224
28939	159172	10535	2013-08-04 17:11:55.61501	2013-08-04 17:11:55.61501	224
28940	159172	1848	2013-08-04 17:11:55.617913	2013-08-04 17:11:55.617913	224
28941	159172	37983	2013-08-04 17:11:55.621038	2013-08-04 17:11:55.621038	224
28942	159172	24811	2013-08-04 17:11:55.623818	2013-08-04 17:11:55.623818	224
28943	159172	24851	2013-08-04 17:11:55.626706	2013-08-04 17:11:55.626706	224
28944	159172	21881	2013-08-04 17:11:55.629379	2013-08-04 17:11:55.629379	224
28945	159172	1203	2013-08-04 17:11:55.632215	2013-08-04 17:11:55.632215	224
28946	159172	17212	2013-08-04 17:11:55.635216	2013-08-04 17:11:55.635216	224
28947	159172	49875	2013-08-04 17:11:55.639073	2013-08-04 17:11:55.639073	224
28948	159172	36803	2013-08-04 17:11:55.642255	2013-08-04 17:11:55.642255	224
28949	159172	19761	2013-08-04 17:11:55.64535	2013-08-04 17:11:55.64535	224
28950	159168	2379	2013-08-04 17:11:55.658097	2013-08-04 17:11:55.658097	224
28951	159168	46155	2013-08-04 17:11:55.661981	2013-08-04 17:11:55.661981	224
28952	159168	2445	2013-08-04 17:11:55.665892	2013-08-04 17:11:55.665892	224
28953	159168	2387	2013-08-04 17:11:55.670379	2013-08-04 17:11:55.670379	224
28954	159168	2309	2013-08-04 17:11:55.675113	2013-08-04 17:11:55.675113	224
28955	159168	2225	2013-08-04 17:11:55.680284	2013-08-04 17:11:55.680284	224
28956	159168	2050	2013-08-04 17:11:55.687118	2013-08-04 17:11:55.687118	224
28957	159168	1784	2013-08-04 17:11:55.761781	2013-08-04 17:11:55.761781	224
28958	159168	10535	2013-08-04 17:11:55.766158	2013-08-04 17:11:55.766158	224
28959	159168	1848	2013-08-04 17:11:55.769276	2013-08-04 17:11:55.769276	224
28960	159168	37983	2013-08-04 17:11:55.772361	2013-08-04 17:11:55.772361	224
28961	159168	24811	2013-08-04 17:11:55.77565	2013-08-04 17:11:55.77565	224
28962	159168	24851	2013-08-04 17:11:55.779013	2013-08-04 17:11:55.779013	224
28963	159168	21881	2013-08-04 17:11:55.782164	2013-08-04 17:11:55.782164	224
28964	159168	1203	2013-08-04 17:11:55.785274	2013-08-04 17:11:55.785274	224
28965	159168	17212	2013-08-04 17:11:55.788189	2013-08-04 17:11:55.788189	224
28966	159168	49875	2013-08-04 17:11:55.791095	2013-08-04 17:11:55.791095	224
28967	159168	36803	2013-08-04 17:11:55.794525	2013-08-04 17:11:55.794525	224
28968	159168	19761	2013-08-04 17:11:55.797908	2013-08-04 17:11:55.797908	224
28969	155446	42037	2013-08-04 17:11:55.952597	2013-08-04 17:11:55.952597	224
28970	155446	42017	2013-08-04 17:11:55.964932	2013-08-04 17:11:55.964932	224
28971	155446	42045	2013-08-04 17:11:55.976481	2013-08-04 17:11:55.976481	224
28972	155446	41997	2013-08-04 17:11:55.988026	2013-08-04 17:11:55.988026	224
28973	155446	41977	2013-08-04 17:11:55.999003	2013-08-04 17:11:55.999003	224
28974	155446	41957	2013-08-04 17:11:56.010685	2013-08-04 17:11:56.010685	224
28975	155446	42001	2013-08-04 17:11:56.017072	2013-08-04 17:11:56.017072	224
28976	155446	42058	2013-08-04 17:11:56.021252	2013-08-04 17:11:56.021252	224
28977	155446	41937	2013-08-04 17:11:56.029084	2013-08-04 17:11:56.029084	224
28978	155446	41835	2013-08-04 17:11:56.033117	2013-08-04 17:11:56.033117	224
28979	155446	41917	2013-08-04 17:11:56.036982	2013-08-04 17:11:56.036982	224
28980	155446	41897	2013-08-04 17:11:56.040621	2013-08-04 17:11:56.040621	224
28981	155446	41877	2013-08-04 17:11:56.044575	2013-08-04 17:11:56.044575	224
28982	155446	41857	2013-08-04 17:11:56.049328	2013-08-04 17:11:56.049328	224
28983	155446	41770	2013-08-04 17:11:56.056644	2013-08-04 17:11:56.056644	224
28984	155446	41837	2013-08-04 17:11:56.068023	2013-08-04 17:11:56.068023	224
28985	155446	41817	2013-08-04 17:11:56.076179	2013-08-04 17:11:56.076179	224
28986	155446	41797	2013-08-04 17:11:56.079617	2013-08-04 17:11:56.079617	224
28987	155446	41777	2013-08-04 17:11:56.083682	2013-08-04 17:11:56.083682	224
28988	159173	21699	2013-08-04 17:11:56.098461	2013-08-04 17:11:56.098461	224
28989	159173	21811	2013-08-04 17:11:56.102638	2013-08-04 17:11:56.102638	224
28990	159173	3124	2013-08-04 17:11:56.106552	2013-08-04 17:11:56.106552	224
28991	159173	21679	2013-08-04 17:11:56.110557	2013-08-04 17:11:56.110557	224
28992	159173	20498	2013-08-04 17:11:56.114578	2013-08-04 17:11:56.114578	224
28993	159173	21625	2013-08-04 17:11:56.119457	2013-08-04 17:11:56.119457	224
28994	159173	21573	2013-08-04 17:11:56.124193	2013-08-04 17:11:56.124193	224
28995	159173	21659	2013-08-04 17:11:56.130815	2013-08-04 17:11:56.130815	224
28996	159173	21613	2013-08-04 17:11:56.138501	2013-08-04 17:11:56.138501	224
28997	154689	21639	2013-08-04 17:11:56.158627	2013-08-04 17:11:56.158627	224
28998	154689	21619	2013-08-04 17:11:56.170021	2013-08-04 17:11:56.170021	224
28999	154689	21599	2013-08-04 17:11:56.180976	2013-08-04 17:11:56.180976	224
29000	154689	21579	2013-08-04 17:11:56.191919	2013-08-04 17:11:56.191919	224
29001	154689	32558	2013-08-04 17:11:56.202784	2013-08-04 17:11:56.202784	224
29002	154689	3335	2013-08-04 17:11:56.213775	2013-08-04 17:11:56.213775	224
29003	154689	2559	2013-08-04 17:11:56.223756	2013-08-04 17:11:56.223756	224
29004	154689	24911	2013-08-04 17:11:56.234161	2013-08-04 17:11:56.234161	224
29005	154689	17401	2013-08-04 17:11:56.244488	2013-08-04 17:11:56.244488	224
29006	159262	21819	2013-08-04 17:11:56.288536	2013-08-04 17:11:56.288536	224
29007	159262	21733	2013-08-04 17:11:56.300039	2013-08-04 17:11:56.300039	224
29008	159262	21799	2013-08-04 17:11:56.311958	2013-08-04 17:11:56.311958	224
29009	159262	6044	2013-08-04 17:11:56.323188	2013-08-04 17:11:56.323188	224
29010	159262	21779	2013-08-04 17:11:56.334669	2013-08-04 17:11:56.334669	224
29011	159262	21681	2013-08-04 17:11:56.346691	2013-08-04 17:11:56.346691	224
29012	159262	21759	2013-08-04 17:11:56.358549	2013-08-04 17:11:56.358549	224
29013	159262	21739	2013-08-04 17:11:56.370047	2013-08-04 17:11:56.370047	224
29014	159262	36203	2013-08-04 17:11:56.381163	2013-08-04 17:11:56.381163	224
29015	155447	21699	2013-08-04 17:11:56.403232	2013-08-04 17:11:56.403232	224
29016	155447	21811	2013-08-04 17:11:56.407193	2013-08-04 17:11:56.407193	224
29017	155447	3124	2013-08-04 17:11:56.410884	2013-08-04 17:11:56.410884	224
29018	155447	21679	2013-08-04 17:11:56.41503	2013-08-04 17:11:56.41503	224
29019	155447	20498	2013-08-04 17:11:56.419475	2013-08-04 17:11:56.419475	224
29020	155447	21625	2013-08-04 17:11:56.423649	2013-08-04 17:11:56.423649	224
29021	155447	21573	2013-08-04 17:11:56.428237	2013-08-04 17:11:56.428237	224
29022	155447	21659	2013-08-04 17:11:56.433302	2013-08-04 17:11:56.433302	224
29023	155447	21613	2013-08-04 17:11:56.439374	2013-08-04 17:11:56.439374	224
29024	159551	42437	2013-08-04 17:16:51.115616	2013-08-04 17:16:51.115616	225
29025	159551	26041	2013-08-04 17:16:51.126598	2013-08-04 17:16:51.126598	225
29026	159551	16476	2013-08-04 17:16:51.138277	2013-08-04 17:16:51.138277	225
29027	159551	17486	2013-08-04 17:16:51.149861	2013-08-04 17:16:51.149861	225
29028	159551	32681	2013-08-04 17:16:51.161307	2013-08-04 17:16:51.161307	225
29029	159551	42090	2013-08-04 17:16:51.172926	2013-08-04 17:16:51.172926	225
29030	159551	22079	2013-08-04 17:16:51.184383	2013-08-04 17:16:51.184383	225
29031	159551	2655	2013-08-04 17:16:51.195313	2013-08-04 17:16:51.195313	225
29032	159549	28666	2013-08-04 17:16:51.442215	2013-08-04 17:16:51.442215	225
29033	159549	28610	2013-08-04 17:16:51.454188	2013-08-04 17:16:51.454188	225
29034	159549	28646	2013-08-04 17:16:51.465266	2013-08-04 17:16:51.465266	225
29035	159549	28620	2013-08-04 17:16:51.476265	2013-08-04 17:16:51.476265	225
29036	159549	11366	2013-08-04 17:16:51.487598	2013-08-04 17:16:51.487598	225
29037	159549	27573	2013-08-04 17:16:51.498227	2013-08-04 17:16:51.498227	225
29038	159549	27593	2013-08-04 17:16:51.508821	2013-08-04 17:16:51.508821	225
29039	159549	27613	2013-08-04 17:16:51.518898	2013-08-04 17:16:51.518898	225
29040	159549	25911	2013-08-04 17:16:51.529029	2013-08-04 17:16:51.529029	225
29041	159549	46563	2013-08-04 17:16:51.539214	2013-08-04 17:16:51.539214	225
29042	159549	17516	2013-08-04 17:16:51.549514	2013-08-04 17:16:51.549514	225
29043	159549	4830	2013-08-04 17:16:51.559665	2013-08-04 17:16:51.559665	225
29044	159549	42100	2013-08-04 17:16:51.569986	2013-08-04 17:16:51.569986	225
29045	159549	22039	2013-08-04 17:16:51.580174	2013-08-04 17:16:51.580174	225
29046	159549	27633	2013-08-04 17:16:51.590478	2013-08-04 17:16:51.590478	225
29047	159549	27730	2013-08-04 17:16:51.600739	2013-08-04 17:16:51.600739	225
29048	159549	27653	2013-08-04 17:16:51.610864	2013-08-04 17:16:51.610864	225
29049	159549	27740	2013-08-04 17:16:51.621069	2013-08-04 17:16:51.621069	225
29050	159549	27673	2013-08-04 17:16:51.631154	2013-08-04 17:16:51.631154	225
29051	159548	26208	2013-08-04 17:16:51.680012	2013-08-04 17:16:51.680012	225
29052	159548	26105	2013-08-04 17:16:51.691659	2013-08-04 17:16:51.691659	225
29053	159548	26188	2013-08-04 17:16:51.702788	2013-08-04 17:16:51.702788	225
29054	159548	16393	2013-08-04 17:16:51.713761	2013-08-04 17:16:51.713761	225
29055	159548	26168	2013-08-04 17:16:51.725087	2013-08-04 17:16:51.725087	225
29056	159548	26120	2013-08-04 17:16:51.735938	2013-08-04 17:16:51.735938	225
29057	159548	26148	2013-08-04 17:16:51.74664	2013-08-04 17:16:51.74664	225
29058	159548	21386	2013-08-04 17:16:51.75701	2013-08-04 17:16:51.75701	225
29059	159548	26057	2013-08-04 17:16:51.767821	2013-08-04 17:16:51.767821	225
29060	159548	26048	2013-08-04 17:16:51.779265	2013-08-04 17:16:51.779265	225
29061	159548	26028	2013-08-04 17:16:51.790255	2013-08-04 17:16:51.790255	225
29062	159548	26026	2013-08-04 17:16:51.801141	2013-08-04 17:16:51.801141	225
29063	159548	26008	2013-08-04 17:16:51.812159	2013-08-04 17:16:51.812159	225
29064	159548	25988	2013-08-04 17:16:51.823172	2013-08-04 17:16:51.823172	225
29065	159548	25755	2013-08-04 17:16:51.834103	2013-08-04 17:16:51.834103	225
29066	159548	10411	2013-08-04 17:16:51.844699	2013-08-04 17:16:51.844699	225
29067	159548	4721	2013-08-04 17:16:51.85523	2013-08-04 17:16:51.85523	225
29068	159548	22019	2013-08-04 17:16:51.865583	2013-08-04 17:16:51.865583	225
29069	159548	2645	2013-08-04 17:16:51.875804	2013-08-04 17:16:51.875804	225
29070	159513	26111	2013-08-04 17:16:51.932299	2013-08-04 17:16:51.932299	225
29071	159396	25891	2013-08-04 17:16:51.953974	2013-08-04 17:16:51.953974	225
29072	159283	17456	2013-08-04 17:16:51.975814	2013-08-04 17:16:51.975814	225
29073	159233	40160	2013-08-04 17:16:51.998427	2013-08-04 17:16:51.998427	225
29074	159204	21905	2013-08-04 17:16:52.02059	2013-08-04 17:16:52.02059	225
29075	159199	2585	2013-08-04 17:16:52.0547	2013-08-04 17:16:52.0547	225
29076	159552	42337	2013-08-04 17:16:52.143258	2013-08-04 17:16:52.143258	225
29077	159552	42181	2013-08-04 17:16:52.153606	2013-08-04 17:16:52.153606	225
29078	159552	26091	2013-08-04 17:16:52.163625	2013-08-04 17:16:52.163625	225
29079	159552	26330	2013-08-04 17:16:52.173596	2013-08-04 17:16:52.173596	225
29080	159552	17440	2013-08-04 17:16:52.183606	2013-08-04 17:16:52.183606	225
29081	159552	32281	2013-08-04 17:16:52.193501	2013-08-04 17:16:52.193501	225
29082	159552	21959	2013-08-04 17:16:52.203642	2013-08-04 17:16:52.203642	225
29083	159552	2617	2013-08-04 17:16:52.213493	2013-08-04 17:16:52.213493	225
29084	159498	2379	2013-08-04 17:16:52.251683	2013-08-04 17:16:52.251683	225
29085	159498	46155	2013-08-04 17:16:52.260278	2013-08-04 17:16:52.260278	225
29086	159498	2445	2013-08-04 17:16:52.268671	2013-08-04 17:16:52.268671	225
29087	159498	2387	2013-08-04 17:16:52.276937	2013-08-04 17:16:52.276937	225
29088	159498	2309	2013-08-04 17:16:52.285361	2013-08-04 17:16:52.285361	225
29089	159498	2225	2013-08-04 17:16:52.293424	2013-08-04 17:16:52.293424	225
29090	159498	2050	2013-08-04 17:16:52.301433	2013-08-04 17:16:52.301433	225
29091	159498	1784	2013-08-04 17:16:52.309626	2013-08-04 17:16:52.309626	225
29092	159498	10535	2013-08-04 17:16:52.318039	2013-08-04 17:16:52.318039	225
29093	159498	1848	2013-08-04 17:16:52.326025	2013-08-04 17:16:52.326025	225
29094	159498	37983	2013-08-04 17:16:52.333949	2013-08-04 17:16:52.333949	225
29095	159498	24811	2013-08-04 17:16:52.342028	2013-08-04 17:16:52.342028	225
29096	159498	24851	2013-08-04 17:16:52.350226	2013-08-04 17:16:52.350226	225
29097	159498	21881	2013-08-04 17:16:52.358606	2013-08-04 17:16:52.358606	225
29098	159498	1203	2013-08-04 17:16:52.367184	2013-08-04 17:16:52.367184	225
29099	159498	17212	2013-08-04 17:16:52.375653	2013-08-04 17:16:52.375653	225
29100	159498	49875	2013-08-04 17:16:52.384098	2013-08-04 17:16:52.384098	225
29101	159498	36803	2013-08-04 17:16:52.392859	2013-08-04 17:16:52.392859	225
29102	159498	19761	2013-08-04 17:16:52.401355	2013-08-04 17:16:52.401355	225
29103	159500	2379	2013-08-04 17:16:52.423183	2013-08-04 17:16:52.423183	225
29104	159500	46155	2013-08-04 17:16:52.425858	2013-08-04 17:16:52.425858	225
29105	159500	2445	2013-08-04 17:16:52.428462	2013-08-04 17:16:52.428462	225
29106	159500	2387	2013-08-04 17:16:52.430869	2013-08-04 17:16:52.430869	225
29107	159500	2309	2013-08-04 17:16:52.4353	2013-08-04 17:16:52.4353	225
29108	159500	2225	2013-08-04 17:16:52.438908	2013-08-04 17:16:52.438908	225
29109	159500	2050	2013-08-04 17:16:52.441818	2013-08-04 17:16:52.441818	225
29110	159500	1784	2013-08-04 17:16:52.44477	2013-08-04 17:16:52.44477	225
29111	159500	10535	2013-08-04 17:16:52.447709	2013-08-04 17:16:52.447709	225
29112	159500	1848	2013-08-04 17:16:52.450644	2013-08-04 17:16:52.450644	225
29113	159500	37983	2013-08-04 17:16:52.453378	2013-08-04 17:16:52.453378	225
29114	159500	24811	2013-08-04 17:16:52.456201	2013-08-04 17:16:52.456201	225
29115	159500	24851	2013-08-04 17:16:52.4592	2013-08-04 17:16:52.4592	225
29116	159500	21881	2013-08-04 17:16:52.462544	2013-08-04 17:16:52.462544	225
29117	159500	1203	2013-08-04 17:16:52.465594	2013-08-04 17:16:52.465594	225
29118	159500	17212	2013-08-04 17:16:52.46844	2013-08-04 17:16:52.46844	225
29119	159500	49875	2013-08-04 17:16:52.471533	2013-08-04 17:16:52.471533	225
29120	159500	36803	2013-08-04 17:16:52.474632	2013-08-04 17:16:52.474632	225
29121	159500	19761	2013-08-04 17:16:52.477643	2013-08-04 17:16:52.477643	225
29122	159553	46155	2013-08-04 17:16:52.492223	2013-08-04 17:16:52.492223	225
29123	159553	2445	2013-08-04 17:16:52.500676	2013-08-04 17:16:52.500676	225
29124	159553	2387	2013-08-04 17:16:52.511084	2013-08-04 17:16:52.511084	225
29125	159553	2309	2013-08-04 17:16:52.522902	2013-08-04 17:16:52.522902	225
29126	159553	2225	2013-08-04 17:16:52.533555	2013-08-04 17:16:52.533555	225
29127	159553	2050	2013-08-04 17:16:52.544555	2013-08-04 17:16:52.544555	225
29128	159553	1784	2013-08-04 17:16:52.555864	2013-08-04 17:16:52.555864	225
29129	159553	10535	2013-08-04 17:16:52.567105	2013-08-04 17:16:52.567105	225
29130	159553	1848	2013-08-04 17:16:52.644417	2013-08-04 17:16:52.644417	225
29131	159501	37983	2013-08-04 17:16:52.654501	2013-08-04 17:16:52.654501	225
29132	159501	24811	2013-08-04 17:16:52.657328	2013-08-04 17:16:52.657328	225
29133	159501	24851	2013-08-04 17:16:52.6619	2013-08-04 17:16:52.6619	225
29134	159501	21881	2013-08-04 17:16:52.664815	2013-08-04 17:16:52.664815	225
29135	159501	1203	2013-08-04 17:16:52.667846	2013-08-04 17:16:52.667846	225
29136	159501	17212	2013-08-04 17:16:52.673428	2013-08-04 17:16:52.673428	225
29137	159501	49875	2013-08-04 17:16:52.677508	2013-08-04 17:16:52.677508	225
29138	159501	36803	2013-08-04 17:16:52.681724	2013-08-04 17:16:52.681724	225
29139	159501	19761	2013-08-04 17:16:52.68874	2013-08-04 17:16:52.68874	225
29140	159550	17746	2013-08-04 17:16:52.76549	2013-08-04 17:16:52.76549	225
29141	159550	5657	2013-08-04 17:16:52.777475	2013-08-04 17:16:52.777475	225
29142	159550	17736	2013-08-04 17:16:52.789293	2013-08-04 17:16:52.789293	225
29143	159550	17716	2013-08-04 17:16:52.801275	2013-08-04 17:16:52.801275	225
29144	159550	17696	2013-08-04 17:16:52.811108	2013-08-04 17:16:52.811108	225
29145	159550	17660	2013-08-04 17:16:52.814565	2013-08-04 17:16:52.814565	225
29146	159550	17691	2013-08-04 17:16:52.818137	2013-08-04 17:16:52.818137	225
29147	159550	17676	2013-08-04 17:16:52.821485	2013-08-04 17:16:52.821485	225
29148	159550	14046	2013-08-04 17:16:52.824782	2013-08-04 17:16:52.824782	225
29149	159550	14100	2013-08-04 17:16:52.828459	2013-08-04 17:16:52.828459	225
29150	159550	17656	2013-08-04 17:16:52.832568	2013-08-04 17:16:52.832568	225
29151	159550	17636	2013-08-04 17:16:52.836672	2013-08-04 17:16:52.836672	225
29152	159550	17616	2013-08-04 17:16:52.841027	2013-08-04 17:16:52.841027	225
29153	159550	17596	2013-08-04 17:16:52.845606	2013-08-04 17:16:52.845606	225
29154	159550	17453	2013-08-04 17:16:52.850592	2013-08-04 17:16:52.850592	225
29155	159550	17493	2013-08-04 17:16:52.856083	2013-08-04 17:16:52.856083	225
29156	159550	17513	2013-08-04 17:16:52.862245	2013-08-04 17:16:52.862245	225
29157	159550	17446	2013-08-04 17:16:52.873188	2013-08-04 17:16:52.873188	225
29158	159550	17506	2013-08-04 17:16:52.8849	2013-08-04 17:16:52.8849	225
29159	159555	22233	2013-08-04 17:16:53.227478	2013-08-04 17:16:53.227478	225
29160	159555	24525	2013-08-04 17:16:53.239082	2013-08-04 17:16:53.239082	225
29161	159555	22199	2013-08-04 17:16:53.25012	2013-08-04 17:16:53.25012	225
29162	159555	22272	2013-08-04 17:16:53.261109	2013-08-04 17:16:53.261109	225
29163	159555	22179	2013-08-04 17:16:53.271914	2013-08-04 17:16:53.271914	225
29164	159555	22281	2013-08-04 17:16:53.282745	2013-08-04 17:16:53.282745	225
29165	159555	22159	2013-08-04 17:16:53.29376	2013-08-04 17:16:53.29376	225
29166	159555	22139	2013-08-04 17:16:53.304693	2013-08-04 17:16:53.304693	225
29167	159555	25161	2013-08-04 17:16:53.315297	2013-08-04 17:16:53.315297	225
29168	159555	22075	2013-08-04 17:16:53.326367	2013-08-04 17:16:53.326367	225
29169	159555	22051	2013-08-04 17:16:53.337118	2013-08-04 17:16:53.337118	225
29170	159555	22071	2013-08-04 17:16:53.347946	2013-08-04 17:16:53.347946	225
29171	159555	22119	2013-08-04 17:16:53.358904	2013-08-04 17:16:53.358904	225
29172	159555	20718	2013-08-04 17:16:53.369726	2013-08-04 17:16:53.369726	225
29173	159555	40160	2013-08-04 17:16:53.380491	2013-08-04 17:16:53.380491	225
29174	159555	31030	2013-08-04 17:16:53.390427	2013-08-04 17:16:53.390427	225
29175	159555	22717	2013-08-04 17:16:53.40045	2013-08-04 17:16:53.40045	225
29176	159555	2628	2013-08-04 17:16:53.410368	2013-08-04 17:16:53.410368	225
29177	159555	21879	2013-08-04 17:16:53.420528	2013-08-04 17:16:53.420528	225
29178	159704	42257	2013-08-04 17:16:53.479583	2013-08-04 17:16:53.479583	225
29179	159704	25966	2013-08-04 17:16:53.489405	2013-08-04 17:16:53.489405	225
29180	159704	26211	2013-08-04 17:16:53.499107	2013-08-04 17:16:53.499107	225
29181	159440	17576	2013-08-04 17:16:53.520014	2013-08-04 17:16:53.520014	225
29182	159440	3792	2013-08-04 17:16:53.53007	2013-08-04 17:16:53.53007	225
29183	159440	22099	2013-08-04 17:16:53.541154	2013-08-04 17:16:53.541154	225
29184	159445	25891	2013-08-04 17:16:53.591342	2013-08-04 17:16:53.591342	225
29185	159437	15506	2013-08-04 17:16:53.623336	2013-08-04 17:16:53.623336	225
29186	159437	28450	2013-08-04 17:16:53.633868	2013-08-04 17:16:53.633868	225
29187	159437	17336	2013-08-04 17:16:53.645067	2013-08-04 17:16:53.645067	225
29188	159437	31197	2013-08-04 17:16:53.655926	2013-08-04 17:16:53.655926	225
29189	159437	28466	2013-08-04 17:16:53.666802	2013-08-04 17:16:53.666802	225
29190	159437	22353	2013-08-04 17:16:53.677557	2013-08-04 17:16:53.677557	225
29191	159437	12032	2013-08-04 17:16:53.688436	2013-08-04 17:16:53.688436	225
29192	159437	19781	2013-08-04 17:16:53.699514	2013-08-04 17:16:53.699514	225
29193	159437	35623	2013-08-04 17:16:53.709546	2013-08-04 17:16:53.709546	225
29194	159437	17301	2013-08-04 17:16:53.720703	2013-08-04 17:16:53.720703	225
29195	159437	30677	2013-08-04 17:16:53.732463	2013-08-04 17:16:53.732463	225
29196	159437	28100	2013-08-04 17:16:53.743883	2013-08-04 17:16:53.743883	225
29197	159437	31140	2013-08-04 17:16:53.754855	2013-08-04 17:16:53.754855	225
29198	159437	21253	2013-08-04 17:16:53.765562	2013-08-04 17:16:53.765562	225
29199	159437	21319	2013-08-04 17:16:53.77662	2013-08-04 17:16:53.77662	225
29200	159437	28386	2013-08-04 17:16:53.787292	2013-08-04 17:16:53.787292	225
29201	159437	3924	2013-08-04 17:16:53.798243	2013-08-04 17:16:53.798243	225
29202	159437	17153	2013-08-04 17:16:53.809328	2013-08-04 17:16:53.809328	225
29203	159437	3095	2013-08-04 17:16:53.820288	2013-08-04 17:16:53.820288	225
29204	159438	26438	2013-08-04 17:16:53.865466	2013-08-04 17:16:53.865466	225
29205	159438	26428	2013-08-04 17:16:53.877105	2013-08-04 17:16:53.877105	225
29206	159438	26408	2013-08-04 17:16:53.888198	2013-08-04 17:16:53.888198	225
29207	159438	26388	2013-08-04 17:16:53.899133	2013-08-04 17:16:53.899133	225
29208	159438	3437	2013-08-04 17:16:53.909927	2013-08-04 17:16:53.909927	225
29209	159438	26315	2013-08-04 17:16:53.920816	2013-08-04 17:16:53.920816	225
29210	159438	26368	2013-08-04 17:16:53.931634	2013-08-04 17:16:53.931634	225
29211	159438	26325	2013-08-04 17:16:53.94197	2013-08-04 17:16:53.94197	225
29212	159438	26348	2013-08-04 17:16:53.952816	2013-08-04 17:16:53.952816	225
29213	159438	16636	2013-08-04 17:16:53.963135	2013-08-04 17:16:53.963135	225
29214	159438	26328	2013-08-04 17:16:53.973178	2013-08-04 17:16:53.973178	225
29215	159438	26308	2013-08-04 17:16:53.983589	2013-08-04 17:16:53.983589	225
29216	159438	26288	2013-08-04 17:16:53.994379	2013-08-04 17:16:53.994379	225
29217	159438	26268	2013-08-04 17:16:54.00489	2013-08-04 17:16:54.00489	225
29218	159438	26248	2013-08-04 17:16:54.015334	2013-08-04 17:16:54.015334	225
29219	159438	26228	2013-08-04 17:16:54.026069	2013-08-04 17:16:54.026069	225
29220	159438	21426	2013-08-04 17:16:54.03623	2013-08-04 17:16:54.03623	225
29221	159438	26212	2013-08-04 17:16:54.046949	2013-08-04 17:16:54.046949	225
29222	159438	2585	2013-08-04 17:16:54.057414	2013-08-04 17:16:54.057414	225
29223	159439	13581	2013-08-04 17:16:54.089107	2013-08-04 17:16:54.089107	225
29224	159439	29523	2013-08-04 17:16:54.100111	2013-08-04 17:16:54.100111	225
29225	159439	20717	2013-08-04 17:16:54.11059	2013-08-04 17:16:54.11059	225
29226	159439	29863	2013-08-04 17:16:54.120702	2013-08-04 17:16:54.120702	225
29227	159439	10806	2013-08-04 17:16:54.130743	2013-08-04 17:16:54.130743	225
29228	159439	30983	2013-08-04 17:16:54.140768	2013-08-04 17:16:54.140768	225
29229	159439	32323	2013-08-04 17:16:54.150865	2013-08-04 17:16:54.150865	225
29230	159439	24140	2013-08-04 17:16:54.160901	2013-08-04 17:16:54.160901	225
29231	159439	22917	2013-08-04 17:16:54.171069	2013-08-04 17:16:54.171069	225
29232	159439	5340	2013-08-04 17:16:54.181242	2013-08-04 17:16:54.181242	225
29233	159439	5341	2013-08-04 17:16:54.191386	2013-08-04 17:16:54.191386	225
29234	159439	28952	2013-08-04 17:16:54.201445	2013-08-04 17:16:54.201445	225
29235	159439	5338	2013-08-04 17:16:54.211837	2013-08-04 17:16:54.211837	225
29236	159439	5295	2013-08-04 17:16:54.222024	2013-08-04 17:16:54.222024	225
29237	159439	5231	2013-08-04 17:16:54.232134	2013-08-04 17:16:54.232134	225
29238	159439	5211	2013-08-04 17:16:54.242584	2013-08-04 17:16:54.242584	225
29239	159439	1995	2013-08-04 17:16:54.256235	2013-08-04 17:16:54.256235	225
29240	159439	34517	2013-08-04 17:16:54.267306	2013-08-04 17:16:54.267306	225
29241	159439	18137	2013-08-04 17:16:54.278557	2013-08-04 17:16:54.278557	225
29242	159333	26391	2013-08-04 17:16:54.388213	2013-08-04 17:16:54.388213	225
29243	159333	26190	2013-08-04 17:16:54.393928	2013-08-04 17:16:54.393928	225
29244	159333	10805	2013-08-04 17:16:54.401715	2013-08-04 17:16:54.401715	225
29245	159333	21048	2013-08-04 17:16:54.412622	2013-08-04 17:16:54.412622	225
29246	159333	13068	2013-08-04 17:16:54.424551	2013-08-04 17:16:54.424551	225
29247	159333	21068	2013-08-04 17:16:54.436263	2013-08-04 17:16:54.436263	225
29248	159333	26255	2013-08-04 17:16:54.446183	2013-08-04 17:16:54.446183	225
29249	159333	26371	2013-08-04 17:16:54.45243	2013-08-04 17:16:54.45243	225
29250	159333	26351	2013-08-04 17:16:54.45713	2013-08-04 17:16:54.45713	225
29251	159333	16550	2013-08-04 17:16:54.46368	2013-08-04 17:16:54.46368	225
29252	159333	26265	2013-08-04 17:16:54.472369	2013-08-04 17:16:54.472369	225
29253	159333	26331	2013-08-04 17:16:54.483004	2013-08-04 17:16:54.483004	225
29254	159333	26311	2013-08-04 17:16:54.493969	2013-08-04 17:16:54.493969	225
29255	159333	26291	2013-08-04 17:16:54.505437	2013-08-04 17:16:54.505437	225
29256	159333	26271	2013-08-04 17:16:54.516651	2013-08-04 17:16:54.516651	225
29257	159333	26251	2013-08-04 17:16:54.527255	2013-08-04 17:16:54.527255	225
29258	159333	26231	2013-08-04 17:16:54.538609	2013-08-04 17:16:54.538609	225
29259	159333	15208	2013-08-04 17:16:54.550219	2013-08-04 17:16:54.550219	225
29260	159333	15228	2013-08-04 17:16:54.562037	2013-08-04 17:16:54.562037	225
29261	159502	31140	2013-08-04 17:16:54.631845	2013-08-04 17:16:54.631845	225
29262	159502	28100	2013-08-04 17:16:54.640527	2013-08-04 17:16:54.640527	225
29263	159502	30677	2013-08-04 17:16:54.648975	2013-08-04 17:16:54.648975	225
29264	159502	17301	2013-08-04 17:16:54.657211	2013-08-04 17:16:54.657211	225
29265	159502	35623	2013-08-04 17:16:54.665518	2013-08-04 17:16:54.665518	225
29266	159502	19781	2013-08-04 17:16:54.674014	2013-08-04 17:16:54.674014	225
29267	159502	12032	2013-08-04 17:16:54.683063	2013-08-04 17:16:54.683063	225
29268	159502	22353	2013-08-04 17:16:54.692028	2013-08-04 17:16:54.692028	225
29269	159502	28466	2013-08-04 17:16:54.700447	2013-08-04 17:16:54.700447	225
29270	159502	31197	2013-08-04 17:16:54.708629	2013-08-04 17:16:54.708629	225
29271	159502	17336	2013-08-04 17:16:54.716854	2013-08-04 17:16:54.716854	225
29272	159502	28450	2013-08-04 17:16:54.725128	2013-08-04 17:16:54.725128	225
29273	159502	19761	2013-08-04 17:16:54.733417	2013-08-04 17:16:54.733417	225
29274	159502	3095	2013-08-04 17:16:54.74169	2013-08-04 17:16:54.74169	225
29275	159502	17153	2013-08-04 17:16:54.749941	2013-08-04 17:16:54.749941	225
29276	159502	3924	2013-08-04 17:16:54.758171	2013-08-04 17:16:54.758171	225
29277	159502	28386	2013-08-04 17:16:54.766335	2013-08-04 17:16:54.766335	225
29278	159502	21319	2013-08-04 17:16:54.77452	2013-08-04 17:16:54.77452	225
29279	159502	21253	2013-08-04 17:16:54.782545	2013-08-04 17:16:54.782545	225
29280	159441	2435	2013-08-04 17:16:54.846877	2013-08-04 17:16:54.846877	225
29281	159441	2475	2013-08-04 17:16:54.858126	2013-08-04 17:16:54.858126	225
29282	159441	17936	2013-08-04 17:16:54.869057	2013-08-04 17:16:54.869057	225
29283	159441	17916	2013-08-04 17:16:54.88002	2013-08-04 17:16:54.88002	225
29284	159441	17896	2013-08-04 17:16:54.891128	2013-08-04 17:16:54.891128	225
29285	159441	17876	2013-08-04 17:16:54.903099	2013-08-04 17:16:54.903099	225
29286	159441	7579	2013-08-04 17:16:54.914209	2013-08-04 17:16:54.914209	225
29287	159441	17856	2013-08-04 17:16:54.924944	2013-08-04 17:16:54.924944	225
29288	159441	17891	2013-08-04 17:16:54.93608	2013-08-04 17:16:54.93608	225
29289	159441	37603	2013-08-04 17:16:54.946879	2013-08-04 17:16:54.946879	225
29290	159441	36263	2013-08-04 17:16:54.958086	2013-08-04 17:16:54.958086	225
29291	159441	20072	2013-08-04 17:16:54.969162	2013-08-04 17:16:54.969162	225
29292	159441	17836	2013-08-04 17:16:54.980166	2013-08-04 17:16:54.980166	225
29293	159441	17816	2013-08-04 17:16:54.991039	2013-08-04 17:16:54.991039	225
29294	159441	23863	2013-08-04 17:16:55.001972	2013-08-04 17:16:55.001972	225
29295	159441	17796	2013-08-04 17:16:55.012997	2013-08-04 17:16:55.012997	225
29296	159441	17776	2013-08-04 17:16:55.023748	2013-08-04 17:16:55.023748	225
29297	159441	17845	2013-08-04 17:16:55.034889	2013-08-04 17:16:55.034889	225
29298	159441	17756	2013-08-04 17:16:55.046683	2013-08-04 17:16:55.046683	225
29299	159335	42737	2013-08-04 17:16:55.095362	2013-08-04 17:16:55.095362	225
29300	159335	42717	2013-08-04 17:16:55.107152	2013-08-04 17:16:55.107152	225
29301	159335	42697	2013-08-04 17:16:55.11815	2013-08-04 17:16:55.11815	225
29302	159335	42677	2013-08-04 17:16:55.129284	2013-08-04 17:16:55.129284	225
29303	159335	42570	2013-08-04 17:16:55.140414	2013-08-04 17:16:55.140414	225
29304	159335	42657	2013-08-04 17:16:55.151722	2013-08-04 17:16:55.151722	225
29305	159335	42600	2013-08-04 17:16:55.163329	2013-08-04 17:16:55.163329	225
29306	159335	42637	2013-08-04 17:16:55.175026	2013-08-04 17:16:55.175026	225
29307	159335	42641	2013-08-04 17:16:55.187007	2013-08-04 17:16:55.187007	225
29308	159335	42617	2013-08-04 17:16:55.198498	2013-08-04 17:16:55.198498	225
29309	159335	42597	2013-08-04 17:16:55.209485	2013-08-04 17:16:55.209485	225
29310	159335	42577	2013-08-04 17:16:55.220468	2013-08-04 17:16:55.220468	225
29311	159335	42658	2013-08-04 17:16:55.2312	2013-08-04 17:16:55.2312	225
29312	159335	42557	2013-08-04 17:16:55.242414	2013-08-04 17:16:55.242414	225
29313	159335	42537	2013-08-04 17:16:55.252555	2013-08-04 17:16:55.252555	225
29314	159335	42517	2013-08-04 17:16:55.262449	2013-08-04 17:16:55.262449	225
29315	159335	42497	2013-08-04 17:16:55.272964	2013-08-04 17:16:55.272964	225
29316	159335	26011	2013-08-04 17:16:55.284081	2013-08-04 17:16:55.284081	225
29317	159335	17456	2013-08-04 17:16:55.294075	2013-08-04 17:16:55.294075	225
29318	159716	22439	2013-08-04 17:16:55.376764	2013-08-04 17:16:55.376764	225
29319	159716	22419	2013-08-04 17:16:55.38786	2013-08-04 17:16:55.38786	225
29320	159716	22399	2013-08-04 17:16:55.399704	2013-08-04 17:16:55.399704	225
29321	159716	22379	2013-08-04 17:16:55.410867	2013-08-04 17:16:55.410867	225
29322	159716	22413	2013-08-04 17:16:55.421709	2013-08-04 17:16:55.421709	225
29323	159716	22359	2013-08-04 17:16:55.432861	2013-08-04 17:16:55.432861	225
29324	159716	22339	2013-08-04 17:16:55.443741	2013-08-04 17:16:55.443741	225
29325	159716	22319	2013-08-04 17:16:55.454619	2013-08-04 17:16:55.454619	225
29326	159716	22299	2013-08-04 17:16:55.465475	2013-08-04 17:16:55.465475	225
29327	159443	15971	2013-08-04 17:16:55.48806	2013-08-04 17:16:55.48806	225
29328	159443	1791	2013-08-04 17:16:55.499213	2013-08-04 17:16:55.499213	225
29329	159443	22218	2013-08-04 17:16:55.510157	2013-08-04 17:16:55.510157	225
29330	159443	22279	2013-08-04 17:16:55.521055	2013-08-04 17:16:55.521055	225
29331	159443	22259	2013-08-04 17:16:55.531827	2013-08-04 17:16:55.531827	225
29332	159443	22239	2013-08-04 17:16:55.54265	2013-08-04 17:16:55.54265	225
29333	159443	22270	2013-08-04 17:16:55.553482	2013-08-04 17:16:55.553482	225
29334	159443	22253	2013-08-04 17:16:55.564656	2013-08-04 17:16:55.564656	225
29335	159443	22219	2013-08-04 17:16:55.575763	2013-08-04 17:16:55.575763	225
29336	159311	15690	2013-08-04 17:16:55.619361	2013-08-04 17:16:55.619361	225
29337	159311	15606	2013-08-04 17:16:55.631401	2013-08-04 17:16:55.631401	225
29338	159311	29201	2013-08-04 17:16:55.642741	2013-08-04 17:16:55.642741	225
29339	159311	11679	2013-08-04 17:16:55.658336	2013-08-04 17:16:55.658336	225
29340	159311	12716	2013-08-04 17:16:55.667529	2013-08-04 17:16:55.667529	225
29341	159311	41321	2013-08-04 17:16:55.672401	2013-08-04 17:16:55.672401	225
29342	159311	22706	2013-08-04 17:16:55.677243	2013-08-04 17:16:55.677243	225
29343	159311	40950	2013-08-04 17:16:55.681543	2013-08-04 17:16:55.681543	225
29344	159311	28752	2013-08-04 17:16:55.68672	2013-08-04 17:16:55.68672	225
29345	159311	47783	2013-08-04 17:16:55.691695	2013-08-04 17:16:55.691695	225
29346	159311	7349	2013-08-04 17:16:55.700829	2013-08-04 17:16:55.700829	225
29347	159311	46312	2013-08-04 17:16:55.711287	2013-08-04 17:16:55.711287	225
29348	159311	20023	2013-08-04 17:16:55.722307	2013-08-04 17:16:55.722307	225
29349	159311	47523	2013-08-04 17:16:55.733595	2013-08-04 17:16:55.733595	225
29350	159311	2940	2013-08-04 17:16:55.744583	2013-08-04 17:16:55.744583	225
29351	159311	25155	2013-08-04 17:16:55.75511	2013-08-04 17:16:55.75511	225
29352	159311	22748	2013-08-04 17:16:55.766033	2013-08-04 17:16:55.766033	225
29353	159311	36843	2013-08-04 17:16:55.777857	2013-08-04 17:16:55.777857	225
29354	159311	15406	2013-08-04 17:16:55.790469	2013-08-04 17:16:55.790469	225
29355	159652	28886	2013-08-04 17:16:56.036611	2013-08-04 17:16:56.036611	225
29356	159652	28866	2013-08-04 17:16:56.040714	2013-08-04 17:16:56.040714	225
29357	159652	16511	2013-08-04 17:16:56.048194	2013-08-04 17:16:56.048194	225
29358	159652	28846	2013-08-04 17:16:56.055669	2013-08-04 17:16:56.055669	225
29359	159652	28826	2013-08-04 17:16:56.061874	2013-08-04 17:16:56.061874	225
29360	159652	28806	2013-08-04 17:16:56.069332	2013-08-04 17:16:56.069332	225
29361	159288	28786	2013-08-04 17:16:56.089282	2013-08-04 17:16:56.089282	225
29362	159288	28766	2013-08-04 17:16:56.10043	2013-08-04 17:16:56.10043	225
29363	159288	28746	2013-08-04 17:16:56.11132	2013-08-04 17:16:56.11132	225
29364	159288	28772	2013-08-04 17:16:56.122229	2013-08-04 17:16:56.122229	225
29365	159288	28761	2013-08-04 17:16:56.132837	2013-08-04 17:16:56.132837	225
29366	159288	27772	2013-08-04 17:16:56.143871	2013-08-04 17:16:56.143871	225
29367	159277	28657	2013-08-04 17:16:56.167285	2013-08-04 17:16:56.167285	225
29368	159277	28726	2013-08-04 17:16:56.237854	2013-08-04 17:16:56.237854	225
29369	159277	28706	2013-08-04 17:16:56.242076	2013-08-04 17:16:56.242076	225
29370	159277	28686	2013-08-04 17:16:56.247368	2013-08-04 17:16:56.247368	225
29371	159277	28710	2013-08-04 17:16:56.251692	2013-08-04 17:16:56.251692	225
29372	159277	21905	2013-08-04 17:16:56.256472	2013-08-04 17:16:56.256472	225
29373	159779	2778	2013-08-04 17:16:56.271461	2013-08-04 17:16:56.271461	225
29374	159779	2764	2013-08-04 17:16:56.27725	2013-08-04 17:16:56.27725	225
29375	159779	2738	2013-08-04 17:16:56.285634	2013-08-04 17:16:56.285634	225
29376	159779	2759	2013-08-04 17:16:56.290617	2013-08-04 17:16:56.290617	225
29377	159779	2710	2013-08-04 17:16:56.298153	2013-08-04 17:16:56.298153	225
29378	159779	2816	2013-08-04 17:16:56.304361	2013-08-04 17:16:56.304361	225
29379	159779	12411	2013-08-04 17:16:56.310149	2013-08-04 17:16:56.310149	225
29380	159779	2687	2013-08-04 17:16:56.315262	2013-08-04 17:16:56.315262	225
29381	159779	3237	2013-08-04 17:16:56.319913	2013-08-04 17:16:56.319913	225
29382	159779	31861	2013-08-04 17:16:56.324109	2013-08-04 17:16:56.324109	225
29383	159779	21781	2013-08-04 17:16:56.329528	2013-08-04 17:16:56.329528	225
29384	159779	3712	2013-08-04 17:16:56.33559	2013-08-04 17:16:56.33559	225
29385	159779	2654	2013-08-04 17:16:56.340564	2013-08-04 17:16:56.340564	225
29386	159779	2598	2013-08-04 17:16:56.345056	2013-08-04 17:16:56.345056	225
29387	159779	2518	2013-08-04 17:16:56.34949	2013-08-04 17:16:56.34949	225
29388	159779	2540	2013-08-04 17:16:56.353838	2013-08-04 17:16:56.353838	225
29389	159779	2560	2013-08-04 17:16:56.358369	2013-08-04 17:16:56.358369	225
29390	159779	2618	2013-08-04 17:16:56.363024	2013-08-04 17:16:56.363024	225
29391	159779	2551	2013-08-04 17:16:56.367737	2013-08-04 17:16:56.367737	225
29392	159648	26535	2013-08-04 17:16:56.389323	2013-08-04 17:16:56.389323	225
29393	159648	26688	2013-08-04 17:16:56.395427	2013-08-04 17:16:56.395427	225
29394	159648	26668	2013-08-04 17:16:56.401736	2013-08-04 17:16:56.401736	225
29395	159648	26648	2013-08-04 17:16:56.408736	2013-08-04 17:16:56.408736	225
29396	159490	26628	2013-08-04 17:16:56.42645	2013-08-04 17:16:56.42645	225
29397	159490	26608	2013-08-04 17:16:56.434796	2013-08-04 17:16:56.434796	225
29398	159490	26588	2013-08-04 17:16:56.441182	2013-08-04 17:16:56.441182	225
29399	159490	12317	2013-08-04 17:16:56.446404	2013-08-04 17:16:56.446404	225
29400	159456	26568	2013-08-04 17:16:56.455509	2013-08-04 17:16:56.455509	225
29401	159456	26548	2013-08-04 17:16:56.460085	2013-08-04 17:16:56.460085	225
29402	159456	26528	2013-08-04 17:16:56.465051	2013-08-04 17:16:56.465051	225
29403	159456	6439	2013-08-04 17:16:56.469795	2013-08-04 17:16:56.469795	225
29404	159452	26508	2013-08-04 17:16:56.490489	2013-08-04 17:16:56.490489	225
29405	159452	26488	2013-08-04 17:16:56.500743	2013-08-04 17:16:56.500743	225
29406	159452	26468	2013-08-04 17:16:56.511328	2013-08-04 17:16:56.511328	225
29407	159452	26448	2013-08-04 17:16:56.522108	2013-08-04 17:16:56.522108	225
29408	159514	26928	2013-08-04 17:16:56.561726	2013-08-04 17:16:56.561726	225
29409	159514	26908	2013-08-04 17:16:56.565613	2013-08-04 17:16:56.565613	225
29410	159514	13250	2013-08-04 17:16:56.569651	2013-08-04 17:16:56.569651	225
29411	159514	26920	2013-08-04 17:16:56.573282	2013-08-04 17:16:56.573282	225
29412	159460	26888	2013-08-04 17:16:56.581574	2013-08-04 17:16:56.581574	225
29413	159460	26868	2013-08-04 17:16:56.586386	2013-08-04 17:16:56.586386	225
29414	159460	26121	2013-08-04 17:16:56.591851	2013-08-04 17:16:56.591851	225
29415	159460	26150	2013-08-04 17:16:56.597637	2013-08-04 17:16:56.597637	225
29416	159447	26848	2013-08-04 17:16:56.613558	2013-08-04 17:16:56.613558	225
29417	159447	26828	2013-08-04 17:16:56.621554	2013-08-04 17:16:56.621554	225
29418	159447	26808	2013-08-04 17:16:56.629481	2013-08-04 17:16:56.629481	225
29419	159447	26788	2013-08-04 17:16:56.637695	2013-08-04 17:16:56.637695	225
29420	159315	26735	2013-08-04 17:16:56.656712	2013-08-04 17:16:56.656712	225
29421	159315	26768	2013-08-04 17:16:56.667753	2013-08-04 17:16:56.667753	225
29422	159315	26748	2013-08-04 17:16:56.678844	2013-08-04 17:16:56.678844	225
29423	159315	10566	2013-08-04 17:16:56.689458	2013-08-04 17:16:56.689458	225
29424	159316	5524	2013-08-04 17:16:56.726741	2013-08-04 17:16:56.726741	225
29425	159316	4599	2013-08-04 17:16:56.741417	2013-08-04 17:16:56.741417	225
29426	159316	11571	2013-08-04 17:16:56.754595	2013-08-04 17:16:56.754595	225
29427	159316	5800	2013-08-04 17:16:56.766479	2013-08-04 17:16:56.766479	225
29428	159316	5785	2013-08-04 17:16:56.779274	2013-08-04 17:16:56.779274	225
29429	159316	5752	2013-08-04 17:16:56.792995	2013-08-04 17:16:56.792995	225
29430	159316	11958	2013-08-04 17:16:56.805167	2013-08-04 17:16:56.805167	225
29431	159316	32881	2013-08-04 17:16:56.810311	2013-08-04 17:16:56.810311	225
29432	159316	19320	2013-08-04 17:16:56.813964	2013-08-04 17:16:56.813964	225
29433	159316	26423	2013-08-04 17:16:56.817776	2013-08-04 17:16:56.817776	225
29434	159316	4018	2013-08-04 17:16:56.821414	2013-08-04 17:16:56.821414	225
29435	159316	7785	2013-08-04 17:16:56.826153	2013-08-04 17:16:56.826153	225
29436	159316	20208	2013-08-04 17:16:56.831344	2013-08-04 17:16:56.831344	225
29437	159316	10063	2013-08-04 17:16:56.839412	2013-08-04 17:16:56.839412	225
29438	159316	26703	2013-08-04 17:16:56.846821	2013-08-04 17:16:56.846821	225
29439	159316	10186	2013-08-04 17:16:56.856775	2013-08-04 17:16:56.856775	225
29440	159316	12781	2013-08-04 17:16:56.867635	2013-08-04 17:16:56.867635	225
29441	159316	27043	2013-08-04 17:16:56.878515	2013-08-04 17:16:56.878515	225
29442	159316	28163	2013-08-04 17:16:56.88938	2013-08-04 17:16:56.88938	225
29443	159540	27873	2013-08-04 17:16:57.12301	2013-08-04 17:16:57.12301	225
29444	159540	27853	2013-08-04 17:16:57.134664	2013-08-04 17:16:57.134664	225
29445	159540	27833	2013-08-04 17:16:57.145523	2013-08-04 17:16:57.145523	225
29446	159540	27813	2013-08-04 17:16:57.156428	2013-08-04 17:16:57.156428	225
29447	159540	27793	2013-08-04 17:16:57.167201	2013-08-04 17:16:57.167201	225
29448	159540	11493	2013-08-04 17:16:57.177926	2013-08-04 17:16:57.177926	225
29449	159540	27655	2013-08-04 17:16:57.188712	2013-08-04 17:16:57.188712	225
29450	159540	27773	2013-08-04 17:16:57.199445	2013-08-04 17:16:57.199445	225
29451	159540	27753	2013-08-04 17:16:57.21059	2013-08-04 17:16:57.21059	225
29452	159270	27733	2013-08-04 17:16:57.233029	2013-08-04 17:16:57.233029	225
29453	159270	27713	2013-08-04 17:16:57.244374	2013-08-04 17:16:57.244374	225
29454	159270	16876	2013-08-04 17:16:57.255453	2013-08-04 17:16:57.255453	225
29455	159270	26071	2013-08-04 17:16:57.266827	2013-08-04 17:16:57.266827	225
29456	159270	25871	2013-08-04 17:16:57.27714	2013-08-04 17:16:57.27714	225
29457	159270	17436	2013-08-04 17:16:57.287788	2013-08-04 17:16:57.287788	225
29458	159270	4781	2013-08-04 17:16:57.298267	2013-08-04 17:16:57.298267	225
29459	159270	21939	2013-08-04 17:16:57.302433	2013-08-04 17:16:57.302433	225
29460	159270	2669	2013-08-04 17:16:57.312255	2013-08-04 17:16:57.312255	225
29461	159503	31140	2013-08-04 17:16:57.34468	2013-08-04 17:16:57.34468	225
29462	159503	28100	2013-08-04 17:16:57.353249	2013-08-04 17:16:57.353249	225
29463	159503	30677	2013-08-04 17:16:57.361443	2013-08-04 17:16:57.361443	225
29464	159503	17301	2013-08-04 17:16:57.369716	2013-08-04 17:16:57.369716	225
29465	159503	35623	2013-08-04 17:16:57.377925	2013-08-04 17:16:57.377925	225
29466	159503	19781	2013-08-04 17:16:57.386137	2013-08-04 17:16:57.386137	225
29467	159503	12032	2013-08-04 17:16:57.394067	2013-08-04 17:16:57.394067	225
29468	159503	22353	2013-08-04 17:16:57.402523	2013-08-04 17:16:57.402523	225
29469	159503	28466	2013-08-04 17:16:57.410934	2013-08-04 17:16:57.410934	225
29470	159503	31197	2013-08-04 17:16:57.419167	2013-08-04 17:16:57.419167	225
29471	159503	17336	2013-08-04 17:16:57.427334	2013-08-04 17:16:57.427334	225
29472	159503	28450	2013-08-04 17:16:57.435627	2013-08-04 17:16:57.435627	225
29473	159503	19761	2013-08-04 17:16:57.443867	2013-08-04 17:16:57.443867	225
29474	159503	3095	2013-08-04 17:16:57.452271	2013-08-04 17:16:57.452271	225
29475	159503	17153	2013-08-04 17:16:57.460736	2013-08-04 17:16:57.460736	225
29476	159503	3924	2013-08-04 17:16:57.46961	2013-08-04 17:16:57.46961	225
29477	159503	28386	2013-08-04 17:16:57.47787	2013-08-04 17:16:57.47787	225
29478	159503	21319	2013-08-04 17:16:57.486072	2013-08-04 17:16:57.486072	225
29479	159503	21253	2013-08-04 17:16:57.49422	2013-08-04 17:16:57.49422	225
29480	159499	31140	2013-08-04 17:16:57.503348	2013-08-04 17:16:57.503348	225
29481	159499	28100	2013-08-04 17:16:57.505918	2013-08-04 17:16:57.505918	225
29482	159499	30677	2013-08-04 17:16:57.508291	2013-08-04 17:16:57.508291	225
29483	159499	17301	2013-08-04 17:16:57.515088	2013-08-04 17:16:57.515088	225
29484	159499	35623	2013-08-04 17:16:57.518974	2013-08-04 17:16:57.518974	225
29485	159499	19781	2013-08-04 17:16:57.524353	2013-08-04 17:16:57.524353	225
29486	159499	12032	2013-08-04 17:16:57.529098	2013-08-04 17:16:57.529098	225
29487	159499	22353	2013-08-04 17:16:57.532709	2013-08-04 17:16:57.532709	225
29488	159499	28466	2013-08-04 17:16:57.53576	2013-08-04 17:16:57.53576	225
29489	159499	31197	2013-08-04 17:16:57.539354	2013-08-04 17:16:57.539354	225
29490	159499	17336	2013-08-04 17:16:57.544183	2013-08-04 17:16:57.544183	225
29491	159499	28450	2013-08-04 17:16:57.549021	2013-08-04 17:16:57.549021	225
29492	159499	19761	2013-08-04 17:16:57.554126	2013-08-04 17:16:57.554126	225
29493	159499	3095	2013-08-04 17:16:57.559025	2013-08-04 17:16:57.559025	225
29494	159499	17153	2013-08-04 17:16:57.563957	2013-08-04 17:16:57.563957	225
29495	159499	3924	2013-08-04 17:16:57.569067	2013-08-04 17:16:57.569067	225
29496	159499	28386	2013-08-04 17:16:57.574424	2013-08-04 17:16:57.574424	225
29497	159499	21319	2013-08-04 17:16:57.579537	2013-08-04 17:16:57.579537	225
29498	159499	21253	2013-08-04 17:16:57.65521	2013-08-04 17:16:57.65521	225
29499	159321	12411	2013-08-04 17:16:57.829617	2013-08-04 17:16:57.829617	225
29500	159321	2816	2013-08-04 17:16:57.840174	2013-08-04 17:16:57.840174	225
29501	159321	2710	2013-08-04 17:16:57.850547	2013-08-04 17:16:57.850547	225
29502	159321	28761	2013-08-04 17:16:57.860814	2013-08-04 17:16:57.860814	225
29503	159321	28772	2013-08-04 17:16:57.871928	2013-08-04 17:16:57.871928	225
29504	159321	28746	2013-08-04 17:16:57.877267	2013-08-04 17:16:57.877267	225
29505	159321	28766	2013-08-04 17:16:57.880783	2013-08-04 17:16:57.880783	225
29506	159321	28786	2013-08-04 17:16:57.884074	2013-08-04 17:16:57.884074	225
29507	159321	2759	2013-08-04 17:16:57.88749	2013-08-04 17:16:57.88749	225
29508	159321	2738	2013-08-04 17:16:57.891545	2013-08-04 17:16:57.891545	225
29509	159321	2764	2013-08-04 17:16:57.895629	2013-08-04 17:16:57.895629	225
29510	159321	2778	2013-08-04 17:16:57.899073	2013-08-04 17:16:57.899073	225
29511	159321	2551	2013-08-04 17:16:57.903192	2013-08-04 17:16:57.903192	225
29512	159321	2618	2013-08-04 17:16:57.907119	2013-08-04 17:16:57.907119	225
29513	159321	2560	2013-08-04 17:16:57.911085	2013-08-04 17:16:57.911085	225
29514	159321	2540	2013-08-04 17:16:57.918432	2013-08-04 17:16:57.918432	225
29515	159321	2518	2013-08-04 17:16:57.926072	2013-08-04 17:16:57.926072	225
29516	159321	2598	2013-08-04 17:16:57.936062	2013-08-04 17:16:57.936062	225
29517	159321	2654	2013-08-04 17:16:57.946035	2013-08-04 17:16:57.946035	225
29518	159803	42957	2013-08-04 17:21:49.757989	2013-08-04 17:21:49.757989	226
29519	159803	26791	2013-08-04 17:21:49.771145	2013-08-04 17:21:49.771145	226
29520	159803	3308	2013-08-04 17:21:49.781855	2013-08-04 17:21:49.781855	226
29521	159803	18276	2013-08-04 17:21:49.792447	2013-08-04 17:21:49.792447	226
29522	159803	18181	2013-08-04 17:21:49.803148	2013-08-04 17:21:49.803148	226
29523	159802	28946	2013-08-04 17:21:50.070726	2013-08-04 17:21:50.070726	226
29524	159802	28926	2013-08-04 17:21:50.083594	2013-08-04 17:21:50.083594	226
29525	159802	28961	2013-08-04 17:21:50.095522	2013-08-04 17:21:50.095522	226
29526	159802	28906	2013-08-04 17:21:50.107525	2013-08-04 17:21:50.107525	226
29527	159802	34178	2013-08-04 17:21:50.119521	2013-08-04 17:21:50.119521	226
29528	159802	28755	2013-08-04 17:21:50.13146	2013-08-04 17:21:50.13146	226
29529	159802	27713	2013-08-04 17:21:50.143478	2013-08-04 17:21:50.143478	226
29530	159802	27733	2013-08-04 17:21:50.154658	2013-08-04 17:21:50.154658	226
29531	159802	26731	2013-08-04 17:21:50.165308	2013-08-04 17:21:50.165308	226
29532	159802	26531	2013-08-04 17:21:50.176116	2013-08-04 17:21:50.176116	226
29533	159802	25871	2013-08-04 17:21:50.188813	2013-08-04 17:21:50.188813	226
29534	159802	18263	2013-08-04 17:21:50.200438	2013-08-04 17:21:50.200438	226
29535	159802	18056	2013-08-04 17:21:50.211432	2013-08-04 17:21:50.211432	226
29536	159802	2669	2013-08-04 17:21:50.219782	2013-08-04 17:21:50.219782	226
29537	159802	21939	2013-08-04 17:21:50.223484	2013-08-04 17:21:50.223484	226
29538	159802	4781	2013-08-04 17:21:50.227024	2013-08-04 17:21:50.227024	226
29539	159802	17436	2013-08-04 17:21:50.230387	2013-08-04 17:21:50.230387	226
29540	159802	26071	2013-08-04 17:21:50.291087	2013-08-04 17:21:50.291087	226
29541	159802	16876	2013-08-04 17:21:50.295922	2013-08-04 17:21:50.295922	226
29542	159804	27088	2013-08-04 17:21:50.320139	2013-08-04 17:21:50.320139	226
29543	159804	27068	2013-08-04 17:21:50.329546	2013-08-04 17:21:50.329546	226
29544	159804	21646	2013-08-04 17:21:50.339125	2013-08-04 17:21:50.339125	226
29545	159804	27048	2013-08-04 17:21:50.348685	2013-08-04 17:21:50.348685	226
29546	159804	27028	2013-08-04 17:21:50.358409	2013-08-04 17:21:50.358409	226
29547	159804	27008	2013-08-04 17:21:50.369182	2013-08-04 17:21:50.369182	226
29548	159804	33778	2013-08-04 17:21:50.381039	2013-08-04 17:21:50.381039	226
29549	159804	26912	2013-08-04 17:21:50.393761	2013-08-04 17:21:50.393761	226
29550	159804	26937	2013-08-04 17:21:50.406713	2013-08-04 17:21:50.406713	226
29551	159804	26895	2013-08-04 17:21:50.415113	2013-08-04 17:21:50.415113	226
29552	159804	26898	2013-08-04 17:21:50.419986	2013-08-04 17:21:50.419986	226
29553	159804	26848	2013-08-04 17:21:50.426145	2013-08-04 17:21:50.426145	226
29554	159804	26828	2013-08-04 17:21:50.434903	2013-08-04 17:21:50.434903	226
29555	159804	26808	2013-08-04 17:21:50.440643	2013-08-04 17:21:50.440643	226
29556	159804	26788	2013-08-04 17:21:50.445852	2013-08-04 17:21:50.445852	226
29557	159804	26691	2013-08-04 17:21:50.451741	2013-08-04 17:21:50.451741	226
29558	159804	26511	2013-08-04 17:21:50.45627	2013-08-04 17:21:50.45627	226
29559	159804	18236	2013-08-04 17:21:50.460631	2013-08-04 17:21:50.460631	226
29560	159804	11721	2013-08-04 17:21:50.465032	2013-08-04 17:21:50.465032	226
29561	159805	42817	2013-08-04 17:21:50.615129	2013-08-04 17:21:50.615129	226
29562	159805	26671	2013-08-04 17:21:50.625652	2013-08-04 17:21:50.625652	226
29563	159805	26491	2013-08-04 17:21:50.63254	2013-08-04 17:21:50.63254	226
29564	159805	18171	2013-08-04 17:21:50.636335	2013-08-04 17:21:50.636335	226
29565	159805	18017	2013-08-04 17:21:50.639735	2013-08-04 17:21:50.639735	226
29566	160106	31140	2013-08-04 17:21:50.652263	2013-08-04 17:21:50.652263	226
29567	160106	28100	2013-08-04 17:21:50.658036	2013-08-04 17:21:50.658036	226
29568	160106	30677	2013-08-04 17:21:50.663193	2013-08-04 17:21:50.663193	226
29569	160106	17301	2013-08-04 17:21:50.667678	2013-08-04 17:21:50.667678	226
29570	160106	35623	2013-08-04 17:21:50.67494	2013-08-04 17:21:50.67494	226
29571	160106	19781	2013-08-04 17:21:50.684206	2013-08-04 17:21:50.684206	226
29572	160106	12032	2013-08-04 17:21:50.689779	2013-08-04 17:21:50.689779	226
29573	160106	22353	2013-08-04 17:21:50.693699	2013-08-04 17:21:50.693699	226
29574	160106	28466	2013-08-04 17:21:50.69933	2013-08-04 17:21:50.69933	226
29575	160106	31197	2013-08-04 17:21:50.70255	2013-08-04 17:21:50.70255	226
29576	160106	17336	2013-08-04 17:21:50.706369	2013-08-04 17:21:50.706369	226
29577	160106	28450	2013-08-04 17:21:50.709546	2013-08-04 17:21:50.709546	226
29578	160106	19761	2013-08-04 17:21:50.712709	2013-08-04 17:21:50.712709	226
29579	160106	3095	2013-08-04 17:21:50.715712	2013-08-04 17:21:50.715712	226
29580	160106	17153	2013-08-04 17:21:50.718623	2013-08-04 17:21:50.718623	226
29581	160106	3924	2013-08-04 17:21:50.721451	2013-08-04 17:21:50.721451	226
29582	160106	28386	2013-08-04 17:21:50.72439	2013-08-04 17:21:50.72439	226
29583	160106	21319	2013-08-04 17:21:50.727657	2013-08-04 17:21:50.727657	226
29584	160106	21253	2013-08-04 17:21:50.730645	2013-08-04 17:21:50.730645	226
29585	160108	31140	2013-08-04 17:21:50.750424	2013-08-04 17:21:50.750424	226
29586	160108	28100	2013-08-04 17:21:50.758937	2013-08-04 17:21:50.758937	226
29587	160108	30677	2013-08-04 17:21:50.766777	2013-08-04 17:21:50.766777	226
29588	160108	17301	2013-08-04 17:21:50.7746	2013-08-04 17:21:50.7746	226
29589	160108	35623	2013-08-04 17:21:50.783368	2013-08-04 17:21:50.783368	226
29590	160108	19781	2013-08-04 17:21:50.792255	2013-08-04 17:21:50.792255	226
29591	160108	12032	2013-08-04 17:21:50.800532	2013-08-04 17:21:50.800532	226
29592	160108	22353	2013-08-04 17:21:50.808764	2013-08-04 17:21:50.808764	226
29593	160108	28466	2013-08-04 17:21:50.817002	2013-08-04 17:21:50.817002	226
29594	160108	31197	2013-08-04 17:21:50.825251	2013-08-04 17:21:50.825251	226
29595	160108	17336	2013-08-04 17:21:50.833398	2013-08-04 17:21:50.833398	226
29596	160108	28450	2013-08-04 17:21:50.841572	2013-08-04 17:21:50.841572	226
29597	160108	19761	2013-08-04 17:21:50.849771	2013-08-04 17:21:50.849771	226
29598	160108	3095	2013-08-04 17:21:50.857971	2013-08-04 17:21:50.857971	226
29599	160108	17153	2013-08-04 17:21:50.866155	2013-08-04 17:21:50.866155	226
29600	160108	3924	2013-08-04 17:21:50.874428	2013-08-04 17:21:50.874428	226
29601	160108	28386	2013-08-04 17:21:50.882909	2013-08-04 17:21:50.882909	226
29602	160108	21319	2013-08-04 17:21:50.891225	2013-08-04 17:21:50.891225	226
29603	160108	21253	2013-08-04 17:21:50.89966	2013-08-04 17:21:50.89966	226
29604	160109	28100	2013-08-04 17:21:50.932575	2013-08-04 17:21:50.932575	226
29605	160109	30677	2013-08-04 17:21:50.941015	2013-08-04 17:21:50.941015	226
29606	160109	17301	2013-08-04 17:21:50.949271	2013-08-04 17:21:50.949271	226
29607	160109	35623	2013-08-04 17:21:50.957936	2013-08-04 17:21:50.957936	226
29608	160109	19781	2013-08-04 17:21:50.967097	2013-08-04 17:21:50.967097	226
29609	160109	12032	2013-08-04 17:21:50.977137	2013-08-04 17:21:50.977137	226
29610	160109	22353	2013-08-04 17:21:50.985955	2013-08-04 17:21:50.985955	226
29611	160109	28466	2013-08-04 17:21:50.994117	2013-08-04 17:21:50.994117	226
29612	160109	31197	2013-08-04 17:21:51.002352	2013-08-04 17:21:51.002352	226
29613	159806	17336	2013-08-04 17:21:51.022472	2013-08-04 17:21:51.022472	226
29614	159806	28450	2013-08-04 17:21:51.026711	2013-08-04 17:21:51.026711	226
29615	159806	19761	2013-08-04 17:21:51.037164	2013-08-04 17:21:51.037164	226
29616	159806	3095	2013-08-04 17:21:51.046273	2013-08-04 17:21:51.046273	226
29617	159806	17153	2013-08-04 17:21:51.050074	2013-08-04 17:21:51.050074	226
29618	159806	3924	2013-08-04 17:21:51.053701	2013-08-04 17:21:51.053701	226
29619	159806	28386	2013-08-04 17:21:51.057314	2013-08-04 17:21:51.057314	226
29620	159806	21319	2013-08-04 17:21:51.060741	2013-08-04 17:21:51.060741	226
29621	159806	21253	2013-08-04 17:21:51.064112	2013-08-04 17:21:51.064112	226
29622	159801	26631	2013-08-04 17:21:51.1007	2013-08-04 17:21:51.1007	226
29623	159800	18553	2013-08-04 17:21:51.128348	2013-08-04 17:21:51.128348	226
29624	159800	18543	2013-08-04 17:21:51.132004	2013-08-04 17:21:51.132004	226
29625	159800	18536	2013-08-04 17:21:51.135115	2013-08-04 17:21:51.135115	226
29626	159800	18417	2013-08-04 17:21:51.139466	2013-08-04 17:21:51.139466	226
29627	159800	5781	2013-08-04 17:21:51.143678	2013-08-04 17:21:51.143678	226
29628	159800	18516	2013-08-04 17:21:51.153668	2013-08-04 17:21:51.153668	226
29629	159800	18496	2013-08-04 17:21:51.164511	2013-08-04 17:21:51.164511	226
29630	159800	18476	2013-08-04 17:21:51.17529	2013-08-04 17:21:51.17529	226
29631	159800	31550	2013-08-04 17:21:51.1861	2013-08-04 17:21:51.1861	226
29632	159800	31450	2013-08-04 17:21:51.196895	2013-08-04 17:21:51.196895	226
29633	159800	18456	2013-08-04 17:21:51.208071	2013-08-04 17:21:51.208071	226
29634	159800	18436	2013-08-04 17:21:51.219402	2013-08-04 17:21:51.219402	226
29635	159800	18416	2013-08-04 17:21:51.2285	2013-08-04 17:21:51.2285	226
29636	159800	18396	2013-08-04 17:21:51.239171	2013-08-04 17:21:51.239171	226
29637	159800	18376	2013-08-04 17:21:51.252383	2013-08-04 17:21:51.252383	226
29638	159800	32118	2013-08-04 17:21:51.264319	2013-08-04 17:21:51.264319	226
29639	159800	18356	2013-08-04 17:21:51.276493	2013-08-04 17:21:51.276493	226
29640	159800	18336	2013-08-04 17:21:51.288469	2013-08-04 17:21:51.288469	226
29641	159800	18316	2013-08-04 17:21:51.300196	2013-08-04 17:21:51.300196	226
29642	159808	22519	2013-08-04 17:21:51.575471	2013-08-04 17:21:51.575471	226
29643	159808	18200	2013-08-04 17:21:51.580644	2013-08-04 17:21:51.580644	226
29644	159808	22499	2013-08-04 17:21:51.58505	2013-08-04 17:21:51.58505	226
29645	159808	22490	2013-08-04 17:21:51.588831	2013-08-04 17:21:51.588831	226
29646	159808	22479	2013-08-04 17:21:51.592689	2013-08-04 17:21:51.592689	226
29647	159808	22565	2013-08-04 17:21:51.596441	2013-08-04 17:21:51.596441	226
29648	159808	22459	2013-08-04 17:21:51.60018	2013-08-04 17:21:51.60018	226
29649	159808	22320	2013-08-04 17:21:51.603639	2013-08-04 17:21:51.603639	226
29650	159808	26150	2013-08-04 17:21:51.607249	2013-08-04 17:21:51.607249	226
29651	159808	26121	2013-08-04 17:21:51.610472	2013-08-04 17:21:51.610472	226
29652	159808	26868	2013-08-04 17:21:51.613676	2013-08-04 17:21:51.613676	226
29653	159808	26888	2013-08-04 17:21:51.616843	2013-08-04 17:21:51.616843	226
29654	159808	18156	2013-08-04 17:21:51.620314	2013-08-04 17:21:51.620314	226
29655	159808	2441	2013-08-04 17:21:51.623816	2013-08-04 17:21:51.623816	226
29656	159808	3712	2013-08-04 17:21:51.62744	2013-08-04 17:21:51.62744	226
29657	159808	21781	2013-08-04 17:21:51.631117	2013-08-04 17:21:51.631117	226
29658	159808	31861	2013-08-04 17:21:51.634823	2013-08-04 17:21:51.634823	226
29659	159808	3237	2013-08-04 17:21:51.638758	2013-08-04 17:21:51.638758	226
29660	159808	2687	2013-08-04 17:21:51.642597	2013-08-04 17:21:51.642597	226
29661	160227	26551	2013-08-04 17:21:51.662628	2013-08-04 17:21:51.662628	226
29662	160227	26831	2013-08-04 17:21:51.666333	2013-08-04 17:21:51.666333	226
29663	159893	18296	2013-08-04 17:21:51.674113	2013-08-04 17:21:51.674113	226
29664	159893	18096	2013-08-04 17:21:51.677923	2013-08-04 17:21:51.677923	226
29665	160224	24911	2013-08-04 17:21:51.736792	2013-08-04 17:21:51.736792	226
29666	160224	3274	2013-08-04 17:21:51.742198	2013-08-04 17:21:51.742198	226
29667	160224	16806	2013-08-04 17:21:51.746401	2013-08-04 17:21:51.746401	226
29668	160224	15790	2013-08-04 17:21:51.750712	2013-08-04 17:21:51.750712	226
29669	160224	35123	2013-08-04 17:21:51.754969	2013-08-04 17:21:51.754969	226
29670	160224	17401	2013-08-04 17:21:51.760837	2013-08-04 17:21:51.760837	226
29671	160224	47783	2013-08-04 17:21:51.766456	2013-08-04 17:21:51.766456	226
29672	160224	28752	2013-08-04 17:21:51.77226	2013-08-04 17:21:51.77226	226
29673	160224	40950	2013-08-04 17:21:51.778239	2013-08-04 17:21:51.778239	226
29674	160224	22706	2013-08-04 17:21:51.782814	2013-08-04 17:21:51.782814	226
29675	160224	41321	2013-08-04 17:21:51.78963	2013-08-04 17:21:51.78963	226
29676	160224	12716	2013-08-04 17:21:51.800155	2013-08-04 17:21:51.800155	226
29677	160224	11679	2013-08-04 17:21:51.810123	2013-08-04 17:21:51.810123	226
29678	160224	29201	2013-08-04 17:21:51.818937	2013-08-04 17:21:51.818937	226
29679	160224	15606	2013-08-04 17:21:51.829327	2013-08-04 17:21:51.829327	226
29680	160224	15690	2013-08-04 17:21:51.839729	2013-08-04 17:21:51.839729	226
29681	160224	12856	2013-08-04 17:21:51.850874	2013-08-04 17:21:51.850874	226
29682	160224	16953	2013-08-04 17:21:51.862482	2013-08-04 17:21:51.862482	226
29683	160224	29321	2013-08-04 17:21:51.874178	2013-08-04 17:21:51.874178	226
29684	160292	27215	2013-08-04 17:21:51.930042	2013-08-04 17:21:51.930042	226
29685	160292	27308	2013-08-04 17:21:51.934472	2013-08-04 17:21:51.934472	226
29686	160292	27288	2013-08-04 17:21:51.938323	2013-08-04 17:21:51.938323	226
29687	160292	27268	2013-08-04 17:21:51.941685	2013-08-04 17:21:51.941685	226
29688	160292	27248	2013-08-04 17:21:51.944859	2013-08-04 17:21:51.944859	226
29689	160292	27228	2013-08-04 17:21:51.949618	2013-08-04 17:21:51.949618	226
29690	160292	13477	2013-08-04 17:21:51.956975	2013-08-04 17:21:51.956975	226
29691	160292	27280	2013-08-04 17:21:51.967103	2013-08-04 17:21:51.967103	226
29692	160292	27208	2013-08-04 17:21:51.97776	2013-08-04 17:21:51.97776	226
29693	159892	27166	2013-08-04 17:21:52.000749	2013-08-04 17:21:52.000749	226
29694	159892	27188	2013-08-04 17:21:52.012487	2013-08-04 17:21:52.012487	226
29695	159892	27168	2013-08-04 17:21:52.024053	2013-08-04 17:21:52.024053	226
29696	159892	27132	2013-08-04 17:21:52.035102	2013-08-04 17:21:52.035102	226
29697	159892	27137	2013-08-04 17:21:52.046913	2013-08-04 17:21:52.046913	226
29698	159892	27065	2013-08-04 17:21:52.058559	2013-08-04 17:21:52.058559	226
29699	159892	27148	2013-08-04 17:21:52.070726	2013-08-04 17:21:52.070726	226
29700	159892	27128	2013-08-04 17:21:52.082537	2013-08-04 17:21:52.082537	226
29701	159892	27108	2013-08-04 17:21:52.096071	2013-08-04 17:21:52.096071	226
29702	160228	6781	2013-08-04 17:21:52.1199	2013-08-04 17:21:52.1199	226
29703	160228	6768	2013-08-04 17:21:52.124406	2013-08-04 17:21:52.124406	226
29704	160228	33481	2013-08-04 17:21:52.12886	2013-08-04 17:21:52.12886	226
29705	160228	33461	2013-08-04 17:21:52.133387	2013-08-04 17:21:52.133387	226
29706	160228	33401	2013-08-04 17:21:52.137872	2013-08-04 17:21:52.137872	226
29707	160228	19771	2013-08-04 17:21:52.142794	2013-08-04 17:21:52.142794	226
29708	160228	33381	2013-08-04 17:21:52.151852	2013-08-04 17:21:52.151852	226
29709	160228	6506	2013-08-04 17:21:52.159852	2013-08-04 17:21:52.159852	226
29710	160228	5577	2013-08-04 17:21:52.167952	2013-08-04 17:21:52.167952	226
29711	160228	38363	2013-08-04 17:21:52.179036	2013-08-04 17:21:52.179036	226
29712	160228	49732	2013-08-04 17:21:52.190235	2013-08-04 17:21:52.190235	226
29713	160228	36875	2013-08-04 17:21:52.201377	2013-08-04 17:21:52.201377	226
29714	160228	33155	2013-08-04 17:21:52.212392	2013-08-04 17:21:52.212392	226
29715	160228	2786	2013-08-04 17:21:52.223478	2013-08-04 17:21:52.223478	226
29716	160228	40523	2013-08-04 17:21:52.234642	2013-08-04 17:21:52.234642	226
29717	160228	7257	2013-08-04 17:21:52.245654	2013-08-04 17:21:52.245654	226
29718	160228	40583	2013-08-04 17:21:52.257584	2013-08-04 17:21:52.257584	226
29719	160228	40643	2013-08-04 17:21:52.270391	2013-08-04 17:21:52.270391	226
29720	160228	7324	2013-08-04 17:21:52.282891	2013-08-04 17:21:52.282891	226
29721	159960	27091	2013-08-04 17:21:52.320501	2013-08-04 17:21:52.320501	226
29722	159960	27071	2013-08-04 17:21:52.325128	2013-08-04 17:21:52.325128	226
29723	159960	21586	2013-08-04 17:21:52.329251	2013-08-04 17:21:52.329251	226
29724	159960	27051	2013-08-04 17:21:52.333079	2013-08-04 17:21:52.333079	226
29725	159960	27031	2013-08-04 17:21:52.337123	2013-08-04 17:21:52.337123	226
29726	159960	11230	2013-08-04 17:21:52.341099	2013-08-04 17:21:52.341099	226
29727	159960	27011	2013-08-04 17:21:52.34721	2013-08-04 17:21:52.34721	226
29728	159960	26872	2013-08-04 17:21:52.354883	2013-08-04 17:21:52.354883	226
29729	159960	26858	2013-08-04 17:21:52.360355	2013-08-04 17:21:52.360355	226
29730	159960	26991	2013-08-04 17:21:52.364813	2013-08-04 17:21:52.364813	226
29731	159960	26971	2013-08-04 17:21:52.370111	2013-08-04 17:21:52.370111	226
29732	159960	26951	2013-08-04 17:21:52.376095	2013-08-04 17:21:52.376095	226
29733	159960	26931	2013-08-04 17:21:52.383483	2013-08-04 17:21:52.383483	226
29734	159960	26880	2013-08-04 17:21:52.393196	2013-08-04 17:21:52.393196	226
29735	159960	26911	2013-08-04 17:21:52.403647	2013-08-04 17:21:52.403647	226
29736	159960	26891	2013-08-04 17:21:52.414996	2013-08-04 17:21:52.414996	226
29737	159960	13321	2013-08-04 17:21:52.426192	2013-08-04 17:21:52.426192	226
29738	159960	26871	2013-08-04 17:21:52.438003	2013-08-04 17:21:52.438003	226
29739	159960	26851	2013-08-04 17:21:52.448165	2013-08-04 17:21:52.448165	226
29740	159894	28093	2013-08-04 17:21:52.524121	2013-08-04 17:21:52.524121	226
29741	159894	28073	2013-08-04 17:21:52.528478	2013-08-04 17:21:52.528478	226
29742	159894	28053	2013-08-04 17:21:52.534442	2013-08-04 17:21:52.534442	226
29743	159894	28033	2013-08-04 17:21:52.540446	2013-08-04 17:21:52.540446	226
29744	159894	28013	2013-08-04 17:21:52.546279	2013-08-04 17:21:52.546279	226
29745	159894	27993	2013-08-04 17:21:52.553688	2013-08-04 17:21:52.553688	226
29746	159894	27973	2013-08-04 17:21:52.560591	2013-08-04 17:21:52.560591	226
29747	159894	27795	2013-08-04 17:21:52.567179	2013-08-04 17:21:52.567179	226
29748	159894	27953	2013-08-04 17:21:52.572331	2013-08-04 17:21:52.572331	226
29749	159894	27817	2013-08-04 17:21:52.575685	2013-08-04 17:21:52.575685	226
29750	159894	27865	2013-08-04 17:21:52.578827	2013-08-04 17:21:52.578827	226
29751	159894	27933	2013-08-04 17:21:52.58183	2013-08-04 17:21:52.58183	226
29752	159894	27913	2013-08-04 17:21:52.587958	2013-08-04 17:21:52.587958	226
29753	159894	13630	2013-08-04 17:21:52.593197	2013-08-04 17:21:52.593197	226
29754	159894	27893	2013-08-04 17:21:52.597494	2013-08-04 17:21:52.597494	226
29755	159894	26651	2013-08-04 17:21:52.60284	2013-08-04 17:21:52.60284	226
29756	159894	26471	2013-08-04 17:21:52.606414	2013-08-04 17:21:52.606414	226
29757	159894	18095	2013-08-04 17:21:52.612132	2013-08-04 17:21:52.612132	226
29758	159894	17996	2013-08-04 17:21:52.616521	2013-08-04 17:21:52.616521	226
29759	160110	29201	2013-08-04 17:21:52.62688	2013-08-04 17:21:52.62688	226
29760	160110	11679	2013-08-04 17:21:52.629495	2013-08-04 17:21:52.629495	226
29761	160110	12716	2013-08-04 17:21:52.6325	2013-08-04 17:21:52.6325	226
29762	160110	41321	2013-08-04 17:21:52.63503	2013-08-04 17:21:52.63503	226
29763	160110	22706	2013-08-04 17:21:52.637753	2013-08-04 17:21:52.637753	226
29764	160110	40950	2013-08-04 17:21:52.640311	2013-08-04 17:21:52.640311	226
29765	160110	28752	2013-08-04 17:21:52.642858	2013-08-04 17:21:52.642858	226
29766	160110	47783	2013-08-04 17:21:52.64607	2013-08-04 17:21:52.64607	226
29767	160110	15506	2013-08-04 17:21:52.65015	2013-08-04 17:21:52.65015	226
29768	160110	36803	2013-08-04 17:21:52.652947	2013-08-04 17:21:52.652947	226
29769	160110	28100	2013-08-04 17:21:52.656247	2013-08-04 17:21:52.656247	226
29770	160110	30677	2013-08-04 17:21:52.660043	2013-08-04 17:21:52.660043	226
29771	160110	17301	2013-08-04 17:21:52.663075	2013-08-04 17:21:52.663075	226
29772	160110	35623	2013-08-04 17:21:52.665849	2013-08-04 17:21:52.665849	226
29773	160110	19781	2013-08-04 17:21:52.669311	2013-08-04 17:21:52.669311	226
29774	160110	12032	2013-08-04 17:21:52.672189	2013-08-04 17:21:52.672189	226
29775	160110	22353	2013-08-04 17:21:52.675842	2013-08-04 17:21:52.675842	226
29776	160110	28466	2013-08-04 17:21:52.679556	2013-08-04 17:21:52.679556	226
29777	160110	31197	2013-08-04 17:21:52.684051	2013-08-04 17:21:52.684051	226
29778	160390	18836	2013-08-04 17:21:52.829935	2013-08-04 17:21:52.829935	226
29779	160390	18766	2013-08-04 17:21:52.835686	2013-08-04 17:21:52.835686	226
29780	160390	18816	2013-08-04 17:21:52.841719	2013-08-04 17:21:52.841719	226
29781	160390	18796	2013-08-04 17:21:52.847948	2013-08-04 17:21:52.847948	226
29782	160390	18776	2013-08-04 17:21:52.854364	2013-08-04 17:21:52.854364	226
29783	160390	18756	2013-08-04 17:21:52.861211	2013-08-04 17:21:52.861211	226
29784	160390	18736	2013-08-04 17:21:52.868645	2013-08-04 17:21:52.868645	226
29785	160390	18716	2013-08-04 17:21:52.876844	2013-08-04 17:21:52.876844	226
29786	160390	18696	2013-08-04 17:21:52.885552	2013-08-04 17:21:52.885552	226
29787	160229	4570	2013-08-04 17:21:52.904197	2013-08-04 17:21:52.904197	226
29788	160229	18676	2013-08-04 17:21:52.912808	2013-08-04 17:21:52.912808	226
29789	160229	18656	2013-08-04 17:21:52.923661	2013-08-04 17:21:52.923661	226
29790	160229	18636	2013-08-04 17:21:52.933293	2013-08-04 17:21:52.933293	226
29791	160229	18586	2013-08-04 17:21:52.94437	2013-08-04 17:21:52.94437	226
29792	160229	18616	2013-08-04 17:21:52.956224	2013-08-04 17:21:52.956224	226
29793	160229	18596	2013-08-04 17:21:52.967306	2013-08-04 17:21:52.967306	226
29794	160229	18576	2013-08-04 17:21:52.97608	2013-08-04 17:21:52.97608	226
29795	160229	18556	2013-08-04 17:21:52.981695	2013-08-04 17:21:52.981695	226
29796	159959	43200	2013-08-04 17:21:52.997431	2013-08-04 17:21:52.997431	226
29797	159959	43257	2013-08-04 17:21:53.001468	2013-08-04 17:21:53.001468	226
29798	159959	43237	2013-08-04 17:21:53.005621	2013-08-04 17:21:53.005621	226
29799	159959	43217	2013-08-04 17:21:53.009838	2013-08-04 17:21:53.009838	226
29800	159959	43197	2013-08-04 17:21:53.014205	2013-08-04 17:21:53.014205	226
29801	159959	43177	2013-08-04 17:21:53.020688	2013-08-04 17:21:53.020688	226
29802	159959	43157	2013-08-04 17:21:53.025236	2013-08-04 17:21:53.025236	226
29803	159959	43070	2013-08-04 17:21:53.029464	2013-08-04 17:21:53.029464	226
29804	159959	43137	2013-08-04 17:21:53.033462	2013-08-04 17:21:53.033462	226
29805	159959	43117	2013-08-04 17:21:53.040154	2013-08-04 17:21:53.040154	226
29806	159959	43172	2013-08-04 17:21:53.045575	2013-08-04 17:21:53.045575	226
29807	159959	43097	2013-08-04 17:21:53.051028	2013-08-04 17:21:53.051028	226
29808	159959	43077	2013-08-04 17:21:53.054314	2013-08-04 17:21:53.054314	226
29809	159959	43098	2013-08-04 17:21:53.057557	2013-08-04 17:21:53.057557	226
29810	159959	43057	2013-08-04 17:21:53.061001	2013-08-04 17:21:53.061001	226
29811	159959	43037	2013-08-04 17:21:53.064731	2013-08-04 17:21:53.064731	226
29812	159959	42955	2013-08-04 17:21:53.068476	2013-08-04 17:21:53.068476	226
29813	159959	43017	2013-08-04 17:21:53.073061	2013-08-04 17:21:53.073061	226
29814	159959	26591	2013-08-04 17:21:53.078041	2013-08-04 17:21:53.078041	226
29815	160291	22699	2013-08-04 17:21:53.1158	2013-08-04 17:21:53.1158	226
29816	160291	3277	2013-08-04 17:21:53.120352	2013-08-04 17:21:53.120352	226
29817	160291	16228	2013-08-04 17:21:53.124408	2013-08-04 17:21:53.124408	226
29818	160291	22679	2013-08-04 17:21:53.129021	2013-08-04 17:21:53.129021	226
29819	160291	22659	2013-08-04 17:21:53.135126	2013-08-04 17:21:53.135126	226
29820	160291	22639	2013-08-04 17:21:53.139086	2013-08-04 17:21:53.139086	226
29821	160291	22619	2013-08-04 17:21:53.143713	2013-08-04 17:21:53.143713	226
29822	160291	22578	2013-08-04 17:21:53.148535	2013-08-04 17:21:53.148535	226
29823	160291	22599	2013-08-04 17:21:53.151963	2013-08-04 17:21:53.151963	226
29824	160183	18770	2013-08-04 17:21:53.162589	2013-08-04 17:21:53.162589	226
29825	160183	34198	2013-08-04 17:21:53.168076	2013-08-04 17:21:53.168076	226
29826	160183	22579	2013-08-04 17:21:53.174655	2013-08-04 17:21:53.174655	226
29827	160183	12866	2013-08-04 17:21:53.178441	2013-08-04 17:21:53.178441	226
29828	160183	22559	2013-08-04 17:21:53.182791	2013-08-04 17:21:53.182791	226
29829	160183	3751	2013-08-04 17:21:53.187332	2013-08-04 17:21:53.187332	226
29830	160183	22539	2013-08-04 17:21:53.191414	2013-08-04 17:21:53.191414	226
29831	160183	14446	2013-08-04 17:21:53.195603	2013-08-04 17:21:53.195603	226
29832	160183	3234	2013-08-04 17:21:53.201218	2013-08-04 17:21:53.201218	226
29833	159991	34603	2013-08-04 17:21:53.220209	2013-08-04 17:21:53.220209	226
29834	159991	20632	2013-08-04 17:21:53.224699	2013-08-04 17:21:53.224699	226
29835	159991	29181	2013-08-04 17:21:53.229495	2013-08-04 17:21:53.229495	226
29836	159991	15090	2013-08-04 17:21:53.23511	2013-08-04 17:21:53.23511	226
29837	159991	36603	2013-08-04 17:21:53.239402	2013-08-04 17:21:53.239402	226
29838	159991	47763	2013-08-04 17:21:53.243765	2013-08-04 17:21:53.243765	226
29839	159991	19821	2013-08-04 17:21:53.247792	2013-08-04 17:21:53.247792	226
29840	159991	839	2013-08-04 17:21:53.251683	2013-08-04 17:21:53.251683	226
29841	159991	40190	2013-08-04 17:21:53.255825	2013-08-04 17:21:53.255825	226
29842	159991	7709	2013-08-04 17:21:53.26023	2013-08-04 17:21:53.26023	226
29843	159991	19761	2013-08-04 17:21:53.264276	2013-08-04 17:21:53.264276	226
29844	159991	28450	2013-08-04 17:21:53.267714	2013-08-04 17:21:53.267714	226
29845	159991	17336	2013-08-04 17:21:53.271255	2013-08-04 17:21:53.271255	226
29846	159991	21253	2013-08-04 17:21:53.275237	2013-08-04 17:21:53.275237	226
29847	159991	21319	2013-08-04 17:21:53.279514	2013-08-04 17:21:53.279514	226
29848	159991	28386	2013-08-04 17:21:53.28273	2013-08-04 17:21:53.28273	226
29849	159991	3924	2013-08-04 17:21:53.285926	2013-08-04 17:21:53.285926	226
29850	159991	17153	2013-08-04 17:21:53.29072	2013-08-04 17:21:53.29072	226
29851	159991	3095	2013-08-04 17:21:53.296397	2013-08-04 17:21:53.296397	226
29852	160304	49315	2013-08-04 17:21:53.398867	2013-08-04 17:21:53.398867	226
29853	160304	49615	2013-08-04 17:21:53.401746	2013-08-04 17:21:53.401746	226
29854	160304	14518	2013-08-04 17:21:53.404389	2013-08-04 17:21:53.404389	226
29855	160304	19821	2013-08-04 17:21:53.409694	2013-08-04 17:21:53.409694	226
29856	160304	47763	2013-08-04 17:21:53.41682	2013-08-04 17:21:53.41682	226
29857	160304	36603	2013-08-04 17:21:53.421468	2013-08-04 17:21:53.421468	226
29858	160304	15090	2013-08-04 17:21:53.428212	2013-08-04 17:21:53.428212	226
29859	160304	29181	2013-08-04 17:21:53.435286	2013-08-04 17:21:53.435286	226
29860	160304	20632	2013-08-04 17:21:53.437972	2013-08-04 17:21:53.437972	226
29861	160304	34603	2013-08-04 17:21:53.440696	2013-08-04 17:21:53.440696	226
29862	160304	17336	2013-08-04 17:21:53.443223	2013-08-04 17:21:53.443223	226
29863	160304	28450	2013-08-04 17:21:53.445699	2013-08-04 17:21:53.445699	226
29864	160304	19761	2013-08-04 17:21:53.448199	2013-08-04 17:21:53.448199	226
29865	160304	3095	2013-08-04 17:21:53.450912	2013-08-04 17:21:53.450912	226
29866	160304	17153	2013-08-04 17:21:53.45693	2013-08-04 17:21:53.45693	226
29867	160304	3924	2013-08-04 17:21:53.460829	2013-08-04 17:21:53.460829	226
29868	160304	28386	2013-08-04 17:21:53.464415	2013-08-04 17:21:53.464415	226
29869	160304	21319	2013-08-04 17:21:53.46889	2013-08-04 17:21:53.46889	226
29870	160304	21253	2013-08-04 17:21:53.472395	2013-08-04 17:21:53.472395	226
29871	160187	29186	2013-08-04 17:21:53.583642	2013-08-04 17:21:53.583642	226
29872	160187	29166	2013-08-04 17:21:53.589957	2013-08-04 17:21:53.589957	226
29873	160187	29146	2013-08-04 17:21:53.59493	2013-08-04 17:21:53.59493	226
29874	160187	29126	2013-08-04 17:21:53.60088	2013-08-04 17:21:53.60088	226
29875	160187	29106	2013-08-04 17:21:53.607722	2013-08-04 17:21:53.607722	226
29876	160187	29095	2013-08-04 17:21:53.612951	2013-08-04 17:21:53.612951	226
29877	160187	29086	2013-08-04 17:21:53.61762	2013-08-04 17:21:53.61762	226
29878	160187	29066	2013-08-04 17:21:53.623185	2013-08-04 17:21:53.623185	226
29879	160187	29046	2013-08-04 17:21:53.628123	2013-08-04 17:21:53.628123	226
29880	160121	28937	2013-08-04 17:21:53.637693	2013-08-04 17:21:53.637693	226
29881	160121	28985	2013-08-04 17:21:53.643728	2013-08-04 17:21:53.643728	226
29882	160121	28960	2013-08-04 17:21:53.649402	2013-08-04 17:21:53.649402	226
29883	160121	29026	2013-08-04 17:21:53.65904	2013-08-04 17:21:53.65904	226
29884	160121	14539	2013-08-04 17:21:53.670644	2013-08-04 17:21:53.670644	226
29885	160121	29006	2013-08-04 17:21:53.681999	2013-08-04 17:21:53.681999	226
29886	160121	28986	2013-08-04 17:21:53.691314	2013-08-04 17:21:53.691314	226
29887	160121	28966	2013-08-04 17:21:53.702711	2013-08-04 17:21:53.702711	226
29888	160121	28918	2013-08-04 17:21:53.714663	2013-08-04 17:21:53.714663	226
29889	160385	2756	2013-08-04 17:21:53.761479	2013-08-04 17:21:53.761479	226
29890	160385	2767	2013-08-04 17:21:53.765776	2013-08-04 17:21:53.765776	226
29891	160385	3103	2013-08-04 17:21:53.769593	2013-08-04 17:21:53.769593	226
29892	160060	2781	2013-08-04 17:21:53.776549	2013-08-04 17:21:53.776549	226
29893	160060	2709	2013-08-04 17:21:53.780158	2013-08-04 17:21:53.780158	226
29894	160060	2747	2013-08-04 17:21:53.784332	2013-08-04 17:21:53.784332	226
29895	160047	21861	2013-08-04 17:21:53.793357	2013-08-04 17:21:53.793357	226
29896	160047	21680	2013-08-04 17:21:53.797932	2013-08-04 17:21:53.797932	226
29897	160047	2791	2013-08-04 17:21:53.802709	2013-08-04 17:21:53.802709	226
29898	160036	2727	2013-08-04 17:21:53.814238	2013-08-04 17:21:53.814238	226
29899	160036	2730	2013-08-04 17:21:53.82005	2013-08-04 17:21:53.82005	226
29900	160036	2676	2013-08-04 17:21:53.825718	2013-08-04 17:21:53.825718	226
29901	160018	49603	2013-08-04 17:21:53.83416	2013-08-04 17:21:53.83416	226
29902	160018	2707	2013-08-04 17:21:53.839465	2013-08-04 17:21:53.839465	226
29903	160018	44721	2013-08-04 17:21:53.920788	2013-08-04 17:21:53.920788	226
29904	160306	2700	2013-08-04 17:21:53.940284	2013-08-04 17:21:53.940284	226
29905	160306	5726	2013-08-04 17:21:53.950667	2013-08-04 17:21:53.950667	226
29906	160306	2825	2013-08-04 17:21:53.96096	2013-08-04 17:21:53.96096	226
29907	160306	13200	2013-08-04 17:21:53.971025	2013-08-04 17:21:53.971025	226
29908	160306	2826	2013-08-04 17:21:53.98189	2013-08-04 17:21:53.98189	226
29909	160306	2758	2013-08-04 17:21:53.993281	2013-08-04 17:21:53.993281	226
29910	160306	2740	2013-08-04 17:21:54.004503	2013-08-04 17:21:54.004503	226
29911	160306	2721	2013-08-04 17:21:54.015768	2013-08-04 17:21:54.015768	226
29912	160306	2749	2013-08-04 17:21:54.02377	2013-08-04 17:21:54.02377	226
29913	160280	2807	2013-08-04 17:21:54.030487	2013-08-04 17:21:54.030487	226
29914	160280	2674	2013-08-04 17:21:54.03392	2013-08-04 17:21:54.03392	226
29915	160280	2821	2013-08-04 17:21:54.037196	2013-08-04 17:21:54.037196	226
29916	160280	3264	2013-08-04 17:21:54.04205	2013-08-04 17:21:54.04205	226
29917	160280	2695	2013-08-04 17:21:54.048656	2013-08-04 17:21:54.048656	226
29918	160280	5717	2013-08-04 17:21:54.054321	2013-08-04 17:21:54.054321	226
29919	160280	2715	2013-08-04 17:21:54.05991	2013-08-04 17:21:54.05991	226
29920	160280	2735	2013-08-04 17:21:54.067752	2013-08-04 17:21:54.067752	226
29921	160280	2755	2013-08-04 17:21:54.078427	2013-08-04 17:21:54.078427	226
29922	160389	27470	2013-08-04 17:21:54.131965	2013-08-04 17:21:54.131965	226
29923	160389	27388	2013-08-04 17:21:54.135811	2013-08-04 17:21:54.135811	226
29924	160389	27368	2013-08-04 17:21:54.139072	2013-08-04 17:21:54.139072	226
29925	160137	27348	2013-08-04 17:21:54.145644	2013-08-04 17:21:54.145644	226
29926	160137	27433	2013-08-04 17:21:54.152525	2013-08-04 17:21:54.152525	226
29927	160137	13739	2013-08-04 17:21:54.157765	2013-08-04 17:21:54.157765	226
29928	159932	2755	2013-08-04 17:21:54.177575	2013-08-04 17:21:54.177575	226
29929	159932	2735	2013-08-04 17:21:54.187669	2013-08-04 17:21:54.187669	226
29930	159932	2715	2013-08-04 17:21:54.198467	2013-08-04 17:21:54.198467	226
29931	159911	5717	2013-08-04 17:21:54.220958	2013-08-04 17:21:54.220958	226
29932	159911	2695	2013-08-04 17:21:54.23199	2013-08-04 17:21:54.23199	226
29933	159911	3264	2013-08-04 17:21:54.243629	2013-08-04 17:21:54.243629	226
29934	159898	2821	2013-08-04 17:21:54.266071	2013-08-04 17:21:54.266071	226
29935	159898	2674	2013-08-04 17:21:54.270025	2013-08-04 17:21:54.270025	226
29936	159898	2807	2013-08-04 17:21:54.27372	2013-08-04 17:21:54.27372	226
29937	159995	27497	2013-08-04 17:21:54.287909	2013-08-04 17:21:54.287909	226
29938	159995	27517	2013-08-04 17:21:54.293802	2013-08-04 17:21:54.293802	226
29939	159995	27628	2013-08-04 17:21:54.29858	2013-08-04 17:21:54.29858	226
29940	159995	27608	2013-08-04 17:21:54.306567	2013-08-04 17:21:54.306567	226
29941	159995	27588	2013-08-04 17:21:54.315185	2013-08-04 17:21:54.315185	226
29942	159995	27568	2013-08-04 17:21:54.326533	2013-08-04 17:21:54.326533	226
29943	159995	27540	2013-08-04 17:21:54.33849	2013-08-04 17:21:54.33849	226
29944	159995	27548	2013-08-04 17:21:54.350435	2013-08-04 17:21:54.350435	226
29945	159995	16796	2013-08-04 17:21:54.360078	2013-08-04 17:21:54.360078	226
29946	159995	13871	2013-08-04 17:21:54.367367	2013-08-04 17:21:54.367367	226
29947	159995	27528	2013-08-04 17:21:54.375557	2013-08-04 17:21:54.375557	226
29948	159995	27508	2013-08-04 17:21:54.381643	2013-08-04 17:21:54.381643	226
29949	159995	27488	2013-08-04 17:21:54.388087	2013-08-04 17:21:54.388087	226
29950	159995	27397	2013-08-04 17:21:54.392806	2013-08-04 17:21:54.392806	226
29951	159995	27337	2013-08-04 17:21:54.398721	2013-08-04 17:21:54.398721	226
29952	159995	27435	2013-08-04 17:21:54.407186	2013-08-04 17:21:54.407186	226
29953	159995	27468	2013-08-04 17:21:54.417873	2013-08-04 17:21:54.417873	226
29954	159995	27358	2013-08-04 17:21:54.428752	2013-08-04 17:21:54.428752	226
29955	159995	27448	2013-08-04 17:21:54.440154	2013-08-04 17:21:54.440154	226
29956	159996	38455	2013-08-04 17:21:54.476909	2013-08-04 17:21:54.476909	226
29957	159996	38095	2013-08-04 17:21:54.488971	2013-08-04 17:21:54.488971	226
29958	159996	8278	2013-08-04 17:21:54.499813	2013-08-04 17:21:54.499813	226
29959	159996	37303	2013-08-04 17:21:54.511112	2013-08-04 17:21:54.511112	226
29960	159996	37315	2013-08-04 17:21:54.522453	2013-08-04 17:21:54.522453	226
29961	159996	17666	2013-08-04 17:21:54.533572	2013-08-04 17:21:54.533572	226
29962	159996	41483	2013-08-04 17:21:54.545317	2013-08-04 17:21:54.545317	226
29963	159996	29158	2013-08-04 17:21:54.55694	2013-08-04 17:21:54.55694	226
29964	159996	47901	2013-08-04 17:21:54.568043	2013-08-04 17:21:54.568043	226
29965	159996	47721	2013-08-04 17:21:54.578492	2013-08-04 17:21:54.578492	226
29966	159996	34737	2013-08-04 17:21:54.589789	2013-08-04 17:21:54.589789	226
29967	159996	45510	2013-08-04 17:21:54.600832	2013-08-04 17:21:54.600832	226
29968	159996	28132	2013-08-04 17:21:54.611942	2013-08-04 17:21:54.611942	226
29969	159996	7289	2013-08-04 17:21:54.624062	2013-08-04 17:21:54.624062	226
29970	159996	7215	2013-08-04 17:21:54.635181	2013-08-04 17:21:54.635181	226
29971	159996	33605	2013-08-04 17:21:54.645483	2013-08-04 17:21:54.645483	226
29972	159996	47098	2013-08-04 17:21:54.651478	2013-08-04 17:21:54.651478	226
29973	159996	33361	2013-08-04 17:21:54.655615	2013-08-04 17:21:54.655615	226
29974	159996	49403	2013-08-04 17:21:54.659726	2013-08-04 17:21:54.659726	226
29975	159922	28333	2013-08-04 17:21:54.756834	2013-08-04 17:21:54.756834	226
29976	159922	28341	2013-08-04 17:21:54.768544	2013-08-04 17:21:54.768544	226
29977	159922	28380	2013-08-04 17:21:54.779436	2013-08-04 17:21:54.779436	226
29978	159922	28313	2013-08-04 17:21:54.790407	2013-08-04 17:21:54.790407	226
29979	159922	28293	2013-08-04 17:21:54.801283	2013-08-04 17:21:54.801283	226
29980	159922	28370	2013-08-04 17:21:54.807681	2013-08-04 17:21:54.807681	226
29981	159922	28273	2013-08-04 17:21:54.811901	2013-08-04 17:21:54.811901	226
29982	159922	28257	2013-08-04 17:21:54.816948	2013-08-04 17:21:54.816948	226
29983	159922	28253	2013-08-04 17:21:54.821167	2013-08-04 17:21:54.821167	226
29984	159922	28233	2013-08-04 17:21:54.825689	2013-08-04 17:21:54.825689	226
29985	159922	28213	2013-08-04 17:21:54.830246	2013-08-04 17:21:54.830246	226
29986	159922	28190	2013-08-04 17:21:54.834716	2013-08-04 17:21:54.834716	226
29987	159922	28193	2013-08-04 17:21:54.839352	2013-08-04 17:21:54.839352	226
29988	159922	28173	2013-08-04 17:21:54.845756	2013-08-04 17:21:54.845756	226
29989	159922	28180	2013-08-04 17:21:54.851835	2013-08-04 17:21:54.851835	226
29990	159922	28153	2013-08-04 17:21:54.85684	2013-08-04 17:21:54.85684	226
29991	159922	28133	2013-08-04 17:21:54.860468	2013-08-04 17:21:54.860468	226
29992	159922	28113	2013-08-04 17:21:54.865306	2013-08-04 17:21:54.865306	226
29993	159922	28015	2013-08-04 17:21:54.87563	2013-08-04 17:21:54.87563	226
29994	160111	29201	2013-08-04 17:21:54.907815	2013-08-04 17:21:54.907815	226
29995	160111	11679	2013-08-04 17:21:54.912558	2013-08-04 17:21:54.912558	226
29996	160111	12716	2013-08-04 17:21:54.915998	2013-08-04 17:21:54.915998	226
29997	160111	41321	2013-08-04 17:21:54.919321	2013-08-04 17:21:54.919321	226
29998	160111	22706	2013-08-04 17:21:54.925986	2013-08-04 17:21:54.925986	226
29999	160111	40950	2013-08-04 17:21:54.934206	2013-08-04 17:21:54.934206	226
30000	160111	28752	2013-08-04 17:21:54.942489	2013-08-04 17:21:54.942489	226
30001	160111	47783	2013-08-04 17:21:54.950878	2013-08-04 17:21:54.950878	226
30002	160111	15506	2013-08-04 17:21:54.959575	2013-08-04 17:21:54.959575	226
30003	160111	36803	2013-08-04 17:21:54.968375	2013-08-04 17:21:54.968375	226
30004	160111	28100	2013-08-04 17:21:54.977227	2013-08-04 17:21:54.977227	226
30005	160111	30677	2013-08-04 17:21:54.986145	2013-08-04 17:21:54.986145	226
30006	160111	17301	2013-08-04 17:21:54.994851	2013-08-04 17:21:54.994851	226
30007	160111	35623	2013-08-04 17:21:55.003695	2013-08-04 17:21:55.003695	226
30008	160111	19781	2013-08-04 17:21:55.012177	2013-08-04 17:21:55.012177	226
30009	160111	12032	2013-08-04 17:21:55.020458	2013-08-04 17:21:55.020458	226
30010	160111	22353	2013-08-04 17:21:55.028791	2013-08-04 17:21:55.028791	226
30011	160111	28466	2013-08-04 17:21:55.037204	2013-08-04 17:21:55.037204	226
30012	160111	31197	2013-08-04 17:21:55.045401	2013-08-04 17:21:55.045401	226
30013	160107	29201	2013-08-04 17:21:55.073624	2013-08-04 17:21:55.073624	226
30014	160107	11679	2013-08-04 17:21:55.078516	2013-08-04 17:21:55.078516	226
30015	160107	12716	2013-08-04 17:21:55.08335	2013-08-04 17:21:55.08335	226
30016	160107	41321	2013-08-04 17:21:55.088014	2013-08-04 17:21:55.088014	226
30017	160107	22706	2013-08-04 17:21:55.092885	2013-08-04 17:21:55.092885	226
30018	160107	40950	2013-08-04 17:21:55.0991	2013-08-04 17:21:55.0991	226
30019	160107	28752	2013-08-04 17:21:55.104494	2013-08-04 17:21:55.104494	226
30020	160107	47783	2013-08-04 17:21:55.112501	2013-08-04 17:21:55.112501	226
30021	160107	15506	2013-08-04 17:21:55.121677	2013-08-04 17:21:55.121677	226
30022	160107	36803	2013-08-04 17:21:55.132919	2013-08-04 17:21:55.132919	226
30023	160107	28100	2013-08-04 17:21:55.141425	2013-08-04 17:21:55.141425	226
30024	160107	30677	2013-08-04 17:21:55.150054	2013-08-04 17:21:55.150054	226
30025	160107	17301	2013-08-04 17:21:55.153381	2013-08-04 17:21:55.153381	226
30026	160107	35623	2013-08-04 17:21:55.156248	2013-08-04 17:21:55.156248	226
30027	160107	19781	2013-08-04 17:21:55.158945	2013-08-04 17:21:55.158945	226
30028	160107	12032	2013-08-04 17:21:55.161805	2013-08-04 17:21:55.161805	226
30029	160107	22353	2013-08-04 17:21:55.164516	2013-08-04 17:21:55.164516	226
30030	160107	28466	2013-08-04 17:21:55.166992	2013-08-04 17:21:55.166992	226
30031	160107	31197	2013-08-04 17:21:55.170025	2013-08-04 17:21:55.170025	226
30032	160000	22918	2013-08-04 17:21:55.365554	2013-08-04 17:21:55.365554	226
30033	160000	6101	2013-08-04 17:21:55.37069	2013-08-04 17:21:55.37069	226
30034	160000	22919	2013-08-04 17:21:55.376439	2013-08-04 17:21:55.376439	226
30035	160000	22899	2013-08-04 17:21:55.383139	2013-08-04 17:21:55.383139	226
30036	160000	22879	2013-08-04 17:21:55.391467	2013-08-04 17:21:55.391467	226
30037	160000	22800	2013-08-04 17:21:55.400995	2013-08-04 17:21:55.400995	226
30038	160000	22859	2013-08-04 17:21:55.412218	2013-08-04 17:21:55.412218	226
30039	160000	22839	2013-08-04 17:21:55.421561	2013-08-04 17:21:55.421561	226
30040	160000	22819	2013-08-04 17:21:55.43302	2013-08-04 17:21:55.43302	226
30041	160000	22799	2013-08-04 17:21:55.444222	2013-08-04 17:21:55.444222	226
30042	160000	22779	2013-08-04 17:21:55.454203	2013-08-04 17:21:55.454203	226
30043	160000	16130	2013-08-04 17:21:55.46606	2013-08-04 17:21:55.46606	226
30044	160000	22753	2013-08-04 17:21:55.475341	2013-08-04 17:21:55.475341	226
30045	160000	22759	2013-08-04 17:21:55.479039	2013-08-04 17:21:55.479039	226
30046	160000	22739	2013-08-04 17:21:55.48583	2013-08-04 17:21:55.48583	226
30047	160000	22730	2013-08-04 17:21:55.491181	2013-08-04 17:21:55.491181	226
30048	160000	3103	2013-08-04 17:21:55.495871	2013-08-04 17:21:55.495871	226
30049	160000	2767	2013-08-04 17:21:55.50212	2013-08-04 17:21:55.50212	226
30050	160000	2756	2013-08-04 17:21:55.509417	2013-08-04 17:21:55.509417	226
30051	160467	43497	2013-08-04 17:26:49.404529	2013-08-04 17:26:49.404529	227
30052	160467	10960	2013-08-04 17:26:49.40919	2013-08-04 17:26:49.40919	227
30053	160467	27411	2013-08-04 17:26:49.418129	2013-08-04 17:26:49.418129	227
30054	160467	27211	2013-08-04 17:26:49.421529	2013-08-04 17:26:49.421529	227
30055	160467	19763	2013-08-04 17:26:49.425501	2013-08-04 17:26:49.425501	227
30056	160464	29305	2013-08-04 17:26:49.65424	2013-08-04 17:26:49.65424	227
30057	160464	29237	2013-08-04 17:26:49.666244	2013-08-04 17:26:49.666244	227
30058	160464	29325	2013-08-04 17:26:49.677913	2013-08-04 17:26:49.677913	227
30059	160464	29346	2013-08-04 17:26:49.688976	2013-08-04 17:26:49.688976	227
30060	160464	29326	2013-08-04 17:26:49.700078	2013-08-04 17:26:49.700078	227
30061	160464	29306	2013-08-04 17:26:49.711105	2013-08-04 17:26:49.711105	227
30062	160464	29286	2013-08-04 17:26:49.722043	2013-08-04 17:26:49.722043	227
30063	160464	34672	2013-08-04 17:26:49.733089	2013-08-04 17:26:49.733089	227
30064	160464	29266	2013-08-04 17:26:49.744251	2013-08-04 17:26:49.744251	227
30065	160464	29246	2013-08-04 17:26:49.755316	2013-08-04 17:26:49.755316	227
30066	160464	29230	2013-08-04 17:26:49.76641	2013-08-04 17:26:49.76641	227
30067	160464	29226	2013-08-04 17:26:49.777411	2013-08-04 17:26:49.777411	227
30068	160464	3743	2013-08-04 17:26:49.788482	2013-08-04 17:26:49.788482	227
30069	160464	29206	2013-08-04 17:26:49.799585	2013-08-04 17:26:49.799585	227
30070	160464	29232	2013-08-04 17:26:49.810684	2013-08-04 17:26:49.810684	227
30071	160464	27611	2013-08-04 17:26:49.82165	2013-08-04 17:26:49.82165	227
30072	160464	27371	2013-08-04 17:26:49.832136	2013-08-04 17:26:49.832136	227
30073	160464	10719	2013-08-04 17:26:49.842143	2013-08-04 17:26:49.842143	227
30074	160464	49783	2013-08-04 17:26:49.852354	2013-08-04 17:26:49.852354	227
30075	160485	2967	2013-08-04 17:26:49.946486	2013-08-04 17:26:49.946486	227
30076	160485	2947	2013-08-04 17:26:49.952642	2013-08-04 17:26:49.952642	227
30077	160485	2927	2013-08-04 17:26:49.957561	2013-08-04 17:26:49.957561	227
30078	160485	2832	2013-08-04 17:26:49.96234	2013-08-04 17:26:49.96234	227
30079	160485	2938	2013-08-04 17:26:49.967178	2013-08-04 17:26:49.967178	227
30080	160485	2958	2013-08-04 17:26:49.973685	2013-08-04 17:26:49.973685	227
30081	160485	2892	2013-08-04 17:26:49.980011	2013-08-04 17:26:49.980011	227
30082	160485	2978	2013-08-04 17:26:49.986803	2013-08-04 17:26:49.986803	227
30083	160485	2950	2013-08-04 17:26:49.992941	2013-08-04 17:26:49.992941	227
30084	160485	2907	2013-08-04 17:26:49.997316	2013-08-04 17:26:49.997316	227
30085	160485	19581	2013-08-04 17:26:50.001679	2013-08-04 17:26:50.001679	227
30086	160485	2887	2013-08-04 17:26:50.007309	2013-08-04 17:26:50.007309	227
30087	160485	2867	2013-08-04 17:26:50.012487	2013-08-04 17:26:50.012487	227
30088	160485	2881	2013-08-04 17:26:50.017168	2013-08-04 17:26:50.017168	227
30089	160485	4279	2013-08-04 17:26:50.021181	2013-08-04 17:26:50.021181	227
30090	160485	16866	2013-08-04 17:26:50.025338	2013-08-04 17:26:50.025338	227
30091	160485	2847	2013-08-04 17:26:50.031929	2013-08-04 17:26:50.031929	227
30092	160485	12391	2013-08-04 17:26:50.038081	2013-08-04 17:26:50.038081	227
30093	160485	20468	2013-08-04 17:26:50.044386	2013-08-04 17:26:50.044386	227
30094	160468	5104	2013-08-04 17:26:50.088561	2013-08-04 17:26:50.088561	227
30095	160468	27755	2013-08-04 17:26:50.10035	2013-08-04 17:26:50.10035	227
30096	160468	27788	2013-08-04 17:26:50.11222	2013-08-04 17:26:50.11222	227
30097	160468	27768	2013-08-04 17:26:50.124274	2013-08-04 17:26:50.124274	227
30098	160468	27748	2013-08-04 17:26:50.13641	2013-08-04 17:26:50.13641	227
30099	160468	16936	2013-08-04 17:26:50.148654	2013-08-04 17:26:50.148654	227
30100	160468	27728	2013-08-04 17:26:50.160278	2013-08-04 17:26:50.160278	227
30101	160468	27708	2013-08-04 17:26:50.171389	2013-08-04 17:26:50.171389	227
30102	160468	27680	2013-08-04 17:26:50.182708	2013-08-04 17:26:50.182708	227
30103	160468	27688	2013-08-04 17:26:50.194261	2013-08-04 17:26:50.194261	227
30104	160468	23797	2013-08-04 17:26:50.20666	2013-08-04 17:26:50.20666	227
30105	160468	27668	2013-08-04 17:26:50.218828	2013-08-04 17:26:50.218828	227
30106	160468	27648	2013-08-04 17:26:50.229978	2013-08-04 17:26:50.229978	227
30107	160468	26550	2013-08-04 17:26:50.238778	2013-08-04 17:26:50.238778	227
30108	160468	27477	2013-08-04 17:26:50.250089	2013-08-04 17:26:50.250089	227
30109	160468	27571	2013-08-04 17:26:50.261478	2013-08-04 17:26:50.261478	227
30110	160468	27351	2013-08-04 17:26:50.27269	2013-08-04 17:26:50.27269	227
30111	160468	27191	2013-08-04 17:26:50.28375	2013-08-04 17:26:50.28375	227
30112	160468	2901	2013-08-04 17:26:50.29449	2013-08-04 17:26:50.29449	227
30113	160470	43337	2013-08-04 17:26:50.47385	2013-08-04 17:26:50.47385	227
30114	160470	27511	2013-08-04 17:26:50.48299	2013-08-04 17:26:50.48299	227
30115	160470	27297	2013-08-04 17:26:50.492386	2013-08-04 17:26:50.492386	227
30116	160470	27171	2013-08-04 17:26:50.502592	2013-08-04 17:26:50.502592	227
30117	160470	39723	2013-08-04 17:26:50.51262	2013-08-04 17:26:50.51262	227
30118	161081	29201	2013-08-04 17:26:50.551652	2013-08-04 17:26:50.551652	227
30119	161081	11679	2013-08-04 17:26:50.560201	2013-08-04 17:26:50.560201	227
30120	161081	12716	2013-08-04 17:26:50.569664	2013-08-04 17:26:50.569664	227
30121	161081	41321	2013-08-04 17:26:50.578602	2013-08-04 17:26:50.578602	227
30122	161081	22706	2013-08-04 17:26:50.587406	2013-08-04 17:26:50.587406	227
30123	161081	40950	2013-08-04 17:26:50.596266	2013-08-04 17:26:50.596266	227
30124	161081	28752	2013-08-04 17:26:50.605297	2013-08-04 17:26:50.605297	227
30125	161081	47783	2013-08-04 17:26:50.614348	2013-08-04 17:26:50.614348	227
30126	161081	15506	2013-08-04 17:26:50.619327	2013-08-04 17:26:50.619327	227
30127	161081	36803	2013-08-04 17:26:50.628139	2013-08-04 17:26:50.628139	227
30128	161081	28100	2013-08-04 17:26:50.632272	2013-08-04 17:26:50.632272	227
30129	161081	30677	2013-08-04 17:26:50.636183	2013-08-04 17:26:50.636183	227
30130	161081	17301	2013-08-04 17:26:50.63989	2013-08-04 17:26:50.63989	227
30131	161081	35623	2013-08-04 17:26:50.643293	2013-08-04 17:26:50.643293	227
30132	161081	19781	2013-08-04 17:26:50.646553	2013-08-04 17:26:50.646553	227
30133	161081	12032	2013-08-04 17:26:50.649618	2013-08-04 17:26:50.649618	227
30134	161081	22353	2013-08-04 17:26:50.652564	2013-08-04 17:26:50.652564	227
30135	161081	28466	2013-08-04 17:26:50.655297	2013-08-04 17:26:50.655297	227
30136	161081	31197	2013-08-04 17:26:50.658599	2013-08-04 17:26:50.658599	227
30137	161086	29201	2013-08-04 17:26:50.671744	2013-08-04 17:26:50.671744	227
30138	161086	11679	2013-08-04 17:26:50.674125	2013-08-04 17:26:50.674125	227
30139	161086	12716	2013-08-04 17:26:50.676446	2013-08-04 17:26:50.676446	227
30140	161086	41321	2013-08-04 17:26:50.678733	2013-08-04 17:26:50.678733	227
30141	161086	22706	2013-08-04 17:26:50.685467	2013-08-04 17:26:50.685467	227
30142	161086	40950	2013-08-04 17:26:50.693277	2013-08-04 17:26:50.693277	227
30143	161086	28752	2013-08-04 17:26:50.701889	2013-08-04 17:26:50.701889	227
30144	161086	47783	2013-08-04 17:26:50.711476	2013-08-04 17:26:50.711476	227
30145	161086	15506	2013-08-04 17:26:50.720221	2013-08-04 17:26:50.720221	227
30146	161086	36803	2013-08-04 17:26:50.730031	2013-08-04 17:26:50.730031	227
30147	161086	28100	2013-08-04 17:26:50.736378	2013-08-04 17:26:50.736378	227
30148	161086	30677	2013-08-04 17:26:50.739885	2013-08-04 17:26:50.739885	227
30149	161086	17301	2013-08-04 17:26:50.743201	2013-08-04 17:26:50.743201	227
30150	161086	35623	2013-08-04 17:26:50.746403	2013-08-04 17:26:50.746403	227
30151	161086	19781	2013-08-04 17:26:50.749881	2013-08-04 17:26:50.749881	227
30152	161086	12032	2013-08-04 17:26:50.753527	2013-08-04 17:26:50.753527	227
30153	161086	22353	2013-08-04 17:26:50.75661	2013-08-04 17:26:50.75661	227
30154	161086	28466	2013-08-04 17:26:50.759544	2013-08-04 17:26:50.759544	227
30155	161086	31197	2013-08-04 17:26:50.763332	2013-08-04 17:26:50.763332	227
30156	161088	11679	2013-08-04 17:26:50.78107	2013-08-04 17:26:50.78107	227
30157	161088	12716	2013-08-04 17:26:50.784629	2013-08-04 17:26:50.784629	227
30158	161088	41321	2013-08-04 17:26:50.787626	2013-08-04 17:26:50.787626	227
30159	161088	22706	2013-08-04 17:26:50.790644	2013-08-04 17:26:50.790644	227
30160	161088	40950	2013-08-04 17:26:50.79352	2013-08-04 17:26:50.79352	227
30161	161088	28752	2013-08-04 17:26:50.796293	2013-08-04 17:26:50.796293	227
30162	161088	47783	2013-08-04 17:26:50.798773	2013-08-04 17:26:50.798773	227
30163	161088	15506	2013-08-04 17:26:50.801427	2013-08-04 17:26:50.801427	227
30164	161088	36803	2013-08-04 17:26:50.80404	2013-08-04 17:26:50.80404	227
30165	160469	28100	2013-08-04 17:26:50.812737	2013-08-04 17:26:50.812737	227
30166	160469	30677	2013-08-04 17:26:50.821406	2013-08-04 17:26:50.821406	227
30167	160469	17301	2013-08-04 17:26:50.83264	2013-08-04 17:26:50.83264	227
30168	160469	35623	2013-08-04 17:26:50.843672	2013-08-04 17:26:50.843672	227
30169	160469	19781	2013-08-04 17:26:50.854854	2013-08-04 17:26:50.854854	227
30170	160469	12032	2013-08-04 17:26:50.867172	2013-08-04 17:26:50.867172	227
30171	160469	22353	2013-08-04 17:26:50.87853	2013-08-04 17:26:50.87853	227
30172	160469	28466	2013-08-04 17:26:50.882339	2013-08-04 17:26:50.882339	227
30173	160469	31197	2013-08-04 17:26:50.885633	2013-08-04 17:26:50.885633	227
30174	160466	18975	2013-08-04 17:26:50.912487	2013-08-04 17:26:50.912487	227
30175	160466	18996	2013-08-04 17:26:50.916873	2013-08-04 17:26:50.916873	227
30176	160466	18976	2013-08-04 17:26:50.92103	2013-08-04 17:26:50.92103	227
30177	160466	18956	2013-08-04 17:26:50.92536	2013-08-04 17:26:50.92536	227
30178	160466	2359	2013-08-04 17:26:50.929808	2013-08-04 17:26:50.929808	227
30179	160466	18936	2013-08-04 17:26:50.934266	2013-08-04 17:26:50.934266	227
30180	160466	18916	2013-08-04 17:26:50.938934	2013-08-04 17:26:50.938934	227
30181	160466	18961	2013-08-04 17:26:50.944853	2013-08-04 17:26:50.944853	227
30182	160466	18896	2013-08-04 17:26:50.950095	2013-08-04 17:26:50.950095	227
30183	160466	18897	2013-08-04 17:26:50.957836	2013-08-04 17:26:50.957836	227
30184	160466	18876	2013-08-04 17:26:50.964786	2013-08-04 17:26:50.964786	227
30185	160466	18870	2013-08-04 17:26:50.9736	2013-08-04 17:26:50.9736	227
30186	160466	13731	2013-08-04 17:26:50.978168	2013-08-04 17:26:50.978168	227
30187	160466	18890	2013-08-04 17:26:50.984402	2013-08-04 17:26:50.984402	227
30188	160466	18856	2013-08-04 17:26:50.989564	2013-08-04 17:26:50.989564	227
30189	160466	2822	2013-08-04 17:26:50.994469	2013-08-04 17:26:50.994469	227
30190	160466	2676	2013-08-04 17:26:50.999933	2013-08-04 17:26:50.999933	227
30191	160466	2730	2013-08-04 17:26:51.008442	2013-08-04 17:26:51.008442	227
30192	160466	2727	2013-08-04 17:26:51.013436	2013-08-04 17:26:51.013436	227
30193	160471	23166	2013-08-04 17:26:51.345074	2013-08-04 17:26:51.345074	227
30194	160471	23181	2013-08-04 17:26:51.349027	2013-08-04 17:26:51.349027	227
30195	160471	23099	2013-08-04 17:26:51.354009	2013-08-04 17:26:51.354009	227
30196	160471	22935	2013-08-04 17:26:51.359792	2013-08-04 17:26:51.359792	227
30197	160471	21575	2013-08-04 17:26:51.365196	2013-08-04 17:26:51.365196	227
30198	160471	13063	2013-08-04 17:26:51.371402	2013-08-04 17:26:51.371402	227
30199	160471	23079	2013-08-04 17:26:51.37792	2013-08-04 17:26:51.37792	227
30200	160471	17917	2013-08-04 17:26:51.382274	2013-08-04 17:26:51.382274	227
30201	160471	23059	2013-08-04 17:26:51.389551	2013-08-04 17:26:51.389551	227
30202	160471	23030	2013-08-04 17:26:51.397973	2013-08-04 17:26:51.397973	227
30203	160471	23039	2013-08-04 17:26:51.408794	2013-08-04 17:26:51.408794	227
30204	160471	23019	2013-08-04 17:26:51.420664	2013-08-04 17:26:51.420664	227
30205	160471	23006	2013-08-04 17:26:51.432275	2013-08-04 17:26:51.432275	227
30206	160471	22999	2013-08-04 17:26:51.444961	2013-08-04 17:26:51.444961	227
30207	160471	22979	2013-08-04 17:26:51.450103	2013-08-04 17:26:51.450103	227
30208	160471	22959	2013-08-04 17:26:51.455585	2013-08-04 17:26:51.455585	227
30209	160471	46483	2013-08-04 17:26:51.460517	2013-08-04 17:26:51.460517	227
30210	160471	22939	2013-08-04 17:26:51.465267	2013-08-04 17:26:51.465267	227
30211	160471	2705	2013-08-04 17:26:51.469622	2013-08-04 17:26:51.469622	227
30212	161354	43537	2013-08-04 17:26:51.505322	2013-08-04 17:26:51.505322	227
30213	161354	27691	2013-08-04 17:26:51.513816	2013-08-04 17:26:51.513816	227
30214	161354	16675	2013-08-04 17:26:51.522391	2013-08-04 17:26:51.522391	227
30215	161354	10923	2013-08-04 17:26:51.531991	2013-08-04 17:26:51.531991	227
30216	161354	3324	2013-08-04 17:26:51.541689	2013-08-04 17:26:51.541689	227
30217	161307	49315	2013-08-04 17:26:51.593382	2013-08-04 17:26:51.593382	227
30218	161307	49615	2013-08-04 17:26:51.597427	2013-08-04 17:26:51.597427	227
30219	161307	14518	2013-08-04 17:26:51.602445	2013-08-04 17:26:51.602445	227
30220	161307	19821	2013-08-04 17:26:51.606862	2013-08-04 17:26:51.606862	227
30221	161307	47763	2013-08-04 17:26:51.610687	2013-08-04 17:26:51.610687	227
30222	161307	36603	2013-08-04 17:26:51.614378	2013-08-04 17:26:51.614378	227
30223	161307	15090	2013-08-04 17:26:51.618325	2013-08-04 17:26:51.618325	227
30224	161307	29181	2013-08-04 17:26:51.621942	2013-08-04 17:26:51.621942	227
30225	161307	20632	2013-08-04 17:26:51.625281	2013-08-04 17:26:51.625281	227
30226	161307	34603	2013-08-04 17:26:51.628666	2013-08-04 17:26:51.628666	227
30227	161307	17336	2013-08-04 17:26:51.631821	2013-08-04 17:26:51.631821	227
30228	161307	28450	2013-08-04 17:26:51.635541	2013-08-04 17:26:51.635541	227
30229	161307	19761	2013-08-04 17:26:51.643394	2013-08-04 17:26:51.643394	227
30230	161307	3095	2013-08-04 17:26:51.649541	2013-08-04 17:26:51.649541	227
30231	161307	17153	2013-08-04 17:26:51.659036	2013-08-04 17:26:51.659036	227
30232	161307	3924	2013-08-04 17:26:51.663157	2013-08-04 17:26:51.663157	227
30233	161307	28386	2013-08-04 17:26:51.66722	2013-08-04 17:26:51.66722	227
30234	161307	21319	2013-08-04 17:26:51.673023	2013-08-04 17:26:51.673023	227
30235	161307	21253	2013-08-04 17:26:51.677655	2013-08-04 17:26:51.677655	227
30236	160918	29606	2013-08-04 17:26:51.742238	2013-08-04 17:26:51.742238	227
30237	160918	29586	2013-08-04 17:26:51.754785	2013-08-04 17:26:51.754785	227
30238	160918	29566	2013-08-04 17:26:51.765901	2013-08-04 17:26:51.765901	227
30239	160918	29546	2013-08-04 17:26:51.777627	2013-08-04 17:26:51.777627	227
30240	160918	29532	2013-08-04 17:26:51.790096	2013-08-04 17:26:51.790096	227
30241	160918	29672	2013-08-04 17:26:51.802386	2013-08-04 17:26:51.802386	227
30242	160918	29526	2013-08-04 17:26:51.806963	2013-08-04 17:26:51.806963	227
30243	160918	29506	2013-08-04 17:26:51.811373	2013-08-04 17:26:51.811373	227
30244	160918	29486	2013-08-04 17:26:51.816007	2013-08-04 17:26:51.816007	227
30245	160918	29466	2013-08-04 17:26:51.82063	2013-08-04 17:26:51.82063	227
30246	160918	29446	2013-08-04 17:26:51.825453	2013-08-04 17:26:51.825453	227
30247	160918	29430	2013-08-04 17:26:51.830356	2013-08-04 17:26:51.830356	227
30248	160918	29426	2013-08-04 17:26:51.834899	2013-08-04 17:26:51.834899	227
30249	160918	26870	2013-08-04 17:26:51.83949	2013-08-04 17:26:51.83949	227
30250	160918	29406	2013-08-04 17:26:51.843884	2013-08-04 17:26:51.843884	227
30251	160918	29415	2013-08-04 17:26:51.849045	2013-08-04 17:26:51.849045	227
30252	160918	29512	2013-08-04 17:26:51.853495	2013-08-04 17:26:51.853495	227
30253	160918	29386	2013-08-04 17:26:51.858347	2013-08-04 17:26:51.858347	227
30254	160918	29366	2013-08-04 17:26:51.864312	2013-08-04 17:26:51.864312	227
30255	162263	9191	2013-08-04 17:26:51.914895	2013-08-04 17:26:51.914895	227
30256	162263	28060	2013-08-04 17:26:51.926717	2013-08-04 17:26:51.926717	227
30257	162263	27988	2013-08-04 17:26:51.938109	2013-08-04 17:26:51.938109	227
30258	162263	28090	2013-08-04 17:26:51.949783	2013-08-04 17:26:51.949783	227
30259	162263	27968	2013-08-04 17:26:51.961077	2013-08-04 17:26:51.961077	227
30260	162263	27948	2013-08-04 17:26:51.972024	2013-08-04 17:26:51.972024	227
30261	162263	27897	2013-08-04 17:26:51.983051	2013-08-04 17:26:51.983051	227
30262	162263	27928	2013-08-04 17:26:51.994182	2013-08-04 17:26:51.994182	227
30263	162263	27908	2013-08-04 17:26:52.005196	2013-08-04 17:26:52.005196	227
30264	160943	27888	2013-08-04 17:26:52.027859	2013-08-04 17:26:52.027859	227
30265	160943	27868	2013-08-04 17:26:52.039645	2013-08-04 17:26:52.039645	227
30266	160943	27940	2013-08-04 17:26:52.052816	2013-08-04 17:26:52.052816	227
30267	160943	27848	2013-08-04 17:26:52.058857	2013-08-04 17:26:52.058857	227
30268	160943	27801	2013-08-04 17:26:52.066731	2013-08-04 17:26:52.066731	227
30269	160943	27828	2013-08-04 17:26:52.071106	2013-08-04 17:26:52.071106	227
30270	160943	26398	2013-08-04 17:26:52.075433	2013-08-04 17:26:52.075433	227
30271	160943	27850	2013-08-04 17:26:52.079724	2013-08-04 17:26:52.079724	227
30272	160943	27808	2013-08-04 17:26:52.084145	2013-08-04 17:26:52.084145	227
30273	162258	24997	2013-08-04 17:26:52.107744	2013-08-04 17:26:52.107744	227
30274	162258	33841	2013-08-04 17:26:52.1186	2013-08-04 17:26:52.1186	227
30275	162258	8649	2013-08-04 17:26:52.129698	2013-08-04 17:26:52.129698	227
30276	162258	8730	2013-08-04 17:26:52.140723	2013-08-04 17:26:52.140723	227
30277	162258	8543	2013-08-04 17:26:52.152646	2013-08-04 17:26:52.152646	227
30278	162258	8629	2013-08-04 17:26:52.164636	2013-08-04 17:26:52.164636	227
30279	162258	8609	2013-08-04 17:26:52.176285	2013-08-04 17:26:52.176285	227
30280	162258	8589	2013-08-04 17:26:52.186735	2013-08-04 17:26:52.186735	227
30281	162258	8569	2013-08-04 17:26:52.19756	2013-08-04 17:26:52.19756	227
30282	160806	8549	2013-08-04 17:26:52.220143	2013-08-04 17:26:52.220143	227
30283	160806	8210	2013-08-04 17:26:52.231128	2013-08-04 17:26:52.231128	227
30284	160806	7861	2013-08-04 17:26:52.242146	2013-08-04 17:26:52.242146	227
30285	160806	8529	2013-08-04 17:26:52.253186	2013-08-04 17:26:52.253186	227
30286	160806	8470	2013-08-04 17:26:52.264081	2013-08-04 17:26:52.264081	227
30287	160806	8509	2013-08-04 17:26:52.27486	2013-08-04 17:26:52.27486	227
30288	160806	41563	2013-08-04 17:26:52.285727	2013-08-04 17:26:52.285727	227
30289	160806	8318	2013-08-04 17:26:52.296747	2013-08-04 17:26:52.296747	227
30290	160806	3904	2013-08-04 17:26:52.307751	2013-08-04 17:26:52.307751	227
30291	161308	27911	2013-08-04 17:26:52.397618	2013-08-04 17:26:52.397618	227
30292	161308	27891	2013-08-04 17:26:52.406681	2013-08-04 17:26:52.406681	227
30293	161308	27938	2013-08-04 17:26:52.416066	2013-08-04 17:26:52.416066	227
30294	161308	27871	2013-08-04 17:26:52.426351	2013-08-04 17:26:52.426351	227
30295	161308	27851	2013-08-04 17:26:52.437486	2013-08-04 17:26:52.437486	227
30296	161308	27831	2013-08-04 17:26:52.449243	2013-08-04 17:26:52.449243	227
30297	161308	26401	2013-08-04 17:26:52.460186	2013-08-04 17:26:52.460186	227
30298	161308	27811	2013-08-04 17:26:52.470845	2013-08-04 17:26:52.470845	227
30299	161308	27791	2013-08-04 17:26:52.482669	2013-08-04 17:26:52.482669	227
30300	161308	29520	2013-08-04 17:26:52.496467	2013-08-04 17:26:52.496467	227
30301	161308	19072	2013-08-04 17:26:52.502185	2013-08-04 17:26:52.502185	227
30302	161308	27695	2013-08-04 17:26:52.50713	2013-08-04 17:26:52.50713	227
30303	161308	27771	2013-08-04 17:26:52.511693	2013-08-04 17:26:52.511693	227
30304	161308	27751	2013-08-04 17:26:52.516138	2013-08-04 17:26:52.516138	227
30305	161308	27731	2013-08-04 17:26:52.520039	2013-08-04 17:26:52.520039	227
30306	161308	44663	2013-08-04 17:26:52.523892	2013-08-04 17:26:52.523892	227
30307	161308	27711	2013-08-04 17:26:52.527792	2013-08-04 17:26:52.527792	227
30308	161308	27640	2013-08-04 17:26:52.531501	2013-08-04 17:26:52.531501	227
30309	161308	27650	2013-08-04 17:26:52.535121	2013-08-04 17:26:52.535121	227
30310	160474	28553	2013-08-04 17:26:52.588339	2013-08-04 17:26:52.588339	227
30311	160474	28533	2013-08-04 17:26:52.599656	2013-08-04 17:26:52.599656	227
30312	160474	28513	2013-08-04 17:26:52.610645	2013-08-04 17:26:52.610645	227
30313	160474	28493	2013-08-04 17:26:52.68253	2013-08-04 17:26:52.68253	227
30314	160474	28473	2013-08-04 17:26:52.695484	2013-08-04 17:26:52.695484	227
30315	160474	28453	2013-08-04 17:26:52.701567	2013-08-04 17:26:52.701567	227
30316	160474	28541	2013-08-04 17:26:52.706789	2013-08-04 17:26:52.706789	227
30317	160474	28433	2013-08-04 17:26:52.712555	2013-08-04 17:26:52.712555	227
30318	160474	3632	2013-08-04 17:26:52.718578	2013-08-04 17:26:52.718578	227
30319	160474	28345	2013-08-04 17:26:52.725153	2013-08-04 17:26:52.725153	227
30320	160474	28375	2013-08-04 17:26:52.731865	2013-08-04 17:26:52.731865	227
30321	160474	28413	2013-08-04 17:26:52.739084	2013-08-04 17:26:52.739084	227
30322	160474	28393	2013-08-04 17:26:52.748955	2013-08-04 17:26:52.748955	227
30323	160474	28373	2013-08-04 17:26:52.75847	2013-08-04 17:26:52.75847	227
30324	160474	28353	2013-08-04 17:26:52.767571	2013-08-04 17:26:52.767571	227
30325	160474	26495	2013-08-04 17:26:52.774657	2013-08-04 17:26:52.774657	227
30326	160474	27225	2013-08-04 17:26:52.783164	2013-08-04 17:26:52.783164	227
30327	160474	27077	2013-08-04 17:26:52.791582	2013-08-04 17:26:52.791582	227
30328	160474	11458	2013-08-04 17:26:52.799978	2013-08-04 17:26:52.799978	227
30329	161090	15606	2013-08-04 17:26:52.828345	2013-08-04 17:26:52.828345	227
30330	161090	11679	2013-08-04 17:26:52.83628	2013-08-04 17:26:52.83628	227
30331	161090	12716	2013-08-04 17:26:52.844468	2013-08-04 17:26:52.844468	227
30332	161090	41321	2013-08-04 17:26:52.853207	2013-08-04 17:26:52.853207	227
30333	161090	22706	2013-08-04 17:26:52.862322	2013-08-04 17:26:52.862322	227
30334	161090	40950	2013-08-04 17:26:52.871183	2013-08-04 17:26:52.871183	227
30335	161090	28752	2013-08-04 17:26:52.879492	2013-08-04 17:26:52.879492	227
30336	161090	47783	2013-08-04 17:26:52.884343	2013-08-04 17:26:52.884343	227
30337	161090	15506	2013-08-04 17:26:52.88709	2013-08-04 17:26:52.88709	227
30338	161090	36803	2013-08-04 17:26:52.889857	2013-08-04 17:26:52.889857	227
30339	161090	19761	2013-08-04 17:26:52.892406	2013-08-04 17:26:52.892406	227
30340	161090	28450	2013-08-04 17:26:52.894975	2013-08-04 17:26:52.894975	227
30341	161090	17336	2013-08-04 17:26:52.89781	2013-08-04 17:26:52.89781	227
30342	161090	21253	2013-08-04 17:26:52.901009	2013-08-04 17:26:52.901009	227
30343	161090	21319	2013-08-04 17:26:52.904353	2013-08-04 17:26:52.904353	227
30344	161090	28386	2013-08-04 17:26:52.908559	2013-08-04 17:26:52.908559	227
30345	161090	3924	2013-08-04 17:26:52.913771	2013-08-04 17:26:52.913771	227
30346	161090	17153	2013-08-04 17:26:52.918865	2013-08-04 17:26:52.918865	227
30347	161090	3095	2013-08-04 17:26:52.924069	2013-08-04 17:26:52.924069	227
30348	162259	19156	2013-08-04 17:26:53.010826	2013-08-04 17:26:53.010826	227
30349	162259	19112	2013-08-04 17:26:53.018111	2013-08-04 17:26:53.018111	227
30350	162259	35361	2013-08-04 17:26:53.02379	2013-08-04 17:26:53.02379	227
30351	162259	19136	2013-08-04 17:26:53.029368	2013-08-04 17:26:53.029368	227
30352	162259	19116	2013-08-04 17:26:53.03402	2013-08-04 17:26:53.03402	227
30353	162259	19096	2013-08-04 17:26:53.040839	2013-08-04 17:26:53.040839	227
30354	162259	19113	2013-08-04 17:26:53.046754	2013-08-04 17:26:53.046754	227
30355	162259	2860	2013-08-04 17:26:53.054022	2013-08-04 17:26:53.054022	227
30356	162259	19076	2013-08-04 17:26:53.062539	2013-08-04 17:26:53.062539	227
30357	160911	19070	2013-08-04 17:26:53.07719	2013-08-04 17:26:53.07719	227
30358	160911	19010	2013-08-04 17:26:53.084963	2013-08-04 17:26:53.084963	227
30359	160911	19056	2013-08-04 17:26:53.089518	2013-08-04 17:26:53.089518	227
30360	160911	19041	2013-08-04 17:26:53.093693	2013-08-04 17:26:53.093693	227
30361	160911	19036	2013-08-04 17:26:53.0984	2013-08-04 17:26:53.0984	227
30362	160911	19016	2013-08-04 17:26:53.10427	2013-08-04 17:26:53.10427	227
30363	160911	2498	2013-08-04 17:26:53.109128	2013-08-04 17:26:53.109128	227
30364	160911	19017	2013-08-04 17:26:53.113749	2013-08-04 17:26:53.113749	227
30365	160911	18852	2013-08-04 17:26:53.117882	2013-08-04 17:26:53.117882	227
30366	160839	43797	2013-08-04 17:26:53.151154	2013-08-04 17:26:53.151154	227
30367	160839	43777	2013-08-04 17:26:53.163053	2013-08-04 17:26:53.163053	227
30368	160839	43757	2013-08-04 17:26:53.174057	2013-08-04 17:26:53.174057	227
30369	160839	43737	2013-08-04 17:26:53.185022	2013-08-04 17:26:53.185022	227
30370	160839	43717	2013-08-04 17:26:53.196701	2013-08-04 17:26:53.196701	227
30371	160839	43697	2013-08-04 17:26:53.20832	2013-08-04 17:26:53.20832	227
30372	160839	43741	2013-08-04 17:26:53.213378	2013-08-04 17:26:53.213378	227
30373	160839	43677	2013-08-04 17:26:53.217019	2013-08-04 17:26:53.217019	227
30374	160839	43758	2013-08-04 17:26:53.220928	2013-08-04 17:26:53.220928	227
30375	160839	43657	2013-08-04 17:26:53.224998	2013-08-04 17:26:53.224998	227
30376	160839	43637	2013-08-04 17:26:53.229117	2013-08-04 17:26:53.229117	227
30377	160839	43560	2013-08-04 17:26:53.232899	2013-08-04 17:26:53.232899	227
30378	160839	43617	2013-08-04 17:26:53.236911	2013-08-04 17:26:53.236911	227
30379	160839	43580	2013-08-04 17:26:53.2401	2013-08-04 17:26:53.2401	227
30380	160839	43597	2013-08-04 17:26:53.243063	2013-08-04 17:26:53.243063	227
30381	160839	43577	2013-08-04 17:26:53.247569	2013-08-04 17:26:53.247569	227
30382	160839	43501	2013-08-04 17:26:53.254238	2013-08-04 17:26:53.254238	227
30383	160839	43557	2013-08-04 17:26:53.259468	2013-08-04 17:26:53.259468	227
30384	160839	27375	2013-08-04 17:26:53.267145	2013-08-04 17:26:53.267145	227
30385	160521	23351	2013-08-04 17:26:53.351133	2013-08-04 17:26:53.351133	227
30386	160521	23359	2013-08-04 17:26:53.358727	2013-08-04 17:26:53.358727	227
30387	160521	23393	2013-08-04 17:26:53.363607	2013-08-04 17:26:53.363607	227
30388	160521	23339	2013-08-04 17:26:53.366748	2013-08-04 17:26:53.366748	227
30389	160521	23319	2013-08-04 17:26:53.370531	2013-08-04 17:26:53.370531	227
30390	160521	23299	2013-08-04 17:26:53.37977	2013-08-04 17:26:53.37977	227
30391	160521	23279	2013-08-04 17:26:53.390445	2013-08-04 17:26:53.390445	227
30392	160521	23245	2013-08-04 17:26:53.401101	2013-08-04 17:26:53.401101	227
30393	160521	36841	2013-08-04 17:26:53.40873	2013-08-04 17:26:53.40873	227
30394	160521	23259	2013-08-04 17:26:53.416007	2013-08-04 17:26:53.416007	227
30395	160521	23239	2013-08-04 17:26:53.422428	2013-08-04 17:26:53.422428	227
30396	160521	23080	2013-08-04 17:26:53.432574	2013-08-04 17:26:53.432574	227
30397	160521	12926	2013-08-04 17:26:53.443487	2013-08-04 17:26:53.443487	227
30398	160521	23219	2013-08-04 17:26:53.454733	2013-08-04 17:26:53.454733	227
30399	160521	23199	2013-08-04 17:26:53.460611	2013-08-04 17:26:53.460611	227
30400	160521	23179	2013-08-04 17:26:53.464131	2013-08-04 17:26:53.464131	227
30401	160521	23159	2013-08-04 17:26:53.467301	2013-08-04 17:26:53.467301	227
30402	160521	23139	2013-08-04 17:26:53.470737	2013-08-04 17:26:53.470737	227
30403	160521	23119	2013-08-04 17:26:53.473941	2013-08-04 17:26:53.473941	227
30404	160532	31555	2013-08-04 17:26:53.493987	2013-08-04 17:26:53.493987	227
30405	160532	15010	2013-08-04 17:26:53.502547	2013-08-04 17:26:53.502547	227
30406	160532	36483	2013-08-04 17:26:53.511008	2013-08-04 17:26:53.511008	227
30407	160532	36503	2013-08-04 17:26:53.522165	2013-08-04 17:26:53.522165	227
30408	160532	30095	2013-08-04 17:26:53.531211	2013-08-04 17:26:53.531211	227
30409	160532	17101	2013-08-04 17:26:53.536939	2013-08-04 17:26:53.536939	227
30410	160532	2406	2013-08-04 17:26:53.542606	2013-08-04 17:26:53.542606	227
30411	160532	25112	2013-08-04 17:26:53.547635	2013-08-04 17:26:53.547635	227
30412	160532	47703	2013-08-04 17:26:53.551663	2013-08-04 17:26:53.551663	227
30413	160532	11616	2013-08-04 17:26:53.554839	2013-08-04 17:26:53.554839	227
30414	160532	31197	2013-08-04 17:26:53.557929	2013-08-04 17:26:53.557929	227
30415	160532	28466	2013-08-04 17:26:53.56073	2013-08-04 17:26:53.56073	227
30416	160532	22353	2013-08-04 17:26:53.563462	2013-08-04 17:26:53.563462	227
30417	160532	12032	2013-08-04 17:26:53.566335	2013-08-04 17:26:53.566335	227
30418	160532	19781	2013-08-04 17:26:53.569287	2013-08-04 17:26:53.569287	227
30419	160532	35623	2013-08-04 17:26:53.572244	2013-08-04 17:26:53.572244	227
30420	160532	17301	2013-08-04 17:26:53.574998	2013-08-04 17:26:53.574998	227
30421	160532	30677	2013-08-04 17:26:53.577739	2013-08-04 17:26:53.577739	227
30422	160532	28100	2013-08-04 17:26:53.58154	2013-08-04 17:26:53.58154	227
30423	160895	47703	2013-08-04 17:26:53.711108	2013-08-04 17:26:53.711108	227
30424	160895	25112	2013-08-04 17:26:53.714865	2013-08-04 17:26:53.714865	227
30425	160895	2406	2013-08-04 17:26:53.718511	2013-08-04 17:26:53.718511	227
30426	160895	17101	2013-08-04 17:26:53.722155	2013-08-04 17:26:53.722155	227
30427	160895	30095	2013-08-04 17:26:53.726776	2013-08-04 17:26:53.726776	227
30428	160895	36503	2013-08-04 17:26:53.737031	2013-08-04 17:26:53.737031	227
30429	160895	36483	2013-08-04 17:26:53.74399	2013-08-04 17:26:53.74399	227
30430	160895	15010	2013-08-04 17:26:53.74913	2013-08-04 17:26:53.74913	227
30431	160895	31555	2013-08-04 17:26:53.752575	2013-08-04 17:26:53.752575	227
30432	160750	28100	2013-08-04 17:26:53.764911	2013-08-04 17:26:53.764911	227
30433	160750	30677	2013-08-04 17:26:53.770282	2013-08-04 17:26:53.770282	227
30434	160750	17301	2013-08-04 17:26:53.776199	2013-08-04 17:26:53.776199	227
30435	160750	35623	2013-08-04 17:26:53.78276	2013-08-04 17:26:53.78276	227
30436	160750	19781	2013-08-04 17:26:53.79155	2013-08-04 17:26:53.79155	227
30437	160750	12032	2013-08-04 17:26:53.800195	2013-08-04 17:26:53.800195	227
30438	160750	22353	2013-08-04 17:26:53.8084	2013-08-04 17:26:53.8084	227
30439	160750	28466	2013-08-04 17:26:53.816617	2013-08-04 17:26:53.816617	227
30440	160750	31197	2013-08-04 17:26:53.824883	2013-08-04 17:26:53.824883	227
30441	161514	12611	2013-08-04 17:26:54.042636	2013-08-04 17:26:54.042636	227
30442	161514	12591	2013-08-04 17:26:54.046266	2013-08-04 17:26:54.046266	227
30443	161514	12771	2013-08-04 17:26:54.054496	2013-08-04 17:26:54.054496	227
30444	161299	2987	2013-08-04 17:26:54.074793	2013-08-04 17:26:54.074793	227
30445	161299	3035	2013-08-04 17:26:54.086228	2013-08-04 17:26:54.086228	227
30446	161299	2949	2013-08-04 17:26:54.09717	2013-08-04 17:26:54.09717	227
30447	160580	2909	2013-08-04 17:26:54.119151	2013-08-04 17:26:54.119151	227
30448	160580	2929	2013-08-04 17:26:54.124026	2013-08-04 17:26:54.124026	227
30449	160580	2885	2013-08-04 17:26:54.128742	2013-08-04 17:26:54.128742	227
30450	160525	2879	2013-08-04 17:26:54.137115	2013-08-04 17:26:54.137115	227
30451	160525	2981	2013-08-04 17:26:54.141653	2013-08-04 17:26:54.141653	227
30452	160525	2959	2013-08-04 17:26:54.147059	2013-08-04 17:26:54.147059	227
30453	160500	2939	2013-08-04 17:26:54.157723	2013-08-04 17:26:54.157723	227
30454	160500	2870	2013-08-04 17:26:54.163561	2013-08-04 17:26:54.163561	227
30455	160500	2966	2013-08-04 17:26:54.168088	2013-08-04 17:26:54.168088	227
30456	160752	3098	2013-08-04 17:26:54.193189	2013-08-04 17:26:54.193189	227
30457	160752	3110	2013-08-04 17:26:54.204524	2013-08-04 17:26:54.204524	227
30458	160752	2986	2013-08-04 17:26:54.216181	2013-08-04 17:26:54.216181	227
30459	160752	3090	2013-08-04 17:26:54.227249	2013-08-04 17:26:54.227249	227
30460	160752	3115	2013-08-04 17:26:54.238169	2013-08-04 17:26:54.238169	227
30461	160752	3127	2013-08-04 17:26:54.249066	2013-08-04 17:26:54.249066	227
30462	160593	3107	2013-08-04 17:26:54.270949	2013-08-04 17:26:54.270949	227
30463	160593	3118	2013-08-04 17:26:54.282125	2013-08-04 17:26:54.282125	227
30464	160593	3019	2013-08-04 17:26:54.293089	2013-08-04 17:26:54.293089	227
30465	160593	3126	2013-08-04 17:26:54.304076	2013-08-04 17:26:54.304076	227
30466	160593	2998	2013-08-04 17:26:54.314956	2013-08-04 17:26:54.314956	227
30467	160593	3018	2013-08-04 17:26:54.325871	2013-08-04 17:26:54.325871	227
30468	160452	3106	2013-08-04 17:26:54.348441	2013-08-04 17:26:54.348441	227
30469	160452	3087	2013-08-04 17:26:54.359643	2013-08-04 17:26:54.359643	227
30470	160452	3140	2013-08-04 17:26:54.370736	2013-08-04 17:26:54.370736	227
30471	160452	3067	2013-08-04 17:26:54.381331	2013-08-04 17:26:54.381331	227
30472	160452	3094	2013-08-04 17:26:54.392293	2013-08-04 17:26:54.392293	227
30473	160452	3047	2013-08-04 17:26:54.403534	2013-08-04 17:26:54.403534	227
30474	161313	28108	2013-08-04 17:26:54.460015	2013-08-04 17:26:54.460015	227
30475	161313	28038	2013-08-04 17:26:54.471192	2013-08-04 17:26:54.471192	227
30476	161313	27978	2013-08-04 17:26:54.487481	2013-08-04 17:26:54.487481	227
30477	160623	27998	2013-08-04 17:26:54.510474	2013-08-04 17:26:54.510474	227
30478	160623	28088	2013-08-04 17:26:54.521279	2013-08-04 17:26:54.521279	227
30479	160623	28068	2013-08-04 17:26:54.531668	2013-08-04 17:26:54.531668	227
30480	160581	28048	2013-08-04 17:26:54.553006	2013-08-04 17:26:54.553006	227
30481	160581	28028	2013-08-04 17:26:54.567584	2013-08-04 17:26:54.567584	227
30482	160581	28046	2013-08-04 17:26:54.576861	2013-08-04 17:26:54.576861	227
30483	160523	3047	2013-08-04 17:26:54.588176	2013-08-04 17:26:54.588176	227
30484	160523	3094	2013-08-04 17:26:54.591918	2013-08-04 17:26:54.591918	227
30485	160523	3067	2013-08-04 17:26:54.594697	2013-08-04 17:26:54.594697	227
30486	160501	3140	2013-08-04 17:26:54.607231	2013-08-04 17:26:54.607231	227
30487	160501	3087	2013-08-04 17:26:54.615765	2013-08-04 17:26:54.615765	227
30488	160501	3106	2013-08-04 17:26:54.623945	2013-08-04 17:26:54.623945	227
30489	160539	28408	2013-08-04 17:26:54.644214	2013-08-04 17:26:54.644214	227
30490	160539	28338	2013-08-04 17:26:54.649805	2013-08-04 17:26:54.649805	227
30491	160539	28388	2013-08-04 17:26:54.655178	2013-08-04 17:26:54.655178	227
30492	160539	28368	2013-08-04 17:26:54.66132	2013-08-04 17:26:54.66132	227
30493	160539	28350	2013-08-04 17:26:54.670191	2013-08-04 17:26:54.670191	227
30494	160539	28348	2013-08-04 17:26:54.680934	2013-08-04 17:26:54.680934	227
30495	160539	28305	2013-08-04 17:26:54.691776	2013-08-04 17:26:54.691776	227
30496	160539	28328	2013-08-04 17:26:54.703597	2013-08-04 17:26:54.703597	227
30497	160539	28308	2013-08-04 17:26:54.714831	2013-08-04 17:26:54.714831	227
30498	160539	28395	2013-08-04 17:26:54.72528	2013-08-04 17:26:54.72528	227
30499	160539	28288	2013-08-04 17:26:54.736079	2013-08-04 17:26:54.736079	227
30500	160539	28268	2013-08-04 17:26:54.745125	2013-08-04 17:26:54.745125	227
30501	160539	28115	2013-08-04 17:26:54.754251	2013-08-04 17:26:54.754251	227
30502	160539	28248	2013-08-04 17:26:54.760162	2013-08-04 17:26:54.760162	227
30503	160539	28228	2013-08-04 17:26:54.765809	2013-08-04 17:26:54.765809	227
30504	160539	20418	2013-08-04 17:26:54.772122	2013-08-04 17:26:54.772122	227
30505	160539	28208	2013-08-04 17:26:54.778837	2013-08-04 17:26:54.778837	227
30506	160539	28188	2013-08-04 17:26:54.784534	2013-08-04 17:26:54.784534	227
30507	160539	28230	2013-08-04 17:26:54.790104	2013-08-04 17:26:54.790104	227
30508	160540	8812	2013-08-04 17:26:54.821346	2013-08-04 17:26:54.821346	227
30509	160540	8949	2013-08-04 17:26:54.833297	2013-08-04 17:26:54.833297	227
30510	160540	8929	2013-08-04 17:26:54.848108	2013-08-04 17:26:54.848108	227
30511	160540	8909	2013-08-04 17:26:54.860204	2013-08-04 17:26:54.860204	227
30512	160540	8889	2013-08-04 17:26:54.871952	2013-08-04 17:26:54.871952	227
30513	160540	8869	2013-08-04 17:26:54.883127	2013-08-04 17:26:54.883127	227
30514	160540	8849	2013-08-04 17:26:54.894537	2013-08-04 17:26:54.894537	227
30515	160540	8926	2013-08-04 17:26:54.906136	2013-08-04 17:26:54.906136	227
30516	160540	8829	2013-08-04 17:26:54.917619	2013-08-04 17:26:54.917619	227
30517	160540	8809	2013-08-04 17:26:54.929039	2013-08-04 17:26:54.929039	227
30518	160540	8703	2013-08-04 17:26:54.940719	2013-08-04 17:26:54.940719	227
30519	160540	8789	2013-08-04 17:26:54.952201	2013-08-04 17:26:54.952201	227
30520	160540	8769	2013-08-04 17:26:54.96366	2013-08-04 17:26:54.96366	227
30521	160540	8749	2013-08-04 17:26:54.974557	2013-08-04 17:26:54.974557	227
30522	160540	8729	2013-08-04 17:26:54.985511	2013-08-04 17:26:54.985511	227
30523	160540	8709	2013-08-04 17:26:54.996638	2013-08-04 17:26:54.996638	227
30524	160540	24977	2013-08-04 17:26:55.007514	2013-08-04 17:26:55.007514	227
30525	160540	8689	2013-08-04 17:26:55.018926	2013-08-04 17:26:55.018926	227
30526	160540	8790	2013-08-04 17:26:55.030637	2013-08-04 17:26:55.030637	227
30527	161344	28020	2013-08-04 17:26:55.140121	2013-08-04 17:26:55.140121	227
30528	161344	28011	2013-08-04 17:26:55.149003	2013-08-04 17:26:55.149003	227
30529	161344	27991	2013-08-04 17:26:55.157788	2013-08-04 17:26:55.157788	227
30530	161344	13899	2013-08-04 17:26:55.163887	2013-08-04 17:26:55.163887	227
30531	161344	5144	2013-08-04 17:26:55.166895	2013-08-04 17:26:55.166895	227
30532	161344	28070	2013-08-04 17:26:55.169979	2013-08-04 17:26:55.169979	227
30533	161344	27971	2013-08-04 17:26:55.173636	2013-08-04 17:26:55.173636	227
30534	161344	27951	2013-08-04 17:26:55.177483	2013-08-04 17:26:55.177483	227
30535	161344	27800	2013-08-04 17:26:55.180882	2013-08-04 17:26:55.180882	227
30536	161344	27931	2013-08-04 17:26:55.184221	2013-08-04 17:26:55.184221	227
30537	161344	31555	2013-08-04 17:26:55.187578	2013-08-04 17:26:55.187578	227
30538	161344	15010	2013-08-04 17:26:55.190809	2013-08-04 17:26:55.190809	227
30539	161344	36483	2013-08-04 17:26:55.194052	2013-08-04 17:26:55.194052	227
30540	161344	36503	2013-08-04 17:26:55.197587	2013-08-04 17:26:55.197587	227
30541	161344	30095	2013-08-04 17:26:55.201049	2013-08-04 17:26:55.201049	227
30542	161344	17101	2013-08-04 17:26:55.204353	2013-08-04 17:26:55.204353	227
30543	161344	2406	2013-08-04 17:26:55.207861	2013-08-04 17:26:55.207861	227
30544	161344	25112	2013-08-04 17:26:55.212651	2013-08-04 17:26:55.212651	227
30545	161344	47703	2013-08-04 17:26:55.215998	2013-08-04 17:26:55.215998	227
30546	160507	28770	2013-08-04 17:26:55.350447	2013-08-04 17:26:55.350447	227
30547	160507	28793	2013-08-04 17:26:55.364381	2013-08-04 17:26:55.364381	227
30548	160507	28773	2013-08-04 17:26:55.369832	2013-08-04 17:26:55.369832	227
30549	160507	28753	2013-08-04 17:26:55.373429	2013-08-04 17:26:55.373429	227
30550	160507	28733	2013-08-04 17:26:55.377621	2013-08-04 17:26:55.377621	227
30551	160507	27672	2013-08-04 17:26:55.383563	2013-08-04 17:26:55.383563	227
30552	160507	28697	2013-08-04 17:26:55.393789	2013-08-04 17:26:55.393789	227
30553	160507	20761	2013-08-04 17:26:55.404994	2013-08-04 17:26:55.404994	227
30554	160507	28713	2013-08-04 17:26:55.416114	2013-08-04 17:26:55.416114	227
30555	160507	28693	2013-08-04 17:26:55.426884	2013-08-04 17:26:55.426884	227
30556	160507	28685	2013-08-04 17:26:55.437775	2013-08-04 17:26:55.437775	227
30557	160507	28673	2013-08-04 17:26:55.44892	2013-08-04 17:26:55.44892	227
30558	160507	28653	2013-08-04 17:26:55.45988	2013-08-04 17:26:55.45988	227
30559	160507	28633	2013-08-04 17:26:55.471069	2013-08-04 17:26:55.471069	227
30560	160507	28660	2013-08-04 17:26:55.483505	2013-08-04 17:26:55.483505	227
30561	160507	28613	2013-08-04 17:26:55.495964	2013-08-04 17:26:55.495964	227
30562	160507	28593	2013-08-04 17:26:55.507191	2013-08-04 17:26:55.507191	227
30563	160507	28573	2013-08-04 17:26:55.517791	2013-08-04 17:26:55.517791	227
30564	160507	36010	2013-08-04 17:26:55.528523	2013-08-04 17:26:55.528523	227
30565	161091	15606	2013-08-04 17:26:55.632122	2013-08-04 17:26:55.632122	227
30566	161091	11679	2013-08-04 17:26:55.637861	2013-08-04 17:26:55.637861	227
30567	161091	12716	2013-08-04 17:26:55.64329	2013-08-04 17:26:55.64329	227
30568	161091	41321	2013-08-04 17:26:55.649048	2013-08-04 17:26:55.649048	227
30569	161091	22706	2013-08-04 17:26:55.654789	2013-08-04 17:26:55.654789	227
30570	161091	40950	2013-08-04 17:26:55.660503	2013-08-04 17:26:55.660503	227
30571	161091	28752	2013-08-04 17:26:55.666092	2013-08-04 17:26:55.666092	227
30572	161091	47783	2013-08-04 17:26:55.671705	2013-08-04 17:26:55.671705	227
30573	161091	15506	2013-08-04 17:26:55.677268	2013-08-04 17:26:55.677268	227
30574	161091	36803	2013-08-04 17:26:55.682904	2013-08-04 17:26:55.682904	227
30575	161091	19761	2013-08-04 17:26:55.688614	2013-08-04 17:26:55.688614	227
30576	161091	28450	2013-08-04 17:26:55.694661	2013-08-04 17:26:55.694661	227
30577	161091	17336	2013-08-04 17:26:55.700766	2013-08-04 17:26:55.700766	227
30578	161091	21253	2013-08-04 17:26:55.706801	2013-08-04 17:26:55.706801	227
30579	161091	21319	2013-08-04 17:26:55.71259	2013-08-04 17:26:55.71259	227
30580	161091	28386	2013-08-04 17:26:55.718319	2013-08-04 17:26:55.718319	227
30581	161091	3924	2013-08-04 17:26:55.723982	2013-08-04 17:26:55.723982	227
30582	161091	17153	2013-08-04 17:26:55.729796	2013-08-04 17:26:55.729796	227
30583	161091	3095	2013-08-04 17:26:55.735582	2013-08-04 17:26:55.735582	227
30584	161084	15606	2013-08-04 17:26:55.757564	2013-08-04 17:26:55.757564	227
30585	161084	11679	2013-08-04 17:26:55.76416	2013-08-04 17:26:55.76416	227
30586	161084	12716	2013-08-04 17:26:55.770844	2013-08-04 17:26:55.770844	227
30587	161084	41321	2013-08-04 17:26:55.775886	2013-08-04 17:26:55.775886	227
30588	161084	22706	2013-08-04 17:26:55.77878	2013-08-04 17:26:55.77878	227
30589	161084	40950	2013-08-04 17:26:55.781623	2013-08-04 17:26:55.781623	227
30590	161084	28752	2013-08-04 17:26:55.784479	2013-08-04 17:26:55.784479	227
30591	161084	47783	2013-08-04 17:26:55.789276	2013-08-04 17:26:55.789276	227
30592	161084	15506	2013-08-04 17:26:55.793514	2013-08-04 17:26:55.793514	227
30593	161084	36803	2013-08-04 17:26:55.796404	2013-08-04 17:26:55.796404	227
30594	161084	19761	2013-08-04 17:26:55.7995	2013-08-04 17:26:55.7995	227
30595	161084	28450	2013-08-04 17:26:55.802623	2013-08-04 17:26:55.802623	227
30596	161084	17336	2013-08-04 17:26:55.8057	2013-08-04 17:26:55.8057	227
30597	161084	21253	2013-08-04 17:26:55.808848	2013-08-04 17:26:55.808848	227
30598	161084	21319	2013-08-04 17:26:55.814827	2013-08-04 17:26:55.814827	227
30599	161084	28386	2013-08-04 17:26:55.823087	2013-08-04 17:26:55.823087	227
30600	161084	3924	2013-08-04 17:26:55.831355	2013-08-04 17:26:55.831355	227
30601	161084	17153	2013-08-04 17:26:55.839541	2013-08-04 17:26:55.839541	227
30602	161084	3095	2013-08-04 17:26:55.84769	2013-08-04 17:26:55.84769	227
30603	160759	23559	2013-08-04 17:26:55.975604	2013-08-04 17:26:55.975604	227
30604	160759	14623	2013-08-04 17:26:55.987474	2013-08-04 17:26:55.987474	227
30605	160759	23415	2013-08-04 17:26:55.998648	2013-08-04 17:26:55.998648	227
30606	160759	23539	2013-08-04 17:26:56.010463	2013-08-04 17:26:56.010463	227
30607	160759	23519	2013-08-04 17:26:56.017103	2013-08-04 17:26:56.017103	227
30608	160759	23499	2013-08-04 17:26:56.022486	2013-08-04 17:26:56.022486	227
30609	160759	23543	2013-08-04 17:26:56.029305	2013-08-04 17:26:56.029305	227
30610	160759	23479	2013-08-04 17:26:56.033179	2013-08-04 17:26:56.033179	227
30611	160759	23459	2013-08-04 17:26:56.037165	2013-08-04 17:26:56.037165	227
30612	160759	23439	2013-08-04 17:26:56.041903	2013-08-04 17:26:56.041903	227
30613	160759	23419	2013-08-04 17:26:56.052278	2013-08-04 17:26:56.052278	227
30614	160759	23399	2013-08-04 17:26:56.062683	2013-08-04 17:26:56.062683	227
30615	160759	23278	2013-08-04 17:26:56.073853	2013-08-04 17:26:56.073853	227
30616	160759	23308	2013-08-04 17:26:56.08534	2013-08-04 17:26:56.08534	227
30617	160759	13673	2013-08-04 17:26:56.09681	2013-08-04 17:26:56.09681	227
30618	160759	23377	2013-08-04 17:26:56.108023	2013-08-04 17:26:56.108023	227
30619	160759	23379	2013-08-04 17:26:56.113352	2013-08-04 17:26:56.113352	227
30620	160759	3035	2013-08-04 17:26:56.117048	2013-08-04 17:26:56.117048	227
30621	160759	2987	2013-08-04 17:26:56.120355	2013-08-04 17:26:56.120355	227
30622	161584	43977	2013-08-04 17:31:49.354497	2013-08-04 17:31:49.354497	228
30623	161584	29013	2013-08-04 17:31:49.36672	2013-08-04 17:31:49.36672	228
30624	161584	3175	2013-08-04 17:31:49.377399	2013-08-04 17:31:49.377399	228
30625	161584	10	2013-08-04 17:31:49.388083	2013-08-04 17:31:49.388083	228
30626	161584	28215	2013-08-04 17:31:49.398601	2013-08-04 17:31:49.398601	228
30627	161584	13899	2013-08-04 17:31:49.471378	2013-08-04 17:31:49.471378	228
30628	161581	29766	2013-08-04 17:31:49.720408	2013-08-04 17:31:49.720408	228
30629	161581	29746	2013-08-04 17:31:49.732277	2013-08-04 17:31:49.732277	228
30630	161581	19097	2013-08-04 17:31:49.743281	2013-08-04 17:31:49.743281	228
30631	161581	29726	2013-08-04 17:31:49.7545	2013-08-04 17:31:49.7545	228
30632	161581	29706	2013-08-04 17:31:49.76589	2013-08-04 17:31:49.76589	228
30633	161581	29686	2013-08-04 17:31:49.777656	2013-08-04 17:31:49.777656	228
30634	161581	29557	2013-08-04 17:31:49.789006	2013-08-04 17:31:49.789006	228
30635	161581	29645	2013-08-04 17:31:49.799196	2013-08-04 17:31:49.799196	228
30636	161581	29600	2013-08-04 17:31:49.81208	2013-08-04 17:31:49.81208	228
30637	161581	29666	2013-08-04 17:31:49.818907	2013-08-04 17:31:49.818907	228
30638	161581	29646	2013-08-04 17:31:49.82564	2013-08-04 17:31:49.82564	228
30639	161581	16691	2013-08-04 17:31:49.830534	2013-08-04 17:31:49.830534	228
30640	161581	29626	2013-08-04 17:31:49.837576	2013-08-04 17:31:49.837576	228
30641	161581	29550	2013-08-04 17:31:49.843514	2013-08-04 17:31:49.843514	228
30642	161581	28973	2013-08-04 17:31:49.849952	2013-08-04 17:31:49.849952	228
30643	161581	3187	2013-08-04 17:31:49.854514	2013-08-04 17:31:49.854514	228
30644	161581	24951	2013-08-04 17:31:49.857982	2013-08-04 17:31:49.857982	228
30645	161581	28211	2013-08-04 17:31:49.861526	2013-08-04 17:31:49.861526	228
30646	161581	27971	2013-08-04 17:31:49.865134	2013-08-04 17:31:49.865134	228
30647	161583	3327	2013-08-04 17:31:49.879114	2013-08-04 17:31:49.879114	228
30648	161583	3444	2013-08-04 17:31:49.884436	2013-08-04 17:31:49.884436	228
30649	161583	5686	2013-08-04 17:31:49.889621	2013-08-04 17:31:49.889621	228
30650	161583	3406	2013-08-04 17:31:49.895733	2013-08-04 17:31:49.895733	228
30651	161583	3307	2013-08-04 17:31:49.901984	2013-08-04 17:31:49.901984	228
30652	161583	3229	2013-08-04 17:31:49.908551	2013-08-04 17:31:49.908551	228
30653	161583	3246	2013-08-04 17:31:49.915551	2013-08-04 17:31:49.915551	228
30654	161583	3287	2013-08-04 17:31:49.922789	2013-08-04 17:31:49.922789	228
30655	161583	3278	2013-08-04 17:31:49.93021	2013-08-04 17:31:49.93021	228
30656	161583	3258	2013-08-04 17:31:49.939834	2013-08-04 17:31:49.939834	228
30657	161583	3238	2013-08-04 17:31:49.950259	2013-08-04 17:31:49.950259	228
30658	161583	3218	2013-08-04 17:31:49.956777	2013-08-04 17:31:49.956777	228
30659	161583	3198	2013-08-04 17:31:49.960139	2013-08-04 17:31:49.960139	228
30660	161583	3178	2013-08-04 17:31:49.963236	2013-08-04 17:31:49.963236	228
30661	161583	3220	2013-08-04 17:31:49.966262	2013-08-04 17:31:49.966262	228
30662	161583	3267	2013-08-04 17:31:49.96939	2013-08-04 17:31:49.96939	228
30663	161583	3160	2013-08-04 17:31:49.972561	2013-08-04 17:31:49.972561	228
30664	161583	3247	2013-08-04 17:31:49.978943	2013-08-04 17:31:49.978943	228
30665	161583	3227	2013-08-04 17:31:49.982921	2013-08-04 17:31:49.982921	228
30666	161579	28581	2013-08-04 17:31:50.008322	2013-08-04 17:31:50.008322	228
30667	161579	28477	2013-08-04 17:31:50.019073	2013-08-04 17:31:50.019073	228
30668	161579	28445	2013-08-04 17:31:50.030767	2013-08-04 17:31:50.030767	228
30669	161579	28475	2013-08-04 17:31:50.042476	2013-08-04 17:31:50.042476	228
30670	161579	28568	2013-08-04 17:31:50.053928	2013-08-04 17:31:50.053928	228
30671	161579	28548	2013-08-04 17:31:50.065478	2013-08-04 17:31:50.065478	228
30672	161579	28528	2013-08-04 17:31:50.077176	2013-08-04 17:31:50.077176	228
30673	161579	28508	2013-08-04 17:31:50.08855	2013-08-04 17:31:50.08855	228
30674	161579	28488	2013-08-04 17:31:50.099435	2013-08-04 17:31:50.099435	228
30675	161579	11311	2013-08-04 17:31:50.110377	2013-08-04 17:31:50.110377	228
30676	161579	28468	2013-08-04 17:31:50.121521	2013-08-04 17:31:50.121521	228
30677	161579	28448	2013-08-04 17:31:50.132405	2013-08-04 17:31:50.132405	228
30678	161579	28460	2013-08-04 17:31:50.143267	2013-08-04 17:31:50.143267	228
30679	161579	28428	2013-08-04 17:31:50.157776	2013-08-04 17:31:50.157776	228
30680	161579	17997	2013-08-04 17:31:50.162884	2013-08-04 17:31:50.162884	228
30681	161579	28357	2013-08-04 17:31:50.170548	2013-08-04 17:31:50.170548	228
30682	161579	7261	2013-08-04 17:31:50.184615	2013-08-04 17:31:50.184615	228
30683	161579	28120	2013-08-04 17:31:50.194051	2013-08-04 17:31:50.194051	228
30684	161579	27800	2013-08-04 17:31:50.202784	2013-08-04 17:31:50.202784	228
30685	161585	43857	2013-08-04 17:31:50.402755	2013-08-04 17:31:50.402755	228
30686	161585	28913	2013-08-04 17:31:50.413382	2013-08-04 17:31:50.413382	228
30687	161585	24157	2013-08-04 17:31:50.423873	2013-08-04 17:31:50.423873	228
30688	161585	15010	2013-08-04 17:31:50.434413	2013-08-04 17:31:50.434413	228
30689	161585	28131	2013-08-04 17:31:50.445366	2013-08-04 17:31:50.445366	228
30690	161585	28100	2013-08-04 17:31:50.456349	2013-08-04 17:31:50.456349	228
30691	162276	11679	2013-08-04 17:31:50.49384	2013-08-04 17:31:50.49384	228
30692	162276	12716	2013-08-04 17:31:50.50228	2013-08-04 17:31:50.50228	228
30693	162276	41321	2013-08-04 17:31:50.51057	2013-08-04 17:31:50.51057	228
30694	162276	22706	2013-08-04 17:31:50.518913	2013-08-04 17:31:50.518913	228
30695	162276	40950	2013-08-04 17:31:50.527171	2013-08-04 17:31:50.527171	228
30696	162276	28752	2013-08-04 17:31:50.535533	2013-08-04 17:31:50.535533	228
30697	162276	47783	2013-08-04 17:31:50.543862	2013-08-04 17:31:50.543862	228
30698	162276	15506	2013-08-04 17:31:50.55217	2013-08-04 17:31:50.55217	228
30699	162276	36803	2013-08-04 17:31:50.560532	2013-08-04 17:31:50.560532	228
30700	162276	17301	2013-08-04 17:31:50.568824	2013-08-04 17:31:50.568824	228
30701	162276	19761	2013-08-04 17:31:50.5771	2013-08-04 17:31:50.5771	228
30702	162276	28450	2013-08-04 17:31:50.583624	2013-08-04 17:31:50.583624	228
30703	162276	17336	2013-08-04 17:31:50.588581	2013-08-04 17:31:50.588581	228
30704	162276	21253	2013-08-04 17:31:50.591809	2013-08-04 17:31:50.591809	228
30705	162276	21319	2013-08-04 17:31:50.595754	2013-08-04 17:31:50.595754	228
30706	162276	28386	2013-08-04 17:31:50.601081	2013-08-04 17:31:50.601081	228
30707	162276	3924	2013-08-04 17:31:50.606465	2013-08-04 17:31:50.606465	228
30708	162276	17153	2013-08-04 17:31:50.612894	2013-08-04 17:31:50.612894	228
30709	162276	3095	2013-08-04 17:31:50.620399	2013-08-04 17:31:50.620399	228
30710	162278	11679	2013-08-04 17:31:50.651949	2013-08-04 17:31:50.651949	228
30711	162278	12716	2013-08-04 17:31:50.660344	2013-08-04 17:31:50.660344	228
30712	162278	41321	2013-08-04 17:31:50.664342	2013-08-04 17:31:50.664342	228
30713	162278	22706	2013-08-04 17:31:50.667027	2013-08-04 17:31:50.667027	228
30714	162278	40950	2013-08-04 17:31:50.669648	2013-08-04 17:31:50.669648	228
30715	162278	28752	2013-08-04 17:31:50.67229	2013-08-04 17:31:50.67229	228
30716	162278	47783	2013-08-04 17:31:50.674967	2013-08-04 17:31:50.674967	228
30717	162278	15506	2013-08-04 17:31:50.677567	2013-08-04 17:31:50.677567	228
30718	162278	36803	2013-08-04 17:31:50.6844	2013-08-04 17:31:50.6844	228
30719	162278	17301	2013-08-04 17:31:50.688575	2013-08-04 17:31:50.688575	228
30720	162278	19761	2013-08-04 17:31:50.693604	2013-08-04 17:31:50.693604	228
30721	162278	28450	2013-08-04 17:31:50.701957	2013-08-04 17:31:50.701957	228
30722	162278	17336	2013-08-04 17:31:50.710206	2013-08-04 17:31:50.710206	228
30723	162278	21253	2013-08-04 17:31:50.718229	2013-08-04 17:31:50.718229	228
30724	162278	21319	2013-08-04 17:31:50.726116	2013-08-04 17:31:50.726116	228
30725	162278	28386	2013-08-04 17:31:50.734532	2013-08-04 17:31:50.734532	228
30726	162278	3924	2013-08-04 17:31:50.742569	2013-08-04 17:31:50.742569	228
30727	162278	17153	2013-08-04 17:31:50.746398	2013-08-04 17:31:50.746398	228
30728	162278	3095	2013-08-04 17:31:50.755406	2013-08-04 17:31:50.755406	228
30729	162279	12716	2013-08-04 17:31:50.786095	2013-08-04 17:31:50.786095	228
30730	162279	41321	2013-08-04 17:31:50.789159	2013-08-04 17:31:50.789159	228
30731	162279	22706	2013-08-04 17:31:50.792041	2013-08-04 17:31:50.792041	228
30732	162279	40950	2013-08-04 17:31:50.795144	2013-08-04 17:31:50.795144	228
30733	162279	28752	2013-08-04 17:31:50.798257	2013-08-04 17:31:50.798257	228
30734	162279	47783	2013-08-04 17:31:50.801467	2013-08-04 17:31:50.801467	228
30735	162279	15506	2013-08-04 17:31:50.804411	2013-08-04 17:31:50.804411	228
30736	162279	36803	2013-08-04 17:31:50.807637	2013-08-04 17:31:50.807637	228
30737	162279	17301	2013-08-04 17:31:50.811187	2013-08-04 17:31:50.811187	228
30738	161587	19761	2013-08-04 17:31:50.876029	2013-08-04 17:31:50.876029	228
30739	161587	28450	2013-08-04 17:31:50.887074	2013-08-04 17:31:50.887074	228
30740	161587	17336	2013-08-04 17:31:50.890538	2013-08-04 17:31:50.890538	228
30741	161587	21253	2013-08-04 17:31:50.897206	2013-08-04 17:31:50.897206	228
30742	161587	21319	2013-08-04 17:31:50.903612	2013-08-04 17:31:50.903612	228
30743	161587	28386	2013-08-04 17:31:50.907201	2013-08-04 17:31:50.907201	228
30744	161587	3924	2013-08-04 17:31:50.91083	2013-08-04 17:31:50.91083	228
30745	161587	17153	2013-08-04 17:31:50.914471	2013-08-04 17:31:50.914471	228
30746	161587	3095	2013-08-04 17:31:50.918994	2013-08-04 17:31:50.918994	228
30747	161582	43715	2013-08-04 17:31:50.938459	2013-08-04 17:31:50.938459	228
30748	161582	30095	2013-08-04 17:31:50.943417	2013-08-04 17:31:50.943417	228
30749	161582	28837	2013-08-04 17:31:50.947105	2013-08-04 17:31:50.947105	228
30750	161582	28091	2013-08-04 17:31:50.950419	2013-08-04 17:31:50.950419	228
30751	161582	39483	2013-08-04 17:31:50.953761	2013-08-04 17:31:50.953761	228
30752	161582	35623	2013-08-04 17:31:50.958917	2013-08-04 17:31:50.958917	228
30753	161580	19356	2013-08-04 17:31:50.994555	2013-08-04 17:31:50.994555	228
30754	161580	19336	2013-08-04 17:31:51.001069	2013-08-04 17:31:51.001069	228
30755	161580	19316	2013-08-04 17:31:51.010644	2013-08-04 17:31:51.010644	228
30756	161580	19292	2013-08-04 17:31:51.014519	2013-08-04 17:31:51.014519	228
30757	161580	19300	2013-08-04 17:31:51.022013	2013-08-04 17:31:51.022013	228
30758	161580	19296	2013-08-04 17:31:51.029145	2013-08-04 17:31:51.029145	228
30759	161580	19186	2013-08-04 17:31:51.033245	2013-08-04 17:31:51.033245	228
30760	161580	31965	2013-08-04 17:31:51.037162	2013-08-04 17:31:51.037162	228
30761	161580	19276	2013-08-04 17:31:51.042747	2013-08-04 17:31:51.042747	228
30762	161580	19256	2013-08-04 17:31:51.049375	2013-08-04 17:31:51.049375	228
30763	161580	19236	2013-08-04 17:31:51.056348	2013-08-04 17:31:51.056348	228
30764	161580	19216	2013-08-04 17:31:51.065062	2013-08-04 17:31:51.065062	228
30765	161580	19196	2013-08-04 17:31:51.072363	2013-08-04 17:31:51.072363	228
30766	161580	8271	2013-08-04 17:31:51.082076	2013-08-04 17:31:51.082076	228
30767	161580	12771	2013-08-04 17:31:51.09233	2013-08-04 17:31:51.09233	228
30768	161580	12591	2013-08-04 17:31:51.102409	2013-08-04 17:31:51.102409	228
30769	161580	12611	2013-08-04 17:31:51.112581	2013-08-04 17:31:51.112581	228
30770	161580	49575	2013-08-04 17:31:51.122557	2013-08-04 17:31:51.122557	228
30771	161580	19781	2013-08-04 17:31:51.13193	2013-08-04 17:31:51.13193	228
30772	161609	23779	2013-08-04 17:31:51.503314	2013-08-04 17:31:51.503314	228
30773	161609	23790	2013-08-04 17:31:51.5152	2013-08-04 17:31:51.5152	228
30774	161609	23759	2013-08-04 17:31:51.52679	2013-08-04 17:31:51.52679	228
30775	161609	23739	2013-08-04 17:31:51.53878	2013-08-04 17:31:51.53878	228
30776	161609	23785	2013-08-04 17:31:51.551986	2013-08-04 17:31:51.551986	228
30777	161609	23719	2013-08-04 17:31:51.563639	2013-08-04 17:31:51.563639	228
30778	161609	23699	2013-08-04 17:31:51.575	2013-08-04 17:31:51.575	228
30779	161609	23703	2013-08-04 17:31:51.586516	2013-08-04 17:31:51.586516	228
30780	161609	23679	2013-08-04 17:31:51.597478	2013-08-04 17:31:51.597478	228
30781	161609	23659	2013-08-04 17:31:51.608532	2013-08-04 17:31:51.608532	228
30782	161609	23639	2013-08-04 17:31:51.619942	2013-08-04 17:31:51.619942	228
30783	161609	23619	2013-08-04 17:31:51.63134	2013-08-04 17:31:51.63134	228
30784	161609	23599	2013-08-04 17:31:51.642846	2013-08-04 17:31:51.642846	228
30785	161609	23658	2013-08-04 17:31:51.654457	2013-08-04 17:31:51.654457	228
30786	161609	23579	2013-08-04 17:31:51.665359	2013-08-04 17:31:51.665359	228
30787	161609	3147	2013-08-04 17:31:51.676392	2013-08-04 17:31:51.676392	228
30788	161609	11438	2013-08-04 17:31:51.686091	2013-08-04 17:31:51.686091	228
30789	161609	2406	2013-08-04 17:31:51.696097	2013-08-04 17:31:51.696097	228
30790	161609	22353	2013-08-04 17:31:51.706181	2013-08-04 17:31:51.706181	228
30791	162272	44061	2013-08-04 17:31:51.758539	2013-08-04 17:31:51.758539	228
30792	162272	28925	2013-08-04 17:31:51.768235	2013-08-04 17:31:51.768235	228
30793	162272	44115	2013-08-04 17:31:51.778112	2013-08-04 17:31:51.778112	228
30794	162272	15528	2013-08-04 17:31:51.786777	2013-08-04 17:31:51.786777	228
30795	162272	28271	2013-08-04 17:31:51.797166	2013-08-04 17:31:51.797166	228
30796	162272	28011	2013-08-04 17:31:51.808258	2013-08-04 17:31:51.808258	228
30797	162547	1999	2013-08-04 17:31:51.876049	2013-08-04 17:31:51.876049	228
30798	162547	15650	2013-08-04 17:31:51.889353	2013-08-04 17:31:51.889353	228
30799	162547	16586	2013-08-04 17:31:51.894909	2013-08-04 17:31:51.894909	228
30800	162547	1945	2013-08-04 17:31:51.89971	2013-08-04 17:31:51.89971	228
30801	162547	1888	2013-08-04 17:31:51.905899	2013-08-04 17:31:51.905899	228
30802	162547	1987	2013-08-04 17:31:51.912078	2013-08-04 17:31:51.912078	228
30803	162547	21061	2013-08-04 17:31:51.916676	2013-08-04 17:31:51.916676	228
30804	162547	2035	2013-08-04 17:31:51.920257	2013-08-04 17:31:51.920257	228
30805	162547	1989	2013-08-04 17:31:51.923692	2013-08-04 17:31:51.923692	228
30806	162547	2005	2013-08-04 17:31:51.927861	2013-08-04 17:31:51.927861	228
30807	162547	1969	2013-08-04 17:31:51.934541	2013-08-04 17:31:51.934541	228
30808	162547	1979	2013-08-04 17:31:51.943237	2013-08-04 17:31:51.943237	228
30809	162547	16640	2013-08-04 17:31:51.951865	2013-08-04 17:31:51.951865	228
30810	162547	1947	2013-08-04 17:31:51.961272	2013-08-04 17:31:51.961272	228
30811	162547	1988	2013-08-04 17:31:51.972603	2013-08-04 17:31:51.972603	228
30812	162547	1968	2013-08-04 17:31:51.984437	2013-08-04 17:31:51.984437	228
30813	162547	2025	2013-08-04 17:31:51.995523	2013-08-04 17:31:51.995523	228
30814	162547	1886	2013-08-04 17:31:52.006244	2013-08-04 17:31:52.006244	228
30815	162547	2396	2013-08-04 17:31:52.017084	2013-08-04 17:31:52.017084	228
30816	162269	3400	2013-08-04 17:31:52.088204	2013-08-04 17:31:52.088204	228
30817	162269	3407	2013-08-04 17:31:52.099923	2013-08-04 17:31:52.099923	228
30818	162269	3420	2013-08-04 17:31:52.11136	2013-08-04 17:31:52.11136	228
30819	162269	3440	2013-08-04 17:31:52.122418	2013-08-04 17:31:52.122418	228
30820	162269	3309	2013-08-04 17:31:52.133806	2013-08-04 17:31:52.133806	228
30821	162269	3387	2013-08-04 17:31:52.144567	2013-08-04 17:31:52.144567	228
30822	162269	8605	2013-08-04 17:31:52.155323	2013-08-04 17:31:52.155323	228
30823	162269	3329	2013-08-04 17:31:52.166461	2013-08-04 17:31:52.166461	228
30824	162269	48123	2013-08-04 17:31:52.177584	2013-08-04 17:31:52.177584	228
30825	162269	22141	2013-08-04 17:31:52.188958	2013-08-04 17:31:52.188958	228
30826	162269	3367	2013-08-04 17:31:52.199107	2013-08-04 17:31:52.199107	228
30827	162269	22321	2013-08-04 17:31:52.205645	2013-08-04 17:31:52.205645	228
30828	162269	3448	2013-08-04 17:31:52.215337	2013-08-04 17:31:52.215337	228
30829	162269	5590	2013-08-04 17:31:52.226037	2013-08-04 17:31:52.226037	228
30830	162269	3429	2013-08-04 17:31:52.238041	2013-08-04 17:31:52.238041	228
30831	162269	3347	2013-08-04 17:31:52.244266	2013-08-04 17:31:52.244266	228
30832	162269	3414	2013-08-04 17:31:52.248632	2013-08-04 17:31:52.248632	228
30833	162269	20697	2013-08-04 17:31:52.252902	2013-08-04 17:31:52.252902	228
30834	162269	2578	2013-08-04 17:31:52.256879	2013-08-04 17:31:52.256879	228
30835	161594	28828	2013-08-04 17:31:52.278753	2013-08-04 17:31:52.278753	228
30836	161594	14175	2013-08-04 17:31:52.283974	2013-08-04 17:31:52.283974	228
30837	161594	28880	2013-08-04 17:31:52.28831	2013-08-04 17:31:52.28831	228
30838	161594	28808	2013-08-04 17:31:52.299872	2013-08-04 17:31:52.299872	228
30839	161594	28788	2013-08-04 17:31:52.311203	2013-08-04 17:31:52.311203	228
30840	161594	28768	2013-08-04 17:31:52.322926	2013-08-04 17:31:52.322926	228
30841	161594	28748	2013-08-04 17:31:52.333847	2013-08-04 17:31:52.333847	228
30842	161594	27732	2013-08-04 17:31:52.345333	2013-08-04 17:31:52.345333	228
30843	161594	28695	2013-08-04 17:31:52.357407	2013-08-04 17:31:52.357407	228
30844	161594	28728	2013-08-04 17:31:52.369118	2013-08-04 17:31:52.369118	228
30845	161594	28708	2013-08-04 17:31:52.37998	2013-08-04 17:31:52.37998	228
30846	161594	28688	2013-08-04 17:31:52.465535	2013-08-04 17:31:52.465535	228
30847	161594	28668	2013-08-04 17:31:52.476879	2013-08-04 17:31:52.476879	228
30848	161594	28648	2013-08-04 17:31:52.487671	2013-08-04 17:31:52.487671	228
30849	161594	40063	2013-08-04 17:31:52.498175	2013-08-04 17:31:52.498175	228
30850	161594	27832	2013-08-04 17:31:52.508903	2013-08-04 17:31:52.508903	228
30851	161594	28628	2013-08-04 17:31:52.519789	2013-08-04 17:31:52.519789	228
30852	161594	28608	2013-08-04 17:31:52.529959	2013-08-04 17:31:52.529959	228
30853	161594	28588	2013-08-04 17:31:52.540207	2013-08-04 17:31:52.540207	228
30854	161590	9165	2013-08-04 17:31:52.57582	2013-08-04 17:31:52.57582	228
30855	161590	9109	2013-08-04 17:31:52.587685	2013-08-04 17:31:52.587685	228
30856	161590	9000	2013-08-04 17:31:52.599302	2013-08-04 17:31:52.599302	228
30857	161590	9038	2013-08-04 17:31:52.610322	2013-08-04 17:31:52.610322	228
30858	161590	9089	2013-08-04 17:31:52.621198	2013-08-04 17:31:52.621198	228
30859	161590	9069	2013-08-04 17:31:52.632242	2013-08-04 17:31:52.632242	228
30860	161590	9049	2013-08-04 17:31:52.643345	2013-08-04 17:31:52.643345	228
30861	161590	9029	2013-08-04 17:31:52.653866	2013-08-04 17:31:52.653866	228
30862	161590	16160	2013-08-04 17:31:52.664754	2013-08-04 17:31:52.664754	228
30863	161590	9009	2013-08-04 17:31:52.675096	2013-08-04 17:31:52.675096	228
30864	161590	8981	2013-08-04 17:31:52.686399	2013-08-04 17:31:52.686399	228
30865	161590	8989	2013-08-04 17:31:52.697999	2013-08-04 17:31:52.697999	228
30866	161590	8969	2013-08-04 17:31:52.709442	2013-08-04 17:31:52.709442	228
30867	161590	9016	2013-08-04 17:31:52.720394	2013-08-04 17:31:52.720394	228
30868	161590	8836	2013-08-04 17:31:52.731122	2013-08-04 17:31:52.731122	228
30869	161590	8923	2013-08-04 17:31:52.741884	2013-08-04 17:31:52.741884	228
30870	161590	8833	2013-08-04 17:31:52.7532	2013-08-04 17:31:52.7532	228
30871	161590	8903	2013-08-04 17:31:52.764843	2013-08-04 17:31:52.764843	228
30872	161590	28632	2013-08-04 17:31:52.777071	2013-08-04 17:31:52.777071	228
30873	162548	28471	2013-08-04 17:31:52.859197	2013-08-04 17:31:52.859197	228
30874	162548	28451	2013-08-04 17:31:52.870049	2013-08-04 17:31:52.870049	228
30875	162548	28431	2013-08-04 17:31:52.880868	2013-08-04 17:31:52.880868	228
30876	162548	5998	2013-08-04 17:31:52.891601	2013-08-04 17:31:52.891601	228
30877	162548	28318	2013-08-04 17:31:52.901268	2013-08-04 17:31:52.901268	228
30878	162548	28297	2013-08-04 17:31:52.907846	2013-08-04 17:31:52.907846	228
30879	162548	28385	2013-08-04 17:31:52.911282	2013-08-04 17:31:52.911282	228
30880	162548	19163	2013-08-04 17:31:52.916896	2013-08-04 17:31:52.916896	228
30881	162548	28411	2013-08-04 17:31:52.923612	2013-08-04 17:31:52.923612	228
30882	161588	28391	2013-08-04 17:31:52.93545	2013-08-04 17:31:52.93545	228
30883	161588	28371	2013-08-04 17:31:52.94072	2013-08-04 17:31:52.94072	228
30884	161588	28310	2013-08-04 17:31:52.945458	2013-08-04 17:31:52.945458	228
30885	161588	28351	2013-08-04 17:31:52.949793	2013-08-04 17:31:52.949793	228
30886	161588	28275	2013-08-04 17:31:52.95452	2013-08-04 17:31:52.95452	228
30887	161588	28331	2013-08-04 17:31:52.960984	2013-08-04 17:31:52.960984	228
30888	161588	28311	2013-08-04 17:31:52.966456	2013-08-04 17:31:52.966456	228
30889	161588	28301	2013-08-04 17:31:52.971556	2013-08-04 17:31:52.971556	228
30890	161588	28291	2013-08-04 17:31:52.980439	2013-08-04 17:31:52.980439	228
30891	161592	29233	2013-08-04 17:31:53.068018	2013-08-04 17:31:53.068018	228
30892	161592	29213	2013-08-04 17:31:53.080378	2013-08-04 17:31:53.080378	228
30893	161592	29341	2013-08-04 17:31:53.092576	2013-08-04 17:31:53.092576	228
30894	161592	29117	2013-08-04 17:31:53.104358	2013-08-04 17:31:53.104358	228
30895	161592	29193	2013-08-04 17:31:53.115359	2013-08-04 17:31:53.115359	228
30896	161592	29173	2013-08-04 17:31:53.126498	2013-08-04 17:31:53.126498	228
30897	161592	29153	2013-08-04 17:31:53.138408	2013-08-04 17:31:53.138408	228
30898	161592	29170	2013-08-04 17:31:53.150653	2013-08-04 17:31:53.150653	228
30899	161592	29150	2013-08-04 17:31:53.161492	2013-08-04 17:31:53.161492	228
30900	161592	29133	2013-08-04 17:31:53.172336	2013-08-04 17:31:53.172336	228
30901	161592	29113	2013-08-04 17:31:53.183388	2013-08-04 17:31:53.183388	228
30902	161592	29093	2013-08-04 17:31:53.194658	2013-08-04 17:31:53.194658	228
30903	161592	29161	2013-08-04 17:31:53.206572	2013-08-04 17:31:53.206572	228
30904	161592	29073	2013-08-04 17:31:53.217012	2013-08-04 17:31:53.217012	228
30905	161592	3681	2013-08-04 17:31:53.227874	2013-08-04 17:31:53.227874	228
30906	161592	29053	2013-08-04 17:31:53.238954	2013-08-04 17:31:53.238954	228
30907	161592	14952	2013-08-04 17:31:53.25007	2013-08-04 17:31:53.25007	228
30908	161592	28980	2013-08-04 17:31:53.261196	2013-08-04 17:31:53.261196	228
30909	161592	28111	2013-08-04 17:31:53.268829	2013-08-04 17:31:53.268829	228
30910	162280	29181	2013-08-04 17:31:53.281923	2013-08-04 17:31:53.281923	228
30911	162280	15090	2013-08-04 17:31:53.28693	2013-08-04 17:31:53.28693	228
30912	162280	36603	2013-08-04 17:31:53.290938	2013-08-04 17:31:53.290938	228
30913	162280	47763	2013-08-04 17:31:53.294005	2013-08-04 17:31:53.294005	228
30914	162280	19821	2013-08-04 17:31:53.296734	2013-08-04 17:31:53.296734	228
30915	162280	29321	2013-08-04 17:31:53.299879	2013-08-04 17:31:53.299879	228
30916	162280	16953	2013-08-04 17:31:53.303398	2013-08-04 17:31:53.303398	228
30917	162280	12856	2013-08-04 17:31:53.3073	2013-08-04 17:31:53.3073	228
30918	162280	15690	2013-08-04 17:31:53.310636	2013-08-04 17:31:53.310636	228
30919	162280	15606	2013-08-04 17:31:53.313371	2013-08-04 17:31:53.313371	228
30920	162280	12716	2013-08-04 17:31:53.318358	2013-08-04 17:31:53.318358	228
30921	162280	41321	2013-08-04 17:31:53.326668	2013-08-04 17:31:53.326668	228
30922	162280	22706	2013-08-04 17:31:53.334405	2013-08-04 17:31:53.334405	228
30923	162280	40950	2013-08-04 17:31:53.342535	2013-08-04 17:31:53.342535	228
30924	162280	28752	2013-08-04 17:31:53.350279	2013-08-04 17:31:53.350279	228
30925	162280	47783	2013-08-04 17:31:53.358798	2013-08-04 17:31:53.358798	228
30926	162280	15506	2013-08-04 17:31:53.367282	2013-08-04 17:31:53.367282	228
30927	162280	36803	2013-08-04 17:31:53.374799	2013-08-04 17:31:53.374799	228
30928	162280	17301	2013-08-04 17:31:53.381972	2013-08-04 17:31:53.381972	228
30929	162275	44317	2013-08-04 17:31:53.466601	2013-08-04 17:31:53.466601	228
30930	162275	44297	2013-08-04 17:31:53.477809	2013-08-04 17:31:53.477809	228
30931	162275	44277	2013-08-04 17:31:53.488709	2013-08-04 17:31:53.488709	228
30932	162275	44257	2013-08-04 17:31:53.499621	2013-08-04 17:31:53.499621	228
30933	162275	44237	2013-08-04 17:31:53.510596	2013-08-04 17:31:53.510596	228
30934	162275	44217	2013-08-04 17:31:53.521492	2013-08-04 17:31:53.521492	228
30935	162275	44197	2013-08-04 17:31:53.5324	2013-08-04 17:31:53.5324	228
30936	162275	44177	2013-08-04 17:31:53.543729	2013-08-04 17:31:53.543729	228
30937	162275	44157	2013-08-04 17:31:53.555166	2013-08-04 17:31:53.555166	228
30938	162199	44137	2013-08-04 17:31:53.577803	2013-08-04 17:31:53.577803	228
30939	162199	44032	2013-08-04 17:31:53.588975	2013-08-04 17:31:53.588975	228
30940	162199	44117	2013-08-04 17:31:53.599986	2013-08-04 17:31:53.599986	228
30941	162199	44097	2013-08-04 17:31:53.61101	2013-08-04 17:31:53.61101	228
30942	162199	44077	2013-08-04 17:31:53.621939	2013-08-04 17:31:53.621939	228
30943	162199	44057	2013-08-04 17:31:53.633134	2013-08-04 17:31:53.633134	228
30944	162199	44037	2013-08-04 17:31:53.644652	2013-08-04 17:31:53.644652	228
30945	162199	44017	2013-08-04 17:31:53.655702	2013-08-04 17:31:53.655702	228
30946	162199	28051	2013-08-04 17:31:53.666251	2013-08-04 17:31:53.666251	228
30947	162270	24065	2013-08-04 17:31:53.75211	2013-08-04 17:31:53.75211	228
30948	162270	24019	2013-08-04 17:31:53.764324	2013-08-04 17:31:53.764324	228
30949	162270	23999	2013-08-04 17:31:53.77596	2013-08-04 17:31:53.77596	228
30950	162270	24010	2013-08-04 17:31:53.787754	2013-08-04 17:31:53.787754	228
30951	162270	23979	2013-08-04 17:31:53.799452	2013-08-04 17:31:53.799452	228
30952	162270	23959	2013-08-04 17:31:53.810749	2013-08-04 17:31:53.810749	228
30953	162270	23939	2013-08-04 17:31:53.821317	2013-08-04 17:31:53.821317	228
30954	162270	23919	2013-08-04 17:31:53.830548	2013-08-04 17:31:53.830548	228
30955	162270	23899	2013-08-04 17:31:53.835454	2013-08-04 17:31:53.835454	228
30956	161926	23879	2013-08-04 17:31:53.84364	2013-08-04 17:31:53.84364	228
30957	161926	23883	2013-08-04 17:31:53.847543	2013-08-04 17:31:53.847543	228
30958	161926	23961	2013-08-04 17:31:53.852819	2013-08-04 17:31:53.852819	228
30959	161926	23738	2013-08-04 17:31:53.857428	2013-08-04 17:31:53.857428	228
30960	161926	12161	2013-08-04 17:31:53.861764	2013-08-04 17:31:53.861764	228
30961	161926	23859	2013-08-04 17:31:53.865941	2013-08-04 17:31:53.865941	228
30962	161926	23839	2013-08-04 17:31:53.8697	2013-08-04 17:31:53.8697	228
30963	161926	23819	2013-08-04 17:31:53.878089	2013-08-04 17:31:53.878089	228
30964	161926	23799	2013-08-04 17:31:53.88885	2013-08-04 17:31:53.88885	228
30965	161792	47603	2013-08-04 17:31:53.929157	2013-08-04 17:31:53.929157	228
30966	161792	7066	2013-08-04 17:31:53.940508	2013-08-04 17:31:53.940508	228
30967	161792	47443	2013-08-04 17:31:53.951719	2013-08-04 17:31:53.951719	228
30968	161792	17210	2013-08-04 17:31:53.957756	2013-08-04 17:31:53.957756	228
30969	161792	47723	2013-08-04 17:31:53.962276	2013-08-04 17:31:53.962276	228
30970	161792	2406	2013-08-04 17:31:53.968058	2013-08-04 17:31:53.968058	228
30971	161792	22353	2013-08-04 17:31:53.973102	2013-08-04 17:31:53.973102	228
30972	161792	19781	2013-08-04 17:31:53.978399	2013-08-04 17:31:53.978399	228
30973	161792	35623	2013-08-04 17:31:53.982359	2013-08-04 17:31:53.982359	228
30974	161792	17336	2013-08-04 17:31:53.985393	2013-08-04 17:31:53.985393	228
30975	161792	28450	2013-08-04 17:31:53.988309	2013-08-04 17:31:53.988309	228
30976	161792	19761	2013-08-04 17:31:53.991866	2013-08-04 17:31:53.991866	228
30977	161792	28100	2013-08-04 17:31:53.996713	2013-08-04 17:31:53.996713	228
30978	161792	3095	2013-08-04 17:31:54.002185	2013-08-04 17:31:54.002185	228
30979	161792	17153	2013-08-04 17:31:54.007883	2013-08-04 17:31:54.007883	228
30980	161792	3924	2013-08-04 17:31:54.013285	2013-08-04 17:31:54.013285	228
30981	161792	28386	2013-08-04 17:31:54.017461	2013-08-04 17:31:54.017461	228
30982	161792	21319	2013-08-04 17:31:54.022363	2013-08-04 17:31:54.022363	228
30983	161792	21253	2013-08-04 17:31:54.091033	2013-08-04 17:31:54.091033	228
30984	161798	7066	2013-08-04 17:31:54.153545	2013-08-04 17:31:54.153545	228
30985	161798	47603	2013-08-04 17:31:54.156781	2013-08-04 17:31:54.156781	228
30986	161798	2406	2013-08-04 17:31:54.160113	2013-08-04 17:31:54.160113	228
30987	161798	47723	2013-08-04 17:31:54.163323	2013-08-04 17:31:54.163323	228
30988	161798	17210	2013-08-04 17:31:54.166726	2013-08-04 17:31:54.166726	228
30989	161798	47443	2013-08-04 17:31:54.170165	2013-08-04 17:31:54.170165	228
30990	161798	28100	2013-08-04 17:31:54.173511	2013-08-04 17:31:54.173511	228
30991	161798	19761	2013-08-04 17:31:54.176634	2013-08-04 17:31:54.176634	228
30992	161798	28450	2013-08-04 17:31:54.17978	2013-08-04 17:31:54.17978	228
30993	161798	17336	2013-08-04 17:31:54.182641	2013-08-04 17:31:54.182641	228
30994	161798	35623	2013-08-04 17:31:54.185589	2013-08-04 17:31:54.185589	228
30995	161798	19781	2013-08-04 17:31:54.188493	2013-08-04 17:31:54.188493	228
30996	161798	22353	2013-08-04 17:31:54.191133	2013-08-04 17:31:54.191133	228
30997	161798	21253	2013-08-04 17:31:54.193694	2013-08-04 17:31:54.193694	228
30998	161798	21319	2013-08-04 17:31:54.196239	2013-08-04 17:31:54.196239	228
30999	161798	28386	2013-08-04 17:31:54.19941	2013-08-04 17:31:54.19941	228
31000	161798	3924	2013-08-04 17:31:54.203044	2013-08-04 17:31:54.203044	228
31001	161798	17153	2013-08-04 17:31:54.206275	2013-08-04 17:31:54.206275	228
31002	161798	3095	2013-08-04 17:31:54.209389	2013-08-04 17:31:54.209389	228
31003	162228	3370	2013-08-04 17:31:54.32326	2013-08-04 17:31:54.32326	228
31004	162228	3338	2013-08-04 17:31:54.327453	2013-08-04 17:31:54.327453	228
31005	162228	3358	2013-08-04 17:31:54.337292	2013-08-04 17:31:54.337292	228
31006	162228	3378	2013-08-04 17:31:54.348373	2013-08-04 17:31:54.348373	228
31007	161652	3398	2013-08-04 17:31:54.371604	2013-08-04 17:31:54.371604	228
31008	161652	3418	2013-08-04 17:31:54.383636	2013-08-04 17:31:54.383636	228
31009	161652	3438	2013-08-04 17:31:54.395607	2013-08-04 17:31:54.395607	228
31010	161652	3383	2013-08-04 17:31:54.407518	2013-08-04 17:31:54.407518	228
31011	161615	3330	2013-08-04 17:31:54.43074	2013-08-04 17:31:54.43074	228
31012	161615	3428	2013-08-04 17:31:54.442581	2013-08-04 17:31:54.442581	228
31013	161615	3447	2013-08-04 17:31:54.454141	2013-08-04 17:31:54.454141	228
31014	161615	3427	2013-08-04 17:31:54.465496	2013-08-04 17:31:54.465496	228
31015	161568	3320	2013-08-04 17:31:54.488137	2013-08-04 17:31:54.488137	228
31016	161568	3340	2013-08-04 17:31:54.499267	2013-08-04 17:31:54.499267	228
31017	161568	3360	2013-08-04 17:31:54.510053	2013-08-04 17:31:54.510053	228
31018	161568	3380	2013-08-04 17:31:54.521275	2013-08-04 17:31:54.521275	228
31019	161802	2869	2013-08-04 17:31:54.560058	2013-08-04 17:31:54.560058	228
31020	161802	3050	2013-08-04 17:31:54.572085	2013-08-04 17:31:54.572085	228
31021	161802	3486	2013-08-04 17:31:54.581387	2013-08-04 17:31:54.581387	228
31022	161802	3506	2013-08-04 17:31:54.59154	2013-08-04 17:31:54.59154	228
31023	161802	3458	2013-08-04 17:31:54.602467	2013-08-04 17:31:54.602467	228
31024	161802	3478	2013-08-04 17:31:54.613045	2013-08-04 17:31:54.613045	228
31025	161650	3570	2013-08-04 17:31:54.635467	2013-08-04 17:31:54.635467	228
31026	161650	3607	2013-08-04 17:31:54.647343	2013-08-04 17:31:54.647343	228
31027	161650	3587	2013-08-04 17:31:54.659022	2013-08-04 17:31:54.659022	228
31028	161650	3460	2013-08-04 17:31:54.67005	2013-08-04 17:31:54.67005	228
31029	161650	3480	2013-08-04 17:31:54.681022	2013-08-04 17:31:54.681022	228
31030	161650	3567	2013-08-04 17:31:54.691992	2013-08-04 17:31:54.691992	228
31031	161575	3547	2013-08-04 17:31:54.714063	2013-08-04 17:31:54.714063	228
31032	161575	3527	2013-08-04 17:31:54.72498	2013-08-04 17:31:54.72498	228
31033	161575	3507	2013-08-04 17:31:54.736021	2013-08-04 17:31:54.736021	228
31034	161575	39843	2013-08-04 17:31:54.746988	2013-08-04 17:31:54.746988	228
31035	161575	1631	2013-08-04 17:31:54.758368	2013-08-04 17:31:54.758368	228
31036	161575	836	2013-08-04 17:31:54.781476	2013-08-04 17:31:54.781476	228
31037	162250	28920	2013-08-04 17:31:54.836266	2013-08-04 17:31:54.836266	228
31038	162250	29028	2013-08-04 17:31:54.847407	2013-08-04 17:31:54.847407	228
31039	162250	29008	2013-08-04 17:31:54.857868	2013-08-04 17:31:54.857868	228
31040	161829	14583	2013-08-04 17:31:54.879279	2013-08-04 17:31:54.879279	228
31041	161829	28988	2013-08-04 17:31:54.890015	2013-08-04 17:31:54.890015	228
31042	161829	28968	2013-08-04 17:31:54.901138	2013-08-04 17:31:54.901138	228
31043	161729	29015	2013-08-04 17:31:54.92404	2013-08-04 17:31:54.92404	228
31044	161729	28948	2013-08-04 17:31:54.935425	2013-08-04 17:31:54.935425	228
31045	161729	28928	2013-08-04 17:31:54.946819	2013-08-04 17:31:54.946819	228
31046	161614	28908	2013-08-04 17:31:54.970584	2013-08-04 17:31:54.970584	228
31047	161614	28865	2013-08-04 17:31:54.984129	2013-08-04 17:31:54.984129	228
31048	161614	28888	2013-08-04 17:31:54.998993	2013-08-04 17:31:54.998993	228
31049	161572	28868	2013-08-04 17:31:55.009151	2013-08-04 17:31:55.009151	228
31050	161572	16513	2013-08-04 17:31:55.016076	2013-08-04 17:31:55.016076	228
31051	161572	28848	2013-08-04 17:31:55.02207	2013-08-04 17:31:55.02207	228
31052	161803	21448	2013-08-04 17:31:55.039067	2013-08-04 17:31:55.039067	228
31053	161803	29288	2013-08-04 17:31:55.044437	2013-08-04 17:31:55.044437	228
31054	161803	26590	2013-08-04 17:31:55.048745	2013-08-04 17:31:55.048745	228
31055	161803	29268	2013-08-04 17:31:55.05224	2013-08-04 17:31:55.05224	228
31056	161803	29248	2013-08-04 17:31:55.055639	2013-08-04 17:31:55.055639	228
31057	161803	29210	2013-08-04 17:31:55.059736	2013-08-04 17:31:55.059736	228
31058	161803	29228	2013-08-04 17:31:55.065684	2013-08-04 17:31:55.065684	228
31059	161803	29208	2013-08-04 17:31:55.069618	2013-08-04 17:31:55.069618	228
31060	161803	15035	2013-08-04 17:31:55.0737	2013-08-04 17:31:55.0737	228
31061	161803	29120	2013-08-04 17:31:55.078085	2013-08-04 17:31:55.078085	228
31062	161803	29188	2013-08-04 17:31:55.081985	2013-08-04 17:31:55.081985	228
31063	161803	29168	2013-08-04 17:31:55.086626	2013-08-04 17:31:55.086626	228
31064	161803	29148	2013-08-04 17:31:55.09469	2013-08-04 17:31:55.09469	228
31065	161803	29128	2013-08-04 17:31:55.105637	2013-08-04 17:31:55.105637	228
31066	161803	25500	2013-08-04 17:31:55.116436	2013-08-04 17:31:55.116436	228
31067	161803	10635	2013-08-04 17:31:55.12753	2013-08-04 17:31:55.12753	228
31068	161803	29108	2013-08-04 17:31:55.137697	2013-08-04 17:31:55.137697	228
31069	161803	3621	2013-08-04 17:31:55.148581	2013-08-04 17:31:55.148581	228
31070	161803	29088	2013-08-04 17:31:55.159442	2013-08-04 17:31:55.159442	228
31071	161804	9369	2013-08-04 17:31:55.19915	2013-08-04 17:31:55.19915	228
31072	161804	9349	2013-08-04 17:31:55.211354	2013-08-04 17:31:55.211354	228
31073	161804	9329	2013-08-04 17:31:55.222527	2013-08-04 17:31:55.222527	228
31074	161804	9309	2013-08-04 17:31:55.233437	2013-08-04 17:31:55.233437	228
31075	161804	9343	2013-08-04 17:31:55.244654	2013-08-04 17:31:55.244654	228
31076	161804	9350	2013-08-04 17:31:55.256684	2013-08-04 17:31:55.256684	228
31077	161804	9289	2013-08-04 17:31:55.26825	2013-08-04 17:31:55.26825	228
31078	161804	9269	2013-08-04 17:31:55.281195	2013-08-04 17:31:55.281195	228
31079	161804	9172	2013-08-04 17:31:55.292907	2013-08-04 17:31:55.292907	228
31080	161804	9249	2013-08-04 17:31:55.304386	2013-08-04 17:31:55.304386	228
31081	161804	9229	2013-08-04 17:31:55.313281	2013-08-04 17:31:55.313281	228
31082	161804	9209	2013-08-04 17:31:55.319729	2013-08-04 17:31:55.319729	228
31083	161804	4549	2013-08-04 17:31:55.323266	2013-08-04 17:31:55.323266	228
31084	161804	9189	2013-08-04 17:31:55.326608	2013-08-04 17:31:55.326608	228
31085	161804	9169	2013-08-04 17:31:55.329922	2013-08-04 17:31:55.329922	228
31086	161804	9149	2013-08-04 17:31:55.335172	2013-08-04 17:31:55.335172	228
31087	161804	9129	2013-08-04 17:31:55.339252	2013-08-04 17:31:55.339252	228
31088	161804	37515	2013-08-04 17:31:55.343608	2013-08-04 17:31:55.343608	228
31089	161804	9145	2013-08-04 17:31:55.347931	2013-08-04 17:31:55.347931	228
31090	161617	26790	2013-08-04 17:31:55.539314	2013-08-04 17:31:55.539314	228
31091	161617	29413	2013-08-04 17:31:55.55191	2013-08-04 17:31:55.55191	228
31092	161617	26770	2013-08-04 17:31:55.562979	2013-08-04 17:31:55.562979	228
31093	161617	29393	2013-08-04 17:31:55.573351	2013-08-04 17:31:55.573351	228
31094	161617	29373	2013-08-04 17:31:55.584544	2013-08-04 17:31:55.584544	228
31095	161617	24250	2013-08-04 17:31:55.595363	2013-08-04 17:31:55.595363	228
31096	161617	29392	2013-08-04 17:31:55.60638	2013-08-04 17:31:55.60638	228
31097	161617	29205	2013-08-04 17:31:55.618584	2013-08-04 17:31:55.618584	228
31098	161617	29280	2013-08-04 17:31:55.629911	2013-08-04 17:31:55.629911	228
31099	161617	29353	2013-08-04 17:31:55.640805	2013-08-04 17:31:55.640805	228
31100	161617	29333	2013-08-04 17:31:55.651761	2013-08-04 17:31:55.651761	228
31101	161617	29313	2013-08-04 17:31:55.662713	2013-08-04 17:31:55.662713	228
31102	161617	29218	2013-08-04 17:31:55.674933	2013-08-04 17:31:55.674933	228
31103	161617	29293	2013-08-04 17:31:55.686862	2013-08-04 17:31:55.686862	228
31104	161617	29273	2013-08-04 17:31:55.697907	2013-08-04 17:31:55.697907	228
31105	161617	39443	2013-08-04 17:31:55.709138	2013-08-04 17:31:55.709138	228
31106	161617	29275	2013-08-04 17:31:55.719355	2013-08-04 17:31:55.719355	228
31107	161617	29253	2013-08-04 17:31:55.730741	2013-08-04 17:31:55.730741	228
31108	161617	36483	2013-08-04 17:31:55.741891	2013-08-04 17:31:55.741891	228
31109	162281	29181	2013-08-04 17:31:55.775391	2013-08-04 17:31:55.775391	228
31110	162281	15090	2013-08-04 17:31:55.784041	2013-08-04 17:31:55.784041	228
31111	162281	36603	2013-08-04 17:31:55.792299	2013-08-04 17:31:55.792299	228
31112	162281	47763	2013-08-04 17:31:55.800536	2013-08-04 17:31:55.800536	228
31113	162281	19821	2013-08-04 17:31:55.808553	2013-08-04 17:31:55.808553	228
31114	162281	29321	2013-08-04 17:31:55.816757	2013-08-04 17:31:55.816757	228
31115	162281	16953	2013-08-04 17:31:55.824985	2013-08-04 17:31:55.824985	228
31116	162281	12856	2013-08-04 17:31:55.833174	2013-08-04 17:31:55.833174	228
31117	162281	15690	2013-08-04 17:31:55.841205	2013-08-04 17:31:55.841205	228
31118	162281	15606	2013-08-04 17:31:55.849355	2013-08-04 17:31:55.849355	228
31119	162281	12716	2013-08-04 17:31:55.857712	2013-08-04 17:31:55.857712	228
31120	162281	41321	2013-08-04 17:31:55.866132	2013-08-04 17:31:55.866132	228
31121	162281	22706	2013-08-04 17:31:55.874467	2013-08-04 17:31:55.874467	228
31122	162281	40950	2013-08-04 17:31:55.882856	2013-08-04 17:31:55.882856	228
31123	162281	28752	2013-08-04 17:31:55.891109	2013-08-04 17:31:55.891109	228
31124	162281	47783	2013-08-04 17:31:55.899389	2013-08-04 17:31:55.899389	228
31125	162281	15506	2013-08-04 17:31:55.907582	2013-08-04 17:31:55.907582	228
31126	162281	36803	2013-08-04 17:31:55.915921	2013-08-04 17:31:55.915921	228
31127	162281	17301	2013-08-04 17:31:55.924258	2013-08-04 17:31:55.924258	228
31128	162277	29181	2013-08-04 17:31:55.954853	2013-08-04 17:31:55.954853	228
31129	162277	15090	2013-08-04 17:31:55.962945	2013-08-04 17:31:55.962945	228
31130	162277	36603	2013-08-04 17:31:55.970866	2013-08-04 17:31:55.970866	228
31131	162277	47763	2013-08-04 17:31:55.979074	2013-08-04 17:31:55.979074	228
31132	162277	19821	2013-08-04 17:31:55.987289	2013-08-04 17:31:55.987289	228
31133	162277	29321	2013-08-04 17:31:55.995109	2013-08-04 17:31:55.995109	228
31134	162277	16953	2013-08-04 17:31:56.002851	2013-08-04 17:31:56.002851	228
31135	162277	12856	2013-08-04 17:31:56.01109	2013-08-04 17:31:56.01109	228
31136	162277	15690	2013-08-04 17:31:56.015986	2013-08-04 17:31:56.015986	228
31137	162277	15606	2013-08-04 17:31:56.018386	2013-08-04 17:31:56.018386	228
31138	162277	12716	2013-08-04 17:31:56.021378	2013-08-04 17:31:56.021378	228
31139	162277	41321	2013-08-04 17:31:56.029899	2013-08-04 17:31:56.029899	228
31140	162277	22706	2013-08-04 17:31:56.034815	2013-08-04 17:31:56.034815	228
31141	162277	40950	2013-08-04 17:31:56.039704	2013-08-04 17:31:56.039704	228
31142	162277	28752	2013-08-04 17:31:56.043475	2013-08-04 17:31:56.043475	228
31143	162277	47783	2013-08-04 17:31:56.048372	2013-08-04 17:31:56.048372	228
31144	162277	15506	2013-08-04 17:31:56.055396	2013-08-04 17:31:56.055396	228
31145	162277	36803	2013-08-04 17:31:56.060598	2013-08-04 17:31:56.060598	228
31146	162277	17301	2013-08-04 17:31:56.064512	2013-08-04 17:31:56.064512	228
31147	161808	25570	2013-08-04 17:31:56.149758	2013-08-04 17:31:56.149758	228
31148	161808	24319	2013-08-04 17:31:56.162098	2013-08-04 17:31:56.162098	228
31149	161808	24299	2013-08-04 17:31:56.174716	2013-08-04 17:31:56.174716	228
31150	161808	24279	2013-08-04 17:31:56.186857	2013-08-04 17:31:56.186857	228
31151	161808	24290	2013-08-04 17:31:56.198709	2013-08-04 17:31:56.198709	228
31152	161808	24259	2013-08-04 17:31:56.210678	2013-08-04 17:31:56.210678	228
31153	161808	24239	2013-08-04 17:31:56.223041	2013-08-04 17:31:56.223041	228
31154	161808	24325	2013-08-04 17:31:56.234151	2013-08-04 17:31:56.234151	228
31155	161808	24219	2013-08-04 17:31:56.245551	2013-08-04 17:31:56.245551	228
31156	161808	24199	2013-08-04 17:31:56.257954	2013-08-04 17:31:56.257954	228
31157	161808	16231	2013-08-04 17:31:56.269992	2013-08-04 17:31:56.269992	228
31158	161808	24179	2013-08-04 17:31:56.280829	2013-08-04 17:31:56.280829	228
31159	161808	24138	2013-08-04 17:31:56.291864	2013-08-04 17:31:56.291864	228
31160	161808	24159	2013-08-04 17:31:56.302778	2013-08-04 17:31:56.302778	228
31161	161808	24139	2013-08-04 17:31:56.313874	2013-08-04 17:31:56.313874	228
31162	161808	24119	2013-08-04 17:31:56.324758	2013-08-04 17:31:56.324758	228
31163	161808	24099	2013-08-04 17:31:56.335492	2013-08-04 17:31:56.335492	228
31164	161808	24079	2013-08-04 17:31:56.346409	2013-08-04 17:31:56.346409	228
31165	161808	24059	2013-08-04 17:31:56.35722	2013-08-04 17:31:56.35722	228
31166	162825	44537	2013-08-04 17:36:48.685832	2013-08-04 17:36:48.685832	229
31167	162825	13720	2013-08-04 17:36:48.691116	2013-08-04 17:36:48.691116	229
31168	162825	30006	2013-08-04 17:36:48.695277	2013-08-04 17:36:48.695277	229
31169	162825	29655	2013-08-04 17:36:48.699218	2013-08-04 17:36:48.699218	229
31170	162825	28731	2013-08-04 17:36:48.703373	2013-08-04 17:36:48.703373	229
31171	162818	30275	2013-08-04 17:36:48.881557	2013-08-04 17:36:48.881557	229
31172	162818	30186	2013-08-04 17:36:48.894656	2013-08-04 17:36:48.894656	229
31173	162818	30166	2013-08-04 17:36:48.906309	2013-08-04 17:36:48.906309	229
31174	162818	20713	2013-08-04 17:36:48.917869	2013-08-04 17:36:48.917869	229
31175	162818	30146	2013-08-04 17:36:48.929062	2013-08-04 17:36:48.929062	229
31176	162818	30057	2013-08-04 17:36:48.940607	2013-08-04 17:36:48.940607	229
31177	162818	30120	2013-08-04 17:36:48.950093	2013-08-04 17:36:48.950093	229
31178	162818	32998	2013-08-04 17:36:48.954921	2013-08-04 17:36:48.954921	229
31179	162818	30126	2013-08-04 17:36:48.959121	2013-08-04 17:36:48.959121	229
31180	162818	30106	2013-08-04 17:36:48.962959	2013-08-04 17:36:48.962959	229
31181	162818	30058	2013-08-04 17:36:48.97012	2013-08-04 17:36:48.97012	229
31182	162818	30086	2013-08-04 17:36:48.979609	2013-08-04 17:36:48.979609	229
31183	162818	30050	2013-08-04 17:36:48.985141	2013-08-04 17:36:48.985141	229
31184	162818	30066	2013-08-04 17:36:48.98901	2013-08-04 17:36:48.98901	229
31185	162818	26741	2013-08-04 17:36:48.99281	2013-08-04 17:36:48.99281	229
31186	162818	30046	2013-08-04 17:36:48.999667	2013-08-04 17:36:48.999667	229
31187	162818	29670	2013-08-04 17:36:49.002758	2013-08-04 17:36:49.002758	229
31188	162818	28737	2013-08-04 17:36:49.010477	2013-08-04 17:36:49.010477	229
31189	162818	28721	2013-08-04 17:36:49.016423	2013-08-04 17:36:49.016423	229
31190	162821	860	2013-08-04 17:36:49.048689	2013-08-04 17:36:49.048689	229
31191	162821	1741	2013-08-04 17:36:49.059719	2013-08-04 17:36:49.059719	229
31192	162821	3745	2013-08-04 17:36:49.070521	2013-08-04 17:36:49.070521	229
31193	162821	3646	2013-08-04 17:36:49.0812	2013-08-04 17:36:49.0812	229
31194	162821	11778	2013-08-04 17:36:49.090012	2013-08-04 17:36:49.090012	229
31195	162821	4999	2013-08-04 17:36:49.096258	2013-08-04 17:36:49.096258	229
31196	162821	865	2013-08-04 17:36:49.100137	2013-08-04 17:36:49.100137	229
31197	162821	1774	2013-08-04 17:36:49.105798	2013-08-04 17:36:49.105798	229
31198	162821	1652	2013-08-04 17:36:49.113777	2013-08-04 17:36:49.113777	229
31199	162821	3764	2013-08-04 17:36:49.125353	2013-08-04 17:36:49.125353	229
31200	162821	3630	2013-08-04 17:36:49.136767	2013-08-04 17:36:49.136767	229
31201	162821	1673	2013-08-04 17:36:49.148075	2013-08-04 17:36:49.148075	229
31202	162821	3666	2013-08-04 17:36:49.159458	2013-08-04 17:36:49.159458	229
31203	162821	3627	2013-08-04 17:36:49.170517	2013-08-04 17:36:49.170517	229
31204	162821	3686	2013-08-04 17:36:49.178918	2013-08-04 17:36:49.178918	229
31205	162821	3685	2013-08-04 17:36:49.186221	2013-08-04 17:36:49.186221	229
31206	162821	3625	2013-08-04 17:36:49.200808	2013-08-04 17:36:49.200808	229
31207	162821	3705	2013-08-04 17:36:49.206896	2013-08-04 17:36:49.206896	229
31208	162821	8899	2013-08-04 17:36:49.212373	2013-08-04 17:36:49.212373	229
31209	162820	29448	2013-08-04 17:36:49.230883	2013-08-04 17:36:49.230883	229
31210	162820	29428	2013-08-04 17:36:49.236933	2013-08-04 17:36:49.236933	229
31211	162820	26830	2013-08-04 17:36:49.244825	2013-08-04 17:36:49.244825	229
31212	162820	29408	2013-08-04 17:36:49.253509	2013-08-04 17:36:49.253509	229
31213	162820	29390	2013-08-04 17:36:49.263598	2013-08-04 17:36:49.263598	229
31214	162820	16313	2013-08-04 17:36:49.274047	2013-08-04 17:36:49.274047	229
31215	162820	29388	2013-08-04 17:36:49.285203	2013-08-04 17:36:49.285203	229
31216	162820	29472	2013-08-04 17:36:49.296951	2013-08-04 17:36:49.296951	229
31217	162820	29368	2013-08-04 17:36:49.304847	2013-08-04 17:36:49.304847	229
31218	162820	29375	2013-08-04 17:36:49.309292	2013-08-04 17:36:49.309292	229
31219	162820	29297	2013-08-04 17:36:49.314165	2013-08-04 17:36:49.314165	229
31220	162820	29215	2013-08-04 17:36:49.320119	2013-08-04 17:36:49.320119	229
31221	162820	29265	2013-08-04 17:36:49.325603	2013-08-04 17:36:49.325603	229
31222	162820	29358	2013-08-04 17:36:49.330622	2013-08-04 17:36:49.330622	229
31223	162820	29348	2013-08-04 17:36:49.334757	2013-08-04 17:36:49.334757	229
31224	162820	29328	2013-08-04 17:36:49.339623	2013-08-04 17:36:49.339623	229
31225	162820	29308	2013-08-04 17:36:49.345328	2013-08-04 17:36:49.345328	229
31226	162820	28740	2013-08-04 17:36:49.354253	2013-08-04 17:36:49.354253	229
31227	162820	28651	2013-08-04 17:36:49.364005	2013-08-04 17:36:49.364005	229
31228	162829	44397	2013-08-04 17:36:49.610372	2013-08-04 17:36:49.610372	229
31229	162829	2190	2013-08-04 17:36:49.622611	2013-08-04 17:36:49.622611	229
31230	162829	35483	2013-08-04 17:36:49.629725	2013-08-04 17:36:49.629725	229
31231	162829	29437	2013-08-04 17:36:49.640377	2013-08-04 17:36:49.640377	229
31232	162829	28860	2013-08-04 17:36:49.650408	2013-08-04 17:36:49.650408	229
31233	162829	28701	2013-08-04 17:36:49.660139	2013-08-04 17:36:49.660139	229
31234	163375	29181	2013-08-04 17:36:49.695719	2013-08-04 17:36:49.695719	229
31235	163375	15090	2013-08-04 17:36:49.70544	2013-08-04 17:36:49.70544	229
31236	163375	36603	2013-08-04 17:36:49.714875	2013-08-04 17:36:49.714875	229
31237	163375	47763	2013-08-04 17:36:49.724546	2013-08-04 17:36:49.724546	229
31238	163375	19821	2013-08-04 17:36:49.733875	2013-08-04 17:36:49.733875	229
31239	163375	29321	2013-08-04 17:36:49.743124	2013-08-04 17:36:49.743124	229
31240	163375	16953	2013-08-04 17:36:49.752163	2013-08-04 17:36:49.752163	229
31241	163375	12856	2013-08-04 17:36:49.761043	2013-08-04 17:36:49.761043	229
31242	163375	15690	2013-08-04 17:36:49.771178	2013-08-04 17:36:49.771178	229
31243	163375	15606	2013-08-04 17:36:49.780283	2013-08-04 17:36:49.780283	229
31244	163375	12716	2013-08-04 17:36:49.790215	2013-08-04 17:36:49.790215	229
31245	163375	41321	2013-08-04 17:36:49.799324	2013-08-04 17:36:49.799324	229
31246	163375	22706	2013-08-04 17:36:49.808451	2013-08-04 17:36:49.808451	229
31247	163375	40950	2013-08-04 17:36:49.820546	2013-08-04 17:36:49.820546	229
31248	163375	28752	2013-08-04 17:36:49.831969	2013-08-04 17:36:49.831969	229
31249	163375	47783	2013-08-04 17:36:49.841152	2013-08-04 17:36:49.841152	229
31250	163375	15506	2013-08-04 17:36:49.850111	2013-08-04 17:36:49.850111	229
31251	163375	36803	2013-08-04 17:36:49.858797	2013-08-04 17:36:49.858797	229
31252	163375	17301	2013-08-04 17:36:49.866001	2013-08-04 17:36:49.866001	229
31253	163377	29181	2013-08-04 17:36:49.897307	2013-08-04 17:36:49.897307	229
31254	163377	15090	2013-08-04 17:36:49.906112	2013-08-04 17:36:49.906112	229
31255	163377	36603	2013-08-04 17:36:49.914562	2013-08-04 17:36:49.914562	229
31256	163377	47763	2013-08-04 17:36:49.922788	2013-08-04 17:36:49.922788	229
31257	163377	19821	2013-08-04 17:36:49.931023	2013-08-04 17:36:49.931023	229
31258	163377	29321	2013-08-04 17:36:49.939186	2013-08-04 17:36:49.939186	229
31259	163377	16953	2013-08-04 17:36:49.947372	2013-08-04 17:36:49.947372	229
31260	163377	12856	2013-08-04 17:36:49.955318	2013-08-04 17:36:49.955318	229
31261	163377	15690	2013-08-04 17:36:49.96378	2013-08-04 17:36:49.96378	229
31262	163377	15606	2013-08-04 17:36:49.972251	2013-08-04 17:36:49.972251	229
31263	163377	12716	2013-08-04 17:36:49.979648	2013-08-04 17:36:49.979648	229
31264	163377	41321	2013-08-04 17:36:49.982867	2013-08-04 17:36:49.982867	229
31265	163377	22706	2013-08-04 17:36:49.988574	2013-08-04 17:36:49.988574	229
31266	163377	40950	2013-08-04 17:36:49.993165	2013-08-04 17:36:49.993165	229
31267	163377	28752	2013-08-04 17:36:50.048098	2013-08-04 17:36:50.048098	229
31268	163377	47783	2013-08-04 17:36:50.057297	2013-08-04 17:36:50.057297	229
31269	163377	15506	2013-08-04 17:36:50.060666	2013-08-04 17:36:50.060666	229
31270	163377	36803	2013-08-04 17:36:50.063842	2013-08-04 17:36:50.063842	229
31271	163377	17301	2013-08-04 17:36:50.066872	2013-08-04 17:36:50.066872	229
31272	163378	15090	2013-08-04 17:36:50.080744	2013-08-04 17:36:50.080744	229
31273	163378	36603	2013-08-04 17:36:50.083941	2013-08-04 17:36:50.083941	229
31274	163378	47763	2013-08-04 17:36:50.087433	2013-08-04 17:36:50.087433	229
31275	163378	19821	2013-08-04 17:36:50.091465	2013-08-04 17:36:50.091465	229
31276	163378	29321	2013-08-04 17:36:50.095593	2013-08-04 17:36:50.095593	229
31277	163378	16953	2013-08-04 17:36:50.099652	2013-08-04 17:36:50.099652	229
31278	163378	12856	2013-08-04 17:36:50.104114	2013-08-04 17:36:50.104114	229
31279	163378	15690	2013-08-04 17:36:50.110191	2013-08-04 17:36:50.110191	229
31280	163378	15606	2013-08-04 17:36:50.11568	2013-08-04 17:36:50.11568	229
31281	162832	12716	2013-08-04 17:36:50.128273	2013-08-04 17:36:50.128273	229
31282	162832	41321	2013-08-04 17:36:50.134028	2013-08-04 17:36:50.134028	229
31283	162832	22706	2013-08-04 17:36:50.140881	2013-08-04 17:36:50.140881	229
31284	162832	40950	2013-08-04 17:36:50.149487	2013-08-04 17:36:50.149487	229
31285	162832	28752	2013-08-04 17:36:50.155318	2013-08-04 17:36:50.155318	229
31286	162832	47783	2013-08-04 17:36:50.160264	2013-08-04 17:36:50.160264	229
31287	162832	15506	2013-08-04 17:36:50.320707	2013-08-04 17:36:50.320707	229
31288	162832	36803	2013-08-04 17:36:50.331717	2013-08-04 17:36:50.331717	229
31289	162832	17301	2013-08-04 17:36:50.345107	2013-08-04 17:36:50.345107	229
31290	162826	44337	2013-08-04 17:36:50.370063	2013-08-04 17:36:50.370063	229
31291	162826	29915	2013-08-04 17:36:50.375158	2013-08-04 17:36:50.375158	229
31292	162826	36743	2013-08-04 17:36:50.379477	2013-08-04 17:36:50.379477	229
31293	162826	29513	2013-08-04 17:36:50.385943	2013-08-04 17:36:50.385943	229
31294	162826	28810	2013-08-04 17:36:50.39091	2013-08-04 17:36:50.39091	229
31295	162826	28537	2013-08-04 17:36:50.394808	2013-08-04 17:36:50.394808	229
31296	162823	19525	2013-08-04 17:36:50.421871	2013-08-04 17:36:50.421871	229
31297	162823	19616	2013-08-04 17:36:50.433901	2013-08-04 17:36:50.433901	229
31298	162823	19596	2013-08-04 17:36:50.446126	2013-08-04 17:36:50.446126	229
31299	162823	19620	2013-08-04 17:36:50.457799	2013-08-04 17:36:50.457799	229
31300	162823	19576	2013-08-04 17:36:50.468677	2013-08-04 17:36:50.468677	229
31301	162823	19556	2013-08-04 17:36:50.479755	2013-08-04 17:36:50.479755	229
31302	162823	19536	2013-08-04 17:36:50.490748	2013-08-04 17:36:50.490748	229
31303	162823	19583	2013-08-04 17:36:50.50163	2013-08-04 17:36:50.50163	229
31304	162823	19516	2013-08-04 17:36:50.512632	2013-08-04 17:36:50.512632	229
31305	162823	19592	2013-08-04 17:36:50.52334	2013-08-04 17:36:50.52334	229
31306	162823	19496	2013-08-04 17:36:50.534338	2013-08-04 17:36:50.534338	229
31307	162823	19476	2013-08-04 17:36:50.545179	2013-08-04 17:36:50.545179	229
31308	162823	19456	2013-08-04 17:36:50.556067	2013-08-04 17:36:50.556067	229
31309	162823	19436	2013-08-04 17:36:50.567116	2013-08-04 17:36:50.567116	229
31310	162823	19416	2013-08-04 17:36:50.578026	2013-08-04 17:36:50.578026	229
31311	162823	10219	2013-08-04 17:36:50.588848	2013-08-04 17:36:50.588848	229
31312	162823	19396	2013-08-04 17:36:50.599728	2013-08-04 17:36:50.599728	229
31313	162823	10259	2013-08-04 17:36:50.610682	2013-08-04 17:36:50.610682	229
31314	162823	19376	2013-08-04 17:36:50.621977	2013-08-04 17:36:50.621977	229
31315	162834	20973	2013-08-04 17:36:50.915715	2013-08-04 17:36:50.915715	229
31316	162834	24519	2013-08-04 17:36:50.92791	2013-08-04 17:36:50.92791	229
31317	162834	24605	2013-08-04 17:36:50.939625	2013-08-04 17:36:50.939625	229
31318	162834	24499	2013-08-04 17:36:50.950771	2013-08-04 17:36:50.950771	229
31319	162834	14997	2013-08-04 17:36:50.961769	2013-08-04 17:36:50.961769	229
31320	162834	15071	2013-08-04 17:36:50.973427	2013-08-04 17:36:50.973427	229
31321	162834	4764	2013-08-04 17:36:50.984369	2013-08-04 17:36:50.984369	229
31322	162834	24479	2013-08-04 17:36:50.99581	2013-08-04 17:36:50.99581	229
31323	162834	24459	2013-08-04 17:36:51.008423	2013-08-04 17:36:51.008423	229
31324	162834	24439	2013-08-04 17:36:51.01476	2013-08-04 17:36:51.01476	229
31325	162834	24419	2013-08-04 17:36:51.019472	2013-08-04 17:36:51.019472	229
31326	162834	24399	2013-08-04 17:36:51.024223	2013-08-04 17:36:51.024223	229
31327	162834	24472	2013-08-04 17:36:51.029457	2013-08-04 17:36:51.029457	229
31328	162834	24379	2013-08-04 17:36:51.034923	2013-08-04 17:36:51.034923	229
31329	162834	24359	2013-08-04 17:36:51.039898	2013-08-04 17:36:51.039898	229
31330	162834	24450	2013-08-04 17:36:51.044658	2013-08-04 17:36:51.044658	229
31331	162834	24339	2013-08-04 17:36:51.049455	2013-08-04 17:36:51.049455	229
31332	162834	24332	2013-08-04 17:36:51.053793	2013-08-04 17:36:51.053793	229
31333	162834	25550	2013-08-04 17:36:51.057975	2013-08-04 17:36:51.057975	229
31334	163281	44577	2013-08-04 17:36:51.091834	2013-08-04 17:36:51.091834	229
31335	163281	29673	2013-08-04 17:36:51.101923	2013-08-04 17:36:51.101923	229
31336	163281	28635	2013-08-04 17:36:51.112584	2013-08-04 17:36:51.112584	229
31337	163281	30035	2013-08-04 17:36:51.12314	2013-08-04 17:36:51.12314	229
31338	163281	34563	2013-08-04 17:36:51.133174	2013-08-04 17:36:51.133174	229
31339	163281	28911	2013-08-04 17:36:51.143489	2013-08-04 17:36:51.143489	229
31340	163410	30426	2013-08-04 17:36:51.237005	2013-08-04 17:36:51.237005	229
31341	163410	30406	2013-08-04 17:36:51.249203	2013-08-04 17:36:51.249203	229
31342	163410	30386	2013-08-04 17:36:51.26015	2013-08-04 17:36:51.26015	229
31343	163410	30395	2013-08-04 17:36:51.272826	2013-08-04 17:36:51.272826	229
31344	163410	30410	2013-08-04 17:36:51.28048	2013-08-04 17:36:51.28048	229
31345	163410	30366	2013-08-04 17:36:51.286388	2013-08-04 17:36:51.286388	229
31346	163410	300	2013-08-04 17:36:51.291452	2013-08-04 17:36:51.291452	229
31347	163410	30346	2013-08-04 17:36:51.29701	2013-08-04 17:36:51.29701	229
31348	163410	30326	2013-08-04 17:36:51.30192	2013-08-04 17:36:51.30192	229
31349	163410	30306	2013-08-04 17:36:51.30797	2013-08-04 17:36:51.30797	229
31350	163410	30245	2013-08-04 17:36:51.3139	2013-08-04 17:36:51.3139	229
31351	163410	30260	2013-08-04 17:36:51.318947	2013-08-04 17:36:51.318947	229
31352	163410	30286	2013-08-04 17:36:51.32397	2013-08-04 17:36:51.32397	229
31353	163410	17145	2013-08-04 17:36:51.328506	2013-08-04 17:36:51.328506	229
31354	163410	30266	2013-08-04 17:36:51.332909	2013-08-04 17:36:51.332909	229
31355	163410	30246	2013-08-04 17:36:51.33844	2013-08-04 17:36:51.33844	229
31356	163410	30226	2013-08-04 17:36:51.344417	2013-08-04 17:36:51.344417	229
31357	163410	30272	2013-08-04 17:36:51.351047	2013-08-04 17:36:51.351047	229
31358	163410	30206	2013-08-04 17:36:51.359277	2013-08-04 17:36:51.359277	229
31359	163280	3760	2013-08-04 17:36:51.383976	2013-08-04 17:36:51.383976	229
31360	163280	3767	2013-08-04 17:36:51.388345	2013-08-04 17:36:51.388345	229
31361	163280	3747	2013-08-04 17:36:51.395989	2013-08-04 17:36:51.395989	229
31362	163280	3727	2013-08-04 17:36:51.401413	2013-08-04 17:36:51.401413	229
31363	163280	2609	2013-08-04 17:36:51.40514	2013-08-04 17:36:51.40514	229
31364	163280	3707	2013-08-04 17:36:51.410545	2013-08-04 17:36:51.410545	229
31365	163280	3687	2013-08-04 17:36:51.41638	2013-08-04 17:36:51.41638	229
31366	163280	3761	2013-08-04 17:36:51.422251	2013-08-04 17:36:51.422251	229
31367	163280	3741	2013-08-04 17:36:51.431926	2013-08-04 17:36:51.431926	229
31368	163280	3667	2013-08-04 17:36:51.443216	2013-08-04 17:36:51.443216	229
31369	163280	14300	2013-08-04 17:36:51.44813	2013-08-04 17:36:51.44813	229
31370	163280	14320	2013-08-04 17:36:51.452445	2013-08-04 17:36:51.452445	229
31371	163280	3725	2013-08-04 17:36:51.457473	2013-08-04 17:36:51.457473	229
31372	163280	14340	2013-08-04 17:36:51.461648	2013-08-04 17:36:51.461648	229
31373	163280	14360	2013-08-04 17:36:51.465668	2013-08-04 17:36:51.465668	229
31374	163280	14380	2013-08-04 17:36:51.470374	2013-08-04 17:36:51.470374	229
31375	163280	1477	2013-08-04 17:36:51.475314	2013-08-04 17:36:51.475314	229
31376	163280	707	2013-08-04 17:36:51.555627	2013-08-04 17:36:51.555627	229
31377	163280	3647	2013-08-04 17:36:51.561965	2013-08-04 17:36:51.561965	229
31378	162987	29605	2013-08-04 17:36:51.587486	2013-08-04 17:36:51.587486	229
31379	162987	29555	2013-08-04 17:36:51.594227	2013-08-04 17:36:51.594227	229
31380	162987	29668	2013-08-04 17:36:51.604127	2013-08-04 17:36:51.604127	229
31381	162987	29648	2013-08-04 17:36:51.614915	2013-08-04 17:36:51.614915	229
31382	162987	29628	2013-08-04 17:36:51.625583	2013-08-04 17:36:51.625583	229
31383	162987	29608	2013-08-04 17:36:51.636492	2013-08-04 17:36:51.636492	229
31384	162987	19046	2013-08-04 17:36:51.647544	2013-08-04 17:36:51.647544	229
31385	162987	29588	2013-08-04 17:36:51.657768	2013-08-04 17:36:51.657768	229
31386	162987	29568	2013-08-04 17:36:51.668692	2013-08-04 17:36:51.668692	229
31387	162893	29548	2013-08-04 17:36:51.691282	2013-08-04 17:36:51.691282	229
31388	162893	29632	2013-08-04 17:36:51.702167	2013-08-04 17:36:51.702167	229
31389	162893	29528	2013-08-04 17:36:51.713026	2013-08-04 17:36:51.713026	229
31390	162893	16436	2013-08-04 17:36:51.723883	2013-08-04 17:36:51.723883	229
31391	162893	29508	2013-08-04 17:36:51.734811	2013-08-04 17:36:51.734811	229
31392	162893	29488	2013-08-04 17:36:51.745815	2013-08-04 17:36:51.745815	229
31393	162893	29468	2013-08-04 17:36:51.756762	2013-08-04 17:36:51.756762	229
31394	162893	28953	2013-08-04 17:36:51.76773	2013-08-04 17:36:51.76773	229
31395	162893	29417	2013-08-04 17:36:51.777773	2013-08-04 17:36:51.777773	229
31396	163694	9463	2013-08-04 17:36:51.818136	2013-08-04 17:36:51.818136	229
31397	163694	9552	2013-08-04 17:36:51.829387	2013-08-04 17:36:51.829387	229
31398	163694	9492	2013-08-04 17:36:51.840472	2013-08-04 17:36:51.840472	229
31399	163694	9569	2013-08-04 17:36:51.851338	2013-08-04 17:36:51.851338	229
31400	163694	9549	2013-08-04 17:36:51.862258	2013-08-04 17:36:51.862258	229
31401	163694	9529	2013-08-04 17:36:51.873395	2013-08-04 17:36:51.873395	229
31402	163694	9506	2013-08-04 17:36:51.879889	2013-08-04 17:36:51.879889	229
31403	163694	9509	2013-08-04 17:36:51.889115	2013-08-04 17:36:51.889115	229
31404	163694	42283	2013-08-04 17:36:51.90056	2013-08-04 17:36:51.90056	229
31405	162894	9489	2013-08-04 17:36:51.924947	2013-08-04 17:36:51.924947	229
31406	162894	9469	2013-08-04 17:36:51.937177	2013-08-04 17:36:51.937177	229
31407	162894	9449	2013-08-04 17:36:51.949076	2013-08-04 17:36:51.949076	229
31408	162894	9429	2013-08-04 17:36:51.960613	2013-08-04 17:36:51.960613	229
31409	162894	9403	2013-08-04 17:36:51.972086	2013-08-04 17:36:51.972086	229
31410	162894	9413	2013-08-04 17:36:51.983507	2013-08-04 17:36:51.983507	229
31411	162894	9280	2013-08-04 17:36:51.994615	2013-08-04 17:36:51.994615	229
31412	162894	9409	2013-08-04 17:36:52.006692	2013-08-04 17:36:52.006692	229
31413	162894	9389	2013-08-04 17:36:52.01831	2013-08-04 17:36:52.01831	229
31414	162854	29933	2013-08-04 17:36:52.096879	2013-08-04 17:36:52.096879	229
31415	162854	29955	2013-08-04 17:36:52.104225	2013-08-04 17:36:52.104225	229
31416	162854	29855	2013-08-04 17:36:52.111921	2013-08-04 17:36:52.111921	229
31417	162854	29913	2013-08-04 17:36:52.121417	2013-08-04 17:36:52.121417	229
31418	162854	29893	2013-08-04 17:36:52.132325	2013-08-04 17:36:52.132325	229
31419	162854	29873	2013-08-04 17:36:52.143132	2013-08-04 17:36:52.143132	229
31420	162854	29853	2013-08-04 17:36:52.154052	2013-08-04 17:36:52.154052	229
31421	162854	29832	2013-08-04 17:36:52.165043	2013-08-04 17:36:52.165043	229
31422	162854	29833	2013-08-04 17:36:52.175875	2013-08-04 17:36:52.175875	229
31423	162854	29680	2013-08-04 17:36:52.186723	2013-08-04 17:36:52.186723	229
31424	162854	29813	2013-08-04 17:36:52.197689	2013-08-04 17:36:52.197689	229
31425	162854	29793	2013-08-04 17:36:52.208643	2013-08-04 17:36:52.208643	229
31426	162854	14659	2013-08-04 17:36:52.219621	2013-08-04 17:36:52.219621	229
31427	162854	29773	2013-08-04 17:36:52.230641	2013-08-04 17:36:52.230641	229
31428	162854	29753	2013-08-04 17:36:52.241469	2013-08-04 17:36:52.241469	229
31429	162854	29733	2013-08-04 17:36:52.252398	2013-08-04 17:36:52.252398	229
31430	162854	29713	2013-08-04 17:36:52.263255	2013-08-04 17:36:52.263255	229
31431	162854	29693	2013-08-04 17:36:52.274444	2013-08-04 17:36:52.274444	229
31432	162854	28831	2013-08-04 17:36:52.285374	2013-08-04 17:36:52.285374	229
31433	163379	16806	2013-08-04 17:36:52.319031	2013-08-04 17:36:52.319031	229
31434	163379	21881	2013-08-04 17:36:52.328721	2013-08-04 17:36:52.328721	229
31435	163379	1203	2013-08-04 17:36:52.342885	2013-08-04 17:36:52.342885	229
31436	163379	35123	2013-08-04 17:36:52.347778	2013-08-04 17:36:52.347778	229
31437	163379	15790	2013-08-04 17:36:52.35353	2013-08-04 17:36:52.35353	229
31438	163379	17212	2013-08-04 17:36:52.357597	2013-08-04 17:36:52.357597	229
31439	163379	17401	2013-08-04 17:36:52.360297	2013-08-04 17:36:52.360297	229
31440	163379	49875	2013-08-04 17:36:52.362807	2013-08-04 17:36:52.362807	229
31441	163379	34603	2013-08-04 17:36:52.365236	2013-08-04 17:36:52.365236	229
31442	163379	20632	2013-08-04 17:36:52.368669	2013-08-04 17:36:52.368669	229
31443	163379	15090	2013-08-04 17:36:52.37296	2013-08-04 17:36:52.37296	229
31444	163379	36603	2013-08-04 17:36:52.377136	2013-08-04 17:36:52.377136	229
31445	163379	47763	2013-08-04 17:36:52.381576	2013-08-04 17:36:52.381576	229
31446	163379	19821	2013-08-04 17:36:52.385854	2013-08-04 17:36:52.385854	229
31447	163379	29321	2013-08-04 17:36:52.390455	2013-08-04 17:36:52.390455	229
31448	163379	16953	2013-08-04 17:36:52.395237	2013-08-04 17:36:52.395237	229
31449	163379	12856	2013-08-04 17:36:52.399756	2013-08-04 17:36:52.399756	229
31450	163379	15690	2013-08-04 17:36:52.40238	2013-08-04 17:36:52.40238	229
31451	163379	15606	2013-08-04 17:36:52.40777	2013-08-04 17:36:52.40777	229
31452	163189	19856	2013-08-04 17:36:52.445724	2013-08-04 17:36:52.445724	229
31453	163189	19903	2013-08-04 17:36:52.449892	2013-08-04 17:36:52.449892	229
31454	163189	18859	2013-08-04 17:36:52.455043	2013-08-04 17:36:52.455043	229
31455	163189	19836	2013-08-04 17:36:52.461937	2013-08-04 17:36:52.461937	229
31456	163189	19816	2013-08-04 17:36:52.471621	2013-08-04 17:36:52.471621	229
31457	163189	19832	2013-08-04 17:36:52.482529	2013-08-04 17:36:52.482529	229
31458	163189	19796	2013-08-04 17:36:52.492849	2013-08-04 17:36:52.492849	229
31459	163189	19777	2013-08-04 17:36:52.503741	2013-08-04 17:36:52.503741	229
31460	163189	19776	2013-08-04 17:36:52.510681	2013-08-04 17:36:52.510681	229
31461	162896	19756	2013-08-04 17:36:52.529097	2013-08-04 17:36:52.529097	229
31462	162896	35561	2013-08-04 17:36:52.540032	2013-08-04 17:36:52.540032	229
31463	162896	19736	2013-08-04 17:36:52.55204	2013-08-04 17:36:52.55204	229
31464	162896	19716	2013-08-04 17:36:52.56348	2013-08-04 17:36:52.56348	229
31465	162896	19696	2013-08-04 17:36:52.574259	2013-08-04 17:36:52.574259	229
31466	162896	19676	2013-08-04 17:36:52.58587	2013-08-04 17:36:52.58587	229
31467	162896	19656	2013-08-04 17:36:52.597749	2013-08-04 17:36:52.597749	229
31468	162896	19636	2013-08-04 17:36:52.602563	2013-08-04 17:36:52.602563	229
31469	162896	5848	2013-08-04 17:36:52.606651	2013-08-04 17:36:52.606651	229
31470	163809	44817	2013-08-04 17:36:52.623526	2013-08-04 17:36:52.623526	229
31471	163809	44872	2013-08-04 17:36:52.630607	2013-08-04 17:36:52.630607	229
31472	163809	44792	2013-08-04 17:36:52.634468	2013-08-04 17:36:52.634468	229
31473	163809	44797	2013-08-04 17:36:52.638299	2013-08-04 17:36:52.638299	229
31474	163809	44777	2013-08-04 17:36:52.641886	2013-08-04 17:36:52.641886	229
31475	163809	44757	2013-08-04 17:36:52.647192	2013-08-04 17:36:52.647192	229
31476	163809	44615	2013-08-04 17:36:52.651704	2013-08-04 17:36:52.651704	229
31477	163809	44737	2013-08-04 17:36:52.661215	2013-08-04 17:36:52.661215	229
31478	163809	44717	2013-08-04 17:36:52.671735	2013-08-04 17:36:52.671735	229
31479	163809	44697	2013-08-04 17:36:52.678919	2013-08-04 17:36:52.678919	229
31480	163809	44677	2013-08-04 17:36:52.690681	2013-08-04 17:36:52.690681	229
31481	163809	44590	2013-08-04 17:36:52.694105	2013-08-04 17:36:52.694105	229
31482	163809	44657	2013-08-04 17:36:52.697588	2013-08-04 17:36:52.697588	229
31483	163809	44637	2013-08-04 17:36:52.700983	2013-08-04 17:36:52.700983	229
31484	163809	44617	2013-08-04 17:36:52.704373	2013-08-04 17:36:52.704373	229
31485	163809	44597	2013-08-04 17:36:52.707622	2013-08-04 17:36:52.707622	229
31486	163809	44738	2013-08-04 17:36:52.712013	2013-08-04 17:36:52.712013	229
31487	163809	29473	2013-08-04 17:36:52.716742	2013-08-04 17:36:52.716742	229
31488	163809	28771	2013-08-04 17:36:52.721023	2013-08-04 17:36:52.721023	229
31489	163421	24770	2013-08-04 17:36:52.779511	2013-08-04 17:36:52.779511	229
31490	163421	24739	2013-08-04 17:36:52.790607	2013-08-04 17:36:52.790607	229
31491	163421	24790	2013-08-04 17:36:52.801416	2013-08-04 17:36:52.801416	229
31492	163421	24719	2013-08-04 17:36:52.812119	2013-08-04 17:36:52.812119	229
31493	163421	24741	2013-08-04 17:36:52.822986	2013-08-04 17:36:52.822986	229
31494	163421	24699	2013-08-04 17:36:52.833833	2013-08-04 17:36:52.833833	229
31495	163421	24679	2013-08-04 17:36:52.844868	2013-08-04 17:36:52.844868	229
31496	163421	24695	2013-08-04 17:36:52.855719	2013-08-04 17:36:52.855719	229
31497	163421	24659	2013-08-04 17:36:52.866618	2013-08-04 17:36:52.866618	229
31498	163282	24595	2013-08-04 17:36:52.88888	2013-08-04 17:36:52.88888	229
31499	163282	24639	2013-08-04 17:36:52.899778	2013-08-04 17:36:52.899778	229
31500	163282	24619	2013-08-04 17:36:52.911074	2013-08-04 17:36:52.911074	229
31501	163282	3240	2013-08-04 17:36:52.922834	2013-08-04 17:36:52.922834	229
31502	163282	24599	2013-08-04 17:36:52.934024	2013-08-04 17:36:52.934024	229
31503	163282	24579	2013-08-04 17:36:52.945001	2013-08-04 17:36:52.945001	229
31504	163282	24559	2013-08-04 17:36:52.955974	2013-08-04 17:36:52.955974	229
31505	163282	24539	2013-08-04 17:36:52.966949	2013-08-04 17:36:52.966949	229
31506	163282	24625	2013-08-04 17:36:52.977963	2013-08-04 17:36:52.977963	229
31507	163076	15730	2013-08-04 17:36:53.019077	2013-08-04 17:36:53.019077	229
31508	163076	7789	2013-08-04 17:36:53.03043	2013-08-04 17:36:53.03043	229
31509	163076	16543	2013-08-04 17:36:53.041326	2013-08-04 17:36:53.041326	229
31510	163076	2849	2013-08-04 17:36:53.122012	2013-08-04 17:36:53.122012	229
31511	163076	36343	2013-08-04 17:36:53.137145	2013-08-04 17:36:53.137145	229
31512	163076	36643	2013-08-04 17:36:53.146483	2013-08-04 17:36:53.146483	229
31513	163076	34723	2013-08-04 17:36:53.156339	2013-08-04 17:36:53.156339	229
31514	163076	20021	2013-08-04 17:36:53.167152	2013-08-04 17:36:53.167152	229
31515	163076	28975	2013-08-04 17:36:53.178159	2013-08-04 17:36:53.178159	229
31516	163076	36823	2013-08-04 17:36:53.189057	2013-08-04 17:36:53.189057	229
31517	163076	36803	2013-08-04 17:36:53.199844	2013-08-04 17:36:53.199844	229
31518	163076	15506	2013-08-04 17:36:53.2098	2013-08-04 17:36:53.2098	229
31519	163076	47783	2013-08-04 17:36:53.220055	2013-08-04 17:36:53.220055	229
31520	163076	28752	2013-08-04 17:36:53.229802	2013-08-04 17:36:53.229802	229
31521	163076	40950	2013-08-04 17:36:53.239903	2013-08-04 17:36:53.239903	229
31522	163076	22706	2013-08-04 17:36:53.249978	2013-08-04 17:36:53.249978	229
31523	163076	41321	2013-08-04 17:36:53.260095	2013-08-04 17:36:53.260095	229
31524	163076	12716	2013-08-04 17:36:53.270044	2013-08-04 17:36:53.270044	229
31525	163076	17301	2013-08-04 17:36:53.279997	2013-08-04 17:36:53.279997	229
31526	162879	3844	2013-08-04 17:36:53.445639	2013-08-04 17:36:53.445639	229
31527	162879	3864	2013-08-04 17:36:53.455058	2013-08-04 17:36:53.455058	229
31528	162879	3884	2013-08-04 17:36:53.463478	2013-08-04 17:36:53.463478	229
31529	162879	11258	2013-08-04 17:36:53.469067	2013-08-04 17:36:53.469067	229
31530	162879	7325	2013-08-04 17:36:53.473853	2013-08-04 17:36:53.473853	229
31531	162879	3766	2013-08-04 17:36:53.479108	2013-08-04 17:36:53.479108	229
31532	162879	3758	2013-08-04 17:36:53.486862	2013-08-04 17:36:53.486862	229
31533	162879	3723	2013-08-04 17:36:53.497503	2013-08-04 17:36:53.497503	229
31534	162879	3635	2013-08-04 17:36:53.508391	2013-08-04 17:36:53.508391	229
31535	162858	3655	2013-08-04 17:36:53.53103	2013-08-04 17:36:53.53103	229
31536	162858	3675	2013-08-04 17:36:53.542256	2013-08-04 17:36:53.542256	229
31537	162858	3695	2013-08-04 17:36:53.553165	2013-08-04 17:36:53.553165	229
31538	162858	3715	2013-08-04 17:36:53.564153	2013-08-04 17:36:53.564153	229
31539	162858	3735	2013-08-04 17:36:53.575359	2013-08-04 17:36:53.575359	229
31540	162858	3680	2013-08-04 17:36:53.586438	2013-08-04 17:36:53.586438	229
31541	162858	3700	2013-08-04 17:36:53.597366	2013-08-04 17:36:53.597366	229
31542	162858	3720	2013-08-04 17:36:53.608399	2013-08-04 17:36:53.608399	229
31543	162858	3740	2013-08-04 17:36:53.619289	2013-08-04 17:36:53.619289	229
31544	163540	5586	2013-08-04 17:36:53.660239	2013-08-04 17:36:53.660239	229
31545	163540	12078	2013-08-04 17:36:53.671828	2013-08-04 17:36:53.671828	229
31546	163540	11978	2013-08-04 17:36:53.682855	2013-08-04 17:36:53.682855	229
31547	163540	3807	2013-08-04 17:36:53.693703	2013-08-04 17:36:53.693703	229
31548	163540	3898	2013-08-04 17:36:53.704613	2013-08-04 17:36:53.704613	229
31549	163540	18090	2013-08-04 17:36:53.715042	2013-08-04 17:36:53.715042	229
31550	163080	34317	2013-08-04 17:36:53.738145	2013-08-04 17:36:53.738145	229
31551	163080	1304	2013-08-04 17:36:53.749363	2013-08-04 17:36:53.749363	229
31552	163080	488	2013-08-04 17:36:53.760179	2013-08-04 17:36:53.760179	229
31553	163080	505	2013-08-04 17:36:53.771015	2013-08-04 17:36:53.771015	229
31554	163080	769	2013-08-04 17:36:53.781777	2013-08-04 17:36:53.781777	229
31555	163080	700	2013-08-04 17:36:53.792081	2013-08-04 17:36:53.792081	229
31556	162891	1306	2013-08-04 17:36:53.814924	2013-08-04 17:36:53.814924	229
31557	162891	1350	2013-08-04 17:36:53.825482	2013-08-04 17:36:53.825482	229
31558	162891	3787	2013-08-04 17:36:53.835566	2013-08-04 17:36:53.835566	229
31559	162891	1371	2013-08-04 17:36:53.847014	2013-08-04 17:36:53.847014	229
31560	162891	3784	2013-08-04 17:36:53.858625	2013-08-04 17:36:53.858625	229
31561	162891	3804	2013-08-04 17:36:53.869539	2013-08-04 17:36:53.869539	229
31562	162997	29888	2013-08-04 17:36:53.900883	2013-08-04 17:36:53.900883	229
31563	162997	29868	2013-08-04 17:36:53.907384	2013-08-04 17:36:53.907384	229
31564	162997	29872	2013-08-04 17:36:53.912359	2013-08-04 17:36:53.912359	229
31565	162997	29848	2013-08-04 17:36:53.916945	2013-08-04 17:36:53.916945	229
31566	162997	29912	2013-08-04 17:36:53.921414	2013-08-04 17:36:53.921414	229
31567	162997	29828	2013-08-04 17:36:53.925245	2013-08-04 17:36:53.925245	229
31568	162880	29808	2013-08-04 17:36:53.934436	2013-08-04 17:36:53.934436	229
31569	162880	14739	2013-08-04 17:36:53.942112	2013-08-04 17:36:53.942112	229
31570	162880	29788	2013-08-04 17:36:53.952076	2013-08-04 17:36:53.952076	229
31571	162880	29730	2013-08-04 17:36:53.962956	2013-08-04 17:36:53.962956	229
31572	162880	29768	2013-08-04 17:36:53.974104	2013-08-04 17:36:53.974104	229
31573	162880	29755	2013-08-04 17:36:53.986505	2013-08-04 17:36:53.986505	229
31574	162859	29748	2013-08-04 17:36:53.999953	2013-08-04 17:36:53.999953	229
31575	162859	19126	2013-08-04 17:36:54.003808	2013-08-04 17:36:54.003808	229
31576	162859	29728	2013-08-04 17:36:54.008667	2013-08-04 17:36:54.008667	229
31577	162859	29710	2013-08-04 17:36:54.013359	2013-08-04 17:36:54.013359	229
31578	162859	29708	2013-08-04 17:36:54.018763	2013-08-04 17:36:54.018763	229
31579	162859	29688	2013-08-04 17:36:54.024658	2013-08-04 17:36:54.024658	229
31580	163081	30078	2013-08-04 17:36:54.059919	2013-08-04 17:36:54.059919	229
31581	163081	30080	2013-08-04 17:36:54.071565	2013-08-04 17:36:54.071565	229
31582	163081	30128	2013-08-04 17:36:54.083126	2013-08-04 17:36:54.083126	229
31583	163081	30108	2013-08-04 17:36:54.094557	2013-08-04 17:36:54.094557	229
31584	163081	30088	2013-08-04 17:36:54.105072	2013-08-04 17:36:54.105072	229
31585	163081	30010	2013-08-04 17:36:54.110095	2013-08-04 17:36:54.110095	229
31586	163081	30068	2013-08-04 17:36:54.114865	2013-08-04 17:36:54.114865	229
31587	163081	30048	2013-08-04 17:36:54.118966	2013-08-04 17:36:54.118966	229
31588	163081	26701	2013-08-04 17:36:54.122909	2013-08-04 17:36:54.122909	229
31589	163081	30028	2013-08-04 17:36:54.127585	2013-08-04 17:36:54.127585	229
31590	163081	30008	2013-08-04 17:36:54.133149	2013-08-04 17:36:54.133149	229
31591	163081	29995	2013-08-04 17:36:54.139806	2013-08-04 17:36:54.139806	229
31592	163081	20946	2013-08-04 17:36:54.146226	2013-08-04 17:36:54.146226	229
31593	163081	29988	2013-08-04 17:36:54.15042	2013-08-04 17:36:54.15042	229
31594	163081	29937	2013-08-04 17:36:54.1563	2013-08-04 17:36:54.1563	229
31595	163081	29985	2013-08-04 17:36:54.16429	2013-08-04 17:36:54.16429	229
31596	163081	29968	2013-08-04 17:36:54.174675	2013-08-04 17:36:54.174675	229
31597	163081	29948	2013-08-04 17:36:54.185157	2013-08-04 17:36:54.185157	229
31598	163081	29928	2013-08-04 17:36:54.196135	2013-08-04 17:36:54.196135	229
31599	163082	39355	2013-08-04 17:36:54.233616	2013-08-04 17:36:54.233616	229
31600	163082	9660	2013-08-04 17:36:54.245143	2013-08-04 17:36:54.245143	229
31601	163082	9729	2013-08-04 17:36:54.256315	2013-08-04 17:36:54.256315	229
31602	163082	9709	2013-08-04 17:36:54.267406	2013-08-04 17:36:54.267406	229
31603	163082	8796	2013-08-04 17:36:54.278351	2013-08-04 17:36:54.278351	229
31604	163082	9689	2013-08-04 17:36:54.289162	2013-08-04 17:36:54.289162	229
31605	163082	19828	2013-08-04 17:36:54.300088	2013-08-04 17:36:54.300088	229
31606	163082	9669	2013-08-04 17:36:54.311612	2013-08-04 17:36:54.311612	229
31607	163082	9649	2013-08-04 17:36:54.323275	2013-08-04 17:36:54.323275	229
31608	163082	9721	2013-08-04 17:36:54.333977	2013-08-04 17:36:54.333977	229
31609	163082	39335	2013-08-04 17:36:54.344226	2013-08-04 17:36:54.344226	229
31610	163082	42303	2013-08-04 17:36:54.354959	2013-08-04 17:36:54.354959	229
31611	163082	9629	2013-08-04 17:36:54.365789	2013-08-04 17:36:54.365789	229
31612	163082	9701	2013-08-04 17:36:54.376767	2013-08-04 17:36:54.376767	229
31613	163082	9609	2013-08-04 17:36:54.392401	2013-08-04 17:36:54.392401	229
31614	163082	9645	2013-08-04 17:36:54.399805	2013-08-04 17:36:54.399805	229
31615	163082	9705	2013-08-04 17:36:54.408539	2013-08-04 17:36:54.408539	229
31616	163082	9589	2013-08-04 17:36:54.413763	2013-08-04 17:36:54.413763	229
31617	163082	2852	2013-08-04 17:36:54.418305	2013-08-04 17:36:54.418305	229
31618	163380	16806	2013-08-04 17:36:54.561014	2013-08-04 17:36:54.561014	229
31619	163380	21881	2013-08-04 17:36:54.564755	2013-08-04 17:36:54.564755	229
31620	163380	1203	2013-08-04 17:36:54.567371	2013-08-04 17:36:54.567371	229
31621	163380	35123	2013-08-04 17:36:54.570689	2013-08-04 17:36:54.570689	229
31622	163380	15790	2013-08-04 17:36:54.575273	2013-08-04 17:36:54.575273	229
31623	163380	17212	2013-08-04 17:36:54.577997	2013-08-04 17:36:54.577997	229
31624	163380	17401	2013-08-04 17:36:54.580925	2013-08-04 17:36:54.580925	229
31625	163380	49875	2013-08-04 17:36:54.58458	2013-08-04 17:36:54.58458	229
31626	163380	34603	2013-08-04 17:36:54.588918	2013-08-04 17:36:54.588918	229
31627	163380	20632	2013-08-04 17:36:54.59203	2013-08-04 17:36:54.59203	229
31628	163380	15090	2013-08-04 17:36:54.594772	2013-08-04 17:36:54.594772	229
31629	163380	36603	2013-08-04 17:36:54.663899	2013-08-04 17:36:54.663899	229
31630	163380	47763	2013-08-04 17:36:54.667439	2013-08-04 17:36:54.667439	229
31631	163380	19821	2013-08-04 17:36:54.670612	2013-08-04 17:36:54.670612	229
31632	163380	29321	2013-08-04 17:36:54.673733	2013-08-04 17:36:54.673733	229
31633	163380	16953	2013-08-04 17:36:54.676833	2013-08-04 17:36:54.676833	229
31634	163380	12856	2013-08-04 17:36:54.679889	2013-08-04 17:36:54.679889	229
31635	163380	15690	2013-08-04 17:36:54.682893	2013-08-04 17:36:54.682893	229
31636	163380	15606	2013-08-04 17:36:54.685831	2013-08-04 17:36:54.685831	229
31637	163376	16806	2013-08-04 17:36:54.697793	2013-08-04 17:36:54.697793	229
31638	163376	21881	2013-08-04 17:36:54.70079	2013-08-04 17:36:54.70079	229
31639	163376	1203	2013-08-04 17:36:54.703715	2013-08-04 17:36:54.703715	229
31640	163376	35123	2013-08-04 17:36:54.706725	2013-08-04 17:36:54.706725	229
31641	163376	15790	2013-08-04 17:36:54.7132	2013-08-04 17:36:54.7132	229
31642	163376	17212	2013-08-04 17:36:54.71707	2013-08-04 17:36:54.71707	229
31643	163376	17401	2013-08-04 17:36:54.720773	2013-08-04 17:36:54.720773	229
31644	163376	49875	2013-08-04 17:36:54.724677	2013-08-04 17:36:54.724677	229
31645	163376	34603	2013-08-04 17:36:54.728858	2013-08-04 17:36:54.728858	229
31646	163376	20632	2013-08-04 17:36:54.733391	2013-08-04 17:36:54.733391	229
31647	163376	15090	2013-08-04 17:36:54.737862	2013-08-04 17:36:54.737862	229
31648	163376	36603	2013-08-04 17:36:54.742381	2013-08-04 17:36:54.742381	229
31649	163376	47763	2013-08-04 17:36:54.74995	2013-08-04 17:36:54.74995	229
31650	163376	19821	2013-08-04 17:36:54.756979	2013-08-04 17:36:54.756979	229
31651	163376	29321	2013-08-04 17:36:54.765555	2013-08-04 17:36:54.765555	229
31652	163376	16953	2013-08-04 17:36:54.77448	2013-08-04 17:36:54.77448	229
31653	163376	12856	2013-08-04 17:36:54.783225	2013-08-04 17:36:54.783225	229
31654	163376	15690	2013-08-04 17:36:54.791357	2013-08-04 17:36:54.791357	229
31655	163376	15606	2013-08-04 17:36:54.79919	2013-08-04 17:36:54.79919	229
31656	163087	24915	2013-08-04 17:36:54.89664	2013-08-04 17:36:54.89664	229
31657	163087	24823	2013-08-04 17:36:54.90887	2013-08-04 17:36:54.90887	229
31658	163087	24843	2013-08-04 17:36:54.920238	2013-08-04 17:36:54.920238	229
31659	163087	24959	2013-08-04 17:36:54.931525	2013-08-04 17:36:54.931525	229
31660	163087	24939	2013-08-04 17:36:54.943016	2013-08-04 17:36:54.943016	229
31661	163087	24919	2013-08-04 17:36:54.953422	2013-08-04 17:36:54.953422	229
31662	163087	24899	2013-08-04 17:36:54.962862	2013-08-04 17:36:54.962862	229
31663	163087	24950	2013-08-04 17:36:54.968106	2013-08-04 17:36:54.968106	229
31664	163087	24879	2013-08-04 17:36:54.978277	2013-08-04 17:36:54.978277	229
31665	163087	24859	2013-08-04 17:36:54.989685	2013-08-04 17:36:54.989685	229
31666	163087	24839	2013-08-04 17:36:55.001559	2013-08-04 17:36:55.001559	229
31667	163087	24819	2013-08-04 17:36:55.008891	2013-08-04 17:36:55.008891	229
31668	163087	24958	2013-08-04 17:36:55.013211	2013-08-04 17:36:55.013211	229
31669	163087	24718	2013-08-04 17:36:55.017164	2013-08-04 17:36:55.017164	229
31670	163087	24783	2013-08-04 17:36:55.021056	2013-08-04 17:36:55.021056	229
31671	163087	24803	2013-08-04 17:36:55.025342	2013-08-04 17:36:55.025342	229
31672	163087	24799	2013-08-04 17:36:55.029933	2013-08-04 17:36:55.029933	229
31673	163087	25670	2013-08-04 17:36:55.034215	2013-08-04 17:36:55.034215	229
31674	163087	24779	2013-08-04 17:36:55.038624	2013-08-04 17:36:55.038624	229
31675	163772	30626	2013-08-04 17:41:50.095006	2013-08-04 17:41:50.095006	230
31676	163772	37978	2013-08-04 17:41:50.101814	2013-08-04 17:41:50.101814	230
31677	163772	29111	2013-08-04 17:41:50.108039	2013-08-04 17:41:50.108039	230
31678	163772	35123	2013-08-04 17:41:50.11455	2013-08-04 17:41:50.11455	230
31679	163772	18457	2013-08-04 17:41:50.120539	2013-08-04 17:41:50.120539	230
31680	164245	30775	2013-08-04 17:41:50.439677	2013-08-04 17:41:50.439677	230
31681	164245	30792	2013-08-04 17:41:50.450822	2013-08-04 17:41:50.450822	230
31682	164245	30925	2013-08-04 17:41:50.461866	2013-08-04 17:41:50.461866	230
31683	164245	14699	2013-08-04 17:41:50.47323	2013-08-04 17:41:50.47323	230
31684	164245	43843	2013-08-04 17:41:50.485683	2013-08-04 17:41:50.485683	230
31685	164245	30750	2013-08-04 17:41:50.498048	2013-08-04 17:41:50.498048	230
31686	164245	30725	2013-08-04 17:41:50.510042	2013-08-04 17:41:50.510042	230
31687	164245	30720	2013-08-04 17:41:50.521677	2013-08-04 17:41:50.521677	230
31688	164245	30766	2013-08-04 17:41:50.533297	2013-08-04 17:41:50.533297	230
31689	164245	30715	2013-08-04 17:41:50.544701	2013-08-04 17:41:50.544701	230
31690	164245	30746	2013-08-04 17:41:50.557199	2013-08-04 17:41:50.557199	230
31691	164245	30726	2013-08-04 17:41:50.569286	2013-08-04 17:41:50.569286	230
31692	164245	30641	2013-08-04 17:41:50.580965	2013-08-04 17:41:50.580965	230
31693	164245	30706	2013-08-04 17:41:50.592517	2013-08-04 17:41:50.592517	230
31694	164245	30686	2013-08-04 17:41:50.60414	2013-08-04 17:41:50.60414	230
31695	164245	45218	2013-08-04 17:41:50.615599	2013-08-04 17:41:50.615599	230
31696	164245	30666	2013-08-04 17:41:50.627113	2013-08-04 17:41:50.627113	230
31697	164245	30093	2013-08-04 17:41:50.635154	2013-08-04 17:41:50.635154	230
31698	164245	17401	2013-08-04 17:41:50.641784	2013-08-04 17:41:50.641784	230
31699	163767	30926	2013-08-04 17:41:50.676885	2013-08-04 17:41:50.676885	230
31700	163767	30915	2013-08-04 17:41:50.68452	2013-08-04 17:41:50.68452	230
31701	163767	30850	2013-08-04 17:41:50.693229	2013-08-04 17:41:50.693229	230
31702	163767	30906	2013-08-04 17:41:50.703945	2013-08-04 17:41:50.703945	230
31703	163767	30895	2013-08-04 17:41:50.714432	2013-08-04 17:41:50.714432	230
31704	163767	30886	2013-08-04 17:41:50.725364	2013-08-04 17:41:50.725364	230
31705	163767	30875	2013-08-04 17:41:50.73619	2013-08-04 17:41:50.73619	230
31706	163767	30857	2013-08-04 17:41:50.747141	2013-08-04 17:41:50.747141	230
31707	163767	30866	2013-08-04 17:41:50.758107	2013-08-04 17:41:50.758107	230
31708	163767	30855	2013-08-04 17:41:50.77021	2013-08-04 17:41:50.77021	230
31709	163767	30846	2013-08-04 17:41:50.781206	2013-08-04 17:41:50.781206	230
31710	163767	30835	2013-08-04 17:41:50.792127	2013-08-04 17:41:50.792127	230
31711	163767	30826	2013-08-04 17:41:50.802502	2013-08-04 17:41:50.802502	230
31712	163767	30815	2013-08-04 17:41:50.815557	2013-08-04 17:41:50.815557	230
31713	163767	30812	2013-08-04 17:41:50.823315	2013-08-04 17:41:50.823315	230
31714	163767	30806	2013-08-04 17:41:50.82861	2013-08-04 17:41:50.82861	230
31715	163767	30795	2013-08-04 17:41:50.834097	2013-08-04 17:41:50.834097	230
31716	163767	30786	2013-08-04 17:41:50.839477	2013-08-04 17:41:50.839477	230
31717	163767	30777	2013-08-04 17:41:50.845159	2013-08-04 17:41:50.845159	230
31718	163763	3818	2013-08-04 17:41:50.86148	2013-08-04 17:41:50.86148	230
31719	163763	3838	2013-08-04 17:41:50.867628	2013-08-04 17:41:50.867628	230
31720	163763	3780	2013-08-04 17:41:50.876771	2013-08-04 17:41:50.876771	230
31721	163763	3800	2013-08-04 17:41:50.88321	2013-08-04 17:41:50.88321	230
31722	163763	3820	2013-08-04 17:41:50.887361	2013-08-04 17:41:50.887361	230
31723	163763	3840	2013-08-04 17:41:50.891482	2013-08-04 17:41:50.891482	230
31724	163763	3810	2013-08-04 17:41:50.89641	2013-08-04 17:41:50.89641	230
31725	163763	3907	2013-08-04 17:41:50.900531	2013-08-04 17:41:50.900531	230
31726	163763	3887	2013-08-04 17:41:50.907872	2013-08-04 17:41:50.907872	230
31727	163763	3867	2013-08-04 17:41:50.918647	2013-08-04 17:41:50.918647	230
31728	163763	24657	2013-08-04 17:41:50.928695	2013-08-04 17:41:50.928695	230
31729	163763	3847	2013-08-04 17:41:50.938276	2013-08-04 17:41:50.938276	230
31730	163763	24577	2013-08-04 17:41:50.949057	2013-08-04 17:41:50.949057	230
31731	163763	3837	2013-08-04 17:41:50.958547	2013-08-04 17:41:50.958547	230
31732	163763	3809	2013-08-04 17:41:50.968596	2013-08-04 17:41:50.968596	230
31733	163763	3829	2013-08-04 17:41:50.979436	2013-08-04 17:41:50.979436	230
31734	163763	3849	2013-08-04 17:41:50.990544	2013-08-04 17:41:50.990544	230
31735	163763	49875	2013-08-04 17:41:51.001605	2013-08-04 17:41:51.001605	230
31736	163763	36683	2013-08-04 17:41:51.011193	2013-08-04 17:41:51.011193	230
31737	163778	30457	2013-08-04 17:41:51.027235	2013-08-04 17:41:51.027235	230
31738	163778	30328	2013-08-04 17:41:51.031467	2013-08-04 17:41:51.031467	230
31739	163778	30308	2013-08-04 17:41:51.035634	2013-08-04 17:41:51.035634	230
31740	163778	30288	2013-08-04 17:41:51.039798	2013-08-04 17:41:51.039798	230
31741	163778	30268	2013-08-04 17:41:51.043644	2013-08-04 17:41:51.043644	230
31742	163778	17206	2013-08-04 17:41:51.048133	2013-08-04 17:41:51.048133	230
31743	163778	30248	2013-08-04 17:41:51.052656	2013-08-04 17:41:51.052656	230
31744	163778	38150	2013-08-04 17:41:51.05654	2013-08-04 17:41:51.05654	230
31745	163778	30228	2013-08-04 17:41:51.060453	2013-08-04 17:41:51.060453	230
31746	163778	30208	2013-08-04 17:41:51.064429	2013-08-04 17:41:51.064429	230
31747	163778	30232	2013-08-04 17:41:51.068293	2013-08-04 17:41:51.068293	230
31748	163778	30210	2013-08-04 17:41:51.07242	2013-08-04 17:41:51.07242	230
31749	163778	30188	2013-08-04 17:41:51.076562	2013-08-04 17:41:51.076562	230
31750	163778	30168	2013-08-04 17:41:51.081295	2013-08-04 17:41:51.081295	230
31751	163778	30148	2013-08-04 17:41:51.086324	2013-08-04 17:41:51.086324	230
31752	163778	30053	2013-08-04 17:41:51.090841	2013-08-04 17:41:51.090841	230
31753	163778	29051	2013-08-04 17:41:51.094896	2013-08-04 17:41:51.094896	230
31754	163778	7920	2013-08-04 17:41:51.098104	2013-08-04 17:41:51.098104	230
31755	163778	36383	2013-08-04 17:41:51.101244	2013-08-04 17:41:51.101244	230
31756	163769	30506	2013-08-04 17:41:51.228981	2013-08-04 17:41:51.228981	230
31757	163769	29845	2013-08-04 17:41:51.233858	2013-08-04 17:41:51.233858	230
31758	163769	29011	2013-08-04 17:41:51.241683	2013-08-04 17:41:51.241683	230
31759	163769	5086	2013-08-04 17:41:51.250464	2013-08-04 17:41:51.250464	230
31760	163769	36603	2013-08-04 17:41:51.260677	2013-08-04 17:41:51.260677	230
31761	163785	2709	2013-08-04 17:41:51.298117	2013-08-04 17:41:51.298117	230
31762	163785	2781	2013-08-04 17:41:51.302667	2013-08-04 17:41:51.302667	230
31763	163785	2619	2013-08-04 17:41:51.30714	2013-08-04 17:41:51.30714	230
31764	163785	21061	2013-08-04 17:41:51.311587	2013-08-04 17:41:51.311587	230
31765	163785	1987	2013-08-04 17:41:51.316119	2013-08-04 17:41:51.316119	230
31766	163785	1888	2013-08-04 17:41:51.322546	2013-08-04 17:41:51.322546	230
31767	163785	1945	2013-08-04 17:41:51.326077	2013-08-04 17:41:51.326077	230
31768	163785	16586	2013-08-04 17:41:51.329331	2013-08-04 17:41:51.329331	230
31769	163785	15650	2013-08-04 17:41:51.33294	2013-08-04 17:41:51.33294	230
31770	163785	1999	2013-08-04 17:41:51.336433	2013-08-04 17:41:51.336433	230
31771	163785	14518	2013-08-04 17:41:51.34005	2013-08-04 17:41:51.34005	230
31772	163785	49615	2013-08-04 17:41:51.345188	2013-08-04 17:41:51.345188	230
31773	163785	49315	2013-08-04 17:41:51.350204	2013-08-04 17:41:51.350204	230
31774	163785	37983	2013-08-04 17:41:51.354378	2013-08-04 17:41:51.354378	230
31775	163785	24911	2013-08-04 17:41:51.357619	2013-08-04 17:41:51.357619	230
31776	163785	24811	2013-08-04 17:41:51.36098	2013-08-04 17:41:51.36098	230
31777	163785	24851	2013-08-04 17:41:51.36421	2013-08-04 17:41:51.36421	230
31778	163785	3274	2013-08-04 17:41:51.367454	2013-08-04 17:41:51.367454	230
31779	163785	16806	2013-08-04 17:41:51.372359	2013-08-04 17:41:51.372359	230
31780	163766	30477	2013-08-04 17:41:51.396561	2013-08-04 17:41:51.396561	230
31781	163766	29860	2013-08-04 17:41:51.40027	2013-08-04 17:41:51.40027	230
31782	163766	28971	2013-08-04 17:41:51.40369	2013-08-04 17:41:51.40369	230
31783	163766	22743	2013-08-04 17:41:51.407346	2013-08-04 17:41:51.407346	230
31784	163766	19821	2013-08-04 17:41:51.41183	2013-08-04 17:41:51.41183	230
31785	163765	20070	2013-08-04 17:41:51.427119	2013-08-04 17:41:51.427119	230
31786	163765	20036	2013-08-04 17:41:51.431823	2013-08-04 17:41:51.431823	230
31787	163765	20016	2013-08-04 17:41:51.435673	2013-08-04 17:41:51.435673	230
31788	163765	19996	2013-08-04 17:41:51.443492	2013-08-04 17:41:51.443492	230
31789	163765	19972	2013-08-04 17:41:51.451761	2013-08-04 17:41:51.451761	230
31790	163765	19976	2013-08-04 17:41:51.480332	2013-08-04 17:41:51.480332	230
31791	163765	19956	2013-08-04 17:41:51.491822	2013-08-04 17:41:51.491822	230
31792	163765	19983	2013-08-04 17:41:51.502325	2013-08-04 17:41:51.502325	230
31793	163765	19933	2013-08-04 17:41:51.513567	2013-08-04 17:41:51.513567	230
31794	163765	19936	2013-08-04 17:41:51.524719	2013-08-04 17:41:51.524719	230
31795	163765	17612	2013-08-04 17:41:51.535553	2013-08-04 17:41:51.535553	230
31796	163765	19916	2013-08-04 17:41:51.546706	2013-08-04 17:41:51.546706	230
31797	163765	19893	2013-08-04 17:41:51.557591	2013-08-04 17:41:51.557591	230
31798	163765	19896	2013-08-04 17:41:51.568489	2013-08-04 17:41:51.568489	230
31799	163765	19793	2013-08-04 17:41:51.579253	2013-08-04 17:41:51.579253	230
31800	163765	19876	2013-08-04 17:41:51.590259	2013-08-04 17:41:51.590259	230
31801	163765	4644	2013-08-04 17:41:51.601951	2013-08-04 17:41:51.601951	230
31802	163765	15426	2013-08-04 17:41:51.614559	2013-08-04 17:41:51.614559	230
31803	163765	29321	2013-08-04 17:41:51.624843	2013-08-04 17:41:51.624843	230
31804	163771	25259	2013-08-04 17:41:51.927141	2013-08-04 17:41:51.927141	230
31805	163771	25239	2013-08-04 17:41:51.931293	2013-08-04 17:41:51.931293	230
31806	163771	25219	2013-08-04 17:41:51.936809	2013-08-04 17:41:51.936809	230
31807	163771	25199	2013-08-04 17:41:51.942678	2013-08-04 17:41:51.942678	230
31808	163771	25179	2013-08-04 17:41:51.947428	2013-08-04 17:41:51.947428	230
31809	163771	25159	2013-08-04 17:41:51.951188	2013-08-04 17:41:51.951188	230
31810	163771	25139	2013-08-04 17:41:51.955014	2013-08-04 17:41:51.955014	230
31811	163771	25119	2013-08-04 17:41:51.959541	2013-08-04 17:41:51.959541	230
31812	163771	25099	2013-08-04 17:41:51.963862	2013-08-04 17:41:51.963862	230
31813	163771	25079	2013-08-04 17:41:51.968051	2013-08-04 17:41:51.968051	230
31814	163771	25092	2013-08-04 17:41:51.973145	2013-08-04 17:41:51.973145	230
31815	163771	25059	2013-08-04 17:41:51.977588	2013-08-04 17:41:51.977588	230
31816	163771	25039	2013-08-04 17:41:51.981677	2013-08-04 17:41:51.981677	230
31817	163771	25019	2013-08-04 17:41:51.985588	2013-08-04 17:41:51.985588	230
31818	163771	24999	2013-08-04 17:41:51.988687	2013-08-04 17:41:51.988687	230
31819	163771	25006	2013-08-04 17:41:51.991632	2013-08-04 17:41:51.991632	230
31820	163771	24979	2013-08-04 17:41:51.99442	2013-08-04 17:41:51.99442	230
31821	163771	23657	2013-08-04 17:41:51.998772	2013-08-04 17:41:51.998772	230
31822	163771	12856	2013-08-04 17:41:52.002659	2013-08-04 17:41:52.002659	230
31823	164441	30433	2013-08-04 17:41:52.112345	2013-08-04 17:41:52.112345	230
31824	164441	30413	2013-08-04 17:41:52.120113	2013-08-04 17:41:52.120113	230
31825	164441	30393	2013-08-04 17:41:52.127305	2013-08-04 17:41:52.127305	230
31826	164441	30373	2013-08-04 17:41:52.137871	2013-08-04 17:41:52.137871	230
31827	164441	30353	2013-08-04 17:41:52.148842	2013-08-04 17:41:52.148842	230
31828	164441	30310	2013-08-04 17:41:52.159627	2013-08-04 17:41:52.159627	230
31829	164441	30333	2013-08-04 17:41:52.170556	2013-08-04 17:41:52.170556	230
31830	164441	30313	2013-08-04 17:41:52.182178	2013-08-04 17:41:52.182178	230
31831	164441	46843	2013-08-04 17:41:52.193597	2013-08-04 17:41:52.193597	230
31832	164441	30225	2013-08-04 17:41:52.204609	2013-08-04 17:41:52.204609	230
31833	164441	30293	2013-08-04 17:41:52.215144	2013-08-04 17:41:52.215144	230
31834	164441	30273	2013-08-04 17:41:52.225373	2013-08-04 17:41:52.225373	230
31835	164441	30255	2013-08-04 17:41:52.236227	2013-08-04 17:41:52.236227	230
31836	164441	30253	2013-08-04 17:41:52.247115	2013-08-04 17:41:52.247115	230
31837	164441	30233	2013-08-04 17:41:52.258228	2013-08-04 17:41:52.258228	230
31838	164441	30213	2013-08-04 17:41:52.269304	2013-08-04 17:41:52.269304	230
31839	164441	30193	2013-08-04 17:41:52.279471	2013-08-04 17:41:52.279471	230
31840	164441	30173	2013-08-04 17:41:52.290672	2013-08-04 17:41:52.290672	230
31841	164441	30153	2013-08-04 17:41:52.302119	2013-08-04 17:41:52.302119	230
31842	163978	29495	2013-08-04 17:41:52.352595	2013-08-04 17:41:52.352595	230
31843	163978	14455	2013-08-04 17:41:52.364296	2013-08-04 17:41:52.364296	230
31844	163978	16961	2013-08-04 17:41:52.37555	2013-08-04 17:41:52.37555	230
31845	163978	26300	2013-08-04 17:41:52.384352	2013-08-04 17:41:52.384352	230
31846	163978	36903	2013-08-04 17:41:52.391058	2013-08-04 17:41:52.391058	230
31847	163978	34503	2013-08-04 17:41:52.397156	2013-08-04 17:41:52.397156	230
31848	163978	20161	2013-08-04 17:41:52.403658	2013-08-04 17:41:52.403658	230
31849	163978	23657	2013-08-04 17:41:52.40737	2013-08-04 17:41:52.40737	230
31850	163978	15426	2013-08-04 17:41:52.410531	2013-08-04 17:41:52.410531	230
31851	163978	22743	2013-08-04 17:41:52.413591	2013-08-04 17:41:52.413591	230
31852	163978	5086	2013-08-04 17:41:52.416711	2013-08-04 17:41:52.416711	230
31853	163978	36383	2013-08-04 17:41:52.419825	2013-08-04 17:41:52.419825	230
31854	163978	7920	2013-08-04 17:41:52.423782	2013-08-04 17:41:52.423782	230
31855	163978	36683	2013-08-04 17:41:52.427489	2013-08-04 17:41:52.427489	230
31856	163978	18457	2013-08-04 17:41:52.431795	2013-08-04 17:41:52.431795	230
31857	163978	12856	2013-08-04 17:41:52.435711	2013-08-04 17:41:52.435711	230
31858	163978	29321	2013-08-04 17:41:52.442696	2013-08-04 17:41:52.442696	230
31859	163978	19821	2013-08-04 17:41:52.452239	2013-08-04 17:41:52.452239	230
31860	163978	36603	2013-08-04 17:41:52.462218	2013-08-04 17:41:52.462218	230
31861	164355	18738	2013-08-04 17:41:52.704656	2013-08-04 17:41:52.704656	230
31862	164355	18698	2013-08-04 17:41:52.716618	2013-08-04 17:41:52.716618	230
31863	164355	4010	2013-08-04 17:41:52.728147	2013-08-04 17:41:52.728147	230
31864	164355	3997	2013-08-04 17:41:52.738765	2013-08-04 17:41:52.738765	230
31865	164355	8526	2013-08-04 17:41:52.74895	2013-08-04 17:41:52.74895	230
31866	164355	3967	2013-08-04 17:41:52.759643	2013-08-04 17:41:52.759643	230
31867	164031	24817	2013-08-04 17:41:52.781842	2013-08-04 17:41:52.781842	230
31868	164031	3947	2013-08-04 17:41:52.792599	2013-08-04 17:41:52.792599	230
31869	164031	3941	2013-08-04 17:41:52.803809	2013-08-04 17:41:52.803809	230
31870	164031	4017	2013-08-04 17:41:52.815546	2013-08-04 17:41:52.815546	230
31871	164031	3937	2013-08-04 17:41:52.827119	2013-08-04 17:41:52.827119	230
31872	164031	5626	2013-08-04 17:41:52.838666	2013-08-04 17:41:52.838666	230
31873	163788	3927	2013-08-04 17:41:52.852388	2013-08-04 17:41:52.852388	230
31874	163788	35915	2013-08-04 17:41:52.856781	2013-08-04 17:41:52.856781	230
31875	163788	12018	2013-08-04 17:41:52.861215	2013-08-04 17:41:52.861215	230
31876	163788	3785	2013-08-04 17:41:52.865783	2013-08-04 17:41:52.865783	230
31877	163788	3778	2013-08-04 17:41:52.870525	2013-08-04 17:41:52.870525	230
31878	163788	3798	2013-08-04 17:41:52.87505	2013-08-04 17:41:52.87505	230
31879	163983	30745	2013-08-04 17:41:52.889715	2013-08-04 17:41:52.889715	230
31880	163983	40103	2013-08-04 17:41:52.894673	2013-08-04 17:41:52.894673	230
31881	163983	4181	2013-08-04 17:41:52.899111	2013-08-04 17:41:52.899111	230
31882	163983	4087	2013-08-04 17:41:52.905096	2013-08-04 17:41:52.905096	230
31883	163983	3926	2013-08-04 17:41:52.909332	2013-08-04 17:41:52.909332	230
31884	163983	4046	2013-08-04 17:41:52.914072	2013-08-04 17:41:52.914072	230
31885	163937	4040	2013-08-04 17:41:52.924541	2013-08-04 17:41:52.924541	230
31886	163937	4060	2013-08-04 17:41:52.929419	2013-08-04 17:41:52.929419	230
31887	163937	4080	2013-08-04 17:41:52.933736	2013-08-04 17:41:52.933736	230
31888	163937	4061	2013-08-04 17:41:52.93883	2013-08-04 17:41:52.93883	230
31889	163937	4081	2013-08-04 17:41:52.94328	2013-08-04 17:41:52.94328	230
31890	163937	3930	2013-08-04 17:41:52.94756	2013-08-04 17:41:52.94756	230
31891	163800	4037	2013-08-04 17:41:52.955501	2013-08-04 17:41:52.955501	230
31892	163800	4067	2013-08-04 17:41:52.965927	2013-08-04 17:41:52.965927	230
31893	163800	4047	2013-08-04 17:41:52.977156	2013-08-04 17:41:52.977156	230
31894	163800	4027	2013-08-04 17:41:52.988085	2013-08-04 17:41:52.988085	230
31895	163800	4007	2013-08-04 17:41:52.999344	2013-08-04 17:41:52.999344	230
31896	163800	4057	2013-08-04 17:41:53.011659	2013-08-04 17:41:53.011659	230
31897	164033	30548	2013-08-04 17:41:53.06845	2013-08-04 17:41:53.06845	230
31898	164033	30528	2013-08-04 17:41:53.080365	2013-08-04 17:41:53.080365	230
31899	164033	30508	2013-08-04 17:41:53.092031	2013-08-04 17:41:53.092031	230
31900	164033	30488	2013-08-04 17:41:53.103648	2013-08-04 17:41:53.103648	230
31901	163927	30468	2013-08-04 17:41:53.124052	2013-08-04 17:41:53.124052	230
31902	163927	30325	2013-08-04 17:41:53.188343	2013-08-04 17:41:53.188343	230
31903	163927	30448	2013-08-04 17:41:53.200134	2013-08-04 17:41:53.200134	230
31904	163927	30428	2013-08-04 17:41:53.207669	2013-08-04 17:41:53.207669	230
31905	163883	30408	2013-08-04 17:41:53.226672	2013-08-04 17:41:53.226672	230
31906	163883	30388	2013-08-04 17:41:53.235747	2013-08-04 17:41:53.235747	230
31907	163883	30332	2013-08-04 17:41:53.240988	2013-08-04 17:41:53.240988	230
31908	163883	30370	2013-08-04 17:41:53.249807	2013-08-04 17:41:53.249807	230
31909	163789	30368	2013-08-04 17:41:53.261104	2013-08-04 17:41:53.261104	230
31910	163789	30348	2013-08-04 17:41:53.268323	2013-08-04 17:41:53.268323	230
31911	163789	30355	2013-08-04 17:41:53.273718	2013-08-04 17:41:53.273718	230
31912	163789	38050	2013-08-04 17:41:53.283449	2013-08-04 17:41:53.283449	230
31913	163986	30868	2013-08-04 17:41:53.318816	2013-08-04 17:41:53.318816	230
31914	163986	30861	2013-08-04 17:41:53.330231	2013-08-04 17:41:53.330231	230
31915	163986	30848	2013-08-04 17:41:53.341212	2013-08-04 17:41:53.341212	230
31916	163986	30828	2013-08-04 17:41:53.35205	2013-08-04 17:41:53.35205	230
31917	163986	30808	2013-08-04 17:41:53.36249	2013-08-04 17:41:53.36249	230
31918	163986	30788	2013-08-04 17:41:53.374001	2013-08-04 17:41:53.374001	230
31919	163986	8920	2013-08-04 17:41:53.385563	2013-08-04 17:41:53.385563	230
31920	163986	30768	2013-08-04 17:41:53.396086	2013-08-04 17:41:53.396086	230
31921	163986	30748	2013-08-04 17:41:53.406265	2013-08-04 17:41:53.406265	230
31922	163986	30728	2013-08-04 17:41:53.417499	2013-08-04 17:41:53.417499	230
31923	163986	30708	2013-08-04 17:41:53.42959	2013-08-04 17:41:53.42959	230
31924	163986	30688	2013-08-04 17:41:53.442016	2013-08-04 17:41:53.442016	230
31925	163986	30668	2013-08-04 17:41:53.454011	2013-08-04 17:41:53.454011	230
31926	163986	30648	2013-08-04 17:41:53.46607	2013-08-04 17:41:53.46607	230
31927	163986	30628	2013-08-04 17:41:53.477824	2013-08-04 17:41:53.477824	230
31928	163986	30560	2013-08-04 17:41:53.488997	2013-08-04 17:41:53.488997	230
31929	163986	30608	2013-08-04 17:41:53.500549	2013-08-04 17:41:53.500549	230
31930	163986	30615	2013-08-04 17:41:53.512102	2013-08-04 17:41:53.512102	230
31931	163986	30588	2013-08-04 17:41:53.523143	2013-08-04 17:41:53.523143	230
31932	163988	9808	2013-08-04 17:41:53.559894	2013-08-04 17:41:53.559894	230
31933	163988	9889	2013-08-04 17:41:53.568179	2013-08-04 17:41:53.568179	230
31934	163988	9869	2013-08-04 17:41:53.578111	2013-08-04 17:41:53.578111	230
31935	163988	9806	2013-08-04 17:41:53.589306	2013-08-04 17:41:53.589306	230
31936	163988	9849	2013-08-04 17:41:53.600589	2013-08-04 17:41:53.600589	230
31937	163988	9829	2013-08-04 17:41:53.611964	2013-08-04 17:41:53.611964	230
31938	163988	3815	2013-08-04 17:41:53.623606	2013-08-04 17:41:53.623606	230
31939	163988	9809	2013-08-04 17:41:53.634906	2013-08-04 17:41:53.634906	230
31940	163988	9466	2013-08-04 17:41:53.645498	2013-08-04 17:41:53.645498	230
31941	163988	39375	2013-08-04 17:41:53.656543	2013-08-04 17:41:53.656543	230
31942	163988	9841	2013-08-04 17:41:53.66769	2013-08-04 17:41:53.66769	230
31943	163988	9789	2013-08-04 17:41:53.678806	2013-08-04 17:41:53.678806	230
31944	163988	34423	2013-08-04 17:41:53.689815	2013-08-04 17:41:53.689815	230
31945	163988	42463	2013-08-04 17:41:53.701746	2013-08-04 17:41:53.701746	230
31946	163988	9769	2013-08-04 17:41:53.713741	2013-08-04 17:41:53.713741	230
31947	163988	9796	2013-08-04 17:41:53.725358	2013-08-04 17:41:53.725358	230
31948	163988	9749	2013-08-04 17:41:53.736515	2013-08-04 17:41:53.736515	230
31949	163988	20292	2013-08-04 17:41:53.747411	2013-08-04 17:41:53.747411	230
31950	163988	34603	2013-08-04 17:41:53.760341	2013-08-04 17:41:53.760341	230
31951	163996	25479	2013-08-04 17:41:54.004051	2013-08-04 17:41:54.004051	230
31952	163996	25459	2013-08-04 17:41:54.009608	2013-08-04 17:41:54.009608	230
31953	163996	25481	2013-08-04 17:41:54.016768	2013-08-04 17:41:54.016768	230
31954	163996	25439	2013-08-04 17:41:54.023088	2013-08-04 17:41:54.023088	230
31955	163996	25419	2013-08-04 17:41:54.03005	2013-08-04 17:41:54.03005	230
31956	163996	25399	2013-08-04 17:41:54.040686	2013-08-04 17:41:54.040686	230
31957	163996	25379	2013-08-04 17:41:54.05172	2013-08-04 17:41:54.05172	230
31958	163996	25305	2013-08-04 17:41:54.062364	2013-08-04 17:41:54.062364	230
31959	163996	25359	2013-08-04 17:41:54.073116	2013-08-04 17:41:54.073116	230
31960	163996	18826	2013-08-04 17:41:54.084427	2013-08-04 17:41:54.084427	230
31961	163996	25339	2013-08-04 17:41:54.095563	2013-08-04 17:41:54.095563	230
31962	163996	25319	2013-08-04 17:41:54.10642	2013-08-04 17:41:54.10642	230
31963	163996	25298	2013-08-04 17:41:54.118115	2013-08-04 17:41:54.118115	230
31964	163996	25381	2013-08-04 17:41:54.12945	2013-08-04 17:41:54.12945	230
31965	163996	25299	2013-08-04 17:41:54.140522	2013-08-04 17:41:54.140522	230
31966	163996	20581	2013-08-04 17:41:54.152758	2013-08-04 17:41:54.152758	230
31967	163996	25279	2013-08-04 17:41:54.158785	2013-08-04 17:41:54.158785	230
31968	163996	25160	2013-08-04 17:41:54.16319	2013-08-04 17:41:54.16319	230
31969	163996	25255	2013-08-04 17:41:54.167035	2013-08-04 17:41:54.167035	230
31970	164481	30633	2013-08-04 17:46:49.139611	2013-08-04 17:46:49.139611	231
31971	164481	29311	2013-08-04 17:46:49.144672	2013-08-04 17:46:49.144672	231
31972	164479	31126	2013-08-04 17:46:49.414675	2013-08-04 17:46:49.414675	231
31973	164479	31097	2013-08-04 17:46:49.427271	2013-08-04 17:46:49.427271	231
31974	164479	31106	2013-08-04 17:46:49.438496	2013-08-04 17:46:49.438496	231
31975	164479	27230	2013-08-04 17:46:49.450389	2013-08-04 17:46:49.450389	231
31976	164479	30960	2013-08-04 17:46:49.462446	2013-08-04 17:46:49.462446	231
31977	164479	31086	2013-08-04 17:46:49.473734	2013-08-04 17:46:49.473734	231
31978	164479	31066	2013-08-04 17:46:49.485335	2013-08-04 17:46:49.485335	231
31979	164479	31046	2013-08-04 17:46:49.496303	2013-08-04 17:46:49.496303	231
31980	164479	31015	2013-08-04 17:46:49.507175	2013-08-04 17:46:49.507175	231
31981	164479	31026	2013-08-04 17:46:49.513553	2013-08-04 17:46:49.513553	231
31982	164479	31006	2013-08-04 17:46:49.517674	2013-08-04 17:46:49.517674	231
31983	164479	30986	2013-08-04 17:46:49.522981	2013-08-04 17:46:49.522981	231
31984	164479	30966	2013-08-04 17:46:49.52744	2013-08-04 17:46:49.52744	231
31985	164479	30946	2013-08-04 17:46:49.532001	2013-08-04 17:46:49.532001	231
31986	164479	30935	2013-08-04 17:46:49.537734	2013-08-04 17:46:49.537734	231
31987	164479	16831	2013-08-04 17:46:49.542351	2013-08-04 17:46:49.542351	231
31988	164479	30838	2013-08-04 17:46:49.546394	2013-08-04 17:46:49.546394	231
31989	164479	30593	2013-08-04 17:46:49.55018	2013-08-04 17:46:49.55018	231
31990	164479	29291	2013-08-04 17:46:49.55344	2013-08-04 17:46:49.55344	231
31991	164477	4140	2013-08-04 17:46:49.575609	2013-08-04 17:46:49.575609	231
31992	164477	4160	2013-08-04 17:46:49.585422	2013-08-04 17:46:49.585422	231
31993	164477	4180	2013-08-04 17:46:49.596302	2013-08-04 17:46:49.596302	231
31994	164477	4200	2013-08-04 17:46:49.607271	2013-08-04 17:46:49.607271	231
31995	164477	4101	2013-08-04 17:46:49.618594	2013-08-04 17:46:49.618594	231
31996	164477	4121	2013-08-04 17:46:49.629418	2013-08-04 17:46:49.629418	231
31997	164477	4141	2013-08-04 17:46:49.640197	2013-08-04 17:46:49.640197	231
31998	164477	4190	2013-08-04 17:46:49.651011	2013-08-04 17:46:49.651011	231
31999	164477	4227	2013-08-04 17:46:49.664289	2013-08-04 17:46:49.664289	231
32000	164477	4207	2013-08-04 17:46:49.672342	2013-08-04 17:46:49.672342	231
32001	164477	4187	2013-08-04 17:46:49.679356	2013-08-04 17:46:49.679356	231
32002	164477	4167	2013-08-04 17:46:49.684749	2013-08-04 17:46:49.684749	231
32003	164477	4165	2013-08-04 17:46:49.690548	2013-08-04 17:46:49.690548	231
32004	164477	24857	2013-08-04 17:46:49.696101	2013-08-04 17:46:49.696101	231
32005	164477	4147	2013-08-04 17:46:49.701729	2013-08-04 17:46:49.701729	231
32006	164477	24757	2013-08-04 17:46:49.708044	2013-08-04 17:46:49.708044	231
32007	164477	4127	2013-08-04 17:46:49.714089	2013-08-04 17:46:49.714089	231
32008	164477	24837	2013-08-04 17:46:49.723699	2013-08-04 17:46:49.723699	231
32009	164477	4089	2013-08-04 17:46:49.734346	2013-08-04 17:46:49.734346	231
32010	164474	27240	2013-08-04 17:46:49.778467	2013-08-04 17:46:49.778467	231
32011	164474	31068	2013-08-04 17:46:49.790276	2013-08-04 17:46:49.790276	231
32012	164474	31048	2013-08-04 17:46:49.801878	2013-08-04 17:46:49.801878	231
32013	164474	31028	2013-08-04 17:46:49.812435	2013-08-04 17:46:49.812435	231
32014	164474	30997	2013-08-04 17:46:49.81982	2013-08-04 17:46:49.81982	231
32015	164474	31052	2013-08-04 17:46:49.828164	2013-08-04 17:46:49.828164	231
32016	164474	31008	2013-08-04 17:46:49.840087	2013-08-04 17:46:49.840087	231
32017	164474	30988	2013-08-04 17:46:49.85128	2013-08-04 17:46:49.85128	231
32018	164474	30968	2013-08-04 17:46:49.859614	2013-08-04 17:46:49.859614	231
32019	164474	30948	2013-08-04 17:46:49.862976	2013-08-04 17:46:49.862976	231
32020	164474	16800	2013-08-04 17:46:49.866205	2013-08-04 17:46:49.866205	231
32021	164474	35178	2013-08-04 17:46:49.869478	2013-08-04 17:46:49.869478	231
32022	164474	30798	2013-08-04 17:46:49.87391	2013-08-04 17:46:49.87391	231
32023	164474	30928	2013-08-04 17:46:49.883006	2013-08-04 17:46:49.883006	231
32024	164474	30830	2013-08-04 17:46:49.888731	2013-08-04 17:46:49.888731	231
32025	164474	30908	2013-08-04 17:46:49.893944	2013-08-04 17:46:49.893944	231
32026	164474	30888	2013-08-04 17:46:49.902138	2013-08-04 17:46:49.902138	231
32027	164474	30573	2013-08-04 17:46:49.911576	2013-08-04 17:46:49.911576	231
32028	164474	29271	2013-08-04 17:46:49.921598	2013-08-04 17:46:49.921598	231
32029	164482	30550	2013-08-04 17:46:50.079104	2013-08-04 17:46:50.079104	231
32030	165305	41117	2013-08-04 17:46:50.116563	2013-08-04 17:46:50.116563	231
32031	165305	29152	2013-08-04 17:46:50.124937	2013-08-04 17:46:50.124937	231
32032	165305	25768	2013-08-04 17:46:50.133049	2013-08-04 17:46:50.133049	231
32033	165305	25841	2013-08-04 17:46:50.141457	2013-08-04 17:46:50.141457	231
32034	165305	25788	2013-08-04 17:46:50.150367	2013-08-04 17:46:50.150367	231
32035	165305	25808	2013-08-04 17:46:50.159713	2013-08-04 17:46:50.159713	231
32036	165305	26070	2013-08-04 17:46:50.168736	2013-08-04 17:46:50.168736	231
32037	165305	25828	2013-08-04 17:46:50.177661	2013-08-04 17:46:50.177661	231
32038	165305	25848	2013-08-04 17:46:50.186032	2013-08-04 17:46:50.186032	231
32039	165305	25868	2013-08-04 17:46:50.194177	2013-08-04 17:46:50.194177	231
32040	165305	25888	2013-08-04 17:46:50.202299	2013-08-04 17:46:50.202299	231
32041	165305	35243	2013-08-04 17:46:50.210595	2013-08-04 17:46:50.210595	231
32042	165305	25840	2013-08-04 17:46:50.218793	2013-08-04 17:46:50.218793	231
32043	165305	16988	2013-08-04 17:46:50.226917	2013-08-04 17:46:50.226917	231
32044	165305	30392	2013-08-04 17:46:50.235118	2013-08-04 17:46:50.235118	231
32045	165305	3167	2013-08-04 17:46:50.24343	2013-08-04 17:46:50.24343	231
32046	165305	2555	2013-08-04 17:46:50.252066	2013-08-04 17:46:50.252066	231
32047	165305	2697	2013-08-04 17:46:50.260784	2013-08-04 17:46:50.260784	231
32048	165305	2747	2013-08-04 17:46:50.26957	2013-08-04 17:46:50.26957	231
32049	165307	41117	2013-08-04 17:46:50.300898	2013-08-04 17:46:50.300898	231
32050	165307	29152	2013-08-04 17:46:50.30972	2013-08-04 17:46:50.30972	231
32051	165307	25768	2013-08-04 17:46:50.318197	2013-08-04 17:46:50.318197	231
32052	165307	25841	2013-08-04 17:46:50.325952	2013-08-04 17:46:50.325952	231
32053	165307	25788	2013-08-04 17:46:50.334522	2013-08-04 17:46:50.334522	231
32054	165307	25808	2013-08-04 17:46:50.340106	2013-08-04 17:46:50.340106	231
32055	165307	26070	2013-08-04 17:46:50.342864	2013-08-04 17:46:50.342864	231
32056	165307	25828	2013-08-04 17:46:50.345612	2013-08-04 17:46:50.345612	231
32057	165307	25848	2013-08-04 17:46:50.348455	2013-08-04 17:46:50.348455	231
32058	165307	25868	2013-08-04 17:46:50.352679	2013-08-04 17:46:50.352679	231
32059	165307	25888	2013-08-04 17:46:50.358228	2013-08-04 17:46:50.358228	231
32060	165307	35243	2013-08-04 17:46:50.361705	2013-08-04 17:46:50.361705	231
32061	165307	25840	2013-08-04 17:46:50.364711	2013-08-04 17:46:50.364711	231
32062	165307	16988	2013-08-04 17:46:50.367757	2013-08-04 17:46:50.367757	231
32063	165307	30392	2013-08-04 17:46:50.372191	2013-08-04 17:46:50.372191	231
32064	165307	3167	2013-08-04 17:46:50.375227	2013-08-04 17:46:50.375227	231
32065	165307	2555	2013-08-04 17:46:50.378832	2013-08-04 17:46:50.378832	231
32066	165307	2697	2013-08-04 17:46:50.382897	2013-08-04 17:46:50.382897	231
32067	165307	2747	2013-08-04 17:46:50.38994	2013-08-04 17:46:50.38994	231
32068	165308	29152	2013-08-04 17:46:50.419371	2013-08-04 17:46:50.419371	231
32069	165308	25768	2013-08-04 17:46:50.427857	2013-08-04 17:46:50.427857	231
32070	165308	25841	2013-08-04 17:46:50.436257	2013-08-04 17:46:50.436257	231
32071	165308	25788	2013-08-04 17:46:50.444466	2013-08-04 17:46:50.444466	231
32072	165308	25808	2013-08-04 17:46:50.452586	2013-08-04 17:46:50.452586	231
32073	165308	26070	2013-08-04 17:46:50.461262	2013-08-04 17:46:50.461262	231
32074	165308	25828	2013-08-04 17:46:50.47018	2013-08-04 17:46:50.47018	231
32075	165308	25848	2013-08-04 17:46:50.47904	2013-08-04 17:46:50.47904	231
32076	165308	25868	2013-08-04 17:46:50.487547	2013-08-04 17:46:50.487547	231
32077	164484	25888	2013-08-04 17:46:50.498813	2013-08-04 17:46:50.498813	231
32078	164484	35243	2013-08-04 17:46:50.505539	2013-08-04 17:46:50.505539	231
32079	164484	25840	2013-08-04 17:46:50.509829	2013-08-04 17:46:50.509829	231
32080	164484	16988	2013-08-04 17:46:50.513177	2013-08-04 17:46:50.513177	231
32081	164484	30392	2013-08-04 17:46:50.516391	2013-08-04 17:46:50.516391	231
32082	164484	3167	2013-08-04 17:46:50.521018	2013-08-04 17:46:50.521018	231
32083	164484	2555	2013-08-04 17:46:50.588479	2013-08-04 17:46:50.588479	231
32084	164484	2697	2013-08-04 17:46:50.599717	2013-08-04 17:46:50.599717	231
32085	164484	2747	2013-08-04 17:46:50.605363	2013-08-04 17:46:50.605363	231
32086	164480	20345	2013-08-04 17:46:50.669987	2013-08-04 17:46:50.669987	231
32087	164480	20256	2013-08-04 17:46:50.67395	2013-08-04 17:46:50.67395	231
32088	164480	43332	2013-08-04 17:46:50.682875	2013-08-04 17:46:50.682875	231
32089	164480	20217	2013-08-04 17:46:50.698907	2013-08-04 17:46:50.698907	231
32090	164480	20236	2013-08-04 17:46:50.705014	2013-08-04 17:46:50.705014	231
32091	164480	20216	2013-08-04 17:46:50.712863	2013-08-04 17:46:50.712863	231
32092	164480	4244	2013-08-04 17:46:50.717995	2013-08-04 17:46:50.717995	231
32093	164480	20196	2013-08-04 17:46:50.722817	2013-08-04 17:46:50.722817	231
32094	164480	20186	2013-08-04 17:46:50.727139	2013-08-04 17:46:50.727139	231
32095	164480	30485	2013-08-04 17:46:50.732279	2013-08-04 17:46:50.732279	231
32096	164480	20176	2013-08-04 17:46:50.737521	2013-08-04 17:46:50.737521	231
32097	164480	46183	2013-08-04 17:46:50.742156	2013-08-04 17:46:50.742156	231
32098	164480	20156	2013-08-04 17:46:50.746642	2013-08-04 17:46:50.746642	231
32099	164480	20136	2013-08-04 17:46:50.753394	2013-08-04 17:46:50.753394	231
32100	164480	20116	2013-08-04 17:46:50.760622	2013-08-04 17:46:50.760622	231
32101	164480	24401	2013-08-04 17:46:50.768702	2013-08-04 17:46:50.768702	231
32102	164480	20096	2013-08-04 17:46:50.77758	2013-08-04 17:46:50.77758	231
32103	164480	20076	2013-08-04 17:46:50.786739	2013-08-04 17:46:50.786739	231
32104	164480	20056	2013-08-04 17:46:50.796061	2013-08-04 17:46:50.796061	231
32105	164495	25818	2013-08-04 17:46:51.041547	2013-08-04 17:46:51.041547	231
32106	164495	25759	2013-08-04 17:46:51.045765	2013-08-04 17:46:51.045765	231
32107	164495	1747	2013-08-04 17:46:51.049638	2013-08-04 17:46:51.049638	231
32108	164495	25597	2013-08-04 17:46:51.053134	2013-08-04 17:46:51.053134	231
32109	164495	25739	2013-08-04 17:46:51.0608	2013-08-04 17:46:51.0608	231
32110	164495	25719	2013-08-04 17:46:51.068951	2013-08-04 17:46:51.068951	231
32111	164495	25699	2013-08-04 17:46:51.079047	2013-08-04 17:46:51.079047	231
32112	164495	25679	2013-08-04 17:46:51.090033	2013-08-04 17:46:51.090033	231
32113	164495	25659	2013-08-04 17:46:51.101245	2013-08-04 17:46:51.101245	231
32114	164495	25639	2013-08-04 17:46:51.112305	2013-08-04 17:46:51.112305	231
32115	164495	25619	2013-08-04 17:46:51.12296	2013-08-04 17:46:51.12296	231
32116	164495	25701	2013-08-04 17:46:51.134169	2013-08-04 17:46:51.134169	231
32117	164495	25599	2013-08-04 17:46:51.145311	2013-08-04 17:46:51.145311	231
32118	164495	25579	2013-08-04 17:46:51.156375	2013-08-04 17:46:51.156375	231
32119	164495	25559	2013-08-04 17:46:51.167925	2013-08-04 17:46:51.167925	231
32120	164495	10639	2013-08-04 17:46:51.17913	2013-08-04 17:46:51.17913	231
32121	164495	25539	2013-08-04 17:46:51.185038	2013-08-04 17:46:51.185038	231
32122	164495	25519	2013-08-04 17:46:51.188774	2013-08-04 17:46:51.188774	231
32123	164495	25499	2013-08-04 17:46:51.192294	2013-08-04 17:46:51.192294	231
32124	165297	36803	2013-08-04 17:46:51.27537	2013-08-04 17:46:51.27537	231
32125	165297	2406	2013-08-04 17:46:51.286856	2013-08-04 17:46:51.286856	231
32126	165297	47723	2013-08-04 17:46:51.29295	2013-08-04 17:46:51.29295	231
32127	165297	17210	2013-08-04 17:46:51.296471	2013-08-04 17:46:51.296471	231
32128	165297	47443	2013-08-04 17:46:51.299857	2013-08-04 17:46:51.299857	231
32129	165297	17301	2013-08-04 17:46:51.303044	2013-08-04 17:46:51.303044	231
32130	165297	28100	2013-08-04 17:46:51.306636	2013-08-04 17:46:51.306636	231
32131	165297	19761	2013-08-04 17:46:51.310901	2013-08-04 17:46:51.310901	231
32132	165297	28450	2013-08-04 17:46:51.315269	2013-08-04 17:46:51.315269	231
32133	165297	17336	2013-08-04 17:46:51.322165	2013-08-04 17:46:51.322165	231
32134	165297	35623	2013-08-04 17:46:51.328015	2013-08-04 17:46:51.328015	231
32135	165297	19781	2013-08-04 17:46:51.336106	2013-08-04 17:46:51.336106	231
32136	165297	22353	2013-08-04 17:46:51.349341	2013-08-04 17:46:51.349341	231
32137	165297	21253	2013-08-04 17:46:51.361162	2013-08-04 17:46:51.361162	231
32138	165297	21319	2013-08-04 17:46:51.372386	2013-08-04 17:46:51.372386	231
32139	165297	28386	2013-08-04 17:46:51.38455	2013-08-04 17:46:51.38455	231
32140	165297	3924	2013-08-04 17:46:51.399318	2013-08-04 17:46:51.399318	231
32141	165297	17153	2013-08-04 17:46:51.408112	2013-08-04 17:46:51.408112	231
32142	165297	3095	2013-08-04 17:46:51.412329	2013-08-04 17:46:51.412329	231
32143	165300	14695	2013-08-04 17:46:51.442813	2013-08-04 17:46:51.442813	231
32144	165300	4307	2013-08-04 17:46:51.44967	2013-08-04 17:46:51.44967	231
32145	165300	14692	2013-08-04 17:46:51.456144	2013-08-04 17:46:51.456144	231
32146	165300	16561	2013-08-04 17:46:51.46646	2013-08-04 17:46:51.46646	231
32147	165300	4287	2013-08-04 17:46:51.478464	2013-08-04 17:46:51.478464	231
32148	165300	3638	2013-08-04 17:46:51.490159	2013-08-04 17:46:51.490159	231
32149	165300	27805	2013-08-04 17:46:51.502373	2013-08-04 17:46:51.502373	231
32150	165300	4267	2013-08-04 17:46:51.514454	2013-08-04 17:46:51.514454	231
32151	165300	1235	2013-08-04 17:46:51.526436	2013-08-04 17:46:51.526436	231
32152	165300	32061	2013-08-04 17:46:51.538993	2013-08-04 17:46:51.538993	231
32153	165300	4381	2013-08-04 17:46:51.543799	2013-08-04 17:46:51.543799	231
32154	165300	20380	2013-08-04 17:46:51.548364	2013-08-04 17:46:51.548364	231
32155	165300	4247	2013-08-04 17:46:51.553119	2013-08-04 17:46:51.553119	231
32156	165300	14740	2013-08-04 17:46:51.557282	2013-08-04 17:46:51.557282	231
32157	165300	4185	2013-08-04 17:46:51.56137	2013-08-04 17:46:51.56137	231
32158	165300	4117	2013-08-04 17:46:51.565772	2013-08-04 17:46:51.565772	231
32159	165300	4235	2013-08-04 17:46:51.569976	2013-08-04 17:46:51.569976	231
32160	165300	4100	2013-08-04 17:46:51.574136	2013-08-04 17:46:51.574136	231
32161	165300	4120	2013-08-04 17:46:51.578341	2013-08-04 17:46:51.578341	231
32162	165304	31328	2013-08-04 17:46:51.593868	2013-08-04 17:46:51.593868	231
32163	165304	31308	2013-08-04 17:46:51.598891	2013-08-04 17:46:51.598891	231
32164	165304	31288	2013-08-04 17:46:51.603241	2013-08-04 17:46:51.603241	231
32165	165304	31270	2013-08-04 17:46:51.607748	2013-08-04 17:46:51.607748	231
32166	165304	31268	2013-08-04 17:46:51.611933	2013-08-04 17:46:51.611933	231
32167	165304	31248	2013-08-04 17:46:51.618784	2013-08-04 17:46:51.618784	231
32168	165304	48683	2013-08-04 17:46:51.626998	2013-08-04 17:46:51.626998	231
32169	165304	31228	2013-08-04 17:46:51.637674	2013-08-04 17:46:51.637674	231
32170	165304	31208	2013-08-04 17:46:51.648592	2013-08-04 17:46:51.648592	231
32171	165304	31188	2013-08-04 17:46:51.659417	2013-08-04 17:46:51.659417	231
32172	165304	31175	2013-08-04 17:46:51.670257	2013-08-04 17:46:51.670257	231
32173	165304	31168	2013-08-04 17:46:51.681412	2013-08-04 17:46:51.681412	231
32174	165304	31148	2013-08-04 17:46:51.693172	2013-08-04 17:46:51.693172	231
32175	165304	31128	2013-08-04 17:46:51.708343	2013-08-04 17:46:51.708343	231
32176	165304	31108	2013-08-04 17:46:51.720081	2013-08-04 17:46:51.720081	231
32177	165304	31088	2013-08-04 17:46:51.730834	2013-08-04 17:46:51.730834	231
32178	165304	15012	2013-08-04 17:46:51.743367	2013-08-04 17:46:51.743367	231
32179	165304	31010	2013-08-04 17:46:51.749109	2013-08-04 17:46:51.749109	231
32180	165304	31000	2013-08-04 17:46:51.754278	2013-08-04 17:46:51.754278	231
32181	165303	10109	2013-08-04 17:46:51.768845	2013-08-04 17:46:51.768845	231
32182	165303	10089	2013-08-04 17:46:51.773091	2013-08-04 17:46:51.773091	231
32183	165303	10069	2013-08-04 17:46:51.776746	2013-08-04 17:46:51.776746	231
32184	165303	10101	2013-08-04 17:46:51.780323	2013-08-04 17:46:51.780323	231
32185	165303	10049	2013-08-04 17:46:51.784056	2013-08-04 17:46:51.784056	231
32186	165303	9900	2013-08-04 17:46:51.78851	2013-08-04 17:46:51.78851	231
32187	165303	10029	2013-08-04 17:46:51.793555	2013-08-04 17:46:51.793555	231
32188	165303	10009	2013-08-04 17:46:51.798247	2013-08-04 17:46:51.798247	231
32189	165303	10046	2013-08-04 17:46:51.805842	2013-08-04 17:46:51.805842	231
32190	165303	9989	2013-08-04 17:46:51.813914	2013-08-04 17:46:51.813914	231
32191	165303	9926	2013-08-04 17:46:51.823662	2013-08-04 17:46:51.823662	231
32192	165303	4469	2013-08-04 17:46:51.834721	2013-08-04 17:46:51.834721	231
32193	165303	9969	2013-08-04 17:46:51.913214	2013-08-04 17:46:51.913214	231
32194	165303	25137	2013-08-04 17:46:51.918816	2013-08-04 17:46:51.918816	231
32195	165303	9949	2013-08-04 17:46:51.924396	2013-08-04 17:46:51.924396	231
32196	165303	762	2013-08-04 17:46:51.929771	2013-08-04 17:46:51.929771	231
32197	165303	9929	2013-08-04 17:46:51.939861	2013-08-04 17:46:51.939861	231
32198	165303	9950	2013-08-04 17:46:51.950681	2013-08-04 17:46:51.950681	231
32199	165303	9909	2013-08-04 17:46:51.961299	2013-08-04 17:46:51.961299	231
32200	164499	30873	2013-08-04 17:46:52.076511	2013-08-04 17:46:52.076511	231
32201	164499	30853	2013-08-04 17:46:52.088202	2013-08-04 17:46:52.088202	231
32202	164499	30833	2013-08-04 17:46:52.099389	2013-08-04 17:46:52.099389	231
32203	164499	30852	2013-08-04 17:46:52.111123	2013-08-04 17:46:52.111123	231
32204	164499	30813	2013-08-04 17:46:52.122607	2013-08-04 17:46:52.122607	231
32205	164499	30781	2013-08-04 17:46:52.133381	2013-08-04 17:46:52.133381	231
32206	164499	30793	2013-08-04 17:46:52.144366	2013-08-04 17:46:52.144366	231
32207	164499	30773	2013-08-04 17:46:52.155189	2013-08-04 17:46:52.155189	231
32208	164499	30740	2013-08-04 17:46:52.176224	2013-08-04 17:46:52.176224	231
32209	164499	30658	2013-08-04 17:46:52.187732	2013-08-04 17:46:52.187732	231
32210	164499	30698	2013-08-04 17:46:52.19867	2013-08-04 17:46:52.19867	231
32211	164499	30753	2013-08-04 17:46:52.209585	2013-08-04 17:46:52.209585	231
32212	164499	30733	2013-08-04 17:46:52.220429	2013-08-04 17:46:52.220429	231
32213	164499	30713	2013-08-04 17:46:52.231208	2013-08-04 17:46:52.231208	231
32214	164499	2196	2013-08-04 17:46:52.241976	2013-08-04 17:46:52.241976	231
32215	164499	10959	2013-08-04 17:46:52.253019	2013-08-04 17:46:52.253019	231
32216	164499	30693	2013-08-04 17:46:52.264031	2013-08-04 17:46:52.264031	231
32217	164499	30673	2013-08-04 17:46:52.274959	2013-08-04 17:46:52.274959	231
32218	164499	30653	2013-08-04 17:46:52.285812	2013-08-04 17:46:52.285812	231
32219	165309	47443	2013-08-04 17:46:52.318735	2013-08-04 17:46:52.318735	231
32220	165309	17210	2013-08-04 17:46:52.326774	2013-08-04 17:46:52.326774	231
32221	165309	47723	2013-08-04 17:46:52.334962	2013-08-04 17:46:52.334962	231
32222	165309	2406	2013-08-04 17:46:52.342801	2013-08-04 17:46:52.342801	231
32223	165309	36803	2013-08-04 17:46:52.350718	2013-08-04 17:46:52.350718	231
32224	165309	22353	2013-08-04 17:46:52.35894	2013-08-04 17:46:52.35894	231
32225	165309	19781	2013-08-04 17:46:52.367625	2013-08-04 17:46:52.367625	231
32226	165309	35623	2013-08-04 17:46:52.376137	2013-08-04 17:46:52.376137	231
32227	165309	17336	2013-08-04 17:46:52.384017	2013-08-04 17:46:52.384017	231
32228	165309	28450	2013-08-04 17:46:52.392091	2013-08-04 17:46:52.392091	231
32229	165309	19761	2013-08-04 17:46:52.40022	2013-08-04 17:46:52.40022	231
32230	165309	28100	2013-08-04 17:46:52.408402	2013-08-04 17:46:52.408402	231
32231	165309	17301	2013-08-04 17:46:52.416578	2013-08-04 17:46:52.416578	231
32232	165309	3095	2013-08-04 17:46:52.424887	2013-08-04 17:46:52.424887	231
32233	165309	17153	2013-08-04 17:46:52.428734	2013-08-04 17:46:52.428734	231
32234	165309	3924	2013-08-04 17:46:52.432112	2013-08-04 17:46:52.432112	231
32235	165309	28386	2013-08-04 17:46:52.436438	2013-08-04 17:46:52.436438	231
32236	165309	21319	2013-08-04 17:46:52.440367	2013-08-04 17:46:52.440367	231
32237	165309	21253	2013-08-04 17:46:52.443466	2013-08-04 17:46:52.443466	231
32238	165299	20416	2013-08-04 17:46:52.495793	2013-08-04 17:46:52.495793	231
32239	165299	20393	2013-08-04 17:46:52.508295	2013-08-04 17:46:52.508295	231
32240	165299	20265	2013-08-04 17:46:52.520026	2013-08-04 17:46:52.520026	231
32241	165299	20360	2013-08-04 17:46:52.531463	2013-08-04 17:46:52.531463	231
32242	165299	13252	2013-08-04 17:46:52.538356	2013-08-04 17:46:52.538356	231
32243	165299	13226	2013-08-04 17:46:52.54327	2013-08-04 17:46:52.54327	231
32244	165299	20396	2013-08-04 17:46:52.548319	2013-08-04 17:46:52.548319	231
32245	165299	2920	2013-08-04 17:46:52.553717	2013-08-04 17:46:52.553717	231
32246	165299	20376	2013-08-04 17:46:52.557944	2013-08-04 17:46:52.557944	231
32247	165299	20356	2013-08-04 17:46:52.562708	2013-08-04 17:46:52.562708	231
32248	165299	20310	2013-08-04 17:46:52.566525	2013-08-04 17:46:52.566525	231
32249	165299	20335	2013-08-04 17:46:52.570082	2013-08-04 17:46:52.570082	231
32250	165299	20336	2013-08-04 17:46:52.576829	2013-08-04 17:46:52.576829	231
32251	165299	20260	2013-08-04 17:46:52.583596	2013-08-04 17:46:52.583596	231
32252	165299	3081	2013-08-04 17:46:52.587219	2013-08-04 17:46:52.587219	231
32253	165299	14466	2013-08-04 17:46:52.591119	2013-08-04 17:46:52.591119	231
32254	165299	20316	2013-08-04 17:46:52.595077	2013-08-04 17:46:52.595077	231
32255	165299	20296	2013-08-04 17:46:52.598654	2013-08-04 17:46:52.598654	231
32256	165299	20276	2013-08-04 17:46:52.602656	2013-08-04 17:46:52.602656	231
32257	165296	25979	2013-08-04 17:46:52.652543	2013-08-04 17:46:52.652543	231
32258	165296	26045	2013-08-04 17:46:52.657975	2013-08-04 17:46:52.657975	231
32259	165296	25959	2013-08-04 17:46:52.66202	2013-08-04 17:46:52.66202	231
32260	165296	25939	2013-08-04 17:46:52.666061	2013-08-04 17:46:52.666061	231
32261	165296	25919	2013-08-04 17:46:52.672289	2013-08-04 17:46:52.672289	231
32262	165296	32978	2013-08-04 17:46:52.675715	2013-08-04 17:46:52.675715	231
32263	165296	25815	2013-08-04 17:46:52.679337	2013-08-04 17:46:52.679337	231
32264	165296	25899	2013-08-04 17:46:52.683218	2013-08-04 17:46:52.683218	231
32265	165296	25879	2013-08-04 17:46:52.68736	2013-08-04 17:46:52.68736	231
32266	165296	26270	2013-08-04 17:46:52.691289	2013-08-04 17:46:52.691289	231
32267	165296	26290	2013-08-04 17:46:52.695014	2013-08-04 17:46:52.695014	231
32268	165296	25859	2013-08-04 17:46:52.698532	2013-08-04 17:46:52.698532	231
32269	165296	25892	2013-08-04 17:46:52.702803	2013-08-04 17:46:52.702803	231
32270	165296	25839	2013-08-04 17:46:52.708765	2013-08-04 17:46:52.708765	231
32271	165296	25905	2013-08-04 17:46:52.71492	2013-08-04 17:46:52.71492	231
32272	165296	25819	2013-08-04 17:46:52.720121	2013-08-04 17:46:52.720121	231
32273	165296	25761	2013-08-04 17:46:52.725338	2013-08-04 17:46:52.725338	231
32274	165296	25799	2013-08-04 17:46:52.731108	2013-08-04 17:46:52.731108	231
32275	165296	25779	2013-08-04 17:46:52.740383	2013-08-04 17:46:52.740383	231
32276	164640	12963	2013-08-04 17:46:52.778375	2013-08-04 17:46:52.778375	231
32277	164640	35383	2013-08-04 17:46:52.786488	2013-08-04 17:46:52.786488	231
32278	164640	36763	2013-08-04 17:46:52.791054	2013-08-04 17:46:52.791054	231
32279	164640	31535	2013-08-04 17:46:52.795066	2013-08-04 17:46:52.795066	231
32280	164640	7329	2013-08-04 17:46:52.799078	2013-08-04 17:46:52.799078	231
32281	164640	36863	2013-08-04 17:46:52.803791	2013-08-04 17:46:52.803791	231
32282	164640	7749	2013-08-04 17:46:52.808745	2013-08-04 17:46:52.808745	231
32283	164640	34843	2013-08-04 17:46:52.81494	2013-08-04 17:46:52.81494	231
32284	164640	19343	2013-08-04 17:46:52.823805	2013-08-04 17:46:52.823805	231
32285	164640	25525	2013-08-04 17:46:52.834895	2013-08-04 17:46:52.834895	231
32286	164640	35223	2013-08-04 17:46:52.845809	2013-08-04 17:46:52.845809	231
32287	164640	25545	2013-08-04 17:46:52.856518	2013-08-04 17:46:52.856518	231
32288	164640	13411	2013-08-04 17:46:52.867279	2013-08-04 17:46:52.867279	231
32289	164640	22745	2013-08-04 17:46:52.878223	2013-08-04 17:46:52.878223	231
32290	164640	36663	2013-08-04 17:46:52.889161	2013-08-04 17:46:52.889161	231
32291	164640	35083	2013-08-04 17:46:52.899964	2013-08-04 17:46:52.899964	231
32292	164640	28852	2013-08-04 17:46:52.910862	2013-08-04 17:46:52.910862	231
32293	164640	7581	2013-08-04 17:46:52.922111	2013-08-04 17:46:52.922111	231
32294	164640	29775	2013-08-04 17:46:52.931521	2013-08-04 17:46:52.931521	231
32295	164873	4407	2013-08-04 17:46:53.23899	2013-08-04 17:46:53.23899	231
32296	164873	32141	2013-08-04 17:46:53.250199	2013-08-04 17:46:53.250199	231
32297	164873	21337	2013-08-04 17:46:53.261144	2013-08-04 17:46:53.261144	231
32298	164833	4265	2013-08-04 17:46:53.283323	2013-08-04 17:46:53.283323	231
32299	164833	4286	2013-08-04 17:46:53.295421	2013-08-04 17:46:53.295421	231
32300	164833	4365	2013-08-04 17:46:53.3071	2013-08-04 17:46:53.3071	231
32301	164547	4396	2013-08-04 17:46:53.32983	2013-08-04 17:46:53.32983	231
32302	164547	4295	2013-08-04 17:46:53.341118	2013-08-04 17:46:53.341118	231
32303	164547	4315	2013-08-04 17:46:53.352033	2013-08-04 17:46:53.352033	231
32304	164513	4335	2013-08-04 17:46:53.374351	2013-08-04 17:46:53.374351	231
32305	164513	4387	2013-08-04 17:46:53.385543	2013-08-04 17:46:53.385543	231
32306	164513	4367	2013-08-04 17:46:53.396469	2013-08-04 17:46:53.396469	231
32307	164502	4347	2013-08-04 17:46:53.40762	2013-08-04 17:46:53.40762	231
32308	164502	4327	2013-08-04 17:46:53.414628	2013-08-04 17:46:53.414628	231
32309	164502	4332	2013-08-04 17:46:53.422028	2013-08-04 17:46:53.422028	231
32310	164660	1949	2013-08-04 17:46:53.519997	2013-08-04 17:46:53.519997	231
32311	164660	12198	2013-08-04 17:46:53.525658	2013-08-04 17:46:53.525658	231
32312	164660	12232	2013-08-04 17:46:53.531191	2013-08-04 17:46:53.531191	231
32313	164660	12191	2013-08-04 17:46:53.539813	2013-08-04 17:46:53.539813	231
32314	164660	4416	2013-08-04 17:46:53.550209	2013-08-04 17:46:53.550209	231
32315	164660	4547	2013-08-04 17:46:53.560805	2013-08-04 17:46:53.560805	231
32316	164643	5466	2013-08-04 17:46:53.582559	2013-08-04 17:46:53.582559	231
32317	164643	4527	2013-08-04 17:46:53.593038	2013-08-04 17:46:53.593038	231
32318	164643	3228	2013-08-04 17:46:53.603897	2013-08-04 17:46:53.603897	231
32319	164643	4507	2013-08-04 17:46:53.614773	2013-08-04 17:46:53.614773	231
32320	164643	5544	2013-08-04 17:46:53.625005	2013-08-04 17:46:53.625005	231
32321	164643	4441	2013-08-04 17:46:53.635638	2013-08-04 17:46:53.635638	231
32322	164475	4481	2013-08-04 17:46:53.654078	2013-08-04 17:46:53.654078	231
32323	164475	4497	2013-08-04 17:46:53.661123	2013-08-04 17:46:53.661123	231
32324	164475	4487	2013-08-04 17:46:53.666429	2013-08-04 17:46:53.666429	231
32325	164475	22501	2013-08-04 17:46:53.670552	2013-08-04 17:46:53.670552	231
32326	164475	4467	2013-08-04 17:46:53.674807	2013-08-04 17:46:53.674807	231
32327	164475	11558	2013-08-04 17:46:53.679931	2013-08-04 17:46:53.679931	231
32328	164580	31612	2013-08-04 17:46:53.704831	2013-08-04 17:46:53.704831	231
32329	164580	31628	2013-08-04 17:46:53.709892	2013-08-04 17:46:53.709892	231
32330	164580	31608	2013-08-04 17:46:53.715384	2013-08-04 17:46:53.715384	231
32331	164580	31588	2013-08-04 17:46:53.720924	2013-08-04 17:46:53.720924	231
32332	164580	31568	2013-08-04 17:46:53.726793	2013-08-04 17:46:53.726793	231
32333	164580	27185	2013-08-04 17:46:53.731712	2013-08-04 17:46:53.731712	231
32334	164580	31458	2013-08-04 17:46:53.737174	2013-08-04 17:46:53.737174	231
32335	164580	31548	2013-08-04 17:46:53.742207	2013-08-04 17:46:53.742207	231
32336	164580	31528	2013-08-04 17:46:53.748092	2013-08-04 17:46:53.748092	231
32337	164580	31508	2013-08-04 17:46:53.753549	2013-08-04 17:46:53.753549	231
32338	164580	31488	2013-08-04 17:46:53.758473	2013-08-04 17:46:53.758473	231
32339	164580	31538	2013-08-04 17:46:53.765937	2013-08-04 17:46:53.765937	231
32340	164580	31468	2013-08-04 17:46:53.773606	2013-08-04 17:46:53.773606	231
32341	164580	31448	2013-08-04 17:46:53.784073	2013-08-04 17:46:53.784073	231
32342	164580	31428	2013-08-04 17:46:53.796567	2013-08-04 17:46:53.796567	231
32343	164580	31408	2013-08-04 17:46:53.801934	2013-08-04 17:46:53.801934	231
32344	164580	31388	2013-08-04 17:46:53.806537	2013-08-04 17:46:53.806537	231
32345	164580	31368	2013-08-04 17:46:53.811609	2013-08-04 17:46:53.811609	231
32346	164580	31348	2013-08-04 17:46:53.815466	2013-08-04 17:46:53.815466	231
32347	164644	31888	2013-08-04 17:46:53.836233	2013-08-04 17:46:53.836233	231
32348	164644	31855	2013-08-04 17:46:53.845984	2013-08-04 17:46:53.845984	231
32349	164644	2388	2013-08-04 17:46:53.857828	2013-08-04 17:46:53.857828	231
32350	164644	31868	2013-08-04 17:46:53.86956	2013-08-04 17:46:53.86956	231
32351	164644	31848	2013-08-04 17:46:53.88148	2013-08-04 17:46:53.88148	231
32352	164644	19286	2013-08-04 17:46:53.893669	2013-08-04 17:46:53.893669	231
32353	164644	31828	2013-08-04 17:46:53.90492	2013-08-04 17:46:53.90492	231
32354	164644	31808	2013-08-04 17:46:53.916316	2013-08-04 17:46:53.916316	231
32355	164644	31788	2013-08-04 17:46:53.927552	2013-08-04 17:46:53.927552	231
32356	164644	31768	2013-08-04 17:46:53.938628	2013-08-04 17:46:53.938628	231
32357	164644	31748	2013-08-04 17:46:53.949723	2013-08-04 17:46:53.949723	231
32358	164644	31728	2013-08-04 17:46:53.961809	2013-08-04 17:46:53.961809	231
32359	164644	19310	2013-08-04 17:46:53.974812	2013-08-04 17:46:53.974812	231
32360	164644	31708	2013-08-04 17:46:53.986667	2013-08-04 17:46:53.986667	231
32361	164644	31688	2013-08-04 17:46:53.999112	2013-08-04 17:46:53.999112	231
32362	164644	31572	2013-08-04 17:46:54.010735	2013-08-04 17:46:54.010735	231
32363	164644	31668	2013-08-04 17:46:54.014706	2013-08-04 17:46:54.014706	231
32364	164644	31640	2013-08-04 17:46:54.018611	2013-08-04 17:46:54.018611	231
32365	164644	31648	2013-08-04 17:46:54.021937	2013-08-04 17:46:54.021937	231
32366	164645	10309	2013-08-04 17:46:54.035552	2013-08-04 17:46:54.035552	231
32367	164645	3771	2013-08-04 17:46:54.045105	2013-08-04 17:46:54.045105	231
32368	164645	10289	2013-08-04 17:46:54.056467	2013-08-04 17:46:54.056467	231
32369	164645	10341	2013-08-04 17:46:54.068355	2013-08-04 17:46:54.068355	231
32370	164645	10269	2013-08-04 17:46:54.079431	2013-08-04 17:46:54.079431	231
32371	164645	5765	2013-08-04 17:46:54.091294	2013-08-04 17:46:54.091294	231
32372	164645	10296	2013-08-04 17:46:54.103069	2013-08-04 17:46:54.103069	231
32373	164645	2955	2013-08-04 17:46:54.114565	2013-08-04 17:46:54.114565	231
32374	164645	10249	2013-08-04 17:46:54.125853	2013-08-04 17:46:54.125853	231
32375	164645	10229	2013-08-04 17:46:54.138457	2013-08-04 17:46:54.138457	231
32376	164645	42663	2013-08-04 17:46:54.149585	2013-08-04 17:46:54.149585	231
32377	164645	42643	2013-08-04 17:46:54.161576	2013-08-04 17:46:54.161576	231
32378	164645	10209	2013-08-04 17:46:54.171855	2013-08-04 17:46:54.171855	231
32379	164645	10060	2013-08-04 17:46:54.18329	2013-08-04 17:46:54.18329	231
32380	164645	10163	2013-08-04 17:46:54.194263	2013-08-04 17:46:54.194263	231
32381	164645	10189	2013-08-04 17:46:54.20532	2013-08-04 17:46:54.20532	231
32382	164645	10169	2013-08-04 17:46:54.216068	2013-08-04 17:46:54.216068	231
32383	164645	10149	2013-08-04 17:46:54.226785	2013-08-04 17:46:54.226785	231
32384	164645	10129	2013-08-04 17:46:54.238558	2013-08-04 17:46:54.238558	231
32385	165310	47443	2013-08-04 17:46:54.335759	2013-08-04 17:46:54.335759	231
32386	165310	17210	2013-08-04 17:46:54.34352	2013-08-04 17:46:54.34352	231
32387	165310	47723	2013-08-04 17:46:54.351622	2013-08-04 17:46:54.351622	231
32388	165310	2406	2013-08-04 17:46:54.360297	2013-08-04 17:46:54.360297	231
32389	165310	36803	2013-08-04 17:46:54.368699	2013-08-04 17:46:54.368699	231
32390	165310	22353	2013-08-04 17:46:54.376978	2013-08-04 17:46:54.376978	231
32391	165310	19781	2013-08-04 17:46:54.385064	2013-08-04 17:46:54.385064	231
32392	165310	35623	2013-08-04 17:46:54.393146	2013-08-04 17:46:54.393146	231
32393	165310	17336	2013-08-04 17:46:54.39756	2013-08-04 17:46:54.39756	231
32394	165310	28450	2013-08-04 17:46:54.402721	2013-08-04 17:46:54.402721	231
32395	165310	19761	2013-08-04 17:46:54.405613	2013-08-04 17:46:54.405613	231
32396	165310	28100	2013-08-04 17:46:54.410664	2013-08-04 17:46:54.410664	231
32397	165310	17301	2013-08-04 17:46:54.415021	2013-08-04 17:46:54.415021	231
32398	165310	3095	2013-08-04 17:46:54.420105	2013-08-04 17:46:54.420105	231
32399	165310	17153	2013-08-04 17:46:54.42505	2013-08-04 17:46:54.42505	231
32400	165310	3924	2013-08-04 17:46:54.429891	2013-08-04 17:46:54.429891	231
32401	165310	28386	2013-08-04 17:46:54.434798	2013-08-04 17:46:54.434798	231
32402	165310	21319	2013-08-04 17:46:54.441305	2013-08-04 17:46:54.441305	231
32403	165310	21253	2013-08-04 17:46:54.447674	2013-08-04 17:46:54.447674	231
32404	165306	47443	2013-08-04 17:46:54.468949	2013-08-04 17:46:54.468949	231
32405	165306	17210	2013-08-04 17:46:54.475505	2013-08-04 17:46:54.475505	231
32406	165306	47723	2013-08-04 17:46:54.483332	2013-08-04 17:46:54.483332	231
32407	165306	2406	2013-08-04 17:46:54.490888	2013-08-04 17:46:54.490888	231
32408	165306	36803	2013-08-04 17:46:54.493863	2013-08-04 17:46:54.493863	231
32409	165306	22353	2013-08-04 17:46:54.496834	2013-08-04 17:46:54.496834	231
32410	165306	19781	2013-08-04 17:46:54.499738	2013-08-04 17:46:54.499738	231
32411	165306	35623	2013-08-04 17:46:54.503548	2013-08-04 17:46:54.503548	231
32412	165306	17336	2013-08-04 17:46:54.506692	2013-08-04 17:46:54.506692	231
32413	165306	28450	2013-08-04 17:46:54.509599	2013-08-04 17:46:54.509599	231
32414	165306	19761	2013-08-04 17:46:54.51485	2013-08-04 17:46:54.51485	231
32415	165306	28100	2013-08-04 17:46:54.518071	2013-08-04 17:46:54.518071	231
32416	165306	17301	2013-08-04 17:46:54.521112	2013-08-04 17:46:54.521112	231
32417	165306	3095	2013-08-04 17:46:54.52362	2013-08-04 17:46:54.52362	231
32418	165306	17153	2013-08-04 17:46:54.528439	2013-08-04 17:46:54.528439	231
32419	165306	3924	2013-08-04 17:46:54.533604	2013-08-04 17:46:54.533604	231
32420	165306	28386	2013-08-04 17:46:54.537007	2013-08-04 17:46:54.537007	231
32421	165306	21319	2013-08-04 17:46:54.539955	2013-08-04 17:46:54.539955	231
32422	165306	21253	2013-08-04 17:46:54.54225	2013-08-04 17:46:54.54225	231
32423	164650	26179	2013-08-04 17:46:54.581272	2013-08-04 17:46:54.581272	231
32424	164650	26159	2013-08-04 17:46:54.586514	2013-08-04 17:46:54.586514	231
32425	164650	26139	2013-08-04 17:46:54.593445	2013-08-04 17:46:54.593445	231
32426	164650	1787	2013-08-04 17:46:54.598097	2013-08-04 17:46:54.598097	231
32427	164650	26178	2013-08-04 17:46:54.604467	2013-08-04 17:46:54.604467	231
32428	164650	26119	2013-08-04 17:46:54.609105	2013-08-04 17:46:54.609105	231
32429	164650	1767	2013-08-04 17:46:54.613434	2013-08-04 17:46:54.613434	231
32430	164650	26099	2013-08-04 17:46:54.619184	2013-08-04 17:46:54.619184	231
32431	164650	26141	2013-08-04 17:46:54.628089	2013-08-04 17:46:54.628089	231
32432	164650	26140	2013-08-04 17:46:54.636364	2013-08-04 17:46:54.636364	231
32433	164650	26079	2013-08-04 17:46:54.64372	2013-08-04 17:46:54.64372	231
32434	164650	26059	2013-08-04 17:46:54.652691	2013-08-04 17:46:54.652691	231
32435	164650	26039	2013-08-04 17:46:54.660057	2013-08-04 17:46:54.660057	231
32436	164650	26019	2013-08-04 17:46:54.66911	2013-08-04 17:46:54.66911	231
32437	164650	25999	2013-08-04 17:46:54.678848	2013-08-04 17:46:54.678848	231
32438	164650	25925	2013-08-04 17:46:54.690417	2013-08-04 17:46:54.690417	231
32439	164650	15417	2013-08-04 17:46:54.701591	2013-08-04 17:46:54.701591	231
32440	164650	12198	2013-08-04 17:46:54.712991	2013-08-04 17:46:54.712991	231
32441	164650	1949	2013-08-04 17:46:54.723323	2013-08-04 17:46:54.723323	231
32442	165197	31306	2013-08-04 17:51:48.941048	2013-08-04 17:51:48.941048	232
32443	165197	31310	2013-08-04 17:51:48.947206	2013-08-04 17:51:48.947206	232
32444	165197	31286	2013-08-04 17:51:48.953535	2013-08-04 17:51:48.953535	232
32445	165197	31266	2013-08-04 17:51:48.961351	2013-08-04 17:51:48.961351	232
32446	165197	8203	2013-08-04 17:51:48.972672	2013-08-04 17:51:48.972672	232
32447	165197	31246	2013-08-04 17:51:48.983899	2013-08-04 17:51:48.983899	232
32448	165197	12219	2013-08-04 17:51:48.995189	2013-08-04 17:51:48.995189	232
32449	165197	31158	2013-08-04 17:51:49.006582	2013-08-04 17:51:49.006582	232
32450	165197	31120	2013-08-04 17:51:49.017651	2013-08-04 17:51:49.017651	232
32451	165197	31226	2013-08-04 17:51:49.028757	2013-08-04 17:51:49.028757	232
32452	165197	31215	2013-08-04 17:51:49.037562	2013-08-04 17:51:49.037562	232
32453	165197	32665	2013-08-04 17:51:49.047366	2013-08-04 17:51:49.047366	232
32454	165197	31206	2013-08-04 17:51:49.058814	2013-08-04 17:51:49.058814	232
32455	165197	31186	2013-08-04 17:51:49.069995	2013-08-04 17:51:49.069995	232
32456	165197	31166	2013-08-04 17:51:49.081659	2013-08-04 17:51:49.081659	232
32457	165197	31092	2013-08-04 17:51:49.093366	2013-08-04 17:51:49.093366	232
32458	165197	31146	2013-08-04 17:51:49.105058	2013-08-04 17:51:49.105058	232
32459	165197	31053	2013-08-04 17:51:49.116914	2013-08-04 17:51:49.116914	232
32460	165197	29511	2013-08-04 17:51:49.127635	2013-08-04 17:51:49.127635	232
32461	165194	32068	2013-08-04 17:51:49.177356	2013-08-04 17:51:49.177356	232
32462	165194	32048	2013-08-04 17:51:49.189433	2013-08-04 17:51:49.189433	232
32463	165194	373	2013-08-04 17:51:49.200502	2013-08-04 17:51:49.200502	232
32464	165194	31998	2013-08-04 17:51:49.212038	2013-08-04 17:51:49.212038	232
32465	165194	31940	2013-08-04 17:51:49.224266	2013-08-04 17:51:49.224266	232
32466	165194	32028	2013-08-04 17:51:49.235539	2013-08-04 17:51:49.235539	232
32467	165194	31977	2013-08-04 17:51:49.246068	2013-08-04 17:51:49.246068	232
32468	165194	32015	2013-08-04 17:51:49.257178	2013-08-04 17:51:49.257178	232
32469	165194	32008	2013-08-04 17:51:49.268168	2013-08-04 17:51:49.268168	232
32470	165194	31988	2013-08-04 17:51:49.279176	2013-08-04 17:51:49.279176	232
32471	165194	31917	2013-08-04 17:51:49.29034	2013-08-04 17:51:49.29034	232
32472	165194	31968	2013-08-04 17:51:49.301429	2013-08-04 17:51:49.301429	232
32473	165194	31948	2013-08-04 17:51:49.313114	2013-08-04 17:51:49.313114	232
32474	165194	31928	2013-08-04 17:51:49.32348	2013-08-04 17:51:49.32348	232
32475	165194	32005	2013-08-04 17:51:49.327823	2013-08-04 17:51:49.327823	232
32476	165194	31908	2013-08-04 17:51:49.334229	2013-08-04 17:51:49.334229	232
32477	165194	31253	2013-08-04 17:51:49.34263	2013-08-04 17:51:49.34263	232
32478	165194	31013	2013-08-04 17:51:49.352838	2013-08-04 17:51:49.352838	232
32479	165194	29471	2013-08-04 17:51:49.362901	2013-08-04 17:51:49.362901	232
32480	165206	31230	2013-08-04 17:51:49.607807	2013-08-04 17:51:49.607807	232
32481	165206	30973	2013-08-04 17:51:49.618839	2013-08-04 17:51:49.618839	232
32482	165206	29431	2013-08-04 17:51:49.629152	2013-08-04 17:51:49.629152	232
32483	165439	47443	2013-08-04 17:51:49.667243	2013-08-04 17:51:49.667243	232
32484	165439	17210	2013-08-04 17:51:49.676035	2013-08-04 17:51:49.676035	232
32485	165439	47723	2013-08-04 17:51:49.684491	2013-08-04 17:51:49.684491	232
32486	165439	2406	2013-08-04 17:51:49.749872	2013-08-04 17:51:49.749872	232
32487	165439	36803	2013-08-04 17:51:49.756484	2013-08-04 17:51:49.756484	232
32488	165439	22353	2013-08-04 17:51:49.760026	2013-08-04 17:51:49.760026	232
32489	165439	19781	2013-08-04 17:51:49.763255	2013-08-04 17:51:49.763255	232
32490	165439	35623	2013-08-04 17:51:49.766492	2013-08-04 17:51:49.766492	232
32491	165439	17336	2013-08-04 17:51:49.769587	2013-08-04 17:51:49.769587	232
32492	165439	28450	2013-08-04 17:51:49.77256	2013-08-04 17:51:49.77256	232
32493	165439	19761	2013-08-04 17:51:49.77553	2013-08-04 17:51:49.77553	232
32494	165439	28100	2013-08-04 17:51:49.778444	2013-08-04 17:51:49.778444	232
32495	165439	17301	2013-08-04 17:51:49.78145	2013-08-04 17:51:49.78145	232
32496	165439	3095	2013-08-04 17:51:49.787722	2013-08-04 17:51:49.787722	232
32497	165439	17153	2013-08-04 17:51:49.795166	2013-08-04 17:51:49.795166	232
32498	165439	3924	2013-08-04 17:51:49.802765	2013-08-04 17:51:49.802765	232
32499	165439	28386	2013-08-04 17:51:49.811498	2013-08-04 17:51:49.811498	232
32500	165439	21319	2013-08-04 17:51:49.819978	2013-08-04 17:51:49.819978	232
32501	165439	21253	2013-08-04 17:51:49.828269	2013-08-04 17:51:49.828269	232
32502	165442	47443	2013-08-04 17:51:49.859574	2013-08-04 17:51:49.859574	232
32503	165442	17210	2013-08-04 17:51:49.867858	2013-08-04 17:51:49.867858	232
32504	165442	47723	2013-08-04 17:51:49.875877	2013-08-04 17:51:49.875877	232
32505	165442	2406	2013-08-04 17:51:49.883601	2013-08-04 17:51:49.883601	232
32506	165442	36803	2013-08-04 17:51:49.891805	2013-08-04 17:51:49.891805	232
32507	165442	22353	2013-08-04 17:51:49.900307	2013-08-04 17:51:49.900307	232
32508	165442	19781	2013-08-04 17:51:49.909054	2013-08-04 17:51:49.909054	232
32509	165442	35623	2013-08-04 17:51:49.914185	2013-08-04 17:51:49.914185	232
32510	165442	17336	2013-08-04 17:51:49.920082	2013-08-04 17:51:49.920082	232
32511	165442	28450	2013-08-04 17:51:49.924925	2013-08-04 17:51:49.924925	232
32512	165442	19761	2013-08-04 17:51:49.928409	2013-08-04 17:51:49.928409	232
32513	165442	28100	2013-08-04 17:51:49.931603	2013-08-04 17:51:49.931603	232
32514	165442	17301	2013-08-04 17:51:49.93456	2013-08-04 17:51:49.93456	232
32515	165442	3095	2013-08-04 17:51:49.937185	2013-08-04 17:51:49.937185	232
32516	165442	17153	2013-08-04 17:51:49.939827	2013-08-04 17:51:49.939827	232
32517	165442	3924	2013-08-04 17:51:49.942375	2013-08-04 17:51:49.942375	232
32518	165442	28386	2013-08-04 17:51:49.94533	2013-08-04 17:51:49.94533	232
32519	165442	21319	2013-08-04 17:51:49.949719	2013-08-04 17:51:49.949719	232
32520	165442	21253	2013-08-04 17:51:49.952934	2013-08-04 17:51:49.952934	232
32521	165443	17210	2013-08-04 17:51:49.975201	2013-08-04 17:51:49.975201	232
32522	165443	47723	2013-08-04 17:51:49.983577	2013-08-04 17:51:49.983577	232
32523	165443	2406	2013-08-04 17:51:49.991867	2013-08-04 17:51:49.991867	232
32524	165443	36803	2013-08-04 17:51:50.000041	2013-08-04 17:51:50.000041	232
32525	165443	22353	2013-08-04 17:51:50.008274	2013-08-04 17:51:50.008274	232
32526	165443	19781	2013-08-04 17:51:50.016443	2013-08-04 17:51:50.016443	232
32527	165443	35623	2013-08-04 17:51:50.0246	2013-08-04 17:51:50.0246	232
32528	165443	17336	2013-08-04 17:51:50.032719	2013-08-04 17:51:50.032719	232
32529	165443	28450	2013-08-04 17:51:50.040649	2013-08-04 17:51:50.040649	232
32530	165205	19761	2013-08-04 17:51:50.059865	2013-08-04 17:51:50.059865	232
32531	165205	28100	2013-08-04 17:51:50.069943	2013-08-04 17:51:50.069943	232
32532	165205	17301	2013-08-04 17:51:50.080064	2013-08-04 17:51:50.080064	232
32533	165205	3095	2013-08-04 17:51:50.090024	2013-08-04 17:51:50.090024	232
32534	165205	17153	2013-08-04 17:51:50.100162	2013-08-04 17:51:50.100162	232
32535	165205	3924	2013-08-04 17:51:50.109312	2013-08-04 17:51:50.109312	232
32536	165205	28386	2013-08-04 17:51:50.114297	2013-08-04 17:51:50.114297	232
32537	165205	21319	2013-08-04 17:51:50.122609	2013-08-04 17:51:50.122609	232
32538	165205	21253	2013-08-04 17:51:50.12619	2013-08-04 17:51:50.12619	232
32539	165199	20676	2013-08-04 17:51:50.353463	2013-08-04 17:51:50.353463	232
32540	165199	20656	2013-08-04 17:51:50.363659	2013-08-04 17:51:50.363659	232
32541	165199	20636	2013-08-04 17:51:50.36791	2013-08-04 17:51:50.36791	232
32542	165199	3288	2013-08-04 17:51:50.372505	2013-08-04 17:51:50.372505	232
32543	165199	20616	2013-08-04 17:51:50.378351	2013-08-04 17:51:50.378351	232
32544	165199	20596	2013-08-04 17:51:50.384044	2013-08-04 17:51:50.384044	232
32545	165199	20576	2013-08-04 17:51:50.388664	2013-08-04 17:51:50.388664	232
32546	165199	20505	2013-08-04 17:51:50.392977	2013-08-04 17:51:50.392977	232
32547	165199	7186	2013-08-04 17:51:50.397359	2013-08-04 17:51:50.397359	232
32548	165199	20556	2013-08-04 17:51:50.401546	2013-08-04 17:51:50.401546	232
32549	165199	20536	2013-08-04 17:51:50.405803	2013-08-04 17:51:50.405803	232
32550	165199	20553	2013-08-04 17:51:50.410039	2013-08-04 17:51:50.410039	232
32551	165199	20516	2013-08-04 17:51:50.414448	2013-08-04 17:51:50.414448	232
32552	165199	20477	2013-08-04 17:51:50.419143	2013-08-04 17:51:50.419143	232
32553	165199	20496	2013-08-04 17:51:50.423843	2013-08-04 17:51:50.423843	232
32554	165199	20476	2013-08-04 17:51:50.432678	2013-08-04 17:51:50.432678	232
32555	165199	20456	2013-08-04 17:51:50.440171	2013-08-04 17:51:50.440171	232
32556	165199	20436	2013-08-04 17:51:50.449079	2013-08-04 17:51:50.449079	232
32557	165199	20492	2013-08-04 17:51:50.459809	2013-08-04 17:51:50.459809	232
32558	165648	36343	2013-08-04 17:51:50.738636	2013-08-04 17:51:50.738636	232
32559	165648	2849	2013-08-04 17:51:50.750984	2013-08-04 17:51:50.750984	232
32560	165648	16543	2013-08-04 17:51:50.762645	2013-08-04 17:51:50.762645	232
32561	165648	7789	2013-08-04 17:51:50.773543	2013-08-04 17:51:50.773543	232
32562	165648	15730	2013-08-04 17:51:50.784643	2013-08-04 17:51:50.784643	232
32563	165648	7066	2013-08-04 17:51:50.795658	2013-08-04 17:51:50.795658	232
32564	165648	47603	2013-08-04 17:51:50.806705	2013-08-04 17:51:50.806705	232
32565	165648	34603	2013-08-04 17:51:50.817473	2013-08-04 17:51:50.817473	232
32566	165648	36603	2013-08-04 17:51:50.828533	2013-08-04 17:51:50.828533	232
32567	165648	19821	2013-08-04 17:51:50.839492	2013-08-04 17:51:50.839492	232
32568	165648	29321	2013-08-04 17:51:50.850519	2013-08-04 17:51:50.850519	232
32569	165648	12856	2013-08-04 17:51:50.861379	2013-08-04 17:51:50.861379	232
32570	165648	12716	2013-08-04 17:51:50.872458	2013-08-04 17:51:50.872458	232
32571	165648	41321	2013-08-04 17:51:50.883403	2013-08-04 17:51:50.883403	232
32572	165648	22706	2013-08-04 17:51:50.894546	2013-08-04 17:51:50.894546	232
32573	165648	40950	2013-08-04 17:51:50.905439	2013-08-04 17:51:50.905439	232
32574	165648	28752	2013-08-04 17:51:50.916481	2013-08-04 17:51:50.916481	232
32575	165648	47783	2013-08-04 17:51:50.929126	2013-08-04 17:51:50.929126	232
32576	165648	15506	2013-08-04 17:51:50.941254	2013-08-04 17:51:50.941254	232
32577	165646	4707	2013-08-04 17:51:50.957982	2013-08-04 17:51:50.957982	232
32578	165646	4687	2013-08-04 17:51:50.962184	2013-08-04 17:51:50.962184	232
32579	165646	4667	2013-08-04 17:51:50.966483	2013-08-04 17:51:50.966483	232
32580	165646	32085	2013-08-04 17:51:50.97053	2013-08-04 17:51:50.97053	232
32581	165646	4564	2013-08-04 17:51:50.975668	2013-08-04 17:51:50.975668	232
32582	165646	4647	2013-08-04 17:51:50.982574	2013-08-04 17:51:50.982574	232
32583	165646	4572	2013-08-04 17:51:50.990016	2013-08-04 17:51:50.990016	232
32584	165646	4575	2013-08-04 17:51:51.000919	2013-08-04 17:51:51.000919	232
32585	165646	4627	2013-08-04 17:51:51.012614	2013-08-04 17:51:51.012614	232
32586	165646	4558	2013-08-04 17:51:51.023025	2013-08-04 17:51:51.023025	232
32587	165646	4607	2013-08-04 17:51:51.028594	2013-08-04 17:51:51.028594	232
32588	165646	32161	2013-08-04 17:51:51.039	2013-08-04 17:51:51.039	232
32589	165646	4689	2013-08-04 17:51:51.045685	2013-08-04 17:51:51.045685	232
32590	165646	4587	2013-08-04 17:51:51.049798	2013-08-04 17:51:51.049798	232
32591	165646	4656	2013-08-04 17:51:51.053592	2013-08-04 17:51:51.053592	232
32592	165646	3918	2013-08-04 17:51:51.057478	2013-08-04 17:51:51.057478	232
32593	165646	4006	2013-08-04 17:51:51.061469	2013-08-04 17:51:51.061469	232
32594	165646	4567	2013-08-04 17:51:51.064917	2013-08-04 17:51:51.064917	232
32595	165646	4109	2013-08-04 17:51:51.068686	2013-08-04 17:51:51.068686	232
32596	165649	32348	2013-08-04 17:51:51.089105	2013-08-04 17:51:51.089105	232
32597	165649	32237	2013-08-04 17:51:51.163436	2013-08-04 17:51:51.163436	232
32598	165649	32328	2013-08-04 17:51:51.166855	2013-08-04 17:51:51.166855	232
32599	165649	32308	2013-08-04 17:51:51.171721	2013-08-04 17:51:51.171721	232
32600	165649	32288	2013-08-04 17:51:51.176187	2013-08-04 17:51:51.176187	232
32601	165649	32268	2013-08-04 17:51:51.183726	2013-08-04 17:51:51.183726	232
32602	165649	32248	2013-08-04 17:51:51.1939	2013-08-04 17:51:51.1939	232
32603	165649	32228	2013-08-04 17:51:51.205032	2013-08-04 17:51:51.205032	232
32604	165649	32210	2013-08-04 17:51:51.215865	2013-08-04 17:51:51.215865	232
32605	165649	32208	2013-08-04 17:51:51.225165	2013-08-04 17:51:51.225165	232
32606	165649	32188	2013-08-04 17:51:51.230519	2013-08-04 17:51:51.230519	232
32607	165649	36730	2013-08-04 17:51:51.235371	2013-08-04 17:51:51.235371	232
32608	165649	32140	2013-08-04 17:51:51.243227	2013-08-04 17:51:51.243227	232
32609	165649	32168	2013-08-04 17:51:51.253077	2013-08-04 17:51:51.253077	232
32610	165649	32148	2013-08-04 17:51:51.264191	2013-08-04 17:51:51.264191	232
32611	165649	32112	2013-08-04 17:51:51.274739	2013-08-04 17:51:51.274739	232
32612	165649	32128	2013-08-04 17:51:51.28525	2013-08-04 17:51:51.28525	232
32613	165649	32108	2013-08-04 17:51:51.296213	2013-08-04 17:51:51.296213	232
32614	165649	32088	2013-08-04 17:51:51.307266	2013-08-04 17:51:51.307266	232
32615	165651	10480	2013-08-04 17:51:51.344037	2013-08-04 17:51:51.344037	232
32616	165651	10509	2013-08-04 17:51:51.35722	2013-08-04 17:51:51.35722	232
32617	165651	10489	2013-08-04 17:51:51.369967	2013-08-04 17:51:51.369967	232
32618	165651	10469	2013-08-04 17:51:51.381686	2013-08-04 17:51:51.381686	232
32619	165651	10449	2013-08-04 17:51:51.396021	2013-08-04 17:51:51.396021	232
32620	165651	10429	2013-08-04 17:51:51.407374	2013-08-04 17:51:51.407374	232
32621	165651	33912	2013-08-04 17:51:51.411677	2013-08-04 17:51:51.411677	232
32622	165651	10425	2013-08-04 17:51:51.416059	2013-08-04 17:51:51.416059	232
32623	165651	10409	2013-08-04 17:51:51.422836	2013-08-04 17:51:51.422836	232
32624	165651	10389	2013-08-04 17:51:51.429694	2013-08-04 17:51:51.429694	232
32625	165651	10369	2013-08-04 17:51:51.434263	2013-08-04 17:51:51.434263	232
32626	165651	10260	2013-08-04 17:51:51.438112	2013-08-04 17:51:51.438112	232
32627	165651	10215	2013-08-04 17:51:51.444246	2013-08-04 17:51:51.444246	232
32628	165651	10278	2013-08-04 17:51:51.448221	2013-08-04 17:51:51.448221	232
32629	165651	10252	2013-08-04 17:51:51.452101	2013-08-04 17:51:51.452101	232
32630	165651	10281	2013-08-04 17:51:51.456348	2013-08-04 17:51:51.456348	232
32631	165651	10349	2013-08-04 17:51:51.466488	2013-08-04 17:51:51.466488	232
32632	165651	10329	2013-08-04 17:51:51.471621	2013-08-04 17:51:51.471621	232
32633	165651	10345	2013-08-04 17:51:51.478833	2013-08-04 17:51:51.478833	232
32634	165652	29791	2013-08-04 17:51:51.555545	2013-08-04 17:51:51.555545	232
32635	165652	29771	2013-08-04 17:51:51.566853	2013-08-04 17:51:51.566853	232
32636	165652	29830	2013-08-04 17:51:51.577659	2013-08-04 17:51:51.577659	232
32637	165652	29751	2013-08-04 17:51:51.588928	2013-08-04 17:51:51.588928	232
32638	165652	29731	2013-08-04 17:51:51.600018	2013-08-04 17:51:51.600018	232
32639	165652	19086	2013-08-04 17:51:51.610882	2013-08-04 17:51:51.610882	232
32640	165652	29711	2013-08-04 17:51:51.621879	2013-08-04 17:51:51.621879	232
32641	165652	29695	2013-08-04 17:51:51.632801	2013-08-04 17:51:51.632801	232
32642	165652	29691	2013-08-04 17:51:51.643538	2013-08-04 17:51:51.643538	232
32643	165652	29545	2013-08-04 17:51:51.654198	2013-08-04 17:51:51.654198	232
32644	165652	29671	2013-08-04 17:51:51.665835	2013-08-04 17:51:51.665835	232
32645	165652	29651	2013-08-04 17:51:51.677849	2013-08-04 17:51:51.677849	232
32646	165652	29631	2013-08-04 17:51:51.689246	2013-08-04 17:51:51.689246	232
32647	165652	29577	2013-08-04 17:51:51.700542	2013-08-04 17:51:51.700542	232
32648	165652	29611	2013-08-04 17:51:51.712144	2013-08-04 17:51:51.712144	232
32649	165652	29591	2013-08-04 17:51:51.724752	2013-08-04 17:51:51.724752	232
32650	165652	19066	2013-08-04 17:51:51.736569	2013-08-04 17:51:51.736569	232
32651	165652	29533	2013-08-04 17:51:51.74868	2013-08-04 17:51:51.74868	232
32652	165652	29571	2013-08-04 17:51:51.760556	2013-08-04 17:51:51.760556	232
32653	165444	28752	2013-08-04 17:51:51.786962	2013-08-04 17:51:51.786962	232
32654	165444	40950	2013-08-04 17:51:51.789917	2013-08-04 17:51:51.789917	232
32655	165444	22706	2013-08-04 17:51:51.794323	2013-08-04 17:51:51.794323	232
32656	165444	41321	2013-08-04 17:51:51.797437	2013-08-04 17:51:51.797437	232
32657	165444	12716	2013-08-04 17:51:51.800791	2013-08-04 17:51:51.800791	232
32658	165444	12856	2013-08-04 17:51:51.80558	2013-08-04 17:51:51.80558	232
32659	165444	29321	2013-08-04 17:51:51.812325	2013-08-04 17:51:51.812325	232
32660	165444	19821	2013-08-04 17:51:51.817752	2013-08-04 17:51:51.817752	232
32661	165444	36603	2013-08-04 17:51:51.824602	2013-08-04 17:51:51.824602	232
32662	165444	34603	2013-08-04 17:51:51.832699	2013-08-04 17:51:51.832699	232
32663	165444	17210	2013-08-04 17:51:51.841109	2013-08-04 17:51:51.841109	232
32664	165444	47723	2013-08-04 17:51:51.849404	2013-08-04 17:51:51.849404	232
32665	165444	2406	2013-08-04 17:51:51.85805	2013-08-04 17:51:51.85805	232
32666	165444	36803	2013-08-04 17:51:51.866659	2013-08-04 17:51:51.866659	232
32667	165444	22353	2013-08-04 17:51:51.874907	2013-08-04 17:51:51.874907	232
32668	165444	19781	2013-08-04 17:51:51.883576	2013-08-04 17:51:51.883576	232
32669	165444	35623	2013-08-04 17:51:51.891763	2013-08-04 17:51:51.891763	232
32670	165444	17336	2013-08-04 17:51:51.900023	2013-08-04 17:51:51.900023	232
32671	165444	28450	2013-08-04 17:51:51.908366	2013-08-04 17:51:51.908366	232
32672	165645	7201	2013-08-04 17:51:51.971365	2013-08-04 17:51:51.971365	232
32673	165645	5511	2013-08-04 17:51:51.977359	2013-08-04 17:51:51.977359	232
32674	165645	20796	2013-08-04 17:51:51.983271	2013-08-04 17:51:51.983271	232
32675	165645	20776	2013-08-04 17:51:51.98785	2013-08-04 17:51:51.98785	232
32676	165645	20861	2013-08-04 17:51:51.991806	2013-08-04 17:51:51.991806	232
32677	165645	20837	2013-08-04 17:51:51.995787	2013-08-04 17:51:51.995787	232
32678	165645	20756	2013-08-04 17:51:52.000281	2013-08-04 17:51:52.000281	232
32679	165645	20752	2013-08-04 17:51:52.00487	2013-08-04 17:51:52.00487	232
32680	165645	20737	2013-08-04 17:51:52.010183	2013-08-04 17:51:52.010183	232
32681	165645	20736	2013-08-04 17:51:52.013927	2013-08-04 17:51:52.013927	232
32682	165645	20625	2013-08-04 17:51:52.018277	2013-08-04 17:51:52.018277	232
32683	165645	20600	2013-08-04 17:51:52.022535	2013-08-04 17:51:52.022535	232
32684	165645	16131	2013-08-04 17:51:52.026176	2013-08-04 17:51:52.026176	232
32685	165645	20693	2013-08-04 17:51:52.030085	2013-08-04 17:51:52.030085	232
32686	165645	20716	2013-08-04 17:51:52.033866	2013-08-04 17:51:52.033866	232
32687	165645	20675	2013-08-04 17:51:52.037444	2013-08-04 17:51:52.037444	232
32688	165645	20690	2013-08-04 17:51:52.041325	2013-08-04 17:51:52.041325	232
32689	165645	20696	2013-08-04 17:51:52.046624	2013-08-04 17:51:52.046624	232
32690	165645	20635	2013-08-04 17:51:52.050186	2013-08-04 17:51:52.050186	232
32691	165650	26411	2013-08-04 17:51:52.079625	2013-08-04 17:51:52.079625	232
32692	165650	26399	2013-08-04 17:51:52.085946	2013-08-04 17:51:52.085946	232
32693	165650	26379	2013-08-04 17:51:52.091294	2013-08-04 17:51:52.091294	232
32694	165650	26312	2013-08-04 17:51:52.095688	2013-08-04 17:51:52.095688	232
32695	165650	26363	2013-08-04 17:51:52.100089	2013-08-04 17:51:52.100089	232
32696	165650	3118	2013-08-04 17:51:52.104645	2013-08-04 17:51:52.104645	232
32697	165650	3107	2013-08-04 17:51:52.108884	2013-08-04 17:51:52.108884	232
32698	165650	26359	2013-08-04 17:51:52.11299	2013-08-04 17:51:52.11299	232
32699	165650	26339	2013-08-04 17:51:52.116957	2013-08-04 17:51:52.116957	232
32700	165650	2949	2013-08-04 17:51:52.122394	2013-08-04 17:51:52.122394	232
32701	165650	26319	2013-08-04 17:51:52.127946	2013-08-04 17:51:52.127946	232
32702	165650	26299	2013-08-04 17:51:52.132358	2013-08-04 17:51:52.132358	232
32703	165650	26261	2013-08-04 17:51:52.136718	2013-08-04 17:51:52.136718	232
32704	165650	26279	2013-08-04 17:51:52.141162	2013-08-04 17:51:52.141162	232
32705	165650	26259	2013-08-04 17:51:52.145613	2013-08-04 17:51:52.145613	232
32706	165650	26239	2013-08-04 17:51:52.150206	2013-08-04 17:51:52.150206	232
32707	165650	26281	2013-08-04 17:51:52.15609	2013-08-04 17:51:52.15609	232
32708	165650	26219	2013-08-04 17:51:52.162362	2013-08-04 17:51:52.162362	232
32709	165650	26199	2013-08-04 17:51:52.172244	2013-08-04 17:51:52.172244	232
32710	165830	4767	2013-08-04 17:51:52.442454	2013-08-04 17:51:52.442454	232
32711	165830	22677	2013-08-04 17:51:52.446939	2013-08-04 17:51:52.446939	232
32712	165830	4747	2013-08-04 17:51:52.452088	2013-08-04 17:51:52.452088	232
32713	165407	4189	2013-08-04 17:51:52.461543	2013-08-04 17:51:52.461543	232
32714	165407	4727	2013-08-04 17:51:52.468399	2013-08-04 17:51:52.468399	232
32715	165407	9045	2013-08-04 17:51:52.473283	2013-08-04 17:51:52.473283	232
32716	165337	19848	2013-08-04 17:51:52.494104	2013-08-04 17:51:52.494104	232
32717	165337	11968	2013-08-04 17:51:52.505061	2013-08-04 17:51:52.505061	232
32718	165337	12278	2013-08-04 17:51:52.516381	2013-08-04 17:51:52.516381	232
32719	165274	12471	2013-08-04 17:51:52.538893	2013-08-04 17:51:52.538893	232
32720	165274	4616	2013-08-04 17:51:52.609114	2013-08-04 17:51:52.609114	232
32721	165274	4636	2013-08-04 17:51:52.620735	2013-08-04 17:51:52.620735	232
32722	165220	4692	2013-08-04 17:51:52.630362	2013-08-04 17:51:52.630362	232
32723	165220	4697	2013-08-04 17:51:52.635458	2013-08-04 17:51:52.635458	232
32724	165220	4590	2013-08-04 17:51:52.640103	2013-08-04 17:51:52.640103	232
32725	165240	20108	2013-08-04 17:51:52.661121	2013-08-04 17:51:52.661121	232
32726	165240	19368	2013-08-04 17:51:52.670013	2013-08-04 17:51:52.670013	232
32727	165240	4726	2013-08-04 17:51:52.679041	2013-08-04 17:51:52.679041	232
32728	165240	4626	2013-08-04 17:51:52.688183	2013-08-04 17:51:52.688183	232
32729	165240	8005	2013-08-04 17:51:52.697327	2013-08-04 17:51:52.697327	232
32730	165240	4745	2013-08-04 17:51:52.707128	2013-08-04 17:51:52.707128	232
32731	165240	4756	2013-08-04 17:51:52.717086	2013-08-04 17:51:52.717086	232
32732	165240	4776	2013-08-04 17:51:52.727249	2013-08-04 17:51:52.727249	232
32733	165240	4736	2013-08-04 17:51:52.736833	2013-08-04 17:51:52.736833	232
32734	165237	4737	2013-08-04 17:51:52.758429	2013-08-04 17:51:52.758429	232
32735	165237	4712	2013-08-04 17:51:52.767319	2013-08-04 17:51:52.767319	232
32736	165237	4732	2013-08-04 17:51:52.774454	2013-08-04 17:51:52.774454	232
32737	165237	4752	2013-08-04 17:51:52.779101	2013-08-04 17:51:52.779101	232
32738	165237	4772	2013-08-04 17:51:52.783745	2013-08-04 17:51:52.783745	232
32739	165237	4797	2013-08-04 17:51:52.788253	2013-08-04 17:51:52.788253	232
32740	165237	4867	2013-08-04 17:51:52.792828	2013-08-04 17:51:52.792828	232
32741	165237	4847	2013-08-04 17:51:52.798682	2013-08-04 17:51:52.798682	232
32742	165237	4827	2013-08-04 17:51:52.806847	2013-08-04 17:51:52.806847	232
32743	165331	32588	2013-08-04 17:51:52.838125	2013-08-04 17:51:52.838125	232
32744	165331	32568	2013-08-04 17:51:52.845893	2013-08-04 17:51:52.845893	232
32745	165331	32548	2013-08-04 17:51:52.855975	2013-08-04 17:51:52.855975	232
32746	165331	32528	2013-08-04 17:51:52.895202	2013-08-04 17:51:52.895202	232
32747	165331	32508	2013-08-04 17:51:52.906422	2013-08-04 17:51:52.906422	232
32748	165331	28572	2013-08-04 17:51:52.915131	2013-08-04 17:51:52.915131	232
32749	165331	32440	2013-08-04 17:51:52.924427	2013-08-04 17:51:52.924427	232
32750	165331	40743	2013-08-04 17:51:52.930186	2013-08-04 17:51:52.930186	232
32751	165331	32488	2013-08-04 17:51:52.939417	2013-08-04 17:51:52.939417	232
32752	165331	32468	2013-08-04 17:51:52.947381	2013-08-04 17:51:52.947381	232
32753	165331	32397	2013-08-04 17:51:52.956963	2013-08-04 17:51:52.956963	232
32754	165331	32448	2013-08-04 17:51:52.967814	2013-08-04 17:51:52.967814	232
32755	165331	32428	2013-08-04 17:51:52.978823	2013-08-04 17:51:52.978823	232
32756	165331	32352	2013-08-04 17:51:52.992096	2013-08-04 17:51:52.992096	232
32757	165331	32408	2013-08-04 17:51:53.005336	2013-08-04 17:51:53.005336	232
32758	165331	32470	2013-08-04 17:51:53.010268	2013-08-04 17:51:53.010268	232
32759	165331	32388	2013-08-04 17:51:53.016844	2013-08-04 17:51:53.016844	232
32760	165331	32368	2013-08-04 17:51:53.022186	2013-08-04 17:51:53.022186	232
32761	165331	20108	2013-08-04 17:51:53.025931	2013-08-04 17:51:53.025931	232
32762	165445	28752	2013-08-04 17:51:53.194625	2013-08-04 17:51:53.194625	232
32763	165445	40950	2013-08-04 17:51:53.202977	2013-08-04 17:51:53.202977	232
32764	165445	22706	2013-08-04 17:51:53.207482	2013-08-04 17:51:53.207482	232
32765	165445	41321	2013-08-04 17:51:53.211369	2013-08-04 17:51:53.211369	232
32766	165445	12716	2013-08-04 17:51:53.21955	2013-08-04 17:51:53.21955	232
32767	165445	12856	2013-08-04 17:51:53.22788	2013-08-04 17:51:53.22788	232
32768	165445	29321	2013-08-04 17:51:53.236047	2013-08-04 17:51:53.236047	232
32769	165445	19821	2013-08-04 17:51:53.243998	2013-08-04 17:51:53.243998	232
32770	165445	36603	2013-08-04 17:51:53.252087	2013-08-04 17:51:53.252087	232
32771	165445	34603	2013-08-04 17:51:53.260004	2013-08-04 17:51:53.260004	232
32772	165445	17210	2013-08-04 17:51:53.267685	2013-08-04 17:51:53.267685	232
32773	165445	47723	2013-08-04 17:51:53.275313	2013-08-04 17:51:53.275313	232
32774	165445	2406	2013-08-04 17:51:53.282962	2013-08-04 17:51:53.282962	232
32775	165445	36803	2013-08-04 17:51:53.290626	2013-08-04 17:51:53.290626	232
32776	165445	22353	2013-08-04 17:51:53.298185	2013-08-04 17:51:53.298185	232
32777	165445	19781	2013-08-04 17:51:53.305815	2013-08-04 17:51:53.305815	232
32778	165445	35623	2013-08-04 17:51:53.313653	2013-08-04 17:51:53.313653	232
32779	165445	17336	2013-08-04 17:51:53.32144	2013-08-04 17:51:53.32144	232
32780	165445	28450	2013-08-04 17:51:53.329365	2013-08-04 17:51:53.329365	232
32781	165440	28752	2013-08-04 17:51:53.357572	2013-08-04 17:51:53.357572	232
32782	165440	40950	2013-08-04 17:51:53.365551	2013-08-04 17:51:53.365551	232
32783	165440	22706	2013-08-04 17:51:53.373429	2013-08-04 17:51:53.373429	232
32784	165440	41321	2013-08-04 17:51:53.381385	2013-08-04 17:51:53.381385	232
32785	165440	12716	2013-08-04 17:51:53.389161	2013-08-04 17:51:53.389161	232
32786	165440	12856	2013-08-04 17:51:53.396818	2013-08-04 17:51:53.396818	232
32787	165440	29321	2013-08-04 17:51:53.405045	2013-08-04 17:51:53.405045	232
32788	165440	19821	2013-08-04 17:51:53.41331	2013-08-04 17:51:53.41331	232
32789	165440	36603	2013-08-04 17:51:53.421471	2013-08-04 17:51:53.421471	232
32790	165440	34603	2013-08-04 17:51:53.429677	2013-08-04 17:51:53.429677	232
32791	165440	17210	2013-08-04 17:51:53.437869	2013-08-04 17:51:53.437869	232
32792	165440	47723	2013-08-04 17:51:53.446209	2013-08-04 17:51:53.446209	232
32793	165440	2406	2013-08-04 17:51:53.454602	2013-08-04 17:51:53.454602	232
32794	165440	36803	2013-08-04 17:51:53.463178	2013-08-04 17:51:53.463178	232
32795	165440	22353	2013-08-04 17:51:53.472416	2013-08-04 17:51:53.472416	232
32796	165440	19781	2013-08-04 17:51:53.481078	2013-08-04 17:51:53.481078	232
32797	165440	35623	2013-08-04 17:51:53.486394	2013-08-04 17:51:53.486394	232
32798	165440	17336	2013-08-04 17:51:53.492859	2013-08-04 17:51:53.492859	232
32799	165440	28450	2013-08-04 17:51:53.497096	2013-08-04 17:51:53.497096	232
32800	165549	44917	2013-08-04 17:51:53.539018	2013-08-04 17:51:53.539018	232
32801	165549	44870	2013-08-04 17:51:53.542643	2013-08-04 17:51:53.542643	232
32802	165549	44885	2013-08-04 17:51:53.546465	2013-08-04 17:51:53.546465	232
32803	165549	44897	2013-08-04 17:51:53.549942	2013-08-04 17:51:53.549942	232
32804	165549	44877	2013-08-04 17:51:53.553221	2013-08-04 17:51:53.553221	232
32805	165549	44857	2013-08-04 17:51:53.560122	2013-08-04 17:51:53.560122	232
32806	165549	44801	2013-08-04 17:51:53.568786	2013-08-04 17:51:53.568786	232
32807	165549	44837	2013-08-04 17:51:53.578575	2013-08-04 17:51:53.578575	232
32808	165549	31133	2013-08-04 17:51:53.589631	2013-08-04 17:51:53.589631	232
32809	165498	30865	2013-08-04 17:51:53.611183	2013-08-04 17:51:53.611183	232
32810	165498	30473	2013-08-04 17:51:53.621414	2013-08-04 17:51:53.621414	232
32811	165498	30438	2013-08-04 17:51:53.631432	2013-08-04 17:51:53.631432	232
32812	165498	29953	2013-08-04 17:51:53.642535	2013-08-04 17:51:53.642535	232
32813	165498	29412	2013-08-04 17:51:53.653421	2013-08-04 17:51:53.653421	232
32814	165498	29070	2013-08-04 17:51:53.663135	2013-08-04 17:51:53.663135	232
32815	165498	28990	2013-08-04 17:51:53.673159	2013-08-04 17:51:53.673159	232
32816	165498	19921	2013-08-04 17:51:53.683969	2013-08-04 17:51:53.683969	232
32817	165498	16953	2013-08-04 17:51:53.694797	2013-08-04 17:51:53.694797	232
32818	166020	27237	2013-08-04 17:56:48.962435	2013-08-04 17:56:48.962435	233
32819	166020	31498	2013-08-04 17:56:48.975748	2013-08-04 17:56:48.975748	233
32820	166020	31546	2013-08-04 17:56:48.987589	2013-08-04 17:56:48.987589	233
32821	166020	31526	2013-08-04 17:56:48.998779	2013-08-04 17:56:48.998779	233
32822	166020	31506	2013-08-04 17:56:49.007991	2013-08-04 17:56:49.007991	233
32823	166020	31486	2013-08-04 17:56:49.018944	2013-08-04 17:56:49.018944	233
32824	166020	31437	2013-08-04 17:56:49.03062	2013-08-04 17:56:49.03062	233
32825	166020	31466	2013-08-04 17:56:49.042657	2013-08-04 17:56:49.042657	233
32826	166020	31446	2013-08-04 17:56:49.054748	2013-08-04 17:56:49.054748	233
32827	166020	31465	2013-08-04 17:56:49.06728	2013-08-04 17:56:49.06728	233
32828	166020	31426	2013-08-04 17:56:49.079127	2013-08-04 17:56:49.079127	233
32829	166020	31406	2013-08-04 17:56:49.090976	2013-08-04 17:56:49.090976	233
32830	166020	31401	2013-08-04 17:56:49.102746	2013-08-04 17:56:49.102746	233
32831	166020	31386	2013-08-04 17:56:49.114788	2013-08-04 17:56:49.114788	233
32832	166020	31292	2013-08-04 17:56:49.125982	2013-08-04 17:56:49.125982	233
32833	166020	31366	2013-08-04 17:56:49.13702	2013-08-04 17:56:49.13702	233
32834	166020	31346	2013-08-04 17:56:49.14781	2013-08-04 17:56:49.14781	233
32835	166020	31326	2013-08-04 17:56:49.158989	2013-08-04 17:56:49.158989	233
32836	166020	31285	2013-08-04 17:56:49.169987	2013-08-04 17:56:49.169987	233
32837	166018	32817	2013-08-04 17:56:49.199223	2013-08-04 17:56:49.199223	233
32838	166018	32808	2013-08-04 17:56:49.205413	2013-08-04 17:56:49.205413	233
32839	166018	32788	2013-08-04 17:56:49.210381	2013-08-04 17:56:49.210381	233
32840	166018	32768	2013-08-04 17:56:49.215261	2013-08-04 17:56:49.215261	233
32841	166018	32748	2013-08-04 17:56:49.219955	2013-08-04 17:56:49.219955	233
32842	166018	32803	2013-08-04 17:56:49.224452	2013-08-04 17:56:49.224452	233
32843	166018	11099	2013-08-04 17:56:49.228516	2013-08-04 17:56:49.228516	233
32844	166018	32728	2013-08-04 17:56:49.2326	2013-08-04 17:56:49.2326	233
32845	166018	32708	2013-08-04 17:56:49.237544	2013-08-04 17:56:49.237544	233
32846	166018	32697	2013-08-04 17:56:49.244749	2013-08-04 17:56:49.244749	233
32847	166018	32688	2013-08-04 17:56:49.249795	2013-08-04 17:56:49.249795	233
32848	166018	32668	2013-08-04 17:56:49.253473	2013-08-04 17:56:49.253473	233
32849	166018	32597	2013-08-04 17:56:49.257351	2013-08-04 17:56:49.257351	233
32850	166018	32640	2013-08-04 17:56:49.262186	2013-08-04 17:56:49.262186	233
32851	166018	32623	2013-08-04 17:56:49.269939	2013-08-04 17:56:49.269939	233
32852	166018	32648	2013-08-04 17:56:49.280973	2013-08-04 17:56:49.280973	233
32853	166018	32600	2013-08-04 17:56:49.292047	2013-08-04 17:56:49.292047	233
32854	166018	32628	2013-08-04 17:56:49.303524	2013-08-04 17:56:49.303524	233
32855	166018	32608	2013-08-04 17:56:49.315081	2013-08-04 17:56:49.315081	233
32856	166327	28752	2013-08-04 17:56:49.514734	2013-08-04 17:56:49.514734	233
32857	166327	40950	2013-08-04 17:56:49.523578	2013-08-04 17:56:49.523578	233
32858	166327	22706	2013-08-04 17:56:49.532169	2013-08-04 17:56:49.532169	233
32859	166327	41321	2013-08-04 17:56:49.540294	2013-08-04 17:56:49.540294	233
32860	166327	12716	2013-08-04 17:56:49.548707	2013-08-04 17:56:49.548707	233
32861	166327	12856	2013-08-04 17:56:49.557387	2013-08-04 17:56:49.557387	233
32862	166327	29321	2013-08-04 17:56:49.566492	2013-08-04 17:56:49.566492	233
32863	166327	19821	2013-08-04 17:56:49.575254	2013-08-04 17:56:49.575254	233
32864	166327	36603	2013-08-04 17:56:49.582967	2013-08-04 17:56:49.582967	233
32865	166327	34603	2013-08-04 17:56:49.586102	2013-08-04 17:56:49.586102	233
32866	166327	17210	2013-08-04 17:56:49.58894	2013-08-04 17:56:49.58894	233
32867	166327	47723	2013-08-04 17:56:49.591657	2013-08-04 17:56:49.591657	233
32868	166327	2406	2013-08-04 17:56:49.594236	2013-08-04 17:56:49.594236	233
32869	166327	36803	2013-08-04 17:56:49.59715	2013-08-04 17:56:49.59715	233
32870	166327	22353	2013-08-04 17:56:49.600626	2013-08-04 17:56:49.600626	233
32871	166327	19781	2013-08-04 17:56:49.604186	2013-08-04 17:56:49.604186	233
32872	166327	35623	2013-08-04 17:56:49.607704	2013-08-04 17:56:49.607704	233
32873	166327	17336	2013-08-04 17:56:49.61054	2013-08-04 17:56:49.61054	233
32874	166327	28450	2013-08-04 17:56:49.614496	2013-08-04 17:56:49.614496	233
32875	166329	28752	2013-08-04 17:56:49.637734	2013-08-04 17:56:49.637734	233
32876	166329	40950	2013-08-04 17:56:49.646472	2013-08-04 17:56:49.646472	233
32877	166329	22706	2013-08-04 17:56:49.654203	2013-08-04 17:56:49.654203	233
32878	166329	41321	2013-08-04 17:56:49.662682	2013-08-04 17:56:49.662682	233
32879	166329	12716	2013-08-04 17:56:49.670994	2013-08-04 17:56:49.670994	233
32880	166329	12856	2013-08-04 17:56:49.679183	2013-08-04 17:56:49.679183	233
32881	166329	29321	2013-08-04 17:56:49.687387	2013-08-04 17:56:49.687387	233
32882	166329	19821	2013-08-04 17:56:49.695598	2013-08-04 17:56:49.695598	233
32883	166329	36603	2013-08-04 17:56:49.703921	2013-08-04 17:56:49.703921	233
32884	166329	34603	2013-08-04 17:56:49.71282	2013-08-04 17:56:49.71282	233
32885	166329	17210	2013-08-04 17:56:49.721163	2013-08-04 17:56:49.721163	233
32886	166329	47723	2013-08-04 17:56:49.729391	2013-08-04 17:56:49.729391	233
32887	166329	2406	2013-08-04 17:56:49.737563	2013-08-04 17:56:49.737563	233
32888	166329	36803	2013-08-04 17:56:49.745726	2013-08-04 17:56:49.745726	233
32889	166329	22353	2013-08-04 17:56:49.75401	2013-08-04 17:56:49.75401	233
32890	166329	19781	2013-08-04 17:56:49.762719	2013-08-04 17:56:49.762719	233
32891	166329	35623	2013-08-04 17:56:49.771365	2013-08-04 17:56:49.771365	233
32892	166329	17336	2013-08-04 17:56:49.780165	2013-08-04 17:56:49.780165	233
32893	166329	28450	2013-08-04 17:56:49.788426	2013-08-04 17:56:49.788426	233
32894	166330	40950	2013-08-04 17:56:49.823244	2013-08-04 17:56:49.823244	233
32895	166330	22706	2013-08-04 17:56:49.83208	2013-08-04 17:56:49.83208	233
32896	166330	41321	2013-08-04 17:56:49.840046	2013-08-04 17:56:49.840046	233
32897	166330	12716	2013-08-04 17:56:49.84555	2013-08-04 17:56:49.84555	233
32898	166330	12856	2013-08-04 17:56:49.849138	2013-08-04 17:56:49.849138	233
32899	166330	29321	2013-08-04 17:56:49.852536	2013-08-04 17:56:49.852536	233
32900	166330	19821	2013-08-04 17:56:49.856048	2013-08-04 17:56:49.856048	233
32901	166330	36603	2013-08-04 17:56:49.860369	2013-08-04 17:56:49.860369	233
32902	166330	34603	2013-08-04 17:56:49.865169	2013-08-04 17:56:49.865169	233
32903	166026	17210	2013-08-04 17:56:49.876196	2013-08-04 17:56:49.876196	233
32904	166026	47723	2013-08-04 17:56:49.888779	2013-08-04 17:56:49.888779	233
32905	166026	2406	2013-08-04 17:56:49.892643	2013-08-04 17:56:49.892643	233
32906	166026	36803	2013-08-04 17:56:49.896529	2013-08-04 17:56:49.896529	233
32907	166026	22353	2013-08-04 17:56:49.90085	2013-08-04 17:56:49.90085	233
32908	166026	19781	2013-08-04 17:56:49.904897	2013-08-04 17:56:49.904897	233
32909	166026	35623	2013-08-04 17:56:49.909257	2013-08-04 17:56:49.909257	233
32910	166026	17336	2013-08-04 17:56:49.925035	2013-08-04 17:56:49.925035	233
32911	166026	28450	2013-08-04 17:56:49.933424	2013-08-04 17:56:49.933424	233
32912	166715	7749	2013-08-04 17:56:50.348511	2013-08-04 17:56:50.348511	233
32913	166715	36863	2013-08-04 17:56:50.359232	2013-08-04 17:56:50.359232	233
32914	166715	7329	2013-08-04 17:56:50.36873	2013-08-04 17:56:50.36873	233
32915	166715	31535	2013-08-04 17:56:50.378848	2013-08-04 17:56:50.378848	233
32916	166715	36763	2013-08-04 17:56:50.389093	2013-08-04 17:56:50.389093	233
32917	166715	35383	2013-08-04 17:56:50.399338	2013-08-04 17:56:50.399338	233
32918	166715	20161	2013-08-04 17:56:50.409404	2013-08-04 17:56:50.409404	233
32919	166715	34503	2013-08-04 17:56:50.42061	2013-08-04 17:56:50.42061	233
32920	166715	36903	2013-08-04 17:56:50.430607	2013-08-04 17:56:50.430607	233
32921	166715	26300	2013-08-04 17:56:50.438547	2013-08-04 17:56:50.438547	233
32922	166715	16961	2013-08-04 17:56:50.450018	2013-08-04 17:56:50.450018	233
32923	166715	14455	2013-08-04 17:56:50.460944	2013-08-04 17:56:50.460944	233
32924	166715	29495	2013-08-04 17:56:50.471935	2013-08-04 17:56:50.471935	233
32925	166715	19203	2013-08-04 17:56:50.482927	2013-08-04 17:56:50.482927	233
32926	166715	36823	2013-08-04 17:56:50.494264	2013-08-04 17:56:50.494264	233
32927	166715	28975	2013-08-04 17:56:50.505095	2013-08-04 17:56:50.505095	233
32928	166715	20021	2013-08-04 17:56:50.51665	2013-08-04 17:56:50.51665	233
32929	166715	34723	2013-08-04 17:56:50.528414	2013-08-04 17:56:50.528414	233
32930	166715	36643	2013-08-04 17:56:50.540465	2013-08-04 17:56:50.540465	233
32931	166717	4918	2013-08-04 17:56:50.57781	2013-08-04 17:56:50.57781	233
32932	166717	4932	2013-08-04 17:56:50.589765	2013-08-04 17:56:50.589765	233
32933	166717	4952	2013-08-04 17:56:50.601661	2013-08-04 17:56:50.601661	233
32934	166717	4972	2013-08-04 17:56:50.613364	2013-08-04 17:56:50.613364	233
32935	166717	4992	2013-08-04 17:56:50.624848	2013-08-04 17:56:50.624848	233
32936	166717	5012	2013-08-04 17:56:50.636111	2013-08-04 17:56:50.636111	233
32937	166717	4948	2013-08-04 17:56:50.64733	2013-08-04 17:56:50.64733	233
32938	166717	4968	2013-08-04 17:56:50.658911	2013-08-04 17:56:50.658911	233
32939	166717	4988	2013-08-04 17:56:50.669973	2013-08-04 17:56:50.669973	233
32940	166717	5008	2013-08-04 17:56:50.681059	2013-08-04 17:56:50.681059	233
32941	166717	5007	2013-08-04 17:56:50.692497	2013-08-04 17:56:50.692497	233
32942	166717	4987	2013-08-04 17:56:50.703778	2013-08-04 17:56:50.703778	233
32943	166717	4967	2013-08-04 17:56:50.714984	2013-08-04 17:56:50.714984	233
32944	166717	4947	2013-08-04 17:56:50.725962	2013-08-04 17:56:50.725962	233
32945	166717	4927	2013-08-04 17:56:50.73713	2013-08-04 17:56:50.73713	233
32946	166717	5024	2013-08-04 17:56:50.748021	2013-08-04 17:56:50.748021	233
32947	166717	5419	2013-08-04 17:56:50.762931	2013-08-04 17:56:50.762931	233
32948	166717	4907	2013-08-04 17:56:50.775584	2013-08-04 17:56:50.775584	233
32949	166717	4887	2013-08-04 17:56:50.787279	2013-08-04 17:56:50.787279	233
32950	166718	24551	2013-08-04 17:56:50.840595	2013-08-04 17:56:50.840595	233
32951	166718	33048	2013-08-04 17:56:50.853111	2013-08-04 17:56:50.853111	233
32952	166718	33028	2013-08-04 17:56:50.866408	2013-08-04 17:56:50.866408	233
32953	166718	33015	2013-08-04 17:56:50.878982	2013-08-04 17:56:50.878982	233
32954	166718	33008	2013-08-04 17:56:50.892437	2013-08-04 17:56:50.892437	233
32955	166718	32988	2013-08-04 17:56:50.904974	2013-08-04 17:56:50.904974	233
32956	166718	33121	2013-08-04 17:56:50.911146	2013-08-04 17:56:50.911146	233
32957	166718	32997	2013-08-04 17:56:50.917182	2013-08-04 17:56:50.917182	233
32958	166718	32898	2013-08-04 17:56:50.922067	2013-08-04 17:56:50.922067	233
32959	166362	32968	2013-08-04 17:56:50.932729	2013-08-04 17:56:50.932729	233
32960	166362	32948	2013-08-04 17:56:50.940095	2013-08-04 17:56:50.940095	233
32961	166362	15351	2013-08-04 17:56:50.946168	2013-08-04 17:56:50.946168	233
32962	166362	32928	2013-08-04 17:56:50.950916	2013-08-04 17:56:50.950916	233
32963	166362	32908	2013-08-04 17:56:50.954438	2013-08-04 17:56:50.954438	233
32964	166362	32888	2013-08-04 17:56:50.96002	2013-08-04 17:56:50.96002	233
32965	166362	32868	2013-08-04 17:56:50.965131	2013-08-04 17:56:50.965131	233
32966	166362	32848	2013-08-04 17:56:50.969754	2013-08-04 17:56:50.969754	233
32967	166362	32828	2013-08-04 17:56:50.973267	2013-08-04 17:56:50.973267	233
32968	166723	18170	2013-08-04 17:56:50.98573	2013-08-04 17:56:50.98573	233
32969	166723	3281	2013-08-04 17:56:50.98919	2013-08-04 17:56:50.98919	233
32970	166723	48701	2013-08-04 17:56:50.992814	2013-08-04 17:56:50.992814	233
32971	166723	10689	2013-08-04 17:56:50.996709	2013-08-04 17:56:50.996709	233
32972	166723	10696	2013-08-04 17:56:51.001171	2013-08-04 17:56:51.001171	233
32973	166723	10660	2013-08-04 17:56:51.005644	2013-08-04 17:56:51.005644	233
32974	166723	10538	2013-08-04 17:56:51.009165	2013-08-04 17:56:51.009165	233
32975	166723	10669	2013-08-04 17:56:51.012909	2013-08-04 17:56:51.012909	233
32976	166723	10649	2013-08-04 17:56:51.020693	2013-08-04 17:56:51.020693	233
32977	166723	10526	2013-08-04 17:56:51.028614	2013-08-04 17:56:51.028614	233
32978	166723	10629	2013-08-04 17:56:51.0325	2013-08-04 17:56:51.0325	233
32979	166723	10609	2013-08-04 17:56:51.036427	2013-08-04 17:56:51.036427	233
32980	166723	10412	2013-08-04 17:56:51.043282	2013-08-04 17:56:51.043282	233
32981	166723	10589	2013-08-04 17:56:51.052315	2013-08-04 17:56:51.052315	233
32982	166723	7524	2013-08-04 17:56:51.063332	2013-08-04 17:56:51.063332	233
32983	166723	8710	2013-08-04 17:56:51.07577	2013-08-04 17:56:51.07577	233
32984	166723	10569	2013-08-04 17:56:51.088438	2013-08-04 17:56:51.088438	233
32985	166723	10549	2013-08-04 17:56:51.09655	2013-08-04 17:56:51.09655	233
32986	166723	10529	2013-08-04 17:56:51.10546	2013-08-04 17:56:51.10546	233
32987	166266	31593	2013-08-04 17:56:51.189966	2013-08-04 17:56:51.189966	233
32988	166266	3697	2013-08-04 17:56:51.202657	2013-08-04 17:56:51.202657	233
32989	166266	31573	2013-08-04 17:56:51.215766	2013-08-04 17:56:51.215766	233
32990	166266	31553	2013-08-04 17:56:51.228235	2013-08-04 17:56:51.228235	233
32991	166266	31540	2013-08-04 17:56:51.240337	2013-08-04 17:56:51.240337	233
32992	166266	31533	2013-08-04 17:56:51.2523	2013-08-04 17:56:51.2523	233
32993	166266	31513	2013-08-04 17:56:51.264056	2013-08-04 17:56:51.264056	233
32994	166266	31493	2013-08-04 17:56:51.275243	2013-08-04 17:56:51.275243	233
32995	166266	31473	2013-08-04 17:56:51.279828	2013-08-04 17:56:51.279828	233
32996	166266	31453	2013-08-04 17:56:51.284547	2013-08-04 17:56:51.284547	233
32997	166266	31430	2013-08-04 17:56:51.290556	2013-08-04 17:56:51.290556	233
32998	166266	31433	2013-08-04 17:56:51.294911	2013-08-04 17:56:51.294911	233
32999	166266	31521	2013-08-04 17:56:51.301489	2013-08-04 17:56:51.301489	233
33000	166266	31413	2013-08-04 17:56:51.305666	2013-08-04 17:56:51.305666	233
33001	166266	31415	2013-08-04 17:56:51.309563	2013-08-04 17:56:51.309563	233
33002	166266	27221	2013-08-04 17:56:51.313649	2013-08-04 17:56:51.313649	233
33003	166266	31393	2013-08-04 17:56:51.318344	2013-08-04 17:56:51.318344	233
33004	166266	31332	2013-08-04 17:56:51.323463	2013-08-04 17:56:51.323463	233
33005	166266	31373	2013-08-04 17:56:51.329037	2013-08-04 17:56:51.329037	233
33006	166331	7749	2013-08-04 17:56:51.349549	2013-08-04 17:56:51.349549	233
33007	166331	47603	2013-08-04 17:56:51.35673	2013-08-04 17:56:51.35673	233
33008	166331	7066	2013-08-04 17:56:51.36499	2013-08-04 17:56:51.36499	233
33009	166331	15730	2013-08-04 17:56:51.373311	2013-08-04 17:56:51.373311	233
33010	166331	7789	2013-08-04 17:56:51.380205	2013-08-04 17:56:51.380205	233
33011	166331	16543	2013-08-04 17:56:51.382782	2013-08-04 17:56:51.382782	233
33012	166331	2849	2013-08-04 17:56:51.38601	2013-08-04 17:56:51.38601	233
33013	166331	36343	2013-08-04 17:56:51.38916	2013-08-04 17:56:51.38916	233
33014	166331	15506	2013-08-04 17:56:51.396472	2013-08-04 17:56:51.396472	233
33015	166331	47783	2013-08-04 17:56:51.404169	2013-08-04 17:56:51.404169	233
33016	166331	40950	2013-08-04 17:56:51.412442	2013-08-04 17:56:51.412442	233
33017	166331	22706	2013-08-04 17:56:51.421187	2013-08-04 17:56:51.421187	233
33018	166331	41321	2013-08-04 17:56:51.429539	2013-08-04 17:56:51.429539	233
33019	166331	12716	2013-08-04 17:56:51.432817	2013-08-04 17:56:51.432817	233
33020	166331	12856	2013-08-04 17:56:51.435495	2013-08-04 17:56:51.435495	233
33021	166331	29321	2013-08-04 17:56:51.438142	2013-08-04 17:56:51.438142	233
33022	166331	19821	2013-08-04 17:56:51.440686	2013-08-04 17:56:51.440686	233
33023	166331	36603	2013-08-04 17:56:51.443185	2013-08-04 17:56:51.443185	233
33024	166331	34603	2013-08-04 17:56:51.445711	2013-08-04 17:56:51.445711	233
33025	166725	21036	2013-08-04 17:56:51.479818	2013-08-04 17:56:51.479818	233
33026	166725	21016	2013-08-04 17:56:51.48826	2013-08-04 17:56:51.48826	233
33027	166725	20996	2013-08-04 17:56:51.493831	2013-08-04 17:56:51.493831	233
33028	166725	20995	2013-08-04 17:56:51.559411	2013-08-04 17:56:51.559411	233
33029	166725	20970	2013-08-04 17:56:51.56523	2013-08-04 17:56:51.56523	233
33030	166725	20976	2013-08-04 17:56:51.570234	2013-08-04 17:56:51.570234	233
33031	166725	33610	2013-08-04 17:56:51.57528	2013-08-04 17:56:51.57528	233
33032	166725	20956	2013-08-04 17:56:51.58008	2013-08-04 17:56:51.58008	233
33033	166725	20936	2013-08-04 17:56:51.589293	2013-08-04 17:56:51.589293	233
33034	166725	20923	2013-08-04 17:56:51.601022	2013-08-04 17:56:51.601022	233
33035	166725	20916	2013-08-04 17:56:51.612105	2013-08-04 17:56:51.612105	233
33036	166725	20886	2013-08-04 17:56:51.622797	2013-08-04 17:56:51.622797	233
33037	166725	20896	2013-08-04 17:56:51.634388	2013-08-04 17:56:51.634388	233
33038	166725	20760	2013-08-04 17:56:51.646217	2013-08-04 17:56:51.646217	233
33039	166725	20876	2013-08-04 17:56:51.657342	2013-08-04 17:56:51.657342	233
33040	166725	20856	2013-08-04 17:56:51.66817	2013-08-04 17:56:51.66817	233
33041	166725	20836	2013-08-04 17:56:51.67905	2013-08-04 17:56:51.67905	233
33042	166725	20743	2013-08-04 17:56:51.690022	2013-08-04 17:56:51.690022	233
33043	166725	20816	2013-08-04 17:56:51.701016	2013-08-04 17:56:51.701016	233
33044	166547	45257	2013-08-04 17:56:51.749081	2013-08-04 17:56:51.749081	233
33045	166547	45237	2013-08-04 17:56:51.760912	2013-08-04 17:56:51.760912	233
33046	166547	45217	2013-08-04 17:56:51.771893	2013-08-04 17:56:51.771893	233
33047	166547	45170	2013-08-04 17:56:51.783106	2013-08-04 17:56:51.783106	233
33048	166547	45197	2013-08-04 17:56:51.794505	2013-08-04 17:56:51.794505	233
33049	166547	45177	2013-08-04 17:56:51.805457	2013-08-04 17:56:51.805457	233
33050	166547	45157	2013-08-04 17:56:51.81646	2013-08-04 17:56:51.81646	233
33051	166547	45172	2013-08-04 17:56:51.833213	2013-08-04 17:56:51.833213	233
33052	166547	45137	2013-08-04 17:56:51.844431	2013-08-04 17:56:51.844431	233
33053	166547	45117	2013-08-04 17:56:51.855825	2013-08-04 17:56:51.855825	233
33054	166547	45097	2013-08-04 17:56:51.863943	2013-08-04 17:56:51.863943	233
33055	166547	45077	2013-08-04 17:56:51.86765	2013-08-04 17:56:51.86765	233
33056	166547	45057	2013-08-04 17:56:51.871255	2013-08-04 17:56:51.871255	233
33057	166547	45037	2013-08-04 17:56:51.874928	2013-08-04 17:56:51.874928	233
33058	166547	45017	2013-08-04 17:56:51.878558	2013-08-04 17:56:51.878558	233
33059	166547	44997	2013-08-04 17:56:51.888632	2013-08-04 17:56:51.888632	233
33060	166547	44977	2013-08-04 17:56:51.897594	2013-08-04 17:56:51.897594	233
33061	166547	44938	2013-08-04 17:56:51.907056	2013-08-04 17:56:51.907056	233
33062	166547	44957	2013-08-04 17:56:51.918932	2013-08-04 17:56:51.918932	233
33063	166719	3018	2013-08-04 17:56:51.980902	2013-08-04 17:56:51.980902	233
33064	166719	2998	2013-08-04 17:56:51.98548	2013-08-04 17:56:51.98548	233
33065	166719	26519	2013-08-04 17:56:51.990121	2013-08-04 17:56:51.990121	233
33066	166719	3126	2013-08-04 17:56:51.994505	2013-08-04 17:56:51.994505	233
33067	166719	26525	2013-08-04 17:56:51.998993	2013-08-04 17:56:51.998993	233
33068	166719	3019	2013-08-04 17:56:52.005097	2013-08-04 17:56:52.005097	233
33069	166719	26499	2013-08-04 17:56:52.010443	2013-08-04 17:56:52.010443	233
33070	166719	37421	2013-08-04 17:56:52.015253	2013-08-04 17:56:52.015253	233
33071	166719	26479	2013-08-04 17:56:52.020733	2013-08-04 17:56:52.020733	233
33072	166529	21165	2013-08-04 17:56:52.037881	2013-08-04 17:56:52.037881	233
33073	166529	26459	2013-08-04 17:56:52.049116	2013-08-04 17:56:52.049116	233
33074	166529	21152	2013-08-04 17:56:52.059808	2013-08-04 17:56:52.059808	233
33075	166529	26439	2013-08-04 17:56:52.070235	2013-08-04 17:56:52.070235	233
33076	166529	26498	2013-08-04 17:56:52.080697	2013-08-04 17:56:52.080697	233
33077	166529	26419	2013-08-04 17:56:52.091609	2013-08-04 17:56:52.091609	233
33078	166529	4747	2013-08-04 17:56:52.102573	2013-08-04 17:56:52.102573	233
33079	166529	22677	2013-08-04 17:56:52.112892	2013-08-04 17:56:52.112892	233
33080	166529	4767	2013-08-04 17:56:52.123146	2013-08-04 17:56:52.123146	233
33081	166461	34663	2013-08-04 17:56:52.163663	2013-08-04 17:56:52.163663	233
33082	166461	36803	2013-08-04 17:56:52.175106	2013-08-04 17:56:52.175106	233
33083	166461	2406	2013-08-04 17:56:52.185913	2013-08-04 17:56:52.185913	233
33084	166461	47723	2013-08-04 17:56:52.196516	2013-08-04 17:56:52.196516	233
33085	166461	17210	2013-08-04 17:56:52.207024	2013-08-04 17:56:52.207024	233
33086	166461	28450	2013-08-04 17:56:52.217288	2013-08-04 17:56:52.217288	233
33087	166461	17336	2013-08-04 17:56:52.227629	2013-08-04 17:56:52.227629	233
33088	166461	35623	2013-08-04 17:56:52.237867	2013-08-04 17:56:52.237867	233
33089	166461	19781	2013-08-04 17:56:52.248625	2013-08-04 17:56:52.248625	233
33090	166461	22353	2013-08-04 17:56:52.258891	2013-08-04 17:56:52.258891	233
33091	166461	17301	2013-08-04 17:56:52.268729	2013-08-04 17:56:52.268729	233
33092	166461	28100	2013-08-04 17:56:52.278734	2013-08-04 17:56:52.278734	233
33093	166461	19761	2013-08-04 17:56:52.288864	2013-08-04 17:56:52.288864	233
33094	166461	21253	2013-08-04 17:56:52.300145	2013-08-04 17:56:52.300145	233
33095	166461	21319	2013-08-04 17:56:52.308587	2013-08-04 17:56:52.308587	233
33096	166461	28386	2013-08-04 17:56:52.312965	2013-08-04 17:56:52.312965	233
33097	166461	3924	2013-08-04 17:56:52.321263	2013-08-04 17:56:52.321263	233
33098	166461	17153	2013-08-04 17:56:52.326957	2013-08-04 17:56:52.326957	233
33099	166461	3095	2013-08-04 17:56:52.33192	2013-08-04 17:56:52.33192	233
33100	166618	29540	2013-08-04 17:56:52.607958	2013-08-04 17:56:52.607958	233
33101	166618	2215	2013-08-04 17:56:52.612111	2013-08-04 17:56:52.612111	233
33102	166618	10731	2013-08-04 17:56:52.615932	2013-08-04 17:56:52.615932	233
33103	166484	5047	2013-08-04 17:56:52.62329	2013-08-04 17:56:52.62329	233
33104	166484	9116	2013-08-04 17:56:52.627041	2013-08-04 17:56:52.627041	233
33105	166484	32721	2013-08-04 17:56:52.630622	2013-08-04 17:56:52.630622	233
33106	166449	18477	2013-08-04 17:56:52.647397	2013-08-04 17:56:52.647397	233
33107	166449	4397	2013-08-04 17:56:52.658651	2013-08-04 17:56:52.658651	233
33108	166449	5027	2013-08-04 17:56:52.669794	2013-08-04 17:56:52.669794	233
33109	166389	4886	2013-08-04 17:56:52.691808	2013-08-04 17:56:52.691808	233
33110	166389	4996	2013-08-04 17:56:52.70351	2013-08-04 17:56:52.70351	233
33111	166389	4956	2013-08-04 17:56:52.714531	2013-08-04 17:56:52.714531	233
33112	166214	4945	2013-08-04 17:56:52.737725	2013-08-04 17:56:52.737725	233
33113	166214	4965	2013-08-04 17:56:52.744055	2013-08-04 17:56:52.744055	233
33114	166214	4916	2013-08-04 17:56:52.751928	2013-08-04 17:56:52.751928	233
33115	166041	4870	2013-08-04 17:56:52.771953	2013-08-04 17:56:52.771953	233
33116	166041	4878	2013-08-04 17:56:52.783101	2013-08-04 17:56:52.783101	233
33117	166041	4898	2013-08-04 17:56:52.796795	2013-08-04 17:56:52.796795	233
33118	166464	5095	2013-08-04 17:56:52.839278	2013-08-04 17:56:52.839278	233
33119	166464	5115	2013-08-04 17:56:52.851171	2013-08-04 17:56:52.851171	233
33120	166464	5135	2013-08-04 17:56:52.862153	2013-08-04 17:56:52.862153	233
33121	166464	5155	2013-08-04 17:56:52.867387	2013-08-04 17:56:52.867387	233
33122	166464	5175	2013-08-04 17:56:52.873036	2013-08-04 17:56:52.873036	233
33123	166464	5140	2013-08-04 17:56:52.881901	2013-08-04 17:56:52.881901	233
33124	166106	5160	2013-08-04 17:56:52.891475	2013-08-04 17:56:52.891475	233
33125	166106	5180	2013-08-04 17:56:52.900907	2013-08-04 17:56:52.900907	233
33126	166106	5032	2013-08-04 17:56:52.911319	2013-08-04 17:56:52.911319	233
33127	166106	5052	2013-08-04 17:56:52.923059	2013-08-04 17:56:52.923059	233
33128	166106	5072	2013-08-04 17:56:52.934044	2013-08-04 17:56:52.934044	233
33129	166106	5048	2013-08-04 17:56:52.944991	2013-08-04 17:56:52.944991	233
33130	166063	5167	2013-08-04 17:56:52.968256	2013-08-04 17:56:52.968256	233
33131	166063	5147	2013-08-04 17:56:52.977902	2013-08-04 17:56:52.977902	233
33132	166063	5127	2013-08-04 17:56:52.985676	2013-08-04 17:56:52.985676	233
33133	166063	5107	2013-08-04 17:56:52.992134	2013-08-04 17:56:52.992134	233
33134	166063	17970	2013-08-04 17:56:52.997707	2013-08-04 17:56:52.997707	233
33135	166063	5087	2013-08-04 17:56:53.001839	2013-08-04 17:56:53.001839	233
33136	166158	33308	2013-08-04 17:56:53.020921	2013-08-04 17:56:53.020921	233
33137	166158	33288	2013-08-04 17:56:53.027713	2013-08-04 17:56:53.027713	233
33138	166158	33278	2013-08-04 17:56:53.032718	2013-08-04 17:56:53.032718	233
33139	166158	19325	2013-08-04 17:56:53.037327	2013-08-04 17:56:53.037327	233
33140	166158	17111	2013-08-04 17:56:53.043517	2013-08-04 17:56:53.043517	233
33141	166158	33268	2013-08-04 17:56:53.047969	2013-08-04 17:56:53.047969	233
33142	166158	19466	2013-08-04 17:56:53.052314	2013-08-04 17:56:53.052314	233
33143	166158	33248	2013-08-04 17:56:53.056763	2013-08-04 17:56:53.056763	233
33144	166158	33228	2013-08-04 17:56:53.060954	2013-08-04 17:56:53.060954	233
33145	166158	33208	2013-08-04 17:56:53.064861	2013-08-04 17:56:53.064861	233
33146	166158	33188	2013-08-04 17:56:53.138531	2013-08-04 17:56:53.138531	233
33147	166158	33168	2013-08-04 17:56:53.142628	2013-08-04 17:56:53.142628	233
33148	166158	25460	2013-08-04 17:56:53.146344	2013-08-04 17:56:53.146344	233
33149	166158	33150	2013-08-04 17:56:53.150281	2013-08-04 17:56:53.150281	233
33150	166158	33148	2013-08-04 17:56:53.153953	2013-08-04 17:56:53.153953	233
33151	166158	33128	2013-08-04 17:56:53.157398	2013-08-04 17:56:53.157398	233
33152	166158	33060	2013-08-04 17:56:53.160586	2013-08-04 17:56:53.160586	233
33153	166158	33108	2013-08-04 17:56:53.164242	2013-08-04 17:56:53.164242	233
33154	166158	33088	2013-08-04 17:56:53.168118	2013-08-04 17:56:53.168118	233
33155	166465	33548	2013-08-04 17:56:53.19611	2013-08-04 17:56:53.19611	233
33156	166465	33528	2013-08-04 17:56:53.20197	2013-08-04 17:56:53.20197	233
33157	166465	33508	2013-08-04 17:56:53.206668	2013-08-04 17:56:53.206668	233
33158	166465	33521	2013-08-04 17:56:53.213558	2013-08-04 17:56:53.213558	233
33159	166465	33488	2013-08-04 17:56:53.218134	2013-08-04 17:56:53.218134	233
33160	166465	33468	2013-08-04 17:56:53.223507	2013-08-04 17:56:53.223507	233
33161	166465	33477	2013-08-04 17:56:53.228671	2013-08-04 17:56:53.228671	233
33162	166465	33448	2013-08-04 17:56:53.235121	2013-08-04 17:56:53.235121	233
33163	166465	17425	2013-08-04 17:56:53.241762	2013-08-04 17:56:53.241762	233
33164	166465	33378	2013-08-04 17:56:53.250395	2013-08-04 17:56:53.250395	233
33165	166465	33428	2013-08-04 17:56:53.259947	2013-08-04 17:56:53.259947	233
33166	166465	33408	2013-08-04 17:56:53.271281	2013-08-04 17:56:53.271281	233
33167	166465	17140	2013-08-04 17:56:53.280693	2013-08-04 17:56:53.280693	233
33168	166465	33388	2013-08-04 17:56:53.287114	2013-08-04 17:56:53.287114	233
33169	166465	33375	2013-08-04 17:56:53.294427	2013-08-04 17:56:53.294427	233
33170	166465	33368	2013-08-04 17:56:53.302418	2013-08-04 17:56:53.302418	233
33171	166465	33295	2013-08-04 17:56:53.31009	2013-08-04 17:56:53.31009	233
33172	166465	33348	2013-08-04 17:56:53.316773	2013-08-04 17:56:53.316773	233
33173	166465	33328	2013-08-04 17:56:53.320354	2013-08-04 17:56:53.320354	233
33174	166596	10896	2013-08-04 17:56:53.336238	2013-08-04 17:56:53.336238	233
33175	166596	10849	2013-08-04 17:56:53.342496	2013-08-04 17:56:53.342496	233
33176	166596	10798	2013-08-04 17:56:53.346832	2013-08-04 17:56:53.346832	233
33177	166596	10703	2013-08-04 17:56:53.352034	2013-08-04 17:56:53.352034	233
33178	166596	10712	2013-08-04 17:56:53.358126	2013-08-04 17:56:53.358126	233
33179	166596	10757	2013-08-04 17:56:53.36311	2013-08-04 17:56:53.36311	233
33180	166596	10708	2013-08-04 17:56:53.368192	2013-08-04 17:56:53.368192	233
33181	166596	10829	2013-08-04 17:56:53.375137	2013-08-04 17:56:53.375137	233
33182	166596	10809	2013-08-04 17:56:53.3794	2013-08-04 17:56:53.3794	233
33183	166596	10521	2013-08-04 17:56:53.383647	2013-08-04 17:56:53.383647	233
33184	166596	10789	2013-08-04 17:56:53.389614	2013-08-04 17:56:53.389614	233
33185	166596	10795	2013-08-04 17:56:53.394132	2013-08-04 17:56:53.394132	233
33186	166596	10769	2013-08-04 17:56:53.399122	2013-08-04 17:56:53.399122	233
33187	166596	10749	2013-08-04 17:56:53.404057	2013-08-04 17:56:53.404057	233
33188	166596	10729	2013-08-04 17:56:53.40877	2013-08-04 17:56:53.40877	233
33189	166596	23577	2013-08-04 17:56:53.415208	2013-08-04 17:56:53.415208	233
33190	166596	10790	2013-08-04 17:56:53.423135	2013-08-04 17:56:53.423135	233
33191	166596	10745	2013-08-04 17:56:53.429007	2013-08-04 17:56:53.429007	233
33192	166596	10709	2013-08-04 17:56:53.436309	2013-08-04 17:56:53.436309	233
33193	166332	7749	2013-08-04 17:56:53.511023	2013-08-04 17:56:53.511023	233
33194	166332	47603	2013-08-04 17:56:53.515576	2013-08-04 17:56:53.515576	233
33195	166332	7066	2013-08-04 17:56:53.519383	2013-08-04 17:56:53.519383	233
33196	166332	15730	2013-08-04 17:56:53.523094	2013-08-04 17:56:53.523094	233
33197	166332	7789	2013-08-04 17:56:53.526103	2013-08-04 17:56:53.526103	233
33198	166332	16543	2013-08-04 17:56:53.528849	2013-08-04 17:56:53.528849	233
33199	166332	2849	2013-08-04 17:56:53.531405	2013-08-04 17:56:53.531405	233
33200	166332	36343	2013-08-04 17:56:53.533774	2013-08-04 17:56:53.533774	233
33201	166332	15506	2013-08-04 17:56:53.53624	2013-08-04 17:56:53.53624	233
33202	166332	47783	2013-08-04 17:56:53.538927	2013-08-04 17:56:53.538927	233
33203	166332	40950	2013-08-04 17:56:53.541627	2013-08-04 17:56:53.541627	233
33204	166332	22706	2013-08-04 17:56:53.544376	2013-08-04 17:56:53.544376	233
33205	166332	41321	2013-08-04 17:56:53.546978	2013-08-04 17:56:53.546978	233
33206	166332	12716	2013-08-04 17:56:53.549556	2013-08-04 17:56:53.549556	233
33207	166332	12856	2013-08-04 17:56:53.552199	2013-08-04 17:56:53.552199	233
33208	166332	29321	2013-08-04 17:56:53.555064	2013-08-04 17:56:53.555064	233
33209	166332	19821	2013-08-04 17:56:53.557991	2013-08-04 17:56:53.557991	233
33210	166332	36603	2013-08-04 17:56:53.560864	2013-08-04 17:56:53.560864	233
33211	166332	34603	2013-08-04 17:56:53.563809	2013-08-04 17:56:53.563809	233
33212	166328	7749	2013-08-04 17:56:53.57586	2013-08-04 17:56:53.57586	233
33213	166328	47603	2013-08-04 17:56:53.579158	2013-08-04 17:56:53.579158	233
33214	166328	7066	2013-08-04 17:56:53.585049	2013-08-04 17:56:53.585049	233
33215	166328	15730	2013-08-04 17:56:53.59035	2013-08-04 17:56:53.59035	233
33216	166328	7789	2013-08-04 17:56:53.596861	2013-08-04 17:56:53.596861	233
33217	166328	16543	2013-08-04 17:56:53.601591	2013-08-04 17:56:53.601591	233
33218	166328	2849	2013-08-04 17:56:53.608246	2013-08-04 17:56:53.608246	233
33219	166328	36343	2013-08-04 17:56:53.616354	2013-08-04 17:56:53.616354	233
33220	166328	15506	2013-08-04 17:56:53.624428	2013-08-04 17:56:53.624428	233
33221	166328	47783	2013-08-04 17:56:53.632252	2013-08-04 17:56:53.632252	233
33222	166328	40950	2013-08-04 17:56:53.640076	2013-08-04 17:56:53.640076	233
33223	166328	22706	2013-08-04 17:56:53.648103	2013-08-04 17:56:53.648103	233
33224	166328	41321	2013-08-04 17:56:53.653497	2013-08-04 17:56:53.653497	233
33225	166328	12716	2013-08-04 17:56:53.659629	2013-08-04 17:56:53.659629	233
33226	166328	12856	2013-08-04 17:56:53.665686	2013-08-04 17:56:53.665686	233
33227	166328	29321	2013-08-04 17:56:53.669407	2013-08-04 17:56:53.669407	233
33228	166328	19821	2013-08-04 17:56:53.673171	2013-08-04 17:56:53.673171	233
33229	166328	36603	2013-08-04 17:56:53.676351	2013-08-04 17:56:53.676351	233
33230	166328	34603	2013-08-04 17:56:53.679384	2013-08-04 17:56:53.679384	233
33231	166167	45477	2013-08-04 17:56:53.752971	2013-08-04 17:56:53.752971	233
33232	166167	45457	2013-08-04 17:56:53.761736	2013-08-04 17:56:53.761736	233
33233	166167	45437	2013-08-04 17:56:53.768806	2013-08-04 17:56:53.768806	233
33234	166167	45498	2013-08-04 17:56:53.779829	2013-08-04 17:56:53.779829	233
33235	166167	45417	2013-08-04 17:56:53.787249	2013-08-04 17:56:53.787249	233
33236	166167	45397	2013-08-04 17:56:53.795127	2013-08-04 17:56:53.795127	233
33237	166167	45377	2013-08-04 17:56:53.799971	2013-08-04 17:56:53.799971	233
33238	166167	45325	2013-08-04 17:56:53.804958	2013-08-04 17:56:53.804958	233
33239	166167	45245	2013-08-04 17:56:53.813942	2013-08-04 17:56:53.813942	233
33240	166054	45357	2013-08-04 17:56:53.833874	2013-08-04 17:56:53.833874	233
33241	166054	45337	2013-08-04 17:56:53.842695	2013-08-04 17:56:53.842695	233
33242	166054	45241	2013-08-04 17:56:53.8506	2013-08-04 17:56:53.8506	233
33243	166054	45317	2013-08-04 17:56:53.856857	2013-08-04 17:56:53.856857	233
33244	166054	45340	2013-08-04 17:56:53.862458	2013-08-04 17:56:53.862458	233
33245	166054	45297	2013-08-04 17:56:53.866044	2013-08-04 17:56:53.866044	233
33246	166054	45372	2013-08-04 17:56:53.869362	2013-08-04 17:56:53.869362	233
33247	166054	45277	2013-08-04 17:56:53.872672	2013-08-04 17:56:53.872672	233
33248	166054	45258	2013-08-04 17:56:53.876549	2013-08-04 17:56:53.876549	233
33249	166469	26799	2013-08-04 17:56:53.900089	2013-08-04 17:56:53.900089	233
33250	166469	26779	2013-08-04 17:56:53.90659	2013-08-04 17:56:53.90659	233
33251	166469	26759	2013-08-04 17:56:53.912005	2013-08-04 17:56:53.912005	233
33252	166469	26739	2013-08-04 17:56:53.92027	2013-08-04 17:56:53.92027	233
33253	166469	26719	2013-08-04 17:56:53.926834	2013-08-04 17:56:53.926834	233
33254	166469	26699	2013-08-04 17:56:53.936121	2013-08-04 17:56:53.936121	233
33255	166469	33918	2013-08-04 17:56:53.946502	2013-08-04 17:56:53.946502	233
33256	166469	26635	2013-08-04 17:56:53.954622	2013-08-04 17:56:53.954622	233
33257	166469	26679	2013-08-04 17:56:53.96337	2013-08-04 17:56:53.96337	233
33258	166469	26659	2013-08-04 17:56:53.968082	2013-08-04 17:56:53.968082	233
33259	166469	26639	2013-08-04 17:56:53.974015	2013-08-04 17:56:53.974015	233
33260	166469	26619	2013-08-04 17:56:53.978725	2013-08-04 17:56:53.978725	233
33261	166469	26599	2013-08-04 17:56:53.982586	2013-08-04 17:56:53.982586	233
33262	166469	26660	2013-08-04 17:56:53.986406	2013-08-04 17:56:53.986406	233
33263	166469	26579	2013-08-04 17:56:53.989993	2013-08-04 17:56:53.989993	233
33264	166469	26559	2013-08-04 17:56:53.993177	2013-08-04 17:56:53.993177	233
33265	166469	26541	2013-08-04 17:56:53.996488	2013-08-04 17:56:53.996488	233
33266	166469	26539	2013-08-04 17:56:53.999493	2013-08-04 17:56:53.999493	233
33267	166469	26478	2013-08-04 17:56:54.002926	2013-08-04 17:56:54.002926	233
33268	166971	7749	2013-08-04 18:01:49.974223	2013-08-04 18:01:49.974223	234
33269	166971	47603	2013-08-04 18:01:49.97771	2013-08-04 18:01:49.97771	234
33270	166971	7066	2013-08-04 18:01:49.980447	2013-08-04 18:01:49.980447	234
33271	166971	15730	2013-08-04 18:01:49.983153	2013-08-04 18:01:49.983153	234
33272	166971	7789	2013-08-04 18:01:49.985634	2013-08-04 18:01:49.985634	234
33273	166971	16543	2013-08-04 18:01:49.989329	2013-08-04 18:01:49.989329	234
33274	166971	2849	2013-08-04 18:01:49.996761	2013-08-04 18:01:49.996761	234
33275	166971	36343	2013-08-04 18:01:50.001575	2013-08-04 18:01:50.001575	234
33276	166971	15506	2013-08-04 18:01:50.006432	2013-08-04 18:01:50.006432	234
33277	166971	47783	2013-08-04 18:01:50.013925	2013-08-04 18:01:50.013925	234
33278	166971	40950	2013-08-04 18:01:50.017828	2013-08-04 18:01:50.017828	234
33279	166971	22706	2013-08-04 18:01:50.022015	2013-08-04 18:01:50.022015	234
33280	166971	41321	2013-08-04 18:01:50.026923	2013-08-04 18:01:50.026923	234
33281	166971	12716	2013-08-04 18:01:50.030419	2013-08-04 18:01:50.030419	234
33282	166971	12856	2013-08-04 18:01:50.033161	2013-08-04 18:01:50.033161	234
33283	166971	29321	2013-08-04 18:01:50.035575	2013-08-04 18:01:50.035575	234
33284	166971	19821	2013-08-04 18:01:50.03812	2013-08-04 18:01:50.03812	234
33285	166971	36603	2013-08-04 18:01:50.040733	2013-08-04 18:01:50.040733	234
33286	166971	34603	2013-08-04 18:01:50.043827	2013-08-04 18:01:50.043827	234
33287	166974	7749	2013-08-04 18:01:50.05827	2013-08-04 18:01:50.05827	234
33288	166974	47603	2013-08-04 18:01:50.061737	2013-08-04 18:01:50.061737	234
33289	166974	7066	2013-08-04 18:01:50.066696	2013-08-04 18:01:50.066696	234
33290	166974	15730	2013-08-04 18:01:50.072563	2013-08-04 18:01:50.072563	234
33291	166974	7789	2013-08-04 18:01:50.077452	2013-08-04 18:01:50.077452	234
33292	166974	16543	2013-08-04 18:01:50.083273	2013-08-04 18:01:50.083273	234
33293	166974	2849	2013-08-04 18:01:50.088299	2013-08-04 18:01:50.088299	234
33294	166974	36343	2013-08-04 18:01:50.094797	2013-08-04 18:01:50.094797	234
33295	166974	15506	2013-08-04 18:01:50.100401	2013-08-04 18:01:50.100401	234
33296	166974	47783	2013-08-04 18:01:50.105986	2013-08-04 18:01:50.105986	234
33297	166974	40950	2013-08-04 18:01:50.108796	2013-08-04 18:01:50.108796	234
33298	166974	22706	2013-08-04 18:01:50.111482	2013-08-04 18:01:50.111482	234
33299	166974	41321	2013-08-04 18:01:50.114193	2013-08-04 18:01:50.114193	234
33300	166974	12716	2013-08-04 18:01:50.118426	2013-08-04 18:01:50.118426	234
33301	166974	12856	2013-08-04 18:01:50.121143	2013-08-04 18:01:50.121143	234
33302	166974	29321	2013-08-04 18:01:50.124239	2013-08-04 18:01:50.124239	234
33303	166974	19821	2013-08-04 18:01:50.127363	2013-08-04 18:01:50.127363	234
33304	166974	36603	2013-08-04 18:01:50.130625	2013-08-04 18:01:50.130625	234
33305	166974	34603	2013-08-04 18:01:50.133782	2013-08-04 18:01:50.133782	234
33306	166975	7749	2013-08-04 18:01:50.14953	2013-08-04 18:01:50.14953	234
33307	166975	47603	2013-08-04 18:01:50.156711	2013-08-04 18:01:50.156711	234
33308	166975	7066	2013-08-04 18:01:50.161086	2013-08-04 18:01:50.161086	234
33309	166975	15730	2013-08-04 18:01:50.164416	2013-08-04 18:01:50.164416	234
33310	166975	7789	2013-08-04 18:01:50.168821	2013-08-04 18:01:50.168821	234
33311	166975	16543	2013-08-04 18:01:50.172753	2013-08-04 18:01:50.172753	234
33312	166975	2849	2013-08-04 18:01:50.176241	2013-08-04 18:01:50.176241	234
33313	166975	36343	2013-08-04 18:01:50.178831	2013-08-04 18:01:50.178831	234
33314	166975	15506	2013-08-04 18:01:50.181177	2013-08-04 18:01:50.181177	234
33315	166975	47783	2013-08-04 18:01:50.183795	2013-08-04 18:01:50.183795	234
33316	166975	40950	2013-08-04 18:01:50.188311	2013-08-04 18:01:50.188311	234
33317	166975	22706	2013-08-04 18:01:50.191663	2013-08-04 18:01:50.191663	234
33318	166975	41321	2013-08-04 18:01:50.195277	2013-08-04 18:01:50.195277	234
33319	166975	12716	2013-08-04 18:01:50.199716	2013-08-04 18:01:50.199716	234
33320	166975	12856	2013-08-04 18:01:50.204336	2013-08-04 18:01:50.204336	234
33321	166975	29321	2013-08-04 18:01:50.209428	2013-08-04 18:01:50.209428	234
33322	166975	19821	2013-08-04 18:01:50.215455	2013-08-04 18:01:50.215455	234
33323	166975	36603	2013-08-04 18:01:50.221351	2013-08-04 18:01:50.221351	234
33324	166975	34603	2013-08-04 18:01:50.226983	2013-08-04 18:01:50.226983	234
33325	166978	29958	2013-08-04 18:01:50.555155	2013-08-04 18:01:50.555155	234
33326	166978	21251	2013-08-04 18:01:50.561399	2013-08-04 18:01:50.561399	234
33327	167425	31746	2013-08-04 18:01:50.603727	2013-08-04 18:01:50.603727	234
33328	167425	31785	2013-08-04 18:01:50.607842	2013-08-04 18:01:50.607842	234
33329	167425	31726	2013-08-04 18:01:50.612578	2013-08-04 18:01:50.612578	234
33330	167425	31680	2013-08-04 18:01:50.616914	2013-08-04 18:01:50.616914	234
33331	167425	31697	2013-08-04 18:01:50.621565	2013-08-04 18:01:50.621565	234
33332	167425	31706	2013-08-04 18:01:50.626061	2013-08-04 18:01:50.626061	234
33333	167425	31617	2013-08-04 18:01:50.631347	2013-08-04 18:01:50.631347	234
33334	167425	31686	2013-08-04 18:01:50.635472	2013-08-04 18:01:50.635472	234
33335	167425	31675	2013-08-04 18:01:50.642497	2013-08-04 18:01:50.642497	234
33336	167425	31666	2013-08-04 18:01:50.650977	2013-08-04 18:01:50.650977	234
33337	167425	31652	2013-08-04 18:01:50.655373	2013-08-04 18:01:50.655373	234
33338	167425	31646	2013-08-04 18:01:50.659739	2013-08-04 18:01:50.659739	234
33339	167425	31626	2013-08-04 18:01:50.66422	2013-08-04 18:01:50.66422	234
33340	167425	31606	2013-08-04 18:01:50.669169	2013-08-04 18:01:50.669169	234
33341	167425	31585	2013-08-04 18:01:50.673307	2013-08-04 18:01:50.673307	234
33342	167425	31586	2013-08-04 18:01:50.67717	2013-08-04 18:01:50.67717	234
33343	167425	31566	2013-08-04 18:01:50.680762	2013-08-04 18:01:50.680762	234
33344	167425	29935	2013-08-04 18:01:50.684324	2013-08-04 18:01:50.684324	234
33345	167425	21216	2013-08-04 18:01:50.688471	2013-08-04 18:01:50.688471	234
33346	167239	11000	2013-08-04 18:01:50.706121	2013-08-04 18:01:50.706121	234
33347	167239	7250	2013-08-04 18:01:50.712162	2013-08-04 18:01:50.712162	234
33348	167239	11009	2013-08-04 18:01:50.716126	2013-08-04 18:01:50.716126	234
33349	167239	16208	2013-08-04 18:01:50.722156	2013-08-04 18:01:50.722156	234
33350	167239	11013	2013-08-04 18:01:50.729029	2013-08-04 18:01:50.729029	234
33351	167239	10905	2013-08-04 18:01:50.735633	2013-08-04 18:01:50.735633	234
33352	167239	10863	2013-08-04 18:01:50.744434	2013-08-04 18:01:50.744434	234
33353	167239	10957	2013-08-04 18:01:50.749722	2013-08-04 18:01:50.749722	234
33354	167239	10989	2013-08-04 18:01:50.754733	2013-08-04 18:01:50.754733	234
33355	167239	10969	2013-08-04 18:01:50.759174	2013-08-04 18:01:50.759174	234
33356	167239	10949	2013-08-04 18:01:50.763318	2013-08-04 18:01:50.763318	234
33357	167239	10929	2013-08-04 18:01:50.767661	2013-08-04 18:01:50.767661	234
33358	167239	10909	2013-08-04 18:01:50.771606	2013-08-04 18:01:50.771606	234
33359	167239	10950	2013-08-04 18:01:50.776484	2013-08-04 18:01:50.776484	234
33360	167239	10889	2013-08-04 18:01:50.781263	2013-08-04 18:01:50.781263	234
33361	167239	10880	2013-08-04 18:01:50.786159	2013-08-04 18:01:50.786159	234
33362	167239	10869	2013-08-04 18:01:50.790703	2013-08-04 18:01:50.790703	234
33363	167239	1890	2013-08-04 18:01:50.796243	2013-08-04 18:01:50.796243	234
33364	167239	31100	2013-08-04 18:01:50.800709	2013-08-04 18:01:50.800709	234
33365	166807	21156	2013-08-04 18:01:50.818672	2013-08-04 18:01:50.818672	234
33366	166807	26681	2013-08-04 18:01:50.822543	2013-08-04 18:01:50.822543	234
33367	166976	7749	2013-08-04 18:01:50.834676	2013-08-04 18:01:50.834676	234
33368	166976	47603	2013-08-04 18:01:50.837904	2013-08-04 18:01:50.837904	234
33369	166976	7066	2013-08-04 18:01:50.840967	2013-08-04 18:01:50.840967	234
33370	166976	15730	2013-08-04 18:01:50.843943	2013-08-04 18:01:50.843943	234
33371	166976	7789	2013-08-04 18:01:50.847212	2013-08-04 18:01:50.847212	234
33372	166976	16543	2013-08-04 18:01:50.850593	2013-08-04 18:01:50.850593	234
33373	166976	2849	2013-08-04 18:01:50.853763	2013-08-04 18:01:50.853763	234
33374	166976	36343	2013-08-04 18:01:50.856362	2013-08-04 18:01:50.856362	234
33375	166976	15506	2013-08-04 18:01:50.859008	2013-08-04 18:01:50.859008	234
33376	166976	47783	2013-08-04 18:01:50.861666	2013-08-04 18:01:50.861666	234
33377	166976	40950	2013-08-04 18:01:50.864482	2013-08-04 18:01:50.864482	234
33378	166976	22706	2013-08-04 18:01:50.867261	2013-08-04 18:01:50.867261	234
33379	166976	41321	2013-08-04 18:01:50.869983	2013-08-04 18:01:50.869983	234
33380	166976	12716	2013-08-04 18:01:50.872811	2013-08-04 18:01:50.872811	234
33381	166976	12856	2013-08-04 18:01:50.87636	2013-08-04 18:01:50.87636	234
33382	166976	29321	2013-08-04 18:01:50.880376	2013-08-04 18:01:50.880376	234
33383	166976	19821	2013-08-04 18:01:50.884175	2013-08-04 18:01:50.884175	234
33384	166976	36603	2013-08-04 18:01:50.887938	2013-08-04 18:01:50.887938	234
33385	166976	34603	2013-08-04 18:01:50.89186	2013-08-04 18:01:50.89186	234
33386	167253	27039	2013-08-04 18:01:50.967171	2013-08-04 18:01:50.967171	234
33387	167253	27019	2013-08-04 18:01:50.970872	2013-08-04 18:01:50.970872	234
33388	167253	33680	2013-08-04 18:01:50.974815	2013-08-04 18:01:50.974815	234
33389	167253	26983	2013-08-04 18:01:50.978783	2013-08-04 18:01:50.978783	234
33390	167253	26999	2013-08-04 18:01:50.982077	2013-08-04 18:01:50.982077	234
33391	167253	26979	2013-08-04 18:01:50.98535	2013-08-04 18:01:50.98535	234
33392	167253	26958	2013-08-04 18:01:50.989791	2013-08-04 18:01:50.989791	234
33393	167253	26959	2013-08-04 18:01:50.994714	2013-08-04 18:01:50.994714	234
33394	167253	26939	2013-08-04 18:01:51.002393	2013-08-04 18:01:51.002393	234
33395	167253	26919	2013-08-04 18:01:51.010497	2013-08-04 18:01:51.010497	234
33396	167253	13299	2013-08-04 18:01:51.014551	2013-08-04 18:01:51.014551	234
33397	167253	26899	2013-08-04 18:01:51.020748	2013-08-04 18:01:51.020748	234
33398	167253	26879	2013-08-04 18:01:51.027698	2013-08-04 18:01:51.027698	234
33399	167253	26859	2013-08-04 18:01:51.031184	2013-08-04 18:01:51.031184	234
33400	167253	2664	2013-08-04 18:01:51.034509	2013-08-04 18:01:51.034509	234
33401	167253	27000	2013-08-04 18:01:51.037817	2013-08-04 18:01:51.037817	234
33402	167253	26715	2013-08-04 18:01:51.042546	2013-08-04 18:01:51.042546	234
33403	167253	26839	2013-08-04 18:01:51.046885	2013-08-04 18:01:51.046885	234
33404	167253	26819	2013-08-04 18:01:51.051605	2013-08-04 18:01:51.051605	234
33405	166883	35103	2013-08-04 18:01:51.073909	2013-08-04 18:01:51.073909	234
33406	166883	22906	2013-08-04 18:01:51.08267	2013-08-04 18:01:51.08267	234
33407	166883	29801	2013-08-04 18:01:51.092396	2013-08-04 18:01:51.092396	234
33408	166883	17412	2013-08-04 18:01:51.099925	2013-08-04 18:01:51.099925	234
33409	166883	22946	2013-08-04 18:01:51.103269	2013-08-04 18:01:51.103269	234
33410	166883	12996	2013-08-04 18:01:51.107555	2013-08-04 18:01:51.107555	234
33411	166883	15766	2013-08-04 18:01:51.112246	2013-08-04 18:01:51.112246	234
33412	166883	37543	2013-08-04 18:01:51.116748	2013-08-04 18:01:51.116748	234
33413	166883	22826	2013-08-04 18:01:51.12072	2013-08-04 18:01:51.12072	234
33414	166883	48023	2013-08-04 18:01:51.128484	2013-08-04 18:01:51.128484	234
33415	166883	32975	2013-08-04 18:01:51.138038	2013-08-04 18:01:51.138038	234
33416	166883	5981	2013-08-04 18:01:51.148732	2013-08-04 18:01:51.148732	234
33417	166883	29418	2013-08-04 18:01:51.160083	2013-08-04 18:01:51.160083	234
33418	166883	37263	2013-08-04 18:01:51.168812	2013-08-04 18:01:51.168812	234
33419	166883	15570	2013-08-04 18:01:51.17751	2013-08-04 18:01:51.17751	234
33420	166883	15566	2013-08-04 18:01:51.183542	2013-08-04 18:01:51.183542	234
33421	166883	41775	2013-08-04 18:01:51.188315	2013-08-04 18:01:51.188315	234
33422	166883	49875	2013-08-04 18:01:51.192416	2013-08-04 18:01:51.192416	234
33423	166883	36363	2013-08-04 18:01:51.196506	2013-08-04 18:01:51.196506	234
33424	167081	5271	2013-08-04 18:01:51.396859	2013-08-04 18:01:51.396859	234
33425	167081	5227	2013-08-04 18:01:51.400838	2013-08-04 18:01:51.400838	234
33426	167081	1915	2013-08-04 18:01:51.406091	2013-08-04 18:01:51.406091	234
33427	166881	5207	2013-08-04 18:01:51.415793	2013-08-04 18:01:51.415793	234
33428	166881	2493	2013-08-04 18:01:51.421629	2013-08-04 18:01:51.421629	234
33429	166881	32401	2013-08-04 18:01:51.499306	2013-08-04 18:01:51.499306	234
33430	166815	6319	2013-08-04 18:01:51.516281	2013-08-04 18:01:51.516281	234
33431	166815	6299	2013-08-04 18:01:51.521485	2013-08-04 18:01:51.521485	234
33432	166815	5187	2013-08-04 18:01:51.525695	2013-08-04 18:01:51.525695	234
33433	166795	4379	2013-08-04 18:01:51.53865	2013-08-04 18:01:51.53865	234
33434	166795	4359	2013-08-04 18:01:51.54904	2013-08-04 18:01:51.54904	234
33435	166795	7905	2013-08-04 18:01:51.559796	2013-08-04 18:01:51.559796	234
33436	166737	5165	2013-08-04 18:01:51.574704	2013-08-04 18:01:51.574704	234
33437	166737	5096	2013-08-04 18:01:51.585819	2013-08-04 18:01:51.585819	234
33438	166737	5030	2013-08-04 18:01:51.597447	2013-08-04 18:01:51.597447	234
33439	166886	2471	2013-08-04 18:01:51.625435	2013-08-04 18:01:51.625435	234
33440	166886	5195	2013-08-04 18:01:51.629745	2013-08-04 18:01:51.629745	234
33441	166886	5200	2013-08-04 18:01:51.633565	2013-08-04 18:01:51.633565	234
33442	166886	5220	2013-08-04 18:01:51.637658	2013-08-04 18:01:51.637658	234
33443	166886	5240	2013-08-04 18:01:51.641703	2013-08-04 18:01:51.641703	234
33444	166886	5260	2013-08-04 18:01:51.64571	2013-08-04 18:01:51.64571	234
33445	166840	5280	2013-08-04 18:01:51.653992	2013-08-04 18:01:51.653992	234
33446	166840	5300	2013-08-04 18:01:51.662079	2013-08-04 18:01:51.662079	234
33447	166840	5265	2013-08-04 18:01:51.667499	2013-08-04 18:01:51.667499	234
33448	166840	1589	2013-08-04 18:01:51.672513	2013-08-04 18:01:51.672513	234
33449	166840	2432	2013-08-04 18:01:51.676816	2013-08-04 18:01:51.676816	234
33450	166840	5327	2013-08-04 18:01:51.680956	2013-08-04 18:01:51.680956	234
33451	166746	31252	2013-08-04 18:01:51.69065	2013-08-04 18:01:51.69065	234
33452	166746	5307	2013-08-04 18:01:51.700519	2013-08-04 18:01:51.700519	234
33453	166746	5255	2013-08-04 18:01:51.707934	2013-08-04 18:01:51.707934	234
33454	166746	5287	2013-08-04 18:01:51.718856	2013-08-04 18:01:51.718856	234
33455	166746	5301	2013-08-04 18:01:51.730104	2013-08-04 18:01:51.730104	234
33456	166746	5241	2013-08-04 18:01:51.741167	2013-08-04 18:01:51.741167	234
33457	166843	19528	2013-08-04 18:01:51.782203	2013-08-04 18:01:51.782203	234
33458	166843	33748	2013-08-04 18:01:51.786841	2013-08-04 18:01:51.786841	234
33459	166843	17373	2013-08-04 18:01:51.791349	2013-08-04 18:01:51.791349	234
33460	166843	33728	2013-08-04 18:01:51.795598	2013-08-04 18:01:51.795598	234
33461	166843	33708	2013-08-04 18:01:51.799653	2013-08-04 18:01:51.799653	234
33462	166843	33715	2013-08-04 18:01:51.80375	2013-08-04 18:01:51.80375	234
33463	166843	33688	2013-08-04 18:01:51.808802	2013-08-04 18:01:51.808802	234
33464	166843	33635	2013-08-04 18:01:51.813731	2013-08-04 18:01:51.813731	234
33465	166843	33668	2013-08-04 18:01:51.817432	2013-08-04 18:01:51.817432	234
33466	166843	33648	2013-08-04 18:01:51.821167	2013-08-04 18:01:51.821167	234
33467	166843	33650	2013-08-04 18:01:51.826419	2013-08-04 18:01:51.826419	234
33468	166843	33628	2013-08-04 18:01:51.836376	2013-08-04 18:01:51.836376	234
33469	166843	33608	2013-08-04 18:01:51.848117	2013-08-04 18:01:51.848117	234
33470	166843	33617	2013-08-04 18:01:51.859714	2013-08-04 18:01:51.859714	234
33471	166843	33588	2013-08-04 18:01:51.870704	2013-08-04 18:01:51.870704	234
33472	166843	24431	2013-08-04 18:01:51.881455	2013-08-04 18:01:51.881455	234
33473	166843	33568	2013-08-04 18:01:51.892437	2013-08-04 18:01:51.892437	234
33474	166843	29897	2013-08-04 18:01:51.903108	2013-08-04 18:01:51.903108	234
33475	166843	21196	2013-08-04 18:01:51.913035	2013-08-04 18:01:51.913035	234
33476	166887	33995	2013-08-04 18:01:51.961157	2013-08-04 18:01:51.961157	234
33477	166887	33988	2013-08-04 18:01:51.966184	2013-08-04 18:01:51.966184	234
33478	166887	33968	2013-08-04 18:01:51.972346	2013-08-04 18:01:51.972346	234
33479	166887	33948	2013-08-04 18:01:51.979451	2013-08-04 18:01:51.979451	234
33480	166887	33928	2013-08-04 18:01:51.987102	2013-08-04 18:01:51.987102	234
33481	166887	33840	2013-08-04 18:01:51.997715	2013-08-04 18:01:51.997715	234
33482	166887	33818	2013-08-04 18:01:52.009302	2013-08-04 18:01:52.009302	234
33483	166887	33908	2013-08-04 18:01:52.021249	2013-08-04 18:01:52.021249	234
33484	166887	33888	2013-08-04 18:01:52.03375	2013-08-04 18:01:52.03375	234
33485	166887	33832	2013-08-04 18:01:52.046083	2013-08-04 18:01:52.046083	234
33486	166887	33868	2013-08-04 18:01:52.058359	2013-08-04 18:01:52.058359	234
33487	166887	33848	2013-08-04 18:01:52.070065	2013-08-04 18:01:52.070065	234
33488	166887	33890	2013-08-04 18:01:52.081966	2013-08-04 18:01:52.081966	234
33489	166887	33792	2013-08-04 18:01:52.093616	2013-08-04 18:01:52.093616	234
33490	166887	33828	2013-08-04 18:01:52.10483	2013-08-04 18:01:52.10483	234
33491	166887	33808	2013-08-04 18:01:52.116243	2013-08-04 18:01:52.116243	234
33492	166887	33788	2013-08-04 18:01:52.128143	2013-08-04 18:01:52.128143	234
33493	166887	33768	2013-08-04 18:01:52.139356	2013-08-04 18:01:52.139356	234
33494	166887	17098	2013-08-04 18:01:52.150371	2013-08-04 18:01:52.150371	234
33495	166889	11229	2013-08-04 18:01:52.19288	2013-08-04 18:01:52.19288	234
33496	166889	11209	2013-08-04 18:01:52.205917	2013-08-04 18:01:52.205917	234
33497	166889	2079	2013-08-04 18:01:52.215592	2013-08-04 18:01:52.215592	234
33498	166889	11189	2013-08-04 18:01:52.223447	2013-08-04 18:01:52.223447	234
33499	166889	11200	2013-08-04 18:01:52.230683	2013-08-04 18:01:52.230683	234
33500	166889	34923	2013-08-04 18:01:52.236022	2013-08-04 18:01:52.236022	234
33501	166889	40492	2013-08-04 18:01:52.240688	2013-08-04 18:01:52.240688	234
33502	166889	11169	2013-08-04 18:01:52.245269	2013-08-04 18:01:52.245269	234
33503	166889	11235	2013-08-04 18:01:52.252299	2013-08-04 18:01:52.252299	234
33504	166889	11149	2013-08-04 18:01:52.261832	2013-08-04 18:01:52.261832	234
33505	166889	11010	2013-08-04 18:01:52.271069	2013-08-04 18:01:52.271069	234
33506	166889	11129	2013-08-04 18:01:52.274304	2013-08-04 18:01:52.274304	234
33507	166889	11109	2013-08-04 18:01:52.277991	2013-08-04 18:01:52.277991	234
33508	166889	11089	2013-08-04 18:01:52.28367	2013-08-04 18:01:52.28367	234
33509	166889	11069	2013-08-04 18:01:52.287925	2013-08-04 18:01:52.287925	234
33510	166889	11105	2013-08-04 18:01:52.292167	2013-08-04 18:01:52.292167	234
33511	166889	11049	2013-08-04 18:01:52.296573	2013-08-04 18:01:52.296573	234
33512	166889	11029	2013-08-04 18:01:52.301119	2013-08-04 18:01:52.301119	234
33513	166889	3254	2013-08-04 18:01:52.305471	2013-08-04 18:01:52.305471	234
33514	166977	7749	2013-08-04 18:01:52.450726	2013-08-04 18:01:52.450726	234
33515	166977	47603	2013-08-04 18:01:52.453981	2013-08-04 18:01:52.453981	234
33516	166977	7066	2013-08-04 18:01:52.456942	2013-08-04 18:01:52.456942	234
33517	166977	15730	2013-08-04 18:01:52.459818	2013-08-04 18:01:52.459818	234
33518	166977	7789	2013-08-04 18:01:52.462698	2013-08-04 18:01:52.462698	234
33519	166977	16543	2013-08-04 18:01:52.465565	2013-08-04 18:01:52.465565	234
33520	166977	2849	2013-08-04 18:01:52.470758	2013-08-04 18:01:52.470758	234
33521	166977	36343	2013-08-04 18:01:52.477439	2013-08-04 18:01:52.477439	234
33522	166977	15506	2013-08-04 18:01:52.488768	2013-08-04 18:01:52.488768	234
33523	166977	47783	2013-08-04 18:01:52.500102	2013-08-04 18:01:52.500102	234
33524	166977	40950	2013-08-04 18:01:52.504299	2013-08-04 18:01:52.504299	234
33525	166977	22706	2013-08-04 18:01:52.508579	2013-08-04 18:01:52.508579	234
33526	166977	41321	2013-08-04 18:01:52.512489	2013-08-04 18:01:52.512489	234
33527	166977	12716	2013-08-04 18:01:52.516011	2013-08-04 18:01:52.516011	234
33528	166977	12856	2013-08-04 18:01:52.519355	2013-08-04 18:01:52.519355	234
33529	166977	29321	2013-08-04 18:01:52.522514	2013-08-04 18:01:52.522514	234
33530	166977	19821	2013-08-04 18:01:52.526212	2013-08-04 18:01:52.526212	234
33531	166977	36603	2013-08-04 18:01:52.53066	2013-08-04 18:01:52.53066	234
33532	166977	34603	2013-08-04 18:01:52.534088	2013-08-04 18:01:52.534088	234
33533	166972	7749	2013-08-04 18:01:52.544938	2013-08-04 18:01:52.544938	234
33534	166972	47603	2013-08-04 18:01:52.548559	2013-08-04 18:01:52.548559	234
33535	166972	7066	2013-08-04 18:01:52.551748	2013-08-04 18:01:52.551748	234
33536	166972	15730	2013-08-04 18:01:52.555122	2013-08-04 18:01:52.555122	234
33537	166972	7789	2013-08-04 18:01:52.558789	2013-08-04 18:01:52.558789	234
33538	166972	16543	2013-08-04 18:01:52.561627	2013-08-04 18:01:52.561627	234
33539	166972	2849	2013-08-04 18:01:52.564283	2013-08-04 18:01:52.564283	234
33540	166972	36343	2013-08-04 18:01:52.566726	2013-08-04 18:01:52.566726	234
33541	166972	15506	2013-08-04 18:01:52.569157	2013-08-04 18:01:52.569157	234
33542	166972	47783	2013-08-04 18:01:52.571874	2013-08-04 18:01:52.571874	234
33543	166972	40950	2013-08-04 18:01:52.576914	2013-08-04 18:01:52.576914	234
33544	166972	22706	2013-08-04 18:01:52.58145	2013-08-04 18:01:52.58145	234
33545	166972	41321	2013-08-04 18:01:52.58716	2013-08-04 18:01:52.58716	234
33546	166972	12716	2013-08-04 18:01:52.592876	2013-08-04 18:01:52.592876	234
33547	166972	12856	2013-08-04 18:01:52.596289	2013-08-04 18:01:52.596289	234
33548	166972	29321	2013-08-04 18:01:52.598811	2013-08-04 18:01:52.598811	234
33549	166972	19821	2013-08-04 18:01:52.601528	2013-08-04 18:01:52.601528	234
33550	166972	36603	2013-08-04 18:01:52.606956	2013-08-04 18:01:52.606956	234
33551	166972	34603	2013-08-04 18:01:52.612148	2013-08-04 18:01:52.612148	234
33552	166930	45757	2013-08-04 18:01:52.679164	2013-08-04 18:01:52.679164	234
33553	166930	45737	2013-08-04 18:01:52.683294	2013-08-04 18:01:52.683294	234
33554	166930	45717	2013-08-04 18:01:52.687815	2013-08-04 18:01:52.687815	234
33555	166930	45697	2013-08-04 18:01:52.692052	2013-08-04 18:01:52.692052	234
33556	166930	45605	2013-08-04 18:01:52.696856	2013-08-04 18:01:52.696856	234
33557	166930	45621	2013-08-04 18:01:52.702147	2013-08-04 18:01:52.702147	234
33558	166930	45677	2013-08-04 18:01:52.70827	2013-08-04 18:01:52.70827	234
33559	166930	45657	2013-08-04 18:01:52.716211	2013-08-04 18:01:52.716211	234
33560	166930	45637	2013-08-04 18:01:52.726888	2013-08-04 18:01:52.726888	234
33561	166751	45617	2013-08-04 18:01:52.809457	2013-08-04 18:01:52.809457	234
33562	166751	45597	2013-08-04 18:01:52.815199	2013-08-04 18:01:52.815199	234
33563	166751	45577	2013-08-04 18:01:52.819903	2013-08-04 18:01:52.819903	234
33564	166751	45557	2013-08-04 18:01:52.824295	2013-08-04 18:01:52.824295	234
33565	166751	45537	2013-08-04 18:01:52.829348	2013-08-04 18:01:52.829348	234
33566	166751	45410	2013-08-04 18:01:52.834123	2013-08-04 18:01:52.834123	234
33567	166751	45395	2013-08-04 18:01:52.839633	2013-08-04 18:01:52.839633	234
33568	166751	45517	2013-08-04 18:01:52.845395	2013-08-04 18:01:52.845395	234
33569	166751	29852	2013-08-04 18:01:52.850037	2013-08-04 18:01:52.850037	234
33570	166894	13479	2013-08-04 18:01:52.866181	2013-08-04 18:01:52.866181	234
33571	166894	27233	2013-08-04 18:01:52.871155	2013-08-04 18:01:52.871155	234
33572	166894	27299	2013-08-04 18:01:52.879106	2013-08-04 18:01:52.879106	234
33573	166894	22537	2013-08-04 18:01:52.886442	2013-08-04 18:01:52.886442	234
33574	166894	27279	2013-08-04 18:01:52.898902	2013-08-04 18:01:52.898902	234
33575	166894	27259	2013-08-04 18:01:52.904533	2013-08-04 18:01:52.904533	234
33576	166894	27239	2013-08-04 18:01:52.908885	2013-08-04 18:01:52.908885	234
33577	166894	27219	2013-08-04 18:01:52.913055	2013-08-04 18:01:52.913055	234
33578	166894	27199	2013-08-04 18:01:52.917637	2013-08-04 18:01:52.917637	234
33579	166894	27179	2013-08-04 18:01:52.922157	2013-08-04 18:01:52.922157	234
33580	166894	27159	2013-08-04 18:01:52.925806	2013-08-04 18:01:52.925806	234
33581	166894	27139	2013-08-04 18:01:52.929699	2013-08-04 18:01:52.929699	234
33582	166894	27119	2013-08-04 18:01:52.933808	2013-08-04 18:01:52.933808	234
33583	166894	27099	2013-08-04 18:01:52.937604	2013-08-04 18:01:52.937604	234
33584	166894	27146	2013-08-04 18:01:52.94227	2013-08-04 18:01:52.94227	234
33585	166894	27079	2013-08-04 18:01:52.946315	2013-08-04 18:01:52.946315	234
33586	166894	27026	2013-08-04 18:01:52.950772	2013-08-04 18:01:52.950772	234
33587	166894	27070	2013-08-04 18:01:52.9553	2013-08-04 18:01:52.9553	234
33588	166894	27059	2013-08-04 18:01:52.958979	2013-08-04 18:01:52.958979	234
33589	167786	7749	2013-08-04 18:06:48.661743	2013-08-04 18:06:48.661743	235
33590	167786	47603	2013-08-04 18:06:48.665403	2013-08-04 18:06:48.665403	235
33591	167786	7066	2013-08-04 18:06:48.668437	2013-08-04 18:06:48.668437	235
33592	167786	15730	2013-08-04 18:06:48.671268	2013-08-04 18:06:48.671268	235
33593	167786	7789	2013-08-04 18:06:48.673915	2013-08-04 18:06:48.673915	235
33594	167786	16543	2013-08-04 18:06:48.676893	2013-08-04 18:06:48.676893	235
33595	167786	2849	2013-08-04 18:06:48.679861	2013-08-04 18:06:48.679861	235
33596	167786	36343	2013-08-04 18:06:48.682995	2013-08-04 18:06:48.682995	235
33597	167786	15506	2013-08-04 18:06:48.68769	2013-08-04 18:06:48.68769	235
33598	167786	47783	2013-08-04 18:06:48.756986	2013-08-04 18:06:48.756986	235
33599	167786	40950	2013-08-04 18:06:48.76692	2013-08-04 18:06:48.76692	235
33600	167786	22706	2013-08-04 18:06:48.774701	2013-08-04 18:06:48.774701	235
33601	167786	41321	2013-08-04 18:06:48.780166	2013-08-04 18:06:48.780166	235
33602	167786	12716	2013-08-04 18:06:48.783063	2013-08-04 18:06:48.783063	235
33603	167786	12856	2013-08-04 18:06:48.785896	2013-08-04 18:06:48.785896	235
33604	167786	29321	2013-08-04 18:06:48.790673	2013-08-04 18:06:48.790673	235
33605	167786	19821	2013-08-04 18:06:48.793878	2013-08-04 18:06:48.793878	235
33606	167786	36603	2013-08-04 18:06:48.797053	2013-08-04 18:06:48.797053	235
33607	167786	34603	2013-08-04 18:06:48.801856	2013-08-04 18:06:48.801856	235
33608	167789	7749	2013-08-04 18:06:48.819849	2013-08-04 18:06:48.819849	235
33609	167789	47603	2013-08-04 18:06:48.826536	2013-08-04 18:06:48.826536	235
33610	167789	7066	2013-08-04 18:06:48.833629	2013-08-04 18:06:48.833629	235
33611	167789	15730	2013-08-04 18:06:48.842009	2013-08-04 18:06:48.842009	235
33612	167789	7789	2013-08-04 18:06:48.850421	2013-08-04 18:06:48.850421	235
33613	167789	16543	2013-08-04 18:06:48.85767	2013-08-04 18:06:48.85767	235
33614	167789	2849	2013-08-04 18:06:48.86622	2013-08-04 18:06:48.86622	235
33615	167789	36343	2013-08-04 18:06:48.874944	2013-08-04 18:06:48.874944	235
33616	167789	15506	2013-08-04 18:06:48.883407	2013-08-04 18:06:48.883407	235
33617	167789	47783	2013-08-04 18:06:48.888227	2013-08-04 18:06:48.888227	235
33618	167789	40950	2013-08-04 18:06:48.891065	2013-08-04 18:06:48.891065	235
33619	167789	22706	2013-08-04 18:06:48.893888	2013-08-04 18:06:48.893888	235
33620	167789	41321	2013-08-04 18:06:48.89686	2013-08-04 18:06:48.89686	235
33621	167789	12716	2013-08-04 18:06:48.899501	2013-08-04 18:06:48.899501	235
33622	167789	12856	2013-08-04 18:06:48.902101	2013-08-04 18:06:48.902101	235
33623	167789	29321	2013-08-04 18:06:48.904746	2013-08-04 18:06:48.904746	235
33624	167789	19821	2013-08-04 18:06:48.907487	2013-08-04 18:06:48.907487	235
33625	167789	36603	2013-08-04 18:06:48.9104	2013-08-04 18:06:48.9104	235
33626	167789	34603	2013-08-04 18:06:48.913147	2013-08-04 18:06:48.913147	235
33627	167790	7749	2013-08-04 18:06:48.925847	2013-08-04 18:06:48.925847	235
33628	167790	47603	2013-08-04 18:06:48.929238	2013-08-04 18:06:48.929238	235
33629	167790	7066	2013-08-04 18:06:48.932553	2013-08-04 18:06:48.932553	235
33630	167790	15730	2013-08-04 18:06:48.936067	2013-08-04 18:06:48.936067	235
33631	167790	7789	2013-08-04 18:06:48.939625	2013-08-04 18:06:48.939625	235
33632	167790	16543	2013-08-04 18:06:48.943156	2013-08-04 18:06:48.943156	235
33633	167790	2849	2013-08-04 18:06:48.946635	2013-08-04 18:06:48.946635	235
33634	167790	36343	2013-08-04 18:06:48.9508	2013-08-04 18:06:48.9508	235
33635	167790	15506	2013-08-04 18:06:48.954056	2013-08-04 18:06:48.954056	235
33636	167790	47783	2013-08-04 18:06:48.957267	2013-08-04 18:06:48.957267	235
33637	167790	40950	2013-08-04 18:06:48.959987	2013-08-04 18:06:48.959987	235
33638	167790	22706	2013-08-04 18:06:48.962574	2013-08-04 18:06:48.962574	235
33639	167790	41321	2013-08-04 18:06:48.965274	2013-08-04 18:06:48.965274	235
33640	167790	12716	2013-08-04 18:06:48.968717	2013-08-04 18:06:48.968717	235
33641	167790	12856	2013-08-04 18:06:48.972197	2013-08-04 18:06:48.972197	235
33642	167790	29321	2013-08-04 18:06:48.976539	2013-08-04 18:06:48.976539	235
33643	167790	19821	2013-08-04 18:06:48.979627	2013-08-04 18:06:48.979627	235
33644	167790	36603	2013-08-04 18:06:48.98265	2013-08-04 18:06:48.98265	235
33645	167790	34603	2013-08-04 18:06:48.985626	2013-08-04 18:06:48.985626	235
33646	167504	25545	2013-08-04 18:06:49.143255	2013-08-04 18:06:49.143255	235
33647	167504	35223	2013-08-04 18:06:49.155131	2013-08-04 18:06:49.155131	235
33648	167504	25525	2013-08-04 18:06:49.166237	2013-08-04 18:06:49.166237	235
33649	167504	19343	2013-08-04 18:06:49.177036	2013-08-04 18:06:49.177036	235
33650	167504	34843	2013-08-04 18:06:49.187986	2013-08-04 18:06:49.187986	235
33651	167504	19761	2013-08-04 18:06:49.199088	2013-08-04 18:06:49.199088	235
33652	167504	28100	2013-08-04 18:06:49.208942	2013-08-04 18:06:49.208942	235
33653	167504	17301	2013-08-04 18:06:49.21906	2013-08-04 18:06:49.21906	235
33654	167504	22353	2013-08-04 18:06:49.228866	2013-08-04 18:06:49.228866	235
33655	167504	19781	2013-08-04 18:06:49.238752	2013-08-04 18:06:49.238752	235
33656	167504	35623	2013-08-04 18:06:49.248895	2013-08-04 18:06:49.248895	235
33657	167504	17336	2013-08-04 18:06:49.259278	2013-08-04 18:06:49.259278	235
33658	167504	28450	2013-08-04 18:06:49.269481	2013-08-04 18:06:49.269481	235
33659	167504	3095	2013-08-04 18:06:49.279782	2013-08-04 18:06:49.279782	235
33660	167504	17153	2013-08-04 18:06:49.290601	2013-08-04 18:06:49.290601	235
33661	167504	3924	2013-08-04 18:06:49.300667	2013-08-04 18:06:49.300667	235
33662	167504	28386	2013-08-04 18:06:49.310951	2013-08-04 18:06:49.310951	235
33663	167504	21319	2013-08-04 18:06:49.320718	2013-08-04 18:06:49.320718	235
33664	167504	21253	2013-08-04 18:06:49.330852	2013-08-04 18:06:49.330852	235
33665	167502	33903	2013-08-04 18:06:49.367589	2013-08-04 18:06:49.367589	235
33666	167502	5504	2013-08-04 18:06:49.379232	2013-08-04 18:06:49.379232	235
33667	167502	5527	2013-08-04 18:06:49.390078	2013-08-04 18:06:49.390078	235
33668	167502	28818	2013-08-04 18:06:49.400958	2013-08-04 18:06:49.400958	235
33669	167502	5339	2013-08-04 18:06:49.412002	2013-08-04 18:06:49.412002	235
33670	167502	1990	2013-08-04 18:06:49.424097	2013-08-04 18:06:49.424097	235
33671	167502	5507	2013-08-04 18:06:49.438714	2013-08-04 18:06:49.438714	235
33672	167502	3881	2013-08-04 18:06:49.444164	2013-08-04 18:06:49.444164	235
33673	167502	28638	2013-08-04 18:06:49.448661	2013-08-04 18:06:49.448661	235
33674	167502	4977	2013-08-04 18:06:49.45344	2013-08-04 18:06:49.45344	235
33675	167502	5356	2013-08-04 18:06:49.458772	2013-08-04 18:06:49.458772	235
33676	167502	5470	2013-08-04 18:06:49.463495	2013-08-04 18:06:49.463495	235
33677	167502	5455	2013-08-04 18:06:49.468449	2013-08-04 18:06:49.468449	235
33678	167502	5437	2013-08-04 18:06:49.473741	2013-08-04 18:06:49.473741	235
33679	167502	5487	2013-08-04 18:06:49.477994	2013-08-04 18:06:49.477994	235
33680	167502	5467	2013-08-04 18:06:49.483437	2013-08-04 18:06:49.483437	235
33681	167502	5410	2013-08-04 18:06:49.489421	2013-08-04 18:06:49.489421	235
33682	167502	5447	2013-08-04 18:06:49.497568	2013-08-04 18:06:49.497568	235
33683	167502	5427	2013-08-04 18:06:49.506727	2013-08-04 18:06:49.506727	235
33684	167509	34448	2013-08-04 18:06:49.526656	2013-08-04 18:06:49.526656	235
33685	167509	34428	2013-08-04 18:06:49.530911	2013-08-04 18:06:49.530911	235
33686	167509	34408	2013-08-04 18:06:49.536263	2013-08-04 18:06:49.536263	235
33687	167509	34481	2013-08-04 18:06:49.54196	2013-08-04 18:06:49.54196	235
33688	167509	34388	2013-08-04 18:06:49.546174	2013-08-04 18:06:49.546174	235
33689	167509	2276	2013-08-04 18:06:49.552755	2013-08-04 18:06:49.552755	235
33690	167509	34368	2013-08-04 18:06:49.565346	2013-08-04 18:06:49.565346	235
33691	167509	17565	2013-08-04 18:06:49.576827	2013-08-04 18:06:49.576827	235
33692	167509	34348	2013-08-04 18:06:49.588456	2013-08-04 18:06:49.588456	235
33693	167509	34328	2013-08-04 18:06:49.600349	2013-08-04 18:06:49.600349	235
33694	167509	34308	2013-08-04 18:06:49.612752	2013-08-04 18:06:49.612752	235
33695	167509	34288	2013-08-04 18:06:49.627108	2013-08-04 18:06:49.627108	235
33696	167509	34268	2013-08-04 18:06:49.636517	2013-08-04 18:06:49.636517	235
33697	167509	34248	2013-08-04 18:06:49.643604	2013-08-04 18:06:49.643604	235
33698	167509	34228	2013-08-04 18:06:49.64897	2013-08-04 18:06:49.64897	235
33699	167509	34132	2013-08-04 18:06:49.654551	2013-08-04 18:06:49.654551	235
33700	167509	34138	2013-08-04 18:06:49.659689	2013-08-04 18:06:49.659689	235
33701	167509	34223	2013-08-04 18:06:49.666715	2013-08-04 18:06:49.666715	235
33702	167509	37841	2013-08-04 18:06:49.6721	2013-08-04 18:06:49.6721	235
33703	167512	11449	2013-08-04 18:06:49.685999	2013-08-04 18:06:49.685999	235
33704	167512	11429	2013-08-04 18:06:49.691133	2013-08-04 18:06:49.691133	235
33705	167512	11409	2013-08-04 18:06:49.69621	2013-08-04 18:06:49.69621	235
33706	167512	34101	2013-08-04 18:06:49.701211	2013-08-04 18:06:49.701211	235
33707	167512	11389	2013-08-04 18:06:49.706621	2013-08-04 18:06:49.706621	235
33708	167512	11369	2013-08-04 18:06:49.711444	2013-08-04 18:06:49.711444	235
33709	167512	11349	2013-08-04 18:06:49.719471	2013-08-04 18:06:49.719471	235
33710	167512	11380	2013-08-04 18:06:49.724725	2013-08-04 18:06:49.724725	235
33711	167512	11401	2013-08-04 18:06:49.734863	2013-08-04 18:06:49.734863	235
33712	167512	11329	2013-08-04 18:06:49.746224	2013-08-04 18:06:49.746224	235
33713	167512	18700	2013-08-04 18:06:49.75724	2013-08-04 18:06:49.75724	235
33714	167512	11330	2013-08-04 18:06:49.768711	2013-08-04 18:06:49.768711	235
33715	167512	11309	2013-08-04 18:06:49.780981	2013-08-04 18:06:49.780981	235
33716	167512	11152	2013-08-04 18:06:49.792151	2013-08-04 18:06:49.792151	235
33717	167512	11289	2013-08-04 18:06:49.80351	2013-08-04 18:06:49.80351	235
33718	167512	11166	2013-08-04 18:06:49.816132	2013-08-04 18:06:49.816132	235
33719	167512	11269	2013-08-04 18:06:49.828326	2013-08-04 18:06:49.828326	235
33720	167512	11249	2013-08-04 18:06:49.841928	2013-08-04 18:06:49.841928	235
33721	167512	5347	2013-08-04 18:06:49.850024	2013-08-04 18:06:49.850024	235
33722	167795	30451	2013-08-04 18:06:49.879887	2013-08-04 18:06:49.879887	235
33723	167795	30431	2013-08-04 18:06:49.886422	2013-08-04 18:06:49.886422	235
33724	167795	21221	2013-08-04 18:06:49.892418	2013-08-04 18:06:49.892418	235
33725	167795	30411	2013-08-04 18:06:49.899107	2013-08-04 18:06:49.899107	235
33726	167795	26881	2013-08-04 18:06:49.90687	2013-08-04 18:06:49.90687	235
33727	167795	30391	2013-08-04 18:06:49.915064	2013-08-04 18:06:49.915064	235
33728	167795	30371	2013-08-04 18:06:49.92351	2013-08-04 18:06:49.92351	235
33729	167795	30350	2013-08-04 18:06:49.931687	2013-08-04 18:06:49.931687	235
33730	167795	30351	2013-08-04 18:06:49.99566	2013-08-04 18:06:49.99566	235
33731	167795	30331	2013-08-04 18:06:50.014777	2013-08-04 18:06:50.014777	235
33732	167795	3409	2013-08-04 18:06:50.022687	2013-08-04 18:06:50.022687	235
33733	167795	30321	2013-08-04 18:06:50.034263	2013-08-04 18:06:50.034263	235
33734	167795	30311	2013-08-04 18:06:50.045096	2013-08-04 18:06:50.045096	235
33735	167795	30240	2013-08-04 18:06:50.055842	2013-08-04 18:06:50.055842	235
33736	167795	30291	2013-08-04 18:06:50.066177	2013-08-04 18:06:50.066177	235
33737	167795	30271	2013-08-04 18:06:50.073673	2013-08-04 18:06:50.073673	235
33738	167795	30251	2013-08-04 18:06:50.082205	2013-08-04 18:06:50.082205	235
33739	167795	30231	2013-08-04 18:06:50.091012	2013-08-04 18:06:50.091012	235
33740	167795	30211	2013-08-04 18:06:50.101332	2013-08-04 18:06:50.101332	235
33741	167792	12856	2013-08-04 18:06:50.152731	2013-08-04 18:06:50.152731	235
33742	167792	29321	2013-08-04 18:06:50.158916	2013-08-04 18:06:50.158916	235
33743	167792	19821	2013-08-04 18:06:50.16154	2013-08-04 18:06:50.16154	235
33744	167792	36603	2013-08-04 18:06:50.168698	2013-08-04 18:06:50.168698	235
33745	167792	34603	2013-08-04 18:06:50.174994	2013-08-04 18:06:50.174994	235
33746	167792	28450	2013-08-04 18:06:50.178048	2013-08-04 18:06:50.178048	235
33747	167792	17336	2013-08-04 18:06:50.181019	2013-08-04 18:06:50.181019	235
33748	167792	35623	2013-08-04 18:06:50.183779	2013-08-04 18:06:50.183779	235
33749	167792	19781	2013-08-04 18:06:50.187786	2013-08-04 18:06:50.187786	235
33750	167792	22353	2013-08-04 18:06:50.194005	2013-08-04 18:06:50.194005	235
33751	167792	17301	2013-08-04 18:06:50.198438	2013-08-04 18:06:50.198438	235
33752	167792	28100	2013-08-04 18:06:50.2027	2013-08-04 18:06:50.2027	235
33753	167792	19761	2013-08-04 18:06:50.206648	2013-08-04 18:06:50.206648	235
33754	167792	21253	2013-08-04 18:06:50.209116	2013-08-04 18:06:50.209116	235
33755	167792	21319	2013-08-04 18:06:50.211846	2013-08-04 18:06:50.211846	235
33756	167792	28386	2013-08-04 18:06:50.21469	2013-08-04 18:06:50.21469	235
33757	167792	3924	2013-08-04 18:06:50.217663	2013-08-04 18:06:50.217663	235
33758	167792	17153	2013-08-04 18:06:50.220576	2013-08-04 18:06:50.220576	235
33759	167792	3095	2013-08-04 18:06:50.223523	2013-08-04 18:06:50.223523	235
33760	167508	21496	2013-08-04 18:06:50.264515	2013-08-04 18:06:50.264515	235
33761	167508	21476	2013-08-04 18:06:50.270077	2013-08-04 18:06:50.270077	235
33762	167508	18406	2013-08-04 18:06:50.276568	2013-08-04 18:06:50.276568	235
33763	167508	21456	2013-08-04 18:06:50.284313	2013-08-04 18:06:50.284313	235
33764	167508	21436	2013-08-04 18:06:50.294156	2013-08-04 18:06:50.294156	235
33765	167508	21410	2013-08-04 18:06:50.305142	2013-08-04 18:06:50.305142	235
33766	167508	24550	2013-08-04 18:06:50.31622	2013-08-04 18:06:50.31622	235
33767	167508	21503	2013-08-04 18:06:50.327183	2013-08-04 18:06:50.327183	235
33768	167508	21416	2013-08-04 18:06:50.33799	2013-08-04 18:06:50.33799	235
33769	167508	4508	2013-08-04 18:06:50.34892	2013-08-04 18:06:50.34892	235
33770	167508	21396	2013-08-04 18:06:50.359918	2013-08-04 18:06:50.359918	235
33771	167508	46583	2013-08-04 18:06:50.371575	2013-08-04 18:06:50.371575	235
33772	167508	21376	2013-08-04 18:06:50.383169	2013-08-04 18:06:50.383169	235
33773	167508	21356	2013-08-04 18:06:50.394657	2013-08-04 18:06:50.394657	235
33774	167508	21273	2013-08-04 18:06:50.406105	2013-08-04 18:06:50.406105	235
33775	167508	21336	2013-08-04 18:06:50.416943	2013-08-04 18:06:50.416943	235
33776	167508	21210	2013-08-04 18:06:50.428567	2013-08-04 18:06:50.428567	235
33777	167508	21316	2013-08-04 18:06:50.440083	2013-08-04 18:06:50.440083	235
33778	167508	5225	2013-08-04 18:06:50.451068	2013-08-04 18:06:50.451068	235
33779	167579	46238	2013-08-04 18:06:50.487965	2013-08-04 18:06:50.487965	235
33780	167579	46297	2013-08-04 18:06:50.492442	2013-08-04 18:06:50.492442	235
33781	167579	46277	2013-08-04 18:06:50.497897	2013-08-04 18:06:50.497897	235
33782	167579	46257	2013-08-04 18:06:50.50308	2013-08-04 18:06:50.50308	235
33783	167579	46237	2013-08-04 18:06:50.508555	2013-08-04 18:06:50.508555	235
33784	167579	46217	2013-08-04 18:06:50.513706	2013-08-04 18:06:50.513706	235
33785	167579	46197	2013-08-04 18:06:50.517762	2013-08-04 18:06:50.517762	235
33786	167579	46177	2013-08-04 18:06:50.52178	2013-08-04 18:06:50.52178	235
33787	167579	46175	2013-08-04 18:06:50.526029	2013-08-04 18:06:50.526029	235
33788	167579	46101	2013-08-04 18:06:50.530372	2013-08-04 18:06:50.530372	235
33789	167579	46080	2013-08-04 18:06:50.535009	2013-08-04 18:06:50.535009	235
33790	167579	46157	2013-08-04 18:06:50.538659	2013-08-04 18:06:50.538659	235
33791	167579	46137	2013-08-04 18:06:50.542383	2013-08-04 18:06:50.542383	235
33792	167579	46117	2013-08-04 18:06:50.546753	2013-08-04 18:06:50.546753	235
33793	167579	46097	2013-08-04 18:06:50.551774	2013-08-04 18:06:50.551774	235
33794	167579	46077	2013-08-04 18:06:50.556827	2013-08-04 18:06:50.556827	235
33795	167579	46057	2013-08-04 18:06:50.560329	2013-08-04 18:06:50.560329	235
33796	167579	46037	2013-08-04 18:06:50.563558	2013-08-04 18:06:50.563558	235
33797	167579	46017	2013-08-04 18:06:50.567148	2013-08-04 18:06:50.567148	235
33798	167516	27479	2013-08-04 18:06:50.595611	2013-08-04 18:06:50.595611	235
33799	167516	27459	2013-08-04 18:06:50.601	2013-08-04 18:06:50.601	235
33800	167516	27471	2013-08-04 18:06:50.607287	2013-08-04 18:06:50.607287	235
33801	167516	27398	2013-08-04 18:06:50.613968	2013-08-04 18:06:50.613968	235
33802	167516	27439	2013-08-04 18:06:50.62167	2013-08-04 18:06:50.62167	235
33803	167516	27419	2013-08-04 18:06:50.629598	2013-08-04 18:06:50.629598	235
33804	167516	16761	2013-08-04 18:06:50.639481	2013-08-04 18:06:50.639481	235
33805	167516	27399	2013-08-04 18:06:50.650484	2013-08-04 18:06:50.650484	235
33806	167516	27368	2013-08-04 18:06:50.661399	2013-08-04 18:06:50.661399	235
33807	167516	27388	2013-08-04 18:06:50.672923	2013-08-04 18:06:50.672923	235
33808	167516	27470	2013-08-04 18:06:50.683715	2013-08-04 18:06:50.683715	235
33809	167516	27379	2013-08-04 18:06:50.695656	2013-08-04 18:06:50.695656	235
33810	167516	27359	2013-08-04 18:06:50.711212	2013-08-04 18:06:50.711212	235
33811	167516	27339	2013-08-04 18:06:50.716174	2013-08-04 18:06:50.716174	235
33812	167516	26458	2013-08-04 18:06:50.720999	2013-08-04 18:06:50.720999	235
33813	167516	27319	2013-08-04 18:06:50.727208	2013-08-04 18:06:50.727208	235
33814	167516	27212	2013-08-04 18:06:50.732725	2013-08-04 18:06:50.732725	235
33815	167516	1915	2013-08-04 18:06:50.737933	2013-08-04 18:06:50.737933	235
33816	167516	5335	2013-08-04 18:06:50.742605	2013-08-04 18:06:50.742605	235
33817	167541	29701	2013-08-04 18:06:50.760046	2013-08-04 18:06:50.760046	235
33818	167541	29441	2013-08-04 18:06:50.764441	2013-08-04 18:06:50.764441	235
33819	167541	36523	2013-08-04 18:06:50.768589	2013-08-04 18:06:50.768589	235
33820	167541	16061	2013-08-04 18:06:50.772847	2013-08-04 18:06:50.772847	235
33821	167541	37203	2013-08-04 18:06:50.776807	2013-08-04 18:06:50.776807	235
33822	167541	32315	2013-08-04 18:06:50.780913	2013-08-04 18:06:50.780913	235
33823	167541	37483	2013-08-04 18:06:50.78626	2013-08-04 18:06:50.78626	235
33824	167541	20421	2013-08-04 18:06:50.791826	2013-08-04 18:06:50.791826	235
33825	167541	32335	2013-08-04 18:06:50.800002	2013-08-04 18:06:50.800002	235
33826	167541	27040	2013-08-04 18:06:50.811055	2013-08-04 18:06:50.811055	235
33827	167541	29815	2013-08-04 18:06:50.82215	2013-08-04 18:06:50.82215	235
33828	167541	37563	2013-08-04 18:06:50.832296	2013-08-04 18:06:50.832296	235
33829	167541	29541	2013-08-04 18:06:50.842523	2013-08-04 18:06:50.842523	235
33830	167541	32775	2013-08-04 18:06:50.852815	2013-08-04 18:06:50.852815	235
33831	167541	12932	2013-08-04 18:06:50.863031	2013-08-04 18:06:50.863031	235
33832	167541	19863	2013-08-04 18:06:50.873678	2013-08-04 18:06:50.873678	235
33833	167541	17130	2013-08-04 18:06:50.884632	2013-08-04 18:06:50.884632	235
33834	167541	17390	2013-08-04 18:06:50.895842	2013-08-04 18:06:50.895842	235
33835	167541	12976	2013-08-04 18:06:50.906757	2013-08-04 18:06:50.906757	235
33836	167756	45997	2013-08-04 18:06:50.957032	2013-08-04 18:06:50.957032	235
33837	167640	34168	2013-08-04 18:06:50.978688	2013-08-04 18:06:50.978688	235
33838	167599	30171	2013-08-04 18:06:51.000191	2013-08-04 18:06:51.000191	235
33839	167486	5387	2013-08-04 18:06:51.013718	2013-08-04 18:06:51.013718	235
33840	167798	5620	2013-08-04 18:06:51.172883	2013-08-04 18:06:51.172883	235
33841	167798	5640	2013-08-04 18:06:51.18665	2013-08-04 18:06:51.18665	235
33842	167798	5543	2013-08-04 18:06:51.198336	2013-08-04 18:06:51.198336	235
33843	167798	5588	2013-08-04 18:06:51.210472	2013-08-04 18:06:51.210472	235
33844	167798	5608	2013-08-04 18:06:51.221994	2013-08-04 18:06:51.221994	235
33845	167798	5628	2013-08-04 18:06:51.233466	2013-08-04 18:06:51.233466	235
33846	167544	5648	2013-08-04 18:06:51.258004	2013-08-04 18:06:51.258004	235
33847	167544	5497	2013-08-04 18:06:51.26966	2013-08-04 18:06:51.26966	235
33848	167544	5517	2013-08-04 18:06:51.28181	2013-08-04 18:06:51.28181	235
33849	167544	5647	2013-08-04 18:06:51.293395	2013-08-04 18:06:51.293395	235
33850	167544	5627	2013-08-04 18:06:51.304639	2013-08-04 18:06:51.304639	235
33851	167544	5607	2013-08-04 18:06:51.317111	2013-08-04 18:06:51.317111	235
33852	167492	5587	2013-08-04 18:06:51.337055	2013-08-04 18:06:51.337055	235
33853	167492	28838	2013-08-04 18:06:51.404077	2013-08-04 18:06:51.404077	235
33854	167492	5567	2013-08-04 18:06:51.408419	2013-08-04 18:06:51.408419	235
33855	167492	7825	2013-08-04 18:06:51.411967	2013-08-04 18:06:51.411967	235
33856	167492	5547	2013-08-04 18:06:51.415516	2013-08-04 18:06:51.415516	235
33857	167492	1215	2013-08-04 18:06:51.419238	2013-08-04 18:06:51.419238	235
33858	167596	34768	2013-08-04 18:06:51.43666	2013-08-04 18:06:51.43666	235
33859	167596	34748	2013-08-04 18:06:51.442553	2013-08-04 18:06:51.442553	235
33860	167596	34728	2013-08-04 18:06:51.45006	2013-08-04 18:06:51.45006	235
33861	167596	34708	2013-08-04 18:06:51.458166	2013-08-04 18:06:51.458166	235
33862	167596	34741	2013-08-04 18:06:51.467581	2013-08-04 18:06:51.467581	235
33863	167596	34632	2013-08-04 18:06:51.478543	2013-08-04 18:06:51.478543	235
33864	167596	34688	2013-08-04 18:06:51.489744	2013-08-04 18:06:51.489744	235
33865	167596	34668	2013-08-04 18:06:51.500672	2013-08-04 18:06:51.500672	235
33866	167596	34648	2013-08-04 18:06:51.512067	2013-08-04 18:06:51.512067	235
33867	167596	34628	2013-08-04 18:06:51.523994	2013-08-04 18:06:51.523994	235
33868	167596	34608	2013-08-04 18:06:51.530529	2013-08-04 18:06:51.530529	235
33869	167596	34588	2013-08-04 18:06:51.536283	2013-08-04 18:06:51.536283	235
33870	167596	34568	2013-08-04 18:06:51.540933	2013-08-04 18:06:51.540933	235
33871	167596	34683	2013-08-04 18:06:51.545566	2013-08-04 18:06:51.545566	235
33872	167596	34548	2013-08-04 18:06:51.550971	2013-08-04 18:06:51.550971	235
33873	167596	34528	2013-08-04 18:06:51.555355	2013-08-04 18:06:51.555355	235
33874	167596	34508	2013-08-04 18:06:51.560005	2013-08-04 18:06:51.560005	235
33875	167596	34488	2013-08-04 18:06:51.564349	2013-08-04 18:06:51.564349	235
33876	167596	34468	2013-08-04 18:06:51.571983	2013-08-04 18:06:51.571983	235
33877	167545	11609	2013-08-04 18:06:51.595675	2013-08-04 18:06:51.595675	235
33878	167545	11589	2013-08-04 18:06:51.605634	2013-08-04 18:06:51.605634	235
33879	167545	18250	2013-08-04 18:06:51.617461	2013-08-04 18:06:51.617461	235
33880	167545	11470	2013-08-04 18:06:51.629738	2013-08-04 18:06:51.629738	235
33881	167545	11569	2013-08-04 18:06:51.641024	2013-08-04 18:06:51.641024	235
33882	167545	11565	2013-08-04 18:06:51.651934	2013-08-04 18:06:51.651934	235
33883	167545	11605	2013-08-04 18:06:51.662879	2013-08-04 18:06:51.662879	235
33884	167545	11549	2013-08-04 18:06:51.674052	2013-08-04 18:06:51.674052	235
33885	167545	11529	2013-08-04 18:06:51.683384	2013-08-04 18:06:51.683384	235
33886	167545	11509	2013-08-04 18:06:51.686946	2013-08-04 18:06:51.686946	235
33887	167545	14552	2013-08-04 18:06:51.690483	2013-08-04 18:06:51.690483	235
33888	167545	11489	2013-08-04 18:06:51.693728	2013-08-04 18:06:51.693728	235
33889	167545	11593	2013-08-04 18:06:51.696864	2013-08-04 18:06:51.696864	235
33890	167545	22615	2013-08-04 18:06:51.700071	2013-08-04 18:06:51.700071	235
33891	167545	11469	2013-08-04 18:06:51.703539	2013-08-04 18:06:51.703539	235
33892	167545	11400	2013-08-04 18:06:51.707153	2013-08-04 18:06:51.707153	235
33893	167545	11406	2013-08-04 18:06:51.710678	2013-08-04 18:06:51.710678	235
33894	167545	11403	2013-08-04 18:06:51.714351	2013-08-04 18:06:51.714351	235
33895	167545	11421	2013-08-04 18:06:51.717844	2013-08-04 18:06:51.717844	235
33896	167793	12856	2013-08-04 18:06:51.828988	2013-08-04 18:06:51.828988	235
33897	167793	29321	2013-08-04 18:06:51.832788	2013-08-04 18:06:51.832788	235
33898	167793	19821	2013-08-04 18:06:51.836656	2013-08-04 18:06:51.836656	235
33899	167793	36603	2013-08-04 18:06:51.840729	2013-08-04 18:06:51.840729	235
33900	167793	34603	2013-08-04 18:06:51.844799	2013-08-04 18:06:51.844799	235
33901	167793	28450	2013-08-04 18:06:51.848864	2013-08-04 18:06:51.848864	235
33902	167793	17336	2013-08-04 18:06:51.853218	2013-08-04 18:06:51.853218	235
33903	167793	35623	2013-08-04 18:06:51.85771	2013-08-04 18:06:51.85771	235
33904	167793	19781	2013-08-04 18:06:51.863791	2013-08-04 18:06:51.863791	235
33905	167793	22353	2013-08-04 18:06:51.869613	2013-08-04 18:06:51.869613	235
33906	167793	17301	2013-08-04 18:06:51.875694	2013-08-04 18:06:51.875694	235
33907	167793	28100	2013-08-04 18:06:51.881661	2013-08-04 18:06:51.881661	235
33908	167793	19761	2013-08-04 18:06:51.887689	2013-08-04 18:06:51.887689	235
33909	167793	21253	2013-08-04 18:06:51.893696	2013-08-04 18:06:51.893696	235
33910	167793	21319	2013-08-04 18:06:51.899636	2013-08-04 18:06:51.899636	235
33911	167793	28386	2013-08-04 18:06:51.906693	2013-08-04 18:06:51.906693	235
33912	167793	3924	2013-08-04 18:06:51.915325	2013-08-04 18:06:51.915325	235
33913	167793	17153	2013-08-04 18:06:51.923934	2013-08-04 18:06:51.923934	235
33914	167793	3095	2013-08-04 18:06:51.932837	2013-08-04 18:06:51.932837	235
33915	167787	12856	2013-08-04 18:06:51.964053	2013-08-04 18:06:51.964053	235
33916	167787	29321	2013-08-04 18:06:51.972643	2013-08-04 18:06:51.972643	235
33917	167787	19821	2013-08-04 18:06:51.980967	2013-08-04 18:06:51.980967	235
33918	167787	36603	2013-08-04 18:06:51.989515	2013-08-04 18:06:51.989515	235
33919	167787	34603	2013-08-04 18:06:51.998016	2013-08-04 18:06:51.998016	235
33920	167787	28450	2013-08-04 18:06:52.006858	2013-08-04 18:06:52.006858	235
33921	167787	17336	2013-08-04 18:06:52.015221	2013-08-04 18:06:52.015221	235
33922	167787	35623	2013-08-04 18:06:52.023479	2013-08-04 18:06:52.023479	235
33923	167787	19781	2013-08-04 18:06:52.031716	2013-08-04 18:06:52.031716	235
33924	167787	22353	2013-08-04 18:06:52.039908	2013-08-04 18:06:52.039908	235
33925	167787	17301	2013-08-04 18:06:52.048011	2013-08-04 18:06:52.048011	235
33926	167787	28100	2013-08-04 18:06:52.056083	2013-08-04 18:06:52.056083	235
33927	167787	19761	2013-08-04 18:06:52.064254	2013-08-04 18:06:52.064254	235
33928	167787	21253	2013-08-04 18:06:52.072427	2013-08-04 18:06:52.072427	235
33929	167787	21319	2013-08-04 18:06:52.080551	2013-08-04 18:06:52.080551	235
33930	167787	28386	2013-08-04 18:06:52.088639	2013-08-04 18:06:52.088639	235
33931	167787	3924	2013-08-04 18:06:52.096782	2013-08-04 18:06:52.096782	235
33932	167787	17153	2013-08-04 18:06:52.104877	2013-08-04 18:06:52.104877	235
33933	167787	3095	2013-08-04 18:06:52.112948	2013-08-04 18:06:52.112948	235
33934	167585	46620	2013-08-04 18:06:52.230815	2013-08-04 18:06:52.230815	235
33935	167585	46517	2013-08-04 18:06:52.240932	2013-08-04 18:06:52.240932	235
33936	167585	46497	2013-08-04 18:06:52.251952	2013-08-04 18:06:52.251952	235
33937	167585	46477	2013-08-04 18:06:52.257725	2013-08-04 18:06:52.257725	235
33938	167585	46450	2013-08-04 18:06:52.264943	2013-08-04 18:06:52.264943	235
33939	167585	46343	2013-08-04 18:06:52.270499	2013-08-04 18:06:52.270499	235
33940	167585	46421	2013-08-04 18:06:52.274451	2013-08-04 18:06:52.274451	235
33941	167585	46457	2013-08-04 18:06:52.278189	2013-08-04 18:06:52.278189	235
33942	167585	46345	2013-08-04 18:06:52.281915	2013-08-04 18:06:52.281915	235
33943	167537	46437	2013-08-04 18:06:52.289613	2013-08-04 18:06:52.289613	235
33944	167537	46417	2013-08-04 18:06:52.293439	2013-08-04 18:06:52.293439	235
33945	167537	46397	2013-08-04 18:06:52.299542	2013-08-04 18:06:52.299542	235
33946	167537	46377	2013-08-04 18:06:52.306908	2013-08-04 18:06:52.306908	235
33947	167537	46332	2013-08-04 18:06:52.316712	2013-08-04 18:06:52.316712	235
33948	167537	46357	2013-08-04 18:06:52.326933	2013-08-04 18:06:52.326933	235
33949	167537	46337	2013-08-04 18:06:52.336426	2013-08-04 18:06:52.336426	235
33950	167537	46317	2013-08-04 18:06:52.346543	2013-08-04 18:06:52.346543	235
33951	167537	46170	2013-08-04 18:06:52.356594	2013-08-04 18:06:52.356594	235
33952	167550	27719	2013-08-04 18:06:52.397491	2013-08-04 18:06:52.397491	235
33953	167550	27699	2013-08-04 18:06:52.408363	2013-08-04 18:06:52.408363	235
33954	167550	27661	2013-08-04 18:06:52.418932	2013-08-04 18:06:52.418932	235
33955	167550	27679	2013-08-04 18:06:52.429646	2013-08-04 18:06:52.429646	235
33956	167550	27720	2013-08-04 18:06:52.440479	2013-08-04 18:06:52.440479	235
33957	167550	27659	2013-08-04 18:06:52.451202	2013-08-04 18:06:52.451202	235
33958	167550	27639	2013-08-04 18:06:52.462201	2013-08-04 18:06:52.462201	235
33959	167550	27597	2013-08-04 18:06:52.470843	2013-08-04 18:06:52.470843	235
33960	167550	27617	2013-08-04 18:06:52.478705	2013-08-04 18:06:52.478705	235
33961	167550	27595	2013-08-04 18:06:52.490574	2013-08-04 18:06:52.490574	235
33962	167550	27619	2013-08-04 18:06:52.503947	2013-08-04 18:06:52.503947	235
33963	167550	27599	2013-08-04 18:06:52.512514	2013-08-04 18:06:52.512514	235
33964	167550	27579	2013-08-04 18:06:52.516546	2013-08-04 18:06:52.516546	235
33965	167550	27559	2013-08-04 18:06:52.523464	2013-08-04 18:06:52.523464	235
33966	167550	27539	2013-08-04 18:06:52.527201	2013-08-04 18:06:52.527201	235
33967	167550	13277	2013-08-04 18:06:52.530668	2013-08-04 18:06:52.530668	235
33968	167550	27519	2013-08-04 18:06:52.533858	2013-08-04 18:06:52.533858	235
33969	167550	13179	2013-08-04 18:06:52.537664	2013-08-04 18:06:52.537664	235
33970	167550	27499	2013-08-04 18:06:52.541154	2013-08-04 18:06:52.541154	235
33971	168863	12856	2013-08-04 18:11:48.444064	2013-08-04 18:11:48.444064	236
33972	168863	29321	2013-08-04 18:11:48.454511	2013-08-04 18:11:48.454511	236
33973	168863	19821	2013-08-04 18:11:48.463635	2013-08-04 18:11:48.463635	236
33974	168863	36603	2013-08-04 18:11:48.472573	2013-08-04 18:11:48.472573	236
33975	168863	34603	2013-08-04 18:11:48.479315	2013-08-04 18:11:48.479315	236
33976	168863	28450	2013-08-04 18:11:48.481957	2013-08-04 18:11:48.481957	236
33977	168863	17336	2013-08-04 18:11:48.484633	2013-08-04 18:11:48.484633	236
33978	168863	35623	2013-08-04 18:11:48.487069	2013-08-04 18:11:48.487069	236
33979	168863	19781	2013-08-04 18:11:48.489504	2013-08-04 18:11:48.489504	236
33980	168863	22353	2013-08-04 18:11:48.491991	2013-08-04 18:11:48.491991	236
33981	168863	17301	2013-08-04 18:11:48.494487	2013-08-04 18:11:48.494487	236
33982	168863	28100	2013-08-04 18:11:48.501417	2013-08-04 18:11:48.501417	236
33983	168863	19761	2013-08-04 18:11:48.509141	2013-08-04 18:11:48.509141	236
33984	168863	21253	2013-08-04 18:11:48.516933	2013-08-04 18:11:48.516933	236
33985	168863	21319	2013-08-04 18:11:48.525541	2013-08-04 18:11:48.525541	236
33986	168863	28386	2013-08-04 18:11:48.53389	2013-08-04 18:11:48.53389	236
33987	168863	3924	2013-08-04 18:11:48.542236	2013-08-04 18:11:48.542236	236
33988	168863	17153	2013-08-04 18:11:48.550704	2013-08-04 18:11:48.550704	236
33989	168863	3095	2013-08-04 18:11:48.559032	2013-08-04 18:11:48.559032	236
33990	168865	12856	2013-08-04 18:11:48.589957	2013-08-04 18:11:48.589957	236
33991	168865	29321	2013-08-04 18:11:48.594555	2013-08-04 18:11:48.594555	236
33992	168865	19821	2013-08-04 18:11:48.598905	2013-08-04 18:11:48.598905	236
33993	168865	36603	2013-08-04 18:11:48.602594	2013-08-04 18:11:48.602594	236
33994	168865	34603	2013-08-04 18:11:48.606109	2013-08-04 18:11:48.606109	236
33995	168865	28450	2013-08-04 18:11:48.609767	2013-08-04 18:11:48.609767	236
33996	168865	17336	2013-08-04 18:11:48.613307	2013-08-04 18:11:48.613307	236
33997	168865	35623	2013-08-04 18:11:48.61667	2013-08-04 18:11:48.61667	236
33998	168865	19781	2013-08-04 18:11:48.620427	2013-08-04 18:11:48.620427	236
33999	168865	22353	2013-08-04 18:11:48.623596	2013-08-04 18:11:48.623596	236
34000	168865	17301	2013-08-04 18:11:48.62666	2013-08-04 18:11:48.62666	236
34001	168865	28100	2013-08-04 18:11:48.629745	2013-08-04 18:11:48.629745	236
34002	168865	19761	2013-08-04 18:11:48.632837	2013-08-04 18:11:48.632837	236
34003	168865	21253	2013-08-04 18:11:48.635667	2013-08-04 18:11:48.635667	236
34004	168865	21319	2013-08-04 18:11:48.641097	2013-08-04 18:11:48.641097	236
34005	168865	28386	2013-08-04 18:11:48.648008	2013-08-04 18:11:48.648008	236
34006	168865	3924	2013-08-04 18:11:48.656043	2013-08-04 18:11:48.656043	236
34007	168865	17153	2013-08-04 18:11:48.663781	2013-08-04 18:11:48.663781	236
34008	168865	3095	2013-08-04 18:11:48.672554	2013-08-04 18:11:48.672554	236
34009	168866	12856	2013-08-04 18:11:48.703907	2013-08-04 18:11:48.703907	236
34010	168866	29321	2013-08-04 18:11:48.712724	2013-08-04 18:11:48.712724	236
34011	168866	19821	2013-08-04 18:11:48.721609	2013-08-04 18:11:48.721609	236
34012	168866	36603	2013-08-04 18:11:48.729903	2013-08-04 18:11:48.729903	236
34013	168866	34603	2013-08-04 18:11:48.738171	2013-08-04 18:11:48.738171	236
34014	168866	28450	2013-08-04 18:11:48.7466	2013-08-04 18:11:48.7466	236
34015	168866	17336	2013-08-04 18:11:48.754901	2013-08-04 18:11:48.754901	236
34016	168866	35623	2013-08-04 18:11:48.763297	2013-08-04 18:11:48.763297	236
34017	168866	19781	2013-08-04 18:11:48.771194	2013-08-04 18:11:48.771194	236
34018	168866	22353	2013-08-04 18:11:48.779427	2013-08-04 18:11:48.779427	236
34019	168866	17301	2013-08-04 18:11:48.787718	2013-08-04 18:11:48.787718	236
34020	168866	28100	2013-08-04 18:11:48.796109	2013-08-04 18:11:48.796109	236
34021	168866	19761	2013-08-04 18:11:48.859357	2013-08-04 18:11:48.859357	236
34022	168866	21253	2013-08-04 18:11:48.862956	2013-08-04 18:11:48.862956	236
34023	168866	21319	2013-08-04 18:11:48.866108	2013-08-04 18:11:48.866108	236
34024	168866	28386	2013-08-04 18:11:48.869307	2013-08-04 18:11:48.869307	236
34025	168866	3924	2013-08-04 18:11:48.872959	2013-08-04 18:11:48.872959	236
34026	168866	17153	2013-08-04 18:11:48.878433	2013-08-04 18:11:48.878433	236
34027	168866	3095	2013-08-04 18:11:48.886559	2013-08-04 18:11:48.886559	236
34028	168669	46797	2013-08-04 18:11:48.994588	2013-08-04 18:11:48.994588	236
34029	168669	5791	2013-08-04 18:11:49.003463	2013-08-04 18:11:49.003463	236
34030	168669	32033	2013-08-04 18:11:49.009387	2013-08-04 18:11:49.009387	236
34031	168669	31793	2013-08-04 18:11:49.016577	2013-08-04 18:11:49.016577	236
34032	168669	37203	2013-08-04 18:11:49.023985	2013-08-04 18:11:49.023985	236
34033	168670	46777	2013-08-04 18:11:49.062187	2013-08-04 18:11:49.062187	236
34034	168670	32013	2013-08-04 18:11:49.06668	2013-08-04 18:11:49.06668	236
34035	168672	9520	2013-08-04 18:11:49.08348	2013-08-04 18:11:49.08348	236
34036	168672	36420	2013-08-04 18:11:49.088225	2013-08-04 18:11:49.088225	236
34037	168672	1916	2013-08-04 18:11:49.093072	2013-08-04 18:11:49.093072	236
34038	168672	1967	2013-08-04 18:11:49.097768	2013-08-04 18:11:49.097768	236
34039	168672	15790	2013-08-04 18:11:49.10298	2013-08-04 18:11:49.10298	236
34040	168672	12976	2013-08-04 18:11:49.108242	2013-08-04 18:11:49.108242	236
34041	168672	17390	2013-08-04 18:11:49.112717	2013-08-04 18:11:49.112717	236
34042	168672	17130	2013-08-04 18:11:49.117183	2013-08-04 18:11:49.117183	236
34043	168672	19863	2013-08-04 18:11:49.122031	2013-08-04 18:11:49.122031	236
34044	168672	12932	2013-08-04 18:11:49.126426	2013-08-04 18:11:49.126426	236
34045	168672	32775	2013-08-04 18:11:49.130835	2013-08-04 18:11:49.130835	236
34046	168672	29541	2013-08-04 18:11:49.135724	2013-08-04 18:11:49.135724	236
34047	168672	37563	2013-08-04 18:11:49.139538	2013-08-04 18:11:49.139538	236
34048	168672	29815	2013-08-04 18:11:49.143205	2013-08-04 18:11:49.143205	236
34049	168672	27040	2013-08-04 18:11:49.148026	2013-08-04 18:11:49.148026	236
34050	168672	32335	2013-08-04 18:11:49.152383	2013-08-04 18:11:49.152383	236
34051	168672	20421	2013-08-04 18:11:49.156355	2013-08-04 18:11:49.156355	236
34052	168672	37483	2013-08-04 18:11:49.160514	2013-08-04 18:11:49.160514	236
34053	168672	32315	2013-08-04 18:11:49.163991	2013-08-04 18:11:49.163991	236
34054	168673	5735	2013-08-04 18:11:49.176287	2013-08-04 18:11:49.176287	236
34055	168673	5755	2013-08-04 18:11:49.180289	2013-08-04 18:11:49.180289	236
34056	168673	5775	2013-08-04 18:11:49.184426	2013-08-04 18:11:49.184426	236
34057	168673	5795	2013-08-04 18:11:49.188255	2013-08-04 18:11:49.188255	236
34058	168673	5658	2013-08-04 18:11:49.193222	2013-08-04 18:11:49.193222	236
34059	168673	5660	2013-08-04 18:11:49.197929	2013-08-04 18:11:49.197929	236
34060	168673	5777	2013-08-04 18:11:49.202489	2013-08-04 18:11:49.202489	236
34061	168673	5807	2013-08-04 18:11:49.207108	2013-08-04 18:11:49.207108	236
34062	168673	5787	2013-08-04 18:11:49.211718	2013-08-04 18:11:49.211718	236
34063	168673	5772	2013-08-04 18:11:49.216505	2013-08-04 18:11:49.216505	236
34064	168673	5804	2013-08-04 18:11:49.220669	2013-08-04 18:11:49.220669	236
34065	168673	5760	2013-08-04 18:11:49.225121	2013-08-04 18:11:49.225121	236
34066	168673	5767	2013-08-04 18:11:49.22978	2013-08-04 18:11:49.22978	236
34067	168673	9418	2013-08-04 18:11:49.233416	2013-08-04 18:11:49.233416	236
34068	168673	39155	2013-08-04 18:11:49.239066	2013-08-04 18:11:49.239066	236
34069	168673	5747	2013-08-04 18:11:49.245253	2013-08-04 18:11:49.245253	236
34070	168673	18068	2013-08-04 18:11:49.250136	2013-08-04 18:11:49.250136	236
34071	168673	5727	2013-08-04 18:11:49.253629	2013-08-04 18:11:49.253629	236
34072	168673	22946	2013-08-04 18:11:49.257841	2013-08-04 18:11:49.257841	236
34073	168663	34948	2013-08-04 18:11:49.29648	2013-08-04 18:11:49.29648	236
34074	168663	34928	2013-08-04 18:11:49.307125	2013-08-04 18:11:49.307125	236
34075	168663	34908	2013-08-04 18:11:49.310788	2013-08-04 18:11:49.310788	236
34076	168663	34970	2013-08-04 18:11:49.314454	2013-08-04 18:11:49.314454	236
34077	168663	34888	2013-08-04 18:11:49.319212	2013-08-04 18:11:49.319212	236
34078	168663	34868	2013-08-04 18:11:49.32315	2013-08-04 18:11:49.32315	236
34079	168663	34832	2013-08-04 18:11:49.326856	2013-08-04 18:11:49.326856	236
34080	168663	34772	2013-08-04 18:11:49.329995	2013-08-04 18:11:49.329995	236
34081	168663	34835	2013-08-04 18:11:49.337867	2013-08-04 18:11:49.337867	236
34082	168663	34735	2013-08-04 18:11:49.34251	2013-08-04 18:11:49.34251	236
34083	168663	34848	2013-08-04 18:11:49.350849	2013-08-04 18:11:49.350849	236
34084	168663	34828	2013-08-04 18:11:49.361632	2013-08-04 18:11:49.361632	236
34085	168663	15139	2013-08-04 18:11:49.372981	2013-08-04 18:11:49.372981	236
34086	168663	17586	2013-08-04 18:11:49.383947	2013-08-04 18:11:49.383947	236
34087	168663	34808	2013-08-04 18:11:49.395286	2013-08-04 18:11:49.395286	236
34088	168663	34788	2013-08-04 18:11:49.406931	2013-08-04 18:11:49.406931	236
34089	168663	31933	2013-08-04 18:11:49.419018	2013-08-04 18:11:49.419018	236
34090	168663	31693	2013-08-04 18:11:49.429121	2013-08-04 18:11:49.429121	236
34091	168663	17412	2013-08-04 18:11:49.439189	2013-08-04 18:11:49.439189	236
34092	168675	11729	2013-08-04 18:11:49.474674	2013-08-04 18:11:49.474674	236
34093	168675	11728	2013-08-04 18:11:49.48617	2013-08-04 18:11:49.48617	236
34094	168675	11770	2013-08-04 18:11:49.496874	2013-08-04 18:11:49.496874	236
34095	168675	11709	2013-08-04 18:11:49.507734	2013-08-04 18:11:49.507734	236
34096	168675	32275	2013-08-04 18:11:49.518716	2013-08-04 18:11:49.518716	236
34097	168675	11689	2013-08-04 18:11:49.529497	2013-08-04 18:11:49.529497	236
34098	168675	19481	2013-08-04 18:11:49.540386	2013-08-04 18:11:49.540386	236
34099	168675	43043	2013-08-04 18:11:49.551386	2013-08-04 18:11:49.551386	236
34100	168675	11669	2013-08-04 18:11:49.562452	2013-08-04 18:11:49.562452	236
34101	168675	11649	2013-08-04 18:11:49.573297	2013-08-04 18:11:49.573297	236
34102	168675	11629	2013-08-04 18:11:49.584225	2013-08-04 18:11:49.584225	236
34103	168675	11619	2013-08-04 18:11:49.595767	2013-08-04 18:11:49.595767	236
34104	168675	11545	2013-08-04 18:11:49.60671	2013-08-04 18:11:49.60671	236
34105	168675	11537	2013-08-04 18:11:49.618518	2013-08-04 18:11:49.618518	236
34106	168675	11577	2013-08-04 18:11:49.631455	2013-08-04 18:11:49.631455	236
34107	168675	11548	2013-08-04 18:11:49.637045	2013-08-04 18:11:49.637045	236
34108	168675	11521	2013-08-04 18:11:49.641986	2013-08-04 18:11:49.641986	236
34109	168675	12558	2013-08-04 18:11:49.646912	2013-08-04 18:11:49.646912	236
34110	168675	29801	2013-08-04 18:11:49.651462	2013-08-04 18:11:49.651462	236
34111	169702	46498	2013-08-04 18:11:49.68146	2013-08-04 18:11:49.68146	236
34112	169702	31905	2013-08-04 18:11:49.685604	2013-08-04 18:11:49.685604	236
34113	168867	12856	2013-08-04 18:11:49.703382	2013-08-04 18:11:49.703382	236
34114	168867	29321	2013-08-04 18:11:49.708389	2013-08-04 18:11:49.708389	236
34115	168867	19821	2013-08-04 18:11:49.713951	2013-08-04 18:11:49.713951	236
34116	168867	36603	2013-08-04 18:11:49.72104	2013-08-04 18:11:49.72104	236
34117	168867	34603	2013-08-04 18:11:49.729063	2013-08-04 18:11:49.729063	236
34118	168867	28450	2013-08-04 18:11:49.737078	2013-08-04 18:11:49.737078	236
34119	168867	17336	2013-08-04 18:11:49.745235	2013-08-04 18:11:49.745235	236
34120	168867	35623	2013-08-04 18:11:49.753479	2013-08-04 18:11:49.753479	236
34121	168867	19781	2013-08-04 18:11:49.761925	2013-08-04 18:11:49.761925	236
34122	168867	22353	2013-08-04 18:11:49.770248	2013-08-04 18:11:49.770248	236
34123	168867	17301	2013-08-04 18:11:49.778595	2013-08-04 18:11:49.778595	236
34124	168867	28100	2013-08-04 18:11:49.787054	2013-08-04 18:11:49.787054	236
34125	168867	19761	2013-08-04 18:11:49.794986	2013-08-04 18:11:49.794986	236
34126	168867	21253	2013-08-04 18:11:49.803636	2013-08-04 18:11:49.803636	236
34127	168867	21319	2013-08-04 18:11:49.812393	2013-08-04 18:11:49.812393	236
34128	168867	28386	2013-08-04 18:11:49.820964	2013-08-04 18:11:49.820964	236
34129	168867	3924	2013-08-04 18:11:49.829593	2013-08-04 18:11:49.829593	236
34130	168867	17153	2013-08-04 18:11:49.838276	2013-08-04 18:11:49.838276	236
34131	168867	3095	2013-08-04 18:11:49.846809	2013-08-04 18:11:49.846809	236
34132	168665	21791	2013-08-04 18:11:49.917823	2013-08-04 18:11:49.917823	236
34133	168665	21696	2013-08-04 18:11:49.929569	2013-08-04 18:11:49.929569	236
34134	168665	21676	2013-08-04 18:11:49.941075	2013-08-04 18:11:49.941075	236
34135	168665	21697	2013-08-04 18:11:49.952515	2013-08-04 18:11:49.952515	236
34136	168665	21605	2013-08-04 18:11:49.960175	2013-08-04 18:11:49.960175	236
34137	168665	21665	2013-08-04 18:11:49.968231	2013-08-04 18:11:49.968231	236
34138	168665	21656	2013-08-04 18:11:49.972593	2013-08-04 18:11:49.972593	236
34139	168665	21636	2013-08-04 18:11:49.976987	2013-08-04 18:11:49.976987	236
34140	168665	21526	2013-08-04 18:11:49.981183	2013-08-04 18:11:49.981183	236
34141	168665	21616	2013-08-04 18:11:49.984238	2013-08-04 18:11:49.984238	236
34142	168665	21610	2013-08-04 18:11:49.98737	2013-08-04 18:11:49.98737	236
34143	168665	21596	2013-08-04 18:11:49.99088	2013-08-04 18:11:49.99088	236
34144	168665	21576	2013-08-04 18:11:50.055241	2013-08-04 18:11:50.055241	236
34145	168665	21556	2013-08-04 18:11:50.061664	2013-08-04 18:11:50.061664	236
34146	168665	21536	2013-08-04 18:11:50.06613	2013-08-04 18:11:50.06613	236
34147	168665	21516	2013-08-04 18:11:50.069648	2013-08-04 18:11:50.069648	236
34148	168665	21465	2013-08-04 18:11:50.073107	2013-08-04 18:11:50.073107	236
34149	168665	5616	2013-08-04 18:11:50.076268	2013-08-04 18:11:50.076268	236
34150	168665	28852	2013-08-04 18:11:50.078952	2013-08-04 18:11:50.078952	236
34151	168676	27898	2013-08-04 18:11:50.135872	2013-08-04 18:11:50.135872	236
34152	168676	27899	2013-08-04 18:11:50.140427	2013-08-04 18:11:50.140427	236
34153	168676	27918	2013-08-04 18:11:50.144934	2013-08-04 18:11:50.144934	236
34154	168676	27879	2013-08-04 18:11:50.150419	2013-08-04 18:11:50.150419	236
34155	168676	9735	2013-08-04 18:11:50.161499	2013-08-04 18:11:50.161499	236
34156	168676	27866	2013-08-04 18:11:50.17254	2013-08-04 18:11:50.17254	236
34157	168676	27810	2013-08-04 18:11:50.182943	2013-08-04 18:11:50.182943	236
34158	168676	27859	2013-08-04 18:11:50.18758	2013-08-04 18:11:50.18758	236
34159	168676	27839	2013-08-04 18:11:50.192336	2013-08-04 18:11:50.192336	236
34160	168676	27819	2013-08-04 18:11:50.196345	2013-08-04 18:11:50.196345	236
34161	168676	27790	2013-08-04 18:11:50.201316	2013-08-04 18:11:50.201316	236
34162	168676	27799	2013-08-04 18:11:50.205497	2013-08-04 18:11:50.205497	236
34163	168676	27779	2013-08-04 18:11:50.209823	2013-08-04 18:11:50.209823	236
34164	168676	27759	2013-08-04 18:11:50.213693	2013-08-04 18:11:50.213693	236
34165	168676	27739	2013-08-04 18:11:50.217273	2013-08-04 18:11:50.217273	236
34166	168676	5064	2013-08-04 18:11:50.220745	2013-08-04 18:11:50.220745	236
34167	168676	32905	2013-08-04 18:11:50.224452	2013-08-04 18:11:50.224452	236
34168	168676	5638	2013-08-04 18:11:50.227699	2013-08-04 18:11:50.227699	236
34169	168676	36663	2013-08-04 18:11:50.232183	2013-08-04 18:11:50.232183	236
34170	168514	20481	2013-08-04 18:11:50.246781	2013-08-04 18:11:50.246781	236
34171	168514	7110	2013-08-04 18:11:50.251139	2013-08-04 18:11:50.251139	236
34172	168514	47583	2013-08-04 18:11:50.25539	2013-08-04 18:11:50.25539	236
34173	168514	48043	2013-08-04 18:11:50.259328	2013-08-04 18:11:50.259328	236
34174	168514	24277	2013-08-04 18:11:50.263862	2013-08-04 18:11:50.263862	236
34175	168514	37063	2013-08-04 18:11:50.269573	2013-08-04 18:11:50.269573	236
34176	168514	17370	2013-08-04 18:11:50.275613	2013-08-04 18:11:50.275613	236
34177	168514	11701	2013-08-04 18:11:50.280267	2013-08-04 18:11:50.280267	236
34178	168514	37243	2013-08-04 18:11:50.284355	2013-08-04 18:11:50.284355	236
34179	168514	35823	2013-08-04 18:11:50.287693	2013-08-04 18:11:50.287693	236
34180	168514	35643	2013-08-04 18:11:50.291582	2013-08-04 18:11:50.291582	236
34181	168514	35703	2013-08-04 18:11:50.295929	2013-08-04 18:11:50.295929	236
34182	168514	37623	2013-08-04 18:11:50.299859	2013-08-04 18:11:50.299859	236
34183	168514	15175	2013-08-04 18:11:50.303401	2013-08-04 18:11:50.303401	236
34184	168514	23517	2013-08-04 18:11:50.306973	2013-08-04 18:11:50.306973	236
34185	168514	7741	2013-08-04 18:11:50.313427	2013-08-04 18:11:50.313427	236
34186	168514	29172	2013-08-04 18:11:50.318197	2013-08-04 18:11:50.318197	236
34187	168514	35958	2013-08-04 18:11:50.321544	2013-08-04 18:11:50.321544	236
34188	168514	16061	2013-08-04 18:11:50.324712	2013-08-04 18:11:50.324712	236
34189	169695	5861	2013-08-04 18:11:50.621112	2013-08-04 18:11:50.621112	236
34190	169695	5901	2013-08-04 18:11:50.632678	2013-08-04 18:11:50.632678	236
34191	169695	5887	2013-08-04 18:11:50.643661	2013-08-04 18:11:50.643661	236
34192	169695	5949	2013-08-04 18:11:50.654935	2013-08-04 18:11:50.654935	236
34193	168517	5867	2013-08-04 18:11:50.677848	2013-08-04 18:11:50.677848	236
34194	168517	14945	2013-08-04 18:11:50.684138	2013-08-04 18:11:50.684138	236
34195	168517	5847	2013-08-04 18:11:50.689513	2013-08-04 18:11:50.689513	236
34196	168517	5827	2013-08-04 18:11:50.694729	2013-08-04 18:11:50.694729	236
34197	168407	39563	2013-08-04 18:11:50.701419	2013-08-04 18:11:50.701419	236
34198	168407	14897	2013-08-04 18:11:50.704394	2013-08-04 18:11:50.704394	236
34199	168407	5690	2013-08-04 18:11:50.707164	2013-08-04 18:11:50.707164	236
34200	168407	5685	2013-08-04 18:11:50.709874	2013-08-04 18:11:50.709874	236
34201	168377	5745	2013-08-04 18:11:50.727524	2013-08-04 18:11:50.727524	236
34202	168377	5778	2013-08-04 18:11:50.738619	2013-08-04 18:11:50.738619	236
34203	168377	5798	2013-08-04 18:11:50.749276	2013-08-04 18:11:50.749276	236
34204	168377	5715	2013-08-04 18:11:50.759935	2013-08-04 18:11:50.759935	236
34205	168684	11786	2013-08-04 18:11:50.800698	2013-08-04 18:11:50.800698	236
34206	168684	11889	2013-08-04 18:11:50.811721	2013-08-04 18:11:50.811721	236
34207	168684	42085	2013-08-04 18:11:50.822367	2013-08-04 18:11:50.822367	236
34208	168684	11869	2013-08-04 18:11:50.832903	2013-08-04 18:11:50.832903	236
34209	168684	11796	2013-08-04 18:11:50.843896	2013-08-04 18:11:50.843896	236
34210	168684	11849	2013-08-04 18:11:50.854756	2013-08-04 18:11:50.854756	236
34211	168684	11829	2013-08-04 18:11:50.866063	2013-08-04 18:11:50.866063	236
34212	168684	11920	2013-08-04 18:11:50.876841	2013-08-04 18:11:50.876841	236
34213	168684	11900	2013-08-04 18:11:50.887261	2013-08-04 18:11:50.887261	236
34214	168518	11809	2013-08-04 18:11:50.910096	2013-08-04 18:11:50.910096	236
34215	168518	2175	2013-08-04 18:11:50.92111	2013-08-04 18:11:50.92111	236
34216	168518	11799	2013-08-04 18:11:50.932235	2013-08-04 18:11:50.932235	236
34217	168518	11789	2013-08-04 18:11:50.943796	2013-08-04 18:11:50.943796	236
34218	168518	11675	2013-08-04 18:11:50.955576	2013-08-04 18:11:50.955576	236
34219	168518	11692	2013-08-04 18:11:50.966871	2013-08-04 18:11:50.966871	236
34220	168518	11769	2013-08-04 18:11:50.977755	2013-08-04 18:11:50.977755	236
34221	168518	11749	2013-08-04 18:11:50.989409	2013-08-04 18:11:50.989409	236
34222	168518	11641	2013-08-04 18:11:50.999557	2013-08-04 18:11:50.999557	236
34223	168868	12856	2013-08-04 18:11:51.128021	2013-08-04 18:11:51.128021	236
34224	168868	29321	2013-08-04 18:11:51.136819	2013-08-04 18:11:51.136819	236
34225	168868	19821	2013-08-04 18:11:51.145837	2013-08-04 18:11:51.145837	236
34226	168868	36603	2013-08-04 18:11:51.154584	2013-08-04 18:11:51.154584	236
34227	168868	34603	2013-08-04 18:11:51.159986	2013-08-04 18:11:51.159986	236
34228	168868	28450	2013-08-04 18:11:51.163655	2013-08-04 18:11:51.163655	236
34229	168868	17336	2013-08-04 18:11:51.166811	2013-08-04 18:11:51.166811	236
34230	168868	35623	2013-08-04 18:11:51.169925	2013-08-04 18:11:51.169925	236
34231	168868	19781	2013-08-04 18:11:51.172999	2013-08-04 18:11:51.172999	236
34232	168868	22353	2013-08-04 18:11:51.176277	2013-08-04 18:11:51.176277	236
34233	168868	17301	2013-08-04 18:11:51.17943	2013-08-04 18:11:51.17943	236
34234	168868	28100	2013-08-04 18:11:51.182641	2013-08-04 18:11:51.182641	236
34235	168868	19761	2013-08-04 18:11:51.185737	2013-08-04 18:11:51.185737	236
34236	168868	21253	2013-08-04 18:11:51.188755	2013-08-04 18:11:51.188755	236
34237	168868	21319	2013-08-04 18:11:51.19243	2013-08-04 18:11:51.19243	236
34238	168868	28386	2013-08-04 18:11:51.197297	2013-08-04 18:11:51.197297	236
34239	168868	3924	2013-08-04 18:11:51.200577	2013-08-04 18:11:51.200577	236
34240	168868	17153	2013-08-04 18:11:51.205102	2013-08-04 18:11:51.205102	236
34241	168868	3095	2013-08-04 18:11:51.210018	2013-08-04 18:11:51.210018	236
34242	168864	12856	2013-08-04 18:11:51.236941	2013-08-04 18:11:51.236941	236
34243	168864	29321	2013-08-04 18:11:51.245785	2013-08-04 18:11:51.245785	236
34244	168864	19821	2013-08-04 18:11:51.254881	2013-08-04 18:11:51.254881	236
34245	168864	36603	2013-08-04 18:11:51.325026	2013-08-04 18:11:51.325026	236
34246	168864	34603	2013-08-04 18:11:51.333049	2013-08-04 18:11:51.333049	236
34247	168864	28450	2013-08-04 18:11:51.336585	2013-08-04 18:11:51.336585	236
34248	168864	17336	2013-08-04 18:11:51.339609	2013-08-04 18:11:51.339609	236
34249	168864	35623	2013-08-04 18:11:51.342568	2013-08-04 18:11:51.342568	236
34250	168864	19781	2013-08-04 18:11:51.349471	2013-08-04 18:11:51.349471	236
34251	168864	22353	2013-08-04 18:11:51.355736	2013-08-04 18:11:51.355736	236
34252	168864	17301	2013-08-04 18:11:51.359615	2013-08-04 18:11:51.359615	236
34253	168864	28100	2013-08-04 18:11:51.365313	2013-08-04 18:11:51.365313	236
34254	168864	19761	2013-08-04 18:11:51.371072	2013-08-04 18:11:51.371072	236
34255	168864	21253	2013-08-04 18:11:51.377661	2013-08-04 18:11:51.377661	236
34256	168864	21319	2013-08-04 18:11:51.385102	2013-08-04 18:11:51.385102	236
34257	168864	28386	2013-08-04 18:11:51.393496	2013-08-04 18:11:51.393496	236
34258	168864	3924	2013-08-04 18:11:51.399116	2013-08-04 18:11:51.399116	236
34259	168864	17153	2013-08-04 18:11:51.406773	2013-08-04 18:11:51.406773	236
34260	168864	3095	2013-08-04 18:11:51.410174	2013-08-04 18:11:51.410174	236
34261	168656	47057	2013-08-04 18:11:51.522798	2013-08-04 18:11:51.522798	236
34262	168656	47037	2013-08-04 18:11:51.533989	2013-08-04 18:11:51.533989	236
34263	168656	46961	2013-08-04 18:11:51.544834	2013-08-04 18:11:51.544834	236
34264	168656	47017	2013-08-04 18:11:51.55307	2013-08-04 18:11:51.55307	236
34265	168656	47100	2013-08-04 18:11:51.557938	2013-08-04 18:11:51.557938	236
34266	168656	46997	2013-08-04 18:11:51.561208	2013-08-04 18:11:51.561208	236
34267	168656	46977	2013-08-04 18:11:51.565019	2013-08-04 18:11:51.565019	236
34268	168656	46957	2013-08-04 18:11:51.569519	2013-08-04 18:11:51.569519	236
34269	168656	46821	2013-08-04 18:11:51.574104	2013-08-04 18:11:51.574104	236
34270	168456	46918	2013-08-04 18:11:51.588712	2013-08-04 18:11:51.588712	236
34271	168456	46937	2013-08-04 18:11:51.594814	2013-08-04 18:11:51.594814	236
34272	168456	46917	2013-08-04 18:11:51.605717	2013-08-04 18:11:51.605717	236
34273	168456	46897	2013-08-04 18:11:51.617377	2013-08-04 18:11:51.617377	236
34274	168456	46877	2013-08-04 18:11:51.628173	2013-08-04 18:11:51.628173	236
34275	168456	46857	2013-08-04 18:11:51.639023	2013-08-04 18:11:51.639023	236
34276	168456	46837	2013-08-04 18:11:51.64911	2013-08-04 18:11:51.64911	236
34277	168456	46817	2013-08-04 18:11:51.660167	2013-08-04 18:11:51.660167	236
34278	168456	31853	2013-08-04 18:11:51.671566	2013-08-04 18:11:51.671566	236
34279	169734	4679	2013-08-04 18:11:51.709868	2013-08-04 18:11:51.709868	236
34280	169734	28103	2013-08-04 18:11:51.714662	2013-08-04 18:11:51.714662	236
34281	169734	28099	2013-08-04 18:11:51.719581	2013-08-04 18:11:51.719581	236
34282	169734	21786	2013-08-04 18:11:51.724807	2013-08-04 18:11:51.724807	236
34283	169734	28079	2013-08-04 18:11:51.728509	2013-08-04 18:11:51.728509	236
34284	169734	27978	2013-08-04 18:11:51.732284	2013-08-04 18:11:51.732284	236
34285	168678	28038	2013-08-04 18:11:51.748039	2013-08-04 18:11:51.748039	236
34286	168678	28059	2013-08-04 18:11:51.760043	2013-08-04 18:11:51.760043	236
34287	168678	28039	2013-08-04 18:11:51.770831	2013-08-04 18:11:51.770831	236
34288	168678	13860	2013-08-04 18:11:51.782305	2013-08-04 18:11:51.782305	236
34289	168678	28019	2013-08-04 18:11:51.791593	2013-08-04 18:11:51.791593	236
34290	168678	27999	2013-08-04 18:11:51.801034	2013-08-04 18:11:51.801034	236
34291	168522	27979	2013-08-04 18:11:51.817711	2013-08-04 18:11:51.817711	236
34292	168522	27959	2013-08-04 18:11:51.827694	2013-08-04 18:11:51.827694	236
34293	168522	27072	2013-08-04 18:11:51.83258	2013-08-04 18:11:51.83258	236
34294	168522	27935	2013-08-04 18:11:51.841783	2013-08-04 18:11:51.841783	236
34295	168522	27939	2013-08-04 18:11:51.850863	2013-08-04 18:11:51.850863	236
34296	168522	27919	2013-08-04 18:11:51.861232	2013-08-04 18:11:51.861232	236
34297	169924	19861	2013-08-04 18:17:47.94673	2013-08-04 18:17:47.94673	237
34298	169924	17430	2013-08-04 18:17:47.951121	2013-08-04 18:17:47.951121	237
34299	169924	17461	2013-08-04 18:17:47.956079	2013-08-04 18:17:47.956079	237
34300	169924	19500	2013-08-04 18:17:47.962607	2013-08-04 18:17:47.962607	237
34301	169924	48083	2013-08-04 18:17:47.967174	2013-08-04 18:17:47.967174	237
34302	169924	11411	2013-08-04 18:17:47.971279	2013-08-04 18:17:47.971279	237
34303	169924	15825	2013-08-04 18:17:47.975959	2013-08-04 18:17:47.975959	237
34304	169924	15846	2013-08-04 18:17:47.980836	2013-08-04 18:17:47.980836	237
34305	169924	22986	2013-08-04 18:17:47.985326	2013-08-04 18:17:47.985326	237
34306	169924	8900	2013-08-04 18:17:47.990568	2013-08-04 18:17:47.990568	237
34307	169924	17401	2013-08-04 18:17:47.996311	2013-08-04 18:17:47.996311	237
34308	169924	10223	2013-08-04 18:17:48.003978	2013-08-04 18:17:48.003978	237
34309	169924	22966	2013-08-04 18:17:48.008587	2013-08-04 18:17:48.008587	237
34310	169924	13760	2013-08-04 18:17:48.013967	2013-08-04 18:17:48.013967	237
34311	169924	29192	2013-08-04 18:17:48.020797	2013-08-04 18:17:48.020797	237
34312	169924	48243	2013-08-04 18:17:48.025595	2013-08-04 18:17:48.025595	237
34313	169924	17290	2013-08-04 18:17:48.030478	2013-08-04 18:17:48.030478	237
34314	169924	24170	2013-08-04 18:17:48.03518	2013-08-04 18:17:48.03518	237
34315	169924	47963	2013-08-04 18:17:48.040143	2013-08-04 18:17:48.040143	237
34316	170368	13017	2013-08-04 18:17:48.065625	2013-08-04 18:17:48.065625	237
34317	170368	12809	2013-08-04 18:17:48.069503	2013-08-04 18:17:48.069503	237
34318	170058	12589	2013-08-04 18:17:48.078316	2013-08-04 18:17:48.078316	237
34319	170058	12296	2013-08-04 18:17:48.082667	2013-08-04 18:17:48.082667	237
34320	170045	12149	2013-08-04 18:17:48.091007	2013-08-04 18:17:48.091007	237
34321	170045	32193	2013-08-04 18:17:48.095558	2013-08-04 18:17:48.095558	237
34322	169865	28319	2013-08-04 18:17:48.103367	2013-08-04 18:17:48.103367	237
34323	169865	1998	2013-08-04 18:17:48.107356	2013-08-04 18:17:48.107356	237
34324	170625	13149	2013-08-04 18:17:48.165209	2013-08-04 18:17:48.165209	237
34325	170625	15119	2013-08-04 18:17:48.175621	2013-08-04 18:17:48.175621	237
34326	170411	6121	2013-08-04 18:17:48.197448	2013-08-04 18:17:48.197448	237
34327	170411	12989	2013-08-04 18:17:48.207729	2013-08-04 18:17:48.207729	237
34328	170096	12789	2013-08-04 18:17:48.229487	2013-08-04 18:17:48.229487	237
34329	170096	12569	2013-08-04 18:17:48.240051	2013-08-04 18:17:48.240051	237
34330	170048	12349	2013-08-04 18:17:48.262	2013-08-04 18:17:48.262	237
34331	170048	12109	2013-08-04 18:17:48.272168	2013-08-04 18:17:48.272168	237
34332	169959	6018	2013-08-04 18:17:48.293977	2013-08-04 18:17:48.293977	237
34333	169959	15246	2013-08-04 18:17:48.304907	2013-08-04 18:17:48.304907	237
34334	170263	6118	2013-08-04 18:17:48.386652	2013-08-04 18:17:48.386652	237
34335	170263	5980	2013-08-04 18:17:48.394337	2013-08-04 18:17:48.394337	237
34336	170263	6000	2013-08-04 18:17:48.406175	2013-08-04 18:17:48.406175	237
34337	170263	6020	2013-08-04 18:17:48.410684	2013-08-04 18:17:48.410684	237
34338	170263	6040	2013-08-04 18:17:48.414773	2013-08-04 18:17:48.414773	237
34339	170263	5992	2013-08-04 18:17:48.418466	2013-08-04 18:17:48.418466	237
34340	170107	6012	2013-08-04 18:17:48.425748	2013-08-04 18:17:48.425748	237
34341	170107	6032	2013-08-04 18:17:48.430051	2013-08-04 18:17:48.430051	237
34342	170107	6052	2013-08-04 18:17:48.436491	2013-08-04 18:17:48.436491	237
34343	170107	6072	2013-08-04 18:17:48.440711	2013-08-04 18:17:48.440711	237
34344	170107	6092	2013-08-04 18:17:48.446552	2013-08-04 18:17:48.446552	237
34345	170107	6011	2013-08-04 18:17:48.457538	2013-08-04 18:17:48.457538	237
34346	169870	6031	2013-08-04 18:17:48.480289	2013-08-04 18:17:48.480289	237
34347	169870	6107	2013-08-04 18:17:48.492534	2013-08-04 18:17:48.492534	237
34348	169870	6051	2013-08-04 18:17:48.502695	2013-08-04 18:17:48.502695	237
34349	169870	6087	2013-08-04 18:17:48.508761	2013-08-04 18:17:48.508761	237
34350	169870	6071	2013-08-04 18:17:48.513801	2013-08-04 18:17:48.513801	237
34351	169870	6067	2013-08-04 18:17:48.519934	2013-08-04 18:17:48.519934	237
34352	170264	13389	2013-08-04 18:17:48.540776	2013-08-04 18:17:48.540776	237
34353	170264	31820	2013-08-04 18:17:48.545283	2013-08-04 18:17:48.545283	237
34354	170264	13369	2013-08-04 18:17:48.549579	2013-08-04 18:17:48.549579	237
34355	170264	13466	2013-08-04 18:17:48.555626	2013-08-04 18:17:48.555626	237
34356	170264	13349	2013-08-04 18:17:48.561405	2013-08-04 18:17:48.561405	237
34357	170264	13329	2013-08-04 18:17:48.568399	2013-08-04 18:17:48.568399	237
34358	170264	19408	2013-08-04 18:17:48.579815	2013-08-04 18:17:48.579815	237
34359	170264	13309	2013-08-04 18:17:48.592065	2013-08-04 18:17:48.592065	237
34360	170264	13289	2013-08-04 18:17:48.600058	2013-08-04 18:17:48.600058	237
34361	169894	13269	2013-08-04 18:17:48.607187	2013-08-04 18:17:48.607187	237
34362	169894	13249	2013-08-04 18:17:48.611058	2013-08-04 18:17:48.611058	237
34363	169894	10377	2013-08-04 18:17:48.614881	2013-08-04 18:17:48.614881	237
34364	169894	13229	2013-08-04 18:17:48.619272	2013-08-04 18:17:48.619272	237
34365	169894	13192	2013-08-04 18:17:48.625355	2013-08-04 18:17:48.625355	237
34366	169894	13209	2013-08-04 18:17:48.631034	2013-08-04 18:17:48.631034	237
34367	169894	12860	2013-08-04 18:17:48.635381	2013-08-04 18:17:48.635381	237
34368	169894	13189	2013-08-04 18:17:48.640836	2013-08-04 18:17:48.640836	237
34369	169894	13150	2013-08-04 18:17:48.645752	2013-08-04 18:17:48.645752	237
34370	170265	12900	2013-08-04 18:17:48.667423	2013-08-04 18:17:48.667423	237
34371	170265	12729	2013-08-04 18:17:48.672336	2013-08-04 18:17:48.672336	237
34372	170161	12456	2013-08-04 18:17:48.681215	2013-08-04 18:17:48.681215	237
34373	170161	12346	2013-08-04 18:17:48.685807	2013-08-04 18:17:48.685807	237
34374	170029	12069	2013-08-04 18:17:48.69643	2013-08-04 18:17:48.69643	237
34375	170029	32072	2013-08-04 18:17:48.701751	2013-08-04 18:17:48.701751	237
34376	169873	28259	2013-08-04 18:17:48.711536	2013-08-04 18:17:48.711536	237
34377	169873	2000	2013-08-04 18:17:48.715944	2013-08-04 18:17:48.715944	237
34378	171121	32493	2013-08-04 18:17:48.774656	2013-08-04 18:17:48.774656	237
34379	171121	6144	2013-08-04 18:17:48.78354	2013-08-04 18:17:48.78354	237
34380	171121	32473	2013-08-04 18:17:48.794759	2013-08-04 18:17:48.794759	237
34381	171121	32453	2013-08-04 18:17:48.805426	2013-08-04 18:17:48.805426	237
34382	171121	32433	2013-08-04 18:17:48.81565	2013-08-04 18:17:48.81565	237
34383	171121	32413	2013-08-04 18:17:48.827073	2013-08-04 18:17:48.827073	237
34384	171121	32365	2013-08-04 18:17:48.838766	2013-08-04 18:17:48.838766	237
34385	171121	32393	2013-08-04 18:17:48.851137	2013-08-04 18:17:48.851137	237
34386	171121	32373	2013-08-04 18:17:48.862771	2013-08-04 18:17:48.862771	237
34387	171106	32390	2013-08-04 18:17:48.887375	2013-08-04 18:17:48.887375	237
34388	171106	32353	2013-08-04 18:17:48.900647	2013-08-04 18:17:48.900647	237
34389	171106	2417	2013-08-04 18:17:48.912241	2013-08-04 18:17:48.912241	237
34390	171106	32333	2013-08-04 18:17:48.922916	2013-08-04 18:17:48.922916	237
34391	171106	32313	2013-08-04 18:17:48.926964	2013-08-04 18:17:48.926964	237
34392	171106	32292	2013-08-04 18:17:48.986871	2013-08-04 18:17:48.986871	237
34393	171106	32293	2013-08-04 18:17:48.992838	2013-08-04 18:17:48.992838	237
34394	171106	32273	2013-08-04 18:17:48.997768	2013-08-04 18:17:48.997768	237
34395	171106	32253	2013-08-04 18:17:49.002655	2013-08-04 18:17:49.002655	237
34396	170469	12856	2013-08-04 18:17:49.017778	2013-08-04 18:17:49.017778	237
34397	170469	29321	2013-08-04 18:17:49.022859	2013-08-04 18:17:49.022859	237
34398	170469	19821	2013-08-04 18:17:49.027989	2013-08-04 18:17:49.027989	237
34399	170469	36603	2013-08-04 18:17:49.032734	2013-08-04 18:17:49.032734	237
34400	170469	34603	2013-08-04 18:17:49.037383	2013-08-04 18:17:49.037383	237
34401	170469	28450	2013-08-04 18:17:49.042104	2013-08-04 18:17:49.042104	237
34402	170469	17336	2013-08-04 18:17:49.049469	2013-08-04 18:17:49.049469	237
34403	170469	35623	2013-08-04 18:17:49.056084	2013-08-04 18:17:49.056084	237
34404	170469	19781	2013-08-04 18:17:49.059226	2013-08-04 18:17:49.059226	237
34405	170469	22353	2013-08-04 18:17:49.062249	2013-08-04 18:17:49.062249	237
34406	170469	17301	2013-08-04 18:17:49.065245	2013-08-04 18:17:49.065245	237
34407	170469	28100	2013-08-04 18:17:49.068267	2013-08-04 18:17:49.068267	237
34408	170469	19761	2013-08-04 18:17:49.072412	2013-08-04 18:17:49.072412	237
34409	170469	21253	2013-08-04 18:17:49.075014	2013-08-04 18:17:49.075014	237
34410	170469	21319	2013-08-04 18:17:49.077353	2013-08-04 18:17:49.077353	237
34411	170469	28386	2013-08-04 18:17:49.081969	2013-08-04 18:17:49.081969	237
34412	170469	3924	2013-08-04 18:17:49.088133	2013-08-04 18:17:49.088133	237
34413	170469	17153	2013-08-04 18:17:49.094344	2013-08-04 18:17:49.094344	237
34414	170469	3095	2013-08-04 18:17:49.102536	2013-08-04 18:17:49.102536	237
34415	170465	12856	2013-08-04 18:17:49.128747	2013-08-04 18:17:49.128747	237
34416	170465	29321	2013-08-04 18:17:49.137288	2013-08-04 18:17:49.137288	237
34417	170465	19821	2013-08-04 18:17:49.145328	2013-08-04 18:17:49.145328	237
34418	170465	36603	2013-08-04 18:17:49.153448	2013-08-04 18:17:49.153448	237
34419	170465	34603	2013-08-04 18:17:49.156691	2013-08-04 18:17:49.156691	237
34420	170465	28450	2013-08-04 18:17:49.1607	2013-08-04 18:17:49.1607	237
34421	170465	17336	2013-08-04 18:17:49.164694	2013-08-04 18:17:49.164694	237
34422	170465	35623	2013-08-04 18:17:49.168574	2013-08-04 18:17:49.168574	237
34423	170465	19781	2013-08-04 18:17:49.172481	2013-08-04 18:17:49.172481	237
34424	170465	22353	2013-08-04 18:17:49.175722	2013-08-04 18:17:49.175722	237
34425	170465	17301	2013-08-04 18:17:49.178335	2013-08-04 18:17:49.178335	237
34426	170465	28100	2013-08-04 18:17:49.180973	2013-08-04 18:17:49.180973	237
34427	170465	19761	2013-08-04 18:17:49.184768	2013-08-04 18:17:49.184768	237
34428	170465	21253	2013-08-04 18:17:49.187902	2013-08-04 18:17:49.187902	237
34429	170465	21319	2013-08-04 18:17:49.190538	2013-08-04 18:17:49.190538	237
34430	170465	28386	2013-08-04 18:17:49.193027	2013-08-04 18:17:49.193027	237
34431	170465	3924	2013-08-04 18:17:49.195424	2013-08-04 18:17:49.195424	237
34432	170465	17153	2013-08-04 18:17:49.198129	2013-08-04 18:17:49.198129	237
34433	170465	3095	2013-08-04 18:17:49.200839	2013-08-04 18:17:49.200839	237
34434	170046	13049	2013-08-04 18:17:49.219032	2013-08-04 18:17:49.219032	237
34435	170046	12909	2013-08-04 18:17:49.222995	2013-08-04 18:17:49.222995	237
34436	170046	12517	2013-08-04 18:17:49.229092	2013-08-04 18:17:49.229092	237
34437	170046	32093	2013-08-04 18:17:49.234774	2013-08-04 18:17:49.234774	237
34438	169872	28108	2013-08-04 18:17:49.248848	2013-08-04 18:17:49.248848	237
34439	169872	12701	2013-08-04 18:17:49.253516	2013-08-04 18:17:49.253516	237
34440	169872	8736	2013-08-04 18:17:49.259866	2013-08-04 18:17:49.259866	237
34441	169872	39143	2013-08-04 18:17:49.263479	2013-08-04 18:17:49.263479	237
34442	170267	16212	2013-08-04 18:17:49.2847	2013-08-04 18:17:49.2847	237
34443	170267	28295	2013-08-04 18:17:49.289179	2013-08-04 18:17:49.289179	237
34444	170267	13951	2013-08-04 18:17:49.294406	2013-08-04 18:17:49.294406	237
34445	170267	28399	2013-08-04 18:17:49.300439	2013-08-04 18:17:49.300439	237
34446	170267	21826	2013-08-04 18:17:49.306701	2013-08-04 18:17:49.306701	237
34447	170267	28379	2013-08-04 18:17:49.313584	2013-08-04 18:17:49.313584	237
34448	170267	28199	2013-08-04 18:17:49.320922	2013-08-04 18:17:49.320922	237
34449	170267	48170	2013-08-04 18:17:49.326226	2013-08-04 18:17:49.326226	237
34450	170267	12837	2013-08-04 18:17:49.331902	2013-08-04 18:17:49.331902	237
34451	169911	12629	2013-08-04 18:17:49.342256	2013-08-04 18:17:49.342256	237
34452	169911	6011	2013-08-04 18:17:49.346387	2013-08-04 18:17:49.346387	237
34453	169911	6092	2013-08-04 18:17:49.350024	2013-08-04 18:17:49.350024	237
34454	169911	6072	2013-08-04 18:17:49.35406	2013-08-04 18:17:49.35406	237
34455	169911	6052	2013-08-04 18:17:49.358353	2013-08-04 18:17:49.358353	237
34456	169911	6032	2013-08-04 18:17:49.361927	2013-08-04 18:17:49.361927	237
34457	169911	6012	2013-08-04 18:17:49.366665	2013-08-04 18:17:49.366665	237
34458	169911	5940	2013-08-04 18:17:49.374256	2013-08-04 18:17:49.374256	237
34459	169911	1966	2013-08-04 18:17:49.382211	2013-08-04 18:17:49.382211	237
34460	170257	12908	2013-08-04 18:17:49.441197	2013-08-04 18:17:49.441197	237
34461	170257	12770	2013-08-04 18:17:49.451345	2013-08-04 18:17:49.451345	237
34462	170257	12440	2013-08-04 18:17:49.461605	2013-08-04 18:17:49.461605	237
34463	170056	12229	2013-08-04 18:17:49.484246	2013-08-04 18:17:49.484246	237
34464	170056	12189	2013-08-04 18:17:49.494828	2013-08-04 18:17:49.494828	237
34465	170056	11929	2013-08-04 18:17:49.504844	2013-08-04 18:17:49.504844	237
34466	169878	15908	2013-08-04 18:17:49.526896	2013-08-04 18:17:49.526896	237
34467	169878	2001	2013-08-04 18:17:49.538204	2013-08-04 18:17:49.538204	237
34468	169878	39243	2013-08-04 18:17:49.54923	2013-08-04 18:17:49.54923	237
34469	170464	12856	2013-08-04 18:17:49.877137	2013-08-04 18:17:49.877137	237
34470	170464	29321	2013-08-04 18:17:49.885717	2013-08-04 18:17:49.885717	237
34471	170464	19821	2013-08-04 18:17:49.893862	2013-08-04 18:17:49.893862	237
34472	170464	36603	2013-08-04 18:17:49.902028	2013-08-04 18:17:49.902028	237
34473	170464	34603	2013-08-04 18:17:49.910036	2013-08-04 18:17:49.910036	237
34474	170464	28450	2013-08-04 18:17:49.9184	2013-08-04 18:17:49.9184	237
34475	170464	17336	2013-08-04 18:17:49.926574	2013-08-04 18:17:49.926574	237
34476	170464	35623	2013-08-04 18:17:49.934691	2013-08-04 18:17:49.934691	237
34477	170464	19781	2013-08-04 18:17:49.943049	2013-08-04 18:17:49.943049	237
34478	170464	22353	2013-08-04 18:17:49.951311	2013-08-04 18:17:49.951311	237
34479	170464	17301	2013-08-04 18:17:49.959477	2013-08-04 18:17:49.959477	237
34480	170464	28100	2013-08-04 18:17:49.967711	2013-08-04 18:17:49.967711	237
34481	170464	19761	2013-08-04 18:17:49.975933	2013-08-04 18:17:49.975933	237
34482	170464	21253	2013-08-04 18:17:49.983965	2013-08-04 18:17:49.983965	237
34483	170464	21319	2013-08-04 18:17:49.99209	2013-08-04 18:17:49.99209	237
34484	170464	28386	2013-08-04 18:17:50.000363	2013-08-04 18:17:50.000363	237
34485	170464	3924	2013-08-04 18:17:50.008658	2013-08-04 18:17:50.008658	237
34486	170464	17153	2013-08-04 18:17:50.016992	2013-08-04 18:17:50.016992	237
34487	170464	3095	2013-08-04 18:17:50.02539	2013-08-04 18:17:50.02539	237
34488	170466	12856	2013-08-04 18:17:50.056887	2013-08-04 18:17:50.056887	237
34489	170466	29321	2013-08-04 18:17:50.063674	2013-08-04 18:17:50.063674	237
34490	170466	19821	2013-08-04 18:17:50.066208	2013-08-04 18:17:50.066208	237
34491	170466	36603	2013-08-04 18:17:50.068793	2013-08-04 18:17:50.068793	237
34492	170466	34603	2013-08-04 18:17:50.071462	2013-08-04 18:17:50.071462	237
34493	170466	28450	2013-08-04 18:17:50.074193	2013-08-04 18:17:50.074193	237
34494	170466	17336	2013-08-04 18:17:50.077011	2013-08-04 18:17:50.077011	237
34495	170466	35623	2013-08-04 18:17:50.079895	2013-08-04 18:17:50.079895	237
34496	170466	19781	2013-08-04 18:17:50.082857	2013-08-04 18:17:50.082857	237
34497	170466	22353	2013-08-04 18:17:50.085515	2013-08-04 18:17:50.085515	237
34498	170466	17301	2013-08-04 18:17:50.088672	2013-08-04 18:17:50.088672	237
34499	170466	28100	2013-08-04 18:17:50.151326	2013-08-04 18:17:50.151326	237
34500	170466	19761	2013-08-04 18:17:50.155165	2013-08-04 18:17:50.155165	237
34501	170466	21253	2013-08-04 18:17:50.158113	2013-08-04 18:17:50.158113	237
34502	170466	21319	2013-08-04 18:17:50.161019	2013-08-04 18:17:50.161019	237
34503	170466	28386	2013-08-04 18:17:50.163784	2013-08-04 18:17:50.163784	237
34504	170466	3924	2013-08-04 18:17:50.166563	2013-08-04 18:17:50.166563	237
34505	170466	17153	2013-08-04 18:17:50.169321	2013-08-04 18:17:50.169321	237
34506	170466	3095	2013-08-04 18:17:50.172134	2013-08-04 18:17:50.172134	237
34507	170467	12856	2013-08-04 18:17:50.183114	2013-08-04 18:17:50.183114	237
34508	170467	29321	2013-08-04 18:17:50.18615	2013-08-04 18:17:50.18615	237
34509	170467	19821	2013-08-04 18:17:50.189339	2013-08-04 18:17:50.189339	237
34510	170467	36603	2013-08-04 18:17:50.192632	2013-08-04 18:17:50.192632	237
34511	170467	34603	2013-08-04 18:17:50.195577	2013-08-04 18:17:50.195577	237
34512	170467	28450	2013-08-04 18:17:50.198358	2013-08-04 18:17:50.198358	237
34513	170467	17336	2013-08-04 18:17:50.201151	2013-08-04 18:17:50.201151	237
34514	170467	35623	2013-08-04 18:17:50.203929	2013-08-04 18:17:50.203929	237
34515	170467	19781	2013-08-04 18:17:50.206693	2013-08-04 18:17:50.206693	237
34516	170467	22353	2013-08-04 18:17:50.209412	2013-08-04 18:17:50.209412	237
34517	170467	17301	2013-08-04 18:17:50.212355	2013-08-04 18:17:50.212355	237
34518	170467	28100	2013-08-04 18:17:50.215381	2013-08-04 18:17:50.215381	237
34519	170467	19761	2013-08-04 18:17:50.218378	2013-08-04 18:17:50.218378	237
34520	170467	21253	2013-08-04 18:17:50.221116	2013-08-04 18:17:50.221116	237
34521	170467	21319	2013-08-04 18:17:50.223947	2013-08-04 18:17:50.223947	237
34522	170467	28386	2013-08-04 18:17:50.22675	2013-08-04 18:17:50.22675	237
34523	170467	3924	2013-08-04 18:17:50.229544	2013-08-04 18:17:50.229544	237
34524	170467	17153	2013-08-04 18:17:50.232816	2013-08-04 18:17:50.232816	237
34525	170467	3095	2013-08-04 18:17:50.235964	2013-08-04 18:17:50.235964	237
34526	170606	12989	2013-08-04 18:17:50.434606	2013-08-04 18:17:50.434606	237
34527	170606	6121	2013-08-04 18:17:50.43808	2013-08-04 18:17:50.43808	237
34528	170606	12809	2013-08-04 18:17:50.442423	2013-08-04 18:17:50.442423	237
34529	170606	13017	2013-08-04 18:17:50.448964	2013-08-04 18:17:50.448964	237
34530	170606	13083	2013-08-04 18:17:50.452885	2013-08-04 18:17:50.452885	237
34531	170606	6047	2013-08-04 18:17:50.456706	2013-08-04 18:17:50.456706	237
34532	170606	13008	2013-08-04 18:17:50.460607	2013-08-04 18:17:50.460607	237
34533	170606	12849	2013-08-04 18:17:50.464743	2013-08-04 18:17:50.464743	237
34534	170606	12609	2013-08-04 18:17:50.469011	2013-08-04 18:17:50.469011	237
34535	170606	12409	2013-08-04 18:17:50.472799	2013-08-04 18:17:50.472799	237
34536	170606	12141	2013-08-04 18:17:50.476302	2013-08-04 18:17:50.476302	237
34537	170606	32233	2013-08-04 18:17:50.479292	2013-08-04 18:17:50.479292	237
34538	170606	28359	2013-08-04 18:17:50.482371	2013-08-04 18:17:50.482371	237
34539	170606	12908	2013-08-04 18:17:50.48555	2013-08-04 18:17:50.48555	237
34540	170606	12770	2013-08-04 18:17:50.489115	2013-08-04 18:17:50.489115	237
34541	170606	12440	2013-08-04 18:17:50.492219	2013-08-04 18:17:50.492219	237
34542	170606	2024	2013-08-04 18:17:50.495403	2013-08-04 18:17:50.495403	237
34543	170613	1900	2013-08-04 18:17:50.51742	2013-08-04 18:17:50.51742	237
34544	170613	1982	2013-08-04 18:17:50.521506	2013-08-04 18:17:50.521506	237
34545	170613	1961	2013-08-04 18:17:50.525477	2013-08-04 18:17:50.525477	237
34546	170613	35315	2013-08-04 18:17:50.528817	2013-08-04 18:17:50.528817	237
34547	170613	1986	2013-08-04 18:17:50.532655	2013-08-04 18:17:50.532655	237
34548	170613	9500	2013-08-04 18:17:50.536829	2013-08-04 18:17:50.536829	237
34549	170613	2014	2013-08-04 18:17:50.543954	2013-08-04 18:17:50.543954	237
34550	170613	1950	2013-08-04 18:17:50.548725	2013-08-04 18:17:50.548725	237
34551	170613	2039	2013-08-04 18:17:50.552654	2013-08-04 18:17:50.552654	237
34552	170613	1948	2013-08-04 18:17:50.556588	2013-08-04 18:17:50.556588	237
34553	170613	2040	2013-08-04 18:17:50.560239	2013-08-04 18:17:50.560239	237
34554	170613	28560	2013-08-04 18:17:50.563772	2013-08-04 18:17:50.563772	237
34555	170613	17430	2013-08-04 18:17:50.567539	2013-08-04 18:17:50.567539	237
34556	170613	19861	2013-08-04 18:17:50.570885	2013-08-04 18:17:50.570885	237
34557	170613	47963	2013-08-04 18:17:50.574389	2013-08-04 18:17:50.574389	237
34558	170613	24170	2013-08-04 18:17:50.578343	2013-08-04 18:17:50.578343	237
34559	170613	17290	2013-08-04 18:17:50.582274	2013-08-04 18:17:50.582274	237
34560	170613	48243	2013-08-04 18:17:50.585823	2013-08-04 18:17:50.585823	237
34561	170613	29192	2013-08-04 18:17:50.589265	2013-08-04 18:17:50.589265	237
34562	170614	6227	2013-08-04 18:17:50.600533	2013-08-04 18:17:50.600533	237
34563	170614	6207	2013-08-04 18:17:50.604711	2013-08-04 18:17:50.604711	237
34564	170614	6187	2013-08-04 18:17:50.610435	2013-08-04 18:17:50.610435	237
34565	170614	33181	2013-08-04 18:17:50.616768	2013-08-04 18:17:50.616768	237
34566	170614	6130	2013-08-04 18:17:50.622795	2013-08-04 18:17:50.622795	237
34567	170614	6167	2013-08-04 18:17:50.628654	2013-08-04 18:17:50.628654	237
34568	170614	6147	2013-08-04 18:17:50.63582	2013-08-04 18:17:50.63582	237
34569	170614	2725	2013-08-04 18:17:50.642947	2013-08-04 18:17:50.642947	237
34570	170614	5826	2013-08-04 18:17:50.649656	2013-08-04 18:17:50.649656	237
34571	170614	38203	2013-08-04 18:17:50.655085	2013-08-04 18:17:50.655085	237
34572	170614	40683	2013-08-04 18:17:50.659707	2013-08-04 18:17:50.659707	237
34573	170614	6127	2013-08-04 18:17:50.667066	2013-08-04 18:17:50.667066	237
34574	170614	13737	2013-08-04 18:17:50.673576	2013-08-04 18:17:50.673576	237
34575	170614	4446	2013-08-04 18:17:50.678648	2013-08-04 18:17:50.678648	237
34576	170614	6090	2013-08-04 18:17:50.682771	2013-08-04 18:17:50.682771	237
34577	170614	6056	2013-08-04 18:17:50.686444	2013-08-04 18:17:50.686444	237
34578	170614	6078	2013-08-04 18:17:50.691894	2013-08-04 18:17:50.691894	237
34579	170614	5940	2013-08-04 18:17:50.69724	2013-08-04 18:17:50.69724	237
34580	170614	1966	2013-08-04 18:17:50.705989	2013-08-04 18:17:50.705989	237
34581	170608	32390	2013-08-04 18:17:50.748346	2013-08-04 18:17:50.748346	237
34582	170608	32253	2013-08-04 18:17:50.758732	2013-08-04 18:17:50.758732	237
34583	170608	32273	2013-08-04 18:17:50.768586	2013-08-04 18:17:50.768586	237
34584	170608	32293	2013-08-04 18:17:50.778618	2013-08-04 18:17:50.778618	237
34585	170608	32292	2013-08-04 18:17:50.788788	2013-08-04 18:17:50.788788	237
34586	170608	32313	2013-08-04 18:17:50.799282	2013-08-04 18:17:50.799282	237
34587	170608	32333	2013-08-04 18:17:50.809993	2013-08-04 18:17:50.809993	237
34588	170608	2417	2013-08-04 18:17:50.820464	2013-08-04 18:17:50.820464	237
34589	170608	32173	2013-08-04 18:17:50.83044	2013-08-04 18:17:50.83044	237
34590	170608	28108	2013-08-04 18:17:50.840431	2013-08-04 18:17:50.840431	237
34591	170608	28259	2013-08-04 18:17:50.850674	2013-08-04 18:17:50.850674	237
34592	170608	13740	2013-08-04 18:17:50.860958	2013-08-04 18:17:50.860958	237
34593	170608	12701	2013-08-04 18:17:50.871581	2013-08-04 18:17:50.871581	237
34594	170608	6051	2013-08-04 18:17:50.882356	2013-08-04 18:17:50.882356	237
34595	170608	6107	2013-08-04 18:17:50.892548	2013-08-04 18:17:50.892548	237
34596	170608	6031	2013-08-04 18:17:50.903451	2013-08-04 18:17:50.903451	237
34597	170608	39143	2013-08-04 18:17:50.914377	2013-08-04 18:17:50.914377	237
34598	170608	2000	2013-08-04 18:17:50.925074	2013-08-04 18:17:50.925074	237
34599	170608	15668	2013-08-04 18:17:50.929314	2013-08-04 18:17:50.929314	237
34600	170616	40915	2013-08-04 18:17:50.940257	2013-08-04 18:17:50.940257	237
34601	170616	13589	2013-08-04 18:17:50.944598	2013-08-04 18:17:50.944598	237
34602	170616	10917	2013-08-04 18:17:50.948227	2013-08-04 18:17:50.948227	237
34603	170616	13569	2013-08-04 18:17:50.953235	2013-08-04 18:17:50.953235	237
34604	170616	40795	2013-08-04 18:17:50.958058	2013-08-04 18:17:50.958058	237
34605	170616	13549	2013-08-04 18:17:50.963338	2013-08-04 18:17:50.963338	237
34606	170616	13529	2013-08-04 18:17:50.969282	2013-08-04 18:17:50.969282	237
34607	170616	13536	2013-08-04 18:17:50.977178	2013-08-04 18:17:50.977178	237
34608	170616	13509	2013-08-04 18:17:50.98497	2013-08-04 18:17:50.98497	237
34609	170616	13489	2013-08-04 18:17:50.990278	2013-08-04 18:17:50.990278	237
34610	170616	13440	2013-08-04 18:17:50.993649	2013-08-04 18:17:50.993649	237
34611	170616	13469	2013-08-04 18:17:50.996962	2013-08-04 18:17:50.996962	237
34612	170616	13449	2013-08-04 18:17:51.000505	2013-08-04 18:17:51.000505	237
34613	170616	2340	2013-08-04 18:17:51.004511	2013-08-04 18:17:51.004511	237
34614	170616	13352	2013-08-04 18:17:51.008259	2013-08-04 18:17:51.008259	237
34615	170616	13429	2013-08-04 18:17:51.013416	2013-08-04 18:17:51.013416	237
34616	170616	12189	2013-08-04 18:17:51.022686	2013-08-04 18:17:51.022686	237
34617	170616	12229	2013-08-04 18:17:51.02618	2013-08-04 18:17:51.02618	237
34618	170616	11929	2013-08-04 18:17:51.029512	2013-08-04 18:17:51.029512	237
34619	171141	30500	2013-08-04 18:17:51.084963	2013-08-04 18:17:51.084963	237
34620	171141	30611	2013-08-04 18:17:51.09687	2013-08-04 18:17:51.09687	237
34621	171141	30591	2013-08-04 18:17:51.108446	2013-08-04 18:17:51.108446	237
34622	171141	30533	2013-08-04 18:17:51.119163	2013-08-04 18:17:51.119163	237
34623	171141	30571	2013-08-04 18:17:51.123302	2013-08-04 18:17:51.123302	237
34624	171141	30551	2013-08-04 18:17:51.127577	2013-08-04 18:17:51.127577	237
34625	171141	30555	2013-08-04 18:17:51.133288	2013-08-04 18:17:51.133288	237
34626	171141	30512	2013-08-04 18:17:51.137137	2013-08-04 18:17:51.137137	237
34627	171141	30570	2013-08-04 18:17:51.142157	2013-08-04 18:17:51.142157	237
34628	171141	30531	2013-08-04 18:17:51.148128	2013-08-04 18:17:51.148128	237
34629	171141	30511	2013-08-04 18:17:51.2204	2013-08-04 18:17:51.2204	237
34630	171141	30497	2013-08-04 18:17:51.231363	2013-08-04 18:17:51.231363	237
34631	171141	30491	2013-08-04 18:17:51.24168	2013-08-04 18:17:51.24168	237
34632	171141	30471	2013-08-04 18:17:51.252156	2013-08-04 18:17:51.252156	237
34633	171141	30338	2013-08-04 18:17:51.26134	2013-08-04 18:17:51.26134	237
34634	171141	28239	2013-08-04 18:17:51.268864	2013-08-04 18:17:51.268864	237
34635	171141	1976	2013-08-04 18:17:51.273301	2013-08-04 18:17:51.273301	237
34636	171141	1899	2013-08-04 18:17:51.277334	2013-08-04 18:17:51.277334	237
34637	171141	35103	2013-08-04 18:17:51.281622	2013-08-04 18:17:51.281622	237
34638	170468	12856	2013-08-04 18:17:51.294027	2013-08-04 18:17:51.294027	237
34639	170468	29321	2013-08-04 18:17:51.296791	2013-08-04 18:17:51.296791	237
34640	170468	19821	2013-08-04 18:17:51.29946	2013-08-04 18:17:51.29946	237
34641	170468	36603	2013-08-04 18:17:51.30271	2013-08-04 18:17:51.30271	237
34642	170468	34603	2013-08-04 18:17:51.307471	2013-08-04 18:17:51.307471	237
34643	170468	28450	2013-08-04 18:17:51.312877	2013-08-04 18:17:51.312877	237
34644	170468	17336	2013-08-04 18:17:51.318708	2013-08-04 18:17:51.318708	237
34645	170468	35623	2013-08-04 18:17:51.325551	2013-08-04 18:17:51.325551	237
34646	170468	19781	2013-08-04 18:17:51.333696	2013-08-04 18:17:51.333696	237
34647	170468	22353	2013-08-04 18:17:51.340515	2013-08-04 18:17:51.340515	237
34648	170468	17301	2013-08-04 18:17:51.348242	2013-08-04 18:17:51.348242	237
34649	170468	28100	2013-08-04 18:17:51.356345	2013-08-04 18:17:51.356345	237
34650	170468	19761	2013-08-04 18:17:51.36397	2013-08-04 18:17:51.36397	237
34651	170468	21253	2013-08-04 18:17:51.372234	2013-08-04 18:17:51.372234	237
34652	170468	21319	2013-08-04 18:17:51.380409	2013-08-04 18:17:51.380409	237
34653	170468	28386	2013-08-04 18:17:51.388563	2013-08-04 18:17:51.388563	237
34654	170468	3924	2013-08-04 18:17:51.396757	2013-08-04 18:17:51.396757	237
34655	170468	17153	2013-08-04 18:17:51.404971	2013-08-04 18:17:51.404971	237
34656	170468	3095	2013-08-04 18:17:51.41268	2013-08-04 18:17:51.41268	237
34657	171011	21856	2013-08-04 18:17:51.487097	2013-08-04 18:17:51.487097	237
34658	171011	45265	2013-08-04 18:17:51.49879	2013-08-04 18:17:51.49879	237
34659	171011	21836	2013-08-04 18:17:51.510023	2013-08-04 18:17:51.510023	237
34660	171011	21816	2013-08-04 18:17:51.520982	2013-08-04 18:17:51.520982	237
34661	171011	21796	2013-08-04 18:17:51.532206	2013-08-04 18:17:51.532206	237
34662	171011	21773	2013-08-04 18:17:51.543321	2013-08-04 18:17:51.543321	237
34663	171011	21776	2013-08-04 18:17:51.554562	2013-08-04 18:17:51.554562	237
34664	171011	21741	2013-08-04 18:17:51.566549	2013-08-04 18:17:51.566549	237
34665	171011	21756	2013-08-04 18:17:51.578441	2013-08-04 18:17:51.578441	237
34666	171011	36163	2013-08-04 18:17:51.590079	2013-08-04 18:17:51.590079	237
34667	171011	21736	2013-08-04 18:17:51.602659	2013-08-04 18:17:51.602659	237
34668	171011	16770	2013-08-04 18:17:51.615175	2013-08-04 18:17:51.615175	237
34669	171011	21716	2013-08-04 18:17:51.626955	2013-08-04 18:17:51.626955	237
34670	171011	21771	2013-08-04 18:17:51.638481	2013-08-04 18:17:51.638481	237
34671	171011	12669	2013-08-04 18:17:51.650027	2013-08-04 18:17:51.650027	237
34672	171011	12197	2013-08-04 18:17:51.660239	2013-08-04 18:17:51.660239	237
34673	171011	18517	2013-08-04 18:17:51.67042	2013-08-04 18:17:51.67042	237
34674	171011	15246	2013-08-04 18:17:51.682533	2013-08-04 18:17:51.682533	237
34675	171011	1965	2013-08-04 18:17:51.688331	2013-08-04 18:17:51.688331	237
34676	170609	28659	2013-08-04 18:17:51.719136	2013-08-04 18:17:51.719136	237
34677	170609	28639	2013-08-04 18:17:51.724427	2013-08-04 18:17:51.724427	237
34678	170609	28619	2013-08-04 18:17:51.729138	2013-08-04 18:17:51.729138	237
34679	170609	28680	2013-08-04 18:17:51.733825	2013-08-04 18:17:51.733825	237
34680	170609	27772	2013-08-04 18:17:51.738067	2013-08-04 18:17:51.738067	237
34681	170609	28599	2013-08-04 18:17:51.742239	2013-08-04 18:17:51.742239	237
34682	170609	28617	2013-08-04 18:17:51.746882	2013-08-04 18:17:51.746882	237
34683	170609	28579	2013-08-04 18:17:51.750873	2013-08-04 18:17:51.750873	237
34684	170609	26452	2013-08-04 18:17:51.755981	2013-08-04 18:17:51.755981	237
34685	170609	28531	2013-08-04 18:17:51.759619	2013-08-04 18:17:51.759619	237
34686	170609	28559	2013-08-04 18:17:51.76349	2013-08-04 18:17:51.76349	237
34687	170609	24540	2013-08-04 18:17:51.767875	2013-08-04 18:17:51.767875	237
34688	170609	28539	2013-08-04 18:17:51.772604	2013-08-04 18:17:51.772604	237
34689	170609	28519	2013-08-04 18:17:51.777446	2013-08-04 18:17:51.777446	237
34690	170609	28499	2013-08-04 18:17:51.782132	2013-08-04 18:17:51.782132	237
34691	170609	28479	2013-08-04 18:17:51.785582	2013-08-04 18:17:51.785582	237
34692	170609	28459	2013-08-04 18:17:51.791311	2013-08-04 18:17:51.791311	237
34693	170609	28439	2013-08-04 18:17:51.796695	2013-08-04 18:17:51.796695	237
34694	170609	28441	2013-08-04 18:17:51.801264	2013-08-04 18:17:51.801264	237
34695	171903	12856	2013-08-04 18:22:27.474195	2013-08-04 18:22:27.474195	238
34696	171903	29321	2013-08-04 18:22:27.486747	2013-08-04 18:22:27.486747	238
34697	171903	19821	2013-08-04 18:22:27.496293	2013-08-04 18:22:27.496293	238
34698	171903	36603	2013-08-04 18:22:27.505708	2013-08-04 18:22:27.505708	238
34699	171903	34603	2013-08-04 18:22:27.515116	2013-08-04 18:22:27.515116	238
34700	171903	28450	2013-08-04 18:22:27.52385	2013-08-04 18:22:27.52385	238
34701	171903	17336	2013-08-04 18:22:27.532791	2013-08-04 18:22:27.532791	238
34702	171903	35623	2013-08-04 18:22:27.541099	2013-08-04 18:22:27.541099	238
34703	171903	19781	2013-08-04 18:22:27.549349	2013-08-04 18:22:27.549349	238
34704	171903	22353	2013-08-04 18:22:27.557559	2013-08-04 18:22:27.557559	238
34705	171903	17301	2013-08-04 18:22:27.565795	2013-08-04 18:22:27.565795	238
34706	171903	28100	2013-08-04 18:22:27.573976	2013-08-04 18:22:27.573976	238
34707	171903	19761	2013-08-04 18:22:27.582438	2013-08-04 18:22:27.582438	238
34708	171903	21253	2013-08-04 18:22:27.590635	2013-08-04 18:22:27.590635	238
34709	171903	21319	2013-08-04 18:22:27.599006	2013-08-04 18:22:27.599006	238
34710	171903	28386	2013-08-04 18:22:27.607173	2013-08-04 18:22:27.607173	238
34711	171903	3924	2013-08-04 18:22:27.615354	2013-08-04 18:22:27.615354	238
34712	171903	17153	2013-08-04 18:22:27.623554	2013-08-04 18:22:27.623554	238
34713	171903	3095	2013-08-04 18:22:27.634591	2013-08-04 18:22:27.634591	238
34714	171905	12856	2013-08-04 18:22:27.647893	2013-08-04 18:22:27.647893	238
34715	171905	29321	2013-08-04 18:22:27.651432	2013-08-04 18:22:27.651432	238
34716	171905	19821	2013-08-04 18:22:27.654748	2013-08-04 18:22:27.654748	238
34717	171905	36603	2013-08-04 18:22:27.658911	2013-08-04 18:22:27.658911	238
34718	171905	34603	2013-08-04 18:22:27.662493	2013-08-04 18:22:27.662493	238
34719	171905	28450	2013-08-04 18:22:27.665733	2013-08-04 18:22:27.665733	238
34720	171905	17336	2013-08-04 18:22:27.668749	2013-08-04 18:22:27.668749	238
34721	171905	35623	2013-08-04 18:22:27.671705	2013-08-04 18:22:27.671705	238
34722	171905	19781	2013-08-04 18:22:27.675404	2013-08-04 18:22:27.675404	238
34723	171905	22353	2013-08-04 18:22:27.679992	2013-08-04 18:22:27.679992	238
34724	171905	17301	2013-08-04 18:22:27.684444	2013-08-04 18:22:27.684444	238
34725	171905	28100	2013-08-04 18:22:27.68859	2013-08-04 18:22:27.68859	238
34726	171905	19761	2013-08-04 18:22:27.692138	2013-08-04 18:22:27.692138	238
34727	171905	21253	2013-08-04 18:22:27.694943	2013-08-04 18:22:27.694943	238
34728	171905	21319	2013-08-04 18:22:27.697691	2013-08-04 18:22:27.697691	238
34729	171905	28386	2013-08-04 18:22:27.700703	2013-08-04 18:22:27.700703	238
34730	171905	3924	2013-08-04 18:22:27.703528	2013-08-04 18:22:27.703528	238
34731	171905	17153	2013-08-04 18:22:27.707488	2013-08-04 18:22:27.707488	238
34732	171905	3095	2013-08-04 18:22:27.714414	2013-08-04 18:22:27.714414	238
34733	171906	12856	2013-08-04 18:22:27.740256	2013-08-04 18:22:27.740256	238
34734	171906	29321	2013-08-04 18:22:27.74993	2013-08-04 18:22:27.74993	238
34735	171906	19821	2013-08-04 18:22:27.755167	2013-08-04 18:22:27.755167	238
34736	171906	36603	2013-08-04 18:22:27.762343	2013-08-04 18:22:27.762343	238
34737	171906	34603	2013-08-04 18:22:27.770344	2013-08-04 18:22:27.770344	238
34738	171906	28450	2013-08-04 18:22:27.778263	2013-08-04 18:22:27.778263	238
34739	171906	17336	2013-08-04 18:22:27.783543	2013-08-04 18:22:27.783543	238
34740	171906	35623	2013-08-04 18:22:27.791719	2013-08-04 18:22:27.791719	238
34741	171906	19781	2013-08-04 18:22:27.799898	2013-08-04 18:22:27.799898	238
34742	171906	22353	2013-08-04 18:22:27.808256	2013-08-04 18:22:27.808256	238
34743	171906	17301	2013-08-04 18:22:27.816451	2013-08-04 18:22:27.816451	238
34744	171906	28100	2013-08-04 18:22:27.824599	2013-08-04 18:22:27.824599	238
34745	171906	19761	2013-08-04 18:22:27.832484	2013-08-04 18:22:27.832484	238
34746	171906	21253	2013-08-04 18:22:27.840351	2013-08-04 18:22:27.840351	238
34747	171906	21319	2013-08-04 18:22:27.848454	2013-08-04 18:22:27.848454	238
34748	171906	28386	2013-08-04 18:22:27.856293	2013-08-04 18:22:27.856293	238
34749	171906	3924	2013-08-04 18:22:27.863924	2013-08-04 18:22:27.863924	238
34750	171906	17153	2013-08-04 18:22:27.87218	2013-08-04 18:22:27.87218	238
34751	171906	3095	2013-08-04 18:22:27.880643	2013-08-04 18:22:27.880643	238
34752	172378	3671	2013-08-04 18:22:28.005164	2013-08-04 18:22:28.005164	238
34753	172378	24303	2013-08-04 18:22:28.009235	2013-08-04 18:22:28.009235	238
34754	172378	6327	2013-08-04 18:22:28.012645	2013-08-04 18:22:28.012645	238
34755	172378	32893	2013-08-04 18:22:28.016344	2013-08-04 18:22:28.016344	238
34756	172378	32693	2013-08-04 18:22:28.020331	2013-08-04 18:22:28.020331	238
34757	172378	22056	2013-08-04 18:22:28.02667	2013-08-04 18:22:28.02667	238
34758	172379	13749	2013-08-04 18:22:28.054843	2013-08-04 18:22:28.054843	238
34759	172379	32890	2013-08-04 18:22:28.062293	2013-08-04 18:22:28.062293	238
34760	172379	32737	2013-08-04 18:22:28.069256	2013-08-04 18:22:28.069256	238
34761	172379	22016	2013-08-04 18:22:28.076027	2013-08-04 18:22:28.076027	238
34762	172379	6447	2013-08-04 18:22:28.083653	2013-08-04 18:22:28.083653	238
34763	172379	14792	2013-08-04 18:22:28.08974	2013-08-04 18:22:28.08974	238
34764	172382	6478	2013-08-04 18:22:28.11878	2013-08-04 18:22:28.11878	238
34765	172382	6578	2013-08-04 18:22:28.130062	2013-08-04 18:22:28.130062	238
34766	172382	6515	2013-08-04 18:22:28.140997	2013-08-04 18:22:28.140997	238
34767	172382	6535	2013-08-04 18:22:28.151802	2013-08-04 18:22:28.151802	238
34768	172382	6555	2013-08-04 18:22:28.162874	2013-08-04 18:22:28.162874	238
34769	172382	6575	2013-08-04 18:22:28.173943	2013-08-04 18:22:28.173943	238
34770	172382	6587	2013-08-04 18:22:28.184876	2013-08-04 18:22:28.184876	238
34771	172382	6567	2013-08-04 18:22:28.195803	2013-08-04 18:22:28.195803	238
34772	172382	6547	2013-08-04 18:22:28.206271	2013-08-04 18:22:28.206271	238
34773	172382	6527	2013-08-04 18:22:28.216318	2013-08-04 18:22:28.216318	238
34774	172382	6551	2013-08-04 18:22:28.227227	2013-08-04 18:22:28.227227	238
34775	172382	6507	2013-08-04 18:22:28.238191	2013-08-04 18:22:28.238191	238
34776	172382	6571	2013-08-04 18:22:28.24907	2013-08-04 18:22:28.24907	238
34777	172382	4766	2013-08-04 18:22:28.259868	2013-08-04 18:22:28.259868	238
34778	172382	6487	2013-08-04 18:22:28.270725	2013-08-04 18:22:28.270725	238
34779	172382	6591	2013-08-04 18:22:28.281503	2013-08-04 18:22:28.281503	238
34780	172382	40843	2013-08-04 18:22:28.292555	2013-08-04 18:22:28.292555	238
34781	172382	6467	2013-08-04 18:22:28.303686	2013-08-04 18:22:28.303686	238
34782	172382	9961	2013-08-04 18:22:28.314584	2013-08-04 18:22:28.314584	238
34783	172381	35055	2013-08-04 18:22:28.357909	2013-08-04 18:22:28.357909	238
34784	172381	35168	2013-08-04 18:22:28.368863	2013-08-04 18:22:28.368863	238
34785	172381	35148	2013-08-04 18:22:28.379496	2013-08-04 18:22:28.379496	238
34786	172381	15557	2013-08-04 18:22:28.390092	2013-08-04 18:22:28.390092	238
34787	172381	35128	2013-08-04 18:22:28.400721	2013-08-04 18:22:28.400721	238
34788	172381	35108	2013-08-04 18:22:28.412333	2013-08-04 18:22:28.412333	238
34789	172381	19686	2013-08-04 18:22:28.418265	2013-08-04 18:22:28.418265	238
34790	172381	35088	2013-08-04 18:22:28.423371	2013-08-04 18:22:28.423371	238
34791	172381	35068	2013-08-04 18:22:28.429069	2013-08-04 18:22:28.429069	238
34792	172381	35048	2013-08-04 18:22:28.433181	2013-08-04 18:22:28.433181	238
34793	172381	35158	2013-08-04 18:22:28.437111	2013-08-04 18:22:28.437111	238
34794	172381	35028	2013-08-04 18:22:28.442135	2013-08-04 18:22:28.442135	238
34795	172381	35008	2013-08-04 18:22:28.446056	2013-08-04 18:22:28.446056	238
34796	172381	34988	2013-08-04 18:22:28.450579	2013-08-04 18:22:28.450579	238
34797	172381	34968	2013-08-04 18:22:28.45506	2013-08-04 18:22:28.45506	238
34798	172381	34900	2013-08-04 18:22:28.461334	2013-08-04 18:22:28.461334	238
34799	172381	11119	2013-08-04 18:22:28.470551	2013-08-04 18:22:28.470551	238
34800	172381	32353	2013-08-04 18:22:28.476618	2013-08-04 18:22:28.476618	238
34801	172381	6201	2013-08-04 18:22:28.482326	2013-08-04 18:22:28.482326	238
34802	172384	13890	2013-08-04 18:22:28.569554	2013-08-04 18:22:28.569554	238
34803	172384	8679	2013-08-04 18:22:28.575241	2013-08-04 18:22:28.575241	238
34804	172384	13877	2013-08-04 18:22:28.582049	2013-08-04 18:22:28.582049	238
34805	172384	13868	2013-08-04 18:22:28.590425	2013-08-04 18:22:28.590425	238
34806	172384	13969	2013-08-04 18:22:28.600738	2013-08-04 18:22:28.600738	238
34807	172384	13949	2013-08-04 18:22:28.611566	2013-08-04 18:22:28.611566	238
34808	172384	13929	2013-08-04 18:22:28.622179	2013-08-04 18:22:28.622179	238
34809	172384	13909	2013-08-04 18:22:28.633948	2013-08-04 18:22:28.633948	238
34810	172384	13889	2013-08-04 18:22:28.646056	2013-08-04 18:22:28.646056	238
34811	172384	13955	2013-08-04 18:22:28.657947	2013-08-04 18:22:28.657947	238
34812	172384	13869	2013-08-04 18:22:28.671535	2013-08-04 18:22:28.671535	238
34813	172384	13956	2013-08-04 18:22:28.681505	2013-08-04 18:22:28.681505	238
34814	172384	13849	2013-08-04 18:22:28.686663	2013-08-04 18:22:28.686663	238
34815	172384	43583	2013-08-04 18:22:28.691655	2013-08-04 18:22:28.691655	238
34816	172384	13829	2013-08-04 18:22:28.696576	2013-08-04 18:22:28.696576	238
34817	172384	34561	2013-08-04 18:22:28.701499	2013-08-04 18:22:28.701499	238
34818	172384	13681	2013-08-04 18:22:28.705326	2013-08-04 18:22:28.705326	238
34819	172384	13809	2013-08-04 18:22:28.711462	2013-08-04 18:22:28.711462	238
34820	172384	13789	2013-08-04 18:22:28.716104	2013-08-04 18:22:28.716104	238
34821	172368	6297	2013-08-04 18:22:28.760161	2013-08-04 18:22:28.760161	238
34822	171604	32793	2013-08-04 18:22:28.780032	2013-08-04 18:22:28.780032	238
34823	171907	12856	2013-08-04 18:22:28.815121	2013-08-04 18:22:28.815121	238
34824	171907	29321	2013-08-04 18:22:28.823418	2013-08-04 18:22:28.823418	238
34825	171907	19821	2013-08-04 18:22:28.831232	2013-08-04 18:22:28.831232	238
34826	171907	36603	2013-08-04 18:22:28.839423	2013-08-04 18:22:28.839423	238
34827	171907	34603	2013-08-04 18:22:28.847645	2013-08-04 18:22:28.847645	238
34828	171907	28450	2013-08-04 18:22:28.855667	2013-08-04 18:22:28.855667	238
34829	171907	17336	2013-08-04 18:22:28.863687	2013-08-04 18:22:28.863687	238
34830	171907	35623	2013-08-04 18:22:28.871856	2013-08-04 18:22:28.871856	238
34831	171907	19781	2013-08-04 18:22:28.87974	2013-08-04 18:22:28.87974	238
34832	171907	22353	2013-08-04 18:22:28.887951	2013-08-04 18:22:28.887951	238
34833	171907	17301	2013-08-04 18:22:28.896107	2013-08-04 18:22:28.896107	238
34834	171907	28100	2013-08-04 18:22:28.904375	2013-08-04 18:22:28.904375	238
34835	171907	19761	2013-08-04 18:22:28.912991	2013-08-04 18:22:28.912991	238
34836	171907	21253	2013-08-04 18:22:28.921279	2013-08-04 18:22:28.921279	238
34837	171907	21319	2013-08-04 18:22:28.929439	2013-08-04 18:22:28.929439	238
34838	171907	28386	2013-08-04 18:22:28.937624	2013-08-04 18:22:28.937624	238
34839	171907	3924	2013-08-04 18:22:28.945743	2013-08-04 18:22:28.945743	238
34840	171907	17153	2013-08-04 18:22:28.95347	2013-08-04 18:22:28.95347	238
34841	171907	3095	2013-08-04 18:22:28.961186	2013-08-04 18:22:28.961186	238
34842	172380	6427	2013-08-04 18:22:28.999656	2013-08-04 18:22:28.999656	238
34843	172380	32773	2013-08-04 18:22:29.010313	2013-08-04 18:22:29.010313	238
34844	172380	32553	2013-08-04 18:22:29.020089	2013-08-04 18:22:29.020089	238
34845	172380	21886	2013-08-04 18:22:29.029971	2013-08-04 18:22:29.029971	238
34846	172380	13649	2013-08-04 18:22:29.040118	2013-08-04 18:22:29.040118	238
34847	172380	6217	2013-08-04 18:22:29.050236	2013-08-04 18:22:29.050236	238
34848	172358	47157	2013-08-04 18:22:29.099635	2013-08-04 18:22:29.099635	238
34849	172358	47137	2013-08-04 18:22:29.112018	2013-08-04 18:22:29.112018	238
34850	172358	47117	2013-08-04 18:22:29.121238	2013-08-04 18:22:29.121238	238
34851	172358	46950	2013-08-04 18:22:29.127939	2013-08-04 18:22:29.127939	238
34852	172358	47097	2013-08-04 18:22:29.134391	2013-08-04 18:22:29.134391	238
34853	172358	32733	2013-08-04 18:22:29.139227	2013-08-04 18:22:29.139227	238
34854	172358	32533	2013-08-04 18:22:29.143526	2013-08-04 18:22:29.143526	238
34855	172358	32053	2013-08-04 18:22:29.147156	2013-08-04 18:22:29.147156	238
34856	172358	28159	2013-08-04 18:22:29.150416	2013-08-04 18:22:29.150416	238
34857	172358	21876	2013-08-04 18:22:29.154194	2013-08-04 18:22:29.154194	238
34858	172358	13629	2013-08-04 18:22:29.158037	2013-08-04 18:22:29.158037	238
34859	172358	35097	2013-08-04 18:22:29.161058	2013-08-04 18:22:29.161058	238
34860	172358	12869	2013-08-04 18:22:29.166914	2013-08-04 18:22:29.166914	238
34861	172358	12649	2013-08-04 18:22:29.17223	2013-08-04 18:22:29.17223	238
34862	172358	12155	2013-08-04 18:22:29.177021	2013-08-04 18:22:29.177021	238
34863	172358	48438	2013-08-04 18:22:29.181661	2013-08-04 18:22:29.181661	238
34864	172358	6257	2013-08-04 18:22:29.185345	2013-08-04 18:22:29.185345	238
34865	172358	5967	2013-08-04 18:22:29.19005	2013-08-04 18:22:29.19005	238
34866	172358	37123	2013-08-04 18:22:29.194251	2013-08-04 18:22:29.194251	238
34867	172376	28751	2013-08-04 18:22:29.210714	2013-08-04 18:22:29.210714	238
34868	172376	28879	2013-08-04 18:22:29.218905	2013-08-04 18:22:29.218905	238
34869	172376	28859	2013-08-04 18:22:29.223735	2013-08-04 18:22:29.223735	238
34870	172376	28833	2013-08-04 18:22:29.228065	2013-08-04 18:22:29.228065	238
34871	172376	28839	2013-08-04 18:22:29.2337	2013-08-04 18:22:29.2337	238
34872	172376	28819	2013-08-04 18:22:29.23821	2013-08-04 18:22:29.23821	238
34873	172376	28799	2013-08-04 18:22:29.242472	2013-08-04 18:22:29.242472	238
34874	172376	28779	2013-08-04 18:22:29.246971	2013-08-04 18:22:29.246971	238
34875	172376	28759	2013-08-04 18:22:29.252535	2013-08-04 18:22:29.252535	238
34876	172376	28875	2013-08-04 18:22:29.258605	2013-08-04 18:22:29.258605	238
34877	172376	28739	2013-08-04 18:22:29.262942	2013-08-04 18:22:29.262942	238
34878	172376	39343	2013-08-04 18:22:29.266953	2013-08-04 18:22:29.266953	238
34879	172376	28719	2013-08-04 18:22:29.270718	2013-08-04 18:22:29.270718	238
34880	172376	28699	2013-08-04 18:22:29.274721	2013-08-04 18:22:29.274721	238
34881	172376	28679	2013-08-04 18:22:29.278448	2013-08-04 18:22:29.278448	238
34882	172376	21958	2013-08-04 18:22:29.282127	2013-08-04 18:22:29.282127	238
34883	172376	40955	2013-08-04 18:22:29.2857	2013-08-04 18:22:29.2857	238
34884	172376	6387	2013-08-04 18:22:29.289643	2013-08-04 18:22:29.289643	238
34885	172376	6277	2013-08-04 18:22:29.293321	2013-08-04 18:22:29.293321	238
34886	171381	37403	2013-08-04 18:22:29.30845	2013-08-04 18:22:29.30845	238
34887	171381	17450	2013-08-04 18:22:29.314415	2013-08-04 18:22:29.314415	238
34888	171381	37143	2013-08-04 18:22:29.322156	2013-08-04 18:22:29.322156	238
34889	171381	36283	2013-08-04 18:22:29.328082	2013-08-04 18:22:29.328082	238
34890	171381	20528	2013-08-04 18:22:29.338597	2013-08-04 18:22:29.338597	238
34891	171381	36323	2013-08-04 18:22:29.349935	2013-08-04 18:22:29.349935	238
34892	171381	37163	2013-08-04 18:22:29.361343	2013-08-04 18:22:29.361343	238
34893	171381	37443	2013-08-04 18:22:29.372231	2013-08-04 18:22:29.372231	238
34894	171381	35663	2013-08-04 18:22:29.382835	2013-08-04 18:22:29.382835	238
34895	171381	29881	2013-08-04 18:22:29.394037	2013-08-04 18:22:29.394037	238
34896	171381	29901	2013-08-04 18:22:29.40522	2013-08-04 18:22:29.40522	238
34897	171381	11811	2013-08-04 18:22:29.418235	2013-08-04 18:22:29.418235	238
34898	171381	47255	2013-08-04 18:22:29.42865	2013-08-04 18:22:29.42865	238
34899	171381	20361	2013-08-04 18:22:29.441018	2013-08-04 18:22:29.441018	238
34900	171381	48223	2013-08-04 18:22:29.451348	2013-08-04 18:22:29.451348	238
34901	171381	15486	2013-08-04 18:22:29.455236	2013-08-04 18:22:29.455236	238
34902	171381	23548	2013-08-04 18:22:29.459103	2013-08-04 18:22:29.459103	238
34903	171381	48103	2013-08-04 18:22:29.464616	2013-08-04 18:22:29.464616	238
34904	171381	5129	2013-08-04 18:22:29.469106	2013-08-04 18:22:29.469106	238
34905	171384	6687	2013-08-04 18:22:29.718435	2013-08-04 18:22:29.718435	238
34906	171384	33418	2013-08-04 18:22:29.727408	2013-08-04 18:22:29.727408	238
34907	171384	33201	2013-08-04 18:22:29.734333	2013-08-04 18:22:29.734333	238
34908	171384	39552	2013-08-04 18:22:29.739854	2013-08-04 18:22:29.739854	238
34909	171384	6667	2013-08-04 18:22:29.746121	2013-08-04 18:22:29.746121	238
34910	171384	33441	2013-08-04 18:22:29.751596	2013-08-04 18:22:29.751596	238
34911	171285	6647	2013-08-04 18:22:29.76246	2013-08-04 18:22:29.76246	238
34912	171285	6627	2013-08-04 18:22:29.76774	2013-08-04 18:22:29.76774	238
34913	171285	6729	2013-08-04 18:22:29.77119	2013-08-04 18:22:29.77119	238
34914	171285	6749	2013-08-04 18:22:29.774457	2013-08-04 18:22:29.774457	238
34915	171285	3981	2013-08-04 18:22:29.777702	2013-08-04 18:22:29.777702	238
34916	171285	3961	2013-08-04 18:22:29.781106	2013-08-04 18:22:29.781106	238
34917	171224	6607	2013-08-04 18:22:29.78925	2013-08-04 18:22:29.78925	238
34918	171224	14960	2013-08-04 18:22:29.794999	2013-08-04 18:22:29.794999	238
34919	171224	6630	2013-08-04 18:22:29.803299	2013-08-04 18:22:29.803299	238
34920	171224	9941	2013-08-04 18:22:29.813624	2013-08-04 18:22:29.813624	238
34921	171224	20888	2013-08-04 18:22:29.824972	2013-08-04 18:22:29.824972	238
34922	171224	4817	2013-08-04 18:22:29.836593	2013-08-04 18:22:29.836593	238
34923	171395	14209	2013-08-04 18:22:29.935057	2013-08-04 18:22:29.935057	238
34924	171395	18630	2013-08-04 18:22:29.944711	2013-08-04 18:22:29.944711	238
34925	171395	14189	2013-08-04 18:22:29.954496	2013-08-04 18:22:29.954496	238
34926	171395	14223	2013-08-04 18:22:29.964417	2013-08-04 18:22:29.964417	238
34927	171395	14169	2013-08-04 18:22:29.974112	2013-08-04 18:22:29.974112	238
34928	171395	14149	2013-08-04 18:22:29.984276	2013-08-04 18:22:29.984276	238
34929	171395	14136	2013-08-04 18:22:29.994758	2013-08-04 18:22:29.994758	238
34930	171395	14097	2013-08-04 18:22:30.00595	2013-08-04 18:22:30.00595	238
34931	171395	7306	2013-08-04 18:22:30.017302	2013-08-04 18:22:30.017302	238
34932	171385	14129	2013-08-04 18:22:30.039949	2013-08-04 18:22:30.039949	238
34933	171385	14109	2013-08-04 18:22:30.051097	2013-08-04 18:22:30.051097	238
34934	171385	14089	2013-08-04 18:22:30.061692	2013-08-04 18:22:30.061692	238
34935	171385	14069	2013-08-04 18:22:30.072695	2013-08-04 18:22:30.072695	238
34936	171385	14049	2013-08-04 18:22:30.083552	2013-08-04 18:22:30.083552	238
34937	171385	14029	2013-08-04 18:22:30.094664	2013-08-04 18:22:30.094664	238
34938	171385	14040	2013-08-04 18:22:30.105404	2013-08-04 18:22:30.105404	238
34939	171385	14009	2013-08-04 18:22:30.116399	2013-08-04 18:22:30.116399	238
34940	171385	13989	2013-08-04 18:22:30.126501	2013-08-04 18:22:30.126501	238
34941	171539	33073	2013-08-04 18:22:30.308594	2013-08-04 18:22:30.308594	238
34942	171539	33090	2013-08-04 18:22:30.320061	2013-08-04 18:22:30.320061	238
34943	171539	33075	2013-08-04 18:22:30.33126	2013-08-04 18:22:30.33126	238
34944	171539	33053	2013-08-04 18:22:30.342807	2013-08-04 18:22:30.342807	238
34945	171387	17036	2013-08-04 18:22:30.366758	2013-08-04 18:22:30.366758	238
34946	171387	33033	2013-08-04 18:22:30.373601	2013-08-04 18:22:30.373601	238
34947	171387	33013	2013-08-04 18:22:30.37843	2013-08-04 18:22:30.37843	238
34948	171387	32993	2013-08-04 18:22:30.382029	2013-08-04 18:22:30.382029	238
34949	171247	33117	2013-08-04 18:22:30.389249	2013-08-04 18:22:30.389249	238
34950	171247	32973	2013-08-04 18:22:30.39311	2013-08-04 18:22:30.39311	238
34951	171247	32832	2013-08-04 18:22:30.398168	2013-08-04 18:22:30.398168	238
34952	171247	32953	2013-08-04 18:22:30.404066	2013-08-04 18:22:30.404066	238
34953	171244	32933	2013-08-04 18:22:30.412034	2013-08-04 18:22:30.412034	238
34954	171244	32915	2013-08-04 18:22:30.415439	2013-08-04 18:22:30.415439	238
34955	171244	32913	2013-08-04 18:22:30.418841	2013-08-04 18:22:30.418841	238
34956	171244	15306	2013-08-04 18:22:30.423259	2013-08-04 18:22:30.423259	238
34957	171908	12856	2013-08-04 18:22:30.436962	2013-08-04 18:22:30.436962	238
34958	171908	29321	2013-08-04 18:22:30.440193	2013-08-04 18:22:30.440193	238
34959	171908	19821	2013-08-04 18:22:30.445389	2013-08-04 18:22:30.445389	238
34960	171908	36603	2013-08-04 18:22:30.450846	2013-08-04 18:22:30.450846	238
34961	171908	34603	2013-08-04 18:22:30.455409	2013-08-04 18:22:30.455409	238
34962	171908	28450	2013-08-04 18:22:30.459866	2013-08-04 18:22:30.459866	238
34963	171908	17336	2013-08-04 18:22:30.463782	2013-08-04 18:22:30.463782	238
34964	171908	35623	2013-08-04 18:22:30.471574	2013-08-04 18:22:30.471574	238
34965	171908	19781	2013-08-04 18:22:30.480381	2013-08-04 18:22:30.480381	238
34966	171908	22353	2013-08-04 18:22:30.489931	2013-08-04 18:22:30.489931	238
34967	171908	17301	2013-08-04 18:22:30.494145	2013-08-04 18:22:30.494145	238
34968	171908	28100	2013-08-04 18:22:30.497576	2013-08-04 18:22:30.497576	238
34969	171908	19761	2013-08-04 18:22:30.501819	2013-08-04 18:22:30.501819	238
34970	171908	21253	2013-08-04 18:22:30.504814	2013-08-04 18:22:30.504814	238
34971	171908	21319	2013-08-04 18:22:30.507826	2013-08-04 18:22:30.507826	238
34972	171908	28386	2013-08-04 18:22:30.51079	2013-08-04 18:22:30.51079	238
34973	171908	3924	2013-08-04 18:22:30.513911	2013-08-04 18:22:30.513911	238
34974	171908	17153	2013-08-04 18:22:30.516854	2013-08-04 18:22:30.516854	238
34975	171908	3095	2013-08-04 18:22:30.519546	2013-08-04 18:22:30.519546	238
34976	171904	12856	2013-08-04 18:22:30.536109	2013-08-04 18:22:30.536109	238
34977	171904	29321	2013-08-04 18:22:30.539279	2013-08-04 18:22:30.539279	238
34978	171904	19821	2013-08-04 18:22:30.542156	2013-08-04 18:22:30.542156	238
34979	171904	36603	2013-08-04 18:22:30.545465	2013-08-04 18:22:30.545465	238
34980	171904	34603	2013-08-04 18:22:30.549057	2013-08-04 18:22:30.549057	238
34981	171904	28450	2013-08-04 18:22:30.552641	2013-08-04 18:22:30.552641	238
34982	171904	17336	2013-08-04 18:22:30.555945	2013-08-04 18:22:30.555945	238
34983	171904	35623	2013-08-04 18:22:30.55878	2013-08-04 18:22:30.55878	238
34984	171904	19781	2013-08-04 18:22:30.561929	2013-08-04 18:22:30.561929	238
34985	171904	22353	2013-08-04 18:22:30.566665	2013-08-04 18:22:30.566665	238
34986	171904	17301	2013-08-04 18:22:30.570431	2013-08-04 18:22:30.570431	238
34987	171904	28100	2013-08-04 18:22:30.574008	2013-08-04 18:22:30.574008	238
34988	171904	19761	2013-08-04 18:22:30.578563	2013-08-04 18:22:30.578563	238
34989	171904	21253	2013-08-04 18:22:30.583325	2013-08-04 18:22:30.583325	238
34990	171904	21319	2013-08-04 18:22:30.587884	2013-08-04 18:22:30.587884	238
34991	171904	28386	2013-08-04 18:22:30.5917	2013-08-04 18:22:30.5917	238
34992	171904	3924	2013-08-04 18:22:30.59515	2013-08-04 18:22:30.59515	238
34993	171904	17153	2013-08-04 18:22:30.600558	2013-08-04 18:22:30.600558	238
34994	171904	3095	2013-08-04 18:22:30.605961	2013-08-04 18:22:30.605961	238
34995	172101	47437	2013-08-04 18:22:30.699645	2013-08-04 18:22:30.699645	238
34996	172101	47452	2013-08-04 18:22:30.711114	2013-08-04 18:22:30.711114	238
34997	172101	47417	2013-08-04 18:22:30.722028	2013-08-04 18:22:30.722028	238
34998	172101	47301	2013-08-04 18:22:30.732867	2013-08-04 18:22:30.732867	238
34999	172101	47397	2013-08-04 18:22:30.743782	2013-08-04 18:22:30.743782	238
35000	172101	47377	2013-08-04 18:22:30.754888	2013-08-04 18:22:30.754888	238
35001	172101	47357	2013-08-04 18:22:30.766898	2013-08-04 18:22:30.766898	238
35002	172101	47337	2013-08-04 18:22:30.780106	2013-08-04 18:22:30.780106	238
35003	172101	47317	2013-08-04 18:22:30.784661	2013-08-04 18:22:30.784661	238
35004	172032	47297	2013-08-04 18:22:30.793937	2013-08-04 18:22:30.793937	238
35005	172032	47277	2013-08-04 18:22:30.800922	2013-08-04 18:22:30.800922	238
35006	172032	47257	2013-08-04 18:22:30.807953	2013-08-04 18:22:30.807953	238
35007	172032	47237	2013-08-04 18:22:30.814446	2013-08-04 18:22:30.814446	238
35008	172032	47165	2013-08-04 18:22:30.820528	2013-08-04 18:22:30.820528	238
35009	172032	47217	2013-08-04 18:22:30.82667	2013-08-04 18:22:30.82667	238
35010	172032	47197	2013-08-04 18:22:30.831494	2013-08-04 18:22:30.831494	238
35011	172032	47177	2013-08-04 18:22:30.835636	2013-08-04 18:22:30.835636	238
35012	172032	47175	2013-08-04 18:22:30.840191	2013-08-04 18:22:30.840191	238
35013	171389	29059	2013-08-04 18:22:30.860294	2013-08-04 18:22:30.860294	238
35014	171389	28995	2013-08-04 18:22:30.867427	2013-08-04 18:22:30.867427	238
35015	171389	29039	2013-08-04 18:22:30.875195	2013-08-04 18:22:30.875195	238
35016	171389	28931	2013-08-04 18:22:30.885408	2013-08-04 18:22:30.885408	238
35017	171389	29019	2013-08-04 18:22:30.896108	2013-08-04 18:22:30.896108	238
35018	171389	29008	2013-08-04 18:22:30.907112	2013-08-04 18:22:30.907112	238
35019	171389	28999	2013-08-04 18:22:30.918133	2013-08-04 18:22:30.918133	238
35020	171389	29028	2013-08-04 18:22:30.929846	2013-08-04 18:22:30.929846	238
35021	171389	28920	2013-08-04 18:22:30.94065	2013-08-04 18:22:30.94065	238
35022	171238	28979	2013-08-04 18:22:30.962105	2013-08-04 18:22:30.962105	238
35023	171238	28959	2013-08-04 18:22:30.97232	2013-08-04 18:22:30.97232	238
35024	171238	28939	2013-08-04 18:22:30.982909	2013-08-04 18:22:30.982909	238
35025	171238	28919	2013-08-04 18:22:30.993581	2013-08-04 18:22:30.993581	238
35026	171238	28981	2013-08-04 18:22:31.004739	2013-08-04 18:22:31.004739	238
35027	171238	3665	2013-08-04 18:22:31.01626	2013-08-04 18:22:31.01626	238
35028	171238	28899	2013-08-04 18:22:31.024019	2013-08-04 18:22:31.024019	238
35029	171238	15006	2013-08-04 18:22:31.031261	2013-08-04 18:22:31.031261	238
35030	171238	28777	2013-08-04 18:22:31.038122	2013-08-04 18:22:31.038122	238
35031	172433	4001	2013-08-04 18:27:18.341087	2013-08-04 18:27:18.341087	239
35032	172433	14409	2013-08-04 18:27:18.347611	2013-08-04 18:27:18.347611	239
35033	172433	6836	2013-08-04 18:27:18.351789	2013-08-04 18:27:18.351789	239
35034	172433	33293	2013-08-04 18:27:18.361022	2013-08-04 18:27:18.361022	239
35035	172436	13599	2013-08-04 18:27:18.592325	2013-08-04 18:27:18.592325	239
35036	172436	31886	2013-08-04 18:27:18.596911	2013-08-04 18:27:18.596911	239
35037	172436	31881	2013-08-04 18:27:18.603365	2013-08-04 18:27:18.603365	239
35038	172436	31780	2013-08-04 18:27:18.610055	2013-08-04 18:27:18.610055	239
35039	172436	31777	2013-08-04 18:27:18.61922	2013-08-04 18:27:18.61922	239
35040	172436	31866	2013-08-04 18:27:18.626749	2013-08-04 18:27:18.626749	239
35041	172436	31846	2013-08-04 18:27:18.635586	2013-08-04 18:27:18.635586	239
35042	172436	31826	2013-08-04 18:27:18.643466	2013-08-04 18:27:18.643466	239
35043	172436	31806	2013-08-04 18:27:18.653718	2013-08-04 18:27:18.653718	239
35044	172436	31832	2013-08-04 18:27:18.665082	2013-08-04 18:27:18.665082	239
35045	172436	31786	2013-08-04 18:27:18.67603	2013-08-04 18:27:18.67603	239
35046	172436	31766	2013-08-04 18:27:18.686424	2013-08-04 18:27:18.686424	239
35047	172436	31620	2013-08-04 18:27:18.695137	2013-08-04 18:27:18.695137	239
35048	172436	30020	2013-08-04 18:27:18.69982	2013-08-04 18:27:18.69982	239
35049	172436	28279	2013-08-04 18:27:18.703863	2013-08-04 18:27:18.703863	239
35050	172436	15040	2013-08-04 18:27:18.708447	2013-08-04 18:27:18.708447	239
35051	172436	5477	2013-08-04 18:27:18.714498	2013-08-04 18:27:18.714498	239
35052	172436	2007	2013-08-04 18:27:18.720348	2013-08-04 18:27:18.720348	239
35053	172436	29701	2013-08-04 18:27:18.725131	2013-08-04 18:27:18.725131	239
35054	172434	35348	2013-08-04 18:27:18.746011	2013-08-04 18:27:18.746011	239
35055	172434	35328	2013-08-04 18:27:18.750565	2013-08-04 18:27:18.750565	239
35056	172434	45683	2013-08-04 18:27:18.755599	2013-08-04 18:27:18.755599	239
35057	172434	35252	2013-08-04 18:27:18.762709	2013-08-04 18:27:18.762709	239
35058	172434	35308	2013-08-04 18:27:18.769423	2013-08-04 18:27:18.769423	239
35059	172434	35288	2013-08-04 18:27:18.778837	2013-08-04 18:27:18.778837	239
35060	172434	35268	2013-08-04 18:27:18.78846	2013-08-04 18:27:18.78846	239
35061	172434	35290	2013-08-04 18:27:18.799496	2013-08-04 18:27:18.799496	239
35062	172434	35248	2013-08-04 18:27:18.805808	2013-08-04 18:27:18.805808	239
35063	172434	35228	2013-08-04 18:27:18.810879	2013-08-04 18:27:18.810879	239
35064	172434	35208	2013-08-04 18:27:18.818137	2013-08-04 18:27:18.818137	239
35065	172434	35188	2013-08-04 18:27:18.824621	2013-08-04 18:27:18.824621	239
35066	172434	27857	2013-08-04 18:27:18.830991	2013-08-04 18:27:18.830991	239
35067	172434	35032	2013-08-04 18:27:18.836116	2013-08-04 18:27:18.836116	239
35068	172434	33253	2013-08-04 18:27:18.84006	2013-08-04 18:27:18.84006	239
35069	172434	33117	2013-08-04 18:27:18.843374	2013-08-04 18:27:18.843374	239
35070	172434	32953	2013-08-04 18:27:18.846579	2013-08-04 18:27:18.846579	239
35071	172434	32832	2013-08-04 18:27:18.849868	2013-08-04 18:27:18.849868	239
35072	172434	8376	2013-08-04 18:27:18.853485	2013-08-04 18:27:18.853485	239
35073	172437	6807	2013-08-04 18:27:18.943607	2013-08-04 18:27:18.943607	239
35074	172437	33193	2013-08-04 18:27:18.948114	2013-08-04 18:27:18.948114	239
35075	172437	14316	2013-08-04 18:27:18.95247	2013-08-04 18:27:18.95247	239
35076	172437	6618	2013-08-04 18:27:18.956666	2013-08-04 18:27:18.956666	239
35077	172969	12856	2013-08-04 18:27:18.970435	2013-08-04 18:27:18.970435	239
35078	172969	29321	2013-08-04 18:27:18.973645	2013-08-04 18:27:18.973645	239
35079	172969	19821	2013-08-04 18:27:18.976423	2013-08-04 18:27:18.976423	239
35080	172969	36603	2013-08-04 18:27:18.97971	2013-08-04 18:27:18.97971	239
35081	172969	34603	2013-08-04 18:27:18.982761	2013-08-04 18:27:18.982761	239
35082	172969	28450	2013-08-04 18:27:18.985874	2013-08-04 18:27:18.985874	239
35083	172969	17336	2013-08-04 18:27:18.988655	2013-08-04 18:27:18.988655	239
35084	172969	35623	2013-08-04 18:27:18.991334	2013-08-04 18:27:18.991334	239
35085	172969	19781	2013-08-04 18:27:19.052134	2013-08-04 18:27:19.052134	239
35086	172969	22353	2013-08-04 18:27:19.055607	2013-08-04 18:27:19.055607	239
35087	172969	17301	2013-08-04 18:27:19.058343	2013-08-04 18:27:19.058343	239
35088	172969	28100	2013-08-04 18:27:19.060881	2013-08-04 18:27:19.060881	239
35089	172969	19761	2013-08-04 18:27:19.063283	2013-08-04 18:27:19.063283	239
35090	172969	21253	2013-08-04 18:27:19.067907	2013-08-04 18:27:19.067907	239
35091	172969	21319	2013-08-04 18:27:19.070739	2013-08-04 18:27:19.070739	239
35092	172969	28386	2013-08-04 18:27:19.073619	2013-08-04 18:27:19.073619	239
35093	172969	3924	2013-08-04 18:27:19.076631	2013-08-04 18:27:19.076631	239
35094	172969	17153	2013-08-04 18:27:19.080656	2013-08-04 18:27:19.080656	239
35095	172969	3095	2013-08-04 18:27:19.08524	2013-08-04 18:27:19.08524	239
35096	172971	12856	2013-08-04 18:27:19.102735	2013-08-04 18:27:19.102735	239
35097	172971	29321	2013-08-04 18:27:19.108467	2013-08-04 18:27:19.108467	239
35098	172971	19821	2013-08-04 18:27:19.113985	2013-08-04 18:27:19.113985	239
35099	172971	36603	2013-08-04 18:27:19.122213	2013-08-04 18:27:19.122213	239
35100	172971	34603	2013-08-04 18:27:19.128356	2013-08-04 18:27:19.128356	239
35101	172971	28450	2013-08-04 18:27:19.131364	2013-08-04 18:27:19.131364	239
35102	172971	17336	2013-08-04 18:27:19.135119	2013-08-04 18:27:19.135119	239
35103	172971	35623	2013-08-04 18:27:19.137956	2013-08-04 18:27:19.137956	239
35104	172971	19781	2013-08-04 18:27:19.140744	2013-08-04 18:27:19.140744	239
35105	172971	22353	2013-08-04 18:27:19.143398	2013-08-04 18:27:19.143398	239
35106	172971	17301	2013-08-04 18:27:19.146649	2013-08-04 18:27:19.146649	239
35107	172971	28100	2013-08-04 18:27:19.150053	2013-08-04 18:27:19.150053	239
35108	172971	19761	2013-08-04 18:27:19.153097	2013-08-04 18:27:19.153097	239
35109	172971	21253	2013-08-04 18:27:19.157574	2013-08-04 18:27:19.157574	239
35110	172971	21319	2013-08-04 18:27:19.163957	2013-08-04 18:27:19.163957	239
35111	172971	28386	2013-08-04 18:27:19.166935	2013-08-04 18:27:19.166935	239
35112	172971	3924	2013-08-04 18:27:19.170527	2013-08-04 18:27:19.170527	239
35113	172971	17153	2013-08-04 18:27:19.174363	2013-08-04 18:27:19.174363	239
35114	172971	3095	2013-08-04 18:27:19.177539	2013-08-04 18:27:19.177539	239
35115	172972	12856	2013-08-04 18:27:19.19149	2013-08-04 18:27:19.19149	239
35116	172972	29321	2013-08-04 18:27:19.195482	2013-08-04 18:27:19.195482	239
35117	172972	19821	2013-08-04 18:27:19.198078	2013-08-04 18:27:19.198078	239
35118	172972	36603	2013-08-04 18:27:19.20073	2013-08-04 18:27:19.20073	239
35119	172972	34603	2013-08-04 18:27:19.203244	2013-08-04 18:27:19.203244	239
35120	172972	28450	2013-08-04 18:27:19.205666	2013-08-04 18:27:19.205666	239
35121	172972	17336	2013-08-04 18:27:19.208166	2013-08-04 18:27:19.208166	239
35122	172972	35623	2013-08-04 18:27:19.210736	2013-08-04 18:27:19.210736	239
35123	172972	19781	2013-08-04 18:27:19.214035	2013-08-04 18:27:19.214035	239
35124	172972	22353	2013-08-04 18:27:19.216914	2013-08-04 18:27:19.216914	239
35125	172972	17301	2013-08-04 18:27:19.219908	2013-08-04 18:27:19.219908	239
35126	172972	28100	2013-08-04 18:27:19.222821	2013-08-04 18:27:19.222821	239
35127	172972	19761	2013-08-04 18:27:19.229233	2013-08-04 18:27:19.229233	239
35128	172972	21253	2013-08-04 18:27:19.233616	2013-08-04 18:27:19.233616	239
35129	172972	21319	2013-08-04 18:27:19.236778	2013-08-04 18:27:19.236778	239
35130	172972	28386	2013-08-04 18:27:19.23955	2013-08-04 18:27:19.23955	239
35131	172972	3924	2013-08-04 18:27:19.242592	2013-08-04 18:27:19.242592	239
35132	172972	17153	2013-08-04 18:27:19.245667	2013-08-04 18:27:19.245667	239
35133	172972	3095	2013-08-04 18:27:19.250903	2013-08-04 18:27:19.250903	239
35134	173937	6770	2013-08-04 18:27:19.434458	2013-08-04 18:27:19.434458	239
35135	173937	14429	2013-08-04 18:27:19.442696	2013-08-04 18:27:19.442696	239
35136	173937	4064	2013-08-04 18:27:19.452218	2013-08-04 18:27:19.452218	239
35137	173937	33333	2013-08-04 18:27:19.461523	2013-08-04 18:27:19.461523	239
35138	172652	26780	2013-08-04 18:27:19.506468	2013-08-04 18:27:19.506468	239
35139	172652	1930	2013-08-04 18:27:19.516302	2013-08-04 18:27:19.516302	239
35140	172652	39063	2013-08-04 18:27:19.526211	2013-08-04 18:27:19.526211	239
35141	172652	15486	2013-08-04 18:27:19.534492	2013-08-04 18:27:19.534492	239
35142	172652	48223	2013-08-04 18:27:19.543509	2013-08-04 18:27:19.543509	239
35143	172652	20361	2013-08-04 18:27:19.550474	2013-08-04 18:27:19.550474	239
35144	172652	47255	2013-08-04 18:27:19.559558	2013-08-04 18:27:19.559558	239
35145	172652	11811	2013-08-04 18:27:19.568962	2013-08-04 18:27:19.568962	239
35146	172652	29901	2013-08-04 18:27:19.578991	2013-08-04 18:27:19.578991	239
35147	172652	29881	2013-08-04 18:27:19.591048	2013-08-04 18:27:19.591048	239
35148	172652	35663	2013-08-04 18:27:19.598161	2013-08-04 18:27:19.598161	239
35149	172652	37443	2013-08-04 18:27:19.601914	2013-08-04 18:27:19.601914	239
35150	172652	37163	2013-08-04 18:27:19.606031	2013-08-04 18:27:19.606031	239
35151	172652	36323	2013-08-04 18:27:19.609886	2013-08-04 18:27:19.609886	239
35152	172652	20528	2013-08-04 18:27:19.614109	2013-08-04 18:27:19.614109	239
35153	172652	36283	2013-08-04 18:27:19.620223	2013-08-04 18:27:19.620223	239
35154	172652	37143	2013-08-04 18:27:19.624494	2013-08-04 18:27:19.624494	239
35155	172652	17450	2013-08-04 18:27:19.629596	2013-08-04 18:27:19.629596	239
35156	172652	37403	2013-08-04 18:27:19.634541	2013-08-04 18:27:19.634541	239
35157	173733	35535	2013-08-04 18:27:19.67658	2013-08-04 18:27:19.67658	239
35158	173733	35628	2013-08-04 18:27:19.685888	2013-08-04 18:27:19.685888	239
35159	173733	35608	2013-08-04 18:27:19.691359	2013-08-04 18:27:19.691359	239
35160	173733	35588	2013-08-04 18:27:19.694503	2013-08-04 18:27:19.694503	239
35161	173733	35568	2013-08-04 18:27:19.697498	2013-08-04 18:27:19.697498	239
35162	173733	35630	2013-08-04 18:27:19.701152	2013-08-04 18:27:19.701152	239
35163	173733	35548	2013-08-04 18:27:19.705402	2013-08-04 18:27:19.705402	239
35164	173733	35528	2013-08-04 18:27:19.709983	2013-08-04 18:27:19.709983	239
35165	173733	35508	2013-08-04 18:27:19.714974	2013-08-04 18:27:19.714974	239
35166	173733	35488	2013-08-04 18:27:19.720492	2013-08-04 18:27:19.720492	239
35167	173733	35355	2013-08-04 18:27:19.725616	2013-08-04 18:27:19.725616	239
35168	173733	35468	2013-08-04 18:27:19.731432	2013-08-04 18:27:19.731432	239
35169	173733	35400	2013-08-04 18:27:19.739253	2013-08-04 18:27:19.739253	239
35170	173733	35448	2013-08-04 18:27:19.74831	2013-08-04 18:27:19.74831	239
35171	173733	35428	2013-08-04 18:27:19.755222	2013-08-04 18:27:19.755222	239
35172	173733	35408	2013-08-04 18:27:19.759872	2013-08-04 18:27:19.759872	239
35173	173733	35438	2013-08-04 18:27:19.764006	2013-08-04 18:27:19.764006	239
35174	173733	35388	2013-08-04 18:27:19.767807	2013-08-04 18:27:19.767807	239
35175	173733	35368	2013-08-04 18:27:19.771471	2013-08-04 18:27:19.771471	239
35176	172554	14629	2013-08-04 18:27:19.806998	2013-08-04 18:27:19.806998	239
35177	172554	14609	2013-08-04 18:27:19.816284	2013-08-04 18:27:19.816284	239
35178	172554	11830	2013-08-04 18:27:19.827722	2013-08-04 18:27:19.827722	239
35179	172554	4130	2013-08-04 18:27:19.836665	2013-08-04 18:27:19.836665	239
35180	172554	11081	2013-08-04 18:27:19.843571	2013-08-04 18:27:19.843571	239
35181	172554	14589	2013-08-04 18:27:19.850256	2013-08-04 18:27:19.850256	239
35182	172554	14569	2013-08-04 18:27:19.856647	2013-08-04 18:27:19.856647	239
35183	172554	14549	2013-08-04 18:27:19.861552	2013-08-04 18:27:19.861552	239
35184	172554	14581	2013-08-04 18:27:19.865642	2013-08-04 18:27:19.865642	239
35185	172554	14529	2013-08-04 18:27:19.869627	2013-08-04 18:27:19.869627	239
35186	172554	16366	2013-08-04 18:27:19.873192	2013-08-04 18:27:19.873192	239
35187	172554	14509	2013-08-04 18:27:19.876527	2013-08-04 18:27:19.876527	239
35188	172554	23165	2013-08-04 18:27:19.879582	2013-08-04 18:27:19.879582	239
35189	172554	14489	2013-08-04 18:27:19.88291	2013-08-04 18:27:19.88291	239
35190	172554	14469	2013-08-04 18:27:19.887806	2013-08-04 18:27:19.887806	239
35191	172554	14449	2013-08-04 18:27:19.892021	2013-08-04 18:27:19.892021	239
35192	172554	14390	2013-08-04 18:27:19.896151	2013-08-04 18:27:19.896151	239
35193	172554	14341	2013-08-04 18:27:19.900346	2013-08-04 18:27:19.900346	239
35194	172554	9759	2013-08-04 18:27:19.904184	2013-08-04 18:27:19.904184	239
35195	172655	30811	2013-08-04 18:27:19.980567	2013-08-04 18:27:19.980567	239
35196	172655	30791	2013-08-04 18:27:19.985472	2013-08-04 18:27:19.985472	239
35197	172655	14479	2013-08-04 18:27:19.989619	2013-08-04 18:27:19.989619	239
35198	172655	30710	2013-08-04 18:27:19.993607	2013-08-04 18:27:19.993607	239
35199	172655	30771	2013-08-04 18:27:19.997944	2013-08-04 18:27:19.997944	239
35200	172655	30751	2013-08-04 18:27:20.002252	2013-08-04 18:27:20.002252	239
35201	172655	30731	2013-08-04 18:27:20.006549	2013-08-04 18:27:20.006549	239
35202	172655	30711	2013-08-04 18:27:20.010592	2013-08-04 18:27:20.010592	239
35203	172655	30691	2013-08-04 18:27:20.01489	2013-08-04 18:27:20.01489	239
35204	172655	30671	2013-08-04 18:27:20.019359	2013-08-04 18:27:20.019359	239
35205	172655	30651	2013-08-04 18:27:20.023589	2013-08-04 18:27:20.023589	239
35206	172655	30752	2013-08-04 18:27:20.028922	2013-08-04 18:27:20.028922	239
35207	172655	30697	2013-08-04 18:27:20.035904	2013-08-04 18:27:20.035904	239
35208	172655	30631	2013-08-04 18:27:20.041746	2013-08-04 18:27:20.041746	239
35209	172655	37921	2013-08-04 18:27:20.046923	2013-08-04 18:27:20.046923	239
35210	172655	21936	2013-08-04 18:27:20.050634	2013-08-04 18:27:20.050634	239
35211	172655	14309	2013-08-04 18:27:20.056432	2013-08-04 18:27:20.056432	239
35212	172655	6598	2013-08-04 18:27:20.126603	2013-08-04 18:27:20.126603	239
35213	172655	6260	2013-08-04 18:27:20.136168	2013-08-04 18:27:20.136168	239
35214	172973	12856	2013-08-04 18:27:20.165189	2013-08-04 18:27:20.165189	239
35215	172973	29321	2013-08-04 18:27:20.170236	2013-08-04 18:27:20.170236	239
35216	172973	19821	2013-08-04 18:27:20.17386	2013-08-04 18:27:20.17386	239
35217	172973	36603	2013-08-04 18:27:20.176396	2013-08-04 18:27:20.176396	239
35218	172973	34603	2013-08-04 18:27:20.178864	2013-08-04 18:27:20.178864	239
35219	172973	28450	2013-08-04 18:27:20.181293	2013-08-04 18:27:20.181293	239
35220	172973	17336	2013-08-04 18:27:20.18411	2013-08-04 18:27:20.18411	239
35221	172973	35623	2013-08-04 18:27:20.187128	2013-08-04 18:27:20.187128	239
35222	172973	19781	2013-08-04 18:27:20.190137	2013-08-04 18:27:20.190137	239
35223	172973	22353	2013-08-04 18:27:20.193054	2013-08-04 18:27:20.193054	239
35224	172973	17301	2013-08-04 18:27:20.196258	2013-08-04 18:27:20.196258	239
35225	172973	28100	2013-08-04 18:27:20.19942	2013-08-04 18:27:20.19942	239
35226	172973	19761	2013-08-04 18:27:20.202521	2013-08-04 18:27:20.202521	239
35227	172973	21253	2013-08-04 18:27:20.205691	2013-08-04 18:27:20.205691	239
35228	172973	21319	2013-08-04 18:27:20.209242	2013-08-04 18:27:20.209242	239
35229	172973	28386	2013-08-04 18:27:20.214718	2013-08-04 18:27:20.214718	239
35230	172973	3924	2013-08-04 18:27:20.218052	2013-08-04 18:27:20.218052	239
35231	172973	17153	2013-08-04 18:27:20.220988	2013-08-04 18:27:20.220988	239
35232	172973	3095	2013-08-04 18:27:20.223723	2013-08-04 18:27:20.223723	239
35233	174416	33153	2013-08-04 18:27:20.261822	2013-08-04 18:27:20.261822	239
35234	174416	17863	2013-08-04 18:27:20.272452	2013-08-04 18:27:20.272452	239
35235	172409	3944	2013-08-04 18:27:20.289735	2013-08-04 18:27:20.289735	239
35236	172409	6620	2013-08-04 18:27:20.295493	2013-08-04 18:27:20.295493	239
35237	172649	22196	2013-08-04 18:27:20.313629	2013-08-04 18:27:20.313629	239
35238	172649	22176	2013-08-04 18:27:20.321816	2013-08-04 18:27:20.321816	239
35239	172649	22156	2013-08-04 18:27:20.326693	2013-08-04 18:27:20.326693	239
35240	172649	22095	2013-08-04 18:27:20.33128	2013-08-04 18:27:20.33128	239
35241	172649	25221	2013-08-04 18:27:20.336679	2013-08-04 18:27:20.336679	239
35242	172649	22136	2013-08-04 18:27:20.341109	2013-08-04 18:27:20.341109	239
35243	172649	22130	2013-08-04 18:27:20.347426	2013-08-04 18:27:20.347426	239
35244	172649	22112	2013-08-04 18:27:20.353489	2013-08-04 18:27:20.353489	239
35245	172649	22116	2013-08-04 18:27:20.359442	2013-08-04 18:27:20.359442	239
35246	172411	22096	2013-08-04 18:27:20.370729	2013-08-04 18:27:20.370729	239
35247	172411	43935	2013-08-04 18:27:20.37606	2013-08-04 18:27:20.37606	239
35248	172411	21990	2013-08-04 18:27:20.379536	2013-08-04 18:27:20.379536	239
35249	172411	22076	2013-08-04 18:27:20.384819	2013-08-04 18:27:20.384819	239
35250	172411	22123	2013-08-04 18:27:20.390138	2013-08-04 18:27:20.390138	239
35251	172411	14269	2013-08-04 18:27:20.395175	2013-08-04 18:27:20.395175	239
35252	172411	3964	2013-08-04 18:27:20.399588	2013-08-04 18:27:20.399588	239
35253	172411	6640	2013-08-04 18:27:20.403822	2013-08-04 18:27:20.403822	239
35254	172411	6407	2013-08-04 18:27:20.407797	2013-08-04 18:27:20.407797	239
35255	172414	47657	2013-08-04 18:27:20.424215	2013-08-04 18:27:20.424215	239
35256	172414	47637	2013-08-04 18:27:20.430112	2013-08-04 18:27:20.430112	239
35257	172414	47617	2013-08-04 18:27:20.436369	2013-08-04 18:27:20.436369	239
35258	172414	47597	2013-08-04 18:27:20.446567	2013-08-04 18:27:20.446567	239
35259	172414	47577	2013-08-04 18:27:20.451839	2013-08-04 18:27:20.451839	239
35260	172414	47530	2013-08-04 18:27:20.45672	2013-08-04 18:27:20.45672	239
35261	172414	47458	2013-08-04 18:27:20.460269	2013-08-04 18:27:20.460269	239
35262	172414	47557	2013-08-04 18:27:20.465471	2013-08-04 18:27:20.465471	239
35263	172414	47521	2013-08-04 18:27:20.473156	2013-08-04 18:27:20.473156	239
35264	172414	47545	2013-08-04 18:27:20.482124	2013-08-04 18:27:20.482124	239
35265	172414	47537	2013-08-04 18:27:20.494216	2013-08-04 18:27:20.494216	239
35266	172414	47517	2013-08-04 18:27:20.506677	2013-08-04 18:27:20.506677	239
35267	172414	47497	2013-08-04 18:27:20.517735	2013-08-04 18:27:20.517735	239
35268	172414	47477	2013-08-04 18:27:20.529664	2013-08-04 18:27:20.529664	239
35269	172414	47457	2013-08-04 18:27:20.541365	2013-08-04 18:27:20.541365	239
35270	172414	19455	2013-08-04 18:27:20.547606	2013-08-04 18:27:20.547606	239
35271	172414	14218	2013-08-04 18:27:20.552171	2013-08-04 18:27:20.552171	239
35272	172414	3984	2013-08-04 18:27:20.557129	2013-08-04 18:27:20.557129	239
35273	172414	6660	2013-08-04 18:27:20.561563	2013-08-04 18:27:20.561563	239
35274	174417	26310	2013-08-04 18:27:20.597902	2013-08-04 18:27:20.597902	239
35275	174417	29250	2013-08-04 18:27:20.605709	2013-08-04 18:27:20.605709	239
35276	174417	29279	2013-08-04 18:27:20.61176	2013-08-04 18:27:20.61176	239
35277	174417	29259	2013-08-04 18:27:20.617701	2013-08-04 18:27:20.617701	239
35278	174417	29239	2013-08-04 18:27:20.624923	2013-08-04 18:27:20.624923	239
35279	174417	29219	2013-08-04 18:27:20.629501	2013-08-04 18:27:20.629501	239
35280	174417	29200	2013-08-04 18:27:20.633745	2013-08-04 18:27:20.633745	239
35281	174417	29199	2013-08-04 18:27:20.641907	2013-08-04 18:27:20.641907	239
35282	174417	29151	2013-08-04 18:27:20.648856	2013-08-04 18:27:20.648856	239
35283	173989	29179	2013-08-04 18:27:20.659064	2013-08-04 18:27:20.659064	239
35284	173989	29159	2013-08-04 18:27:20.663916	2013-08-04 18:27:20.663916	239
35285	173989	29139	2013-08-04 18:27:20.669946	2013-08-04 18:27:20.669946	239
35286	173989	29119	2013-08-04 18:27:20.67607	2013-08-04 18:27:20.67607	239
35287	173989	29099	2013-08-04 18:27:20.681159	2013-08-04 18:27:20.681159	239
35288	173989	43703	2013-08-04 18:27:20.686797	2013-08-04 18:27:20.686797	239
35289	173989	14249	2013-08-04 18:27:20.69221	2013-08-04 18:27:20.69221	239
35290	173989	4004	2013-08-04 18:27:20.696767	2013-08-04 18:27:20.696767	239
35291	173989	6680	2013-08-04 18:27:20.700693	2013-08-04 18:27:20.700693	239
35292	172628	5263	2013-08-04 18:27:20.71733	2013-08-04 18:27:20.71733	239
35293	172628	20312	2013-08-04 18:27:20.720788	2013-08-04 18:27:20.720788	239
35294	172628	2865	2013-08-04 18:27:20.725222	2013-08-04 18:27:20.725222	239
35295	172628	18460	2013-08-04 18:27:20.733564	2013-08-04 18:27:20.733564	239
35296	172628	35480	2013-08-04 18:27:20.739337	2013-08-04 18:27:20.739337	239
35297	172628	22888	2013-08-04 18:27:20.746478	2013-08-04 18:27:20.746478	239
35298	172628	9750	2013-08-04 18:27:20.752903	2013-08-04 18:27:20.752903	239
35299	172628	26185	2013-08-04 18:27:20.760415	2013-08-04 18:27:20.760415	239
35300	172628	32635	2013-08-04 18:27:20.764321	2013-08-04 18:27:20.764321	239
35301	172628	32615	2013-08-04 18:27:20.76909	2013-08-04 18:27:20.76909	239
35302	172628	17560	2013-08-04 18:27:20.772482	2013-08-04 18:27:20.772482	239
35303	172628	37103	2013-08-04 18:27:20.775893	2013-08-04 18:27:20.775893	239
35304	172628	37383	2013-08-04 18:27:20.780752	2013-08-04 18:27:20.780752	239
35305	172628	35763	2013-08-04 18:27:20.785661	2013-08-04 18:27:20.785661	239
35306	172628	32595	2013-08-04 18:27:20.789101	2013-08-04 18:27:20.789101	239
35307	172628	7270	2013-08-04 18:27:20.792165	2013-08-04 18:27:20.792165	239
35308	172628	20672	2013-08-04 18:27:20.795443	2013-08-04 18:27:20.795443	239
35309	172628	7130	2013-08-04 18:27:20.798529	2013-08-04 18:27:20.798529	239
35310	172628	29701	2013-08-04 18:27:20.802696	2013-08-04 18:27:20.802696	239
35311	173454	33513	2013-08-04 18:27:21.030597	2013-08-04 18:27:21.030597	239
35312	173454	33557	2013-08-04 18:27:21.034493	2013-08-04 18:27:21.034493	239
35313	173454	33493	2013-08-04 18:27:21.037932	2013-08-04 18:27:21.037932	239
35314	173454	33445	2013-08-04 18:27:21.041588	2013-08-04 18:27:21.041588	239
35315	172636	33473	2013-08-04 18:27:21.119705	2013-08-04 18:27:21.119705	239
35316	172636	33453	2013-08-04 18:27:21.123737	2013-08-04 18:27:21.123737	239
35317	172636	27761	2013-08-04 18:27:21.127697	2013-08-04 18:27:21.127697	239
35318	172636	17426	2013-08-04 18:27:21.13212	2013-08-04 18:27:21.13212	239
35319	172435	17411	2013-08-04 18:27:21.141078	2013-08-04 18:27:21.141078	239
35320	172435	33433	2013-08-04 18:27:21.145453	2013-08-04 18:27:21.145453	239
35321	172435	33413	2013-08-04 18:27:21.149557	2013-08-04 18:27:21.149557	239
35322	172435	33393	2013-08-04 18:27:21.153704	2013-08-04 18:27:21.153704	239
35323	172421	33373	2013-08-04 18:27:21.162538	2013-08-04 18:27:21.162538	239
35324	172421	33370	2013-08-04 18:27:21.167108	2013-08-04 18:27:21.167108	239
35325	172421	33353	2013-08-04 18:27:21.171293	2013-08-04 18:27:21.171293	239
35326	172421	33310	2013-08-04 18:27:21.175611	2013-08-04 18:27:21.175611	239
35327	172974	12856	2013-08-04 18:27:21.19157	2013-08-04 18:27:21.19157	239
35328	172974	29321	2013-08-04 18:27:21.197286	2013-08-04 18:27:21.197286	239
35329	172974	19821	2013-08-04 18:27:21.203027	2013-08-04 18:27:21.203027	239
35330	172974	36603	2013-08-04 18:27:21.207891	2013-08-04 18:27:21.207891	239
35331	172974	34603	2013-08-04 18:27:21.214787	2013-08-04 18:27:21.214787	239
35332	172974	28450	2013-08-04 18:27:21.223642	2013-08-04 18:27:21.223642	239
35333	172974	17336	2013-08-04 18:27:21.228715	2013-08-04 18:27:21.228715	239
35334	172974	35623	2013-08-04 18:27:21.232396	2013-08-04 18:27:21.232396	239
35335	172974	19781	2013-08-04 18:27:21.241895	2013-08-04 18:27:21.241895	239
35336	172974	22353	2013-08-04 18:27:21.247141	2013-08-04 18:27:21.247141	239
35337	172974	17301	2013-08-04 18:27:21.251451	2013-08-04 18:27:21.251451	239
35338	172974	28100	2013-08-04 18:27:21.254259	2013-08-04 18:27:21.254259	239
35339	172974	19761	2013-08-04 18:27:21.257606	2013-08-04 18:27:21.257606	239
35340	172974	21253	2013-08-04 18:27:21.261146	2013-08-04 18:27:21.261146	239
35341	172974	21319	2013-08-04 18:27:21.265897	2013-08-04 18:27:21.265897	239
35342	172974	28386	2013-08-04 18:27:21.269494	2013-08-04 18:27:21.269494	239
35343	172974	3924	2013-08-04 18:27:21.275258	2013-08-04 18:27:21.275258	239
35344	172974	17153	2013-08-04 18:27:21.282421	2013-08-04 18:27:21.282421	239
35345	172974	3095	2013-08-04 18:27:21.288899	2013-08-04 18:27:21.288899	239
35346	172970	12856	2013-08-04 18:27:21.306607	2013-08-04 18:27:21.306607	239
35347	172970	29321	2013-08-04 18:27:21.309511	2013-08-04 18:27:21.309511	239
35348	172970	19821	2013-08-04 18:27:21.313815	2013-08-04 18:27:21.313815	239
35349	172970	36603	2013-08-04 18:27:21.318977	2013-08-04 18:27:21.318977	239
35350	172970	34603	2013-08-04 18:27:21.324754	2013-08-04 18:27:21.324754	239
35351	172970	28450	2013-08-04 18:27:21.330407	2013-08-04 18:27:21.330407	239
35352	172970	17336	2013-08-04 18:27:21.338625	2013-08-04 18:27:21.338625	239
35353	172970	35623	2013-08-04 18:27:21.346649	2013-08-04 18:27:21.346649	239
35354	172970	19781	2013-08-04 18:27:21.351719	2013-08-04 18:27:21.351719	239
35355	172970	22353	2013-08-04 18:27:21.357846	2013-08-04 18:27:21.357846	239
35356	172970	17301	2013-08-04 18:27:21.365797	2013-08-04 18:27:21.365797	239
35357	172970	28100	2013-08-04 18:27:21.374055	2013-08-04 18:27:21.374055	239
35358	172970	19761	2013-08-04 18:27:21.38224	2013-08-04 18:27:21.38224	239
35359	172970	21253	2013-08-04 18:27:21.390547	2013-08-04 18:27:21.390547	239
35360	172970	21319	2013-08-04 18:27:21.398564	2013-08-04 18:27:21.398564	239
35361	172970	28386	2013-08-04 18:27:21.406717	2013-08-04 18:27:21.406717	239
35362	172970	3924	2013-08-04 18:27:21.41517	2013-08-04 18:27:21.41517	239
35363	172970	17153	2013-08-04 18:27:21.423328	2013-08-04 18:27:21.423328	239
35364	172970	3095	2013-08-04 18:27:21.431867	2013-08-04 18:27:21.431867	239
35365	172547	47937	2013-08-04 18:27:21.536851	2013-08-04 18:27:21.536851	239
35366	172547	48038	2013-08-04 18:27:21.548657	2013-08-04 18:27:21.548657	239
35367	172547	47952	2013-08-04 18:27:21.553655	2013-08-04 18:27:21.553655	239
35368	172547	47917	2013-08-04 18:27:21.564049	2013-08-04 18:27:21.564049	239
35369	172547	47897	2013-08-04 18:27:21.575282	2013-08-04 18:27:21.575282	239
35370	172547	47877	2013-08-04 18:27:21.586027	2013-08-04 18:27:21.586027	239
35371	172547	47857	2013-08-04 18:27:21.597112	2013-08-04 18:27:21.597112	239
35372	172547	47821	2013-08-04 18:27:21.608194	2013-08-04 18:27:21.608194	239
35373	172547	47837	2013-08-04 18:27:21.619186	2013-08-04 18:27:21.619186	239
35374	172468	47817	2013-08-04 18:27:21.642896	2013-08-04 18:27:21.642896	239
35375	172468	47797	2013-08-04 18:27:21.653652	2013-08-04 18:27:21.653652	239
35376	172468	47777	2013-08-04 18:27:21.661104	2013-08-04 18:27:21.661104	239
35377	172468	47798	2013-08-04 18:27:21.666209	2013-08-04 18:27:21.666209	239
35378	172468	47757	2013-08-04 18:27:21.676216	2013-08-04 18:27:21.676216	239
35379	172468	47737	2013-08-04 18:27:21.68721	2013-08-04 18:27:21.68721	239
35380	172468	47717	2013-08-04 18:27:21.698502	2013-08-04 18:27:21.698502	239
35381	172468	47697	2013-08-04 18:27:21.707515	2013-08-04 18:27:21.707515	239
35382	172468	47677	2013-08-04 18:27:21.720127	2013-08-04 18:27:21.720127	239
35383	172639	29559	2013-08-04 18:27:21.749772	2013-08-04 18:27:21.749772	239
35384	172639	29539	2013-08-04 18:27:21.755489	2013-08-04 18:27:21.755489	239
35385	172639	29519	2013-08-04 18:27:21.760953	2013-08-04 18:27:21.760953	239
35386	172639	29477	2013-08-04 18:27:21.767213	2013-08-04 18:27:21.767213	239
35387	172639	29361	2013-08-04 18:27:21.772851	2013-08-04 18:27:21.772851	239
35388	172639	29463	2013-08-04 18:27:21.77735	2013-08-04 18:27:21.77735	239
35389	172639	29499	2013-08-04 18:27:21.780806	2013-08-04 18:27:21.780806	239
35390	172639	29453	2013-08-04 18:27:21.784172	2013-08-04 18:27:21.784172	239
35391	172639	29479	2013-08-04 18:27:21.787408	2013-08-04 18:27:21.787408	239
35392	172454	29459	2013-08-04 18:27:21.795651	2013-08-04 18:27:21.795651	239
35393	172454	29450	2013-08-04 18:27:21.802842	2013-08-04 18:27:21.802842	239
35394	172454	29439	2013-08-04 18:27:21.806449	2013-08-04 18:27:21.806449	239
35395	172454	29419	2013-08-04 18:27:21.80983	2013-08-04 18:27:21.80983	239
35396	172454	29399	2013-08-04 18:27:21.814431	2013-08-04 18:27:21.814431	239
35397	172454	29379	2013-08-04 18:27:21.820386	2013-08-04 18:27:21.820386	239
35398	172454	29359	2013-08-04 18:27:21.834076	2013-08-04 18:27:21.834076	239
35399	172454	29339	2013-08-04 18:27:21.847013	2013-08-04 18:27:21.847013	239
35400	172454	29319	2013-08-04 18:27:21.853697	2013-08-04 18:27:21.853697	239
35401	174429	32106	2013-08-04 18:32:17.571261	2013-08-04 18:32:17.571261	240
35402	174429	32086	2013-08-04 18:32:17.584321	2013-08-04 18:32:17.584321	240
35403	174429	32137	2013-08-04 18:32:17.595345	2013-08-04 18:32:17.595345	240
35404	174429	32165	2013-08-04 18:32:17.606264	2013-08-04 18:32:17.606264	240
35405	174429	32066	2013-08-04 18:32:17.617226	2013-08-04 18:32:17.617226	240
35406	174429	32055	2013-08-04 18:32:17.628243	2013-08-04 18:32:17.628243	240
35407	174429	32046	2013-08-04 18:32:17.639155	2013-08-04 18:32:17.639155	240
35408	174429	31957	2013-08-04 18:32:17.650454	2013-08-04 18:32:17.650454	240
35409	174429	32017	2013-08-04 18:32:17.655806	2013-08-04 18:32:17.655806	240
35410	174429	31980	2013-08-04 18:32:17.66083	2013-08-04 18:32:17.66083	240
35411	174429	32026	2013-08-04 18:32:17.666537	2013-08-04 18:32:17.666537	240
35412	174429	31992	2013-08-04 18:32:17.674388	2013-08-04 18:32:17.674388	240
35413	174429	32006	2013-08-04 18:32:17.683136	2013-08-04 18:32:17.683136	240
35414	174429	31986	2013-08-04 18:32:17.694367	2013-08-04 18:32:17.694367	240
35415	174429	31892	2013-08-04 18:32:17.705641	2013-08-04 18:32:17.705641	240
35416	174429	31966	2013-08-04 18:32:17.715282	2013-08-04 18:32:17.715282	240
35417	174429	31946	2013-08-04 18:32:17.726707	2013-08-04 18:32:17.726707	240
35418	174429	31926	2013-08-04 18:32:17.737755	2013-08-04 18:32:17.737755	240
35419	174429	31906	2013-08-04 18:32:17.748625	2013-08-04 18:32:17.748625	240
35420	174433	35918	2013-08-04 18:32:17.801116	2013-08-04 18:32:17.801116	240
35421	174433	35808	2013-08-04 18:32:17.813154	2013-08-04 18:32:17.813154	240
35422	174433	35772	2013-08-04 18:32:17.823942	2013-08-04 18:32:17.823942	240
35423	174433	17771	2013-08-04 18:32:17.83471	2013-08-04 18:32:17.83471	240
35424	174433	35788	2013-08-04 18:32:17.845649	2013-08-04 18:32:17.845649	240
35425	174433	35768	2013-08-04 18:32:17.856535	2013-08-04 18:32:17.856535	240
35426	174433	35748	2013-08-04 18:32:17.867403	2013-08-04 18:32:17.867403	240
35427	174433	35728	2013-08-04 18:32:17.878896	2013-08-04 18:32:17.878896	240
35428	174433	35690	2013-08-04 18:32:17.889991	2013-08-04 18:32:17.889991	240
35429	174433	35708	2013-08-04 18:32:17.901675	2013-08-04 18:32:17.901675	240
35430	174433	35688	2013-08-04 18:32:17.913092	2013-08-04 18:32:17.913092	240
35431	174433	35668	2013-08-04 18:32:17.923954	2013-08-04 18:32:17.923954	240
35432	174433	35677	2013-08-04 18:32:17.934738	2013-08-04 18:32:17.934738	240
35433	174433	35648	2013-08-04 18:32:17.945721	2013-08-04 18:32:17.945721	240
35434	174433	35492	2013-08-04 18:32:17.956577	2013-08-04 18:32:17.956577	240
35435	174433	33393	2013-08-04 18:32:17.967677	2013-08-04 18:32:17.967677	240
35436	174433	33413	2013-08-04 18:32:17.978016	2013-08-04 18:32:17.978016	240
35437	174433	33433	2013-08-04 18:32:17.988153	2013-08-04 18:32:17.988153	240
35438	174433	17411	2013-08-04 18:32:17.998549	2013-08-04 18:32:17.998549	240
35439	174817	12856	2013-08-04 18:32:18.218776	2013-08-04 18:32:18.218776	240
35440	174817	29321	2013-08-04 18:32:18.227338	2013-08-04 18:32:18.227338	240
35441	174817	19821	2013-08-04 18:32:18.235694	2013-08-04 18:32:18.235694	240
35442	174817	36603	2013-08-04 18:32:18.244244	2013-08-04 18:32:18.244244	240
35443	174817	34603	2013-08-04 18:32:18.251309	2013-08-04 18:32:18.251309	240
35444	174817	28450	2013-08-04 18:32:18.254162	2013-08-04 18:32:18.254162	240
35445	174817	17336	2013-08-04 18:32:18.257537	2013-08-04 18:32:18.257537	240
35446	174817	35623	2013-08-04 18:32:18.262065	2013-08-04 18:32:18.262065	240
35447	174817	19781	2013-08-04 18:32:18.265233	2013-08-04 18:32:18.265233	240
35448	174817	22353	2013-08-04 18:32:18.268244	2013-08-04 18:32:18.268244	240
35449	174817	17301	2013-08-04 18:32:18.271211	2013-08-04 18:32:18.271211	240
35450	174817	28100	2013-08-04 18:32:18.27411	2013-08-04 18:32:18.27411	240
35451	174817	19761	2013-08-04 18:32:18.277591	2013-08-04 18:32:18.277591	240
35452	174817	21253	2013-08-04 18:32:18.280881	2013-08-04 18:32:18.280881	240
35453	174817	21319	2013-08-04 18:32:18.284054	2013-08-04 18:32:18.284054	240
35454	174817	28386	2013-08-04 18:32:18.287539	2013-08-04 18:32:18.287539	240
35455	174817	3924	2013-08-04 18:32:18.291621	2013-08-04 18:32:18.291621	240
35456	174817	17153	2013-08-04 18:32:18.296021	2013-08-04 18:32:18.296021	240
35457	174817	3095	2013-08-04 18:32:18.3021	2013-08-04 18:32:18.3021	240
35458	174819	12856	2013-08-04 18:32:18.329509	2013-08-04 18:32:18.329509	240
35459	174819	29321	2013-08-04 18:32:18.336472	2013-08-04 18:32:18.336472	240
35460	174819	19821	2013-08-04 18:32:18.341151	2013-08-04 18:32:18.341151	240
35461	174819	36603	2013-08-04 18:32:18.345924	2013-08-04 18:32:18.345924	240
35462	174819	34603	2013-08-04 18:32:18.350054	2013-08-04 18:32:18.350054	240
35463	174819	28450	2013-08-04 18:32:18.35366	2013-08-04 18:32:18.35366	240
35464	174819	17336	2013-08-04 18:32:18.357375	2013-08-04 18:32:18.357375	240
35465	174819	35623	2013-08-04 18:32:18.361014	2013-08-04 18:32:18.361014	240
35466	174819	19781	2013-08-04 18:32:18.365455	2013-08-04 18:32:18.365455	240
35467	174819	22353	2013-08-04 18:32:18.37007	2013-08-04 18:32:18.37007	240
35468	174819	17301	2013-08-04 18:32:18.375324	2013-08-04 18:32:18.375324	240
35469	174819	28100	2013-08-04 18:32:18.37899	2013-08-04 18:32:18.37899	240
35470	174819	19761	2013-08-04 18:32:18.382421	2013-08-04 18:32:18.382421	240
35471	174819	21253	2013-08-04 18:32:18.385575	2013-08-04 18:32:18.385575	240
35472	174819	21319	2013-08-04 18:32:18.389157	2013-08-04 18:32:18.389157	240
35473	174819	28386	2013-08-04 18:32:18.393694	2013-08-04 18:32:18.393694	240
35474	174819	3924	2013-08-04 18:32:18.397528	2013-08-04 18:32:18.397528	240
35475	174819	17153	2013-08-04 18:32:18.401016	2013-08-04 18:32:18.401016	240
35476	174819	3095	2013-08-04 18:32:18.403883	2013-08-04 18:32:18.403883	240
35477	174820	12856	2013-08-04 18:32:18.413961	2013-08-04 18:32:18.413961	240
35478	174820	29321	2013-08-04 18:32:18.416864	2013-08-04 18:32:18.416864	240
35479	174820	19821	2013-08-04 18:32:18.419519	2013-08-04 18:32:18.419519	240
35480	174820	36603	2013-08-04 18:32:18.422514	2013-08-04 18:32:18.422514	240
35481	174820	34603	2013-08-04 18:32:18.425478	2013-08-04 18:32:18.425478	240
35482	174820	28450	2013-08-04 18:32:18.428935	2013-08-04 18:32:18.428935	240
35483	174820	17336	2013-08-04 18:32:18.43187	2013-08-04 18:32:18.43187	240
35484	174820	35623	2013-08-04 18:32:18.435282	2013-08-04 18:32:18.435282	240
35485	174820	19781	2013-08-04 18:32:18.438833	2013-08-04 18:32:18.438833	240
35486	174820	22353	2013-08-04 18:32:18.441731	2013-08-04 18:32:18.441731	240
35487	174820	17301	2013-08-04 18:32:18.445651	2013-08-04 18:32:18.445651	240
35488	174820	28100	2013-08-04 18:32:18.449678	2013-08-04 18:32:18.449678	240
35489	174820	19761	2013-08-04 18:32:18.453083	2013-08-04 18:32:18.453083	240
35490	174820	21253	2013-08-04 18:32:18.45632	2013-08-04 18:32:18.45632	240
35491	174820	21319	2013-08-04 18:32:18.45933	2013-08-04 18:32:18.45933	240
35492	174820	28386	2013-08-04 18:32:18.462256	2013-08-04 18:32:18.462256	240
35493	174820	3924	2013-08-04 18:32:18.465361	2013-08-04 18:32:18.465361	240
35494	174820	17153	2013-08-04 18:32:18.468339	2013-08-04 18:32:18.468339	240
35495	174820	3095	2013-08-04 18:32:18.471175	2013-08-04 18:32:18.471175	240
35496	174911	2107	2013-08-04 18:32:18.770491	2013-08-04 18:32:18.770491	240
35497	174911	1974	2013-08-04 18:32:18.777175	2013-08-04 18:32:18.777175	240
35498	174911	10898	2013-08-04 18:32:18.783216	2013-08-04 18:32:18.783216	240
35499	174911	2055	2013-08-04 18:32:18.79045	2013-08-04 18:32:18.79045	240
35500	174911	16566	2013-08-04 18:32:18.798105	2013-08-04 18:32:18.798105	240
35501	174911	49415	2013-08-04 18:32:18.809101	2013-08-04 18:32:18.809101	240
35502	174911	5106	2013-08-04 18:32:18.820216	2013-08-04 18:32:18.820216	240
35503	174911	1919	2013-08-04 18:32:18.831622	2013-08-04 18:32:18.831622	240
35504	174911	2020	2013-08-04 18:32:18.839883	2013-08-04 18:32:18.839883	240
35505	174911	22888	2013-08-04 18:32:18.843485	2013-08-04 18:32:18.843485	240
35506	174911	35480	2013-08-04 18:32:18.846844	2013-08-04 18:32:18.846844	240
35507	174911	18460	2013-08-04 18:32:18.850618	2013-08-04 18:32:18.850618	240
35508	174911	2865	2013-08-04 18:32:18.85788	2013-08-04 18:32:18.85788	240
35509	174911	20312	2013-08-04 18:32:18.863503	2013-08-04 18:32:18.863503	240
35510	174911	5263	2013-08-04 18:32:18.87045	2013-08-04 18:32:18.87045	240
35511	174911	32635	2013-08-04 18:32:18.877613	2013-08-04 18:32:18.877613	240
35512	174911	26185	2013-08-04 18:32:18.887895	2013-08-04 18:32:18.887895	240
35513	174911	9750	2013-08-04 18:32:18.898026	2013-08-04 18:32:18.898026	240
35514	174911	29701	2013-08-04 18:32:18.908442	2013-08-04 18:32:18.908442	240
35515	174777	32346	2013-08-04 18:32:18.982168	2013-08-04 18:32:18.982168	240
35516	174777	28452	2013-08-04 18:32:18.986491	2013-08-04 18:32:18.986491	240
35517	174777	32277	2013-08-04 18:32:18.990246	2013-08-04 18:32:18.990246	240
35518	174777	32326	2013-08-04 18:32:18.993889	2013-08-04 18:32:18.993889	240
35519	174777	32306	2013-08-04 18:32:18.997544	2013-08-04 18:32:18.997544	240
35520	174777	32286	2013-08-04 18:32:19.001427	2013-08-04 18:32:19.001427	240
35521	174777	32266	2013-08-04 18:32:19.00646	2013-08-04 18:32:19.00646	240
35522	174777	32246	2013-08-04 18:32:19.015224	2013-08-04 18:32:19.015224	240
35523	174777	32226	2013-08-04 18:32:19.025786	2013-08-04 18:32:19.025786	240
35524	174777	32225	2013-08-04 18:32:19.036605	2013-08-04 18:32:19.036605	240
35525	174777	32206	2013-08-04 18:32:19.047489	2013-08-04 18:32:19.047489	240
35526	174777	32186	2013-08-04 18:32:19.058327	2013-08-04 18:32:19.058327	240
35527	174777	32037	2013-08-04 18:32:19.069208	2013-08-04 18:32:19.069208	240
35528	174777	32180	2013-08-04 18:32:19.080175	2013-08-04 18:32:19.080175	240
35529	174777	27401	2013-08-04 18:32:19.09118	2013-08-04 18:32:19.09118	240
35530	174777	32166	2013-08-04 18:32:19.102379	2013-08-04 18:32:19.102379	240
35531	174777	32146	2013-08-04 18:32:19.113447	2013-08-04 18:32:19.113447	240
35532	174777	32092	2013-08-04 18:32:19.124894	2013-08-04 18:32:19.124894	240
35533	174777	32126	2013-08-04 18:32:19.135851	2013-08-04 18:32:19.135851	240
35534	174671	7000	2013-08-04 18:32:19.148171	2013-08-04 18:32:19.148171	240
35535	174671	6952	2013-08-04 18:32:19.1519	2013-08-04 18:32:19.1519	240
35536	174671	6972	2013-08-04 18:32:19.158669	2013-08-04 18:32:19.158669	240
35537	174671	6992	2013-08-04 18:32:19.163773	2013-08-04 18:32:19.163773	240
35538	174671	7012	2013-08-04 18:32:19.169517	2013-08-04 18:32:19.169517	240
35539	174671	7032	2013-08-04 18:32:19.179056	2013-08-04 18:32:19.179056	240
35540	174671	7052	2013-08-04 18:32:19.190028	2013-08-04 18:32:19.190028	240
35541	174671	7047	2013-08-04 18:32:19.201234	2013-08-04 18:32:19.201234	240
35542	174671	7027	2013-08-04 18:32:19.212289	2013-08-04 18:32:19.212289	240
35543	174671	7007	2013-08-04 18:32:19.223122	2013-08-04 18:32:19.223122	240
35544	174671	6987	2013-08-04 18:32:19.23469	2013-08-04 18:32:19.23469	240
35545	174671	6970	2013-08-04 18:32:19.246629	2013-08-04 18:32:19.246629	240
35546	174671	6967	2013-08-04 18:32:19.251182	2013-08-04 18:32:19.251182	240
35547	174671	6947	2013-08-04 18:32:19.255175	2013-08-04 18:32:19.255175	240
35548	174671	1922	2013-08-04 18:32:19.258678	2013-08-04 18:32:19.258678	240
35549	174671	4229	2013-08-04 18:32:19.262097	2013-08-04 18:32:19.262097	240
35550	174671	6926	2013-08-04 18:32:19.266396	2013-08-04 18:32:19.266396	240
35551	174671	6927	2013-08-04 18:32:19.271897	2013-08-04 18:32:19.271897	240
35552	174671	20268	2013-08-04 18:32:19.276959	2013-08-04 18:32:19.276959	240
35553	174906	36108	2013-08-04 18:32:19.301921	2013-08-04 18:32:19.301921	240
35554	174906	36088	2013-08-04 18:32:19.31326	2013-08-04 18:32:19.31326	240
35555	174906	36068	2013-08-04 18:32:19.324235	2013-08-04 18:32:19.324235	240
35556	174906	36048	2013-08-04 18:32:19.334964	2013-08-04 18:32:19.334964	240
35557	174906	36028	2013-08-04 18:32:19.345792	2013-08-04 18:32:19.345792	240
35558	174906	36008	2013-08-04 18:32:19.358375	2013-08-04 18:32:19.358375	240
35559	174906	36021	2013-08-04 18:32:19.370129	2013-08-04 18:32:19.370129	240
35560	174906	35988	2013-08-04 18:32:19.375831	2013-08-04 18:32:19.375831	240
35561	174906	35968	2013-08-04 18:32:19.381258	2013-08-04 18:32:19.381258	240
35562	174674	35920	2013-08-04 18:32:19.391514	2013-08-04 18:32:19.391514	240
35563	174674	35948	2013-08-04 18:32:19.396476	2013-08-04 18:32:19.396476	240
35564	174674	35928	2013-08-04 18:32:19.40168	2013-08-04 18:32:19.40168	240
35565	174674	35908	2013-08-04 18:32:19.410057	2013-08-04 18:32:19.410057	240
35566	174674	35888	2013-08-04 18:32:19.419634	2013-08-04 18:32:19.419634	240
35567	174674	35832	2013-08-04 18:32:19.428949	2013-08-04 18:32:19.428949	240
35568	174674	35868	2013-08-04 18:32:19.435117	2013-08-04 18:32:19.435117	240
35569	174674	35848	2013-08-04 18:32:19.439375	2013-08-04 18:32:19.439375	240
35570	174674	35828	2013-08-04 18:32:19.442923	2013-08-04 18:32:19.442923	240
35571	174914	14765	2013-08-04 18:32:19.457949	2013-08-04 18:32:19.457949	240
35572	174914	14849	2013-08-04 18:32:19.464098	2013-08-04 18:32:19.464098	240
35573	174914	14829	2013-08-04 18:32:19.468435	2013-08-04 18:32:19.468435	240
35574	174914	14780	2013-08-04 18:32:19.472808	2013-08-04 18:32:19.472808	240
35575	174914	24437	2013-08-04 18:32:19.47698	2013-08-04 18:32:19.47698	240
35576	174914	14809	2013-08-04 18:32:19.480975	2013-08-04 18:32:19.480975	240
35577	174914	14789	2013-08-04 18:32:19.484919	2013-08-04 18:32:19.484919	240
35578	174914	14783	2013-08-04 18:32:19.489371	2013-08-04 18:32:19.489371	240
35579	174914	14769	2013-08-04 18:32:19.493454	2013-08-04 18:32:19.493454	240
35580	174846	14710	2013-08-04 18:32:19.502256	2013-08-04 18:32:19.502256	240
35581	174846	14657	2013-08-04 18:32:19.509781	2013-08-04 18:32:19.509781	240
35582	174846	14723	2013-08-04 18:32:19.518255	2013-08-04 18:32:19.518255	240
35583	174846	14749	2013-08-04 18:32:19.527458	2013-08-04 18:32:19.527458	240
35584	174846	14729	2013-08-04 18:32:19.53908	2013-08-04 18:32:19.53908	240
35585	174846	14709	2013-08-04 18:32:19.550651	2013-08-04 18:32:19.550651	240
35586	174846	14689	2013-08-04 18:32:19.556817	2013-08-04 18:32:19.556817	240
35587	174846	14669	2013-08-04 18:32:19.563046	2013-08-04 18:32:19.563046	240
35588	174846	14649	2013-08-04 18:32:19.570062	2013-08-04 18:32:19.570062	240
35589	174821	12856	2013-08-04 18:32:19.634027	2013-08-04 18:32:19.634027	240
35590	174821	29321	2013-08-04 18:32:19.642682	2013-08-04 18:32:19.642682	240
35591	174821	19821	2013-08-04 18:32:19.651215	2013-08-04 18:32:19.651215	240
35592	174821	36603	2013-08-04 18:32:19.658775	2013-08-04 18:32:19.658775	240
35593	174821	34603	2013-08-04 18:32:19.666506	2013-08-04 18:32:19.666506	240
35594	174821	28450	2013-08-04 18:32:19.67143	2013-08-04 18:32:19.67143	240
35595	174821	17336	2013-08-04 18:32:19.674026	2013-08-04 18:32:19.674026	240
35596	174821	35623	2013-08-04 18:32:19.676589	2013-08-04 18:32:19.676589	240
35597	174821	19781	2013-08-04 18:32:19.679065	2013-08-04 18:32:19.679065	240
35598	174821	22353	2013-08-04 18:32:19.681732	2013-08-04 18:32:19.681732	240
35599	174821	17301	2013-08-04 18:32:19.684368	2013-08-04 18:32:19.684368	240
35600	174821	28100	2013-08-04 18:32:19.692208	2013-08-04 18:32:19.692208	240
35601	174821	19761	2013-08-04 18:32:19.700489	2013-08-04 18:32:19.700489	240
35602	174821	21253	2013-08-04 18:32:19.707074	2013-08-04 18:32:19.707074	240
35603	174821	21319	2013-08-04 18:32:19.710186	2013-08-04 18:32:19.710186	240
35604	174821	28386	2013-08-04 18:32:19.713242	2013-08-04 18:32:19.713242	240
35605	174821	3924	2013-08-04 18:32:19.716351	2013-08-04 18:32:19.716351	240
35606	174821	17153	2013-08-04 18:32:19.719482	2013-08-04 18:32:19.719482	240
35607	174821	3095	2013-08-04 18:32:19.725891	2013-08-04 18:32:19.725891	240
35608	174918	22396	2013-08-04 18:32:19.804888	2013-08-04 18:32:19.804888	240
35609	174918	22376	2013-08-04 18:32:19.814153	2013-08-04 18:32:19.814153	240
35610	174918	22356	2013-08-04 18:32:19.823947	2013-08-04 18:32:19.823947	240
35611	174918	22403	2013-08-04 18:32:19.835148	2013-08-04 18:32:19.835148	240
35612	174918	22336	2013-08-04 18:32:19.84636	2013-08-04 18:32:19.84636	240
35613	174918	22316	2013-08-04 18:32:19.85825	2013-08-04 18:32:19.85825	240
35614	174918	22296	2013-08-04 18:32:19.869871	2013-08-04 18:32:19.869871	240
35615	174918	16000	2013-08-04 18:32:19.880926	2013-08-04 18:32:19.880926	240
35616	174918	15933	2013-08-04 18:32:19.892474	2013-08-04 18:32:19.892474	240
35617	174907	22205	2013-08-04 18:32:19.916091	2013-08-04 18:32:19.916091	240
35618	174907	22191	2013-08-04 18:32:19.928584	2013-08-04 18:32:19.928584	240
35619	174907	22211	2013-08-04 18:32:19.934143	2013-08-04 18:32:19.934143	240
35620	174907	22276	2013-08-04 18:32:19.937807	2013-08-04 18:32:19.937807	240
35621	174907	22256	2013-08-04 18:32:19.941454	2013-08-04 18:32:19.941454	240
35622	174907	22286	2013-08-04 18:32:19.945108	2013-08-04 18:32:19.945108	240
35623	174907	22240	2013-08-04 18:32:19.948698	2013-08-04 18:32:19.948698	240
35624	174907	22236	2013-08-04 18:32:19.952502	2013-08-04 18:32:19.952502	240
35625	174907	22216	2013-08-04 18:32:19.957809	2013-08-04 18:32:19.957809	240
35626	174431	48237	2013-08-04 18:32:19.988778	2013-08-04 18:32:19.988778	240
35627	174431	48217	2013-08-04 18:32:20.000832	2013-08-04 18:32:20.000832	240
35628	174431	48183	2013-08-04 18:32:20.012264	2013-08-04 18:32:20.012264	240
35629	174431	48197	2013-08-04 18:32:20.02416	2013-08-04 18:32:20.02416	240
35630	174431	48070	2013-08-04 18:32:20.036186	2013-08-04 18:32:20.036186	240
35631	174431	48177	2013-08-04 18:32:20.048295	2013-08-04 18:32:20.048295	240
35632	174431	48157	2013-08-04 18:32:20.125621	2013-08-04 18:32:20.125621	240
35633	174431	48137	2013-08-04 18:32:20.137407	2013-08-04 18:32:20.137407	240
35634	174431	48117	2013-08-04 18:32:20.142033	2013-08-04 18:32:20.142033	240
35635	174431	48061	2013-08-04 18:32:20.147567	2013-08-04 18:32:20.147567	240
35636	174431	48097	2013-08-04 18:32:20.153791	2013-08-04 18:32:20.153791	240
35637	174431	48077	2013-08-04 18:32:20.162572	2013-08-04 18:32:20.162572	240
35638	174431	48057	2013-08-04 18:32:20.17263	2013-08-04 18:32:20.17263	240
35639	174431	47955	2013-08-04 18:32:20.184933	2013-08-04 18:32:20.184933	240
35640	174431	48037	2013-08-04 18:32:20.195132	2013-08-04 18:32:20.195132	240
35641	174431	48017	2013-08-04 18:32:20.198852	2013-08-04 18:32:20.198852	240
35642	174431	47940	2013-08-04 18:32:20.202187	2013-08-04 18:32:20.202187	240
35643	174431	47997	2013-08-04 18:32:20.205886	2013-08-04 18:32:20.205886	240
35644	174431	47977	2013-08-04 18:32:20.209982	2013-08-04 18:32:20.209982	240
35645	174968	29859	2013-08-04 18:32:20.273137	2013-08-04 18:32:20.273137	240
35646	174968	29839	2013-08-04 18:32:20.285611	2013-08-04 18:32:20.285611	240
35647	174968	29803	2013-08-04 18:32:20.297097	2013-08-04 18:32:20.297097	240
35648	174968	29819	2013-08-04 18:32:20.308789	2013-08-04 18:32:20.308789	240
35649	174968	29799	2013-08-04 18:32:20.322186	2013-08-04 18:32:20.322186	240
35650	174968	29779	2013-08-04 18:32:20.329666	2013-08-04 18:32:20.329666	240
35651	174968	29759	2013-08-04 18:32:20.334076	2013-08-04 18:32:20.334076	240
35652	174968	29739	2013-08-04 18:32:20.338376	2013-08-04 18:32:20.338376	240
35653	174968	29719	2013-08-04 18:32:20.342671	2013-08-04 18:32:20.342671	240
35654	174968	29699	2013-08-04 18:32:20.347244	2013-08-04 18:32:20.347244	240
35655	174968	29806	2013-08-04 18:32:20.351317	2013-08-04 18:32:20.351317	240
35656	174968	29752	2013-08-04 18:32:20.354939	2013-08-04 18:32:20.354939	240
35657	174968	29679	2013-08-04 18:32:20.359357	2013-08-04 18:32:20.359357	240
35658	174968	29580	2013-08-04 18:32:20.364671	2013-08-04 18:32:20.364671	240
35659	174968	29659	2013-08-04 18:32:20.37094	2013-08-04 18:32:20.37094	240
35660	174968	29639	2013-08-04 18:32:20.378237	2013-08-04 18:32:20.378237	240
35661	174968	29619	2013-08-04 18:32:20.383665	2013-08-04 18:32:20.383665	240
35662	174968	29599	2013-08-04 18:32:20.391397	2013-08-04 18:32:20.391397	240
35663	174968	29579	2013-08-04 18:32:20.401789	2013-08-04 18:32:20.401789	240
35664	175693	33793	2013-08-04 18:32:20.871831	2013-08-04 18:32:20.871831	240
35665	175693	33773	2013-08-04 18:32:20.883612	2013-08-04 18:32:20.883612	240
35666	175693	2275	2013-08-04 18:32:20.894903	2013-08-04 18:32:20.894903	240
35667	175500	11079	2013-08-04 18:32:20.917722	2013-08-04 18:32:20.917722	240
35668	175500	33678	2013-08-04 18:32:20.929097	2013-08-04 18:32:20.929097	240
35669	175500	33753	2013-08-04 18:32:20.939764	2013-08-04 18:32:20.939764	240
35670	174797	33733	2013-08-04 18:32:20.962951	2013-08-04 18:32:20.962951	240
35671	174797	33713	2013-08-04 18:32:20.973414	2013-08-04 18:32:20.973414	240
35672	174797	33693	2013-08-04 18:32:20.983348	2013-08-04 18:32:20.983348	240
35673	174788	33673	2013-08-04 18:32:21.002474	2013-08-04 18:32:21.002474	240
35674	174788	33653	2013-08-04 18:32:21.011355	2013-08-04 18:32:21.011355	240
35675	174788	33633	2013-08-04 18:32:21.015207	2013-08-04 18:32:21.015207	240
35676	174646	33613	2013-08-04 18:32:21.029815	2013-08-04 18:32:21.029815	240
35677	174646	33615	2013-08-04 18:32:21.03426	2013-08-04 18:32:21.03426	240
35678	174646	16836	2013-08-04 18:32:21.038339	2013-08-04 18:32:21.038339	240
35679	174593	33593	2013-08-04 18:32:21.04972	2013-08-04 18:32:21.04972	240
35680	174593	33573	2013-08-04 18:32:21.056914	2013-08-04 18:32:21.056914	240
35681	174593	41735	2013-08-04 18:32:21.063623	2013-08-04 18:32:21.063623	240
35682	174822	12856	2013-08-04 18:32:21.094488	2013-08-04 18:32:21.094488	240
35683	174822	29321	2013-08-04 18:32:21.102766	2013-08-04 18:32:21.102766	240
35684	174822	19821	2013-08-04 18:32:21.111097	2013-08-04 18:32:21.111097	240
35685	174822	36603	2013-08-04 18:32:21.119279	2013-08-04 18:32:21.119279	240
35686	174822	34603	2013-08-04 18:32:21.127553	2013-08-04 18:32:21.127553	240
35687	174822	28450	2013-08-04 18:32:21.135771	2013-08-04 18:32:21.135771	240
35688	174822	17336	2013-08-04 18:32:21.143883	2013-08-04 18:32:21.143883	240
35689	174822	35623	2013-08-04 18:32:21.152078	2013-08-04 18:32:21.152078	240
35690	174822	19781	2013-08-04 18:32:21.16019	2013-08-04 18:32:21.16019	240
35691	174822	22353	2013-08-04 18:32:21.168387	2013-08-04 18:32:21.168387	240
35692	174822	17301	2013-08-04 18:32:21.176494	2013-08-04 18:32:21.176494	240
35693	174822	28100	2013-08-04 18:32:21.18459	2013-08-04 18:32:21.18459	240
35694	174822	19761	2013-08-04 18:32:21.192907	2013-08-04 18:32:21.192907	240
35695	174822	21253	2013-08-04 18:32:21.20097	2013-08-04 18:32:21.20097	240
35696	174822	21319	2013-08-04 18:32:21.209032	2013-08-04 18:32:21.209032	240
35697	174822	28386	2013-08-04 18:32:21.217108	2013-08-04 18:32:21.217108	240
35698	174822	3924	2013-08-04 18:32:21.224926	2013-08-04 18:32:21.224926	240
35699	174822	17153	2013-08-04 18:32:21.232627	2013-08-04 18:32:21.232627	240
35700	174822	3095	2013-08-04 18:32:21.240793	2013-08-04 18:32:21.240793	240
35701	174818	12856	2013-08-04 18:32:21.264615	2013-08-04 18:32:21.264615	240
35702	174818	29321	2013-08-04 18:32:21.272296	2013-08-04 18:32:21.272296	240
35703	174818	19821	2013-08-04 18:32:21.277787	2013-08-04 18:32:21.277787	240
35704	174818	36603	2013-08-04 18:32:21.284625	2013-08-04 18:32:21.284625	240
35705	174818	34603	2013-08-04 18:32:21.288374	2013-08-04 18:32:21.288374	240
35706	174818	28450	2013-08-04 18:32:21.29352	2013-08-04 18:32:21.29352	240
35707	174818	17336	2013-08-04 18:32:21.298448	2013-08-04 18:32:21.298448	240
35708	174818	35623	2013-08-04 18:32:21.301436	2013-08-04 18:32:21.301436	240
35709	174818	19781	2013-08-04 18:32:21.30442	2013-08-04 18:32:21.30442	240
35710	174818	22353	2013-08-04 18:32:21.307257	2013-08-04 18:32:21.307257	240
35711	174818	17301	2013-08-04 18:32:21.310548	2013-08-04 18:32:21.310548	240
35712	174818	28100	2013-08-04 18:32:21.313159	2013-08-04 18:32:21.313159	240
35713	174818	19761	2013-08-04 18:32:21.316014	2013-08-04 18:32:21.316014	240
35714	174818	21253	2013-08-04 18:32:21.318706	2013-08-04 18:32:21.318706	240
35715	174818	21319	2013-08-04 18:32:21.321446	2013-08-04 18:32:21.321446	240
35716	174818	28386	2013-08-04 18:32:21.325915	2013-08-04 18:32:21.325915	240
35717	174818	3924	2013-08-04 18:32:21.332376	2013-08-04 18:32:21.332376	240
35718	174818	17153	2013-08-04 18:32:21.340322	2013-08-04 18:32:21.340322	240
35719	174818	3095	2013-08-04 18:32:21.349057	2013-08-04 18:32:21.349057	240
35720	175670	48517	2013-08-04 18:32:21.421218	2013-08-04 18:32:21.421218	240
35721	175670	48497	2013-08-04 18:32:21.503725	2013-08-04 18:32:21.503725	240
35722	175670	48477	2013-08-04 18:32:21.515622	2013-08-04 18:32:21.515622	240
35723	175670	48457	2013-08-04 18:32:21.519026	2013-08-04 18:32:21.519026	240
35724	175670	48437	2013-08-04 18:32:21.522036	2013-08-04 18:32:21.522036	240
35725	175670	48461	2013-08-04 18:32:21.525163	2013-08-04 18:32:21.525163	240
35726	174739	48417	2013-08-04 18:32:21.534276	2013-08-04 18:32:21.534276	240
35727	174739	48512	2013-08-04 18:32:21.539726	2013-08-04 18:32:21.539726	240
35728	174739	48397	2013-08-04 18:32:21.54555	2013-08-04 18:32:21.54555	240
35729	174739	48498	2013-08-04 18:32:21.551429	2013-08-04 18:32:21.551429	240
35730	174739	48377	2013-08-04 18:32:21.558174	2013-08-04 18:32:21.558174	240
35731	174739	48357	2013-08-04 18:32:21.565232	2013-08-04 18:32:21.565232	240
35732	174471	48285	2013-08-04 18:32:21.58697	2013-08-04 18:32:21.58697	240
35733	174471	48337	2013-08-04 18:32:21.598191	2013-08-04 18:32:21.598191	240
35734	174471	48317	2013-08-04 18:32:21.608893	2013-08-04 18:32:21.608893	240
35735	174471	48297	2013-08-04 18:32:21.61959	2013-08-04 18:32:21.61959	240
35736	174471	48277	2013-08-04 18:32:21.630699	2013-08-04 18:32:21.630699	240
35737	174471	48257	2013-08-04 18:32:21.641651	2013-08-04 18:32:21.641651	240
35738	175163	30139	2013-08-04 18:32:21.690399	2013-08-04 18:32:21.690399	240
35739	175163	30119	2013-08-04 18:32:21.701895	2013-08-04 18:32:21.701895	240
35740	175163	30099	2013-08-04 18:32:21.71298	2013-08-04 18:32:21.71298	240
35741	175163	30079	2013-08-04 18:32:21.723946	2013-08-04 18:32:21.723946	240
35742	175163	30059	2013-08-04 18:32:21.734846	2013-08-04 18:32:21.734846	240
35743	175163	30039	2013-08-04 18:32:21.745944	2013-08-04 18:32:21.745944	240
35744	174799	30121	2013-08-04 18:32:21.771009	2013-08-04 18:32:21.771009	240
35745	174799	30019	2013-08-04 18:32:21.783802	2013-08-04 18:32:21.783802	240
35746	174799	29999	2013-08-04 18:32:21.792175	2013-08-04 18:32:21.792175	240
35747	174799	20679	2013-08-04 18:32:21.795708	2013-08-04 18:32:21.795708	240
35748	174799	29865	2013-08-04 18:32:21.799087	2013-08-04 18:32:21.799087	240
35749	174799	29979	2013-08-04 18:32:21.802743	2013-08-04 18:32:21.802743	240
35750	174455	29831	2013-08-04 18:32:21.810146	2013-08-04 18:32:21.810146	240
35751	174455	29959	2013-08-04 18:32:21.815054	2013-08-04 18:32:21.815054	240
35752	174455	29939	2013-08-04 18:32:21.819852	2013-08-04 18:32:21.819852	240
35753	174455	29919	2013-08-04 18:32:21.824437	2013-08-04 18:32:21.824437	240
35754	174455	29899	2013-08-04 18:32:21.829509	2013-08-04 18:32:21.829509	240
35755	174455	29879	2013-08-04 18:32:21.838255	2013-08-04 18:32:21.838255	240
35756	175747	32586	2013-08-04 18:37:38.742101	2013-08-04 18:37:38.742101	241
35757	175747	32566	2013-08-04 18:37:38.757852	2013-08-04 18:37:38.757852	241
35758	175747	32546	2013-08-04 18:37:38.769928	2013-08-04 18:37:38.769928	241
35759	175747	32510	2013-08-04 18:37:38.781789	2013-08-04 18:37:38.781789	241
35760	175747	32526	2013-08-04 18:37:38.794025	2013-08-04 18:37:38.794025	241
35761	175747	32506	2013-08-04 18:37:38.807484	2013-08-04 18:37:38.807484	241
35762	175747	34100	2013-08-04 18:37:38.812342	2013-08-04 18:37:38.812342	241
35763	175747	6132	2013-08-04 18:37:38.8171	2013-08-04 18:37:38.8171	241
35764	175747	32375	2013-08-04 18:37:38.821883	2013-08-04 18:37:38.821883	241
35765	175747	32486	2013-08-04 18:37:38.826946	2013-08-04 18:37:38.826946	241
35766	175747	32417	2013-08-04 18:37:38.831413	2013-08-04 18:37:38.831413	241
35767	175747	32466	2013-08-04 18:37:38.836557	2013-08-04 18:37:38.836557	241
35768	175747	32446	2013-08-04 18:37:38.843083	2013-08-04 18:37:38.843083	241
35769	175747	32426	2013-08-04 18:37:38.84801	2013-08-04 18:37:38.84801	241
35770	175747	32392	2013-08-04 18:37:38.852776	2013-08-04 18:37:38.852776	241
35771	175747	32406	2013-08-04 18:37:38.860637	2013-08-04 18:37:38.860637	241
35772	175747	32386	2013-08-04 18:37:38.87117	2013-08-04 18:37:38.87117	241
35773	175747	32366	2013-08-04 18:37:38.881065	2013-08-04 18:37:38.881065	241
35774	175747	29458	2013-08-04 18:37:38.892274	2013-08-04 18:37:38.892274	241
35775	175749	36308	2013-08-04 18:37:38.922785	2013-08-04 18:37:38.922785	241
35776	175749	36398	2013-08-04 18:37:38.934182	2013-08-04 18:37:38.934182	241
35777	175749	36288	2013-08-04 18:37:38.945158	2013-08-04 18:37:38.945158	241
35778	175749	36268	2013-08-04 18:37:38.955917	2013-08-04 18:37:38.955917	241
35779	175749	15839	2013-08-04 18:37:38.966475	2013-08-04 18:37:38.966475	241
35780	175749	36248	2013-08-04 18:37:39.032798	2013-08-04 18:37:39.032798	241
35781	175749	36228	2013-08-04 18:37:39.043076	2013-08-04 18:37:39.043076	241
35782	175749	36208	2013-08-04 18:37:39.048132	2013-08-04 18:37:39.048132	241
35783	175749	36188	2013-08-04 18:37:39.05293	2013-08-04 18:37:39.05293	241
35784	175749	36168	2013-08-04 18:37:39.057731	2013-08-04 18:37:39.057731	241
35785	175749	36121	2013-08-04 18:37:39.063343	2013-08-04 18:37:39.063343	241
35786	175749	36148	2013-08-04 18:37:39.068987	2013-08-04 18:37:39.068987	241
35787	175749	36128	2013-08-04 18:37:39.075768	2013-08-04 18:37:39.075768	241
35788	175749	36192	2013-08-04 18:37:39.08331	2013-08-04 18:37:39.08331	241
35789	175749	36032	2013-08-04 18:37:39.092803	2013-08-04 18:37:39.092803	241
35790	175749	33933	2013-08-04 18:37:39.100747	2013-08-04 18:37:39.100747	241
35791	175749	41735	2013-08-04 18:37:39.108721	2013-08-04 18:37:39.108721	241
35792	175749	33573	2013-08-04 18:37:39.117013	2013-08-04 18:37:39.117013	241
35793	175749	33593	2013-08-04 18:37:39.125493	2013-08-04 18:37:39.125493	241
35794	175758	33893	2013-08-04 18:37:39.259291	2013-08-04 18:37:39.259291	241
35795	176017	12856	2013-08-04 18:37:39.272571	2013-08-04 18:37:39.272571	241
35796	176017	29321	2013-08-04 18:37:39.275733	2013-08-04 18:37:39.275733	241
35797	176017	19821	2013-08-04 18:37:39.278849	2013-08-04 18:37:39.278849	241
35798	176017	36603	2013-08-04 18:37:39.281924	2013-08-04 18:37:39.281924	241
35799	176017	34603	2013-08-04 18:37:39.285307	2013-08-04 18:37:39.285307	241
35800	176017	28450	2013-08-04 18:37:39.288129	2013-08-04 18:37:39.288129	241
35801	176017	17336	2013-08-04 18:37:39.290774	2013-08-04 18:37:39.290774	241
35802	176017	35623	2013-08-04 18:37:39.29338	2013-08-04 18:37:39.29338	241
35803	176017	19781	2013-08-04 18:37:39.297006	2013-08-04 18:37:39.297006	241
35804	176017	22353	2013-08-04 18:37:39.303719	2013-08-04 18:37:39.303719	241
35805	176017	17301	2013-08-04 18:37:39.308491	2013-08-04 18:37:39.308491	241
35806	176017	28100	2013-08-04 18:37:39.314509	2013-08-04 18:37:39.314509	241
35807	176017	19761	2013-08-04 18:37:39.320322	2013-08-04 18:37:39.320322	241
35808	176017	21253	2013-08-04 18:37:39.324097	2013-08-04 18:37:39.324097	241
35809	176017	21319	2013-08-04 18:37:39.326731	2013-08-04 18:37:39.326731	241
35810	176017	28386	2013-08-04 18:37:39.331976	2013-08-04 18:37:39.331976	241
35811	176017	3924	2013-08-04 18:37:39.337213	2013-08-04 18:37:39.337213	241
35812	176017	17153	2013-08-04 18:37:39.342422	2013-08-04 18:37:39.342422	241
35813	176017	3095	2013-08-04 18:37:39.348939	2013-08-04 18:37:39.348939	241
35814	176019	12856	2013-08-04 18:37:39.378585	2013-08-04 18:37:39.378585	241
35815	176019	29321	2013-08-04 18:37:39.388073	2013-08-04 18:37:39.388073	241
35816	176019	19821	2013-08-04 18:37:39.396607	2013-08-04 18:37:39.396607	241
35817	176019	36603	2013-08-04 18:37:39.405046	2013-08-04 18:37:39.405046	241
35818	176019	34603	2013-08-04 18:37:39.416131	2013-08-04 18:37:39.416131	241
35819	176019	28450	2013-08-04 18:37:39.422002	2013-08-04 18:37:39.422002	241
35820	176019	17336	2013-08-04 18:37:39.425996	2013-08-04 18:37:39.425996	241
35821	176019	35623	2013-08-04 18:37:39.429797	2013-08-04 18:37:39.429797	241
35822	176019	19781	2013-08-04 18:37:39.433148	2013-08-04 18:37:39.433148	241
35823	176019	22353	2013-08-04 18:37:39.43743	2013-08-04 18:37:39.43743	241
35824	176019	17301	2013-08-04 18:37:39.441167	2013-08-04 18:37:39.441167	241
35825	176019	28100	2013-08-04 18:37:39.444363	2013-08-04 18:37:39.444363	241
35826	176019	19761	2013-08-04 18:37:39.447645	2013-08-04 18:37:39.447645	241
35827	176019	21253	2013-08-04 18:37:39.451059	2013-08-04 18:37:39.451059	241
35828	176019	21319	2013-08-04 18:37:39.453724	2013-08-04 18:37:39.453724	241
35829	176019	28386	2013-08-04 18:37:39.457938	2013-08-04 18:37:39.457938	241
35830	176019	3924	2013-08-04 18:37:39.463366	2013-08-04 18:37:39.463366	241
35831	176019	17153	2013-08-04 18:37:39.46774	2013-08-04 18:37:39.46774	241
35832	176019	3095	2013-08-04 18:37:39.475725	2013-08-04 18:37:39.475725	241
35833	176020	12856	2013-08-04 18:37:39.507189	2013-08-04 18:37:39.507189	241
35834	176020	29321	2013-08-04 18:37:39.515984	2013-08-04 18:37:39.515984	241
35835	176020	19821	2013-08-04 18:37:39.52438	2013-08-04 18:37:39.52438	241
35836	176020	36603	2013-08-04 18:37:39.532859	2013-08-04 18:37:39.532859	241
35837	176020	34603	2013-08-04 18:37:39.541668	2013-08-04 18:37:39.541668	241
35838	176020	28450	2013-08-04 18:37:39.55046	2013-08-04 18:37:39.55046	241
35839	176020	17336	2013-08-04 18:37:39.558736	2013-08-04 18:37:39.558736	241
35840	176020	35623	2013-08-04 18:37:39.566971	2013-08-04 18:37:39.566971	241
35841	176020	19781	2013-08-04 18:37:39.575271	2013-08-04 18:37:39.575271	241
35842	176020	22353	2013-08-04 18:37:39.583424	2013-08-04 18:37:39.583424	241
35843	176020	17301	2013-08-04 18:37:39.59155	2013-08-04 18:37:39.59155	241
35844	176020	28100	2013-08-04 18:37:39.599475	2013-08-04 18:37:39.599475	241
35845	176020	19761	2013-08-04 18:37:39.607744	2013-08-04 18:37:39.607744	241
35846	176020	21253	2013-08-04 18:37:39.627273	2013-08-04 18:37:39.627273	241
35847	176020	21319	2013-08-04 18:37:39.636901	2013-08-04 18:37:39.636901	241
35848	176020	28386	2013-08-04 18:37:39.645559	2013-08-04 18:37:39.645559	241
35849	176020	3924	2013-08-04 18:37:39.654014	2013-08-04 18:37:39.654014	241
35850	176020	17153	2013-08-04 18:37:39.662515	2013-08-04 18:37:39.662515	241
35851	176020	3095	2013-08-04 18:37:39.671203	2013-08-04 18:37:39.671203	241
35852	176439	2108	2013-08-04 18:37:39.97933	2013-08-04 18:37:39.97933	241
35853	176439	2080	2013-08-04 18:37:39.985907	2013-08-04 18:37:39.985907	241
35854	176439	2121	2013-08-04 18:37:39.993471	2013-08-04 18:37:39.993471	241
35855	176439	16646	2013-08-04 18:37:40.002821	2013-08-04 18:37:40.002821	241
35856	176439	38823	2013-08-04 18:37:40.013962	2013-08-04 18:37:40.013962	241
35857	176439	25131	2013-08-04 18:37:40.025968	2013-08-04 18:37:40.025968	241
35858	176439	9938	2013-08-04 18:37:40.038725	2013-08-04 18:37:40.038725	241
35859	176439	25151	2013-08-04 18:37:40.050689	2013-08-04 18:37:40.050689	241
35860	176439	25158	2013-08-04 18:37:40.061777	2013-08-04 18:37:40.061777	241
35861	176439	25125	2013-08-04 18:37:40.073052	2013-08-04 18:37:40.073052	241
35862	176439	25171	2013-08-04 18:37:40.084334	2013-08-04 18:37:40.084334	241
35863	176439	25191	2013-08-04 18:37:40.095556	2013-08-04 18:37:40.095556	241
35864	176439	25250	2013-08-04 18:37:40.107343	2013-08-04 18:37:40.107343	241
35865	176439	17176	2013-08-04 18:37:40.11588	2013-08-04 18:37:40.11588	241
35866	176439	21321	2013-08-04 18:37:40.119585	2013-08-04 18:37:40.119585	241
35867	176439	21081	2013-08-04 18:37:40.122874	2013-08-04 18:37:40.122874	241
35868	176439	2178	2013-08-04 18:37:40.126256	2013-08-04 18:37:40.126256	241
35869	176439	2046	2013-08-04 18:37:40.129726	2013-08-04 18:37:40.129726	241
35870	176439	19881	2013-08-04 18:37:40.133648	2013-08-04 18:37:40.133648	241
35871	175771	32766	2013-08-04 18:37:40.182742	2013-08-04 18:37:40.182742	241
35872	175771	32680	2013-08-04 18:37:40.194836	2013-08-04 18:37:40.194836	241
35873	175771	32765	2013-08-04 18:37:40.205683	2013-08-04 18:37:40.205683	241
35874	175771	17076	2013-08-04 18:37:40.21706	2013-08-04 18:37:40.21706	241
35875	175771	32746	2013-08-04 18:37:40.229501	2013-08-04 18:37:40.229501	241
35876	175771	32726	2013-08-04 18:37:40.239731	2013-08-04 18:37:40.239731	241
35877	175771	32672	2013-08-04 18:37:40.244447	2013-08-04 18:37:40.244447	241
35878	175771	32706	2013-08-04 18:37:40.249083	2013-08-04 18:37:40.249083	241
35879	175771	32715	2013-08-04 18:37:40.253715	2013-08-04 18:37:40.253715	241
35880	175771	32686	2013-08-04 18:37:40.25774	2013-08-04 18:37:40.25774	241
35881	175771	32695	2013-08-04 18:37:40.261984	2013-08-04 18:37:40.261984	241
35882	175771	32670	2013-08-04 18:37:40.266204	2013-08-04 18:37:40.266204	241
35883	175771	32666	2013-08-04 18:37:40.27025	2013-08-04 18:37:40.27025	241
35884	175771	16945	2013-08-04 18:37:40.274397	2013-08-04 18:37:40.274397	241
35885	175771	32637	2013-08-04 18:37:40.27861	2013-08-04 18:37:40.27861	241
35886	175771	32517	2013-08-04 18:37:40.282989	2013-08-04 18:37:40.282989	241
35887	175771	32646	2013-08-04 18:37:40.286982	2013-08-04 18:37:40.286982	241
35888	175771	32626	2013-08-04 18:37:40.349025	2013-08-04 18:37:40.349025	241
35889	175771	32606	2013-08-04 18:37:40.354422	2013-08-04 18:37:40.354422	241
35890	176132	7187	2013-08-04 18:37:40.366712	2013-08-04 18:37:40.366712	241
35891	176132	7167	2013-08-04 18:37:40.370783	2013-08-04 18:37:40.370783	241
35892	176132	7128	2013-08-04 18:37:40.374648	2013-08-04 18:37:40.374648	241
35893	176132	7147	2013-08-04 18:37:40.378373	2013-08-04 18:37:40.378373	241
35894	176132	7209	2013-08-04 18:37:40.382343	2013-08-04 18:37:40.382343	241
35895	176132	3684	2013-08-04 18:37:40.387066	2013-08-04 18:37:40.387066	241
35896	176132	13031	2013-08-04 18:37:40.392467	2013-08-04 18:37:40.392467	241
35897	176132	7127	2013-08-04 18:37:40.3997	2013-08-04 18:37:40.3997	241
35898	176132	7107	2013-08-04 18:37:40.407625	2013-08-04 18:37:40.407625	241
35899	176132	7087	2013-08-04 18:37:40.412943	2013-08-04 18:37:40.412943	241
35900	176132	1956	2013-08-04 18:37:40.418077	2013-08-04 18:37:40.418077	241
35901	176132	7121	2013-08-04 18:37:40.422118	2013-08-04 18:37:40.422118	241
35902	176132	1936	2013-08-04 18:37:40.425964	2013-08-04 18:37:40.425964	241
35903	176132	7067	2013-08-04 18:37:40.430236	2013-08-04 18:37:40.430236	241
35904	176132	7001	2013-08-04 18:37:40.436106	2013-08-04 18:37:40.436106	241
35905	176132	6978	2013-08-04 18:37:40.442317	2013-08-04 18:37:40.442317	241
35906	176132	6940	2013-08-04 18:37:40.448511	2013-08-04 18:37:40.448511	241
35907	176132	6960	2013-08-04 18:37:40.455463	2013-08-04 18:37:40.455463	241
35908	176132	6980	2013-08-04 18:37:40.461528	2013-08-04 18:37:40.461528	241
35909	176138	36528	2013-08-04 18:37:40.479471	2013-08-04 18:37:40.479471	241
35910	176138	36508	2013-08-04 18:37:40.484664	2013-08-04 18:37:40.484664	241
35911	176138	36488	2013-08-04 18:37:40.489375	2013-08-04 18:37:40.489375	241
35912	176138	3460	2013-08-04 18:37:40.493666	2013-08-04 18:37:40.493666	241
35913	176138	3587	2013-08-04 18:37:40.499242	2013-08-04 18:37:40.499242	241
35914	176138	36468	2013-08-04 18:37:40.503595	2013-08-04 18:37:40.503595	241
35915	176138	3607	2013-08-04 18:37:40.50793	2013-08-04 18:37:40.50793	241
35916	176138	3570	2013-08-04 18:37:40.512316	2013-08-04 18:37:40.512316	241
35917	176138	36448	2013-08-04 18:37:40.518504	2013-08-04 18:37:40.518504	241
35918	176138	36428	2013-08-04 18:37:40.526864	2013-08-04 18:37:40.526864	241
35919	176138	18066	2013-08-04 18:37:40.535207	2013-08-04 18:37:40.535207	241
35920	176138	36370	2013-08-04 18:37:40.540019	2013-08-04 18:37:40.540019	241
35921	176138	36408	2013-08-04 18:37:40.543501	2013-08-04 18:37:40.543501	241
35922	176138	36388	2013-08-04 18:37:40.546971	2013-08-04 18:37:40.546971	241
35923	176138	36320	2013-08-04 18:37:40.550237	2013-08-04 18:37:40.550237	241
35924	176138	36368	2013-08-04 18:37:40.553398	2013-08-04 18:37:40.553398	241
35925	176138	36348	2013-08-04 18:37:40.557569	2013-08-04 18:37:40.557569	241
35926	176138	36328	2013-08-04 18:37:40.562097	2013-08-04 18:37:40.562097	241
35927	176138	36412	2013-08-04 18:37:40.566907	2013-08-04 18:37:40.566907	241
35928	176442	15057	2013-08-04 18:37:40.591634	2013-08-04 18:37:40.591634	241
35929	176442	15029	2013-08-04 18:37:40.603112	2013-08-04 18:37:40.603112	241
35930	176442	15013	2013-08-04 18:37:40.615051	2013-08-04 18:37:40.615051	241
35931	176442	15009	2013-08-04 18:37:40.627052	2013-08-04 18:37:40.627052	241
35932	176442	14919	2013-08-04 18:37:40.638742	2013-08-04 18:37:40.638742	241
35933	176442	14989	2013-08-04 18:37:40.649484	2013-08-04 18:37:40.649484	241
35934	176442	15020	2013-08-04 18:37:40.660889	2013-08-04 18:37:40.660889	241
35935	176442	40023	2013-08-04 18:37:40.672932	2013-08-04 18:37:40.672932	241
35936	176442	14969	2013-08-04 18:37:40.68485	2013-08-04 18:37:40.68485	241
35937	175932	17476	2013-08-04 18:37:40.707302	2013-08-04 18:37:40.707302	241
35938	175932	14949	2013-08-04 18:37:40.71142	2013-08-04 18:37:40.71142	241
35939	175932	14929	2013-08-04 18:37:40.71634	2013-08-04 18:37:40.71634	241
35940	175932	14890	2013-08-04 18:37:40.720836	2013-08-04 18:37:40.720836	241
35941	175932	14860	2013-08-04 18:37:40.72507	2013-08-04 18:37:40.72507	241
35942	175932	14892	2013-08-04 18:37:40.733705	2013-08-04 18:37:40.733705	241
35943	175932	14817	2013-08-04 18:37:40.743013	2013-08-04 18:37:40.743013	241
35944	175932	14909	2013-08-04 18:37:40.75404	2013-08-04 18:37:40.75404	241
35945	175932	14889	2013-08-04 18:37:40.765384	2013-08-04 18:37:40.765384	241
35946	175787	30992	2013-08-04 18:37:40.817258	2013-08-04 18:37:40.817258	241
35947	175787	30991	2013-08-04 18:37:40.82335	2013-08-04 18:37:40.82335	241
35948	175787	30971	2013-08-04 18:37:40.831516	2013-08-04 18:37:40.831516	241
35949	175787	31061	2013-08-04 18:37:40.842095	2013-08-04 18:37:40.842095	241
35950	175787	31085	2013-08-04 18:37:40.85305	2013-08-04 18:37:40.85305	241
35951	175787	30951	2013-08-04 18:37:40.863919	2013-08-04 18:37:40.863919	241
35952	175787	30931	2013-08-04 18:37:40.874679	2013-08-04 18:37:40.874679	241
35953	175787	17190	2013-08-04 18:37:40.885884	2013-08-04 18:37:40.885884	241
35954	175787	30911	2013-08-04 18:37:40.897254	2013-08-04 18:37:40.897254	241
35955	175787	30790	2013-08-04 18:37:40.903295	2013-08-04 18:37:40.903295	241
35956	175787	30877	2013-08-04 18:37:40.908033	2013-08-04 18:37:40.908033	241
35957	175787	30891	2013-08-04 18:37:40.912539	2013-08-04 18:37:40.912539	241
35958	175787	30801	2013-08-04 18:37:40.916605	2013-08-04 18:37:40.916605	241
35959	175787	30871	2013-08-04 18:37:40.920644	2013-08-04 18:37:40.920644	241
35960	175787	5664	2013-08-04 18:37:40.925639	2013-08-04 18:37:40.925639	241
35961	175787	10879	2013-08-04 18:37:40.931148	2013-08-04 18:37:40.931148	241
35962	175787	30851	2013-08-04 18:37:40.935431	2013-08-04 18:37:40.935431	241
35963	175787	30892	2013-08-04 18:37:40.940018	2013-08-04 18:37:40.940018	241
35964	175787	30831	2013-08-04 18:37:40.944428	2013-08-04 18:37:40.944428	241
35965	176590	29321	2013-08-04 18:37:40.968211	2013-08-04 18:37:40.968211	241
35966	176590	19821	2013-08-04 18:37:40.97234	2013-08-04 18:37:40.97234	241
35967	176590	36603	2013-08-04 18:37:40.976503	2013-08-04 18:37:40.976503	241
35968	176590	34603	2013-08-04 18:37:40.980755	2013-08-04 18:37:40.980755	241
35969	176590	28450	2013-08-04 18:37:40.98594	2013-08-04 18:37:40.98594	241
35970	176590	17336	2013-08-04 18:37:40.993325	2013-08-04 18:37:40.993325	241
35971	176590	35623	2013-08-04 18:37:41.001079	2013-08-04 18:37:41.001079	241
35972	176590	19781	2013-08-04 18:37:41.007485	2013-08-04 18:37:41.007485	241
35973	176590	22353	2013-08-04 18:37:41.01117	2013-08-04 18:37:41.01117	241
35974	176021	17301	2013-08-04 18:37:41.019251	2013-08-04 18:37:41.019251	241
35975	176021	28100	2013-08-04 18:37:41.022805	2013-08-04 18:37:41.022805	241
35976	176021	19761	2013-08-04 18:37:41.02619	2013-08-04 18:37:41.02619	241
35977	176021	21253	2013-08-04 18:37:41.02961	2013-08-04 18:37:41.02961	241
35978	176021	21319	2013-08-04 18:37:41.033271	2013-08-04 18:37:41.033271	241
35979	176021	28386	2013-08-04 18:37:41.037061	2013-08-04 18:37:41.037061	241
35980	176021	3924	2013-08-04 18:37:41.041447	2013-08-04 18:37:41.041447	241
35981	176021	17153	2013-08-04 18:37:41.044935	2013-08-04 18:37:41.044935	241
35982	176021	3095	2013-08-04 18:37:41.048178	2013-08-04 18:37:41.048178	241
35983	176415	22591	2013-08-04 18:37:41.084211	2013-08-04 18:37:41.084211	241
35984	176415	22596	2013-08-04 18:37:41.088185	2013-08-04 18:37:41.088185	241
35985	176415	22498	2013-08-04 18:37:41.092038	2013-08-04 18:37:41.092038	241
35986	176415	22576	2013-08-04 18:37:41.095854	2013-08-04 18:37:41.095854	241
35987	176415	18688	2013-08-04 18:37:41.099793	2013-08-04 18:37:41.099793	241
35988	176415	22556	2013-08-04 18:37:41.104565	2013-08-04 18:37:41.104565	241
35989	176415	3208	2013-08-04 18:37:41.110424	2013-08-04 18:37:41.110424	241
35990	176415	22536	2013-08-04 18:37:41.116081	2013-08-04 18:37:41.116081	241
35991	176415	22606	2013-08-04 18:37:41.120502	2013-08-04 18:37:41.120502	241
35992	176137	22516	2013-08-04 18:37:41.12966	2013-08-04 18:37:41.12966	241
35993	176137	22496	2013-08-04 18:37:41.133633	2013-08-04 18:37:41.133633	241
35994	176137	22476	2013-08-04 18:37:41.138533	2013-08-04 18:37:41.138533	241
35995	176137	22456	2013-08-04 18:37:41.143341	2013-08-04 18:37:41.143341	241
35996	176137	22605	2013-08-04 18:37:41.150894	2013-08-04 18:37:41.150894	241
35997	176137	22395	2013-08-04 18:37:41.154869	2013-08-04 18:37:41.154869	241
35998	176137	22423	2013-08-04 18:37:41.15976	2013-08-04 18:37:41.15976	241
35999	176137	22436	2013-08-04 18:37:41.166253	2013-08-04 18:37:41.166253	241
36000	176137	13551	2013-08-04 18:37:41.171204	2013-08-04 18:37:41.171204	241
36001	175779	48837	2013-08-04 18:37:41.191229	2013-08-04 18:37:41.191229	241
36002	175779	48703	2013-08-04 18:37:41.195893	2013-08-04 18:37:41.195893	241
36003	175779	48817	2013-08-04 18:37:41.201501	2013-08-04 18:37:41.201501	241
36004	175779	48797	2013-08-04 18:37:41.20554	2013-08-04 18:37:41.20554	241
36005	175779	48741	2013-08-04 18:37:41.209666	2013-08-04 18:37:41.209666	241
36006	175779	48777	2013-08-04 18:37:41.216559	2013-08-04 18:37:41.216559	241
36007	175779	48757	2013-08-04 18:37:41.224306	2013-08-04 18:37:41.224306	241
36008	175779	48737	2013-08-04 18:37:41.235303	2013-08-04 18:37:41.235303	241
36009	175779	48717	2013-08-04 18:37:41.247122	2013-08-04 18:37:41.247122	241
36010	175779	48697	2013-08-04 18:37:41.255959	2013-08-04 18:37:41.255959	241
36011	175779	48677	2013-08-04 18:37:41.261206	2013-08-04 18:37:41.261206	241
36012	175779	48650	2013-08-04 18:37:41.268049	2013-08-04 18:37:41.268049	241
36013	175779	48657	2013-08-04 18:37:41.273835	2013-08-04 18:37:41.273835	241
36014	175779	48637	2013-08-04 18:37:41.279381	2013-08-04 18:37:41.279381	241
36015	175779	48617	2013-08-04 18:37:41.286056	2013-08-04 18:37:41.286056	241
36016	175779	48597	2013-08-04 18:37:41.29324	2013-08-04 18:37:41.29324	241
36017	175779	48577	2013-08-04 18:37:41.302135	2013-08-04 18:37:41.302135	241
36018	175779	48557	2013-08-04 18:37:41.309786	2013-08-04 18:37:41.309786	241
36019	175779	33830	2013-08-04 18:37:41.318369	2013-08-04 18:37:41.318369	241
36020	176136	30446	2013-08-04 18:37:41.384848	2013-08-04 18:37:41.384848	241
36021	176136	30379	2013-08-04 18:37:41.394341	2013-08-04 18:37:41.394341	241
36022	176136	30359	2013-08-04 18:37:41.463735	2013-08-04 18:37:41.463735	241
36023	176136	30452	2013-08-04 18:37:41.46894	2013-08-04 18:37:41.46894	241
36024	176136	30339	2013-08-04 18:37:41.474188	2013-08-04 18:37:41.474188	241
36025	176136	30315	2013-08-04 18:37:41.479877	2013-08-04 18:37:41.479877	241
36026	176136	30319	2013-08-04 18:37:41.485748	2013-08-04 18:37:41.485748	241
36027	176136	30165	2013-08-04 18:37:41.494733	2013-08-04 18:37:41.494733	241
36028	176136	30299	2013-08-04 18:37:41.507731	2013-08-04 18:37:41.507731	241
36029	175754	27041	2013-08-04 18:37:41.518994	2013-08-04 18:37:41.518994	241
36030	175754	30279	2013-08-04 18:37:41.524143	2013-08-04 18:37:41.524143	241
36031	175754	30259	2013-08-04 18:37:41.52851	2013-08-04 18:37:41.52851	241
36032	175754	30239	2013-08-04 18:37:41.533026	2013-08-04 18:37:41.533026	241
36033	175754	30219	2013-08-04 18:37:41.537617	2013-08-04 18:37:41.537617	241
36034	175754	38230	2013-08-04 18:37:41.541196	2013-08-04 18:37:41.541196	241
36035	175754	30199	2013-08-04 18:37:41.545688	2013-08-04 18:37:41.545688	241
36036	175754	30175	2013-08-04 18:37:41.550697	2013-08-04 18:37:41.550697	241
36037	175754	30179	2013-08-04 18:37:41.556148	2013-08-04 18:37:41.556148	241
36038	176219	34273	2013-08-04 18:37:42.0301	2013-08-04 18:37:42.0301	241
36039	176219	34253	2013-08-04 18:37:42.041087	2013-08-04 18:37:42.041087	241
36040	176219	34261	2013-08-04 18:37:42.051456	2013-08-04 18:37:42.051456	241
36041	176151	34233	2013-08-04 18:37:42.073953	2013-08-04 18:37:42.073953	241
36042	176151	34213	2013-08-04 18:37:42.085231	2013-08-04 18:37:42.085231	241
36043	176151	34193	2013-08-04 18:37:42.096124	2013-08-04 18:37:42.096124	241
36044	176097	34145	2013-08-04 18:37:42.119593	2013-08-04 18:37:42.119593	241
36045	176097	34173	2013-08-04 18:37:42.131308	2013-08-04 18:37:42.131308	241
36046	176097	6361	2013-08-04 18:37:42.142631	2013-08-04 18:37:42.142631	241
36047	175927	34153	2013-08-04 18:37:42.164993	2013-08-04 18:37:42.164993	241
36048	175927	34092	2013-08-04 18:37:42.175913	2013-08-04 18:37:42.175913	241
36049	175927	34130	2013-08-04 18:37:42.186867	2013-08-04 18:37:42.186867	241
36050	175864	34133	2013-08-04 18:37:42.209203	2013-08-04 18:37:42.209203	241
36051	175864	34210	2013-08-04 18:37:42.219392	2013-08-04 18:37:42.219392	241
36052	175864	34140	2013-08-04 18:37:42.229943	2013-08-04 18:37:42.229943	241
36053	175796	34113	2013-08-04 18:37:42.25224	2013-08-04 18:37:42.25224	241
36054	175796	34093	2013-08-04 18:37:42.263387	2013-08-04 18:37:42.263387	241
36055	175796	34073	2013-08-04 18:37:42.274572	2013-08-04 18:37:42.274572	241
36056	176022	7789	2013-08-04 18:37:42.30758	2013-08-04 18:37:42.30758	241
36057	176022	16543	2013-08-04 18:37:42.316331	2013-08-04 18:37:42.316331	241
36058	176022	2849	2013-08-04 18:37:42.325763	2013-08-04 18:37:42.325763	241
36059	176022	36343	2013-08-04 18:37:42.336734	2013-08-04 18:37:42.336734	241
36060	176022	15506	2013-08-04 18:37:42.345599	2013-08-04 18:37:42.345599	241
36061	176022	47783	2013-08-04 18:37:42.349258	2013-08-04 18:37:42.349258	241
36062	176022	40950	2013-08-04 18:37:42.351846	2013-08-04 18:37:42.351846	241
36063	176022	22706	2013-08-04 18:37:42.354406	2013-08-04 18:37:42.354406	241
36064	176022	41321	2013-08-04 18:37:42.356738	2013-08-04 18:37:42.356738	241
36065	176022	12716	2013-08-04 18:37:42.359062	2013-08-04 18:37:42.359062	241
36066	176022	17301	2013-08-04 18:37:42.361334	2013-08-04 18:37:42.361334	241
36067	176022	28100	2013-08-04 18:37:42.363972	2013-08-04 18:37:42.363972	241
36068	176022	19761	2013-08-04 18:37:42.367832	2013-08-04 18:37:42.367832	241
36069	176022	21253	2013-08-04 18:37:42.371358	2013-08-04 18:37:42.371358	241
36070	176022	21319	2013-08-04 18:37:42.378466	2013-08-04 18:37:42.378466	241
36071	176022	28386	2013-08-04 18:37:42.386187	2013-08-04 18:37:42.386187	241
36072	176022	3924	2013-08-04 18:37:42.394409	2013-08-04 18:37:42.394409	241
36073	176022	17153	2013-08-04 18:37:42.402585	2013-08-04 18:37:42.402585	241
36074	176022	3095	2013-08-04 18:37:42.410537	2013-08-04 18:37:42.410537	241
36075	176018	7789	2013-08-04 18:37:42.441117	2013-08-04 18:37:42.441117	241
36076	176018	16543	2013-08-04 18:37:42.449405	2013-08-04 18:37:42.449405	241
36077	176018	2849	2013-08-04 18:37:42.457723	2013-08-04 18:37:42.457723	241
36078	176018	36343	2013-08-04 18:37:42.465881	2013-08-04 18:37:42.465881	241
36079	176018	15506	2013-08-04 18:37:42.474064	2013-08-04 18:37:42.474064	241
36080	176018	47783	2013-08-04 18:37:42.482454	2013-08-04 18:37:42.482454	241
36081	176018	40950	2013-08-04 18:37:42.490586	2013-08-04 18:37:42.490586	241
36082	176018	22706	2013-08-04 18:37:42.499355	2013-08-04 18:37:42.499355	241
36083	176018	41321	2013-08-04 18:37:42.508732	2013-08-04 18:37:42.508732	241
36084	176018	12716	2013-08-04 18:37:42.517642	2013-08-04 18:37:42.517642	241
36085	176018	17301	2013-08-04 18:37:42.525964	2013-08-04 18:37:42.525964	241
36086	176018	28100	2013-08-04 18:37:42.533801	2013-08-04 18:37:42.533801	241
36087	176018	19761	2013-08-04 18:37:42.539828	2013-08-04 18:37:42.539828	241
36088	176018	21253	2013-08-04 18:37:42.545021	2013-08-04 18:37:42.545021	241
36089	176018	21319	2013-08-04 18:37:42.548553	2013-08-04 18:37:42.548553	241
36090	176018	28386	2013-08-04 18:37:42.55171	2013-08-04 18:37:42.55171	241
36091	176018	3924	2013-08-04 18:37:42.554659	2013-08-04 18:37:42.554659	241
36092	176018	17153	2013-08-04 18:37:42.557565	2013-08-04 18:37:42.557565	241
36093	176018	3095	2013-08-04 18:37:42.56058	2013-08-04 18:37:42.56058	241
36094	175903	49072	2013-08-04 18:37:42.621989	2013-08-04 18:37:42.621989	241
36095	175903	49117	2013-08-04 18:37:42.626564	2013-08-04 18:37:42.626564	241
36096	175903	49097	2013-08-04 18:37:42.631236	2013-08-04 18:37:42.631236	241
36097	175903	49077	2013-08-04 18:37:42.636316	2013-08-04 18:37:42.636316	241
36098	175903	49057	2013-08-04 18:37:42.641822	2013-08-04 18:37:42.641822	241
36099	175903	49037	2013-08-04 18:37:42.648872	2013-08-04 18:37:42.648872	241
36100	175794	49017	2013-08-04 18:37:42.660535	2013-08-04 18:37:42.660535	241
36101	175794	48997	2013-08-04 18:37:42.665334	2013-08-04 18:37:42.665334	241
36102	175794	48977	2013-08-04 18:37:42.670616	2013-08-04 18:37:42.670616	241
36103	175794	48957	2013-08-04 18:37:42.674876	2013-08-04 18:37:42.674876	241
36104	175794	48937	2013-08-04 18:37:42.679832	2013-08-04 18:37:42.679832	241
36105	175794	48840	2013-08-04 18:37:42.684228	2013-08-04 18:37:42.684228	241
36106	175769	48981	2013-08-04 18:37:42.695043	2013-08-04 18:37:42.695043	241
36107	175769	48917	2013-08-04 18:37:42.782168	2013-08-04 18:37:42.782168	241
36108	175769	48897	2013-08-04 18:37:42.793908	2013-08-04 18:37:42.793908	241
36109	175769	48877	2013-08-04 18:37:42.805477	2013-08-04 18:37:42.805477	241
36110	175769	48918	2013-08-04 18:37:42.816452	2013-08-04 18:37:42.816452	241
36111	175769	48857	2013-08-04 18:37:42.821405	2013-08-04 18:37:42.821405	241
36112	176213	30579	2013-08-04 18:37:42.844346	2013-08-04 18:37:42.844346	241
36113	176213	15571	2013-08-04 18:37:42.850162	2013-08-04 18:37:42.850162	241
36114	176213	15591	2013-08-04 18:37:42.855763	2013-08-04 18:37:42.855763	241
36115	176213	30559	2013-08-04 18:37:42.861939	2013-08-04 18:37:42.861939	241
36116	176100	30539	2013-08-04 18:37:42.869066	2013-08-04 18:37:42.869066	241
36117	176100	30519	2013-08-04 18:37:42.872464	2013-08-04 18:37:42.872464	241
36118	176100	30499	2013-08-04 18:37:42.877929	2013-08-04 18:37:42.877929	241
36119	176100	30470	2013-08-04 18:37:42.889537	2013-08-04 18:37:42.889537	241
36120	175852	21201	2013-08-04 18:37:42.91174	2013-08-04 18:37:42.91174	241
36121	175852	30479	2013-08-04 18:37:42.923424	2013-08-04 18:37:42.923424	241
36122	175852	30459	2013-08-04 18:37:42.934724	2013-08-04 18:37:42.934724	241
36123	175852	30365	2013-08-04 18:37:42.946519	2013-08-04 18:37:42.946519	241
36124	175776	30458	2013-08-04 18:37:42.970988	2013-08-04 18:37:42.970988	241
36125	175776	30340	2013-08-04 18:37:42.978986	2013-08-04 18:37:42.978986	241
36126	175776	30439	2013-08-04 18:37:42.983804	2013-08-04 18:37:42.983804	241
36127	175776	30419	2013-08-04 18:37:42.98959	2013-08-04 18:37:42.98959	241
36128	176736	36590	2013-08-04 18:42:32.502502	2013-08-04 18:42:32.502502	242
36129	176736	31151	2013-08-04 18:42:32.514723	2013-08-04 18:42:32.514723	242
36130	176737	32986	2013-08-04 18:42:32.740601	2013-08-04 18:42:32.740601	242
36131	176737	32966	2013-08-04 18:42:32.744847	2013-08-04 18:42:32.744847	242
36132	176737	15357	2013-08-04 18:42:32.748764	2013-08-04 18:42:32.748764	242
36133	176737	32946	2013-08-04 18:42:32.755914	2013-08-04 18:42:32.755914	242
36134	176737	32926	2013-08-04 18:42:32.761987	2013-08-04 18:42:32.761987	242
36135	176737	17013	2013-08-04 18:42:32.773044	2013-08-04 18:42:32.773044	242
36136	176737	32906	2013-08-04 18:42:32.784489	2013-08-04 18:42:32.784489	242
36137	176737	32886	2013-08-04 18:42:32.795433	2013-08-04 18:42:32.795433	242
36138	176737	32850	2013-08-04 18:42:32.8058	2013-08-04 18:42:32.8058	242
36139	176737	32866	2013-08-04 18:42:32.81409	2013-08-04 18:42:32.81409	242
36140	176737	32870	2013-08-04 18:42:32.820569	2013-08-04 18:42:32.820569	242
36141	176737	32846	2013-08-04 18:42:32.824965	2013-08-04 18:42:32.824965	242
36142	176737	32833	2013-08-04 18:42:32.831537	2013-08-04 18:42:32.831537	242
36143	176737	32826	2013-08-04 18:42:32.840549	2013-08-04 18:42:32.840549	242
36144	176737	32798	2013-08-04 18:42:32.848045	2013-08-04 18:42:32.848045	242
36145	176737	32806	2013-08-04 18:42:32.857095	2013-08-04 18:42:32.857095	242
36146	176737	32752	2013-08-04 18:42:32.864446	2013-08-04 18:42:32.864446	242
36147	176737	32786	2013-08-04 18:42:32.871514	2013-08-04 18:42:32.871514	242
36148	176737	31115	2013-08-04 18:42:32.876232	2013-08-04 18:42:32.876232	242
36149	177773	7267	2013-08-04 18:42:32.902197	2013-08-04 18:42:32.902197	242
36150	177773	10588	2013-08-04 18:42:32.910637	2013-08-04 18:42:32.910637	242
36151	177773	4059	2013-08-04 18:42:32.918641	2013-08-04 18:42:32.918641	242
36152	177773	11831	2013-08-04 18:42:32.926358	2013-08-04 18:42:32.926358	242
36153	177773	9560	2013-08-04 18:42:32.935781	2013-08-04 18:42:32.935781	242
36154	177773	10358	2013-08-04 18:42:32.941341	2013-08-04 18:42:32.941341	242
36155	177773	7247	2013-08-04 18:42:32.945762	2013-08-04 18:42:32.945762	242
36156	177773	2004	2013-08-04 18:42:32.949937	2013-08-04 18:42:32.949937	242
36157	177773	16468	2013-08-04 18:42:32.954142	2013-08-04 18:42:32.954142	242
36158	177773	7241	2013-08-04 18:42:32.958192	2013-08-04 18:42:32.958192	242
36159	177773	7227	2013-08-04 18:42:32.963198	2013-08-04 18:42:32.963198	242
36160	177773	9391	2013-08-04 18:42:32.967999	2013-08-04 18:42:32.967999	242
36161	177773	7198	2013-08-04 18:42:32.972215	2013-08-04 18:42:32.972215	242
36162	177773	7218	2013-08-04 18:42:32.976694	2013-08-04 18:42:32.976694	242
36163	177773	7157	2013-08-04 18:42:32.981396	2013-08-04 18:42:32.981396	242
36164	177773	7135	2013-08-04 18:42:32.986419	2013-08-04 18:42:32.986419	242
36165	177773	7155	2013-08-04 18:42:32.991018	2013-08-04 18:42:32.991018	242
36166	177773	7212	2013-08-04 18:42:32.994601	2013-08-04 18:42:32.994601	242
36167	177773	7207	2013-08-04 18:42:33.057855	2013-08-04 18:42:33.057855	242
36168	176739	37028	2013-08-04 18:42:33.07499	2013-08-04 18:42:33.07499	242
36169	176739	37008	2013-08-04 18:42:33.080662	2013-08-04 18:42:33.080662	242
36170	176739	36930	2013-08-04 18:42:33.085659	2013-08-04 18:42:33.085659	242
36171	176739	36998	2013-08-04 18:42:33.094972	2013-08-04 18:42:33.094972	242
36172	176739	36988	2013-08-04 18:42:33.100542	2013-08-04 18:42:33.100542	242
36173	176739	36968	2013-08-04 18:42:33.111197	2013-08-04 18:42:33.111197	242
36174	176739	36948	2013-08-04 18:42:33.121794	2013-08-04 18:42:33.121794	242
36175	176739	36928	2013-08-04 18:42:33.128685	2013-08-04 18:42:33.128685	242
36176	176739	36908	2013-08-04 18:42:33.133815	2013-08-04 18:42:33.133815	242
36177	176739	36952	2013-08-04 18:42:33.139943	2013-08-04 18:42:33.139943	242
36178	176739	18361	2013-08-04 18:42:33.144382	2013-08-04 18:42:33.144382	242
36179	176739	36835	2013-08-04 18:42:33.150605	2013-08-04 18:42:33.150605	242
36180	176739	36888	2013-08-04 18:42:33.15771	2013-08-04 18:42:33.15771	242
36181	176739	36868	2013-08-04 18:42:33.165806	2013-08-04 18:42:33.165806	242
36182	176739	36750	2013-08-04 18:42:33.177659	2013-08-04 18:42:33.177659	242
36183	176739	36848	2013-08-04 18:42:33.185186	2013-08-04 18:42:33.185186	242
36184	176739	36828	2013-08-04 18:42:33.189375	2013-08-04 18:42:33.189375	242
36185	176739	36808	2013-08-04 18:42:33.194623	2013-08-04 18:42:33.194623	242
36186	176739	36788	2013-08-04 18:42:33.198712	2013-08-04 18:42:33.198712	242
36187	177391	7789	2013-08-04 18:42:33.398951	2013-08-04 18:42:33.398951	242
36188	177391	16543	2013-08-04 18:42:33.401957	2013-08-04 18:42:33.401957	242
36189	177391	2849	2013-08-04 18:42:33.404939	2013-08-04 18:42:33.404939	242
36190	177391	36343	2013-08-04 18:42:33.407906	2013-08-04 18:42:33.407906	242
36191	177391	15506	2013-08-04 18:42:33.410817	2013-08-04 18:42:33.410817	242
36192	177391	47783	2013-08-04 18:42:33.413725	2013-08-04 18:42:33.413725	242
36193	177391	40950	2013-08-04 18:42:33.41731	2013-08-04 18:42:33.41731	242
36194	177391	22706	2013-08-04 18:42:33.419918	2013-08-04 18:42:33.419918	242
36195	177391	41321	2013-08-04 18:42:33.422621	2013-08-04 18:42:33.422621	242
36196	177391	12716	2013-08-04 18:42:33.425621	2013-08-04 18:42:33.425621	242
36197	177391	17301	2013-08-04 18:42:33.428919	2013-08-04 18:42:33.428919	242
36198	177391	28100	2013-08-04 18:42:33.432357	2013-08-04 18:42:33.432357	242
36199	177391	19761	2013-08-04 18:42:33.436836	2013-08-04 18:42:33.436836	242
36200	177391	21253	2013-08-04 18:42:33.439697	2013-08-04 18:42:33.439697	242
36201	177391	21319	2013-08-04 18:42:33.442181	2013-08-04 18:42:33.442181	242
36202	177391	28386	2013-08-04 18:42:33.445039	2013-08-04 18:42:33.445039	242
36203	177391	3924	2013-08-04 18:42:33.448345	2013-08-04 18:42:33.448345	242
36204	177391	17153	2013-08-04 18:42:33.451868	2013-08-04 18:42:33.451868	242
36205	177391	3095	2013-08-04 18:42:33.456856	2013-08-04 18:42:33.456856	242
36206	177395	7789	2013-08-04 18:42:33.471244	2013-08-04 18:42:33.471244	242
36207	177395	16543	2013-08-04 18:42:33.47549	2013-08-04 18:42:33.47549	242
36208	177395	2849	2013-08-04 18:42:33.477994	2013-08-04 18:42:33.477994	242
36209	177395	36343	2013-08-04 18:42:33.483109	2013-08-04 18:42:33.483109	242
36210	177395	15506	2013-08-04 18:42:33.487446	2013-08-04 18:42:33.487446	242
36211	177395	47783	2013-08-04 18:42:33.490356	2013-08-04 18:42:33.490356	242
36212	177395	40950	2013-08-04 18:42:33.493265	2013-08-04 18:42:33.493265	242
36213	177395	22706	2013-08-04 18:42:33.49624	2013-08-04 18:42:33.49624	242
36214	177395	41321	2013-08-04 18:42:33.499175	2013-08-04 18:42:33.499175	242
36215	177395	12716	2013-08-04 18:42:33.502148	2013-08-04 18:42:33.502148	242
36216	177395	17301	2013-08-04 18:42:33.50726	2013-08-04 18:42:33.50726	242
36217	177395	28100	2013-08-04 18:42:33.512264	2013-08-04 18:42:33.512264	242
36218	177395	19761	2013-08-04 18:42:33.517171	2013-08-04 18:42:33.517171	242
36219	177395	21253	2013-08-04 18:42:33.522154	2013-08-04 18:42:33.522154	242
36220	177395	21319	2013-08-04 18:42:33.527134	2013-08-04 18:42:33.527134	242
36221	177395	28386	2013-08-04 18:42:33.53346	2013-08-04 18:42:33.53346	242
36222	177395	3924	2013-08-04 18:42:33.541213	2013-08-04 18:42:33.541213	242
36223	177395	17153	2013-08-04 18:42:33.549426	2013-08-04 18:42:33.549426	242
36224	177395	3095	2013-08-04 18:42:33.558553	2013-08-04 18:42:33.558553	242
36225	177397	7789	2013-08-04 18:42:33.583743	2013-08-04 18:42:33.583743	242
36226	177397	16543	2013-08-04 18:42:33.588645	2013-08-04 18:42:33.588645	242
36227	177397	2849	2013-08-04 18:42:33.593938	2013-08-04 18:42:33.593938	242
36228	177397	36343	2013-08-04 18:42:33.599957	2013-08-04 18:42:33.599957	242
36229	177397	15506	2013-08-04 18:42:33.605665	2013-08-04 18:42:33.605665	242
36230	177397	47783	2013-08-04 18:42:33.610456	2013-08-04 18:42:33.610456	242
36231	177397	40950	2013-08-04 18:42:33.616084	2013-08-04 18:42:33.616084	242
36232	177397	22706	2013-08-04 18:42:33.621116	2013-08-04 18:42:33.621116	242
36233	177397	41321	2013-08-04 18:42:33.627943	2013-08-04 18:42:33.627943	242
36234	177397	12716	2013-08-04 18:42:33.636177	2013-08-04 18:42:33.636177	242
36235	177397	17301	2013-08-04 18:42:33.644272	2013-08-04 18:42:33.644272	242
36236	177397	28100	2013-08-04 18:42:33.650516	2013-08-04 18:42:33.650516	242
36237	177397	19761	2013-08-04 18:42:33.657114	2013-08-04 18:42:33.657114	242
36238	177397	21253	2013-08-04 18:42:33.663266	2013-08-04 18:42:33.663266	242
36239	177397	21319	2013-08-04 18:42:33.669647	2013-08-04 18:42:33.669647	242
36240	177397	28386	2013-08-04 18:42:33.674199	2013-08-04 18:42:33.674199	242
36241	177397	3924	2013-08-04 18:42:33.679179	2013-08-04 18:42:33.679179	242
36242	177397	17153	2013-08-04 18:42:33.684899	2013-08-04 18:42:33.684899	242
36243	177397	3095	2013-08-04 18:42:33.691921	2013-08-04 18:42:33.691921	242
36244	178169	2288	2013-08-04 18:42:33.895263	2013-08-04 18:42:33.895263	242
36245	178169	10575	2013-08-04 18:42:33.899387	2013-08-04 18:42:33.899387	242
36246	178169	23997	2013-08-04 18:42:33.906305	2013-08-04 18:42:33.906305	242
36247	178169	12777	2013-08-04 18:42:33.914649	2013-08-04 18:42:33.914649	242
36248	178169	10918	2013-08-04 18:42:33.922971	2013-08-04 18:42:33.922971	242
36249	178169	2166	2013-08-04 18:42:33.929244	2013-08-04 18:42:33.929244	242
36250	178169	2453	2013-08-04 18:42:33.935895	2013-08-04 18:42:33.935895	242
36251	178169	2120	2013-08-04 18:42:33.942253	2013-08-04 18:42:33.942253	242
36252	178169	2168	2013-08-04 18:42:33.948252	2013-08-04 18:42:33.948252	242
36253	178169	888	2013-08-04 18:42:33.954162	2013-08-04 18:42:33.954162	242
36254	178169	2147	2013-08-04 18:42:33.960146	2013-08-04 18:42:33.960146	242
36255	178169	19795	2013-08-04 18:42:33.966205	2013-08-04 18:42:33.966205	242
36256	178169	15635	2013-08-04 18:42:33.974057	2013-08-04 18:42:33.974057	242
36257	178169	2084	2013-08-04 18:42:33.980073	2013-08-04 18:42:33.980073	242
36258	178169	38283	2013-08-04 18:42:33.986087	2013-08-04 18:42:33.986087	242
36259	178169	2167	2013-08-04 18:42:33.990893	2013-08-04 18:42:33.990893	242
36260	178169	2100	2013-08-04 18:42:33.997893	2013-08-04 18:42:33.997893	242
36261	178169	2119	2013-08-04 18:42:34.003915	2013-08-04 18:42:34.003915	242
36262	178169	2099	2013-08-04 18:42:34.008538	2013-08-04 18:42:34.008538	242
36263	178160	33266	2013-08-04 18:42:34.04748	2013-08-04 18:42:34.04748	242
36264	178160	33246	2013-08-04 18:42:34.052475	2013-08-04 18:42:34.052475	242
36265	178160	33226	2013-08-04 18:42:34.056075	2013-08-04 18:42:34.056075	242
36266	178160	33243	2013-08-04 18:42:34.059511	2013-08-04 18:42:34.059511	242
36267	178160	33206	2013-08-04 18:42:34.06311	2013-08-04 18:42:34.06311	242
36268	178160	33186	2013-08-04 18:42:34.066871	2013-08-04 18:42:34.066871	242
36269	178160	33190	2013-08-04 18:42:34.072715	2013-08-04 18:42:34.072715	242
36270	178160	33166	2013-08-04 18:42:34.07741	2013-08-04 18:42:34.07741	242
36271	178160	33146	2013-08-04 18:42:34.082269	2013-08-04 18:42:34.082269	242
36272	178160	32972	2013-08-04 18:42:34.08759	2013-08-04 18:42:34.08759	242
36273	178160	33100	2013-08-04 18:42:34.161317	2013-08-04 18:42:34.161317	242
36274	178160	33126	2013-08-04 18:42:34.170576	2013-08-04 18:42:34.170576	242
36275	178160	33106	2013-08-04 18:42:34.173968	2013-08-04 18:42:34.173968	242
36276	178160	33086	2013-08-04 18:42:34.177179	2013-08-04 18:42:34.177179	242
36277	178160	33066	2013-08-04 18:42:34.180461	2013-08-04 18:42:34.180461	242
36278	178160	33055	2013-08-04 18:42:34.184083	2013-08-04 18:42:34.184083	242
36279	178160	33046	2013-08-04 18:42:34.188241	2013-08-04 18:42:34.188241	242
36280	178160	33026	2013-08-04 18:42:34.192476	2013-08-04 18:42:34.192476	242
36281	178160	33006	2013-08-04 18:42:34.198713	2013-08-04 18:42:34.198713	242
36282	177714	7232	2013-08-04 18:42:34.212697	2013-08-04 18:42:34.212697	242
36283	177714	7252	2013-08-04 18:42:34.216906	2013-08-04 18:42:34.216906	242
36284	177714	7272	2013-08-04 18:42:34.221512	2013-08-04 18:42:34.221512	242
36285	177714	7292	2013-08-04 18:42:34.225576	2013-08-04 18:42:34.225576	242
36286	177714	7312	2013-08-04 18:42:34.229886	2013-08-04 18:42:34.229886	242
36287	177714	7357	2013-08-04 18:42:34.234138	2013-08-04 18:42:34.234138	242
36288	177714	7288	2013-08-04 18:42:34.24224	2013-08-04 18:42:34.24224	242
36289	177714	7308	2013-08-04 18:42:34.252917	2013-08-04 18:42:34.252917	242
36290	177714	7328	2013-08-04 18:42:34.264042	2013-08-04 18:42:34.264042	242
36291	177714	7348	2013-08-04 18:42:34.275369	2013-08-04 18:42:34.275369	242
36292	177714	7368	2013-08-04 18:42:34.287215	2013-08-04 18:42:34.287215	242
36293	177714	7367	2013-08-04 18:42:34.294311	2013-08-04 18:42:34.294311	242
36294	177714	7347	2013-08-04 18:42:34.298076	2013-08-04 18:42:34.298076	242
36295	177714	7377	2013-08-04 18:42:34.301601	2013-08-04 18:42:34.301601	242
36296	177714	7327	2013-08-04 18:42:34.305812	2013-08-04 18:42:34.305812	242
36297	177714	3257	2013-08-04 18:42:34.310907	2013-08-04 18:42:34.310907	242
36298	177714	7307	2013-08-04 18:42:34.315423	2013-08-04 18:42:34.315423	242
36299	177714	2660	2013-08-04 18:42:34.322623	2013-08-04 18:42:34.322623	242
36300	177714	7287	2013-08-04 18:42:34.332675	2013-08-04 18:42:34.332675	242
36301	178167	37260	2013-08-04 18:42:34.364151	2013-08-04 18:42:34.364151	242
36302	178167	37308	2013-08-04 18:42:34.369346	2013-08-04 18:42:34.369346	242
36303	178167	37288	2013-08-04 18:42:34.375944	2013-08-04 18:42:34.375944	242
36304	178167	37268	2013-08-04 18:42:34.385688	2013-08-04 18:42:34.385688	242
36305	178167	37332	2013-08-04 18:42:34.396443	2013-08-04 18:42:34.396443	242
36306	178167	37248	2013-08-04 18:42:34.406815	2013-08-04 18:42:34.406815	242
36307	178167	37228	2013-08-04 18:42:34.415479	2013-08-04 18:42:34.415479	242
36308	178167	37170	2013-08-04 18:42:34.41942	2013-08-04 18:42:34.41942	242
36309	178167	37208	2013-08-04 18:42:34.423278	2013-08-04 18:42:34.423278	242
36310	178167	37188	2013-08-04 18:42:34.427097	2013-08-04 18:42:34.427097	242
36311	178167	37168	2013-08-04 18:42:34.431719	2013-08-04 18:42:34.431719	242
36312	178167	37181	2013-08-04 18:42:34.435634	2013-08-04 18:42:34.435634	242
36313	178167	37148	2013-08-04 18:42:34.446037	2013-08-04 18:42:34.446037	242
36314	178167	37128	2013-08-04 18:42:34.455205	2013-08-04 18:42:34.455205	242
36315	178167	37108	2013-08-04 18:42:34.463799	2013-08-04 18:42:34.463799	242
36316	178167	37172	2013-08-04 18:42:34.467852	2013-08-04 18:42:34.467852	242
36317	178167	37088	2013-08-04 18:42:34.475332	2013-08-04 18:42:34.475332	242
36318	178167	37068	2013-08-04 18:42:34.486137	2013-08-04 18:42:34.486137	242
36319	178167	37048	2013-08-04 18:42:34.496385	2013-08-04 18:42:34.496385	242
36320	178162	15323	2013-08-04 18:42:34.520194	2013-08-04 18:42:34.520194	242
36321	178162	15289	2013-08-04 18:42:34.526745	2013-08-04 18:42:34.526745	242
36322	178162	15263	2013-08-04 18:42:34.532851	2013-08-04 18:42:34.532851	242
36323	178162	15269	2013-08-04 18:42:34.537533	2013-08-04 18:42:34.537533	242
36324	178162	15303	2013-08-04 18:42:34.544353	2013-08-04 18:42:34.544353	242
36325	178162	14677	2013-08-04 18:42:34.549658	2013-08-04 18:42:34.549658	242
36326	178162	15283	2013-08-04 18:42:34.553333	2013-08-04 18:42:34.553333	242
36327	178162	15249	2013-08-04 18:42:34.559347	2013-08-04 18:42:34.559347	242
36328	178162	15229	2013-08-04 18:42:34.563296	2013-08-04 18:42:34.563296	242
36329	178162	15209	2013-08-04 18:42:34.567691	2013-08-04 18:42:34.567691	242
36330	178162	15189	2013-08-04 18:42:34.572998	2013-08-04 18:42:34.572998	242
36331	178162	15169	2013-08-04 18:42:34.578981	2013-08-04 18:42:34.578981	242
36332	178162	15149	2013-08-04 18:42:34.586137	2013-08-04 18:42:34.586137	242
36333	178162	15151	2013-08-04 18:42:34.595196	2013-08-04 18:42:34.595196	242
36334	178162	15129	2013-08-04 18:42:34.604653	2013-08-04 18:42:34.604653	242
36335	178162	15109	2013-08-04 18:42:34.614493	2013-08-04 18:42:34.614493	242
36336	178162	15089	2013-08-04 18:42:34.625397	2013-08-04 18:42:34.625397	242
36337	178162	15037	2013-08-04 18:42:34.635993	2013-08-04 18:42:34.635993	242
36338	178162	15069	2013-08-04 18:42:34.645817	2013-08-04 18:42:34.645817	242
36339	177148	31440	2013-08-04 18:42:34.683425	2013-08-04 18:42:34.683425	242
36340	177148	31411	2013-08-04 18:42:34.688694	2013-08-04 18:42:34.688694	242
36341	177148	27261	2013-08-04 18:42:34.695142	2013-08-04 18:42:34.695142	242
36342	177148	31391	2013-08-04 18:42:34.702265	2013-08-04 18:42:34.702265	242
36343	177148	31372	2013-08-04 18:42:34.712977	2013-08-04 18:42:34.712977	242
36344	177148	31312	2013-08-04 18:42:34.723856	2013-08-04 18:42:34.723856	242
36345	177148	31371	2013-08-04 18:42:34.734445	2013-08-04 18:42:34.734445	242
36346	177148	31351	2013-08-04 18:42:34.743286	2013-08-04 18:42:34.743286	242
36347	177148	31331	2013-08-04 18:42:34.753831	2013-08-04 18:42:34.753831	242
36348	177148	31311	2013-08-04 18:42:34.76346	2013-08-04 18:42:34.76346	242
36349	177148	31260	2013-08-04 18:42:34.768413	2013-08-04 18:42:34.768413	242
36350	177148	31291	2013-08-04 18:42:34.774494	2013-08-04 18:42:34.774494	242
36351	177148	31271	2013-08-04 18:42:34.77971	2013-08-04 18:42:34.77971	242
36352	177148	31251	2013-08-04 18:42:34.785078	2013-08-04 18:42:34.785078	242
36353	177148	2136	2013-08-04 18:42:34.793639	2013-08-04 18:42:34.793639	242
36354	177148	21946	2013-08-04 18:42:34.799106	2013-08-04 18:42:34.799106	242
36355	177148	31231	2013-08-04 18:42:34.804029	2013-08-04 18:42:34.804029	242
36356	177148	10939	2013-08-04 18:42:34.80844	2013-08-04 18:42:34.80844	242
36357	177148	31211	2013-08-04 18:42:34.812692	2013-08-04 18:42:34.812692	242
36358	178009	16543	2013-08-04 18:42:34.841008	2013-08-04 18:42:34.841008	242
36359	178009	2849	2013-08-04 18:42:34.846382	2013-08-04 18:42:34.846382	242
36360	178009	36343	2013-08-04 18:42:34.850365	2013-08-04 18:42:34.850365	242
36361	178009	15506	2013-08-04 18:42:34.854588	2013-08-04 18:42:34.854588	242
36362	178009	47783	2013-08-04 18:42:34.859231	2013-08-04 18:42:34.859231	242
36363	178009	40950	2013-08-04 18:42:34.863421	2013-08-04 18:42:34.863421	242
36364	178009	22706	2013-08-04 18:42:34.867458	2013-08-04 18:42:34.867458	242
36365	178009	41321	2013-08-04 18:42:34.872108	2013-08-04 18:42:34.872108	242
36366	178009	12716	2013-08-04 18:42:34.876621	2013-08-04 18:42:34.876621	242
36367	177399	17301	2013-08-04 18:42:34.889088	2013-08-04 18:42:34.889088	242
36368	177399	28100	2013-08-04 18:42:34.893084	2013-08-04 18:42:34.893084	242
36369	177399	19761	2013-08-04 18:42:34.895613	2013-08-04 18:42:34.895613	242
36370	177399	21253	2013-08-04 18:42:34.897964	2013-08-04 18:42:34.897964	242
36371	177399	21319	2013-08-04 18:42:34.900269	2013-08-04 18:42:34.900269	242
36372	177399	28386	2013-08-04 18:42:34.902666	2013-08-04 18:42:34.902666	242
36373	177399	3924	2013-08-04 18:42:34.905037	2013-08-04 18:42:34.905037	242
36374	177399	17153	2013-08-04 18:42:34.907413	2013-08-04 18:42:34.907413	242
36375	177399	3095	2013-08-04 18:42:34.909692	2013-08-04 18:42:34.909692	242
36376	177711	18075	2013-08-04 18:42:34.929429	2013-08-04 18:42:34.929429	242
36377	177195	31060	2013-08-04 18:42:34.942624	2013-08-04 18:42:34.942624	242
36378	177716	22876	2013-08-04 18:42:34.973023	2013-08-04 18:42:34.973023	242
36379	177716	22856	2013-08-04 18:42:34.983686	2013-08-04 18:42:34.983686	242
36380	177716	22770	2013-08-04 18:42:34.99454	2013-08-04 18:42:34.99454	242
36381	177716	22836	2013-08-04 18:42:34.998282	2013-08-04 18:42:34.998282	242
36382	177716	22816	2013-08-04 18:42:35.001899	2013-08-04 18:42:35.001899	242
36383	177716	22821	2013-08-04 18:42:35.006034	2013-08-04 18:42:35.006034	242
36384	177716	22796	2013-08-04 18:42:35.011258	2013-08-04 18:42:35.011258	242
36385	177716	22776	2013-08-04 18:42:35.015595	2013-08-04 18:42:35.015595	242
36386	177716	18400	2013-08-04 18:42:35.019822	2013-08-04 18:42:35.019822	242
36387	177716	22756	2013-08-04 18:42:35.023994	2013-08-04 18:42:35.023994	242
36388	177716	22736	2013-08-04 18:42:35.028142	2013-08-04 18:42:35.028142	242
36389	177716	22716	2013-08-04 18:42:35.032473	2013-08-04 18:42:35.032473	242
36390	177716	22696	2013-08-04 18:42:35.038518	2013-08-04 18:42:35.038518	242
36391	177716	8339	2013-08-04 18:42:35.044512	2013-08-04 18:42:35.044512	242
36392	177716	22741	2013-08-04 18:42:35.050647	2013-08-04 18:42:35.050647	242
36393	177716	22676	2013-08-04 18:42:35.057375	2013-08-04 18:42:35.057375	242
36394	177716	22656	2013-08-04 18:42:35.063749	2013-08-04 18:42:35.063749	242
36395	177716	22636	2013-08-04 18:42:35.067735	2013-08-04 18:42:35.067735	242
36396	177716	22708	2013-08-04 18:42:35.071559	2013-08-04 18:42:35.071559	242
36397	177772	49417	2013-08-04 18:42:35.091637	2013-08-04 18:42:35.091637	242
36398	177772	49397	2013-08-04 18:42:35.098019	2013-08-04 18:42:35.098019	242
36399	177772	49377	2013-08-04 18:42:35.102502	2013-08-04 18:42:35.102502	242
36400	177772	49357	2013-08-04 18:42:35.106577	2013-08-04 18:42:35.106577	242
36401	177772	49337	2013-08-04 18:42:35.110457	2013-08-04 18:42:35.110457	242
36402	177772	49317	2013-08-04 18:42:35.114424	2013-08-04 18:42:35.114424	242
36403	177772	49230	2013-08-04 18:42:35.117746	2013-08-04 18:42:35.117746	242
36404	177772	49161	2013-08-04 18:42:35.120882	2013-08-04 18:42:35.120882	242
36405	177772	49297	2013-08-04 18:42:35.125077	2013-08-04 18:42:35.125077	242
36406	177772	49277	2013-08-04 18:42:35.129407	2013-08-04 18:42:35.129407	242
36407	177772	49257	2013-08-04 18:42:35.134846	2013-08-04 18:42:35.134846	242
36408	177772	49237	2013-08-04 18:42:35.140775	2013-08-04 18:42:35.140775	242
36409	177772	49217	2013-08-04 18:42:35.14669	2013-08-04 18:42:35.14669	242
36410	177772	49197	2013-08-04 18:42:35.150377	2013-08-04 18:42:35.150377	242
36411	177772	49177	2013-08-04 18:42:35.153907	2013-08-04 18:42:35.153907	242
36412	177772	49198	2013-08-04 18:42:35.158231	2013-08-04 18:42:35.158231	242
36413	177772	49157	2013-08-04 18:42:35.162095	2013-08-04 18:42:35.162095	242
36414	177772	36568	2013-08-04 18:42:35.166122	2013-08-04 18:42:35.166122	242
36415	177772	27170	2013-08-04 18:42:35.169505	2013-08-04 18:42:35.169505	242
36416	177715	30913	2013-08-04 18:42:35.277663	2013-08-04 18:42:35.277663	242
36417	177715	30859	2013-08-04 18:42:35.282734	2013-08-04 18:42:35.282734	242
36418	177715	30839	2013-08-04 18:42:35.286711	2013-08-04 18:42:35.286711	242
36419	177715	30819	2013-08-04 18:42:35.29127	2013-08-04 18:42:35.29127	242
36420	177715	30799	2013-08-04 18:42:35.299325	2013-08-04 18:42:35.299325	242
36421	177715	30779	2013-08-04 18:42:35.304201	2013-08-04 18:42:35.304201	242
36422	177715	30620	2013-08-04 18:42:35.314402	2013-08-04 18:42:35.314402	242
36423	177715	30759	2013-08-04 18:42:35.326331	2013-08-04 18:42:35.326331	242
36424	177715	30739	2013-08-04 18:42:35.338138	2013-08-04 18:42:35.338138	242
36425	177301	30719	2013-08-04 18:42:35.36067	2013-08-04 18:42:35.36067	242
36426	177301	30699	2013-08-04 18:42:35.37171	2013-08-04 18:42:35.37171	242
36427	177301	30661	2013-08-04 18:42:35.382575	2013-08-04 18:42:35.382575	242
36428	177301	30679	2013-08-04 18:42:35.392897	2013-08-04 18:42:35.392897	242
36429	177301	30659	2013-08-04 18:42:35.403247	2013-08-04 18:42:35.403247	242
36430	177301	30639	2013-08-04 18:42:35.414408	2013-08-04 18:42:35.414408	242
36431	177301	30619	2013-08-04 18:42:35.425249	2013-08-04 18:42:35.425249	242
36432	177301	16711	2013-08-04 18:42:35.436117	2013-08-04 18:42:35.436117	242
36433	177301	30565	2013-08-04 18:42:35.446851	2013-08-04 18:42:35.446851	242
36434	178254	34453	2013-08-04 18:42:35.8032	2013-08-04 18:42:35.8032	242
36435	178254	34433	2013-08-04 18:42:35.806749	2013-08-04 18:42:35.806749	242
36436	178254	34457	2013-08-04 18:42:35.810344	2013-08-04 18:42:35.810344	242
36437	177182	34413	2013-08-04 18:42:35.818031	2013-08-04 18:42:35.818031	242
36438	177182	34538	2013-08-04 18:42:35.821769	2013-08-04 18:42:35.821769	242
36439	177182	34393	2013-08-04 18:42:35.827097	2013-08-04 18:42:35.827097	242
36440	177037	6428	2013-08-04 18:42:35.835995	2013-08-04 18:42:35.835995	242
36441	177037	6284	2013-08-04 18:42:35.840344	2013-08-04 18:42:35.840344	242
36442	177037	34275	2013-08-04 18:42:35.844579	2013-08-04 18:42:35.844579	242
36443	177007	34360	2013-08-04 18:42:35.852486	2013-08-04 18:42:35.852486	242
36444	177007	34238	2013-08-04 18:42:35.856719	2013-08-04 18:42:35.856719	242
36445	177007	34373	2013-08-04 18:42:35.860766	2013-08-04 18:42:35.860766	242
36446	176778	34353	2013-08-04 18:42:35.870433	2013-08-04 18:42:35.870433	242
36447	176778	34333	2013-08-04 18:42:35.875354	2013-08-04 18:42:35.875354	242
36448	176778	11479	2013-08-04 18:42:35.88032	2013-08-04 18:42:35.88032	242
36449	176725	34313	2013-08-04 18:42:35.887443	2013-08-04 18:42:35.887443	242
36450	176725	34255	2013-08-04 18:42:35.890758	2013-08-04 18:42:35.890758	242
36451	176725	30990	2013-08-04 18:42:35.893553	2013-08-04 18:42:35.893553	242
36452	177401	20161	2013-08-04 18:42:35.902073	2013-08-04 18:42:35.902073	242
36453	177401	35383	2013-08-04 18:42:35.90443	2013-08-04 18:42:35.90443	242
36454	177401	36763	2013-08-04 18:42:35.906887	2013-08-04 18:42:35.906887	242
36455	177401	31535	2013-08-04 18:42:35.909314	2013-08-04 18:42:35.909314	242
36456	177401	7329	2013-08-04 18:42:35.911666	2013-08-04 18:42:35.911666	242
36457	177401	36863	2013-08-04 18:42:35.913893	2013-08-04 18:42:35.913893	242
36458	177401	7749	2013-08-04 18:42:35.91666	2013-08-04 18:42:35.91666	242
36459	177401	47603	2013-08-04 18:42:35.919102	2013-08-04 18:42:35.919102	242
36460	177401	7066	2013-08-04 18:42:35.922068	2013-08-04 18:42:35.922068	242
36461	177401	15730	2013-08-04 18:42:35.92501	2013-08-04 18:42:35.92501	242
36462	177401	17301	2013-08-04 18:42:35.928422	2013-08-04 18:42:35.928422	242
36463	177401	28100	2013-08-04 18:42:35.934012	2013-08-04 18:42:35.934012	242
36464	177401	19761	2013-08-04 18:42:35.940631	2013-08-04 18:42:35.940631	242
36465	177401	21253	2013-08-04 18:42:35.947436	2013-08-04 18:42:35.947436	242
36466	177401	21319	2013-08-04 18:42:35.955419	2013-08-04 18:42:35.955419	242
36467	177401	28386	2013-08-04 18:42:35.96341	2013-08-04 18:42:35.96341	242
36468	177401	3924	2013-08-04 18:42:35.970577	2013-08-04 18:42:35.970577	242
36469	177401	17153	2013-08-04 18:42:35.979208	2013-08-04 18:42:35.979208	242
36470	177401	3095	2013-08-04 18:42:35.986899	2013-08-04 18:42:35.986899	242
36471	177393	20161	2013-08-04 18:42:36.003281	2013-08-04 18:42:36.003281	242
36472	177393	35383	2013-08-04 18:42:36.006039	2013-08-04 18:42:36.006039	242
36473	177393	36763	2013-08-04 18:42:36.010232	2013-08-04 18:42:36.010232	242
36474	177393	31535	2013-08-04 18:42:36.013312	2013-08-04 18:42:36.013312	242
36475	177393	7329	2013-08-04 18:42:36.018266	2013-08-04 18:42:36.018266	242
36476	177393	36863	2013-08-04 18:42:36.023445	2013-08-04 18:42:36.023445	242
36477	177393	7749	2013-08-04 18:42:36.027816	2013-08-04 18:42:36.027816	242
36478	177393	47603	2013-08-04 18:42:36.030553	2013-08-04 18:42:36.030553	242
36479	177393	7066	2013-08-04 18:42:36.0333	2013-08-04 18:42:36.0333	242
36480	177393	15730	2013-08-04 18:42:36.037745	2013-08-04 18:42:36.037745	242
36481	177393	17301	2013-08-04 18:42:36.043344	2013-08-04 18:42:36.043344	242
36482	177393	28100	2013-08-04 18:42:36.051392	2013-08-04 18:42:36.051392	242
36483	177393	19761	2013-08-04 18:42:36.059501	2013-08-04 18:42:36.059501	242
36484	177393	21253	2013-08-04 18:42:36.067727	2013-08-04 18:42:36.067727	242
36485	177393	21319	2013-08-04 18:42:36.075982	2013-08-04 18:42:36.075982	242
36486	177393	28386	2013-08-04 18:42:36.084187	2013-08-04 18:42:36.084187	242
36487	177393	3924	2013-08-04 18:42:36.09247	2013-08-04 18:42:36.09247	242
36488	177393	17153	2013-08-04 18:42:36.100638	2013-08-04 18:42:36.100638	242
36489	177393	3095	2013-08-04 18:42:36.108983	2013-08-04 18:42:36.108983	242
36490	178256	30938	2013-08-04 18:42:36.200369	2013-08-04 18:42:36.200369	242
36491	178256	31079	2013-08-04 18:42:36.211323	2013-08-04 18:42:36.211323	242
36492	178256	31051	2013-08-04 18:42:36.222694	2013-08-04 18:42:36.222694	242
36493	178256	31059	2013-08-04 18:42:36.233533	2013-08-04 18:42:36.233533	242
36494	177935	31039	2013-08-04 18:42:36.258247	2013-08-04 18:42:36.258247	242
36495	177935	31019	2013-08-04 18:42:36.270826	2013-08-04 18:42:36.270826	242
36496	177935	30995	2013-08-04 18:42:36.278196	2013-08-04 18:42:36.278196	242
36497	177935	30999	2013-08-04 18:42:36.284889	2013-08-04 18:42:36.284889	242
36498	177158	30979	2013-08-04 18:42:36.293651	2013-08-04 18:42:36.293651	242
36499	177158	30959	2013-08-04 18:42:36.298094	2013-08-04 18:42:36.298094	242
36500	177158	30985	2013-08-04 18:42:36.302714	2013-08-04 18:42:36.302714	242
36501	177158	30939	2013-08-04 18:42:36.308275	2013-08-04 18:42:36.308275	242
36502	176806	30825	2013-08-04 18:42:36.317378	2013-08-04 18:42:36.317378	242
36503	176806	30923	2013-08-04 18:42:36.321378	2013-08-04 18:42:36.321378	242
36504	176806	30919	2013-08-04 18:42:36.326031	2013-08-04 18:42:36.326031	242
36505	176806	30899	2013-08-04 18:42:36.330579	2013-08-04 18:42:36.330579	242
36506	179010	16375	2013-08-04 18:47:29.459939	2013-08-04 18:47:29.459939	243
36507	178981	49935	2013-08-04 18:47:29.470545	2013-08-04 18:47:29.470545	243
36508	178975	34713	2013-08-04 18:47:29.480759	2013-08-04 18:47:29.480759	243
36509	178964	33506	2013-08-04 18:47:29.488511	2013-08-04 18:47:29.488511	243
36510	178378	37375	2013-08-04 18:47:29.515414	2013-08-04 18:47:29.515414	243
36511	178378	34552	2013-08-04 18:47:29.519095	2013-08-04 18:47:29.519095	243
36512	178378	4890	2013-08-04 18:47:29.52243	2013-08-04 18:47:29.52243	243
36513	178378	33565	2013-08-04 18:47:29.525678	2013-08-04 18:47:29.525678	243
36514	178387	33706	2013-08-04 18:47:29.715893	2013-08-04 18:47:29.715893	243
36515	178387	33652	2013-08-04 18:47:29.71999	2013-08-04 18:47:29.71999	243
36516	178387	33686	2013-08-04 18:47:29.723512	2013-08-04 18:47:29.723512	243
36517	178387	33666	2013-08-04 18:47:29.728008	2013-08-04 18:47:29.728008	243
36518	178387	33646	2013-08-04 18:47:29.732648	2013-08-04 18:47:29.732648	243
36519	178387	33670	2013-08-04 18:47:29.736993	2013-08-04 18:47:29.736993	243
36520	178387	33626	2013-08-04 18:47:29.741633	2013-08-04 18:47:29.741633	243
36521	178387	33705	2013-08-04 18:47:29.745707	2013-08-04 18:47:29.745707	243
36522	178387	2275	2013-08-04 18:47:29.750246	2013-08-04 18:47:29.750246	243
36523	178387	33606	2013-08-04 18:47:29.75474	2013-08-04 18:47:29.75474	243
36524	178387	33598	2013-08-04 18:47:29.759685	2013-08-04 18:47:29.759685	243
36525	178387	33578	2013-08-04 18:47:29.764215	2013-08-04 18:47:29.764215	243
36526	178387	25488	2013-08-04 18:47:29.771219	2013-08-04 18:47:29.771219	243
36527	178387	33586	2013-08-04 18:47:29.776966	2013-08-04 18:47:29.776966	243
36528	178387	27841	2013-08-04 18:47:29.782971	2013-08-04 18:47:29.782971	243
36529	178387	33566	2013-08-04 18:47:29.787079	2013-08-04 18:47:29.787079	243
36530	178387	33546	2013-08-04 18:47:29.790868	2013-08-04 18:47:29.790868	243
36531	178387	33530	2013-08-04 18:47:29.797314	2013-08-04 18:47:29.797314	243
36532	178387	33526	2013-08-04 18:47:29.802011	2013-08-04 18:47:29.802011	243
36533	178377	34830	2013-08-04 18:47:29.824608	2013-08-04 18:47:29.824608	243
36534	178377	7427	2013-08-04 18:47:29.829494	2013-08-04 18:47:29.829494	243
36535	178377	14905	2013-08-04 18:47:29.837262	2013-08-04 18:47:29.837262	243
36536	178377	7407	2013-08-04 18:47:29.844542	2013-08-04 18:47:29.844542	243
36537	178377	14712	2013-08-04 18:47:29.851642	2013-08-04 18:47:29.851642	243
36538	178377	15085	2013-08-04 18:47:29.857059	2013-08-04 18:47:29.857059	243
36539	178377	15100	2013-08-04 18:47:29.860572	2013-08-04 18:47:29.860572	243
36540	178377	7509	2013-08-04 18:47:29.863811	2013-08-04 18:47:29.863811	243
36541	178377	10583	2013-08-04 18:47:29.867139	2013-08-04 18:47:29.867139	243
36542	178377	1984	2013-08-04 18:47:29.870581	2013-08-04 18:47:29.870581	243
36543	178377	7481	2013-08-04 18:47:29.873903	2013-08-04 18:47:29.873903	243
36544	178377	7529	2013-08-04 18:47:29.877455	2013-08-04 18:47:29.877455	243
36545	178377	7387	2013-08-04 18:47:29.881225	2013-08-04 18:47:29.881225	243
36546	178377	7333	2013-08-04 18:47:29.885341	2013-08-04 18:47:29.885341	243
36547	178377	7300	2013-08-04 18:47:29.888982	2013-08-04 18:47:29.888982	243
36548	178377	7275	2013-08-04 18:47:29.892754	2013-08-04 18:47:29.892754	243
36549	178377	7295	2013-08-04 18:47:29.898089	2013-08-04 18:47:29.898089	243
36550	178377	7315	2013-08-04 18:47:29.905481	2013-08-04 18:47:29.905481	243
36551	178377	20181	2013-08-04 18:47:29.914265	2013-08-04 18:47:29.914265	243
36552	178389	37768	2013-08-04 18:47:29.947273	2013-08-04 18:47:29.947273	243
36553	178389	37681	2013-08-04 18:47:29.952115	2013-08-04 18:47:29.952115	243
36554	178389	37748	2013-08-04 18:47:29.955718	2013-08-04 18:47:29.955718	243
36555	178389	37728	2013-08-04 18:47:29.959361	2013-08-04 18:47:29.959361	243
36556	178389	37732	2013-08-04 18:47:29.963217	2013-08-04 18:47:29.963217	243
36557	178389	37708	2013-08-04 18:47:29.967141	2013-08-04 18:47:29.967141	243
36558	178389	37688	2013-08-04 18:47:29.971413	2013-08-04 18:47:29.971413	243
36559	178389	12799	2013-08-04 18:47:29.975687	2013-08-04 18:47:29.975687	243
36560	178389	37610	2013-08-04 18:47:30.036944	2013-08-04 18:47:30.036944	243
36561	178389	37668	2013-08-04 18:47:30.041665	2013-08-04 18:47:30.041665	243
36562	178389	37648	2013-08-04 18:47:30.044987	2013-08-04 18:47:30.044987	243
36563	178389	37628	2013-08-04 18:47:30.049605	2013-08-04 18:47:30.049605	243
36564	178389	37608	2013-08-04 18:47:30.054196	2013-08-04 18:47:30.054196	243
36565	178389	37588	2013-08-04 18:47:30.059707	2013-08-04 18:47:30.059707	243
36566	178389	37568	2013-08-04 18:47:30.065756	2013-08-04 18:47:30.065756	243
36567	178389	37548	2013-08-04 18:47:30.071927	2013-08-04 18:47:30.071927	243
36568	178389	37528	2013-08-04 18:47:30.083185	2013-08-04 18:47:30.083185	243
36569	178389	34713	2013-08-04 18:47:30.088755	2013-08-04 18:47:30.088755	243
36570	178389	33426	2013-08-04 18:47:30.093362	2013-08-04 18:47:30.093362	243
36571	179682	37378	2013-08-04 18:47:30.114656	2013-08-04 18:47:30.114656	243
36572	178978	34613	2013-08-04 18:47:30.124319	2013-08-04 18:47:30.124319	243
36573	178692	34393	2013-08-04 18:47:30.131673	2013-08-04 18:47:30.131673	243
36574	178492	34538	2013-08-04 18:47:30.141866	2013-08-04 18:47:30.141866	243
36575	178430	34413	2013-08-04 18:47:30.158851	2013-08-04 18:47:30.158851	243
36576	178418	33406	2013-08-04 18:47:30.179101	2013-08-04 18:47:30.179101	243
36577	178410	30939	2013-08-04 18:47:30.200035	2013-08-04 18:47:30.200035	243
36578	178358	30985	2013-08-04 18:47:30.2219	2013-08-04 18:47:30.2219	243
36579	178330	30959	2013-08-04 18:47:30.243292	2013-08-04 18:47:30.243292	243
36580	178329	30979	2013-08-04 18:47:30.26551	2013-08-04 18:47:30.26551	243
36581	178294	2336	2013-08-04 18:47:30.287435	2013-08-04 18:47:30.287435	243
36582	178385	37408	2013-08-04 18:47:30.356606	2013-08-04 18:47:30.356606	243
36583	178385	34593	2013-08-04 18:47:30.365207	2013-08-04 18:47:30.365207	243
36584	178385	33386	2013-08-04 18:47:30.375586	2013-08-04 18:47:30.375586	243
36585	178385	22108	2013-08-04 18:47:30.385386	2013-08-04 18:47:30.385386	243
36586	178782	20161	2013-08-04 18:47:30.429223	2013-08-04 18:47:30.429223	243
36587	178782	35383	2013-08-04 18:47:30.43488	2013-08-04 18:47:30.43488	243
36588	178782	36763	2013-08-04 18:47:30.442262	2013-08-04 18:47:30.442262	243
36589	178782	31535	2013-08-04 18:47:30.448409	2013-08-04 18:47:30.448409	243
36590	178782	7329	2013-08-04 18:47:30.452123	2013-08-04 18:47:30.452123	243
36591	178782	36863	2013-08-04 18:47:30.459827	2013-08-04 18:47:30.459827	243
36592	178782	7749	2013-08-04 18:47:30.466715	2013-08-04 18:47:30.466715	243
36593	178782	47603	2013-08-04 18:47:30.469812	2013-08-04 18:47:30.469812	243
36594	178782	7066	2013-08-04 18:47:30.472989	2013-08-04 18:47:30.472989	243
36595	178782	15730	2013-08-04 18:47:30.476557	2013-08-04 18:47:30.476557	243
36596	178782	17301	2013-08-04 18:47:30.479841	2013-08-04 18:47:30.479841	243
36597	178782	28100	2013-08-04 18:47:30.483647	2013-08-04 18:47:30.483647	243
36598	178782	19761	2013-08-04 18:47:30.486589	2013-08-04 18:47:30.486589	243
36599	178782	21253	2013-08-04 18:47:30.489391	2013-08-04 18:47:30.489391	243
36600	178782	21319	2013-08-04 18:47:30.492105	2013-08-04 18:47:30.492105	243
36601	178782	28386	2013-08-04 18:47:30.494617	2013-08-04 18:47:30.494617	243
36602	178782	3924	2013-08-04 18:47:30.497139	2013-08-04 18:47:30.497139	243
36603	178782	17153	2013-08-04 18:47:30.49982	2013-08-04 18:47:30.49982	243
36604	178782	3095	2013-08-04 18:47:30.50362	2013-08-04 18:47:30.50362	243
36605	178785	20161	2013-08-04 18:47:30.515084	2013-08-04 18:47:30.515084	243
36606	178785	35383	2013-08-04 18:47:30.518103	2013-08-04 18:47:30.518103	243
36607	178785	36763	2013-08-04 18:47:30.521248	2013-08-04 18:47:30.521248	243
36608	178785	31535	2013-08-04 18:47:30.524225	2013-08-04 18:47:30.524225	243
36609	178785	7329	2013-08-04 18:47:30.52727	2013-08-04 18:47:30.52727	243
36610	178785	36863	2013-08-04 18:47:30.530411	2013-08-04 18:47:30.530411	243
36611	178785	7749	2013-08-04 18:47:30.533515	2013-08-04 18:47:30.533515	243
36612	178785	47603	2013-08-04 18:47:30.537926	2013-08-04 18:47:30.537926	243
36613	178785	7066	2013-08-04 18:47:30.541167	2013-08-04 18:47:30.541167	243
36614	178785	15730	2013-08-04 18:47:30.544407	2013-08-04 18:47:30.544407	243
36615	178785	17301	2013-08-04 18:47:30.547477	2013-08-04 18:47:30.547477	243
36616	178785	28100	2013-08-04 18:47:30.550561	2013-08-04 18:47:30.550561	243
36617	178785	19761	2013-08-04 18:47:30.55358	2013-08-04 18:47:30.55358	243
36618	178785	21253	2013-08-04 18:47:30.55661	2013-08-04 18:47:30.55661	243
36619	178785	21319	2013-08-04 18:47:30.55965	2013-08-04 18:47:30.55965	243
36620	178785	28386	2013-08-04 18:47:30.56271	2013-08-04 18:47:30.56271	243
36621	178785	3924	2013-08-04 18:47:30.56574	2013-08-04 18:47:30.56574	243
36622	178785	17153	2013-08-04 18:47:30.568656	2013-08-04 18:47:30.568656	243
36623	178785	3095	2013-08-04 18:47:30.57147	2013-08-04 18:47:30.57147	243
36624	178786	20161	2013-08-04 18:47:30.58177	2013-08-04 18:47:30.58177	243
36625	178786	35383	2013-08-04 18:47:30.585073	2013-08-04 18:47:30.585073	243
36626	178786	36763	2013-08-04 18:47:30.58826	2013-08-04 18:47:30.58826	243
36627	178786	31535	2013-08-04 18:47:30.591031	2013-08-04 18:47:30.591031	243
36628	178786	7329	2013-08-04 18:47:30.594209	2013-08-04 18:47:30.594209	243
36629	178786	36863	2013-08-04 18:47:30.59711	2013-08-04 18:47:30.59711	243
36630	178786	7749	2013-08-04 18:47:30.600198	2013-08-04 18:47:30.600198	243
36631	178786	47603	2013-08-04 18:47:30.605721	2013-08-04 18:47:30.605721	243
36632	178786	7066	2013-08-04 18:47:30.61178	2013-08-04 18:47:30.61178	243
36633	178786	15730	2013-08-04 18:47:30.618263	2013-08-04 18:47:30.618263	243
36634	178786	17301	2013-08-04 18:47:30.625159	2013-08-04 18:47:30.625159	243
36635	178786	28100	2013-08-04 18:47:30.631871	2013-08-04 18:47:30.631871	243
36636	178786	19761	2013-08-04 18:47:30.639905	2013-08-04 18:47:30.639905	243
36637	178786	21253	2013-08-04 18:47:30.647847	2013-08-04 18:47:30.647847	243
36638	178786	21319	2013-08-04 18:47:30.654355	2013-08-04 18:47:30.654355	243
36639	178786	28386	2013-08-04 18:47:30.660942	2013-08-04 18:47:30.660942	243
36640	178786	3924	2013-08-04 18:47:30.667363	2013-08-04 18:47:30.667363	243
36641	178786	17153	2013-08-04 18:47:30.675583	2013-08-04 18:47:30.675583	243
36642	178786	3095	2013-08-04 18:47:30.683651	2013-08-04 18:47:30.683651	243
36643	179762	4384	2013-08-04 18:47:30.85978	2013-08-04 18:47:30.85978	243
36644	179762	2187	2013-08-04 18:47:30.869299	2013-08-04 18:47:30.869299	243
36645	179762	2307	2013-08-04 18:47:30.878023	2013-08-04 18:47:30.878023	243
36646	179762	3921	2013-08-04 18:47:30.884855	2013-08-04 18:47:30.884855	243
36647	179762	2413	2013-08-04 18:47:30.891912	2013-08-04 18:47:30.891912	243
36648	179762	2434	2013-08-04 18:47:30.897345	2013-08-04 18:47:30.897345	243
36649	179762	2212	2013-08-04 18:47:30.902803	2013-08-04 18:47:30.902803	243
36650	179762	34783	2013-08-04 18:47:30.908	2013-08-04 18:47:30.908	243
36651	179762	13455	2013-08-04 18:47:30.913772	2013-08-04 18:47:30.913772	243
36652	179442	33255	2013-08-04 18:47:30.930778	2013-08-04 18:47:30.930778	243
36653	179442	2339	2013-08-04 18:47:30.940312	2013-08-04 18:47:30.940312	243
36654	179442	2311	2013-08-04 18:47:30.94982	2013-08-04 18:47:30.94982	243
36655	179442	19981	2013-08-04 18:47:30.960682	2013-08-04 18:47:30.960682	243
36656	179442	2351	2013-08-04 18:47:30.971577	2013-08-04 18:47:30.971577	243
36657	179442	2260	2013-08-04 18:47:30.98235	2013-08-04 18:47:30.98235	243
36658	179442	2207	2013-08-04 18:47:30.993323	2013-08-04 18:47:30.993323	243
36659	179442	28692	2013-08-04 18:47:31.004529	2013-08-04 18:47:31.004529	243
36660	179442	47503	2013-08-04 18:47:31.016273	2013-08-04 18:47:31.016273	243
36661	179686	33880	2013-08-04 18:47:31.037893	2013-08-04 18:47:31.037893	243
36662	179686	33906	2013-08-04 18:47:31.042175	2013-08-04 18:47:31.042175	243
36663	179686	2285	2013-08-04 18:47:31.047717	2013-08-04 18:47:31.047717	243
36664	179686	15339	2013-08-04 18:47:31.052662	2013-08-04 18:47:31.052662	243
36665	179686	33886	2013-08-04 18:47:31.058085	2013-08-04 18:47:31.058085	243
36666	179686	33866	2013-08-04 18:47:31.065402	2013-08-04 18:47:31.065402	243
36667	179686	33800	2013-08-04 18:47:31.074845	2013-08-04 18:47:31.074845	243
36668	179686	33846	2013-08-04 18:47:31.085329	2013-08-04 18:47:31.085329	243
36669	179686	33812	2013-08-04 18:47:31.095798	2013-08-04 18:47:31.095798	243
36670	179686	33826	2013-08-04 18:47:31.106805	2013-08-04 18:47:31.106805	243
36671	179686	33773	2013-08-04 18:47:31.18504	2013-08-04 18:47:31.18504	243
36672	179686	33793	2013-08-04 18:47:31.191139	2013-08-04 18:47:31.191139	243
36673	179686	33806	2013-08-04 18:47:31.196926	2013-08-04 18:47:31.196926	243
36674	179686	33786	2013-08-04 18:47:31.202986	2013-08-04 18:47:31.202986	243
36675	179686	33766	2013-08-04 18:47:31.206399	2013-08-04 18:47:31.206399	243
36676	179686	17511	2013-08-04 18:47:31.209447	2013-08-04 18:47:31.209447	243
36677	179686	33746	2013-08-04 18:47:31.212364	2013-08-04 18:47:31.212364	243
36678	179686	33755	2013-08-04 18:47:31.215175	2013-08-04 18:47:31.215175	243
36679	179686	33726	2013-08-04 18:47:31.218049	2013-08-04 18:47:31.218049	243
36680	179278	4309	2013-08-04 18:47:31.231738	2013-08-04 18:47:31.231738	243
36681	179278	4329	2013-08-04 18:47:31.238904	2013-08-04 18:47:31.238904	243
36682	179278	47741	2013-08-04 18:47:31.247295	2013-08-04 18:47:31.247295	243
36683	179278	7621	2013-08-04 18:47:31.257736	2013-08-04 18:47:31.257736	243
36684	179278	7547	2013-08-04 18:47:31.268376	2013-08-04 18:47:31.268376	243
36685	179278	7278	2013-08-04 18:47:31.279181	2013-08-04 18:47:31.279181	243
36686	179278	1905	2013-08-04 18:47:31.290136	2013-08-04 18:47:31.290136	243
36687	179278	7510	2013-08-04 18:47:31.301091	2013-08-04 18:47:31.301091	243
36688	179278	7385	2013-08-04 18:47:31.312111	2013-08-04 18:47:31.312111	243
36689	178552	7458	2013-08-04 18:47:31.330528	2013-08-04 18:47:31.330528	243
36690	178552	7388	2013-08-04 18:47:31.34042	2013-08-04 18:47:31.34042	243
36691	178552	7527	2013-08-04 18:47:31.35069	2013-08-04 18:47:31.35069	243
36692	178552	7507	2013-08-04 18:47:31.35886	2013-08-04 18:47:31.35886	243
36693	178552	7487	2013-08-04 18:47:31.363978	2013-08-04 18:47:31.363978	243
36694	178552	7467	2013-08-04 18:47:31.368134	2013-08-04 18:47:31.368134	243
36695	178552	7425	2013-08-04 18:47:31.371673	2013-08-04 18:47:31.371673	243
36696	178552	7447	2013-08-04 18:47:31.375499	2013-08-04 18:47:31.375499	243
36697	178552	7503	2013-08-04 18:47:31.379062	2013-08-04 18:47:31.379062	243
36698	178910	37988	2013-08-04 18:47:31.410568	2013-08-04 18:47:31.410568	243
36699	178910	37968	2013-08-04 18:47:31.419047	2013-08-04 18:47:31.419047	243
36700	178910	37912	2013-08-04 18:47:31.428282	2013-08-04 18:47:31.428282	243
36701	178910	37948	2013-08-04 18:47:31.436456	2013-08-04 18:47:31.436456	243
36702	178910	37928	2013-08-04 18:47:31.445734	2013-08-04 18:47:31.445734	243
36703	178910	37840	2013-08-04 18:47:31.453615	2013-08-04 18:47:31.453615	243
36704	178910	37908	2013-08-04 18:47:31.463188	2013-08-04 18:47:31.463188	243
36705	178910	37888	2013-08-04 18:47:31.471712	2013-08-04 18:47:31.471712	243
36706	178910	37940	2013-08-04 18:47:31.481316	2013-08-04 18:47:31.481316	243
36707	178910	37938	2013-08-04 18:47:31.491505	2013-08-04 18:47:31.491505	243
36708	178910	37868	2013-08-04 18:47:31.501974	2013-08-04 18:47:31.501974	243
36709	178910	37848	2013-08-04 18:47:31.51117	2013-08-04 18:47:31.51117	243
36710	178910	37830	2013-08-04 18:47:31.520039	2013-08-04 18:47:31.520039	243
36711	178910	37735	2013-08-04 18:47:31.530528	2013-08-04 18:47:31.530528	243
36712	178910	37718	2013-08-04 18:47:31.536979	2013-08-04 18:47:31.536979	243
36713	178910	37828	2013-08-04 18:47:31.541603	2013-08-04 18:47:31.541603	243
36714	178910	37808	2013-08-04 18:47:31.545901	2013-08-04 18:47:31.545901	243
36715	178910	37788	2013-08-04 18:47:31.549883	2013-08-04 18:47:31.549883	243
36716	178910	30959	2013-08-04 18:47:31.553892	2013-08-04 18:47:31.553892	243
36717	179763	15489	2013-08-04 18:47:31.578828	2013-08-04 18:47:31.578828	243
36718	179763	15469	2013-08-04 18:47:31.585616	2013-08-04 18:47:31.585616	243
36719	179763	15449	2013-08-04 18:47:31.590024	2013-08-04 18:47:31.590024	243
36720	179763	15096	2013-08-04 18:47:31.595445	2013-08-04 18:47:31.595445	243
36721	179763	15429	2013-08-04 18:47:31.601113	2013-08-04 18:47:31.601113	243
36722	179763	15490	2013-08-04 18:47:31.607244	2013-08-04 18:47:31.607244	243
36723	179763	15409	2013-08-04 18:47:31.611586	2013-08-04 18:47:31.611586	243
36724	179763	14936	2013-08-04 18:47:31.61578	2013-08-04 18:47:31.61578	243
36725	179763	15389	2013-08-04 18:47:31.620247	2013-08-04 18:47:31.620247	243
36726	178909	15369	2013-08-04 18:47:31.631452	2013-08-04 18:47:31.631452	243
36727	178909	15349	2013-08-04 18:47:31.637315	2013-08-04 18:47:31.637315	243
36728	178909	13537	2013-08-04 18:47:31.641756	2013-08-04 18:47:31.641756	243
36729	178909	15337	2013-08-04 18:47:31.646064	2013-08-04 18:47:31.646064	243
36730	178909	15252	2013-08-04 18:47:31.650465	2013-08-04 18:47:31.650465	243
36731	178909	15329	2013-08-04 18:47:31.654703	2013-08-04 18:47:31.654703	243
36732	178909	23301	2013-08-04 18:47:31.659107	2013-08-04 18:47:31.659107	243
36733	178909	15309	2013-08-04 18:47:31.664248	2013-08-04 18:47:31.664248	243
36734	178909	2235	2013-08-04 18:47:31.66882	2013-08-04 18:47:31.66882	243
36735	178789	31605	2013-08-04 18:47:31.756343	2013-08-04 18:47:31.756343	243
36736	178789	31625	2013-08-04 18:47:31.768342	2013-08-04 18:47:31.768342	243
36737	178789	31591	2013-08-04 18:47:31.780249	2013-08-04 18:47:31.780249	243
36738	178789	20779	2013-08-04 18:47:31.792735	2013-08-04 18:47:31.792735	243
36739	178789	31571	2013-08-04 18:47:31.810667	2013-08-04 18:47:31.810667	243
36740	178789	31557	2013-08-04 18:47:31.815059	2013-08-04 18:47:31.815059	243
36741	178789	27097	2013-08-04 18:47:31.820712	2013-08-04 18:47:31.820712	243
36742	178789	31552	2013-08-04 18:47:31.825218	2013-08-04 18:47:31.825218	243
36743	178789	31537	2013-08-04 18:47:31.829093	2013-08-04 18:47:31.829093	243
36744	178789	31551	2013-08-04 18:47:31.833919	2013-08-04 18:47:31.833919	243
36745	178789	31531	2013-08-04 18:47:31.838458	2013-08-04 18:47:31.838458	243
36746	178789	31511	2013-08-04 18:47:31.84386	2013-08-04 18:47:31.84386	243
36747	178789	31491	2013-08-04 18:47:31.849235	2013-08-04 18:47:31.849235	243
36748	178789	31471	2013-08-04 18:47:31.853743	2013-08-04 18:47:31.853743	243
36749	178789	31475	2013-08-04 18:47:31.857499	2013-08-04 18:47:31.857499	243
36750	178789	31451	2013-08-04 18:47:31.861191	2013-08-04 18:47:31.861191	243
36751	178789	31455	2013-08-04 18:47:31.865064	2013-08-04 18:47:31.865064	243
36752	178789	31431	2013-08-04 18:47:31.868657	2013-08-04 18:47:31.868657	243
36753	178789	2267	2013-08-04 18:47:31.872646	2013-08-04 18:47:31.872646	243
36754	178787	20161	2013-08-04 18:47:31.910575	2013-08-04 18:47:31.910575	243
36755	178787	35383	2013-08-04 18:47:31.919114	2013-08-04 18:47:31.919114	243
36756	178787	36763	2013-08-04 18:47:31.927234	2013-08-04 18:47:31.927234	243
36757	178787	31535	2013-08-04 18:47:31.933872	2013-08-04 18:47:31.933872	243
36758	178787	7329	2013-08-04 18:47:31.942926	2013-08-04 18:47:31.942926	243
36759	178787	36863	2013-08-04 18:47:31.947911	2013-08-04 18:47:31.947911	243
36760	178787	7749	2013-08-04 18:47:31.950731	2013-08-04 18:47:31.950731	243
36761	178787	47603	2013-08-04 18:47:31.953471	2013-08-04 18:47:31.953471	243
36762	178787	7066	2013-08-04 18:47:31.956053	2013-08-04 18:47:31.956053	243
36763	178787	15730	2013-08-04 18:47:31.958623	2013-08-04 18:47:31.958623	243
36764	178787	17301	2013-08-04 18:47:31.961215	2013-08-04 18:47:31.961215	243
36765	178787	28100	2013-08-04 18:47:31.96366	2013-08-04 18:47:31.96366	243
36766	178787	19761	2013-08-04 18:47:31.966667	2013-08-04 18:47:31.966667	243
36767	178787	21253	2013-08-04 18:47:31.969572	2013-08-04 18:47:31.969572	243
36768	178787	21319	2013-08-04 18:47:31.972762	2013-08-04 18:47:31.972762	243
36769	178787	28386	2013-08-04 18:47:31.976824	2013-08-04 18:47:31.976824	243
36770	178787	3924	2013-08-04 18:47:31.980771	2013-08-04 18:47:31.980771	243
36771	178787	17153	2013-08-04 18:47:31.985841	2013-08-04 18:47:31.985841	243
36772	178787	3095	2013-08-04 18:47:31.990013	2013-08-04 18:47:31.990013	243
36773	179274	23017	2013-08-04 18:47:32.078349	2013-08-04 18:47:32.078349	243
36774	179274	23076	2013-08-04 18:47:32.090076	2013-08-04 18:47:32.090076	243
36775	179274	23056	2013-08-04 18:47:32.101563	2013-08-04 18:47:32.101563	243
36776	179274	23036	2013-08-04 18:47:32.111268	2013-08-04 18:47:32.111268	243
36777	179274	23028	2013-08-04 18:47:32.114932	2013-08-04 18:47:32.114932	243
36778	179274	23016	2013-08-04 18:47:32.118834	2013-08-04 18:47:32.118834	243
36779	179274	22996	2013-08-04 18:47:32.122203	2013-08-04 18:47:32.122203	243
36780	179274	22976	2013-08-04 18:47:32.125453	2013-08-04 18:47:32.125453	243
36781	179274	22956	2013-08-04 18:47:32.129301	2013-08-04 18:47:32.129301	243
36782	178892	23020	2013-08-04 18:47:32.138509	2013-08-04 18:47:32.138509	243
36783	178892	22933	2013-08-04 18:47:32.143081	2013-08-04 18:47:32.143081	243
36784	178892	22936	2013-08-04 18:47:32.14798	2013-08-04 18:47:32.14798	243
36785	178892	16196	2013-08-04 18:47:32.154042	2013-08-04 18:47:32.154042	243
36786	178892	22898	2013-08-04 18:47:32.161856	2013-08-04 18:47:32.161856	243
36787	178892	30238	2013-08-04 18:47:32.172553	2013-08-04 18:47:32.172553	243
36788	178892	22916	2013-08-04 18:47:32.18375	2013-08-04 18:47:32.18375	243
36789	178892	22896	2013-08-04 18:47:32.194605	2013-08-04 18:47:32.194605	243
36790	178892	21512	2013-08-04 18:47:32.207534	2013-08-04 18:47:32.207534	243
36791	179222	49677	2013-08-04 18:47:32.226112	2013-08-04 18:47:32.226112	243
36792	179222	49657	2013-08-04 18:47:32.231587	2013-08-04 18:47:32.231587	243
36793	179222	49637	2013-08-04 18:47:32.236321	2013-08-04 18:47:32.236321	243
36794	179222	49617	2013-08-04 18:47:32.240853	2013-08-04 18:47:32.240853	243
36795	179222	49597	2013-08-04 18:47:32.245286	2013-08-04 18:47:32.245286	243
36796	179222	49577	2013-08-04 18:47:32.249259	2013-08-04 18:47:32.249259	243
36797	179222	49557	2013-08-04 18:47:32.253545	2013-08-04 18:47:32.253545	243
36798	179222	49537	2013-08-04 18:47:32.258171	2013-08-04 18:47:32.258171	243
36799	179222	49517	2013-08-04 18:47:32.263683	2013-08-04 18:47:32.263683	243
36800	179222	49497	2013-08-04 18:47:32.269302	2013-08-04 18:47:32.269302	243
36801	179222	49477	2013-08-04 18:47:32.278229	2013-08-04 18:47:32.278229	243
36802	179222	49457	2013-08-04 18:47:32.290106	2013-08-04 18:47:32.290106	243
36803	179222	49435	2013-08-04 18:47:32.296064	2013-08-04 18:47:32.296064	243
36804	179222	49437	2013-08-04 18:47:32.301011	2013-08-04 18:47:32.301011	243
36805	179222	37328	2013-08-04 18:47:32.307167	2013-08-04 18:47:32.307167	243
36806	179222	34533	2013-08-04 18:47:32.315712	2013-08-04 18:47:32.315712	243
36807	179222	33406	2013-08-04 18:47:32.326154	2013-08-04 18:47:32.326154	243
36808	179222	33345	2013-08-04 18:47:32.336785	2013-08-04 18:47:32.336785	243
36809	179222	2188	2013-08-04 18:47:32.347031	2013-08-04 18:47:32.347031	243
36810	179277	31279	2013-08-04 18:47:32.45936	2013-08-04 18:47:32.45936	243
36811	179277	31259	2013-08-04 18:47:32.465278	2013-08-04 18:47:32.465278	243
36812	179277	29381	2013-08-04 18:47:32.470114	2013-08-04 18:47:32.470114	243
36813	179277	27010	2013-08-04 18:47:32.476123	2013-08-04 18:47:32.476123	243
36814	179277	31232	2013-08-04 18:47:32.482004	2013-08-04 18:47:32.482004	243
36815	179277	31095	2013-08-04 18:47:32.48902	2013-08-04 18:47:32.48902	243
36816	179277	31198	2013-08-04 18:47:32.496687	2013-08-04 18:47:32.496687	243
36817	179277	31240	2013-08-04 18:47:32.50501	2013-08-04 18:47:32.50501	243
36818	179277	31239	2013-08-04 18:47:32.513626	2013-08-04 18:47:32.513626	243
36819	178354	31219	2013-08-04 18:47:32.535631	2013-08-04 18:47:32.535631	243
36820	178354	31199	2013-08-04 18:47:32.546844	2013-08-04 18:47:32.546844	243
36821	178354	31179	2013-08-04 18:47:32.557723	2013-08-04 18:47:32.557723	243
36822	178354	31135	2013-08-04 18:47:32.568339	2013-08-04 18:47:32.568339	243
36823	178354	31159	2013-08-04 18:47:32.579406	2013-08-04 18:47:32.579406	243
36824	178354	31139	2013-08-04 18:47:32.590222	2013-08-04 18:47:32.590222	243
36825	178354	31125	2013-08-04 18:47:32.600368	2013-08-04 18:47:32.600368	243
36826	178354	31113	2013-08-04 18:47:32.611359	2013-08-04 18:47:32.611359	243
36827	178354	6785	2013-08-04 18:47:32.622856	2013-08-04 18:47:32.622856	243
36828	179795	7672	2013-08-04 18:47:32.706235	2013-08-04 18:47:32.706235	243
36829	179795	7648	2013-08-04 18:47:32.711092	2013-08-04 18:47:32.711092	243
36830	179795	7668	2013-08-04 18:47:32.715356	2013-08-04 18:47:32.715356	243
36831	179795	7688	2013-08-04 18:47:32.719901	2013-08-04 18:47:32.719901	243
36832	179795	7687	2013-08-04 18:47:32.724445	2013-08-04 18:47:32.724445	243
36833	179795	7667	2013-08-04 18:47:32.728061	2013-08-04 18:47:32.728061	243
36834	179795	7647	2013-08-04 18:47:32.732002	2013-08-04 18:47:32.732002	243
36835	179795	7627	2013-08-04 18:47:32.735654	2013-08-04 18:47:32.735654	243
36836	179795	17597	2013-08-04 18:47:32.739522	2013-08-04 18:47:32.739522	243
36837	179795	29298	2013-08-04 18:47:32.743478	2013-08-04 18:47:32.743478	243
36838	179795	7607	2013-08-04 18:47:32.747921	2013-08-04 18:47:32.747921	243
36839	179795	7683	2013-08-04 18:47:32.752262	2013-08-04 18:47:32.752262	243
36840	179795	7569	2013-08-04 18:47:32.756489	2013-08-04 18:47:32.756489	243
36841	179795	7587	2013-08-04 18:47:32.760333	2013-08-04 18:47:32.760333	243
36842	179795	4269	2013-08-04 18:47:32.764377	2013-08-04 18:47:32.764377	243
36843	179795	3678	2013-08-04 18:47:32.769168	2013-08-04 18:47:32.769168	243
36844	179795	4289	2013-08-04 18:47:32.773328	2013-08-04 18:47:32.773328	243
36845	179795	34797	2013-08-04 18:47:32.777077	2013-08-04 18:47:32.777077	243
36846	179795	7686	2013-08-04 18:47:32.782602	2013-08-04 18:47:32.782602	243
36847	179244	34973	2013-08-04 18:47:32.921109	2013-08-04 18:47:32.921109	243
36848	179244	34953	2013-08-04 18:47:32.925915	2013-08-04 18:47:32.925915	243
36849	179244	34933	2013-08-04 18:47:32.931701	2013-08-04 18:47:32.931701	243
36850	179147	34913	2013-08-04 18:47:32.941573	2013-08-04 18:47:32.941573	243
36851	179147	34893	2013-08-04 18:47:32.947979	2013-08-04 18:47:32.947979	243
36852	179147	34890	2013-08-04 18:47:32.955378	2013-08-04 18:47:32.955378	243
36853	178584	34873	2013-08-04 18:47:32.977471	2013-08-04 18:47:32.977471	243
36854	178584	34805	2013-08-04 18:47:32.988766	2013-08-04 18:47:32.988766	243
36855	178584	34853	2013-08-04 18:47:32.999407	2013-08-04 18:47:32.999407	243
36856	178357	34833	2013-08-04 18:47:33.021474	2013-08-04 18:47:33.021474	243
36857	178357	34718	2013-08-04 18:47:33.031868	2013-08-04 18:47:33.031868	243
36858	178357	34813	2013-08-04 18:47:33.043049	2013-08-04 18:47:33.043049	243
36859	178327	34793	2013-08-04 18:47:33.065519	2013-08-04 18:47:33.065519	243
36860	178327	34773	2013-08-04 18:47:33.076693	2013-08-04 18:47:33.076693	243
36861	178327	34753	2013-08-04 18:47:33.087266	2013-08-04 18:47:33.087266	243
36862	178313	34733	2013-08-04 18:47:33.109327	2013-08-04 18:47:33.109327	243
36863	178313	33385	2013-08-04 18:47:33.120268	2013-08-04 18:47:33.120268	243
36864	178313	30939	2013-08-04 18:47:33.13021	2013-08-04 18:47:33.13021	243
36865	178788	20161	2013-08-04 18:47:33.162182	2013-08-04 18:47:33.162182	243
36866	178788	35383	2013-08-04 18:47:33.170464	2013-08-04 18:47:33.170464	243
36867	178788	36763	2013-08-04 18:47:33.178576	2013-08-04 18:47:33.178576	243
36868	178788	31535	2013-08-04 18:47:33.184822	2013-08-04 18:47:33.184822	243
36869	178788	7329	2013-08-04 18:47:33.192864	2013-08-04 18:47:33.192864	243
36870	178788	36863	2013-08-04 18:47:33.20098	2013-08-04 18:47:33.20098	243
36871	178788	7749	2013-08-04 18:47:33.209113	2013-08-04 18:47:33.209113	243
36872	178788	47603	2013-08-04 18:47:33.217177	2013-08-04 18:47:33.217177	243
36873	178788	7066	2013-08-04 18:47:33.224888	2013-08-04 18:47:33.224888	243
36874	178788	15730	2013-08-04 18:47:33.229556	2013-08-04 18:47:33.229556	243
36875	178788	17301	2013-08-04 18:47:33.232897	2013-08-04 18:47:33.232897	243
36876	178788	28100	2013-08-04 18:47:33.238283	2013-08-04 18:47:33.238283	243
36877	178788	19761	2013-08-04 18:47:33.245726	2013-08-04 18:47:33.245726	243
36878	178788	21253	2013-08-04 18:47:33.253267	2013-08-04 18:47:33.253267	243
36879	178788	21319	2013-08-04 18:47:33.25713	2013-08-04 18:47:33.25713	243
36880	178788	28386	2013-08-04 18:47:33.260678	2013-08-04 18:47:33.260678	243
36881	178788	3924	2013-08-04 18:47:33.26438	2013-08-04 18:47:33.26438	243
36882	178788	17153	2013-08-04 18:47:33.267993	2013-08-04 18:47:33.267993	243
36883	178788	3095	2013-08-04 18:47:33.271313	2013-08-04 18:47:33.271313	243
36884	178784	20161	2013-08-04 18:47:33.282203	2013-08-04 18:47:33.282203	243
36885	178784	35383	2013-08-04 18:47:33.285276	2013-08-04 18:47:33.285276	243
36886	178784	36763	2013-08-04 18:47:33.288361	2013-08-04 18:47:33.288361	243
36887	178784	31535	2013-08-04 18:47:33.291575	2013-08-04 18:47:33.291575	243
36888	178784	7329	2013-08-04 18:47:33.294519	2013-08-04 18:47:33.294519	243
36889	178784	36863	2013-08-04 18:47:33.297422	2013-08-04 18:47:33.297422	243
36890	178784	7749	2013-08-04 18:47:33.300368	2013-08-04 18:47:33.300368	243
36891	178784	47603	2013-08-04 18:47:33.303079	2013-08-04 18:47:33.303079	243
36892	178784	7066	2013-08-04 18:47:33.309516	2013-08-04 18:47:33.309516	243
36893	178784	15730	2013-08-04 18:47:33.316293	2013-08-04 18:47:33.316293	243
36894	178784	17301	2013-08-04 18:47:33.322254	2013-08-04 18:47:33.322254	243
36895	178784	28100	2013-08-04 18:47:33.328892	2013-08-04 18:47:33.328892	243
36896	178784	19761	2013-08-04 18:47:33.335368	2013-08-04 18:47:33.335368	243
36897	178784	21253	2013-08-04 18:47:33.343275	2013-08-04 18:47:33.343275	243
36898	178784	21319	2013-08-04 18:47:33.350809	2013-08-04 18:47:33.350809	243
36899	178784	28386	2013-08-04 18:47:33.359215	2013-08-04 18:47:33.359215	243
36900	178784	3924	2013-08-04 18:47:33.367489	2013-08-04 18:47:33.367489	243
36901	178784	17153	2013-08-04 18:47:33.376222	2013-08-04 18:47:33.376222	243
36902	178784	3095	2013-08-04 18:47:33.384283	2013-08-04 18:47:33.384283	243
36903	179246	31499	2013-08-04 18:47:33.542159	2013-08-04 18:47:33.542159	243
36904	179246	31479	2013-08-04 18:47:33.553926	2013-08-04 18:47:33.553926	243
36905	179246	31459	2013-08-04 18:47:33.564823	2013-08-04 18:47:33.564823	243
36906	179246	17090	2013-08-04 18:47:33.575363	2013-08-04 18:47:33.575363	243
36907	178844	31439	2013-08-04 18:47:33.598689	2013-08-04 18:47:33.598689	243
36908	178844	31525	2013-08-04 18:47:33.610074	2013-08-04 18:47:33.610074	243
36909	178844	31419	2013-08-04 18:47:33.613754	2013-08-04 18:47:33.613754	243
36910	178844	31355	2013-08-04 18:47:33.621023	2013-08-04 18:47:33.621023	243
36911	178649	31398	2013-08-04 18:47:33.701224	2013-08-04 18:47:33.701224	243
36912	178649	31399	2013-08-04 18:47:33.705365	2013-08-04 18:47:33.705365	243
36913	178649	27035	2013-08-04 18:47:33.711168	2013-08-04 18:47:33.711168	243
36914	178649	31379	2013-08-04 18:47:33.716232	2013-08-04 18:47:33.716232	243
36915	178297	31335	2013-08-04 18:47:33.728076	2013-08-04 18:47:33.728076	243
36916	178297	31359	2013-08-04 18:47:33.732988	2013-08-04 18:47:33.732988	243
36917	178297	31339	2013-08-04 18:47:33.737804	2013-08-04 18:47:33.737804	243
36918	178297	31319	2013-08-04 18:47:33.743577	2013-08-04 18:47:33.743577	243
36919	179864	23511	2013-08-04 18:52:28.475348	2013-08-04 18:52:28.475348	244
36920	179864	5146	2013-08-04 18:52:28.487517	2013-08-04 18:52:28.487517	244
36921	179864	34538	2013-08-04 18:52:28.499111	2013-08-04 18:52:28.499111	244
36922	179864	23296	2013-08-04 18:52:28.510858	2013-08-04 18:52:28.510858	244
36923	179866	34110	2013-08-04 18:52:28.68363	2013-08-04 18:52:28.68363	244
36924	179866	34086	2013-08-04 18:52:28.68784	2013-08-04 18:52:28.68784	244
36925	179866	33992	2013-08-04 18:52:28.692262	2013-08-04 18:52:28.692262	244
36926	179866	15539	2013-08-04 18:52:28.697292	2013-08-04 18:52:28.697292	244
36927	179866	33972	2013-08-04 18:52:28.702202	2013-08-04 18:52:28.702202	244
36928	179866	33978	2013-08-04 18:52:28.706914	2013-08-04 18:52:28.706914	244
36929	179866	34066	2013-08-04 18:52:28.711311	2013-08-04 18:52:28.711311	244
36930	179866	34046	2013-08-04 18:52:28.715644	2013-08-04 18:52:28.715644	244
36931	179866	34035	2013-08-04 18:52:28.720229	2013-08-04 18:52:28.720229	244
36932	179866	34026	2013-08-04 18:52:28.724611	2013-08-04 18:52:28.724611	244
36933	179866	33973	2013-08-04 18:52:28.728801	2013-08-04 18:52:28.728801	244
36934	179866	34006	2013-08-04 18:52:28.735194	2013-08-04 18:52:28.735194	244
36935	179866	34025	2013-08-04 18:52:28.742468	2013-08-04 18:52:28.742468	244
36936	179866	33986	2013-08-04 18:52:28.750855	2013-08-04 18:52:28.750855	244
36937	179866	33966	2013-08-04 18:52:28.756388	2013-08-04 18:52:28.756388	244
36938	179866	33946	2013-08-04 18:52:28.765359	2013-08-04 18:52:28.765359	244
36939	179866	33926	2013-08-04 18:52:28.776085	2013-08-04 18:52:28.776085	244
36940	179866	5737	2013-08-04 18:52:28.787226	2013-08-04 18:52:28.787226	244
36941	179866	23256	2013-08-04 18:52:28.79698	2013-08-04 18:52:28.79698	244
36942	179868	21030	2013-08-04 18:52:28.835369	2013-08-04 18:52:28.835369	244
36943	179868	7747	2013-08-04 18:52:28.847538	2013-08-04 18:52:28.847538	244
36944	179868	14283	2013-08-04 18:52:28.859886	2013-08-04 18:52:28.859886	244
36945	179868	7727	2013-08-04 18:52:28.872705	2013-08-04 18:52:28.872705	244
36946	179868	7781	2013-08-04 18:52:28.885258	2013-08-04 18:52:28.885258	244
36947	179868	7707	2013-08-04 18:52:28.898437	2013-08-04 18:52:28.898437	244
36948	179868	2008	2013-08-04 18:52:28.90801	2013-08-04 18:52:28.90801	244
36949	179868	4249	2013-08-04 18:52:28.912233	2013-08-04 18:52:28.912233	244
36950	179868	4357	2013-08-04 18:52:28.916815	2013-08-04 18:52:28.916815	244
36951	179868	7730	2013-08-04 18:52:28.921399	2013-08-04 18:52:28.921399	244
36952	179868	7638	2013-08-04 18:52:28.925773	2013-08-04 18:52:28.925773	244
36953	179868	7658	2013-08-04 18:52:28.929937	2013-08-04 18:52:28.929937	244
36954	179868	7660	2013-08-04 18:52:28.935192	2013-08-04 18:52:28.935192	244
36955	179868	7680	2013-08-04 18:52:28.939306	2013-08-04 18:52:28.939306	244
36956	179868	7572	2013-08-04 18:52:28.945651	2013-08-04 18:52:28.945651	244
36957	179868	7592	2013-08-04 18:52:28.954189	2013-08-04 18:52:28.954189	244
36958	179868	7612	2013-08-04 18:52:28.964556	2013-08-04 18:52:28.964556	244
36959	179868	7632	2013-08-04 18:52:28.975484	2013-08-04 18:52:28.975484	244
36960	179868	7652	2013-08-04 18:52:28.986572	2013-08-04 18:52:28.986572	244
36961	179869	38378	2013-08-04 18:52:29.032912	2013-08-04 18:52:29.032912	244
36962	179869	38392	2013-08-04 18:52:29.038207	2013-08-04 18:52:29.038207	244
36963	179869	38448	2013-08-04 18:52:29.044848	2013-08-04 18:52:29.044848	244
36964	179869	38332	2013-08-04 18:52:29.050976	2013-08-04 18:52:29.050976	244
36965	179869	38428	2013-08-04 18:52:29.056158	2013-08-04 18:52:29.056158	244
36966	179869	38408	2013-08-04 18:52:29.061459	2013-08-04 18:52:29.061459	244
36967	179869	38340	2013-08-04 18:52:29.066349	2013-08-04 18:52:29.066349	244
36968	179869	38388	2013-08-04 18:52:29.07066	2013-08-04 18:52:29.07066	244
36969	179869	38368	2013-08-04 18:52:29.07466	2013-08-04 18:52:29.07466	244
36970	179869	29946	2013-08-04 18:52:29.079381	2013-08-04 18:52:29.079381	244
36971	179869	38348	2013-08-04 18:52:29.084996	2013-08-04 18:52:29.084996	244
36972	179869	38390	2013-08-04 18:52:29.091234	2013-08-04 18:52:29.091234	244
36973	179869	38328	2013-08-04 18:52:29.097781	2013-08-04 18:52:29.097781	244
36974	179869	38325	2013-08-04 18:52:29.16316	2013-08-04 18:52:29.16316	244
36975	179869	38308	2013-08-04 18:52:29.168937	2013-08-04 18:52:29.168937	244
36976	179869	38252	2013-08-04 18:52:29.173923	2013-08-04 18:52:29.173923	244
36977	179869	38288	2013-08-04 18:52:29.178806	2013-08-04 18:52:29.178806	244
36978	179869	38268	2013-08-04 18:52:29.184424	2013-08-04 18:52:29.184424	244
36979	179869	38248	2013-08-04 18:52:29.191955	2013-08-04 18:52:29.191955	244
36980	180463	38128	2013-08-04 18:52:29.220971	2013-08-04 18:52:29.220971	244
36981	180219	34753	2013-08-04 18:52:29.228088	2013-08-04 18:52:29.228088	244
36982	180106	34773	2013-08-04 18:52:29.242426	2013-08-04 18:52:29.242426	244
36983	179995	34793	2013-08-04 18:52:29.264186	2013-08-04 18:52:29.264186	244
36984	179969	31419	2013-08-04 18:52:29.286081	2013-08-04 18:52:29.286081	244
36985	179953	31525	2013-08-04 18:52:29.297965	2013-08-04 18:52:29.297965	244
36986	179933	31439	2013-08-04 18:52:29.306378	2013-08-04 18:52:29.306378	244
36987	179888	31355	2013-08-04 18:52:29.314726	2013-08-04 18:52:29.314726	244
36988	179885	23476	2013-08-04 18:52:29.324517	2013-08-04 18:52:29.324517	244
36989	179883	23196	2013-08-04 18:52:29.331782	2013-08-04 18:52:29.331782	244
36990	179871	38088	2013-08-04 18:52:29.368676	2013-08-04 18:52:29.368676	244
36991	179871	23436	2013-08-04 18:52:29.373218	2013-08-04 18:52:29.373218	244
36992	179871	23170	2013-08-04 18:52:29.379759	2013-08-04 18:52:29.379759	244
36993	180405	20161	2013-08-04 18:52:29.393112	2013-08-04 18:52:29.393112	244
36994	180405	35383	2013-08-04 18:52:29.396764	2013-08-04 18:52:29.396764	244
36995	180405	36763	2013-08-04 18:52:29.399666	2013-08-04 18:52:29.399666	244
36996	180405	31535	2013-08-04 18:52:29.403361	2013-08-04 18:52:29.403361	244
36997	180405	7329	2013-08-04 18:52:29.406267	2013-08-04 18:52:29.406267	244
36998	180405	36863	2013-08-04 18:52:29.410593	2013-08-04 18:52:29.410593	244
36999	180405	7749	2013-08-04 18:52:29.414344	2013-08-04 18:52:29.414344	244
37000	180405	47603	2013-08-04 18:52:29.41728	2013-08-04 18:52:29.41728	244
37001	180405	7066	2013-08-04 18:52:29.420931	2013-08-04 18:52:29.420931	244
37002	180405	15730	2013-08-04 18:52:29.42438	2013-08-04 18:52:29.42438	244
37003	180405	17301	2013-08-04 18:52:29.427151	2013-08-04 18:52:29.427151	244
37004	180405	28100	2013-08-04 18:52:29.430589	2013-08-04 18:52:29.430589	244
37005	180405	19761	2013-08-04 18:52:29.433539	2013-08-04 18:52:29.433539	244
37006	180405	21253	2013-08-04 18:52:29.436498	2013-08-04 18:52:29.436498	244
37007	180405	21319	2013-08-04 18:52:29.440381	2013-08-04 18:52:29.440381	244
37008	180405	28386	2013-08-04 18:52:29.445455	2013-08-04 18:52:29.445455	244
37009	180405	3924	2013-08-04 18:52:29.450851	2013-08-04 18:52:29.450851	244
37010	180405	17153	2013-08-04 18:52:29.455507	2013-08-04 18:52:29.455507	244
37011	180405	3095	2013-08-04 18:52:29.460813	2013-08-04 18:52:29.460813	244
37012	180410	20161	2013-08-04 18:52:29.480178	2013-08-04 18:52:29.480178	244
37013	180410	35383	2013-08-04 18:52:29.488497	2013-08-04 18:52:29.488497	244
37014	180410	36763	2013-08-04 18:52:29.496604	2013-08-04 18:52:29.496604	244
37015	180410	31535	2013-08-04 18:52:29.504901	2013-08-04 18:52:29.504901	244
37016	180410	7329	2013-08-04 18:52:29.513472	2013-08-04 18:52:29.513472	244
37017	180410	36863	2013-08-04 18:52:29.522587	2013-08-04 18:52:29.522587	244
37018	180410	7749	2013-08-04 18:52:29.531209	2013-08-04 18:52:29.531209	244
37019	180410	47603	2013-08-04 18:52:29.539501	2013-08-04 18:52:29.539501	244
37020	180410	7066	2013-08-04 18:52:29.547744	2013-08-04 18:52:29.547744	244
37021	180410	15730	2013-08-04 18:52:29.555534	2013-08-04 18:52:29.555534	244
37022	180410	17301	2013-08-04 18:52:29.558574	2013-08-04 18:52:29.558574	244
37023	180410	28100	2013-08-04 18:52:29.561475	2013-08-04 18:52:29.561475	244
37024	180410	19761	2013-08-04 18:52:29.564471	2013-08-04 18:52:29.564471	244
37025	180410	21253	2013-08-04 18:52:29.567509	2013-08-04 18:52:29.567509	244
37026	180410	21319	2013-08-04 18:52:29.570675	2013-08-04 18:52:29.570675	244
37027	180410	28386	2013-08-04 18:52:29.57387	2013-08-04 18:52:29.57387	244
37028	180410	3924	2013-08-04 18:52:29.57682	2013-08-04 18:52:29.57682	244
37029	180410	17153	2013-08-04 18:52:29.580349	2013-08-04 18:52:29.580349	244
37030	180410	3095	2013-08-04 18:52:29.583761	2013-08-04 18:52:29.583761	244
37031	180412	20161	2013-08-04 18:52:29.599597	2013-08-04 18:52:29.599597	244
37032	180412	35383	2013-08-04 18:52:29.602646	2013-08-04 18:52:29.602646	244
37033	180412	36763	2013-08-04 18:52:29.605698	2013-08-04 18:52:29.605698	244
37034	180412	31535	2013-08-04 18:52:29.608876	2013-08-04 18:52:29.608876	244
37035	180412	7329	2013-08-04 18:52:29.612411	2013-08-04 18:52:29.612411	244
37036	180412	36863	2013-08-04 18:52:29.615659	2013-08-04 18:52:29.615659	244
37037	180412	7749	2013-08-04 18:52:29.618439	2013-08-04 18:52:29.618439	244
37038	180412	47603	2013-08-04 18:52:29.6211	2013-08-04 18:52:29.6211	244
37039	180412	7066	2013-08-04 18:52:29.623685	2013-08-04 18:52:29.623685	244
37040	180412	15730	2013-08-04 18:52:29.626606	2013-08-04 18:52:29.626606	244
37041	180412	17301	2013-08-04 18:52:29.629249	2013-08-04 18:52:29.629249	244
37042	180412	28100	2013-08-04 18:52:29.631678	2013-08-04 18:52:29.631678	244
37043	180412	19761	2013-08-04 18:52:29.633997	2013-08-04 18:52:29.633997	244
37044	180412	21253	2013-08-04 18:52:29.636386	2013-08-04 18:52:29.636386	244
37045	180412	21319	2013-08-04 18:52:29.639863	2013-08-04 18:52:29.639863	244
37046	180412	28386	2013-08-04 18:52:29.643642	2013-08-04 18:52:29.643642	244
37047	180412	3924	2013-08-04 18:52:29.648294	2013-08-04 18:52:29.648294	244
37048	180412	17153	2013-08-04 18:52:29.654622	2013-08-04 18:52:29.654622	244
37049	180412	3095	2013-08-04 18:52:29.65983	2013-08-04 18:52:29.65983	244
37050	179876	38228	2013-08-04 18:52:29.839359	2013-08-04 18:52:29.839359	244
37051	179876	23556	2013-08-04 18:52:29.850034	2013-08-04 18:52:29.850034	244
37052	179876	23336	2013-08-04 18:52:29.860006	2013-08-04 18:52:29.860006	244
37053	180437	6766	2013-08-04 18:52:29.944342	2013-08-04 18:52:29.944342	244
37054	180437	2426	2013-08-04 18:52:29.956277	2013-08-04 18:52:29.956277	244
37055	180437	2401	2013-08-04 18:52:29.968198	2013-08-04 18:52:29.968198	244
37056	180437	11158	2013-08-04 18:52:29.979494	2013-08-04 18:52:29.979494	244
37057	180437	2372	2013-08-04 18:52:29.991076	2013-08-04 18:52:29.991076	244
37058	180437	2455	2013-08-04 18:52:29.999836	2013-08-04 18:52:29.999836	244
37059	180437	2393	2013-08-04 18:52:30.008395	2013-08-04 18:52:30.008395	244
37060	180437	2438	2013-08-04 18:52:30.019474	2013-08-04 18:52:30.019474	244
37061	180437	10835	2013-08-04 18:52:30.030348	2013-08-04 18:52:30.030348	244
37062	180437	11098	2013-08-04 18:52:30.044013	2013-08-04 18:52:30.044013	244
37063	180437	2405	2013-08-04 18:52:30.059136	2013-08-04 18:52:30.059136	244
37064	180437	18478	2013-08-04 18:52:30.072722	2013-08-04 18:52:30.072722	244
37065	180437	2336	2013-08-04 18:52:30.085888	2013-08-04 18:52:30.085888	244
37066	180437	21339	2013-08-04 18:52:30.090382	2013-08-04 18:52:30.090382	244
37067	180437	28366	2013-08-04 18:52:30.095048	2013-08-04 18:52:30.095048	244
37068	180437	28500	2013-08-04 18:52:30.099541	2013-08-04 18:52:30.099541	244
37069	180437	28397	2013-08-04 18:52:30.104501	2013-08-04 18:52:30.104501	244
37070	180437	23957	2013-08-04 18:52:30.109273	2013-08-04 18:52:30.109273	244
37071	180437	23266	2013-08-04 18:52:30.113495	2013-08-04 18:52:30.113495	244
37072	180160	34240	2013-08-04 18:52:30.144327	2013-08-04 18:52:30.144327	244
37073	180160	34286	2013-08-04 18:52:30.155925	2013-08-04 18:52:30.155925	244
37074	180160	34266	2013-08-04 18:52:30.167078	2013-08-04 18:52:30.167078	244
37075	180160	34315	2013-08-04 18:52:30.178426	2013-08-04 18:52:30.178426	244
37076	180160	34246	2013-08-04 18:52:30.189408	2013-08-04 18:52:30.189408	244
37077	180160	34125	2013-08-04 18:52:30.199969	2013-08-04 18:52:30.199969	244
37078	180160	34172	2013-08-04 18:52:30.211093	2013-08-04 18:52:30.211093	244
37079	180160	34226	2013-08-04 18:52:30.222131	2013-08-04 18:52:30.222131	244
37080	180160	34206	2013-08-04 18:52:30.234576	2013-08-04 18:52:30.234576	244
37081	180160	34130	2013-08-04 18:52:30.241792	2013-08-04 18:52:30.241792	244
37082	180160	34186	2013-08-04 18:52:30.250517	2013-08-04 18:52:30.250517	244
37083	180160	34092	2013-08-04 18:52:30.254524	2013-08-04 18:52:30.254524	244
37084	180160	11686	2013-08-04 18:52:30.257717	2013-08-04 18:52:30.257717	244
37085	180160	34153	2013-08-04 18:52:30.262111	2013-08-04 18:52:30.262111	244
37086	180160	34166	2013-08-04 18:52:30.328327	2013-08-04 18:52:30.328327	244
37087	180160	34146	2013-08-04 18:52:30.336539	2013-08-04 18:52:30.336539	244
37088	180160	34126	2013-08-04 18:52:30.347509	2013-08-04 18:52:30.347509	244
37089	180160	34106	2013-08-04 18:52:30.358213	2013-08-04 18:52:30.358213	244
37090	180160	34117	2013-08-04 18:52:30.369387	2013-08-04 18:52:30.369387	244
37091	179917	15740	2013-08-04 18:52:30.410073	2013-08-04 18:52:30.410073	244
37092	179917	15729	2013-08-04 18:52:30.420083	2013-08-04 18:52:30.420083	244
37093	179917	15721	2013-08-04 18:52:30.429012	2013-08-04 18:52:30.429012	244
37094	179917	15710	2013-08-04 18:52:30.434999	2013-08-04 18:52:30.434999	244
37095	179917	15709	2013-08-04 18:52:30.439294	2013-08-04 18:52:30.439294	244
37096	179917	15552	2013-08-04 18:52:30.44577	2013-08-04 18:52:30.44577	244
37097	179917	15689	2013-08-04 18:52:30.452275	2013-08-04 18:52:30.452275	244
37098	179917	15669	2013-08-04 18:52:30.457156	2013-08-04 18:52:30.457156	244
37099	179917	15638	2013-08-04 18:52:30.466471	2013-08-04 18:52:30.466471	244
37100	179917	15649	2013-08-04 18:52:30.477662	2013-08-04 18:52:30.477662	244
37101	179917	23395	2013-08-04 18:52:30.488925	2013-08-04 18:52:30.488925	244
37102	179917	15629	2013-08-04 18:52:30.500519	2013-08-04 18:52:30.500519	244
37103	179917	15609	2013-08-04 18:52:30.51333	2013-08-04 18:52:30.51333	244
37104	179917	15589	2013-08-04 18:52:30.526012	2013-08-04 18:52:30.526012	244
37105	179917	15569	2013-08-04 18:52:30.53794	2013-08-04 18:52:30.53794	244
37106	179917	15549	2013-08-04 18:52:30.549036	2013-08-04 18:52:30.549036	244
37107	179917	15529	2013-08-04 18:52:30.559845	2013-08-04 18:52:30.559845	244
37108	179917	15509	2013-08-04 18:52:30.570905	2013-08-04 18:52:30.570905	244
37109	179917	15430	2013-08-04 18:52:30.582453	2013-08-04 18:52:30.582453	244
37110	181054	31870	2013-08-04 18:52:30.632418	2013-08-04 18:52:30.632418	244
37111	181054	31852	2013-08-04 18:52:30.641603	2013-08-04 18:52:30.641603	244
37112	181054	31791	2013-08-04 18:52:30.651077	2013-08-04 18:52:30.651077	244
37113	181054	31771	2013-08-04 18:52:30.661745	2013-08-04 18:52:30.661745	244
37114	181054	31751	2013-08-04 18:52:30.67265	2013-08-04 18:52:30.67265	244
37115	181054	31731	2013-08-04 18:52:30.68347	2013-08-04 18:52:30.68347	244
37116	181054	19246	2013-08-04 18:52:30.694247	2013-08-04 18:52:30.694247	244
37117	181054	31618	2013-08-04 18:52:30.704586	2013-08-04 18:52:30.704586	244
37118	181054	31711	2013-08-04 18:52:30.71452	2013-08-04 18:52:30.71452	244
37119	181054	31653	2013-08-04 18:52:30.725199	2013-08-04 18:52:30.725199	244
37120	181054	34992	2013-08-04 18:52:30.736522	2013-08-04 18:52:30.736522	244
37121	181054	31691	2013-08-04 18:52:30.748505	2013-08-04 18:52:30.748505	244
37122	181054	31671	2013-08-04 18:52:30.760916	2013-08-04 18:52:30.760916	244
37123	181054	31651	2013-08-04 18:52:30.773192	2013-08-04 18:52:30.773192	244
37124	181054	31710	2013-08-04 18:52:30.786481	2013-08-04 18:52:30.786481	244
37125	181054	31631	2013-08-04 18:52:30.798177	2013-08-04 18:52:30.798177	244
37126	181054	31611	2013-08-04 18:52:30.809392	2013-08-04 18:52:30.809392	244
37127	181054	23456	2013-08-04 18:52:30.820742	2013-08-04 18:52:30.820742	244
37128	181054	23176	2013-08-04 18:52:30.83113	2013-08-04 18:52:30.83113	244
37129	180414	20161	2013-08-04 18:52:30.883976	2013-08-04 18:52:30.883976	244
37130	180414	35383	2013-08-04 18:52:30.88784	2013-08-04 18:52:30.88784	244
37131	180414	36763	2013-08-04 18:52:30.892255	2013-08-04 18:52:30.892255	244
37132	180414	31535	2013-08-04 18:52:30.896016	2013-08-04 18:52:30.896016	244
37133	180414	7329	2013-08-04 18:52:30.900647	2013-08-04 18:52:30.900647	244
37134	180414	36863	2013-08-04 18:52:30.907394	2013-08-04 18:52:30.907394	244
37135	180414	7749	2013-08-04 18:52:30.913752	2013-08-04 18:52:30.913752	244
37136	180414	47603	2013-08-04 18:52:30.920072	2013-08-04 18:52:30.920072	244
37137	180414	7066	2013-08-04 18:52:30.927117	2013-08-04 18:52:30.927117	244
37138	180414	15730	2013-08-04 18:52:30.935041	2013-08-04 18:52:30.935041	244
37139	180414	17301	2013-08-04 18:52:30.94434	2013-08-04 18:52:30.94434	244
37140	180414	28100	2013-08-04 18:52:30.950359	2013-08-04 18:52:30.950359	244
37141	180414	19761	2013-08-04 18:52:30.95674	2013-08-04 18:52:30.95674	244
37142	180414	21253	2013-08-04 18:52:30.966502	2013-08-04 18:52:30.966502	244
37143	180414	21319	2013-08-04 18:52:30.97492	2013-08-04 18:52:30.97492	244
37144	180414	28386	2013-08-04 18:52:30.98369	2013-08-04 18:52:30.98369	244
37145	180414	3924	2013-08-04 18:52:30.992153	2013-08-04 18:52:30.992153	244
37146	180414	17153	2013-08-04 18:52:31.001002	2013-08-04 18:52:31.001002	244
37147	180414	3095	2013-08-04 18:52:31.010246	2013-08-04 18:52:31.010246	244
37148	181506	23396	2013-08-04 18:52:31.038511	2013-08-04 18:52:31.038511	244
37149	179874	17041	2013-08-04 18:52:31.04557	2013-08-04 18:52:31.04557	244
37150	181505	23796	2013-08-04 18:52:31.063243	2013-08-04 18:52:31.063243	244
37151	181505	23776	2013-08-04 18:52:31.073899	2013-08-04 18:52:31.073899	244
37152	181505	23756	2013-08-04 18:52:31.083019	2013-08-04 18:52:31.083019	244
37153	181505	23805	2013-08-04 18:52:31.090747	2013-08-04 18:52:31.090747	244
37154	181505	23736	2013-08-04 18:52:31.098953	2013-08-04 18:52:31.098953	244
37155	181505	16211	2013-08-04 18:52:31.106862	2013-08-04 18:52:31.106862	244
37156	181505	23710	2013-08-04 18:52:31.116099	2013-08-04 18:52:31.116099	244
37157	181505	23716	2013-08-04 18:52:31.121628	2013-08-04 18:52:31.121628	244
37158	181505	25370	2013-08-04 18:52:31.126684	2013-08-04 18:52:31.126684	244
37159	181505	14760	2013-08-04 18:52:31.131957	2013-08-04 18:52:31.131957	244
37160	181505	14786	2013-08-04 18:52:31.136864	2013-08-04 18:52:31.136864	244
37161	181505	23696	2013-08-04 18:52:31.14169	2013-08-04 18:52:31.14169	244
37162	181505	23676	2013-08-04 18:52:31.146766	2013-08-04 18:52:31.146766	244
37163	181505	23656	2013-08-04 18:52:31.151102	2013-08-04 18:52:31.151102	244
37164	181505	23636	2013-08-04 18:52:31.156049	2013-08-04 18:52:31.156049	244
37165	181505	23552	2013-08-04 18:52:31.160956	2013-08-04 18:52:31.160956	244
37166	181505	23616	2013-08-04 18:52:31.166148	2013-08-04 18:52:31.166148	244
37167	181505	23596	2013-08-04 18:52:31.171677	2013-08-04 18:52:31.171677	244
37168	181505	23576	2013-08-04 18:52:31.179224	2013-08-04 18:52:31.179224	244
37169	181239	49917	2013-08-04 18:52:31.211137	2013-08-04 18:52:31.211137	244
37170	181239	49897	2013-08-04 18:52:31.222597	2013-08-04 18:52:31.222597	244
37171	181239	49877	2013-08-04 18:52:31.233703	2013-08-04 18:52:31.233703	244
37172	181239	49857	2013-08-04 18:52:31.245151	2013-08-04 18:52:31.245151	244
37173	181239	49837	2013-08-04 18:52:31.255432	2013-08-04 18:52:31.255432	244
37174	181239	49817	2013-08-04 18:52:31.26548	2013-08-04 18:52:31.26548	244
37175	181239	49797	2013-08-04 18:52:31.273435	2013-08-04 18:52:31.273435	244
37176	181239	49777	2013-08-04 18:52:31.280514	2013-08-04 18:52:31.280514	244
37177	181239	49750	2013-08-04 18:52:31.288393	2013-08-04 18:52:31.288393	244
37178	181239	49661	2013-08-04 18:52:31.29287	2013-08-04 18:52:31.29287	244
37179	181239	49757	2013-08-04 18:52:31.297295	2013-08-04 18:52:31.297295	244
37180	181239	49737	2013-08-04 18:52:31.306008	2013-08-04 18:52:31.306008	244
37181	181239	49632	2013-08-04 18:52:31.311879	2013-08-04 18:52:31.311879	244
37182	181239	49717	2013-08-04 18:52:31.316791	2013-08-04 18:52:31.316791	244
37183	181239	49697	2013-08-04 18:52:31.321501	2013-08-04 18:52:31.321501	244
37184	181239	34753	2013-08-04 18:52:31.325637	2013-08-04 18:52:31.325637	244
37185	181239	34813	2013-08-04 18:52:31.328944	2013-08-04 18:52:31.328944	244
37186	181239	23348	2013-08-04 18:52:31.332057	2013-08-04 18:52:31.332057	244
37187	181239	23116	2013-08-04 18:52:31.33898	2013-08-04 18:52:31.33898	244
37188	181507	31759	2013-08-04 18:52:31.424321	2013-08-04 18:52:31.424321	244
37189	181507	31739	2013-08-04 18:52:31.436112	2013-08-04 18:52:31.436112	244
37190	181507	31719	2013-08-04 18:52:31.447715	2013-08-04 18:52:31.447715	244
37191	181507	11708	2013-08-04 18:52:31.458842	2013-08-04 18:52:31.458842	244
37192	181507	31658	2013-08-04 18:52:31.47	2013-08-04 18:52:31.47	244
37193	181507	31660	2013-08-04 18:52:31.481257	2013-08-04 18:52:31.481257	244
37194	181507	31699	2013-08-04 18:52:31.49286	2013-08-04 18:52:31.49286	244
37195	181507	27241	2013-08-04 18:52:31.504404	2013-08-04 18:52:31.504404	244
37196	181507	31679	2013-08-04 18:52:31.515518	2013-08-04 18:52:31.515518	244
37197	180060	31712	2013-08-04 18:52:31.538897	2013-08-04 18:52:31.538897	244
37198	180060	31659	2013-08-04 18:52:31.551393	2013-08-04 18:52:31.551393	244
37199	180060	31639	2013-08-04 18:52:31.563263	2013-08-04 18:52:31.563263	244
37200	180060	31619	2013-08-04 18:52:31.574868	2013-08-04 18:52:31.574868	244
37201	180060	31599	2013-08-04 18:52:31.586105	2013-08-04 18:52:31.586105	244
37202	180060	31579	2013-08-04 18:52:31.596079	2013-08-04 18:52:31.596079	244
37203	180060	31525	2013-08-04 18:52:31.607396	2013-08-04 18:52:31.607396	244
37204	180060	23371	2013-08-04 18:52:31.619216	2013-08-04 18:52:31.619216	244
37205	180060	17070	2013-08-04 18:52:31.631464	2013-08-04 18:52:31.631464	244
37206	179880	18578	2013-08-04 18:52:31.861924	2013-08-04 18:52:31.861924	244
37207	179880	7867	2013-08-04 18:52:31.865953	2013-08-04 18:52:31.865953	244
37208	179880	7975	2013-08-04 18:52:31.870014	2013-08-04 18:52:31.870014	244
37209	179880	7700	2013-08-04 18:52:31.874036	2013-08-04 18:52:31.874036	244
37210	179880	7720	2013-08-04 18:52:31.881523	2013-08-04 18:52:31.881523	244
37211	179880	7740	2013-08-04 18:52:31.887682	2013-08-04 18:52:31.887682	244
37212	179880	7760	2013-08-04 18:52:31.895325	2013-08-04 18:52:31.895325	244
37213	179880	7723	2013-08-04 18:52:31.900642	2013-08-04 18:52:31.900642	244
37214	179880	7708	2013-08-04 18:52:31.906812	2013-08-04 18:52:31.906812	244
37215	179880	7728	2013-08-04 18:52:31.910676	2013-08-04 18:52:31.910676	244
37216	179880	7748	2013-08-04 18:52:31.914583	2013-08-04 18:52:31.914583	244
37217	179880	7847	2013-08-04 18:52:31.918704	2013-08-04 18:52:31.918704	244
37218	179880	7827	2013-08-04 18:52:31.922746	2013-08-04 18:52:31.922746	244
37219	179880	7807	2013-08-04 18:52:31.927011	2013-08-04 18:52:31.927011	244
37220	179880	7787	2013-08-04 18:52:31.930855	2013-08-04 18:52:31.930855	244
37221	179880	41463	2013-08-04 18:52:31.935948	2013-08-04 18:52:31.935948	244
37222	179880	41523	2013-08-04 18:52:31.940479	2013-08-04 18:52:31.940479	244
37223	179880	7767	2013-08-04 18:52:31.945147	2013-08-04 18:52:31.945147	244
37224	179880	7801	2013-08-04 18:52:31.949468	2013-08-04 18:52:31.949468	244
37225	181486	35085	2013-08-04 18:52:32.171657	2013-08-04 18:52:32.171657	244
37226	181486	35153	2013-08-04 18:52:32.176918	2013-08-04 18:52:32.176918	244
37227	181486	35100	2013-08-04 18:52:32.181517	2013-08-04 18:52:32.181517	244
37228	180978	35133	2013-08-04 18:52:32.190865	2013-08-04 18:52:32.190865	244
37229	180978	15639	2013-08-04 18:52:32.195923	2013-08-04 18:52:32.195923	244
37230	180978	35113	2013-08-04 18:52:32.200212	2013-08-04 18:52:32.200212	244
37231	180308	35093	2013-08-04 18:52:32.208513	2013-08-04 18:52:32.208513	244
37232	180308	35120	2013-08-04 18:52:32.213228	2013-08-04 18:52:32.213228	244
37233	180308	35073	2013-08-04 18:52:32.217336	2013-08-04 18:52:32.217336	244
37234	180023	35053	2013-08-04 18:52:32.226733	2013-08-04 18:52:32.226733	244
37235	180023	35033	2013-08-04 18:52:32.231552	2013-08-04 18:52:32.231552	244
37236	180023	35013	2013-08-04 18:52:32.237279	2013-08-04 18:52:32.237279	244
37237	179895	5784	2013-08-04 18:52:32.249348	2013-08-04 18:52:32.249348	244
37238	179895	34972	2013-08-04 18:52:32.256653	2013-08-04 18:52:32.256653	244
37239	179895	34955	2013-08-04 18:52:32.265889	2013-08-04 18:52:32.265889	244
37240	179852	34773	2013-08-04 18:52:32.279026	2013-08-04 18:52:32.279026	244
37241	179852	23532	2013-08-04 18:52:32.284539	2013-08-04 18:52:32.284539	244
37242	179852	23156	2013-08-04 18:52:32.287919	2013-08-04 18:52:32.287919	244
37243	180415	20161	2013-08-04 18:52:32.299333	2013-08-04 18:52:32.299333	244
37244	180415	35383	2013-08-04 18:52:32.304122	2013-08-04 18:52:32.304122	244
37245	180415	36763	2013-08-04 18:52:32.307845	2013-08-04 18:52:32.307845	244
37246	180415	31535	2013-08-04 18:52:32.312206	2013-08-04 18:52:32.312206	244
37247	180415	7329	2013-08-04 18:52:32.315252	2013-08-04 18:52:32.315252	244
37248	180415	36863	2013-08-04 18:52:32.317967	2013-08-04 18:52:32.317967	244
37249	180415	7749	2013-08-04 18:52:32.320686	2013-08-04 18:52:32.320686	244
37250	180415	47603	2013-08-04 18:52:32.32349	2013-08-04 18:52:32.32349	244
37251	180415	7066	2013-08-04 18:52:32.32648	2013-08-04 18:52:32.32648	244
37252	180415	15730	2013-08-04 18:52:32.332041	2013-08-04 18:52:32.332041	244
37253	180415	17301	2013-08-04 18:52:32.335456	2013-08-04 18:52:32.335456	244
37254	180415	28100	2013-08-04 18:52:32.338883	2013-08-04 18:52:32.338883	244
37255	180415	19761	2013-08-04 18:52:32.344934	2013-08-04 18:52:32.344934	244
37256	180415	21253	2013-08-04 18:52:32.352039	2013-08-04 18:52:32.352039	244
37257	180415	21319	2013-08-04 18:52:32.36019	2013-08-04 18:52:32.36019	244
37258	180415	28386	2013-08-04 18:52:32.368016	2013-08-04 18:52:32.368016	244
37259	180415	3924	2013-08-04 18:52:32.376453	2013-08-04 18:52:32.376453	244
37260	180415	17153	2013-08-04 18:52:32.384654	2013-08-04 18:52:32.384654	244
37261	180415	3095	2013-08-04 18:52:32.39324	2013-08-04 18:52:32.39324	244
37262	180407	20161	2013-08-04 18:52:32.413433	2013-08-04 18:52:32.413433	244
37263	180407	35383	2013-08-04 18:52:32.417631	2013-08-04 18:52:32.417631	244
37264	180407	36763	2013-08-04 18:52:32.421447	2013-08-04 18:52:32.421447	244
37265	180407	31535	2013-08-04 18:52:32.425848	2013-08-04 18:52:32.425848	244
37266	180407	7329	2013-08-04 18:52:32.428649	2013-08-04 18:52:32.428649	244
37267	180407	36863	2013-08-04 18:52:32.431462	2013-08-04 18:52:32.431462	244
37268	180407	7749	2013-08-04 18:52:32.434644	2013-08-04 18:52:32.434644	244
37269	180407	47603	2013-08-04 18:52:32.438261	2013-08-04 18:52:32.438261	244
37270	180407	7066	2013-08-04 18:52:32.441555	2013-08-04 18:52:32.441555	244
37271	180407	15730	2013-08-04 18:52:32.445223	2013-08-04 18:52:32.445223	244
37272	180407	17301	2013-08-04 18:52:32.448162	2013-08-04 18:52:32.448162	244
37273	180407	28100	2013-08-04 18:52:32.450811	2013-08-04 18:52:32.450811	244
37274	180407	19761	2013-08-04 18:52:32.453598	2013-08-04 18:52:32.453598	244
37275	180407	21253	2013-08-04 18:52:32.456776	2013-08-04 18:52:32.456776	244
37276	180407	21319	2013-08-04 18:52:32.459769	2013-08-04 18:52:32.459769	244
37277	180407	28386	2013-08-04 18:52:32.462408	2013-08-04 18:52:32.462408	244
37278	180407	3924	2013-08-04 18:52:32.464862	2013-08-04 18:52:32.464862	244
37279	180407	17153	2013-08-04 18:52:32.467473	2013-08-04 18:52:32.467473	244
37280	180407	3095	2013-08-04 18:52:32.470483	2013-08-04 18:52:32.470483	244
37281	180980	32019	2013-08-04 18:52:32.529431	2013-08-04 18:52:32.529431	244
37282	180980	31999	2013-08-04 18:52:32.534539	2013-08-04 18:52:32.534539	244
37283	180980	31979	2013-08-04 18:52:32.539537	2013-08-04 18:52:32.539537	244
37284	180980	31959	2013-08-04 18:52:32.544987	2013-08-04 18:52:32.544987	244
37285	180071	31939	2013-08-04 18:52:32.554211	2013-08-04 18:52:32.554211	244
37286	180071	31919	2013-08-04 18:52:32.558691	2013-08-04 18:52:32.558691	244
37287	180071	31899	2013-08-04 18:52:32.56317	2013-08-04 18:52:32.56317	244
37288	180071	31879	2013-08-04 18:52:32.567641	2013-08-04 18:52:32.567641	244
37289	179967	31858	2013-08-04 18:52:32.576162	2013-08-04 18:52:32.576162	244
37290	179967	31760	2013-08-04 18:52:32.58092	2013-08-04 18:52:32.58092	244
37291	179967	31859	2013-08-04 18:52:32.584917	2013-08-04 18:52:32.584917	244
37292	179967	31835	2013-08-04 18:52:32.588275	2013-08-04 18:52:32.588275	244
37293	179850	31839	2013-08-04 18:52:32.598246	2013-08-04 18:52:32.598246	244
37294	179850	31819	2013-08-04 18:52:32.606461	2013-08-04 18:52:32.606461	244
37295	179850	31799	2013-08-04 18:52:32.616995	2013-08-04 18:52:32.616995	244
37296	179850	31833	2013-08-04 18:52:32.626266	2013-08-04 18:52:32.626266	244
37297	181526	34395	2013-08-04 18:57:36.165253	2013-08-04 18:57:36.165253	245
37298	181526	38630	2013-08-04 18:57:36.177588	2013-08-04 18:57:36.177588	245
37299	181526	32211	2013-08-04 18:57:36.188223	2013-08-04 18:57:36.188223	245
37300	181526	31991	2013-08-04 18:57:36.199007	2013-08-04 18:57:36.199007	245
37301	181526	2608	2013-08-04 18:57:36.209597	2013-08-04 18:57:36.209597	245
37302	181525	34786	2013-08-04 18:57:36.435852	2013-08-04 18:57:36.435852	245
37303	181525	34766	2013-08-04 18:57:36.440006	2013-08-04 18:57:36.440006	245
37304	181525	34746	2013-08-04 18:57:36.443861	2013-08-04 18:57:36.443861	245
37305	181525	34726	2013-08-04 18:57:36.447668	2013-08-04 18:57:36.447668	245
37306	181525	34706	2013-08-04 18:57:36.455238	2013-08-04 18:57:36.455238	245
37307	181525	34652	2013-08-04 18:57:36.465701	2013-08-04 18:57:36.465701	245
37308	181525	34585	2013-08-04 18:57:36.476899	2013-08-04 18:57:36.476899	245
37309	181525	34686	2013-08-04 18:57:36.487858	2013-08-04 18:57:36.487858	245
37310	181525	34666	2013-08-04 18:57:36.499008	2013-08-04 18:57:36.499008	245
37311	181525	34620	2013-08-04 18:57:36.510111	2013-08-04 18:57:36.510111	245
37312	181525	34646	2013-08-04 18:57:36.521084	2013-08-04 18:57:36.521084	245
37313	181525	34626	2013-08-04 18:57:36.532765	2013-08-04 18:57:36.532765	245
37314	181525	34673	2013-08-04 18:57:36.54478	2013-08-04 18:57:36.54478	245
37315	181525	34606	2013-08-04 18:57:36.556202	2013-08-04 18:57:36.556202	245
37316	181525	34586	2013-08-04 18:57:36.568321	2013-08-04 18:57:36.568321	245
37317	181525	34566	2013-08-04 18:57:36.580121	2013-08-04 18:57:36.580121	245
37318	181525	34546	2013-08-04 18:57:36.592056	2013-08-04 18:57:36.592056	245
37319	181525	32177	2013-08-04 18:57:36.603281	2013-08-04 18:57:36.603281	245
37320	181525	31893	2013-08-04 18:57:36.614187	2013-08-04 18:57:36.614187	245
37321	181527	7987	2013-08-04 18:57:36.653336	2013-08-04 18:57:36.653336	245
37322	181527	7967	2013-08-04 18:57:36.666121	2013-08-04 18:57:36.666121	245
37323	181527	7947	2013-08-04 18:57:36.673471	2013-08-04 18:57:36.673471	245
37324	181527	7927	2013-08-04 18:57:36.677771	2013-08-04 18:57:36.677771	245
37325	181527	7907	2013-08-04 18:57:36.683867	2013-08-04 18:57:36.683867	245
37326	181527	8231	2013-08-04 18:57:36.688124	2013-08-04 18:57:36.688124	245
37327	181527	8211	2013-08-04 18:57:36.692584	2013-08-04 18:57:36.692584	245
37328	181527	8191	2013-08-04 18:57:36.69725	2013-08-04 18:57:36.69725	245
37329	181527	7921	2013-08-04 18:57:36.702356	2013-08-04 18:57:36.702356	245
37330	181527	18150	2013-08-04 18:57:36.706727	2013-08-04 18:57:36.706727	245
37331	181527	8171	2013-08-04 18:57:36.711063	2013-08-04 18:57:36.711063	245
37332	181527	8151	2013-08-04 18:57:36.71647	2013-08-04 18:57:36.71647	245
37333	181527	7887	2013-08-04 18:57:36.721394	2013-08-04 18:57:36.721394	245
37334	181527	8131	2013-08-04 18:57:36.725217	2013-08-04 18:57:36.725217	245
37335	181527	7941	2013-08-04 18:57:36.732681	2013-08-04 18:57:36.732681	245
37336	181527	8111	2013-08-04 18:57:36.743588	2013-08-04 18:57:36.743588	245
37337	181527	3658	2013-08-04 18:57:36.754814	2013-08-04 18:57:36.754814	245
37338	181527	7946	2013-08-04 18:57:36.766743	2013-08-04 18:57:36.766743	245
37339	181527	2594	2013-08-04 18:57:36.777779	2013-08-04 18:57:36.777779	245
37340	181528	38888	2013-08-04 18:57:36.824504	2013-08-04 18:57:36.824504	245
37341	181528	38800	2013-08-04 18:57:36.83542	2013-08-04 18:57:36.83542	245
37342	181528	38868	2013-08-04 18:57:36.846088	2013-08-04 18:57:36.846088	245
37343	181528	38848	2013-08-04 18:57:36.859765	2013-08-04 18:57:36.859765	245
37344	181528	38828	2013-08-04 18:57:36.871619	2013-08-04 18:57:36.871619	245
37345	181528	38925	2013-08-04 18:57:36.886963	2013-08-04 18:57:36.886963	245
37346	181528	38808	2013-08-04 18:57:36.898812	2013-08-04 18:57:36.898812	245
37347	181528	38788	2013-08-04 18:57:36.904892	2013-08-04 18:57:36.904892	245
37348	181528	38655	2013-08-04 18:57:36.909536	2013-08-04 18:57:36.909536	245
37349	181528	38768	2013-08-04 18:57:36.91476	2013-08-04 18:57:36.91476	245
37350	181528	38748	2013-08-04 18:57:36.919159	2013-08-04 18:57:36.919159	245
37351	181528	38728	2013-08-04 18:57:36.922869	2013-08-04 18:57:36.922869	245
37352	181528	38715	2013-08-04 18:57:36.927835	2013-08-04 18:57:36.927835	245
37353	181528	38708	2013-08-04 18:57:36.935167	2013-08-04 18:57:36.935167	245
37354	181528	38688	2013-08-04 18:57:36.939981	2013-08-04 18:57:36.939981	245
37355	181528	34486	2013-08-04 18:57:36.946562	2013-08-04 18:57:36.946562	245
37356	181528	32171	2013-08-04 18:57:36.953885	2013-08-04 18:57:36.953885	245
37357	181528	31931	2013-08-04 18:57:36.960196	2013-08-04 18:57:36.960196	245
37358	181528	2599	2013-08-04 18:57:36.967488	2013-08-04 18:57:36.967488	245
37359	182361	31760	2013-08-04 18:57:37.0227	2013-08-04 18:57:37.0227	245
37360	182165	31858	2013-08-04 18:57:37.043981	2013-08-04 18:57:37.043981	245
37361	181851	38548	2013-08-04 18:57:37.062962	2013-08-04 18:57:37.062962	245
37362	181770	35073	2013-08-04 18:57:37.084639	2013-08-04 18:57:37.084639	245
37363	181704	35120	2013-08-04 18:57:37.159761	2013-08-04 18:57:37.159761	245
37364	181668	35093	2013-08-04 18:57:37.169927	2013-08-04 18:57:37.169927	245
37365	181568	34446	2013-08-04 18:57:37.181729	2013-08-04 18:57:37.181729	245
37366	181559	32131	2013-08-04 18:57:37.192172	2013-08-04 18:57:37.192172	245
37367	181554	31945	2013-08-04 18:57:37.206482	2013-08-04 18:57:37.206482	245
37368	181551	31752	2013-08-04 18:57:37.226554	2013-08-04 18:57:37.226554	245
37369	182168	31858	2013-08-04 18:57:37.272631	2013-08-04 18:57:37.272631	245
37370	181542	38528	2013-08-04 18:57:37.371699	2013-08-04 18:57:37.371699	245
37371	181542	34406	2013-08-04 18:57:37.382332	2013-08-04 18:57:37.382332	245
37372	181542	32100	2013-08-04 18:57:37.392297	2013-08-04 18:57:37.392297	245
37373	181542	31891	2013-08-04 18:57:37.402213	2013-08-04 18:57:37.402213	245
37374	181542	5384	2013-08-04 18:57:37.412319	2013-08-04 18:57:37.412319	245
37375	182006	20161	2013-08-04 18:57:37.449891	2013-08-04 18:57:37.449891	245
37376	182006	35383	2013-08-04 18:57:37.458647	2013-08-04 18:57:37.458647	245
37377	182006	36763	2013-08-04 18:57:37.467274	2013-08-04 18:57:37.467274	245
37378	182006	31535	2013-08-04 18:57:37.475423	2013-08-04 18:57:37.475423	245
37379	182006	7329	2013-08-04 18:57:37.483716	2013-08-04 18:57:37.483716	245
37380	182006	36863	2013-08-04 18:57:37.49264	2013-08-04 18:57:37.49264	245
37381	182006	7749	2013-08-04 18:57:37.501982	2013-08-04 18:57:37.501982	245
37382	182006	47603	2013-08-04 18:57:37.510984	2013-08-04 18:57:37.510984	245
37383	182006	7066	2013-08-04 18:57:37.519761	2013-08-04 18:57:37.519761	245
37384	182006	15730	2013-08-04 18:57:37.524333	2013-08-04 18:57:37.524333	245
37385	182006	17301	2013-08-04 18:57:37.527035	2013-08-04 18:57:37.527035	245
37386	182006	28100	2013-08-04 18:57:37.529746	2013-08-04 18:57:37.529746	245
37387	182006	19761	2013-08-04 18:57:37.535137	2013-08-04 18:57:37.535137	245
37388	182006	21253	2013-08-04 18:57:37.541015	2013-08-04 18:57:37.541015	245
37389	182006	21319	2013-08-04 18:57:37.549401	2013-08-04 18:57:37.549401	245
37390	182006	28386	2013-08-04 18:57:37.555179	2013-08-04 18:57:37.555179	245
37391	182006	3924	2013-08-04 18:57:37.562447	2013-08-04 18:57:37.562447	245
37392	182006	17153	2013-08-04 18:57:37.571722	2013-08-04 18:57:37.571722	245
37393	182006	3095	2013-08-04 18:57:37.580138	2013-08-04 18:57:37.580138	245
37394	182008	20161	2013-08-04 18:57:37.610885	2013-08-04 18:57:37.610885	245
37395	182008	35383	2013-08-04 18:57:37.613881	2013-08-04 18:57:37.613881	245
37396	182008	36763	2013-08-04 18:57:37.61706	2013-08-04 18:57:37.61706	245
37397	182008	31535	2013-08-04 18:57:37.620262	2013-08-04 18:57:37.620262	245
37398	182008	7329	2013-08-04 18:57:37.623691	2013-08-04 18:57:37.623691	245
37399	182008	36863	2013-08-04 18:57:37.627126	2013-08-04 18:57:37.627126	245
37400	182008	7749	2013-08-04 18:57:37.630522	2013-08-04 18:57:37.630522	245
37401	182008	47603	2013-08-04 18:57:37.633836	2013-08-04 18:57:37.633836	245
37402	182008	7066	2013-08-04 18:57:37.636844	2013-08-04 18:57:37.636844	245
37403	182008	15730	2013-08-04 18:57:37.639862	2013-08-04 18:57:37.639862	245
37404	182008	17301	2013-08-04 18:57:37.642886	2013-08-04 18:57:37.642886	245
37405	182008	28100	2013-08-04 18:57:37.645611	2013-08-04 18:57:37.645611	245
37406	182008	19761	2013-08-04 18:57:37.648184	2013-08-04 18:57:37.648184	245
37407	182008	21253	2013-08-04 18:57:37.650683	2013-08-04 18:57:37.650683	245
37408	182008	21319	2013-08-04 18:57:37.653203	2013-08-04 18:57:37.653203	245
37409	182008	28386	2013-08-04 18:57:37.656012	2013-08-04 18:57:37.656012	245
37410	182008	3924	2013-08-04 18:57:37.659072	2013-08-04 18:57:37.659072	245
37411	182008	17153	2013-08-04 18:57:37.667098	2013-08-04 18:57:37.667098	245
37412	182008	3095	2013-08-04 18:57:37.675322	2013-08-04 18:57:37.675322	245
37413	182009	20161	2013-08-04 18:57:37.705728	2013-08-04 18:57:37.705728	245
37414	182009	35383	2013-08-04 18:57:37.714889	2013-08-04 18:57:37.714889	245
37415	182009	36763	2013-08-04 18:57:37.723881	2013-08-04 18:57:37.723881	245
37416	182009	31535	2013-08-04 18:57:37.73028	2013-08-04 18:57:37.73028	245
37417	182009	7329	2013-08-04 18:57:37.734732	2013-08-04 18:57:37.734732	245
37418	182009	36863	2013-08-04 18:57:37.737924	2013-08-04 18:57:37.737924	245
37419	182009	7749	2013-08-04 18:57:37.741252	2013-08-04 18:57:37.741252	245
37420	182009	47603	2013-08-04 18:57:37.744738	2013-08-04 18:57:37.744738	245
37421	182009	7066	2013-08-04 18:57:37.748611	2013-08-04 18:57:37.748611	245
37422	182009	15730	2013-08-04 18:57:37.752099	2013-08-04 18:57:37.752099	245
37423	182009	17301	2013-08-04 18:57:37.755332	2013-08-04 18:57:37.755332	245
37424	182009	28100	2013-08-04 18:57:37.758699	2013-08-04 18:57:37.758699	245
37425	182009	19761	2013-08-04 18:57:37.762567	2013-08-04 18:57:37.762567	245
37426	182009	21253	2013-08-04 18:57:37.766576	2013-08-04 18:57:37.766576	245
37427	182009	21319	2013-08-04 18:57:37.770873	2013-08-04 18:57:37.770873	245
37428	182009	28386	2013-08-04 18:57:37.775105	2013-08-04 18:57:37.775105	245
37429	182009	3924	2013-08-04 18:57:37.779477	2013-08-04 18:57:37.779477	245
37430	182009	17153	2013-08-04 18:57:37.783735	2013-08-04 18:57:37.783735	245
37431	182009	3095	2013-08-04 18:57:37.78803	2013-08-04 18:57:37.78803	245
37432	181548	32031	2013-08-04 18:57:37.945047	2013-08-04 18:57:37.945047	245
37433	182125	38668	2013-08-04 18:57:37.967083	2013-08-04 18:57:37.967083	245
37434	182125	34557	2013-08-04 18:57:37.971541	2013-08-04 18:57:37.971541	245
37435	182005	32231	2013-08-04 18:57:37.982432	2013-08-04 18:57:37.982432	245
37436	182005	2627	2013-08-04 18:57:37.985988	2013-08-04 18:57:37.985988	245
37437	182069	2598	2013-08-04 18:57:38.016303	2013-08-04 18:57:38.016303	245
37438	182069	2518	2013-08-04 18:57:38.02135	2013-08-04 18:57:38.02135	245
37439	182069	2540	2013-08-04 18:57:38.026243	2013-08-04 18:57:38.026243	245
37440	182069	2560	2013-08-04 18:57:38.032722	2013-08-04 18:57:38.032722	245
37441	182069	2618	2013-08-04 18:57:38.039608	2013-08-04 18:57:38.039608	245
37442	182069	2551	2013-08-04 18:57:38.044326	2013-08-04 18:57:38.044326	245
37443	182069	2663	2013-08-04 18:57:38.047921	2013-08-04 18:57:38.047921	245
37444	182069	2607	2013-08-04 18:57:38.051618	2013-08-04 18:57:38.051618	245
37445	182069	2536	2013-08-04 18:57:38.05556	2013-08-04 18:57:38.05556	245
37446	182001	2596	2013-08-04 18:57:38.063876	2013-08-04 18:57:38.063876	245
37447	182001	2531	2013-08-04 18:57:38.068055	2013-08-04 18:57:38.068055	245
37448	182001	2557	2013-08-04 18:57:38.072519	2013-08-04 18:57:38.072519	245
37449	182001	2564	2013-08-04 18:57:38.077521	2013-08-04 18:57:38.077521	245
37450	182001	2521	2013-08-04 18:57:38.081683	2013-08-04 18:57:38.081683	245
37451	182001	2597	2013-08-04 18:57:38.088944	2013-08-04 18:57:38.088944	245
37452	182001	2625	2013-08-04 18:57:38.095904	2013-08-04 18:57:38.095904	245
37453	182001	2577	2013-08-04 18:57:38.105134	2013-08-04 18:57:38.105134	245
37454	182001	31761	2013-08-04 18:57:38.116507	2013-08-04 18:57:38.116507	245
37455	181655	8147	2013-08-04 18:57:38.160821	2013-08-04 18:57:38.160821	245
37456	181655	8127	2013-08-04 18:57:38.171078	2013-08-04 18:57:38.171078	245
37457	181655	8107	2013-08-04 18:57:38.174793	2013-08-04 18:57:38.174793	245
37458	181655	8087	2013-08-04 18:57:38.178267	2013-08-04 18:57:38.178267	245
37459	181655	8129	2013-08-04 18:57:38.182015	2013-08-04 18:57:38.182015	245
37460	181655	39760	2013-08-04 18:57:38.185319	2013-08-04 18:57:38.185319	245
37461	181655	8067	2013-08-04 18:57:38.18907	2013-08-04 18:57:38.18907	245
37462	181655	8047	2013-08-04 18:57:38.193145	2013-08-04 18:57:38.193145	245
37463	181655	8081	2013-08-04 18:57:38.197087	2013-08-04 18:57:38.197087	245
37464	181535	3569	2013-08-04 18:57:38.216349	2013-08-04 18:57:38.216349	245
37465	181535	8027	2013-08-04 18:57:38.227077	2013-08-04 18:57:38.227077	245
37466	181535	12912	2013-08-04 18:57:38.238209	2013-08-04 18:57:38.238209	245
37467	181535	7938	2013-08-04 18:57:38.250131	2013-08-04 18:57:38.250131	245
37468	181535	7960	2013-08-04 18:57:38.261189	2013-08-04 18:57:38.261189	245
37469	181535	7980	2013-08-04 18:57:38.272781	2013-08-04 18:57:38.272781	245
37470	181535	8000	2013-08-04 18:57:38.283915	2013-08-04 18:57:38.283915	245
37471	181535	7997	2013-08-04 18:57:38.294379	2013-08-04 18:57:38.294379	245
37472	181535	8007	2013-08-04 18:57:38.305498	2013-08-04 18:57:38.305498	245
37473	182002	15889	2013-08-04 18:57:38.401601	2013-08-04 18:57:38.401601	245
37474	182002	15903	2013-08-04 18:57:38.409735	2013-08-04 18:57:38.409735	245
37475	182002	15869	2013-08-04 18:57:38.419277	2013-08-04 18:57:38.419277	245
37476	182002	15741	2013-08-04 18:57:38.43056	2013-08-04 18:57:38.43056	245
37477	182002	15743	2013-08-04 18:57:38.443148	2013-08-04 18:57:38.443148	245
37478	182002	15843	2013-08-04 18:57:38.456045	2013-08-04 18:57:38.456045	245
37479	182002	15757	2013-08-04 18:57:38.467863	2013-08-04 18:57:38.467863	245
37480	182002	15849	2013-08-04 18:57:38.479357	2013-08-04 18:57:38.479357	245
37481	182002	15829	2013-08-04 18:57:38.491104	2013-08-04 18:57:38.491104	245
37482	181538	23821	2013-08-04 18:57:38.515531	2013-08-04 18:57:38.515531	245
37483	181538	15820	2013-08-04 18:57:38.527453	2013-08-04 18:57:38.527453	245
37484	181538	15809	2013-08-04 18:57:38.538702	2013-08-04 18:57:38.538702	245
37485	181538	4246	2013-08-04 18:57:38.550314	2013-08-04 18:57:38.550314	245
37486	181538	15789	2013-08-04 18:57:38.561899	2013-08-04 18:57:38.561899	245
37487	181538	44443	2013-08-04 18:57:38.574351	2013-08-04 18:57:38.574351	245
37488	181538	15769	2013-08-04 18:57:38.58685	2013-08-04 18:57:38.58685	245
37489	181538	15749	2013-08-04 18:57:38.599698	2013-08-04 18:57:38.599698	245
37490	181538	49423	2013-08-04 18:57:38.611775	2013-08-04 18:57:38.611775	245
37491	182010	20161	2013-08-04 18:57:38.690244	2013-08-04 18:57:38.690244	245
37492	182010	35383	2013-08-04 18:57:38.699094	2013-08-04 18:57:38.699094	245
37493	182010	36763	2013-08-04 18:57:38.707691	2013-08-04 18:57:38.707691	245
37494	182010	31535	2013-08-04 18:57:38.716321	2013-08-04 18:57:38.716321	245
37495	182010	7329	2013-08-04 18:57:38.725072	2013-08-04 18:57:38.725072	245
37496	182010	36863	2013-08-04 18:57:38.733528	2013-08-04 18:57:38.733528	245
37497	182010	7749	2013-08-04 18:57:38.741708	2013-08-04 18:57:38.741708	245
37498	182010	47603	2013-08-04 18:57:38.749868	2013-08-04 18:57:38.749868	245
37499	182010	7066	2013-08-04 18:57:38.75688	2013-08-04 18:57:38.75688	245
37500	182010	15730	2013-08-04 18:57:38.761783	2013-08-04 18:57:38.761783	245
37501	182010	17301	2013-08-04 18:57:38.765699	2013-08-04 18:57:38.765699	245
37502	182010	28100	2013-08-04 18:57:38.769828	2013-08-04 18:57:38.769828	245
37503	182010	19761	2013-08-04 18:57:38.773552	2013-08-04 18:57:38.773552	245
37504	182010	21253	2013-08-04 18:57:38.776398	2013-08-04 18:57:38.776398	245
37505	182010	21319	2013-08-04 18:57:38.779585	2013-08-04 18:57:38.779585	245
37506	182010	28386	2013-08-04 18:57:38.782829	2013-08-04 18:57:38.782829	245
37507	182010	3924	2013-08-04 18:57:38.786311	2013-08-04 18:57:38.786311	245
37508	182010	17153	2013-08-04 18:57:38.789802	2013-08-04 18:57:38.789802	245
37509	182010	3095	2013-08-04 18:57:38.793889	2013-08-04 18:57:38.793889	245
37510	181574	34366	2013-08-04 18:57:38.817629	2013-08-04 18:57:38.817629	245
37511	181574	32091	2013-08-04 18:57:38.825627	2013-08-04 18:57:38.825627	245
37512	181574	31717	2013-08-04 18:57:38.832804	2013-08-04 18:57:38.832804	245
37513	181574	2547	2013-08-04 18:57:38.83703	2013-08-04 18:57:38.83703	245
37514	182864	16198	2013-08-04 18:57:38.860267	2013-08-04 18:57:38.860267	245
37515	182864	24036	2013-08-04 18:57:38.866368	2013-08-04 18:57:38.866368	245
37516	182864	24030	2013-08-04 18:57:38.871149	2013-08-04 18:57:38.871149	245
37517	182864	36125	2013-08-04 18:57:38.877106	2013-08-04 18:57:38.877106	245
37518	182864	24016	2013-08-04 18:57:38.881785	2013-08-04 18:57:38.881785	245
37519	182864	23996	2013-08-04 18:57:38.886154	2013-08-04 18:57:38.886154	245
37520	182864	23976	2013-08-04 18:57:38.890403	2013-08-04 18:57:38.890403	245
37521	182864	23956	2013-08-04 18:57:38.896338	2013-08-04 18:57:38.896338	245
37522	182864	23936	2013-08-04 18:57:38.902402	2013-08-04 18:57:38.902402	245
37523	181530	23923	2013-08-04 18:57:38.917041	2013-08-04 18:57:38.917041	245
37524	181530	23916	2013-08-04 18:57:38.923007	2013-08-04 18:57:38.923007	245
37525	181530	23896	2013-08-04 18:57:38.929811	2013-08-04 18:57:38.929811	245
37526	181530	24001	2013-08-04 18:57:38.936854	2013-08-04 18:57:38.936854	245
37527	181530	23876	2013-08-04 18:57:38.9447	2013-08-04 18:57:38.9447	245
37528	181530	23856	2013-08-04 18:57:38.952017	2013-08-04 18:57:38.952017	245
37529	181530	23836	2013-08-04 18:57:38.956843	2013-08-04 18:57:38.956843	245
37530	181530	23816	2013-08-04 18:57:38.962061	2013-08-04 18:57:38.962061	245
37531	181530	2604	2013-08-04 18:57:38.967824	2013-08-04 18:57:38.967824	245
37532	181545	2683	2013-08-04 18:57:38.989415	2013-08-04 18:57:38.989415	245
37533	181545	2303	2013-08-04 18:57:38.995729	2013-08-04 18:57:38.995729	245
37534	181545	1923	2013-08-04 18:57:39.001718	2013-08-04 18:57:39.001718	245
37535	181545	1543	2013-08-04 18:57:39.006153	2013-08-04 18:57:39.006153	245
37536	181545	49941	2013-08-04 18:57:39.009834	2013-08-04 18:57:39.009834	245
37537	181545	1163	2013-08-04 18:57:39.014673	2013-08-04 18:57:39.014673	245
37538	181545	443	2013-08-04 18:57:39.022748	2013-08-04 18:57:39.022748	245
37539	181545	60	2013-08-04 18:57:39.034701	2013-08-04 18:57:39.034701	245
37540	181545	49997	2013-08-04 18:57:39.046606	2013-08-04 18:57:39.046606	245
37541	181545	49938	2013-08-04 18:57:39.057983	2013-08-04 18:57:39.057983	245
37542	181545	49977	2013-08-04 18:57:39.068975	2013-08-04 18:57:39.068975	245
37543	181545	49957	2013-08-04 18:57:39.080229	2013-08-04 18:57:39.080229	245
37544	181545	49937	2013-08-04 18:57:39.091472	2013-08-04 18:57:39.091472	245
37545	181545	38548	2013-08-04 18:57:39.103	2013-08-04 18:57:39.103	245
37546	181545	34955	2013-08-04 18:57:39.113569	2013-08-04 18:57:39.113569	245
37547	181545	15458	2013-08-04 18:57:39.123485	2013-08-04 18:57:39.123485	245
37548	181545	32133	2013-08-04 18:57:39.133702	2013-08-04 18:57:39.133702	245
37549	181545	31851	2013-08-04 18:57:39.143366	2013-08-04 18:57:39.143366	245
37550	181545	2567	2013-08-04 18:57:39.153395	2013-08-04 18:57:39.153395	245
37551	182571	35353	2013-08-04 18:57:39.724586	2013-08-04 18:57:39.724586	245
37552	182571	35333	2013-08-04 18:57:39.735733	2013-08-04 18:57:39.735733	245
37553	182571	35172	2013-08-04 18:57:39.746641	2013-08-04 18:57:39.746641	245
37554	181956	35325	2013-08-04 18:57:39.769032	2013-08-04 18:57:39.769032	245
37555	181956	35275	2013-08-04 18:57:39.781236	2013-08-04 18:57:39.781236	245
37556	181956	35323	2013-08-04 18:57:39.791401	2013-08-04 18:57:39.791401	245
37557	181734	35313	2013-08-04 18:57:39.801898	2013-08-04 18:57:39.801898	245
37558	181734	35293	2013-08-04 18:57:39.806498	2013-08-04 18:57:39.806498	245
37559	181734	35273	2013-08-04 18:57:39.811297	2013-08-04 18:57:39.811297	245
37560	181643	35253	2013-08-04 18:57:39.824124	2013-08-04 18:57:39.824124	245
37561	181643	35233	2013-08-04 18:57:39.829406	2013-08-04 18:57:39.829406	245
37562	181643	35213	2013-08-04 18:57:39.833935	2013-08-04 18:57:39.833935	245
37563	181595	35193	2013-08-04 18:57:39.904299	2013-08-04 18:57:39.904299	245
37564	181595	35073	2013-08-04 18:57:39.910064	2013-08-04 18:57:39.910064	245
37565	181595	34386	2013-08-04 18:57:39.914136	2013-08-04 18:57:39.914136	245
37566	181533	32111	2013-08-04 18:57:39.924421	2013-08-04 18:57:39.924421	245
37567	181533	27275	2013-08-04 18:57:39.929592	2013-08-04 18:57:39.929592	245
37568	181533	2527	2013-08-04 18:57:39.938899	2013-08-04 18:57:39.938899	245
37569	182011	20161	2013-08-04 18:57:39.961311	2013-08-04 18:57:39.961311	245
37570	182011	35383	2013-08-04 18:57:39.964125	2013-08-04 18:57:39.964125	245
37571	182011	36763	2013-08-04 18:57:39.966742	2013-08-04 18:57:39.966742	245
37572	182011	31535	2013-08-04 18:57:39.969405	2013-08-04 18:57:39.969405	245
37573	182011	7329	2013-08-04 18:57:39.974082	2013-08-04 18:57:39.974082	245
37574	182011	36863	2013-08-04 18:57:39.978117	2013-08-04 18:57:39.978117	245
37575	182011	7749	2013-08-04 18:57:39.980727	2013-08-04 18:57:39.980727	245
37576	182011	47603	2013-08-04 18:57:39.984343	2013-08-04 18:57:39.984343	245
37577	182011	7066	2013-08-04 18:57:39.989308	2013-08-04 18:57:39.989308	245
37578	182011	15730	2013-08-04 18:57:39.996873	2013-08-04 18:57:39.996873	245
37579	182011	17301	2013-08-04 18:57:40.004649	2013-08-04 18:57:40.004649	245
37580	182011	28100	2013-08-04 18:57:40.009705	2013-08-04 18:57:40.009705	245
37581	182011	19761	2013-08-04 18:57:40.013906	2013-08-04 18:57:40.013906	245
37582	182011	21253	2013-08-04 18:57:40.018838	2013-08-04 18:57:40.018838	245
37583	182011	21319	2013-08-04 18:57:40.023328	2013-08-04 18:57:40.023328	245
37584	182011	28386	2013-08-04 18:57:40.026864	2013-08-04 18:57:40.026864	245
37585	182011	3924	2013-08-04 18:57:40.029993	2013-08-04 18:57:40.029993	245
37586	182011	17153	2013-08-04 18:57:40.033942	2013-08-04 18:57:40.033942	245
37587	182011	3095	2013-08-04 18:57:40.037668	2013-08-04 18:57:40.037668	245
37588	182007	20161	2013-08-04 18:57:40.050714	2013-08-04 18:57:40.050714	245
37589	182007	35383	2013-08-04 18:57:40.054497	2013-08-04 18:57:40.054497	245
37590	182007	36763	2013-08-04 18:57:40.058015	2013-08-04 18:57:40.058015	245
37591	182007	31535	2013-08-04 18:57:40.061998	2013-08-04 18:57:40.061998	245
37592	182007	7329	2013-08-04 18:57:40.065964	2013-08-04 18:57:40.065964	245
37593	182007	36863	2013-08-04 18:57:40.071866	2013-08-04 18:57:40.071866	245
37594	182007	7749	2013-08-04 18:57:40.078333	2013-08-04 18:57:40.078333	245
37595	182007	47603	2013-08-04 18:57:40.086591	2013-08-04 18:57:40.086591	245
37596	182007	7066	2013-08-04 18:57:40.094833	2013-08-04 18:57:40.094833	245
37597	182007	15730	2013-08-04 18:57:40.103563	2013-08-04 18:57:40.103563	245
37598	182007	17301	2013-08-04 18:57:40.11217	2013-08-04 18:57:40.11217	245
37599	182007	28100	2013-08-04 18:57:40.120712	2013-08-04 18:57:40.120712	245
37600	182007	19761	2013-08-04 18:57:40.128975	2013-08-04 18:57:40.128975	245
37601	182007	21253	2013-08-04 18:57:40.137329	2013-08-04 18:57:40.137329	245
37602	182007	21319	2013-08-04 18:57:40.145919	2013-08-04 18:57:40.145919	245
37603	182007	28386	2013-08-04 18:57:40.154513	2013-08-04 18:57:40.154513	245
37604	182007	3924	2013-08-04 18:57:40.163119	2013-08-04 18:57:40.163119	245
37605	182007	17153	2013-08-04 18:57:40.17141	2013-08-04 18:57:40.17141	245
37606	182007	3095	2013-08-04 18:57:40.178889	2013-08-04 18:57:40.178889	245
37607	182216	32205	2013-08-04 18:57:40.244219	2013-08-04 18:57:40.244219	245
37608	182216	32219	2013-08-04 18:57:40.249659	2013-08-04 18:57:40.249659	245
37609	182216	32199	2013-08-04 18:57:40.256807	2013-08-04 18:57:40.256807	245
37610	182216	27972	2013-08-04 18:57:40.265876	2013-08-04 18:57:40.265876	245
37611	181958	32098	2013-08-04 18:57:40.289299	2013-08-04 18:57:40.289299	245
37612	181958	32051	2013-08-04 18:57:40.301354	2013-08-04 18:57:40.301354	245
37613	181958	32179	2013-08-04 18:57:40.311938	2013-08-04 18:57:40.311938	245
37614	181958	32159	2013-08-04 18:57:40.32448	2013-08-04 18:57:40.32448	245
37615	181768	32139	2013-08-04 18:57:40.337066	2013-08-04 18:57:40.337066	245
37616	181768	32119	2013-08-04 18:57:40.34188	2013-08-04 18:57:40.34188	245
37617	181768	32152	2013-08-04 18:57:40.346647	2013-08-04 18:57:40.346647	245
37618	181768	32099	2013-08-04 18:57:40.351012	2013-08-04 18:57:40.351012	245
37619	181556	32093	2013-08-04 18:57:40.358611	2013-08-04 18:57:40.358611	245
37620	181556	32079	2013-08-04 18:57:40.362685	2013-08-04 18:57:40.362685	245
37621	181556	31831	2013-08-04 18:57:40.366701	2013-08-04 18:57:40.366701	245
37622	181556	2519	2013-08-04 18:57:40.370426	2013-08-04 18:57:40.370426	245
37623	182878	32431	2013-08-04 19:02:38.807321	2013-08-04 19:02:38.807321	246
37624	182878	3446	2013-08-04 19:02:38.813825	2013-08-04 19:02:38.813825	246
37625	182878	34940	2013-08-04 19:02:38.818239	2013-08-04 19:02:38.818239	246
37626	182878	39068	2013-08-04 19:02:38.822839	2013-08-04 19:02:38.822839	246
37627	182881	35306	2013-08-04 19:02:39.000467	2013-08-04 19:02:39.000467	246
37628	182881	35286	2013-08-04 19:02:39.007683	2013-08-04 19:02:39.007683	246
37629	182881	35266	2013-08-04 19:02:39.01376	2013-08-04 19:02:39.01376	246
37630	182881	35246	2013-08-04 19:02:39.020193	2013-08-04 19:02:39.020193	246
37631	182881	35226	2013-08-04 19:02:39.024653	2013-08-04 19:02:39.024653	246
37632	182881	35206	2013-08-04 19:02:39.02983	2013-08-04 19:02:39.02983	246
37633	182881	35190	2013-08-04 19:02:39.034994	2013-08-04 19:02:39.034994	246
37634	182881	35186	2013-08-04 19:02:39.041401	2013-08-04 19:02:39.041401	246
37635	182881	35072	2013-08-04 19:02:39.045564	2013-08-04 19:02:39.045564	246
37636	182881	35095	2013-08-04 19:02:39.049917	2013-08-04 19:02:39.049917	246
37637	182881	35166	2013-08-04 19:02:39.054218	2013-08-04 19:02:39.054218	246
37638	182881	15577	2013-08-04 19:02:39.057744	2013-08-04 19:02:39.057744	246
37639	182881	35146	2013-08-04 19:02:39.061225	2013-08-04 19:02:39.061225	246
37640	182881	35126	2013-08-04 19:02:39.064595	2013-08-04 19:02:39.064595	246
37641	182881	35106	2013-08-04 19:02:39.068082	2013-08-04 19:02:39.068082	246
37642	182881	35086	2013-08-04 19:02:39.071719	2013-08-04 19:02:39.071719	246
37643	182881	35066	2013-08-04 19:02:39.076876	2013-08-04 19:02:39.076876	246
37644	182881	35046	2013-08-04 19:02:39.081997	2013-08-04 19:02:39.081997	246
37645	182881	35026	2013-08-04 19:02:39.08875	2013-08-04 19:02:39.08875	246
37646	182880	8756	2013-08-04 19:02:39.110668	2013-08-04 19:02:39.110668	246
37647	182880	8187	2013-08-04 19:02:39.116901	2013-08-04 19:02:39.116901	246
37648	182880	4979	2013-08-04 19:02:39.122833	2013-08-04 19:02:39.122833	246
37649	182880	8270	2013-08-04 19:02:39.128095	2013-08-04 19:02:39.128095	246
37650	182880	8167	2013-08-04 19:02:39.133127	2013-08-04 19:02:39.133127	246
37651	182880	8181	2013-08-04 19:02:39.137196	2013-08-04 19:02:39.137196	246
37652	182880	8035	2013-08-04 19:02:39.140984	2013-08-04 19:02:39.140984	246
37653	182880	8072	2013-08-04 19:02:39.144789	2013-08-04 19:02:39.144789	246
37654	182880	8092	2013-08-04 19:02:39.148833	2013-08-04 19:02:39.148833	246
37655	182880	8112	2013-08-04 19:02:39.153079	2013-08-04 19:02:39.153079	246
37656	182880	8132	2013-08-04 19:02:39.157292	2013-08-04 19:02:39.157292	246
37657	182880	8152	2013-08-04 19:02:39.160827	2013-08-04 19:02:39.160827	246
37658	182880	8017	2013-08-04 19:02:39.165275	2013-08-04 19:02:39.165275	246
37659	182880	8037	2013-08-04 19:02:39.172226	2013-08-04 19:02:39.172226	246
37660	182880	8057	2013-08-04 19:02:39.177049	2013-08-04 19:02:39.177049	246
37661	182880	8077	2013-08-04 19:02:39.18343	2013-08-04 19:02:39.18343	246
37662	182880	11698	2013-08-04 19:02:39.189661	2013-08-04 19:02:39.189661	246
37663	182880	2519	2013-08-04 19:02:39.193592	2013-08-04 19:02:39.193592	246
37664	182880	2527	2013-08-04 19:02:39.196909	2013-08-04 19:02:39.196909	246
37665	183228	35233	2013-08-04 19:02:39.225128	2013-08-04 19:02:39.225128	246
37666	183108	35253	2013-08-04 19:02:39.237369	2013-08-04 19:02:39.237369	246
37667	183054	34886	2013-08-04 19:02:39.250479	2013-08-04 19:02:39.250479	246
37668	183039	6184	2013-08-04 19:02:39.268315	2013-08-04 19:02:39.268315	246
37669	182993	27972	2013-08-04 19:02:39.284254	2013-08-04 19:02:39.284254	246
37670	182968	32199	2013-08-04 19:02:39.299768	2013-08-04 19:02:39.299768	246
37671	182912	32219	2013-08-04 19:02:39.308627	2013-08-04 19:02:39.308627	246
37672	182909	32205	2013-08-04 19:02:39.316237	2013-08-04 19:02:39.316237	246
37673	182884	41070	2013-08-04 19:02:39.323262	2013-08-04 19:02:39.323262	246
37674	182897	38928	2013-08-04 19:02:39.369991	2013-08-04 19:02:39.369991	246
37675	182897	4866	2013-08-04 19:02:39.373442	2013-08-04 19:02:39.373442	246
37676	182897	6204	2013-08-04 19:02:39.376985	2013-08-04 19:02:39.376985	246
37677	182897	39503	2013-08-04 19:02:39.380114	2013-08-04 19:02:39.380114	246
37678	183240	20161	2013-08-04 19:02:39.39411	2013-08-04 19:02:39.39411	246
37679	183240	35383	2013-08-04 19:02:39.398595	2013-08-04 19:02:39.398595	246
37680	183240	36763	2013-08-04 19:02:39.404659	2013-08-04 19:02:39.404659	246
37681	183240	31535	2013-08-04 19:02:39.412868	2013-08-04 19:02:39.412868	246
37682	183240	7329	2013-08-04 19:02:39.419628	2013-08-04 19:02:39.419628	246
37683	183240	36863	2013-08-04 19:02:39.424329	2013-08-04 19:02:39.424329	246
37684	183240	7749	2013-08-04 19:02:39.429033	2013-08-04 19:02:39.429033	246
37685	183240	47603	2013-08-04 19:02:39.432289	2013-08-04 19:02:39.432289	246
37686	183240	7066	2013-08-04 19:02:39.435032	2013-08-04 19:02:39.435032	246
37687	183240	15730	2013-08-04 19:02:39.437574	2013-08-04 19:02:39.437574	246
37688	183240	17301	2013-08-04 19:02:39.440163	2013-08-04 19:02:39.440163	246
37689	183240	28100	2013-08-04 19:02:39.442874	2013-08-04 19:02:39.442874	246
37690	183240	19761	2013-08-04 19:02:39.446025	2013-08-04 19:02:39.446025	246
37691	183240	21253	2013-08-04 19:02:39.452146	2013-08-04 19:02:39.452146	246
37692	183240	21319	2013-08-04 19:02:39.460161	2013-08-04 19:02:39.460161	246
37693	183240	28386	2013-08-04 19:02:39.468118	2013-08-04 19:02:39.468118	246
37694	183240	3924	2013-08-04 19:02:39.476248	2013-08-04 19:02:39.476248	246
37695	183240	17153	2013-08-04 19:02:39.484446	2013-08-04 19:02:39.484446	246
37696	183240	3095	2013-08-04 19:02:39.492301	2013-08-04 19:02:39.492301	246
37697	183242	20161	2013-08-04 19:02:39.522793	2013-08-04 19:02:39.522793	246
37698	183242	35383	2013-08-04 19:02:39.53102	2013-08-04 19:02:39.53102	246
37699	183242	36763	2013-08-04 19:02:39.5393	2013-08-04 19:02:39.5393	246
37700	183242	31535	2013-08-04 19:02:39.547508	2013-08-04 19:02:39.547508	246
37701	183242	7329	2013-08-04 19:02:39.555684	2013-08-04 19:02:39.555684	246
37702	183242	36863	2013-08-04 19:02:39.563793	2013-08-04 19:02:39.563793	246
37703	183242	7749	2013-08-04 19:02:39.571668	2013-08-04 19:02:39.571668	246
37704	183242	47603	2013-08-04 19:02:39.579774	2013-08-04 19:02:39.579774	246
37705	183242	7066	2013-08-04 19:02:39.58786	2013-08-04 19:02:39.58786	246
37706	183242	15730	2013-08-04 19:02:39.596058	2013-08-04 19:02:39.596058	246
37707	183242	17301	2013-08-04 19:02:39.604171	2013-08-04 19:02:39.604171	246
37708	183242	28100	2013-08-04 19:02:39.612281	2013-08-04 19:02:39.612281	246
37709	183242	19761	2013-08-04 19:02:39.620437	2013-08-04 19:02:39.620437	246
37710	183242	21253	2013-08-04 19:02:39.628821	2013-08-04 19:02:39.628821	246
37711	183242	21319	2013-08-04 19:02:39.637549	2013-08-04 19:02:39.637549	246
37712	183242	28386	2013-08-04 19:02:39.64444	2013-08-04 19:02:39.64444	246
37713	183242	3924	2013-08-04 19:02:39.649565	2013-08-04 19:02:39.649565	246
37714	183242	17153	2013-08-04 19:02:39.652497	2013-08-04 19:02:39.652497	246
37715	183242	3095	2013-08-04 19:02:39.655374	2013-08-04 19:02:39.655374	246
37716	183243	20161	2013-08-04 19:02:39.684893	2013-08-04 19:02:39.684893	246
37717	183243	35383	2013-08-04 19:02:39.689475	2013-08-04 19:02:39.689475	246
37718	183243	36763	2013-08-04 19:02:39.693463	2013-08-04 19:02:39.693463	246
37719	183243	31535	2013-08-04 19:02:39.697245	2013-08-04 19:02:39.697245	246
37720	183243	7329	2013-08-04 19:02:39.7011	2013-08-04 19:02:39.7011	246
37721	183243	36863	2013-08-04 19:02:39.70626	2013-08-04 19:02:39.70626	246
37722	183243	7749	2013-08-04 19:02:39.714813	2013-08-04 19:02:39.714813	246
37723	183243	47603	2013-08-04 19:02:39.722321	2013-08-04 19:02:39.722321	246
37724	183243	7066	2013-08-04 19:02:39.725647	2013-08-04 19:02:39.725647	246
37725	183243	15730	2013-08-04 19:02:39.728503	2013-08-04 19:02:39.728503	246
37726	183243	17301	2013-08-04 19:02:39.731317	2013-08-04 19:02:39.731317	246
37727	183243	28100	2013-08-04 19:02:39.734154	2013-08-04 19:02:39.734154	246
37728	183243	19761	2013-08-04 19:02:39.737191	2013-08-04 19:02:39.737191	246
37729	183243	21253	2013-08-04 19:02:39.740045	2013-08-04 19:02:39.740045	246
37730	183243	21319	2013-08-04 19:02:39.742838	2013-08-04 19:02:39.742838	246
37731	183243	28386	2013-08-04 19:02:39.747358	2013-08-04 19:02:39.747358	246
37732	183243	3924	2013-08-04 19:02:39.75197	2013-08-04 19:02:39.75197	246
37733	183243	17153	2013-08-04 19:02:39.757298	2013-08-04 19:02:39.757298	246
37734	183243	3095	2013-08-04 19:02:39.762972	2013-08-04 19:02:39.762972	246
37735	182893	38995	2013-08-04 19:02:39.999947	2013-08-04 19:02:39.999947	246
37736	182893	35006	2013-08-04 19:02:40.009816	2013-08-04 19:02:40.009816	246
37737	182893	32471	2013-08-04 19:02:40.019668	2013-08-04 19:02:40.019668	246
37738	182893	6584	2013-08-04 19:02:40.029807	2013-08-04 19:02:40.029807	246
37739	182891	35233	2013-08-04 19:02:40.055174	2013-08-04 19:02:40.055174	246
37740	183543	3509	2013-08-04 19:02:40.071908	2013-08-04 19:02:40.071908	246
37741	183543	3534	2013-08-04 19:02:40.076897	2013-08-04 19:02:40.076897	246
37742	183543	3577	2013-08-04 19:02:40.081678	2013-08-04 19:02:40.081678	246
37743	183543	3557	2013-08-04 19:02:40.086927	2013-08-04 19:02:40.086927	246
37744	183543	3469	2013-08-04 19:02:40.091415	2013-08-04 19:02:40.091415	246
37745	183543	3537	2013-08-04 19:02:40.095452	2013-08-04 19:02:40.095452	246
37746	183543	14173	2013-08-04 19:02:40.100309	2013-08-04 19:02:40.100309	246
37747	183543	3408	2013-08-04 19:02:40.107361	2013-08-04 19:02:40.107361	246
37748	183543	25348	2013-08-04 19:02:40.114999	2013-08-04 19:02:40.114999	246
37749	182885	28586	2013-08-04 19:02:40.127637	2013-08-04 19:02:40.127637	246
37750	182885	28615	2013-08-04 19:02:40.131679	2013-08-04 19:02:40.131679	246
37751	182885	28601	2013-08-04 19:02:40.135963	2013-08-04 19:02:40.135963	246
37752	182885	28606	2013-08-04 19:02:40.140382	2013-08-04 19:02:40.140382	246
37753	182885	1212	2013-08-04 19:02:40.14476	2013-08-04 19:02:40.14476	246
37754	182885	28621	2013-08-04 19:02:40.148834	2013-08-04 19:02:40.148834	246
37755	182885	28626	2013-08-04 19:02:40.15281	2013-08-04 19:02:40.15281	246
37756	182885	35203	2013-08-04 19:02:40.156469	2013-08-04 19:02:40.156469	246
37757	182885	41175	2013-08-04 19:02:40.1596	2013-08-04 19:02:40.1596	246
37758	183622	35546	2013-08-04 19:02:40.173824	2013-08-04 19:02:40.173824	246
37759	183622	35526	2013-08-04 19:02:40.17766	2013-08-04 19:02:40.17766	246
37760	183622	35521	2013-08-04 19:02:40.181271	2013-08-04 19:02:40.181271	246
37761	183622	35506	2013-08-04 19:02:40.185848	2013-08-04 19:02:40.185848	246
37762	183622	35486	2013-08-04 19:02:40.190933	2013-08-04 19:02:40.190933	246
37763	183622	35415	2013-08-04 19:02:40.198988	2013-08-04 19:02:40.198988	246
37764	183622	35395	2013-08-04 19:02:40.205664	2013-08-04 19:02:40.205664	246
37765	183622	35440	2013-08-04 19:02:40.215335	2013-08-04 19:02:40.215335	246
37766	183622	35466	2013-08-04 19:02:40.224931	2013-08-04 19:02:40.224931	246
37767	183622	35446	2013-08-04 19:02:40.230059	2013-08-04 19:02:40.230059	246
37768	183622	35426	2013-08-04 19:02:40.234019	2013-08-04 19:02:40.234019	246
37769	183622	35406	2013-08-04 19:02:40.238124	2013-08-04 19:02:40.238124	246
37770	183622	35386	2013-08-04 19:02:40.242504	2013-08-04 19:02:40.242504	246
37771	183622	35366	2013-08-04 19:02:40.246569	2013-08-04 19:02:40.246569	246
37772	183622	35430	2013-08-04 19:02:40.250561	2013-08-04 19:02:40.250561	246
37773	183622	35346	2013-08-04 19:02:40.254457	2013-08-04 19:02:40.254457	246
37774	183622	35326	2013-08-04 19:02:40.258776	2013-08-04 19:02:40.258776	246
37775	183622	35292	2013-08-04 19:02:40.26278	2013-08-04 19:02:40.26278	246
37776	183622	35205	2013-08-04 19:02:40.266755	2013-08-04 19:02:40.266755	246
37777	184026	8315	2013-08-04 19:02:40.285546	2013-08-04 19:02:40.285546	246
37778	184026	8312	2013-08-04 19:02:40.291818	2013-08-04 19:02:40.291818	246
37779	184026	8172	2013-08-04 19:02:40.298678	2013-08-04 19:02:40.298678	246
37780	184026	8257	2013-08-04 19:02:40.306821	2013-08-04 19:02:40.306821	246
37781	184026	8277	2013-08-04 19:02:40.316507	2013-08-04 19:02:40.316507	246
37782	184026	8297	2013-08-04 19:02:40.327233	2013-08-04 19:02:40.327233	246
37783	184026	8317	2013-08-04 19:02:40.338153	2013-08-04 19:02:40.338153	246
37784	184026	8307	2013-08-04 19:02:40.349052	2013-08-04 19:02:40.349052	246
37785	184026	8287	2013-08-04 19:02:40.35947	2013-08-04 19:02:40.35947	246
37786	183152	8267	2013-08-04 19:02:40.377791	2013-08-04 19:02:40.377791	246
37787	183152	38115	2013-08-04 19:02:40.382373	2013-08-04 19:02:40.382373	246
37788	183152	8247	2013-08-04 19:02:40.385547	2013-08-04 19:02:40.385547	246
37789	183152	38135	2013-08-04 19:02:40.389081	2013-08-04 19:02:40.389081	246
37790	183152	17726	2013-08-04 19:02:40.397777	2013-08-04 19:02:40.397777	246
37791	183152	8227	2013-08-04 19:02:40.405423	2013-08-04 19:02:40.405423	246
37792	183152	9899	2013-08-04 19:02:40.411915	2013-08-04 19:02:40.411915	246
37793	183152	8207	2013-08-04 19:02:40.420141	2013-08-04 19:02:40.420141	246
37794	183152	3589	2013-08-04 19:02:40.427812	2013-08-04 19:02:40.427812	246
37795	183151	16040	2013-08-04 19:02:40.44223	2013-08-04 19:02:40.44223	246
37796	183151	16049	2013-08-04 19:02:40.446013	2013-08-04 19:02:40.446013	246
37797	183151	16029	2013-08-04 19:02:40.449859	2013-08-04 19:02:40.449859	246
37798	183151	15988	2013-08-04 19:02:40.455521	2013-08-04 19:02:40.455521	246
37799	183151	15925	2013-08-04 19:02:40.461305	2013-08-04 19:02:40.461305	246
37800	183151	15899	2013-08-04 19:02:40.467421	2013-08-04 19:02:40.467421	246
37801	183151	15992	2013-08-04 19:02:40.474703	2013-08-04 19:02:40.474703	246
37802	183151	16005	2013-08-04 19:02:40.481559	2013-08-04 19:02:40.481559	246
37803	183151	16009	2013-08-04 19:02:40.490539	2013-08-04 19:02:40.490539	246
37804	182898	15989	2013-08-04 19:02:40.507782	2013-08-04 19:02:40.507782	246
37805	182898	16011	2013-08-04 19:02:40.518717	2013-08-04 19:02:40.518717	246
37806	182898	15969	2013-08-04 19:02:40.529415	2013-08-04 19:02:40.529415	246
37807	182898	30945	2013-08-04 19:02:40.540138	2013-08-04 19:02:40.540138	246
37808	182898	15949	2013-08-04 19:02:40.551098	2013-08-04 19:02:40.551098	246
37809	182898	15929	2013-08-04 19:02:40.561739	2013-08-04 19:02:40.561739	246
37810	182898	15909	2013-08-04 19:02:40.572584	2013-08-04 19:02:40.572584	246
37811	182898	16010	2013-08-04 19:02:40.583462	2013-08-04 19:02:40.583462	246
37812	182898	36543	2013-08-04 19:02:40.594347	2013-08-04 19:02:40.594347	246
37813	182947	32671	2013-08-04 19:02:40.627469	2013-08-04 19:02:40.627469	246
37814	182947	32538	2013-08-04 19:02:40.6317	2013-08-04 19:02:40.6317	246
37815	182947	32580	2013-08-04 19:02:40.636952	2013-08-04 19:02:40.636952	246
37816	182947	32651	2013-08-04 19:02:40.641864	2013-08-04 19:02:40.641864	246
37817	182947	15751	2013-08-04 19:02:40.651229	2013-08-04 19:02:40.651229	246
37818	182947	32631	2013-08-04 19:02:40.661707	2013-08-04 19:02:40.661707	246
37819	182947	32611	2013-08-04 19:02:40.671212	2013-08-04 19:02:40.671212	246
37820	182947	32592	2013-08-04 19:02:40.679717	2013-08-04 19:02:40.679717	246
37821	182947	32591	2013-08-04 19:02:40.683681	2013-08-04 19:02:40.683681	246
37822	182947	32571	2013-08-04 19:02:40.688599	2013-08-04 19:02:40.688599	246
37823	182947	32593	2013-08-04 19:02:40.693165	2013-08-04 19:02:40.693165	246
37824	182947	32551	2013-08-04 19:02:40.697414	2013-08-04 19:02:40.697414	246
37825	182947	32531	2013-08-04 19:02:40.701814	2013-08-04 19:02:40.701814	246
37826	182947	32511	2013-08-04 19:02:40.705778	2013-08-04 19:02:40.705778	246
37827	182947	2454	2013-08-04 19:02:40.709979	2013-08-04 19:02:40.709979	246
37828	182947	37065	2013-08-04 19:02:40.714362	2013-08-04 19:02:40.714362	246
37829	182947	32491	2013-08-04 19:02:40.720088	2013-08-04 19:02:40.720088	246
37830	182947	27972	2013-08-04 19:02:40.725917	2013-08-04 19:02:40.725917	246
37831	182947	39603	2013-08-04 19:02:40.731184	2013-08-04 19:02:40.731184	246
37832	183244	20161	2013-08-04 19:02:40.746703	2013-08-04 19:02:40.746703	246
37833	183244	35383	2013-08-04 19:02:40.750646	2013-08-04 19:02:40.750646	246
37834	183244	36763	2013-08-04 19:02:40.753764	2013-08-04 19:02:40.753764	246
37835	183244	31535	2013-08-04 19:02:40.756449	2013-08-04 19:02:40.756449	246
37836	183244	7329	2013-08-04 19:02:40.759265	2013-08-04 19:02:40.759265	246
37837	183244	36863	2013-08-04 19:02:40.762022	2013-08-04 19:02:40.762022	246
37838	183244	7749	2013-08-04 19:02:40.76522	2013-08-04 19:02:40.76522	246
37839	183244	47603	2013-08-04 19:02:40.768763	2013-08-04 19:02:40.768763	246
37840	183244	7066	2013-08-04 19:02:40.771626	2013-08-04 19:02:40.771626	246
37841	183244	15730	2013-08-04 19:02:40.774133	2013-08-04 19:02:40.774133	246
37842	183244	17301	2013-08-04 19:02:40.776922	2013-08-04 19:02:40.776922	246
37843	183244	28100	2013-08-04 19:02:40.779469	2013-08-04 19:02:40.779469	246
37844	183244	19761	2013-08-04 19:02:40.782317	2013-08-04 19:02:40.782317	246
37845	183244	21253	2013-08-04 19:02:40.785201	2013-08-04 19:02:40.785201	246
37846	183244	21319	2013-08-04 19:02:40.788057	2013-08-04 19:02:40.788057	246
37847	183244	28386	2013-08-04 19:02:40.791045	2013-08-04 19:02:40.791045	246
37848	183244	3924	2013-08-04 19:02:40.795189	2013-08-04 19:02:40.795189	246
37849	183244	17153	2013-08-04 19:02:40.799005	2013-08-04 19:02:40.799005	246
37850	183244	3095	2013-08-04 19:02:40.802775	2013-08-04 19:02:40.802775	246
37851	183147	35073	2013-08-04 19:02:40.821523	2013-08-04 19:02:40.821523	246
37852	183147	34775	2013-08-04 19:02:40.826066	2013-08-04 19:02:40.826066	246
37853	182887	32311	2013-08-04 19:02:40.841492	2013-08-04 19:02:40.841492	246
37854	182887	21801	2013-08-04 19:02:40.850968	2013-08-04 19:02:40.850968	246
37855	182971	370	2013-08-04 19:02:40.891722	2013-08-04 19:02:40.891722	246
37856	182971	65	2013-08-04 19:02:40.903123	2013-08-04 19:02:40.903123	246
37857	182971	259	2013-08-04 19:02:40.912052	2013-08-04 19:02:40.912052	246
37858	182971	184	2013-08-04 19:02:40.919595	2013-08-04 19:02:40.919595	246
37859	182971	4583	2013-08-04 19:02:40.929029	2013-08-04 19:02:40.929029	246
37860	182971	45	2013-08-04 19:02:40.94021	2013-08-04 19:02:40.94021	246
37861	182971	124	2013-08-04 19:02:40.951414	2013-08-04 19:02:40.951414	246
37862	182971	206	2013-08-04 19:02:40.962704	2013-08-04 19:02:40.962704	246
37863	182971	284	2013-08-04 19:02:40.975076	2013-08-04 19:02:40.975076	246
37864	182971	272	2013-08-04 19:02:40.984283	2013-08-04 19:02:40.984283	246
37865	182971	3503	2013-08-04 19:02:40.98859	2013-08-04 19:02:40.98859	246
37866	182971	3783	2013-08-04 19:02:40.992929	2013-08-04 19:02:40.992929	246
37867	182971	3063	2013-08-04 19:02:40.99732	2013-08-04 19:02:40.99732	246
37868	182971	3303	2013-08-04 19:02:41.00171	2013-08-04 19:02:41.00171	246
37869	182971	34886	2013-08-04 19:02:41.076463	2013-08-04 19:02:41.076463	246
37870	182971	34826	2013-08-04 19:02:41.087657	2013-08-04 19:02:41.087657	246
37871	182971	34386	2013-08-04 19:02:41.095682	2013-08-04 19:02:41.095682	246
37872	182971	32291	2013-08-04 19:02:41.102108	2013-08-04 19:02:41.102108	246
37873	182971	31841	2013-08-04 19:02:41.106892	2013-08-04 19:02:41.106892	246
37874	183153	32479	2013-08-04 19:02:41.143756	2013-08-04 19:02:41.143756	246
37875	183153	32475	2013-08-04 19:02:41.149963	2013-08-04 19:02:41.149963	246
37876	183153	32459	2013-08-04 19:02:41.157362	2013-08-04 19:02:41.157362	246
37877	183153	32439	2013-08-04 19:02:41.166275	2013-08-04 19:02:41.166275	246
37878	183153	32419	2013-08-04 19:02:41.175926	2013-08-04 19:02:41.175926	246
37879	183153	32399	2013-08-04 19:02:41.18663	2013-08-04 19:02:41.18663	246
37880	183153	32385	2013-08-04 19:02:41.19762	2013-08-04 19:02:41.19762	246
37881	183153	32379	2013-08-04 19:02:41.208471	2013-08-04 19:02:41.208471	246
37882	183153	32359	2013-08-04 19:02:41.219247	2013-08-04 19:02:41.219247	246
37883	182904	6399	2013-08-04 19:02:41.233195	2013-08-04 19:02:41.233195	246
37884	182904	32197	2013-08-04 19:02:41.239202	2013-08-04 19:02:41.239202	246
37885	182904	32271	2013-08-04 19:02:41.246707	2013-08-04 19:02:41.246707	246
37886	182904	32263	2013-08-04 19:02:41.254631	2013-08-04 19:02:41.254631	246
37887	182904	32339	2013-08-04 19:02:41.264259	2013-08-04 19:02:41.264259	246
37888	182904	32319	2013-08-04 19:02:41.275282	2013-08-04 19:02:41.275282	246
37889	182904	32299	2013-08-04 19:02:41.284756	2013-08-04 19:02:41.284756	246
37890	182904	6264	2013-08-04 19:02:41.292916	2013-08-04 19:02:41.292916	246
37891	182904	31921	2013-08-04 19:02:41.297939	2013-08-04 19:02:41.297939	246
37892	183292	35573	2013-08-04 19:02:41.616617	2013-08-04 19:02:41.616617	246
37893	183292	35553	2013-08-04 19:02:41.627324	2013-08-04 19:02:41.627324	246
37894	183292	35610	2013-08-04 19:02:41.637567	2013-08-04 19:02:41.637567	246
37895	183231	35533	2013-08-04 19:02:41.659369	2013-08-04 19:02:41.659369	246
37896	183231	35513	2013-08-04 19:02:41.670615	2013-08-04 19:02:41.670615	246
37897	183231	35493	2013-08-04 19:02:41.681424	2013-08-04 19:02:41.681424	246
37898	183095	5036	2013-08-04 19:02:41.703723	2013-08-04 19:02:41.703723	246
37899	183095	35432	2013-08-04 19:02:41.711895	2013-08-04 19:02:41.711895	246
37900	183095	35473	2013-08-04 19:02:41.717729	2013-08-04 19:02:41.717729	246
37901	182956	35453	2013-08-04 19:02:41.728623	2013-08-04 19:02:41.728623	246
37902	182956	35433	2013-08-04 19:02:41.734199	2013-08-04 19:02:41.734199	246
37903	182956	35413	2013-08-04 19:02:41.740739	2013-08-04 19:02:41.740739	246
37904	182888	35393	2013-08-04 19:02:41.76019	2013-08-04 19:02:41.76019	246
37905	182888	35390	2013-08-04 19:02:41.770629	2013-08-04 19:02:41.770629	246
37906	182888	34812	2013-08-04 19:02:41.782406	2013-08-04 19:02:41.782406	246
37907	182883	6184	2013-08-04 19:02:41.792147	2013-08-04 19:02:41.792147	246
37908	182883	6224	2013-08-04 19:02:41.796284	2013-08-04 19:02:41.796284	246
37909	182883	2575	2013-08-04 19:02:41.799843	2013-08-04 19:02:41.799843	246
37910	183245	20161	2013-08-04 19:02:41.810723	2013-08-04 19:02:41.810723	246
37911	183245	35383	2013-08-04 19:02:41.814281	2013-08-04 19:02:41.814281	246
37912	183245	36763	2013-08-04 19:02:41.817301	2013-08-04 19:02:41.817301	246
37913	183245	31535	2013-08-04 19:02:41.820444	2013-08-04 19:02:41.820444	246
37914	183245	7329	2013-08-04 19:02:41.823411	2013-08-04 19:02:41.823411	246
37915	183245	36863	2013-08-04 19:02:41.825999	2013-08-04 19:02:41.825999	246
37916	183245	7749	2013-08-04 19:02:41.828885	2013-08-04 19:02:41.828885	246
37917	183245	47603	2013-08-04 19:02:41.832366	2013-08-04 19:02:41.832366	246
37918	183245	7066	2013-08-04 19:02:41.835723	2013-08-04 19:02:41.835723	246
37919	183245	15730	2013-08-04 19:02:41.839405	2013-08-04 19:02:41.839405	246
37920	183245	17301	2013-08-04 19:02:41.842706	2013-08-04 19:02:41.842706	246
37921	183245	28100	2013-08-04 19:02:41.845564	2013-08-04 19:02:41.845564	246
37922	183245	19761	2013-08-04 19:02:41.848289	2013-08-04 19:02:41.848289	246
37923	183245	21253	2013-08-04 19:02:41.85112	2013-08-04 19:02:41.85112	246
37924	183245	21319	2013-08-04 19:02:41.854044	2013-08-04 19:02:41.854044	246
37925	183245	28386	2013-08-04 19:02:41.858578	2013-08-04 19:02:41.858578	246
37926	183245	3924	2013-08-04 19:02:41.862541	2013-08-04 19:02:41.862541	246
37927	183245	17153	2013-08-04 19:02:41.866217	2013-08-04 19:02:41.866217	246
37928	183245	3095	2013-08-04 19:02:41.869521	2013-08-04 19:02:41.869521	246
37929	183241	20161	2013-08-04 19:02:41.880401	2013-08-04 19:02:41.880401	246
37930	183241	35383	2013-08-04 19:02:41.883449	2013-08-04 19:02:41.883449	246
37931	183241	36763	2013-08-04 19:02:41.886316	2013-08-04 19:02:41.886316	246
37932	183241	31535	2013-08-04 19:02:41.889447	2013-08-04 19:02:41.889447	246
37933	183241	7329	2013-08-04 19:02:41.892816	2013-08-04 19:02:41.892816	246
37934	183241	36863	2013-08-04 19:02:41.897399	2013-08-04 19:02:41.897399	246
37935	183241	7749	2013-08-04 19:02:41.900974	2013-08-04 19:02:41.900974	246
37936	183241	47603	2013-08-04 19:02:41.904607	2013-08-04 19:02:41.904607	246
37937	183241	7066	2013-08-04 19:02:41.908212	2013-08-04 19:02:41.908212	246
37938	183241	15730	2013-08-04 19:02:41.911598	2013-08-04 19:02:41.911598	246
37939	183241	17301	2013-08-04 19:02:41.914856	2013-08-04 19:02:41.914856	246
37940	183241	28100	2013-08-04 19:02:41.917873	2013-08-04 19:02:41.917873	246
37941	183241	19761	2013-08-04 19:02:41.920537	2013-08-04 19:02:41.920537	246
37942	183241	21253	2013-08-04 19:02:41.923099	2013-08-04 19:02:41.923099	246
37943	183241	21319	2013-08-04 19:02:41.925711	2013-08-04 19:02:41.925711	246
37944	183241	28386	2013-08-04 19:02:41.9295	2013-08-04 19:02:41.9295	246
37945	183241	3924	2013-08-04 19:02:41.932671	2013-08-04 19:02:41.932671	246
37946	183241	17153	2013-08-04 19:02:41.935602	2013-08-04 19:02:41.935602	246
37947	183241	3095	2013-08-04 19:02:41.938755	2013-08-04 19:02:41.938755	246
37948	183109	32659	2013-08-04 19:02:42.00122	2013-08-04 19:02:42.00122	246
37949	183109	32638	2013-08-04 19:02:42.005231	2013-08-04 19:02:42.005231	246
37950	183109	15711	2013-08-04 19:02:42.008893	2013-08-04 19:02:42.008893	246
37951	183109	32639	2013-08-04 19:02:42.012973	2013-08-04 19:02:42.012973	246
37952	183098	32619	2013-08-04 19:02:42.025011	2013-08-04 19:02:42.025011	246
37953	183098	32599	2013-08-04 19:02:42.030465	2013-08-04 19:02:42.030465	246
37954	183098	32579	2013-08-04 19:02:42.035429	2013-08-04 19:02:42.035429	246
37955	183098	32559	2013-08-04 19:02:42.040715	2013-08-04 19:02:42.040715	246
37956	182987	32512	2013-08-04 19:02:42.111357	2013-08-04 19:02:42.111357	246
37957	182987	32539	2013-08-04 19:02:42.123332	2013-08-04 19:02:42.123332	246
37958	182987	32513	2013-08-04 19:02:42.129338	2013-08-04 19:02:42.129338	246
37959	182987	32519	2013-08-04 19:02:42.134997	2013-08-04 19:02:42.134997	246
37960	182958	32521	2013-08-04 19:02:42.145301	2013-08-04 19:02:42.145301	246
37961	182958	32371	2013-08-04 19:02:42.14966	2013-08-04 19:02:42.14966	246
37962	182958	32358	2013-08-04 19:02:42.153497	2013-08-04 19:02:42.153497	246
37963	182958	32480	2013-08-04 19:02:42.158026	2013-08-04 19:02:42.158026	246
37964	184190	35746	2013-08-04 19:07:36.287343	2013-08-04 19:07:36.287343	247
37965	184189	36026	2013-08-04 19:07:36.456153	2013-08-04 19:07:36.456153	247
37966	184189	35990	2013-08-04 19:07:36.468974	2013-08-04 19:07:36.468974	247
37967	184189	36006	2013-08-04 19:07:36.479498	2013-08-04 19:07:36.479498	247
37968	184189	35986	2013-08-04 19:07:36.484006	2013-08-04 19:07:36.484006	247
37969	184189	35966	2013-08-04 19:07:36.489105	2013-08-04 19:07:36.489105	247
37970	184189	35812	2013-08-04 19:07:36.492884	2013-08-04 19:07:36.492884	247
37971	184189	35923	2013-08-04 19:07:36.496288	2013-08-04 19:07:36.496288	247
37972	184189	35903	2013-08-04 19:07:36.499606	2013-08-04 19:07:36.499606	247
37973	184189	35883	2013-08-04 19:07:36.503177	2013-08-04 19:07:36.503177	247
37974	184189	35863	2013-08-04 19:07:36.507594	2013-08-04 19:07:36.507594	247
37975	184189	35946	2013-08-04 19:07:36.511538	2013-08-04 19:07:36.511538	247
37976	184189	35926	2013-08-04 19:07:36.515497	2013-08-04 19:07:36.515497	247
37977	184189	35906	2013-08-04 19:07:36.519004	2013-08-04 19:07:36.519004	247
37978	184189	35820	2013-08-04 19:07:36.521892	2013-08-04 19:07:36.521892	247
37979	184189	35886	2013-08-04 19:07:36.52544	2013-08-04 19:07:36.52544	247
37980	184189	35866	2013-08-04 19:07:36.532952	2013-08-04 19:07:36.532952	247
37981	184189	35846	2013-08-04 19:07:36.539416	2013-08-04 19:07:36.539416	247
37982	184189	35826	2013-08-04 19:07:36.547184	2013-08-04 19:07:36.547184	247
37983	184189	35806	2013-08-04 19:07:36.558586	2013-08-04 19:07:36.558586	247
37984	184192	20535	2013-08-04 19:07:36.597475	2013-08-04 19:07:36.597475	247
37985	184192	41623	2013-08-04 19:07:36.609447	2013-08-04 19:07:36.609447	247
37986	184192	8407	2013-08-04 19:07:36.620871	2013-08-04 19:07:36.620871	247
37987	184192	1038	2013-08-04 19:07:36.632186	2013-08-04 19:07:36.632186	247
37988	184192	15240	2013-08-04 19:07:36.643478	2013-08-04 19:07:36.643478	247
37989	184192	15260	2013-08-04 19:07:36.6548	2013-08-04 19:07:36.6548	247
37990	184192	8387	2013-08-04 19:07:36.665802	2013-08-04 19:07:36.665802	247
37991	184192	15280	2013-08-04 19:07:36.676851	2013-08-04 19:07:36.676851	247
37992	184192	15300	2013-08-04 19:07:36.688073	2013-08-04 19:07:36.688073	247
37993	184192	15320	2013-08-04 19:07:36.699397	2013-08-04 19:07:36.699397	247
37994	184192	15340	2013-08-04 19:07:36.711146	2013-08-04 19:07:36.711146	247
37995	184192	8332	2013-08-04 19:07:36.722131	2013-08-04 19:07:36.722131	247
37996	184192	5878	2013-08-04 19:07:36.733053	2013-08-04 19:07:36.733053	247
37997	184192	8367	2013-08-04 19:07:36.744257	2013-08-04 19:07:36.744257	247
37998	184192	8347	2013-08-04 19:07:36.75537	2013-08-04 19:07:36.75537	247
37999	184192	8327	2013-08-04 19:07:36.766449	2013-08-04 19:07:36.766449	247
38000	184192	8445	2013-08-04 19:07:36.777419	2013-08-04 19:07:36.777419	247
38001	184192	8223	2013-08-04 19:07:36.788417	2013-08-04 19:07:36.788417	247
38002	184192	8275	2013-08-04 19:07:36.800972	2013-08-04 19:07:36.800972	247
38003	184669	20161	2013-08-04 19:07:37.022333	2013-08-04 19:07:37.022333	247
38004	184669	35383	2013-08-04 19:07:37.029582	2013-08-04 19:07:37.029582	247
38005	184669	36763	2013-08-04 19:07:37.035172	2013-08-04 19:07:37.035172	247
38006	184669	31535	2013-08-04 19:07:37.040952	2013-08-04 19:07:37.040952	247
38007	184669	7329	2013-08-04 19:07:37.047058	2013-08-04 19:07:37.047058	247
38008	184669	36863	2013-08-04 19:07:37.054557	2013-08-04 19:07:37.054557	247
38009	184669	7749	2013-08-04 19:07:37.113897	2013-08-04 19:07:37.113897	247
38010	184669	47603	2013-08-04 19:07:37.117624	2013-08-04 19:07:37.117624	247
38011	184669	7066	2013-08-04 19:07:37.121089	2013-08-04 19:07:37.121089	247
38012	184669	15730	2013-08-04 19:07:37.12478	2013-08-04 19:07:37.12478	247
38013	184669	17301	2013-08-04 19:07:37.127845	2013-08-04 19:07:37.127845	247
38014	184669	28100	2013-08-04 19:07:37.130371	2013-08-04 19:07:37.130371	247
38015	184669	19761	2013-08-04 19:07:37.132861	2013-08-04 19:07:37.132861	247
38016	184669	21253	2013-08-04 19:07:37.135393	2013-08-04 19:07:37.135393	247
38017	184669	21319	2013-08-04 19:07:37.13811	2013-08-04 19:07:37.13811	247
38018	184669	28386	2013-08-04 19:07:37.141536	2013-08-04 19:07:37.141536	247
38019	184669	3924	2013-08-04 19:07:37.14478	2013-08-04 19:07:37.14478	247
38020	184669	17153	2013-08-04 19:07:37.147937	2013-08-04 19:07:37.147937	247
38021	184669	3095	2013-08-04 19:07:37.1511	2013-08-04 19:07:37.1511	247
38022	184671	20161	2013-08-04 19:07:37.164469	2013-08-04 19:07:37.164469	247
38023	184671	35383	2013-08-04 19:07:37.169158	2013-08-04 19:07:37.169158	247
38024	184671	36763	2013-08-04 19:07:37.173724	2013-08-04 19:07:37.173724	247
38025	184671	31535	2013-08-04 19:07:37.178649	2013-08-04 19:07:37.178649	247
38026	184671	7329	2013-08-04 19:07:37.183645	2013-08-04 19:07:37.183645	247
38027	184671	36863	2013-08-04 19:07:37.18903	2013-08-04 19:07:37.18903	247
38028	184671	7749	2013-08-04 19:07:37.194372	2013-08-04 19:07:37.194372	247
38029	184671	47603	2013-08-04 19:07:37.20024	2013-08-04 19:07:37.20024	247
38030	184671	7066	2013-08-04 19:07:37.206116	2013-08-04 19:07:37.206116	247
38031	184671	15730	2013-08-04 19:07:37.210988	2013-08-04 19:07:37.210988	247
38032	184671	17301	2013-08-04 19:07:37.213437	2013-08-04 19:07:37.213437	247
38033	184671	28100	2013-08-04 19:07:37.215889	2013-08-04 19:07:37.215889	247
38034	184671	19761	2013-08-04 19:07:37.218784	2013-08-04 19:07:37.218784	247
38035	184671	21253	2013-08-04 19:07:37.22426	2013-08-04 19:07:37.22426	247
38036	184671	21319	2013-08-04 19:07:37.23096	2013-08-04 19:07:37.23096	247
38037	184671	28386	2013-08-04 19:07:37.23898	2013-08-04 19:07:37.23898	247
38038	184671	3924	2013-08-04 19:07:37.246852	2013-08-04 19:07:37.246852	247
38039	184671	17153	2013-08-04 19:07:37.254849	2013-08-04 19:07:37.254849	247
38040	184671	3095	2013-08-04 19:07:37.263299	2013-08-04 19:07:37.263299	247
38041	184672	20161	2013-08-04 19:07:37.295317	2013-08-04 19:07:37.295317	247
38042	184672	35383	2013-08-04 19:07:37.302491	2013-08-04 19:07:37.302491	247
38043	184672	36763	2013-08-04 19:07:37.307907	2013-08-04 19:07:37.307907	247
38044	184672	31535	2013-08-04 19:07:37.310692	2013-08-04 19:07:37.310692	247
38045	184672	7329	2013-08-04 19:07:37.313599	2013-08-04 19:07:37.313599	247
38046	184672	36863	2013-08-04 19:07:37.316145	2013-08-04 19:07:37.316145	247
38047	184672	7749	2013-08-04 19:07:37.319283	2013-08-04 19:07:37.319283	247
38048	184672	47603	2013-08-04 19:07:37.324127	2013-08-04 19:07:37.324127	247
38049	184672	7066	2013-08-04 19:07:37.328126	2013-08-04 19:07:37.328126	247
38050	184672	15730	2013-08-04 19:07:37.33201	2013-08-04 19:07:37.33201	247
38051	184672	17301	2013-08-04 19:07:37.335818	2013-08-04 19:07:37.335818	247
38052	184672	28100	2013-08-04 19:07:37.339986	2013-08-04 19:07:37.339986	247
38053	184672	19761	2013-08-04 19:07:37.343558	2013-08-04 19:07:37.343558	247
38054	184672	21253	2013-08-04 19:07:37.34722	2013-08-04 19:07:37.34722	247
38055	184672	21319	2013-08-04 19:07:37.351473	2013-08-04 19:07:37.351473	247
38056	184672	28386	2013-08-04 19:07:37.354863	2013-08-04 19:07:37.354863	247
38057	184672	3924	2013-08-04 19:07:37.359073	2013-08-04 19:07:37.359073	247
38058	184672	17153	2013-08-04 19:07:37.363555	2013-08-04 19:07:37.363555	247
38059	184672	3095	2013-08-04 19:07:37.368589	2013-08-04 19:07:37.368589	247
38060	184200	35586	2013-08-04 19:07:37.560793	2013-08-04 19:07:37.560793	247
38061	184646	3050	2013-08-04 19:07:37.62117	2013-08-04 19:07:37.62117	247
38062	184646	2869	2013-08-04 19:07:37.632875	2013-08-04 19:07:37.632875	247
38063	184646	3517	2013-08-04 19:07:37.643024	2013-08-04 19:07:37.643024	247
38064	184646	3497	2013-08-04 19:07:37.647202	2013-08-04 19:07:37.647202	247
38065	184646	3554	2013-08-04 19:07:37.651448	2013-08-04 19:07:37.651448	247
38066	184646	3477	2013-08-04 19:07:37.655273	2013-08-04 19:07:37.655273	247
38067	184646	3457	2013-08-04 19:07:37.658834	2013-08-04 19:07:37.658834	247
38068	184646	3574	2013-08-04 19:07:37.662372	2013-08-04 19:07:37.662372	247
38069	184646	3594	2013-08-04 19:07:37.665946	2013-08-04 19:07:37.665946	247
38070	184646	3600	2013-08-04 19:07:37.671257	2013-08-04 19:07:37.671257	247
38071	184646	3580	2013-08-04 19:07:37.676435	2013-08-04 19:07:37.676435	247
38072	184646	3560	2013-08-04 19:07:37.681982	2013-08-04 19:07:37.681982	247
38073	184646	3540	2013-08-04 19:07:37.689684	2013-08-04 19:07:37.689684	247
38074	184646	3520	2013-08-04 19:07:37.699511	2013-08-04 19:07:37.699511	247
38075	184646	3595	2013-08-04 19:07:37.710433	2013-08-04 19:07:37.710433	247
38076	184646	3575	2013-08-04 19:07:37.721237	2013-08-04 19:07:37.721237	247
38077	184646	3555	2013-08-04 19:07:37.732075	2013-08-04 19:07:37.732075	247
38078	184646	3535	2013-08-04 19:07:37.74303	2013-08-04 19:07:37.74303	247
38079	184646	3515	2013-08-04 19:07:37.753841	2013-08-04 19:07:37.753841	247
38080	185138	8586	2013-08-04 19:07:37.796372	2013-08-04 19:07:37.796372	247
38081	185138	8490	2013-08-04 19:07:37.808096	2013-08-04 19:07:37.808096	247
38082	185138	8333	2013-08-04 19:07:37.821588	2013-08-04 19:07:37.821588	247
38083	185138	8340	2013-08-04 19:07:37.832734	2013-08-04 19:07:37.832734	247
38084	185138	8458	2013-08-04 19:07:37.844115	2013-08-04 19:07:37.844115	247
38085	185138	8338	2013-08-04 19:07:37.855161	2013-08-04 19:07:37.855161	247
38086	185138	8358	2013-08-04 19:07:37.865684	2013-08-04 19:07:37.865684	247
38087	185138	8378	2013-08-04 19:07:37.875185	2013-08-04 19:07:37.875185	247
38088	185138	8335	2013-08-04 19:07:37.880418	2013-08-04 19:07:37.880418	247
38089	184658	8337	2013-08-04 19:07:37.889045	2013-08-04 19:07:37.889045	247
38090	184658	8357	2013-08-04 19:07:37.893228	2013-08-04 19:07:37.893228	247
38091	184658	8408	2013-08-04 19:07:37.897177	2013-08-04 19:07:37.897177	247
38092	184658	8428	2013-08-04 19:07:37.905901	2013-08-04 19:07:37.905901	247
38093	184658	8448	2013-08-04 19:07:37.913127	2013-08-04 19:07:37.913127	247
38094	184658	8468	2013-08-04 19:07:37.919176	2013-08-04 19:07:37.919176	247
38095	184658	8467	2013-08-04 19:07:37.923348	2013-08-04 19:07:37.923348	247
38096	184658	8447	2013-08-04 19:07:37.927412	2013-08-04 19:07:37.927412	247
38097	184658	8427	2013-08-04 19:07:37.932206	2013-08-04 19:07:37.932206	247
38098	184665	39341	2013-08-04 19:07:37.971554	2013-08-04 19:07:37.971554	247
38099	184665	39288	2013-08-04 19:07:37.982959	2013-08-04 19:07:37.982959	247
38100	184665	39268	2013-08-04 19:07:37.993669	2013-08-04 19:07:37.993669	247
38101	184665	39248	2013-08-04 19:07:38.004831	2013-08-04 19:07:38.004831	247
38102	184665	39172	2013-08-04 19:07:38.015823	2013-08-04 19:07:38.015823	247
38103	184665	39228	2013-08-04 19:07:38.026692	2013-08-04 19:07:38.026692	247
38104	184665	39208	2013-08-04 19:07:38.037176	2013-08-04 19:07:38.037176	247
38105	184665	39121	2013-08-04 19:07:38.045067	2013-08-04 19:07:38.045067	247
38106	184665	39188	2013-08-04 19:07:38.049674	2013-08-04 19:07:38.049674	247
38107	184342	39168	2013-08-04 19:07:38.061557	2013-08-04 19:07:38.061557	247
38108	184342	39148	2013-08-04 19:07:38.069478	2013-08-04 19:07:38.069478	247
38109	184342	39185	2013-08-04 19:07:38.079461	2013-08-04 19:07:38.079461	247
38110	184342	39161	2013-08-04 19:07:38.090223	2013-08-04 19:07:38.090223	247
38111	184342	39128	2013-08-04 19:07:38.099556	2013-08-04 19:07:38.099556	247
38112	184342	39108	2013-08-04 19:07:38.105098	2013-08-04 19:07:38.105098	247
38113	184342	35686	2013-08-04 19:07:38.111726	2013-08-04 19:07:38.111726	247
38114	184342	32219	2013-08-04 19:07:38.11739	2013-08-04 19:07:38.11739	247
38115	184342	2575	2013-08-04 19:07:38.121499	2013-08-04 19:07:38.121499	247
38116	185135	16190	2013-08-04 19:07:38.138014	2013-08-04 19:07:38.138014	247
38117	185135	16249	2013-08-04 19:07:38.145618	2013-08-04 19:07:38.145618	247
38118	185135	16229	2013-08-04 19:07:38.150566	2013-08-04 19:07:38.150566	247
38119	185135	16321	2013-08-04 19:07:38.158031	2013-08-04 19:07:38.158031	247
38120	185135	16209	2013-08-04 19:07:38.16398	2013-08-04 19:07:38.16398	247
38121	185135	16189	2013-08-04 19:07:38.172604	2013-08-04 19:07:38.172604	247
38122	185135	4389	2013-08-04 19:07:38.180987	2013-08-04 19:07:38.180987	247
38123	185135	16186	2013-08-04 19:07:38.187549	2013-08-04 19:07:38.187549	247
38124	185135	19497	2013-08-04 19:07:38.197053	2013-08-04 19:07:38.197053	247
38125	184662	16017	2013-08-04 19:07:38.213487	2013-08-04 19:07:38.213487	247
38126	184662	16169	2013-08-04 19:07:38.219739	2013-08-04 19:07:38.219739	247
38127	184662	16149	2013-08-04 19:07:38.226191	2013-08-04 19:07:38.226191	247
38128	184662	2624	2013-08-04 19:07:38.232149	2013-08-04 19:07:38.232149	247
38129	184662	16129	2013-08-04 19:07:38.238141	2013-08-04 19:07:38.238141	247
38130	184662	1368	2013-08-04 19:07:38.244046	2013-08-04 19:07:38.244046	247
38131	184662	16109	2013-08-04 19:07:38.250632	2013-08-04 19:07:38.250632	247
38132	184662	16091	2013-08-04 19:07:38.254637	2013-08-04 19:07:38.254637	247
38133	184662	16089	2013-08-04 19:07:38.260832	2013-08-04 19:07:38.260832	247
38134	184667	32871	2013-08-04 19:07:38.403905	2013-08-04 19:07:38.403905	247
38135	184667	32851	2013-08-04 19:07:38.407989	2013-08-04 19:07:38.407989	247
38136	184667	32950	2013-08-04 19:07:38.412179	2013-08-04 19:07:38.412179	247
38137	184667	32860	2013-08-04 19:07:38.416314	2013-08-04 19:07:38.416314	247
38138	184667	32970	2013-08-04 19:07:38.421454	2013-08-04 19:07:38.421454	247
38139	184667	32865	2013-08-04 19:07:38.426327	2013-08-04 19:07:38.426327	247
38140	184667	32831	2013-08-04 19:07:38.430763	2013-08-04 19:07:38.430763	247
38141	184667	17593	2013-08-04 19:07:38.435403	2013-08-04 19:07:38.435403	247
38142	184667	32783	2013-08-04 19:07:38.442133	2013-08-04 19:07:38.442133	247
38143	184667	32811	2013-08-04 19:07:38.44851	2013-08-04 19:07:38.44851	247
38144	184667	32791	2013-08-04 19:07:38.454985	2013-08-04 19:07:38.454985	247
38145	184667	32771	2013-08-04 19:07:38.461206	2013-08-04 19:07:38.461206	247
38146	184667	32813	2013-08-04 19:07:38.467494	2013-08-04 19:07:38.467494	247
38147	184667	32751	2013-08-04 19:07:38.473978	2013-08-04 19:07:38.473978	247
38148	184667	32731	2013-08-04 19:07:38.479355	2013-08-04 19:07:38.479355	247
38149	184667	32711	2013-08-04 19:07:38.489046	2013-08-04 19:07:38.489046	247
38150	184667	32705	2013-08-04 19:07:38.495939	2013-08-04 19:07:38.495939	247
38151	184667	32691	2013-08-04 19:07:38.504479	2013-08-04 19:07:38.504479	247
38152	184667	32777	2013-08-04 19:07:38.515034	2013-08-04 19:07:38.515034	247
38153	184673	39228	2013-08-04 19:07:38.56945	2013-08-04 19:07:38.56945	247
38154	184673	39172	2013-08-04 19:07:38.572658	2013-08-04 19:07:38.572658	247
38155	184673	39248	2013-08-04 19:07:38.57577	2013-08-04 19:07:38.57577	247
38156	184673	39268	2013-08-04 19:07:38.580136	2013-08-04 19:07:38.580136	247
38157	184673	39288	2013-08-04 19:07:38.583297	2013-08-04 19:07:38.583297	247
38158	184673	39341	2013-08-04 19:07:38.586395	2013-08-04 19:07:38.586395	247
38159	184673	21253	2013-08-04 19:07:38.589468	2013-08-04 19:07:38.589468	247
38160	184673	21319	2013-08-04 19:07:38.592501	2013-08-04 19:07:38.592501	247
38161	184673	28386	2013-08-04 19:07:38.597823	2013-08-04 19:07:38.597823	247
38162	184673	3924	2013-08-04 19:07:38.604781	2013-08-04 19:07:38.604781	247
38163	184673	17153	2013-08-04 19:07:38.613161	2013-08-04 19:07:38.613161	247
38164	184673	3095	2013-08-04 19:07:38.621488	2013-08-04 19:07:38.621488	247
38165	184673	8335	2013-08-04 19:07:38.629751	2013-08-04 19:07:38.629751	247
38166	184673	8378	2013-08-04 19:07:38.637986	2013-08-04 19:07:38.637986	247
38167	184673	8358	2013-08-04 19:07:38.646461	2013-08-04 19:07:38.646461	247
38168	184673	8338	2013-08-04 19:07:38.651939	2013-08-04 19:07:38.651939	247
38169	184673	8458	2013-08-04 19:07:38.655476	2013-08-04 19:07:38.655476	247
38170	184673	8340	2013-08-04 19:07:38.660028	2013-08-04 19:07:38.660028	247
38171	184673	8333	2013-08-04 19:07:38.663352	2013-08-04 19:07:38.663352	247
38172	185250	7806	2013-08-04 19:07:38.700233	2013-08-04 19:07:38.700233	247
38173	185250	7823	2013-08-04 19:07:38.705566	2013-08-04 19:07:38.705566	247
38174	185250	24296	2013-08-04 19:07:38.710839	2013-08-04 19:07:38.710839	247
38175	185250	24312	2013-08-04 19:07:38.71549	2013-08-04 19:07:38.71549	247
38176	185250	24276	2013-08-04 19:07:38.722554	2013-08-04 19:07:38.722554	247
38177	185250	24310	2013-08-04 19:07:38.726669	2013-08-04 19:07:38.726669	247
38178	185250	24256	2013-08-04 19:07:38.731279	2013-08-04 19:07:38.731279	247
38179	185250	24236	2013-08-04 19:07:38.736715	2013-08-04 19:07:38.736715	247
38180	185250	24216	2013-08-04 19:07:38.743443	2013-08-04 19:07:38.743443	247
38181	184654	24196	2013-08-04 19:07:38.756462	2013-08-04 19:07:38.756462	247
38182	184654	24176	2013-08-04 19:07:38.761963	2013-08-04 19:07:38.761963	247
38183	184654	24156	2013-08-04 19:07:38.766406	2013-08-04 19:07:38.766406	247
38184	184654	24136	2013-08-04 19:07:38.772314	2013-08-04 19:07:38.772314	247
38185	184654	24116	2013-08-04 19:07:38.776436	2013-08-04 19:07:38.776436	247
38186	184654	24096	2013-08-04 19:07:38.780475	2013-08-04 19:07:38.780475	247
38187	184654	24076	2013-08-04 19:07:38.784597	2013-08-04 19:07:38.784597	247
38188	184654	24056	2013-08-04 19:07:38.789398	2013-08-04 19:07:38.789398	247
38189	184654	2615	2013-08-04 19:07:38.795192	2013-08-04 19:07:38.795192	247
38190	184527	226	2013-08-04 19:07:38.815143	2013-08-04 19:07:38.815143	247
38191	184527	286	2013-08-04 19:07:38.822769	2013-08-04 19:07:38.822769	247
38192	184527	290	2013-08-04 19:07:38.83179	2013-08-04 19:07:38.83179	247
38193	184527	14	2013-08-04 19:07:38.842998	2013-08-04 19:07:38.842998	247
38194	184527	31	2013-08-04 19:07:38.854107	2013-08-04 19:07:38.854107	247
38195	184527	917	2013-08-04 19:07:38.865102	2013-08-04 19:07:38.865102	247
38196	184527	58	2013-08-04 19:07:38.876128	2013-08-04 19:07:38.876128	247
38197	184527	76	2013-08-04 19:07:38.887748	2013-08-04 19:07:38.887748	247
38198	184527	631	2013-08-04 19:07:38.898994	2013-08-04 19:07:38.898994	247
38199	184527	9	2013-08-04 19:07:38.910906	2013-08-04 19:07:38.910906	247
38200	184527	75	2013-08-04 19:07:38.918081	2013-08-04 19:07:38.918081	247
38201	184527	774	2013-08-04 19:07:38.923272	2013-08-04 19:07:38.923272	247
38202	184527	151	2013-08-04 19:07:38.927638	2013-08-04 19:07:38.927638	247
38203	184527	326	2013-08-04 19:07:38.931763	2013-08-04 19:07:38.931763	247
38204	184527	317	2013-08-04 19:07:38.936625	2013-08-04 19:07:38.936625	247
38205	184527	69	2013-08-04 19:07:38.941398	2013-08-04 19:07:38.941398	247
38206	184527	247	2013-08-04 19:07:38.946589	2013-08-04 19:07:38.946589	247
38207	184527	264	2013-08-04 19:07:38.951863	2013-08-04 19:07:38.951863	247
38208	184527	35626	2013-08-04 19:07:38.957592	2013-08-04 19:07:38.957592	247
38209	185134	32959	2013-08-04 19:07:38.995451	2013-08-04 19:07:38.995451	247
38210	185134	32939	2013-08-04 19:07:39.003269	2013-08-04 19:07:39.003269	247
38211	185134	32912	2013-08-04 19:07:39.007915	2013-08-04 19:07:39.007915	247
38212	185134	32919	2013-08-04 19:07:39.012184	2013-08-04 19:07:39.012184	247
38213	185134	32899	2013-08-04 19:07:39.016732	2013-08-04 19:07:39.016732	247
38214	185134	32900	2013-08-04 19:07:39.020972	2013-08-04 19:07:39.020972	247
38215	185134	32879	2013-08-04 19:07:39.025434	2013-08-04 19:07:39.025434	247
38216	185134	32957	2013-08-04 19:07:39.029653	2013-08-04 19:07:39.029653	247
38217	185134	27161	2013-08-04 19:07:39.034086	2013-08-04 19:07:39.034086	247
38218	184733	32859	2013-08-04 19:07:39.041905	2013-08-04 19:07:39.041905	247
38219	184733	32835	2013-08-04 19:07:39.046179	2013-08-04 19:07:39.046179	247
38220	184733	32839	2013-08-04 19:07:39.050644	2013-08-04 19:07:39.050644	247
38221	184733	32819	2013-08-04 19:07:39.05476	2013-08-04 19:07:39.05476	247
38222	184733	32799	2013-08-04 19:07:39.058795	2013-08-04 19:07:39.058795	247
38223	184733	32779	2013-08-04 19:07:39.062877	2013-08-04 19:07:39.062877	247
38224	184733	32759	2013-08-04 19:07:39.067094	2013-08-04 19:07:39.067094	247
38225	184733	32739	2013-08-04 19:07:39.071821	2013-08-04 19:07:39.071821	247
38226	184733	32719	2013-08-04 19:07:39.075478	2013-08-04 19:07:39.075478	247
38227	184887	35773	2013-08-04 19:07:39.439538	2013-08-04 19:07:39.439538	247
38228	184887	35753	2013-08-04 19:07:39.514076	2013-08-04 19:07:39.514076	247
38229	184887	35750	2013-08-04 19:07:39.518439	2013-08-04 19:07:39.518439	247
38230	184558	35733	2013-08-04 19:07:39.524906	2013-08-04 19:07:39.524906	247
38231	184558	35713	2013-08-04 19:07:39.529871	2013-08-04 19:07:39.529871	247
38232	184558	35693	2013-08-04 19:07:39.537421	2013-08-04 19:07:39.537421	247
38233	184454	35718	2013-08-04 19:07:39.555894	2013-08-04 19:07:39.555894	247
38234	184454	35781	2013-08-04 19:07:39.566439	2013-08-04 19:07:39.566439	247
38235	184454	35673	2013-08-04 19:07:39.575498	2013-08-04 19:07:39.575498	247
38236	184320	35653	2013-08-04 19:07:39.599182	2013-08-04 19:07:39.599182	247
38237	184320	35633	2013-08-04 19:07:39.607321	2013-08-04 19:07:39.607321	247
38238	184320	35613	2013-08-04 19:07:39.61182	2013-08-04 19:07:39.61182	247
38239	184208	17731	2013-08-04 19:07:39.61982	2013-08-04 19:07:39.61982	247
38240	184208	35593	2013-08-04 19:07:39.623886	2013-08-04 19:07:39.623886	247
38241	184208	28041	2013-08-04 19:07:39.628411	2013-08-04 19:07:39.628411	247
38242	184674	39228	2013-08-04 19:07:39.643263	2013-08-04 19:07:39.643263	247
38243	184674	39172	2013-08-04 19:07:39.647022	2013-08-04 19:07:39.647022	247
38244	184674	39248	2013-08-04 19:07:39.650066	2013-08-04 19:07:39.650066	247
38245	184674	39268	2013-08-04 19:07:39.652897	2013-08-04 19:07:39.652897	247
38246	184674	39288	2013-08-04 19:07:39.658804	2013-08-04 19:07:39.658804	247
38247	184674	39341	2013-08-04 19:07:39.665378	2013-08-04 19:07:39.665378	247
38248	184674	21253	2013-08-04 19:07:39.670229	2013-08-04 19:07:39.670229	247
38249	184674	21319	2013-08-04 19:07:39.677434	2013-08-04 19:07:39.677434	247
38250	184674	28386	2013-08-04 19:07:39.685764	2013-08-04 19:07:39.685764	247
38251	184674	3924	2013-08-04 19:07:39.694006	2013-08-04 19:07:39.694006	247
38252	184674	17153	2013-08-04 19:07:39.70218	2013-08-04 19:07:39.70218	247
38253	184674	3095	2013-08-04 19:07:39.710373	2013-08-04 19:07:39.710373	247
38254	184674	8335	2013-08-04 19:07:39.718486	2013-08-04 19:07:39.718486	247
38255	184674	8378	2013-08-04 19:07:39.726616	2013-08-04 19:07:39.726616	247
38256	184674	8358	2013-08-04 19:07:39.735001	2013-08-04 19:07:39.735001	247
38257	184674	8338	2013-08-04 19:07:39.743312	2013-08-04 19:07:39.743312	247
38258	184674	8458	2013-08-04 19:07:39.751544	2013-08-04 19:07:39.751544	247
38259	184674	8340	2013-08-04 19:07:39.761086	2013-08-04 19:07:39.761086	247
38260	184674	8333	2013-08-04 19:07:39.769636	2013-08-04 19:07:39.769636	247
38261	184670	39228	2013-08-04 19:07:39.801824	2013-08-04 19:07:39.801824	247
38262	184670	39172	2013-08-04 19:07:39.811438	2013-08-04 19:07:39.811438	247
38263	184670	39248	2013-08-04 19:07:39.820059	2013-08-04 19:07:39.820059	247
38264	184670	39268	2013-08-04 19:07:39.829292	2013-08-04 19:07:39.829292	247
38265	184670	39288	2013-08-04 19:07:39.838595	2013-08-04 19:07:39.838595	247
38266	184670	39341	2013-08-04 19:07:39.847376	2013-08-04 19:07:39.847376	247
38267	184670	21253	2013-08-04 19:07:39.856509	2013-08-04 19:07:39.856509	247
38268	184670	21319	2013-08-04 19:07:39.865112	2013-08-04 19:07:39.865112	247
38269	184670	28386	2013-08-04 19:07:39.873737	2013-08-04 19:07:39.873737	247
38270	184670	3924	2013-08-04 19:07:39.882466	2013-08-04 19:07:39.882466	247
38271	184670	17153	2013-08-04 19:07:39.890921	2013-08-04 19:07:39.890921	247
38272	184670	3095	2013-08-04 19:07:39.899538	2013-08-04 19:07:39.899538	247
38273	184670	8335	2013-08-04 19:07:39.907808	2013-08-04 19:07:39.907808	247
38274	184670	8378	2013-08-04 19:07:39.916117	2013-08-04 19:07:39.916117	247
38275	184670	8358	2013-08-04 19:07:39.924162	2013-08-04 19:07:39.924162	247
38276	184670	8338	2013-08-04 19:07:39.932077	2013-08-04 19:07:39.932077	247
38277	184670	8458	2013-08-04 19:07:39.940559	2013-08-04 19:07:39.940559	247
38278	184670	8340	2013-08-04 19:07:39.947386	2013-08-04 19:07:39.947386	247
38279	184670	8333	2013-08-04 19:07:39.950247	2013-08-04 19:07:39.950247	247
38280	184560	33119	2013-08-04 19:07:40.059353	2013-08-04 19:07:40.059353	247
38281	184560	33099	2013-08-04 19:07:40.070873	2013-08-04 19:07:40.070873	247
38282	184560	33079	2013-08-04 19:07:40.081807	2013-08-04 19:07:40.081807	247
38283	184560	33115	2013-08-04 19:07:40.091221	2013-08-04 19:07:40.091221	247
38284	184534	33059	2013-08-04 19:07:40.09905	2013-08-04 19:07:40.09905	247
38285	184534	33039	2013-08-04 19:07:40.102585	2013-08-04 19:07:40.102585	247
38286	184534	33053	2013-08-04 19:07:40.10591	2013-08-04 19:07:40.10591	247
38287	184534	33075	2013-08-04 19:07:40.109712	2013-08-04 19:07:40.109712	247
38288	184325	33019	2013-08-04 19:07:40.11734	2013-08-04 19:07:40.11734	247
38289	184325	33090	2013-08-04 19:07:40.121521	2013-08-04 19:07:40.121521	247
38290	184325	33073	2013-08-04 19:07:40.125719	2013-08-04 19:07:40.125719	247
38291	184325	33105	2013-08-04 19:07:40.130795	2013-08-04 19:07:40.130795	247
38292	184215	32999	2013-08-04 19:07:40.142239	2013-08-04 19:07:40.142239	247
38293	184215	32979	2013-08-04 19:07:40.149269	2013-08-04 19:07:40.149269	247
38294	184215	32838	2013-08-04 19:07:40.157588	2013-08-04 19:07:40.157588	247
38295	184215	35653	2013-08-04 19:07:40.166043	2013-08-04 19:07:40.166043	247
38296	185607	24761	2013-08-04 19:12:35.909627	2013-08-04 19:12:35.909627	248
38297	185607	24378	2013-08-04 19:12:35.921444	2013-08-04 19:12:35.921444	248
38298	185606	36266	2013-08-04 19:12:36.156562	2013-08-04 19:12:36.156562	248
38299	185606	36246	2013-08-04 19:12:36.168505	2013-08-04 19:12:36.168505	248
38300	185606	36226	2013-08-04 19:12:36.174832	2013-08-04 19:12:36.174832	248
38301	185606	36206	2013-08-04 19:12:36.180842	2013-08-04 19:12:36.180842	248
38302	185606	36186	2013-08-04 19:12:36.189246	2013-08-04 19:12:36.189246	248
38303	185606	36166	2013-08-04 19:12:36.199609	2013-08-04 19:12:36.199609	248
38304	185606	36161	2013-08-04 19:12:36.212066	2013-08-04 19:12:36.212066	248
38305	185606	36146	2013-08-04 19:12:36.224227	2013-08-04 19:12:36.224227	248
38306	185606	36126	2013-08-04 19:12:36.235777	2013-08-04 19:12:36.235777	248
38307	185606	36232	2013-08-04 19:12:36.246626	2013-08-04 19:12:36.246626	248
38308	185606	36072	2013-08-04 19:12:36.257537	2013-08-04 19:12:36.257537	248
38309	185606	36085	2013-08-04 19:12:36.267943	2013-08-04 19:12:36.267943	248
38310	185606	36106	2013-08-04 19:12:36.2788	2013-08-04 19:12:36.2788	248
38311	185606	36086	2013-08-04 19:12:36.289815	2013-08-04 19:12:36.289815	248
38312	185606	36066	2013-08-04 19:12:36.300706	2013-08-04 19:12:36.300706	248
38313	185606	36020	2013-08-04 19:12:36.311921	2013-08-04 19:12:36.311921	248
38314	185606	36046	2013-08-04 19:12:36.322891	2013-08-04 19:12:36.322891	248
38315	185606	24676	2013-08-04 19:12:36.334582	2013-08-04 19:12:36.334582	248
38316	185606	24436	2013-08-04 19:12:36.339564	2013-08-04 19:12:36.339564	248
38317	185605	8588	2013-08-04 19:12:36.354589	2013-08-04 19:12:36.354589	248
38318	185605	8608	2013-08-04 19:12:36.359255	2013-08-04 19:12:36.359255	248
38319	185605	8628	2013-08-04 19:12:36.368203	2013-08-04 19:12:36.368203	248
38320	185605	8488	2013-08-04 19:12:36.375442	2013-08-04 19:12:36.375442	248
38321	185605	8508	2013-08-04 19:12:36.379633	2013-08-04 19:12:36.379633	248
38322	185605	8627	2013-08-04 19:12:36.383709	2013-08-04 19:12:36.383709	248
38323	185605	8607	2013-08-04 19:12:36.392124	2013-08-04 19:12:36.392124	248
38324	185605	8587	2013-08-04 19:12:36.403093	2013-08-04 19:12:36.403093	248
38325	185605	8567	2013-08-04 19:12:36.413947	2013-08-04 19:12:36.413947	248
38326	185605	8547	2013-08-04 19:12:36.425013	2013-08-04 19:12:36.425013	248
38327	185605	8527	2013-08-04 19:12:36.435949	2013-08-04 19:12:36.435949	248
38328	185605	8406	2013-08-04 19:12:36.446745	2013-08-04 19:12:36.446745	248
38329	185605	1484	2013-08-04 19:12:36.457813	2013-08-04 19:12:36.457813	248
38330	185605	8507	2013-08-04 19:12:36.468956	2013-08-04 19:12:36.468956	248
38331	185605	22015	2013-08-04 19:12:36.479894	2013-08-04 19:12:36.479894	248
38332	185605	8621	2013-08-04 19:12:36.490761	2013-08-04 19:12:36.490761	248
38333	185605	35673	2013-08-04 19:12:36.501659	2013-08-04 19:12:36.501659	248
38334	185605	35781	2013-08-04 19:12:36.511902	2013-08-04 19:12:36.511902	248
38335	185605	35718	2013-08-04 19:12:36.522238	2013-08-04 19:12:36.522238	248
38336	185619	44875	2013-08-04 19:12:36.682589	2013-08-04 19:12:36.682589	248
38337	185619	24376	2013-08-04 19:12:36.693564	2013-08-04 19:12:36.693564	248
38338	186204	39228	2013-08-04 19:12:36.729829	2013-08-04 19:12:36.729829	248
38339	186204	39172	2013-08-04 19:12:36.738059	2013-08-04 19:12:36.738059	248
38340	186204	39248	2013-08-04 19:12:36.746242	2013-08-04 19:12:36.746242	248
38341	186204	39268	2013-08-04 19:12:36.754435	2013-08-04 19:12:36.754435	248
38342	186204	39288	2013-08-04 19:12:36.762588	2013-08-04 19:12:36.762588	248
38343	186204	39341	2013-08-04 19:12:36.770689	2013-08-04 19:12:36.770689	248
38344	186204	21253	2013-08-04 19:12:36.778824	2013-08-04 19:12:36.778824	248
38345	186204	21319	2013-08-04 19:12:36.787357	2013-08-04 19:12:36.787357	248
38346	186204	28386	2013-08-04 19:12:36.796001	2013-08-04 19:12:36.796001	248
38347	186204	3924	2013-08-04 19:12:36.805099	2013-08-04 19:12:36.805099	248
38348	186204	17153	2013-08-04 19:12:36.814341	2013-08-04 19:12:36.814341	248
38349	186204	3095	2013-08-04 19:12:36.823302	2013-08-04 19:12:36.823302	248
38350	186204	8335	2013-08-04 19:12:36.832046	2013-08-04 19:12:36.832046	248
38351	186204	8378	2013-08-04 19:12:36.840052	2013-08-04 19:12:36.840052	248
38352	186204	8358	2013-08-04 19:12:36.848203	2013-08-04 19:12:36.848203	248
38353	186204	8338	2013-08-04 19:12:36.856995	2013-08-04 19:12:36.856995	248
38354	186204	8458	2013-08-04 19:12:36.865301	2013-08-04 19:12:36.865301	248
38355	186204	8340	2013-08-04 19:12:36.873575	2013-08-04 19:12:36.873575	248
38356	186204	8333	2013-08-04 19:12:36.882363	2013-08-04 19:12:36.882363	248
38357	186207	39228	2013-08-04 19:12:36.915689	2013-08-04 19:12:36.915689	248
38358	186207	39172	2013-08-04 19:12:36.926757	2013-08-04 19:12:36.926757	248
38359	186207	39248	2013-08-04 19:12:36.934641	2013-08-04 19:12:36.934641	248
38360	186207	39268	2013-08-04 19:12:36.937642	2013-08-04 19:12:36.937642	248
38361	186207	39288	2013-08-04 19:12:36.940582	2013-08-04 19:12:36.940582	248
38362	186207	39341	2013-08-04 19:12:36.945812	2013-08-04 19:12:36.945812	248
38363	186207	21253	2013-08-04 19:12:36.949279	2013-08-04 19:12:36.949279	248
38364	186207	21319	2013-08-04 19:12:36.952197	2013-08-04 19:12:36.952197	248
38365	186207	28386	2013-08-04 19:12:36.955111	2013-08-04 19:12:36.955111	248
38366	186207	3924	2013-08-04 19:12:36.957981	2013-08-04 19:12:36.957981	248
38367	186207	17153	2013-08-04 19:12:36.960869	2013-08-04 19:12:36.960869	248
38368	186207	3095	2013-08-04 19:12:36.963752	2013-08-04 19:12:36.963752	248
38369	186207	8335	2013-08-04 19:12:36.966604	2013-08-04 19:12:36.966604	248
38370	186207	8378	2013-08-04 19:12:36.969477	2013-08-04 19:12:36.969477	248
38371	186207	8358	2013-08-04 19:12:36.972456	2013-08-04 19:12:36.972456	248
38372	186207	8338	2013-08-04 19:12:36.976607	2013-08-04 19:12:36.976607	248
38373	186207	8458	2013-08-04 19:12:36.984785	2013-08-04 19:12:36.984785	248
38374	186207	8340	2013-08-04 19:12:36.993158	2013-08-04 19:12:36.993158	248
38375	186207	8333	2013-08-04 19:12:37.001907	2013-08-04 19:12:37.001907	248
38376	186208	39228	2013-08-04 19:12:37.032492	2013-08-04 19:12:37.032492	248
38377	186208	39172	2013-08-04 19:12:37.040927	2013-08-04 19:12:37.040927	248
38378	186208	39248	2013-08-04 19:12:37.04917	2013-08-04 19:12:37.04917	248
38379	186208	39268	2013-08-04 19:12:37.057316	2013-08-04 19:12:37.057316	248
38380	186208	39288	2013-08-04 19:12:37.065496	2013-08-04 19:12:37.065496	248
38381	186208	39341	2013-08-04 19:12:37.07368	2013-08-04 19:12:37.07368	248
38382	186208	21253	2013-08-04 19:12:37.081824	2013-08-04 19:12:37.081824	248
38383	186208	21319	2013-08-04 19:12:37.090092	2013-08-04 19:12:37.090092	248
38384	186208	28386	2013-08-04 19:12:37.098252	2013-08-04 19:12:37.098252	248
38385	186208	3924	2013-08-04 19:12:37.106589	2013-08-04 19:12:37.106589	248
38386	186208	17153	2013-08-04 19:12:37.114706	2013-08-04 19:12:37.114706	248
38387	186208	3095	2013-08-04 19:12:37.122799	2013-08-04 19:12:37.122799	248
38388	186208	8335	2013-08-04 19:12:37.130911	2013-08-04 19:12:37.130911	248
38389	186208	8378	2013-08-04 19:12:37.13884	2013-08-04 19:12:37.13884	248
38390	186208	8358	2013-08-04 19:12:37.147821	2013-08-04 19:12:37.147821	248
38391	186208	8338	2013-08-04 19:12:37.156054	2013-08-04 19:12:37.156054	248
38392	186208	8458	2013-08-04 19:12:37.16416	2013-08-04 19:12:37.16416	248
38393	186208	8340	2013-08-04 19:12:37.172134	2013-08-04 19:12:37.172134	248
38394	186208	8333	2013-08-04 19:12:37.180294	2013-08-04 19:12:37.180294	248
38395	185668	24565	2013-08-04 19:12:37.400276	2013-08-04 19:12:37.400276	248
38396	185668	33200	2013-08-04 19:12:37.463222	2013-08-04 19:12:37.463222	248
38397	186225	8727	2013-08-04 19:12:37.501353	2013-08-04 19:12:37.501353	248
38398	186225	8707	2013-08-04 19:12:37.506729	2013-08-04 19:12:37.506729	248
38399	186225	25017	2013-08-04 19:12:37.512247	2013-08-04 19:12:37.512247	248
38400	186225	33861	2013-08-04 19:12:37.516728	2013-08-04 19:12:37.516728	248
38401	186225	8687	2013-08-04 19:12:37.521839	2013-08-04 19:12:37.521839	248
38402	186225	8686	2013-08-04 19:12:37.528268	2013-08-04 19:12:37.528268	248
38403	186225	16308	2013-08-04 19:12:37.533827	2013-08-04 19:12:37.533827	248
38404	186225	8667	2013-08-04 19:12:37.538912	2013-08-04 19:12:37.538912	248
38405	186225	41683	2013-08-04 19:12:37.544838	2013-08-04 19:12:37.544838	248
38406	185770	8770	2013-08-04 19:12:37.558099	2013-08-04 19:12:37.558099	248
38407	185770	8647	2013-08-04 19:12:37.564643	2013-08-04 19:12:37.564643	248
38408	185770	8666	2013-08-04 19:12:37.571997	2013-08-04 19:12:37.571997	248
38409	185770	8505	2013-08-04 19:12:37.576116	2013-08-04 19:12:37.576116	248
38410	185770	8580	2013-08-04 19:12:37.581247	2013-08-04 19:12:37.581247	248
38411	185770	8600	2013-08-04 19:12:37.586422	2013-08-04 19:12:37.586422	248
38412	185770	8620	2013-08-04 19:12:37.595058	2013-08-04 19:12:37.595058	248
38413	185770	8548	2013-08-04 19:12:37.601937	2013-08-04 19:12:37.601937	248
38414	185770	8568	2013-08-04 19:12:37.609656	2013-08-04 19:12:37.609656	248
38415	186993	16489	2013-08-04 19:12:37.634388	2013-08-04 19:12:37.634388	248
38416	186993	16473	2013-08-04 19:12:37.642052	2013-08-04 19:12:37.642052	248
38417	186993	16352	2013-08-04 19:12:37.646736	2013-08-04 19:12:37.646736	248
38418	186993	16252	2013-08-04 19:12:37.651512	2013-08-04 19:12:37.651512	248
38419	186993	16469	2013-08-04 19:12:37.656464	2013-08-04 19:12:37.656464	248
38420	186993	16449	2013-08-04 19:12:37.660654	2013-08-04 19:12:37.660654	248
38421	186228	16429	2013-08-04 19:12:37.666892	2013-08-04 19:12:37.666892	248
38422	186228	16409	2013-08-04 19:12:37.67084	2013-08-04 19:12:37.67084	248
38423	186228	24121	2013-08-04 19:12:37.674584	2013-08-04 19:12:37.674584	248
38424	186228	16389	2013-08-04 19:12:37.678315	2013-08-04 19:12:37.678315	248
38425	186228	16369	2013-08-04 19:12:37.682614	2013-08-04 19:12:37.682614	248
38426	186228	16403	2013-08-04 19:12:37.691807	2013-08-04 19:12:37.691807	248
38427	185624	16349	2013-08-04 19:12:37.707798	2013-08-04 19:12:37.707798	248
38428	185624	16459	2013-08-04 19:12:37.718846	2013-08-04 19:12:37.718846	248
38429	185624	16329	2013-08-04 19:12:37.729884	2013-08-04 19:12:37.729884	248
38430	185624	16309	2013-08-04 19:12:37.738632	2013-08-04 19:12:37.738632	248
38431	185624	16289	2013-08-04 19:12:37.743631	2013-08-04 19:12:37.743631	248
38432	185624	16317	2013-08-04 19:12:37.748291	2013-08-04 19:12:37.748291	248
38433	186581	33051	2013-08-04 19:12:37.832836	2013-08-04 19:12:37.832836	248
38434	186581	33031	2013-08-04 19:12:37.844019	2013-08-04 19:12:37.844019	248
38435	186581	33011	2013-08-04 19:12:37.855145	2013-08-04 19:12:37.855145	248
38436	186581	32991	2013-08-04 19:12:37.866127	2013-08-04 19:12:37.866127	248
38437	186581	32971	2013-08-04 19:12:37.877036	2013-08-04 19:12:37.877036	248
38438	186581	10999	2013-08-04 19:12:37.887871	2013-08-04 19:12:37.887871	248
38439	186581	11019	2013-08-04 19:12:37.898945	2013-08-04 19:12:37.898945	248
38440	186581	15259	2013-08-04 19:12:37.909862	2013-08-04 19:12:37.909862	248
38441	186581	32958	2013-08-04 19:12:37.921366	2013-08-04 19:12:37.921366	248
38442	186230	32955	2013-08-04 19:12:37.943364	2013-08-04 19:12:37.943364	248
38443	186230	32920	2013-08-04 19:12:37.947856	2013-08-04 19:12:37.947856	248
38444	186230	32951	2013-08-04 19:12:37.953365	2013-08-04 19:12:37.953365	248
38445	186230	32931	2013-08-04 19:12:37.957541	2013-08-04 19:12:37.957541	248
38446	186230	4592	2013-08-04 19:12:37.962105	2013-08-04 19:12:37.962105	248
38447	186230	32911	2013-08-04 19:12:37.966969	2013-08-04 19:12:37.966969	248
38448	186230	32891	2013-08-04 19:12:37.972477	2013-08-04 19:12:37.972477	248
38449	186230	24636	2013-08-04 19:12:37.977719	2013-08-04 19:12:37.977719	248
38450	186230	24396	2013-08-04 19:12:37.983215	2013-08-04 19:12:37.983215	248
38451	186210	39228	2013-08-04 19:12:38.030027	2013-08-04 19:12:38.030027	248
38452	186210	39172	2013-08-04 19:12:38.039092	2013-08-04 19:12:38.039092	248
38453	186210	39248	2013-08-04 19:12:38.047635	2013-08-04 19:12:38.047635	248
38454	186210	39268	2013-08-04 19:12:38.056029	2013-08-04 19:12:38.056029	248
38455	186210	39288	2013-08-04 19:12:38.064136	2013-08-04 19:12:38.064136	248
38456	186210	39341	2013-08-04 19:12:38.072091	2013-08-04 19:12:38.072091	248
38457	186210	21253	2013-08-04 19:12:38.080029	2013-08-04 19:12:38.080029	248
38458	186210	21319	2013-08-04 19:12:38.088184	2013-08-04 19:12:38.088184	248
38459	186210	28386	2013-08-04 19:12:38.096304	2013-08-04 19:12:38.096304	248
38460	186210	3924	2013-08-04 19:12:38.104425	2013-08-04 19:12:38.104425	248
38461	186210	17153	2013-08-04 19:12:38.112597	2013-08-04 19:12:38.112597	248
38462	186210	3095	2013-08-04 19:12:38.122386	2013-08-04 19:12:38.122386	248
38463	186210	8335	2013-08-04 19:12:38.131868	2013-08-04 19:12:38.131868	248
38464	186210	8378	2013-08-04 19:12:38.140525	2013-08-04 19:12:38.140525	248
38465	186210	8358	2013-08-04 19:12:38.148752	2013-08-04 19:12:38.148752	248
38466	186210	8338	2013-08-04 19:12:38.156902	2013-08-04 19:12:38.156902	248
38467	186210	8458	2013-08-04 19:12:38.165104	2013-08-04 19:12:38.165104	248
38468	186210	8340	2013-08-04 19:12:38.173016	2013-08-04 19:12:38.173016	248
38469	186210	8333	2013-08-04 19:12:38.181143	2013-08-04 19:12:38.181143	248
38470	186226	25018	2013-08-04 19:12:38.284285	2013-08-04 19:12:38.284285	248
38471	186226	24976	2013-08-04 19:12:38.289384	2013-08-04 19:12:38.289384	248
38472	186226	16356	2013-08-04 19:12:38.294276	2013-08-04 19:12:38.294276	248
38473	186226	27226	2013-08-04 19:12:38.305416	2013-08-04 19:12:38.305416	248
38474	186226	24955	2013-08-04 19:12:38.316459	2013-08-04 19:12:38.316459	248
38475	186226	24956	2013-08-04 19:12:38.327935	2013-08-04 19:12:38.327935	248
38476	186226	24936	2013-08-04 19:12:38.339151	2013-08-04 19:12:38.339151	248
38477	186226	24916	2013-08-04 19:12:38.349559	2013-08-04 19:12:38.349559	248
38478	186226	24820	2013-08-04 19:12:38.360802	2013-08-04 19:12:38.360802	248
38479	186059	24896	2013-08-04 19:12:38.383205	2013-08-04 19:12:38.383205	248
38480	186059	24912	2013-08-04 19:12:38.394256	2013-08-04 19:12:38.394256	248
38481	186059	24876	2013-08-04 19:12:38.405145	2013-08-04 19:12:38.405145	248
38482	186059	24856	2013-08-04 19:12:38.416439	2013-08-04 19:12:38.416439	248
38483	186059	24836	2013-08-04 19:12:38.424583	2013-08-04 19:12:38.424583	248
38484	186059	24816	2013-08-04 19:12:38.428835	2013-08-04 19:12:38.428835	248
38485	186059	24796	2013-08-04 19:12:38.433181	2013-08-04 19:12:38.433181	248
38486	186059	25710	2013-08-04 19:12:38.437965	2013-08-04 19:12:38.437965	248
38487	186059	24776	2013-08-04 19:12:38.442417	2013-08-04 19:12:38.442417	248
38488	186456	410	2013-08-04 19:12:38.472838	2013-08-04 19:12:38.472838	248
38489	186456	1126	2013-08-04 19:12:38.482035	2013-08-04 19:12:38.482035	248
38490	186456	921	2013-08-04 19:12:38.491249	2013-08-04 19:12:38.491249	248
38491	186456	941	2013-08-04 19:12:38.501714	2013-08-04 19:12:38.501714	248
38492	186456	924	2013-08-04 19:12:38.512817	2013-08-04 19:12:38.512817	248
38493	186456	808	2013-08-04 19:12:38.520449	2013-08-04 19:12:38.520449	248
38494	186456	352	2013-08-04 19:12:38.525207	2013-08-04 19:12:38.525207	248
38495	186456	395	2013-08-04 19:12:38.53206	2013-08-04 19:12:38.53206	248
38496	186456	193	2013-08-04 19:12:38.542867	2013-08-04 19:12:38.542867	248
38497	186456	601	2013-08-04 19:12:38.550011	2013-08-04 19:12:38.550011	248
38498	186456	26	2013-08-04 19:12:38.556181	2013-08-04 19:12:38.556181	248
38499	186456	731	2013-08-04 19:12:38.560464	2013-08-04 19:12:38.560464	248
38500	186456	27	2013-08-04 19:12:38.564174	2013-08-04 19:12:38.564174	248
38501	186456	101	2013-08-04 19:12:38.56858	2013-08-04 19:12:38.56858	248
38502	186456	661	2013-08-04 19:12:38.57232	2013-08-04 19:12:38.57232	248
38503	186456	208	2013-08-04 19:12:38.575967	2013-08-04 19:12:38.575967	248
38504	186456	733	2013-08-04 19:12:38.579819	2013-08-04 19:12:38.579819	248
38505	186456	24556	2013-08-04 19:12:38.583643	2013-08-04 19:12:38.583643	248
38506	186456	24263	2013-08-04 19:12:38.586997	2013-08-04 19:12:38.586997	248
38507	186991	33330	2013-08-04 19:12:38.626634	2013-08-04 19:12:38.626634	248
38508	186991	33359	2013-08-04 19:12:38.630717	2013-08-04 19:12:38.630717	248
38509	186991	33339	2013-08-04 19:12:38.636052	2013-08-04 19:12:38.636052	248
38510	186991	33319	2013-08-04 19:12:38.641518	2013-08-04 19:12:38.641518	248
38511	186991	33299	2013-08-04 19:12:38.64538	2013-08-04 19:12:38.64538	248
38512	186991	33279	2013-08-04 19:12:38.649434	2013-08-04 19:12:38.649434	248
38513	186232	33270	2013-08-04 19:12:38.658501	2013-08-04 19:12:38.658501	248
38514	186232	33259	2013-08-04 19:12:38.66647	2013-08-04 19:12:38.66647	248
38515	186232	33239	2013-08-04 19:12:38.672039	2013-08-04 19:12:38.672039	248
38516	186232	33219	2013-08-04 19:12:38.676646	2013-08-04 19:12:38.676646	248
38517	186232	33195	2013-08-04 19:12:38.682761	2013-08-04 19:12:38.682761	248
38518	186232	33199	2013-08-04 19:12:38.687037	2013-08-04 19:12:38.687037	248
38519	185857	33377	2013-08-04 19:12:38.757991	2013-08-04 19:12:38.757991	248
38520	185857	33697	2013-08-04 19:12:38.763074	2013-08-04 19:12:38.763074	248
38521	185857	33179	2013-08-04 19:12:38.767791	2013-08-04 19:12:38.767791	248
38522	185857	33159	2013-08-04 19:12:38.772202	2013-08-04 19:12:38.772202	248
38523	185857	24536	2013-08-04 19:12:38.777051	2013-08-04 19:12:38.777051	248
38524	185857	33260	2013-08-04 19:12:38.782118	2013-08-04 19:12:38.782118	248
38525	186468	36053	2013-08-04 19:12:39.099648	2013-08-04 19:12:39.099648	248
38526	186468	36033	2013-08-04 19:12:39.103765	2013-08-04 19:12:39.103765	248
38527	186468	36013	2013-08-04 19:12:39.10779	2013-08-04 19:12:39.10779	248
38528	185977	35993	2013-08-04 19:12:39.11581	2013-08-04 19:12:39.11581	248
38529	185977	36061	2013-08-04 19:12:39.120904	2013-08-04 19:12:39.120904	248
38530	185977	35973	2013-08-04 19:12:39.126407	2013-08-04 19:12:39.126407	248
38531	185925	35953	2013-08-04 19:12:39.135849	2013-08-04 19:12:39.135849	248
38532	185925	35933	2013-08-04 19:12:39.140505	2013-08-04 19:12:39.140505	248
38533	185925	22017	2013-08-04 19:12:39.145704	2013-08-04 19:12:39.145704	248
38534	185861	35913	2013-08-04 19:12:39.15544	2013-08-04 19:12:39.15544	248
38535	185861	35893	2013-08-04 19:12:39.160223	2013-08-04 19:12:39.160223	248
38536	185861	35873	2013-08-04 19:12:39.164334	2013-08-04 19:12:39.164334	248
38537	185680	35910	2013-08-04 19:12:39.17223	2013-08-04 19:12:39.17223	248
38538	185680	35853	2013-08-04 19:12:39.176382	2013-08-04 19:12:39.176382	248
38539	185680	35833	2013-08-04 19:12:39.181503	2013-08-04 19:12:39.181503	248
38540	185665	35813	2013-08-04 19:12:39.188713	2013-08-04 19:12:39.188713	248
38541	185665	24616	2013-08-04 19:12:39.192111	2013-08-04 19:12:39.192111	248
38542	185665	24490	2013-08-04 19:12:39.194991	2013-08-04 19:12:39.194991	248
38543	186211	39228	2013-08-04 19:12:39.215515	2013-08-04 19:12:39.215515	248
38544	186211	39172	2013-08-04 19:12:39.224364	2013-08-04 19:12:39.224364	248
38545	186211	39248	2013-08-04 19:12:39.233662	2013-08-04 19:12:39.233662	248
38546	186211	39268	2013-08-04 19:12:39.242404	2013-08-04 19:12:39.242404	248
38547	186211	39288	2013-08-04 19:12:39.248214	2013-08-04 19:12:39.248214	248
38548	186211	39341	2013-08-04 19:12:39.252847	2013-08-04 19:12:39.252847	248
38549	186211	21253	2013-08-04 19:12:39.259866	2013-08-04 19:12:39.259866	248
38550	186211	21319	2013-08-04 19:12:39.267063	2013-08-04 19:12:39.267063	248
38551	186211	28386	2013-08-04 19:12:39.270097	2013-08-04 19:12:39.270097	248
38552	186211	3924	2013-08-04 19:12:39.278187	2013-08-04 19:12:39.278187	248
38553	186211	17153	2013-08-04 19:12:39.286744	2013-08-04 19:12:39.286744	248
38554	186211	3095	2013-08-04 19:12:39.289977	2013-08-04 19:12:39.289977	248
38555	186211	8335	2013-08-04 19:12:39.294904	2013-08-04 19:12:39.294904	248
38556	186211	8378	2013-08-04 19:12:39.300162	2013-08-04 19:12:39.300162	248
38557	186211	8358	2013-08-04 19:12:39.305516	2013-08-04 19:12:39.305516	248
38558	186211	8338	2013-08-04 19:12:39.30889	2013-08-04 19:12:39.30889	248
38559	186211	8458	2013-08-04 19:12:39.311676	2013-08-04 19:12:39.311676	248
38560	186211	8340	2013-08-04 19:12:39.314511	2013-08-04 19:12:39.314511	248
38561	186211	8333	2013-08-04 19:12:39.318506	2013-08-04 19:12:39.318506	248
38562	186206	39228	2013-08-04 19:12:39.342483	2013-08-04 19:12:39.342483	248
38563	186206	39172	2013-08-04 19:12:39.347402	2013-08-04 19:12:39.347402	248
38564	186206	39248	2013-08-04 19:12:39.353172	2013-08-04 19:12:39.353172	248
38565	186206	39268	2013-08-04 19:12:39.359633	2013-08-04 19:12:39.359633	248
38566	186206	39288	2013-08-04 19:12:39.363256	2013-08-04 19:12:39.363256	248
38567	186206	39341	2013-08-04 19:12:39.367383	2013-08-04 19:12:39.367383	248
38568	186206	21253	2013-08-04 19:12:39.370621	2013-08-04 19:12:39.370621	248
38569	186206	21319	2013-08-04 19:12:39.374001	2013-08-04 19:12:39.374001	248
38570	186206	28386	2013-08-04 19:12:39.37702	2013-08-04 19:12:39.37702	248
38571	186206	3924	2013-08-04 19:12:39.379483	2013-08-04 19:12:39.379483	248
38572	186206	17153	2013-08-04 19:12:39.381971	2013-08-04 19:12:39.381971	248
38573	186206	3095	2013-08-04 19:12:39.384566	2013-08-04 19:12:39.384566	248
38574	186206	8335	2013-08-04 19:12:39.387275	2013-08-04 19:12:39.387275	248
38575	186206	8378	2013-08-04 19:12:39.390574	2013-08-04 19:12:39.390574	248
38576	186206	8358	2013-08-04 19:12:39.398119	2013-08-04 19:12:39.398119	248
38577	186206	8338	2013-08-04 19:12:39.406552	2013-08-04 19:12:39.406552	248
38578	186206	8458	2013-08-04 19:12:39.414454	2013-08-04 19:12:39.414454	248
38579	186206	8340	2013-08-04 19:12:39.419866	2013-08-04 19:12:39.419866	248
38580	186206	8333	2013-08-04 19:12:39.426952	2013-08-04 19:12:39.426952	248
38581	187055	36440	2013-08-04 19:27:43.593181	2013-08-04 19:27:43.593181	249
38582	187055	36332	2013-08-04 19:27:43.608574	2013-08-04 19:27:43.608574	249
38583	187055	39408	2013-08-04 19:27:43.619837	2013-08-04 19:27:43.619837	249
38584	187052	36513	2013-08-04 19:27:43.838321	2013-08-04 19:27:43.838321	249
38585	187052	36466	2013-08-04 19:27:43.849607	2013-08-04 19:27:43.849607	249
38586	187052	36446	2013-08-04 19:27:43.861589	2013-08-04 19:27:43.861589	249
38587	187052	36452	2013-08-04 19:27:43.872082	2013-08-04 19:27:43.872082	249
38588	187052	36426	2013-08-04 19:27:43.876623	2013-08-04 19:27:43.876623	249
38589	187052	18111	2013-08-04 19:27:43.882251	2013-08-04 19:27:43.882251	249
38590	187052	36410	2013-08-04 19:27:43.887513	2013-08-04 19:27:43.887513	249
38591	187052	36406	2013-08-04 19:27:43.891838	2013-08-04 19:27:43.891838	249
38592	187052	36360	2013-08-04 19:27:43.89606	2013-08-04 19:27:43.89606	249
38593	187052	36386	2013-08-04 19:27:43.899869	2013-08-04 19:27:43.899869	249
38594	187052	36366	2013-08-04 19:27:43.903287	2013-08-04 19:27:43.903287	249
38595	187052	36346	2013-08-04 19:27:43.906806	2013-08-04 19:27:43.906806	249
38596	187052	36326	2013-08-04 19:27:43.910027	2013-08-04 19:27:43.910027	249
38597	187052	36306	2013-08-04 19:27:43.913743	2013-08-04 19:27:43.913743	249
38598	187052	36286	2013-08-04 19:27:43.917029	2013-08-04 19:27:43.917029	249
38599	187052	37080	2013-08-04 19:27:43.924568	2013-08-04 19:27:43.924568	249
38600	187052	36135	2013-08-04 19:27:43.931747	2013-08-04 19:27:43.931747	249
38601	187052	36225	2013-08-04 19:27:43.942939	2013-08-04 19:27:43.942939	249
38602	187052	39368	2013-08-04 19:27:43.94967	2013-08-04 19:27:43.94967	249
38603	187050	8872	2013-08-04 19:27:43.972942	2013-08-04 19:27:43.972942	249
38604	187050	8827	2013-08-04 19:27:43.976934	2013-08-04 19:27:43.976934	249
38605	187050	8930	2013-08-04 19:27:43.980283	2013-08-04 19:27:43.980283	249
38606	187050	8906	2013-08-04 19:27:43.983648	2013-08-04 19:27:43.983648	249
38607	187050	8807	2013-08-04 19:27:43.989364	2013-08-04 19:27:43.989364	249
38608	187050	8946	2013-08-04 19:27:43.993821	2013-08-04 19:27:43.993821	249
38609	187050	8890	2013-08-04 19:27:43.998719	2013-08-04 19:27:43.998719	249
38610	187050	8743	2013-08-04 19:27:44.00323	2013-08-04 19:27:44.00323	249
38611	187050	8637	2013-08-04 19:27:44.013346	2013-08-04 19:27:44.013346	249
38612	187050	8657	2013-08-04 19:27:44.024463	2013-08-04 19:27:44.024463	249
38613	187050	8677	2013-08-04 19:27:44.035963	2013-08-04 19:27:44.035963	249
38614	187050	8697	2013-08-04 19:27:44.042082	2013-08-04 19:27:44.042082	249
38615	187050	8717	2013-08-04 19:27:44.046448	2013-08-04 19:27:44.046448	249
38616	187050	8737	2013-08-04 19:27:44.050911	2013-08-04 19:27:44.050911	249
38617	187050	8757	2013-08-04 19:27:44.056798	2013-08-04 19:27:44.056798	249
38618	187050	8777	2013-08-04 19:27:44.064112	2013-08-04 19:27:44.064112	249
38619	187050	8648	2013-08-04 19:27:44.069633	2013-08-04 19:27:44.069633	249
38620	187050	8787	2013-08-04 19:27:44.077825	2013-08-04 19:27:44.077825	249
38621	187050	8767	2013-08-04 19:27:44.086546	2013-08-04 19:27:44.086546	249
38622	187060	36375	2013-08-04 19:27:44.380358	2013-08-04 19:27:44.380358	249
38623	187060	36173	2013-08-04 19:27:44.390877	2013-08-04 19:27:44.390877	249
38624	187060	36253	2013-08-04 19:27:44.401005	2013-08-04 19:27:44.401005	249
38625	187631	39228	2013-08-04 19:27:44.437649	2013-08-04 19:27:44.437649	249
38626	187631	39172	2013-08-04 19:27:44.442329	2013-08-04 19:27:44.442329	249
38627	187631	39248	2013-08-04 19:27:44.447085	2013-08-04 19:27:44.447085	249
38628	187631	39268	2013-08-04 19:27:44.45226	2013-08-04 19:27:44.45226	249
38629	187631	39288	2013-08-04 19:27:44.456725	2013-08-04 19:27:44.456725	249
38630	187631	39341	2013-08-04 19:27:44.461456	2013-08-04 19:27:44.461456	249
38631	187631	21253	2013-08-04 19:27:44.465561	2013-08-04 19:27:44.465561	249
38632	187631	21319	2013-08-04 19:27:44.468889	2013-08-04 19:27:44.468889	249
38633	187631	28386	2013-08-04 19:27:44.471632	2013-08-04 19:27:44.471632	249
38634	187631	3924	2013-08-04 19:27:44.474213	2013-08-04 19:27:44.474213	249
38635	187631	17153	2013-08-04 19:27:44.477036	2013-08-04 19:27:44.477036	249
38636	187631	3095	2013-08-04 19:27:44.479804	2013-08-04 19:27:44.479804	249
38637	187631	8335	2013-08-04 19:27:44.482528	2013-08-04 19:27:44.482528	249
38638	187631	8378	2013-08-04 19:27:44.485303	2013-08-04 19:27:44.485303	249
38639	187631	8358	2013-08-04 19:27:44.488016	2013-08-04 19:27:44.488016	249
38640	187631	8338	2013-08-04 19:27:44.490897	2013-08-04 19:27:44.490897	249
38641	187631	8458	2013-08-04 19:27:44.493942	2013-08-04 19:27:44.493942	249
38642	187631	8340	2013-08-04 19:27:44.497089	2013-08-04 19:27:44.497089	249
38643	187631	8333	2013-08-04 19:27:44.500173	2013-08-04 19:27:44.500173	249
38644	187633	39228	2013-08-04 19:27:44.51018	2013-08-04 19:27:44.51018	249
38645	187633	39172	2013-08-04 19:27:44.512958	2013-08-04 19:27:44.512958	249
38646	187633	39248	2013-08-04 19:27:44.515823	2013-08-04 19:27:44.515823	249
38647	187633	39268	2013-08-04 19:27:44.579413	2013-08-04 19:27:44.579413	249
38648	187633	39288	2013-08-04 19:27:44.583492	2013-08-04 19:27:44.583492	249
38649	187633	39341	2013-08-04 19:27:44.586714	2013-08-04 19:27:44.586714	249
38650	187633	21253	2013-08-04 19:27:44.590268	2013-08-04 19:27:44.590268	249
38651	187633	21319	2013-08-04 19:27:44.593534	2013-08-04 19:27:44.593534	249
38652	187633	28386	2013-08-04 19:27:44.597216	2013-08-04 19:27:44.597216	249
38653	187633	3924	2013-08-04 19:27:44.600555	2013-08-04 19:27:44.600555	249
38654	187633	17153	2013-08-04 19:27:44.603712	2013-08-04 19:27:44.603712	249
38655	187633	3095	2013-08-04 19:27:44.606914	2013-08-04 19:27:44.606914	249
38656	187633	8335	2013-08-04 19:27:44.609933	2013-08-04 19:27:44.609933	249
38657	187633	8378	2013-08-04 19:27:44.612968	2013-08-04 19:27:44.612968	249
38658	187633	8358	2013-08-04 19:27:44.616015	2013-08-04 19:27:44.616015	249
38659	187633	8338	2013-08-04 19:27:44.618965	2013-08-04 19:27:44.618965	249
38660	187633	8458	2013-08-04 19:27:44.621893	2013-08-04 19:27:44.621893	249
38661	187633	8340	2013-08-04 19:27:44.624862	2013-08-04 19:27:44.624862	249
38662	187633	8333	2013-08-04 19:27:44.627809	2013-08-04 19:27:44.627809	249
38663	187634	39228	2013-08-04 19:27:44.63944	2013-08-04 19:27:44.63944	249
38664	187634	39172	2013-08-04 19:27:44.642515	2013-08-04 19:27:44.642515	249
38665	187634	39248	2013-08-04 19:27:44.64638	2013-08-04 19:27:44.64638	249
38666	187634	39268	2013-08-04 19:27:44.650074	2013-08-04 19:27:44.650074	249
38667	187634	39288	2013-08-04 19:27:44.654062	2013-08-04 19:27:44.654062	249
38668	187634	39341	2013-08-04 19:27:44.657993	2013-08-04 19:27:44.657993	249
38669	187634	21253	2013-08-04 19:27:44.66191	2013-08-04 19:27:44.66191	249
38670	187634	21319	2013-08-04 19:27:44.665807	2013-08-04 19:27:44.665807	249
38671	187634	28386	2013-08-04 19:27:44.670081	2013-08-04 19:27:44.670081	249
38672	187634	3924	2013-08-04 19:27:44.674447	2013-08-04 19:27:44.674447	249
38673	187634	17153	2013-08-04 19:27:44.678933	2013-08-04 19:27:44.678933	249
38674	187634	3095	2013-08-04 19:27:44.683449	2013-08-04 19:27:44.683449	249
38675	187634	8335	2013-08-04 19:27:44.688008	2013-08-04 19:27:44.688008	249
38676	187634	8378	2013-08-04 19:27:44.692427	2013-08-04 19:27:44.692427	249
38677	187634	8358	2013-08-04 19:27:44.697166	2013-08-04 19:27:44.697166	249
38678	187634	8338	2013-08-04 19:27:44.701871	2013-08-04 19:27:44.701871	249
38679	187634	8458	2013-08-04 19:27:44.706622	2013-08-04 19:27:44.706622	249
38680	187634	8340	2013-08-04 19:27:44.711512	2013-08-04 19:27:44.711512	249
38681	187634	8333	2013-08-04 19:27:44.716619	2013-08-04 19:27:44.716619	249
38682	187066	36353	2013-08-04 19:27:44.881565	2013-08-04 19:27:44.881565	249
38683	187436	3774	2013-08-04 19:27:44.94345	2013-08-04 19:27:44.94345	249
38684	187436	26037	2013-08-04 19:27:44.950358	2013-08-04 19:27:44.950358	249
38685	187436	26068	2013-08-04 19:27:44.954642	2013-08-04 19:27:44.954642	249
38686	187436	26088	2013-08-04 19:27:44.963606	2013-08-04 19:27:44.963606	249
38687	187436	3657	2013-08-04 19:27:44.972659	2013-08-04 19:27:44.972659	249
38688	187436	3660	2013-08-04 19:27:44.983749	2013-08-04 19:27:44.983749	249
38689	187436	3478	2013-08-04 19:27:44.994687	2013-08-04 19:27:44.994687	249
38690	187436	3458	2013-08-04 19:27:45.005686	2013-08-04 19:27:45.005686	249
38691	187436	3506	2013-08-04 19:27:45.016579	2013-08-04 19:27:45.016579	249
38692	187436	3486	2013-08-04 19:27:45.02743	2013-08-04 19:27:45.02743	249
38693	187436	39388	2013-08-04 19:27:45.038683	2013-08-04 19:27:45.038683	249
38694	187436	16403	2013-08-04 19:27:45.048671	2013-08-04 19:27:45.048671	249
38695	187436	16369	2013-08-04 19:27:45.05905	2013-08-04 19:27:45.05905	249
38696	187436	16389	2013-08-04 19:27:45.069747	2013-08-04 19:27:45.069747	249
38697	187436	24121	2013-08-04 19:27:45.074096	2013-08-04 19:27:45.074096	249
38698	187436	16409	2013-08-04 19:27:45.078218	2013-08-04 19:27:45.078218	249
38699	187436	16429	2013-08-04 19:27:45.082211	2013-08-04 19:27:45.082211	249
38700	187436	35693	2013-08-04 19:27:45.086905	2013-08-04 19:27:45.086905	249
38701	187436	35713	2013-08-04 19:27:45.091029	2013-08-04 19:27:45.091029	249
38702	187851	8873	2013-08-04 19:27:45.105748	2013-08-04 19:27:45.105748	249
38703	187851	8798	2013-08-04 19:27:45.112513	2013-08-04 19:27:45.112513	249
38704	187851	8818	2013-08-04 19:27:45.121644	2013-08-04 19:27:45.121644	249
38705	187851	8800	2013-08-04 19:27:45.134077	2013-08-04 19:27:45.134077	249
38706	187851	8943	2013-08-04 19:27:45.145173	2013-08-04 19:27:45.145173	249
38707	187851	8852	2013-08-04 19:27:45.156085	2013-08-04 19:27:45.156085	249
38708	187108	8797	2013-08-04 19:27:45.178503	2013-08-04 19:27:45.178503	249
38709	187108	8947	2013-08-04 19:27:45.189415	2013-08-04 19:27:45.189415	249
38710	187108	8927	2013-08-04 19:27:45.200095	2013-08-04 19:27:45.200095	249
38711	187108	8907	2013-08-04 19:27:45.210851	2013-08-04 19:27:45.210851	249
38712	187108	8887	2013-08-04 19:27:45.22163	2013-08-04 19:27:45.22163	249
38713	187108	7919	2013-08-04 19:27:45.23255	2013-08-04 19:27:45.23255	249
38714	187088	8867	2013-08-04 19:27:45.254751	2013-08-04 19:27:45.254751	249
38715	187088	45583	2013-08-04 19:27:45.266834	2013-08-04 19:27:45.266834	249
38716	187088	18490	2013-08-04 19:27:45.278877	2013-08-04 19:27:45.278877	249
38717	187088	8847	2013-08-04 19:27:45.290515	2013-08-04 19:27:45.290515	249
38718	187088	8910	2013-08-04 19:27:45.301342	2013-08-04 19:27:45.301342	249
38719	187088	8901	2013-08-04 19:27:45.312135	2013-08-04 19:27:45.312135	249
38720	187111	16629	2013-08-04 19:27:45.355564	2013-08-04 19:27:45.355564	249
38721	187111	16495	2013-08-04 19:27:45.366724	2013-08-04 19:27:45.366724	249
38722	187111	16486	2013-08-04 19:27:45.377346	2013-08-04 19:27:45.377346	249
38723	187111	16609	2013-08-04 19:27:45.388367	2013-08-04 19:27:45.388367	249
38724	187111	44723	2013-08-04 19:27:45.3991	2013-08-04 19:27:45.3991	249
38725	187111	4528	2013-08-04 19:27:45.410329	2013-08-04 19:27:45.410329	249
38726	187111	16535	2013-08-04 19:27:45.421058	2013-08-04 19:27:45.421058	249
38727	187111	16589	2013-08-04 19:27:45.431979	2013-08-04 19:27:45.431979	249
38728	187111	22850	2013-08-04 19:27:45.44353	2013-08-04 19:27:45.44353	249
38729	187064	16500	2013-08-04 19:27:45.466533	2013-08-04 19:27:45.466533	249
38730	187064	16569	2013-08-04 19:27:45.482038	2013-08-04 19:27:45.482038	249
38731	187064	16620	2013-08-04 19:27:45.492192	2013-08-04 19:27:45.492192	249
38732	187064	16491	2013-08-04 19:27:45.496809	2013-08-04 19:27:45.496809	249
38733	187064	16549	2013-08-04 19:27:45.502034	2013-08-04 19:27:45.502034	249
38734	187064	16641	2013-08-04 19:27:45.506612	2013-08-04 19:27:45.506612	249
38735	187064	16529	2013-08-04 19:27:45.511288	2013-08-04 19:27:45.511288	249
38736	187064	16509	2013-08-04 19:27:45.517019	2013-08-04 19:27:45.517019	249
38737	187064	16526	2013-08-04 19:27:45.522167	2013-08-04 19:27:45.522167	249
38738	187113	33283	2013-08-04 19:27:45.60594	2013-08-04 19:27:45.60594	249
38739	187113	33271	2013-08-04 19:27:45.618247	2013-08-04 19:27:45.618247	249
38740	187113	33251	2013-08-04 19:27:45.630139	2013-08-04 19:27:45.630139	249
38741	187113	33272	2013-08-04 19:27:45.640958	2013-08-04 19:27:45.640958	249
38742	187113	33231	2013-08-04 19:27:45.651342	2013-08-04 19:27:45.651342	249
38743	187113	33211	2013-08-04 19:27:45.662101	2013-08-04 19:27:45.662101	249
38744	187113	25548	2013-08-04 19:27:45.67177	2013-08-04 19:27:45.67177	249
38745	187113	33191	2013-08-04 19:27:45.675978	2013-08-04 19:27:45.675978	249
38746	187113	33213	2013-08-04 19:27:45.680275	2013-08-04 19:27:45.680275	249
38747	187113	33171	2013-08-04 19:27:45.685552	2013-08-04 19:27:45.685552	249
38748	187113	33151	2013-08-04 19:27:45.69243	2013-08-04 19:27:45.69243	249
38749	187113	33141	2013-08-04 19:27:45.696512	2013-08-04 19:27:45.696512	249
38750	187113	33131	2013-08-04 19:27:45.70017	2013-08-04 19:27:45.70017	249
38751	187113	33137	2013-08-04 19:27:45.703936	2013-08-04 19:27:45.703936	249
38752	187113	15379	2013-08-04 19:27:45.708869	2013-08-04 19:27:45.708869	249
38753	187113	19446	2013-08-04 19:27:45.713172	2013-08-04 19:27:45.713172	249
38754	187113	46618	2013-08-04 19:27:45.71696	2013-08-04 19:27:45.71696	249
38755	187113	33111	2013-08-04 19:27:45.72085	2013-08-04 19:27:45.72085	249
38756	187113	33091	2013-08-04 19:27:45.724778	2013-08-04 19:27:45.724778	249
38757	187635	39228	2013-08-04 19:27:45.760191	2013-08-04 19:27:45.760191	249
38758	187635	39172	2013-08-04 19:27:45.765015	2013-08-04 19:27:45.765015	249
38759	187635	39248	2013-08-04 19:27:45.770016	2013-08-04 19:27:45.770016	249
38760	187635	39268	2013-08-04 19:27:45.774367	2013-08-04 19:27:45.774367	249
38761	187635	39288	2013-08-04 19:27:45.779886	2013-08-04 19:27:45.779886	249
38762	187635	39341	2013-08-04 19:27:45.783591	2013-08-04 19:27:45.783591	249
38763	187635	21253	2013-08-04 19:27:45.788419	2013-08-04 19:27:45.788419	249
38764	187635	21319	2013-08-04 19:27:45.858807	2013-08-04 19:27:45.858807	249
38765	187635	28386	2013-08-04 19:27:45.862774	2013-08-04 19:27:45.862774	249
38766	187635	3924	2013-08-04 19:27:45.86618	2013-08-04 19:27:45.86618	249
38767	187635	17153	2013-08-04 19:27:45.869558	2013-08-04 19:27:45.869558	249
38768	187635	3095	2013-08-04 19:27:45.872635	2013-08-04 19:27:45.872635	249
38769	187635	8335	2013-08-04 19:27:45.876076	2013-08-04 19:27:45.876076	249
38770	187635	8378	2013-08-04 19:27:45.882714	2013-08-04 19:27:45.882714	249
38771	187635	8358	2013-08-04 19:27:45.889616	2013-08-04 19:27:45.889616	249
38772	187635	8338	2013-08-04 19:27:45.892695	2013-08-04 19:27:45.892695	249
38773	187635	8458	2013-08-04 19:27:45.895485	2013-08-04 19:27:45.895485	249
38774	187635	8340	2013-08-04 19:27:45.898565	2013-08-04 19:27:45.898565	249
38775	187635	8333	2013-08-04 19:27:45.901659	2013-08-04 19:27:45.901659	249
38776	187431	25216	2013-08-04 19:27:45.939271	2013-08-04 19:27:45.939271	249
38777	187431	25196	2013-08-04 19:27:45.943926	2013-08-04 19:27:45.943926	249
38778	187431	25176	2013-08-04 19:27:45.947649	2013-08-04 19:27:45.947649	249
38779	187431	25170	2013-08-04 19:27:45.951963	2013-08-04 19:27:45.951963	249
38780	187431	25156	2013-08-04 19:27:45.956395	2013-08-04 19:27:45.956395	249
38781	187431	25136	2013-08-04 19:27:45.963277	2013-08-04 19:27:45.963277	249
38782	187431	25145	2013-08-04 19:27:45.971269	2013-08-04 19:27:45.971269	249
38783	187431	4876	2013-08-04 19:27:45.982245	2013-08-04 19:27:45.982245	249
38784	187431	19261	2013-08-04 19:27:45.993293	2013-08-04 19:27:45.993293	249
38785	187109	25116	2013-08-04 19:27:46.015199	2013-08-04 19:27:46.015199	249
38786	187109	25800	2013-08-04 19:27:46.021337	2013-08-04 19:27:46.021337	249
38787	187109	25096	2013-08-04 19:27:46.025353	2013-08-04 19:27:46.025353	249
38788	187109	25076	2013-08-04 19:27:46.02918	2013-08-04 19:27:46.02918	249
38789	187109	25072	2013-08-04 19:27:46.032832	2013-08-04 19:27:46.032832	249
38790	187109	25056	2013-08-04 19:27:46.036587	2013-08-04 19:27:46.036587	249
38791	187109	25036	2013-08-04 19:27:46.042585	2013-08-04 19:27:46.042585	249
38792	187109	25016	2013-08-04 19:27:46.045837	2013-08-04 19:27:46.045837	249
38793	187109	25090	2013-08-04 19:27:46.048938	2013-08-04 19:27:46.048938	249
38794	187712	746	2013-08-04 19:27:46.083222	2013-08-04 19:27:46.083222	249
38795	187712	1344	2013-08-04 19:27:46.09512	2013-08-04 19:27:46.09512	249
38796	187712	1341	2013-08-04 19:27:46.104038	2013-08-04 19:27:46.104038	249
38797	187712	660	2013-08-04 19:27:46.109998	2013-08-04 19:27:46.109998	249
38798	187712	664	2013-08-04 19:27:46.114626	2013-08-04 19:27:46.114626	249
38799	187712	690	2013-08-04 19:27:46.118779	2013-08-04 19:27:46.118779	249
38800	187712	668	2013-08-04 19:27:46.12316	2013-08-04 19:27:46.12316	249
38801	187712	564	2013-08-04 19:27:46.127407	2013-08-04 19:27:46.127407	249
38802	187712	545	2013-08-04 19:27:46.131009	2013-08-04 19:27:46.131009	249
38803	187712	508	2013-08-04 19:27:46.134803	2013-08-04 19:27:46.134803	249
38804	187712	1312	2013-08-04 19:27:46.13951	2013-08-04 19:27:46.13951	249
38805	187712	465	2013-08-04 19:27:46.143254	2013-08-04 19:27:46.143254	249
38806	187712	544	2013-08-04 19:27:46.147011	2013-08-04 19:27:46.147011	249
38807	187712	546	2013-08-04 19:27:46.151662	2013-08-04 19:27:46.151662	249
38808	187712	418	2013-08-04 19:27:46.156777	2013-08-04 19:27:46.156777	249
38809	187712	456	2013-08-04 19:27:46.160313	2013-08-04 19:27:46.160313	249
38810	187712	36301	2013-08-04 19:27:46.16534	2013-08-04 19:27:46.16534	249
38811	187712	17592	2013-08-04 19:27:46.171921	2013-08-04 19:27:46.171921	249
38812	187712	35593	2013-08-04 19:27:46.181823	2013-08-04 19:27:46.181823	249
38813	187392	33445	2013-08-04 19:27:46.250488	2013-08-04 19:27:46.250488	249
38814	187392	33493	2013-08-04 19:27:46.255906	2013-08-04 19:27:46.255906	249
38815	187392	33510	2013-08-04 19:27:46.264623	2013-08-04 19:27:46.264623	249
38816	187392	33535	2013-08-04 19:27:46.272923	2013-08-04 19:27:46.272923	249
38817	187392	33557	2013-08-04 19:27:46.281056	2013-08-04 19:27:46.281056	249
38818	187392	33519	2013-08-04 19:27:46.292584	2013-08-04 19:27:46.292584	249
38819	187392	33452	2013-08-04 19:27:46.302246	2013-08-04 19:27:46.302246	249
38820	187392	33513	2013-08-04 19:27:46.311329	2013-08-04 19:27:46.311329	249
38821	187392	33499	2013-08-04 19:27:46.321057	2013-08-04 19:27:46.321057	249
38822	187116	33479	2013-08-04 19:27:46.340011	2013-08-04 19:27:46.340011	249
38823	187116	33472	2013-08-04 19:27:46.348962	2013-08-04 19:27:46.348962	249
38824	187116	33459	2013-08-04 19:27:46.358133	2013-08-04 19:27:46.358133	249
38825	187116	33340	2013-08-04 19:27:46.366194	2013-08-04 19:27:46.366194	249
38826	187116	33306	2013-08-04 19:27:46.376515	2013-08-04 19:27:46.376515	249
38827	187116	33439	2013-08-04 19:27:46.387244	2013-08-04 19:27:46.387244	249
38828	187116	33419	2013-08-04 19:27:46.397667	2013-08-04 19:27:46.397667	249
38829	187116	33399	2013-08-04 19:27:46.40704	2013-08-04 19:27:46.40704	249
38830	187116	36013	2013-08-04 19:27:46.41606	2013-08-04 19:27:46.41606	249
38831	187425	36753	2013-08-04 19:27:46.766802	2013-08-04 19:27:46.766802	249
38832	187425	18117	2013-08-04 19:27:46.771622	2013-08-04 19:27:46.771622	249
38833	187425	36735	2013-08-04 19:27:46.779954	2013-08-04 19:27:46.779954	249
38834	187218	36733	2013-08-04 19:27:46.793689	2013-08-04 19:27:46.793689	249
38835	187218	36713	2013-08-04 19:27:46.803168	2013-08-04 19:27:46.803168	249
38836	187218	36693	2013-08-04 19:27:46.813894	2013-08-04 19:27:46.813894	249
38837	187191	36673	2013-08-04 19:27:46.832438	2013-08-04 19:27:46.832438	249
38838	187191	36653	2013-08-04 19:27:46.836706	2013-08-04 19:27:46.836706	249
38839	187191	36672	2013-08-04 19:27:46.840339	2013-08-04 19:27:46.840339	249
38840	187080	36633	2013-08-04 19:27:46.846725	2013-08-04 19:27:46.846725	249
38841	187080	36613	2013-08-04 19:27:46.85155	2013-08-04 19:27:46.85155	249
38842	187080	36593	2013-08-04 19:27:46.856328	2013-08-04 19:27:46.856328	249
38843	187038	36550	2013-08-04 19:27:46.870478	2013-08-04 19:27:46.870478	249
38844	187038	36565	2013-08-04 19:27:46.880453	2013-08-04 19:27:46.880453	249
38845	187038	36540	2013-08-04 19:27:46.888521	2013-08-04 19:27:46.888521	249
38846	187636	39228	2013-08-04 19:27:46.908519	2013-08-04 19:27:46.908519	249
38847	187636	39172	2013-08-04 19:27:46.913768	2013-08-04 19:27:46.913768	249
38848	187636	39248	2013-08-04 19:27:46.91776	2013-08-04 19:27:46.91776	249
38849	187636	39268	2013-08-04 19:27:46.920731	2013-08-04 19:27:46.920731	249
38850	187636	39288	2013-08-04 19:27:46.923264	2013-08-04 19:27:46.923264	249
38851	187636	39341	2013-08-04 19:27:46.925969	2013-08-04 19:27:46.925969	249
38852	187636	21253	2013-08-04 19:27:46.928651	2013-08-04 19:27:46.928651	249
38853	187636	21319	2013-08-04 19:27:46.994073	2013-08-04 19:27:46.994073	249
38854	187636	28386	2013-08-04 19:27:46.998198	2013-08-04 19:27:46.998198	249
38855	187636	3924	2013-08-04 19:27:47.001397	2013-08-04 19:27:47.001397	249
38856	187636	17153	2013-08-04 19:27:47.00453	2013-08-04 19:27:47.00453	249
38857	187636	3095	2013-08-04 19:27:47.007587	2013-08-04 19:27:47.007587	249
38858	187636	8335	2013-08-04 19:27:47.010693	2013-08-04 19:27:47.010693	249
38859	187636	8378	2013-08-04 19:27:47.017631	2013-08-04 19:27:47.017631	249
38860	187636	8358	2013-08-04 19:27:47.025826	2013-08-04 19:27:47.025826	249
38861	187636	8338	2013-08-04 19:27:47.033543	2013-08-04 19:27:47.033543	249
38862	187636	8458	2013-08-04 19:27:47.039266	2013-08-04 19:27:47.039266	249
38863	187636	8340	2013-08-04 19:27:47.042614	2013-08-04 19:27:47.042614	249
38864	187636	8333	2013-08-04 19:27:47.045859	2013-08-04 19:27:47.045859	249
38865	187632	39228	2013-08-04 19:27:47.06	2013-08-04 19:27:47.06	249
38866	187632	39172	2013-08-04 19:27:47.063211	2013-08-04 19:27:47.063211	249
38867	187632	39248	2013-08-04 19:27:47.066604	2013-08-04 19:27:47.066604	249
38868	187632	39268	2013-08-04 19:27:47.069738	2013-08-04 19:27:47.069738	249
38869	187632	39288	2013-08-04 19:27:47.072602	2013-08-04 19:27:47.072602	249
38870	187632	39341	2013-08-04 19:27:47.07548	2013-08-04 19:27:47.07548	249
38871	187632	21253	2013-08-04 19:27:47.079936	2013-08-04 19:27:47.079936	249
38872	187632	21319	2013-08-04 19:27:47.083684	2013-08-04 19:27:47.083684	249
38873	187632	28386	2013-08-04 19:27:47.087961	2013-08-04 19:27:47.087961	249
38874	187632	3924	2013-08-04 19:27:47.090966	2013-08-04 19:27:47.090966	249
38875	187632	17153	2013-08-04 19:27:47.094582	2013-08-04 19:27:47.094582	249
38876	187632	3095	2013-08-04 19:27:47.100328	2013-08-04 19:27:47.100328	249
38877	187632	8335	2013-08-04 19:27:47.106963	2013-08-04 19:27:47.106963	249
38878	187632	8378	2013-08-04 19:27:47.113362	2013-08-04 19:27:47.113362	249
38879	187632	8358	2013-08-04 19:27:47.12004	2013-08-04 19:27:47.12004	249
38880	187632	8338	2013-08-04 19:27:47.127048	2013-08-04 19:27:47.127048	249
38881	187632	8458	2013-08-04 19:27:47.134905	2013-08-04 19:27:47.134905	249
38882	187632	8340	2013-08-04 19:27:47.137888	2013-08-04 19:27:47.137888	249
38883	187632	8333	2013-08-04 19:27:47.142298	2013-08-04 19:27:47.142298	249
38884	188498	37333	2013-08-04 19:32:46.08057	2013-08-04 19:32:46.08057	250
38885	188498	37073	2013-08-04 19:32:46.085845	2013-08-04 19:32:46.085845	250
38886	188498	39908	2013-08-04 19:32:46.091137	2013-08-04 19:32:46.091137	250
38887	188498	39648	2013-08-04 19:32:46.096035	2013-08-04 19:32:46.096035	250
38888	188498	1096	2013-08-04 19:32:46.101053	2013-08-04 19:32:46.101053	250
38889	188499	36686	2013-08-04 19:32:46.327291	2013-08-04 19:32:46.327291	250
38890	188499	36666	2013-08-04 19:32:46.334932	2013-08-04 19:32:46.334932	250
38891	188499	36652	2013-08-04 19:32:46.342117	2013-08-04 19:32:46.342117	250
38892	188499	36646	2013-08-04 19:32:46.350923	2013-08-04 19:32:46.350923	250
38893	188499	36626	2013-08-04 19:32:46.361755	2013-08-04 19:32:46.361755	250
38894	188499	36606	2013-08-04 19:32:46.372999	2013-08-04 19:32:46.372999	250
38895	188499	36586	2013-08-04 19:32:46.383748	2013-08-04 19:32:46.383748	250
38896	188499	36465	2013-08-04 19:32:46.394721	2013-08-04 19:32:46.394721	250
38897	188499	36495	2013-08-04 19:32:46.405353	2013-08-04 19:32:46.405353	250
38898	188499	36566	2013-08-04 19:32:46.415225	2013-08-04 19:32:46.415225	250
38899	188499	36546	2013-08-04 19:32:46.426018	2013-08-04 19:32:46.426018	250
38900	188499	36526	2013-08-04 19:32:46.436683	2013-08-04 19:32:46.436683	250
38901	188499	36580	2013-08-04 19:32:46.447051	2013-08-04 19:32:46.447051	250
38902	188499	36506	2013-08-04 19:32:46.458439	2013-08-04 19:32:46.458439	250
38903	188499	36486	2013-08-04 19:32:46.472187	2013-08-04 19:32:46.472187	250
38904	188499	36498	2013-08-04 19:32:46.484213	2013-08-04 19:32:46.484213	250
38905	188499	39840	2013-08-04 19:32:46.494699	2013-08-04 19:32:46.494699	250
38906	188499	39681	2013-08-04 19:32:46.504774	2013-08-04 19:32:46.504774	250
38907	188499	1209	2013-08-04 19:32:46.514815	2013-08-04 19:32:46.514815	250
38908	188496	9088	2013-08-04 19:32:46.552689	2013-08-04 19:32:46.552689	250
38909	188496	9087	2013-08-04 19:32:46.564283	2013-08-04 19:32:46.564283	250
38910	188496	9067	2013-08-04 19:32:46.575185	2013-08-04 19:32:46.575185	250
38911	188496	4569	2013-08-04 19:32:46.586776	2013-08-04 19:32:46.586776	250
38912	188496	9047	2013-08-04 19:32:46.597865	2013-08-04 19:32:46.597865	250
38913	188496	9027	2013-08-04 19:32:46.607333	2013-08-04 19:32:46.607333	250
38914	188496	15837	2013-08-04 19:32:46.611064	2013-08-04 19:32:46.611064	250
38915	188496	9007	2013-08-04 19:32:46.614829	2013-08-04 19:32:46.614829	250
38916	188496	9065	2013-08-04 19:32:46.618431	2013-08-04 19:32:46.618431	250
38917	188496	9001	2013-08-04 19:32:46.62421	2013-08-04 19:32:46.62421	250
38918	188496	8987	2013-08-04 19:32:46.629753	2013-08-04 19:32:46.629753	250
38919	188496	9056	2013-08-04 19:32:46.640241	2013-08-04 19:32:46.640241	250
38920	188496	8970	2013-08-04 19:32:46.650952	2013-08-04 19:32:46.650952	250
38921	188496	8967	2013-08-04 19:32:46.662009	2013-08-04 19:32:46.662009	250
38922	188496	8950	2013-08-04 19:32:46.673043	2013-08-04 19:32:46.673043	250
38923	188496	39772	2013-08-04 19:32:46.684074	2013-08-04 19:32:46.684074	250
38924	188496	39588	2013-08-04 19:32:46.694053	2013-08-04 19:32:46.694053	250
38925	188496	1229	2013-08-04 19:32:46.70414	2013-08-04 19:32:46.70414	250
38926	188496	36540	2013-08-04 19:32:46.7142	2013-08-04 19:32:46.7142	250
38927	188485	37060	2013-08-04 19:32:46.98114	2013-08-04 19:32:46.98114	250
38928	188485	36933	2013-08-04 19:32:46.99149	2013-08-04 19:32:46.99149	250
38929	188485	39788	2013-08-04 19:32:47.001464	2013-08-04 19:32:47.001464	250
38930	188485	39528	2013-08-04 19:32:47.011468	2013-08-04 19:32:47.011468	250
38931	188485	871	2013-08-04 19:32:47.021509	2013-08-04 19:32:47.021509	250
38932	189239	39228	2013-08-04 19:32:47.058246	2013-08-04 19:32:47.058246	250
38933	189239	39172	2013-08-04 19:32:47.066807	2013-08-04 19:32:47.066807	250
38934	189239	39248	2013-08-04 19:32:47.074951	2013-08-04 19:32:47.074951	250
38935	189239	39268	2013-08-04 19:32:47.0831	2013-08-04 19:32:47.0831	250
38936	189239	39288	2013-08-04 19:32:47.091266	2013-08-04 19:32:47.091266	250
38937	189239	39341	2013-08-04 19:32:47.099236	2013-08-04 19:32:47.099236	250
38938	189239	21253	2013-08-04 19:32:47.106926	2013-08-04 19:32:47.106926	250
38939	189239	21319	2013-08-04 19:32:47.114637	2013-08-04 19:32:47.114637	250
38940	189239	28386	2013-08-04 19:32:47.122752	2013-08-04 19:32:47.122752	250
38941	189239	3924	2013-08-04 19:32:47.130957	2013-08-04 19:32:47.130957	250
38942	189239	17153	2013-08-04 19:32:47.140073	2013-08-04 19:32:47.140073	250
38943	189239	3095	2013-08-04 19:32:47.14982	2013-08-04 19:32:47.14982	250
38944	189239	8335	2013-08-04 19:32:47.155165	2013-08-04 19:32:47.155165	250
38945	189239	8378	2013-08-04 19:32:47.159859	2013-08-04 19:32:47.159859	250
38946	189239	8358	2013-08-04 19:32:47.162792	2013-08-04 19:32:47.162792	250
38947	189239	8338	2013-08-04 19:32:47.165573	2013-08-04 19:32:47.165573	250
38948	189239	8458	2013-08-04 19:32:47.168435	2013-08-04 19:32:47.168435	250
38949	189239	8340	2013-08-04 19:32:47.171085	2013-08-04 19:32:47.171085	250
38950	189239	8333	2013-08-04 19:32:47.173852	2013-08-04 19:32:47.173852	250
38951	189241	39228	2013-08-04 19:32:47.187058	2013-08-04 19:32:47.187058	250
38952	189241	39172	2013-08-04 19:32:47.190361	2013-08-04 19:32:47.190361	250
38953	189241	39248	2013-08-04 19:32:47.193417	2013-08-04 19:32:47.193417	250
38954	189241	39268	2013-08-04 19:32:47.200282	2013-08-04 19:32:47.200282	250
38955	189241	39288	2013-08-04 19:32:47.208452	2013-08-04 19:32:47.208452	250
38956	189241	39341	2013-08-04 19:32:47.216568	2013-08-04 19:32:47.216568	250
38957	189241	21253	2013-08-04 19:32:47.224732	2013-08-04 19:32:47.224732	250
38958	189241	21319	2013-08-04 19:32:47.232954	2013-08-04 19:32:47.232954	250
38959	189241	28386	2013-08-04 19:32:47.241159	2013-08-04 19:32:47.241159	250
38960	189241	3924	2013-08-04 19:32:47.249347	2013-08-04 19:32:47.249347	250
38961	189241	17153	2013-08-04 19:32:47.257556	2013-08-04 19:32:47.257556	250
38962	189241	3095	2013-08-04 19:32:47.265704	2013-08-04 19:32:47.265704	250
38963	189241	8335	2013-08-04 19:32:47.274127	2013-08-04 19:32:47.274127	250
38964	189241	8378	2013-08-04 19:32:47.279974	2013-08-04 19:32:47.279974	250
38965	189241	8358	2013-08-04 19:32:47.282923	2013-08-04 19:32:47.282923	250
38966	189241	8338	2013-08-04 19:32:47.285944	2013-08-04 19:32:47.285944	250
38967	189241	8458	2013-08-04 19:32:47.292488	2013-08-04 19:32:47.292488	250
38968	189241	8340	2013-08-04 19:32:47.30063	2013-08-04 19:32:47.30063	250
38969	189241	8333	2013-08-04 19:32:47.308787	2013-08-04 19:32:47.308787	250
38970	189242	39228	2013-08-04 19:32:47.339469	2013-08-04 19:32:47.339469	250
38971	189242	39172	2013-08-04 19:32:47.34781	2013-08-04 19:32:47.34781	250
38972	189242	39248	2013-08-04 19:32:47.356009	2013-08-04 19:32:47.356009	250
38973	189242	39268	2013-08-04 19:32:47.364184	2013-08-04 19:32:47.364184	250
38974	189242	39288	2013-08-04 19:32:47.372233	2013-08-04 19:32:47.372233	250
38975	189242	39341	2013-08-04 19:32:47.380386	2013-08-04 19:32:47.380386	250
38976	189242	21253	2013-08-04 19:32:47.388548	2013-08-04 19:32:47.388548	250
38977	189242	21319	2013-08-04 19:32:47.396649	2013-08-04 19:32:47.396649	250
38978	189242	28386	2013-08-04 19:32:47.404793	2013-08-04 19:32:47.404793	250
38979	189242	3924	2013-08-04 19:32:47.412906	2013-08-04 19:32:47.412906	250
38980	189242	17153	2013-08-04 19:32:47.421007	2013-08-04 19:32:47.421007	250
38981	189242	3095	2013-08-04 19:32:47.429125	2013-08-04 19:32:47.429125	250
38982	189242	8335	2013-08-04 19:32:47.437064	2013-08-04 19:32:47.437064	250
38983	189242	8378	2013-08-04 19:32:47.444771	2013-08-04 19:32:47.444771	250
38984	189242	8358	2013-08-04 19:32:47.452459	2013-08-04 19:32:47.452459	250
38985	189242	8338	2013-08-04 19:32:47.460141	2013-08-04 19:32:47.460141	250
38986	189242	8458	2013-08-04 19:32:47.467754	2013-08-04 19:32:47.467754	250
38987	189242	8340	2013-08-04 19:32:47.475517	2013-08-04 19:32:47.475517	250
38988	189242	8333	2013-08-04 19:32:47.483183	2013-08-04 19:32:47.483183	250
38989	188486	37158	2013-08-04 19:32:47.739103	2013-08-04 19:32:47.739103	250
38990	189597	1129	2013-08-04 19:32:47.826846	2013-08-04 19:32:47.826846	250
38991	189597	36013	2013-08-04 19:32:47.837112	2013-08-04 19:32:47.837112	250
38992	189597	33459	2013-08-04 19:32:47.847137	2013-08-04 19:32:47.847137	250
38993	189597	25090	2013-08-04 19:32:47.911744	2013-08-04 19:32:47.911744	250
38994	189597	22850	2013-08-04 19:32:47.917214	2013-08-04 19:32:47.917214	250
38995	189597	16589	2013-08-04 19:32:47.9216	2013-08-04 19:32:47.9216	250
38996	189597	16535	2013-08-04 19:32:47.925624	2013-08-04 19:32:47.925624	250
38997	189597	4528	2013-08-04 19:32:47.929473	2013-08-04 19:32:47.929473	250
38998	189597	44723	2013-08-04 19:32:47.933504	2013-08-04 19:32:47.933504	250
38999	189036	16609	2013-08-04 19:32:47.943122	2013-08-04 19:32:47.943122	250
39000	189036	16486	2013-08-04 19:32:47.948128	2013-08-04 19:32:47.948128	250
39001	189036	16495	2013-08-04 19:32:47.953168	2013-08-04 19:32:47.953168	250
39002	189036	7919	2013-08-04 19:32:47.958724	2013-08-04 19:32:47.958724	250
39003	189036	8887	2013-08-04 19:32:47.964986	2013-08-04 19:32:47.964986	250
39004	189036	8907	2013-08-04 19:32:47.971246	2013-08-04 19:32:47.971246	250
39005	189036	8927	2013-08-04 19:32:47.977422	2013-08-04 19:32:47.977422	250
39006	189036	8947	2013-08-04 19:32:47.983661	2013-08-04 19:32:47.983661	250
39007	189036	8797	2013-08-04 19:32:47.989901	2013-08-04 19:32:47.989901	250
39008	189048	36850	2013-08-04 19:32:48.028096	2013-08-04 19:32:48.028096	250
39009	189048	36805	2013-08-04 19:32:48.039608	2013-08-04 19:32:48.039608	250
39010	189048	36886	2013-08-04 19:32:48.050579	2013-08-04 19:32:48.050579	250
39011	189048	36790	2013-08-04 19:32:48.060733	2013-08-04 19:32:48.060733	250
39012	189048	36866	2013-08-04 19:32:48.070744	2013-08-04 19:32:48.070744	250
39013	189048	36846	2013-08-04 19:32:48.080985	2013-08-04 19:32:48.080985	250
39014	189048	36781	2013-08-04 19:32:48.091896	2013-08-04 19:32:48.091896	250
39015	189048	36826	2013-08-04 19:32:48.101852	2013-08-04 19:32:48.101852	250
39016	189048	36740	2013-08-04 19:32:48.11201	2013-08-04 19:32:48.11201	250
39017	189048	36806	2013-08-04 19:32:48.122012	2013-08-04 19:32:48.122012	250
39018	189048	36758	2013-08-04 19:32:48.132488	2013-08-04 19:32:48.132488	250
39019	189048	36778	2013-08-04 19:32:48.143768	2013-08-04 19:32:48.143768	250
39020	189048	36786	2013-08-04 19:32:48.155451	2013-08-04 19:32:48.155451	250
39021	189048	36798	2013-08-04 19:32:48.167171	2013-08-04 19:32:48.167171	250
39022	189048	36766	2013-08-04 19:32:48.17394	2013-08-04 19:32:48.17394	250
39023	189048	36746	2013-08-04 19:32:48.179407	2013-08-04 19:32:48.179407	250
39024	189048	36630	2013-08-04 19:32:48.183853	2013-08-04 19:32:48.183853	250
39025	189048	36726	2013-08-04 19:32:48.188329	2013-08-04 19:32:48.188329	250
39026	189048	36706	2013-08-04 19:32:48.192787	2013-08-04 19:32:48.192787	250
39027	189355	22721	2013-08-04 19:32:48.21193	2013-08-04 19:32:48.21193	250
39028	189355	9152	2013-08-04 19:32:48.218744	2013-08-04 19:32:48.218744	250
39029	189355	9186	2013-08-04 19:32:48.225848	2013-08-04 19:32:48.225848	250
39030	189355	9206	2013-08-04 19:32:48.233215	2013-08-04 19:32:48.233215	250
39031	189355	9226	2013-08-04 19:32:48.239342	2013-08-04 19:32:48.239342	250
39032	189355	9167	2013-08-04 19:32:48.243856	2013-08-04 19:32:48.243856	250
39033	189059	9246	2013-08-04 19:32:48.251969	2013-08-04 19:32:48.251969	250
39034	189059	9232	2013-08-04 19:32:48.256422	2013-08-04 19:32:48.256422	250
39035	189059	9180	2013-08-04 19:32:48.260388	2013-08-04 19:32:48.260388	250
39036	189059	9147	2013-08-04 19:32:48.264656	2013-08-04 19:32:48.264656	250
39037	189059	9127	2013-08-04 19:32:48.269143	2013-08-04 19:32:48.269143	250
39038	189059	9185	2013-08-04 19:32:48.273265	2013-08-04 19:32:48.273265	250
39039	188681	9205	2013-08-04 19:32:48.284965	2013-08-04 19:32:48.284965	250
39040	188681	9107	2013-08-04 19:32:48.290742	2013-08-04 19:32:48.290742	250
39041	188681	8998	2013-08-04 19:32:48.295598	2013-08-04 19:32:48.295598	250
39042	188681	9078	2013-08-04 19:32:48.300203	2013-08-04 19:32:48.300203	250
39043	188681	9048	2013-08-04 19:32:48.304826	2013-08-04 19:32:48.304826	250
39044	188681	9068	2013-08-04 19:32:48.309961	2013-08-04 19:32:48.309961	250
39045	189056	4532	2013-08-04 19:32:48.328709	2013-08-04 19:32:48.328709	250
39046	189056	16769	2013-08-04 19:32:48.335142	2013-08-04 19:32:48.335142	250
39047	189056	16775	2013-08-04 19:32:48.339288	2013-08-04 19:32:48.339288	250
39048	189056	4552	2013-08-04 19:32:48.34385	2013-08-04 19:32:48.34385	250
39049	189056	12230	2013-08-04 19:32:48.348513	2013-08-04 19:32:48.348513	250
39050	189056	41663	2013-08-04 19:32:48.354716	2013-08-04 19:32:48.354716	250
39051	188744	16749	2013-08-04 19:32:48.364623	2013-08-04 19:32:48.364623	250
39052	188744	16729	2013-08-04 19:32:48.370834	2013-08-04 19:32:48.370834	250
39053	188744	32632	2013-08-04 19:32:48.376822	2013-08-04 19:32:48.376822	250
39054	188744	16709	2013-08-04 19:32:48.380333	2013-08-04 19:32:48.380333	250
39055	188744	16777	2013-08-04 19:32:48.383802	2013-08-04 19:32:48.383802	250
39056	188744	16689	2013-08-04 19:32:48.388499	2013-08-04 19:32:48.388499	250
39057	188684	16700	2013-08-04 19:32:48.398197	2013-08-04 19:32:48.398197	250
39058	188684	16669	2013-08-04 19:32:48.40324	2013-08-04 19:32:48.40324	250
39059	188684	16649	2013-08-04 19:32:48.408434	2013-08-04 19:32:48.408434	250
39060	188684	39848	2013-08-04 19:32:48.413629	2013-08-04 19:32:48.413629	250
39061	188684	39568	2013-08-04 19:32:48.418587	2013-08-04 19:32:48.418587	250
39062	188684	1078	2013-08-04 19:32:48.422412	2013-08-04 19:32:48.422412	250
39063	188730	27721	2013-08-04 19:32:48.519182	2013-08-04 19:32:48.519182	250
39064	188730	27677	2013-08-04 19:32:48.530687	2013-08-04 19:32:48.530687	250
39065	188730	33431	2013-08-04 19:32:48.541515	2013-08-04 19:32:48.541515	250
39066	188730	33411	2013-08-04 19:32:48.552368	2013-08-04 19:32:48.552368	250
39067	188730	33391	2013-08-04 19:32:48.563189	2013-08-04 19:32:48.563189	250
39068	188730	33390	2013-08-04 19:32:48.573972	2013-08-04 19:32:48.573972	250
39069	188730	33371	2013-08-04 19:32:48.584758	2013-08-04 19:32:48.584758	250
39070	188730	33351	2013-08-04 19:32:48.595665	2013-08-04 19:32:48.595665	250
39071	188730	3734	2013-08-04 19:32:48.606506	2013-08-04 19:32:48.606506	250
39072	188686	33331	2013-08-04 19:32:48.628425	2013-08-04 19:32:48.628425	250
39073	188686	33315	2013-08-04 19:32:48.639639	2013-08-04 19:32:48.639639	250
39074	188686	33365	2013-08-04 19:32:48.650535	2013-08-04 19:32:48.650535	250
39075	188686	33311	2013-08-04 19:32:48.661149	2013-08-04 19:32:48.661149	250
39076	188686	33291	2013-08-04 19:32:48.672172	2013-08-04 19:32:48.672172	250
39077	188686	17171	2013-08-04 19:32:48.683196	2013-08-04 19:32:48.683196	250
39078	188686	39808	2013-08-04 19:32:48.694277	2013-08-04 19:32:48.694277	250
39079	188686	39548	2013-08-04 19:32:48.703977	2013-08-04 19:32:48.703977	250
39080	188686	1015	2013-08-04 19:32:48.713805	2013-08-04 19:32:48.713805	250
39081	189243	39228	2013-08-04 19:32:48.778829	2013-08-04 19:32:48.778829	250
39082	189243	39172	2013-08-04 19:32:48.787192	2013-08-04 19:32:48.787192	250
39083	189243	39248	2013-08-04 19:32:48.7953	2013-08-04 19:32:48.7953	250
39084	189243	39268	2013-08-04 19:32:48.803325	2013-08-04 19:32:48.803325	250
39085	189243	39288	2013-08-04 19:32:48.81125	2013-08-04 19:32:48.81125	250
39086	189243	39341	2013-08-04 19:32:48.819278	2013-08-04 19:32:48.819278	250
39087	189243	21253	2013-08-04 19:32:48.827143	2013-08-04 19:32:48.827143	250
39088	189243	21319	2013-08-04 19:32:48.835051	2013-08-04 19:32:48.835051	250
39089	189243	28386	2013-08-04 19:32:48.843154	2013-08-04 19:32:48.843154	250
39090	189243	3924	2013-08-04 19:32:48.851231	2013-08-04 19:32:48.851231	250
39091	189243	17153	2013-08-04 19:32:48.859215	2013-08-04 19:32:48.859215	250
39092	189243	3095	2013-08-04 19:32:48.867288	2013-08-04 19:32:48.867288	250
39093	189243	8335	2013-08-04 19:32:48.874689	2013-08-04 19:32:48.874689	250
39094	189243	8378	2013-08-04 19:32:48.877133	2013-08-04 19:32:48.877133	250
39095	189243	8358	2013-08-04 19:32:48.879513	2013-08-04 19:32:48.879513	250
39096	189243	8338	2013-08-04 19:32:48.881969	2013-08-04 19:32:48.881969	250
39097	189243	8458	2013-08-04 19:32:48.884398	2013-08-04 19:32:48.884398	250
39098	189243	8340	2013-08-04 19:32:48.886641	2013-08-04 19:32:48.886641	250
39099	189243	8333	2013-08-04 19:32:48.888827	2013-08-04 19:32:48.888827	250
39100	189595	25451	2013-08-04 19:32:48.950372	2013-08-04 19:32:48.950372	250
39101	189595	25436	2013-08-04 19:32:48.961256	2013-08-04 19:32:48.961256	250
39102	189595	25317	2013-08-04 19:32:48.972157	2013-08-04 19:32:48.972157	250
39103	189595	25295	2013-08-04 19:32:48.983885	2013-08-04 19:32:48.983885	250
39104	189595	25416	2013-08-04 19:32:48.994614	2013-08-04 19:32:48.994614	250
39105	189595	25396	2013-08-04 19:32:48.999144	2013-08-04 19:32:48.999144	250
39106	189595	25376	2013-08-04 19:32:49.003616	2013-08-04 19:32:49.003616	250
39107	189595	25356	2013-08-04 19:32:49.008137	2013-08-04 19:32:49.008137	250
39108	189595	18910	2013-08-04 19:32:49.012661	2013-08-04 19:32:49.012661	250
39109	188682	25336	2013-08-04 19:32:49.021151	2013-08-04 19:32:49.021151	250
39110	188682	25377	2013-08-04 19:32:49.025614	2013-08-04 19:32:49.025614	250
39111	188682	25316	2013-08-04 19:32:49.032546	2013-08-04 19:32:49.032546	250
39112	188682	25296	2013-08-04 19:32:49.042588	2013-08-04 19:32:49.042588	250
39113	188682	25200	2013-08-04 19:32:49.05316	2013-08-04 19:32:49.05316	250
39114	188682	25276	2013-08-04 19:32:49.062579	2013-08-04 19:32:49.062579	250
39115	188682	25256	2013-08-04 19:32:49.073435	2013-08-04 19:32:49.073435	250
39116	188682	39728	2013-08-04 19:32:49.084424	2013-08-04 19:32:49.084424	250
39117	188682	915	2013-08-04 19:32:49.094573	2013-08-04 19:32:49.094573	250
39118	188785	2431	2013-08-04 19:32:49.142566	2013-08-04 19:32:49.142566	250
39119	188785	1486	2013-08-04 19:32:49.154256	2013-08-04 19:32:49.154256	250
39120	188785	589	2013-08-04 19:32:49.165333	2013-08-04 19:32:49.165333	250
39121	188785	1644	2013-08-04 19:32:49.179783	2013-08-04 19:32:49.179783	250
39122	188785	687	2013-08-04 19:32:49.192163	2013-08-04 19:32:49.192163	250
39123	188785	1504	2013-08-04 19:32:49.198861	2013-08-04 19:32:49.198861	250
39124	188785	1218	2013-08-04 19:32:49.204905	2013-08-04 19:32:49.204905	250
39125	188785	1132	2013-08-04 19:32:49.209528	2013-08-04 19:32:49.209528	250
39126	188785	1475	2013-08-04 19:32:49.213637	2013-08-04 19:32:49.213637	250
39127	188785	1349	2013-08-04 19:32:49.217319	2013-08-04 19:32:49.217319	250
39128	188785	1400	2013-08-04 19:32:49.293082	2013-08-04 19:32:49.293082	250
39129	188785	1951	2013-08-04 19:32:49.304598	2013-08-04 19:32:49.304598	250
39130	188785	452	2013-08-04 19:32:49.31602	2013-08-04 19:32:49.31602	250
39131	188785	1150	2013-08-04 19:32:49.328468	2013-08-04 19:32:49.328468	250
39132	188785	1199	2013-08-04 19:32:49.33525	2013-08-04 19:32:49.33525	250
39133	188785	39708	2013-08-04 19:32:49.340857	2013-08-04 19:32:49.340857	250
39134	188785	37153	2013-08-04 19:32:49.345387	2013-08-04 19:32:49.345387	250
39135	188785	36873	2013-08-04 19:32:49.349912	2013-08-04 19:32:49.349912	250
39136	188785	36613	2013-08-04 19:32:49.35387	2013-08-04 19:32:49.35387	250
39137	189055	33739	2013-08-04 19:32:49.416797	2013-08-04 19:32:49.416797	250
39138	189055	33719	2013-08-04 19:32:49.427061	2013-08-04 19:32:49.427061	250
39139	189055	33699	2013-08-04 19:32:49.430685	2013-08-04 19:32:49.430685	250
39140	189055	30597	2013-08-04 19:32:49.434666	2013-08-04 19:32:49.434666	250
39141	189055	33633	2013-08-04 19:32:49.438551	2013-08-04 19:32:49.438551	250
39142	189055	33653	2013-08-04 19:32:49.442344	2013-08-04 19:32:49.442344	250
39143	188688	33673	2013-08-04 19:32:49.449757	2013-08-04 19:32:49.449757	250
39144	188688	33679	2013-08-04 19:32:49.45654	2013-08-04 19:32:49.45654	250
39145	188688	33659	2013-08-04 19:32:49.464185	2013-08-04 19:32:49.464185	250
39146	188688	33639	2013-08-04 19:32:49.475456	2013-08-04 19:32:49.475456	250
39147	188688	33619	2013-08-04 19:32:49.486956	2013-08-04 19:32:49.486956	250
39148	188688	33599	2013-08-04 19:32:49.498117	2013-08-04 19:32:49.498117	250
39149	188488	33506	2013-08-04 19:32:49.51914	2013-08-04 19:32:49.51914	250
39150	188488	19617	2013-08-04 19:32:49.529922	2013-08-04 19:32:49.529922	250
39151	188488	33579	2013-08-04 19:32:49.540755	2013-08-04 19:32:49.540755	250
39152	188488	1727	2013-08-04 19:32:49.552287	2013-08-04 19:32:49.552287	250
39153	188488	33559	2013-08-04 19:32:49.56339	2013-08-04 19:32:49.56339	250
39154	188488	870	2013-08-04 19:32:49.574413	2013-08-04 19:32:49.574413	250
39155	189670	37593	2013-08-04 19:32:49.980881	2013-08-04 19:32:49.980881	250
39156	189670	37672	2013-08-04 19:32:49.992342	2013-08-04 19:32:49.992342	250
39157	189670	37573	2013-08-04 19:32:50.003415	2013-08-04 19:32:50.003415	250
39158	189219	37553	2013-08-04 19:32:50.02574	2013-08-04 19:32:50.02574	250
39159	189219	37533	2013-08-04 19:32:50.037074	2013-08-04 19:32:50.037074	250
39160	189219	12819	2013-08-04 19:32:50.04771	2013-08-04 19:32:50.04771	250
39161	188808	37513	2013-08-04 19:32:50.070223	2013-08-04 19:32:50.070223	250
39162	188808	37493	2013-08-04 19:32:50.081208	2013-08-04 19:32:50.081208	250
39163	188808	37473	2013-08-04 19:32:50.092355	2013-08-04 19:32:50.092355	250
39164	188696	37453	2013-08-04 19:32:50.114014	2013-08-04 19:32:50.114014	250
39165	188696	37512	2013-08-04 19:32:50.125402	2013-08-04 19:32:50.125402	250
39166	188696	37433	2013-08-04 19:32:50.137012	2013-08-04 19:32:50.137012	250
39167	188613	37413	2013-08-04 19:32:50.153368	2013-08-04 19:32:50.153368	250
39168	188613	37393	2013-08-04 19:32:50.157058	2013-08-04 19:32:50.157058	250
39169	188613	18511	2013-08-04 19:32:50.160765	2013-08-04 19:32:50.160765	250
39170	188569	37373	2013-08-04 19:32:50.169529	2013-08-04 19:32:50.169529	250
39171	188569	37330	2013-08-04 19:32:50.174624	2013-08-04 19:32:50.174624	250
39172	188569	37270	2013-08-04 19:32:50.180525	2013-08-04 19:32:50.180525	250
39173	189245	39228	2013-08-04 19:32:50.210644	2013-08-04 19:32:50.210644	250
39174	189245	39172	2013-08-04 19:32:50.219804	2013-08-04 19:32:50.219804	250
39175	189245	39248	2013-08-04 19:32:50.223445	2013-08-04 19:32:50.223445	250
39176	189245	39268	2013-08-04 19:32:50.226711	2013-08-04 19:32:50.226711	250
39177	189245	39288	2013-08-04 19:32:50.231129	2013-08-04 19:32:50.231129	250
39178	189245	39341	2013-08-04 19:32:50.235963	2013-08-04 19:32:50.235963	250
39179	189245	21253	2013-08-04 19:32:50.240156	2013-08-04 19:32:50.240156	250
39180	189245	21319	2013-08-04 19:32:50.243456	2013-08-04 19:32:50.243456	250
39181	189245	28386	2013-08-04 19:32:50.247323	2013-08-04 19:32:50.247323	250
39182	189245	3924	2013-08-04 19:32:50.251342	2013-08-04 19:32:50.251342	250
39183	189245	17153	2013-08-04 19:32:50.254668	2013-08-04 19:32:50.254668	250
39184	189245	3095	2013-08-04 19:32:50.258597	2013-08-04 19:32:50.258597	250
39185	189245	8335	2013-08-04 19:32:50.262462	2013-08-04 19:32:50.262462	250
39186	189245	8378	2013-08-04 19:32:50.266192	2013-08-04 19:32:50.266192	250
39187	189245	8358	2013-08-04 19:32:50.269989	2013-08-04 19:32:50.269989	250
39188	189245	8338	2013-08-04 19:32:50.27402	2013-08-04 19:32:50.27402	250
39189	189245	8458	2013-08-04 19:32:50.279897	2013-08-04 19:32:50.279897	250
39190	189245	8340	2013-08-04 19:32:50.287466	2013-08-04 19:32:50.287466	250
39191	189245	8333	2013-08-04 19:32:50.295598	2013-08-04 19:32:50.295598	250
39192	189240	39228	2013-08-04 19:32:50.330676	2013-08-04 19:32:50.330676	250
39193	189240	39172	2013-08-04 19:32:50.339893	2013-08-04 19:32:50.339893	250
39194	189240	39248	2013-08-04 19:32:50.348551	2013-08-04 19:32:50.348551	250
39195	189240	39268	2013-08-04 19:32:50.35708	2013-08-04 19:32:50.35708	250
39196	189240	39288	2013-08-04 19:32:50.366634	2013-08-04 19:32:50.366634	250
39197	189240	39341	2013-08-04 19:32:50.376162	2013-08-04 19:32:50.376162	250
39198	189240	21253	2013-08-04 19:32:50.380953	2013-08-04 19:32:50.380953	250
39199	189240	21319	2013-08-04 19:32:50.385132	2013-08-04 19:32:50.385132	250
39200	189240	28386	2013-08-04 19:32:50.389166	2013-08-04 19:32:50.389166	250
39201	189240	3924	2013-08-04 19:32:50.39313	2013-08-04 19:32:50.39313	250
39202	189240	17153	2013-08-04 19:32:50.396645	2013-08-04 19:32:50.396645	250
39203	189240	3095	2013-08-04 19:32:50.399789	2013-08-04 19:32:50.399789	250
39204	189240	8335	2013-08-04 19:32:50.402591	2013-08-04 19:32:50.402591	250
39205	189240	8378	2013-08-04 19:32:50.40561	2013-08-04 19:32:50.40561	250
39206	189240	8358	2013-08-04 19:32:50.408593	2013-08-04 19:32:50.408593	250
39207	189240	8338	2013-08-04 19:32:50.412224	2013-08-04 19:32:50.412224	250
39208	189240	8458	2013-08-04 19:32:50.415951	2013-08-04 19:32:50.415951	250
39209	189240	8340	2013-08-04 19:32:50.419705	2013-08-04 19:32:50.419705	250
39210	189240	8333	2013-08-04 19:32:50.423102	2013-08-04 19:32:50.423102	250
39211	190061	37770	2013-08-04 19:37:46.194775	2013-08-04 19:37:46.194775	251
39212	190061	25736	2013-08-04 19:37:46.200656	2013-08-04 19:37:46.200656	251
39213	190061	22166	2013-08-04 19:37:46.204925	2013-08-04 19:37:46.204925	251
39214	190058	37346	2013-08-04 19:37:46.437774	2013-08-04 19:37:46.437774	251
39215	190058	37300	2013-08-04 19:37:46.450885	2013-08-04 19:37:46.450885	251
39216	190058	37326	2013-08-04 19:37:46.462859	2013-08-04 19:37:46.462859	251
39217	190058	37306	2013-08-04 19:37:46.474737	2013-08-04 19:37:46.474737	251
39218	190058	37361	2013-08-04 19:37:46.486042	2013-08-04 19:37:46.486042	251
39219	190058	37286	2013-08-04 19:37:46.497362	2013-08-04 19:37:46.497362	251
39220	190058	37221	2013-08-04 19:37:46.51	2013-08-04 19:37:46.51	251
39221	190058	37266	2013-08-04 19:37:46.514868	2013-08-04 19:37:46.514868	251
39222	190058	37273	2013-08-04 19:37:46.519298	2013-08-04 19:37:46.519298	251
39223	190058	37246	2013-08-04 19:37:46.524523	2013-08-04 19:37:46.524523	251
39224	190058	37358	2013-08-04 19:37:46.52835	2013-08-04 19:37:46.52835	251
39225	190058	37226	2013-08-04 19:37:46.532161	2013-08-04 19:37:46.532161	251
39226	190058	37212	2013-08-04 19:37:46.536231	2013-08-04 19:37:46.536231	251
39227	190058	37206	2013-08-04 19:37:46.54055	2013-08-04 19:37:46.54055	251
39228	190058	37186	2013-08-04 19:37:46.545504	2013-08-04 19:37:46.545504	251
39229	190058	37166	2013-08-04 19:37:46.551139	2013-08-04 19:37:46.551139	251
39230	190058	37146	2013-08-04 19:37:46.557501	2013-08-04 19:37:46.557501	251
39231	190058	37126	2013-08-04 19:37:46.563952	2013-08-04 19:37:46.563952	251
39232	190058	37106	2013-08-04 19:37:46.570528	2013-08-04 19:37:46.570528	251
39233	190062	9361	2013-08-04 19:37:46.58772	2013-08-04 19:37:46.58772	251
39234	190062	9381	2013-08-04 19:37:46.593254	2013-08-04 19:37:46.593254	251
39235	190062	9401	2013-08-04 19:37:46.597645	2013-08-04 19:37:46.597645	251
39236	190062	9287	2013-08-04 19:37:46.604706	2013-08-04 19:37:46.604706	251
39237	190062	9332	2013-08-04 19:37:46.610836	2013-08-04 19:37:46.610836	251
39238	190062	9303	2013-08-04 19:37:46.61603	2013-08-04 19:37:46.61603	251
39239	190062	9267	2013-08-04 19:37:46.620717	2013-08-04 19:37:46.620717	251
39240	190062	9218	2013-08-04 19:37:46.624856	2013-08-04 19:37:46.624856	251
39241	190062	9212	2013-08-04 19:37:46.628903	2013-08-04 19:37:46.628903	251
39242	190062	9257	2013-08-04 19:37:46.635588	2013-08-04 19:37:46.635588	251
39243	190062	9108	2013-08-04 19:37:46.641583	2013-08-04 19:37:46.641583	251
39244	190062	9128	2013-08-04 19:37:46.650934	2013-08-04 19:37:46.650934	251
39245	190062	9148	2013-08-04 19:37:46.662006	2013-08-04 19:37:46.662006	251
39246	190062	9247	2013-08-04 19:37:46.67306	2013-08-04 19:37:46.67306	251
39247	190062	9227	2013-08-04 19:37:46.684023	2013-08-04 19:37:46.684023	251
39248	190062	9207	2013-08-04 19:37:46.694935	2013-08-04 19:37:46.694935	251
39249	190062	7321	2013-08-04 19:37:46.705885	2013-08-04 19:37:46.705885	251
39250	190062	9110	2013-08-04 19:37:46.717735	2013-08-04 19:37:46.717735	251
39251	190062	37046	2013-08-04 19:37:46.729197	2013-08-04 19:37:46.729197	251
39252	190082	37693	2013-08-04 19:37:46.976336	2013-08-04 19:37:46.976336	251
39253	190082	36986	2013-08-04 19:37:46.986224	2013-08-04 19:37:46.986224	251
39254	190082	25576	2013-08-04 19:37:46.994048	2013-08-04 19:37:46.994048	251
39255	190691	39228	2013-08-04 19:37:47.031946	2013-08-04 19:37:47.031946	251
39256	190691	39172	2013-08-04 19:37:47.040532	2013-08-04 19:37:47.040532	251
39257	190691	39248	2013-08-04 19:37:47.048868	2013-08-04 19:37:47.048868	251
39258	190691	39268	2013-08-04 19:37:47.057793	2013-08-04 19:37:47.057793	251
39259	190691	39288	2013-08-04 19:37:47.066742	2013-08-04 19:37:47.066742	251
39260	190691	39341	2013-08-04 19:37:47.075075	2013-08-04 19:37:47.075075	251
39261	190691	21253	2013-08-04 19:37:47.079944	2013-08-04 19:37:47.079944	251
39262	190691	21319	2013-08-04 19:37:47.082498	2013-08-04 19:37:47.082498	251
39263	190691	28386	2013-08-04 19:37:47.084956	2013-08-04 19:37:47.084956	251
39264	190691	3924	2013-08-04 19:37:47.087466	2013-08-04 19:37:47.087466	251
39265	190691	17153	2013-08-04 19:37:47.089989	2013-08-04 19:37:47.089989	251
39266	190691	3095	2013-08-04 19:37:47.092646	2013-08-04 19:37:47.092646	251
39267	190691	8335	2013-08-04 19:37:47.097842	2013-08-04 19:37:47.097842	251
39268	190691	8378	2013-08-04 19:37:47.103953	2013-08-04 19:37:47.103953	251
39269	190691	8358	2013-08-04 19:37:47.111495	2013-08-04 19:37:47.111495	251
39270	190691	8338	2013-08-04 19:37:47.119415	2013-08-04 19:37:47.119415	251
39271	190691	8458	2013-08-04 19:37:47.127492	2013-08-04 19:37:47.127492	251
39272	190691	8340	2013-08-04 19:37:47.137015	2013-08-04 19:37:47.137015	251
39273	190691	8333	2013-08-04 19:37:47.148727	2013-08-04 19:37:47.148727	251
39274	190693	39228	2013-08-04 19:37:47.166942	2013-08-04 19:37:47.166942	251
39275	190693	39172	2013-08-04 19:37:47.170992	2013-08-04 19:37:47.170992	251
39276	190693	39248	2013-08-04 19:37:47.175734	2013-08-04 19:37:47.175734	251
39277	190693	39268	2013-08-04 19:37:47.180174	2013-08-04 19:37:47.180174	251
39278	190693	39288	2013-08-04 19:37:47.184207	2013-08-04 19:37:47.184207	251
39279	190693	39341	2013-08-04 19:37:47.187839	2013-08-04 19:37:47.187839	251
39280	190693	21253	2013-08-04 19:37:47.190787	2013-08-04 19:37:47.190787	251
39281	190693	21319	2013-08-04 19:37:47.19336	2013-08-04 19:37:47.19336	251
39282	190693	28386	2013-08-04 19:37:47.196725	2013-08-04 19:37:47.196725	251
39283	190693	3924	2013-08-04 19:37:47.200703	2013-08-04 19:37:47.200703	251
39284	190693	17153	2013-08-04 19:37:47.204999	2013-08-04 19:37:47.204999	251
39285	190693	3095	2013-08-04 19:37:47.211329	2013-08-04 19:37:47.211329	251
39286	190693	8335	2013-08-04 19:37:47.219022	2013-08-04 19:37:47.219022	251
39287	190693	8378	2013-08-04 19:37:47.223952	2013-08-04 19:37:47.223952	251
39288	190693	8358	2013-08-04 19:37:47.230722	2013-08-04 19:37:47.230722	251
39289	190693	8338	2013-08-04 19:37:47.23962	2013-08-04 19:37:47.23962	251
39290	190693	8458	2013-08-04 19:37:47.248586	2013-08-04 19:37:47.248586	251
39291	190693	8340	2013-08-04 19:37:47.257022	2013-08-04 19:37:47.257022	251
39292	190693	8333	2013-08-04 19:37:47.265623	2013-08-04 19:37:47.265623	251
39293	190694	39228	2013-08-04 19:37:47.296221	2013-08-04 19:37:47.296221	251
39294	190694	39172	2013-08-04 19:37:47.304608	2013-08-04 19:37:47.304608	251
39295	190694	39248	2013-08-04 19:37:47.312881	2013-08-04 19:37:47.312881	251
39296	190694	39268	2013-08-04 19:37:47.320906	2013-08-04 19:37:47.320906	251
39297	190694	39288	2013-08-04 19:37:47.329073	2013-08-04 19:37:47.329073	251
39298	190694	39341	2013-08-04 19:37:47.337521	2013-08-04 19:37:47.337521	251
39299	190694	21253	2013-08-04 19:37:47.346213	2013-08-04 19:37:47.346213	251
39300	190694	21319	2013-08-04 19:37:47.354873	2013-08-04 19:37:47.354873	251
39301	190694	28386	2013-08-04 19:37:47.362711	2013-08-04 19:37:47.362711	251
39302	190694	3924	2013-08-04 19:37:47.365183	2013-08-04 19:37:47.365183	251
39303	190694	17153	2013-08-04 19:37:47.367733	2013-08-04 19:37:47.367733	251
39304	190694	3095	2013-08-04 19:37:47.371219	2013-08-04 19:37:47.371219	251
39305	190694	8335	2013-08-04 19:37:47.376286	2013-08-04 19:37:47.376286	251
39306	190694	8378	2013-08-04 19:37:47.384418	2013-08-04 19:37:47.384418	251
39307	190694	8358	2013-08-04 19:37:47.392417	2013-08-04 19:37:47.392417	251
39308	190694	8338	2013-08-04 19:37:47.400315	2013-08-04 19:37:47.400315	251
39309	190694	8458	2013-08-04 19:37:47.408234	2013-08-04 19:37:47.408234	251
39310	190694	8340	2013-08-04 19:37:47.416322	2013-08-04 19:37:47.416322	251
39311	190694	8333	2013-08-04 19:37:47.424754	2013-08-04 19:37:47.424754	251
39312	190080	36966	2013-08-04 19:37:47.636263	2013-08-04 19:37:47.636263	251
39313	191084	1015	2013-08-04 19:37:47.713805	2013-08-04 19:37:47.713805	251
39314	191084	39548	2013-08-04 19:37:47.717663	2013-08-04 19:37:47.717663	251
39315	191084	39808	2013-08-04 19:37:47.721371	2013-08-04 19:37:47.721371	251
39316	191084	33291	2013-08-04 19:37:47.725131	2013-08-04 19:37:47.725131	251
39317	191084	33311	2013-08-04 19:37:47.729104	2013-08-04 19:37:47.729104	251
39318	191084	1078	2013-08-04 19:37:47.732987	2013-08-04 19:37:47.732987	251
39319	191084	39568	2013-08-04 19:37:47.736876	2013-08-04 19:37:47.736876	251
39320	191084	39848	2013-08-04 19:37:47.740647	2013-08-04 19:37:47.740647	251
39321	191084	16649	2013-08-04 19:37:47.744361	2013-08-04 19:37:47.744361	251
39322	190709	16669	2013-08-04 19:37:47.754766	2013-08-04 19:37:47.754766	251
39323	190709	16700	2013-08-04 19:37:47.764773	2013-08-04 19:37:47.764773	251
39324	190709	9068	2013-08-04 19:37:47.774505	2013-08-04 19:37:47.774505	251
39325	190709	9048	2013-08-04 19:37:47.784351	2013-08-04 19:37:47.784351	251
39326	190709	9078	2013-08-04 19:37:47.794198	2013-08-04 19:37:47.794198	251
39327	190709	8998	2013-08-04 19:37:47.804141	2013-08-04 19:37:47.804141	251
39328	190709	9107	2013-08-04 19:37:47.814031	2013-08-04 19:37:47.814031	251
39329	190709	9205	2013-08-04 19:37:47.823931	2013-08-04 19:37:47.823931	251
39330	190709	39888	2013-08-04 19:37:47.834124	2013-08-04 19:37:47.834124	251
39331	190073	37546	2013-08-04 19:37:47.878999	2013-08-04 19:37:47.878999	251
39332	190073	37526	2013-08-04 19:37:47.889808	2013-08-04 19:37:47.889808	251
39333	190073	16479	2013-08-04 19:37:47.900872	2013-08-04 19:37:47.900872	251
39334	190073	37425	2013-08-04 19:37:47.911662	2013-08-04 19:37:47.911662	251
39335	190073	37415	2013-08-04 19:37:47.922488	2013-08-04 19:37:47.922488	251
39336	190073	37392	2013-08-04 19:37:47.933226	2013-08-04 19:37:47.933226	251
39337	190073	37506	2013-08-04 19:37:47.943903	2013-08-04 19:37:47.943903	251
39338	190073	37486	2013-08-04 19:37:47.954433	2013-08-04 19:37:47.954433	251
39339	190073	37466	2013-08-04 19:37:47.96603	2013-08-04 19:37:47.96603	251
39340	190073	37446	2013-08-04 19:37:47.97781	2013-08-04 19:37:47.97781	251
39341	190073	37460	2013-08-04 19:37:47.988932	2013-08-04 19:37:47.988932	251
39342	190073	37426	2013-08-04 19:37:47.999349	2013-08-04 19:37:47.999349	251
39343	190073	37406	2013-08-04 19:37:48.010489	2013-08-04 19:37:48.010489	251
39344	190073	37386	2013-08-04 19:37:48.021401	2013-08-04 19:37:48.021401	251
39345	190073	37372	2013-08-04 19:37:48.032856	2013-08-04 19:37:48.032856	251
39346	190073	18641	2013-08-04 19:37:48.039044	2013-08-04 19:37:48.039044	251
39347	190073	37210	2013-08-04 19:37:48.048833	2013-08-04 19:37:48.048833	251
39348	190073	37345	2013-08-04 19:37:48.057332	2013-08-04 19:37:48.057332	251
39349	190073	37366	2013-08-04 19:37:48.067428	2013-08-04 19:37:48.067428	251
39350	190710	9297	2013-08-04 19:37:48.107406	2013-08-04 19:37:48.107406	251
39351	190710	9317	2013-08-04 19:37:48.118672	2013-08-04 19:37:48.118672	251
39352	190710	9407	2013-08-04 19:37:48.129729	2013-08-04 19:37:48.129729	251
39353	190710	9387	2013-08-04 19:37:48.140723	2013-08-04 19:37:48.140723	251
39354	190710	9367	2013-08-04 19:37:48.152188	2013-08-04 19:37:48.152188	251
39355	190710	1997	2013-08-04 19:37:48.164029	2013-08-04 19:37:48.164029	251
39356	190290	9347	2013-08-04 19:37:48.186718	2013-08-04 19:37:48.186718	251
39357	190290	7238	2013-08-04 19:37:48.201653	2013-08-04 19:37:48.201653	251
39358	190290	9327	2013-08-04 19:37:48.208088	2013-08-04 19:37:48.208088	251
39359	190290	9281	2013-08-04 19:37:48.214389	2013-08-04 19:37:48.214389	251
39360	190290	9301	2013-08-04 19:37:48.221283	2013-08-04 19:37:48.221283	251
39361	190290	4596	2013-08-04 19:37:48.226977	2013-08-04 19:37:48.226977	251
39362	190210	9321	2013-08-04 19:37:48.236612	2013-08-04 19:37:48.236612	251
39363	190210	9307	2013-08-04 19:37:48.240853	2013-08-04 19:37:48.240853	251
39364	190210	12298	2013-08-04 19:37:48.244613	2013-08-04 19:37:48.244613	251
39365	190210	9390	2013-08-04 19:37:48.249185	2013-08-04 19:37:48.249185	251
39366	190210	9293	2013-08-04 19:37:48.305847	2013-08-04 19:37:48.305847	251
39367	190210	9341	2013-08-04 19:37:48.317478	2013-08-04 19:37:48.317478	251
39368	192978	40088	2013-08-04 19:37:48.348081	2013-08-04 19:37:48.348081	251
39369	192978	40125	2013-08-04 19:37:48.358575	2013-08-04 19:37:48.358575	251
39370	192978	40068	2013-08-04 19:37:48.362477	2013-08-04 19:37:48.362477	251
39371	192978	40048	2013-08-04 19:37:48.366307	2013-08-04 19:37:48.366307	251
39372	192978	39918	2013-08-04 19:37:48.369861	2013-08-04 19:37:48.369861	251
39373	192978	40032	2013-08-04 19:37:48.373628	2013-08-04 19:37:48.373628	251
39374	192978	39915	2013-08-04 19:37:48.377599	2013-08-04 19:37:48.377599	251
39375	192978	40028	2013-08-04 19:37:48.381983	2013-08-04 19:37:48.381983	251
39376	192978	40008	2013-08-04 19:37:48.38601	2013-08-04 19:37:48.38601	251
39377	192978	39988	2013-08-04 19:37:48.389924	2013-08-04 19:37:48.389924	251
39378	192978	39968	2013-08-04 19:37:48.393547	2013-08-04 19:37:48.393547	251
39379	192978	39910	2013-08-04 19:37:48.400633	2013-08-04 19:37:48.400633	251
39380	192978	37773	2013-08-04 19:37:48.407391	2013-08-04 19:37:48.407391	251
39381	192978	18511	2013-08-04 19:37:48.417141	2013-08-04 19:37:48.417141	251
39382	192978	37393	2013-08-04 19:37:48.42719	2013-08-04 19:37:48.42719	251
39383	192978	37413	2013-08-04 19:37:48.437727	2013-08-04 19:37:48.437727	251
39384	192978	37233	2013-08-04 19:37:48.448282	2013-08-04 19:37:48.448282	251
39385	192978	36960	2013-08-04 19:37:48.458632	2013-08-04 19:37:48.458632	251
39386	192978	25636	2013-08-04 19:37:48.467279	2013-08-04 19:37:48.467279	251
39387	190951	16909	2013-08-04 19:37:48.490224	2013-08-04 19:37:48.490224	251
39388	190951	16810	2013-08-04 19:37:48.497059	2013-08-04 19:37:48.497059	251
39389	190951	21108	2013-08-04 19:37:48.50886	2013-08-04 19:37:48.50886	251
39390	190951	4450	2013-08-04 19:37:48.516656	2013-08-04 19:37:48.516656	251
39391	190951	16889	2013-08-04 19:37:48.521564	2013-08-04 19:37:48.521564	251
39392	190951	16917	2013-08-04 19:37:48.525891	2013-08-04 19:37:48.525891	251
39393	190687	16869	2013-08-04 19:37:48.533764	2013-08-04 19:37:48.533764	251
39394	190687	13912	2013-08-04 19:37:48.537814	2013-08-04 19:37:48.537814	251
39395	190687	16879	2013-08-04 19:37:48.54259	2013-08-04 19:37:48.54259	251
39396	190687	16849	2013-08-04 19:37:48.547215	2013-08-04 19:37:48.547215	251
39397	190687	16811	2013-08-04 19:37:48.551952	2013-08-04 19:37:48.551952	251
39398	190687	16840	2013-08-04 19:37:48.555931	2013-08-04 19:37:48.555931	251
39399	190296	16829	2013-08-04 19:37:48.564269	2013-08-04 19:37:48.564269	251
39400	190296	16881	2013-08-04 19:37:48.569505	2013-08-04 19:37:48.569505	251
39401	190296	16809	2013-08-04 19:37:48.574783	2013-08-04 19:37:48.574783	251
39402	190296	16695	2013-08-04 19:37:48.578756	2013-08-04 19:37:48.578756	251
39403	190296	16750	2013-08-04 19:37:48.582638	2013-08-04 19:37:48.582638	251
39404	190296	16717	2013-08-04 19:37:48.586799	2013-08-04 19:37:48.586799	251
39405	190539	33671	2013-08-04 19:37:48.625158	2013-08-04 19:37:48.625158	251
39406	190539	33651	2013-08-04 19:37:48.631827	2013-08-04 19:37:48.631827	251
39407	190539	33655	2013-08-04 19:37:48.640574	2013-08-04 19:37:48.640574	251
39408	190539	33665	2013-08-04 19:37:48.648784	2013-08-04 19:37:48.648784	251
39409	190539	33631	2013-08-04 19:37:48.659228	2013-08-04 19:37:48.659228	251
39410	190539	33725	2013-08-04 19:37:48.670834	2013-08-04 19:37:48.670834	251
39411	190539	33611	2013-08-04 19:37:48.682385	2013-08-04 19:37:48.682385	251
39412	190539	33591	2013-08-04 19:37:48.694273	2013-08-04 19:37:48.694273	251
39413	190539	33571	2013-08-04 19:37:48.70676	2013-08-04 19:37:48.70676	251
39414	190299	33572	2013-08-04 19:37:48.730444	2013-08-04 19:37:48.730444	251
39415	190299	33551	2013-08-04 19:37:48.743216	2013-08-04 19:37:48.743216	251
39416	190299	33531	2013-08-04 19:37:48.756107	2013-08-04 19:37:48.756107	251
39417	190299	33597	2013-08-04 19:37:48.767177	2013-08-04 19:37:48.767177	251
39418	190299	33511	2013-08-04 19:37:48.773916	2013-08-04 19:37:48.773916	251
39419	190299	33491	2013-08-04 19:37:48.779114	2013-08-04 19:37:48.779114	251
39420	190299	33471	2013-08-04 19:37:48.782479	2013-08-04 19:37:48.782479	251
39421	190299	33451	2013-08-04 19:37:48.786057	2013-08-04 19:37:48.786057	251
39422	190299	25596	2013-08-04 19:37:48.790606	2013-08-04 19:37:48.790606	251
39423	190695	39228	2013-08-04 19:37:48.817998	2013-08-04 19:37:48.817998	251
39424	190695	39172	2013-08-04 19:37:48.821015	2013-08-04 19:37:48.821015	251
39425	190695	39248	2013-08-04 19:37:48.824032	2013-08-04 19:37:48.824032	251
39426	190695	39268	2013-08-04 19:37:48.82684	2013-08-04 19:37:48.82684	251
39427	190695	39288	2013-08-04 19:37:48.829697	2013-08-04 19:37:48.829697	251
39428	190695	39341	2013-08-04 19:37:48.832694	2013-08-04 19:37:48.832694	251
39429	190695	21253	2013-08-04 19:37:48.835836	2013-08-04 19:37:48.835836	251
39430	190695	21319	2013-08-04 19:37:48.838781	2013-08-04 19:37:48.838781	251
39431	190695	28386	2013-08-04 19:37:48.842476	2013-08-04 19:37:48.842476	251
39432	190695	3924	2013-08-04 19:37:48.845956	2013-08-04 19:37:48.845956	251
39433	190695	17153	2013-08-04 19:37:48.849376	2013-08-04 19:37:48.849376	251
39434	190695	3095	2013-08-04 19:37:48.852258	2013-08-04 19:37:48.852258	251
39435	190695	8335	2013-08-04 19:37:48.854671	2013-08-04 19:37:48.854671	251
39436	190695	8378	2013-08-04 19:37:48.857155	2013-08-04 19:37:48.857155	251
39437	190695	8358	2013-08-04 19:37:48.861156	2013-08-04 19:37:48.861156	251
39438	190695	8338	2013-08-04 19:37:48.864413	2013-08-04 19:37:48.864413	251
39439	190695	8458	2013-08-04 19:37:48.867381	2013-08-04 19:37:48.867381	251
39440	190695	8340	2013-08-04 19:37:48.870386	2013-08-04 19:37:48.870386	251
39441	190695	8333	2013-08-04 19:37:48.87398	2013-08-04 19:37:48.87398	251
39442	191490	26031	2013-08-04 19:37:48.92338	2013-08-04 19:37:48.92338	251
39443	191490	25956	2013-08-04 19:37:48.927851	2013-08-04 19:37:48.927851	251
39444	191490	25936	2013-08-04 19:37:48.932137	2013-08-04 19:37:48.932137	251
39445	191490	25916	2013-08-04 19:37:48.937294	2013-08-04 19:37:48.937294	251
39446	191490	25855	2013-08-04 19:37:48.94227	2013-08-04 19:37:48.94227	251
39447	191490	25837	2013-08-04 19:37:48.950078	2013-08-04 19:37:48.950078	251
39448	191083	25896	2013-08-04 19:37:48.965752	2013-08-04 19:37:48.965752	251
39449	191083	25876	2013-08-04 19:37:48.975165	2013-08-04 19:37:48.975165	251
39450	191083	25852	2013-08-04 19:37:48.982566	2013-08-04 19:37:48.982566	251
39451	191083	25856	2013-08-04 19:37:48.986049	2013-08-04 19:37:48.986049	251
39452	191083	25836	2013-08-04 19:37:48.996378	2013-08-04 19:37:48.996378	251
39453	191083	25880	2013-08-04 19:37:49.002099	2013-08-04 19:37:49.002099	251
39454	190292	25801	2013-08-04 19:37:49.017695	2013-08-04 19:37:49.017695	251
39455	190292	25816	2013-08-04 19:37:49.029075	2013-08-04 19:37:49.029075	251
39456	190292	25796	2013-08-04 19:37:49.040874	2013-08-04 19:37:49.040874	251
39457	190292	25776	2013-08-04 19:37:49.053296	2013-08-04 19:37:49.053296	251
39458	190292	20733	2013-08-04 19:37:49.064583	2013-08-04 19:37:49.064583	251
39459	190292	25756	2013-08-04 19:37:49.075943	2013-08-04 19:37:49.075943	251
39460	190084	9539	2013-08-04 19:37:49.127012	2013-08-04 19:37:49.127012	251
39461	190084	20918	2013-08-04 19:37:49.141628	2013-08-04 19:37:49.141628	251
39462	190084	5037	2013-08-04 19:37:49.153423	2013-08-04 19:37:49.153423	251
39463	190084	26383	2013-08-04 19:37:49.163819	2013-08-04 19:37:49.163819	251
39464	190084	21097	2013-08-04 19:37:49.175441	2013-08-04 19:37:49.175441	251
39465	190084	8091	2013-08-04 19:37:49.187315	2013-08-04 19:37:49.187315	251
39466	190084	1635	2013-08-04 19:37:49.199084	2013-08-04 19:37:49.199084	251
39467	190084	1575	2013-08-04 19:37:49.210644	2013-08-04 19:37:49.210644	251
39468	190084	1378	2013-08-04 19:37:49.221891	2013-08-04 19:37:49.221891	251
39469	190084	1388	2013-08-04 19:37:49.234533	2013-08-04 19:37:49.234533	251
39470	190084	2691	2013-08-04 19:37:49.248522	2013-08-04 19:37:49.248522	251
39471	190084	1639	2013-08-04 19:37:49.254995	2013-08-04 19:37:49.254995	251
39472	190084	1624	2013-08-04 19:37:49.260046	2013-08-04 19:37:49.260046	251
39473	190084	1679	2013-08-04 19:37:49.26555	2013-08-04 19:37:49.26555	251
39474	190084	1626	2013-08-04 19:37:49.270577	2013-08-04 19:37:49.270577	251
39475	190084	2392	2013-08-04 19:37:49.277284	2013-08-04 19:37:49.277284	251
39476	190084	37653	2013-08-04 19:37:49.282372	2013-08-04 19:37:49.282372	251
39477	190084	36992	2013-08-04 19:37:49.286306	2013-08-04 19:37:49.286306	251
39478	190084	25496	2013-08-04 19:37:49.291406	2013-08-04 19:37:49.291406	251
39479	190960	33985	2013-08-04 19:37:49.33807	2013-08-04 19:37:49.33807	251
39480	190960	33939	2013-08-04 19:37:49.342159	2013-08-04 19:37:49.342159	251
39481	190960	33919	2013-08-04 19:37:49.347819	2013-08-04 19:37:49.347819	251
39482	190960	27781	2013-08-04 19:37:49.352822	2013-08-04 19:37:49.352822	251
39483	190960	33843	2013-08-04 19:37:49.358476	2013-08-04 19:37:49.358476	251
39484	190960	23648	2013-08-04 19:37:49.364528	2013-08-04 19:37:49.364528	251
39485	190688	33899	2013-08-04 19:37:49.379384	2013-08-04 19:37:49.379384	251
39486	190688	33879	2013-08-04 19:37:49.383802	2013-08-04 19:37:49.383802	251
39487	190688	33859	2013-08-04 19:37:49.387822	2013-08-04 19:37:49.387822	251
39488	190688	33853	2013-08-04 19:37:49.392373	2013-08-04 19:37:49.392373	251
39489	190688	33839	2013-08-04 19:37:49.39883	2013-08-04 19:37:49.39883	251
39490	190688	33819	2013-08-04 19:37:49.405792	2013-08-04 19:37:49.405792	251
39491	190302	33799	2013-08-04 19:37:49.41645	2013-08-04 19:37:49.41645	251
39492	190302	33779	2013-08-04 19:37:49.420764	2013-08-04 19:37:49.420764	251
39493	190302	33777	2013-08-04 19:37:49.424543	2013-08-04 19:37:49.424543	251
39494	190302	33759	2013-08-04 19:37:49.429836	2013-08-04 19:37:49.429836	251
39495	190302	17311	2013-08-04 19:37:49.437266	2013-08-04 19:37:49.437266	251
39496	190302	25476	2013-08-04 19:37:49.448136	2013-08-04 19:37:49.448136	251
39497	190342	38092	2013-08-04 19:37:49.990262	2013-08-04 19:37:49.990262	251
39498	190342	38015	2013-08-04 19:37:50.002317	2013-08-04 19:37:50.002317	251
39499	190342	38133	2013-08-04 19:37:50.013813	2013-08-04 19:37:50.013813	251
39500	190342	38113	2013-08-04 19:37:50.025609	2013-08-04 19:37:50.025609	251
39501	190342	38100	2013-08-04 19:37:50.037351	2013-08-04 19:37:50.037351	251
39502	190342	38093	2013-08-04 19:37:50.04806	2013-08-04 19:37:50.04806	251
39503	190169	38073	2013-08-04 19:37:50.071871	2013-08-04 19:37:50.071871	251
39504	190169	38105	2013-08-04 19:37:50.08401	2013-08-04 19:37:50.08401	251
39505	190169	38053	2013-08-04 19:37:50.095323	2013-08-04 19:37:50.095323	251
39506	190169	38033	2013-08-04 19:37:50.1065	2013-08-04 19:37:50.1065	251
39507	190169	38013	2013-08-04 19:37:50.117878	2013-08-04 19:37:50.117878	251
39508	190169	37993	2013-08-04 19:37:50.129338	2013-08-04 19:37:50.129338	251
39509	190075	37973	2013-08-04 19:37:50.152864	2013-08-04 19:37:50.152864	251
39510	190075	37953	2013-08-04 19:37:50.164338	2013-08-04 19:37:50.164338	251
39511	190075	37933	2013-08-04 19:37:50.175327	2013-08-04 19:37:50.175327	251
39512	190075	37913	2013-08-04 19:37:50.186937	2013-08-04 19:37:50.186937	251
39513	190075	37893	2013-08-04 19:37:50.198599	2013-08-04 19:37:50.198599	251
39514	190075	37873	2013-08-04 19:37:50.21043	2013-08-04 19:37:50.21043	251
39515	190696	39228	2013-08-04 19:37:50.243589	2013-08-04 19:37:50.243589	251
39516	190696	39172	2013-08-04 19:37:50.251941	2013-08-04 19:37:50.251941	251
39517	190696	39248	2013-08-04 19:37:50.260096	2013-08-04 19:37:50.260096	251
39518	190696	39268	2013-08-04 19:37:50.268012	2013-08-04 19:37:50.268012	251
39519	190696	39288	2013-08-04 19:37:50.276121	2013-08-04 19:37:50.276121	251
39520	190696	39341	2013-08-04 19:37:50.28453	2013-08-04 19:37:50.28453	251
39521	190696	21253	2013-08-04 19:37:50.291378	2013-08-04 19:37:50.291378	251
39522	190696	21319	2013-08-04 19:37:50.294357	2013-08-04 19:37:50.294357	251
39523	190696	28386	2013-08-04 19:37:50.297326	2013-08-04 19:37:50.297326	251
39524	190696	3924	2013-08-04 19:37:50.300272	2013-08-04 19:37:50.300272	251
39525	190696	17153	2013-08-04 19:37:50.303108	2013-08-04 19:37:50.303108	251
39526	190696	3095	2013-08-04 19:37:50.308252	2013-08-04 19:37:50.308252	251
39527	190696	8335	2013-08-04 19:37:50.312768	2013-08-04 19:37:50.312768	251
39528	190696	8378	2013-08-04 19:37:50.318046	2013-08-04 19:37:50.318046	251
39529	190696	8358	2013-08-04 19:37:50.323184	2013-08-04 19:37:50.323184	251
39530	190696	8338	2013-08-04 19:37:50.32919	2013-08-04 19:37:50.32919	251
39531	190696	8458	2013-08-04 19:37:50.332957	2013-08-04 19:37:50.332957	251
39532	190696	8340	2013-08-04 19:37:50.336562	2013-08-04 19:37:50.336562	251
39533	190696	8333	2013-08-04 19:37:50.340205	2013-08-04 19:37:50.340205	251
39534	190692	39228	2013-08-04 19:37:50.356675	2013-08-04 19:37:50.356675	251
39535	190692	39172	2013-08-04 19:37:50.359822	2013-08-04 19:37:50.359822	251
39536	190692	39248	2013-08-04 19:37:50.362469	2013-08-04 19:37:50.362469	251
39537	190692	39268	2013-08-04 19:37:50.365114	2013-08-04 19:37:50.365114	251
39538	190692	39288	2013-08-04 19:37:50.368272	2013-08-04 19:37:50.368272	251
39539	190692	39341	2013-08-04 19:37:50.37167	2013-08-04 19:37:50.37167	251
39540	190692	21253	2013-08-04 19:37:50.374895	2013-08-04 19:37:50.374895	251
39541	190692	21319	2013-08-04 19:37:50.378151	2013-08-04 19:37:50.378151	251
39542	190692	28386	2013-08-04 19:37:50.381114	2013-08-04 19:37:50.381114	251
39543	190692	3924	2013-08-04 19:37:50.384035	2013-08-04 19:37:50.384035	251
39544	190692	17153	2013-08-04 19:37:50.387277	2013-08-04 19:37:50.387277	251
39545	190692	3095	2013-08-04 19:37:50.390492	2013-08-04 19:37:50.390492	251
39546	190692	8335	2013-08-04 19:37:50.393388	2013-08-04 19:37:50.393388	251
39547	190692	8378	2013-08-04 19:37:50.396325	2013-08-04 19:37:50.396325	251
39548	190692	8358	2013-08-04 19:37:50.399256	2013-08-04 19:37:50.399256	251
39549	190692	8338	2013-08-04 19:37:50.404306	2013-08-04 19:37:50.404306	251
39550	190692	8458	2013-08-04 19:37:50.411245	2013-08-04 19:37:50.411245	251
39551	190692	8340	2013-08-04 19:37:50.418924	2013-08-04 19:37:50.418924	251
39552	190692	8333	2013-08-04 19:37:50.425286	2013-08-04 19:37:50.425286	251
39553	193352	38373	2013-08-04 19:42:25.657497	2013-08-04 19:42:25.657497	252
39554	193352	37813	2013-08-04 19:42:25.672925	2013-08-04 19:42:25.672925	252
39555	193352	38572	2013-08-04 19:42:25.684821	2013-08-04 19:42:25.684821	252
39556	193352	40077	2013-08-04 19:42:25.69648	2013-08-04 19:42:25.69648	252
39557	193348	18577	2013-08-04 19:42:25.850258	2013-08-04 19:42:25.850258	252
39558	193348	37850	2013-08-04 19:42:25.862585	2013-08-04 19:42:25.862585	252
39559	193348	37875	2013-08-04 19:42:25.874679	2013-08-04 19:42:25.874679	252
39560	193348	37986	2013-08-04 19:42:25.885453	2013-08-04 19:42:25.885453	252
39561	193348	37952	2013-08-04 19:42:25.899344	2013-08-04 19:42:25.899344	252
39562	193348	37966	2013-08-04 19:42:25.910402	2013-08-04 19:42:25.910402	252
39563	193348	37946	2013-08-04 19:42:25.92183	2013-08-04 19:42:25.92183	252
39564	193348	37880	2013-08-04 19:42:25.933764	2013-08-04 19:42:25.933764	252
39565	193348	37926	2013-08-04 19:42:25.945623	2013-08-04 19:42:25.945623	252
39566	193348	37845	2013-08-04 19:42:25.956978	2013-08-04 19:42:25.956978	252
39567	193348	37906	2013-08-04 19:42:25.964179	2013-08-04 19:42:25.964179	252
39568	193348	37886	2013-08-04 19:42:25.970206	2013-08-04 19:42:25.970206	252
39569	193348	37866	2013-08-04 19:42:25.974399	2013-08-04 19:42:25.974399	252
39570	193348	37846	2013-08-04 19:42:25.980156	2013-08-04 19:42:25.980156	252
39571	193348	37725	2013-08-04 19:42:25.98784	2013-08-04 19:42:25.98784	252
39572	193348	37775	2013-08-04 19:42:25.998076	2013-08-04 19:42:25.998076	252
39573	193348	37826	2013-08-04 19:42:26.010163	2013-08-04 19:42:26.010163	252
39574	193348	37806	2013-08-04 19:42:26.01984	2013-08-04 19:42:26.01984	252
39575	193348	37786	2013-08-04 19:42:26.024654	2013-08-04 19:42:26.024654	252
39576	193349	9527	2013-08-04 19:42:26.046844	2013-08-04 19:42:26.046844	252
39577	193349	1196	2013-08-04 19:42:26.051277	2013-08-04 19:42:26.051277	252
39578	193349	9546	2013-08-04 19:42:26.058263	2013-08-04 19:42:26.058263	252
39579	193349	41403	2013-08-04 19:42:26.0617	2013-08-04 19:42:26.0617	252
39580	193349	9507	2013-08-04 19:42:26.067458	2013-08-04 19:42:26.067458	252
39581	193349	10868	2013-08-04 19:42:26.077815	2013-08-04 19:42:26.077815	252
39582	193349	9487	2013-08-04 19:42:26.089678	2013-08-04 19:42:26.089678	252
39583	193349	9467	2013-08-04 19:42:26.100966	2013-08-04 19:42:26.100966	252
39584	193349	9447	2013-08-04 19:42:26.111291	2013-08-04 19:42:26.111291	252
39585	193349	9427	2013-08-04 19:42:26.115654	2013-08-04 19:42:26.115654	252
39586	193349	48361	2013-08-04 19:42:26.120054	2013-08-04 19:42:26.120054	252
39587	193349	4709	2013-08-04 19:42:26.124423	2013-08-04 19:42:26.124423	252
39588	193349	9320	2013-08-04 19:42:26.129714	2013-08-04 19:42:26.129714	252
39589	193349	9395	2013-08-04 19:42:26.134268	2013-08-04 19:42:26.134268	252
39590	193349	9415	2013-08-04 19:42:26.139145	2013-08-04 19:42:26.139145	252
39591	193349	40168	2013-08-04 19:42:26.143187	2013-08-04 19:42:26.143187	252
39592	193349	38013	2013-08-04 19:42:26.146895	2013-08-04 19:42:26.146895	252
39593	193349	38033	2013-08-04 19:42:26.152004	2013-08-04 19:42:26.152004	252
39594	193349	38053	2013-08-04 19:42:26.161948	2013-08-04 19:42:26.161948	252
39595	193835	39228	2013-08-04 19:42:26.354336	2013-08-04 19:42:26.354336	252
39596	193835	39172	2013-08-04 19:42:26.359933	2013-08-04 19:42:26.359933	252
39597	193835	39248	2013-08-04 19:42:26.36312	2013-08-04 19:42:26.36312	252
39598	193835	39268	2013-08-04 19:42:26.371394	2013-08-04 19:42:26.371394	252
39599	193835	39288	2013-08-04 19:42:26.376041	2013-08-04 19:42:26.376041	252
39600	193835	39341	2013-08-04 19:42:26.378575	2013-08-04 19:42:26.378575	252
39601	193835	21253	2013-08-04 19:42:26.381211	2013-08-04 19:42:26.381211	252
39602	193835	21319	2013-08-04 19:42:26.383895	2013-08-04 19:42:26.383895	252
39603	193835	28386	2013-08-04 19:42:26.38805	2013-08-04 19:42:26.38805	252
39604	193835	3924	2013-08-04 19:42:26.39243	2013-08-04 19:42:26.39243	252
39605	193835	17153	2013-08-04 19:42:26.399565	2013-08-04 19:42:26.399565	252
39606	193835	3095	2013-08-04 19:42:26.407396	2013-08-04 19:42:26.407396	252
39607	193835	8335	2013-08-04 19:42:26.415073	2013-08-04 19:42:26.415073	252
39608	193835	8378	2013-08-04 19:42:26.422609	2013-08-04 19:42:26.422609	252
39609	193835	8358	2013-08-04 19:42:26.425181	2013-08-04 19:42:26.425181	252
39610	193835	8338	2013-08-04 19:42:26.427541	2013-08-04 19:42:26.427541	252
39611	193835	8458	2013-08-04 19:42:26.429795	2013-08-04 19:42:26.429795	252
39612	193835	8340	2013-08-04 19:42:26.432053	2013-08-04 19:42:26.432053	252
39613	193835	8333	2013-08-04 19:42:26.439087	2013-08-04 19:42:26.439087	252
39614	193838	39228	2013-08-04 19:42:26.470761	2013-08-04 19:42:26.470761	252
39615	193838	39172	2013-08-04 19:42:26.479386	2013-08-04 19:42:26.479386	252
39616	193838	39248	2013-08-04 19:42:26.484127	2013-08-04 19:42:26.484127	252
39617	193838	39268	2013-08-04 19:42:26.486774	2013-08-04 19:42:26.486774	252
39618	193838	39288	2013-08-04 19:42:26.545055	2013-08-04 19:42:26.545055	252
39619	193838	39341	2013-08-04 19:42:26.54841	2013-08-04 19:42:26.54841	252
39620	193838	21253	2013-08-04 19:42:26.551499	2013-08-04 19:42:26.551499	252
39621	193838	21319	2013-08-04 19:42:26.554566	2013-08-04 19:42:26.554566	252
39622	193838	28386	2013-08-04 19:42:26.557688	2013-08-04 19:42:26.557688	252
39623	193838	3924	2013-08-04 19:42:26.560723	2013-08-04 19:42:26.560723	252
39624	193838	17153	2013-08-04 19:42:26.563674	2013-08-04 19:42:26.563674	252
39625	193838	3095	2013-08-04 19:42:26.566659	2013-08-04 19:42:26.566659	252
39626	193838	8335	2013-08-04 19:42:26.569623	2013-08-04 19:42:26.569623	252
39627	193838	8378	2013-08-04 19:42:26.572696	2013-08-04 19:42:26.572696	252
39628	193838	8358	2013-08-04 19:42:26.575599	2013-08-04 19:42:26.575599	252
39629	193838	8338	2013-08-04 19:42:26.578119	2013-08-04 19:42:26.578119	252
39630	193838	8458	2013-08-04 19:42:26.581192	2013-08-04 19:42:26.581192	252
39631	193838	8340	2013-08-04 19:42:26.584178	2013-08-04 19:42:26.584178	252
39632	193838	8333	2013-08-04 19:42:26.587092	2013-08-04 19:42:26.587092	252
39633	193839	39228	2013-08-04 19:42:26.603313	2013-08-04 19:42:26.603313	252
39634	193839	39172	2013-08-04 19:42:26.608818	2013-08-04 19:42:26.608818	252
39635	193839	39248	2013-08-04 19:42:26.615267	2013-08-04 19:42:26.615267	252
39636	193839	39268	2013-08-04 19:42:26.618073	2013-08-04 19:42:26.618073	252
39637	193839	39288	2013-08-04 19:42:26.620743	2013-08-04 19:42:26.620743	252
39638	193839	39341	2013-08-04 19:42:26.623533	2013-08-04 19:42:26.623533	252
39639	193839	21253	2013-08-04 19:42:26.626985	2013-08-04 19:42:26.626985	252
39640	193839	21319	2013-08-04 19:42:26.629982	2013-08-04 19:42:26.629982	252
39641	193839	28386	2013-08-04 19:42:26.633378	2013-08-04 19:42:26.633378	252
39642	193839	3924	2013-08-04 19:42:26.637202	2013-08-04 19:42:26.637202	252
39643	193839	17153	2013-08-04 19:42:26.640939	2013-08-04 19:42:26.640939	252
39644	193839	3095	2013-08-04 19:42:26.646588	2013-08-04 19:42:26.646588	252
39645	193839	8335	2013-08-04 19:42:26.65327	2013-08-04 19:42:26.65327	252
39646	193839	8378	2013-08-04 19:42:26.661297	2013-08-04 19:42:26.661297	252
39647	193839	8358	2013-08-04 19:42:26.669464	2013-08-04 19:42:26.669464	252
39648	193839	8338	2013-08-04 19:42:26.677665	2013-08-04 19:42:26.677665	252
39649	193839	8458	2013-08-04 19:42:26.685803	2013-08-04 19:42:26.685803	252
39650	193839	8340	2013-08-04 19:42:26.693937	2013-08-04 19:42:26.693937	252
39651	193839	8333	2013-08-04 19:42:26.702145	2013-08-04 19:42:26.702145	252
39652	193453	38433	2013-08-04 19:42:26.886195	2013-08-04 19:42:26.886195	252
39653	193453	37566	2013-08-04 19:42:26.896622	2013-08-04 19:42:26.896622	252
39654	193740	37413	2013-08-04 19:42:26.977661	2013-08-04 19:42:26.977661	252
39655	193740	37393	2013-08-04 19:42:26.983018	2013-08-04 19:42:26.983018	252
39656	193740	18511	2013-08-04 19:42:26.988593	2013-08-04 19:42:26.988593	252
39657	193740	39910	2013-08-04 19:42:26.99196	2013-08-04 19:42:26.99196	252
39658	193740	39968	2013-08-04 19:42:26.995086	2013-08-04 19:42:26.995086	252
39659	193740	39988	2013-08-04 19:42:26.998083	2013-08-04 19:42:26.998083	252
39660	193740	40008	2013-08-04 19:42:27.001044	2013-08-04 19:42:27.001044	252
39661	193740	40048	2013-08-04 19:42:27.003867	2013-08-04 19:42:27.003867	252
39662	193740	40068	2013-08-04 19:42:27.006617	2013-08-04 19:42:27.006617	252
39663	193740	40125	2013-08-04 19:42:27.009295	2013-08-04 19:42:27.009295	252
39664	193740	40088	2013-08-04 19:42:27.012045	2013-08-04 19:42:27.012045	252
39665	193740	4596	2013-08-04 19:42:27.015053	2013-08-04 19:42:27.015053	252
39666	193740	9301	2013-08-04 19:42:27.017818	2013-08-04 19:42:27.017818	252
39667	193740	9281	2013-08-04 19:42:27.020617	2013-08-04 19:42:27.020617	252
39668	193740	9327	2013-08-04 19:42:27.02336	2013-08-04 19:42:27.02336	252
39669	193740	7238	2013-08-04 19:42:27.026089	2013-08-04 19:42:27.026089	252
39670	193740	9347	2013-08-04 19:42:27.029291	2013-08-04 19:42:27.029291	252
39671	193740	36795	2013-08-04 19:42:27.037536	2013-08-04 19:42:27.037536	252
39672	193740	915	2013-08-04 19:42:27.043971	2013-08-04 19:42:27.043971	252
39673	193355	9647	2013-08-04 19:42:27.0779	2013-08-04 19:42:27.0779	252
39674	193355	9717	2013-08-04 19:42:27.090021	2013-08-04 19:42:27.090021	252
39675	193355	9627	2013-08-04 19:42:27.102142	2013-08-04 19:42:27.102142	252
39676	193355	2921	2013-08-04 19:42:27.113984	2013-08-04 19:42:27.113984	252
39677	193355	9607	2013-08-04 19:42:27.125981	2013-08-04 19:42:27.125981	252
39678	193355	9637	2013-08-04 19:42:27.139853	2013-08-04 19:42:27.139853	252
39679	193355	9587	2013-08-04 19:42:27.146465	2013-08-04 19:42:27.146465	252
39680	193355	42323	2013-08-04 19:42:27.1511	2013-08-04 19:42:27.1511	252
39681	193355	9558	2013-08-04 19:42:27.155836	2013-08-04 19:42:27.155836	252
39682	193355	9433	2013-08-04 19:42:27.160383	2013-08-04 19:42:27.160383	252
39683	193355	9503	2013-08-04 19:42:27.16569	2013-08-04 19:42:27.16569	252
39684	193355	9495	2013-08-04 19:42:27.171273	2013-08-04 19:42:27.171273	252
39685	193355	9515	2013-08-04 19:42:27.176303	2013-08-04 19:42:27.176303	252
39686	193355	9435	2013-08-04 19:42:27.180798	2013-08-04 19:42:27.180798	252
39687	193355	9472	2013-08-04 19:42:27.185431	2013-08-04 19:42:27.185431	252
39688	193355	9548	2013-08-04 19:42:27.191151	2013-08-04 19:42:27.191151	252
39689	193355	9568	2013-08-04 19:42:27.196654	2013-08-04 19:42:27.196654	252
39690	193355	9567	2013-08-04 19:42:27.201252	2013-08-04 19:42:27.201252	252
39691	193355	9547	2013-08-04 19:42:27.206996	2013-08-04 19:42:27.206996	252
39692	193442	16690	2013-08-04 19:42:27.238923	2013-08-04 19:42:27.238923	252
39693	193442	17049	2013-08-04 19:42:27.250221	2013-08-04 19:42:27.250221	252
39694	193442	17029	2013-08-04 19:42:27.261309	2013-08-04 19:42:27.261309	252
39695	193442	17009	2013-08-04 19:42:27.275756	2013-08-04 19:42:27.275756	252
39696	193442	17080	2013-08-04 19:42:27.282312	2013-08-04 19:42:27.282312	252
39697	193442	16989	2013-08-04 19:42:27.287509	2013-08-04 19:42:27.287509	252
39698	193416	16973	2013-08-04 19:42:27.297215	2013-08-04 19:42:27.297215	252
39699	193416	16969	2013-08-04 19:42:27.302031	2013-08-04 19:42:27.302031	252
39700	193416	10532	2013-08-04 19:42:27.307337	2013-08-04 19:42:27.307337	252
39701	193416	16843	2013-08-04 19:42:27.312296	2013-08-04 19:42:27.312296	252
39702	193416	16825	2013-08-04 19:42:27.317735	2013-08-04 19:42:27.317735	252
39703	193416	16949	2013-08-04 19:42:27.324194	2013-08-04 19:42:27.324194	252
39704	193354	16937	2013-08-04 19:42:27.338786	2013-08-04 19:42:27.338786	252
39705	193354	9286	2013-08-04 19:42:27.346659	2013-08-04 19:42:27.346659	252
39706	193354	16813	2013-08-04 19:42:27.357082	2013-08-04 19:42:27.357082	252
39707	193354	16931	2013-08-04 19:42:27.36787	2013-08-04 19:42:27.36787	252
39708	193354	38293	2013-08-04 19:42:27.378703	2013-08-04 19:42:27.378703	252
39709	193354	40100	2013-08-04 19:42:27.388621	2013-08-04 19:42:27.388621	252
39710	193444	33798	2013-08-04 19:42:27.485264	2013-08-04 19:42:27.485264	252
39711	193444	33911	2013-08-04 19:42:27.497919	2013-08-04 19:42:27.497919	252
39712	193444	33891	2013-08-04 19:42:27.509569	2013-08-04 19:42:27.509569	252
39713	193444	15951	2013-08-04 19:42:27.5204	2013-08-04 19:42:27.5204	252
39714	193444	33871	2013-08-04 19:42:27.53142	2013-08-04 19:42:27.53142	252
39715	193444	33851	2013-08-04 19:42:27.542189	2013-08-04 19:42:27.542189	252
39716	193444	33831	2013-08-04 19:42:27.553086	2013-08-04 19:42:27.553086	252
39717	193444	33850	2013-08-04 19:42:27.563844	2013-08-04 19:42:27.563844	252
39718	193444	33811	2013-08-04 19:42:27.57477	2013-08-04 19:42:27.57477	252
39719	193444	33791	2013-08-04 19:42:27.585493	2013-08-04 19:42:27.585493	252
39720	193444	33801	2013-08-04 19:42:27.596421	2013-08-04 19:42:27.596421	252
39721	193444	33771	2013-08-04 19:42:27.607114	2013-08-04 19:42:27.607114	252
39722	193444	16748	2013-08-04 19:42:27.61818	2013-08-04 19:42:27.61818	252
39723	193444	35312	2013-08-04 19:42:27.632787	2013-08-04 19:42:27.632787	252
39724	193444	33751	2013-08-04 19:42:27.645717	2013-08-04 19:42:27.645717	252
39725	193444	33731	2013-08-04 19:42:27.652281	2013-08-04 19:42:27.652281	252
39726	193444	33658	2013-08-04 19:42:27.661947	2013-08-04 19:42:27.661947	252
39727	193444	33711	2013-08-04 19:42:27.668642	2013-08-04 19:42:27.668642	252
39728	193444	38240	2013-08-04 19:42:27.674135	2013-08-04 19:42:27.674135	252
39729	193841	39228	2013-08-04 19:42:27.694335	2013-08-04 19:42:27.694335	252
39730	193841	39172	2013-08-04 19:42:27.702815	2013-08-04 19:42:27.702815	252
39731	193841	39248	2013-08-04 19:42:27.711002	2013-08-04 19:42:27.711002	252
39732	193841	39268	2013-08-04 19:42:27.719346	2013-08-04 19:42:27.719346	252
39733	193841	39288	2013-08-04 19:42:27.727518	2013-08-04 19:42:27.727518	252
39734	193841	39341	2013-08-04 19:42:27.735559	2013-08-04 19:42:27.735559	252
39735	193841	21253	2013-08-04 19:42:27.743834	2013-08-04 19:42:27.743834	252
39736	193841	21319	2013-08-04 19:42:27.752696	2013-08-04 19:42:27.752696	252
39737	193841	28386	2013-08-04 19:42:27.756809	2013-08-04 19:42:27.756809	252
39738	193841	3924	2013-08-04 19:42:27.759573	2013-08-04 19:42:27.759573	252
39739	193841	17153	2013-08-04 19:42:27.832283	2013-08-04 19:42:27.832283	252
39740	193841	3095	2013-08-04 19:42:27.837852	2013-08-04 19:42:27.837852	252
39741	193841	8335	2013-08-04 19:42:27.84139	2013-08-04 19:42:27.84139	252
39742	193841	8378	2013-08-04 19:42:27.844741	2013-08-04 19:42:27.844741	252
39743	193841	8358	2013-08-04 19:42:27.84803	2013-08-04 19:42:27.84803	252
39744	193841	8338	2013-08-04 19:42:27.851136	2013-08-04 19:42:27.851136	252
39745	193841	8458	2013-08-04 19:42:27.854756	2013-08-04 19:42:27.854756	252
39746	193841	8340	2013-08-04 19:42:27.857719	2013-08-04 19:42:27.857719	252
39747	193841	8333	2013-08-04 19:42:27.862634	2013-08-04 19:42:27.862634	252
39748	193440	26196	2013-08-04 19:42:27.899716	2013-08-04 19:42:27.899716	252
39749	193440	26176	2013-08-04 19:42:27.911202	2013-08-04 19:42:27.911202	252
39750	193440	26156	2013-08-04 19:42:27.922144	2013-08-04 19:42:27.922144	252
39751	193440	1680	2013-08-04 19:42:27.933388	2013-08-04 19:42:27.933388	252
39752	193440	26136	2013-08-04 19:42:27.945468	2013-08-04 19:42:27.945468	252
39753	193440	26116	2013-08-04 19:42:27.952745	2013-08-04 19:42:27.952745	252
39754	193440	26096	2013-08-04 19:42:27.962032	2013-08-04 19:42:27.962032	252
39755	193440	26161	2013-08-04 19:42:27.973682	2013-08-04 19:42:27.973682	252
39756	193440	49235	2013-08-04 19:42:27.985237	2013-08-04 19:42:27.985237	252
39757	193415	26076	2013-08-04 19:42:28.009137	2013-08-04 19:42:28.009137	252
39758	193415	26180	2013-08-04 19:42:28.02035	2013-08-04 19:42:28.02035	252
39759	193415	14818	2013-08-04 19:42:28.031158	2013-08-04 19:42:28.031158	252
39760	193415	14863	2013-08-04 19:42:28.042327	2013-08-04 19:42:28.042327	252
39761	193415	26056	2013-08-04 19:42:28.053197	2013-08-04 19:42:28.053197	252
39762	193415	26036	2013-08-04 19:42:28.064086	2013-08-04 19:42:28.064086	252
39763	193415	26016	2013-08-04 19:42:28.074883	2013-08-04 19:42:28.074883	252
39764	193415	25996	2013-08-04 19:42:28.085771	2013-08-04 19:42:28.085771	252
39765	193415	25945	2013-08-04 19:42:28.096751	2013-08-04 19:42:28.096751	252
39766	193365	9399	2013-08-04 19:42:28.140686	2013-08-04 19:42:28.140686	252
39767	193365	17585	2013-08-04 19:42:28.150188	2013-08-04 19:42:28.150188	252
39768	193365	23735	2013-08-04 19:42:28.159447	2013-08-04 19:42:28.159447	252
39769	193365	7166	2013-08-04 19:42:28.169485	2013-08-04 19:42:28.169485	252
39770	193365	21040	2013-08-04 19:42:28.180665	2013-08-04 19:42:28.180665	252
39771	193365	7080	2013-08-04 19:42:28.190064	2013-08-04 19:42:28.190064	252
39772	193365	3978	2013-08-04 19:42:28.198562	2013-08-04 19:42:28.198562	252
39773	193365	29723	2013-08-04 19:42:28.203016	2013-08-04 19:42:28.203016	252
39774	193365	8279	2013-08-04 19:42:28.207101	2013-08-04 19:42:28.207101	252
39775	193365	28123	2013-08-04 19:42:28.211632	2013-08-04 19:42:28.211632	252
39776	193365	22955	2013-08-04 19:42:28.219275	2013-08-04 19:42:28.219275	252
39777	193365	21518	2013-08-04 19:42:28.228819	2013-08-04 19:42:28.228819	252
39778	193365	20340	2013-08-04 19:42:28.239398	2013-08-04 19:42:28.239398	252
39779	193365	12761	2013-08-04 19:42:28.250752	2013-08-04 19:42:28.250752	252
39780	193365	22835	2013-08-04 19:42:28.264351	2013-08-04 19:42:28.264351	252
39781	193365	18830	2013-08-04 19:42:28.272642	2013-08-04 19:42:28.272642	252
39782	193365	38193	2013-08-04 19:42:28.277022	2013-08-04 19:42:28.277022	252
39783	193365	37913	2013-08-04 19:42:28.2808	2013-08-04 19:42:28.2808	252
39784	193365	37638	2013-08-04 19:42:28.284866	2013-08-04 19:42:28.284866	252
39785	193465	34219	2013-08-04 19:42:28.321606	2013-08-04 19:42:28.321606	252
39786	193465	34199	2013-08-04 19:42:28.326874	2013-08-04 19:42:28.326874	252
39787	193465	34175	2013-08-04 19:42:28.331795	2013-08-04 19:42:28.331795	252
39788	193465	34179	2013-08-04 19:42:28.337003	2013-08-04 19:42:28.337003	252
39789	193465	34217	2013-08-04 19:42:28.342563	2013-08-04 19:42:28.342563	252
39790	193465	34159	2013-08-04 19:42:28.347308	2013-08-04 19:42:28.347308	252
39791	193465	34185	2013-08-04 19:42:28.352646	2013-08-04 19:42:28.352646	252
39792	193465	34139	2013-08-04 19:42:28.359211	2013-08-04 19:42:28.359211	252
39793	193465	34119	2013-08-04 19:42:28.365659	2013-08-04 19:42:28.365659	252
39794	193447	34160	2013-08-04 19:42:28.375567	2013-08-04 19:42:28.375567	252
39795	193447	34099	2013-08-04 19:42:28.379666	2013-08-04 19:42:28.379666	252
39796	193447	34079	2013-08-04 19:42:28.383382	2013-08-04 19:42:28.383382	252
39797	193447	34059	2013-08-04 19:42:28.388333	2013-08-04 19:42:28.388333	252
39798	193447	34039	2013-08-04 19:42:28.393693	2013-08-04 19:42:28.393693	252
39799	193447	34019	2013-08-04 19:42:28.397753	2013-08-04 19:42:28.397753	252
39800	193447	33999	2013-08-04 19:42:28.402004	2013-08-04 19:42:28.402004	252
39801	193447	33979	2013-08-04 19:42:28.406005	2013-08-04 19:42:28.406005	252
39802	193447	34028	2013-08-04 19:42:28.410604	2013-08-04 19:42:28.410604	252
39803	193842	39228	2013-08-04 19:42:28.74126	2013-08-04 19:42:28.74126	252
39804	193842	39172	2013-08-04 19:42:28.750072	2013-08-04 19:42:28.750072	252
39805	193842	39248	2013-08-04 19:42:28.758401	2013-08-04 19:42:28.758401	252
39806	193842	39268	2013-08-04 19:42:28.766736	2013-08-04 19:42:28.766736	252
39807	193842	39288	2013-08-04 19:42:28.775154	2013-08-04 19:42:28.775154	252
39808	193842	39341	2013-08-04 19:42:28.783442	2013-08-04 19:42:28.783442	252
39809	193842	21253	2013-08-04 19:42:28.792181	2013-08-04 19:42:28.792181	252
39810	193842	21319	2013-08-04 19:42:28.801077	2013-08-04 19:42:28.801077	252
39811	193842	28386	2013-08-04 19:42:28.809453	2013-08-04 19:42:28.809453	252
39812	193842	3924	2013-08-04 19:42:28.817878	2013-08-04 19:42:28.817878	252
39813	193842	17153	2013-08-04 19:42:28.827225	2013-08-04 19:42:28.827225	252
39814	193842	3095	2013-08-04 19:42:28.836708	2013-08-04 19:42:28.836708	252
39815	193842	8335	2013-08-04 19:42:28.845461	2013-08-04 19:42:28.845461	252
39816	193842	8378	2013-08-04 19:42:28.857063	2013-08-04 19:42:28.857063	252
39817	193842	8358	2013-08-04 19:42:28.86198	2013-08-04 19:42:28.86198	252
39818	193842	8338	2013-08-04 19:42:28.86533	2013-08-04 19:42:28.86533	252
39819	193842	8458	2013-08-04 19:42:28.868708	2013-08-04 19:42:28.868708	252
39820	193842	8340	2013-08-04 19:42:28.871939	2013-08-04 19:42:28.871939	252
39821	193842	8333	2013-08-04 19:42:28.875178	2013-08-04 19:42:28.875178	252
39822	193836	39228	2013-08-04 19:42:28.886779	2013-08-04 19:42:28.886779	252
39823	193836	39172	2013-08-04 19:42:28.891815	2013-08-04 19:42:28.891815	252
39824	193836	39248	2013-08-04 19:42:28.895158	2013-08-04 19:42:28.895158	252
39825	193836	39268	2013-08-04 19:42:28.898107	2013-08-04 19:42:28.898107	252
39826	193836	39288	2013-08-04 19:42:28.90177	2013-08-04 19:42:28.90177	252
39827	193836	39341	2013-08-04 19:42:28.904884	2013-08-04 19:42:28.904884	252
39828	193836	21253	2013-08-04 19:42:28.908882	2013-08-04 19:42:28.908882	252
39829	193836	21319	2013-08-04 19:42:28.91162	2013-08-04 19:42:28.91162	252
39830	193836	28386	2013-08-04 19:42:28.914453	2013-08-04 19:42:28.914453	252
39831	193836	3924	2013-08-04 19:42:28.917438	2013-08-04 19:42:28.917438	252
39832	193836	17153	2013-08-04 19:42:28.925764	2013-08-04 19:42:28.925764	252
39833	193836	3095	2013-08-04 19:42:28.933999	2013-08-04 19:42:28.933999	252
39834	193836	8335	2013-08-04 19:42:28.942198	2013-08-04 19:42:28.942198	252
39835	193836	8378	2013-08-04 19:42:28.950199	2013-08-04 19:42:28.950199	252
39836	193836	8358	2013-08-04 19:42:28.957955	2013-08-04 19:42:28.957955	252
39837	193836	8338	2013-08-04 19:42:28.965664	2013-08-04 19:42:28.965664	252
39838	193836	8458	2013-08-04 19:42:28.97355	2013-08-04 19:42:28.97355	252
39839	193836	8340	2013-08-04 19:42:28.981393	2013-08-04 19:42:28.981393	252
39840	193836	8333	2013-08-04 19:42:28.989055	2013-08-04 19:42:28.989055	252
39841	194251	38813	2013-08-04 19:47:24.245308	2013-08-04 19:47:24.245308	253
39842	194251	38206	2013-08-04 19:47:24.252516	2013-08-04 19:47:24.252516	253
39843	194248	38425	2013-08-04 19:47:24.512968	2013-08-04 19:47:24.512968	253
39844	194248	38412	2013-08-04 19:47:24.524986	2013-08-04 19:47:24.524986	253
39845	194248	38446	2013-08-04 19:47:24.536049	2013-08-04 19:47:24.536049	253
39846	194248	38426	2013-08-04 19:47:24.547264	2013-08-04 19:47:24.547264	253
39847	194248	38380	2013-08-04 19:47:24.55816	2013-08-04 19:47:24.55816	253
39848	194248	38406	2013-08-04 19:47:24.569154	2013-08-04 19:47:24.569154	253
39849	194248	38386	2013-08-04 19:47:24.580531	2013-08-04 19:47:24.580531	253
39850	194248	38366	2013-08-04 19:47:24.59219	2013-08-04 19:47:24.59219	253
39851	194248	38346	2013-08-04 19:47:24.605197	2013-08-04 19:47:24.605197	253
39852	194248	38365	2013-08-04 19:47:24.619158	2013-08-04 19:47:24.619158	253
39853	194248	38326	2013-08-04 19:47:24.631019	2013-08-04 19:47:24.631019	253
39854	194248	29870	2013-08-04 19:47:24.642907	2013-08-04 19:47:24.642907	253
39855	194248	38306	2013-08-04 19:47:24.654393	2013-08-04 19:47:24.654393	253
39856	194248	38260	2013-08-04 19:47:24.660143	2013-08-04 19:47:24.660143	253
39857	194248	38286	2013-08-04 19:47:24.665211	2013-08-04 19:47:24.665211	253
39858	194248	38266	2013-08-04 19:47:24.670944	2013-08-04 19:47:24.670944	253
39859	194248	38246	2013-08-04 19:47:24.676979	2013-08-04 19:47:24.676979	253
39860	194248	38168	2013-08-04 19:47:24.68246	2013-08-04 19:47:24.68246	253
39861	194248	38701	2013-08-04 19:47:24.686981	2013-08-04 19:47:24.686981	253
39862	194255	9718	2013-08-04 19:47:24.704867	2013-08-04 19:47:24.704867	253
39863	194255	9578	2013-08-04 19:47:24.715878	2013-08-04 19:47:24.715878	253
39864	194255	9592	2013-08-04 19:47:24.726027	2013-08-04 19:47:24.726027	253
39865	194255	9597	2013-08-04 19:47:24.737383	2013-08-04 19:47:24.737383	253
39866	194255	9588	2013-08-04 19:47:24.749358	2013-08-04 19:47:24.749358	253
39867	194255	9608	2013-08-04 19:47:24.761495	2013-08-04 19:47:24.761495	253
39868	194255	9628	2013-08-04 19:47:24.774514	2013-08-04 19:47:24.774514	253
39869	194255	9648	2013-08-04 19:47:24.78611	2013-08-04 19:47:24.78611	253
39870	194255	9727	2013-08-04 19:47:24.797793	2013-08-04 19:47:24.797793	253
39871	194255	9712	2013-08-04 19:47:24.809768	2013-08-04 19:47:24.809768	253
39872	194255	9707	2013-08-04 19:47:24.822392	2013-08-04 19:47:24.822392	253
39873	194255	9626	2013-08-04 19:47:24.829604	2013-08-04 19:47:24.829604	253
39874	194255	9687	2013-08-04 19:47:24.834183	2013-08-04 19:47:24.834183	253
39875	194255	4536	2013-08-04 19:47:24.838699	2013-08-04 19:47:24.838699	253
39876	194255	9667	2013-08-04 19:47:24.843379	2013-08-04 19:47:24.843379	253
39877	194255	1762	2013-08-04 19:47:24.84792	2013-08-04 19:47:24.84792	253
39878	194255	9681	2013-08-04 19:47:24.852512	2013-08-04 19:47:24.852512	253
39879	194255	38720	2013-08-04 19:47:24.857866	2013-08-04 19:47:24.857866	253
39880	194255	40348	2013-08-04 19:47:24.864172	2013-08-04 19:47:24.864172	253
39881	194274	38733	2013-08-04 19:47:25.144215	2013-08-04 19:47:25.144215	253
39882	194274	38106	2013-08-04 19:47:25.155061	2013-08-04 19:47:25.155061	253
39883	194732	39228	2013-08-04 19:47:25.178892	2013-08-04 19:47:25.178892	253
39884	194732	39172	2013-08-04 19:47:25.182562	2013-08-04 19:47:25.182562	253
39885	194732	39248	2013-08-04 19:47:25.186191	2013-08-04 19:47:25.186191	253
39886	194732	39268	2013-08-04 19:47:25.189355	2013-08-04 19:47:25.189355	253
39887	194732	39288	2013-08-04 19:47:25.192648	2013-08-04 19:47:25.192648	253
39888	194732	39341	2013-08-04 19:47:25.195719	2013-08-04 19:47:25.195719	253
39889	194732	21253	2013-08-04 19:47:25.19869	2013-08-04 19:47:25.19869	253
39890	194732	21319	2013-08-04 19:47:25.202669	2013-08-04 19:47:25.202669	253
39891	194732	28386	2013-08-04 19:47:25.205905	2013-08-04 19:47:25.205905	253
39892	194732	3924	2013-08-04 19:47:25.209356	2013-08-04 19:47:25.209356	253
39893	194732	17153	2013-08-04 19:47:25.212985	2013-08-04 19:47:25.212985	253
39894	194732	3095	2013-08-04 19:47:25.216009	2013-08-04 19:47:25.216009	253
39895	194732	8335	2013-08-04 19:47:25.22035	2013-08-04 19:47:25.22035	253
39896	194732	8378	2013-08-04 19:47:25.223927	2013-08-04 19:47:25.223927	253
39897	194732	8358	2013-08-04 19:47:25.229836	2013-08-04 19:47:25.229836	253
39898	194732	8338	2013-08-04 19:47:25.235472	2013-08-04 19:47:25.235472	253
39899	194732	8458	2013-08-04 19:47:25.240958	2013-08-04 19:47:25.240958	253
39900	194732	8340	2013-08-04 19:47:25.244029	2013-08-04 19:47:25.244029	253
39901	194732	8333	2013-08-04 19:47:25.247123	2013-08-04 19:47:25.247123	253
39902	194734	39228	2013-08-04 19:47:25.259514	2013-08-04 19:47:25.259514	253
39903	194734	39172	2013-08-04 19:47:25.262281	2013-08-04 19:47:25.262281	253
39904	194734	39248	2013-08-04 19:47:25.265225	2013-08-04 19:47:25.265225	253
39905	194734	39268	2013-08-04 19:47:25.26772	2013-08-04 19:47:25.26772	253
39906	194734	39288	2013-08-04 19:47:25.270193	2013-08-04 19:47:25.270193	253
39907	194734	39341	2013-08-04 19:47:25.273079	2013-08-04 19:47:25.273079	253
39908	194734	21253	2013-08-04 19:47:25.27579	2013-08-04 19:47:25.27579	253
39909	194734	21319	2013-08-04 19:47:25.278579	2013-08-04 19:47:25.278579	253
39910	194734	28386	2013-08-04 19:47:25.281954	2013-08-04 19:47:25.281954	253
39911	194734	3924	2013-08-04 19:47:25.286339	2013-08-04 19:47:25.286339	253
39912	194734	17153	2013-08-04 19:47:25.289844	2013-08-04 19:47:25.289844	253
39913	194734	3095	2013-08-04 19:47:25.293302	2013-08-04 19:47:25.293302	253
39914	194734	8335	2013-08-04 19:47:25.2961	2013-08-04 19:47:25.2961	253
39915	194734	8378	2013-08-04 19:47:25.299149	2013-08-04 19:47:25.299149	253
39916	194734	8358	2013-08-04 19:47:25.302216	2013-08-04 19:47:25.302216	253
39917	194734	8338	2013-08-04 19:47:25.305535	2013-08-04 19:47:25.305535	253
39918	194734	8458	2013-08-04 19:47:25.308519	2013-08-04 19:47:25.308519	253
39919	194734	8340	2013-08-04 19:47:25.31129	2013-08-04 19:47:25.31129	253
39920	194734	8333	2013-08-04 19:47:25.314476	2013-08-04 19:47:25.314476	253
39921	194735	39228	2013-08-04 19:47:25.326271	2013-08-04 19:47:25.326271	253
39922	194735	39172	2013-08-04 19:47:25.32926	2013-08-04 19:47:25.32926	253
39923	194735	39248	2013-08-04 19:47:25.332363	2013-08-04 19:47:25.332363	253
39924	194735	39268	2013-08-04 19:47:25.336415	2013-08-04 19:47:25.336415	253
39925	194735	39288	2013-08-04 19:47:25.34093	2013-08-04 19:47:25.34093	253
39926	194735	39341	2013-08-04 19:47:25.344468	2013-08-04 19:47:25.344468	253
39927	194735	21253	2013-08-04 19:47:25.348442	2013-08-04 19:47:25.348442	253
39928	194735	21319	2013-08-04 19:47:25.351556	2013-08-04 19:47:25.351556	253
39929	194735	28386	2013-08-04 19:47:25.355014	2013-08-04 19:47:25.355014	253
39930	194735	3924	2013-08-04 19:47:25.358475	2013-08-04 19:47:25.358475	253
39931	194735	17153	2013-08-04 19:47:25.362121	2013-08-04 19:47:25.362121	253
39932	194735	3095	2013-08-04 19:47:25.367032	2013-08-04 19:47:25.367032	253
39933	194735	8335	2013-08-04 19:47:25.369834	2013-08-04 19:47:25.369834	253
39934	194735	8378	2013-08-04 19:47:25.37255	2013-08-04 19:47:25.37255	253
39935	194735	8358	2013-08-04 19:47:25.375376	2013-08-04 19:47:25.375376	253
39936	194735	8338	2013-08-04 19:47:25.378602	2013-08-04 19:47:25.378602	253
39937	194735	8458	2013-08-04 19:47:25.382037	2013-08-04 19:47:25.382037	253
39938	194735	8340	2013-08-04 19:47:25.385156	2013-08-04 19:47:25.385156	253
39939	194735	8333	2013-08-04 19:47:25.388196	2013-08-04 19:47:25.388196	253
39940	194262	5452	2013-08-04 19:47:25.548192	2013-08-04 19:47:25.548192	253
39941	194449	7905	2013-08-04 19:47:25.581356	2013-08-04 19:47:25.581356	253
39942	194449	4359	2013-08-04 19:47:25.586476	2013-08-04 19:47:25.586476	253
39943	194449	4379	2013-08-04 19:47:25.590704	2013-08-04 19:47:25.590704	253
39944	194449	4501	2013-08-04 19:47:25.596336	2013-08-04 19:47:25.596336	253
39945	194449	1949	2013-08-04 19:47:25.600789	2013-08-04 19:47:25.600789	253
39946	194449	12198	2013-08-04 19:47:25.605487	2013-08-04 19:47:25.605487	253
39947	194449	3884	2013-08-04 19:47:25.609429	2013-08-04 19:47:25.609429	253
39948	194449	3864	2013-08-04 19:47:25.613367	2013-08-04 19:47:25.613367	253
39949	194449	3844	2013-08-04 19:47:25.617448	2013-08-04 19:47:25.617448	253
39950	194449	40408	2013-08-04 19:47:25.621619	2013-08-04 19:47:25.621619	253
39951	194449	38240	2013-08-04 19:47:25.625538	2013-08-04 19:47:25.625538	253
39952	194449	16989	2013-08-04 19:47:25.629449	2013-08-04 19:47:25.629449	253
39953	194449	17080	2013-08-04 19:47:25.633259	2013-08-04 19:47:25.633259	253
39954	194449	38613	2013-08-04 19:47:25.637144	2013-08-04 19:47:25.637144	253
39955	194449	40155	2013-08-04 19:47:25.641035	2013-08-04 19:47:25.641035	253
39956	194449	16809	2013-08-04 19:47:25.645008	2013-08-04 19:47:25.645008	253
39957	194449	16881	2013-08-04 19:47:25.649111	2013-08-04 19:47:25.649111	253
39958	194449	16829	2013-08-04 19:47:25.653126	2013-08-04 19:47:25.653126	253
39959	194449	37233	2013-08-04 19:47:25.65662	2013-08-04 19:47:25.65662	253
39960	194453	38761	2013-08-04 19:47:25.674462	2013-08-04 19:47:25.674462	253
39961	194453	38666	2013-08-04 19:47:25.678383	2013-08-04 19:47:25.678383	253
39962	194453	38690	2013-08-04 19:47:25.681908	2013-08-04 19:47:25.681908	253
39963	194453	38646	2013-08-04 19:47:25.687119	2013-08-04 19:47:25.687119	253
39964	194453	38670	2013-08-04 19:47:25.694356	2013-08-04 19:47:25.694356	253
39965	194453	38625	2013-08-04 19:47:25.700653	2013-08-04 19:47:25.700653	253
39966	194453	38626	2013-08-04 19:47:25.705597	2013-08-04 19:47:25.705597	253
39967	194453	38721	2013-08-04 19:47:25.71057	2013-08-04 19:47:25.71057	253
39968	194453	38480	2013-08-04 19:47:25.715719	2013-08-04 19:47:25.715719	253
39969	194453	38606	2013-08-04 19:47:25.721093	2013-08-04 19:47:25.721093	253
39970	194453	38586	2013-08-04 19:47:25.725534	2013-08-04 19:47:25.725534	253
39971	194453	38566	2013-08-04 19:47:25.729769	2013-08-04 19:47:25.729769	253
39972	194453	38546	2013-08-04 19:47:25.734379	2013-08-04 19:47:25.734379	253
39973	194453	38560	2013-08-04 19:47:25.739322	2013-08-04 19:47:25.739322	253
39974	194453	38526	2013-08-04 19:47:25.743182	2013-08-04 19:47:25.743182	253
39975	194453	38506	2013-08-04 19:47:25.747295	2013-08-04 19:47:25.747295	253
39976	194453	38486	2013-08-04 19:47:25.752307	2013-08-04 19:47:25.752307	253
39977	194453	38466	2013-08-04 19:47:25.76101	2013-08-04 19:47:25.76101	253
39978	194453	38461	2013-08-04 19:47:25.771663	2013-08-04 19:47:25.771663	253
39979	194260	9748	2013-08-04 19:47:25.797435	2013-08-04 19:47:25.797435	253
39980	194260	9737	2013-08-04 19:47:25.809075	2013-08-04 19:47:25.809075	253
39981	194260	9828	2013-08-04 19:47:25.820089	2013-08-04 19:47:25.820089	253
39982	194260	9891	2013-08-04 19:47:25.830945	2013-08-04 19:47:25.830945	253
39983	194260	9887	2013-08-04 19:47:25.842228	2013-08-04 19:47:25.842228	253
39984	194260	9867	2013-08-04 19:47:25.85383	2013-08-04 19:47:25.85383	253
39985	194260	9847	2013-08-04 19:47:25.865546	2013-08-04 19:47:25.865546	253
39986	194260	9827	2013-08-04 19:47:25.876573	2013-08-04 19:47:25.876573	253
39987	194260	9553	2013-08-04 19:47:25.887232	2013-08-04 19:47:25.887232	253
39988	194260	20955	2013-08-04 19:47:25.898378	2013-08-04 19:47:25.898378	253
39989	194260	9807	2013-08-04 19:47:25.910263	2013-08-04 19:47:25.910263	253
39990	194260	9861	2013-08-04 19:47:25.921394	2013-08-04 19:47:25.921394	253
39991	194260	9881	2013-08-04 19:47:25.93264	2013-08-04 19:47:25.93264	253
39992	194260	9787	2013-08-04 19:47:25.943181	2013-08-04 19:47:25.943181	253
39993	194260	9836	2013-08-04 19:47:25.954597	2013-08-04 19:47:25.954597	253
39994	194260	9767	2013-08-04 19:47:25.966101	2013-08-04 19:47:25.966101	253
39995	194260	9747	2013-08-04 19:47:25.977932	2013-08-04 19:47:25.977932	253
39996	194260	39395	2013-08-04 19:47:25.989524	2013-08-04 19:47:25.989524	253
39997	194260	9700	2013-08-04 19:47:26.000714	2013-08-04 19:47:26.000714	253
39998	194647	17269	2013-08-04 19:47:26.029964	2013-08-04 19:47:26.029964	253
39999	194647	17249	2013-08-04 19:47:26.034509	2013-08-04 19:47:26.034509	253
40000	194647	17229	2013-08-04 19:47:26.038721	2013-08-04 19:47:26.038721	253
40001	194647	17209	2013-08-04 19:47:26.04299	2013-08-04 19:47:26.04299	253
40002	194647	17165	2013-08-04 19:47:26.047778	2013-08-04 19:47:26.047778	253
40003	194647	17189	2013-08-04 19:47:26.051525	2013-08-04 19:47:26.051525	253
40004	194603	17169	2013-08-04 19:47:26.124457	2013-08-04 19:47:26.124457	253
40005	194603	17149	2013-08-04 19:47:26.129719	2013-08-04 19:47:26.129719	253
40006	194603	17129	2013-08-04 19:47:26.135048	2013-08-04 19:47:26.135048	253
40007	194603	17073	2013-08-04 19:47:26.141195	2013-08-04 19:47:26.141195	253
40008	194603	17065	2013-08-04 19:47:26.14791	2013-08-04 19:47:26.14791	253
40009	194603	16957	2013-08-04 19:47:26.155055	2013-08-04 19:47:26.155055	253
40010	194380	17109	2013-08-04 19:47:26.170988	2013-08-04 19:47:26.170988	253
40011	194380	17089	2013-08-04 19:47:26.180233	2013-08-04 19:47:26.180233	253
40012	194380	17040	2013-08-04 19:47:26.191552	2013-08-04 19:47:26.191552	253
40013	194380	17069	2013-08-04 19:47:26.197538	2013-08-04 19:47:26.197538	253
40014	194380	38773	2013-08-04 19:47:26.200881	2013-08-04 19:47:26.200881	253
40015	194380	40328	2013-08-04 19:47:26.203902	2013-08-04 19:47:26.203902	253
40016	194383	34295	2013-08-04 19:47:26.264434	2013-08-04 19:47:26.264434	253
40017	194383	34331	2013-08-04 19:47:26.276059	2013-08-04 19:47:26.276059	253
40018	194383	34311	2013-08-04 19:47:26.28686	2013-08-04 19:47:26.28686	253
40019	194383	34270	2013-08-04 19:47:26.298356	2013-08-04 19:47:26.298356	253
40020	194383	34291	2013-08-04 19:47:26.309385	2013-08-04 19:47:26.309385	253
40021	194383	34271	2013-08-04 19:47:26.320984	2013-08-04 19:47:26.320984	253
40022	194383	34251	2013-08-04 19:47:26.33276	2013-08-04 19:47:26.33276	253
40023	194383	34257	2013-08-04 19:47:26.344587	2013-08-04 19:47:26.344587	253
40024	194383	34231	2013-08-04 19:47:26.355315	2013-08-04 19:47:26.355315	253
40025	194225	16797	2013-08-04 19:47:26.378188	2013-08-04 19:47:26.378188	253
40026	194225	6304	2013-08-04 19:47:26.389998	2013-08-04 19:47:26.389998	253
40027	194225	34211	2013-08-04 19:47:26.40227	2013-08-04 19:47:26.40227	253
40028	194225	20899	2013-08-04 19:47:26.414919	2013-08-04 19:47:26.414919	253
40029	194225	34191	2013-08-04 19:47:26.427126	2013-08-04 19:47:26.427126	253
40030	194225	34171	2013-08-04 19:47:26.438548	2013-08-04 19:47:26.438548	253
40031	194225	34151	2013-08-04 19:47:26.449925	2013-08-04 19:47:26.449925	253
40032	194225	34131	2013-08-04 19:47:26.460833	2013-08-04 19:47:26.460833	253
40033	194225	40288	2013-08-04 19:47:26.472067	2013-08-04 19:47:26.472067	253
40034	194736	39228	2013-08-04 19:47:26.507614	2013-08-04 19:47:26.507614	253
40035	194736	39172	2013-08-04 19:47:26.516122	2013-08-04 19:47:26.516122	253
40036	194736	39248	2013-08-04 19:47:26.524406	2013-08-04 19:47:26.524406	253
40037	194736	39268	2013-08-04 19:47:26.532769	2013-08-04 19:47:26.532769	253
40038	194736	39288	2013-08-04 19:47:26.540771	2013-08-04 19:47:26.540771	253
40039	194736	39341	2013-08-04 19:47:26.548733	2013-08-04 19:47:26.548733	253
40040	194736	21253	2013-08-04 19:47:26.556779	2013-08-04 19:47:26.556779	253
40041	194736	21319	2013-08-04 19:47:26.565037	2013-08-04 19:47:26.565037	253
40042	194736	28386	2013-08-04 19:47:26.571062	2013-08-04 19:47:26.571062	253
40043	194736	3924	2013-08-04 19:47:26.576293	2013-08-04 19:47:26.576293	253
40044	194736	17153	2013-08-04 19:47:26.584677	2013-08-04 19:47:26.584677	253
40045	194736	3095	2013-08-04 19:47:26.589403	2013-08-04 19:47:26.589403	253
40046	194736	8335	2013-08-04 19:47:26.596793	2013-08-04 19:47:26.596793	253
40047	194736	8378	2013-08-04 19:47:26.605147	2013-08-04 19:47:26.605147	253
40048	194736	8358	2013-08-04 19:47:26.613575	2013-08-04 19:47:26.613575	253
40049	194736	8338	2013-08-04 19:47:26.622256	2013-08-04 19:47:26.622256	253
40050	194736	8458	2013-08-04 19:47:26.63118	2013-08-04 19:47:26.63118	253
40051	194736	8340	2013-08-04 19:47:26.63997	2013-08-04 19:47:26.63997	253
40052	194736	8333	2013-08-04 19:47:26.648285	2013-08-04 19:47:26.648285	253
40053	194881	26416	2013-08-04 19:47:26.694753	2013-08-04 19:47:26.694753	253
40054	194881	26431	2013-08-04 19:47:26.703757	2013-08-04 19:47:26.703757	253
40055	194881	47303	2013-08-04 19:47:26.707376	2013-08-04 19:47:26.707376	253
40056	194881	26396	2013-08-04 19:47:26.710847	2013-08-04 19:47:26.710847	253
40057	194881	4944	2013-08-04 19:47:26.714048	2013-08-04 19:47:26.714048	253
40058	194881	26272	2013-08-04 19:47:26.717559	2013-08-04 19:47:26.717559	253
40059	194604	26376	2013-08-04 19:47:26.727978	2013-08-04 19:47:26.727978	253
40060	194604	26356	2013-08-04 19:47:26.734998	2013-08-04 19:47:26.734998	253
40061	194604	26336	2013-08-04 19:47:26.747462	2013-08-04 19:47:26.747462	253
40062	194604	26316	2013-08-04 19:47:26.756875	2013-08-04 19:47:26.756875	253
40063	194604	26238	2013-08-04 19:47:26.762815	2013-08-04 19:47:26.762815	253
40064	194604	26296	2013-08-04 19:47:26.767316	2013-08-04 19:47:26.767316	253
40065	194379	26276	2013-08-04 19:47:26.777247	2013-08-04 19:47:26.777247	253
40066	194379	28372	2013-08-04 19:47:26.78194	2013-08-04 19:47:26.78194	253
40067	194379	26256	2013-08-04 19:47:26.78752	2013-08-04 19:47:26.78752	253
40068	194379	26321	2013-08-04 19:47:26.792642	2013-08-04 19:47:26.792642	253
40069	194379	26236	2013-08-04 19:47:26.800062	2013-08-04 19:47:26.800062	253
40070	194379	26175	2013-08-04 19:47:26.807446	2013-08-04 19:47:26.807446	253
40071	194355	12449	2013-08-04 19:47:26.824909	2013-08-04 19:47:26.824909	253
40072	194355	2960	2013-08-04 19:47:26.829536	2013-08-04 19:47:26.829536	253
40073	194355	21116	2013-08-04 19:47:26.834387	2013-08-04 19:47:26.834387	253
40074	194355	33863	2013-08-04 19:47:26.837861	2013-08-04 19:47:26.837861	253
40075	194355	8859	2013-08-04 19:47:26.841045	2013-08-04 19:47:26.841045	253
40076	194355	1125	2013-08-04 19:47:26.846882	2013-08-04 19:47:26.846882	253
40077	194355	7719	2013-08-04 19:47:26.856172	2013-08-04 19:47:26.856172	253
40078	194355	13817	2013-08-04 19:47:26.86698	2013-08-04 19:47:26.86698	253
40079	194355	11671	2013-08-04 19:47:26.878096	2013-08-04 19:47:26.878096	253
40080	194355	4170	2013-08-04 19:47:26.890608	2013-08-04 19:47:26.890608	253
40081	194355	2771	2013-08-04 19:47:26.902753	2013-08-04 19:47:26.902753	253
40082	194355	2685	2013-08-04 19:47:26.913858	2013-08-04 19:47:26.913858	253
40083	194355	8911	2013-08-04 19:47:26.925174	2013-08-04 19:47:26.925174	253
40084	194355	30943	2013-08-04 19:47:26.937269	2013-08-04 19:47:26.937269	253
40085	194355	24035	2013-08-04 19:47:26.949245	2013-08-04 19:47:26.949245	253
40086	194355	38653	2013-08-04 19:47:26.960798	2013-08-04 19:47:26.960798	253
40087	194355	38508	2013-08-04 19:47:26.970935	2013-08-04 19:47:26.970935	253
40088	194355	38026	2013-08-04 19:47:26.981224	2013-08-04 19:47:26.981224	253
40089	194355	33935	2013-08-04 19:47:26.991773	2013-08-04 19:47:26.991773	253
40090	194462	34461	2013-08-04 19:47:27.050278	2013-08-04 19:47:27.050278	253
40091	194462	34379	2013-08-04 19:47:27.062165	2013-08-04 19:47:27.062165	253
40092	194462	34326	2013-08-04 19:47:27.073699	2013-08-04 19:47:27.073699	253
40093	194462	34359	2013-08-04 19:47:27.084892	2013-08-04 19:47:27.084892	253
40094	194462	34373	2013-08-04 19:47:27.095645	2013-08-04 19:47:27.095645	253
40095	194462	34238	2013-08-04 19:47:27.106787	2013-08-04 19:47:27.106787	253
40096	194385	34360	2013-08-04 19:47:27.124033	2013-08-04 19:47:27.124033	253
40097	194385	34339	2013-08-04 19:47:27.130787	2013-08-04 19:47:27.130787	253
40098	194385	34319	2013-08-04 19:47:27.135121	2013-08-04 19:47:27.135121	253
40099	194385	34299	2013-08-04 19:47:27.139553	2013-08-04 19:47:27.139553	253
40100	194385	34290	2013-08-04 19:47:27.144016	2013-08-04 19:47:27.144016	253
40101	194385	34279	2013-08-04 19:47:27.149163	2013-08-04 19:47:27.149163	253
40102	194232	34318	2013-08-04 19:47:27.157787	2013-08-04 19:47:27.157787	253
40103	194232	34259	2013-08-04 19:47:27.162559	2013-08-04 19:47:27.162559	253
40104	194232	34239	2013-08-04 19:47:27.167001	2013-08-04 19:47:27.167001	253
40105	194232	8373	2013-08-04 19:47:27.171513	2013-08-04 19:47:27.171513	253
40106	194232	6324	2013-08-04 19:47:27.175736	2013-08-04 19:47:27.175736	253
40107	194232	34037	2013-08-04 19:47:27.180803	2013-08-04 19:47:27.180803	253
40108	194737	39228	2013-08-04 19:47:27.583484	2013-08-04 19:47:27.583484	253
40109	194737	39172	2013-08-04 19:47:27.585989	2013-08-04 19:47:27.585989	253
40110	194737	39248	2013-08-04 19:47:27.588981	2013-08-04 19:47:27.588981	253
40111	194737	39268	2013-08-04 19:47:27.592051	2013-08-04 19:47:27.592051	253
40112	194737	39288	2013-08-04 19:47:27.597182	2013-08-04 19:47:27.597182	253
40113	194737	39341	2013-08-04 19:47:27.604035	2013-08-04 19:47:27.604035	253
40114	194737	21253	2013-08-04 19:47:27.61094	2013-08-04 19:47:27.61094	253
40115	194737	21319	2013-08-04 19:47:27.619113	2013-08-04 19:47:27.619113	253
40116	194737	28386	2013-08-04 19:47:27.627235	2013-08-04 19:47:27.627235	253
40117	194737	3924	2013-08-04 19:47:27.635374	2013-08-04 19:47:27.635374	253
40118	194737	17153	2013-08-04 19:47:27.643317	2013-08-04 19:47:27.643317	253
40119	194737	3095	2013-08-04 19:47:27.651322	2013-08-04 19:47:27.651322	253
40120	194737	8335	2013-08-04 19:47:27.659588	2013-08-04 19:47:27.659588	253
40121	194737	8378	2013-08-04 19:47:27.667575	2013-08-04 19:47:27.667575	253
40122	194737	8358	2013-08-04 19:47:27.675831	2013-08-04 19:47:27.675831	253
40123	194737	8338	2013-08-04 19:47:27.684216	2013-08-04 19:47:27.684216	253
40124	194737	8458	2013-08-04 19:47:27.692445	2013-08-04 19:47:27.692445	253
40125	194737	8340	2013-08-04 19:47:27.700713	2013-08-04 19:47:27.700713	253
40126	194737	8333	2013-08-04 19:47:27.709155	2013-08-04 19:47:27.709155	253
40127	194733	39228	2013-08-04 19:47:27.739594	2013-08-04 19:47:27.739594	253
40128	194733	39172	2013-08-04 19:47:27.748481	2013-08-04 19:47:27.748481	253
40129	194733	39248	2013-08-04 19:47:27.757385	2013-08-04 19:47:27.757385	253
40130	194733	39268	2013-08-04 19:47:27.766012	2013-08-04 19:47:27.766012	253
40131	194733	39288	2013-08-04 19:47:27.774253	2013-08-04 19:47:27.774253	253
40132	194733	39341	2013-08-04 19:47:27.783407	2013-08-04 19:47:27.783407	253
40133	194733	21253	2013-08-04 19:47:27.793478	2013-08-04 19:47:27.793478	253
40134	194733	21319	2013-08-04 19:47:27.797985	2013-08-04 19:47:27.797985	253
40135	194733	28386	2013-08-04 19:47:27.802362	2013-08-04 19:47:27.802362	253
40136	194733	3924	2013-08-04 19:47:27.806138	2013-08-04 19:47:27.806138	253
40137	194733	17153	2013-08-04 19:47:27.809863	2013-08-04 19:47:27.809863	253
40138	194733	3095	2013-08-04 19:47:27.812941	2013-08-04 19:47:27.812941	253
40139	194733	8335	2013-08-04 19:47:27.816628	2013-08-04 19:47:27.816628	253
40140	194733	8378	2013-08-04 19:47:27.819601	2013-08-04 19:47:27.819601	253
40141	194733	8358	2013-08-04 19:47:27.822001	2013-08-04 19:47:27.822001	253
40142	194733	8338	2013-08-04 19:47:27.825021	2013-08-04 19:47:27.825021	253
40143	194733	8458	2013-08-04 19:47:27.828172	2013-08-04 19:47:27.828172	253
40144	194733	8340	2013-08-04 19:47:27.830572	2013-08-04 19:47:27.830572	253
40145	194733	8333	2013-08-04 19:47:27.832866	2013-08-04 19:47:27.832866	253
40146	195077	38993	2013-08-04 19:52:25.018596	2013-08-04 19:52:25.018596	254
40147	195077	36573	2013-08-04 19:52:25.030864	2013-08-04 19:52:25.030864	254
40148	195077	10187	2013-08-04 19:52:25.042838	2013-08-04 19:52:25.042838	254
40149	195077	39248	2013-08-04 19:52:25.054143	2013-08-04 19:52:25.054143	254
40150	195077	40608	2013-08-04 19:52:25.06583	2013-08-04 19:52:25.06583	254
40151	195077	38840	2013-08-04 19:52:25.07282	2013-08-04 19:52:25.07282	254
40152	195077	10047	2013-08-04 19:52:25.080771	2013-08-04 19:52:25.080771	254
40153	195078	39035	2013-08-04 19:52:25.242758	2013-08-04 19:52:25.242758	254
40154	195078	39086	2013-08-04 19:52:25.254416	2013-08-04 19:52:25.254416	254
40155	195078	39066	2013-08-04 19:52:25.265225	2013-08-04 19:52:25.265225	254
40156	195078	39000	2013-08-04 19:52:25.275538	2013-08-04 19:52:25.275538	254
40157	195078	39046	2013-08-04 19:52:25.286329	2013-08-04 19:52:25.286329	254
40158	195078	39026	2013-08-04 19:52:25.297538	2013-08-04 19:52:25.297538	254
40159	195078	39006	2013-08-04 19:52:25.308638	2013-08-04 19:52:25.308638	254
40160	195078	38958	2013-08-04 19:52:25.31959	2013-08-04 19:52:25.31959	254
40161	195078	38965	2013-08-04 19:52:25.330822	2013-08-04 19:52:25.330822	254
40162	195078	38986	2013-08-04 19:52:25.342821	2013-08-04 19:52:25.342821	254
40163	195078	38966	2013-08-04 19:52:25.354226	2013-08-04 19:52:25.354226	254
40164	195078	38953	2013-08-04 19:52:25.364808	2013-08-04 19:52:25.364808	254
40165	195078	38946	2013-08-04 19:52:25.369358	2013-08-04 19:52:25.369358	254
40166	195078	38858	2013-08-04 19:52:25.373001	2013-08-04 19:52:25.373001	254
40167	195078	38926	2013-08-04 19:52:25.376576	2013-08-04 19:52:25.376576	254
40168	195078	34111	2013-08-04 19:52:25.380825	2013-08-04 19:52:25.380825	254
40169	195078	10127	2013-08-04 19:52:25.384468	2013-08-04 19:52:25.384468	254
40170	195078	39341	2013-08-04 19:52:25.388141	2013-08-04 19:52:25.388141	254
40171	195078	40512	2013-08-04 19:52:25.391423	2013-08-04 19:52:25.391423	254
40172	195079	20981	2013-08-04 19:52:25.40371	2013-08-04 19:52:25.40371	254
40173	195079	20172	2013-08-04 19:52:25.41318	2013-08-04 19:52:25.41318	254
40174	195079	10261	2013-08-04 19:52:25.424296	2013-08-04 19:52:25.424296	254
40175	195079	10247	2013-08-04 19:52:25.435202	2013-08-04 19:52:25.435202	254
40176	195079	10256	2013-08-04 19:52:25.446378	2013-08-04 19:52:25.446378	254
40177	195079	10270	2013-08-04 19:52:25.457629	2013-08-04 19:52:25.457629	254
40178	195079	42523	2013-08-04 19:52:25.469011	2013-08-04 19:52:25.469011	254
40179	195079	10227	2013-08-04 19:52:25.48138	2013-08-04 19:52:25.48138	254
40180	195079	10290	2013-08-04 19:52:25.492808	2013-08-04 19:52:25.492808	254
40181	195079	42623	2013-08-04 19:52:25.504516	2013-08-04 19:52:25.504516	254
40182	195079	10310	2013-08-04 19:52:25.516496	2013-08-04 19:52:25.516496	254
40183	195079	10330	2013-08-04 19:52:25.527705	2013-08-04 19:52:25.527705	254
40184	195079	10350	2013-08-04 19:52:25.539276	2013-08-04 19:52:25.539276	254
40185	195079	10232	2013-08-04 19:52:25.550457	2013-08-04 19:52:25.550457	254
40186	195079	10258	2013-08-04 19:52:25.561979	2013-08-04 19:52:25.561979	254
40187	195079	10240	2013-08-04 19:52:25.573532	2013-08-04 19:52:25.573532	254
40188	195079	10207	2013-08-04 19:52:25.585394	2013-08-04 19:52:25.585394	254
40189	195079	10100	2013-08-04 19:52:25.597507	2013-08-04 19:52:25.597507	254
40190	195079	21253	2013-08-04 19:52:25.608738	2013-08-04 19:52:25.608738	254
40191	195087	3095	2013-08-04 19:52:25.831908	2013-08-04 19:52:25.831908	254
40192	195548	27161	2013-08-04 19:52:25.853391	2013-08-04 19:52:25.853391	254
40193	195548	32957	2013-08-04 19:52:25.856058	2013-08-04 19:52:25.856058	254
40194	195548	32879	2013-08-04 19:52:25.858583	2013-08-04 19:52:25.858583	254
40195	195548	32900	2013-08-04 19:52:25.86106	2013-08-04 19:52:25.86106	254
40196	195548	17301	2013-08-04 19:52:25.866467	2013-08-04 19:52:25.866467	254
40197	195548	28100	2013-08-04 19:52:25.871905	2013-08-04 19:52:25.871905	254
40198	195548	19761	2013-08-04 19:52:25.874657	2013-08-04 19:52:25.874657	254
40199	195548	32777	2013-08-04 19:52:25.877698	2013-08-04 19:52:25.877698	254
40200	195548	16186	2013-08-04 19:52:25.88057	2013-08-04 19:52:25.88057	254
40201	195548	4389	2013-08-04 19:52:25.883217	2013-08-04 19:52:25.883217	254
40202	195548	16189	2013-08-04 19:52:25.886233	2013-08-04 19:52:25.886233	254
40203	195548	16209	2013-08-04 19:52:25.889277	2013-08-04 19:52:25.889277	254
40204	195548	16321	2013-08-04 19:52:25.892207	2013-08-04 19:52:25.892207	254
40205	195548	16229	2013-08-04 19:52:25.895145	2013-08-04 19:52:25.895145	254
40206	195548	16249	2013-08-04 19:52:25.898081	2013-08-04 19:52:25.898081	254
40207	195548	16190	2013-08-04 19:52:25.90079	2013-08-04 19:52:25.90079	254
40208	195548	39188	2013-08-04 19:52:25.903571	2013-08-04 19:52:25.903571	254
40209	195548	39121	2013-08-04 19:52:25.907785	2013-08-04 19:52:25.907785	254
40210	195548	39208	2013-08-04 19:52:25.910282	2013-08-04 19:52:25.910282	254
40211	195552	27161	2013-08-04 19:52:25.924301	2013-08-04 19:52:25.924301	254
40212	195552	32957	2013-08-04 19:52:25.928754	2013-08-04 19:52:25.928754	254
40213	195552	32879	2013-08-04 19:52:25.933943	2013-08-04 19:52:25.933943	254
40214	195552	32900	2013-08-04 19:52:25.941047	2013-08-04 19:52:25.941047	254
40215	195552	17301	2013-08-04 19:52:25.94531	2013-08-04 19:52:25.94531	254
40216	195552	28100	2013-08-04 19:52:25.949137	2013-08-04 19:52:25.949137	254
40217	195552	19761	2013-08-04 19:52:25.95404	2013-08-04 19:52:25.95404	254
40218	195552	32777	2013-08-04 19:52:25.961308	2013-08-04 19:52:25.961308	254
40219	195552	16186	2013-08-04 19:52:25.967312	2013-08-04 19:52:25.967312	254
40220	195552	4389	2013-08-04 19:52:25.973982	2013-08-04 19:52:25.973982	254
40221	195552	16189	2013-08-04 19:52:25.980982	2013-08-04 19:52:25.980982	254
40222	195552	16209	2013-08-04 19:52:25.984403	2013-08-04 19:52:25.984403	254
40223	195552	16321	2013-08-04 19:52:25.989219	2013-08-04 19:52:25.989219	254
40224	195552	16229	2013-08-04 19:52:25.997674	2013-08-04 19:52:25.997674	254
40225	195552	16249	2013-08-04 19:52:26.006766	2013-08-04 19:52:26.006766	254
40226	195552	16190	2013-08-04 19:52:26.014941	2013-08-04 19:52:26.014941	254
40227	195552	39188	2013-08-04 19:52:26.017813	2013-08-04 19:52:26.017813	254
40228	195552	39121	2013-08-04 19:52:26.020616	2013-08-04 19:52:26.020616	254
40229	195552	39208	2013-08-04 19:52:26.0274	2013-08-04 19:52:26.0274	254
40230	195554	27161	2013-08-04 19:52:26.037382	2013-08-04 19:52:26.037382	254
40231	195554	32957	2013-08-04 19:52:26.040307	2013-08-04 19:52:26.040307	254
40232	195554	32879	2013-08-04 19:52:26.043167	2013-08-04 19:52:26.043167	254
40233	195554	32900	2013-08-04 19:52:26.046219	2013-08-04 19:52:26.046219	254
40234	195554	17301	2013-08-04 19:52:26.049194	2013-08-04 19:52:26.049194	254
40235	195554	28100	2013-08-04 19:52:26.052424	2013-08-04 19:52:26.052424	254
40236	195554	19761	2013-08-04 19:52:26.056887	2013-08-04 19:52:26.056887	254
40237	195554	32777	2013-08-04 19:52:26.060199	2013-08-04 19:52:26.060199	254
40238	195554	16186	2013-08-04 19:52:26.064253	2013-08-04 19:52:26.064253	254
40239	195554	4389	2013-08-04 19:52:26.068812	2013-08-04 19:52:26.068812	254
40240	195554	16189	2013-08-04 19:52:26.075726	2013-08-04 19:52:26.075726	254
40241	195554	16209	2013-08-04 19:52:26.083659	2013-08-04 19:52:26.083659	254
40242	195554	16321	2013-08-04 19:52:26.091563	2013-08-04 19:52:26.091563	254
40243	195554	16229	2013-08-04 19:52:26.099416	2013-08-04 19:52:26.099416	254
40244	195554	16249	2013-08-04 19:52:26.107553	2013-08-04 19:52:26.107553	254
40245	195554	16190	2013-08-04 19:52:26.11579	2013-08-04 19:52:26.11579	254
40246	195554	39188	2013-08-04 19:52:26.12412	2013-08-04 19:52:26.12412	254
40247	195554	39121	2013-08-04 19:52:26.13235	2013-08-04 19:52:26.13235	254
40248	195554	39208	2013-08-04 19:52:26.14076	2013-08-04 19:52:26.14076	254
40249	195097	8340	2013-08-04 19:52:26.330135	2013-08-04 19:52:26.330135	254
40250	195097	9971	2013-08-04 19:52:26.337658	2013-08-04 19:52:26.337658	254
40251	195403	6118	2013-08-04 19:52:26.377966	2013-08-04 19:52:26.377966	254
40252	195403	4599	2013-08-04 19:52:26.382497	2013-08-04 19:52:26.382497	254
40253	195403	5800	2013-08-04 19:52:26.386559	2013-08-04 19:52:26.386559	254
40254	195403	1024	2013-08-04 19:52:26.391963	2013-08-04 19:52:26.391963	254
40255	195403	2465	2013-08-04 19:52:26.397142	2013-08-04 19:52:26.397142	254
40256	195403	1981	2013-08-04 19:52:26.402205	2013-08-04 19:52:26.402205	254
40257	195403	4372	2013-08-04 19:52:26.407602	2013-08-04 19:52:26.407602	254
40258	195403	22561	2013-08-04 19:52:26.412343	2013-08-04 19:52:26.412343	254
40259	195403	39268	2013-08-04 19:52:26.415762	2013-08-04 19:52:26.415762	254
40260	195403	40588	2013-08-04 19:52:26.418684	2013-08-04 19:52:26.418684	254
40261	195403	10027	2013-08-04 19:52:26.421497	2013-08-04 19:52:26.421497	254
40262	195403	34279	2013-08-04 19:52:26.424615	2013-08-04 19:52:26.424615	254
40263	195403	34290	2013-08-04 19:52:26.42792	2013-08-04 19:52:26.42792	254
40264	195403	34299	2013-08-04 19:52:26.431467	2013-08-04 19:52:26.431467	254
40265	195403	34319	2013-08-04 19:52:26.434969	2013-08-04 19:52:26.434969	254
40266	195403	34339	2013-08-04 19:52:26.438854	2013-08-04 19:52:26.438854	254
40267	195403	34360	2013-08-04 19:52:26.443411	2013-08-04 19:52:26.443411	254
40268	195403	40328	2013-08-04 19:52:26.449947	2013-08-04 19:52:26.449947	254
40269	195403	38773	2013-08-04 19:52:26.46044	2013-08-04 19:52:26.46044	254
40270	195324	39345	2013-08-04 19:52:26.507236	2013-08-04 19:52:26.507236	254
40271	195324	39366	2013-08-04 19:52:26.518977	2013-08-04 19:52:26.518977	254
40272	195324	39346	2013-08-04 19:52:26.530039	2013-08-04 19:52:26.530039	254
40273	195324	39326	2013-08-04 19:52:26.54119	2013-08-04 19:52:26.54119	254
40274	195324	39306	2013-08-04 19:52:26.552281	2013-08-04 19:52:26.552281	254
40275	195324	39286	2013-08-04 19:52:26.563389	2013-08-04 19:52:26.563389	254
40276	195324	39266	2013-08-04 19:52:26.574568	2013-08-04 19:52:26.574568	254
40277	195324	39212	2013-08-04 19:52:26.585734	2013-08-04 19:52:26.585734	254
40278	195324	39246	2013-08-04 19:52:26.596969	2013-08-04 19:52:26.596969	254
40279	195324	39226	2013-08-04 19:52:26.609189	2013-08-04 19:52:26.609189	254
40280	195324	39138	2013-08-04 19:52:26.621225	2013-08-04 19:52:26.621225	254
40281	195324	39206	2013-08-04 19:52:26.632774	2013-08-04 19:52:26.632774	254
40282	195324	39186	2013-08-04 19:52:26.643779	2013-08-04 19:52:26.643779	254
40283	195324	39166	2013-08-04 19:52:26.654909	2013-08-04 19:52:26.654909	254
40284	195324	39205	2013-08-04 19:52:26.666012	2013-08-04 19:52:26.666012	254
40285	195324	39146	2013-08-04 19:52:26.677198	2013-08-04 19:52:26.677198	254
40286	195324	39201	2013-08-04 19:52:26.688296	2013-08-04 19:52:26.688296	254
40287	195324	39126	2013-08-04 19:52:26.699383	2013-08-04 19:52:26.699383	254
40288	195324	39106	2013-08-04 19:52:26.710955	2013-08-04 19:52:26.710955	254
40289	195093	10490	2013-08-04 19:52:26.732356	2013-08-04 19:52:26.732356	254
40290	195093	10387	2013-08-04 19:52:26.737111	2013-08-04 19:52:26.737111	254
40291	195093	10510	2013-08-04 19:52:26.742408	2013-08-04 19:52:26.742408	254
40292	195093	10460	2013-08-04 19:52:26.746675	2013-08-04 19:52:26.746675	254
40293	195093	10370	2013-08-04 19:52:26.751447	2013-08-04 19:52:26.751447	254
40294	195093	10367	2013-08-04 19:52:26.755916	2013-08-04 19:52:26.755916	254
40295	195093	10300	2013-08-04 19:52:26.76072	2013-08-04 19:52:26.76072	254
40296	195093	10318	2013-08-04 19:52:26.765891	2013-08-04 19:52:26.765891	254
40297	195093	10292	2013-08-04 19:52:26.771284	2013-08-04 19:52:26.771284	254
40298	195093	10246	2013-08-04 19:52:26.779679	2013-08-04 19:52:26.779679	254
40299	195093	10220	2013-08-04 19:52:26.790841	2013-08-04 19:52:26.790841	254
40300	195093	10286	2013-08-04 19:52:26.80191	2013-08-04 19:52:26.80191	254
40301	195093	10347	2013-08-04 19:52:26.812907	2013-08-04 19:52:26.812907	254
40302	195093	10327	2013-08-04 19:52:26.824379	2013-08-04 19:52:26.824379	254
40303	195093	8079	2013-08-04 19:52:26.835621	2013-08-04 19:52:26.835621	254
40304	195093	10307	2013-08-04 19:52:26.847497	2013-08-04 19:52:26.847497	254
40305	195093	10287	2013-08-04 19:52:26.858805	2013-08-04 19:52:26.858805	254
40306	195093	10359	2013-08-04 19:52:26.871045	2013-08-04 19:52:26.871045	254
40307	195093	10267	2013-08-04 19:52:26.882567	2013-08-04 19:52:26.882567	254
40308	195676	17389	2013-08-04 19:52:26.93562	2013-08-04 19:52:26.93562	254
40309	195676	17331	2013-08-04 19:52:26.947445	2013-08-04 19:52:26.947445	254
40310	195676	17369	2013-08-04 19:52:26.959289	2013-08-04 19:52:26.959289	254
40311	195676	11525	2013-08-04 19:52:26.970794	2013-08-04 19:52:26.970794	254
40312	195342	17349	2013-08-04 19:52:26.993474	2013-08-04 19:52:26.993474	254
40313	195342	17329	2013-08-04 19:52:27.00495	2013-08-04 19:52:27.00495	254
40314	195342	17281	2013-08-04 19:52:27.016002	2013-08-04 19:52:27.016002	254
40315	195342	17309	2013-08-04 19:52:27.02672	2013-08-04 19:52:27.02672	254
40316	195218	17289	2013-08-04 19:52:27.049096	2013-08-04 19:52:27.049096	254
40317	195218	17297	2013-08-04 19:52:27.060251	2013-08-04 19:52:27.060251	254
40318	195218	17185	2013-08-04 19:52:27.071405	2013-08-04 19:52:27.071405	254
40319	195218	17195	2013-08-04 19:52:27.083122	2013-08-04 19:52:27.083122	254
40320	195095	16448	2013-08-04 19:52:27.105481	2013-08-04 19:52:27.105481	254
40321	195095	9987	2013-08-04 19:52:27.115287	2013-08-04 19:52:27.115287	254
40322	195095	28386	2013-08-04 19:52:27.124842	2013-08-04 19:52:27.124842	254
40323	195095	40548	2013-08-04 19:52:27.13451	2013-08-04 19:52:27.13451	254
40324	195343	34413	2013-08-04 19:52:27.20415	2013-08-04 19:52:27.20415	254
40325	195343	34491	2013-08-04 19:52:27.216934	2013-08-04 19:52:27.216934	254
40326	195343	34471	2013-08-04 19:52:27.228518	2013-08-04 19:52:27.228518	254
40327	195343	34451	2013-08-04 19:52:27.233151	2013-08-04 19:52:27.233151	254
40328	195343	34477	2013-08-04 19:52:27.238578	2013-08-04 19:52:27.238578	254
40329	195343	34470	2013-08-04 19:52:27.244164	2013-08-04 19:52:27.244164	254
40330	195343	34431	2013-08-04 19:52:27.249666	2013-08-04 19:52:27.249666	254
40331	195343	34411	2013-08-04 19:52:27.255641	2013-08-04 19:52:27.255641	254
40332	195343	34391	2013-08-04 19:52:27.2594	2013-08-04 19:52:27.2594	254
40333	195220	17773	2013-08-04 19:52:27.267635	2013-08-04 19:52:27.267635	254
40334	195220	17793	2013-08-04 19:52:27.276088	2013-08-04 19:52:27.276088	254
40335	195220	34332	2013-08-04 19:52:27.287359	2013-08-04 19:52:27.287359	254
40336	195220	34371	2013-08-04 19:52:27.3003	2013-08-04 19:52:27.3003	254
40337	195220	10087	2013-08-04 19:52:27.310713	2013-08-04 19:52:27.310713	254
40338	195220	9967	2013-08-04 19:52:27.313591	2013-08-04 19:52:27.313591	254
40339	195220	17153	2013-08-04 19:52:27.316401	2013-08-04 19:52:27.316401	254
40340	195220	40648	2013-08-04 19:52:27.3192	2013-08-04 19:52:27.3192	254
40341	195220	40585	2013-08-04 19:52:27.32198	2013-08-04 19:52:27.32198	254
40342	195556	27161	2013-08-04 19:52:27.333889	2013-08-04 19:52:27.333889	254
40343	195556	32957	2013-08-04 19:52:27.336959	2013-08-04 19:52:27.336959	254
40344	195556	32879	2013-08-04 19:52:27.340174	2013-08-04 19:52:27.340174	254
40345	195556	32900	2013-08-04 19:52:27.343413	2013-08-04 19:52:27.343413	254
40346	195556	17301	2013-08-04 19:52:27.346569	2013-08-04 19:52:27.346569	254
40347	195556	28100	2013-08-04 19:52:27.349883	2013-08-04 19:52:27.349883	254
40348	195556	19761	2013-08-04 19:52:27.353482	2013-08-04 19:52:27.353482	254
40349	195556	32777	2013-08-04 19:52:27.356386	2013-08-04 19:52:27.356386	254
40350	195556	16186	2013-08-04 19:52:27.359667	2013-08-04 19:52:27.359667	254
40351	195556	4389	2013-08-04 19:52:27.366166	2013-08-04 19:52:27.366166	254
40352	195556	16189	2013-08-04 19:52:27.374758	2013-08-04 19:52:27.374758	254
40353	195556	16209	2013-08-04 19:52:27.382814	2013-08-04 19:52:27.382814	254
40354	195556	16321	2013-08-04 19:52:27.391239	2013-08-04 19:52:27.391239	254
40355	195556	16229	2013-08-04 19:52:27.399648	2013-08-04 19:52:27.399648	254
40356	195556	16249	2013-08-04 19:52:27.408573	2013-08-04 19:52:27.408573	254
40357	195556	16190	2013-08-04 19:52:27.417422	2013-08-04 19:52:27.417422	254
40358	195556	39188	2013-08-04 19:52:27.425848	2013-08-04 19:52:27.425848	254
40359	195556	39121	2013-08-04 19:52:27.434002	2013-08-04 19:52:27.434002	254
40360	195556	39208	2013-08-04 19:52:27.442324	2013-08-04 19:52:27.442324	254
40361	195663	26661	2013-08-04 19:52:27.489142	2013-08-04 19:52:27.489142	254
40362	195663	26596	2013-08-04 19:52:27.500981	2013-08-04 19:52:27.500981	254
40363	195663	26611	2013-08-04 19:52:27.512036	2013-08-04 19:52:27.512036	254
40364	195663	26576	2013-08-04 19:52:27.522959	2013-08-04 19:52:27.522959	254
40365	195663	26581	2013-08-04 19:52:27.534415	2013-08-04 19:52:27.534415	254
40366	195663	26556	2013-08-04 19:52:27.545604	2013-08-04 19:52:27.545604	254
40367	195663	26536	2013-08-04 19:52:27.556498	2013-08-04 19:52:27.556498	254
40368	195663	26472	2013-08-04 19:52:27.567469	2013-08-04 19:52:27.567469	254
40369	195663	21835	2013-08-04 19:52:27.578565	2013-08-04 19:52:27.578565	254
40370	195217	26516	2013-08-04 19:52:27.606121	2013-08-04 19:52:27.606121	254
40371	195217	26496	2013-08-04 19:52:27.617522	2013-08-04 19:52:27.617522	254
40372	195217	26476	2013-08-04 19:52:27.628377	2013-08-04 19:52:27.628377	254
40373	195217	21113	2013-08-04 19:52:27.639314	2013-08-04 19:52:27.639314	254
40374	195217	26456	2013-08-04 19:52:27.650756	2013-08-04 19:52:27.650756	254
40375	195217	10037	2013-08-04 19:52:27.662351	2013-08-04 19:52:27.662351	254
40376	195217	9927	2013-08-04 19:52:27.672141	2013-08-04 19:52:27.672141	254
40377	195217	8358	2013-08-04 19:52:27.682282	2013-08-04 19:52:27.682282	254
40378	195217	37343	2013-08-04 19:52:27.692896	2013-08-04 19:52:27.692896	254
40379	195185	16375	2013-08-04 19:52:27.725792	2013-08-04 19:52:27.725792	254
40380	195185	38726	2013-08-04 19:52:27.737052	2013-08-04 19:52:27.737052	254
40381	195185	9940	2013-08-04 19:52:27.747565	2013-08-04 19:52:27.747565	254
40382	195185	9911	2013-08-04 19:52:27.758209	2013-08-04 19:52:27.758209	254
40383	195185	18510	2013-08-04 19:52:27.767698	2013-08-04 19:52:27.767698	254
40384	195185	8338	2013-08-04 19:52:27.772842	2013-08-04 19:52:27.772842	254
40385	195185	38870	2013-08-04 19:52:27.776937	2013-08-04 19:52:27.776937	254
40386	195185	39948	2013-08-04 19:52:27.780908	2013-08-04 19:52:27.780908	254
40387	195675	34539	2013-08-04 19:52:27.817235	2013-08-04 19:52:27.817235	254
40388	195675	34519	2013-08-04 19:52:27.82236	2013-08-04 19:52:27.82236	254
40389	195675	34440	2013-08-04 19:52:27.826262	2013-08-04 19:52:27.826262	254
40390	195675	34499	2013-08-04 19:52:27.83014	2013-08-04 19:52:27.83014	254
40391	195222	34479	2013-08-04 19:52:27.837303	2013-08-04 19:52:27.837303	254
40392	195222	34459	2013-08-04 19:52:27.841048	2013-08-04 19:52:27.841048	254
40393	195222	34513	2013-08-04 19:52:27.844971	2013-08-04 19:52:27.844971	254
40394	195222	34439	2013-08-04 19:52:27.848984	2013-08-04 19:52:27.848984	254
40395	195190	34417	2013-08-04 19:52:27.858557	2013-08-04 19:52:27.858557	254
40396	195190	34419	2013-08-04 19:52:27.863734	2013-08-04 19:52:27.863734	254
40397	195190	34399	2013-08-04 19:52:27.871574	2013-08-04 19:52:27.871574	254
40398	195190	9981	2013-08-04 19:52:27.877525	2013-08-04 19:52:27.877525	254
40399	195100	9931	2013-08-04 19:52:27.88598	2013-08-04 19:52:27.88598	254
40400	195100	9990	2013-08-04 19:52:27.895875	2013-08-04 19:52:27.895875	254
40401	195100	8458	2013-08-04 19:52:27.906114	2013-08-04 19:52:27.906114	254
40402	195100	39668	2013-08-04 19:52:27.916675	2013-08-04 19:52:27.916675	254
40403	195715	39401	2013-08-04 19:52:28.255147	2013-08-04 19:52:28.255147	254
40404	195715	39253	2013-08-04 19:52:28.262475	2013-08-04 19:52:28.262475	254
40405	195715	39233	2013-08-04 19:52:28.271702	2013-08-04 19:52:28.271702	254
40406	195715	39220	2013-08-04 19:52:28.277168	2013-08-04 19:52:28.277168	254
40407	195715	39213	2013-08-04 19:52:28.282268	2013-08-04 19:52:28.282268	254
40408	195715	39193	2013-08-04 19:52:28.286994	2013-08-04 19:52:28.286994	254
40409	195451	39173	2013-08-04 19:52:28.294507	2013-08-04 19:52:28.294507	254
40410	195451	39153	2013-08-04 19:52:28.29985	2013-08-04 19:52:28.29985	254
40411	195451	39133	2013-08-04 19:52:28.304755	2013-08-04 19:52:28.304755	254
40412	195451	39113	2013-08-04 19:52:28.3086	2013-08-04 19:52:28.3086	254
40413	195451	39005	2013-08-04 19:52:28.312075	2013-08-04 19:52:28.312075	254
40414	195451	39092	2013-08-04 19:52:28.318116	2013-08-04 19:52:28.318116	254
40415	195440	39070	2013-08-04 19:52:28.338845	2013-08-04 19:52:28.338845	254
40416	195440	39093	2013-08-04 19:52:28.350182	2013-08-04 19:52:28.350182	254
40417	195440	39073	2013-08-04 19:52:28.360916	2013-08-04 19:52:28.360916	254
40418	195440	39053	2013-08-04 19:52:28.371773	2013-08-04 19:52:28.371773	254
40419	195440	39033	2013-08-04 19:52:28.383908	2013-08-04 19:52:28.383908	254
40420	195440	8335	2013-08-04 19:52:28.396487	2013-08-04 19:52:28.396487	254
40421	195558	27161	2013-08-04 19:52:28.42948	2013-08-04 19:52:28.42948	254
40422	195558	32957	2013-08-04 19:52:28.438222	2013-08-04 19:52:28.438222	254
40423	195558	32879	2013-08-04 19:52:28.44724	2013-08-04 19:52:28.44724	254
40424	195558	32900	2013-08-04 19:52:28.456697	2013-08-04 19:52:28.456697	254
40425	195558	17301	2013-08-04 19:52:28.465965	2013-08-04 19:52:28.465965	254
40426	195558	28100	2013-08-04 19:52:28.47555	2013-08-04 19:52:28.47555	254
40427	195558	19761	2013-08-04 19:52:28.484432	2013-08-04 19:52:28.484432	254
40428	195558	32777	2013-08-04 19:52:28.493889	2013-08-04 19:52:28.493889	254
40429	195558	16186	2013-08-04 19:52:28.503088	2013-08-04 19:52:28.503088	254
40430	195558	4389	2013-08-04 19:52:28.511857	2013-08-04 19:52:28.511857	254
40431	195558	16189	2013-08-04 19:52:28.52068	2013-08-04 19:52:28.52068	254
40432	195558	16209	2013-08-04 19:52:28.525169	2013-08-04 19:52:28.525169	254
40433	195558	16321	2013-08-04 19:52:28.533102	2013-08-04 19:52:28.533102	254
40434	195558	16229	2013-08-04 19:52:28.537525	2013-08-04 19:52:28.537525	254
40435	195558	16249	2013-08-04 19:52:28.542095	2013-08-04 19:52:28.542095	254
40436	195558	16190	2013-08-04 19:52:28.547519	2013-08-04 19:52:28.547519	254
40437	195558	39188	2013-08-04 19:52:28.553728	2013-08-04 19:52:28.553728	254
40438	195558	39121	2013-08-04 19:52:28.557665	2013-08-04 19:52:28.557665	254
40439	195558	39208	2013-08-04 19:52:28.560999	2013-08-04 19:52:28.560999	254
40440	195550	27161	2013-08-04 19:52:28.577961	2013-08-04 19:52:28.577961	254
40441	195550	32957	2013-08-04 19:52:28.585582	2013-08-04 19:52:28.585582	254
40442	195550	32879	2013-08-04 19:52:28.593876	2013-08-04 19:52:28.593876	254
40443	195550	32900	2013-08-04 19:52:28.602346	2013-08-04 19:52:28.602346	254
40444	195550	17301	2013-08-04 19:52:28.610714	2013-08-04 19:52:28.610714	254
40445	195550	28100	2013-08-04 19:52:28.619068	2013-08-04 19:52:28.619068	254
40446	195550	19761	2013-08-04 19:52:28.627453	2013-08-04 19:52:28.627453	254
40447	195550	32777	2013-08-04 19:52:28.635908	2013-08-04 19:52:28.635908	254
40448	195550	16186	2013-08-04 19:52:28.645475	2013-08-04 19:52:28.645475	254
40449	195550	4389	2013-08-04 19:52:28.656323	2013-08-04 19:52:28.656323	254
40450	195550	16189	2013-08-04 19:52:28.664994	2013-08-04 19:52:28.664994	254
40451	195550	16209	2013-08-04 19:52:28.673584	2013-08-04 19:52:28.673584	254
40452	195550	16321	2013-08-04 19:52:28.682518	2013-08-04 19:52:28.682518	254
40453	195550	16229	2013-08-04 19:52:28.691776	2013-08-04 19:52:28.691776	254
40454	195550	16249	2013-08-04 19:52:28.704143	2013-08-04 19:52:28.704143	254
40455	195550	16190	2013-08-04 19:52:28.71621	2013-08-04 19:52:28.71621	254
40456	195550	39188	2013-08-04 19:52:28.728593	2013-08-04 19:52:28.728593	254
40457	195550	39121	2013-08-04 19:52:28.740698	2013-08-04 19:52:28.740698	254
40458	195550	39208	2013-08-04 19:52:28.751566	2013-08-04 19:52:28.751566	254
40459	195856	17589	2013-08-04 19:57:25.827638	2013-08-04 19:57:25.827638	255
40460	195856	39673	2013-08-04 19:57:25.837779	2013-08-04 19:57:25.837779	255
40461	195856	40688	2013-08-04 19:57:25.846176	2013-08-04 19:57:25.846176	255
40462	195856	39493	2013-08-04 19:57:25.851785	2013-08-04 19:57:25.851785	255
40463	195856	39415	2013-08-04 19:57:25.857139	2013-08-04 19:57:25.857139	255
40464	195845	39786	2013-08-04 19:57:26.030671	2013-08-04 19:57:26.030671	255
40465	195845	39766	2013-08-04 19:57:26.036227	2013-08-04 19:57:26.036227	255
40466	195845	39841	2013-08-04 19:57:26.043805	2013-08-04 19:57:26.043805	255
40467	195845	39746	2013-08-04 19:57:26.052329	2013-08-04 19:57:26.052329	255
40468	195845	39745	2013-08-04 19:57:26.05877	2013-08-04 19:57:26.05877	255
40469	195845	39726	2013-08-04 19:57:26.065154	2013-08-04 19:57:26.065154	255
40470	195845	39706	2013-08-04 19:57:26.073828	2013-08-04 19:57:26.073828	255
40471	195845	39633	2013-08-04 19:57:26.083502	2013-08-04 19:57:26.083502	255
40472	195845	39686	2013-08-04 19:57:26.090071	2013-08-04 19:57:26.090071	255
40473	195845	39685	2013-08-04 19:57:26.095666	2013-08-04 19:57:26.095666	255
40474	195845	39666	2013-08-04 19:57:26.099731	2013-08-04 19:57:26.099731	255
40475	195845	39572	2013-08-04 19:57:26.104592	2013-08-04 19:57:26.104592	255
40476	195845	39646	2013-08-04 19:57:26.109699	2013-08-04 19:57:26.109699	255
40477	195845	39626	2013-08-04 19:57:26.115091	2013-08-04 19:57:26.115091	255
40478	195845	39618	2013-08-04 19:57:26.120536	2013-08-04 19:57:26.120536	255
40479	195845	39606	2013-08-04 19:57:26.126805	2013-08-04 19:57:26.126805	255
40480	195845	38923	2013-08-04 19:57:26.131831	2013-08-04 19:57:26.131831	255
40481	195845	17569	2013-08-04 19:57:26.135976	2013-08-04 19:57:26.135976	255
40482	195845	39473	2013-08-04 19:57:26.14011	2013-08-04 19:57:26.14011	255
40483	195844	7528	2013-08-04 19:57:26.184842	2013-08-04 19:57:26.184842	255
40484	195844	10530	2013-08-04 19:57:26.200496	2013-08-04 19:57:26.200496	255
40485	195844	10567	2013-08-04 19:57:26.215622	2013-08-04 19:57:26.215622	255
40486	195844	10616	2013-08-04 19:57:26.229041	2013-08-04 19:57:26.229041	255
40487	195844	10547	2013-08-04 19:57:26.240656	2013-08-04 19:57:26.240656	255
40488	195844	20397	2013-08-04 19:57:26.253378	2013-08-04 19:57:26.253378	255
40489	195844	5019	2013-08-04 19:57:26.268885	2013-08-04 19:57:26.268885	255
40490	195844	10527	2013-08-04 19:57:26.283872	2013-08-04 19:57:26.283872	255
40491	195844	10458	2013-08-04 19:57:26.298838	2013-08-04 19:57:26.298838	255
40492	195844	10397	2013-08-04 19:57:26.313608	2013-08-04 19:57:26.313608	255
40493	195844	10417	2013-08-04 19:57:26.330034	2013-08-04 19:57:26.330034	255
40494	195844	10507	2013-08-04 19:57:26.345553	2013-08-04 19:57:26.345553	255
40495	195844	10486	2013-08-04 19:57:26.360623	2013-08-04 19:57:26.360623	255
40496	195844	10487	2013-08-04 19:57:26.375204	2013-08-04 19:57:26.375204	255
40497	195844	10467	2013-08-04 19:57:26.391359	2013-08-04 19:57:26.391359	255
40498	195844	3669	2013-08-04 19:57:26.407602	2013-08-04 19:57:26.407602	255
40499	195844	10447	2013-08-04 19:57:26.42302	2013-08-04 19:57:26.42302	255
40500	195844	39508	2013-08-04 19:57:26.438336	2013-08-04 19:57:26.438336	255
40501	195844	39506	2013-08-04 19:57:26.453724	2013-08-04 19:57:26.453724	255
40502	195832	39573	2013-08-04 19:57:26.779443	2013-08-04 19:57:26.779443	255
40503	196461	27161	2013-08-04 19:57:26.803554	2013-08-04 19:57:26.803554	255
40504	196461	32957	2013-08-04 19:57:26.812845	2013-08-04 19:57:26.812845	255
40505	196461	32879	2013-08-04 19:57:26.822782	2013-08-04 19:57:26.822782	255
40506	196461	32900	2013-08-04 19:57:26.833953	2013-08-04 19:57:26.833953	255
40507	196461	17301	2013-08-04 19:57:26.845595	2013-08-04 19:57:26.845595	255
40508	196461	28100	2013-08-04 19:57:26.857284	2013-08-04 19:57:26.857284	255
40509	196461	19761	2013-08-04 19:57:26.868708	2013-08-04 19:57:26.868708	255
40510	196461	32777	2013-08-04 19:57:26.879673	2013-08-04 19:57:26.879673	255
40511	196461	16186	2013-08-04 19:57:26.891091	2013-08-04 19:57:26.891091	255
40512	196461	4389	2013-08-04 19:57:26.902112	2013-08-04 19:57:26.902112	255
40513	196461	16189	2013-08-04 19:57:26.91419	2013-08-04 19:57:26.91419	255
40514	196461	16209	2013-08-04 19:57:26.925767	2013-08-04 19:57:26.925767	255
40515	196461	16321	2013-08-04 19:57:26.937485	2013-08-04 19:57:26.937485	255
40516	196461	16229	2013-08-04 19:57:26.949232	2013-08-04 19:57:26.949232	255
40517	196461	16249	2013-08-04 19:57:26.961568	2013-08-04 19:57:26.961568	255
40518	196461	16190	2013-08-04 19:57:26.973033	2013-08-04 19:57:26.973033	255
40519	196461	39188	2013-08-04 19:57:26.98499	2013-08-04 19:57:26.98499	255
40520	196461	39121	2013-08-04 19:57:26.996217	2013-08-04 19:57:26.996217	255
40521	196461	39208	2013-08-04 19:57:27.007887	2013-08-04 19:57:27.007887	255
40522	196464	27161	2013-08-04 19:57:27.049107	2013-08-04 19:57:27.049107	255
40523	196464	32957	2013-08-04 19:57:27.062683	2013-08-04 19:57:27.062683	255
40524	196464	32879	2013-08-04 19:57:27.070623	2013-08-04 19:57:27.070623	255
40525	196464	32900	2013-08-04 19:57:27.076037	2013-08-04 19:57:27.076037	255
40526	196464	17301	2013-08-04 19:57:27.080534	2013-08-04 19:57:27.080534	255
40527	196464	28100	2013-08-04 19:57:27.085093	2013-08-04 19:57:27.085093	255
40528	196464	19761	2013-08-04 19:57:27.090823	2013-08-04 19:57:27.090823	255
40529	196464	32777	2013-08-04 19:57:27.096135	2013-08-04 19:57:27.096135	255
40530	196464	16186	2013-08-04 19:57:27.10063	2013-08-04 19:57:27.10063	255
40531	196464	4389	2013-08-04 19:57:27.104382	2013-08-04 19:57:27.104382	255
40532	196464	16189	2013-08-04 19:57:27.108195	2013-08-04 19:57:27.108195	255
40533	196464	16209	2013-08-04 19:57:27.11238	2013-08-04 19:57:27.11238	255
40534	196464	16321	2013-08-04 19:57:27.116375	2013-08-04 19:57:27.116375	255
40535	196464	16229	2013-08-04 19:57:27.122921	2013-08-04 19:57:27.122921	255
40536	196464	16249	2013-08-04 19:57:27.134312	2013-08-04 19:57:27.134312	255
40537	196464	16190	2013-08-04 19:57:27.145535	2013-08-04 19:57:27.145535	255
40538	196464	39188	2013-08-04 19:57:27.157095	2013-08-04 19:57:27.157095	255
40539	196464	39121	2013-08-04 19:57:27.168296	2013-08-04 19:57:27.168296	255
40540	196464	39208	2013-08-04 19:57:27.179571	2013-08-04 19:57:27.179571	255
40541	196465	27161	2013-08-04 19:57:27.204394	2013-08-04 19:57:27.204394	255
40542	196465	32957	2013-08-04 19:57:27.210882	2013-08-04 19:57:27.210882	255
40543	196465	32879	2013-08-04 19:57:27.217315	2013-08-04 19:57:27.217315	255
40544	196465	32900	2013-08-04 19:57:27.223941	2013-08-04 19:57:27.223941	255
40545	196465	17301	2013-08-04 19:57:27.230869	2013-08-04 19:57:27.230869	255
40546	196465	28100	2013-08-04 19:57:27.239536	2013-08-04 19:57:27.239536	255
40547	196465	19761	2013-08-04 19:57:27.247826	2013-08-04 19:57:27.247826	255
40548	196465	32777	2013-08-04 19:57:27.257677	2013-08-04 19:57:27.257677	255
40549	196465	16186	2013-08-04 19:57:27.266265	2013-08-04 19:57:27.266265	255
40550	196465	4389	2013-08-04 19:57:27.274936	2013-08-04 19:57:27.274936	255
40551	196465	16189	2013-08-04 19:57:27.283409	2013-08-04 19:57:27.283409	255
40552	196465	16209	2013-08-04 19:57:27.292085	2013-08-04 19:57:27.292085	255
40553	196465	16321	2013-08-04 19:57:27.30092	2013-08-04 19:57:27.30092	255
40554	196465	16229	2013-08-04 19:57:27.309598	2013-08-04 19:57:27.309598	255
40555	196465	16249	2013-08-04 19:57:27.318714	2013-08-04 19:57:27.318714	255
40556	196465	16190	2013-08-04 19:57:27.327572	2013-08-04 19:57:27.327572	255
40557	196465	39188	2013-08-04 19:57:27.336239	2013-08-04 19:57:27.336239	255
40558	196465	39121	2013-08-04 19:57:27.345413	2013-08-04 19:57:27.345413	255
40559	196465	39208	2013-08-04 19:57:27.354509	2013-08-04 19:57:27.354509	255
40560	195886	17463	2013-08-04 19:57:27.675962	2013-08-04 19:57:27.675962	255
40561	195984	39441	2013-08-04 19:57:27.721518	2013-08-04 19:57:27.721518	255
40562	195984	39546	2013-08-04 19:57:27.732213	2013-08-04 19:57:27.732213	255
40563	195984	39193	2013-08-04 19:57:27.742415	2013-08-04 19:57:27.742415	255
40564	195984	39213	2013-08-04 19:57:27.752748	2013-08-04 19:57:27.752748	255
40565	195984	39220	2013-08-04 19:57:27.760175	2013-08-04 19:57:27.760175	255
40566	195984	39233	2013-08-04 19:57:27.769239	2013-08-04 19:57:27.769239	255
40567	195984	39253	2013-08-04 19:57:27.773768	2013-08-04 19:57:27.773768	255
40568	195984	39401	2013-08-04 19:57:27.777642	2013-08-04 19:57:27.777642	255
40569	195984	34439	2013-08-04 19:57:27.781561	2013-08-04 19:57:27.781561	255
40570	195984	34513	2013-08-04 19:57:27.788308	2013-08-04 19:57:27.788308	255
40571	195984	34459	2013-08-04 19:57:27.794016	2013-08-04 19:57:27.794016	255
40572	195984	34479	2013-08-04 19:57:27.797773	2013-08-04 19:57:27.797773	255
40573	195984	8358	2013-08-04 19:57:27.801529	2013-08-04 19:57:27.801529	255
40574	195984	40585	2013-08-04 19:57:27.808289	2013-08-04 19:57:27.808289	255
40575	195984	40648	2013-08-04 19:57:27.81898	2013-08-04 19:57:27.81898	255
40576	195984	17153	2013-08-04 19:57:27.829488	2013-08-04 19:57:27.829488	255
40577	195984	17297	2013-08-04 19:57:27.840372	2013-08-04 19:57:27.840372	255
40578	195984	17289	2013-08-04 19:57:27.851164	2013-08-04 19:57:27.851164	255
40579	195984	37343	2013-08-04 19:57:27.862059	2013-08-04 19:57:27.862059	255
40580	195833	10787	2013-08-04 19:57:27.908151	2013-08-04 19:57:27.908151	255
40581	195833	10767	2013-08-04 19:57:27.969667	2013-08-04 19:57:27.969667	255
40582	195833	10420	2013-08-04 19:57:27.97677	2013-08-04 19:57:27.97677	255
40583	195833	10747	2013-08-04 19:57:27.982133	2013-08-04 19:57:27.982133	255
40584	195833	10830	2013-08-04 19:57:27.986671	2013-08-04 19:57:27.986671	255
40585	195833	10727	2013-08-04 19:57:27.99134	2013-08-04 19:57:27.99134	255
40586	195833	10756	2013-08-04 19:57:27.996302	2013-08-04 19:57:27.996302	255
40587	195833	3248	2013-08-04 19:57:28.000694	2013-08-04 19:57:28.000694	255
40588	195833	10707	2013-08-04 19:57:28.005972	2013-08-04 19:57:28.005972	255
40589	195833	10716	2013-08-04 19:57:28.013101	2013-08-04 19:57:28.013101	255
40590	195833	10687	2013-08-04 19:57:28.017686	2013-08-04 19:57:28.017686	255
40591	195833	10520	2013-08-04 19:57:28.022766	2013-08-04 19:57:28.022766	255
40592	195833	10667	2013-08-04 19:57:28.028844	2013-08-04 19:57:28.028844	255
40593	195833	10647	2013-08-04 19:57:28.03656	2013-08-04 19:57:28.03656	255
40594	195833	10568	2013-08-04 19:57:28.04504	2013-08-04 19:57:28.04504	255
40595	195833	10627	2013-08-04 19:57:28.056072	2013-08-04 19:57:28.056072	255
40596	195833	7504	2013-08-04 19:57:28.064043	2013-08-04 19:57:28.064043	255
40597	195833	10607	2013-08-04 19:57:28.074526	2013-08-04 19:57:28.074526	255
40598	195833	10587	2013-08-04 19:57:28.083043	2013-08-04 19:57:28.083043	255
40599	196059	17766	2013-08-04 19:57:28.110727	2013-08-04 19:57:28.110727	255
40600	196059	44943	2013-08-04 19:57:28.116877	2013-08-04 19:57:28.116877	255
40601	196059	17809	2013-08-04 19:57:28.123073	2013-08-04 19:57:28.123073	255
40602	196059	17770	2013-08-04 19:57:28.129915	2013-08-04 19:57:28.129915	255
40603	196059	17789	2013-08-04 19:57:28.134602	2013-08-04 19:57:28.134602	255
40604	196059	17881	2013-08-04 19:57:28.13873	2013-08-04 19:57:28.13873	255
40605	196059	17769	2013-08-04 19:57:28.142821	2013-08-04 19:57:28.142821	255
40606	196059	17749	2013-08-04 19:57:28.14811	2013-08-04 19:57:28.14811	255
40607	196059	17645	2013-08-04 19:57:28.153034	2013-08-04 19:57:28.153034	255
40608	196059	17729	2013-08-04 19:57:28.158953	2013-08-04 19:57:28.158953	255
40609	196059	16126	2013-08-04 19:57:28.167851	2013-08-04 19:57:28.167851	255
40610	196059	17709	2013-08-04 19:57:28.183228	2013-08-04 19:57:28.183228	255
40611	196059	17689	2013-08-04 19:57:28.198549	2013-08-04 19:57:28.198549	255
40612	196059	17669	2013-08-04 19:57:28.210603	2013-08-04 19:57:28.210603	255
40613	196059	17621	2013-08-04 19:57:28.226969	2013-08-04 19:57:28.226969	255
40614	196059	17649	2013-08-04 19:57:28.242076	2013-08-04 19:57:28.242076	255
40615	196059	17629	2013-08-04 19:57:28.255192	2013-08-04 19:57:28.255192	255
40616	196059	17626	2013-08-04 19:57:28.270446	2013-08-04 19:57:28.270446	255
40617	196059	17529	2013-08-04 19:57:28.284817	2013-08-04 19:57:28.284817	255
40618	196580	34651	2013-08-04 19:57:28.423002	2013-08-04 19:57:28.423002	255
40619	196580	34660	2013-08-04 19:57:28.435576	2013-08-04 19:57:28.435576	255
40620	196580	34631	2013-08-04 19:57:28.447187	2013-08-04 19:57:28.447187	255
40621	196580	34611	2013-08-04 19:57:28.459363	2013-08-04 19:57:28.459363	255
40622	196580	34618	2013-08-04 19:57:28.470137	2013-08-04 19:57:28.470137	255
40623	196580	34591	2013-08-04 19:57:28.48136	2013-08-04 19:57:28.48136	255
40624	196308	34592	2013-08-04 19:57:28.504826	2013-08-04 19:57:28.504826	255
40625	196308	34571	2013-08-04 19:57:28.51707	2013-08-04 19:57:28.51707	255
40626	196308	34551	2013-08-04 19:57:28.52908	2013-08-04 19:57:28.52908	255
40627	196308	47258	2013-08-04 19:57:28.541159	2013-08-04 19:57:28.541159	255
40628	196308	17753	2013-08-04 19:57:28.552599	2013-08-04 19:57:28.552599	255
40629	196308	34425	2013-08-04 19:57:28.563583	2013-08-04 19:57:28.563583	255
40630	195953	34531	2013-08-04 19:57:28.586132	2013-08-04 19:57:28.586132	255
40631	195953	34511	2013-08-04 19:57:28.598681	2013-08-04 19:57:28.598681	255
40632	195953	17489	2013-08-04 19:57:28.605135	2013-08-04 19:57:28.605135	255
40633	195953	35543	2013-08-04 19:57:28.611122	2013-08-04 19:57:28.611122	255
40634	195953	39275	2013-08-04 19:57:28.615366	2013-08-04 19:57:28.615366	255
40635	195953	39092	2013-08-04 19:57:28.619775	2013-08-04 19:57:28.619775	255
40636	196466	27161	2013-08-04 19:57:28.647171	2013-08-04 19:57:28.647171	255
40637	196466	32957	2013-08-04 19:57:28.655719	2013-08-04 19:57:28.655719	255
40638	196466	32879	2013-08-04 19:57:28.664059	2013-08-04 19:57:28.664059	255
40639	196466	32900	2013-08-04 19:57:28.672369	2013-08-04 19:57:28.672369	255
40640	196466	17301	2013-08-04 19:57:28.680845	2013-08-04 19:57:28.680845	255
40641	196466	28100	2013-08-04 19:57:28.689008	2013-08-04 19:57:28.689008	255
40642	196466	19761	2013-08-04 19:57:28.697282	2013-08-04 19:57:28.697282	255
40643	196466	32777	2013-08-04 19:57:28.705802	2013-08-04 19:57:28.705802	255
40644	196466	16186	2013-08-04 19:57:28.714824	2013-08-04 19:57:28.714824	255
40645	196466	4389	2013-08-04 19:57:28.72369	2013-08-04 19:57:28.72369	255
40646	196466	16189	2013-08-04 19:57:28.732089	2013-08-04 19:57:28.732089	255
40647	196466	16209	2013-08-04 19:57:28.7392	2013-08-04 19:57:28.7392	255
40648	196466	16321	2013-08-04 19:57:28.747061	2013-08-04 19:57:28.747061	255
40649	196466	16229	2013-08-04 19:57:28.755688	2013-08-04 19:57:28.755688	255
40650	196466	16249	2013-08-04 19:57:28.764489	2013-08-04 19:57:28.764489	255
40651	196466	16190	2013-08-04 19:57:28.770249	2013-08-04 19:57:28.770249	255
40652	196466	39188	2013-08-04 19:57:28.775152	2013-08-04 19:57:28.775152	255
40653	196466	39121	2013-08-04 19:57:28.777832	2013-08-04 19:57:28.777832	255
40654	196466	39208	2013-08-04 19:57:28.780318	2013-08-04 19:57:28.780318	255
40655	196476	26856	2013-08-04 19:57:28.812097	2013-08-04 19:57:28.812097	255
40656	196476	26755	2013-08-04 19:57:28.81871	2013-08-04 19:57:28.81871	255
40657	196476	26836	2013-08-04 19:57:28.826552	2013-08-04 19:57:28.826552	255
40658	196476	26816	2013-08-04 19:57:28.835888	2013-08-04 19:57:28.835888	255
40659	196476	26796	2013-08-04 19:57:28.84689	2013-08-04 19:57:28.84689	255
40660	196476	26760	2013-08-04 19:57:28.858156	2013-08-04 19:57:28.858156	255
40661	196284	26776	2013-08-04 19:57:28.883591	2013-08-04 19:57:28.883591	255
40662	196284	26756	2013-08-04 19:57:28.894397	2013-08-04 19:57:28.894397	255
40663	196284	26736	2013-08-04 19:57:28.907198	2013-08-04 19:57:28.907198	255
40664	196284	26716	2013-08-04 19:57:28.91895	2013-08-04 19:57:28.91895	255
40665	196284	26696	2013-08-04 19:57:28.930405	2013-08-04 19:57:28.930405	255
40666	196284	26710	2013-08-04 19:57:28.941758	2013-08-04 19:57:28.941758	255
40667	195952	26676	2013-08-04 19:57:28.964709	2013-08-04 19:57:28.964709	255
40668	195952	26656	2013-08-04 19:57:28.976164	2013-08-04 19:57:28.976164	255
40669	195952	26636	2013-08-04 19:57:28.987472	2013-08-04 19:57:28.987472	255
40670	195952	17449	2013-08-04 19:57:28.99881	2013-08-04 19:57:28.99881	255
40671	195952	39053	2013-08-04 19:57:29.009225	2013-08-04 19:57:29.009225	255
40672	195952	39173	2013-08-04 19:57:29.019945	2013-08-04 19:57:29.019945	255
40673	196304	39472	2013-08-04 19:57:29.069218	2013-08-04 19:57:29.069218	255
40674	196304	39333	2013-08-04 19:57:29.079828	2013-08-04 19:57:29.079828	255
40675	196304	39390	2013-08-04 19:57:29.089991	2013-08-04 19:57:29.089991	255
40676	196304	17481	2013-08-04 19:57:29.100355	2013-08-04 19:57:29.100355	255
40677	196304	34499	2013-08-04 19:57:29.110703	2013-08-04 19:57:29.110703	255
40678	196304	39073	2013-08-04 19:57:29.121151	2013-08-04 19:57:29.121151	255
40679	196122	34810	2013-08-04 19:57:29.178378	2013-08-04 19:57:29.178378	255
40680	196122	34739	2013-08-04 19:57:29.183258	2013-08-04 19:57:29.183258	255
40681	196122	34778	2013-08-04 19:57:29.188181	2013-08-04 19:57:29.188181	255
40682	196122	34719	2013-08-04 19:57:29.194548	2013-08-04 19:57:29.194548	255
40683	196122	34717	2013-08-04 19:57:29.198405	2013-08-04 19:57:29.198405	255
40684	196122	34699	2013-08-04 19:57:29.203268	2013-08-04 19:57:29.203268	255
40685	196122	34555	2013-08-04 19:57:29.207203	2013-08-04 19:57:29.207203	255
40686	196122	34679	2013-08-04 19:57:29.211483	2013-08-04 19:57:29.211483	255
40687	196122	34659	2013-08-04 19:57:29.215765	2013-08-04 19:57:29.215765	255
40688	196122	34613	2013-08-04 19:57:29.220318	2013-08-04 19:57:29.220318	255
40689	196122	34639	2013-08-04 19:57:29.225403	2013-08-04 19:57:29.225403	255
40690	196122	34619	2013-08-04 19:57:29.229096	2013-08-04 19:57:29.229096	255
40691	196122	34599	2013-08-04 19:57:29.236202	2013-08-04 19:57:29.236202	255
40692	196122	34580	2013-08-04 19:57:29.245061	2013-08-04 19:57:29.245061	255
40693	196122	34590	2013-08-04 19:57:29.251093	2013-08-04 19:57:29.251093	255
40694	196122	34579	2013-08-04 19:57:29.257016	2013-08-04 19:57:29.257016	255
40695	196122	17441	2013-08-04 19:57:29.262593	2013-08-04 19:57:29.262593	255
40696	196122	34440	2013-08-04 19:57:29.267444	2013-08-04 19:57:29.267444	255
40697	196122	39093	2013-08-04 19:57:29.272431	2013-08-04 19:57:29.272431	255
40698	196242	39913	2013-08-04 19:57:29.651416	2013-08-04 19:57:29.651416	255
40699	196242	39893	2013-08-04 19:57:29.663662	2013-08-04 19:57:29.663662	255
40700	196242	39857	2013-08-04 19:57:29.675245	2013-08-04 19:57:29.675245	255
40701	195996	39815	2013-08-04 19:57:29.690392	2013-08-04 19:57:29.690392	255
40702	195996	39873	2013-08-04 19:57:29.694016	2013-08-04 19:57:29.694016	255
40703	195996	39800	2013-08-04 19:57:29.697267	2013-08-04 19:57:29.697267	255
40704	195871	39853	2013-08-04 19:57:29.705918	2013-08-04 19:57:29.705918	255
40705	195871	39833	2013-08-04 19:57:29.710778	2013-08-04 19:57:29.710778	255
40706	195871	39740	2013-08-04 19:57:29.715746	2013-08-04 19:57:29.715746	255
40707	195843	39813	2013-08-04 19:57:29.725786	2013-08-04 19:57:29.725786	255
40708	195843	39793	2013-08-04 19:57:29.734825	2013-08-04 19:57:29.734825	255
40709	195843	39773	2013-08-04 19:57:29.746266	2013-08-04 19:57:29.746266	255
40710	195835	39753	2013-08-04 19:57:29.770551	2013-08-04 19:57:29.770551	255
40711	195835	39733	2013-08-04 19:57:29.782155	2013-08-04 19:57:29.782155	255
40712	195835	39692	2013-08-04 19:57:29.793752	2013-08-04 19:57:29.793752	255
40713	196467	27161	2013-08-04 19:57:29.828732	2013-08-04 19:57:29.828732	255
40714	196467	32957	2013-08-04 19:57:29.83302	2013-08-04 19:57:29.83302	255
40715	196467	32879	2013-08-04 19:57:29.836082	2013-08-04 19:57:29.836082	255
40716	196467	32900	2013-08-04 19:57:29.83923	2013-08-04 19:57:29.83923	255
40717	196467	17301	2013-08-04 19:57:29.842263	2013-08-04 19:57:29.842263	255
40718	196467	28100	2013-08-04 19:57:29.845437	2013-08-04 19:57:29.845437	255
40719	196467	19761	2013-08-04 19:57:29.848554	2013-08-04 19:57:29.848554	255
40720	196467	32777	2013-08-04 19:57:29.851095	2013-08-04 19:57:29.851095	255
40721	196467	16186	2013-08-04 19:57:29.853754	2013-08-04 19:57:29.853754	255
40722	196467	4389	2013-08-04 19:57:29.856615	2013-08-04 19:57:29.856615	255
40723	196467	16189	2013-08-04 19:57:29.859307	2013-08-04 19:57:29.859307	255
40724	196467	16209	2013-08-04 19:57:29.862808	2013-08-04 19:57:29.862808	255
40725	196467	16321	2013-08-04 19:57:29.866181	2013-08-04 19:57:29.866181	255
40726	196467	16229	2013-08-04 19:57:29.869049	2013-08-04 19:57:29.869049	255
40727	196467	16249	2013-08-04 19:57:29.871955	2013-08-04 19:57:29.871955	255
40728	196467	16190	2013-08-04 19:57:29.874897	2013-08-04 19:57:29.874897	255
40729	196467	39188	2013-08-04 19:57:29.877694	2013-08-04 19:57:29.877694	255
40730	196467	39121	2013-08-04 19:57:29.881683	2013-08-04 19:57:29.881683	255
40731	196467	39208	2013-08-04 19:57:29.886093	2013-08-04 19:57:29.886093	255
40732	196463	27161	2013-08-04 19:57:29.910047	2013-08-04 19:57:29.910047	255
40733	196463	32957	2013-08-04 19:57:29.918542	2013-08-04 19:57:29.918542	255
40734	196463	32879	2013-08-04 19:57:29.926846	2013-08-04 19:57:29.926846	255
40735	196463	32900	2013-08-04 19:57:29.935189	2013-08-04 19:57:29.935189	255
40736	196463	17301	2013-08-04 19:57:29.943348	2013-08-04 19:57:29.943348	255
40737	196463	28100	2013-08-04 19:57:29.951285	2013-08-04 19:57:29.951285	255
40738	196463	19761	2013-08-04 19:57:29.959373	2013-08-04 19:57:29.959373	255
40739	196463	32777	2013-08-04 19:57:29.967308	2013-08-04 19:57:29.967308	255
40740	196463	16186	2013-08-04 19:57:29.97514	2013-08-04 19:57:29.97514	255
40741	196463	4389	2013-08-04 19:57:29.98306	2013-08-04 19:57:29.98306	255
40742	196463	16189	2013-08-04 19:57:29.990887	2013-08-04 19:57:29.990887	255
40743	196463	16209	2013-08-04 19:57:29.998626	2013-08-04 19:57:29.998626	255
40744	196463	16321	2013-08-04 19:57:30.006465	2013-08-04 19:57:30.006465	255
40745	196463	16229	2013-08-04 19:57:30.014369	2013-08-04 19:57:30.014369	255
40746	196463	16249	2013-08-04 19:57:30.022633	2013-08-04 19:57:30.022633	255
40747	196463	16190	2013-08-04 19:57:30.029697	2013-08-04 19:57:30.029697	255
40748	196463	39188	2013-08-04 19:57:30.035538	2013-08-04 19:57:30.035538	255
40749	196463	39121	2013-08-04 19:57:30.037883	2013-08-04 19:57:30.037883	255
40750	196463	39208	2013-08-04 19:57:30.040179	2013-08-04 19:57:30.040179	255
40751	196718	40153	2013-08-04 20:02:37.00328	2013-08-04 20:02:37.00328	256
40752	196718	34961	2013-08-04 20:02:37.016044	2013-08-04 20:02:37.016044	256
40753	196718	40868	2013-08-04 20:02:37.02677	2013-08-04 20:02:37.02677	256
40754	196718	39957	2013-08-04 20:02:37.037392	2013-08-04 20:02:37.037392	256
40755	196719	40266	2013-08-04 20:02:37.277932	2013-08-04 20:02:37.277932	256
40756	196719	40301	2013-08-04 20:02:37.290163	2013-08-04 20:02:37.290163	256
40757	196719	40246	2013-08-04 20:02:37.301652	2013-08-04 20:02:37.301652	256
40758	196719	40226	2013-08-04 20:02:37.313007	2013-08-04 20:02:37.313007	256
40759	196719	40206	2013-08-04 20:02:37.324397	2013-08-04 20:02:37.324397	256
40760	196719	40117	2013-08-04 20:02:37.340018	2013-08-04 20:02:37.340018	256
40761	196719	40186	2013-08-04 20:02:37.351052	2013-08-04 20:02:37.351052	256
40762	196719	40140	2013-08-04 20:02:37.356888	2013-08-04 20:02:37.356888	256
40763	196719	40166	2013-08-04 20:02:37.362949	2013-08-04 20:02:37.362949	256
40764	196719	40146	2013-08-04 20:02:37.368559	2013-08-04 20:02:37.368559	256
40765	196719	40108	2013-08-04 20:02:37.380127	2013-08-04 20:02:37.380127	256
40766	196719	40126	2013-08-04 20:02:37.391184	2013-08-04 20:02:37.391184	256
40767	196719	40065	2013-08-04 20:02:37.396847	2013-08-04 20:02:37.396847	256
40768	196719	40106	2013-08-04 20:02:37.406409	2013-08-04 20:02:37.406409	256
40769	196719	40181	2013-08-04 20:02:37.416591	2013-08-04 20:02:37.416591	256
40770	196719	40165	2013-08-04 20:02:37.423358	2013-08-04 20:02:37.423358	256
40771	196719	40086	2013-08-04 20:02:37.429296	2013-08-04 20:02:37.429296	256
40772	196719	17969	2013-08-04 20:02:37.435712	2013-08-04 20:02:37.435712	256
40773	196719	40808	2013-08-04 20:02:37.445799	2013-08-04 20:02:37.445799	256
40774	196729	10752	2013-08-04 20:02:37.481364	2013-08-04 20:02:37.481364	256
40775	196729	10797	2013-08-04 20:02:37.496278	2013-08-04 20:02:37.496278	256
40776	196729	10728	2013-08-04 20:02:37.510876	2013-08-04 20:02:37.510876	256
40777	196729	10827	2013-08-04 20:02:37.525145	2013-08-04 20:02:37.525145	256
40778	196729	10810	2013-08-04 20:02:37.537351	2013-08-04 20:02:37.537351	256
40779	196729	10807	2013-08-04 20:02:37.550674	2013-08-04 20:02:37.550674	256
40780	196729	10786	2013-08-04 20:02:37.565502	2013-08-04 20:02:37.565502	256
40781	196729	40788	2013-08-04 20:02:37.580746	2013-08-04 20:02:37.580746	256
40782	196729	40006	2013-08-04 20:02:37.59292	2013-08-04 20:02:37.59292	256
40783	196729	39733	2013-08-04 20:02:37.603968	2013-08-04 20:02:37.603968	256
40784	196729	39753	2013-08-04 20:02:37.613976	2013-08-04 20:02:37.613976	256
40785	196729	39093	2013-08-04 20:02:37.625817	2013-08-04 20:02:37.625817	256
40786	196729	34440	2013-08-04 20:02:37.637519	2013-08-04 20:02:37.637519	256
40787	196729	34579	2013-08-04 20:02:37.649701	2013-08-04 20:02:37.649701	256
40788	196729	34590	2013-08-04 20:02:37.662758	2013-08-04 20:02:37.662758	256
40789	196729	34580	2013-08-04 20:02:37.675326	2013-08-04 20:02:37.675326	256
40790	196729	34599	2013-08-04 20:02:37.685465	2013-08-04 20:02:37.685465	256
40791	196729	34619	2013-08-04 20:02:37.691038	2013-08-04 20:02:37.691038	256
40792	196729	17529	2013-08-04 20:02:37.697574	2013-08-04 20:02:37.697574	256
40793	197344	27161	2013-08-04 20:02:37.961374	2013-08-04 20:02:37.961374	256
40794	197344	32957	2013-08-04 20:02:37.96589	2013-08-04 20:02:37.96589	256
40795	197344	32879	2013-08-04 20:02:37.971091	2013-08-04 20:02:37.971091	256
40796	197344	32900	2013-08-04 20:02:37.976169	2013-08-04 20:02:37.976169	256
40797	197344	17301	2013-08-04 20:02:37.980811	2013-08-04 20:02:37.980811	256
40798	197344	28100	2013-08-04 20:02:37.985737	2013-08-04 20:02:37.985737	256
40799	197344	19761	2013-08-04 20:02:37.989966	2013-08-04 20:02:37.989966	256
40800	197344	32777	2013-08-04 20:02:37.993863	2013-08-04 20:02:37.993863	256
40801	197344	16186	2013-08-04 20:02:37.998199	2013-08-04 20:02:37.998199	256
40802	197344	4389	2013-08-04 20:02:38.002014	2013-08-04 20:02:38.002014	256
40803	197344	16189	2013-08-04 20:02:38.006583	2013-08-04 20:02:38.006583	256
40804	197344	16209	2013-08-04 20:02:38.011112	2013-08-04 20:02:38.011112	256
40805	197344	16321	2013-08-04 20:02:38.015743	2013-08-04 20:02:38.015743	256
40806	197344	16229	2013-08-04 20:02:38.020025	2013-08-04 20:02:38.020025	256
40807	197344	16249	2013-08-04 20:02:38.025505	2013-08-04 20:02:38.025505	256
40808	197344	16190	2013-08-04 20:02:38.030813	2013-08-04 20:02:38.030813	256
40809	197344	39188	2013-08-04 20:02:38.037374	2013-08-04 20:02:38.037374	256
40810	197344	39121	2013-08-04 20:02:38.046745	2013-08-04 20:02:38.046745	256
40811	197344	39208	2013-08-04 20:02:38.057485	2013-08-04 20:02:38.057485	256
40812	197346	27161	2013-08-04 20:02:38.099553	2013-08-04 20:02:38.099553	256
40813	197346	32957	2013-08-04 20:02:38.115014	2013-08-04 20:02:38.115014	256
40814	197346	32879	2013-08-04 20:02:38.127793	2013-08-04 20:02:38.127793	256
40815	197346	32900	2013-08-04 20:02:38.139402	2013-08-04 20:02:38.139402	256
40816	197346	17301	2013-08-04 20:02:38.15181	2013-08-04 20:02:38.15181	256
40817	197346	28100	2013-08-04 20:02:38.163614	2013-08-04 20:02:38.163614	256
40818	197346	19761	2013-08-04 20:02:38.174782	2013-08-04 20:02:38.174782	256
40819	197346	32777	2013-08-04 20:02:38.185934	2013-08-04 20:02:38.185934	256
40820	197346	16186	2013-08-04 20:02:38.197557	2013-08-04 20:02:38.197557	256
40821	197346	4389	2013-08-04 20:02:38.208751	2013-08-04 20:02:38.208751	256
40822	197346	16189	2013-08-04 20:02:38.218513	2013-08-04 20:02:38.218513	256
40823	197346	16209	2013-08-04 20:02:38.227025	2013-08-04 20:02:38.227025	256
40824	197346	16321	2013-08-04 20:02:38.23548	2013-08-04 20:02:38.23548	256
40825	197346	16229	2013-08-04 20:02:38.245515	2013-08-04 20:02:38.245515	256
40826	197346	16249	2013-08-04 20:02:38.256976	2013-08-04 20:02:38.256976	256
40827	197346	16190	2013-08-04 20:02:38.268333	2013-08-04 20:02:38.268333	256
40828	197346	39188	2013-08-04 20:02:38.2796	2013-08-04 20:02:38.2796	256
40829	197346	39121	2013-08-04 20:02:38.290688	2013-08-04 20:02:38.290688	256
40830	197346	39208	2013-08-04 20:02:38.294675	2013-08-04 20:02:38.294675	256
40831	197348	27161	2013-08-04 20:02:38.309134	2013-08-04 20:02:38.309134	256
40832	197348	32957	2013-08-04 20:02:38.313285	2013-08-04 20:02:38.313285	256
40833	197348	32879	2013-08-04 20:02:38.317393	2013-08-04 20:02:38.317393	256
40834	197348	32900	2013-08-04 20:02:38.321246	2013-08-04 20:02:38.321246	256
40835	197348	17301	2013-08-04 20:02:38.325161	2013-08-04 20:02:38.325161	256
40836	197348	28100	2013-08-04 20:02:38.329284	2013-08-04 20:02:38.329284	256
40837	197348	19761	2013-08-04 20:02:38.333327	2013-08-04 20:02:38.333327	256
40838	197348	32777	2013-08-04 20:02:38.33723	2013-08-04 20:02:38.33723	256
40839	197348	16186	2013-08-04 20:02:38.34072	2013-08-04 20:02:38.34072	256
40840	197348	4389	2013-08-04 20:02:38.3448	2013-08-04 20:02:38.3448	256
40841	197348	16189	2013-08-04 20:02:38.348805	2013-08-04 20:02:38.348805	256
40842	197348	16209	2013-08-04 20:02:38.357049	2013-08-04 20:02:38.357049	256
40843	197348	16321	2013-08-04 20:02:38.364455	2013-08-04 20:02:38.364455	256
40844	197348	16229	2013-08-04 20:02:38.37064	2013-08-04 20:02:38.37064	256
40845	197348	16249	2013-08-04 20:02:38.375072	2013-08-04 20:02:38.375072	256
40846	197348	16190	2013-08-04 20:02:38.378409	2013-08-04 20:02:38.378409	256
40847	197348	39188	2013-08-04 20:02:38.382576	2013-08-04 20:02:38.382576	256
40848	197348	39121	2013-08-04 20:02:38.387657	2013-08-04 20:02:38.387657	256
40849	197348	39208	2013-08-04 20:02:38.391208	2013-08-04 20:02:38.391208	256
40850	196723	39883	2013-08-04 20:02:38.642419	2013-08-04 20:02:38.642419	256
40851	196723	6307	2013-08-04 20:02:38.657615	2013-08-04 20:02:38.657615	256
40852	196723	40043	2013-08-04 20:02:38.672414	2013-08-04 20:02:38.672414	256
40853	196723	20337	2013-08-04 20:02:38.687511	2013-08-04 20:02:38.687511	256
40854	196723	32101	2013-08-04 20:02:38.702209	2013-08-04 20:02:38.702209	256
40855	196723	5992	2013-08-04 20:02:38.717057	2013-08-04 20:02:38.717057	256
40856	196723	6040	2013-08-04 20:02:38.732621	2013-08-04 20:02:38.732621	256
40857	196723	6020	2013-08-04 20:02:38.748528	2013-08-04 20:02:38.748528	256
40858	196723	6000	2013-08-04 20:02:38.767518	2013-08-04 20:02:38.767518	256
40859	196723	5980	2013-08-04 20:02:38.775938	2013-08-04 20:02:38.775938	256
40860	196723	40848	2013-08-04 20:02:38.78202	2013-08-04 20:02:38.78202	256
40861	196723	39955	2013-08-04 20:02:38.792191	2013-08-04 20:02:38.792191	256
40862	196723	39173	2013-08-04 20:02:38.805076	2013-08-04 20:02:38.805076	256
40863	196723	39053	2013-08-04 20:02:38.815785	2013-08-04 20:02:38.815785	256
40864	196723	39092	2013-08-04 20:02:38.828497	2013-08-04 20:02:38.828497	256
40865	196723	39638	2013-08-04 20:02:38.842262	2013-08-04 20:02:38.842262	256
40866	196723	40668	2013-08-04 20:02:38.854768	2013-08-04 20:02:38.854768	256
40867	196723	17433	2013-08-04 20:02:38.861396	2013-08-04 20:02:38.861396	256
40868	196723	39275	2013-08-04 20:02:38.865987	2013-08-04 20:02:38.865987	256
40869	196833	18072	2013-08-04 20:02:38.891723	2013-08-04 20:02:38.891723	256
40870	196833	18209	2013-08-04 20:02:38.899529	2013-08-04 20:02:38.899529	256
40871	196833	18189	2013-08-04 20:02:38.907864	2013-08-04 20:02:38.907864	256
40872	196833	18169	2013-08-04 20:02:38.917862	2013-08-04 20:02:38.917862	256
40873	196833	18157	2013-08-04 20:02:38.934098	2013-08-04 20:02:38.934098	256
40874	196833	18146	2013-08-04 20:02:38.950942	2013-08-04 20:02:38.950942	256
40875	196833	18149	2013-08-04 20:02:38.957345	2013-08-04 20:02:38.957345	256
40876	196833	43345	2013-08-04 20:02:38.966488	2013-08-04 20:02:38.966488	256
40877	196833	18129	2013-08-04 20:02:38.976856	2013-08-04 20:02:38.976856	256
40878	196833	18109	2013-08-04 20:02:38.992252	2013-08-04 20:02:38.992252	256
40879	196833	18106	2013-08-04 20:02:39.006971	2013-08-04 20:02:39.006971	256
40880	196833	18089	2013-08-04 20:02:39.022016	2013-08-04 20:02:39.022016	256
40881	196833	18069	2013-08-04 20:02:39.037582	2013-08-04 20:02:39.037582	256
40882	196833	11781	2013-08-04 20:02:39.05272	2013-08-04 20:02:39.05272	256
40883	196833	18049	2013-08-04 20:02:39.068842	2013-08-04 20:02:39.068842	256
40884	196833	17931	2013-08-04 20:02:39.085056	2013-08-04 20:02:39.085056	256
40885	196833	18029	2013-08-04 20:02:39.100623	2013-08-04 20:02:39.100623	256
40886	196833	15612	2013-08-04 20:02:39.116122	2013-08-04 20:02:39.116122	256
40887	196833	40712	2013-08-04 20:02:39.132859	2013-08-04 20:02:39.132859	256
40888	196794	34930	2013-08-04 20:02:39.258901	2013-08-04 20:02:39.258901	256
40889	196794	34891	2013-08-04 20:02:39.270969	2013-08-04 20:02:39.270969	256
40890	196794	34871	2013-08-04 20:02:39.282503	2013-08-04 20:02:39.282503	256
40891	196794	34765	2013-08-04 20:02:39.296049	2013-08-04 20:02:39.296049	256
40892	196794	34851	2013-08-04 20:02:39.311179	2013-08-04 20:02:39.311179	256
40893	196794	34793	2013-08-04 20:02:39.327191	2013-08-04 20:02:39.327191	256
40894	196794	34831	2013-08-04 20:02:39.343249	2013-08-04 20:02:39.343249	256
40895	196794	34811	2013-08-04 20:02:39.358251	2013-08-04 20:02:39.358251	256
40896	196794	34791	2013-08-04 20:02:39.372983	2013-08-04 20:02:39.372983	256
40897	196737	34771	2013-08-04 20:02:39.404904	2013-08-04 20:02:39.404904	256
40898	196737	34751	2013-08-04 20:02:39.412269	2013-08-04 20:02:39.412269	256
40899	196737	34731	2013-08-04 20:02:39.418784	2013-08-04 20:02:39.418784	256
40900	196737	34711	2013-08-04 20:02:39.424284	2013-08-04 20:02:39.424284	256
40901	196737	34732	2013-08-04 20:02:39.428987	2013-08-04 20:02:39.428987	256
40902	196737	19426	2013-08-04 20:02:39.433649	2013-08-04 20:02:39.433649	256
40903	196737	34572	2013-08-04 20:02:39.438361	2013-08-04 20:02:39.438361	256
40904	196737	34691	2013-08-04 20:02:39.44307	2013-08-04 20:02:39.44307	256
40905	196737	26528	2013-08-04 20:02:39.447817	2013-08-04 20:02:39.447817	256
40906	197349	32957	2013-08-04 20:02:39.479946	2013-08-04 20:02:39.479946	256
40907	197349	32879	2013-08-04 20:02:39.490816	2013-08-04 20:02:39.490816	256
40908	197349	32900	2013-08-04 20:02:39.494985	2013-08-04 20:02:39.494985	256
40909	197349	17301	2013-08-04 20:02:39.499114	2013-08-04 20:02:39.499114	256
40910	197349	28100	2013-08-04 20:02:39.503191	2013-08-04 20:02:39.503191	256
40911	197349	19761	2013-08-04 20:02:39.509944	2013-08-04 20:02:39.509944	256
40912	197349	32777	2013-08-04 20:02:39.514017	2013-08-04 20:02:39.514017	256
40913	197349	16186	2013-08-04 20:02:39.519567	2013-08-04 20:02:39.519567	256
40914	197349	4389	2013-08-04 20:02:39.52598	2013-08-04 20:02:39.52598	256
40915	196844	16189	2013-08-04 20:02:39.543219	2013-08-04 20:02:39.543219	256
40916	196844	16209	2013-08-04 20:02:39.554864	2013-08-04 20:02:39.554864	256
40917	196844	16321	2013-08-04 20:02:39.568851	2013-08-04 20:02:39.568851	256
40918	196844	16229	2013-08-04 20:02:39.584085	2013-08-04 20:02:39.584085	256
40919	196844	16249	2013-08-04 20:02:39.598935	2013-08-04 20:02:39.598935	256
40920	196844	16190	2013-08-04 20:02:39.613579	2013-08-04 20:02:39.613579	256
40921	196844	39188	2013-08-04 20:02:39.628546	2013-08-04 20:02:39.628546	256
40922	196844	39121	2013-08-04 20:02:39.642809	2013-08-04 20:02:39.642809	256
40923	196844	39208	2013-08-04 20:02:39.657392	2013-08-04 20:02:39.657392	256
40924	197113	27076	2013-08-04 20:02:39.727173	2013-08-04 20:02:39.727173	256
40925	197113	27060	2013-08-04 20:02:39.741428	2013-08-04 20:02:39.741428	256
40926	197113	27056	2013-08-04 20:02:39.755477	2013-08-04 20:02:39.755477	256
40927	197113	27036	2013-08-04 20:02:39.769972	2013-08-04 20:02:39.769972	256
40928	196938	13339	2013-08-04 20:02:39.79571	2013-08-04 20:02:39.79571	256
40929	196938	27016	2013-08-04 20:02:39.802872	2013-08-04 20:02:39.802872	256
40930	196938	34375	2013-08-04 20:02:39.809978	2013-08-04 20:02:39.809978	256
40931	196938	26996	2013-08-04 20:02:39.817164	2013-08-04 20:02:39.817164	256
40932	196838	26976	2013-08-04 20:02:39.831913	2013-08-04 20:02:39.831913	256
40933	196838	26956	2013-08-04 20:02:39.841056	2013-08-04 20:02:39.841056	256
40934	196838	26936	2013-08-04 20:02:39.892676	2013-08-04 20:02:39.892676	256
40935	196838	26916	2013-08-04 20:02:39.904292	2013-08-04 20:02:39.904292	256
40936	196790	26896	2013-08-04 20:02:39.927243	2013-08-04 20:02:39.927243	256
40937	196790	26876	2013-08-04 20:02:39.939727	2013-08-04 20:02:39.939727	256
40938	196790	19003	2013-08-04 20:02:39.951518	2013-08-04 20:02:39.951518	256
40939	196790	39972	2013-08-04 20:02:39.962552	2013-08-04 20:02:39.962552	256
40940	196757	34960	2013-08-04 20:02:40.01821	2013-08-04 20:02:40.01821	256
40941	196757	34899	2013-08-04 20:02:40.030228	2013-08-04 20:02:40.030228	256
40942	196757	34879	2013-08-04 20:02:40.041479	2013-08-04 20:02:40.041479	256
40943	196757	34861	2013-08-04 20:02:40.052703	2013-08-04 20:02:40.052703	256
40944	196757	34859	2013-08-04 20:02:40.063759	2013-08-04 20:02:40.063759	256
40945	196757	34806	2013-08-04 20:02:40.075088	2013-08-04 20:02:40.075088	256
40946	196757	34795	2013-08-04 20:02:40.086599	2013-08-04 20:02:40.086599	256
40947	196757	34720	2013-08-04 20:02:40.097672	2013-08-04 20:02:40.097672	256
40948	196757	34839	2013-08-04 20:02:40.109059	2013-08-04 20:02:40.109059	256
40949	196757	34819	2013-08-04 20:02:40.121017	2013-08-04 20:02:40.121017	256
40950	196757	34718	2013-08-04 20:02:40.133498	2013-08-04 20:02:40.133498	256
40951	196757	34799	2013-08-04 20:02:40.145418	2013-08-04 20:02:40.145418	256
40952	196757	34779	2013-08-04 20:02:40.157536	2013-08-04 20:02:40.157536	256
40953	196757	34759	2013-08-04 20:02:40.170304	2013-08-04 20:02:40.170304	256
40954	196757	17869	2013-08-04 20:02:40.184192	2013-08-04 20:02:40.184192	256
40955	196757	39773	2013-08-04 20:02:40.193779	2013-08-04 20:02:40.193779	256
40956	196757	40013	2013-08-04 20:02:40.19875	2013-08-04 20:02:40.19875	256
40957	196757	39740	2013-08-04 20:02:40.203043	2013-08-04 20:02:40.203043	256
40958	196757	39833	2013-08-04 20:02:40.207027	2013-08-04 20:02:40.207027	256
40959	197476	40373	2013-08-04 20:02:40.496057	2013-08-04 20:02:40.496057	256
40960	197476	40353	2013-08-04 20:02:40.506652	2013-08-04 20:02:40.506652	256
40961	197476	40280	2013-08-04 20:02:40.512568	2013-08-04 20:02:40.512568	256
40962	197446	40333	2013-08-04 20:02:40.528404	2013-08-04 20:02:40.528404	256
40963	197446	40313	2013-08-04 20:02:40.536054	2013-08-04 20:02:40.536054	256
40964	197446	40293	2013-08-04 20:02:40.547699	2013-08-04 20:02:40.547699	256
40965	196878	40273	2013-08-04 20:02:40.57026	2013-08-04 20:02:40.57026	256
40966	196878	40245	2013-08-04 20:02:40.581986	2013-08-04 20:02:40.581986	256
40967	196878	40253	2013-08-04 20:02:40.593654	2013-08-04 20:02:40.593654	256
40968	196767	40341	2013-08-04 20:02:40.620619	2013-08-04 20:02:40.620619	256
40969	196767	40233	2013-08-04 20:02:40.63247	2013-08-04 20:02:40.63247	256
40970	196767	40213	2013-08-04 20:02:40.644669	2013-08-04 20:02:40.644669	256
40971	196732	40193	2013-08-04 20:02:40.658932	2013-08-04 20:02:40.658932	256
40972	196732	40152	2013-08-04 20:02:40.662836	2013-08-04 20:02:40.662836	256
40973	196732	17906	2013-08-04 20:02:40.666891	2013-08-04 20:02:40.666891	256
40974	197351	16473	2013-08-04 20:02:40.677336	2013-08-04 20:02:40.677336	256
40975	197351	16489	2013-08-04 20:02:40.680288	2013-08-04 20:02:40.680288	256
40976	197351	8568	2013-08-04 20:02:40.68415	2013-08-04 20:02:40.68415	256
40977	197351	8548	2013-08-04 20:02:40.687561	2013-08-04 20:02:40.687561	256
40978	197351	8620	2013-08-04 20:02:40.690703	2013-08-04 20:02:40.690703	256
40979	197351	8600	2013-08-04 20:02:40.694151	2013-08-04 20:02:40.694151	256
40980	197351	8580	2013-08-04 20:02:40.697341	2013-08-04 20:02:40.697341	256
40981	197351	8505	2013-08-04 20:02:40.700694	2013-08-04 20:02:40.700694	256
40982	197351	35713	2013-08-04 20:02:40.703958	2013-08-04 20:02:40.703958	256
40983	197351	35693	2013-08-04 20:02:40.707054	2013-08-04 20:02:40.707054	256
40984	197351	32957	2013-08-04 20:02:40.71028	2013-08-04 20:02:40.71028	256
40985	197351	32879	2013-08-04 20:02:40.713577	2013-08-04 20:02:40.713577	256
40986	197351	32900	2013-08-04 20:02:40.717014	2013-08-04 20:02:40.717014	256
40987	197351	17301	2013-08-04 20:02:40.72002	2013-08-04 20:02:40.72002	256
40988	197351	28100	2013-08-04 20:02:40.72298	2013-08-04 20:02:40.72298	256
40989	197351	19761	2013-08-04 20:02:40.726025	2013-08-04 20:02:40.726025	256
40990	197351	32777	2013-08-04 20:02:40.729117	2013-08-04 20:02:40.729117	256
40991	197351	16186	2013-08-04 20:02:40.734435	2013-08-04 20:02:40.734435	256
40992	197351	4389	2013-08-04 20:02:40.74281	2013-08-04 20:02:40.74281	256
40993	197345	16473	2013-08-04 20:02:40.774622	2013-08-04 20:02:40.774622	256
40994	197345	16489	2013-08-04 20:02:40.783716	2013-08-04 20:02:40.783716	256
40995	197345	8568	2013-08-04 20:02:40.792049	2013-08-04 20:02:40.792049	256
40996	197345	8548	2013-08-04 20:02:40.800499	2013-08-04 20:02:40.800499	256
40997	197345	8620	2013-08-04 20:02:40.808855	2013-08-04 20:02:40.808855	256
40998	197345	8600	2013-08-04 20:02:40.817372	2013-08-04 20:02:40.817372	256
40999	197345	8580	2013-08-04 20:02:40.826453	2013-08-04 20:02:40.826453	256
41000	197345	8505	2013-08-04 20:02:40.8349	2013-08-04 20:02:40.8349	256
41001	197345	35713	2013-08-04 20:02:40.838211	2013-08-04 20:02:40.838211	256
41002	197345	35693	2013-08-04 20:02:40.84143	2013-08-04 20:02:40.84143	256
41003	197345	32957	2013-08-04 20:02:40.844313	2013-08-04 20:02:40.844313	256
41004	197345	32879	2013-08-04 20:02:40.847237	2013-08-04 20:02:40.847237	256
41005	197345	32900	2013-08-04 20:02:40.85	2013-08-04 20:02:40.85	256
41006	197345	17301	2013-08-04 20:02:40.853143	2013-08-04 20:02:40.853143	256
41007	197345	28100	2013-08-04 20:02:40.856896	2013-08-04 20:02:40.856896	256
41008	197345	19761	2013-08-04 20:02:40.860365	2013-08-04 20:02:40.860365	256
41009	197345	32777	2013-08-04 20:02:40.862838	2013-08-04 20:02:40.862838	256
41010	197345	16186	2013-08-04 20:02:40.865413	2013-08-04 20:02:40.865413	256
41011	197345	4389	2013-08-04 20:02:40.867924	2013-08-04 20:02:40.867924	256
41012	197573	40833	2013-08-04 20:07:35.029361	2013-08-04 20:07:35.029361	257
41013	197573	40706	2013-08-04 20:07:35.036817	2013-08-04 20:07:35.036817	257
41014	197573	40633	2013-08-04 20:07:35.043548	2013-08-04 20:07:35.043548	257
41015	197573	18415	2013-08-04 20:07:35.050397	2013-08-04 20:07:35.050397	257
41016	197573	40470	2013-08-04 20:07:35.055976	2013-08-04 20:07:35.055976	257
41017	197573	27316	2013-08-04 20:07:35.060661	2013-08-04 20:07:35.060661	257
41018	197573	8568	2013-08-04 20:07:35.066688	2013-08-04 20:07:35.066688	257
41019	197572	41006	2013-08-04 20:07:35.277409	2013-08-04 20:07:35.277409	257
41020	197572	40986	2013-08-04 20:07:35.288842	2013-08-04 20:07:35.288842	257
41021	197572	40855	2013-08-04 20:07:35.309628	2013-08-04 20:07:35.309628	257
41022	197572	40966	2013-08-04 20:07:35.326729	2013-08-04 20:07:35.326729	257
41023	197572	40946	2013-08-04 20:07:35.333081	2013-08-04 20:07:35.333081	257
41024	197572	40926	2013-08-04 20:07:35.339214	2013-08-04 20:07:35.339214	257
41025	197572	40906	2013-08-04 20:07:35.344425	2013-08-04 20:07:35.344425	257
41026	197572	40886	2013-08-04 20:07:35.350614	2013-08-04 20:07:35.350614	257
41027	197572	40866	2013-08-04 20:07:35.356734	2013-08-04 20:07:35.356734	257
41028	197572	40846	2013-08-04 20:07:35.362835	2013-08-04 20:07:35.362835	257
41029	197572	40921	2013-08-04 20:07:35.369082	2013-08-04 20:07:35.369082	257
41030	197572	40826	2013-08-04 20:07:35.374212	2013-08-04 20:07:35.374212	257
41031	197572	40806	2013-08-04 20:07:35.379316	2013-08-04 20:07:35.379316	257
41032	197572	40732	2013-08-04 20:07:35.386349	2013-08-04 20:07:35.386349	257
41033	197572	40786	2013-08-04 20:07:35.398168	2013-08-04 20:07:35.398168	257
41034	197572	40766	2013-08-04 20:07:35.412031	2013-08-04 20:07:35.412031	257
41035	197572	40730	2013-08-04 20:07:35.42274	2013-08-04 20:07:35.42274	257
41036	197572	40746	2013-08-04 20:07:35.431839	2013-08-04 20:07:35.431839	257
41037	197572	40813	2013-08-04 20:07:35.43891	2013-08-04 20:07:35.43891	257
41038	197575	39833	2013-08-04 20:07:35.45907	2013-08-04 20:07:35.45907	257
41039	197575	39740	2013-08-04 20:07:35.464407	2013-08-04 20:07:35.464407	257
41040	197575	40013	2013-08-04 20:07:35.470399	2013-08-04 20:07:35.470399	257
41041	197575	39773	2013-08-04 20:07:35.478139	2013-08-04 20:07:35.478139	257
41042	197575	34759	2013-08-04 20:07:35.485499	2013-08-04 20:07:35.485499	257
41043	197575	34779	2013-08-04 20:07:35.493208	2013-08-04 20:07:35.493208	257
41044	197575	34799	2013-08-04 20:07:35.499565	2013-08-04 20:07:35.499565	257
41045	197575	34718	2013-08-04 20:07:35.504635	2013-08-04 20:07:35.504635	257
41046	197575	34819	2013-08-04 20:07:35.509911	2013-08-04 20:07:35.509911	257
41047	197575	34839	2013-08-04 20:07:35.514951	2013-08-04 20:07:35.514951	257
41048	197575	34720	2013-08-04 20:07:35.519532	2013-08-04 20:07:35.519532	257
41049	197575	34795	2013-08-04 20:07:35.523623	2013-08-04 20:07:35.523623	257
41050	197575	34806	2013-08-04 20:07:35.527668	2013-08-04 20:07:35.527668	257
41051	197575	40712	2013-08-04 20:07:35.531712	2013-08-04 20:07:35.531712	257
41052	197575	18069	2013-08-04 20:07:35.536447	2013-08-04 20:07:35.536447	257
41053	197575	18089	2013-08-04 20:07:35.541395	2013-08-04 20:07:35.541395	257
41054	197575	18106	2013-08-04 20:07:35.545092	2013-08-04 20:07:35.545092	257
41055	197575	18109	2013-08-04 20:07:35.548758	2013-08-04 20:07:35.548758	257
41056	197575	8580	2013-08-04 20:07:35.552745	2013-08-04 20:07:35.552745	257
41057	198118	41048	2013-08-04 20:07:35.574276	2013-08-04 20:07:35.574276	257
41058	198118	41018	2013-08-04 20:07:35.579512	2013-08-04 20:07:35.579512	257
41059	198118	41028	2013-08-04 20:07:35.584735	2013-08-04 20:07:35.584735	257
41060	198118	41008	2013-08-04 20:07:35.589051	2013-08-04 20:07:35.589051	257
41061	198118	40988	2013-08-04 20:07:35.593888	2013-08-04 20:07:35.593888	257
41062	198118	40968	2013-08-04 20:07:35.598865	2013-08-04 20:07:35.598865	257
41063	198118	40960	2013-08-04 20:07:35.604962	2013-08-04 20:07:35.604962	257
41064	198118	40948	2013-08-04 20:07:35.610187	2013-08-04 20:07:35.610187	257
41065	198118	40928	2013-08-04 20:07:35.615967	2013-08-04 20:07:35.615967	257
41066	198118	40646	2013-08-04 20:07:35.620684	2013-08-04 20:07:35.620684	257
41067	198118	40533	2013-08-04 20:07:35.625126	2013-08-04 20:07:35.625126	257
41068	198118	40446	2013-08-04 20:07:35.62978	2013-08-04 20:07:35.62978	257
41069	198118	40152	2013-08-04 20:07:35.634304	2013-08-04 20:07:35.634304	257
41070	198118	27256	2013-08-04 20:07:35.637967	2013-08-04 20:07:35.637967	257
41071	198118	17906	2013-08-04 20:07:35.642122	2013-08-04 20:07:35.642122	257
41072	198118	40773	2013-08-04 20:07:35.646382	2013-08-04 20:07:35.646382	257
41073	198118	11760	2013-08-04 20:07:35.649976	2013-08-04 20:07:35.649976	257
41074	198118	40193	2013-08-04 20:07:35.653905	2013-08-04 20:07:35.653905	257
41075	198118	8505	2013-08-04 20:07:35.657779	2013-08-04 20:07:35.657779	257
41076	197582	40713	2013-08-04 20:07:35.778181	2013-08-04 20:07:35.778181	257
41077	198292	14455	2013-08-04 20:07:35.80287	2013-08-04 20:07:35.80287	257
41078	198292	16961	2013-08-04 20:07:35.809017	2013-08-04 20:07:35.809017	257
41079	198292	26300	2013-08-04 20:07:35.814527	2013-08-04 20:07:35.814527	257
41080	198292	36903	2013-08-04 20:07:35.823996	2013-08-04 20:07:35.823996	257
41081	198292	34503	2013-08-04 20:07:35.831379	2013-08-04 20:07:35.831379	257
41082	198292	20161	2013-08-04 20:07:35.837716	2013-08-04 20:07:35.837716	257
41083	198292	35383	2013-08-04 20:07:35.842377	2013-08-04 20:07:35.842377	257
41084	198292	36763	2013-08-04 20:07:35.847008	2013-08-04 20:07:35.847008	257
41085	198292	31535	2013-08-04 20:07:35.851886	2013-08-04 20:07:35.851886	257
41086	198292	7329	2013-08-04 20:07:35.856979	2013-08-04 20:07:35.856979	257
41087	198292	36863	2013-08-04 20:07:35.861177	2013-08-04 20:07:35.861177	257
41088	198292	7749	2013-08-04 20:07:35.866563	2013-08-04 20:07:35.866563	257
41089	198292	47603	2013-08-04 20:07:35.871581	2013-08-04 20:07:35.871581	257
41090	198292	7066	2013-08-04 20:07:35.877329	2013-08-04 20:07:35.877329	257
41091	198292	15730	2013-08-04 20:07:35.881939	2013-08-04 20:07:35.881939	257
41092	198292	16449	2013-08-04 20:07:35.886679	2013-08-04 20:07:35.886679	257
41093	198292	16469	2013-08-04 20:07:35.891981	2013-08-04 20:07:35.891981	257
41094	198292	16252	2013-08-04 20:07:35.89834	2013-08-04 20:07:35.89834	257
41095	198292	16352	2013-08-04 20:07:35.907142	2013-08-04 20:07:35.907142	257
41096	198295	14455	2013-08-04 20:07:35.948915	2013-08-04 20:07:35.948915	257
41097	198295	16961	2013-08-04 20:07:35.961694	2013-08-04 20:07:35.961694	257
41098	198295	26300	2013-08-04 20:07:35.974274	2013-08-04 20:07:35.974274	257
41099	198295	36903	2013-08-04 20:07:35.985795	2013-08-04 20:07:35.985795	257
41100	198295	34503	2013-08-04 20:07:35.997673	2013-08-04 20:07:35.997673	257
41101	198295	20161	2013-08-04 20:07:36.008214	2013-08-04 20:07:36.008214	257
41102	198295	35383	2013-08-04 20:07:36.020828	2013-08-04 20:07:36.020828	257
41103	198295	36763	2013-08-04 20:07:36.02633	2013-08-04 20:07:36.02633	257
41104	198295	31535	2013-08-04 20:07:36.031376	2013-08-04 20:07:36.031376	257
41105	198295	7329	2013-08-04 20:07:36.040163	2013-08-04 20:07:36.040163	257
41106	198295	36863	2013-08-04 20:07:36.044057	2013-08-04 20:07:36.044057	257
41107	198295	7749	2013-08-04 20:07:36.047763	2013-08-04 20:07:36.047763	257
41108	198295	47603	2013-08-04 20:07:36.051649	2013-08-04 20:07:36.051649	257
41109	198295	7066	2013-08-04 20:07:36.055364	2013-08-04 20:07:36.055364	257
41110	198295	15730	2013-08-04 20:07:36.060407	2013-08-04 20:07:36.060407	257
41111	198295	16449	2013-08-04 20:07:36.065721	2013-08-04 20:07:36.065721	257
41112	198295	16469	2013-08-04 20:07:36.07319	2013-08-04 20:07:36.07319	257
41113	198295	16252	2013-08-04 20:07:36.080988	2013-08-04 20:07:36.080988	257
41114	198295	16352	2013-08-04 20:07:36.089596	2013-08-04 20:07:36.089596	257
41115	198297	14455	2013-08-04 20:07:36.134169	2013-08-04 20:07:36.134169	257
41116	198297	16961	2013-08-04 20:07:36.147162	2013-08-04 20:07:36.147162	257
41117	198297	26300	2013-08-04 20:07:36.158697	2013-08-04 20:07:36.158697	257
41118	198297	36903	2013-08-04 20:07:36.169723	2013-08-04 20:07:36.169723	257
41119	198297	34503	2013-08-04 20:07:36.178796	2013-08-04 20:07:36.178796	257
41120	198297	20161	2013-08-04 20:07:36.18881	2013-08-04 20:07:36.18881	257
41121	198297	35383	2013-08-04 20:07:36.201119	2013-08-04 20:07:36.201119	257
41122	198297	36763	2013-08-04 20:07:36.213874	2013-08-04 20:07:36.213874	257
41123	198297	31535	2013-08-04 20:07:36.225834	2013-08-04 20:07:36.225834	257
41124	198297	7329	2013-08-04 20:07:36.234892	2013-08-04 20:07:36.234892	257
41125	198297	36863	2013-08-04 20:07:36.246239	2013-08-04 20:07:36.246239	257
41126	198297	7749	2013-08-04 20:07:36.256998	2013-08-04 20:07:36.256998	257
41127	198297	47603	2013-08-04 20:07:36.266232	2013-08-04 20:07:36.266232	257
41128	198297	7066	2013-08-04 20:07:36.275877	2013-08-04 20:07:36.275877	257
41129	198297	15730	2013-08-04 20:07:36.290043	2013-08-04 20:07:36.290043	257
41130	198297	16449	2013-08-04 20:07:36.30183	2013-08-04 20:07:36.30183	257
41131	198297	16469	2013-08-04 20:07:36.315032	2013-08-04 20:07:36.315032	257
41132	198297	16252	2013-08-04 20:07:36.326978	2013-08-04 20:07:36.326978	257
41133	198297	16352	2013-08-04 20:07:36.338915	2013-08-04 20:07:36.338915	257
41134	198038	14628	2013-08-04 20:07:36.670032	2013-08-04 20:07:36.670032	257
41135	198038	3706	2013-08-04 20:07:36.685311	2013-08-04 20:07:36.685311	257
41136	198038	3690	2013-08-04 20:07:36.700135	2013-08-04 20:07:36.700135	257
41137	198038	6767	2013-08-04 20:07:36.715176	2013-08-04 20:07:36.715176	257
41138	198038	3738	2013-08-04 20:07:36.730639	2013-08-04 20:07:36.730639	257
41139	198038	19851	2013-08-04 20:07:36.744669	2013-08-04 20:07:36.744669	257
41140	198038	33201	2013-08-04 20:07:36.75863	2013-08-04 20:07:36.75863	257
41141	198038	33418	2013-08-04 20:07:36.772928	2013-08-04 20:07:36.772928	257
41142	198038	6687	2013-08-04 20:07:36.787892	2013-08-04 20:07:36.787892	257
41143	198038	3645	2013-08-04 20:07:36.803192	2013-08-04 20:07:36.803192	257
41144	198038	5991	2013-08-04 20:07:36.819082	2013-08-04 20:07:36.819082	257
41145	198038	28505	2013-08-04 20:07:36.834794	2013-08-04 20:07:36.834794	257
41146	198038	40715	2013-08-04 20:07:36.848013	2013-08-04 20:07:36.848013	257
41147	198038	40486	2013-08-04 20:07:36.854943	2013-08-04 20:07:36.854943	257
41148	198038	40253	2013-08-04 20:07:36.860408	2013-08-04 20:07:36.860408	257
41149	198038	40245	2013-08-04 20:07:36.866121	2013-08-04 20:07:36.866121	257
41150	198038	40273	2013-08-04 20:07:36.871494	2013-08-04 20:07:36.871494	257
41151	198038	39972	2013-08-04 20:07:36.876729	2013-08-04 20:07:36.876729	257
41152	198038	8548	2013-08-04 20:07:36.883707	2013-08-04 20:07:36.883707	257
41153	198047	10887	2013-08-04 20:07:36.912181	2013-08-04 20:07:36.912181	257
41154	198047	10885	2013-08-04 20:07:36.919732	2013-08-04 20:07:36.919732	257
41155	198047	39975	2013-08-04 20:07:36.932772	2013-08-04 20:07:36.932772	257
41156	198047	10867	2013-08-04 20:07:36.943721	2013-08-04 20:07:36.943721	257
41157	198047	10936	2013-08-04 20:07:36.955524	2013-08-04 20:07:36.955524	257
41158	198047	8619	2013-08-04 20:07:36.972701	2013-08-04 20:07:36.972701	257
41159	198047	1881	2013-08-04 20:07:36.988659	2013-08-04 20:07:36.988659	257
41160	198047	10847	2013-08-04 20:07:37.002518	2013-08-04 20:07:37.002518	257
41161	198047	10840	2013-08-04 20:07:37.020665	2013-08-04 20:07:37.020665	257
41162	198047	10680	2013-08-04 20:07:37.036884	2013-08-04 20:07:37.036884	257
41163	198047	10717	2013-08-04 20:07:37.052611	2013-08-04 20:07:37.052611	257
41164	198047	10715	2013-08-04 20:07:37.068933	2013-08-04 20:07:37.068933	257
41165	198047	10743	2013-08-04 20:07:37.084774	2013-08-04 20:07:37.084774	257
41166	198047	40793	2013-08-04 20:07:37.100996	2013-08-04 20:07:37.100996	257
41167	198047	40535	2013-08-04 20:07:37.115266	2013-08-04 20:07:37.115266	257
41168	198047	2299	2013-08-04 20:07:37.129197	2013-08-04 20:07:37.129197	257
41169	198047	40213	2013-08-04 20:07:37.141217	2013-08-04 20:07:37.141217	257
41170	198047	40233	2013-08-04 20:07:37.152513	2013-08-04 20:07:37.152513	257
41171	198047	40341	2013-08-04 20:07:37.164001	2013-08-04 20:07:37.164001	257
41172	197955	35015	2013-08-04 20:07:37.270036	2013-08-04 20:07:37.270036	257
41173	197955	35091	2013-08-04 20:07:37.278904	2013-08-04 20:07:37.278904	257
41174	197955	35078	2013-08-04 20:07:37.286739	2013-08-04 20:07:37.286739	257
41175	197955	35071	2013-08-04 20:07:37.298043	2013-08-04 20:07:37.298043	257
41176	197955	35051	2013-08-04 20:07:37.304686	2013-08-04 20:07:37.304686	257
41177	197955	35031	2013-08-04 20:07:37.312618	2013-08-04 20:07:37.312618	257
41178	197565	35061	2013-08-04 20:07:37.324673	2013-08-04 20:07:37.324673	257
41179	197565	34995	2013-08-04 20:07:37.337614	2013-08-04 20:07:37.337614	257
41180	197565	35011	2013-08-04 20:07:37.352106	2013-08-04 20:07:37.352106	257
41181	197565	34866	2013-08-04 20:07:37.362254	2013-08-04 20:07:37.362254	257
41182	197565	34991	2013-08-04 20:07:37.371333	2013-08-04 20:07:37.371333	257
41183	197565	34971	2013-08-04 20:07:37.386871	2013-08-04 20:07:37.386871	257
41184	197556	34951	2013-08-04 20:07:37.401145	2013-08-04 20:07:37.401145	257
41185	197556	34931	2013-08-04 20:07:37.407753	2013-08-04 20:07:37.407753	257
41186	197556	34910	2013-08-04 20:07:37.414128	2013-08-04 20:07:37.414128	257
41187	197556	27196	2013-08-04 20:07:37.420812	2013-08-04 20:07:37.420812	257
41188	197556	18349	2013-08-04 20:07:37.426672	2013-08-04 20:07:37.426672	257
41189	197556	32957	2013-08-04 20:07:37.431997	2013-08-04 20:07:37.431997	257
41190	198298	14455	2013-08-04 20:07:37.449933	2013-08-04 20:07:37.449933	257
41191	198298	16961	2013-08-04 20:07:37.457131	2013-08-04 20:07:37.457131	257
41192	198298	26300	2013-08-04 20:07:37.463247	2013-08-04 20:07:37.463247	257
41193	198298	36903	2013-08-04 20:07:37.471562	2013-08-04 20:07:37.471562	257
41194	198298	34503	2013-08-04 20:07:37.483213	2013-08-04 20:07:37.483213	257
41195	198298	20161	2013-08-04 20:07:37.495287	2013-08-04 20:07:37.495287	257
41196	198298	35383	2013-08-04 20:07:37.506763	2013-08-04 20:07:37.506763	257
41197	198298	36763	2013-08-04 20:07:37.51806	2013-08-04 20:07:37.51806	257
41198	198298	31535	2013-08-04 20:07:37.530031	2013-08-04 20:07:37.530031	257
41199	198298	7329	2013-08-04 20:07:37.542983	2013-08-04 20:07:37.542983	257
41200	198298	36863	2013-08-04 20:07:37.555422	2013-08-04 20:07:37.555422	257
41201	198298	7749	2013-08-04 20:07:37.56766	2013-08-04 20:07:37.56766	257
41202	198298	47603	2013-08-04 20:07:37.579233	2013-08-04 20:07:37.579233	257
41203	198298	7066	2013-08-04 20:07:37.590773	2013-08-04 20:07:37.590773	257
41204	198298	15730	2013-08-04 20:07:37.602413	2013-08-04 20:07:37.602413	257
41205	198298	16449	2013-08-04 20:07:37.614218	2013-08-04 20:07:37.614218	257
41206	198298	16469	2013-08-04 20:07:37.626745	2013-08-04 20:07:37.626745	257
41207	198298	16252	2013-08-04 20:07:37.638997	2013-08-04 20:07:37.638997	257
41208	198298	16352	2013-08-04 20:07:37.651544	2013-08-04 20:07:37.651544	257
41209	197956	27632	2013-08-04 20:07:37.70223	2013-08-04 20:07:37.70223	257
41210	197956	27576	2013-08-04 20:07:37.715631	2013-08-04 20:07:37.715631	257
41211	197956	27610	2013-08-04 20:07:37.727238	2013-08-04 20:07:37.727238	257
41212	197956	27556	2013-08-04 20:07:37.739295	2013-08-04 20:07:37.739295	257
41213	197956	27536	2013-08-04 20:07:37.753303	2013-08-04 20:07:37.753303	257
41214	197956	27516	2013-08-04 20:07:37.765879	2013-08-04 20:07:37.765879	257
41215	197956	27496	2013-08-04 20:07:37.77999	2013-08-04 20:07:37.77999	257
41216	197956	27476	2013-08-04 20:07:37.794237	2013-08-04 20:07:37.794237	257
41217	197956	27456	2013-08-04 20:07:37.811768	2013-08-04 20:07:37.811768	257
41218	197555	27436	2013-08-04 20:07:37.844445	2013-08-04 20:07:37.844445	257
41219	197555	27416	2013-08-04 20:07:37.860296	2013-08-04 20:07:37.860296	257
41220	197555	27396	2013-08-04 20:07:37.877876	2013-08-04 20:07:37.877876	257
41221	197555	27376	2013-08-04 20:07:37.889299	2013-08-04 20:07:37.889299	257
41222	197555	27330	2013-08-04 20:07:37.897013	2013-08-04 20:07:37.897013	257
41223	197555	27356	2013-08-04 20:07:37.903492	2013-08-04 20:07:37.903492	257
41224	197555	18269	2013-08-04 20:07:37.908838	2013-08-04 20:07:37.908838	257
41225	197555	40453	2013-08-04 20:07:37.914171	2013-08-04 20:07:37.914171	257
41226	197555	28100	2013-08-04 20:07:37.919487	2013-08-04 20:07:37.919487	257
41227	198407	40728	2013-08-04 20:07:37.948627	2013-08-04 20:07:37.948627	257
41228	198407	40625	2013-08-04 20:07:37.960163	2013-08-04 20:07:37.960163	257
41229	198407	40286	2013-08-04 20:07:37.969957	2013-08-04 20:07:37.969957	257
41230	198407	27156	2013-08-04 20:07:37.976856	2013-08-04 20:07:37.976856	257
41231	198407	2377	2013-08-04 20:07:37.981518	2013-08-04 20:07:37.981518	257
41232	198407	40370	2013-08-04 20:07:37.98757	2013-08-04 20:07:37.98757	257
41233	198407	19761	2013-08-04 20:07:37.996818	2013-08-04 20:07:37.996818	257
41234	197563	35153	2013-08-04 20:07:38.112285	2013-08-04 20:07:38.112285	257
41235	197563	35085	2013-08-04 20:07:38.129074	2013-08-04 20:07:38.129074	257
41236	197563	35059	2013-08-04 20:07:38.142838	2013-08-04 20:07:38.142838	257
41237	197563	35039	2013-08-04 20:07:38.157449	2013-08-04 20:07:38.157449	257
41238	197563	35019	2013-08-04 20:07:38.173485	2013-08-04 20:07:38.173485	257
41239	197563	47558	2013-08-04 20:07:38.18984	2013-08-04 20:07:38.18984	257
41240	197563	34985	2013-08-04 20:07:38.204494	2013-08-04 20:07:38.204494	257
41241	197563	34999	2013-08-04 20:07:38.218655	2013-08-04 20:07:38.218655	257
41242	197563	34972	2013-08-04 20:07:38.233639	2013-08-04 20:07:38.233639	257
41243	197563	34979	2013-08-04 20:07:38.250497	2013-08-04 20:07:38.250497	257
41244	197563	34893	2013-08-04 20:07:38.266227	2013-08-04 20:07:38.266227	257
41245	197563	34913	2013-08-04 20:07:38.281743	2013-08-04 20:07:38.281743	257
41246	197563	34959	2013-08-04 20:07:38.297877	2013-08-04 20:07:38.297877	257
41247	197563	34939	2013-08-04 20:07:38.314007	2013-08-04 20:07:38.314007	257
41248	197563	34958	2013-08-04 20:07:38.320101	2013-08-04 20:07:38.320101	257
41249	197563	34919	2013-08-04 20:07:38.325104	2013-08-04 20:07:38.325104	257
41250	197563	27136	2013-08-04 20:07:38.329709	2013-08-04 20:07:38.329709	257
41251	197563	18249	2013-08-04 20:07:38.334245	2013-08-04 20:07:38.334245	257
41252	197563	32777	2013-08-04 20:07:38.338711	2013-08-04 20:07:38.338711	257
41253	197633	41093	2013-08-04 20:07:38.634838	2013-08-04 20:07:38.634838	257
41254	197633	41121	2013-08-04 20:07:38.646485	2013-08-04 20:07:38.646485	257
41255	197633	41073	2013-08-04 20:07:38.658162	2013-08-04 20:07:38.658162	257
41256	197633	41053	2013-08-04 20:07:38.669588	2013-08-04 20:07:38.669588	257
41257	197633	41033	2013-08-04 20:07:38.681686	2013-08-04 20:07:38.681686	257
41258	197633	41085	2013-08-04 20:07:38.694348	2013-08-04 20:07:38.694348	257
41259	197610	41013	2013-08-04 20:07:38.716917	2013-08-04 20:07:38.716917	257
41260	197610	40993	2013-08-04 20:07:38.728454	2013-08-04 20:07:38.728454	257
41261	197610	41037	2013-08-04 20:07:38.739964	2013-08-04 20:07:38.739964	257
41262	197610	40880	2013-08-04 20:07:38.751772	2013-08-04 20:07:38.751772	257
41263	197610	40973	2013-08-04 20:07:38.763566	2013-08-04 20:07:38.763566	257
41264	197610	40953	2013-08-04 20:07:38.774552	2013-08-04 20:07:38.774552	257
41265	197561	40933	2013-08-04 20:07:38.800204	2013-08-04 20:07:38.800204	257
41266	197561	40890	2013-08-04 20:07:38.812695	2013-08-04 20:07:38.812695	257
41267	197561	40860	2013-08-04 20:07:38.82492	2013-08-04 20:07:38.82492	257
41268	197561	40913	2013-08-04 20:07:38.836812	2013-08-04 20:07:38.836812	257
41269	197561	40893	2013-08-04 20:07:38.84823	2013-08-04 20:07:38.84823	257
41270	197561	40873	2013-08-04 20:07:38.859927	2013-08-04 20:07:38.859927	257
41271	198299	14455	2013-08-04 20:07:38.887992	2013-08-04 20:07:38.887992	257
41272	198299	16961	2013-08-04 20:07:38.89562	2013-08-04 20:07:38.89562	257
41273	198299	26300	2013-08-04 20:07:38.903999	2013-08-04 20:07:38.903999	257
41274	198299	36903	2013-08-04 20:07:38.912533	2013-08-04 20:07:38.912533	257
41275	198299	34503	2013-08-04 20:07:38.92576	2013-08-04 20:07:38.92576	257
41276	198299	20161	2013-08-04 20:07:38.93268	2013-08-04 20:07:38.93268	257
41277	198299	35383	2013-08-04 20:07:38.939893	2013-08-04 20:07:38.939893	257
41278	198299	36763	2013-08-04 20:07:38.94384	2013-08-04 20:07:38.94384	257
41279	198299	31535	2013-08-04 20:07:38.947385	2013-08-04 20:07:38.947385	257
41280	198299	7329	2013-08-04 20:07:38.950528	2013-08-04 20:07:38.950528	257
41281	198299	36863	2013-08-04 20:07:38.953497	2013-08-04 20:07:38.953497	257
41282	198299	7749	2013-08-04 20:07:38.956192	2013-08-04 20:07:38.956192	257
41283	198299	47603	2013-08-04 20:07:38.958713	2013-08-04 20:07:38.958713	257
41284	198299	7066	2013-08-04 20:07:38.962796	2013-08-04 20:07:38.962796	257
41285	198299	15730	2013-08-04 20:07:38.967571	2013-08-04 20:07:38.967571	257
41286	198299	16449	2013-08-04 20:07:38.970721	2013-08-04 20:07:38.970721	257
41287	198299	16469	2013-08-04 20:07:38.973704	2013-08-04 20:07:38.973704	257
41288	198299	16252	2013-08-04 20:07:38.980734	2013-08-04 20:07:38.980734	257
41289	198299	16352	2013-08-04 20:07:38.986224	2013-08-04 20:07:38.986224	257
41290	198293	14455	2013-08-04 20:07:39.01121	2013-08-04 20:07:39.01121	257
41291	198293	16961	2013-08-04 20:07:39.01553	2013-08-04 20:07:39.01553	257
41292	198293	26300	2013-08-04 20:07:39.019011	2013-08-04 20:07:39.019011	257
41293	198293	36903	2013-08-04 20:07:39.022824	2013-08-04 20:07:39.022824	257
41294	198293	34503	2013-08-04 20:07:39.026582	2013-08-04 20:07:39.026582	257
41295	198293	20161	2013-08-04 20:07:39.030078	2013-08-04 20:07:39.030078	257
41296	198293	35383	2013-08-04 20:07:39.033612	2013-08-04 20:07:39.033612	257
41297	198293	36763	2013-08-04 20:07:39.036556	2013-08-04 20:07:39.036556	257
41298	198293	31535	2013-08-04 20:07:39.039988	2013-08-04 20:07:39.039988	257
41299	198293	7329	2013-08-04 20:07:39.043414	2013-08-04 20:07:39.043414	257
41300	198293	36863	2013-08-04 20:07:39.046444	2013-08-04 20:07:39.046444	257
41301	198293	7749	2013-08-04 20:07:39.051002	2013-08-04 20:07:39.051002	257
41302	198293	47603	2013-08-04 20:07:39.055314	2013-08-04 20:07:39.055314	257
41303	198293	7066	2013-08-04 20:07:39.059382	2013-08-04 20:07:39.059382	257
41304	198293	15730	2013-08-04 20:07:39.062303	2013-08-04 20:07:39.062303	257
41305	198293	16449	2013-08-04 20:07:39.065074	2013-08-04 20:07:39.065074	257
41306	198293	16469	2013-08-04 20:07:39.067885	2013-08-04 20:07:39.067885	257
41307	198293	16252	2013-08-04 20:07:39.070822	2013-08-04 20:07:39.070822	257
41308	198293	16352	2013-08-04 20:07:39.073888	2013-08-04 20:07:39.073888	257
41309	198478	41226	2013-08-04 20:12:36.316456	2013-08-04 20:12:36.316456	258
41310	198478	18601	2013-08-04 20:12:36.327745	2013-08-04 20:12:36.327745	258
41311	198478	7608	2013-08-04 20:12:36.335659	2013-08-04 20:12:36.335659	258
41312	198478	41460	2013-08-04 20:12:36.342866	2013-08-04 20:12:36.342866	258
41313	198478	41253	2013-08-04 20:12:36.350651	2013-08-04 20:12:36.350651	258
41314	198478	41188	2013-08-04 20:12:36.356671	2013-08-04 20:12:36.356671	258
41315	199074	41506	2013-08-04 20:12:36.527715	2013-08-04 20:12:36.527715	258
41316	199074	41486	2013-08-04 20:12:36.535871	2013-08-04 20:12:36.535871	258
41317	199074	41558	2013-08-04 20:12:36.542209	2013-08-04 20:12:36.542209	258
41318	199074	41466	2013-08-04 20:12:36.5518	2013-08-04 20:12:36.5518	258
41319	199074	41446	2013-08-04 20:12:36.556381	2013-08-04 20:12:36.556381	258
41320	199074	41426	2013-08-04 20:12:36.56198	2013-08-04 20:12:36.56198	258
41321	199074	41406	2013-08-04 20:12:36.568243	2013-08-04 20:12:36.568243	258
41322	199074	41386	2013-08-04 20:12:36.573638	2013-08-04 20:12:36.573638	258
41323	199074	41312	2013-08-04 20:12:36.581243	2013-08-04 20:12:36.581243	258
41324	199074	41366	2013-08-04 20:12:36.58909	2013-08-04 20:12:36.58909	258
41325	199074	41346	2013-08-04 20:12:36.598723	2013-08-04 20:12:36.598723	258
41326	199074	41377	2013-08-04 20:12:36.608223	2013-08-04 20:12:36.608223	258
41327	199074	41326	2013-08-04 20:12:36.619676	2013-08-04 20:12:36.619676	258
41328	199074	41306	2013-08-04 20:12:36.627003	2013-08-04 20:12:36.627003	258
41329	199074	41305	2013-08-04 20:12:36.634617	2013-08-04 20:12:36.634617	258
41330	199074	41286	2013-08-04 20:12:36.641589	2013-08-04 20:12:36.641589	258
41331	199074	41266	2013-08-04 20:12:36.650088	2013-08-04 20:12:36.650088	258
41332	199074	41581	2013-08-04 20:12:36.656916	2013-08-04 20:12:36.656916	258
41333	199074	41241	2013-08-04 20:12:36.665547	2013-08-04 20:12:36.665547	258
41334	198485	41675	2013-08-04 20:12:36.712435	2013-08-04 20:12:36.712435	258
41335	198485	41746	2013-08-04 20:12:36.726116	2013-08-04 20:12:36.726116	258
41336	198485	41726	2013-08-04 20:12:36.737277	2013-08-04 20:12:36.737277	258
41337	198485	41690	2013-08-04 20:12:36.743109	2013-08-04 20:12:36.743109	258
41338	198485	41706	2013-08-04 20:12:36.754593	2013-08-04 20:12:36.754593	258
41339	198485	41686	2013-08-04 20:12:36.764146	2013-08-04 20:12:36.764146	258
41340	198485	41666	2013-08-04 20:12:36.775321	2013-08-04 20:12:36.775321	258
41341	198485	41758	2013-08-04 20:12:36.786448	2013-08-04 20:12:36.786448	258
41342	198485	41646	2013-08-04 20:12:36.798555	2013-08-04 20:12:36.798555	258
41343	198485	41626	2013-08-04 20:12:36.810734	2013-08-04 20:12:36.810734	258
41344	198485	41645	2013-08-04 20:12:36.81908	2013-08-04 20:12:36.81908	258
41345	198485	41606	2013-08-04 20:12:36.826895	2013-08-04 20:12:36.826895	258
41346	198485	41572	2013-08-04 20:12:36.833328	2013-08-04 20:12:36.833328	258
41347	198485	41600	2013-08-04 20:12:36.839491	2013-08-04 20:12:36.839491	258
41348	198485	41586	2013-08-04 20:12:36.845534	2013-08-04 20:12:36.845534	258
41349	198485	41566	2013-08-04 20:12:36.853632	2013-08-04 20:12:36.853632	258
41350	198485	41546	2013-08-04 20:12:36.863995	2013-08-04 20:12:36.863995	258
41351	198485	41461	2013-08-04 20:12:36.873726	2013-08-04 20:12:36.873726	258
41352	198485	41526	2013-08-04 20:12:36.884702	2013-08-04 20:12:36.884702	258
41353	198484	7664	2013-08-04 20:12:36.91843	2013-08-04 20:12:36.91843	258
41354	198484	41505	2013-08-04 20:12:36.92592	2013-08-04 20:12:36.92592	258
41355	198484	41193	2013-08-04 20:12:36.932451	2013-08-04 20:12:36.932451	258
41356	198484	41085	2013-08-04 20:12:36.938907	2013-08-04 20:12:36.938907	258
41357	198484	41033	2013-08-04 20:12:36.945581	2013-08-04 20:12:36.945581	258
41358	198484	41053	2013-08-04 20:12:36.953797	2013-08-04 20:12:36.953797	258
41359	198484	41073	2013-08-04 20:12:36.95893	2013-08-04 20:12:36.95893	258
41360	198484	41121	2013-08-04 20:12:36.963522	2013-08-04 20:12:36.963522	258
41361	198484	41093	2013-08-04 20:12:36.968467	2013-08-04 20:12:36.968467	258
41362	198484	34919	2013-08-04 20:12:36.973498	2013-08-04 20:12:36.973498	258
41363	198484	34958	2013-08-04 20:12:36.983673	2013-08-04 20:12:36.983673	258
41364	198484	34939	2013-08-04 20:12:36.98835	2013-08-04 20:12:36.98835	258
41365	198484	34959	2013-08-04 20:12:37.002326	2013-08-04 20:12:37.002326	258
41366	198484	34913	2013-08-04 20:12:37.010244	2013-08-04 20:12:37.010244	258
41367	198484	34893	2013-08-04 20:12:37.018478	2013-08-04 20:12:37.018478	258
41368	198484	34979	2013-08-04 20:12:37.024481	2013-08-04 20:12:37.024481	258
41369	198484	34972	2013-08-04 20:12:37.035738	2013-08-04 20:12:37.035738	258
41370	198484	35019	2013-08-04 20:12:37.046618	2013-08-04 20:12:37.046618	258
41371	198484	32777	2013-08-04 20:12:37.058907	2013-08-04 20:12:37.058907	258
41372	198490	41330	2013-08-04 20:12:37.111416	2013-08-04 20:12:37.111416	258
41373	198490	41428	2013-08-04 20:12:37.124747	2013-08-04 20:12:37.124747	258
41374	198490	41408	2013-08-04 20:12:37.136601	2013-08-04 20:12:37.136601	258
41375	198490	41388	2013-08-04 20:12:37.146778	2013-08-04 20:12:37.146778	258
41376	198490	41368	2013-08-04 20:12:37.154943	2013-08-04 20:12:37.154943	258
41377	198490	41348	2013-08-04 20:12:37.161003	2013-08-04 20:12:37.161003	258
41378	198490	41328	2013-08-04 20:12:37.172978	2013-08-04 20:12:37.172978	258
41379	198490	41341	2013-08-04 20:12:37.182481	2013-08-04 20:12:37.182481	258
41380	198490	41308	2013-08-04 20:12:37.193733	2013-08-04 20:12:37.193733	258
41381	198490	41275	2013-08-04 20:12:37.203856	2013-08-04 20:12:37.203856	258
41382	198490	41288	2013-08-04 20:12:37.21478	2013-08-04 20:12:37.21478	258
41383	198490	41268	2013-08-04 20:12:37.226537	2013-08-04 20:12:37.226537	258
41384	198490	41248	2013-08-04 20:12:37.238956	2013-08-04 20:12:37.238956	258
41385	198490	41170	2013-08-04 20:12:37.283801	2013-08-04 20:12:37.283801	258
41386	198490	41228	2013-08-04 20:12:37.29953	2013-08-04 20:12:37.29953	258
41387	198490	41166	2013-08-04 20:12:37.309761	2013-08-04 20:12:37.309761	258
41388	198490	18509	2013-08-04 20:12:37.31988	2013-08-04 20:12:37.31988	258
41389	198490	41473	2013-08-04 20:12:37.33066	2013-08-04 20:12:37.33066	258
41390	198490	41232	2013-08-04 20:12:37.343812	2013-08-04 20:12:37.343812	258
41391	199072	41108	2013-08-04 20:12:37.416306	2013-08-04 20:12:37.416306	258
41392	198822	18489	2013-08-04 20:12:37.445443	2013-08-04 20:12:37.445443	258
41393	198711	25781	2013-08-04 20:12:37.474575	2013-08-04 20:12:37.474575	258
41394	198637	41433	2013-08-04 20:12:37.504745	2013-08-04 20:12:37.504745	258
41395	198588	41153	2013-08-04 20:12:37.518791	2013-08-04 20:12:37.518791	258
41396	198550	40953	2013-08-04 20:12:37.528551	2013-08-04 20:12:37.528551	258
41397	198547	40973	2013-08-04 20:12:37.54338	2013-08-04 20:12:37.54338	258
41398	198517	40880	2013-08-04 20:12:37.5676	2013-08-04 20:12:37.5676	258
41399	198509	41037	2013-08-04 20:12:37.610786	2013-08-04 20:12:37.610786	258
41400	198500	40993	2013-08-04 20:12:37.641864	2013-08-04 20:12:37.641864	258
41401	198479	41013	2013-08-04 20:12:37.672098	2013-08-04 20:12:37.672098	258
41402	198477	41015	2013-08-04 20:12:37.746867	2013-08-04 20:12:37.746867	258
41403	198477	41032	2013-08-04 20:12:37.754985	2013-08-04 20:12:37.754985	258
41404	198477	40992	2013-08-04 20:12:37.763008	2013-08-04 20:12:37.763008	258
41405	198477	18469	2013-08-04 20:12:37.770437	2013-08-04 20:12:37.770437	258
41406	198477	25771	2013-08-04 20:12:37.781615	2013-08-04 20:12:37.781615	258
41407	198477	41370	2013-08-04 20:12:37.791538	2013-08-04 20:12:37.791538	258
41408	199251	14455	2013-08-04 20:12:37.831884	2013-08-04 20:12:37.831884	258
41409	199251	16961	2013-08-04 20:12:37.835971	2013-08-04 20:12:37.835971	258
41410	199251	26300	2013-08-04 20:12:37.83913	2013-08-04 20:12:37.83913	258
41411	199251	36903	2013-08-04 20:12:37.8421	2013-08-04 20:12:37.8421	258
41412	199251	34503	2013-08-04 20:12:37.847712	2013-08-04 20:12:37.847712	258
41413	199251	20161	2013-08-04 20:12:37.850898	2013-08-04 20:12:37.850898	258
41414	199251	35383	2013-08-04 20:12:37.85406	2013-08-04 20:12:37.85406	258
41415	199251	36763	2013-08-04 20:12:37.858242	2013-08-04 20:12:37.858242	258
41416	199251	31535	2013-08-04 20:12:37.86208	2013-08-04 20:12:37.86208	258
41417	199251	7329	2013-08-04 20:12:37.865282	2013-08-04 20:12:37.865282	258
41418	199251	36863	2013-08-04 20:12:37.867956	2013-08-04 20:12:37.867956	258
41419	199251	7749	2013-08-04 20:12:37.870711	2013-08-04 20:12:37.870711	258
41420	199251	47603	2013-08-04 20:12:37.8749	2013-08-04 20:12:37.8749	258
41421	199251	7066	2013-08-04 20:12:37.87888	2013-08-04 20:12:37.87888	258
41422	199251	15730	2013-08-04 20:12:37.882994	2013-08-04 20:12:37.882994	258
41423	199251	16449	2013-08-04 20:12:37.892012	2013-08-04 20:12:37.892012	258
41424	199251	16469	2013-08-04 20:12:37.904167	2013-08-04 20:12:37.904167	258
41425	199251	16252	2013-08-04 20:12:37.913543	2013-08-04 20:12:37.913543	258
41426	199251	16352	2013-08-04 20:12:37.920845	2013-08-04 20:12:37.920845	258
41427	199253	14455	2013-08-04 20:12:37.944834	2013-08-04 20:12:37.944834	258
41428	199253	16961	2013-08-04 20:12:37.950048	2013-08-04 20:12:37.950048	258
41429	199253	26300	2013-08-04 20:12:37.954181	2013-08-04 20:12:37.954181	258
41430	199253	36903	2013-08-04 20:12:37.959646	2013-08-04 20:12:37.959646	258
41431	199253	34503	2013-08-04 20:12:37.964291	2013-08-04 20:12:37.964291	258
41432	199253	20161	2013-08-04 20:12:37.970087	2013-08-04 20:12:37.970087	258
41433	199253	35383	2013-08-04 20:12:37.978575	2013-08-04 20:12:37.978575	258
41434	199253	36763	2013-08-04 20:12:37.982783	2013-08-04 20:12:37.982783	258
41435	199253	31535	2013-08-04 20:12:37.988695	2013-08-04 20:12:37.988695	258
41436	199253	7329	2013-08-04 20:12:37.993099	2013-08-04 20:12:37.993099	258
41437	199253	36863	2013-08-04 20:12:37.997245	2013-08-04 20:12:37.997245	258
41438	199253	7749	2013-08-04 20:12:38.001697	2013-08-04 20:12:38.001697	258
41439	199253	47603	2013-08-04 20:12:38.006037	2013-08-04 20:12:38.006037	258
41440	199253	7066	2013-08-04 20:12:38.010225	2013-08-04 20:12:38.010225	258
41441	199253	15730	2013-08-04 20:12:38.013887	2013-08-04 20:12:38.013887	258
41442	199253	16449	2013-08-04 20:12:38.017544	2013-08-04 20:12:38.017544	258
41443	199253	16469	2013-08-04 20:12:38.021689	2013-08-04 20:12:38.021689	258
41444	199253	16252	2013-08-04 20:12:38.025054	2013-08-04 20:12:38.025054	258
41445	199253	16352	2013-08-04 20:12:38.02926	2013-08-04 20:12:38.02926	258
41446	199255	14455	2013-08-04 20:12:38.068949	2013-08-04 20:12:38.068949	258
41447	199255	16961	2013-08-04 20:12:38.078574	2013-08-04 20:12:38.078574	258
41448	199255	26300	2013-08-04 20:12:38.085601	2013-08-04 20:12:38.085601	258
41449	199255	36903	2013-08-04 20:12:38.09237	2013-08-04 20:12:38.09237	258
41450	199255	34503	2013-08-04 20:12:38.098995	2013-08-04 20:12:38.098995	258
41451	199255	20161	2013-08-04 20:12:38.105534	2013-08-04 20:12:38.105534	258
41452	199255	35383	2013-08-04 20:12:38.112214	2013-08-04 20:12:38.112214	258
41453	199255	36763	2013-08-04 20:12:38.121503	2013-08-04 20:12:38.121503	258
41454	199255	31535	2013-08-04 20:12:38.130008	2013-08-04 20:12:38.130008	258
41455	199255	7329	2013-08-04 20:12:38.137251	2013-08-04 20:12:38.137251	258
41456	199255	36863	2013-08-04 20:12:38.143144	2013-08-04 20:12:38.143144	258
41457	199255	7749	2013-08-04 20:12:38.148692	2013-08-04 20:12:38.148692	258
41458	199255	47603	2013-08-04 20:12:38.153325	2013-08-04 20:12:38.153325	258
41459	199255	7066	2013-08-04 20:12:38.15863	2013-08-04 20:12:38.15863	258
41460	199255	15730	2013-08-04 20:12:38.162587	2013-08-04 20:12:38.162587	258
41461	199255	16449	2013-08-04 20:12:38.16643	2013-08-04 20:12:38.16643	258
41462	199255	16469	2013-08-04 20:12:38.170277	2013-08-04 20:12:38.170277	258
41463	199255	16252	2013-08-04 20:12:38.174279	2013-08-04 20:12:38.174279	258
41464	199255	16352	2013-08-04 20:12:38.178522	2013-08-04 20:12:38.178522	258
41465	199371	40652	2013-08-04 20:12:38.521915	2013-08-04 20:12:38.521915	258
41466	199371	40526	2013-08-04 20:12:38.5321	2013-08-04 20:12:38.5321	258
41467	199371	40173	2013-08-04 20:12:38.536991	2013-08-04 20:12:38.536991	258
41468	199371	40066	2013-08-04 20:12:38.541457	2013-08-04 20:12:38.541457	258
41469	199311	26470	2013-08-04 20:12:38.549902	2013-08-04 20:12:38.549902	258
41470	199311	4624	2013-08-04 20:12:38.553926	2013-08-04 20:12:38.553926	258
41471	199311	18409	2013-08-04 20:12:38.558406	2013-08-04 20:12:38.558406	258
41472	199311	18009	2013-08-04 20:12:38.563061	2013-08-04 20:12:38.563061	258
41473	198746	25781	2013-08-04 20:12:38.575779	2013-08-04 20:12:38.575779	258
41474	198746	7568	2013-08-04 20:12:38.582738	2013-08-04 20:12:38.582738	258
41475	198746	41553	2013-08-04 20:12:38.589619	2013-08-04 20:12:38.589619	258
41476	198746	41145	2013-08-04 20:12:38.597269	2013-08-04 20:12:38.597269	258
41477	198675	41185	2013-08-04 20:12:38.614503	2013-08-04 20:12:38.614503	258
41478	198675	41265	2013-08-04 20:12:38.622837	2013-08-04 20:12:38.622837	258
41479	198675	16473	2013-08-04 20:12:38.631027	2013-08-04 20:12:38.631027	258
41480	198675	40908	2013-08-04 20:12:38.639286	2013-08-04 20:12:38.639286	258
41481	198686	7846	2013-08-04 20:12:38.675665	2013-08-04 20:12:38.675665	258
41482	198686	7570	2013-08-04 20:12:38.688354	2013-08-04 20:12:38.688354	258
41483	198686	7678	2013-08-04 20:12:38.693584	2013-08-04 20:12:38.693584	258
41484	198686	7623	2013-08-04 20:12:38.698242	2013-08-04 20:12:38.698242	258
41485	198686	7692	2013-08-04 20:12:38.703399	2013-08-04 20:12:38.703399	258
41486	198686	7577	2013-08-04 20:12:38.707529	2013-08-04 20:12:38.707529	258
41487	198686	7597	2013-08-04 20:12:38.711188	2013-08-04 20:12:38.711188	258
41488	198686	7617	2013-08-04 20:12:38.716288	2013-08-04 20:12:38.716288	258
41489	198686	7637	2013-08-04 20:12:38.721745	2013-08-04 20:12:38.721745	258
41490	198686	7657	2013-08-04 20:12:38.726751	2013-08-04 20:12:38.726751	258
41491	198686	7548	2013-08-04 20:12:38.731321	2013-08-04 20:12:38.731321	258
41492	198686	7568	2013-08-04 20:12:38.737984	2013-08-04 20:12:38.737984	258
41493	198686	25781	2013-08-04 20:12:38.744462	2013-08-04 20:12:38.744462	258
41494	198686	41145	2013-08-04 20:12:38.750495	2013-08-04 20:12:38.750495	258
41495	198686	41553	2013-08-04 20:12:38.754952	2013-08-04 20:12:38.754952	258
41496	198686	40880	2013-08-04 20:12:38.759052	2013-08-04 20:12:38.759052	258
41497	198686	41513	2013-08-04 20:12:38.763859	2013-08-04 20:12:38.763859	258
41498	198686	41233	2013-08-04 20:12:38.768871	2013-08-04 20:12:38.768871	258
41499	198686	41238	2013-08-04 20:12:38.773841	2013-08-04 20:12:38.773841	258
41500	198482	10978	2013-08-04 20:12:38.793281	2013-08-04 20:12:38.793281	258
41501	198482	10903	2013-08-04 20:12:38.800254	2013-08-04 20:12:38.800254	258
41502	198482	10977	2013-08-04 20:12:38.807191	2013-08-04 20:12:38.807191	258
41503	198482	10951	2013-08-04 20:12:38.813058	2013-08-04 20:12:38.813058	258
41504	198482	10971	2013-08-04 20:12:38.818936	2013-08-04 20:12:38.818936	258
41505	198482	10987	2013-08-04 20:12:38.824029	2013-08-04 20:12:38.824029	258
41506	198482	10967	2013-08-04 20:12:38.829579	2013-08-04 20:12:38.829579	258
41507	198482	10876	2013-08-04 20:12:38.838934	2013-08-04 20:12:38.838934	258
41508	198482	10947	2013-08-04 20:12:38.854363	2013-08-04 20:12:38.854363	258
41509	198482	10621	2013-08-04 20:12:38.868576	2013-08-04 20:12:38.868576	258
41510	198482	10641	2013-08-04 20:12:38.874753	2013-08-04 20:12:38.874753	258
41511	198482	10661	2013-08-04 20:12:38.881828	2013-08-04 20:12:38.881828	258
41512	198482	10592	2013-08-04 20:12:38.888491	2013-08-04 20:12:38.888491	258
41513	198482	10927	2013-08-04 20:12:38.895368	2013-08-04 20:12:38.895368	258
41514	198482	10907	2013-08-04 20:12:38.901484	2013-08-04 20:12:38.901484	258
41515	198482	10975	2013-08-04 20:12:38.90899	2013-08-04 20:12:38.90899	258
41516	198482	10990	2013-08-04 20:12:38.916291	2013-08-04 20:12:38.916291	258
41517	198482	10966	2013-08-04 20:12:38.925327	2013-08-04 20:12:38.925327	258
41518	198482	40993	2013-08-04 20:12:38.937653	2013-08-04 20:12:38.937653	258
41519	198492	18729	2013-08-04 20:12:38.973319	2013-08-04 20:12:38.973319	258
41520	198492	4664	2013-08-04 20:12:38.979132	2013-08-04 20:12:38.979132	258
41521	198492	18741	2013-08-04 20:12:38.984862	2013-08-04 20:12:38.984862	258
41522	198492	18709	2013-08-04 20:12:38.990442	2013-08-04 20:12:38.990442	258
41523	198492	18689	2013-08-04 20:12:38.995972	2013-08-04 20:12:38.995972	258
41524	198492	18540	2013-08-04 20:12:39.001499	2013-08-04 20:12:39.001499	258
41525	198492	18683	2013-08-04 20:12:39.007147	2013-08-04 20:12:39.007147	258
41526	198492	18669	2013-08-04 20:12:39.013048	2013-08-04 20:12:39.013048	258
41527	198492	18649	2013-08-04 20:12:39.019216	2013-08-04 20:12:39.019216	258
41528	198492	18629	2013-08-04 20:12:39.024773	2013-08-04 20:12:39.024773	258
41529	198492	8651	2013-08-04 20:12:39.03253	2013-08-04 20:12:39.03253	258
41530	198492	34698	2013-08-04 20:12:39.040573	2013-08-04 20:12:39.040573	258
41531	198492	18609	2013-08-04 20:12:39.046696	2013-08-04 20:12:39.046696	258
41532	198492	24232	2013-08-04 20:12:39.054012	2013-08-04 20:12:39.054012	258
41533	198492	45603	2013-08-04 20:12:39.061135	2013-08-04 20:12:39.061135	258
41534	198492	18589	2013-08-04 20:12:39.067845	2013-08-04 20:12:39.067845	258
41535	198492	6679	2013-08-04 20:12:39.073943	2013-08-04 20:12:39.073943	258
41536	198492	41453	2013-08-04 20:12:39.080771	2013-08-04 20:12:39.080771	258
41537	198492	41173	2013-08-04 20:12:39.087151	2013-08-04 20:12:39.087151	258
41538	199368	35251	2013-08-04 20:12:39.161921	2013-08-04 20:12:39.161921	258
41539	199368	35231	2013-08-04 20:12:39.178116	2013-08-04 20:12:39.178116	258
41540	199368	35211	2013-08-04 20:12:39.193156	2013-08-04 20:12:39.193156	258
41541	199368	35191	2013-08-04 20:12:39.202883	2013-08-04 20:12:39.202883	258
41542	199368	35171	2013-08-04 20:12:39.208802	2013-08-04 20:12:39.208802	258
41543	199368	19695	2013-08-04 20:12:39.215411	2013-08-04 20:12:39.215411	258
41544	198583	27930	2013-08-04 20:12:39.23359	2013-08-04 20:12:39.23359	258
41545	198583	6464	2013-08-04 20:12:39.247995	2013-08-04 20:12:39.247995	258
41546	198583	35125	2013-08-04 20:12:39.25741	2013-08-04 20:12:39.25741	258
41547	198583	35151	2013-08-04 20:12:39.265996	2013-08-04 20:12:39.265996	258
41548	198583	15659	2013-08-04 20:12:39.275012	2013-08-04 20:12:39.275012	258
41549	198583	35131	2013-08-04 20:12:39.287395	2013-08-04 20:12:39.287395	258
41550	198518	35140	2013-08-04 20:12:39.313164	2013-08-04 20:12:39.313164	258
41551	198518	35111	2013-08-04 20:12:39.322305	2013-08-04 20:12:39.322305	258
41552	198518	5720	2013-08-04 20:12:39.333931	2013-08-04 20:12:39.333931	258
41553	198518	28832	2013-08-04 20:12:39.346957	2013-08-04 20:12:39.346957	258
41554	198518	41153	2013-08-04 20:12:39.35236	2013-08-04 20:12:39.35236	258
41555	198518	41413	2013-08-04 20:12:39.358669	2013-08-04 20:12:39.358669	258
41556	199393	16961	2013-08-04 20:12:39.424766	2013-08-04 20:12:39.424766	258
41557	199393	26300	2013-08-04 20:12:39.436134	2013-08-04 20:12:39.436134	258
41558	199393	36903	2013-08-04 20:12:39.448786	2013-08-04 20:12:39.448786	258
41559	199393	34503	2013-08-04 20:12:39.461281	2013-08-04 20:12:39.461281	258
41560	199393	20161	2013-08-04 20:12:39.472373	2013-08-04 20:12:39.472373	258
41561	199393	35383	2013-08-04 20:12:39.47823	2013-08-04 20:12:39.47823	258
41562	199256	36763	2013-08-04 20:12:39.495351	2013-08-04 20:12:39.495351	258
41563	199256	31535	2013-08-04 20:12:39.501832	2013-08-04 20:12:39.501832	258
41564	199256	7329	2013-08-04 20:12:39.506035	2013-08-04 20:12:39.506035	258
41565	199256	36863	2013-08-04 20:12:39.511123	2013-08-04 20:12:39.511123	258
41566	199256	7749	2013-08-04 20:12:39.515124	2013-08-04 20:12:39.515124	258
41567	199256	47603	2013-08-04 20:12:39.518695	2013-08-04 20:12:39.518695	258
41568	198737	7066	2013-08-04 20:12:39.527099	2013-08-04 20:12:39.527099	258
41569	198737	15730	2013-08-04 20:12:39.53371	2013-08-04 20:12:39.53371	258
41570	198737	16449	2013-08-04 20:12:39.540624	2013-08-04 20:12:39.540624	258
41571	198737	16469	2013-08-04 20:12:39.549694	2013-08-04 20:12:39.549694	258
41572	198737	16252	2013-08-04 20:12:39.560244	2013-08-04 20:12:39.560244	258
41573	198737	16352	2013-08-04 20:12:39.569028	2013-08-04 20:12:39.569028	258
41574	199228	27777	2013-08-04 20:12:39.592114	2013-08-04 20:12:39.592114	258
41575	199228	27776	2013-08-04 20:12:39.598511	2013-08-04 20:12:39.598511	258
41576	199228	27756	2013-08-04 20:12:39.60613	2013-08-04 20:12:39.60613	258
41577	199228	27736	2013-08-04 20:12:39.615081	2013-08-04 20:12:39.615081	258
41578	199228	27716	2013-08-04 20:12:39.625168	2013-08-04 20:12:39.625168	258
41579	199228	27696	2013-08-04 20:12:39.630485	2013-08-04 20:12:39.630485	258
41580	199228	27676	2013-08-04 20:12:39.640257	2013-08-04 20:12:39.640257	258
41581	199228	27656	2013-08-04 20:12:39.651914	2013-08-04 20:12:39.651914	258
41582	199228	27636	2013-08-04 20:12:39.663681	2013-08-04 20:12:39.663681	258
41583	198842	27780	2013-08-04 20:12:39.692382	2013-08-04 20:12:39.692382	258
41584	198842	27612	2013-08-04 20:12:39.705045	2013-08-04 20:12:39.705045	258
41585	198842	4888	2013-08-04 20:12:39.713397	2013-08-04 20:12:39.713397	258
41586	198842	27615	2013-08-04 20:12:39.723128	2013-08-04 20:12:39.723128	258
41587	198842	27616	2013-08-04 20:12:39.734828	2013-08-04 20:12:39.734828	258
41588	198842	13451	2013-08-04 20:12:39.746673	2013-08-04 20:12:39.746673	258
41589	198842	34277	2013-08-04 20:12:39.757823	2013-08-04 20:12:39.757823	258
41590	198842	41353	2013-08-04 20:12:39.76728	2013-08-04 20:12:39.76728	258
41591	198842	40893	2013-08-04 20:12:39.77169	2013-08-04 20:12:39.77169	258
41592	198797	41086	2013-08-04 20:12:39.833057	2013-08-04 20:12:39.833057	258
41593	198797	41026	2013-08-04 20:12:39.838159	2013-08-04 20:12:39.838159	258
41594	198797	15450	2013-08-04 20:12:39.842782	2013-08-04 20:12:39.842782	258
41595	198797	3529	2013-08-04 20:12:39.850183	2013-08-04 20:12:39.850183	258
41596	198797	41433	2013-08-04 20:12:39.857348	2013-08-04 20:12:39.857348	258
41597	198797	41333	2013-08-04 20:12:39.862786	2013-08-04 20:12:39.862786	258
41598	198797	40913	2013-08-04 20:12:39.865992	2013-08-04 20:12:39.865992	258
41599	199159	35199	2013-08-04 20:12:39.930618	2013-08-04 20:12:39.930618	258
41600	199159	35278	2013-08-04 20:12:39.935867	2013-08-04 20:12:39.935867	258
41601	199159	35179	2013-08-04 20:12:39.940179	2013-08-04 20:12:39.940179	258
41602	199159	29838	2013-08-04 20:12:39.944285	2013-08-04 20:12:39.944285	258
41603	198980	35159	2013-08-04 20:12:39.955034	2013-08-04 20:12:39.955034	258
41604	198980	35139	2013-08-04 20:12:39.965224	2013-08-04 20:12:39.965224	258
41605	198980	35119	2013-08-04 20:12:39.971652	2013-08-04 20:12:39.971652	258
41606	198980	35099	2013-08-04 20:12:39.976127	2013-08-04 20:12:39.976127	258
41607	198897	35079	2013-08-04 20:12:39.985305	2013-08-04 20:12:39.985305	258
41608	198897	35100	2013-08-04 20:12:39.991367	2013-08-04 20:12:39.991367	258
41609	198897	18489	2013-08-04 20:12:39.997922	2013-08-04 20:12:39.997922	258
41610	198897	18505	2013-08-04 20:12:40.002192	2013-08-04 20:12:40.002192	258
41611	198520	25751	2013-08-04 20:12:40.014666	2013-08-04 20:12:40.014666	258
41612	198520	41313	2013-08-04 20:12:40.020255	2013-08-04 20:12:40.020255	258
41613	198520	40860	2013-08-04 20:12:40.023565	2013-08-04 20:12:40.023565	258
41614	198520	40453	2013-08-04 20:12:40.026611	2013-08-04 20:12:40.026611	258
41615	199268	41326	2013-08-04 20:12:40.064343	2013-08-04 20:12:40.064343	258
41616	199268	41377	2013-08-04 20:12:40.075123	2013-08-04 20:12:40.075123	258
41617	199268	41346	2013-08-04 20:12:40.079431	2013-08-04 20:12:40.079431	258
41618	199268	41366	2013-08-04 20:12:40.083058	2013-08-04 20:12:40.083058	258
41619	198991	41312	2013-08-04 20:12:40.092361	2013-08-04 20:12:40.092361	258
41620	198991	41386	2013-08-04 20:12:40.096036	2013-08-04 20:12:40.096036	258
41621	198991	41406	2013-08-04 20:12:40.099147	2013-08-04 20:12:40.099147	258
41622	198991	41426	2013-08-04 20:12:40.102999	2013-08-04 20:12:40.102999	258
41623	198796	41446	2013-08-04 20:12:40.111266	2013-08-04 20:12:40.111266	258
41624	198796	41266	2013-08-04 20:12:40.120361	2013-08-04 20:12:40.120361	258
41625	198796	41286	2013-08-04 20:12:40.130328	2013-08-04 20:12:40.130328	258
41626	198796	41108	2013-08-04 20:12:40.140364	2013-08-04 20:12:40.140364	258
41627	198602	41241	2013-08-04 20:12:40.162676	2013-08-04 20:12:40.162676	258
41628	198602	41581	2013-08-04 20:12:40.17305	2013-08-04 20:12:40.17305	258
41629	198602	41305	2013-08-04 20:12:40.183491	2013-08-04 20:12:40.183491	258
41630	198602	41306	2013-08-04 20:12:40.193815	2013-08-04 20:12:40.193815	258
41631	199184	41753	2013-08-04 20:12:40.55114	2013-08-04 20:12:40.55114	258
41632	199184	41733	2013-08-04 20:12:40.562678	2013-08-04 20:12:40.562678	258
41633	199184	41713	2013-08-04 20:12:40.573724	2013-08-04 20:12:40.573724	258
41634	198907	41693	2013-08-04 20:12:40.59672	2013-08-04 20:12:40.59672	258
41635	198907	41700	2013-08-04 20:12:40.608166	2013-08-04 20:12:40.608166	258
41636	198907	41673	2013-08-04 20:12:40.614365	2013-08-04 20:12:40.614365	258
41637	198813	41653	2013-08-04 20:12:40.623012	2013-08-04 20:12:40.623012	258
41638	198813	41633	2013-08-04 20:12:40.627551	2013-08-04 20:12:40.627551	258
41639	198813	41613	2013-08-04 20:12:40.631052	2013-08-04 20:12:40.631052	258
41640	198542	41590	2013-08-04 20:12:40.646401	2013-08-04 20:12:40.646401	258
41641	198542	41535	2013-08-04 20:12:40.656148	2013-08-04 20:12:40.656148	258
41642	198542	41593	2013-08-04 20:12:40.667629	2013-08-04 20:12:40.667629	258
41643	198488	41573	2013-08-04 20:12:40.692209	2013-08-04 20:12:40.692209	258
41644	198488	41525	2013-08-04 20:12:40.70397	2013-08-04 20:12:40.70397	258
41645	198488	40953	2013-08-04 20:12:40.715533	2013-08-04 20:12:40.715533	258
41646	199258	29775	2013-08-04 20:12:40.748705	2013-08-04 20:12:40.748705	258
41647	199258	34843	2013-08-04 20:12:40.757636	2013-08-04 20:12:40.757636	258
41648	199258	19343	2013-08-04 20:12:40.766605	2013-08-04 20:12:40.766605	258
41649	199258	25525	2013-08-04 20:12:40.775725	2013-08-04 20:12:40.775725	258
41650	199258	35223	2013-08-04 20:12:40.784229	2013-08-04 20:12:40.784229	258
41651	199258	25545	2013-08-04 20:12:40.792543	2013-08-04 20:12:40.792543	258
41652	199258	36643	2013-08-04 20:12:40.80094	2013-08-04 20:12:40.80094	258
41653	199258	34723	2013-08-04 20:12:40.809306	2013-08-04 20:12:40.809306	258
41654	199258	20021	2013-08-04 20:12:40.817982	2013-08-04 20:12:40.817982	258
41655	199258	28975	2013-08-04 20:12:40.826877	2013-08-04 20:12:40.826877	258
41656	199258	36823	2013-08-04 20:12:40.835742	2013-08-04 20:12:40.835742	258
41657	199258	19203	2013-08-04 20:12:40.844574	2013-08-04 20:12:40.844574	258
41658	199258	29495	2013-08-04 20:12:40.853062	2013-08-04 20:12:40.853062	258
41659	199258	36763	2013-08-04 20:12:40.861581	2013-08-04 20:12:40.861581	258
41660	199258	31535	2013-08-04 20:12:40.869985	2013-08-04 20:12:40.869985	258
41661	199258	7329	2013-08-04 20:12:40.878535	2013-08-04 20:12:40.878535	258
41662	199258	36863	2013-08-04 20:12:40.886916	2013-08-04 20:12:40.886916	258
41663	199258	7749	2013-08-04 20:12:40.895226	2013-08-04 20:12:40.895226	258
41664	199258	47603	2013-08-04 20:12:40.903647	2013-08-04 20:12:40.903647	258
41665	199252	29775	2013-08-04 20:12:40.935243	2013-08-04 20:12:40.935243	258
41666	199252	34843	2013-08-04 20:12:40.94367	2013-08-04 20:12:40.94367	258
41667	199252	19343	2013-08-04 20:12:40.952145	2013-08-04 20:12:40.952145	258
41668	199252	25525	2013-08-04 20:12:40.96073	2013-08-04 20:12:40.96073	258
41669	199252	35223	2013-08-04 20:12:40.969454	2013-08-04 20:12:40.969454	258
41670	199252	25545	2013-08-04 20:12:40.977839	2013-08-04 20:12:40.977839	258
41671	199252	36643	2013-08-04 20:12:40.986142	2013-08-04 20:12:40.986142	258
41672	199252	34723	2013-08-04 20:12:40.993423	2013-08-04 20:12:40.993423	258
41673	199252	20021	2013-08-04 20:12:41.005468	2013-08-04 20:12:41.005468	258
41674	199252	28975	2013-08-04 20:12:41.009919	2013-08-04 20:12:41.009919	258
41675	199252	36823	2013-08-04 20:12:41.013189	2013-08-04 20:12:41.013189	258
41676	199252	19203	2013-08-04 20:12:41.016436	2013-08-04 20:12:41.016436	258
41677	199252	29495	2013-08-04 20:12:41.021598	2013-08-04 20:12:41.021598	258
41678	199252	36763	2013-08-04 20:12:41.026964	2013-08-04 20:12:41.026964	258
41679	199252	31535	2013-08-04 20:12:41.030179	2013-08-04 20:12:41.030179	258
41680	199252	7329	2013-08-04 20:12:41.033209	2013-08-04 20:12:41.033209	258
41681	199252	36863	2013-08-04 20:12:41.03625	2013-08-04 20:12:41.03625	258
41682	199252	7749	2013-08-04 20:12:41.040895	2013-08-04 20:12:41.040895	258
41683	199252	47603	2013-08-04 20:12:41.045858	2013-08-04 20:12:41.045858	258
41684	199526	41973	2013-08-04 20:17:29.457747	2013-08-04 20:17:29.457747	259
41685	199526	35333	2013-08-04 20:17:29.469782	2013-08-04 20:17:29.469782	259
41686	199526	18849	2013-08-04 20:17:29.476922	2013-08-04 20:17:29.476922	259
41687	199526	42166	2013-08-04 20:17:29.483507	2013-08-04 20:17:29.483507	259
41688	199526	41946	2013-08-04 20:17:29.487739	2013-08-04 20:17:29.487739	259
41689	199520	42426	2013-08-04 20:17:29.714148	2013-08-04 20:17:29.714148	259
41690	199520	42525	2013-08-04 20:17:29.719623	2013-08-04 20:17:29.719623	259
41691	199520	42406	2013-08-04 20:17:29.725523	2013-08-04 20:17:29.725523	259
41692	199520	42545	2013-08-04 20:17:29.73132	2013-08-04 20:17:29.73132	259
41693	199520	42386	2013-08-04 20:17:29.742185	2013-08-04 20:17:29.742185	259
41694	199520	42366	2013-08-04 20:17:29.756475	2013-08-04 20:17:29.756475	259
41695	199520	42352	2013-08-04 20:17:29.768371	2013-08-04 20:17:29.768371	259
41696	199520	42346	2013-08-04 20:17:29.779914	2013-08-04 20:17:29.779914	259
41697	199520	42326	2013-08-04 20:17:29.794413	2013-08-04 20:17:29.794413	259
41698	199520	42306	2013-08-04 20:17:29.809222	2013-08-04 20:17:29.809222	259
41699	199520	42361	2013-08-04 20:17:29.824301	2013-08-04 20:17:29.824301	259
41700	199520	42378	2013-08-04 20:17:29.839428	2013-08-04 20:17:29.839428	259
41701	199520	42286	2013-08-04 20:17:29.854171	2013-08-04 20:17:29.854171	259
41702	199520	42325	2013-08-04 20:17:29.869059	2013-08-04 20:17:29.869059	259
41703	199520	42266	2013-08-04 20:17:29.883757	2013-08-04 20:17:29.883757	259
41704	199520	42246	2013-08-04 20:17:29.898704	2013-08-04 20:17:29.898704	259
41705	199520	42226	2013-08-04 20:17:29.913637	2013-08-04 20:17:29.913637	259
41706	199520	42170	2013-08-04 20:17:29.927485	2013-08-04 20:17:29.927485	259
41707	199520	42041	2013-08-04 20:17:29.939212	2013-08-04 20:17:29.939212	259
41708	199521	25751	2013-08-04 20:17:29.976837	2013-08-04 20:17:29.976837	259
41709	199521	28832	2013-08-04 20:17:29.983697	2013-08-04 20:17:29.983697	259
41710	199521	41593	2013-08-04 20:17:29.990091	2013-08-04 20:17:29.990091	259
41711	199521	41535	2013-08-04 20:17:29.994364	2013-08-04 20:17:29.994364	259
41712	199521	41590	2013-08-04 20:17:29.998463	2013-08-04 20:17:29.998463	259
41713	199521	34277	2013-08-04 20:17:30.00278	2013-08-04 20:17:30.00278	259
41714	199521	40453	2013-08-04 20:17:30.00735	2013-08-04 20:17:30.00735	259
41715	199521	40860	2013-08-04 20:17:30.016304	2013-08-04 20:17:30.016304	259
41716	199521	41313	2013-08-04 20:17:30.025938	2013-08-04 20:17:30.025938	259
41717	199521	40893	2013-08-04 20:17:30.036994	2013-08-04 20:17:30.036994	259
41718	199521	41353	2013-08-04 20:17:30.04838	2013-08-04 20:17:30.04838	259
41719	199521	41413	2013-08-04 20:17:30.05405	2013-08-04 20:17:30.05405	259
41720	199521	41153	2013-08-04 20:17:30.060199	2013-08-04 20:17:30.060199	259
41721	199521	35383	2013-08-04 20:17:30.065462	2013-08-04 20:17:30.065462	259
41722	199521	20161	2013-08-04 20:17:30.071397	2013-08-04 20:17:30.071397	259
41723	199521	34503	2013-08-04 20:17:30.078154	2013-08-04 20:17:30.078154	259
41724	199521	36903	2013-08-04 20:17:30.084839	2013-08-04 20:17:30.084839	259
41725	199521	26300	2013-08-04 20:17:30.0904	2013-08-04 20:17:30.0904	259
41726	199521	16961	2013-08-04 20:17:30.094962	2013-08-04 20:17:30.094962	259
41727	199524	41560	2013-08-04 20:17:30.12299	2013-08-04 20:17:30.12299	259
41728	199524	41568	2013-08-04 20:17:30.131828	2013-08-04 20:17:30.131828	259
41729	199524	41548	2013-08-04 20:17:30.137556	2013-08-04 20:17:30.137556	259
41730	199524	41528	2013-08-04 20:17:30.143702	2013-08-04 20:17:30.143702	259
41731	199524	41450	2013-08-04 20:17:30.150995	2013-08-04 20:17:30.150995	259
41732	199524	41605	2013-08-04 20:17:30.155424	2013-08-04 20:17:30.155424	259
41733	199524	41508	2013-08-04 20:17:30.161647	2013-08-04 20:17:30.161647	259
41734	199524	41498	2013-08-04 20:17:30.167138	2013-08-04 20:17:30.167138	259
41735	199524	41488	2013-08-04 20:17:30.173643	2013-08-04 20:17:30.173643	259
41736	199524	41468	2013-08-04 20:17:30.180771	2013-08-04 20:17:30.180771	259
41737	199524	41448	2013-08-04 20:17:30.187217	2013-08-04 20:17:30.187217	259
41738	199524	35359	2013-08-04 20:17:30.195639	2013-08-04 20:17:30.195639	259
41739	199524	18773	2013-08-04 20:17:30.203433	2013-08-04 20:17:30.203433	259
41740	199524	42106	2013-08-04 20:17:30.210229	2013-08-04 20:17:30.210229	259
41741	199524	41886	2013-08-04 20:17:30.215184	2013-08-04 20:17:30.215184	259
41742	199524	40953	2013-08-04 20:17:30.219134	2013-08-04 20:17:30.219134	259
41743	199524	41525	2013-08-04 20:17:30.225721	2013-08-04 20:17:30.225721	259
41744	199524	41573	2013-08-04 20:17:30.231322	2013-08-04 20:17:30.231322	259
41745	199524	41037	2013-08-04 20:17:30.237147	2013-08-04 20:17:30.237147	259
41746	199525	41853	2013-08-04 20:17:30.545004	2013-08-04 20:17:30.545004	259
41747	199525	35299	2013-08-04 20:17:30.554347	2013-08-04 20:17:30.554347	259
41748	199525	18769	2013-08-04 20:17:30.564279	2013-08-04 20:17:30.564279	259
41749	199525	42066	2013-08-04 20:17:30.579297	2013-08-04 20:17:30.579297	259
41750	199525	41826	2013-08-04 20:17:30.593489	2013-08-04 20:17:30.593489	259
41751	200700	29775	2013-08-04 20:17:30.644477	2013-08-04 20:17:30.644477	259
41752	200700	34843	2013-08-04 20:17:30.656659	2013-08-04 20:17:30.656659	259
41753	200700	19343	2013-08-04 20:17:30.66915	2013-08-04 20:17:30.66915	259
41754	200700	25525	2013-08-04 20:17:30.681204	2013-08-04 20:17:30.681204	259
41755	200700	35223	2013-08-04 20:17:30.694754	2013-08-04 20:17:30.694754	259
41756	200700	25545	2013-08-04 20:17:30.699426	2013-08-04 20:17:30.699426	259
41757	200700	36643	2013-08-04 20:17:30.703728	2013-08-04 20:17:30.703728	259
41758	200700	34723	2013-08-04 20:17:30.708135	2013-08-04 20:17:30.708135	259
41759	200700	20021	2013-08-04 20:17:30.712535	2013-08-04 20:17:30.712535	259
41760	200700	28975	2013-08-04 20:17:30.7165	2013-08-04 20:17:30.7165	259
41761	200700	36823	2013-08-04 20:17:30.721805	2013-08-04 20:17:30.721805	259
41762	200700	19203	2013-08-04 20:17:30.725786	2013-08-04 20:17:30.725786	259
41763	200700	29495	2013-08-04 20:17:30.729164	2013-08-04 20:17:30.729164	259
41764	200700	36763	2013-08-04 20:17:30.736213	2013-08-04 20:17:30.736213	259
41765	200700	31535	2013-08-04 20:17:30.740346	2013-08-04 20:17:30.740346	259
41766	200700	7329	2013-08-04 20:17:30.74774	2013-08-04 20:17:30.74774	259
41767	200700	36863	2013-08-04 20:17:30.757989	2013-08-04 20:17:30.757989	259
41768	200700	7749	2013-08-04 20:17:30.769455	2013-08-04 20:17:30.769455	259
41769	200700	47603	2013-08-04 20:17:30.781652	2013-08-04 20:17:30.781652	259
41770	200703	29775	2013-08-04 20:17:30.824393	2013-08-04 20:17:30.824393	259
41771	200703	34843	2013-08-04 20:17:30.835992	2013-08-04 20:17:30.835992	259
41772	200703	19343	2013-08-04 20:17:30.848984	2013-08-04 20:17:30.848984	259
41773	200703	25525	2013-08-04 20:17:30.861923	2013-08-04 20:17:30.861923	259
41774	200703	35223	2013-08-04 20:17:30.874438	2013-08-04 20:17:30.874438	259
41775	200703	25545	2013-08-04 20:17:30.884253	2013-08-04 20:17:30.884253	259
41776	200703	36643	2013-08-04 20:17:30.895909	2013-08-04 20:17:30.895909	259
41777	200703	34723	2013-08-04 20:17:30.90749	2013-08-04 20:17:30.90749	259
41778	200703	20021	2013-08-04 20:17:30.919858	2013-08-04 20:17:30.919858	259
41779	200703	28975	2013-08-04 20:17:30.931608	2013-08-04 20:17:30.931608	259
41780	200703	36823	2013-08-04 20:17:30.942415	2013-08-04 20:17:30.942415	259
41781	200703	19203	2013-08-04 20:17:30.954104	2013-08-04 20:17:30.954104	259
41782	200703	29495	2013-08-04 20:17:30.966037	2013-08-04 20:17:30.966037	259
41783	200703	36763	2013-08-04 20:17:30.978706	2013-08-04 20:17:30.978706	259
41784	200703	31535	2013-08-04 20:17:30.9924	2013-08-04 20:17:30.9924	259
41785	200703	7329	2013-08-04 20:17:31.00048	2013-08-04 20:17:31.00048	259
41786	200703	36863	2013-08-04 20:17:31.006942	2013-08-04 20:17:31.006942	259
41787	200703	7749	2013-08-04 20:17:31.012174	2013-08-04 20:17:31.012174	259
41788	200703	47603	2013-08-04 20:17:31.016154	2013-08-04 20:17:31.016154	259
41789	200705	29775	2013-08-04 20:17:31.02694	2013-08-04 20:17:31.02694	259
41790	200705	34843	2013-08-04 20:17:31.02988	2013-08-04 20:17:31.02988	259
41791	200705	19343	2013-08-04 20:17:31.032545	2013-08-04 20:17:31.032545	259
41792	200705	25525	2013-08-04 20:17:31.035006	2013-08-04 20:17:31.035006	259
41793	200705	35223	2013-08-04 20:17:31.037292	2013-08-04 20:17:31.037292	259
41794	200705	25545	2013-08-04 20:17:31.039668	2013-08-04 20:17:31.039668	259
41795	200705	36643	2013-08-04 20:17:31.042072	2013-08-04 20:17:31.042072	259
41796	200705	34723	2013-08-04 20:17:31.045349	2013-08-04 20:17:31.045349	259
41797	200705	20021	2013-08-04 20:17:31.048758	2013-08-04 20:17:31.048758	259
41798	200705	28975	2013-08-04 20:17:31.052077	2013-08-04 20:17:31.052077	259
41799	200705	36823	2013-08-04 20:17:31.055337	2013-08-04 20:17:31.055337	259
41800	200705	19203	2013-08-04 20:17:31.05914	2013-08-04 20:17:31.05914	259
41801	200705	29495	2013-08-04 20:17:31.06299	2013-08-04 20:17:31.06299	259
41802	200705	36763	2013-08-04 20:17:31.066901	2013-08-04 20:17:31.066901	259
41803	200705	31535	2013-08-04 20:17:31.07251	2013-08-04 20:17:31.07251	259
41804	200705	7329	2013-08-04 20:17:31.081354	2013-08-04 20:17:31.081354	259
41805	200705	36863	2013-08-04 20:17:31.094116	2013-08-04 20:17:31.094116	259
41806	200705	7749	2013-08-04 20:17:31.108294	2013-08-04 20:17:31.108294	259
41807	200705	47603	2013-08-04 20:17:31.119044	2013-08-04 20:17:31.119044	259
41808	199535	41986	2013-08-04 20:17:31.341062	2013-08-04 20:17:31.341062	259
41809	199535	42046	2013-08-04 20:17:31.347882	2013-08-04 20:17:31.347882	259
41810	200176	41945	2013-08-04 20:17:31.386906	2013-08-04 20:17:31.386906	259
41811	200176	35459	2013-08-04 20:17:31.399619	2013-08-04 20:17:31.399619	259
41812	200176	18869	2013-08-04 20:17:31.414182	2013-08-04 20:17:31.414182	259
41813	199587	42206	2013-08-04 20:17:31.444854	2013-08-04 20:17:31.444854	259
41814	199587	41966	2013-08-04 20:17:31.459594	2013-08-04 20:17:31.459594	259
41815	199587	41366	2013-08-04 20:17:31.475152	2013-08-04 20:17:31.475152	259
41816	199559	41346	2013-08-04 20:17:31.504874	2013-08-04 20:17:31.504874	259
41817	199559	41377	2013-08-04 20:17:31.518719	2013-08-04 20:17:31.518719	259
41818	199559	41326	2013-08-04 20:17:31.532898	2013-08-04 20:17:31.532898	259
41819	199829	7743	2013-08-04 20:17:31.675302	2013-08-04 20:17:31.675302	259
41820	199829	7750	2013-08-04 20:17:31.691373	2013-08-04 20:17:31.691373	259
41821	199829	7744	2013-08-04 20:17:31.70748	2013-08-04 20:17:31.70748	259
41822	199829	1902	2013-08-04 20:17:31.724365	2013-08-04 20:17:31.724365	259
41823	199829	20768	2013-08-04 20:17:31.73213	2013-08-04 20:17:31.73213	259
41824	199829	8396	2013-08-04 20:17:31.742885	2013-08-04 20:17:31.742885	259
41825	199829	7381	2013-08-04 20:17:31.752125	2013-08-04 20:17:31.752125	259
41826	199829	7450	2013-08-04 20:17:31.757964	2013-08-04 20:17:31.757964	259
41827	199829	7841	2013-08-04 20:17:31.763442	2013-08-04 20:17:31.763442	259
41828	199829	7690	2013-08-04 20:17:31.77071	2013-08-04 20:17:31.77071	259
41829	199829	7724	2013-08-04 20:17:31.782795	2013-08-04 20:17:31.782795	259
41830	199829	7704	2013-08-04 20:17:31.797899	2013-08-04 20:17:31.797899	259
41831	199829	7790	2013-08-04 20:17:31.813905	2013-08-04 20:17:31.813905	259
41832	199829	7706	2013-08-04 20:17:31.830312	2013-08-04 20:17:31.830312	259
41833	199829	42092	2013-08-04 20:17:31.845346	2013-08-04 20:17:31.845346	259
41834	199829	18797	2013-08-04 20:17:31.859517	2013-08-04 20:17:31.859517	259
41835	199829	41926	2013-08-04 20:17:31.873223	2013-08-04 20:17:31.873223	259
41836	199829	35100	2013-08-04 20:17:31.885666	2013-08-04 20:17:31.885666	259
41837	199829	35079	2013-08-04 20:17:31.896343	2013-08-04 20:17:31.896343	259
41838	199529	3689	2013-08-04 20:17:31.945358	2013-08-04 20:17:31.945358	259
41839	199529	11145	2013-08-04 20:17:31.961013	2013-08-04 20:17:31.961013	259
41840	199529	11067	2013-08-04 20:17:31.977475	2013-08-04 20:17:31.977475	259
41841	199529	10995	2013-08-04 20:17:31.993713	2013-08-04 20:17:31.993713	259
41842	199529	11056	2013-08-04 20:17:32.009134	2013-08-04 20:17:32.009134	259
41843	199529	11047	2013-08-04 20:17:32.027448	2013-08-04 20:17:32.027448	259
41844	199529	11027	2013-08-04 20:17:32.0398	2013-08-04 20:17:32.0398	259
41845	199529	11040	2013-08-04 20:17:32.049161	2013-08-04 20:17:32.049161	259
41846	199529	11007	2013-08-04 20:17:32.057226	2013-08-04 20:17:32.057226	259
41847	199529	5704	2013-08-04 20:17:32.063868	2013-08-04 20:17:32.063868	259
41848	199529	11053	2013-08-04 20:17:32.070705	2013-08-04 20:17:32.070705	259
41849	199529	10946	2013-08-04 20:17:32.078162	2013-08-04 20:17:32.078162	259
41850	199529	10937	2013-08-04 20:17:32.084079	2013-08-04 20:17:32.084079	259
41851	199529	10985	2013-08-04 20:17:32.088844	2013-08-04 20:17:32.088844	259
41852	199529	41326	2013-08-04 20:17:32.093105	2013-08-04 20:17:32.093105	259
41853	199529	41377	2013-08-04 20:17:32.097149	2013-08-04 20:17:32.097149	259
41854	199529	41346	2013-08-04 20:17:32.10463	2013-08-04 20:17:32.10463	259
41855	199529	42126	2013-08-04 20:17:32.115027	2013-08-04 20:17:32.115027	259
41856	199529	41812	2013-08-04 20:17:32.129285	2013-08-04 20:17:32.129285	259
41857	199871	41728	2013-08-04 20:17:32.189053	2013-08-04 20:17:32.189053	259
41858	199871	3804	2013-08-04 20:17:32.202546	2013-08-04 20:17:32.202546	259
41859	199871	3784	2013-08-04 20:17:32.216162	2013-08-04 20:17:32.216162	259
41860	199871	41650	2013-08-04 20:17:32.230953	2013-08-04 20:17:32.230953	259
41861	199674	1371	2013-08-04 20:17:32.263349	2013-08-04 20:17:32.263349	259
41862	199674	41708	2013-08-04 20:17:32.280707	2013-08-04 20:17:32.280707	259
41863	199674	3787	2013-08-04 20:17:32.296519	2013-08-04 20:17:32.296519	259
41864	199674	1350	2013-08-04 20:17:32.311874	2013-08-04 20:17:32.311874	259
41865	199653	1306	2013-08-04 20:17:32.342279	2013-08-04 20:17:32.342279	259
41866	199653	41688	2013-08-04 20:17:32.358104	2013-08-04 20:17:32.358104	259
41867	199653	41668	2013-08-04 20:17:32.372954	2013-08-04 20:17:32.372954	259
41868	199653	41648	2013-08-04 20:17:32.388641	2013-08-04 20:17:32.388641	259
41869	199590	41628	2013-08-04 20:17:32.419987	2013-08-04 20:17:32.419987	259
41870	199590	41608	2013-08-04 20:17:32.433493	2013-08-04 20:17:32.433493	259
41871	199590	41480	2013-08-04 20:17:32.448281	2013-08-04 20:17:32.448281	259
41872	199590	41588	2013-08-04 20:17:32.463467	2013-08-04 20:17:32.463467	259
41873	199886	19089	2013-08-04 20:17:32.517885	2013-08-04 20:17:32.517885	259
41874	199886	19069	2013-08-04 20:17:32.52381	2013-08-04 20:17:32.52381	259
41875	199886	19049	2013-08-04 20:17:32.531787	2013-08-04 20:17:32.531787	259
41876	199886	19110	2013-08-04 20:17:32.539943	2013-08-04 20:17:32.539943	259
41877	199886	7551	2013-08-04 20:17:32.550309	2013-08-04 20:17:32.550309	259
41878	199886	19029	2013-08-04 20:17:32.561131	2013-08-04 20:17:32.561131	259
41879	199886	19037	2013-08-04 20:17:32.57547	2013-08-04 20:17:32.57547	259
41880	199886	19009	2013-08-04 20:17:32.589248	2013-08-04 20:17:32.589248	259
41881	199886	18992	2013-08-04 20:17:32.599201	2013-08-04 20:17:32.599201	259
41882	199677	18989	2013-08-04 20:17:32.629602	2013-08-04 20:17:32.629602	259
41883	199677	18969	2013-08-04 20:17:32.644403	2013-08-04 20:17:32.644403	259
41884	199677	18949	2013-08-04 20:17:32.656694	2013-08-04 20:17:32.656694	259
41885	199677	35101	2013-08-04 20:17:32.671068	2013-08-04 20:17:32.671068	259
41886	199677	18929	2013-08-04 20:17:32.685893	2013-08-04 20:17:32.685893	259
41887	199677	18909	2013-08-04 20:17:32.692533	2013-08-04 20:17:32.692533	259
41888	199677	18973	2013-08-04 20:17:32.698364	2013-08-04 20:17:32.698364	259
41889	199677	18889	2013-08-04 20:17:32.705544	2013-08-04 20:17:32.705544	259
41890	199677	42086	2013-08-04 20:17:32.712687	2013-08-04 20:17:32.712687	259
41891	199592	35452	2013-08-04 20:17:32.78466	2013-08-04 20:17:32.78466	259
41892	199592	35425	2013-08-04 20:17:32.790577	2013-08-04 20:17:32.790577	259
41893	199592	35471	2013-08-04 20:17:32.795958	2013-08-04 20:17:32.795958	259
41894	199592	35451	2013-08-04 20:17:32.805293	2013-08-04 20:17:32.805293	259
41895	199592	35431	2013-08-04 20:17:32.811661	2013-08-04 20:17:32.811661	259
41896	199592	35360	2013-08-04 20:17:32.817538	2013-08-04 20:17:32.817538	259
41897	199592	35411	2013-08-04 20:17:32.824273	2013-08-04 20:17:32.824273	259
41898	199592	35391	2013-08-04 20:17:32.832489	2013-08-04 20:17:32.832489	259
41899	199592	35371	2013-08-04 20:17:32.8408	2013-08-04 20:17:32.8408	259
41900	199575	35351	2013-08-04 20:17:32.864288	2013-08-04 20:17:32.864288	259
41901	199575	35331	2013-08-04 20:17:32.870578	2013-08-04 20:17:32.870578	259
41902	199575	35192	2013-08-04 20:17:32.877069	2013-08-04 20:17:32.877069	259
41903	199575	35311	2013-08-04 20:17:32.883757	2013-08-04 20:17:32.883757	259
41904	199575	35291	2013-08-04 20:17:32.891473	2013-08-04 20:17:32.891473	259
41905	199575	35253	2013-08-04 20:17:32.898518	2013-08-04 20:17:32.898518	259
41906	199575	18789	2013-08-04 20:17:32.904293	2013-08-04 20:17:32.904293	259
41907	199575	42035	2013-08-04 20:17:32.909505	2013-08-04 20:17:32.909505	259
41908	199575	41846	2013-08-04 20:17:32.915146	2013-08-04 20:17:32.915146	259
41909	200860	34843	2013-08-04 20:17:33.018083	2013-08-04 20:17:33.018083	259
41910	200860	19343	2013-08-04 20:17:33.022318	2013-08-04 20:17:33.022318	259
41911	200860	25525	2013-08-04 20:17:33.027309	2013-08-04 20:17:33.027309	259
41912	200860	35223	2013-08-04 20:17:33.036503	2013-08-04 20:17:33.036503	259
41913	200860	25545	2013-08-04 20:17:33.046732	2013-08-04 20:17:33.046732	259
41914	200860	36643	2013-08-04 20:17:33.056999	2013-08-04 20:17:33.056999	259
41915	200707	34723	2013-08-04 20:17:33.074892	2013-08-04 20:17:33.074892	259
41916	200707	20021	2013-08-04 20:17:33.08116	2013-08-04 20:17:33.08116	259
41917	200707	28975	2013-08-04 20:17:33.085634	2013-08-04 20:17:33.085634	259
41918	200707	36823	2013-08-04 20:17:33.090271	2013-08-04 20:17:33.090271	259
41919	200707	19203	2013-08-04 20:17:33.094777	2013-08-04 20:17:33.094777	259
41920	200707	29495	2013-08-04 20:17:33.099095	2013-08-04 20:17:33.099095	259
41921	199633	36763	2013-08-04 20:17:33.106507	2013-08-04 20:17:33.106507	259
41922	199633	31535	2013-08-04 20:17:33.113258	2013-08-04 20:17:33.113258	259
41923	199633	7329	2013-08-04 20:17:33.121756	2013-08-04 20:17:33.121756	259
41924	199633	36863	2013-08-04 20:17:33.131733	2013-08-04 20:17:33.131733	259
41925	199633	7749	2013-08-04 20:17:33.142354	2013-08-04 20:17:33.142354	259
41926	199633	47603	2013-08-04 20:17:33.154792	2013-08-04 20:17:33.154792	259
41927	199860	27996	2013-08-04 20:17:33.201496	2013-08-04 20:17:33.201496	259
41928	199860	27976	2013-08-04 20:17:33.209561	2013-08-04 20:17:33.209561	259
41929	199860	27956	2013-08-04 20:17:33.216733	2013-08-04 20:17:33.216733	259
41930	199860	27990	2013-08-04 20:17:33.221322	2013-08-04 20:17:33.221322	259
41931	199652	27936	2013-08-04 20:17:33.232884	2013-08-04 20:17:33.232884	259
41932	199652	27916	2013-08-04 20:17:33.237996	2013-08-04 20:17:33.237996	259
41933	199652	27896	2013-08-04 20:17:33.242771	2013-08-04 20:17:33.242771	259
41934	199652	18110	2013-08-04 20:17:33.246589	2013-08-04 20:17:33.246589	259
41935	199588	27906	2013-08-04 20:17:33.255244	2013-08-04 20:17:33.255244	259
41936	199588	27830	2013-08-04 20:17:33.259844	2013-08-04 20:17:33.259844	259
41937	199588	27876	2013-08-04 20:17:33.264579	2013-08-04 20:17:33.264579	259
41938	199588	27856	2013-08-04 20:17:33.269392	2013-08-04 20:17:33.269392	259
41939	199533	27836	2013-08-04 20:17:33.278023	2013-08-04 20:17:33.278023	259
41940	199533	27816	2013-08-04 20:17:33.283211	2013-08-04 20:17:33.283211	259
41941	199533	26421	2013-08-04 20:17:33.288291	2013-08-04 20:17:33.288291	259
41942	199533	41880	2013-08-04 20:17:33.293023	2013-08-04 20:17:33.293023	259
41943	200526	41981	2013-08-04 20:17:33.320963	2013-08-04 20:17:33.320963	259
41944	200526	41766	2013-08-04 20:17:33.329175	2013-08-04 20:17:33.329175	259
41945	200526	35240	2013-08-04 20:17:33.337401	2013-08-04 20:17:33.337401	259
41946	200526	41673	2013-08-04 20:17:33.342527	2013-08-04 20:17:33.342527	259
41947	200526	41613	2013-08-04 20:17:33.348669	2013-08-04 20:17:33.348669	259
41948	200710	35599	2013-08-04 20:17:33.419744	2013-08-04 20:17:33.419744	259
41949	200710	17731	2013-08-04 20:17:33.43131	2013-08-04 20:17:33.43131	259
41950	200710	35579	2013-08-04 20:17:33.442722	2013-08-04 20:17:33.442722	259
41951	200710	35533	2013-08-04 20:17:33.454042	2013-08-04 20:17:33.454042	259
41952	200710	35613	2013-08-04 20:17:33.465183	2013-08-04 20:17:33.465183	259
41953	200710	35633	2013-08-04 20:17:33.476558	2013-08-04 20:17:33.476558	259
41954	199596	35498	2013-08-04 20:17:33.499919	2013-08-04 20:17:33.499919	259
41955	199596	35559	2013-08-04 20:17:33.509837	2013-08-04 20:17:33.509837	259
41956	199596	35539	2013-08-04 20:17:33.519767	2013-08-04 20:17:33.519767	259
41957	199596	35530	2013-08-04 20:17:33.531467	2013-08-04 20:17:33.531467	259
41958	199596	35519	2013-08-04 20:17:33.543942	2013-08-04 20:17:33.543942	259
41959	199596	35598	2013-08-04 20:17:33.55692	2013-08-04 20:17:33.55692	259
41960	199556	35499	2013-08-04 20:17:33.568656	2013-08-04 20:17:33.568656	259
41961	199556	35606	2013-08-04 20:17:33.57605	2013-08-04 20:17:33.57605	259
41962	199556	19666	2013-08-04 20:17:33.580857	2013-08-04 20:17:33.580857	259
41963	199556	35479	2013-08-04 20:17:33.585896	2013-08-04 20:17:33.585896	259
41964	199556	18781	2013-08-04 20:17:33.59037	2013-08-04 20:17:33.59037	259
41965	199556	41700	2013-08-04 20:17:33.594431	2013-08-04 20:17:33.594431	259
41966	199564	42232	2013-08-04 20:17:33.973706	2013-08-04 20:17:33.973706	259
41967	199564	42233	2013-08-04 20:17:33.98574	2013-08-04 20:17:33.98574	259
41968	199564	42213	2013-08-04 20:17:33.996738	2013-08-04 20:17:33.996738	259
41969	199564	42080	2013-08-04 20:17:34.007511	2013-08-04 20:17:34.007511	259
41970	199564	42193	2013-08-04 20:17:34.017887	2013-08-04 20:17:34.017887	259
41971	199564	42173	2013-08-04 20:17:34.028673	2013-08-04 20:17:34.028673	259
41972	199564	42135	2013-08-04 20:17:34.040082	2013-08-04 20:17:34.040082	259
41973	199564	42153	2013-08-04 20:17:34.052093	2013-08-04 20:17:34.052093	259
41974	199564	42133	2013-08-04 20:17:34.06397	2013-08-04 20:17:34.06397	259
41975	199564	42113	2013-08-04 20:17:34.075163	2013-08-04 20:17:34.075163	259
41976	199564	42117	2013-08-04 20:17:34.086817	2013-08-04 20:17:34.086817	259
41977	199564	42093	2013-08-04 20:17:34.099077	2013-08-04 20:17:34.099077	259
41978	199564	41955	2013-08-04 20:17:34.108357	2013-08-04 20:17:34.108357	259
41979	199564	42073	2013-08-04 20:17:34.115604	2013-08-04 20:17:34.115604	259
41980	199564	42053	2013-08-04 20:17:34.121883	2013-08-04 20:17:34.121883	259
41981	199564	42060	2013-08-04 20:17:34.126655	2013-08-04 20:17:34.126655	259
41982	199564	42033	2013-08-04 20:17:34.13129	2013-08-04 20:17:34.13129	259
41983	199564	41972	2013-08-04 20:17:34.136366	2013-08-04 20:17:34.136366	259
41984	199564	42013	2013-08-04 20:17:34.140919	2013-08-04 20:17:34.140919	259
41985	200708	19863	2013-08-04 20:17:34.154184	2013-08-04 20:17:34.154184	259
41986	200708	17130	2013-08-04 20:17:34.157438	2013-08-04 20:17:34.157438	259
41987	200708	17390	2013-08-04 20:17:34.161733	2013-08-04 20:17:34.161733	259
41988	200708	12976	2013-08-04 20:17:34.168761	2013-08-04 20:17:34.168761	259
41989	200708	37203	2013-08-04 20:17:34.173381	2013-08-04 20:17:34.173381	259
41990	200708	16409	2013-08-04 20:17:34.179451	2013-08-04 20:17:34.179451	259
41991	200708	24121	2013-08-04 20:17:34.185692	2013-08-04 20:17:34.185692	259
41992	200708	16389	2013-08-04 20:17:34.189215	2013-08-04 20:17:34.189215	259
41993	200708	16369	2013-08-04 20:17:34.193032	2013-08-04 20:17:34.193032	259
41994	200708	16403	2013-08-04 20:17:34.197041	2013-08-04 20:17:34.197041	259
41995	200708	39388	2013-08-04 20:17:34.201033	2013-08-04 20:17:34.201033	259
41996	200708	36663	2013-08-04 20:17:34.206115	2013-08-04 20:17:34.206115	259
41997	200708	28852	2013-08-04 20:17:34.212663	2013-08-04 20:17:34.212663	259
41998	200708	34723	2013-08-04 20:17:34.221061	2013-08-04 20:17:34.221061	259
41999	200708	20021	2013-08-04 20:17:34.229437	2013-08-04 20:17:34.229437	259
42000	200708	28975	2013-08-04 20:17:34.238136	2013-08-04 20:17:34.238136	259
42001	200708	36823	2013-08-04 20:17:34.246876	2013-08-04 20:17:34.246876	259
42002	200708	19203	2013-08-04 20:17:34.255443	2013-08-04 20:17:34.255443	259
42003	200708	29495	2013-08-04 20:17:34.264335	2013-08-04 20:17:34.264335	259
42004	200701	19863	2013-08-04 20:17:34.29594	2013-08-04 20:17:34.29594	259
42005	200701	17130	2013-08-04 20:17:34.304346	2013-08-04 20:17:34.304346	259
42006	200701	17390	2013-08-04 20:17:34.312609	2013-08-04 20:17:34.312609	259
42007	200701	12976	2013-08-04 20:17:34.320695	2013-08-04 20:17:34.320695	259
42008	200701	37203	2013-08-04 20:17:34.328944	2013-08-04 20:17:34.328944	259
42009	200701	16409	2013-08-04 20:17:34.337392	2013-08-04 20:17:34.337392	259
42010	200701	24121	2013-08-04 20:17:34.345843	2013-08-04 20:17:34.345843	259
42011	200701	16389	2013-08-04 20:17:34.354178	2013-08-04 20:17:34.354178	259
42012	200701	16369	2013-08-04 20:17:34.362927	2013-08-04 20:17:34.362927	259
42013	200701	16403	2013-08-04 20:17:34.371297	2013-08-04 20:17:34.371297	259
42014	200701	39388	2013-08-04 20:17:34.379607	2013-08-04 20:17:34.379607	259
42015	200701	36663	2013-08-04 20:17:34.388016	2013-08-04 20:17:34.388016	259
42016	200701	28852	2013-08-04 20:17:34.394846	2013-08-04 20:17:34.394846	259
42017	200701	34723	2013-08-04 20:17:34.399958	2013-08-04 20:17:34.399958	259
42018	200701	20021	2013-08-04 20:17:34.405211	2013-08-04 20:17:34.405211	259
42019	200701	28975	2013-08-04 20:17:34.408575	2013-08-04 20:17:34.408575	259
42020	200701	36823	2013-08-04 20:17:34.411538	2013-08-04 20:17:34.411538	259
42021	200701	19203	2013-08-04 20:17:34.414354	2013-08-04 20:17:34.414354	259
42022	200701	29495	2013-08-04 20:17:34.417022	2013-08-04 20:17:34.417022	259
42023	199516	41813	2013-08-04 20:17:34.433967	2013-08-04 20:17:34.433967	259
42024	199516	41133	2013-08-04 20:17:34.439192	2013-08-04 20:17:34.439192	259
42025	199516	41000	2013-08-04 20:17:34.445158	2013-08-04 20:17:34.445158	259
42026	199516	35172	2013-08-04 20:17:34.448882	2013-08-04 20:17:34.448882	259
42027	199516	18749	2013-08-04 20:17:34.453696	2013-08-04 20:17:34.453696	259
42028	199516	18429	2013-08-04 20:17:34.460513	2013-08-04 20:17:34.460513	259
42029	199516	42006	2013-08-04 20:17:34.470033	2013-08-04 20:17:34.470033	259
42030	199516	41905	2013-08-04 20:17:34.480331	2013-08-04 20:17:34.480331	259
42031	199516	17490	2013-08-04 20:17:34.490759	2013-08-04 20:17:34.490759	259
42032	199516	41373	2013-08-04 20:17:34.50094	2013-08-04 20:17:34.50094	259
42033	199516	40873	2013-08-04 20:17:34.511141	2013-08-04 20:17:34.511141	259
42034	201027	42393	2013-08-04 20:22:38.241147	2013-08-04 20:22:38.241147	260
42035	201027	41840	2013-08-04 20:22:38.2481	2013-08-04 20:22:38.2481	260
42036	201027	28276	2013-08-04 20:22:38.256657	2013-08-04 20:22:38.256657	260
42037	201027	19309	2013-08-04 20:22:38.268947	2013-08-04 20:22:38.268947	260
42038	201027	42632	2013-08-04 20:22:38.283008	2013-08-04 20:22:38.283008	260
42039	201027	7864	2013-08-04 20:22:38.296854	2013-08-04 20:22:38.296854	260
42040	201023	42865	2013-08-04 20:22:38.58514	2013-08-04 20:22:38.58514	260
42041	201023	42866	2013-08-04 20:22:38.590653	2013-08-04 20:22:38.590653	260
42042	201023	42852	2013-08-04 20:22:38.597373	2013-08-04 20:22:38.597373	260
42043	201023	42795	2013-08-04 20:22:38.605082	2013-08-04 20:22:38.605082	260
42044	201023	42846	2013-08-04 20:22:38.61498	2013-08-04 20:22:38.61498	260
42045	201023	42820	2013-08-04 20:22:38.62859	2013-08-04 20:22:38.62859	260
42046	201023	42826	2013-08-04 20:22:38.645088	2013-08-04 20:22:38.645088	260
42047	201023	42806	2013-08-04 20:22:38.661345	2013-08-04 20:22:38.661345	260
42048	201023	42781	2013-08-04 20:22:38.667551	2013-08-04 20:22:38.667551	260
42049	201023	42786	2013-08-04 20:22:38.673759	2013-08-04 20:22:38.673759	260
42050	201023	42718	2013-08-04 20:22:38.681209	2013-08-04 20:22:38.681209	260
42051	201023	42766	2013-08-04 20:22:38.687877	2013-08-04 20:22:38.687877	260
42052	201023	42841	2013-08-04 20:22:38.693213	2013-08-04 20:22:38.693213	260
42053	201023	42746	2013-08-04 20:22:38.699078	2013-08-04 20:22:38.699078	260
42054	201023	42726	2013-08-04 20:22:38.705437	2013-08-04 20:22:38.705437	260
42055	201023	42706	2013-08-04 20:22:38.710698	2013-08-04 20:22:38.710698	260
42056	201023	42340	2013-08-04 20:22:38.715377	2013-08-04 20:22:38.715377	260
42057	201023	7718	2013-08-04 20:22:38.719868	2013-08-04 20:22:38.719868	260
42058	201023	19245	2013-08-04 20:22:38.725372	2013-08-04 20:22:38.725372	260
42059	201020	2089	2013-08-04 20:22:38.745671	2013-08-04 20:22:38.745671	260
42060	201020	2142	2013-08-04 20:22:38.751659	2013-08-04 20:22:38.751659	260
42061	201020	2184	2013-08-04 20:22:38.758536	2013-08-04 20:22:38.758536	260
42062	201020	11107	2013-08-04 20:22:38.765127	2013-08-04 20:22:38.765127	260
42063	201020	11087	2013-08-04 20:22:38.771532	2013-08-04 20:22:38.771532	260
42064	201020	2161	2013-08-04 20:22:38.777731	2013-08-04 20:22:38.777731	260
42065	201020	42606	2013-08-04 20:22:38.78428	2013-08-04 20:22:38.78428	260
42066	201020	41700	2013-08-04 20:22:38.789932	2013-08-04 20:22:38.789932	260
42067	201020	35606	2013-08-04 20:22:38.795338	2013-08-04 20:22:38.795338	260
42068	201020	35499	2013-08-04 20:22:38.800785	2013-08-04 20:22:38.800785	260
42069	201020	47603	2013-08-04 20:22:38.80607	2013-08-04 20:22:38.80607	260
42070	201020	7749	2013-08-04 20:22:38.814421	2013-08-04 20:22:38.814421	260
42071	201020	36863	2013-08-04 20:22:38.828197	2013-08-04 20:22:38.828197	260
42072	201020	7329	2013-08-04 20:22:38.837739	2013-08-04 20:22:38.837739	260
42073	201020	31535	2013-08-04 20:22:38.846836	2013-08-04 20:22:38.846836	260
42074	201020	36763	2013-08-04 20:22:38.852823	2013-08-04 20:22:38.852823	260
42075	201020	41846	2013-08-04 20:22:38.864167	2013-08-04 20:22:38.864167	260
42076	201020	42035	2013-08-04 20:22:38.876078	2013-08-04 20:22:38.876078	260
42077	201020	7820	2013-08-04 20:22:38.891231	2013-08-04 20:22:38.891231	260
42078	201022	42073	2013-08-04 20:22:38.931439	2013-08-04 20:22:38.931439	260
42079	201022	41955	2013-08-04 20:22:38.936287	2013-08-04 20:22:38.936287	260
42080	201022	42068	2013-08-04 20:22:38.941812	2013-08-04 20:22:38.941812	260
42081	201022	42052	2013-08-04 20:22:38.94757	2013-08-04 20:22:38.94757	260
42082	201022	42048	2013-08-04 20:22:38.954253	2013-08-04 20:22:38.954253	260
42083	201022	42028	2013-08-04 20:22:38.959965	2013-08-04 20:22:38.959965	260
42084	201022	42008	2013-08-04 20:22:38.965604	2013-08-04 20:22:38.965604	260
42085	201022	41988	2013-08-04 20:22:38.971012	2013-08-04 20:22:38.971012	260
42086	201022	41985	2013-08-04 20:22:38.976992	2013-08-04 20:22:38.976992	260
42087	201022	41968	2013-08-04 20:22:38.982743	2013-08-04 20:22:38.982743	260
42088	201022	41948	2013-08-04 20:22:38.989845	2013-08-04 20:22:38.989845	260
42089	201022	41928	2013-08-04 20:22:38.996374	2013-08-04 20:22:38.996374	260
42090	201022	41913	2013-08-04 20:22:39.002267	2013-08-04 20:22:39.002267	260
42091	201022	41908	2013-08-04 20:22:39.007416	2013-08-04 20:22:39.007416	260
42092	201022	41890	2013-08-04 20:22:39.014447	2013-08-04 20:22:39.014447	260
42093	201022	41888	2013-08-04 20:22:39.020284	2013-08-04 20:22:39.020284	260
42094	201022	19249	2013-08-04 20:22:39.028559	2013-08-04 20:22:39.028559	260
42095	201022	42586	2013-08-04 20:22:39.040038	2013-08-04 20:22:39.040038	260
42096	201022	7783	2013-08-04 20:22:39.054812	2013-08-04 20:22:39.054812	260
42097	201743	35172	2013-08-04 20:22:39.094723	2013-08-04 20:22:39.094723	260
42098	201719	28176	2013-08-04 20:22:39.107342	2013-08-04 20:22:39.107342	260
42099	201598	19229	2013-08-04 20:22:39.118263	2013-08-04 20:22:39.118263	260
42100	201348	18749	2013-08-04 20:22:39.130802	2013-08-04 20:22:39.130802	260
42101	201241	18429	2013-08-04 20:22:39.143636	2013-08-04 20:22:39.143636	260
42102	201197	42546	2013-08-04 20:22:39.15363	2013-08-04 20:22:39.15363	260
42103	201132	17490	2013-08-04 20:22:39.167553	2013-08-04 20:22:39.167553	260
42104	201111	41905	2013-08-04 20:22:39.194837	2013-08-04 20:22:39.194837	260
42105	201099	42006	2013-08-04 20:22:39.220985	2013-08-04 20:22:39.220985	260
42106	201079	7732	2013-08-04 20:22:39.244359	2013-08-04 20:22:39.244359	260
42107	201057	41373	2013-08-04 20:22:39.274161	2013-08-04 20:22:39.274161	260
42108	201017	40873	2013-08-04 20:22:39.303878	2013-08-04 20:22:39.303878	260
42109	201028	42273	2013-08-04 20:22:39.386502	2013-08-04 20:22:39.386502	260
42110	201028	26381	2013-08-04 20:22:39.398354	2013-08-04 20:22:39.398354	260
42111	201028	18216	2013-08-04 20:22:39.409744	2013-08-04 20:22:39.409744	260
42112	201028	42480	2013-08-04 20:22:39.425086	2013-08-04 20:22:39.425086	260
42113	201028	42013	2013-08-04 20:22:39.440109	2013-08-04 20:22:39.440109	260
42114	201028	7772	2013-08-04 20:22:39.448147	2013-08-04 20:22:39.448147	260
42115	202070	19863	2013-08-04 20:22:39.48878	2013-08-04 20:22:39.48878	260
42116	202070	17130	2013-08-04 20:22:39.49409	2013-08-04 20:22:39.49409	260
42117	202070	17390	2013-08-04 20:22:39.497478	2013-08-04 20:22:39.497478	260
42118	202070	12976	2013-08-04 20:22:39.500869	2013-08-04 20:22:39.500869	260
42119	202070	37203	2013-08-04 20:22:39.503753	2013-08-04 20:22:39.503753	260
42120	202070	16409	2013-08-04 20:22:39.507761	2013-08-04 20:22:39.507761	260
42121	202070	24121	2013-08-04 20:22:39.511969	2013-08-04 20:22:39.511969	260
42122	202070	16389	2013-08-04 20:22:39.5157	2013-08-04 20:22:39.5157	260
42123	202070	16369	2013-08-04 20:22:39.520184	2013-08-04 20:22:39.520184	260
42124	202070	16403	2013-08-04 20:22:39.524493	2013-08-04 20:22:39.524493	260
42125	202070	39388	2013-08-04 20:22:39.530398	2013-08-04 20:22:39.530398	260
42126	202070	36663	2013-08-04 20:22:39.539154	2013-08-04 20:22:39.539154	260
42127	202070	28852	2013-08-04 20:22:39.551289	2013-08-04 20:22:39.551289	260
42128	202070	34723	2013-08-04 20:22:39.564056	2013-08-04 20:22:39.564056	260
42129	202070	20021	2013-08-04 20:22:39.576974	2013-08-04 20:22:39.576974	260
42130	202070	28975	2013-08-04 20:22:39.587714	2013-08-04 20:22:39.587714	260
42131	202070	36823	2013-08-04 20:22:39.592868	2013-08-04 20:22:39.592868	260
42132	202070	19203	2013-08-04 20:22:39.600263	2013-08-04 20:22:39.600263	260
42133	202070	29495	2013-08-04 20:22:39.605772	2013-08-04 20:22:39.605772	260
42134	202072	19863	2013-08-04 20:22:39.628326	2013-08-04 20:22:39.628326	260
42135	202072	17130	2013-08-04 20:22:39.636778	2013-08-04 20:22:39.636778	260
42136	202072	17390	2013-08-04 20:22:39.641004	2013-08-04 20:22:39.641004	260
42137	202072	12976	2013-08-04 20:22:39.645264	2013-08-04 20:22:39.645264	260
42138	202072	37203	2013-08-04 20:22:39.649099	2013-08-04 20:22:39.649099	260
42139	202072	16409	2013-08-04 20:22:39.652191	2013-08-04 20:22:39.652191	260
42140	202072	24121	2013-08-04 20:22:39.655854	2013-08-04 20:22:39.655854	260
42141	202072	16389	2013-08-04 20:22:39.660024	2013-08-04 20:22:39.660024	260
42142	202072	16369	2013-08-04 20:22:39.666149	2013-08-04 20:22:39.666149	260
42143	202072	16403	2013-08-04 20:22:39.670716	2013-08-04 20:22:39.670716	260
42144	202072	39388	2013-08-04 20:22:39.67771	2013-08-04 20:22:39.67771	260
42145	202072	36663	2013-08-04 20:22:39.68345	2013-08-04 20:22:39.68345	260
42146	202072	28852	2013-08-04 20:22:39.692199	2013-08-04 20:22:39.692199	260
42147	202072	34723	2013-08-04 20:22:39.699495	2013-08-04 20:22:39.699495	260
42148	202072	20021	2013-08-04 20:22:39.7046	2013-08-04 20:22:39.7046	260
42149	202072	28975	2013-08-04 20:22:39.709134	2013-08-04 20:22:39.709134	260
42150	202072	36823	2013-08-04 20:22:39.713031	2013-08-04 20:22:39.713031	260
42151	202072	19203	2013-08-04 20:22:39.715911	2013-08-04 20:22:39.715911	260
42152	202072	29495	2013-08-04 20:22:39.719792	2013-08-04 20:22:39.719792	260
42153	202073	19863	2013-08-04 20:22:39.747739	2013-08-04 20:22:39.747739	260
42154	202073	17130	2013-08-04 20:22:39.756585	2013-08-04 20:22:39.756585	260
42155	202073	17390	2013-08-04 20:22:39.764189	2013-08-04 20:22:39.764189	260
42156	202073	12976	2013-08-04 20:22:39.772297	2013-08-04 20:22:39.772297	260
42157	202073	37203	2013-08-04 20:22:39.779972	2013-08-04 20:22:39.779972	260
42158	202073	16409	2013-08-04 20:22:39.783878	2013-08-04 20:22:39.783878	260
42159	202073	24121	2013-08-04 20:22:39.787615	2013-08-04 20:22:39.787615	260
42160	202073	16389	2013-08-04 20:22:39.792434	2013-08-04 20:22:39.792434	260
42161	202073	16369	2013-08-04 20:22:39.796685	2013-08-04 20:22:39.796685	260
42162	202073	16403	2013-08-04 20:22:39.806469	2013-08-04 20:22:39.806469	260
42163	202073	39388	2013-08-04 20:22:39.815653	2013-08-04 20:22:39.815653	260
42164	202073	36663	2013-08-04 20:22:39.826626	2013-08-04 20:22:39.826626	260
42165	202073	28852	2013-08-04 20:22:39.839397	2013-08-04 20:22:39.839397	260
42166	202073	34723	2013-08-04 20:22:39.852495	2013-08-04 20:22:39.852495	260
42167	202073	20021	2013-08-04 20:22:39.863524	2013-08-04 20:22:39.863524	260
42168	202073	28975	2013-08-04 20:22:39.867075	2013-08-04 20:22:39.867075	260
42169	202073	36823	2013-08-04 20:22:39.871337	2013-08-04 20:22:39.871337	260
42170	202073	19203	2013-08-04 20:22:39.877494	2013-08-04 20:22:39.877494	260
42171	202073	29495	2013-08-04 20:22:39.887514	2013-08-04 20:22:39.887514	260
42172	201030	41972	2013-08-04 20:22:40.080573	2013-08-04 20:22:40.080573	260
42173	201030	7766	2013-08-04 20:22:40.091842	2013-08-04 20:22:40.091842	260
42174	201200	19265	2013-08-04 20:22:40.158443	2013-08-04 20:22:40.158443	260
42175	201104	42686	2013-08-04 20:22:40.176269	2013-08-04 20:22:40.176269	260
42176	201071	17490	2013-08-04 20:22:40.188682	2013-08-04 20:22:40.188682	260
42177	201047	7986	2013-08-04 20:22:40.204681	2013-08-04 20:22:40.204681	260
42178	201045	7951	2013-08-04 20:22:40.26741	2013-08-04 20:22:40.26741	260
42179	201045	7971	2013-08-04 20:22:40.273428	2013-08-04 20:22:40.273428	260
42180	201045	7991	2013-08-04 20:22:40.278848	2013-08-04 20:22:40.278848	260
42181	201045	8004	2013-08-04 20:22:40.286183	2013-08-04 20:22:40.286183	260
42182	201045	7984	2013-08-04 20:22:40.291742	2013-08-04 20:22:40.291742	260
42183	201045	7964	2013-08-04 20:22:40.298382	2013-08-04 20:22:40.298382	260
42184	201045	7944	2013-08-04 20:22:40.306268	2013-08-04 20:22:40.306268	260
42185	201045	7924	2013-08-04 20:22:40.316172	2013-08-04 20:22:40.316172	260
42186	201045	41366	2013-08-04 20:22:40.322356	2013-08-04 20:22:40.322356	260
42187	201045	41583	2013-08-04 20:22:40.327574	2013-08-04 20:22:40.327574	260
42188	201045	41966	2013-08-04 20:22:40.335298	2013-08-04 20:22:40.335298	260
42189	201045	7904	2013-08-04 20:22:40.340979	2013-08-04 20:22:40.340979	260
42190	201045	42206	2013-08-04 20:22:40.351619	2013-08-04 20:22:40.351619	260
42191	201045	7866	2013-08-04 20:22:40.365907	2013-08-04 20:22:40.365907	260
42192	201045	7981	2013-08-04 20:22:40.382246	2013-08-04 20:22:40.382246	260
42193	201045	7926	2013-08-04 20:22:40.398271	2013-08-04 20:22:40.398271	260
42194	201045	8001	2013-08-04 20:22:40.413763	2013-08-04 20:22:40.413763	260
42195	201045	7884	2013-08-04 20:22:40.429365	2013-08-04 20:22:40.429365	260
42196	201045	12838	2013-08-04 20:22:40.445173	2013-08-04 20:22:40.445173	260
42197	201019	2102	2013-08-04 20:22:40.502953	2013-08-04 20:22:40.502953	260
42198	201019	2186	2013-08-04 20:22:40.519367	2013-08-04 20:22:40.519367	260
42199	201019	2122	2013-08-04 20:22:40.53574	2013-08-04 20:22:40.53574	260
42200	201019	11283	2013-08-04 20:22:40.548166	2013-08-04 20:22:40.548166	260
42201	201019	11227	2013-08-04 20:22:40.553545	2013-08-04 20:22:40.553545	260
42202	201019	11207	2013-08-04 20:22:40.564117	2013-08-04 20:22:40.564117	260
42203	201019	11220	2013-08-04 20:22:40.569948	2013-08-04 20:22:40.569948	260
42204	201019	11187	2013-08-04 20:22:40.581184	2013-08-04 20:22:40.581184	260
42205	201019	11043	2013-08-04 20:22:40.594345	2013-08-04 20:22:40.594345	260
42206	201019	11240	2013-08-04 20:22:40.609649	2013-08-04 20:22:40.609649	260
42207	201019	11167	2013-08-04 20:22:40.621625	2013-08-04 20:22:40.621625	260
42208	201019	11086	2013-08-04 20:22:40.628265	2013-08-04 20:22:40.628265	260
42209	201019	10997	2013-08-04 20:22:40.635403	2013-08-04 20:22:40.635403	260
42210	201019	11147	2013-08-04 20:22:40.646829	2013-08-04 20:22:40.646829	260
42211	201019	11037	2013-08-04 20:22:40.659917	2013-08-04 20:22:40.659917	260
42212	201019	11127	2013-08-04 20:22:40.66645	2013-08-04 20:22:40.66645	260
42213	201019	2109	2013-08-04 20:22:40.672109	2013-08-04 20:22:40.672109	260
42214	201019	17490	2013-08-04 20:22:40.677969	2013-08-04 20:22:40.677969	260
42215	201019	41373	2013-08-04 20:22:40.685641	2013-08-04 20:22:40.685641	260
42216	201960	42148	2013-08-04 20:22:40.745262	2013-08-04 20:22:40.745262	260
42217	201960	42173	2013-08-04 20:22:40.760516	2013-08-04 20:22:40.760516	260
42218	201960	42193	2013-08-04 20:22:40.773386	2013-08-04 20:22:40.773386	260
42219	201960	42128	2013-08-04 20:22:40.788671	2013-08-04 20:22:40.788671	260
42220	201565	42177	2013-08-04 20:22:40.823314	2013-08-04 20:22:40.823314	260
42221	201565	42138	2013-08-04 20:22:40.839217	2013-08-04 20:22:40.839217	260
42222	201565	42080	2013-08-04 20:22:40.854188	2013-08-04 20:22:40.854188	260
42223	201565	42213	2013-08-04 20:22:40.869122	2013-08-04 20:22:40.869122	260
42224	201202	42108	2013-08-04 20:22:40.900301	2013-08-04 20:22:40.900301	260
42225	201202	42233	2013-08-04 20:22:40.913672	2013-08-04 20:22:40.913672	260
42226	201202	42232	2013-08-04 20:22:40.928172	2013-08-04 20:22:40.928172	260
42227	201202	42088	2013-08-04 20:22:40.943593	2013-08-04 20:22:40.943593	260
42228	201068	42060	2013-08-04 20:22:40.975623	2013-08-04 20:22:40.975623	260
42229	201068	42053	2013-08-04 20:22:40.990764	2013-08-04 20:22:40.990764	260
42230	201068	41995	2013-08-04 20:22:41.008329	2013-08-04 20:22:41.008329	260
42231	201068	7732	2013-08-04 20:22:41.020987	2013-08-04 20:22:41.020987	260
42232	201065	19621	2013-08-04 20:22:41.096967	2013-08-04 20:22:41.096967	260
42233	201065	19509	2013-08-04 20:22:41.10155	2013-08-04 20:22:41.10155	260
42234	201065	19489	2013-08-04 20:22:41.110593	2013-08-04 20:22:41.110593	260
42235	201065	19575	2013-08-04 20:22:41.121795	2013-08-04 20:22:41.121795	260
42236	201065	36403	2013-08-04 20:22:41.133625	2013-08-04 20:22:41.133625	260
42237	201065	19469	2013-08-04 20:22:41.140624	2013-08-04 20:22:41.140624	260
42238	201065	19449	2013-08-04 20:22:41.146735	2013-08-04 20:22:41.146735	260
42239	201065	19429	2013-08-04 20:22:41.151541	2013-08-04 20:22:41.151541	260
42240	201065	20966	2013-08-04 20:22:41.157172	2013-08-04 20:22:41.157172	260
42241	201055	19409	2013-08-04 20:22:41.169958	2013-08-04 20:22:41.169958	260
42242	201055	19389	2013-08-04 20:22:41.176776	2013-08-04 20:22:41.176776	260
42243	201055	19395	2013-08-04 20:22:41.184084	2013-08-04 20:22:41.184084	260
42244	201055	19369	2013-08-04 20:22:41.189512	2013-08-04 20:22:41.189512	260
42245	201055	19349	2013-08-04 20:22:41.197108	2013-08-04 20:22:41.197108	260
42246	201055	19329	2013-08-04 20:22:41.203429	2013-08-04 20:22:41.203429	260
42247	201055	19457	2013-08-04 20:22:41.209675	2013-08-04 20:22:41.209675	260
42248	201055	19405	2013-08-04 20:22:41.215466	2013-08-04 20:22:41.215466	260
42249	201055	7712	2013-08-04 20:22:41.220796	2013-08-04 20:22:41.220796	260
42250	201205	35761	2013-08-04 20:22:41.26312	2013-08-04 20:22:41.26312	260
42251	201205	35671	2013-08-04 20:22:41.268096	2013-08-04 20:22:41.268096	260
42252	201205	35651	2013-08-04 20:22:41.27281	2013-08-04 20:22:41.27281	260
42253	201205	35641	2013-08-04 20:22:41.282734	2013-08-04 20:22:41.282734	260
42254	201205	35631	2013-08-04 20:22:41.293995	2013-08-04 20:22:41.293995	260
42255	201205	35611	2013-08-04 20:22:41.304991	2013-08-04 20:22:41.304991	260
42256	201102	35591	2013-08-04 20:22:41.329208	2013-08-04 20:22:41.329208	260
42257	201102	35571	2013-08-04 20:22:41.340974	2013-08-04 20:22:41.340974	260
42258	201102	35551	2013-08-04 20:22:41.352889	2013-08-04 20:22:41.352889	260
42259	201102	35531	2013-08-04 20:22:41.36429	2013-08-04 20:22:41.36429	260
42260	201102	35558	2013-08-04 20:22:41.375407	2013-08-04 20:22:41.375407	260
42261	201102	35511	2013-08-04 20:22:41.38707	2013-08-04 20:22:41.38707	260
42262	201088	28156	2013-08-04 20:22:41.41148	2013-08-04 20:22:41.41148	260
42263	201088	19270	2013-08-04 20:22:41.42234	2013-08-04 20:22:41.42234	260
42264	201088	41905	2013-08-04 20:22:41.432807	2013-08-04 20:22:41.432807	260
42265	201088	42526	2013-08-04 20:22:41.443689	2013-08-04 20:22:41.443689	260
42266	201088	28216	2013-08-04 20:22:41.455182	2013-08-04 20:22:41.455182	260
42267	201088	7752	2013-08-04 20:22:41.465402	2013-08-04 20:22:41.465402	260
42268	202074	17130	2013-08-04 20:22:41.580962	2013-08-04 20:22:41.580962	260
42269	202074	17390	2013-08-04 20:22:41.589892	2013-08-04 20:22:41.589892	260
42270	202074	12976	2013-08-04 20:22:41.599153	2013-08-04 20:22:41.599153	260
42271	202074	37203	2013-08-04 20:22:41.608367	2013-08-04 20:22:41.608367	260
42272	202074	16409	2013-08-04 20:22:41.617129	2013-08-04 20:22:41.617129	260
42273	202074	24121	2013-08-04 20:22:41.626527	2013-08-04 20:22:41.626527	260
42274	202074	16389	2013-08-04 20:22:41.634451	2013-08-04 20:22:41.634451	260
42275	202074	16369	2013-08-04 20:22:41.645592	2013-08-04 20:22:41.645592	260
42276	202074	16403	2013-08-04 20:22:41.654192	2013-08-04 20:22:41.654192	260
42277	201644	39388	2013-08-04 20:22:41.66465	2013-08-04 20:22:41.66465	260
42278	201644	36663	2013-08-04 20:22:41.669314	2013-08-04 20:22:41.669314	260
42279	201644	28852	2013-08-04 20:22:41.674079	2013-08-04 20:22:41.674079	260
42280	201644	34723	2013-08-04 20:22:41.679312	2013-08-04 20:22:41.679312	260
42281	201644	20021	2013-08-04 20:22:41.684741	2013-08-04 20:22:41.684741	260
42282	201644	28975	2013-08-04 20:22:41.690471	2013-08-04 20:22:41.690471	260
42283	201644	36823	2013-08-04 20:22:41.695994	2013-08-04 20:22:41.695994	260
42284	201644	19203	2013-08-04 20:22:41.700556	2013-08-04 20:22:41.700556	260
42285	201644	29495	2013-08-04 20:22:41.704706	2013-08-04 20:22:41.704706	260
42286	201639	42486	2013-08-04 20:22:41.725853	2013-08-04 20:22:41.725853	260
42287	201639	42253	2013-08-04 20:22:41.732341	2013-08-04 20:22:41.732341	260
42288	201639	28116	2013-08-04 20:22:41.740313	2013-08-04 20:22:41.740313	260
42289	201639	45923	2013-08-04 20:22:41.749351	2013-08-04 20:22:41.749351	260
42290	201639	42093	2013-08-04 20:22:41.756881	2013-08-04 20:22:41.756881	260
42291	201639	7824	2013-08-04 20:22:41.761139	2013-08-04 20:22:41.761139	260
42292	201562	28436	2013-08-04 20:22:41.782069	2013-08-04 20:22:41.782069	260
42293	201562	6018	2013-08-04 20:22:41.791451	2013-08-04 20:22:41.791451	260
42294	201562	28335	2013-08-04 20:22:41.800397	2013-08-04 20:22:41.800397	260
42295	201562	28416	2013-08-04 20:22:41.813202	2013-08-04 20:22:41.813202	260
42296	201432	13999	2013-08-04 20:22:41.83135	2013-08-04 20:22:41.83135	260
42297	201432	4620	2013-08-04 20:22:41.836838	2013-08-04 20:22:41.836838	260
42298	201432	28396	2013-08-04 20:22:41.841739	2013-08-04 20:22:41.841739	260
42299	201432	28376	2013-08-04 20:22:41.84857	2013-08-04 20:22:41.84857	260
42300	201215	28356	2013-08-04 20:22:41.859975	2013-08-04 20:22:41.859975	260
42301	201215	28336	2013-08-04 20:22:41.867368	2013-08-04 20:22:41.867368	260
42302	201215	28316	2013-08-04 20:22:41.872288	2013-08-04 20:22:41.872288	260
42303	201215	28296	2013-08-04 20:22:41.876387	2013-08-04 20:22:41.876387	260
42304	201064	28136	2013-08-04 20:22:41.88348	2013-08-04 20:22:41.88348	260
42305	201064	19193	2013-08-04 20:22:41.89242	2013-08-04 20:22:41.89242	260
42306	201064	42117	2013-08-04 20:22:41.902389	2013-08-04 20:22:41.902389	260
42307	201064	7804	2013-08-04 20:22:41.912931	2013-08-04 20:22:41.912931	260
42308	201036	42446	2013-08-04 20:22:41.96378	2013-08-04 20:22:41.96378	260
42309	201036	27975	2013-08-04 20:22:41.975049	2013-08-04 20:22:41.975049	260
42310	201036	19209	2013-08-04 20:22:41.986154	2013-08-04 20:22:41.986154	260
42311	201036	19169	2013-08-04 20:22:41.997807	2013-08-04 20:22:41.997807	260
42312	201036	18749	2013-08-04 20:22:42.008849	2013-08-04 20:22:42.008849	260
42313	201036	42113	2013-08-04 20:22:42.019909	2013-08-04 20:22:42.019909	260
42314	201036	7784	2013-08-04 20:22:42.03053	2013-08-04 20:22:42.03053	260
42315	201208	35819	2013-08-04 20:22:42.134847	2013-08-04 20:22:42.134847	260
42316	201208	35799	2013-08-04 20:22:42.146668	2013-08-04 20:22:42.146668	260
42317	201208	35715	2013-08-04 20:22:42.155706	2013-08-04 20:22:42.155706	260
42318	201208	35779	2013-08-04 20:22:42.159404	2013-08-04 20:22:42.159404	260
42319	201208	35759	2013-08-04 20:22:42.164434	2013-08-04 20:22:42.164434	260
42320	201208	35739	2013-08-04 20:22:42.170669	2013-08-04 20:22:42.170669	260
42321	201078	35719	2013-08-04 20:22:42.18243	2013-08-04 20:22:42.18243	260
42322	201078	35699	2013-08-04 20:22:42.192149	2013-08-04 20:22:42.192149	260
42323	201078	35679	2013-08-04 20:22:42.200389	2013-08-04 20:22:42.200389	260
42324	201078	35659	2013-08-04 20:22:42.210074	2013-08-04 20:22:42.210074	260
42325	201078	35525	2013-08-04 20:22:42.221543	2013-08-04 20:22:42.221543	260
42326	201078	35639	2013-08-04 20:22:42.232858	2013-08-04 20:22:42.232858	260
42327	201021	35172	2013-08-04 20:22:42.255244	2013-08-04 20:22:42.255244	260
42328	201021	28096	2013-08-04 20:22:42.260307	2013-08-04 20:22:42.260307	260
42329	201021	19149	2013-08-04 20:22:42.264956	2013-08-04 20:22:42.264956	260
42330	201021	42450	2013-08-04 20:22:42.269191	2013-08-04 20:22:42.269191	260
42331	201021	42133	2013-08-04 20:22:42.273289	2013-08-04 20:22:42.273289	260
42332	201021	7764	2013-08-04 20:22:42.27809	2013-08-04 20:22:42.27809	260
42333	202075	32315	2013-08-04 20:22:42.635072	2013-08-04 20:22:42.635072	260
42334	202075	37483	2013-08-04 20:22:42.640682	2013-08-04 20:22:42.640682	260
42335	202075	20421	2013-08-04 20:22:42.648367	2013-08-04 20:22:42.648367	260
42336	202075	32335	2013-08-04 20:22:42.657277	2013-08-04 20:22:42.657277	260
42337	202075	27040	2013-08-04 20:22:42.666322	2013-08-04 20:22:42.666322	260
42338	202075	29815	2013-08-04 20:22:42.675439	2013-08-04 20:22:42.675439	260
42339	202075	37563	2013-08-04 20:22:42.683235	2013-08-04 20:22:42.683235	260
42340	202075	29541	2013-08-04 20:22:42.686631	2013-08-04 20:22:42.686631	260
42341	202075	32775	2013-08-04 20:22:42.689827	2013-08-04 20:22:42.689827	260
42342	202075	12932	2013-08-04 20:22:42.693126	2013-08-04 20:22:42.693126	260
42343	202075	17130	2013-08-04 20:22:42.696729	2013-08-04 20:22:42.696729	260
42344	202075	17390	2013-08-04 20:22:42.70021	2013-08-04 20:22:42.70021	260
42345	202075	12976	2013-08-04 20:22:42.703136	2013-08-04 20:22:42.703136	260
42346	202075	37203	2013-08-04 20:22:42.706561	2013-08-04 20:22:42.706561	260
42347	202075	16409	2013-08-04 20:22:42.709925	2013-08-04 20:22:42.709925	260
42348	202075	24121	2013-08-04 20:22:42.713353	2013-08-04 20:22:42.713353	260
42349	202075	16389	2013-08-04 20:22:42.716742	2013-08-04 20:22:42.716742	260
42350	202075	16369	2013-08-04 20:22:42.720423	2013-08-04 20:22:42.720423	260
42351	202075	16403	2013-08-04 20:22:42.723874	2013-08-04 20:22:42.723874	260
42352	202071	32315	2013-08-04 20:22:42.744838	2013-08-04 20:22:42.744838	260
42353	202071	37483	2013-08-04 20:22:42.747971	2013-08-04 20:22:42.747971	260
42354	202071	20421	2013-08-04 20:22:42.750716	2013-08-04 20:22:42.750716	260
42355	202071	32335	2013-08-04 20:22:42.753527	2013-08-04 20:22:42.753527	260
42356	202071	27040	2013-08-04 20:22:42.757129	2013-08-04 20:22:42.757129	260
42357	202071	29815	2013-08-04 20:22:42.761239	2013-08-04 20:22:42.761239	260
42358	202071	37563	2013-08-04 20:22:42.765354	2013-08-04 20:22:42.765354	260
42359	202071	29541	2013-08-04 20:22:42.76972	2013-08-04 20:22:42.76972	260
42360	202071	32775	2013-08-04 20:22:42.774503	2013-08-04 20:22:42.774503	260
42361	202071	12932	2013-08-04 20:22:42.778604	2013-08-04 20:22:42.778604	260
42362	202071	17130	2013-08-04 20:22:42.78233	2013-08-04 20:22:42.78233	260
42363	202071	17390	2013-08-04 20:22:42.786762	2013-08-04 20:22:42.786762	260
42364	202071	12976	2013-08-04 20:22:42.790988	2013-08-04 20:22:42.790988	260
42365	202071	37203	2013-08-04 20:22:42.793755	2013-08-04 20:22:42.793755	260
42366	202071	16409	2013-08-04 20:22:42.796434	2013-08-04 20:22:42.796434	260
42367	202071	24121	2013-08-04 20:22:42.799818	2013-08-04 20:22:42.799818	260
42368	202071	16389	2013-08-04 20:22:42.803512	2013-08-04 20:22:42.803512	260
42369	202071	16369	2013-08-04 20:22:42.806357	2013-08-04 20:22:42.806357	260
42370	202071	16403	2013-08-04 20:22:42.80924	2013-08-04 20:22:42.80924	260
42371	202361	42585	2013-08-04 20:27:33.690418	2013-08-04 20:27:33.690418	261
42372	202361	42348	2013-08-04 20:27:33.705868	2013-08-04 20:27:33.705868	261
42373	202361	29016	2013-08-04 20:27:33.718723	2013-08-04 20:27:33.718723	261
42374	202361	28736	2013-08-04 20:27:33.731423	2013-08-04 20:27:33.731423	261
42375	202361	14066	2013-08-04 20:27:33.743933	2013-08-04 20:27:33.743933	261
42376	202361	43086	2013-08-04 20:27:33.755289	2013-08-04 20:27:33.755289	261
42377	202371	43326	2013-08-04 20:27:33.964028	2013-08-04 20:27:33.964028	261
42378	202371	43290	2013-08-04 20:27:33.970851	2013-08-04 20:27:33.970851	261
42379	202371	43306	2013-08-04 20:27:33.978052	2013-08-04 20:27:33.978052	261
42380	202371	43286	2013-08-04 20:27:33.984551	2013-08-04 20:27:33.984551	261
42381	202371	43258	2013-08-04 20:27:33.991809	2013-08-04 20:27:33.991809	261
42382	202371	43266	2013-08-04 20:27:33.999532	2013-08-04 20:27:33.999532	261
42383	202371	43246	2013-08-04 20:27:34.006406	2013-08-04 20:27:34.006406	261
42384	202371	43218	2013-08-04 20:27:34.015004	2013-08-04 20:27:34.015004	261
42385	202371	43226	2013-08-04 20:27:34.021653	2013-08-04 20:27:34.021653	261
42386	202371	43206	2013-08-04 20:27:34.027192	2013-08-04 20:27:34.027192	261
42387	202371	43245	2013-08-04 20:27:34.035	2013-08-04 20:27:34.035	261
42388	202371	43186	2013-08-04 20:27:34.041115	2013-08-04 20:27:34.041115	261
42389	202371	43166	2013-08-04 20:27:34.053578	2013-08-04 20:27:34.053578	261
42390	202371	43146	2013-08-04 20:27:34.068537	2013-08-04 20:27:34.068537	261
42391	202371	43072	2013-08-04 20:27:34.083828	2013-08-04 20:27:34.083828	261
42392	202371	42553	2013-08-04 20:27:34.09923	2013-08-04 20:27:34.09923	261
42393	202371	42308	2013-08-04 20:27:34.114201	2013-08-04 20:27:34.114201	261
42394	202371	28956	2013-08-04 20:27:34.129095	2013-08-04 20:27:34.129095	261
42395	202371	19669	2013-08-04 20:27:34.142778	2013-08-04 20:27:34.142778	261
42396	202379	23303	2013-08-04 20:27:34.162156	2013-08-04 20:27:34.162156	261
42397	202379	10581	2013-08-04 20:27:34.168848	2013-08-04 20:27:34.168848	261
42398	202379	11247	2013-08-04 20:27:34.17499	2013-08-04 20:27:34.17499	261
42399	202379	2056	2013-08-04 20:27:34.186074	2013-08-04 20:27:34.186074	261
42400	202379	3892	2013-08-04 20:27:34.201401	2013-08-04 20:27:34.201401	261
42401	202379	43026	2013-08-04 20:27:34.217286	2013-08-04 20:27:34.217286	261
42402	202379	42133	2013-08-04 20:27:34.227567	2013-08-04 20:27:34.227567	261
42403	202379	42450	2013-08-04 20:27:34.234262	2013-08-04 20:27:34.234262	261
42404	202379	42117	2013-08-04 20:27:34.240527	2013-08-04 20:27:34.240527	261
42405	202379	28216	2013-08-04 20:27:34.247846	2013-08-04 20:27:34.247846	261
42406	202379	42526	2013-08-04 20:27:34.256113	2013-08-04 20:27:34.256113	261
42407	202379	41905	2013-08-04 20:27:34.262642	2013-08-04 20:27:34.262642	261
42408	202379	41995	2013-08-04 20:27:34.269822	2013-08-04 20:27:34.269822	261
42409	202379	42053	2013-08-04 20:27:34.275595	2013-08-04 20:27:34.275595	261
42410	202379	42060	2013-08-04 20:27:34.280883	2013-08-04 20:27:34.280883	261
42411	202379	7764	2013-08-04 20:27:34.286606	2013-08-04 20:27:34.286606	261
42412	202379	7804	2013-08-04 20:27:34.292655	2013-08-04 20:27:34.292655	261
42413	202379	7752	2013-08-04 20:27:34.297567	2013-08-04 20:27:34.297567	261
42414	202379	7732	2013-08-04 20:27:34.302885	2013-08-04 20:27:34.302885	261
42415	202372	42592	2013-08-04 20:27:34.338384	2013-08-04 20:27:34.338384	261
42416	202372	42628	2013-08-04 20:27:34.353978	2013-08-04 20:27:34.353978	261
42417	202372	42608	2013-08-04 20:27:34.367826	2013-08-04 20:27:34.367826	261
42418	202372	42588	2013-08-04 20:27:34.379445	2013-08-04 20:27:34.379445	261
42419	202372	42568	2013-08-04 20:27:34.383572	2013-08-04 20:27:34.383572	261
42420	202372	42548	2013-08-04 20:27:34.395748	2013-08-04 20:27:34.395748	261
42421	202372	42455	2013-08-04 20:27:34.41016	2013-08-04 20:27:34.41016	261
42422	202372	42475	2013-08-04 20:27:34.422464	2013-08-04 20:27:34.422464	261
42423	202372	42533	2013-08-04 20:27:34.43361	2013-08-04 20:27:34.43361	261
42424	202372	42528	2013-08-04 20:27:34.445333	2013-08-04 20:27:34.445333	261
42425	202372	42508	2013-08-04 20:27:34.458865	2013-08-04 20:27:34.458865	261
42426	202372	42432	2013-08-04 20:27:34.473815	2013-08-04 20:27:34.473815	261
42427	202372	42440	2013-08-04 20:27:34.486557	2013-08-04 20:27:34.486557	261
42428	202372	42488	2013-08-04 20:27:34.491327	2013-08-04 20:27:34.491327	261
42429	202372	42468	2013-08-04 20:27:34.496734	2013-08-04 20:27:34.496734	261
42430	202372	42448	2013-08-04 20:27:34.504478	2013-08-04 20:27:34.504478	261
42431	202372	42485	2013-08-04 20:27:34.510307	2013-08-04 20:27:34.510307	261
42432	202372	42428	2013-08-04 20:27:34.518835	2013-08-04 20:27:34.518835	261
42433	202372	42408	2013-08-04 20:27:34.531703	2013-08-04 20:27:34.531703	261
42434	202359	42418	2013-08-04 20:27:34.77485	2013-08-04 20:27:34.77485	261
42435	202359	42268	2013-08-04 20:27:34.786943	2013-08-04 20:27:34.786943	261
42436	202359	28791	2013-08-04 20:27:34.791392	2013-08-04 20:27:34.791392	261
42437	202359	28596	2013-08-04 20:27:34.79867	2013-08-04 20:27:34.79867	261
42438	202359	5811	2013-08-04 20:27:34.809356	2013-08-04 20:27:34.809356	261
42439	202359	42946	2013-08-04 20:27:34.820925	2013-08-04 20:27:34.820925	261
42440	203321	32315	2013-08-04 20:27:34.858906	2013-08-04 20:27:34.858906	261
42441	203321	37483	2013-08-04 20:27:34.871512	2013-08-04 20:27:34.871512	261
42442	203321	20421	2013-08-04 20:27:34.884635	2013-08-04 20:27:34.884635	261
42443	203321	32335	2013-08-04 20:27:34.897392	2013-08-04 20:27:34.897392	261
42444	203321	27040	2013-08-04 20:27:34.907429	2013-08-04 20:27:34.907429	261
42445	203321	29815	2013-08-04 20:27:34.910924	2013-08-04 20:27:34.910924	261
42446	203321	37563	2013-08-04 20:27:34.915887	2013-08-04 20:27:34.915887	261
42447	203321	29541	2013-08-04 20:27:34.927129	2013-08-04 20:27:34.927129	261
42448	203321	32775	2013-08-04 20:27:34.938871	2013-08-04 20:27:34.938871	261
42449	203321	12932	2013-08-04 20:27:34.95111	2013-08-04 20:27:34.95111	261
42450	203321	17130	2013-08-04 20:27:34.961147	2013-08-04 20:27:34.961147	261
42451	203321	17390	2013-08-04 20:27:34.969977	2013-08-04 20:27:34.969977	261
42452	203321	12976	2013-08-04 20:27:34.979361	2013-08-04 20:27:34.979361	261
42453	203321	37203	2013-08-04 20:27:34.993346	2013-08-04 20:27:34.993346	261
42454	203321	16409	2013-08-04 20:27:35.006242	2013-08-04 20:27:35.006242	261
42455	203321	24121	2013-08-04 20:27:35.012338	2013-08-04 20:27:35.012338	261
42456	203321	16389	2013-08-04 20:27:35.017921	2013-08-04 20:27:35.017921	261
42457	203321	16369	2013-08-04 20:27:35.023127	2013-08-04 20:27:35.023127	261
42458	203321	16403	2013-08-04 20:27:35.028138	2013-08-04 20:27:35.028138	261
42459	203323	32315	2013-08-04 20:27:35.043354	2013-08-04 20:27:35.043354	261
42460	203323	37483	2013-08-04 20:27:35.049367	2013-08-04 20:27:35.049367	261
42461	203323	20421	2013-08-04 20:27:35.055395	2013-08-04 20:27:35.055395	261
42462	203323	32335	2013-08-04 20:27:35.061281	2013-08-04 20:27:35.061281	261
42463	203323	27040	2013-08-04 20:27:35.067463	2013-08-04 20:27:35.067463	261
42464	203323	29815	2013-08-04 20:27:35.07367	2013-08-04 20:27:35.07367	261
42465	203323	37563	2013-08-04 20:27:35.079767	2013-08-04 20:27:35.079767	261
42466	203323	29541	2013-08-04 20:27:35.089487	2013-08-04 20:27:35.089487	261
42467	203323	32775	2013-08-04 20:27:35.099482	2013-08-04 20:27:35.099482	261
42468	203323	12932	2013-08-04 20:27:35.111084	2013-08-04 20:27:35.111084	261
42469	203323	17130	2013-08-04 20:27:35.120367	2013-08-04 20:27:35.120367	261
42470	203323	17390	2013-08-04 20:27:35.125365	2013-08-04 20:27:35.125365	261
42471	203323	12976	2013-08-04 20:27:35.128669	2013-08-04 20:27:35.128669	261
42472	203323	37203	2013-08-04 20:27:35.133006	2013-08-04 20:27:35.133006	261
42473	203323	16409	2013-08-04 20:27:35.13984	2013-08-04 20:27:35.13984	261
42474	203323	24121	2013-08-04 20:27:35.146827	2013-08-04 20:27:35.146827	261
42475	203323	16389	2013-08-04 20:27:35.157553	2013-08-04 20:27:35.157553	261
42476	203323	16369	2013-08-04 20:27:35.167967	2013-08-04 20:27:35.167967	261
42477	203323	16403	2013-08-04 20:27:35.180628	2013-08-04 20:27:35.180628	261
42478	203324	32315	2013-08-04 20:27:35.225197	2013-08-04 20:27:35.225197	261
42479	203324	37483	2013-08-04 20:27:35.237575	2013-08-04 20:27:35.237575	261
42480	203324	20421	2013-08-04 20:27:35.250763	2013-08-04 20:27:35.250763	261
42481	203324	32335	2013-08-04 20:27:35.258093	2013-08-04 20:27:35.258093	261
42482	203324	27040	2013-08-04 20:27:35.263299	2013-08-04 20:27:35.263299	261
42483	203324	29815	2013-08-04 20:27:35.268231	2013-08-04 20:27:35.268231	261
42484	203324	37563	2013-08-04 20:27:35.273383	2013-08-04 20:27:35.273383	261
42485	203324	29541	2013-08-04 20:27:35.278404	2013-08-04 20:27:35.278404	261
42486	203324	32775	2013-08-04 20:27:35.282997	2013-08-04 20:27:35.282997	261
42487	203324	12932	2013-08-04 20:27:35.287481	2013-08-04 20:27:35.287481	261
42488	203324	17130	2013-08-04 20:27:35.291023	2013-08-04 20:27:35.291023	261
42489	203324	17390	2013-08-04 20:27:35.294278	2013-08-04 20:27:35.294278	261
42490	203324	12976	2013-08-04 20:27:35.297428	2013-08-04 20:27:35.297428	261
42491	203324	37203	2013-08-04 20:27:35.301338	2013-08-04 20:27:35.301338	261
42492	203324	16409	2013-08-04 20:27:35.30617	2013-08-04 20:27:35.30617	261
42493	203324	24121	2013-08-04 20:27:35.311087	2013-08-04 20:27:35.311087	261
42494	203324	16389	2013-08-04 20:27:35.314409	2013-08-04 20:27:35.314409	261
42495	203324	16369	2013-08-04 20:27:35.319742	2013-08-04 20:27:35.319742	261
42496	203324	16403	2013-08-04 20:27:35.326252	2013-08-04 20:27:35.326252	261
42497	202388	42633	2013-08-04 20:27:35.468599	2013-08-04 20:27:35.468599	261
42498	202388	28951	2013-08-04 20:27:35.475851	2013-08-04 20:27:35.475851	261
42499	202388	28776	2013-08-04 20:27:35.482483	2013-08-04 20:27:35.482483	261
42500	202388	43783	2013-08-04 20:27:35.490975	2013-08-04 20:27:35.490975	261
42501	202388	42388	2013-08-04 20:27:35.501156	2013-08-04 20:27:35.501156	261
42502	202388	43126	2013-08-04 20:27:35.510136	2013-08-04 20:27:35.510136	261
42503	202362	8021	2013-08-04 20:27:35.561953	2013-08-04 20:27:35.561953	261
42504	202362	8058	2013-08-04 20:27:35.568421	2013-08-04 20:27:35.568421	261
42505	202362	8085	2013-08-04 20:27:35.57427	2013-08-04 20:27:35.57427	261
42506	202362	18858	2013-08-04 20:27:35.580218	2013-08-04 20:27:35.580218	261
42507	202362	8024	2013-08-04 20:27:35.587051	2013-08-04 20:27:35.587051	261
42508	202362	8030	2013-08-04 20:27:35.593929	2013-08-04 20:27:35.593929	261
42509	202362	8138	2013-08-04 20:27:35.60257	2013-08-04 20:27:35.60257	261
42510	202362	7998	2013-08-04 20:27:35.607467	2013-08-04 20:27:35.607467	261
42511	202362	7952	2013-08-04 20:27:35.613963	2013-08-04 20:27:35.613963	261
42512	202362	7972	2013-08-04 20:27:35.623857	2013-08-04 20:27:35.623857	261
42513	202362	7992	2013-08-04 20:27:35.638576	2013-08-04 20:27:35.638576	261
42514	202362	7877	2013-08-04 20:27:35.65459	2013-08-04 20:27:35.65459	261
42515	202362	7897	2013-08-04 20:27:35.671141	2013-08-04 20:27:35.671141	261
42516	202362	7917	2013-08-04 20:27:35.687781	2013-08-04 20:27:35.687781	261
42517	202362	7937	2013-08-04 20:27:35.703296	2013-08-04 20:27:35.703296	261
42518	202362	7957	2013-08-04 20:27:35.718277	2013-08-04 20:27:35.718277	261
42519	202362	7977	2013-08-04 20:27:35.734242	2013-08-04 20:27:35.734242	261
42520	202362	7911	2013-08-04 20:27:35.750547	2013-08-04 20:27:35.750547	261
42521	202362	7931	2013-08-04 20:27:35.7658	2013-08-04 20:27:35.7658	261
42522	202363	11387	2013-08-04 20:27:35.819632	2013-08-04 20:27:35.819632	261
42523	202363	23223	2013-08-04 20:27:35.835509	2013-08-04 20:27:35.835509	261
42524	202363	11367	2013-08-04 20:27:35.849564	2013-08-04 20:27:35.849564	261
42525	202363	11377	2013-08-04 20:27:35.858008	2013-08-04 20:27:35.858008	261
42526	202363	11420	2013-08-04 20:27:35.865394	2013-08-04 20:27:35.865394	261
42527	202363	11347	2013-08-04 20:27:35.871864	2013-08-04 20:27:35.871864	261
42528	202363	11327	2013-08-04 20:27:35.878588	2013-08-04 20:27:35.878588	261
42529	202363	11370	2013-08-04 20:27:35.884178	2013-08-04 20:27:35.884178	261
42530	202363	11307	2013-08-04 20:27:35.89441	2013-08-04 20:27:35.89441	261
42531	202363	11192	2013-08-04 20:27:35.901892	2013-08-04 20:27:35.901892	261
42532	202363	11287	2013-08-04 20:27:35.907103	2013-08-04 20:27:35.907103	261
42533	202363	11186	2013-08-04 20:27:35.916386	2013-08-04 20:27:35.916386	261
42534	202363	11267	2013-08-04 20:27:35.923579	2013-08-04 20:27:35.923579	261
42535	202363	23243	2013-08-04 20:27:35.93203	2013-08-04 20:27:35.93203	261
42536	202363	23263	2013-08-04 20:27:35.942008	2013-08-04 20:27:35.942008	261
42537	202363	23283	2013-08-04 20:27:35.952562	2013-08-04 20:27:35.952562	261
42538	202363	43126	2013-08-04 20:27:35.969064	2013-08-04 20:27:35.969064	261
42539	202363	42388	2013-08-04 20:27:35.98336	2013-08-04 20:27:35.98336	261
42540	202363	42633	2013-08-04 20:27:35.997821	2013-08-04 20:27:35.997821	261
42541	203320	42848	2013-08-04 20:27:36.037473	2013-08-04 20:27:36.037473	261
42542	203320	42828	2013-08-04 20:27:36.044298	2013-08-04 20:27:36.044298	261
42543	203320	42780	2013-08-04 20:27:36.051409	2013-08-04 20:27:36.051409	261
42544	203320	42808	2013-08-04 20:27:36.058586	2013-08-04 20:27:36.058586	261
42545	202812	30566	2013-08-04 20:27:36.074551	2013-08-04 20:27:36.074551	261
42546	202812	42840	2013-08-04 20:27:36.08033	2013-08-04 20:27:36.08033	261
42547	202812	42788	2013-08-04 20:27:36.089136	2013-08-04 20:27:36.089136	261
42548	202812	42768	2013-08-04 20:27:36.103	2013-08-04 20:27:36.103	261
42549	202443	42748	2013-08-04 20:27:36.136179	2013-08-04 20:27:36.136179	261
42550	202443	42801	2013-08-04 20:27:36.152053	2013-08-04 20:27:36.152053	261
42551	202443	42728	2013-08-04 20:27:36.167576	2013-08-04 20:27:36.167576	261
42552	202443	42708	2013-08-04 20:27:36.182802	2013-08-04 20:27:36.182802	261
42553	202389	42690	2013-08-04 20:27:36.214693	2013-08-04 20:27:36.214693	261
42554	202389	42688	2013-08-04 20:27:36.229839	2013-08-04 20:27:36.229839	261
42555	202389	42668	2013-08-04 20:27:36.244842	2013-08-04 20:27:36.244842	261
42556	202389	42648	2013-08-04 20:27:36.259869	2013-08-04 20:27:36.259869	261
42557	202381	19852	2013-08-04 20:27:36.310467	2013-08-04 20:27:36.310467	261
42558	202381	19889	2013-08-04 20:27:36.317188	2013-08-04 20:27:36.317188	261
42559	202381	19935	2013-08-04 20:27:36.323866	2013-08-04 20:27:36.323866	261
42560	202381	18919	2013-08-04 20:27:36.331017	2013-08-04 20:27:36.331017	261
42561	202381	19869	2013-08-04 20:27:36.339483	2013-08-04 20:27:36.339483	261
42562	202381	19849	2013-08-04 20:27:36.345874	2013-08-04 20:27:36.345874	261
42563	202381	19829	2013-08-04 20:27:36.351672	2013-08-04 20:27:36.351672	261
42564	202381	19938	2013-08-04 20:27:36.357479	2013-08-04 20:27:36.357479	261
42565	202381	19812	2013-08-04 20:27:36.363782	2013-08-04 20:27:36.363782	261
42566	202365	19809	2013-08-04 20:27:36.42085	2013-08-04 20:27:36.42085	261
42567	202365	19789	2013-08-04 20:27:36.427706	2013-08-04 20:27:36.427706	261
42568	202365	19783	2013-08-04 20:27:36.437428	2013-08-04 20:27:36.437428	261
42569	202365	19769	2013-08-04 20:27:36.448714	2013-08-04 20:27:36.448714	261
42570	202365	19630	2013-08-04 20:27:36.459761	2013-08-04 20:27:36.459761	261
42571	202365	19770	2013-08-04 20:27:36.471258	2013-08-04 20:27:36.471258	261
42572	202365	19749	2013-08-04 20:27:36.483094	2013-08-04 20:27:36.483094	261
42573	202365	35621	2013-08-04 20:27:36.495133	2013-08-04 20:27:36.495133	261
42574	202365	19729	2013-08-04 20:27:36.506999	2013-08-04 20:27:36.506999	261
42575	202833	35811	2013-08-04 20:27:36.593786	2013-08-04 20:27:36.593786	261
42576	202833	35712	2013-08-04 20:27:36.606222	2013-08-04 20:27:36.606222	261
42577	202833	35765	2013-08-04 20:27:36.618942	2013-08-04 20:27:36.618942	261
42578	202833	35660	2013-08-04 20:27:36.631263	2013-08-04 20:27:36.631263	261
42579	202833	35791	2013-08-04 20:27:36.64224	2013-08-04 20:27:36.64224	261
42580	202833	35680	2013-08-04 20:27:36.653886	2013-08-04 20:27:36.653886	261
42581	202833	35771	2013-08-04 20:27:36.665146	2013-08-04 20:27:36.665146	261
42582	202833	35700	2013-08-04 20:27:36.677194	2013-08-04 20:27:36.677194	261
42583	202833	35720	2013-08-04 20:27:36.689352	2013-08-04 20:27:36.689352	261
42584	202391	35751	2013-08-04 20:27:36.714007	2013-08-04 20:27:36.714007	261
42585	202391	35731	2013-08-04 20:27:36.728178	2013-08-04 20:27:36.728178	261
42586	202391	35711	2013-08-04 20:27:36.740389	2013-08-04 20:27:36.740389	261
42587	202391	35650	2013-08-04 20:27:36.752354	2013-08-04 20:27:36.752354	261
42588	202391	35661	2013-08-04 20:27:36.767548	2013-08-04 20:27:36.767548	261
42589	202391	28957	2013-08-04 20:27:36.779404	2013-08-04 20:27:36.779404	261
42590	202391	28616	2013-08-04 20:27:36.789863	2013-08-04 20:27:36.789863	261
42591	202391	19629	2013-08-04 20:27:36.795558	2013-08-04 20:27:36.795558	261
42592	202391	42966	2013-08-04 20:27:36.800604	2013-08-04 20:27:36.800604	261
42593	203325	37483	2013-08-04 20:27:36.866676	2013-08-04 20:27:36.866676	261
42594	203325	20421	2013-08-04 20:27:36.869757	2013-08-04 20:27:36.869757	261
42595	203325	32335	2013-08-04 20:27:36.872475	2013-08-04 20:27:36.872475	261
42596	203325	27040	2013-08-04 20:27:36.875095	2013-08-04 20:27:36.875095	261
42597	203325	29815	2013-08-04 20:27:36.878029	2013-08-04 20:27:36.878029	261
42598	203325	37563	2013-08-04 20:27:36.880482	2013-08-04 20:27:36.880482	261
42599	203325	29541	2013-08-04 20:27:36.884178	2013-08-04 20:27:36.884178	261
42600	203325	32775	2013-08-04 20:27:36.888537	2013-08-04 20:27:36.888537	261
42601	203325	12932	2013-08-04 20:27:36.89211	2013-08-04 20:27:36.89211	261
42602	202821	17130	2013-08-04 20:27:36.901047	2013-08-04 20:27:36.901047	261
42603	202821	17390	2013-08-04 20:27:36.905392	2013-08-04 20:27:36.905392	261
42604	202821	12976	2013-08-04 20:27:36.909643	2013-08-04 20:27:36.909643	261
42605	202821	37203	2013-08-04 20:27:36.914351	2013-08-04 20:27:36.914351	261
42606	202821	16409	2013-08-04 20:27:36.918997	2013-08-04 20:27:36.918997	261
42607	202821	24121	2013-08-04 20:27:36.923389	2013-08-04 20:27:36.923389	261
42608	202821	16389	2013-08-04 20:27:36.926924	2013-08-04 20:27:36.926924	261
42609	202821	16369	2013-08-04 20:27:36.930402	2013-08-04 20:27:36.930402	261
42610	202821	16403	2013-08-04 20:27:36.933947	2013-08-04 20:27:36.933947	261
42611	202358	42305	2013-08-04 20:27:36.963746	2013-08-04 20:27:36.963746	261
42612	202358	42228	2013-08-04 20:27:36.971682	2013-08-04 20:27:36.971682	261
42613	202358	28873	2013-08-04 20:27:36.979752	2013-08-04 20:27:36.979752	261
42614	202358	19510	2013-08-04 20:27:36.988539	2013-08-04 20:27:36.988539	261
42615	202358	42906	2013-08-04 20:27:36.997416	2013-08-04 20:27:36.997416	261
42616	203169	29216	2013-08-04 20:27:37.029448	2013-08-04 20:27:37.029448	261
42617	203169	29057	2013-08-04 20:27:37.037749	2013-08-04 20:27:37.037749	261
42618	203169	29171	2013-08-04 20:27:37.04694	2013-08-04 20:27:37.04694	261
42619	203169	29196	2013-08-04 20:27:37.057001	2013-08-04 20:27:37.057001	261
42620	203169	29176	2013-08-04 20:27:37.068896	2013-08-04 20:27:37.068896	261
42621	203169	29156	2013-08-04 20:27:37.077839	2013-08-04 20:27:37.077839	261
42622	202869	29136	2013-08-04 20:27:37.094152	2013-08-04 20:27:37.094152	261
42623	202869	29116	2013-08-04 20:27:37.100122	2013-08-04 20:27:37.100122	261
42624	202869	15051	2013-08-04 20:27:37.105476	2013-08-04 20:27:37.105476	261
42625	202869	29096	2013-08-04 20:27:37.110633	2013-08-04 20:27:37.110633	261
42626	202869	29076	2013-08-04 20:27:37.115412	2013-08-04 20:27:37.115412	261
42627	202869	29072	2013-08-04 20:27:37.12061	2013-08-04 20:27:37.12061	261
42628	202429	29056	2013-08-04 20:27:37.132377	2013-08-04 20:27:37.132377	261
42629	202429	29121	2013-08-04 20:27:37.137025	2013-08-04 20:27:37.137025	261
42630	202429	3654	2013-08-04 20:27:37.141522	2013-08-04 20:27:37.141522	261
42631	202429	14946	2013-08-04 20:27:37.146238	2013-08-04 20:27:37.146238	261
42632	202429	28876	2013-08-04 20:27:37.152388	2013-08-04 20:27:37.152388	261
42633	202429	19569	2013-08-04 20:27:37.159203	2013-08-04 20:27:37.159203	261
42634	202369	42886	2013-08-04 20:27:37.194191	2013-08-04 20:27:37.194191	261
42635	202369	28915	2013-08-04 20:27:37.204325	2013-08-04 20:27:37.204325	261
42636	202369	28836	2013-08-04 20:27:37.213871	2013-08-04 20:27:37.213871	261
42637	202369	28576	2013-08-04 20:27:37.2176	2013-08-04 20:27:37.2176	261
42638	202369	28556	2013-08-04 20:27:37.221939	2013-08-04 20:27:37.221939	261
42639	202369	19549	2013-08-04 20:27:37.226574	2013-08-04 20:27:37.226574	261
42640	202815	35979	2013-08-04 20:27:37.250771	2013-08-04 20:27:37.250771	261
42641	202815	35959	2013-08-04 20:27:37.255541	2013-08-04 20:27:37.255541	261
42642	202815	35961	2013-08-04 20:27:37.261168	2013-08-04 20:27:37.261168	261
42643	202815	35865	2013-08-04 20:27:37.265774	2013-08-04 20:27:37.265774	261
42644	202513	35939	2013-08-04 20:27:37.274053	2013-08-04 20:27:37.274053	261
42645	202513	17661	2013-08-04 20:27:37.278552	2013-08-04 20:27:37.278552	261
42646	202513	35919	2013-08-04 20:27:37.283245	2013-08-04 20:27:37.283245	261
42647	202513	35899	2013-08-04 20:27:37.28732	2013-08-04 20:27:37.28732	261
42648	202398	35879	2013-08-04 20:27:37.297922	2013-08-04 20:27:37.297922	261
42649	202398	35859	2013-08-04 20:27:37.307592	2013-08-04 20:27:37.307592	261
42650	202398	35839	2013-08-04 20:27:37.316658	2013-08-04 20:27:37.316658	261
42651	202398	28816	2013-08-04 20:27:37.324006	2013-08-04 20:27:37.324006	261
42652	202393	28676	2013-08-04 20:27:37.333769	2013-08-04 20:27:37.333769	261
42653	202393	28536	2013-08-04 20:27:37.338265	2013-08-04 20:27:37.338265	261
42654	202393	19609	2013-08-04 20:27:37.343593	2013-08-04 20:27:37.343593	261
42655	202393	19493	2013-08-04 20:27:37.347345	2013-08-04 20:27:37.347345	261
42656	203326	16429	2013-08-04 20:27:37.557842	2013-08-04 20:27:37.557842	261
42657	203326	29701	2013-08-04 20:27:37.561632	2013-08-04 20:27:37.561632	261
42658	203326	35103	2013-08-04 20:27:37.565313	2013-08-04 20:27:37.565313	261
42659	203326	29192	2013-08-04 20:27:37.56973	2013-08-04 20:27:37.56973	261
42660	203326	48243	2013-08-04 20:27:37.575208	2013-08-04 20:27:37.575208	261
42661	203326	17290	2013-08-04 20:27:37.578156	2013-08-04 20:27:37.578156	261
42662	203326	24170	2013-08-04 20:27:37.583142	2013-08-04 20:27:37.583142	261
42663	203326	47963	2013-08-04 20:27:37.589596	2013-08-04 20:27:37.589596	261
42664	203326	17412	2013-08-04 20:27:37.594909	2013-08-04 20:27:37.594909	261
42665	203326	22946	2013-08-04 20:27:37.598349	2013-08-04 20:27:37.598349	261
42666	203326	37483	2013-08-04 20:27:37.601694	2013-08-04 20:27:37.601694	261
42667	203326	20421	2013-08-04 20:27:37.604716	2013-08-04 20:27:37.604716	261
42668	203326	32335	2013-08-04 20:27:37.608119	2013-08-04 20:27:37.608119	261
42669	203326	27040	2013-08-04 20:27:37.612502	2013-08-04 20:27:37.612502	261
42670	203326	29815	2013-08-04 20:27:37.615851	2013-08-04 20:27:37.615851	261
42671	203326	37563	2013-08-04 20:27:37.619873	2013-08-04 20:27:37.619873	261
42672	203326	29541	2013-08-04 20:27:37.622754	2013-08-04 20:27:37.622754	261
42673	203326	32775	2013-08-04 20:27:37.625987	2013-08-04 20:27:37.625987	261
42674	203326	12932	2013-08-04 20:27:37.628911	2013-08-04 20:27:37.628911	261
42675	203322	16429	2013-08-04 20:27:37.639347	2013-08-04 20:27:37.639347	261
42676	203322	29701	2013-08-04 20:27:37.642122	2013-08-04 20:27:37.642122	261
42677	203322	35103	2013-08-04 20:27:37.644824	2013-08-04 20:27:37.644824	261
42678	203322	29192	2013-08-04 20:27:37.647814	2013-08-04 20:27:37.647814	261
42679	203322	48243	2013-08-04 20:27:37.650861	2013-08-04 20:27:37.650861	261
42680	203322	17290	2013-08-04 20:27:37.653934	2013-08-04 20:27:37.653934	261
42681	203322	24170	2013-08-04 20:27:37.65705	2013-08-04 20:27:37.65705	261
42682	203322	47963	2013-08-04 20:27:37.660241	2013-08-04 20:27:37.660241	261
42683	203322	17412	2013-08-04 20:27:37.663234	2013-08-04 20:27:37.663234	261
42684	203322	22946	2013-08-04 20:27:37.666166	2013-08-04 20:27:37.666166	261
42685	203322	37483	2013-08-04 20:27:37.669505	2013-08-04 20:27:37.669505	261
42686	203322	20421	2013-08-04 20:27:37.672454	2013-08-04 20:27:37.672454	261
42687	203322	32335	2013-08-04 20:27:37.675378	2013-08-04 20:27:37.675378	261
42688	203322	27040	2013-08-04 20:27:37.678563	2013-08-04 20:27:37.678563	261
42689	203322	29815	2013-08-04 20:27:37.682414	2013-08-04 20:27:37.682414	261
42690	203322	37563	2013-08-04 20:27:37.686994	2013-08-04 20:27:37.686994	261
42691	203322	29541	2013-08-04 20:27:37.690364	2013-08-04 20:27:37.690364	261
42692	203322	32775	2013-08-04 20:27:37.693529	2013-08-04 20:27:37.693529	261
42693	203322	12932	2013-08-04 20:27:37.696531	2013-08-04 20:27:37.696531	261
42694	202630	42546	2013-08-04 20:27:37.829054	2013-08-04 20:27:37.829054	261
42695	203476	43766	2013-08-04 20:32:39.746228	2013-08-04 20:32:39.746228	262
42696	203476	43746	2013-08-04 20:32:39.754835	2013-08-04 20:32:39.754835	262
42697	203476	43685	2013-08-04 20:32:39.763349	2013-08-04 20:32:39.763349	262
42698	203476	43726	2013-08-04 20:32:39.771351	2013-08-04 20:32:39.771351	262
42699	203476	43706	2013-08-04 20:32:39.77983	2013-08-04 20:32:39.77983	262
42700	203476	43720	2013-08-04 20:32:39.787977	2013-08-04 20:32:39.787977	262
42701	203476	43686	2013-08-04 20:32:39.793398	2013-08-04 20:32:39.793398	262
42702	203476	43666	2013-08-04 20:32:39.798654	2013-08-04 20:32:39.798654	262
42703	203476	43646	2013-08-04 20:32:39.803691	2013-08-04 20:32:39.803691	262
42704	203476	43626	2013-08-04 20:32:39.809362	2013-08-04 20:32:39.809362	262
42705	203476	43645	2013-08-04 20:32:39.815256	2013-08-04 20:32:39.815256	262
42706	203476	43606	2013-08-04 20:32:39.821101	2013-08-04 20:32:39.821101	262
42707	203476	43586	2013-08-04 20:32:39.828731	2013-08-04 20:32:39.828731	262
42708	203476	43566	2013-08-04 20:32:39.835573	2013-08-04 20:32:39.835573	262
42709	203476	43546	2013-08-04 20:32:39.841667	2013-08-04 20:32:39.841667	262
42710	203476	42973	2013-08-04 20:32:39.847989	2013-08-04 20:32:39.847989	262
42711	203476	42713	2013-08-04 20:32:39.853146	2013-08-04 20:32:39.853146	262
42712	203476	29676	2013-08-04 20:32:39.858033	2013-08-04 20:32:39.858033	262
42713	203476	20215	2013-08-04 20:32:39.862891	2013-08-04 20:32:39.862891	262
42714	203475	11468	2013-08-04 20:32:39.879221	2013-08-04 20:32:39.879221	262
42715	203475	3749	2013-08-04 20:32:39.885179	2013-08-04 20:32:39.885179	262
42716	203475	11487	2013-08-04 20:32:39.891789	2013-08-04 20:32:39.891789	262
42717	203475	46310	2013-08-04 20:32:39.898606	2013-08-04 20:32:39.898606	262
42718	203475	11467	2013-08-04 20:32:39.904911	2013-08-04 20:32:39.904911	262
42719	203475	11386	2013-08-04 20:32:39.911538	2013-08-04 20:32:39.911538	262
42720	203475	11441	2013-08-04 20:32:39.918243	2013-08-04 20:32:39.918243	262
42721	203475	11443	2013-08-04 20:32:39.92408	2013-08-04 20:32:39.92408	262
42722	203475	11397	2013-08-04 20:32:39.931536	2013-08-04 20:32:39.931536	262
42723	203475	11417	2013-08-04 20:32:39.938709	2013-08-04 20:32:39.938709	262
42724	203475	11437	2013-08-04 20:32:39.94604	2013-08-04 20:32:39.94604	262
42725	203475	11447	2013-08-04 20:32:39.953106	2013-08-04 20:32:39.953106	262
42726	203475	11427	2013-08-04 20:32:39.961184	2013-08-04 20:32:39.961184	262
42727	203475	11310	2013-08-04 20:32:39.967244	2013-08-04 20:32:39.967244	262
42728	203475	3726	2013-08-04 20:32:39.973733	2013-08-04 20:32:39.973733	262
42729	203475	11407	2013-08-04 20:32:39.978739	2013-08-04 20:32:39.978739	262
42730	203475	34141	2013-08-04 20:32:39.983536	2013-08-04 20:32:39.983536	262
42731	203475	43446	2013-08-04 20:32:39.988975	2013-08-04 20:32:39.988975	262
42732	203475	19812	2013-08-04 20:32:39.993718	2013-08-04 20:32:39.993718	262
42733	203479	42923	2013-08-04 20:32:40.018277	2013-08-04 20:32:40.018277	262
42734	203479	42940	2013-08-04 20:32:40.024245	2013-08-04 20:32:40.024245	262
42735	203479	43008	2013-08-04 20:32:40.032673	2013-08-04 20:32:40.032673	262
42736	203479	42988	2013-08-04 20:32:40.039548	2013-08-04 20:32:40.039548	262
42737	203479	42953	2013-08-04 20:32:40.045847	2013-08-04 20:32:40.045847	262
42738	203479	42968	2013-08-04 20:32:40.050452	2013-08-04 20:32:40.050452	262
42739	203479	42938	2013-08-04 20:32:40.055414	2013-08-04 20:32:40.055414	262
42740	203479	42948	2013-08-04 20:32:40.06242	2013-08-04 20:32:40.06242	262
42741	203479	42928	2013-08-04 20:32:40.070315	2013-08-04 20:32:40.070315	262
42742	203479	42908	2013-08-04 20:32:40.077224	2013-08-04 20:32:40.077224	262
42743	203479	42888	2013-08-04 20:32:40.083605	2013-08-04 20:32:40.083605	262
42744	203479	42877	2013-08-04 20:32:40.090057	2013-08-04 20:32:40.090057	262
42745	203479	42703	2013-08-04 20:32:40.098512	2013-08-04 20:32:40.098512	262
42746	203479	35991	2013-08-04 20:32:40.106745	2013-08-04 20:32:40.106745	262
42747	203479	29636	2013-08-04 20:32:40.115791	2013-08-04 20:32:40.115791	262
42748	203479	29396	2013-08-04 20:32:40.12568	2013-08-04 20:32:40.12568	262
42749	203479	20130	2013-08-04 20:32:40.133076	2013-08-04 20:32:40.133076	262
42750	203479	19957	2013-08-04 20:32:40.139246	2013-08-04 20:32:40.139246	262
42751	203479	43400	2013-08-04 20:32:40.14526	2013-08-04 20:32:40.14526	262
42752	203480	42893	2013-08-04 20:32:40.266676	2013-08-04 20:32:40.266676	262
42753	203480	30486	2013-08-04 20:32:40.27329	2013-08-04 20:32:40.27329	262
42754	203480	35951	2013-08-04 20:32:40.279142	2013-08-04 20:32:40.279142	262
42755	203480	29576	2013-08-04 20:32:40.2852	2013-08-04 20:32:40.2852	262
42756	203480	29316	2013-08-04 20:32:40.289417	2013-08-04 20:32:40.289417	262
42757	203480	20237	2013-08-04 20:32:40.293301	2013-08-04 20:32:40.293301	262
42758	203480	19969	2013-08-04 20:32:40.298153	2013-08-04 20:32:40.298153	262
42759	203480	43481	2013-08-04 20:32:40.3033	2013-08-04 20:32:40.3033	262
42760	204382	16429	2013-08-04 20:32:40.320203	2013-08-04 20:32:40.320203	262
42761	204382	29701	2013-08-04 20:32:40.324563	2013-08-04 20:32:40.324563	262
42762	204382	35103	2013-08-04 20:32:40.332345	2013-08-04 20:32:40.332345	262
42763	204382	29192	2013-08-04 20:32:40.336861	2013-08-04 20:32:40.336861	262
42764	204382	48243	2013-08-04 20:32:40.341432	2013-08-04 20:32:40.341432	262
42765	204382	17290	2013-08-04 20:32:40.345467	2013-08-04 20:32:40.345467	262
42766	204382	24170	2013-08-04 20:32:40.349984	2013-08-04 20:32:40.349984	262
42767	204382	47963	2013-08-04 20:32:40.3545	2013-08-04 20:32:40.3545	262
42768	204382	17412	2013-08-04 20:32:40.360838	2013-08-04 20:32:40.360838	262
42769	204382	22946	2013-08-04 20:32:40.364314	2013-08-04 20:32:40.364314	262
42770	204382	37483	2013-08-04 20:32:40.367761	2013-08-04 20:32:40.367761	262
42771	204382	20421	2013-08-04 20:32:40.371878	2013-08-04 20:32:40.371878	262
42772	204382	32335	2013-08-04 20:32:40.375672	2013-08-04 20:32:40.375672	262
42773	204382	27040	2013-08-04 20:32:40.381815	2013-08-04 20:32:40.381815	262
42774	204382	29815	2013-08-04 20:32:40.3882	2013-08-04 20:32:40.3882	262
42775	204382	37563	2013-08-04 20:32:40.393831	2013-08-04 20:32:40.393831	262
42776	204382	29541	2013-08-04 20:32:40.400648	2013-08-04 20:32:40.400648	262
42777	204382	32775	2013-08-04 20:32:40.411708	2013-08-04 20:32:40.411708	262
42778	204382	12932	2013-08-04 20:32:40.423807	2013-08-04 20:32:40.423807	262
42779	204384	16429	2013-08-04 20:32:40.451211	2013-08-04 20:32:40.451211	262
42780	204384	29701	2013-08-04 20:32:40.455007	2013-08-04 20:32:40.455007	262
42781	204384	35103	2013-08-04 20:32:40.45856	2013-08-04 20:32:40.45856	262
42782	204384	29192	2013-08-04 20:32:40.46237	2013-08-04 20:32:40.46237	262
42783	204384	48243	2013-08-04 20:32:40.466721	2013-08-04 20:32:40.466721	262
42784	204384	17290	2013-08-04 20:32:40.470858	2013-08-04 20:32:40.470858	262
42785	204384	24170	2013-08-04 20:32:40.475022	2013-08-04 20:32:40.475022	262
42786	204384	47963	2013-08-04 20:32:40.480526	2013-08-04 20:32:40.480526	262
42787	204384	17412	2013-08-04 20:32:40.486876	2013-08-04 20:32:40.486876	262
42788	204384	22946	2013-08-04 20:32:40.496976	2013-08-04 20:32:40.496976	262
42789	204384	37483	2013-08-04 20:32:40.508249	2013-08-04 20:32:40.508249	262
42790	204384	20421	2013-08-04 20:32:40.522678	2013-08-04 20:32:40.522678	262
42791	204384	32335	2013-08-04 20:32:40.535724	2013-08-04 20:32:40.535724	262
42792	204384	27040	2013-08-04 20:32:40.548081	2013-08-04 20:32:40.548081	262
42793	204384	29815	2013-08-04 20:32:40.559955	2013-08-04 20:32:40.559955	262
42794	204384	37563	2013-08-04 20:32:40.57227	2013-08-04 20:32:40.57227	262
42795	204384	29541	2013-08-04 20:32:40.583888	2013-08-04 20:32:40.583888	262
42796	204384	32775	2013-08-04 20:32:40.59574	2013-08-04 20:32:40.59574	262
42797	204384	12932	2013-08-04 20:32:40.607485	2013-08-04 20:32:40.607485	262
42798	204385	16429	2013-08-04 20:32:40.650449	2013-08-04 20:32:40.650449	262
42799	204385	29701	2013-08-04 20:32:40.662945	2013-08-04 20:32:40.662945	262
42800	204385	35103	2013-08-04 20:32:40.675129	2013-08-04 20:32:40.675129	262
42801	204385	29192	2013-08-04 20:32:40.687135	2013-08-04 20:32:40.687135	262
42802	204385	48243	2013-08-04 20:32:40.699935	2013-08-04 20:32:40.699935	262
42803	204385	17290	2013-08-04 20:32:40.713743	2013-08-04 20:32:40.713743	262
42804	204385	24170	2013-08-04 20:32:40.726431	2013-08-04 20:32:40.726431	262
42805	204385	47963	2013-08-04 20:32:40.738527	2013-08-04 20:32:40.738527	262
42806	204385	17412	2013-08-04 20:32:40.750167	2013-08-04 20:32:40.750167	262
42807	204385	22946	2013-08-04 20:32:40.762599	2013-08-04 20:32:40.762599	262
42808	204385	37483	2013-08-04 20:32:40.775157	2013-08-04 20:32:40.775157	262
42809	204385	20421	2013-08-04 20:32:40.787767	2013-08-04 20:32:40.787767	262
42810	204385	32335	2013-08-04 20:32:40.800334	2013-08-04 20:32:40.800334	262
42811	204385	27040	2013-08-04 20:32:40.808294	2013-08-04 20:32:40.808294	262
42812	204385	29815	2013-08-04 20:32:40.814141	2013-08-04 20:32:40.814141	262
42813	204385	37563	2013-08-04 20:32:40.819562	2013-08-04 20:32:40.819562	262
42814	204385	29541	2013-08-04 20:32:40.824626	2013-08-04 20:32:40.824626	262
42815	204385	32775	2013-08-04 20:32:40.829954	2013-08-04 20:32:40.829954	262
42816	204385	12932	2013-08-04 20:32:40.833719	2013-08-04 20:32:40.833719	262
42817	203490	42793	2013-08-04 20:32:40.870183	2013-08-04 20:32:40.870183	262
42818	203558	43053	2013-08-04 20:32:40.927761	2013-08-04 20:32:40.927761	262
42819	203833	8164	2013-08-04 20:32:41.008333	2013-08-04 20:32:41.008333	262
42820	203833	8144	2013-08-04 20:32:41.017477	2013-08-04 20:32:41.017477	262
42821	203833	8124	2013-08-04 20:32:41.026544	2013-08-04 20:32:41.026544	262
42822	203833	8104	2013-08-04 20:32:41.03173	2013-08-04 20:32:41.03173	262
42823	203833	8084	2013-08-04 20:32:41.036801	2013-08-04 20:32:41.036801	262
42824	203833	29085	2013-08-04 20:32:41.041957	2013-08-04 20:32:41.041957	262
42825	203833	8026	2013-08-04 20:32:41.04878	2013-08-04 20:32:41.04878	262
42826	203833	8101	2013-08-04 20:32:41.055363	2013-08-04 20:32:41.055363	262
42827	203833	8064	2013-08-04 20:32:41.065468	2013-08-04 20:32:41.065468	262
42828	203833	8046	2013-08-04 20:32:41.077871	2013-08-04 20:32:41.077871	262
42829	203833	8066	2013-08-04 20:32:41.088097	2013-08-04 20:32:41.088097	262
42830	203833	8086	2013-08-04 20:32:41.09803	2013-08-04 20:32:41.09803	262
42831	203833	8106	2013-08-04 20:32:41.110197	2013-08-04 20:32:41.110197	262
42832	203833	8121	2013-08-04 20:32:41.123105	2013-08-04 20:32:41.123105	262
42833	203833	8126	2013-08-04 20:32:41.135071	2013-08-04 20:32:41.135071	262
42834	203833	8146	2013-08-04 20:32:41.150142	2013-08-04 20:32:41.150142	262
42835	203833	8055	2013-08-04 20:32:41.165849	2013-08-04 20:32:41.165849	262
42836	203833	8141	2013-08-04 20:32:41.181519	2013-08-04 20:32:41.181519	262
42837	203833	8044	2013-08-04 20:32:41.197121	2013-08-04 20:32:41.197121	262
42838	203488	11606	2013-08-04 20:32:41.2262	2013-08-04 20:32:41.2262	262
42839	203488	11586	2013-08-04 20:32:41.232051	2013-08-04 20:32:41.232051	262
42840	203488	11598	2013-08-04 20:32:41.237711	2013-08-04 20:32:41.237711	262
42841	203488	11568	2013-08-04 20:32:41.245563	2013-08-04 20:32:41.245563	262
42842	203488	11536	2013-08-04 20:32:41.251355	2013-08-04 20:32:41.251355	262
42843	203488	11607	2013-08-04 20:32:41.258227	2013-08-04 20:32:41.258227	262
42844	203488	11587	2013-08-04 20:32:41.267561	2013-08-04 20:32:41.267561	262
42845	203488	11481	2013-08-04 20:32:41.280696	2013-08-04 20:32:41.280696	262
42846	203488	11567	2013-08-04 20:32:41.29849	2013-08-04 20:32:41.29849	262
42847	203488	11498	2013-08-04 20:32:41.314983	2013-08-04 20:32:41.314983	262
42848	203488	11547	2013-08-04 20:32:41.331342	2013-08-04 20:32:41.331342	262
42849	203488	11553	2013-08-04 20:32:41.346984	2013-08-04 20:32:41.346984	262
42850	203488	11527	2013-08-04 20:32:41.362157	2013-08-04 20:32:41.362157	262
42851	203488	3649	2013-08-04 20:32:41.376264	2013-08-04 20:32:41.376264	262
42852	203488	11580	2013-08-04 20:32:41.388281	2013-08-04 20:32:41.388281	262
42853	203488	11507	2013-08-04 20:32:41.402277	2013-08-04 20:32:41.402277	262
42854	203488	8551	2013-08-04 20:32:41.417925	2013-08-04 20:32:41.417925	262
42855	203488	22981	2013-08-04 20:32:41.433729	2013-08-04 20:32:41.433729	262
42856	203488	3729	2013-08-04 20:32:41.450428	2013-08-04 20:32:41.450428	262
42857	204139	43190	2013-08-04 20:32:41.501313	2013-08-04 20:32:41.501313	262
42858	204139	43321	2013-08-04 20:32:41.507822	2013-08-04 20:32:41.507822	262
42859	204139	43248	2013-08-04 20:32:41.515216	2013-08-04 20:32:41.515216	262
42860	204139	43228	2013-08-04 20:32:41.522988	2013-08-04 20:32:41.522988	262
42861	204139	43208	2013-08-04 20:32:41.531699	2013-08-04 20:32:41.531699	262
42862	204139	43188	2013-08-04 20:32:41.540725	2013-08-04 20:32:41.540725	262
42863	203626	43205	2013-08-04 20:32:41.553174	2013-08-04 20:32:41.553174	262
42864	203626	43115	2013-08-04 20:32:41.562498	2013-08-04 20:32:41.562498	262
42865	203626	43168	2013-08-04 20:32:41.57587	2013-08-04 20:32:41.57587	262
42866	203626	43148	2013-08-04 20:32:41.591139	2013-08-04 20:32:41.591139	262
42867	203626	43128	2013-08-04 20:32:41.606335	2013-08-04 20:32:41.606335	262
42868	203626	43052	2013-08-04 20:32:41.62137	2013-08-04 20:32:41.62137	262
42869	203541	43108	2013-08-04 20:32:41.652654	2013-08-04 20:32:41.652654	262
42870	203541	43088	2013-08-04 20:32:41.664547	2013-08-04 20:32:41.664547	262
42871	203541	43068	2013-08-04 20:32:41.675289	2013-08-04 20:32:41.675289	262
42872	203541	43048	2013-08-04 20:32:41.683696	2013-08-04 20:32:41.683696	262
42873	203541	43138	2013-08-04 20:32:41.690416	2013-08-04 20:32:41.690416	262
42874	203541	43028	2013-08-04 20:32:41.702069	2013-08-04 20:32:41.702069	262
42875	203565	20349	2013-08-04 20:32:41.756213	2013-08-04 20:32:41.756213	262
42876	203565	20329	2013-08-04 20:32:41.771781	2013-08-04 20:32:41.771781	262
42877	203565	20309	2013-08-04 20:32:41.787301	2013-08-04 20:32:41.787301	262
42878	203565	20289	2013-08-04 20:32:41.802605	2013-08-04 20:32:41.802605	262
42879	203565	4091	2013-08-04 20:32:41.819025	2013-08-04 20:32:41.819025	262
42880	203565	20269	2013-08-04 20:32:41.832029	2013-08-04 20:32:41.832029	262
42881	203565	20297	2013-08-04 20:32:41.838299	2013-08-04 20:32:41.838299	262
42882	203565	20255	2013-08-04 20:32:41.845685	2013-08-04 20:32:41.845685	262
42883	203565	20158	2013-08-04 20:32:41.853087	2013-08-04 20:32:41.853087	262
42884	203530	20249	2013-08-04 20:32:41.866844	2013-08-04 20:32:41.866844	262
42885	203530	20229	2013-08-04 20:32:41.874193	2013-08-04 20:32:41.874193	262
42886	203530	35345	2013-08-04 20:32:41.882217	2013-08-04 20:32:41.882217	262
42887	203530	20250	2013-08-04 20:32:41.890528	2013-08-04 20:32:41.890528	262
42888	203530	20209	2013-08-04 20:32:41.902507	2013-08-04 20:32:41.902507	262
42889	203530	20210	2013-08-04 20:32:41.91794	2013-08-04 20:32:41.91794	262
42890	203530	20113	2013-08-04 20:32:41.929676	2013-08-04 20:32:41.929676	262
42891	203530	20189	2013-08-04 20:32:41.939358	2013-08-04 20:32:41.939358	262
42892	203530	20155	2013-08-04 20:32:41.947138	2013-08-04 20:32:41.947138	262
42893	204381	36130	2013-08-04 20:32:42.066699	2013-08-04 20:32:42.066699	262
42894	204381	36195	2013-08-04 20:32:42.078853	2013-08-04 20:32:42.078853	262
42895	204381	36251	2013-08-04 20:32:42.08996	2013-08-04 20:32:42.08996	262
42896	204381	36231	2013-08-04 20:32:42.100924	2013-08-04 20:32:42.100924	262
42897	204381	36211	2013-08-04 20:32:42.112216	2013-08-04 20:32:42.112216	262
42898	204381	36193	2013-08-04 20:32:42.123382	2013-08-04 20:32:42.123382	262
42899	204381	36191	2013-08-04 20:32:42.134832	2013-08-04 20:32:42.134832	262
42900	204381	36171	2013-08-04 20:32:42.146139	2013-08-04 20:32:42.146139	262
42901	204381	36151	2013-08-04 20:32:42.157299	2013-08-04 20:32:42.157299	262
42902	203628	36131	2013-08-04 20:32:42.18081	2013-08-04 20:32:42.18081	262
42903	203628	36111	2013-08-04 20:32:42.19331	2013-08-04 20:32:42.19331	262
42904	203628	35992	2013-08-04 20:32:42.204656	2013-08-04 20:32:42.204656	262
42905	203628	35955	2013-08-04 20:32:42.215904	2013-08-04 20:32:42.215904	262
42906	203628	36055	2013-08-04 20:32:42.227083	2013-08-04 20:32:42.227083	262
42907	203628	29596	2013-08-04 20:32:42.238657	2013-08-04 20:32:42.238657	262
42908	203628	29336	2013-08-04 20:32:42.244483	2013-08-04 20:32:42.244483	262
42909	203628	20109	2013-08-04 20:32:42.250049	2013-08-04 20:32:42.250049	262
42910	203628	43386	2013-08-04 20:32:42.254195	2013-08-04 20:32:42.254195	262
42911	204386	29701	2013-08-04 20:32:42.299162	2013-08-04 20:32:42.299162	262
42912	204386	35103	2013-08-04 20:32:42.302319	2013-08-04 20:32:42.302319	262
42913	204386	29192	2013-08-04 20:32:42.305471	2013-08-04 20:32:42.305471	262
42914	204386	48243	2013-08-04 20:32:42.308447	2013-08-04 20:32:42.308447	262
42915	204386	17290	2013-08-04 20:32:42.311244	2013-08-04 20:32:42.311244	262
42916	204386	24170	2013-08-04 20:32:42.314247	2013-08-04 20:32:42.314247	262
42917	204386	47963	2013-08-04 20:32:42.317197	2013-08-04 20:32:42.317197	262
42918	204386	17412	2013-08-04 20:32:42.320038	2013-08-04 20:32:42.320038	262
42919	204386	22946	2013-08-04 20:32:42.324325	2013-08-04 20:32:42.324325	262
42920	203702	37483	2013-08-04 20:32:42.34167	2013-08-04 20:32:42.34167	262
42921	203702	20421	2013-08-04 20:32:42.353095	2013-08-04 20:32:42.353095	262
42922	203702	32335	2013-08-04 20:32:42.3643	2013-08-04 20:32:42.3643	262
42923	203702	27040	2013-08-04 20:32:42.372707	2013-08-04 20:32:42.372707	262
42924	203702	29815	2013-08-04 20:32:42.384009	2013-08-04 20:32:42.384009	262
42925	203702	37563	2013-08-04 20:32:42.396067	2013-08-04 20:32:42.396067	262
42926	203702	29541	2013-08-04 20:32:42.408224	2013-08-04 20:32:42.408224	262
42927	203702	32775	2013-08-04 20:32:42.419682	2013-08-04 20:32:42.419682	262
42928	203702	12932	2013-08-04 20:32:42.431204	2013-08-04 20:32:42.431204	262
42929	204044	30016	2013-08-04 20:32:42.512105	2013-08-04 20:32:42.512105	262
42930	204044	29996	2013-08-04 20:32:42.524474	2013-08-04 20:32:42.524474	262
42931	204044	29976	2013-08-04 20:32:42.536328	2013-08-04 20:32:42.536328	262
42932	204044	29851	2013-08-04 20:32:42.548543	2013-08-04 20:32:42.548543	262
42933	204044	29956	2013-08-04 20:32:42.559882	2013-08-04 20:32:42.559882	262
42934	204044	29973	2013-08-04 20:32:42.570971	2013-08-04 20:32:42.570971	262
42935	204044	29840	2013-08-04 20:32:42.582171	2013-08-04 20:32:42.582171	262
42936	204044	29936	2013-08-04 20:32:42.593378	2013-08-04 20:32:42.593378	262
42937	204044	29916	2013-08-04 20:32:42.604775	2013-08-04 20:32:42.604775	262
42938	203477	29896	2013-08-04 20:32:42.628329	2013-08-04 20:32:42.628329	262
42939	203477	2744	2013-08-04 20:32:42.640009	2013-08-04 20:32:42.640009	262
42940	203477	29876	2013-08-04 20:32:42.651442	2013-08-04 20:32:42.651442	262
42941	203477	29856	2013-08-04 20:32:42.662829	2013-08-04 20:32:42.662829	262
42942	203477	29836	2013-08-04 20:32:42.674005	2013-08-04 20:32:42.674005	262
42943	203477	29825	2013-08-04 20:32:42.685162	2013-08-04 20:32:42.685162	262
42944	203477	29816	2013-08-04 20:32:42.696222	2013-08-04 20:32:42.696222	262
42945	203477	29796	2013-08-04 20:32:42.707063	2013-08-04 20:32:42.707063	262
42946	203477	29776	2013-08-04 20:32:42.717992	2013-08-04 20:32:42.717992	262
42947	203932	42833	2013-08-04 20:32:42.759481	2013-08-04 20:32:42.759481	262
42948	203932	35950	2013-08-04 20:32:42.769663	2013-08-04 20:32:42.769663	262
42949	203932	29391	2013-08-04 20:32:42.779537	2013-08-04 20:32:42.779537	262
42950	203932	29296	2013-08-04 20:32:42.7891	2013-08-04 20:32:42.7891	262
42951	203932	29295	2013-08-04 20:32:42.798576	2013-08-04 20:32:42.798576	262
42952	203932	20049	2013-08-04 20:32:42.808135	2013-08-04 20:32:42.808135	262
42953	203932	19897	2013-08-04 20:32:42.817869	2013-08-04 20:32:42.817869	262
42954	203932	43341	2013-08-04 20:32:42.827667	2013-08-04 20:32:42.827667	262
42955	204019	36139	2013-08-04 20:32:42.867996	2013-08-04 20:32:42.867996	262
42956	204019	36119	2013-08-04 20:32:42.873726	2013-08-04 20:32:42.873726	262
42957	204019	36011	2013-08-04 20:32:42.878743	2013-08-04 20:32:42.878743	262
42958	204019	21966	2013-08-04 20:32:42.882732	2013-08-04 20:32:42.882732	262
42959	204019	36099	2013-08-04 20:32:42.887893	2013-08-04 20:32:42.887893	262
42960	204019	36079	2013-08-04 20:32:42.892081	2013-08-04 20:32:42.892081	262
42961	203629	35972	2013-08-04 20:32:42.89942	2013-08-04 20:32:42.89942	262
42962	203629	36110	2013-08-04 20:32:42.903025	2013-08-04 20:32:42.903025	262
42963	203629	36059	2013-08-04 20:32:42.907424	2013-08-04 20:32:42.907424	262
42964	203629	36033	2013-08-04 20:32:42.912878	2013-08-04 20:32:42.912878	262
42965	203629	36053	2013-08-04 20:32:42.918644	2013-08-04 20:32:42.918644	262
42966	203629	36039	2013-08-04 20:32:42.924578	2013-08-04 20:32:42.924578	262
42967	203503	35871	2013-08-04 20:32:42.939364	2013-08-04 20:32:42.939364	262
42968	203503	29516	2013-08-04 20:32:42.948725	2013-08-04 20:32:42.948725	262
42969	203503	29352	2013-08-04 20:32:42.958581	2013-08-04 20:32:42.958581	262
42970	203503	19977	2013-08-04 20:32:42.968247	2013-08-04 20:32:42.968247	262
42971	203503	19955	2013-08-04 20:32:42.978676	2013-08-04 20:32:42.978676	262
42972	203503	19929	2013-08-04 20:32:42.98973	2013-08-04 20:32:42.98973	262
42973	204387	47255	2013-08-04 20:32:43.30485	2013-08-04 20:32:43.30485	262
42974	204387	20361	2013-08-04 20:32:43.30847	2013-08-04 20:32:43.30847	262
42975	204387	48223	2013-08-04 20:32:43.311906	2013-08-04 20:32:43.311906	262
42976	204387	15486	2013-08-04 20:32:43.315161	2013-08-04 20:32:43.315161	262
42977	204387	8901	2013-08-04 20:32:43.318518	2013-08-04 20:32:43.318518	262
42978	204387	8910	2013-08-04 20:32:43.322402	2013-08-04 20:32:43.322402	262
42979	204387	8847	2013-08-04 20:32:43.325743	2013-08-04 20:32:43.325743	262
42980	204387	18490	2013-08-04 20:32:43.328994	2013-08-04 20:32:43.328994	262
42981	204387	45583	2013-08-04 20:32:43.332172	2013-08-04 20:32:43.332172	262
42982	204387	8867	2013-08-04 20:32:43.335058	2013-08-04 20:32:43.335058	262
42983	204387	29701	2013-08-04 20:32:43.337947	2013-08-04 20:32:43.337947	262
42984	204387	35103	2013-08-04 20:32:43.340844	2013-08-04 20:32:43.340844	262
42985	204387	29192	2013-08-04 20:32:43.343952	2013-08-04 20:32:43.343952	262
42986	204387	48243	2013-08-04 20:32:43.346721	2013-08-04 20:32:43.346721	262
42987	204387	17290	2013-08-04 20:32:43.349857	2013-08-04 20:32:43.349857	262
42988	204387	24170	2013-08-04 20:32:43.354378	2013-08-04 20:32:43.354378	262
42989	204387	47963	2013-08-04 20:32:43.358281	2013-08-04 20:32:43.358281	262
42990	204387	17412	2013-08-04 20:32:43.362729	2013-08-04 20:32:43.362729	262
42991	204387	22946	2013-08-04 20:32:43.365618	2013-08-04 20:32:43.365618	262
42992	204383	47255	2013-08-04 20:32:43.376352	2013-08-04 20:32:43.376352	262
42993	204383	20361	2013-08-04 20:32:43.379893	2013-08-04 20:32:43.379893	262
42994	204383	48223	2013-08-04 20:32:43.383243	2013-08-04 20:32:43.383243	262
42995	204383	15486	2013-08-04 20:32:43.387152	2013-08-04 20:32:43.387152	262
42996	204383	8901	2013-08-04 20:32:43.391022	2013-08-04 20:32:43.391022	262
42997	204383	8910	2013-08-04 20:32:43.394915	2013-08-04 20:32:43.394915	262
42998	204383	8847	2013-08-04 20:32:43.398936	2013-08-04 20:32:43.398936	262
42999	204383	18490	2013-08-04 20:32:43.402976	2013-08-04 20:32:43.402976	262
43000	204383	45583	2013-08-04 20:32:43.410711	2013-08-04 20:32:43.410711	262
43001	204383	8867	2013-08-04 20:32:43.418174	2013-08-04 20:32:43.418174	262
43002	204383	29701	2013-08-04 20:32:43.427584	2013-08-04 20:32:43.427584	262
43003	204383	35103	2013-08-04 20:32:43.43624	2013-08-04 20:32:43.43624	262
43004	204383	29192	2013-08-04 20:32:43.444607	2013-08-04 20:32:43.444607	262
43005	204383	48243	2013-08-04 20:32:43.452781	2013-08-04 20:32:43.452781	262
43006	204383	17290	2013-08-04 20:32:43.4612	2013-08-04 20:32:43.4612	262
43007	204383	24170	2013-08-04 20:32:43.469449	2013-08-04 20:32:43.469449	262
43008	204383	47963	2013-08-04 20:32:43.478057	2013-08-04 20:32:43.478057	262
43009	204383	17412	2013-08-04 20:32:43.486962	2013-08-04 20:32:43.486962	262
43010	204383	22946	2013-08-04 20:32:43.496567	2013-08-04 20:32:43.496567	262
43011	203474	29556	2013-08-04 20:32:43.76392	2013-08-04 20:32:43.76392	262
43012	204473	43472	2013-08-04 20:37:26.072764	2013-08-04 20:37:26.072764	263
43013	204473	43488	2013-08-04 20:37:26.084578	2013-08-04 20:37:26.084578	263
43014	204473	43317	2013-08-04 20:37:26.091602	2013-08-04 20:37:26.091602	263
43015	204473	20810	2013-08-04 20:37:26.096104	2013-08-04 20:37:26.096104	263
43016	204473	43946	2013-08-04 20:37:26.099579	2013-08-04 20:37:26.099579	263
43017	204473	20549	2013-08-04 20:37:26.102603	2013-08-04 20:37:26.102603	263
43018	204468	44206	2013-08-04 20:37:26.302132	2013-08-04 20:37:26.302132	263
43019	204468	44186	2013-08-04 20:37:26.311178	2013-08-04 20:37:26.311178	263
43020	204468	44241	2013-08-04 20:37:26.32081	2013-08-04 20:37:26.32081	263
43021	204468	44245	2013-08-04 20:37:26.333963	2013-08-04 20:37:26.333963	263
43022	204468	44166	2013-08-04 20:37:26.350144	2013-08-04 20:37:26.350144	263
43023	204468	44146	2013-08-04 20:37:26.364842	2013-08-04 20:37:26.364842	263
43024	204468	44126	2013-08-04 20:37:26.380886	2013-08-04 20:37:26.380886	263
43025	204468	44112	2013-08-04 20:37:26.39706	2013-08-04 20:37:26.39706	263
43026	204468	44015	2013-08-04 20:37:26.41315	2013-08-04 20:37:26.41315	263
43027	204468	44106	2013-08-04 20:37:26.431621	2013-08-04 20:37:26.431621	263
43028	204468	44086	2013-08-04 20:37:26.44805	2013-08-04 20:37:26.44805	263
43029	204468	44066	2013-08-04 20:37:26.459889	2013-08-04 20:37:26.459889	263
43030	204468	43970	2013-08-04 20:37:26.467678	2013-08-04 20:37:26.467678	263
43031	204468	44046	2013-08-04 20:37:26.479293	2013-08-04 20:37:26.479293	263
43032	204468	44026	2013-08-04 20:37:26.485358	2013-08-04 20:37:26.485358	263
43033	204468	44006	2013-08-04 20:37:26.492589	2013-08-04 20:37:26.492589	263
43034	204468	43986	2013-08-04 20:37:26.499092	2013-08-04 20:37:26.499092	263
43035	204468	43433	2013-08-04 20:37:26.505026	2013-08-04 20:37:26.505026	263
43036	204468	43193	2013-08-04 20:37:26.511534	2013-08-04 20:37:26.511534	263
43037	204469	11747	2013-08-04 20:37:26.528159	2013-08-04 20:37:26.528159	263
43038	204469	5223	2013-08-04 20:37:26.533259	2013-08-04 20:37:26.533259	263
43039	204469	11700	2013-08-04 20:37:26.53761	2013-08-04 20:37:26.53761	263
43040	204469	11727	2013-08-04 20:37:26.542761	2013-08-04 20:37:26.542761	263
43041	204469	47090	2013-08-04 20:37:26.54895	2013-08-04 20:37:26.54895	263
43042	204469	11707	2013-08-04 20:37:26.555077	2013-08-04 20:37:26.555077	263
43043	204469	11687	2013-08-04 20:37:26.560356	2013-08-04 20:37:26.560356	263
43044	204469	39595	2013-08-04 20:37:26.564977	2013-08-04 20:37:26.564977	263
43045	204469	11667	2013-08-04 20:37:26.570024	2013-08-04 20:37:26.570024	263
43046	204469	11647	2013-08-04 20:37:26.578167	2013-08-04 20:37:26.578167	263
43047	204469	27145	2013-08-04 20:37:26.58377	2013-08-04 20:37:26.58377	263
43048	204469	11627	2013-08-04 20:37:26.589425	2013-08-04 20:37:26.589425	263
43049	204469	43886	2013-08-04 20:37:26.595999	2013-08-04 20:37:26.595999	263
43050	204469	43028	2013-08-04 20:37:26.602781	2013-08-04 20:37:26.602781	263
43051	204469	43138	2013-08-04 20:37:26.609088	2013-08-04 20:37:26.609088	263
43052	204469	43048	2013-08-04 20:37:26.615234	2013-08-04 20:37:26.615234	263
43053	204469	43068	2013-08-04 20:37:26.620467	2013-08-04 20:37:26.620467	263
43054	204469	43088	2013-08-04 20:37:26.625543	2013-08-04 20:37:26.625543	263
43055	204469	43108	2013-08-04 20:37:26.631655	2013-08-04 20:37:26.631655	263
43056	204470	43748	2013-08-04 20:37:26.661708	2013-08-04 20:37:26.661708	263
43057	204470	43728	2013-08-04 20:37:26.672159	2013-08-04 20:37:26.672159	263
43058	204470	43708	2013-08-04 20:37:26.680659	2013-08-04 20:37:26.680659	263
43059	204470	43698	2013-08-04 20:37:26.688571	2013-08-04 20:37:26.688571	263
43060	204470	43688	2013-08-04 20:37:26.694086	2013-08-04 20:37:26.694086	263
43061	204470	43740	2013-08-04 20:37:26.698204	2013-08-04 20:37:26.698204	263
43062	204470	43668	2013-08-04 20:37:26.704992	2013-08-04 20:37:26.704992	263
43063	204470	43648	2013-08-04 20:37:26.711027	2013-08-04 20:37:26.711027	263
43064	204470	43575	2013-08-04 20:37:26.722258	2013-08-04 20:37:26.722258	263
43065	204470	43543	2013-08-04 20:37:26.737757	2013-08-04 20:37:26.737757	263
43066	204470	43628	2013-08-04 20:37:26.751948	2013-08-04 20:37:26.751948	263
43067	204470	43608	2013-08-04 20:37:26.766531	2013-08-04 20:37:26.766531	263
43068	204470	43532	2013-08-04 20:37:26.781218	2013-08-04 20:37:26.781218	263
43069	204470	43588	2013-08-04 20:37:26.796078	2013-08-04 20:37:26.796078	263
43070	204470	43568	2013-08-04 20:37:26.811589	2013-08-04 20:37:26.811589	263
43071	204470	43548	2013-08-04 20:37:26.827637	2013-08-04 20:37:26.827637	263
43072	204470	43393	2013-08-04 20:37:26.843067	2013-08-04 20:37:26.843067	263
43073	204470	43173	2013-08-04 20:37:26.857099	2013-08-04 20:37:26.857099	263
43074	204470	43866	2013-08-04 20:37:26.87155	2013-08-04 20:37:26.87155	263
43075	204472	43417	2013-08-04 20:37:26.995525	2013-08-04 20:37:26.995525	263
43076	204472	43368	2013-08-04 20:37:27.007741	2013-08-04 20:37:27.007741	263
43077	204472	43133	2013-08-04 20:37:27.018615	2013-08-04 20:37:27.018615	263
43078	204472	20637	2013-08-04 20:37:27.030909	2013-08-04 20:37:27.030909	263
43079	204472	20455	2013-08-04 20:37:27.044736	2013-08-04 20:37:27.044736	263
43080	204472	43885	2013-08-04 20:37:27.058103	2013-08-04 20:37:27.058103	263
43081	204917	47255	2013-08-04 20:37:27.097626	2013-08-04 20:37:27.097626	263
43082	204917	20361	2013-08-04 20:37:27.104233	2013-08-04 20:37:27.104233	263
43083	204917	48223	2013-08-04 20:37:27.114692	2013-08-04 20:37:27.114692	263
43084	204917	15486	2013-08-04 20:37:27.120034	2013-08-04 20:37:27.120034	263
43085	204917	8901	2013-08-04 20:37:27.126255	2013-08-04 20:37:27.126255	263
43086	204917	8910	2013-08-04 20:37:27.131102	2013-08-04 20:37:27.131102	263
43087	204917	8847	2013-08-04 20:37:27.136081	2013-08-04 20:37:27.136081	263
43088	204917	18490	2013-08-04 20:37:27.139761	2013-08-04 20:37:27.139761	263
43089	204917	45583	2013-08-04 20:37:27.143489	2013-08-04 20:37:27.143489	263
43090	204917	8867	2013-08-04 20:37:27.146949	2013-08-04 20:37:27.146949	263
43091	204917	29701	2013-08-04 20:37:27.150988	2013-08-04 20:37:27.150988	263
43092	204917	35103	2013-08-04 20:37:27.155559	2013-08-04 20:37:27.155559	263
43093	204917	29192	2013-08-04 20:37:27.159984	2013-08-04 20:37:27.159984	263
43094	204917	48243	2013-08-04 20:37:27.16465	2013-08-04 20:37:27.16465	263
43095	204917	17290	2013-08-04 20:37:27.171685	2013-08-04 20:37:27.171685	263
43096	204917	24170	2013-08-04 20:37:27.17775	2013-08-04 20:37:27.17775	263
43097	204917	47963	2013-08-04 20:37:27.183766	2013-08-04 20:37:27.183766	263
43098	204917	17412	2013-08-04 20:37:27.191539	2013-08-04 20:37:27.191539	263
43099	204917	22946	2013-08-04 20:37:27.200125	2013-08-04 20:37:27.200125	263
43100	204919	47255	2013-08-04 20:37:27.234061	2013-08-04 20:37:27.234061	263
43101	204919	20361	2013-08-04 20:37:27.243478	2013-08-04 20:37:27.243478	263
43102	204919	48223	2013-08-04 20:37:27.2517	2013-08-04 20:37:27.2517	263
43103	204919	15486	2013-08-04 20:37:27.260392	2013-08-04 20:37:27.260392	263
43104	204919	8901	2013-08-04 20:37:27.269057	2013-08-04 20:37:27.269057	263
43105	204919	8910	2013-08-04 20:37:27.27764	2013-08-04 20:37:27.27764	263
43106	204919	8847	2013-08-04 20:37:27.286087	2013-08-04 20:37:27.286087	263
43107	204919	18490	2013-08-04 20:37:27.294781	2013-08-04 20:37:27.294781	263
43108	204919	45583	2013-08-04 20:37:27.303958	2013-08-04 20:37:27.303958	263
43109	204919	8867	2013-08-04 20:37:27.312571	2013-08-04 20:37:27.312571	263
43110	204919	29701	2013-08-04 20:37:27.324267	2013-08-04 20:37:27.324267	263
43111	204919	35103	2013-08-04 20:37:27.336073	2013-08-04 20:37:27.336073	263
43112	204919	29192	2013-08-04 20:37:27.347744	2013-08-04 20:37:27.347744	263
43113	204919	48243	2013-08-04 20:37:27.359952	2013-08-04 20:37:27.359952	263
43114	204919	17290	2013-08-04 20:37:27.371197	2013-08-04 20:37:27.371197	263
43115	204919	24170	2013-08-04 20:37:27.383386	2013-08-04 20:37:27.383386	263
43116	204919	47963	2013-08-04 20:37:27.393173	2013-08-04 20:37:27.393173	263
43117	204919	17412	2013-08-04 20:37:27.399836	2013-08-04 20:37:27.399836	263
43118	204919	22946	2013-08-04 20:37:27.410613	2013-08-04 20:37:27.410613	263
43119	204920	47255	2013-08-04 20:37:27.446689	2013-08-04 20:37:27.446689	263
43120	204920	20361	2013-08-04 20:37:27.458346	2013-08-04 20:37:27.458346	263
43121	204920	48223	2013-08-04 20:37:27.469829	2013-08-04 20:37:27.469829	263
43122	204920	15486	2013-08-04 20:37:27.480963	2013-08-04 20:37:27.480963	263
43123	204920	8901	2013-08-04 20:37:27.492275	2013-08-04 20:37:27.492275	263
43124	204920	8910	2013-08-04 20:37:27.503717	2013-08-04 20:37:27.503717	263
43125	204920	8847	2013-08-04 20:37:27.513251	2013-08-04 20:37:27.513251	263
43126	204920	18490	2013-08-04 20:37:27.518078	2013-08-04 20:37:27.518078	263
43127	204920	45583	2013-08-04 20:37:27.522272	2013-08-04 20:37:27.522272	263
43128	204920	8867	2013-08-04 20:37:27.529307	2013-08-04 20:37:27.529307	263
43129	204920	29701	2013-08-04 20:37:27.541061	2013-08-04 20:37:27.541061	263
43130	204920	35103	2013-08-04 20:37:27.552553	2013-08-04 20:37:27.552553	263
43131	204920	29192	2013-08-04 20:37:27.564576	2013-08-04 20:37:27.564576	263
43132	204920	48243	2013-08-04 20:37:27.577023	2013-08-04 20:37:27.577023	263
43133	204920	17290	2013-08-04 20:37:27.589316	2013-08-04 20:37:27.589316	263
43134	204920	24170	2013-08-04 20:37:27.600974	2013-08-04 20:37:27.600974	263
43135	204920	47963	2013-08-04 20:37:27.61255	2013-08-04 20:37:27.61255	263
43136	204920	17412	2013-08-04 20:37:27.623863	2013-08-04 20:37:27.623863	263
43137	204920	22946	2013-08-04 20:37:27.636325	2013-08-04 20:37:27.636325	263
43138	204480	43293	2013-08-04 20:37:27.720093	2013-08-04 20:37:27.720093	263
43139	204771	43513	2013-08-04 20:37:27.753688	2013-08-04 20:37:27.753688	263
43140	204693	4411	2013-08-04 20:37:27.833842	2013-08-04 20:37:27.833842	263
43141	204693	8252	2013-08-04 20:37:27.84892	2013-08-04 20:37:27.84892	263
43142	204693	4819	2013-08-04 20:37:27.86425	2013-08-04 20:37:27.86425	263
43143	204693	6913	2013-08-04 20:37:27.879541	2013-08-04 20:37:27.879541	263
43144	204693	8230	2013-08-04 20:37:27.896225	2013-08-04 20:37:27.896225	263
43145	204693	8241	2013-08-04 20:37:27.913816	2013-08-04 20:37:27.913816	263
43146	204693	8496	2013-08-04 20:37:27.930443	2013-08-04 20:37:27.930443	263
43147	204693	18648	2013-08-04 20:37:27.946191	2013-08-04 20:37:27.946191	263
43148	204693	8280	2013-08-04 20:37:27.961772	2013-08-04 20:37:27.961772	263
43149	204693	8025	2013-08-04 20:37:27.9799	2013-08-04 20:37:27.9799	263
43150	204693	8020	2013-08-04 20:37:27.996513	2013-08-04 20:37:27.996513	263
43151	204693	8040	2013-08-04 20:37:28.012444	2013-08-04 20:37:28.012444	263
43152	204693	8060	2013-08-04 20:37:28.0276	2013-08-04 20:37:28.0276	263
43153	204693	8043	2013-08-04 20:37:28.040287	2013-08-04 20:37:28.040287	263
43154	204693	8015	2013-08-04 20:37:28.058089	2013-08-04 20:37:28.058089	263
43155	204693	8095	2013-08-04 20:37:28.07372	2013-08-04 20:37:28.07372	263
43156	204693	8012	2013-08-04 20:37:28.090012	2013-08-04 20:37:28.090012	263
43157	204693	8032	2013-08-04 20:37:28.108165	2013-08-04 20:37:28.108165	263
43158	204693	8052	2013-08-04 20:37:28.125899	2013-08-04 20:37:28.125899	263
43159	204479	5846	2013-08-04 20:37:28.162586	2013-08-04 20:37:28.162586	263
43160	204479	11889	2013-08-04 20:37:28.172906	2013-08-04 20:37:28.172906	263
43161	204479	11786	2013-08-04 20:37:28.17941	2013-08-04 20:37:28.17941	263
43162	204479	11805	2013-08-04 20:37:28.184469	2013-08-04 20:37:28.184469	263
43163	204479	19741	2013-08-04 20:37:28.189883	2013-08-04 20:37:28.189883	263
43164	204479	7158	2013-08-04 20:37:28.202945	2013-08-04 20:37:28.202945	263
43165	204479	11825	2013-08-04 20:37:28.217082	2013-08-04 20:37:28.217082	263
43166	204479	11780	2013-08-04 20:37:28.231762	2013-08-04 20:37:28.231762	263
43167	204479	11845	2013-08-04 20:37:28.245516	2013-08-04 20:37:28.245516	263
43168	204479	11807	2013-08-04 20:37:28.257398	2013-08-04 20:37:28.257398	263
43169	204479	11839	2013-08-04 20:37:28.266985	2013-08-04 20:37:28.266985	263
43170	204479	11787	2013-08-04 20:37:28.275192	2013-08-04 20:37:28.275192	263
43171	204479	11895	2013-08-04 20:37:28.287683	2013-08-04 20:37:28.287683	263
43172	204479	28492	2013-08-04 20:37:28.299997	2013-08-04 20:37:28.299997	263
43173	204479	11715	2013-08-04 20:37:28.311759	2013-08-04 20:37:28.311759	263
43174	204479	11732	2013-08-04 20:37:28.316037	2013-08-04 20:37:28.316037	263
43175	204479	11757	2013-08-04 20:37:28.322091	2013-08-04 20:37:28.322091	263
43176	204479	11767	2013-08-04 20:37:28.333946	2013-08-04 20:37:28.333946	263
43177	204479	43513	2013-08-04 20:37:28.349156	2013-08-04 20:37:28.349156	263
43178	205007	43968	2013-08-04 20:37:28.42216	2013-08-04 20:37:28.42216	263
43179	205007	43892	2013-08-04 20:37:28.436334	2013-08-04 20:37:28.436334	263
43180	205007	43852	2013-08-04 20:37:28.449242	2013-08-04 20:37:28.449242	263
43181	205007	43948	2013-08-04 20:37:28.461672	2013-08-04 20:37:28.461672	263
43182	204507	43928	2013-08-04 20:37:28.492475	2013-08-04 20:37:28.492475	263
43183	204507	43908	2013-08-04 20:37:28.509098	2013-08-04 20:37:28.509098	263
43184	204507	43888	2013-08-04 20:37:28.524811	2013-08-04 20:37:28.524811	263
43185	204507	43868	2013-08-04 20:37:28.541036	2013-08-04 20:37:28.541036	263
43186	204502	43897	2013-08-04 20:37:28.573904	2013-08-04 20:37:28.573904	263
43187	204502	43848	2013-08-04 20:37:28.589973	2013-08-04 20:37:28.589973	263
43188	204502	43901	2013-08-04 20:37:28.605809	2013-08-04 20:37:28.605809	263
43189	204502	43828	2013-08-04 20:37:28.621951	2013-08-04 20:37:28.621951	263
43190	204498	43808	2013-08-04 20:37:28.644584	2013-08-04 20:37:28.644584	263
43191	204498	43788	2013-08-04 20:37:28.659713	2013-08-04 20:37:28.659713	263
43192	204498	43768	2013-08-04 20:37:28.674522	2013-08-04 20:37:28.674522	263
43193	204498	43672	2013-08-04 20:37:28.689493	2013-08-04 20:37:28.689493	263
43194	204648	5449	2013-08-04 20:37:28.741632	2013-08-04 20:37:28.741632	263
43195	204648	20969	2013-08-04 20:37:28.747799	2013-08-04 20:37:28.747799	263
43196	204648	32800	2013-08-04 20:37:28.753868	2013-08-04 20:37:28.753868	263
43197	204648	20949	2013-08-04 20:37:28.759597	2013-08-04 20:37:28.759597	263
43198	204648	20929	2013-08-04 20:37:28.766151	2013-08-04 20:37:28.766151	263
43199	204648	20943	2013-08-04 20:37:28.77343	2013-08-04 20:37:28.77343	263
43200	204648	20909	2013-08-04 20:37:28.779526	2013-08-04 20:37:28.779526	263
43201	204648	20952	2013-08-04 20:37:28.785131	2013-08-04 20:37:28.785131	263
43202	204648	20889	2013-08-04 20:37:28.791892	2013-08-04 20:37:28.791892	263
43203	204515	20869	2013-08-04 20:37:28.805269	2013-08-04 20:37:28.805269	263
43204	204515	20849	2013-08-04 20:37:28.811737	2013-08-04 20:37:28.811737	263
43205	204515	20829	2013-08-04 20:37:28.81636	2013-08-04 20:37:28.81636	263
43206	204515	20790	2013-08-04 20:37:28.822226	2013-08-04 20:37:28.822226	263
43207	204515	20809	2013-08-04 20:37:28.829476	2013-08-04 20:37:28.829476	263
43208	204515	32438	2013-08-04 20:37:28.836479	2013-08-04 20:37:28.836479	263
43209	204515	20789	2013-08-04 20:37:28.843143	2013-08-04 20:37:28.843143	263
43210	204515	20871	2013-08-04 20:37:28.85567	2013-08-04 20:37:28.85567	263
43211	204515	43937	2013-08-04 20:37:28.86227	2013-08-04 20:37:28.86227	263
43212	204509	36511	2013-08-04 20:37:28.918499	2013-08-04 20:37:28.918499	263
43213	204509	36438	2013-08-04 20:37:28.924013	2013-08-04 20:37:28.924013	263
43214	204509	36491	2013-08-04 20:37:28.929254	2013-08-04 20:37:28.929254	263
43215	204509	36471	2013-08-04 20:37:28.934675	2013-08-04 20:37:28.934675	263
43216	204509	36451	2013-08-04 20:37:28.941073	2013-08-04 20:37:28.941073	263
43217	204509	36431	2013-08-04 20:37:28.947329	2013-08-04 20:37:28.947329	263
43218	204509	36350	2013-08-04 20:37:28.960261	2013-08-04 20:37:28.960261	263
43219	204509	36411	2013-08-04 20:37:28.97338	2013-08-04 20:37:28.97338	263
43220	204509	36391	2013-08-04 20:37:28.987064	2013-08-04 20:37:28.987064	263
43221	204509	36371	2013-08-04 20:37:29.001587	2013-08-04 20:37:29.001587	263
43222	204509	36351	2013-08-04 20:37:29.016272	2013-08-04 20:37:29.016272	263
43223	204509	36330	2013-08-04 20:37:29.030627	2013-08-04 20:37:29.030627	263
43224	204509	36331	2013-08-04 20:37:29.044795	2013-08-04 20:37:29.044795	263
43225	204509	36311	2013-08-04 20:37:29.059454	2013-08-04 20:37:29.059454	263
43226	204509	36352	2013-08-04 20:37:29.070925	2013-08-04 20:37:29.070925	263
43227	204509	36291	2013-08-04 20:37:29.077974	2013-08-04 20:37:29.077974	263
43228	204509	20689	2013-08-04 20:37:29.082826	2013-08-04 20:37:29.082826	263
43229	204509	20469	2013-08-04 20:37:29.089467	2013-08-04 20:37:29.089467	263
43230	204509	43846	2013-08-04 20:37:29.094124	2013-08-04 20:37:29.094124	263
43231	204921	20361	2013-08-04 20:37:29.18898	2013-08-04 20:37:29.18898	263
43232	204921	48223	2013-08-04 20:37:29.200418	2013-08-04 20:37:29.200418	263
43233	204921	15486	2013-08-04 20:37:29.208121	2013-08-04 20:37:29.208121	263
43234	204921	8901	2013-08-04 20:37:29.213899	2013-08-04 20:37:29.213899	263
43235	204921	8910	2013-08-04 20:37:29.219409	2013-08-04 20:37:29.219409	263
43236	204921	8847	2013-08-04 20:37:29.225289	2013-08-04 20:37:29.225289	263
43237	204921	18490	2013-08-04 20:37:29.231136	2013-08-04 20:37:29.231136	263
43238	204921	45583	2013-08-04 20:37:29.23652	2013-08-04 20:37:29.23652	263
43239	204921	8867	2013-08-04 20:37:29.242565	2013-08-04 20:37:29.242565	263
43240	204708	29701	2013-08-04 20:37:29.251758	2013-08-04 20:37:29.251758	263
43241	204708	35103	2013-08-04 20:37:29.258929	2013-08-04 20:37:29.258929	263
43242	204708	29192	2013-08-04 20:37:29.268635	2013-08-04 20:37:29.268635	263
43243	204708	48243	2013-08-04 20:37:29.275385	2013-08-04 20:37:29.275385	263
43244	204708	17290	2013-08-04 20:37:29.281634	2013-08-04 20:37:29.281634	263
43245	204708	24170	2013-08-04 20:37:29.33006	2013-08-04 20:37:29.33006	263
43246	204708	47963	2013-08-04 20:37:29.335226	2013-08-04 20:37:29.335226	263
43247	204708	17412	2013-08-04 20:37:29.339949	2013-08-04 20:37:29.339949	263
43248	204708	22946	2013-08-04 20:37:29.350198	2013-08-04 20:37:29.350198	263
43249	204566	43655	2013-08-04 20:37:29.399552	2013-08-04 20:37:29.399552	263
43250	204566	43330	2013-08-04 20:37:29.410523	2013-08-04 20:37:29.410523	263
43251	204566	43280	2013-08-04 20:37:29.421246	2013-08-04 20:37:29.421246	263
43252	204566	43113	2013-08-04 20:37:29.432418	2013-08-04 20:37:29.432418	263
43253	204566	20629	2013-08-04 20:37:29.443201	2013-08-04 20:37:29.443201	263
43254	205039	43712	2013-08-04 20:37:29.495293	2013-08-04 20:37:29.495293	263
43255	205039	43232	2013-08-04 20:37:29.505953	2013-08-04 20:37:29.505953	263
43256	205039	43308	2013-08-04 20:37:29.516208	2013-08-04 20:37:29.516208	263
43257	205039	43073	2013-08-04 20:37:29.526488	2013-08-04 20:37:29.526488	263
43258	205039	20609	2013-08-04 20:37:29.537041	2013-08-04 20:37:29.537041	263
43259	205039	36045	2013-08-04 20:37:29.54746	2013-08-04 20:37:29.54746	263
43260	204923	3358	2013-08-04 20:37:29.608342	2013-08-04 20:37:29.608342	263
43261	204923	3338	2013-08-04 20:37:29.620887	2013-08-04 20:37:29.620887	263
43262	204923	3370	2013-08-04 20:37:29.632722	2013-08-04 20:37:29.632722	263
43263	204923	36279	2013-08-04 20:37:29.6442	2013-08-04 20:37:29.6442	263
43264	204763	36245	2013-08-04 20:37:29.667821	2013-08-04 20:37:29.667821	263
43265	204763	36185	2013-08-04 20:37:29.679757	2013-08-04 20:37:29.679757	263
43266	204763	36259	2013-08-04 20:37:29.691134	2013-08-04 20:37:29.691134	263
43267	204763	36198	2013-08-04 20:37:29.702591	2013-08-04 20:37:29.702591	263
43268	204510	36239	2013-08-04 20:37:29.729552	2013-08-04 20:37:29.729552	263
43269	204510	36219	2013-08-04 20:37:29.744114	2013-08-04 20:37:29.744114	263
43270	204510	36199	2013-08-04 20:37:29.75666	2013-08-04 20:37:29.75666	263
43271	204510	36179	2013-08-04 20:37:29.765219	2013-08-04 20:37:29.765219	263
43272	204483	36159	2013-08-04 20:37:29.774628	2013-08-04 20:37:29.774628	263
43273	204483	20669	2013-08-04 20:37:29.779415	2013-08-04 20:37:29.779415	263
43274	204483	20721	2013-08-04 20:37:29.78376	2013-08-04 20:37:29.78376	263
43275	204483	20357	2013-08-04 20:37:29.787594	2013-08-04 20:37:29.787594	263
43276	204922	37143	2013-08-04 20:37:30.245142	2013-08-04 20:37:30.245142	263
43277	204922	36283	2013-08-04 20:37:30.249541	2013-08-04 20:37:30.249541	263
43278	204922	20528	2013-08-04 20:37:30.253834	2013-08-04 20:37:30.253834	263
43279	204922	36323	2013-08-04 20:37:30.258026	2013-08-04 20:37:30.258026	263
43280	204922	37163	2013-08-04 20:37:30.261818	2013-08-04 20:37:30.261818	263
43281	204922	37443	2013-08-04 20:37:30.264911	2013-08-04 20:37:30.264911	263
43282	204922	35663	2013-08-04 20:37:30.267534	2013-08-04 20:37:30.267534	263
43283	204922	29881	2013-08-04 20:37:30.269856	2013-08-04 20:37:30.269856	263
43284	204922	29901	2013-08-04 20:37:30.272267	2013-08-04 20:37:30.272267	263
43285	204922	11811	2013-08-04 20:37:30.274635	2013-08-04 20:37:30.274635	263
43286	204922	20361	2013-08-04 20:37:30.276993	2013-08-04 20:37:30.276993	263
43287	204922	48223	2013-08-04 20:37:30.279287	2013-08-04 20:37:30.279287	263
43288	204922	15486	2013-08-04 20:37:30.281539	2013-08-04 20:37:30.281539	263
43289	204922	8901	2013-08-04 20:37:30.283744	2013-08-04 20:37:30.283744	263
43290	204922	8910	2013-08-04 20:37:30.285999	2013-08-04 20:37:30.285999	263
43291	204922	8847	2013-08-04 20:37:30.289011	2013-08-04 20:37:30.289011	263
43292	204922	18490	2013-08-04 20:37:30.292764	2013-08-04 20:37:30.292764	263
43293	204922	45583	2013-08-04 20:37:30.295523	2013-08-04 20:37:30.295523	263
43294	204922	8867	2013-08-04 20:37:30.300045	2013-08-04 20:37:30.300045	263
43295	204918	37143	2013-08-04 20:37:30.312983	2013-08-04 20:37:30.312983	263
43296	204918	36283	2013-08-04 20:37:30.320804	2013-08-04 20:37:30.320804	263
43297	204918	20528	2013-08-04 20:37:30.327715	2013-08-04 20:37:30.327715	263
43298	204918	36323	2013-08-04 20:37:30.332353	2013-08-04 20:37:30.332353	263
43299	204918	37163	2013-08-04 20:37:30.336643	2013-08-04 20:37:30.336643	263
43300	204918	37443	2013-08-04 20:37:30.342523	2013-08-04 20:37:30.342523	263
43301	204918	35663	2013-08-04 20:37:30.348601	2013-08-04 20:37:30.348601	263
43302	204918	29881	2013-08-04 20:37:30.355596	2013-08-04 20:37:30.355596	263
43303	204918	29901	2013-08-04 20:37:30.363031	2013-08-04 20:37:30.363031	263
43304	204918	11811	2013-08-04 20:37:30.371541	2013-08-04 20:37:30.371541	263
43305	204918	20361	2013-08-04 20:37:30.380212	2013-08-04 20:37:30.380212	263
43306	204918	48223	2013-08-04 20:37:30.388541	2013-08-04 20:37:30.388541	263
43307	204918	15486	2013-08-04 20:37:30.397051	2013-08-04 20:37:30.397051	263
43308	204918	8901	2013-08-04 20:37:30.405458	2013-08-04 20:37:30.405458	263
43309	204918	8910	2013-08-04 20:37:30.413819	2013-08-04 20:37:30.413819	263
43310	204918	8847	2013-08-04 20:37:30.422173	2013-08-04 20:37:30.422173	263
43311	204918	18490	2013-08-04 20:37:30.430075	2013-08-04 20:37:30.430075	263
43312	204918	45583	2013-08-04 20:37:30.438501	2013-08-04 20:37:30.438501	263
43313	204918	8867	2013-08-04 20:37:30.446757	2013-08-04 20:37:30.446757	263
43314	204582	43273	2013-08-04 20:37:30.685749	2013-08-04 20:37:30.685749	263
43315	205066	43653	2013-08-04 20:42:23.149384	2013-08-04 20:42:23.149384	264
43316	205066	30196	2013-08-04 20:42:23.162025	2013-08-04 20:42:23.162025	264
43317	205066	21389	2013-08-04 20:42:23.172465	2013-08-04 20:42:23.172465	264
43318	205066	44466	2013-08-04 20:42:23.182991	2013-08-04 20:42:23.182991	264
43319	205066	21189	2013-08-04 20:42:23.193472	2013-08-04 20:42:23.193472	264
43320	205064	44632	2013-08-04 20:42:23.412605	2013-08-04 20:42:23.412605	264
43321	205064	44725	2013-08-04 20:42:23.417589	2013-08-04 20:42:23.417589	264
43322	205064	44706	2013-08-04 20:42:23.422242	2013-08-04 20:42:23.422242	264
43323	205064	44686	2013-08-04 20:42:23.42673	2013-08-04 20:42:23.42673	264
43324	205064	44666	2013-08-04 20:42:23.434118	2013-08-04 20:42:23.434118	264
43325	205064	44646	2013-08-04 20:42:23.44369	2013-08-04 20:42:23.44369	264
43326	205064	44626	2013-08-04 20:42:23.450886	2013-08-04 20:42:23.450886	264
43327	205064	44606	2013-08-04 20:42:23.462835	2013-08-04 20:42:23.462835	264
43328	205064	44455	2013-08-04 20:42:23.474979	2013-08-04 20:42:23.474979	264
43329	205064	44586	2013-08-04 20:42:23.486198	2013-08-04 20:42:23.486198	264
43330	205064	44550	2013-08-04 20:42:23.497349	2013-08-04 20:42:23.497349	264
43331	205064	44566	2013-08-04 20:42:23.50848	2013-08-04 20:42:23.50848	264
43332	205064	44546	2013-08-04 20:42:23.519776	2013-08-04 20:42:23.519776	264
43333	205064	44490	2013-08-04 20:42:23.530925	2013-08-04 20:42:23.530925	264
43334	205064	44526	2013-08-04 20:42:23.54254	2013-08-04 20:42:23.54254	264
43335	205064	44506	2013-08-04 20:42:23.554563	2013-08-04 20:42:23.554563	264
43336	205064	30051	2013-08-04 20:42:23.566738	2013-08-04 20:42:23.566738	264
43337	205064	43633	2013-08-04 20:42:23.577304	2013-08-04 20:42:23.577304	264
43338	205064	21257	2013-08-04 20:42:23.588314	2013-08-04 20:42:23.588314	264
43339	205063	11907	2013-08-04 20:42:23.605427	2013-08-04 20:42:23.605427	264
43340	205063	11826	2013-08-04 20:42:23.610041	2013-08-04 20:42:23.610041	264
43341	205063	11887	2013-08-04 20:42:23.614636	2013-08-04 20:42:23.614636	264
43342	205063	11832	2013-08-04 20:42:23.619572	2013-08-04 20:42:23.619572	264
43343	205063	11932	2013-08-04 20:42:23.624248	2013-08-04 20:42:23.624248	264
43344	205063	11836	2013-08-04 20:42:23.629409	2013-08-04 20:42:23.629409	264
43345	205063	11867	2013-08-04 20:42:23.635685	2013-08-04 20:42:23.635685	264
43346	205063	3424	2013-08-04 20:42:23.64168	2013-08-04 20:42:23.64168	264
43347	205063	11847	2013-08-04 20:42:23.646444	2013-08-04 20:42:23.646444	264
43348	205063	6959	2013-08-04 20:42:23.652932	2013-08-04 20:42:23.652932	264
43349	205063	11820	2013-08-04 20:42:23.663368	2013-08-04 20:42:23.663368	264
43350	205063	11827	2013-08-04 20:42:23.675288	2013-08-04 20:42:23.675288	264
43351	205063	21349	2013-08-04 20:42:23.687608	2013-08-04 20:42:23.687608	264
43352	205063	44426	2013-08-04 20:42:23.699218	2013-08-04 20:42:23.699218	264
43353	205063	43937	2013-08-04 20:42:23.702812	2013-08-04 20:42:23.702812	264
43354	205063	43672	2013-08-04 20:42:23.70607	2013-08-04 20:42:23.70607	264
43355	205063	43768	2013-08-04 20:42:23.711253	2013-08-04 20:42:23.711253	264
43356	205063	43788	2013-08-04 20:42:23.714431	2013-08-04 20:42:23.714431	264
43357	205063	43808	2013-08-04 20:42:23.717277	2013-08-04 20:42:23.717277	264
43358	205062	44228	2013-08-04 20:42:23.733067	2013-08-04 20:42:23.733067	264
43359	205062	44208	2013-08-04 20:42:23.737144	2013-08-04 20:42:23.737144	264
43360	205062	44188	2013-08-04 20:42:23.74117	2013-08-04 20:42:23.74117	264
43361	205062	44168	2013-08-04 20:42:23.744416	2013-08-04 20:42:23.744416	264
43362	205062	44192	2013-08-04 20:42:23.747485	2013-08-04 20:42:23.747485	264
43363	205062	44205	2013-08-04 20:42:23.750584	2013-08-04 20:42:23.750584	264
43364	205062	44148	2013-08-04 20:42:23.756246	2013-08-04 20:42:23.756246	264
43365	205062	44128	2013-08-04 20:42:23.760677	2013-08-04 20:42:23.760677	264
43366	205062	44072	2013-08-04 20:42:23.765388	2013-08-04 20:42:23.765388	264
43367	205062	43975	2013-08-04 20:42:23.769926	2013-08-04 20:42:23.769926	264
43368	205062	44108	2013-08-04 20:42:23.774411	2013-08-04 20:42:23.774411	264
43369	205062	44088	2013-08-04 20:42:23.779094	2013-08-04 20:42:23.779094	264
43370	205062	44068	2013-08-04 20:42:23.784298	2013-08-04 20:42:23.784298	264
43371	205062	44048	2013-08-04 20:42:23.789344	2013-08-04 20:42:23.789344	264
43372	205062	43600	2013-08-04 20:42:23.794097	2013-08-04 20:42:23.794097	264
43373	205062	30011	2013-08-04 20:42:23.799501	2013-08-04 20:42:23.799501	264
43374	205062	21115	2013-08-04 20:42:23.80363	2013-08-04 20:42:23.80363	264
43375	205062	21329	2013-08-04 20:42:23.808278	2013-08-04 20:42:23.808278	264
43376	205062	44406	2013-08-04 20:42:23.814829	2013-08-04 20:42:23.814829	264
43377	205065	43625	2013-08-04 20:42:23.850845	2013-08-04 20:42:23.850845	264
43378	205065	30076	2013-08-04 20:42:23.860859	2013-08-04 20:42:23.860859	264
43379	205065	21309	2013-08-04 20:42:23.871227	2013-08-04 20:42:23.871227	264
43380	205065	21160	2013-08-04 20:42:23.881445	2013-08-04 20:42:23.881445	264
43381	205065	44346	2013-08-04 20:42:23.891367	2013-08-04 20:42:23.891367	264
43382	205652	37143	2013-08-04 20:42:23.928439	2013-08-04 20:42:23.928439	264
43383	205652	36283	2013-08-04 20:42:23.9372	2013-08-04 20:42:23.9372	264
43384	205652	20528	2013-08-04 20:42:23.945501	2013-08-04 20:42:23.945501	264
43385	205652	36323	2013-08-04 20:42:23.953817	2013-08-04 20:42:23.953817	264
43386	205652	37163	2013-08-04 20:42:23.962048	2013-08-04 20:42:23.962048	264
43387	205652	37443	2013-08-04 20:42:23.97038	2013-08-04 20:42:23.97038	264
43388	205652	35663	2013-08-04 20:42:23.978575	2013-08-04 20:42:23.978575	264
43389	205652	29881	2013-08-04 20:42:23.987048	2013-08-04 20:42:23.987048	264
43390	205652	29901	2013-08-04 20:42:23.99544	2013-08-04 20:42:23.99544	264
43391	205652	11811	2013-08-04 20:42:24.00349	2013-08-04 20:42:24.00349	264
43392	205652	20361	2013-08-04 20:42:24.011721	2013-08-04 20:42:24.011721	264
43393	205652	48223	2013-08-04 20:42:24.01968	2013-08-04 20:42:24.01968	264
43394	205652	15486	2013-08-04 20:42:24.027947	2013-08-04 20:42:24.027947	264
43395	205652	8901	2013-08-04 20:42:24.03625	2013-08-04 20:42:24.03625	264
43396	205652	8910	2013-08-04 20:42:24.044624	2013-08-04 20:42:24.044624	264
43397	205652	8847	2013-08-04 20:42:24.052801	2013-08-04 20:42:24.052801	264
43398	205652	18490	2013-08-04 20:42:24.060777	2013-08-04 20:42:24.060777	264
43399	205652	45583	2013-08-04 20:42:24.069009	2013-08-04 20:42:24.069009	264
43400	205652	8867	2013-08-04 20:42:24.077194	2013-08-04 20:42:24.077194	264
43401	205655	37143	2013-08-04 20:42:24.107551	2013-08-04 20:42:24.107551	264
43402	205655	36283	2013-08-04 20:42:24.1159	2013-08-04 20:42:24.1159	264
43403	205655	20528	2013-08-04 20:42:24.124129	2013-08-04 20:42:24.124129	264
43404	205655	36323	2013-08-04 20:42:24.132381	2013-08-04 20:42:24.132381	264
43405	205655	37163	2013-08-04 20:42:24.140554	2013-08-04 20:42:24.140554	264
43406	205655	37443	2013-08-04 20:42:24.148707	2013-08-04 20:42:24.148707	264
43407	205655	35663	2013-08-04 20:42:24.15696	2013-08-04 20:42:24.15696	264
43408	205655	29881	2013-08-04 20:42:24.165359	2013-08-04 20:42:24.165359	264
43409	205655	29901	2013-08-04 20:42:24.173628	2013-08-04 20:42:24.173628	264
43410	205655	11811	2013-08-04 20:42:24.181943	2013-08-04 20:42:24.181943	264
43411	205655	20361	2013-08-04 20:42:24.190027	2013-08-04 20:42:24.190027	264
43412	205655	48223	2013-08-04 20:42:24.198402	2013-08-04 20:42:24.198402	264
43413	205655	15486	2013-08-04 20:42:24.206663	2013-08-04 20:42:24.206663	264
43414	205655	8901	2013-08-04 20:42:24.214931	2013-08-04 20:42:24.214931	264
43415	205655	8910	2013-08-04 20:42:24.223479	2013-08-04 20:42:24.223479	264
43416	205655	8847	2013-08-04 20:42:24.231928	2013-08-04 20:42:24.231928	264
43417	205655	18490	2013-08-04 20:42:24.239806	2013-08-04 20:42:24.239806	264
43418	205655	45583	2013-08-04 20:42:24.247607	2013-08-04 20:42:24.247607	264
43419	205655	8867	2013-08-04 20:42:24.255267	2013-08-04 20:42:24.255267	264
43420	205656	37143	2013-08-04 20:42:24.290606	2013-08-04 20:42:24.290606	264
43421	205656	36283	2013-08-04 20:42:24.295155	2013-08-04 20:42:24.295155	264
43422	205656	20528	2013-08-04 20:42:24.300148	2013-08-04 20:42:24.300148	264
43423	205656	36323	2013-08-04 20:42:24.304596	2013-08-04 20:42:24.304596	264
43424	205656	37163	2013-08-04 20:42:24.309834	2013-08-04 20:42:24.309834	264
43425	205656	37443	2013-08-04 20:42:24.313746	2013-08-04 20:42:24.313746	264
43426	205656	35663	2013-08-04 20:42:24.317338	2013-08-04 20:42:24.317338	264
43427	205656	29881	2013-08-04 20:42:24.321353	2013-08-04 20:42:24.321353	264
43428	205656	29901	2013-08-04 20:42:24.325474	2013-08-04 20:42:24.325474	264
43429	205656	11811	2013-08-04 20:42:24.328801	2013-08-04 20:42:24.328801	264
43430	205656	20361	2013-08-04 20:42:24.331632	2013-08-04 20:42:24.331632	264
43431	205656	48223	2013-08-04 20:42:24.334476	2013-08-04 20:42:24.334476	264
43432	205656	15486	2013-08-04 20:42:24.337642	2013-08-04 20:42:24.337642	264
43433	205656	8901	2013-08-04 20:42:24.340493	2013-08-04 20:42:24.340493	264
43434	205656	8910	2013-08-04 20:42:24.343031	2013-08-04 20:42:24.343031	264
43435	205656	8847	2013-08-04 20:42:24.345768	2013-08-04 20:42:24.345768	264
43436	205656	18490	2013-08-04 20:42:24.348764	2013-08-04 20:42:24.348764	264
43437	205656	45583	2013-08-04 20:42:24.351824	2013-08-04 20:42:24.351824	264
43438	205656	8867	2013-08-04 20:42:24.354923	2013-08-04 20:42:24.354923	264
43439	205072	21050	2013-08-04 20:42:24.416026	2013-08-04 20:42:24.416026	264
43440	205199	43693	2013-08-04 20:42:24.451901	2013-08-04 20:42:24.451901	264
43441	205067	35519	2013-08-04 20:42:24.513145	2013-08-04 20:42:24.513145	264
43442	205067	37815	2013-08-04 20:42:24.526012	2013-08-04 20:42:24.526012	264
43443	205067	8298	2013-08-04 20:42:24.538429	2013-08-04 20:42:24.538429	264
43444	205067	8224	2013-08-04 20:42:24.549001	2013-08-04 20:42:24.549001	264
43445	205067	8166	2013-08-04 20:42:24.559958	2013-08-04 20:42:24.559958	264
43446	205067	8201	2013-08-04 20:42:24.570745	2013-08-04 20:42:24.570745	264
43447	205067	8290	2013-08-04 20:42:24.581985	2013-08-04 20:42:24.581985	264
43448	205067	8186	2013-08-04 20:42:24.592771	2013-08-04 20:42:24.592771	264
43449	205067	8206	2013-08-04 20:42:24.603377	2013-08-04 20:42:24.603377	264
43450	205067	8204	2013-08-04 20:42:24.615648	2013-08-04 20:42:24.615648	264
43451	205067	8226	2013-08-04 20:42:24.627485	2013-08-04 20:42:24.627485	264
43452	205067	8246	2013-08-04 20:42:24.631791	2013-08-04 20:42:24.631791	264
43453	205067	8266	2013-08-04 20:42:24.635796	2013-08-04 20:42:24.635796	264
43454	205067	8261	2013-08-04 20:42:24.640033	2013-08-04 20:42:24.640033	264
43455	205067	8221	2013-08-04 20:42:24.684972	2013-08-04 20:42:24.684972	264
43456	205067	8301	2013-08-04 20:42:24.690988	2013-08-04 20:42:24.690988	264
43457	205067	8321	2013-08-04 20:42:24.695339	2013-08-04 20:42:24.695339	264
43458	205067	8184	2013-08-04 20:42:24.699657	2013-08-04 20:42:24.699657	264
43459	205067	10340	2013-08-04 20:42:24.704416	2013-08-04 20:42:24.704416	264
43460	205074	7019	2013-08-04 20:42:24.716938	2013-08-04 20:42:24.716938	264
43461	205074	12067	2013-08-04 20:42:24.720372	2013-08-04 20:42:24.720372	264
43462	205074	12047	2013-08-04 20:42:24.723355	2013-08-04 20:42:24.723355	264
43463	205074	11966	2013-08-04 20:42:24.726163	2013-08-04 20:42:24.726163	264
43464	205074	12017	2013-08-04 20:42:24.731661	2013-08-04 20:42:24.731661	264
43465	205074	36783	2013-08-04 20:42:24.740649	2013-08-04 20:42:24.740649	264
43466	205074	30998	2013-08-04 20:42:24.751641	2013-08-04 20:42:24.751641	264
43467	205074	12027	2013-08-04 20:42:24.762848	2013-08-04 20:42:24.762848	264
43468	205074	31018	2013-08-04 20:42:24.774486	2013-08-04 20:42:24.774486	264
43469	205074	16877	2013-08-04 20:42:24.789514	2013-08-04 20:42:24.789514	264
43470	205074	12007	2013-08-04 20:42:24.801904	2013-08-04 20:42:24.801904	264
43471	205074	11987	2013-08-04 20:42:24.813266	2013-08-04 20:42:24.813266	264
43472	205074	30883	2013-08-04 20:42:24.824523	2013-08-04 20:42:24.824523	264
43473	205074	11967	2013-08-04 20:42:24.835606	2013-08-04 20:42:24.835606	264
43474	205074	11940	2013-08-04 20:42:24.846631	2013-08-04 20:42:24.846631	264
43475	205074	11947	2013-08-04 20:42:24.857618	2013-08-04 20:42:24.857618	264
43476	205074	11817	2013-08-04 20:42:24.868841	2013-08-04 20:42:24.868841	264
43477	205074	11931	2013-08-04 20:42:24.879888	2013-08-04 20:42:24.879888	264
43478	205074	11927	2013-08-04 20:42:24.889969	2013-08-04 20:42:24.889969	264
43479	205362	44448	2013-08-04 20:42:24.943279	2013-08-04 20:42:24.943279	264
43480	205362	44428	2013-08-04 20:42:24.954589	2013-08-04 20:42:24.954589	264
43481	205362	44392	2013-08-04 20:42:24.966761	2013-08-04 20:42:24.966761	264
43482	205362	44408	2013-08-04 20:42:24.980266	2013-08-04 20:42:24.980266	264
43483	205362	4027	2013-08-04 20:42:24.99311	2013-08-04 20:42:24.99311	264
43484	205362	4047	2013-08-04 20:42:25.00545	2013-08-04 20:42:25.00545	264
43485	205115	4067	2013-08-04 20:42:25.030078	2013-08-04 20:42:25.030078	264
43486	205115	4037	2013-08-04 20:42:25.042821	2013-08-04 20:42:25.042821	264
43487	205115	44388	2013-08-04 20:42:25.054905	2013-08-04 20:42:25.054905	264
43488	205115	44368	2013-08-04 20:42:25.073967	2013-08-04 20:42:25.073967	264
43489	205115	44348	2013-08-04 20:42:25.085993	2013-08-04 20:42:25.085993	264
43490	205115	44328	2013-08-04 20:42:25.097607	2013-08-04 20:42:25.097607	264
43491	205103	44308	2013-08-04 20:42:25.121588	2013-08-04 20:42:25.121588	264
43492	205103	44288	2013-08-04 20:42:25.133601	2013-08-04 20:42:25.133601	264
43493	205103	44268	2013-08-04 20:42:25.145647	2013-08-04 20:42:25.145647	264
43494	205103	44230	2013-08-04 20:42:25.156958	2013-08-04 20:42:25.156958	264
43495	205103	44260	2013-08-04 20:42:25.167848	2013-08-04 20:42:25.167848	264
43496	205103	44248	2013-08-04 20:42:25.179059	2013-08-04 20:42:25.179059	264
43497	205116	21649	2013-08-04 20:42:25.223976	2013-08-04 20:42:25.223976	264
43498	205116	21629	2013-08-04 20:42:25.235991	2013-08-04 20:42:25.235991	264
43499	205116	21609	2013-08-04 20:42:25.247169	2013-08-04 20:42:25.247169	264
43500	205116	21589	2013-08-04 20:42:25.257838	2013-08-04 20:42:25.257838	264
43501	205116	16850	2013-08-04 20:42:25.268983	2013-08-04 20:42:25.268983	264
43502	205116	21569	2013-08-04 20:42:25.280417	2013-08-04 20:42:25.280417	264
43503	205116	21623	2013-08-04 20:42:25.291614	2013-08-04 20:42:25.291614	264
43504	205116	21510	2013-08-04 20:42:25.301849	2013-08-04 20:42:25.301849	264
43505	205116	21641	2013-08-04 20:42:25.313655	2013-08-04 20:42:25.313655	264
43506	205076	21549	2013-08-04 20:42:25.325205	2013-08-04 20:42:25.325205	264
43507	205076	21529	2013-08-04 20:42:25.3317	2013-08-04 20:42:25.3317	264
43508	205076	21593	2013-08-04 20:42:25.337637	2013-08-04 20:42:25.337637	264
43509	205076	21521	2013-08-04 20:42:25.343134	2013-08-04 20:42:25.343134	264
43510	205076	21509	2013-08-04 20:42:25.348403	2013-08-04 20:42:25.348403	264
43511	205076	18475	2013-08-04 20:42:25.354089	2013-08-04 20:42:25.354089	264
43512	205076	21489	2013-08-04 20:42:25.357811	2013-08-04 20:42:25.357811	264
43513	205076	21469	2013-08-04 20:42:25.361311	2013-08-04 20:42:25.361311	264
43514	205076	21449	2013-08-04 20:42:25.365264	2013-08-04 20:42:25.365264	264
43515	205308	36691	2013-08-04 20:42:25.396594	2013-08-04 20:42:25.396594	264
43516	205308	36671	2013-08-04 20:42:25.401597	2013-08-04 20:42:25.401597	264
43517	205308	36651	2013-08-04 20:42:25.409991	2013-08-04 20:42:25.409991	264
43518	205308	36631	2013-08-04 20:42:25.420445	2013-08-04 20:42:25.420445	264
43519	205308	36611	2013-08-04 20:42:25.431385	2013-08-04 20:42:25.431385	264
43520	205308	36712	2013-08-04 20:42:25.442688	2013-08-04 20:42:25.442688	264
43521	205104	36591	2013-08-04 20:42:25.465653	2013-08-04 20:42:25.465653	264
43522	205104	36570	2013-08-04 20:42:25.477586	2013-08-04 20:42:25.477586	264
43523	205104	36505	2013-08-04 20:42:25.488714	2013-08-04 20:42:25.488714	264
43524	205104	36571	2013-08-04 20:42:25.499729	2013-08-04 20:42:25.499729	264
43525	205104	36520	2013-08-04 20:42:25.510766	2013-08-04 20:42:25.510766	264
43526	205104	36551	2013-08-04 20:42:25.521838	2013-08-04 20:42:25.521838	264
43527	205100	36541	2013-08-04 20:42:25.544988	2013-08-04 20:42:25.544988	264
43528	205100	36531	2013-08-04 20:42:25.557209	2013-08-04 20:42:25.557209	264
43529	205100	30096	2013-08-04 20:42:25.56429	2013-08-04 20:42:25.56429	264
43530	205100	21196	2013-08-04 20:42:25.567675	2013-08-04 20:42:25.567675	264
43531	205100	21089	2013-08-04 20:42:25.57084	2013-08-04 20:42:25.57084	264
43532	205100	44280	2013-08-04 20:42:25.576001	2013-08-04 20:42:25.576001	264
43533	205657	36283	2013-08-04 20:42:25.662409	2013-08-04 20:42:25.662409	264
43534	205657	20528	2013-08-04 20:42:25.668032	2013-08-04 20:42:25.668032	264
43535	205657	36323	2013-08-04 20:42:25.672318	2013-08-04 20:42:25.672318	264
43536	205657	37163	2013-08-04 20:42:25.675657	2013-08-04 20:42:25.675657	264
43537	205657	37443	2013-08-04 20:42:25.678833	2013-08-04 20:42:25.678833	264
43538	205657	35663	2013-08-04 20:42:25.681888	2013-08-04 20:42:25.681888	264
43539	205657	29881	2013-08-04 20:42:25.685956	2013-08-04 20:42:25.685956	264
43540	205657	29901	2013-08-04 20:42:25.688993	2013-08-04 20:42:25.688993	264
43541	205657	11811	2013-08-04 20:42:25.691407	2013-08-04 20:42:25.691407	264
43542	205493	20361	2013-08-04 20:42:25.697204	2013-08-04 20:42:25.697204	264
43543	205493	48223	2013-08-04 20:42:25.704477	2013-08-04 20:42:25.704477	264
43544	205493	15486	2013-08-04 20:42:25.710062	2013-08-04 20:42:25.710062	264
43545	205493	8901	2013-08-04 20:42:25.715643	2013-08-04 20:42:25.715643	264
43546	205493	8910	2013-08-04 20:42:25.723971	2013-08-04 20:42:25.723971	264
43547	205493	8847	2013-08-04 20:42:25.734075	2013-08-04 20:42:25.734075	264
43548	205493	18490	2013-08-04 20:42:25.74353	2013-08-04 20:42:25.74353	264
43549	205493	45583	2013-08-04 20:42:25.754749	2013-08-04 20:42:25.754749	264
43550	205493	8867	2013-08-04 20:42:25.765883	2013-08-04 20:42:25.765883	264
43551	205709	36545	2013-08-04 20:42:25.862461	2013-08-04 20:42:25.862461	264
43552	205709	36459	2013-08-04 20:42:25.873056	2013-08-04 20:42:25.873056	264
43553	205709	36538	2013-08-04 20:42:25.882969	2013-08-04 20:42:25.882969	264
43554	205709	36439	2013-08-04 20:42:25.892903	2013-08-04 20:42:25.892903	264
43555	205172	36295	2013-08-04 20:42:25.917682	2013-08-04 20:42:25.917682	264
43556	205172	36419	2013-08-04 20:42:25.930014	2013-08-04 20:42:25.930014	264
43557	205172	36399	2013-08-04 20:42:25.933972	2013-08-04 20:42:25.933972	264
43558	205172	36379	2013-08-04 20:42:25.937663	2013-08-04 20:42:25.937663	264
43559	205108	36321	2013-08-04 20:42:25.947489	2013-08-04 20:42:25.947489	264
43560	205108	36359	2013-08-04 20:42:25.95135	2013-08-04 20:42:25.95135	264
43561	205108	36339	2013-08-04 20:42:25.955602	2013-08-04 20:42:25.955602	264
43562	205108	36373	2013-08-04 20:42:25.959456	2013-08-04 20:42:25.959456	264
43563	205105	21230	2013-08-04 20:42:25.96689	2013-08-04 20:42:25.96689	264
43564	205105	21249	2013-08-04 20:42:25.971512	2013-08-04 20:42:25.971512	264
43565	205105	21049	2013-08-04 20:42:25.976123	2013-08-04 20:42:25.976123	264
43566	205105	24590	2013-08-04 20:42:25.980189	2013-08-04 20:42:25.980189	264
43567	205658	20312	2013-08-04 20:42:26.317093	2013-08-04 20:42:26.317093	264
43568	205658	2865	2013-08-04 20:42:26.32592	2013-08-04 20:42:26.32592	264
43569	205658	18460	2013-08-04 20:42:26.334405	2013-08-04 20:42:26.334405	264
43570	205658	35480	2013-08-04 20:42:26.342489	2013-08-04 20:42:26.342489	264
43571	205658	22888	2013-08-04 20:42:26.350569	2013-08-04 20:42:26.350569	264
43572	205658	9750	2013-08-04 20:42:26.359836	2013-08-04 20:42:26.359836	264
43573	205658	26185	2013-08-04 20:42:26.366332	2013-08-04 20:42:26.366332	264
43574	205658	32635	2013-08-04 20:42:26.372392	2013-08-04 20:42:26.372392	264
43575	205658	37403	2013-08-04 20:42:26.377937	2013-08-04 20:42:26.377937	264
43576	205658	17450	2013-08-04 20:42:26.38216	2013-08-04 20:42:26.38216	264
43577	205658	36283	2013-08-04 20:42:26.385734	2013-08-04 20:42:26.385734	264
43578	205658	20528	2013-08-04 20:42:26.389225	2013-08-04 20:42:26.389225	264
43579	205658	36323	2013-08-04 20:42:26.392399	2013-08-04 20:42:26.392399	264
43580	205658	37163	2013-08-04 20:42:26.395354	2013-08-04 20:42:26.395354	264
43581	205658	37443	2013-08-04 20:42:26.398	2013-08-04 20:42:26.398	264
43582	205658	35663	2013-08-04 20:42:26.404833	2013-08-04 20:42:26.404833	264
43583	205658	29881	2013-08-04 20:42:26.421512	2013-08-04 20:42:26.421512	264
43584	205658	29901	2013-08-04 20:42:26.429688	2013-08-04 20:42:26.429688	264
43585	205658	11811	2013-08-04 20:42:26.43806	2013-08-04 20:42:26.43806	264
43586	205653	20312	2013-08-04 20:42:26.469515	2013-08-04 20:42:26.469515	264
43587	205653	2865	2013-08-04 20:42:26.473014	2013-08-04 20:42:26.473014	264
43588	205653	18460	2013-08-04 20:42:26.478535	2013-08-04 20:42:26.478535	264
43589	205653	35480	2013-08-04 20:42:26.484137	2013-08-04 20:42:26.484137	264
43590	205653	22888	2013-08-04 20:42:26.487205	2013-08-04 20:42:26.487205	264
43591	205653	9750	2013-08-04 20:42:26.490148	2013-08-04 20:42:26.490148	264
43592	205653	26185	2013-08-04 20:42:26.493229	2013-08-04 20:42:26.493229	264
43593	205653	32635	2013-08-04 20:42:26.496221	2013-08-04 20:42:26.496221	264
43594	205653	37403	2013-08-04 20:42:26.501318	2013-08-04 20:42:26.501318	264
43595	205653	17450	2013-08-04 20:42:26.509792	2013-08-04 20:42:26.509792	264
43596	205653	36283	2013-08-04 20:42:26.516269	2013-08-04 20:42:26.516269	264
43597	205653	20528	2013-08-04 20:42:26.521218	2013-08-04 20:42:26.521218	264
43598	205653	36323	2013-08-04 20:42:26.525307	2013-08-04 20:42:26.525307	264
43599	205653	37163	2013-08-04 20:42:26.528435	2013-08-04 20:42:26.528435	264
43600	205653	37443	2013-08-04 20:42:26.5315	2013-08-04 20:42:26.5315	264
43601	205653	35663	2013-08-04 20:42:26.53661	2013-08-04 20:42:26.53661	264
43602	205653	29881	2013-08-04 20:42:26.541752	2013-08-04 20:42:26.541752	264
43603	205653	29901	2013-08-04 20:42:26.550192	2013-08-04 20:42:26.550192	264
43604	205653	11811	2013-08-04 20:42:26.558746	2013-08-04 20:42:26.558746	264
43605	205098	30036	2013-08-04 20:42:26.612764	2013-08-04 20:42:26.612764	264
43606	205098	4239	2013-08-04 20:42:26.623835	2013-08-04 20:42:26.623835	264
43607	205086	21055	2013-08-04 20:42:26.646968	2013-08-04 20:42:26.646968	264
43608	205086	44286	2013-08-04 20:42:26.657896	2013-08-04 20:42:26.657896	264
43609	205240	44326	2013-08-04 20:42:26.749745	2013-08-04 20:42:26.749745	264
43610	205737	21930	2013-08-04 20:47:27.518346	2013-08-04 20:47:27.518346	265
43611	205737	30345	2013-08-04 20:47:27.529978	2013-08-04 20:47:27.529978	265
43612	205737	44946	2013-08-04 20:47:27.536486	2013-08-04 20:47:27.536486	265
43613	205737	43955	2013-08-04 20:47:27.543281	2013-08-04 20:47:27.543281	265
43614	205737	30681	2013-08-04 20:47:27.548997	2013-08-04 20:47:27.548997	265
43615	205737	43893	2013-08-04 20:47:27.555654	2013-08-04 20:47:27.555654	265
43616	205735	45152	2013-08-04 20:47:27.713213	2013-08-04 20:47:27.713213	265
43617	205735	45206	2013-08-04 20:47:27.724292	2013-08-04 20:47:27.724292	265
43618	205735	45165	2013-08-04 20:47:27.740663	2013-08-04 20:47:27.740663	265
43619	205735	45186	2013-08-04 20:47:27.756012	2013-08-04 20:47:27.756012	265
43620	205735	45166	2013-08-04 20:47:27.768075	2013-08-04 20:47:27.768075	265
43621	205735	45146	2013-08-04 20:47:27.779422	2013-08-04 20:47:27.779422	265
43622	205735	45160	2013-08-04 20:47:27.79096	2013-08-04 20:47:27.79096	265
43623	205735	45126	2013-08-04 20:47:27.802211	2013-08-04 20:47:27.802211	265
43624	205735	45106	2013-08-04 20:47:27.813819	2013-08-04 20:47:27.813819	265
43625	205735	45086	2013-08-04 20:47:27.825372	2013-08-04 20:47:27.825372	265
43626	205735	45066	2013-08-04 20:47:27.8372	2013-08-04 20:47:27.8372	265
43627	205735	45046	2013-08-04 20:47:27.846466	2013-08-04 20:47:27.846466	265
43628	205735	45026	2013-08-04 20:47:27.857636	2013-08-04 20:47:27.857636	265
43629	205735	45006	2013-08-04 20:47:27.868869	2013-08-04 20:47:27.868869	265
43630	205735	44981	2013-08-04 20:47:27.880354	2013-08-04 20:47:27.880354	265
43631	205735	44986	2013-08-04 20:47:27.891564	2013-08-04 20:47:27.891564	265
43632	205735	43833	2013-08-04 20:47:27.902797	2013-08-04 20:47:27.902797	265
43633	205735	30636	2013-08-04 20:47:27.913076	2013-08-04 20:47:27.913076	265
43634	205735	22049	2013-08-04 20:47:27.923686	2013-08-04 20:47:27.923686	265
43635	205734	12227	2013-08-04 20:47:27.96144	2013-08-04 20:47:27.96144	265
43636	205734	12207	2013-08-04 20:47:27.96719	2013-08-04 20:47:27.96719	265
43637	205734	12187	2013-08-04 20:47:27.97219	2013-08-04 20:47:27.97219	265
43638	205734	12181	2013-08-04 20:47:27.979789	2013-08-04 20:47:27.979789	265
43639	205734	1722	2013-08-04 20:47:27.989384	2013-08-04 20:47:27.989384	265
43640	205734	2688	2013-08-04 20:47:28.000603	2013-08-04 20:47:28.000603	265
43641	205734	7769	2013-08-04 20:47:28.015437	2013-08-04 20:47:28.015437	265
43642	205734	12167	2013-08-04 20:47:28.030739	2013-08-04 20:47:28.030739	265
43643	205734	5606	2013-08-04 20:47:28.045403	2013-08-04 20:47:28.045403	265
43644	205734	12147	2013-08-04 20:47:28.060315	2013-08-04 20:47:28.060315	265
43645	205734	12127	2013-08-04 20:47:28.074973	2013-08-04 20:47:28.074973	265
43646	205734	19183	2013-08-04 20:47:28.090061	2013-08-04 20:47:28.090061	265
43647	205734	12097	2013-08-04 20:47:28.105347	2013-08-04 20:47:28.105347	265
43648	205734	12107	2013-08-04 20:47:28.119368	2013-08-04 20:47:28.119368	265
43649	205734	12023	2013-08-04 20:47:28.129479	2013-08-04 20:47:28.129479	265
43650	205734	14432	2013-08-04 20:47:28.137809	2013-08-04 20:47:28.137809	265
43651	205734	12087	2013-08-04 20:47:28.144151	2013-08-04 20:47:28.144151	265
43652	205734	44845	2013-08-04 20:47:28.151815	2013-08-04 20:47:28.151815	265
43653	205734	44328	2013-08-04 20:47:28.161709	2013-08-04 20:47:28.161709	265
43654	205733	44698	2013-08-04 20:47:28.216799	2013-08-04 20:47:28.216799	265
43655	205733	44608	2013-08-04 20:47:28.230685	2013-08-04 20:47:28.230685	265
43656	205733	44572	2013-08-04 20:47:28.241959	2013-08-04 20:47:28.241959	265
43657	205733	44588	2013-08-04 20:47:28.253193	2013-08-04 20:47:28.253193	265
43658	205733	44568	2013-08-04 20:47:28.267074	2013-08-04 20:47:28.267074	265
43659	205733	44548	2013-08-04 20:47:28.281778	2013-08-04 20:47:28.281778	265
43660	205733	4057	2013-08-04 20:47:28.296785	2013-08-04 20:47:28.296785	265
43661	205733	4007	2013-08-04 20:47:28.311455	2013-08-04 20:47:28.311455	265
43662	205733	44528	2013-08-04 20:47:28.326241	2013-08-04 20:47:28.326241	265
43663	205733	44470	2013-08-04 20:47:28.340749	2013-08-04 20:47:28.340749	265
43664	205733	44508	2013-08-04 20:47:28.35517	2013-08-04 20:47:28.35517	265
43665	205733	44488	2013-08-04 20:47:28.369788	2013-08-04 20:47:28.369788	265
43666	205733	44468	2013-08-04 20:47:28.38446	2013-08-04 20:47:28.38446	265
43667	205733	43813	2013-08-04 20:47:28.398999	2013-08-04 20:47:28.398999	265
43668	205733	30616	2013-08-04 20:47:28.412575	2013-08-04 20:47:28.412575	265
43669	205733	30396	2013-08-04 20:47:28.425975	2013-08-04 20:47:28.425975	265
43670	205733	22132	2013-08-04 20:47:28.439385	2013-08-04 20:47:28.439385	265
43671	205733	21837	2013-08-04 20:47:28.453044	2013-08-04 20:47:28.453044	265
43672	205733	44815	2013-08-04 20:47:28.466266	2013-08-04 20:47:28.466266	265
43673	205736	44826	2013-08-04 20:47:28.54443	2013-08-04 20:47:28.54443	265
43674	205736	43753	2013-08-04 20:47:28.562163	2013-08-04 20:47:28.562163	265
43675	205736	30556	2013-08-04 20:47:28.56789	2013-08-04 20:47:28.56789	265
43676	205736	30316	2013-08-04 20:47:28.572829	2013-08-04 20:47:28.572829	265
43677	205736	21895	2013-08-04 20:47:28.577647	2013-08-04 20:47:28.577647	265
43678	205736	21789	2013-08-04 20:47:28.582836	2013-08-04 20:47:28.582836	265
43679	206226	20312	2013-08-04 20:47:28.60028	2013-08-04 20:47:28.60028	265
43680	206226	2865	2013-08-04 20:47:28.605844	2013-08-04 20:47:28.605844	265
43681	206226	18460	2013-08-04 20:47:28.61022	2013-08-04 20:47:28.61022	265
43682	206226	35480	2013-08-04 20:47:28.61824	2013-08-04 20:47:28.61824	265
43683	206226	22888	2013-08-04 20:47:28.62647	2013-08-04 20:47:28.62647	265
43684	206226	9750	2013-08-04 20:47:28.634696	2013-08-04 20:47:28.634696	265
43685	206226	26185	2013-08-04 20:47:28.642804	2013-08-04 20:47:28.642804	265
43686	206226	32635	2013-08-04 20:47:28.651381	2013-08-04 20:47:28.651381	265
43687	206226	37403	2013-08-04 20:47:28.659712	2013-08-04 20:47:28.659712	265
43688	206226	17450	2013-08-04 20:47:28.667767	2013-08-04 20:47:28.667767	265
43689	206226	36283	2013-08-04 20:47:28.67834	2013-08-04 20:47:28.67834	265
43690	206226	20528	2013-08-04 20:47:28.689342	2013-08-04 20:47:28.689342	265
43691	206226	36323	2013-08-04 20:47:28.697864	2013-08-04 20:47:28.697864	265
43692	206226	37163	2013-08-04 20:47:28.704087	2013-08-04 20:47:28.704087	265
43693	206226	37443	2013-08-04 20:47:28.707135	2013-08-04 20:47:28.707135	265
43694	206226	35663	2013-08-04 20:47:28.710085	2013-08-04 20:47:28.710085	265
43695	206226	29881	2013-08-04 20:47:28.71307	2013-08-04 20:47:28.71307	265
43696	206226	29901	2013-08-04 20:47:28.717541	2013-08-04 20:47:28.717541	265
43697	206226	11811	2013-08-04 20:47:28.723051	2013-08-04 20:47:28.723051	265
43698	206228	20312	2013-08-04 20:47:28.752274	2013-08-04 20:47:28.752274	265
43699	206228	2865	2013-08-04 20:47:28.756281	2013-08-04 20:47:28.756281	265
43700	206228	18460	2013-08-04 20:47:28.759431	2013-08-04 20:47:28.759431	265
43701	206228	35480	2013-08-04 20:47:28.762304	2013-08-04 20:47:28.762304	265
43702	206228	22888	2013-08-04 20:47:28.766216	2013-08-04 20:47:28.766216	265
43703	206228	9750	2013-08-04 20:47:28.770191	2013-08-04 20:47:28.770191	265
43704	206228	26185	2013-08-04 20:47:28.775596	2013-08-04 20:47:28.775596	265
43705	206228	32635	2013-08-04 20:47:28.780843	2013-08-04 20:47:28.780843	265
43706	206228	37403	2013-08-04 20:47:28.78565	2013-08-04 20:47:28.78565	265
43707	206228	17450	2013-08-04 20:47:28.790185	2013-08-04 20:47:28.790185	265
43708	206228	36283	2013-08-04 20:47:28.794842	2013-08-04 20:47:28.794842	265
43709	206228	20528	2013-08-04 20:47:28.798512	2013-08-04 20:47:28.798512	265
43710	206228	36323	2013-08-04 20:47:28.801605	2013-08-04 20:47:28.801605	265
43711	206228	37163	2013-08-04 20:47:28.80655	2013-08-04 20:47:28.80655	265
43712	206228	37443	2013-08-04 20:47:28.811933	2013-08-04 20:47:28.811933	265
43713	206228	35663	2013-08-04 20:47:28.815884	2013-08-04 20:47:28.815884	265
43714	206228	29881	2013-08-04 20:47:28.820371	2013-08-04 20:47:28.820371	265
43715	206228	29901	2013-08-04 20:47:28.824623	2013-08-04 20:47:28.824623	265
43716	206228	11811	2013-08-04 20:47:28.829406	2013-08-04 20:47:28.829406	265
43717	206229	20312	2013-08-04 20:47:28.850809	2013-08-04 20:47:28.850809	265
43718	206229	2865	2013-08-04 20:47:28.858462	2013-08-04 20:47:28.858462	265
43719	206229	18460	2013-08-04 20:47:28.866441	2013-08-04 20:47:28.866441	265
43720	206229	35480	2013-08-04 20:47:28.8751	2013-08-04 20:47:28.8751	265
43721	206229	22888	2013-08-04 20:47:28.883663	2013-08-04 20:47:28.883663	265
43722	206229	9750	2013-08-04 20:47:28.892092	2013-08-04 20:47:28.892092	265
43723	206229	26185	2013-08-04 20:47:28.900755	2013-08-04 20:47:28.900755	265
43724	206229	32635	2013-08-04 20:47:28.909154	2013-08-04 20:47:28.909154	265
43725	206229	37403	2013-08-04 20:47:28.91766	2013-08-04 20:47:28.91766	265
43726	206229	17450	2013-08-04 20:47:28.928249	2013-08-04 20:47:28.928249	265
43727	206229	36283	2013-08-04 20:47:28.939553	2013-08-04 20:47:28.939553	265
43728	206229	20528	2013-08-04 20:47:28.948192	2013-08-04 20:47:28.948192	265
43729	206229	36323	2013-08-04 20:47:28.952264	2013-08-04 20:47:28.952264	265
43730	206229	37163	2013-08-04 20:47:28.956402	2013-08-04 20:47:28.956402	265
43731	206229	37443	2013-08-04 20:47:28.965245	2013-08-04 20:47:28.965245	265
43732	206229	35663	2013-08-04 20:47:28.977205	2013-08-04 20:47:28.977205	265
43733	206229	29881	2013-08-04 20:47:28.987559	2013-08-04 20:47:28.987559	265
43734	206229	29901	2013-08-04 20:47:28.996868	2013-08-04 20:47:28.996868	265
43735	206229	11811	2013-08-04 20:47:29.008559	2013-08-04 20:47:29.008559	265
43736	205771	21969	2013-08-04 20:47:29.100967	2013-08-04 20:47:29.100967	265
43737	205760	44980	2013-08-04 20:47:29.159584	2013-08-04 20:47:29.159584	265
43738	205760	43913	2013-08-04 20:47:29.16535	2013-08-04 20:47:29.16535	265
43739	205760	10961	2013-08-04 20:47:29.170401	2013-08-04 20:47:29.170401	265
43740	205760	16941	2013-08-04 20:47:29.176607	2013-08-04 20:47:29.176607	265
43741	205760	22089	2013-08-04 20:47:29.182522	2013-08-04 20:47:29.182522	265
43742	205760	21910	2013-08-04 20:47:29.190469	2013-08-04 20:47:29.190469	265
43743	205772	12397	2013-08-04 20:47:29.288375	2013-08-04 20:47:29.288375	265
43744	205772	12387	2013-08-04 20:47:29.303799	2013-08-04 20:47:29.303799	265
43745	205772	12336	2013-08-04 20:47:29.31824	2013-08-04 20:47:29.31824	265
43746	205772	12367	2013-08-04 20:47:29.333089	2013-08-04 20:47:29.333089	265
43747	205772	12347	2013-08-04 20:47:29.347885	2013-08-04 20:47:29.347885	265
43748	205772	7231	2013-08-04 20:47:29.362194	2013-08-04 20:47:29.362194	265
43749	205772	12327	2013-08-04 20:47:29.377022	2013-08-04 20:47:29.377022	265
43750	205772	12356	2013-08-04 20:47:29.391592	2013-08-04 20:47:29.391592	265
43751	205772	7251	2013-08-04 20:47:29.406319	2013-08-04 20:47:29.406319	265
43752	205772	18437	2013-08-04 20:47:29.42112	2013-08-04 20:47:29.42112	265
43753	205772	12307	2013-08-04 20:47:29.436093	2013-08-04 20:47:29.436093	265
43754	205772	12250	2013-08-04 20:47:29.451091	2013-08-04 20:47:29.451091	265
43755	205772	12386	2013-08-04 20:47:29.465776	2013-08-04 20:47:29.465776	265
43756	205772	12287	2013-08-04 20:47:29.480434	2013-08-04 20:47:29.480434	265
43757	205772	12300	2013-08-04 20:47:29.495486	2013-08-04 20:47:29.495486	265
43758	205772	12267	2013-08-04 20:47:29.51003	2013-08-04 20:47:29.51003	265
43759	205772	12247	2013-08-04 20:47:29.524876	2013-08-04 20:47:29.524876	265
43760	205772	12237	2013-08-04 20:47:29.540007	2013-08-04 20:47:29.540007	265
43761	205772	12126	2013-08-04 20:47:29.554833	2013-08-04 20:47:29.554833	265
43762	206310	44775	2013-08-04 20:47:29.610346	2013-08-04 20:47:29.610346	265
43763	206310	44888	2013-08-04 20:47:29.618104	2013-08-04 20:47:29.618104	265
43764	206310	44868	2013-08-04 20:47:29.627756	2013-08-04 20:47:29.627756	265
43765	206310	44848	2013-08-04 20:47:29.635891	2013-08-04 20:47:29.635891	265
43766	206310	44828	2013-08-04 20:47:29.641436	2013-08-04 20:47:29.641436	265
43767	206310	44808	2013-08-04 20:47:29.647151	2013-08-04 20:47:29.647151	265
43768	205879	44788	2013-08-04 20:47:29.664854	2013-08-04 20:47:29.664854	265
43769	205879	44768	2013-08-04 20:47:29.676237	2013-08-04 20:47:29.676237	265
43770	205879	44748	2013-08-04 20:47:29.690812	2013-08-04 20:47:29.690812	265
43771	205879	44728	2013-08-04 20:47:29.706021	2013-08-04 20:47:29.706021	265
43772	205879	44710	2013-08-04 20:47:29.715179	2013-08-04 20:47:29.715179	265
43773	205879	44708	2013-08-04 20:47:29.720395	2013-08-04 20:47:29.720395	265
43774	205776	44688	2013-08-04 20:47:29.739169	2013-08-04 20:47:29.739169	265
43775	205776	44685	2013-08-04 20:47:29.748402	2013-08-04 20:47:29.748402	265
43776	205776	44668	2013-08-04 20:47:29.760195	2013-08-04 20:47:29.760195	265
43777	205776	44648	2013-08-04 20:47:29.770787	2013-08-04 20:47:29.770787	265
43778	205776	44701	2013-08-04 20:47:29.77648	2013-08-04 20:47:29.77648	265
43779	205776	44628	2013-08-04 20:47:29.781383	2013-08-04 20:47:29.781383	265
43780	205849	15976	2013-08-04 20:47:29.799174	2013-08-04 20:47:29.799174	265
43781	205849	22289	2013-08-04 20:47:29.805666	2013-08-04 20:47:29.805666	265
43782	205849	25061	2013-08-04 20:47:29.818864	2013-08-04 20:47:29.818864	265
43783	205849	22269	2013-08-04 20:47:29.827506	2013-08-04 20:47:29.827506	265
43784	205849	22249	2013-08-04 20:47:29.834625	2013-08-04 20:47:29.834625	265
43785	205849	22223	2013-08-04 20:47:29.841454	2013-08-04 20:47:29.841454	265
43786	205849	22229	2013-08-04 20:47:29.848773	2013-08-04 20:47:29.848773	265
43787	205849	27433	2013-08-04 20:47:29.854936	2013-08-04 20:47:29.854936	265
43788	205849	27348	2013-08-04 20:47:29.8621	2013-08-04 20:47:29.8621	265
43789	205781	22209	2013-08-04 20:47:29.878517	2013-08-04 20:47:29.878517	265
43790	205781	22243	2013-08-04 20:47:29.883502	2013-08-04 20:47:29.883502	265
43791	205781	22189	2013-08-04 20:47:29.888704	2013-08-04 20:47:29.888704	265
43792	205781	22150	2013-08-04 20:47:29.893431	2013-08-04 20:47:29.893431	265
43793	205781	22169	2013-08-04 20:47:29.898476	2013-08-04 20:47:29.898476	265
43794	205781	22149	2013-08-04 20:47:29.904832	2013-08-04 20:47:29.904832	265
43795	205781	22045	2013-08-04 20:47:29.909777	2013-08-04 20:47:29.909777	265
43796	205781	22129	2013-08-04 20:47:29.914513	2013-08-04 20:47:29.914513	265
43797	205781	22109	2013-08-04 20:47:29.922179	2013-08-04 20:47:29.922179	265
43798	205839	44866	2013-08-04 20:47:29.98259	2013-08-04 20:47:29.98259	265
43799	205839	43793	2013-08-04 20:47:29.996925	2013-08-04 20:47:29.996925	265
43800	205839	30576	2013-08-04 20:47:30.009245	2013-08-04 20:47:30.009245	265
43801	205839	30356	2013-08-04 20:47:30.019849	2013-08-04 20:47:30.019849	265
43802	205839	22009	2013-08-04 20:47:30.031864	2013-08-04 20:47:30.031864	265
43803	205839	21725	2013-08-04 20:47:30.045848	2013-08-04 20:47:30.045848	265
43804	205913	36810	2013-08-04 20:47:30.094416	2013-08-04 20:47:30.094416	265
43805	205913	36775	2013-08-04 20:47:30.101485	2013-08-04 20:47:30.101485	265
43806	205913	36891	2013-08-04 20:47:30.108515	2013-08-04 20:47:30.108515	265
43807	205913	36871	2013-08-04 20:47:30.115846	2013-08-04 20:47:30.115846	265
43808	205913	36851	2013-08-04 20:47:30.126457	2013-08-04 20:47:30.126457	265
43809	205913	36831	2013-08-04 20:47:30.13755	2013-08-04 20:47:30.13755	265
43810	205880	36811	2013-08-04 20:47:30.16211	2013-08-04 20:47:30.16211	265
43811	205880	36865	2013-08-04 20:47:30.170852	2013-08-04 20:47:30.170852	265
43812	205880	36791	2013-08-04 20:47:30.178074	2013-08-04 20:47:30.178074	265
43813	205880	36771	2013-08-04 20:47:30.183989	2013-08-04 20:47:30.183989	265
43814	205880	36751	2013-08-04 20:47:30.190028	2013-08-04 20:47:30.190028	265
43815	205880	36650	2013-08-04 20:47:30.194976	2013-08-04 20:47:30.194976	265
43816	205815	36731	2013-08-04 20:47:30.202672	2013-08-04 20:47:30.202672	265
43817	205815	36721	2013-08-04 20:47:30.206674	2013-08-04 20:47:30.206674	265
43818	205815	3969	2013-08-04 20:47:30.216661	2013-08-04 20:47:30.216661	265
43819	205815	30336	2013-08-04 20:47:30.227016	2013-08-04 20:47:30.227016	265
43820	205815	21989	2013-08-04 20:47:30.236926	2013-08-04 20:47:30.236926	265
43821	205815	21809	2013-08-04 20:47:30.24738	2013-08-04 20:47:30.24738	265
43822	206230	2865	2013-08-04 20:47:30.321216	2013-08-04 20:47:30.321216	265
43823	206230	18460	2013-08-04 20:47:30.331175	2013-08-04 20:47:30.331175	265
43824	206230	35480	2013-08-04 20:47:30.340948	2013-08-04 20:47:30.340948	265
43825	206230	22888	2013-08-04 20:47:30.352093	2013-08-04 20:47:30.352093	265
43826	206230	9750	2013-08-04 20:47:30.400024	2013-08-04 20:47:30.400024	265
43827	206230	26185	2013-08-04 20:47:30.403098	2013-08-04 20:47:30.403098	265
43828	206230	32635	2013-08-04 20:47:30.406279	2013-08-04 20:47:30.406279	265
43829	206230	37403	2013-08-04 20:47:30.409439	2013-08-04 20:47:30.409439	265
43830	206230	17450	2013-08-04 20:47:30.412634	2013-08-04 20:47:30.412634	265
43831	205788	36283	2013-08-04 20:47:30.420356	2013-08-04 20:47:30.420356	265
43832	205788	20528	2013-08-04 20:47:30.425665	2013-08-04 20:47:30.425665	265
43833	205788	36323	2013-08-04 20:47:30.430509	2013-08-04 20:47:30.430509	265
43834	205788	37163	2013-08-04 20:47:30.436086	2013-08-04 20:47:30.436086	265
43835	205788	37443	2013-08-04 20:47:30.441517	2013-08-04 20:47:30.441517	265
43836	205788	35663	2013-08-04 20:47:30.44792	2013-08-04 20:47:30.44792	265
43837	205788	29881	2013-08-04 20:47:30.454641	2013-08-04 20:47:30.454641	265
43838	205788	29901	2013-08-04 20:47:30.462212	2013-08-04 20:47:30.462212	265
43839	205788	11811	2013-08-04 20:47:30.469639	2013-08-04 20:47:30.469639	265
43840	206207	30916	2013-08-04 20:47:30.504642	2013-08-04 20:47:30.504642	265
43841	206207	30896	2013-08-04 20:47:30.516286	2013-08-04 20:47:30.516286	265
43842	206207	30876	2013-08-04 20:47:30.527384	2013-08-04 20:47:30.527384	265
43843	206207	30856	2013-08-04 20:47:30.538664	2013-08-04 20:47:30.538664	265
43844	206207	30836	2013-08-04 20:47:30.549778	2013-08-04 20:47:30.549778	265
43845	206207	30912	2013-08-04 20:47:30.560896	2013-08-04 20:47:30.560896	265
43846	206107	30816	2013-08-04 20:47:30.586057	2013-08-04 20:47:30.586057	265
43847	206107	30796	2013-08-04 20:47:30.597501	2013-08-04 20:47:30.597501	265
43848	206107	30776	2013-08-04 20:47:30.609047	2013-08-04 20:47:30.609047	265
43849	206107	30858	2013-08-04 20:47:30.62086	2013-08-04 20:47:30.62086	265
43850	206107	30765	2013-08-04 20:47:30.626578	2013-08-04 20:47:30.626578	265
43851	206107	30730	2013-08-04 20:47:30.63121	2013-08-04 20:47:30.63121	265
43852	206064	30638	2013-08-04 20:47:30.640601	2013-08-04 20:47:30.640601	265
43853	206064	30756	2013-08-04 20:47:30.648435	2013-08-04 20:47:30.648435	265
43854	206064	30736	2013-08-04 20:47:30.659698	2013-08-04 20:47:30.659698	265
43855	206064	30755	2013-08-04 20:47:30.670529	2013-08-04 20:47:30.670529	265
43856	206064	30716	2013-08-04 20:47:30.680912	2013-08-04 20:47:30.680912	265
43857	206064	30696	2013-08-04 20:47:30.691728	2013-08-04 20:47:30.691728	265
43858	205881	36632	2013-08-04 20:47:30.741308	2013-08-04 20:47:30.741308	265
43859	205881	3527	2013-08-04 20:47:30.753675	2013-08-04 20:47:30.753675	265
43860	205881	3547	2013-08-04 20:47:30.758908	2013-08-04 20:47:30.758908	265
43861	205881	36619	2013-08-04 20:47:30.763548	2013-08-04 20:47:30.763548	265
43862	205881	36599	2013-08-04 20:47:30.768316	2013-08-04 20:47:30.768316	265
43863	205881	36735	2013-08-04 20:47:30.773598	2013-08-04 20:47:30.773598	265
43864	205881	18117	2013-08-04 20:47:30.786747	2013-08-04 20:47:30.786747	265
43865	205881	18011	2013-08-04 20:47:30.792082	2013-08-04 20:47:30.792082	265
43866	205881	36579	2013-08-04 20:47:30.800343	2013-08-04 20:47:30.800343	265
43867	205761	36559	2013-08-04 20:47:30.812648	2013-08-04 20:47:30.812648	265
43868	205761	36539	2013-08-04 20:47:30.82147	2013-08-04 20:47:30.82147	265
43869	205761	30537	2013-08-04 20:47:30.831916	2013-08-04 20:47:30.831916	265
43870	205761	30296	2013-08-04 20:47:30.842413	2013-08-04 20:47:30.842413	265
43871	205761	30236	2013-08-04 20:47:30.853482	2013-08-04 20:47:30.853482	265
43872	205761	30036	2013-08-04 20:47:30.864069	2013-08-04 20:47:30.864069	265
43873	205761	21909	2013-08-04 20:47:30.874801	2013-08-04 20:47:30.874801	265
43874	205761	21689	2013-08-04 20:47:30.886008	2013-08-04 20:47:30.886008	265
43875	205761	4239	2013-08-04 20:47:30.897631	2013-08-04 20:47:30.897631	265
43876	206231	2024	2013-08-04 20:47:31.232701	2013-08-04 20:47:31.232701	265
43877	206231	1821	2013-08-04 20:47:31.235554	2013-08-04 20:47:31.235554	265
43878	206231	1967	2013-08-04 20:47:31.238228	2013-08-04 20:47:31.238228	265
43879	206231	1916	2013-08-04 20:47:31.24082	2013-08-04 20:47:31.24082	265
43880	206231	36420	2013-08-04 20:47:31.243438	2013-08-04 20:47:31.243438	265
43881	206231	9520	2013-08-04 20:47:31.24596	2013-08-04 20:47:31.24596	265
43882	206231	39818	2013-08-04 20:47:31.253134	2013-08-04 20:47:31.253134	265
43883	206231	1081	2013-08-04 20:47:31.257812	2013-08-04 20:47:31.257812	265
43884	206231	15790	2013-08-04 20:47:31.26118	2013-08-04 20:47:31.26118	265
43885	206231	5263	2013-08-04 20:47:31.267531	2013-08-04 20:47:31.267531	265
43886	206231	2865	2013-08-04 20:47:31.277102	2013-08-04 20:47:31.277102	265
43887	206231	18460	2013-08-04 20:47:31.286142	2013-08-04 20:47:31.286142	265
43888	206231	35480	2013-08-04 20:47:31.295479	2013-08-04 20:47:31.295479	265
43889	206231	22888	2013-08-04 20:47:31.30376	2013-08-04 20:47:31.30376	265
43890	206231	9750	2013-08-04 20:47:31.312157	2013-08-04 20:47:31.312157	265
43891	206231	26185	2013-08-04 20:47:31.320882	2013-08-04 20:47:31.320882	265
43892	206231	32635	2013-08-04 20:47:31.32996	2013-08-04 20:47:31.32996	265
43893	206231	37403	2013-08-04 20:47:31.338752	2013-08-04 20:47:31.338752	265
43894	206231	17450	2013-08-04 20:47:31.347689	2013-08-04 20:47:31.347689	265
43895	206227	2024	2013-08-04 20:47:31.38064	2013-08-04 20:47:31.38064	265
43896	206227	1821	2013-08-04 20:47:31.389721	2013-08-04 20:47:31.389721	265
43897	206227	1967	2013-08-04 20:47:31.39861	2013-08-04 20:47:31.39861	265
43898	206227	1916	2013-08-04 20:47:31.407029	2013-08-04 20:47:31.407029	265
43899	206227	36420	2013-08-04 20:47:31.415505	2013-08-04 20:47:31.415505	265
43900	206227	9520	2013-08-04 20:47:31.423524	2013-08-04 20:47:31.423524	265
43901	206227	39818	2013-08-04 20:47:31.431799	2013-08-04 20:47:31.431799	265
43902	206227	1081	2013-08-04 20:47:31.440583	2013-08-04 20:47:31.440583	265
43903	206227	15790	2013-08-04 20:47:31.44933	2013-08-04 20:47:31.44933	265
43904	206227	5263	2013-08-04 20:47:31.458508	2013-08-04 20:47:31.458508	265
43905	206227	2865	2013-08-04 20:47:31.467672	2013-08-04 20:47:31.467672	265
43906	206227	18460	2013-08-04 20:47:31.47652	2013-08-04 20:47:31.47652	265
43907	206227	35480	2013-08-04 20:47:31.48494	2013-08-04 20:47:31.48494	265
43908	206227	22888	2013-08-04 20:47:31.493539	2013-08-04 20:47:31.493539	265
43909	206227	9750	2013-08-04 20:47:31.502143	2013-08-04 20:47:31.502143	265
43910	206227	26185	2013-08-04 20:47:31.51079	2013-08-04 20:47:31.51079	265
43911	206227	32635	2013-08-04 20:47:31.519442	2013-08-04 20:47:31.519442	265
43912	206227	37403	2013-08-04 20:47:31.528171	2013-08-04 20:47:31.528171	265
43913	206227	17450	2013-08-04 20:47:31.536728	2013-08-04 20:47:31.536728	265
43914	205911	21769	2013-08-04 20:47:31.727345	2013-08-04 20:47:31.727345	265
43915	206540	45466	2013-08-04 20:52:18.047408	2013-08-04 20:52:18.047408	266
43916	206540	44373	2013-08-04 20:52:18.061314	2013-08-04 20:52:18.061314	266
43917	206540	44113	2013-08-04 20:52:18.072045	2013-08-04 20:52:18.072045	266
43918	206317	31376	2013-08-04 20:52:18.08888	2013-08-04 20:52:18.08888	266
43919	206317	31136	2013-08-04 20:52:18.098253	2013-08-04 20:52:18.098253	266
43920	206317	22466	2013-08-04 20:52:18.105144	2013-08-04 20:52:18.105144	266
43921	206319	12468	2013-08-04 20:52:18.302757	2013-08-04 20:52:18.302757	266
43922	206319	12487	2013-08-04 20:52:18.308301	2013-08-04 20:52:18.308301	266
43923	206319	12486	2013-08-04 20:52:18.314645	2013-08-04 20:52:18.314645	266
43924	206319	12467	2013-08-04 20:52:18.322551	2013-08-04 20:52:18.322551	266
43925	206319	12446	2013-08-04 20:52:18.331788	2013-08-04 20:52:18.331788	266
43926	206319	12480	2013-08-04 20:52:18.346569	2013-08-04 20:52:18.346569	266
43927	206319	12447	2013-08-04 20:52:18.361462	2013-08-04 20:52:18.361462	266
43928	206319	12427	2013-08-04 20:52:18.376141	2013-08-04 20:52:18.376141	266
43929	206319	12407	2013-08-04 20:52:18.391423	2013-08-04 20:52:18.391423	266
43930	206319	12377	2013-08-04 20:52:18.407421	2013-08-04 20:52:18.407421	266
43931	206319	22393	2013-08-04 20:52:18.423373	2013-08-04 20:52:18.423373	266
43932	206319	44866	2013-08-04 20:52:18.437686	2013-08-04 20:52:18.437686	266
43933	206319	22149	2013-08-04 20:52:18.452998	2013-08-04 20:52:18.452998	266
43934	206319	22169	2013-08-04 20:52:18.46796	2013-08-04 20:52:18.46796	266
43935	206319	22150	2013-08-04 20:52:18.481624	2013-08-04 20:52:18.481624	266
43936	206319	22189	2013-08-04 20:52:18.496545	2013-08-04 20:52:18.496545	266
43937	206319	44628	2013-08-04 20:52:18.511307	2013-08-04 20:52:18.511307	266
43938	206319	44701	2013-08-04 20:52:18.52803	2013-08-04 20:52:18.52803	266
43939	206319	44648	2013-08-04 20:52:18.537204	2013-08-04 20:52:18.537204	266
43940	206320	45108	2013-08-04 20:52:18.562385	2013-08-04 20:52:18.562385	266
43941	206320	45088	2013-08-04 20:52:18.568481	2013-08-04 20:52:18.568481	266
43942	206320	45068	2013-08-04 20:52:18.573446	2013-08-04 20:52:18.573446	266
43943	206320	45010	2013-08-04 20:52:18.578228	2013-08-04 20:52:18.578228	266
43944	206320	45048	2013-08-04 20:52:18.583178	2013-08-04 20:52:18.583178	266
43945	206320	45028	2013-08-04 20:52:18.58875	2013-08-04 20:52:18.58875	266
43946	206320	45008	2013-08-04 20:52:18.593776	2013-08-04 20:52:18.593776	266
43947	206320	44941	2013-08-04 20:52:18.601728	2013-08-04 20:52:18.601728	266
43948	206320	44988	2013-08-04 20:52:18.612136	2013-08-04 20:52:18.612136	266
43949	206320	44968	2013-08-04 20:52:18.621175	2013-08-04 20:52:18.621175	266
43950	206320	45012	2013-08-04 20:52:18.630206	2013-08-04 20:52:18.630206	266
43951	206320	44948	2013-08-04 20:52:18.642895	2013-08-04 20:52:18.642895	266
43952	206320	44940	2013-08-04 20:52:18.657585	2013-08-04 20:52:18.657585	266
43953	206320	44928	2013-08-04 20:52:18.67247	2013-08-04 20:52:18.67247	266
43954	206320	44313	2013-08-04 20:52:18.686918	2013-08-04 20:52:18.686918	266
43955	206320	44033	2013-08-04 20:52:18.700655	2013-08-04 20:52:18.700655	266
43956	206320	31336	2013-08-04 20:52:18.712412	2013-08-04 20:52:18.712412	266
43957	206320	18558	2013-08-04 20:52:18.723925	2013-08-04 20:52:18.723925	266
43958	206320	22429	2013-08-04 20:52:18.735336	2013-08-04 20:52:18.735336	266
43959	206324	45346	2013-08-04 20:52:18.771665	2013-08-04 20:52:18.771665	266
43960	206324	44125	2013-08-04 20:52:18.776139	2013-08-04 20:52:18.776139	266
43961	206324	43875	2013-08-04 20:52:18.780294	2013-08-04 20:52:18.780294	266
43962	206324	31256	2013-08-04 20:52:18.786732	2013-08-04 20:52:18.786732	266
43963	206324	31056	2013-08-04 20:52:18.796747	2013-08-04 20:52:18.796747	266
43964	206324	22389	2013-08-04 20:52:18.806966	2013-08-04 20:52:18.806966	266
43965	206847	2024	2013-08-04 20:52:18.851415	2013-08-04 20:52:18.851415	266
43966	206847	1821	2013-08-04 20:52:18.863433	2013-08-04 20:52:18.863433	266
43967	206847	1967	2013-08-04 20:52:18.875449	2013-08-04 20:52:18.875449	266
43968	206847	1916	2013-08-04 20:52:18.887829	2013-08-04 20:52:18.887829	266
43969	206847	36420	2013-08-04 20:52:18.900162	2013-08-04 20:52:18.900162	266
43970	206847	9520	2013-08-04 20:52:18.911521	2013-08-04 20:52:18.911521	266
43971	206847	39818	2013-08-04 20:52:18.921593	2013-08-04 20:52:18.921593	266
43972	206847	1081	2013-08-04 20:52:18.930738	2013-08-04 20:52:18.930738	266
43973	206847	15790	2013-08-04 20:52:18.93937	2013-08-04 20:52:18.93937	266
43974	206847	5263	2013-08-04 20:52:18.947489	2013-08-04 20:52:18.947489	266
43975	206847	2865	2013-08-04 20:52:18.955896	2013-08-04 20:52:18.955896	266
43976	206847	18460	2013-08-04 20:52:18.96604	2013-08-04 20:52:18.96604	266
43977	206847	35480	2013-08-04 20:52:18.977396	2013-08-04 20:52:18.977396	266
43978	206847	22888	2013-08-04 20:52:18.987061	2013-08-04 20:52:18.987061	266
43979	206847	9750	2013-08-04 20:52:18.995549	2013-08-04 20:52:18.995549	266
43980	206847	26185	2013-08-04 20:52:19.004113	2013-08-04 20:52:19.004113	266
43981	206847	32635	2013-08-04 20:52:19.012956	2013-08-04 20:52:19.012956	266
43982	206847	37403	2013-08-04 20:52:19.021395	2013-08-04 20:52:19.021395	266
43983	206847	17450	2013-08-04 20:52:19.029877	2013-08-04 20:52:19.029877	266
43984	206849	2024	2013-08-04 20:52:19.063184	2013-08-04 20:52:19.063184	266
43985	206849	1821	2013-08-04 20:52:19.072091	2013-08-04 20:52:19.072091	266
43986	206849	1967	2013-08-04 20:52:19.080743	2013-08-04 20:52:19.080743	266
43987	206849	1916	2013-08-04 20:52:19.08924	2013-08-04 20:52:19.08924	266
43988	206849	36420	2013-08-04 20:52:19.097707	2013-08-04 20:52:19.097707	266
43989	206849	9520	2013-08-04 20:52:19.106647	2013-08-04 20:52:19.106647	266
43990	206849	39818	2013-08-04 20:52:19.116858	2013-08-04 20:52:19.116858	266
43991	206849	1081	2013-08-04 20:52:19.128667	2013-08-04 20:52:19.128667	266
43992	206849	15790	2013-08-04 20:52:19.140506	2013-08-04 20:52:19.140506	266
43993	206849	5263	2013-08-04 20:52:19.152052	2013-08-04 20:52:19.152052	266
43994	206849	2865	2013-08-04 20:52:19.163703	2013-08-04 20:52:19.163703	266
43995	206849	18460	2013-08-04 20:52:19.174929	2013-08-04 20:52:19.174929	266
43996	206849	35480	2013-08-04 20:52:19.186203	2013-08-04 20:52:19.186203	266
43997	206849	22888	2013-08-04 20:52:19.196823	2013-08-04 20:52:19.196823	266
43998	206849	9750	2013-08-04 20:52:19.207982	2013-08-04 20:52:19.207982	266
43999	206849	26185	2013-08-04 20:52:19.218479	2013-08-04 20:52:19.218479	266
44000	206849	32635	2013-08-04 20:52:19.229663	2013-08-04 20:52:19.229663	266
44001	206849	37403	2013-08-04 20:52:19.240513	2013-08-04 20:52:19.240513	266
44002	206849	17450	2013-08-04 20:52:19.251312	2013-08-04 20:52:19.251312	266
44003	206851	2024	2013-08-04 20:52:19.292135	2013-08-04 20:52:19.292135	266
44004	206851	1821	2013-08-04 20:52:19.304405	2013-08-04 20:52:19.304405	266
44005	206851	1967	2013-08-04 20:52:19.317213	2013-08-04 20:52:19.317213	266
44006	206851	1916	2013-08-04 20:52:19.322516	2013-08-04 20:52:19.322516	266
44007	206851	36420	2013-08-04 20:52:19.32675	2013-08-04 20:52:19.32675	266
44008	206851	9520	2013-08-04 20:52:19.331066	2013-08-04 20:52:19.331066	266
44009	206851	39818	2013-08-04 20:52:19.335606	2013-08-04 20:52:19.335606	266
44010	206851	1081	2013-08-04 20:52:19.343424	2013-08-04 20:52:19.343424	266
44011	206851	15790	2013-08-04 20:52:19.349548	2013-08-04 20:52:19.349548	266
44012	206851	5263	2013-08-04 20:52:19.356084	2013-08-04 20:52:19.356084	266
44013	206851	2865	2013-08-04 20:52:19.360166	2013-08-04 20:52:19.360166	266
44014	206851	18460	2013-08-04 20:52:19.364364	2013-08-04 20:52:19.364364	266
44015	206851	35480	2013-08-04 20:52:19.371156	2013-08-04 20:52:19.371156	266
44016	206851	22888	2013-08-04 20:52:19.383682	2013-08-04 20:52:19.383682	266
44017	206851	9750	2013-08-04 20:52:19.396239	2013-08-04 20:52:19.396239	266
44018	206851	26185	2013-08-04 20:52:19.408015	2013-08-04 20:52:19.408015	266
44019	206851	32635	2013-08-04 20:52:19.419792	2013-08-04 20:52:19.419792	266
44020	206851	37403	2013-08-04 20:52:19.431331	2013-08-04 20:52:19.431331	266
44021	206851	17450	2013-08-04 20:52:19.443157	2013-08-04 20:52:19.443157	266
44022	206773	45286	2013-08-04 20:52:19.497336	2013-08-04 20:52:19.497336	266
44023	206773	44150	2013-08-04 20:52:19.506878	2013-08-04 20:52:19.506878	266
44024	206773	43953	2013-08-04 20:52:19.514548	2013-08-04 20:52:19.514548	266
44025	206773	31236	2013-08-04 20:52:19.527845	2013-08-04 20:52:19.527845	266
44026	206773	31016	2013-08-04 20:52:19.541256	2013-08-04 20:52:19.541256	266
44027	206773	22349	2013-08-04 20:52:19.554868	2013-08-04 20:52:19.554868	266
44028	206323	44153	2013-08-04 20:52:19.597104	2013-08-04 20:52:19.597104	266
44029	206329	44173	2013-08-04 20:52:19.663246	2013-08-04 20:52:19.663246	266
44030	206312	45466	2013-08-04 20:52:19.726158	2013-08-04 20:52:19.726158	266
44031	206312	45506	2013-08-04 20:52:19.740413	2013-08-04 20:52:19.740413	266
44032	206312	44373	2013-08-04 20:52:19.754369	2013-08-04 20:52:19.754369	266
44033	206312	44413	2013-08-04 20:52:19.768042	2013-08-04 20:52:19.768042	266
44034	206312	44133	2013-08-04 20:52:19.781605	2013-08-04 20:52:19.781605	266
44035	206312	44113	2013-08-04 20:52:19.795085	2013-08-04 20:52:19.795085	266
44036	206312	31375	2013-08-04 20:52:19.80815	2013-08-04 20:52:19.80815	266
44037	206312	31156	2013-08-04 20:52:19.821954	2013-08-04 20:52:19.821954	266
44038	206312	22489	2013-08-04 20:52:19.835655	2013-08-04 20:52:19.835655	266
44039	206512	8323	2013-08-04 20:52:19.979716	2013-08-04 20:52:19.979716	266
44040	206512	8380	2013-08-04 20:52:19.995711	2013-08-04 20:52:19.995711	266
44041	206512	8453	2013-08-04 20:52:20.00664	2013-08-04 20:52:20.00664	266
44042	206512	8385	2013-08-04 20:52:20.014177	2013-08-04 20:52:20.014177	266
44043	206512	8386	2013-08-04 20:52:20.022443	2013-08-04 20:52:20.022443	266
44044	206512	8466	2013-08-04 20:52:20.030146	2013-08-04 20:52:20.030146	266
44045	206512	8324	2013-08-04 20:52:20.037976	2013-08-04 20:52:20.037976	266
44046	206512	8218	2013-08-04 20:52:20.049259	2013-08-04 20:52:20.049259	266
44047	206512	8238	2013-08-04 20:52:20.062004	2013-08-04 20:52:20.062004	266
44048	206512	8258	2013-08-04 20:52:20.075788	2013-08-04 20:52:20.075788	266
44049	206512	8320	2013-08-04 20:52:20.088752	2013-08-04 20:52:20.088752	266
44050	206512	8283	2013-08-04 20:52:20.102303	2013-08-04 20:52:20.102303	266
44051	206512	8288	2013-08-04 20:52:20.118051	2013-08-04 20:52:20.118051	266
44052	206512	8308	2013-08-04 20:52:20.133836	2013-08-04 20:52:20.133836	266
44053	206512	8304	2013-08-04 20:52:20.14795	2013-08-04 20:52:20.14795	266
44054	206512	8284	2013-08-04 20:52:20.162797	2013-08-04 20:52:20.162797	266
44055	206512	8264	2013-08-04 20:52:20.177963	2013-08-04 20:52:20.177963	266
44056	206512	35598	2013-08-04 20:52:20.19419	2013-08-04 20:52:20.19419	266
44057	206512	8244	2013-08-04 20:52:20.210635	2013-08-04 20:52:20.210635	266
44058	206332	12585	2013-08-04 20:52:20.265146	2013-08-04 20:52:20.265146	266
44059	206332	12627	2013-08-04 20:52:20.281011	2013-08-04 20:52:20.281011	266
44060	206332	12607	2013-08-04 20:52:20.296193	2013-08-04 20:52:20.296193	266
44061	206332	7246	2013-08-04 20:52:20.310892	2013-08-04 20:52:20.310892	266
44062	206332	12686	2013-08-04 20:52:20.325366	2013-08-04 20:52:20.325366	266
44063	206332	12587	2013-08-04 20:52:20.341159	2013-08-04 20:52:20.341159	266
44064	206332	12616	2013-08-04 20:52:20.352772	2013-08-04 20:52:20.352772	266
44065	206332	12615	2013-08-04 20:52:20.358996	2013-08-04 20:52:20.358996	266
44066	206332	12567	2013-08-04 20:52:20.364443	2013-08-04 20:52:20.364443	266
44067	206332	12428	2013-08-04 20:52:20.374095	2013-08-04 20:52:20.374095	266
44068	206332	12516	2013-08-04 20:52:20.384266	2013-08-04 20:52:20.384266	266
44069	206332	12520	2013-08-04 20:52:20.395823	2013-08-04 20:52:20.395823	266
44070	206332	12547	2013-08-04 20:52:20.403884	2013-08-04 20:52:20.403884	266
44071	206332	12436	2013-08-04 20:52:20.419661	2013-08-04 20:52:20.419661	266
44072	206332	12527	2013-08-04 20:52:20.430822	2013-08-04 20:52:20.430822	266
44073	206332	15906	2013-08-04 20:52:20.446464	2013-08-04 20:52:20.446464	266
44074	206332	12441	2013-08-04 20:52:20.461847	2013-08-04 20:52:20.461847	266
44075	206332	12461	2013-08-04 20:52:20.477797	2013-08-04 20:52:20.477797	266
44076	206332	12507	2013-08-04 20:52:20.493041	2013-08-04 20:52:20.493041	266
44077	206664	45368	2013-08-04 20:52:20.559221	2013-08-04 20:52:20.559221	266
44078	206664	45348	2013-08-04 20:52:20.575436	2013-08-04 20:52:20.575436	266
44079	206664	45328	2013-08-04 20:52:20.593579	2013-08-04 20:52:20.593579	266
44080	206664	45308	2013-08-04 20:52:20.605335	2013-08-04 20:52:20.605335	266
44081	206664	45288	2013-08-04 20:52:20.610523	2013-08-04 20:52:20.610523	266
44082	206664	45238	2013-08-04 20:52:20.616374	2013-08-04 20:52:20.616374	266
44083	206392	45268	2013-08-04 20:52:20.628659	2013-08-04 20:52:20.628659	266
44084	206392	45248	2013-08-04 20:52:20.634405	2013-08-04 20:52:20.634405	266
44085	206392	45312	2013-08-04 20:52:20.639929	2013-08-04 20:52:20.639929	266
44086	206392	45228	2013-08-04 20:52:20.647257	2013-08-04 20:52:20.647257	266
44087	206392	45195	2013-08-04 20:52:20.660797	2013-08-04 20:52:20.660797	266
44088	206392	45208	2013-08-04 20:52:20.670217	2013-08-04 20:52:20.670217	266
44089	206386	45145	2013-08-04 20:52:20.702373	2013-08-04 20:52:20.702373	266
44090	206386	45188	2013-08-04 20:52:20.717168	2013-08-04 20:52:20.717168	266
44091	206386	45168	2013-08-04 20:52:20.732481	2013-08-04 20:52:20.732481	266
44092	206386	45148	2013-08-04 20:52:20.748722	2013-08-04 20:52:20.748722	266
44093	206386	45128	2013-08-04 20:52:20.763745	2013-08-04 20:52:20.763745	266
44094	206386	45120	2013-08-04 20:52:20.778808	2013-08-04 20:52:20.778808	266
44095	206487	13739	2013-08-04 20:52:20.836478	2013-08-04 20:52:20.836478	266
44096	206487	22749	2013-08-04 20:52:20.849198	2013-08-04 20:52:20.849198	266
44097	206487	22729	2013-08-04 20:52:20.860754	2013-08-04 20:52:20.860754	266
44098	206487	22709	2013-08-04 20:52:20.872433	2013-08-04 20:52:20.872433	266
44099	206487	22689	2013-08-04 20:52:20.885384	2013-08-04 20:52:20.885384	266
44100	206487	22669	2013-08-04 20:52:20.8997	2013-08-04 20:52:20.8997	266
44101	206487	22649	2013-08-04 20:52:20.911246	2013-08-04 20:52:20.911246	266
44102	206487	22629	2013-08-04 20:52:20.925328	2013-08-04 20:52:20.925328	266
44103	206487	22609	2013-08-04 20:52:20.940401	2013-08-04 20:52:20.940401	266
44104	206419	22589	2013-08-04 20:52:20.971559	2013-08-04 20:52:20.971559	266
44105	206419	22569	2013-08-04 20:52:20.986544	2013-08-04 20:52:20.986544	266
44106	206419	22563	2013-08-04 20:52:21.001304	2013-08-04 20:52:21.001304	266
44107	206419	22570	2013-08-04 20:52:21.014593	2013-08-04 20:52:21.014593	266
44108	206419	22549	2013-08-04 20:52:21.018885	2013-08-04 20:52:21.018885	266
44109	206419	22573	2013-08-04 20:52:21.024391	2013-08-04 20:52:21.024391	266
44110	206419	22529	2013-08-04 20:52:21.028454	2013-08-04 20:52:21.028454	266
44111	206419	22590	2013-08-04 20:52:21.032508	2013-08-04 20:52:21.032508	266
44112	206419	22509	2013-08-04 20:52:21.036477	2013-08-04 20:52:21.036477	266
44113	206422	45235	2013-08-04 20:52:21.081911	2013-08-04 20:52:21.081911	266
44114	206422	44273	2013-08-04 20:52:21.095802	2013-08-04 20:52:21.095802	266
44115	206422	43993	2013-08-04 20:52:21.109003	2013-08-04 20:52:21.109003	266
44116	206422	31296	2013-08-04 20:52:21.123216	2013-08-04 20:52:21.123216	266
44117	206422	31071	2013-08-04 20:52:21.136523	2013-08-04 20:52:21.136523	266
44118	206422	22409	2013-08-04 20:52:21.151467	2013-08-04 20:52:21.151467	266
44119	206760	37078	2013-08-04 20:52:21.212378	2013-08-04 20:52:21.212378	266
44120	206760	37071	2013-08-04 20:52:21.227243	2013-08-04 20:52:21.227243	266
44121	206760	37098	2013-08-04 20:52:21.242258	2013-08-04 20:52:21.242258	266
44122	206760	37038	2013-08-04 20:52:21.256932	2013-08-04 20:52:21.256932	266
44123	206760	36940	2013-08-04 20:52:21.271843	2013-08-04 20:52:21.271843	266
44124	206760	37051	2013-08-04 20:52:21.286841	2013-08-04 20:52:21.286841	266
44125	206416	37031	2013-08-04 20:52:21.315651	2013-08-04 20:52:21.315651	266
44126	206416	37011	2013-08-04 20:52:21.32942	2013-08-04 20:52:21.32942	266
44127	206416	36912	2013-08-04 20:52:21.344157	2013-08-04 20:52:21.344157	266
44128	206416	37006	2013-08-04 20:52:21.358769	2013-08-04 20:52:21.358769	266
44129	206416	36991	2013-08-04 20:52:21.373853	2013-08-04 20:52:21.373853	266
44130	206416	36971	2013-08-04 20:52:21.385081	2013-08-04 20:52:21.385081	266
44131	206314	36951	2013-08-04 20:52:21.395986	2013-08-04 20:52:21.395986	266
44132	206314	36931	2013-08-04 20:52:21.403166	2013-08-04 20:52:21.403166	266
44133	206314	36953	2013-08-04 20:52:21.408986	2013-08-04 20:52:21.408986	266
44134	206314	31276	2013-08-04 20:52:21.414413	2013-08-04 20:52:21.414413	266
44135	206314	31076	2013-08-04 20:52:21.421036	2013-08-04 20:52:21.421036	266
44136	206314	25261	2013-08-04 20:52:21.429143	2013-08-04 20:52:21.429143	266
44137	206853	1821	2013-08-04 20:52:21.505448	2013-08-04 20:52:21.505448	266
44138	206853	1967	2013-08-04 20:52:21.515449	2013-08-04 20:52:21.515449	266
44139	206853	1916	2013-08-04 20:52:21.526948	2013-08-04 20:52:21.526948	266
44140	206853	36420	2013-08-04 20:52:21.535934	2013-08-04 20:52:21.535934	266
44141	206853	9520	2013-08-04 20:52:21.545674	2013-08-04 20:52:21.545674	266
44142	206853	39818	2013-08-04 20:52:21.554373	2013-08-04 20:52:21.554373	266
44143	206853	1081	2013-08-04 20:52:21.564984	2013-08-04 20:52:21.564984	266
44144	206853	15790	2013-08-04 20:52:21.576025	2013-08-04 20:52:21.576025	266
44145	206853	5263	2013-08-04 20:52:21.587229	2013-08-04 20:52:21.587229	266
44146	206589	2865	2013-08-04 20:52:21.613392	2013-08-04 20:52:21.613392	266
44147	206589	18460	2013-08-04 20:52:21.629864	2013-08-04 20:52:21.629864	266
44148	206589	35480	2013-08-04 20:52:21.649147	2013-08-04 20:52:21.649147	266
44149	206589	22888	2013-08-04 20:52:21.657766	2013-08-04 20:52:21.657766	266
44150	206589	9750	2013-08-04 20:52:21.663674	2013-08-04 20:52:21.663674	266
44151	206589	26185	2013-08-04 20:52:21.670048	2013-08-04 20:52:21.670048	266
44152	206589	32635	2013-08-04 20:52:21.676772	2013-08-04 20:52:21.676772	266
44153	206589	37403	2013-08-04 20:52:21.684198	2013-08-04 20:52:21.684198	266
44154	206589	17450	2013-08-04 20:52:21.692019	2013-08-04 20:52:21.692019	266
44155	206454	31596	2013-08-04 20:52:21.768297	2013-08-04 20:52:21.768297	266
44156	206454	31630	2013-08-04 20:52:21.780942	2013-08-04 20:52:21.780942	266
44157	206454	31576	2013-08-04 20:52:21.794171	2013-08-04 20:52:21.794171	266
44158	206454	16693	2013-08-04 20:52:21.81001	2013-08-04 20:52:21.81001	266
44159	206454	31457	2013-08-04 20:52:21.825631	2013-08-04 20:52:21.825631	266
44160	206454	31480	2013-08-04 20:52:21.84058	2013-08-04 20:52:21.84058	266
44161	206345	31556	2013-08-04 20:52:21.871005	2013-08-04 20:52:21.871005	266
44162	206345	31536	2013-08-04 20:52:21.883819	2013-08-04 20:52:21.883819	266
44163	206345	31492	2013-08-04 20:52:21.897235	2013-08-04 20:52:21.897235	266
44164	206345	31516	2013-08-04 20:52:21.909899	2013-08-04 20:52:21.909899	266
44165	206345	31496	2013-08-04 20:52:21.92493	2013-08-04 20:52:21.92493	266
44166	206345	31476	2013-08-04 20:52:21.939986	2013-08-04 20:52:21.939986	266
44167	206313	31456	2013-08-04 20:52:21.972372	2013-08-04 20:52:21.972372	266
44168	206313	31436	2013-08-04 20:52:21.98736	2013-08-04 20:52:21.98736	266
44169	206313	31505	2013-08-04 20:52:22.001309	2013-08-04 20:52:22.001309	266
44170	206313	31416	2013-08-04 20:52:22.01507	2013-08-04 20:52:22.01507	266
44171	206313	27032	2013-08-04 20:52:22.027726	2013-08-04 20:52:22.027726	266
44172	206313	46783	2013-08-04 20:52:22.042958	2013-08-04 20:52:22.042958	266
44173	206823	836	2013-08-04 20:52:22.100127	2013-08-04 20:52:22.100127	266
44174	206823	36759	2013-08-04 20:52:22.114047	2013-08-04 20:52:22.114047	266
44175	206823	1631	2013-08-04 20:52:22.130168	2013-08-04 20:52:22.130168	266
44176	206823	36739	2013-08-04 20:52:22.14438	2013-08-04 20:52:22.14438	266
44177	206823	36585	2013-08-04 20:52:22.15253	2013-08-04 20:52:22.15253	266
44178	206823	36655	2013-08-04 20:52:22.157813	2013-08-04 20:52:22.157813	266
44179	206667	36701	2013-08-04 20:52:22.170339	2013-08-04 20:52:22.170339	266
44180	206667	36719	2013-08-04 20:52:22.176184	2013-08-04 20:52:22.176184	266
44181	206667	36699	2013-08-04 20:52:22.182017	2013-08-04 20:52:22.182017	266
44182	206667	36679	2013-08-04 20:52:22.18975	2013-08-04 20:52:22.18975	266
44183	206667	36633	2013-08-04 20:52:22.19678	2013-08-04 20:52:22.19678	266
44184	206667	36659	2013-08-04 20:52:22.203475	2013-08-04 20:52:22.203475	266
44185	206316	36639	2013-08-04 20:52:22.216123	2013-08-04 20:52:22.216123	266
44186	206316	39843	2013-08-04 20:52:22.223009	2013-08-04 20:52:22.223009	266
44187	206316	21985	2013-08-04 20:52:22.230296	2013-08-04 20:52:22.230296	266
44188	206316	31196	2013-08-04 20:52:22.284622	2013-08-04 20:52:22.284622	266
44189	206316	30976	2013-08-04 20:52:22.290308	2013-08-04 20:52:22.290308	266
44190	206316	22352	2013-08-04 20:52:22.296765	2013-08-04 20:52:22.296765	266
44191	206854	1948	2013-08-04 20:52:22.674244	2013-08-04 20:52:22.674244	266
44192	206854	2039	2013-08-04 20:52:22.678985	2013-08-04 20:52:22.678985	266
44193	206854	1950	2013-08-04 20:52:22.683141	2013-08-04 20:52:22.683141	266
44194	206854	2014	2013-08-04 20:52:22.687754	2013-08-04 20:52:22.687754	266
44195	206854	9500	2013-08-04 20:52:22.691214	2013-08-04 20:52:22.691214	266
44196	206854	1986	2013-08-04 20:52:22.694981	2013-08-04 20:52:22.694981	266
44197	206854	35315	2013-08-04 20:52:22.699231	2013-08-04 20:52:22.699231	266
44198	206854	1961	2013-08-04 20:52:22.703727	2013-08-04 20:52:22.703727	266
44199	206854	1982	2013-08-04 20:52:22.70803	2013-08-04 20:52:22.70803	266
44200	206854	1900	2013-08-04 20:52:22.711335	2013-08-04 20:52:22.711335	266
44201	206854	1821	2013-08-04 20:52:22.71516	2013-08-04 20:52:22.71516	266
44202	206854	1967	2013-08-04 20:52:22.718102	2013-08-04 20:52:22.718102	266
44203	206854	1916	2013-08-04 20:52:22.723461	2013-08-04 20:52:22.723461	266
44204	206854	36420	2013-08-04 20:52:22.726273	2013-08-04 20:52:22.726273	266
44205	206854	9520	2013-08-04 20:52:22.729188	2013-08-04 20:52:22.729188	266
44206	206854	39818	2013-08-04 20:52:22.732211	2013-08-04 20:52:22.732211	266
44207	206854	1081	2013-08-04 20:52:22.738348	2013-08-04 20:52:22.738348	266
44208	206854	15790	2013-08-04 20:52:22.744834	2013-08-04 20:52:22.744834	266
44209	206854	5263	2013-08-04 20:52:22.74801	2013-08-04 20:52:22.74801	266
44210	206848	1948	2013-08-04 20:52:22.767758	2013-08-04 20:52:22.767758	266
44211	206848	2039	2013-08-04 20:52:22.773793	2013-08-04 20:52:22.773793	266
44212	206848	1950	2013-08-04 20:52:22.779544	2013-08-04 20:52:22.779544	266
44213	206848	2014	2013-08-04 20:52:22.786046	2013-08-04 20:52:22.786046	266
44214	206848	9500	2013-08-04 20:52:22.793962	2013-08-04 20:52:22.793962	266
44215	206848	1986	2013-08-04 20:52:22.800549	2013-08-04 20:52:22.800549	266
44216	206848	35315	2013-08-04 20:52:22.808112	2013-08-04 20:52:22.808112	266
44217	206848	1961	2013-08-04 20:52:22.816621	2013-08-04 20:52:22.816621	266
44218	206848	1982	2013-08-04 20:52:22.825089	2013-08-04 20:52:22.825089	266
44219	206848	1900	2013-08-04 20:52:22.83344	2013-08-04 20:52:22.83344	266
44220	206848	1821	2013-08-04 20:52:22.841875	2013-08-04 20:52:22.841875	266
44221	206848	1967	2013-08-04 20:52:22.850374	2013-08-04 20:52:22.850374	266
44222	206848	1916	2013-08-04 20:52:22.858812	2013-08-04 20:52:22.858812	266
44223	206848	36420	2013-08-04 20:52:22.867177	2013-08-04 20:52:22.867177	266
44224	206848	9520	2013-08-04 20:52:22.872685	2013-08-04 20:52:22.872685	266
44225	206848	39818	2013-08-04 20:52:22.877189	2013-08-04 20:52:22.877189	266
44226	206848	1081	2013-08-04 20:52:22.880345	2013-08-04 20:52:22.880345	266
44227	206848	15790	2013-08-04 20:52:22.883973	2013-08-04 20:52:22.883973	266
44228	206848	5263	2013-08-04 20:52:22.889804	2013-08-04 20:52:22.889804	266
44229	207203	44515	2013-08-04 20:57:16.658143	2013-08-04 20:57:16.658143	267
44230	207203	37331	2013-08-04 20:57:16.663716	2013-08-04 20:57:16.663716	267
44231	206973	31800	2013-08-04 20:57:16.672187	2013-08-04 20:57:16.672187	267
44232	206973	23068	2013-08-04 20:57:16.676375	2013-08-04 20:57:16.676375	267
44233	207409	12668	2013-08-04 20:57:16.844064	2013-08-04 20:57:16.844064	267
44234	207409	1754	2013-08-04 20:57:16.858334	2013-08-04 20:57:16.858334	267
44235	207409	47983	2013-08-04 20:57:16.87216	2013-08-04 20:57:16.87216	267
44236	207409	12707	2013-08-04 20:57:16.886905	2013-08-04 20:57:16.886905	267
44237	207409	31560	2013-08-04 20:57:16.901329	2013-08-04 20:57:16.901329	267
44238	207409	13100	2013-08-04 20:57:16.908109	2013-08-04 20:57:16.908109	267
44239	207409	39875	2013-08-04 20:57:16.914172	2013-08-04 20:57:16.914172	267
44240	207409	12687	2013-08-04 20:57:16.92085	2013-08-04 20:57:16.92085	267
44241	207409	12608	2013-08-04 20:57:16.927644	2013-08-04 20:57:16.927644	267
44242	206972	34763	2013-08-04 20:57:16.947597	2013-08-04 20:57:16.947597	267
44243	206972	12667	2013-08-04 20:57:16.958358	2013-08-04 20:57:16.958358	267
44244	206972	12679	2013-08-04 20:57:16.972984	2013-08-04 20:57:16.972984	267
44245	206972	12699	2013-08-04 20:57:16.987689	2013-08-04 20:57:16.987689	267
44246	206972	23817	2013-08-04 20:57:17.002864	2013-08-04 20:57:17.002864	267
44247	206972	12632	2013-08-04 20:57:17.017987	2013-08-04 20:57:17.017987	267
44248	206972	12647	2013-08-04 20:57:17.033888	2013-08-04 20:57:17.033888	267
44249	206972	12629	2013-08-04 20:57:17.048761	2013-08-04 20:57:17.048761	267
44250	206972	22880	2013-08-04 20:57:17.062508	2013-08-04 20:57:17.062508	267
44251	207459	45626	2013-08-04 20:57:17.119022	2013-08-04 20:57:17.119022	267
44252	207459	45568	2013-08-04 20:57:17.132964	2013-08-04 20:57:17.132964	267
44253	207459	45548	2013-08-04 20:57:17.147574	2013-08-04 20:57:17.147574	267
44254	207459	45532	2013-08-04 20:57:17.162665	2013-08-04 20:57:17.162665	267
44255	207459	45528	2013-08-04 20:57:17.177987	2013-08-04 20:57:17.177987	267
44256	207459	45461	2013-08-04 20:57:17.193595	2013-08-04 20:57:17.193595	267
44257	207459	45508	2013-08-04 20:57:17.207371	2013-08-04 20:57:17.207371	267
44258	207459	45488	2013-08-04 20:57:17.225486	2013-08-04 20:57:17.225486	267
44259	207459	45468	2013-08-04 20:57:17.241664	2013-08-04 20:57:17.241664	267
44260	206971	45448	2013-08-04 20:57:17.260992	2013-08-04 20:57:17.260992	267
44261	206971	45428	2013-08-04 20:57:17.272409	2013-08-04 20:57:17.272409	267
44262	206971	45408	2013-08-04 20:57:17.287167	2013-08-04 20:57:17.287167	267
44263	206971	45388	2013-08-04 20:57:17.302684	2013-08-04 20:57:17.302684	267
44264	206971	45386	2013-08-04 20:57:17.31912	2013-08-04 20:57:17.31912	267
44265	206971	44475	2013-08-04 20:57:17.333238	2013-08-04 20:57:17.333238	267
44266	206971	37231	2013-08-04 20:57:17.347032	2013-08-04 20:57:17.347032	267
44267	206971	31730	2013-08-04 20:57:17.360701	2013-08-04 20:57:17.360701	267
44268	206971	22909	2013-08-04 20:57:17.372231	2013-08-04 20:57:17.372231	267
44269	207553	44453	2013-08-04 20:57:17.4233	2013-08-04 20:57:17.4233	267
44270	207553	37191	2013-08-04 20:57:17.428817	2013-08-04 20:57:17.428817	267
44271	206984	31736	2013-08-04 20:57:17.437265	2013-08-04 20:57:17.437265	267
44272	206984	22889	2013-08-04 20:57:17.447855	2013-08-04 20:57:17.447855	267
44273	207566	1948	2013-08-04 20:57:17.486097	2013-08-04 20:57:17.486097	267
44274	207566	2039	2013-08-04 20:57:17.494808	2013-08-04 20:57:17.494808	267
44275	207566	1950	2013-08-04 20:57:17.503198	2013-08-04 20:57:17.503198	267
44276	207566	2014	2013-08-04 20:57:17.511552	2013-08-04 20:57:17.511552	267
44277	207566	9500	2013-08-04 20:57:17.520135	2013-08-04 20:57:17.520135	267
44278	207566	1986	2013-08-04 20:57:17.528578	2013-08-04 20:57:17.528578	267
44279	207566	35315	2013-08-04 20:57:17.536893	2013-08-04 20:57:17.536893	267
44280	207566	1961	2013-08-04 20:57:17.54529	2013-08-04 20:57:17.54529	267
44281	207566	1982	2013-08-04 20:57:17.553672	2013-08-04 20:57:17.553672	267
44282	207566	1900	2013-08-04 20:57:17.562388	2013-08-04 20:57:17.562388	267
44283	207566	1821	2013-08-04 20:57:17.571441	2013-08-04 20:57:17.571441	267
44284	207566	1967	2013-08-04 20:57:17.580756	2013-08-04 20:57:17.580756	267
44285	207566	1916	2013-08-04 20:57:17.589292	2013-08-04 20:57:17.589292	267
44286	207566	36420	2013-08-04 20:57:17.597586	2013-08-04 20:57:17.597586	267
44287	207566	9520	2013-08-04 20:57:17.606119	2013-08-04 20:57:17.606119	267
44288	207566	39818	2013-08-04 20:57:17.616521	2013-08-04 20:57:17.616521	267
44289	207566	1081	2013-08-04 20:57:17.628205	2013-08-04 20:57:17.628205	267
44290	207566	15790	2013-08-04 20:57:17.639722	2013-08-04 20:57:17.639722	267
44291	207566	5263	2013-08-04 20:57:17.650932	2013-08-04 20:57:17.650932	267
44292	207569	1948	2013-08-04 20:57:17.694133	2013-08-04 20:57:17.694133	267
44293	207569	2039	2013-08-04 20:57:17.706668	2013-08-04 20:57:17.706668	267
44294	207569	1950	2013-08-04 20:57:17.7194	2013-08-04 20:57:17.7194	267
44295	207569	2014	2013-08-04 20:57:17.732015	2013-08-04 20:57:17.732015	267
44296	207569	9500	2013-08-04 20:57:17.744038	2013-08-04 20:57:17.744038	267
44297	207569	1986	2013-08-04 20:57:17.753562	2013-08-04 20:57:17.753562	267
44298	207569	35315	2013-08-04 20:57:17.761809	2013-08-04 20:57:17.761809	267
44299	207569	1961	2013-08-04 20:57:17.768643	2013-08-04 20:57:17.768643	267
44300	207569	1982	2013-08-04 20:57:17.774256	2013-08-04 20:57:17.774256	267
44301	207569	1900	2013-08-04 20:57:17.779695	2013-08-04 20:57:17.779695	267
44302	207569	1821	2013-08-04 20:57:17.784492	2013-08-04 20:57:17.784492	267
44303	207569	1967	2013-08-04 20:57:17.791536	2013-08-04 20:57:17.791536	267
44304	207569	1916	2013-08-04 20:57:17.799154	2013-08-04 20:57:17.799154	267
44305	207569	36420	2013-08-04 20:57:17.805321	2013-08-04 20:57:17.805321	267
44306	207569	9520	2013-08-04 20:57:17.811722	2013-08-04 20:57:17.811722	267
44307	207569	39818	2013-08-04 20:57:17.818321	2013-08-04 20:57:17.818321	267
44308	207569	1081	2013-08-04 20:57:17.82315	2013-08-04 20:57:17.82315	267
44309	207569	15790	2013-08-04 20:57:17.828579	2013-08-04 20:57:17.828579	267
44310	207569	5263	2013-08-04 20:57:17.833185	2013-08-04 20:57:17.833185	267
44311	207571	1948	2013-08-04 20:57:17.850609	2013-08-04 20:57:17.850609	267
44312	207571	2039	2013-08-04 20:57:17.856105	2013-08-04 20:57:17.856105	267
44313	207571	1950	2013-08-04 20:57:17.862092	2013-08-04 20:57:17.862092	267
44314	207571	2014	2013-08-04 20:57:17.867764	2013-08-04 20:57:17.867764	267
44315	207571	9500	2013-08-04 20:57:17.875902	2013-08-04 20:57:17.875902	267
44316	207571	1986	2013-08-04 20:57:17.883032	2013-08-04 20:57:17.883032	267
44317	207571	35315	2013-08-04 20:57:17.891092	2013-08-04 20:57:17.891092	267
44318	207571	1961	2013-08-04 20:57:17.900314	2013-08-04 20:57:17.900314	267
44319	207571	1982	2013-08-04 20:57:17.908745	2013-08-04 20:57:17.908745	267
44320	207571	1900	2013-08-04 20:57:17.917127	2013-08-04 20:57:17.917127	267
44321	207571	1821	2013-08-04 20:57:17.928507	2013-08-04 20:57:17.928507	267
44322	207571	1967	2013-08-04 20:57:17.940045	2013-08-04 20:57:17.940045	267
44323	207571	1916	2013-08-04 20:57:17.951244	2013-08-04 20:57:17.951244	267
44324	207571	36420	2013-08-04 20:57:17.962638	2013-08-04 20:57:17.962638	267
44325	207571	9520	2013-08-04 20:57:17.974072	2013-08-04 20:57:17.974072	267
44326	207571	39818	2013-08-04 20:57:17.985827	2013-08-04 20:57:17.985827	267
44327	207571	1081	2013-08-04 20:57:17.997451	2013-08-04 20:57:17.997451	267
44328	207571	15790	2013-08-04 20:57:18.009213	2013-08-04 20:57:18.009213	267
44329	207571	5263	2013-08-04 20:57:18.020909	2013-08-04 20:57:18.020909	267
44330	207273	44410	2013-08-04 20:57:18.085997	2013-08-04 20:57:18.085997	267
44331	207273	37205	2013-08-04 20:57:18.097488	2013-08-04 20:57:18.097488	267
44332	207027	31696	2013-08-04 20:57:18.127622	2013-08-04 20:57:18.127622	267
44333	207027	14738	2013-08-04 20:57:18.141107	2013-08-04 20:57:18.141107	267
44334	206979	49965	2013-08-04 20:57:18.27301	2013-08-04 20:57:18.27301	267
44335	206982	44453	2013-08-04 20:57:18.310074	2013-08-04 20:57:18.310074	267
44336	206982	44515	2013-08-04 20:57:18.324877	2013-08-04 20:57:18.324877	267
44337	206982	44410	2013-08-04 20:57:18.339559	2013-08-04 20:57:18.339559	267
44338	206982	37331	2013-08-04 20:57:18.353851	2013-08-04 20:57:18.353851	267
44339	206982	37225	2013-08-04 20:57:18.367604	2013-08-04 20:57:18.367604	267
44340	206982	37205	2013-08-04 20:57:18.381121	2013-08-04 20:57:18.381121	267
44341	206982	37191	2013-08-04 20:57:18.395189	2013-08-04 20:57:18.395189	267
44342	206982	31871	2013-08-04 20:57:18.410135	2013-08-04 20:57:18.410135	267
44343	206982	23021	2013-08-04 20:57:18.424411	2013-08-04 20:57:18.424411	267
44344	206982	12687	2013-08-04 20:57:18.429818	2013-08-04 20:57:18.429818	267
44345	206982	39875	2013-08-04 20:57:18.435129	2013-08-04 20:57:18.435129	267
44346	206982	13100	2013-08-04 20:57:18.441918	2013-08-04 20:57:18.441918	267
44347	206982	31560	2013-08-04 20:57:18.447873	2013-08-04 20:57:18.447873	267
44348	206982	12707	2013-08-04 20:57:18.454005	2013-08-04 20:57:18.454005	267
44349	206982	47983	2013-08-04 20:57:18.459798	2013-08-04 20:57:18.459798	267
44350	206982	1754	2013-08-04 20:57:18.465627	2013-08-04 20:57:18.465627	267
44351	206982	12668	2013-08-04 20:57:18.471269	2013-08-04 20:57:18.471269	267
44352	206982	12608	2013-08-04 20:57:18.476664	2013-08-04 20:57:18.476664	267
44353	206982	45570	2013-08-04 20:57:18.482356	2013-08-04 20:57:18.482356	267
44354	207111	8353	2013-08-04 20:57:18.581287	2013-08-04 20:57:18.581287	267
44355	207111	15380	2013-08-04 20:57:18.594618	2013-08-04 20:57:18.594618	267
44356	207111	15400	2013-08-04 20:57:18.610871	2013-08-04 20:57:18.610871	267
44357	207111	15420	2013-08-04 20:57:18.62696	2013-08-04 20:57:18.62696	267
44358	207111	8364	2013-08-04 20:57:18.642437	2013-08-04 20:57:18.642437	267
44359	207111	15440	2013-08-04 20:57:18.657518	2013-08-04 20:57:18.657518	267
44360	207111	15460	2013-08-04 20:57:18.673436	2013-08-04 20:57:18.673436	267
44361	207111	8330	2013-08-04 20:57:18.689635	2013-08-04 20:57:18.689635	267
44362	207111	8341	2013-08-04 20:57:18.704671	2013-08-04 20:57:18.704671	267
44363	207111	8361	2013-08-04 20:57:18.718903	2013-08-04 20:57:18.718903	267
44364	207111	8381	2013-08-04 20:57:18.734613	2013-08-04 20:57:18.734613	267
44365	207111	8401	2013-08-04 20:57:18.750629	2013-08-04 20:57:18.750629	267
44366	207111	8421	2013-08-04 20:57:18.76553	2013-08-04 20:57:18.76553	267
44367	207111	8426	2013-08-04 20:57:18.78078	2013-08-04 20:57:18.78078	267
44368	207111	8344	2013-08-04 20:57:18.796171	2013-08-04 20:57:18.796171	267
44369	207111	8366	2013-08-04 20:57:18.812439	2013-08-04 20:57:18.812439	267
44370	207111	8441	2013-08-04 20:57:18.828869	2013-08-04 20:57:18.828869	267
44371	207111	8461	2013-08-04 20:57:18.847775	2013-08-04 20:57:18.847775	267
44372	207111	8432	2013-08-04 20:57:18.85672	2013-08-04 20:57:18.85672	267
44373	206981	34278	2013-08-04 20:57:18.873457	2013-08-04 20:57:18.873457	267
44374	206981	12767	2013-08-04 20:57:18.878988	2013-08-04 20:57:18.878988	267
44375	206981	5979	2013-08-04 20:57:18.88988	2013-08-04 20:57:18.88988	267
44376	206981	4477	2013-08-04 20:57:18.906017	2013-08-04 20:57:18.906017	267
44377	206981	12747	2013-08-04 20:57:18.921335	2013-08-04 20:57:18.921335	267
44378	206981	17955	2013-08-04 20:57:18.931282	2013-08-04 20:57:18.931282	267
44379	206981	12727	2013-08-04 20:57:18.944221	2013-08-04 20:57:18.944221	267
44380	206981	12603	2013-08-04 20:57:18.958805	2013-08-04 20:57:18.958805	267
44381	206981	12652	2013-08-04 20:57:18.974388	2013-08-04 20:57:18.974388	267
44382	206981	45570	2013-08-04 20:57:18.989354	2013-08-04 20:57:18.989354	267
44383	206981	12608	2013-08-04 20:57:19.004629	2013-08-04 20:57:19.004629	267
44384	206981	12668	2013-08-04 20:57:19.020477	2013-08-04 20:57:19.020477	267
44385	206981	1754	2013-08-04 20:57:19.028076	2013-08-04 20:57:19.028076	267
44386	206981	47983	2013-08-04 20:57:19.033375	2013-08-04 20:57:19.033375	267
44387	206981	12707	2013-08-04 20:57:19.039137	2013-08-04 20:57:19.039137	267
44388	206981	31560	2013-08-04 20:57:19.044332	2013-08-04 20:57:19.044332	267
44389	206981	13100	2013-08-04 20:57:19.050091	2013-08-04 20:57:19.050091	267
44390	206981	39875	2013-08-04 20:57:19.055528	2013-08-04 20:57:19.055528	267
44391	206981	12687	2013-08-04 20:57:19.063175	2013-08-04 20:57:19.063175	267
44392	207413	45788	2013-08-04 20:57:19.124803	2013-08-04 20:57:19.124803	267
44393	207413	45768	2013-08-04 20:57:19.140331	2013-08-04 20:57:19.140331	267
44394	207413	45748	2013-08-04 20:57:19.1555	2013-08-04 20:57:19.1555	267
44395	207413	45728	2013-08-04 20:57:19.170255	2013-08-04 20:57:19.170255	267
44396	207213	45752	2013-08-04 20:57:19.196427	2013-08-04 20:57:19.196427	267
44397	207213	45740	2013-08-04 20:57:19.208859	2013-08-04 20:57:19.208859	267
44398	207213	45708	2013-08-04 20:57:19.220542	2013-08-04 20:57:19.220542	267
44399	207213	45688	2013-08-04 20:57:19.232088	2013-08-04 20:57:19.232088	267
44400	207036	45650	2013-08-04 20:57:19.248737	2013-08-04 20:57:19.248737	267
44401	207036	45555	2013-08-04 20:57:19.257896	2013-08-04 20:57:19.257896	267
44402	207036	45645	2013-08-04 20:57:19.270864	2013-08-04 20:57:19.270864	267
44403	207036	45668	2013-08-04 20:57:19.283791	2013-08-04 20:57:19.283791	267
44404	207000	45648	2013-08-04 20:57:19.296446	2013-08-04 20:57:19.296446	267
44405	207000	45628	2013-08-04 20:57:19.306315	2013-08-04 20:57:19.306315	267
44406	207000	45608	2013-08-04 20:57:19.319488	2013-08-04 20:57:19.319488	267
44407	207000	45678	2013-08-04 20:57:19.325368	2013-08-04 20:57:19.325368	267
44408	207047	23209	2013-08-04 20:57:19.349132	2013-08-04 20:57:19.349132	267
44409	207047	23189	2013-08-04 20:57:19.355258	2013-08-04 20:57:19.355258	267
44410	207047	2554	2013-08-04 20:57:19.36397	2013-08-04 20:57:19.36397	267
44411	207047	23216	2013-08-04 20:57:19.376349	2013-08-04 20:57:19.376349	267
44412	207047	23169	2013-08-04 20:57:19.392015	2013-08-04 20:57:19.392015	267
44413	207047	23149	2013-08-04 20:57:19.407924	2013-08-04 20:57:19.407924	267
44414	207047	23129	2013-08-04 20:57:19.423069	2013-08-04 20:57:19.423069	267
44415	207047	23109	2013-08-04 20:57:19.436542	2013-08-04 20:57:19.436542	267
44416	207047	21795	2013-08-04 20:57:19.449021	2013-08-04 20:57:19.449021	267
44417	207038	23089	2013-08-04 20:57:19.464206	2013-08-04 20:57:19.464206	267
44418	207038	13066	2013-08-04 20:57:19.469951	2013-08-04 20:57:19.469951	267
44419	207038	23069	2013-08-04 20:57:19.478755	2013-08-04 20:57:19.478755	267
44420	207038	22968	2013-08-04 20:57:19.485598	2013-08-04 20:57:19.485598	267
44421	207038	23049	2013-08-04 20:57:19.491126	2013-08-04 20:57:19.491126	267
44422	207038	23029	2013-08-04 20:57:19.497077	2013-08-04 20:57:19.497077	267
44423	207038	23009	2013-08-04 20:57:19.505069	2013-08-04 20:57:19.505069	267
44424	207038	23026	2013-08-04 20:57:19.510576	2013-08-04 20:57:19.510576	267
44425	207038	22989	2013-08-04 20:57:19.519162	2013-08-04 20:57:19.519162	267
44426	207086	45586	2013-08-04 20:57:19.554375	2013-08-04 20:57:19.554375	267
44427	207086	44493	2013-08-04 20:57:19.567161	2013-08-04 20:57:19.567161	267
44428	207086	37141	2013-08-04 20:57:19.580733	2013-08-04 20:57:19.580733	267
44429	207086	31776	2013-08-04 20:57:19.593935	2013-08-04 20:57:19.593935	267
44430	207086	6041	2013-08-04 20:57:19.608495	2013-08-04 20:57:19.608495	267
44431	207617	37585	2013-08-04 20:57:19.666206	2013-08-04 20:57:19.666206	267
44432	207617	37571	2013-08-04 20:57:19.680742	2013-08-04 20:57:19.680742	267
44433	207617	37551	2013-08-04 20:57:19.695832	2013-08-04 20:57:19.695832	267
44434	207617	37531	2013-08-04 20:57:19.712033	2013-08-04 20:57:19.712033	267
44435	207617	37485	2013-08-04 20:57:19.728547	2013-08-04 20:57:19.728547	267
44436	207617	37475	2013-08-04 20:57:19.743805	2013-08-04 20:57:19.743805	267
44437	207212	37511	2013-08-04 20:57:19.773399	2013-08-04 20:57:19.773399	267
44438	207212	37491	2013-08-04 20:57:19.788803	2013-08-04 20:57:19.788803	267
44439	207212	37471	2013-08-04 20:57:19.803642	2013-08-04 20:57:19.803642	267
44440	207212	37451	2013-08-04 20:57:19.818333	2013-08-04 20:57:19.818333	267
44441	207212	37431	2013-08-04 20:57:19.832923	2013-08-04 20:57:19.832923	267
44442	207212	37411	2013-08-04 20:57:19.847581	2013-08-04 20:57:19.847581	267
44443	207106	37458	2013-08-04 20:57:19.883375	2013-08-04 20:57:19.883375	267
44444	207106	37391	2013-08-04 20:57:19.890119	2013-08-04 20:57:19.890119	267
44445	207106	37371	2013-08-04 20:57:19.898043	2013-08-04 20:57:19.898043	267
44446	207106	37670	2013-08-04 20:57:19.905818	2013-08-04 20:57:19.905818	267
44447	207106	31756	2013-08-04 20:57:19.913535	2013-08-04 20:57:19.913535	267
44448	207106	22900	2013-08-04 20:57:19.919583	2013-08-04 20:57:19.919583	267
44449	207572	2039	2013-08-04 20:57:19.960399	2013-08-04 20:57:19.960399	267
44450	207572	1950	2013-08-04 20:57:19.966972	2013-08-04 20:57:19.966972	267
44451	207572	2014	2013-08-04 20:57:19.9734	2013-08-04 20:57:19.9734	267
44452	207572	9500	2013-08-04 20:57:19.979256	2013-08-04 20:57:19.979256	267
44453	207572	1986	2013-08-04 20:57:19.98333	2013-08-04 20:57:19.98333	267
44454	207572	35315	2013-08-04 20:57:19.987247	2013-08-04 20:57:19.987247	267
44455	207572	1961	2013-08-04 20:57:19.991076	2013-08-04 20:57:19.991076	267
44456	207572	1982	2013-08-04 20:57:19.995044	2013-08-04 20:57:19.995044	267
44457	207572	1900	2013-08-04 20:57:19.998871	2013-08-04 20:57:19.998871	267
44458	207199	1821	2013-08-04 20:57:20.01143	2013-08-04 20:57:20.01143	267
44459	207199	1967	2013-08-04 20:57:20.019789	2013-08-04 20:57:20.019789	267
44460	207199	1916	2013-08-04 20:57:20.025866	2013-08-04 20:57:20.025866	267
44461	207199	36420	2013-08-04 20:57:20.040012	2013-08-04 20:57:20.040012	267
44462	207199	9520	2013-08-04 20:57:20.055482	2013-08-04 20:57:20.055482	267
44463	207199	39818	2013-08-04 20:57:20.071254	2013-08-04 20:57:20.071254	267
44464	207199	1081	2013-08-04 20:57:20.082057	2013-08-04 20:57:20.082057	267
44465	207199	15790	2013-08-04 20:57:20.096882	2013-08-04 20:57:20.096882	267
44466	207199	5263	2013-08-04 20:57:20.110993	2013-08-04 20:57:20.110993	267
44467	207414	36979	2013-08-04 20:57:20.200947	2013-08-04 20:57:20.200947	267
44468	207414	36906	2013-08-04 20:57:20.216503	2013-08-04 20:57:20.216503	267
44469	207414	36959	2013-08-04 20:57:20.232252	2013-08-04 20:57:20.232252	267
44470	207414	36975	2013-08-04 20:57:20.247453	2013-08-04 20:57:20.247453	267
44471	207414	36939	2013-08-04 20:57:20.25974	2013-08-04 20:57:20.25974	267
44472	207414	36919	2013-08-04 20:57:20.264401	2013-08-04 20:57:20.264401	267
44473	207350	36899	2013-08-04 20:57:20.273654	2013-08-04 20:57:20.273654	267
44474	207350	5244	2013-08-04 20:57:20.282712	2013-08-04 20:57:20.282712	267
44475	207350	36845	2013-08-04 20:57:20.294134	2013-08-04 20:57:20.294134	267
44476	207350	36879	2013-08-04 20:57:20.301091	2013-08-04 20:57:20.301091	267
44477	207350	36859	2013-08-04 20:57:20.307939	2013-08-04 20:57:20.307939	267
44478	207350	36839	2013-08-04 20:57:20.31456	2013-08-04 20:57:20.31456	267
44479	206975	36853	2013-08-04 20:57:20.333762	2013-08-04 20:57:20.333762	267
44480	206975	36819	2013-08-04 20:57:20.347477	2013-08-04 20:57:20.347477	267
44481	206975	36753	2013-08-04 20:57:20.361907	2013-08-04 20:57:20.361907	267
44482	206975	36799	2013-08-04 20:57:20.376623	2013-08-04 20:57:20.376623	267
44483	206975	31656	2013-08-04 20:57:20.391076	2013-08-04 20:57:20.391076	267
44484	206975	22813	2013-08-04 20:57:20.404961	2013-08-04 20:57:20.404961	267
44485	207574	2020	2013-08-04 20:57:20.866433	2013-08-04 20:57:20.866433	267
44486	207574	1919	2013-08-04 20:57:20.878272	2013-08-04 20:57:20.878272	267
44487	207574	5106	2013-08-04 20:57:20.889452	2013-08-04 20:57:20.889452	267
44488	207574	49415	2013-08-04 20:57:20.901132	2013-08-04 20:57:20.901132	267
44489	207574	16566	2013-08-04 20:57:20.910764	2013-08-04 20:57:20.910764	267
44490	207574	39063	2013-08-04 20:57:20.922991	2013-08-04 20:57:20.922991	267
44491	207574	1930	2013-08-04 20:57:20.933288	2013-08-04 20:57:20.933288	267
44492	207574	26780	2013-08-04 20:57:20.939167	2013-08-04 20:57:20.939167	267
44493	207574	28560	2013-08-04 20:57:20.945067	2013-08-04 20:57:20.945067	267
44494	207574	2040	2013-08-04 20:57:20.950945	2013-08-04 20:57:20.950945	267
44495	207574	2039	2013-08-04 20:57:20.954598	2013-08-04 20:57:20.954598	267
44496	207574	1950	2013-08-04 20:57:20.957746	2013-08-04 20:57:20.957746	267
44497	207574	2014	2013-08-04 20:57:20.960736	2013-08-04 20:57:20.960736	267
44498	207574	9500	2013-08-04 20:57:20.963238	2013-08-04 20:57:20.963238	267
44499	207574	1986	2013-08-04 20:57:20.966303	2013-08-04 20:57:20.966303	267
44500	207574	35315	2013-08-04 20:57:20.969476	2013-08-04 20:57:20.969476	267
44501	207574	1961	2013-08-04 20:57:20.97269	2013-08-04 20:57:20.97269	267
44502	207574	1982	2013-08-04 20:57:20.975831	2013-08-04 20:57:20.975831	267
44503	207574	1900	2013-08-04 20:57:20.979024	2013-08-04 20:57:20.979024	267
44504	207568	2020	2013-08-04 20:57:20.99603	2013-08-04 20:57:20.99603	267
44505	207568	1919	2013-08-04 20:57:21.005016	2013-08-04 20:57:21.005016	267
44506	207568	5106	2013-08-04 20:57:21.010775	2013-08-04 20:57:21.010775	267
44507	207568	49415	2013-08-04 20:57:21.016827	2013-08-04 20:57:21.016827	267
44508	207568	16566	2013-08-04 20:57:21.022936	2013-08-04 20:57:21.022936	267
44509	207568	39063	2013-08-04 20:57:21.026903	2013-08-04 20:57:21.026903	267
44510	207568	1930	2013-08-04 20:57:21.030837	2013-08-04 20:57:21.030837	267
44511	207568	26780	2013-08-04 20:57:21.034742	2013-08-04 20:57:21.034742	267
44512	207568	28560	2013-08-04 20:57:21.038484	2013-08-04 20:57:21.038484	267
44513	207568	2040	2013-08-04 20:57:21.041814	2013-08-04 20:57:21.041814	267
44514	207568	2039	2013-08-04 20:57:21.044646	2013-08-04 20:57:21.044646	267
44515	207568	1950	2013-08-04 20:57:21.047239	2013-08-04 20:57:21.047239	267
44516	207568	2014	2013-08-04 20:57:21.05126	2013-08-04 20:57:21.05126	267
44517	207568	9500	2013-08-04 20:57:21.061356	2013-08-04 20:57:21.061356	267
44518	207568	1986	2013-08-04 20:57:21.068806	2013-08-04 20:57:21.068806	267
44519	207568	35315	2013-08-04 20:57:21.078621	2013-08-04 20:57:21.078621	267
44520	207568	1961	2013-08-04 20:57:21.088255	2013-08-04 20:57:21.088255	267
44521	207568	1982	2013-08-04 20:57:21.100781	2013-08-04 20:57:21.100781	267
44522	207568	1900	2013-08-04 20:57:21.112959	2013-08-04 20:57:21.112959	267
44523	207203	45381	2013-08-04 21:01:19.087489	2013-08-04 21:01:19.087489	268
44524	207203	37800	2013-08-04 21:01:19.092487	2013-08-04 21:01:19.092487	268
44525	207203	37239	2013-08-04 21:01:19.095627	2013-08-04 21:01:19.095627	268
44526	207203	32116	2013-08-04 21:01:19.098636	2013-08-04 21:01:19.098636	268
44527	207203	23789	2013-08-04 21:01:19.101511	2013-08-04 21:01:19.101511	268
44528	206973	45488	2013-08-04 21:01:19.107583	2013-08-04 21:01:19.107583	268
44529	206973	46541	2013-08-04 21:01:19.110427	2013-08-04 21:01:19.110427	268
44530	206973	8566	2013-08-04 21:01:19.113545	2013-08-04 21:01:19.113545	268
44531	206973	13027	2013-08-04 21:01:19.116734	2013-08-04 21:01:19.116734	268
44532	206973	2080	2013-08-04 21:01:19.119742	2013-08-04 21:01:19.119742	268
44533	207409	13127	2013-08-04 21:01:19.348626	2013-08-04 21:01:19.348626	268
44534	207409	13851	2013-08-04 21:01:19.362155	2013-08-04 21:01:19.362155	268
44535	207409	13107	2013-08-04 21:01:19.410449	2013-08-04 21:01:19.410449	268
44536	207409	13173	2013-08-04 21:01:19.415299	2013-08-04 21:01:19.415299	268
44537	207409	13087	2013-08-04 21:01:19.419961	2013-08-04 21:01:19.419961	268
44538	207409	13126	2013-08-04 21:01:19.424932	2013-08-04 21:01:19.424932	268
44539	207409	13067	2013-08-04 21:01:19.431242	2013-08-04 21:01:19.431242	268
44540	207409	13175	2013-08-04 21:01:19.438489	2013-08-04 21:01:19.438489	268
44541	207409	13150	2013-08-04 21:01:19.455194	2013-08-04 21:01:19.455194	268
44542	206972	13106	2013-08-04 21:01:19.483759	2013-08-04 21:01:19.483759	268
44543	206972	45586	2013-08-04 21:01:19.496851	2013-08-04 21:01:19.496851	268
44544	206972	13047	2013-08-04 21:01:19.509276	2013-08-04 21:01:19.509276	268
44545	206972	45678	2013-08-04 21:01:19.523369	2013-08-04 21:01:19.523369	268
44546	206972	42458	2013-08-04 21:01:19.536359	2013-08-04 21:01:19.536359	268
44547	206972	9125	2013-08-04 21:01:19.548236	2013-08-04 21:01:19.548236	268
44548	206972	35137	2013-08-04 21:01:19.561865	2013-08-04 21:01:19.561865	268
44549	206972	48075	2013-08-04 21:01:19.575825	2013-08-04 21:01:19.575825	268
44550	206972	8510	2013-08-04 21:01:19.587363	2013-08-04 21:01:19.587363	268
44551	207459	46808	2013-08-04 21:01:19.640505	2013-08-04 21:01:19.640505	268
44552	207459	46788	2013-08-04 21:01:19.646436	2013-08-04 21:01:19.646436	268
44553	207459	46690	2013-08-04 21:01:19.650887	2013-08-04 21:01:19.650887	268
44554	207459	46678	2013-08-04 21:01:19.656965	2013-08-04 21:01:19.656965	268
44555	207459	46681	2013-08-04 21:01:19.661867	2013-08-04 21:01:19.661867	268
44556	207459	46768	2013-08-04 21:01:19.673334	2013-08-04 21:01:19.673334	268
44557	207459	46748	2013-08-04 21:01:19.68474	2013-08-04 21:01:19.68474	268
44558	207459	46705	2013-08-04 21:01:19.693043	2013-08-04 21:01:19.693043	268
44559	207459	46728	2013-08-04 21:01:19.699308	2013-08-04 21:01:19.699308	268
44560	206971	46708	2013-08-04 21:01:19.710548	2013-08-04 21:01:19.710548	268
44561	206971	46688	2013-08-04 21:01:19.718649	2013-08-04 21:01:19.718649	268
44562	206971	46668	2013-08-04 21:01:19.725927	2013-08-04 21:01:19.725927	268
44563	206971	46648	2013-08-04 21:01:19.735845	2013-08-04 21:01:19.735845	268
44564	206971	46570	2013-08-04 21:01:19.746844	2013-08-04 21:01:19.746844	268
44565	206971	18431	2013-08-04 21:01:19.758046	2013-08-04 21:01:19.758046	268
44566	206971	23515	2013-08-04 21:01:19.77245	2013-08-04 21:01:19.77245	268
44567	206971	37159	2013-08-04 21:01:19.786278	2013-08-04 21:01:19.786278	268
44568	206971	45508	2013-08-04 21:01:19.800391	2013-08-04 21:01:19.800391	268
44569	207553	23830	2013-08-04 21:01:19.883441	2013-08-04 21:01:19.883441	268
44570	207553	23769	2013-08-04 21:01:19.89735	2013-08-04 21:01:19.89735	268
44571	207553	23555	2013-08-04 21:01:19.909866	2013-08-04 21:01:19.909866	268
44572	206984	33459	2013-08-04 21:01:19.924065	2013-08-04 21:01:19.924065	268
44573	206984	8413	2013-08-04 21:01:19.92786	2013-08-04 21:01:19.92786	268
44574	206984	12967	2013-08-04 21:01:19.931605	2013-08-04 21:01:19.931605	268
44575	207566	2167	2013-08-04 21:01:19.945116	2013-08-04 21:01:19.945116	268
44576	207566	38283	2013-08-04 21:01:19.9486	2013-08-04 21:01:19.9486	268
44577	207566	2084	2013-08-04 21:01:19.952164	2013-08-04 21:01:19.952164	268
44578	207566	15635	2013-08-04 21:01:19.95537	2013-08-04 21:01:19.95537	268
44579	207566	19795	2013-08-04 21:01:19.958861	2013-08-04 21:01:19.958861	268
44580	207566	2147	2013-08-04 21:01:19.961895	2013-08-04 21:01:19.961895	268
44581	207566	888	2013-08-04 21:01:19.965347	2013-08-04 21:01:19.965347	268
44582	207566	2168	2013-08-04 21:01:19.969304	2013-08-04 21:01:19.969304	268
44583	207566	2120	2013-08-04 21:01:19.973114	2013-08-04 21:01:19.973114	268
44584	207566	2453	2013-08-04 21:01:19.976735	2013-08-04 21:01:19.976735	268
44585	207566	2166	2013-08-04 21:01:19.980606	2013-08-04 21:01:19.980606	268
44586	207566	10918	2013-08-04 21:01:19.984323	2013-08-04 21:01:19.984323	268
44587	207566	12777	2013-08-04 21:01:19.988106	2013-08-04 21:01:19.988106	268
44588	207566	23997	2013-08-04 21:01:19.991886	2013-08-04 21:01:19.991886	268
44589	207566	10575	2013-08-04 21:01:19.995833	2013-08-04 21:01:19.995833	268
44590	207566	2288	2013-08-04 21:01:19.999818	2013-08-04 21:01:19.999818	268
44591	207566	9938	2013-08-04 21:01:20.003696	2013-08-04 21:01:20.003696	268
44592	207566	25131	2013-08-04 21:01:20.007502	2013-08-04 21:01:20.007502	268
44593	207566	38823	2013-08-04 21:01:20.011395	2013-08-04 21:01:20.011395	268
44594	207569	2167	2013-08-04 21:01:20.026734	2013-08-04 21:01:20.026734	268
44595	207569	38283	2013-08-04 21:01:20.030846	2013-08-04 21:01:20.030846	268
44596	207569	2084	2013-08-04 21:01:20.034827	2013-08-04 21:01:20.034827	268
44597	207569	15635	2013-08-04 21:01:20.03885	2013-08-04 21:01:20.03885	268
44598	207569	19795	2013-08-04 21:01:20.042895	2013-08-04 21:01:20.042895	268
44599	207569	2147	2013-08-04 21:01:20.046659	2013-08-04 21:01:20.046659	268
44600	207569	888	2013-08-04 21:01:20.05052	2013-08-04 21:01:20.05052	268
44601	207569	2168	2013-08-04 21:01:20.054509	2013-08-04 21:01:20.054509	268
44602	207569	2120	2013-08-04 21:01:20.058434	2013-08-04 21:01:20.058434	268
44603	207569	2453	2013-08-04 21:01:20.061966	2013-08-04 21:01:20.061966	268
44604	207569	2166	2013-08-04 21:01:20.065107	2013-08-04 21:01:20.065107	268
44605	207569	10918	2013-08-04 21:01:20.068173	2013-08-04 21:01:20.068173	268
44606	207569	12777	2013-08-04 21:01:20.071712	2013-08-04 21:01:20.071712	268
44607	207569	23997	2013-08-04 21:01:20.075572	2013-08-04 21:01:20.075572	268
44608	207569	10575	2013-08-04 21:01:20.082472	2013-08-04 21:01:20.082472	268
44609	207569	2288	2013-08-04 21:01:20.091726	2013-08-04 21:01:20.091726	268
44610	207569	9938	2013-08-04 21:01:20.101205	2013-08-04 21:01:20.101205	268
44611	207569	25131	2013-08-04 21:01:20.11066	2013-08-04 21:01:20.11066	268
44612	207569	38823	2013-08-04 21:01:20.120917	2013-08-04 21:01:20.120917	268
44613	207571	2167	2013-08-04 21:01:20.138677	2013-08-04 21:01:20.138677	268
44614	207571	38283	2013-08-04 21:01:20.142988	2013-08-04 21:01:20.142988	268
44615	207571	2084	2013-08-04 21:01:20.147658	2013-08-04 21:01:20.147658	268
44616	207571	15635	2013-08-04 21:01:20.15331	2013-08-04 21:01:20.15331	268
44617	207571	19795	2013-08-04 21:01:20.163415	2013-08-04 21:01:20.163415	268
44618	207571	2147	2013-08-04 21:01:20.174658	2013-08-04 21:01:20.174658	268
44619	207571	888	2013-08-04 21:01:20.185839	2013-08-04 21:01:20.185839	268
44620	207571	2168	2013-08-04 21:01:20.197582	2013-08-04 21:01:20.197582	268
44621	207571	2120	2013-08-04 21:01:20.209275	2013-08-04 21:01:20.209275	268
44622	207571	2453	2013-08-04 21:01:20.220655	2013-08-04 21:01:20.220655	268
44623	207571	2166	2013-08-04 21:01:20.232244	2013-08-04 21:01:20.232244	268
44624	207571	10918	2013-08-04 21:01:20.243896	2013-08-04 21:01:20.243896	268
44625	207571	12777	2013-08-04 21:01:20.255177	2013-08-04 21:01:20.255177	268
44626	207571	23997	2013-08-04 21:01:20.26683	2013-08-04 21:01:20.26683	268
44627	207571	10575	2013-08-04 21:01:20.278475	2013-08-04 21:01:20.278475	268
44628	207571	2288	2013-08-04 21:01:20.290007	2013-08-04 21:01:20.290007	268
44629	207571	9938	2013-08-04 21:01:20.301607	2013-08-04 21:01:20.301607	268
44630	207571	25131	2013-08-04 21:01:20.313217	2013-08-04 21:01:20.313217	268
44631	207571	38823	2013-08-04 21:01:20.324908	2013-08-04 21:01:20.324908	268
44632	207273	13020	2013-08-04 21:01:20.383281	2013-08-04 21:01:20.383281	268
44633	207027	5995	2013-08-04 21:01:20.413849	2013-08-04 21:01:20.413849	268
44634	207110	8457	2013-08-04 21:01:20.495468	2013-08-04 21:01:20.495468	268
44635	207110	8477	2013-08-04 21:01:20.509917	2013-08-04 21:01:20.509917	268
44636	207110	39161	2013-08-04 21:01:20.52392	2013-08-04 21:01:20.52392	268
44637	207110	8377	2013-08-04 21:01:20.537782	2013-08-04 21:01:20.537782	268
44638	206976	8328	2013-08-04 21:01:20.567737	2013-08-04 21:01:20.567737	268
44639	206976	15280	2013-08-04 21:01:20.581372	2013-08-04 21:01:20.581372	268
44640	206976	8407	2013-08-04 21:01:20.595272	2013-08-04 21:01:20.595272	268
44641	206976	8408	2013-08-04 21:01:20.609209	2013-08-04 21:01:20.609209	268
44642	206979	39168	2013-08-04 21:01:20.673382	2013-08-04 21:01:20.673382	268
44643	206979	5878	2013-08-04 21:01:20.680134	2013-08-04 21:01:20.680134	268
44644	206979	8448	2013-08-04 21:01:20.685231	2013-08-04 21:01:20.685231	268
44645	206979	8348	2013-08-04 21:01:20.696494	2013-08-04 21:01:20.696494	268
44646	206979	8447	2013-08-04 21:01:20.702964	2013-08-04 21:01:20.702964	268
44647	206979	16566	2013-08-04 21:01:20.711639	2013-08-04 21:01:20.711639	268
44648	206979	45648	2013-08-04 21:01:20.72617	2013-08-04 21:01:20.72617	268
44649	206979	8372	2013-08-04 21:01:20.74008	2013-08-04 21:01:20.74008	268
44650	206979	8368	2013-08-04 21:01:20.75393	2013-08-04 21:01:20.75393	268
44651	206979	2014	2013-08-04 21:01:20.762004	2013-08-04 21:01:20.762004	268
44652	206982	39161	2013-08-04 21:01:20.804451	2013-08-04 21:01:20.804451	268
44653	206982	8457	2013-08-04 21:01:20.818654	2013-08-04 21:01:20.818654	268
44654	206982	13020	2013-08-04 21:01:20.832445	2013-08-04 21:01:20.832445	268
44655	206982	23555	2013-08-04 21:01:20.84596	2013-08-04 21:01:20.84596	268
44656	206982	23769	2013-08-04 21:01:20.858508	2013-08-04 21:01:20.858508	268
44657	206982	13150	2013-08-04 21:01:20.872027	2013-08-04 21:01:20.872027	268
44658	206982	13175	2013-08-04 21:01:20.885551	2013-08-04 21:01:20.885551	268
44659	206982	13067	2013-08-04 21:01:20.899624	2013-08-04 21:01:20.899624	268
44660	206982	13126	2013-08-04 21:01:20.913635	2013-08-04 21:01:20.913635	268
44661	206982	8477	2013-08-04 21:01:20.927338	2013-08-04 21:01:20.927338	268
44662	206982	46628	2013-08-04 21:01:20.940663	2013-08-04 21:01:20.940663	268
44663	206982	8504	2013-08-04 21:01:20.953529	2013-08-04 21:01:20.953529	268
44664	206982	12997	2013-08-04 21:01:20.96696	2013-08-04 21:01:20.96696	268
44665	206982	13087	2013-08-04 21:01:20.980924	2013-08-04 21:01:20.980924	268
44666	206982	13173	2013-08-04 21:01:20.994963	2013-08-04 21:01:20.994963	268
44667	206982	13107	2013-08-04 21:01:21.009031	2013-08-04 21:01:21.009031	268
44668	206982	13851	2013-08-04 21:01:21.014647	2013-08-04 21:01:21.014647	268
44669	206982	13127	2013-08-04 21:01:21.02165	2013-08-04 21:01:21.02165	268
44670	206982	8377	2013-08-04 21:01:21.035084	2013-08-04 21:01:21.035084	268
44671	207111	8560	2013-08-04 21:01:21.142817	2013-08-04 21:01:21.142817	268
44672	207111	8624	2013-08-04 21:01:21.158666	2013-08-04 21:01:21.158666	268
44673	207111	8604	2013-08-04 21:01:21.173697	2013-08-04 21:01:21.173697	268
44674	207111	8584	2013-08-04 21:01:21.188862	2013-08-04 21:01:21.188862	268
44675	207111	8564	2013-08-04 21:01:21.203927	2013-08-04 21:01:21.203927	268
44676	207111	19289	2013-08-04 21:01:21.21869	2013-08-04 21:01:21.21869	268
44677	207111	8544	2013-08-04 21:01:21.233229	2013-08-04 21:01:21.233229	268
44678	207111	22701	2013-08-04 21:01:21.248197	2013-08-04 21:01:21.248197	268
44679	207111	890	2013-08-04 21:01:21.261411	2013-08-04 21:01:21.261411	268
44680	207111	8541	2013-08-04 21:01:21.272672	2013-08-04 21:01:21.272672	268
44681	207111	887	2013-08-04 21:01:21.285592	2013-08-04 21:01:21.285592	268
44682	207111	8524	2013-08-04 21:01:21.296788	2013-08-04 21:01:21.296788	268
44683	207111	8481	2013-08-04 21:01:21.307522	2013-08-04 21:01:21.307522	268
44684	207111	8501	2013-08-04 21:01:21.316821	2013-08-04 21:01:21.316821	268
44685	207111	8521	2013-08-04 21:01:21.327329	2013-08-04 21:01:21.327329	268
44686	207111	8561	2013-08-04 21:01:21.342335	2013-08-04 21:01:21.342335	268
44687	207111	8601	2013-08-04 21:01:21.357262	2013-08-04 21:01:21.357262	268
44688	207111	8523	2013-08-04 21:01:21.372383	2013-08-04 21:01:21.372383	268
44689	207111	8618	2013-08-04 21:01:21.387636	2013-08-04 21:01:21.387636	268
44690	206981	13347	2013-08-04 21:01:21.437632	2013-08-04 21:01:21.437632	268
44691	206981	13327	2013-08-04 21:01:21.453872	2013-08-04 21:01:21.453872	268
44692	206981	13307	2013-08-04 21:01:21.470796	2013-08-04 21:01:21.470796	268
44693	206981	13287	2013-08-04 21:01:21.485879	2013-08-04 21:01:21.485879	268
44694	206981	13267	2013-08-04 21:01:21.500173	2013-08-04 21:01:21.500173	268
44695	206981	13247	2013-08-04 21:01:21.515334	2013-08-04 21:01:21.515334	268
44696	206981	13195	2013-08-04 21:01:21.530338	2013-08-04 21:01:21.530338	268
44697	206981	13232	2013-08-04 21:01:21.545439	2013-08-04 21:01:21.545439	268
44698	206981	13227	2013-08-04 21:01:21.559971	2013-08-04 21:01:21.559971	268
44699	206981	13207	2013-08-04 21:01:21.574705	2013-08-04 21:01:21.574705	268
44700	206981	15288	2013-08-04 21:01:21.58922	2013-08-04 21:01:21.58922	268
44701	206981	13101	2013-08-04 21:01:21.604072	2013-08-04 21:01:21.604072	268
44702	206981	13123	2013-08-04 21:01:21.619036	2013-08-04 21:01:21.619036	268
44703	206981	13187	2013-08-04 21:01:21.633899	2013-08-04 21:01:21.633899	268
44704	206981	13176	2013-08-04 21:01:21.648805	2013-08-04 21:01:21.648805	268
44705	206981	13157	2013-08-04 21:01:21.663957	2013-08-04 21:01:21.663957	268
44706	206981	13137	2013-08-04 21:01:21.678752	2013-08-04 21:01:21.678752	268
44707	206981	13167	2013-08-04 21:01:21.695297	2013-08-04 21:01:21.695297	268
44708	206981	8377	2013-08-04 21:01:21.704049	2013-08-04 21:01:21.704049	268
44709	207413	47048	2013-08-04 21:01:21.757263	2013-08-04 21:01:21.757263	268
44710	207413	47028	2013-08-04 21:01:21.773237	2013-08-04 21:01:21.773237	268
44711	207413	47008	2013-08-04 21:01:21.789046	2013-08-04 21:01:21.789046	268
44712	207413	46995	2013-08-04 21:01:21.804409	2013-08-04 21:01:21.804409	268
44713	207213	46988	2013-08-04 21:01:21.835761	2013-08-04 21:01:21.835761	268
44714	207213	46968	2013-08-04 21:01:21.850847	2013-08-04 21:01:21.850847	268
44715	207213	46992	2013-08-04 21:01:21.865402	2013-08-04 21:01:21.865402	268
44716	207213	46948	2013-08-04 21:01:21.880305	2013-08-04 21:01:21.880305	268
44717	207036	46840	2013-08-04 21:01:21.911351	2013-08-04 21:01:21.911351	268
44718	207036	46928	2013-08-04 21:01:21.926412	2013-08-04 21:01:21.926412	268
44719	207036	46908	2013-08-04 21:01:21.940784	2013-08-04 21:01:21.940784	268
44720	207036	46888	2013-08-04 21:01:21.957207	2013-08-04 21:01:21.957207	268
44721	207000	46868	2013-08-04 21:01:21.990009	2013-08-04 21:01:21.990009	268
44722	207000	46848	2013-08-04 21:01:22.005179	2013-08-04 21:01:22.005179	268
44723	207000	46880	2013-08-04 21:01:22.020299	2013-08-04 21:01:22.020299	268
44724	207000	46828	2013-08-04 21:01:22.035117	2013-08-04 21:01:22.035117	268
44725	207047	25301	2013-08-04 21:01:22.092835	2013-08-04 21:01:22.092835	268
44726	207047	24009	2013-08-04 21:01:22.108043	2013-08-04 21:01:22.108043	268
44727	207047	4304	2013-08-04 21:01:22.122978	2013-08-04 21:01:22.122978	268
44728	207047	23989	2013-08-04 21:01:22.138019	2013-08-04 21:01:22.138019	268
44729	207047	47023	2013-08-04 21:01:22.152469	2013-08-04 21:01:22.152469	268
44730	207047	23969	2013-08-04 21:01:22.167569	2013-08-04 21:01:22.167569	268
44731	207047	23949	2013-08-04 21:01:22.182078	2013-08-04 21:01:22.182078	268
44732	207047	23929	2013-08-04 21:01:22.196636	2013-08-04 21:01:22.196636	268
44733	207047	23909	2013-08-04 21:01:22.211552	2013-08-04 21:01:22.211552	268
44734	207038	23889	2013-08-04 21:01:22.242995	2013-08-04 21:01:22.242995	268
44735	207038	23925	2013-08-04 21:01:22.258458	2013-08-04 21:01:22.258458	268
44736	207038	23869	2013-08-04 21:01:22.273593	2013-08-04 21:01:22.273593	268
44737	207038	4744	2013-08-04 21:01:22.288754	2013-08-04 21:01:22.288754	268
44738	207038	23849	2013-08-04 21:01:22.30368	2013-08-04 21:01:22.30368	268
44739	207038	37099	2013-08-04 21:01:22.318375	2013-08-04 21:01:22.318375	268
44740	207038	12979	2013-08-04 21:01:22.33228	2013-08-04 21:01:22.33228	268
44741	207038	12896	2013-08-04 21:01:22.346038	2013-08-04 21:01:22.346038	268
44742	207038	8484	2013-08-04 21:01:22.361168	2013-08-04 21:01:22.361168	268
44743	207086	46552	2013-08-04 21:01:22.414709	2013-08-04 21:01:22.414709	268
44744	207086	37620	2013-08-04 21:01:22.426122	2013-08-04 21:01:22.426122	268
44745	207086	37179	2013-08-04 21:01:22.439342	2013-08-04 21:01:22.439342	268
44746	207086	32110	2013-08-04 21:01:22.452905	2013-08-04 21:01:22.452905	268
44747	207086	23723	2013-08-04 21:01:22.470372	2013-08-04 21:01:22.470372	268
44748	207086	23709	2013-08-04 21:01:22.484036	2013-08-04 21:01:22.484036	268
44749	207086	37171	2013-08-04 21:01:22.489997	2013-08-04 21:01:22.489997	268
44750	207086	26780	2013-08-04 21:01:22.494091	2013-08-04 21:01:22.494091	268
44751	207086	12876	2013-08-04 21:01:22.499284	2013-08-04 21:01:22.499284	268
44752	207086	8525	2013-08-04 21:01:22.504469	2013-08-04 21:01:22.504469	268
44753	207617	38151	2013-08-04 21:01:22.544865	2013-08-04 21:01:22.544865	268
44754	207617	38131	2013-08-04 21:01:22.555071	2013-08-04 21:01:22.555071	268
44755	207617	38040	2013-08-04 21:01:22.569881	2013-08-04 21:01:22.569881	268
44756	207617	38111	2013-08-04 21:01:22.584329	2013-08-04 21:01:22.584329	268
44757	207617	38126	2013-08-04 21:01:22.599159	2013-08-04 21:01:22.599159	268
44758	207617	38091	2013-08-04 21:01:22.614088	2013-08-04 21:01:22.614088	268
44759	207212	38071	2013-08-04 21:01:22.644551	2013-08-04 21:01:22.644551	268
44760	207212	38085	2013-08-04 21:01:22.659692	2013-08-04 21:01:22.659692	268
44761	207212	38051	2013-08-04 21:01:22.674343	2013-08-04 21:01:22.674343	268
44762	207212	38031	2013-08-04 21:01:22.689194	2013-08-04 21:01:22.689194	268
44763	207212	38011	2013-08-04 21:01:22.704202	2013-08-04 21:01:22.704202	268
44764	207212	37991	2013-08-04 21:01:22.716659	2013-08-04 21:01:22.716659	268
44765	207106	37971	2013-08-04 21:01:22.732067	2013-08-04 21:01:22.732067	268
44766	207106	37951	2013-08-04 21:01:22.738129	2013-08-04 21:01:22.738129	268
44767	207106	37931	2013-08-04 21:01:22.751948	2013-08-04 21:01:22.751948	268
44768	207106	37911	2013-08-04 21:01:22.766852	2013-08-04 21:01:22.766852	268
44769	207106	37891	2013-08-04 21:01:22.781605	2013-08-04 21:01:22.781605	268
44770	207106	32036	2013-08-04 21:01:22.796279	2013-08-04 21:01:22.796279	268
44771	207572	38283	2013-08-04 21:01:22.891	2013-08-04 21:01:22.891	268
44772	207572	2084	2013-08-04 21:01:22.902749	2013-08-04 21:01:22.902749	268
44773	207572	15635	2013-08-04 21:01:22.914255	2013-08-04 21:01:22.914255	268
44774	207572	19795	2013-08-04 21:01:22.92568	2013-08-04 21:01:22.92568	268
44775	207572	2147	2013-08-04 21:01:22.932373	2013-08-04 21:01:22.932373	268
44776	207572	888	2013-08-04 21:01:22.935639	2013-08-04 21:01:22.935639	268
44777	207572	2168	2013-08-04 21:01:22.939122	2013-08-04 21:01:22.939122	268
44778	207572	2120	2013-08-04 21:01:22.942499	2013-08-04 21:01:22.942499	268
44779	207572	2453	2013-08-04 21:01:22.945653	2013-08-04 21:01:22.945653	268
44780	207199	2166	2013-08-04 21:01:22.952977	2013-08-04 21:01:22.952977	268
44781	207199	10918	2013-08-04 21:01:22.95771	2013-08-04 21:01:22.95771	268
44782	207199	12777	2013-08-04 21:01:22.961615	2013-08-04 21:01:22.961615	268
44783	207199	23997	2013-08-04 21:01:22.969665	2013-08-04 21:01:22.969665	268
44784	207199	10575	2013-08-04 21:01:22.97598	2013-08-04 21:01:22.97598	268
44785	207199	2288	2013-08-04 21:01:22.981968	2013-08-04 21:01:22.981968	268
44786	207199	9938	2013-08-04 21:01:22.987807	2013-08-04 21:01:22.987807	268
44787	207199	25131	2013-08-04 21:01:22.99423	2013-08-04 21:01:22.99423	268
44788	207199	38823	2013-08-04 21:01:23.000267	2013-08-04 21:01:23.000267	268
44789	207414	37439	2013-08-04 21:01:23.075699	2013-08-04 21:01:23.075699	268
44790	207414	37419	2013-08-04 21:01:23.087268	2013-08-04 21:01:23.087268	268
44791	207414	37399	2013-08-04 21:01:23.10122	2013-08-04 21:01:23.10122	268
44792	207414	37478	2013-08-04 21:01:23.115257	2013-08-04 21:01:23.115257	268
44793	207414	37379	2013-08-04 21:01:23.129689	2013-08-04 21:01:23.129689	268
44794	207414	37215	2013-08-04 21:01:23.143594	2013-08-04 21:01:23.143594	268
44795	207350	37359	2013-08-04 21:01:23.173952	2013-08-04 21:01:23.173952	268
44796	207350	37271	2013-08-04 21:01:23.189251	2013-08-04 21:01:23.189251	268
44797	207350	37339	2013-08-04 21:01:23.203537	2013-08-04 21:01:23.203537	268
44798	207350	37319	2013-08-04 21:01:23.217931	2013-08-04 21:01:23.217931	268
44799	207350	37299	2013-08-04 21:01:23.232681	2013-08-04 21:01:23.232681	268
44800	207350	8367	2013-08-04 21:01:23.247937	2013-08-04 21:01:23.247937	268
44801	206975	8464	2013-08-04 21:01:23.278041	2013-08-04 21:01:23.278041	268
44802	206975	39108	2013-08-04 21:01:23.292118	2013-08-04 21:01:23.292118	268
44803	206975	8550	2013-08-04 21:01:23.305788	2013-08-04 21:01:23.305788	268
44804	206975	45628	2013-08-04 21:01:23.319851	2013-08-04 21:01:23.319851	268
44805	206975	8452	2013-08-04 21:01:23.333199	2013-08-04 21:01:23.333199	268
44806	206975	1986	2013-08-04 21:01:23.346935	2013-08-04 21:01:23.346935	268
44807	207574	3921	2013-08-04 21:01:23.824341	2013-08-04 21:01:23.824341	268
44808	207574	2307	2013-08-04 21:01:23.835138	2013-08-04 21:01:23.835138	268
44809	207574	2187	2013-08-04 21:01:23.843609	2013-08-04 21:01:23.843609	268
44810	207574	4384	2013-08-04 21:01:23.852932	2013-08-04 21:01:23.852932	268
44811	207574	16769	2013-08-04 21:01:23.86432	2013-08-04 21:01:23.86432	268
44812	207574	4532	2013-08-04 21:01:23.875844	2013-08-04 21:01:23.875844	268
44813	207574	2048	2013-08-04 21:01:23.887425	2013-08-04 21:01:23.887425	268
44814	207574	2099	2013-08-04 21:01:23.898731	2013-08-04 21:01:23.898731	268
44815	207574	2119	2013-08-04 21:01:23.909602	2013-08-04 21:01:23.909602	268
44816	207574	2100	2013-08-04 21:01:23.920149	2013-08-04 21:01:23.920149	268
44817	207574	38283	2013-08-04 21:01:23.929009	2013-08-04 21:01:23.929009	268
44818	207574	2084	2013-08-04 21:01:23.936981	2013-08-04 21:01:23.936981	268
44819	207574	15635	2013-08-04 21:01:23.944838	2013-08-04 21:01:23.944838	268
44820	207574	19795	2013-08-04 21:01:23.952724	2013-08-04 21:01:23.952724	268
44821	207574	2147	2013-08-04 21:01:23.960584	2013-08-04 21:01:23.960584	268
44822	207574	888	2013-08-04 21:01:23.968387	2013-08-04 21:01:23.968387	268
44823	207574	2168	2013-08-04 21:01:23.976396	2013-08-04 21:01:23.976396	268
44824	207574	2120	2013-08-04 21:01:23.984332	2013-08-04 21:01:23.984332	268
44825	207574	2453	2013-08-04 21:01:23.992229	2013-08-04 21:01:23.992229	268
44826	207568	3921	2013-08-04 21:01:24.022755	2013-08-04 21:01:24.022755	268
44827	207568	2307	2013-08-04 21:01:24.030866	2013-08-04 21:01:24.030866	268
44828	207568	2187	2013-08-04 21:01:24.038789	2013-08-04 21:01:24.038789	268
44829	207568	4384	2013-08-04 21:01:24.04667	2013-08-04 21:01:24.04667	268
44830	207568	16769	2013-08-04 21:01:24.054511	2013-08-04 21:01:24.054511	268
44831	207568	4532	2013-08-04 21:01:24.06234	2013-08-04 21:01:24.06234	268
44832	207568	2048	2013-08-04 21:01:24.070097	2013-08-04 21:01:24.070097	268
44833	207568	2099	2013-08-04 21:01:24.077996	2013-08-04 21:01:24.077996	268
44834	207568	2119	2013-08-04 21:01:24.085804	2013-08-04 21:01:24.085804	268
44835	207568	2100	2013-08-04 21:01:24.094445	2013-08-04 21:01:24.094445	268
44836	207568	38283	2013-08-04 21:01:24.105344	2013-08-04 21:01:24.105344	268
44837	207568	2084	2013-08-04 21:01:24.1162	2013-08-04 21:01:24.1162	268
44838	207568	15635	2013-08-04 21:01:24.127103	2013-08-04 21:01:24.127103	268
44839	207568	19795	2013-08-04 21:01:24.13814	2013-08-04 21:01:24.13814	268
44840	207568	2147	2013-08-04 21:01:24.148887	2013-08-04 21:01:24.148887	268
44841	207568	888	2013-08-04 21:01:24.159889	2013-08-04 21:01:24.159889	268
44842	207568	2168	2013-08-04 21:01:24.170911	2013-08-04 21:01:24.170911	268
44843	207568	2120	2013-08-04 21:01:24.181871	2013-08-04 21:01:24.181871	268
44844	207568	2453	2013-08-04 21:01:24.192647	2013-08-04 21:01:24.192647	268
\.


--
-- Name: captures_id_seq; Type: SEQUENCE SET; Schema: public; Owner: scorebot
--

SELECT pg_catalog.setval('captures_id_seq', 44844, true);


--
-- Data for Name: flags; Type: TABLE DATA; Schema: public; Owner: scorebot
--

COPY flags (id, team_id, created_at, updated_at) FROM stdin;
16141	14	2013-08-02 16:05:34.675476	2013-08-08 01:02:58.266087
16121	14	2013-08-02 16:05:34.623175	2013-08-08 01:02:58.369474
18620	14	2013-08-02 16:05:39.913956	2013-08-08 01:02:58.404757
6604	14	2013-08-02 16:05:16.563319	2013-08-08 01:02:58.413854
40903	14	2013-08-02 16:06:29.766807	2013-08-08 01:02:58.538064
2287	14	2013-08-02 16:05:08.571309	2013-08-08 01:02:58.713252
7449	14	2013-08-02 16:05:17.877316	2013-08-08 01:02:58.879097
7429	14	2013-08-02 16:05:17.858055	2013-08-08 01:02:58.928712
7409	14	2013-08-02 16:05:17.841645	2013-08-08 01:02:58.931879
7530	14	2013-08-02 16:05:17.95178	2013-08-08 01:02:59.008708
7401	14	2013-08-02 16:05:17.834884	2013-08-08 01:02:59.191732
7441	14	2013-08-02 16:05:17.870313	2013-08-08 01:02:59.245701
7389	14	2013-08-02 16:05:17.822443	2013-08-08 01:02:59.391858
13618	14	2013-08-02 16:05:29.808021	2013-08-08 01:02:59.395098
18881	14	2013-08-02 16:05:40.54492	2013-08-08 01:02:59.458112
38130	14	2013-08-02 16:06:24.423463	2013-08-08 01:02:59.668788
23688	14	2013-08-02 16:05:51.87361	2013-08-08 01:02:59.808406
18751	14	2013-08-02 16:05:40.278994	2013-08-08 01:02:59.812584
17196	14	2013-08-02 16:05:37.445262	2013-08-08 01:02:59.900547
3746	14	2013-08-02 16:05:11.121605	2013-08-08 01:02:59.966153
40655	14	2013-08-02 16:06:29.267246	2013-08-08 01:03:00.034384
3911	14	2013-08-02 16:05:11.534837	2013-08-08 01:03:00.331251
48218	14	2013-08-02 16:06:46.296171	2013-08-08 01:03:00.374344
40610	14	2013-08-02 16:06:28.98077	2013-08-08 01:03:00.377378
28035	14	2013-08-02 16:06:01.143937	2013-08-08 01:03:00.463748
28092	14	2013-08-02 16:06:01.208807	2013-08-08 01:03:00.738004
7426	14	2013-08-02 16:05:17.855278	2013-08-08 01:03:00.795439
20328	6	2013-08-02 16:05:44.226427	2013-08-08 01:03:07.823424
45052	6	2013-08-02 16:06:39.898787	2013-08-08 01:03:07.877151
38450	6	2013-08-02 16:06:25.383393	2013-08-08 01:03:07.922551
6999	6	2013-08-02 16:05:17.425951	2013-08-08 01:03:08.027324
38190	6	2013-08-02 16:06:24.566596	2013-08-08 01:03:08.05363
47998	6	2013-08-02 16:06:46.070966	2013-08-08 01:03:08.096831
33700	6	2013-08-02 16:06:14.338139	2013-08-08 01:03:08.151829
35781	2	2013-08-02 16:06:19.10471	2013-08-04 19:12:36.515507
35718	2	2013-08-02 16:06:18.939319	2013-08-04 19:12:36.526096
290	6	2013-08-02 16:05:04.598783	2013-08-08 01:03:09.733534
14	6	2013-08-02 16:05:04.322269	2013-08-08 01:03:09.73646
31	6	2013-08-02 16:05:04.34138	2013-08-08 01:03:09.739113
917	6	2013-08-02 16:05:05.418029	2013-08-08 01:03:11.6919
58	6	2013-08-02 16:05:04.367575	2013-08-08 01:03:11.888654
76	6	2013-08-02 16:05:04.386412	2013-08-08 01:03:11.891596
631	6	2013-08-02 16:05:05.0776	2013-08-08 01:03:11.894341
8406	2	2013-08-02 16:05:19.781048	2013-08-04 19:12:36.450349
1484	2	2013-08-02 16:05:06.700953	2013-08-04 19:12:36.461445
8507	2	2013-08-02 16:05:20.060574	2013-08-04 19:12:36.472576
22015	2	2013-08-02 16:05:47.574601	2013-08-04 19:12:36.483515
8621	2	2013-08-02 16:05:20.32415	2013-08-04 19:12:36.494373
32999	21	2013-08-02 16:06:12.897602	2013-08-04 19:12:36.576731
37043	21	2013-08-02 16:06:21.851971	2013-08-03 19:02:35.34797
37023	21	2013-08-02 16:06:21.835549	2013-08-03 19:02:35.351646
37003	21	2013-08-02 16:06:21.593516	2013-08-03 19:02:35.354674
36983	21	2013-08-02 16:06:21.567777	2013-08-03 19:02:35.357452
36963	21	2013-08-02 16:06:21.546824	2013-08-03 19:02:35.360229
36943	21	2013-08-02 16:06:21.528363	2013-08-03 19:02:35.363358
4258	21	2013-08-02 16:05:12.279232	2013-08-03 17:52:04.494556
4278	21	2013-08-02 16:05:12.318427	2013-08-03 17:52:04.498496
6672	21	2013-08-02 16:05:16.74121	2013-08-03 22:11:43.145237
5331	21	2013-08-02 16:05:13.649904	2013-08-03 22:11:43.146122
28152	21	2013-08-02 16:06:01.267626	2013-08-03 22:11:43.14709
36923	21	2013-08-02 16:06:21.505328	2013-08-03 19:02:35.571252
18335	21	2013-08-02 16:05:39.396011	2013-08-03 22:11:43.150251
13998	21	2013-08-02 16:05:30.688265	2013-08-03 02:42:41.391118
13978	21	2013-08-02 16:05:30.63993	2013-08-03 02:42:41.392626
19906	21	2013-08-02 16:05:43.185653	2013-08-03 22:11:43.152065
33057	21	2013-08-02 16:06:13.042305	2013-08-04 00:44:15.190504
35743	21	2013-08-02 16:06:19.006102	2013-08-03 19:02:36.098593
20045	21	2013-08-02 16:05:43.533541	2013-08-03 19:02:36.100172
35443	21	2013-08-02 16:06:18.305956	2013-08-03 19:02:36.101643
29475	21	2013-08-02 16:06:03.993243	2013-08-03 19:02:36.102801
35783	21	2013-08-02 16:06:19.110198	2013-08-03 19:02:36.104612
35803	21	2013-08-02 16:06:19.167147	2013-08-03 19:02:36.106508
7097	21	2013-08-02 16:05:17.527291	2013-08-03 00:42:07.757114
35503	21	2013-08-02 16:06:18.449089	2013-08-03 19:02:36.107674
29012	21	2013-08-02 16:06:02.817053	2013-08-03 20:22:31.652524
28992	21	2013-08-02 16:06:02.776312	2013-08-03 20:22:31.656465
33077	21	2013-08-02 16:06:13.093341	2013-08-04 17:34:42.036039
20163	21	2013-08-02 16:05:44.019648	2013-08-04 17:36:50.669114
33017	21	2013-08-02 16:06:12.946019	2013-08-04 00:47:28.10996
16593	21	2013-08-02 16:05:35.838264	2013-08-04 19:12:37.624474
6544	21	2013-08-02 16:05:16.406695	2013-08-03 22:14:25.545238
33097	21	2013-08-02 16:06:13.145694	2013-08-04 01:12:19.19371
9019	21	2013-08-02 16:05:21.282234	2013-08-03 00:42:08.018499
33037	21	2013-08-02 16:06:12.994937	2013-08-04 01:15:49.162351
34543	21	2013-08-02 16:06:15.955002	2013-08-03 20:22:31.886724
47743	21	2013-08-02 16:06:45.384375	2013-08-03 20:22:31.887824
20241	21	2013-08-02 16:05:44.140147	2013-08-03 20:22:31.888841
16349	2	2013-08-02 16:05:35.18358	2013-08-04 19:12:37.711509
16459	2	2013-08-02 16:05:35.408911	2013-08-04 19:12:37.722512
16329	2	2013-08-02 16:05:35.149733	2013-08-04 19:12:37.733598
7909	21	2013-08-02 16:05:18.599875	2013-08-03 19:02:36.638541
20135	21	2013-08-02 16:05:43.985082	2013-08-03 19:02:36.639787
8620	21	2013-08-02 16:05:20.323153	2013-08-04 20:05:29.115199
47623	21	2013-08-02 16:06:45.162968	2013-08-03 22:34:29.466055
8568	2	2013-08-02 16:05:20.21183	2013-08-04 20:07:35.068561
8580	2	2013-08-02 16:05:20.242596	2013-08-04 20:07:35.554163
20148	21	2013-08-02 16:05:44.001279	2013-08-03 02:47:51.881341
8505	2	2013-08-02 16:05:20.055865	2013-08-04 20:07:35.658905
8600	21	2013-08-02 16:05:20.29289	2013-08-04 20:07:36.382429
2658	21	2013-08-02 16:05:09.050338	2013-08-03 22:44:24.989694
8548	2	2013-08-02 16:05:20.16269	2013-08-04 20:07:36.886132
14455	21	2013-08-02 16:05:31.874657	2013-08-04 20:12:39.410465
7066	2	2013-08-02 16:05:17.501156	2013-08-04 20:12:39.529005
35383	2	2013-08-02 16:06:18.160028	2013-08-04 20:17:30.067318
20161	2	2013-08-02 16:05:44.016504	2013-08-04 20:17:30.073883
34503	2	2013-08-02 16:06:15.864662	2013-08-04 20:17:30.080303
36903	2	2013-08-02 16:06:21.486277	2013-08-04 20:17:30.086643
26300	2	2013-08-02 16:05:56.793253	2013-08-04 20:17:30.092036
16961	2	2013-08-02 16:05:36.728314	2013-08-04 20:17:30.096814
6566	21	2013-08-02 16:05:16.464432	2013-08-03 02:58:07.67264
14063	21	2013-08-02 16:05:30.843558	2013-08-03 02:58:07.673915
9751	21	2013-08-02 16:05:22.967133	2013-08-03 00:47:06.879302
29775	21	2013-08-02 16:06:04.844178	2013-08-04 20:17:33.012098
34843	2	2013-08-02 16:06:16.872356	2013-08-04 20:17:33.019464
28932	21	2013-08-02 16:06:02.70083	2013-08-03 23:29:39.488743
19343	2	2013-08-02 16:05:41.715081	2013-08-04 20:17:33.023788
28892	21	2013-08-02 16:06:02.440427	2013-08-03 23:29:39.491597
22857	21	2013-08-02 16:05:49.711214	2013-08-03 19:02:37.533876
7521	21	2013-08-02 16:05:17.943296	2013-08-03 02:58:07.674824
7477	21	2013-08-02 16:05:17.900398	2013-08-03 02:58:07.675664
3464	21	2013-08-02 16:05:10.49684	2013-08-03 02:58:07.676854
3484	21	2013-08-02 16:05:10.520024	2013-08-03 02:58:07.67895
3504	21	2013-08-02 16:05:10.557343	2013-08-03 02:58:07.680803
3524	21	2013-08-02 16:05:10.611741	2013-08-03 02:58:07.684472
25525	2	2013-08-02 16:05:55.101421	2013-08-04 20:17:33.029746
35223	2	2013-08-02 16:06:17.789339	2013-08-04 20:17:33.040196
35003	21	2013-08-02 16:06:17.230172	2013-08-03 23:39:27.347482
14970	21	2013-08-02 16:05:33.040193	2013-08-04 17:38:44.902364
25545	2	2013-08-02 16:05:55.154528	2013-08-04 20:17:33.050404
47663	21	2013-08-02 16:06:45.223076	2013-08-03 20:37:34.992696
36643	2	2013-08-02 16:06:21.22897	2013-08-04 20:17:33.060671
36663	2	2013-08-02 16:06:21.25447	2013-08-04 20:22:41.670806
3544	21	2013-08-02 16:05:10.665894	2013-08-03 02:58:07.687062
28852	2	2013-08-02 16:06:02.345261	2013-08-04 20:22:41.676072
34723	2	2013-08-02 16:06:16.389797	2013-08-04 20:22:41.68081
20021	2	2013-08-02 16:05:43.470983	2013-08-04 20:22:41.687243
28975	2	2013-08-02 16:06:02.752216	2013-08-04 20:22:41.692455
36823	2	2013-08-02 16:06:21.410752	2013-08-04 20:22:41.697489
19203	2	2013-08-02 16:05:41.348807	2013-08-04 20:22:41.701924
29495	2	2013-08-02 16:06:04.043998	2013-08-04 20:22:41.705814
20261	6	2013-08-02 16:05:44.162238	2013-08-08 01:03:20.008856
32979	6	2013-08-02 16:06:12.842699	2013-08-08 01:03:20.05685
35163	21	2013-08-02 16:06:17.63336	2013-08-04 17:41:50.144753
28912	21	2013-08-02 16:06:02.488259	2013-08-03 23:49:35.057254
13511	21	2013-08-02 16:05:29.561554	2013-08-04 17:41:51.128416
34583	21	2013-08-02 16:06:16.034252	2013-08-04 17:41:51.667506
29455	21	2013-08-02 16:06:03.943032	2013-08-04 17:41:51.670768
15810	21	2013-08-02 16:05:34.203159	2013-08-04 17:41:51.673479
9231	21	2013-08-02 16:05:21.821484	2013-08-03 01:19:31.083176
9251	21	2013-08-02 16:05:21.875036	2013-08-03 01:19:31.085936
9271	21	2013-08-02 16:05:21.927369	2013-08-03 01:19:31.087939
26400	21	2013-08-02 16:05:56.990876	2013-08-04 17:44:19.741473
7068	21	2013-08-02 16:05:17.5029	2013-08-03 01:25:22.485151
8991	21	2013-08-02 16:05:21.208792	2013-08-03 01:25:22.487356
8971	21	2013-08-02 16:05:21.155326	2013-08-03 01:25:22.489046
9039	21	2013-08-02 16:05:21.330257	2013-08-03 01:25:22.49193
19921	21	2013-08-02 16:05:43.225365	2013-08-04 17:53:53.832367
4275	21	2013-08-02 16:05:12.312517	2013-08-03 18:12:25.30408
8959	21	2013-08-02 16:05:21.123194	2013-08-03 18:12:25.308097
17598	21	2013-08-02 16:05:38.354453	2013-08-03 18:12:25.311742
17618	21	2013-08-02 16:05:38.391669	2013-08-03 18:12:25.315297
22745	21	2013-08-02 16:05:49.426499	2013-08-04 18:08:24.733914
7581	21	2013-08-02 16:05:18.003559	2013-08-04 18:08:42.552075
35083	21	2013-08-02 16:06:17.429824	2013-08-04 18:11:48.914687
13411	21	2013-08-02 16:05:29.467514	2013-08-04 18:11:48.915916
7789	21	2013-08-02 16:05:18.310128	2013-08-04 18:42:34.834387
16543	2	2013-08-02 16:05:35.71372	2013-08-04 18:42:34.842727
2849	2	2013-08-02 16:05:09.238975	2013-08-04 18:42:34.847749
36343	2	2013-08-02 16:06:20.675099	2013-08-04 18:42:34.851718
41438	21	2013-08-02 16:06:31.152972	2013-08-04 00:37:45.26705
15110	21	2013-08-02 16:05:33.405894	2013-08-03 19:02:37.936788
18821	21	2013-08-02 16:05:40.425882	2013-08-04 00:37:45.268904
941	2	2013-08-02 16:05:05.450647	2013-08-04 19:12:38.505572
924	2	2013-08-02 16:05:05.426144	2013-08-04 19:12:38.516449
808	2	2013-08-02 16:05:05.253964	2013-08-04 19:12:38.522534
352	2	2013-08-02 16:05:04.694689	2013-08-04 19:12:38.526468
395	2	2013-08-02 16:05:04.73462	2013-08-04 19:12:38.53582
193	2	2013-08-02 16:05:04.512809	2013-08-04 19:12:38.546592
601	2	2013-08-02 16:05:05.027568	2013-08-04 19:12:38.552108
26	2	2013-08-02 16:05:04.335414	2013-08-04 19:12:38.557681
731	2	2013-08-02 16:05:05.175545	2013-08-04 19:12:38.561789
27	2	2013-08-02 16:05:04.336781	2013-08-04 19:12:38.565667
48003	21	2013-08-02 16:06:46.076176	2013-08-03 22:05:19.37614
6779	21	2013-08-02 16:05:16.956014	2013-08-04 17:02:39.152109
20128	21	2013-08-02 16:05:43.824873	2013-08-03 02:47:51.882306
101	2	2013-08-02 16:05:04.410634	2013-08-04 19:12:38.569794
11738	21	2013-08-02 16:05:26.318693	2013-08-03 19:02:38.340828
11758	21	2013-08-02 16:05:26.367785	2013-08-03 19:02:38.344603
3385	21	2013-08-02 16:05:10.25351	2013-08-03 19:02:38.347966
3445	21	2013-08-02 16:05:10.403196	2013-08-03 19:02:38.351317
3346	21	2013-08-02 16:05:10.168884	2013-08-03 19:02:38.355173
39850	21	2013-08-02 16:06:27.896792	2013-08-04 00:40:47.694811
13016	21	2013-08-02 16:05:29.072904	2013-08-04 00:44:15.19186
12561	21	2013-08-02 16:05:28.264469	2013-08-04 00:44:15.192879
661	2	2013-08-02 16:05:05.107103	2013-08-04 19:12:38.573537
9619	21	2013-08-02 16:05:22.777063	2013-08-03 17:57:11.989027
2327	21	2013-08-02 16:05:08.6246	2013-08-04 17:10:05.56915
9639	21	2013-08-02 16:05:22.830686	2013-08-03 17:57:11.99169
208	2	2013-08-02 16:05:04.523532	2013-08-04 19:12:38.577181
733	2	2013-08-02 16:05:05.177289	2013-08-04 19:12:38.581285
15746	21	2013-08-02 16:05:34.143779	2013-08-03 22:09:24.882073
39428	2	2013-08-02 16:06:27.080962	2013-08-04 19:25:55.543424
39408	2	2013-08-02 16:06:27.047243	2013-08-04 19:27:43.624147
39350	21	2013-08-02 16:06:26.961513	2013-08-04 19:27:43.652726
39368	2	2013-08-02 16:06:26.984166	2013-08-04 19:27:43.951635
41901	21	2013-08-02 16:06:32.32255	2013-08-04 00:44:37.094059
35973	21	2013-08-02 16:06:19.585255	2013-08-04 19:27:44.134622
36061	21	2013-08-02 16:06:19.8177	2013-08-04 19:27:44.135575
6519	21	2013-08-02 16:05:16.344025	2013-08-04 00:45:50.549679
35993	21	2013-08-02 16:06:19.638088	2013-08-04 19:27:44.136707
36253	2	2013-08-02 16:06:20.262801	2013-08-04 19:27:44.404781
5918	21	2013-08-02 16:05:14.962487	2013-08-04 00:47:28.11148
5318	21	2013-08-02 16:05:13.623725	2013-08-03 00:52:07.37907
36353	2	2013-08-02 16:06:20.698908	2013-08-04 19:27:44.885388
41741	21	2013-08-02 16:06:31.910111	2013-08-04 00:47:28.112619
12956	21	2013-08-02 16:05:29.017893	2013-08-04 00:47:49.720213
41761	21	2013-08-02 16:06:31.9577	2013-08-04 00:55:55.528735
39448	21	2013-08-02 16:06:27.105532	2013-08-04 19:52:26.1926
19863	21	2013-08-02 16:05:43.0716	2013-08-04 20:22:41.564225
30797	21	2013-08-02 16:06:07.280407	2013-08-03 22:11:43.353228
37052	21	2013-08-02 16:06:21.8596	2013-08-03 22:11:43.355606
11699	21	2013-08-02 16:05:26.220223	2013-08-03 22:11:43.357499
10511	21	2013-08-02 16:05:23.816612	2013-08-03 00:57:05.380002
19986	21	2013-08-02 16:05:43.384455	2013-08-03 22:11:43.359516
29480	21	2013-08-02 16:06:04.005202	2013-08-03 22:11:43.361136
39388	2	2013-08-02 16:06:27.013211	2013-08-04 20:22:41.666116
32315	21	2013-08-02 16:06:11.064682	2013-08-04 20:27:36.85825
17130	2	2013-08-02 16:05:37.151825	2013-08-04 20:27:36.902369
17390	2	2013-08-02 16:05:37.84922	2013-08-04 20:27:36.906715
12976	2	2013-08-02 16:05:29.03583	2013-08-04 20:27:36.91124
37203	2	2013-08-02 16:06:22.057607	2013-08-04 20:27:36.915882
16409	2	2013-08-02 16:05:35.288284	2013-08-04 20:27:36.92056
24121	2	2013-08-02 16:05:52.613067	2013-08-04 20:27:36.924671
16389	2	2013-08-02 16:05:35.244725	2013-08-04 20:27:36.928131
16369	2	2013-08-02 16:05:35.211097	2013-08-04 20:27:36.931568
48283	21	2013-08-02 16:06:46.355476	2013-08-04 01:35:46.943403
37483	2	2013-08-02 16:06:22.644942	2013-08-04 20:32:42.345349
20421	2	2013-08-02 16:05:44.323236	2013-08-04 20:32:42.356703
32335	2	2013-08-02 16:06:11.115357	2013-08-04 20:32:42.367303
27040	2	2013-08-02 16:05:58.719148	2013-08-04 20:32:42.376413
29815	2	2013-08-02 16:06:04.927435	2013-08-04 20:32:42.38793
37563	2	2013-08-02 16:06:22.851123	2013-08-04 20:32:42.40027
29541	2	2013-08-02 16:06:04.164481	2013-08-04 20:32:42.412023
32775	2	2013-08-02 16:06:12.344746	2013-08-04 20:32:42.423501
12932	2	2013-08-02 16:05:28.996468	2013-08-04 20:32:42.434884
29701	2	2013-08-02 16:06:04.699978	2013-08-04 20:37:29.254066
30061	21	2013-08-02 16:06:05.545031	2013-08-03 22:14:24.165316
48163	21	2013-08-02 16:06:46.241108	2013-08-04 01:50:56.988161
35103	2	2013-08-02 16:06:17.480404	2013-08-04 20:37:29.262794
29192	2	2013-08-02 16:06:03.292708	2013-08-04 20:37:29.271084
48243	2	2013-08-02 16:06:46.316012	2013-08-04 20:37:29.277472
17290	2	2013-08-02 16:05:37.613851	2013-08-04 20:37:29.283762
24170	2	2013-08-02 16:05:52.659492	2013-08-04 20:37:29.331821
47963	2	2013-08-02 16:06:45.758321	2013-08-04 20:37:29.336983
48323	21	2013-08-02 16:06:46.395204	2013-08-03 20:27:30.508965
48303	21	2013-08-02 16:06:46.372702	2013-08-03 20:27:30.510645
17412	2	2013-08-02 16:05:37.904181	2013-08-04 20:37:29.343116
29781	21	2013-08-02 16:06:04.856024	2013-08-03 22:14:57.04235
22946	2	2013-08-02 16:05:49.936476	2013-08-04 20:37:29.353844
29441	21	2013-08-02 16:06:03.909498	2013-08-04 18:08:24.795307
36523	21	2013-08-02 16:06:21.077681	2013-08-04 18:08:31.145908
10891	21	2013-08-02 16:05:24.306636	2013-08-03 01:02:07.321302
34663	21	2013-08-02 16:06:16.239903	2013-08-04 18:08:42.347211
22786	21	2013-08-02 16:05:49.523912	2013-08-04 02:35:41.019327
22906	21	2013-08-02 16:05:49.837672	2013-08-04 18:11:48.312659
12963	21	2013-08-02 16:05:29.024183	2013-08-04 18:11:48.913754
22806	21	2013-08-02 16:05:49.576422	2013-08-04 02:45:46.101127
37783	21	2013-08-02 16:06:23.568928	2013-08-03 19:07:34.181089
37763	21	2013-08-02 16:06:23.539416	2013-08-03 19:07:34.184758
37743	21	2013-08-02 16:06:23.51645	2013-08-03 19:07:34.188075
37723	21	2013-08-02 16:06:23.251567	2013-08-03 19:07:34.191703
37703	21	2013-08-02 16:06:23.198495	2013-08-03 19:07:34.195151
37683	21	2013-08-02 16:06:23.145127	2013-08-03 19:07:34.198675
47643	21	2013-08-02 16:06:45.191968	2013-08-04 03:00:23.796177
10139	21	2013-08-02 16:05:23.407347	2013-08-03 01:32:13.463006
9979	21	2013-08-02 16:05:23.255386	2013-08-03 01:39:14.145096
9999	21	2013-08-02 16:05:23.2731	2013-08-03 01:39:14.147728
10019	21	2013-08-02 16:05:23.290003	2013-08-03 01:39:14.149263
10039	21	2013-08-02 16:05:23.30922	2013-08-03 01:39:14.150804
10059	21	2013-08-02 16:05:23.326881	2013-08-03 01:39:14.152241
10651	21	2013-08-02 16:05:24.045242	2013-08-03 18:02:17.707101
8871	21	2013-08-02 16:05:20.935091	2013-08-03 01:45:29.443597
8851	21	2013-08-02 16:05:20.887724	2013-08-03 01:45:29.447083
8831	21	2013-08-02 16:05:20.837144	2013-08-03 01:45:29.450216
7077	21	2013-08-02 16:05:17.511415	2013-08-03 01:45:29.452023
4458	21	2013-08-02 16:05:12.628984	2013-08-03 01:45:29.453058
5297	21	2013-08-02 16:05:13.588978	2013-08-03 18:02:17.710463
9799	21	2013-08-02 16:05:23.005978	2013-08-03 18:02:17.713695
35658	21	2013-08-02 16:06:18.860648	2013-08-03 20:37:34.988355
15800	21	2013-08-02 16:05:34.192247	2013-08-03 20:37:34.990551
29561	21	2013-08-02 16:06:04.217193	2013-08-03 22:31:29.898517
29641	21	2013-08-02 16:06:04.415105	2013-08-03 22:34:29.463144
6380	21	2013-08-02 16:05:16.03881	2013-08-03 22:40:41.01452
29661	21	2013-08-02 16:06:04.643565	2013-08-03 22:44:24.984188
30041	21	2013-08-02 16:06:05.494981	2013-08-03 22:44:24.987009
46675	21	2013-08-02 16:06:43.277606	2013-08-03 23:41:31.968647
15495	21	2013-08-02 16:05:33.780861	2013-08-03 18:22:13.312358
10332	21	2013-08-02 16:05:23.617436	2013-08-03 18:22:13.314874
7421	21	2013-08-02 16:05:17.8511	2013-08-03 18:22:13.318355
10691	21	2013-08-02 16:05:24.092615	2013-08-03 18:22:13.920874
18078	21	2013-08-02 16:05:39.117851	2013-08-03 18:22:13.924503
46655	21	2013-08-02 16:06:43.224927	2013-08-03 23:45:16.938811
47903	21	2013-08-02 16:06:45.69728	2013-08-03 23:45:51.958487
29401	21	2013-08-02 16:06:03.808277	2013-08-03 23:49:35.055968
17778	21	2013-08-02 16:05:38.666535	2013-08-03 18:47:35.812393
13680	21	2013-08-02 16:05:29.966551	2013-08-03 18:47:35.813515
11751	21	2013-08-02 16:05:26.349895	2013-08-03 18:47:35.814399
22877	21	2013-08-02 16:05:49.764469	2013-08-03 18:47:35.815325
8818	2	2013-08-02 16:05:20.805042	2013-08-04 19:27:45.125628
8800	2	2013-08-02 16:05:20.762341	2013-08-04 19:27:45.137861
4139	21	2013-08-02 16:05:12.072127	2013-08-03 22:09:24.879178
6058	21	2013-08-02 16:05:15.273953	2013-08-03 01:02:08.237766
8943	2	2013-08-02 16:05:21.081714	2013-08-04 19:27:45.14876
17116	21	2013-08-02 16:05:37.11689	2013-08-04 17:02:14.233596
21199	21	2013-08-02 16:05:45.471846	2013-08-04 17:02:14.236564
28406	21	2013-08-02 16:06:01.715726	2013-08-04 17:02:14.239334
24845	21	2013-08-02 16:05:53.583493	2013-08-04 17:02:14.241862
2329	21	2013-08-02 16:05:08.626253	2013-08-04 17:02:14.247323
2268	21	2013-08-02 16:05:08.549499	2013-08-04 17:02:14.250042
8852	2	2013-08-02 16:05:20.890282	2013-08-04 19:27:45.15965
23041	21	2013-08-02 16:05:50.185685	2013-08-04 00:44:37.097069
26623	21	2013-08-02 16:05:57.562251	2013-08-04 00:44:37.099223
6138	21	2013-08-02 16:05:15.46756	2013-08-03 20:21:36.529377
13820	21	2013-08-02 16:05:30.285575	2013-08-03 20:21:36.530376
22926	21	2013-08-02 16:05:49.886131	2013-08-04 00:45:50.544518
10711	21	2013-08-02 16:05:24.128878	2013-08-03 18:52:33.266899
41190	21	2013-08-02 16:06:30.328152	2013-08-04 00:47:28.113732
35043	21	2013-08-02 16:06:17.333934	2013-08-03 20:22:30.752143
19638	21	2013-08-02 16:05:42.498047	2013-08-04 00:52:48.617821
6844	21	2013-08-02 16:05:17.095358	2013-08-03 22:14:24.492649
6824	21	2013-08-02 16:05:17.04101	2013-08-03 22:14:24.495992
6804	21	2013-08-02 16:05:17.001056	2013-08-03 22:14:24.499388
11271	21	2013-08-02 16:05:25.109077	2013-08-03 01:07:07.610459
6784	21	2013-08-02 16:05:16.964597	2013-08-03 22:14:24.502991
6764	21	2013-08-02 16:05:16.932947	2013-08-03 22:14:24.506794
22295	21	2013-08-02 16:05:48.248433	2013-08-04 00:55:55.527825
16500	2	2013-08-02 16:05:35.605648	2013-08-04 19:27:45.470895
16569	2	2013-08-02 16:05:35.778621	2013-08-04 19:27:45.487155
41861	21	2013-08-02 16:06:32.217938	2013-08-04 01:08:51.781501
16620	2	2013-08-02 16:05:35.904724	2013-08-04 19:27:45.493565
16429	21	2013-08-02 16:05:35.336814	2013-08-04 20:32:42.293489
29841	21	2013-08-02 16:06:04.996782	2013-08-03 22:14:24.992313
28972	21	2013-08-02 16:06:02.749622	2013-08-03 22:14:24.993589
29681	21	2013-08-02 16:06:04.667515	2013-08-03 22:14:24.994734
29421	21	2013-08-02 16:06:03.859977	2013-08-03 22:14:24.996009
47255	21	2013-08-02 16:06:44.776578	2013-08-04 20:37:29.161328
37143	21	2013-08-02 16:06:21.967327	2013-08-04 20:42:25.645132
20361	2	2013-08-02 16:05:44.264273	2013-08-04 20:42:25.699656
47923	21	2013-08-02 16:06:45.718316	2013-08-03 20:27:31.474247
29137	21	2013-08-02 16:06:03.147399	2013-08-03 20:27:31.475376
28732	21	2013-08-02 16:06:02.113974	2013-08-03 20:27:31.476159
17475	21	2013-08-02 16:05:38.069142	2013-08-03 20:27:31.725761
15806	21	2013-08-02 16:05:34.198626	2013-08-03 22:14:25.541864
26970	21	2013-08-02 16:05:58.566405	2013-08-03 22:14:25.543589
48223	2	2013-08-02 16:06:46.301149	2013-08-04 20:42:25.705949
11431	21	2013-08-02 16:05:25.604753	2013-08-04 01:50:56.985405
48998	21	2013-08-02 16:06:47.910733	2013-08-03 22:14:26.039983
15486	2	2013-08-02 16:05:33.774356	2013-08-04 20:42:25.71185
8901	2	2013-08-02 16:05:21.012778	2013-08-04 20:42:25.718214
8910	2	2013-08-02 16:05:21.025715	2013-08-04 20:42:25.726635
8847	2	2013-08-02 16:05:20.87814	2013-08-04 20:42:25.737243
18490	2	2013-08-02 16:05:39.643394	2013-08-04 20:42:25.747203
29601	21	2013-08-02 16:06:04.315853	2013-08-03 22:15:17.05359
6418	21	2013-08-02 16:05:16.09221	2013-08-03 01:07:08.997032
6398	21	2013-08-02 16:05:16.060987	2013-08-03 01:07:09.000784
17443	21	2013-08-02 16:05:37.986331	2013-08-03 20:27:31.966412
10911	21	2013-08-02 16:05:24.328233	2013-08-03 18:57:37.599261
29941	21	2013-08-02 16:06:05.249889	2013-08-03 22:15:17.055968
15720	21	2013-08-02 16:05:34.005803	2013-08-03 20:27:31.969116
13840	21	2013-08-02 16:05:30.33493	2013-08-03 17:35:05.652279
17310	21	2013-08-02 16:05:37.658024	2013-08-03 20:27:31.971808
44503	21	2013-08-02 16:06:38.628503	2013-08-03 20:27:31.974451
17550	21	2013-08-02 16:05:38.242511	2013-08-04 01:55:50.336222
45583	2	2013-08-02 16:06:40.771342	2013-08-04 20:42:25.758413
8867	2	2013-08-02 16:05:20.925697	2013-08-04 20:42:25.769597
36283	2	2013-08-02 16:06:20.53245	2013-08-04 20:47:30.421718
30012	21	2013-08-02 16:06:05.422687	2013-08-03 22:19:22.908308
29961	21	2013-08-02 16:06:05.299671	2013-08-03 22:19:22.909104
20528	2	2013-08-02 16:05:44.427054	2013-08-04 20:47:30.427062
36323	2	2013-08-02 16:06:20.627133	2013-08-04 20:47:30.432268
17570	21	2013-08-02 16:05:38.281422	2013-08-03 20:27:32.156537
37163	2	2013-08-02 16:06:21.997046	2013-08-04 20:47:30.437825
37443	2	2013-08-02 16:06:22.540819	2013-08-04 20:47:30.443469
35663	2	2013-08-02 16:06:18.865294	2013-08-04 20:47:30.449905
29881	2	2013-08-02 16:06:05.098587	2013-08-04 20:47:30.457092
29901	2	2013-08-02 16:06:05.151668	2013-08-04 20:47:30.465493
11811	2	2013-08-02 16:05:26.505975	2013-08-04 20:47:30.471131
9750	2	2013-08-02 16:05:22.966367	2013-08-04 20:52:21.666218
15826	21	2013-08-02 16:05:34.22536	2013-08-04 02:42:49.135065
17798	21	2013-08-02 16:05:38.685853	2013-08-03 20:27:33.265526
5358	21	2013-08-02 16:05:13.699759	2013-08-03 20:27:33.266949
20541	21	2013-08-02 16:05:44.440061	2013-08-03 20:27:33.268404
15610	21	2013-08-02 16:05:33.892503	2013-08-03 20:27:33.269365
26185	2	2013-08-02 16:05:56.662459	2013-08-04 20:52:21.672623
32635	2	2013-08-02 16:06:12.020284	2013-08-04 20:52:21.679141
29861	21	2013-08-02 16:06:05.045542	2013-08-03 22:24:24.233619
37403	2	2013-08-02 16:06:22.436174	2013-08-04 20:52:21.686869
17450	2	2013-08-02 16:05:38.003986	2013-08-04 20:52:21.694875
11491	21	2013-08-02 16:05:25.757351	2013-08-03 18:07:20.640689
11471	21	2013-08-02 16:05:25.709367	2013-08-03 18:07:20.641776
3672	21	2013-08-02 16:05:10.935745	2013-08-03 18:07:20.642776
6460	21	2013-08-02 16:05:16.196416	2013-08-03 18:07:20.643794
6480	21	2013-08-02 16:05:16.245948	2013-08-03 18:07:20.644802
2499	21	2013-08-02 16:05:08.843298	2013-08-03 22:34:29.457528
47943	21	2013-08-02 16:06:45.739073	2013-08-03 20:32:24.262124
29895	21	2013-08-02 16:06:05.13533	2013-08-03 22:34:29.46034
8161	21	2013-08-02 16:05:19.17941	2013-08-03 19:07:35.837767
8049	21	2013-08-02 16:05:18.928899	2013-08-03 19:07:35.839101
8041	21	2013-08-02 16:05:18.920771	2013-08-03 19:07:35.840419
8029	21	2013-08-02 16:05:18.90601	2013-08-03 19:07:35.841807
8118	21	2013-08-02 16:05:19.067446	2013-08-03 19:07:35.843213
20115	21	2013-08-02 16:05:43.814288	2013-08-03 19:07:35.844651
17655	21	2013-08-02 16:05:38.475918	2013-08-03 19:07:35.847152
15726	21	2013-08-02 16:05:34.012248	2013-08-03 22:40:20.472427
10231	21	2013-08-02 16:05:23.502123	2013-08-03 01:50:49.023079
10211	21	2013-08-02 16:05:23.485311	2013-08-03 01:50:49.024651
5418	21	2013-08-02 16:05:13.85205	2013-08-03 01:50:49.025893
29501	21	2013-08-02 16:06:04.060193	2013-08-03 22:44:24.981316
5398	21	2013-08-02 16:05:13.805931	2013-08-03 01:50:49.026962
5378	21	2013-08-02 16:05:13.750035	2013-08-03 01:50:49.027894
11451	21	2013-08-02 16:05:25.657518	2013-08-03 01:56:00.625586
6500	21	2013-08-02 16:05:16.294976	2013-08-03 19:12:36.124525
17330	21	2013-08-02 16:05:37.703466	2013-08-03 20:42:30.396473
47095	21	2013-08-02 16:06:44.282316	2013-08-03 20:42:30.397698
15786	21	2013-08-02 16:05:34.180098	2013-08-03 20:42:30.399677
11211	21	2013-08-02 16:05:24.973992	2013-08-03 02:00:58.917156
17818	21	2013-08-02 16:05:38.70439	2013-08-03 18:32:14.236276
13660	21	2013-08-02 16:05:29.916775	2013-08-03 18:37:37.238972
17583	21	2013-08-02 16:05:38.315722	2013-08-03 18:37:37.242206
4084	21	2013-08-02 16:05:11.955041	2013-08-03 18:37:37.245354
18018	21	2013-08-02 16:05:39.047846	2013-08-03 18:37:37.248458
17998	21	2013-08-02 16:05:39.028202	2013-08-03 18:37:37.251592
4039	21	2013-08-02 16:05:11.878893	2013-08-03 18:37:37.254613
11531	21	2013-08-02 16:05:25.853503	2013-08-03 18:37:37.257549
11771	21	2013-08-02 16:05:26.399721	2013-08-03 18:37:37.260433
3899	21	2013-08-02 16:05:11.505646	2013-08-03 18:57:36.404379
16491	2	2013-08-02 16:05:35.583333	2013-08-04 19:27:45.498613
16549	2	2013-08-02 16:05:35.729497	2013-08-04 19:27:45.503608
14963	21	2013-08-02 16:05:33.023423	2013-08-03 19:02:36.332425
16641	2	2013-08-02 16:05:35.959914	2013-08-04 19:27:45.50805
16529	2	2013-08-02 16:05:35.681731	2013-08-04 19:27:45.513459
16509	2	2013-08-02 16:05:35.629304	2013-08-04 19:27:45.518952
17890	21	2013-08-02 16:05:38.777931	2013-08-03 22:11:43.363464
16526	2	2013-08-02 16:05:35.673783	2013-08-04 19:27:45.523983
20312	21	2013-08-02 16:05:44.2124	2013-08-04 20:47:30.305654
29041	21	2013-08-02 16:06:02.893845	2013-08-03 22:14:26.041462
2865	2	2013-08-02 16:05:09.260787	2013-08-04 20:52:21.618728
5263	2	2013-08-02 16:05:13.548088	2013-08-04 20:57:20.113778
3859	21	2013-08-02 16:05:11.408076	2013-08-03 17:35:05.479706
22866	21	2013-08-02 16:05:49.73517	2013-08-04 00:45:50.547046
20441	2	2013-08-02 16:05:44.342017	2013-08-03 20:27:33.663688
12131	21	2013-08-02 16:05:27.355321	2013-08-03 01:13:42.33225
12111	21	2013-08-02 16:05:27.319499	2013-08-03 01:13:42.333687
12091	21	2013-08-02 16:05:27.290139	2013-08-03 01:13:42.334633
20588	21	2013-08-02 16:05:44.490353	2013-08-03 02:53:04.397988
20568	21	2013-08-02 16:05:44.46889	2013-08-03 02:53:04.402078
20006	2	2013-08-02 16:05:43.432389	2013-08-03 22:14:26.342151
13156	2	2013-08-02 16:05:29.234265	2013-08-04 00:47:28.152938
17276	21	2013-08-02 16:05:37.583012	2013-08-04 17:11:52.307605
17212	21	2013-08-02 16:05:37.463036	2013-08-04 17:41:50.143859
37363	2	2013-08-02 16:06:22.338402	2013-08-03 19:07:36.299089
35183	2	2013-08-02 16:06:17.686925	2013-08-03 19:07:36.372565
16081	2	2013-08-02 16:05:34.542736	2013-08-03 19:07:36.377626
34463	2	2013-08-02 16:06:15.760701	2013-08-03 19:07:36.382994
15750	2	2013-08-02 16:05:34.147102	2013-08-03 19:07:36.390086
24545	2	2013-08-02 16:05:53.214067	2013-08-03 19:07:36.395703
30115	2	2013-08-02 16:06:05.633783	2013-08-03 19:07:36.399306
17121	2	2013-08-02 16:05:37.129618	2013-08-03 19:07:36.457755
11576	2	2013-08-02 16:05:25.973667	2013-08-03 19:07:36.461962
30220	2	2013-08-02 16:06:05.851531	2013-08-03 22:14:56.784116
17712	2	2013-08-02 16:05:38.588152	2013-08-04 00:47:38.715359
11860	21	2013-08-02 16:05:26.633308	2013-08-04 00:47:49.721054
12220	21	2013-08-02 16:05:27.514937	2013-08-04 00:52:48.678774
13897	21	2013-08-02 16:05:30.444392	2013-08-04 00:52:59.313332
8512	21	2013-08-02 16:05:20.072385	2013-08-03 22:14:57.04406
30200	21	2013-08-02 16:06:05.800437	2013-08-03 22:14:57.045306
45840	21	2013-08-02 16:06:41.307935	2013-08-03 22:14:57.046576
28650	21	2013-08-02 16:06:02.036322	2013-08-03 22:14:57.050319
13441	2	2013-08-02 16:05:29.495531	2013-08-04 01:00:53.325612
7240	21	2013-08-02 16:05:17.658208	2013-08-03 01:13:43.675462
15966	2	2013-08-02 16:05:34.387918	2013-08-03 20:30:10.427249
4939	2	2013-08-02 16:05:13.130879	2013-08-04 01:05:56.003234
47855	2	2013-08-02 16:06:45.606084	2013-08-03 20:30:10.460958
26903	2	2013-08-02 16:05:58.398104	2013-08-04 01:10:51.41957
24517	21	2013-08-02 16:05:53.010547	2013-08-03 19:07:37.15375
12555	21	2013-08-02 16:05:28.252507	2013-08-04 01:41:00.804207
11899	2	2013-08-02 16:05:26.729719	2013-08-03 22:15:16.791115
28363	2	2013-08-02 16:06:01.672368	2013-08-04 01:50:57.392968
20280	2	2013-08-02 16:05:44.184043	2013-08-04 01:50:58.71556
30265	21	2013-08-02 16:06:05.962407	2013-08-03 22:19:21.918468
29060	21	2013-08-02 16:06:02.942844	2013-08-03 22:19:21.92023
17292	21	2013-08-02 16:05:37.618219	2013-08-04 01:55:50.333474
19860	2	2013-08-02 16:05:43.063623	2013-08-04 01:55:51.269436
18353	2	2013-08-02 16:05:39.418373	2013-08-03 22:22:07.071133
5766	21	2013-08-02 16:05:14.584777	2013-08-03 03:09:46.752634
5806	21	2013-08-02 16:05:14.681533	2013-08-03 03:09:46.754967
20608	21	2013-08-02 16:05:44.511121	2013-08-03 03:09:46.75709
20628	21	2013-08-02 16:05:44.528218	2013-08-03 03:09:46.759187
20648	21	2013-08-02 16:05:44.546969	2013-08-03 03:09:46.761262
20668	21	2013-08-02 16:05:44.564013	2013-08-03 03:09:46.763492
20688	21	2013-08-02 16:05:44.585751	2013-08-03 03:09:46.765666
30221	2	2013-08-02 16:06:05.85391	2013-08-04 01:55:51.513505
20708	21	2013-08-02 16:05:44.606325	2013-08-03 03:09:46.767643
20728	21	2013-08-02 16:05:44.625019	2013-08-03 03:09:46.769759
29972	21	2013-08-02 16:06:05.326099	2013-08-03 22:22:07.090445
3772	21	2013-08-02 16:05:11.192293	2013-08-03 19:12:35.397696
11712	2	2013-08-02 16:05:26.25477	2013-08-03 20:30:23.403918
30241	21	2013-08-02 16:06:05.904343	2013-08-03 22:24:24.24621
11971	2	2013-08-02 16:05:26.914774	2013-08-03 19:12:55.810741
20661	21	2013-08-02 16:05:44.557812	2013-08-03 20:32:23.484983
48263	21	2013-08-02 16:06:46.335901	2013-08-04 02:05:54.258437
17625	2	2013-08-02 16:05:38.40083	2013-08-04 02:05:54.530414
15963	2	2013-08-02 16:05:34.379729	2013-08-04 02:05:55.42365
15946	2	2013-08-02 16:05:34.356313	2013-08-04 02:05:55.427904
36563	2	2013-08-02 16:06:21.13822	2013-08-04 02:05:55.588042
35180	2	2013-08-02 16:06:17.678932	2013-08-04 02:05:55.650166
19720	2	2013-08-02 16:05:42.707172	2013-08-04 02:10:50.861685
12301	21	2013-08-02 16:05:27.711172	2013-08-03 19:17:37.021793
12951	21	2013-08-02 16:05:29.013507	2013-08-03 01:19:32.134212
12931	21	2013-08-02 16:05:28.995452	2013-08-03 01:19:32.138639
12911	21	2013-08-02 16:05:28.977136	2013-08-03 01:19:32.142468
12891	21	2013-08-02 16:05:28.95346	2013-08-03 01:19:32.146251
18652	21	2013-08-02 16:05:39.99919	2013-08-03 22:34:29.454698
20560	21	2013-08-02 16:05:44.458497	2013-08-04 02:30:50.674798
13041	21	2013-08-02 16:05:29.098378	2013-08-04 02:30:51.180466
30101	2	2013-08-02 16:06:05.607191	2013-08-03 22:44:24.811071
30301	21	2013-08-02 16:06:06.034076	2013-08-03 22:49:21.656749
29938	21	2013-08-02 16:06:05.242655	2013-08-03 22:49:21.657946
8738	21	2013-08-02 16:05:20.613268	2013-08-03 23:49:35.054688
20501	2	2013-08-02 16:05:44.400369	2013-08-03 20:43:29.516842
10368	21	2013-08-02 16:05:23.653683	2013-08-03 19:22:37.614903
8718	21	2013-08-02 16:05:20.566101	2013-08-03 20:47:30.827697
17830	21	2013-08-02 16:05:38.71442	2013-08-03 20:47:30.828799
18050	21	2013-08-02 16:05:39.088128	2013-08-03 20:47:30.830023
12031	21	2013-08-02 16:05:27.067218	2013-08-03 02:06:03.687957
12051	21	2013-08-02 16:05:27.119931	2013-08-03 02:06:03.69109
12071	21	2013-08-02 16:05:27.268225	2013-08-03 02:06:03.6933
10168	21	2013-08-02 16:05:23.44386	2013-08-03 02:06:03.695479
10188	21	2013-08-02 16:05:23.463497	2013-08-03 02:06:03.697871
1004	2	2013-08-02 16:05:05.577428	2013-08-03 19:22:38.237234
12211	21	2013-08-02 16:05:27.49237	2013-08-03 02:11:04.625382
12231	21	2013-08-02 16:05:27.541247	2013-08-03 02:11:04.626879
12251	21	2013-08-02 16:05:27.589003	2013-08-03 02:11:04.628039
12271	21	2013-08-02 16:05:27.637245	2013-08-03 02:11:04.629214
12291	21	2013-08-02 16:05:27.686542	2013-08-03 02:11:04.630402
1021	2	2013-08-02 16:05:05.610763	2013-08-03 19:22:38.240913
12811	2	2013-08-02 16:05:28.866313	2013-08-03 19:22:38.245043
12791	2	2013-08-02 16:05:28.732556	2013-08-03 19:22:38.253492
10928	2	2013-08-02 16:05:24.347762	2013-08-03 19:22:38.263227
966	2	2013-08-02 16:05:05.491178	2013-08-03 19:22:38.272962
7395	2	2013-08-02 16:05:17.827253	2013-08-03 19:22:38.282521
16912	2	2013-08-02 16:05:36.60167	2013-08-03 19:22:39.789842
17255	2	2013-08-02 16:05:37.537123	2013-08-03 19:22:39.799633
6586	2	2013-08-02 16:05:16.51625	2013-08-03 19:22:39.809368
12381	2	2013-08-02 16:05:27.907889	2013-08-03 19:22:39.819816
4259	2	2013-08-02 16:05:12.281192	2013-08-03 19:22:40.093582
11148	21	2013-08-02 16:05:24.814763	2013-08-03 19:27:37.935591
13111	21	2013-08-02 16:05:29.181729	2013-08-03 02:16:23.958199
13131	21	2013-08-02 16:05:29.204123	2013-08-03 02:16:23.959938
13151	21	2013-08-02 16:05:29.228204	2013-08-03 02:16:23.961574
13171	21	2013-08-02 16:05:29.25067	2013-08-03 02:16:23.963349
13191	21	2013-08-02 16:05:29.267567	2013-08-03 02:16:23.965153
17850	2	2013-08-02 16:05:38.733677	2013-08-03 20:52:35.832437
8752	2	2013-08-02 16:05:20.646565	2013-08-03 20:52:36.209683
10208	2	2013-08-02 16:05:23.482664	2013-08-03 19:27:38.199908
13251	2	2013-08-02 16:05:29.32331	2013-08-03 19:27:38.20428
12511	2	2013-08-02 16:05:28.164851	2013-08-03 19:27:38.208298
12011	2	2013-08-02 16:05:27.018552	2013-08-03 19:27:38.212392
947	2	2013-08-02 16:05:05.460376	2013-08-03 19:27:38.217037
3644	2	2013-08-02 16:05:10.865015	2013-08-03 19:27:38.22083
4491	2	2013-08-02 16:05:12.663388	2013-08-03 19:27:38.225121
13271	2	2013-08-02 16:05:29.342803	2013-08-03 19:27:38.230491
12331	2	2013-08-02 16:05:27.782538	2013-08-03 19:27:38.236911
31425	2	2013-08-02 16:06:08.899252	2013-08-03 20:59:19.0682
17950	2	2013-08-02 16:05:38.986809	2013-08-03 20:59:20.91635
3839	2	2013-08-02 16:05:11.359749	2013-08-03 21:04:21.220316
33237	21	2013-08-02 16:06:13.487324	2013-08-04 17:01:24.113082
46598	21	2013-08-02 16:06:43.075187	2013-08-04 17:01:24.116567
746	2	2013-08-02 16:05:05.190051	2013-08-04 19:27:46.087052
4264	2	2013-08-02 16:05:12.290994	2013-08-03 20:32:23.677188
1344	2	2013-08-02 16:05:06.366792	2013-08-04 19:27:46.09902
16501	2	2013-08-02 16:05:35.608264	2013-08-03 19:07:37.603129
18010	2	2013-08-02 16:05:39.039496	2013-08-03 20:32:23.903852
6860	2	2013-08-02 16:05:17.137718	2013-08-03 22:15:16.938174
10763	21	2013-08-02 16:05:24.194418	2013-08-04 17:02:14.499214
16065	21	2013-08-02 16:05:34.520245	2013-08-03 20:32:23.943095
17156	21	2013-08-02 16:05:37.217144	2013-08-04 17:02:14.503583
21279	21	2013-08-02 16:05:45.647288	2013-08-04 17:02:14.507335
33257	2	2013-08-02 16:06:13.538721	2013-08-04 00:47:38.779569
27020	21	2013-08-02 16:05:58.68078	2013-08-04 17:02:14.510559
30055	21	2013-08-02 16:06:05.529491	2013-08-03 22:15:17.058177
38023	2	2013-08-02 16:06:24.167125	2013-08-03 19:08:23.774967
11859	21	2013-08-02 16:05:26.630642	2013-08-03 22:15:17.060195
8431	21	2013-08-02 16:05:19.8961	2013-08-03 22:15:17.061811
11879	21	2013-08-02 16:05:26.681573	2013-08-03 22:15:17.08327
6760	21	2013-08-02 16:05:16.927689	2013-08-03 22:15:17.084281
31565	2	2013-08-02 16:06:09.246834	2013-08-03 20:32:24.074476
17316	21	2013-08-02 16:05:37.671044	2013-08-04 17:02:14.513967
19880	21	2013-08-02 16:05:43.116735	2013-08-04 00:47:49.721948
18613	2	2013-08-02 16:05:39.895057	2013-08-03 22:15:17.115049
16668	21	2013-08-02 16:05:36.021143	2013-08-04 17:02:14.517827
28105	21	2013-08-02 16:06:01.221984	2013-08-04 17:02:14.524715
35523	21	2013-08-02 16:06:18.497088	2013-08-04 17:02:39.15491
17296	21	2013-08-02 16:05:37.627033	2013-08-04 17:10:54.409479
8776	21	2013-08-02 16:05:20.703155	2013-08-03 17:47:06.593722
23113	2	2013-08-02 16:05:50.476051	2013-08-04 00:47:56.004238
35123	2	2013-08-02 16:06:17.531362	2013-08-04 17:41:50.117922
16146	21	2013-08-02 16:05:34.688907	2013-08-03 20:32:24.780907
30001	2	2013-08-02 16:06:05.396342	2013-08-03 22:15:17.339734
16697	21	2013-08-02 16:05:36.059887	2013-08-04 00:55:55.526912
18626	21	2013-08-02 16:05:39.930678	2013-08-04 00:59:28.727467
29195	2	2013-08-02 16:06:03.300349	2013-08-03 19:08:23.868216
33277	2	2013-08-02 16:06:13.592295	2013-08-04 01:05:55.984383
23053	2	2013-08-02 16:05:50.217357	2013-08-04 01:05:55.992944
33177	2	2013-08-02 16:06:13.344462	2013-08-04 01:05:55.998037
3609	21	2013-08-02 16:05:10.812057	2013-08-03 20:32:25.501545
3530	21	2013-08-02 16:05:10.628139	2013-08-03 20:32:25.503898
12630	21	2013-08-02 16:05:28.390885	2013-08-04 01:08:51.782959
38303	2	2013-08-02 16:06:24.838115	2013-08-03 19:08:43.569911
23178	21	2013-08-02 16:05:50.602836	2013-08-04 01:35:46.941542
22980	2	2013-08-02 16:05:50.024393	2013-08-04 01:35:47.960632
13351	21	2013-08-02 16:05:29.416488	2013-08-03 01:25:23.674024
33197	2	2013-08-02 16:06:13.392101	2013-08-04 01:48:02.511223
23073	2	2013-08-02 16:05:50.41693	2013-08-04 01:50:56.930045
29040	2	2013-08-02 16:06:02.891413	2013-08-03 19:08:43.747356
18485	2	2013-08-02 16:05:39.637933	2013-08-03 20:34:52.878658
30361	21	2013-08-02 16:06:06.151498	2013-08-04 02:05:54.11282
48435	2	2013-08-02 16:06:46.547864	2013-08-04 02:05:54.986218
48455	2	2013-08-02 16:06:46.58449	2013-08-04 02:05:55.113125
23033	2	2013-08-02 16:05:50.165548	2013-08-04 02:05:55.230591
6984	21	2013-08-02 16:05:17.412844	2013-08-03 22:19:21.437197
6964	21	2013-08-02 16:05:17.393453	2013-08-03 22:19:21.439859
6944	21	2013-08-02 16:05:17.299167	2013-08-03 22:19:21.442936
6966	21	2013-08-02 16:05:17.395374	2013-08-03 22:19:21.445019
40883	21	2013-08-02 16:06:29.71886	2013-08-03 22:19:21.447318
6924	21	2013-08-02 16:05:17.283589	2013-08-03 22:19:21.450295
6998	21	2013-08-02 16:05:17.425116	2013-08-03 22:19:21.453706
35143	2	2013-08-02 16:06:17.580259	2013-08-03 19:12:34.443518
30481	2	2013-08-02 16:06:06.58057	2013-08-03 22:21:47.883013
48203	21	2013-08-02 16:06:46.27801	2013-08-04 02:08:13.386683
29612	21	2013-08-02 16:06:04.342099	2013-08-03 22:21:56.469055
18070	21	2013-08-02 16:05:39.110006	2013-08-04 02:10:49.924691
18390	21	2013-08-02 16:05:39.487242	2013-08-04 02:10:50.072231
18410	21	2013-08-02 16:05:39.515066	2013-08-04 02:10:50.074682
11630	2	2013-08-02 16:05:26.072411	2013-08-04 02:10:50.852225
9077	21	2013-08-02 16:05:21.421293	2013-08-03 20:37:35.456978
15973	21	2013-08-02 16:05:34.398606	2013-08-03 20:37:35.459865
3030	21	2013-08-02 16:05:09.48904	2013-08-03 20:37:35.462185
30358	2	2013-08-02 16:06:06.143388	2013-08-04 02:10:51.30792
18190	2	2013-08-02 16:05:39.247035	2013-08-04 02:10:51.512775
4129	2	2013-08-02 16:05:12.050369	2013-08-04 02:10:51.781814
30521	2	2013-08-02 16:06:06.658647	2013-08-03 22:22:32.094858
37863	2	2013-08-02 16:06:23.764216	2013-08-03 19:13:16.270285
9398	2	2013-08-02 16:05:22.268999	2013-08-04 02:10:51.924439
30495	2	2013-08-02 16:06:06.598493	2013-08-04 02:10:52.005754
29581	2	2013-08-02 16:06:04.267806	2013-08-03 22:24:24.117517
4179	21	2013-08-02 16:05:12.158796	2013-08-03 02:21:46.962924
3879	21	2013-08-02 16:05:11.457565	2013-08-03 02:21:46.967284
12571	21	2013-08-02 16:05:28.284738	2013-08-03 02:21:46.970818
13611	21	2013-08-02 16:05:29.796449	2013-08-03 02:26:54.711633
13631	21	2013-08-02 16:05:29.840309	2013-08-03 02:26:54.716012
13651	21	2013-08-02 16:05:29.894771	2013-08-03 02:26:54.719628
33815	21	2013-08-02 16:06:14.448767	2013-08-04 02:15:50.004709
11251	21	2013-08-02 16:05:25.055784	2013-08-03 22:24:24.236528
37963	2	2013-08-02 16:06:24.00525	2013-08-03 19:17:37.314637
36898	21	2013-08-02 16:06:21.480984	2013-08-03 20:42:30.247036
9283	21	2013-08-02 16:05:21.958521	2013-08-03 20:42:30.924434
18470	21	2013-08-02 16:05:39.608149	2013-08-03 20:42:30.926026
18395	21	2013-08-02 16:05:39.493874	2013-08-03 20:42:30.927422
33157	2	2013-08-02 16:06:13.296521	2013-08-04 02:27:17.653584
9081	2	2013-08-02 16:05:21.430898	2013-08-03 20:43:29.578428
29461	2	2013-08-02 16:06:03.959055	2013-08-04 02:30:51.516622
38103	2	2013-08-02 16:06:24.359929	2013-08-03 19:22:38.221776
38323	2	2013-08-02 16:06:24.890564	2013-08-03 19:22:38.232188
30181	2	2013-08-02 16:06:05.764962	2013-08-03 22:25:57.322554
37883	2	2013-08-02 16:06:23.798736	2013-08-03 19:22:38.822692
33275	2	2013-08-02 16:06:13.586982	2013-08-03 19:22:39.780126
28690	2	2013-08-02 16:06:02.076933	2013-08-03 22:29:28.511571
33215	21	2013-08-02 16:06:13.435051	2013-08-04 02:45:46.100259
37843	2	2013-08-02 16:06:23.714736	2013-08-03 19:27:40.259252
23093	21	2013-08-02 16:05:50.445865	2013-08-04 02:46:23.426258
12703	21	2013-08-02 16:05:28.521393	2013-08-03 19:32:37.847628
18603	21	2013-08-02 16:05:39.870063	2013-08-03 22:31:49.178005
16357	21	2013-08-02 16:05:35.194574	2013-08-03 02:26:56.341706
13238	21	2013-08-02 16:05:29.309564	2013-08-03 02:26:56.401238
13218	21	2013-08-02 16:05:29.288769	2013-08-03 02:26:56.402821
13198	21	2013-08-02 16:05:29.272597	2013-08-03 02:26:56.404673
27941	21	2013-08-02 16:06:01.011832	2013-08-03 22:34:29.44907
20712	21	2013-08-02 16:05:44.609732	2013-08-03 22:34:29.451797
35343	2	2013-08-02 16:06:18.058422	2013-08-03 19:32:38.138574
7350	2	2013-08-02 16:05:17.780274	2013-08-03 19:32:38.207252
1872	2	2013-08-02 16:05:07.677871	2013-08-03 19:32:38.215689
1782	2	2013-08-02 16:05:07.410916	2013-08-03 19:32:38.228562
20601	2	2013-08-02 16:05:44.504328	2013-08-03 22:39:22.245787
30421	2	2013-08-02 16:06:06.448487	2013-08-03 22:40:20.078656
35640	2	2013-08-02 16:06:18.844148	2013-08-03 20:52:35.825264
17990	21	2013-08-02 16:05:39.020185	2013-08-03 20:52:35.853616
17710	21	2013-08-02 16:05:38.586414	2013-08-03 20:52:35.857281
16086	21	2013-08-02 16:05:34.549702	2013-08-03 20:52:35.860138
30281	21	2013-08-02 16:06:06.000492	2013-08-03 22:40:20.475197
6828	21	2013-08-02 16:05:17.051773	2013-08-03 22:40:20.477773
8356	21	2013-08-02 16:05:19.661567	2013-08-03 02:32:07.282221
18528	21	2013-08-02 16:05:39.696457	2013-08-03 02:32:07.284906
18548	21	2013-08-02 16:05:39.732081	2013-08-03 02:32:07.28576
6788	21	2013-08-02 16:05:16.971626	2013-08-03 22:40:20.648341
30561	21	2013-08-02 16:06:06.764708	2013-08-03 22:44:24.978427
7618	2	2013-08-02 16:05:18.04633	2013-08-03 19:33:53.543137
18450	2	2013-08-02 16:05:39.57173	2013-08-03 20:56:05.671958
30445	21	2013-08-02 16:06:06.487838	2013-08-03 22:45:09.622201
28201	21	2013-08-02 16:06:01.493637	2013-08-03 22:45:09.624981
29741	21	2013-08-02 16:06:04.776908	2013-08-03 22:45:09.62778
34700	21	2013-08-02 16:06:16.331576	2013-08-03 22:45:29.690469
36092	21	2013-08-02 16:06:19.895563	2013-08-03 22:45:30.218202
9392	21	2013-08-02 16:05:22.253101	2013-08-03 22:49:21.654264
30501	21	2013-08-02 16:06:06.607301	2013-08-03 22:49:21.655558
20521	2	2013-08-02 16:05:44.419869	2013-08-03 22:54:24.166178
18270	21	2013-08-02 16:05:39.332826	2013-08-03 20:59:18.957013
18430	21	2013-08-02 16:05:39.540849	2013-08-03 20:59:18.958552
17510	21	2013-08-02 16:05:38.163708	2013-08-03 20:59:18.959675
18230	21	2013-08-02 16:05:39.289696	2013-08-03 22:54:49.971435
41752	2	2013-08-02 16:06:31.936348	2013-08-04 00:50:53.455462
1341	2	2013-08-02 16:05:06.359521	2013-08-04 19:27:46.10606
48575	2	2013-08-02 16:06:46.74567	2013-08-03 20:34:53.173772
22517	21	2013-08-02 16:05:48.91244	2013-08-03 18:47:35.193622
22797	21	2013-08-02 16:05:49.552146	2013-08-03 18:47:35.196582
23117	21	2013-08-02 16:05:50.483125	2013-08-03 18:47:35.199343
660	2	2013-08-02 16:05:05.10624	2013-08-04 19:27:46.111631
45061	21	2013-08-02 16:06:39.90917	2013-08-04 17:02:14.528472
28446	21	2013-08-02 16:06:01.754556	2013-08-04 17:02:14.544047
5438	21	2013-08-02 16:05:13.872429	2013-08-04 17:02:14.596867
664	2	2013-08-02 16:05:05.109659	2013-08-04 19:27:46.115999
30021	21	2013-08-02 16:06:05.444415	2013-08-03 22:19:21.913735
11779	21	2013-08-02 16:05:26.421054	2013-08-03 22:19:21.914533
34080	21	2013-08-02 16:06:14.941378	2013-08-03 22:19:21.915283
6772	21	2013-08-02 16:05:16.944737	2013-08-03 22:19:21.916109
30381	21	2013-08-02 16:06:06.20421	2013-08-03 22:19:21.916944
30541	21	2013-08-02 16:06:06.711395	2013-08-03 22:19:22.076281
30261	21	2013-08-02 16:06:05.952811	2013-08-03 22:19:22.078412
29481	21	2013-08-02 16:06:04.007583	2013-08-03 22:19:22.079927
29921	21	2013-08-02 16:06:05.202171	2013-08-03 22:19:22.082375
48955	2	2013-08-02 16:06:47.805174	2013-08-03 20:35:12.534771
10948	21	2013-08-02 16:05:24.368359	2013-08-03 17:57:12.467404
5046	21	2013-08-02 16:05:13.242291	2013-08-03 17:57:12.46905
1290	21	2013-08-02 16:05:06.228702	2013-08-03 02:37:17.395378
7021	21	2013-08-02 16:05:17.449076	2013-08-03 17:57:12.470396
21328	21	2013-08-02 16:05:45.776666	2013-08-03 17:05:34.11421
21348	21	2013-08-02 16:05:45.826938	2013-08-03 17:05:34.11586
21368	21	2013-08-02 16:05:45.880107	2013-08-03 17:05:34.116928
30577	21	2013-08-02 16:06:06.79988	2013-08-03 22:19:22.328221
21388	21	2013-08-02 16:05:45.934284	2013-08-03 17:05:34.117854
1367	21	2013-08-02 16:05:06.424854	2013-08-03 17:05:34.118689
30401	21	2013-08-02 16:06:06.425845	2013-08-03 22:19:22.330823
1347	21	2013-08-02 16:05:06.374689	2013-08-03 17:05:34.119509
12568	21	2013-08-02 16:05:28.278767	2013-08-03 17:05:34.120536
8860	21	2013-08-02 16:05:20.909189	2013-08-03 17:05:34.121867
6920	21	2013-08-02 16:05:17.280035	2013-08-03 17:57:12.471625
30341	21	2013-08-02 16:06:06.098499	2013-08-03 22:19:22.333537
29721	21	2013-08-02 16:06:04.737471	2013-08-03 22:19:22.336041
6853	21	2013-08-02 16:05:17.118957	2013-08-03 22:19:22.338602
46083	2	2013-08-02 16:06:41.672427	2013-08-03 20:35:12.927902
3059	2	2013-08-02 16:05:09.52056	2013-08-04 17:07:42.509381
47395	2	2013-08-02 16:06:44.915833	2013-08-04 17:07:42.588255
6752	21	2013-08-02 16:05:16.918286	2013-08-03 22:19:22.907519
46160	21	2013-08-02 16:06:41.77961	2013-08-03 22:19:23.090128
46912	2	2013-08-02 16:06:43.883441	2013-08-04 00:52:39.621241
1203	2	2013-08-02 16:05:06.063343	2013-08-04 17:39:08.32904
21975	2	2013-08-02 16:05:47.468109	2013-08-03 20:35:12.959378
41800	21	2013-08-02 16:06:32.060484	2013-08-04 00:52:48.680622
16806	2	2013-08-02 16:05:36.324629	2013-08-04 17:41:51.374624
21881	21	2013-08-02 16:05:47.257299	2013-08-04 17:43:55.464639
13911	21	2013-08-02 16:05:30.480409	2013-08-03 01:32:14.102108
16270	2	2013-08-02 16:05:35.001185	2013-08-03 20:35:13.020863
21001	21	2013-08-02 16:05:45.214537	2013-08-03 20:37:33.694565
37832	2	2013-08-02 16:06:23.687555	2013-08-03 22:21:47.995758
42941	2	2013-08-02 16:06:34.868949	2013-08-04 01:00:53.575707
49638	21	2013-08-02 16:06:49.717393	2013-08-03 22:21:56.471044
33217	2	2013-08-02 16:06:13.439777	2013-08-04 01:05:55.980624
20781	2	2013-08-02 16:05:44.810809	2013-08-03 20:37:34.030326
23615	21	2013-08-02 16:05:51.676291	2013-08-04 01:08:40.857858
20941	21	2013-08-02 16:05:45.135165	2013-08-03 20:37:34.074703
16266	21	2013-08-02 16:05:34.99159	2013-08-03 20:37:34.075569
13350	2	2013-08-02 16:05:29.415594	2013-08-04 01:10:51.250476
48555	2	2013-08-02 16:06:46.719826	2013-08-03 20:37:34.111541
42921	2	2013-08-02 16:06:34.84467	2013-08-04 01:55:52.129782
18663	2	2013-08-02 16:05:40.028888	2013-08-03 20:37:34.555383
23157	2	2013-08-02 16:05:50.562393	2013-08-03 18:52:33.902642
30961	2	2013-08-02 16:06:07.690763	2013-08-03 22:22:07.152634
610	21	2013-08-02 16:05:05.036705	2013-08-04 02:10:49.453436
20121	21	2013-08-02 16:05:43.81908	2013-08-04 02:10:50.069544
18590	2	2013-08-02 16:05:39.836784	2013-08-04 02:10:50.845742
9711	2	2013-08-02 16:05:22.929883	2013-08-04 02:10:51.108057
6259	2	2013-08-02 16:05:15.778701	2013-08-04 02:10:51.778043
14091	2	2013-08-02 16:05:30.915814	2013-08-04 02:10:51.914425
48595	2	2013-08-02 16:06:46.768743	2013-08-04 02:10:51.995188
48518	21	2013-08-02 16:06:46.676702	2013-08-03 22:24:24.239089
18790	2	2013-08-02 16:05:40.346429	2013-08-03 20:37:35.26854
16385	2	2013-08-02 16:05:35.237138	2013-08-04 02:15:52.341115
3349	21	2013-08-02 16:05:10.171918	2013-08-03 19:02:35.567526
16406	21	2013-08-02 16:05:35.280871	2013-08-03 20:37:35.587781
16426	21	2013-08-02 16:05:35.329633	2013-08-03 20:37:35.5885
8190	2	2013-08-02 16:05:19.251009	2013-08-03 19:09:06.246944
20823	21	2013-08-02 16:05:44.852422	2013-08-03 20:37:35.589207
32000	21	2013-08-02 16:06:10.369377	2013-08-03 20:37:35.589912
23126	2	2013-08-02 16:05:50.499694	2013-08-04 02:42:49.123851
28643	21	2013-08-02 16:06:02.028951	2013-08-04 02:45:45.80217
48815	21	2013-08-02 16:06:47.498967	2013-08-04 02:45:45.998892
23335	21	2013-08-02 16:05:50.987127	2013-08-04 02:45:46.099064
38523	21	2013-08-02 16:06:25.506921	2013-08-03 19:12:34.552107
13841	21	2013-08-02 16:05:30.337318	2013-08-04 02:56:11.518564
6086	21	2013-08-02 16:05:15.342182	2013-08-04 02:56:11.520845
38903	21	2013-08-02 16:06:26.207045	2013-08-03 19:12:34.790982
16441	2	2013-08-02 16:05:35.365549	2013-08-03 20:42:30.86576
16246	2	2013-08-02 16:05:34.939393	2013-08-03 20:42:30.876571
9372	21	2013-08-02 16:05:22.200732	2013-08-03 20:47:30.568676
30441	2	2013-08-02 16:06:06.479406	2013-08-03 22:34:29.849473
38703	2	2013-08-02 16:06:25.865901	2013-08-03 19:12:34.890224
38683	2	2013-08-02 16:06:25.834799	2013-08-03 19:12:34.894767
38663	2	2013-08-02 16:06:25.810836	2013-08-03 19:12:34.900321
38643	2	2013-08-02 16:06:25.768291	2013-08-03 19:12:34.90526
38623	2	2013-08-02 16:06:25.715271	2013-08-03 19:12:34.909722
38603	2	2013-08-02 16:06:25.666258	2013-08-03 19:12:34.913718
38583	2	2013-08-02 16:06:25.626071	2013-08-03 19:12:34.917786
141	21	2013-08-02 16:05:04.447681	2013-08-03 22:39:22.386886
37812	21	2013-08-02 16:06:23.636221	2013-08-03 22:39:22.388659
38563	2	2013-08-02 16:06:25.586071	2013-08-03 19:12:34.92198
46115	2	2013-08-02 16:06:41.707977	2013-08-03 22:39:22.732689
48915	21	2013-08-02 16:06:47.699921	2013-08-03 20:47:31.22022
16463	21	2013-08-02 16:05:35.418827	2013-08-03 20:47:31.224189
38543	2	2013-08-02 16:06:25.546408	2013-08-03 19:12:34.926395
18670	21	2013-08-02 16:05:40.17258	2013-08-03 20:47:31.226933
20821	2	2013-08-02 16:05:44.850268	2013-08-03 20:47:31.283782
18650	2	2013-08-02 16:05:39.993803	2013-08-03 20:47:31.286743
38945	21	2013-08-02 16:06:26.261711	2013-08-03 22:44:24.859433
48675	2	2013-08-02 16:06:46.948095	2013-08-03 20:48:24.823422
38483	2	2013-08-02 16:06:25.429957	2013-08-03 19:12:35.296354
33560	21	2013-08-02 16:06:14.192457	2013-08-03 22:45:09.197705
18720	2	2013-08-02 16:05:40.247491	2013-08-03 22:45:09.234243
55	21	2013-08-02 16:05:04.364733	2013-08-03 22:45:29.655818
19323	2	2013-08-02 16:05:41.662563	2013-08-03 19:13:16.223494
13391	21	2013-08-02 16:05:29.448922	2013-08-03 22:45:30.221227
28878	21	2013-08-02 16:06:02.407078	2013-08-03 22:49:21.648168
18888	21	2013-08-02 16:05:40.562975	2013-08-03 02:32:08.219768
18868	21	2013-08-02 16:05:40.52174	2013-08-03 02:32:08.223477
18848	21	2013-08-02 16:05:40.491543	2013-08-03 02:32:08.226453
6688	21	2013-08-02 16:05:16.781679	2013-08-03 22:49:21.649305
28652	21	2013-08-02 16:06:02.038398	2013-08-03 22:49:21.6505
30157	21	2013-08-02 16:06:05.717652	2013-08-03 22:49:21.65182
30817	21	2013-08-02 16:06:07.327849	2013-08-03 22:49:21.653055
48895	2	2013-08-02 16:06:47.653345	2013-08-03 20:59:21.609049
30455	2	2013-08-02 16:06:06.514213	2013-08-03 19:17:37.308864
5224	21	2013-08-02 16:05:13.500245	2013-08-03 21:04:19.668754
23597	2	2013-08-02 16:05:51.626983	2013-08-03 19:17:37.530601
20901	21	2013-08-02 16:05:45.089448	2013-08-03 21:04:19.67013
16286	21	2013-08-02 16:05:35.040249	2013-08-03 21:04:19.671308
19961	2	2013-08-02 16:05:43.324316	2013-08-03 21:04:21.561557
28552	2	2013-08-02 16:06:01.900278	2013-08-03 21:05:54.942402
20835	2	2013-08-02 16:05:44.864338	2013-08-03 22:54:24.37004
28457	2	2013-08-02 16:06:01.768374	2013-08-03 22:59:25.491854
48715	21	2013-08-02 16:06:47.054621	2013-08-03 22:59:25.865631
203	21	2013-08-02 16:05:04.52014	2013-08-03 23:01:18.982307
48775	21	2013-08-02 16:06:47.419386	2013-08-03 21:06:14.963524
48535	21	2013-08-02 16:06:46.697021	2013-08-03 23:41:32.257466
16360	21	2013-08-02 16:05:35.198541	2013-08-03 23:49:35.053873
23557	2	2013-08-02 16:05:51.520616	2013-08-03 18:43:40.836557
48755	2	2013-08-02 16:06:47.38289	2013-08-03 21:06:15.202915
13591	21	2013-08-02 16:05:29.769113	2013-08-03 20:12:23.754164
15980	21	2013-08-02 16:05:34.405118	2013-08-04 17:01:24.119307
4224	21	2013-08-02 16:05:12.224366	2013-08-04 17:01:24.123748
20741	21	2013-08-02 16:05:44.639121	2013-08-04 17:01:24.125188
27852	21	2013-08-02 16:06:00.781321	2013-08-04 17:01:24.126782
49015	21	2013-08-02 16:06:47.951337	2013-08-04 17:01:24.128173
690	2	2013-08-02 16:05:05.134961	2013-08-04 19:27:46.120236
668	2	2013-08-02 16:05:05.114523	2013-08-04 19:27:46.124608
564	2	2013-08-02 16:05:04.980432	2013-08-04 19:27:46.128686
5578	2	2013-08-02 16:05:14.197464	2013-08-04 00:55:55.34002
5426	2	2013-08-02 16:05:13.86095	2013-08-03 18:49:13.652093
11737	2	2013-08-02 16:05:26.316293	2013-08-03 22:04:59.334496
545	2	2013-08-02 16:05:04.95371	2013-08-04 19:27:46.132171
508	2	2013-08-02 16:05:04.912321	2013-08-04 19:27:46.136536
48063	2	2013-08-02 16:06:46.138035	2013-08-04 17:02:27.519203
1312	2	2013-08-02 16:05:06.286348	2013-08-04 19:27:46.140862
46915	21	2013-08-02 16:06:43.890768	2013-08-04 00:55:55.526023
6564	21	2013-08-02 16:05:16.4591	2013-08-04 17:02:27.569416
21299	21	2013-08-02 16:05:45.699542	2013-08-04 17:02:27.570182
21219	21	2013-08-02 16:05:45.527035	2013-08-04 17:02:27.571031
21148	21	2013-08-02 16:05:45.398693	2013-08-03 22:05:19.37701
25715	21	2013-08-02 16:05:55.574467	2013-08-04 00:59:28.464838
21239	21	2013-08-02 16:05:45.571452	2013-08-04 17:02:27.571867
28272	21	2013-08-02 16:06:01.572837	2013-08-03 22:09:24.202234
1503	2	2013-08-02 16:05:06.746118	2013-08-04 01:00:53.570548
8272	21	2013-08-02 16:05:19.450842	2013-08-03 22:09:24.876487
465	2	2013-08-02 16:05:04.854417	2013-08-04 19:27:46.144541
31803	2	2013-08-02 16:06:09.819568	2013-08-04 01:05:55.976921
544	2	2013-08-02 16:05:04.952846	2013-08-04 19:27:46.148487
5270	21	2013-08-02 16:05:13.557652	2013-08-03 22:09:25.688859
13768	21	2013-08-02 16:05:30.154077	2013-08-03 22:09:25.691554
5006	21	2013-08-02 16:05:13.199832	2013-08-04 01:08:51.784497
1562	2	2013-08-02 16:05:06.905812	2013-08-03 18:52:32.572717
34335	21	2013-08-02 16:06:15.442732	2013-08-03 22:11:23.272022
42370	21	2013-08-02 16:06:33.662002	2013-08-04 01:12:19.194977
1464	21	2013-08-02 16:05:06.653682	2013-08-03 22:14:24.990964
18908	2	2013-08-02 16:05:40.616193	2013-08-03 18:52:33.89808
8919	21	2013-08-02 16:05:21.03543	2013-08-03 20:21:36.526261
3769	21	2013-08-02 16:05:11.18437	2013-08-03 20:21:36.527393
3789	21	2013-08-02 16:05:11.236855	2013-08-03 20:21:36.528395
3058	2	2013-08-02 16:05:09.519069	2013-08-04 17:11:55.526971
21017	21	2013-08-02 16:05:45.236578	2013-08-03 02:58:09.215479
14217	21	2013-08-02 16:05:31.229362	2013-08-03 20:22:30.746163
20997	21	2013-08-02 16:05:45.209457	2013-08-03 02:58:09.219228
20977	21	2013-08-02 16:05:45.176977	2013-08-03 02:58:09.222728
13491	21	2013-08-02 16:05:29.539804	2013-08-03 20:22:30.747922
20957	21	2013-08-02 16:05:45.14956	2013-08-03 02:58:09.226214
20937	21	2013-08-02 16:05:45.131034	2013-08-03 02:58:09.229627
20917	21	2013-08-02 16:05:45.108848	2013-08-03 02:58:09.232598
4990	21	2013-08-02 16:05:13.180988	2013-08-03 20:22:30.749422
20897	21	2013-08-02 16:05:45.085747	2013-08-03 02:58:09.235839
9292	21	2013-08-02 16:05:21.986102	2013-08-03 20:22:30.750994
1547	2	2013-08-02 16:05:06.886454	2013-08-04 02:10:51.504554
28612	2	2013-08-02 16:06:01.985792	2013-08-04 02:10:51.559032
3274	2	2013-08-02 16:05:09.987163	2013-08-04 17:41:51.368588
19068	2	2013-08-02 16:05:41.0162	2013-08-03 20:24:25.584091
20232	2	2013-08-02 16:05:44.127845	2013-08-03 22:22:07.333122
31152	21	2013-08-02 16:06:08.321168	2013-08-03 22:24:23.10031
31181	21	2013-08-02 16:06:08.371331	2013-08-03 22:24:23.102944
31161	21	2013-08-02 16:06:08.335569	2013-08-03 22:24:23.10476
1444	2	2013-08-02 16:05:06.606875	2013-08-04 02:35:42.199996
9438	2	2013-08-02 16:05:22.37419	2013-08-04 02:35:42.56563
20252	2	2013-08-02 16:05:44.15205	2013-08-03 22:24:23.37968
7057	21	2013-08-02 16:05:17.489877	2013-08-03 22:24:23.446832
48795	2	2013-08-02 16:06:47.458766	2013-08-04 02:35:42.724227
11317	21	2013-08-02 16:05:25.230933	2013-08-03 20:27:31.35843
19248	21	2013-08-02 16:05:41.467197	2013-08-03 20:27:31.360161
19228	21	2013-08-02 16:05:41.414072	2013-08-03 20:27:31.362093
49055	2	2013-08-02 16:06:48.046075	2013-08-04 02:35:43.943069
28870	21	2013-08-02 16:06:02.388092	2013-08-03 22:24:24.249088
14325	21	2013-08-02 16:05:31.558486	2013-08-03 19:02:35.545962
21843	21	2013-08-02 16:05:47.167407	2013-08-03 19:02:35.549917
11928	21	2013-08-02 16:05:26.800298	2013-08-03 19:02:35.553135
5406	21	2013-08-02 16:05:13.827052	2013-08-03 19:02:35.556855
18948	21	2013-08-02 16:05:40.718419	2013-08-03 19:02:35.560347
18928	21	2013-08-02 16:05:40.668737	2013-08-03 19:02:35.564017
14592	21	2013-08-02 16:05:32.203557	2013-08-03 19:07:34.458775
22308	21	2013-08-02 16:05:48.279859	2013-08-03 19:07:34.462582
28192	21	2013-08-02 16:06:01.486123	2013-08-03 22:24:24.254782
9410	21	2013-08-02 16:05:22.300711	2013-08-03 19:07:34.465819
9326	21	2013-08-02 16:05:22.079222	2013-08-03 19:07:34.46764
48995	21	2013-08-02 16:06:47.903491	2013-08-04 02:37:50.550091
9346	21	2013-08-02 16:05:22.132929	2013-08-03 19:07:34.468935
9366	21	2013-08-02 16:05:22.18513	2013-08-03 19:07:34.470066
7064	21	2013-08-02 16:05:17.499343	2013-08-03 22:24:25.004544
31141	21	2013-08-02 16:06:08.306273	2013-08-03 22:24:25.005435
19128	2	2013-08-02 16:05:41.152199	2013-08-03 20:27:31.417377
19108	2	2013-08-02 16:05:41.09959	2013-08-03 20:27:31.422938
21128	21	2013-08-02 16:05:45.374906	2013-08-03 20:27:31.962352
9020	21	2013-08-02 16:05:21.284647	2013-08-03 20:27:33.263889
30921	2	2013-08-02 16:06:07.584738	2013-08-03 22:25:41.344769
47092	21	2013-08-02 16:06:44.274331	2013-08-04 03:00:36.433969
1542	2	2013-08-02 16:05:06.880899	2013-08-03 19:08:43.500605
49035	21	2013-08-02 16:06:47.99874	2013-08-04 03:00:36.438324
5306	2	2013-08-02 16:05:13.601738	2013-08-03 20:29:50.611825
36160	21	2013-08-02 16:06:20.044648	2013-08-04 03:00:36.448229
5286	2	2013-08-02 16:05:13.574035	2013-08-03 20:32:23.667237
7330	2	2013-08-02 16:05:17.757015	2013-08-03 20:32:23.900914
5245	21	2013-08-02 16:05:13.524518	2013-08-03 20:32:24.102573
48935	2	2013-08-02 16:06:47.753792	2013-08-03 22:29:27.977478
30981	2	2013-08-02 16:06:07.742732	2013-08-03 22:29:28.187609
31041	2	2013-08-02 16:06:07.888615	2013-08-03 22:29:28.198527
7024	21	2013-08-02 16:05:17.452282	2013-08-03 22:31:49.179902
7044	21	2013-08-02 16:05:17.474338	2013-08-03 22:34:28.988165
20132	21	2013-08-02 16:05:43.831326	2013-08-03 22:34:28.989655
31101	21	2013-08-02 16:06:08.032082	2013-08-03 22:34:28.991011
30901	21	2013-08-02 16:06:07.53241	2013-08-03 22:34:28.992174
46458	21	2013-08-02 16:06:42.495203	2013-08-03 22:34:28.993808
15266	21	2013-08-02 16:05:33.564934	2013-08-03 22:34:29.446235
8349	21	2013-08-02 16:05:19.644849	2013-08-03 19:12:35.654172
8450	21	2013-08-02 16:05:19.92298	2013-08-03 19:12:35.6551
8329	21	2013-08-02 16:05:19.5952	2013-08-03 19:12:35.655978
19028	21	2013-08-02 16:05:40.910392	2013-08-03 20:32:24.973825
7048	21	2013-08-02 16:05:17.478574	2013-08-03 22:45:09.636097
16290	21	2013-08-02 16:05:35.049899	2013-08-03 22:45:09.638929
8229	2	2013-08-02 16:05:19.346017	2013-08-03 19:12:35.726778
5326	21	2013-08-02 16:05:13.644168	2013-08-03 20:37:34.073694
8309	2	2013-08-02 16:05:19.544613	2013-08-03 19:12:35.815693
34355	2	2013-08-02 16:06:15.490899	2013-08-03 19:12:55.877976
19168	21	2013-08-02 16:05:41.257785	2013-08-03 20:37:35.586942
31121	2	2013-08-02 16:06:08.083505	2013-08-03 22:45:29.760638
12778	2	2013-08-02 16:05:28.700625	2013-08-03 19:22:38.215289
1427	21	2013-08-02 16:05:06.56692	2013-08-03 19:22:38.720304
14572	2	2013-08-02 16:05:32.156444	2013-08-03 19:22:38.739865
20212	2	2013-08-02 16:05:44.099553	2013-08-03 22:49:20.944124
9406	2	2013-08-02 16:05:22.290095	2013-08-03 19:22:38.750767
9386	2	2013-08-02 16:05:22.237768	2013-08-03 19:22:38.762008
8939	21	2013-08-02 16:05:21.07146	2013-08-03 22:49:21.646433
48735	21	2013-08-02 16:06:47.353954	2013-08-03 20:37:36.584737
16446	21	2013-08-02 16:05:35.37755	2013-08-03 20:37:36.587278
31205	21	2013-08-02 16:06:08.419809	2013-08-03 22:49:21.647321
13671	2	2013-08-02 16:05:29.943243	2013-08-03 19:32:39.711518
8289	2	2013-08-02 16:05:19.494059	2013-08-03 19:32:39.714837
27837	21	2013-08-02 16:06:00.74443	2013-08-03 23:01:18.985395
46460	2	2013-08-02 16:06:42.500651	2013-08-03 23:44:25.845521
19188	2	2013-08-02 16:05:41.308807	2013-08-03 20:52:35.663125
1507	2	2013-08-02 16:05:06.755789	2013-08-03 19:42:24.350157
12371	2	2013-08-02 16:05:27.882034	2013-08-03 19:42:24.544615
5206	21	2013-08-02 16:05:13.484954	2013-08-03 20:52:36.045207
5186	21	2013-08-02 16:05:13.46408	2013-08-03 20:52:36.046983
6546	2	2013-08-02 16:05:16.411569	2013-08-03 19:53:48.29266
21168	2	2013-08-02 16:05:45.42052	2013-08-04 00:00:23.058959
1457	2	2013-08-02 16:05:06.637225	2013-08-03 19:57:24.166976
13968	2	2013-08-02 16:05:30.616081	2013-08-03 19:57:25.499891
1521	2	2013-08-02 16:05:06.792979	2013-08-03 20:02:25.628835
1622	21	2013-08-02 16:05:07.016483	2013-08-03 00:12:09.470595
14288	21	2013-08-02 16:05:31.500749	2013-08-03 19:12:34.933746
14293	21	2013-08-02 16:05:31.507554	2013-08-03 19:12:34.935235
36301	2	2013-08-02 16:06:20.572249	2013-08-04 19:27:46.167161
42530	21	2013-08-02 16:06:34.066555	2013-08-04 00:59:28.465987
28561	2	2013-08-02 16:06:01.915572	2013-08-03 22:24:25.232232
46135	2	2013-08-02 16:06:41.738574	2013-08-03 22:24:25.432767
2416	2	2013-08-02 16:05:08.726823	2013-08-04 17:02:27.687609
1625	21	2013-08-02 16:05:07.022547	2013-08-03 00:17:09.585637
10166	2	2013-08-02 16:05:23.441132	2013-08-03 20:39:45.275268
22477	21	2013-08-02 16:05:48.813013	2013-08-03 19:12:34.936625
1640	2	2013-08-02 16:05:07.053059	2013-08-03 22:25:21.958741
2476	21	2013-08-02 16:05:08.787555	2013-08-04 17:02:38.961018
23366	2	2013-08-02 16:05:51.059908	2013-08-04 00:59:28.539656
1682	21	2013-08-02 16:05:07.156341	2013-08-03 00:22:08.199555
36540	2	2013-08-02 16:06:21.114207	2013-08-04 19:32:46.71782
1081	2	2013-08-02 16:05:05.715352	2013-08-04 20:57:20.086909
1667	21	2013-08-02 16:05:07.117641	2013-08-03 00:22:08.419156
23077	21	2013-08-02 16:05:50.426513	2013-08-03 19:12:34.938079
23457	21	2013-08-02 16:05:51.292198	2013-08-03 19:12:34.939447
20428	21	2013-08-02 16:05:44.329773	2013-08-03 19:12:34.94132
21655	21	2013-08-02 16:05:46.705254	2013-08-04 17:02:39.157586
49335	2	2013-08-02 16:06:48.768737	2013-08-03 20:42:30.081535
41910	21	2013-08-02 16:06:32.346044	2013-08-04 17:02:39.160055
21435	21	2013-08-02 16:05:46.053652	2013-08-04 17:02:39.162797
24831	21	2013-08-02 16:05:53.566915	2013-08-04 17:02:39.165551
2507	2	2013-08-02 16:05:08.85016	2013-08-04 17:02:39.260792
37858	21	2013-08-02 16:06:23.752018	2013-08-04 17:07:41.20006
3895	2	2013-08-02 16:05:11.496032	2013-08-03 22:31:29.882413
23146	21	2013-08-02 16:05:50.539417	2013-08-04 00:59:28.731451
16837	21	2013-08-02 16:05:36.405176	2013-08-03 22:31:49.181006
4868	21	2013-08-02 16:05:13.06737	2013-08-04 17:07:41.324971
25770	21	2013-08-02 16:05:55.710864	2013-08-04 17:07:41.389236
33417	21	2013-08-02 16:06:14.045173	2013-08-04 01:00:52.814106
23306	21	2013-08-02 16:05:50.913588	2013-08-04 01:00:52.814878
27681	21	2013-08-02 16:06:00.375452	2013-08-04 01:00:52.972431
14268	21	2013-08-02 16:05:31.356397	2013-08-03 01:45:30.238507
23246	21	2013-08-02 16:05:50.768444	2013-08-04 01:00:52.974042
14248	21	2013-08-02 16:05:31.303261	2013-08-03 01:45:30.241948
14228	21	2013-08-02 16:05:31.255565	2013-08-03 01:45:30.244902
14208	21	2013-08-02 16:05:31.207606	2013-08-03 01:45:30.247893
14188	21	2013-08-02 16:05:31.158261	2013-08-03 01:45:30.250906
11361	21	2013-08-02 16:05:25.422638	2013-08-04 01:00:52.975607
2149	21	2013-08-02 16:05:08.295958	2013-08-03 22:34:28.984653
28790	21	2013-08-02 16:06:02.188906	2013-08-03 22:34:28.986262
43581	2	2013-08-02 16:06:36.173855	2013-08-04 01:00:53.232926
33410	2	2013-08-02 16:06:14.036192	2013-08-04 01:00:53.560159
23120	2	2013-08-02 16:05:50.488657	2013-08-04 01:00:53.565436
23135	2	2013-08-02 16:05:50.517176	2013-08-04 01:00:53.683339
21775	2	2013-08-02 16:05:47.003963	2013-08-04 01:00:53.773117
28843	2	2013-08-02 16:06:02.323667	2013-08-04 01:00:53.776928
9879	21	2013-08-02 16:05:23.168083	2013-08-03 19:12:35.86488
2427	21	2013-08-02 16:05:08.738461	2013-08-04 17:10:42.594966
43012	2	2013-08-02 16:06:34.952701	2013-08-04 01:02:30.537727
24911	2	2013-08-02 16:05:53.657789	2013-08-04 17:41:51.358697
24811	2	2013-08-02 16:05:53.547294	2013-08-04 17:41:51.362083
14708	2	2013-08-02 16:05:32.447164	2013-08-03 21:17:42.703312
24851	2	2013-08-02 16:05:53.59001	2013-08-04 17:41:51.365289
9939	21	2013-08-02 16:05:23.219904	2013-08-03 22:39:22.256881
33690	2	2013-08-02 16:06:14.329452	2013-08-04 01:02:55.077504
33677	21	2013-08-02 16:06:14.317984	2013-08-04 01:03:05.427342
9795	21	2013-08-02 16:05:23.00313	2013-08-03 01:45:30.937584
9775	21	2013-08-02 16:05:22.988532	2013-08-03 01:45:30.940801
9755	21	2013-08-02 16:05:22.970024	2013-08-03 01:45:30.943872
6619	2	2013-08-02 16:05:16.602397	2013-08-03 19:12:56.132888
33977	2	2013-08-02 16:06:14.623168	2013-08-04 01:03:05.604082
18838	21	2013-08-02 16:05:40.467818	2013-08-03 17:42:03.625403
33937	21	2013-08-02 16:06:14.577787	2013-08-04 01:05:55.299657
37283	21	2013-08-02 16:06:22.164671	2013-08-03 21:21:38.129798
6689	21	2013-08-02 16:05:16.784255	2013-08-04 01:08:40.922247
1587	21	2013-08-02 16:05:06.946605	2013-08-03 21:24:20.798373
33397	21	2013-08-02 16:06:14.022724	2013-08-04 01:12:19.197256
33817	21	2013-08-02 16:06:14.45056	2013-08-04 01:12:19.199974
23206	21	2013-08-02 16:05:50.663087	2013-08-04 01:12:19.202677
33437	21	2013-08-02 16:06:14.066681	2013-08-04 01:35:46.939433
23326	2	2013-08-02 16:05:50.962171	2013-08-04 01:35:47.520631
28545	21	2013-08-02 16:06:01.888735	2013-08-03 22:40:41.016643
10023	21	2013-08-02 16:05:23.292942	2013-08-03 18:02:18.705572
33957	2	2013-08-02 16:06:14.600784	2013-08-04 01:50:57.504058
14337	21	2013-08-02 16:05:31.583247	2013-08-03 22:40:41.017587
7039	21	2013-08-02 16:05:17.468714	2013-08-03 22:40:41.018454
42990	2	2013-08-02 16:06:34.926481	2013-08-04 01:50:57.678355
9863	2	2013-08-02 16:05:23.064124	2013-08-03 21:29:21.365532
33981	2	2013-08-02 16:06:14.626898	2013-08-04 01:50:58.705776
33657	2	2013-08-02 16:06:14.300941	2013-08-04 02:05:54.524353
14168	2	2013-08-02 16:05:31.106566	2013-08-03 21:34:20.549859
14788	21	2013-08-02 16:05:32.602163	2013-08-03 18:07:21.484125
1702	2	2013-08-02 16:05:07.210621	2013-08-03 21:34:20.554026
6639	21	2013-08-02 16:05:16.655634	2013-08-03 19:17:38.880745
15108	21	2013-08-02 16:05:33.401176	2013-08-03 01:50:49.557804
33878	2	2013-08-02 16:06:14.514752	2013-08-04 02:34:23.074361
33337	21	2013-08-02 16:06:13.909302	2013-08-04 02:35:40.882611
33518	2	2013-08-02 16:06:14.146269	2013-08-04 02:35:41.394547
6719	2	2013-08-02 16:05:16.863366	2013-08-03 19:22:37.989304
6579	2	2013-08-02 16:05:16.498693	2013-08-03 19:22:37.992715
14308	2	2013-08-02 16:05:31.529506	2013-08-03 19:22:37.996351
14428	2	2013-08-02 16:05:31.810165	2013-08-03 19:22:38.00131
14148	21	2013-08-02 16:05:31.052771	2013-08-03 18:12:27.374211
14472	2	2013-08-02 16:05:31.920913	2013-08-03 19:22:38.208774
14368	2	2013-08-02 16:05:31.666304	2013-08-03 19:22:39.770308
14748	2	2013-08-02 16:05:32.516805	2013-08-03 22:45:09.078423
23386	21	2013-08-02 16:05:51.110804	2013-08-04 02:37:50.551275
10135	21	2013-08-02 16:05:23.403144	2013-08-04 02:40:48.234022
1707	21	2013-08-02 16:05:07.224304	2013-08-03 22:45:09.19884
11937	21	2013-08-02 16:05:26.822129	2013-08-03 22:45:09.199669
9918	21	2013-08-02 16:05:23.200007	2013-08-04 02:42:49.13626
1684	21	2013-08-02 16:05:07.161536	2013-08-03 22:45:29.657001
33797	2	2013-08-02 16:06:14.431519	2013-08-04 03:00:23.767581
23330	21	2013-08-02 16:05:50.971649	2013-08-04 03:00:23.925363
43255	21	2013-08-02 16:06:35.231455	2013-08-04 03:00:24.216118
18818	21	2013-08-02 16:05:40.418326	2013-08-03 22:45:30.226662
14928	21	2013-08-02 16:05:32.939452	2013-08-03 18:17:19.754426
14828	21	2013-08-02 16:05:32.691588	2013-08-03 18:17:19.755415
14988	21	2013-08-02 16:05:33.083941	2013-08-03 18:17:19.757317
5058	21	2013-08-02 16:05:13.25765	2013-08-03 18:17:19.759145
10195	21	2013-08-02 16:05:23.470333	2013-08-03 18:17:19.760883
14773	2	2013-08-02 16:05:32.569481	2013-08-03 19:27:38.160411
9655	21	2013-08-02 16:05:22.875952	2013-08-03 19:27:38.189953
9843	21	2013-08-02 16:05:23.04477	2013-08-04 03:00:36.42583
23346	21	2013-08-02 16:05:51.01388	2013-08-04 03:00:36.436584
9758	21	2013-08-02 16:05:22.972339	2013-08-03 18:22:14.082595
15008	21	2013-08-02 16:05:33.133408	2013-08-03 18:22:14.086055
9919	21	2013-08-02 16:05:23.200815	2013-08-03 18:22:14.089299
9959	2	2013-08-02 16:05:23.236099	2013-08-03 22:49:21.475381
10081	21	2013-08-02 16:05:23.348033	2013-08-03 22:49:21.542839
1662	21	2013-08-02 16:05:07.106875	2013-08-03 22:49:21.644003
14317	21	2013-08-02 16:05:31.543948	2013-08-03 22:49:21.645302
14408	2	2013-08-02 16:05:31.762765	2013-08-03 22:49:22.001773
14388	2	2013-08-02 16:05:31.714663	2013-08-03 19:32:38.130277
10152	21	2013-08-02 16:05:23.420719	2013-08-03 22:49:45.83522
6524	21	2013-08-02 16:05:16.357152	2013-08-03 22:49:45.836407
8269	2	2013-08-02 16:05:19.442811	2013-08-03 19:32:39.708487
14452	2	2013-08-02 16:05:31.867656	2013-08-03 19:33:53.671734
14532	2	2013-08-02 16:05:32.069442	2013-08-03 19:37:44.357383
14492	2	2013-08-02 16:05:31.972652	2013-08-03 19:37:45.670742
1849	21	2013-08-02 16:05:07.591468	2013-08-03 17:35:02.175872
15428	21	2013-08-02 16:05:33.727011	2013-08-03 17:42:00.672685
1807	21	2013-08-02 16:05:07.476687	2013-08-04 17:02:01.147669
49395	2	2013-08-02 16:06:48.923479	2013-08-03 20:39:45.333737
9778	2	2013-08-02 16:05:22.990976	2013-08-03 20:40:04.73996
1239	2	2013-08-02 16:05:06.135998	2013-08-04 19:28:54.575163
36120	2	2013-08-02 16:06:19.948257	2013-08-03 20:40:04.778859
1750	21	2013-08-02 16:05:07.332005	2013-08-03 00:27:06.154487
31481	2	2013-08-02 16:06:09.032979	2013-08-03 22:25:41.131694
1779	2	2013-08-02 16:05:07.403406	2013-08-04 17:02:14.191988
1770	21	2013-08-02 16:05:07.381422	2013-08-04 17:02:14.244603
6531	2	2013-08-02 16:05:16.374767	2013-08-04 01:03:10.312684
1740	21	2013-08-02 16:05:07.307845	2013-08-04 17:02:14.521696
39610	2	2013-08-02 16:06:27.359132	2013-08-04 19:28:54.673982
33898	21	2013-08-02 16:06:14.534115	2013-08-04 01:08:40.859431
1824	21	2013-08-02 16:05:07.522699	2013-08-04 19:28:54.707427
38763	21	2013-08-02 16:06:25.982211	2013-08-03 19:12:36.340097
31441	21	2013-08-02 16:06:08.937227	2013-08-03 22:34:28.982406
39468	21	2013-08-02 16:06:27.136864	2013-08-04 19:28:54.709823
31385	21	2013-08-02 16:06:08.798925	2013-08-03 22:34:28.983638
23493	21	2013-08-02 16:05:51.379635	2013-08-04 01:08:51.787051
23501	2	2013-08-02 16:05:51.399291	2013-08-04 01:10:51.652588
1189	21	2013-08-02 16:05:06.02739	2013-08-04 19:29:31.297814
4808	21	2013-08-02 16:05:13.021145	2013-08-04 01:35:46.689193
49715	2	2013-08-02 16:06:49.90491	2013-08-03 20:40:04.939931
39648	2	2013-08-02 16:06:27.455543	2013-08-04 19:32:46.097828
1096	2	2013-08-02 16:05:05.743239	2013-08-04 19:32:46.103123
48558	21	2013-08-02 16:06:46.723281	2013-08-03 22:40:41.019526
985	21	2013-08-02 16:05:05.528183	2013-08-04 19:50:38.657175
39668	2	2013-08-02 16:06:27.503366	2013-08-04 19:52:27.920374
3795	2	2013-08-02 16:05:11.251603	2013-08-04 17:02:38.913255
27698	21	2013-08-02 16:06:00.415692	2013-08-03 19:12:36.559056
27678	21	2013-08-02 16:06:00.368286	2013-08-03 19:12:36.562626
31321	21	2013-08-02 16:06:08.667893	2013-08-03 22:45:30.229394
1789	2	2013-08-02 16:05:07.429362	2013-08-03 22:49:45.690626
24097	21	2013-08-02 16:05:52.592771	2013-08-03 19:12:36.975963
49475	2	2013-08-02 16:06:49.367279	2013-08-03 22:59:25.482044
31381	21	2013-08-02 16:06:08.788317	2013-08-03 23:01:18.988021
11772	21	2013-08-02 16:05:26.402409	2013-08-04 17:02:39.168506
11031	21	2013-08-02 16:05:24.527311	2013-08-04 17:02:39.171479
34438	2	2013-08-02 16:06:15.695765	2013-08-03 20:48:43.996291
15448	2	2013-08-02 16:05:33.743007	2013-08-03 19:13:05.650914
15148	21	2013-08-02 16:05:33.454516	2013-08-03 01:56:01.31882
15128	21	2013-08-02 16:05:33.43191	2013-08-03 01:56:01.321723
31281	21	2013-08-02 16:06:08.585041	2013-08-03 23:45:51.96165
20221	2	2013-08-02 16:05:44.113441	2013-08-03 20:59:19.477457
49555	2	2013-08-02 16:06:49.513252	2013-08-03 20:59:19.488977
47683	21	2013-08-02 16:06:45.258049	2013-08-03 21:04:21.446273
49535	21	2013-08-02 16:06:49.463235	2013-08-03 21:04:21.448467
17880	21	2013-08-02 16:05:38.766228	2013-08-03 23:49:35.053057
1834	21	2013-08-02 16:05:07.550012	2013-08-04 17:07:41.199169
32583	21	2013-08-02 16:06:11.741341	2013-08-04 17:07:41.299233
10615	21	2013-08-02 16:05:24.011497	2013-08-04 17:07:41.324094
15508	21	2013-08-02 16:05:33.793088	2013-08-03 19:17:37.353458
39003	21	2013-08-02 16:06:26.33373	2013-08-03 19:17:37.354482
38003	21	2013-08-02 16:06:24.112451	2013-08-03 19:17:37.355418
5412	21	2013-08-02 16:05:13.843381	2013-08-04 17:07:41.325823
3135	21	2013-08-02 16:05:09.67134	2013-08-04 17:07:41.32672
39023	21	2013-08-02 16:06:26.35484	2013-08-03 19:17:37.621263
1748	21	2013-08-02 16:05:07.327275	2013-08-04 17:07:41.387297
15828	21	2013-08-02 16:05:34.227673	2013-08-04 17:07:41.388319
31421	21	2013-08-02 16:06:08.889525	2013-08-03 23:58:34.529436
10475	21	2013-08-02 16:05:23.771798	2013-08-03 01:56:01.987943
10455	21	2013-08-02 16:05:23.755522	2013-08-03 01:56:01.990115
10435	21	2013-08-02 16:05:23.734858	2013-08-03 01:56:01.992013
10415	21	2013-08-02 16:05:23.706878	2013-08-03 01:56:01.994186
10395	21	2013-08-02 16:05:23.680485	2013-08-03 01:56:01.997211
18710	2	2013-08-02 16:05:40.222636	2013-08-04 17:07:41.395856
10675	21	2013-08-02 16:05:24.071427	2013-08-03 19:17:37.779366
22068	2	2013-08-02 16:05:47.714492	2013-08-04 17:07:41.670259
15808	2	2013-08-02 16:05:34.200419	2013-08-04 17:07:41.730799
1760	2	2013-08-02 16:05:07.356298	2013-08-04 17:07:41.733922
15877	2	2013-08-02 16:05:34.286373	2013-08-04 17:07:41.736992
24137	2	2013-08-02 16:05:52.627325	2013-08-04 17:07:41.739974
302	2	2013-08-02 16:05:04.611148	2013-08-04 17:07:41.742962
45023	2	2013-08-02 16:06:39.613898	2013-08-04 17:07:41.753084
38383	21	2013-08-02 16:06:25.022202	2013-08-04 17:08:58.035183
10595	21	2013-08-02 16:05:23.898848	2013-08-03 19:17:38.452041
4206	21	2013-08-02 16:05:12.20398	2013-08-04 02:40:48.018384
23417	21	2013-08-02 16:05:51.192692	2013-08-03 19:17:38.874941
6520	21	2013-08-02 16:05:16.34677	2013-08-03 19:17:38.877799
5038	2	2013-08-02 16:05:13.235008	2013-08-03 21:21:27.416725
34418	21	2013-08-02 16:06:15.64184	2013-08-03 21:21:38.130916
21532	2	2013-08-02 16:05:46.34088	2013-08-03 19:19:09.154028
5269	21	2013-08-02 16:05:13.555794	2013-08-04 02:42:26.492303
31192	21	2013-08-02 16:06:08.393429	2013-08-04 17:11:51.631493
5284	21	2013-08-02 16:05:13.571898	2013-08-03 21:24:20.797478
6866	21	2013-08-02 16:05:17.154026	2013-08-04 17:11:52.30257
49495	21	2013-08-02 16:06:49.393028	2013-08-04 02:47:24.375958
1831	21	2013-08-02 16:05:07.54202	2013-08-04 17:11:52.305004
5304	2	2013-08-02 16:05:13.598854	2013-08-03 21:24:22.362097
49515	21	2013-08-02 16:06:49.425805	2013-08-03 21:25:17.414957
35403	2	2013-08-02 16:06:18.209993	2013-08-03 19:22:38.189608
1784	2	2013-08-02 16:05:07.416008	2013-08-04 17:16:52.55957
34703	2	2013-08-02 16:06:16.338982	2013-08-03 19:22:38.198844
49675	21	2013-08-02 16:06:49.809466	2013-08-04 03:00:23.799049
10535	2	2013-08-02 16:05:23.842282	2013-08-04 17:16:52.570793
24017	2	2013-08-02 16:05:52.518384	2013-08-03 19:22:39.25085
1794	21	2013-08-02 16:05:07.44186	2013-08-03 18:17:19.750255
1764	21	2013-08-02 16:05:07.366584	2013-08-03 18:17:19.751579
9156	21	2013-08-02 16:05:21.684255	2013-08-03 18:17:19.75264
6886	21	2013-08-02 16:05:17.207906	2013-08-03 18:17:19.753531
1848	2	2013-08-02 16:05:07.588667	2013-08-04 17:16:52.646889
2430	21	2013-08-02 16:05:08.742378	2013-08-04 17:16:52.948343
5710	21	2013-08-02 16:05:14.452977	2013-08-03 18:22:16.000755
38783	2	2013-08-02 16:06:26.027648	2013-08-03 19:24:59.833637
23430	2	2013-08-02 16:05:51.225932	2013-08-04 03:00:36.095068
31341	21	2013-08-02 16:06:08.700821	2013-08-04 17:31:50.22589
49575	2	2013-08-02 16:06:49.564899	2013-08-04 17:31:51.126503
28632	2	2013-08-02 16:06:02.010222	2013-08-04 17:31:52.781086
14518	2	2013-08-02 16:05:32.035942	2013-08-04 17:41:51.341443
49615	2	2013-08-02 16:06:49.662455	2013-08-04 17:41:51.346918
32655	21	2013-08-02 16:06:12.054381	2013-08-03 21:29:20.886154
49315	2	2013-08-02 16:06:48.716146	2013-08-04 17:41:51.351751
37983	2	2013-08-02 16:06:24.058787	2013-08-04 17:41:51.3555
1766	21	2013-08-02 16:05:07.371633	2013-08-04 03:00:36.428675
1827	21	2013-08-02 16:05:07.53093	2013-08-04 03:00:36.431368
23513	21	2013-08-02 16:05:51.418983	2013-08-04 03:00:36.447326
28312	21	2013-08-02 16:06:01.62112	2013-08-04 03:00:36.850588
13436	21	2013-08-02 16:05:29.49116	2013-08-04 03:00:37.04519
35683	2	2013-08-02 16:06:18.88261	2013-08-03 21:34:21.012209
19477	2	2013-08-02 16:05:42.107896	2013-08-03 21:39:31.755256
22437	21	2013-08-02 16:05:48.713912	2013-08-03 21:42:22.037331
38943	2	2013-08-02 16:06:26.258797	2013-08-03 19:29:58.379032
37423	2	2013-08-02 16:06:22.488781	2013-08-03 19:32:38.203168
38443	2	2013-08-02 16:06:25.375655	2013-08-03 19:32:38.682531
38863	2	2013-08-02 16:06:26.163184	2013-08-03 19:32:39.70532
38843	2	2013-08-02 16:06:26.11579	2013-08-03 19:32:39.989814
15468	2	2013-08-02 16:05:33.76065	2013-08-03 19:37:45.666536
38883	2	2013-08-02 16:06:26.183805	2013-08-03 19:42:24.855287
18243	2	2013-08-02 16:05:39.302514	2013-08-03 19:42:24.974139
49195	21	2013-08-02 16:06:48.402524	2013-08-03 22:09:24.199302
20266	2	2013-08-02 16:05:44.16674	2013-08-03 22:25:41.17572
16606	2	2013-08-02 16:05:35.871201	2013-08-03 20:40:05.016425
39123	2	2013-08-02 16:06:26.473597	2013-08-03 19:12:55.965368
44312	21	2013-08-02 16:06:38.187104	2013-08-04 01:05:55.29397
4828	21	2013-08-02 16:05:13.035964	2013-08-04 01:05:55.29879
25748	2	2013-08-02 16:05:55.658156	2013-08-04 17:07:42.144307
25728	2	2013-08-02 16:05:55.608237	2013-08-04 17:07:42.148214
25708	2	2013-08-02 16:05:55.55645	2013-08-04 17:07:42.151742
44325	21	2013-08-02 16:06:38.204624	2013-08-04 01:08:40.860422
39928	2	2013-08-02 16:06:28.257919	2013-08-04 19:29:07.822481
25632	2	2013-08-02 16:05:55.366648	2013-08-04 17:07:42.155148
25688	2	2013-08-02 16:05:55.503692	2013-08-04 17:07:42.15846
39748	21	2013-08-02 16:06:27.696748	2013-08-04 19:29:19.865043
25668	2	2013-08-02 16:05:55.455974	2013-08-04 17:07:42.162159
25648	2	2013-08-02 16:05:55.404438	2013-08-04 17:07:42.16577
38963	2	2013-08-02 16:06:26.293559	2013-08-03 19:12:56.208639
37353	2	2013-08-02 16:06:22.314304	2013-08-04 19:29:31.262405
39608	21	2013-08-02 16:06:27.353806	2013-08-04 19:29:31.299967
39868	21	2013-08-02 16:06:27.928029	2013-08-04 19:29:31.301815
25628	2	2013-08-02 16:05:55.357207	2013-08-04 17:07:42.169519
25608	2	2013-08-02 16:05:55.309159	2013-08-04 17:07:42.173181
35475	2	2013-08-02 16:06:18.382512	2013-08-03 19:13:16.168217
37293	21	2013-08-02 16:06:22.18394	2013-08-04 19:29:31.304636
25738	2	2013-08-02 16:05:55.633048	2013-08-04 17:07:42.176812
39908	2	2013-08-02 16:06:28.231415	2013-08-04 19:32:46.092913
39840	2	2013-08-02 16:06:27.881427	2013-08-04 19:32:46.498365
39681	2	2013-08-02 16:06:27.535168	2013-08-04 19:32:46.508382
1805	2	2013-08-02 16:05:07.471213	2013-08-04 17:07:42.244881
12417	2	2013-08-02 16:05:28.00255	2013-08-03 19:13:16.19591
1209	2	2013-08-02 16:05:06.079124	2013-08-04 19:32:46.518463
8970	2	2013-08-02 16:05:21.152651	2013-08-04 19:32:46.654701
8967	2	2013-08-02 16:05:21.14457	2013-08-04 19:32:46.665673
8950	2	2013-08-02 16:05:21.100357	2013-08-04 19:32:46.676629
39772	2	2013-08-02 16:06:27.753886	2013-08-04 19:32:46.687699
39588	2	2013-08-02 16:06:27.301095	2013-08-04 19:32:46.697685
1229	2	2013-08-02 16:05:06.125679	2013-08-04 19:32:46.707754
39888	2	2013-08-02 16:06:27.967089	2013-08-04 19:37:47.837628
20381	2	2013-08-02 16:05:44.285453	2013-08-04 02:37:38.897311
39948	2	2013-08-02 16:06:28.295386	2013-08-04 19:52:27.782431
37343	2	2013-08-02 16:06:22.290747	2013-08-04 19:57:27.866149
2024	21	2013-08-02 16:05:07.992516	2013-08-04 20:52:21.485788
2022	21	2013-08-02 16:05:07.990484	2013-08-03 17:47:03.69924
1948	21	2013-08-02 16:05:07.836182	2013-08-04 20:57:19.947971
1821	2	2013-08-02 16:05:07.5145	2013-08-04 20:57:20.015312
1967	2	2013-08-02 16:05:07.87357	2013-08-04 20:57:20.021679
20112	21	2013-08-02 16:05:43.810276	2013-08-03 22:40:20.650909
1916	2	2013-08-02 16:05:07.800096	2013-08-04 20:57:20.030077
36420	2	2013-08-02 16:06:20.84566	2013-08-04 20:57:20.045282
9520	2	2013-08-02 16:05:22.538115	2013-08-04 20:57:20.060509
39818	2	2013-08-02 16:06:27.856245	2013-08-04 20:57:20.076709
21061	2	2013-08-02 16:05:45.288931	2013-08-04 17:41:51.313234
1987	2	2013-08-02 16:05:07.92272	2013-08-04 17:41:51.317625
1888	2	2013-08-02 16:05:07.700857	2013-08-04 17:41:51.32382
1945	2	2013-08-02 16:05:07.831634	2013-08-04 17:41:51.327186
16586	2	2013-08-02 16:05:35.819616	2013-08-04 17:41:51.330502
15650	2	2013-08-02 16:05:33.92973	2013-08-04 17:41:51.334053
1999	2	2013-08-02 16:05:07.93479	2013-08-04 17:41:51.337517
39303	2	2013-08-02 16:06:26.902901	2013-08-03 19:13:16.34693
45715	21	2013-08-02 16:06:40.920271	2013-08-03 21:14:21.69861
20272	21	2013-08-02 16:05:44.172373	2013-08-03 22:45:29.657972
46920	21	2013-08-02 16:06:43.902616	2013-08-03 22:45:30.232081
24441	21	2013-08-02 16:05:52.939568	2013-08-03 22:49:21.913103
2009	21	2013-08-02 16:05:07.968091	2013-08-03 19:17:36.560946
2014	2	2013-08-02 16:05:07.980352	2013-08-04 21:01:20.763909
2002	21	2013-08-02 16:05:07.949377	2013-08-03 19:17:36.562458
1921	21	2013-08-02 16:05:07.805165	2013-08-03 19:17:36.563783
23837	21	2013-08-02 16:05:52.356648	2013-08-03 19:17:36.565173
23857	21	2013-08-02 16:05:52.372949	2013-08-03 19:17:36.566417
23877	21	2013-08-02 16:05:52.389907	2013-08-03 19:17:36.567693
1986	14	2013-08-02 16:05:07.921717	2013-08-08 01:02:57.989717
20150	21	2013-08-02 16:05:44.003307	2013-08-03 22:55:23.377912
16546	21	2013-08-02 16:05:35.72169	2013-08-03 21:24:20.796607
10179	2	2013-08-02 16:05:23.45474	2013-08-03 21:25:17.735327
34883	2	2013-08-02 16:06:16.92557	2013-08-03 19:19:09.128638
2018	2	2013-08-02 16:05:07.986139	2013-08-03 21:29:21.90587
35155	21	2013-08-02 16:06:17.612394	2013-08-03 21:30:23.206391
15230	2	2013-08-02 16:05:33.533341	2013-08-03 23:44:25.69574
10695	2	2013-08-02 16:05:24.09674	2013-08-04 18:16:05.344787
49735	21	2013-08-02 16:06:49.954091	2013-08-03 23:45:41.282258
2027	21	2013-08-02 16:05:07.996589	2013-08-04 18:16:28.462161
1998	2	2013-08-02 16:05:07.933786	2013-08-04 18:17:48.109196
37503	2	2013-08-02 16:06:22.697977	2013-08-03 19:27:37.9269
35135	2	2013-08-02 16:06:17.559922	2013-08-03 19:27:38.126837
10265	2	2013-08-02 16:05:23.540116	2013-08-03 19:27:38.137187
1929	2	2013-08-02 16:05:07.81322	2013-08-03 19:27:38.148874
15908	2	2013-08-02 16:05:34.323897	2013-08-04 18:17:49.530631
20226	21	2013-08-02 16:05:44.119968	2013-08-03 23:58:25.94313
2001	2	2013-08-02 16:05:07.946732	2013-08-04 18:17:49.5441
39243	2	2013-08-02 16:06:26.82036	2013-08-04 18:17:49.551271
2034	2	2013-08-02 16:05:08.007289	2013-08-03 21:34:21.008522
1985	21	2013-08-02 16:05:07.920525	2013-08-03 21:34:21.1696
1928	2	2013-08-02 16:05:07.81218	2013-08-03 21:34:21.600756
2019	2	2013-08-02 16:05:07.987229	2013-08-03 21:34:22.028929
1939	21	2013-08-02 16:05:07.824182	2013-08-03 18:27:15.642981
1869	2	2013-08-02 16:05:07.674704	2013-08-03 19:32:38.126996
10657	21	2013-08-02 16:05:24.05275	2013-08-03 18:27:15.646836
15968	21	2013-08-02 16:05:34.392897	2013-08-03 18:27:15.649997
15948	21	2013-08-02 16:05:34.358156	2013-08-03 18:27:15.652767
37123	2	2013-08-02 16:06:21.948385	2013-08-04 18:22:29.195435
2007	2	2013-08-02 16:05:07.962683	2013-08-04 18:27:18.721812
1942	2	2013-08-02 16:05:07.827455	2013-08-03 19:32:38.193355
15488	2	2013-08-02 16:05:33.775771	2013-08-03 19:32:38.197424
1938	2	2013-08-02 16:05:07.822295	2013-08-03 21:34:22.337197
16128	21	2013-08-02 16:05:34.64149	2013-08-03 02:00:59.579872
16108	21	2013-08-02 16:05:34.59076	2013-08-03 02:00:59.584365
44321	21	2013-08-02 16:06:38.200703	2013-08-04 02:55:10.564581
39580	21	2013-08-02 16:06:27.288029	2013-08-04 02:55:10.565846
16088	21	2013-08-02 16:05:34.554953	2013-08-03 02:00:59.588285
16068	21	2013-08-02 16:05:34.526681	2013-08-03 02:00:59.592013
16048	21	2013-08-02 16:05:34.482778	2013-08-03 02:00:59.59506
49375	21	2013-08-02 16:06:48.873234	2013-08-04 02:56:11.515418
10338	2	2013-08-02 16:05:23.623113	2013-08-03 21:39:31.744715
2028	2	2013-08-02 16:05:07.99788	2013-08-04 03:00:36.500608
1908	2	2013-08-02 16:05:07.73495	2013-08-03 21:39:33.081869
24505	2	2013-08-02 16:05:52.995746	2013-08-03 19:42:23.308648
1944	21	2013-08-02 16:05:07.830097	2013-08-03 18:37:39.740929
39283	2	2013-08-02 16:06:26.874399	2013-08-03 19:42:24.954886
1962	2	2013-08-02 16:05:07.861942	2013-08-03 19:42:24.964674
1920	21	2013-08-02 16:05:07.804138	2013-08-03 18:42:37.043456
39828	21	2013-08-02 16:06:27.86663	2013-08-04 19:32:46.76787
39532	21	2013-08-02 16:06:27.215072	2013-08-04 19:32:46.770697
1040	21	2013-08-02 16:05:05.642405	2013-08-04 19:32:46.773343
39788	2	2013-08-02 16:06:27.792082	2013-08-04 19:32:47.005089
39528	2	2013-08-02 16:06:27.208044	2013-08-04 19:32:47.015118
871	2	2013-08-02 16:05:05.366061	2013-08-04 19:32:47.025218
39768	21	2013-08-02 16:06:27.744338	2013-08-04 19:32:47.528448
1070	21	2013-08-02 16:05:05.68679	2013-08-04 19:32:47.530941
21161	2	2013-08-02 16:05:45.411702	2013-08-03 20:40:05.296607
816	21	2013-08-02 16:05:05.264039	2013-08-04 19:32:47.53344
2059	21	2013-08-02 16:05:08.066449	2013-08-04 17:02:13.516598
11023	21	2013-08-02 16:05:24.506554	2013-08-04 17:02:13.569286
39628	21	2013-08-02 16:06:27.407063	2013-08-04 19:32:47.811988
42890	2	2013-08-02 16:06:34.815781	2013-08-04 01:10:51.408838
33857	2	2013-08-02 16:06:14.490649	2013-08-04 01:10:51.567696
2195	21	2013-08-02 16:05:08.41481	2013-08-03 18:47:37.025627
2065	2	2013-08-02 16:05:08.082423	2013-08-04 01:31:50.633304
31681	21	2013-08-02 16:06:09.526145	2013-08-03 22:29:27.35186
31661	21	2013-08-02 16:06:09.478747	2013-08-03 22:29:27.352863
2167	21	2013-08-02 16:05:08.343514	2013-08-04 21:01:22.868588
2166	2	2013-08-02 16:05:08.340925	2013-08-04 21:01:22.954461
10918	2	2013-08-02 16:05:24.337668	2013-08-04 21:01:22.959113
12777	2	2013-08-02 16:05:28.697888	2013-08-04 21:01:22.964926
20286	2	2013-08-02 16:05:44.189772	2013-08-03 22:29:27.488876
23997	2	2013-08-02 16:05:52.501283	2013-08-04 21:01:22.971661
49143	2	2013-08-02 16:06:48.276203	2013-08-03 20:42:29.675945
10575	2	2013-08-02 16:05:23.879719	2013-08-04 21:01:22.978169
2288	2	2013-08-02 16:05:08.572789	2013-08-04 21:01:22.984164
9938	2	2013-08-02 16:05:23.219045	2013-08-04 21:01:22.990009
42558	21	2013-08-02 16:06:34.141804	2013-08-03 22:31:49.181986
31581	21	2013-08-02 16:06:09.285278	2013-08-03 22:31:49.182948
7084	21	2013-08-02 16:05:17.517114	2013-08-03 22:31:49.183969
25131	2	2013-08-02 16:05:54.085392	2013-08-04 21:01:22.996382
6825	21	2013-08-02 16:05:17.043755	2013-08-04 17:02:27.572862
2170	21	2013-08-02 16:05:08.351505	2013-08-04 17:02:27.573744
10877	21	2013-08-02 16:05:24.292065	2013-08-04 17:02:39.174231
10838	21	2013-08-02 16:05:24.262322	2013-08-04 17:07:41.592818
24931	2	2013-08-02 16:05:53.677585	2013-08-04 17:07:42.248194
21501	2	2013-08-02 16:05:46.289008	2013-08-04 17:07:42.251443
2118	2	2013-08-02 16:05:08.22051	2013-08-03 18:49:13.676795
3138	2	2013-08-02 16:05:09.676253	2013-08-04 17:07:42.254836
38823	2	2013-08-02 16:06:26.079413	2013-08-04 21:01:23.002405
31641	2	2013-08-02 16:06:09.42839	2013-08-03 22:45:08.843031
31561	2	2013-08-02 16:06:09.23623	2013-08-03 23:41:32.235102
2129	2	2013-08-02 16:05:08.246872	2013-08-03 18:49:49.100585
2139	2	2013-08-02 16:05:08.27111	2013-08-04 17:07:42.491763
22040	2	2013-08-02 16:05:47.640522	2013-08-04 17:07:42.495334
15588	2	2013-08-02 16:05:33.866905	2013-08-04 17:07:42.498853
31621	21	2013-08-02 16:06:09.380213	2013-08-03 23:53:46.20077
21341	2	2013-08-02 16:05:45.809912	2013-08-03 20:43:09.891961
15768	2	2013-08-02 16:05:34.16318	2013-08-04 17:07:42.502473
24891	2	2013-08-02 16:05:53.637547	2013-08-04 17:07:42.505989
2095	2	2013-08-02 16:05:08.160109	2013-08-03 18:52:33.568855
2060	21	2013-08-02 16:05:08.069135	2013-08-04 02:56:11.188789
21255	21	2013-08-02 16:05:45.605835	2013-08-04 02:56:11.373235
2069	21	2013-08-02 16:05:08.093118	2013-08-03 18:52:35.064499
2347	2	2013-08-02 16:05:08.644469	2013-08-04 17:07:42.512865
37838	2	2013-08-02 16:06:23.702054	2013-08-04 17:07:42.559671
2155	21	2013-08-02 16:05:08.312169	2013-08-03 18:52:35.733545
2128	2	2013-08-02 16:05:08.244465	2013-08-04 17:07:42.570632
10155	2	2013-08-02 16:05:23.424126	2013-08-04 17:07:42.574182
39043	2	2013-08-02 16:06:26.382756	2013-08-04 17:07:42.577749
30717	21	2013-08-02 16:06:07.078495	2013-08-04 02:59:28.471213
21121	21	2013-08-02 16:05:45.366166	2013-08-03 20:59:19.400987
15446	21	2013-08-02 16:05:33.740503	2013-08-03 20:59:19.402247
21361	21	2013-08-02 16:05:45.861946	2013-08-03 20:59:19.403353
1879	2	2013-08-02 16:05:07.687136	2013-08-04 17:07:42.581271
15670	21	2013-08-02 16:05:33.949175	2013-08-03 21:14:21.693404
21141	21	2013-08-02 16:05:45.39061	2013-08-03 21:14:21.695657
24871	2	2013-08-02 16:05:53.614462	2013-08-04 17:07:42.5848
2447	21	2013-08-02 16:05:08.761703	2013-08-04 17:07:42.603531
16680	2	2013-08-02 16:05:36.03781	2013-08-03 21:19:19.860336
2050	2	2013-08-02 16:05:08.043505	2013-08-04 17:16:52.548228
21101	2	2013-08-02 16:05:45.345422	2013-08-03 21:24:19.662659
811	2	2013-08-02 16:05:05.257637	2013-08-03 21:24:19.665914
14275	2	2013-08-02 16:05:31.481707	2013-08-03 21:24:22.12957
35023	2	2013-08-02 16:06:17.283081	2013-08-03 19:13:16.411387
2453	14	2013-08-02 16:05:08.767028	2013-08-04 18:42:33.93796
2120	14	2013-08-02 16:05:08.225434	2013-08-04 18:42:33.944329
2168	14	2013-08-02 16:05:08.346192	2013-08-04 18:42:33.950272
888	14	2013-08-02 16:05:05.382939	2013-08-04 18:42:33.956221
2147	14	2013-08-02 16:05:08.290771	2013-08-04 18:42:33.96226
19795	14	2013-08-02 16:05:42.893856	2013-08-04 18:42:33.968452
15635	14	2013-08-02 16:05:33.917897	2013-08-04 18:42:33.976903
12212	2	2013-08-02 16:05:27.49509	2013-08-04 03:00:23.596467
2084	14	2013-08-02 16:05:08.130943	2013-08-04 18:42:33.981704
38283	14	2013-08-02 16:06:24.7862	2013-08-04 18:42:33.98757
2100	14	2013-08-02 16:05:08.173758	2013-08-04 18:42:34.000675
2119	14	2013-08-02 16:05:08.223027	2013-08-04 18:42:34.005261
2099	14	2013-08-02 16:05:08.170711	2013-08-04 18:42:34.009952
10878	21	2013-08-02 16:05:24.292963	2013-08-04 03:00:23.80172
2048	14	2013-08-02 16:05:08.038382	2013-08-04 18:44:43.965842
2160	2	2013-08-02 16:05:08.325378	2013-08-03 21:49:33.344917
6119	21	2013-08-02 16:05:15.422206	2013-08-04 18:44:55.885827
2138	21	2013-08-02 16:05:08.268603	2013-08-04 18:44:55.99085
2075	21	2013-08-02 16:05:08.109105	2013-08-03 21:49:33.776587
24825	21	2013-08-02 16:05:53.560848	2013-08-04 18:47:30.71732
21512	2	2013-08-02 16:05:46.310345	2013-08-04 18:47:32.209652
2188	2	2013-08-02 16:05:08.397936	2013-08-04 18:47:32.350465
6785	2	2013-08-02 16:05:16.966301	2013-08-04 18:47:32.62653
10678	21	2013-08-02 16:05:24.075391	2013-08-03 02:01:00.675141
23777	2	2013-08-02 16:05:52.072087	2013-08-03 19:18:34.829408
2798	2	2013-08-02 16:05:09.174881	2013-08-03 21:54:21.526739
36623	2	2013-08-02 16:06:21.209647	2013-08-04 03:00:36.721665
2115	2	2013-08-02 16:05:08.21275	2013-08-03 21:54:21.852608
2125	2	2013-08-02 16:05:08.237331	2013-08-03 21:54:22.077458
15628	2	2013-08-02 16:05:33.911432	2013-08-03 21:54:22.697957
16528	21	2013-08-02 16:05:35.679067	2013-08-03 02:06:04.458734
10958	21	2013-08-02 16:05:24.38139	2013-08-04 03:00:36.85313
6805	2	2013-08-02 16:05:17.003019	2013-08-03 21:54:23.450622
2148	2	2013-08-02 16:05:08.293244	2013-08-03 21:54:23.461741
2044	21	2013-08-02 16:05:08.028086	2013-08-04 03:00:37.046069
21241	2	2013-08-02 16:05:45.576089	2013-08-03 21:59:22.608937
12757	21	2013-08-02 16:05:28.648309	2013-08-04 03:00:37.046944
2158	2	2013-08-02 16:05:08.320185	2013-08-03 21:59:22.618159
10938	21	2013-08-02 16:05:24.359441	2013-08-03 18:27:15.631496
8931	21	2013-08-02 16:05:21.050633	2013-08-03 18:27:15.635624
2150	21	2013-08-02 16:05:08.298712	2013-08-03 18:27:15.639318
10858	21	2013-08-02 16:05:24.276722	2013-08-03 18:32:16.422909
2159	21	2013-08-02 16:05:08.322872	2013-08-03 18:32:16.425116
10983	21	2013-08-02 16:05:24.423664	2013-08-03 18:32:16.426723
12737	2	2013-08-02 16:05:28.599702	2013-08-03 21:59:23.380119
23757	21	2013-08-02 16:05:52.015598	2013-08-04 03:00:37.816687
2098	2	2013-08-02 16:05:08.168053	2013-08-03 19:29:23.544035
37903	2	2013-08-02 16:06:23.84378	2013-08-03 19:32:37.827923
2140	2	2013-08-02 16:05:08.273606	2013-08-03 19:32:38.1219
21488	21	2013-08-02 16:05:46.266014	2013-08-03 19:32:38.155267
2165	2	2013-08-02 16:05:08.338349	2013-08-03 18:43:40.886312
16609	2	2013-08-02 16:05:35.878349	2013-08-04 19:32:47.94486
2355	21	2013-08-02 16:05:08.652026	2013-08-03 18:57:37.783876
33317	2	2013-08-02 16:06:13.679538	2013-08-04 01:05:55.628811
2220	2	2013-08-02 16:05:08.501135	2013-08-03 22:04:21.865632
16486	2	2013-08-02 16:05:35.578157	2013-08-04 19:32:47.949809
33717	2	2013-08-02 16:06:14.355916	2013-08-04 01:05:55.803544
16495	2	2013-08-02 16:05:35.592242	2013-08-04 19:32:47.955138
33475	2	2013-08-02 16:06:14.103012	2013-08-04 01:05:55.840976
7919	2	2013-08-02 16:05:18.625508	2013-08-04 19:32:47.96081
33990	2	2013-08-02 16:06:14.635203	2013-08-04 01:05:55.942281
4864	2	2013-08-02 16:05:13.063912	2013-08-04 01:05:55.953245
11059	2	2013-08-02 16:05:24.599747	2013-08-04 01:05:55.963906
8887	2	2013-08-02 16:05:20.977596	2013-08-04 19:32:47.966992
8907	2	2013-08-02 16:05:21.019428	2013-08-04 19:32:47.973524
2290	2	2013-08-02 16:05:08.576462	2013-08-04 02:54:59.575562
8927	2	2013-08-02 16:05:21.044671	2013-08-04 19:32:47.979667
8947	2	2013-08-02 16:05:21.09234	2013-08-04 19:32:47.985899
8797	2	2013-08-02 16:05:20.754867	2013-08-04 19:32:47.992308
2300	21	2013-08-02 16:05:08.588768	2013-08-03 22:05:19.087988
36806	2	2013-08-02 16:06:21.394947	2013-08-04 19:32:48.125461
36758	2	2013-08-02 16:06:21.351978	2013-08-04 19:32:48.136068
36778	2	2013-08-02 16:06:21.370245	2013-08-04 19:32:48.14751
21301	21	2013-08-02 16:05:45.705244	2013-08-03 20:42:31.378147
36786	2	2013-08-02 16:06:21.377228	2013-08-04 19:32:48.159209
17170	21	2013-08-02 16:05:37.254439	2013-08-03 20:42:31.381038
44783	21	2013-08-02 16:06:39.346004	2013-08-03 20:42:31.383562
49695	21	2013-08-02 16:06:49.857063	2013-08-03 20:42:31.386089
19561	21	2013-08-02 16:05:42.310273	2013-08-03 20:42:31.388536
36798	2	2013-08-02 16:06:21.388171	2013-08-04 19:32:48.169329
36766	2	2013-08-02 16:06:21.358846	2013-08-04 19:32:48.176145
36746	2	2013-08-02 16:06:21.338008	2013-08-04 19:32:48.180956
2331	2	2013-08-02 16:05:08.627931	2013-08-04 17:02:01.102703
16628	21	2013-08-02 16:05:35.926672	2013-08-04 17:02:13.477213
31461	21	2013-08-02 16:06:08.98476	2013-08-04 17:02:13.519119
16789	21	2013-08-02 16:05:36.278646	2013-08-04 19:32:48.320758
4532	14	2013-08-02 16:05:12.70951	2013-08-04 19:32:48.331039
16769	14	2013-08-02 16:05:36.22581	2013-08-04 19:32:48.336545
2208	21	2013-08-02 16:05:08.486821	2013-08-03 22:09:24.873889
2200	21	2013-08-02 16:05:08.427013	2013-08-03 22:09:25.684748
16808	21	2013-08-02 16:05:36.329926	2013-08-03 22:11:23.272916
2278	21	2013-08-02 16:05:08.560885	2013-08-03 22:14:26.039162
20281	21	2013-08-02 16:05:44.185264	2013-08-03 21:19:19.836794
20201	2	2013-08-02 16:05:44.083957	2013-08-03 21:19:19.856314
2304	2	2013-08-02 16:05:08.59766	2013-08-03 21:51:28.184592
16648	21	2013-08-02 16:05:35.977816	2013-08-04 17:02:39.177061
22165	21	2013-08-02 16:05:47.958811	2013-08-03 22:29:28.024529
2281	21	2013-08-02 16:05:08.564032	2013-08-03 21:56:15.018988
11506	21	2013-08-02 16:05:25.793672	2013-08-03 22:29:28.822687
1544	21	2013-08-02 16:05:06.883107	2013-08-03 22:29:28.823677
2706	21	2013-08-02 16:05:09.088088	2013-08-03 22:29:28.824918
2796	21	2013-08-02 16:05:09.17243	2013-08-03 22:29:28.825925
2319	21	2013-08-02 16:05:08.616694	2013-08-04 17:02:39.179804
2298	2	2013-08-02 16:05:08.5857	2013-08-03 18:59:37.170816
2243	2	2013-08-02 16:05:08.524289	2013-08-04 17:07:42.488141
49895	2	2013-08-02 16:06:50.370102	2013-08-04 17:07:42.5633
2301	2	2013-08-02 16:05:08.591287	2013-08-04 17:07:42.567179
2230	2	2013-08-02 16:05:08.511881	2013-08-03 19:02:37.156331
2315	2	2013-08-02 16:05:08.613197	2013-08-03 19:02:37.161747
2291	21	2013-08-02 16:05:08.578012	2013-08-03 19:02:37.67466
7181	21	2013-08-02 16:05:17.607643	2013-08-03 22:31:49.184894
11078	2	2013-08-02 16:05:24.64862	2013-08-04 17:07:42.839652
31655	21	2013-08-02 16:06:09.464438	2013-08-03 22:36:31.587504
46940	2	2013-08-02 16:06:43.949933	2013-08-03 22:40:20.162117
20125	21	2013-08-02 16:05:43.822196	2013-08-03 22:40:20.65359
18466	21	2013-08-02 16:05:39.600225	2013-08-03 22:49:45.837544
21559	2	2013-08-02 16:05:46.36949	2013-08-04 17:07:42.96445
21539	2	2013-08-02 16:05:46.349878	2013-08-04 17:07:42.968268
21519	2	2013-08-02 16:05:46.319815	2013-08-04 17:07:42.971936
28532	2	2013-08-02 16:06:01.861738	2013-08-03 23:11:28.508118
21457	2	2013-08-02 16:05:46.222315	2013-08-04 17:07:42.979223
18443	2	2013-08-02 16:05:39.560277	2013-08-04 17:07:42.982979
21499	2	2013-08-02 16:05:46.285141	2013-08-04 17:07:42.986642
21479	2	2013-08-02 16:05:46.251806	2013-08-04 17:07:42.99029
21459	2	2013-08-02 16:05:46.224358	2013-08-04 17:07:42.993873
21470	2	2013-08-02 16:05:46.23842	2013-08-04 17:07:42.997293
21439	2	2013-08-02 16:05:46.064168	2013-08-04 17:07:43.000815
16688	21	2013-08-02 16:05:36.047399	2013-08-04 17:10:54.412506
2252	21	2013-08-02 16:05:08.533346	2013-08-03 19:07:35.846097
2309	2	2013-08-02 16:05:08.607262	2013-08-04 17:16:52.52656
16508	21	2013-08-02 16:05:35.626623	2013-08-03 02:06:04.462862
16488	21	2013-08-02 16:05:35.580288	2013-08-03 02:06:04.466647
2225	2	2013-08-02 16:05:08.506406	2013-08-04 17:16:52.537281
2205	21	2013-08-02 16:05:08.439615	2013-08-03 18:02:16.256742
20181	2	2013-08-02 16:05:44.063675	2013-08-04 18:47:29.917904
22108	2	2013-08-02 16:05:47.818155	2013-08-04 18:47:30.388745
2247	21	2013-08-02 16:05:08.528681	2013-08-04 18:47:30.716433
10655	21	2013-08-02 16:05:24.049818	2013-08-04 18:47:30.850681
4384	14	2013-08-02 16:05:12.544399	2013-08-04 18:47:30.862356
2187	14	2013-08-02 16:05:08.395421	2013-08-04 18:47:30.872075
2307	14	2013-08-02 16:05:08.605042	2013-08-04 18:47:30.881624
6115	2	2013-08-02 16:05:15.412413	2013-08-03 19:17:36.805628
3921	14	2013-08-02 16:05:11.558915	2013-08-04 18:47:30.887233
2413	14	2013-08-02 16:05:08.723291	2013-08-04 18:47:30.893702
2434	14	2013-08-02 16:05:08.749356	2013-08-04 18:47:30.899499
2212	14	2013-08-02 16:05:08.491437	2013-08-04 18:47:30.904159
34783	14	2013-08-02 16:06:16.548882	2013-08-04 18:47:30.909492
13455	14	2013-08-02 16:05:29.507548	2013-08-04 18:47:30.916477
2336	2	2013-08-02 16:05:08.632704	2013-08-04 18:52:30.087712
2308	21	2013-08-02 16:05:08.60633	2013-08-03 18:02:17.497487
16788	21	2013-08-02 16:05:36.275897	2013-08-03 18:02:17.498881
16848	21	2013-08-02 16:05:36.434292	2013-08-03 18:02:17.501853
21339	2	2013-08-02 16:05:45.805038	2013-08-04 18:52:30.091874
28366	2	2013-08-02 16:06:01.674943	2013-08-04 18:52:30.096486
28500	2	2013-08-02 16:06:01.817575	2013-08-04 18:52:30.10109
28397	2	2013-08-02 16:06:01.708092	2013-08-04 18:52:30.105886
10751	2	2013-08-02 16:05:24.183404	2013-08-03 19:17:37.321209
26078	2	2013-08-02 16:05:56.530306	2013-08-03 19:17:37.327251
16521	2	2013-08-02 16:05:35.660839	2013-08-03 19:17:37.333427
29795	21	2013-08-02 16:06:04.883747	2013-08-03 19:17:37.349755
35283	21	2013-08-02 16:06:17.921082	2013-08-03 19:17:37.351242
38183	21	2013-08-02 16:06:24.550128	2013-08-03 19:17:37.352451
23957	2	2013-08-02 16:05:52.46075	2013-08-04 18:52:30.110591
3612	2	2013-08-02 16:05:10.814628	2013-08-03 19:17:37.702935
23266	2	2013-08-02 16:05:50.816415	2013-08-04 18:52:30.114767
3730	2	2013-08-02 16:05:11.078132	2013-08-03 19:17:37.714869
20388	2	2013-08-02 16:05:44.294021	2013-08-03 19:19:08.956328
8636	21	2013-08-02 16:05:20.359564	2013-08-03 18:32:16.411197
5706	21	2013-08-02 16:05:14.443495	2013-08-03 18:32:16.414796
16828	21	2013-08-02 16:05:36.381798	2013-08-03 18:32:16.417779
8716	21	2013-08-02 16:05:20.561316	2013-08-03 18:32:16.420226
16608	21	2013-08-02 16:05:35.875942	2013-08-03 18:37:40.534727
2210	21	2013-08-02 16:05:08.489281	2013-08-03 18:37:40.53792
2266	21	2013-08-02 16:05:08.547728	2013-08-03 18:37:40.541143
2204	21	2013-08-02 16:05:08.437144	2013-08-03 18:37:40.544452
16728	21	2013-08-02 16:05:36.116788	2013-08-03 18:37:40.547559
6816	21	2013-08-02 16:05:17.024744	2013-08-03 18:37:40.550731
2321	21	2013-08-02 16:05:08.618564	2013-08-03 19:22:36.867697
16588	21	2013-08-02 16:05:35.824814	2013-08-03 19:22:36.871657
2338	21	2013-08-02 16:05:08.635117	2013-08-03 19:22:36.875216
9888	21	2013-08-02 16:05:23.175811	2013-08-03 19:22:36.87892
11291	21	2013-08-02 16:05:25.161934	2013-08-03 19:22:36.882578
16708	2	2013-08-02 16:05:36.076796	2013-08-03 19:25:19.316438
23937	2	2013-08-02 16:05:52.439085	2013-08-03 19:32:37.626889
30135	21	2013-08-02 16:06:05.673838	2013-08-03 19:37:44.22933
32795	21	2013-08-02 16:06:12.395294	2013-08-03 19:37:44.233354
32295	21	2013-08-02 16:06:11.041983	2013-08-03 19:37:44.236373
39263	21	2013-08-02 16:06:26.845757	2013-08-03 19:37:44.239085
2280	2	2013-08-02 16:05:08.562957	2013-08-03 19:38:56.812497
39103	2	2013-08-02 16:06:26.450808	2013-08-03 19:42:38.281548
16775	14	2013-08-02 16:05:36.241638	2013-08-04 19:32:48.340623
11198	21	2013-08-02 16:05:24.93896	2013-08-03 18:47:37.529043
33357	2	2013-08-02 16:06:13.949844	2013-08-04 01:05:55.970248
11218	21	2013-08-02 16:05:24.990831	2013-08-03 18:47:37.531018
4799	21	2013-08-02 16:05:13.014532	2013-08-03 17:42:03.918173
11075	21	2013-08-02 16:05:24.641465	2013-08-03 18:47:37.53213
23286	2	2013-08-02 16:05:50.865334	2013-08-04 01:05:55.973671
19111	2	2013-08-02 16:05:41.107883	2013-08-04 01:05:56.053381
2449	2	2013-08-02 16:05:08.763451	2013-08-03 18:47:37.581991
2482	21	2013-08-02 16:05:08.827633	2013-08-03 18:02:14.594185
4552	14	2013-08-02 16:05:12.726132	2013-08-04 19:32:48.345112
12230	14	2013-08-02 16:05:27.538834	2013-08-04 19:32:48.351355
41663	14	2013-08-02 16:06:31.715467	2013-08-04 19:32:48.356537
2385	21	2013-08-02 16:05:08.689215	2013-08-03 18:02:14.596946
16749	2	2013-08-02 16:05:36.171948	2013-08-04 19:32:48.366767
16729	2	2013-08-02 16:05:36.119412	2013-08-04 19:32:48.373206
2386	2	2013-08-02 16:05:08.691451	2013-08-04 17:02:14.012896
32632	2	2013-08-02 16:06:12.015776	2013-08-04 19:32:48.377986
16709	2	2013-08-02 16:05:36.078657	2013-08-04 19:32:48.381292
16777	2	2013-08-02 16:05:36.246695	2013-08-04 19:32:48.385291
16689	2	2013-08-02 16:05:36.048666	2013-08-04 19:32:48.390134
2489	2	2013-08-02 16:05:08.833709	2013-08-03 18:54:20.016821
21621	2	2013-08-02 16:05:46.615189	2013-08-03 20:43:09.833926
21561	21	2013-08-02 16:05:46.370917	2013-08-04 17:02:38.96382
22168	21	2013-08-02 16:05:47.966606	2013-08-03 22:09:24.193618
2431	2	2013-08-02 16:05:08.744056	2013-08-04 19:32:49.146153
2440	2	2013-08-02 16:05:08.754675	2013-08-03 19:05:13.705548
2469	21	2013-08-02 16:05:08.782124	2013-08-03 22:09:24.196501
1486	2	2013-08-02 16:05:06.705682	2013-08-04 19:32:49.157893
21601	21	2013-08-02 16:05:46.424778	2013-08-04 17:02:39.182502
589	2	2013-08-02 16:05:05.01643	2013-08-04 19:32:49.169095
915	2	2013-08-02 16:05:05.416258	2013-08-04 19:42:27.046459
2723	2	2013-08-02 16:05:09.102273	2013-08-03 20:43:09.93071
11095	21	2013-08-02 16:05:24.688903	2013-08-03 22:19:22.073725
11999	21	2013-08-02 16:05:26.988431	2013-08-03 22:29:29.061636
7104	21	2013-08-02 16:05:17.53416	2013-08-03 22:29:29.065115
16428	21	2013-08-02 16:05:35.3344	2013-08-03 22:29:29.067623
31601	2	2013-08-02 16:06:09.332749	2013-08-03 22:29:29.108711
5381	2	2013-08-02 16:05:13.757666	2013-08-03 20:43:29.148556
6525	21	2013-08-02 16:05:16.359612	2013-08-03 18:07:17.734199
21481	21	2013-08-02 16:05:46.25494	2013-08-03 20:47:31.715189
11871	21	2013-08-02 16:05:26.660696	2013-08-03 22:31:29.912207
11231	21	2013-08-02 16:05:25.005705	2013-08-03 22:31:29.913856
13571	21	2013-08-02 16:05:29.744306	2013-08-03 22:31:29.917304
21945	21	2013-08-02 16:05:47.39375	2013-08-03 22:31:29.918823
12332	21	2013-08-02 16:05:27.784913	2013-08-03 22:31:29.920335
7466	21	2013-08-02 16:05:17.891534	2013-08-03 22:31:49.185826
2497	21	2013-08-02 16:05:08.841555	2013-08-04 17:07:41.198241
5432	21	2013-08-02 16:05:13.867063	2013-08-04 17:07:41.322981
2485	2	2013-08-02 16:05:08.830358	2013-08-04 17:07:41.695254
2457	2	2013-08-02 16:05:08.771482	2013-08-03 19:13:16.247096
2367	2	2013-08-02 16:05:08.665448	2013-08-04 17:07:41.727719
5464	2	2013-08-02 16:05:13.899368	2013-08-03 21:04:20.318115
5835	21	2013-08-02 16:05:14.75163	2013-08-03 22:49:21.910276
2394	21	2013-08-02 16:05:08.701837	2013-08-03 19:17:37.348488
9966	2	2013-08-02 16:05:23.241544	2013-08-03 19:17:37.724839
26695	2	2013-08-02 16:05:57.743977	2013-08-03 19:17:37.736601
16832	2	2013-08-02 16:05:36.392568	2013-08-03 19:17:37.743252
36600	21	2013-08-02 16:06:21.185587	2013-08-03 21:04:21.444574
34903	2	2013-08-02 16:06:16.969379	2013-08-03 19:17:37.747442
26545	2	2013-08-02 16:05:57.364996	2013-08-03 19:17:37.75149
12530	2	2013-08-02 16:05:28.203034	2013-08-03 19:17:37.757181
2460	21	2013-08-02 16:05:08.774025	2013-08-03 19:17:37.771685
333	21	2013-08-02 16:05:04.672007	2013-08-03 21:19:19.833645
38143	21	2013-08-02 16:06:24.45433	2013-08-03 19:17:37.773578
38983	21	2013-08-02 16:06:26.317682	2013-08-03 19:17:37.776117
28792	21	2013-08-02 16:06:02.193361	2013-08-03 21:19:19.835661
35295	21	2013-08-02 16:06:17.937915	2013-08-03 19:17:37.777216
37463	21	2013-08-02 16:06:22.592	2013-08-03 19:17:37.778184
35463	2	2013-08-02 16:06:18.353981	2013-08-03 19:17:38.001309
1087	21	2013-08-02 16:05:05.732665	2013-08-03 19:17:38.045267
1047	2	2013-08-02 16:05:05.654945	2013-08-03 19:17:38.064219
5490	2	2013-08-02 16:05:14.001759	2013-08-03 19:17:38.07436
23197	2	2013-08-02 16:05:50.639934	2013-08-03 19:17:38.084796
8331	2	2013-08-02 16:05:19.600226	2013-08-03 19:17:38.095191
3197	2	2013-08-02 16:05:09.797667	2013-08-03 19:17:38.105602
19708	2	2013-08-02 16:05:42.678179	2013-08-03 19:17:38.115648
3852	2	2013-08-02 16:05:11.391206	2013-08-03 19:17:38.126008
35723	2	2013-08-02 16:06:18.952601	2013-08-03 19:17:38.135823
35423	2	2013-08-02 16:06:18.258786	2013-08-03 19:17:38.147562
20218	2	2013-08-02 16:05:44.108739	2013-08-03 21:29:20.297179
28472	2	2013-08-02 16:06:01.785829	2013-08-04 17:07:42.241332
34803	2	2013-08-02 16:06:16.80486	2013-08-04 17:07:42.480947
2415	2	2013-08-02 16:05:08.72564	2013-08-03 19:19:09.186525
8659	2	2013-08-02 16:05:20.420699	2013-08-04 17:07:42.484513
2467	2	2013-08-02 16:05:08.78053	2013-08-04 17:07:42.552748
2433	21	2013-08-02 16:05:08.748403	2013-08-03 18:22:14.079771
11018	21	2013-08-02 16:05:24.494015	2013-08-03 18:37:40.528146
13197	21	2013-08-02 16:05:29.271848	2013-08-03 18:37:40.531569
2429	21	2013-08-02 16:05:08.740998	2013-08-03 18:42:37.754561
2389	21	2013-08-02 16:05:08.695121	2013-08-03 18:42:37.757986
2395	2	2013-08-02 16:05:08.70295	2013-08-03 19:22:36.532943
2409	21	2013-08-02 16:05:08.719073	2013-08-03 18:42:37.761108
2365	21	2013-08-02 16:05:08.66356	2013-08-03 18:42:37.764273
13217	21	2013-08-02 16:05:29.28787	2013-08-03 18:42:37.767457
2425	21	2013-08-02 16:05:08.736123	2013-08-03 18:42:37.77058
823	2	2013-08-02 16:05:05.270673	2013-08-04 17:07:42.556186
16568	21	2013-08-02 16:05:35.776223	2013-08-03 18:42:37.773744
2407	21	2013-08-02 16:05:08.717342	2013-08-04 17:08:58.037912
16548	21	2013-08-02 16:05:35.726859	2013-08-03 19:22:38.985837
2379	21	2013-08-02 16:05:08.680969	2013-08-04 17:16:52.483442
46155	2	2013-08-02 16:06:41.76919	2013-08-04 17:16:52.494832
2445	2	2013-08-02 16:05:08.759872	2013-08-04 17:16:52.504483
2387	2	2013-08-02 16:05:08.693195	2013-08-04 17:16:52.514814
6766	2	2013-08-02 16:05:16.935852	2013-08-04 18:52:29.948097
2426	2	2013-08-02 16:05:08.73723	2013-08-04 18:52:29.960047
2401	2	2013-08-02 16:05:08.710057	2013-08-04 18:52:29.97199
11158	2	2013-08-02 16:05:24.838636	2013-08-04 18:52:29.983325
2372	2	2013-08-02 16:05:08.670687	2013-08-04 18:52:29.994926
2455	2	2013-08-02 16:05:08.769084	2013-08-04 18:52:30.001325
2393	2	2013-08-02 16:05:08.700742	2013-08-04 18:52:30.011908
2438	2	2013-08-02 16:05:08.752923	2013-08-04 18:52:30.023222
10835	2	2013-08-02 16:05:24.259992	2013-08-04 18:52:30.034074
11098	2	2013-08-02 16:05:24.695909	2013-08-04 18:52:30.050038
2405	2	2013-08-02 16:05:08.714711	2013-08-04 18:52:30.063027
11178	2	2013-08-02 16:05:24.887298	2013-08-03 19:27:38.117665
2390	2	2013-08-02 16:05:08.69651	2013-08-03 19:27:38.601341
18478	2	2013-08-02 16:05:39.625966	2013-08-04 18:52:30.080137
10998	21	2013-08-02 16:05:24.448474	2013-08-04 18:56:12.158631
2487	21	2013-08-02 16:05:08.832008	2013-08-04 18:57:37.820542
2473	2	2013-08-02 16:05:08.785206	2013-08-03 19:34:28.690851
2373	2	2013-08-02 16:05:08.671593	2013-08-03 19:37:43.880029
2369	2	2013-08-02 16:05:08.667189	2013-08-03 19:42:24.851402
2495	21	2013-08-02 16:05:08.839676	2013-08-03 19:42:24.868194
2361	21	2013-08-02 16:05:08.659063	2013-08-03 19:42:24.870277
2384	21	2013-08-02 16:05:08.68758	2013-08-03 19:42:24.871917
6298	2	2013-08-02 16:05:15.860204	2013-08-03 19:47:26.651141
2480	2	2013-08-02 16:05:08.825911	2013-08-03 19:47:26.663857
11298	21	2013-08-02 16:05:25.180877	2013-08-03 02:06:05.905331
11278	21	2013-08-02 16:05:25.127612	2013-08-03 02:06:05.907372
2380	2	2013-08-02 16:05:08.683151	2013-08-03 19:50:14.738247
2418	2	2013-08-02 16:05:08.728803	2013-08-03 19:52:26.580352
2458	2	2013-08-02 16:05:08.772334	2013-08-03 19:52:26.824082
2635	21	2013-08-02 16:05:08.983896	2013-08-03 18:47:37.523333
19093	2	2013-08-02 16:05:41.060613	2013-08-04 01:05:56.062914
1644	2	2013-08-02 16:05:07.061604	2013-08-04 19:32:49.18601
12635	2	2013-08-02 16:05:28.396913	2013-08-04 01:05:56.074727
5499	21	2013-08-02 16:05:14.013407	2013-08-03 18:47:37.526349
687	2	2013-08-02 16:05:05.131972	2013-08-04 19:32:49.194657
282	21	2013-08-02 16:05:04.592216	2013-08-03 22:04:59.235046
12566	2	2013-08-02 16:05:28.274653	2013-08-04 01:05:56.086528
1504	2	2013-08-02 16:05:06.748488	2013-08-04 19:32:49.200796
11138	21	2013-08-02 16:05:24.791033	2013-08-03 18:52:35.713994
2561	21	2013-08-02 16:05:08.90759	2013-08-03 00:12:09.72216
19091	2	2013-08-02 16:05:41.055417	2013-08-04 01:05:56.099049
105	21	2013-08-02 16:05:04.414486	2013-08-04 17:02:14.252764
19071	2	2013-08-02 16:05:41.019127	2013-08-04 01:05:56.103664
1218	2	2013-08-02 16:05:06.10349	2013-08-04 19:32:49.206489
1132	2	2013-08-02 16:05:05.831757	2013-08-04 19:32:49.210879
19051	2	2013-08-02 16:05:40.973462	2013-08-04 01:05:56.107019
19090	2	2013-08-02 16:05:41.052774	2013-08-04 01:05:56.115376
2668	2	2013-08-02 16:05:09.057857	2013-08-03 22:05:19.255695
19031	2	2013-08-02 16:05:40.917875	2013-08-04 01:05:56.123825
814	2	2013-08-02 16:05:05.262412	2013-08-03 20:43:29.254958
19011	2	2013-08-02 16:05:40.870136	2013-08-04 01:05:56.134782
2343	21	2013-08-02 16:05:08.640622	2013-08-03 22:09:24.190873
6103	21	2013-08-02 16:05:15.381564	2013-08-03 22:09:24.65941
1475	2	2013-08-02 16:05:06.679714	2013-08-04 19:32:49.214755
18686	2	2013-08-02 16:05:40.189421	2013-08-04 01:05:56.163389
1349	2	2013-08-02 16:05:06.379834	2013-08-04 19:32:49.283784
23473	2	2013-08-02 16:05:51.331664	2013-08-04 01:05:56.173967
33897	2	2013-08-02 16:06:14.53325	2013-08-04 01:05:56.18385
11115	21	2013-08-02 16:05:24.736413	2013-08-03 18:52:35.71787
49443	2	2013-08-02 16:06:49.046304	2013-08-03 20:43:29.394037
2548	2	2013-08-02 16:05:08.893087	2013-08-03 22:11:42.982516
47732	2	2013-08-02 16:06:45.35617	2013-08-04 01:05:56.279979
14706	2	2013-08-02 16:05:32.444397	2013-08-04 01:05:56.340853
36873	2	2013-08-02 16:06:21.455257	2013-08-04 19:32:49.351585
2568	21	2013-08-02 16:05:08.913695	2013-08-03 22:11:43.364997
870	2	2013-08-02 16:05:05.365144	2013-08-04 19:32:49.577957
2584	21	2013-08-02 16:05:08.928984	2013-08-03 22:14:24.513912
117	21	2013-08-02 16:05:04.425355	2013-08-03 20:47:31.71414
33877	2	2013-08-02 16:06:14.513985	2013-08-04 01:05:56.346079
13431	21	2013-08-02 16:05:29.486841	2013-08-03 22:31:29.92229
2649	21	2013-08-02 16:05:09.043749	2013-08-03 18:52:35.72154
2605	21	2013-08-02 16:05:08.951196	2013-08-03 18:12:24.150893
2565	21	2013-08-02 16:05:08.911197	2013-08-03 18:52:35.725869
2516	21	2013-08-02 16:05:08.856876	2013-08-03 18:52:35.729894
21535	2	2013-08-02 16:05:46.346014	2013-08-03 20:48:24.87294
23217	21	2013-08-02 16:05:50.691858	2013-08-03 22:31:29.923729
23693	2	2013-08-02 16:05:51.881043	2013-08-04 01:05:56.369878
14843	2	2013-08-02 16:05:32.729824	2013-08-04 01:05:56.374279
36946	21	2013-08-02 16:06:21.530931	2013-08-04 19:34:36.155308
23673	2	2013-08-02 16:05:51.83246	2013-08-04 01:05:56.380384
22166	2	2013-08-02 16:05:47.96117	2013-08-04 19:37:46.206257
36985	21	2013-08-02 16:06:21.572748	2013-08-04 19:37:46.225813
96	2	2013-08-02 16:05:04.405739	2013-08-03 20:56:06.213371
37358	2	2013-08-02 16:06:22.326575	2013-08-04 19:37:46.529668
37226	2	2013-08-02 16:06:22.087894	2013-08-04 19:37:46.533414
37212	2	2013-08-02 16:06:22.067032	2013-08-04 19:37:46.537865
21453	2	2013-08-02 16:05:46.217916	2013-08-04 17:07:43.004369
37046	2	2013-08-02 16:06:21.854559	2013-08-04 19:37:46.7329
25576	2	2013-08-02 16:05:55.231838	2013-08-04 19:37:46.997735
25556	21	2013-08-02 16:05:55.182516	2013-08-04 19:37:47.480963
187	2	2013-08-02 16:05:04.506913	2013-08-03 21:04:20.313404
39423	21	2013-08-02 16:06:27.072514	2013-08-03 19:17:38.283681
39728	21	2013-08-02 16:06:27.64767	2013-08-04 19:37:47.706221
21419	2	2013-08-02 16:05:46.012396	2013-08-04 17:07:43.008009
1015	14	2013-08-02 16:05:05.596781	2013-08-04 19:37:47.715321
21370	2	2013-08-02 16:05:45.885524	2013-08-04 17:07:43.01178
39548	14	2013-08-02 16:06:27.23953	2013-08-04 19:37:47.719036
39808	14	2013-08-02 16:06:27.84153	2013-08-04 19:37:47.722674
33291	14	2013-08-02 16:06:13.629749	2013-08-04 19:37:47.72656
33311	14	2013-08-02 16:06:13.667421	2013-08-04 19:37:47.730541
1078	14	2013-08-02 16:05:05.707203	2013-08-04 19:37:47.734418
39568	14	2013-08-02 16:06:27.272166	2013-08-04 19:37:47.738359
39848	14	2013-08-02 16:06:27.893705	2013-08-04 19:37:47.742079
16649	14	2013-08-02 16:05:35.980432	2013-08-04 19:37:47.74568
5352	2	2013-08-02 16:05:13.686956	2013-08-03 22:00:37.024084
16669	2	2013-08-02 16:05:36.023519	2013-08-04 19:37:47.758258
16700	2	2013-08-02 16:05:36.064352	2013-08-04 19:37:47.768326
9068	2	2013-08-02 16:05:21.399375	2013-08-04 19:37:47.778035
9048	2	2013-08-02 16:05:21.351846	2013-08-04 19:37:47.787897
9078	2	2013-08-02 16:05:21.423659	2013-08-04 19:37:47.79779
8998	2	2013-08-02 16:05:21.227275	2013-08-04 19:37:47.807689
9107	2	2013-08-02 16:05:21.493644	2013-08-04 19:37:47.817591
36795	2	2013-08-02 16:06:21.385024	2013-08-04 19:42:27.038816
6038	21	2013-08-02 16:05:15.25044	2013-08-03 22:34:29.44359
2657	21	2013-08-02 16:05:09.049566	2013-08-03 18:22:14.076314
2579	21	2013-08-02 16:05:08.924364	2013-08-04 17:10:19.062819
5361	21	2013-08-02 16:05:13.706363	2013-08-04 17:10:54.41527
2539	21	2013-08-02 16:05:08.883959	2013-08-04 17:11:52.300256
5790	21	2013-08-02 16:05:14.642155	2013-08-03 19:27:39.08165
31781	21	2013-08-02 16:06:09.761921	2013-08-03 22:55:23.379025
2634	2	2013-08-02 16:05:08.982966	2013-08-03 19:29:58.434952
2619	2	2013-08-02 16:05:08.966323	2013-08-04 17:41:51.308569
192	14	2013-08-02 16:05:04.511581	2013-08-04 18:55:49.136513
2648	2	2013-08-02 16:05:09.042984	2013-08-04 18:55:49.155067
6079	21	2013-08-02 16:05:15.325528	2013-08-03 19:37:43.226926
10251	21	2013-08-02 16:05:23.525488	2013-08-03 19:37:43.231263
6139	21	2013-08-02 16:05:15.469938	2013-08-03 19:37:43.235206
2608	2	2013-08-02 16:05:08.954803	2013-08-04 18:57:36.213374
2647	21	2013-08-02 16:05:09.042124	2013-08-04 18:57:36.264413
2594	2	2013-08-02 16:05:08.939648	2013-08-04 18:57:36.78129
2599	2	2013-08-02 16:05:08.944179	2013-08-04 18:57:36.970335
5384	2	2013-08-02 16:05:13.765623	2013-08-04 18:57:37.415965
3870	21	2013-08-02 16:05:11.435493	2013-08-04 18:57:37.817159
2665	21	2013-08-02 16:05:09.055655	2013-08-04 18:57:37.819198
2627	14	2013-08-02 16:05:08.975206	2013-08-04 18:57:37.987365
2654	21	2013-08-02 16:05:09.047392	2013-08-04 18:57:38.010597
2598	2	2013-08-02 16:05:08.943295	2013-08-04 18:57:38.017856
2518	2	2013-08-02 16:05:08.858295	2013-08-04 18:57:38.02329
2540	2	2013-08-02 16:05:08.884797	2013-08-04 18:57:38.028184
2560	2	2013-08-02 16:05:08.906714	2013-08-04 18:57:38.035106
2618	2	2013-08-02 16:05:08.96547	2013-08-04 18:57:38.041724
2551	2	2013-08-02 16:05:08.896601	2013-08-04 18:57:38.045563
2663	2	2013-08-02 16:05:09.054128	2013-08-04 18:57:38.049123
2607	2	2013-08-02 16:05:08.953786	2013-08-04 18:57:38.052902
2536	2	2013-08-02 16:05:08.880099	2013-08-04 18:57:38.057001
2596	14	2013-08-02 16:05:08.941503	2013-08-04 18:57:38.065187
2531	14	2013-08-02 16:05:08.868808	2013-08-04 18:57:38.069597
2557	14	2013-08-02 16:05:08.903849	2013-08-04 18:57:38.073866
2564	14	2013-08-02 16:05:08.910336	2013-08-04 18:57:38.078858
2521	14	2013-08-02 16:05:08.860526	2013-08-04 18:57:38.083905
11611	2	2013-08-02 16:05:26.05361	2013-08-03 19:42:24.842997
12491	2	2013-08-02 16:05:28.127435	2013-08-03 19:42:24.847189
2597	14	2013-08-02 16:05:08.942379	2013-08-04 18:57:38.091196
2529	21	2013-08-02 16:05:08.866962	2013-08-03 19:47:26.528739
2625	14	2013-08-02 16:05:08.973384	2013-08-04 18:57:38.097777
2577	14	2013-08-02 16:05:08.922711	2013-08-04 18:57:38.108977
31761	14	2013-08-02 16:06:09.708706	2013-08-04 18:57:38.120471
49423	2	2013-08-02 16:06:48.993421	2013-08-04 18:57:38.614866
2547	2	2013-08-02 16:05:08.892105	2013-08-04 18:57:38.838619
2604	2	2013-08-02 16:05:08.949655	2013-08-04 18:57:38.969422
2567	2	2013-08-02 16:05:08.912893	2013-08-04 18:57:39.157098
2519	2	2013-08-02 16:05:08.858985	2013-08-04 19:02:39.194761
2527	2	2013-08-02 16:05:08.865545	2013-08-04 19:02:39.198094
31752	21	2013-08-02 16:06:09.684649	2013-08-04 19:02:39.815858
6355	2	2013-08-02 16:05:16.009751	2013-08-03 19:47:28.377467
2569	2	2013-08-02 16:05:08.91526	2013-08-03 19:52:26.810932
17858	21	2013-08-02 16:05:38.741254	2013-08-03 19:57:24.878282
39623	21	2013-08-02 16:06:27.393708	2013-08-03 19:57:24.879948
39643	21	2013-08-02 16:06:27.443268	2013-08-03 19:57:24.881467
28278	2	2013-08-02 16:06:01.580234	2013-08-03 20:12:25.772075
2615	14	2013-08-02 16:05:08.962509	2013-08-04 19:07:38.796773
9205	2	2013-08-02 16:05:21.754456	2013-08-04 19:37:47.827557
14666	2	2013-08-02 16:05:32.383109	2013-08-04 01:05:56.385768
23653	2	2013-08-02 16:05:51.779604	2013-08-04 01:05:56.393511
37406	2	2013-08-02 16:06:22.443557	2013-08-04 19:37:48.014086
23643	2	2013-08-02 16:05:51.753058	2013-08-04 01:05:56.40015
2689	2	2013-08-02 16:05:09.074455	2013-08-03 18:47:35.013766
37386	2	2013-08-02 16:06:22.395705	2013-08-04 19:37:48.025156
23633	2	2013-08-02 16:05:51.726606	2013-08-04 01:05:56.410569
23652	2	2013-08-02 16:05:51.776953	2013-08-04 01:05:56.422452
37372	2	2013-08-02 16:06:22.361143	2013-08-04 19:37:48.036436
23613	2	2013-08-02 16:05:51.670646	2013-08-04 01:05:56.434086
23672	2	2013-08-02 16:05:51.82989	2013-08-04 01:05:56.445188
31961	2	2013-08-02 16:06:10.290277	2013-08-03 22:31:29.962498
18641	2	2013-08-02 16:05:39.969746	2013-08-04 19:37:48.04131
23593	2	2013-08-02 16:05:51.616393	2013-08-04 01:05:56.453249
37210	2	2013-08-02 16:06:22.065012	2013-08-04 19:37:48.051732
37345	2	2013-08-02 16:06:22.295388	2013-08-04 19:37:48.060566
37366	2	2013-08-02 16:06:22.346042	2013-08-04 19:37:48.07105
9297	2	2013-08-02 16:05:21.999401	2013-08-04 19:37:48.111163
5372	2	2013-08-02 16:05:13.734242	2013-08-03 20:43:29.726652
23573	2	2013-08-02 16:05:51.562547	2013-08-04 01:05:56.458635
9317	2	2013-08-02 16:05:22.053313	2013-08-04 19:37:48.122318
31361	2	2013-08-02 16:06:08.738815	2013-08-03 22:31:38.53957
9407	2	2013-08-02 16:05:22.292678	2013-08-04 19:37:48.133385
9387	2	2013-08-02 16:05:22.240335	2013-08-04 19:37:48.144361
9367	2	2013-08-02 16:05:22.187688	2013-08-04 19:37:48.156072
23553	2	2013-08-02 16:05:51.509919	2013-08-04 01:05:56.467591
2345	2	2013-08-02 16:05:08.642659	2013-08-04 01:05:56.498616
1997	2	2013-08-02 16:05:07.932787	2013-08-04 19:37:48.167762
20508	21	2013-08-02 16:05:44.407184	2013-08-03 18:52:35.709863
23495	2	2013-08-02 16:05:51.384337	2013-08-04 01:05:56.509031
2772	21	2013-08-02 16:05:09.150379	2013-08-04 17:07:41.301326
21581	21	2013-08-02 16:05:46.384909	2013-08-04 17:07:41.302257
21463	2	2013-08-02 16:05:46.229335	2013-08-04 17:07:43.015434
21997	2	2013-08-02 16:05:47.526437	2013-08-03 20:47:29.656143
2810	2	2013-08-02 16:05:09.189074	2013-08-03 18:57:38.66246
21399	2	2013-08-02 16:05:45.966962	2013-08-04 17:07:43.019171
9321	14	2013-08-02 16:05:22.064488	2013-08-04 19:37:48.237906
46643	2	2013-08-02 16:06:43.190999	2013-08-04 17:07:43.022848
48192	21	2013-08-02 16:06:46.265751	2013-08-04 01:10:50.778256
31821	21	2013-08-02 16:06:09.850739	2013-08-03 22:40:20.480029
21392	2	2013-08-02 16:05:45.944978	2013-08-04 17:07:43.026506
28198	21	2013-08-02 16:06:01.490678	2013-08-03 19:17:38.442698
28178	21	2013-08-02 16:06:01.290124	2013-08-03 19:17:38.445477
28158	21	2013-08-02 16:06:01.272605	2013-08-03 19:17:38.447615
21379	2	2013-08-02 16:05:45.909931	2013-08-04 17:07:43.030114
32755	21	2013-08-02 16:06:12.297393	2013-08-03 19:17:38.450522
9307	14	2013-08-02 16:05:22.026548	2013-08-04 19:37:48.242111
44695	21	2013-08-02 16:06:39.122489	2013-08-04 01:35:46.937996
12298	14	2013-08-02 16:05:27.703372	2013-08-04 19:37:48.245758
9390	14	2013-08-02 16:05:22.247976	2013-08-04 19:37:48.250488
9293	14	2013-08-02 16:05:21.988794	2013-08-04 19:37:48.312871
9341	14	2013-08-02 16:05:22.119687	2013-08-04 19:37:48.319054
21901	2	2013-08-02 16:05:47.304762	2013-08-04 03:00:36.246066
2801	21	2013-08-02 16:05:09.17867	2013-08-03 00:17:10.572262
1963	21	2013-08-02 16:05:07.864621	2013-08-04 03:00:37.048195
1583	21	2013-08-02 16:05:06.939229	2013-08-03 21:04:20.706629
28218	2	2013-08-02 16:06:01.508494	2013-08-03 19:17:38.84665
2818	21	2013-08-02 16:05:09.201259	2013-08-03 00:17:10.954066
8536	21	2013-08-02 16:05:20.133479	2013-08-03 19:17:38.86877
27478	21	2013-08-02 16:05:59.919409	2013-08-03 19:17:38.87211
14468	21	2013-08-02 16:05:31.910647	2013-08-03 19:17:38.883487
2643	21	2013-08-02 16:05:08.992274	2013-08-04 17:11:51.628685
6599	21	2013-08-02 16:05:16.549753	2013-08-03 19:17:38.886267
2776	2	2013-08-02 16:05:09.153458	2013-08-03 22:45:09.155016
14508	21	2013-08-02 16:05:32.011495	2013-08-03 19:17:38.888982
13912	14	2013-08-02 16:05:30.482836	2013-08-04 19:37:48.539337
21720	21	2013-08-02 16:05:46.867983	2013-08-03 21:11:12.248554
16879	14	2013-08-02 16:05:36.513703	2013-08-04 19:37:48.544063
16849	14	2013-08-02 16:05:36.43697	2013-08-04 19:37:48.548895
21921	21	2013-08-02 16:05:47.351917	2013-08-03 21:24:19.596027
37233	2	2013-08-02 16:06:22.09683	2013-08-04 19:47:25.657828
2775	21	2013-08-02 16:05:09.152691	2013-08-04 17:21:53.740709
2787	21	2013-08-02 16:05:09.162727	2013-08-04 17:21:53.745362
2795	21	2013-08-02 16:05:09.171178	2013-08-04 17:21:53.749042
2779	21	2013-08-02 16:05:09.156029	2013-08-04 17:21:53.752202
28072	2	2013-08-02 16:06:01.185281	2013-08-03 21:29:20.293329
2799	21	2013-08-02 16:05:09.176092	2013-08-03 22:45:29.65901
21861	2	2013-08-02 16:05:47.210052	2013-08-04 17:21:53.795058
21680	2	2013-08-02 16:05:46.771163	2013-08-04 17:21:53.799465
22001	21	2013-08-02 16:05:47.537352	2013-08-03 22:45:30.234811
11518	2	2013-08-02 16:05:25.821965	2013-08-03 19:19:19.607209
28238	2	2013-08-02 16:06:01.530345	2013-08-03 19:22:36.529154
12508	2	2013-08-02 16:05:28.158881	2013-08-03 19:22:37.515414
2732	21	2013-08-02 16:05:09.11094	2013-08-03 22:45:30.237645
31801	21	2013-08-02 16:06:09.814453	2013-08-03 22:45:30.240365
2791	2	2013-08-02 16:05:09.166312	2013-08-04 17:21:53.804455
39783	21	2013-08-02 16:06:27.780137	2013-08-03 22:49:21.907531
2737	21	2013-08-02 16:05:09.116439	2013-08-03 19:32:38.854126
37583	21	2013-08-02 16:06:22.899011	2013-08-03 19:32:39.11667
22397	21	2013-08-02 16:05:48.609573	2013-08-04 17:24:31.159138
2750	21	2013-08-02 16:05:09.131675	2013-08-04 17:24:42.38023
39723	2	2013-08-02 16:06:27.63573	2013-08-04 17:26:50.516494
2698	21	2013-08-02 16:05:09.081068	2013-08-03 18:37:39.96124
2822	2	2013-08-02 16:05:09.204646	2013-08-04 17:26:50.996146
2676	2	2013-08-02 16:05:09.064682	2013-08-04 17:26:51.002983
2730	2	2013-08-02 16:05:09.108608	2013-08-04 17:26:51.011057
2727	2	2013-08-02 16:05:09.10578	2013-08-04 17:26:51.014833
2729	21	2013-08-02 16:05:09.107736	2013-08-04 17:26:51.033604
2726	21	2013-08-02 16:05:09.104912	2013-08-04 17:26:51.034491
2720	2	2013-08-02 16:05:09.099626	2013-08-03 19:37:44.15693
2724	21	2013-08-02 16:05:09.103145	2013-08-04 17:26:51.03548
2761	2	2013-08-02 16:05:09.140188	2013-08-03 19:37:44.166355
2694	2	2013-08-02 16:05:09.078152	2013-08-03 19:37:44.730132
2792	21	2013-08-02 16:05:09.167512	2013-08-03 19:37:44.737156
2812	21	2013-08-02 16:05:09.193462	2013-08-03 19:37:44.738614
2705	2	2013-08-02 16:05:09.08721	2013-08-04 17:26:51.471275
11458	2	2013-08-02 16:05:25.67486	2013-08-04 17:26:52.803036
2790	21	2013-08-02 16:05:09.165171	2013-08-03 19:37:44.739659
2686	21	2013-08-02 16:05:09.072237	2013-08-03 19:37:44.740798
2709	2	2013-08-02 16:05:09.090728	2013-08-04 17:41:51.299498
2781	2	2013-08-02 16:05:09.157758	2013-08-04 17:41:51.304071
2697	2	2013-08-02 16:05:09.080336	2013-08-04 17:46:50.601299
2747	2	2013-08-02 16:05:09.129106	2013-08-04 17:46:50.607027
2741	21	2013-08-02 16:05:09.120273	2013-08-04 19:00:51.409012
11643	21	2013-08-02 16:05:26.08626	2013-08-04 19:02:39.813263
31841	2	2013-08-02 16:06:09.887645	2013-08-04 19:02:41.108736
31921	2	2013-08-02 16:06:10.212128	2013-08-04 19:02:41.29988
2714	2	2013-08-02 16:05:09.094789	2013-08-03 19:39:16.224624
2746	2	2013-08-02 16:05:09.128179	2013-08-03 19:39:16.3387
2814	21	2013-08-02 16:05:09.196928	2013-08-03 19:52:26.594634
2678	2	2013-08-02 16:05:09.06648	2013-08-03 19:57:24.326479
2789	21	2013-08-02 16:05:09.164234	2013-08-03 19:57:24.876269
39763	2	2013-08-02 16:06:27.732433	2013-08-03 19:57:25.83962
37223	2	2013-08-02 16:06:22.080793	2013-08-03 19:57:26.045865
2805	2	2013-08-02 16:05:09.182593	2013-08-03 02:16:24.305548
11578	2	2013-08-02 16:05:25.978738	2013-08-03 02:16:25.302692
2575	2	2013-08-02 16:05:08.920359	2013-08-04 19:07:38.122804
31941	21	2013-08-02 16:06:10.250813	2013-08-03 22:31:49.186749
20490	21	2013-08-02 16:05:44.389366	2013-08-03 22:31:49.188885
44692	21	2013-08-02 16:06:39.114231	2013-08-04 01:08:40.92345
16811	14	2013-08-02 16:05:36.337796	2013-08-04 19:37:48.553243
16840	14	2013-08-02 16:05:36.413257	2013-08-04 19:37:48.557292
39323	21	2013-08-02 16:06:26.930959	2013-08-03 22:34:29.694775
9539	2	2013-08-02 16:05:22.573761	2013-08-04 19:37:49.13089
20918	2	2013-08-02 16:05:45.109654	2013-08-04 19:37:49.145739
5037	2	2013-08-02 16:05:13.234207	2013-08-04 19:37:49.156892
16886	2	2013-08-02 16:05:36.532202	2013-08-03 20:47:30.488159
26383	2	2013-08-02 16:05:56.955941	2013-08-04 19:37:49.167529
2842	2	2013-08-02 16:05:09.230162	2013-08-02 16:05:09.230162
21097	2	2013-08-02 16:05:45.34177	2013-08-04 19:37:49.179333
8091	2	2013-08-02 16:05:18.996396	2013-08-04 19:37:49.191374
1635	2	2013-08-02 16:05:07.04268	2013-08-04 19:37:49.202839
1575	2	2013-08-02 16:05:06.925495	2013-08-04 19:37:49.214276
1378	2	2013-08-02 16:05:06.45075	2013-08-04 19:37:49.225668
2926	2	2013-08-02 16:05:09.365784	2013-08-03 00:04:33.041264
1388	2	2013-08-02 16:05:06.474295	2013-08-04 19:37:49.239714
2933	2	2013-08-02 16:05:09.374977	2013-08-03 00:07:07.417162
2913	2	2013-08-02 16:05:09.349723	2013-08-03 00:07:07.427075
45141	21	2013-08-02 16:06:39.991056	2013-08-04 01:10:50.450907
19291	2	2013-08-02 16:05:41.578738	2013-08-04 01:10:51.31281
20017	2	2013-08-02 16:05:43.460198	2013-08-03 17:25:32.511089
2893	2	2013-08-02 16:05:09.330725	2013-08-03 00:07:07.436977
2873	2	2013-08-02 16:05:09.269709	2013-08-03 00:07:07.447809
19271	2	2013-08-02 16:05:41.528023	2013-08-04 01:10:51.316984
2974	21	2013-08-02 16:05:09.42612	2013-08-03 19:42:21.522276
2862	2	2013-08-02 16:05:09.257852	2013-08-02 16:05:09.257852
2853	2	2013-08-02 16:05:09.245855	2013-08-03 00:07:07.458652
2954	21	2013-08-02 16:05:09.40271	2013-08-03 19:42:21.525156
2934	21	2013-08-02 16:05:09.376472	2013-08-03 19:42:21.527361
2833	2	2013-08-02 16:05:09.217518	2013-08-03 00:07:07.467891
2973	2	2013-08-02 16:05:09.425221	2013-08-03 00:12:11.327897
2914	21	2013-08-02 16:05:09.350611	2013-08-03 19:42:21.528835
2953	2	2013-08-02 16:05:09.401496	2013-08-03 00:12:11.339251
19251	2	2013-08-02 16:05:41.474987	2013-08-04 01:10:51.324738
4943	2	2013-08-02 16:05:13.134646	2013-08-03 20:47:31.525747
5484	21	2013-08-02 16:05:13.995792	2013-08-03 20:47:31.712036
109	21	2013-08-02 16:05:04.418356	2013-08-03 20:47:31.713096
19210	2	2013-08-02 16:05:41.367037	2013-08-04 01:10:51.331217
2882	2	2013-08-02 16:05:09.319756	2013-08-02 16:05:09.319756
40037	2	2013-08-02 16:06:28.405529	2013-08-04 19:40:12.139502
40170	21	2013-08-02 16:06:28.544018	2013-08-04 19:40:12.154367
98	21	2013-08-02 16:05:04.407622	2013-08-04 17:02:27.574733
40055	21	2013-08-02 16:06:28.423293	2013-08-04 19:40:12.168056
307	21	2013-08-02 16:05:04.615486	2013-08-04 17:07:41.591673
21821	21	2013-08-02 16:05:47.115015	2013-08-03 21:24:19.592533
13140	21	2013-08-02 16:05:29.214652	2013-08-03 21:24:19.593979
38172	21	2013-08-02 16:06:24.524217	2013-08-04 19:40:35.185458
2535	2	2013-08-02 16:05:08.878106	2013-08-04 17:08:57.903843
40077	2	2013-08-02 16:06:28.445545	2013-08-04 19:42:25.701067
40155	2	2013-08-02 16:06:28.523724	2013-08-04 19:47:25.64248
16809	2	2013-08-02 16:05:36.33248	2013-08-04 19:47:25.646464
21981	2	2013-08-02 16:05:47.484162	2013-08-03 21:34:22.333167
2595	21	2013-08-02 16:05:08.940593	2013-08-04 17:11:51.46932
16881	2	2013-08-02 16:05:36.519027	2013-08-04 19:47:25.65064
2902	2	2013-08-02 16:05:09.339072	2013-08-02 16:05:09.339072
16829	2	2013-08-02 16:05:36.38447	2013-08-04 19:47:25.654488
2967	2	2013-08-02 16:05:09.417046	2013-08-04 17:26:49.948138
2947	2	2013-08-02 16:05:09.390688	2013-08-04 17:26:49.954101
40208	21	2013-08-02 16:06:28.581833	2013-08-04 19:50:38.71659
2927	2	2013-08-02 16:05:09.36693	2013-08-04 17:26:49.958997
2872	2	2013-08-02 16:05:09.268464	2013-08-03 19:47:28.074168
2832	2	2013-08-02 16:05:09.215716	2013-08-04 17:26:49.963576
2938	2	2013-08-02 16:05:09.381423	2013-08-04 17:26:49.969107
2958	2	2013-08-02 16:05:09.409012	2013-08-04 17:26:49.976024
2892	2	2013-08-02 16:05:09.329798	2013-08-04 17:26:49.981671
2978	2	2013-08-02 16:05:09.43123	2013-08-04 17:26:49.989396
2950	2	2013-08-02 16:05:09.396469	2013-08-04 17:26:49.994374
2922	2	2013-08-02 16:05:09.360065	2013-08-02 16:05:09.360065
2555	2	2013-08-02 16:05:08.901421	2013-08-04 17:46:50.595429
757	14	2013-08-02 16:05:05.19778	2013-08-04 19:00:35.96943
21801	2	2013-08-02 16:05:47.067055	2013-08-04 19:02:40.854162
2910	2	2013-08-02 16:05:09.346768	2013-08-03 19:57:24.303095
2941	2	2013-08-02 16:05:09.384085	2013-08-03 19:57:24.31489
2916	2	2013-08-02 16:05:09.352917	2013-08-03 00:27:07.579155
2829	2	2013-08-02 16:05:09.212407	2013-08-03 19:57:25.834679
2896	2	2013-08-02 16:05:09.333478	2013-08-03 00:27:07.585941
2876	2	2013-08-02 16:05:09.272568	2013-08-03 00:27:07.59105
2942	2	2013-08-02 16:05:09.385706	2013-08-02 16:05:09.385706
2856	2	2013-08-02 16:05:09.249532	2013-08-03 00:27:07.595951
2836	2	2013-08-02 16:05:09.221251	2013-08-03 00:27:07.604751
2976	2	2013-08-02 16:05:09.427894	2013-08-03 00:32:07.421924
2956	2	2013-08-02 16:05:09.406465	2013-08-03 00:32:07.433787
2936	2	2013-08-02 16:05:09.378352	2013-08-03 00:32:07.445719
2962	2	2013-08-02 16:05:09.412633	2013-08-02 16:05:09.412633
2982	2	2013-08-02 16:05:09.437522	2013-08-02 16:05:09.437522
2906	2	2013-08-02 16:05:09.342514	2013-08-02 23:40:58.789301
2971	2	2013-08-02 16:05:09.42195	2013-08-02 23:57:07.148938
2951	2	2013-08-02 16:05:09.397915	2013-08-02 23:57:07.154065
2931	2	2013-08-02 16:05:09.372485	2013-08-02 23:57:07.158639
2911	2	2013-08-02 16:05:09.347678	2013-08-02 23:57:07.189036
2891	2	2013-08-02 16:05:09.328985	2013-08-02 23:57:07.200728
2871	2	2013-08-02 16:05:09.267546	2013-08-02 23:57:07.211574
2851	2	2013-08-02 16:05:09.242463	2013-08-02 23:57:07.221887
2919	2	2013-08-02 16:05:09.355789	2013-08-03 00:02:08.430525
2850	2	2013-08-02 16:05:09.240598	2013-08-03 00:02:08.440771
2968	2	2013-08-02 16:05:09.418118	2013-08-03 00:02:08.451535
2948	2	2013-08-02 16:05:09.391838	2013-08-03 00:02:08.462293
2928	2	2013-08-02 16:05:09.368755	2013-08-03 00:02:08.472948
2908	2	2013-08-02 16:05:09.344501	2013-08-03 00:02:08.483835
2888	2	2013-08-02 16:05:09.325475	2013-08-03 00:02:08.495271
2868	2	2013-08-02 16:05:09.263902	2013-08-03 00:02:08.506971
2848	2	2013-08-02 16:05:09.237537	2013-08-03 00:02:08.518148
2828	2	2013-08-02 16:05:09.211427	2013-08-03 00:02:08.530024
2965	2	2013-08-02 16:05:09.415297	2013-08-03 01:24:56.758502
2945	2	2013-08-02 16:05:09.388791	2013-08-03 01:25:22.937915
2979	2	2013-08-02 16:05:09.432923	2013-08-03 01:25:23.244485
2846	2	2013-08-02 16:05:09.23484	2013-08-03 01:25:23.250816
2841	2	2013-08-02 16:05:09.229023	2013-08-03 01:43:47.724151
2890	2	2013-08-02 16:05:09.327288	2013-08-03 01:45:29.78508
2886	2	2013-08-02 16:05:09.323491	2013-08-03 01:45:30.194777
2861	2	2013-08-02 16:05:09.256955	2013-08-03 01:45:30.893426
2830	2	2013-08-02 16:05:09.213292	2013-08-03 02:06:05.277434
2728	2	2013-08-02 16:05:09.106655	2013-08-03 02:11:04.80008
2748	2	2013-08-02 16:05:09.130036	2013-08-03 02:11:04.805111
2768	2	2013-08-02 16:05:09.147077	2013-08-03 02:11:04.80915
2788	2	2013-08-02 16:05:09.163481	2013-08-03 02:11:04.813327
2681	2	2013-08-02 16:05:09.068652	2013-08-03 02:11:04.817658
2677	2	2013-08-02 16:05:09.065578	2013-08-03 02:11:04.822197
2824	2	2013-08-02 16:05:09.206836	2013-08-03 02:11:04.826265
2804	2	2013-08-02 16:05:09.181563	2013-08-03 02:11:04.832941
2719	2	2013-08-02 16:05:09.098484	2013-08-03 02:11:04.844521
2784	2	2013-08-02 16:05:09.160291	2013-08-03 02:11:04.851951
2815	2	2013-08-02 16:05:09.197793	2013-08-03 02:11:04.857323
17128	21	2013-08-02 16:05:37.147058	2013-08-03 02:11:05.036784
17108	21	2013-08-02 16:05:37.097508	2013-08-03 02:11:05.038222
2858	2	2013-08-02 16:05:09.252073	2013-08-03 02:16:24.164932
2889	2	2013-08-02 16:05:09.326392	2013-08-03 02:26:55.100639
2845	2	2013-08-02 16:05:09.233552	2013-08-03 02:26:55.106833
2969	2	2013-08-02 16:05:09.419533	2013-08-03 02:26:55.110981
2905	2	2013-08-02 16:05:09.341679	2013-08-03 02:26:55.11651
2925	2	2013-08-02 16:05:09.364006	2013-08-03 02:26:55.122749
2946	2	2013-08-02 16:05:09.389743	2013-08-03 02:26:55.128411
19231	2	2013-08-02 16:05:41.421929	2013-08-04 01:10:51.337191
19211	2	2013-08-02 16:05:41.369808	2013-08-04 01:10:51.345126
37626	21	2013-08-02 16:06:23.003585	2013-08-04 19:40:24.088778
38555	2	2013-08-02 16:06:25.570125	2013-08-04 19:40:35.164717
1191	2	2013-08-02 16:05:06.032698	2013-08-03 20:47:32.094022
445	2	2013-08-02 16:05:04.785545	2013-08-03 20:47:32.10428
458	2	2013-08-02 16:05:04.844575	2013-08-03 20:47:32.107868
912	2	2013-08-02 16:05:05.412957	2013-08-03 20:47:32.111414
454	2	2013-08-02 16:05:04.839681	2013-08-03 20:47:32.115032
38493	21	2013-08-02 16:06:25.447508	2013-08-04 19:40:35.176654
1274	2	2013-08-02 16:05:06.188736	2013-08-03 20:47:32.118309
20368	21	2013-08-02 16:05:44.272337	2013-08-03 19:42:23.728578
38590	21	2013-08-02 16:06:25.640239	2013-08-04 19:40:35.188018
3002	2	2013-08-02 16:05:09.456985	2013-08-02 16:05:09.456985
973	2	2013-08-02 16:05:05.500915	2013-08-03 20:47:32.121295
38593	21	2013-08-02 16:06:25.646216	2013-08-04 19:40:35.202872
5479	21	2013-08-02 16:05:13.990387	2013-08-03 19:42:23.732274
38572	2	2013-08-02 16:06:25.603875	2013-08-04 19:42:25.689288
37866	2	2013-08-02 16:06:23.774042	2013-08-04 19:42:25.975946
952	2	2013-08-02 16:05:05.471195	2013-08-03 20:47:32.124926
825	2	2013-08-02 16:05:05.272086	2013-08-03 20:47:32.129017
387	2	2013-08-02 16:05:04.72619	2013-08-03 20:47:32.134346
283	2	2013-08-02 16:05:04.59298	2013-08-03 20:47:32.140394
553	2	2013-08-02 16:05:04.963391	2013-08-03 20:47:32.151131
51	2	2013-08-02 16:05:04.360669	2013-08-03 20:47:32.162006
473	2	2013-08-02 16:05:04.864642	2013-08-03 20:47:32.17297
37846	2	2013-08-02 16:06:23.72239	2013-08-04 19:42:25.982573
40168	2	2013-08-02 16:06:28.540129	2013-08-04 19:42:26.144521
81	2	2013-08-02 16:05:04.391391	2013-08-03 20:47:32.183682
864	2	2013-08-02 16:05:05.330531	2013-08-03 20:47:32.194478
773	2	2013-08-02 16:05:05.212344	2013-08-03 20:47:32.205258
3101	2	2013-08-02 16:05:09.628823	2013-08-03 19:47:26.245905
2990	2	2013-08-02 16:05:09.445507	2013-08-03 19:47:26.503137
3022	2	2013-08-02 16:05:09.481357	2013-08-02 16:05:09.481357
45943	2	2013-08-02 16:06:41.442023	2013-08-04 01:10:51.350028
3040	21	2013-08-02 16:05:09.501799	2013-08-03 19:47:27.036679
3060	21	2013-08-02 16:05:09.523271	2013-08-03 19:47:27.038807
3054	21	2013-08-02 16:05:09.513817	2013-08-03 19:47:27.042472
38013	2	2013-08-02 16:06:24.14057	2013-08-04 19:42:26.148222
3133	2	2013-08-02 16:05:09.668235	2013-08-03 00:12:11.238641
3080	21	2013-08-02 16:05:09.559233	2013-08-03 19:47:27.043908
3113	2	2013-08-02 16:05:09.641742	2013-08-03 00:12:11.249858
3093	2	2013-08-02 16:05:09.619695	2013-08-03 00:12:11.260938
3073	2	2013-08-02 16:05:09.547748	2013-08-03 00:12:11.272162
19191	2	2013-08-02 16:05:41.316817	2013-08-04 01:10:51.35673
3027	21	2013-08-02 16:05:09.486012	2013-08-04 17:26:53.951796
3121	21	2013-08-02 16:05:09.651114	2013-08-04 17:26:53.955585
13065	21	2013-08-02 16:05:29.131254	2013-08-04 17:26:53.958529
3053	2	2013-08-02 16:05:09.512555	2013-08-03 00:12:11.283397
3007	21	2013-08-02 16:05:09.461882	2013-08-04 17:26:53.961315
3033	2	2013-08-02 16:05:09.493918	2013-08-03 00:12:11.294525
38033	2	2013-08-02 16:06:24.191768	2013-08-04 19:42:26.155595
38053	2	2013-08-02 16:06:24.239375	2013-08-04 19:42:26.165631
3042	2	2013-08-02 16:05:09.503269	2013-08-02 16:05:09.503269
3013	2	2013-08-02 16:05:09.46981	2013-08-03 00:12:11.305621
38273	21	2013-08-02 16:06:24.762256	2013-08-04 19:42:26.20008
40148	21	2013-08-02 16:06:28.516397	2013-08-04 19:42:26.201882
37973	21	2013-08-02 16:06:24.032	2013-08-04 19:42:26.752312
40188	21	2013-08-02 16:06:28.567486	2013-08-04 19:42:26.757542
2993	2	2013-08-02 16:05:09.448452	2013-08-03 00:12:11.316934
37413	2	2013-08-02 16:06:22.462031	2013-08-04 19:42:26.980626
37393	2	2013-08-02 16:06:22.412238	2013-08-04 19:42:26.985805
18511	2	2013-08-02 16:05:39.674536	2013-08-04 19:42:26.98986
3089	21	2013-08-02 16:05:09.573045	2013-08-04 17:28:53.331889
12771	2	2013-08-02 16:05:28.683124	2013-08-04 17:31:51.095971
12591	2	2013-08-02 16:05:28.324451	2013-08-04 17:31:51.106007
12611	2	2013-08-02 16:05:28.364526	2013-08-04 17:31:51.116172
3129	21	2013-08-02 16:05:09.662138	2013-08-04 17:31:51.169084
11438	2	2013-08-02 16:05:25.623146	2013-08-04 17:31:51.689784
39910	2	2013-08-02 16:06:28.233532	2013-08-04 19:42:26.993135
39968	2	2013-08-02 16:06:28.334044	2013-08-04 19:42:26.996138
39988	2	2013-08-02 16:06:28.351573	2013-08-04 19:42:26.999134
40008	2	2013-08-02 16:06:28.37222	2013-08-04 19:42:27.002078
3062	2	2013-08-02 16:05:09.527718	2013-08-02 16:05:09.527718
40048	2	2013-08-02 16:06:28.416374	2013-08-04 19:42:27.004865
40068	2	2013-08-02 16:06:28.436445	2013-08-04 19:42:27.00759
38281	21	2013-08-02 16:06:24.781095	2013-08-04 19:44:37.381623
38613	2	2013-08-02 16:06:25.689264	2013-08-04 19:47:25.638585
3015	21	2013-08-02 16:05:09.471986	2013-08-03 00:22:09.445587
3038	2	2013-08-02 16:05:09.499532	2013-08-03 19:52:26.57615
3082	2	2013-08-02 16:05:09.562681	2013-08-02 16:05:09.562681
3102	2	2013-08-02 16:05:09.629862	2013-08-02 16:05:09.629862
3122	2	2013-08-02 16:05:09.652447	2013-08-02 16:05:09.652447
3136	2	2013-08-02 16:05:09.672963	2013-08-03 00:32:07.329777
3116	2	2013-08-02 16:05:09.645302	2013-08-03 00:32:07.340557
3096	2	2013-08-02 16:05:09.623199	2013-08-03 00:32:07.350858
3076	2	2013-08-02 16:05:09.554048	2013-08-03 00:32:07.36198
3134	2	2013-08-02 16:05:09.669806	2013-08-03 19:57:25.349491
3056	2	2013-08-02 16:05:09.516715	2013-08-03 00:32:07.373285
3036	2	2013-08-02 16:05:09.497269	2013-08-03 00:32:07.385868
3016	2	2013-08-02 16:05:09.473029	2013-08-03 00:32:07.398455
3120	21	2013-08-02 16:05:09.64986	2013-08-03 20:02:26.268143
3020	21	2013-08-02 16:05:09.478717	2013-08-03 20:02:26.271041
3114	21	2013-08-02 16:05:09.642947	2013-08-03 20:02:26.275487
3010	2	2013-08-02 16:05:09.465611	2013-08-02 23:57:07.424921
3132	2	2013-08-02 16:05:09.66681	2013-08-02 23:57:07.436263
3112	2	2013-08-02 16:05:09.640488	2013-08-02 23:57:07.447429
3092	2	2013-08-02 16:05:09.618587	2013-08-02 23:57:07.458641
3072	2	2013-08-02 16:05:09.545009	2013-08-02 23:57:07.470209
3052	2	2013-08-02 16:05:09.511406	2013-08-02 23:57:07.481815
3009	21	2013-08-02 16:05:09.464302	2013-08-03 20:02:26.279565
3039	2	2013-08-02 16:05:09.500245	2013-08-03 00:00:43.931404
3108	2	2013-08-02 16:05:09.635942	2013-08-03 00:02:08.354094
3088	2	2013-08-02 16:05:09.571693	2013-08-03 00:02:08.363219
3068	2	2013-08-02 16:05:09.537185	2013-08-03 00:02:08.373882
3048	2	2013-08-02 16:05:09.508087	2013-08-03 00:02:08.384289
3028	2	2013-08-02 16:05:09.486975	2013-08-03 00:02:08.395532
3008	2	2013-08-02 16:05:09.463094	2013-08-03 00:02:08.406624
2988	2	2013-08-02 16:05:09.443686	2013-08-03 00:02:08.41761
2996	2	2013-08-02 16:05:09.451248	2013-08-03 00:32:07.410296
3066	2	2013-08-02 16:05:09.532806	2013-08-03 01:13:18.658449
3046	2	2013-08-02 16:05:09.506519	2013-08-03 01:13:41.828207
3006	2	2013-08-02 16:05:09.460867	2013-08-03 01:25:23.072273
3125	2	2013-08-02 16:05:09.656495	2013-08-03 01:25:23.087605
3105	2	2013-08-02 16:05:09.633112	2013-08-03 01:25:23.100832
3085	2	2013-08-02 16:05:09.565827	2013-08-03 01:25:23.115322
3065	2	2013-08-02 16:05:09.531454	2013-08-03 01:25:23.131342
3045	2	2013-08-02 16:05:09.505617	2013-08-03 01:25:23.147849
3025	2	2013-08-02 16:05:09.484139	2013-08-03 01:25:23.164142
3005	2	2013-08-02 16:05:09.459966	2013-08-03 01:25:23.181653
2985	2	2013-08-02 16:05:09.440345	2013-08-03 01:25:23.232738
3000	2	2013-08-02 16:05:09.454994	2013-08-03 20:07:28.652575
17068	2	2013-08-02 16:05:37.001179	2013-08-03 20:07:29.022736
3069	2	2013-08-02 16:05:09.539169	2013-08-03 01:50:00.567589
3029	2	2013-08-02 16:05:09.488125	2013-08-03 02:01:00.145238
17088	21	2013-08-02 16:05:37.04936	2013-08-03 02:11:05.039183
17508	2	2013-08-02 16:05:38.15836	2013-08-03 02:11:05.143692
17488	2	2013-08-02 16:05:38.104265	2013-08-03 02:11:05.149332
17468	2	2013-08-02 16:05:38.05076	2013-08-03 02:11:05.15579
17448	2	2013-08-02 16:05:37.998767	2013-08-03 02:11:05.162201
17428	2	2013-08-02 16:05:37.948193	2013-08-03 02:11:05.168632
17408	2	2013-08-02 16:05:37.89393	2013-08-03 02:11:05.178933
17388	2	2013-08-02 16:05:37.844356	2013-08-03 02:11:05.190157
17368	2	2013-08-02 16:05:37.796143	2013-08-03 02:11:05.201131
17348	2	2013-08-02 16:05:37.748293	2013-08-03 02:11:05.212081
17328	2	2013-08-02 16:05:37.698634	2013-08-03 02:11:05.223142
17308	2	2013-08-02 16:05:37.653645	2013-08-03 02:11:05.234134
3044	2	2013-08-02 16:05:09.504728	2013-08-03 02:26:55.071694
3024	2	2013-08-02 16:05:09.483324	2013-08-03 02:26:55.081836
3004	2	2013-08-02 16:05:09.458821	2013-08-03 02:26:55.086069
2984	2	2013-08-02 16:05:09.439405	2013-08-03 02:26:55.094017
17008	2	2013-08-02 16:05:36.843351	2013-08-03 02:32:07.67076
17028	2	2013-08-02 16:05:36.895724	2013-08-03 02:32:07.682056
3049	2	2013-08-02 16:05:09.508845	2013-08-03 02:32:07.693282
3086	2	2013-08-02 16:05:09.568327	2013-08-03 02:32:07.704382
3251	2	2013-08-02 16:05:09.929709	2013-08-03 02:37:17.831043
3142	2	2013-08-02 16:05:09.686703	2013-08-02 16:05:09.686703
45883	2	2013-08-02 16:06:41.349566	2013-08-04 01:10:51.362445
3271	2	2013-08-02 16:05:09.979617	2013-08-03 02:37:17.842772
3291	2	2013-08-02 16:05:10.06137	2013-08-03 02:37:17.854301
3169	2	2013-08-02 16:05:09.757321	2013-08-03 02:42:39.720115
40125	2	2013-08-02 16:06:28.493455	2013-08-04 19:42:27.010279
3286	2	2013-08-02 16:05:10.056207	2013-08-03 02:42:39.72975
3191	2	2013-08-02 16:05:09.79214	2013-08-03 02:42:39.735927
19171	2	2013-08-02 16:05:41.265835	2013-08-04 01:10:51.369598
38318	21	2013-08-02 16:06:24.877262	2013-08-03 22:09:24.871018
3155	21	2013-08-02 16:05:09.719933	2013-08-03 20:47:31.710313
3211	2	2013-08-02 16:05:09.82026	2013-08-03 02:42:39.743578
752	2	2013-08-02 16:05:05.194398	2013-08-03 20:47:32.215992
3231	2	2013-08-02 16:05:09.875132	2013-08-03 02:42:39.751516
222	2	2013-08-02 16:05:04.535841	2013-08-03 20:47:32.226759
40088	2	2013-08-02 16:06:28.456264	2013-08-04 19:42:27.0131
20341	2	2013-08-02 16:05:44.240379	2013-08-03 20:47:32.48453
45843	2	2013-08-02 16:06:41.310138	2013-08-04 01:10:51.37515
46803	2	2013-08-02 16:06:43.60429	2013-08-04 01:10:51.59191
4596	2	2013-08-02 16:05:12.771358	2013-08-04 19:42:27.016052
3162	2	2013-08-02 16:05:09.7389	2013-08-02 16:05:09.7389
18801	2	2013-08-02 16:05:40.375771	2013-08-04 01:10:51.599345
23833	2	2013-08-02 16:05:52.353619	2013-08-04 01:10:51.603889
3290	21	2013-08-02 16:05:10.060332	2013-08-03 19:42:23.720516
23813	2	2013-08-02 16:05:52.33521	2013-08-04 01:10:51.60791
9301	2	2013-08-02 16:05:22.010202	2013-08-04 19:42:27.018843
3206	21	2013-08-02 16:05:09.808387	2013-08-03 19:42:23.724822
16217	2	2013-08-02 16:05:34.867773	2013-08-04 01:10:51.61205
23793	2	2013-08-02 16:05:52.118699	2013-08-04 01:10:51.61604
9281	2	2013-08-02 16:05:21.953411	2013-08-04 19:42:27.021607
23773	2	2013-08-02 16:05:52.061058	2013-08-04 01:10:51.620069
9327	2	2013-08-02 16:05:22.081923	2013-08-04 19:42:27.024347
7238	2	2013-08-02 16:05:17.656554	2013-08-04 19:42:27.02721
9347	2	2013-08-02 16:05:22.135563	2013-08-04 19:42:27.031266
9503	2	2013-08-02 16:05:22.514693	2013-08-04 19:42:27.167648
23765	2	2013-08-02 16:05:52.036718	2013-08-04 01:10:51.623721
23825	2	2013-08-02 16:05:52.346574	2013-08-04 01:10:51.626846
22181	2	2013-08-02 16:05:47.984282	2013-08-03 20:48:44.074288
9495	2	2013-08-02 16:05:22.493882	2013-08-04 19:42:27.172809
9515	2	2013-08-02 16:05:22.532247	2013-08-04 19:42:27.177725
3182	2	2013-08-02 16:05:09.783179	2013-08-02 16:05:09.783179
2374	2	2013-08-02 16:05:08.672471	2013-08-04 01:10:51.6305
9435	2	2013-08-02 16:05:22.365815	2013-08-04 19:42:27.182192
23753	2	2013-08-02 16:05:52.005005	2013-08-04 01:10:51.634011
14580	21	2013-08-02 16:05:32.176377	2013-08-03 17:42:04.078745
9472	2	2013-08-02 16:05:22.459434	2013-08-04 19:42:27.186879
40978	2	2013-08-02 16:06:29.915842	2013-08-04 01:10:51.637253
23770	2	2013-08-02 16:05:52.052743	2013-08-04 01:10:51.640964
9548	2	2013-08-02 16:05:22.598124	2013-08-04 19:42:27.193475
9568	2	2013-08-02 16:05:22.65458	2013-08-04 19:42:27.19812
22241	21	2013-08-02 16:05:48.118214	2013-08-04 17:07:41.197309
22381	2	2013-08-02 16:05:48.56628	2013-08-03 20:52:35.113035
9567	2	2013-08-02 16:05:22.651911	2013-08-04 19:42:27.202684
9547	2	2013-08-02 16:05:22.595343	2013-08-04 19:42:27.208543
3269	2	2013-08-02 16:05:09.974599	2013-08-03 19:47:28.964357
11418	21	2013-08-02 16:05:25.57136	2013-08-04 17:08:58.040676
2515	21	2013-08-02 16:05:08.856144	2013-08-04 17:08:58.043437
3202	2	2013-08-02 16:05:09.801977	2013-08-02 16:05:09.801977
3201	21	2013-08-02 16:05:09.800788	2013-08-03 19:52:27.600973
3221	21	2013-08-02 16:05:09.847574	2013-08-03 19:52:27.602898
3154	21	2013-08-02 16:05:09.717592	2013-08-03 19:52:27.604741
3241	21	2013-08-02 16:05:09.901996	2013-08-03 19:52:27.60657
3170	2	2013-08-02 16:05:09.759816	2013-08-03 00:12:11.137848
3148	21	2013-08-02 16:05:09.70255	2013-08-03 19:57:25.000943
3222	2	2013-08-02 16:05:09.850335	2013-08-02 16:05:09.850335
3293	2	2013-08-02 16:05:10.063401	2013-08-03 00:12:11.149493
3168	21	2013-08-02 16:05:09.754821	2013-08-03 19:57:25.002001
3188	21	2013-08-02 16:05:09.789237	2013-08-03 19:57:25.002862
24077	21	2013-08-02 16:05:52.573809	2013-08-03 19:57:25.003924
3273	2	2013-08-02 16:05:09.984637	2013-08-03 00:12:11.160642
3253	2	2013-08-02 16:05:09.934749	2013-08-03 00:12:11.171671
3233	2	2013-08-02 16:05:09.880622	2013-08-03 00:12:11.182847
3189	2	2013-08-02 16:05:09.790167	2013-08-03 21:04:20.515953
3229	2	2013-08-02 16:05:09.86958	2013-08-04 17:31:49.910833
3246	2	2013-08-02 16:05:09.915943	2013-08-04 17:31:49.917832
3287	2	2013-08-02 16:05:10.057239	2013-08-04 17:31:49.925168
3278	2	2013-08-02 16:05:09.997268	2013-08-04 17:31:49.933499
3213	2	2013-08-02 16:05:09.825362	2013-08-03 00:12:11.194076
22341	21	2013-08-02 16:05:48.503397	2013-08-03 21:11:12.141949
3258	2	2013-08-02 16:05:09.947142	2013-08-04 17:31:49.943207
3242	2	2013-08-02 16:05:09.904732	2013-08-02 16:05:09.904732
3193	2	2013-08-02 16:05:09.7943	2013-08-03 00:12:11.205344
3238	2	2013-08-02 16:05:09.894241	2013-08-04 17:31:49.953937
3218	2	2013-08-02 16:05:09.839206	2013-08-04 17:31:49.957898
3198	2	2013-08-02 16:05:09.798431	2013-08-04 17:31:49.961191
3178	2	2013-08-02 16:05:09.777578	2013-08-04 17:31:49.964274
3220	2	2013-08-02 16:05:09.844806	2013-08-04 17:31:49.967345
3173	2	2013-08-02 16:05:09.767246	2013-08-03 00:12:11.216455
3153	2	2013-08-02 16:05:09.715177	2013-08-03 00:12:11.227532
3158	21	2013-08-02 16:05:09.72801	2013-08-03 00:22:09.648159
3267	2	2013-08-02 16:05:09.969645	2013-08-04 17:31:49.970436
15630	21	2013-08-02 16:05:33.913072	2013-08-03 21:25:17.418192
3160	2	2013-08-02 16:05:09.733446	2013-08-04 17:31:49.97363
3247	2	2013-08-02 16:05:09.918697	2013-08-04 17:31:49.980189
3227	2	2013-08-02 16:05:09.864052	2013-08-04 17:31:49.984805
39483	2	2013-08-02 16:06:27.156333	2013-08-04 17:31:50.955017
3262	2	2013-08-02 16:05:09.957111	2013-08-02 16:05:09.957111
8271	2	2013-08-02 16:05:19.448353	2013-08-04 17:31:51.085775
3167	2	2013-08-02 16:05:09.752249	2013-08-04 17:46:50.522602
3294	2	2013-08-02 16:05:10.064411	2013-08-03 20:02:25.520772
3180	2	2013-08-02 16:05:09.781436	2013-08-03 20:02:25.625746
41070	2	2013-08-02 16:06:30.062053	2013-08-04 19:02:39.325763
39503	2	2013-08-02 16:06:27.178432	2013-08-04 19:02:39.381137
39603	14	2013-08-02 16:06:27.340401	2013-08-04 19:02:40.733014
3282	2	2013-08-02 16:05:10.007863	2013-08-02 16:05:10.007863
3280	2	2013-08-02 16:05:10.00251	2013-08-03 20:02:26.865548
3230	2	2013-08-02 16:05:09.87238	2013-08-03 00:27:07.414293
3214	2	2013-08-02 16:05:09.828233	2013-08-03 20:02:27.500557
3190	2	2013-08-02 16:05:09.791021	2013-08-02 22:50:59.356095
3252	2	2013-08-02 16:05:09.932227	2013-08-02 23:57:07.372099
3232	2	2013-08-02 16:05:09.877859	2013-08-02 23:57:07.382958
3212	2	2013-08-02 16:05:09.822671	2013-08-02 23:57:07.38891
3192	2	2013-08-02 16:05:09.793358	2013-08-02 23:57:07.394595
3172	2	2013-08-02 16:05:09.764795	2013-08-02 23:57:07.403247
3152	2	2013-08-02 16:05:09.712813	2013-08-02 23:57:07.413993
3296	2	2013-08-02 16:05:10.066461	2013-08-03 00:32:07.243751
3276	2	2013-08-02 16:05:09.992178	2013-08-03 00:32:07.254577
3256	2	2013-08-02 16:05:09.94222	2013-08-03 00:32:07.265245
3236	2	2013-08-02 16:05:09.88882	2013-08-03 00:32:07.275553
3216	2	2013-08-02 16:05:09.833753	2013-08-03 00:32:07.285902
3196	2	2013-08-02 16:05:09.796859	2013-08-03 00:32:07.296425
3176	2	2013-08-02 16:05:09.773105	2013-08-03 00:32:07.30739
3156	2	2013-08-02 16:05:09.722662	2013-08-03 00:32:07.318277
3225	2	2013-08-02 16:05:09.858627	2013-08-03 01:25:22.99657
3205	2	2013-08-02 16:05:09.805756	2013-08-03 01:25:23.010604
3185	2	2013-08-02 16:05:09.786469	2013-08-03 01:25:23.02516
3165	2	2013-08-02 16:05:09.746913	2013-08-03 01:25:23.041196
3145	2	2013-08-02 16:05:09.694702	2013-08-03 01:25:23.056886
3265	2	2013-08-02 16:05:09.964642	2013-08-03 01:32:14.452523
3209	2	2013-08-02 16:05:09.816386	2013-08-03 01:50:00.431095
3149	2	2013-08-02 16:05:09.705211	2013-08-03 01:50:49.502208
17288	2	2013-08-02 16:05:37.609409	2013-08-03 02:11:05.245145
17268	2	2013-08-02 16:05:37.565437	2013-08-03 02:11:05.256024
17248	2	2013-08-02 16:05:37.522079	2013-08-03 02:11:05.267005
17228	2	2013-08-02 16:05:37.481775	2013-08-03 02:11:05.278015
17208	2	2013-08-02 16:05:37.458533	2013-08-03 02:11:05.288954
17188	2	2013-08-02 16:05:37.302041	2013-08-03 02:11:05.300078
17168	2	2013-08-02 16:05:37.249254	2013-08-03 02:11:05.311556
17148	2	2013-08-02 16:05:37.195883	2013-08-03 02:11:05.323144
10113	2	2013-08-02 16:05:23.381058	2013-08-03 02:11:05.486206
10093	2	2013-08-02 16:05:23.359293	2013-08-03 02:11:05.498075
10073	2	2013-08-02 16:05:23.340434	2013-08-03 02:11:05.509771
10053	2	2013-08-02 16:05:23.32173	2013-08-03 02:11:05.521142
11338	2	2013-08-02 16:05:25.382355	2013-08-03 02:11:05.599022
11038	2	2013-08-02 16:05:24.545449	2013-08-03 02:11:05.60196
11135	2	2013-08-02 16:05:24.78395	2013-08-03 02:11:06.024223
3144	2	2013-08-02 16:05:09.692009	2013-08-03 02:32:07.659303
3415	21	2013-08-02 16:05:10.327763	2013-08-03 02:42:39.638536
23733	2	2013-08-02 16:05:51.944375	2013-08-04 01:10:51.644379
3302	2	2013-08-02 16:05:10.073759	2013-08-02 16:05:10.073759
16973	14	2013-08-02 16:05:36.757373	2013-08-04 19:42:27.298682
16969	14	2013-08-02 16:05:36.748001	2013-08-04 19:42:27.303888
16890	2	2013-08-02 16:05:36.542872	2013-08-03 22:31:49.231957
48772	21	2013-08-02 16:06:47.41376	2013-08-04 01:11:59.578821
10532	14	2013-08-02 16:05:23.838596	2013-08-04 19:42:27.309084
38293	2	2013-08-02 16:06:24.812781	2013-08-04 19:42:27.382267
40100	2	2013-08-02 16:06:28.468154	2013-08-04 19:42:27.392198
2549	2	2013-08-02 16:05:08.894243	2013-08-03 22:34:28.503816
3381	21	2013-08-02 16:05:10.242857	2013-08-03 20:12:26.067003
14440	2	2013-08-02 16:05:31.838749	2013-08-04 01:12:08.645069
26180	14	2013-08-02 16:05:56.649415	2013-08-04 19:42:28.02395
3403	2	2013-08-02 16:05:10.298302	2013-08-03 20:14:12.046758
9399	2	2013-08-02 16:05:22.27163	2013-08-04 19:42:28.143825
17585	2	2013-08-02 16:05:38.320881	2013-08-04 19:42:28.152863
23735	2	2013-08-02 16:05:51.949301	2013-08-04 19:42:28.162225
2659	21	2013-08-02 16:05:09.051071	2013-08-04 17:10:42.595996
24257	2	2013-08-02 16:05:52.751946	2013-08-03 17:23:38.973061
44170	21	2013-08-02 16:06:37.581424	2013-08-04 01:12:30.072549
3322	2	2013-08-02 16:05:10.115214	2013-08-02 16:05:10.115214
7166	2	2013-08-02 16:05:17.591476	2013-08-04 19:42:28.173137
24237	2	2013-08-02 16:05:52.733739	2013-08-03 17:25:31.844195
24197	2	2013-08-02 16:05:52.687193	2013-08-03 17:25:32.018108
3344	2	2013-08-02 16:05:10.164216	2013-08-03 02:47:01.489621
21040	2	2013-08-02 16:05:45.263931	2013-08-04 19:42:28.184586
3364	2	2013-08-02 16:05:10.197261	2013-08-03 02:47:51.585196
7080	2	2013-08-02 16:05:17.513952	2013-08-04 19:42:28.192024
13636	21	2013-08-02 16:05:29.853754	2013-08-04 01:12:30.074694
3978	2	2013-08-02 16:05:11.697281	2013-08-04 19:42:28.200083
3310	2	2013-08-02 16:05:10.083574	2013-08-03 00:07:06.907472
11818	2	2013-08-02 16:05:26.524295	2013-08-03 02:47:51.709239
14560	21	2013-08-02 16:05:32.137886	2013-08-04 17:11:51.466241
3395	2	2013-08-02 16:05:10.278275	2013-08-03 02:47:51.714319
3384	2	2013-08-02 16:05:10.250975	2013-08-03 02:47:51.719335
3404	2	2013-08-02 16:05:10.300751	2013-08-03 02:47:51.858396
3300	21	2013-08-02 16:05:10.071279	2013-08-04 17:11:51.625955
13616	21	2013-08-02 16:05:29.804298	2013-08-04 01:15:49.16149
29723	2	2013-08-02 16:06:04.74153	2013-08-04 19:42:28.20437
8279	2	2013-08-02 16:05:19.468233	2013-08-04 19:42:28.208526
3342	2	2013-08-02 16:05:10.159123	2013-08-02 16:05:10.159123
44250	2	2013-08-02 16:06:37.789878	2013-08-04 01:50:59.148582
28123	2	2013-08-02 16:06:01.238827	2013-08-04 19:42:28.213059
3375	21	2013-08-02 16:05:10.226268	2013-08-03 20:21:36.624997
22955	2	2013-08-02 16:05:49.959081	2013-08-04 19:42:28.222094
21518	2	2013-08-02 16:05:46.318697	2013-08-04 19:42:28.23212
45695	2	2013-08-02 16:06:40.897413	2013-08-04 01:55:52.426366
20340	2	2013-08-02 16:05:44.239036	2013-08-04 19:42:28.243083
22835	2	2013-08-02 16:05:49.653165	2013-08-04 19:42:28.268343
37913	2	2013-08-02 16:06:23.870576	2013-08-04 19:42:28.28253
3394	2	2013-08-02 16:05:10.27577	2013-08-03 20:22:30.272063
33931	21	2013-08-02 16:06:14.572658	2013-08-04 19:44:37.300662
3321	21	2013-08-02 16:05:10.112454	2013-08-03 23:01:18.990668
47803	21	2013-08-02 16:06:45.478891	2013-08-03 23:01:18.993428
40248	14	2013-08-02 16:06:28.615683	2013-08-04 19:44:37.339248
3425	21	2013-08-02 16:05:10.352283	2013-08-03 23:04:24.507966
3362	2	2013-08-02 16:05:10.1918	2013-08-02 16:05:10.1918
3327	2	2013-08-02 16:05:10.12872	2013-08-04 17:31:49.880316
3444	2	2013-08-02 16:05:10.400511	2013-08-04 17:31:49.886084
5686	2	2013-08-02 16:05:14.395829	2013-08-04 17:31:49.891472
40448	2	2013-08-02 16:06:28.810881	2013-08-04 19:44:37.362367
14540	2	2013-08-02 16:05:32.088482	2013-08-03 19:47:28.954217
34031	21	2013-08-02 16:06:14.670674	2013-08-04 19:44:51.663766
15817	2	2013-08-02 16:05:34.211534	2013-08-03 20:52:36.019965
4339	21	2013-08-02 16:05:12.450059	2013-08-03 20:52:36.048357
3406	2	2013-08-02 16:05:10.305619	2013-08-04 17:31:49.897651
3307	2	2013-08-02 16:05:10.079666	2013-08-04 17:31:49.903957
3382	2	2013-08-02 16:05:10.245623	2013-08-02 16:05:10.245623
40388	21	2013-08-02 16:06:28.74207	2013-08-04 19:44:51.706142
8820	2	2013-08-02 16:05:20.809752	2013-08-03 19:52:26.572182
30312	2	2013-08-02 16:06:06.047806	2013-08-03 20:52:36.466913
7763	21	2013-08-02 16:05:18.268698	2013-08-03 20:52:36.480221
7816	21	2013-08-02 16:05:18.371001	2013-08-03 20:52:36.481671
40348	2	2013-08-02 16:06:28.704415	2013-08-04 19:47:24.865849
40308	21	2013-08-02 16:06:28.671577	2013-08-04 19:47:24.915865
40212	21	2013-08-02 16:06:28.584967	2013-08-04 19:47:25.409103
40468	14	2013-08-02 16:06:28.832791	2013-08-04 19:50:25.795553
47483	2	2013-08-02 16:06:45.007948	2013-08-04 19:00:36.009825
3388	21	2013-08-02 16:05:10.260978	2013-08-03 20:02:26.503062
40192	21	2013-08-02 16:06:28.570408	2013-08-04 19:00:51.41023
3402	2	2013-08-02 16:05:10.295841	2013-08-02 16:05:10.295841
3446	2	2013-08-02 16:05:10.405938	2013-08-04 19:02:38.81597
3325	21	2013-08-02 16:05:10.123204	2013-08-04 19:02:38.835796
11698	2	2013-08-02 16:05:26.217592	2013-08-04 19:02:39.191306
3449	2	2013-08-02 16:05:10.414147	2013-08-03 20:02:27.748293
3426	21	2013-08-02 16:05:10.354752	2013-08-04 19:02:39.810821
6584	2	2013-08-02 16:05:16.511487	2013-08-04 19:02:40.033303
28621	2	2013-08-02 16:06:01.996929	2013-08-04 19:02:40.150098
28626	2	2013-08-02 16:06:02.002644	2013-08-04 19:02:40.154081
35203	2	2013-08-02 16:06:17.73925	2013-08-04 19:02:40.157574
41175	2	2013-08-02 16:06:30.292021	2013-08-04 19:02:40.160689
36543	2	2013-08-02 16:06:21.118227	2013-08-04 19:02:40.597919
3422	2	2013-08-02 16:05:10.344863	2013-08-02 16:05:10.344863
3453	2	2013-08-02 16:05:10.42517	2013-08-03 00:27:07.331643
3433	2	2013-08-02 16:05:10.372077	2013-08-03 00:27:07.342088
3434	21	2013-08-02 16:05:10.374905	2013-08-03 21:09:22.548056
3413	2	2013-08-02 16:05:10.322867	2013-08-03 00:27:07.352835
3442	2	2013-08-02 16:05:10.395329	2013-08-02 16:05:10.395329
3393	2	2013-08-02 16:05:10.273354	2013-08-03 00:27:07.363576
3373	2	2013-08-02 16:05:10.221014	2013-08-03 00:27:07.374423
3353	2	2013-08-02 16:05:10.176018	2013-08-03 00:27:07.384447
3333	2	2013-08-02 16:05:10.143747	2013-08-03 00:27:07.395146
22060	2	2013-08-02 16:05:47.69412	2013-08-03 21:09:22.587013
3355	2	2013-08-02 16:05:10.178327	2013-08-03 20:08:28.35683
3451	2	2013-08-02 16:05:10.419518	2013-08-03 00:02:08.831241
3431	2	2013-08-02 16:05:10.366981	2013-08-03 00:02:08.8408
3411	2	2013-08-02 16:05:10.317933	2013-08-03 00:02:08.851812
3391	2	2013-08-02 16:05:10.268393	2013-08-03 00:02:08.862798
3371	2	2013-08-02 16:05:10.216011	2013-08-03 00:02:08.873781
3351	2	2013-08-02 16:05:10.173925	2013-08-03 00:02:08.884829
3331	2	2013-08-02 16:05:10.139561	2013-08-03 00:02:08.895842
3313	2	2013-08-02 16:05:10.091223	2013-08-03 00:27:07.405871
3423	2	2013-08-02 16:05:10.347339	2013-08-03 00:37:07.702345
3436	2	2013-08-02 16:05:10.380148	2013-08-03 00:37:07.706806
3416	2	2013-08-02 16:05:10.330182	2013-08-03 00:37:07.71201
3396	2	2013-08-02 16:05:10.280733	2013-08-03 00:37:07.716609
3376	2	2013-08-02 16:05:10.229124	2013-08-03 00:37:07.722469
3356	2	2013-08-02 16:05:10.179497	2013-08-03 00:37:07.72724
3336	2	2013-08-02 16:05:10.151748	2013-08-03 00:37:07.732488
3316	2	2013-08-02 16:05:10.0991	2013-08-03 00:37:07.738327
3326	2	2013-08-02 16:05:10.125945	2013-08-03 01:19:09.131738
3306	2	2013-08-02 16:05:10.078413	2013-08-03 01:19:31.469826
46923	2	2013-08-02 16:06:43.909711	2013-08-03 21:14:23.259104
3341	21	2013-08-02 16:05:10.157055	2013-08-03 21:29:20.236953
22401	21	2013-08-02 16:05:48.620679	2013-08-03 21:29:20.23844
22201	21	2013-08-02 16:05:48.019768	2013-08-03 21:29:20.240578
3366	2	2013-08-02 16:05:10.202698	2013-08-03 01:32:14.433751
3365	2	2013-08-02 16:05:10.199985	2013-08-03 01:32:14.445134
3305	2	2013-08-02 16:05:10.077281	2013-08-03 01:32:14.629957
3405	2	2013-08-02 16:05:10.303194	2013-08-03 01:50:50.278624
11238	2	2013-08-02 16:05:25.021258	2013-08-03 02:11:06.173383
11118	2	2013-08-02 16:05:24.743467	2013-08-03 02:11:06.177618
11638	2	2013-08-02 16:05:26.081076	2013-08-03 02:11:06.3406
13708	2	2013-08-02 16:05:30.036654	2013-08-03 02:16:25.076863
11718	2	2013-08-02 16:05:26.269903	2013-08-03 02:16:25.291945
10115	2	2013-08-02 16:05:23.383299	2013-08-03 02:16:25.463698
3578	2	2013-08-02 16:05:10.751774	2013-08-03 02:47:51.605842
3598	2	2013-08-02 16:05:10.802351	2013-08-03 02:47:51.610692
3455	2	2013-08-02 16:05:10.430818	2013-08-03 02:47:51.614323
3475	2	2013-08-02 16:05:10.508013	2013-08-03 02:47:51.619452
3550	2	2013-08-02 16:05:10.682157	2013-08-03 00:07:06.848829
3495	2	2013-08-02 16:05:10.536989	2013-08-03 02:47:51.624251
3604	2	2013-08-02 16:05:10.808284	2013-08-03 02:47:51.629333
3462	2	2013-08-02 16:05:10.494811	2013-08-02 16:05:10.494811
3608	2	2013-08-02 16:05:10.811306	2013-08-03 00:07:06.856971
3050	2	2013-08-02 16:05:09.509675	2013-08-04 19:07:37.624989
2869	2	2013-08-02 16:05:09.264972	2013-08-04 19:07:37.636531
3517	2	2013-08-02 16:05:10.592727	2013-08-04 19:07:37.644278
3497	2	2013-08-02 16:05:10.540474	2013-08-04 19:07:37.648782
3554	2	2013-08-02 16:05:10.692808	2013-08-04 19:07:37.652739
5526	21	2013-08-02 16:05:14.069807	2013-08-03 19:02:38.336955
3588	2	2013-08-02 16:05:10.77678	2013-08-03 00:07:06.865489
3568	2	2013-08-02 16:05:10.727645	2013-08-03 00:07:06.874055
3548	2	2013-08-02 16:05:10.676717	2013-08-03 00:07:06.882489
3485	2	2013-08-02 16:05:10.521558	2013-08-03 02:53:04.057192
3477	2	2013-08-02 16:05:10.510059	2013-08-04 19:07:37.656442
3546	2	2013-08-02 16:05:10.671332	2013-08-03 02:53:04.066725
3518	2	2013-08-02 16:05:10.595434	2013-08-03 02:53:04.076731
3538	2	2013-08-02 16:05:10.649707	2013-08-03 02:53:04.086849
3558	2	2013-08-02 16:05:10.703245	2013-08-03 02:53:04.09783
3528	2	2013-08-02 16:05:10.622721	2013-08-03 00:07:06.889683
3585	2	2013-08-02 16:05:10.769202	2013-08-03 02:53:05.120136
12083	2	2013-08-02 16:05:27.281373	2013-08-03 02:53:05.129531
3482	2	2013-08-02 16:05:10.517162	2013-08-02 16:05:10.517162
3508	2	2013-08-02 16:05:10.568118	2013-08-03 00:07:06.894258
3457	2	2013-08-02 16:05:10.436484	2013-08-04 19:07:37.660038
3345	2	2013-08-02 16:05:10.166683	2013-08-03 02:53:05.139832
3574	2	2013-08-02 16:05:10.742162	2013-08-04 19:07:37.663635
3594	2	2013-08-02 16:05:10.793717	2013-08-04 19:07:37.667621
4871	2	2013-08-02 16:05:13.069879	2013-08-03 03:06:22.242777
13957	21	2013-08-02 16:05:30.589751	2013-08-03 19:07:37.154699
3488	2	2013-08-02 16:05:10.526062	2013-08-03 00:07:06.898914
3468	2	2013-08-02 16:05:10.500909	2013-08-03 00:07:06.903373
3600	2	2013-08-02 16:05:10.804913	2013-08-04 19:07:37.672883
8896	2	2013-08-02 16:05:21.000182	2013-08-03 17:25:59.658418
20598	2	2013-08-02 16:05:44.501617	2013-08-04 17:10:42.476735
3526	21	2013-08-02 16:05:10.617238	2013-08-03 19:07:37.155645
3565	21	2013-08-02 16:05:10.72039	2013-08-03 19:07:37.156635
3580	2	2013-08-02 16:05:10.756674	2013-08-04 19:07:37.677949
3560	2	2013-08-02 16:05:10.708211	2013-08-04 19:07:37.684585
3540	2	2013-08-02 16:05:10.655044	2013-08-04 19:07:37.692547
3520	2	2013-08-02 16:05:10.600859	2013-08-04 19:07:37.703179
3595	2	2013-08-02 16:05:10.797257	2013-08-04 19:07:37.713995
3502	2	2013-08-02 16:05:10.552086	2013-08-02 16:05:10.552086
29132	21	2013-08-02 16:06:03.133807	2013-08-04 17:11:51.252851
3575	2	2013-08-02 16:05:10.744586	2013-08-04 19:07:37.724851
3555	2	2013-08-02 16:05:10.69538	2013-08-04 19:07:37.735668
3535	2	2013-08-02 16:05:10.641511	2013-08-04 19:07:37.746637
3515	2	2013-08-02 16:05:10.587309	2013-08-04 19:07:37.757484
3478	14	2013-08-02 16:05:10.51107	2013-08-04 19:27:44.998244
3458	14	2013-08-02 16:05:10.439537	2013-08-04 19:27:45.009302
3506	14	2013-08-02 16:05:10.562703	2013-08-04 19:27:45.020143
3486	14	2013-08-02 16:05:10.523036	2013-08-04 19:27:45.031179
40318	21	2013-08-02 16:06:28.679975	2013-08-04 19:44:37.403644
39923	2	2013-08-02 16:06:28.250665	2013-08-03 19:18:34.77358
33920	21	2013-08-02 16:06:14.557847	2013-08-04 19:44:37.405407
40268	21	2013-08-02 16:06:28.634914	2013-08-04 19:44:37.446997
33991	21	2013-08-02 16:06:14.63612	2013-08-04 19:44:37.450007
18058	2	2013-08-02 16:05:39.097792	2013-08-03 19:18:34.856035
40428	21	2013-08-02 16:06:28.789479	2013-08-04 19:44:37.488787
38046	21	2013-08-02 16:06:24.222375	2013-08-04 19:45:04.513625
3522	2	2013-08-02 16:05:10.606287	2013-08-02 16:05:10.606287
38693	21	2013-08-02 16:06:25.849055	2013-08-04 19:45:15.968515
38701	2	2013-08-02 16:06:25.862428	2013-08-04 19:47:24.688491
38720	2	2013-08-02 16:06:25.897009	2013-08-04 19:47:24.860457
40368	21	2013-08-02 16:06:28.720123	2013-08-04 19:47:25.410709
40408	2	2013-08-02 16:06:28.767564	2013-08-04 19:47:25.623162
38240	2	2013-08-02 16:06:24.684451	2013-08-04 19:47:25.626953
16989	2	2013-08-02 16:05:36.795707	2013-08-04 19:47:25.630846
17080	2	2013-08-02 16:05:37.029808	2013-08-04 19:47:25.634702
39395	2	2013-08-02 16:06:27.025045	2013-08-04 19:47:25.993296
40288	14	2013-08-02 16:06:28.653424	2013-08-04 19:47:26.476129
3542	2	2013-08-02 16:05:10.660494	2013-08-02 16:05:10.660494
38755	21	2013-08-02 16:06:25.96633	2013-08-04 19:52:26.191651
40328	2	2013-08-02 16:06:28.687984	2013-08-04 19:52:26.453615
38773	2	2013-08-02 16:06:26.003738	2013-08-04 19:52:26.464116
2544	21	2013-08-02 16:05:08.888991	2013-08-04 17:13:26.743652
4451	21	2013-08-02 16:05:12.618348	2013-08-04 17:13:40.147189
3562	2	2013-08-02 16:05:10.713148	2013-08-02 16:05:10.713148
35363	21	2013-08-02 16:06:18.109657	2013-08-04 17:14:14.700879
2525	21	2013-08-02 16:05:08.864003	2013-08-04 17:16:52.94022
3500	21	2013-08-02 16:05:10.547214	2013-08-03 00:22:10.013605
2590	21	2013-08-02 16:05:08.935267	2013-08-04 17:16:52.942945
2638	21	2013-08-02 16:05:08.987697	2013-08-04 17:16:52.945566
845	21	2013-08-02 16:05:05.296266	2013-08-04 17:31:54.315332
3487	21	2013-08-02 16:05:10.524453	2013-08-04 17:31:54.316873
3467	21	2013-08-02 16:05:10.499902	2013-08-04 17:31:54.318017
11378	21	2013-08-02 16:05:25.466462	2013-08-04 17:31:54.543954
3470	2	2013-08-02 16:05:10.502939	2013-08-03 00:27:07.265584
3582	2	2013-08-02 16:05:10.761483	2013-08-02 16:05:10.761483
3593	2	2013-08-02 16:05:10.790406	2013-08-03 00:27:07.273233
30392	2	2013-08-02 16:06:06.231789	2013-08-04 17:46:50.517543
3573	2	2013-08-02 16:05:10.739763	2013-08-03 00:27:07.279612
3553	2	2013-08-02 16:05:10.690207	2013-08-03 00:27:07.286219
3605	21	2013-08-02 16:05:10.809057	2013-08-04 19:02:40.065256
3509	14	2013-08-02 16:05:10.570849	2013-08-04 19:02:40.073427
3534	14	2013-08-02 16:05:10.638972	2013-08-04 19:02:40.078621
3577	14	2013-08-02 16:05:10.749382	2013-08-04 19:02:40.083458
3557	14	2013-08-02 16:05:10.700521	2013-08-04 19:02:40.088738
3469	14	2013-08-02 16:05:10.501927	2013-08-04 19:02:40.092627
3537	14	2013-08-02 16:05:10.646815	2013-08-04 19:02:40.096933
3533	2	2013-08-02 16:05:10.636224	2013-08-03 00:27:07.292811
14173	14	2013-08-02 16:05:31.120158	2013-08-04 19:02:40.102149
3408	14	2013-08-02 16:05:10.310583	2013-08-04 19:02:40.110386
3602	2	2013-08-02 16:05:10.806775	2013-08-02 16:05:10.806775
3513	2	2013-08-02 16:05:10.58171	2013-08-03 00:27:07.300259
25348	14	2013-08-02 16:05:54.672315	2013-08-04 19:02:40.116537
28586	2	2013-08-02 16:06:01.94504	2013-08-04 19:02:40.12894
28615	2	2013-08-02 16:06:01.99003	2013-08-04 19:02:40.133104
28601	2	2013-08-02 16:06:01.963882	2013-08-04 19:02:40.137403
28606	2	2013-08-02 16:06:01.974104	2013-08-04 19:02:40.141812
3493	2	2013-08-02 16:05:10.533819	2013-08-03 00:27:07.310106
3473	2	2013-08-02 16:05:10.505984	2013-08-03 00:27:07.320751
1212	2	2013-08-02 16:05:06.087144	2013-08-04 19:02:40.146145
3498	21	2013-08-02 16:05:10.542867	2013-08-03 00:27:07.935119
3510	2	2013-08-02 16:05:10.57351	2013-08-03 00:02:08.705315
3611	2	2013-08-02 16:05:10.813759	2013-08-03 00:02:08.716207
3591	2	2013-08-02 16:05:10.785416	2013-08-03 00:02:08.726983
3571	2	2013-08-02 16:05:10.734913	2013-08-03 00:02:08.737892
3551	2	2013-08-02 16:05:10.684829	2013-08-03 00:02:08.748699
3531	2	2013-08-02 16:05:10.63084	2013-08-03 00:02:08.759821
3511	2	2013-08-02 16:05:10.5762	2013-08-03 00:02:08.770579
3596	2	2013-08-02 16:05:10.800111	2013-08-03 00:37:07.628324
3576	2	2013-08-02 16:05:10.747001	2013-08-03 00:37:07.667746
3556	2	2013-08-02 16:05:10.697893	2013-08-03 00:37:07.673686
3536	2	2013-08-02 16:05:10.644086	2013-08-03 00:37:07.677482
3516	2	2013-08-02 16:05:10.590048	2013-08-03 00:37:07.681291
3496	2	2013-08-02 16:05:10.538721	2013-08-03 00:37:07.685912
3476	2	2013-08-02 16:05:10.509052	2013-08-03 00:37:07.693165
3456	2	2013-08-02 16:05:10.433583	2013-08-03 00:37:07.698223
3586	2	2013-08-02 16:05:10.771707	2013-08-03 01:24:56.785909
3566	2	2013-08-02 16:05:10.722874	2013-08-03 01:25:22.930993
3525	2	2013-08-02 16:05:10.614395	2013-08-03 01:31:51.46071
3465	2	2013-08-02 16:05:10.497866	2013-08-03 01:32:14.625838
3505	2	2013-08-02 16:05:10.560051	2013-08-03 01:39:15.476794
3545	2	2013-08-02 16:05:10.668645	2013-08-03 01:56:01.293278
3606	2	2013-08-02 16:05:10.809792	2013-08-03 02:00:59.49583
2989	2	2013-08-02 16:05:09.444622	2013-08-03 02:16:24.513179
11343	2	2013-08-02 16:05:25.38775	2013-08-03 02:16:25.453464
8391	2	2013-08-02 16:05:19.745173	2013-08-03 02:32:08.34744
3744	21	2013-08-02 16:05:11.116147	2013-08-03 02:53:03.995256
3765	21	2013-08-02 16:05:11.173536	2013-08-03 19:07:37.150672
26037	14	2013-08-02 16:05:56.49731	2013-08-04 19:27:44.951702
26068	14	2013-08-02 16:05:56.522104	2013-08-04 19:27:44.957007
24537	21	2013-08-02 16:05:53.034139	2013-08-03 19:07:37.152349
13517	21	2013-08-02 16:05:29.569123	2013-08-03 19:12:36.978347
26088	14	2013-08-02 16:05:56.538365	2013-08-04 19:27:44.965737
3768	2	2013-08-02 16:05:11.181751	2013-08-03 00:07:06.803344
3657	14	2013-08-02 16:05:10.89683	2013-08-04 19:27:44.976301
3660	14	2013-08-02 16:05:10.904991	2013-08-04 19:27:44.987449
3622	2	2013-08-02 16:05:10.823817	2013-08-02 16:05:10.823817
3748	2	2013-08-02 16:05:11.127038	2013-08-03 00:07:06.808431
12451	21	2013-08-02 16:05:28.07194	2013-08-03 19:12:36.980395
33863	2	2013-08-02 16:06:14.496368	2013-08-04 19:47:26.838961
8859	2	2013-08-02 16:05:20.906828	2013-08-04 19:47:26.842065
1125	2	2013-08-02 16:05:05.813564	2013-08-04 19:47:26.849483
7719	2	2013-08-02 16:05:18.218352	2013-08-04 19:47:26.859706
13817	2	2013-08-02 16:05:30.277504	2013-08-04 19:47:26.870592
3728	2	2013-08-02 16:05:11.072667	2013-08-03 00:07:06.813227
3708	2	2013-08-02 16:05:11.022624	2013-08-03 00:07:06.818129
11671	2	2013-08-02 16:05:26.153163	2013-08-04 19:47:26.882443
4170	2	2013-08-02 16:05:12.139359	2013-08-04 19:47:26.894741
2771	2	2013-08-02 16:05:09.149575	2013-08-04 19:47:26.906414
2685	2	2013-08-02 16:05:09.071548	2013-08-04 19:47:26.917457
8911	2	2013-08-02 16:05:21.026848	2013-08-04 19:47:26.929221
30943	2	2013-08-02 16:06:07.642735	2013-08-04 19:47:26.941238
24035	2	2013-08-02 16:05:52.533483	2013-08-04 19:47:26.953148
3688	2	2013-08-02 16:05:10.974265	2013-08-03 00:07:06.823608
34238	2	2013-08-02 16:06:15.205356	2013-08-04 19:47:27.110645
3642	2	2013-08-02 16:05:10.861453	2013-08-02 16:05:10.861453
3668	2	2013-08-02 16:05:10.925979	2013-08-03 00:07:06.828729
5519	2	2013-08-02 16:05:14.05314	2013-08-03 03:06:22.366474
3648	2	2013-08-02 16:05:10.872946	2013-08-03 00:07:06.835201
34318	14	2013-08-02 16:06:15.402397	2013-08-04 19:47:27.159368
34259	14	2013-08-02 16:06:15.261255	2013-08-04 19:47:27.163999
34239	14	2013-08-02 16:06:15.208088	2013-08-04 19:47:27.1685
9991	2	2013-08-02 16:05:23.266913	2013-08-04 19:49:30.754981
3628	2	2013-08-02 16:05:10.836731	2013-08-03 00:07:06.841784
10007	21	2013-08-02 16:05:23.280878	2013-08-04 19:50:06.622996
3662	2	2013-08-02 16:05:10.910366	2013-08-02 16:05:10.910366
38906	2	2013-08-02 16:06:26.21002	2013-08-04 19:50:25.62339
3677	21	2013-08-02 16:05:10.947752	2013-08-04 17:02:13.521598
14420	2	2013-08-02 16:05:31.791168	2013-08-03 19:47:27.030028
14400	2	2013-08-02 16:05:31.743669	2013-08-03 19:47:29.145048
40628	2	2013-08-02 16:06:29.001207	2013-08-04 19:50:25.67566
3626	21	2013-08-02 16:05:10.831963	2013-08-04 17:02:14.255497
3682	2	2013-08-02 16:05:10.959894	2013-08-02 16:05:10.959894
3620	2	2013-08-02 16:05:10.822177	2013-08-04 03:00:36.171254
40528	21	2013-08-02 16:06:28.887508	2013-08-04 19:50:25.737484
10067	21	2013-08-02 16:05:23.33519	2013-08-04 19:50:25.739299
38786	21	2013-08-02 16:06:26.031383	2013-08-04 19:50:25.740933
11678	21	2013-08-02 16:05:26.171557	2013-08-04 17:02:14.532405
40632	21	2013-08-02 16:06:29.006972	2013-08-04 19:50:25.763016
3698	21	2013-08-02 16:05:10.998637	2013-08-04 17:07:41.300351
3718	2	2013-08-02 16:05:11.047383	2013-08-04 17:07:42.54912
10147	21	2013-08-02 16:05:23.415906	2013-08-04 19:50:25.764258
38866	21	2013-08-02 16:06:26.16641	2013-08-04 19:50:25.76546
38872	21	2013-08-02 16:06:26.172176	2013-08-04 19:50:38.673808
3702	2	2013-08-02 16:05:11.009543	2013-08-02 16:05:11.009543
40608	2	2013-08-02 16:06:28.978436	2013-08-04 19:52:25.068878
38840	2	2013-08-02 16:06:26.110217	2013-08-04 19:52:25.075199
10047	2	2013-08-02 16:05:23.316278	2013-08-04 19:52:25.084487
40512	2	2013-08-02 16:06:28.876216	2013-08-04 19:52:25.392596
40597	21	2013-08-02 16:06:28.966012	2013-08-04 19:52:25.668812
25868	14	2013-08-02 16:05:55.957372	2013-08-04 17:11:54.191832
25848	14	2013-08-02 16:05:55.90656	2013-08-04 17:11:54.202984
25828	14	2013-08-02 16:05:55.859005	2013-08-04 17:11:54.214055
26070	14	2013-08-02 16:05:56.523898	2013-08-04 17:11:54.22448
25808	14	2013-08-02 16:05:55.810688	2013-08-04 17:11:54.23556
25788	14	2013-08-02 16:05:55.75866	2013-08-04 17:11:54.246652
25841	14	2013-08-02 16:05:55.889915	2013-08-04 17:11:54.257771
25768	14	2013-08-02 16:05:55.706121	2013-08-04 17:11:54.268845
29152	14	2013-08-02 16:06:03.187321	2013-08-04 17:11:54.323658
40508	21	2013-08-02 16:06:28.873061	2013-08-04 19:52:26.189476
21763	14	2013-08-02 16:05:46.975001	2013-08-04 17:11:54.343201
3722	2	2013-08-02 16:05:11.056405	2013-08-02 16:05:11.056405
2589	21	2013-08-02 16:05:08.934371	2013-08-04 17:16:51.259852
2645	2	2013-08-02 16:05:08.994246	2013-08-04 17:16:51.879454
2524	21	2013-08-02 16:05:08.863127	2013-08-04 17:16:52.937703
2585	14	2013-08-02 16:05:08.929907	2013-08-04 17:16:54.060891
860	2	2013-08-02 16:05:05.32268	2013-08-04 17:36:49.052255
1741	2	2013-08-02 16:05:07.310307	2013-08-04 17:36:49.063356
3745	2	2013-08-02 16:05:11.118877	2013-08-04 17:36:49.074014
3646	2	2013-08-02 16:05:10.869391	2013-08-04 17:36:49.08459
11778	2	2013-08-02 16:05:26.418415	2013-08-04 17:36:49.092134
4999	2	2013-08-02 16:05:13.191117	2013-08-04 17:36:49.097455
865	2	2013-08-02 16:05:05.332897	2013-08-04 17:36:49.101211
3742	2	2013-08-02 16:05:11.110729	2013-08-02 16:05:11.110729
1774	2	2013-08-02 16:05:07.391179	2013-08-04 17:36:49.109336
1652	2	2013-08-02 16:05:07.079914	2013-08-04 17:36:49.117637
41117	21	2013-08-02 16:06:30.143546	2013-08-04 17:46:50.403693
25888	2	2013-08-02 16:05:56.011583	2013-08-04 17:46:50.500064
35243	2	2013-08-02 16:06:17.839696	2013-08-04 17:46:50.507458
25840	2	2013-08-02 16:05:55.887571	2013-08-04 17:46:50.511006
16988	2	2013-08-02 16:05:36.793355	2013-08-04 17:46:50.514239
3762	2	2013-08-02 16:05:11.165212	2013-08-02 16:05:11.165212
3670	2	2013-08-02 16:05:10.930845	2013-08-02 23:01:29.736958
3631	2	2013-08-02 16:05:10.842696	2013-08-03 00:02:08.693799
3759	2	2013-08-02 16:05:11.156848	2013-08-03 00:02:10.296604
3739	2	2013-08-02 16:05:11.102604	2013-08-03 00:02:10.308032
3613	2	2013-08-02 16:05:10.815456	2013-08-03 00:27:07.255497
3710	2	2013-08-02 16:05:11.026458	2013-08-03 00:32:06.901363
3650	2	2013-08-02 16:05:10.878061	2013-08-03 00:32:06.917134
3753	2	2013-08-02 16:05:11.140643	2013-08-03 00:32:06.929384
3733	2	2013-08-02 16:05:11.0866	2013-08-03 00:32:06.937146
3713	2	2013-08-02 16:05:11.034534	2013-08-03 00:32:06.969287
3693	2	2013-08-02 16:05:10.986187	2013-08-03 00:32:06.976743
3673	2	2013-08-02 16:05:10.938131	2013-08-03 00:32:06.985782
3653	2	2013-08-02 16:05:10.886085	2013-08-03 00:32:06.989518
3633	2	2013-08-02 16:05:10.84568	2013-08-03 00:32:06.994235
3755	21	2013-08-02 16:05:11.146035	2013-08-03 00:32:07.01738
3636	2	2013-08-02 16:05:10.851021	2013-08-03 00:37:07.616029
3616	2	2013-08-02 16:05:10.818072	2013-08-03 00:37:07.621777
3763	2	2013-08-02 16:05:11.167989	2013-08-03 00:42:07.720447
3756	2	2013-08-02 16:05:11.148779	2013-08-03 00:42:07.728074
3736	2	2013-08-02 16:05:11.094791	2013-08-03 00:42:07.734475
3716	2	2013-08-02 16:05:11.042347	2013-08-03 00:42:07.738269
3696	2	2013-08-02 16:05:10.993492	2013-08-03 00:42:07.741732
3676	2	2013-08-02 16:05:10.945337	2013-08-03 00:42:07.745729
3656	2	2013-08-02 16:05:10.894078	2013-08-03 00:42:07.74968
7225	2	2013-08-02 16:05:17.647153	2013-08-03 02:16:25.044533
11658	2	2013-08-02 16:05:26.118731	2013-08-03 02:16:25.054812
16968	2	2013-08-02 16:05:36.745684	2013-08-03 02:16:25.065533
7345	2	2013-08-02 16:05:17.775014	2013-08-03 02:21:48.532065
14257	2	2013-08-02 16:05:31.326815	2013-08-03 02:26:56.231602
11798	2	2013-08-02 16:05:26.470973	2013-08-03 02:32:08.337059
14900	21	2013-08-02 16:05:32.867555	2013-08-03 19:12:36.969033
3788	2	2013-08-02 16:05:11.234291	2013-08-03 00:07:06.794925
3774	14	2013-08-02 16:05:11.197758	2013-08-04 19:27:44.945977
3884	2	2013-08-02 16:05:11.469565	2013-08-04 19:47:25.610706
3864	2	2013-08-02 16:05:11.420637	2013-08-04 19:47:25.614616
3844	2	2013-08-02 16:05:11.371895	2013-08-04 19:47:25.618751
3885	2	2013-08-02 16:05:11.471961	2013-08-03 17:05:35.561282
3782	2	2013-08-02 16:05:11.219134	2013-08-02 16:05:11.219134
20968	21	2013-08-02 16:05:45.162819	2013-08-03 19:12:36.971384
14233	21	2013-08-02 16:05:31.26744	2013-08-03 19:12:36.973536
35583	2	2013-08-02 16:06:18.803634	2013-08-03 19:18:34.894605
3871	14	2013-08-02 16:05:11.437958	2013-08-03 00:07:06.947669
3794	14	2013-08-02 16:05:11.249182	2013-08-02 16:05:11.249182
4417	14	2013-08-02 16:05:12.572288	2013-08-03 03:09:45.565739
3851	14	2013-08-02 16:05:11.388798	2013-08-03 00:07:06.954727
3909	14	2013-08-02 16:05:11.530082	2013-08-03 19:47:25.501189
3802	2	2013-08-02 16:05:11.268905	2013-08-02 16:05:11.268905
3831	14	2013-08-02 16:05:11.340239	2013-08-03 00:07:06.960126
3824	21	2013-08-02 16:05:11.322721	2013-08-04 17:36:53.439474
39172	2	2013-08-02 16:06:26.753294	2013-08-04 19:50:50.263219
24417	2	2013-08-02 16:05:52.909777	2013-08-03 17:26:19.813145
39248	2	2013-08-02 16:06:26.82531	2013-08-04 19:52:25.058605
3811	14	2013-08-02 16:05:11.290999	2013-08-03 00:07:06.96405
24637	14	2013-08-02 16:05:53.323639	2013-08-03 23:00:57.264251
3830	2	2013-08-02 16:05:11.33786	2013-08-03 03:09:45.600877
24397	2	2013-08-02 16:05:52.887924	2013-08-03 17:35:02.57489
3814	14	2013-08-02 16:05:11.298303	2013-08-02 16:05:11.298303
14588	2	2013-08-02 16:05:32.194619	2013-08-03 17:35:02.585106
34297	2	2013-08-02 16:06:15.352182	2013-08-04 01:15:49.598488
3825	2	2013-08-02 16:05:11.325289	2013-08-03 03:09:47.093622
3791	14	2013-08-02 16:05:11.241886	2013-08-03 00:07:06.967821
39288	21	2013-08-02 16:06:26.881577	2013-08-04 19:52:25.123867
3822	2	2013-08-02 16:05:11.317615	2013-08-02 16:05:11.317615
3790	14	2013-08-02 16:05:11.23937	2013-08-03 00:12:10.248752
39341	2	2013-08-02 16:06:26.951859	2013-08-04 19:52:25.389342
38938	2	2013-08-02 16:06:26.250904	2013-08-03 21:34:22.023172
21253	2	2013-08-02 16:05:45.602754	2013-08-04 19:52:25.612395
34337	2	2013-08-02 16:06:15.447519	2013-08-04 01:50:58.467168
3818	2	2013-08-02 16:05:11.307981	2013-08-04 17:41:50.863095
3908	14	2013-08-02 16:05:11.527657	2013-08-03 00:12:10.260079
3838	2	2013-08-02 16:05:11.357361	2013-08-04 17:41:50.870623
3780	2	2013-08-02 16:05:11.213791	2013-08-04 17:41:50.87975
8378	21	2013-08-02 16:05:19.713995	2013-08-04 19:53:37.829094
3834	14	2013-08-02 16:05:11.347681	2013-08-02 16:05:11.347681
21319	21	2013-08-02 16:05:45.752977	2013-08-04 19:57:27.435539
3800	2	2013-08-02 16:05:11.264017	2013-08-04 17:41:50.884585
3869	2	2013-08-02 16:05:11.433069	2013-08-03 19:52:28.567439
3820	2	2013-08-02 16:05:11.312852	2013-08-04 17:41:50.888728
3842	2	2013-08-02 16:05:11.366991	2013-08-02 16:05:11.366991
3888	14	2013-08-02 16:05:11.47911	2013-08-03 00:12:10.271713
3840	2	2013-08-02 16:05:11.362168	2013-08-04 17:41:50.893172
24677	2	2013-08-02 16:05:53.378644	2013-08-03 17:42:23.950955
35855	14	2013-08-02 16:06:19.296693	2013-08-03 19:57:24.20103
3810	2	2013-08-02 16:05:11.288453	2013-08-04 17:41:50.897632
3907	2	2013-08-02 16:05:11.525261	2013-08-04 17:41:50.90197
3868	14	2013-08-02 16:05:11.430551	2013-08-03 00:12:10.282949
3887	2	2013-08-02 16:05:11.476748	2013-08-04 17:41:50.91158
3867	2	2013-08-02 16:05:11.428087	2013-08-04 17:41:50.922123
24657	2	2013-08-02 16:05:53.352128	2013-08-04 17:41:50.932049
3854	14	2013-08-02 16:05:11.396012	2013-08-02 16:05:11.396012
3847	2	2013-08-02 16:05:11.379292	2013-08-04 17:41:50.942024
24577	2	2013-08-02 16:05:53.246023	2013-08-04 17:41:50.952437
24697	2	2013-08-02 16:05:53.412284	2013-08-03 17:42:55.433324
3837	2	2013-08-02 16:05:11.354981	2013-08-04 17:41:50.96177
3809	2	2013-08-02 16:05:11.2859	2013-08-04 17:41:50.972228
3829	2	2013-08-02 16:05:11.335375	2013-08-04 17:41:50.983137
3862	2	2013-08-02 16:05:11.41539	2013-08-02 16:05:11.41539
3848	14	2013-08-02 16:05:11.381597	2013-08-03 00:12:10.294156
3849	2	2013-08-02 16:05:11.384014	2013-08-04 17:41:50.994242
24597	2	2013-08-02 16:05:53.273919	2013-08-03 17:52:02.588675
12018	2	2013-08-02 16:05:27.035611	2013-08-04 17:41:52.862648
3785	2	2013-08-02 16:05:11.226951	2013-08-04 17:41:52.867334
3778	2	2013-08-02 16:05:11.208431	2013-08-04 17:41:52.872055
3828	14	2013-08-02 16:05:11.332952	2013-08-03 00:12:10.305367
3798	2	2013-08-02 16:05:11.25884	2013-08-04 17:41:52.876735
3874	14	2013-08-02 16:05:11.445501	2013-08-02 16:05:11.445501
3882	2	2013-08-02 16:05:11.464774	2013-08-02 16:05:11.464774
3808	14	2013-08-02 16:05:11.283226	2013-08-03 00:12:10.316902
3890	14	2013-08-02 16:05:11.48387	2013-08-03 00:12:11.064982
3894	14	2013-08-02 16:05:11.493592	2013-08-02 16:05:11.493592
3902	2	2013-08-02 16:05:11.513263	2013-08-02 16:05:11.513263
3912	14	2013-08-02 16:05:11.537314	2013-08-03 00:12:11.074387
3777	14	2013-08-02 16:05:11.205744	2013-08-03 00:12:11.753636
3914	14	2013-08-02 16:05:11.54213	2013-08-02 16:05:11.54213
3922	2	2013-08-02 16:05:11.561339	2013-08-02 16:05:11.561339
3819	2	2013-08-02 16:05:11.310418	2013-08-03 00:02:10.264273
3799	2	2013-08-02 16:05:11.261244	2013-08-03 00:02:10.274635
3779	2	2013-08-02 16:05:11.211113	2013-08-03 00:02:10.28573
3897	14	2013-08-02 16:05:11.500842	2013-08-03 00:14:19.592912
3841	14	2013-08-02 16:05:11.364519	2013-08-03 00:17:09.289393
3821	14	2013-08-02 16:05:11.315192	2013-08-03 00:17:09.300863
3801	14	2013-08-02 16:05:11.26646	2013-08-03 00:17:09.304905
3781	14	2013-08-02 16:05:11.216455	2013-08-03 00:17:09.308989
3817	14	2013-08-02 16:05:11.305551	2013-08-03 00:17:11.320973
3860	21	2013-08-02 16:05:11.410564	2013-08-03 00:27:08.408465
3917	2	2013-08-02 16:05:11.549309	2013-08-03 00:32:06.8097
3913	2	2013-08-02 16:05:11.539655	2013-08-03 00:32:06.817264
3893	2	2013-08-02 16:05:11.491075	2013-08-03 00:32:06.828059
3873	2	2013-08-02 16:05:11.443027	2013-08-03 00:32:06.8368
3853	2	2013-08-02 16:05:11.393613	2013-08-03 00:32:06.84646
3833	2	2013-08-02 16:05:11.345249	2013-08-03 00:32:06.857542
3813	2	2013-08-02 16:05:11.295918	2013-08-03 00:32:06.868495
3793	2	2013-08-02 16:05:11.246757	2013-08-03 00:32:06.879484
3773	2	2013-08-02 16:05:11.195033	2013-08-03 00:32:06.890357
3858	21	2013-08-02 16:05:11.405606	2013-08-03 00:32:07.64889
3797	14	2013-08-02 16:05:11.256372	2013-08-03 00:32:08.419645
3920	14	2013-08-02 16:05:11.556483	2013-08-03 00:32:08.430931
3900	14	2013-08-02 16:05:11.508395	2013-08-03 00:32:08.441768
3880	14	2013-08-02 16:05:11.459948	2013-08-03 00:32:08.452819
3877	14	2013-08-02 16:05:11.452781	2013-08-03 00:37:07.526707
3857	2	2013-08-02 16:05:11.40324	2013-08-03 00:42:07.682149
3916	2	2013-08-02 16:05:11.54689	2013-08-03 00:42:07.686794
3896	2	2013-08-02 16:05:11.498402	2013-08-03 00:42:07.690989
3876	2	2013-08-02 16:05:11.45035	2013-08-03 00:42:07.694635
3856	2	2013-08-02 16:05:11.400822	2013-08-03 00:42:07.6983
3836	2	2013-08-02 16:05:11.352481	2013-08-03 00:42:07.702798
3816	2	2013-08-02 16:05:11.303171	2013-08-03 00:42:07.707497
3796	2	2013-08-02 16:05:11.253946	2013-08-03 00:42:07.711221
3776	2	2013-08-02 16:05:11.202999	2013-08-03 00:42:07.715199
3846	2	2013-08-02 16:05:11.376892	2013-08-03 01:31:51.583829
3865	2	2013-08-02 16:05:11.423109	2013-08-03 01:37:51.293393
3805	14	2013-08-02 16:05:11.276111	2013-08-03 01:37:51.317018
3845	2	2013-08-02 16:05:11.374372	2013-08-03 01:39:14.489603
3866	2	2013-08-02 16:05:11.425639	2013-08-03 01:39:14.589533
3786	2	2013-08-02 16:05:11.229379	2013-08-03 01:39:14.598285
3850	2	2013-08-02 16:05:11.38643	2013-08-03 01:39:14.608091
3925	2	2013-08-02 16:05:11.568705	2013-08-03 01:39:14.61841
3905	2	2013-08-02 16:05:11.520437	2013-08-03 01:39:14.62864
3826	2	2013-08-02 16:05:11.327913	2013-08-03 01:39:15.461943
3906	2	2013-08-02 16:05:11.522894	2013-08-03 01:56:00.983884
10828	14	2013-08-02 16:05:24.253427	2013-08-03 02:15:37.139351
38965	2	2013-08-02 16:06:26.296912	2013-08-04 19:52:25.334676
38986	2	2013-08-02 16:06:26.320411	2013-08-04 19:52:25.346742
25961	2	2013-08-02 16:05:56.199909	2013-08-04 17:11:54.537546
3971	14	2013-08-02 16:05:11.680033	2013-08-03 00:07:06.921278
4009	21	2013-08-02 16:05:11.774043	2013-08-03 17:42:02.092535
35635	14	2013-08-02 16:06:18.839628	2013-08-03 20:12:25.066496
38966	2	2013-08-02 16:06:26.298602	2013-08-04 19:52:25.357772
3934	14	2013-08-02 16:05:11.590818	2013-08-02 16:05:11.590818
38953	2	2013-08-02 16:06:26.27579	2013-08-04 19:52:25.367204
38946	2	2013-08-02 16:06:26.263172	2013-08-04 19:52:25.37058
3987	21	2013-08-02 16:05:11.720591	2013-08-04 17:41:52.688684
18738	14	2013-08-02 16:05:40.267734	2013-08-04 17:41:52.708377
40185	2	2013-08-02 16:06:28.56427	2013-08-03 22:34:28.494985
34377	2	2013-08-02 16:06:15.543736	2013-08-04 01:55:52.365581
10232	2	2013-08-02 16:05:23.503179	2013-08-04 19:52:25.55432
3942	2	2013-08-02 16:05:11.610315	2013-08-02 16:05:11.610315
3951	14	2013-08-02 16:05:11.631948	2013-08-03 00:07:06.92789
10258	2	2013-08-02 16:05:23.533155	2013-08-04 19:52:25.565801
35595	21	2013-08-02 16:06:18.811778	2013-08-03 23:01:18.99603
10240	2	2013-08-02 16:05:23.510983	2013-08-04 19:52:25.57746
10207	2	2013-08-02 16:05:23.481829	2013-08-04 19:52:25.589349
3924	21	2013-08-02 16:05:11.566247	2013-08-04 19:52:25.663217
10203	21	2013-08-02 16:05:23.47749	2013-08-04 19:52:25.665992
3931	14	2013-08-02 16:05:11.583253	2013-08-03 00:07:06.933545
37540	21	2013-08-02 16:06:22.792661	2013-08-03 21:09:22.544616
16026	21	2013-08-02 16:05:34.452403	2013-08-03 21:09:22.546131
3095	2	2013-08-02 16:05:09.622101	2013-08-04 19:52:25.835755
3954	14	2013-08-02 16:05:11.639156	2013-08-02 16:05:11.639156
8333	21	2013-08-02 16:05:19.605134	2013-08-04 19:52:26.188146
12431	2	2013-08-02 16:05:28.037307	2013-08-03 19:27:39.990978
38123	2	2013-08-02 16:06:24.40699	2013-08-03 19:27:40.002514
24497	2	2013-08-02 16:05:52.98746	2013-08-03 19:27:40.012557
40568	21	2013-08-02 16:06:28.932525	2013-08-04 19:52:26.190543
8340	2	2013-08-02 16:05:19.623129	2013-08-04 19:52:26.333484
9971	2	2013-08-02 16:05:23.24619	2013-08-04 19:52:26.339661
3962	2	2013-08-02 16:05:11.658471	2013-08-02 16:05:11.658471
3990	2	2013-08-02 16:05:11.727912	2013-08-03 00:07:07.189456
39268	2	2013-08-02 16:06:26.857286	2013-08-04 19:52:26.416851
3929	21	2013-08-02 16:05:11.578375	2013-08-03 19:47:25.377785
4069	14	2013-08-02 16:05:11.92675	2013-08-03 17:42:55.313835
40588	2	2013-08-02 16:06:28.954176	2013-08-04 19:52:26.419729
3949	21	2013-08-02 16:05:11.627143	2013-08-03 19:47:25.381734
10027	2	2013-08-02 16:05:23.296957	2013-08-04 19:52:26.422539
4071	2	2013-08-02 16:05:11.930179	2013-08-03 00:07:07.193495
34279	2	2013-08-02 16:06:15.309253	2013-08-04 19:52:26.425765
34290	2	2013-08-02 16:06:15.335509	2013-08-04 19:52:26.429214
34299	2	2013-08-02 16:06:15.356971	2013-08-04 19:52:26.432806
3974	14	2013-08-02 16:05:11.687195	2013-08-02 16:05:11.687195
4029	2	2013-08-02 16:05:11.866362	2013-08-03 17:47:06.065684
34319	2	2013-08-02 16:06:15.404784	2013-08-04 19:52:26.436257
34339	2	2013-08-02 16:06:15.452461	2013-08-04 19:52:26.440927
34360	2	2013-08-02 16:06:15.502775	2013-08-04 19:52:26.445037
10300	2	2013-08-02 16:05:23.580705	2013-08-04 19:52:26.762237
10318	2	2013-08-02 16:05:23.60265	2013-08-04 19:52:26.767743
24777	2	2013-08-02 16:05:53.511836	2013-08-03 17:52:04.20288
3982	2	2013-08-02 16:05:11.708011	2013-08-02 16:05:11.708011
4051	2	2013-08-02 16:05:11.897121	2013-08-03 00:07:07.196838
10292	2	2013-08-02 16:05:23.56859	2013-08-04 19:52:26.773093
3989	2	2013-08-02 16:05:11.725494	2013-08-03 20:02:25.62239
4031	2	2013-08-02 16:05:11.868653	2013-08-03 00:07:07.200078
3994	14	2013-08-02 16:05:11.737575	2013-08-02 16:05:11.737575
4002	2	2013-08-02 16:05:11.757263	2013-08-02 16:05:11.757263
4030	14	2013-08-02 16:05:11.867465	2013-08-03 00:12:10.148147
4068	14	2013-08-02 16:05:11.924882	2013-08-03 00:12:10.159268
4014	14	2013-08-02 16:05:11.846813	2013-08-02 16:05:11.846813
4022	2	2013-08-02 16:05:11.85891	2013-08-02 16:05:11.85891
4048	14	2013-08-02 16:05:11.892193	2013-08-03 00:12:10.170324
4028	14	2013-08-02 16:05:11.865259	2013-08-03 00:12:10.181395
4034	14	2013-08-02 16:05:11.872579	2013-08-02 16:05:11.872579
4042	2	2013-08-02 16:05:11.883216	2013-08-02 16:05:11.883216
4008	14	2013-08-02 16:05:11.7716	2013-08-03 00:12:10.19287
3988	14	2013-08-02 16:05:11.723077	2013-08-03 00:12:10.204104
4054	14	2013-08-02 16:05:11.901821	2013-08-02 16:05:11.901821
4062	2	2013-08-02 16:05:11.91475	2013-08-02 16:05:11.91475
3968	14	2013-08-02 16:05:11.672867	2013-08-03 00:12:10.215274
3948	14	2013-08-02 16:05:11.624745	2013-08-03 00:12:10.226418
4074	14	2013-08-02 16:05:11.9355	2013-08-02 16:05:11.9355
4082	2	2013-08-02 16:05:11.950956	2013-08-02 16:05:11.950956
4063	14	2013-08-02 16:05:11.916354	2013-08-02 21:20:29.850864
3928	14	2013-08-02 16:05:11.575934	2013-08-03 00:12:10.23761
3970	14	2013-08-02 16:05:11.677672	2013-08-03 00:12:11.005712
4072	14	2013-08-02 16:05:11.931893	2013-08-03 00:12:11.016924
4052	14	2013-08-02 16:05:11.898713	2013-08-03 00:12:11.02073
4032	14	2013-08-02 16:05:11.870032	2013-08-03 00:12:11.029377
4012	14	2013-08-02 16:05:11.782109	2013-08-03 00:12:11.035508
3992	14	2013-08-02 16:05:11.732725	2013-08-03 00:12:11.039386
3972	14	2013-08-02 16:05:11.682455	2013-08-03 00:12:11.043298
4041	21	2013-08-02 16:05:11.8817	2013-08-03 00:17:09.17686
3957	14	2013-08-02 16:05:11.646523	2013-08-03 00:17:10.304547
3933	2	2013-08-02 16:05:11.588328	2013-08-03 00:32:06.803539
4020	14	2013-08-02 16:05:11.856697	2013-08-03 00:32:08.368913
4000	14	2013-08-02 16:05:11.752398	2013-08-03 00:32:08.378829
3980	14	2013-08-02 16:05:11.702678	2013-08-03 00:32:08.388678
3960	14	2013-08-02 16:05:11.653729	2013-08-03 00:32:08.398525
3940	14	2013-08-02 16:05:11.605546	2013-08-03 00:32:08.408886
3950	2	2013-08-02 16:05:11.629619	2013-08-03 00:37:07.323475
4073	2	2013-08-02 16:05:11.933681	2013-08-03 00:37:07.334895
4053	2	2013-08-02 16:05:11.900275	2013-08-03 00:37:07.346264
4033	2	2013-08-02 16:05:11.871307	2013-08-03 00:37:07.357879
4013	2	2013-08-02 16:05:11.787057	2013-08-03 00:37:07.369248
3993	2	2013-08-02 16:05:11.735134	2013-08-03 00:37:07.380689
3973	2	2013-08-02 16:05:11.684867	2013-08-03 00:37:07.391873
3953	2	2013-08-02 16:05:11.63681	2013-08-03 00:37:07.403211
4075	14	2013-08-02 16:05:11.93732	2013-08-03 00:37:07.438803
4055	14	2013-08-02 16:05:11.903345	2013-08-03 00:37:07.44916
4035	14	2013-08-02 16:05:11.873945	2013-08-03 00:37:07.455755
4015	14	2013-08-02 16:05:11.850835	2013-08-03 00:37:07.467019
3995	14	2013-08-02 16:05:11.73999	2013-08-03 00:37:07.479715
3975	14	2013-08-02 16:05:11.689613	2013-08-03 00:37:07.491591
3955	14	2013-08-02 16:05:11.641639	2013-08-03 00:37:07.503501
3976	2	2013-08-02 16:05:11.692016	2013-08-03 00:42:07.66403
3956	2	2013-08-02 16:05:11.644088	2013-08-03 00:42:07.671343
3936	2	2013-08-02 16:05:11.595809	2013-08-03 00:42:07.676971
4076	2	2013-08-02 16:05:11.939132	2013-08-03 00:52:07.111368
4056	2	2013-08-02 16:05:11.904948	2013-08-03 00:52:07.122375
4036	2	2013-08-02 16:05:11.875215	2013-08-03 00:52:07.133117
4016	2	2013-08-02 16:05:11.852162	2013-08-03 00:52:07.144102
3996	2	2013-08-02 16:05:11.742373	2013-08-03 00:52:07.155226
4066	2	2013-08-02 16:05:11.921473	2013-08-03 01:39:14.528445
3977	2	2013-08-02 16:05:11.694766	2013-08-03 01:39:14.53194
4077	2	2013-08-02 16:05:11.941069	2013-08-03 01:39:14.536186
4065	2	2013-08-02 16:05:11.919813	2013-08-03 01:39:14.541762
4045	2	2013-08-02 16:05:11.887821	2013-08-03 01:39:14.547194
4025	2	2013-08-02 16:05:11.862218	2013-08-03 01:39:14.553563
4005	2	2013-08-02 16:05:11.764436	2013-08-03 01:39:14.559733
3985	2	2013-08-02 16:05:11.715685	2013-08-03 01:39:14.566441
3965	2	2013-08-02 16:05:11.665658	2013-08-03 01:39:14.573496
3945	2	2013-08-02 16:05:11.617558	2013-08-03 01:39:14.581173
3946	2	2013-08-02 16:05:11.61996	2013-08-03 01:39:15.173894
4026	14	2013-08-02 16:05:11.863259	2013-08-03 01:50:00.468804
3986	14	2013-08-02 16:05:11.718135	2013-08-03 01:50:00.708113
3966	2	2013-08-02 16:05:11.668062	2013-08-03 01:55:05.806371
12731	14	2013-08-02 16:05:28.585199	2013-08-03 02:15:37.230085
12263	2	2013-08-02 16:05:27.618107	2013-08-03 02:16:24.066968
2878	2	2013-08-02 16:05:09.315607	2013-08-03 02:16:24.218406
2898	2	2013-08-02 16:05:09.335291	2013-08-03 02:16:24.223713
2924	2	2013-08-02 16:05:09.362271	2013-08-03 02:16:24.228391
2918	2	2013-08-02 16:05:09.354907	2013-08-03 02:16:24.234316
2835	2	2013-08-02 16:05:09.21958	2013-08-03 02:16:24.239718
2855	2	2013-08-02 16:05:09.248644	2013-08-03 02:16:24.2452
2875	2	2013-08-02 16:05:09.271537	2013-08-03 02:16:24.251172
2904	2	2013-08-02 16:05:09.340841	2013-08-03 02:16:24.258427
2884	2	2013-08-02 16:05:09.321664	2013-08-03 02:16:24.266163
2864	2	2013-08-02 16:05:09.259725	2013-08-03 02:16:24.274405
12151	2	2013-08-02 16:05:27.381921	2013-08-03 02:26:56.502885
4231	2	2013-08-02 16:05:12.234298	2013-08-03 00:07:07.11133
34338	2	2013-08-02 16:06:15.449906	2013-08-04 01:12:19.147994
38181	21	2013-08-02 16:06:24.54539	2013-08-04 01:12:19.191223
2600	21	2013-08-02 16:05:08.945144	2013-08-03 22:34:29.440603
10246	2	2013-08-02 16:05:23.52136	2013-08-04 19:52:26.783372
34195	21	2013-08-02 16:06:15.088822	2013-08-04 01:12:19.205358
10220	2	2013-08-02 16:05:23.492949	2013-08-04 19:52:26.794383
4211	2	2013-08-02 16:05:12.20898	2013-08-03 00:07:07.12201
4161	14	2013-08-02 16:05:12.119632	2013-08-03 17:07:50.478169
24917	2	2013-08-02 16:05:53.663552	2013-08-03 17:42:44.14636
4201	14	2013-08-02 16:05:12.198899	2013-08-03 17:07:50.759851
4094	14	2013-08-02 16:05:11.975312	2013-08-02 16:05:11.975312
10286	2	2013-08-02 16:05:23.562323	2013-08-04 19:52:26.805508
4107	21	2013-08-02 16:05:12.002595	2013-08-04 17:41:52.884144
4140	2	2013-08-02 16:05:12.074291	2013-08-04 17:46:49.579082
5666	2	2013-08-02 16:05:14.346858	2013-08-03 20:55:46.551704
4160	2	2013-08-02 16:05:12.117575	2013-08-04 17:46:49.589087
4180	2	2013-08-02 16:05:12.160963	2013-08-04 17:46:49.599967
19775	2	2013-08-02 16:05:42.846143	2013-08-03 17:42:44.302394
4102	2	2013-08-02 16:05:11.992268	2013-08-02 16:05:11.992268
4191	2	2013-08-02 16:05:12.185737	2013-08-03 00:07:07.13205
10347	2	2013-08-02 16:05:23.632383	2013-08-04 19:52:26.816789
10778	2	2013-08-02 16:05:24.207026	2013-08-03 17:42:44.350385
10750	14	2013-08-02 16:05:24.182532	2013-08-03 17:42:44.36314
10327	2	2013-08-02 16:05:23.612859	2013-08-04 19:52:26.828032
40183	2	2013-08-02 16:06:28.562537	2013-08-03 19:19:09.087103
4200	2	2013-08-02 16:05:12.197907	2013-08-04 17:46:49.61097
4171	2	2013-08-02 16:05:12.141483	2013-08-03 00:07:07.142338
4101	2	2013-08-02 16:05:11.990241	2013-08-04 17:46:49.622185
17588	21	2013-08-02 16:05:38.328855	2013-08-03 19:27:39.910397
8079	2	2013-08-02 16:05:18.971834	2013-08-04 19:52:26.839891
4114	14	2013-08-02 16:05:12.01728	2013-08-02 16:05:12.01728
10307	2	2013-08-02 16:05:23.590563	2013-08-04 19:52:26.851206
10287	2	2013-08-02 16:05:23.563158	2013-08-04 19:52:26.862908
20370	21	2013-08-02 16:05:44.273898	2013-08-03 21:09:22.542871
30718	21	2013-08-02 16:06:07.081171	2013-08-03 21:34:20.445537
12818	21	2013-08-02 16:05:28.874046	2013-08-03 21:34:20.447254
10359	2	2013-08-02 16:05:23.644214	2013-08-04 19:52:26.874915
4210	2	2013-08-02 16:05:12.207939	2013-08-03 19:27:39.977135
4122	2	2013-08-02 16:05:12.035013	2013-08-02 16:05:12.035013
4151	2	2013-08-02 16:05:12.09811	2013-08-03 00:07:07.153078
10267	2	2013-08-02 16:05:23.542216	2013-08-04 19:52:26.886267
17309	14	2013-08-02 16:05:37.655829	2013-08-04 19:52:27.030439
24877	21	2013-08-02 16:05:53.621365	2013-08-03 19:47:25.373771
28386	2	2013-08-02 16:06:01.699482	2013-08-04 19:52:27.128287
4131	2	2013-08-02 16:05:12.054725	2013-08-03 00:07:07.163795
40548	2	2013-08-02 16:06:28.904701	2013-08-04 19:52:27.138144
4134	14	2013-08-02 16:05:12.061241	2013-08-02 16:05:12.061241
8338	2	2013-08-02 16:05:19.617953	2013-08-04 19:52:27.774399
38870	2	2013-08-02 16:06:26.170599	2013-08-04 19:52:27.778445
34455	21	2013-08-02 16:06:15.73932	2013-08-04 19:52:27.811333
4142	2	2013-08-02 16:05:12.078607	2013-08-02 16:05:12.078607
4111	2	2013-08-02 16:05:12.010819	2013-08-03 00:07:07.175927
8358	2	2013-08-02 16:05:19.666408	2013-08-04 19:57:27.802883
40585	2	2013-08-02 16:06:28.951579	2013-08-04 19:57:27.81224
4128	14	2013-08-02 16:05:12.048152	2013-08-03 00:12:10.112886
24897	14	2013-08-02 16:05:53.64335	2013-08-03 20:03:52.2708
4154	14	2013-08-02 16:05:12.104612	2013-08-02 16:05:12.104612
4162	2	2013-08-02 16:05:12.121869	2013-08-02 16:05:12.121869
4108	14	2013-08-02 16:05:12.004623	2013-08-03 00:12:10.125317
4088	14	2013-08-02 16:05:11.963315	2013-08-03 00:12:10.136746
4174	14	2013-08-02 16:05:12.147981	2013-08-02 16:05:12.147981
4182	2	2013-08-02 16:05:12.165337	2013-08-02 16:05:12.165337
4228	2	2013-08-02 16:05:12.229824	2013-08-03 00:12:10.440116
4208	2	2013-08-02 16:05:12.205994	2013-08-03 00:12:10.448578
4194	14	2013-08-02 16:05:12.190513	2013-08-02 16:05:12.190513
4202	2	2013-08-02 16:05:12.199897	2013-08-02 16:05:12.199897
4188	2	2013-08-02 16:05:12.18232	2013-08-03 00:12:10.457287
4168	2	2013-08-02 16:05:12.135041	2013-08-03 00:12:10.466327
4214	14	2013-08-02 16:05:12.21233	2013-08-02 16:05:12.21233
4222	2	2013-08-02 16:05:12.22174	2013-08-02 16:05:12.22174
4148	2	2013-08-02 16:05:12.091705	2013-08-03 00:12:10.475336
4232	14	2013-08-02 16:05:12.235724	2013-08-03 00:12:10.921005
4234	14	2013-08-02 16:05:12.238525	2013-08-02 16:05:12.238525
4212	14	2013-08-02 16:05:12.210108	2013-08-03 00:12:10.931454
4150	2	2013-08-02 16:05:12.095909	2013-08-02 23:11:36.252532
4192	14	2013-08-02 16:05:12.186905	2013-08-03 00:12:10.941897
4172	14	2013-08-02 16:05:12.143632	2013-08-03 00:12:10.95235
4152	14	2013-08-02 16:05:12.100269	2013-08-03 00:12:10.962748
4132	14	2013-08-02 16:05:12.056895	2013-08-03 00:12:10.972724
4112	14	2013-08-02 16:05:12.01295	2013-08-03 00:12:10.983614
4137	2	2013-08-02 16:05:12.067771	2013-08-03 00:14:19.647185
4237	14	2013-08-02 16:05:12.242694	2013-08-03 00:17:10.919292
4217	14	2013-08-02 16:05:12.215699	2013-08-03 00:17:10.925375
4197	14	2013-08-02 16:05:12.194778	2013-08-03 00:17:10.932276
4177	14	2013-08-02 16:05:12.154459	2013-08-03 00:17:10.939507
4220	21	2013-08-02 16:05:12.219306	2013-08-03 00:32:08.269361
4233	2	2013-08-02 16:05:12.237192	2013-08-03 00:37:07.231084
4213	2	2013-08-02 16:05:12.211218	2013-08-03 00:37:07.242541
4193	2	2013-08-02 16:05:12.188089	2013-08-03 00:37:07.254411
4173	2	2013-08-02 16:05:12.145808	2013-08-03 00:37:07.266248
4153	2	2013-08-02 16:05:12.102416	2013-08-03 00:37:07.277421
4133	2	2013-08-02 16:05:12.059048	2013-08-03 00:37:07.288957
4113	2	2013-08-02 16:05:12.015113	2013-08-03 00:37:07.300422
4093	2	2013-08-02 16:05:11.973326	2013-08-03 00:37:07.311791
4095	21	2013-08-02 16:05:11.97749	2013-08-03 00:37:07.433451
4198	21	2013-08-02 16:05:12.195773	2013-08-03 00:37:07.891067
4178	14	2013-08-02 16:05:12.15664	2013-08-03 00:37:07.894033
4158	14	2013-08-02 16:05:12.113266	2013-08-03 00:37:07.897919
4138	14	2013-08-02 16:05:12.069992	2013-08-03 00:37:07.902408
4215	14	2013-08-02 16:05:12.213464	2013-08-03 00:42:07.627339
4195	14	2013-08-02 16:05:12.192738	2013-08-03 00:42:07.631936
4175	14	2013-08-02 16:05:12.150166	2013-08-03 00:42:07.636033
4155	14	2013-08-02 16:05:12.106758	2013-08-03 00:42:07.640514
4135	14	2013-08-02 16:05:12.063409	2013-08-03 00:42:07.644721
4115	14	2013-08-02 16:05:12.019439	2013-08-03 00:42:07.649729
4238	14	2013-08-02 16:05:12.244283	2013-08-03 00:42:08.00003
4218	14	2013-08-02 16:05:12.216888	2013-08-03 00:42:08.006746
4236	2	2013-08-02 16:05:12.241245	2013-08-03 00:52:07.024534
4216	2	2013-08-02 16:05:12.214571	2013-08-03 00:52:07.035519
4196	2	2013-08-02 16:05:12.193768	2013-08-03 00:52:07.046316
4176	2	2013-08-02 16:05:12.152298	2013-08-03 00:52:07.057125
4156	2	2013-08-02 16:05:12.108953	2013-08-03 00:52:07.06812
4136	2	2013-08-02 16:05:12.065618	2013-08-03 00:52:07.079044
4116	2	2013-08-02 16:05:12.021612	2013-08-03 00:52:07.089859
4096	2	2013-08-02 16:05:11.979456	2013-08-03 00:52:07.100649
4106	2	2013-08-02 16:05:12.000601	2013-08-03 01:37:51.331166
4086	2	2013-08-02 16:05:11.95897	2013-08-03 01:39:14.478652
4125	2	2013-08-02 16:05:12.041633	2013-08-03 01:39:14.516334
4105	2	2013-08-02 16:05:11.998527	2013-08-03 01:39:14.52131
4085	2	2013-08-02 16:05:11.957002	2013-08-03 01:39:14.525292
4230	14	2013-08-02 16:05:12.232858	2013-08-03 01:43:47.540998
4145	14	2013-08-02 16:05:12.085259	2013-08-03 01:43:48.001874
4090	2	2013-08-02 16:05:11.96743	2013-08-03 01:45:31.043833
4166	14	2013-08-02 16:05:12.130687	2013-08-03 01:50:00.270559
4205	2	2013-08-02 16:05:12.202951	2013-08-03 01:50:50.149628
4146	2	2013-08-02 16:05:12.087419	2013-08-03 01:50:50.27426
4225	2	2013-08-02 16:05:12.225693	2013-08-03 02:00:10.934098
4226	2	2013-08-02 16:05:12.227011	2013-08-03 02:00:59.48594
4126	2	2013-08-02 16:05:12.043791	2013-08-03 02:11:06.020256
2844	2	2013-08-02 16:05:09.232293	2013-08-03 02:16:24.283648
2961	2	2013-08-02 16:05:09.411722	2013-08-03 02:16:24.290684
12058	2	2013-08-02 16:05:27.137056	2013-08-03 02:16:24.507647
17648	21	2013-08-02 16:05:38.458856	2013-08-03 02:16:24.530829
17628	21	2013-08-02 16:05:38.40622	2013-08-03 02:16:24.53337
17608	21	2013-08-02 16:05:38.378763	2013-08-03 02:16:24.535414
11998	2	2013-08-02 16:05:26.985791	2013-08-03 02:16:24.659864
18028	2	2013-08-02 16:05:39.059527	2013-08-03 02:16:24.707218
18008	2	2013-08-02 16:05:39.037644	2013-08-03 02:16:24.718987
17988	2	2013-08-02 16:05:39.01836	2013-08-03 02:16:24.730718
4959	14	2013-08-02 16:05:13.151399	2013-08-03 03:09:45.705118
4252	21	2013-08-02 16:05:12.268067	2013-08-03 17:35:03.741553
4242	2	2013-08-02 16:05:12.250796	2013-08-02 16:05:12.250796
4331	2	2013-08-02 16:05:12.431685	2013-08-03 00:07:07.072606
44772	21	2013-08-02 16:06:39.332244	2013-08-04 01:12:19.207911
37643	21	2013-08-02 16:06:23.045944	2013-08-03 20:52:36.479189
4312	14	2013-08-02 16:05:12.387666	2013-08-03 17:07:53.298887
25968	2	2013-08-02 16:05:56.218297	2013-08-04 17:11:54.549109
4311	2	2013-08-02 16:05:12.385262	2013-08-03 00:07:07.078624
44270	21	2013-08-02 16:06:37.837975	2013-08-04 01:12:19.31352
4254	14	2013-08-02 16:05:12.271681	2013-08-02 16:05:12.271681
14752	2	2013-08-02 16:05:32.524926	2013-08-03 17:42:44.377965
14695	14	2013-08-02 16:05:32.429903	2013-08-04 17:46:51.444879
4307	14	2013-08-02 16:05:12.376336	2013-08-04 17:46:51.45166
34417	14	2013-08-02 16:06:15.639448	2013-08-04 19:52:27.860647
34419	14	2013-08-02 16:06:15.644108	2013-08-04 19:52:27.865944
4262	2	2013-08-02 16:05:12.287049	2013-08-02 16:05:12.287049
4291	2	2013-08-02 16:05:12.343915	2013-08-03 00:07:07.087148
34399	14	2013-08-02 16:06:15.596152	2013-08-04 19:52:27.873136
14692	14	2013-08-02 16:05:32.426256	2013-08-04 17:46:51.459191
16561	14	2013-08-02 16:05:35.759496	2013-08-04 17:46:51.470359
8458	2	2013-08-02 16:05:19.93642	2013-08-04 19:52:27.909794
4287	14	2013-08-02 16:05:12.336039	2013-08-04 17:46:51.482231
11951	21	2013-08-02 16:05:26.859293	2013-08-03 23:01:18.998661
4271	2	2013-08-02 16:05:12.304707	2013-08-03 00:07:07.093767
39273	21	2013-08-02 16:06:26.863379	2013-08-04 19:52:28.248052
4274	14	2013-08-02 16:05:12.310577	2013-08-02 16:05:12.310577
4352	14	2013-08-02 16:05:12.47827	2013-08-03 17:42:44.451677
20330	2	2013-08-02 16:05:44.228301	2013-08-03 21:00:16.050617
40463	21	2013-08-02 16:06:28.827524	2013-08-03 19:22:36.626676
4282	2	2013-08-02 16:05:12.326275	2013-08-02 16:05:12.326275
4251	2	2013-08-02 16:05:12.266254	2013-08-03 00:07:07.104862
13993	14	2013-08-02 16:05:30.675543	2013-08-03 19:24:59.848813
1133	21	2013-08-02 16:05:05.834417	2013-08-03 23:49:35.052188
24937	21	2013-08-02 16:05:53.683609	2013-08-03 19:27:39.906773
4370	2	2013-08-02 16:05:12.517096	2013-08-03 00:12:10.35434
38403	21	2013-08-02 16:06:25.069029	2013-08-03 19:27:39.90871
4294	14	2013-08-02 16:05:12.349792	2013-08-02 16:05:12.349792
4272	14	2013-08-02 16:05:12.306648	2013-08-03 19:50:14.565436
4302	2	2013-08-02 16:05:12.365852	2013-08-02 16:05:12.365852
4388	2	2013-08-02 16:05:12.548338	2013-08-03 00:12:10.357498
12030	21	2013-08-02 16:05:27.064857	2013-08-03 21:34:20.44364
39070	21	2013-08-02 16:06:26.414032	2013-08-04 19:54:38.565712
39193	2	2013-08-02 16:06:26.7713	2013-08-04 19:57:27.746026
14705	2	2013-08-02 16:05:32.44303	2013-08-03 17:52:04.441178
39213	2	2013-08-02 16:06:26.790837	2013-08-04 19:57:27.754083
4368	2	2013-08-02 16:05:12.512761	2013-08-03 00:12:10.397736
14113	2	2013-08-02 16:05:30.972718	2013-08-03 17:52:04.874053
39220	2	2013-08-02 16:06:26.79763	2013-08-04 19:57:27.764204
39233	2	2013-08-02 16:06:26.810497	2013-08-04 19:57:27.771335
4314	14	2013-08-02 16:05:12.392479	2013-08-02 16:05:12.392479
39253	2	2013-08-02 16:06:26.830411	2013-08-04 19:57:27.775229
39401	2	2013-08-02 16:06:27.035433	2013-08-04 19:57:27.779089
3704	21	2013-08-02 16:05:11.015135	2013-08-03 19:57:24.177301
34439	2	2013-08-02 16:06:15.698452	2013-08-04 19:57:27.784314
34513	2	2013-08-02 16:06:15.88428	2013-08-04 19:57:27.790578
4346	14	2013-08-02 16:05:12.46527	2013-08-03 20:02:25.731537
3979	14	2013-08-02 16:05:11.69995	2013-08-03 20:02:25.742383
4322	2	2013-08-02 16:05:12.410121	2013-08-02 16:05:12.410121
4348	2	2013-08-02 16:05:12.469612	2013-08-03 00:12:10.40321
39083	14	2013-08-02 16:06:26.42767	2013-08-03 20:02:25.753672
4292	2	2013-08-02 16:05:12.345885	2013-08-03 20:03:31.903225
4328	2	2013-08-02 16:05:12.42467	2013-08-03 00:12:10.408204
4334	14	2013-08-02 16:05:12.438954	2013-08-02 16:05:12.438954
20410	21	2013-08-02 16:05:44.314158	2013-08-03 22:00:17.051079
4342	2	2013-08-02 16:05:12.456636	2013-08-02 16:05:12.456636
4308	2	2013-08-02 16:05:12.378545	2013-08-03 00:12:10.4127
4288	2	2013-08-02 16:05:12.338026	2013-08-03 00:12:10.418554
4354	14	2013-08-02 16:05:12.482606	2013-08-02 16:05:12.482606
4362	2	2013-08-02 16:05:12.499828	2013-08-02 16:05:12.499828
4268	2	2013-08-02 16:05:12.298811	2013-08-03 00:12:10.425013
4248	2	2013-08-02 16:05:12.260982	2013-08-03 00:12:10.432321
4374	14	2013-08-02 16:05:12.525707	2013-08-02 16:05:12.525707
4382	2	2013-08-02 16:05:12.541395	2013-08-02 16:05:12.541395
4330	14	2013-08-02 16:05:12.429329	2013-08-03 00:12:10.637792
4270	14	2013-08-02 16:05:12.302743	2013-08-03 00:12:10.648694
4394	14	2013-08-02 16:05:12.553534	2013-08-02 16:05:12.553534
4363	14	2013-08-02 16:05:12.501998	2013-08-03 00:12:10.659556
4290	2	2013-08-02 16:05:12.341934	2013-08-02 23:16:02.239523
4337	14	2013-08-02 16:05:12.445551	2013-08-03 00:17:10.887998
4317	14	2013-08-02 16:05:12.39915	2013-08-03 00:17:10.892502
4297	14	2013-08-02 16:05:12.355662	2013-08-03 00:17:10.902035
4361	21	2013-08-02 16:05:12.497669	2013-08-03 00:22:08.081137
4341	14	2013-08-02 16:05:12.454432	2013-08-03 00:22:08.084837
4321	14	2013-08-02 16:05:12.407744	2013-08-03 00:22:08.088968
4301	14	2013-08-02 16:05:12.363857	2013-08-03 00:22:08.092568
4281	14	2013-08-02 16:05:12.324293	2013-08-03 00:22:08.097029
4261	14	2013-08-02 16:05:12.285103	2013-08-03 00:22:08.103756
4241	14	2013-08-02 16:05:12.249199	2013-08-03 00:22:08.108822
4273	2	2013-08-02 16:05:12.308628	2013-08-03 00:37:07.213222
4253	2	2013-08-02 16:05:12.269885	2013-08-03 00:37:07.22152
4380	14	2013-08-02 16:05:12.538393	2013-08-03 00:37:08.28288
4360	14	2013-08-02 16:05:12.495508	2013-08-03 00:37:08.287086
4340	14	2013-08-02 16:05:12.452231	2013-08-03 00:37:08.291268
4320	14	2013-08-02 16:05:12.405691	2013-08-03 00:37:08.297495
4300	14	2013-08-02 16:05:12.36191	2013-08-03 00:37:08.303802
4280	14	2013-08-02 16:05:12.322349	2013-08-03 00:37:08.30898
4260	14	2013-08-02 16:05:12.283132	2013-08-03 00:37:08.314037
4240	14	2013-08-02 16:05:12.247489	2013-08-03 00:37:08.31914
4323	2	2013-08-02 16:05:12.412518	2013-08-03 00:42:07.436456
4393	2	2013-08-02 16:05:12.552786	2013-08-03 00:42:07.469063
4373	2	2013-08-02 16:05:12.523539	2013-08-03 00:42:07.474665
4353	2	2013-08-02 16:05:12.480418	2013-08-03 00:42:07.478854
4333	2	2013-08-02 16:05:12.436566	2013-08-03 00:42:07.482564
4313	2	2013-08-02 16:05:12.390087	2013-08-03 00:42:07.486127
4293	2	2013-08-02 16:05:12.347816	2013-08-03 00:42:07.489654
4356	2	2013-08-02 16:05:12.486901	2013-08-03 00:52:06.958236
4336	2	2013-08-02 16:05:12.443363	2013-08-03 00:52:06.970316
4316	2	2013-08-02 16:05:12.39698	2013-08-03 00:52:06.981316
4296	2	2013-08-02 16:05:12.35368	2013-08-03 00:52:06.992048
4276	2	2013-08-02 16:05:12.314496	2013-08-03 00:52:07.002889
4256	2	2013-08-02 16:05:12.275353	2013-08-03 00:52:07.01368
4345	2	2013-08-02 16:05:12.46309	2013-08-03 01:45:30.870269
4245	2	2013-08-02 16:05:12.255837	2013-08-03 01:45:30.882441
4366	2	2013-08-02 16:05:12.508421	2013-08-03 01:50:00.289975
4306	2	2013-08-02 16:05:12.374172	2013-08-03 01:50:49.491584
4266	2	2013-08-02 16:05:12.294915	2013-08-03 02:00:11.184495
4386	2	2013-08-02 16:05:12.5468	2013-08-03 02:06:05.267443
4385	2	2013-08-02 16:05:12.545976	2013-08-03 02:16:24.151687
17968	2	2013-08-02 16:05:39.000952	2013-08-03 02:16:24.741853
17948	2	2013-08-02 16:05:38.985421	2013-08-03 02:16:24.752493
17928	2	2013-08-02 16:05:38.839371	2013-08-03 02:16:24.763213
17908	2	2013-08-02 16:05:38.804481	2013-08-03 02:16:24.774023
17888	2	2013-08-02 16:05:38.774655	2013-08-03 02:16:24.784629
17868	2	2013-08-02 16:05:38.751976	2013-08-03 02:16:24.796732
17848	2	2013-08-02 16:05:38.732112	2013-08-03 02:16:24.807948
17828	2	2013-08-02 16:05:38.7126	2013-08-03 02:16:24.819014
17808	2	2013-08-02 16:05:38.696812	2013-08-03 02:16:24.83032
17788	2	2013-08-02 16:05:38.676235	2013-08-03 02:16:24.841677
17768	2	2013-08-02 16:05:38.653303	2013-08-03 02:16:24.889296
17748	2	2013-08-02 16:05:38.631789	2013-08-03 02:16:24.894572
17728	2	2013-08-02 16:05:38.608407	2013-08-03 02:16:24.899558
17708	2	2013-08-02 16:05:38.583913	2013-08-03 02:16:24.904379
17688	2	2013-08-02 16:05:38.537012	2013-08-03 02:16:24.910231
40443	2	2013-08-02 16:06:28.80606	2013-08-03 19:22:36.648255
40423	2	2013-08-02 16:06:28.783862	2013-08-03 19:22:36.660481
40403	2	2013-08-02 16:06:28.762675	2013-08-03 19:22:36.672005
1101	2	2013-08-02 16:05:05.752764	2013-08-03 20:56:05.615453
4402	2	2013-08-02 16:05:12.560171	2013-08-02 16:05:12.560171
4539	2	2013-08-02 16:05:12.715444	2013-08-03 00:07:08.557415
45521	21	2013-08-02 16:06:40.700193	2013-08-04 01:12:19.314673
40383	2	2013-08-02 16:06:28.733384	2013-08-03 19:22:36.68303
7419	2	2013-08-02 16:05:17.849399	2013-08-03 17:42:44.534777
40363	2	2013-08-02 16:06:28.71676	2013-08-03 19:22:36.693658
4519	2	2013-08-02 16:05:12.696584	2013-08-03 00:07:08.562072
40323	2	2013-08-02 16:06:28.68396	2013-08-03 19:22:36.716607
40303	2	2013-08-02 16:06:28.667708	2013-08-03 19:22:36.727863
4414	14	2013-08-02 16:05:12.569894	2013-08-02 16:05:12.569894
7499	14	2013-08-02 16:05:17.920432	2013-08-03 17:48:24.68721
7439	14	2013-08-02 16:05:17.868021	2013-08-03 17:48:55.962574
40283	2	2013-08-02 16:06:28.649338	2013-08-03 19:22:36.738883
4489	14	2013-08-02 16:05:12.66107	2013-08-03 17:48:56.011912
40263	14	2013-08-02 16:06:28.630578	2013-08-03 19:22:36.762316
40243	14	2013-08-02 16:06:28.611242	2013-08-03 19:22:36.774136
45841	21	2013-08-02 16:06:41.30868	2013-08-04 01:12:19.31553
4422	2	2013-08-02 16:05:12.57598	2013-08-02 16:05:12.57598
4499	2	2013-08-02 16:05:12.673232	2013-08-03 00:07:08.56623
34357	21	2013-08-02 16:06:15.495664	2013-08-04 01:12:19.31639
25948	2	2013-08-02 16:05:56.165225	2013-08-04 17:11:54.560112
45901	21	2013-08-02 16:06:41.372718	2013-08-04 01:15:48.885357
34365	14	2013-08-02 16:06:15.514654	2013-08-04 01:15:48.939967
4495	21	2013-08-02 16:05:12.669133	2013-08-03 19:52:25.747336
4479	2	2013-08-02 16:05:12.650566	2013-08-03 00:07:08.570703
4515	21	2013-08-02 16:05:12.69237	2013-08-03 19:52:25.749621
4535	21	2013-08-02 16:05:12.712064	2013-08-03 19:52:25.752304
4478	21	2013-08-02 16:05:12.649714	2013-08-03 19:52:25.753888
4434	14	2013-08-02 16:05:12.590362	2013-08-02 16:05:12.590362
4498	21	2013-08-02 16:05:12.671957	2013-08-03 19:52:25.755221
25928	2	2013-08-02 16:05:56.111874	2013-08-04 17:11:54.571373
4405	21	2013-08-02 16:05:12.562323	2013-08-04 17:14:14.704036
32080	2	2013-08-02 16:06:10.544572	2013-08-03 22:34:28.486822
22581	21	2013-08-02 16:05:49.081132	2013-08-04 17:46:53.212082
32181	14	2013-08-02 16:06:10.780389	2013-08-03 22:36:12.107454
4442	2	2013-08-02 16:05:12.604512	2013-08-02 16:05:12.604512
4459	2	2013-08-02 16:05:12.630683	2013-08-03 00:07:08.577003
49295	21	2013-08-02 16:06:48.663305	2013-08-03 22:39:22.067664
4461	14	2013-08-02 16:05:12.632479	2013-08-03 19:52:25.864267
4447	21	2013-08-02 16:05:12.610379	2013-08-04 17:46:53.21623
4439	2	2013-08-02 16:05:12.600993	2013-08-03 00:07:08.583015
39133	14	2013-08-02 16:06:26.484018	2013-08-04 19:53:37.769139
4538	2	2013-08-02 16:05:12.714662	2013-08-03 23:00:57.284805
4454	14	2013-08-02 16:05:12.62421	2013-08-02 16:05:12.62421
4421	14	2013-08-02 16:05:12.575225	2013-08-03 19:52:26.356625
39153	21	2013-08-02 16:06:26.500953	2013-08-04 19:53:37.832809
34519	21	2013-08-02 16:06:15.898093	2013-08-04 19:54:02.181946
4462	2	2013-08-02 16:05:12.634026	2013-08-02 16:05:12.634026
4419	2	2013-08-02 16:05:12.57375	2013-08-03 00:07:08.588945
4488	2	2013-08-02 16:05:12.659993	2013-08-03 00:12:10.332397
22518	2	2013-08-02 16:05:48.914836	2013-08-03 20:59:18.721957
22541	2	2013-08-02 16:05:48.975527	2013-08-03 20:59:19.344254
4474	14	2013-08-02 16:05:12.645844	2013-08-02 16:05:12.645844
39005	21	2013-08-02 16:06:26.335646	2013-08-04 19:54:38.614818
39393	21	2013-08-02 16:06:27.02263	2013-08-04 19:54:38.616653
39415	2	2013-08-02 16:06:27.063109	2013-08-04 19:57:25.859162
39506	2	2013-08-02 16:06:27.182099	2013-08-04 19:57:26.459401
39413	21	2013-08-02 16:06:27.059864	2013-08-04 19:57:26.525417
39113	21	2013-08-02 16:06:26.461919	2013-08-04 19:57:27.429891
4482	2	2013-08-02 16:05:12.654153	2013-08-02 16:05:12.654153
4468	2	2013-08-02 16:05:12.639769	2013-08-03 00:12:10.338802
34539	21	2013-08-02 16:06:15.945126	2013-08-04 19:57:27.432774
4476	2	2013-08-02 16:05:12.64754	2013-08-03 23:11:28.80849
39546	2	2013-08-02 16:06:27.237203	2013-08-04 19:57:27.735882
39275	2	2013-08-02 16:06:26.865145	2013-08-04 20:02:38.868075
4448	2	2013-08-02 16:05:12.611796	2013-08-03 00:12:10.344056
20270	21	2013-08-02 16:05:44.169832	2013-08-03 23:12:12.715674
36183	14	2013-08-02 16:06:20.100074	2013-08-03 21:06:15.03607
4494	14	2013-08-02 16:05:12.666762	2013-08-02 16:05:12.666762
22521	21	2013-08-02 16:05:48.922497	2013-08-03 21:09:21.773882
4517	21	2013-08-02 16:05:12.694685	2013-08-03 23:12:42.592954
4502	2	2013-08-02 16:05:12.676852	2013-08-02 16:05:12.676852
4428	2	2013-08-02 16:05:12.580439	2013-08-03 00:12:10.348064
4408	2	2013-08-02 16:05:12.564928	2013-08-03 00:12:10.351214
20565	21	2013-08-02 16:05:44.465236	2013-08-03 23:45:41.283336
1460	2	2013-08-02 16:05:06.644221	2013-08-03 21:19:21.951414
4514	14	2013-08-02 16:05:12.691481	2013-08-02 16:05:12.691481
1389	21	2013-08-02 16:05:06.476672	2013-08-03 21:25:17.420882
4522	2	2013-08-02 16:05:12.699371	2013-08-02 16:05:12.699371
4530	14	2013-08-02 16:05:12.707315	2013-08-03 00:12:10.536688
4470	14	2013-08-02 16:05:12.641533	2013-08-03 00:12:10.547176
4534	14	2013-08-02 16:05:12.711198	2013-08-02 16:05:12.711198
4542	2	2013-08-02 16:05:12.717708	2013-08-02 16:05:12.717708
4551	14	2013-08-02 16:05:12.72522	2013-08-03 00:12:10.557037
4490	2	2013-08-02 16:05:12.662539	2013-08-02 23:20:43.953773
4537	21	2013-08-02 16:05:12.713799	2013-08-03 00:17:10.782731
4510	14	2013-08-02 16:05:12.686331	2013-08-03 00:27:06.066182
4541	14	2013-08-02 16:05:12.716968	2013-08-03 00:27:06.070688
4521	14	2013-08-02 16:05:12.698441	2013-08-03 00:27:06.080397
4540	14	2013-08-02 16:05:12.716208	2013-08-03 00:37:08.23931
4520	14	2013-08-02 16:05:12.697516	2013-08-03 00:37:08.244694
4500	14	2013-08-02 16:05:12.67461	2013-08-03 00:37:08.248983
4480	14	2013-08-02 16:05:12.652363	2013-08-03 00:37:08.254776
4460	14	2013-08-02 16:05:12.631589	2013-08-03 00:37:08.259055
4440	14	2013-08-02 16:05:12.601845	2013-08-03 00:37:08.264113
4420	14	2013-08-02 16:05:12.574472	2013-08-03 00:37:08.273714
4400	14	2013-08-02 16:05:12.558652	2013-08-03 00:37:08.27802
4553	2	2013-08-02 16:05:12.727035	2013-08-03 00:42:07.403219
4533	2	2013-08-02 16:05:12.710325	2013-08-03 00:42:07.407791
4513	2	2013-08-02 16:05:12.689827	2013-08-03 00:42:07.411409
4493	2	2013-08-02 16:05:12.665888	2013-08-03 00:42:07.415562
4473	2	2013-08-02 16:05:12.644938	2013-08-03 00:42:07.419672
4453	2	2013-08-02 16:05:12.621536	2013-08-03 00:42:07.423926
4433	2	2013-08-02 16:05:12.589107	2013-08-03 00:42:07.427865
4413	2	2013-08-02 16:05:12.569157	2013-08-03 00:42:07.431978
4475	21	2013-08-02 16:05:12.64672	2013-08-03 00:42:07.498713
4516	2	2013-08-02 16:05:12.693676	2013-08-03 01:13:19.284794
4496	2	2013-08-02 16:05:12.670124	2013-08-03 01:13:41.823142
4445	2	2013-08-02 16:05:12.60789	2013-08-03 01:43:47.576271
4425	2	2013-08-02 16:05:12.578215	2013-08-03 01:45:29.774709
4456	2	2013-08-02 16:05:12.626366	2013-08-03 01:45:30.157287
4430	2	2013-08-02 16:05:12.582382	2013-08-03 01:45:30.160675
4545	2	2013-08-02 16:05:12.71983	2013-08-03 01:45:30.164048
4525	2	2013-08-02 16:05:12.702189	2013-08-03 01:45:30.17214
4505	2	2013-08-02 16:05:12.681097	2013-08-03 01:45:30.17778
4485	2	2013-08-02 16:05:12.657388	2013-08-03 01:45:30.184351
4465	2	2013-08-02 16:05:12.637131	2013-08-03 02:11:06.016775
4406	2	2013-08-02 16:05:12.563103	2013-08-03 02:15:36.922594
17668	2	2013-08-02 16:05:38.492242	2013-08-03 02:16:24.915652
12751	2	2013-08-02 16:05:28.633743	2013-08-03 02:16:25.024697
7100	2	2013-08-02 16:05:17.530798	2013-08-03 02:16:25.034678
7576	2	2013-08-02 16:05:17.998793	2013-08-03 02:16:25.361898
7556	2	2013-08-02 16:05:17.97901	2013-08-03 02:16:25.367451
3177	2	2013-08-02 16:05:09.775257	2013-08-03 02:16:25.393698
11352	2	2013-08-02 16:05:25.400251	2013-08-03 02:16:25.398499
2124	2	2013-08-02 16:05:08.234988	2013-08-03 02:16:25.403387
11358	2	2013-08-02 16:05:25.414979	2013-08-03 02:16:25.410352
14457	14	2013-08-02 16:05:31.879747	2013-08-03 02:16:25.576906
14297	2	2013-08-02 16:05:31.512667	2013-08-03 02:16:25.657854
12398	21	2013-08-02 16:05:27.951379	2013-08-03 02:16:25.691926
4426	14	2013-08-02 16:05:12.578903	2013-08-03 02:26:10.119865
4511	2	2013-08-02 16:05:12.687682	2013-08-03 02:26:56.110605
11398	2	2013-08-02 16:05:25.519247	2013-08-03 02:32:08.846406
4554	14	2013-08-02 16:05:12.727946	2013-08-02 16:05:12.727946
1949	2	2013-08-02 16:05:07.837841	2013-08-04 19:47:25.602536
19508	14	2013-08-02 16:05:42.183911	2013-08-03 03:09:45.847094
12198	2	2013-08-02 16:05:27.460063	2013-08-04 19:47:25.60683
40223	14	2013-08-02 16:06:28.593475	2013-08-03 19:22:36.785949
39943	14	2013-08-02 16:06:28.285338	2013-08-03 19:22:36.797024
8209	14	2013-08-02 16:05:19.298106	2013-08-03 19:22:36.807099
4562	2	2013-08-02 16:05:12.735607	2013-08-02 16:05:12.735607
4559	2	2013-08-02 16:05:12.732322	2013-08-03 00:07:08.552881
19391	2	2013-08-02 16:05:41.829829	2013-08-04 01:15:49.672142
11351	21	2013-08-02 16:05:25.397539	2013-08-03 19:22:36.886204
11371	21	2013-08-02 16:05:25.447576	2013-08-03 19:22:36.889781
11851	21	2013-08-02 16:05:26.609438	2013-08-03 19:22:36.893563
4611	14	2013-08-02 16:05:12.794805	2013-08-03 00:12:10.505841
5746	2	2013-08-02 16:05:14.537689	2013-08-03 03:09:45.944492
3204	2	2013-08-02 16:05:09.803733	2013-08-03 03:09:47.08436
4655	21	2013-08-02 16:05:12.834549	2013-08-03 20:12:26.065082
4574	14	2013-08-02 16:05:12.74573	2013-08-02 16:05:12.74573
19371	2	2013-08-02 16:05:41.782136	2013-08-04 01:15:49.676437
4615	14	2013-08-02 16:05:12.798662	2013-08-03 20:21:37.153522
42118	2	2013-08-02 16:06:33.083053	2013-08-04 01:15:49.683589
19355	2	2013-08-02 16:05:41.744047	2013-08-04 01:15:49.687826
4582	2	2013-08-02 16:05:12.754122	2013-08-02 16:05:12.754122
4591	14	2013-08-02 16:05:12.766268	2013-08-03 00:12:10.51638
19351	2	2013-08-02 16:05:41.734464	2013-08-04 01:15:49.691583
46063	2	2013-08-02 16:06:41.653298	2013-08-04 01:15:49.69559
19410	2	2013-08-02 16:05:41.99899	2013-08-04 01:15:49.699947
39560	2	2013-08-02 16:06:27.259042	2013-08-04 19:54:26.363115
4604	14	2013-08-02 16:05:12.782759	2013-08-03 19:53:48.173807
19430	2	2013-08-02 16:05:42.022073	2013-08-04 01:15:49.705931
4571	14	2013-08-02 16:05:12.74334	2013-08-03 00:12:10.52657
39340	21	2013-08-02 16:06:26.950582	2013-08-04 19:54:26.379993
19350	2	2013-08-02 16:05:41.732043	2013-08-04 01:15:49.712086
4594	14	2013-08-02 16:05:12.769689	2013-08-02 16:05:12.769689
19331	2	2013-08-02 16:05:41.683953	2013-08-04 01:15:49.718484
39293	21	2013-08-02 16:06:26.888363	2013-08-04 19:54:26.382364
4652	14	2013-08-02 16:05:12.832156	2013-08-03 19:58:22.982811
48832	2	2013-08-02 16:06:47.532814	2013-08-04 01:15:49.885949
19388	21	2013-08-02 16:05:41.822643	2013-08-04 17:46:53.439711
4602	2	2013-08-02 16:05:12.779293	2013-08-02 16:05:12.779293
4691	2	2013-08-02 16:05:12.86492	2013-08-03 00:12:10.865299
8335	14	2013-08-02 16:05:19.610106	2013-08-04 19:54:26.505388
4707	14	2013-08-02 16:05:12.87866	2013-08-04 17:51:50.959419
4671	2	2013-08-02 16:05:12.84787	2013-08-03 00:12:10.876064
4687	14	2013-08-02 16:05:12.860698	2013-08-04 17:51:50.963635
4667	14	2013-08-02 16:05:12.844693	2013-08-04 17:51:50.967786
4595	2	2013-08-02 16:05:12.770551	2013-08-03 19:58:23.021375
4614	14	2013-08-02 16:05:12.797883	2013-08-02 16:05:12.797883
47120	21	2013-08-02 16:06:44.346229	2013-08-03 22:39:22.064229
8599	21	2013-08-02 16:05:20.290346	2013-08-03 22:39:22.065812
32085	14	2013-08-02 16:06:10.55536	2013-08-04 17:51:50.971833
4588	14	2013-08-02 16:05:12.761991	2013-08-03 19:58:42.360527
622	2	2013-08-02 16:05:05.057153	2013-08-03 21:14:23.581532
4564	14	2013-08-02 16:05:12.737373	2013-08-04 17:51:50.978634
4622	2	2013-08-02 16:05:12.805476	2013-08-02 16:05:12.805476
4651	2	2013-08-02 16:05:12.831351	2013-08-03 00:12:10.886816
40708	2	2013-08-02 16:06:29.324811	2013-08-04 19:54:26.534355
4631	2	2013-08-02 16:05:12.812435	2013-08-03 00:12:10.897448
39885	2	2013-08-02 16:06:27.961148	2013-08-03 22:49:20.932986
4696	14	2013-08-02 16:05:12.8689	2013-08-03 20:02:25.488002
4556	14	2013-08-02 16:05:12.729816	2013-08-03 20:02:25.497815
4634	14	2013-08-02 16:05:12.814982	2013-08-02 16:05:12.814982
12258	2	2013-08-02 16:05:27.606204	2013-08-03 20:02:25.516466
39033	21	2013-08-02 16:06:26.368748	2013-08-04 19:54:26.572275
15911	21	2013-08-02 16:05:34.326589	2013-08-04 19:54:26.576176
39353	21	2013-08-02 16:06:26.965511	2013-08-04 19:54:26.578179
39426	21	2013-08-02 16:06:27.07683	2013-08-04 19:54:26.580905
39453	21	2013-08-02 16:06:27.11071	2013-08-04 19:54:38.618068
4642	2	2013-08-02 16:05:12.822663	2013-08-02 16:05:12.822663
4699	14	2013-08-02 16:05:12.871467	2013-08-03 00:12:12.329004
39513	21	2013-08-02 16:06:27.190253	2013-08-04 19:54:49.879174
40741	21	2013-08-02 16:06:29.367223	2013-08-04 19:54:49.881607
40688	2	2013-08-02 16:06:29.301801	2013-08-04 19:57:25.848646
39493	2	2013-08-02 16:06:27.166112	2013-08-04 19:57:25.854005
39473	2	2013-08-02 16:06:27.143841	2013-08-04 19:57:26.142771
4650	2	2013-08-02 16:05:12.830478	2013-08-03 20:02:27.497077
40668	2	2013-08-02 16:06:29.280437	2013-08-04 20:02:38.856678
17433	2	2013-08-02 16:05:37.960501	2013-08-04 20:02:38.863125
4612	21	2013-08-02 16:05:12.795632	2013-08-03 20:07:26.76753
4654	14	2013-08-02 16:05:12.833752	2013-08-02 16:05:12.833752
4701	14	2013-08-02 16:05:12.873552	2013-08-03 20:07:27.391177
4169	21	2013-08-02 16:05:12.13721	2013-08-03 23:04:24.505168
4662	2	2013-08-02 16:05:12.840358	2013-08-02 16:05:12.840358
22601	21	2013-08-02 16:05:49.132315	2013-08-03 23:12:42.595901
32441	14	2013-08-02 16:06:11.384528	2013-08-03 23:44:25.215232
4674	14	2013-08-02 16:05:12.85022	2013-08-02 16:05:12.85022
4682	2	2013-08-02 16:05:12.856744	2013-08-02 16:05:12.856744
4694	14	2013-08-02 16:05:12.867419	2013-08-02 16:05:12.867419
4702	2	2013-08-02 16:05:12.874484	2013-08-02 16:05:12.874484
4690	2	2013-08-02 16:05:12.863905	2013-08-02 23:40:58.911907
4657	14	2013-08-02 16:05:12.836064	2013-08-03 00:20:00.305449
4681	21	2013-08-02 16:05:12.855967	2013-08-03 00:27:06.032046
4661	14	2013-08-02 16:05:12.839479	2013-08-03 00:27:06.036651
4641	14	2013-08-02 16:05:12.821801	2013-08-03 00:27:06.041824
4621	14	2013-08-02 16:05:12.803849	2013-08-03 00:27:06.04583
4601	14	2013-08-02 16:05:12.777515	2013-08-03 00:27:06.050534
4581	14	2013-08-02 16:05:12.753215	2013-08-03 00:27:06.05646
4561	14	2013-08-02 16:05:12.734089	2013-08-03 00:27:06.061361
4580	14	2013-08-02 16:05:12.752206	2013-08-03 00:37:08.2284
4560	14	2013-08-02 16:05:12.733158	2013-08-03 00:37:08.233784
4633	2	2013-08-02 16:05:12.814181	2013-08-03 00:42:07.380706
4613	2	2013-08-02 16:05:12.79672	2013-08-03 00:42:07.385457
4593	2	2013-08-02 16:05:12.768809	2013-08-03 00:42:07.39359
4573	2	2013-08-02 16:05:12.744938	2013-08-03 00:42:07.398198
4578	21	2013-08-02 16:05:12.74959	2013-08-03 00:42:07.862668
4557	14	2013-08-02 16:05:12.730701	2013-08-03 00:42:08.535061
4700	14	2013-08-02 16:05:12.87259	2013-08-03 00:42:08.540204
4680	14	2013-08-02 16:05:12.855176	2013-08-03 00:42:08.54541
4660	14	2013-08-02 16:05:12.838622	2013-08-03 00:42:08.551281
4640	14	2013-08-02 16:05:12.820947	2013-08-03 00:42:08.557217
4677	2	2013-08-02 16:05:12.852665	2013-08-03 00:47:07.264635
4693	2	2013-08-02 16:05:12.866661	2013-08-03 00:47:07.275373
4673	2	2013-08-02 16:05:12.849426	2013-08-03 00:47:07.285928
4653	2	2013-08-02 16:05:12.832921	2013-08-03 00:47:07.290384
4637	14	2013-08-02 16:05:12.818366	2013-08-03 00:47:07.34849
4695	14	2013-08-02 16:05:12.868153	2013-08-03 00:47:07.358156
4675	14	2013-08-02 16:05:12.850974	2013-08-03 00:47:07.365913
4617	2	2013-08-02 16:05:12.800504	2013-08-03 01:19:31.456631
4576	14	2013-08-02 16:05:12.747757	2013-08-03 01:25:23.752297
4676	2	2013-08-02 16:05:12.851768	2013-08-03 01:45:30.070936
4630	2	2013-08-02 16:05:12.811693	2013-08-03 01:45:30.081364
4705	2	2013-08-02 16:05:12.876982	2013-08-03 01:45:30.091703
4685	2	2013-08-02 16:05:12.859187	2013-08-03 01:45:30.102139
4665	2	2013-08-02 16:05:12.843058	2013-08-03 01:45:30.112286
4645	2	2013-08-02 16:05:12.825263	2013-08-03 01:45:30.122596
4625	2	2013-08-02 16:05:12.807921	2013-08-03 01:45:30.133376
4605	2	2013-08-02 16:05:12.785189	2013-08-03 01:45:30.143704
4585	2	2013-08-02 16:05:12.757529	2013-08-03 01:45:30.150488
4565	2	2013-08-02 16:05:12.738251	2013-08-03 01:45:30.153853
12378	21	2013-08-02 16:05:27.900188	2013-08-03 02:16:25.694214
12358	21	2013-08-02 16:05:27.846614	2013-08-03 02:16:25.695758
12338	21	2013-08-02 16:05:27.799116	2013-08-03 02:16:25.697488
12238	14	2013-08-02 16:05:27.557887	2013-08-03 02:16:25.761333
12158	2	2013-08-02 16:05:27.389043	2013-08-03 02:16:25.777822
14717	14	2013-08-02 16:05:32.460059	2013-08-03 02:19:57.848891
12318	2	2013-08-02 16:05:27.751655	2013-08-03 02:21:47.708414
14737	2	2013-08-02 16:05:32.495073	2013-08-03 02:21:48.23478
4670	2	2013-08-02 16:05:12.847084	2013-08-03 02:26:56.321366
39526	21	2013-08-02 16:06:27.205744	2013-08-04 19:54:26.680502
4857	21	2013-08-02 16:05:13.058072	2013-08-03 20:12:24.211927
4717	21	2013-08-02 16:05:12.886701	2013-08-03 20:12:24.213838
4714	14	2013-08-02 16:05:12.884025	2013-08-02 16:05:12.884025
32381	14	2013-08-02 16:06:11.235501	2013-08-03 22:34:28.248737
2899	14	2013-08-02 16:05:09.336173	2013-08-03 17:03:20.32402
39425	21	2013-08-02 16:06:27.074993	2013-08-04 19:54:26.684211
4209	2	2013-08-02 16:05:12.206981	2013-08-03 17:42:55.332857
17495	21	2013-08-02 16:05:38.123123	2013-08-04 19:54:26.689473
4801	2	2013-08-02 16:05:13.016191	2013-08-03 20:12:25.364758
4761	21	2013-08-02 16:05:12.984867	2013-08-03 20:12:26.062894
4722	2	2013-08-02 16:05:12.891744	2013-08-02 16:05:12.891744
4851	2	2013-08-02 16:05:13.053834	2013-08-03 00:12:10.777879
24033	2	2013-08-02 16:05:52.531477	2013-08-04 01:15:49.970338
20068	2	2013-08-02 16:05:43.582052	2013-08-03 03:09:46.009131
4779	2	2013-08-02 16:05:12.998867	2013-08-03 03:09:46.044974
23993	2	2013-08-02 16:05:52.497365	2013-08-04 01:15:49.985821
4741	14	2013-08-02 16:05:12.90729	2013-08-03 20:22:30.237811
23983	2	2013-08-02 16:05:52.48633	2013-08-04 01:15:49.993291
7103	2	2013-08-02 16:05:17.533353	2013-08-03 03:09:47.065873
4734	14	2013-08-02 16:05:12.901204	2013-08-02 16:05:12.901204
3878	2	2013-08-02 16:05:11.455187	2013-08-03 03:09:47.075063
3775	2	2013-08-02 16:05:11.200303	2013-08-03 03:09:47.488113
5516	2	2013-08-02 16:05:14.046038	2013-08-03 03:09:47.626924
4825	21	2013-08-02 16:05:13.033892	2013-08-03 17:52:03.310327
23973	2	2013-08-02 16:05:52.4769	2013-08-04 01:15:49.996479
40143	2	2013-08-02 16:06:28.51009	2013-08-03 19:22:37.314582
39693	2	2013-08-02 16:06:27.563802	2013-08-04 19:54:49.836284
4742	2	2013-08-02 16:05:12.908138	2013-08-02 16:05:12.908138
4831	2	2013-08-02 16:05:13.038109	2013-08-03 00:12:10.788926
4784	2	2013-08-02 16:05:13.002618	2013-08-04 01:15:49.999863
4586	2	2013-08-02 16:05:12.758748	2013-08-03 18:02:18.067133
23953	2	2013-08-02 16:05:52.456639	2013-08-04 01:15:50.003618
35935	2	2013-08-02 16:06:19.493083	2013-08-03 19:22:37.494413
4807	21	2013-08-02 16:05:13.020407	2013-08-04 17:51:52.417255
32492	14	2013-08-02 16:06:11.515167	2013-08-03 22:34:28.473901
32155	21	2013-08-02 16:06:10.712089	2013-08-04 17:51:52.421614
39228	21	2013-08-02 16:06:26.805287	2013-08-04 19:54:49.875898
40123	21	2013-08-02 16:06:28.491961	2013-08-03 19:32:39.538675
4754	14	2013-08-02 16:05:12.97899	2013-08-02 16:05:12.97899
23977	21	2013-08-02 16:05:52.48053	2013-08-03 19:32:39.541106
16923	21	2013-08-02 16:05:36.629534	2013-08-03 19:32:39.544018
4787	21	2013-08-02 16:05:13.005078	2013-08-04 17:51:52.425431
4836	21	2013-08-02 16:05:13.041578	2013-08-04 17:51:52.429262
39713	21	2013-08-02 16:06:27.611838	2013-08-04 19:54:49.884088
39586	21	2013-08-02 16:06:27.298142	2013-08-04 19:54:49.927431
4728	21	2013-08-02 16:05:12.896691	2013-08-03 20:02:24.880602
4762	2	2013-08-02 16:05:12.985601	2013-08-02 16:05:12.985601
4811	2	2013-08-02 16:05:13.023267	2013-08-03 00:12:10.80003
39673	2	2013-08-02 16:06:27.515709	2013-08-04 19:57:25.840803
39653	21	2013-08-02 16:06:27.467572	2013-08-04 19:57:25.873584
39508	2	2013-08-02 16:06:27.184136	2013-08-04 19:57:26.443476
10407	21	2013-08-02 16:05:23.69701	2013-08-04 19:57:27.419463
4747	2	2013-08-02 16:05:12.913029	2013-08-04 17:56:52.106207
22677	2	2013-08-02 16:05:49.313181	2013-08-04 17:56:52.116515
4767	2	2013-08-02 16:05:12.989604	2013-08-04 17:56:52.126934
7191	21	2013-08-02 16:05:17.617556	2013-08-03 22:34:29.686822
39505	21	2013-08-02 16:06:27.181113	2013-08-04 19:57:27.423213
39433	21	2013-08-02 16:06:27.089821	2013-08-04 19:57:27.425929
4774	14	2013-08-02 16:05:12.99525	2013-08-02 16:05:12.99525
39441	2	2013-08-02 16:06:27.098715	2013-08-04 19:57:27.725364
4821	14	2013-08-02 16:05:13.031061	2013-08-03 20:03:31.778132
7211	21	2013-08-02 16:05:17.636411	2013-08-03 22:36:31.59036
32361	21	2013-08-02 16:06:11.182183	2013-08-03 22:36:31.592914
32321	21	2013-08-02 16:06:11.07918	2013-08-03 22:39:22.063132
31901	21	2013-08-02 16:06:10.180194	2013-08-03 22:39:22.264233
34459	2	2013-08-02 16:06:15.750013	2013-08-04 19:57:27.795433
4782	2	2013-08-02 16:05:13.001216	2013-08-02 16:05:13.001216
4791	2	2013-08-02 16:05:13.007994	2013-08-03 00:12:10.810793
34479	2	2013-08-02 16:06:15.803089	2013-08-04 19:57:27.799146
40648	2	2013-08-02 16:06:29.262099	2013-08-04 19:57:27.822802
17153	2	2013-08-02 16:05:37.209065	2013-08-04 19:57:27.83336
17297	2	2013-08-02 16:05:37.629231	2013-08-04 19:57:27.844285
17289	2	2013-08-02 16:05:37.611597	2013-08-04 19:57:27.85516
10607	2	2013-08-02 16:05:23.90938	2013-08-04 19:57:28.076339
10587	2	2013-08-02 16:05:23.891696	2013-08-04 19:57:28.087882
4777	14	2013-08-02 16:05:12.997423	2013-08-03 20:03:52.518815
32341	2	2013-08-02 16:06:11.13086	2013-08-03 22:45:30.170917
4794	14	2013-08-02 16:05:13.010161	2013-08-02 16:05:13.010161
4730	2	2013-08-02 16:05:12.898249	2013-08-03 20:07:26.646838
26716	2	2013-08-02 16:05:57.798849	2013-08-04 19:57:28.922839
17529	2	2013-08-02 16:05:38.211841	2013-08-04 20:02:37.700918
39092	2	2013-08-02 16:06:26.437011	2013-08-04 20:02:38.833847
4765	14	2013-08-02 16:05:12.988077	2013-08-03 20:07:27.377504
4845	14	2013-08-02 16:05:13.04964	2013-08-03 20:07:27.382447
4802	2	2013-08-02 16:05:13.016911	2013-08-02 16:05:13.016911
4771	2	2013-08-02 16:05:12.992835	2013-08-03 00:12:10.821726
4848	14	2013-08-02 16:05:13.05173	2013-08-03 20:08:28.383735
4814	14	2013-08-02 16:05:13.025393	2013-08-02 16:05:13.025393
32415	21	2013-08-02 16:06:11.321903	2013-08-03 23:12:42.597992
32241	2	2013-08-02 16:06:10.928401	2013-08-03 23:14:34.961531
4822	2	2013-08-02 16:05:13.031752	2013-08-02 16:05:13.031752
4751	2	2013-08-02 16:05:12.97648	2013-08-03 00:12:10.832629
4861	21	2013-08-02 16:05:13.061373	2013-08-03 23:19:40.139214
32261	2	2013-08-02 16:06:10.97683	2013-08-03 23:41:31.933207
4834	14	2013-08-02 16:05:13.040157	2013-08-02 16:05:13.040157
4842	2	2013-08-02 16:05:13.04713	2013-08-02 16:05:13.04713
4731	2	2013-08-02 16:05:12.899014	2013-08-03 00:12:10.843607
4854	14	2013-08-02 16:05:13.055881	2013-08-02 16:05:13.055881
4862	2	2013-08-02 16:05:13.062243	2013-08-02 16:05:13.062243
4711	2	2013-08-02 16:05:12.881752	2013-08-03 00:12:10.854501
4852	14	2013-08-02 16:05:13.054502	2013-08-03 00:22:09.293319
4832	14	2013-08-02 16:05:13.038818	2013-08-03 00:22:09.297594
4812	14	2013-08-02 16:05:13.023966	2013-08-03 00:22:09.303147
4792	14	2013-08-02 16:05:13.008717	2013-08-03 00:22:09.308182
4860	14	2013-08-02 16:05:13.060507	2013-08-03 00:42:08.466157
4840	14	2013-08-02 16:05:13.045324	2013-08-03 00:42:08.470738
4820	14	2013-08-02 16:05:13.030339	2013-08-03 00:42:08.475329
4800	14	2013-08-02 16:05:13.015377	2013-08-03 00:42:08.480435
4780	14	2013-08-02 16:05:12.999586	2013-08-03 00:42:08.485606
4760	14	2013-08-02 16:05:12.983781	2013-08-03 00:42:08.490454
4740	14	2013-08-02 16:05:12.906408	2013-08-03 00:42:08.494379
4720	14	2013-08-02 16:05:12.89004	2013-08-03 00:42:08.529773
4853	2	2013-08-02 16:05:13.055185	2013-08-03 00:47:07.184817
4833	2	2013-08-02 16:05:13.039467	2013-08-03 00:47:07.195505
4813	2	2013-08-02 16:05:13.024682	2013-08-03 00:47:07.206269
4793	2	2013-08-02 16:05:13.009447	2013-08-03 00:47:07.214249
4773	2	2013-08-02 16:05:12.994541	2013-08-03 00:47:07.224247
4753	2	2013-08-02 16:05:12.97798	2013-08-03 00:47:07.232991
4733	2	2013-08-02 16:05:12.900462	2013-08-03 00:47:07.244151
4713	2	2013-08-02 16:05:12.88327	2013-08-03 00:47:07.255013
4835	21	2013-08-02 16:05:13.040867	2013-08-03 00:47:07.299269
4815	14	2013-08-02 16:05:13.026102	2013-08-03 00:47:07.302991
4795	14	2013-08-02 16:05:13.011565	2013-08-03 00:47:07.306873
4855	14	2013-08-02 16:05:13.056594	2013-08-03 00:52:06.92958
4770	2	2013-08-02 16:05:12.991981	2013-08-03 01:13:18.936282
4750	2	2013-08-02 16:05:12.975752	2013-08-03 01:13:41.817018
4716	2	2013-08-02 16:05:12.885905	2013-08-03 01:19:09.628063
4810	2	2013-08-02 16:05:13.022574	2013-08-03 01:24:57.09715
4856	2	2013-08-02 16:05:13.057294	2013-08-03 01:25:22.916471
4725	2	2013-08-02 16:05:12.894105	2013-08-03 01:45:30.059963
4865	14	2013-08-02 16:05:13.064774	2013-08-03 01:48:53.206469
4816	14	2013-08-02 16:05:13.026773	2013-08-03 01:50:00.602693
4837	14	2013-08-02 16:05:13.042547	2013-08-03 01:50:00.655126
4785	14	2013-08-02 16:05:13.003325	2013-08-03 01:55:05.767112
4805	2	2013-08-02 16:05:13.019067	2013-08-03 02:06:05.696085
4526	14	2013-08-02 16:05:12.703027	2013-08-03 02:20:55.426748
4436	14	2013-08-02 16:05:12.593396	2013-08-03 02:20:55.537992
4646	2	2013-08-02 16:05:12.826153	2013-08-03 02:21:47.538174
4606	2	2013-08-02 16:05:12.786722	2013-08-03 02:21:47.698072
4546	2	2013-08-02 16:05:12.720528	2013-08-03 02:21:48.225002
4806	14	2013-08-02 16:05:13.019714	2013-08-03 02:26:10.367309
20408	14	2013-08-02 16:05:44.31268	2013-08-03 03:09:46.101061
39863	2	2013-08-02 16:06:27.91887	2013-08-03 19:22:37.504763
26696	2	2013-08-02 16:05:57.746713	2013-08-04 19:57:28.934056
2769	2	2013-08-02 16:05:09.147954	2013-08-03 19:22:37.532311
2717	2	2013-08-02 16:05:09.096931	2013-08-03 19:22:37.547415
26710	2	2013-08-02 16:05:57.784158	2013-08-04 19:57:28.945395
4874	14	2013-08-02 16:05:13.072598	2013-08-02 16:05:13.072598
2751	2	2013-08-02 16:05:09.132471	2013-08-03 19:22:37.552636
2295	21	2013-08-02 16:05:08.582997	2013-08-03 20:12:24.210835
23933	2	2013-08-02 16:05:52.435427	2013-08-04 01:15:50.009453
14672	14	2013-08-02 16:05:32.397526	2013-08-03 17:42:55.354785
19348	2	2013-08-02 16:05:41.727154	2013-08-03 03:09:46.125969
32461	21	2013-08-02 16:06:11.433684	2013-08-03 22:34:29.689641
4882	2	2013-08-02 16:05:13.079495	2013-08-02 16:05:13.079495
4991	2	2013-08-02 16:05:13.182499	2013-08-03 00:12:10.71771
4964	21	2013-08-02 16:05:13.155909	2013-08-03 20:21:36.623075
9136	2	2013-08-02 16:05:21.563739	2013-08-03 03:09:47.056649
39543	21	2013-08-02 16:06:27.231997	2013-08-03 22:34:29.69229
23913	2	2013-08-02 16:05:52.419667	2013-08-04 01:15:50.015743
23893	2	2013-08-02 16:05:52.402896	2013-08-04 01:15:50.024962
34499	2	2013-08-02 16:06:15.853794	2013-08-04 19:57:29.114394
23873	2	2013-08-02 16:05:52.386603	2013-08-04 01:15:50.033514
26060	2	2013-08-02 16:05:56.515115	2013-08-04 17:11:54.583027
13816	2	2013-08-02 16:05:30.274921	2013-08-04 01:18:23.601943
4894	14	2013-08-02 16:05:13.089462	2013-08-02 16:05:13.089462
3184	21	2013-08-02 16:05:09.785459	2013-08-04 17:51:52.650778
19157	2	2013-08-02 16:05:41.229069	2013-08-03 19:22:38.00586
28585	21	2013-08-02 16:06:01.944159	2013-08-03 19:22:38.036534
17161	21	2013-08-02 16:05:37.23062	2013-08-03 20:02:25.638461
39073	2	2013-08-02 16:06:26.416661	2013-08-04 19:57:29.124893
6559	2	2013-08-02 16:05:16.446052	2013-08-03 22:36:12.026692
4918	14	2013-08-02 16:05:13.111185	2013-08-04 17:56:50.581623
4902	2	2013-08-02 16:05:13.097272	2013-08-02 16:05:13.097272
4971	2	2013-08-02 16:05:13.162265	2013-08-03 00:12:10.730204
4932	14	2013-08-02 16:05:13.124391	2013-08-04 17:56:50.593796
4952	14	2013-08-02 16:05:13.144846	2013-08-04 17:56:50.605631
4972	14	2013-08-02 16:05:13.163069	2013-08-04 17:56:50.617283
35895	21	2013-08-02 16:06:19.396349	2013-08-03 20:07:27.335717
40083	21	2013-08-02 16:06:28.451587	2013-08-03 20:07:27.336872
23897	21	2013-08-02 16:05:52.406457	2013-08-03 20:07:27.337857
4914	14	2013-08-02 16:05:13.107514	2013-08-02 16:05:13.107514
11623	21	2013-08-02 16:05:26.065577	2013-08-03 20:07:27.33888
32601	14	2013-08-02 16:06:11.977376	2013-08-03 22:36:12.185397
4922	2	2013-08-02 16:05:13.114691	2013-08-02 16:05:13.114691
4951	2	2013-08-02 16:05:13.143994	2013-08-03 00:12:10.742273
34695	14	2013-08-02 16:06:16.319068	2013-08-03 22:36:31.524944
39823	14	2013-08-02 16:06:27.86166	2013-08-03 20:08:28.480531
14415	21	2013-08-02 16:05:31.779395	2013-08-03 22:36:31.59533
32621	21	2013-08-02 16:06:12.000156	2013-08-03 22:39:22.061407
32081	21	2013-08-02 16:06:10.546701	2013-08-03 22:39:22.257809
4934	14	2013-08-02 16:05:13.126153	2013-08-02 16:05:13.126153
14868	21	2013-08-02 16:05:32.790976	2013-08-03 22:45:30.243067
4942	2	2013-08-02 16:05:13.13378	2013-08-02 16:05:13.13378
4931	2	2013-08-02 16:05:13.123653	2013-08-03 00:12:10.753355
32518	21	2013-08-02 16:06:11.579613	2013-08-03 22:49:21.903837
39957	2	2013-08-02 16:06:28.314005	2013-08-04 20:02:37.041115
40006	2	2013-08-02 16:06:28.369977	2013-08-04 20:02:37.597339
39733	2	2013-08-02 16:06:27.659474	2013-08-04 20:02:37.60759
49275	14	2013-08-02 16:06:48.610407	2013-08-03 22:55:42.020339
39753	2	2013-08-02 16:06:27.708699	2013-08-04 20:02:37.617709
39093	2	2013-08-02 16:06:26.438115	2013-08-04 20:02:37.631033
40000	21	2013-08-02 16:06:28.363321	2013-08-04 20:04:18.493269
4954	14	2013-08-02 16:05:13.146618	2013-08-02 16:05:13.146618
4962	2	2013-08-02 16:05:13.153953	2013-08-02 16:05:13.153953
4911	2	2013-08-02 16:05:13.105142	2013-08-03 00:12:10.76039
5004	21	2013-08-02 16:05:13.197131	2013-08-03 23:12:31.714317
32661	21	2013-08-02 16:06:12.065745	2013-08-03 23:34:28.109533
40203	14	2013-08-02 16:06:28.578441	2013-08-03 23:45:16.902879
4974	14	2013-08-02 16:05:13.164899	2013-08-02 16:05:13.164899
49215	21	2013-08-02 16:06:48.453973	2013-08-03 23:45:41.284228
4982	2	2013-08-02 16:05:13.173982	2013-08-02 16:05:13.173982
4891	2	2013-08-02 16:05:13.086747	2013-08-03 00:12:10.766946
4994	14	2013-08-02 16:05:13.18586	2013-08-02 16:05:13.18586
5002	2	2013-08-02 16:05:13.194588	2013-08-02 16:05:13.194588
5011	14	2013-08-02 16:05:13.205138	2013-08-03 00:17:10.30012
5014	14	2013-08-02 16:05:13.208209	2013-08-02 16:05:13.208209
5022	2	2013-08-02 16:05:13.216296	2013-08-02 16:05:13.216296
4897	2	2013-08-02 16:05:13.092271	2013-08-03 00:20:00.351865
4912	21	2013-08-02 16:05:13.105952	2013-08-03 00:22:09.281873
4892	14	2013-08-02 16:05:13.087602	2013-08-03 00:22:09.286001
4872	14	2013-08-02 16:05:13.070687	2013-08-03 00:22:09.289688
4903	14	2013-08-02 16:05:13.098141	2013-08-03 00:22:09.609395
5017	14	2013-08-02 16:05:13.211104	2013-08-03 00:22:09.615185
4997	14	2013-08-02 16:05:13.188936	2013-08-03 00:22:09.622502
4917	14	2013-08-02 16:05:13.110281	2013-08-03 00:32:05.45502
5021	14	2013-08-02 16:05:13.215296	2013-08-03 00:32:05.467283
5001	14	2013-08-02 16:05:13.193418	2013-08-03 00:32:05.479714
4981	14	2013-08-02 16:05:13.173169	2013-08-03 00:32:05.490975
4961	14	2013-08-02 16:05:13.153138	2013-08-03 00:32:05.501969
4941	14	2013-08-02 16:05:13.132939	2013-08-03 00:32:05.513211
4921	14	2013-08-02 16:05:13.11342	2013-08-03 00:32:05.524895
4901	14	2013-08-02 16:05:13.096199	2013-08-03 00:32:05.53685
4881	14	2013-08-02 16:05:13.078776	2013-08-03 00:32:05.548076
4940	14	2013-08-02 16:05:13.132078	2013-08-03 00:42:08.426032
4920	14	2013-08-02 16:05:13.11256	2013-08-03 00:42:08.431407
4900	14	2013-08-02 16:05:13.095009	2013-08-03 00:42:08.442402
4880	14	2013-08-02 16:05:13.078035	2013-08-03 00:42:08.455737
4993	2	2013-08-02 16:05:13.184775	2013-08-03 00:47:07.1434
4973	2	2013-08-02 16:05:13.163933	2013-08-03 00:47:07.149877
4953	2	2013-08-02 16:05:13.145742	2013-08-03 00:47:07.157188
4933	2	2013-08-02 16:05:13.12528	2013-08-03 00:47:07.161273
4913	2	2013-08-02 16:05:13.106753	2013-08-03 00:47:07.167089
4893	2	2013-08-02 16:05:13.088442	2013-08-03 00:47:07.172403
4873	2	2013-08-02 16:05:13.071485	2013-08-03 00:47:07.177951
4938	21	2013-08-02 16:05:13.129552	2013-08-03 00:47:07.625832
5020	14	2013-08-02 16:05:13.214313	2013-08-03 00:47:08.256016
5000	14	2013-08-02 16:05:13.192331	2013-08-03 00:47:08.260825
4980	14	2013-08-02 16:05:13.172364	2013-08-03 00:47:08.265225
5013	2	2013-08-02 16:05:13.207319	2013-08-03 00:52:06.759797
5015	14	2013-08-02 16:05:13.209101	2013-08-03 00:52:06.846878
4995	14	2013-08-02 16:05:13.186882	2013-08-03 00:52:06.856784
4975	14	2013-08-02 16:05:13.166218	2013-08-03 00:52:06.867583
4955	14	2013-08-02 16:05:13.147501	2013-08-03 00:52:06.878548
4935	14	2013-08-02 16:05:13.126964	2013-08-03 00:52:06.886683
4915	14	2013-08-02 16:05:13.108255	2013-08-03 00:52:06.896322
4895	14	2013-08-02 16:05:13.090402	2013-08-03 00:52:06.907677
4875	14	2013-08-02 16:05:13.073562	2013-08-03 00:52:06.918762
4970	2	2013-08-02 16:05:13.161386	2013-08-03 01:19:09.268219
4950	2	2013-08-02 16:05:13.143167	2013-08-03 01:19:31.441234
5016	2	2013-08-02 16:05:13.210233	2013-08-03 01:31:51.946788
4896	14	2013-08-02 16:05:13.091472	2013-08-03 01:32:14.004597
4910	2	2013-08-02 16:05:13.10432	2013-08-03 01:48:53.253864
4706	2	2013-08-02 16:05:12.877859	2013-08-03 02:20:55.455342
14757	14	2013-08-02 16:05:32.534983	2013-08-03 02:20:55.604222
4686	2	2013-08-02 16:05:12.859948	2013-08-03 02:21:47.318575
4410	2	2013-08-02 16:05:12.566758	2013-08-03 02:21:48.215071
4936	14	2013-08-02 16:05:13.127811	2013-08-03 02:31:15.758571
3855	14	2013-08-02 16:05:11.398366	2013-08-03 17:03:17.047343
39803	21	2013-08-02 16:06:27.828366	2013-08-03 20:12:24.208323
7905	2	2013-08-02 16:05:18.590007	2013-08-04 19:47:25.583296
35875	21	2013-08-02 16:06:19.347029	2013-08-03 20:12:24.209877
4359	2	2013-08-02 16:05:12.493362	2013-08-04 19:47:25.587826
5026	14	2013-08-02 16:05:13.222575	2013-08-03 20:12:25.518635
16215	21	2013-08-02 16:05:34.863073	2013-08-03 20:12:26.061088
25908	2	2013-08-02 16:05:56.059225	2013-08-04 17:11:54.594575
4379	2	2013-08-02 16:05:12.536265	2013-08-04 19:47:25.592442
5034	14	2013-08-02 16:05:13.230866	2013-08-02 16:05:13.230866
4501	2	2013-08-02 16:05:12.675739	2013-08-04 19:47:25.597655
3915	2	2013-08-02 16:05:11.544524	2013-08-03 17:05:35.556336
19588	2	2013-08-02 16:05:42.376425	2013-08-03 03:09:46.1889
14912	2	2013-08-02 16:05:32.897697	2013-08-03 17:42:55.369059
5042	2	2013-08-02 16:05:13.238688	2013-08-02 16:05:13.238688
5179	2	2013-08-02 16:05:13.456978	2013-08-03 00:12:12.460303
18137	14	2013-08-02 16:05:39.195911	2013-08-04 17:16:54.282353
19428	2	2013-08-02 16:05:42.019305	2013-08-03 03:09:47.047185
5531	2	2013-08-02 16:05:14.082339	2013-08-03 03:09:47.468656
39983	14	2013-08-02 16:06:28.347399	2013-08-04 19:59:46.114191
5067	21	2013-08-02 16:05:13.269087	2013-08-04 17:56:52.593224
14785	14	2013-08-02 16:05:32.595629	2013-08-03 17:48:24.525821
39993	21	2013-08-02 16:06:28.357297	2013-08-04 19:59:46.248524
5066	21	2013-08-02 16:05:13.267271	2013-08-03 17:57:11.33127
4399	14	2013-08-02 16:05:12.557499	2013-08-03 17:57:11.35023
5054	14	2013-08-02 16:05:13.253242	2013-08-02 16:05:13.253242
14013	2	2013-08-02 16:05:30.724656	2013-08-03 19:22:38.133042
38503	2	2013-08-02 16:06:25.467315	2013-08-03 19:22:38.141534
4299	14	2013-08-02 16:05:12.359658	2013-08-03 20:13:53.049815
29540	14	2013-08-02 16:06:04.16187	2013-08-04 17:56:52.609301
26725	14	2013-08-02 16:05:57.984236	2013-08-03 19:22:38.464464
21832	14	2013-08-02 16:05:47.141329	2013-08-03 19:22:38.675893
5062	2	2013-08-02 16:05:13.262571	2013-08-02 16:05:13.262571
5159	2	2013-08-02 16:05:13.407601	2013-08-03 00:12:12.471368
2215	14	2013-08-02 16:05:08.494615	2013-08-04 17:56:52.613379
49292	2	2013-08-02 16:06:48.655246	2013-08-04 01:45:51.893466
49272	2	2013-08-02 16:06:48.60226	2013-08-04 01:55:50.846696
1128	2	2013-08-02 16:05:05.821467	2013-08-03 20:59:18.400895
1826	2	2013-08-02 16:05:07.528143	2013-08-03 20:59:18.408116
5074	14	2013-08-02 16:05:13.276489	2013-08-02 16:05:13.276489
484	2	2013-08-02 16:05:04.879261	2013-08-03 20:59:18.419293
5165	2	2013-08-02 16:05:13.420752	2013-08-04 18:01:51.578231
32761	14	2013-08-02 16:06:12.311515	2013-08-03 22:45:09.531591
5096	2	2013-08-02 16:05:13.302957	2013-08-04 18:01:51.589719
17366	2	2013-08-02 16:05:37.79135	2013-08-03 20:59:18.929689
17272	2	2013-08-02 16:05:37.574262	2013-08-03 20:59:18.934525
5082	2	2013-08-02 16:05:13.289596	2013-08-02 16:05:13.289596
5139	2	2013-08-02 16:05:13.365731	2013-08-03 00:12:12.482219
5030	2	2013-08-02 16:05:13.227494	2013-08-04 18:01:51.601443
5156	21	2013-08-02 16:05:13.399763	2013-08-03 23:12:12.612225
40073	14	2013-08-02 16:06:28.44162	2013-08-04 19:59:46.30874
33005	2	2013-08-02 16:06:12.914056	2013-08-03 23:49:35.025313
5094	14	2013-08-02 16:05:13.301297	2013-08-02 16:05:13.301297
40888	2	2013-08-02 16:06:29.730854	2013-08-04 19:59:46.348456
40026	21	2013-08-02 16:06:28.393547	2013-08-04 19:59:46.375939
20641	21	2013-08-02 16:05:44.539723	2013-08-03 21:04:20.129083
40828	21	2013-08-02 16:06:29.582415	2013-08-04 19:59:46.378601
17966	21	2013-08-02 16:05:38.999188	2013-08-04 19:59:46.379478
5102	2	2013-08-02 16:05:13.307886	2013-08-02 16:05:13.307886
5119	2	2013-08-02 16:05:13.336665	2013-08-03 00:12:12.493229
40113	21	2013-08-02 16:06:28.483219	2013-08-04 19:59:46.380384
39793	21	2013-08-02 16:06:27.803832	2013-08-04 19:59:58.62331
40033	21	2013-08-02 16:06:28.401157	2013-08-04 19:59:58.639807
39986	21	2013-08-02 16:06:28.349872	2013-08-04 19:59:58.641287
39892	21	2013-08-02 16:06:27.975069	2013-08-04 19:59:58.663411
40868	2	2013-08-02 16:06:29.682544	2013-08-04 20:02:37.030605
40808	2	2013-08-02 16:06:29.530155	2013-08-04 20:02:37.449723
40788	2	2013-08-02 16:06:29.477914	2013-08-04 20:02:37.585356
34440	2	2013-08-02 16:06:15.701022	2013-08-04 20:02:37.640952
18130	21	2013-08-02 16:05:39.188135	2013-08-03 21:17:30.647429
5114	14	2013-08-02 16:05:13.32489	2013-08-02 16:05:13.32489
34579	2	2013-08-02 16:06:16.02975	2013-08-04 20:02:37.654632
34590	2	2013-08-02 16:06:16.047752	2013-08-04 20:02:37.667199
20621	21	2013-08-02 16:05:44.522178	2013-08-03 21:39:31.522736
34580	2	2013-08-02 16:06:16.030847	2013-08-04 20:02:37.680924
6439	21	2013-08-02 16:05:16.143498	2013-08-04 20:04:18.495664
40908	2	2013-08-02 16:06:29.778712	2013-08-04 20:12:38.642276
5122	2	2013-08-02 16:05:13.344914	2013-08-02 16:05:13.344914
5099	2	2013-08-02 16:05:13.305393	2013-08-03 00:12:12.504226
34983	14	2013-08-02 16:06:17.176481	2013-08-03 21:44:33.916584
8492	14	2013-08-02 16:05:20.024568	2013-08-03 21:44:33.920064
5134	14	2013-08-02 16:05:13.358211	2013-08-02 16:05:13.358211
5142	2	2013-08-02 16:05:13.370807	2013-08-02 16:05:13.370807
5079	2	2013-08-02 16:05:13.283821	2013-08-03 00:12:12.51632
5154	14	2013-08-02 16:05:13.39445	2013-08-02 16:05:13.39445
5162	2	2013-08-02 16:05:13.414751	2013-08-02 16:05:13.414751
5059	2	2013-08-02 16:05:13.258529	2013-08-03 00:12:12.52799
5174	14	2013-08-02 16:05:13.447573	2013-08-02 16:05:13.447573
5151	14	2013-08-02 16:05:13.387521	2013-08-03 00:17:10.267997
5131	14	2013-08-02 16:05:13.354644	2013-08-03 00:17:10.272878
5111	14	2013-08-02 16:05:13.318378	2013-08-03 00:17:10.277307
5091	14	2013-08-02 16:05:13.298691	2013-08-03 00:17:10.281753
5071	14	2013-08-02 16:05:13.274016	2013-08-03 00:17:10.286328
5051	14	2013-08-02 16:05:13.250207	2013-08-03 00:17:10.290713
5168	14	2013-08-02 16:05:13.429136	2013-08-03 00:22:08.641784
5148	14	2013-08-02 16:05:13.382067	2013-08-03 00:22:08.652713
5128	14	2013-08-02 16:05:13.351397	2013-08-03 00:22:08.663765
5108	14	2013-08-02 16:05:13.31474	2013-08-03 00:22:08.675144
5088	14	2013-08-02 16:05:13.295857	2013-08-03 00:22:08.686246
5068	14	2013-08-02 16:05:13.270825	2013-08-03 00:22:08.697232
5172	14	2013-08-02 16:05:13.442202	2013-08-03 00:27:07.136173
5152	14	2013-08-02 16:05:13.389486	2013-08-03 00:27:07.145828
5132	14	2013-08-02 16:05:13.355511	2013-08-03 00:27:07.155093
5112	14	2013-08-02 16:05:13.320006	2013-08-03 00:27:07.165772
5092	14	2013-08-02 16:05:13.299591	2013-08-03 00:27:07.171132
5041	21	2013-08-02 16:05:13.237833	2013-08-03 00:32:05.44322
5181	14	2013-08-02 16:05:13.458713	2013-08-03 00:37:06.046641
5161	14	2013-08-02 16:05:13.412154	2013-08-03 00:37:06.052164
5141	14	2013-08-02 16:05:13.369139	2013-08-03 00:37:06.056288
5121	14	2013-08-02 16:05:13.341459	2013-08-03 00:37:06.062906
5101	14	2013-08-02 16:05:13.307058	2013-08-03 00:37:06.073174
5081	14	2013-08-02 16:05:13.287946	2013-08-03 00:37:06.084324
5061	14	2013-08-02 16:05:13.261698	2013-08-03 00:37:06.095657
5120	14	2013-08-02 16:05:13.338718	2013-08-03 00:47:08.234909
5100	14	2013-08-02 16:05:13.30626	2013-08-03 00:47:08.238989
5080	14	2013-08-02 16:05:13.285613	2013-08-03 00:47:08.242903
5060	14	2013-08-02 16:05:13.260097	2013-08-03 00:47:08.247996
5040	14	2013-08-02 16:05:13.236756	2013-08-03 00:47:08.252177
5173	2	2013-08-02 16:05:13.444927	2013-08-03 00:52:06.681486
5153	2	2013-08-02 16:05:13.391729	2013-08-03 00:52:06.688521
5133	2	2013-08-02 16:05:13.356349	2013-08-03 00:52:06.699259
5113	2	2013-08-02 16:05:13.322311	2013-08-03 00:52:06.710535
5093	2	2013-08-02 16:05:13.300456	2013-08-03 00:52:06.721255
5073	2	2013-08-02 16:05:13.275628	2013-08-03 00:52:06.730915
5053	2	2013-08-02 16:05:13.252344	2013-08-03 00:52:06.737814
5033	2	2013-08-02 16:05:13.230008	2013-08-03 00:52:06.748773
5150	2	2013-08-02 16:05:13.38585	2013-08-03 01:24:56.917164
5130	2	2013-08-02 16:05:13.353783	2013-08-03 01:25:22.901647
5170	14	2013-08-02 16:05:13.436843	2013-08-03 01:31:51.153822
5176	2	2013-08-02 16:05:13.452839	2013-08-03 01:39:14.473102
5076	14	2013-08-02 16:05:13.279189	2013-08-03 01:39:14.815552
5125	14	2013-08-02 16:05:13.348314	2013-08-03 01:50:00.204635
5136	14	2013-08-02 16:05:13.361401	2013-08-03 02:10:01.533006
5031	2	2013-08-02 16:05:13.228313	2013-08-03 02:21:47.314031
4319	2	2013-08-02 16:05:12.403482	2013-08-03 02:21:47.516277
12503	2	2013-08-02 16:05:28.149719	2013-08-03 02:21:47.527508
3991	2	2013-08-02 16:05:11.730343	2013-08-03 02:26:56.103242
5182	2	2013-08-02 16:05:13.4596	2013-08-02 16:05:13.4596
5319	2	2013-08-02 16:05:13.626431	2013-08-03 00:12:12.396618
32801	2	2013-08-02 16:06:12.410093	2013-08-03 22:36:12.22859
1981	2	2013-08-02 16:05:07.910845	2013-08-04 19:52:26.404344
21752	14	2013-08-02 16:05:46.944489	2013-08-03 19:22:38.695878
21732	14	2013-08-02 16:05:46.896738	2013-08-03 19:22:38.700045
4372	2	2013-08-02 16:05:12.521374	2013-08-04 19:52:26.40911
6379	2	2013-08-02 16:05:16.037608	2013-08-03 17:05:35.551165
13972	14	2013-08-02 16:05:30.625615	2013-08-03 19:22:38.704763
5194	14	2013-08-02 16:05:13.471559	2013-08-02 16:05:13.471559
22837	2	2013-08-02 16:05:49.65803	2013-08-03 19:22:38.772845
23097	2	2013-08-02 16:05:50.450878	2013-08-03 19:22:38.782674
18038	2	2013-08-02 16:05:39.071356	2013-08-03 19:22:38.792641
38723	2	2013-08-02 16:06:25.902953	2013-08-03 19:22:38.802374
1975	14	2013-08-02 16:05:07.89479	2013-08-03 17:42:55.384627
22561	2	2013-08-02 16:05:49.028777	2013-08-04 19:52:26.413535
38343	2	2013-08-02 16:06:24.94066	2013-08-03 19:22:38.812454
5202	2	2013-08-02 16:05:13.481491	2013-08-02 16:05:13.481491
5299	2	2013-08-02 16:05:13.591964	2013-08-03 00:12:12.403112
5267	21	2013-08-02 16:05:13.553194	2013-08-04 18:01:51.385434
34599	2	2013-08-02 16:06:16.070406	2013-08-04 20:02:37.687367
34619	2	2013-08-02 16:06:16.124986	2013-08-04 20:02:37.69336
39813	21	2013-08-02 16:06:27.845702	2013-08-04 20:02:38.409949
39926	21	2013-08-02 16:06:28.255068	2013-08-04 20:02:38.411686
5321	21	2013-08-02 16:05:13.631566	2013-08-04 18:01:51.387525
6239	2	2013-08-02 16:05:15.751827	2013-08-03 03:09:47.038063
6279	2	2013-08-02 16:05:15.813807	2013-08-03 03:09:47.458573
6339	14	2013-08-02 16:05:15.972585	2013-08-03 03:09:47.595759
4957	2	2013-08-02 16:05:13.149762	2013-08-03 03:09:48.124004
5214	14	2013-08-02 16:05:13.491618	2013-08-02 16:05:13.491618
6359	21	2013-08-02 16:05:16.012834	2013-08-03 17:57:11.325763
5189	21	2013-08-02 16:05:13.467249	2013-08-03 17:57:11.328743
31272	21	2013-08-02 16:06:08.56529	2013-08-03 23:12:42.600254
40848	2	2013-08-02 16:06:29.631756	2013-08-04 20:02:38.784175
5209	21	2013-08-02 16:05:13.487461	2013-08-03 18:02:17.496005
5312	21	2013-08-02 16:05:13.611518	2013-08-04 18:01:51.389189
39955	2	2013-08-02 16:06:28.31	2013-08-04 20:02:38.797447
5222	2	2013-08-02 16:05:13.497743	2013-08-02 16:05:13.497743
5279	2	2013-08-02 16:05:13.567188	2013-08-03 00:12:12.408878
13728	21	2013-08-02 16:05:30.0859	2013-08-04 01:21:00.291312
13606	21	2013-08-02 16:05:29.787687	2013-08-04 01:21:00.292193
46621	14	2013-08-02 16:06:43.135374	2013-08-04 01:53:07.843128
39173	2	2013-08-02 16:06:26.754048	2013-08-04 20:02:38.809202
5247	21	2013-08-02 16:05:13.528185	2013-08-04 18:01:51.39084
39053	2	2013-08-02 16:06:26.394948	2013-08-04 20:02:38.819666
39638	2	2013-08-02 16:06:27.43144	2013-08-04 20:02:38.847246
2446	14	2013-08-02 16:05:08.760783	2013-08-03 20:08:28.562981
5204	21	2013-08-02 16:05:13.483259	2013-08-03 20:21:36.621976
5234	14	2013-08-02 16:05:13.510216	2013-08-02 16:05:13.510216
5291	2	2013-08-02 16:05:13.582117	2013-08-03 20:24:25.471105
39188	2	2013-08-02 16:06:26.766337	2013-08-04 20:02:39.633544
39121	2	2013-08-02 16:06:26.471437	2013-08-04 20:02:39.648143
5242	2	2013-08-02 16:05:13.519805	2013-08-02 16:05:13.519805
5259	2	2013-08-02 16:05:13.542611	2013-08-03 00:12:12.417092
5296	14	2013-08-02 16:05:13.587751	2013-08-04 18:02:59.892909
39208	2	2013-08-02 16:06:26.78575	2013-08-04 20:02:39.662641
1439	21	2013-08-02 16:05:06.595167	2013-08-04 18:03:13.428888
5254	14	2013-08-02 16:05:13.53619	2013-08-02 16:05:13.53619
5281	2	2013-08-02 16:05:13.568851	2013-08-03 20:29:50.383942
5227	21	2013-08-02 16:05:13.503001	2013-08-04 18:03:25.553036
5316	21	2013-08-02 16:05:13.618977	2013-08-04 18:03:25.59585
4257	21	2013-08-02 16:05:12.277297	2013-08-04 18:03:36.971573
5261	2	2013-08-02 16:05:13.545074	2013-08-03 20:32:23.657069
5262	2	2013-08-02 16:05:13.546712	2013-08-02 16:05:13.546712
5239	2	2013-08-02 16:05:13.515848	2013-08-03 00:12:12.428163
8430	21	2013-08-02 16:05:19.894888	2013-08-04 18:06:49.003858
5271	21	2013-08-02 16:05:13.558968	2013-08-04 18:06:49.004855
5250	21	2013-08-02 16:05:13.531331	2013-08-04 18:06:49.00569
5225	14	2013-08-02 16:05:13.501298	2013-08-04 18:06:50.454534
5315	2	2013-08-02 16:05:13.616991	2013-08-03 20:34:53.047507
1915	14	2013-08-02 16:05:07.799094	2013-08-04 18:06:50.73978
5335	14	2013-08-02 16:05:13.657207	2013-08-04 18:06:50.744349
5274	14	2013-08-02 16:05:13.562378	2013-08-02 16:05:13.562378
7836	21	2013-08-02 16:05:18.422193	2013-08-04 18:08:31.122671
5282	2	2013-08-02 16:05:13.570166	2013-08-02 16:05:13.570166
5219	2	2013-08-02 16:05:13.495282	2013-08-03 00:12:12.439
5337	2	2013-08-02 16:05:13.660095	2013-08-03 20:39:45.183907
5294	14	2013-08-02 16:05:13.584837	2013-08-02 16:05:13.584837
5302	2	2013-08-02 16:05:13.596	2013-08-02 16:05:13.596
5292	21	2013-08-02 16:05:13.582969	2013-08-03 20:52:36.476235
5184	21	2013-08-02 16:05:13.462236	2013-08-03 20:52:36.477966
5314	14	2013-08-02 16:05:13.615109	2013-08-02 16:05:13.615109
1863	21	2013-08-02 16:05:07.631226	2013-08-03 20:59:20.12123
5322	2	2013-08-02 16:05:13.634159	2013-08-02 16:05:13.634159
5235	21	2013-08-02 16:05:13.511095	2013-08-03 21:04:20.126431
5251	21	2013-08-02 16:05:13.532924	2013-08-03 21:04:20.127815
5334	14	2013-08-02 16:05:13.656382	2013-08-02 16:05:13.656382
5188	21	2013-08-02 16:05:13.466358	2013-08-03 00:22:08.632431
5328	2	2013-08-02 16:05:13.646997	2013-08-03 00:22:08.971017
5308	2	2013-08-02 16:05:13.604695	2013-08-03 00:22:08.982083
5288	2	2013-08-02 16:05:13.577667	2013-08-03 00:22:08.993449
5268	2	2013-08-02 16:05:13.554492	2013-08-03 00:22:09.004835
5248	2	2013-08-02 16:05:13.529451	2013-08-03 00:22:09.016642
5228	2	2013-08-02 16:05:13.503823	2013-08-03 00:22:09.030335
5272	21	2013-08-02 16:05:13.560479	2013-08-03 00:27:07.104175
5252	14	2013-08-02 16:05:13.533812	2013-08-03 00:27:07.108856
5232	14	2013-08-02 16:05:13.508467	2013-08-03 00:27:07.115076
5212	14	2013-08-02 16:05:13.490149	2013-08-03 00:27:07.121305
5192	14	2013-08-02 16:05:13.469928	2013-08-03 00:27:07.128446
5317	14	2013-08-02 16:05:13.621093	2013-08-03 00:27:08.229923
5201	14	2013-08-02 16:05:13.480531	2013-08-03 00:37:06.036607
5320	21	2013-08-02 16:05:13.629108	2013-08-03 00:47:08.187699
5333	2	2013-08-02 16:05:13.654496	2013-08-03 00:52:06.628894
5313	2	2013-08-02 16:05:13.613033	2013-08-03 00:52:06.638583
5293	2	2013-08-02 16:05:13.583873	2013-08-03 00:52:06.648135
5273	2	2013-08-02 16:05:13.561554	2013-08-03 00:52:06.653953
5253	2	2013-08-02 16:05:13.534644	2013-08-03 00:52:06.661584
5233	2	2013-08-02 16:05:13.509354	2013-08-03 00:52:06.666413
5213	2	2013-08-02 16:05:13.490885	2013-08-03 00:52:06.670906
5193	2	2013-08-02 16:05:13.470776	2013-08-03 00:52:06.675759
5215	21	2013-08-02 16:05:13.492353	2013-08-03 00:52:06.787461
5332	21	2013-08-02 16:05:13.651798	2013-08-03 21:39:31.514658
5311	21	2013-08-02 16:05:13.610066	2013-08-03 21:39:31.519119
5190	14	2013-08-02 16:05:13.468134	2013-08-03 01:31:51.769287
5230	14	2013-08-02 16:05:13.505963	2013-08-03 01:32:13.993768
5196	2	2013-08-02 16:05:13.474529	2013-08-03 01:37:51.670246
5330	2	2013-08-02 16:05:13.648639	2013-08-03 01:39:15.521208
5236	14	2013-08-02 16:05:13.511967	2013-08-03 01:43:47.832679
5276	2	2013-08-02 16:05:13.564289	2013-08-03 01:45:30.67006
5256	2	2013-08-02 16:05:13.539107	2013-08-03 01:45:30.858843
5305	2	2013-08-02 16:05:13.600243	2013-08-03 01:50:00.237641
5290	2	2013-08-02 16:05:13.581255	2013-08-03 01:50:49.483472
5285	2	2013-08-02 16:05:13.573193	2013-08-03 01:56:02.033222
5325	2	2013-08-02 16:05:13.641765	2013-08-03 02:05:14.031202
5216	2	2013-08-02 16:05:13.493091	2013-08-03 02:06:05.686346
4277	2	2013-08-02 16:05:12.316456	2013-08-03 02:20:55.685779
2465	2	2013-08-02 16:05:08.778521	2013-08-04 19:52:26.398717
34330	21	2013-08-02 16:06:15.430801	2013-08-04 01:18:42.760146
5342	2	2013-08-02 16:05:13.666455	2013-08-02 16:05:13.666455
5351	21	2013-08-02 16:05:13.684312	2013-08-03 00:17:10.227023
34397	21	2013-08-02 16:06:15.591402	2013-08-04 01:18:42.763325
5376	14	2013-08-02 16:05:13.744745	2013-08-03 02:36:27.857975
32641	21	2013-08-02 16:06:12.029753	2013-08-03 22:39:22.259508
5366	14	2013-08-02 16:05:13.71829	2013-08-03 02:36:28.225626
5346	2	2013-08-02 16:05:13.673492	2013-08-03 02:37:19.09018
5354	14	2013-08-02 16:05:13.69233	2013-08-02 16:05:13.69233
5486	2	2013-08-02 16:05:13.997831	2013-08-03 02:37:19.22064
28718	21	2013-08-02 16:06:02.102559	2013-08-03 19:22:39.145491
6111	2	2013-08-02 16:05:15.402544	2013-08-03 03:09:46.263741
28698	21	2013-08-02 16:06:02.085596	2013-08-03 19:22:39.14742
5362	2	2013-08-02 16:05:13.708258	2013-08-02 16:05:13.708258
5491	2	2013-08-02 16:05:14.002755	2013-08-03 00:17:10.376174
28678	21	2013-08-02 16:06:02.063926	2013-08-03 19:22:39.149083
28658	21	2013-08-02 16:06:02.044561	2013-08-03 19:22:39.150794
3812	14	2013-08-02 16:05:11.293477	2013-08-03 03:09:46.297182
5400	2	2013-08-02 16:05:13.811378	2013-08-04 18:02:59.917253
2375	14	2013-08-02 16:05:08.67338	2013-08-03 23:42:23.1999
5374	14	2013-08-02 16:05:13.739544	2013-08-02 16:05:13.739544
4437	21	2013-08-02 16:05:12.596092	2013-08-03 23:45:41.285118
5430	2	2013-08-02 16:05:13.865224	2013-08-03 18:09:14.726332
4457	2	2013-08-02 16:05:12.627256	2013-08-03 03:09:47.028876
14903	2	2013-08-02 16:05:32.874693	2013-08-03 03:09:47.448999
40506	2	2013-08-02 16:06:28.870549	2013-08-04 20:05:05.130842
5382	2	2013-08-02 16:05:13.760296	2013-08-02 16:05:13.760296
5471	2	2013-08-02 16:05:13.908224	2013-08-03 00:17:10.381709
8696	21	2013-08-02 16:05:20.512973	2013-08-04 18:03:13.512055
12538	21	2013-08-02 16:05:28.218882	2013-08-03 18:22:14.072816
5344	2	2013-08-02 16:05:13.670214	2013-08-03 20:43:09.86765
5539	21	2013-08-02 16:05:14.103445	2013-08-04 18:06:48.603081
5367	21	2013-08-02 16:05:13.720936	2013-08-04 18:06:49.002535
5356	14	2013-08-02 16:05:13.695974	2013-08-04 18:06:49.460552
5470	14	2013-08-02 16:05:13.906902	2013-08-04 18:06:49.465289
5455	14	2013-08-02 16:05:13.889319	2013-08-04 18:06:49.470455
5394	14	2013-08-02 16:05:13.791513	2013-08-02 16:05:13.791513
5404	14	2013-08-02 16:05:13.821734	2013-08-03 20:43:29.109692
5437	14	2013-08-02 16:05:13.871585	2013-08-04 18:06:49.475346
40420	21	2013-08-02 16:06:28.779645	2013-08-04 20:05:29.118138
5487	14	2013-08-02 16:05:13.998832	2013-08-04 18:06:49.479432
40470	2	2013-08-02 16:06:28.835692	2013-08-04 20:07:35.057722
5467	14	2013-08-02 16:05:13.903041	2013-08-04 18:06:49.485468
5410	14	2013-08-02 16:05:13.837838	2013-08-04 18:06:49.491573
5402	2	2013-08-02 16:05:13.816673	2013-08-02 16:05:13.816673
5451	2	2013-08-02 16:05:13.883851	2013-08-03 00:17:10.386064
5447	14	2013-08-02 16:05:13.879628	2013-08-04 18:06:49.501002
5427	14	2013-08-02 16:05:13.861828	2013-08-04 18:06:49.509755
5416	2	2013-08-02 16:05:13.850413	2013-08-03 20:48:24.849389
5347	14	2013-08-02 16:05:13.675635	2013-08-04 18:06:49.851587
5387	2	2013-08-02 16:05:13.773188	2013-08-04 18:06:51.014952
5407	21	2013-08-02 16:05:13.829704	2013-08-04 18:07:49.974292
47118	21	2013-08-02 16:06:44.341367	2013-08-04 18:07:58.69478
5477	2	2013-08-02 16:05:13.920199	2013-08-04 18:27:18.716251
5414	14	2013-08-02 16:05:13.848793	2013-08-02 16:05:13.848793
7856	14	2013-08-02 16:05:18.471096	2013-08-03 20:56:05.748773
5422	2	2013-08-02 16:05:13.855083	2013-08-02 16:05:13.855083
5431	2	2013-08-02 16:05:13.866141	2013-08-03 00:17:10.390489
5434	14	2013-08-02 16:05:13.868895	2013-08-02 16:05:13.868895
5442	2	2013-08-02 16:05:13.875749	2013-08-02 16:05:13.875749
5411	2	2013-08-02 16:05:13.840673	2013-08-03 00:17:10.394705
5454	14	2013-08-02 16:05:13.888166	2013-08-02 16:05:13.888166
5424	14	2013-08-02 16:05:13.856476	2013-08-03 21:00:15.986471
5360	21	2013-08-02 16:05:13.703552	2013-08-03 21:00:16.017453
5462	2	2013-08-02 16:05:13.897286	2013-08-02 16:05:13.897286
5391	2	2013-08-02 16:05:13.783413	2013-08-03 00:17:10.400896
15197	2	2013-08-02 16:05:33.506133	2013-08-03 21:09:21.28341
5380	21	2013-08-02 16:05:13.755044	2013-08-03 21:14:23.486841
31405	21	2013-08-02 16:06:08.850787	2013-08-03 21:14:23.488056
5446	21	2013-08-02 16:05:13.878889	2013-08-03 21:14:23.489526
5474	14	2013-08-02 16:05:13.914485	2013-08-02 16:05:13.914485
5420	14	2013-08-02 16:05:13.85357	2013-08-03 21:54:22.361935
5364	14	2013-08-02 16:05:13.71294	2013-08-03 21:54:22.372864
5482	2	2013-08-02 16:05:13.993744	2013-08-02 16:05:13.993744
5371	2	2013-08-02 16:05:13.7316	2013-08-03 00:17:10.406703
5494	14	2013-08-02 16:05:14.0064	2013-08-02 16:05:14.0064
5488	2	2013-08-02 16:05:13.999831	2013-08-03 00:22:08.879545
5468	2	2013-08-02 16:05:13.90419	2013-08-03 00:22:08.892197
5448	2	2013-08-02 16:05:13.880493	2013-08-03 00:22:08.904141
5428	2	2013-08-02 16:05:13.862726	2013-08-03 00:22:08.915776
5408	2	2013-08-02 16:05:13.832191	2013-08-03 00:22:08.927927
5388	2	2013-08-02 16:05:13.775575	2013-08-03 00:22:08.939398
5368	2	2013-08-02 16:05:13.723599	2013-08-03 00:22:08.947902
5348	2	2013-08-02 16:05:13.677898	2013-08-03 00:22:08.959525
5377	14	2013-08-02 16:05:13.747346	2013-08-03 00:24:46.646076
5417	14	2013-08-02 16:05:13.851249	2013-08-03 00:32:06.678983
5492	14	2013-08-02 16:05:14.003762	2013-08-03 00:32:06.689116
5472	14	2013-08-02 16:05:13.910265	2013-08-03 00:32:06.699909
5401	21	2013-08-02 16:05:13.814015	2013-08-03 00:37:05.920614
5481	14	2013-08-02 16:05:13.992736	2013-08-03 00:42:06.572461
5461	14	2013-08-02 16:05:13.896094	2013-08-03 00:42:06.582649
5441	14	2013-08-02 16:05:13.874991	2013-08-03 00:42:06.593169
5421	14	2013-08-02 16:05:13.854271	2013-08-03 00:42:06.605005
5373	2	2013-08-02 16:05:13.736902	2013-08-03 00:52:06.607686
5353	2	2013-08-02 16:05:13.689654	2013-08-03 00:52:06.618325
5480	14	2013-08-02 16:05:13.991699	2013-08-03 00:52:07.681792
5460	14	2013-08-02 16:05:13.894928	2013-08-03 00:52:07.688578
5440	14	2013-08-02 16:05:13.874153	2013-08-03 00:52:07.699003
5397	2	2013-08-02 16:05:13.803165	2013-08-03 00:57:05.89602
5493	2	2013-08-02 16:05:14.005035	2013-08-03 00:57:05.906518
5473	2	2013-08-02 16:05:13.912346	2013-08-03 00:57:05.917258
5453	2	2013-08-02 16:05:13.887003	2013-08-03 00:57:05.92872
5433	2	2013-08-02 16:05:13.867978	2013-08-03 00:57:05.940375
5413	2	2013-08-02 16:05:13.846114	2013-08-03 00:57:05.951725
5393	2	2013-08-02 16:05:13.78877	2013-08-03 00:57:05.962495
5357	14	2013-08-02 16:05:13.697869	2013-08-03 00:57:06.020196
5495	14	2013-08-02 16:05:14.007777	2013-08-03 00:57:06.027318
5475	14	2013-08-02 16:05:13.916551	2013-08-03 00:57:06.031273
5350	2	2013-08-02 16:05:13.68204	2013-08-03 01:31:51.746409
5370	14	2013-08-02 16:05:13.728966	2013-08-03 01:37:51.178211
5450	14	2013-08-02 16:05:13.882151	2013-08-03 01:39:14.804735
5390	2	2013-08-02 16:05:13.780844	2013-08-03 01:39:15.163003
5456	2	2013-08-02 16:05:13.890465	2013-08-03 01:43:47.857858
5436	2	2013-08-02 16:05:13.870714	2013-08-03 01:45:29.764165
5396	2	2013-08-02 16:05:13.799711	2013-08-03 01:50:49.413232
5457	2	2013-08-02 16:05:13.891596	2013-08-03 01:50:49.425817
5485	2	2013-08-02 16:05:13.996832	2013-08-03 01:50:49.440748
5465	2	2013-08-02 16:05:13.900417	2013-08-03 01:50:49.452427
5445	2	2013-08-02 16:05:13.878125	2013-08-03 01:50:49.456944
5425	2	2013-08-02 16:05:13.858639	2013-08-03 01:50:49.462586
5405	2	2013-08-02 16:05:13.824325	2013-08-03 01:50:49.466716
5385	2	2013-08-02 16:05:13.768286	2013-08-03 01:50:49.470476
5365	2	2013-08-02 16:05:13.715595	2013-08-03 01:50:49.474457
5345	2	2013-08-02 16:05:13.671703	2013-08-03 01:50:49.478591
7896	2	2013-08-02 16:05:18.568199	2013-08-03 02:20:55.805308
4619	14	2013-08-02 16:05:12.802229	2013-08-03 02:20:55.81794
4486	14	2013-08-02 16:05:12.658303	2013-08-03 02:20:55.842052
7876	2	2013-08-02 16:05:18.519337	2013-08-03 02:21:47.310589
7916	14	2013-08-02 16:05:18.617502	2013-08-03 02:26:10.777157
5386	2	2013-08-02 16:05:13.770792	2013-08-03 02:32:08.987972
1024	2	2013-08-02 16:05:05.617434	2013-08-04 19:52:26.393185
40493	14	2013-08-02 16:06:28.858162	2013-08-04 20:05:05.161805
3752	2	2013-08-02 16:05:11.137852	2013-08-03 03:09:46.328308
40555	2	2013-08-02 16:06:28.916711	2013-08-03 22:36:31.487202
28618	21	2013-08-02 16:06:01.993473	2013-08-03 20:21:36.799692
5502	2	2013-08-02 16:05:14.017518	2013-08-02 16:05:14.017518
5651	2	2013-08-02 16:05:14.307768	2013-08-03 00:17:10.333059
33903	14	2013-08-02 16:06:14.539737	2013-08-04 18:06:49.371275
5504	14	2013-08-02 16:05:14.020282	2013-08-04 18:06:49.382823
40452	21	2013-08-02 16:06:28.815914	2013-08-04 20:05:05.198093
18306	21	2013-08-02 16:05:39.374229	2013-08-04 20:05:05.200915
46258	21	2013-08-02 16:06:42.017164	2013-08-04 01:18:42.834527
20506	2	2013-08-02 16:05:44.405334	2013-08-03 22:36:31.54762
5529	21	2013-08-02 16:05:14.077319	2013-08-03 18:02:16.50892
40366	21	2013-08-02 16:06:28.718778	2013-08-04 20:05:05.205988
34497	21	2013-08-02 16:06:15.848224	2013-08-04 01:21:00.290425
5514	14	2013-08-02 16:05:14.04132	2013-08-02 16:05:14.04132
16489	2	2013-08-02 16:05:35.581311	2013-08-04 20:05:05.275451
9625	2	2013-08-02 16:05:22.79302	2013-08-03 03:09:46.389377
32781	21	2013-08-02 16:06:12.359102	2013-08-03 22:36:31.597627
39240	21	2013-08-02 16:06:26.817783	2013-08-03 22:36:31.599639
7290	14	2013-08-02 16:05:17.707147	2013-08-03 03:09:46.421504
18497	2	2013-08-02 16:05:39.65129	2013-08-03 03:09:47.019847
6186	2	2013-08-02 16:05:15.5831	2013-08-03 03:09:47.439107
5522	2	2013-08-02 16:05:14.0603	2013-08-02 16:05:14.0603
5631	2	2013-08-02 16:05:14.269103	2013-08-03 00:17:10.341424
40645	21	2013-08-02 16:06:29.259695	2013-08-03 22:36:31.602452
20515	21	2013-08-02 16:05:44.413773	2013-08-03 22:36:31.605177
40473	21	2013-08-02 16:06:28.83933	2013-08-04 20:05:17.487059
28778	2	2013-08-02 16:06:02.168323	2013-08-03 19:22:39.626031
33041	21	2013-08-02 16:06:13.004369	2013-08-03 22:39:21.496723
5527	14	2013-08-02 16:05:14.072076	2013-08-04 18:06:49.393715
5534	14	2013-08-02 16:05:14.090292	2013-08-02 16:05:14.090292
5536	21	2013-08-02 16:05:14.095447	2013-08-03 19:42:22.805157
28798	21	2013-08-02 16:06:02.206645	2013-08-03 19:42:22.807004
44945	2	2013-08-02 16:06:39.500911	2013-08-04 01:55:52.070902
28818	14	2013-08-02 16:06:02.260507	2013-08-04 18:06:49.404613
5542	2	2013-08-02 16:05:14.111214	2013-08-02 16:05:14.111214
5611	2	2013-08-02 16:05:14.24023	2013-08-03 00:17:10.347794
32892	14	2013-08-02 16:06:12.631064	2013-08-03 22:39:21.580253
33021	21	2013-08-02 16:06:12.956504	2013-08-03 22:40:20.657017
40700	21	2013-08-02 16:06:29.31657	2013-08-04 20:05:29.120859
40666	21	2013-08-02 16:06:29.278519	2013-08-04 20:05:29.131948
40693	21	2013-08-02 16:06:29.307821	2013-08-04 20:05:29.17593
27316	2	2013-08-02 16:05:59.406791	2013-08-04 20:07:35.062071
12638	14	2013-08-02 16:05:28.401059	2013-08-03 21:05:54.95473
5556	21	2013-08-02 16:05:14.14544	2013-08-03 23:14:35.037889
5554	14	2013-08-02 16:05:14.140726	2013-08-02 16:05:14.140726
5585	21	2013-08-02 16:05:14.210417	2013-08-03 21:06:14.964678
41006	2	2013-08-02 16:06:29.958194	2013-08-04 20:07:35.279319
40986	2	2013-08-02 16:06:29.925822	2013-08-04 20:07:35.296107
32981	21	2013-08-02 16:06:12.848737	2013-08-03 23:45:41.286779
4506	14	2013-08-02 16:05:12.682214	2013-08-04 18:08:12.083301
5560	21	2013-08-02 16:05:14.1549	2013-08-04 18:08:24.735283
21032	2	2013-08-02 16:05:45.253224	2013-08-03 21:09:21.279528
5562	2	2013-08-02 16:05:14.15959	2013-08-02 16:05:14.15959
5591	2	2013-08-02 16:05:14.214793	2013-08-03 00:17:10.354339
40906	2	2013-08-02 16:06:29.773932	2013-08-04 20:07:35.346555
12578	21	2013-08-02 16:05:28.298666	2013-08-04 18:08:42.553786
5580	21	2013-08-02 16:05:14.202184	2013-08-04 18:11:48.912889
40886	2	2013-08-02 16:06:29.725984	2013-08-04 20:07:35.352883
5616	14	2013-08-02 16:05:14.246908	2013-08-04 18:11:50.077286
5638	14	2013-08-02 16:05:14.281152	2013-08-04 18:11:50.229808
5496	21	2013-08-02 16:05:14.009154	2013-08-04 18:15:51.577664
28898	2	2013-08-02 16:06:02.454794	2013-08-03 21:19:22.532216
5630	2	2013-08-02 16:05:14.267469	2013-08-03 21:44:32.755716
40866	2	2013-08-02 16:06:29.677351	2013-08-04 20:07:35.358931
5574	14	2013-08-02 16:05:14.188008	2013-08-02 16:05:14.188008
40846	2	2013-08-02 16:06:29.62696	2013-08-04 20:07:35.365372
40921	2	2013-08-02 16:06:29.810141	2013-08-04 20:07:35.370936
40826	2	2013-08-02 16:06:29.577232	2013-08-04 20:07:35.37587
40813	2	2013-08-02 16:06:29.542875	2013-08-04 20:07:35.441191
39833	2	2013-08-02 16:06:27.872368	2013-08-04 20:07:35.460791
39740	2	2013-08-02 16:06:27.676704	2013-08-04 20:07:35.466298
5582	2	2013-08-02 16:05:14.206962	2013-08-02 16:05:14.206962
5571	2	2013-08-02 16:05:14.180938	2013-08-03 00:17:10.358597
40753	21	2013-08-02 16:06:29.385815	2013-08-04 20:09:54.515176
16473	2	2013-08-02 16:05:35.44515	2013-08-04 20:12:38.633823
10360	21	2013-08-02 16:05:23.645258	2013-08-03 21:50:49.984119
5546	2	2013-08-02 16:05:14.12163	2013-08-03 21:59:23.905129
5594	14	2013-08-02 16:05:14.217055	2013-08-02 16:05:14.217055
5602	2	2013-08-02 16:05:14.229504	2013-08-02 16:05:14.229504
5551	2	2013-08-02 16:05:14.133583	2013-08-03 00:17:10.363258
5614	14	2013-08-02 16:05:14.244086	2013-08-02 16:05:14.244086
5622	2	2013-08-02 16:05:14.255389	2013-08-02 16:05:14.255389
5568	2	2013-08-02 16:05:14.173831	2013-08-03 00:22:08.84971
5634	14	2013-08-02 16:05:14.274204	2013-08-02 16:05:14.274204
5642	2	2013-08-02 16:05:14.288412	2013-08-02 16:05:14.288412
5548	2	2013-08-02 16:05:14.126455	2013-08-03 00:22:08.853955
5528	2	2013-08-02 16:05:14.07464	2013-08-03 00:22:08.858291
5508	2	2013-08-02 16:05:14.02712	2013-08-03 00:22:08.867629
5617	2	2013-08-02 16:05:14.248424	2013-08-03 00:24:46.703473
5632	21	2013-08-02 16:05:14.270798	2013-08-03 00:32:06.603038
5612	14	2013-08-02 16:05:14.241393	2013-08-03 00:32:06.612262
5592	14	2013-08-02 16:05:14.215467	2013-08-03 00:32:06.623673
5572	14	2013-08-02 16:05:14.183285	2013-08-03 00:32:06.635148
5552	14	2013-08-02 16:05:14.135942	2013-08-03 00:32:06.64614
5532	14	2013-08-02 16:05:14.084821	2013-08-03 00:32:06.657227
5512	14	2013-08-02 16:05:14.036582	2013-08-03 00:32:06.668103
5581	14	2013-08-02 16:05:14.204524	2013-08-03 00:42:06.543418
5561	14	2013-08-02 16:05:14.157253	2013-08-03 00:42:06.551031
5541	14	2013-08-02 16:05:14.108798	2013-08-03 00:42:06.556173
5521	14	2013-08-02 16:05:14.057904	2013-08-03 00:42:06.561393
5501	14	2013-08-02 16:05:14.016139	2013-08-03 00:42:06.566448
5540	14	2013-08-02 16:05:14.106106	2013-08-03 00:52:07.664778
5520	14	2013-08-02 16:05:14.055509	2013-08-03 00:52:07.67035
5500	14	2013-08-02 16:05:14.014765	2013-08-03 00:52:07.676083
5633	2	2013-08-02 16:05:14.272502	2013-08-03 00:57:05.817357
5613	2	2013-08-02 16:05:14.242728	2013-08-03 00:57:05.828599
5593	2	2013-08-02 16:05:14.216145	2013-08-03 00:57:05.839806
5573	2	2013-08-02 16:05:14.185656	2013-08-03 00:57:05.850865
5553	2	2013-08-02 16:05:14.138346	2013-08-03 00:57:05.862278
5533	2	2013-08-02 16:05:14.087629	2013-08-03 00:57:05.873859
5513	2	2013-08-02 16:05:14.038932	2013-08-03 00:57:05.885349
5575	21	2013-08-02 16:05:14.190398	2013-08-03 00:57:05.98884
5555	14	2013-08-02 16:05:14.143078	2013-08-03 00:57:05.997986
5535	14	2013-08-02 16:05:14.092982	2013-08-03 00:57:06.009872
5515	14	2013-08-02 16:05:14.043671	2013-08-03 00:57:06.015863
5635	14	2013-08-02 16:05:14.275916	2013-08-03 01:02:07.984067
5615	14	2013-08-02 16:05:14.245399	2013-08-03 01:02:07.989578
5595	14	2013-08-02 16:05:14.219413	2013-08-03 01:02:07.994046
5550	2	2013-08-02 16:05:14.131205	2013-08-03 01:37:51.547085
5530	2	2013-08-02 16:05:14.079769	2013-08-03 01:39:14.463686
5596	2	2013-08-02 16:05:14.221811	2013-08-03 01:50:00.742251
5565	2	2013-08-02 16:05:14.166725	2013-08-03 01:50:49.369057
5545	2	2013-08-02 16:05:14.119121	2013-08-03 01:50:49.380281
5525	2	2013-08-02 16:05:14.067423	2013-08-03 01:50:49.391538
5505	2	2013-08-02 16:05:14.02168	2013-08-03 01:50:49.402435
5636	2	2013-08-02 16:05:14.277633	2013-08-03 01:50:50.486066
5650	14	2013-08-02 16:05:14.305123	2013-08-03 01:55:05.634076
5557	14	2013-08-02 16:05:14.14779	2013-08-03 01:55:05.72891
5625	14	2013-08-02 16:05:14.259803	2013-08-03 01:55:05.888014
5605	2	2013-08-02 16:05:14.232748	2013-08-03 01:56:01.96558
5610	2	2013-08-02 16:05:14.239014	2013-08-03 01:56:01.969981
5645	2	2013-08-02 16:05:14.293902	2013-08-03 01:56:02.029201
12678	2	2013-08-02 16:05:28.469269	2013-08-03 02:20:55.853236
8571	14	2013-08-02 16:05:20.219759	2013-08-03 02:20:55.865655
12783	2	2013-08-02 16:05:28.713015	2013-08-03 02:21:47.27403
12763	2	2013-08-02 16:05:28.663234	2013-08-03 02:21:47.279614
12698	2	2013-08-02 16:05:28.510177	2013-08-03 02:26:56.09724
45050	21	2013-08-02 16:06:39.89724	2013-08-04 01:18:42.837181
5654	14	2013-08-02 16:05:14.315798	2013-08-02 16:05:14.315798
46601	21	2013-08-02 16:06:43.083474	2013-08-04 01:18:42.845934
9581	21	2013-08-02 16:05:22.686079	2013-08-03 19:22:39.6442
5800	2	2013-08-02 16:05:14.666109	2013-08-04 19:52:26.388395
13696	21	2013-08-02 16:05:30.007348	2013-08-04 01:21:00.29306
34537	2	2013-08-02 16:06:15.940381	2013-08-04 01:21:00.603683
40013	2	2013-08-02 16:06:28.377848	2013-08-04 20:07:35.472378
5662	2	2013-08-02 16:05:14.336895	2013-08-02 16:05:14.336895
5731	2	2013-08-02 16:05:14.502409	2013-08-03 00:17:10.316263
32821	2	2013-08-02 16:06:12.458631	2013-08-03 22:39:21.646642
19600	2	2013-08-02 16:05:42.405407	2013-08-04 01:21:00.680906
19598	2	2013-08-02 16:05:42.40026	2013-08-04 01:21:00.691155
39773	2	2013-08-02 16:06:27.75627	2013-08-04 20:07:35.481359
34759	2	2013-08-02 16:06:16.485712	2013-08-04 20:07:35.488886
32901	21	2013-08-02 16:06:12.65291	2013-08-03 22:39:22.058289
34779	2	2013-08-02 16:06:16.538118	2013-08-04 20:07:35.496036
34799	2	2013-08-02 16:06:16.590568	2013-08-04 20:07:35.501372
32741	21	2013-08-02 16:06:12.264244	2013-08-03 22:39:22.059526
32581	21	2013-08-02 16:06:11.735883	2013-08-03 22:39:22.258553
5674	14	2013-08-02 16:05:14.366375	2013-08-02 16:05:14.366375
4350	2	2013-08-02 16:05:12.473987	2013-08-03 21:06:15.070313
2016	2	2013-08-02 16:05:07.982476	2013-08-03 21:09:21.274229
39100	21	2013-08-02 16:06:26.446816	2013-08-03 22:39:22.262247
34718	2	2013-08-02 16:06:16.376392	2013-08-04 20:07:35.506599
34819	2	2013-08-02 16:06:16.821807	2013-08-04 20:07:35.511906
10175	21	2013-08-02 16:05:23.449981	2013-08-03 22:39:22.382187
5789	21	2013-08-02 16:05:14.639747	2013-08-03 18:07:19.645543
5682	2	2013-08-02 16:05:14.386198	2013-08-02 16:05:14.386198
5711	2	2013-08-02 16:05:14.455343	2013-08-03 00:17:10.321045
4418	21	2013-08-02 16:05:12.573036	2013-08-03 22:39:22.384672
5769	21	2013-08-02 16:05:14.591886	2013-08-03 18:07:19.648877
5749	21	2013-08-02 16:05:14.544805	2013-08-03 18:07:19.652005
34839	2	2013-08-02 16:06:16.862456	2013-08-04 20:07:35.51652
5729	14	2013-08-02 16:05:14.497782	2013-08-03 18:07:19.671171
12106	21	2013-08-02 16:05:27.311441	2013-08-03 22:39:22.63725
34720	2	2013-08-02 16:06:16.381719	2013-08-04 20:07:35.521049
34795	2	2013-08-02 16:06:16.580283	2013-08-04 20:07:35.525129
34806	2	2013-08-02 16:06:16.808168	2013-08-04 20:07:35.529079
5751	14	2013-08-02 16:05:14.549459	2013-08-03 21:11:12.297138
5694	14	2013-08-02 16:05:14.414828	2013-08-02 16:05:14.414828
5770	2	2013-08-02 16:05:14.594268	2013-08-03 18:12:26.428675
40712	2	2013-08-02 16:06:29.32997	2013-08-04 20:07:35.533196
18069	2	2013-08-02 16:05:39.10893	2013-08-04 20:07:35.538813
18089	2	2013-08-02 16:05:39.128634	2013-08-04 20:07:35.54283
5705	21	2013-08-02 16:05:14.441149	2013-08-03 18:22:14.06945
20526	21	2013-08-02 16:05:44.425581	2013-08-03 22:45:29.659974
18106	2	2013-08-02 16:05:39.152782	2013-08-04 20:07:35.546418
5702	2	2013-08-02 16:05:14.434052	2013-08-02 16:05:14.434052
5691	2	2013-08-02 16:05:14.407699	2013-08-03 00:17:10.325018
18109	2	2013-08-02 16:05:39.158783	2013-08-04 20:07:35.550141
32841	21	2013-08-02 16:06:12.5066	2013-08-03 22:49:21.90096
41048	2	2013-08-02 16:06:30.033642	2013-08-04 20:07:35.576185
41018	2	2013-08-02 16:06:29.981226	2013-08-04 20:07:35.581218
5771	21	2013-08-02 16:05:14.596629	2013-08-03 21:11:32.078653
11823	14	2013-08-02 16:05:26.536388	2013-08-03 23:12:31.993245
5667	21	2013-08-02 16:05:14.349475	2013-08-04 18:08:42.348423
14838	21	2013-08-02 16:05:32.717746	2013-08-04 18:11:48.309505
5792	2	2013-08-02 16:05:14.646878	2013-08-03 21:14:22.107166
5788	2	2013-08-02 16:05:14.637385	2013-08-03 21:14:22.441882
5714	14	2013-08-02 16:05:14.46246	2013-08-02 16:05:14.46246
41028	2	2013-08-02 16:06:30.00106	2013-08-04 20:07:35.586141
41008	2	2013-08-02 16:06:29.961876	2013-08-04 20:07:35.590519
5735	14	2013-08-02 16:05:14.511795	2013-08-04 18:11:49.177355
32861	21	2013-08-02 16:06:12.556952	2013-08-03 23:19:40.138386
5755	14	2013-08-02 16:05:14.558814	2013-08-04 18:11:49.18144
5775	14	2013-08-02 16:05:14.606097	2013-08-04 18:11:49.185622
5795	14	2013-08-02 16:05:14.653987	2013-08-04 18:11:49.189796
5722	2	2013-08-02 16:05:14.481304	2013-08-02 16:05:14.481304
5671	2	2013-08-02 16:05:14.359438	2013-08-03 00:17:10.329066
5658	14	2013-08-02 16:05:14.326445	2013-08-04 18:11:49.195127
5660	14	2013-08-02 16:05:14.331607	2013-08-04 18:11:49.19965
5780	14	2013-08-02 16:05:14.617888	2013-08-03 21:16:54.999348
40988	2	2013-08-02 16:06:29.928623	2013-08-04 20:07:35.595416
5777	14	2013-08-02 16:05:14.610804	2013-08-04 18:11:49.204299
5807	14	2013-08-02 16:05:14.683901	2013-08-04 18:11:49.208395
5787	14	2013-08-02 16:05:14.634966	2013-08-04 18:11:49.212986
5772	14	2013-08-02 16:05:14.598972	2013-08-04 18:11:49.218006
40968	2	2013-08-02 16:06:29.903856	2013-08-04 20:07:35.601189
5804	14	2013-08-02 16:05:14.676653	2013-08-04 18:11:49.221936
5734	14	2013-08-02 16:05:14.509463	2013-08-02 16:05:14.509463
40960	2	2013-08-02 16:06:29.89582	2013-08-04 20:07:35.606965
1976	14	2013-08-02 16:05:07.897494	2013-08-04 18:17:51.274615
40948	2	2013-08-02 16:06:29.874378	2013-08-04 20:07:35.612263
40928	2	2013-08-02 16:06:29.82677	2013-08-04 20:07:35.617672
40773	2	2013-08-02 16:06:29.437739	2013-08-04 20:07:35.647754
11760	2	2013-08-02 16:05:26.372617	2013-08-04 20:07:35.651695
5742	2	2013-08-02 16:05:14.528229	2013-08-02 16:05:14.528229
5679	21	2013-08-02 16:05:14.378893	2013-08-03 00:17:11.13066
5700	2	2013-08-02 16:05:14.429311	2013-08-03 21:19:20.511155
5754	14	2013-08-02 16:05:14.55644	2013-08-02 16:05:14.55644
5681	21	2013-08-02 16:05:14.383793	2013-08-03 21:21:38.131812
5762	2	2013-08-02 16:05:14.575337	2013-08-02 16:05:14.575337
5740	21	2013-08-02 16:05:14.523532	2013-08-03 21:24:20.795173
5774	14	2013-08-02 16:05:14.603708	2013-08-02 16:05:14.603708
18088	21	2013-08-02 16:05:39.127799	2013-08-03 21:44:32.720318
5732	2	2013-08-02 16:05:14.504754	2013-08-03 21:44:32.743503
5782	2	2013-08-02 16:05:14.622955	2013-08-02 16:05:14.622955
5799	2	2013-08-02 16:05:14.663419	2013-08-03 00:17:11.461576
5794	14	2013-08-02 16:05:14.651598	2013-08-02 16:05:14.651598
5802	2	2013-08-02 16:05:14.671338	2013-08-02 16:05:14.671338
5779	2	2013-08-02 16:05:14.615503	2013-08-03 00:17:11.473737
5768	14	2013-08-02 16:05:14.589559	2013-08-03 00:27:06.474386
5748	14	2013-08-02 16:05:14.542426	2013-08-03 00:27:06.480358
5728	14	2013-08-02 16:05:14.495405	2013-08-03 00:27:06.489605
5708	14	2013-08-02 16:05:14.448224	2013-08-03 00:27:06.494575
5688	14	2013-08-02 16:05:14.400604	2013-08-03 00:27:06.498828
5668	14	2013-08-02 16:05:14.352102	2013-08-03 00:27:06.503403
5797	14	2013-08-02 16:05:14.658706	2013-08-03 00:27:07.846951
5761	21	2013-08-02 16:05:14.573012	2013-08-03 00:42:06.437997
5680	21	2013-08-02 16:05:14.381396	2013-08-03 00:52:07.595263
5733	2	2013-08-02 16:05:14.507093	2013-08-03 00:57:05.759703
5713	2	2013-08-02 16:05:14.460084	2013-08-03 00:57:05.77199
5693	2	2013-08-02 16:05:14.412434	2013-08-03 00:57:05.783789
5673	2	2013-08-02 16:05:14.364106	2013-08-03 00:57:05.794892
5653	2	2013-08-02 16:05:14.313064	2013-08-03 00:57:05.806098
5678	21	2013-08-02 16:05:14.376258	2013-08-03 00:57:06.394498
5793	2	2013-08-02 16:05:14.649247	2013-08-03 01:02:07.820919
5773	2	2013-08-02 16:05:14.601356	2013-08-03 01:02:07.832348
5753	2	2013-08-02 16:05:14.554151	2013-08-03 01:02:07.843736
5695	14	2013-08-02 16:05:14.417212	2013-08-03 01:02:07.960333
5675	14	2013-08-02 16:05:14.368955	2013-08-03 01:02:07.965555
5655	14	2013-08-02 16:05:14.318478	2013-08-03 01:02:07.972141
5670	2	2013-08-02 16:05:14.357051	2013-08-03 01:50:00.497855
5796	2	2013-08-02 16:05:14.656348	2013-08-03 01:50:50.427212
5776	2	2013-08-02 16:05:14.608443	2013-08-03 01:50:50.437543
5756	2	2013-08-02 16:05:14.561167	2013-08-03 01:50:50.447174
5736	2	2013-08-02 16:05:14.514145	2013-08-03 01:50:50.457861
5716	2	2013-08-02 16:05:14.467151	2013-08-03 01:50:50.464737
5696	2	2013-08-02 16:05:14.419555	2013-08-03 01:50:50.470808
5676	2	2013-08-02 16:05:14.371438	2013-08-03 01:50:50.47552
5656	2	2013-08-02 16:05:14.321132	2013-08-03 01:50:50.48106
5805	2	2013-08-02 16:05:14.679132	2013-08-03 01:56:00.978019
5750	2	2013-08-02 16:05:14.547123	2013-08-03 02:04:21.703494
5665	14	2013-08-02 16:05:14.344377	2013-08-03 02:05:14.39521
5725	2	2013-08-02 16:05:14.488346	2013-08-03 02:11:05.021983
12743	2	2013-08-02 16:05:28.614332	2013-08-03 02:21:47.285236
12723	2	2013-08-02 16:05:28.565466	2013-08-03 02:21:47.290716
12658	2	2013-08-02 16:05:28.431869	2013-08-03 02:21:47.3074
8165	2	2013-08-02 16:05:19.19001	2013-08-03 02:21:47.436093
12618	2	2013-08-02 16:05:28.376733	2013-08-03 02:21:47.492802
7800	2	2013-08-02 16:05:18.331795	2013-08-03 02:21:47.503956
18108	21	2013-08-02 16:05:39.156921	2013-08-03 02:21:47.575289
18448	2	2013-08-02 16:05:39.568491	2013-08-03 02:21:47.75732
18428	2	2013-08-02 16:05:39.539037	2013-08-03 02:21:47.769484
18408	2	2013-08-02 16:05:39.513194	2013-08-03 02:21:47.781181
18388	2	2013-08-02 16:05:39.485457	2013-08-03 02:21:47.792894
18368	2	2013-08-02 16:05:39.447099	2013-08-03 02:21:47.804627
27825	21	2013-08-02 16:06:00.723033	2013-08-03 20:21:36.791599
12099	21	2013-08-02 16:05:27.300944	2013-08-03 22:39:22.638735
4599	2	2013-08-02 16:05:12.775056	2013-08-04 19:52:26.383813
5964	2	2013-08-02 16:05:15.07744	2013-08-04 01:21:00.701332
5814	14	2013-08-02 16:05:14.700753	2013-08-02 16:05:14.700753
19611	2	2013-08-02 16:05:42.431862	2013-08-04 01:21:00.711379
40193	2	2013-08-02 16:06:28.571125	2013-08-04 20:07:35.655159
37183	21	2013-08-02 16:06:22.024626	2013-08-03 20:21:36.795948
14985	2	2013-08-02 16:05:33.076591	2013-08-03 17:42:55.466243
2078	14	2013-08-02 16:05:08.117093	2013-08-03 19:22:39.918438
40733	21	2013-08-02 16:06:29.357571	2013-08-04 20:07:35.677402
19591	2	2013-08-02 16:05:42.383615	2013-08-04 01:21:00.721496
5822	2	2013-08-02 16:05:14.720758	2013-08-02 16:05:14.720758
5959	2	2013-08-02 16:05:15.064426	2013-08-03 00:17:11.40303
19595	2	2013-08-02 16:05:42.393113	2013-08-04 01:21:00.732028
19610	2	2013-08-02 16:05:42.429516	2013-08-04 01:21:00.742148
19571	2	2013-08-02 16:05:42.335711	2013-08-04 01:21:00.752184
18369	21	2013-08-02 16:05:39.44931	2013-08-04 20:07:35.678364
19551	2	2013-08-02 16:05:42.284227	2013-08-04 01:21:00.762252
37523	21	2013-08-02 16:06:22.749793	2013-08-03 20:59:19.979483
5947	21	2013-08-02 16:05:15.033108	2013-08-04 18:11:50.596217
5927	21	2013-08-02 16:05:14.985449	2013-08-04 18:11:50.600529
18329	21	2013-08-02 16:05:39.39183	2013-08-04 20:07:36.380153
5834	14	2013-08-02 16:05:14.749272	2013-08-02 16:05:14.749272
40715	2	2013-08-02 16:06:29.333284	2013-08-04 20:07:36.851506
40486	2	2013-08-02 16:06:28.851338	2013-08-04 20:07:36.857213
5940	14	2013-08-02 16:05:15.016599	2013-08-04 18:17:50.700267
5960	21	2013-08-02 16:05:15.066954	2013-08-04 18:24:27.854961
40253	2	2013-08-02 16:06:28.621077	2013-08-04 20:07:36.862511
1687	2	2013-08-02 16:05:07.169481	2013-08-03 22:40:20.341154
40245	2	2013-08-02 16:06:28.613027	2013-08-04 20:07:36.868128
5842	2	2013-08-02 16:05:14.768157	2013-08-02 16:05:14.768157
5939	2	2013-08-02 16:05:15.014232	2013-08-03 00:17:11.412236
40273	2	2013-08-02 16:06:28.639856	2013-08-04 20:07:36.873225
5810	14	2013-08-02 16:05:14.69108	2013-08-03 21:17:30.522292
39972	2	2013-08-02 16:06:28.337778	2013-08-04 20:07:36.879531
40793	2	2013-08-02 16:06:29.490986	2013-08-04 20:07:37.106774
40535	2	2013-08-02 16:06:28.892214	2013-08-04 20:07:37.120812
6612	21	2013-08-02 16:05:16.584237	2013-08-03 22:40:41.021681
28181	21	2013-08-02 16:06:01.292709	2013-08-03 22:40:41.023128
48200	21	2013-08-02 16:06:46.27446	2013-08-03 22:40:41.024337
2299	2	2013-08-02 16:05:08.586565	2013-08-04 20:07:37.133733
5854	14	2013-08-02 16:05:14.796443	2013-08-02 16:05:14.796443
5884	21	2013-08-02 16:05:14.87308	2013-08-03 21:25:17.423458
6448	21	2013-08-02 16:05:16.167139	2013-08-03 22:45:08.793236
5862	2	2013-08-02 16:05:14.819584	2013-08-02 16:05:14.819584
5919	2	2013-08-02 16:05:14.96492	2013-08-03 00:17:11.418666
15186	21	2013-08-02 16:05:33.497923	2013-08-03 22:45:30.245807
5935	14	2013-08-02 16:05:15.004746	2013-08-03 21:30:23.338033
42763	21	2013-08-02 16:06:34.446546	2013-08-03 22:49:21.54053
32732	21	2013-08-02 16:06:12.243078	2013-08-03 22:49:21.897214
5874	14	2013-08-02 16:05:14.850848	2013-08-02 16:05:14.850848
5889	21	2013-08-02 16:05:14.885657	2013-08-03 21:30:42.806739
5821	21	2013-08-02 16:05:14.718383	2013-08-03 21:30:42.807819
5882	2	2013-08-02 16:05:14.871181	2013-08-02 16:05:14.871181
5899	2	2013-08-02 16:05:14.912259	2013-08-03 00:17:11.423474
5841	2	2013-08-02 16:05:14.765795	2013-08-03 23:14:34.344333
5915	2	2013-08-02 16:05:14.955053	2013-08-03 21:34:21.108074
5909	2	2013-08-02 16:05:14.939129	2013-08-03 21:34:21.111921
6708	21	2013-08-02 16:05:16.836318	2013-08-03 23:19:40.137529
5864	14	2013-08-02 16:05:14.824947	2013-08-03 23:42:07.058878
5894	14	2013-08-02 16:05:14.898999	2013-08-02 16:05:14.898999
5845	14	2013-08-02 16:05:14.775274	2013-08-03 21:37:44.494596
5895	21	2013-08-02 16:05:14.901531	2013-08-03 21:39:32.520031
5881	21	2013-08-02 16:05:14.87039	2013-08-03 21:44:32.712079
5850	21	2013-08-02 16:05:14.786986	2013-08-03 21:44:32.716357
5902	2	2013-08-02 16:05:14.9205	2013-08-02 16:05:14.9205
5879	2	2013-08-02 16:05:14.867634	2013-08-03 00:17:11.428049
5914	14	2013-08-02 16:05:14.952351	2013-08-02 16:05:14.952351
5922	2	2013-08-02 16:05:14.972325	2013-08-02 16:05:14.972325
5859	2	2013-08-02 16:05:14.811267	2013-08-03 00:17:11.432601
5934	14	2013-08-02 16:05:15.00234	2013-08-02 16:05:15.00234
5942	2	2013-08-02 16:05:15.021293	2013-08-02 16:05:15.021293
5951	14	2013-08-02 16:05:15.0436	2013-08-03 00:22:09.120734
5954	14	2013-08-02 16:05:15.051511	2013-08-02 16:05:15.051511
5962	2	2013-08-02 16:05:15.072135	2013-08-02 16:05:15.072135
5931	14	2013-08-02 16:05:14.99517	2013-08-03 00:22:09.126519
5911	14	2013-08-02 16:05:14.94442	2013-08-03 00:22:09.134505
5891	14	2013-08-02 16:05:14.890999	2013-08-03 00:22:09.141135
5871	14	2013-08-02 16:05:14.843449	2013-08-03 00:22:09.145288
5851	14	2013-08-02 16:05:14.789344	2013-08-03 00:22:09.149934
5908	21	2013-08-02 16:05:14.936433	2013-08-03 00:27:06.402053
5948	2	2013-08-02 16:05:15.035445	2013-08-03 00:27:06.635794
5928	2	2013-08-02 16:05:14.987893	2013-08-03 00:27:06.645899
5863	14	2013-08-02 16:05:14.822274	2013-08-03 00:37:07.043721
5952	14	2013-08-02 16:05:15.04625	2013-08-03 00:37:07.047211
5932	14	2013-08-02 16:05:14.997553	2013-08-03 00:37:07.050555
5912	14	2013-08-02 16:05:14.947058	2013-08-03 00:37:07.053903
5892	14	2013-08-02 16:05:14.893705	2013-08-03 00:37:07.057515
5872	14	2013-08-02 16:05:14.845912	2013-08-03 00:37:07.063935
5852	14	2013-08-02 16:05:14.791728	2013-08-03 00:37:07.074389
5832	14	2013-08-02 16:05:14.744499	2013-08-03 00:37:07.086327
5812	14	2013-08-02 16:05:14.695972	2013-08-03 00:37:07.098196
5920	14	2013-08-02 16:05:14.967306	2013-08-03 00:57:06.570239
5900	14	2013-08-02 16:05:14.915224	2013-08-03 00:57:06.576488
5880	14	2013-08-02 16:05:14.869524	2013-08-03 00:57:06.583125
5860	14	2013-08-02 16:05:14.814234	2013-08-03 00:57:06.591381
5840	14	2013-08-02 16:05:14.763406	2013-08-03 00:57:06.600771
5820	14	2013-08-02 16:05:14.71598	2013-08-03 00:57:06.61068
5953	2	2013-08-02 16:05:15.048907	2013-08-03 01:02:07.752768
5933	2	2013-08-02 16:05:14.999946	2013-08-03 01:02:07.75844
5913	2	2013-08-02 16:05:14.949715	2013-08-03 01:02:07.763687
5893	2	2013-08-02 16:05:14.896334	2013-08-03 01:02:07.769406
5873	2	2013-08-02 16:05:14.84819	2013-08-03 01:02:07.775485
5853	2	2013-08-02 16:05:14.794096	2013-08-03 01:02:07.78682
5833	2	2013-08-02 16:05:14.746887	2013-08-03 01:02:07.798094
5813	2	2013-08-02 16:05:14.698347	2013-08-03 01:02:07.809357
5955	21	2013-08-02 16:05:15.054157	2013-08-03 01:02:07.870298
5956	2	2013-08-02 16:05:15.056654	2013-08-03 01:50:50.348038
5936	2	2013-08-02 16:05:15.007094	2013-08-03 01:50:50.354987
5916	2	2013-08-02 16:05:14.95755	2013-08-03 01:50:50.365524
5896	2	2013-08-02 16:05:14.904104	2013-08-03 01:50:50.375341
5876	2	2013-08-02 16:05:14.856162	2013-08-03 01:50:50.385751
5856	2	2013-08-02 16:05:14.801202	2013-08-03 01:50:50.396168
5836	2	2013-08-02 16:05:14.754003	2013-08-03 01:50:50.406416
5816	2	2013-08-02 16:05:14.706026	2013-08-03 01:50:50.416819
5825	2	2013-08-02 16:05:14.727891	2013-08-03 01:55:05.747773
5890	2	2013-08-02 16:05:14.888322	2013-08-03 01:55:05.781522
5870	2	2013-08-02 16:05:14.841005	2013-08-03 01:56:00.973768
5830	2	2013-08-02 16:05:14.739782	2013-08-03 01:56:01.241045
5965	2	2013-08-02 16:05:15.080183	2013-08-03 01:56:01.244996
5945	2	2013-08-02 16:05:15.02838	2013-08-03 01:56:01.250463
5925	2	2013-08-02 16:05:14.98013	2013-08-03 01:56:01.260007
5905	2	2013-08-02 16:05:14.928486	2013-08-03 01:56:01.267806
5885	2	2013-08-02 16:05:14.87501	2013-08-03 01:56:01.275562
5865	2	2013-08-02 16:05:14.82759	2013-08-03 01:56:01.283813
5930	2	2013-08-02 16:05:14.992782	2013-08-03 02:01:00.474186
5950	2	2013-08-02 16:05:15.04098	2013-08-03 02:10:01.13341
5910	2	2013-08-02 16:05:14.941798	2013-08-03 02:11:05.557766
18348	2	2013-08-02 16:05:39.411617	2013-08-03 02:21:47.816615
18328	2	2013-08-02 16:05:39.391153	2013-08-03 02:21:47.828323
18308	2	2013-08-02 16:05:39.375946	2013-08-03 02:21:47.840414
18288	2	2013-08-02 16:05:39.354209	2013-08-03 02:21:47.852209
18268	2	2013-08-02 16:05:39.331107	2013-08-03 02:21:47.863739
18248	2	2013-08-02 16:05:39.308773	2013-08-03 02:21:47.875105
18228	2	2013-08-02 16:05:39.287118	2013-08-03 02:21:47.886663
18208	2	2013-08-02 16:05:39.26591	2013-08-03 02:21:47.940923
18188	2	2013-08-02 16:05:39.244294	2013-08-03 02:21:47.947129
18168	2	2013-08-02 16:05:39.22669	2013-08-03 02:21:47.956334
18148	2	2013-08-02 16:05:39.206722	2013-08-03 02:21:47.967174
18128	2	2013-08-02 16:05:39.185551	2013-08-03 02:21:47.978013
4719	2	2013-08-02 16:05:12.888471	2013-08-03 02:21:48.17591
4466	2	2013-08-02 16:05:12.638	2013-08-03 02:21:48.185551
7845	2	2013-08-02 16:05:18.443706	2013-08-03 02:21:48.195212
4579	2	2013-08-02 16:05:12.751145	2013-08-03 02:21:48.205219
12178	2	2013-08-02 16:05:27.417423	2013-08-03 02:21:48.348355
8216	2	2013-08-02 16:05:19.314894	2013-08-03 02:21:48.367823
8196	2	2013-08-02 16:05:19.265429	2013-08-03 02:21:48.373127
6118	2	2013-08-02 16:05:15.419766	2013-08-04 19:52:26.379526
40603	21	2013-08-02 16:06:28.973937	2013-08-03 20:22:31.318479
40543	14	2013-08-02 16:06:28.898763	2013-08-03 19:24:59.789051
6686	21	2013-08-02 16:05:16.776529	2013-08-03 17:42:02.4218
6110	2	2013-08-02 16:05:15.400102	2013-08-03 02:47:52.36229
12898	2	2013-08-02 16:05:28.961425	2013-08-03 02:47:52.36644
5992	2	2013-08-02 16:05:15.151033	2013-08-04 20:02:38.722202
5974	14	2013-08-02 16:05:15.103866	2013-08-02 16:05:15.103866
19531	2	2013-08-02 16:05:42.238856	2013-08-04 01:21:00.77302
6040	2	2013-08-02 16:05:15.252441	2013-08-04 20:02:38.737895
19511	2	2013-08-02 16:05:42.19108	2013-08-04 01:21:00.784583
6020	2	2013-08-02 16:05:15.222334	2013-08-04 20:02:38.754663
5359	2	2013-08-02 16:05:13.701685	2013-08-03 03:09:46.451385
14266	2	2013-08-02 16:05:31.351192	2013-08-04 01:21:00.795413
6000	2	2013-08-02 16:05:15.171755	2013-08-04 20:02:38.771834
5982	2	2013-08-02 16:05:15.125193	2013-08-02 16:05:15.125193
6059	2	2013-08-02 16:05:15.275212	2013-08-03 00:17:11.345071
19491	2	2013-08-02 16:05:42.141861	2013-08-04 01:21:00.80639
24253	2	2013-08-02 16:05:52.748519	2013-08-04 01:21:01.076066
7257	14	2013-08-02 16:05:17.672695	2013-08-04 17:21:52.249384
5980	2	2013-08-02 16:05:15.119806	2013-08-04 20:02:38.777914
40213	2	2013-08-02 16:06:28.585681	2013-08-04 20:07:37.145462
40233	2	2013-08-02 16:06:28.602688	2013-08-04 20:07:37.156645
6606	2	2013-08-02 16:05:16.568493	2013-08-03 03:09:47.010669
40341	2	2013-08-02 16:06:28.699395	2013-08-04 20:07:37.168111
40370	2	2013-08-02 16:06:28.721472	2013-08-04 20:07:37.990216
5994	14	2013-08-02 16:05:15.15589	2013-08-02 16:05:15.15589
18678	2	2013-08-02 16:05:40.181239	2013-08-03 17:48:56.138379
6069	21	2013-08-02 16:05:15.300717	2013-08-03 18:12:25.693786
6049	21	2013-08-02 16:05:15.262693	2013-08-03 18:12:25.698207
6030	2	2013-08-02 16:05:15.242429	2013-08-03 20:08:09.042809
6002	2	2013-08-02 16:05:15.177112	2013-08-02 16:05:15.177112
6039	2	2013-08-02 16:05:15.251439	2013-08-03 00:17:11.357966
9585	14	2013-08-02 16:05:22.690789	2013-08-04 18:16:28.418353
6112	14	2013-08-02 16:05:15.404976	2013-08-03 21:37:25.081979
40563	14	2013-08-02 16:06:28.926523	2013-08-03 20:08:28.521012
6098	21	2013-08-02 16:05:15.370601	2013-08-04 18:17:48.374345
7332	2	2013-08-02 16:05:17.760144	2013-08-03 22:40:20.421364
6083	21	2013-08-02 16:05:15.335023	2013-08-03 21:37:33.667275
6014	14	2013-08-02 16:05:15.205958	2013-08-02 16:05:15.205958
2436	21	2013-08-02 16:05:08.751123	2013-08-03 22:40:20.482582
20248	14	2013-08-02 16:05:44.148219	2013-08-03 22:40:20.505582
41113	21	2013-08-02 16:06:30.135735	2013-08-04 20:07:38.62359
6022	2	2013-08-02 16:05:15.229173	2013-08-02 16:05:15.229173
6019	2	2013-08-02 16:05:15.218418	2013-08-03 00:17:11.369592
7372	14	2013-08-02 16:05:17.803682	2013-08-03 22:40:40.636977
36140	21	2013-08-02 16:06:19.993383	2013-08-03 22:40:41.025448
14808	21	2013-08-02 16:05:32.646274	2013-08-03 22:44:25.319267
7344	2	2013-08-02 16:05:17.774245	2013-08-03 22:45:09.39585
7284	14	2013-08-02 16:05:17.701024	2013-08-03 22:46:00.222359
6104	2	2013-08-02 16:05:15.384211	2013-08-03 23:12:32.005482
6034	14	2013-08-02 16:05:15.246437	2013-08-02 16:05:15.246437
7304	21	2013-08-02 16:05:17.722715	2013-08-03 23:19:40.136613
6042	2	2013-08-02 16:05:15.2548	2013-08-02 16:05:15.2548
5999	2	2013-08-02 16:05:15.168777	2013-08-03 00:17:11.380779
5967	2	2013-08-02 16:05:15.085628	2013-08-04 18:22:29.191742
6054	14	2013-08-02 16:05:15.26885	2013-08-02 16:05:15.26885
41085	2	2013-08-02 16:06:30.082634	2013-08-04 20:12:36.94138
41033	2	2013-08-02 16:06:30.010901	2013-08-04 20:12:36.949226
6062	2	2013-08-02 16:05:15.281941	2013-08-02 16:05:15.281941
6091	21	2013-08-02 16:05:15.354023	2013-08-03 00:22:09.076349
41053	2	2013-08-02 16:06:30.043456	2013-08-04 20:12:36.95583
41073	2	2013-08-02 16:06:30.065668	2013-08-04 20:12:36.960676
41121	2	2013-08-02 16:06:30.15201	2013-08-04 20:12:36.9653
41093	2	2013-08-02 16:06:30.095981	2013-08-04 20:12:36.970444
34919	2	2013-08-02 16:06:17.010127	2013-08-04 20:12:36.976601
6074	14	2013-08-02 16:05:15.313536	2013-08-02 16:05:15.313536
6082	2	2013-08-02 16:05:15.332655	2013-08-02 16:05:15.332655
6094	14	2013-08-02 16:05:15.36117	2013-08-02 16:05:15.36117
6102	2	2013-08-02 16:05:15.379441	2013-08-02 16:05:15.379441
6114	14	2013-08-02 16:05:15.409848	2013-08-02 16:05:15.409848
6122	2	2013-08-02 16:05:15.42938	2013-08-02 16:05:15.42938
6108	2	2013-08-02 16:05:15.394918	2013-08-03 00:27:06.605826
6088	2	2013-08-02 16:05:15.346893	2013-08-03 00:27:06.608854
6068	2	2013-08-02 16:05:15.29801	2013-08-03 00:27:06.611735
6048	2	2013-08-02 16:05:15.261572	2013-08-03 00:27:06.614572
6028	2	2013-08-02 16:05:15.239592	2013-08-03 00:27:06.617347
6008	2	2013-08-02 16:05:15.191663	2013-08-03 00:27:06.620067
5988	2	2013-08-02 16:05:15.141022	2013-08-03 00:27:06.622819
5968	2	2013-08-02 16:05:15.0882	2013-08-03 00:27:06.627121
5977	21	2013-08-02 16:05:15.111822	2013-08-03 00:27:07.769414
6117	14	2013-08-02 16:05:15.417384	2013-08-03 00:32:07.586389
6097	14	2013-08-02 16:05:15.368239	2013-08-03 00:32:07.592987
6077	14	2013-08-02 16:05:15.320744	2013-08-03 00:32:07.598223
6057	14	2013-08-02 16:05:15.27268	2013-08-03 00:32:07.603018
6037	14	2013-08-02 16:05:15.249437	2013-08-03 00:32:07.607716
6017	14	2013-08-02 16:05:15.213083	2013-08-03 00:32:07.614092
5997	14	2013-08-02 16:05:15.163696	2013-08-03 00:32:07.624954
5972	21	2013-08-02 16:05:15.098653	2013-08-03 00:37:07.040668
6060	21	2013-08-02 16:05:15.276722	2013-08-03 00:57:06.517505
6113	2	2013-08-02 16:05:15.407394	2013-08-03 01:02:07.664484
6093	2	2013-08-02 16:05:15.358756	2013-08-03 01:02:07.67127
6073	2	2013-08-02 16:05:15.310931	2013-08-03 01:02:07.680495
6053	2	2013-08-02 16:05:15.267577	2013-08-03 01:02:07.733538
6033	2	2013-08-02 16:05:15.245443	2013-08-03 01:02:07.737356
6013	2	2013-08-02 16:05:15.20357	2013-08-03 01:02:07.74057
5993	2	2013-08-02 16:05:15.153488	2013-08-03 01:02:07.744689
5973	2	2013-08-02 16:05:15.10126	2013-08-03 01:02:07.748683
6096	2	2013-08-02 16:05:15.365885	2013-08-03 01:56:01.182069
6105	2	2013-08-02 16:05:15.386915	2013-08-03 01:56:01.185683
6085	2	2013-08-02 16:05:15.339778	2013-08-03 01:56:01.190455
6065	2	2013-08-02 16:05:15.290012	2013-08-03 01:56:01.199022
6045	2	2013-08-02 16:05:15.258193	2013-08-03 01:56:01.208437
6025	2	2013-08-02 16:05:15.232638	2013-08-03 01:56:01.218797
6005	2	2013-08-02 16:05:15.184476	2013-08-03 01:56:01.229272
5985	2	2013-08-02 16:05:15.133215	2013-08-03 01:56:01.236803
6036	2	2013-08-02 16:05:15.248425	2013-08-03 01:56:01.386432
5970	14	2013-08-02 16:05:15.093518	2013-08-03 02:00:11.082791
6123	2	2013-08-02 16:05:15.431753	2013-08-03 02:00:59.475969
6070	2	2013-08-02 16:05:15.303189	2013-08-03 02:00:59.686494
5976	2	2013-08-02 16:05:15.109193	2013-08-03 02:16:24.649952
5990	2	2013-08-02 16:05:15.145924	2013-08-03 02:16:25.015775
8176	2	2013-08-02 16:05:19.217102	2013-08-03 02:21:48.378848
8116	2	2013-08-02 16:05:19.062179	2013-08-03 02:21:48.406368
8096	2	2013-08-02 16:05:19.008733	2013-08-03 02:21:48.416722
8076	2	2013-08-02 16:05:18.966792	2013-08-03 02:21:48.427039
8056	2	2013-08-02 16:05:18.936669	2013-08-03 02:21:48.437898
8036	2	2013-08-02 16:05:18.916605	2013-08-03 02:21:48.448523
8016	2	2013-08-02 16:05:18.873739	2013-08-03 02:21:48.459284
4659	2	2013-08-02 16:05:12.837758	2013-08-03 02:21:48.512523
4639	2	2013-08-02 16:05:12.820091	2013-08-03 02:21:48.522312
15397	14	2013-08-02 16:05:33.689521	2013-08-03 02:21:48.626504
15257	2	2013-08-02 16:05:33.556665	2013-08-03 02:21:48.700763
12878	14	2013-08-02 16:05:28.936335	2013-08-03 02:21:48.875997
12858	14	2013-08-02 16:05:28.915653	2013-08-03 02:21:48.887005
24210	2	2013-08-02 16:05:52.704771	2013-08-04 01:21:01.079501
32101	2	2013-08-02 16:06:10.59025	2013-08-04 20:02:38.707265
1955	14	2013-08-02 16:05:07.847742	2013-08-03 17:42:55.487628
24223	2	2013-08-02 16:05:52.719415	2013-08-04 01:21:01.082945
6161	14	2013-08-02 16:05:15.523009	2013-08-03 02:47:01.539004
6226	2	2013-08-02 16:05:15.7374	2013-08-03 02:47:52.354776
6134	14	2013-08-02 16:05:15.458106	2013-08-02 16:05:15.458106
6246	2	2013-08-02 16:05:15.760405	2013-08-03 02:47:52.358413
17730	21	2013-08-02 16:05:38.610326	2013-08-03 20:59:56.712964
24233	2	2013-08-02 16:05:52.729996	2013-08-04 01:21:01.086782
40763	2	2013-08-02 16:06:29.412228	2013-08-03 19:24:59.803192
15857	21	2013-08-02 16:05:34.26311	2013-08-03 22:09:25.68199
6142	2	2013-08-02 16:05:15.477053	2013-08-02 16:05:15.477053
6271	2	2013-08-02 16:05:15.798065	2013-08-03 00:22:09.234635
24213	2	2013-08-02 16:05:52.708149	2013-08-04 01:21:01.09164
5379	2	2013-08-02 16:05:13.752681	2013-08-03 03:09:46.512235
24193	2	2013-08-02 16:05:52.682675	2013-08-04 01:21:01.097117
12879	2	2013-08-02 16:05:28.937653	2013-08-04 01:21:01.130043
24113	2	2013-08-02 16:05:52.606258	2013-08-04 01:21:01.138653
6227	14	2013-08-02 16:05:15.738503	2013-08-04 18:17:50.601963
40663	21	2013-08-02 16:06:29.274916	2013-08-03 21:14:22.708298
6154	14	2013-08-02 16:05:15.505686	2013-08-02 16:05:15.505686
10908	21	2013-08-02 16:05:24.325062	2013-08-03 19:47:28.794342
6181	21	2013-08-02 16:05:15.571039	2013-08-03 19:47:28.795467
9635	2	2013-08-02 16:05:22.819889	2013-08-03 22:40:20.529503
6207	14	2013-08-02 16:05:15.636177	2013-08-04 18:17:50.606264
6124	21	2013-08-02 16:05:15.434186	2013-08-03 21:39:32.517377
6187	14	2013-08-02 16:05:15.585479	2013-08-04 18:17:50.612754
6270	21	2013-08-02 16:05:15.796349	2013-08-03 21:54:20.986409
6162	2	2013-08-02 16:05:15.525426	2013-08-02 16:05:15.525426
6251	2	2013-08-02 16:05:15.766917	2013-08-03 00:22:09.238945
41208	2	2013-08-02 16:06:30.371905	2013-08-04 20:09:32.096508
40890	21	2013-08-02 16:06:29.735617	2013-08-04 20:09:32.127081
6238	21	2013-08-02 16:05:15.750697	2013-08-03 21:54:20.99041
6258	21	2013-08-02 16:05:15.777299	2013-08-03 21:54:20.993936
40933	21	2013-08-02 16:06:29.838676	2013-08-04 20:09:32.144502
41246	2	2013-08-02 16:06:30.462289	2013-08-04 20:09:49.324475
41188	2	2013-08-02 16:06:30.323399	2013-08-04 20:12:36.359437
6174	14	2013-08-02 16:05:15.554296	2013-08-02 16:05:15.554296
41168	21	2013-08-02 16:06:30.273524	2013-08-04 20:12:36.408766
6197	14	2013-08-02 16:05:15.609529	2013-08-04 18:19:03.564843
40873	2	2013-08-02 16:06:29.694983	2013-08-04 20:22:39.309381
6182	2	2013-08-02 16:05:15.57345	2013-08-02 16:05:15.57345
6231	2	2013-08-02 16:05:15.7429	2013-08-03 00:22:09.242626
29810	21	2013-08-02 16:06:04.913964	2013-08-03 22:44:25.31649
33225	21	2013-08-02 16:06:13.458766	2013-08-03 22:45:29.692132
6280	21	2013-08-02 16:05:15.816176	2013-08-04 18:19:28.681597
2808	14	2013-08-02 16:05:09.186839	2013-08-03 22:45:30.001494
6194	14	2013-08-02 16:05:15.602332	2013-08-02 16:05:15.602332
6247	21	2013-08-02 16:05:15.761726	2013-08-04 18:19:28.849768
6177	21	2013-08-02 16:05:15.5615	2013-08-04 18:19:28.852763
6220	21	2013-08-02 16:05:15.730957	2013-08-04 18:19:28.85532
6237	21	2013-08-02 16:05:15.749577	2013-08-04 18:19:28.858038
6240	21	2013-08-02 16:05:15.752952	2013-08-04 18:22:27.348003
6201	14	2013-08-02 16:05:15.620081	2013-08-04 18:22:28.485203
6217	14	2013-08-02 16:05:15.72759	2013-08-04 18:22:29.05382
6202	2	2013-08-02 16:05:15.622767	2013-08-02 16:05:15.622767
6211	2	2013-08-02 16:05:15.646777	2013-08-03 00:22:09.246918
6257	2	2013-08-02 16:05:15.775747	2013-08-04 18:22:29.18649
2711	21	2013-08-02 16:05:09.09259	2013-08-03 23:19:40.06471
6210	21	2013-08-02 16:05:15.644077	2013-08-03 23:19:40.135691
6277	14	2013-08-02 16:05:15.809173	2013-08-04 18:22:29.294679
6267	21	2013-08-02 16:05:15.791294	2013-08-04 18:24:27.852291
6266	21	2013-08-02 16:05:15.789703	2013-08-03 23:24:41.052622
7360	21	2013-08-02 16:05:17.791145	2013-08-03 23:24:41.053903
6260	14	2013-08-02 16:05:15.780049	2013-08-04 18:27:20.137889
6214	14	2013-08-02 16:05:15.724141	2013-08-02 16:05:15.724141
36303	21	2013-08-02 16:06:20.577574	2013-08-03 23:34:28.108699
6222	2	2013-08-02 16:05:15.73325	2013-08-02 16:05:15.73325
6191	2	2013-08-02 16:05:15.595122	2013-08-03 00:22:09.250586
6234	14	2013-08-02 16:05:15.7462	2013-08-02 16:05:15.7462
6242	2	2013-08-02 16:05:15.755183	2013-08-02 16:05:15.755183
6171	2	2013-08-02 16:05:15.547069	2013-08-03 00:22:09.254335
6254	14	2013-08-02 16:05:15.771218	2013-08-02 16:05:15.771218
6262	2	2013-08-02 16:05:15.783086	2013-08-02 16:05:15.783086
6151	2	2013-08-02 16:05:15.498473	2013-08-03 00:22:09.259322
6274	14	2013-08-02 16:05:15.803589	2013-08-02 16:05:15.803589
6268	2	2013-08-02 16:05:15.792955	2013-08-03 00:27:06.577926
6248	2	2013-08-02 16:05:15.763041	2013-08-03 00:27:06.58109
6228	2	2013-08-02 16:05:15.739639	2013-08-03 00:27:06.584161
6208	2	2013-08-02 16:05:15.638903	2013-08-03 00:27:06.587238
6188	2	2013-08-02 16:05:15.587879	2013-08-03 00:27:06.590442
6168	2	2013-08-02 16:05:15.539833	2013-08-03 00:27:06.593586
6148	2	2013-08-02 16:05:15.491312	2013-08-03 00:27:06.597003
6128	2	2013-08-02 16:05:15.443815	2013-08-03 00:27:06.601208
6157	14	2013-08-02 16:05:15.513295	2013-08-03 00:32:07.564689
6137	14	2013-08-02 16:05:15.465205	2013-08-03 00:32:07.57549
6272	14	2013-08-02 16:05:15.799906	2013-08-03 00:42:07.297063
6252	14	2013-08-02 16:05:15.768233	2013-08-03 00:42:07.301473
6232	14	2013-08-02 16:05:15.743928	2013-08-03 00:42:07.30506
6212	14	2013-08-02 16:05:15.64947	2013-08-03 00:42:07.309251
6275	2	2013-08-02 16:05:15.805531	2013-08-03 01:02:08.021334
6255	2	2013-08-02 16:05:15.772726	2013-08-03 01:02:08.026484
6235	2	2013-08-02 16:05:15.747332	2013-08-03 01:02:08.031331
6215	2	2013-08-02 16:05:15.725354	2013-08-03 01:02:08.037697
6195	2	2013-08-02 16:05:15.604736	2013-08-03 01:02:08.042994
6175	2	2013-08-02 16:05:15.556698	2013-08-03 01:02:08.047197
6155	2	2013-08-02 16:05:15.508271	2013-08-03 01:02:08.051144
6135	2	2013-08-02 16:05:15.460449	2013-08-03 01:02:08.05515
6273	2	2013-08-02 16:05:15.801808	2013-08-03 01:07:08.290102
6253	2	2013-08-02 16:05:15.769708	2013-08-03 01:07:08.300874
6233	2	2013-08-02 16:05:15.745039	2013-08-03 01:07:08.311644
6213	2	2013-08-02 16:05:15.722722	2013-08-03 01:07:08.322339
6193	2	2013-08-02 16:05:15.599909	2013-08-03 01:07:08.332979
6173	2	2013-08-02 16:05:15.551861	2013-08-03 01:07:08.346258
6153	2	2013-08-02 16:05:15.503269	2013-08-03 01:07:08.358753
6133	2	2013-08-02 16:05:15.455706	2013-08-03 01:07:08.370505
6218	14	2013-08-02 16:05:15.728717	2013-08-03 01:07:09.105519
6198	14	2013-08-02 16:05:15.611926	2013-08-03 01:07:09.114378
6178	14	2013-08-02 16:05:15.56387	2013-08-03 01:07:09.154018
6158	14	2013-08-02 16:05:15.515711	2013-08-03 01:07:09.158744
6221	14	2013-08-02 16:05:15.732096	2013-08-03 01:13:43.434914
6156	2	2013-08-02 16:05:15.510826	2013-08-03 01:55:05.901276
6136	2	2013-08-02 16:05:15.462832	2013-08-03 01:56:00.966281
6165	2	2013-08-02 16:05:15.532696	2013-08-03 01:56:01.131034
6145	2	2013-08-02 16:05:15.484195	2013-08-03 01:56:01.137206
6125	2	2013-08-02 16:05:15.43668	2013-08-03 01:56:01.17762
6241	2	2013-08-02 16:05:15.754072	2013-08-03 01:56:02.219001
6276	2	2013-08-02 16:05:15.807303	2013-08-03 01:56:02.223571
6256	2	2013-08-02 16:05:15.774243	2013-08-03 01:56:02.226945
6236	2	2013-08-02 16:05:15.748451	2013-08-03 01:56:02.230525
6216	2	2013-08-02 16:05:15.726473	2013-08-03 01:56:02.233981
6196	2	2013-08-02 16:05:15.607142	2013-08-03 01:56:02.238171
6150	2	2013-08-02 16:05:15.495992	2013-08-03 02:00:11.12047
6265	2	2013-08-02 16:05:15.788105	2013-08-03 02:00:59.419356
6245	2	2013-08-02 16:05:15.759092	2013-08-03 02:00:59.430698
6225	2	2013-08-02 16:05:15.736405	2013-08-03 02:00:59.442399
6205	2	2013-08-02 16:05:15.630839	2013-08-03 02:00:59.453935
6185	2	2013-08-02 16:05:15.580703	2013-08-03 02:00:59.465116
6230	14	2013-08-02 16:05:15.741857	2013-08-03 02:05:14.253452
6261	2	2013-08-02 16:05:15.781489	2013-08-03 02:06:05.24772
6250	2	2013-08-02 16:05:15.765599	2013-08-03 02:06:05.257587
6190	2	2013-08-02 16:05:15.592758	2013-08-03 02:06:05.435325
6176	14	2013-08-02 16:05:15.559098	2013-08-03 02:15:37.109936
12758	2	2013-08-02 16:05:28.650807	2013-08-03 02:21:48.944211
12738	2	2013-08-02 16:05:28.602205	2013-08-03 02:21:48.955418
12798	2	2013-08-02 16:05:28.750077	2013-08-03 02:26:10.156837
15677	2	2013-08-02 16:05:33.959908	2013-08-03 02:26:56.051144
15697	2	2013-08-02 16:05:33.983399	2013-08-03 02:32:07.955349
24072	2	2013-08-02 16:05:52.568521	2013-08-04 01:21:01.147878
6282	2	2013-08-02 16:05:15.820066	2013-08-02 16:05:15.820066
6431	2	2013-08-02 16:05:16.122865	2013-08-03 00:22:09.199739
24093	2	2013-08-02 16:05:52.589148	2013-08-04 01:21:01.157856
4846	2	2013-08-02 16:05:13.050349	2013-08-03 22:04:22.413642
19548	14	2013-08-02 16:05:42.277568	2013-08-03 17:42:24.147719
6307	2	2013-08-02 16:05:15.88739	2013-08-04 20:02:38.662931
36575	2	2013-08-02 16:06:21.151068	2013-08-03 19:25:08.347176
21246	2	2013-08-02 16:05:45.588362	2013-08-04 01:21:01.167219
6306	2	2013-08-02 16:05:15.884523	2013-08-03 02:47:52.351272
24073	2	2013-08-02 16:05:52.569971	2013-08-04 01:21:01.176754
40723	2	2013-08-02 16:06:29.342529	2013-08-03 20:21:35.454549
40043	2	2013-08-02 16:06:28.411206	2013-08-04 20:02:38.677774
6294	14	2013-08-02 16:05:15.849392	2013-08-02 16:05:15.849392
20188	2	2013-08-02 16:05:44.070993	2013-08-03 17:05:34.524476
20337	2	2013-08-02 16:05:44.234802	2013-08-04 20:02:38.692838
20757	2	2013-08-02 16:05:44.657256	2013-08-03 20:59:56.745955
6126	14	2013-08-02 16:05:15.439039	2013-08-03 03:09:46.605626
5564	14	2013-08-02 16:05:14.164367	2013-08-03 20:59:56.762238
6302	2	2013-08-02 16:05:15.871274	2013-08-02 16:05:15.871274
6411	2	2013-08-02 16:05:16.080692	2013-08-03 00:22:09.204925
45350	2	2013-08-02 16:06:40.383519	2013-08-04 01:23:20.566899
18658	14	2013-08-02 16:05:40.015431	2013-08-03 17:42:55.530947
7598	14	2013-08-02 16:05:18.02651	2013-08-03 19:25:19.171235
41148	21	2013-08-02 16:06:30.222957	2013-08-04 20:09:49.360552
6326	21	2013-08-02 16:05:15.937993	2013-08-03 18:17:17.611572
6314	14	2013-08-02 16:05:15.905862	2013-08-02 16:05:15.905862
45221	14	2013-08-02 16:06:40.076743	2013-08-04 01:25:46.819286
4926	2	2013-08-02 16:05:13.118564	2013-08-03 22:05:19.132517
6390	14	2013-08-02 16:05:16.050587	2013-08-03 22:05:19.221938
6328	21	2013-08-02 16:05:15.943364	2013-08-03 22:05:19.378748
6322	2	2013-08-02 16:05:15.927196	2013-08-02 16:05:15.927196
6391	2	2013-08-02 16:05:16.051923	2013-08-03 00:22:09.208837
19691	21	2013-08-02 16:05:42.633494	2013-08-04 01:30:51.106985
49752	2	2013-08-02 16:06:49.995713	2013-08-04 01:50:57.667195
6348	21	2013-08-02 16:05:15.99493	2013-08-03 22:09:24.654007
6420	21	2013-08-02 16:05:16.095532	2013-08-03 19:47:28.789326
38423	21	2013-08-02 16:06:25.120493	2013-08-03 19:47:28.79098
5217	21	2013-08-02 16:05:13.493819	2013-08-03 19:47:28.792927
21006	2	2013-08-02 16:05:45.221373	2013-08-04 01:50:58.694721
6340	2	2013-08-02 16:05:15.975078	2013-08-03 19:52:29.027249
6334	14	2013-08-02 16:05:15.959419	2013-08-02 16:05:15.959419
6360	2	2013-08-02 16:05:16.01426	2013-08-03 19:52:29.038297
6368	21	2013-08-02 16:05:16.025814	2013-08-03 22:09:24.656723
6388	21	2013-08-02 16:05:16.047957	2013-08-03 21:59:21.861207
6408	21	2013-08-02 16:05:16.075825	2013-08-03 21:59:21.863728
6287	21	2013-08-02 16:05:15.832097	2013-08-04 18:22:27.138228
14792	14	2013-08-02 16:05:32.610939	2013-08-04 18:22:28.0927
6342	2	2013-08-02 16:05:15.980132	2013-08-02 16:05:15.980132
6371	2	2013-08-02 16:05:16.029155	2013-08-03 00:22:09.212839
48438	2	2013-08-02 16:06:46.552981	2013-08-04 18:22:29.183224
6387	14	2013-08-02 16:05:16.046763	2013-08-04 18:22:29.291101
6367	21	2013-08-02 16:05:16.02478	2013-08-04 18:24:27.842517
41273	2	2013-08-02 16:06:30.526041	2013-08-04 20:09:49.407356
6407	2	2013-08-02 16:05:16.074284	2013-08-04 18:27:20.40913
6375	14	2013-08-02 16:05:16.033379	2013-08-03 22:00:17.102634
18449	21	2013-08-02 16:05:39.570143	2013-08-04 20:09:54.516327
6354	14	2013-08-02 16:05:16.008996	2013-08-02 16:05:16.008996
6395	21	2013-08-02 16:05:16.056925	2013-08-03 22:14:26.038159
41253	2	2013-08-02 16:06:30.47887	2013-08-04 20:12:36.353241
19566	2	2013-08-02 16:05:42.323486	2013-08-03 22:40:20.563584
6362	2	2013-08-02 16:05:16.019183	2013-08-02 16:05:16.019183
6351	2	2013-08-02 16:05:16.002266	2013-08-03 00:22:09.216846
14966	14	2013-08-02 16:05:33.030601	2013-08-03 22:40:20.577223
6374	14	2013-08-02 16:05:16.032319	2013-08-02 16:05:16.032319
36592	14	2013-08-02 16:06:21.172211	2013-08-03 22:40:40.505811
28121	21	2013-08-02 16:06:01.236533	2013-08-03 22:44:24.975743
6382	2	2013-08-02 16:05:16.040972	2013-08-02 16:05:16.040972
6331	2	2013-08-02 16:05:15.951451	2013-08-03 00:22:09.221318
6748	21	2013-08-02 16:05:16.914107	2013-08-03 22:44:25.313657
48538	21	2013-08-02 16:06:46.699736	2013-08-03 22:49:21.894445
6394	14	2013-08-02 16:05:16.055664	2013-08-02 16:05:16.055664
33241	2	2013-08-02 16:06:13.496871	2013-08-03 23:04:24.409201
36895	14	2013-08-02 16:06:21.476873	2013-08-03 23:15:56.660912
6402	2	2013-08-02 16:05:16.066762	2013-08-02 16:05:16.066762
6288	2	2013-08-02 16:05:15.834583	2013-08-03 00:27:06.569565
13183	21	2013-08-02 16:05:29.261667	2013-08-03 23:24:41.048812
40703	21	2013-08-02 16:06:29.319667	2013-08-03 23:24:41.051014
6414	14	2013-08-02 16:05:16.085496	2013-08-02 16:05:16.085496
6308	21	2013-08-02 16:05:15.890133	2013-08-03 23:41:32.2593
6422	2	2013-08-02 16:05:16.099674	2013-08-02 16:05:16.099674
36395	21	2013-08-02 16:06:20.779568	2013-08-03 23:49:35.05117
6434	14	2013-08-02 16:05:16.130768	2013-08-02 16:05:16.130768
6357	21	2013-08-02 16:05:16.011308	2013-08-03 00:32:07.467975
6437	14	2013-08-02 16:05:16.13851	2013-08-03 00:37:07.86631
6417	14	2013-08-02 16:05:16.090471	2013-08-03 00:37:07.871114
6397	14	2013-08-02 16:05:16.059592	2013-08-03 00:37:07.875378
6377	14	2013-08-02 16:05:16.035398	2013-08-03 00:37:07.880485
6332	21	2013-08-02 16:05:15.954094	2013-08-03 00:42:07.284702
6312	14	2013-08-02 16:05:15.900778	2013-08-03 00:42:07.287781
6292	14	2013-08-02 16:05:15.844173	2013-08-03 00:42:07.292295
6303	14	2013-08-02 16:05:15.873909	2013-08-03 00:47:07.099106
6432	14	2013-08-02 16:05:16.125511	2013-08-03 00:47:07.103591
6412	14	2013-08-02 16:05:16.082233	2013-08-03 00:47:07.11129
6392	14	2013-08-02 16:05:16.053219	2013-08-03 00:47:07.118314
6372	14	2013-08-02 16:05:16.030192	2013-08-03 00:47:07.122911
6352	14	2013-08-02 16:05:16.004681	2013-08-03 00:47:07.13035
6335	2	2013-08-02 16:05:15.962096	2013-08-03 01:02:08.005523
6315	2	2013-08-02 16:05:15.908495	2013-08-03 01:02:08.010459
6295	2	2013-08-02 16:05:15.852052	2013-08-03 01:02:08.015876
6433	2	2013-08-02 16:05:16.128143	2013-08-03 01:07:08.20038
6413	2	2013-08-02 16:05:16.083891	2013-08-03 01:07:08.211889
6393	2	2013-08-02 16:05:16.054455	2013-08-03 01:07:08.223669
6373	2	2013-08-02 16:05:16.031219	2013-08-03 01:07:08.235765
6353	2	2013-08-02 16:05:16.007065	2013-08-03 01:07:08.247058
6333	2	2013-08-02 16:05:15.95678	2013-08-03 01:07:08.257971
6313	2	2013-08-02 16:05:15.903248	2013-08-03 01:07:08.268702
6293	2	2013-08-02 16:05:15.846742	2013-08-03 01:07:08.279475
6435	14	2013-08-02 16:05:16.133435	2013-08-03 01:07:08.562757
6281	14	2013-08-02 16:05:15.818111	2013-08-03 01:13:18.236753
6341	14	2013-08-02 16:05:15.977562	2013-08-03 01:13:18.974596
6321	14	2013-08-02 16:05:15.924507	2013-08-03 01:13:19.04917
6301	2	2013-08-02 16:05:15.868765	2013-08-03 01:13:42.929178
6401	2	2013-08-02 16:05:16.065389	2013-08-03 01:56:02.142214
6436	2	2013-08-02 16:05:16.136052	2013-08-03 01:56:02.153155
6416	2	2013-08-02 16:05:16.088769	2013-08-03 01:56:02.163909
6396	2	2013-08-02 16:05:16.058176	2013-08-03 01:56:02.173686
6376	2	2013-08-02 16:05:16.034393	2013-08-03 01:56:02.178592
6356	2	2013-08-02 16:05:16.010547	2013-08-03 01:56:02.18333
6336	2	2013-08-02 16:05:15.964799	2013-08-03 01:56:02.18948
6316	2	2013-08-02 16:05:15.911254	2013-08-03 01:56:02.197372
6296	2	2013-08-02 16:05:15.854838	2013-08-03 01:56:02.209145
6385	2	2013-08-02 16:05:16.044547	2013-08-03 02:00:59.352237
6365	2	2013-08-02 16:05:16.022746	2013-08-03 02:00:59.363714
6345	2	2013-08-02 16:05:15.987754	2013-08-03 02:00:59.374482
6325	2	2013-08-02 16:05:15.935269	2013-08-03 02:00:59.385478
6305	2	2013-08-02 16:05:15.881034	2013-08-03 02:00:59.396429
6285	2	2013-08-02 16:05:15.826877	2013-08-03 02:00:59.407775
6430	2	2013-08-02 16:05:16.120212	2013-08-03 02:05:14.265862
6425	14	2013-08-02 16:05:16.106923	2013-08-03 02:05:14.372633
6410	2	2013-08-02 16:05:16.079134	2013-08-03 02:06:04.062859
6370	2	2013-08-02 16:05:16.027986	2013-08-03 02:06:04.4138
6405	2	2013-08-02 16:05:16.071223	2013-08-03 02:11:05.824293
13077	2	2013-08-02 16:05:29.14103	2013-08-03 02:26:10.235935
4906	2	2013-08-02 16:05:13.101121	2013-08-03 02:26:55.437015
4826	2	2013-08-02 16:05:13.034607	2013-08-03 02:26:56.04775
13688	2	2013-08-02 16:05:29.987919	2013-08-03 17:03:17.288709
39883	2	2013-08-02 16:06:27.957192	2013-08-04 20:02:38.647359
6561	21	2013-08-02 16:05:16.451386	2013-08-03 22:04:21.075212
6498	21	2013-08-02 16:05:16.28939	2013-08-03 22:04:21.078929
6442	2	2013-08-02 16:05:16.15138	2013-08-02 16:05:16.15138
6451	2	2013-08-02 16:05:16.174601	2013-08-03 00:22:09.195633
6481	21	2013-08-02 16:05:16.24831	2013-08-03 22:04:21.082653
6486	2	2013-08-02 16:05:16.260186	2013-08-03 02:47:51.853677
5991	2	2013-08-02 16:05:15.148506	2013-08-04 20:07:36.824001
28505	2	2013-08-02 16:06:01.823633	2013-08-04 20:07:36.839412
6512	21	2013-08-02 16:05:16.326327	2013-08-03 22:04:21.086873
6532	21	2013-08-02 16:05:16.377393	2013-08-03 22:04:21.090693
6446	14	2013-08-02 16:05:16.162002	2013-08-03 02:52:16.531672
2641	14	2013-08-02 16:05:08.990431	2013-08-03 20:21:37.399901
2621	2	2013-08-02 16:05:08.96889	2013-08-03 19:25:19.287454
6458	14	2013-08-02 16:05:16.191633	2013-08-03 02:52:16.892114
6454	14	2013-08-02 16:05:16.182058	2013-08-02 16:05:16.182058
19690	14	2013-08-02 16:05:42.630805	2013-08-04 01:23:20.607973
6541	2	2013-08-02 16:05:16.399071	2013-08-03 02:53:04.902946
6462	2	2013-08-02 16:05:16.201149	2013-08-02 16:05:16.201149
6523	14	2013-08-02 16:05:16.354469	2013-08-03 00:27:06.750735
6552	21	2013-08-02 16:05:16.427336	2013-08-03 22:04:59.237861
41393	14	2013-08-02 16:06:31.034279	2013-08-04 20:09:57.528768
6469	21	2013-08-02 16:05:16.218683	2013-08-03 18:22:14.253176
6592	21	2013-08-02 16:05:16.53108	2013-08-03 22:05:19.088902
5566	2	2013-08-02 16:05:14.169099	2013-08-03 03:09:46.635745
6010	14	2013-08-02 16:05:15.196439	2013-08-03 18:27:14.26682
6474	14	2013-08-02 16:05:16.230998	2013-08-02 16:05:16.230998
6470	14	2013-08-02 16:05:16.221117	2013-08-03 18:27:14.272918
6466	21	2013-08-02 16:05:16.211107	2013-08-04 18:22:27.13537
6447	14	2013-08-02 16:05:16.164671	2013-08-04 18:22:28.085031
6478	14	2013-08-02 16:05:16.241128	2013-08-04 18:22:28.122462
6444	14	2013-08-02 16:05:16.156727	2013-08-03 22:05:19.338454
33001	21	2013-08-02 16:06:12.903333	2013-08-03 22:40:20.659553
6482	2	2013-08-02 16:05:16.25072	2013-08-02 16:05:16.25072
18915	21	2013-08-02 16:05:40.63494	2013-08-03 22:40:20.662039
7352	21	2013-08-02 16:05:17.782087	2013-08-03 22:40:20.664384
2716	21	2013-08-02 16:05:09.096215	2013-08-03 22:40:20.66667
6590	21	2013-08-02 16:05:16.525771	2013-08-03 19:52:28.956143
6581	21	2013-08-02 16:05:16.503975	2013-08-03 19:52:28.960074
6560	21	2013-08-02 16:05:16.44874	2013-08-03 19:52:28.963783
6580	21	2013-08-02 16:05:16.501376	2013-08-03 19:52:28.967295
36555	21	2013-08-02 16:06:21.130763	2013-08-03 19:52:28.970898
6494	14	2013-08-02 16:05:16.278856	2013-08-02 16:05:16.278856
33261	21	2013-08-02 16:06:13.549593	2013-08-03 22:40:20.669178
6578	14	2013-08-02 16:05:16.496034	2013-08-04 18:22:28.133723
29770	21	2013-08-02 16:06:04.834281	2013-08-03 22:40:20.676187
6515	14	2013-08-02 16:05:16.333894	2013-08-04 18:22:28.1446
48660	21	2013-08-02 16:06:46.911938	2013-08-03 22:40:20.680477
6502	2	2013-08-02 16:05:16.300273	2013-08-02 16:05:16.300273
41533	2	2013-08-02 16:06:31.395276	2013-08-04 20:09:57.56457
7264	14	2013-08-02 16:05:17.678701	2013-08-03 22:40:20.709916
41293	21	2013-08-02 16:06:30.574022	2013-08-04 20:09:57.622442
33321	14	2013-08-02 16:06:13.691356	2013-08-03 22:40:40.588087
41460	2	2013-08-02 16:06:31.211843	2013-08-04 20:12:36.346225
41493	21	2013-08-02 16:06:31.296781	2013-08-04 20:12:36.403258
41213	21	2013-08-02 16:06:30.383816	2013-08-04 20:12:36.406042
6514	14	2013-08-02 16:05:16.331457	2013-08-02 16:05:16.331457
33341	21	2013-08-02 16:06:13.913622	2013-08-03 22:45:08.796704
41373	2	2013-08-02 16:06:31.008995	2013-08-04 20:22:40.688198
6522	2	2013-08-02 16:05:16.35182	2013-08-02 16:05:16.35182
33412	21	2013-08-02 16:06:14.039319	2013-08-03 22:49:21.891299
28141	21	2013-08-02 16:06:01.256451	2013-08-03 22:50:05.382924
6426	2	2013-08-02 16:05:16.109723	2013-08-03 23:15:56.688464
6534	14	2013-08-02 16:05:16.382204	2013-08-02 16:05:16.382204
6585	21	2013-08-02 16:05:16.513878	2013-08-03 23:24:41.04637
6543	14	2013-08-02 16:05:16.403961	2013-08-03 23:31:52.624595
2601	21	2013-08-02 16:05:08.945929	2013-08-03 23:39:27.346733
6542	2	2013-08-02 16:05:16.40158	2013-08-02 16:05:16.40158
6588	14	2013-08-02 16:05:16.521042	2013-08-03 00:32:06.0381
6554	14	2013-08-02 16:05:16.432682	2013-08-02 16:05:16.432682
6562	2	2013-08-02 16:05:16.453876	2013-08-02 16:05:16.453876
6568	14	2013-08-02 16:05:16.469745	2013-08-03 00:32:06.042303
6574	14	2013-08-02 16:05:16.485475	2013-08-02 16:05:16.485475
6582	2	2013-08-02 16:05:16.506639	2013-08-02 16:05:16.506639
6548	14	2013-08-02 16:05:16.416787	2013-08-03 00:32:06.046262
6594	14	2013-08-02 16:05:16.536374	2013-08-02 16:05:16.536374
6528	14	2013-08-02 16:05:16.367463	2013-08-03 00:32:06.050688
6508	14	2013-08-02 16:05:16.315757	2013-08-03 00:32:06.05475
6488	14	2013-08-02 16:05:16.264948	2013-08-03 00:32:06.058662
6577	14	2013-08-02 16:05:16.493415	2013-08-03 00:37:07.835238
6557	14	2013-08-02 16:05:16.440702	2013-08-03 00:37:07.840065
6537	14	2013-08-02 16:05:16.389428	2013-08-03 00:37:07.84386
6517	14	2013-08-02 16:05:16.338938	2013-08-03 00:37:07.849262
6497	14	2013-08-02 16:05:16.286722	2013-08-03 00:37:07.853606
6477	14	2013-08-02 16:05:16.238606	2013-08-03 00:37:07.857833
6457	14	2013-08-02 16:05:16.189278	2013-08-03 00:37:07.86182
6492	14	2013-08-02 16:05:16.274139	2013-08-03 00:47:07.084327
6472	14	2013-08-02 16:05:16.225917	2013-08-03 00:47:07.089172
6452	14	2013-08-02 16:05:16.177182	2013-08-03 00:47:07.094135
6440	21	2013-08-02 16:05:16.14608	2013-08-03 01:02:08.371123
6493	2	2013-08-02 16:05:16.276498	2013-08-03 01:07:08.166101
6473	2	2013-08-02 16:05:16.228469	2013-08-03 01:07:08.177592
6453	2	2013-08-02 16:05:16.179618	2013-08-03 01:07:08.18912
6495	14	2013-08-02 16:05:16.2812	2013-08-03 01:07:08.529243
6475	14	2013-08-02 16:05:16.233598	2013-08-03 01:07:08.5402
6455	14	2013-08-02 16:05:16.184455	2013-08-03 01:07:08.551368
6438	21	2013-08-02 16:05:16.141014	2013-08-03 01:07:08.992867
6521	2	2013-08-02 16:05:16.349265	2013-08-03 01:13:18.293835
6501	2	2013-08-02 16:05:16.297625	2013-08-03 01:13:18.499092
6538	2	2013-08-02 16:05:16.391775	2013-08-03 01:13:19.313026
6518	2	2013-08-02 16:05:16.341335	2013-08-03 01:13:41.810965
6593	2	2013-08-02 16:05:16.533737	2013-08-03 01:13:42.873045
6573	2	2013-08-02 16:05:16.482807	2013-08-03 01:13:42.884096
6553	2	2013-08-02 16:05:16.429999	2013-08-03 01:13:42.894869
6533	2	2013-08-02 16:05:16.379842	2013-08-03 01:13:42.90594
6513	2	2013-08-02 16:05:16.328972	2013-08-03 01:13:42.917004
6558	2	2013-08-02 16:05:16.443356	2013-08-03 01:24:56.672665
6476	2	2013-08-02 16:05:16.23607	2013-08-03 01:56:02.120112
6456	2	2013-08-02 16:05:16.186852	2013-08-03 01:56:02.131465
6576	2	2013-08-02 16:05:16.490769	2013-08-03 02:01:00.414462
6556	2	2013-08-02 16:05:16.437989	2013-08-03 02:01:00.41877
6536	2	2013-08-02 16:05:16.387051	2013-08-03 02:01:00.424114
6516	2	2013-08-02 16:05:16.336446	2013-08-03 02:01:00.432919
6496	2	2013-08-02 16:05:16.283889	2013-08-03 02:01:00.468465
6485	14	2013-08-02 16:05:16.257831	2013-08-03 02:05:14.201211
6545	2	2013-08-02 16:05:16.409179	2013-08-03 02:06:05.227657
6505	2	2013-08-02 16:05:16.3082	2013-08-03 02:06:05.237675
6465	2	2013-08-02 16:05:16.208435	2013-08-03 02:06:05.425201
6445	14	2013-08-02 16:05:16.15934	2013-08-03 02:09:23.580398
6530	14	2013-08-02 16:05:16.372337	2013-08-03 02:10:01.260515
6565	2	2013-08-02 16:05:16.461801	2013-08-03 02:11:05.11525
6550	2	2013-08-02 16:05:16.422047	2013-08-03 02:11:05.546164
6510	2	2013-08-02 16:05:16.32106	2013-08-03 02:11:05.814252
6450	2	2013-08-02 16:05:16.172197	2013-08-03 02:11:06.007464
6490	2	2013-08-02 16:05:16.269599	2013-08-03 02:11:06.013283
4966	2	2013-08-02 16:05:13.157667	2013-08-03 02:26:10.407689
7925	14	2013-08-02 16:05:18.641325	2013-08-03 02:26:10.44183
4946	2	2013-08-02 16:05:13.137277	2013-08-03 02:26:55.046122
8352	2	2013-08-02 16:05:19.651998	2013-08-03 02:26:55.882093
4986	14	2013-08-02 16:05:13.177502	2013-08-03 02:32:08.945747
6701	21	2013-08-02 16:05:16.815687	2013-08-03 22:04:21.06068
19851	2	2013-08-02 16:05:43.039636	2013-08-04 20:07:36.74958
6646	2	2013-08-02 16:05:16.674035	2013-08-03 02:53:04.496023
40923	2	2013-08-02 16:06:29.814898	2013-08-03 19:25:19.400425
6730	21	2013-08-02 16:05:16.890975	2013-08-03 20:12:26.059194
33201	2	2013-08-02 16:06:13.401954	2013-08-04 20:07:36.763608
6602	2	2013-08-02 16:05:16.557997	2013-08-02 16:05:16.557997
6723	21	2013-08-02 16:05:16.873298	2013-08-03 00:27:06.666793
33418	2	2013-08-02 16:06:14.045961	2013-08-04 20:07:36.778167
6687	2	2013-08-02 16:05:16.779185	2013-08-04 20:07:36.793045
3645	2	2013-08-02 16:05:10.867668	2013-08-04 20:07:36.808949
20848	21	2013-08-02 16:05:44.880741	2013-08-03 22:04:21.064786
41323	21	2013-08-02 16:06:30.645233	2013-08-03 19:27:37.286287
20808	14	2013-08-02 16:05:44.83696	2013-08-03 03:09:46.813396
6669	21	2013-08-02 16:05:16.734051	2013-08-03 18:27:14.233799
6707	21	2013-08-02 16:05:16.833688	2013-08-04 18:22:29.701838
41303	14	2013-08-02 16:06:30.598055	2013-08-03 19:27:37.310267
6614	14	2013-08-02 16:05:16.589178	2013-08-02 16:05:16.589178
41283	14	2013-08-02 16:06:30.549781	2013-08-03 19:27:37.322889
5506	2	2013-08-02 16:05:14.02297	2013-08-03 03:09:46.992157
3691	2	2013-08-02 16:05:10.98144	2013-08-03 03:09:47.001441
41675	2	2013-08-02 16:06:31.746682	2013-08-04 20:12:36.716716
6622	2	2013-08-02 16:05:16.610317	2013-08-02 16:05:16.610317
6751	14	2013-08-02 16:05:16.91728	2013-08-03 00:27:06.674576
19751	21	2013-08-02 16:05:42.787419	2013-08-04 01:30:51.104335
41746	2	2013-08-02 16:06:31.922057	2013-08-04 20:12:36.730931
41726	2	2013-08-02 16:06:31.873846	2013-08-04 20:12:36.739235
41690	2	2013-08-02 16:06:31.785618	2013-08-04 20:12:36.746517
8336	21	2013-08-02 16:05:19.612794	2013-08-03 18:37:38.279975
40943	14	2013-08-02 16:06:29.862497	2013-08-03 19:29:58.526372
41706	2	2013-08-02 16:06:31.826293	2013-08-04 20:12:36.758634
41686	2	2013-08-02 16:06:31.775333	2013-08-04 20:12:36.767196
6664	14	2013-08-02 16:05:16.721747	2013-08-03 22:04:59.480265
6634	14	2013-08-02 16:05:16.6424	2013-08-02 16:05:16.6424
6644	21	2013-08-02 16:05:16.668741	2013-08-03 22:05:19.089736
6665	21	2013-08-02 16:05:16.724367	2013-08-03 22:09:23.578407
6670	21	2013-08-02 16:05:16.73643	2013-08-03 22:09:23.581554
6633	21	2013-08-02 16:05:16.639709	2013-08-03 22:09:23.584355
6605	21	2013-08-02 16:05:16.565984	2013-08-03 22:09:23.587534
6641	21	2013-08-02 16:05:16.660911	2013-08-03 22:09:23.590897
6693	21	2013-08-02 16:05:16.794808	2013-08-03 22:09:23.59419
6642	2	2013-08-02 16:05:16.663417	2013-08-02 16:05:16.663417
6731	14	2013-08-02 16:05:16.893432	2013-08-03 00:27:06.682467
6713	21	2013-08-02 16:05:16.84905	2013-08-03 22:09:23.597586
6700	21	2013-08-02 16:05:16.812905	2013-08-03 22:09:23.601142
41666	2	2013-08-02 16:06:31.72355	2013-08-04 20:12:36.779136
6720	21	2013-08-02 16:05:16.865776	2013-08-03 22:09:23.604954
6740	14	2013-08-02 16:05:16.902456	2013-08-03 22:09:23.623106
41758	2	2013-08-02 16:06:31.950709	2013-08-04 20:12:36.791131
41646	2	2013-08-02 16:06:31.672302	2013-08-04 20:12:36.802005
41626	2	2013-08-02 16:06:31.623683	2013-08-04 20:12:36.814947
6732	21	2013-08-02 16:05:16.895843	2013-08-03 22:11:23.273811
6654	14	2013-08-02 16:05:16.695283	2013-08-02 16:05:16.695283
41645	2	2013-08-02 16:06:31.669649	2013-08-04 20:12:36.821318
6658	14	2013-08-02 16:05:16.705799	2013-08-04 18:24:12.253014
8436	21	2013-08-02 16:05:19.902564	2013-08-03 22:14:24.51024
41606	2	2013-08-02 16:06:31.573481	2013-08-04 20:12:36.828984
6712	21	2013-08-02 16:05:16.846595	2013-08-03 22:15:17.085291
41461	2	2013-08-02 16:06:31.214552	2013-08-04 20:12:36.877365
41526	2	2013-08-02 16:06:31.37854	2013-08-04 20:12:36.888418
6662	2	2013-08-02 16:05:16.716411	2013-08-02 16:05:16.716411
6711	14	2013-08-02 16:05:16.844135	2013-08-03 00:27:06.689782
41505	2	2013-08-02 16:06:31.327926	2013-08-04 20:12:36.928312
41193	2	2013-08-02 16:06:30.335253	2013-08-04 20:12:36.934867
33515	2	2013-08-02 16:06:14.142553	2013-08-03 22:40:40.60146
6747	21	2013-08-02 16:05:16.913	2013-08-04 18:24:27.837847
6674	14	2013-08-02 16:05:16.745961	2013-08-02 16:05:16.745961
8376	2	2013-08-02 16:05:19.709263	2013-08-04 18:27:18.854824
6721	21	2013-08-02 16:05:16.868344	2013-08-04 18:27:18.870717
6618	2	2013-08-02 16:05:16.599935	2013-08-04 18:27:18.957874
6638	21	2013-08-02 16:05:16.653008	2013-08-04 18:27:19.293822
33501	21	2013-08-02 16:06:14.126918	2013-08-03 22:40:40.87824
6682	2	2013-08-02 16:05:16.765963	2013-08-02 16:05:16.765963
6691	14	2013-08-02 16:05:16.789566	2013-08-03 00:27:06.697747
6610	21	2013-08-02 16:05:16.579102	2013-08-04 18:27:19.296097
33221	21	2013-08-02 16:06:13.449237	2013-08-03 22:44:24.972546
6727	21	2013-08-02 16:05:16.8832	2013-08-04 18:27:19.298201
6598	14	2013-08-02 16:05:16.547101	2013-08-04 18:27:20.131063
6620	2	2013-08-02 16:05:16.604979	2013-08-04 18:27:20.298492
6640	2	2013-08-02 16:05:16.658146	2013-08-04 18:27:20.405452
2696	21	2013-08-02 16:05:09.079637	2013-08-03 22:45:30.248326
6694	14	2013-08-02 16:05:16.79744	2013-08-02 16:05:16.79744
6660	2	2013-08-02 16:05:16.711112	2013-08-04 18:27:20.563353
6680	2	2013-08-02 16:05:16.760901	2013-08-04 18:27:20.702304
33421	21	2013-08-02 16:06:14.048666	2013-08-03 23:01:19.001403
6702	2	2013-08-02 16:05:16.819625	2013-08-02 16:05:16.819625
6668	21	2013-08-02 16:05:16.731672	2013-08-03 00:32:06.005875
6624	2	2013-08-02 16:05:16.615556	2013-08-03 23:34:28.081118
20486	2	2013-08-02 16:05:44.385435	2013-08-03 23:55:31.494164
6714	14	2013-08-02 16:05:16.851427	2013-08-02 16:05:16.851427
6722	2	2013-08-02 16:05:16.870825	2013-08-02 16:05:16.870825
6648	14	2013-08-02 16:05:16.679322	2013-08-03 00:32:06.016096
6734	14	2013-08-02 16:05:16.897983	2013-08-02 16:05:16.897983
6742	2	2013-08-02 16:05:16.905555	2013-08-02 16:05:16.905555
6628	14	2013-08-02 16:05:16.626304	2013-08-03 00:32:06.020492
6608	14	2013-08-02 16:05:16.573818	2013-08-03 00:32:06.028773
6717	14	2013-08-02 16:05:16.858586	2013-08-03 00:37:07.759904
6697	14	2013-08-02 16:05:16.805332	2013-08-03 00:37:07.810374
6677	14	2013-08-02 16:05:16.753058	2013-08-03 00:37:07.814528
6657	14	2013-08-02 16:05:16.703158	2013-08-03 00:37:07.818403
6637	14	2013-08-02 16:05:16.650356	2013-08-03 00:37:07.822666
6617	14	2013-08-02 16:05:16.597311	2013-08-03 00:37:07.826829
6597	14	2013-08-02 16:05:16.544422	2013-08-03 00:37:07.830956
6737	14	2013-08-02 16:05:16.900186	2013-08-03 00:42:07.853841
6692	21	2013-08-02 16:05:16.792173	2013-08-03 00:47:07.038597
6715	21	2013-08-02 16:05:16.853828	2013-08-03 01:07:08.429766
6695	21	2013-08-02 16:05:16.800044	2013-08-03 01:07:08.432786
6675	21	2013-08-02 16:05:16.748292	2013-08-03 01:07:08.435634
6655	2	2013-08-02 16:05:16.697964	2013-08-03 01:07:08.442057
6635	2	2013-08-02 16:05:16.645089	2013-08-03 01:07:08.450489
6615	2	2013-08-02 16:05:16.591886	2013-08-03 01:07:08.461127
6595	2	2013-08-02 16:05:16.539059	2013-08-03 01:07:08.472334
6735	2	2013-08-02 16:05:16.898735	2013-08-03 01:07:08.76368
6613	2	2013-08-02 16:05:16.58672	2013-08-03 01:13:42.862509
6738	14	2013-08-02 16:05:16.900959	2013-08-03 01:13:43.625427
6718	14	2013-08-02 16:05:16.860981	2013-08-03 01:13:43.629652
6698	14	2013-08-02 16:05:16.80778	2013-08-03 01:13:43.633033
6678	14	2013-08-02 16:05:16.755735	2013-08-03 01:13:43.636431
6673	14	2013-08-02 16:05:16.743564	2013-08-03 01:19:09.483834
6653	2	2013-08-02 16:05:16.692662	2013-08-03 01:19:32.871618
6621	2	2013-08-02 16:05:16.607616	2013-08-03 01:39:14.451389
6696	2	2013-08-02 16:05:16.802704	2013-08-03 02:01:00.381932
6676	2	2013-08-02 16:05:16.750661	2013-08-03 02:01:00.386249
6656	2	2013-08-02 16:05:16.700647	2013-08-03 02:01:00.391324
6636	2	2013-08-02 16:05:16.64771	2013-08-03 02:01:00.399417
6616	2	2013-08-02 16:05:16.594598	2013-08-03 02:01:00.404445
6596	2	2013-08-02 16:05:16.541792	2013-08-03 02:01:00.409691
6645	2	2013-08-02 16:05:16.671361	2013-08-03 02:05:14.236004
6716	14	2013-08-02 16:05:16.856194	2013-08-03 02:05:14.343207
6625	2	2013-08-02 16:05:16.618196	2013-08-03 02:06:04.053244
6601	2	2013-08-02 16:05:16.555305	2013-08-03 02:06:04.381681
6745	2	2013-08-02 16:05:16.910793	2013-08-03 02:06:04.386956
6725	2	2013-08-02 16:05:16.878388	2013-08-03 02:06:04.393301
6705	2	2013-08-02 16:05:16.828406	2013-08-03 02:06:04.397369
6685	2	2013-08-02 16:05:16.773935	2013-08-03 02:06:04.405792
6736	2	2013-08-02 16:05:16.89946	2013-08-03 02:06:05.217883
6710	2	2013-08-02 16:05:16.841521	2013-08-03 02:10:01.301529
6690	2	2013-08-02 16:05:16.78691	2013-08-03 02:11:04.777808
6650	2	2013-08-02 16:05:16.684696	2013-08-03 02:11:05.015651
6733	14	2013-08-02 16:05:16.89725	2013-08-03 02:15:36.954901
6661	2	2013-08-02 16:05:16.713774	2013-08-03 02:16:25.007741
6750	2	2013-08-02 16:05:16.916246	2013-08-03 02:16:25.387282
6743	2	2013-08-02 16:05:16.90812	2013-08-03 02:21:48.166029
8476	2	2013-08-02 16:05:19.984125	2013-08-03 02:26:10.558304
6881	14	2013-08-02 16:05:17.194519	2013-08-03 02:36:27.990146
6767	2	2013-08-02 16:05:16.937371	2013-08-04 20:07:36.720339
6754	14	2013-08-02 16:05:16.920385	2013-08-02 16:05:16.920385
41263	14	2013-08-02 16:06:30.502428	2013-08-03 19:27:37.335306
41243	14	2013-08-02 16:06:30.455181	2013-08-03 19:27:37.347255
3738	2	2013-08-02 16:05:11.099943	2013-08-04 20:07:36.735585
41223	14	2013-08-02 16:06:30.40767	2013-08-03 19:27:37.358708
41203	14	2013-08-02 16:06:30.359399	2013-08-03 19:27:37.370359
41183	14	2013-08-02 16:06:30.311554	2013-08-03 19:27:37.382762
41163	14	2013-08-02 16:06:30.261555	2013-08-03 19:27:37.394378
6762	2	2013-08-02 16:05:16.930333	2013-08-02 16:05:16.930333
6891	2	2013-08-02 16:05:17.221358	2013-08-03 00:27:06.96421
41143	14	2013-08-02 16:06:30.21054	2013-08-03 19:27:37.40669
41123	2	2013-08-02 16:06:30.15616	2013-08-03 19:27:37.430852
34958	2	2013-08-02 16:06:17.110959	2013-08-04 20:12:36.985456
34939	2	2013-08-02 16:06:17.062456	2013-08-04 20:12:36.993683
41103	2	2013-08-02 16:06:30.116007	2013-08-03 19:27:37.443382
34959	2	2013-08-02 16:06:17.113402	2013-08-04 20:12:37.006759
34913	2	2013-08-02 16:06:16.994356	2013-08-04 20:12:37.013405
34893	2	2013-08-02 16:06:16.943285	2013-08-04 20:12:37.020497
34979	2	2013-08-02 16:06:17.165899	2013-08-04 20:12:37.028476
6774	14	2013-08-02 16:05:16.947981	2013-08-02 16:05:16.947981
34972	2	2013-08-02 16:06:17.147305	2013-08-04 20:12:37.03976
35019	2	2013-08-02 16:06:17.272515	2013-08-04 20:12:37.051262
41330	2	2013-08-02 16:06:30.661905	2013-08-04 20:12:37.115681
41428	2	2013-08-02 16:06:31.126	2013-08-04 20:12:37.129822
5028	2	2013-08-02 16:05:13.22533	2013-08-03 03:09:47.410438
20948	2	2013-08-02 16:05:45.140484	2013-08-03 03:09:47.419781
6796	2	2013-08-02 16:05:16.985963	2013-08-03 18:37:39.669781
6782	2	2013-08-02 16:05:16.961163	2013-08-02 16:05:16.961163
6871	2	2013-08-02 16:05:17.167655	2013-08-03 00:27:06.968421
41408	2	2013-08-02 16:06:31.072876	2013-08-04 20:12:37.138515
6753	2	2013-08-02 16:05:16.919387	2013-08-03 18:37:39.680635
5597	2	2013-08-02 16:05:14.224015	2013-08-03 20:59:56.791731
41388	2	2013-08-02 16:06:31.025671	2013-08-04 20:12:37.150861
41083	2	2013-08-02 16:06:30.079613	2013-08-03 19:27:37.452888
6884	21	2013-08-02 16:05:17.20256	2013-08-03 22:14:24.487401
6864	21	2013-08-02 16:05:17.148392	2013-08-03 22:14:24.490316
41368	2	2013-08-02 16:06:30.753607	2013-08-04 20:12:37.156686
41348	2	2013-08-02 16:06:30.705335	2013-08-04 20:12:37.164287
6794	14	2013-08-02 16:05:16.982326	2013-08-02 16:05:16.982326
19871	2	2013-08-02 16:05:43.092899	2013-08-04 01:23:20.64774
41328	2	2013-08-02 16:06:30.657141	2013-08-04 20:12:37.176997
41341	2	2013-08-02 16:06:30.688759	2013-08-04 20:12:37.185683
41308	2	2013-08-02 16:06:30.609865	2013-08-04 20:12:37.197675
8291	21	2013-08-02 16:05:19.499376	2013-08-03 22:19:21.456474
2335	14	2013-08-02 16:05:08.631882	2013-08-04 01:25:46.815372
6896	14	2013-08-02 16:05:17.234855	2013-08-03 22:19:21.486173
6802	2	2013-08-02 16:05:16.997143	2013-08-02 16:05:16.997143
6851	2	2013-08-02 16:05:17.113798	2013-08-03 00:27:06.976141
41473	2	2013-08-02 16:06:31.245391	2013-08-04 20:12:37.335039
14488	2	2013-08-02 16:05:31.962094	2013-08-04 01:55:51.502263
41232	2	2013-08-02 16:06:30.429027	2013-08-04 20:12:37.349185
6812	21	2013-08-02 16:05:17.016869	2013-08-03 22:19:21.912629
6904	21	2013-08-02 16:05:17.256351	2013-08-03 22:19:22.070964
6890	21	2013-08-02 16:05:17.218635	2013-08-03 22:19:22.906821
6814	14	2013-08-02 16:05:17.020769	2013-08-02 16:05:17.020769
6773	21	2013-08-02 16:05:16.946377	2013-08-03 22:39:22.05558
4001	2	2013-08-02 16:05:11.75485	2013-08-04 18:27:18.343606
32921	21	2013-08-02 16:06:12.697463	2013-08-03 22:40:41.020601
2704	21	2013-08-02 16:05:09.086321	2013-08-03 22:40:41.027258
33161	21	2013-08-02 16:06:13.306301	2013-08-03 22:40:41.028763
6822	2	2013-08-02 16:05:17.036483	2013-08-02 16:05:17.036483
6831	2	2013-08-02 16:05:17.060114	2013-08-03 00:27:06.988201
6826	21	2013-08-02 16:05:17.046512	2013-08-04 18:27:18.40474
28161	21	2013-08-02 16:06:01.275579	2013-08-03 22:40:41.029755
33301	21	2013-08-02 16:06:13.654589	2013-08-03 22:40:41.033275
39432	21	2013-08-02 16:06:27.088399	2013-08-03 22:40:41.034163
15040	2	2013-08-02 16:05:33.282288	2013-08-04 18:27:18.710007
4044	21	2013-08-02 16:05:11.886291	2013-08-04 18:27:19.29107
3944	2	2013-08-02 16:05:11.615177	2013-08-04 18:27:20.291147
33752	21	2013-08-02 16:06:14.390237	2013-08-03 22:44:23.860783
6834	14	2013-08-02 16:05:17.068214	2013-08-02 16:05:17.068214
3964	2	2013-08-02 16:05:11.663206	2013-08-04 18:27:20.400904
3984	2	2013-08-02 16:05:11.713297	2013-08-04 18:27:20.558582
4004	2	2013-08-02 16:05:11.762041	2013-08-04 18:27:20.698237
6842	2	2013-08-02 16:05:17.089942	2013-08-02 16:05:17.089942
6811	2	2013-08-02 16:05:17.014868	2013-08-03 00:27:07.000855
29950	14	2013-08-02 16:06:05.272589	2013-08-03 23:41:56.568768
6854	14	2013-08-02 16:05:17.121619	2013-08-02 16:05:17.121619
6862	2	2013-08-02 16:05:17.143098	2013-08-02 16:05:17.143098
6791	2	2013-08-02 16:05:16.976984	2013-08-03 00:27:07.014188
6874	14	2013-08-02 16:05:17.175748	2013-08-02 16:05:17.175748
6882	2	2013-08-02 16:05:17.19723	2013-08-02 16:05:17.19723
6771	2	2013-08-02 16:05:16.94325	2013-08-03 00:27:07.057108
6894	14	2013-08-02 16:05:17.229445	2013-08-02 16:05:17.229445
6902	2	2013-08-02 16:05:17.250968	2013-08-02 16:05:17.250968
6759	14	2013-08-02 16:05:16.926504	2013-08-03 00:27:08.065683
6908	14	2013-08-02 16:05:17.267093	2013-08-03 00:37:06.518478
6888	14	2013-08-02 16:05:17.213365	2013-08-03 00:37:06.529363
6868	14	2013-08-02 16:05:17.159356	2013-08-03 00:37:06.53971
6848	14	2013-08-02 16:05:17.106038	2013-08-03 00:37:06.55047
6897	14	2013-08-02 16:05:17.237408	2013-08-03 00:42:07.81076
6877	14	2013-08-02 16:05:17.183819	2013-08-03 00:42:07.817934
6857	14	2013-08-02 16:05:17.129672	2013-08-03 00:42:07.823502
6837	14	2013-08-02 16:05:17.07622	2013-08-03 00:42:07.828558
6817	14	2013-08-02 16:05:17.026684	2013-08-03 00:42:07.834834
6797	14	2013-08-02 16:05:16.98776	2013-08-03 00:42:07.839967
6777	14	2013-08-02 16:05:16.952807	2013-08-03 00:42:07.843805
6757	14	2013-08-02 16:05:16.924062	2013-08-03 00:42:07.848928
6892	14	2013-08-02 16:05:17.224026	2013-08-03 00:52:06.443415
6872	14	2013-08-02 16:05:17.170374	2013-08-03 00:52:06.454538
6852	14	2013-08-02 16:05:17.116267	2013-08-03 00:52:06.465776
6832	14	2013-08-02 16:05:17.062858	2013-08-03 00:52:06.476927
6895	2	2013-08-02 16:05:17.232126	2013-08-03 01:07:08.678517
6875	2	2013-08-02 16:05:17.178475	2013-08-03 01:07:08.691011
6855	2	2013-08-02 16:05:17.124279	2013-08-03 01:07:08.702761
6835	2	2013-08-02 16:05:17.070885	2013-08-03 01:07:08.714251
6815	2	2013-08-02 16:05:17.022721	2013-08-03 01:07:08.725955
6795	2	2013-08-02 16:05:16.984133	2013-08-03 01:07:08.737764
6775	2	2013-08-02 16:05:16.949591	2013-08-03 01:07:08.748958
6755	2	2013-08-02 16:05:16.921588	2013-08-03 01:07:08.75314
6820	21	2013-08-02 16:05:17.032569	2013-08-03 01:07:09.190653
6800	21	2013-08-02 16:05:16.993324	2013-08-03 01:07:09.193033
6780	21	2013-08-02 16:05:16.957738	2013-08-03 01:07:09.194196
6900	2	2013-08-02 16:05:17.245569	2013-08-03 01:13:19.356309
6880	2	2013-08-02 16:05:17.191818	2013-08-03 01:13:41.805228
6898	2	2013-08-02 16:05:17.239859	2013-08-03 01:13:43.589835
6878	2	2013-08-02 16:05:17.186513	2013-08-03 01:13:43.593643
6858	2	2013-08-02 16:05:17.132333	2013-08-03 01:13:43.598237
6838	2	2013-08-02 16:05:17.078886	2013-08-03 01:13:43.602579
6818	2	2013-08-02 16:05:17.028682	2013-08-03 01:13:43.606592
6798	2	2013-08-02 16:05:16.989626	2013-08-03 01:13:43.611211
6778	14	2013-08-02 16:05:16.954412	2013-08-03 01:13:43.61626
6758	14	2013-08-02 16:05:16.925321	2013-08-03 01:13:43.620529
6893	2	2013-08-02 16:05:17.226733	2013-08-03 01:19:09.527534
6873	2	2013-08-02 16:05:17.173087	2013-08-03 01:19:31.424579
6821	2	2013-08-02 16:05:17.034506	2013-08-03 01:31:51.206509
6841	2	2013-08-02 16:05:17.087177	2013-08-03 01:37:51.147882
6876	2	2013-08-02 16:05:17.181164	2013-08-03 02:06:04.259499
6761	2	2013-08-02 16:05:16.929068	2013-08-03 02:06:04.270867
6833	2	2013-08-02 16:05:17.065575	2013-08-03 02:06:04.283039
6840	2	2013-08-02 16:05:17.08427	2013-08-03 02:06:04.294149
6905	2	2013-08-02 16:05:17.258969	2013-08-03 02:06:04.305207
6885	2	2013-08-02 16:05:17.205224	2013-08-03 02:06:04.316524
6865	2	2013-08-02 16:05:17.151339	2013-08-03 02:06:04.327402
6845	2	2013-08-02 16:05:17.098028	2013-08-03 02:06:04.341809
6756	2	2013-08-02 16:05:16.922807	2013-08-03 02:11:05.535157
6861	2	2013-08-02 16:05:17.140379	2013-08-03 02:15:36.624741
6776	2	2013-08-02 16:05:16.951189	2013-08-03 02:16:24.146019
6870	2	2013-08-02 16:05:17.164873	2013-08-03 02:16:24.501273
12943	14	2013-08-02 16:05:29.005698	2013-08-03 02:26:10.597786
16157	2	2013-08-02 16:05:34.718423	2013-08-03 02:26:10.637108
6901	14	2013-08-02 16:05:17.248251	2013-08-03 02:31:15.482005
8365	2	2013-08-02 16:05:19.683116	2013-08-03 02:32:07.625422
6810	2	2013-08-02 16:05:17.012919	2013-08-03 02:32:08.832187
41063	2	2013-08-02 16:06:30.053896	2013-08-03 19:27:37.45637
3706	2	2013-08-02 16:05:11.01808	2013-08-04 20:07:36.690492
41043	2	2013-08-02 16:06:30.027396	2013-08-03 19:27:37.459674
7026	14	2013-08-02 16:05:17.453989	2013-08-03 17:07:50.549808
7004	21	2013-08-02 16:05:17.431263	2013-08-03 22:19:21.434417
6914	14	2013-08-02 16:05:17.27403	2013-08-02 16:05:17.27403
41023	2	2013-08-02 16:06:29.991163	2013-08-03 19:27:37.462867
41003	2	2013-08-02 16:06:29.952865	2013-08-03 19:27:37.466374
40983	2	2013-08-02 16:06:29.921716	2013-08-03 19:27:37.47025
7038	21	2013-08-02 16:05:17.467544	2013-08-03 22:24:23.434864
6956	14	2013-08-02 16:05:17.385447	2013-08-03 02:41:44.846052
6922	2	2013-08-02 16:05:17.28188	2013-08-02 16:05:17.28188
7051	2	2013-08-02 16:05:17.481418	2013-08-03 00:27:06.912924
3690	2	2013-08-02 16:05:10.979012	2013-08-04 20:07:36.705522
6917	21	2013-08-02 16:05:17.277268	2013-08-03 22:24:23.437495
7000	14	2013-08-02 16:05:17.426927	2013-08-04 18:32:19.149306
40863	2	2013-08-02 16:06:29.669317	2013-08-03 19:27:37.918776
7001	14	2013-08-02 16:05:17.428007	2013-08-04 18:37:40.43853
7006	2	2013-08-02 16:05:17.43303	2013-08-03 03:09:45.738272
6934	14	2013-08-02 16:05:17.291792	2013-08-02 16:05:17.291792
6961	21	2013-08-02 16:05:17.390306	2013-08-03 18:37:38.540881
6986	2	2013-08-02 16:05:17.414347	2013-08-03 03:09:46.982896
6946	2	2013-08-02 16:05:17.300619	2013-08-03 03:09:47.400978
19608	2	2013-08-02 16:05:42.424761	2013-08-03 03:09:47.429421
7880	2	2013-08-02 16:05:18.529526	2013-08-03 03:09:47.478412
21608	21	2013-08-02 16:05:46.599136	2013-08-03 03:09:47.56114
21588	21	2013-08-02 16:05:46.398515	2013-08-03 03:09:47.565285
6942	2	2013-08-02 16:05:17.297744	2013-08-02 16:05:17.297744
7031	2	2013-08-02 16:05:17.461384	2013-08-03 00:27:06.923454
47261	14	2013-08-02 16:06:44.78222	2013-08-04 01:25:46.811426
21568	21	2013-08-02 16:05:46.375777	2013-08-03 03:09:47.568738
47401	21	2013-08-02 16:06:44.922281	2013-08-04 01:25:46.849265
21548	21	2013-08-02 16:05:46.36156	2013-08-03 03:09:47.572124
2514	2	2013-08-02 16:05:08.855444	2013-08-03 19:27:37.922978
21528	21	2013-08-02 16:05:46.334174	2013-08-03 03:09:47.575631
20828	21	2013-08-02 16:05:44.857428	2013-08-03 03:09:47.582703
3564	21	2013-08-02 16:05:10.717925	2013-08-03 03:09:47.585261
9200	21	2013-08-02 16:05:21.74121	2013-08-03 03:09:47.587751
6954	14	2013-08-02 16:05:17.383026	2013-08-02 16:05:17.383026
29065	2	2013-08-02 16:06:02.95542	2013-08-03 19:38:56.631142
7030	14	2013-08-02 16:05:17.459952	2013-08-03 19:57:25.693009
6937	21	2013-08-02 16:05:17.294091	2013-08-03 22:24:23.43912
6957	21	2013-08-02 16:05:17.386369	2013-08-03 22:24:23.440643
6977	21	2013-08-02 16:05:17.407231	2013-08-03 22:24:23.442032
6997	21	2013-08-02 16:05:17.423441	2013-08-03 22:24:23.443189
7017	21	2013-08-02 16:05:17.444768	2013-08-03 22:24:23.444496
6962	2	2013-08-02 16:05:17.391403	2013-08-02 16:05:17.391403
7011	2	2013-08-02 16:05:17.438986	2013-08-03 00:27:06.933853
19831	21	2013-08-02 16:05:42.98741	2013-08-04 01:25:46.858149
7037	21	2013-08-02 16:05:17.466749	2013-08-03 22:24:23.445671
45370	21	2013-08-02 16:06:40.44208	2013-08-04 01:25:47.020652
19711	21	2013-08-02 16:05:42.685809	2013-08-04 01:25:47.021435
20031	2	2013-08-02 16:05:43.496676	2013-08-04 01:25:47.460926
20011	2	2013-08-02 16:05:43.444253	2013-08-04 01:25:47.472038
19991	2	2013-08-02 16:05:43.396889	2013-08-04 01:25:47.481486
19891	21	2013-08-02 16:05:43.146008	2013-08-04 01:28:57.232053
47055	2	2013-08-02 16:06:44.171374	2013-08-04 01:50:57.656126
6974	14	2013-08-02 16:05:17.403753	2013-08-02 16:05:17.403753
6978	14	2013-08-02 16:05:17.407935	2013-08-04 18:37:40.443727
6940	14	2013-08-02 16:05:17.296285	2013-08-04 18:37:40.45089
6981	2	2013-08-02 16:05:17.410299	2013-08-03 22:46:00.234399
6958	2	2013-08-02 16:05:17.38726	2013-08-03 22:49:20.921377
6960	14	2013-08-02 16:05:17.389201	2013-08-04 18:37:40.458102
6980	14	2013-08-02 16:05:17.40953	2013-08-04 18:37:40.46372
41013	2	2013-08-02 16:06:29.971538	2013-08-04 20:12:37.67651
6982	2	2013-08-02 16:05:17.411066	2013-08-02 16:05:17.411066
6991	2	2013-08-02 16:05:17.418078	2013-08-03 00:27:06.941275
41370	2	2013-08-02 16:06:30.758347	2013-08-04 20:12:37.7954
20750	14	2013-08-02 16:05:44.65128	2013-08-03 23:21:59.186461
41185	2	2013-08-02 16:06:30.316267	2013-08-04 20:12:38.617532
6938	21	2013-08-02 16:05:17.294839	2013-08-03 23:24:41.045148
41265	2	2013-08-02 16:06:30.507183	2013-08-04 20:12:38.625754
41145	2	2013-08-02 16:06:30.21568	2013-08-04 20:12:38.752311
41553	2	2013-08-02 16:06:31.443659	2013-08-04 20:12:38.756532
40880	2	2013-08-02 16:06:29.711738	2013-08-04 20:12:38.760695
6994	14	2013-08-02 16:05:17.420677	2013-08-02 16:05:17.420677
41513	2	2013-08-02 16:06:31.347247	2013-08-04 20:12:38.765693
41233	2	2013-08-02 16:06:30.431363	2013-08-04 20:12:38.770821
41238	2	2013-08-02 16:06:30.443282	2013-08-04 20:12:38.775835
10907	2	2013-08-02 16:05:24.323666	2013-08-04 20:12:38.90412
40973	21	2013-08-02 16:06:29.909856	2013-08-04 20:14:42.956147
41037	2	2013-08-02 16:06:30.019107	2013-08-04 20:17:30.23945
7002	2	2013-08-02 16:05:17.429544	2013-08-02 16:05:17.429544
6971	2	2013-08-02 16:05:17.400724	2013-08-03 00:27:06.949735
7014	14	2013-08-02 16:05:17.442143	2013-08-02 16:05:17.442143
7022	2	2013-08-02 16:05:17.449954	2013-08-02 16:05:17.449954
6951	2	2013-08-02 16:05:17.380591	2013-08-03 00:27:06.953104
7034	14	2013-08-02 16:05:17.464141	2013-08-02 16:05:17.464141
7042	2	2013-08-02 16:05:17.471733	2013-08-02 16:05:17.471733
6931	2	2013-08-02 16:05:17.289467	2013-08-03 00:27:06.956786
7054	14	2013-08-02 16:05:17.485232	2013-08-02 16:05:17.485232
7062	2	2013-08-02 16:05:17.497591	2013-08-02 16:05:17.497591
6911	2	2013-08-02 16:05:17.27074	2013-08-03 00:27:06.960486
7028	21	2013-08-02 16:05:17.456696	2013-08-03 00:37:06.457662
7008	14	2013-08-02 16:05:17.435332	2013-08-03 00:37:06.46646
6988	14	2013-08-02 16:05:17.415847	2013-08-03 00:37:06.476459
6968	14	2013-08-02 16:05:17.397263	2013-08-03 00:37:06.486896
6948	14	2013-08-02 16:05:17.374507	2013-08-03 00:37:06.49725
6928	14	2013-08-02 16:05:17.287071	2013-08-03 00:37:06.507817
6932	14	2013-08-02 16:05:17.290262	2013-08-03 00:52:06.420508
6912	14	2013-08-02 16:05:17.272167	2013-08-03 00:52:06.432201
7055	2	2013-08-02 16:05:17.486683	2013-08-03 01:07:08.62942
7035	2	2013-08-02 16:05:17.464977	2013-08-03 01:07:08.632676
7015	2	2013-08-02 16:05:17.443025	2013-08-03 01:07:08.637558
6995	2	2013-08-02 16:05:17.42145	2013-08-03 01:07:08.643061
6975	2	2013-08-02 16:05:17.405673	2013-08-03 01:07:08.647338
6955	2	2013-08-02 16:05:17.383783	2013-08-03 01:07:08.651136
6935	2	2013-08-02 16:05:17.292573	2013-08-03 01:07:08.65826
6915	2	2013-08-02 16:05:17.274801	2013-08-03 01:07:08.667036
6918	21	2013-08-02 16:05:17.27819	2013-08-03 01:13:43.586262
7060	14	2013-08-02 16:05:17.495142	2013-08-03 01:13:43.718923
7040	14	2013-08-02 16:05:17.470013	2013-08-03 01:13:43.724158
7020	14	2013-08-02 16:05:17.447947	2013-08-03 01:13:43.728911
7058	2	2013-08-02 16:05:17.491512	2013-08-03 01:19:31.408485
7053	2	2013-08-02 16:05:17.483788	2013-08-03 01:19:32.798167
7033	2	2013-08-02 16:05:17.463137	2013-08-03 01:19:32.808891
7013	2	2013-08-02 16:05:17.441173	2013-08-03 01:19:32.819827
6993	2	2013-08-02 16:05:17.419613	2013-08-03 01:19:32.831625
6973	2	2013-08-02 16:05:17.402495	2013-08-03 01:19:32.842831
6953	2	2013-08-02 16:05:17.382232	2013-08-03 01:19:32.853921
6933	2	2013-08-02 16:05:17.291025	2013-08-03 01:19:32.86489
6936	2	2013-08-02 16:05:17.293329	2013-08-03 02:05:14.362694
6916	2	2013-08-02 16:05:17.276041	2013-08-03 02:06:04.043149
7056	2	2013-08-02 16:05:17.488118	2013-08-03 02:06:05.6327
7036	2	2013-08-02 16:05:17.465831	2013-08-03 02:06:05.64489
7016	2	2013-08-02 16:05:17.443893	2013-08-03 02:06:05.656176
6996	2	2013-08-02 16:05:17.422494	2013-08-03 02:06:05.667584
6976	2	2013-08-02 16:05:17.406519	2013-08-03 02:06:05.678762
7018	2	2013-08-02 16:05:17.445768	2013-08-03 02:11:04.934968
7065	2	2013-08-02 16:05:17.500221	2013-08-03 02:11:04.940329
7045	2	2013-08-02 16:05:17.4752	2013-08-03 02:11:04.97446
7025	2	2013-08-02 16:05:17.453192	2013-08-03 02:11:04.979327
7005	2	2013-08-02 16:05:17.432134	2013-08-03 02:11:04.984767
6985	2	2013-08-02 16:05:17.413578	2013-08-03 02:11:04.989708
6965	2	2013-08-02 16:05:17.394415	2013-08-03 02:11:04.997213
6945	2	2013-08-02 16:05:17.299871	2013-08-03 02:11:05.006557
6925	2	2013-08-02 16:05:17.284457	2013-08-03 02:11:05.011403
6910	2	2013-08-02 16:05:17.269919	2013-08-03 02:15:36.970974
7010	2	2013-08-02 16:05:17.437667	2013-08-03 02:26:10.472908
8351	14	2013-08-02 16:05:19.649613	2013-08-03 02:26:10.652171
6990	2	2013-08-02 16:05:17.417307	2013-08-03 02:26:55.038949
6950	2	2013-08-02 16:05:17.378859	2013-08-03 02:26:55.416983
8371	2	2013-08-02 16:05:19.697389	2013-08-03 02:26:56.044011
20066	2	2013-08-02 16:05:43.576695	2013-08-04 01:25:47.487874
10975	2	2013-08-02 16:05:24.40961	2013-08-04 20:12:38.911255
7164	21	2013-08-02 16:05:17.588095	2013-08-03 22:29:27.574306
7144	21	2013-08-02 16:05:17.569653	2013-08-03 22:29:27.578543
10990	2	2013-08-02 16:05:24.436995	2013-08-04 20:12:38.919271
10966	2	2013-08-02 16:05:24.397335	2013-08-04 20:12:38.929628
40993	2	2013-08-02 16:06:29.936208	2013-08-04 20:12:38.941778
16288	21	2013-08-02 16:05:35.045109	2013-08-03 17:47:03.902284
7074	14	2013-08-02 16:05:17.508901	2013-08-02 16:05:17.508901
20003	2	2013-08-02 16:05:43.425193	2013-08-04 01:25:47.493044
7124	21	2013-08-02 16:05:17.552434	2013-08-03 22:29:27.582185
7221	2	2013-08-02 16:05:17.644383	2013-08-03 02:36:27.593887
20046	2	2013-08-02 16:05:43.536177	2013-08-04 01:25:47.496653
7863	21	2013-08-02 16:05:18.488267	2013-08-03 21:09:21.199226
7101	2	2013-08-02 16:05:17.531663	2013-08-03 02:37:18.526141
19971	2	2013-08-02 16:05:43.348462	2013-08-04 01:25:47.500622
7082	2	2013-08-02 16:05:17.515599	2013-08-02 16:05:17.515599
7131	2	2013-08-02 16:05:17.557739	2013-08-03 00:27:06.868825
20032	2	2013-08-02 16:05:43.499563	2013-08-04 01:25:47.50493
7161	21	2013-08-02 16:05:17.584924	2013-08-03 02:37:19.711122
7148	21	2013-08-02 16:05:17.573243	2013-08-03 22:34:28.519402
41453	2	2013-08-02 16:06:31.193399	2013-08-04 20:12:39.083335
22472	2	2013-08-02 16:05:48.801174	2013-08-03 19:27:38.809524
22452	2	2013-08-02 16:05:48.751937	2013-08-03 19:27:38.81832
22285	2	2013-08-02 16:05:48.22448	2013-08-03 19:27:38.828398
4658	14	2013-08-02 16:05:12.836878	2013-08-03 02:42:40.3036
4159	21	2013-08-02 16:05:12.115398	2013-08-03 21:09:21.200791
21988	2	2013-08-02 16:05:47.502671	2013-08-03 03:09:47.717029
7094	14	2013-08-02 16:05:17.525061	2013-08-02 16:05:17.525061
21968	2	2013-08-02 16:05:47.449243	2013-08-03 03:09:47.72836
21948	2	2013-08-02 16:05:47.397119	2013-08-03 03:09:47.739236
21928	2	2013-08-02 16:05:47.366424	2013-08-03 03:09:47.776445
21908	2	2013-08-02 16:05:47.32129	2013-08-03 03:09:47.788235
21888	2	2013-08-02 16:05:47.273799	2013-08-03 03:09:47.798959
21868	2	2013-08-02 16:05:47.226551	2013-08-03 03:09:47.809828
7159	21	2013-08-02 16:05:17.583126	2013-08-03 22:34:28.523634
7102	2	2013-08-02 16:05:17.532467	2013-08-02 16:05:17.532467
7111	2	2013-08-02 16:05:17.53968	2013-08-03 00:27:06.880454
7187	14	2013-08-02 16:05:17.612953	2013-08-04 18:37:40.367982
21848	2	2013-08-02 16:05:47.179244	2013-08-03 03:09:47.820717
7179	21	2013-08-02 16:05:17.605913	2013-08-03 22:34:28.527333
41173	2	2013-08-02 16:06:30.286676	2013-08-04 20:12:39.089093
21828	2	2013-08-02 16:05:47.131727	2013-08-03 03:09:47.831453
7199	21	2013-08-02 16:05:17.624934	2013-08-03 22:34:28.531086
21808	2	2013-08-02 16:05:47.083692	2013-08-03 03:09:47.84207
7219	21	2013-08-02 16:05:17.642998	2013-08-03 22:34:28.534688
7151	21	2013-08-02 16:05:17.575961	2013-08-03 22:34:28.538136
7171	21	2013-08-02 16:05:17.597274	2013-08-03 22:34:28.541623
7114	14	2013-08-02 16:05:17.54266	2013-08-02 16:05:17.54266
7204	21	2013-08-02 16:05:17.629475	2013-08-03 22:34:28.545038
7090	21	2013-08-02 16:05:17.521747	2013-08-03 19:57:25.651563
16408	2	2013-08-02 16:05:35.285866	2013-08-03 17:52:03.946604
7167	14	2013-08-02 16:05:17.593113	2013-08-04 18:37:40.372043
7069	21	2013-08-02 16:05:17.503766	2013-08-03 18:37:38.535047
7081	21	2013-08-02 16:05:17.514777	2013-08-03 18:37:38.538141
8499	2	2013-08-02 16:05:20.041387	2013-08-03 18:42:36.189334
7122	2	2013-08-02 16:05:17.550766	2013-08-02 16:05:17.550766
7091	2	2013-08-02 16:05:17.522634	2013-08-03 00:27:06.891387
9391	2	2013-08-02 16:05:22.250412	2013-08-04 18:42:32.969378
7115	2	2013-08-02 16:05:17.544513	2013-08-03 18:42:36.200121
40823	21	2013-08-02 16:06:29.569417	2013-08-03 21:09:21.201925
7198	2	2013-08-02 16:05:17.624078	2013-08-04 18:42:32.973482
7218	2	2013-08-02 16:05:17.642195	2013-08-04 18:42:32.978384
15730	2	2013-08-02 16:05:34.015994	2013-08-04 20:12:39.535626
16449	2	2013-08-02 16:05:35.384679	2013-08-04 20:12:39.543512
3217	2	2013-08-02 16:05:09.836459	2013-08-03 21:14:22.095921
7134	14	2013-08-02 16:05:17.560226	2013-08-02 16:05:17.560226
7157	2	2013-08-02 16:05:17.58139	2013-08-04 18:42:32.982937
7184	14	2013-08-02 16:05:17.610308	2013-08-03 22:34:28.591208
9159	21	2013-08-02 16:05:21.68725	2013-08-03 22:39:21.705488
7135	2	2013-08-02 16:05:17.561106	2013-08-04 18:42:32.988177
7155	2	2013-08-02 16:05:17.579557	2013-08-04 18:42:32.992098
7212	2	2013-08-02 16:05:17.637407	2013-08-04 18:42:33.054197
7207	2	2013-08-02 16:05:17.633097	2013-08-04 18:42:33.059248
7142	2	2013-08-02 16:05:17.567848	2013-08-02 16:05:17.567848
7071	2	2013-08-02 16:05:17.505563	2013-08-03 00:27:06.902528
16469	2	2013-08-02 16:05:35.435022	2013-08-04 20:12:39.553203
16252	2	2013-08-02 16:05:34.955443	2013-08-04 20:12:39.564083
16352	2	2013-08-02 16:05:35.187629	2013-08-04 20:12:39.571519
7200	21	2013-08-02 16:05:17.625874	2013-08-03 22:39:22.267637
7154	14	2013-08-02 16:05:17.578641	2013-08-02 16:05:17.578641
7088	21	2013-08-02 16:05:17.520121	2013-08-03 22:40:20.671435
7162	2	2013-08-02 16:05:17.585774	2013-08-02 16:05:17.585774
7139	2	2013-08-02 16:05:17.565088	2013-08-03 00:27:08.244367
33701	21	2013-08-02 16:06:14.338951	2013-08-03 22:44:23.862029
33681	21	2013-08-02 16:06:14.320822	2013-08-03 22:44:23.863248
7174	14	2013-08-02 16:05:17.600744	2013-08-02 16:05:17.600744
33581	2	2013-08-02 16:06:14.227195	2013-08-03 22:44:24.243851
33641	21	2013-08-02 16:06:14.285397	2013-08-03 22:44:24.595296
41065	21	2013-08-02 16:06:30.056247	2013-08-03 22:44:24.854184
33601	21	2013-08-02 16:06:14.247139	2013-08-03 22:44:24.857
7182	2	2013-08-02 16:05:17.608531	2013-08-02 16:05:17.608531
7117	14	2013-08-02 16:05:17.546497	2013-08-03 22:45:29.626341
7180	21	2013-08-02 16:05:17.606775	2013-08-03 22:45:30.251078
7194	14	2013-08-02 16:05:17.62034	2013-08-02 16:05:17.62034
7202	2	2013-08-02 16:05:17.627641	2013-08-02 16:05:17.627641
33621	21	2013-08-02 16:06:14.267385	2013-08-03 23:01:19.004125
7214	14	2013-08-02 16:05:17.638981	2013-08-02 16:05:17.638981
12351	21	2013-08-02 16:05:27.829964	2013-08-03 23:24:41.044259
7222	2	2013-08-02 16:05:17.645081	2013-08-02 16:05:17.645081
33661	14	2013-08-02 16:06:14.305132	2013-08-03 23:41:32.137814
7208	14	2013-08-02 16:05:17.633932	2013-08-03 00:42:07.008453
7188	14	2013-08-02 16:05:17.613815	2013-08-03 00:42:07.016296
7168	14	2013-08-02 16:05:17.593959	2013-08-03 00:42:07.029543
13051	14	2013-08-02 16:05:29.117775	2013-08-03 23:44:25.815228
7217	14	2013-08-02 16:05:17.641432	2013-08-03 00:43:53.935579
7137	14	2013-08-02 16:05:17.563205	2013-08-03 00:47:07.978176
7072	21	2013-08-02 16:05:17.506459	2013-08-03 00:52:06.344465
7192	14	2013-08-02 16:05:17.618489	2013-08-03 00:57:05.674681
7172	14	2013-08-02 16:05:17.598149	2013-08-03 00:57:05.685657
7152	14	2013-08-02 16:05:17.576856	2013-08-03 00:57:05.696695
7132	14	2013-08-02 16:05:17.558562	2013-08-03 00:57:05.707604
7112	14	2013-08-02 16:05:17.540445	2013-08-03 00:57:05.718858
7092	14	2013-08-02 16:05:17.52345	2013-08-03 00:57:05.73054
7095	2	2013-08-02 16:05:17.52585	2013-08-03 01:07:08.622733
7075	2	2013-08-02 16:05:17.509692	2013-08-03 01:07:08.626268
7197	2	2013-08-02 16:05:17.623114	2013-08-03 01:13:41.799679
7160	2	2013-08-02 16:05:17.584013	2013-08-03 01:13:43.695705
7140	2	2013-08-02 16:05:17.566021	2013-08-03 01:13:43.699918
7078	2	2013-08-02 16:05:17.512286	2013-08-03 01:19:09.660159
7193	2	2013-08-02 16:05:17.619414	2013-08-03 01:19:32.720345
7173	2	2013-08-02 16:05:17.59906	2013-08-03 01:19:32.731903
7153	2	2013-08-02 16:05:17.577734	2013-08-03 01:19:32.743109
7133	2	2013-08-02 16:05:17.559356	2013-08-03 01:19:32.754108
7113	2	2013-08-02 16:05:17.54135	2013-08-03 01:19:32.765099
7093	2	2013-08-02 16:05:17.52422	2013-08-03 01:19:32.776021
7073	2	2013-08-02 16:05:17.508109	2013-08-03 01:19:32.786939
7213	14	2013-08-02 16:05:17.63826	2013-08-03 01:24:56.974416
7177	2	2013-08-02 16:05:17.603364	2013-08-03 02:06:05.549623
7216	2	2013-08-02 16:05:17.640657	2013-08-03 02:06:05.56064
7196	2	2013-08-02 16:05:17.622198	2013-08-03 02:06:05.571686
7176	2	2013-08-02 16:05:17.602497	2013-08-03 02:06:05.581867
7156	2	2013-08-02 16:05:17.580462	2013-08-03 02:06:05.586384
7136	2	2013-08-02 16:05:17.562221	2013-08-03 02:06:05.590866
7116	2	2013-08-02 16:05:17.545588	2013-08-03 02:06:05.599944
7096	2	2013-08-02 16:05:17.526562	2013-08-03 02:06:05.609376
7076	2	2013-08-02 16:05:17.510524	2013-08-03 02:06:05.620703
7195	2	2013-08-02 16:05:17.621274	2013-08-03 02:11:04.89754
7205	2	2013-08-02 16:05:17.630358	2013-08-03 02:11:04.902495
7185	2	2013-08-02 16:05:17.611185	2013-08-03 02:11:04.906687
7165	2	2013-08-02 16:05:17.589753	2013-08-03 02:11:04.913685
7145	2	2013-08-02 16:05:17.570557	2013-08-03 02:11:04.919577
7125	2	2013-08-02 16:05:17.553206	2013-08-03 02:11:04.923486
7105	2	2013-08-02 16:05:17.534937	2013-08-03 02:11:04.927198
7085	2	2013-08-02 16:05:17.517838	2013-08-03 02:11:04.931073
4678	2	2013-08-02 16:05:12.853571	2013-08-03 02:26:10.697013
7371	14	2013-08-02 16:05:17.802812	2013-08-03 00:32:06.239446
19951	2	2013-08-02 16:05:43.298861	2013-08-04 01:25:47.50888
7365	14	2013-08-02 16:05:17.796371	2013-08-03 02:36:27.904791
2620	21	2013-08-02 16:05:08.967767	2013-08-03 20:12:24.9186
41433	2	2013-08-02 16:06:31.139604	2013-08-04 20:12:39.859594
49932	2	2013-08-02 16:06:50.458099	2013-08-04 01:25:47.745503
7317	14	2013-08-02 16:05:17.739042	2013-08-03 18:47:36.200341
47381	2	2013-08-02 16:06:44.900869	2013-08-04 01:25:47.765886
19731	2	2013-08-02 16:05:42.736143	2013-08-04 01:25:47.80519
24453	2	2013-08-02 16:05:52.949766	2013-08-04 01:25:47.85924
7234	14	2013-08-02 16:05:17.653494	2013-08-02 16:05:17.653494
7341	2	2013-08-02 16:05:17.77121	2013-08-03 02:41:44.579695
24433	2	2013-08-02 16:05:52.931243	2013-08-04 01:25:47.870572
24413	2	2013-08-02 16:05:52.906264	2013-08-04 01:25:47.881499
24452	2	2013-08-02 16:05:52.949026	2013-08-04 01:25:47.892745
24393	2	2013-08-02 16:05:52.883868	2013-08-04 01:25:47.904139
7373	14	2013-08-02 16:05:17.804457	2013-08-03 02:47:01.027374
2640	21	2013-08-02 16:05:08.98953	2013-08-03 20:59:19.976039
7242	2	2013-08-02 16:05:17.659799	2013-08-02 16:05:17.659799
7351	14	2013-08-02 16:05:17.781176	2013-08-03 00:32:06.248132
24373	2	2013-08-02 16:05:52.862756	2013-08-04 01:25:47.915166
41333	2	2013-08-02 16:06:30.66888	2013-08-04 20:12:39.863946
40913	2	2013-08-02 16:06:29.790909	2013-08-04 20:12:39.867183
35099	14	2013-08-02 16:06:17.469566	2013-08-04 20:12:39.977518
7267	2	2013-08-02 16:05:17.681859	2013-08-04 18:42:32.905197
7255	2	2013-08-02 16:05:17.670958	2013-08-03 02:47:52.197962
3652	2	2013-08-02 16:05:10.883365	2013-08-03 02:47:52.202274
7254	14	2013-08-02 16:05:17.670123	2013-08-02 16:05:17.670123
7361	2	2013-08-02 16:05:17.792013	2013-08-03 02:47:52.343837
7283	2	2013-08-02 16:05:17.699961	2013-08-03 02:47:52.347482
21788	2	2013-08-02 16:05:47.035534	2013-08-03 03:09:47.852591
21768	2	2013-08-02 16:05:46.987051	2013-08-03 03:09:47.862699
21748	2	2013-08-02 16:05:46.934955	2013-08-03 03:09:47.872699
21728	2	2013-08-02 16:05:46.887175	2013-08-03 03:09:47.882847
7262	2	2013-08-02 16:05:17.676955	2013-08-02 16:05:17.676955
7331	14	2013-08-02 16:05:17.758273	2013-08-03 00:32:06.25871
10588	2	2013-08-02 16:05:23.892667	2013-08-04 18:42:32.913358
21708	2	2013-08-02 16:05:46.838714	2013-08-03 03:09:47.893397
41558	21	2013-08-02 16:06:31.455618	2013-08-04 20:12:40.052806
21688	2	2013-08-02 16:05:46.790443	2013-08-03 03:09:47.903296
7340	14	2013-08-02 16:05:17.769845	2013-08-03 19:25:18.970249
21668	2	2013-08-02 16:05:46.739596	2013-08-03 03:09:47.914027
21648	2	2013-08-02 16:05:46.686491	2013-08-03 03:09:47.924753
21628	2	2013-08-02 16:05:46.633281	2013-08-03 03:09:47.935348
7333	2	2013-08-02 16:05:17.761327	2013-08-04 18:47:29.88648
7274	14	2013-08-02 16:05:17.690482	2013-08-02 16:05:17.690482
7309	21	2013-08-02 16:05:17.728898	2013-08-03 18:42:36.104423
7300	2	2013-08-02 16:05:17.71853	2013-08-04 18:47:29.890108
13311	21	2013-08-02 16:05:29.3827	2013-08-03 22:09:24.651189
7320	21	2013-08-02 16:05:17.743551	2013-08-03 22:39:21.697194
7301	21	2013-08-02 16:05:17.719431	2013-08-03 22:39:21.699699
7353	21	2013-08-02 16:05:17.783777	2013-08-03 22:39:21.70265
7224	21	2013-08-02 16:05:17.646471	2013-08-03 22:39:21.703993
7282	2	2013-08-02 16:05:17.698829	2013-08-02 16:05:17.698829
7275	2	2013-08-02 16:05:17.69149	2013-08-04 18:47:29.893903
7295	2	2013-08-02 16:05:17.713052	2013-08-04 18:47:29.900378
7315	2	2013-08-02 16:05:17.736039	2013-08-04 18:47:29.907809
7369	14	2013-08-02 16:05:17.800079	2013-08-03 22:40:20.383162
41486	21	2013-08-02 16:06:31.279248	2013-08-04 20:12:40.053996
41506	21	2013-08-02 16:06:31.330349	2013-08-04 20:12:40.055171
7366	21	2013-08-02 16:05:17.797415	2013-08-03 22:40:41.030688
7244	21	2013-08-02 16:05:17.661498	2013-08-03 22:44:24.593172
7108	21	2013-08-02 16:05:17.537212	2013-08-03 22:44:25.305394
7220	21	2013-08-02 16:05:17.643699	2013-08-03 22:44:25.308168
14392	21	2013-08-02 16:05:31.724219	2013-08-03 22:44:25.310885
7294	14	2013-08-02 16:05:17.711329	2013-08-02 16:05:17.711329
39872	2	2013-08-02 16:06:27.935471	2013-08-03 22:45:09.033931
41312	2	2013-08-02 16:06:30.619328	2013-08-04 20:12:40.093698
41386	2	2013-08-02 16:06:31.023182	2013-08-04 20:12:40.097265
7302	2	2013-08-02 16:05:17.720299	2013-08-02 16:05:17.720299
48880	21	2013-08-02 16:06:47.627688	2013-08-03 22:45:09.2024
41406	2	2013-08-02 16:06:31.067424	2013-08-04 20:12:40.10019
41426	2	2013-08-02 16:06:31.120873	2013-08-04 20:12:40.104169
41241	14	2013-08-02 16:06:30.450468	2013-08-04 20:12:40.16647
20348	14	2013-08-02 16:05:44.248032	2013-08-03 22:45:09.279442
41581	14	2013-08-02 16:06:31.51067	2013-08-04 20:12:40.176993
41305	14	2013-08-02 16:06:30.602786	2013-08-04 20:12:40.187262
41306	14	2013-08-02 16:06:30.605162	2013-08-04 20:12:40.197483
41466	21	2013-08-02 16:06:31.227744	2013-08-04 20:12:40.225685
41793	21	2013-08-02 16:06:32.041062	2013-08-04 20:12:40.523111
7314	14	2013-08-02 16:05:17.735144	2013-08-02 16:05:17.735144
41773	21	2013-08-02 16:06:31.988593	2013-08-04 20:12:40.527373
30141	21	2013-08-02 16:06:05.68583	2013-08-03 22:54:24.247028
14633	21	2013-08-02 16:05:32.30387	2013-08-03 22:54:24.249423
41712	21	2013-08-02 16:06:31.840587	2013-08-04 20:12:40.531001
40453	2	2013-08-02 16:06:28.817046	2013-08-04 20:17:30.009264
29761	21	2013-08-02 16:06:04.816421	2013-08-03 22:55:23.379869
7322	2	2013-08-02 16:05:17.746007	2013-08-02 16:05:17.746007
7293	21	2013-08-02 16:05:17.709851	2013-08-03 23:24:41.043335
7334	14	2013-08-02 16:05:17.762274	2013-08-02 16:05:17.762274
7342	2	2013-08-02 16:05:17.772613	2013-08-02 16:05:17.772613
7354	14	2013-08-02 16:05:17.784918	2013-08-02 16:05:17.784918
7362	2	2013-08-02 16:05:17.79284	2013-08-02 16:05:17.79284
7374	14	2013-08-02 16:05:17.805802	2013-08-02 16:05:17.805802
7268	14	2013-08-02 16:05:17.682697	2013-08-03 00:42:06.991454
7248	14	2013-08-02 16:05:17.664992	2013-08-03 00:42:06.996942
7228	14	2013-08-02 16:05:17.649221	2013-08-03 00:42:07.002743
7337	14	2013-08-02 16:05:17.76589	2013-08-03 00:47:06.762088
7277	14	2013-08-02 16:05:17.693516	2013-08-03 00:47:07.028727
7235	2	2013-08-02 16:05:17.654375	2013-08-03 01:13:19.217811
7363	2	2013-08-02 16:05:17.793749	2013-08-03 01:13:41.776134
7343	2	2013-08-02 16:05:17.773466	2013-08-03 01:13:41.781001
7323	2	2013-08-02 16:05:17.747207	2013-08-03 01:13:41.786816
7303	2	2013-08-02 16:05:17.721216	2013-08-03 01:13:41.793881
7375	2	2013-08-02 16:05:17.807314	2013-08-03 01:13:43.182276
7355	2	2013-08-02 16:05:17.785841	2013-08-03 01:13:43.192489
7335	2	2013-08-02 16:05:17.763249	2013-08-03 01:13:43.203119
7280	21	2013-08-02 16:05:17.696769	2013-08-03 01:13:43.672872
7260	21	2013-08-02 16:05:17.675251	2013-08-03 01:13:43.674403
7378	14	2013-08-02 16:05:17.811424	2013-08-03 01:19:33.311139
7358	14	2013-08-02 16:05:17.788425	2013-08-03 01:19:33.314568
7338	14	2013-08-02 16:05:17.767151	2013-08-03 01:19:33.317712
7318	14	2013-08-02 16:05:17.740305	2013-08-03 01:19:33.320966
7253	14	2013-08-02 16:05:17.669266	2013-08-03 01:25:23.742155
7233	2	2013-08-02 16:05:17.652655	2013-08-03 01:25:24.195475
7256	2	2013-08-02 16:05:17.67185	2013-08-03 02:06:05.526628
7236	2	2013-08-02 16:05:17.65514	2013-08-03 02:06:05.538527
7376	2	2013-08-02 16:05:17.809725	2013-08-03 02:11:05.948324
7356	2	2013-08-02 16:05:17.786682	2013-08-03 02:11:05.959003
7336	2	2013-08-02 16:05:17.764599	2013-08-03 02:11:05.969572
7316	2	2013-08-02 16:05:17.737485	2013-08-03 02:11:05.97973
7296	2	2013-08-02 16:05:17.714133	2013-08-03 02:11:05.990436
7276	2	2013-08-02 16:05:17.69242	2013-08-03 02:11:06.00217
7285	14	2013-08-02 16:05:17.701859	2013-08-03 02:15:36.817874
7305	2	2013-08-02 16:05:17.724075	2013-08-03 02:16:25.00298
7245	2	2013-08-02 16:05:17.662346	2013-08-03 02:16:25.379438
4698	2	2013-08-02 16:05:12.870431	2013-08-03 02:26:55.035522
8456	2	2013-08-02 16:05:19.931822	2013-08-03 02:26:55.042043
2866	2	2013-08-02 16:05:09.261807	2013-08-03 02:26:55.137101
2930	2	2013-08-02 16:05:09.371571	2013-08-03 02:26:55.146095
2964	2	2013-08-02 16:05:09.414431	2013-08-03 02:26:55.156347
2944	2	2013-08-02 16:05:09.387827	2013-08-03 02:26:55.167207
2838	2	2013-08-02 16:05:09.224796	2013-08-03 02:26:55.178012
13011	2	2013-08-02 16:05:29.068565	2013-08-03 02:26:55.20867
12991	2	2013-08-02 16:05:29.049581	2013-08-03 02:26:55.249115
7273	14	2013-08-02 16:05:17.688549	2013-08-03 02:31:15.984635
7297	14	2013-08-02 16:05:17.715021	2013-08-03 02:31:16.042755
7489	21	2013-08-02 16:05:17.911016	2013-08-03 18:47:36.132137
7430	2	2013-08-02 16:05:17.859299	2013-08-03 17:42:24.172496
7382	2	2013-08-02 16:05:17.814968	2013-08-02 16:05:17.814968
7404	2	2013-08-02 16:05:17.837476	2013-08-04 01:05:55.930238
24353	2	2013-08-02 16:05:52.84392	2013-08-04 01:25:47.92619
7469	21	2013-08-02 16:05:17.894165	2013-08-03 18:47:36.133418
7470	14	2013-08-02 16:05:17.895005	2013-08-03 18:52:33.845754
14628	2	2013-08-02 16:05:32.291426	2013-08-04 20:07:36.675394
7189	21	2013-08-02 16:05:17.615503	2013-08-03 20:59:19.972622
24457	2	2013-08-02 16:05:52.952551	2013-08-04 01:25:47.937291
2157	2	2013-08-02 16:05:08.317548	2013-08-03 21:00:15.757856
7394	14	2013-08-02 16:05:17.826468	2013-08-02 16:05:17.826468
24273	2	2013-08-02 16:05:52.76569	2013-08-04 01:25:48.027538
35601	2	2013-08-02 16:06:18.816011	2013-08-04 01:25:48.037504
3529	2	2013-08-02 16:05:10.625442	2013-08-04 20:12:39.853457
7461	2	2013-08-02 16:05:17.88734	2013-08-03 02:53:04.899603
41740	21	2013-08-02 16:06:31.907728	2013-08-04 20:12:40.534769
7402	2	2013-08-02 16:05:17.835826	2013-08-02 16:05:17.835826
2350	14	2013-08-02 16:05:08.647113	2013-08-04 01:28:48.511513
15383	2	2013-08-02 16:05:33.674373	2013-08-03 17:47:04.624161
7485	2	2013-08-02 16:05:17.906581	2013-08-03 02:58:09.131512
6526	2	2013-08-02 16:05:16.362202	2013-08-03 03:09:48.113869
6726	2	2013-08-02 16:05:16.880817	2013-08-03 03:09:48.307038
5971	2	2013-08-02 16:05:15.096149	2013-08-03 03:09:48.541307
21677	21	2013-08-02 16:05:46.763772	2013-08-03 03:09:48.623979
7414	14	2013-08-02 16:05:17.845626	2013-08-02 16:05:17.845626
21657	21	2013-08-02 16:05:46.710499	2013-08-03 03:09:48.626429
21637	21	2013-08-02 16:05:46.657139	2013-08-03 03:09:48.628444
21617	21	2013-08-02 16:05:46.609041	2013-08-03 03:09:48.630519
21597	21	2013-08-02 16:05:46.415134	2013-08-03 03:09:48.63258
21577	21	2013-08-02 16:05:46.382267	2013-08-03 03:09:48.63465
21557	21	2013-08-02 16:05:46.368062	2013-08-03 03:09:48.636595
7422	2	2013-08-02 16:05:17.852009	2013-08-02 16:05:17.852009
21537	21	2013-08-02 16:05:46.347961	2013-08-03 03:09:48.639112
21517	21	2013-08-02 16:05:46.317535	2013-08-03 03:09:48.641574
165	2	2013-08-02 16:05:04.485255	2013-08-04 01:28:48.522737
34830	2	2013-08-02 16:06:16.838748	2013-08-04 18:47:29.826555
7427	2	2013-08-02 16:05:17.856146	2013-08-04 18:47:29.831425
14905	2	2013-08-02 16:05:32.879422	2013-08-04 18:47:29.840011
7434	14	2013-08-02 16:05:17.863474	2013-08-02 16:05:17.863474
7424	14	2013-08-02 16:05:17.853601	2013-08-03 22:45:42.712686
1401	21	2013-08-02 16:05:06.505189	2013-08-03 22:54:24.240778
4438	21	2013-08-02 16:05:12.598831	2013-08-03 22:54:24.243397
7526	21	2013-08-02 16:05:17.947918	2013-08-03 19:57:25.647256
7478	21	2013-08-02 16:05:17.901152	2013-08-03 19:57:25.648974
7442	2	2013-08-02 16:05:17.871288	2013-08-02 16:05:17.871288
7437	14	2013-08-02 16:05:17.865848	2013-08-03 20:02:27.429855
34757	2	2013-08-02 16:06:16.48033	2013-08-04 01:50:57.633767
45530	2	2013-08-02 16:06:40.708452	2013-08-04 01:50:57.645076
33	2	2013-08-02 16:05:04.343388	2013-08-04 01:50:58.683631
7454	14	2013-08-02 16:05:17.881273	2013-08-02 16:05:17.881273
34738	2	2013-08-02 16:06:16.429658	2013-08-04 01:50:59.137781
7405	2	2013-08-02 16:05:17.838298	2013-08-04 01:55:51.26363
41633	21	2013-08-02 16:06:31.64042	2013-08-04 20:14:30.93083
41653	21	2013-08-02 16:06:31.690932	2013-08-04 20:14:30.945868
7462	2	2013-08-02 16:05:17.888203	2013-08-02 16:05:17.888203
41806	14	2013-08-02 16:06:32.076303	2013-08-04 20:14:42.909639
1670	14	2013-08-02 16:05:07.124357	2013-08-03 23:45:51.891958
41593	2	2013-08-02 16:06:31.539348	2013-08-04 20:17:29.991802
41535	2	2013-08-02 16:06:31.400265	2013-08-04 20:17:29.995956
7474	14	2013-08-02 16:05:17.898124	2013-08-02 16:05:17.898124
41590	2	2013-08-02 16:06:31.532203	2013-08-04 20:17:30.000128
34277	2	2013-08-02 16:06:15.30451	2013-08-04 20:17:30.004152
7482	2	2013-08-02 16:05:17.90408	2013-08-02 16:05:17.90408
7494	14	2013-08-02 16:05:17.916492	2013-08-02 16:05:17.916492
7502	2	2013-08-02 16:05:17.9232	2013-08-02 16:05:17.9232
7514	14	2013-08-02 16:05:17.932312	2013-08-02 16:05:17.932312
7522	2	2013-08-02 16:05:17.94411	2013-08-02 16:05:17.94411
7534	14	2013-08-02 16:05:17.957533	2013-08-02 16:05:17.957533
7408	21	2013-08-02 16:05:17.840504	2013-08-03 00:42:06.947169
7457	2	2013-08-02 16:05:17.883351	2013-08-03 00:43:53.96335
7508	14	2013-08-02 16:05:17.927755	2013-08-03 00:47:06.73801
7488	14	2013-08-02 16:05:17.909837	2013-08-03 00:47:06.742549
7468	14	2013-08-02 16:05:17.893294	2013-08-03 00:47:06.748471
7448	14	2013-08-02 16:05:17.876055	2013-08-03 00:47:06.752993
7428	14	2013-08-02 16:05:17.856998	2013-08-03 00:47:06.757606
7432	21	2013-08-02 16:05:17.861794	2013-08-03 00:57:05.552078
7532	14	2013-08-02 16:05:17.954411	2013-08-03 01:02:07.630519
7512	14	2013-08-02 16:05:17.930705	2013-08-03 01:02:07.63428
7492	14	2013-08-02 16:05:17.914361	2013-08-03 01:02:07.639044
7472	14	2013-08-02 16:05:17.896567	2013-08-03 01:02:07.645688
7452	14	2013-08-02 16:05:17.879802	2013-08-03 01:02:07.650282
7463	2	2013-08-02 16:05:17.88902	2013-08-03 01:13:41.749078
7443	2	2013-08-02 16:05:17.872081	2013-08-03 01:13:41.754727
7423	2	2013-08-02 16:05:17.852741	2013-08-03 01:13:41.759301
7403	2	2013-08-02 16:05:17.836613	2013-08-03 01:13:41.763956
7383	2	2013-08-02 16:05:17.815821	2013-08-03 01:13:41.770563
7535	14	2013-08-02 16:05:17.959078	2013-08-03 01:13:43.097488
7515	14	2013-08-02 16:05:17.933197	2013-08-03 01:13:43.108106
7495	14	2013-08-02 16:05:17.917314	2013-08-03 01:13:43.118389
7475	14	2013-08-02 16:05:17.898805	2013-08-03 01:13:43.12878
7455	14	2013-08-02 16:05:17.88196	2013-08-03 01:13:43.139547
7435	2	2013-08-02 16:05:17.86428	2013-08-03 01:13:43.150484
7415	2	2013-08-02 16:05:17.846504	2013-08-03 01:13:43.161251
7400	2	2013-08-02 16:05:17.833321	2013-08-03 01:19:09.711458
7380	2	2013-08-02 16:05:17.813182	2013-08-03 01:19:31.393062
7438	21	2013-08-02 16:05:17.866604	2013-08-03 01:19:33.306026
7418	21	2013-08-02 16:05:17.848723	2013-08-03 01:19:33.307467
7398	21	2013-08-02 16:05:17.831283	2013-08-03 01:19:33.308416
7483	2	2013-08-02 16:05:17.904921	2013-08-03 01:19:33.447215
7520	2	2013-08-02 16:05:17.942413	2013-08-03 01:19:33.451642
7500	2	2013-08-02 16:05:17.921301	2013-08-03 01:19:33.457432
7480	2	2013-08-02 16:05:17.902596	2013-08-03 01:19:33.462942
7460	2	2013-08-02 16:05:17.886463	2013-08-03 01:19:33.468411
7440	2	2013-08-02 16:05:17.868849	2013-08-03 01:19:33.473719
7413	2	2013-08-02 16:05:17.844774	2013-08-03 01:24:56.990628
7523	2	2013-08-02 16:05:17.945233	2013-08-03 01:25:22.872714
7393	2	2013-08-02 16:05:17.825649	2013-08-03 01:25:22.887287
7533	2	2013-08-02 16:05:17.956523	2013-08-03 01:25:24.358969
7513	2	2013-08-02 16:05:17.931499	2013-08-03 01:25:24.369824
7493	2	2013-08-02 16:05:17.915419	2013-08-03 01:25:24.380647
7473	2	2013-08-02 16:05:17.897382	2013-08-03 01:25:24.391402
7453	2	2013-08-02 16:05:17.880579	2013-08-03 01:25:24.402548
7516	2	2013-08-02 16:05:17.935698	2013-08-03 02:11:05.873147
7496	2	2013-08-02 16:05:17.91813	2013-08-03 02:11:05.88449
7476	2	2013-08-02 16:05:17.899581	2013-08-03 02:11:05.895222
7456	2	2013-08-02 16:05:17.882659	2013-08-03 02:11:05.906019
7436	2	2013-08-02 16:05:17.865088	2013-08-03 02:11:05.916793
7416	2	2013-08-02 16:05:17.847305	2013-08-03 02:11:05.927534
7396	2	2013-08-02 16:05:17.827989	2013-08-03 02:11:05.937636
7465	2	2013-08-02 16:05:17.890698	2013-08-03 02:15:36.852243
7445	2	2013-08-02 16:05:17.873711	2013-08-03 02:16:24.140004
7498	2	2013-08-02 16:05:17.919665	2013-08-03 02:16:24.46795
7397	2	2013-08-02 16:05:17.829694	2013-08-03 02:16:24.479522
7525	2	2013-08-02 16:05:17.947054	2013-08-03 02:16:24.491255
7505	2	2013-08-02 16:05:17.92541	2013-08-03 02:16:24.496595
7536	2	2013-08-02 16:05:17.959885	2013-08-03 02:16:25.371668
7390	14	2013-08-02 16:05:17.823292	2013-08-03 02:31:15.834393
7490	14	2013-08-02 16:05:17.9121	2013-08-03 02:32:08.28367
7410	2	2013-08-02 16:05:17.842356	2013-08-03 02:32:08.819987
38198	14	2013-08-02 16:06:24.585438	2013-08-04 20:09:07.490156
7629	21	2013-08-02 16:05:18.055969	2013-08-03 18:52:33.739877
7542	2	2013-08-02 16:05:17.966016	2013-08-02 16:05:17.966016
4449	21	2013-08-02 16:05:12.613873	2013-08-03 17:47:04.924802
34837	2	2013-08-02 16:06:16.857457	2013-08-04 01:29:06.626279
7641	14	2013-08-02 16:05:18.06652	2013-08-03 17:11:34.7125
7609	21	2013-08-02 16:05:18.038057	2013-08-03 18:52:33.743949
7670	2	2013-08-02 16:05:18.091971	2013-08-03 02:47:52.33925
7589	21	2013-08-02 16:05:18.011304	2013-08-03 18:52:33.747424
7554	14	2013-08-02 16:05:17.976444	2013-08-02 16:05:17.976444
29178	21	2013-08-02 16:06:03.256328	2013-08-03 20:59:19.965588
47861	21	2013-08-02 16:06:45.622895	2013-08-04 01:30:50.783669
34817	14	2013-08-02 16:06:16.819845	2013-08-04 01:30:50.818655
5003	14	2013-08-02 16:05:13.195777	2013-08-04 01:30:50.823224
7669	21	2013-08-02 16:05:18.091034	2013-08-03 20:59:19.969215
7562	2	2013-08-02 16:05:17.98444	2013-08-02 16:05:17.98444
47921	21	2013-08-02 16:06:45.715571	2013-08-04 01:30:50.848703
7643	2	2013-08-02 16:05:18.068352	2013-08-03 02:52:16.567283
5237	14	2013-08-02 16:05:13.513235	2013-08-03 23:06:33.849532
34777	21	2013-08-02 16:06:16.53278	2013-08-04 01:30:50.851296
7646	2	2013-08-02 16:05:18.071074	2013-08-03 23:21:59.203514
7561	14	2013-08-02 16:05:17.983506	2013-08-03 02:52:17.179083
7574	14	2013-08-02 16:05:17.996406	2013-08-02 16:05:17.996406
7601	14	2013-08-02 16:05:18.029696	2013-08-03 02:53:05.289585
7567	21	2013-08-02 16:05:17.989746	2013-08-04 18:47:31.224728
4309	14	2013-08-02 16:05:12.380746	2013-08-04 18:47:31.233039
7588	2	2013-08-02 16:05:18.010344	2013-08-04 20:09:07.531518
7630	2	2013-08-02 16:05:18.056823	2013-08-03 02:58:08.788882
7582	2	2013-08-02 16:05:18.004533	2013-08-02 16:05:18.004533
7661	2	2013-08-02 16:05:18.083411	2013-08-03 02:58:08.918284
7638	2	2013-08-02 16:05:18.063853	2013-08-04 18:52:28.927093
7546	21	2013-08-02 16:05:17.969891	2013-08-04 01:55:49.909134
7644	14	2013-08-02 16:05:18.069517	2013-08-04 20:09:32.059867
5604	14	2013-08-02 16:05:14.231574	2013-08-03 21:11:32.187513
7689	21	2013-08-02 16:05:18.191045	2013-08-03 21:14:21.957925
34740	2	2013-08-02 16:06:16.434883	2013-08-04 01:55:51.054023
7658	2	2013-08-02 16:05:18.08127	2013-08-04 18:52:28.931289
7594	14	2013-08-02 16:05:18.019567	2013-08-02 16:05:18.019567
7660	2	2013-08-02 16:05:18.082668	2013-08-04 18:52:28.93656
7680	2	2013-08-02 16:05:18.1805	2013-08-04 18:52:28.940919
7572	2	2013-08-02 16:05:17.994748	2013-08-04 18:52:28.948442
7592	2	2013-08-02 16:05:18.015771	2013-08-04 18:52:28.957637
7612	2	2013-08-02 16:05:18.041669	2013-08-04 18:52:28.968071
7649	14	2013-08-02 16:05:18.07339	2013-08-03 19:27:39.362141
7632	2	2013-08-02 16:05:18.058466	2013-08-04 18:52:28.979148
7602	2	2013-08-02 16:05:18.030572	2013-08-02 16:05:18.030572
25791	21	2013-08-02 16:05:55.766644	2013-08-04 20:09:54.501908
7652	2	2013-08-02 16:05:18.075835	2013-08-04 18:52:28.990396
7684	21	2013-08-02 16:05:18.185348	2013-08-04 20:09:54.517108
7608	2	2013-08-02 16:05:18.037274	2013-08-04 20:12:36.338371
7628	21	2013-08-02 16:05:18.055146	2013-08-04 20:12:36.400197
11991	2	2013-08-02 16:05:26.967215	2013-08-03 19:27:39.683185
7664	2	2013-08-02 16:05:18.086331	2013-08-04 20:12:36.920909
29318	2	2013-08-02 16:06:03.60364	2013-08-03 19:27:39.879103
25771	2	2013-08-02 16:05:55.71325	2013-08-04 20:12:37.785466
7614	14	2013-08-02 16:05:18.043292	2013-08-02 16:05:18.043292
29138	2	2013-08-02 16:06:03.149833	2013-08-03 19:37:44.1467
7570	2	2013-08-02 16:05:17.992328	2013-08-04 20:12:38.690262
7678	2	2013-08-02 16:05:18.17867	2013-08-04 20:12:38.695211
7623	2	2013-08-02 16:05:18.050786	2013-08-04 20:12:38.69999
7692	2	2013-08-02 16:05:18.193527	2013-08-04 20:12:38.704926
7577	2	2013-08-02 16:05:17.999673	2013-08-04 20:12:38.708761
7622	2	2013-08-02 16:05:18.049668	2013-08-02 16:05:18.049668
7597	2	2013-08-02 16:05:18.025634	2013-08-04 20:12:38.712351
7617	2	2013-08-02 16:05:18.04562	2013-08-04 20:12:38.718189
7637	2	2013-08-02 16:05:18.063126	2013-08-04 20:12:38.723509
7657	2	2013-08-02 16:05:18.080574	2013-08-04 20:12:38.728333
7548	2	2013-08-02 16:05:17.971569	2013-08-04 20:12:38.733656
7568	2	2013-08-02 16:05:17.990599	2013-08-04 20:12:38.74026
25781	2	2013-08-02 16:05:55.739943	2013-08-04 20:12:38.746956
7634	14	2013-08-02 16:05:18.060265	2013-08-02 16:05:18.060265
42025	2	2013-08-02 16:06:32.63491	2013-08-04 20:14:42.93228
7642	2	2013-08-02 16:05:18.067451	2013-08-02 16:05:18.067451
41693	21	2013-08-02 16:06:31.793647	2013-08-04 20:14:43.02107
41446	21	2013-08-02 16:06:31.174572	2013-08-04 20:14:48.348516
42026	14	2013-08-02 16:06:32.637325	2013-08-04 20:14:48.391646
7654	14	2013-08-02 16:05:18.077301	2013-08-02 16:05:18.077301
7662	2	2013-08-02 16:05:18.084487	2013-08-02 16:05:18.084487
42186	2	2013-08-02 16:06:33.21017	2013-08-04 20:14:48.432495
42166	2	2013-08-02 16:06:33.158969	2013-08-04 20:17:29.485157
7674	14	2013-08-02 16:05:18.166986	2013-08-02 16:05:18.166986
7682	2	2013-08-02 16:05:18.182779	2013-08-02 16:05:18.182779
7677	14	2013-08-02 16:05:18.177264	2013-08-03 00:47:07.56588
7552	14	2013-08-02 16:05:17.975001	2013-08-03 01:02:07.626948
7575	21	2013-08-02 16:05:17.997272	2013-08-03 01:13:43.077137
7555	14	2013-08-02 16:05:17.977339	2013-08-03 01:13:43.086423
7675	2	2013-08-02 16:05:18.17398	2013-08-03 01:13:43.386767
7655	2	2013-08-02 16:05:18.078564	2013-08-03 01:13:43.392856
7635	2	2013-08-02 16:05:18.061072	2013-08-03 01:13:43.399338
7615	2	2013-08-02 16:05:18.0442	2013-08-03 01:13:43.404361
7595	2	2013-08-02 16:05:18.02218	2013-08-03 01:13:43.408515
7583	14	2013-08-02 16:05:18.005412	2013-08-03 01:19:08.998557
7563	14	2013-08-02 16:05:17.985674	2013-08-03 01:19:32.566397
7640	14	2013-08-02 16:05:18.065379	2013-08-03 01:19:33.416924
7620	14	2013-08-02 16:05:18.047757	2013-08-03 01:19:33.421096
7600	14	2013-08-02 16:05:18.028379	2013-08-03 01:19:33.425251
7580	14	2013-08-02 16:05:18.002792	2013-08-03 01:19:33.43151
7560	14	2013-08-02 16:05:17.982638	2013-08-03 01:19:33.436279
7540	14	2013-08-02 16:05:17.964486	2013-08-03 01:19:33.441167
7538	2	2013-08-02 16:05:17.962206	2013-08-03 01:24:57.235091
7603	2	2013-08-02 16:05:18.031445	2013-08-03 01:25:24.268664
7693	2	2013-08-02 16:05:18.194305	2013-08-03 01:25:24.273942
7673	2	2013-08-02 16:05:18.094714	2013-08-03 01:25:24.281333
7653	2	2013-08-02 16:05:18.076542	2013-08-03 01:25:24.29253
7633	2	2013-08-02 16:05:18.05936	2013-08-03 01:25:24.303279
7613	2	2013-08-02 16:05:18.042583	2013-08-03 01:25:24.314822
7593	2	2013-08-02 16:05:18.017633	2013-08-03 01:25:24.325897
7573	2	2013-08-02 16:05:17.99557	2013-08-03 01:25:24.337034
7553	2	2013-08-02 16:05:17.975714	2013-08-03 01:25:24.348067
7685	2	2013-08-02 16:05:18.186193	2013-08-03 02:16:24.383508
7665	2	2013-08-02 16:05:18.087176	2013-08-03 02:16:24.394208
7645	2	2013-08-02 16:05:18.070293	2013-08-03 02:16:24.4047
7625	2	2013-08-02 16:05:18.052463	2013-08-03 02:16:24.414662
7605	2	2013-08-02 16:05:18.033216	2013-08-03 02:16:24.425176
7585	2	2013-08-02 16:05:18.007482	2013-08-03 02:16:24.435142
7565	2	2013-08-02 16:05:17.987364	2013-08-03 02:16:24.445456
7545	2	2013-08-02 16:05:17.969067	2013-08-03 02:16:24.456877
7543	2	2013-08-02 16:05:17.966725	2013-08-03 02:16:25.334604
7676	2	2013-08-02 16:05:18.175427	2013-08-03 02:16:25.339435
7656	2	2013-08-02 16:05:18.079782	2013-08-03 02:16:25.343253
7636	2	2013-08-02 16:05:18.062141	2013-08-03 02:16:25.347813
7616	2	2013-08-02 16:05:18.044907	2013-08-03 02:16:25.352925
7596	2	2013-08-02 16:05:18.024749	2013-08-03 02:16:25.358088
7610	2	2013-08-02 16:05:18.038787	2013-08-03 02:31:15.876277
7590	2	2013-08-02 16:05:18.012176	2013-08-03 02:32:07.615894
7550	2	2013-08-02 16:05:17.973328	2013-08-03 02:32:07.951777
7694	14	2013-08-02 16:05:18.195117	2013-08-02 16:05:18.195117
7846	2	2013-08-02 16:05:18.44613	2013-08-04 20:12:38.677809
41946	2	2013-08-02 16:06:32.433768	2013-08-04 20:17:29.48932
42146	21	2013-08-02 16:06:33.122081	2013-08-04 20:17:29.507122
7726	2	2013-08-02 16:05:18.225059	2013-08-03 17:11:34.747594
7702	2	2013-08-02 16:05:18.203189	2013-08-02 16:05:18.203189
7830	2	2013-08-02 16:05:18.407198	2013-08-03 02:36:27.946917
41906	21	2013-08-02 16:06:32.33576	2013-08-04 20:17:29.508548
7701	21	2013-08-02 16:05:18.202238	2013-08-03 17:47:05.132854
42426	2	2013-08-02 16:06:33.802972	2013-08-04 20:17:29.715929
20151	2	2013-08-02 16:05:44.004581	2013-08-04 01:30:51.605611
20131	2	2013-08-02 16:05:43.830487	2013-08-04 01:30:51.611479
7850	2	2013-08-02 16:05:18.455598	2013-08-03 17:47:05.141026
7810	2	2013-08-02 16:05:18.355844	2013-08-03 02:37:17.787838
7770	2	2013-08-02 16:05:18.275823	2013-08-03 02:37:18.183468
7849	21	2013-08-02 16:05:18.453251	2013-08-03 18:57:36.823407
7714	14	2013-08-02 16:05:18.214219	2013-08-02 16:05:18.214219
7710	2	2013-08-02 16:05:18.210874	2013-08-03 17:47:05.148818
7829	21	2013-08-02 16:05:18.404434	2013-08-03 18:57:36.82555
17706	2	2013-08-02 16:05:38.582176	2013-08-03 21:00:15.875352
20110	2	2013-08-02 16:05:43.80754	2013-08-04 01:30:51.616006
20868	2	2013-08-02 16:05:44.904909	2013-08-03 17:47:05.154294
42525	2	2013-08-02 16:06:34.052725	2013-08-04 20:17:29.721539
7606	2	2013-08-02 16:05:18.034582	2013-08-03 17:47:05.158879
7722	2	2013-08-02 16:05:18.221364	2013-08-02 16:05:18.221364
7541	2	2013-08-02 16:05:17.965306	2013-08-03 17:47:05.162644
7650	2	2013-08-02 16:05:18.074148	2013-08-03 17:47:05.168657
42406	2	2013-08-02 16:06:33.751818	2013-08-04 20:17:29.727606
7313	2	2013-08-02 16:05:17.734249	2013-08-03 22:45:09.470588
7733	2	2013-08-02 16:05:18.231556	2013-08-03 02:57:24.520486
21030	2	2013-08-02 16:05:45.251123	2013-08-04 18:52:28.839211
7734	14	2013-08-02 16:05:18.232651	2013-08-02 16:05:18.232651
42545	2	2013-08-02 16:06:34.106749	2013-08-04 20:17:29.7332
42386	2	2013-08-02 16:06:33.703133	2013-08-04 20:17:29.747438
7721	14	2013-08-02 16:05:18.220382	2013-08-03 02:57:25.030518
7826	14	2013-08-02 16:05:18.39725	2013-08-03 17:16:47.612562
7742	2	2013-08-02 16:05:18.239724	2013-08-02 16:05:18.239724
7761	2	2013-08-02 16:05:18.266232	2013-08-03 02:58:08.353307
7237	21	2013-08-02 16:05:17.655839	2013-08-03 22:45:29.660963
15232	21	2013-08-02 16:05:33.534868	2013-08-03 17:47:05.238103
42366	2	2013-08-02 16:06:33.652559	2013-08-04 20:17:29.760992
7809	21	2013-08-02 16:05:18.353452	2013-08-03 18:57:36.827466
42352	2	2013-08-02 16:06:33.619383	2013-08-04 20:17:29.772165
15212	2	2013-08-02 16:05:33.518014	2013-08-03 17:47:05.248266
7754	14	2013-08-02 16:05:18.256247	2013-08-02 16:05:18.256247
41383	14	2013-08-02 16:06:31.019605	2013-08-03 19:29:23.483084
42346	2	2013-08-02 16:06:33.605125	2013-08-04 20:17:29.784939
15192	2	2013-08-02 16:05:33.502523	2013-08-03 17:47:05.254878
42326	2	2013-08-02 16:06:33.557345	2013-08-04 20:17:29.799641
42306	2	2013-08-02 16:06:33.509512	2013-08-04 20:17:29.814531
41443	21	2013-08-02 16:06:31.166942	2013-08-03 21:14:21.955414
7762	2	2013-08-02 16:05:18.26733	2013-08-02 16:05:18.26733
2193	21	2013-08-02 16:05:08.410052	2013-08-03 23:24:41.042466
42361	2	2013-08-02 16:06:33.640898	2013-08-04 20:17:29.829676
42378	2	2013-08-02 16:06:33.682168	2013-08-04 20:17:29.844522
42286	2	2013-08-02 16:06:33.461408	2013-08-04 20:17:29.859224
42325	2	2013-08-02 16:06:33.554926	2013-08-04 20:17:29.874213
42266	2	2013-08-02 16:06:33.413095	2013-08-04 20:17:29.889003
42246	2	2013-08-02 16:06:33.365271	2013-08-04 20:17:29.904019
25751	2	2013-08-02 16:05:55.665475	2013-08-04 20:17:29.979608
41503	2	2013-08-02 16:06:31.322928	2013-08-03 21:19:20.502668
28832	2	2013-08-02 16:06:02.296456	2013-08-04 20:17:29.986171
7774	14	2013-08-02 16:05:18.281374	2013-08-02 16:05:18.281374
40860	2	2013-08-02 16:06:29.661112	2013-08-04 20:17:30.021279
41313	2	2013-08-02 16:06:30.621716	2013-08-04 20:17:30.029174
40893	2	2013-08-02 16:06:29.74279	2013-08-04 20:17:30.042897
41353	2	2013-08-02 16:06:30.717241	2013-08-04 20:17:30.050448
7743	2	2013-08-02 16:05:18.240493	2013-08-04 20:17:31.680762
7805	21	2013-08-02 16:05:18.343234	2013-08-03 20:02:27.334395
7798	21	2013-08-02 16:05:18.326206	2013-08-03 20:02:27.337373
7782	2	2013-08-02 16:05:18.295663	2013-08-02 16:05:18.295663
5641	21	2013-08-02 16:05:14.286611	2013-08-03 21:24:57.894084
17606	21	2013-08-02 16:05:38.375538	2013-08-03 21:24:57.895289
21010	2	2013-08-02 16:05:45.228734	2013-08-03 21:49:32.868884
7844	14	2013-08-02 16:05:18.441328	2013-08-04 20:20:28.327299
7794	14	2013-08-02 16:05:18.316946	2013-08-02 16:05:18.316946
7802	2	2013-08-02 16:05:18.337123	2013-08-02 16:05:18.337123
7786	21	2013-08-02 16:05:18.303695	2013-08-04 20:20:39.306566
7820	2	2013-08-02 16:05:18.381547	2013-08-04 20:22:38.896939
7783	2	2013-08-02 16:05:18.297815	2013-08-04 20:22:39.059191
7772	2	2013-08-02 16:05:18.278312	2013-08-04 20:22:39.45169
7792	21	2013-08-02 16:05:18.314386	2013-08-04 20:22:39.949495
7766	2	2013-08-02 16:05:18.27223	2013-08-04 20:22:40.093723
7712	2	2013-08-02 16:05:18.212448	2013-08-04 20:22:41.222472
7814	14	2013-08-02 16:05:18.365878	2013-08-02 16:05:18.365878
7824	2	2013-08-02 16:05:18.39225	2013-08-04 20:22:41.762295
7784	2	2013-08-02 16:05:18.299596	2013-08-04 20:22:42.034415
7764	2	2013-08-02 16:05:18.269995	2013-08-04 20:27:34.288635
7804	2	2013-08-02 16:05:18.341533	2013-08-04 20:27:34.294462
7822	2	2013-08-02 16:05:18.386879	2013-08-02 16:05:18.386879
7752	2	2013-08-02 16:05:18.25401	2013-08-04 20:27:34.299593
7732	2	2013-08-02 16:05:18.230765	2013-08-04 20:27:34.30483
7834	14	2013-08-02 16:05:18.417374	2013-08-02 16:05:18.417374
7842	2	2013-08-02 16:05:18.436526	2013-08-02 16:05:18.436526
7768	21	2013-08-02 16:05:18.274039	2013-08-03 00:47:06.679794
7848	2	2013-08-02 16:05:18.450875	2013-08-03 00:47:06.843403
7828	2	2013-08-02 16:05:18.40205	2013-08-03 00:47:06.848946
7808	2	2013-08-02 16:05:18.350964	2013-08-03 00:47:06.854817
7788	2	2013-08-02 16:05:18.308018	2013-08-03 00:47:06.860159
7837	14	2013-08-02 16:05:18.424591	2013-08-03 00:47:07.471353
7817	14	2013-08-02 16:05:18.373619	2013-08-03 00:47:07.480695
7797	14	2013-08-02 16:05:18.323688	2013-08-03 00:47:07.488497
7777	14	2013-08-02 16:05:18.286323	2013-08-03 00:47:07.498575
7757	14	2013-08-02 16:05:18.259125	2013-08-03 00:47:07.509653
7812	21	2013-08-02 16:05:18.360678	2013-08-03 01:02:07.530762
7832	14	2013-08-02 16:05:18.412325	2013-08-03 01:07:08.139779
7835	2	2013-08-02 16:05:18.419766	2013-08-03 01:13:43.340816
7815	2	2013-08-02 16:05:18.36833	2013-08-03 01:13:43.346645
7795	2	2013-08-02 16:05:18.319017	2013-08-03 01:13:43.351595
7775	2	2013-08-02 16:05:18.282908	2013-08-03 01:13:43.357315
7755	2	2013-08-02 16:05:18.257272	2013-08-03 01:13:43.365545
7735	2	2013-08-02 16:05:18.233437	2013-08-03 01:13:43.370054
7715	2	2013-08-02 16:05:18.215242	2013-08-03 01:13:43.374527
7695	2	2013-08-02 16:05:18.196189	2013-08-03 01:13:43.380419
7803	2	2013-08-02 16:05:18.339605	2013-08-03 01:19:09.037501
7843	2	2013-08-02 16:05:18.438902	2013-08-03 01:19:31.37877
7780	21	2013-08-02 16:05:18.291359	2013-08-03 01:19:33.387816
7840	2	2013-08-02 16:05:18.431745	2013-08-03 01:25:22.8603
7703	21	2013-08-02 16:05:18.204349	2013-08-03 01:25:24.986217
7778	14	2013-08-02 16:05:18.287858	2013-08-03 01:25:25.028488
7758	14	2013-08-02 16:05:18.261138	2013-08-03 01:25:25.039733
7738	14	2013-08-02 16:05:18.23604	2013-08-03 01:25:25.050846
7713	2	2013-08-02 16:05:18.213476	2013-08-03 01:37:51.622236
7833	2	2013-08-02 16:05:18.414878	2013-08-03 01:39:15.410319
7813	2	2013-08-02 16:05:18.363298	2013-08-03 01:39:15.420409
7793	2	2013-08-02 16:05:18.315335	2013-08-03 01:39:15.430717
7773	2	2013-08-02 16:05:18.279874	2013-08-03 01:39:15.441157
7753	2	2013-08-02 16:05:18.255183	2013-08-03 01:39:15.451487
7765	2	2013-08-02 16:05:18.271165	2013-08-03 02:16:24.34048
7745	2	2013-08-02 16:05:18.242375	2013-08-03 02:16:24.35135
7725	2	2013-08-02 16:05:18.224066	2013-08-03 02:16:24.362059
7705	2	2013-08-02 16:05:18.205944	2013-08-03 02:16:24.373072
7696	14	2013-08-02 16:05:18.197275	2013-08-03 02:20:55.790488
7716	2	2013-08-02 16:05:18.215983	2013-08-03 02:21:48.156396
7945	14	2013-08-02 16:05:18.692328	2013-08-03 17:11:37.422541
7890	14	2013-08-02 16:05:18.553613	2013-08-03 02:41:44.773748
15172	2	2013-08-02 16:05:33.485558	2013-08-03 17:47:05.260935
7854	14	2013-08-02 16:05:18.465749	2013-08-02 16:05:18.465749
15152	2	2013-08-02 16:05:33.459401	2013-08-03 17:47:05.267637
7881	21	2013-08-02 16:05:18.531912	2013-08-03 18:57:36.81037
20111	2	2013-08-02 16:05:43.808658	2013-08-04 01:30:51.621117
7889	21	2013-08-02 16:05:18.551006	2013-08-03 18:57:36.812966
41413	2	2013-08-02 16:06:31.086051	2013-08-04 20:17:30.056983
15132	2	2013-08-02 16:05:33.43575	2013-08-03 17:47:05.276698
15112	2	2013-08-02 16:05:33.409381	2013-08-03 17:47:05.284406
7862	2	2013-08-02 16:05:18.485869	2013-08-02 16:05:18.485869
20165	2	2013-08-02 16:05:44.023831	2013-08-04 01:30:51.625011
2510	2	2013-08-02 16:05:08.852474	2013-08-04 01:30:51.657292
41153	2	2013-08-02 16:06:30.235549	2013-08-04 20:17:30.062319
42106	2	2013-08-02 16:06:33.069791	2013-08-04 20:17:30.212308
41886	2	2013-08-02 16:06:32.283837	2013-08-04 20:17:30.216595
40953	2	2013-08-02 16:06:29.883606	2013-08-04 20:17:30.220614
41525	2	2013-08-02 16:06:31.376128	2013-08-04 20:17:30.227625
7870	14	2013-08-02 16:05:18.50522	2013-08-03 02:41:45.146152
7874	14	2013-08-02 16:05:18.514601	2013-08-02 16:05:18.514601
7990	2	2013-08-02 16:05:18.806544	2013-08-03 02:42:40.296787
879	21	2013-08-02 16:05:05.373593	2013-08-03 21:00:16.01625
7901	21	2013-08-02 16:05:18.580431	2013-08-03 18:57:36.815189
7958	2	2013-08-02 16:05:18.727075	2013-08-03 17:11:37.431835
20910	21	2013-08-02 16:05:45.100177	2013-08-03 21:00:16.021793
18798	21	2013-08-02 16:05:40.36736	2013-08-03 22:54:24.238767
7882	2	2013-08-02 16:05:18.534314	2013-08-02 16:05:18.534314
41573	2	2013-08-02 16:06:31.491585	2013-08-04 20:17:30.233656
42050	21	2013-08-02 16:06:32.69474	2013-08-04 20:17:30.27487
41866	21	2013-08-02 16:06:32.23122	2013-08-04 20:17:30.277758
41713	21	2013-08-02 16:06:31.842942	2013-08-04 20:17:30.280729
41733	21	2013-08-02 16:06:31.890732	2013-08-04 20:17:30.284277
18578	2	2013-08-02 16:05:39.80622	2013-08-04 18:52:31.863208
7867	2	2013-08-02 16:05:18.497851	2013-08-04 18:52:31.867236
7987	2	2013-08-02 16:05:18.798736	2013-08-04 18:57:36.657444
7894	14	2013-08-02 16:05:18.56337	2013-08-02 16:05:18.56337
41753	21	2013-08-02 16:06:31.938763	2013-08-04 20:17:30.288092
42066	2	2013-08-02 16:06:32.73294	2013-08-04 20:17:30.584706
41826	2	2013-08-02 16:06:32.128381	2013-08-04 20:17:30.598812
41845	21	2013-08-02 16:06:32.177428	2013-08-04 20:17:31.182309
42046	2	2013-08-02 16:06:32.68518	2013-08-04 20:17:31.35087
7902	2	2013-08-02 16:05:18.582854	2013-08-02 16:05:18.582854
7967	2	2013-08-02 16:05:18.750977	2013-08-04 18:57:36.67019
7965	21	2013-08-02 16:05:18.745773	2013-08-03 19:02:36.631099
7995	21	2013-08-02 16:05:18.819436	2013-08-03 19:02:36.632307
7947	2	2013-08-02 16:05:18.6979	2013-08-04 18:57:36.67488
7989	21	2013-08-02 16:05:18.803857	2013-08-03 19:02:36.63362
7969	21	2013-08-02 16:05:18.755813	2013-08-03 19:02:36.634656
7949	21	2013-08-02 16:05:18.703174	2013-08-03 19:02:36.635632
7929	21	2013-08-02 16:05:18.651102	2013-08-03 19:02:36.636971
7914	14	2013-08-02 16:05:18.611964	2013-08-02 16:05:18.611964
41603	2	2013-08-02 16:06:31.565471	2013-08-03 19:29:23.504272
7750	2	2013-08-02 16:05:18.250773	2013-08-04 20:17:31.696875
7922	2	2013-08-02 16:05:18.633354	2013-08-02 16:05:18.633354
7744	2	2013-08-02 16:05:18.241306	2013-08-04 20:17:31.712984
15092	2	2013-08-02 16:05:33.365702	2013-08-04 20:20:28.34144
7864	2	2013-08-02 16:05:18.490663	2013-08-04 20:22:38.302501
7986	2	2013-08-02 16:05:18.796375	2013-08-04 20:22:40.206789
7951	2	2013-08-02 16:05:18.70845	2013-08-04 20:22:40.269686
37355	21	2013-08-02 16:06:22.319427	2013-08-03 20:07:28.503701
7886	21	2013-08-02 16:05:18.543874	2013-08-03 20:07:28.507467
7998	2	2013-08-02 16:05:18.826769	2013-08-04 20:27:35.609556
7934	14	2013-08-02 16:05:18.663692	2013-08-02 16:05:18.663692
7952	2	2013-08-02 16:05:18.711138	2013-08-04 20:27:35.617164
7972	2	2013-08-02 16:05:18.76304	2013-08-04 20:27:35.62804
7992	2	2013-08-02 16:05:18.811679	2013-08-04 20:27:35.644017
7877	2	2013-08-02 16:05:18.52193	2013-08-04 20:27:35.660201
7897	2	2013-08-02 16:05:18.570615	2013-08-04 20:27:35.676742
7917	2	2013-08-02 16:05:18.62022	2013-08-04 20:27:35.693222
7937	2	2013-08-02 16:05:18.671368	2013-08-04 20:27:35.70858
7942	2	2013-08-02 16:05:18.684403	2013-08-02 16:05:18.684403
7957	2	2013-08-02 16:05:18.724382	2013-08-04 20:27:35.723841
7977	2	2013-08-02 16:05:18.774961	2013-08-04 20:27:35.739893
7911	2	2013-08-02 16:05:18.604741	2013-08-04 20:27:35.756053
7931	2	2013-08-02 16:05:18.655852	2013-08-04 20:27:35.771043
7954	14	2013-08-02 16:05:18.716409	2013-08-02 16:05:18.716409
7962	2	2013-08-02 16:05:18.737721	2013-08-02 16:05:18.737721
7974	14	2013-08-02 16:05:18.767762	2013-08-02 16:05:18.767762
7982	2	2013-08-02 16:05:18.786877	2013-08-02 16:05:18.786877
7994	14	2013-08-02 16:05:18.816979	2013-08-02 16:05:18.816979
8002	2	2013-08-02 16:05:18.838231	2013-08-02 16:05:18.838231
7988	2	2013-08-02 16:05:18.801306	2013-08-03 00:47:06.809383
7968	2	2013-08-02 16:05:18.75342	2013-08-03 00:47:06.813481
7948	2	2013-08-02 16:05:18.700473	2013-08-03 00:47:06.817442
7928	2	2013-08-02 16:05:18.648733	2013-08-03 00:47:06.823122
7908	2	2013-08-02 16:05:18.597411	2013-08-03 00:47:06.828866
7888	2	2013-08-02 16:05:18.548637	2013-08-03 00:47:06.834049
7868	2	2013-08-02 16:05:18.500229	2013-08-03 00:47:06.838925
7857	21	2013-08-02 16:05:18.473761	2013-08-03 00:47:07.464696
7932	14	2013-08-02 16:05:18.658222	2013-08-03 01:07:08.117619
7912	14	2013-08-02 16:05:18.607155	2013-08-03 01:07:08.121014
7892	14	2013-08-02 16:05:18.558557	2013-08-03 01:07:08.124664
7872	14	2013-08-02 16:05:18.509904	2013-08-03 01:07:08.129411
7852	14	2013-08-02 16:05:18.460466	2013-08-03 01:07:08.133949
7955	2	2013-08-02 16:05:18.719083	2013-08-03 01:13:43.291278
7935	2	2013-08-02 16:05:18.666149	2013-08-03 01:13:43.302997
7915	2	2013-08-02 16:05:18.614737	2013-08-03 01:13:43.314542
7895	2	2013-08-02 16:05:18.565794	2013-08-03 01:13:43.32617
7875	2	2013-08-02 16:05:18.517003	2013-08-03 01:13:43.330409
7855	2	2013-08-02 16:05:18.468394	2013-08-03 01:13:43.335491
8003	2	2013-08-02 16:05:18.840807	2013-08-03 01:19:31.260428
7983	2	2013-08-02 16:05:18.789257	2013-08-03 01:19:31.272099
7963	2	2013-08-02 16:05:18.740352	2013-08-03 01:19:31.287344
7943	2	2013-08-02 16:05:18.687077	2013-08-03 01:19:31.301277
7923	2	2013-08-02 16:05:18.635981	2013-08-03 01:19:31.316801
7903	2	2013-08-02 16:05:18.585226	2013-08-03 01:19:31.332801
7883	2	2013-08-02 16:05:18.536693	2013-08-03 01:19:31.348943
7860	2	2013-08-02 16:05:18.481126	2013-08-03 01:24:57.304879
7898	21	2013-08-02 16:05:18.572991	2013-08-03 01:25:24.975195
7878	21	2013-08-02 16:05:18.52459	2013-08-03 01:25:24.97909
7858	21	2013-08-02 16:05:18.476267	2013-08-03 01:25:24.982649
7940	2	2013-08-02 16:05:18.679348	2013-08-03 01:25:25.341973
7918	2	2013-08-02 16:05:18.62297	2013-08-03 01:32:14.42314
7993	2	2013-08-02 16:05:18.814295	2013-08-03 01:39:15.327273
7973	2	2013-08-02 16:05:18.765414	2013-08-03 01:39:15.335545
7953	2	2013-08-02 16:05:18.713778	2013-08-03 01:39:15.346028
7933	2	2013-08-02 16:05:18.660977	2013-08-03 01:39:15.356415
7913	2	2013-08-02 16:05:18.609566	2013-08-03 01:39:15.366981
7893	2	2013-08-02 16:05:18.560988	2013-08-03 01:39:15.377518
7873	2	2013-08-02 16:05:18.51224	2013-08-03 01:39:15.388569
7853	2	2013-08-02 16:05:18.463087	2013-08-03 01:39:15.399616
7865	14	2013-08-02 16:05:18.493072	2013-08-03 02:20:55.283868
7985	14	2013-08-02 16:05:18.794008	2013-08-03 02:21:47.650367
7885	2	2013-08-02 16:05:18.541503	2013-08-03 02:21:48.146477
7996	2	2013-08-02 16:05:18.821885	2013-08-03 02:21:48.469839
7976	2	2013-08-02 16:05:18.772583	2013-08-03 02:21:48.480517
7956	2	2013-08-02 16:05:18.721756	2013-08-03 02:21:48.491127
7936	2	2013-08-02 16:05:18.668731	2013-08-03 02:21:48.50177
47881	2	2013-08-02 16:06:45.674318	2013-08-04 01:30:51.750866
24713	2	2013-08-02 16:05:53.436062	2013-08-04 01:30:51.786464
8009	21	2013-08-02 16:05:18.855355	2013-08-03 19:02:36.629425
8070	2	2013-08-02 16:05:18.95616	2013-08-03 02:41:44.810498
8014	14	2013-08-02 16:05:18.868225	2013-08-02 16:05:18.868225
24797	2	2013-08-02 16:05:53.53171	2013-08-03 17:47:06.026104
8050	2	2013-08-02 16:05:18.929989	2013-08-03 02:42:39.598021
8010	2	2013-08-02 16:05:18.857975	2013-08-03 02:42:39.937469
8160	21	2013-08-02 16:05:19.17683	2013-08-03 20:22:30.874823
2036	2	2013-08-02 16:05:08.010795	2013-08-03 17:47:06.035974
1935	2	2013-08-02 16:05:07.819047	2013-08-03 17:47:06.045804
24557	2	2013-08-02 16:05:53.224949	2013-08-03 17:47:06.055685
8022	2	2013-08-02 16:05:18.889371	2013-08-02 16:05:18.889371
8115	14	2013-08-02 16:05:19.059465	2013-08-03 02:47:01.305021
1902	2	2013-08-02 16:05:07.723908	2013-08-04 20:17:31.728043
20768	2	2013-08-02 16:05:44.670047	2013-08-04 20:17:31.735566
8396	2	2013-08-02 16:05:19.757112	2013-08-04 20:17:31.745588
8097	21	2013-08-02 16:05:19.011365	2013-08-04 18:57:38.144184
8150	14	2013-08-02 16:05:19.151359	2013-08-03 02:47:01.50375
1993	21	2013-08-02 16:05:07.928767	2013-08-03 21:00:16.023993
8130	2	2013-08-02 16:05:19.099043	2013-08-03 02:47:52.335129
8034	14	2013-08-02 16:05:18.914799	2013-08-02 16:05:18.914799
8090	2	2013-08-02 16:05:18.994349	2013-08-03 03:06:21.019015
11719	21	2013-08-02 16:05:26.272295	2013-08-03 22:45:09.630461
7381	2	2013-08-02 16:05:17.814097	2013-08-04 20:17:31.75414
6066	2	2013-08-02 16:05:15.29269	2013-08-03 17:47:06.604705
9897	2	2013-08-02 16:05:23.182267	2013-08-03 17:47:06.609848
8042	2	2013-08-02 16:05:18.921633	2013-08-02 16:05:18.921633
9917	2	2013-08-02 16:05:23.1992	2013-08-03 17:47:06.615913
15098	2	2013-08-02 16:05:33.378577	2013-08-03 17:47:06.622122
7450	2	2013-08-02 16:05:17.878161	2013-08-04 20:17:31.759975
7190	2	2013-08-02 16:05:17.616512	2013-08-03 17:47:06.63092
22703	2	2013-08-02 16:05:49.374446	2013-08-03 21:04:19.022023
8155	2	2013-08-02 16:05:19.163907	2013-08-03 03:09:45.394719
8035	2	2013-08-02 16:05:18.915687	2013-08-04 19:02:39.142119
8054	14	2013-08-02 16:05:18.934577	2013-08-02 16:05:18.934577
8676	2	2013-08-02 16:05:20.465368	2013-08-03 17:47:06.640359
8061	2	2013-08-02 16:05:18.943344	2013-08-03 03:09:47.391197
8062	2	2013-08-02 16:05:18.944632	2013-08-02 16:05:18.944632
8069	21	2013-08-02 16:05:18.95463	2013-08-03 19:07:35.836085
7841	2	2013-08-02 16:05:18.434171	2013-08-04 20:17:31.765754
7690	2	2013-08-02 16:05:18.191863	2013-08-04 20:17:31.773957
8072	2	2013-08-02 16:05:18.959167	2013-08-04 19:02:39.146137
8092	2	2013-08-02 16:05:18.998636	2013-08-04 19:02:39.150138
7724	2	2013-08-02 16:05:18.223093	2013-08-04 20:17:31.787883
8112	2	2013-08-02 16:05:19.051359	2013-08-04 19:02:39.154542
8074	14	2013-08-02 16:05:18.963088	2013-08-02 16:05:18.963088
8132	2	2013-08-02 16:05:19.104354	2013-08-04 19:02:39.1585
8089	2	2013-08-02 16:05:18.992149	2013-08-03 19:12:35.810987
8152	2	2013-08-02 16:05:19.156183	2013-08-04 19:02:39.162478
7704	2	2013-08-02 16:05:18.205185	2013-08-04 20:17:31.803588
8017	2	2013-08-02 16:05:18.876367	2013-08-04 19:02:39.167113
8037	2	2013-08-02 16:05:18.917494	2013-08-04 19:02:39.173798
8082	2	2013-08-02 16:05:18.976774	2013-08-02 16:05:18.976774
8149	14	2013-08-02 16:05:19.148962	2013-08-03 23:53:56.862294
29198	2	2013-08-02 16:06:03.308256	2013-08-03 19:29:23.671527
8057	2	2013-08-02 16:05:18.937887	2013-08-04 19:02:39.178775
7790	2	2013-08-02 16:05:18.312099	2013-08-04 20:17:31.819893
8077	2	2013-08-02 16:05:18.968464	2013-08-04 19:02:39.18541
7706	2	2013-08-02 16:05:18.206797	2013-08-04 20:17:31.835981
22617	14	2013-08-02 16:05:49.170811	2013-08-03 19:39:16.588795
8083	21	2013-08-02 16:05:18.978936	2013-08-03 20:07:28.493193
8163	21	2013-08-02 16:05:19.18473	2013-08-03 20:07:28.497209
42092	2	2013-08-02 16:06:32.795134	2013-08-04 20:17:31.850913
8094	14	2013-08-02 16:05:19.003312	2013-08-02 16:05:19.003312
18797	2	2013-08-02 16:05:40.364713	2013-08-04 20:17:31.864716
8164	2	2013-08-02 16:05:19.187332	2013-08-04 20:32:41.012956
8144	2	2013-08-02 16:05:19.136063	2013-08-04 20:32:41.019208
8124	2	2013-08-02 16:05:19.083408	2013-08-04 20:32:41.02834
8104	2	2013-08-02 16:05:19.030354	2013-08-04 20:32:41.033566
8084	2	2013-08-02 16:05:18.981152	2013-08-04 20:32:41.038581
29085	2	2013-08-02 16:06:03.007743	2013-08-04 20:32:41.044064
8102	2	2013-08-02 16:05:19.025001	2013-08-02 16:05:19.025001
8026	2	2013-08-02 16:05:18.89891	2013-08-04 20:32:41.050705
8025	2	2013-08-02 16:05:18.896526	2013-08-04 20:37:27.9856
8020	2	2013-08-02 16:05:18.884344	2013-08-04 20:37:28.002149
8040	2	2013-08-02 16:05:18.919912	2013-08-04 20:37:28.017924
8060	2	2013-08-02 16:05:18.941968	2013-08-04 20:37:28.031949
8043	2	2013-08-02 16:05:18.922497	2013-08-04 20:37:28.04485
8015	2	2013-08-02 16:05:18.871021	2013-08-04 20:37:28.06368
8095	2	2013-08-02 16:05:19.006101	2013-08-04 20:37:28.079161
8012	2	2013-08-02 16:05:18.863094	2013-08-04 20:37:28.095989
8032	2	2013-08-02 16:05:18.913066	2013-08-04 20:37:28.114082
8114	14	2013-08-02 16:05:19.056704	2013-08-02 16:05:19.056704
8052	2	2013-08-02 16:05:18.932373	2013-08-04 20:37:28.130967
8122	2	2013-08-02 16:05:19.078084	2013-08-02 16:05:19.078084
8134	14	2013-08-02 16:05:19.109724	2013-08-02 16:05:19.109724
8142	2	2013-08-02 16:05:19.130761	2013-08-02 16:05:19.130761
8154	14	2013-08-02 16:05:19.161374	2013-08-02 16:05:19.161374
8162	2	2013-08-02 16:05:19.182066	2013-08-02 16:05:19.182066
8148	2	2013-08-02 16:05:19.146494	2013-08-03 00:47:06.771429
8128	2	2013-08-02 16:05:19.09373	2013-08-03 00:47:06.778931
8108	2	2013-08-02 16:05:19.040755	2013-08-03 00:47:06.783962
8088	2	2013-08-02 16:05:18.989954	2013-08-03 00:47:06.788138
8068	2	2013-08-02 16:05:18.95311	2013-08-03 00:47:06.792507
8048	2	2013-08-02 16:05:18.927853	2013-08-03 00:47:06.796487
8028	2	2013-08-02 16:05:18.90365	2013-08-03 00:47:06.800147
8008	2	2013-08-02 16:05:18.852885	2013-08-03 00:47:06.804513
8157	14	2013-08-02 16:05:19.169199	2013-08-03 00:52:07.218439
8137	14	2013-08-02 16:05:19.117502	2013-08-03 00:52:07.229071
8117	14	2013-08-02 16:05:19.064811	2013-08-03 00:52:07.239064
8135	2	2013-08-02 16:05:19.11236	2013-08-03 01:19:09.598162
8103	14	2013-08-02 16:05:19.027628	2013-08-03 01:24:56.717988
8143	14	2013-08-02 16:05:19.133406	2013-08-03 01:24:56.936603
8120	14	2013-08-02 16:05:19.072788	2013-08-03 01:25:25.244992
8100	14	2013-08-02 16:05:19.019657	2013-08-03 01:25:25.291531
8080	14	2013-08-02 16:05:18.973558	2013-08-03 01:25:25.296445
8038	2	2013-08-02 16:05:18.918331	2013-08-03 01:31:52.092698
8023	2	2013-08-02 16:05:18.891756	2013-08-03 01:32:15.011645
8098	14	2013-08-02 16:05:19.014	2013-08-03 01:32:15.051868
8078	14	2013-08-02 16:05:18.970163	2013-08-03 01:32:15.063073
8033	2	2013-08-02 16:05:18.913919	2013-08-03 01:39:15.314715
8013	2	2013-08-02 16:05:18.865615	2013-08-03 01:39:15.319654
8018	2	2013-08-02 16:05:18.879059	2013-08-03 01:45:30.774962
8123	2	2013-08-02 16:05:19.08078	2013-08-03 01:45:30.784752
8153	2	2013-08-02 16:05:19.158726	2013-08-03 01:45:30.795847
8133	2	2013-08-02 16:05:19.107066	2013-08-03 01:45:30.806589
8113	2	2013-08-02 16:05:19.054007	2013-08-03 01:45:30.817166
8093	2	2013-08-02 16:05:19.000806	2013-08-03 01:45:30.827405
8073	2	2013-08-02 16:05:18.960752	2013-08-03 01:45:30.837663
8053	2	2013-08-02 16:05:18.93349	2013-08-03 01:45:30.848251
8065	2	2013-08-02 16:05:18.948662	2013-08-03 02:20:55.339619
8045	2	2013-08-02 16:05:18.924703	2013-08-03 02:21:47.304294
8075	2	2013-08-02 16:05:18.965152	2013-08-03 02:21:47.447915
8145	2	2013-08-02 16:05:19.138715	2013-08-03 02:21:47.46005
8125	2	2013-08-02 16:05:19.085897	2013-08-03 02:21:47.473036
8105	2	2013-08-02 16:05:19.033027	2013-08-03 02:21:47.480986
8063	2	2013-08-02 16:05:18.945992	2013-08-03 02:21:48.382928
8156	2	2013-08-02 16:05:19.166532	2013-08-03 02:21:48.386496
8136	2	2013-08-02 16:05:19.114863	2013-08-03 02:21:48.39602
8223	2	2013-08-02 16:05:19.331678	2013-08-04 19:07:36.79278
8275	2	2013-08-02 16:05:19.4584	2013-08-04 19:07:36.805009
8243	21	2013-08-02 16:05:19.38024	2013-08-03 20:21:38.107813
11919	21	2013-08-02 16:05:26.778888	2013-08-03 22:45:09.633086
8174	14	2013-08-02 16:05:19.21216	2013-08-02 16:05:19.21216
6572	21	2013-08-02 16:05:16.480151	2013-08-03 22:45:09.641684
41926	2	2013-08-02 16:06:32.385651	2013-08-04 20:17:31.878181
8281	2	2013-08-02 16:05:19.473217	2013-08-03 17:07:50.587731
8182	2	2013-08-02 16:05:19.231855	2013-08-02 16:05:19.231855
8212	2	2013-08-02 16:05:19.305326	2013-08-03 02:47:01.343227
35100	2	2013-08-02 16:06:17.472465	2013-08-04 20:17:31.889512
35079	2	2013-08-02 16:06:17.420194	2013-08-04 20:17:31.900055
8293	2	2013-08-02 16:05:19.504692	2013-08-03 02:47:51.580191
24693	2	2013-08-02 16:05:53.404738	2013-08-04 01:30:51.797032
8310	2	2013-08-02 16:05:19.547241	2013-08-03 02:47:51.848498
8318	2	2013-08-02 16:05:19.568043	2013-08-04 17:26:52.300321
8170	2	2013-08-02 16:05:19.202229	2013-08-03 02:47:52.191856
8194	14	2013-08-02 16:05:19.260592	2013-08-02 16:05:19.260592
6099	21	2013-08-02 16:05:15.372973	2013-08-03 22:54:24.236978
41326	2	2013-08-02 16:06:30.652371	2013-08-04 20:17:32.094681
8202	2	2013-08-02 16:05:19.280788	2013-08-02 16:05:19.280788
41377	2	2013-08-02 16:06:31.013345	2013-08-04 20:17:32.09877
41346	2	2013-08-02 16:06:30.70063	2013-08-04 20:17:32.10918
8756	2	2013-08-02 16:05:20.656012	2013-08-04 19:02:39.112523
42126	2	2013-08-02 16:06:33.092549	2013-08-04 20:17:32.116769
8214	14	2013-08-02 16:05:19.310124	2013-08-02 16:05:19.310124
8187	2	2013-08-02 16:05:19.243855	2013-08-04 19:02:39.118806
15500	2	2013-08-02 16:05:33.78525	2013-08-03 17:47:06.842786
15438	2	2013-08-02 16:05:33.734283	2013-08-03 17:47:06.853781
37655	21	2013-08-02 16:06:23.074745	2013-08-03 23:39:27.345987
8286	14	2013-08-02 16:05:19.486048	2013-08-03 17:26:19.310769
4979	2	2013-08-02 16:05:13.171489	2013-08-04 19:02:39.124146
8189	14	2013-08-02 16:05:19.248645	2013-08-03 19:12:34.756482
8222	2	2013-08-02 16:05:19.329242	2013-08-02 16:05:19.329242
41812	2	2013-08-02 16:06:32.091328	2013-08-04 20:17:32.132692
8169	21	2013-08-02 16:05:19.199827	2013-08-03 19:12:35.496051
8313	14	2013-08-02 16:05:19.555201	2013-08-03 19:12:35.661569
42086	2	2013-08-02 16:06:32.780428	2013-08-04 20:17:32.714852
8234	14	2013-08-02 16:05:19.357924	2013-08-02 16:05:19.357924
41880	2	2013-08-02 16:06:32.268526	2013-08-04 20:17:33.295271
41673	2	2013-08-02 16:06:31.741815	2013-08-04 20:17:33.345297
41613	2	2013-08-02 16:06:31.591343	2013-08-04 20:17:33.350051
8242	2	2013-08-02 16:05:19.377746	2013-08-02 16:05:19.377746
4411	2	2013-08-02 16:05:12.567564	2013-08-04 20:37:27.838042
8252	2	2013-08-02 16:05:19.402232	2013-08-04 20:37:27.854025
4819	2	2013-08-02 16:05:13.029543	2013-08-04 20:37:27.86942
37675	14	2013-08-02 16:06:23.123026	2013-08-03 21:17:30.145396
6913	2	2013-08-02 16:05:17.27326	2013-08-04 20:37:27.88502
8254	14	2013-08-02 16:05:19.407059	2013-08-02 16:05:19.407059
8230	2	2013-08-02 16:05:19.348374	2013-08-04 20:37:27.901907
8241	2	2013-08-02 16:05:19.375304	2013-08-04 20:37:27.919795
8496	2	2013-08-02 16:05:20.034246	2013-08-04 20:37:27.935988
18648	2	2013-08-02 16:05:39.988425	2013-08-04 20:37:27.95146
8280	2	2013-08-02 16:05:19.470772	2013-08-04 20:37:27.967425
8306	21	2013-08-02 16:05:19.536718	2013-08-03 21:24:20.791009
35519	2	2013-08-02 16:06:18.487538	2013-08-04 20:42:24.517102
8262	2	2013-08-02 16:05:19.42616	2013-08-02 16:05:19.42616
5510	2	2013-08-02 16:05:14.031859	2013-08-03 21:49:32.864621
37815	2	2013-08-02 16:06:23.64371	2013-08-04 20:42:24.530349
8298	2	2013-08-02 16:05:19.517299	2013-08-04 20:42:24.541997
8224	2	2013-08-02 16:05:19.3341	2013-08-04 20:42:24.552654
8250	14	2013-08-02 16:05:19.397435	2013-08-03 21:54:22.351618
8166	2	2013-08-02 16:05:19.192674	2013-08-04 20:42:24.563662
8201	2	2013-08-02 16:05:19.278077	2013-08-04 20:42:24.574561
8290	2	2013-08-02 16:05:19.496739	2013-08-04 20:42:24.585667
8186	2	2013-08-02 16:05:19.241488	2013-08-04 20:42:24.596388
8206	2	2013-08-02 16:05:19.290838	2013-08-04 20:42:24.606862
8274	14	2013-08-02 16:05:19.455945	2013-08-02 16:05:19.455945
8204	2	2013-08-02 16:05:19.285725	2013-08-04 20:42:24.62152
8226	2	2013-08-02 16:05:19.338888	2013-08-04 20:42:24.628907
8218	2	2013-08-02 16:05:19.319647	2013-08-04 20:52:20.053497
8238	2	2013-08-02 16:05:19.367504	2013-08-04 20:52:20.067116
8258	2	2013-08-02 16:05:19.416643	2013-08-04 20:52:20.080302
8320	2	2013-08-02 16:05:19.572798	2013-08-04 20:52:20.09287
8283	2	2013-08-02 16:05:19.478162	2013-08-04 20:52:20.107624
8282	2	2013-08-02 16:05:19.475634	2013-08-02 16:05:19.475634
8288	2	2013-08-02 16:05:19.491388	2013-08-04 20:52:20.123605
8308	2	2013-08-02 16:05:19.541973	2013-08-04 20:52:20.13897
8304	2	2013-08-02 16:05:19.531962	2013-08-04 20:52:20.153113
8284	2	2013-08-02 16:05:19.480941	2013-08-04 20:52:20.168219
8264	2	2013-08-02 16:05:19.430938	2013-08-04 20:52:20.183685
35598	2	2013-08-02 16:06:18.813802	2013-08-04 20:52:20.200193
8244	2	2013-08-02 16:05:19.382775	2013-08-04 20:52:20.215826
8294	14	2013-08-02 16:05:19.50732	2013-08-02 16:05:19.50732
8302	2	2013-08-02 16:05:19.527214	2013-08-02 16:05:19.527214
8314	14	2013-08-02 16:05:19.557854	2013-08-02 16:05:19.557854
8268	14	2013-08-02 16:05:19.440412	2013-08-03 00:52:06.044982
8248	14	2013-08-02 16:05:19.392619	2013-08-03 00:52:06.048899
8228	14	2013-08-02 16:05:19.34361	2013-08-03 00:52:06.056908
8208	14	2013-08-02 16:05:19.295663	2013-08-03 00:52:06.063946
8188	14	2013-08-02 16:05:19.246254	2013-08-03 00:52:06.075219
8168	14	2013-08-02 16:05:19.197446	2013-08-03 00:52:06.086226
8237	21	2013-08-02 16:05:19.365127	2013-08-03 00:52:07.177226
8217	14	2013-08-02 16:05:19.317278	2013-08-03 00:52:07.186303
8197	14	2013-08-02 16:05:19.267807	2013-08-03 00:52:07.197159
8177	14	2013-08-02 16:05:19.21949	2013-08-03 00:52:07.207659
8192	21	2013-08-02 16:05:19.255752	2013-08-03 01:07:08.006631
8292	14	2013-08-02 16:05:19.502029	2013-08-03 01:13:42.098305
8232	14	2013-08-02 16:05:19.353146	2013-08-03 01:13:42.405655
8255	14	2013-08-02 16:05:19.409461	2013-08-03 01:19:32.990333
8235	14	2013-08-02 16:05:19.360256	2013-08-03 01:19:32.996824
8215	14	2013-08-02 16:05:19.312497	2013-08-03 01:19:33.001728
8195	14	2013-08-02 16:05:19.263024	2013-08-03 01:19:33.005324
8175	2	2013-08-02 16:05:19.214682	2013-08-03 01:19:33.011355
8303	2	2013-08-02 16:05:19.529614	2013-08-03 01:24:56.731467
8260	21	2013-08-02 16:05:19.421405	2013-08-03 01:25:25.185878
8240	21	2013-08-02 16:05:19.37285	2013-08-03 01:25:25.190079
8220	21	2013-08-02 16:05:19.324415	2013-08-03 01:25:25.193569
8200	21	2013-08-02 16:05:19.275346	2013-08-03 01:25:25.197402
8198	2	2013-08-02 16:05:19.270243	2013-08-03 01:32:14.989737
8178	2	2013-08-02 16:05:19.221912	2013-08-03 01:32:15.000925
8273	2	2013-08-02 16:05:19.453477	2013-08-03 01:45:30.732241
8253	2	2013-08-02 16:05:19.404655	2013-08-03 01:45:30.7382
8233	2	2013-08-02 16:05:19.355507	2013-08-03 01:45:30.743866
8213	2	2013-08-02 16:05:19.30769	2013-08-03 01:45:30.750604
8193	2	2013-08-02 16:05:19.258147	2013-08-03 01:45:30.761325
8173	2	2013-08-02 16:05:19.209566	2013-08-03 01:45:30.769758
8300	2	2013-08-02 16:05:19.522403	2013-08-03 02:21:47.338427
8263	2	2013-08-02 16:05:19.428581	2013-08-03 02:21:47.347686
8305	2	2013-08-02 16:05:19.534323	2013-08-03 02:21:47.356579
8285	2	2013-08-02 16:05:19.483463	2013-08-03 02:21:47.367449
8265	2	2013-08-02 16:05:19.433303	2013-08-03 02:21:47.378501
8245	2	2013-08-02 16:05:19.385192	2013-08-03 02:21:47.389992
8225	2	2013-08-02 16:05:19.336481	2013-08-03 02:21:47.403998
8205	2	2013-08-02 16:05:19.288301	2013-08-03 02:21:47.415968
8185	2	2013-08-02 16:05:19.239073	2013-08-03 02:21:47.423857
8276	14	2013-08-02 16:05:19.460824	2013-08-03 02:26:10.512607
8296	2	2013-08-02 16:05:19.512187	2013-08-03 02:26:56.038354
8256	14	2013-08-02 16:05:19.411815	2013-08-03 02:26:56.204207
8236	2	2013-08-02 16:05:19.362662	2013-08-03 02:26:56.313975
8322	2	2013-08-02 16:05:19.577557	2013-08-02 16:05:19.577557
24673	2	2013-08-02 16:05:53.373498	2013-08-04 01:30:51.808158
8370	14	2013-08-02 16:05:19.695014	2013-08-03 02:52:16.973359
8334	14	2013-08-02 16:05:19.607527	2013-08-02 16:05:19.607527
8449	21	2013-08-02 16:05:19.92126	2013-08-03 19:12:35.647448
24653	2	2013-08-02 16:05:53.346472	2013-08-04 01:30:51.820437
8350	14	2013-08-02 16:05:19.647226	2013-08-03 02:52:17.103627
8342	2	2013-08-02 16:05:19.628001	2013-08-02 16:05:19.628001
8429	21	2013-08-02 16:05:19.893665	2013-08-03 19:12:35.649053
8390	2	2013-08-02 16:05:19.742798	2013-08-03 02:53:04.896195
6728	14	2013-08-02 16:05:16.885851	2013-08-03 22:45:09.675048
8409	21	2013-08-02 16:05:19.87154	2013-08-03 19:12:35.650059
8354	14	2013-08-02 16:05:19.656796	2013-08-02 16:05:19.656796
15480	2	2013-08-02 16:05:33.769572	2013-08-03 17:47:06.864384
8346	14	2013-08-02 16:05:19.637662	2013-08-03 17:23:19.798954
8389	21	2013-08-02 16:05:19.740335	2013-08-03 19:12:35.650976
8362	2	2013-08-02 16:05:19.675933	2013-08-02 16:05:19.675933
8446	21	2013-08-02 16:05:19.916569	2013-08-03 19:12:35.652054
8369	21	2013-08-02 16:05:19.692632	2013-08-03 19:12:35.653273
24613	2	2013-08-02 16:05:53.291279	2013-08-04 01:30:51.844548
8469	21	2013-08-02 16:05:19.9657	2013-08-03 19:17:37.346756
8374	14	2013-08-02 16:05:19.704491	2013-08-02 16:05:19.704491
8478	2	2013-08-02 16:05:19.989505	2013-08-03 17:25:32.011593
8326	2	2013-08-02 16:05:19.587918	2013-08-03 17:25:32.27142
8418	21	2013-08-02 16:05:19.881001	2013-08-03 19:22:38.033582
8382	2	2013-08-02 16:05:19.723611	2013-08-02 16:05:19.723611
20535	2	2013-08-02 16:05:44.434435	2013-08-04 19:07:36.601301
8394	14	2013-08-02 16:05:19.752312	2013-08-02 16:05:19.752312
30040	21	2013-08-02 16:06:05.492323	2013-08-03 23:39:27.345239
10888	14	2013-08-02 16:05:24.303941	2013-08-03 19:29:58.367873
8402	2	2013-08-02 16:05:19.771576	2013-08-02 16:05:19.771576
7961	2	2013-08-02 16:05:18.735068	2013-08-03 17:52:04.430936
8414	14	2013-08-02 16:05:19.876982	2013-08-02 16:05:19.876982
37795	14	2013-08-02 16:06:23.592171	2013-08-03 21:54:22.340817
8422	2	2013-08-02 16:05:19.885078	2013-08-02 16:05:19.885078
42033	14	2013-08-02 16:06:32.654039	2013-08-04 20:20:23.45319
42506	14	2013-08-02 16:06:33.998341	2013-08-04 20:20:23.518856
8434	14	2013-08-02 16:05:19.900029	2013-08-02 16:05:19.900029
8442	2	2013-08-02 16:05:19.910493	2013-08-02 16:05:19.910493
42153	21	2013-08-02 16:06:33.13484	2013-08-04 20:20:28.306985
42626	21	2013-08-02 16:06:34.308353	2013-08-04 20:20:39.423422
42632	2	2013-08-02 16:06:34.314505	2013-08-04 20:22:38.288165
42606	2	2013-08-02 16:06:34.27215	2013-08-04 20:22:38.786401
42586	2	2013-08-02 16:06:34.218651	2013-08-04 20:22:39.045641
8454	14	2013-08-02 16:05:19.929478	2013-08-02 16:05:19.929478
42480	2	2013-08-02 16:06:33.92934	2013-08-04 20:22:39.430705
42013	2	2013-08-02 16:06:32.605155	2013-08-04 20:22:39.44399
41972	2	2013-08-02 16:06:32.499519	2013-08-04 20:22:40.085981
8462	2	2013-08-02 16:05:19.947183	2013-08-02 16:05:19.947183
42006	21	2013-08-02 16:06:32.587493	2013-08-04 20:25:04.358532
42546	21	2013-08-02 16:06:34.109494	2013-08-04 20:28:12.474235
8323	2	2013-08-02 16:05:19.580199	2013-08-04 20:52:19.985312
8380	2	2013-08-02 16:05:19.718793	2013-08-04 20:52:20.000636
8453	2	2013-08-02 16:05:19.928129	2013-08-04 20:52:20.008121
8385	2	2013-08-02 16:05:19.730831	2013-08-04 20:52:20.016799
8474	14	2013-08-02 16:05:19.978807	2013-08-02 16:05:19.978807
8386	2	2013-08-02 16:05:19.733177	2013-08-04 20:52:20.025225
8466	2	2013-08-02 16:05:19.957888	2013-08-04 20:52:20.032754
8324	2	2013-08-02 16:05:19.582843	2013-08-04 20:52:20.04174
8353	2	2013-08-02 16:05:19.654385	2013-08-04 20:57:18.584302
15380	2	2013-08-02 16:05:33.670664	2013-08-04 20:57:18.600303
15400	2	2013-08-02 16:05:33.693811	2013-08-04 20:57:18.616652
15420	2	2013-08-02 16:05:33.719631	2013-08-04 20:57:18.632153
8412	2	2013-08-02 16:05:19.874904	2013-08-03 01:13:19.075134
8364	2	2013-08-02 16:05:19.680732	2013-08-04 20:57:18.647668
15440	2	2013-08-02 16:05:33.735781	2013-08-04 20:57:18.662968
8475	21	2013-08-02 16:05:19.981475	2013-08-03 01:19:32.901244
8455	21	2013-08-02 16:05:19.930646	2013-08-03 01:19:32.903902
8435	21	2013-08-02 16:05:19.901367	2013-08-03 01:19:32.905921
15460	2	2013-08-02 16:05:33.75333	2013-08-04 20:57:18.679254
8392	2	2013-08-02 16:05:19.74755	2013-08-03 01:25:22.748026
8463	2	2013-08-02 16:05:19.949851	2013-08-03 01:25:22.764092
8443	2	2013-08-02 16:05:19.912004	2013-08-03 01:25:22.77561
8423	2	2013-08-02 16:05:19.886304	2013-08-03 01:25:22.787097
8403	2	2013-08-02 16:05:19.773943	2013-08-03 01:25:22.802425
8383	2	2013-08-02 16:05:19.726012	2013-08-03 01:25:22.817934
8363	2	2013-08-02 16:05:19.678327	2013-08-03 01:25:22.833115
8343	2	2013-08-02 16:05:19.630427	2013-08-03 01:25:22.847992
8330	2	2013-08-02 16:05:19.597643	2013-08-04 20:57:18.69506
8360	2	2013-08-02 16:05:19.671176	2013-08-03 01:31:52.163591
8341	2	2013-08-02 16:05:19.625593	2013-08-04 20:57:18.709424
8398	21	2013-08-02 16:05:19.761882	2013-08-03 01:32:14.87844
8460	2	2013-08-02 16:05:19.941687	2013-08-03 01:32:15.253555
8440	14	2013-08-02 16:05:19.90751	2013-08-03 01:32:15.265893
8420	14	2013-08-02 16:05:19.883011	2013-08-03 01:32:15.278026
8400	14	2013-08-02 16:05:19.766856	2013-08-03 01:32:15.290655
8361	2	2013-08-02 16:05:19.673559	2013-08-04 20:57:18.723935
8381	2	2013-08-02 16:05:19.721234	2013-08-04 20:57:18.740168
8401	2	2013-08-02 16:05:19.769224	2013-08-04 20:57:18.755815
8421	2	2013-08-02 16:05:19.884017	2013-08-04 20:57:18.770865
8426	2	2013-08-02 16:05:19.88995	2013-08-04 20:57:18.786108
8344	2	2013-08-02 16:05:19.632874	2013-08-04 20:57:18.801819
8366	2	2013-08-02 16:05:19.685497	2013-08-04 20:57:18.818047
8441	2	2013-08-02 16:05:19.908977	2013-08-04 20:57:18.834097
8433	2	2013-08-02 16:05:19.898663	2013-08-03 01:50:00.676568
8461	2	2013-08-02 16:05:19.944521	2013-08-04 20:57:18.852387
8473	2	2013-08-02 16:05:19.976153	2013-08-03 01:50:50.139295
8432	2	2013-08-02 16:05:19.897317	2013-08-04 20:57:18.858811
8438	14	2013-08-02 16:05:19.904897	2013-08-03 02:10:01.367606
8424	14	2013-08-02 16:05:19.887444	2013-08-04 21:00:14.632298
8405	14	2013-08-02 16:05:19.778705	2013-08-03 02:26:10.280073
8425	2	2013-08-02 16:05:19.888636	2013-08-03 02:26:56.033016
8417	2	2013-08-02 16:05:19.879989	2013-08-04 21:00:14.667404
8437	21	2013-08-02 16:05:19.903699	2013-08-04 21:00:25.959845
20555	21	2013-08-02 16:05:44.453789	2013-08-04 21:00:26.014648
8388	21	2013-08-02 16:05:19.737952	2013-08-04 21:00:26.117025
15360	21	2013-08-02 16:05:33.649994	2013-08-04 21:00:26.173048
8397	21	2013-08-02 16:05:19.759469	2013-08-04 21:00:26.21947
8325	21	2013-08-02 16:05:19.585344	2013-08-04 21:00:26.471646
8444	21	2013-08-02 16:05:19.913534	2013-08-04 21:00:26.596531
8355	14	2013-08-02 16:05:19.659179	2013-08-04 21:00:26.741991
8328	2	2013-08-02 16:05:19.592814	2013-08-04 21:01:20.572805
8372	2	2013-08-02 16:05:19.699741	2013-08-04 21:01:20.74519
8368	2	2013-08-02 16:05:19.690217	2013-08-04 21:01:20.758708
8377	2	2013-08-02 16:05:19.711622	2013-08-04 21:01:21.707915
8452	14	2013-08-02 16:05:19.926534	2013-08-08 01:02:57.993235
8415	14	2013-08-02 16:05:19.877988	2013-08-08 01:02:58.447934
8384	14	2013-08-02 16:05:19.728379	2013-08-08 01:02:58.454556
42646	14	2013-08-02 16:06:34.329617	2013-08-08 01:02:58.457594
8482	2	2013-08-02 16:05:20.000237	2013-08-02 16:05:20.000237
8610	14	2013-08-02 16:05:20.312622	2013-08-03 17:16:58.170654
2545	21	2013-08-02 16:05:08.890036	2013-08-03 20:22:32.776799
8590	2	2013-08-02 16:05:20.268434	2013-08-03 02:52:16.995507
8570	2	2013-08-02 16:05:20.217135	2013-08-03 02:53:03.974416
8494	14	2013-08-02 16:05:20.029424	2013-08-02 16:05:20.029424
8530	2	2013-08-02 16:05:20.117686	2013-08-03 02:53:04.351912
8581	21	2013-08-02 16:05:20.245008	2013-08-03 19:22:38.027076
8489	21	2013-08-02 16:05:20.017413	2013-08-03 19:22:38.03048
24593	2	2013-08-02 16:05:53.268004	2013-08-04 01:30:51.854353
8465	14	2013-08-02 16:05:19.955202	2013-08-03 20:29:50.399865
8502	2	2013-08-02 16:05:20.04879	2013-08-02 16:05:20.04879
8316	14	2013-08-02 16:05:19.563006	2013-08-03 17:48:24.646635
24581	2	2013-08-02 16:05:53.250027	2013-08-04 01:30:51.865825
8487	21	2013-08-02 16:05:20.012639	2013-08-04 19:07:37.780342
8514	14	2013-08-02 16:05:20.077102	2013-08-02 16:05:20.077102
8586	14	2013-08-02 16:05:20.257943	2013-08-04 19:07:37.800049
8486	2	2013-08-02 16:05:20.010254	2013-08-03 17:23:19.83607
8490	14	2013-08-02 16:05:20.019778	2013-08-04 19:07:37.813887
8522	2	2013-08-02 16:05:20.096378	2013-08-02 16:05:20.096378
8588	2	2013-08-02 16:05:20.263167	2013-08-04 19:12:36.355994
8608	2	2013-08-02 16:05:20.307269	2013-08-04 19:12:36.362218
8628	2	2013-08-02 16:05:20.338317	2013-08-04 19:12:36.370991
8488	2	2013-08-02 16:05:20.015007	2013-08-04 19:12:36.376874
8508	2	2013-08-02 16:05:20.062922	2013-08-04 19:12:36.380938
8534	14	2013-08-02 16:05:20.128161	2013-08-02 16:05:20.128161
8606	14	2013-08-02 16:05:20.302128	2013-08-03 17:23:38.789002
8627	2	2013-08-02 16:05:20.335632	2013-08-04 19:12:36.385962
33285	14	2013-08-02 16:06:13.613612	2013-08-03 21:19:22.306697
8607	2	2013-08-02 16:05:20.304789	2013-08-04 19:12:36.395735
6921	14	2013-08-02 16:05:17.280986	2013-08-03 17:48:55.896139
8587	2	2013-08-02 16:05:20.260521	2013-08-04 19:12:36.406709
8542	2	2013-08-02 16:05:20.148326	2013-08-02 16:05:20.148326
8567	2	2013-08-02 16:05:20.209131	2013-08-04 19:12:36.41758
8547	2	2013-08-02 16:05:20.160282	2013-08-04 19:12:36.428681
8527	2	2013-08-02 16:05:20.10966	2013-08-04 19:12:36.439544
42666	2	2013-08-02 16:06:34.348878	2013-08-04 20:20:23.531755
8546	2	2013-08-02 16:05:20.15792	2013-08-03 17:26:19.548996
42135	21	2013-08-02 16:06:33.104825	2013-08-04 20:20:23.549705
28256	21	2013-08-02 16:06:01.549679	2013-08-04 20:20:23.550896
8554	14	2013-08-02 16:05:20.177619	2013-08-02 16:05:20.177619
8410	14	2013-08-02 16:05:19.872893	2013-08-03 17:55:22.042114
19277	2	2013-08-02 16:05:41.542925	2013-08-04 20:20:23.640761
8562	2	2013-08-02 16:05:20.196804	2013-08-02 16:05:20.196804
19269	21	2013-08-02 16:05:41.522685	2013-08-04 20:20:39.426566
7698	21	2013-08-02 16:05:18.19918	2013-08-04 20:20:39.429398
19309	2	2013-08-02 16:05:41.625086	2013-08-04 20:22:38.274229
42866	2	2013-08-02 16:06:34.791733	2013-08-04 20:22:38.592522
42820	2	2013-08-02 16:06:34.500786	2013-08-04 20:22:38.634254
42826	2	2013-08-02 16:06:34.507516	2013-08-04 20:22:38.651178
42806	2	2013-08-02 16:06:34.489513	2013-08-04 20:22:38.664126
42781	2	2013-08-02 16:06:34.463436	2013-08-04 20:22:38.670237
8574	14	2013-08-02 16:05:20.227777	2013-08-02 16:05:20.227777
42786	2	2013-08-02 16:06:34.468449	2013-08-04 20:22:38.676204
42718	2	2013-08-02 16:06:34.401891	2013-08-04 20:22:38.683294
42766	2	2013-08-02 16:06:34.449126	2013-08-04 20:22:38.689819
42841	2	2013-08-02 16:06:34.767166	2013-08-04 20:22:38.695352
8582	2	2013-08-02 16:05:20.247559	2013-08-02 16:05:20.247559
8510	2	2013-08-02 16:05:20.067665	2013-08-04 21:01:19.59108
8560	2	2013-08-02 16:05:20.191979	2013-08-04 21:01:21.148081
8624	2	2013-08-02 16:05:20.328136	2013-08-04 21:01:21.163953
8604	2	2013-08-02 16:05:20.296758	2013-08-04 21:01:21.179205
8584	2	2013-08-02 16:05:20.252866	2013-08-04 21:01:21.193978
8564	2	2013-08-02 16:05:20.201543	2013-08-04 21:01:21.209032
19289	2	2013-08-02 16:05:41.573447	2013-08-04 21:01:21.223885
8594	14	2013-08-02 16:05:20.278116	2013-08-02 16:05:20.278116
8544	2	2013-08-02 16:05:20.15318	2013-08-04 21:01:21.238577
22701	2	2013-08-02 16:05:49.369726	2013-08-04 21:01:21.253019
890	2	2013-08-02 16:05:05.38526	2013-08-04 21:01:21.265365
8541	2	2013-08-02 16:05:20.145903	2013-08-04 21:01:21.277244
887	2	2013-08-02 16:05:05.382206	2013-08-04 21:01:21.289469
8540	21	2013-08-02 16:05:20.143514	2013-08-08 01:02:58.204508
8520	21	2013-08-02 16:05:20.091544	2013-08-08 01:02:58.647839
8602	2	2013-08-02 16:05:20.294547	2013-08-02 16:05:20.294547
8518	21	2013-08-02 16:05:20.086672	2013-08-08 01:02:59.124511
8545	21	2013-08-02 16:05:20.155543	2013-08-08 01:02:59.597954
8614	14	2013-08-02 16:05:20.317062	2013-08-02 16:05:20.317062
8622	2	2013-08-02 16:05:20.325169	2013-08-02 16:05:20.325169
8634	14	2013-08-02 16:05:20.354508	2013-08-02 16:05:20.354508
8528	21	2013-08-02 16:05:20.112316	2013-08-03 00:52:05.925793
8617	21	2013-08-02 16:05:20.320204	2013-08-03 00:57:06.1729
8597	14	2013-08-02 16:05:20.285517	2013-08-03 00:57:06.181742
8577	14	2013-08-02 16:05:20.235351	2013-08-03 00:57:06.193278
8557	14	2013-08-02 16:05:20.184843	2013-08-03 00:57:06.205529
8537	14	2013-08-02 16:05:20.136142	2013-08-03 00:57:06.216776
8517	14	2013-08-02 16:05:20.084221	2013-08-03 00:57:06.227463
8497	14	2013-08-02 16:05:20.036627	2013-08-03 00:57:06.238148
8632	2	2013-08-02 16:05:20.348996	2013-08-03 01:13:42.693378
8612	2	2013-08-02 16:05:20.314857	2013-08-03 01:13:42.704296
8592	2	2013-08-02 16:05:20.273359	2013-08-03 01:13:42.715666
8572	14	2013-08-02 16:05:20.222443	2013-08-03 01:13:42.728275
8552	14	2013-08-02 16:05:20.172668	2013-08-03 01:13:42.740672
8532	14	2013-08-02 16:05:20.123017	2013-08-03 01:13:42.75273
8635	2	2013-08-02 16:05:20.356983	2013-08-03 01:19:33.10544
8615	2	2013-08-02 16:05:20.318168	2013-08-03 01:19:33.117481
8595	2	2013-08-02 16:05:20.280496	2013-08-03 01:19:33.129261
8575	2	2013-08-02 16:05:20.230443	2013-08-03 01:19:33.142146
8555	2	2013-08-02 16:05:20.180019	2013-08-03 01:19:33.194178
8535	2	2013-08-02 16:05:20.130816	2013-08-03 01:19:33.198752
8515	2	2013-08-02 16:05:20.079452	2013-08-03 01:19:33.202446
8495	2	2013-08-02 16:05:20.031844	2013-08-03 01:19:33.205983
8503	2	2013-08-02 16:05:20.051128	2013-08-03 01:25:22.715754
8483	2	2013-08-02 16:05:20.002896	2013-08-03 01:25:22.731745
8603	14	2013-08-02 16:05:20.295432	2013-08-03 01:31:51.329498
8583	14	2013-08-02 16:05:20.250202	2013-08-03 01:32:14.609971
8500	2	2013-08-02 16:05:20.044067	2013-08-03 01:32:15.229921
8480	2	2013-08-02 16:05:19.9949	2013-08-03 01:32:15.241543
8558	2	2013-08-02 16:05:20.18722	2013-08-03 01:37:51.825868
8538	2	2013-08-02 16:05:20.138686	2013-08-03 01:39:14.441036
8598	14	2013-08-02 16:05:20.287898	2013-08-03 01:39:15.905693
8623	2	2013-08-02 16:05:20.326167	2013-08-03 01:50:50.048331
8633	2	2013-08-02 16:05:20.351615	2013-08-03 01:50:50.058502
8613	2	2013-08-02 16:05:20.315975	2013-08-03 01:50:50.067977
8593	2	2013-08-02 16:05:20.275743	2013-08-03 01:50:50.077423
8573	2	2013-08-02 16:05:20.225113	2013-08-03 01:50:50.087234
8553	2	2013-08-02 16:05:20.17514	2013-08-03 01:50:50.097672
8533	2	2013-08-02 16:05:20.125561	2013-08-03 01:50:50.10845
8513	2	2013-08-02 16:05:20.074746	2013-08-03 01:50:50.11896
8493	2	2013-08-02 16:05:20.026948	2013-08-03 01:50:50.129146
8585	2	2013-08-02 16:05:20.255493	2013-08-03 02:26:10.322236
8565	2	2013-08-02 16:05:20.203893	2013-08-03 02:26:55.031185
8498	2	2013-08-02 16:05:20.038994	2013-08-03 02:26:55.383099
8625	2	2013-08-02 16:05:20.33075	2013-08-03 02:26:55.393837
8563	2	2013-08-02 16:05:20.199161	2013-08-03 02:26:56.27398
8616	2	2013-08-02 16:05:20.31919	2013-08-03 02:26:56.280089
8596	2	2013-08-02 16:05:20.283052	2013-08-03 02:26:56.284439
8576	2	2013-08-02 16:05:20.232957	2013-08-03 02:26:56.288262
8556	2	2013-08-02 16:05:20.182432	2013-08-03 02:26:56.292162
8650	14	2013-08-02 16:05:20.396744	2013-08-03 02:57:24.74136
8641	2	2013-08-02 16:05:20.372929	2013-08-03 17:16:58.201143
24573	2	2013-08-02 16:05:53.241796	2013-08-04 01:30:51.872836
8642	2	2013-08-02 16:05:20.375505	2013-08-02 16:05:20.375505
8747	21	2013-08-02 16:05:20.634606	2013-08-04 19:12:37.493843
8485	2	2013-08-02 16:05:20.007846	2013-08-03 17:48:24.665958
8654	14	2013-08-02 16:05:20.407447	2013-08-02 16:05:20.407447
8690	14	2013-08-02 16:05:20.498683	2013-08-03 02:57:24.818475
8792	2	2013-08-02 16:05:20.742586	2013-08-03 02:58:08.257254
8670	2	2013-08-02 16:05:20.449797	2013-08-03 02:58:08.778704
8662	2	2013-08-02 16:05:20.428729	2013-08-02 16:05:20.428729
8750	14	2013-08-02 16:05:20.641785	2013-08-03 20:30:10.486298
8674	14	2013-08-02 16:05:20.460404	2013-08-02 16:05:20.460404
41763	2	2013-08-02 16:06:31.962819	2013-08-03 19:29:58.652908
24553	2	2013-08-02 16:05:53.221825	2013-08-04 01:30:51.88386
8766	2	2013-08-02 16:05:20.67959	2013-08-03 17:23:38.829172
41723	14	2013-08-02 16:06:31.866688	2013-08-03 19:32:37.610522
8682	2	2013-08-02 16:05:20.479705	2013-08-02 16:05:20.479705
16368	2	2013-08-02 16:05:35.209588	2013-08-03 17:48:24.696148
8746	2	2013-08-02 16:05:20.632218	2013-08-03 17:25:31.833592
24560	2	2013-08-02 16:05:53.228428	2013-08-04 01:30:51.894437
8706	2	2013-08-02 16:05:20.537582	2013-08-03 17:25:32.001563
8646	14	2013-08-02 16:05:20.385961	2013-08-03 17:26:19.715232
8694	14	2013-08-02 16:05:20.508225	2013-08-02 16:05:20.508225
8763	14	2013-08-02 16:05:20.672506	2013-08-03 17:26:19.782416
8770	14	2013-08-02 16:05:20.689018	2013-08-04 19:12:37.560186
8647	14	2013-08-02 16:05:20.388657	2013-08-04 19:12:37.567397
8666	14	2013-08-02 16:05:20.439157	2013-08-04 19:12:37.57336
8702	2	2013-08-02 16:05:20.527879	2013-08-02 16:05:20.527879
33855	14	2013-08-02 16:06:14.488936	2013-08-03 23:44:25.2101
8743	2	2013-08-02 16:05:20.625065	2013-08-04 19:27:44.005902
8637	2	2013-08-02 16:05:20.362301	2013-08-04 19:27:44.01706
8657	2	2013-08-02 16:05:20.415402	2013-08-04 19:27:44.028086
8677	2	2013-08-02 16:05:20.467775	2013-08-04 19:27:44.038999
6930	2	2013-08-02 16:05:17.288646	2013-08-03 17:52:03.936465
8697	2	2013-08-02 16:05:20.515323	2013-08-04 19:27:44.043536
4149	2	2013-08-02 16:05:12.093768	2013-08-03 17:52:04.868381
8714	14	2013-08-02 16:05:20.556575	2013-08-02 16:05:20.556575
8717	2	2013-08-02 16:05:20.563727	2013-08-04 19:27:44.047865
8737	2	2013-08-02 16:05:20.610911	2013-08-04 19:27:44.053144
8757	2	2013-08-02 16:05:20.658394	2013-08-04 19:27:44.060518
8777	2	2013-08-02 16:05:20.705503	2013-08-04 19:27:44.065211
8648	2	2013-08-02 16:05:20.391402	2013-08-04 19:27:44.072419
8787	2	2013-08-02 16:05:20.730369	2013-08-04 19:27:44.081005
8767	2	2013-08-02 16:05:20.681945	2013-08-04 19:27:44.090101
8722	2	2013-08-02 16:05:20.575571	2013-08-02 16:05:20.575571
42746	2	2013-08-02 16:06:34.42865	2013-08-04 20:22:38.701098
42726	2	2013-08-02 16:06:34.409409	2013-08-04 20:22:38.707331
42706	2	2013-08-02 16:06:34.388234	2013-08-04 20:22:38.712259
7718	2	2013-08-02 16:05:18.217549	2013-08-04 20:22:38.721772
19245	2	2013-08-02 16:05:41.459301	2013-08-04 20:22:38.727177
41700	2	2013-08-02 16:06:31.811928	2013-08-04 20:22:38.792056
35606	2	2013-08-02 16:06:18.819427	2013-08-04 20:22:38.797488
35499	2	2013-08-02 16:06:18.439293	2013-08-04 20:22:38.802625
47603	2	2013-08-02 16:06:45.143675	2013-08-04 20:22:38.808118
8734	14	2013-08-02 16:05:20.603794	2013-08-02 16:05:20.603794
7749	2	2013-08-02 16:05:18.248414	2013-08-04 20:22:38.819425
36863	2	2013-08-02 16:06:21.444861	2013-08-04 20:22:38.832986
7329	2	2013-08-02 16:05:17.755858	2013-08-04 20:22:38.842274
31535	2	2013-08-02 16:06:09.170511	2013-08-04 20:22:38.849881
36763	2	2013-08-02 16:06:21.356351	2013-08-04 20:22:38.855847
8742	2	2013-08-02 16:05:20.6227	2013-08-02 16:05:20.6227
8754	14	2013-08-02 16:05:20.651275	2013-08-02 16:05:20.651275
8762	2	2013-08-02 16:05:20.670148	2013-08-02 16:05:20.670148
8774	14	2013-08-02 16:05:20.698443	2013-08-02 16:05:20.698443
8782	2	2013-08-02 16:05:20.717468	2013-08-02 16:05:20.717468
8791	14	2013-08-02 16:05:20.740102	2013-08-03 00:42:07.15921
8788	14	2013-08-02 16:05:20.732876	2013-08-03 00:57:05.194885
8712	21	2013-08-02 16:05:20.5518	2013-08-03 01:13:42.673761
8692	21	2013-08-02 16:05:20.503454	2013-08-03 01:13:42.6776
8672	21	2013-08-02 16:05:20.455097	2013-08-03 01:13:42.681121
8652	21	2013-08-02 16:05:20.402036	2013-08-03 01:13:42.684674
8732	14	2013-08-02 16:05:20.59909	2013-08-03 01:19:09.39974
8775	2	2013-08-02 16:05:20.700833	2013-08-03 01:19:33.064213
8755	2	2013-08-02 16:05:20.653667	2013-08-03 01:19:33.067755
8735	2	2013-08-02 16:05:20.60619	2013-08-03 01:19:33.071566
8715	2	2013-08-02 16:05:20.558934	2013-08-03 01:19:33.075925
8695	2	2013-08-02 16:05:20.510614	2013-08-03 01:19:33.080896
8675	2	2013-08-02 16:05:20.46294	2013-08-03 01:19:33.086093
8655	2	2013-08-02 16:05:20.410068	2013-08-03 01:19:33.092991
8643	2	2013-08-02 16:05:20.378172	2013-08-03 01:32:14.412925
8760	21	2013-08-02 16:05:20.665468	2013-08-03 01:32:15.103081
8740	21	2013-08-02 16:05:20.617992	2013-08-03 01:32:15.107125
8720	21	2013-08-02 16:05:20.570875	2013-08-03 01:32:15.110712
8700	21	2013-08-02 16:05:20.522772	2013-08-03 01:32:15.114328
8778	2	2013-08-02 16:05:20.707829	2013-08-03 01:39:15.796222
8758	2	2013-08-02 16:05:20.660757	2013-08-03 01:39:15.80691
8678	4	2013-08-02 16:05:20.47017	2013-08-03 01:39:15.850544
8753	2	2013-08-02 16:05:20.648947	2013-08-03 01:50:49.986596
8733	2	2013-08-02 16:05:20.601447	2013-08-03 01:50:49.997295
8713	2	2013-08-02 16:05:20.55419	2013-08-03 01:50:50.007465
8693	2	2013-08-02 16:05:20.505856	2013-08-03 01:50:50.017822
8673	2	2013-08-02 16:05:20.457767	2013-08-03 01:50:50.027992
8653	2	2013-08-02 16:05:20.40475	2013-08-03 01:50:50.038253
8773	14	2013-08-02 16:05:20.696084	2013-08-03 01:55:05.856616
8780	14	2013-08-02 16:05:20.712803	2013-08-03 02:05:14.280275
8658	2	2013-08-02 16:05:20.418051	2013-08-03 02:06:05.20803
8783	2	2013-08-02 16:05:20.719814	2013-08-03 02:26:55.29594
8785	2	2013-08-02 16:05:20.725073	2013-08-03 02:26:55.30459
8765	2	2013-08-02 16:05:20.677258	2013-08-03 02:26:55.313759
8745	2	2013-08-02 16:05:20.629831	2013-08-03 02:26:55.3231
8725	2	2013-08-02 16:05:20.582619	2013-08-03 02:26:55.332474
8705	2	2013-08-02 16:05:20.535203	2013-08-03 02:26:55.341892
8685	2	2013-08-02 16:05:20.486821	2013-08-03 02:26:55.352309
8665	2	2013-08-02 16:05:20.436622	2013-08-03 02:26:55.362522
8645	2	2013-08-02 16:05:20.383389	2013-08-03 02:26:55.372877
8723	2	2013-08-02 16:05:20.577908	2013-08-03 02:32:08.809604
8881	4	2013-08-02 16:05:20.961651	2013-08-03 17:20:33.586596
8794	14	2013-08-02 16:05:20.747417	2013-08-02 16:05:20.747417
8830	2	2013-08-02 16:05:20.833998	2013-08-03 02:57:24.779818
8932	4	2013-08-02 16:05:21.053418	2013-08-03 17:35:02.849249
8810	2	2013-08-02 16:05:20.786105	2013-08-03 02:58:07.919594
8861	4	2013-08-02 16:05:20.911521	2013-08-03 17:20:33.598168
8843	4	2013-08-02 16:05:20.868296	2013-08-03 17:35:04.080636
8802	2	2013-08-02 16:05:20.767115	2013-08-02 16:05:20.767115
8841	4	2013-08-02 16:05:20.863037	2013-08-03 17:20:33.609556
8804	4	2013-08-02 16:05:20.771843	2013-08-02 16:05:20.771843
8883	4	2013-08-02 16:05:20.966983	2013-08-03 03:06:21.640364
8866	4	2013-08-02 16:05:20.923322	2013-08-03 17:35:04.091375
8821	4	2013-08-02 16:05:20.812111	2013-08-03 17:20:33.620935
8872	2	2013-08-02 16:05:20.937458	2013-08-04 19:27:43.974141
8816	4	2013-08-02 16:05:20.800277	2013-08-03 17:20:33.631785
8863	2	2013-08-02 16:05:20.916216	2013-08-03 03:06:21.646805
8801	4	2013-08-02 16:05:20.764733	2013-08-03 17:20:33.642985
8814	14	2013-08-02 16:05:20.795538	2013-08-02 16:05:20.795538
8850	4	2013-08-02 16:05:20.885348	2013-08-03 17:20:33.653495
8813	2	2013-08-02 16:05:20.793187	2013-08-03 03:09:45.87685
8870	2	2013-08-02 16:05:20.932695	2013-08-03 03:09:46.973683
24533	2	2013-08-02 16:05:53.029668	2013-08-04 01:30:51.904022
8941	4	2013-08-02 16:05:21.076195	2013-08-03 17:35:04.241406
8846	4	2013-08-02 16:05:20.875741	2013-08-03 17:35:04.246694
8822	2	2013-08-02 16:05:20.814423	2013-08-02 16:05:20.814423
8826	14	2013-08-02 16:05:20.823873	2013-08-03 17:25:59.62504
8824	4	2013-08-02 16:05:20.819116	2013-08-02 16:05:20.819116
41543	14	2013-08-02 16:06:31.419725	2013-08-03 19:29:58.675651
8806	4	2013-08-02 16:05:20.776645	2013-08-03 17:35:05.750431
24561	2	2013-08-02 16:05:53.230466	2013-08-04 01:30:51.913239
8827	2	2013-08-02 16:05:20.826411	2013-08-04 19:27:43.978061
16388	4	2013-08-02 16:05:35.242808	2013-08-03 20:29:50.416376
2558	2	2013-08-02 16:05:08.904965	2013-08-03 19:29:58.724804
8930	2	2013-08-02 16:05:21.048265	2013-08-04 19:27:43.981406
41703	4	2013-08-02 16:06:31.819131	2013-08-03 19:32:38.41126
8834	14	2013-08-02 16:05:20.844649	2013-08-02 16:05:20.844649
33901	4	2013-08-02 16:06:14.537539	2013-08-03 22:45:09.688002
25057	2	2013-08-02 16:05:53.894958	2013-08-03 20:29:50.421445
8921	14	2013-08-02 16:05:21.037589	2013-08-03 17:26:19.282191
8836	2	2013-08-02 16:05:20.84983	2013-08-04 17:31:52.734604
8842	2	2013-08-02 16:05:20.865682	2013-08-02 16:05:20.865682
8630	4	2013-08-02 16:05:20.34366	2013-08-03 20:37:34.389865
8844	4	2013-08-02 16:05:20.870835	2013-08-02 16:05:20.870835
8923	2	2013-08-02 16:05:21.039956	2013-08-04 17:31:52.74547
8833	2	2013-08-02 16:05:20.842227	2013-08-04 17:31:52.757018
8903	2	2013-08-02 16:05:21.014346	2013-08-04 17:31:52.768773
8906	2	2013-08-02 16:05:21.017041	2013-08-04 19:27:43.986083
8807	2	2013-08-02 16:05:20.778983	2013-08-04 19:27:43.990732
25077	4	2013-08-02 16:05:53.942874	2013-08-03 17:48:44.722203
8946	2	2013-08-02 16:05:21.08971	2013-08-04 19:27:43.99541
25117	2	2013-08-02 16:05:54.049677	2013-08-03 17:48:44.72927
8854	14	2013-08-02 16:05:20.895058	2013-08-02 16:05:20.895058
8890	2	2013-08-02 16:05:20.985527	2013-08-04 19:27:44
8876	21	2013-08-02 16:05:20.948287	2013-08-04 19:27:45.100375
9057	21	2013-08-02 16:05:21.373153	2013-08-03 21:19:22.285872
9483	4	2013-08-02 16:05:22.475021	2013-08-03 21:24:22.050719
8873	2	2013-08-02 16:05:20.940172	2013-08-04 19:27:45.10712
8862	2	2013-08-02 16:05:20.913856	2013-08-02 16:05:20.913856
8798	2	2013-08-02 16:05:20.757283	2013-08-04 19:27:45.115118
8864	4	2013-08-02 16:05:20.918612	2013-08-02 16:05:20.918612
41846	2	2013-08-02 16:06:32.180048	2013-08-04 20:22:38.867489
42035	2	2013-08-02 16:06:32.658795	2013-08-04 20:22:38.881572
19265	4	2013-08-02 16:05:41.511917	2013-08-04 20:22:40.163949
42686	14	2013-08-02 16:06:34.367451	2013-08-04 20:22:40.178748
7971	2	2013-08-02 16:05:18.760654	2013-08-04 20:22:40.275304
7991	2	2013-08-02 16:05:18.809216	2013-08-04 20:22:40.282008
8004	2	2013-08-02 16:05:18.843228	2013-08-04 20:22:40.288111
8874	14	2013-08-02 16:05:20.942936	2013-08-02 16:05:20.942936
7984	2	2013-08-02 16:05:18.79161	2013-08-04 20:22:40.293536
7964	2	2013-08-02 16:05:18.743007	2013-08-04 20:22:40.301006
7944	2	2013-08-02 16:05:18.68971	2013-08-04 20:22:40.309543
7924	2	2013-08-02 16:05:18.638649	2013-08-04 20:22:40.319038
41366	2	2013-08-02 16:06:30.748851	2013-08-04 20:22:40.32405
41583	2	2013-08-02 16:06:31.515446	2013-08-04 20:22:40.330614
41966	2	2013-08-02 16:06:32.483831	2013-08-04 20:22:40.337339
8882	2	2013-08-02 16:05:20.964284	2013-08-02 16:05:20.964284
7904	2	2013-08-02 16:05:18.587582	2013-08-04 20:22:40.343975
8884	4	2013-08-02 16:05:20.969628	2013-08-02 16:05:20.969628
42206	2	2013-08-02 16:06:33.263139	2013-08-04 20:22:40.356783
7866	2	2013-08-02 16:05:18.495444	2013-08-04 20:22:40.371734
7981	2	2013-08-02 16:05:18.784496	2013-08-04 20:22:40.38808
7926	2	2013-08-02 16:05:18.6438	2013-08-04 20:22:40.403929
8001	2	2013-08-02 16:05:18.835567	2013-08-04 20:22:40.419177
7884	2	2013-08-02 16:05:18.539087	2013-08-04 20:22:40.434826
12838	2	2013-08-02 16:05:28.893004	2013-08-04 20:22:40.450852
11167	2	2013-08-02 16:05:24.858919	2013-08-04 20:22:40.623902
8894	14	2013-08-02 16:05:20.99541	2013-08-02 16:05:20.99541
17490	2	2013-08-02 16:05:38.109604	2013-08-04 20:22:40.680791
42088	4	2013-08-02 16:06:32.785294	2013-08-04 20:22:40.949154
8902	2	2013-08-02 16:05:21.013567	2013-08-02 16:05:21.013567
8904	4	2013-08-02 16:05:21.015132	2013-08-02 16:05:21.015132
8914	14	2013-08-02 16:05:21.030145	2013-08-02 16:05:21.030145
8922	2	2013-08-02 16:05:21.038817	2013-08-02 16:05:21.038817
8924	4	2013-08-02 16:05:21.041065	2013-08-02 16:05:21.041065
8934	14	2013-08-02 16:05:21.058628	2013-08-02 16:05:21.058628
8942	2	2013-08-02 16:05:21.079021	2013-08-02 16:05:21.079021
8944	4	2013-08-02 16:05:21.084361	2013-08-02 16:05:21.084361
8908	21	2013-08-02 16:05:21.021862	2013-08-03 00:57:05.135586
8888	14	2013-08-02 16:05:20.980228	2013-08-03 00:57:05.144942
8868	14	2013-08-02 16:05:20.928058	2013-08-03 00:57:05.155981
8848	14	2013-08-02 16:05:20.88052	2013-08-03 00:57:05.162767
8828	14	2013-08-02 16:05:20.828765	2013-08-03 00:57:05.173298
8808	14	2013-08-02 16:05:20.781363	2013-08-03 00:57:05.184041
8948	14	2013-08-02 16:05:21.095054	2013-08-03 01:02:07.3071
8928	14	2013-08-02 16:05:21.045892	2013-08-03 01:02:07.311212
8937	14	2013-08-02 16:05:21.066468	2013-08-03 01:02:08.117061
8917	14	2013-08-02 16:05:21.033405	2013-08-03 01:02:08.121365
8897	14	2013-08-02 16:05:21.002698	2013-08-03 01:02:08.127468
8877	14	2013-08-02 16:05:20.950993	2013-08-03 01:02:08.132256
8857	14	2013-08-02 16:05:20.902143	2013-08-03 01:02:08.137208
8837	14	2013-08-02 16:05:20.852456	2013-08-03 01:02:08.142871
8817	14	2013-08-02 16:05:20.802676	2013-08-03 01:02:08.148053
8912	4	2013-08-02 16:05:21.027996	2013-08-03 01:19:09.434246
8832	14	2013-08-02 16:05:20.839801	2013-08-03 01:19:31.826233
8855	2	2013-08-02 16:05:20.897412	2013-08-03 01:19:33.040459
8835	2	2013-08-02 16:05:20.847169	2013-08-03 01:19:33.051464
8815	2	2013-08-02 16:05:20.797896	2013-08-03 01:19:33.056356
8795	2	2013-08-02 16:05:20.749817	2013-08-03 01:19:33.060375
8935	21	2013-08-02 16:05:21.061296	2013-08-03 01:25:24.45123
8915	21	2013-08-02 16:05:21.031137	2013-08-03 01:25:24.452895
8895	21	2013-08-02 16:05:20.997801	2013-08-03 01:25:24.454419
8875	21	2013-08-02 16:05:20.945589	2013-08-03 01:25:24.455707
8803	4	2013-08-02 16:05:20.769491	2013-08-03 01:31:51.349573
8823	2	2013-08-02 16:05:20.816779	2013-08-03 01:31:51.351889
8918	21	2013-08-02 16:05:21.034416	2013-08-03 01:39:15.753788
8898	21	2013-08-02 16:05:21.005126	2013-08-03 01:39:15.756353
8878	21	2013-08-02 16:05:20.95369	2013-08-03 01:39:15.759315
8858	21	2013-08-02 16:05:20.904465	2013-08-03 01:39:15.761724
8838	21	2013-08-02 16:05:20.855098	2013-08-03 01:39:15.763985
8938	14	2013-08-02 16:05:21.06905	2013-08-03 01:43:47.940217
8940	2	2013-08-02 16:05:21.073841	2013-08-03 01:45:30.661469
8933	4	2013-08-02 16:05:21.056128	2013-08-03 01:55:05.871915
8853	2	2013-08-02 16:05:20.892719	2013-08-03 01:56:01.376341
8793	4	2013-08-02 16:05:20.744972	2013-08-03 02:06:04.573746
8865	2	2013-08-02 16:05:20.92095	2013-08-03 02:26:55.262922
8845	2	2013-08-02 16:05:20.873327	2013-08-03 02:26:55.270363
8825	2	2013-08-02 16:05:20.821525	2013-08-03 02:26:55.27866
8805	2	2013-08-02 16:05:20.774264	2013-08-03 02:26:55.287167
8936	4	2013-08-02 16:05:21.063795	2013-08-03 02:31:16.015089
8916	2	2013-08-02 16:05:21.032174	2013-08-03 02:32:07.9149
8913	2	2013-08-02 16:05:21.029134	2013-08-03 02:32:07.918601
8840	2	2013-08-02 16:05:20.860375	2013-08-03 02:32:07.92331
8892	2	2013-08-02 16:05:20.990631	2013-08-03 02:32:07.927588
8945	2	2013-08-02 16:05:21.087065	2013-08-03 02:32:07.931711
8925	2	2013-08-02 16:05:21.042299	2013-08-03 02:32:07.936202
8905	2	2013-08-02 16:05:21.015877	2013-08-03 02:32:07.941318
8885	2	2013-08-02 16:05:20.972247	2013-08-03 02:32:07.946036
8856	14	2013-08-02 16:05:20.899745	2013-08-03 02:32:08.273525
8996	4	2013-08-02 16:05:21.221951	2013-08-03 17:35:01.975806
8993	4	2013-08-02 16:05:21.2141	2013-08-03 17:35:01.986091
9023	4	2013-08-02 16:05:21.291854	2013-08-03 17:35:01.996301
8954	14	2013-08-02 16:05:21.110608	2013-08-02 16:05:21.110608
9105	14	2013-08-02 16:05:21.488831	2013-08-03 02:36:27.776641
8990	4	2013-08-02 16:05:21.206114	2013-08-03 17:03:17.074654
8972	4	2013-08-02 16:05:21.15801	2013-08-03 17:35:02.006927
9030	2	2013-08-02 16:05:21.308726	2013-08-03 17:03:17.08089
9041	4	2013-08-02 16:05:21.335052	2013-08-03 17:35:02.838198
9085	14	2013-08-02 16:05:21.440507	2013-08-03 02:36:28.146992
8960	4	2013-08-02 16:05:21.125878	2013-08-03 17:35:03.083272
8962	2	2013-08-02 16:05:21.131233	2013-08-02 16:05:21.131233
9010	2	2013-08-02 16:05:21.259375	2013-08-03 17:05:34.521394
8964	4	2013-08-02 16:05:21.136526	2013-08-02 16:05:21.136526
9098	4	2013-08-02 16:05:21.471768	2013-08-03 17:35:03.086656
42123	4	2013-08-02 16:06:33.088676	2013-08-03 19:32:37.273726
9088	2	2013-08-02 16:05:21.447729	2013-08-04 19:32:46.556374
9087	2	2013-08-02 16:05:21.445362	2013-08-04 19:32:46.567893
9106	4	2013-08-02 16:05:21.491225	2013-08-03 17:35:03.091076
9058	2	2013-08-02 16:05:21.375524	2013-08-03 02:37:18.179789
8974	14	2013-08-02 16:05:21.163413	2013-08-02 16:05:21.163413
9086	4	2013-08-02 16:05:21.442963	2013-08-03 17:35:03.095597
8963	2	2013-08-02 16:05:21.133888	2013-08-03 02:37:19.080234
42103	4	2013-08-02 16:06:32.824003	2013-08-03 19:32:37.286431
9090	14	2013-08-02 16:05:21.452533	2013-08-03 17:07:50.621471
9066	4	2013-08-02 16:05:21.39468	2013-08-03 17:35:03.099803
9046	4	2013-08-02 16:05:21.347082	2013-08-03 17:35:03.104096
9026	4	2013-08-02 16:05:21.298981	2013-08-03 17:35:03.108436
8982	2	2013-08-02 16:05:21.184808	2013-08-02 16:05:21.184808
9006	4	2013-08-02 16:05:21.249128	2013-08-03 17:35:03.112166
8984	4	2013-08-02 16:05:21.190085	2013-08-02 16:05:21.190085
8980	4	2013-08-02 16:05:21.179464	2013-08-03 17:10:33.875431
42083	4	2013-08-02 16:06:32.773318	2013-08-03 19:32:37.297426
9018	4	2013-08-02 16:05:21.27978	2013-08-03 17:10:34.540359
9067	2	2013-08-02 16:05:21.397042	2013-08-04 19:32:46.578965
9021	4	2013-08-02 16:05:21.287054	2013-08-03 17:35:03.116386
9070	4	2013-08-02 16:05:21.404141	2013-08-03 17:10:34.544603
8986	4	2013-08-02 16:05:21.195442	2013-08-03 17:35:03.120146
42063	4	2013-08-02 16:06:32.725791	2013-08-03 19:32:37.308382
8994	14	2013-08-02 16:05:21.216831	2013-08-02 16:05:21.216831
8966	4	2013-08-02 16:05:21.141909	2013-08-03 17:35:03.124145
4569	2	2013-08-02 16:05:12.74171	2013-08-04 19:32:46.590376
42043	4	2013-08-02 16:06:32.677921	2013-08-03 19:32:37.319866
42023	4	2013-08-02 16:06:32.630097	2013-08-03 19:32:37.333289
42003	4	2013-08-02 16:06:32.579558	2013-08-03 19:32:37.344784
9002	2	2013-08-02 16:05:21.238374	2013-08-02 16:05:21.238374
9061	4	2013-08-02 16:05:21.382604	2013-08-03 17:26:19.292876
9004	4	2013-08-02 16:05:21.24376	2013-08-02 16:05:21.24376
41983	4	2013-08-02 16:06:32.52877	2013-08-03 19:32:37.356078
41963	4	2013-08-02 16:06:32.475767	2013-08-03 19:32:37.367643
9101	2	2013-08-02 16:05:21.479234	2013-08-03 17:26:19.294481
9047	2	2013-08-02 16:05:21.349491	2013-08-04 19:32:46.601612
41943	4	2013-08-02 16:06:32.426638	2013-08-03 19:32:37.379395
24513	2	2013-08-02 16:05:53.004778	2013-08-04 01:30:51.918214
41923	4	2013-08-02 16:06:32.377696	2013-08-03 19:32:37.391199
41883	4	2013-08-02 16:06:32.276263	2013-08-03 19:32:37.416937
9014	14	2013-08-02 16:05:21.269241	2013-08-02 16:05:21.269241
9027	2	2013-08-02 16:05:21.301457	2013-08-04 19:32:46.608541
2349	2	2013-08-02 16:05:08.646281	2013-08-03 22:45:09.69041
24645	2	2013-08-02 16:05:53.337048	2013-08-04 01:30:51.923294
9017	14	2013-08-02 16:05:21.277299	2013-08-03 20:35:12.944498
24493	2	2013-08-02 16:05:52.98446	2013-08-04 01:30:51.927915
15837	2	2013-08-02 16:05:34.23884	2013-08-04 19:32:46.612256
9022	2	2013-08-02 16:05:21.28948	2013-08-02 16:05:21.28948
9007	2	2013-08-02 16:05:21.25178	2013-08-04 19:32:46.616047
9024	4	2013-08-02 16:05:21.29423	2013-08-02 16:05:21.29423
4609	4	2013-08-02 16:05:12.793122	2013-08-03 17:48:56.032718
9065	2	2013-08-02 16:05:21.392281	2013-08-04 19:32:46.61957
9001	2	2013-08-02 16:05:21.235691	2013-08-04 19:32:46.626605
8987	2	2013-08-02 16:05:21.198107	2013-08-04 19:32:46.633225
4649	2	2013-08-02 16:05:12.829602	2013-08-03 17:48:56.034415
9056	2	2013-08-02 16:05:21.370746	2013-08-04 19:32:46.643769
9034	14	2013-08-02 16:05:21.318439	2013-08-02 16:05:21.318439
19349	2	2013-08-02 16:05:41.729618	2013-08-04 20:22:41.19955
4589	4	2013-08-02 16:05:12.763234	2013-08-03 17:52:02.566752
19329	2	2013-08-02 16:05:41.678605	2013-08-04 20:22:41.205616
17543	2	2013-08-02 16:05:38.230049	2013-08-03 17:52:04.864572
19457	2	2013-08-02 16:05:42.067788	2013-08-04 20:22:41.21173
19405	2	2013-08-02 16:05:41.993942	2013-08-04 20:22:41.217238
9042	2	2013-08-02 16:05:21.337527	2013-08-02 16:05:21.337527
9044	4	2013-08-02 16:05:21.342301	2013-08-02 16:05:21.342301
42093	2	2013-08-02 16:06:32.797915	2013-08-04 20:22:41.75919
4529	4	2013-08-02 16:05:12.705688	2013-08-03 17:57:11.907925
42113	2	2013-08-02 16:06:33.077847	2013-08-04 20:22:42.02392
9054	14	2013-08-02 16:05:21.366026	2013-08-02 16:05:21.366026
42926	14	2013-08-02 16:06:34.851198	2013-08-04 20:25:04.174738
42133	2	2013-08-02 16:06:33.102126	2013-08-04 20:27:34.230647
9062	2	2013-08-02 16:05:21.384962	2013-08-02 16:05:21.384962
42450	2	2013-08-02 16:06:33.864395	2013-08-04 20:27:34.236527
9064	4	2013-08-02 16:05:21.389834	2013-08-02 16:05:21.389834
9074	14	2013-08-02 16:05:21.414	2013-08-02 16:05:21.414
9082	2	2013-08-02 16:05:21.433338	2013-08-02 16:05:21.433338
9084	4	2013-08-02 16:05:21.438138	2013-08-02 16:05:21.438138
9094	14	2013-08-02 16:05:21.462165	2013-08-02 16:05:21.462165
9102	2	2013-08-02 16:05:21.481625	2013-08-02 16:05:21.481625
9104	4	2013-08-02 16:05:21.486407	2013-08-02 16:05:21.486407
9028	14	2013-08-02 16:05:21.303835	2013-08-03 01:02:07.289162
9008	14	2013-08-02 16:05:21.254466	2013-08-03 01:02:07.294863
8988	14	2013-08-02 16:05:21.200818	2013-08-03 01:02:07.299222
8968	14	2013-08-02 16:05:21.147231	2013-08-03 01:02:07.303415
8997	21	2013-08-02 16:05:21.224597	2013-08-03 01:02:08.10155
8977	14	2013-08-02 16:05:21.171431	2013-08-03 01:02:08.104751
8957	14	2013-08-02 16:05:21.117887	2013-08-03 01:02:08.110252
9097	14	2013-08-02 16:05:21.469358	2013-08-03 01:07:08.92832
8952	2	2013-08-02 16:05:21.105679	2013-08-03 01:19:09.440793
9092	21	2013-08-02 16:05:21.457366	2013-08-03 01:19:32.48429
9072	21	2013-08-02 16:05:21.409054	2013-08-03 01:19:32.488822
9052	21	2013-08-02 16:05:21.361317	2013-08-03 01:19:32.492678
9032	21	2013-08-02 16:05:21.313481	2013-08-03 01:19:32.496638
9012	14	2013-08-02 16:05:21.264203	2013-08-03 01:19:32.5069
8992	14	2013-08-02 16:05:21.211412	2013-08-03 01:19:32.555349
8955	21	2013-08-02 16:05:21.113103	2013-08-03 01:25:24.449591
9095	2	2013-08-02 16:05:21.464532	2013-08-03 01:25:24.663478
9075	2	2013-08-02 16:05:21.416397	2013-08-03 01:25:24.673583
9055	2	2013-08-02 16:05:21.368377	2013-08-03 01:25:24.68364
9035	2	2013-08-02 16:05:21.320808	2013-08-03 01:25:24.693741
9015	2	2013-08-02 16:05:21.271915	2013-08-03 01:25:24.703915
8995	2	2013-08-02 16:05:21.219291	2013-08-03 01:25:24.714032
8975	2	2013-08-02 16:05:21.166059	2013-08-03 01:25:24.72409
8983	4	2013-08-02 16:05:21.187441	2013-08-03 01:37:51.212234
9003	2	2013-08-02 16:05:21.241113	2013-08-03 01:37:51.216205
9103	2	2013-08-02 16:05:21.484013	2013-08-03 01:39:14.402823
9083	2	2013-08-02 16:05:21.435728	2013-08-03 01:39:14.412988
9063	2	2013-08-02 16:05:21.38732	2013-08-03 01:39:14.422537
9043	2	2013-08-02 16:05:21.339883	2013-08-03 01:39:14.431953
8973	2	2013-08-02 16:05:21.160749	2013-08-03 01:55:05.873542
8953	2	2013-08-02 16:05:21.10814	2013-08-03 01:56:00.961814
8958	2	2013-08-02 16:05:21.120465	2013-08-03 01:56:01.948199
9093	2	2013-08-02 16:05:21.459741	2013-08-03 01:56:01.951444
9073	2	2013-08-02 16:05:21.411568	2013-08-03 01:56:01.954223
9053	2	2013-08-02 16:05:21.363644	2013-08-03 01:56:01.957044
9033	2	2013-08-02 16:05:21.315826	2013-08-03 01:56:01.959764
9013	2	2013-08-02 16:05:21.266636	2013-08-03 01:56:01.962491
8978	4	2013-08-02 16:05:21.174122	2013-08-03 02:05:14.290954
8976	2	2013-08-02 16:05:21.168776	2013-08-03 02:31:16.019326
8956	2	2013-08-02 16:05:21.115489	2013-08-03 02:32:07.606436
9025	2	2013-08-02 16:05:21.2966	2013-08-03 02:32:07.879091
9005	2	2013-08-02 16:05:21.246428	2013-08-03 02:32:07.889096
8985	2	2013-08-02 16:05:21.192797	2013-08-03 02:32:07.900726
8965	2	2013-08-02 16:05:21.139225	2013-08-03 02:32:07.911028
41863	4	2013-08-02 16:06:32.223307	2013-08-03 19:32:37.423224
9187	21	2013-08-02 16:05:21.716287	2013-08-04 19:32:48.205255
9263	4	2013-08-02 16:05:21.9058	2013-08-03 17:35:01.874798
9160	4	2013-08-02 16:05:21.688248	2013-08-03 17:35:01.883639
22721	2	2013-08-02 16:05:49.396138	2013-08-04 19:32:48.214199
41843	4	2013-08-02 16:06:32.17195	2013-08-03 19:32:37.42865
9114	14	2013-08-02 16:05:21.510568	2013-08-02 16:05:21.510568
9152	2	2013-08-02 16:05:21.680242	2013-08-04 19:32:48.221085
41823	4	2013-08-02 16:06:32.12039	2013-08-03 19:32:37.433698
9245	4	2013-08-02 16:05:21.85915	2013-08-03 02:36:27.806495
9198	4	2013-08-02 16:05:21.735629	2013-08-03 17:35:01.890634
9118	2	2013-08-02 16:05:21.520253	2013-08-03 02:36:27.813704
41803	4	2013-08-02 16:06:32.068388	2013-08-03 19:32:37.439165
9122	2	2013-08-02 16:05:21.530092	2013-08-02 16:05:21.530092
9252	2	2013-08-02 16:05:21.877631	2013-08-03 02:37:17.778592
9124	4	2013-08-02 16:05:21.53495	2013-08-02 16:05:21.53495
4103	2	2013-08-02 16:05:11.994293	2013-08-04 01:30:51.943451
9186	2	2013-08-02 16:05:21.715075	2013-08-04 19:32:48.227658
9206	2	2013-08-02 16:05:21.756959	2013-08-04 19:32:48.235788
9261	4	2013-08-02 16:05:21.900431	2013-08-03 17:35:01.89774
9241	4	2013-08-02 16:05:21.848076	2013-08-03 17:35:01.905251
9256	2	2013-08-02 16:05:21.887424	2013-08-03 02:47:52.317592
9236	2	2013-08-02 16:05:21.834238	2013-08-03 02:47:52.321686
9134	14	2013-08-02 16:05:21.558921	2013-08-02 16:05:21.558921
9216	2	2013-08-02 16:05:21.782123	2013-08-03 02:47:52.326649
9221	4	2013-08-02 16:05:21.795158	2013-08-03 17:35:01.913445
9196	2	2013-08-02 16:05:21.730097	2013-08-03 02:47:52.330742
9190	4	2013-08-02 16:05:21.719944	2013-08-03 17:07:50.649952
9201	4	2013-08-02 16:05:21.743848	2013-08-03 17:35:01.92128
9230	2	2013-08-02 16:05:21.818861	2013-08-03 17:07:50.656112
9132	21	2013-08-02 16:05:21.554144	2013-08-03 20:32:25.499071
9142	2	2013-08-02 16:05:21.578162	2013-08-02 16:05:21.578162
22852	14	2013-08-02 16:05:49.698037	2013-08-03 19:32:38.826891
9144	4	2013-08-02 16:05:21.671737	2013-08-02 16:05:21.671737
9226	2	2013-08-02 16:05:21.808716	2013-08-04 19:32:48.24084
22832	14	2013-08-02 16:05:49.645284	2013-08-03 19:32:38.831469
22812	14	2013-08-02 16:05:49.592262	2013-08-03 19:32:38.836239
9167	2	2013-08-02 16:05:21.695193	2013-08-04 19:32:48.245254
9181	4	2013-08-02 16:05:21.708988	2013-08-03 17:35:01.929293
9170	4	2013-08-02 16:05:21.697917	2013-08-03 17:10:32.788327
9130	4	2013-08-02 16:05:21.549337	2013-08-03 17:10:33.257895
9161	4	2013-08-02 16:05:21.689255	2013-08-03 17:35:01.937858
9154	14	2013-08-02 16:05:21.682243	2013-08-02 16:05:21.682243
9250	4	2013-08-02 16:05:21.872347	2013-08-03 17:35:01.946746
9141	4	2013-08-02 16:05:21.575712	2013-08-03 17:35:01.956535
9121	4	2013-08-02 16:05:21.527639	2013-08-03 17:35:01.965845
9166	4	2013-08-02 16:05:21.694259	2013-08-03 17:35:03.059961
9146	4	2013-08-02 16:05:21.674156	2013-08-03 17:35:03.0639
46095	2	2013-08-02 16:06:41.683978	2013-08-03 21:04:19.891164
9162	2	2013-08-02 16:05:21.690257	2013-08-02 16:05:21.690257
9164	4	2013-08-02 16:05:21.692258	2013-08-02 16:05:21.692258
19501	2	2013-08-02 16:05:42.16673	2013-08-03 21:04:19.897401
9246	14	2013-08-02 16:05:21.861812	2013-08-04 19:32:48.253336
6906	14	2013-08-02 16:05:17.261606	2013-08-03 17:48:56.044235
9174	14	2013-08-02 16:05:21.701292	2013-08-02 16:05:21.701292
9232	14	2013-08-02 16:05:21.82412	2013-08-04 19:32:48.257736
2310	21	2013-08-02 16:05:08.608137	2013-08-03 21:49:32.826498
9180	14	2013-08-02 16:05:21.707816	2013-08-04 19:32:48.261744
9147	14	2013-08-02 16:05:21.675154	2013-08-04 19:32:48.266063
8886	14	2013-08-02 16:05:20.974919	2013-08-03 17:48:56.069441
9127	14	2013-08-02 16:05:21.542146	2013-08-04 19:32:48.270585
9182	2	2013-08-02 16:05:21.710202	2013-08-02 16:05:21.710202
9185	14	2013-08-02 16:05:21.713865	2013-08-04 19:32:48.27469
9184	4	2013-08-02 16:05:21.712649	2013-08-02 16:05:21.712649
9218	2	2013-08-02 16:05:21.787273	2013-08-04 19:37:46.626227
9212	2	2013-08-02 16:05:21.771899	2013-08-04 19:37:46.6309
9257	2	2013-08-02 16:05:21.889887	2013-08-04 19:37:46.637921
9108	2	2013-08-02 16:05:21.496087	2013-08-04 19:37:46.643737
9128	2	2013-08-02 16:05:21.544565	2013-08-04 19:37:46.654685
9148	2	2013-08-02 16:05:21.676167	2013-08-04 19:37:46.665711
9247	2	2013-08-02 16:05:21.864356	2013-08-04 19:37:46.67671
9194	14	2013-08-02 16:05:21.725258	2013-08-02 16:05:21.725258
9227	2	2013-08-02 16:05:21.811263	2013-08-04 19:37:46.687508
9207	2	2013-08-02 16:05:21.759403	2013-08-04 19:37:46.698575
7321	2	2013-08-02 16:05:17.744818	2013-08-04 19:37:46.709611
9036	14	2013-08-02 16:05:21.323161	2013-08-03 17:52:04.083469
9110	2	2013-08-02 16:05:21.500933	2013-08-04 19:37:46.721641
9202	2	2013-08-02 16:05:21.746523	2013-08-02 16:05:21.746523
9204	4	2013-08-02 16:05:21.751807	2013-08-02 16:05:21.751807
9119	14	2013-08-02 16:05:21.522772	2013-08-03 17:54:09.754906
43066	4	2013-08-02 16:06:35.02885	2013-08-04 20:25:04.209262
43106	2	2013-08-02 16:06:35.071439	2013-08-04 20:25:04.216483
9214	14	2013-08-02 16:05:21.776958	2013-08-02 16:05:21.776958
43001	21	2013-08-02 16:06:34.939672	2013-08-04 20:25:04.360207
42986	21	2013-08-02 16:06:34.922521	2013-08-04 20:25:10.585282
9222	2	2013-08-02 16:05:21.797805	2013-08-02 16:05:21.797805
43006	21	2013-08-02 16:06:34.945552	2013-08-04 20:25:10.588411
9224	4	2013-08-02 16:05:21.803334	2013-08-02 16:05:21.803334
43086	2	2013-08-02 16:06:35.054548	2013-08-04 20:27:33.757045
43046	21	2013-08-02 16:06:35.00116	2013-08-04 20:27:33.775205
43026	2	2013-08-02 16:06:34.971954	2013-08-04 20:27:34.222749
42950	21	2013-08-02 16:06:34.879392	2013-08-04 20:27:34.596507
9234	14	2013-08-02 16:05:21.829364	2013-08-02 16:05:21.829364
9242	2	2013-08-02 16:05:21.850764	2013-08-02 16:05:21.850764
9244	4	2013-08-02 16:05:21.856379	2013-08-02 16:05:21.856379
9254	14	2013-08-02 16:05:21.882525	2013-08-02 16:05:21.882525
9262	2	2013-08-02 16:05:21.903142	2013-08-02 16:05:21.903142
9248	4	2013-08-02 16:05:21.86704	2013-08-03 01:02:07.198624
9228	4	2013-08-02 16:05:21.81393	2013-08-03 01:02:07.204849
9208	4	2013-08-02 16:05:21.761828	2013-08-03 01:02:07.208829
9188	4	2013-08-02 16:05:21.717506	2013-08-03 01:02:07.212956
9168	4	2013-08-02 16:05:21.696142	2013-08-03 01:02:07.217659
9237	4	2013-08-02 16:05:21.836729	2013-08-03 01:07:08.84884
9217	4	2013-08-02 16:05:21.784708	2013-08-03 01:07:08.861027
9197	4	2013-08-02 16:05:21.73293	2013-08-03 01:07:08.872483
9177	4	2013-08-02 16:05:21.704555	2013-08-03 01:07:08.883557
9157	14	2013-08-02 16:05:21.685248	2013-08-03 01:07:08.895269
9137	14	2013-08-02 16:05:21.566145	2013-08-03 01:07:08.906241
9117	14	2013-08-02 16:05:21.517765	2013-08-03 01:07:08.917186
9192	4	2013-08-02 16:05:21.722514	2013-08-03 01:25:23.397643
9255	2	2013-08-02 16:05:21.884986	2013-08-03 01:25:24.596434
9235	2	2013-08-02 16:05:21.831814	2013-08-03 01:25:24.602727
9215	2	2013-08-02 16:05:21.779501	2013-08-03 01:25:24.609801
9195	2	2013-08-02 16:05:21.727374	2013-08-03 01:25:24.617609
9175	2	2013-08-02 16:05:21.702374	2013-08-03 01:25:24.625803
9155	2	2013-08-02 16:05:21.683244	2013-08-03 01:25:24.634408
9135	2	2013-08-02 16:05:21.561327	2013-08-03 01:25:24.643474
9115	2	2013-08-02 16:05:21.512966	2013-08-03 01:25:24.653417
9243	2	2013-08-02 16:05:21.853808	2013-08-03 01:39:14.329862
9223	2	2013-08-02 16:05:21.800681	2013-08-03 01:39:14.340449
9203	2	2013-08-02 16:05:21.749174	2013-08-03 01:39:14.350757
9183	2	2013-08-02 16:05:21.711415	2013-08-03 01:39:14.361464
9163	2	2013-08-02 16:05:21.691259	2013-08-03 01:39:14.371903
9143	2	2013-08-02 16:05:21.665755	2013-08-03 01:39:14.382248
9123	2	2013-08-02 16:05:21.532551	2013-08-03 01:39:14.392951
9138	4	2013-08-02 16:05:21.568517	2013-08-03 01:43:47.959239
9178	2	2013-08-02 16:05:21.705645	2013-08-03 01:43:47.964847
9140	2	2013-08-02 16:05:21.573333	2013-08-03 01:43:48.019346
9120	2	2013-08-02 16:05:21.525209	2013-08-03 01:45:29.743682
9158	2	2013-08-02 16:05:21.686251	2013-08-03 01:45:29.754002
9258	2	2013-08-02 16:05:21.892475	2013-08-03 01:45:31.421398
9238	2	2013-08-02 16:05:21.83942	2013-08-03 01:45:31.432637
9220	4	2013-08-02 16:05:21.792464	2013-08-03 01:50:00.867179
9260	2	2013-08-02 16:05:21.897722	2013-08-03 01:50:00.873127
9112	2	2013-08-02 16:05:21.505753	2013-08-03 01:56:01.825844
9253	2	2013-08-02 16:05:21.880076	2013-08-03 01:56:01.837049
9233	2	2013-08-02 16:05:21.826806	2013-08-03 01:56:01.84846
9213	2	2013-08-02 16:05:21.774498	2013-08-03 01:56:01.859686
9193	2	2013-08-02 16:05:21.724043	2013-08-03 01:56:01.866754
9173	2	2013-08-02 16:05:21.700316	2013-08-03 01:56:01.87241
9153	2	2013-08-02 16:05:21.681244	2013-08-03 01:56:01.881503
9133	2	2013-08-02 16:05:21.556533	2013-08-03 01:56:01.890641
9113	2	2013-08-02 16:05:21.508141	2013-08-03 01:56:01.942356
9240	2	2013-08-02 16:05:21.845489	2013-08-03 02:06:04.033348
9264	4	2013-08-02 16:05:21.908446	2013-08-02 16:05:21.908446
9278	4	2013-08-02 16:05:21.945728	2013-08-03 17:42:00.634964
38315	21	2013-08-02 16:06:24.869855	2013-08-03 19:32:38.96453
9360	2	2013-08-02 16:05:22.170057	2013-08-03 02:37:18.130697
9361	2	2013-08-02 16:05:22.172438	2013-08-04 19:37:46.589219
9405	2	2013-08-02 16:05:22.287453	2013-08-03 02:37:18.142753
9385	2	2013-08-02 16:05:22.235257	2013-08-03 02:37:18.14969
9365	2	2013-08-02 16:05:22.182545	2013-08-03 02:37:18.154471
9274	14	2013-08-02 16:05:21.935243	2013-08-02 16:05:21.935243
9345	2	2013-08-02 16:05:22.130272	2013-08-03 02:37:18.15972
9290	14	2013-08-02 16:05:21.980819	2013-08-03 17:07:53.338906
9325	2	2013-08-02 16:05:22.076526	2013-08-03 02:37:18.165798
9305	2	2013-08-02 16:05:22.021074	2013-08-03 02:37:18.169569
9285	2	2013-08-02 16:05:21.966893	2013-08-03 02:37:18.172914
9265	2	2013-08-02 16:05:21.911249	2013-08-03 02:37:18.176346
48321	2	2013-08-02 16:06:46.393371	2013-08-04 01:31:50.764998
9282	2	2013-08-02 16:05:21.95585	2013-08-02 16:05:21.95585
9336	2	2013-08-02 16:05:22.106349	2013-08-03 02:47:52.297867
9284	4	2013-08-02 16:05:21.963741	2013-08-02 16:05:21.963741
45830	4	2013-08-02 16:06:41.297794	2013-08-04 01:31:50.851252
9316	2	2013-08-02 16:05:22.050653	2013-08-03 02:47:52.302633
9381	2	2013-08-02 16:05:22.22459	2013-08-04 19:37:46.594752
9296	2	2013-08-02 16:05:21.996763	2013-08-03 02:47:52.307368
9276	2	2013-08-02 16:05:21.940508	2013-08-03 02:47:52.312918
9294	14	2013-08-02 16:05:21.991424	2013-08-02 16:05:21.991424
9403	14	2013-08-02 16:05:22.282082	2013-08-04 17:36:51.975802
9401	2	2013-08-02 16:05:22.276892	2013-08-04 19:37:46.599715
4219	21	2013-08-02 16:05:12.218097	2013-08-03 21:04:20.524812
9287	2	2013-08-02 16:05:21.97238	2013-08-04 19:37:46.607422
29758	2	2013-08-02 16:06:04.810495	2013-08-03 19:32:39.528396
9302	2	2013-08-02 16:05:22.012894	2013-08-02 16:05:22.012894
9304	4	2013-08-02 16:05:22.018286	2013-08-02 16:05:22.018286
32701	14	2013-08-02 16:06:12.169525	2013-08-03 22:45:09.713371
9332	2	2013-08-02 16:05:22.095717	2013-08-04 19:37:46.612236
9356	2	2013-08-02 16:05:22.159784	2013-08-03 02:53:04.892807
9376	2	2013-08-02 16:05:22.21126	2013-08-03 02:58:08.768456
9314	14	2013-08-02 16:05:22.045362	2013-08-02 16:05:22.045362
9370	4	2013-08-02 16:05:22.195627	2013-08-03 17:10:33.253962
9310	4	2013-08-02 16:05:22.034653	2013-08-03 17:10:33.866787
9416	4	2013-08-02 16:05:22.317006	2013-08-03 17:10:34.115694
9270	4	2013-08-02 16:05:21.924724	2013-08-03 17:10:34.536679
7950	21	2013-08-02 16:05:18.705822	2013-08-03 21:04:20.52607
9322	2	2013-08-02 16:05:22.067529	2013-08-02 16:05:22.067529
9340	4	2013-08-02 16:05:22.117035	2013-08-03 17:42:01.61256
9324	4	2013-08-02 16:05:22.073547	2013-08-02 16:05:22.073547
9413	14	2013-08-02 16:05:22.308825	2013-08-04 17:36:51.987153
8472	21	2013-08-02 16:05:19.973564	2013-08-03 21:04:20.527088
9396	4	2013-08-02 16:05:22.263688	2013-08-03 17:48:56.093821
9303	2	2013-08-02 16:05:22.015569	2013-08-04 19:37:46.618094
9280	14	2013-08-02 16:05:21.950918	2013-08-04 17:36:51.998505
8183	21	2013-08-02 16:05:19.234261	2013-08-03 21:04:20.528024
3629	14	2013-08-02 16:05:10.838977	2013-08-03 17:48:56.126869
37635	21	2013-08-02 16:06:23.026301	2013-08-03 21:04:20.529049
9334	14	2013-08-02 16:05:22.101219	2013-08-02 16:05:22.101219
9409	14	2013-08-02 16:05:22.297994	2013-08-04 17:36:52.010641
9389	14	2013-08-02 16:05:22.245563	2013-08-04 17:36:52.022154
7384	14	2013-08-02 16:05:17.816887	2013-08-03 23:01:08.215606
8319	4	2013-08-02 16:05:19.57046	2013-08-03 17:48:56.166332
7599	4	2013-08-02 16:05:18.027356	2013-08-03 23:31:53.055845
9323	4	2013-08-02 16:05:22.070618	2013-08-03 21:11:32.204414
9342	2	2013-08-02 16:05:22.122369	2013-08-02 16:05:22.122369
8479	2	2013-08-02 16:05:19.992138	2013-08-03 17:48:56.168326
9344	4	2013-08-02 16:05:22.127594	2013-08-02 16:05:22.127594
9267	2	2013-08-02 16:05:21.916686	2013-08-04 19:37:46.62197
9277	21	2013-08-02 16:05:21.9432	2013-08-04 19:37:48.091218
9320	2	2013-08-02 16:05:22.061406	2013-08-04 19:42:26.131355
9395	2	2013-08-02 16:05:22.261019	2013-08-04 19:42:26.135702
6006	14	2013-08-02 16:05:15.186874	2013-08-03 17:48:56.179085
9415	2	2013-08-02 16:05:22.314288	2013-08-04 19:42:26.140489
42368	2	2013-08-02 16:06:33.657258	2013-08-04 20:25:04.514623
9354	14	2013-08-02 16:05:22.154475	2013-08-02 16:05:22.154475
9330	4	2013-08-02 16:05:22.089919	2013-08-03 17:52:02.556961
1742	2	2013-08-02 16:05:07.312812	2013-08-03 17:52:03.925604
3901	14	2013-08-02 16:05:11.510854	2013-08-03 17:52:04.073361
9898	2	2013-08-02 16:05:23.182975	2013-08-03 17:52:04.860469
8961	2	2013-08-02 16:05:21.128531	2013-08-03 17:52:04.995074
19649	21	2013-08-02 16:05:42.527264	2013-08-04 20:25:04.551911
9362	2	2013-08-02 16:05:22.174837	2013-08-02 16:05:22.174837
1592	2	2013-08-02 16:05:06.955824	2013-08-03 17:52:04.998436
9364	4	2013-08-02 16:05:22.17992	2013-08-02 16:05:22.17992
42965	21	2013-08-02 16:06:34.897058	2013-08-04 20:25:20.272251
43326	2	2013-08-02 16:06:35.309327	2013-08-04 20:27:33.966492
43290	2	2013-08-02 16:06:35.263846	2013-08-04 20:27:33.973221
43306	2	2013-08-02 16:06:35.280924	2013-08-04 20:27:33.980613
43286	2	2013-08-02 16:06:35.260494	2013-08-04 20:27:33.986705
8199	4	2013-08-02 16:05:19.272678	2013-08-03 17:57:10.96394
43258	2	2013-08-02 16:06:35.234431	2013-08-04 20:27:33.994474
43266	2	2013-08-02 16:06:35.242757	2013-08-04 20:27:34.002246
9374	14	2013-08-02 16:05:22.20592	2013-08-02 16:05:22.20592
43246	2	2013-08-02 16:06:35.223563	2013-08-04 20:27:34.008899
43218	2	2013-08-02 16:06:35.194428	2013-08-04 20:27:34.018445
43226	2	2013-08-02 16:06:35.20262	2013-08-04 20:27:34.023654
43206	2	2013-08-02 16:06:35.18315	2013-08-04 20:27:34.030546
43245	2	2013-08-02 16:06:35.222518	2013-08-04 20:27:34.037144
43186	2	2013-08-02 16:06:35.164821	2013-08-04 20:27:34.0444
42117	2	2013-08-02 16:06:33.082026	2013-08-04 20:27:34.242958
9382	2	2013-08-02 16:05:22.227244	2013-08-02 16:05:22.227244
28216	2	2013-08-02 16:06:01.506877	2013-08-04 20:27:34.250428
9384	4	2013-08-02 16:05:22.232587	2013-08-02 16:05:22.232587
42526	2	2013-08-02 16:06:34.05538	2013-08-04 20:27:34.259138
41905	2	2013-08-02 16:06:32.333139	2013-08-04 20:27:34.264569
41995	2	2013-08-02 16:06:32.55997	2013-08-04 20:27:34.272099
42053	2	2013-08-02 16:06:32.701879	2013-08-04 20:27:34.277559
42060	2	2013-08-02 16:06:32.718664	2013-08-04 20:27:34.282806
42548	2	2013-08-02 16:06:34.114654	2013-08-04 20:27:34.401009
42448	2	2013-08-02 16:06:33.859076	2013-08-04 20:27:34.506426
42485	2	2013-08-02 16:06:33.937884	2013-08-04 20:27:34.512986
9394	14	2013-08-02 16:05:22.258289	2013-08-02 16:05:22.258289
9402	2	2013-08-02 16:05:22.279461	2013-08-02 16:05:22.279461
9404	4	2013-08-02 16:05:22.284776	2013-08-02 16:05:22.284776
9414	14	2013-08-02 16:05:22.311567	2013-08-02 16:05:22.311567
9411	14	2013-08-02 16:05:22.303381	2013-08-03 00:47:07.024518
9419	14	2013-08-02 16:05:22.323172	2013-08-03 00:47:07.968788
9288	21	2013-08-02 16:05:21.975218	2013-08-03 01:02:07.189645
9268	4	2013-08-02 16:05:21.919327	2013-08-03 01:02:07.193008
9408	14	2013-08-02 16:05:22.295307	2013-08-03 01:07:07.53917
9388	14	2013-08-02 16:05:22.243067	2013-08-03 01:07:07.544119
9368	14	2013-08-02 16:05:22.190315	2013-08-03 01:07:07.548646
9348	14	2013-08-02 16:05:22.138274	2013-08-03 01:07:07.55539
9328	14	2013-08-02 16:05:22.084604	2013-08-03 01:07:07.562983
9308	14	2013-08-02 16:05:22.029255	2013-08-03 01:07:07.574659
9377	21	2013-08-02 16:05:22.213917	2013-08-03 01:07:08.785939
9357	21	2013-08-02 16:05:22.162459	2013-08-03 01:07:08.789024
9337	21	2013-08-02 16:05:22.109001	2013-08-03 01:07:08.792699
9417	14	2013-08-02 16:05:22.319677	2013-08-03 01:13:43.425354
9397	14	2013-08-02 16:05:22.266342	2013-08-03 01:13:43.429688
9272	4	2013-08-02 16:05:21.930071	2013-08-03 01:24:56.955634
9312	2	2013-08-02 16:05:22.039966	2013-08-03 01:24:56.959554
9412	14	2013-08-02 16:05:22.306046	2013-08-03 01:25:24.153557
9335	2	2013-08-02 16:05:22.103805	2013-08-03 01:25:24.57769
9315	2	2013-08-02 16:05:22.048002	2013-08-03 01:25:24.582734
9295	2	2013-08-02 16:05:21.994114	2013-08-03 01:25:24.587249
9275	2	2013-08-02 16:05:21.937875	2013-08-03 01:25:24.591761
9375	14	2013-08-02 16:05:22.208643	2013-08-03 01:32:14.601701
9355	14	2013-08-02 16:05:22.157147	2013-08-03 01:32:14.60588
9383	14	2013-08-02 16:05:22.229918	2013-08-03 01:43:47.472144
9363	4	2013-08-02 16:05:22.177264	2013-08-03 01:45:31.023954
9378	14	2013-08-02 16:05:22.216597	2013-08-03 01:45:31.353848
9358	14	2013-08-02 16:05:22.165148	2013-08-03 01:45:31.364709
9338	4	2013-08-02 16:05:22.111665	2013-08-03 01:45:31.375777
9318	4	2013-08-02 16:05:22.055977	2013-08-03 01:45:31.387079
9380	4	2013-08-02 16:05:22.221921	2013-08-03 01:55:06.000872
9420	2	2013-08-02 16:05:22.325702	2013-08-03 01:55:06.003299
9400	2	2013-08-02 16:05:22.274475	2013-08-03 01:56:00.952429
9300	4	2013-08-02 16:05:22.007546	2013-08-03 01:56:01.365606
9273	2	2013-08-02 16:05:21.932745	2013-08-03 01:56:01.814349
9333	14	2013-08-02 16:05:22.098472	2013-08-03 02:00:11.272505
9353	2	2013-08-02 16:05:22.151796	2013-08-03 02:01:00.13545
9298	2	2013-08-02 16:05:22.002076	2013-08-03 02:05:14.294254
9422	2	2013-08-02 16:05:22.330866	2013-08-02 16:05:22.330866
9525	2	2013-08-02 16:05:22.545169	2013-08-03 02:37:18.086182
9424	4	2013-08-02 16:05:22.336235	2013-08-02 16:05:22.336235
9541	21	2013-08-02 16:05:22.579191	2013-08-03 17:42:00.581493
9505	2	2013-08-02 16:05:22.516603	2013-08-03 02:37:18.090804
9527	2	2013-08-02 16:05:22.547328	2013-08-04 19:42:26.048173
9521	4	2013-08-02 16:05:22.539754	2013-08-03 17:42:00.609898
9485	2	2013-08-02 16:05:22.477631	2013-08-03 02:37:18.095784
9465	2	2013-08-02 16:05:22.45283	2013-08-03 02:37:18.099878
9445	2	2013-08-02 16:05:22.393691	2013-08-03 02:37:18.109092
9434	14	2013-08-02 16:05:22.363036	2013-08-02 16:05:22.363036
9425	2	2013-08-02 16:05:22.338865	2013-08-03 02:37:18.119666
9450	2	2013-08-02 16:05:22.407414	2013-08-03 17:07:53.372992
9480	21	2013-08-02 16:05:22.471893	2013-08-04 17:36:51.801896
30860	21	2013-08-02 16:06:07.435703	2013-08-03 19:32:39.7508
9430	4	2013-08-02 16:05:22.352434	2013-08-03 17:10:32.287814
9460	4	2013-08-02 16:05:22.43731	2013-08-03 17:10:33.516445
30840	21	2013-08-02 16:06:07.388149	2013-08-03 19:32:39.754756
9442	2	2013-08-02 16:05:22.385107	2013-08-02 16:05:22.385107
9543	14	2013-08-02 16:05:22.584523	2013-08-03 02:41:45.094993
9444	4	2013-08-02 16:05:22.390566	2013-08-02 16:05:22.390566
9443	4	2013-08-02 16:05:22.387796	2013-08-03 17:10:33.525296
30820	21	2013-08-02 16:06:07.33546	2013-08-03 19:32:39.758547
9512	4	2013-08-02 16:05:22.529282	2013-08-03 17:10:33.53403
1196	2	2013-08-02 16:05:06.045815	2013-08-04 19:42:26.053668
9501	4	2013-08-02 16:05:22.512271	2013-08-03 17:42:00.615046
9565	2	2013-08-02 16:05:22.646872	2013-08-03 02:42:40.891414
9546	2	2013-08-02 16:05:22.592578	2013-08-04 19:42:26.05945
9570	4	2013-08-02 16:05:22.659949	2013-08-03 17:10:33.541598
9454	14	2013-08-02 16:05:22.418457	2013-08-02 16:05:22.418457
9456	4	2013-08-02 16:05:22.423995	2013-08-03 02:52:17.201403
9550	4	2013-08-02 16:05:22.603657	2013-08-03 17:10:33.548706
9530	4	2013-08-02 16:05:22.552399	2013-08-03 17:10:33.558969
9496	2	2013-08-02 16:05:22.497164	2013-08-03 02:52:17.203517
30780	4	2013-08-02 16:06:07.23897	2013-08-03 19:32:39.78896
9476	2	2013-08-02 16:05:22.466929	2013-08-03 02:53:03.929804
41403	2	2013-08-02 16:06:31.059557	2013-08-04 19:42:26.063132
9462	2	2013-08-02 16:05:22.442933	2013-08-02 16:05:22.442933
9473	2	2013-08-02 16:05:22.46035	2013-08-03 02:53:04.341309
9464	4	2013-08-02 16:05:22.448997	2013-08-02 16:05:22.448997
9510	4	2013-08-02 16:05:22.525951	2013-08-03 17:10:33.568717
2895	4	2013-08-02 16:05:09.332574	2013-08-03 22:49:45.805334
9576	2	2013-08-02 16:05:22.676027	2013-08-03 02:53:05.073821
9507	2	2013-08-02 16:05:22.519685	2013-08-04 19:42:26.070362
9481	4	2013-08-02 16:05:22.473033	2013-08-03 17:42:00.618173
9556	2	2013-08-02 16:05:22.620456	2013-08-03 02:53:05.081005
9536	2	2013-08-02 16:05:22.565615	2013-08-03 02:53:05.090304
9490	4	2013-08-02 16:05:22.484021	2013-08-03 17:10:33.578466
9474	14	2013-08-02 16:05:22.462227	2013-08-02 16:05:22.462227
9461	4	2013-08-02 16:05:22.44012	2013-08-03 17:42:00.620973
9516	4	2013-08-02 16:05:22.533184	2013-08-03 17:42:00.623846
9441	4	2013-08-02 16:05:22.382373	2013-08-03 17:42:00.627026
9470	4	2013-08-02 16:05:22.457598	2013-08-03 17:42:00.629782
9421	4	2013-08-02 16:05:22.328157	2013-08-03 17:42:00.632398
9436	21	2013-08-02 16:05:22.368711	2013-08-03 17:42:01.584501
42183	14	2013-08-02 16:06:33.20248	2013-08-03 19:33:53.479834
9482	2	2013-08-02 16:05:22.474192	2013-08-02 16:05:22.474192
9446	4	2013-08-02 16:05:22.396467	2013-08-03 17:42:01.597821
9484	4	2013-08-02 16:05:22.476158	2013-08-02 16:05:22.476158
9426	4	2013-08-02 16:05:22.3416	2013-08-03 17:42:01.604505
10868	2	2013-08-02 16:05:24.284508	2013-08-04 19:42:26.081616
9487	2	2013-08-02 16:05:22.480017	2013-08-04 19:42:26.093494
9467	2	2013-08-02 16:05:22.4548	2013-08-04 19:42:26.104547
2975	2	2013-08-02 16:05:09.427046	2013-08-03 23:04:24.946854
9447	2	2013-08-02 16:05:22.399167	2013-08-04 19:42:26.11269
9561	14	2013-08-02 16:05:22.636032	2013-08-03 17:42:44.052519
9494	14	2013-08-02 16:05:22.491446	2013-08-02 16:05:22.491446
9427	2	2013-08-02 16:05:22.344314	2013-08-04 19:42:26.117072
42223	4	2013-08-02 16:06:33.308574	2013-08-03 19:37:44.478615
48361	2	2013-08-02 16:06:46.444205	2013-08-04 19:42:26.121452
4709	2	2013-08-02 16:05:12.880222	2013-08-04 19:42:26.125864
9558	2	2013-08-02 16:05:22.627317	2013-08-04 19:42:27.157313
9440	4	2013-08-02 16:05:22.379569	2013-08-03 17:47:05.452979
33325	21	2013-08-02 16:06:13.695848	2013-08-03 21:04:20.694084
9502	2	2013-08-02 16:05:22.513691	2013-08-02 16:05:22.513691
21250	21	2013-08-02 16:05:45.598103	2013-08-03 21:04:20.700943
9504	4	2013-08-02 16:05:22.515619	2013-08-02 16:05:22.515619
5621	2	2013-08-02 16:05:14.254086	2013-08-03 21:11:32.208686
3731	4	2013-08-02 16:05:11.081056	2013-08-03 21:17:30.156012
9433	2	2013-08-02 16:05:22.360504	2013-08-04 19:42:27.162181
42428	2	2013-08-02 16:06:33.808125	2013-08-04 20:27:34.522448
42408	2	2013-08-02 16:06:33.756597	2013-08-04 20:27:34.53636
42493	21	2013-08-02 16:06:33.961612	2013-08-04 20:27:34.580795
9514	14	2013-08-02 16:05:22.531298	2013-08-02 16:05:22.531298
9523	4	2013-08-02 16:05:22.542347	2013-08-03 17:48:55.923569
42418	2	2013-08-02 16:06:33.781551	2013-08-04 20:27:34.779193
4509	14	2013-08-02 16:05:12.685445	2013-08-03 17:48:56.26643
9545	14	2013-08-02 16:05:22.589906	2013-08-03 21:54:22.329702
42946	2	2013-08-02 16:06:34.874234	2013-08-04 20:27:34.82488
9522	2	2013-08-02 16:05:22.541444	2013-08-02 16:05:22.541444
9566	4	2013-08-02 16:05:22.649329	2013-08-03 17:52:02.547535
9524	4	2013-08-02 16:05:22.5435	2013-08-02 16:05:22.5435
8021	2	2013-08-02 16:05:18.886823	2013-08-04 20:27:35.564162
8058	2	2013-08-02 16:05:18.939254	2013-08-04 20:27:35.570526
8085	2	2013-08-02 16:05:18.983345	2013-08-04 20:27:35.576172
18858	2	2013-08-02 16:05:40.510082	2013-08-04 20:27:35.582454
8024	2	2013-08-02 16:05:18.894149	2013-08-04 20:27:35.589514
8030	2	2013-08-02 16:05:18.908348	2013-08-04 20:27:35.596076
9534	14	2013-08-02 16:05:22.559873	2013-08-02 16:05:22.559873
8138	2	2013-08-02 16:05:19.120137	2013-08-04 20:27:35.604253
23283	2	2013-08-02 16:05:50.857799	2013-08-04 20:27:35.958157
43126	2	2013-08-02 16:06:35.091975	2013-08-04 20:27:35.974516
42388	2	2013-08-02 16:06:33.707979	2013-08-04 20:27:35.988694
42633	2	2013-08-02 16:06:34.315327	2013-08-04 20:27:36.0032
42690	4	2013-08-02 16:06:34.370873	2013-08-04 20:27:36.219705
42688	4	2013-08-02 16:06:34.369145	2013-08-04 20:27:36.235243
9542	2	2013-08-02 16:05:22.581849	2013-08-02 16:05:22.581849
42668	4	2013-08-02 16:06:34.350373	2013-08-04 20:27:36.250071
9544	4	2013-08-02 16:05:22.587231	2013-08-02 16:05:22.587231
42648	4	2013-08-02 16:06:34.331871	2013-08-04 20:27:36.265177
9554	14	2013-08-02 16:05:22.615131	2013-08-02 16:05:22.615131
9562	2	2013-08-02 16:05:22.638718	2013-08-02 16:05:22.638718
9564	4	2013-08-02 16:05:22.64418	2013-08-02 16:05:22.64418
9574	14	2013-08-02 16:05:22.670702	2013-08-02 16:05:22.670702
9528	4	2013-08-02 16:05:22.548762	2013-08-03 01:07:07.511136
9508	4	2013-08-02 16:05:22.52203	2013-08-03 01:07:07.515393
9488	4	2013-08-02 16:05:22.481666	2013-08-03 01:07:07.519217
9468	4	2013-08-02 16:05:22.455727	2013-08-03 01:07:07.522542
9448	4	2013-08-02 16:05:22.401664	2013-08-03 01:07:07.526531
9428	4	2013-08-02 16:05:22.347009	2013-08-03 01:07:07.532306
9457	21	2013-08-02 16:05:22.426718	2013-08-03 01:13:43.418655
9437	14	2013-08-02 16:05:22.371475	2013-08-03 01:13:43.421836
9577	21	2013-08-02 16:05:22.678698	2013-08-03 01:19:33.221122
9557	21	2013-08-02 16:05:22.62389	2013-08-03 01:19:33.223571
9537	21	2013-08-02 16:05:22.568259	2013-08-03 01:19:33.224818
9517	21	2013-08-02 16:05:22.534061	2013-08-03 01:19:33.22686
9477	2	2013-08-02 16:05:22.468787	2013-08-03 01:25:24.063458
9497	2	2013-08-02 16:05:22.500118	2013-08-03 01:25:24.072855
9532	21	2013-08-02 16:05:22.556186	2013-08-03 01:25:24.092991
9452	14	2013-08-02 16:05:22.4129	2013-08-03 01:25:24.133511
9432	14	2013-08-02 16:05:22.357838	2013-08-03 01:25:24.143593
9572	2	2013-08-02 16:05:22.66536	2013-08-03 01:32:13.96116
9455	21	2013-08-02 16:05:22.421282	2013-08-03 01:32:14.585225
9575	21	2013-08-02 16:05:22.67337	2013-08-03 01:39:15.50429
9555	21	2013-08-02 16:05:22.617811	2013-08-03 01:39:15.505429
9535	21	2013-08-02 16:05:22.562751	2013-08-03 01:39:15.506547
9475	2	2013-08-02 16:05:22.465012	2013-08-03 01:39:15.516865
9563	4	2013-08-02 16:05:22.641473	2013-08-03 01:43:47.498441
9538	21	2013-08-02 16:05:22.570963	2013-08-03 01:45:31.287778
9518	21	2013-08-02 16:05:22.535651	2013-08-03 01:45:31.291455
9498	21	2013-08-02 16:05:22.503748	2013-08-03 01:45:31.294665
9478	21	2013-08-02 16:05:22.469902	2013-08-03 01:45:31.297479
9458	21	2013-08-02 16:05:22.430467	2013-08-03 01:45:31.300461
9493	4	2013-08-02 16:05:22.489184	2013-08-03 02:00:11.304265
9533	2	2013-08-02 16:05:22.558088	2013-08-03 02:00:11.31144
9573	2	2013-08-02 16:05:22.668042	2013-08-03 02:01:00.275424
9513	14	2013-08-02 16:05:22.530435	2013-08-03 02:05:14.073643
9423	2	2013-08-02 16:05:22.333576	2013-08-03 02:11:05.110567
9658	4	2013-08-02 16:05:22.878483	2013-08-03 17:10:33.45573
9605	14	2013-08-02 16:05:22.737979	2013-08-03 02:41:44.701152
9730	4	2013-08-02 16:05:22.947342	2013-08-03 17:10:33.459367
8019	2	2013-08-02 16:05:18.881707	2013-08-03 20:34:53.137027
9582	2	2013-08-02 16:05:22.686957	2013-08-02 16:05:22.686957
9710	4	2013-08-02 16:05:22.928717	2013-08-03 17:10:33.462928
9584	4	2013-08-02 16:05:22.689543	2013-08-02 16:05:22.689543
9690	4	2013-08-02 16:05:22.909342	2013-08-03 17:10:33.466494
9647	2	2013-08-02 16:05:22.854833	2013-08-04 19:42:27.081724
9717	2	2013-08-02 16:05:22.93566	2013-08-04 19:42:27.093949
9675	14	2013-08-02 16:05:22.895226	2013-08-03 20:35:12.891718
9601	14	2013-08-02 16:05:22.725615	2013-08-03 17:42:23.989097
9627	2	2013-08-02 16:05:22.798398	2013-08-04 19:42:27.106111
9670	4	2013-08-02 16:05:22.890136	2013-08-03 17:10:33.470502
9594	14	2013-08-02 16:05:22.704789	2013-08-02 16:05:22.704789
9650	4	2013-08-02 16:05:22.865674	2013-08-03 17:10:33.476536
42383	4	2013-08-02 16:06:33.695521	2013-08-03 19:33:53.493675
9618	4	2013-08-02 16:05:22.774314	2013-08-03 02:41:44.732481
2921	2	2013-08-02 16:05:09.358549	2013-08-04 19:42:27.117979
9725	2	2013-08-02 16:05:22.943435	2013-08-03 02:42:40.290797
42403	2	2013-08-02 16:06:33.744732	2013-08-03 19:33:53.494512
9602	2	2013-08-02 16:05:22.728392	2013-08-02 16:05:22.728392
9676	2	2013-08-02 16:05:22.896153	2013-08-03 02:53:05.04384
9604	4	2013-08-02 16:05:22.735222	2013-08-02 16:05:22.735222
9630	4	2013-08-02 16:05:22.806826	2013-08-03 17:10:33.483467
1278	21	2013-08-02 16:05:06.197563	2013-08-03 21:04:20.703743
9656	2	2013-08-02 16:05:22.876815	2013-08-03 02:53:05.048341
9607	2	2013-08-02 16:05:22.743437	2013-08-04 19:42:27.12989
48501	21	2013-08-02 16:06:46.658537	2013-08-04 01:35:46.93698
9636	2	2013-08-02 16:05:22.822555	2013-08-03 02:53:05.058231
9616	2	2013-08-02 16:05:22.768781	2013-08-03 02:53:05.06461
9596	2	2013-08-02 16:05:22.709765	2013-08-03 02:53:05.068461
9614	14	2013-08-02 16:05:22.762518	2013-08-02 16:05:22.762518
9696	14	2013-08-02 16:05:22.914705	2013-08-03 02:57:24.943741
9610	4	2013-08-02 16:05:22.751454	2013-08-03 17:10:33.492321
9685	4	2013-08-02 16:05:22.904653	2013-08-03 17:10:33.500525
9716	2	2013-08-02 16:05:22.934868	2013-08-03 02:58:08.757414
9590	4	2013-08-02 16:05:22.698172	2013-08-03 17:10:33.508416
38775	2	2013-08-02 16:06:26.009885	2013-08-03 19:33:53.602324
9622	2	2013-08-02 16:05:22.784889	2013-08-02 16:05:22.784889
4199	14	2013-08-02 16:05:12.196793	2013-08-03 19:33:53.631337
9624	4	2013-08-02 16:05:22.790271	2013-08-02 16:05:22.790271
20371	2	2013-08-02 16:05:44.274802	2013-08-04 01:35:47.363372
9637	2	2013-08-02 16:05:22.825305	2013-08-04 19:42:27.143353
9587	2	2013-08-02 16:05:22.694692	2013-08-04 19:42:27.148021
42323	2	2013-08-02 16:06:33.549831	2013-08-04 19:42:27.152625
2915	2	2013-08-02 16:05:09.352052	2013-08-03 22:49:21.21662
30800	21	2013-08-02 16:06:07.287854	2013-08-03 21:09:21.521729
9718	2	2013-08-02 16:05:22.936418	2013-08-04 19:47:24.707878
9634	14	2013-08-02 16:05:22.817381	2013-08-02 16:05:22.817381
9688	4	2013-08-02 16:05:22.907378	2013-08-03 17:42:24.024201
9578	2	2013-08-02 16:05:22.68098	2013-08-04 19:47:24.719533
9640	2	2013-08-02 16:05:22.833378	2013-08-03 17:42:24.027001
9592	2	2013-08-02 16:05:22.700476	2013-08-04 19:47:24.729785
9597	2	2013-08-02 16:05:22.71228	2013-08-04 19:47:24.741244
9588	2	2013-08-02 16:05:22.695868	2013-08-04 19:47:24.7533
9608	2	2013-08-02 16:05:22.746139	2013-08-04 19:47:24.765409
9642	2	2013-08-02 16:05:22.838756	2013-08-02 16:05:22.838756
9628	2	2013-08-02 16:05:22.801311	2013-08-04 19:47:24.778399
9644	4	2013-08-02 16:05:22.844073	2013-08-02 16:05:22.844073
9603	4	2013-08-02 16:05:22.731687	2013-08-03 17:42:44.466466
9648	2	2013-08-02 16:05:22.857859	2013-08-04 19:47:24.790083
9727	2	2013-08-02 16:05:22.945055	2013-08-04 19:47:24.801667
9712	2	2013-08-02 16:05:22.931161	2013-08-04 19:47:24.81392
9707	2	2013-08-02 16:05:22.925542	2013-08-04 19:47:24.82652
9626	2	2013-08-02 16:05:22.795691	2013-08-04 19:47:24.831142
9621	4	2013-08-02 16:05:22.782252	2013-08-03 17:47:05.447893
9654	14	2013-08-02 16:05:22.875146	2013-08-02 16:05:22.875146
9586	2	2013-08-02 16:05:22.692755	2013-08-03 17:48:55.931182
9687	2	2013-08-02 16:05:22.90643	2013-08-04 19:47:24.835627
9665	2	2013-08-02 16:05:22.88527	2013-08-03 17:48:56.100364
4536	2	2013-08-02 16:05:12.712937	2013-08-04 19:47:24.840232
9667	2	2013-08-02 16:05:22.887298	2013-08-04 19:47:24.844923
1762	2	2013-08-02 16:05:07.361615	2013-08-04 19:47:24.849389
9662	2	2013-08-02 16:05:22.882543	2013-08-02 16:05:22.882543
9681	2	2013-08-02 16:05:22.900891	2013-08-04 19:47:24.853898
9664	4	2013-08-02 16:05:22.884394	2013-08-02 16:05:22.884394
9700	2	2013-08-02 16:05:22.918256	2013-08-04 19:47:26.004978
19809	2	2013-08-02 16:05:42.927409	2013-08-04 20:27:36.422331
19789	2	2013-08-02 16:05:42.879634	2013-08-04 20:27:36.430914
19783	2	2013-08-02 16:05:42.86498	2013-08-04 20:27:36.441167
19629	4	2013-08-02 16:05:42.475286	2013-08-04 20:27:36.797298
42966	4	2013-08-02 16:06:34.898106	2013-08-04 20:27:36.802449
9674	14	2013-08-02 16:05:22.893994	2013-08-02 16:05:22.893994
16403	2	2013-08-02 16:05:35.273551	2013-08-04 20:27:36.935345
25037	4	2013-08-02 16:05:53.843592	2013-08-03 17:48:56.304568
42906	2	2013-08-02 16:06:34.832791	2013-08-04 20:27:37.000865
9641	2	2013-08-02 16:05:22.83603	2013-08-03 17:52:03.917987
20035	4	2013-08-02 16:05:43.507857	2013-08-04 20:28:12.43659
9682	2	2013-08-02 16:05:22.901823	2013-08-02 16:05:22.901823
20548	4	2013-08-02 16:05:44.4471	2013-08-03 17:52:04.983942
9684	4	2013-08-02 16:05:22.903771	2013-08-02 16:05:22.903771
6206	2	2013-08-02 16:05:15.633545	2013-08-03 17:52:04.99115
9526	14	2013-08-02 16:05:22.546393	2013-08-03 17:54:09.452021
19995	2	2013-08-02 16:05:43.405921	2013-08-04 20:28:12.440855
20015	21	2013-08-02 16:05:43.454818	2013-08-04 20:28:12.457613
20009	21	2013-08-02 16:05:43.439533	2013-08-04 20:28:49.238359
9694	14	2013-08-02 16:05:22.912996	2013-08-02 16:05:22.912996
20055	21	2013-08-02 16:05:43.547859	2013-08-04 20:29:11.880999
19812	2	2013-08-02 16:05:42.934784	2013-08-04 20:32:39.995631
43341	2	2013-08-02 16:06:35.332305	2013-08-04 20:32:42.831279
9702	2	2013-08-02 16:05:22.920398	2013-08-02 16:05:22.920398
9704	4	2013-08-02 16:05:22.922777	2013-08-02 16:05:22.922777
9646	4	2013-08-02 16:05:22.851281	2013-08-03 17:55:22.28688
9606	4	2013-08-02 16:05:22.740779	2013-08-03 17:57:11.89495
9373	4	2013-08-02 16:05:22.203144	2013-08-03 17:57:11.901707
9720	4	2013-08-02 16:05:22.938403	2013-08-03 17:58:45.869328
9714	14	2013-08-02 16:05:22.933234	2013-08-02 16:05:22.933234
9598	4	2013-08-02 16:05:22.71506	2013-08-03 17:59:05.527901
9732	4	2013-08-02 16:05:22.949572	2013-08-03 18:02:46.87917
9722	2	2013-08-02 16:05:22.940342	2013-08-02 16:05:22.940342
9724	4	2013-08-02 16:05:22.9425	2013-08-02 16:05:22.9425
9734	14	2013-08-02 16:05:22.951414	2013-08-02 16:05:22.951414
9668	21	2013-08-02 16:05:22.888253	2013-08-03 01:07:07.470961
9708	14	2013-08-02 16:05:22.92645	2013-08-03 01:13:18.704776
9657	4	2013-08-02 16:05:22.877678	2013-08-03 01:24:57.171053
9697	2	2013-08-02 16:05:22.915662	2013-08-03 01:24:57.174834
9652	4	2013-08-02 16:05:22.871924	2013-08-03 01:31:51.867361
9692	2	2013-08-02 16:05:22.911213	2013-08-03 01:31:51.874563
9615	21	2013-08-02 16:05:22.765967	2013-08-03 01:39:15.501903
9595	21	2013-08-02 16:05:22.707314	2013-08-03 01:39:15.503169
9583	2	2013-08-02 16:05:22.68833	2013-08-03 01:43:47.501595
9672	2	2013-08-02 16:05:22.891891	2013-08-03 01:45:29.662201
9677	2	2013-08-02 16:05:22.897116	2013-08-03 01:45:29.672763
9723	2	2013-08-02 16:05:22.941561	2013-08-03 01:45:29.682754
9703	2	2013-08-02 16:05:22.921801	2013-08-03 01:45:29.692956
9683	2	2013-08-02 16:05:22.902778	2013-08-03 01:45:29.702967
9663	2	2013-08-02 16:05:22.883315	2013-08-03 01:45:29.713259
9643	2	2013-08-02 16:05:22.841465	2013-08-03 01:45:29.723457
9623	2	2013-08-02 16:05:22.787544	2013-08-03 01:45:29.733395
9715	14	2013-08-02 16:05:22.934052	2013-08-03 01:45:30.974462
9695	14	2013-08-02 16:05:22.91384	2013-08-03 01:45:30.985019
9638	4	2013-08-02 16:05:22.827995	2013-08-03 01:50:00.80317
9678	2	2013-08-02 16:05:22.898351	2013-08-03 01:50:00.809288
9580	4	2013-08-02 16:05:22.684465	2013-08-03 02:00:11.550097
9620	2	2013-08-02 16:05:22.779703	2013-08-03 02:00:11.556418
9728	2	2013-08-02 16:05:22.945821	2013-08-03 02:01:00.222814
9733	2	2013-08-02 16:05:22.950483	2013-08-03 02:01:00.228293
9713	2	2013-08-02 16:05:22.931972	2013-08-03 02:01:00.23461
9693	2	2013-08-02 16:05:22.912002	2013-08-03 02:01:00.241248
9673	2	2013-08-02 16:05:22.892666	2013-08-03 02:01:00.246841
9653	2	2013-08-02 16:05:22.874125	2013-08-03 02:01:00.252097
9633	2	2013-08-02 16:05:22.814698	2013-08-03 02:01:00.258208
9613	2	2013-08-02 16:05:22.759745	2013-08-03 02:01:00.264861
9593	2	2013-08-02 16:05:22.702522	2013-08-03 02:01:00.269959
9680	2	2013-08-02 16:05:22.899931	2013-08-03 02:06:04.566152
9600	2	2013-08-02 16:05:22.722685	2013-08-03 02:06:05.198137
9880	4	2013-08-02 16:05:23.169867	2013-08-03 17:20:36.029687
9788	4	2013-08-02 16:05:22.998196	2013-08-03 17:20:36.034663
9765	2	2013-08-02 16:05:22.979109	2013-08-03 02:41:44.739373
9748	2	2013-08-02 16:05:22.964815	2013-08-04 19:47:25.80118
9745	2	2013-08-02 16:05:22.962259	2013-08-03 02:42:39.587432
9860	2	2013-08-02 16:05:23.061202	2013-08-03 02:42:39.840738
9821	21	2013-08-02 16:05:23.023882	2013-08-03 20:37:36.580525
9742	2	2013-08-02 16:05:22.959202	2013-08-02 16:05:22.959202
9752	2	2013-08-02 16:05:22.96785	2013-08-03 02:42:39.851365
9744	4	2013-08-02 16:05:22.961404	2013-08-02 16:05:22.961404
9890	4	2013-08-02 16:05:23.177251	2013-08-03 17:20:36.040472
9740	2	2013-08-02 16:05:22.957416	2013-08-03 02:42:39.862032
9737	2	2013-08-02 16:05:22.954305	2013-08-04 19:47:25.812761
17048	4	2013-08-02 16:05:36.94943	2013-08-03 22:45:29.601091
9868	2	2013-08-02 16:05:23.069047	2013-08-03 02:42:39.872771
9885	2	2013-08-02 16:05:23.173647	2013-08-03 02:42:39.883493
9865	2	2013-08-02 16:05:23.066161	2013-08-03 02:42:39.894231
9754	14	2013-08-02 16:05:22.969328	2013-08-02 16:05:22.969328
9845	2	2013-08-02 16:05:23.046658	2013-08-03 02:42:39.904985
9870	4	2013-08-02 16:05:23.071173	2013-08-03 17:20:36.046436
9825	2	2013-08-02 16:05:23.026697	2013-08-03 02:42:39.915714
9805	2	2013-08-02 16:05:23.011774	2013-08-03 02:42:39.926616
9850	4	2013-08-02 16:05:23.051384	2013-08-03 17:20:36.053554
19577	2	2013-08-02 16:05:42.350158	2013-08-04 01:35:47.374712
20315	2	2013-08-02 16:05:44.215188	2013-08-04 01:35:47.386365
9762	2	2013-08-02 16:05:22.975264	2013-08-02 16:05:22.975264
9741	14	2013-08-02 16:05:22.958244	2013-08-03 17:42:44.409012
9764	4	2013-08-02 16:05:22.97768	2013-08-02 16:05:22.97768
9830	4	2013-08-02 16:05:23.032165	2013-08-03 17:20:36.063166
2995	2	2013-08-02 16:05:09.450456	2013-08-03 22:45:29.603295
9828	2	2013-08-02 16:05:23.029976	2013-08-04 19:47:25.823744
9891	2	2013-08-02 16:05:23.177913	2013-08-04 19:47:25.834508
17960	2	2013-08-02 16:05:38.994322	2013-08-03 19:34:28.852284
9810	4	2013-08-02 16:05:23.015629	2013-08-03 17:20:36.073892
20351	2	2013-08-02 16:05:44.251579	2013-08-04 01:35:47.397121
9774	14	2013-08-02 16:05:22.987705	2013-08-02 16:05:22.987705
9790	4	2013-08-02 16:05:22.999631	2013-08-03 17:20:36.085137
9770	4	2013-08-02 16:05:22.984223	2013-08-03 17:20:36.096204
9883	4	2013-08-02 16:05:23.17226	2013-08-03 02:57:24.981377
9876	2	2013-08-02 16:05:23.076869	2013-08-03 02:58:08.244227
9776	4	2013-08-02 16:05:22.989354	2013-08-03 17:20:36.108106
9808	4	2013-08-02 16:05:23.014121	2013-08-04 17:41:53.56351
9887	2	2013-08-02 16:05:23.175092	2013-08-04 19:47:25.846004
9782	2	2013-08-02 16:05:22.993931	2013-08-02 16:05:22.993931
9867	2	2013-08-02 16:05:23.068099	2013-08-04 19:47:25.857669
9784	4	2013-08-02 16:05:22.99531	2013-08-02 16:05:22.99531
9847	2	2013-08-02 16:05:23.048687	2013-08-04 19:47:25.869258
39418	4	2013-08-02 16:06:27.066516	2013-08-03 21:04:21.1615
9827	2	2013-08-02 16:05:23.028762	2013-08-04 19:47:25.88016
9553	2	2013-08-02 16:05:22.612442	2013-08-04 19:47:25.89088
20955	2	2013-08-02 16:05:45.14732	2013-08-04 19:47:25.902248
9807	2	2013-08-02 16:05:23.013336	2013-08-04 19:47:25.913989
9861	2	2013-08-02 16:05:23.062385	2013-08-04 19:47:25.925177
9794	14	2013-08-02 16:05:23.00243	2013-08-02 16:05:23.00243
9881	2	2013-08-02 16:05:23.170769	2013-08-04 19:47:25.936225
9787	2	2013-08-02 16:05:22.997474	2013-08-04 19:47:25.946897
9836	2	2013-08-02 16:05:23.038403	2013-08-04 19:47:25.958368
9767	2	2013-08-02 16:05:22.981498	2013-08-04 19:47:25.970018
9820	14	2013-08-02 16:05:23.02299	2013-08-03 17:42:55.452955
8179	4	2013-08-02 16:05:19.224501	2013-08-03 23:44:25.668357
9802	2	2013-08-02 16:05:23.008581	2013-08-02 16:05:23.008581
9747	2	2013-08-02 16:05:22.963994	2013-08-04 19:47:25.981886
9804	4	2013-08-02 16:05:23.011007	2013-08-02 16:05:23.011007
9785	4	2013-08-02 16:05:22.995989	2013-08-03 17:47:05.068246
5601	21	2013-08-02 16:05:14.228494	2013-08-03 21:06:14.965686
9761	2	2013-08-02 16:05:22.974556	2013-08-03 17:47:05.4384
43405	14	2013-08-02 16:06:35.494752	2013-08-04 20:28:58.83854
9814	14	2013-08-02 16:05:23.018606	2013-08-02 16:05:23.018606
14965	14	2013-08-02 16:05:33.028198	2013-08-03 17:48:56.328098
8239	2	2013-08-02 16:05:19.370167	2013-08-03 21:14:23.891384
9822	2	2013-08-02 16:05:23.024623	2013-08-02 16:05:23.024623
9824	4	2013-08-02 16:05:23.026004	2013-08-02 16:05:23.026004
9050	2	2013-08-02 16:05:21.356581	2013-08-03 17:52:03.26968
43466	4	2013-08-02 16:06:35.651248	2013-08-04 20:28:58.869646
9746	2	2013-08-02 16:05:22.963133	2013-08-03 17:58:45.876728
48175	21	2013-08-02 16:06:46.251064	2013-08-04 00:07:39.049117
43506	2	2013-08-02 16:06:35.756049	2013-08-04 20:28:58.875447
9766	14	2013-08-02 16:05:22.980528	2013-08-03 17:59:16.665468
9834	14	2013-08-02 16:05:23.036494	2013-08-02 16:05:23.036494
9736	2	2013-08-02 16:05:22.953372	2013-08-03 18:02:46.884948
43426	21	2013-08-02 16:06:35.548063	2013-08-04 20:29:11.88276
43437	21	2013-08-02 16:06:35.576415	2013-08-04 20:29:11.884432
20029	21	2013-08-02 16:05:43.491217	2013-08-04 20:29:12.037226
9842	2	2013-08-02 16:05:23.04388	2013-08-02 16:05:23.04388
43526	21	2013-08-02 16:06:35.8059	2013-08-04 20:29:12.040324
9844	4	2013-08-02 16:05:23.045649	2013-08-02 16:05:23.045649
43346	21	2013-08-02 16:06:35.343727	2013-08-04 20:29:23.37947
43486	21	2013-08-02 16:06:35.704311	2013-08-04 20:29:23.503671
9866	14	2013-08-02 16:05:23.06718	2013-08-03 18:03:06.890295
43430	21	2013-08-02 16:06:35.558126	2013-08-04 20:32:39.620951
43446	2	2013-08-02 16:06:35.599134	2013-08-04 20:32:39.990803
9856	4	2013-08-02 16:05:23.056813	2013-08-03 18:07:18.306493
43400	2	2013-08-02 16:06:35.482352	2013-08-04 20:32:40.147744
9826	2	2013-08-02 16:05:23.027496	2013-08-03 18:07:20.958519
9854	14	2013-08-02 16:05:23.055008	2013-08-02 16:05:23.055008
9862	2	2013-08-02 16:05:23.063302	2013-08-02 16:05:23.063302
9864	4	2013-08-02 16:05:23.064939	2013-08-02 16:05:23.064939
9886	21	2013-08-02 16:05:23.174365	2013-08-03 18:17:19.227797
9816	21	2013-08-02 16:05:23.020015	2013-08-03 18:22:14.066165
9874	14	2013-08-02 16:05:23.074895	2013-08-02 16:05:23.074895
9882	2	2013-08-02 16:05:23.171568	2013-08-02 16:05:23.171568
9884	4	2013-08-02 16:05:23.172965	2013-08-02 16:05:23.172965
9871	4	2013-08-02 16:05:23.072137	2013-08-03 00:52:06.2651
9851	4	2013-08-02 16:05:23.052256	2013-08-03 00:52:06.276555
9831	4	2013-08-02 16:05:23.033171	2013-08-03 00:52:06.287755
9811	4	2013-08-02 16:05:23.016383	2013-08-03 00:52:06.298851
9791	4	2013-08-02 16:05:23.000345	2013-08-03 00:52:06.309857
9771	4	2013-08-02 16:05:22.985076	2013-08-03 00:52:06.321106
9857	14	2013-08-02 16:05:23.057727	2013-08-03 01:25:24.862693
9837	14	2013-08-02 16:05:23.039312	2013-08-03 01:25:24.87379
9817	14	2013-08-02 16:05:23.020755	2013-08-03 01:25:24.884925
9797	4	2013-08-02 16:05:23.004491	2013-08-03 01:25:24.896709
9777	4	2013-08-02 16:05:22.990153	2013-08-03 01:25:24.907855
9757	4	2013-08-02 16:05:22.971494	2013-08-03 01:25:24.919027
9872	4	2013-08-02 16:05:23.073086	2013-08-03 01:32:14.5157
9852	4	2013-08-02 16:05:23.053143	2013-08-03 01:32:14.527132
9832	2	2013-08-02 16:05:23.034033	2013-08-03 01:32:14.536036
9812	2	2013-08-02 16:05:23.017154	2013-08-03 01:32:14.541392
9792	14	2013-08-02 16:05:23.001052	2013-08-03 01:32:14.547552
9772	14	2013-08-02 16:05:22.98594	2013-08-03 01:32:14.551498
9823	2	2013-08-02 16:05:23.025311	2013-08-03 01:45:29.610743
9803	2	2013-08-02 16:05:23.009408	2013-08-03 01:45:29.621208
9783	2	2013-08-02 16:05:22.994628	2013-08-03 01:45:29.631653
9763	2	2013-08-02 16:05:22.976291	2013-08-03 01:45:29.641843
9743	2	2013-08-02 16:05:22.960334	2013-08-03 01:45:29.65192
9835	21	2013-08-02 16:05:23.037479	2013-08-03 01:45:30.931124
9815	21	2013-08-02 16:05:23.019299	2013-08-03 01:45:30.934566
9878	4	2013-08-02 16:05:23.162062	2013-08-03 01:50:50.687144
9858	4	2013-08-02 16:05:23.058719	2013-08-03 01:50:50.697786
9838	2	2013-08-02 16:05:23.040231	2013-08-03 01:50:50.708862
9818	2	2013-08-02 16:05:23.021475	2013-08-03 01:50:50.719386
9875	14	2013-08-02 16:05:23.07572	2013-08-03 01:55:05.818835
9855	2	2013-08-02 16:05:23.055889	2013-08-03 02:01:00.170368
9873	2	2013-08-02 16:05:23.074028	2013-08-03 02:01:00.174613
9853	2	2013-08-02 16:05:23.054077	2013-08-03 02:01:00.179904
9833	2	2013-08-02 16:05:23.035274	2013-08-03 02:01:00.184863
9813	2	2013-08-02 16:05:23.017895	2013-08-03 02:01:00.190891
9793	2	2013-08-02 16:05:23.001737	2013-08-03 02:01:00.198203
9773	2	2013-08-02 16:05:22.986799	2013-08-03 02:01:00.20881
9753	2	2013-08-02 16:05:22.968605	2013-08-03 02:01:00.218088
9760	4	2013-08-02 16:05:22.973834	2013-08-03 02:05:14.431366
9800	2	2013-08-02 16:05:23.006821	2013-08-03 02:05:14.434917
9780	2	2013-08-02 16:05:22.992468	2013-08-03 02:06:04.0238
9798	4	2013-08-02 16:05:23.005269	2013-08-03 02:09:23.599564
10025	2	2013-08-02 16:05:23.294947	2013-08-03 02:42:39.784715
10005	2	2013-08-02 16:05:23.279195	2013-08-03 02:42:39.789746
9894	14	2013-08-02 16:05:23.180155	2013-08-02 16:05:23.180155
9985	2	2013-08-02 16:05:23.261072	2013-08-03 02:42:39.796957
9910	4	2013-08-02 16:05:23.192633	2013-08-03 17:20:36.024345
9965	2	2013-08-02 16:05:23.240784	2013-08-03 02:42:39.805401
9945	2	2013-08-02 16:05:23.224804	2013-08-03 02:42:39.813422
9925	2	2013-08-02 16:05:23.20537	2013-08-03 02:42:39.819965
9905	2	2013-08-02 16:05:23.188564	2013-08-03 02:42:39.830007
20331	2	2013-08-02 16:05:44.229364	2013-08-04 01:35:47.407901
9902	2	2013-08-02 16:05:23.18632	2013-08-02 16:05:23.18632
9980	2	2013-08-02 16:05:23.256509	2013-08-03 02:47:51.824747
9904	4	2013-08-02 16:05:23.18781	2013-08-02 16:05:23.18781
19048	21	2013-08-02 16:05:40.965451	2013-08-03 22:04:59.240415
9997	2	2013-08-02 16:05:23.271591	2013-08-03 02:47:51.83444
9903	2	2013-08-02 16:05:23.187067	2013-08-03 17:35:02.564494
10045	2	2013-08-02 16:05:23.31442	2013-08-03 02:47:51.841683
9916	2	2013-08-02 16:05:23.198377	2013-08-03 02:57:24.989283
9914	14	2013-08-02 16:05:23.196478	2013-08-02 16:05:23.196478
42563	4	2013-08-02 16:06:34.155431	2013-08-03 19:34:28.911012
9896	2	2013-08-02 16:05:23.181571	2013-08-03 02:58:07.915391
10036	2	2013-08-02 16:05:23.306565	2013-08-03 02:58:09.076988
10016	2	2013-08-02 16:05:23.287766	2013-08-03 02:58:09.087901
9996	2	2013-08-02 16:05:23.27088	2013-08-03 02:58:09.098835
42583	2	2013-08-02 16:06:34.210909	2013-08-03 19:34:28.914784
9922	2	2013-08-02 16:05:23.20312	2013-08-02 16:05:23.20312
9976	2	2013-08-02 16:05:23.251971	2013-08-03 02:58:09.1095
9924	4	2013-08-02 16:05:23.20462	2013-08-02 16:05:23.20462
9956	2	2013-08-02 16:05:23.233466	2013-08-03 02:58:09.120417
10030	4	2013-08-02 16:05:23.300373	2013-08-03 17:35:02.827718
1365	4	2013-08-02 16:05:06.420023	2013-08-03 21:04:21.833325
18681	14	2013-08-02 16:05:40.184277	2013-08-03 19:34:28.964331
10003	4	2013-08-02 16:05:23.277285	2013-08-03 17:26:19.744625
9934	14	2013-08-02 16:05:23.214244	2013-08-02 16:05:23.214244
2734	2	2013-08-02 16:05:09.11326	2013-08-03 19:34:29.083492
9901	4	2013-08-02 16:05:23.185446	2013-08-03 17:42:44.437331
42603	14	2013-08-02 16:06:34.264139	2013-08-03 19:39:16.508103
9921	2	2013-08-02 16:05:23.202349	2013-08-03 17:42:44.439461
9920	4	2013-08-02 16:05:23.201584	2013-08-03 17:47:03.504118
9942	2	2013-08-02 16:05:23.222454	2013-08-02 16:05:23.222454
9995	4	2013-08-02 16:05:23.270165	2013-08-03 17:47:03.511027
9944	4	2013-08-02 16:05:23.224022	2013-08-02 16:05:23.224022
9937	4	2013-08-02 16:05:23.217787	2013-08-03 17:47:03.516859
9957	4	2013-08-02 16:05:23.234494	2013-08-03 17:47:03.520735
9947	14	2013-08-02 16:05:23.226493	2013-08-04 19:49:30.731397
9977	4	2013-08-02 16:05:23.253144	2013-08-03 17:47:03.528582
9948	4	2013-08-02 16:05:23.227371	2013-08-03 17:47:03.538452
10041	4	2013-08-02 16:05:23.310702	2013-08-03 17:47:03.548835
10021	4	2013-08-02 16:05:23.291468	2013-08-03 17:47:03.559518
9954	14	2013-08-02 16:05:23.231664	2013-08-02 16:05:23.231664
10001	4	2013-08-02 16:05:23.275578	2013-08-03 17:47:03.570386
9936	14	2013-08-02 16:05:23.216894	2013-08-03 17:48:44.701298
9962	2	2013-08-02 16:05:23.238295	2013-08-02 16:05:23.238295
9964	4	2013-08-02 16:05:23.239944	2013-08-02 16:05:23.239944
42503	21	2013-08-02 16:06:33.990463	2013-08-04 19:50:06.478517
9907	21	2013-08-02 16:05:23.190171	2013-08-04 19:50:06.510792
10015	21	2013-08-02 16:05:23.287022	2013-08-04 19:50:06.547614
19808	4	2013-08-02 16:05:42.92508	2013-08-03 17:48:56.381891
9974	14	2013-08-02 16:05:23.249677	2013-08-02 16:05:23.249677
9970	21	2013-08-02 16:05:23.245053	2013-08-04 19:50:06.589103
9982	2	2013-08-02 16:05:23.258092	2013-08-02 16:05:23.258092
4739	4	2013-08-02 16:05:12.905256	2013-08-03 17:57:11.791076
9984	4	2013-08-02 16:05:23.259741	2013-08-02 16:05:23.259741
10012	14	2013-08-02 16:05:23.284786	2013-08-04 19:50:25.696827
9946	21	2013-08-02 16:05:23.225717	2013-08-04 19:50:38.658525
9951	21	2013-08-02 16:05:23.229584	2013-08-04 19:50:38.659503
9892	21	2013-08-02 16:05:23.178622	2013-08-04 19:50:38.719735
3590	4	2013-08-02 16:05:10.782805	2013-08-03 18:03:06.913684
9994	14	2013-08-02 16:05:23.269448	2013-08-02 16:05:23.269448
9906	2	2013-08-02 16:05:23.189416	2013-08-03 18:07:20.025926
6813	21	2013-08-02 16:05:17.01881	2013-08-04 19:52:25.66132
10010	4	2013-08-02 16:05:23.283276	2013-08-03 18:12:26.37442
9960	21	2013-08-02 16:05:23.236843	2013-08-04 19:52:26.186816
10002	2	2013-08-02 16:05:23.276371	2013-08-02 16:05:23.276371
10017	21	2013-08-02 16:05:23.288515	2013-08-03 18:22:14.060719
10004	4	2013-08-02 16:05:23.278189	2013-08-02 16:05:23.278189
9987	2	2013-08-02 16:05:23.26281	2013-08-04 19:52:27.118796
9967	4	2013-08-02 16:05:23.242306	2013-08-04 19:52:27.314641
10037	4	2013-08-02 16:05:23.307284	2013-08-04 19:52:27.6659
9927	4	2013-08-02 16:05:23.206821	2013-08-04 19:52:27.675789
9940	2	2013-08-02 16:05:23.220797	2013-08-04 19:52:27.751326
9911	2	2013-08-02 16:05:23.193573	2013-08-04 19:52:27.762427
18510	2	2013-08-02 16:05:39.672854	2013-08-04 19:52:27.769961
9981	14	2013-08-02 16:05:23.257336	2013-08-04 19:52:27.879208
10014	14	2013-08-02 16:05:23.28628	2013-08-02 16:05:23.28628
9931	2	2013-08-02 16:05:23.210101	2013-08-04 19:52:27.888967
9990	2	2013-08-02 16:05:23.266093	2013-08-04 19:52:27.89959
43366	21	2013-08-02 16:06:35.394485	2013-08-04 20:29:12.079566
42972	21	2013-08-02 16:06:34.905774	2013-08-04 20:29:23.514334
43766	2	2013-08-02 16:06:36.615142	2013-08-04 20:32:39.749215
43746	2	2013-08-02 16:06:36.566261	2013-08-04 20:32:39.757648
43685	2	2013-08-02 16:06:36.407203	2013-08-04 20:32:39.766477
10022	2	2013-08-02 16:05:23.292212	2013-08-02 16:05:23.292212
43726	2	2013-08-02 16:06:36.514451	2013-08-04 20:32:39.774129
10024	4	2013-08-02 16:05:23.29379	2013-08-02 16:05:23.29379
43706	2	2013-08-02 16:06:36.463628	2013-08-04 20:32:39.782193
43720	2	2013-08-02 16:06:36.499675	2013-08-04 20:32:39.789979
43686	2	2013-08-02 16:06:36.409871	2013-08-04 20:32:39.795252
43666	2	2013-08-02 16:06:36.361469	2013-08-04 20:32:39.800464
43645	2	2013-08-02 16:06:36.310963	2013-08-04 20:32:39.817405
43606	2	2013-08-02 16:06:36.210135	2013-08-04 20:32:39.823306
43586	2	2013-08-02 16:06:36.181177	2013-08-04 20:32:39.831227
43566	2	2013-08-02 16:06:35.903089	2013-08-04 20:32:39.837785
10034	14	2013-08-02 16:05:23.30504	2013-08-02 16:05:23.30504
43546	2	2013-08-02 16:06:35.855685	2013-08-04 20:32:39.843833
42888	2	2013-08-02 16:06:34.814275	2013-08-04 20:32:40.085621
42877	2	2013-08-02 16:06:34.802988	2013-08-04 20:32:40.093285
42870	21	2013-08-02 16:06:34.796355	2013-08-04 20:32:40.168411
43406	21	2013-08-02 16:06:35.497191	2013-08-04 20:32:40.178373
10042	2	2013-08-02 16:05:23.311532	2013-08-02 16:05:23.311532
10044	4	2013-08-02 16:05:23.313418	2013-08-02 16:05:23.313418
10031	14	2013-08-02 16:05:23.301602	2013-08-03 00:52:06.173776
10011	14	2013-08-02 16:05:23.28403	2013-08-03 00:52:06.184513
9928	2	2013-08-02 16:05:23.207542	2013-08-03 01:13:18.797261
10048	2	2013-08-02 16:05:23.317236	2013-08-03 01:13:42.043453
10028	2	2013-08-02 16:05:23.298064	2013-08-03 01:13:42.05465
10008	14	2013-08-02 16:05:23.281727	2013-08-03 01:13:42.065904
9988	14	2013-08-02 16:05:23.264406	2013-08-03 01:13:42.076739
9968	14	2013-08-02 16:05:23.243386	2013-08-03 01:13:42.087479
9992	21	2013-08-02 16:05:23.267722	2013-08-03 01:32:14.478316
9972	21	2013-08-02 16:05:23.247385	2013-08-03 01:32:14.48087
9952	21	2013-08-02 16:05:23.23028	2013-08-03 01:32:14.482831
9932	21	2013-08-02 16:05:23.211807	2013-08-03 01:32:14.484418
9912	21	2013-08-02 16:05:23.194656	2013-08-03 01:32:14.487129
10032	21	2013-08-02 16:05:23.302835	2013-08-03 01:39:15.133009
9923	14	2013-08-02 16:05:23.203887	2013-08-03 01:50:00.135656
9975	21	2013-08-02 16:05:23.250821	2013-08-03 01:50:50.195201
9955	21	2013-08-02 16:05:23.232411	2013-08-03 01:50:50.198386
9935	21	2013-08-02 16:05:23.2154	2013-08-03 01:50:50.201455
9915	21	2013-08-02 16:05:23.197486	2013-08-03 01:50:50.204488
9895	21	2013-08-02 16:05:23.180908	2013-08-03 01:50:50.207529
10038	21	2013-08-02 16:05:23.308427	2013-08-03 01:50:50.62347
10018	21	2013-08-02 16:05:23.289262	2013-08-03 01:50:50.626745
9998	21	2013-08-02 16:05:23.27231	2013-08-03 01:50:50.629692
9978	21	2013-08-02 16:05:23.254266	2013-08-03 01:50:50.632299
9958	21	2013-08-02 16:05:23.23526	2013-08-03 01:50:50.635124
10035	4	2013-08-02 16:05:23.305802	2013-08-03 01:56:02.514993
9943	2	2013-08-02 16:05:23.22324	2013-08-03 02:06:05.099725
10033	2	2013-08-02 16:05:23.304045	2013-08-03 02:06:05.111291
10013	2	2013-08-02 16:05:23.285527	2013-08-03 02:06:05.121991
9993	2	2013-08-02 16:05:23.268705	2013-08-03 02:06:05.1327
9973	2	2013-08-02 16:05:23.248502	2013-08-03 02:06:05.143255
9953	2	2013-08-02 16:05:23.230972	2013-08-03 02:06:05.15404
9933	2	2013-08-02 16:05:23.213142	2013-08-03 02:06:05.164859
9913	2	2013-08-02 16:05:23.195544	2013-08-03 02:06:05.176117
9893	2	2013-08-02 16:05:23.179365	2013-08-03 02:06:05.187369
9983	2	2013-08-02 16:05:23.25892	2013-08-03 02:09:23.605319
10000	4	2013-08-02 16:05:23.274604	2013-08-03 02:10:01.572238
10040	2	2013-08-02 16:05:23.309974	2013-08-03 02:10:01.578957
10020	2	2013-08-02 16:05:23.29074	2013-08-03 02:11:04.773707
10190	4	2013-08-02 16:05:23.466078	2013-08-03 17:35:03.709875
10140	2	2013-08-02 16:05:23.408162	2013-08-03 02:47:51.745084
10083	2	2013-08-02 16:05:23.350047	2013-08-03 02:47:51.750692
10137	2	2013-08-02 16:05:23.405626	2013-08-03 02:47:51.755031
10054	14	2013-08-02 16:05:23.322519	2013-08-02 16:05:23.322519
10205	2	2013-08-02 16:05:23.479403	2013-08-03 02:47:51.759409
10050	2	2013-08-02 16:05:23.319117	2013-08-03 17:26:19.751024
10185	2	2013-08-02 16:05:23.461034	2013-08-03 02:47:51.764791
10165	2	2013-08-02 16:05:23.439615	2013-08-03 02:47:51.77
10145	2	2013-08-02 16:05:23.413547	2013-08-03 02:47:51.774968
10125	2	2013-08-02 16:05:23.393323	2013-08-03 02:47:51.78421
10062	2	2013-08-02 16:05:23.330303	2013-08-02 16:05:23.330303
10105	2	2013-08-02 16:05:23.371193	2013-08-03 02:47:51.792932
10064	4	2013-08-02 16:05:23.332464	2013-08-02 16:05:23.332464
5010	2	2013-08-02 16:05:13.203837	2013-08-04 01:35:47.418802
2701	21	2013-08-02 16:05:09.083462	2013-08-03 21:09:21.518498
10085	2	2013-08-02 16:05:23.351979	2013-08-03 02:47:51.803452
10170	4	2013-08-02 16:05:23.445376	2013-08-03 17:35:03.714427
10065	2	2013-08-02 16:05:23.333424	2013-08-03 02:47:51.814299
10055	2	2013-08-02 16:05:23.323338	2013-08-03 02:58:08.982771
10132	2	2013-08-02 16:05:23.400044	2013-08-03 02:58:08.987867
10074	14	2013-08-02 16:05:23.341414	2013-08-02 16:05:23.341414
10196	2	2013-08-02 16:05:23.471176	2013-08-03 02:58:08.992433
10150	4	2013-08-02 16:05:23.418909	2013-08-03 17:35:03.71926
10176	2	2013-08-02 16:05:23.450907	2013-08-03 02:58:08.999427
10156	2	2013-08-02 16:05:23.42549	2013-08-03 02:58:09.010766
10136	2	2013-08-02 16:05:23.40395	2013-08-03 02:58:09.021682
10116	2	2013-08-02 16:05:23.384187	2013-08-03 02:58:09.03252
9091	14	2013-08-02 16:05:21.454955	2013-08-03 19:34:29.134521
10082	2	2013-08-02 16:05:23.349063	2013-08-02 16:05:23.349063
10096	2	2013-08-02 16:05:23.361655	2013-08-03 02:58:09.043934
10084	4	2013-08-02 16:05:23.35109	2013-08-02 16:05:23.35109
10130	4	2013-08-02 16:05:23.398318	2013-08-03 17:35:03.723129
42903	21	2013-08-02 16:06:34.830426	2013-08-03 19:37:42.904918
10076	2	2013-08-02 16:05:23.343267	2013-08-03 02:58:09.054748
42883	21	2013-08-02 16:06:34.809949	2013-08-03 19:37:42.909629
10056	2	2013-08-02 16:05:23.324209	2013-08-03 02:58:09.065832
10110	4	2013-08-02 16:05:23.378209	2013-08-03 17:35:03.728245
10090	4	2013-08-02 16:05:23.356498	2013-08-03 17:35:03.733135
10094	14	2013-08-02 16:05:23.360125	2013-08-02 16:05:23.360125
10061	21	2013-08-02 16:05:23.329206	2013-08-03 17:47:03.495413
42863	21	2013-08-02 16:06:34.789119	2013-08-03 19:37:42.913252
42843	21	2013-08-02 16:06:34.769102	2013-08-03 19:37:42.91693
33838	21	2013-08-02 16:06:14.470778	2013-08-03 22:45:29.661881
42823	21	2013-08-02 16:06:34.503604	2013-08-03 19:37:42.920728
42803	21	2013-08-02 16:06:34.48592	2013-08-03 19:37:42.924338
42783	21	2013-08-02 16:06:34.465778	2013-08-03 19:37:42.927684
10102	2	2013-08-02 16:05:23.368094	2013-08-02 16:05:23.368094
3100	21	2013-08-02 16:05:09.6277	2013-08-03 22:45:29.662826
10104	4	2013-08-02 16:05:23.370082	2013-08-02 16:05:23.370082
10181	14	2013-08-02 16:05:23.456876	2013-08-03 17:48:24.469848
42743	14	2013-08-02 16:06:34.426032	2013-08-03 19:37:42.977585
42723	4	2013-08-02 16:06:34.40673	2013-08-03 19:37:43.001239
24710	21	2013-08-02 16:05:53.432364	2013-08-03 22:45:29.664703
7779	21	2013-08-02 16:05:18.289577	2013-08-03 22:45:29.693182
9210	21	2013-08-02 16:05:21.766642	2013-08-03 22:45:29.694264
33881	21	2013-08-02 16:06:14.517737	2013-08-03 22:45:29.6955
10114	14	2013-08-02 16:05:23.382205	2013-08-02 16:05:23.382205
20406	2	2013-08-02 16:05:44.311061	2013-08-04 01:35:47.430331
10143	14	2013-08-02 16:05:23.411887	2013-08-03 17:48:44.827407
10121	14	2013-08-02 16:05:23.389748	2013-08-03 17:48:44.891865
10199	21	2013-08-02 16:05:23.473665	2013-08-03 21:30:42.808621
10201	4	2013-08-02 16:05:23.475866	2013-08-03 17:48:56.275943
9908	14	2013-08-02 16:05:23.190916	2013-08-03 22:45:29.898371
10122	2	2013-08-02 16:05:23.390583	2013-08-02 16:05:23.390583
10124	4	2013-08-02 16:05:23.392314	2013-08-02 16:05:23.392314
10167	4	2013-08-02 16:05:23.442685	2013-08-04 19:50:25.718518
10097	2	2013-08-02 16:05:23.362418	2013-08-04 19:50:25.721503
25097	2	2013-08-02 16:05:53.995417	2013-08-03 17:48:56.408778
10187	2	2013-08-02 16:05:23.462618	2013-08-04 19:52:25.046771
10134	14	2013-08-02 16:05:23.402416	2013-08-02 16:05:23.402416
10127	2	2013-08-02 16:05:23.395356	2013-08-04 19:52:25.385794
8219	14	2013-08-02 16:05:19.32205	2013-08-03 17:48:56.438075
10100	2	2013-08-02 16:05:23.365079	2013-08-04 19:52:25.601314
10107	21	2013-08-02 16:05:23.373746	2013-08-04 19:52:25.659986
16448	2	2013-08-02 16:05:35.382328	2013-08-04 19:52:27.109035
10087	4	2013-08-02 16:05:23.353783	2013-08-04 19:52:27.311789
10142	2	2013-08-02 16:05:23.411088	2013-08-02 16:05:23.411088
35543	4	2013-08-02 16:06:18.757733	2013-08-04 19:57:28.612597
10144	4	2013-08-02 16:05:23.412714	2013-08-02 16:05:23.412714
42893	2	2013-08-02 16:06:34.819292	2013-08-04 20:32:40.268853
43481	2	2013-08-02 16:06:35.690915	2013-08-04 20:32:40.305151
10161	14	2013-08-02 16:05:23.432955	2013-08-03 17:54:09.506282
8101	2	2013-08-02 16:05:19.022323	2013-08-04 20:32:41.057325
8064	2	2013-08-02 16:05:18.947348	2013-08-04 20:32:41.070535
7979	14	2013-08-02 16:05:18.779735	2013-08-03 17:55:10.761165
8046	2	2013-08-02 16:05:18.925836	2013-08-04 20:32:41.081678
8066	2	2013-08-02 16:05:18.950092	2013-08-04 20:32:41.090554
10154	14	2013-08-02 16:05:23.423007	2013-08-02 16:05:23.423007
8086	2	2013-08-02 16:05:18.985535	2013-08-04 20:32:41.101893
8106	2	2013-08-02 16:05:19.035478	2013-08-04 20:32:41.114648
8121	2	2013-08-02 16:05:19.075436	2013-08-04 20:32:41.127217
1601	14	2013-08-02 16:05:06.973844	2013-08-03 17:57:11.8842
8126	2	2013-08-02 16:05:19.088493	2013-08-04 20:32:41.140134
8146	2	2013-08-02 16:05:19.141401	2013-08-04 20:32:41.155577
8055	2	2013-08-02 16:05:18.935605	2013-08-04 20:32:41.171319
10162	2	2013-08-02 16:05:23.434524	2013-08-02 16:05:23.434524
10086	4	2013-08-02 16:05:23.352933	2013-08-03 18:09:14.847768
10164	4	2013-08-02 16:05:23.437962	2013-08-02 16:05:23.437962
8141	2	2013-08-02 16:05:19.128067	2013-08-04 20:32:41.187065
8044	2	2013-08-02 16:05:18.923615	2013-08-04 20:32:41.202997
10141	2	2013-08-02 16:05:23.410014	2013-08-03 18:09:14.850822
10174	14	2013-08-02 16:05:23.449059	2013-08-02 16:05:23.449059
10182	2	2013-08-02 16:05:23.457745	2013-08-02 16:05:23.457745
10184	4	2013-08-02 16:05:23.460172	2013-08-02 16:05:23.460172
10126	4	2013-08-02 16:05:23.394218	2013-08-03 18:32:14.968428
10194	14	2013-08-02 16:05:23.469512	2013-08-02 16:05:23.469512
10202	2	2013-08-02 16:05:23.476717	2013-08-02 16:05:23.476717
10204	4	2013-08-02 16:05:23.478522	2013-08-02 16:05:23.478522
10131	21	2013-08-02 16:05:23.399189	2013-08-03 00:52:06.119656
10111	14	2013-08-02 16:05:23.379189	2013-08-03 00:52:06.128964
10091	14	2013-08-02 16:05:23.357417	2013-08-03 00:52:06.140208
10071	14	2013-08-02 16:05:23.338641	2013-08-03 00:52:06.151503
10191	4	2013-08-02 16:05:23.466951	2013-08-03 00:57:05.532966
10171	4	2013-08-02 16:05:23.446141	2013-08-03 00:57:05.536854
10151	4	2013-08-02 16:05:23.419871	2013-08-03 00:57:05.540146
10148	21	2013-08-02 16:05:23.417016	2013-08-03 01:13:42.00557
10128	21	2013-08-02 16:05:23.396499	2013-08-03 01:13:42.009514
10108	21	2013-08-02 16:05:23.375015	2013-08-03 01:13:42.012975
10088	2	2013-08-02 16:05:23.354686	2013-08-03 01:13:42.021747
10068	2	2013-08-02 16:05:23.336072	2013-08-03 01:13:42.032707
10057	21	2013-08-02 16:05:23.325096	2013-08-03 01:25:24.751117
10157	4	2013-08-02 16:05:23.427283	2013-08-03 01:31:52.013084
10077	2	2013-08-02 16:05:23.344157	2013-08-03 01:32:13.950646
10112	21	2013-08-02 16:05:23.380126	2013-08-03 01:39:15.119971
10092	21	2013-08-02 16:05:23.358412	2013-08-03 01:39:15.123623
10072	21	2013-08-02 16:05:23.339529	2013-08-03 01:39:15.126822
10052	21	2013-08-02 16:05:23.320945	2013-08-03 01:39:15.129865
10172	14	2013-08-02 16:05:23.447217	2013-08-03 01:43:47.762273
10103	4	2013-08-02 16:05:23.369029	2013-08-03 01:50:00.165234
10123	2	2013-08-02 16:05:23.391389	2013-08-03 01:50:00.168088
10075	14	2013-08-02 16:05:23.342332	2013-08-03 01:54:08.34768
10183	4	2013-08-02 16:05:23.458932	2013-08-03 01:56:01.355507
10178	21	2013-08-02 16:05:23.453753	2013-08-03 01:56:02.498401
10158	21	2013-08-02 16:05:23.42874	2013-08-03 01:56:02.500046
10138	21	2013-08-02 16:05:23.406499	2013-08-03 01:56:02.501386
10118	21	2013-08-02 16:05:23.387079	2013-08-03 01:56:02.502573
10098	21	2013-08-02 16:05:23.363245	2013-08-03 01:56:02.503568
10078	14	2013-08-02 16:05:23.345015	2013-08-03 01:56:02.506714
10058	14	2013-08-02 16:05:23.325948	2013-08-03 01:56:02.510472
10198	2	2013-08-02 16:05:23.4729	2013-08-03 02:11:05.406497
10095	2	2013-08-02 16:05:23.360896	2013-08-03 02:11:05.417131
10192	2	2013-08-02 16:05:23.467777	2013-08-03 02:11:05.428931
10193	2	2013-08-02 16:05:23.468618	2013-08-03 02:11:05.440603
10173	2	2013-08-02 16:05:23.448108	2013-08-03 02:11:05.452003
10153	2	2013-08-02 16:05:23.421622	2013-08-03 02:11:05.463157
10133	2	2013-08-02 16:05:23.401207	2013-08-03 02:11:05.474539
10160	4	2013-08-02 16:05:23.43154	2013-08-03 02:15:37.247963
10200	2	2013-08-02 16:05:23.474768	2013-08-03 02:15:37.250823
10180	2	2013-08-02 16:05:23.455624	2013-08-03 02:16:24.135524
10080	4	2013-08-02 16:05:23.34696	2013-08-03 02:16:24.602444
47875	2	2013-08-02 16:06:45.661485	2013-08-03 21:04:21.883568
20981	2	2013-08-02 16:05:45.185675	2013-08-04 19:52:25.406107
20172	2	2013-08-02 16:05:44.039177	2013-08-04 19:52:25.4171
10285	14	2013-08-02 16:05:23.561514	2013-08-03 02:52:16.781154
10214	14	2013-08-02 16:05:23.487616	2013-08-02 16:05:23.487616
20311	2	2013-08-02 16:05:44.211637	2013-08-04 01:35:47.442772
10305	2	2013-08-02 16:05:23.587867	2013-08-03 02:53:04.889379
10261	2	2013-08-02 16:05:23.536169	2013-08-04 19:52:25.427992
10222	2	2013-08-02 16:05:23.49444	2013-08-02 16:05:23.49444
10225	14	2013-08-02 16:05:23.496626	2013-08-03 02:53:05.279405
10224	4	2013-08-02 16:05:23.49583	2013-08-02 16:05:23.49583
20291	2	2013-08-02 16:05:44.194173	2013-08-04 01:35:47.45483
10216	2	2013-08-02 16:05:23.489349	2013-08-03 02:58:08.971791
10247	2	2013-08-02 16:05:23.522198	2013-08-04 19:52:25.439013
10245	2	2013-08-02 16:05:23.519665	2013-08-03 02:58:08.978293
10236	4	2013-08-02 16:05:23.506578	2013-08-03 03:06:22.100105
10234	14	2013-08-02 16:05:23.504724	2013-08-02 16:05:23.504724
10276	2	2013-08-02 16:05:23.55152	2013-08-03 03:06:22.107045
10250	4	2013-08-02 16:05:23.524675	2013-08-03 17:35:03.69683
1226	21	2013-08-02 16:05:06.118719	2013-08-03 19:37:43.93976
20401	2	2013-08-02 16:05:44.306981	2013-08-04 01:35:47.466013
10238	2	2013-08-02 16:05:23.508831	2013-08-03 03:09:48.499623
1220	21	2013-08-02 16:05:06.1087	2013-08-03 19:37:43.942144
10242	2	2013-08-02 16:05:23.513817	2013-08-02 16:05:23.513817
10356	2	2013-08-02 16:05:23.640807	2013-08-03 03:09:48.510061
10244	4	2013-08-02 16:05:23.517045	2013-08-02 16:05:23.517045
10230	4	2013-08-02 16:05:23.501073	2013-08-03 17:35:03.701502
4431	21	2013-08-02 16:05:12.58443	2013-08-03 19:37:43.944879
10336	2	2013-08-02 16:05:23.621151	2013-08-03 03:09:48.520467
10256	2	2013-08-02 16:05:23.531618	2013-08-04 19:52:25.450166
10270	2	2013-08-02 16:05:23.545682	2013-08-04 19:52:25.461325
10316	2	2013-08-02 16:05:23.600807	2013-08-03 03:09:48.530916
10210	4	2013-08-02 16:05:23.48435	2013-08-03 17:35:03.705347
10260	14	2013-08-02 16:05:23.535157	2013-08-04 17:51:51.440228
10254	14	2013-08-02 16:05:23.528834	2013-08-02 16:05:23.528834
42523	2	2013-08-02 16:06:34.046801	2013-08-04 19:52:25.472637
10215	14	2013-08-02 16:05:23.488469	2013-08-04 17:51:51.445601
10227	2	2013-08-02 16:05:23.498345	2013-08-04 19:52:25.485184
10278	14	2013-08-02 16:05:23.553319	2013-08-04 17:51:51.449442
10262	2	2013-08-02 16:05:23.537075	2013-08-02 16:05:23.537075
10321	4	2013-08-02 16:05:23.606477	2013-08-03 17:48:24.501996
10264	4	2013-08-02 16:05:23.539064	2013-08-02 16:05:23.539064
10301	21	2013-08-02 16:05:23.582117	2013-08-03 21:24:21.9052
10266	4	2013-08-02 16:05:23.541119	2013-08-03 21:29:21.701024
10361	2	2013-08-02 16:05:23.646099	2013-08-03 17:48:24.508432
10290	2	2013-08-02 16:05:23.566755	2013-08-04 19:52:25.496517
31077	2	2013-08-02 16:06:07.975034	2013-08-03 22:49:20.91074
42623	2	2013-08-02 16:06:34.305113	2013-08-04 19:52:25.508613
10252	14	2013-08-02 16:05:23.526729	2013-08-04 17:51:51.453444
10281	14	2013-08-02 16:05:23.556045	2013-08-04 17:51:51.459295
10274	14	2013-08-02 16:05:23.549811	2013-08-02 16:05:23.549811
1607	21	2013-08-02 16:05:06.986117	2013-08-03 22:50:05.385501
10237	14	2013-08-02 16:05:23.507724	2013-08-03 17:48:44.795001
10349	14	2013-08-02 16:05:23.634532	2013-08-04 17:51:51.467995
10329	14	2013-08-02 16:05:23.614585	2013-08-04 17:51:51.473192
10345	14	2013-08-02 16:05:23.63049	2013-08-04 17:51:51.482707
10297	21	2013-08-02 16:05:23.574923	2013-08-03 21:30:23.207809
10310	2	2013-08-02 16:05:23.593879	2013-08-04 19:52:25.520257
10282	2	2013-08-02 16:05:23.557313	2013-08-02 16:05:23.557313
10330	2	2013-08-02 16:05:23.615454	2013-08-04 19:52:25.531432
10284	4	2013-08-02 16:05:23.55999	2013-08-02 16:05:23.55999
7298	4	2013-08-02 16:05:17.715916	2013-08-03 23:42:23.210729
10350	2	2013-08-02 16:05:23.635476	2013-08-04 19:52:25.543016
11547	2	2013-08-02 16:05:25.898107	2013-08-04 20:32:41.336877
11553	2	2013-08-02 16:05:25.914165	2013-08-04 20:32:41.352297
10221	4	2013-08-02 16:05:23.493731	2013-08-03 17:48:55.97295
11527	2	2013-08-02 16:05:25.843451	2013-08-04 20:32:41.367274
10283	2	2013-08-02 16:05:23.558857	2013-08-03 17:48:56.278185
10294	14	2013-08-02 16:05:23.570358	2013-08-02 16:05:23.570358
10257	21	2013-08-02 16:05:23.532345	2013-08-03 21:37:33.668466
3649	2	2013-08-02 16:05:10.875501	2013-08-04 20:32:41.380644
11580	2	2013-08-02 16:05:25.983878	2013-08-04 20:32:41.392605
10339	4	2013-08-02 16:05:23.624083	2013-08-03 21:39:32.982623
11507	2	2013-08-02 16:05:25.795899	2013-08-04 20:32:41.407713
8551	2	2013-08-02 16:05:20.170064	2013-08-04 20:32:41.423652
10319	2	2013-08-02 16:05:23.603567	2013-08-03 21:44:34.257103
10302	2	2013-08-02 16:05:23.583577	2013-08-02 16:05:23.583577
22981	2	2013-08-02 16:05:50.027145	2013-08-04 20:32:41.439562
10304	4	2013-08-02 16:05:23.58622	2013-08-02 16:05:23.58622
14925	4	2013-08-02 16:05:32.932106	2013-08-03 17:48:56.465207
3729	2	2013-08-02 16:05:11.075454	2013-08-04 20:32:41.455773
7679	2	2013-08-02 16:05:18.179578	2013-08-03 17:48:56.470598
10314	14	2013-08-02 16:05:23.598951	2013-08-02 16:05:23.598951
20189	2	2013-08-02 16:05:44.071848	2013-08-04 20:32:41.941418
20155	2	2013-08-02 16:05:44.008977	2013-08-04 20:32:41.950196
20109	4	2013-08-02 16:05:43.806478	2013-08-04 20:32:42.251671
8159	21	2013-08-02 16:05:19.174328	2013-08-03 17:52:04.023838
43386	4	2013-08-02 16:06:35.447268	2013-08-04 20:32:42.255736
10322	2	2013-08-02 16:05:23.607575	2013-08-02 16:05:23.607575
36255	21	2013-08-02 16:06:20.267573	2013-08-04 20:32:42.858193
10324	4	2013-08-02 16:05:23.609932	2013-08-02 16:05:23.609932
36139	14	2013-08-02 16:06:19.990659	2013-08-04 20:32:42.869954
36119	14	2013-08-02 16:06:19.946917	2013-08-04 20:32:42.87567
36039	4	2013-08-02 16:06:19.760174	2013-08-04 20:32:42.926646
43028	2	2013-08-02 16:06:34.975329	2013-08-04 20:37:26.605187
43138	2	2013-08-02 16:06:35.10876	2013-08-04 20:37:26.611328
43048	2	2013-08-02 16:06:35.005035	2013-08-04 20:37:26.617192
43068	2	2013-08-02 16:06:35.030696	2013-08-04 20:37:26.622312
43088	2	2013-08-02 16:06:35.056389	2013-08-04 20:37:26.62781
10334	14	2013-08-02 16:05:23.619515	2013-08-02 16:05:23.619515
43108	2	2013-08-02 16:06:35.073558	2013-08-04 20:37:26.634133
10217	14	2013-08-02 16:05:23.490214	2013-08-03 17:57:11.879936
10212	21	2013-08-02 16:05:23.486086	2013-08-03 18:02:16.253698
10342	2	2013-08-02 16:05:23.627755	2013-08-02 16:05:23.627755
10344	4	2013-08-02 16:05:23.629723	2013-08-02 16:05:23.629723
10354	14	2013-08-02 16:05:23.639162	2013-08-02 16:05:23.639162
10306	4	2013-08-02 16:05:23.589244	2013-08-03 18:09:35.472838
8039	2	2013-08-02 16:05:18.919113	2013-08-03 18:09:35.477642
10362	2	2013-08-02 16:05:23.646874	2013-08-02 16:05:23.646874
10348	2	2013-08-02 16:05:23.633505	2013-08-03 01:13:42.279508
10328	2	2013-08-02 16:05:23.613718	2013-08-03 01:13:42.284069
10308	2	2013-08-02 16:05:23.592068	2013-08-03 01:13:42.288348
10288	2	2013-08-02 16:05:23.564592	2013-08-03 01:13:42.292302
10268	2	2013-08-02 16:05:23.543743	2013-08-03 01:13:42.29674
10248	2	2013-08-02 16:05:23.52298	2013-08-03 01:13:42.301169
10228	2	2013-08-02 16:05:23.499209	2013-08-03 01:13:42.306089
10357	4	2013-08-02 16:05:23.641904	2013-08-03 01:32:14.805626
10337	4	2013-08-02 16:05:23.622126	2013-08-03 01:32:14.812208
10317	4	2013-08-02 16:05:23.601726	2013-08-03 01:32:14.817886
10226	4	2013-08-02 16:05:23.49746	2013-08-03 18:12:26.364603
10206	2	2013-08-02 16:05:23.480438	2013-08-03 18:12:26.687001
10272	4	2013-08-02 16:05:23.547377	2013-08-03 01:45:30.353763
10312	4	2013-08-02 16:05:23.597013	2013-08-03 18:14:41.057207
10255	4	2013-08-02 16:05:23.530191	2013-08-03 01:54:08.363563
10295	2	2013-08-02 16:05:23.572032	2013-08-03 01:54:08.369768
10320	2	2013-08-02 16:05:23.604835	2013-08-03 18:14:41.060297
10243	4	2013-08-02 16:05:23.515564	2013-08-03 01:55:05.64808
10263	2	2013-08-02 16:05:23.538013	2013-08-03 01:55:05.65078
10275	2	2013-08-02 16:05:23.550674	2013-08-03 01:56:00.909727
10343	2	2013-08-02 16:05:23.628924	2013-08-03 01:56:00.919782
10323	2	2013-08-02 16:05:23.608827	2013-08-03 01:56:00.930523
10303	2	2013-08-02 16:05:23.584427	2013-08-03 01:56:00.941148
10355	14	2013-08-02 16:05:23.639905	2013-08-03 01:56:02.014068
10335	4	2013-08-02 16:05:23.62025	2013-08-03 01:56:02.018981
10218	14	2013-08-02 16:05:23.49122	2013-08-03 02:10:01.324902
10253	2	2013-08-02 16:05:23.527817	2013-08-03 02:11:05.372616
10233	2	2013-08-02 16:05:23.503931	2013-08-03 02:11:05.384143
10213	2	2013-08-02 16:05:23.486853	2013-08-03 02:11:05.395452
10353	2	2013-08-02 16:05:23.638327	2013-08-03 02:16:24.981951
10333	2	2013-08-02 16:05:23.618393	2013-08-03 02:16:24.987417
10313	2	2013-08-02 16:05:23.598024	2013-08-03 02:16:24.991065
10293	2	2013-08-02 16:05:23.569481	2013-08-03 02:16:24.994498
10273	2	2013-08-02 16:05:23.548964	2013-08-03 02:16:24.998144
10280	14	2013-08-02 16:05:23.555031	2013-08-03 02:21:47.64122
10365	4	2013-08-02 16:05:23.650362	2013-08-03 02:52:16.80476
10364	4	2013-08-02 16:05:23.649279	2013-08-02 16:05:23.649279
10390	21	2013-08-02 16:05:23.675021	2013-08-03 17:35:03.598187
10490	2	2013-08-02 16:05:23.78669	2013-08-04 19:52:26.733859
10387	2	2013-08-02 16:05:23.67255	2013-08-04 19:52:26.739206
10510	2	2013-08-02 16:05:23.814819	2013-08-04 19:52:26.743942
10405	2	2013-08-02 16:05:23.694941	2013-08-03 02:52:16.814656
10460	2	2013-08-02 16:05:23.759023	2013-08-04 19:52:26.748237
10385	2	2013-08-02 16:05:23.670874	2013-08-03 02:53:03.919842
10374	14	2013-08-02 16:05:23.659674	2013-08-02 16:05:23.659674
10505	2	2013-08-02 16:05:23.80968	2013-08-03 02:53:04.296452
10485	2	2013-08-02 16:05:23.781256	2013-08-03 02:53:04.307496
10465	2	2013-08-02 16:05:23.762532	2013-08-03 02:53:04.318515
10372	21	2013-08-02 16:05:23.657982	2013-08-03 22:14:25.209666
10445	2	2013-08-02 16:05:23.744617	2013-08-03 02:53:04.329475
10370	2	2013-08-02 16:05:23.655531	2013-08-04 19:52:26.752858
10382	2	2013-08-02 16:05:23.667958	2013-08-02 16:05:23.667958
10516	2	2013-08-02 16:05:23.821669	2013-08-03 03:09:48.412649
10384	4	2013-08-02 16:05:23.670057	2013-08-02 16:05:23.670057
33435	21	2013-08-02 16:06:14.064658	2013-08-04 00:37:45.270369
10496	2	2013-08-02 16:05:23.796003	2013-08-03 03:09:48.423682
10367	2	2013-08-02 16:05:23.652784	2013-08-04 19:52:26.757279
10476	2	2013-08-02 16:05:23.772843	2013-08-03 03:09:48.43449
10456	2	2013-08-02 16:05:23.756216	2013-08-03 03:09:48.445138
10436	2	2013-08-02 16:05:23.736167	2013-08-03 03:09:48.456034
10394	14	2013-08-02 16:05:23.679375	2013-08-02 16:05:23.679375
10416	2	2013-08-02 16:05:23.708663	2013-08-03 03:09:48.46671
10396	2	2013-08-02 16:05:23.682398	2013-08-03 03:09:48.477803
10376	2	2013-08-02 16:05:23.661514	2013-08-03 03:09:48.488903
2894	4	2013-08-02 16:05:09.331632	2013-08-03 22:45:30.094061
10402	2	2013-08-02 16:05:23.692164	2013-08-02 16:05:23.692164
10404	4	2013-08-02 16:05:23.694056	2013-08-02 16:05:23.694056
10401	4	2013-08-02 16:05:23.691133	2013-08-04 19:53:37.780206
10439	21	2013-08-02 16:05:23.739022	2013-08-03 21:29:21.628108
10414	14	2013-08-02 16:05:23.705666	2013-08-02 16:05:23.705666
5459	21	2013-08-02 16:05:13.893781	2013-08-03 21:29:21.631061
10419	14	2013-08-02 16:05:23.713117	2013-08-03 21:29:21.648037
10461	4	2013-08-02 16:05:23.759658	2013-08-03 17:48:44.807495
7663	21	2013-08-02 16:05:18.085436	2013-08-04 01:12:30.076467
10501	2	2013-08-02 16:05:23.803741	2013-08-03 17:48:44.810599
20271	2	2013-08-02 16:05:44.170978	2013-08-04 01:35:47.476936
10422	2	2013-08-02 16:05:23.718003	2013-08-02 16:05:23.718003
10424	4	2013-08-02 16:05:23.721229	2013-08-02 16:05:23.721229
24933	2	2013-08-02 16:05:53.679371	2013-08-04 01:35:47.809378
25615	2	2013-08-02 16:05:55.325715	2013-08-04 01:35:47.816399
24913	2	2013-08-02 16:05:53.659528	2013-08-04 01:35:47.823057
10427	2	2013-08-02 16:05:23.725314	2013-08-04 19:53:37.782229
4908	2	2013-08-02 16:05:13.102708	2013-08-04 01:35:47.827939
10381	2	2013-08-02 16:05:23.66664	2013-08-03 17:48:56.307359
24893	2	2013-08-02 16:05:53.63947	2013-08-04 01:35:47.832708
24952	2	2013-08-02 16:05:53.697595	2013-08-04 01:35:47.83955
10434	14	2013-08-02 16:05:23.733644	2013-08-02 16:05:23.733644
7258	2	2013-08-02 16:05:17.673557	2013-08-03 22:49:45.809864
32121	14	2013-08-02 16:06:10.633214	2013-08-03 22:50:05.32657
9453	14	2013-08-02 16:05:22.415561	2013-08-03 17:48:56.497339
5599	2	2013-08-02 16:05:14.226334	2013-08-03 23:42:23.214019
31040	21	2013-08-02 16:06:07.886242	2013-08-04 19:53:37.804207
10442	2	2013-08-02 16:05:23.741605	2013-08-02 16:05:23.741605
10444	4	2013-08-02 16:05:23.743616	2013-08-02 16:05:23.743616
10440	21	2013-08-02 16:05:23.739868	2013-08-03 17:52:03.799269
8638	21	2013-08-02 16:05:20.364947	2013-08-03 17:52:04.021137
17918	14	2013-08-02 16:05:38.821308	2013-08-03 23:44:25.205985
10410	21	2013-08-02 16:05:23.700233	2013-08-04 19:54:26.686815
4629	2	2013-08-02 16:05:12.810945	2013-08-03 17:52:04.827803
10450	21	2013-08-02 16:05:23.75142	2013-08-04 19:54:38.570568
10454	14	2013-08-02 16:05:23.754789	2013-08-02 16:05:23.754789
10499	21	2013-08-02 16:05:23.800079	2013-08-04 19:54:49.887405
10458	2	2013-08-02 16:05:23.757604	2013-08-04 19:57:26.304099
10397	2	2013-08-02 16:05:23.684151	2013-08-04 19:57:26.319225
10417	2	2013-08-02 16:05:23.71046	2013-08-04 19:57:26.335507
10507	2	2013-08-02 16:05:23.811408	2013-08-04 19:57:26.350782
5199	21	2013-08-02 16:05:13.477274	2013-08-03 23:49:35.050288
10486	2	2013-08-02 16:05:23.78263	2013-08-04 19:57:26.365528
10462	2	2013-08-02 16:05:23.760347	2013-08-02 16:05:23.760347
9486	2	2013-08-02 16:05:22.479137	2013-08-03 17:55:22.292292
10464	4	2013-08-02 16:05:23.761823	2013-08-02 16:05:23.761823
10487	2	2013-08-02 16:05:23.783705	2013-08-04 19:57:26.380924
10519	21	2013-08-02 16:05:23.825101	2013-08-03 23:53:46.202327
10467	2	2013-08-02 16:05:23.764151	2013-08-04 19:57:26.396747
3669	2	2013-08-02 16:05:10.928382	2013-08-04 19:57:26.41301
10447	2	2013-08-02 16:05:23.748596	2013-08-04 19:57:26.428375
10430	21	2013-08-02 16:05:23.728789	2013-08-04 19:57:26.519929
10470	21	2013-08-02 16:05:23.766941	2013-08-04 19:57:26.522708
10474	14	2013-08-02 16:05:23.771012	2013-08-02 16:05:23.771012
20480	2	2013-08-02 16:05:44.380101	2013-08-04 20:34:05.52557
43806	14	2013-08-02 16:06:36.714105	2013-08-04 20:34:53.491191
10426	14	2013-08-02 16:05:23.724277	2013-08-03 18:18:42.668231
10482	2	2013-08-02 16:05:23.777812	2013-08-02 16:05:23.777812
10484	4	2013-08-02 16:05:23.779961	2013-08-02 16:05:23.779961
43926	4	2013-08-02 16:06:36.985156	2013-08-04 20:34:53.52425
43921	21	2013-08-02 16:06:36.978944	2013-08-04 20:35:12.282222
20549	2	2013-08-02 16:05:44.448488	2013-08-04 20:37:26.104286
43886	2	2013-08-02 16:06:36.920772	2013-08-04 20:37:26.59855
10494	14	2013-08-02 16:05:23.792883	2013-08-02 16:05:23.792883
10506	14	2013-08-02 16:05:23.810571	2013-08-03 18:22:14.626124
10446	2	2013-08-02 16:05:23.74659	2013-08-03 18:22:15.198829
10386	2	2013-08-02 16:05:23.671735	2013-08-03 18:22:15.464812
10502	2	2013-08-02 16:05:23.805387	2013-08-02 16:05:23.805387
10466	2	2013-08-02 16:05:23.763325	2013-08-03 18:22:16.323743
10504	4	2013-08-02 16:05:23.808769	2013-08-02 16:05:23.808769
10366	14	2013-08-02 16:05:23.651534	2013-08-03 18:27:14.055738
10514	14	2013-08-02 16:05:23.819556	2013-08-02 16:05:23.819556
10508	2	2013-08-02 16:05:23.812299	2013-08-03 01:13:42.236233
10488	2	2013-08-02 16:05:23.78453	2013-08-03 01:13:42.241182
10468	2	2013-08-02 16:05:23.765017	2013-08-03 01:13:42.247625
10448	2	2013-08-02 16:05:23.749569	2013-08-03 01:13:42.255402
10428	2	2013-08-02 16:05:23.726418	2013-08-03 01:13:42.261292
10408	2	2013-08-02 16:05:23.698007	2013-08-03 01:13:42.266861
10388	2	2013-08-02 16:05:23.67337	2013-08-03 01:13:42.271031
10517	21	2013-08-02 16:05:23.822869	2013-08-03 01:32:14.719557
10497	21	2013-08-02 16:05:23.797725	2013-08-03 01:32:14.72344
10477	14	2013-08-02 16:05:23.773698	2013-08-03 01:32:14.732988
10457	14	2013-08-02 16:05:23.756915	2013-08-03 01:32:14.744204
10437	14	2013-08-02 16:05:23.737337	2013-08-03 01:32:14.755996
10392	2	2013-08-02 16:05:23.676715	2013-08-03 01:43:47.797326
10512	14	2013-08-02 16:05:23.817894	2013-08-03 01:45:30.618458
10492	14	2013-08-02 16:05:23.789467	2013-08-03 01:45:30.625121
10472	4	2013-08-02 16:05:23.769163	2013-08-03 01:45:30.631697
10452	4	2013-08-02 16:05:23.753183	2013-08-03 01:45:30.638465
10503	2	2013-08-02 16:05:23.807091	2013-08-03 01:56:00.825635
10483	2	2013-08-02 16:05:23.778863	2013-08-03 01:56:00.836585
10463	2	2013-08-02 16:05:23.761072	2013-08-03 01:56:00.846979
10443	2	2013-08-02 16:05:23.742481	2013-08-03 01:56:00.857353
10423	2	2013-08-02 16:05:23.719751	2013-08-03 01:56:00.867694
10403	2	2013-08-02 16:05:23.693213	2013-08-03 01:56:00.878174
10383	2	2013-08-02 16:05:23.669177	2013-08-03 01:56:00.888668
10495	14	2013-08-02 16:05:23.794	2013-08-03 02:00:11.34594
10378	4	2013-08-02 16:05:23.663227	2013-08-03 02:00:11.478659
10418	2	2013-08-02 16:05:23.711748	2013-08-03 02:00:11.485166
10498	2	2013-08-02 16:05:23.798895	2013-08-03 02:01:00.796038
10478	2	2013-08-02 16:05:23.774607	2013-08-03 02:01:00.805032
10398	14	2013-08-02 16:05:23.686098	2013-08-03 02:06:05.398435
10413	2	2013-08-02 16:05:23.704434	2013-08-03 02:16:24.951539
10393	2	2013-08-02 16:05:23.678143	2013-08-03 02:16:24.962841
10373	2	2013-08-02 16:05:23.658844	2013-08-03 02:16:24.975109
10400	2	2013-08-02 16:05:23.690102	2013-08-03 02:20:55.879485
10380	2	2013-08-02 16:05:23.665715	2013-08-03 02:21:47.301118
10518	2	2013-08-02 16:05:23.823987	2013-08-03 02:21:48.059681
10432	2	2013-08-02 16:05:23.730983	2013-08-03 02:21:48.070531
10515	2	2013-08-02 16:05:23.820458	2013-08-03 02:21:48.080521
10513	2	2013-08-02 16:05:23.818729	2013-08-03 02:21:48.092081
10493	2	2013-08-02 16:05:23.791133	2013-08-03 02:21:48.103257
10473	2	2013-08-02 16:05:23.770138	2013-08-03 02:21:48.113982
10453	2	2013-08-02 16:05:23.754018	2013-08-03 02:21:48.12459
10433	2	2013-08-02 16:05:23.732366	2013-08-03 02:21:48.135472
10577	4	2013-08-02 16:05:23.8815	2013-08-03 02:36:28.01768
15166	21	2013-08-02 16:05:33.480219	2013-08-03 22:45:30.223903
10522	2	2013-08-02 16:05:23.828441	2013-08-02 16:05:23.828441
10560	2	2013-08-02 16:05:23.866923	2013-08-03 02:53:04.19993
10524	4	2013-08-02 16:05:23.830293	2013-08-02 16:05:23.830293
39835	21	2013-08-02 16:06:27.875041	2013-08-03 22:45:30.253849
11538	21	2013-08-02 16:05:25.874563	2013-08-03 22:45:30.25655
10665	2	2013-08-02 16:05:24.06184	2013-08-03 02:53:04.210155
7528	2	2013-08-02 16:05:17.949797	2013-08-04 19:57:26.190537
42483	21	2013-08-02 16:06:33.932884	2013-08-03 19:37:44.072426
10645	2	2013-08-02 16:05:24.039424	2013-08-03 02:53:04.220232
10625	2	2013-08-02 16:05:24.020654	2013-08-03 02:53:04.230285
10605	2	2013-08-02 16:05:23.907167	2013-08-03 02:53:04.240595
10534	14	2013-08-02 16:05:23.841217	2013-08-02 16:05:23.841217
10585	2	2013-08-02 16:05:23.889865	2013-08-03 02:53:04.251428
10663	4	2013-08-02 16:05:24.059949	2013-08-03 17:42:02.248553
10565	2	2013-08-02 16:05:23.870971	2013-08-03 02:53:04.261972
10545	2	2013-08-02 16:05:23.853487	2013-08-03 02:53:04.273388
41465	21	2013-08-02 16:06:31.225137	2013-08-03 22:45:30.261715
10525	2	2013-08-02 16:05:23.831206	2013-08-03 02:53:04.284982
10542	2	2013-08-02 16:05:23.849407	2013-08-02 16:05:23.849407
10576	2	2013-08-02 16:05:23.880508	2013-08-03 03:09:48.37944
10544	4	2013-08-02 16:05:23.852279	2013-08-02 16:05:23.852279
10670	4	2013-08-02 16:05:24.066544	2013-08-03 17:42:02.253286
10556	2	2013-08-02 16:05:23.863274	2013-08-03 03:09:48.390915
10530	2	2013-08-02 16:05:23.836828	2013-08-04 19:57:26.20576
35843	2	2013-08-02 16:06:19.26826	2013-08-03 19:37:44.367438
10536	2	2013-08-02 16:05:23.843162	2013-08-03 03:09:48.40183
10656	14	2013-08-02 16:05:24.051054	2013-08-03 17:03:17.193885
10650	4	2013-08-02 16:05:24.044203	2013-08-03 17:42:02.259001
10554	14	2013-08-02 16:05:23.861758	2013-08-02 16:05:23.861758
10630	4	2013-08-02 16:05:24.025607	2013-08-03 17:42:02.26253
4899	2	2013-08-02 16:05:13.094042	2013-08-03 19:37:44.372995
37943	2	2013-08-02 16:06:23.950996	2013-08-03 19:37:44.543592
2760	2	2013-08-02 16:05:09.139482	2013-08-04 01:05:55.9194
24873	2	2013-08-02 16:05:53.617537	2013-08-04 01:35:47.848096
10676	2	2013-08-02 16:05:24.072302	2013-08-03 17:05:35.546398
24853	2	2013-08-02 16:05:53.591781	2013-08-04 01:35:47.858747
10562	2	2013-08-02 16:05:23.868302	2013-08-02 16:05:23.868302
10636	14	2013-08-02 16:05:24.031637	2013-08-03 17:05:35.700484
10564	4	2013-08-02 16:05:23.870106	2013-08-02 16:05:23.870106
23132	2	2013-08-02 16:05:50.511144	2013-08-03 19:37:44.726821
10610	4	2013-08-02 16:05:23.913322	2013-08-03 17:42:02.268789
10567	2	2013-08-02 16:05:23.872579	2013-08-04 19:57:26.220635
17530	14	2013-08-02 16:05:38.212872	2013-08-03 21:05:54.926236
10590	4	2013-08-02 16:05:23.894559	2013-08-03 17:42:02.274724
10570	4	2013-08-02 16:05:23.874993	2013-08-03 17:42:02.284302
10563	4	2013-08-02 16:05:23.869347	2013-08-03 17:42:02.29421
10574	14	2013-08-02 16:05:23.87877	2013-08-02 16:05:23.87877
10550	4	2013-08-02 16:05:23.858278	2013-08-03 17:42:02.30478
24833	2	2013-08-02 16:05:53.56918	2013-08-04 01:35:47.869219
24813	2	2013-08-02 16:05:53.548933	2013-08-04 01:35:47.875273
24821	2	2013-08-02 16:05:53.556333	2013-08-04 01:35:47.881529
10616	2	2013-08-02 16:05:24.0123	2013-08-04 19:57:26.233165
10547	2	2013-08-02 16:05:23.855482	2013-08-04 19:57:26.244393
10582	2	2013-08-02 16:05:23.887106	2013-08-02 16:05:23.887106
20397	2	2013-08-02 16:05:44.30241	2013-08-04 19:57:26.258582
10584	4	2013-08-02 16:05:23.888965	2013-08-02 16:05:23.888965
5019	2	2013-08-02 16:05:13.21314	2013-08-04 19:57:26.274528
39635	21	2013-08-02 16:06:27.424282	2013-08-03 19:37:44.88401
10527	2	2013-08-02 16:05:23.833013	2013-08-04 19:57:26.289081
39615	21	2013-08-02 16:06:27.372387	2013-08-03 19:37:44.885598
10520	2	2013-08-02 16:05:23.826381	2013-08-04 19:57:28.025057
2679	21	2013-08-02 16:05:09.067168	2013-08-03 21:19:20.328278
7444	4	2013-08-02 16:05:17.872902	2013-08-03 22:49:21.285108
10594	14	2013-08-02 16:05:23.898029	2013-08-02 16:05:23.898029
29515	2	2013-08-02 16:06:04.096478	2013-08-03 21:24:20.052875
9632	14	2013-08-02 16:05:22.811979	2013-08-03 17:48:56.539501
10559	21	2013-08-02 16:05:23.865955	2013-08-03 21:34:21.845218
10539	21	2013-08-02 16:05:23.846387	2013-08-03 21:34:21.84674
10667	2	2013-08-02 16:05:24.063381	2013-08-04 19:57:28.030857
10596	21	2013-08-02 16:05:23.899665	2013-08-03 21:34:21.84787
10638	21	2013-08-02 16:05:24.033374	2013-08-03 21:39:33.514274
10602	2	2013-08-02 16:05:23.904532	2013-08-02 16:05:23.904532
10647	2	2013-08-02 16:05:24.041227	2013-08-04 19:57:28.040163
10604	4	2013-08-02 16:05:23.906433	2013-08-02 16:05:23.906433
10568	2	2013-08-02 16:05:23.873337	2013-08-04 19:57:28.048084
10627	2	2013-08-02 16:05:24.022723	2013-08-04 19:57:28.058903
7504	2	2013-08-02 16:05:17.924689	2013-08-04 19:57:28.06823
7484	4	2013-08-02 16:05:17.90575	2013-08-03 22:55:42.030766
10617	4	2013-08-02 16:05:24.013388	2013-08-03 17:52:01.54691
10558	4	2013-08-02 16:05:23.864954	2013-08-03 17:52:01.551815
10614	14	2013-08-02 16:05:24.009629	2013-08-02 16:05:24.009629
10578	4	2013-08-02 16:05:23.882452	2013-08-03 17:52:01.555661
10572	4	2013-08-02 16:05:23.876681	2013-08-03 17:52:01.558874
7517	2	2013-08-02 16:05:17.938183	2013-08-03 22:59:25.472402
43932	2	2013-08-02 16:06:36.993038	2013-08-04 20:34:53.531752
2780	21	2013-08-02 16:05:09.156895	2013-08-03 23:49:35.049074
10622	2	2013-08-02 16:05:24.017932	2013-08-02 16:05:24.017932
43966	21	2013-08-02 16:06:37.049366	2013-08-04 20:34:53.662782
10624	4	2013-08-02 16:05:24.019691	2013-08-02 16:05:24.019691
10597	14	2013-08-02 16:05:23.900444	2013-08-03 21:44:33.908917
10658	14	2013-08-02 16:05:24.053833	2013-08-03 21:44:33.91313
43906	21	2013-08-02 16:06:36.962496	2013-08-04 20:34:53.684373
43826	21	2013-08-02 16:06:36.766981	2013-08-04 20:35:00.920156
43373	21	2013-08-02 16:06:35.413261	2013-08-04 20:35:12.296401
10666	2	2013-08-02 16:05:24.062638	2013-08-03 21:44:34.793342
9393	4	2013-08-02 16:05:22.25559	2013-08-03 17:57:11.628192
43946	2	2013-08-02 16:06:37.01334	2013-08-04 20:37:26.100701
10634	14	2013-08-02 16:05:24.029457	2013-08-02 16:05:24.029457
10646	21	2013-08-02 16:05:24.040253	2013-08-03 21:45:18.170398
44206	2	2013-08-02 16:06:37.674903	2013-08-04 20:37:26.304577
44186	2	2013-08-02 16:06:37.624052	2013-08-04 20:37:26.313836
44241	2	2013-08-02 16:06:37.766962	2013-08-04 20:37:26.324963
10659	2	2013-08-02 16:05:24.054989	2013-08-03 21:54:22.067032
44245	2	2013-08-02 16:06:37.777671	2013-08-04 20:37:26.33979
10642	2	2013-08-02 16:05:24.036996	2013-08-02 16:05:24.036996
10586	4	2013-08-02 16:05:23.890779	2013-08-03 18:18:42.676651
10644	4	2013-08-02 16:05:24.038612	2013-08-02 16:05:24.038612
44166	2	2013-08-02 16:06:37.570586	2013-08-04 20:37:26.355512
44146	2	2013-08-02 16:06:37.51766	2013-08-04 20:37:26.370453
10626	2	2013-08-02 16:05:24.021698	2013-08-03 18:18:42.67972
44126	2	2013-08-02 16:06:37.464188	2013-08-04 20:37:26.386807
44015	2	2013-08-02 16:06:37.179335	2013-08-04 20:37:26.419667
44106	2	2013-08-02 16:06:37.411935	2013-08-04 20:37:26.437437
10654	14	2013-08-02 16:05:24.048671	2013-08-02 16:05:24.048671
10540	2	2013-08-02 16:05:23.847293	2013-08-03 18:22:15.454558
10662	2	2013-08-02 16:05:24.058798	2013-08-02 16:05:24.058798
10664	4	2013-08-02 16:05:24.061008	2013-08-02 16:05:24.061008
8516	21	2013-08-02 16:05:20.081853	2013-08-03 18:27:14.035023
10546	21	2013-08-02 16:05:23.854592	2013-08-03 18:27:14.037424
10674	14	2013-08-02 16:05:24.070519	2013-08-02 16:05:24.070519
10528	2	2013-08-02 16:05:23.834666	2013-08-03 01:13:42.230608
10608	14	2013-08-02 16:05:23.91044	2013-08-03 01:19:09.161603
10557	21	2013-08-02 16:05:23.864009	2013-08-03 01:32:14.711094
10537	21	2013-08-02 16:05:23.844763	2013-08-03 01:32:14.715549
10548	14	2013-08-02 16:05:23.856481	2013-08-03 01:34:39.882371
10648	21	2013-08-02 16:05:24.042187	2013-08-03 01:45:30.59478
10672	21	2013-08-02 16:05:24.068932	2013-08-03 01:45:30.596214
10652	21	2013-08-02 16:05:24.04629	2013-08-03 01:45:30.597553
10632	21	2013-08-02 16:05:24.027491	2013-08-03 01:45:30.598805
10612	21	2013-08-02 16:05:23.916157	2013-08-03 01:45:30.599928
10603	14	2013-08-02 16:05:23.905703	2013-08-03 02:00:10.973637
10543	4	2013-08-02 16:05:23.850823	2013-08-03 02:01:00.564611
10618	4	2013-08-02 16:05:24.014132	2013-08-03 02:01:00.727837
10598	4	2013-08-02 16:05:23.901231	2013-08-03 02:01:00.738453
10523	2	2013-08-02 16:05:23.829378	2013-08-03 02:06:04.561954
10533	2	2013-08-02 16:05:23.839908	2013-08-03 02:21:48.048016
10580	4	2013-08-02 16:05:23.884662	2013-08-03 02:26:10.801385
10620	2	2013-08-02 16:05:24.015931	2013-08-03 02:26:10.808814
10600	2	2013-08-02 16:05:23.902987	2013-08-03 02:26:55.0242
10623	2	2013-08-02 16:05:24.018712	2013-08-03 02:26:55.948329
10628	2	2013-08-02 16:05:24.023623	2013-08-03 02:26:55.955428
10673	2	2013-08-02 16:05:24.069762	2013-08-03 02:26:55.990699
10653	2	2013-08-02 16:05:24.047447	2013-08-03 02:26:55.998497
10633	2	2013-08-02 16:05:24.028396	2013-08-03 02:26:56.004202
10613	2	2013-08-02 16:05:23.917301	2013-08-03 02:26:56.008495
10593	2	2013-08-02 16:05:23.897169	2013-08-03 02:26:56.012395
10573	2	2013-08-02 16:05:23.877746	2013-08-03 02:26:56.020471
10553	2	2013-08-02 16:05:23.860808	2013-08-03 02:26:56.028956
10787	2	2013-08-02 16:05:24.21503	2013-08-04 19:57:27.913223
10820	4	2013-08-02 16:05:24.245743	2013-08-03 02:37:18.473091
24733	2	2013-08-02 16:05:53.460175	2013-08-04 01:35:47.936157
10725	2	2013-08-02 16:05:24.150398	2013-08-03 02:53:04.167348
46130	2	2013-08-02 16:06:41.731317	2013-08-04 01:38:16.559633
10682	2	2013-08-02 16:05:24.083149	2013-08-02 16:05:24.083149
10705	2	2013-08-02 16:05:24.114418	2013-08-03 02:53:04.178828
10684	4	2013-08-02 16:05:24.085595	2013-08-02 16:05:24.085595
10690	21	2013-08-02 16:05:24.091778	2013-08-03 17:42:02.241713
7392	2	2013-08-02 16:05:17.824857	2013-08-03 22:45:42.744793
10685	2	2013-08-02 16:05:24.086468	2013-08-03 02:53:04.189542
10767	2	2013-08-02 16:05:24.197213	2013-08-04 19:57:27.972626
25651	4	2013-08-02 16:05:55.411556	2013-08-04 17:11:55.062192
14396	2	2013-08-02 16:05:31.733785	2013-08-04 01:38:40.87201
25631	4	2013-08-02 16:05:55.364278	2013-08-04 17:11:55.07067
10694	14	2013-08-02 16:05:24.095842	2013-08-02 16:05:24.095842
10710	14	2013-08-02 16:05:24.126573	2013-08-03 17:42:44.334712
10420	2	2013-08-02 16:05:23.714829	2013-08-04 19:57:27.97871
10747	2	2013-08-02 16:05:24.179051	2013-08-04 19:57:27.98363
10776	4	2013-08-02 16:05:24.20528	2013-08-03 17:03:17.226213
10830	2	2013-08-02 16:05:24.255481	2013-08-04 19:57:27.988195
10792	14	2013-08-02 16:05:24.219401	2013-08-03 02:56:37.349326
10727	2	2013-08-02 16:05:24.152295	2013-08-04 19:57:27.993056
10702	2	2013-08-02 16:05:24.108287	2013-08-02 16:05:24.108287
1852	4	2013-08-02 16:05:07.599829	2013-08-03 19:37:45.264551
10704	4	2013-08-02 16:05:24.112425	2013-08-02 16:05:24.112425
10816	2	2013-08-02 16:05:24.242431	2013-08-03 17:03:17.232537
10756	2	2013-08-02 16:05:24.188265	2013-08-04 19:57:27.997858
3248	2	2013-08-02 16:05:09.921475	2013-08-04 19:57:28.002005
10707	2	2013-08-02 16:05:24.118751	2013-08-04 19:57:28.008402
10716	2	2013-08-02 16:05:24.13635	2013-08-04 19:57:28.014531
10687	2	2013-08-02 16:05:24.088303	2013-08-04 19:57:28.019069
10783	2	2013-08-02 16:05:24.21135	2013-08-03 02:58:08.746619
10714	14	2013-08-02 16:05:24.133867	2013-08-02 16:05:24.133867
10768	14	2013-08-02 16:05:24.197911	2013-08-03 02:58:08.898156
10752	2	2013-08-02 16:05:24.184285	2013-08-04 20:02:37.486217
3297	4	2013-08-02 16:05:10.067478	2013-08-03 22:45:42.778868
10796	2	2013-08-02 16:05:24.223995	2013-08-03 17:05:34.518423
10797	2	2013-08-02 16:05:24.22512	2013-08-04 20:02:37.501417
10728	2	2013-08-02 16:05:24.153373	2013-08-04 20:02:37.515983
10722	2	2013-08-02 16:05:24.147395	2013-08-02 16:05:24.147395
10825	2	2013-08-02 16:05:24.250588	2013-08-03 17:05:35.06527
10724	4	2013-08-02 16:05:24.149473	2013-08-02 16:05:24.149473
1768	2	2013-08-02 16:05:07.376523	2013-08-03 19:37:45.354933
3166	2	2013-08-02 16:05:09.749672	2013-08-03 22:49:20.889135
10827	2	2013-08-02 16:05:24.25247	2013-08-04 20:02:37.529714
3999	4	2013-08-02 16:05:11.749547	2013-08-03 21:09:21.465978
7412	2	2013-08-02 16:05:17.844034	2013-08-03 22:49:20.900149
10810	2	2013-08-02 16:05:24.237662	2013-08-04 20:02:37.541374
10692	4	2013-08-02 16:05:24.094022	2013-08-03 17:42:44.348181
10734	14	2013-08-02 16:05:24.159208	2013-08-02 16:05:24.159208
7518	14	2013-08-02 16:05:17.940645	2013-08-03 22:49:45.859791
10807	2	2013-08-02 16:05:24.235	2013-08-04 20:02:37.555797
10786	2	2013-08-02 16:05:24.214167	2013-08-04 20:02:37.57071
10737	2	2013-08-02 16:05:24.162997	2013-08-03 17:47:05.430806
10680	2	2013-08-02 16:05:24.079317	2013-08-04 20:07:37.041764
10730	2	2013-08-02 16:05:24.155467	2013-08-03 17:47:05.434927
3261	21	2013-08-02 16:05:09.954559	2013-08-03 22:54:24.06955
10742	2	2013-08-02 16:05:24.170583	2013-08-02 16:05:24.170583
10717	2	2013-08-02 16:05:24.138667	2013-08-04 20:07:37.058477
10744	4	2013-08-02 16:05:24.17306	2013-08-02 16:05:24.17306
10715	2	2013-08-02 16:05:24.134815	2013-08-04 20:07:37.07426
3939	2	2013-08-02 16:05:11.603072	2013-08-03 21:24:20.030932
10743	2	2013-08-02 16:05:24.171931	2013-08-04 20:07:37.090389
48195	2	2013-08-02 16:06:46.269336	2013-08-03 21:24:20.041916
39575	21	2013-08-02 16:06:27.280912	2013-08-03 21:39:33.511285
10679	21	2013-08-02 16:05:24.077513	2013-08-03 21:39:33.512949
10561	4	2013-08-02 16:05:23.867616	2013-08-03 17:48:56.568939
10754	14	2013-08-02 16:05:24.186509	2013-08-02 16:05:24.186509
10819	21	2013-08-02 16:05:24.244998	2013-08-03 21:44:34.561848
10601	2	2013-08-02 16:05:23.903759	2013-08-03 17:48:56.571093
10821	21	2013-08-02 16:05:24.246481	2013-08-03 17:52:01.485796
10801	21	2013-08-02 16:05:24.229158	2013-08-03 17:52:01.487985
22361	2	2013-08-02 16:05:48.527351	2013-08-03 22:59:25.462261
10781	21	2013-08-02 16:05:24.209498	2013-08-03 17:52:01.489327
44086	2	2013-08-02 16:06:37.358228	2013-08-04 20:37:26.453346
10762	2	2013-08-02 16:05:24.193722	2013-08-02 16:05:24.193722
3268	2	2013-08-02 16:05:09.9721	2013-08-03 23:42:07.074278
10764	4	2013-08-02 16:05:24.195124	2013-08-02 16:05:24.195124
44066	2	2013-08-02 16:06:37.309373	2013-08-04 20:37:26.461487
43970	2	2013-08-02 16:06:37.060126	2013-08-04 20:37:26.472625
9131	4	2013-08-02 16:05:21.551704	2013-08-03 23:45:41.322457
44046	2	2013-08-02 16:06:37.26161	2013-08-04 20:37:26.482197
44026	2	2013-08-02 16:06:37.209552	2013-08-04 20:37:26.486932
44006	2	2013-08-02 16:06:37.155421	2013-08-04 20:37:26.494753
43986	2	2013-08-02 16:06:37.102428	2013-08-04 20:37:26.5013
43548	2	2013-08-02 16:06:35.860582	2013-08-04 20:37:26.833413
10774	14	2013-08-02 16:05:24.203208	2013-08-02 16:05:24.203208
10779	21	2013-08-02 16:05:24.207819	2013-08-03 23:45:51.964293
43866	2	2013-08-02 16:06:36.869319	2013-08-04 20:37:26.877055
43885	2	2013-08-02 16:06:36.918355	2013-08-04 20:37:27.063291
26137	14	2013-08-02 16:05:56.578686	2013-08-03 23:45:52.067726
43513	2	2013-08-02 16:06:35.774407	2013-08-04 20:37:28.354387
44028	21	2013-08-02 16:06:37.214883	2013-08-04 20:37:28.391538
10782	2	2013-08-02 16:05:24.210415	2013-08-02 16:05:24.210415
15986	2	2013-08-02 16:05:34.410735	2013-08-03 21:54:22.057816
10784	4	2013-08-02 16:05:24.21236	2013-08-02 16:05:24.21236
10800	14	2013-08-02 16:05:24.228224	2013-08-03 21:54:22.318788
10686	21	2013-08-02 16:05:24.087542	2013-08-03 23:49:35.046583
10770	14	2013-08-02 16:05:24.199384	2013-08-03 17:59:16.77217
44008	21	2013-08-02 16:06:37.160843	2013-08-04 20:37:28.396786
9079	21	2013-08-02 16:05:21.426067	2013-08-03 23:49:35.047806
43988	21	2013-08-02 16:06:37.107565	2013-08-04 20:37:28.401566
43968	2	2013-08-02 16:06:37.054639	2013-08-04 20:37:28.427111
10706	14	2013-08-02 16:05:24.116835	2013-08-03 18:19:03.071111
10794	14	2013-08-02 16:05:24.221214	2013-08-02 16:05:24.221214
43846	4	2013-08-02 16:06:36.817742	2013-08-04 20:37:29.09625
43937	2	2013-08-02 16:06:36.999864	2013-08-04 20:42:23.703995
10802	2	2013-08-02 16:05:24.230136	2013-08-02 16:05:24.230136
10804	4	2013-08-02 16:05:24.232047	2013-08-02 16:05:24.232047
10826	4	2013-08-02 16:05:24.251531	2013-08-03 18:19:03.084706
10746	2	2013-08-02 16:05:24.176928	2013-08-03 18:22:14.618915
10814	14	2013-08-02 16:05:24.240963	2013-08-02 16:05:24.240963
10726	2	2013-08-02 16:05:24.151225	2013-08-03 18:22:15.187532
10700	14	2013-08-02 16:05:24.104961	2013-08-03 18:23:00.71186
10822	2	2013-08-02 16:05:24.247214	2013-08-02 16:05:24.247214
10824	4	2013-08-02 16:05:24.24964	2013-08-02 16:05:24.24964
10766	21	2013-08-02 16:05:24.196511	2013-08-03 18:27:14.033274
10736	2	2013-08-02 16:05:24.16164	2013-08-03 18:27:14.806064
10788	4	2013-08-02 16:05:24.21586	2013-08-03 01:19:09.186095
10815	14	2013-08-02 16:05:24.241713	2013-08-03 18:33:25.442095
10812	4	2013-08-02 16:05:24.239383	2013-08-03 01:50:00.629225
10732	2	2013-08-02 16:05:24.157449	2013-08-03 01:50:49.675073
10803	4	2013-08-02 16:05:24.231047	2013-08-03 02:00:11.008765
10823	2	2013-08-02 16:05:24.248495	2013-08-03 02:00:11.012006
10775	2	2013-08-02 16:05:24.204236	2013-08-03 02:01:00.349216
10755	2	2013-08-02 16:05:24.187388	2013-08-03 02:01:00.354264
10735	2	2013-08-02 16:05:24.160423	2013-08-03 02:01:00.358245
10758	21	2013-08-02 16:05:24.189822	2013-08-03 02:01:00.6606
10738	21	2013-08-02 16:05:24.164256	2013-08-03 02:01:00.664608
10718	21	2013-08-02 16:05:24.140924	2013-08-03 02:01:00.668186
10698	21	2013-08-02 16:05:24.101654	2013-08-03 02:01:00.671676
10832	4	2013-08-02 16:05:24.257364	2013-08-03 02:10:01.335884
10818	2	2013-08-02 16:05:24.244276	2013-08-03 02:11:04.769388
10713	2	2013-08-02 16:05:24.132182	2013-08-03 02:26:55.929799
10693	2	2013-08-02 16:05:24.094952	2013-08-03 02:26:55.938379
10740	4	2013-08-02 16:05:24.167099	2013-08-03 02:31:16.14444
10780	2	2013-08-02 16:05:24.208669	2013-08-03 02:31:16.151172
10760	2	2013-08-02 16:05:24.191333	2013-08-03 02:32:07.59665
10677	2	2013-08-02 16:05:24.073576	2013-08-03 02:32:08.727713
10833	2	2013-08-02 16:05:24.258279	2013-08-03 02:32:08.739837
10813	2	2013-08-02 16:05:24.240185	2013-08-03 02:32:08.75137
10793	2	2013-08-02 16:05:24.220338	2013-08-03 02:32:08.763894
10773	2	2013-08-02 16:05:24.202404	2013-08-03 02:32:08.774993
10753	2	2013-08-02 16:05:24.185334	2013-08-03 02:32:08.78628
10733	2	2013-08-02 16:05:24.158305	2013-08-03 02:32:08.797951
10834	14	2013-08-02 16:05:24.259137	2013-08-02 16:05:24.259137
10933	14	2013-08-02 16:05:24.353458	2013-08-03 02:36:28.067101
16100	4	2013-08-02 16:05:34.573892	2013-08-03 21:05:54.940656
30218	2	2013-08-02 16:06:05.846605	2013-08-03 19:37:45.58774
4877	21	2013-08-02 16:05:13.075419	2013-08-03 19:37:45.599267
3260	2	2013-08-02 16:05:09.952081	2013-08-03 22:45:42.78563
7178	14	2013-08-02 16:05:17.605055	2013-08-04 00:18:39.24235
14512	2	2013-08-02 16:05:32.021521	2013-08-03 19:37:45.675614
10842	2	2013-08-02 16:05:24.265423	2013-08-02 16:05:24.265423
10844	4	2013-08-02 16:05:24.266872	2013-08-02 16:05:24.266872
10896	4	2013-08-02 16:05:24.311294	2013-08-04 17:56:53.338669
3210	14	2013-08-02 16:05:09.818546	2013-08-03 22:45:42.836717
10887	2	2013-08-02 16:05:24.302812	2013-08-04 20:07:36.913706
10885	2	2013-08-02 16:05:24.300752	2013-08-04 20:07:36.924212
10900	4	2013-08-02 16:05:24.314734	2013-08-03 02:36:28.390017
39975	2	2013-08-02 16:06:28.340718	2013-08-04 20:07:36.937561
10854	14	2013-08-02 16:05:24.273935	2013-08-02 16:05:24.273935
10940	2	2013-08-02 16:05:24.361394	2013-08-03 02:36:28.397202
30318	2	2013-08-02 16:06:06.056775	2013-08-03 19:37:46.052764
10867	2	2013-08-02 16:05:24.283678	2013-08-04 20:07:36.946387
10920	2	2013-08-02 16:05:24.339347	2013-08-03 02:37:17.769305
23701	4	2013-08-02 16:05:51.898901	2013-08-03 22:45:42.867614
48143	21	2013-08-02 16:06:46.219302	2013-08-03 22:45:42.921664
10862	2	2013-08-02 16:05:24.279436	2013-08-02 16:05:24.279436
39995	4	2013-08-02 16:06:28.358985	2013-08-03 19:38:56.537246
10864	4	2013-08-02 16:05:24.280822	2013-08-02 16:05:24.280822
10845	14	2013-08-02 16:05:24.267599	2013-08-03 17:42:55.201461
22468	21	2013-08-02 16:05:48.791662	2013-08-03 22:45:42.924194
40035	2	2013-08-02 16:06:28.403237	2013-08-03 19:38:56.544967
10936	2	2013-08-02 16:05:24.357564	2013-08-04 20:07:36.961284
7417	21	2013-08-02 16:05:17.84799	2013-08-03 22:45:42.925634
14299	4	2013-08-02 16:05:31.51558	2013-08-04 01:41:00.44988
8619	2	2013-08-02 16:05:20.322127	2013-08-04 20:07:36.978081
10874	14	2013-08-02 16:05:24.289454	2013-08-02 16:05:24.289454
10976	4	2013-08-02 16:05:24.411056	2013-08-03 17:10:32.785009
49635	4	2013-08-02 16:06:49.710277	2013-08-03 22:45:42.959575
10905	2	2013-08-02 16:05:24.321867	2013-08-04 18:01:50.737613
19721	2	2013-08-02 16:05:42.709579	2013-08-03 22:45:42.961323
10916	4	2013-08-02 16:05:24.335603	2013-08-03 17:10:33.247344
10863	2	2013-08-02 16:05:24.280128	2013-08-04 18:01:50.746798
10882	2	2013-08-02 16:05:24.297689	2013-08-02 16:05:24.297689
10925	4	2013-08-02 16:05:24.344325	2013-08-03 02:56:37.360123
10884	4	2013-08-02 16:05:24.299854	2013-08-02 16:05:24.299854
10836	4	2013-08-02 16:05:24.260776	2013-08-03 17:10:33.858038
10859	21	2013-08-02 16:05:24.277409	2013-08-03 21:44:34.553874
10839	21	2013-08-02 16:05:24.263098	2013-08-03 21:44:34.558123
1881	2	2013-08-02 16:05:07.689924	2013-08-04 20:07:36.994264
10952	21	2013-08-02 16:05:24.372462	2013-08-03 21:49:34.549645
10965	2	2013-08-02 16:05:24.395789	2013-08-03 02:56:37.363028
48781	21	2013-08-02 16:06:47.430929	2013-08-04 01:41:00.801404
10986	2	2013-08-02 16:05:24.428833	2013-08-03 21:54:23.128899
10894	14	2013-08-02 16:05:24.309532	2013-08-02 16:05:24.309532
10847	2	2013-08-02 16:05:24.269081	2013-08-04 20:07:37.009728
20471	2	2013-08-02 16:05:44.370783	2013-08-04 01:41:01.31875
20440	2	2013-08-02 16:05:44.341283	2013-08-04 01:41:01.330479
20451	2	2013-08-02 16:05:44.34987	2013-08-04 01:41:01.341856
10902	2	2013-08-02 16:05:24.317964	2013-08-02 16:05:24.317964
10865	14	2013-08-02 16:05:24.281656	2013-08-03 02:58:08.327218
10904	4	2013-08-02 16:05:24.320481	2013-08-02 16:05:24.320481
31301	2	2013-08-02 16:06:08.626411	2013-08-03 22:49:20.877851
10840	2	2013-08-02 16:05:24.263881	2013-08-04 20:07:37.026468
10943	2	2013-08-02 16:05:24.364114	2013-08-03 02:58:08.736372
10978	2	2013-08-02 16:05:24.415019	2013-08-04 20:12:38.795658
48681	21	2013-08-02 16:06:46.963243	2013-08-04 01:45:51.139779
10837	21	2013-08-02 16:05:24.261547	2013-08-03 02:58:09.356479
46065	2	2013-08-02 16:06:41.655389	2013-08-04 01:50:57.623508
10945	4	2013-08-02 16:05:24.365768	2013-08-03 03:06:21.821319
10914	14	2013-08-02 16:05:24.332137	2013-08-02 16:05:24.332137
10903	2	2013-08-02 16:05:24.319561	2013-08-04 20:12:38.802609
3195	2	2013-08-02 16:05:09.796038	2013-08-03 22:59:25.45203
10843	4	2013-08-02 16:05:24.266138	2013-08-03 17:47:05.329683
10890	2	2013-08-02 16:05:24.305572	2013-08-03 17:47:05.426344
10977	2	2013-08-02 16:05:24.412923	2013-08-04 20:12:38.809483
10980	2	2013-08-02 16:05:24.417955	2013-08-03 17:47:06.01618
10951	2	2013-08-02 16:05:24.37136	2013-08-04 20:12:38.815239
10922	2	2013-08-02 16:05:24.341071	2013-08-02 16:05:24.341071
10850	2	2013-08-02 16:05:24.271208	2013-08-03 17:48:24.630863
10924	4	2013-08-02 16:05:24.34316	2013-08-02 16:05:24.34316
7464	14	2013-08-02 16:05:17.889866	2013-08-03 23:46:25.889427
10972	21	2013-08-02 16:05:24.405215	2013-08-03 23:53:46.204266
10971	2	2013-08-02 16:05:24.403191	2013-08-04 20:12:38.820814
10987	2	2013-08-02 16:05:24.430758	2013-08-04 20:12:38.825794
10967	2	2013-08-02 16:05:24.399017	2013-08-04 20:12:38.831666
10876	2	2013-08-02 16:05:24.291198	2013-08-04 20:12:38.843596
10947	2	2013-08-02 16:05:24.367383	2013-08-04 20:12:38.86131
10934	14	2013-08-02 16:05:24.355073	2013-08-02 16:05:24.355073
2076	21	2013-08-02 16:05:08.111755	2013-08-03 17:52:01.617364
10621	2	2013-08-02 16:05:24.016895	2013-08-04 20:12:38.870686
2096	21	2013-08-02 16:05:08.162786	2013-08-03 17:52:01.621368
10641	2	2013-08-02 16:05:24.03613	2013-08-04 20:12:38.876817
10942	2	2013-08-02 16:05:24.363231	2013-08-02 16:05:24.363231
2116	21	2013-08-02 16:05:08.215319	2013-08-03 17:52:01.624753
10944	4	2013-08-02 16:05:24.364959	2013-08-02 16:05:24.364959
10661	2	2013-08-02 16:05:24.057598	2013-08-04 20:12:38.884411
10592	2	2013-08-02 16:05:23.896306	2013-08-04 20:12:38.890664
10927	2	2013-08-02 16:05:24.346866	2013-08-04 20:12:38.897571
10946	2	2013-08-02 16:05:24.366533	2013-08-04 20:17:32.080311
10937	2	2013-08-02 16:05:24.358503	2013-08-04 20:17:32.085844
10985	2	2013-08-02 16:05:24.427179	2013-08-04 20:17:32.090379
43655	2	2013-08-02 16:06:36.335196	2013-08-04 20:37:29.403466
43712	2	2013-08-02 16:06:36.479708	2013-08-04 20:37:29.499175
10954	14	2013-08-02 16:05:24.375012	2013-08-02 16:05:24.375012
3370	14	2013-08-02 16:05:10.213558	2013-08-04 20:37:29.636538
36279	14	2013-08-02 16:06:20.527982	2013-08-04 20:37:29.647971
21169	4	2013-08-02 16:05:45.421624	2013-08-04 20:38:36.651451
21145	2	2013-08-02 16:05:45.395735	2013-08-04 20:38:36.65354
10962	2	2013-08-02 16:05:24.388012	2013-08-02 16:05:24.388012
44306	14	2013-08-02 16:06:37.924907	2013-08-04 20:39:31.931994
10964	4	2013-08-02 16:05:24.393018	2013-08-02 16:05:24.393018
10974	14	2013-08-02 16:05:24.408266	2013-08-02 16:05:24.408266
44446	4	2013-08-02 16:06:38.481278	2013-08-04 20:39:31.960439
2085	14	2013-08-02 16:05:08.133593	2013-08-03 17:55:10.827185
21189	2	2013-08-02 16:05:45.44664	2013-08-04 20:42:23.197264
44335	21	2013-08-02 16:06:38.215612	2013-08-04 20:42:23.242352
10982	2	2013-08-02 16:05:24.421302	2013-08-02 16:05:24.421302
10984	4	2013-08-02 16:05:24.425566	2013-08-02 16:05:24.425566
10988	21	2013-08-02 16:05:24.433104	2013-08-03 01:19:31.731008
10968	21	2013-08-02 16:05:24.400691	2013-08-03 01:19:31.736044
10857	4	2013-08-02 16:05:24.275994	2013-08-03 01:34:39.911994
10897	2	2013-08-02 16:05:24.312052	2013-08-03 01:34:39.917448
2045	14	2013-08-02 16:05:08.030596	2013-08-03 17:57:11.877309
10932	4	2013-08-02 16:05:24.352095	2013-08-03 01:50:49.865689
10912	4	2013-08-02 16:05:24.329226	2013-08-03 01:50:49.876015
10892	2	2013-08-02 16:05:24.307665	2013-08-03 01:50:49.886798
10872	2	2013-08-02 16:05:24.287801	2013-08-03 01:50:49.897134
10955	4	2013-08-02 16:05:24.376429	2013-08-03 02:01:00.310127
10935	4	2013-08-02 16:05:24.356491	2013-08-03 02:01:00.314643
10915	4	2013-08-02 16:05:24.333605	2013-08-03 02:01:00.318308
10963	4	2013-08-02 16:05:24.390621	2013-08-03 02:05:14.11096
10883	14	2013-08-02 16:05:24.298981	2013-08-03 02:06:04.529564
10913	2	2013-08-02 16:05:24.330435	2013-08-03 02:32:08.649325
10893	2	2013-08-02 16:05:24.308609	2013-08-03 02:32:08.661939
10873	2	2013-08-02 16:05:24.28862	2013-08-03 02:32:08.711687
10853	2	2013-08-02 16:05:24.273244	2013-08-03 02:32:08.718926
10941	2	2013-08-02 16:05:24.36232	2013-08-03 18:02:18.057253
10926	4	2013-08-02 16:05:24.345977	2013-08-03 18:23:00.726676
10841	2	2013-08-02 16:05:24.264686	2013-08-03 18:23:00.72952
10886	21	2013-08-02 16:05:24.301639	2013-08-03 18:27:14.031196
10846	2	2013-08-02 16:05:24.268326	2013-08-03 18:27:14.803105
10910	14	2013-08-02 16:05:24.326849	2013-08-03 18:27:15.998699
10860	14	2013-08-02 16:05:24.278089	2013-08-03 18:30:17.019287
10866	21	2013-08-02 16:05:24.282776	2013-08-03 18:32:15.338514
2182	2	2013-08-02 16:05:08.383037	2013-08-03 22:04:22.962633
3689	2	2013-08-02 16:05:10.976595	2013-08-04 20:17:31.949907
10996	4	2013-08-02 16:05:24.446439	2013-08-03 17:07:50.78986
10994	14	2013-08-02 16:05:24.444886	2013-08-02 16:05:24.444886
2049	2	2013-08-02 16:05:08.040976	2013-08-04 01:05:55.908769
11076	2	2013-08-02 16:05:24.643841	2013-08-03 17:42:44.470905
20431	2	2013-08-02 16:05:44.33287	2013-08-04 01:41:01.352976
11036	2	2013-08-02 16:05:24.54014	2013-08-03 17:07:50.796142
11017	14	2013-08-02 16:05:24.491356	2013-08-03 22:05:19.47796
11002	2	2013-08-02 16:05:24.454579	2013-08-02 16:05:24.454579
11145	2	2013-08-02 16:05:24.807669	2013-08-04 20:17:31.966725
11004	4	2013-08-02 16:05:24.458716	2013-08-02 16:05:24.458716
23063	14	2013-08-02 16:05:50.243928	2013-08-03 22:45:43.001835
20415	2	2013-08-02 16:05:44.318267	2013-08-04 01:41:01.364849
11113	4	2013-08-02 16:05:24.731668	2013-08-03 02:36:28.100869
11067	2	2013-08-02 16:05:24.62105	2013-08-04 20:17:31.983025
10995	2	2013-08-02 16:05:24.445688	2013-08-04 20:17:31.999193
11016	4	2013-08-02 16:05:24.48873	2013-08-03 17:10:34.888386
11133	2	2013-08-02 16:05:24.779212	2013-08-03 02:37:17.760081
10993	4	2013-08-02 16:05:24.443177	2013-08-03 17:42:55.217875
11014	14	2013-08-02 16:05:24.483321	2013-08-02 16:05:24.483321
11033	4	2013-08-02 16:05:24.532613	2013-08-03 02:37:18.462928
5764	2	2013-08-02 16:05:14.580009	2013-08-03 21:05:54.966867
11056	2	2013-08-02 16:05:24.592216	2013-08-04 20:17:32.014587
11030	2	2013-08-02 16:05:24.524681	2013-08-03 17:42:55.220727
20411	2	2013-08-02 16:05:44.314924	2013-08-04 01:41:01.372235
31315	14	2013-08-02 16:06:08.66177	2013-08-03 22:49:21.169075
11047	2	2013-08-02 16:05:24.568776	2013-08-04 20:17:32.031285
11022	2	2013-08-02 16:05:24.503942	2013-08-02 16:05:24.503942
11024	4	2013-08-02 16:05:24.508924	2013-08-02 16:05:24.508924
11132	2	2013-08-02 16:05:24.776863	2013-08-03 17:47:05.039586
5744	21	2013-08-02 16:05:14.53297	2013-08-03 21:09:21.771124
842	2	2013-08-02 16:05:05.291023	2013-08-04 01:41:01.48548
11027	2	2013-08-02 16:05:24.516758	2013-08-04 20:17:32.04321
48721	2	2013-08-02 16:06:47.338098	2013-08-04 01:41:01.578985
11130	2	2013-08-02 16:05:24.7721	2013-08-03 17:47:05.04413
11100	4	2013-08-02 16:05:24.700942	2013-08-03 02:41:45.199998
11110	4	2013-08-02 16:05:24.724614	2013-08-03 17:47:05.051392
11034	14	2013-08-02 16:05:24.53503	2013-08-02 16:05:24.53503
11090	4	2013-08-02 16:05:24.677079	2013-08-03 17:47:05.055473
11045	4	2013-08-02 16:05:24.563334	2013-08-03 17:47:05.058753
11140	2	2013-08-02 16:05:24.795781	2013-08-03 02:41:45.206786
11120	2	2013-08-02 16:05:24.748229	2013-08-03 02:42:39.578403
25133	2	2013-08-02 16:05:54.090181	2013-08-04 01:41:01.637467
11070	4	2013-08-02 16:05:24.629042	2013-08-03 17:47:05.061794
13071	21	2013-08-02 16:05:29.135833	2013-08-03 21:14:22.491203
11042	2	2013-08-02 16:05:24.55538	2013-08-02 16:05:24.55538
29335	21	2013-08-02 16:06:03.644636	2013-08-03 22:49:21.535719
11044	4	2013-08-02 16:05:24.560674	2013-08-02 16:05:24.560674
11085	4	2013-08-02 16:05:24.665209	2013-08-03 17:47:05.064889
39463	21	2013-08-02 16:06:27.12774	2013-08-03 22:49:21.537665
11136	2	2013-08-02 16:05:24.7863	2013-08-03 17:47:05.994049
11040	2	2013-08-02 16:05:24.550566	2013-08-04 20:17:32.052477
19197	2	2013-08-02 16:05:41.332734	2013-08-04 01:41:01.648252
11116	2	2013-08-02 16:05:24.738764	2013-08-03 17:47:06.005306
11025	14	2013-08-02 16:05:24.511607	2013-08-03 02:57:24.689664
11054	14	2013-08-02 16:05:24.587204	2013-08-02 16:05:24.587204
30738	21	2013-08-02 16:06:07.133813	2013-08-03 21:29:20.885061
5684	21	2013-08-02 16:05:14.391021	2013-08-03 21:54:21.544943
11015	21	2013-08-02 16:05:24.486038	2013-08-03 21:54:22.971808
11007	2	2013-08-02 16:05:24.464978	2013-08-04 20:17:32.059638
5704	2	2013-08-02 16:05:14.438787	2013-08-04 20:17:32.066197
2145	4	2013-08-02 16:05:08.285702	2013-08-03 17:52:01.699531
11053	2	2013-08-02 16:05:24.584589	2013-08-04 20:17:32.073392
11062	2	2013-08-02 16:05:24.607686	2013-08-02 16:05:24.607686
2089	2	2013-08-02 16:05:08.144195	2013-08-04 20:22:38.7478
11064	4	2013-08-02 16:05:24.613075	2013-08-02 16:05:24.613075
2062	4	2013-08-02 16:05:08.074328	2013-08-03 17:52:01.710607
2142	2	2013-08-02 16:05:08.278439	2013-08-04 20:22:38.754276
2184	2	2013-08-02 16:05:08.387771	2013-08-04 20:22:38.760505
11107	2	2013-08-02 16:05:24.717475	2013-08-04 20:22:38.767115
3872	4	2013-08-02 16:05:11.440328	2013-08-03 17:52:01.721814
2042	4	2013-08-02 16:05:08.023264	2013-08-03 17:52:01.73284
11074	14	2013-08-02 16:05:24.639014	2013-08-02 16:05:24.639014
11087	2	2013-08-02 16:05:24.669941	2013-08-04 20:22:38.773568
33961	2	2013-08-02 16:06:14.607001	2013-08-03 22:49:45.944658
2161	2	2013-08-02 16:05:08.327823	2013-08-04 20:22:38.779819
11125	21	2013-08-02 16:05:24.760154	2013-08-03 02:58:08.322156
11086	2	2013-08-02 16:05:24.667549	2013-08-04 20:22:40.630479
11082	2	2013-08-02 16:05:24.658054	2013-08-02 16:05:24.658054
11080	2	2013-08-02 16:05:24.653344	2013-08-03 02:58:08.726229
11084	4	2013-08-02 16:05:24.662847	2013-08-02 16:05:24.662847
16008	21	2013-08-02 16:05:34.433057	2013-08-03 17:52:01.778807
10997	2	2013-08-02 16:05:24.447464	2013-08-04 20:22:40.637628
11147	2	2013-08-02 16:05:24.81239	2013-08-04 20:22:40.652599
11037	2	2013-08-02 16:05:24.5428	2013-08-04 20:22:40.662319
11026	4	2013-08-02 16:05:24.514137	2013-08-03 23:46:25.903032
11127	2	2013-08-02 16:05:24.764955	2013-08-04 20:22:40.668514
11060	14	2013-08-02 16:05:24.602434	2013-08-03 23:49:34.558395
11146	2	2013-08-02 16:05:24.810036	2013-08-03 23:49:34.745429
11094	14	2013-08-02 16:05:24.686551	2013-08-02 16:05:24.686551
2109	2	2013-08-02 16:05:08.197393	2013-08-04 20:22:40.673912
2162	21	2013-08-02 16:05:08.330605	2013-08-03 23:53:46.205208
44492	2	2013-08-02 16:06:38.599745	2013-08-04 20:39:31.96261
11102	2	2013-08-02 16:05:24.705604	2013-08-02 16:05:24.705604
11104	4	2013-08-02 16:05:24.710388	2013-08-02 16:05:24.710388
44386	21	2013-08-02 16:06:38.335748	2013-08-04 20:39:32.036842
46503	21	2013-08-02 16:06:42.608096	2013-08-04 20:39:32.05213
21229	21	2013-08-02 16:05:45.554089	2013-08-04 20:39:32.066639
11114	14	2013-08-02 16:05:24.734074	2013-08-02 16:05:24.734074
44486	21	2013-08-02 16:06:38.584247	2013-08-04 20:39:32.125607
11001	4	2013-08-02 16:05:24.452694	2013-08-03 17:55:10.855973
21209	21	2013-08-02 16:05:45.500177	2013-08-04 20:39:32.126881
21269	21	2013-08-02 16:05:45.627261	2013-08-04 20:39:38.80884
11065	14	2013-08-02 16:05:24.615709	2013-08-03 17:55:21.86511
11122	2	2013-08-02 16:05:24.752991	2013-08-02 16:05:24.752991
11124	4	2013-08-02 16:05:24.757751	2013-08-02 16:05:24.757751
11021	14	2013-08-02 16:05:24.50157	2013-08-03 17:55:22.454475
43512	4	2013-08-02 16:06:35.77172	2013-08-04 20:39:50.408156
11073	14	2013-08-02 16:05:24.636514	2013-08-03 18:23:21.218681
11134	14	2013-08-02 16:05:24.781586	2013-08-02 16:05:24.781586
11142	2	2013-08-02 16:05:24.800522	2013-08-02 16:05:24.800522
11144	4	2013-08-02 16:05:24.805325	2013-08-02 16:05:24.805325
11028	21	2013-08-02 16:05:24.519387	2013-08-03 01:19:31.721568
11008	21	2013-08-02 16:05:24.467212	2013-08-03 01:19:31.726473
11128	2	2013-08-02 16:05:24.767311	2013-08-03 01:19:32.052803
11108	2	2013-08-02 16:05:24.719833	2013-08-03 01:19:32.064689
11088	2	2013-08-02 16:05:24.672333	2013-08-03 01:19:32.076527
11068	2	2013-08-02 16:05:24.623677	2013-08-03 01:19:32.087994
11048	2	2013-08-02 16:05:24.571403	2013-08-03 01:19:32.0997
11057	4	2013-08-02 16:05:24.594721	2013-08-03 01:37:51.723546
16028	4	2013-08-02 16:05:34.454507	2013-08-03 18:23:21.240709
11097	2	2013-08-02 16:05:24.693579	2013-08-03 01:37:51.731257
11112	21	2013-08-02 16:05:24.729334	2013-08-03 01:50:49.805635
11092	21	2013-08-02 16:05:24.681799	2013-08-03 01:50:49.809044
11072	21	2013-08-02 16:05:24.633957	2013-08-03 01:50:49.812091
11052	21	2013-08-02 16:05:24.581971	2013-08-03 01:50:49.815127
11032	21	2013-08-02 16:05:24.529958	2013-08-03 01:50:49.81816
16168	2	2013-08-02 16:05:34.747909	2013-08-03 18:23:21.243679
10992	14	2013-08-02 16:05:24.441217	2013-08-03 01:56:01.334849
11012	14	2013-08-02 16:05:24.478058	2013-08-03 01:56:01.34501
11035	21	2013-08-02 16:05:24.537674	2013-08-03 02:01:00.293797
11077	2	2013-08-02 16:05:24.646228	2013-08-03 02:06:03.939402
11143	2	2013-08-02 16:05:24.802916	2013-08-03 02:06:03.945703
11123	2	2013-08-02 16:05:24.755358	2013-08-03 02:06:03.953559
11103	2	2013-08-02 16:05:24.707982	2013-08-03 02:06:03.962194
11083	2	2013-08-02 16:05:24.660453	2013-08-03 02:06:03.970249
11063	2	2013-08-02 16:05:24.610389	2013-08-03 02:06:03.980416
11137	2	2013-08-02 16:05:24.788679	2013-08-03 02:10:01.33776
11066	21	2013-08-02 16:05:24.618394	2013-08-03 18:27:14.029302
11046	2	2013-08-02 16:05:24.566031	2013-08-03 18:27:14.42341
11006	2	2013-08-02 16:05:24.463176	2013-08-03 18:27:14.799734
11106	14	2013-08-02 16:05:24.715111	2013-08-03 18:29:57.527152
11126	21	2013-08-02 16:05:24.762574	2013-08-03 18:37:38.27359
11041	21	2013-08-02 16:05:24.553008	2013-08-03 18:37:38.276902
11153	2	2013-08-02 16:05:24.826762	2013-08-03 02:36:28.108179
2102	2	2013-08-02 16:05:08.179091	2013-08-04 20:22:40.508508
4371	4	2013-08-02 16:05:12.519236	2013-08-03 19:38:56.765764
19301	2	2013-08-02 16:05:41.604229	2013-08-04 01:41:01.660071
11293	2	2013-08-02 16:05:25.167397	2013-08-03 02:37:19.016718
11210	21	2013-08-02 16:05:24.971526	2013-08-03 17:47:05.014511
11154	14	2013-08-02 16:05:24.82916	2013-08-02 16:05:24.82916
11273	2	2013-08-02 16:05:25.114368	2013-08-03 02:37:19.026785
12892	2	2013-08-02 16:05:28.95468	2013-08-03 19:38:56.767897
11253	2	2013-08-02 16:05:25.061186	2013-08-03 02:37:19.037229
11233	2	2013-08-02 16:05:25.007903	2013-08-03 02:37:19.048011
24995	2	2013-08-02 16:05:53.748057	2013-08-04 01:41:01.671656
11190	2	2013-08-02 16:05:24.919673	2013-08-03 17:47:05.02169
21650	14	2013-08-02 16:05:46.691822	2013-08-03 22:04:59.443741
11162	2	2013-08-02 16:05:24.848144	2013-08-02 16:05:24.848144
11213	2	2013-08-02 16:05:24.978951	2013-08-03 02:37:19.058698
11164	4	2013-08-02 16:05:24.851876	2013-08-02 16:05:24.851876
11180	2	2013-08-02 16:05:24.892725	2013-08-03 17:47:05.025921
2186	2	2013-08-02 16:05:08.392771	2013-08-04 20:22:40.525028
11193	2	2013-08-02 16:05:24.926972	2013-08-03 02:37:19.069507
2122	2	2013-08-02 16:05:08.23021	2013-08-04 20:22:40.541334
25113	2	2013-08-02 16:05:54.039454	2013-08-04 01:41:01.68323
11283	2	2013-08-02 16:05:25.140511	2013-08-04 20:22:40.549938
11227	2	2013-08-02 16:05:25.002434	2013-08-04 20:22:40.557096
11170	2	2013-08-02 16:05:24.86688	2013-08-03 17:47:05.030075
11174	14	2013-08-02 16:05:24.877498	2013-08-02 16:05:24.877498
11207	2	2013-08-02 16:05:24.96375	2013-08-04 20:22:40.565992
11152	14	2013-08-02 16:05:24.824374	2013-08-04 18:06:49.795832
11150	2	2013-08-02 16:05:24.819623	2013-08-03 17:47:05.034109
11289	14	2013-08-02 16:05:25.156595	2013-08-04 18:06:49.807447
11296	2	2013-08-02 16:05:25.175505	2013-08-03 17:47:05.902558
11182	2	2013-08-02 16:05:24.898183	2013-08-02 16:05:24.898183
11166	14	2013-08-02 16:05:24.85627	2013-08-04 18:06:49.820047
11184	4	2013-08-02 16:05:24.90364	2013-08-02 16:05:24.90364
11276	2	2013-08-02 16:05:25.122332	2013-08-03 17:47:05.91481
1586	21	2013-08-02 16:05:06.944794	2013-08-03 22:50:05.377113
11256	2	2013-08-02 16:05:25.069446	2013-08-03 17:47:05.926903
11220	2	2013-08-02 16:05:24.99562	2013-08-04 20:22:40.573202
2104	4	2013-08-02 16:05:08.184347	2013-08-03 19:38:56.806771
11300	4	2013-08-02 16:05:25.186679	2013-08-03 02:47:01.645814
11236	2	2013-08-02 16:05:25.015913	2013-08-03 17:47:05.938254
11194	14	2013-08-02 16:05:24.929358	2013-08-02 16:05:24.929358
11165	4	2013-08-02 16:05:24.853694	2013-08-03 02:57:24.707249
11187	2	2013-08-02 16:05:24.911664	2013-08-04 20:22:40.585512
11216	2	2013-08-02 16:05:24.986103	2013-08-03 17:47:05.949398
11280	2	2013-08-02 16:05:25.132593	2013-08-03 02:57:24.710881
6659	21	2013-08-02 16:05:16.708421	2013-08-03 22:50:05.380154
11196	2	2013-08-02 16:05:24.934137	2013-08-03 17:47:05.960581
2840	21	2013-08-02 16:05:09.227242	2013-08-03 22:50:05.388285
11202	2	2013-08-02 16:05:24.950345	2013-08-02 16:05:24.950345
2169	21	2013-08-02 16:05:08.348867	2013-08-03 21:14:22.48537
11204	4	2013-08-02 16:05:24.955851	2013-08-02 16:05:24.955851
11176	2	2013-08-02 16:05:24.882421	2013-08-03 17:47:05.971788
33925	21	2013-08-02 16:06:14.56439	2013-08-03 22:50:05.391104
11185	2	2013-08-02 16:05:24.906303	2013-08-03 02:58:07.910556
11043	2	2013-08-02 16:05:24.557977	2013-08-04 20:22:40.599632
11269	14	2013-08-02 16:05:25.103652	2013-08-04 18:06:49.832399
11232	2	2013-08-02 16:05:25.006551	2013-08-03 02:58:08.1918
11285	2	2013-08-02 16:05:25.14586	2013-08-03 02:58:08.201507
11156	2	2013-08-02 16:05:24.833905	2013-08-03 17:47:05.982903
11214	14	2013-08-02 16:05:24.981343	2013-08-02 16:05:24.981343
11265	2	2013-08-02 16:05:25.093455	2013-08-03 02:58:08.21248
11249	14	2013-08-02 16:05:25.050511	2013-08-04 18:06:49.846974
11245	2	2013-08-02 16:05:25.039777	2013-08-03 02:58:08.223724
11225	2	2013-08-02 16:05:25.000804	2013-08-03 02:58:08.234492
11240	2	2013-08-02 16:05:25.026606	2013-08-04 20:22:40.615244
23303	2	2013-08-02 16:05:50.906297	2013-08-04 20:27:34.164151
10581	2	2013-08-02 16:05:23.885951	2013-08-04 20:27:34.170662
11222	2	2013-08-02 16:05:24.998019	2013-08-02 16:05:24.998019
11250	14	2013-08-02 16:05:25.053143	2013-08-03 17:48:44.546338
11224	4	2013-08-02 16:05:24.999894	2013-08-02 16:05:24.999894
2189	21	2013-08-02 16:05:08.400377	2013-08-03 21:29:20.883567
11247	2	2013-08-02 16:05:25.045148	2013-08-04 20:27:34.17883
11255	21	2013-08-02 16:05:25.06667	2013-08-03 21:59:23.678283
2056	2	2013-08-02 16:05:08.058628	2013-08-04 20:27:34.191293
3892	2	2013-08-02 16:05:11.488719	2013-08-04 20:27:34.206561
23737	2	2013-08-02 16:05:51.954507	2013-08-03 22:55:42.032642
11192	2	2013-08-02 16:05:24.924577	2013-08-04 20:27:35.903529
11234	14	2013-08-02 16:05:25.010541	2013-08-02 16:05:25.010541
34061	2	2013-08-02 16:06:14.710877	2013-08-03 22:59:25.441501
40400	2	2013-08-02 16:06:28.759377	2013-08-03 22:59:26.250101
11287	2	2013-08-02 16:05:25.151149	2013-08-04 20:27:35.909105
11242	2	2013-08-02 16:05:25.031946	2013-08-02 16:05:25.031946
11244	4	2013-08-02 16:05:25.037117	2013-08-02 16:05:25.037117
22983	4	2013-08-02 16:05:50.032583	2013-08-03 17:52:02.058578
35612	21	2013-08-02 16:06:18.823448	2013-08-03 23:01:19.006915
22963	4	2013-08-02 16:05:49.981803	2013-08-03 17:52:02.064699
11186	2	2013-08-02 16:05:24.909016	2013-08-04 20:27:35.920305
22881	2	2013-08-02 16:05:49.77515	2013-08-03 23:46:25.906096
22943	2	2013-08-02 16:05:49.928394	2013-08-03 17:52:02.086992
22923	2	2013-08-02 16:05:49.87881	2013-08-03 17:52:02.100148
11254	14	2013-08-02 16:05:25.063836	2013-08-02 16:05:25.063836
11267	2	2013-08-02 16:05:25.098311	2013-08-04 20:27:35.925692
11206	2	2013-08-02 16:05:24.961114	2013-08-03 23:49:34.463576
23243	2	2013-08-02 16:05:50.760429	2013-08-04 20:27:35.935462
11262	2	2013-08-02 16:05:25.08533	2013-08-02 16:05:25.08533
11260	21	2013-08-02 16:05:25.079962	2013-08-03 23:53:36.758282
11264	4	2013-08-02 16:05:25.090919	2013-08-02 16:05:25.090919
23263	2	2013-08-02 16:05:50.809312	2013-08-04 20:27:35.945862
44366	21	2013-08-02 16:06:38.284592	2013-08-04 20:39:50.477082
43593	21	2013-08-02 16:06:36.194575	2013-08-04 20:39:50.482472
44466	2	2013-08-02 16:06:38.531219	2013-08-04 20:42:23.186684
43515	21	2013-08-02 16:06:35.779532	2013-08-04 20:42:23.239578
11263	14	2013-08-02 16:05:25.087986	2013-08-03 17:57:09.802032
11217	14	2013-08-02 16:05:24.988451	2013-08-03 17:57:09.813258
11237	4	2013-08-02 16:05:25.018579	2013-08-03 17:57:09.834286
11274	14	2013-08-02 16:05:25.11703	2013-08-02 16:05:25.11703
11257	4	2013-08-02 16:05:25.071956	2013-08-03 17:57:09.844477
44632	2	2013-08-02 16:06:38.955683	2013-08-04 20:42:23.414185
11301	4	2013-08-02 16:05:25.189404	2013-08-03 17:57:09.854392
44725	2	2013-08-02 16:06:39.205787	2013-08-04 20:42:23.419132
44706	2	2013-08-02 16:06:39.151973	2013-08-04 20:42:23.423748
44686	2	2013-08-02 16:06:39.097857	2013-08-04 20:42:23.42817
44666	2	2013-08-02 16:06:39.044085	2013-08-04 20:42:23.43744
11282	2	2013-08-02 16:05:25.138071	2013-08-02 16:05:25.138071
11284	4	2013-08-02 16:05:25.143179	2013-08-02 16:05:25.143179
44646	2	2013-08-02 16:06:38.991407	2013-08-04 20:42:23.445543
44626	2	2013-08-02 16:06:38.941465	2013-08-04 20:42:23.454836
11226	4	2013-08-02 16:05:25.001642	2013-08-03 18:29:57.54256
44606	2	2013-08-02 16:06:38.892098	2013-08-04 20:42:23.46695
11266	2	2013-08-02 16:05:25.095874	2013-08-03 18:29:57.545844
11294	14	2013-08-02 16:05:25.170101	2013-08-02 16:05:25.170101
11302	2	2013-08-02 16:05:25.192092	2013-08-02 16:05:25.192092
11286	14	2013-08-02 16:05:25.148451	2013-08-03 18:30:17.277802
11304	4	2013-08-02 16:05:25.197474	2013-08-02 16:05:25.197474
11288	2	2013-08-02 16:05:25.153851	2013-08-03 01:19:31.963743
11268	2	2013-08-02 16:05:25.101024	2013-08-03 01:19:31.97533
11248	2	2013-08-02 16:05:25.047939	2013-08-03 01:19:31.986876
11228	2	2013-08-02 16:05:25.003214	2013-08-03 01:19:31.998078
11208	2	2013-08-02 16:05:24.966245	2013-08-03 01:19:32.009601
11188	2	2013-08-02 16:05:24.914367	2013-08-03 01:19:32.02146
11168	2	2013-08-02 16:05:24.861572	2013-08-03 01:19:32.032911
11297	4	2013-08-02 16:05:25.178181	2013-08-03 01:39:15.638936
11277	4	2013-08-02 16:05:25.124979	2013-08-03 01:39:15.646099
11197	14	2013-08-02 16:05:24.93659	2013-08-03 01:39:15.68039
11177	14	2013-08-02 16:05:24.884898	2013-08-03 01:39:15.723877
11252	4	2013-08-02 16:05:25.058529	2013-08-03 01:55:05.834713
11246	21	2013-08-02 16:05:25.042459	2013-08-03 18:32:16.107488
11292	2	2013-08-02 16:05:25.164693	2013-08-03 01:55:05.838522
11172	21	2013-08-02 16:05:24.872187	2013-08-03 01:56:01.32649
11223	2	2013-08-02 16:05:24.998982	2013-08-03 02:06:03.859851
11203	2	2013-08-02 16:05:24.953177	2013-08-03 02:06:03.871752
11183	2	2013-08-02 16:05:24.900973	2013-08-03 02:06:03.882865
11163	2	2013-08-02 16:05:24.850475	2013-08-03 02:06:03.893758
11195	21	2013-08-02 16:05:24.931706	2013-08-03 02:06:05.315185
11175	21	2013-08-02 16:05:24.879978	2013-08-03 02:06:05.319047
11155	21	2013-08-02 16:05:24.831524	2013-08-03 02:06:05.322503
11272	14	2013-08-02 16:05:25.111725	2013-08-03 02:10:01.171216
11243	14	2013-08-02 16:05:25.034442	2013-08-03 02:10:01.448379
11303	4	2013-08-02 16:05:25.194785	2013-08-03 02:11:05.664716
11295	4	2013-08-02 16:05:25.172831	2013-08-03 02:15:37.002299
11215	4	2013-08-02 16:05:24.983704	2013-08-03 02:15:37.068762
11275	2	2013-08-02 16:05:25.119641	2013-08-03 02:16:24.130904
11419	21	2013-08-02 16:05:25.573776	2013-08-03 22:04:22.677958
25052	2	2013-08-02 16:05:53.882954	2013-08-04 01:41:01.694343
11323	2	2013-08-02 16:05:25.245373	2013-08-03 02:37:18.899636
11387	2	2013-08-02 16:05:25.489501	2013-08-04 20:27:35.824833
11399	21	2013-08-02 16:05:25.521873	2013-08-03 22:04:22.680686
11453	2	2013-08-02 16:05:25.662766	2013-08-03 02:37:18.955112
11433	2	2013-08-02 16:05:25.609932	2013-08-03 02:37:18.971425
23223	2	2013-08-02 16:05:50.707273	2013-08-04 20:27:35.841047
11314	14	2013-08-02 16:05:25.22365	2013-08-02 16:05:25.22365
11413	2	2013-08-02 16:05:25.559035	2013-08-03 02:37:18.977607
2980	4	2013-08-02 16:05:09.434699	2013-08-03 19:39:16.055847
11393	2	2013-08-02 16:05:25.505903	2013-08-03 02:37:18.982528
11373	2	2013-08-02 16:05:25.452931	2013-08-03 02:37:18.989022
25093	2	2013-08-02 16:05:53.984028	2013-08-04 01:41:01.70581
11367	2	2013-08-02 16:05:25.437088	2013-08-04 20:27:35.851954
2874	2	2013-08-02 16:05:09.270526	2013-08-03 19:39:16.062811
11322	2	2013-08-02 16:05:25.242974	2013-08-02 16:05:25.242974
11353	2	2013-08-02 16:05:25.402957	2013-08-03 02:37:18.99565
11324	4	2013-08-02 16:05:25.247774	2013-08-02 16:05:25.247774
7446	21	2013-08-02 16:05:17.874472	2013-08-03 22:04:22.681738
11333	2	2013-08-02 16:05:25.269449	2013-08-03 02:37:19.002126
11377	2	2013-08-02 16:05:25.463735	2013-08-04 20:27:35.859949
25073	2	2013-08-02 16:05:53.933316	2013-08-04 01:41:01.716818
11313	2	2013-08-02 16:05:25.221218	2013-08-03 02:37:19.009566
11908	14	2013-08-02 16:05:26.752534	2013-08-03 19:39:16.114526
11420	2	2013-08-02 16:05:25.576098	2013-08-04 20:27:35.86789
11334	14	2013-08-02 16:05:25.271843	2013-08-02 16:05:25.271843
11340	2	2013-08-02 16:05:25.384663	2013-08-03 02:47:01.653028
23023	4	2013-08-02 16:05:50.139171	2013-08-03 21:05:55.020258
2179	21	2013-08-02 16:05:08.375713	2013-08-03 21:14:22.481814
11320	2	2013-08-02 16:05:25.238175	2013-08-03 02:47:51.575354
25053	2	2013-08-02 16:05:53.885353	2013-08-04 01:41:01.727468
11430	4	2013-08-02 16:05:25.6021	2013-08-03 17:48:44.579522
25085	2	2013-08-02 16:05:53.963474	2013-08-04 01:41:01.740397
11342	2	2013-08-02 16:05:25.386722	2013-08-02 16:05:25.386722
11347	2	2013-08-02 16:05:25.391835	2013-08-04 20:27:35.873969
11344	4	2013-08-02 16:05:25.388799	2013-08-02 16:05:25.388799
43003	4	2013-08-02 16:06:34.94202	2013-08-03 19:39:16.125497
43023	2	2013-08-02 16:06:34.967912	2013-08-03 19:39:16.127322
11383	2	2013-08-02 16:05:25.479616	2013-08-03 17:48:44.586563
11327	2	2013-08-02 16:05:25.255062	2013-08-04 20:27:35.880426
42983	4	2013-08-02 16:06:34.91989	2013-08-03 19:42:24.268566
25033	2	2013-08-02 16:05:53.832996	2013-08-04 01:41:01.744737
22901	14	2013-08-02 16:05:49.825671	2013-08-03 21:25:17.897049
11354	14	2013-08-02 16:05:25.405636	2013-08-02 16:05:25.405636
25013	2	2013-08-02 16:05:53.779874	2013-08-04 01:41:01.748838
11370	2	2013-08-02 16:05:25.444951	2013-08-04 20:27:35.888517
11445	2	2013-08-02 16:05:25.641732	2013-08-03 02:58:08.13493
11307	2	2013-08-02 16:05:25.20571	2013-08-04 20:27:35.89815
11386	2	2013-08-02 16:05:25.486862	2013-08-04 20:32:39.913438
11441	2	2013-08-02 16:05:25.630963	2013-08-04 20:32:39.920153
11362	2	2013-08-02 16:05:25.425062	2013-08-02 16:05:25.425062
11425	2	2013-08-02 16:05:25.588926	2013-08-03 02:58:08.139758
11364	4	2013-08-02 16:05:25.429861	2013-08-02 16:05:25.429861
11316	2	2013-08-02 16:05:25.228517	2013-08-03 17:48:55.977396
11443	2	2013-08-02 16:05:25.636292	2013-08-04 20:32:39.926868
11405	2	2013-08-02 16:05:25.53779	2013-08-03 02:58:08.144526
11397	2	2013-08-02 16:05:25.516615	2013-08-04 20:32:39.933908
11417	2	2013-08-02 16:05:25.568989	2013-08-04 20:32:39.940645
11385	2	2013-08-02 16:05:25.484473	2013-08-03 02:58:08.150154
11365	2	2013-08-02 16:05:25.432266	2013-08-03 02:58:08.156655
11459	21	2013-08-02 16:05:25.677252	2013-08-03 22:09:24.18798
11374	14	2013-08-02 16:05:25.455552	2013-08-02 16:05:25.455552
11460	2	2013-08-02 16:05:25.679972	2013-08-03 02:58:08.162593
11439	21	2013-08-02 16:05:25.625765	2013-08-03 22:09:24.648703
11345	2	2013-08-02 16:05:25.389815	2013-08-03 02:58:08.166733
11325	2	2013-08-02 16:05:25.250199	2013-08-03 02:58:08.174816
11437	2	2013-08-02 16:05:25.620614	2013-08-04 20:32:39.947954
11436	21	2013-08-02 16:05:25.617892	2013-08-03 22:09:24.868199
11382	2	2013-08-02 16:05:25.477144	2013-08-02 16:05:25.477144
11305	2	2013-08-02 16:05:25.20015	2013-08-03 02:58:08.181283
11384	4	2013-08-02 16:05:25.482083	2013-08-02 16:05:25.482083
7326	21	2013-08-02 16:05:17.750996	2013-08-03 17:52:02.276675
11447	2	2013-08-02 16:05:25.647065	2013-08-04 20:32:39.956202
7346	14	2013-08-02 16:05:17.775789	2013-08-03 17:52:02.283428
11427	2	2013-08-02 16:05:25.594255	2013-08-04 20:32:39.963362
11357	21	2013-08-02 16:05:25.412305	2013-08-03 22:14:24.989541
7386	14	2013-08-02 16:05:17.818765	2013-08-03 17:52:02.292642
7501	14	2013-08-02 16:05:17.922156	2013-08-03 17:52:02.296211
11310	2	2013-08-02 16:05:25.213805	2013-08-04 20:32:39.970252
11394	14	2013-08-02 16:05:25.508587	2013-08-02 16:05:25.508587
3726	2	2013-08-02 16:05:11.067033	2013-08-04 20:32:39.975588
11407	2	2013-08-02 16:05:25.543129	2013-08-04 20:32:39.980341
34141	2	2013-08-02 16:06:14.996588	2013-08-04 20:32:39.985281
44546	2	2013-08-02 16:06:38.7394	2013-08-04 20:42:23.523466
44490	2	2013-08-02 16:06:38.594877	2013-08-04 20:42:23.534619
44526	2	2013-08-02 16:06:38.689076	2013-08-04 20:42:23.546612
11402	2	2013-08-02 16:05:25.530011	2013-08-02 16:05:25.530011
44506	2	2013-08-02 16:06:38.636344	2013-08-04 20:42:23.558443
11404	4	2013-08-02 16:05:25.535142	2013-08-02 16:05:25.535142
43633	2	2013-08-02 16:06:36.279451	2013-08-04 20:42:23.581159
34181	4	2013-08-02 16:06:15.060316	2013-08-03 22:50:05.458642
21257	2	2013-08-02 16:05:45.607511	2013-08-04 20:42:23.591224
21349	2	2013-08-02 16:05:45.829702	2013-08-04 20:42:23.693207
34221	2	2013-08-02 16:06:15.159967	2013-08-03 22:50:05.461639
44426	2	2013-08-02 16:06:38.433357	2013-08-04 20:42:23.700638
34201	14	2013-08-02 16:06:15.106351	2013-08-03 22:54:23.408973
11414	14	2013-08-02 16:05:25.56169	2013-08-02 16:05:25.56169
43672	2	2013-08-02 16:06:36.375812	2013-08-04 20:42:23.707254
43768	2	2013-08-02 16:06:36.619873	2013-08-04 20:42:23.712474
43788	2	2013-08-02 16:06:36.667549	2013-08-04 20:42:23.715504
43808	2	2013-08-02 16:06:36.719402	2013-08-04 20:42:23.718398
44128	2	2013-08-02 16:06:37.469577	2013-08-04 20:42:23.762218
21329	2	2013-08-02 16:05:45.779321	2013-08-04 20:42:23.810332
11422	2	2013-08-02 16:05:25.581179	2013-08-02 16:05:25.581179
14153	21	2013-08-02 16:05:31.065861	2013-08-03 17:57:09.72778
11424	4	2013-08-02 16:05:25.586246	2013-08-02 16:05:25.586246
4343	21	2013-08-02 16:05:12.458786	2013-08-03 17:57:09.730318
44406	2	2013-08-02 16:06:38.384342	2013-08-04 20:42:23.817431
11381	21	2013-08-02 16:05:25.474441	2013-08-03 17:57:09.732358
44346	2	2013-08-02 16:06:38.232283	2013-08-04 20:42:23.895076
8246	2	2013-08-02 16:05:19.387754	2013-08-04 20:42:24.633132
11336	21	2013-08-02 16:05:25.375004	2013-08-03 17:57:09.734302
11434	14	2013-08-02 16:05:25.612531	2013-08-02 16:05:25.612531
11321	14	2013-08-02 16:05:25.240575	2013-08-03 17:57:09.79094
11456	4	2013-08-02 16:05:25.670089	2013-08-03 17:57:10.944343
11442	2	2013-08-02 16:05:25.633626	2013-08-02 16:05:25.633626
2854	14	2013-08-02 16:05:09.246995	2013-08-03 23:55:31.584468
11444	4	2013-08-02 16:05:25.638998	2013-08-02 16:05:25.638998
11461	14	2013-08-02 16:05:25.682759	2013-08-03 17:58:45.446365
34135	2	2013-08-02 16:06:14.990984	2013-08-04 00:05:41.125414
11454	14	2013-08-02 16:05:25.665245	2013-08-02 16:05:25.665245
11408	2	2013-08-02 16:05:25.545776	2013-08-03 01:19:31.896196
11388	2	2013-08-02 16:05:25.492153	2013-08-03 01:19:31.903954
11368	2	2013-08-02 16:05:25.439789	2013-08-03 01:19:31.914375
11348	2	2013-08-02 16:05:25.392998	2013-08-03 01:19:31.927092
11328	2	2013-08-02 16:05:25.257456	2013-08-03 01:19:31.939515
11308	2	2013-08-02 16:05:25.208382	2013-08-03 01:19:31.951536
11448	14	2013-08-02 16:05:25.649707	2013-08-03 01:24:56.807129
11457	21	2013-08-02 16:05:25.672466	2013-08-03 01:39:15.597034
11452	4	2013-08-02 16:05:25.660111	2013-08-03 01:56:01.663356
11392	2	2013-08-02 16:05:25.503206	2013-08-03 01:56:01.694608
11372	2	2013-08-02 16:05:25.450241	2013-08-03 01:56:01.699591
11412	4	2013-08-02 16:05:25.556372	2013-08-03 17:59:16.592897
11318	21	2013-08-02 16:05:25.233348	2013-08-03 02:06:05.9016
11432	4	2013-08-02 16:05:25.607428	2013-08-03 17:59:16.83059
11363	21	2013-08-02 16:05:25.42744	2013-08-03 18:02:16.778588
11312	21	2013-08-02 16:05:25.218768	2013-08-03 18:02:17.494424
11415	21	2013-08-02 16:05:25.564156	2013-08-03 02:11:05.61326
11395	21	2013-08-02 16:05:25.511223	2013-08-03 02:11:05.616393
11375	21	2013-08-02 16:05:25.458255	2013-08-03 02:11:05.620045
11355	14	2013-08-02 16:05:25.407628	2013-08-03 02:11:05.629086
11335	14	2013-08-02 16:05:25.274291	2013-08-03 02:11:05.641002
11315	4	2013-08-02 16:05:25.226121	2013-08-03 02:11:05.653552
11332	2	2013-08-02 16:05:25.267027	2013-08-03 02:15:37.005884
11423	2	2013-08-02 16:05:25.583572	2013-08-03 02:16:24.125424
11428	4	2013-08-02 16:05:25.596966	2013-08-03 02:16:25.195116
11455	14	2013-08-02 16:05:25.667648	2013-08-03 02:16:25.206861
11435	14	2013-08-02 16:05:25.615224	2013-08-03 02:16:25.217956
11346	14	2013-08-02 16:05:25.390825	2013-08-03 18:30:17.147461
11440	14	2013-08-02 16:05:25.628438	2013-08-03 18:30:24.055989
11462	2	2013-08-02 16:05:25.685438	2013-08-02 16:05:25.685438
24998	2	2013-08-02 16:05:53.751839	2013-08-04 01:41:01.754486
11464	4	2013-08-02 16:05:25.690863	2013-08-02 16:05:25.690863
24993	2	2013-08-02 16:05:53.746054	2013-08-04 01:41:01.761872
23001	2	2013-08-02 16:05:50.080322	2013-08-03 21:05:55.024301
11488	2	2013-08-02 16:05:25.750178	2013-08-03 02:37:17.750811
11468	2	2013-08-02 16:05:25.701368	2013-08-04 20:32:39.881027
25000	2	2013-08-02 16:05:53.75626	2013-08-04 01:41:01.772605
24973	2	2013-08-02 16:05:53.718427	2013-08-04 01:41:01.783424
11490	4	2013-08-02 16:05:25.754971	2013-08-03 17:48:56.335624
4391	4	2013-08-02 16:05:12.551378	2013-08-03 22:05:19.180762
11474	14	2013-08-02 16:05:25.716718	2013-08-02 16:05:25.716718
11513	14	2013-08-02 16:05:25.810101	2013-08-03 02:41:44.916463
11530	2	2013-08-02 16:05:25.850733	2013-08-03 17:48:56.337943
12870	21	2013-08-02 16:05:28.927464	2013-08-03 22:09:24.184986
25658	4	2013-08-02 16:05:55.428458	2013-08-04 17:11:55.080673
3749	2	2013-08-02 16:05:11.129797	2013-08-04 20:32:39.8871
11545	14	2013-08-02 16:05:25.89286	2013-08-04 18:11:49.610509
11482	2	2013-08-02 16:05:25.73586	2013-08-02 16:05:25.73586
11599	21	2013-08-02 16:05:26.026277	2013-08-03 22:09:25.543058
11484	4	2013-08-02 16:05:25.740653	2013-08-02 16:05:25.740653
3141	2	2013-08-02 16:05:09.683871	2013-08-04 01:45:51.625599
11561	21	2013-08-02 16:05:25.934723	2013-08-03 22:09:25.544631
11487	2	2013-08-02 16:05:25.747798	2013-08-04 20:32:39.894183
46310	2	2013-08-02 16:06:42.127756	2013-08-04 20:32:39.900607
3174	2	2013-08-02 16:05:09.769389	2013-08-04 01:45:51.637001
11494	14	2013-08-02 16:05:25.764466	2013-08-02 16:05:25.764466
2794	21	2013-08-02 16:05:09.169975	2013-08-03 21:14:22.477982
7138	4	2013-08-02 16:05:17.56413	2013-08-03 19:39:16.379061
2774	2	2013-08-02 16:05:09.151913	2013-08-03 19:39:16.384883
20631	2	2013-08-02 16:05:44.53071	2013-08-04 01:45:51.648478
10701	21	2013-08-02 16:05:24.106605	2013-08-03 17:52:02.444135
11467	2	2013-08-02 16:05:25.6987	2013-08-04 20:32:39.907327
11502	2	2013-08-02 16:05:25.784108	2013-08-02 16:05:25.784108
11480	4	2013-08-02 16:05:25.731148	2013-08-03 02:52:17.309542
11504	4	2013-08-02 16:05:25.788813	2013-08-02 16:05:25.788813
10777	14	2013-08-02 16:05:24.206187	2013-08-03 17:52:02.460086
10541	14	2013-08-02 16:05:23.848243	2013-08-03 17:52:02.469443
11606	2	2013-08-02 16:05:26.042055	2013-08-04 20:32:41.228257
11579	21	2013-08-02 16:05:25.981418	2013-08-03 22:09:25.545803
11520	2	2013-08-02 16:05:25.826761	2013-08-03 02:52:17.311572
20611	2	2013-08-02 16:05:44.513507	2013-08-04 01:45:51.659443
10640	14	2013-08-02 16:05:24.035071	2013-08-03 17:52:02.478651
11514	14	2013-08-02 16:05:25.812452	2013-08-02 16:05:25.812452
11500	2	2013-08-02 16:05:25.779271	2013-08-03 02:53:03.909728
20663	2	2013-08-02 16:05:44.560143	2013-08-04 01:45:51.6652
20591	2	2013-08-02 16:05:44.494242	2013-08-04 01:45:51.670406
13796	2	2013-08-02 16:05:30.225899	2013-08-04 01:45:51.675277
46298	2	2013-08-02 16:06:42.095418	2013-08-04 01:50:57.500676
11537	14	2013-08-02 16:05:25.871851	2013-08-04 18:11:49.621717
11522	2	2013-08-02 16:05:25.831487	2013-08-02 16:05:25.831487
11577	14	2013-08-02 16:05:25.976134	2013-08-04 18:11:49.633798
11524	4	2013-08-02 16:05:25.836294	2013-08-02 16:05:25.836294
11548	14	2013-08-02 16:05:25.900825	2013-08-04 18:11:49.638543
11485	2	2013-08-02 16:05:25.74303	2013-08-03 02:58:08.126215
11586	2	2013-08-02 16:05:25.998649	2013-08-04 20:32:41.234046
11521	14	2013-08-02 16:05:25.829137	2013-08-04 18:11:49.643698
11465	2	2013-08-02 16:05:25.693421	2013-08-03 02:58:08.130294
11560	21	2013-08-02 16:05:25.932194	2013-08-03 02:58:08.320592
11573	4	2013-08-02 16:05:25.965963	2013-08-03 17:52:02.818982
11534	14	2013-08-02 16:05:25.863759	2013-08-02 16:05:25.863759
11505	14	2013-08-02 16:05:25.791164	2013-08-03 03:06:21.241629
11598	2	2013-08-02 16:05:26.023567	2013-08-04 20:32:41.240211
3244	4	2013-08-02 16:05:09.910478	2013-08-03 17:52:02.823005
7486	4	2013-08-02 16:05:17.907349	2013-08-03 17:52:02.8284
11568	2	2013-08-02 16:05:25.953072	2013-08-04 20:32:41.247687
11515	2	2013-08-02 16:05:25.814853	2013-08-03 22:15:16.863686
11542	2	2013-08-02 16:05:25.885312	2013-08-02 16:05:25.885312
11495	21	2013-08-02 16:05:25.766897	2013-08-03 22:19:22.069169
11544	4	2013-08-02 16:05:25.890354	2013-08-02 16:05:25.890354
11510	4	2013-08-02 16:05:25.803012	2013-08-03 22:31:49.422067
11536	2	2013-08-02 16:05:25.869174	2013-08-04 20:32:41.253571
11607	2	2013-08-02 16:05:26.04479	2013-08-04 20:32:41.260868
11587	2	2013-08-02 16:05:26.00104	2013-08-04 20:32:41.272108
20612	14	2013-08-02 16:05:44.514379	2013-08-03 22:50:05.503932
11481	2	2013-08-02 16:05:25.733516	2013-08-04 20:32:41.286913
11567	2	2013-08-02 16:05:25.950366	2013-08-04 20:32:41.304499
11498	2	2013-08-02 16:05:25.773998	2013-08-04 20:32:41.320692
11554	14	2013-08-02 16:05:25.916874	2013-08-02 16:05:25.916874
8266	2	2013-08-02 16:05:19.435658	2013-08-04 20:42:24.637072
8261	2	2013-08-02 16:05:19.423776	2013-08-04 20:42:24.641416
11473	4	2013-08-02 16:05:25.714271	2013-08-03 17:55:22.058291
8221	2	2013-08-02 16:05:19.326813	2013-08-04 20:42:24.687594
8301	2	2013-08-02 16:05:19.524843	2013-08-04 20:42:24.692521
14348	14	2013-08-02 16:05:31.61276	2013-08-03 22:50:05.577616
11562	2	2013-08-02 16:05:25.937163	2013-08-02 16:05:25.937163
11496	2	2013-08-02 16:05:25.769274	2013-08-03 17:55:22.064564
11564	4	2013-08-02 16:05:25.942296	2013-08-02 16:05:25.942296
8321	2	2013-08-02 16:05:19.575171	2013-08-04 20:42:24.696732
8184	2	2013-08-02 16:05:19.236689	2013-08-04 20:42:24.701269
40572	21	2013-08-02 16:06:28.936036	2013-08-03 22:54:49.974518
10340	2	2013-08-02 16:05:23.625069	2013-08-04 20:42:24.705652
30883	2	2013-08-02 16:06:07.489802	2013-08-04 20:42:24.828167
11967	2	2013-08-02 16:05:26.904031	2013-08-04 20:42:24.839298
11940	2	2013-08-02 16:05:26.829888	2013-08-04 20:42:24.850344
11947	2	2013-08-02 16:05:26.84863	2013-08-04 20:42:24.861328
11574	14	2013-08-02 16:05:25.968368	2013-08-02 16:05:25.968368
11927	2	2013-08-02 16:05:26.797906	2013-08-04 20:42:24.893645
44457	21	2013-08-02 16:06:38.507554	2013-08-04 20:42:24.925782
44448	14	2013-08-02 16:06:38.486045	2013-08-04 20:42:24.947203
44308	4	2013-08-02 16:06:37.929687	2013-08-04 20:42:25.125404
14448	4	2013-08-02 16:05:31.857973	2013-08-03 23:55:31.578183
11582	2	2013-08-02 16:05:25.988962	2013-08-02 16:05:25.988962
7731	4	2013-08-02 16:05:18.229921	2013-08-03 17:58:45.480573
11584	4	2013-08-02 16:05:25.993801	2013-08-02 16:05:25.993801
44288	4	2013-08-02 16:06:37.881777	2013-08-04 20:42:25.137498
44268	4	2013-08-02 16:06:37.833241	2013-08-04 20:42:25.149496
11541	2	2013-08-02 16:05:25.882603	2013-08-03 17:58:45.487647
44230	4	2013-08-02 16:06:37.73856	2013-08-04 20:42:25.160641
44260	4	2013-08-02 16:06:37.814182	2013-08-04 20:42:25.171598
44248	4	2013-08-02 16:06:37.78506	2013-08-04 20:42:25.182738
21593	2	2013-08-02 16:05:46.406932	2013-08-04 20:42:25.339581
11540	2	2013-08-02 16:05:25.879921	2013-08-03 17:59:05.529733
11594	14	2013-08-02 16:05:26.018819	2013-08-02 16:05:26.018819
21521	2	2013-08-02 16:05:46.322877	2013-08-04 20:42:25.344933
44280	14	2013-08-02 16:06:37.862365	2013-08-04 20:42:25.578684
11602	2	2013-08-02 16:05:26.033422	2013-08-02 16:05:26.033422
11601	14	2013-08-02 16:05:26.032087	2013-08-03 17:59:05.580073
11604	4	2013-08-02 16:05:26.037377	2013-08-02 16:05:26.037377
11614	14	2013-08-02 16:05:26.056434	2013-08-02 16:05:26.056434
11533	2	2013-08-02 16:05:25.860837	2013-08-03 17:59:16.833155
11516	21	2013-08-02 16:05:25.817219	2013-08-03 18:02:16.250627
11543	21	2013-08-02 16:05:25.887733	2013-08-03 18:02:17.491096
11476	21	2013-08-02 16:05:25.721511	2013-08-03 18:02:17.492864
11508	2	2013-08-02 16:05:25.798211	2013-08-03 01:25:24.053751
11477	14	2013-08-02 16:05:25.723889	2013-08-03 01:43:47.896025
11585	14	2013-08-02 16:05:25.99621	2013-08-03 18:02:46.649027
11597	4	2013-08-02 16:05:26.021802	2013-08-03 01:45:30.343249
11612	21	2013-08-02 16:05:26.054438	2013-08-03 01:56:01.616903
11592	21	2013-08-02 16:05:26.016938	2013-08-03 01:56:01.619774
11572	21	2013-08-02 16:05:25.963486	2013-08-03 01:56:01.623317
11552	21	2013-08-02 16:05:25.911497	2013-08-03 01:56:01.626267
11532	21	2013-08-02 16:05:25.856579	2013-08-03 01:56:01.628984
11512	14	2013-08-02 16:05:25.807718	2013-08-03 01:56:01.635461
11492	14	2013-08-02 16:05:25.759725	2013-08-03 01:56:01.645063
11472	4	2013-08-02 16:05:25.711838	2013-08-03 01:56:01.653027
11517	14	2013-08-02 16:05:25.819585	2013-08-03 02:00:11.222624
11503	4	2013-08-02 16:05:25.786399	2013-08-03 02:10:01.207897
11523	2	2013-08-02 16:05:25.833891	2013-08-03 02:10:01.211436
11603	2	2013-08-02 16:05:26.035225	2013-08-03 02:11:04.756673
11583	2	2013-08-02 16:05:25.991361	2013-08-03 02:11:04.760867
11563	2	2013-08-02 16:05:25.939561	2013-08-03 02:11:04.765474
11618	2	2013-08-02 16:05:26.060829	2013-08-03 02:11:06.351348
11575	21	2013-08-02 16:05:25.971008	2013-08-03 02:16:25.127567
11475	4	2013-08-02 16:05:25.719111	2013-08-03 02:16:25.183926
11595	14	2013-08-02 16:05:26.019934	2013-08-03 02:20:55.720639
11600	14	2013-08-02 16:05:26.029373	2013-08-03 18:33:05.641621
11588	4	2013-08-02 16:05:26.003679	2013-08-03 18:33:05.654791
11501	21	2013-08-02 16:05:25.781726	2013-08-03 18:37:38.270487
11486	2	2013-08-02 16:05:25.745434	2013-08-03 18:42:35.933504
25611	4	2013-08-02 16:05:55.31625	2013-08-04 17:11:55.091397
4305	4	2013-08-02 16:05:12.372047	2013-08-03 17:52:02.838063
13168	2	2013-08-02 16:05:29.247265	2013-08-03 21:06:04.433149
11622	2	2013-08-02 16:05:26.064649	2013-08-02 16:05:26.064649
11695	2	2013-08-02 16:05:26.209856	2013-08-03 02:36:28.02564
11624	4	2013-08-02 16:05:26.066468	2013-08-02 16:05:26.066468
10681	4	2013-08-02 16:05:24.080905	2013-08-03 17:52:02.848239
11747	2	2013-08-02 16:05:26.340301	2013-08-04 20:37:26.529784
22301	14	2013-08-02 16:05:48.263186	2013-08-04 17:11:55.209416
5223	2	2013-08-02 16:05:13.498574	2013-08-04 20:37:26.534758
4531	14	2013-08-02 16:05:12.70842	2013-08-03 19:39:16.432979
11633	4	2013-08-02 16:05:26.07583	2013-08-03 02:41:44.983076
5117	4	2013-08-02 16:05:13.331978	2013-08-03 17:52:03.04961
17678	4	2013-08-02 16:05:38.511883	2013-08-03 17:52:03.060385
11634	14	2013-08-02 16:05:26.076936	2013-08-02 16:05:26.076936
11673	2	2013-08-02 16:05:26.1584	2013-08-03 02:41:44.990183
11639	21	2013-08-02 16:05:26.082092	2013-08-03 22:14:24.98748
11653	2	2013-08-02 16:05:26.105675	2013-08-03 02:42:39.573837
2639	14	2013-08-02 16:05:08.988563	2013-08-04 17:11:55.219398
28512	2	2013-08-02 16:06:01.832031	2013-08-04 00:20:45.404755
11666	21	2013-08-02 16:05:26.13986	2013-08-03 22:14:26.032896
11642	2	2013-08-02 16:05:26.085147	2013-08-02 16:05:26.085147
11632	2	2013-08-02 16:05:26.074698	2013-08-03 02:42:40.837946
11644	4	2013-08-02 16:05:26.087174	2013-08-02 16:05:26.087174
10438	4	2013-08-02 16:05:23.738191	2013-08-03 17:52:03.251262
7118	4	2013-08-02 16:05:17.547349	2013-08-03 19:39:16.440103
11773	2	2013-08-02 16:05:26.40512	2013-08-03 02:42:40.851337
11700	2	2013-08-02 16:05:26.223481	2013-08-04 20:37:26.539131
11727	2	2013-08-02 16:05:26.291452	2013-08-04 20:37:26.544868
11753	2	2013-08-02 16:05:26.354645	2013-08-03 02:42:40.863015
11733	2	2013-08-02 16:05:26.306579	2013-08-03 02:42:40.871346
10441	4	2013-08-02 16:05:23.740709	2013-08-03 17:52:03.254759
11654	14	2013-08-02 16:05:26.108254	2013-08-02 16:05:26.108254
11713	2	2013-08-02 16:05:26.257474	2013-08-03 02:42:40.884015
38043	2	2013-08-02 16:06:24.215316	2013-08-03 19:39:16.441884
1946	2	2013-08-02 16:05:07.833164	2013-08-03 17:52:03.263396
11640	4	2013-08-02 16:05:26.083112	2013-08-03 02:57:25.140445
47090	2	2013-08-02 16:06:44.268997	2013-08-04 20:37:26.55101
4790	21	2013-08-02 16:05:13.007301	2013-08-03 17:52:03.314214
11759	21	2013-08-02 16:05:26.370223	2013-08-03 22:14:26.034992
11662	2	2013-08-02 16:05:26.129313	2013-08-02 16:05:26.129313
4850	21	2013-08-02 16:05:13.053118	2013-08-03 17:52:03.317697
11664	4	2013-08-02 16:05:26.1346	2013-08-02 16:05:26.1346
4757	14	2013-08-02 16:05:12.981431	2013-08-03 17:52:03.336918
11707	2	2013-08-02 16:05:26.241962	2013-08-04 20:37:26.55705
11680	2	2013-08-02 16:05:26.1769	2013-08-03 02:57:25.147686
11687	2	2013-08-02 16:05:26.189146	2013-08-04 20:37:26.562054
19601	14	2013-08-02 16:05:42.407785	2013-08-03 21:06:14.844857
11656	21	2013-08-02 16:05:26.113519	2013-08-03 22:14:26.036122
11660	2	2013-08-02 16:05:26.124023	2013-08-03 02:58:07.903694
4849	14	2013-08-02 16:05:13.052417	2013-08-03 17:52:03.347193
11674	14	2013-08-02 16:05:26.161063	2013-08-02 16:05:26.161063
4829	14	2013-08-02 16:05:13.036682	2013-08-03 17:52:03.351659
22875	2	2013-08-02 16:05:49.759165	2013-08-03 21:09:20.33862
4809	14	2013-08-02 16:05:13.021856	2013-08-03 17:52:03.355898
39595	2	2013-08-02 16:06:27.318743	2013-08-04 20:37:26.566608
26705	21	2013-08-02 16:05:57.770899	2013-08-04 00:22:31.268351
4789	4	2013-08-02 16:05:13.006493	2013-08-03 17:52:03.375015
11667	2	2013-08-02 16:05:26.142561	2013-08-04 20:37:26.572284
11682	2	2013-08-02 16:05:26.182221	2013-08-02 16:05:26.182221
11684	4	2013-08-02 16:05:26.185257	2013-08-02 16:05:26.185257
4769	4	2013-08-02 16:05:12.991045	2013-08-03 17:52:03.38605
11647	2	2013-08-02 16:05:26.090768	2013-08-04 20:37:26.580154
11645	4	2013-08-02 16:05:26.088298	2013-08-03 03:06:21.274347
27145	2	2013-08-02 16:05:58.978404	2013-08-04 20:37:26.585616
11627	2	2013-08-02 16:05:26.069398	2013-08-04 20:37:26.591391
11635	4	2013-08-02 16:05:26.077965	2013-08-03 17:54:09.727966
11665	2	2013-08-02 16:05:26.137225	2013-08-03 03:06:21.280559
11739	21	2013-08-02 16:05:26.321103	2013-08-03 22:14:26.037233
11694	14	2013-08-02 16:05:26.207346	2013-08-02 16:05:26.207346
42343	14	2013-08-02 16:06:33.597963	2013-08-03 19:39:16.536942
11715	2	2013-08-02 16:05:26.262658	2013-08-04 20:37:28.313406
11740	2	2013-08-02 16:05:26.323483	2013-08-03 03:06:22.177947
27855	14	2013-08-02 16:06:00.788646	2013-08-03 21:21:38.322269
11732	2	2013-08-02 16:05:26.304187	2013-08-04 20:37:28.318874
4879	21	2013-08-02 16:05:13.077156	2013-08-03 21:24:19.977677
11757	2	2013-08-02 16:05:26.365308	2013-08-04 20:37:28.32561
11702	2	2013-08-02 16:05:26.228783	2013-08-02 16:05:26.228783
13180	21	2013-08-02 16:05:29.259139	2013-08-04 00:55:55.525069
11704	4	2013-08-02 16:05:26.234082	2013-08-02 16:05:26.234082
49021	2	2013-08-02 16:06:47.965445	2013-08-04 01:45:51.860789
46910	2	2013-08-02 16:06:43.878685	2013-08-04 01:48:02.571541
11620	4	2013-08-02 16:05:26.062752	2013-08-03 03:09:45.662952
11767	2	2013-08-02 16:05:26.389512	2013-08-04 20:37:28.339349
36459	14	2013-08-02 16:06:20.944641	2013-08-04 20:42:25.87594
36538	14	2013-08-02 16:06:21.111641	2013-08-04 20:42:25.885893
11725	2	2013-08-02 16:05:26.286713	2013-08-03 03:09:45.669294
36439	14	2013-08-02 16:06:20.89703	2013-08-04 20:42:25.897053
11714	14	2013-08-02 16:05:26.260128	2013-08-02 16:05:26.260128
17898	4	2013-08-02 16:05:38.788522	2013-08-04 01:48:34.977237
11705	2	2013-08-02 16:05:26.236809	2013-08-03 03:09:46.964332
11755	2	2013-08-02 16:05:26.35989	2013-08-03 03:09:47.360986
44286	2	2013-08-02 16:06:37.876749	2013-08-04 20:42:26.661565
11748	21	2013-08-02 16:05:26.34274	2013-08-03 22:19:22.068139
11722	2	2013-08-02 16:05:26.279486	2013-08-02 16:05:26.279486
11657	2	2013-08-02 16:05:26.116147	2013-08-03 03:09:47.370886
11724	4	2013-08-02 16:05:26.284283	2013-08-02 16:05:26.284283
11730	4	2013-08-02 16:05:26.299272	2013-08-03 17:57:11.784986
11765	2	2013-08-02 16:05:26.384559	2013-08-03 03:09:47.380928
44326	21	2013-08-02 16:06:38.205578	2013-08-04 20:43:23.624204
34643	2	2013-08-02 16:06:16.188653	2013-08-04 01:48:34.979604
11734	14	2013-08-02 16:05:26.309001	2013-08-02 16:05:26.309001
38292	14	2013-08-02 16:06:24.810088	2013-08-03 22:50:21.239102
44886	21	2013-08-02 16:06:39.437401	2013-08-04 20:44:16.866165
45086	2	2013-08-02 16:06:39.93463	2013-08-04 20:47:27.829357
45066	2	2013-08-02 16:06:39.915995	2013-08-04 20:47:27.839692
11742	2	2013-08-02 16:05:26.328183	2013-08-02 16:05:26.328183
7769	2	2013-08-02 16:05:18.274924	2013-08-04 20:47:28.020525
11744	4	2013-08-02 16:05:26.333079	2013-08-02 16:05:26.333079
12167	2	2013-08-02 16:05:27.401099	2013-08-04 20:47:28.035693
5606	2	2013-08-02 16:05:14.234024	2013-08-04 20:47:28.050602
49355	21	2013-08-02 16:06:48.821928	2013-08-03 22:55:23.38071
12147	2	2013-08-02 16:05:27.377927	2013-08-04 20:47:28.065335
12127	2	2013-08-02 16:05:27.347858	2013-08-04 20:47:28.080329
19183	2	2013-08-02 16:05:41.295427	2013-08-04 20:47:28.095606
11696	14	2013-08-02 16:05:26.212396	2013-08-03 17:59:16.429245
12097	2	2013-08-02 16:05:27.298145	2013-08-04 20:47:28.110829
11754	14	2013-08-02 16:05:26.35701	2013-08-02 16:05:26.35701
40352	14	2013-08-02 16:06:28.708373	2013-08-03 23:06:34.090206
22221	14	2013-08-02 16:05:48.070182	2013-08-03 23:53:36.798606
11652	2	2013-08-02 16:05:26.102987	2013-08-03 17:59:16.594178
11762	2	2013-08-02 16:05:26.377413	2013-08-02 16:05:26.377413
11764	4	2013-08-02 16:05:26.382197	2013-08-02 16:05:26.382197
11750	14	2013-08-02 16:05:26.347501	2013-08-03 17:59:16.633125
11661	21	2013-08-02 16:05:26.126657	2013-08-03 18:02:16.247519
11621	21	2013-08-02 16:05:26.063692	2013-08-03 18:02:17.43666
11716	21	2013-08-02 16:05:26.265075	2013-08-03 18:02:17.439922
11774	14	2013-08-02 16:05:26.407885	2013-08-02 16:05:26.407885
11628	4	2013-08-02 16:05:26.070287	2013-08-03 01:24:56.82013
11668	2	2013-08-02 16:05:26.145228	2013-08-03 01:24:56.822455
11768	14	2013-08-02 16:05:26.392147	2013-08-03 01:25:23.350742
11677	4	2013-08-02 16:05:26.168878	2013-08-03 01:43:47.920956
11717	2	2013-08-02 16:05:26.267481	2013-08-03 01:43:47.923017
11726	14	2013-08-02 16:05:26.289095	2013-08-03 18:33:25.194839
11697	2	2013-08-02 16:05:26.214955	2013-08-03 02:11:04.710658
11648	2	2013-08-02 16:05:26.092454	2013-08-03 02:11:04.714029
11763	2	2013-08-02 16:05:26.379805	2013-08-03 02:11:04.718546
11743	2	2013-08-02 16:05:26.330483	2013-08-03 02:11:04.723824
11723	2	2013-08-02 16:05:26.281886	2013-08-03 02:11:04.728862
11703	2	2013-08-02 16:05:26.231425	2013-08-03 02:11:04.733307
11683	2	2013-08-02 16:05:26.184108	2013-08-03 02:11:04.737632
11663	2	2013-08-02 16:05:26.131854	2013-08-03 02:11:04.74326
11775	4	2013-08-02 16:05:26.410463	2013-08-03 02:20:55.758141
11746	14	2013-08-02 16:05:26.337923	2013-08-03 18:33:35.968643
11706	14	2013-08-02 16:05:26.239431	2013-08-03 18:33:36.041459
11637	21	2013-08-02 16:05:26.080011	2013-08-03 18:37:39.007452
11735	4	2013-08-02 16:05:26.311399	2013-08-03 18:42:35.912688
11646	2	2013-08-02 16:05:26.089639	2013-08-03 18:42:36.444734
11766	2	2013-08-02 16:05:26.386911	2013-08-03 18:42:36.455377
11625	14	2013-08-02 16:05:26.067369	2013-08-03 18:43:05.385296
11923	2	2013-08-02 16:05:26.788396	2013-08-03 02:42:40.754328
5846	2	2013-08-02 16:05:14.777635	2013-08-04 20:37:28.165899
11872	2	2013-08-02 16:05:26.663399	2013-08-03 17:05:34.634544
11856	2	2013-08-02 16:05:26.622753	2013-08-03 18:52:34.112518
11782	2	2013-08-02 16:05:26.428968	2013-08-02 16:05:26.428968
11913	2	2013-08-02 16:05:26.764564	2013-08-03 02:42:40.759031
11784	4	2013-08-02 16:05:26.434361	2013-08-02 16:05:26.434361
11925	2	2013-08-02 16:05:26.79317	2013-08-03 17:05:34.638478
2712	4	2013-08-02 16:05:09.093357	2013-08-04 00:18:39.250937
11893	2	2013-08-02 16:05:26.715407	2013-08-03 02:42:40.76777
11889	2	2013-08-02 16:05:26.705853	2013-08-04 20:37:28.175545
11786	2	2013-08-02 16:05:26.439691	2013-08-04 20:37:28.181168
11873	2	2013-08-02 16:05:26.66611	2013-08-03 02:42:40.778675
11853	2	2013-08-02 16:05:26.614805	2013-08-03 02:42:40.791216
11905	2	2013-08-02 16:05:26.745269	2013-08-03 17:05:34.642209
11794	14	2013-08-02 16:05:26.460378	2013-08-02 16:05:26.460378
11833	2	2013-08-02 16:05:26.561816	2013-08-03 02:42:40.803317
11805	2	2013-08-02 16:05:26.49008	2013-08-04 20:37:28.186399
11813	2	2013-08-02 16:05:26.511154	2013-08-03 02:42:40.814584
11793	2	2013-08-02 16:05:26.457817	2013-08-03 02:42:40.825743
11819	21	2013-08-02 16:05:26.526821	2013-08-04 00:18:49.911728
11885	2	2013-08-02 16:05:26.696223	2013-08-03 17:05:34.645928
11802	2	2013-08-02 16:05:26.482078	2013-08-02 16:05:26.482078
11865	2	2013-08-02 16:05:26.645454	2013-08-03 17:05:34.650502
11804	4	2013-08-02 16:05:26.487375	2013-08-02 16:05:26.487375
4749	4	2013-08-02 16:05:12.974361	2013-08-03 17:52:03.396614
19741	2	2013-08-02 16:05:42.760949	2013-08-04 20:37:28.193219
11800	14	2013-08-02 16:05:26.476865	2013-08-03 03:04:38.386048
7158	2	2013-08-02 16:05:17.582268	2013-08-04 20:37:28.20789
11883	21	2013-08-02 16:05:26.691379	2013-08-03 22:19:22.905938
11814	14	2013-08-02 16:05:26.513761	2013-08-02 16:05:26.513761
11825	2	2013-08-02 16:05:26.541612	2013-08-04 20:37:28.222492
11780	2	2013-08-02 16:05:26.423661	2013-08-04 20:37:28.236852
11909	21	2013-08-02 16:05:26.754935	2013-08-04 18:11:50.786155
11822	2	2013-08-02 16:05:26.533994	2013-08-02 16:05:26.533994
4729	4	2013-08-02 16:05:12.897479	2013-08-03 17:52:03.407415
11824	4	2013-08-02 16:05:26.539096	2013-08-02 16:05:26.539096
11845	2	2013-08-02 16:05:26.593723	2013-08-04 20:37:28.249894
11807	2	2013-08-02 16:05:26.495345	2013-08-04 20:37:28.260487
3328	4	2013-08-02 16:05:10.131374	2013-08-03 22:50:21.274516
11840	2	2013-08-02 16:05:26.580337	2013-08-03 03:06:21.826829
11834	14	2013-08-02 16:05:26.564433	2013-08-02 16:05:26.564433
11710	21	2013-08-02 16:05:26.249539	2013-08-03 17:52:03.542324
11839	2	2013-08-02 16:05:26.577667	2013-08-04 20:37:28.268175
11785	2	2013-08-02 16:05:26.437028	2013-08-03 03:09:47.35003
11690	21	2013-08-02 16:05:26.197116	2013-08-03 17:52:03.54619
11797	21	2013-08-02 16:05:26.468174	2013-08-04 00:19:13.611903
11670	21	2013-08-02 16:05:26.150518	2013-08-03 17:52:03.549658
3361	2	2013-08-02 16:05:10.189102	2013-08-03 22:50:21.281786
11842	2	2013-08-02 16:05:26.585679	2013-08-02 16:05:26.585679
11650	21	2013-08-02 16:05:26.097739	2013-08-03 17:52:03.55339
11844	4	2013-08-02 16:05:26.590892	2013-08-02 16:05:26.590892
11915	21	2013-08-02 16:05:26.769319	2013-08-04 00:20:45.46016
11787	2	2013-08-02 16:05:26.442375	2013-08-04 20:37:28.279735
11895	2	2013-08-02 16:05:26.720169	2013-08-04 20:37:28.291871
11929	14	2013-08-02 16:05:26.802712	2013-08-04 18:17:51.030664
42263	14	2013-08-02 16:06:33.405923	2013-08-03 19:39:16.666334
28492	2	2013-08-02 16:06:01.807806	2013-08-04 20:37:28.304881
11907	2	2013-08-02 16:05:26.750145	2013-08-04 20:42:23.606862
11854	14	2013-08-02 16:05:26.617384	2013-08-02 16:05:26.617384
2752	4	2013-08-02 16:05:09.133377	2013-08-03 19:42:21.804546
11826	2	2013-08-02 16:05:26.544282	2013-08-04 20:42:23.611725
11910	4	2013-08-02 16:05:26.757321	2013-08-03 17:57:11.612845
11890	4	2013-08-02 16:05:26.708244	2013-08-03 17:57:11.618248
11887	2	2013-08-02 16:05:26.701032	2013-08-04 20:42:23.616228
2680	21	2013-08-02 16:05:09.067894	2013-08-03 21:24:19.969882
19755	21	2013-08-02 16:05:42.797432	2013-08-03 21:24:19.972181
11862	2	2013-08-02 16:05:26.63821	2013-08-02 16:05:26.63821
11832	2	2013-08-02 16:05:26.559193	2013-08-04 20:42:23.621038
11864	4	2013-08-02 16:05:26.643056	2013-08-02 16:05:26.643056
39743	21	2013-08-02 16:06:27.68432	2013-08-03 21:24:19.975392
11932	2	2013-08-02 16:05:26.809877	2013-08-04 20:42:23.625716
11836	2	2013-08-02 16:05:26.569514	2013-08-04 20:42:23.6314
3368	14	2013-08-02 16:05:10.208236	2013-08-03 22:54:23.405124
11867	2	2013-08-02 16:05:26.650227	2013-08-04 20:42:23.63848
41925	2	2013-08-02 16:06:32.383001	2013-08-03 22:54:23.617655
11896	4	2013-08-02 16:05:26.722534	2013-08-03 17:59:16.462161
11874	14	2013-08-02 16:05:26.668822	2013-08-02 16:05:26.668822
11835	4	2013-08-02 16:05:26.566962	2013-08-03 18:02:14.534086
32685	14	2013-08-02 16:06:12.128225	2013-08-03 22:54:23.631495
11846	21	2013-08-02 16:05:26.596233	2013-08-04 01:10:50.776677
3424	2	2013-08-02 16:05:10.349838	2013-08-04 20:42:23.643083
11847	2	2013-08-02 16:05:26.598694	2013-08-04 20:42:23.647907
6959	2	2013-08-02 16:05:17.388158	2013-08-04 20:42:23.656629
11882	2	2013-08-02 16:05:26.688988	2013-08-02 16:05:26.688988
11884	4	2013-08-02 16:05:26.693806	2013-08-02 16:05:26.693806
11816	21	2013-08-02 16:05:26.519017	2013-08-03 18:02:16.244514
3215	21	2013-08-02 16:05:09.830964	2013-08-03 22:55:23.381569
11776	21	2013-08-02 16:05:26.413093	2013-08-03 18:02:16.775064
11820	2	2013-08-02 16:05:26.529243	2013-08-04 20:42:23.667299
36281	21	2013-08-02 16:06:20.530141	2013-08-04 01:50:57.123864
11912	2	2013-08-02 16:05:26.762133	2013-08-03 18:02:17.037789
11892	4	2013-08-02 16:05:26.713031	2013-08-03 18:02:17.074718
11827	2	2013-08-02 16:05:26.546833	2013-08-04 20:42:23.679308
11894	14	2013-08-02 16:05:26.717796	2013-08-02 16:05:26.717796
30250	14	2013-08-02 16:06:05.925822	2013-08-03 23:01:08.13266
11817	2	2013-08-02 16:05:26.521678	2013-08-04 20:42:24.872575
49281	2	2013-08-02 16:06:48.626225	2013-08-04 01:50:57.373399
11931	2	2013-08-02 16:05:26.807461	2013-08-04 20:42:24.883617
11790	4	2013-08-02 16:05:26.450321	2013-08-03 18:33:25.217208
12107	2	2013-08-02 16:05:27.312993	2013-08-04 20:47:28.122007
11902	2	2013-08-02 16:05:26.737721	2013-08-02 16:05:26.737721
44845	2	2013-08-02 16:06:39.401287	2013-08-04 20:47:28.155583
11904	4	2013-08-02 16:05:26.742831	2013-08-02 16:05:26.742831
11930	2	2013-08-02 16:05:26.805093	2013-08-03 18:33:25.219495
44328	2	2013-08-02 16:06:38.207482	2013-08-04 20:47:28.165309
44468	2	2013-08-02 16:06:38.536594	2013-08-04 20:47:28.389664
44815	2	2013-08-02 16:06:39.37673	2013-08-04 20:47:28.471531
12386	2	2013-08-02 16:05:27.919851	2013-08-04 20:47:29.471068
11866	4	2013-08-02 16:05:26.647823	2013-08-03 18:33:25.241653
12287	2	2013-08-02 16:05:27.675985	2013-08-04 20:47:29.485439
12300	2	2013-08-02 16:05:27.708706	2013-08-04 20:47:29.500591
11914	14	2013-08-02 16:05:26.766928	2013-08-02 16:05:26.766928
11806	21	2013-08-02 16:05:26.492723	2013-08-03 18:37:38.267377
12267	2	2013-08-02 16:05:27.627673	2013-08-04 20:47:29.51525
12247	2	2013-08-02 16:05:27.57934	2013-08-04 20:47:29.529959
12237	2	2013-08-02 16:05:27.555497	2013-08-04 20:47:29.545297
12126	2	2013-08-02 16:05:27.346014	2013-08-04 20:47:29.560373
11886	14	2013-08-02 16:05:26.698618	2013-08-03 18:37:53.566879
44908	21	2013-08-02 16:06:39.459812	2013-08-04 20:47:29.600317
11922	2	2013-08-02 16:05:26.786048	2013-08-02 16:05:26.786048
11924	4	2013-08-02 16:05:26.790792	2013-08-02 16:05:26.790792
11911	14	2013-08-02 16:05:26.7597	2013-08-03 01:13:42.391466
11891	14	2013-08-02 16:05:26.710627	2013-08-03 01:13:42.398591
11888	21	2013-08-02 16:05:26.703408	2013-08-03 01:25:23.307515
11868	21	2013-08-02 16:05:26.652881	2013-08-03 01:25:23.311785
11848	21	2013-08-02 16:05:26.601341	2013-08-03 01:25:23.315423
11828	21	2013-08-02 16:05:26.549425	2013-08-03 01:25:23.319062
11917	14	2013-08-02 16:05:26.774081	2013-08-03 01:45:31.152063
11897	14	2013-08-02 16:05:26.724966	2013-08-03 01:45:31.162961
11877	4	2013-08-02 16:05:26.676356	2013-08-03 01:45:31.174938
11857	4	2013-08-02 16:05:26.625348	2013-08-03 01:45:31.186135
11837	4	2013-08-02 16:05:26.572218	2013-08-03 01:45:31.196518
11906	14	2013-08-02 16:05:26.747683	2013-08-03 18:38:30.831651
11812	2	2013-08-02 16:05:26.50863	2013-08-03 02:00:11.242248
11843	14	2013-08-02 16:05:26.588359	2013-08-03 18:38:30.897467
11803	2	2013-08-02 16:05:26.484746	2013-08-03 02:11:04.7026
11783	2	2013-08-02 16:05:26.431596	2013-08-03 02:11:04.707079
11918	21	2013-08-02 16:05:26.776451	2013-08-03 02:11:06.213833
11898	21	2013-08-02 16:05:26.727317	2013-08-03 02:11:06.217315
11878	14	2013-08-02 16:05:26.678954	2013-08-03 02:11:06.225864
11858	14	2013-08-02 16:05:26.627954	2013-08-03 02:11:06.236732
11838	4	2013-08-02 16:05:26.574953	2013-08-03 02:11:06.248253
11926	14	2013-08-02 16:05:26.795537	2013-08-03 18:42:36.680729
11903	14	2013-08-02 16:05:26.740294	2013-08-03 02:15:36.744648
11792	2	2013-08-02 16:05:26.455412	2013-08-03 02:15:37.074504
11852	4	2013-08-02 16:05:26.612107	2013-08-03 02:20:55.558287
11815	2	2013-08-02 16:05:26.516368	2013-08-03 02:20:55.766197
11795	2	2013-08-02 16:05:26.462938	2013-08-03 02:21:47.29783
11875	14	2013-08-02 16:05:26.671457	2013-08-03 02:21:48.333139
7019	2	2013-08-02 16:05:17.44684	2013-08-04 20:42:24.717993
11934	14	2013-08-02 16:05:26.814772	2013-08-02 16:05:26.814772
11973	2	2013-08-02 16:05:26.920152	2013-08-03 02:42:40.742914
12067	2	2013-08-02 16:05:27.159816	2013-08-04 20:42:24.721368
11953	2	2013-08-02 16:05:26.86633	2013-08-03 02:42:40.747156
11933	2	2013-08-02 16:05:26.812266	2013-08-03 02:42:40.750815
12047	2	2013-08-02 16:05:27.109529	2013-08-04 20:42:24.72432
12005	21	2013-08-02 16:05:27.004051	2013-08-03 17:05:34.610492
11966	2	2013-08-02 16:05:26.901368	2013-08-04 20:42:24.727168
11942	2	2013-08-02 16:05:26.835266	2013-08-02 16:05:26.835266
12073	2	2013-08-02 16:05:27.270903	2013-08-03 02:47:52.161445
11944	4	2013-08-02 16:05:26.84062	2013-08-02 16:05:26.84062
16101	14	2013-08-02 16:05:34.576391	2013-08-04 00:19:02.39461
28672	4	2013-08-02 16:06:02.057813	2013-08-03 21:06:14.857933
12053	2	2013-08-02 16:05:27.12486	2013-08-03 02:47:52.167136
12017	2	2013-08-02 16:05:27.033183	2013-08-04 20:42:24.733977
36783	2	2013-08-02 16:06:21.374577	2013-08-04 20:42:24.744295
12033	2	2013-08-02 16:05:27.072224	2013-08-03 02:47:52.171355
12013	2	2013-08-02 16:05:27.023324	2013-08-03 02:47:52.176157
11985	2	2013-08-02 16:05:26.951176	2013-08-03 17:05:34.617931
11954	14	2013-08-02 16:05:26.869158	2013-08-02 16:05:26.869158
11993	2	2013-08-02 16:05:26.972529	2013-08-03 02:47:52.186533
11939	21	2013-08-02 16:05:26.827242	2013-08-03 22:19:22.903408
12080	21	2013-08-02 16:05:27.278098	2013-08-03 22:19:22.905
12046	14	2013-08-02 16:05:27.106913	2013-08-04 00:22:31.302422
11965	2	2013-08-02 16:05:26.8987	2013-08-03 17:05:34.622003
40375	21	2013-08-02 16:06:28.724908	2013-08-03 22:24:24.998811
11962	2	2013-08-02 16:05:26.890124	2013-08-02 16:05:26.890124
30998	2	2013-08-02 16:06:07.783635	2013-08-04 20:42:24.755388
11964	4	2013-08-02 16:05:26.895623	2013-08-02 16:05:26.895623
12027	2	2013-08-02 16:05:27.05758	2013-08-04 20:42:24.766559
5264	2	2013-08-02 16:05:13.549245	2013-08-03 21:06:14.861247
12000	4	2013-08-02 16:05:26.991452	2013-08-03 03:04:38.432616
31018	2	2013-08-02 16:06:07.831132	2013-08-04 20:42:24.779689
11980	2	2013-08-02 16:05:26.937881	2013-08-03 17:05:34.626227
12040	2	2013-08-02 16:05:27.090474	2013-08-03 03:04:38.441538
11945	2	2013-08-02 16:05:26.843273	2013-08-03 17:05:34.63034
11974	14	2013-08-02 16:05:26.922825	2013-08-02 16:05:26.922825
11979	21	2013-08-02 16:05:26.935337	2013-08-03 22:24:25.0002
11555	21	2013-08-02 16:05:25.919506	2013-08-03 22:24:25.001314
28417	4	2013-08-02 16:06:01.725355	2013-08-03 19:39:31.042929
12063	4	2013-08-02 16:05:27.149206	2013-08-03 17:10:32.749234
16877	2	2013-08-02 16:05:36.508071	2013-08-04 20:42:24.794045
12085	4	2013-08-02 16:05:27.283467	2013-08-03 17:10:32.760601
38920	2	2013-08-02 16:06:26.224974	2013-08-03 21:06:14.90959
11982	2	2013-08-02 16:05:26.943312	2013-08-02 16:05:26.943312
12065	4	2013-08-02 16:05:27.154561	2013-08-03 17:10:32.771564
11984	4	2013-08-02 16:05:26.948705	2013-08-02 16:05:26.948705
11959	21	2013-08-02 16:05:26.882286	2013-08-03 22:24:25.002341
19841	4	2013-08-02 16:05:43.013496	2013-08-03 21:17:30.536521
12045	4	2013-08-02 16:05:27.104204	2013-08-03 17:10:32.777989
12007	2	2013-08-02 16:05:27.00889	2013-08-04 20:42:24.805803
11535	21	2013-08-02 16:05:25.866489	2013-08-03 22:24:25.003379
12025	4	2013-08-02 16:05:27.052797	2013-08-03 17:10:32.781486
12026	21	2013-08-02 16:05:27.055194	2013-08-03 22:29:29.039271
11590	4	2013-08-02 16:05:26.009683	2013-08-03 17:52:03.659809
11994	14	2013-08-02 16:05:26.975208	2013-08-02 16:05:26.975208
11570	4	2013-08-02 16:05:25.958239	2013-08-03 17:52:03.670915
11987	2	2013-08-02 16:05:26.956437	2013-08-04 20:42:24.817084
11483	4	2013-08-02 16:05:25.738236	2013-08-03 17:52:03.682423
11550	2	2013-08-02 16:05:25.90611	2013-08-03 17:52:03.705498
12023	2	2013-08-02 16:05:27.047935	2013-08-04 20:47:28.132812
10481	2	2013-08-02 16:05:23.777031	2013-08-03 17:52:03.716634
12039	21	2013-08-02 16:05:27.08771	2013-08-03 22:29:29.043883
12002	2	2013-08-02 16:05:26.9966	2013-08-02 16:05:26.9966
10241	2	2013-08-02 16:05:23.512054	2013-08-03 17:52:03.726531
12004	4	2013-08-02 16:05:27.001621	2013-08-02 16:05:27.001621
10315	21	2013-08-02 16:05:23.599875	2013-08-03 17:52:03.792399
31098	21	2013-08-02 16:06:08.024721	2013-08-03 22:29:29.047375
10637	21	2013-08-02 16:05:24.032566	2013-08-03 17:52:03.795305
14432	2	2013-08-02 16:05:31.819697	2013-08-04 20:47:28.140142
37923	21	2013-08-02 16:06:23.897467	2013-08-03 22:29:29.051229
9930	4	2013-08-02 16:05:23.209319	2013-08-03 17:52:03.896284
12087	2	2013-08-02 16:05:27.285614	2013-08-04 20:47:28.146565
12057	21	2013-08-02 16:05:27.134642	2013-08-03 18:02:14.267138
12014	14	2013-08-02 16:05:27.025766	2013-08-02 16:05:27.025766
26380	2	2013-08-02 16:05:56.950021	2013-08-03 19:42:22.557106
12019	21	2013-08-02 16:05:27.038169	2013-08-03 22:29:29.054984
12041	14	2013-08-02 16:05:27.093298	2013-08-03 18:02:14.366186
12086	2	2013-08-02 16:05:27.284577	2013-08-04 01:05:56.488507
12021	14	2013-08-02 16:05:27.043075	2013-08-03 18:02:14.377261
40355	21	2013-08-02 16:06:28.711037	2013-08-03 21:24:20.788209
12022	2	2013-08-02 16:05:27.045512	2013-08-02 16:05:27.045512
12024	4	2013-08-02 16:05:27.05035	2013-08-02 16:05:27.05035
4859	21	2013-08-02 16:05:13.059691	2013-08-03 22:29:29.058248
30978	2	2013-08-02 16:06:07.734961	2013-08-03 19:42:22.794444
3064	14	2013-08-02 16:05:09.530573	2013-08-03 19:42:38.055622
2154	2	2013-08-02 16:05:08.309496	2013-08-04 01:50:57.38844
12034	14	2013-08-02 16:05:27.074722	2013-08-02 16:05:27.074722
11997	21	2013-08-02 16:05:26.983241	2013-08-03 22:34:29.671901
17350	2	2013-08-02 16:05:37.75314	2013-08-04 01:50:57.496497
12079	21	2013-08-02 16:05:27.27701	2013-08-03 22:34:29.676132
46930	2	2013-08-02 16:06:43.926308	2013-08-04 01:50:57.613678
11960	21	2013-08-02 16:05:26.884994	2013-08-03 22:34:29.679652
12042	2	2013-08-02 16:05:27.096015	2013-08-02 16:05:27.096015
12059	21	2013-08-02 16:05:27.139455	2013-08-03 22:34:29.683164
12044	4	2013-08-02 16:05:27.101506	2013-08-02 16:05:27.101506
11935	21	2013-08-02 16:05:26.817144	2013-08-03 22:39:22.640644
12012	21	2013-08-02 16:05:27.020983	2013-08-03 22:39:22.642501
12006	4	2013-08-02 16:05:27.00646	2013-08-03 18:37:53.59707
12052	14	2013-08-02 16:05:27.122426	2013-08-03 22:39:22.661253
11610	2	2013-08-02 16:05:26.052698	2013-08-03 18:37:53.603744
12054	14	2013-08-02 16:05:27.127303	2013-08-02 16:05:27.127303
47270	2	2013-08-02 16:06:44.790865	2013-08-04 01:50:57.914313
5238	2	2013-08-02 16:05:13.514414	2013-08-04 01:50:58.223971
49180	2	2013-08-02 16:06:48.366643	2013-08-04 01:50:58.301437
12037	14	2013-08-02 16:05:27.082312	2013-08-03 18:38:19.87344
22846	2	2013-08-02 16:05:49.681902	2013-08-04 01:50:58.314429
12062	2	2013-08-02 16:05:27.146579	2013-08-02 16:05:27.146579
12064	4	2013-08-02 16:05:27.151869	2013-08-02 16:05:27.151869
11977	21	2013-08-02 16:05:26.930207	2013-08-03 22:40:41.03156
11957	21	2013-08-02 16:05:26.877171	2013-08-03 22:45:09.200573
22369	21	2013-08-02 16:05:48.541556	2013-08-04 20:49:35.760105
22345	21	2013-08-02 16:05:48.507477	2013-08-04 20:49:47.477494
22393	2	2013-08-02 16:05:48.598721	2013-08-04 20:52:18.428416
12074	14	2013-08-02 16:05:27.271958	2013-08-02 16:05:27.271958
41965	21	2013-08-02 16:06:32.48107	2013-08-03 22:54:23.822043
44866	2	2013-08-02 16:06:39.417269	2013-08-04 20:52:18.44389
22149	2	2013-08-02 16:05:47.920708	2013-08-04 20:52:18.458612
22169	2	2013-08-02 16:05:47.967778	2013-08-04 20:52:18.473362
22150	2	2013-08-02 16:05:47.923072	2013-08-04 20:52:18.486907
22449	21	2013-08-02 16:05:48.743934	2013-08-04 20:54:40.836951
12082	2	2013-08-02 16:05:27.280328	2013-08-02 16:05:27.280328
12084	4	2013-08-02 16:05:27.282388	2013-08-02 16:05:27.282388
12088	2	2013-08-02 16:05:27.286662	2013-08-03 01:25:23.544015
12068	2	2013-08-02 16:05:27.162277	2013-08-03 01:25:23.555169
12048	2	2013-08-02 16:05:27.11216	2013-08-03 01:25:23.566414
12028	2	2013-08-02 16:05:27.05997	2013-08-03 01:25:23.577514
12008	2	2013-08-02 16:05:27.011298	2013-08-03 01:25:23.588846
11988	2	2013-08-02 16:05:26.959179	2013-08-03 01:25:23.600216
12077	21	2013-08-02 16:05:27.275001	2013-08-03 01:45:31.069115
12072	21	2013-08-02 16:05:27.269768	2013-08-03 02:00:59.983372
11992	4	2013-08-02 16:05:26.969895	2013-08-03 02:01:00.02031
11972	4	2013-08-02 16:05:26.917479	2013-08-03 02:01:00.053182
11952	4	2013-08-02 16:05:26.863202	2013-08-03 02:01:00.063322
11938	21	2013-08-02 16:05:26.824634	2013-08-03 02:11:06.209812
12003	4	2013-08-02 16:05:26.999137	2013-08-03 02:16:24.592325
11943	2	2013-08-02 16:05:26.837946	2013-08-03 02:21:47.294453
12075	21	2013-08-02 16:05:27.27297	2013-08-03 02:21:48.269795
12055	21	2013-08-02 16:05:27.129776	2013-08-03 02:21:48.273026
12035	21	2013-08-02 16:05:27.077236	2013-08-03 02:21:48.27606
12015	21	2013-08-02 16:05:27.028095	2013-08-03 02:21:48.279062
11995	21	2013-08-02 16:05:26.977893	2013-08-03 02:21:48.282035
11975	21	2013-08-02 16:05:26.925351	2013-08-03 02:21:48.285368
11955	21	2013-08-02 16:05:26.871819	2013-08-03 02:21:48.288533
4338	21	2013-08-02 16:05:12.447897	2013-08-03 22:39:22.630849
12227	2	2013-08-02 16:05:27.531724	2013-08-04 20:47:27.963021
12213	2	2013-08-02 16:05:27.497741	2013-08-03 02:47:52.13244
4550	4	2013-08-02 16:05:12.724266	2013-08-03 17:52:03.899854
12094	14	2013-08-02 16:05:27.294002	2013-08-02 16:05:27.294002
12193	2	2013-08-02 16:05:27.446862	2013-08-03 02:47:52.136375
5399	21	2013-08-02 16:05:13.808476	2013-08-03 21:19:20.883427
12173	2	2013-08-02 16:05:27.409799	2013-08-03 02:47:52.140027
12153	2	2013-08-02 16:05:27.383547	2013-08-03 02:47:52.144377
12207	2	2013-08-02 16:05:27.482397	2013-08-04 20:47:27.968587
9801	4	2013-08-02 16:05:23.007699	2013-08-03 17:52:03.903108
12100	21	2013-08-02 16:05:27.302621	2013-08-03 22:39:22.633018
12102	2	2013-08-02 16:05:27.305604	2013-08-02 16:05:27.305604
12133	2	2013-08-02 16:05:27.358989	2013-08-03 02:47:52.149736
12104	4	2013-08-02 16:05:27.308514	2013-08-02 16:05:27.308514
9756	4	2013-08-02 16:05:22.970718	2013-08-03 17:52:03.90712
12119	21	2013-08-02 16:05:27.333049	2013-08-03 22:39:22.634479
12113	2	2013-08-02 16:05:27.322773	2013-08-03 02:47:52.153538
12187	2	2013-08-02 16:05:27.432008	2013-08-04 20:47:27.974454
12181	2	2013-08-02 16:05:27.422149	2013-08-04 20:47:27.982176
12093	2	2013-08-02 16:05:27.292651	2013-08-03 02:47:52.157371
12112	2	2013-08-02 16:05:27.321146	2013-08-03 02:53:04.879873
1722	2	2013-08-02 16:05:07.263609	2013-08-04 20:47:27.993113
12114	14	2013-08-02 16:05:27.32439	2013-08-02 16:05:27.32439
12233	2	2013-08-02 16:05:27.545981	2013-08-03 02:53:04.885349
7506	21	2013-08-02 16:05:17.926109	2013-08-03 17:52:04.017564
12160	14	2013-08-02 16:05:27.391538	2013-08-03 17:03:17.010275
2688	2	2013-08-02 16:05:09.073638	2013-08-04 20:47:28.005695
12226	2	2013-08-02 16:05:27.529344	2013-08-03 18:54:20.128615
12122	2	2013-08-02 16:05:27.338576	2013-08-02 16:05:27.338576
11270	4	2013-08-02 16:05:25.106331	2013-08-03 17:52:04.366361
12124	4	2013-08-02 16:05:27.342273	2013-08-02 16:05:27.342273
9661	4	2013-08-02 16:05:22.881382	2013-08-03 17:52:04.376458
12146	21	2013-08-02 16:05:27.376981	2013-08-03 22:39:22.63586
4298	21	2013-08-02 16:05:12.357687	2013-08-03 17:52:04.501841
22189	2	2013-08-02 16:05:47.991591	2013-08-04 20:52:18.501838
4358	21	2013-08-02 16:05:12.491197	2013-08-03 22:44:25.297301
12139	21	2013-08-02 16:05:27.367232	2013-08-03 22:44:25.30164
44628	2	2013-08-02 16:06:38.94621	2013-08-04 20:52:18.518259
44701	2	2013-08-02 16:06:39.138729	2013-08-04 20:52:18.5313
12134	14	2013-08-02 16:05:27.36081	2013-08-02 16:05:27.36081
4318	21	2013-08-02 16:05:12.401317	2013-08-03 17:52:04.505271
5476	21	2013-08-02 16:05:13.918083	2013-08-03 19:42:22.80914
12180	2	2013-08-02 16:05:27.420483	2013-08-03 17:05:35.541157
12209	21	2013-08-02 16:05:27.487197	2013-08-04 18:15:51.581076
1706	14	2013-08-02 16:05:07.221568	2013-08-04 00:33:40.104059
12201	2	2013-08-02 16:05:27.467978	2013-08-04 01:05:55.902348
12218	21	2013-08-02 16:05:27.51016	2013-08-03 19:42:22.81153
12142	2	2013-08-02 16:05:27.372928	2013-08-02 16:05:27.372928
12145	4	2013-08-02 16:05:27.375967	2013-08-03 17:10:32.709908
12144	4	2013-08-02 16:05:27.374963	2013-08-02 16:05:27.374963
12130	21	2013-08-02 16:05:27.353439	2013-08-03 17:57:11.502424
9877	2	2013-08-02 16:05:23.077627	2013-08-04 01:08:21.614451
12200	4	2013-08-02 16:05:27.465512	2013-08-03 17:10:32.719296
44648	2	2013-08-02 16:06:38.996645	2013-08-04 20:52:18.539704
14253	21	2013-08-02 16:05:31.316024	2013-08-03 22:54:24.231292
12125	4	2013-08-02 16:05:27.344128	2013-08-03 17:10:32.726645
12105	4	2013-08-02 16:05:27.309982	2013-08-03 17:10:32.738185
12245	2	2013-08-02 16:05:27.57457	2013-08-03 17:10:32.906288
12154	14	2013-08-02 16:05:27.384385	2013-08-02 16:05:27.384385
12225	2	2013-08-02 16:05:27.526925	2013-08-03 17:10:32.910218
5065	2	2013-08-02 16:05:13.265662	2013-08-03 19:42:22.862562
12205	2	2013-08-02 16:05:27.477626	2013-08-03 17:10:32.917308
12185	2	2013-08-02 16:05:27.428746	2013-08-03 17:10:32.921477
25333	2	2013-08-02 16:05:54.660199	2013-08-04 01:50:58.369769
5105	2	2013-08-02 16:05:13.311361	2013-08-03 19:42:22.874229
5025	2	2013-08-02 16:05:13.220979	2013-08-03 19:42:22.884581
12162	2	2013-08-02 16:05:27.394101	2013-08-02 16:05:27.394101
12165	2	2013-08-02 16:05:27.398021	2013-08-03 17:10:32.926569
12164	4	2013-08-02 16:05:27.396555	2013-08-02 16:05:27.396555
12150	14	2013-08-02 16:05:27.380978	2013-08-03 17:59:05.610885
12140	4	2013-08-02 16:05:27.369268	2013-08-03 17:10:33.194844
44948	2	2013-08-02 16:06:39.503417	2013-08-04 20:52:18.648145
14703	21	2013-08-02 16:05:32.440291	2013-08-03 22:54:24.233345
43123	21	2013-08-02 16:06:35.088879	2013-08-03 19:42:23.371015
12174	14	2013-08-02 16:05:27.411354	2013-08-02 16:05:27.411354
44940	2	2013-08-02 16:06:39.496796	2013-08-04 20:52:18.663016
25313	2	2013-08-02 16:05:54.622615	2013-08-04 01:50:58.380664
25341	2	2013-08-02 16:05:54.666936	2013-08-04 01:50:58.384732
25293	2	2013-08-02 16:05:54.588082	2013-08-04 01:50:58.388614
12172	21	2013-08-02 16:05:27.408219	2013-08-04 18:15:51.60212
12182	2	2013-08-02 16:05:27.423791	2013-08-02 16:05:27.423791
44928	2	2013-08-02 16:06:39.48565	2013-08-04 20:52:18.677668
12184	4	2013-08-02 16:05:27.427113	2013-08-02 16:05:27.427113
12241	4	2013-08-02 16:05:27.565042	2013-08-03 18:02:46.67939
25273	2	2013-08-02 16:05:54.560362	2013-08-04 01:50:58.401205
25253	2	2013-08-02 16:05:54.538535	2013-08-04 01:50:58.405029
22429	2	2013-08-02 16:05:48.694651	2013-08-04 20:52:18.739264
25233	2	2013-08-02 16:05:54.330589	2013-08-04 01:50:58.409761
12436	2	2013-08-02 16:05:28.049242	2013-08-04 20:52:20.424456
12221	4	2013-08-02 16:05:27.517364	2013-08-03 18:03:06.954887
12527	2	2013-08-02 16:05:28.196849	2013-08-04 20:52:20.436026
12194	14	2013-08-02 16:05:27.449548	2013-08-02 16:05:27.449548
12189	14	2013-08-02 16:05:27.436089	2013-08-04 18:17:51.024005
12229	14	2013-08-02 16:05:27.536465	2013-08-04 18:17:51.027383
12197	14	2013-08-02 16:05:27.457444	2013-08-04 18:17:51.663909
12236	2	2013-08-02 16:05:27.553143	2013-08-03 18:07:20.864685
12155	2	2013-08-02 16:05:27.38557	2013-08-04 18:22:29.179172
12216	2	2013-08-02 16:05:27.505347	2013-08-03 18:07:20.875189
15906	2	2013-08-02 16:05:34.32144	2013-08-04 20:52:20.451773
12202	2	2013-08-02 16:05:27.470452	2013-08-02 16:05:27.470452
12196	2	2013-08-02 16:05:27.454906	2013-08-03 18:07:20.885439
12204	4	2013-08-02 16:05:27.475235	2013-08-02 16:05:27.475235
12176	2	2013-08-02 16:05:27.414435	2013-08-03 18:07:20.895697
12441	2	2013-08-02 16:05:28.058265	2013-08-04 20:52:20.467702
12156	2	2013-08-02 16:05:27.38676	2013-08-03 18:07:20.907006
12461	2	2013-08-02 16:05:28.0822	2013-08-04 20:52:20.483098
12507	2	2013-08-02 16:05:28.157024	2013-08-04 20:52:20.498352
12136	2	2013-08-02 16:05:27.362431	2013-08-03 18:07:20.917455
12116	2	2013-08-02 16:05:27.327866	2013-08-03 18:07:20.927625
12120	2	2013-08-02 16:05:27.33476	2013-08-03 18:07:20.937873
12214	14	2013-08-02 16:05:27.500383	2013-08-02 16:05:27.500383
18460	2	2013-08-02 16:05:39.589691	2013-08-04 20:52:21.63682
35480	2	2013-08-02 16:06:18.394267	2013-08-04 20:52:21.652268
12222	2	2013-08-02 16:05:27.519746	2013-08-02 16:05:27.519746
12224	4	2013-08-02 16:05:27.52455	2013-08-02 16:05:27.52455
12123	14	2013-08-02 16:05:27.340425	2013-08-03 18:12:26.330275
12121	14	2013-08-02 16:05:27.336725	2013-08-03 18:14:40.943783
12234	14	2013-08-02 16:05:27.548337	2013-08-02 16:05:27.548337
12166	4	2013-08-02 16:05:27.399558	2013-08-03 18:43:05.393582
12242	2	2013-08-02 16:05:27.567409	2013-08-02 16:05:27.567409
12244	4	2013-08-02 16:05:27.572178	2013-08-02 16:05:27.572178
12186	2	2013-08-02 16:05:27.4304	2013-08-03 18:43:05.395356
12228	2	2013-08-02 16:05:27.534103	2013-08-03 01:25:23.465133
12208	2	2013-08-02 16:05:27.484816	2013-08-03 01:25:23.476737
12188	2	2013-08-02 16:05:27.433753	2013-08-03 01:25:23.48781
12168	2	2013-08-02 16:05:27.402541	2013-08-03 01:25:23.499012
12148	2	2013-08-02 16:05:27.378934	2013-08-03 01:25:23.510158
12128	2	2013-08-02 16:05:27.34974	2013-08-03 01:25:23.521408
12108	2	2013-08-02 16:05:27.314612	2013-08-03 01:25:23.532739
12177	21	2013-08-02 16:05:27.41597	2013-08-03 01:50:50.507147
12157	21	2013-08-02 16:05:27.38797	2013-08-03 01:50:50.509184
12137	21	2013-08-02 16:05:27.363212	2013-08-03 01:50:50.510254
12117	21	2013-08-02 16:05:27.329584	2013-08-03 01:50:50.511299
12217	21	2013-08-02 16:05:27.507748	2013-08-03 01:56:01.324391
12092	14	2013-08-02 16:05:27.291387	2013-08-03 02:05:14.30875
12192	14	2013-08-02 16:05:27.444122	2013-08-03 02:06:04.518593
12103	2	2013-08-02 16:05:27.307058	2013-08-03 02:15:36.782347
12118	2	2013-08-02 16:05:27.331309	2013-08-03 02:15:37.204221
12098	2	2013-08-02 16:05:27.299526	2013-08-03 02:16:24.071173
12243	2	2013-08-02 16:05:27.56981	2013-08-03 02:16:24.07491
12223	2	2013-08-02 16:05:27.522147	2013-08-03 02:16:24.078873
12203	2	2013-08-02 16:05:27.472856	2013-08-03 02:16:24.084845
12183	2	2013-08-02 16:05:27.425469	2013-08-03 02:16:24.093849
12163	2	2013-08-02 16:05:27.395314	2013-08-03 02:16:24.103358
12143	2	2013-08-02 16:05:27.373958	2013-08-03 02:16:24.113178
12132	2	2013-08-02 16:05:27.357128	2013-08-03 02:20:55.564097
12115	21	2013-08-02 16:05:27.326135	2013-08-03 02:21:48.262457
12095	21	2013-08-02 16:05:27.295374	2013-08-03 02:21:48.266282
12235	21	2013-08-02 16:05:27.550724	2013-08-03 02:26:56.157212
12215	21	2013-08-02 16:05:27.502869	2013-08-03 02:26:56.161014
12195	21	2013-08-02 16:05:27.452201	2013-08-03 02:26:56.164479
12175	21	2013-08-02 16:05:27.412912	2013-08-03 02:26:56.168057
12403	4	2013-08-02 16:05:27.965145	2013-08-04 00:19:02.427146
12397	2	2013-08-02 16:05:27.948752	2013-08-04 20:47:29.293453
12286	21	2013-08-02 16:05:27.673334	2013-08-03 19:22:37.365854
12373	2	2013-08-02 16:05:27.887205	2013-08-03 02:53:04.810149
12353	2	2013-08-02 16:05:27.834667	2013-08-03 02:53:04.819563
12387	2	2013-08-02 16:05:27.922555	2013-08-04 20:47:29.308986
12254	14	2013-08-02 16:05:27.596514	2013-08-02 16:05:27.596514
12333	2	2013-08-02 16:05:27.787253	2013-08-03 02:53:04.830216
12336	2	2013-08-02 16:05:27.794391	2013-08-04 20:47:29.323586
12313	2	2013-08-02 16:05:27.739834	2013-08-03 02:53:04.84104
12293	2	2013-08-02 16:05:27.691398	2013-08-03 02:53:04.851907
12367	2	2013-08-02 16:05:27.871616	2013-08-04 20:47:29.338092
27513	2	2013-08-02 16:05:59.966662	2013-08-04 17:11:55.471638
12306	14	2013-08-02 16:05:27.723152	2013-08-03 19:25:19.232612
12262	2	2013-08-02 16:05:27.61572	2013-08-02 16:05:27.61572
12273	2	2013-08-02 16:05:27.641957	2013-08-03 02:53:04.862533
12264	4	2013-08-02 16:05:27.620465	2013-08-02 16:05:27.620465
14412	14	2013-08-02 16:05:31.77226	2013-08-03 22:54:49.905107
12257	21	2013-08-02 16:05:27.603767	2013-08-03 21:19:20.876228
12253	2	2013-08-02 16:05:27.594092	2013-08-03 02:53:04.874425
12347	2	2013-08-02 16:05:27.820447	2013-08-04 20:47:29.352953
2630	2	2013-08-02 16:05:08.979098	2013-08-04 17:11:55.505418
12328	2	2013-08-02 16:05:27.775376	2013-08-03 02:58:08.704306
12393	2	2013-08-02 16:05:27.938036	2013-08-03 02:58:08.71545
12249	14	2013-08-02 16:05:27.584215	2013-08-04 18:15:38.129572
12274	14	2013-08-02 16:05:27.644323	2013-08-02 16:05:27.644323
28315	21	2013-08-02 16:06:01.623833	2013-08-04 01:08:51.789554
25213	2	2013-08-02 16:05:54.283439	2013-08-04 01:50:58.41777
8691	4	2013-08-02 16:05:20.501096	2013-08-03 17:52:04.615232
25193	2	2013-08-02 16:05:54.235274	2013-08-04 01:50:58.425685
8711	4	2013-08-02 16:05:20.549459	2013-08-03 17:52:04.626645
7231	2	2013-08-02 16:05:17.651258	2013-08-04 20:47:29.367428
12282	2	2013-08-02 16:05:27.663445	2013-08-02 16:05:27.663445
12360	4	2013-08-02 16:05:27.851301	2013-08-03 17:03:17.022878
12284	4	2013-08-02 16:05:27.66815	2013-08-02 16:05:27.66815
8731	4	2013-08-02 16:05:20.596722	2013-08-03 17:52:04.6379
12327	2	2013-08-02 16:05:27.773028	2013-08-04 20:47:29.382252
25210	2	2013-08-02 16:05:54.276344	2013-08-04 01:50:58.431508
12356	2	2013-08-02 16:05:27.84186	2013-08-04 20:47:29.396851
12400	2	2013-08-02 16:05:27.957152	2013-08-03 17:03:17.027383
25173	2	2013-08-02 16:05:54.185801	2013-08-04 01:50:58.437523
12380	2	2013-08-02 16:05:27.905496	2013-08-03 17:05:34.51526
12294	14	2013-08-02 16:05:27.693835	2013-08-02 16:05:27.693835
12280	2	2013-08-02 16:05:27.658652	2013-08-03 17:05:35.055144
22886	2	2013-08-02 16:05:49.788422	2013-08-04 01:50:58.478294
12252	4	2013-08-02 16:05:27.591567	2013-08-03 17:10:32.845358
12277	4	2013-08-02 16:05:27.651517	2013-08-03 17:10:32.850286
20461	2	2013-08-02 16:05:44.359776	2013-08-04 01:50:59.170566
7251	2	2013-08-02 16:05:17.667517	2013-08-04 20:47:29.411369
12302	2	2013-08-02 16:05:27.713582	2013-08-02 16:05:27.713582
12385	4	2013-08-02 16:05:27.917506	2013-08-03 17:10:32.853981
12304	4	2013-08-02 16:05:27.718362	2013-08-02 16:05:27.718362
18437	2	2013-08-02 16:05:39.550691	2013-08-04 20:47:29.426372
12260	21	2013-08-02 16:05:27.610954	2013-08-04 18:24:27.853956
12365	4	2013-08-02 16:05:27.863415	2013-08-03 17:10:32.85808
12307	2	2013-08-02 16:05:27.725545	2013-08-04 20:47:29.44129
12250	2	2013-08-02 16:05:27.586596	2013-08-04 20:47:29.456255
12345	4	2013-08-02 16:05:27.815723	2013-08-03 17:10:32.862277
12325	4	2013-08-02 16:05:27.768249	2013-08-03 17:10:32.866696
12305	4	2013-08-02 16:05:27.720778	2013-08-03 17:10:32.870413
12314	14	2013-08-02 16:05:27.742202	2013-08-02 16:05:27.742202
12285	2	2013-08-02 16:05:27.670637	2013-08-03 17:10:32.87916
12377	2	2013-08-02 16:05:27.897524	2013-08-04 20:52:18.412892
12340	2	2013-08-02 16:05:27.803851	2013-08-03 17:10:32.884418
12265	2	2013-08-02 16:05:27.622873	2013-08-03 17:10:32.890558
4415	14	2013-08-02 16:05:12.570618	2013-08-04 02:03:38.05065
30070	2	2013-08-02 16:06:05.562757	2013-08-03 23:11:27.86412
12322	2	2013-08-02 16:05:27.761152	2013-08-02 16:05:27.761152
12292	2	2013-08-02 16:05:27.689011	2013-08-03 17:10:32.900265
12324	4	2013-08-02 16:05:27.765876	2013-08-02 16:05:27.765876
22888	2	2013-08-02 16:05:49.793808	2013-08-04 20:52:21.660128
12399	4	2013-08-02 16:05:27.954043	2013-08-03 23:11:28.285883
45685	2	2013-08-02 16:06:40.885516	2013-08-04 20:54:40.72505
12290	4	2013-08-02 16:05:27.683998	2013-08-03 17:59:05.623016
12334	14	2013-08-02 16:05:27.789617	2013-08-02 16:05:27.789617
12366	4	2013-08-02 16:05:27.867617	2013-08-03 19:39:16.552276
12330	2	2013-08-02 16:05:27.780148	2013-08-03 17:59:05.625842
43103	21	2013-08-02 16:06:35.06908	2013-08-03 19:42:23.374502
43083	21	2013-08-02 16:06:35.051348	2013-08-03 19:42:23.378076
43063	21	2013-08-02 16:06:35.024315	2013-08-03 19:42:23.381358
12342	2	2013-08-02 16:05:27.808622	2013-08-02 16:05:27.808622
12388	21	2013-08-02 16:05:27.925086	2013-08-03 18:02:16.766158
12344	4	2013-08-02 16:05:27.813376	2013-08-02 16:05:27.813376
12390	21	2013-08-02 16:05:27.930113	2013-08-03 18:02:16.768994
12370	21	2013-08-02 16:05:27.879435	2013-08-03 18:02:16.771947
22789	21	2013-08-02 16:05:49.531699	2013-08-04 20:54:40.840203
12270	2	2013-08-02 16:05:27.634841	2013-08-03 18:02:17.363541
22829	21	2013-08-02 16:05:49.637358	2013-08-04 20:54:40.918458
43523	21	2013-08-02 16:06:35.7988	2013-08-03 19:42:23.589106
12354	14	2013-08-02 16:05:27.837042	2013-08-02 16:05:27.837042
43503	2	2013-08-02 16:06:35.748971	2013-08-03 19:42:23.598463
43483	2	2013-08-02 16:06:35.696262	2013-08-03 19:42:23.603895
8671	14	2013-08-02 16:05:20.452423	2013-08-03 18:03:07.001054
43463	2	2013-08-02 16:06:35.642948	2013-08-03 19:42:23.614372
22809	21	2013-08-02 16:05:49.584374	2013-08-04 20:54:40.937887
43443	2	2013-08-02 16:06:35.591853	2013-08-03 19:42:23.619619
43423	2	2013-08-02 16:06:35.540716	2013-08-03 19:42:23.623812
12362	2	2013-08-02 16:05:27.85615	2013-08-02 16:05:27.85615
12383	2	2013-08-02 16:05:27.912774	2013-08-03 18:07:20.320809
12364	4	2013-08-02 16:05:27.860955	2013-08-02 16:05:27.860955
12281	4	2013-08-02 16:05:27.661078	2013-08-03 18:07:20.486586
22849	21	2013-08-02 16:05:49.689972	2013-08-04 20:54:51.112557
12310	4	2013-08-02 16:05:27.732717	2013-08-03 18:07:20.496485
43403	2	2013-08-02 16:06:35.489904	2013-08-03 19:42:23.629155
34763	2	2013-08-02 16:06:16.496401	2013-08-04 20:57:16.95125
43383	2	2013-08-02 16:06:35.439942	2013-08-03 19:42:23.633485
43363	2	2013-08-02 16:06:35.386481	2013-08-03 19:42:23.637564
12374	14	2013-08-02 16:05:27.889787	2013-08-02 16:05:27.889787
12667	2	2013-08-02 16:05:28.447677	2013-08-04 20:57:16.963479
43343	2	2013-08-02 16:06:35.336595	2013-08-03 19:42:23.641192
43323	14	2013-08-02 16:06:35.306853	2013-08-03 19:42:23.654771
12679	2	2013-08-02 16:05:28.471272	2013-08-04 20:57:16.978164
12699	2	2013-08-02 16:05:28.512167	2013-08-04 20:57:16.993008
12355	21	2013-08-02 16:05:27.83939	2013-08-03 23:39:27.344453
12382	2	2013-08-02 16:05:27.910334	2013-08-02 16:05:27.910334
23817	2	2013-08-02 16:05:52.338987	2013-08-04 20:57:17.008135
12384	4	2013-08-02 16:05:27.915128	2013-08-02 16:05:27.915128
12376	4	2013-08-02 16:05:27.894994	2013-08-03 18:09:35.804848
12632	2	2013-08-02 16:05:28.393095	2013-08-04 20:57:17.023455
16116	21	2013-08-02 16:05:34.609708	2013-08-04 21:00:14.234823
12394	14	2013-08-02 16:05:27.940815	2013-08-02 16:05:27.940815
12256	14	2013-08-02 16:05:27.601383	2013-08-03 18:12:26.323738
12396	21	2013-08-02 16:05:27.946075	2013-08-03 18:12:26.942449
12402	2	2013-08-02 16:05:27.962465	2013-08-02 16:05:27.962465
12268	2	2013-08-02 16:05:27.630083	2013-08-03 01:25:23.450821
12248	2	2013-08-02 16:05:27.581851	2013-08-03 01:25:23.455151
12308	14	2013-08-02 16:05:27.727907	2013-08-03 01:31:51.626656
12276	21	2013-08-02 16:05:27.649135	2013-08-03 18:27:14.02325
12316	21	2013-08-02 16:05:27.746953	2013-08-03 18:27:14.026507
12368	4	2013-08-02 16:05:27.874334	2013-08-03 01:31:51.790532
12297	4	2013-08-02 16:05:27.700999	2013-08-03 01:55:05.940993
12337	2	2013-08-02 16:05:27.796764	2013-08-03 01:55:05.948776
12272	4	2013-08-02 16:05:27.639617	2013-08-03 02:05:14.322714
12312	2	2013-08-02 16:05:27.737472	2013-08-03 02:05:14.325506
12372	2	2013-08-02 16:05:27.88472	2013-08-03 02:06:04.999324
12352	2	2013-08-02 16:05:27.832302	2013-08-03 02:06:05.010079
12363	2	2013-08-02 16:05:27.858519	2013-08-03 02:16:24.046045
12343	2	2013-08-02 16:05:27.810969	2013-08-03 02:16:24.050582
12323	2	2013-08-02 16:05:27.763521	2013-08-03 02:16:24.054902
12303	2	2013-08-02 16:05:27.71597	2013-08-03 02:16:24.058934
12283	2	2013-08-02 16:05:27.665844	2013-08-03 02:16:24.062914
12335	21	2013-08-02 16:05:27.791987	2013-08-03 02:26:56.137968
12315	21	2013-08-02 16:05:27.744597	2013-08-03 02:26:56.142141
12295	21	2013-08-02 16:05:27.696145	2013-08-03 02:26:56.146042
12275	21	2013-08-02 16:05:27.646712	2013-08-03 02:26:56.150057
12255	21	2013-08-02 16:05:27.598948	2013-08-03 02:26:56.15367
12288	21	2013-08-02 16:05:27.678678	2013-08-03 02:32:08.897741
12395	21	2013-08-02 16:05:27.943453	2013-08-03 02:32:08.901291
12375	21	2013-08-02 16:05:27.892473	2013-08-03 02:32:08.904798
12404	4	2013-08-02 16:05:27.967769	2013-08-02 16:05:27.967769
11416	2	2013-08-02 16:05:25.566571	2013-08-03 17:52:04.765167
8140	14	2013-08-02 16:05:19.125434	2013-08-03 21:06:14.932151
12406	4	2013-08-02 16:05:27.973235	2013-08-03 19:25:19.251858
12468	2	2013-08-02 16:05:28.090992	2013-08-04 20:52:18.304678
30380	2	2013-08-02 16:06:06.201712	2013-08-03 22:54:49.929693
12553	2	2013-08-02 16:05:28.248603	2013-08-03 19:25:19.254767
12506	21	2013-08-02 16:05:28.155229	2013-08-03 21:29:20.489081
12487	2	2013-08-02 16:05:28.120555	2013-08-04 20:52:18.310195
12414	14	2013-08-02 16:05:27.994556	2013-08-02 16:05:27.994556
12535	4	2013-08-02 16:05:28.212983	2013-08-03 02:41:44.870567
2587	2	2013-08-02 16:05:08.9326	2013-08-04 17:11:55.516074
12533	2	2013-08-02 16:05:28.209005	2013-08-03 02:58:08.622451
12513	2	2013-08-02 16:05:28.1688	2013-08-03 02:58:08.634642
12426	2	2013-08-02 16:05:28.025359	2013-08-04 00:19:02.434647
11396	2	2013-08-02 16:05:25.513909	2013-08-03 17:52:04.776663
21719	21	2013-08-02 16:05:46.865616	2013-08-04 17:11:56.092993
12422	2	2013-08-02 16:05:28.015682	2013-08-02 16:05:28.015682
12493	2	2013-08-02 16:05:28.131106	2013-08-03 02:58:08.645999
12424	4	2013-08-02 16:05:28.020531	2013-08-02 16:05:28.020531
11376	2	2013-08-02 16:05:25.461062	2013-08-03 17:52:04.787168
12526	21	2013-08-02 16:05:28.194847	2013-08-03 21:29:20.490551
12473	2	2013-08-02 16:05:28.097655	2013-08-03 02:58:08.657046
12486	2	2013-08-02 16:05:28.118625	2013-08-04 20:52:18.3165
21579	4	2013-08-02 16:05:46.383575	2013-08-04 17:11:56.195406
12453	2	2013-08-02 16:05:28.073921	2013-08-03 02:58:08.668695
12433	2	2013-08-02 16:05:28.042089	2013-08-03 02:58:08.681259
11356	2	2013-08-02 16:05:25.409663	2013-08-03 17:52:04.797788
12434	14	2013-08-02 16:05:28.044433	2013-08-02 16:05:28.044433
12413	2	2013-08-02 16:05:27.991851	2013-08-03 02:58:08.692998
30330	14	2013-08-02 16:06:06.07114	2013-08-03 22:54:50.010831
12467	2	2013-08-02 16:05:28.089719	2013-08-04 20:52:18.324448
11410	2	2013-08-02 16:05:25.551096	2013-08-03 17:52:04.808347
12497	14	2013-08-02 16:05:28.138441	2013-08-04 00:33:56.884212
4669	2	2013-08-02 16:05:12.84624	2013-08-03 17:52:04.818141
12559	21	2013-08-02 16:05:28.260461	2013-08-03 23:04:24.793739
12442	2	2013-08-02 16:05:28.059103	2013-08-02 16:05:28.059103
12483	4	2013-08-02 16:05:28.113557	2013-08-03 03:06:21.891842
12444	4	2013-08-02 16:05:28.060967	2013-08-02 16:05:28.060967
7539	2	2013-08-02 16:05:17.962977	2013-08-03 17:52:04.837578
12452	14	2013-08-02 16:05:28.072924	2013-08-03 23:11:28.633476
12446	2	2013-08-02 16:05:28.06395	2013-08-04 20:52:18.337133
32558	4	2013-08-02 16:06:11.674571	2013-08-04 17:11:56.206426
4919	2	2013-08-02 16:05:13.111866	2013-08-03 17:52:04.850633
12540	4	2013-08-02 16:05:28.222824	2013-08-03 17:07:50.719357
12454	14	2013-08-02 16:05:28.074925	2013-08-02 16:05:28.074925
6939	2	2013-08-02 16:05:17.295564	2013-08-03 17:52:04.896614
3335	4	2013-08-02 16:05:10.149023	2013-08-04 17:11:56.217383
2559	4	2013-08-02 16:05:08.90584	2013-08-04 17:11:56.227506
12551	21	2013-08-02 16:05:28.244658	2013-08-03 17:10:32.829489
12480	2	2013-08-02 16:05:28.108601	2013-08-04 20:52:18.351786
5759	2	2013-08-02 16:05:14.568259	2013-08-03 17:52:04.901276
12466	21	2013-08-02 16:05:28.088428	2013-08-03 21:39:32.514569
12462	2	2013-08-02 16:05:28.083325	2013-08-02 16:05:28.083325
12425	4	2013-08-02 16:05:28.022971	2013-08-03 17:10:32.837204
12464	4	2013-08-02 16:05:28.085691	2013-08-02 16:05:28.085691
12443	21	2013-08-02 16:05:28.060023	2013-08-03 18:02:16.757618
12447	2	2013-08-02 16:05:28.066365	2013-08-04 20:52:18.366671
12405	4	2013-08-02 16:05:27.970536	2013-08-03 17:10:32.841157
12427	2	2013-08-02 16:05:28.027745	2013-08-04 20:52:18.381509
12440	14	2013-08-02 16:05:28.057433	2013-08-04 18:17:50.493361
12460	4	2013-08-02 16:05:28.081103	2013-08-03 17:10:33.188325
12410	21	2013-08-02 16:05:27.983836	2013-08-03 18:02:16.760386
12500	2	2013-08-02 16:05:28.14419	2013-08-03 19:27:37.91396
12474	14	2013-08-02 16:05:28.099177	2013-08-02 16:05:28.099177
12420	21	2013-08-02 16:05:28.010563	2013-08-03 18:02:16.763312
12407	2	2013-08-02 16:05:27.975879	2013-08-04 20:52:18.396284
12485	14	2013-08-02 16:05:28.116917	2013-08-03 17:11:37.611138
12457	21	2013-08-02 16:05:28.077906	2013-08-04 00:40:47.693931
12428	2	2013-08-02 16:05:28.030136	2013-08-04 20:52:20.376055
12516	2	2013-08-02 16:05:28.174677	2013-08-04 20:52:20.387772
12482	2	2013-08-02 16:05:28.111927	2013-08-02 16:05:28.111927
12520	2	2013-08-02 16:05:28.18292	2013-08-04 20:52:20.399423
12484	4	2013-08-02 16:05:28.115203	2013-08-02 16:05:28.115203
12547	2	2013-08-02 16:05:28.236646	2013-08-04 20:52:20.409275
12445	21	2013-08-02 16:05:28.061836	2013-08-03 23:14:35.034981
12437	21	2013-08-02 16:05:28.051659	2013-08-04 00:47:49.722787
12647	2	2013-08-02 16:05:28.414081	2013-08-04 20:57:17.039267
12423	4	2013-08-02 16:05:28.018119	2013-08-04 00:52:59.147611
43303	14	2013-08-02 16:06:35.276854	2013-08-03 19:42:23.65897
43283	14	2013-08-02 16:06:35.256745	2013-08-03 19:42:23.662692
12525	4	2013-08-02 16:05:28.192883	2013-08-03 17:20:36.501793
12494	14	2013-08-02 16:05:28.132971	2013-08-02 16:05:28.132971
12505	4	2013-08-02 16:05:28.153399	2013-08-03 17:20:36.586596
43263	14	2013-08-02 16:06:35.239638	2013-08-03 19:42:23.666602
12465	4	2013-08-02 16:05:28.087052	2013-08-03 17:20:36.904889
12472	2	2013-08-02 16:05:28.096264	2013-08-04 01:05:55.892118
43243	14	2013-08-02 16:06:35.220094	2013-08-03 19:42:23.672129
43223	14	2013-08-02 16:06:35.20009	2013-08-03 19:42:23.678706
12502	2	2013-08-02 16:05:28.147886	2013-08-02 16:05:28.147886
12629	2	2013-08-02 16:05:28.38989	2013-08-04 20:57:17.053971
12504	4	2013-08-02 16:05:28.151538	2013-08-02 16:05:28.151538
7604	2	2013-08-02 16:05:18.032305	2013-08-04 01:53:07.886813
22880	2	2013-08-02 16:05:49.772476	2013-08-04 20:57:17.066392
43203	14	2013-08-02 16:06:35.178868	2013-08-03 19:42:23.68319
45388	2	2013-08-02 16:06:40.491493	2013-08-04 20:57:17.308259
43183	14	2013-08-02 16:06:35.162278	2013-08-03 19:42:23.688663
43163	14	2013-08-02 16:06:35.137306	2013-08-03 19:42:23.699351
12501	4	2013-08-02 16:05:28.14607	2013-08-03 18:07:17.662492
12481	4	2013-08-02 16:05:28.110272	2013-08-03 18:07:17.673077
12514	14	2013-08-02 16:05:28.170747	2013-08-02 16:05:28.170747
45386	2	2013-08-02 16:06:40.486037	2013-08-04 20:57:17.32433
12477	4	2013-08-02 16:05:28.103556	2013-08-03 18:07:19.034801
22909	2	2013-08-02 16:05:49.844811	2013-08-04 20:57:17.37616
45501	21	2013-08-02 16:06:40.670031	2013-08-04 20:57:18.065642
12522	2	2013-08-02 16:05:28.186906	2013-08-02 16:05:28.186906
12416	2	2013-08-02 16:05:27.999894	2013-08-03 18:09:35.811832
12524	4	2013-08-02 16:05:28.190897	2013-08-02 16:05:28.190897
30201	4	2013-08-02 16:06:05.801288	2013-08-04 01:53:20.786921
18030	2	2013-08-02 16:05:39.062171	2013-08-04 01:53:20.789909
12534	14	2013-08-02 16:05:28.210978	2013-08-02 16:05:28.210978
12521	14	2013-08-02 16:05:28.184916	2013-08-03 18:15:01.006319
12603	2	2013-08-02 16:05:28.348708	2013-08-04 20:57:18.964224
12542	2	2013-08-02 16:05:28.226777	2013-08-02 16:05:28.226777
12652	2	2013-08-02 16:05:28.422063	2013-08-04 20:57:18.979602
12544	4	2013-08-02 16:05:28.230718	2013-08-02 16:05:28.230718
12496	4	2013-08-02 16:05:28.136633	2013-08-03 18:15:01.557769
12554	14	2013-08-02 16:05:28.25056	2013-08-02 16:05:28.25056
12536	2	2013-08-02 16:05:28.214945	2013-08-03 18:15:01.562533
12556	14	2013-08-02 16:05:28.254473	2013-08-03 18:17:16.505553
12531	14	2013-08-02 16:05:28.205031	2013-08-03 01:19:09.311679
12488	4	2013-08-02 16:05:28.122278	2013-08-03 01:31:51.661092
12552	21	2013-08-02 16:05:28.246612	2013-08-03 02:06:04.913429
12532	21	2013-08-02 16:05:28.207001	2013-08-03 02:06:04.917046
12512	21	2013-08-02 16:05:28.166819	2013-08-03 02:06:04.920499
12492	21	2013-08-02 16:05:28.129262	2013-08-03 02:06:04.924017
12432	14	2013-08-02 16:05:28.039724	2013-08-03 02:06:04.955116
12412	14	2013-08-02 16:05:27.989204	2013-08-03 02:06:04.965883
12498	21	2013-08-02 16:05:28.140251	2013-08-03 02:16:25.683986
12478	21	2013-08-02 16:05:28.105266	2013-08-03 02:16:25.68555
12458	21	2013-08-02 16:05:28.078982	2013-08-03 02:16:25.687225
12438	21	2013-08-02 16:05:28.054085	2013-08-03 02:16:25.688327
12418	21	2013-08-02 16:05:28.00523	2013-08-03 02:16:25.689888
12541	14	2013-08-02 16:05:28.224808	2013-08-03 18:17:18.702422
12463	14	2013-08-02 16:05:28.084412	2013-08-03 02:20:55.169385
12560	21	2013-08-02 16:05:28.262464	2013-08-03 18:27:14.019298
12490	21	2013-08-02 16:05:28.125727	2013-08-03 18:27:14.021026
12515	21	2013-08-02 16:05:28.172714	2013-08-03 02:32:08.876306
12495	21	2013-08-02 16:05:28.13479	2013-08-03 02:32:08.879888
12475	21	2013-08-02 16:05:28.100611	2013-08-03 02:32:08.884213
12455	21	2013-08-02 16:05:28.075923	2013-08-03 02:32:08.88838
12435	21	2013-08-02 16:05:28.046853	2013-08-03 02:32:08.891387
12415	21	2013-08-02 16:05:27.99726	2013-08-03 02:32:08.894172
12605	21	2013-08-02 16:05:28.352655	2013-08-03 19:27:37.781802
12562	2	2013-08-02 16:05:28.26667	2013-08-02 16:05:28.26667
12585	2	2013-08-02 16:05:28.312602	2013-08-04 20:52:20.270676
12564	4	2013-08-02 16:05:28.270689	2013-08-02 16:05:28.270689
12626	21	2013-08-02 16:05:28.386882	2013-08-03 19:27:37.783506
21700	21	2013-08-02 16:05:46.819374	2013-08-04 17:11:56.272076
12580	2	2013-08-02 16:05:28.302628	2013-08-03 17:07:50.725611
12627	2	2013-08-02 16:05:28.387876	2013-08-04 20:52:20.28627
12606	21	2013-08-02 16:05:28.35463	2013-08-03 19:27:37.784983
40812	2	2013-08-02 16:06:29.540371	2013-08-03 22:54:50.043224
12607	2	2013-08-02 16:05:28.35663	2013-08-04 20:52:20.301328
12574	14	2013-08-02 16:05:28.290622	2013-08-02 16:05:28.290622
12700	4	2013-08-02 16:05:28.514811	2013-08-03 17:10:35.532261
21819	4	2013-08-02 16:05:47.110253	2013-08-04 17:11:56.292243
21733	4	2013-08-02 16:05:46.899116	2013-08-04 17:11:56.303919
12675	4	2013-08-02 16:05:28.463285	2013-08-03 02:36:28.181715
21799	4	2013-08-02 16:05:47.061898	2013-08-04 17:11:56.315838
3919	21	2013-08-02 16:05:11.554154	2013-08-03 21:06:14.966596
12582	2	2013-08-02 16:05:28.306624	2013-08-02 16:05:28.306624
12680	4	2013-08-02 16:05:28.473249	2013-08-03 17:10:35.53662
12584	4	2013-08-02 16:05:28.310614	2013-08-02 16:05:28.310614
4326	4	2013-08-02 16:05:12.419802	2013-08-03 17:52:04.974584
30177	21	2013-08-02 16:06:05.75704	2013-08-03 21:06:14.967534
12715	2	2013-08-02 16:05:28.547379	2013-08-03 02:36:28.188373
7246	2	2013-08-02 16:05:17.663243	2013-08-04 20:52:20.316087
12686	2	2013-08-02 16:05:28.485422	2013-08-04 20:52:20.330863
12695	2	2013-08-02 16:05:28.504036	2013-08-03 02:37:17.741546
6044	4	2013-08-02 16:05:15.257052	2013-08-04 17:11:56.326917
12660	4	2013-08-02 16:05:28.435332	2013-08-03 17:10:35.540863
12594	14	2013-08-02 16:05:28.33043	2013-08-02 16:05:28.33043
12640	4	2013-08-02 16:05:28.403757	2013-08-03 17:10:35.550577
12587	2	2013-08-02 16:05:28.316555	2013-08-04 20:52:20.346851
12620	4	2013-08-02 16:05:28.38074	2013-08-03 17:10:35.561131
12593	2	2013-08-02 16:05:28.328432	2013-08-03 03:06:21.899142
12676	4	2013-08-02 16:05:28.465296	2013-08-04 00:33:56.90133
1628	4	2013-08-02 16:05:07.028604	2013-08-03 17:52:04.979248
12616	2	2013-08-02 16:05:28.372655	2013-08-04 20:52:20.354542
12602	2	2013-08-02 16:05:28.346731	2013-08-02 16:05:28.346731
12604	4	2013-08-02 16:05:28.350667	2013-08-02 16:05:28.350667
12615	2	2013-08-02 16:05:28.370482	2013-08-04 20:52:20.361379
12573	4	2013-08-02 16:05:28.288671	2013-08-03 03:09:45.528175
12567	2	2013-08-02 16:05:28.276815	2013-08-04 20:52:20.36585
34281	14	2013-08-02 16:06:15.314018	2013-08-03 22:54:50.104303
12713	2	2013-08-02 16:05:28.543037	2013-08-03 03:09:48.059914
12693	2	2013-08-02 16:05:28.499928	2013-08-03 03:09:48.070787
12648	21	2013-08-02 16:05:28.415539	2013-08-04 20:57:16.830989
12614	14	2013-08-02 16:05:28.369442	2013-08-02 16:05:28.369442
12706	4	2013-08-02 16:05:28.52784	2013-08-03 19:29:58.686494
12673	2	2013-08-02 16:05:28.45928	2013-08-03 03:09:48.0815
12653	2	2013-08-02 16:05:28.423657	2013-08-03 03:09:48.092337
36703	2	2013-08-02 16:06:21.292842	2013-08-04 00:33:56.908048
19518	2	2013-08-02 16:05:42.207712	2013-08-03 17:52:05.293816
12622	2	2013-08-02 16:05:28.38278	2013-08-02 16:05:28.38278
12633	2	2013-08-02 16:05:28.394364	2013-08-03 03:09:48.103146
12624	4	2013-08-02 16:05:28.384761	2013-08-02 16:05:28.384761
9551	21	2013-08-02 16:05:22.607019	2013-08-03 17:52:05.364624
40792	2	2013-08-02 16:06:29.488306	2013-08-03 22:59:25.420847
12623	2	2013-08-02 16:05:28.383776	2013-08-03 19:29:58.688836
12689	14	2013-08-02 16:05:28.491739	2013-08-04 18:16:05.386573
12625	4	2013-08-02 16:05:28.385868	2013-08-03 17:11:37.64336
3350	14	2013-08-02 16:05:10.172915	2013-08-03 17:52:05.384979
12634	14	2013-08-02 16:05:28.395633	2013-08-02 16:05:28.395633
12665	2	2013-08-02 16:05:28.443967	2013-08-03 17:11:37.650566
12565	21	2013-08-02 16:05:28.272685	2013-08-04 18:16:17.365684
12672	4	2013-08-02 16:05:28.457308	2013-08-03 19:32:37.443831
9611	14	2013-08-02 16:05:22.754293	2013-08-03 17:52:05.396126
12701	14	2013-08-02 16:05:28.517045	2013-08-04 18:17:50.875506
12642	2	2013-08-02 16:05:28.406607	2013-08-02 16:05:28.406607
12643	4	2013-08-02 16:05:28.408102	2013-08-03 17:20:34.94233
12644	4	2013-08-02 16:05:28.40957	2013-08-02 16:05:28.40957
8031	14	2013-08-02 16:05:18.911041	2013-08-03 17:52:05.406807
30398	14	2013-08-02 16:06:06.422639	2013-08-03 23:06:13.803383
12692	4	2013-08-02 16:05:28.497917	2013-08-03 17:20:34.954063
12705	4	2013-08-02 16:05:28.525705	2013-08-03 17:20:34.965187
12655	4	2013-08-02 16:05:28.426988	2013-08-03 17:20:35.689569
12669	14	2013-08-02 16:05:28.451386	2013-08-04 18:17:51.653718
12654	14	2013-08-02 16:05:28.425467	2013-08-02 16:05:28.425467
34301	21	2013-08-02 16:06:15.362024	2013-08-03 23:11:28.586051
12649	2	2013-08-02 16:05:28.417117	2013-08-04 18:22:29.173509
12570	2	2013-08-02 16:05:28.282742	2013-08-03 18:03:06.771511
12696	2	2013-08-02 16:05:28.506129	2013-08-04 00:40:47.451798
12641	21	2013-08-02 16:05:28.405168	2013-08-03 18:07:17.46172
12662	2	2013-08-02 16:05:28.438819	2013-08-02 16:05:28.438819
12685	21	2013-08-02 16:05:28.483399	2013-08-03 18:07:17.46548
12664	4	2013-08-02 16:05:28.442254	2013-08-02 16:05:28.442254
1261	14	2013-08-02 16:05:06.166464	2013-08-03 18:09:14.412981
13080	14	2013-08-02 16:05:29.143884	2013-08-03 19:42:23.820996
12636	21	2013-08-02 16:05:28.398198	2013-08-04 00:40:47.691934
12576	21	2013-08-02 16:05:28.294651	2013-08-04 00:40:47.69301
12674	14	2013-08-02 16:05:28.461275	2013-08-02 16:05:28.461275
12659	2	2013-08-02 16:05:28.433607	2013-08-04 01:05:55.884629
12646	2	2013-08-02 16:05:28.412626	2013-08-04 01:05:55.888599
12682	2	2013-08-02 16:05:28.477335	2013-08-02 16:05:28.477335
12656	2	2013-08-02 16:05:28.42848	2013-08-04 01:05:56.331716
12684	4	2013-08-02 16:05:28.481354	2013-08-02 16:05:28.481354
4019	14	2013-08-02 16:05:11.855561	2013-08-03 19:42:24.202191
17930	21	2013-08-02 16:05:38.970924	2013-08-04 01:55:49.907625
3958	14	2013-08-02 16:05:11.648896	2013-08-03 18:09:35.622668
12694	14	2013-08-02 16:05:28.502032	2013-08-02 16:05:28.502032
18668	14	2013-08-02 16:05:40.170336	2013-08-04 01:55:50.028532
12681	14	2013-08-02 16:05:28.475264	2013-08-03 18:14:40.628991
9059	2	2013-08-02 16:05:21.377879	2013-08-03 19:42:24.523602
12702	2	2013-08-02 16:05:28.5192	2013-08-02 16:05:28.5192
12628	14	2013-08-02 16:05:28.388896	2013-08-03 18:15:00.83872
12704	4	2013-08-02 16:05:28.523551	2013-08-02 16:05:28.523551
12661	14	2013-08-02 16:05:28.437081	2013-08-03 18:32:14.934556
6055	2	2013-08-02 16:05:15.27012	2013-08-04 01:55:50.046447
2880	14	2013-08-02 16:05:09.317866	2013-08-03 19:42:38.194119
15888	2	2013-08-02 16:05:34.299029	2013-08-04 01:55:50.879092
12714	14	2013-08-02 16:05:28.545235	2013-08-02 16:05:28.545235
12708	21	2013-08-02 16:05:28.532117	2013-08-03 01:32:13.865632
12688	21	2013-08-02 16:05:28.489505	2013-08-03 01:32:13.869364
22997	14	2013-08-02 16:05:50.069427	2013-08-03 19:47:29.101215
12588	4	2013-08-02 16:05:28.318517	2013-08-03 01:32:13.926608
12717	21	2013-08-02 16:05:28.551767	2013-08-03 01:56:02.259694
12697	14	2013-08-02 16:05:28.508096	2013-08-03 01:56:02.266636
12677	14	2013-08-02 16:05:28.467286	2013-08-03 01:56:02.276206
12657	14	2013-08-02 16:05:28.430112	2013-08-03 01:56:02.286532
12637	4	2013-08-02 16:05:28.399626	2013-08-03 01:56:02.298237
12617	4	2013-08-02 16:05:28.374675	2013-08-03 01:56:02.309816
12597	4	2013-08-02 16:05:28.336432	2013-08-03 01:56:02.32062
12572	21	2013-08-02 16:05:28.286698	2013-08-03 02:06:04.909391
12712	4	2013-08-02 16:05:28.540941	2013-08-03 02:10:01.402036
12663	4	2013-08-02 16:05:28.440519	2013-08-03 02:20:55.219399
12683	2	2013-08-02 16:05:28.479348	2013-08-03 02:20:55.225232
12583	2	2013-08-02 16:05:28.308637	2013-08-03 02:21:47.998954
27675	21	2013-08-02 16:06:00.361158	2013-08-03 21:06:14.968425
34278	2	2013-08-02 16:06:15.306882	2013-08-04 20:57:18.875081
12767	2	2013-08-02 16:05:28.67297	2013-08-04 20:57:18.882325
5979	2	2013-08-02 16:05:15.11716	2013-08-04 20:57:18.895481
12722	2	2013-08-02 16:05:28.563096	2013-08-02 16:05:28.563096
4477	2	2013-08-02 16:05:12.648901	2013-08-04 20:57:18.911216
12724	4	2013-08-02 16:05:28.567785	2013-08-02 16:05:28.567785
9963	14	2013-08-02 16:05:23.239168	2013-08-04 00:37:34.325115
3959	21	2013-08-02 16:05:11.651295	2013-08-03 21:34:20.776388
12855	14	2013-08-02 16:05:28.912685	2013-08-03 02:37:19.188722
12747	2	2013-08-02 16:05:28.624036	2013-08-04 20:57:18.925309
17955	2	2013-08-02 16:05:38.990437	2013-08-04 20:57:18.935881
12828	2	2013-08-02 16:05:28.882775	2013-08-03 17:05:35.523767
12873	2	2013-08-02 16:05:28.930468	2013-08-03 17:05:35.533204
12800	4	2013-08-02 16:05:28.75349	2013-08-03 17:10:35.48207
12734	14	2013-08-02 16:05:28.592444	2013-08-02 16:05:28.592444
12780	4	2013-08-02 16:05:28.705652	2013-08-03 17:10:35.492666
12837	4	2013-08-02 16:05:28.891325	2013-08-04 18:17:49.333424
12795	4	2013-08-02 16:05:28.743105	2013-08-03 02:37:19.203896
12760	4	2013-08-02 16:05:28.655543	2013-08-03 17:10:35.503043
12727	2	2013-08-02 16:05:28.575011	2013-08-04 20:57:18.94817
6859	2	2013-08-02 16:05:17.13505	2013-08-03 17:52:05.555362
12770	14	2013-08-02 16:05:28.680698	2013-08-04 18:17:50.49028
12742	2	2013-08-02 16:05:28.611903	2013-08-02 16:05:28.611903
12786	2	2013-08-02 16:05:28.7203	2013-08-03 19:32:37.793672
12744	4	2013-08-02 16:05:28.616758	2013-08-02 16:05:28.616758
11808	21	2013-08-02 16:05:26.497998	2013-08-03 21:34:20.780379
12766	2	2013-08-02 16:05:28.670544	2013-08-03 19:32:37.805111
45570	2	2013-08-02 16:06:40.751124	2013-08-04 20:57:18.99477
12746	2	2013-08-02 16:05:28.621646	2013-08-03 19:32:37.8161
12740	4	2013-08-02 16:05:28.607032	2013-08-03 17:10:35.511607
12872	2	2013-08-02 16:05:28.92944	2013-08-03 02:41:44.876197
12720	4	2013-08-02 16:05:28.558438	2013-08-03 17:10:35.522391
12754	14	2013-08-02 16:05:28.64109	2013-08-02 16:05:28.64109
12869	2	2013-08-02 16:05:28.926573	2013-08-04 18:22:29.169645
12726	14	2013-08-02 16:05:28.572659	2013-08-03 19:34:28.837435
12835	2	2013-08-02 16:05:28.889605	2013-08-03 02:42:39.569813
12797	21	2013-08-02 16:05:28.747783	2013-08-04 18:24:27.855871
5646	2	2013-08-02 16:05:14.295699	2013-08-03 19:42:24.534151
12762	2	2013-08-02 16:05:28.660807	2013-08-02 16:05:28.660807
15188	21	2013-08-02 16:05:33.499419	2013-08-03 19:42:24.565855
12764	4	2013-08-02 16:05:28.665659	2013-08-02 16:05:28.665659
12608	2	2013-08-02 16:05:28.358599	2013-08-04 20:57:19.010634
4566	21	2013-08-02 16:05:12.739073	2013-08-03 21:34:20.784092
12853	2	2013-08-02 16:05:28.910811	2013-08-03 03:09:47.983267
12833	2	2013-08-02 16:05:28.887905	2013-08-03 03:09:47.994715
12813	2	2013-08-02 16:05:28.868736	2013-08-03 03:09:48.006294
12774	14	2013-08-02 16:05:28.690528	2013-08-02 16:05:28.690528
12793	2	2013-08-02 16:05:28.737314	2013-08-03 03:09:48.017246
12773	2	2013-08-02 16:05:28.688088	2013-08-03 03:09:48.028187
16260	4	2013-08-02 16:05:34.976756	2013-08-03 17:52:05.744819
12827	14	2013-08-02 16:05:28.88187	2013-08-04 21:00:13.318884
12782	2	2013-08-02 16:05:28.710548	2013-08-02 16:05:28.710548
12753	2	2013-08-02 16:05:28.638599	2013-08-03 03:09:48.03886
12784	4	2013-08-02 16:05:28.715428	2013-08-02 16:05:28.715428
16240	4	2013-08-02 16:05:34.923648	2013-08-03 17:52:05.755735
12733	2	2013-08-02 16:05:28.590005	2013-08-03 03:09:48.049156
12865	4	2013-08-02 16:05:28.922514	2013-08-03 17:20:34.851726
12845	4	2013-08-02 16:05:28.90175	2013-08-03 17:20:34.863091
12825	4	2013-08-02 16:05:28.880202	2013-08-03 17:20:34.874553
12794	14	2013-08-02 16:05:28.74068	2013-08-02 16:05:28.74068
12805	4	2013-08-02 16:05:28.85468	2013-08-03 17:20:34.886331
12785	4	2013-08-02 16:05:28.717899	2013-08-03 17:20:34.897452
12765	4	2013-08-02 16:05:28.668043	2013-08-03 17:20:34.90852
16220	4	2013-08-02 16:05:34.875023	2013-08-03 17:52:05.766574
12802	2	2013-08-02 16:05:28.755066	2013-08-02 16:05:28.755066
12745	4	2013-08-02 16:05:28.619204	2013-08-03 17:20:34.919423
12804	4	2013-08-02 16:05:28.756466	2013-08-02 16:05:28.756466
8139	2	2013-08-02 16:05:19.122788	2013-08-03 17:52:05.799305
12725	4	2013-08-02 16:05:28.570249	2013-08-03 17:20:34.930588
12840	4	2013-08-02 16:05:28.894977	2013-08-03 17:20:36.498601
12820	4	2013-08-02 16:05:28.87568	2013-08-03 17:20:36.583027
8059	2	2013-08-02 16:05:18.9406	2013-08-03 17:52:05.80894
12814	14	2013-08-02 16:05:28.869942	2013-08-02 16:05:28.869942
10861	4	2013-08-02 16:05:24.278757	2013-08-03 17:54:09.476315
12822	2	2013-08-02 16:05:28.877648	2013-08-02 16:05:28.877648
12824	4	2013-08-02 16:05:28.87938	2013-08-02 16:05:28.87938
34401	4	2013-08-02 16:06:15.601281	2013-08-03 22:54:50.141318
12736	21	2013-08-02 16:05:28.597341	2013-08-04 00:37:45.271635
34421	2	2013-08-02 16:06:15.648739	2013-08-03 22:59:25.410693
16280	14	2013-08-02 16:05:35.02557	2013-08-03 17:55:22.021234
23137	21	2013-08-02 16:05:50.521198	2013-08-04 00:37:45.272835
34361	14	2013-08-02 16:06:15.505197	2013-08-03 23:00:48.756045
12834	14	2013-08-02 16:05:28.888761	2013-08-02 16:05:28.888761
12721	4	2013-08-02 16:05:28.560717	2013-08-03 18:09:14.440929
12815	2	2013-08-02 16:05:28.871375	2013-08-03 18:09:14.443071
12842	2	2013-08-02 16:05:28.89769	2013-08-02 16:05:28.89769
42963	21	2013-08-02 16:06:34.894853	2013-08-03 19:42:24.68698
12844	4	2013-08-02 16:05:28.90059	2013-08-02 16:05:28.90059
2765	21	2013-08-02 16:05:09.14434	2013-08-03 19:42:24.689253
12776	21	2013-08-02 16:05:28.695386	2013-08-04 00:47:38.672996
14071	14	2013-08-02 16:05:30.862738	2013-08-04 00:52:48.556049
34260	21	2013-08-02 16:06:15.263667	2013-08-03 23:14:35.030996
12859	21	2013-08-02 16:05:28.916435	2013-08-03 23:14:35.447709
12854	14	2013-08-02 16:05:28.911676	2013-08-02 16:05:28.911676
12750	21	2013-08-02 16:05:28.631296	2013-08-03 18:12:26.211271
12862	2	2013-08-02 16:05:28.919139	2013-08-02 16:05:28.919139
1862	21	2013-08-02 16:05:07.628402	2013-08-04 00:59:28.728742
12864	4	2013-08-02 16:05:28.920941	2013-08-02 16:05:28.920941
12817	21	2013-08-02 16:05:28.87321	2013-08-03 23:34:28.107839
1728	21	2013-08-02 16:05:07.278244	2013-08-04 01:00:52.971154
8879	2	2013-08-02 16:05:20.956317	2013-08-04 01:00:53.769421
22817	2	2013-08-02 16:05:49.605616	2013-08-04 01:10:51.238989
12874	14	2013-08-02 16:05:28.931336	2013-08-02 16:05:28.931336
12871	14	2013-08-02 16:05:28.928667	2013-08-03 01:19:32.155653
12851	14	2013-08-02 16:05:28.908668	2013-08-03 01:19:32.167312
12768	21	2013-08-02 16:05:28.675374	2013-08-03 01:32:13.854241
12748	21	2013-08-02 16:05:28.626467	2013-08-03 01:32:13.858444
12728	21	2013-08-02 16:05:28.577467	2013-08-03 01:32:13.862178
12808	14	2013-08-02 16:05:28.863597	2013-08-03 01:37:51.353159
12756	21	2013-08-02 16:05:28.645878	2013-08-04 01:45:51.138734
49360	2	2013-08-02 16:06:48.834663	2013-08-04 01:55:50.885049
12971	2	2013-08-02 16:05:29.031546	2013-08-04 01:55:50.895542
7584	2	2013-08-02 16:05:18.006448	2013-08-04 01:55:50.899268
30161	2	2013-08-02 16:06:05.72567	2013-08-04 01:55:51.043296
7624	2	2013-08-02 16:05:18.051627	2013-08-04 01:55:51.258567
25950	2	2013-08-02 16:05:56.170519	2013-08-04 01:55:51.588835
25553	2	2013-08-02 16:05:55.17528	2013-08-04 01:55:51.594151
25533	2	2013-08-02 16:05:55.122726	2013-08-04 01:55:51.598349
12752	2	2013-08-02 16:05:28.636113	2013-08-03 02:10:01.409465
25581	2	2013-08-02 16:05:55.244517	2013-08-04 01:55:51.603489
12792	4	2013-08-02 16:05:28.734933	2013-08-03 02:20:55.628919
25513	2	2013-08-02 16:05:55.069128	2013-08-04 01:55:51.611227
12832	2	2013-08-02 16:05:28.88702	2013-08-03 02:20:55.636762
25493	2	2013-08-02 16:05:55.018756	2013-08-04 01:55:51.622589
12812	2	2013-08-02 16:05:28.867192	2013-08-03 02:21:47.188805
12732	2	2013-08-02 16:05:28.587595	2013-08-03 02:21:47.198911
12863	2	2013-08-02 16:05:28.920064	2013-08-03 02:21:47.209112
12843	2	2013-08-02 16:05:28.899063	2013-08-03 02:21:47.249886
12823	2	2013-08-02 16:05:28.878553	2013-08-03 02:21:47.259868
12803	2	2013-08-02 16:05:28.755764	2013-08-03 02:21:47.268756
25561	2	2013-08-02 16:05:55.19447	2013-08-04 01:55:51.633896
25473	2	2013-08-02 16:05:54.964751	2013-08-04 01:55:51.649912
25453	2	2013-08-02 16:05:54.911412	2013-08-04 01:55:51.661739
25345	2	2013-08-02 16:05:54.670061	2013-08-04 01:55:51.731102
25353	2	2013-08-02 16:05:54.676413	2013-08-04 01:55:51.743596
49461	2	2013-08-02 16:06:49.352862	2013-08-04 01:55:51.756871
13023	2	2013-08-02 16:05:29.080147	2013-08-03 17:05:35.427308
21779	4	2013-08-02 16:05:47.013661	2013-08-04 17:11:56.33849
12983	21	2013-08-02 16:05:29.042547	2013-08-03 02:37:19.138571
13015	21	2013-08-02 16:05:29.072021	2013-08-03 02:37:19.142691
21681	4	2013-08-02 16:05:46.773591	2013-08-04 17:11:56.350863
10881	2	2013-08-02 16:05:24.295736	2013-08-03 17:54:09.4803
13006	21	2013-08-02 16:05:29.063923	2013-08-03 19:32:37.641446
12882	2	2013-08-02 16:05:28.941577	2013-08-02 16:05:28.941577
12995	21	2013-08-02 16:05:29.053092	2013-08-03 02:37:19.146174
12884	4	2013-08-02 16:05:28.943795	2013-08-02 16:05:28.943795
12937	21	2013-08-02 16:05:29.000517	2013-08-03 19:32:37.645001
19743	21	2013-08-02 16:05:42.766231	2013-08-03 21:24:20.482183
12975	21	2013-08-02 16:05:29.035067	2013-08-03 02:37:19.149645
12668	2	2013-08-02 16:05:28.449588	2013-08-04 20:57:19.023904
12923	21	2013-08-02 16:05:28.988499	2013-08-03 19:32:37.648463
12955	21	2013-08-02 16:05:29.017047	2013-08-03 02:37:19.152846
13013	2	2013-08-02 16:05:29.070287	2013-08-03 17:05:35.438284
12894	14	2013-08-02 16:05:28.95748	2013-08-02 16:05:28.95748
12993	2	2013-08-02 16:05:29.051307	2013-08-03 17:05:35.449171
21759	4	2013-08-02 16:05:46.965169	2013-08-04 17:11:56.362485
12935	21	2013-08-02 16:05:28.998823	2013-08-03 02:37:19.156073
12915	21	2013-08-02 16:05:28.9818	2013-08-03 02:37:19.159544
21739	4	2013-08-02 16:05:46.913383	2013-08-04 17:11:56.373785
10856	14	2013-08-02 16:05:24.275309	2013-08-03 17:54:09.696221
12902	2	2013-08-02 16:05:28.966873	2013-08-02 16:05:28.966873
12895	21	2013-08-02 16:05:28.958356	2013-08-03 02:37:19.163014
12904	4	2013-08-02 16:05:28.969559	2013-08-02 16:05:28.969559
1754	2	2013-08-02 16:05:07.341768	2013-08-04 20:57:19.030021
34441	2	2013-08-02 16:06:15.702978	2013-08-03 22:54:50.148551
47983	2	2013-08-02 16:06:45.781796	2013-08-04 20:57:19.035641
12973	2	2013-08-02 16:05:29.033258	2013-08-03 17:05:35.462007
12707	2	2013-08-02 16:05:28.529926	2013-08-04 20:57:19.041116
12914	14	2013-08-02 16:05:28.980972	2013-08-02 16:05:28.980972
12953	2	2013-08-02 16:05:29.015283	2013-08-03 17:05:35.474323
31560	2	2013-08-02 16:06:09.23364	2013-08-04 20:57:19.046341
13100	2	2013-08-02 16:05:29.171821	2013-08-04 20:57:19.052137
48170	4	2013-08-02 16:06:46.247216	2013-08-04 18:17:49.327606
39875	2	2013-08-02 16:06:27.941277	2013-08-04 20:57:19.058649
12687	2	2013-08-02 16:05:28.487489	2013-08-04 20:57:19.064868
42385	2	2013-08-02 16:06:33.700633	2013-08-03 22:55:09.068954
12922	2	2013-08-02 16:05:28.987641	2013-08-02 16:05:28.987641
12908	14	2013-08-02 16:05:28.973736	2013-08-04 18:17:50.486885
12924	4	2013-08-02 16:05:28.989272	2013-08-02 16:05:28.989272
13026	14	2013-08-02 16:05:29.082624	2013-08-03 19:34:28.767725
35097	2	2013-08-02 16:06:17.464279	2013-08-04 18:22:29.162127
12957	21	2013-08-02 16:05:29.018752	2013-08-04 18:24:27.853155
45752	4	2013-08-02 16:06:40.956394	2013-08-04 20:57:19.200528
45740	4	2013-08-02 16:06:40.944924	2013-08-04 20:57:19.212718
45708	4	2013-08-02 16:06:40.912502	2013-08-04 20:57:19.224197
12933	2	2013-08-02 16:05:28.997271	2013-08-03 17:05:35.485017
11855	2	2013-08-02 16:05:26.62007	2013-08-03 17:54:09.735553
12934	14	2013-08-02 16:05:28.998048	2013-08-02 16:05:28.998048
12913	2	2013-08-02 16:05:28.980099	2013-08-03 17:05:35.488818
45688	4	2013-08-02 16:06:40.888832	2013-08-04 20:57:19.23587
12877	14	2013-08-02 16:05:28.935179	2013-08-04 00:37:58.037222
12942	2	2013-08-02 16:05:29.004826	2013-08-02 16:05:29.004826
12944	4	2013-08-02 16:05:29.006585	2013-08-02 16:05:29.006585
2834	21	2013-08-02 16:05:09.21848	2013-08-03 19:42:24.691505
34321	21	2013-08-02 16:06:15.409507	2013-08-03 22:55:23.382481
12893	2	2013-08-02 16:05:28.956433	2013-08-03 17:05:35.492545
30450	2	2013-08-02 16:06:06.501245	2013-08-03 22:59:25.431087
12954	14	2013-08-02 16:05:29.016171	2013-08-02 16:05:29.016171
9666	14	2013-08-02 16:05:22.886148	2013-08-03 17:55:21.793002
12940	14	2013-08-02 16:05:29.003132	2013-08-04 21:00:26.654226
10953	4	2013-08-02 16:05:24.373767	2013-08-03 17:55:21.945796
12962	2	2013-08-02 16:05:29.023291	2013-08-02 16:05:29.023291
10930	21	2013-08-02 16:05:24.350054	2013-08-03 17:57:11.857617
12964	4	2013-08-02 16:05:29.025898	2013-08-02 16:05:29.025898
12890	2	2013-08-02 16:05:28.951648	2013-08-03 18:09:35.376408
35137	2	2013-08-02 16:06:17.564651	2013-08-04 21:01:19.567099
13000	4	2013-08-02 16:05:29.058543	2013-08-03 17:16:47.643614
48075	2	2013-08-02 16:06:46.149982	2013-08-04 21:01:19.57983
12967	2	2013-08-02 16:05:29.028247	2013-08-04 21:01:19.933017
30758	2	2013-08-02 16:06:07.18543	2013-08-03 19:42:25.262964
23872	14	2013-08-02 16:05:52.385849	2013-08-03 19:42:25.361235
12974	14	2013-08-02 16:05:29.034147	2013-08-02 16:05:29.034147
45648	2	2013-08-02 16:06:40.844408	2013-08-04 21:01:20.731213
12945	4	2013-08-02 16:05:29.00751	2013-08-03 17:20:34.805179
12925	4	2013-08-02 16:05:28.990028	2013-08-03 17:20:34.817159
32020	4	2013-08-02 16:06:10.414026	2013-08-03 19:42:38.031343
12982	2	2013-08-02 16:05:29.04171	2013-08-02 16:05:29.04171
12905	4	2013-08-02 16:05:28.971111	2013-08-03 17:20:34.828974
12984	4	2013-08-02 16:05:29.043419	2013-08-02 16:05:29.043419
12977	14	2013-08-02 16:05:29.037064	2013-08-04 00:44:37.128314
12885	4	2013-08-02 16:05:28.945003	2013-08-03 17:20:34.840348
45628	14	2013-08-02 16:06:40.818774	2013-08-08 01:02:57.994887
12968	2	2013-08-02 16:05:29.029048	2013-08-03 17:20:35.148061
13025	2	2013-08-02 16:05:29.081823	2013-08-03 17:20:35.158645
12936	21	2013-08-02 16:05:28.999643	2013-08-04 00:47:28.114883
12994	14	2013-08-02 16:05:29.052204	2013-08-02 16:05:29.052204
13005	2	2013-08-02 16:05:29.062998	2013-08-03 17:20:35.169943
45608	14	2013-08-02 16:06:40.799036	2013-08-08 01:02:58.451546
12985	2	2013-08-02 16:05:29.044284	2013-08-03 17:20:35.180821
12965	2	2013-08-02 16:05:29.026751	2013-08-03 17:20:35.191712
20288	21	2013-08-02 16:05:44.191534	2013-08-08 01:03:05.904957
13001	21	2013-08-02 16:05:29.059478	2013-08-03 23:45:41.287684
13002	2	2013-08-02 16:05:29.060313	2013-08-02 16:05:29.060313
12980	2	2013-08-02 16:05:29.039948	2013-08-03 17:20:35.202469
13004	4	2013-08-02 16:05:29.062137	2013-08-02 16:05:29.062137
12888	4	2013-08-02 16:05:28.949247	2013-08-03 18:12:26.037191
12920	4	2013-08-02 16:05:28.985928	2013-08-03 17:20:35.679501
13030	4	2013-08-02 16:05:29.085916	2013-08-03 18:12:26.048443
12992	2	2013-08-02 16:05:29.050472	2013-08-04 00:52:59.150708
13014	14	2013-08-02 16:05:29.071147	2013-08-02 16:05:29.071147
12970	2	2013-08-02 16:05:29.030701	2013-08-03 18:12:26.089013
12880	2	2013-08-02 16:05:28.939346	2013-08-03 18:12:26.09387
18758	2	2013-08-02 16:05:40.284759	2013-08-03 23:55:31.250343
12918	4	2013-08-02 16:05:28.984281	2013-08-04 00:55:55.149469
13022	2	2013-08-02 16:05:29.07928	2013-08-02 16:05:29.07928
13012	21	2013-08-02 16:05:29.069437	2013-08-04 00:59:28.729888
13024	4	2013-08-02 16:05:29.081003	2013-08-02 16:05:29.081003
12916	2	2013-08-02 16:05:28.982626	2013-08-04 01:05:56.156173
13021	14	2013-08-02 16:05:29.078161	2013-08-03 18:14:40.977032
12952	2	2013-08-02 16:05:29.014392	2013-08-04 01:10:51.229716
5844	2	2013-08-02 16:05:14.772919	2013-08-04 01:55:51.767356
8999	2	2013-08-02 16:05:21.230044	2013-08-04 01:55:52.054962
47375	2	2013-08-02 16:06:44.894542	2013-08-04 01:55:52.060263
12988	4	2013-08-02 16:05:29.046898	2013-08-03 01:37:51.383774
45861	2	2013-08-02 16:06:41.326056	2013-08-04 01:55:52.065698
12897	21	2013-08-02 16:05:28.960259	2013-08-03 02:01:00.517119
12950	2	2013-08-02 16:05:29.012619	2013-08-03 18:17:18.674222
2785	2	2013-08-02 16:05:09.16113	2013-08-04 01:55:52.356457
13010	14	2013-08-02 16:05:29.067682	2013-08-03 18:17:18.696531
12990	21	2013-08-02 16:05:29.048664	2013-08-03 18:32:14.917919
12881	21	2013-08-02 16:05:28.940496	2013-08-03 18:32:14.918975
12883	2	2013-08-02 16:05:28.942637	2013-08-03 02:21:47.177342
13018	4	2013-08-02 16:05:29.074709	2013-08-03 02:21:48.796149
35017	14	2013-08-02 16:06:17.267203	2013-08-04 01:58:32.857628
13003	14	2013-08-02 16:05:29.061246	2013-08-03 02:26:10.197306
12938	14	2013-08-02 16:05:29.001363	2013-08-03 02:26:55.544201
12958	14	2013-08-02 16:05:29.019681	2013-08-03 02:26:55.554714
48150	2	2013-08-02 16:06:46.226807	2013-08-04 02:10:51.769939
35077	2	2013-08-02 16:06:17.415464	2013-08-04 02:10:51.774466
13055	2	2013-08-02 16:05:29.122201	2013-08-03 17:05:35.405421
13034	14	2013-08-02 16:05:29.088955	2013-08-02 16:05:29.088955
13033	2	2013-08-02 16:05:29.088193	2013-08-03 17:05:35.416459
36203	4	2013-08-02 16:06:20.135424	2013-08-04 17:11:56.384827
13035	14	2013-08-02 16:05:29.089732	2013-08-03 02:41:45.02561
21699	2	2013-08-02 16:05:46.816713	2013-08-04 17:11:56.404476
9706	4	2013-08-02 16:05:22.924626	2013-08-03 17:54:09.770071
8109	21	2013-08-02 16:05:19.043377	2013-08-03 21:06:14.969629
13042	2	2013-08-02 16:05:29.100332	2013-08-02 16:05:29.100332
13053	14	2013-08-02 16:05:29.120296	2013-08-03 17:07:53.139866
13044	4	2013-08-02 16:05:29.103966	2013-08-02 16:05:29.103966
12379	21	2013-08-02 16:05:27.902915	2013-08-03 22:59:26.007235
21811	2	2013-08-02 16:05:47.090988	2013-08-04 17:11:56.408407
12359	21	2013-08-02 16:05:27.848972	2013-08-03 22:59:26.011474
9617	2	2013-08-02 16:05:22.771496	2013-08-03 17:54:09.772052
13146	4	2013-08-02 16:05:29.223238	2013-08-03 19:34:28.798769
13054	14	2013-08-02 16:05:29.121252	2013-08-02 16:05:29.121252
13046	14	2013-08-02 16:05:29.107156	2013-08-03 21:37:44.15193
15790	2	2013-08-02 16:05:34.182983	2013-08-04 20:57:20.102051
13103	2	2013-08-02 16:05:29.174153	2013-08-03 19:34:28.806396
13036	14	2013-08-02 16:05:29.090598	2013-08-04 00:47:03.536221
12339	21	2013-08-02 16:05:27.801496	2013-08-03 22:59:26.015081
12319	21	2013-08-02 16:05:27.754024	2013-08-03 22:59:26.018728
13062	2	2013-08-02 16:05:29.128657	2013-08-02 16:05:29.128657
13064	4	2013-08-02 16:05:29.130385	2013-08-02 16:05:29.130385
45888	21	2013-08-02 16:06:41.355356	2013-08-04 20:59:12.628023
13751	2	2013-08-02 16:05:30.112312	2013-08-03 21:39:32.44303
13155	4	2013-08-02 16:05:29.232593	2013-08-03 02:42:40.269488
44673	21	2013-08-02 16:06:39.062907	2013-08-04 20:59:37.131154
12299	21	2013-08-02 16:05:27.705777	2013-08-03 22:59:26.022315
45826	4	2013-08-02 16:06:41.293509	2013-08-04 21:00:00.657363
13074	14	2013-08-02 16:05:29.138717	2013-08-02 16:05:29.138717
24163	4	2013-08-02 16:05:52.653313	2013-08-03 17:55:00.283602
46290	2	2013-08-02 16:06:42.074754	2013-08-04 21:00:00.846012
46225	21	2013-08-02 16:06:41.943671	2013-08-04 21:00:00.95005
45821	21	2013-08-02 16:06:41.28811	2013-08-04 21:00:00.955408
13082	2	2013-08-02 16:05:29.145888	2013-08-02 16:05:29.145888
13084	4	2013-08-02 16:05:29.147737	2013-08-02 16:05:29.147737
13076	14	2013-08-02 16:05:29.140259	2013-08-04 00:47:28.138211
13147	21	2013-08-02 16:05:29.22414	2013-08-04 21:01:19.33127
13092	21	2013-08-02 16:05:29.162678	2013-08-03 19:37:44.069625
13094	14	2013-08-02 16:05:29.16556	2013-08-02 16:05:29.16556
13153	4	2013-08-02 16:05:29.230814	2013-08-03 17:10:33.182661
13132	4	2013-08-02 16:05:29.204996	2013-08-03 02:52:17.060276
13073	4	2013-08-02 16:05:29.13781	2013-08-03 17:10:33.84752
9176	2	2013-08-02 16:05:21.703464	2013-08-03 19:42:38.107193
13102	2	2013-08-02 16:05:29.173406	2013-08-02 16:05:29.173406
13172	2	2013-08-02 16:05:29.251618	2013-08-03 02:52:17.067233
13104	4	2013-08-02 16:05:29.175003	2013-08-02 16:05:29.175003
12537	14	2013-08-02 16:05:28.216923	2013-08-03 17:55:10.731733
13152	2	2013-08-02 16:05:29.229732	2013-08-03 02:53:03.899617
13040	2	2013-08-02 16:05:29.095711	2013-08-03 17:16:47.650261
13114	14	2013-08-02 16:05:29.184265	2013-08-02 16:05:29.184265
13037	4	2013-08-02 16:05:29.091513	2013-08-03 17:20:35.030363
13185	4	2013-08-02 16:05:29.26318	2013-08-03 17:20:35.040833
13122	2	2013-08-02 16:05:29.195493	2013-08-02 16:05:29.195493
13165	4	2013-08-02 16:05:29.244072	2013-08-03 17:20:35.052489
13124	4	2013-08-02 16:05:29.198084	2013-08-02 16:05:29.198084
13075	21	2013-08-02 16:05:29.139509	2013-08-04 00:47:49.723721
13145	4	2013-08-02 16:05:29.222337	2013-08-03 17:20:35.063142
13771	14	2013-08-02 16:05:30.162049	2013-08-03 19:42:38.121728
13125	4	2013-08-02 16:05:29.198963	2013-08-03 17:20:35.07349
13105	4	2013-08-02 16:05:29.175867	2013-08-03 17:20:35.084387
13052	21	2013-08-02 16:05:29.119079	2013-08-04 00:50:53.836599
13134	14	2013-08-02 16:05:29.207332	2013-08-02 16:05:29.207332
13112	4	2013-08-02 16:05:29.182574	2013-08-03 17:20:35.095325
13085	2	2013-08-02 16:05:29.148779	2013-08-03 17:20:35.117731
12545	21	2013-08-02 16:05:28.232694	2013-08-04 00:52:48.681815
13142	2	2013-08-02 16:05:29.218409	2013-08-02 16:05:29.218409
9686	21	2013-08-02 16:05:22.905537	2013-08-03 17:57:11.855847
13144	4	2013-08-02 16:05:29.221459	2013-08-02 16:05:29.221459
12523	21	2013-08-02 16:05:28.18892	2013-08-03 17:57:11.856761
13136	14	2013-08-02 16:05:29.209116	2013-08-04 00:52:59.255024
13032	2	2013-08-02 16:05:29.087437	2013-08-04 01:00:53.55392
24143	2	2013-08-02 16:05:52.633294	2013-08-03 18:02:17.033836
13154	14	2013-08-02 16:05:29.231676	2013-08-02 16:05:29.231676
13061	14	2013-08-02 16:05:29.127755	2013-08-03 18:09:46.414399
3369	4	2013-08-02 16:05:10.210941	2013-08-03 19:47:29.062528
13162	2	2013-08-02 16:05:29.240714	2013-08-02 16:05:29.240714
13078	2	2013-08-02 16:05:29.142019	2013-08-04 01:10:51.206959
13164	4	2013-08-02 16:05:29.243194	2013-08-02 16:05:29.243194
13166	2	2013-08-02 16:05:29.245087	2013-08-04 01:10:51.210772
13116	2	2013-08-02 16:05:29.186293	2013-08-04 01:10:51.217038
13050	2	2013-08-02 16:05:29.116904	2013-08-04 01:10:51.222888
1328	4	2013-08-02 16:05:06.327399	2013-08-03 19:52:28.559301
13090	21	2013-08-02 16:05:29.157517	2013-08-03 18:12:25.917574
13174	14	2013-08-02 16:05:29.253507	2013-08-02 16:05:29.253507
13056	2	2013-08-02 16:05:29.123141	2013-08-04 01:50:57.603437
13182	2	2013-08-02 16:05:29.26085	2013-08-02 16:05:29.26085
3938	2	2013-08-02 16:05:11.600724	2013-08-03 19:57:24.16054
13184	4	2013-08-02 16:05:29.262444	2013-08-02 16:05:29.262444
13081	4	2013-08-02 16:05:29.144876	2013-08-03 18:12:26.837596
35080	21	2013-08-02 16:06:17.422556	2013-08-04 02:00:46.029081
35057	21	2013-08-02 16:06:17.368263	2013-08-04 02:00:46.19649
49721	2	2013-08-02 16:06:49.919805	2013-08-04 02:00:46.76898
13148	2	2013-08-02 16:05:29.225058	2013-08-03 01:39:14.716605
13128	2	2013-08-02 16:05:29.201596	2013-08-03 01:39:14.727225
13108	4	2013-08-02 16:05:29.178435	2013-08-03 01:39:14.738254
13088	4	2013-08-02 16:05:29.152405	2013-08-03 01:39:14.749242
23886	2	2013-08-02 16:05:52.39713	2013-08-04 02:00:47.044408
13057	4	2013-08-02 16:05:29.124062	2013-08-03 02:05:14.381619
35157	2	2013-08-02 16:06:17.617759	2013-08-04 02:00:47.047876
13097	2	2013-08-02 16:05:29.168639	2013-08-03 02:05:14.383315
49621	2	2013-08-02 16:06:49.676891	2013-08-04 02:00:47.209227
13177	4	2013-08-02 16:05:29.256274	2013-08-03 02:06:05.859493
35117	2	2013-08-02 16:06:17.515663	2013-08-04 02:00:47.211844
48190	2	2013-08-02 16:06:46.26401	2013-08-04 02:00:47.214953
13058	21	2013-08-02 16:05:29.125012	2013-08-03 02:21:48.775924
13038	4	2013-08-02 16:05:29.092345	2013-08-03 02:21:48.785208
35058	2	2013-08-02 16:06:17.37066	2013-08-04 02:00:47.445974
25773	2	2013-08-02 16:05:55.718714	2013-08-04 02:00:47.544709
25753	2	2013-08-02 16:05:55.670344	2013-08-04 02:00:47.55572
25733	2	2013-08-02 16:05:55.620836	2013-08-04 02:00:47.592035
25713	2	2013-08-02 16:05:55.569181	2013-08-04 02:00:47.597721
13178	21	2013-08-02 16:05:29.257209	2013-08-03 02:26:56.406737
13158	21	2013-08-02 16:05:29.236279	2013-08-03 02:26:56.408792
13138	21	2013-08-02 16:05:29.211291	2013-08-03 02:26:56.410578
13118	21	2013-08-02 16:05:29.191011	2013-08-03 02:26:56.412024
13098	21	2013-08-02 16:05:29.1701	2013-08-03 02:26:56.413507
26101	2	2013-08-02 16:05:56.549309	2013-08-04 02:00:47.604242
13130	4	2013-08-02 16:05:29.203263	2013-08-03 18:17:18.172152
13110	14	2013-08-02 16:05:29.180856	2013-08-03 18:17:18.457487
13170	21	2013-08-02 16:05:29.249537	2013-08-03 18:32:14.914368
13113	21	2013-08-02 16:05:29.183406	2013-08-03 18:32:14.915542
13070	21	2013-08-02 16:05:29.135057	2013-08-03 18:32:14.916746
13306	21	2013-08-02 16:05:29.378835	2013-08-03 19:37:43.721285
12279	21	2013-08-02 16:05:27.656271	2013-08-03 22:59:26.025865
12261	21	2013-08-02 16:05:27.613364	2013-08-03 22:59:26.029452
13194	14	2013-08-02 16:05:29.269786	2013-08-02 16:05:29.269786
21780	2	2013-08-02 16:05:47.01602	2013-08-03 21:06:15.019642
13235	4	2013-08-02 16:05:29.306381	2013-08-03 02:41:45.063164
12259	14	2013-08-02 16:05:27.608596	2013-08-03 22:59:26.049119
34161	4	2013-08-02 16:06:15.027621	2013-08-03 22:59:26.071417
13202	2	2013-08-02 16:05:29.275619	2013-08-02 16:05:29.275619
13233	4	2013-08-02 16:05:29.304246	2013-08-03 17:07:53.159697
13204	4	2013-08-02 16:05:29.277055	2013-08-02 16:05:29.277055
24217	4	2013-08-02 16:05:52.712644	2013-08-04 21:00:13.346502
13275	2	2013-08-02 16:05:29.347977	2013-08-03 02:41:45.070394
13216	4	2013-08-02 16:05:29.286965	2013-08-04 01:03:17.461808
12946	2	2013-08-02 16:05:29.008354	2013-08-04 21:00:13.352181
13043	4	2013-08-02 16:05:29.10218	2013-08-03 17:55:10.740917
13214	14	2013-08-02 16:05:29.285336	2013-08-02 16:05:29.285336
13273	2	2013-08-02 16:05:29.344717	2013-08-03 17:07:53.162379
12907	21	2013-08-02 16:05:28.972919	2013-08-04 21:00:13.365748
13255	2	2013-08-02 16:05:29.328394	2013-08-03 02:42:39.56592
46198	21	2013-08-02 16:06:41.872369	2013-08-04 21:00:13.368275
13193	2	2013-08-02 16:05:29.269049	2013-08-04 01:03:17.46383
13257	2	2013-08-02 16:05:29.330012	2013-08-03 17:55:10.742952
45761	21	2013-08-02 16:06:40.964482	2013-08-04 21:00:13.370413
13222	2	2013-08-02 16:05:29.292244	2013-08-02 16:05:29.292244
13315	2	2013-08-02 16:05:29.385816	2013-08-03 02:42:41.048533
13224	4	2013-08-02 16:05:29.294237	2013-08-02 16:05:29.294237
13327	2	2013-08-02 16:05:29.395011	2013-08-04 21:01:21.460156
13307	2	2013-08-02 16:05:29.379602	2013-08-04 21:01:21.476069
13287	2	2013-08-02 16:05:29.359937	2013-08-04 21:01:21.491042
13267	2	2013-08-02 16:05:29.338952	2013-08-04 21:01:21.505453
13247	2	2013-08-02 16:05:29.319758	2013-08-04 21:01:21.520577
8751	21	2013-08-02 16:05:20.644174	2013-08-03 21:30:42.809437
13253	4	2013-08-02 16:05:29.326712	2013-08-03 17:10:32.279315
8771	4	2013-08-02 16:05:20.691364	2013-08-03 17:55:10.774645
13234	14	2013-08-02 16:05:29.305271	2013-08-02 16:05:29.305271
13333	4	2013-08-02 16:05:29.400616	2013-08-03 17:10:34.102253
13195	2	2013-08-02 16:05:29.270472	2013-08-04 21:01:21.535642
13232	2	2013-08-02 16:05:29.302617	2013-08-04 21:01:21.550574
13326	4	2013-08-02 16:05:29.394228	2013-08-03 19:42:23.487162
13266	21	2013-08-02 16:05:29.338076	2013-08-03 19:42:24.067933
13242	2	2013-08-02 16:05:29.314412	2013-08-02 16:05:29.314412
13286	21	2013-08-02 16:05:29.359031	2013-08-03 19:42:24.070803
13244	4	2013-08-02 16:05:29.316491	2013-08-02 16:05:29.316491
13292	4	2013-08-02 16:05:29.365261	2013-08-03 02:57:24.847979
13313	4	2013-08-02 16:05:29.384203	2013-08-03 17:10:34.107613
13205	21	2013-08-02 16:05:29.277738	2013-08-03 17:20:35.010828
12868	21	2013-08-02 16:05:28.925424	2013-08-03 17:57:11.853147
13254	14	2013-08-02 16:05:29.327544	2013-08-02 16:05:29.327544
13215	4	2013-08-02 16:05:29.286184	2013-08-03 17:20:35.018005
13332	2	2013-08-02 16:05:29.399802	2013-08-03 02:57:24.855876
13312	2	2013-08-02 16:05:29.383455	2013-08-03 02:58:07.896256
13093	2	2013-08-02 16:05:29.164856	2013-08-03 18:02:17.029825
13316	14	2013-08-02 16:05:29.386534	2013-08-04 01:03:21.592937
13262	2	2013-08-02 16:05:29.333722	2013-08-02 16:05:29.333722
13212	21	2013-08-02 16:05:29.283658	2013-08-03 02:58:08.319355
13264	4	2013-08-02 16:05:29.336433	2013-08-02 16:05:29.336433
13213	4	2013-08-02 16:05:29.284468	2013-08-03 17:20:35.024511
9080	4	2013-08-02 16:05:21.428462	2013-08-03 19:42:38.143699
13340	4	2013-08-02 16:05:29.406695	2013-08-03 17:20:38.203233
13320	4	2013-08-02 16:05:29.389561	2013-08-03 17:20:38.214162
13274	14	2013-08-02 16:05:29.346403	2013-08-02 16:05:29.346403
13300	4	2013-08-02 16:05:29.373425	2013-08-03 17:20:38.225801
13280	4	2013-08-02 16:05:29.352219	2013-08-03 17:20:38.237837
13260	4	2013-08-02 16:05:29.332278	2013-08-03 17:20:38.248693
13831	2	2013-08-02 16:05:30.313456	2013-08-04 01:05:55.125431
13206	21	2013-08-02 16:05:29.278422	2013-08-04 01:05:55.297933
13282	2	2013-08-02 16:05:29.354767	2013-08-02 16:05:29.354767
13240	4	2013-08-02 16:05:29.311556	2013-08-03 17:20:38.25696
13284	4	2013-08-02 16:05:29.357341	2013-08-02 16:05:29.357341
13301	4	2013-08-02 16:05:29.374259	2013-08-03 18:12:23.969785
13095	14	2013-08-02 16:05:29.166332	2013-08-04 01:05:55.416681
13220	4	2013-08-02 16:05:29.290585	2013-08-03 17:20:38.260486
1567	2	2013-08-02 16:05:06.912941	2013-08-03 19:42:38.150863
13345	14	2013-08-02 16:05:29.411054	2013-08-03 17:25:31.927705
13325	4	2013-08-02 16:05:29.393447	2013-08-03 17:25:31.935894
13294	14	2013-08-02 16:05:29.367349	2013-08-02 16:05:29.367349
13305	4	2013-08-02 16:05:29.378047	2013-08-03 17:25:31.93944
13285	4	2013-08-02 16:05:29.358187	2013-08-03 17:25:31.942584
13265	4	2013-08-02 16:05:29.337263	2013-08-03 17:25:31.947116
13336	2	2013-08-02 16:05:29.403249	2013-08-04 01:05:56.146013
12775	4	2013-08-02 16:05:28.692987	2013-08-03 18:15:01.038634
24117	2	2013-08-02 16:05:52.609417	2013-08-04 01:05:56.324879
13302	2	2013-08-02 16:05:29.375111	2013-08-02 16:05:29.375111
13245	4	2013-08-02 16:05:29.317873	2013-08-03 17:25:31.957043
13304	4	2013-08-02 16:05:29.377213	2013-08-02 16:05:29.377213
9359	2	2013-08-02 16:05:22.167631	2013-08-04 01:05:56.478027
13256	21	2013-08-02 16:05:29.329238	2013-08-04 01:08:40.861339
13272	4	2013-08-02 16:05:29.343854	2013-08-03 17:25:31.96743
13225	2	2013-08-02 16:05:29.295634	2013-08-03 17:25:31.990883
13230	2	2013-08-02 16:05:29.300841	2013-08-03 18:15:01.046062
13314	14	2013-08-02 16:05:29.385037	2013-08-02 16:05:29.385037
13190	14	2013-08-02 16:05:29.266774	2013-08-03 18:17:17.284574
13196	2	2013-08-02 16:05:29.271159	2013-08-04 01:10:51.648381
13330	4	2013-08-02 16:05:29.397692	2013-08-03 18:17:17.883727
13322	2	2013-08-02 16:05:29.391061	2013-08-02 16:05:29.391061
13310	2	2013-08-02 16:05:29.381934	2013-08-03 18:17:17.906609
13324	4	2013-08-02 16:05:29.392634	2013-08-02 16:05:29.392634
3886	14	2013-08-02 16:05:11.474348	2013-08-03 19:47:26.405924
13270	14	2013-08-02 16:05:29.341533	2013-08-03 18:17:17.951504
13290	14	2013-08-02 16:05:29.362509	2013-08-03 18:17:18.15091
13334	14	2013-08-02 16:05:29.401452	2013-08-02 16:05:29.401452
13296	4	2013-08-02 16:05:29.369538	2013-08-04 01:44:04.4189
13236	21	2013-08-02 16:05:29.307386	2013-08-04 01:45:50.935146
13276	2	2013-08-02 16:05:29.34884	2013-08-04 01:50:57.491649
25693	2	2013-08-02 16:05:55.517035	2013-08-04 02:00:47.609407
23497	2	2013-08-02 16:05:51.389079	2013-08-03 20:07:26.641183
13342	2	2013-08-02 16:05:29.408376	2013-08-02 16:05:29.408376
25672	2	2013-08-02 16:05:55.465295	2013-08-04 02:00:47.614534
13344	4	2013-08-02 16:05:29.41014	2013-08-02 16:05:29.41014
25673	2	2013-08-02 16:05:55.466058	2013-08-04 02:00:47.618926
13288	21	2013-08-02 16:05:29.360831	2013-08-03 01:39:14.672047
13268	21	2013-08-02 16:05:29.339825	2013-08-03 01:39:14.675748
13248	21	2013-08-02 16:05:29.320693	2013-08-03 01:39:14.678965
13228	21	2013-08-02 16:05:29.298252	2013-08-03 01:39:14.682182
13208	21	2013-08-02 16:05:29.280274	2013-08-03 01:39:14.685428
13328	2	2013-08-02 16:05:29.395901	2013-08-03 01:39:15.076311
13308	2	2013-08-02 16:05:29.380374	2013-08-03 01:39:15.084116
25653	2	2013-08-02 16:05:55.416303	2013-08-04 02:00:47.622821
13317	14	2013-08-02 16:05:29.387256	2013-08-03 02:06:05.796128
13297	14	2013-08-02 16:05:29.370543	2013-08-03 02:06:05.804735
25677	2	2013-08-02 16:05:55.474702	2013-08-04 02:00:47.628925
25633	2	2013-08-02 16:05:55.369045	2013-08-04 02:00:47.63502
13237	2	2013-08-02 16:05:29.308386	2013-08-03 02:06:05.825901
25613	2	2013-08-02 16:05:55.320959	2013-08-04 02:00:47.642923
13343	2	2013-08-02 16:05:29.409286	2013-08-03 02:26:54.993181
13323	2	2013-08-02 16:05:29.391799	2013-08-03 02:26:54.997607
13303	2	2013-08-02 16:05:29.376177	2013-08-03 02:26:55.002732
13283	2	2013-08-02 16:05:29.356061	2013-08-03 02:26:55.007323
13263	2	2013-08-02 16:05:29.335356	2013-08-03 02:26:55.011418
13243	2	2013-08-02 16:05:29.315424	2013-08-03 02:26:55.015311
13223	2	2013-08-02 16:05:29.293149	2013-08-03 02:26:55.018594
13258	21	2013-08-02 16:05:29.330779	2013-08-03 02:26:56.399147
13338	21	2013-08-02 16:05:29.404982	2013-08-03 02:32:09.344628
13318	21	2013-08-02 16:05:29.388049	2013-08-03 02:32:09.345749
13298	21	2013-08-02 16:05:29.371387	2013-08-03 02:32:09.346754
13278	21	2013-08-02 16:05:29.350526	2013-08-03 02:32:09.348851
25593	2	2013-08-02 16:05:55.273256	2013-08-04 02:00:47.652364
35037	2	2013-08-02 16:06:17.319644	2013-08-04 02:00:47.685476
49672	2	2013-08-02 16:06:49.802279	2013-08-04 02:00:47.832408
49725	2	2013-08-02 16:06:49.930173	2013-08-04 02:00:47.843382
31110	2	2013-08-02 16:06:08.053385	2013-08-04 02:00:48.338475
17299	2	2013-08-02 16:05:37.633574	2013-08-04 02:00:48.349463
17279	2	2013-08-02 16:05:37.589501	2013-08-04 02:00:48.360367
3124	2	2013-08-02 16:05:09.655134	2013-08-04 17:11:56.412154
13498	21	2013-08-02 16:05:29.547869	2013-08-03 02:37:19.700343
12960	21	2013-08-02 16:05:29.021485	2013-08-04 21:00:13.38967
13346	2	2013-08-02 16:05:29.411945	2013-08-03 19:39:16.55716
13478	21	2013-08-02 16:05:29.527008	2013-08-03 02:37:19.704012
13372	4	2013-08-02 16:05:29.433682	2013-08-03 17:03:20.33292
13485	4	2013-08-02 16:05:29.534496	2013-08-03 17:35:02.816558
13354	14	2013-08-02 16:05:29.418984	2013-08-02 16:05:29.418984
21679	2	2013-08-02 16:05:46.768762	2013-08-04 17:11:56.416564
13458	21	2013-08-02 16:05:29.509728	2013-08-03 02:37:19.707552
13495	21	2013-08-02 16:05:29.544502	2013-08-03 02:42:40.955714
20498	2	2013-08-02 16:05:44.397687	2013-08-04 17:11:56.420808
13362	2	2013-08-02 16:05:29.42542	2013-08-02 16:05:29.42542
13475	21	2013-08-02 16:05:29.524099	2013-08-03 02:42:40.959545
13364	4	2013-08-02 16:05:29.427076	2013-08-02 16:05:29.427076
10070	2	2013-08-02 16:05:23.337806	2013-08-03 17:55:10.777554
21625	2	2013-08-02 16:05:46.62552	2013-08-04 17:11:56.425164
13412	2	2013-08-02 16:05:29.468382	2013-08-03 17:03:20.335421
21573	2	2013-08-02 16:05:46.379562	2013-08-04 17:11:56.429635
21659	2	2013-08-02 16:05:46.715653	2013-08-04 17:11:56.435478
13374	14	2013-08-02 16:05:29.435197	2013-08-02 16:05:29.435197
13392	2	2013-08-02 16:05:29.449838	2013-08-03 17:05:34.511956
13415	14	2013-08-02 16:05:29.472009	2013-08-03 02:42:41.024936
5644	4	2013-08-02 16:05:14.292045	2013-08-04 01:03:21.607874
13382	2	2013-08-02 16:05:29.441542	2013-08-02 16:05:29.441542
13416	2	2013-08-02 16:05:29.473001	2013-08-04 01:03:21.611586
13384	4	2013-08-02 16:05:29.443111	2013-08-02 16:05:29.443111
15832	4	2013-08-02 16:05:34.233376	2013-08-03 17:55:10.803408
12199	4	2013-08-02 16:05:27.462736	2013-08-03 23:04:24.324741
49415	4	2013-08-02 16:06:48.972836	2013-08-04 21:00:13.66768
38163	21	2013-08-02 16:06:24.503085	2013-08-03 21:29:20.660653
3249	21	2013-08-02 16:05:09.924186	2013-08-03 21:29:20.66201
13394	14	2013-08-02 16:05:29.45161	2013-08-02 16:05:29.45161
1919	2	2013-08-02 16:05:07.803145	2013-08-04 21:00:13.674714
13426	21	2013-08-02 16:05:29.482547	2013-08-04 01:05:55.296915
31400	14	2013-08-02 16:06:08.838273	2013-08-03 19:42:38.298199
13402	2	2013-08-02 16:05:29.458858	2013-08-02 16:05:29.458858
13404	4	2013-08-02 16:05:29.460961	2013-08-02 16:05:29.460961
5106	21	2013-08-02 16:05:13.312373	2013-08-04 21:00:25.962695
13483	4	2013-08-02 16:05:29.53278	2013-08-03 17:10:34.007112
16566	2	2013-08-02 16:05:35.771458	2013-08-04 21:01:20.717021
29017	2	2013-08-02 16:06:02.830353	2013-08-03 19:42:38.316799
13493	4	2013-08-02 16:05:29.542445	2013-08-03 17:10:34.017492
3932	21	2013-08-02 16:05:11.585714	2013-08-03 18:12:23.832792
10981	4	2013-08-02 16:05:24.419373	2013-08-03 21:37:44.170436
13414	14	2013-08-02 16:05:29.470822	2013-08-02 16:05:29.470822
13473	4	2013-08-02 16:05:29.522046	2013-08-03 17:10:34.028493
13347	2	2013-08-02 16:05:29.412924	2013-08-04 21:01:21.442994
13453	4	2013-08-02 16:05:29.506105	2013-08-03 17:10:34.039454
13433	4	2013-08-02 16:05:29.488429	2013-08-03 17:10:34.050119
13422	2	2013-08-02 16:05:29.478544	2013-08-02 16:05:29.478544
13413	4	2013-08-02 16:05:29.469577	2013-08-03 17:10:34.060719
13424	4	2013-08-02 16:05:29.480833	2013-08-02 16:05:29.480833
13393	4	2013-08-02 16:05:29.450716	2013-08-03 17:10:34.071249
13356	2	2013-08-02 16:05:29.420615	2013-08-04 01:10:51.197567
13373	4	2013-08-02 16:05:29.434454	2013-08-03 17:10:34.081851
13379	2	2013-08-02 16:05:29.439152	2013-08-03 23:45:51.817155
13434	14	2013-08-02 16:05:29.489241	2013-08-02 16:05:29.489241
13353	4	2013-08-02 16:05:29.418136	2013-08-03 17:10:34.092736
13380	4	2013-08-02 16:05:29.43991	2013-08-03 17:20:38.180396
13360	4	2013-08-02 16:05:29.423784	2013-08-03 17:20:38.192102
13446	2	2013-08-02 16:05:29.500793	2013-08-04 01:10:51.203924
13442	2	2013-08-02 16:05:29.496346	2013-08-02 16:05:29.496346
13465	21	2013-08-02 16:05:29.515644	2013-08-03 17:25:31.885333
13444	4	2013-08-02 16:05:29.498908	2013-08-02 16:05:29.498908
13490	21	2013-08-02 16:05:29.538951	2013-08-03 18:17:17.829168
13376	2	2013-08-02 16:05:29.436676	2013-08-04 01:10:51.564109
13445	14	2013-08-02 16:05:29.4997	2013-08-03 17:25:31.899931
13460	14	2013-08-02 16:05:29.511178	2013-08-08 01:02:57.996417
13359	21	2013-08-02 16:05:29.423045	2013-08-03 23:45:51.966725
13425	14	2013-08-02 16:05:29.481732	2013-08-03 17:25:31.908033
13470	21	2013-08-02 16:05:29.519521	2013-08-03 18:17:17.830617
13420	21	2013-08-02 16:05:29.476978	2013-08-03 18:17:17.831505
13454	14	2013-08-02 16:05:29.506826	2013-08-02 16:05:29.506826
13405	14	2013-08-02 16:05:29.462021	2013-08-03 17:25:31.913805
12755	14	2013-08-02 16:05:28.643473	2013-08-08 01:02:57.997871
13385	14	2013-08-02 16:05:29.443882	2013-08-03 17:25:31.91876
13365	14	2013-08-02 16:05:29.427936	2013-08-03 17:25:31.92305
13367	14	2013-08-02 16:05:29.429646	2013-08-08 01:02:57.999301
13450	21	2013-08-02 16:05:29.503869	2013-08-03 18:17:17.832683
13366	14	2013-08-02 16:05:29.428777	2013-08-03 19:54:07.531951
13462	2	2013-08-02 16:05:29.512624	2013-08-02 16:05:29.512624
12179	14	2013-08-02 16:05:27.418956	2013-08-08 01:02:58.000767
13464	4	2013-08-02 16:05:29.514074	2013-08-02 16:05:29.514074
13430	21	2013-08-02 16:05:29.485815	2013-08-03 18:17:17.83384
13456	14	2013-08-02 16:05:29.508263	2013-08-04 01:12:08.628665
13439	14	2013-08-02 16:05:29.493658	2013-08-03 23:46:14.864027
1930	14	2013-08-02 16:05:07.814211	2013-08-08 01:02:58.002373
13387	14	2013-08-02 16:05:29.445564	2013-08-08 01:02:58.00443
13377	14	2013-08-02 16:05:29.437502	2013-08-08 01:02:58.006651
13381	21	2013-08-02 16:05:29.440729	2013-08-03 18:17:17.834744
13410	21	2013-08-02 16:05:29.46646	2013-08-03 18:17:17.835439
13474	14	2013-08-02 16:05:29.522963	2013-08-02 16:05:29.522963
10848	21	2013-08-02 16:05:24.26981	2013-08-03 18:17:17.836434
13496	2	2013-08-02 16:05:29.545438	2013-08-04 01:15:49.75223
13482	2	2013-08-02 16:05:29.531854	2013-08-02 16:05:29.531854
13390	21	2013-08-02 16:05:29.448048	2013-08-03 18:17:17.837312
13484	4	2013-08-02 16:05:29.533613	2013-08-02 16:05:29.533613
13419	21	2013-08-02 16:05:29.476024	2013-08-03 23:53:46.206072
13399	21	2013-08-02 16:05:29.455554	2013-08-03 23:53:46.206901
13435	21	2013-08-02 16:05:29.490042	2013-08-03 18:32:14.910394
13476	2	2013-08-02 16:05:29.524977	2013-08-04 01:15:49.922297
13361	21	2013-08-02 16:05:29.424592	2013-08-03 18:32:14.912029
13432	21	2013-08-02 16:05:29.487636	2013-08-03 18:32:14.91333
13500	2	2013-08-02 16:05:29.549872	2013-08-04 01:15:50.068446
13494	14	2013-08-02 16:05:29.543318	2013-08-02 16:05:29.543318
13396	21	2013-08-02 16:05:29.453243	2013-08-04 01:18:42.761316
13459	4	2013-08-02 16:05:29.51045	2013-08-04 00:00:22.992349
35597	14	2013-08-02 16:06:18.81313	2013-08-04 02:03:21.451964
13502	2	2013-08-02 16:05:29.551707	2013-08-02 16:05:29.551707
13488	2	2013-08-02 16:05:29.537229	2013-08-03 01:39:15.028828
13468	2	2013-08-02 16:05:29.517926	2013-08-03 01:39:15.033966
13448	2	2013-08-02 16:05:29.502322	2013-08-03 01:39:15.039302
13428	2	2013-08-02 16:05:29.484181	2013-08-03 01:39:15.044512
13408	2	2013-08-02 16:05:29.464576	2013-08-03 01:39:15.05
13388	2	2013-08-02 16:05:29.446385	2013-08-03 01:39:15.056162
13368	2	2013-08-02 16:05:29.430436	2013-08-03 01:39:15.062563
13457	21	2013-08-02 16:05:29.509005	2013-08-03 02:06:05.730929
13437	21	2013-08-02 16:05:29.491965	2013-08-03 02:06:05.735358
13417	21	2013-08-02 16:05:29.473802	2013-08-03 02:06:05.739203
13463	2	2013-08-02 16:05:29.513351	2013-08-03 02:26:54.932798
13443	2	2013-08-02 16:05:29.497741	2013-08-03 02:26:54.944044
13423	2	2013-08-02 16:05:29.479336	2013-08-03 02:26:54.955026
13403	2	2013-08-02 16:05:29.459863	2013-08-03 02:26:54.967014
13383	2	2013-08-02 16:05:29.442333	2013-08-03 02:26:54.980096
13363	2	2013-08-02 16:05:29.426216	2013-08-03 02:26:54.988596
35737	21	2013-08-02 16:06:18.990181	2013-08-04 02:05:54.001416
13438	21	2013-08-02 16:05:29.492814	2013-08-03 02:32:09.337971
13418	21	2013-08-02 16:05:29.474593	2013-08-03 02:32:09.340422
13398	21	2013-08-02 16:05:29.454773	2013-08-03 02:32:09.34162
13378	21	2013-08-02 16:05:29.438351	2013-08-03 02:32:09.342717
13358	21	2013-08-02 16:05:29.422277	2013-08-03 02:32:09.343729
13598	21	2013-08-02 16:05:29.777138	2013-08-03 02:37:19.682246
13504	4	2013-08-02 16:05:29.553572	2013-08-02 16:05:29.553572
10875	21	2013-08-02 16:05:24.290296	2013-08-03 19:42:24.366483
21613	2	2013-08-02 16:05:46.604695	2013-08-04 17:11:56.441297
13578	21	2013-08-02 16:05:29.756725	2013-08-03 02:37:19.686181
13566	21	2013-08-02 16:05:29.738263	2013-08-03 19:42:24.370639
13558	21	2013-08-02 16:05:29.730618	2013-08-03 02:37:19.6897
13645	4	2013-08-02 16:05:29.878601	2013-08-03 17:35:02.720718
13625	4	2013-08-02 16:05:29.82442	2013-08-03 17:35:02.730231
13514	14	2013-08-02 16:05:29.565211	2013-08-02 16:05:29.565211
20748	14	2013-08-02 16:05:44.64828	2013-08-04 17:13:02.448935
13538	21	2013-08-02 16:05:29.599592	2013-08-03 02:37:19.693233
13520	4	2013-08-02 16:05:29.573437	2013-08-03 17:35:02.739929
13546	21	2013-08-02 16:05:29.718748	2013-08-03 19:42:24.374294
13522	2	2013-08-02 16:05:29.576022	2013-08-02 16:05:29.576022
13518	21	2013-08-02 16:05:29.570447	2013-08-03 02:37:19.696891
13524	4	2013-08-02 16:05:29.578989	2013-08-02 16:05:29.578989
13526	21	2013-08-02 16:05:29.581699	2013-08-03 19:42:24.377957
5724	14	2013-08-02 16:05:14.486023	2013-08-03 21:06:15.118222
13605	4	2013-08-02 16:05:29.78638	2013-08-03 17:35:02.751087
13585	4	2013-08-02 16:05:29.762915	2013-08-03 17:35:02.762626
13565	4	2013-08-02 16:05:29.737517	2013-08-03 17:35:02.773853
13534	14	2013-08-02 16:05:29.59521	2013-08-02 16:05:29.59521
14460	2	2013-08-02 16:05:31.888394	2013-08-03 19:42:57.361441
13545	4	2013-08-02 16:05:29.717893	2013-08-03 17:35:02.784743
13542	2	2013-08-02 16:05:29.714502	2013-08-02 16:05:29.714502
13615	21	2013-08-02 16:05:29.80315	2013-08-03 02:42:40.933888
13544	4	2013-08-02 16:05:29.717053	2013-08-02 16:05:29.717053
2617	2	2013-08-02 16:05:08.964647	2013-08-04 17:16:52.217316
13595	21	2013-08-02 16:05:29.773834	2013-08-03 02:42:40.937906
13659	4	2013-08-02 16:05:29.915678	2013-08-04 01:12:08.642768
13575	21	2013-08-02 16:05:29.753502	2013-08-03 02:42:40.941446
13525	4	2013-08-02 16:05:29.580287	2013-08-03 17:35:02.795334
13505	4	2013-08-02 16:05:29.554541	2013-08-03 17:35:02.806037
13554	14	2013-08-02 16:05:29.726892	2013-08-02 16:05:29.726892
40915	14	2013-08-02 16:06:29.795724	2013-08-04 18:17:50.94179
13555	21	2013-08-02 16:05:29.72771	2013-08-03 02:42:40.945206
13589	14	2013-08-02 16:05:29.766159	2013-08-04 18:17:50.945739
13596	21	2013-08-02 16:05:29.774946	2013-08-04 01:12:19.317218
13562	2	2013-08-02 16:05:29.734932	2013-08-02 16:05:29.734932
13535	21	2013-08-02 16:05:29.596587	2013-08-03 02:42:40.948581
13564	4	2013-08-02 16:05:29.736755	2013-08-02 16:05:29.736755
9500	21	2013-08-02 16:05:22.509837	2013-08-04 21:00:13.892378
13556	2	2013-08-02 16:05:29.728941	2013-08-04 01:15:49.590182
13515	21	2013-08-02 16:05:29.566232	2013-08-03 02:42:40.952113
1882	21	2013-08-02 16:05:07.691118	2013-08-04 21:00:13.895121
17866	2	2013-08-02 16:05:38.750278	2013-08-03 21:17:30.538121
13507	14	2013-08-02 16:05:29.557312	2013-08-08 01:02:58.759498
13583	14	2013-08-02 16:05:29.761181	2013-08-08 01:02:58.762671
23043	21	2013-08-02 16:05:50.190932	2013-08-03 21:29:20.657649
13574	14	2013-08-02 16:05:29.751639	2013-08-02 16:05:29.751639
13652	14	2013-08-02 16:05:29.897491	2013-08-08 01:02:58.76622
13655	14	2013-08-02 16:05:29.905505	2013-08-03 02:47:01.379586
13527	14	2013-08-02 16:05:29.583441	2013-08-08 01:02:58.769156
13506	21	2013-08-02 16:05:29.555821	2013-08-03 21:29:20.659373
13582	2	2013-08-02 16:05:29.760363	2013-08-02 16:05:29.760363
2255	2	2013-08-02 16:05:08.536131	2013-08-03 21:37:44.172842
13584	4	2013-08-02 16:05:29.762013	2013-08-02 16:05:29.762013
30520	14	2013-08-02 16:06:06.655932	2013-08-08 01:02:58.772161
13632	14	2013-08-02 16:05:29.843012	2013-08-08 01:02:58.785981
13553	4	2013-08-02 16:05:29.726052	2013-08-03 17:10:33.948821
13612	14	2013-08-02 16:05:29.79822	2013-08-08 01:02:58.789435
13533	4	2013-08-02 16:05:29.59434	2013-08-03 17:10:33.991321
11096	2	2013-08-02 16:05:24.691232	2013-08-03 17:55:10.858228
13594	14	2013-08-02 16:05:29.772736	2013-08-02 16:05:29.772736
13513	4	2013-08-02 16:05:29.564178	2013-08-03 17:10:33.997732
13603	14	2013-08-02 16:05:29.783621	2013-08-04 18:19:17.408774
13563	2	2013-08-02 16:05:29.735767	2013-08-03 17:10:34.254184
13653	2	2013-08-02 16:05:29.900169	2013-08-03 17:10:34.259643
40815	14	2013-08-02 16:06:29.548038	2013-08-03 19:47:26.396476
13602	2	2013-08-02 16:05:29.78244	2013-08-02 16:05:29.78244
13633	2	2013-08-02 16:05:29.845755	2013-08-03 17:10:34.264183
13604	4	2013-08-02 16:05:29.784725	2013-08-02 16:05:29.784725
23917	14	2013-08-02 16:05:52.422638	2013-08-03 19:47:28.224016
13613	2	2013-08-02 16:05:29.800332	2013-08-03 17:10:34.26868
13593	2	2013-08-02 16:05:29.771889	2013-08-03 17:10:34.273035
9726	14	2013-08-02 16:05:22.944229	2013-08-03 17:55:10.868473
13614	14	2013-08-02 16:05:29.802019	2013-08-02 16:05:29.802019
13523	2	2013-08-02 16:05:29.577336	2013-08-03 17:10:34.278421
13643	21	2013-08-02 16:05:29.872762	2013-08-04 18:19:28.863598
13573	2	2013-08-02 16:05:29.74911	2013-08-03 17:10:34.284546
10852	14	2013-08-02 16:05:24.272572	2013-08-03 23:46:25.944173
13539	21	2013-08-02 16:05:29.600466	2013-08-04 01:18:42.762615
13503	21	2013-08-02 16:05:29.552607	2013-08-04 01:21:00.289495
13622	2	2013-08-02 16:05:29.816428	2013-08-02 16:05:29.816428
13540	4	2013-08-02 16:05:29.705869	2013-08-03 17:26:19.340178
13624	4	2013-08-02 16:05:29.821748	2013-08-02 16:05:29.821748
13649	14	2013-08-02 16:05:29.889368	2013-08-04 18:22:29.043711
4775	4	2013-08-02 16:05:12.995928	2013-08-03 17:55:10.982485
30610	4	2013-08-02 16:06:06.837737	2013-08-03 23:53:36.814878
13580	2	2013-08-02 16:05:29.758605	2013-08-03 17:26:19.347461
13521	21	2013-08-02 16:05:29.574727	2013-08-03 23:53:46.207911
4735	2	2013-08-02 16:05:12.901896	2013-08-03 17:55:10.985012
13634	14	2013-08-02 16:05:29.848408	2013-08-02 16:05:29.848408
13639	14	2013-08-02 16:05:29.861778	2013-08-03 23:53:56.910172
13629	2	2013-08-02 16:05:29.834961	2013-08-04 18:22:29.159177
40955	14	2013-08-02 16:06:29.888336	2013-08-04 18:22:29.287236
13619	21	2013-08-02 16:05:29.809276	2013-08-04 18:24:27.845116
13656	2	2013-08-02 16:05:29.908202	2013-08-04 01:44:04.421267
13609	21	2013-08-02 16:05:29.792508	2013-08-04 18:24:27.848084
13642	2	2013-08-02 16:05:29.869875	2013-08-02 16:05:29.869875
13516	2	2013-08-02 16:05:29.567832	2013-08-04 01:45:51.481086
13644	4	2013-08-02 16:05:29.875611	2013-08-02 16:05:29.875611
13576	2	2013-08-02 16:05:29.754583	2013-08-04 01:50:58.661736
13561	2	2013-08-02 16:05:29.733919	2013-08-04 01:50:58.672691
35757	4	2013-08-02 16:06:19.043399	2013-08-04 02:03:21.488328
35735	2	2013-08-02 16:06:18.984815	2013-08-04 02:03:21.495906
13654	14	2013-08-02 16:05:29.902948	2013-08-02 16:05:29.902948
17870	4	2013-08-02 16:05:38.754468	2013-08-04 02:03:38.014945
33172	2	2013-08-02 16:06:13.332617	2013-08-04 02:03:38.018363
13648	2	2013-08-02 16:05:29.886641	2013-08-03 01:39:14.903805
13628	2	2013-08-02 16:05:29.832278	2013-08-03 01:39:14.914624
13608	2	2013-08-02 16:05:29.790554	2013-08-03 01:39:14.925194
13588	2	2013-08-02 16:05:29.765358	2013-08-03 01:39:14.93577
13568	2	2013-08-02 16:05:29.73966	2013-08-03 01:39:14.946683
13548	2	2013-08-02 16:05:29.720411	2013-08-03 01:39:14.958176
13528	2	2013-08-02 16:05:29.58586	2013-08-03 01:39:14.969551
13657	21	2013-08-02 16:05:29.910884	2013-08-03 02:11:06.041035
13637	21	2013-08-02 16:05:29.856401	2013-08-03 02:11:06.043437
13617	14	2013-08-02 16:05:29.806102	2013-08-03 02:11:06.047799
13597	14	2013-08-02 16:05:29.775843	2013-08-03 02:11:06.057716
13577	4	2013-08-02 16:05:29.755666	2013-08-03 02:11:06.069502
13557	4	2013-08-02 16:05:29.729796	2013-08-03 02:11:06.080227
13543	14	2013-08-02 16:05:29.715393	2013-08-03 02:31:15.681332
13623	21	2013-08-02 16:05:29.819105	2013-08-03 18:22:14.489474
12392	21	2013-08-02 16:05:27.935362	2013-08-03 18:22:14.494323
13590	21	2013-08-02 16:05:29.766991	2013-08-03 18:37:38.261134
13610	21	2013-08-02 16:05:29.794551	2013-08-03 18:37:38.264342
34521	14	2013-08-02 16:06:15.900311	2013-08-03 23:00:48.630493
13676	14	2013-08-02 16:05:29.955839	2013-08-04 01:18:23.564608
13662	2	2013-08-02 16:05:29.921426	2013-08-02 16:05:29.921426
31876	21	2013-08-02 16:06:10.148071	2013-08-04 21:00:13.9003
13664	4	2013-08-02 16:05:29.926359	2013-08-02 16:05:29.926359
43623	4	2013-08-02 16:06:36.25359	2013-08-03 19:42:57.440696
11058	4	2013-08-02 16:05:24.597195	2013-08-04 17:13:02.47456
13752	4	2013-08-02 16:05:30.113456	2013-08-03 17:10:33.783805
43643	2	2013-08-02 16:06:36.30582	2013-08-03 19:42:57.44191
13758	4	2013-08-02 16:05:30.127415	2013-08-03 17:35:02.712098
13665	4	2013-08-02 16:05:29.928832	2013-08-03 17:35:02.716233
13674	14	2013-08-02 16:05:29.950719	2013-08-02 16:05:29.950719
13732	4	2013-08-02 16:05:30.089631	2013-08-03 17:10:33.794807
13681	14	2013-08-02 16:05:29.969262	2013-08-04 18:22:28.707332
13809	14	2013-08-02 16:05:30.257203	2013-08-04 18:22:28.71334
13712	4	2013-08-02 16:05:30.046988	2013-08-03 17:10:33.80568
13789	14	2013-08-02 16:05:30.208505	2013-08-04 18:22:28.717246
34460	14	2013-08-02 16:06:15.752722	2013-08-03 23:01:37.453067
13682	2	2013-08-02 16:05:29.971925	2013-08-02 16:05:29.971925
13684	4	2013-08-02 16:05:29.97738	2013-08-02 16:05:29.97738
8347	4	2013-08-02 16:05:19.640028	2013-08-04 21:00:13.985967
13778	4	2013-08-02 16:05:30.179374	2013-08-03 02:41:45.159468
13698	4	2013-08-02 16:05:30.012227	2013-08-03 02:42:40.265349
13723	2	2013-08-02 16:05:30.074857	2013-08-03 17:35:03.014756
13805	2	2013-08-02 16:05:30.247735	2013-08-03 17:35:03.018489
13694	14	2013-08-02 16:05:30.002538	2013-08-02 16:05:30.002538
13675	4	2013-08-02 16:05:29.953273	2013-08-03 17:10:33.816292
15300	21	2013-08-02 16:05:33.597938	2013-08-04 21:00:14.030864
13785	2	2013-08-02 16:05:30.197947	2013-08-03 17:35:03.021623
13692	4	2013-08-02 16:05:29.997686	2013-08-03 17:10:33.827138
34381	21	2013-08-02 16:06:15.553267	2013-08-04 21:00:14.033592
11093	2	2013-08-02 16:05:24.684157	2013-08-03 21:06:15.17205
13741	14	2013-08-02 16:05:30.100956	2013-08-03 19:47:26.130643
13702	2	2013-08-02 16:05:30.022325	2013-08-02 16:05:30.022325
13703	14	2013-08-02 16:05:30.024734	2013-08-03 19:47:26.141689
13704	4	2013-08-02 16:05:30.027111	2013-08-02 16:05:30.027111
2040	21	2013-08-02 16:05:08.01866	2013-08-04 21:00:14.036151
34495	14	2013-08-02 16:06:15.842944	2013-08-03 23:12:31.857558
31936	21	2013-08-02 16:06:10.240883	2013-08-04 21:00:14.041243
13765	4	2013-08-02 16:05:30.146142	2013-08-03 17:35:03.029909
13745	4	2013-08-02 16:05:30.105862	2013-08-03 17:35:03.033377
13714	14	2013-08-02 16:05:30.051995	2013-08-02 16:05:30.051995
13672	4	2013-08-02 16:05:29.945622	2013-08-03 17:10:33.836741
8327	21	2013-08-02 16:05:19.590393	2013-08-04 21:00:25.965285
13813	4	2013-08-02 16:05:30.266612	2013-08-03 17:10:34.187551
13793	4	2013-08-02 16:05:30.218786	2013-08-03 17:10:34.19478
13667	14	2013-08-02 16:05:29.933604	2013-08-08 01:02:59.288856
8332	14	2013-08-02 16:05:19.602733	2013-08-08 01:02:59.292428
2082	4	2013-08-02 16:05:08.125863	2013-08-04 01:18:23.594715
13722	2	2013-08-02 16:05:30.071925	2013-08-02 16:05:30.071925
13724	4	2013-08-02 16:05:30.077671	2013-08-02 16:05:30.077671
2232	4	2013-08-02 16:05:08.513626	2013-08-03 19:47:28.202117
15852	21	2013-08-02 16:05:34.257386	2013-08-04 01:18:42.839781
13718	14	2013-08-02 16:05:30.061633	2013-08-08 01:02:59.295071
13855	14	2013-08-02 16:05:30.370874	2013-08-03 21:21:38.356913
13815	4	2013-08-02 16:05:30.272234	2013-08-03 17:35:03.036838
13725	4	2013-08-02 16:05:30.080354	2013-08-03 17:35:03.040287
13734	14	2013-08-02 16:05:30.091397	2013-08-02 16:05:30.091397
13773	4	2013-08-02 16:05:30.166915	2013-08-03 17:10:34.202057
13748	4	2013-08-02 16:05:30.109645	2013-08-03 02:47:01.415027
13753	4	2013-08-02 16:05:30.115494	2013-08-03 17:10:34.209137
13757	21	2013-08-02 16:05:30.124829	2013-08-04 01:21:00.288541
43663	2	2013-08-02 16:06:36.354319	2013-08-03 19:57:24.155671
25417	21	2013-08-02 16:05:54.819081	2013-08-03 21:29:20.65561
13742	2	2013-08-02 16:05:30.102339	2013-08-02 16:05:30.102339
13744	4	2013-08-02 16:05:30.104433	2013-08-02 16:05:30.104433
13772	2	2013-08-02 16:05:30.16447	2013-08-04 01:21:00.598772
13679	21	2013-08-02 16:05:29.96381	2013-08-03 23:58:34.531996
13766	2	2013-08-02 16:05:30.148868	2013-08-03 21:39:32.176841
13705	4	2013-08-02 16:05:30.029502	2013-08-03 17:35:03.044222
13685	4	2013-08-02 16:05:29.980049	2013-08-03 17:35:03.047559
13754	14	2013-08-02 16:05:30.117425	2013-08-02 16:05:30.117425
13812	14	2013-08-02 16:05:30.264225	2013-08-03 17:11:37.531248
13663	4	2013-08-02 16:05:29.923921	2013-08-03 17:20:36.579189
13716	2	2013-08-02 16:05:30.056842	2013-08-04 01:21:00.827519
13586	2	2013-08-02 16:05:29.763725	2013-08-04 01:21:01.193142
13762	2	2013-08-02 16:05:30.138109	2013-08-02 16:05:30.138109
13792	4	2013-08-02 16:05:30.216326	2013-08-03 17:20:36.895108
13764	4	2013-08-02 16:05:30.143474	2013-08-02 16:05:30.143474
13776	14	2013-08-02 16:05:30.174189	2013-08-04 01:31:50.522413
47978	14	2013-08-02 16:06:45.77602	2013-08-04 02:05:53.983415
48375	21	2013-08-02 16:06:46.465103	2013-08-04 02:05:53.999506
35637	21	2013-08-02 16:06:18.841528	2013-08-04 02:05:54.111857
13774	14	2013-08-02 16:05:30.16938	2013-08-02 16:05:30.16938
35577	2	2013-08-02 16:06:18.799562	2013-08-04 02:05:54.513505
49958	2	2013-08-02 16:06:50.520899	2013-08-04 02:05:54.563156
47835	2	2013-08-02 16:06:45.549295	2013-08-04 02:05:54.572211
35777	2	2013-08-02 16:06:19.094776	2013-08-04 02:05:54.581319
24285	2	2013-08-02 16:05:52.776885	2013-08-04 02:05:54.690147
13782	2	2013-08-02 16:05:30.189958	2013-08-02 16:05:30.189958
13784	4	2013-08-02 16:05:30.195283	2013-08-02 16:05:30.195283
24186	2	2013-08-02 16:05:52.675425	2013-08-04 02:05:54.700793
48395	2	2013-08-02 16:06:46.493851	2013-08-04 02:05:54.774879
35717	2	2013-08-02 16:06:18.936671	2013-08-04 02:05:54.785319
49010	2	2013-08-02 16:06:47.939537	2013-08-04 02:05:55.057369
48990	2	2013-08-02 16:06:47.891066	2013-08-04 02:05:55.061502
26005	2	2013-08-02 16:05:56.446917	2013-08-04 02:05:55.166003
13794	14	2013-08-02 16:05:30.221188	2013-08-02 16:05:30.221188
10973	14	2013-08-02 16:05:24.407374	2013-08-03 17:55:11.039229
49945	2	2013-08-02 16:06:50.489032	2013-08-04 02:10:51.984593
13802	2	2013-08-02 16:05:30.240518	2013-08-02 16:05:30.240518
13804	4	2013-08-02 16:05:30.245394	2013-08-02 16:05:30.245394
13814	14	2013-08-02 16:05:30.269536	2013-08-02 16:05:30.269536
13668	2	2013-08-02 16:05:29.936018	2013-08-03 01:39:14.892448
7431	21	2013-08-02 16:05:17.860521	2013-08-03 18:02:16.956251
13677	21	2013-08-02 16:05:29.958505	2013-08-03 02:11:06.038293
13797	14	2013-08-02 16:05:30.228286	2013-08-03 02:14:39.523594
10901	2	2013-08-02 16:05:24.315587	2013-08-03 18:03:06.957681
13743	4	2013-08-02 16:05:30.10348	2013-08-03 02:31:15.71769
13763	2	2013-08-02 16:05:30.140828	2013-08-03 02:31:15.721271
13691	2	2013-08-02 16:05:29.995257	2013-08-03 02:32:07.575173
13803	2	2013-08-02 16:05:30.243025	2013-08-03 02:32:07.585847
13801	2	2013-08-02 16:05:30.238177	2013-08-03 18:17:16.460078
13695	2	2013-08-02 16:05:30.004942	2013-08-03 18:17:18.129829
13670	21	2013-08-02 16:05:29.940878	2013-08-03 18:22:14.484555
12557	21	2013-08-02 16:05:28.25643	2013-08-03 18:27:14.366264
10970	21	2013-08-02 16:05:24.402344	2013-08-03 18:27:14.36802
13810	21	2013-08-02 16:05:30.259498	2013-08-03 18:27:14.369721
4755	21	2013-08-02 16:05:12.979785	2013-08-03 18:27:14.371616
13790	21	2013-08-02 16:05:30.211197	2013-08-03 18:27:14.373444
13770	21	2013-08-02 16:05:30.15949	2013-08-03 18:27:14.37513
13750	21	2013-08-02 16:05:30.111441	2013-08-03 18:27:14.376861
13730	21	2013-08-02 16:05:30.087786	2013-08-03 18:27:14.378522
13661	2	2013-08-02 16:05:29.918726	2013-08-03 18:32:15.630414
13701	21	2013-08-02 16:05:30.019917	2013-08-03 18:37:38.25783
13783	2	2013-08-02 16:05:30.192644	2013-08-03 18:42:36.658161
13626	14	2013-08-02 16:05:29.826969	2013-08-03 19:42:57.462325
13893	21	2013-08-02 16:05:30.433788	2013-08-03 17:10:34.161511
13918	2	2013-08-02 16:05:30.497114	2013-08-04 01:10:51.190249
45253	21	2013-08-02 16:06:40.114979	2013-08-04 21:00:14.05154
13822	2	2013-08-02 16:05:30.290924	2013-08-02 16:05:30.290924
13938	14	2013-08-02 16:05:30.54461	2013-08-03 02:42:41.406608
13824	4	2013-08-02 16:05:30.296042	2013-08-02 16:05:30.296042
8387	21	2013-08-02 16:05:19.735563	2013-08-04 21:00:14.180406
1950	21	2013-08-02 16:05:07.839456	2013-08-04 21:00:14.183106
13928	21	2013-08-02 16:05:30.520797	2013-08-03 17:35:02.919925
13965	14	2013-08-02 16:05:30.608863	2013-08-03 17:35:02.933246
13834	14	2013-08-02 16:05:30.320653	2013-08-02 16:05:30.320653
13873	4	2013-08-02 16:05:30.397865	2013-08-03 17:10:34.170171
12857	21	2013-08-02 16:05:28.914834	2013-08-04 21:00:14.185686
13646	14	2013-08-02 16:05:29.881216	2013-08-04 01:18:52.472539
13853	4	2013-08-02 16:05:30.366044	2013-08-03 17:10:34.175707
31896	21	2013-08-02 16:06:10.172758	2013-08-04 21:00:14.193099
34661	4	2013-08-02 16:06:16.234475	2013-08-03 23:00:48.64583
13842	2	2013-08-02 16:05:30.339662	2013-08-02 16:05:30.339662
13833	4	2013-08-02 16:05:30.318262	2013-08-03 17:10:34.181638
13844	4	2013-08-02 16:05:30.344381	2013-08-02 16:05:30.344381
13706	4	2013-08-02 16:05:30.031865	2013-08-03 19:42:57.489801
17750	14	2013-08-02 16:05:38.633928	2013-08-03 21:06:15.18636
13838	2	2013-08-02 16:05:30.330213	2013-08-03 02:42:41.479489
45232	21	2013-08-02 16:06:40.090274	2013-08-04 21:00:14.200352
23121	21	2013-08-02 16:05:50.490489	2013-08-03 21:09:20.171185
13818	4	2013-08-02 16:05:30.280213	2013-08-03 02:42:41.491684
13945	14	2013-08-02 16:05:30.561133	2013-08-03 17:35:02.97344
13925	14	2013-08-02 16:05:30.513732	2013-08-03 17:35:02.978375
13854	14	2013-08-02 16:05:30.368466	2013-08-02 16:05:30.368466
13795	2	2013-08-02 16:05:30.223541	2013-08-03 19:42:57.497757
45980	21	2013-08-02 16:06:41.489335	2013-08-04 21:00:14.205243
13835	2	2013-08-02 16:05:30.323013	2013-08-03 02:47:01.421641
35846	21	2013-08-02 16:06:19.275422	2013-08-04 21:00:14.229508
1900	21	2013-08-02 16:05:07.720322	2013-08-04 21:00:14.232273
13726	2	2013-08-02 16:05:30.083143	2013-08-03 19:47:25.148282
13937	21	2013-08-02 16:05:30.542227	2013-08-03 19:47:25.972181
13862	2	2013-08-02 16:05:30.386333	2013-08-02 16:05:30.386333
12787	21	2013-08-02 16:05:28.722749	2013-08-04 21:00:14.237346
13864	4	2013-08-02 16:05:30.38815	2013-08-02 16:05:30.38815
13837	14	2013-08-02 16:05:30.327839	2013-08-03 19:52:26.351395
7411	21	2013-08-02 16:05:17.843353	2013-08-04 21:00:14.23991
13858	4	2013-08-02 16:05:30.378445	2013-08-03 02:47:51.905557
12847	21	2013-08-02 16:05:28.903568	2013-08-04 21:00:14.242488
13905	14	2013-08-02 16:05:30.46595	2013-08-03 17:35:02.984802
13932	14	2013-08-02 16:05:30.530292	2013-08-03 17:35:02.991663
13885	14	2013-08-02 16:05:30.414878	2013-08-03 17:35:02.996299
13874	14	2013-08-02 16:05:30.399103	2013-08-02 16:05:30.399103
34601	14	2013-08-02 16:06:16.076131	2013-08-08 01:02:59.752318
13827	14	2013-08-02 16:05:30.30382	2013-08-08 01:02:59.756102
13865	2	2013-08-02 16:05:30.388898	2013-08-03 17:35:03.004154
13738	14	2013-08-02 16:05:30.097545	2013-08-08 01:02:59.75917
13819	2	2013-08-02 16:05:30.282886	2013-08-03 23:53:36.820695
13882	2	2013-08-02 16:05:30.41008	2013-08-02 16:05:30.41008
13915	4	2013-08-02 16:05:30.489983	2013-08-03 02:47:52.259507
13884	4	2013-08-02 16:05:30.413397	2013-08-02 16:05:30.413397
21703	4	2013-08-02 16:05:46.82671	2013-08-03 21:09:20.32344
13958	2	2013-08-02 16:05:30.592133	2013-08-04 01:21:00.5938
13845	2	2013-08-02 16:05:30.346752	2013-08-03 17:35:03.007971
13825	2	2013-08-02 16:05:30.298665	2013-08-03 17:35:03.011497
13894	14	2013-08-02 16:05:30.436439	2013-08-02 16:05:30.436439
13900	2	2013-08-02 16:05:30.452929	2013-08-04 01:21:00.817377
13875	14	2013-08-02 16:05:30.400335	2013-08-03 02:53:04.430582
34581	21	2013-08-02 16:06:16.031878	2013-08-03 23:53:56.98682
13916	2	2013-08-02 16:05:30.492346	2013-08-04 01:21:01.057019
13950	2	2013-08-02 16:05:30.573048	2013-08-04 01:21:01.188516
13902	2	2013-08-02 16:05:30.458314	2013-08-02 16:05:30.458314
13952	4	2013-08-02 16:05:30.577915	2013-08-03 17:11:37.563481
13904	4	2013-08-02 16:05:30.463503	2013-08-02 16:05:30.463503
13872	4	2013-08-02 16:05:30.396607	2013-08-03 17:20:35.669363
13973	4	2013-08-02 16:05:30.627952	2013-08-03 17:20:36.56364
13936	21	2013-08-02 16:05:30.539769	2013-08-04 01:25:47.01988
10855	2	2013-08-02 16:05:24.274618	2013-08-03 21:39:32.166071
13914	14	2013-08-02 16:05:30.487607	2013-08-02 16:05:30.487607
13953	4	2013-08-02 16:05:30.580171	2013-08-03 17:20:36.567344
13933	4	2013-08-02 16:05:30.532684	2013-08-03 17:20:36.570904
13913	4	2013-08-02 16:05:30.485227	2013-08-03 17:20:36.574705
13836	21	2013-08-02 16:05:30.32542	2013-08-04 01:28:57.235499
13922	2	2013-08-02 16:05:30.506641	2013-08-02 16:05:30.506641
13924	4	2013-08-02 16:05:30.511343	2013-08-02 16:05:30.511343
13935	2	2013-08-02 16:05:30.537431	2013-08-04 01:35:47.948133
13856	2	2013-08-02 16:05:30.373328	2013-08-04 01:50:58.457322
13940	14	2013-08-02 16:05:30.549302	2013-08-03 17:35:20.628899
13896	2	2013-08-02 16:05:30.441739	2013-08-04 01:50:58.65091
13934	14	2013-08-02 16:05:30.535043	2013-08-02 16:05:30.535043
13876	2	2013-08-02 16:05:30.401953	2013-08-04 01:50:59.126498
25993	2	2013-08-02 16:05:56.432982	2013-08-04 02:05:55.174065
25973	2	2013-08-02 16:05:56.231643	2013-08-04 02:05:55.178745
25953	2	2013-08-02 16:05:56.178492	2013-08-04 02:05:55.182189
25933	2	2013-08-02 16:05:56.125444	2013-08-04 02:05:55.186506
13942	2	2013-08-02 16:05:30.554048	2013-08-02 16:05:30.554048
13880	2	2013-08-02 16:05:30.407203	2013-08-03 17:47:05.388382
13944	4	2013-08-02 16:05:30.558771	2013-08-02 16:05:30.558771
25913	2	2013-08-02 16:05:56.072602	2013-08-04 02:05:55.190943
25853	2	2013-08-02 16:05:55.918307	2013-08-04 02:05:55.20975
25833	2	2013-08-02 16:05:55.870928	2013-08-04 02:05:55.214056
25813	2	2013-08-02 16:05:55.822676	2013-08-04 02:05:55.217957
35510	2	2013-08-02 16:06:18.46581	2013-08-04 02:05:55.222338
35617	2	2013-08-02 16:06:18.826804	2013-08-04 02:05:55.226413
13954	14	2013-08-02 16:05:30.582534	2013-08-02 16:05:30.582534
11880	4	2013-08-02 16:05:26.684078	2013-08-03 17:55:21.882079
35981	2	2013-08-02 16:06:19.606307	2013-08-04 02:05:55.332306
35957	2	2013-08-02 16:06:19.544989	2013-08-04 02:05:55.337046
35937	2	2013-08-02 16:06:19.497795	2013-08-04 02:05:55.354048
35917	2	2013-08-02 16:06:19.449089	2013-08-04 02:05:55.35916
13962	2	2013-08-02 16:05:30.601642	2013-08-02 16:05:30.601642
11850	2	2013-08-02 16:05:26.606702	2013-08-03 17:55:21.885286
13964	4	2013-08-02 16:05:30.606455	2013-08-02 16:05:30.606455
15033	2	2013-08-02 16:05:33.27423	2013-08-04 02:05:55.363279
13948	4	2013-08-02 16:05:30.568329	2013-08-03 01:43:47.646203
13963	2	2013-08-02 16:05:30.604037	2013-08-03 02:32:07.511632
13943	2	2013-08-02 16:05:30.556393	2013-08-03 02:32:07.516308
13923	2	2013-08-02 16:05:30.509002	2013-08-03 02:32:07.521366
13903	2	2013-08-02 16:05:30.461016	2013-08-03 02:32:07.527273
13883	2	2013-08-02 16:05:30.411705	2013-08-03 02:32:07.53469
13863	2	2013-08-02 16:05:30.387224	2013-08-03 02:32:07.545252
13843	2	2013-08-02 16:05:30.342034	2013-08-03 02:32:07.553752
13823	2	2013-08-02 16:05:30.293601	2013-08-03 02:32:07.56447
24323	21	2013-08-02 16:05:52.815349	2013-08-03 18:02:16.947363
8819	14	2013-08-02 16:05:20.807369	2013-08-03 18:09:35.213543
11870	21	2013-08-02 16:05:26.657988	2013-08-03 18:17:16.239101
13961	21	2013-08-02 16:05:30.599263	2013-08-03 18:17:16.2428
13941	21	2013-08-02 16:05:30.551648	2013-08-03 18:17:16.246533
13921	21	2013-08-02 16:05:30.504251	2013-08-03 18:17:16.250239
13850	14	2013-08-02 16:05:30.358678	2013-08-03 18:29:57.568415
13852	14	2013-08-02 16:05:30.363617	2013-08-03 18:30:24.002886
13910	21	2013-08-02 16:05:30.47804	2013-08-03 18:42:35.847574
7737	21	2013-08-02 16:05:18.234988	2013-08-03 18:42:35.850944
13974	14	2013-08-02 16:05:30.630347	2013-08-02 16:05:30.630347
12966	21	2013-08-02 16:05:29.027507	2013-08-04 21:00:14.245032
14112	4	2013-08-02 16:05:30.97029	2013-08-03 17:20:36.458606
14092	4	2013-08-02 16:05:30.918481	2013-08-03 17:20:36.469976
14059	21	2013-08-02 16:05:30.833666	2013-08-04 00:11:54.204241
24960	2	2013-08-02 16:05:53.705099	2013-08-03 21:09:20.379709
27315	2	2013-08-02 16:05:59.404403	2013-08-03 21:09:20.392962
13982	2	2013-08-02 16:05:30.649453	2013-08-02 16:05:30.649453
14072	4	2013-08-02 16:05:30.865283	2013-08-03 17:20:36.480493
13984	4	2013-08-02 16:05:30.654174	2013-08-02 16:05:30.654174
12867	21	2013-08-02 16:05:28.924359	2013-08-04 21:00:14.247656
11608	2	2013-08-02 16:05:26.047311	2013-08-03 21:09:20.398026
35806	21	2013-08-02 16:06:19.175214	2013-08-04 21:00:14.250248
41623	21	2013-08-02 16:06:31.616439	2013-08-04 21:00:14.287572
26995	2	2013-08-02 16:05:58.616935	2013-08-03 21:09:20.403479
14052	4	2013-08-02 16:05:30.817148	2013-08-03 17:20:36.486068
24178	4	2013-08-02 16:05:52.666506	2013-08-03 19:42:57.610865
13994	14	2013-08-02 16:05:30.678099	2013-08-02 16:05:30.678099
14032	4	2013-08-02 16:05:30.769518	2013-08-03 17:20:36.49006
35315	21	2013-08-02 16:06:17.986255	2013-08-04 21:00:14.29043
13997	14	2013-08-02 16:05:30.685702	2013-08-03 02:36:27.746527
14012	4	2013-08-02 16:05:30.722287	2013-08-03 17:20:36.494729
14103	4	2013-08-02 16:05:30.947001	2013-08-04 01:18:52.48444
17698	21	2013-08-02 16:05:38.563168	2013-08-04 21:00:14.291356
14002	2	2013-08-02 16:05:30.698558	2013-08-02 16:05:30.698558
14118	21	2013-08-02 16:05:30.98548	2013-08-03 02:42:41.383304
14004	4	2013-08-02 16:05:30.70331	2013-08-02 16:05:30.70331
32016	21	2013-08-02 16:06:10.405292	2013-08-04 21:00:14.292143
14098	21	2013-08-02 16:05:30.933778	2013-08-03 02:42:41.384607
31916	21	2013-08-02 16:06:10.203803	2013-08-04 21:00:14.292919
14078	21	2013-08-02 16:05:30.879757	2013-08-03 02:42:41.386077
43603	14	2013-08-02 16:06:36.205196	2013-08-03 19:42:57.647597
8119	21	2013-08-02 16:05:19.070069	2013-08-04 21:00:14.293668
14014	14	2013-08-02 16:05:30.726988	2013-08-02 16:05:30.726988
14093	4	2013-08-02 16:05:30.921035	2013-08-03 17:20:36.533632
14058	21	2013-08-02 16:05:30.831279	2013-08-03 02:42:41.387514
14073	4	2013-08-02 16:05:30.86768	2013-08-03 17:20:36.538173
13788	2	2013-08-02 16:05:30.20589	2013-08-04 01:18:52.486327
14130	21	2013-08-02 16:05:31.011049	2013-08-03 19:52:26.265155
14126	21	2013-08-02 16:05:31.006998	2013-08-03 19:52:26.266185
14022	2	2013-08-02 16:05:30.745871	2013-08-02 16:05:30.745871
14038	21	2013-08-02 16:05:30.783904	2013-08-03 02:42:41.388595
14024	4	2013-08-02 16:05:30.750625	2013-08-02 16:05:30.750625
21288	21	2013-08-02 16:05:45.670322	2013-08-03 19:52:26.267162
14123	4	2013-08-02 16:05:30.998819	2013-08-03 21:09:20.45627
14018	21	2013-08-02 16:05:30.736405	2013-08-03 02:42:41.389555
14106	21	2013-08-02 16:05:30.955018	2013-08-03 19:52:26.268542
14115	21	2013-08-02 16:05:30.977492	2013-08-03 02:47:52.229604
24295	4	2013-08-02 16:05:52.786737	2013-08-03 21:09:20.460219
14034	14	2013-08-02 16:05:30.774294	2013-08-02 16:05:30.774294
14053	4	2013-08-02 16:05:30.819499	2013-08-03 17:20:36.544365
15340	21	2013-08-02 16:05:33.63238	2013-08-04 21:00:26.473203
14095	21	2013-08-02 16:05:30.926365	2013-08-03 02:47:52.230901
14033	4	2013-08-02 16:05:30.771852	2013-08-03 17:20:36.552072
14097	21	2013-08-02 16:05:30.931339	2013-08-08 01:03:00.590665
14520	4	2013-08-02 16:05:32.040806	2013-08-03 23:53:36.931095
14042	2	2013-08-02 16:05:30.793349	2013-08-02 16:05:30.793349
14075	21	2013-08-02 16:05:30.872475	2013-08-03 02:47:52.231899
14044	4	2013-08-02 16:05:30.798069	2013-08-02 16:05:30.798069
14016	4	2013-08-02 16:05:30.731675	2013-08-04 01:21:00.038256
14055	21	2013-08-02 16:05:30.824257	2013-08-03 02:47:52.233019
14039	14	2013-08-02 16:05:30.786284	2013-08-03 23:53:57.16551
14035	21	2013-08-02 16:05:30.776755	2013-08-03 02:47:52.234097
14086	14	2013-08-02 16:05:30.902461	2013-08-03 21:44:33.903722
14054	14	2013-08-02 16:05:30.82189	2013-08-02 16:05:30.82189
14015	21	2013-08-02 16:05:30.729334	2013-08-03 02:47:52.235169
13976	21	2013-08-02 16:05:30.635156	2013-08-04 01:21:00.187909
14062	2	2013-08-02 16:05:30.841174	2013-08-02 16:05:30.841174
14064	4	2013-08-02 16:05:30.845965	2013-08-02 16:05:30.845965
13995	21	2013-08-02 16:05:30.680771	2013-08-03 02:47:52.236202
14074	14	2013-08-02 16:05:30.87009	2013-08-02 16:05:30.87009
13975	14	2013-08-02 16:05:30.632815	2013-08-03 02:47:52.243785
14076	14	2013-08-02 16:05:30.874887	2013-08-04 01:23:44.979174
14082	2	2013-08-02 16:05:30.891889	2013-08-02 16:05:30.891889
14084	4	2013-08-02 16:05:30.897206	2013-08-02 16:05:30.897206
8719	2	2013-08-02 16:05:20.56846	2013-08-03 17:55:21.951048
14116	2	2013-08-02 16:05:30.980179	2013-08-04 01:25:47.577398
14094	14	2013-08-02 16:05:30.923648	2013-08-02 16:05:30.923648
7286	2	2013-08-02 16:05:17.702739	2013-08-04 01:25:47.795377
14096	2	2013-08-02 16:05:30.928907	2013-08-04 01:25:48.033037
14036	21	2013-08-02 16:05:30.779105	2013-08-04 01:28:57.238467
14050	21	2013-08-02 16:05:30.81236	2013-08-04 01:28:57.241252
14102	2	2013-08-02 16:05:30.944319	2013-08-02 16:05:30.944319
14019	2	2013-08-02 16:05:30.738761	2013-08-04 01:50:58.639839
14104	4	2013-08-02 16:05:30.949705	2013-08-02 16:05:30.949705
14056	2	2013-08-02 16:05:30.826538	2013-08-04 01:50:58.924631
3389	2	2013-08-02 16:05:10.263438	2013-08-04 01:50:58.9349
13996	2	2013-08-02 16:05:30.683259	2013-08-04 01:50:58.945345
35897	2	2013-08-02 16:06:19.401074	2013-08-04 02:05:55.36795
4395	14	2013-08-02 16:05:12.554546	2013-08-03 17:55:21.987824
35877	2	2013-08-02 16:06:19.352298	2013-08-04 02:05:55.373257
14114	14	2013-08-02 16:05:30.975111	2013-08-02 16:05:30.975111
35898	2	2013-08-02 16:06:19.4034	2013-08-04 02:05:55.379681
35857	2	2013-08-02 16:06:19.301372	2013-08-04 02:05:55.390797
35830	2	2013-08-02 16:06:19.23746	2013-08-04 02:05:55.401023
35837	2	2013-08-02 16:06:19.25409	2013-08-04 02:05:55.412857
35817	2	2013-08-02 16:06:19.204355	2013-08-04 02:05:55.419225
17459	2	2013-08-02 16:05:38.02769	2013-08-04 02:05:55.562093
14122	2	2013-08-02 16:05:30.996135	2013-08-02 16:05:30.996135
17439	2	2013-08-02 16:05:37.975553	2013-08-04 02:05:55.566692
14124	4	2013-08-02 16:05:31.001487	2013-08-02 16:05:31.001487
17531	2	2013-08-02 16:05:38.213803	2013-08-04 02:05:55.571044
35557	2	2013-08-02 16:06:18.784557	2013-08-04 02:05:55.583802
49430	2	2013-08-02 16:06:49.011807	2013-08-04 02:07:59.502812
13988	2	2013-08-02 16:05:30.663604	2013-08-03 01:43:47.652426
14088	14	2013-08-02 16:05:30.907778	2013-08-03 01:45:30.301037
14068	14	2013-08-02 16:05:30.85556	2013-08-03 01:45:30.311247
14048	2	2013-08-02 16:05:30.807559	2013-08-03 01:45:30.322133
14028	2	2013-08-02 16:05:30.760049	2013-08-03 01:45:30.332452
13977	4	2013-08-02 16:05:30.637591	2013-08-03 02:14:39.561003
14017	2	2013-08-02 16:05:30.73407	2013-08-03 02:14:39.570366
14043	2	2013-08-02 16:05:30.795722	2013-08-03 02:32:07.4814
14023	2	2013-08-02 16:05:30.74824	2013-08-03 02:32:07.491554
14003	2	2013-08-02 16:05:30.700946	2013-08-03 02:32:07.500159
13983	2	2013-08-02 16:05:30.651802	2013-08-03 02:32:07.506848
14000	4	2013-08-02 16:05:30.693686	2013-08-03 18:14:40.955071
13981	21	2013-08-02 16:05:30.647041	2013-08-03 18:17:16.231216
13992	21	2013-08-02 16:05:30.673203	2013-08-03 18:17:16.235514
14037	21	2013-08-02 16:05:30.781546	2013-08-03 18:22:12.731095
14008	21	2013-08-02 16:05:30.712804	2013-08-03 18:22:12.734894
14121	21	2013-08-02 16:05:30.99347	2013-08-03 18:22:12.738504
13990	2	2013-08-02 16:05:30.668297	2013-08-03 18:29:57.585799
21268	21	2013-08-02 16:05:45.624971	2013-08-03 18:32:15.210477
14077	21	2013-08-02 16:05:30.87737	2013-08-03 18:32:15.211482
14110	2	2013-08-02 16:05:30.965497	2013-08-03 18:32:15.243044
14090	4	2013-08-02 16:05:30.913169	2013-08-03 18:32:15.256037
41272	2	2013-08-02 16:06:30.523674	2013-08-04 01:10:51.181688
14134	14	2013-08-02 16:05:31.015565	2013-08-02 16:05:31.015565
14158	4	2013-08-02 16:05:31.079061	2013-08-03 17:20:36.382226
14212	4	2013-08-02 16:05:31.217137	2013-08-03 17:20:36.392434
23537	21	2013-08-02 16:05:51.46725	2013-08-03 22:05:19.090567
14142	2	2013-08-02 16:05:31.037018	2013-08-02 16:05:31.037018
14192	4	2013-08-02 16:05:31.168214	2013-08-03 17:20:36.403145
14144	4	2013-08-02 16:05:31.042296	2013-08-02 16:05:31.042296
28292	21	2013-08-02 16:06:01.59806	2013-08-03 21:09:20.721748
28352	21	2013-08-02 16:06:01.662045	2013-08-03 21:09:20.726036
28012	21	2013-08-02 16:06:01.12338	2013-08-03 21:09:20.729639
15597	4	2013-08-02 16:05:33.877241	2013-08-03 19:42:57.702081
14140	4	2013-08-02 16:05:31.031584	2013-08-03 17:35:20.650706
5266	21	2013-08-02 16:05:13.551309	2013-08-03 21:09:20.733465
14154	14	2013-08-02 16:05:31.068456	2013-08-02 16:05:31.068456
14172	4	2013-08-02 16:05:31.117456	2013-08-03 17:20:36.414108
2571	2	2013-08-02 16:05:08.916828	2013-08-04 17:13:02.4804
14146	21	2013-08-02 16:05:31.047462	2013-08-03 19:52:26.263716
14152	4	2013-08-02 16:05:31.063343	2013-08-03 17:20:36.425071
5246	21	2013-08-02 16:05:13.526476	2013-08-03 21:09:20.737227
2667	21	2013-08-02 16:05:09.057113	2013-08-04 17:13:51.054248
14162	2	2013-08-02 16:05:31.089792	2013-08-02 16:05:31.089792
14163	4	2013-08-02 16:05:31.09243	2013-08-03 17:20:36.436207
14164	4	2013-08-02 16:05:31.095271	2013-08-02 16:05:31.095271
34665	2	2013-08-02 16:06:16.245322	2013-08-03 23:00:48.647675
14226	14	2013-08-02 16:05:31.250814	2013-08-03 19:54:07.415809
14180	2	2013-08-02 16:05:31.137517	2013-08-03 17:35:20.6567
14174	14	2013-08-02 16:05:31.121768	2013-08-02 16:05:31.121768
14132	4	2013-08-02 16:05:31.012481	2013-08-03 17:20:36.447592
35826	21	2013-08-02 16:06:19.227868	2013-08-04 21:00:14.475292
31976	21	2013-08-02 16:06:10.319772	2013-08-04 21:00:26.015531
14273	4	2013-08-02 16:05:31.36933	2013-08-03 17:20:36.666873
14199	4	2013-08-02 16:05:31.185374	2013-08-04 01:23:45.014875
14155	14	2013-08-02 16:05:31.071199	2013-08-08 01:03:01.209773
14236	2	2013-08-02 16:05:31.274652	2013-08-04 01:23:45.021462
14182	2	2013-08-02 16:05:31.142418	2013-08-02 16:05:31.142418
14160	4	2013-08-02 16:05:31.084386	2013-08-03 17:42:01.123077
14184	4	2013-08-02 16:05:31.147627	2013-08-02 16:05:31.147627
21919	14	2013-08-02 16:05:47.347224	2013-08-04 17:13:51.089201
14177	4	2013-08-02 16:05:31.129731	2013-08-03 17:42:01.287807
14272	14	2013-08-02 16:05:31.366596	2013-08-08 01:03:01.212606
14256	2	2013-08-02 16:05:31.324128	2013-08-04 01:25:46.677964
21839	21	2013-08-02 16:05:47.157915	2013-08-04 17:14:02.92203
14285	4	2013-08-02 16:05:31.497484	2013-08-03 17:42:01.292608
14265	4	2013-08-02 16:05:31.348485	2013-08-03 17:42:01.29796
14194	14	2013-08-02 16:05:31.173051	2013-08-02 16:05:31.173051
14245	4	2013-08-02 16:05:31.296136	2013-08-03 17:42:01.306263
14252	14	2013-08-02 16:05:31.313488	2013-08-08 01:03:01.215323
14225	4	2013-08-02 16:05:31.248387	2013-08-03 17:42:01.314718
14196	21	2013-08-02 16:05:31.177861	2013-08-04 01:25:46.855915
21899	21	2013-08-02 16:05:47.299708	2013-08-04 17:14:14.949477
2655	2	2013-08-02 16:05:09.048108	2013-08-04 17:16:51.199354
14202	2	2013-08-02 16:05:31.19312	2013-08-02 16:05:31.19312
14205	4	2013-08-02 16:05:31.200395	2013-08-03 17:42:01.32491
14204	4	2013-08-02 16:05:31.197983	2013-08-02 16:05:31.197983
18780	14	2013-08-02 16:05:40.321215	2013-08-08 01:03:01.218005
21879	2	2013-08-02 16:05:47.252576	2013-08-04 17:16:53.424193
14229	21	2013-08-02 16:05:31.257963	2013-08-04 18:22:29.922687
14147	14	2013-08-02 16:05:31.050081	2013-08-08 01:03:01.220832
13686	14	2013-08-02 16:05:29.982737	2013-08-03 21:39:31.483403
14185	4	2013-08-02 16:05:31.150282	2013-08-03 17:42:01.334977
14165	4	2013-08-02 16:05:31.098225	2013-08-03 17:42:01.345358
14214	14	2013-08-02 16:05:31.222172	2013-08-02 16:05:31.222172
14145	4	2013-08-02 16:05:31.044967	2013-08-03 17:42:01.355486
14232	14	2013-08-02 16:05:31.265094	2013-08-08 01:03:01.2238
14138	21	2013-08-02 16:05:31.026252	2013-08-03 02:42:41.381565
14261	14	2013-08-02 16:05:31.337674	2013-08-04 01:38:40.857063
14243	14	2013-08-02 16:05:31.291341	2013-08-03 23:58:34.458899
14222	2	2013-08-02 16:05:31.241268	2013-08-02 16:05:31.241268
14224	4	2013-08-02 16:05:31.246015	2013-08-02 16:05:31.246015
14179	21	2013-08-02 16:05:31.134847	2013-08-03 23:58:34.533688
3549	14	2013-08-02 16:05:10.679415	2013-08-03 23:58:45.149126
14234	14	2013-08-02 16:05:31.26984	2013-08-02 16:05:31.26984
14215	14	2013-08-02 16:05:31.224579	2013-08-04 18:24:27.788584
14270	2	2013-08-02 16:05:31.361336	2013-08-04 01:41:01.386368
21228	21	2013-08-02 16:05:45.552838	2013-08-04 18:24:27.836198
14195	2	2013-08-02 16:05:31.1754	2013-08-04 01:41:01.588285
14221	2	2013-08-02 16:05:31.238892	2013-08-04 01:41:01.805577
14156	2	2013-08-02 16:05:31.073727	2013-08-04 01:50:57.591989
14242	2	2013-08-02 16:05:31.288987	2013-08-02 16:05:31.288987
14244	4	2013-08-02 16:05:31.293748	2013-08-02 16:05:31.293748
14241	2	2013-08-02 16:05:31.286608	2013-08-04 01:50:58.629766
14276	2	2013-08-02 16:05:31.48753	2013-08-04 01:50:58.90494
14216	2	2013-08-02 16:05:31.226954	2013-08-04 01:50:58.913898
14176	2	2013-08-02 16:05:31.127079	2013-08-04 01:50:59.114439
11810	2	2013-08-02 16:05:26.503335	2013-08-04 01:55:52.049457
17863	14	2013-08-02 16:05:38.746608	2013-08-04 18:27:20.276118
28140	4	2013-08-02 16:06:01.255612	2013-08-04 02:08:13.344222
14254	14	2013-08-02 16:05:31.318725	2013-08-02 16:05:31.318725
14269	2	2013-08-02 16:05:31.358894	2013-08-04 18:27:20.39687
14218	2	2013-08-02 16:05:31.231726	2013-08-04 18:27:20.554073
6704	2	2013-08-02 16:05:16.825793	2013-08-04 02:08:13.350429
14249	2	2013-08-02 16:05:31.305602	2013-08-04 18:27:20.694034
14262	2	2013-08-02 16:05:31.340353	2013-08-02 16:05:31.340353
17923	2	2013-08-02 16:05:38.830148	2013-08-03 17:55:22.005607
14264	4	2013-08-02 16:05:31.345779	2013-08-02 16:05:31.345779
14274	14	2013-08-02 16:05:31.371824	2013-08-02 16:05:31.371824
14282	2	2013-08-02 16:05:31.494417	2013-08-02 16:05:31.494417
14284	4	2013-08-02 16:05:31.496454	2013-08-02 16:05:31.496454
14197	4	2013-08-02 16:05:31.180416	2013-08-03 02:15:37.125539
14237	2	2013-08-02 16:05:31.277062	2013-08-03 02:15:37.127676
14277	2	2013-08-02 16:05:31.488938	2013-08-03 02:16:25.66333
14238	4	2013-08-02 16:05:31.279412	2013-08-03 02:47:51.9004
14135	21	2013-08-02 16:05:31.018107	2013-08-03 02:47:52.228025
14235	21	2013-08-02 16:05:31.272215	2013-08-03 02:53:04.422211
21208	21	2013-08-02 16:05:45.497545	2013-08-03 18:02:16.236044
14271	21	2013-08-02 16:05:31.363943	2013-08-03 18:17:18.041934
14251	21	2013-08-02 16:05:31.310734	2013-08-03 18:17:18.045812
14178	21	2013-08-02 16:05:31.132194	2013-08-03 18:17:18.049167
14201	21	2013-08-02 16:05:31.190515	2013-08-03 18:22:12.712801
14181	21	2013-08-02 16:05:31.139976	2013-08-03 18:22:12.71677
14200	21	2013-08-02 16:05:31.188098	2013-08-03 18:22:12.719954
14161	21	2013-08-02 16:05:31.087152	2013-08-03 18:22:12.723527
14141	21	2013-08-02 16:05:31.034267	2013-08-03 18:22:12.727308
18063	14	2013-08-02 16:05:39.10211	2013-08-03 18:23:00.747707
14281	2	2013-08-02 16:05:31.493398	2013-08-03 18:27:14.79604
14230	21	2013-08-02 16:05:31.260308	2013-08-03 18:32:15.203291
14210	21	2013-08-02 16:05:31.212333	2013-08-03 18:32:15.205159
14190	21	2013-08-02 16:05:31.163348	2013-08-03 18:32:15.206228
14170	21	2013-08-02 16:05:31.112001	2013-08-03 18:32:15.20727
14203	21	2013-08-02 16:05:31.195571	2013-08-03 18:32:15.208324
14150	21	2013-08-02 16:05:31.058009	2013-08-03 18:32:15.209368
14198	2	2013-08-02 16:05:31.182942	2013-08-03 18:37:39.65922
14303	4	2013-08-02 16:05:31.521676	2013-08-03 02:36:27.759782
1982	21	2013-08-02 16:05:07.913348	2013-08-04 21:00:14.478068
3061	2	2013-08-02 16:05:09.52552	2013-08-03 19:42:57.7056
43943	21	2013-08-02 16:06:37.008781	2013-08-03 19:47:24.885067
14372	21	2013-08-02 16:05:31.676336	2013-08-03 17:35:03.972291
14294	14	2013-08-02 16:05:31.50884	2013-08-02 16:05:31.50884
14433	4	2013-08-02 16:05:31.82209	2013-08-03 17:20:36.626916
12807	21	2013-08-02 16:05:28.862735	2013-08-04 21:00:14.480752
14323	2	2013-08-02 16:05:31.55477	2013-08-03 02:36:27.761697
14413	4	2013-08-02 16:05:31.774638	2013-08-03 17:20:36.632838
39063	21	2013-08-02 16:06:26.406364	2013-08-04 21:00:14.483409
43923	21	2013-08-02 16:06:36.981623	2013-08-03 19:47:24.88669
43903	21	2013-08-02 16:06:36.957495	2013-08-03 19:47:24.88774
14302	2	2013-08-02 16:05:31.520213	2013-08-02 16:05:31.520213
14393	4	2013-08-02 16:05:31.726606	2013-08-03 17:20:36.637909
14304	4	2013-08-02 16:05:31.523127	2013-08-02 16:05:31.523127
43883	21	2013-08-02 16:06:36.913201	2013-08-03 19:47:24.88878
21830	14	2013-08-02 16:05:47.136607	2013-08-03 22:04:22.938098
2039	21	2013-08-02 16:05:08.016429	2013-08-04 21:00:14.486193
1961	21	2013-08-02 16:05:07.859313	2013-08-04 21:00:14.488946
12986	21	2013-08-02 16:05:29.045151	2013-08-04 21:00:14.491578
19328	2	2013-08-02 16:05:41.675901	2013-08-03 21:09:20.904059
14314	14	2013-08-02 16:05:31.538902	2013-08-02 16:05:31.538902
14373	4	2013-08-02 16:05:31.678755	2013-08-03 17:20:36.642158
12887	21	2013-08-02 16:05:28.948035	2013-08-04 21:00:14.494279
14443	2	2013-08-02 16:05:31.845902	2013-08-03 02:37:17.691758
14353	4	2013-08-02 16:05:31.626113	2013-08-03 17:20:36.646348
32001	21	2013-08-02 16:06:10.371525	2013-08-04 21:00:14.50481
43763	14	2013-08-02 16:06:36.607908	2013-08-03 19:47:24.95509
12651	2	2013-08-02 16:05:28.420434	2013-08-03 21:09:20.907529
14322	2	2013-08-02 16:05:31.552928	2013-08-02 16:05:31.552928
14333	4	2013-08-02 16:05:31.573642	2013-08-03 17:20:36.652708
14324	4	2013-08-02 16:05:31.556623	2013-08-02 16:05:31.556623
14419	4	2013-08-02 16:05:31.788808	2013-08-04 01:38:40.870029
14423	2	2013-08-02 16:05:31.798293	2013-08-03 02:37:17.701773
23081	2	2013-08-02 16:05:50.430873	2013-08-03 21:09:21.146847
14326	2	2013-08-02 16:05:31.560345	2013-08-03 19:54:07.439522
14306	2	2013-08-02 16:05:31.526219	2013-08-03 19:57:23.647308
14334	14	2013-08-02 16:05:31.57552	2013-08-02 16:05:31.57552
14313	4	2013-08-02 16:05:31.537383	2013-08-03 17:20:36.657627
14403	2	2013-08-02 16:05:31.750873	2013-08-03 02:37:17.71176
22019	2	2013-08-02 16:05:47.585127	2013-08-04 17:16:51.869223
13781	2	2013-08-02 16:05:30.187251	2013-08-03 21:09:21.157642
14430	14	2013-08-02 16:05:31.814969	2013-08-03 19:57:23.915206
14342	2	2013-08-02 16:05:31.596487	2013-08-02 16:05:31.596487
14344	4	2013-08-02 16:05:31.601895	2013-08-02 16:05:31.601895
14401	14	2013-08-02 16:05:31.746068	2013-08-03 19:57:23.918848
14383	2	2013-08-02 16:05:31.702723	2013-08-03 02:37:17.72169
14305	21	2013-08-02 16:05:31.524605	2013-08-03 17:42:01.27336
14354	14	2013-08-02 16:05:31.628782	2013-08-02 16:05:31.628782
14295	4	2013-08-02 16:05:31.51011	2013-08-03 17:42:01.522374
14363	2	2013-08-02 16:05:31.652917	2013-08-03 02:37:17.731598
14425	4	2013-08-02 16:05:31.80307	2013-08-03 17:42:01.532674
14376	21	2013-08-02 16:05:31.685961	2013-08-04 01:41:00.609037
4708	14	2013-08-02 16:05:12.879444	2013-08-08 01:03:01.918835
14307	14	2013-08-02 16:05:31.527844	2013-08-08 01:03:01.922188
14362	2	2013-08-02 16:05:31.650223	2013-08-02 16:05:31.650223
14405	4	2013-08-02 16:05:31.75564	2013-08-03 17:42:01.540674
14364	4	2013-08-02 16:05:31.65558	2013-08-02 16:05:31.65558
43823	2	2013-08-02 16:06:36.759021	2013-08-04 01:50:57.487575
14336	2	2013-08-02 16:05:31.580612	2013-08-04 01:50:57.581773
39903	14	2013-08-02 16:06:28.225678	2013-08-03 23:12:32.027231
14356	14	2013-08-02 16:05:31.634065	2013-08-08 01:03:01.924739
14296	2	2013-08-02 16:05:31.511359	2013-08-04 01:50:59.104059
14352	14	2013-08-02 16:05:31.623468	2013-08-08 01:03:01.926394
14385	4	2013-08-02 16:05:31.70751	2013-08-03 17:42:01.549202
14374	14	2013-08-02 16:05:31.681179	2013-08-02 16:05:31.681179
14298	4	2013-08-02 16:05:31.514128	2013-08-03 17:42:01.553502
14289	21	2013-08-02 16:05:31.502128	2013-08-04 18:24:39.492664
14318	4	2013-08-02 16:05:31.54568	2013-08-03 02:47:01.565655
14365	4	2013-08-02 16:05:31.658284	2013-08-03 17:42:01.557759
21999	21	2013-08-02 16:05:47.531702	2013-08-04 18:27:18.869581
14316	2	2013-08-02 16:05:31.542038	2013-08-04 18:27:18.954207
14382	2	2013-08-02 16:05:31.700328	2013-08-02 16:05:31.700328
14345	4	2013-08-02 16:05:31.604641	2013-08-03 17:42:01.562901
14384	4	2013-08-02 16:05:31.705145	2013-08-02 16:05:31.705145
14390	2	2013-08-02 16:05:31.719437	2013-08-04 18:27:19.897458
14439	14	2013-08-02 16:05:31.836307	2013-08-03 23:54:19.943737
14341	2	2013-08-02 16:05:31.593924	2013-08-04 18:27:19.901524
14379	21	2013-08-02 16:05:31.693171	2013-08-03 23:58:34.534556
9759	2	2013-08-02 16:05:22.973116	2013-08-04 18:27:19.905579
9076	14	2013-08-02 16:05:21.418846	2013-08-03 17:55:22.10416
14394	14	2013-08-02 16:05:31.729009	2013-08-02 16:05:31.729009
14416	21	2013-08-02 16:05:31.781795	2013-08-04 02:05:54.110915
14309	14	2013-08-02 16:05:31.531009	2013-08-04 18:27:20.057878
14358	2	2013-08-02 16:05:31.639438	2013-08-03 02:47:01.572362
14399	4	2013-08-02 16:05:31.741019	2013-08-04 00:00:22.829191
14343	2	2013-08-02 16:05:31.599195	2013-08-04 02:05:54.765414
14402	2	2013-08-02 16:05:31.74849	2013-08-02 16:05:31.74849
14311	2	2013-08-02 16:05:31.534126	2013-08-04 02:05:54.98205
14404	4	2013-08-02 16:05:31.753277	2013-08-02 16:05:31.753277
8759	2	2013-08-02 16:05:20.663081	2013-08-04 02:05:55.103175
49135	4	2013-08-02 16:06:48.254712	2013-08-04 02:08:24.241337
49095	2	2013-08-02 16:06:48.146247	2013-08-04 02:08:24.248431
14414	14	2013-08-02 16:05:31.777032	2013-08-02 16:05:31.777032
14338	2	2013-08-02 16:05:31.58596	2013-08-03 02:47:51.571673
214	4	2013-08-02 16:05:04.527654	2013-08-04 02:10:49.24796
14422	2	2013-08-02 16:05:31.795867	2013-08-02 16:05:31.795867
14424	4	2013-08-02 16:05:31.800706	2013-08-02 16:05:31.800706
14434	14	2013-08-02 16:05:31.824436	2013-08-02 16:05:31.824436
4925	4	2013-08-02 16:05:13.117752	2013-08-03 17:55:22.135914
14442	2	2013-08-02 16:05:31.843532	2013-08-02 16:05:31.843532
4610	2	2013-08-02 16:05:12.793981	2013-08-03 17:55:22.143189
14444	4	2013-08-02 16:05:31.848344	2013-08-02 16:05:31.848344
14437	14	2013-08-02 16:05:31.831564	2013-08-03 02:16:25.588115
14315	4	2013-08-02 16:05:31.540353	2013-08-03 02:52:17.137364
14355	2	2013-08-02 16:05:31.631417	2013-08-03 02:52:17.144671
14335	2	2013-08-02 16:05:31.577883	2013-08-03 02:53:03.891616
14395	2	2013-08-02 16:05:31.731383	2013-08-03 02:53:04.986715
14143	4	2013-08-02 16:05:31.039665	2013-08-03 17:57:11.258014
4969	4	2013-08-02 16:05:13.160481	2013-08-03 17:57:11.26198
14351	14	2013-08-02 16:05:31.620838	2013-08-03 18:18:42.639775
14371	2	2013-08-02 16:05:31.673944	2013-08-03 18:22:15.175958
14291	4	2013-08-02 16:05:31.504881	2013-08-03 18:22:15.432015
14331	14	2013-08-02 16:05:31.569877	2013-08-03 18:22:16.290869
14421	4	2013-08-02 16:05:31.793518	2013-08-03 18:23:00.767096
14441	2	2013-08-02 16:05:31.841166	2013-08-03 18:23:00.773391
14378	14	2013-08-02 16:05:31.690762	2013-08-03 18:23:21.185067
14301	2	2013-08-02 16:05:31.518766	2013-08-03 18:27:14.646494
14418	14	2013-08-02 16:05:31.786431	2013-08-03 18:27:15.097427
14310	14	2013-08-02 16:05:31.532491	2013-08-03 18:33:05.739997
14290	14	2013-08-02 16:05:31.503486	2013-08-03 18:33:25.103676
14350	21	2013-08-02 16:05:31.618117	2013-08-03 18:42:35.834714
14410	21	2013-08-02 16:05:31.767521	2013-08-03 18:42:35.838234
14377	21	2013-08-02 16:05:31.688369	2013-08-03 18:42:35.841325
14361	21	2013-08-02 16:05:31.647463	2013-08-03 18:42:35.84442
14557	4	2013-08-02 16:05:32.131275	2013-08-03 18:47:36.062027
6806	21	2013-08-02 16:05:17.005017	2013-08-03 21:09:21.203032
14563	2	2013-08-02 16:05:32.141242	2013-08-03 02:37:17.628206
14454	14	2013-08-02 16:05:31.872411	2013-08-02 16:05:31.872411
14453	21	2013-08-02 16:05:31.870031	2013-08-03 17:20:36.617756
22073	4	2013-08-02 16:05:47.727528	2013-08-04 17:13:51.103216
14543	2	2013-08-02 16:05:32.095843	2013-08-03 02:37:17.639524
14456	4	2013-08-02 16:05:31.877262	2013-08-04 02:03:38.085698
23477	21	2013-08-02 16:05:51.341819	2013-08-03 22:09:24.64578
44323	21	2013-08-02 16:06:38.202677	2013-08-03 19:47:25.158276
14462	2	2013-08-02 16:05:31.894392	2013-08-02 16:05:31.894392
14464	4	2013-08-02 16:05:31.899697	2013-08-02 16:05:31.899697
44303	2	2013-08-02 16:06:37.917782	2013-08-03 19:47:25.166402
16129	4	2013-08-02 16:05:34.644111	2013-08-04 21:00:25.91702
14523	2	2013-08-02 16:05:32.047986	2013-08-03 02:37:17.650077
44283	2	2013-08-02 16:06:37.869524	2013-08-03 19:47:25.172338
44263	2	2013-08-02 16:06:37.821323	2013-08-03 19:47:25.180094
44243	2	2013-08-02 16:06:37.7723	2013-08-03 19:47:25.190715
44223	2	2013-08-02 16:06:37.719866	2013-08-03 19:47:25.201254
14474	14	2013-08-02 16:05:31.92628	2013-08-02 16:05:31.92628
22050	2	2013-08-02 16:05:47.667441	2013-08-04 17:13:51.105435
14503	2	2013-08-02 16:05:31.999314	2013-08-03 02:37:17.660782
14586	2	2013-08-02 16:05:32.190121	2013-08-04 02:03:38.0939
44203	2	2013-08-02 16:06:37.667186	2013-08-03 19:47:25.211927
44183	2	2013-08-02 16:06:37.615985	2013-08-03 19:47:25.223551
14482	2	2013-08-02 16:05:31.947	2013-08-02 16:05:31.947
14484	4	2013-08-02 16:05:31.952222	2013-08-02 16:05:31.952222
44163	2	2013-08-02 16:06:37.562637	2013-08-03 19:47:25.235612
14483	2	2013-08-02 16:05:31.949714	2013-08-03 02:37:17.670953
1368	21	2013-08-02 16:05:06.427206	2013-08-04 21:00:25.967912
14566	21	2013-08-02 16:05:32.143576	2013-08-03 19:57:23.864131
14494	14	2013-08-02 16:05:31.977585	2013-08-02 16:05:31.977585
14463	2	2013-08-02 16:05:31.897036	2013-08-03 02:37:17.681677
14585	2	2013-08-02 16:05:32.187858	2013-08-03 17:42:01.485933
1118	21	2013-08-02 16:05:05.794916	2013-08-04 02:05:53.997023
11141	14	2013-08-02 16:05:24.798162	2013-08-03 19:58:42.547932
24337	14	2013-08-02 16:05:52.829773	2013-08-03 23:04:24.261519
14502	2	2013-08-02 16:05:31.99696	2013-08-02 16:05:31.99696
14565	2	2013-08-02 16:05:32.142815	2013-08-03 17:42:01.489578
14504	4	2013-08-02 16:05:32.001731	2013-08-02 16:05:32.001731
20300	2	2013-08-02 16:05:44.202393	2013-08-03 21:09:21.415387
14476	2	2013-08-02 16:05:31.931176	2013-08-04 02:05:54.56738
22079	2	2013-08-02 16:05:47.743267	2013-08-04 17:16:51.188346
11830	2	2013-08-02 16:05:26.554247	2013-08-04 18:27:19.831628
14514	14	2013-08-02 16:05:32.026337	2013-08-02 16:05:32.026337
14545	2	2013-08-02 16:05:32.100675	2013-08-03 17:42:01.492958
4130	2	2013-08-02 16:05:12.05252	2013-08-04 18:27:19.838115
14598	21	2013-08-02 16:05:32.217184	2013-08-03 02:47:52.518728
14525	2	2013-08-02 16:05:32.05278	2013-08-03 17:42:01.496291
11081	2	2013-08-02 16:05:24.655696	2013-08-04 18:27:19.846806
14515	14	2013-08-02 16:05:32.028768	2013-08-03 21:44:33.899446
5310	21	2013-08-02 16:05:13.60805	2013-08-03 21:59:22.399861
14522	2	2013-08-02 16:05:32.045613	2013-08-02 16:05:32.045613
14505	2	2013-08-02 16:05:32.003996	2013-08-03 17:42:01.499602
14524	4	2013-08-02 16:05:32.050364	2013-08-02 16:05:32.050364
14536	14	2013-08-02 16:05:32.079039	2013-08-04 02:08:13.40686
14578	21	2013-08-02 16:05:32.17148	2013-08-03 02:47:52.521149
14589	2	2013-08-02 16:05:32.196882	2013-08-04 18:27:19.851867
14569	2	2013-08-02 16:05:32.149396	2013-08-04 18:27:19.858428
14555	21	2013-08-02 16:05:32.124419	2013-08-03 23:55:31.522101
14459	21	2013-08-02 16:05:31.884646	2013-08-03 23:55:31.524071
14534	14	2013-08-02 16:05:32.074252	2013-08-02 16:05:32.074252
14485	2	2013-08-02 16:05:31.954654	2013-08-03 17:42:01.503933
14549	2	2013-08-02 16:05:32.110147	2013-08-04 18:27:19.862964
14558	14	2013-08-02 16:05:32.133949	2013-08-03 02:47:52.526602
14465	2	2013-08-02 16:05:31.902429	2013-08-03 17:42:01.508398
36013	14	2013-08-02 16:06:19.69109	2013-08-08 01:02:58.471435
14450	21	2013-08-02 16:05:31.862945	2013-08-03 23:58:34.53543
14447	14	2013-08-02 16:05:31.855596	2013-08-08 01:03:02.320254
14542	2	2013-08-02 16:05:32.093246	2013-08-02 16:05:32.093246
14445	4	2013-08-02 16:05:31.85075	2013-08-03 17:42:01.517373
14544	4	2013-08-02 16:05:32.098275	2013-08-02 16:05:32.098275
39128	14	2013-08-02 16:06:26.478793	2013-08-08 01:03:02.323098
18717	2	2013-08-02 16:05:40.239257	2013-08-04 02:10:49.382416
43683	21	2013-08-02 16:06:36.402054	2013-08-08 01:03:02.683809
28825	21	2013-08-02 16:06:02.278571	2013-08-04 02:10:49.450883
14593	14	2013-08-02 16:05:32.205799	2013-08-08 01:03:02.711096
14573	14	2013-08-02 16:05:32.158868	2013-08-08 01:03:02.714289
14553	14	2013-08-02 16:05:32.119643	2013-08-08 01:03:02.7171
14554	14	2013-08-02 16:05:32.122018	2013-08-02 16:05:32.122018
14495	21	2013-08-02 16:05:31.979981	2013-08-03 17:42:02.615549
14467	14	2013-08-02 16:05:31.907915	2013-08-08 01:03:02.719874
14576	21	2013-08-02 16:05:32.166444	2013-08-04 02:10:49.919311
9306	21	2013-08-02 16:05:22.023812	2013-08-04 02:10:49.922037
2983	2	2013-08-02 16:05:09.438494	2013-08-04 02:10:50.40387
49115	2	2013-08-02 16:06:48.200213	2013-08-04 02:10:50.413821
14562	2	2013-08-02 16:05:32.140388	2013-08-02 16:05:32.140388
14600	4	2013-08-02 16:05:32.222952	2013-08-03 17:47:06.283538
14564	4	2013-08-02 16:05:32.142052	2013-08-02 16:05:32.142052
14533	14	2013-08-02 16:05:32.071815	2013-08-08 01:03:02.72264
14513	14	2013-08-02 16:05:32.023914	2013-08-08 01:03:02.725364
14498	4	2013-08-02 16:05:31.987225	2013-08-03 02:47:52.544127
14574	14	2013-08-02 16:05:32.161384	2013-08-02 16:05:32.161384
14582	2	2013-08-02 16:05:32.181019	2013-08-02 16:05:32.181019
14584	4	2013-08-02 16:05:32.185548	2013-08-02 16:05:32.185548
14594	14	2013-08-02 16:05:32.208011	2013-08-02 16:05:32.208011
14458	21	2013-08-02 16:05:31.88218	2013-08-03 02:53:04.41926
14597	21	2013-08-02 16:05:32.214809	2013-08-03 02:16:25.511424
14497	4	2013-08-02 16:05:31.984851	2013-08-03 02:16:25.553769
14477	4	2013-08-02 16:05:31.933777	2013-08-03 02:16:25.565163
14595	21	2013-08-02 16:05:32.210257	2013-08-03 02:53:04.939373
14575	21	2013-08-02 16:05:32.163914	2013-08-03 02:53:04.940285
11161	4	2013-08-02 16:05:24.845766	2013-08-03 17:55:22.473963
11181	2	2013-08-02 16:05:24.895501	2013-08-03 17:55:22.476479
4869	14	2013-08-02 16:05:13.068229	2013-08-03 17:55:22.506542
14451	2	2013-08-02 16:05:31.86531	2013-08-03 18:18:42.652304
14521	14	2013-08-02 16:05:32.043208	2013-08-03 18:23:21.068421
14561	14	2013-08-02 16:05:32.139498	2013-08-03 18:27:14.605116
14541	2	2013-08-02 16:05:32.09088	2013-08-03 18:27:14.792237
11061	14	2013-08-02 16:05:24.605081	2013-08-03 18:37:38.784363
14535	14	2013-08-02 16:05:32.076679	2013-08-03 18:37:38.789083
14590	2	2013-08-02 16:05:32.199112	2013-08-03 18:37:38.813441
14570	2	2013-08-02 16:05:32.151276	2013-08-03 18:37:38.818255
14530	21	2013-08-02 16:05:32.064711	2013-08-03 18:42:36.349763
14577	4	2013-08-02 16:05:32.168967	2013-08-03 18:42:36.635663
14602	2	2013-08-02 16:05:32.228013	2013-08-02 16:05:32.228013
14613	21	2013-08-02 16:05:32.255692	2013-08-03 17:35:04.190016
14604	4	2013-08-02 16:05:32.233451	2013-08-02 16:05:32.233451
14731	21	2013-08-02 16:05:32.483914	2013-08-03 18:47:36.590897
14645	21	2013-08-02 16:05:32.332754	2013-08-03 17:42:01.469807
42217	4	2013-08-02 16:06:33.292471	2013-08-04 17:13:51.144662
14725	21	2013-08-02 16:05:32.473451	2013-08-03 18:52:34.255266
21859	21	2013-08-02 16:05:47.205315	2013-08-04 17:14:02.924861
14614	14	2013-08-02 16:05:32.258103	2013-08-02 16:05:32.258103
14625	2	2013-08-02 16:05:32.284318	2013-08-03 17:42:01.477717
14605	2	2013-08-02 16:05:32.236097	2013-08-03 17:42:01.482092
34623	21	2013-08-02 16:06:16.135721	2013-08-03 21:09:21.519923
14650	2	2013-08-02 16:05:32.344554	2013-08-03 18:57:37.31488
14622	2	2013-08-02 16:05:32.277223	2013-08-02 16:05:32.277223
14624	4	2013-08-02 16:05:32.281971	2013-08-02 16:05:32.281971
14690	2	2013-08-02 16:05:32.424006	2013-08-03 18:57:37.323161
42423	21	2013-08-02 16:06:33.795025	2013-08-03 21:09:21.52068
14632	2	2013-08-02 16:05:32.301373	2013-08-03 18:57:37.33146
44143	2	2013-08-02 16:06:37.50967	2013-08-03 19:47:25.246878
44123	14	2013-08-02 16:06:37.456177	2013-08-03 19:47:25.270133
44103	14	2013-08-02 16:06:37.403872	2013-08-03 19:47:25.281386
14634	14	2013-08-02 16:05:32.306345	2013-08-02 16:05:32.306345
44083	14	2013-08-02 16:06:37.350091	2013-08-03 19:47:25.286661
44063	14	2013-08-02 16:06:37.302258	2013-08-03 19:47:25.295231
14642	2	2013-08-02 16:05:32.325408	2013-08-02 16:05:32.325408
4568	14	2013-08-02 16:05:12.74087	2013-08-04 17:14:02.963016
14644	4	2013-08-02 16:05:32.330383	2013-08-02 16:05:32.330383
44043	14	2013-08-02 16:06:37.253637	2013-08-03 19:47:25.305393
42203	21	2013-08-02 16:06:33.255116	2013-08-03 21:09:21.522684
14683	14	2013-08-02 16:05:32.417036	2013-08-03 02:41:44.619211
2108	4	2013-08-02 16:05:08.194705	2013-08-04 21:00:26.06333
44023	14	2013-08-02 16:06:37.201636	2013-08-03 19:47:25.316862
44003	14	2013-08-02 16:06:37.147207	2013-08-03 19:47:25.328567
43983	14	2013-08-02 16:06:37.094485	2013-08-03 19:47:25.34
14654	14	2013-08-02 16:05:32.353964	2013-08-02 16:05:32.353964
14636	4	2013-08-02 16:05:32.311125	2013-08-04 02:08:13.417976
42090	2	2013-08-02 16:06:32.790059	2013-08-04 17:16:51.176992
4577	21	2013-08-02 16:05:12.74861	2013-08-04 17:16:52.935079
14660	2	2013-08-02 16:05:32.368475	2013-08-04 02:08:13.420095
14629	2	2013-08-02 16:05:32.29382	2013-08-04 18:27:19.808989
14609	2	2013-08-02 16:05:32.246147	2013-08-04 18:27:19.820015
14662	2	2013-08-02 16:05:32.37347	2013-08-02 16:05:32.37347
14710	2	2013-08-02 16:05:32.449908	2013-08-04 18:32:19.504374
14664	4	2013-08-02 16:05:32.378342	2013-08-02 16:05:32.378342
14657	2	2013-08-02 16:05:32.36106	2013-08-04 18:32:19.512607
14723	2	2013-08-02 16:05:32.470131	2013-08-04 18:32:19.521057
38263	14	2013-08-02 16:06:24.738641	2013-08-03 21:19:21.581118
2080	2	2013-08-02 16:05:08.122765	2013-08-04 21:01:19.120816
41363	21	2013-08-02 16:06:30.741523	2013-08-03 21:39:32.040438
14715	21	2013-08-02 16:05:32.457273	2013-08-03 21:39:32.042045
14643	21	2013-08-02 16:05:32.327765	2013-08-04 02:10:49.44837
14674	14	2013-08-02 16:05:32.401306	2013-08-02 16:05:32.401306
14700	14	2013-08-02 16:05:32.436143	2013-08-03 17:42:23.83805
40163	14	2013-08-02 16:06:28.534039	2013-08-08 01:03:03.308115
14656	2	2013-08-02 16:05:32.358679	2013-08-04 02:10:50.393934
49618	2	2013-08-02 16:06:49.669687	2013-08-04 02:10:50.423884
49380	2	2013-08-02 16:06:48.886126	2013-08-04 02:10:50.433779
24385	2	2013-08-02 16:05:52.875614	2013-08-04 02:10:50.801003
24365	2	2013-08-02 16:05:52.854588	2013-08-04 02:10:50.813085
14682	2	2013-08-02 16:05:32.415807	2013-08-02 16:05:32.415807
14616	2	2013-08-02 16:05:32.262863	2013-08-04 02:10:50.830952
14684	4	2013-08-02 16:05:32.418114	2013-08-02 16:05:32.418114
2223	2	2013-08-02 16:05:08.504648	2013-08-04 02:10:50.834661
31001	2	2013-08-02 16:06:07.791037	2013-08-04 02:10:50.838443
14718	21	2013-08-02 16:05:32.46168	2013-08-03 02:47:52.506977
14607	14	2013-08-02 16:05:32.241272	2013-08-08 01:03:03.311257
24088	2	2013-08-02 16:05:52.58464	2013-08-04 02:10:51.022224
24130	2	2013-08-02 16:05:52.621311	2013-08-04 02:10:51.028412
2614	2	2013-08-02 16:05:08.961291	2013-08-04 02:10:51.032855
14753	14	2013-08-02 16:05:32.526881	2013-08-08 01:03:03.314233
14694	14	2013-08-02 16:05:32.42868	2013-08-02 16:05:32.42868
14617	14	2013-08-02 16:05:32.265238	2013-08-08 01:03:03.317129
14733	14	2013-08-02 16:05:32.48773	2013-08-08 01:03:03.319899
14698	21	2013-08-02 16:05:32.433509	2013-08-03 02:47:52.509164
14676	14	2013-08-02 16:05:32.405452	2013-08-04 02:12:58.873804
14627	14	2013-08-02 16:05:32.289065	2013-08-08 01:03:03.322918
14702	2	2013-08-02 16:05:32.438923	2013-08-02 16:05:32.438923
14619	21	2013-08-02 16:05:32.27002	2013-08-04 02:13:22.033816
14704	4	2013-08-02 16:05:32.441639	2013-08-02 16:05:32.441639
14736	2	2013-08-02 16:05:32.493232	2013-08-04 02:15:49.959385
14716	2	2013-08-02 16:05:32.458713	2013-08-04 02:15:51.562277
14678	21	2013-08-02 16:05:32.410452	2013-08-03 02:47:52.511259
14696	2	2013-08-02 16:05:32.43114	2013-08-04 02:15:51.748776
38063	4	2013-08-02 16:06:24.263349	2013-08-04 02:15:51.968102
14714	14	2013-08-02 16:05:32.455719	2013-08-02 16:05:32.455719
14658	21	2013-08-02 16:05:32.363404	2013-08-03 02:47:52.512665
14665	14	2013-08-02 16:05:32.380741	2013-08-03 17:42:44.214027
14722	2	2013-08-02 16:05:32.468431	2013-08-02 16:05:32.468431
14724	4	2013-08-02 16:05:32.471774	2013-08-02 16:05:32.471774
14638	21	2013-08-02 16:05:32.315864	2013-08-03 02:47:52.513989
14734	14	2013-08-02 16:05:32.48963	2013-08-02 16:05:32.48963
14618	21	2013-08-02 16:05:32.267587	2013-08-03 02:47:52.515783
14742	2	2013-08-02 16:05:32.504941	2013-08-02 16:05:32.504941
14744	4	2013-08-02 16:05:32.508906	2013-08-02 16:05:32.508906
14603	21	2013-08-02 16:05:32.230775	2013-08-03 02:47:52.517068
14754	14	2013-08-02 16:05:32.528862	2013-08-02 16:05:32.528862
14680	14	2013-08-02 16:05:32.413812	2013-08-03 17:42:44.280887
14688	14	2013-08-02 16:05:32.422114	2013-08-03 01:50:00.327158
14675	21	2013-08-02 16:05:32.40269	2013-08-03 02:53:04.93359
14655	21	2013-08-02 16:05:32.356294	2013-08-03 02:53:04.9352
14663	21	2013-08-02 16:05:32.375847	2013-08-03 02:53:04.936365
14635	21	2013-08-02 16:05:32.308744	2013-08-03 02:53:04.937432
14615	21	2013-08-02 16:05:32.260466	2013-08-03 02:53:04.938422
14697	21	2013-08-02 16:05:32.432276	2013-08-03 02:58:08.861098
14668	21	2013-08-02 16:05:32.387865	2013-08-03 02:58:08.865535
14755	21	2013-08-02 16:05:32.530815	2013-08-03 02:58:08.869077
14735	21	2013-08-02 16:05:32.491487	2013-08-03 02:58:08.872464
14685	21	2013-08-02 16:05:32.419131	2013-08-03 17:47:05.374898
14720	2	2013-08-02 16:05:32.464887	2013-08-03 17:47:05.383401
17903	14	2013-08-02 16:05:38.796444	2013-08-03 17:55:22.557283
11777	21	2013-08-02 16:05:26.415765	2013-08-03 17:57:09.960009
2222	21	2013-08-02 16:05:08.503739	2013-08-03 17:57:09.963788
2279	21	2013-08-02 16:05:08.561953	2013-08-03 17:57:09.967416
2259	21	2013-08-02 16:05:08.540721	2013-08-03 17:57:09.97083
2239	21	2013-08-02 16:05:08.520036	2013-08-03 17:57:09.974218
2219	14	2013-08-02 16:05:08.500226	2013-08-03 17:57:09.993089
2202	14	2013-08-02 16:05:08.43205	2013-08-03 17:57:10.003552
14701	4	2013-08-02 16:05:32.437543	2013-08-03 18:23:21.096868
14610	21	2013-08-02 16:05:32.248524	2013-08-03 18:37:38.773547
14630	14	2013-08-02 16:05:32.296101	2013-08-03 18:38:20.127686
14730	21	2013-08-02 16:05:32.482077	2013-08-03 18:42:35.828751
14621	21	2013-08-02 16:05:32.274785	2013-08-03 18:42:35.831838
14711	2	2013-08-02 16:05:32.451264	2013-08-04 02:10:51.036197
4985	2	2013-08-02 16:05:13.176692	2013-08-04 02:10:51.10276
14762	2	2013-08-02 16:05:32.545885	2013-08-02 16:05:32.545885
14913	4	2013-08-02 16:05:32.90037	2013-08-03 17:42:02.763545
14764	4	2013-08-02 16:05:32.550173	2013-08-02 16:05:32.550173
49545	2	2013-08-02 16:06:49.488015	2013-08-04 02:10:51.256235
49470	2	2013-08-02 16:06:49.362151	2013-08-04 02:10:51.266356
2121	2	2013-08-02 16:05:08.227797	2013-08-04 21:00:26.069757
16888	21	2013-08-02 16:05:36.537507	2013-08-03 20:22:30.871486
14774	14	2013-08-02 16:05:32.57162	2013-08-02 16:05:32.57162
14893	4	2013-08-02 16:05:32.850579	2013-08-03 17:42:02.768517
39148	21	2013-08-02 16:06:26.496742	2013-08-04 21:00:26.114612
4528	21	2013-08-02 16:05:12.704806	2013-08-04 21:00:26.118928
14873	4	2013-08-02 16:05:32.802962	2013-08-03 17:42:02.774015
14481	2	2013-08-02 16:05:31.944325	2013-08-04 02:10:51.28797
2020	21	2013-08-02 16:05:07.98832	2013-08-04 21:00:26.175851
8467	21	2013-08-02 16:05:19.960568	2013-08-04 21:00:26.178653
14782	2	2013-08-02 16:05:32.589097	2013-08-02 16:05:32.589097
14853	4	2013-08-02 16:05:32.754727	2013-08-03 17:42:02.781312
14784	4	2013-08-02 16:05:32.593469	2013-08-02 16:05:32.593469
16109	21	2013-08-02 16:05:34.592839	2013-08-04 21:00:26.221727
1487	2	2013-08-02 16:05:06.708059	2013-08-04 02:10:51.297816
14833	4	2013-08-02 16:05:32.705015	2013-08-03 17:42:02.789
16646	21	2013-08-02 16:05:35.972597	2013-08-04 21:00:26.224682
26173	2	2013-08-02 16:05:56.631223	2013-08-04 02:10:51.392361
21870	21	2013-08-02 16:05:47.231291	2013-08-03 21:09:21.752912
4378	21	2013-08-02 16:05:12.534111	2013-08-03 23:01:08.078094
12170	21	2013-08-02 16:05:27.40531	2013-08-03 23:01:19.009719
14794	14	2013-08-02 16:05:32.615263	2013-08-02 16:05:32.615263
14813	4	2013-08-02 16:05:32.657126	2013-08-03 17:42:02.796519
14793	4	2013-08-02 16:05:32.613125	2013-08-03 17:42:02.803704
26153	2	2013-08-02 16:05:56.596531	2013-08-04 02:10:51.398556
14759	4	2013-08-02 16:05:32.539269	2013-08-03 23:54:31.607428
26133	2	2013-08-02 16:05:56.574637	2013-08-04 02:10:51.406218
14802	2	2013-08-02 16:05:32.633189	2013-08-02 16:05:32.633189
14804	4	2013-08-02 16:05:32.637572	2013-08-02 16:05:32.637572
43963	14	2013-08-02 16:06:37.043564	2013-08-03 19:47:25.352023
21850	21	2013-08-02 16:05:47.184012	2013-08-03 21:09:21.757439
23975	21	2013-08-02 16:05:52.47883	2013-08-03 21:09:21.76021
1746	21	2013-08-02 16:05:07.322445	2013-08-03 21:09:21.762869
38900	21	2013-08-02 16:06:26.204029	2013-08-03 21:09:21.765598
9859	21	2013-08-02 16:05:23.059971	2013-08-03 21:09:21.768405
14915	14	2013-08-02 16:05:32.905438	2013-08-08 01:03:04.133023
14814	14	2013-08-02 16:05:32.659272	2013-08-02 16:05:32.659272
14830	14	2013-08-02 16:05:32.69698	2013-08-08 01:03:04.136112
14767	14	2013-08-02 16:05:32.556636	2013-08-08 01:03:04.139225
43863	2	2013-08-02 16:06:36.861281	2013-08-03 19:47:25.942555
49175	4	2013-08-02 16:06:48.354788	2013-08-04 17:14:02.974723
14908	21	2013-08-02 16:05:32.886588	2013-08-04 17:16:51.251375
14869	21	2013-08-02 16:05:32.793388	2013-08-04 18:32:19.451995
13908	21	2013-08-02 16:05:30.473188	2013-08-03 19:47:25.975235
14822	2	2013-08-02 16:05:32.677612	2013-08-02 16:05:32.677612
14824	4	2013-08-02 16:05:32.680872	2013-08-02 16:05:32.680872
13966	21	2013-08-02 16:05:30.611245	2013-08-03 19:47:25.977669
14765	14	2013-08-02 16:05:32.552301	2013-08-04 18:32:19.460013
14883	4	2013-08-02 16:05:32.826761	2013-08-03 02:41:44.654421
13946	21	2013-08-02 16:05:30.563468	2013-08-03 19:47:25.980298
48695	21	2013-08-02 16:06:47.001079	2013-08-03 23:58:34.536365
13926	21	2013-08-02 16:05:30.516112	2013-08-03 19:47:25.983929
18563	4	2013-08-02 16:05:39.766545	2013-08-03 21:09:22.253116
14834	14	2013-08-02 16:05:32.70766	2013-08-02 16:05:32.70766
14849	14	2013-08-02 16:05:32.745156	2013-08-04 18:32:19.465325
14829	14	2013-08-02 16:05:32.694296	2013-08-04 18:32:19.4697
14896	14	2013-08-02 16:05:32.857718	2013-08-04 02:13:04.687861
14780	14	2013-08-02 16:05:32.584618	2013-08-04 18:32:19.474168
24437	14	2013-08-02 16:05:52.935439	2013-08-04 18:32:19.478314
14866	21	2013-08-02 16:05:32.786199	2013-08-03 20:02:25.295979
14846	21	2013-08-02 16:05:32.737783	2013-08-03 20:02:25.298361
14842	2	2013-08-02 16:05:32.7274	2013-08-02 16:05:32.7274
14880	4	2013-08-02 16:05:32.819596	2013-08-03 17:42:23.868536
14844	4	2013-08-02 16:05:32.7324	2013-08-02 16:05:32.7324
2249	21	2013-08-02 16:05:08.53053	2013-08-03 20:07:26.187297
16346	2	2013-08-02 16:05:35.180123	2013-08-03 21:09:22.273107
2209	21	2013-08-02 16:05:08.488209	2013-08-03 20:07:26.189585
2302	21	2013-08-02 16:05:08.593723	2013-08-03 20:07:26.19149
18701	21	2013-08-02 16:05:40.209809	2013-08-04 02:13:22.03518
2289	21	2013-08-02 16:05:08.57479	2013-08-03 20:07:26.193384
2322	21	2013-08-02 16:05:08.619397	2013-08-03 20:07:26.195463
14854	14	2013-08-02 16:05:32.757102	2013-08-02 16:05:32.757102
14890	2	2013-08-02 16:05:32.843389	2013-08-04 18:37:40.72202
14836	21	2013-08-02 16:05:32.712866	2013-08-04 02:15:50.00384
14763	2	2013-08-02 16:05:32.548019	2013-08-04 02:15:51.558311
14772	2	2013-08-02 16:05:32.567319	2013-08-04 02:15:51.745441
17910	21	2013-08-02 16:05:38.807762	2013-08-03 21:14:22.705348
14862	2	2013-08-02 16:05:32.776398	2013-08-02 16:05:32.776398
14864	4	2013-08-02 16:05:32.781363	2013-08-02 16:05:32.781363
14811	21	2013-08-02 16:05:32.652788	2013-08-03 21:34:21.021879
14831	21	2013-08-02 16:05:32.699636	2013-08-03 21:34:21.023548
14851	21	2013-08-02 16:05:32.749949	2013-08-03 21:34:21.024896
2325	14	2013-08-02 16:05:08.622012	2013-08-03 20:07:26.233363
14799	2	2013-08-02 16:05:32.626166	2013-08-04 00:05:40.921132
14877	14	2013-08-02 16:05:32.812486	2013-08-03 20:07:26.238007
14906	2	2013-08-02 16:05:32.881813	2013-08-03 20:07:26.250499
14874	14	2013-08-02 16:05:32.805356	2013-08-02 16:05:32.805356
24377	4	2013-08-02 16:05:52.866425	2013-08-04 02:15:51.96429
14860	2	2013-08-02 16:05:32.771448	2013-08-04 18:37:40.727069
14803	21	2013-08-02 16:05:32.635342	2013-08-04 00:07:47.620075
14825	4	2013-08-02 16:05:32.683546	2013-08-03 17:42:44.240255
14876	4	2013-08-02 16:05:32.810118	2013-08-04 02:15:52.184141
14856	2	2013-08-02 16:05:32.761865	2013-08-04 02:15:52.338152
14892	2	2013-08-02 16:05:32.848155	2013-08-04 18:37:40.736941
14882	2	2013-08-02 16:05:32.824379	2013-08-02 16:05:32.824379
14817	2	2013-08-02 16:05:32.665737	2013-08-04 18:37:40.746698
14884	4	2013-08-02 16:05:32.829134	2013-08-02 16:05:32.829134
14909	2	2013-08-02 16:05:32.888977	2013-08-04 18:37:40.757706
14791	2	2013-08-02 16:05:32.608759	2013-08-03 21:39:32.437133
14858	4	2013-08-02 16:05:32.766687	2013-08-03 02:52:17.249941
14889	2	2013-08-02 16:05:32.841056	2013-08-04 18:37:40.769174
14894	14	2013-08-02 16:05:32.852959	2013-08-02 16:05:32.852959
14845	2	2013-08-02 16:05:32.735072	2013-08-03 17:42:44.245957
16908	14	2013-08-02 16:05:36.591062	2013-08-03 21:44:33.89505
14902	2	2013-08-02 16:05:32.872305	2013-08-02 16:05:32.872305
14904	4	2013-08-02 16:05:32.877055	2013-08-02 16:05:32.877055
14898	2	2013-08-02 16:05:32.862525	2013-08-03 02:52:17.256705
14914	14	2013-08-02 16:05:32.902914	2013-08-02 16:05:32.902914
14812	14	2013-08-02 16:05:32.654936	2013-08-03 17:42:55.241178
14878	2	2013-08-02 16:05:32.814871	2013-08-03 02:53:03.885782
14837	2	2013-08-02 16:05:32.715284	2013-08-03 02:21:47.988946
14778	21	2013-08-02 16:05:32.580259	2013-08-03 02:53:04.416597
14815	21	2013-08-02 16:05:32.661412	2013-08-03 02:58:08.849874
14795	21	2013-08-02 16:05:32.617522	2013-08-03 02:58:08.853734
14775	21	2013-08-02 16:05:32.573797	2013-08-03 02:58:08.857347
14835	4	2013-08-02 16:05:32.710346	2013-08-03 03:06:22.029496
14875	2	2013-08-02 16:05:32.807718	2013-08-03 03:06:22.036733
14855	2	2013-08-02 16:05:32.759469	2013-08-03 03:09:45.530898
14800	4	2013-08-02 16:05:32.628785	2013-08-03 17:42:55.366131
16868	21	2013-08-02 16:05:36.484452	2013-08-03 17:57:10.200151
14770	2	2013-08-02 16:05:32.563062	2013-08-03 18:38:20.161979
14810	14	2013-08-02 16:05:32.650598	2013-08-03 18:43:41.17299
15050	14	2013-08-02 16:05:33.294237	2013-08-03 20:12:25.507724
14950	2	2013-08-02 16:05:32.992315	2013-08-03 18:47:35.176019
12239	2	2013-08-02 16:05:27.560253	2013-08-04 01:10:51.174426
34681	21	2013-08-02 16:06:16.285599	2013-08-03 23:01:08.080099
26218	2	2013-08-02 16:05:56.694633	2013-08-04 02:10:51.412265
14922	2	2013-08-02 16:05:32.924094	2013-08-02 16:05:32.924094
14953	21	2013-08-02 16:05:32.999482	2013-08-03 17:42:02.751124
14924	4	2013-08-02 16:05:32.929467	2013-08-02 16:05:32.929467
40258	2	2013-08-02 16:06:28.625656	2013-08-03 21:09:22.531674
14937	2	2013-08-02 16:05:32.961406	2013-08-03 02:42:39.524258
20921	4	2013-08-02 16:05:45.112077	2013-08-03 21:09:22.771339
14732	21	2013-08-02 16:05:32.485847	2013-08-03 23:01:08.081986
27912	4	2013-08-02 16:06:00.937925	2013-08-03 21:09:23.110497
15030	2	2013-08-02 16:05:33.270861	2013-08-03 18:47:36.495556
14934	14	2013-08-02 16:05:32.954248	2013-08-02 16:05:32.954248
14933	4	2013-08-02 16:05:32.951832	2013-08-03 17:42:02.758118
5145	2	2013-08-02 16:05:13.376632	2013-08-04 17:14:02.977425
15063	2	2013-08-02 16:05:33.313222	2013-08-03 02:42:39.530645
14920	2	2013-08-02 16:05:32.918771	2013-08-03 17:42:23.875139
26113	2	2013-08-02 16:05:56.55885	2013-08-04 02:10:51.420819
15017	21	2013-08-02 16:05:33.256877	2013-08-03 18:52:32.451117
26093	2	2013-08-02 16:05:56.542333	2013-08-04 02:10:51.429227
14942	2	2013-08-02 16:05:32.973216	2013-08-02 16:05:32.973216
14944	4	2013-08-02 16:05:32.977959	2013-08-02 16:05:32.977959
14951	21	2013-08-02 16:05:32.994754	2013-08-03 18:57:37.197873
9352	21	2013-08-02 16:05:22.149116	2013-08-03 21:11:12.254338
15043	2	2013-08-02 16:05:33.285691	2013-08-03 02:42:39.534679
14568	21	2013-08-02 16:05:32.147635	2013-08-03 21:39:32.270503
15320	21	2013-08-02 16:05:33.615076	2013-08-04 21:00:26.474254
15031	21	2013-08-02 16:05:33.272005	2013-08-03 19:02:37.094891
14954	14	2013-08-02 16:05:33.00186	2013-08-02 16:05:33.00186
12927	21	2013-08-02 16:05:28.991545	2013-08-04 21:00:26.475755
39185	21	2013-08-02 16:06:26.76375	2013-08-04 21:00:26.477743
15023	2	2013-08-02 16:05:33.262744	2013-08-03 02:42:39.539156
13866	21	2013-08-02 16:05:30.389673	2013-08-03 21:39:32.271713
1871	2	2013-08-02 16:05:07.676791	2013-08-04 02:10:51.439501
14962	2	2013-08-02 16:05:33.021046	2013-08-02 16:05:33.021046
8445	14	2013-08-02 16:05:19.915048	2013-08-04 21:00:26.511235
14964	4	2013-08-02 16:05:33.025825	2013-08-02 16:05:33.025825
509	21	2013-08-02 16:05:04.913543	2013-08-03 23:01:08.094894
15003	2	2013-08-02 16:05:33.121094	2013-08-03 02:42:39.544001
26073	2	2013-08-02 16:05:56.526411	2013-08-04 02:10:51.44856
14436	2	2013-08-02 16:05:31.829204	2013-08-04 02:10:51.471698
1843	2	2013-08-02 16:05:07.574856	2013-08-04 02:10:51.483557
8427	21	2013-08-02 16:05:19.891206	2013-08-04 21:00:26.593719
14974	14	2013-08-02 16:05:33.049865	2013-08-02 16:05:33.049865
8447	2	2013-08-02 16:05:19.918084	2013-08-04 21:01:20.705068
44723	14	2013-08-02 16:06:39.200305	2013-08-08 01:02:58.467129
14983	2	2013-08-02 16:05:33.071711	2013-08-03 02:42:39.550233
32681	2	2013-08-02 16:06:12.117549	2013-08-04 17:16:51.165383
14556	2	2013-08-02 16:05:32.127532	2013-08-04 02:10:51.494342
14516	2	2013-08-02 16:05:32.031157	2013-08-04 02:10:51.548305
40358	2	2013-08-02 16:06:28.713368	2013-08-03 21:44:33.601944
14982	2	2013-08-02 16:05:33.069307	2013-08-02 16:05:33.069307
14984	4	2013-08-02 16:05:33.074293	2013-08-02 16:05:33.074293
36077	2	2013-08-02 16:06:19.856868	2013-08-04 02:10:51.704647
36057	2	2013-08-02 16:06:19.808017	2013-08-04 02:10:51.715494
1129	21	2013-08-02 16:05:05.824064	2013-08-08 01:03:08.313377
40278	21	2013-08-02 16:06:28.644307	2013-08-08 01:03:09.992502
4635	21	2013-08-02 16:05:12.815815	2013-08-04 17:18:00.463713
15049	21	2013-08-02 16:05:33.292957	2013-08-04 18:37:40.579243
15057	14	2013-08-02 16:05:33.303997	2013-08-04 18:37:40.595306
14994	14	2013-08-02 16:05:33.098554	2013-08-02 16:05:33.098554
15029	14	2013-08-02 16:05:33.269627	2013-08-04 18:37:40.607091
15013	14	2013-08-02 16:05:33.252471	2013-08-04 18:37:40.619006
15009	14	2013-08-02 16:05:33.242671	2013-08-04 18:37:40.631009
14919	14	2013-08-02 16:05:32.916075	2013-08-04 18:37:40.642464
3889	2	2013-08-02 16:05:11.481481	2013-08-03 19:47:26.234956
15059	14	2013-08-02 16:05:33.306975	2013-08-03 23:58:45.207551
15002	2	2013-08-02 16:05:33.118623	2013-08-02 16:05:33.118623
13666	14	2013-08-02 16:05:29.931217	2013-08-03 19:47:26.386043
15004	4	2013-08-02 16:05:33.123453	2013-08-02 16:05:33.123453
2258	2	2013-08-02 16:05:08.539897	2013-08-03 19:47:26.510913
15037	14	2013-08-02 16:05:33.278739	2013-08-04 18:42:34.639603
15038	14	2013-08-02 16:05:33.279919	2013-08-03 02:53:05.500118
14927	14	2013-08-02 16:05:32.937058	2013-08-08 01:03:10.154629
15069	14	2013-08-02 16:05:33.322904	2013-08-04 18:42:34.649151
15016	14	2013-08-02 16:05:33.255814	2013-08-04 02:13:25.685492
14083	2	2013-08-02 16:05:30.894545	2013-08-03 19:47:26.678159
48835	14	2013-08-02 16:06:47.538722	2013-08-08 01:03:10.157882
15014	14	2013-08-02 16:05:33.253595	2013-08-02 16:05:33.253595
14972	4	2013-08-02 16:05:33.045122	2013-08-03 17:42:55.28528
15058	2	2013-08-02 16:05:33.30546	2013-08-03 17:42:55.290056
15022	2	2013-08-02 16:05:33.261733	2013-08-02 16:05:33.261733
15024	4	2013-08-02 16:05:33.263749	2013-08-02 16:05:33.263749
14976	21	2013-08-02 16:05:33.05465	2013-08-04 02:15:50.002968
15036	2	2013-08-02 16:05:33.277548	2013-08-04 02:15:51.554434
15068	2	2013-08-02 16:05:33.321281	2013-08-04 02:15:51.742259
15039	14	2013-08-02 16:05:33.281148	2013-08-04 00:04:14.128147
13826	4	2013-08-02 16:05:30.301364	2013-08-04 02:15:51.861402
14926	21	2013-08-02 16:05:32.93462	2013-08-04 00:07:58.264435
15034	14	2013-08-02 16:05:33.275322	2013-08-02 16:05:33.275322
14978	2	2013-08-02 16:05:33.059348	2013-08-03 02:53:05.536688
14996	4	2013-08-02 16:05:33.103336	2013-08-04 02:15:51.960459
13846	4	2013-08-02 16:05:30.349154	2013-08-04 02:15:52.179929
15019	2	2013-08-02 16:05:33.258701	2013-08-04 02:15:52.335378
15042	2	2013-08-02 16:05:33.284552	2013-08-02 16:05:33.284552
15044	4	2013-08-02 16:05:33.286876	2013-08-02 16:05:33.286876
15054	14	2013-08-02 16:05:33.299623	2013-08-02 16:05:33.299623
15015	4	2013-08-02 16:05:33.254709	2013-08-03 17:47:05.304877
15062	2	2013-08-02 16:05:33.311649	2013-08-02 16:05:33.311649
15072	4	2013-08-02 16:05:33.327994	2013-08-03 17:47:05.310796
15064	4	2013-08-02 16:05:33.314813	2013-08-02 16:05:33.314813
15018	21	2013-08-02 16:05:33.257922	2013-08-03 02:58:08.285971
14917	4	2013-08-02 16:05:32.91083	2013-08-03 02:19:57.895011
15052	4	2013-08-02 16:05:33.296854	2013-08-03 17:47:05.317048
14957	2	2013-08-02 16:05:33.009036	2013-08-03 02:19:57.904743
15055	21	2013-08-02 16:05:33.301103	2013-08-03 03:09:48.220525
14975	14	2013-08-02 16:05:33.052243	2013-08-03 03:09:48.260857
15032	4	2013-08-02 16:05:33.273167	2013-08-03 17:47:05.323881
14992	4	2013-08-02 16:05:33.093619	2013-08-03 17:48:24.534511
15053	21	2013-08-02 16:05:33.298223	2013-08-03 17:52:04.282778
14993	14	2013-08-02 16:05:33.095987	2013-08-03 17:52:04.304727
14973	14	2013-08-02 16:05:33.047496	2013-08-03 17:52:04.312229
24703	14	2013-08-02 16:05:53.424829	2013-08-03 17:57:10.433192
25283	21	2013-08-02 16:05:54.573284	2013-08-03 17:57:10.522809
25263	4	2013-08-02 16:05:54.548796	2013-08-03 17:57:10.53599
24663	4	2013-08-02 16:05:53.359322	2013-08-03 17:59:16.7861
14961	21	2013-08-02 16:05:33.018679	2013-08-03 18:27:12.911231
14981	14	2013-08-02 16:05:33.066848	2013-08-03 18:30:17.212694
15001	4	2013-08-02 16:05:33.116159	2013-08-03 18:32:15.614312
14918	14	2013-08-02 16:05:32.913465	2013-08-03 18:33:14.414155
14930	4	2013-08-02 16:05:32.944505	2013-08-03 18:43:41.197784
15000	2	2013-08-02 16:05:33.113667	2013-08-03 18:43:41.199838
15193	21	2013-08-02 16:05:33.503219	2013-08-03 18:47:36.0335
15074	14	2013-08-02 16:05:33.33157	2013-08-02 16:05:33.33157
15215	21	2013-08-02 16:05:33.520107	2013-08-03 17:05:35.643085
15123	2	2013-08-02 16:05:33.426846	2013-08-03 02:42:39.50981
15195	21	2013-08-02 16:05:33.504647	2013-08-03 17:05:35.64477
3466	2	2013-08-02 16:05:10.498886	2013-08-04 00:10:39.389891
15173	21	2013-08-02 16:05:33.486282	2013-08-03 18:47:36.335274
15210	21	2013-08-02 16:05:33.516273	2013-08-03 18:47:36.338623
15082	2	2013-08-02 16:05:33.345751	2013-08-02 16:05:33.345751
14528	14	2013-08-02 16:05:32.059929	2013-08-03 20:12:23.686431
15084	4	2013-08-02 16:05:33.349397	2013-08-02 16:05:33.349397
15190	21	2013-08-02 16:05:33.500955	2013-08-03 18:47:36.341568
14548	14	2013-08-02 16:05:32.10777	2013-08-03 20:12:23.692304
15103	2	2013-08-02 16:05:33.389654	2013-08-03 02:42:39.51463
45921	21	2013-08-02 16:06:41.405123	2013-08-04 21:00:26.599177
15170	21	2013-08-02 16:05:33.483397	2013-08-03 18:47:36.344007
15150	21	2013-08-02 16:05:33.456966	2013-08-03 18:47:36.34643
15094	14	2013-08-02 16:05:33.369968	2013-08-02 16:05:33.369968
16589	21	2013-08-02 16:05:35.827552	2013-08-04 21:00:26.601778
15083	2	2013-08-02 16:05:33.347565	2013-08-03 02:42:39.520807
15219	2	2013-08-02 16:05:33.523285	2013-08-04 01:10:51.163406
15079	2	2013-08-02 16:05:33.340201	2013-08-04 01:10:51.168869
17810	21	2013-08-02 16:05:38.698416	2013-08-03 21:11:12.143189
36040	2	2013-08-02 16:06:19.762875	2013-08-04 02:10:51.726525
15102	2	2013-08-02 16:05:33.387456	2013-08-02 16:05:33.387456
15120	4	2013-08-02 16:05:33.422774	2013-08-03 17:42:44.063538
15104	4	2013-08-02 16:05:33.39204	2013-08-02 16:05:33.39204
15131	21	2013-08-02 16:05:33.434834	2013-08-03 19:07:36.115641
18610	21	2013-08-02 16:05:39.887026	2013-08-03 21:11:12.251512
36037	2	2013-08-02 16:06:19.75484	2013-08-04 02:10:51.738814
45373	21	2013-08-02 16:06:40.450226	2013-08-04 21:00:26.604393
36017	2	2013-08-02 16:06:19.701262	2013-08-04 02:10:51.749229
14461	2	2013-08-02 16:05:31.891543	2013-08-04 02:10:51.760057
15114	14	2013-08-02 16:05:33.411017	2013-08-02 16:05:33.411017
15160	2	2013-08-02 16:05:33.470726	2013-08-03 17:42:44.107319
5185	4	2013-08-02 16:05:13.463167	2013-08-04 17:14:03.038104
15171	14	2013-08-02 16:05:33.484839	2013-08-03 19:08:23.883304
15200	2	2013-08-02 16:05:33.508677	2013-08-03 17:42:55.54745
2603	2	2013-08-02 16:05:08.948428	2013-08-04 02:10:51.765074
14596	2	2013-08-02 16:05:32.212439	2013-08-04 02:10:51.897726
15122	2	2013-08-02 16:05:33.425838	2013-08-02 16:05:33.425838
9739	2	2013-08-02 16:05:22.956449	2013-08-04 02:10:51.90442
15124	4	2013-08-02 16:05:33.427853	2013-08-02 16:05:33.427853
15111	21	2013-08-02 16:05:33.408237	2013-08-03 21:39:32.268746
17556	2	2013-08-02 16:05:38.248035	2013-08-04 17:14:03.045387
49890	21	2013-08-02 16:06:50.358245	2013-08-04 02:15:49.609724
15134	14	2013-08-02 16:05:33.437933	2013-08-02 16:05:33.437933
15117	4	2013-08-02 16:05:33.416184	2013-08-03 17:47:04.289575
12896	2	2013-08-02 16:05:28.959402	2013-08-04 21:01:22.351411
15225	4	2013-08-02 16:05:33.529341	2013-08-03 17:47:04.300924
15205	4	2013-08-02 16:05:33.512509	2013-08-03 17:47:04.311741
15211	4	2013-08-02 16:05:33.517267	2013-08-03 19:12:35.800824
2994	2	2013-08-02 16:05:09.449625	2013-08-03 19:47:26.902635
15142	2	2013-08-02 16:05:33.447286	2013-08-02 16:05:33.447286
15185	4	2013-08-02 16:05:33.49719	2013-08-03 17:47:04.324029
15144	4	2013-08-02 16:05:33.449649	2013-08-02 16:05:33.449649
24652	14	2013-08-02 16:05:53.345584	2013-08-03 19:47:26.977196
17486	2	2013-08-02 16:05:38.09858	2013-08-04 17:16:51.153957
15223	14	2013-08-02 16:05:33.527549	2013-08-03 02:47:01.145151
17496	14	2013-08-02 16:05:38.12588	2013-08-08 01:03:15.138622
3137	14	2013-08-02 16:05:09.674607	2013-08-03 21:42:22.191602
3117	21	2013-08-02 16:05:09.646374	2013-08-03 21:42:31.086214
15229	14	2013-08-02 16:05:33.532608	2013-08-04 18:42:34.564598
15209	14	2013-08-02 16:05:33.515445	2013-08-04 18:42:34.569361
15154	14	2013-08-02 16:05:33.462026	2013-08-02 16:05:33.462026
15165	4	2013-08-02 16:05:33.478746	2013-08-03 17:47:04.335046
15189	14	2013-08-02 16:05:33.500253	2013-08-04 18:42:34.574655
15169	14	2013-08-02 16:05:33.48265	2013-08-04 18:42:34.580828
15145	4	2013-08-02 16:05:33.450862	2013-08-03 17:47:04.340106
15196	14	2013-08-02 16:05:33.505414	2013-08-04 02:18:43.458086
15149	14	2013-08-02 16:05:33.45574	2013-08-04 18:42:34.588942
15151	14	2013-08-02 16:05:33.458188	2013-08-04 18:42:34.599237
15162	2	2013-08-02 16:05:33.473978	2013-08-02 16:05:33.473978
15164	4	2013-08-02 16:05:33.477257	2013-08-02 16:05:33.477257
15087	14	2013-08-02 16:05:33.35516	2013-08-08 01:03:15.141955
17575	14	2013-08-02 16:05:38.294548	2013-08-08 01:03:15.144997
15097	14	2013-08-02 16:05:33.376394	2013-08-08 01:03:15.148093
15174	14	2013-08-02 16:05:33.487006	2013-08-02 16:05:33.487006
15218	21	2013-08-02 16:05:33.522361	2013-08-03 02:53:05.434151
15140	2	2013-08-02 16:05:33.445001	2013-08-03 17:48:24.535412
4608	21	2013-08-02 16:05:12.790697	2013-08-04 02:18:43.490479
15226	2	2013-08-02 16:05:33.530086	2013-08-03 21:44:33.596181
15182	2	2013-08-02 16:05:33.494569	2013-08-02 16:05:33.494569
15133	21	2013-08-02 16:05:33.436834	2013-08-03 17:52:04.27583
15184	4	2013-08-02 16:05:33.496452	2013-08-02 16:05:33.496452
21308	21	2013-08-02 16:05:45.723904	2013-08-04 02:19:08.112594
15198	21	2013-08-02 16:05:33.506852	2013-08-03 02:53:05.438028
3070	21	2013-08-02 16:05:09.541193	2013-08-04 02:20:50.237895
15216	2	2013-08-02 16:05:33.520863	2013-08-04 02:20:52.413442
15194	14	2013-08-02 16:05:33.503908	2013-08-02 16:05:33.503908
15113	21	2013-08-02 16:05:33.410225	2013-08-03 17:52:04.277768
15178	21	2013-08-02 16:05:33.490614	2013-08-03 02:53:05.441655
15093	21	2013-08-02 16:05:33.367845	2013-08-03 17:52:04.280133
15176	4	2013-08-02 16:05:33.489159	2013-08-04 02:20:52.882579
15199	21	2013-08-02 16:05:33.507848	2013-08-04 00:08:21.343712
15206	4	2013-08-02 16:05:33.513284	2013-08-04 02:20:53.27608
15202	2	2013-08-02 16:05:33.510161	2013-08-02 16:05:33.510161
15073	21	2013-08-02 16:05:33.329762	2013-08-03 17:52:04.281499
15204	4	2013-08-02 16:05:33.511658	2013-08-02 16:05:33.511658
15158	21	2013-08-02 16:05:33.46757	2013-08-03 02:53:05.445212
15214	14	2013-08-02 16:05:33.519411	2013-08-02 16:05:33.519411
25243	4	2013-08-02 16:05:54.354153	2013-08-03 17:57:10.542998
15138	21	2013-08-02 16:05:33.4427	2013-08-03 02:53:05.448749
25223	4	2013-08-02 16:05:54.306928	2013-08-03 17:57:10.552508
15222	2	2013-08-02 16:05:33.526826	2013-08-02 16:05:33.526826
25203	4	2013-08-02 16:05:54.259797	2013-08-03 17:57:10.562154
15224	4	2013-08-02 16:05:33.528274	2013-08-02 16:05:33.528274
15118	21	2013-08-02 16:05:33.418401	2013-08-03 02:53:05.45218
15168	21	2013-08-02 16:05:33.481915	2013-08-03 01:56:01.316497
15137	4	2013-08-02 16:05:33.441531	2013-08-03 02:20:55.82925
25183	4	2013-08-02 16:05:54.209141	2013-08-03 17:57:10.572685
15177	2	2013-08-02 16:05:33.489883	2013-08-03 02:20:55.831042
15217	4	2013-08-02 16:05:33.521608	2013-08-03 02:21:48.725113
15143	21	2013-08-02 16:05:33.448409	2013-08-03 02:53:05.455767
15155	21	2013-08-02 16:05:33.46335	2013-08-03 03:09:48.201074
15203	21	2013-08-02 16:05:33.510927	2013-08-03 03:09:48.204846
15135	21	2013-08-02 16:05:33.439125	2013-08-03 03:09:48.208094
15115	21	2013-08-02 16:05:33.411799	2013-08-03 03:09:48.211228
15095	21	2013-08-02 16:05:33.372124	2013-08-03 03:09:48.214549
15075	21	2013-08-02 16:05:33.333282	2013-08-03 03:09:48.21756
25163	4	2013-08-02 16:05:54.162115	2013-08-03 17:57:10.583496
25143	2	2013-08-02 16:05:54.114356	2013-08-03 17:57:10.599642
25123	2	2013-08-02 16:05:54.064572	2013-08-03 17:57:10.606274
9150	21	2013-08-02 16:05:21.678215	2013-08-03 17:57:10.700175
15213	21	2013-08-02 16:05:33.518708	2013-08-03 18:12:26.776899
15101	4	2013-08-02 16:05:33.385323	2013-08-03 18:30:17.240391
15201	4	2013-08-02 16:05:33.509429	2013-08-03 18:32:14.157453
15180	4	2013-08-02 16:05:33.492812	2013-08-03 18:38:19.961347
15312	21	2013-08-02 16:05:33.608114	2013-08-03 20:12:23.537104
15346	21	2013-08-02 16:05:33.637986	2013-08-03 20:12:23.538504
15350	21	2013-08-02 16:05:33.641393	2013-08-03 18:52:33.980736
15243	21	2013-08-02 16:05:33.543501	2013-08-03 18:52:33.984764
15234	14	2013-08-02 16:05:33.536339	2013-08-02 16:05:33.536339
15305	21	2013-08-02 16:05:33.602392	2013-08-03 17:47:04.235872
13007	4	2013-08-02 16:05:29.064897	2013-08-04 21:00:26.688011
15330	21	2013-08-02 16:05:33.623822	2013-08-03 18:52:33.988221
15335	21	2013-08-02 16:05:33.628287	2013-08-03 17:05:35.63328
49910	4	2013-08-02 16:06:50.405755	2013-08-04 02:12:34.565229
15310	21	2013-08-02 16:05:33.606624	2013-08-03 18:52:33.991684
15290	21	2013-08-02 16:05:33.589644	2013-08-03 18:52:33.995413
15242	2	2013-08-02 16:05:33.542753	2013-08-02 16:05:33.542753
15315	21	2013-08-02 16:05:33.610343	2013-08-03 17:05:35.635552
15244	4	2013-08-02 16:05:33.544236	2013-08-02 16:05:33.544236
21979	21	2013-08-02 16:05:47.478842	2013-08-04 17:14:14.706748
41555	4	2013-08-02 16:06:31.448426	2013-08-03 23:01:08.33353
15326	21	2013-08-02 16:05:33.620558	2013-08-03 20:12:23.539644
12928	2	2013-08-02 16:05:28.992325	2013-08-04 21:00:26.695501
15366	2	2013-08-02 16:05:33.656467	2013-08-03 20:14:12.256656
6075	21	2013-08-02 16:05:15.315948	2013-08-03 23:01:19.012456
15254	14	2013-08-02 16:05:33.553836	2013-08-02 16:05:33.553836
15285	4	2013-08-02 16:05:33.584128	2013-08-03 17:47:04.255947
648	14	2013-08-02 16:05:05.093072	2013-08-03 23:01:26.000468
15295	21	2013-08-02 16:05:33.593765	2013-08-03 17:05:35.637134
49892	2	2013-08-02 16:06:50.363019	2013-08-04 02:12:34.56721
15262	2	2013-08-02 16:05:33.561287	2013-08-02 16:05:33.561287
15275	21	2013-08-02 16:05:33.573504	2013-08-03 17:05:35.638752
15264	4	2013-08-02 16:05:33.56339	2013-08-02 16:05:33.56339
13027	2	2013-08-02 16:05:29.083467	2013-08-04 21:01:19.117894
26171	4	2013-08-02 16:05:56.626223	2013-08-04 17:14:14.902588
15239	14	2013-08-02 16:05:33.540484	2013-08-03 23:58:58.455059
8413	2	2013-08-02 16:05:19.875926	2013-08-04 21:01:19.929316
15274	14	2013-08-02 16:05:33.572738	2013-08-02 16:05:33.572738
15265	4	2013-08-02 16:05:33.564158	2013-08-03 17:47:04.266973
26191	2	2013-08-02 16:05:56.670407	2013-08-04 17:14:14.909942
15255	21	2013-08-02 16:05:33.554742	2013-08-03 17:05:35.640275
15235	21	2013-08-02 16:05:33.537351	2013-08-03 17:05:35.6417
8393	21	2013-08-02 16:05:19.749926	2013-08-08 01:03:08.543432
14911	4	2013-08-02 16:05:32.894785	2013-08-04 02:12:58.909342
15247	14	2013-08-02 16:05:33.546461	2013-08-08 01:03:15.548977
15282	2	2013-08-02 16:05:33.580707	2013-08-02 16:05:33.580707
15375	4	2013-08-02 16:05:33.665191	2013-08-03 17:10:34.476834
15284	4	2013-08-02 16:05:33.582965	2013-08-02 16:05:33.582965
31865	21	2013-08-02 16:06:10.136497	2013-08-04 17:14:14.952674
14816	2	2013-08-02 16:05:32.663554	2013-08-04 02:12:58.916587
26131	14	2013-08-02 16:05:56.57258	2013-08-08 01:03:15.552026
5721	2	2013-08-02 16:05:14.478934	2013-08-03 21:11:12.320908
42297	21	2013-08-02 16:06:33.487796	2013-08-04 17:14:14.965979
16476	2	2013-08-02 16:05:35.449857	2013-08-04 17:16:51.142415
15294	14	2013-08-02 16:05:33.592971	2013-08-02 16:05:33.592971
15245	4	2013-08-02 16:05:33.544988	2013-08-03 17:47:04.27805
15323	14	2013-08-02 16:05:33.617989	2013-08-04 18:42:34.52274
15289	14	2013-08-02 16:05:33.588809	2013-08-04 18:42:34.529172
15355	4	2013-08-02 16:05:33.64633	2013-08-03 17:10:34.530624
15263	14	2013-08-02 16:05:33.562059	2013-08-04 18:42:34.534198
15269	14	2013-08-02 16:05:33.56791	2013-08-04 18:42:34.539256
15331	4	2013-08-02 16:05:33.624658	2013-08-03 19:08:23.894823
15302	2	2013-08-02 16:05:33.599679	2013-08-02 16:05:33.599679
15385	2	2013-08-02 16:05:33.676098	2013-08-03 17:47:04.577723
15304	4	2013-08-02 16:05:33.601514	2013-08-02 16:05:33.601514
15303	14	2013-08-02 16:05:33.600591	2013-08-04 18:42:34.546633
15371	2	2013-08-02 16:05:33.661461	2013-08-03 19:08:23.899325
15369	2	2013-08-02 16:05:33.658817	2013-08-04 18:47:31.632914
15349	2	2013-08-02 16:05:33.640496	2013-08-04 18:47:31.639021
15314	14	2013-08-02 16:05:33.609612	2013-08-02 16:05:33.609612
15365	2	2013-08-02 16:05:33.655158	2013-08-03 17:47:04.590583
13537	2	2013-08-02 16:05:29.598704	2013-08-04 18:47:31.643203
15311	14	2013-08-02 16:05:33.607376	2013-08-03 19:08:43.668927
15345	2	2013-08-02 16:05:33.637146	2013-08-03 17:47:04.601783
15337	2	2013-08-02 16:05:33.629755	2013-08-04 18:47:31.647668
15252	2	2013-08-02 16:05:33.551229	2013-08-04 18:47:31.651809
15251	21	2013-08-02 16:05:33.55039	2013-08-03 19:12:35.495046
15322	2	2013-08-02 16:05:33.617274	2013-08-02 16:05:33.617274
15325	2	2013-08-02 16:05:33.619684	2013-08-03 17:47:04.612918
15324	4	2013-08-02 16:05:33.618818	2013-08-02 16:05:33.618818
15231	4	2013-08-02 16:05:33.534127	2013-08-03 19:12:35.796752
15336	21	2013-08-02 16:05:33.629042	2013-08-04 02:20:49.792204
15258	21	2013-08-02 16:05:33.557488	2013-08-03 02:53:05.426463
15270	2	2013-08-02 16:05:33.568878	2013-08-04 02:20:50.218288
15321	21	2013-08-02 16:05:33.616001	2013-08-04 02:20:50.238754
15316	21	2013-08-02 16:05:33.611068	2013-08-04 02:20:50.239585
15334	14	2013-08-02 16:05:33.627528	2013-08-02 16:05:33.627528
15276	2	2013-08-02 16:05:33.574312	2013-08-04 02:20:51.531393
15329	2	2013-08-02 16:05:33.623014	2013-08-04 18:47:31.656067
15238	21	2013-08-02 16:05:33.539742	2013-08-03 02:53:05.430641
15256	4	2013-08-02 16:05:33.555576	2013-08-04 02:20:51.717625
15342	2	2013-08-02 16:05:33.634045	2013-08-02 16:05:33.634045
15344	4	2013-08-02 16:05:33.636239	2013-08-02 16:05:33.636239
41315	14	2013-08-02 16:06:30.626336	2013-08-03 19:47:27.622248
15236	2	2013-08-02 16:05:33.538076	2013-08-04 02:20:52.213958
15378	21	2013-08-02 16:05:33.667926	2013-08-03 02:58:09.348639
15301	14	2013-08-02 16:05:33.598807	2013-08-03 21:19:21.558658
11281	14	2013-08-02 16:05:25.135329	2013-08-03 21:19:21.570072
23301	2	2013-08-02 16:05:50.901532	2013-08-04 18:47:31.660699
15309	2	2013-08-02 16:05:33.605871	2013-08-04 18:47:31.665571
15354	14	2013-08-02 16:05:33.645578	2013-08-02 16:05:33.645578
15358	21	2013-08-02 16:05:33.648591	2013-08-03 02:58:09.350119
15362	2	2013-08-02 16:05:33.651994	2013-08-02 16:05:33.651994
15364	4	2013-08-02 16:05:33.653671	2013-08-02 16:05:33.653671
15338	21	2013-08-02 16:05:33.630458	2013-08-03 02:58:09.351838
15374	14	2013-08-02 16:05:33.664241	2013-08-02 16:05:33.664241
15332	4	2013-08-02 16:05:33.625572	2013-08-03 17:48:44.849292
15318	21	2013-08-02 16:05:33.61335	2013-08-03 02:58:09.353504
41155	4	2013-08-02 16:06:30.240911	2013-08-03 19:54:07.545126
15382	2	2013-08-02 16:05:33.672665	2013-08-02 16:05:33.672665
15372	2	2013-08-02 16:05:33.662396	2013-08-03 17:48:44.856103
15384	4	2013-08-02 16:05:33.675246	2013-08-02 16:05:33.675246
15377	14	2013-08-02 16:05:33.667097	2013-08-03 02:21:48.631698
15352	21	2013-08-02 16:05:33.643836	2013-08-03 21:45:39.060019
15277	2	2013-08-02 16:05:33.575048	2013-08-03 02:21:48.688731
15298	21	2013-08-02 16:05:33.596205	2013-08-03 02:58:09.354708
15278	21	2013-08-02 16:05:33.576168	2013-08-03 02:58:09.355613
14031	14	2013-08-02 16:05:30.767149	2013-08-03 17:57:10.743654
10817	14	2013-08-02 16:05:24.24337	2013-08-03 17:57:10.747915
14051	14	2013-08-02 16:05:30.814743	2013-08-03 17:57:10.754772
13931	21	2013-08-02 16:05:30.527893	2013-08-03 17:57:10.852871
24683	14	2013-08-02 16:05:53.385726	2013-08-03 17:57:10.893306
11241	14	2013-08-02 16:05:25.0293	2013-08-03 17:57:10.901272
11261	14	2013-08-02 16:05:25.082664	2013-08-03 17:57:10.906983
11173	4	2013-08-02 16:05:24.874845	2013-08-03 17:57:10.95401
15272	14	2013-08-02 16:05:33.570735	2013-08-03 17:57:11.24113
7259	2	2013-08-02 16:05:17.674425	2013-08-03 17:59:16.789632
15373	21	2013-08-02 16:05:33.663327	2013-08-03 18:12:26.753177
15353	21	2013-08-02 16:05:33.64471	2013-08-03 18:12:26.756301
15297	21	2013-08-02 16:05:33.595516	2013-08-03 18:32:14.0646
15317	21	2013-08-02 16:05:33.612282	2013-08-03 18:32:14.065803
15381	21	2013-08-02 16:05:33.67163	2013-08-03 18:32:14.0669
15361	21	2013-08-02 16:05:33.651177	2013-08-03 18:32:14.067856
15341	21	2013-08-02 16:05:33.633215	2013-08-03 18:32:14.068987
15403	4	2013-08-02 16:05:33.697434	2013-08-03 02:47:01.180826
15510	4	2013-08-02 16:05:33.79478	2013-08-03 22:04:21.455115
26151	21	2013-08-02 16:05:56.594422	2013-08-04 17:16:51.245811
15461	21	2013-08-02 16:05:33.754215	2013-08-03 18:47:36.032273
23381	4	2013-08-02 16:05:51.097531	2013-08-03 21:11:12.371517
15394	14	2013-08-02 16:05:33.686619	2013-08-02 16:05:33.686619
15525	4	2013-08-02 16:05:33.807014	2013-08-03 17:47:04.510034
17536	21	2013-08-02 16:05:38.21843	2013-08-04 17:16:51.248643
15423	2	2013-08-02 16:05:33.722232	2013-08-03 02:47:01.184472
15475	4	2013-08-02 16:05:33.765816	2013-08-03 17:10:34.451932
747	2	2013-08-02 16:05:05.190789	2013-08-04 01:10:51.156461
15410	14	2013-08-02 16:05:33.709708	2013-08-03 18:54:20.031018
42197	21	2013-08-02 16:06:33.239233	2013-08-04 17:16:51.254271
15402	2	2013-08-02 16:05:33.696139	2013-08-02 16:05:33.696139
15455	4	2013-08-02 16:05:33.749026	2013-08-03 17:10:34.455295
15404	4	2013-08-02 16:05:33.699404	2013-08-02 16:05:33.699404
37835	2	2013-08-02 16:06:23.694857	2013-08-04 21:00:26.783854
8180	2	2013-08-02 16:05:19.227017	2013-08-03 22:09:24.567079
22059	21	2013-08-02 16:05:47.691609	2013-08-04 17:16:51.257102
20092	4	2013-08-02 16:05:43.648368	2013-08-03 23:01:26.033989
22497	2	2013-08-02 16:05:48.864239	2013-08-03 23:01:26.040368
15414	14	2013-08-02 16:05:33.71284	2013-08-02 16:05:33.71284
15505	4	2013-08-02 16:05:33.79033	2013-08-03 17:47:04.516724
46563	2	2013-08-02 16:06:42.976919	2013-08-04 17:16:51.542983
15543	2	2013-08-02 16:05:33.822955	2013-08-03 02:47:51.54723
15435	4	2013-08-02 16:05:33.731957	2013-08-03 17:10:34.459544
17516	2	2013-08-02 16:05:38.179732	2013-08-04 17:16:51.553206
4830	2	2013-08-02 16:05:13.037401	2013-08-04 17:16:51.563336
15422	2	2013-08-02 16:05:33.721332	2013-08-02 16:05:33.721332
15415	4	2013-08-02 16:05:33.714312	2013-08-03 17:10:34.463672
15424	4	2013-08-02 16:05:33.723341	2013-08-02 16:05:33.723341
15011	4	2013-08-02 16:05:33.250208	2013-08-04 02:13:04.711415
23741	4	2013-08-02 16:05:51.965962	2013-08-03 23:01:37.464031
15523	2	2013-08-02 16:05:33.805358	2013-08-03 02:47:51.552683
42100	2	2013-08-02 16:06:32.816698	2013-08-04 17:16:51.573664
22039	2	2013-08-02 16:05:47.637902	2013-08-04 17:16:51.583906
14971	2	2013-08-02 16:05:33.042663	2013-08-04 02:13:04.717038
19208	2	2013-08-02 16:05:41.361873	2013-08-03 23:01:37.466886
15434	14	2013-08-02 16:05:33.731282	2013-08-02 16:05:33.731282
15485	4	2013-08-02 16:05:33.773628	2013-08-03 17:47:04.524992
27633	2	2013-08-02 16:06:00.260331	2013-08-04 17:16:51.594108
15503	2	2013-08-02 16:05:33.788293	2013-08-03 02:47:51.557481
15395	4	2013-08-02 16:05:33.687485	2013-08-03 17:10:34.468009
27730	2	2013-08-02 16:06:00.492212	2013-08-04 17:16:51.604397
27653	2	2013-08-02 16:06:00.308227	2013-08-04 17:16:51.614518
15442	2	2013-08-02 16:05:33.73739	2013-08-02 16:05:33.73739
27740	2	2013-08-02 16:06:00.518264	2013-08-04 17:16:51.62476
15444	4	2013-08-02 16:05:33.738973	2013-08-02 16:05:33.738973
27673	2	2013-08-02 16:06:00.35632	2013-08-04 17:16:51.634683
15483	2	2013-08-02 16:05:33.772105	2013-08-03 02:47:51.562243
5692	14	2013-08-02 16:05:14.410087	2013-08-03 21:11:32.249582
25988	2	2013-08-02 16:05:56.427464	2013-08-04 17:16:51.826806
10411	2	2013-08-02 16:05:23.701283	2013-08-04 17:16:51.84844
4721	2	2013-08-02 16:05:12.890976	2013-08-04 17:16:51.859022
15454	14	2013-08-02 16:05:33.748134	2013-08-02 16:05:33.748134
15465	2	2013-08-02 16:05:33.758111	2013-08-03 17:47:04.533989
15529	2	2013-08-02 16:05:33.810093	2013-08-04 18:52:30.563545
15463	2	2013-08-02 16:05:33.755986	2013-08-03 02:47:51.56691
15518	2	2013-08-02 16:05:33.801555	2013-08-03 17:10:34.76234
15136	4	2013-08-02 16:05:33.44034	2013-08-04 02:13:25.699063
15509	2	2013-08-02 16:05:33.793908	2013-08-04 18:52:30.574701
31558	4	2013-08-02 16:06:09.228393	2013-08-03 19:47:28.684531
15462	2	2013-08-02 16:05:33.755102	2013-08-02 16:05:33.755102
15445	2	2013-08-02 16:05:33.739696	2013-08-03 17:47:04.54391
15464	4	2013-08-02 16:05:33.756842	2013-08-02 16:05:33.756842
15419	14	2013-08-02 16:05:33.718668	2013-08-04 00:07:58.050705
15430	2	2013-08-02 16:05:33.728504	2013-08-04 18:52:30.58642
15418	21	2013-08-02 16:05:33.717499	2013-08-03 02:58:09.345632
46588	4	2013-08-02 16:06:43.048606	2013-08-04 21:00:26.875329
46541	2	2013-08-02 16:06:42.928115	2013-08-04 21:01:19.111526
28598	14	2013-08-02 16:06:01.958018	2013-08-03 19:47:28.884208
15474	14	2013-08-02 16:05:33.765106	2013-08-02 16:05:33.765106
15425	2	2013-08-02 16:05:33.724026	2013-08-03 17:47:04.554377
2107	14	2013-08-02 16:05:08.192127	2013-08-08 01:02:58.444301
15398	21	2013-08-02 16:05:33.690706	2013-08-03 02:58:09.34728
15515	4	2013-08-02 16:05:33.799148	2013-08-03 17:20:35.659123
15387	14	2013-08-02 16:05:33.678505	2013-08-08 01:03:16.269959
7479	14	2013-08-02 16:05:17.901872	2013-08-03 19:47:28.89793
15407	14	2013-08-02 16:05:33.704493	2013-08-08 01:03:16.273009
15482	2	2013-08-02 16:05:33.771248	2013-08-02 16:05:33.771248
15405	2	2013-08-02 16:05:33.701174	2013-08-03 17:47:04.565808
15484	4	2013-08-02 16:05:33.77286	2013-08-02 16:05:33.77286
17690	14	2013-08-02 16:05:38.541883	2013-08-04 02:18:49.358992
15070	14	2013-08-02 16:05:33.324505	2013-08-08 01:03:16.275918
15530	14	2013-08-02 16:05:33.810942	2013-08-08 01:03:16.27842
15427	14	2013-08-02 16:05:33.726236	2013-08-08 01:03:16.281502
15926	14	2013-08-02 16:05:34.337268	2013-08-03 21:19:21.536745
15481	14	2013-08-02 16:05:33.77044	2013-08-03 21:19:21.547803
15494	14	2013-08-02 16:05:33.780141	2013-08-02 16:05:33.780141
15540	2	2013-08-02 16:05:33.820127	2013-08-03 17:47:06.820269
15520	2	2013-08-02 16:05:33.802999	2013-08-03 17:47:06.831806
15502	2	2013-08-02 16:05:33.786955	2013-08-02 16:05:33.786955
15504	4	2013-08-02 16:05:33.789406	2013-08-02 16:05:33.789406
15535	21	2013-08-02 16:05:33.815785	2013-08-03 21:44:33.208929
15436	21	2013-08-02 16:05:33.732649	2013-08-04 02:19:08.115643
15431	21	2013-08-02 16:05:33.729205	2013-08-03 21:44:33.213178
15411	21	2013-08-02 16:05:33.710494	2013-08-03 21:44:33.216403
6746	2	2013-08-02 16:05:16.911883	2013-08-04 02:20:50.207599
15470	2	2013-08-02 16:05:33.762196	2013-08-03 21:44:33.228535
15391	2	2013-08-02 16:05:33.683517	2013-08-03 21:44:33.240141
15514	14	2013-08-02 16:05:33.79827	2013-08-02 16:05:33.79827
15496	2	2013-08-02 16:05:33.781712	2013-08-04 02:20:51.524827
15476	4	2013-08-02 16:05:33.766535	2013-08-04 02:20:51.707743
15456	2	2013-08-02 16:05:33.749917	2013-08-04 02:20:52.203188
2270	2	2013-08-02 16:05:08.551325	2013-08-04 02:20:52.405386
15286	4	2013-08-02 16:05:33.585295	2013-08-04 02:20:52.872563
15522	2	2013-08-02 16:05:33.804481	2013-08-02 16:05:33.804481
15524	4	2013-08-02 16:05:33.806186	2013-08-02 16:05:33.806186
15416	4	2013-08-02 16:05:33.715356	2013-08-04 02:20:53.266479
15491	14	2013-08-02 16:05:33.777978	2013-08-03 21:50:49.868667
15511	21	2013-08-02 16:05:33.795652	2013-08-03 21:50:49.985761
15534	14	2013-08-02 16:05:33.814825	2013-08-02 16:05:33.814825
15512	14	2013-08-02 16:05:33.796551	2013-08-03 17:48:55.754945
15538	14	2013-08-02 16:05:33.81854	2013-08-03 03:04:38.178966
15531	14	2013-08-02 16:05:33.811997	2013-08-03 21:54:22.297902
15437	14	2013-08-02 16:05:33.733455	2013-08-03 21:54:22.308416
15542	2	2013-08-02 16:05:33.821809	2013-08-02 16:05:33.821809
15537	21	2013-08-02 16:05:33.817627	2013-08-03 02:21:48.557257
15457	4	2013-08-02 16:05:33.75082	2013-08-03 02:26:55.511886
15452	2	2013-08-02 16:05:33.746373	2013-08-03 17:48:56.383457
15412	2	2013-08-02 16:05:33.711297	2013-08-03 17:52:05.789046
4798	14	2013-08-02 16:05:13.01377	2013-08-03 17:57:11.245634
11101	4	2013-08-02 16:05:24.703279	2013-08-03 17:57:11.254317
5090	14	2013-08-02 16:05:13.297784	2013-08-03 17:57:11.36048
5045	14	2013-08-02 16:05:13.241401	2013-08-03 17:57:11.371236
5085	14	2013-08-02 16:05:13.29248	2013-08-03 17:57:11.382093
5109	4	2013-08-02 16:05:13.315788	2013-08-03 17:57:11.44461
5089	4	2013-08-02 16:05:13.29674	2013-08-03 17:57:11.449379
5069	4	2013-08-02 16:05:13.271963	2013-08-03 17:57:11.454439
5049	4	2013-08-02 16:05:13.247624	2013-08-03 17:57:11.459944
15532	21	2013-08-02 16:05:33.812942	2013-08-03 18:17:18.538817
15533	21	2013-08-02 16:05:33.813898	2013-08-03 18:17:18.542499
15421	21	2013-08-02 16:05:33.720613	2013-08-03 18:32:14.059565
15443	21	2013-08-02 16:05:33.738201	2013-08-03 18:32:14.061682
15401	21	2013-08-02 16:05:33.694991	2013-08-03 18:32:14.063118
15441	2	2013-08-02 16:05:33.736495	2013-08-03 18:33:25.243995
15541	14	2013-08-02 16:05:33.820945	2013-08-03 18:37:37.091034
15544	4	2013-08-02 16:05:33.823836	2013-08-02 16:05:33.823836
15550	4	2013-08-02 16:05:33.829401	2013-08-03 18:54:20.050362
46608	2	2013-08-02 16:06:43.101728	2013-08-04 21:00:26.882276
15683	2	2013-08-02 16:05:33.968061	2013-08-03 02:47:51.518561
15546	21	2013-08-02 16:05:33.825508	2013-08-03 20:21:36.253915
15599	2	2013-08-02 16:05:33.878883	2013-08-04 01:10:51.151498
15646	21	2013-08-02 16:05:33.926582	2013-08-03 20:22:30.440682
15590	2	2013-08-02 16:05:33.868999	2013-08-03 18:54:20.057137
15554	14	2013-08-02 16:05:33.832761	2013-08-02 16:05:33.832761
15665	21	2013-08-02 16:05:33.943088	2013-08-03 17:47:04.429092
15663	2	2013-08-02 16:05:33.940988	2013-08-03 02:47:51.522389
15637	21	2013-08-02 16:05:33.919829	2013-08-03 17:10:34.619931
3014	2	2013-08-02 16:05:09.470942	2013-08-04 02:13:25.701398
43025	4	2013-08-02 16:06:34.970537	2013-08-03 23:04:23.954073
15562	2	2013-08-02 16:05:33.839743	2013-08-02 16:05:33.839743
15695	21	2013-08-02 16:05:33.981568	2013-08-03 17:10:34.623078
15564	4	2013-08-02 16:05:33.842063	2013-08-02 16:05:33.842063
19826	2	2013-08-02 16:05:42.974511	2013-08-03 23:04:24.144148
4435	21	2013-08-02 16:05:12.591395	2013-08-03 23:04:24.24016
15643	2	2013-08-02 16:05:33.924295	2013-08-03 02:47:51.526096
15666	14	2013-08-02 16:05:33.944692	2013-08-03 20:24:44.857999
17440	2	2013-08-02 16:05:37.978237	2013-08-04 17:16:52.187166
4632	21	2013-08-02 16:05:12.81331	2013-08-03 23:04:24.499781
32281	2	2013-08-02 16:06:11.020193	2013-08-04 17:16:52.197106
15574	14	2013-08-02 16:05:33.851335	2013-08-02 16:05:33.851335
15645	4	2013-08-02 16:05:33.925903	2013-08-03 17:47:04.442228
21959	2	2013-08-02 16:05:47.425261	2013-08-04 17:16:52.207243
15623	2	2013-08-02 16:05:33.907494	2013-08-03 02:47:51.530159
15675	21	2013-08-02 16:05:33.95627	2013-08-03 17:10:34.626241
5657	2	2013-08-02 16:05:14.323777	2013-08-04 17:16:52.781118
34465	14	2013-08-02 16:06:15.765946	2013-08-03 23:06:34.025435
15582	2	2013-08-02 16:05:33.8598	2013-08-02 16:05:33.8598
15655	14	2013-08-02 16:05:33.93381	2013-08-03 17:10:34.646001
15584	4	2013-08-02 16:05:33.861592	2013-08-02 16:05:33.861592
14819	2	2013-08-02 16:05:32.670173	2013-08-04 02:15:49.552132
17736	2	2013-08-02 16:05:38.618456	2013-08-04 17:16:52.793301
15603	2	2013-08-02 16:05:33.883215	2013-08-03 02:47:51.533967
12947	14	2013-08-02 16:05:29.009296	2013-08-04 21:00:26.935638
15559	2	2013-08-02 16:05:33.83714	2013-08-04 00:03:54.687829
3097	21	2013-08-02 16:05:09.624332	2013-08-04 02:15:49.601769
14956	21	2013-08-02 16:05:33.006659	2013-08-04 02:15:49.604759
17716	2	2013-08-02 16:05:38.593084	2013-08-04 17:16:52.805059
15594	14	2013-08-02 16:05:33.873606	2013-08-02 16:05:33.873606
15625	4	2013-08-02 16:05:33.908988	2013-08-03 17:47:04.450937
17696	2	2013-08-02 16:05:38.557789	2013-08-04 17:16:52.812273
15583	2	2013-08-02 16:05:33.860734	2013-08-03 02:47:51.538412
17660	2	2013-08-02 16:05:38.481653	2013-08-04 17:16:52.815772
14777	21	2013-08-02 16:05:32.57814	2013-08-04 02:15:49.607191
29457	21	2013-08-02 16:06:03.94857	2013-08-03 19:47:29.020154
15602	2	2013-08-02 16:05:33.881598	2013-08-02 16:05:33.881598
15604	4	2013-08-02 16:05:33.884016	2013-08-02 16:05:33.884016
24432	21	2013-08-02 16:05:52.929361	2013-08-03 19:47:29.020968
17691	2	2013-08-02 16:05:38.544484	2013-08-04 17:16:52.819307
15563	2	2013-08-02 16:05:33.840675	2013-08-03 02:47:51.542729
15156	2	2013-08-02 16:05:33.46469	2013-08-04 02:15:50.286622
14991	2	2013-08-02 16:05:33.091198	2013-08-04 02:15:50.292713
15556	2	2013-08-02 16:05:33.834517	2013-08-04 02:18:49.404674
17676	2	2013-08-02 16:05:38.506719	2013-08-04 17:16:52.822593
15614	14	2013-08-02 16:05:33.899377	2013-08-02 16:05:33.899377
15605	4	2013-08-02 16:05:33.884883	2013-08-03 17:47:04.461715
14046	2	2013-08-02 16:05:30.802803	2013-08-04 17:16:52.825915
14100	2	2013-08-02 16:05:30.938931	2013-08-04 17:16:52.829727
15595	4	2013-08-02 16:05:33.874854	2013-08-03 17:10:34.703641
310	4	2013-08-02 16:05:04.618103	2013-08-04 02:20:51.697768
17656	2	2013-08-02 16:05:38.47706	2013-08-04 17:16:52.833905
15640	14	2013-08-02 16:05:33.92223	2013-08-03 20:24:44.989552
15622	2	2013-08-02 16:05:33.906732	2013-08-02 16:05:33.906732
15552	2	2013-08-02 16:05:33.831102	2013-08-04 18:52:30.448622
15624	4	2013-08-02 16:05:33.908246	2013-08-02 16:05:33.908246
23281	14	2013-08-02 16:05:50.852999	2013-08-03 21:11:32.317563
15689	2	2013-08-02 16:05:33.975194	2013-08-04 18:52:30.453922
15669	2	2013-08-02 16:05:33.948035	2013-08-04 18:52:30.458775
15931	21	2013-08-02 16:05:34.342137	2013-08-04 02:23:40.64634
15576	21	2013-08-02 16:05:33.853808	2013-08-04 02:25:48.987689
23681	2	2013-08-02 16:05:51.853893	2013-08-03 21:11:32.404711
15634	14	2013-08-02 16:05:33.916985	2013-08-02 16:05:33.916985
15585	4	2013-08-02 16:05:33.862743	2013-08-03 17:47:04.474471
15596	4	2013-08-02 16:05:33.876172	2013-08-04 02:25:51.371039
15565	4	2013-08-02 16:05:33.842881	2013-08-03 17:47:04.487121
43723	4	2013-08-02 16:06:36.50688	2013-08-04 02:25:51.686666
33459	2	2013-08-02 16:06:14.08796	2013-08-04 21:01:19.925464
15642	2	2013-08-02 16:05:33.923601	2013-08-02 16:05:33.923601
15555	4	2013-08-02 16:05:33.833642	2013-08-03 17:10:34.879884
15644	4	2013-08-02 16:05:33.925001	2013-08-02 16:05:33.925001
7265	14	2013-08-02 16:05:17.680126	2013-08-08 01:02:58.440782
15547	14	2013-08-02 16:05:33.826275	2013-08-08 01:03:17.955527
15567	14	2013-08-02 16:05:33.844666	2013-08-08 01:03:17.958536
3128	14	2013-08-02 16:05:09.660594	2013-08-08 01:03:17.961607
15587	14	2013-08-02 16:05:33.865358	2013-08-08 01:03:17.964652
5672	14	2013-08-02 16:05:14.36185	2013-08-03 21:11:32.425187
2320	14	2013-08-02 16:05:08.617566	2013-08-08 01:03:17.967676
15654	14	2013-08-02 16:05:33.932951	2013-08-02 16:05:33.932951
15545	4	2013-08-02 16:05:33.824726	2013-08-03 17:47:04.498311
15615	14	2013-08-02 16:05:33.901137	2013-08-08 01:03:17.97062
15580	21	2013-08-02 16:05:33.857479	2013-08-03 17:47:06.785339
15662	2	2013-08-02 16:05:33.940153	2013-08-02 16:05:33.940153
15560	2	2013-08-02 16:05:33.837997	2013-08-03 17:47:06.808208
15664	4	2013-08-02 16:05:33.941903	2013-08-02 16:05:33.941903
29858	14	2013-08-02 16:06:05.038734	2013-08-03 21:19:21.526453
15626	4	2013-08-02 16:05:33.909741	2013-08-03 21:42:22.201838
21875	2	2013-08-02 16:05:47.24317	2013-08-03 21:42:22.204046
15686	21	2013-08-02 16:05:33.972058	2013-08-03 21:42:41.829514
15674	14	2013-08-02 16:05:33.954491	2013-08-02 16:05:33.954491
17050	21	2013-08-02 16:05:36.9548	2013-08-03 21:49:33.07349
15682	2	2013-08-02 16:05:33.966681	2013-08-02 16:05:33.966681
15660	14	2013-08-02 16:05:33.938543	2013-08-03 17:48:24.548439
15684	4	2013-08-02 16:05:33.969542	2013-08-02 16:05:33.969542
15694	14	2013-08-02 16:05:33.980739	2013-08-02 16:05:33.980739
15685	14	2013-08-02 16:05:33.970888	2013-08-03 17:48:44.389899
15631	2	2013-08-02 16:05:33.913836	2013-08-03 21:54:21.841106
15657	14	2013-08-02 16:05:33.935807	2013-08-03 02:25:21.717566
15611	14	2013-08-02 16:05:33.89492	2013-08-03 21:54:22.286876
18220	4	2013-08-02 16:05:39.278532	2013-08-03 22:00:36.815285
15578	4	2013-08-02 16:05:33.855547	2013-08-03 17:48:55.787433
15652	2	2013-08-02 16:05:33.931336	2013-08-03 17:48:55.794684
15575	4	2013-08-02 16:05:33.852924	2013-08-03 17:52:02.814168
15700	21	2013-08-02 16:05:33.986797	2013-08-03 17:52:04.011006
15692	21	2013-08-02 16:05:33.978029	2013-08-03 17:52:04.013825
12110	21	2013-08-02 16:05:27.317867	2013-08-03 17:57:11.503669
12090	21	2013-08-02 16:05:27.288784	2013-08-03 17:57:11.505757
11963	21	2013-08-02 16:05:26.892835	2013-08-03 17:57:11.508234
12010	14	2013-08-02 16:05:27.016207	2013-08-03 17:57:11.552872
11990	14	2013-08-02 16:05:26.964518	2013-08-03 17:57:11.561533
15553	21	2013-08-02 16:05:33.83194	2013-08-03 18:17:18.534714
15600	2	2013-08-02 16:05:33.879887	2013-08-03 18:22:15.093101
15680	2	2013-08-02 16:05:33.963959	2013-08-03 18:22:15.097853
15693	2	2013-08-02 16:05:33.979054	2013-08-03 18:22:15.102113
15572	21	2013-08-02 16:05:33.849623	2013-08-03 18:37:36.96708
15672	21	2013-08-02 16:05:33.951365	2013-08-03 18:37:36.96987
15681	21	2013-08-02 16:05:33.965353	2013-08-03 18:37:36.971512
15661	21	2013-08-02 16:05:33.939362	2013-08-03 18:37:36.973221
15641	21	2013-08-02 16:05:33.922918	2013-08-03 18:37:36.974867
15621	21	2013-08-02 16:05:33.905908	2013-08-03 18:37:36.976365
15601	21	2013-08-02 16:05:33.880778	2013-08-03 18:37:36.977791
15581	21	2013-08-02 16:05:33.858964	2013-08-03 18:37:36.979228
15761	21	2013-08-02 16:05:34.156398	2013-08-03 18:47:36.030521
15702	2	2013-08-02 16:05:33.98942	2013-08-02 16:05:33.98942
15795	21	2013-08-02 16:05:34.187121	2013-08-03 17:10:34.601621
15704	4	2013-08-02 16:05:33.991082	2013-08-02 16:05:33.991082
15706	21	2013-08-02 16:05:33.992811	2013-08-03 22:04:59.24245
15703	2	2013-08-02 16:05:33.990293	2013-08-03 02:47:51.512607
17636	2	2013-08-02 16:05:38.427278	2013-08-04 17:16:52.83786
15779	21	2013-08-02 16:05:34.174584	2013-08-04 00:15:38.54636
15714	14	2013-08-02 16:05:33.999915	2013-08-02 16:05:33.999915
15717	4	2013-08-02 16:05:34.002877	2013-08-03 22:11:42.847469
17616	2	2013-08-02 16:05:38.389345	2013-08-04 17:16:52.842437
15775	21	2013-08-02 16:05:34.170697	2013-08-03 17:10:34.604865
15755	21	2013-08-02 16:05:34.150985	2013-08-03 17:10:34.607902
14796	2	2013-08-02 16:05:32.619678	2013-08-04 02:15:50.299485
17596	2	2013-08-02 16:05:38.349348	2013-08-04 17:16:52.847065
49900	2	2013-08-02 16:06:50.38225	2013-08-04 02:15:50.305506
15722	2	2013-08-02 16:05:34.007851	2013-08-02 16:05:34.007851
15783	21	2013-08-02 16:05:34.177841	2013-08-03 17:10:34.610668
15724	4	2013-08-02 16:05:34.009613	2013-08-02 16:05:34.009613
15758	21	2013-08-02 16:05:34.153975	2013-08-03 20:27:31.210381
15701	2	2013-08-02 16:05:33.988434	2013-08-03 22:11:42.849304
15735	21	2013-08-02 16:05:34.02051	2013-08-03 17:10:34.613715
12987	16	2013-08-02 16:05:29.046034	2013-08-04 21:00:27.017107
4375	4	2013-08-02 16:05:12.52777	2013-08-04 02:15:50.752057
15818	21	2013-08-02 16:05:34.212632	2013-08-03 22:11:43.147925
14998	4	2013-08-02 16:05:33.108391	2013-08-04 02:15:50.756681
15830	4	2013-08-02 16:05:34.230233	2013-08-03 18:57:37.050369
15734	14	2013-08-02 16:05:34.01978	2013-08-02 16:05:34.01978
25971	21	2013-08-02 16:05:56.226301	2013-08-04 17:16:52.929157
3692	21	2013-08-02 16:05:10.983827	2013-08-04 17:16:52.932329
15715	21	2013-08-02 16:05:34.001153	2013-08-03 17:10:34.616877
14852	4	2013-08-02 16:05:32.75232	2013-08-04 02:15:50.760491
15752	21	2013-08-02 16:05:34.148552	2013-08-03 22:11:43.366642
15851	4	2013-08-02 16:05:34.256499	2013-08-03 22:14:24.834509
15742	2	2013-08-02 16:05:34.025575	2013-08-02 16:05:34.025575
15855	4	2013-08-02 16:05:34.261322	2013-08-03 17:20:36.859076
15744	4	2013-08-02 16:05:34.136827	2013-08-02 16:05:34.136827
21397	21	2013-08-02 16:05:45.961634	2013-08-03 23:04:24.502374
12539	21	2013-08-02 16:05:28.220859	2013-08-03 23:04:24.797035
12450	21	2013-08-02 16:05:28.070902	2013-08-03 23:04:24.799997
12519	21	2013-08-02 16:05:28.180927	2013-08-03 23:04:24.802699
3109	21	2013-08-02 16:05:09.636919	2013-08-03 23:04:24.806328
24786	2	2013-08-02 16:05:53.520028	2013-08-04 02:15:50.896547
24766	2	2013-08-02 16:05:53.50057	2013-08-04 02:15:50.90015
15754	14	2013-08-02 16:05:34.150174	2013-08-02 16:05:34.150174
22281	2	2013-08-02 16:05:48.214842	2013-08-04 17:16:53.286488
15803	14	2013-08-02 16:05:34.195523	2013-08-03 02:52:16.676864
15835	4	2013-08-02 16:05:34.237138	2013-08-03 17:20:36.865143
22159	2	2013-08-02 16:05:47.944629	2013-08-04 17:16:53.297409
22139	2	2013-08-02 16:05:47.895356	2013-08-04 17:16:53.308276
15762	2	2013-08-02 16:05:34.157276	2013-08-02 16:05:34.157276
15723	4	2013-08-02 16:05:34.008745	2013-08-03 17:20:36.874549
15764	4	2013-08-02 16:05:34.159721	2013-08-02 16:05:34.159721
15765	14	2013-08-02 16:05:34.160556	2013-08-03 19:02:37.399685
12499	21	2013-08-02 16:05:28.142106	2013-08-03 23:04:24.809972
37295	21	2013-08-02 16:06:22.1877	2013-08-03 21:11:32.461163
5741	21	2013-08-02 16:05:14.525866	2013-08-03 21:11:32.463528
12479	21	2013-08-02 16:05:28.106943	2013-08-03 23:04:24.813468
12459	14	2013-08-02 16:05:28.080085	2013-08-03 23:04:24.831514
15774	14	2013-08-02 16:05:34.169897	2013-08-02 16:05:34.169897
40160	2	2013-08-02 16:06:28.530139	2013-08-04 17:16:53.384093
31030	2	2013-08-02 16:06:07.861642	2013-08-04 17:16:53.393954
18046	21	2013-08-02 16:05:39.082268	2013-08-03 21:11:32.465394
15815	4	2013-08-02 16:05:34.209329	2013-08-03 17:20:36.884685
22717	2	2013-08-02 16:05:49.392141	2013-08-04 17:16:53.40392
23401	21	2013-08-02 16:05:51.151633	2013-08-03 21:11:32.471506
15782	2	2013-08-02 16:05:34.177131	2013-08-02 16:05:34.177131
15784	4	2013-08-02 16:05:34.178529	2013-08-02 16:05:34.178529
12419	4	2013-08-02 16:05:28.00787	2013-08-03 23:04:24.852473
2628	2	2013-08-02 16:05:08.976961	2013-08-04 17:16:53.414003
23661	21	2013-08-02 16:05:51.801351	2013-08-03 21:11:32.47333
8468	21	2013-08-02 16:05:19.963197	2013-08-04 21:00:27.090318
39400	21	2013-08-02 16:06:27.033983	2013-08-03 21:11:32.478227
15725	21	2013-08-02 16:05:34.010478	2013-08-04 02:30:51.174678
44543	4	2013-08-02 16:06:38.732281	2013-08-03 19:50:14.540667
44563	2	2013-08-02 16:06:38.783088	2013-08-03 19:50:14.542006
15794	14	2013-08-02 16:05:34.186365	2013-08-02 16:05:34.186365
15840	4	2013-08-02 16:05:34.242643	2013-08-03 17:48:24.572163
25966	2	2013-08-02 16:05:56.213035	2013-08-04 17:16:53.4928
23921	21	2013-08-02 16:05:52.425796	2013-08-03 21:14:20.836542
8404	21	2013-08-02 16:05:19.776297	2013-08-04 21:00:27.092873
15763	21	2013-08-02 16:05:34.158098	2013-08-04 02:30:51.177948
24018	21	2013-08-02 16:05:52.519176	2013-08-03 21:14:20.840409
15802	2	2013-08-02 16:05:34.194274	2013-08-02 16:05:34.194274
15756	2	2013-08-02 16:05:34.152014	2013-08-04 02:30:53.880991
15804	4	2013-08-02 16:05:34.196398	2013-08-02 16:05:34.196398
4325	14	2013-08-02 16:05:12.417375	2013-08-03 19:52:26.524013
26211	2	2013-08-02 16:05:56.689725	2013-08-04 17:16:53.502585
15718	2	2013-08-02 16:05:34.003714	2013-08-03 03:04:38.233629
8375	21	2013-08-02 16:05:19.706895	2013-08-04 21:00:27.095081
17576	14	2013-08-02 16:05:38.297204	2013-08-04 17:16:53.523624
15741	14	2013-08-02 16:05:34.024892	2013-08-04 18:57:38.434573
15819	14	2013-08-02 16:05:34.214437	2013-08-04 00:04:25.261219
15743	14	2013-08-02 16:05:34.026273	2013-08-04 18:57:38.447549
15814	14	2013-08-02 16:05:34.207619	2013-08-02 16:05:34.207619
15843	14	2013-08-02 16:05:34.246252	2013-08-04 18:57:38.460288
15757	14	2013-08-02 16:05:34.153166	2013-08-04 18:57:38.471734
15849	14	2013-08-02 16:05:34.253349	2013-08-04 18:57:38.483305
12917	21	2013-08-02 16:05:28.98347	2013-08-04 21:00:27.096611
25090	21	2013-08-02 16:05:53.976342	2013-08-04 21:00:27.099209
23841	4	2013-08-02 16:05:52.359912	2013-08-03 21:14:20.983971
22850	21	2013-08-02 16:05:49.692669	2013-08-04 21:00:27.101922
15822	2	2013-08-02 16:05:34.218611	2013-08-02 16:05:34.218611
15824	4	2013-08-02 16:05:34.221543	2013-08-02 16:05:34.221543
9679	14	2013-08-02 16:05:22.899117	2013-08-03 21:19:21.502488
45508	2	2013-08-02 16:06:40.679437	2013-08-04 21:01:19.805471
10898	14	2013-08-02 16:05:24.312954	2013-08-08 01:02:58.4377
9699	14	2013-08-02 16:05:22.917225	2013-08-03 21:19:21.514569
4909	14	2013-08-02 16:05:13.103517	2013-08-08 01:03:18.00633
15759	21	2013-08-02 16:05:34.154755	2013-08-04 00:07:47.621284
15785	21	2013-08-02 16:05:34.179289	2013-08-04 00:07:47.622188
15834	14	2013-08-02 16:05:34.236002	2013-08-02 16:05:34.236002
15707	21	2013-08-02 16:05:33.993699	2013-08-08 01:03:18.690694
15727	14	2013-08-02 16:05:34.013383	2013-08-08 01:03:18.789746
15831	21	2013-08-02 16:05:34.231623	2013-08-03 21:54:21.679692
15842	2	2013-08-02 16:05:34.245265	2013-08-02 16:05:34.245265
15811	21	2013-08-02 16:05:34.20432	2013-08-03 21:54:21.681085
15844	4	2013-08-02 16:05:34.247133	2013-08-02 16:05:34.247133
15745	21	2013-08-02 16:05:34.142728	2013-08-03 21:54:21.682121
15791	21	2013-08-02 16:05:34.183661	2013-08-03 21:54:21.683223
23901	21	2013-08-02 16:05:52.410359	2013-08-04 00:07:58.265661
15854	14	2013-08-02 16:05:34.260339	2013-08-02 16:05:34.260339
15712	14	2013-08-02 16:05:33.998142	2013-08-03 17:55:10.794163
15798	2	2013-08-02 16:05:34.189363	2013-08-03 03:09:48.876107
15778	4	2013-08-02 16:05:34.173476	2013-08-03 03:09:48.887405
15777	4	2013-08-02 16:05:34.172672	2013-08-03 02:26:55.50152
11970	14	2013-08-02 16:05:26.912069	2013-08-03 17:57:11.56969
11160	14	2013-08-02 16:05:24.843378	2013-08-03 17:57:11.704909
11050	14	2013-08-02 16:05:24.57668	2013-08-03 17:57:11.710608
9659	21	2013-08-02 16:05:22.879627	2013-08-03 17:57:11.993691
15975	4	2013-08-02 16:05:34.400287	2013-08-03 17:20:36.829571
3792	14	2013-08-02 16:05:11.244334	2013-08-04 17:16:53.533814
15993	21	2013-08-02 16:05:34.418759	2013-08-03 18:47:36.029328
15930	21	2013-08-02 16:05:34.3413	2013-08-03 18:57:36.98956
15862	2	2013-08-02 16:05:34.269274	2013-08-02 16:05:34.269274
15955	4	2013-08-02 16:05:34.364345	2013-08-03 17:20:36.834321
15864	4	2013-08-02 16:05:34.271031	2013-08-02 16:05:34.271031
15910	21	2013-08-02 16:05:34.325793	2013-08-03 18:57:36.991318
15859	2	2013-08-02 16:05:34.266241	2013-08-04 00:10:39.134563
22099	14	2013-08-02 16:05:47.796435	2013-08-04 17:16:53.545025
28560	21	2013-08-02 16:06:01.913458	2013-08-04 21:00:27.104674
26325	14	2013-08-02 16:05:56.84109	2013-08-04 17:16:53.945549
26348	14	2013-08-02 16:05:56.886648	2013-08-04 17:16:53.956382
15890	21	2013-08-02 16:05:34.300939	2013-08-03 18:57:36.99309
15883	21	2013-08-02 16:05:34.293105	2013-08-03 18:57:36.994852
15874	14	2013-08-02 16:05:34.283381	2013-08-02 16:05:34.283381
16636	14	2013-08-02 16:05:35.947789	2013-08-04 17:16:53.966547
26328	14	2013-08-02 16:05:56.847011	2013-08-04 17:16:53.9766
15935	4	2013-08-02 16:05:34.346476	2013-08-03 17:20:36.838589
26308	14	2013-08-02 16:05:56.807779	2013-08-04 17:16:53.987166
15870	21	2013-08-02 16:05:34.277023	2013-08-03 18:57:36.996015
15863	21	2013-08-02 16:05:34.27019	2013-08-03 22:14:25.540409
15882	2	2013-08-02 16:05:34.291389	2013-08-02 16:05:34.291389
15915	4	2013-08-02 16:05:34.329575	2013-08-03 17:20:36.843254
15884	4	2013-08-02 16:05:34.294003	2013-08-02 16:05:34.294003
15970	14	2013-08-02 16:05:34.395785	2013-08-03 18:59:36.550501
26288	14	2013-08-02 16:05:56.772943	2013-08-04 17:16:53.997945
8395	21	2013-08-02 16:05:19.754727	2013-08-04 21:00:27.107524
8626	21	2013-08-02 16:05:20.333079	2013-08-04 21:00:27.11023
9719	2	2013-08-02 16:05:22.937383	2013-08-03 20:32:24.061311
17460	4	2013-08-02 16:05:38.030381	2013-08-04 00:15:38.865061
23689	21	2013-08-02 16:05:51.877128	2013-08-04 21:00:27.119942
16006	2	2013-08-02 16:05:34.430891	2013-08-03 20:32:24.06851
15894	14	2013-08-02 16:05:34.306816	2013-08-02 16:05:34.306816
15919	4	2013-08-02 16:05:34.332422	2013-08-04 00:15:38.869112
26268	14	2013-08-02 16:05:56.747114	2013-08-04 17:16:54.008507
15895	4	2013-08-02 16:05:34.308198	2013-08-03 17:20:36.847941
15875	4	2013-08-02 16:05:34.284473	2013-08-03 17:20:36.853268
26248	14	2013-08-02 16:05:56.71731	2013-08-04 17:16:54.018814
26228	14	2013-08-02 16:05:56.701849	2013-08-04 17:16:54.029514
15902	2	2013-08-02 16:05:34.315379	2013-08-02 16:05:34.315379
15904	4	2013-08-02 16:05:34.317851	2013-08-02 16:05:34.317851
21426	14	2013-08-02 16:05:46.029752	2013-08-04 17:16:54.039847
13581	14	2013-08-02 16:05:29.759485	2013-08-04 17:16:54.092569
29523	14	2013-08-02 16:06:04.117413	2013-08-04 17:16:54.103589
15999	2	2013-08-02 16:05:34.424074	2013-08-04 01:00:53.542315
12439	2	2013-08-02 16:05:28.056451	2013-08-04 01:10:51.141272
15914	14	2013-08-02 16:05:34.328821	2013-08-02 16:05:34.328821
15880	2	2013-08-02 16:05:34.288677	2013-08-03 17:48:24.577912
20717	14	2013-08-02 16:05:44.613804	2013-08-04 17:16:54.114008
15891	2	2013-08-02 16:05:34.302177	2013-08-04 01:10:51.146224
24746	2	2013-08-02 16:05:53.478907	2013-08-04 02:15:50.905195
47283	2	2013-08-02 16:06:44.801444	2013-08-04 02:15:50.916263
29863	14	2013-08-02 16:06:05.050849	2013-08-04 17:16:54.1241
24726	2	2013-08-02 16:05:53.452915	2013-08-04 02:15:50.93027
15922	2	2013-08-02 16:05:34.334497	2013-08-02 16:05:34.334497
15865	2	2013-08-02 16:05:34.271863	2013-08-03 17:48:44.427956
15924	4	2013-08-02 16:05:34.335889	2013-08-02 16:05:34.335889
31070	4	2013-08-02 16:06:07.958422	2013-08-03 23:06:13.907014
15116	2	2013-08-02 16:05:33.414003	2013-08-04 02:15:51.209419
15923	21	2013-08-02 16:05:34.335192	2013-08-03 02:53:04.413893
14931	2	2013-08-02 16:05:32.947006	2013-08-04 02:15:51.213556
14870	2	2013-08-02 16:05:32.795796	2013-08-04 02:15:51.21845
4404	2	2013-08-02 16:05:12.561639	2013-08-03 19:50:14.580032
15934	14	2013-08-02 16:05:34.345567	2013-08-02 16:05:34.345567
21311	4	2013-08-02 16:05:45.731906	2013-08-04 02:15:51.313595
15988	14	2013-08-02 16:05:34.413084	2013-08-04 19:02:40.457544
15998	21	2013-08-02 16:05:34.423271	2013-08-03 03:09:48.796608
15076	4	2013-08-02 16:05:33.334975	2013-08-04 02:15:51.318051
15925	14	2013-08-02 16:05:34.336581	2013-08-04 19:02:40.463386
14916	4	2013-08-02 16:05:32.908022	2013-08-04 02:15:51.322137
15942	2	2013-08-02 16:05:34.352809	2013-08-02 16:05:34.352809
15940	14	2013-08-02 16:05:34.350897	2013-08-03 17:48:44.46562
15944	4	2013-08-02 16:05:34.354561	2013-08-02 16:05:34.354561
15899	14	2013-08-02 16:05:34.312231	2013-08-04 19:02:40.468563
31058	21	2013-08-02 16:06:07.929211	2013-08-03 23:06:23.346996
15978	21	2013-08-02 16:05:34.403262	2013-08-03 03:09:48.799982
16535	16	2013-08-02 16:05:35.694757	2013-08-04 21:00:27.174018
15992	14	2013-08-02 16:05:34.417874	2013-08-04 19:02:40.477819
15936	14	2013-08-02 16:05:34.347306	2013-08-04 02:37:38.938355
17670	2	2013-08-02 16:05:38.495021	2013-08-03 21:14:21.794609
15954	14	2013-08-02 16:05:34.363559	2013-08-02 16:05:34.363559
6166	14	2013-08-02 16:05:15.535077	2013-08-03 19:50:14.603543
45326	14	2013-08-02 16:06:40.314344	2013-08-04 21:00:27.179661
15958	21	2013-08-02 16:05:34.367717	2013-08-03 03:09:48.803443
15916	4	2013-08-02 16:05:34.330316	2013-08-04 02:40:49.376249
23781	21	2013-08-02 16:05:52.082658	2013-08-04 02:42:49.138002
15962	2	2013-08-02 16:05:34.377143	2013-08-02 16:05:34.377143
15964	4	2013-08-02 16:05:34.382509	2013-08-02 16:05:34.382509
4424	2	2013-08-02 16:05:12.577497	2013-08-03 19:54:07.547142
15938	21	2013-08-02 16:05:34.348997	2013-08-03 03:09:48.80699
8578	14	2013-08-02 16:05:20.237781	2013-08-08 01:02:58.435036
15867	14	2013-08-02 16:05:34.273489	2013-08-08 01:03:19.727491
2661	21	2013-08-02 16:05:09.052582	2013-08-03 21:14:21.959923
15995	14	2013-08-02 16:05:34.420575	2013-08-08 01:03:19.730507
15974	14	2013-08-02 16:05:34.399405	2013-08-02 16:05:34.399405
23801	21	2013-08-02 16:05:52.140912	2013-08-03 21:19:21.483256
15887	14	2013-08-02 16:05:34.296819	2013-08-08 01:03:19.73322
15918	21	2013-08-02 16:05:34.33173	2013-08-03 03:09:48.810495
15905	14	2013-08-02 16:05:34.31962	2013-08-03 17:48:55.670552
15898	14	2013-08-02 16:05:34.311265	2013-08-08 01:03:19.735971
15985	14	2013-08-02 16:05:34.409803	2013-08-08 01:03:19.738821
23541	14	2013-08-02 16:05:51.477768	2013-08-03 23:06:59.061231
15982	2	2013-08-02 16:05:34.407006	2013-08-02 16:05:34.407006
15984	4	2013-08-02 16:05:34.408877	2013-08-02 16:05:34.408877
15994	14	2013-08-02 16:05:34.419678	2013-08-02 16:05:34.419678
16002	2	2013-08-02 16:05:34.426847	2013-08-02 16:05:34.426847
16004	4	2013-08-02 16:05:34.429004	2013-08-02 16:05:34.429004
15858	14	2013-08-02 16:05:34.264839	2013-08-03 03:09:48.841644
16014	14	2013-08-02 16:05:34.439035	2013-08-02 16:05:34.439035
15897	2	2013-08-02 16:05:34.310292	2013-08-03 02:25:21.761592
15872	2	2013-08-02 16:05:34.281466	2013-08-03 17:55:10.806421
15991	21	2013-08-02 16:05:34.416979	2013-08-03 23:19:40.134876
15965	14	2013-08-02 16:05:34.385236	2013-08-03 23:26:54.618228
15952	14	2013-08-02 16:05:34.361791	2013-08-03 17:55:21.649307
9179	4	2013-08-02 16:05:21.70673	2013-08-03 17:57:12.288831
9219	4	2013-08-02 16:05:21.789843	2013-08-03 17:57:12.292594
20098	14	2013-08-02 16:05:43.664713	2013-08-03 17:57:12.42185
21137	4	2013-08-02 16:05:45.385819	2013-08-03 17:58:45.578741
4355	14	2013-08-02 16:05:12.484765	2013-08-03 17:58:45.613177
21195	21	2013-08-02 16:05:45.460717	2013-08-03 18:02:15.68428
15953	21	2013-08-02 16:05:34.362637	2013-08-03 18:27:14.71147
3304	4	2013-08-02 16:05:10.076065	2013-08-04 00:04:25.282307
15892	21	2013-08-02 16:05:34.30325	2013-08-03 18:42:34.615993
15917	21	2013-08-02 16:05:34.331026	2013-08-03 18:42:34.61696
16001	21	2013-08-02 16:05:34.425857	2013-08-03 18:42:34.617865
15981	21	2013-08-02 16:05:34.406068	2013-08-03 18:42:34.618716
15961	21	2013-08-02 16:05:34.374591	2013-08-03 18:42:34.619564
15941	21	2013-08-02 16:05:34.351842	2013-08-03 18:42:34.62052
15959	14	2013-08-02 16:05:34.369231	2013-08-04 00:05:40.398658
49155	14	2013-08-02 16:06:48.307143	2013-08-04 00:07:38.824329
15879	21	2013-08-02 16:05:34.287902	2013-08-04 00:07:39.050917
10806	14	2013-08-02 16:05:24.233962	2013-08-04 17:16:54.134002
16072	21	2013-08-02 16:05:34.531032	2013-08-03 18:47:34.853259
16158	14	2013-08-02 16:05:34.721086	2013-08-03 17:05:36.217719
30983	14	2013-08-02 16:06:07.747857	2013-08-04 17:16:54.144241
16125	21	2013-08-02 16:05:34.633758	2013-08-03 18:47:34.855713
16161	21	2013-08-02 16:05:34.72903	2013-08-03 18:47:34.858323
16022	2	2013-08-02 16:05:34.447498	2013-08-02 16:05:34.447498
16138	14	2013-08-02 16:05:34.667822	2013-08-03 17:05:36.224038
16024	4	2013-08-02 16:05:34.450252	2013-08-02 16:05:34.450252
10051	21	2013-08-02 16:05:23.320033	2013-08-03 20:32:23.932185
32323	14	2013-08-02 16:06:11.084234	2013-08-04 17:16:54.154266
16027	7	2013-08-02 16:05:34.45352	2013-08-02 16:05:34.45352
16137	2	2013-08-02 16:05:34.665143	2013-08-03 02:53:03.844517
19497	14	2013-08-02 16:05:42.15626	2013-08-04 19:07:38.200655
16077	21	2013-08-02 16:05:34.53797	2013-08-03 20:32:23.936235
24140	14	2013-08-02 16:05:52.630481	2013-08-04 17:16:54.164272
16020	4	2013-08-02 16:05:34.445191	2013-08-03 18:59:36.56109
16166	21	2013-08-02 16:05:34.742596	2013-08-03 20:32:23.939553
16034	14	2013-08-02 16:05:34.460618	2013-08-02 16:05:34.460618
22917	14	2013-08-02 16:05:49.863864	2013-08-04 17:16:54.174451
5340	14	2013-08-02 16:05:13.66295	2013-08-04 17:16:54.184629
16163	2	2013-08-02 16:05:34.734592	2013-08-03 02:53:03.853714
16070	2	2013-08-02 16:05:34.529305	2013-08-03 18:59:36.56348
16139	14	2013-08-02 16:05:34.670367	2013-08-04 00:12:20.489955
5341	14	2013-08-02 16:05:13.664622	2013-08-04 17:16:54.1947
28952	14	2013-08-02 16:06:02.720352	2013-08-04 17:16:54.204933
16042	2	2013-08-02 16:05:34.473167	2013-08-02 16:05:34.473167
5338	14	2013-08-02 16:05:13.661235	2013-08-04 17:16:54.215261
16044	4	2013-08-02 16:05:34.47589	2013-08-02 16:05:34.47589
5295	14	2013-08-02 16:05:13.586512	2013-08-04 17:16:54.225464
16079	21	2013-08-02 16:05:34.539935	2013-08-04 00:52:48.683181
16047	7	2013-08-02 16:05:34.480974	2013-08-02 16:05:34.480974
16143	2	2013-08-02 16:05:34.680766	2013-08-03 02:53:03.858757
16017	2	2013-08-02 16:05:34.442	2013-08-04 19:07:38.215666
16031	2	2013-08-02 16:05:34.457613	2013-08-04 01:10:51.136642
16095	2	2013-08-02 16:05:34.564919	2013-08-04 01:15:49.569676
5231	14	2013-08-02 16:05:13.5072	2013-08-04 17:16:54.235578
16050	2	2013-08-02 16:05:34.485821	2013-08-03 19:02:35.917691
16054	14	2013-08-02 16:05:34.492693	2013-08-02 16:05:34.492693
16169	2	2013-08-02 16:05:34.750621	2013-08-04 19:07:38.221173
5211	14	2013-08-02 16:05:13.48933	2013-08-04 17:16:54.24652
16123	2	2013-08-02 16:05:34.628417	2013-08-03 02:53:03.865535
16155	4	2013-08-02 16:05:34.713142	2013-08-03 17:20:37.099032
16135	2	2013-08-02 16:05:34.659828	2013-08-04 01:15:49.576992
11117	2	2013-08-02 16:05:24.741115	2013-08-04 01:15:49.582641
14756	4	2013-08-02 16:05:32.532855	2013-08-04 02:15:51.32628
16062	2	2013-08-02 16:05:34.512172	2013-08-02 16:05:34.512172
697	2	2013-08-02 16:05:05.141008	2013-08-04 02:15:51.351091
16064	4	2013-08-02 16:05:34.517591	2013-08-02 16:05:34.517591
16170	14	2013-08-02 16:05:34.753316	2013-08-03 19:02:36.907233
217	2	2013-08-02 16:05:04.530824	2013-08-04 02:15:51.354605
16067	7	2013-08-02 16:05:34.525004	2013-08-02 16:05:34.525004
16103	2	2013-08-02 16:05:34.581733	2013-08-03 02:53:03.869464
16149	2	2013-08-02 16:05:34.69707	2013-08-04 19:07:38.228141
18006	7	2013-08-02 16:05:39.035965	2013-08-03 21:14:22.399003
205	2	2013-08-02 16:05:04.521504	2013-08-04 02:15:51.358736
22861	21	2013-08-02 16:05:49.722007	2013-08-03 21:14:22.488481
5043	2	2013-08-02 16:05:13.239584	2013-08-04 02:15:51.363358
16074	14	2013-08-02 16:05:34.534889	2013-08-02 16:05:34.534889
16110	2	2013-08-02 16:05:34.595002	2013-08-03 19:02:36.974658
1995	14	2013-08-02 16:05:07.930769	2013-08-04 17:16:54.259949
16083	2	2013-08-02 16:05:34.544596	2013-08-03 02:53:03.872663
557	2	2013-08-02 16:05:04.969584	2013-08-04 02:15:51.368346
181	2	2013-08-02 16:05:04.501739	2013-08-04 02:15:51.372965
502	2	2013-08-02 16:05:04.902668	2013-08-04 02:15:51.377525
5257	21	2013-08-02 16:05:13.540155	2013-08-03 23:19:40.063727
16082	2	2013-08-02 16:05:34.543653	2013-08-02 16:05:34.543653
4723	2	2013-08-02 16:05:12.892507	2013-08-04 02:15:51.383189
16084	4	2013-08-02 16:05:34.546364	2013-08-02 16:05:34.546364
34517	14	2013-08-02 16:06:15.893536	2013-08-04 17:16:54.270966
147	2	2013-08-02 16:05:04.455229	2013-08-04 02:15:51.387281
16087	7	2013-08-02 16:05:34.552237	2013-08-02 16:05:34.552237
16063	2	2013-08-02 16:05:34.514877	2013-08-03 02:53:03.875688
148	2	2013-08-02 16:05:04.456224	2013-08-04 02:15:51.391663
16150	4	2013-08-02 16:05:34.699726	2013-08-03 19:07:34.944716
16094	14	2013-08-02 16:05:34.564025	2013-08-02 16:05:34.564025
16080	7	2013-08-02 16:05:34.541575	2013-08-03 17:48:44.48945
16043	2	2013-08-02 16:05:34.474527	2013-08-03 02:53:03.880096
154	2	2013-08-02 16:05:04.465235	2013-08-04 02:15:51.395978
4383	2	2013-08-02 16:05:12.542495	2013-08-04 02:15:51.400481
2055	16	2013-08-02 16:05:08.055971	2013-08-04 21:00:27.27126
16102	2	2013-08-02 16:05:34.579076	2013-08-02 16:05:34.579076
16115	2	2013-08-02 16:05:34.606852	2013-08-03 23:29:39.265231
16104	4	2013-08-02 16:05:34.583608	2013-08-02 16:05:34.583608
4483	2	2013-08-02 16:05:12.655024	2013-08-04 02:15:51.405237
16107	7	2013-08-02 16:05:34.588568	2013-08-02 16:05:34.588568
16078	21	2013-08-02 16:05:34.538894	2013-08-03 03:09:48.786352
462	2	2013-08-02 16:05:04.849842	2013-08-04 02:15:51.410112
8506	14	2013-08-02 16:05:20.058212	2013-08-04 21:00:27.276698
38243	14	2013-08-02 16:06:24.69148	2013-08-03 21:25:17.968098
16114	14	2013-08-02 16:05:34.604245	2013-08-02 16:05:34.604245
16071	21	2013-08-02 16:05:34.530158	2013-08-03 23:34:28.106795
16058	21	2013-08-02 16:05:34.501552	2013-08-03 03:09:48.789111
16140	4	2013-08-02 16:05:34.672993	2013-08-03 17:48:44.500146
16122	2	2013-08-02 16:05:34.625803	2013-08-02 16:05:34.625803
16055	2	2013-08-02 16:05:34.494263	2013-08-03 17:20:37.18876
16124	4	2013-08-02 16:05:34.6311	2013-08-02 16:05:34.6311
19668	14	2013-08-02 16:05:42.572474	2013-08-03 21:45:39.025889
2624	21	2013-08-02 16:05:08.972458	2013-08-08 01:02:58.193281
16127	7	2013-08-02 16:05:34.638822	2013-08-02 16:05:34.638822
16038	21	2013-08-02 16:05:34.466772	2013-08-03 03:09:48.791535
23589	21	2013-08-02 16:05:51.605949	2013-08-08 01:03:11.107773
16015	14	2013-08-02 16:05:34.439872	2013-08-08 01:03:19.776892
27505	4	2013-08-02 16:05:59.950127	2013-08-03 19:50:14.612709
16134	14	2013-08-02 16:05:34.657193	2013-08-02 16:05:34.657193
3952	14	2013-08-02 16:05:11.63439	2013-08-03 19:52:26.518146
16018	21	2013-08-02 16:05:34.443022	2013-08-03 03:09:48.793764
1324	2	2013-08-02 16:05:06.317523	2013-08-03 19:53:48.063696
16059	7	2013-08-02 16:05:34.504193	2013-08-04 00:07:38.847154
16142	2	2013-08-02 16:05:34.678075	2013-08-02 16:05:34.678075
16035	2	2013-08-02 16:05:34.461784	2013-08-03 17:20:37.199253
16144	4	2013-08-02 16:05:34.683402	2013-08-02 16:05:34.683402
16147	7	2013-08-02 16:05:34.691728	2013-08-02 16:05:34.691728
16943	4	2013-08-02 16:05:36.681205	2013-08-04 00:07:38.857179
16119	2	2013-08-02 16:05:34.617731	2013-08-04 00:07:38.864428
16154	14	2013-08-02 16:05:34.710488	2013-08-02 16:05:34.710488
16045	7	2013-08-02 16:05:34.47731	2013-08-03 17:48:55.696184
16085	4	2013-08-02 16:05:34.547759	2013-08-03 17:48:55.70327
16099	21	2013-08-02 16:05:34.570723	2013-08-04 00:07:58.237118
16162	2	2013-08-02 16:05:34.731819	2013-08-02 16:05:34.731819
16164	4	2013-08-02 16:05:34.737259	2013-08-02 16:05:34.737259
16060	21	2013-08-02 16:05:34.506865	2013-08-04 00:08:21.3465
16167	7	2013-08-02 16:05:34.745268	2013-08-02 16:05:34.745268
16120	2	2013-08-02 16:05:34.620421	2013-08-03 17:48:55.710862
16057	7	2013-08-02 16:05:34.49883	2013-08-03 02:26:10.626429
16117	4	2013-08-02 16:05:34.612338	2013-08-03 02:26:10.634636
16105	4	2013-08-02 16:05:34.58472	2013-08-03 17:48:56.508131
16097	4	2013-08-02 16:05:34.566947	2013-08-03 17:52:02.792374
16165	4	2013-08-02 16:05:34.739895	2013-08-03 17:52:02.796557
16145	4	2013-08-02 16:05:34.685915	2013-08-03 17:52:02.807673
16025	14	2013-08-02 16:05:34.451324	2013-08-03 17:52:03.155868
16118	4	2013-08-02 16:05:34.615074	2013-08-03 17:55:21.668034
16052	2	2013-08-02 16:05:34.489271	2013-08-03 17:55:21.673742
16032	4	2013-08-02 16:05:34.458614	2013-08-03 17:55:22.028616
16037	21	2013-08-02 16:05:34.465688	2013-08-03 17:57:11.671085
16152	21	2013-08-02 16:05:34.705062	2013-08-03 17:57:11.673674
16132	21	2013-08-02 16:05:34.651865	2013-08-03 17:57:11.676547
16112	21	2013-08-02 16:05:34.5998	2013-08-03 17:57:11.679506
16092	14	2013-08-02 16:05:34.562282	2013-08-03 17:57:11.69753
4960	7	2013-08-02 16:05:13.15228	2013-08-03 17:59:05.463288
16033	4	2013-08-02 16:05:34.459605	2013-08-03 18:30:24.026571
16153	2	2013-08-02 16:05:34.707791	2013-08-03 18:32:15.785713
16133	2	2013-08-02 16:05:34.654493	2013-08-03 18:32:15.7896
16113	2	2013-08-02 16:05:34.602051	2013-08-03 18:32:15.793612
16041	21	2013-08-02 16:05:34.471223	2013-08-03 18:42:34.611599
16021	21	2013-08-02 16:05:34.446274	2013-08-03 18:42:34.613711
16023	21	2013-08-02 16:05:34.449169	2013-08-03 18:42:34.615072
16181	21	2013-08-02 16:05:34.781465	2013-08-03 18:47:34.848873
16200	21	2013-08-02 16:05:34.827237	2013-08-03 18:47:34.850805
16174	14	2013-08-02 16:05:34.763053	2013-08-02 16:05:34.763053
16180	2	2013-08-02 16:05:34.778794	2013-08-03 17:48:44.507124
26391	14	2013-08-02 16:05:56.971687	2013-08-04 17:16:54.389875
16223	2	2013-08-02 16:05:34.882178	2013-08-03 02:53:03.814647
16199	7	2013-08-02 16:05:34.824394	2013-08-04 00:10:39.100644
16281	21	2013-08-02 16:05:35.027988	2013-08-03 18:52:32.443406
16301	4	2013-08-02 16:05:35.076778	2013-08-04 00:10:39.315015
16182	2	2013-08-02 16:05:34.783914	2013-08-02 16:05:34.783914
16298	21	2013-08-02 16:05:35.069106	2013-08-03 17:05:36.111975
16184	4	2013-08-02 16:05:34.788779	2013-08-02 16:05:34.788779
16261	21	2013-08-02 16:05:34.979409	2013-08-03 18:52:32.445176
16187	7	2013-08-02 16:05:34.795913	2013-08-02 16:05:34.795913
16203	2	2013-08-02 16:05:34.834371	2013-08-03 02:53:03.826232
16226	7	2013-08-02 16:05:34.889349	2013-08-03 20:35:13.006147
26190	14	2013-08-02 16:05:56.669487	2013-08-04 17:16:54.395365
16241	21	2013-08-02 16:05:34.926157	2013-08-03 18:52:32.446326
16221	21	2013-08-02 16:05:34.877462	2013-08-03 18:52:32.447321
16194	14	2013-08-02 16:05:34.8126	2013-08-02 16:05:34.8126
16325	7	2013-08-02 16:05:35.139342	2013-08-03 17:52:02.708099
10805	14	2013-08-02 16:05:24.233089	2013-08-04 17:16:54.405466
16183	2	2013-08-02 16:05:34.786342	2013-08-03 02:53:03.838518
16305	7	2013-08-02 16:05:35.087457	2013-08-03 17:52:02.718901
16219	21	2013-08-02 16:05:34.872679	2013-08-04 00:11:54.177754
16201	21	2013-08-02 16:05:34.829647	2013-08-03 18:52:32.448548
6739	7	2013-08-02 16:05:16.901711	2013-08-03 20:37:34.698102
16202	2	2013-08-02 16:05:34.832005	2013-08-02 16:05:34.832005
16326	2	2013-08-02 16:05:35.141724	2013-08-03 20:37:34.707583
16204	4	2013-08-02 16:05:34.836786	2013-08-02 16:05:34.836786
21048	14	2013-08-02 16:05:45.273883	2013-08-04 17:16:54.416517
13068	14	2013-08-02 16:05:29.133668	2013-08-04 17:16:54.428604
16207	7	2013-08-02 16:05:34.844107	2013-08-02 16:05:34.844107
16306	2	2013-08-02 16:05:35.090141	2013-08-03 20:37:34.712883
16299	21	2013-08-02 16:05:35.071568	2013-08-04 00:12:04.887959
16259	2	2013-08-02 16:05:34.974084	2013-08-04 01:15:49.550026
34045	21	2013-08-02 16:06:14.688887	2013-08-03 21:14:22.697632
16214	14	2013-08-02 16:05:34.860718	2013-08-02 16:05:34.860718
16285	7	2013-08-02 16:05:35.037802	2013-08-03 17:52:02.729775
21068	14	2013-08-02 16:05:45.296757	2013-08-04 17:16:54.439986
26255	14	2013-08-02 16:05:56.728328	2013-08-04 17:16:54.44901
16265	7	2013-08-02 16:05:34.989236	2013-08-03 17:52:02.740286
16191	2	2013-08-02 16:05:34.805486	2013-08-04 01:15:49.56025
7900	21	2013-08-02 16:05:18.57803	2013-08-03 21:14:22.70268
22250	21	2013-08-02 16:05:48.139824	2013-08-03 21:14:22.703502
16222	2	2013-08-02 16:05:34.879805	2013-08-02 16:05:34.879805
16245	7	2013-08-02 16:05:34.936754	2013-08-03 17:52:02.750696
16224	4	2013-08-02 16:05:34.884518	2013-08-02 16:05:34.884518
16277	7	2013-08-02 16:05:35.018019	2013-08-03 18:54:00.026381
4369	2	2013-08-02 16:05:12.51491	2013-08-04 01:15:49.563912
16227	7	2013-08-02 16:05:34.892053	2013-08-02 16:05:34.892053
16225	7	2013-08-02 16:05:34.886977	2013-08-03 17:52:02.760728
26371	14	2013-08-02 16:05:56.931989	2013-08-04 17:16:54.453735
21431	4	2013-08-02 16:05:46.042986	2013-08-04 02:15:51.530746
26351	14	2013-08-02 16:05:56.892565	2013-08-04 17:16:54.458774
16177	21	2013-08-02 16:05:34.770955	2013-08-03 19:02:36.532016
16234	14	2013-08-02 16:05:34.908074	2013-08-02 16:05:34.908074
16205	7	2013-08-02 16:05:34.839145	2013-08-03 17:52:02.770617
16550	14	2013-08-02 16:05:35.732131	2013-08-04 17:16:54.466095
16303	14	2013-08-02 16:05:35.081991	2013-08-03 02:57:24.58376
16185	7	2013-08-02 16:05:34.791146	2013-08-03 17:52:02.783183
4883	2	2013-08-02 16:05:13.080215	2013-08-04 02:15:51.547589
16250	21	2013-08-02 16:05:34.950103	2013-08-03 19:02:36.800971
2699	2	2013-08-02 16:05:09.081779	2013-08-04 02:15:51.628485
16242	2	2013-08-02 16:05:34.928791	2013-08-02 16:05:34.928791
16230	21	2013-08-02 16:05:34.898932	2013-08-03 19:02:36.805601
16244	4	2013-08-02 16:05:34.934085	2013-08-02 16:05:34.934085
5098	21	2013-08-02 16:05:13.304515	2013-08-03 19:02:36.808997
16179	14	2013-08-02 16:05:34.776058	2013-08-04 00:07:58.203136
16247	7	2013-08-02 16:05:34.942065	2013-08-02 16:05:34.942065
16210	21	2013-08-02 16:05:34.851247	2013-08-03 19:02:36.811654
26265	14	2013-08-02 16:05:56.7439	2013-08-04 17:16:54.475665
26353	2	2013-08-02 16:05:56.896481	2013-08-04 02:15:51.64015
16258	21	2013-08-02 16:05:34.971449	2013-08-03 19:02:36.815205
26331	14	2013-08-02 16:05:56.852936	2013-08-04 17:16:54.486649
16254	14	2013-08-02 16:05:34.960836	2013-08-02 16:05:34.960836
26311	14	2013-08-02 16:05:56.813446	2013-08-04 17:16:54.497814
26291	14	2013-08-02 16:05:56.777924	2013-08-04 17:16:54.509331
26333	2	2013-08-02 16:05:56.856894	2013-08-04 02:15:51.644341
26225	2	2013-08-02 16:05:56.69961	2013-08-04 02:15:51.649027
26313	2	2013-08-02 16:05:56.817398	2013-08-04 02:15:51.653438
5138	21	2013-08-02 16:05:13.364168	2013-08-03 21:44:33.423723
16262	2	2013-08-02 16:05:34.981932	2013-08-02 16:05:34.981932
26293	2	2013-08-02 16:05:56.781169	2013-08-04 02:15:51.657745
16264	4	2013-08-02 16:05:34.986806	2013-08-02 16:05:34.986806
26241	2	2013-08-02 16:05:56.710828	2013-08-04 02:15:51.662111
26273	2	2013-08-02 16:05:56.752477	2013-08-04 02:15:51.726605
16267	7	2013-08-02 16:05:34.994019	2013-08-02 16:05:34.994019
26245	2	2013-08-02 16:05:56.713926	2013-08-04 02:15:51.732246
46463	2	2013-08-02 16:06:42.508776	2013-08-04 02:15:51.735903
4303	2	2013-08-02 16:05:12.367985	2013-08-04 02:15:51.739047
26271	14	2013-08-02 16:05:56.750338	2013-08-04 17:16:54.520271
16274	14	2013-08-02 16:05:35.010657	2013-08-02 16:05:35.010657
16300	2	2013-08-02 16:05:35.074292	2013-08-03 17:55:22.030136
16309	2	2013-08-02 16:05:35.097931	2013-08-04 19:12:37.740149
16218	4	2013-08-02 16:05:34.870243	2013-08-03 17:10:33.173462
16279	7	2013-08-02 16:05:35.023164	2013-08-04 00:07:58.211014
22213	4	2013-08-02 16:05:48.051022	2013-08-04 02:15:51.820282
16289	2	2013-08-02 16:05:35.047483	2013-08-04 19:12:37.744948
16317	2	2013-08-02 16:05:35.118758	2013-08-04 19:12:37.749594
16282	2	2013-08-02 16:05:35.030431	2013-08-02 16:05:35.030431
16238	4	2013-08-02 16:05:34.918603	2013-08-03 17:10:33.17773
16284	4	2013-08-02 16:05:35.035183	2013-08-02 16:05:35.035183
49985	4	2013-08-02 16:06:50.585963	2013-08-04 02:15:51.824647
16319	4	2013-08-02 16:05:35.123901	2013-08-04 00:07:58.215219
16287	7	2013-08-02 16:05:35.042706	2013-08-02 16:05:35.042706
16318	4	2013-08-02 16:05:35.121347	2013-08-03 17:10:35.002485
16950	4	2013-08-02 16:05:36.700234	2013-08-04 02:15:51.828552
16719	4	2013-08-02 16:05:36.097079	2013-08-04 02:15:51.8329
11391	2	2013-08-02 16:05:25.500494	2013-08-04 00:07:58.217863
16206	2	2013-08-02 16:05:34.84153	2013-08-03 22:00:36.822888
16294	14	2013-08-02 16:05:35.059326	2013-08-02 16:05:35.059326
5158	4	2013-08-02 16:05:13.404949	2013-08-03 17:59:05.46692
16315	14	2013-08-02 16:05:35.113304	2013-08-03 17:20:37.012098
27445	2	2013-08-02 16:05:59.718206	2013-08-03 19:50:14.614583
16302	2	2013-08-02 16:05:35.079233	2013-08-02 16:05:35.079233
16295	14	2013-08-02 16:05:35.061712	2013-08-03 17:20:37.016502
16304	4	2013-08-02 16:05:35.084781	2013-08-02 16:05:35.084781
16307	7	2013-08-02 16:05:35.092823	2013-08-02 16:05:35.092823
16236	21	2013-08-02 16:05:34.913371	2013-08-04 02:47:24.378495
21961	21	2013-08-02 16:05:47.430605	2013-08-04 02:50:49.643101
16256	4	2013-08-02 16:05:34.966123	2013-08-04 02:50:50.881592
41715	4	2013-08-02 16:06:31.847661	2013-08-03 19:50:14.667654
16314	14	2013-08-02 16:05:35.11076	2013-08-02 16:05:35.11076
5118	2	2013-08-02 16:05:13.334623	2013-08-03 17:59:05.46927
16278	4	2013-08-02 16:05:35.020707	2013-08-04 02:50:51.012871
41755	2	2013-08-02 16:06:31.943508	2013-08-03 19:50:14.673072
16322	2	2013-08-02 16:05:35.131623	2013-08-02 16:05:35.131623
16235	7	2013-08-02 16:05:34.910717	2013-08-03 17:20:37.041528
16324	4	2013-08-02 16:05:35.136785	2013-08-02 16:05:35.136785
16327	7	2013-08-02 16:05:35.144311	2013-08-02 16:05:35.144311
16283	7	2013-08-02 16:05:35.032813	2013-08-03 17:20:37.045805
16297	4	2013-08-02 16:05:35.066461	2013-08-03 02:26:56.353674
16237	14	2013-08-02 16:05:34.916043	2013-08-03 02:26:56.369191
16197	7	2013-08-02 16:05:34.819694	2013-08-03 02:26:56.379102
42075	4	2013-08-02 16:06:32.754254	2013-08-03 19:50:33.923351
16172	14	2013-08-02 16:05:34.758198	2013-08-03 17:59:05.544788
9126	4	2013-08-02 16:05:21.539705	2013-08-03 18:09:14.798859
16323	2	2013-08-02 16:05:35.134197	2013-08-03 18:32:15.760338
16233	2	2013-08-02 16:05:34.905559	2013-08-03 18:32:15.764859
16213	2	2013-08-02 16:05:34.858286	2013-08-03 18:32:15.769722
16193	2	2013-08-02 16:05:34.810217	2013-08-03 18:32:15.775251
16173	2	2013-08-02 16:05:34.760682	2013-08-03 18:32:15.780759
27425	7	2013-08-02 16:05:59.672305	2013-08-03 20:02:27.697045
16466	21	2013-08-02 16:05:35.426188	2013-08-03 20:37:34.593114
26251	14	2013-08-02 16:05:56.720322	2013-08-04 17:16:54.531019
16455	21	2013-08-02 16:05:35.399039	2013-08-03 18:47:36.02827
16334	14	2013-08-02 16:05:35.163358	2013-08-02 16:05:35.163358
16365	21	2013-08-02 16:05:35.205154	2013-08-03 17:52:02.676037
26231	14	2013-08-02 16:05:56.703962	2013-08-04 17:16:54.542389
16361	4	2013-08-02 16:05:35.19976	2013-08-03 18:54:00.036494
16345	7	2013-08-02 16:05:35.179001	2013-08-03 17:52:02.696745
16355	7	2013-08-02 16:05:35.191901	2013-08-04 00:10:39.300064
15228	14	2013-08-02 16:05:33.531585	2013-08-04 17:16:54.56606
16292	2	2013-08-02 16:05:35.054585	2013-08-03 20:42:31.200463
16342	2	2013-08-02 16:05:35.176489	2013-08-02 16:05:35.176489
16418	4	2013-08-02 16:05:35.310366	2013-08-03 17:10:34.960241
16344	4	2013-08-02 16:05:35.17818	2013-08-02 16:05:35.17818
16380	2	2013-08-02 16:05:35.227671	2013-08-03 18:54:00.04322
24141	14	2013-08-02 16:05:52.631409	2013-08-03 22:04:21.60333
16347	7	2013-08-02 16:05:35.181335	2013-08-02 16:05:35.181335
16339	21	2013-08-02 16:05:35.174047	2013-08-04 00:11:54.178999
16419	14	2013-08-02 16:05:35.312793	2013-08-04 00:12:04.771112
17876	14	2013-08-02 16:05:38.761032	2013-08-04 17:16:54.906839
4349	7	2013-08-02 16:05:12.471792	2013-08-03 23:06:33.871364
7579	14	2013-08-02 16:05:18.001978	2013-08-04 17:16:54.917722
16354	14	2013-08-02 16:05:35.190481	2013-08-02 16:05:35.190481
16460	21	2013-08-02 16:05:35.411395	2013-08-03 17:52:05.624856
17856	14	2013-08-02 16:05:38.739566	2013-08-04 17:16:54.928801
22860	4	2013-08-02 16:05:49.719194	2013-08-03 21:16:54.970443
16440	21	2013-08-02 16:05:35.363148	2013-08-03 17:52:05.628588
16359	7	2013-08-02 16:05:35.197242	2013-08-04 00:15:38.470705
17891	14	2013-08-02 16:05:38.779084	2013-08-04 17:16:54.939778
28258	2	2013-08-02 16:06:01.553471	2013-08-03 21:16:55.032697
16362	2	2013-08-02 16:05:35.201028	2013-08-02 16:05:35.201028
16398	4	2013-08-02 16:05:35.262684	2013-08-03 17:10:34.969259
16364	4	2013-08-02 16:05:35.203793	2013-08-02 16:05:35.203793
16439	4	2013-08-02 16:05:35.360756	2013-08-04 00:15:38.861456
7626	2	2013-08-02 16:05:18.05336	2013-08-03 23:06:33.885516
16367	7	2013-08-02 16:05:35.208055	2013-08-02 16:05:35.208055
16331	4	2013-08-02 16:05:35.155174	2013-08-03 23:37:06.814016
16433	2	2013-08-02 16:05:35.346347	2013-08-04 01:00:53.530897
16751	4	2013-08-02 16:05:36.1774	2013-08-04 02:15:51.837001
24101	2	2013-08-02 16:05:52.596587	2013-08-03 23:37:06.816731
16374	14	2013-08-02 16:05:35.218534	2013-08-02 16:05:35.218534
16420	21	2013-08-02 16:05:35.315192	2013-08-03 17:52:05.632265
37603	14	2013-08-02 16:06:22.947681	2013-08-04 17:16:54.950566
16378	4	2013-08-02 16:05:35.224264	2013-08-03 17:10:34.979627
16400	21	2013-08-02 16:05:35.266879	2013-08-03 17:52:05.63612
39281	4	2013-08-02 16:06:26.872123	2013-08-04 02:15:51.84096
16371	7	2013-08-02 16:05:35.214145	2013-08-03 23:53:56.866997
38305	4	2013-08-02 16:06:24.843424	2013-08-04 02:15:51.844955
16382	2	2013-08-02 16:05:35.231086	2013-08-02 16:05:35.231086
16358	4	2013-08-02 16:05:35.19589	2013-08-03 17:10:34.989956
16384	4	2013-08-02 16:05:35.235074	2013-08-02 16:05:35.235074
36377	4	2013-08-02 16:06:20.747307	2013-08-04 02:15:51.903826
16411	4	2013-08-02 16:05:35.293357	2013-08-03 23:53:56.871263
16387	7	2013-08-02 16:05:35.24095	2013-08-02 16:05:35.24095
16443	7	2013-08-02 16:05:35.370333	2013-08-03 02:57:24.608793
36357	4	2013-08-02 16:06:20.708397	2013-08-04 02:15:51.907466
36337	4	2013-08-02 16:06:20.660779	2013-08-04 02:15:51.91085
36317	4	2013-08-02 16:06:20.612585	2013-08-04 02:15:51.91416
16481	7	2013-08-02 16:05:35.573121	2013-08-03 18:57:35.555942
16394	14	2013-08-02 16:05:35.25471	2013-08-02 16:05:35.25471
36297	4	2013-08-02 16:06:20.561536	2013-08-04 02:15:51.917714
36263	14	2013-08-02 16:06:20.287064	2013-08-04 17:16:54.961778
36277	4	2013-08-02 16:06:20.525812	2013-08-04 02:15:51.922208
36155	4	2013-08-02 16:06:20.032719	2013-08-04 02:15:51.944296
36197	4	2013-08-02 16:06:20.125287	2013-08-04 02:15:51.948806
36177	4	2013-08-02 16:06:20.085666	2013-08-04 02:15:51.953345
16402	2	2013-08-02 16:05:35.271268	2013-08-02 16:05:35.271268
16338	4	2013-08-02 16:05:35.173215	2013-08-03 17:10:34.997834
16404	4	2013-08-02 16:05:35.275687	2013-08-02 16:05:35.275687
16381	14	2013-08-02 16:05:35.229381	2013-08-03 18:57:38.157916
20072	14	2013-08-02 16:05:43.59288	2013-08-04 17:16:54.972814
16407	7	2013-08-02 16:05:35.283403	2013-08-02 16:05:35.283403
21271	4	2013-08-02 16:05:45.631229	2013-08-04 02:15:51.957164
16395	14	2013-08-02 16:05:35.256711	2013-08-03 23:54:19.888056
36637	2	2013-08-02 16:06:21.223203	2013-08-04 02:15:51.995052
36617	2	2013-08-02 16:06:21.204303	2013-08-04 02:15:51.999084
16410	21	2013-08-02 16:05:35.290709	2013-08-03 19:07:35.943576
16414	14	2013-08-02 16:05:35.300708	2013-08-02 16:05:35.300708
16341	21	2013-08-02 16:05:35.17568	2013-08-03 19:07:35.945498
17836	14	2013-08-02 16:05:38.720204	2013-08-04 17:16:54.983804
16423	21	2013-08-02 16:05:35.32245	2013-08-03 02:58:08.284336
17816	14	2013-08-02 16:05:38.70296	2013-08-04 17:16:54.994705
23863	14	2013-08-02 16:05:52.378365	2013-08-04 17:16:55.005579
16390	21	2013-08-02 16:05:35.24674	2013-08-03 19:07:35.947073
17796	14	2013-08-02 16:05:38.684128	2013-08-04 17:16:55.01661
16422	2	2013-08-02 16:05:35.320047	2013-08-02 16:05:35.320047
16370	21	2013-08-02 16:05:35.212635	2013-08-03 19:07:35.949382
16424	4	2013-08-02 16:05:35.324855	2013-08-02 16:05:35.324855
16383	21	2013-08-02 16:05:35.233035	2013-08-03 19:07:35.951601
16427	7	2013-08-02 16:05:35.332013	2013-08-02 16:05:35.332013
44683	14	2013-08-02 16:06:39.089677	2013-08-03 23:55:31.448505
22838	14	2013-08-02 16:05:49.660763	2013-08-04 02:54:29.795551
16480	21	2013-08-02 16:05:35.57142	2013-08-04 02:54:41.141001
16330	14	2013-08-02 16:05:35.152493	2013-08-03 19:07:35.967465
16434	14	2013-08-02 16:05:35.348768	2013-08-02 16:05:35.348768
16425	21	2013-08-02 16:05:35.32724	2013-08-03 17:57:10.844659
16483	21	2013-08-02 16:05:35.575159	2013-08-03 17:57:10.847327
16405	21	2013-08-02 16:05:35.278168	2013-08-03 17:57:10.850263
16416	4	2013-08-02 16:05:35.305518	2013-08-04 02:56:12.487317
16350	4	2013-08-02 16:05:35.184782	2013-08-04 02:56:12.629778
16450	21	2013-08-02 16:05:35.387074	2013-08-03 23:58:34.537508
16442	2	2013-08-02 16:05:35.36792	2013-08-02 16:05:35.36792
16438	4	2013-08-02 16:05:35.35836	2013-08-03 17:20:35.638842
16444	4	2013-08-02 16:05:35.372747	2013-08-02 16:05:35.372747
16453	21	2013-08-02 16:05:35.394279	2013-08-03 19:12:35.762651
16447	7	2013-08-02 16:05:35.379933	2013-08-02 16:05:35.379933
16458	4	2013-08-02 16:05:35.406237	2013-08-03 17:20:35.649134
18098	7	2013-08-02 16:05:39.139746	2013-08-03 21:24:19.941723
16461	21	2013-08-02 16:05:35.413888	2013-08-03 21:44:33.419197
24041	21	2013-08-02 16:05:52.538868	2013-08-03 21:44:33.421917
16454	14	2013-08-02 16:05:35.396659	2013-08-02 16:05:35.396659
16335	21	2013-08-02 16:05:35.166087	2013-08-03 17:20:36.999352
16462	2	2013-08-02 16:05:35.416279	2013-08-02 16:05:35.416279
16464	4	2013-08-02 16:05:35.421293	2013-08-02 16:05:35.421293
16467	7	2013-08-02 16:05:35.428589	2013-08-02 16:05:35.428589
16232	21	2013-08-02 16:05:34.902283	2013-08-03 19:22:38.367029
16474	14	2013-08-02 16:05:35.447537	2013-08-02 16:05:35.447537
16482	2	2013-08-02 16:05:35.574139	2013-08-02 16:05:35.574139
16484	4	2013-08-02 16:05:35.57621	2013-08-02 16:05:35.57621
16477	21	2013-08-02 16:05:35.450626	2013-08-03 02:26:56.334462
16457	21	2013-08-02 16:05:35.403851	2013-08-03 02:26:56.33593
16437	21	2013-08-02 16:05:35.355966	2013-08-03 02:26:56.337146
16417	21	2013-08-02 16:05:35.307944	2013-08-03 02:26:56.338405
16397	21	2013-08-02 16:05:35.260695	2013-08-03 02:26:56.339524
16377	21	2013-08-02 16:05:35.222848	2013-08-03 02:26:56.340681
16435	14	2013-08-02 16:05:35.351135	2013-08-03 17:23:19.642897
44623	14	2013-08-02 16:06:38.93425	2013-08-03 19:50:34.000277
16272	7	2013-08-02 16:05:35.005915	2013-08-03 17:59:05.553964
16471	21	2013-08-02 16:05:35.440083	2013-08-04 00:07:58.239404
16312	4	2013-08-02 16:05:35.105608	2013-08-03 17:59:05.558672
16275	21	2013-08-02 16:05:35.013025	2013-08-03 18:02:15.66871
16485	21	2013-08-02 16:05:35.577108	2013-08-03 18:02:15.671818
16465	21	2013-08-02 16:05:35.423704	2013-08-03 18:02:15.674885
16445	21	2013-08-02 16:05:35.375126	2013-08-03 18:02:15.677952
44603	14	2013-08-02 16:06:38.88425	2013-08-03 19:52:27.928277
16372	7	2013-08-02 16:05:35.215618	2013-08-03 18:07:20.313273
16413	21	2013-08-02 16:05:35.298271	2013-08-03 18:32:15.690314
16399	14	2013-08-02 16:05:35.264661	2013-08-04 00:08:09.314453
16430	21	2013-08-02 16:05:35.339157	2013-08-04 00:08:21.347902
16506	14	2013-08-02 16:05:35.621275	2013-08-04 00:10:38.695561
16487	7	2013-08-02 16:05:35.579279	2013-08-02 16:05:35.579279
16503	4	2013-08-02 16:05:35.613452	2013-08-03 02:57:24.619524
16621	14	2013-08-02 16:05:35.907758	2013-08-04 00:10:38.759737
17776	14	2013-08-02 16:05:38.663758	2013-08-04 17:16:55.027338
17845	14	2013-08-02 16:05:38.728332	2013-08-04 17:16:55.038409
16494	14	2013-08-02 16:05:35.589502	2013-08-02 16:05:35.589502
16555	7	2013-08-02 16:05:35.745052	2013-08-03 17:35:03.257165
17756	14	2013-08-02 16:05:38.641198	2013-08-04 17:16:55.051171
16523	2	2013-08-02 16:05:35.666076	2013-08-03 02:57:24.623205
42577	14	2013-08-02 16:06:34.195792	2013-08-04 17:16:55.22416
42658	14	2013-08-02 16:06:34.342471	2013-08-04 17:16:55.234924
7666	21	2013-08-02 16:05:18.088017	2013-08-03 23:06:33.982555
16502	2	2013-08-02 16:05:35.610945	2013-08-02 16:05:35.610945
16557	4	2013-08-02 16:05:35.749899	2013-08-03 17:10:35.17719
16504	4	2013-08-02 16:05:35.615995	2013-08-02 16:05:35.615995
42557	14	2013-08-02 16:06:34.13897	2013-08-04 17:16:55.245871
31392	21	2013-08-02 16:06:08.816398	2013-08-03 23:06:33.985284
16507	7	2013-08-02 16:05:35.623876	2013-08-02 16:05:35.623876
26011	14	2013-08-02 16:05:56.455073	2013-08-04 17:16:55.287792
16539	21	2013-08-02 16:05:35.703184	2013-08-04 00:11:45.709333
17456	14	2013-08-02 16:05:38.019677	2013-08-04 17:16:55.297667
16343	4	2013-08-02 16:05:35.17736	2013-08-03 18:57:35.443218
16626	2	2013-08-02 16:05:35.921331	2013-08-03 20:42:30.209115
16514	14	2013-08-02 16:05:35.642555	2013-08-02 16:05:35.642555
16520	14	2013-08-02 16:05:35.658183	2013-08-03 17:54:09.57061
22340	21	2013-08-02 16:05:48.502374	2013-08-04 17:16:55.360979
16623	2	2013-08-02 16:05:35.913452	2013-08-03 02:58:07.87243
16595	2	2013-08-02 16:05:35.843156	2013-08-03 20:42:30.212837
16619	21	2013-08-02 16:05:35.902208	2013-08-04 00:11:54.179963
24061	21	2013-08-02 16:05:52.558209	2013-08-04 00:11:54.181016
12590	7	2013-08-02 16:05:28.322494	2013-08-03 21:16:55.107156
16522	2	2013-08-02 16:05:35.663452	2013-08-02 16:05:35.663452
16638	4	2013-08-02 16:05:35.952737	2013-08-03 17:10:35.180382
16524	4	2013-08-02 16:05:35.668743	2013-08-02 16:05:35.668743
22439	2	2013-08-02 16:05:48.718689	2013-08-04 17:16:55.380293
22419	2	2013-08-02 16:05:48.668492	2013-08-04 17:16:55.391792
16527	7	2013-08-02 16:05:35.676389	2013-08-02 16:05:35.676389
16603	2	2013-08-02 16:05:35.863975	2013-08-03 02:58:07.876805
22399	2	2013-08-02 16:05:48.614978	2013-08-04 17:16:55.403447
22379	2	2013-08-02 16:05:48.560857	2013-08-04 17:16:55.414555
16530	21	2013-08-02 16:05:35.684173	2013-08-03 19:12:35.755707
16534	14	2013-08-02 16:05:35.693654	2013-08-02 16:05:35.693654
16601	21	2013-08-02 16:05:35.859079	2013-08-03 19:12:35.758752
22413	2	2013-08-02 16:05:48.652749	2013-08-04 17:16:55.425321
16583	2	2013-08-02 16:05:35.812506	2013-08-03 02:58:07.885043
16579	14	2013-08-02 16:05:35.802776	2013-08-04 00:15:38.853732
22359	2	2013-08-02 16:05:48.524577	2013-08-04 17:16:55.436485
16510	21	2013-08-02 16:05:35.631971	2013-08-03 19:12:35.760375
22339	2	2013-08-02 16:05:48.500976	2013-08-04 17:16:55.447358
16542	2	2013-08-02 16:05:35.71121	2013-08-02 16:05:35.71121
16625	21	2013-08-02 16:05:35.918614	2013-08-04 00:20:45.458705
16544	4	2013-08-02 16:05:35.716157	2013-08-02 16:05:35.716157
16490	21	2013-08-02 16:05:35.582326	2013-08-03 19:12:35.761532
16559	2	2013-08-02 16:05:35.754738	2013-08-04 01:00:53.51929
16547	7	2013-08-02 16:05:35.724323	2013-08-02 16:05:35.724323
16563	2	2013-08-02 16:05:35.764266	2013-08-03 02:58:07.890002
24118	4	2013-08-02 16:05:52.610442	2013-08-03 21:16:55.11855
31157	2	2013-08-02 16:06:08.328982	2013-08-04 01:15:49.541658
36597	2	2013-08-02 16:06:21.179295	2013-08-04 02:15:52.003003
16600	7	2013-08-02 16:05:35.85641	2013-08-03 19:13:16.298815
16554	14	2013-08-02 16:05:35.742601	2013-08-02 16:05:35.742601
22319	2	2013-08-02 16:05:48.305915	2013-08-04 17:16:55.458175
36537	2	2013-08-02 16:06:21.110825	2013-08-04 02:15:52.021675
36517	2	2013-08-02 16:06:21.061655	2013-08-04 02:15:52.026439
36497	2	2013-08-02 16:06:21.013334	2013-08-04 02:15:52.031453
36458	2	2013-08-02 16:06:20.943324	2013-08-04 02:15:52.035953
16562	2	2013-08-02 16:05:35.761886	2013-08-02 16:05:35.761886
36477	2	2013-08-02 16:06:20.968453	2013-08-04 02:15:52.04068
16564	4	2013-08-02 16:05:35.766683	2013-08-02 16:05:35.766683
36457	2	2013-08-02 16:06:20.942362	2013-08-04 02:15:52.045435
44863	21	2013-08-02 16:06:39.414876	2013-08-04 19:27:45.339409
16567	7	2013-08-02 16:05:35.773851	2013-08-02 16:05:35.773851
36437	2	2013-08-02 16:06:20.891633	2013-08-04 02:15:52.055214
42243	2	2013-08-02 16:06:33.358065	2013-08-03 21:17:30.158461
18210	2	2013-08-02 16:05:39.267789	2013-08-04 02:15:52.062265
16590	4	2013-08-02 16:05:35.83022	2013-08-03 19:13:16.303096
36405	2	2013-08-02 16:06:20.805565	2013-08-04 02:15:52.067894
16574	14	2013-08-02 16:05:35.790464	2013-08-02 16:05:35.790464
16630	2	2013-08-02 16:05:35.932063	2013-08-03 19:13:16.306175
16629	4	2013-08-02 16:05:35.929408	2013-08-04 19:27:45.35923
16538	2	2013-08-02 16:05:35.700469	2013-08-03 17:10:35.234605
36315	2	2013-08-02 16:06:20.607765	2013-08-04 02:15:52.076893
16582	2	2013-08-02 16:05:35.810119	2013-08-02 16:05:35.810119
17857	4	2013-08-02 16:05:38.740367	2013-08-04 02:15:52.149327
16584	4	2013-08-02 16:05:35.814886	2013-08-02 16:05:35.814886
17779	4	2013-08-02 16:05:38.667547	2013-08-04 02:15:52.153751
16611	14	2013-08-02 16:05:35.883145	2013-08-03 23:54:31.530323
16587	7	2013-08-02 16:05:35.822033	2013-08-02 16:05:35.822033
17877	4	2013-08-02 16:05:38.762281	2013-08-04 02:15:52.157499
17759	4	2013-08-02 16:05:38.644185	2013-08-04 02:15:52.161349
16594	14	2013-08-02 16:05:35.84074	2013-08-02 16:05:35.84074
16515	21	2013-08-02 16:05:35.645135	2013-08-03 19:17:37.157095
16599	21	2013-08-02 16:05:35.853648	2013-08-04 02:55:10.566748
16585	14	2013-08-02 16:05:35.817268	2013-08-03 23:55:31.205836
16602	2	2013-08-02 16:05:35.861569	2013-08-02 16:05:35.861569
16604	4	2013-08-02 16:05:35.86639	2013-08-02 16:05:35.86639
15871	4	2013-08-02 16:05:34.280252	2013-08-04 02:56:12.483265
16631	4	2013-08-02 16:05:35.934742	2013-08-03 23:55:31.440234
16607	7	2013-08-02 16:05:35.87358	2013-08-02 16:05:35.87358
16575	7	2013-08-02 16:05:35.792837	2013-08-03 17:23:19.668248
4548	21	2013-08-02 16:05:12.722245	2013-08-03 21:45:39.062173
16536	4	2013-08-02 16:05:35.695863	2013-08-04 02:56:12.619878
44763	7	2013-08-02 16:06:39.310602	2013-08-03 19:50:34.016686
16614	14	2013-08-02 16:05:35.890269	2013-08-02 16:05:35.890269
16332	2	2013-08-02 16:05:35.157887	2013-08-03 17:59:05.561866
16598	21	2013-08-02 16:05:35.851117	2013-08-03 23:58:34.538676
16605	21	2013-08-02 16:05:35.868827	2013-08-03 23:58:34.539897
16622	2	2013-08-02 16:05:35.91097	2013-08-02 16:05:35.91097
44823	4	2013-08-02 16:06:39.382774	2013-08-03 19:50:34.021114
16624	4	2013-08-02 16:05:35.915994	2013-08-02 16:05:35.915994
44843	2	2013-08-02 16:06:39.399835	2013-08-03 19:50:34.022562
16627	7	2013-08-02 16:05:35.923977	2013-08-02 16:05:35.923977
16635	4	2013-08-02 16:05:35.94535	2013-08-03 17:23:19.737355
11685	7	2013-08-02 16:05:26.186393	2013-08-03 21:54:23.396365
16499	4	2013-08-02 16:05:35.602815	2013-08-04 00:08:09.326212
16634	14	2013-08-02 16:05:35.942703	2013-08-02 16:05:35.942703
11720	4	2013-08-02 16:05:26.274718	2013-08-03 17:59:05.594292
16519	2	2013-08-02 16:05:35.655615	2013-08-04 00:08:09.32977
16642	2	2013-08-02 16:05:35.962338	2013-08-02 16:05:35.962338
16517	21	2013-08-02 16:05:35.650383	2013-08-03 02:26:56.331702
16497	21	2013-08-02 16:05:35.597442	2013-08-03 02:26:56.333156
4544	14	2013-08-02 16:05:12.719132	2013-08-03 19:50:34.039854
11745	2	2013-08-02 16:05:26.335529	2013-08-03 17:59:05.597121
16617	14	2013-08-02 16:05:35.897373	2013-08-03 02:30:28.160047
16545	21	2013-08-02 16:05:35.718931	2013-08-03 18:02:15.659277
16525	21	2013-08-02 16:05:35.671215	2013-08-03 18:02:15.662524
16565	4	2013-08-02 16:05:35.769085	2013-08-03 18:07:19.024432
16493	7	2013-08-02 16:05:35.586826	2013-08-03 18:33:35.983469
16558	14	2013-08-02 16:05:35.752309	2013-08-04 00:08:21.290645
16533	4	2013-08-02 16:05:35.691696	2013-08-03 18:33:35.992784
16573	2	2013-08-02 16:05:35.788075	2013-08-03 18:33:36.000052
16540	2	2013-08-02 16:05:35.705867	2013-08-03 18:37:37.700032
16633	2	2013-08-02 16:05:35.940125	2013-08-03 18:37:39.627289
16613	2	2013-08-02 16:05:35.88788	2013-08-03 18:37:39.638218
16778	21	2013-08-02 16:05:36.249176	2013-08-03 17:10:35.110599
16644	4	2013-08-02 16:05:35.967286	2013-08-02 16:05:35.967286
16780	21	2013-08-02 16:05:36.254465	2013-08-03 18:57:35.397066
16670	2	2013-08-02 16:05:36.025917	2013-08-03 22:04:21.54448
16647	7	2013-08-02 16:05:35.975262	2013-08-02 16:05:35.975262
16783	2	2013-08-02 16:05:36.262633	2013-08-03 02:58:07.825891
16786	21	2013-08-02 16:05:36.270598	2013-08-03 20:42:30.111658
22299	2	2013-08-02 16:05:48.258092	2013-08-04 17:16:55.469086
16701	21	2013-08-02 16:05:36.065954	2013-08-03 18:57:35.398599
16681	21	2013-08-02 16:05:36.038823	2013-08-03 18:57:35.399684
16654	14	2013-08-02 16:05:35.993957	2013-08-02 16:05:35.993957
16660	7	2013-08-02 16:05:36.008748	2013-08-03 17:54:09.582841
15971	14	2013-08-02 16:05:34.396676	2013-08-04 17:16:55.49166
16763	2	2013-08-02 16:05:36.209889	2013-08-03 02:58:07.837002
16679	14	2013-08-02 16:05:36.036809	2013-08-04 00:10:38.755765
16659	2	2013-08-02 16:05:36.00633	2013-08-04 00:10:38.986283
16661	21	2013-08-02 16:05:36.011162	2013-08-03 18:57:35.400838
1791	14	2013-08-02 16:05:07.434406	2013-08-04 17:16:55.502898
16662	2	2013-08-02 16:05:36.013014	2013-08-02 16:05:36.013014
16758	21	2013-08-02 16:05:36.196306	2013-08-03 17:10:35.114231
16664	4	2013-08-02 16:05:36.014493	2013-08-02 16:05:36.014493
22218	14	2013-08-02 16:05:48.063047	2013-08-04 17:16:55.5138
22279	14	2013-08-02 16:05:48.209789	2013-08-04 17:16:55.524643
16667	7	2013-08-02 16:05:36.018713	2013-08-02 16:05:36.018713
16743	2	2013-08-02 16:05:36.156254	2013-08-03 02:58:07.841447
22259	14	2013-08-02 16:05:48.161235	2013-08-04 17:16:55.535433
22239	14	2013-08-02 16:05:48.11341	2013-08-04 17:16:55.54625
22270	14	2013-08-02 16:05:48.187774	2013-08-04 17:16:55.557189
22253	14	2013-08-02 16:05:48.146949	2013-08-04 17:16:55.568423
16674	14	2013-08-02 16:05:36.0317	2013-08-02 16:05:36.0317
22219	14	2013-08-02 16:05:48.065428	2013-08-04 17:16:55.57944
7349	4	2013-08-02 16:05:17.779446	2013-08-04 17:16:55.703656
16723	2	2013-08-02 16:05:36.10488	2013-08-03 02:58:07.846657
16720	4	2013-08-02 16:05:36.099108	2013-08-03 17:54:09.588325
46312	4	2013-08-02 16:06:42.132905	2013-08-04 17:16:55.714855
20023	4	2013-08-02 16:05:43.475922	2013-08-04 17:16:55.726018
32560	21	2013-08-02 16:06:11.679897	2013-08-03 22:05:19.091437
16682	2	2013-08-02 16:05:36.039826	2013-08-02 16:05:36.039826
16738	21	2013-08-02 16:05:36.143198	2013-08-03 17:10:35.116824
16684	4	2013-08-02 16:05:36.042192	2013-08-02 16:05:36.042192
12350	14	2013-08-02 16:05:27.827588	2013-08-03 18:59:17.235505
16687	7	2013-08-02 16:05:36.046134	2013-08-02 16:05:36.046134
16703	2	2013-08-02 16:05:36.069035	2013-08-03 02:58:07.851625
16759	14	2013-08-02 16:05:36.199014	2013-08-04 00:15:38.813158
20801	14	2013-08-02 16:05:44.830041	2013-08-04 00:15:38.819119
31177	7	2013-08-02 16:06:08.36387	2013-08-03 23:06:34.042836
16739	14	2013-08-02 16:05:36.145627	2013-08-04 00:15:38.830187
16694	14	2013-08-02 16:05:36.055682	2013-08-02 16:05:36.055682
47523	4	2013-08-02 16:06:45.05129	2013-08-04 17:16:55.737217
16683	2	2013-08-02 16:05:36.041028	2013-08-03 02:58:07.855789
16760	2	2013-08-02 16:05:36.201674	2013-08-03 17:54:09.595142
2940	4	2013-08-02 16:05:09.383148	2013-08-04 17:16:55.748155
25155	4	2013-08-02 16:05:54.143121	2013-08-04 17:16:55.758758
16665	7	2013-08-02 16:05:36.015253	2013-08-03 20:43:29.646705
16702	2	2013-08-02 16:05:36.067479	2013-08-02 16:05:36.067479
22748	4	2013-08-02 16:05:49.432543	2013-08-04 17:16:55.769898
16704	4	2013-08-02 16:05:36.070557	2013-08-02 16:05:36.070557
36843	4	2013-08-02 16:06:21.426621	2013-08-04 17:16:55.781995
16695	4	2013-08-02 16:05:36.057115	2013-08-04 19:37:48.580014
16707	7	2013-08-02 16:05:36.075185	2013-08-02 16:05:36.075185
16663	2	2013-08-02 16:05:36.013749	2013-08-03 02:58:07.860001
16766	2	2013-08-02 16:05:36.217856	2013-08-03 20:47:30.244565
16750	4	2013-08-02 16:05:36.174666	2013-08-04 19:37:48.583955
16650	7	2013-08-02 16:05:35.983099	2013-08-03 19:42:38.068063
16717	4	2013-08-02 16:05:36.093212	2013-08-04 19:37:48.588193
16714	14	2013-08-02 16:05:36.0875	2013-08-02 16:05:36.0875
4492	4	2013-08-02 16:05:12.664254	2013-08-03 20:47:30.254707
16643	2	2013-08-02 16:05:35.964803	2013-08-03 02:58:07.865276
16781	4	2013-08-02 16:05:36.257291	2013-08-03 19:42:38.072612
16755	14	2013-08-02 16:05:36.188348	2013-08-04 00:18:14.880237
16722	2	2013-08-02 16:05:36.102907	2013-08-02 16:05:36.102907
32652	7	2013-08-02 16:06:12.04883	2013-08-03 21:17:30.206073
16724	4	2013-08-02 16:05:36.106859	2013-08-02 16:05:36.106859
2534	14	2013-08-02 16:05:08.876131	2013-08-03 21:17:30.28171
16671	7	2013-08-02 16:05:36.028291	2013-08-03 23:54:31.553108
16727	7	2013-08-02 16:05:36.114125	2013-08-02 16:05:36.114125
16678	14	2013-08-02 16:05:36.035763	2013-08-03 17:10:35.164077
16699	21	2013-08-02 16:05:36.062736	2013-08-04 00:18:14.943242
16710	2	2013-08-02 16:05:36.080466	2013-08-03 19:42:38.075003
16737	21	2013-08-02 16:05:36.140488	2013-08-04 00:18:49.912813
16734	14	2013-08-02 16:05:36.132689	2013-08-02 16:05:36.132689
16718	14	2013-08-02 16:05:36.095138	2013-08-03 19:42:57.429931
16658	14	2013-08-02 16:05:36.003898	2013-08-03 17:10:35.169123
16742	2	2013-08-02 16:05:36.153564	2013-08-02 16:05:36.153564
16798	4	2013-08-02 16:05:36.302785	2013-08-03 17:20:37.539416
16744	4	2013-08-02 16:05:36.158925	2013-08-02 16:05:36.158925
16791	14	2013-08-02 16:05:36.28404	2013-08-03 23:58:25.874413
16747	7	2013-08-02 16:05:36.166787	2013-08-02 16:05:36.166787
16655	2	2013-08-02 16:05:35.99649	2013-08-03 17:23:19.74546
16799	21	2013-08-02 16:05:36.305458	2013-08-04 00:30:54.508646
16754	14	2013-08-02 16:05:36.185585	2013-08-02 16:05:36.185585
16706	7	2013-08-02 16:05:36.073664	2013-08-03 21:21:38.369774
16762	2	2013-08-02 16:05:36.206971	2013-08-02 16:05:36.206971
16795	14	2013-08-02 16:05:36.294719	2013-08-03 17:25:32.147163
16764	4	2013-08-02 16:05:36.212507	2013-08-02 16:05:36.212507
16779	21	2013-08-02 16:05:36.251777	2013-08-04 00:37:45.273765
16730	2	2013-08-02 16:05:36.122017	2013-08-04 01:00:53.509237
16767	7	2013-08-02 16:05:36.220487	2013-08-02 16:05:36.220487
16785	2	2013-08-02 16:05:36.26793	2013-08-04 01:15:49.514813
4512	7	2013-08-02 16:05:12.688941	2013-08-03 19:50:34.04869
16774	14	2013-08-02 16:05:36.239072	2013-08-02 16:05:36.239072
12135	7	2013-08-02 16:05:27.361637	2013-08-03 17:59:05.61858
2610	7	2013-08-02 16:05:08.956818	2013-08-03 21:49:34.128499
12210	2	2013-08-02 16:05:27.489814	2013-08-04 01:15:49.519176
16782	2	2013-08-02 16:05:36.259973	2013-08-02 16:05:36.259973
16771	2	2013-08-02 16:05:36.231145	2013-08-04 01:15:49.525552
16784	4	2013-08-02 16:05:36.265314	2013-08-02 16:05:36.265314
4432	2	2013-08-02 16:05:12.587236	2013-08-03 19:50:34.053092
16651	2	2013-08-02 16:05:35.98578	2013-08-04 01:15:49.53222
16787	7	2013-08-02 16:05:36.273258	2013-08-02 16:05:36.273258
14790	4	2013-08-02 16:05:32.606542	2013-08-04 02:15:52.170325
14980	4	2013-08-02 16:05:33.064317	2013-08-04 02:15:52.175854
18040	2	2013-08-02 16:05:39.074878	2013-08-04 02:15:52.282027
18020	2	2013-08-02 16:05:39.04985	2013-08-04 02:15:52.287358
17939	2	2013-08-02 16:05:38.978896	2013-08-04 02:15:52.292623
16794	14	2013-08-02 16:05:36.292014	2013-08-02 16:05:36.292014
16677	21	2013-08-02 16:05:36.03476	2013-08-04 00:07:47.623074
12240	14	2013-08-02 16:05:27.562627	2013-08-03 17:59:05.645106
10491	2	2013-08-02 16:05:23.788035	2013-08-04 02:15:52.297242
16757	7	2013-08-02 16:05:36.193661	2013-08-03 02:30:28.171952
16741	4	2013-08-02 16:05:36.150839	2013-08-04 00:08:21.307015
12152	14	2013-08-02 16:05:27.382741	2013-08-03 18:02:46.795411
16772	14	2013-08-02 16:05:36.233766	2013-08-03 18:03:06.976
17919	2	2013-08-02 16:05:38.822999	2013-08-04 02:15:52.303358
16765	21	2013-08-02 16:05:36.215212	2013-08-03 18:07:18.864728
16745	21	2013-08-02 16:05:36.161532	2013-08-03 18:07:18.867917
16725	21	2013-08-02 16:05:36.108895	2013-08-03 18:07:18.870933
16705	21	2013-08-02 16:05:36.072115	2013-08-03 18:07:18.873956
16685	21	2013-08-02 16:05:36.043489	2013-08-03 18:07:18.877033
16686	2	2013-08-02 16:05:36.04485	2013-08-04 00:08:21.313289
17899	2	2013-08-02 16:05:38.789992	2013-08-04 02:15:52.308276
16715	21	2013-08-02 16:05:36.089349	2013-08-03 18:37:39.503106
459	2	2013-08-02 16:05:04.846112	2013-08-04 02:15:52.328165
4412	7	2013-08-02 16:05:12.568387	2013-08-03 20:02:26.844922
16656	4	2013-08-02 16:05:35.998901	2013-08-04 02:56:11.159234
16726	21	2013-08-02 16:05:36.111461	2013-08-04 03:00:10.009419
16746	21	2013-08-02 16:05:36.164087	2013-08-04 03:00:23.11476
16833	21	2013-08-02 16:05:36.395053	2013-08-03 18:47:36.026078
16801	21	2013-08-02 16:05:36.311153	2013-08-03 22:04:21.520922
16802	2	2013-08-02 16:05:36.313785	2013-08-02 16:05:36.313785
16938	4	2013-08-02 16:05:36.668209	2013-08-03 17:20:37.466512
16804	4	2013-08-02 16:05:36.31912	2013-08-02 16:05:36.31912
16845	21	2013-08-02 16:05:36.426325	2013-08-03 18:47:36.027151
16929	21	2013-08-02 16:05:36.645486	2013-08-04 19:37:48.481908
16807	7	2013-08-02 16:05:36.32724	2013-08-02 16:05:36.32724
16803	2	2013-08-02 16:05:36.316423	2013-08-03 02:58:07.81386
16826	4	2013-08-02 16:05:36.376726	2013-08-03 20:43:29.65243
16856	21	2013-08-02 16:05:36.455237	2013-08-04 17:02:14.536267
15406	4	2013-08-02 16:05:33.7028	2013-08-04 17:16:55.794655
16873	21	2013-08-02 16:05:36.497332	2013-08-03 22:04:59.244324
16814	14	2013-08-02 16:05:36.345782	2013-08-02 16:05:36.345782
16805	21	2013-08-02 16:05:36.322011	2013-08-04 00:12:05.049925
28866	2	2013-08-02 16:06:02.378554	2013-08-04 17:16:56.04194
16823	14	2013-08-02 16:05:36.36857	2013-08-03 03:06:21.088255
16846	2	2013-08-02 16:05:36.428968	2013-08-03 20:43:29.656474
16511	2	2013-08-02 16:05:35.634581	2013-08-04 17:16:56.050772
19448	21	2013-08-02 16:05:42.051188	2013-08-04 00:15:38.743795
31217	4	2013-08-02 16:06:08.444005	2013-08-03 23:06:34.048142
16822	2	2013-08-02 16:05:36.366189	2013-08-02 16:05:36.366189
16918	4	2013-08-02 16:05:36.616671	2013-08-03 17:20:37.47426
16824	4	2013-08-02 16:05:36.37128	2013-08-02 16:05:36.37128
28846	2	2013-08-02 16:06:02.330921	2013-08-04 17:16:56.05858
16819	14	2013-08-02 16:05:36.358922	2013-08-04 00:19:13.541398
16827	7	2013-08-02 16:05:36.379164	2013-08-02 16:05:36.379164
16900	7	2013-08-02 16:05:36.569637	2013-08-03 20:47:29.883851
28826	2	2013-08-02 16:06:02.281038	2013-08-04 17:16:56.063379
31138	2	2013-08-02 16:06:08.302667	2013-08-03 23:06:34.05153
21475	7	2013-08-02 16:05:46.245478	2013-08-03 18:59:17.243977
16834	14	2013-08-02 16:05:36.397517	2013-08-02 16:05:36.397517
28806	2	2013-08-02 16:06:02.228242	2013-08-04 17:16:56.072185
16909	2	2013-08-02 16:05:36.593702	2013-08-04 19:37:48.492432
31237	14	2013-08-02 16:06:08.487688	2013-08-03 23:11:27.224123
16810	2	2013-08-02 16:05:36.335163	2013-08-04 19:37:48.500919
21108	2	2013-08-02 16:05:45.35246	2013-08-04 19:37:48.512668
16842	2	2013-08-02 16:05:36.418372	2013-08-02 16:05:36.418372
16898	4	2013-08-02 16:05:36.564016	2013-08-03 17:20:37.483581
16844	4	2013-08-02 16:05:36.423669	2013-08-02 16:05:36.423669
4450	2	2013-08-02 16:05:12.616492	2013-08-04 19:37:48.518168
16889	2	2013-08-02 16:05:36.54014	2013-08-04 19:37:48.5232
16847	7	2013-08-02 16:05:36.431595	2013-08-02 16:05:36.431595
28706	4	2013-08-02 16:06:02.092067	2013-08-04 17:16:56.243525
28686	4	2013-08-02 16:06:02.072247	2013-08-04 17:16:56.248998
16821	7	2013-08-02 16:05:36.363773	2013-08-03 18:59:37.082109
16901	21	2013-08-02 16:05:36.572245	2013-08-03 19:07:35.638152
16854	14	2013-08-02 16:05:36.449846	2013-08-02 16:05:36.449846
16880	7	2013-08-02 16:05:36.516336	2013-08-03 17:55:10.878691
28710	4	2013-08-02 16:06:02.095137	2013-08-04 17:16:56.253164
21905	4	2013-08-02 16:05:47.314223	2013-08-04 17:16:56.258086
16917	2	2013-08-02 16:05:36.614288	2013-08-04 19:37:48.527507
16869	14	2013-08-02 16:05:36.486966	2013-08-04 19:37:48.535091
16919	7	2013-08-02 16:05:36.619023	2013-08-04 00:19:13.555235
16906	2	2013-08-02 16:05:36.58575	2013-08-03 20:47:30.477985
16862	2	2013-08-02 16:05:36.468413	2013-08-02 16:05:36.468413
16878	4	2013-08-02 16:05:36.510839	2013-08-03 17:20:37.494846
16864	4	2013-08-02 16:05:36.473885	2013-08-02 16:05:36.473885
16843	14	2013-08-02 16:05:36.421056	2013-08-04 19:42:27.313648
16867	7	2013-08-02 16:05:36.481953	2013-08-02 16:05:36.481953
16858	4	2013-08-02 16:05:36.45848	2013-08-03 17:20:37.505867
16911	14	2013-08-02 16:05:36.598982	2013-08-03 23:58:45.417464
16825	14	2013-08-02 16:05:36.374015	2013-08-04 19:42:27.319912
5126	14	2013-08-02 16:05:13.349231	2013-08-03 21:17:30.351547
16928	4	2013-08-02 16:05:36.642833	2013-08-04 00:19:13.562247
16874	14	2013-08-02 16:05:36.500078	2013-08-02 16:05:36.500078
44803	4	2013-08-02 16:06:39.366074	2013-08-03 19:50:34.082208
16949	14	2013-08-02 16:05:36.697598	2013-08-04 19:42:27.326617
16838	4	2013-08-02 16:05:36.407823	2013-08-03 17:20:37.517115
16940	4	2013-08-02 16:05:36.673324	2013-08-03 17:55:10.885142
16937	2	2013-08-02 16:05:36.665578	2013-08-04 19:42:27.341396
9286	2	2013-08-02 16:05:21.969654	2013-08-04 19:42:27.349887
16839	7	2013-08-02 16:05:36.410602	2013-08-04 00:20:45.382962
16882	2	2013-08-02 16:05:36.521674	2013-08-02 16:05:36.521674
16818	4	2013-08-02 16:05:36.356501	2013-08-03 17:20:37.528429
16884	4	2013-08-02 16:05:36.526922	2013-08-02 16:05:36.526922
44383	14	2013-08-02 16:06:38.328367	2013-08-03 19:50:34.102215
16887	7	2013-08-02 16:05:36.534855	2013-08-02 16:05:36.534855
16955	21	2013-08-02 16:05:36.713118	2013-08-03 17:25:32.051159
16813	2	2013-08-02 16:05:36.34313	2013-08-04 19:42:27.360732
16931	2	2013-08-02 16:05:36.650377	2013-08-04 19:42:27.371555
45433	2	2013-08-02 16:06:40.593964	2013-08-04 21:00:27.30728
16859	21	2013-08-02 16:05:36.460364	2013-08-04 00:22:31.269531
16894	14	2013-08-02 16:05:36.553353	2013-08-02 16:05:36.553353
45488	2	2013-08-02 16:06:40.653959	2013-08-04 21:01:19.108615
8566	2	2013-08-02 16:05:20.206272	2013-08-04 21:01:19.114701
16935	21	2013-08-02 16:05:36.660213	2013-08-03 17:25:32.053063
16939	14	2013-08-02 16:05:36.670694	2013-08-04 00:37:45.208186
16902	2	2013-08-02 16:05:36.57489	2013-08-02 16:05:36.57489
16915	21	2013-08-02 16:05:36.609406	2013-08-03 17:25:32.055927
16904	4	2013-08-02 16:05:36.580352	2013-08-02 16:05:36.580352
16948	2	2013-08-02 16:05:36.694913	2013-08-04 01:00:53.495616
16907	7	2013-08-02 16:05:36.588373	2013-08-02 16:05:36.588373
16895	21	2013-08-02 16:05:36.55603	2013-08-03 17:25:32.058854
18988	7	2013-08-02 16:05:40.814955	2013-08-03 21:17:30.377382
11556	2	2013-08-02 16:05:25.922026	2013-08-04 01:00:53.500966
16951	21	2013-08-02 16:05:36.702906	2013-08-04 00:03:54.800608
16861	7	2013-08-02 16:05:36.465765	2013-08-03 19:58:22.92155
16914	14	2013-08-02 16:05:36.606926	2013-08-02 16:05:36.606926
16875	21	2013-08-02 16:05:36.502734	2013-08-03 17:25:32.061799
16897	2	2013-08-02 16:05:36.56137	2013-08-04 01:15:49.506989
13348	4	2013-08-02 16:05:29.413822	2013-08-03 21:17:30.388725
16899	2	2013-08-02 16:05:36.566692	2013-08-04 01:15:49.510636
16922	2	2013-08-02 16:05:36.626877	2013-08-02 16:05:36.626877
16855	21	2013-08-02 16:05:36.452521	2013-08-03 17:25:32.064782
16924	4	2013-08-02 16:05:36.632165	2013-08-02 16:05:36.632165
16930	14	2013-08-02 16:05:36.647928	2013-08-03 19:58:42.759083
13106	2	2013-08-02 16:05:29.176724	2013-08-04 21:01:19.488571
16927	7	2013-08-02 16:05:36.640174	2013-08-02 16:05:36.640174
16835	21	2013-08-02 16:05:36.399903	2013-08-03 17:25:32.067245
13508	7	2013-08-02 16:05:29.558202	2013-08-03 21:19:19.809056
16812	2	2013-08-02 16:05:36.340422	2013-08-04 01:50:58.895522
9266	7	2013-08-02 16:05:21.913976	2013-08-04 00:07:58.058087
16934	14	2013-08-02 16:05:36.657522	2013-08-02 16:05:36.657522
45586	2	2013-08-02 16:06:40.775199	2013-08-04 21:01:19.501051
13047	2	2013-08-02 16:05:29.109517	2013-08-04 21:01:19.514354
16815	21	2013-08-02 16:05:36.348683	2013-08-03 17:25:32.07092
45678	2	2013-08-02 16:06:40.878761	2013-08-04 21:01:19.528498
16820	7	2013-08-02 16:05:36.361386	2013-08-03 20:02:25.586995
16942	2	2013-08-02 16:05:36.678583	2013-08-02 16:05:36.678583
16944	4	2013-08-02 16:05:36.683996	2013-08-02 16:05:36.683996
42458	2	2013-08-02 16:06:33.885587	2013-08-04 21:01:19.540513
15356	4	2013-08-02 16:05:33.647073	2013-08-04 02:18:43.472949
16947	7	2013-08-02 16:05:36.692261	2013-08-02 16:05:36.692261
9125	2	2013-08-02 16:05:21.537355	2013-08-04 21:01:19.552163
16920	4	2013-08-02 16:05:36.621451	2013-08-03 21:21:38.377095
15376	2	2013-08-02 16:05:33.666041	2013-08-04 02:18:43.475216
16910	4	2013-08-02 16:05:36.59633	2013-08-03 20:03:52.578735
46648	2	2013-08-02 16:06:43.204439	2013-08-04 21:01:19.739439
16954	14	2013-08-02 16:05:36.710697	2013-08-02 16:05:36.710697
15516	7	2013-08-02 16:05:33.79997	2013-08-04 02:18:49.386989
37159	2	2013-08-02 16:06:21.990135	2013-08-04 21:01:19.791403
16817	4	2013-08-02 16:05:36.354015	2013-08-03 02:30:28.176357
8051	7	2013-08-02 16:05:18.931077	2013-08-03 21:45:18.401961
16857	2	2013-08-02 16:05:36.457174	2013-08-03 02:30:28.179297
15536	4	2013-08-02 16:05:33.816718	2013-08-04 02:18:49.397314
15396	21	2013-08-02 16:05:33.688367	2013-08-04 02:18:49.435209
8880	2	2013-08-02 16:05:20.958981	2013-08-04 02:20:49.737645
16932	7	2013-08-02 16:05:36.652778	2013-08-03 18:07:20.30813
1346	21	2013-08-02 16:05:06.372113	2013-08-03 21:51:01.156052
16865	7	2013-08-02 16:05:36.476621	2013-08-03 18:09:35.221813
16885	4	2013-08-02 16:05:36.529585	2013-08-03 18:09:35.226557
16891	14	2013-08-02 16:05:36.545344	2013-08-04 03:00:23.216194
16816	21	2013-08-02 16:05:36.351344	2013-08-04 03:00:37.987459
16853	7	2013-08-02 16:05:36.447095	2013-08-03 18:38:30.842111
14648	4	2013-08-02 16:05:32.339797	2013-08-03 18:38:30.851153
16933	2	2013-08-02 16:05:36.655146	2013-08-03 18:38:30.857457
16913	2	2013-08-02 16:05:36.604292	2013-08-03 18:42:35.130922
16959	2	2013-08-02 16:05:36.723028	2013-08-04 00:19:13.568927
16998	21	2013-08-02 16:05:36.816978	2013-08-03 17:35:03.247228
26568	21	2013-08-02 16:05:57.420299	2013-08-04 19:42:27.224084
17092	21	2013-08-02 16:05:37.058952	2013-08-03 18:47:36.024644
16962	2	2013-08-02 16:05:36.730971	2013-08-02 16:05:36.730971
17077	2	2013-08-02 16:05:37.02271	2013-08-03 17:05:34.508557
16964	4	2013-08-02 16:05:36.736117	2013-08-02 16:05:36.736117
16690	4	2013-08-02 16:05:36.050024	2013-08-04 19:42:27.242613
16986	7	2013-08-02 16:05:36.788579	2013-08-04 17:02:13.840131
16967	7	2013-08-02 16:05:36.743278	2013-08-02 16:05:36.743278
17110	4	2013-08-02 16:05:37.102559	2013-08-03 20:14:12.222161
16979	2	2013-08-02 16:05:36.771893	2013-08-04 00:20:44.869033
17043	2	2013-08-02 16:05:36.935995	2013-08-04 01:15:49.499961
17049	4	2013-08-02 16:05:36.952109	2013-08-04 19:42:27.253921
17037	2	2013-08-02 16:05:36.91998	2013-08-03 20:14:12.22556
16974	14	2013-08-02 16:05:36.759663	2013-08-02 16:05:36.759663
16995	7	2013-08-02 16:05:36.809863	2013-08-03 17:35:05.13189
17017	4	2013-08-02 16:05:36.866358	2013-08-04 17:02:14.453566
17003	4	2013-08-02 16:05:36.829972	2013-08-03 03:06:21.124581
16978	7	2013-08-02 16:05:36.769514	2013-08-03 17:42:02.072405
17001	14	2013-08-02 16:05:36.824648	2013-08-03 18:59:36.68698
17112	4	2013-08-02 16:05:37.107306	2013-08-03 20:21:35.755127
16982	2	2013-08-02 16:05:36.779067	2013-08-02 16:05:36.779067
16958	4	2013-08-02 16:05:36.720402	2013-08-03 17:20:37.461311
16984	4	2013-08-02 16:05:36.783815	2013-08-02 16:05:36.783815
31130	2	2013-08-02 16:06:08.293375	2013-08-04 01:15:49.503632
17015	2	2013-08-02 16:05:36.861362	2013-08-04 01:50:58.782898
16987	7	2013-08-02 16:05:36.79093	2013-08-02 16:05:36.79093
17023	2	2013-08-02 16:05:36.882183	2013-08-03 03:06:21.128114
17035	2	2013-08-02 16:05:36.914458	2013-08-04 01:50:58.794773
17079	2	2013-08-02 16:05:37.027414	2013-08-04 01:50:58.806799
17046	21	2013-08-02 16:05:36.944001	2013-08-03 20:47:30.329801
17100	2	2013-08-02 16:05:37.078355	2013-08-04 01:50:58.818587
16994	14	2013-08-02 16:05:36.807511	2013-08-02 16:05:36.807511
17029	4	2013-08-02 16:05:36.898437	2013-08-04 19:42:27.266919
16993	2	2013-08-02 16:05:36.805167	2013-08-04 17:07:42.237839
17059	2	2013-08-02 16:05:36.978246	2013-08-04 01:50:58.829628
16980	2	2013-08-02 16:05:36.774321	2013-08-03 17:55:10.889029
17009	4	2013-08-02 16:05:36.845987	2013-08-04 19:42:27.277961
17073	14	2013-08-02 16:05:37.013133	2013-08-04 19:47:26.143238
17002	2	2013-08-02 16:05:36.827288	2013-08-02 16:05:36.827288
17039	2	2013-08-02 16:05:36.92536	2013-08-04 01:50:58.840697
17004	4	2013-08-02 16:05:36.832676	2013-08-02 16:05:36.832676
17065	14	2013-08-02 16:05:36.993933	2013-08-04 19:47:26.150237
16957	14	2013-08-02 16:05:36.71792	2013-08-04 19:47:26.157329
17007	7	2013-08-02 16:05:36.84071	2013-08-02 16:05:36.84071
7566	7	2013-08-02 16:05:17.98828	2013-08-04 00:00:22.588859
17109	4	2013-08-02 16:05:37.100131	2013-08-04 19:47:26.173988
39203	2	2013-08-02 16:06:26.780633	2013-08-04 01:50:58.851739
17081	7	2013-08-02 16:05:37.032193	2013-08-03 18:59:36.711827
26728	21	2013-08-02 16:05:57.987356	2013-08-04 17:16:56.38014
17014	14	2013-08-02 16:05:36.858952	2013-08-02 16:05:36.858952
17019	2	2013-08-02 16:05:36.871408	2013-08-04 01:50:58.863396
26708	21	2013-08-02 16:05:57.77884	2013-08-04 17:16:56.381698
17103	2	2013-08-02 16:05:37.085598	2013-08-03 03:09:46.943283
16960	14	2013-08-02 16:05:36.725675	2013-08-03 17:55:11.00832
26720	21	2013-08-02 16:05:57.978347	2013-08-04 17:16:56.383121
17011	2	2013-08-02 16:05:36.851297	2013-08-04 01:50:58.872695
16963	2	2013-08-02 16:05:36.733637	2013-08-03 20:48:43.837819
17022	2	2013-08-02 16:05:36.879443	2013-08-02 16:05:36.879443
17061	21	2013-08-02 16:05:36.983594	2013-08-03 19:12:35.493345
17024	4	2013-08-02 16:05:36.88496	2013-08-02 16:05:36.88496
4444	14	2013-08-02 16:05:12.606862	2013-08-03 19:50:34.165406
26688	2	2013-08-02 16:05:57.725474	2013-08-04 17:16:56.397332
17027	7	2013-08-02 16:05:36.893077	2013-08-02 16:05:36.893077
17083	2	2013-08-02 16:05:37.036982	2013-08-03 03:09:46.954417
16966	14	2013-08-02 16:05:36.740918	2013-08-03 20:48:43.871799
16999	2	2013-08-02 16:05:36.819341	2013-08-04 01:50:58.877773
17031	2	2013-08-02 16:05:36.903646	2013-08-04 01:50:58.885662
17005	2	2013-08-02 16:05:36.835316	2013-08-04 01:55:52.323124
17034	14	2013-08-02 16:05:36.911445	2013-08-02 16:05:36.911445
17020	4	2013-08-02 16:05:36.87394	2013-08-03 17:55:22.354608
26668	2	2013-08-02 16:05:57.680797	2013-08-04 17:16:56.40435
2316	14	2013-08-02 16:05:08.614061	2013-08-03 19:50:34.255977
17025	2	2013-08-02 16:05:36.887613	2013-08-04 01:55:52.328398
26648	2	2013-08-02 16:05:57.628101	2013-08-04 17:16:56.411127
26628	14	2013-08-02 16:05:57.574803	2013-08-04 17:16:56.429483
26608	14	2013-08-02 16:05:57.522068	2013-08-04 17:16:56.436144
17042	2	2013-08-02 16:05:36.933377	2013-08-02 16:05:36.933377
17038	2	2013-08-02 16:05:36.922657	2013-08-03 17:20:37.900763
17044	4	2013-08-02 16:05:36.938669	2013-08-02 16:05:36.938669
17000	2	2013-08-02 16:05:36.822046	2013-08-04 01:55:52.335244
16977	2	2013-08-02 16:05:36.76708	2013-08-04 01:55:52.342584
17047	7	2013-08-02 16:05:36.946712	2013-08-02 16:05:36.946712
17018	2	2013-08-02 16:05:36.868823	2013-08-03 17:20:37.912618
17099	2	2013-08-02 16:05:37.07565	2013-08-04 01:55:52.347799
5683	21	2013-08-02 16:05:14.388615	2013-08-04 02:20:49.789242
15472	21	2013-08-02 16:05:33.763682	2013-08-04 02:20:49.794886
17054	14	2013-08-02 16:05:36.96489	2013-08-02 16:05:36.96489
17060	2	2013-08-02 16:05:36.980936	2013-08-03 17:55:22.362085
26588	14	2013-08-02 16:05:57.470006	2013-08-04 17:16:56.442518
12317	14	2013-08-02 16:05:27.749313	2013-08-04 17:16:56.447953
17089	4	2013-08-02 16:05:37.051756	2013-08-04 19:47:26.183605
5537	2	2013-08-02 16:05:14.098008	2013-08-03 21:17:30.396018
17040	4	2013-08-02 16:05:36.928	2013-08-04 19:47:26.194886
17062	2	2013-08-02 16:05:36.986295	2013-08-02 16:05:36.986295
3075	2	2013-08-02 16:05:09.552972	2013-08-03 19:50:34.377294
17064	4	2013-08-02 16:05:36.99147	2013-08-02 16:05:36.99147
17069	4	2013-08-02 16:05:37.003564	2013-08-04 19:47:26.198741
388	21	2013-08-02 16:05:04.727028	2013-08-04 02:20:50.236898
17067	7	2013-08-02 16:05:36.998772	2013-08-02 16:05:36.998772
16975	21	2013-08-02 16:05:36.762028	2013-08-03 17:25:32.049673
18520	14	2013-08-02 16:05:39.683957	2013-08-03 21:17:30.443621
977	2	2013-08-02 16:05:05.509232	2013-08-04 02:20:50.545765
45123	21	2013-08-02 16:06:39.969818	2013-08-03 19:52:25.433251
45103	21	2013-08-02 16:06:39.950067	2013-08-03 19:52:25.437345
17074	14	2013-08-02 16:05:37.015485	2013-08-02 16:05:37.015485
29637	14	2013-08-02 16:06:04.405278	2013-08-03 19:58:42.463644
5995	2	2013-08-02 16:05:15.158549	2013-08-04 21:01:20.419105
21740	2	2013-08-02 16:05:46.915723	2013-08-04 02:20:50.566212
21705	2	2013-08-02 16:05:46.831498	2013-08-04 02:20:50.570978
17082	2	2013-08-02 16:05:37.034607	2013-08-02 16:05:37.034607
15513	2	2013-08-02 16:05:33.797417	2013-08-04 02:20:50.630141
17084	4	2013-08-02 16:05:37.039333	2013-08-02 16:05:37.039333
16970	14	2013-08-02 16:05:36.750264	2013-08-03 20:02:25.581021
29377	2	2013-08-02 16:06:03.744895	2013-08-04 02:20:50.635173
17087	7	2013-08-02 16:05:37.046868	2013-08-02 16:05:37.046868
25326	4	2013-08-02 16:05:54.650211	2013-08-04 02:20:50.872675
16981	4	2013-08-02 16:05:36.776703	2013-08-04 03:00:23.25146
40180	4	2013-08-02 16:06:28.557876	2013-08-03 21:17:30.603234
17094	14	2013-08-02 16:05:37.063738	2013-08-02 16:05:37.063738
39168	2	2013-08-02 16:06:26.748225	2013-08-04 21:01:20.676539
5878	2	2013-08-02 16:05:14.863698	2013-08-04 21:01:20.681999
11596	4	2013-08-02 16:05:26.020896	2013-08-03 17:59:05.753708
15291	21	2013-08-02 16:05:33.590665	2013-08-03 21:17:30.649103
8448	2	2013-08-02 16:05:19.91959	2013-08-04 21:01:20.687203
5824	21	2013-08-02 16:05:14.725525	2013-08-03 21:17:30.650675
16996	2	2013-08-02 16:05:36.812215	2013-08-04 03:00:23.258849
17102	2	2013-08-02 16:05:37.0832	2013-08-02 16:05:37.0832
8348	2	2013-08-02 16:05:19.642462	2013-08-04 21:01:20.699298
17104	4	2013-08-02 16:05:37.08795	2013-08-02 16:05:37.08795
39161	7	2013-08-02 16:06:26.507112	2013-08-04 21:01:20.809679
17107	7	2013-08-02 16:05:37.095146	2013-08-02 16:05:37.095146
17095	14	2013-08-02 16:05:37.066117	2013-08-03 17:25:59.567914
19088	21	2013-08-02 16:05:41.047286	2013-08-03 21:24:20.785335
17066	21	2013-08-02 16:05:36.996337	2013-08-03 21:24:57.896283
16997	7	2013-08-02 16:05:36.814587	2013-08-03 02:31:16.057438
17093	4	2013-08-02 16:05:37.06136	2013-08-03 21:45:18.405335
17057	4	2013-08-02 16:05:36.972933	2013-08-03 02:31:16.064952
11581	2	2013-08-02 16:05:25.986493	2013-08-03 17:59:05.756963
17026	2	2013-08-02 16:05:36.890369	2013-08-03 21:45:18.408767
11863	2	2013-08-02 16:05:26.640659	2013-08-03 17:59:16.468697
17063	21	2013-08-02 16:05:36.988975	2013-08-03 21:45:38.994967
17105	2	2013-08-02 16:05:37.090344	2013-08-03 18:12:25.052054
17085	2	2013-08-02 16:05:37.04179	2013-08-03 18:12:25.056779
16985	4	2013-08-02 16:05:36.786201	2013-08-03 18:12:25.114278
17053	21	2013-08-02 16:05:36.962198	2013-08-03 18:42:36.842184
24161	21	2013-08-02 16:05:52.651297	2013-08-03 21:49:33.774009
17113	7	2013-08-02 16:05:37.109765	2013-08-03 18:43:49.386721
3618	14	2013-08-02 16:05:10.820362	2013-08-03 21:54:22.275455
17114	14	2013-08-02 16:05:37.112038	2013-08-02 16:05:37.112038
17215	7	2013-08-02 16:05:37.46603	2013-08-03 17:42:02.069068
17133	21	2013-08-02 16:05:37.159003	2013-08-04 19:47:26.01988
17263	7	2013-08-02 16:05:37.5546	2013-08-03 17:05:34.474778
17260	14	2013-08-02 16:05:37.548032	2013-08-03 17:57:12.650384
17269	2	2013-08-02 16:05:37.567589	2013-08-04 19:47:26.031405
17193	2	2013-08-02 16:05:37.315598	2013-08-03 18:47:35.165587
17186	21	2013-08-02 16:05:37.296533	2013-08-03 22:04:21.518141
17122	2	2013-08-02 16:05:37.132253	2013-08-02 16:05:37.132253
17240	4	2013-08-02 16:05:37.505854	2013-08-03 17:57:12.670476
17124	4	2013-08-02 16:05:37.137427	2013-08-02 16:05:37.137427
17249	2	2013-08-02 16:05:37.524061	2013-08-04 19:47:26.035838
31390	2	2013-08-02 16:06:08.811365	2013-08-04 01:15:49.494923
17127	7	2013-08-02 16:05:37.144678	2013-08-02 16:05:37.144678
17243	7	2013-08-02 16:05:37.511839	2013-08-03 17:05:34.478849
17219	2	2013-08-02 16:05:37.470155	2013-08-04 01:55:52.20165
45063	2	2013-08-02 16:06:39.913318	2013-08-04 01:55:52.21378
17253	21	2013-08-02 16:05:37.532772	2013-08-03 18:47:36.90749
17229	2	2013-08-02 16:05:37.483301	2013-08-04 19:47:26.04015
17134	14	2013-08-02 16:05:37.161375	2013-08-02 16:05:37.161375
17220	4	2013-08-02 16:05:37.471297	2013-08-03 17:57:12.675989
17209	2	2013-08-02 16:05:37.459541	2013-08-04 19:47:26.044269
17223	7	2013-08-02 16:05:37.474889	2013-08-03 17:05:34.482752
17200	4	2013-08-02 16:05:37.450311	2013-08-03 17:57:12.685088
17165	2	2013-08-02 16:05:37.241258	2013-08-04 19:47:26.049045
17189	2	2013-08-02 16:05:37.304743	2013-08-04 19:47:26.115282
17199	2	2013-08-02 16:05:37.449049	2013-08-04 01:55:52.226041
17142	2	2013-08-02 16:05:37.180407	2013-08-02 16:05:37.180407
5210	21	2013-08-02 16:05:13.488416	2013-08-03 18:52:33.449807
17144	4	2013-08-02 16:05:37.185178	2013-08-02 16:05:37.185178
17125	21	2013-08-02 16:05:37.139852	2013-08-03 18:52:33.453754
34758	7	2013-08-02 16:06:16.483008	2013-08-03 23:06:34.204945
17147	7	2013-08-02 16:05:37.193077	2013-08-02 16:05:37.193077
17203	7	2013-08-02 16:05:37.453634	2013-08-03 17:05:34.486855
17211	2	2013-08-02 16:05:37.461896	2013-08-04 01:55:52.238819
17179	2	2013-08-02 16:05:37.277935	2013-08-04 01:55:52.250183
31137	2	2013-08-02 16:06:08.301581	2013-08-04 01:55:52.261528
17141	2	2013-08-02 16:05:37.17806	2013-08-03 18:59:36.729441
17154	14	2013-08-02 16:05:37.211733	2013-08-02 16:05:37.211733
17233	14	2013-08-02 16:05:37.491424	2013-08-03 19:02:35.109584
17169	14	2013-08-02 16:05:37.251765	2013-08-04 19:47:26.12591
17183	7	2013-08-02 16:05:37.288759	2013-08-03 17:05:34.490946
34801	4	2013-08-02 16:06:16.802253	2013-08-03 23:06:34.214932
17149	14	2013-08-02 16:05:37.198548	2013-08-04 19:47:26.131203
17250	21	2013-08-02 16:05:37.526236	2013-08-03 20:22:31.118155
17230	21	2013-08-02 16:05:37.485109	2013-08-03 20:22:31.11996
17162	2	2013-08-02 16:05:37.233341	2013-08-02 16:05:37.233341
17129	14	2013-08-02 16:05:37.149476	2013-08-04 19:47:26.136987
17164	4	2013-08-02 16:05:37.238579	2013-08-02 16:05:37.238579
17185	4	2013-08-02 16:05:37.294033	2013-08-04 19:52:27.075139
8249	21	2013-08-02 16:05:19.395038	2013-08-04 17:02:14.258328
17167	7	2013-08-02 16:05:37.246606	2013-08-02 16:05:37.246606
17163	7	2013-08-02 16:05:37.236027	2013-08-03 17:05:34.494829
17261	2	2013-08-02 16:05:37.55026	2013-08-04 01:55:52.273559
17120	2	2013-08-02 16:05:37.1269	2013-08-04 01:55:52.284894
17178	21	2013-08-02 16:05:37.275311	2013-08-03 20:22:31.121469
17221	2	2013-08-02 16:05:37.472405	2013-08-03 19:02:35.238114
17174	14	2013-08-02 16:05:37.265002	2013-08-02 16:05:37.265002
17159	2	2013-08-02 16:05:37.225028	2013-08-04 01:55:52.297929
17195	4	2013-08-02 16:05:37.43926	2013-08-04 19:52:27.086846
17143	7	2013-08-02 16:05:37.182791	2013-08-03 17:05:34.49816
17139	2	2013-08-02 16:05:37.173301	2013-08-04 01:55:52.309623
17236	21	2013-08-02 16:05:37.49746	2013-08-04 17:02:14.261027
17119	2	2013-08-02 16:05:37.124263	2013-08-04 01:55:52.31741
17151	4	2013-08-02 16:05:37.203638	2013-08-03 23:58:58.514315
17182	2	2013-08-02 16:05:37.286042	2013-08-02 16:05:37.286042
1502	2	2013-08-02 16:05:06.743709	2013-08-04 02:00:48.371273
17184	4	2013-08-02 16:05:37.291283	2013-08-02 16:05:37.291283
17259	2	2013-08-02 16:05:37.545788	2013-08-04 02:00:48.382314
17256	7	2013-08-02 16:05:37.539275	2013-08-04 17:02:27.605017
17187	7	2013-08-02 16:05:37.299284	2013-08-02 16:05:37.299284
17258	14	2013-08-02 16:05:37.543637	2013-08-03 17:20:37.708899
17239	2	2013-08-02 16:05:37.503832	2013-08-04 02:00:48.393143
17131	2	2013-08-02 16:05:37.154236	2013-08-04 02:00:48.404041
17241	2	2013-08-02 16:05:37.507847	2013-08-03 19:02:35.469902
17117	4	2013-08-02 16:05:37.119277	2013-08-03 19:05:36.729333
17194	14	2013-08-02 16:05:37.318309	2013-08-02 16:05:37.318309
5309	7	2013-08-02 16:05:13.606177	2013-08-03 17:59:16.607901
8457	7	2013-08-02 16:05:19.933757	2013-08-04 21:01:20.823809
17238	7	2013-08-02 16:05:37.501757	2013-08-03 17:20:37.729536
13020	7	2013-08-02 16:05:29.077009	2013-08-04 21:01:20.837233
17216	2	2013-08-02 16:05:37.4669	2013-08-04 17:07:42.545605
45083	21	2013-08-02 16:06:39.932146	2013-08-03 19:52:25.440161
25306	4	2013-08-02 16:05:54.609772	2013-08-04 02:20:50.875997
17202	2	2013-08-02 16:05:37.452595	2013-08-02 16:05:37.452595
23555	7	2013-08-02 16:05:51.515284	2013-08-04 21:01:20.850546
17204	4	2013-08-02 16:05:37.454656	2013-08-02 16:05:37.454656
25286	4	2013-08-02 16:05:54.577467	2013-08-04 02:20:50.878963
17207	7	2013-08-02 16:05:37.457475	2013-08-02 16:05:37.457475
17218	7	2013-08-02 16:05:37.469047	2013-08-03 17:20:37.741167
23769	7	2013-08-02 16:05:52.049733	2013-08-04 21:01:20.863725
25310	4	2013-08-02 16:05:54.617058	2013-08-04 02:20:50.881978
13150	7	2013-08-02 16:05:29.227301	2013-08-04 21:01:20.877171
21731	4	2013-08-02 16:05:46.894334	2013-08-04 02:20:50.914103
17214	14	2013-08-02 16:05:37.465126	2013-08-02 16:05:37.465126
5336	4	2013-08-02 16:05:13.65829	2013-08-03 17:59:16.610398
13175	7	2013-08-02 16:05:29.254431	2013-08-04 21:01:20.890838
17251	14	2013-08-02 16:05:37.52842	2013-08-04 00:04:13.849276
44983	4	2013-08-02 16:06:39.548103	2013-08-03 19:52:25.493559
13067	7	2013-08-02 16:05:29.132941	2013-08-04 21:01:20.90468
13126	7	2013-08-02 16:05:29.199836	2013-08-04 21:01:20.918753
17175	7	2013-08-02 16:05:37.267674	2013-08-04 00:04:14.134494
17222	2	2013-08-02 16:05:37.473667	2013-08-02 16:05:37.473667
17257	4	2013-08-02 16:05:37.541469	2013-08-03 20:42:31.182505
17224	4	2013-08-02 16:05:37.476108	2013-08-02 16:05:37.476108
17231	4	2013-08-02 16:05:37.487813	2013-08-04 00:07:58.060667
21701	4	2013-08-02 16:05:46.821794	2013-08-04 02:20:50.919153
17227	7	2013-08-02 16:05:37.480296	2013-08-02 16:05:37.480296
17191	21	2013-08-02 16:05:37.310148	2013-08-04 00:07:58.24031
25506	2	2013-08-02 16:05:55.05201	2013-08-04 02:20:51.098113
25486	2	2013-08-02 16:05:54.998893	2013-08-04 02:20:51.106815
17181	21	2013-08-02 16:05:37.283322	2013-08-03 20:52:35.676236
25466	2	2013-08-02 16:05:54.945979	2013-08-04 02:20:51.117307
17234	14	2013-08-02 16:05:37.493282	2013-08-02 16:05:37.493282
17172	21	2013-08-02 16:05:37.259629	2013-08-03 18:07:20.167217
8477	7	2013-08-02 16:05:19.986825	2013-08-04 21:01:20.932255
17158	4	2013-08-02 16:05:37.222505	2013-08-03 17:20:37.79506
17192	14	2013-08-02 16:05:37.312902	2013-08-03 18:09:35.414735
46628	7	2013-08-02 16:06:43.153457	2013-08-04 21:01:20.945581
4472	2	2013-08-02 16:05:12.644045	2013-08-03 19:52:25.574821
15028	2	2013-08-02 16:05:33.268394	2013-08-04 02:20:51.128148
17242	2	2013-08-02 16:05:37.509863	2013-08-02 16:05:37.509863
25446	2	2013-08-02 16:05:54.892804	2013-08-04 02:20:51.139064
17244	4	2013-08-02 16:05:37.513872	2013-08-02 16:05:37.513872
11752	4	2013-08-02 16:05:26.352239	2013-08-04 02:20:51.267159
1867	4	2013-08-02 16:05:07.672647	2013-08-04 02:20:51.271791
17247	7	2013-08-02 16:05:37.520048	2013-08-02 16:05:37.520048
17138	4	2013-08-02 16:05:37.170913	2013-08-03 17:20:37.80638
9313	4	2013-08-02 16:05:22.042677	2013-08-04 02:20:51.276296
1860	4	2013-08-02 16:05:07.622609	2013-08-04 02:20:51.282361
5730	4	2013-08-02 16:05:14.500132	2013-08-04 02:20:51.286739
17254	14	2013-08-02 16:05:37.534921	2013-08-02 16:05:37.534921
17180	21	2013-08-02 16:05:37.280662	2013-08-03 18:12:24.975721
5329	14	2013-08-02 16:05:13.647793	2013-08-03 20:56:06.072087
17262	2	2013-08-02 16:05:37.552403	2013-08-02 16:05:37.552403
17264	4	2013-08-02 16:05:37.556769	2013-08-02 16:05:37.556769
17267	7	2013-08-02 16:05:37.563276	2013-08-02 16:05:37.563276
17217	14	2013-08-02 16:05:37.467946	2013-08-03 02:32:09.230427
17157	2	2013-08-02 16:05:37.219819	2013-08-03 02:32:09.296428
17137	7	2013-08-02 16:05:37.168532	2013-08-03 02:32:09.306907
17235	7	2013-08-02 16:05:37.4954	2013-08-03 17:25:59.575193
17266	4	2013-08-02 16:05:37.56113	2013-08-03 20:59:19.310825
17205	7	2013-08-02 16:05:37.455674	2013-08-03 18:15:00.864707
17126	7	2013-08-02 16:05:37.142276	2013-08-03 20:59:19.326525
17173	4	2013-08-02 16:05:37.262316	2013-08-03 18:43:49.389704
17226	2	2013-08-02 16:05:37.478765	2013-08-03 20:59:19.92698
17213	2	2013-08-02 16:05:37.464112	2013-08-03 18:43:49.391433
30098	21	2013-08-02 16:06:05.601898	2013-08-03 21:17:30.652178
19008	21	2013-08-02 16:05:40.863043	2013-08-03 21:17:30.653701
1522	14	2013-08-02 16:05:06.79561	2013-08-03 21:17:42.659282
17197	14	2013-08-02 16:05:37.446774	2013-08-03 21:45:56.911811
17270	14	2013-08-02 16:05:37.569783	2013-08-03 21:54:22.265322
17415	21	2013-08-02 16:05:37.912037	2013-08-04 19:52:26.915496
17381	21	2013-08-02 16:05:37.827337	2013-08-03 19:02:35.062328
17413	21	2013-08-02 16:05:37.906736	2013-08-03 22:04:21.504312
17274	14	2013-08-02 16:05:37.578694	2013-08-02 16:05:37.578694
17380	21	2013-08-02 16:05:37.824965	2013-08-03 17:57:12.593689
17409	21	2013-08-02 16:05:37.896649	2013-08-04 19:52:26.919189
17335	21	2013-08-02 16:05:37.71604	2013-08-03 22:04:21.507909
17376	4	2013-08-02 16:05:37.81529	2013-08-04 17:10:05.522185
17361	21	2013-08-02 16:05:37.779497	2013-08-03 19:02:35.063682
7544	2	2013-08-02 16:05:17.967436	2013-08-04 01:00:53.491358
17282	2	2013-08-02 16:05:37.596157	2013-08-02 16:05:37.596157
17360	21	2013-08-02 16:05:37.777129	2013-08-03 22:04:21.511217
17284	4	2013-08-02 16:05:37.600662	2013-08-02 16:05:37.600662
17341	21	2013-08-02 16:05:37.730926	2013-08-03 19:02:35.065391
17410	21	2013-08-02 16:05:37.899137	2013-08-03 22:04:21.514345
17287	7	2013-08-02 16:05:37.607186	2013-08-02 16:05:37.607186
17323	21	2013-08-02 16:05:37.686548	2013-08-03 17:05:34.461735
17419	2	2013-08-02 16:05:37.924009	2013-08-04 02:00:48.22322
17399	2	2013-08-02 16:05:37.870738	2013-08-04 02:00:48.227082
7776	21	2013-08-02 16:05:18.284643	2013-08-03 19:02:35.066904
34841	2	2013-08-02 16:06:16.867317	2013-08-03 23:06:34.221789
17294	14	2013-08-02 16:05:37.622676	2013-08-02 16:05:37.622676
17355	2	2013-08-02 16:05:37.765142	2013-08-04 02:00:48.23364
17389	7	2013-08-02 16:05:37.846782	2013-08-04 19:52:26.939524
17303	7	2013-08-02 16:05:37.642764	2013-08-03 17:05:34.467871
17300	14	2013-08-02 16:05:37.636206	2013-08-03 17:57:12.637432
17331	7	2013-08-02 16:05:37.705949	2013-08-04 19:52:26.951291
17321	21	2013-08-02 16:05:37.682044	2013-08-03 19:02:35.069315
17378	7	2013-08-02 16:05:37.820162	2013-08-03 20:27:31.895463
17302	2	2013-08-02 16:05:37.640595	2013-08-02 16:05:37.640595
17280	14	2013-08-02 16:05:37.591691	2013-08-03 17:57:12.642875
17304	4	2013-08-02 16:05:37.644962	2013-08-02 16:05:37.644962
17369	7	2013-08-02 16:05:37.798513	2013-08-04 19:52:26.963224
17379	2	2013-08-02 16:05:37.822548	2013-08-04 02:00:48.241093
17307	7	2013-08-02 16:05:37.65144	2013-08-02 16:05:37.65144
17283	7	2013-08-02 16:05:37.598431	2013-08-03 17:05:34.471098
17275	2	2013-08-02 16:05:37.580866	2013-08-04 17:10:05.526097
17418	2	2013-08-02 16:05:37.921271	2013-08-04 02:00:48.249099
11525	7	2013-08-02 16:05:25.838726	2013-08-04 19:52:26.974529
17314	14	2013-08-02 16:05:37.666678	2013-08-02 16:05:37.666678
17349	14	2013-08-02 16:05:37.750713	2013-08-04 19:52:26.997199
17329	14	2013-08-02 16:05:37.701082	2013-08-04 19:52:27.008673
17281	14	2013-08-02 16:05:37.593879	2013-08-04 19:52:27.019475
17398	7	2013-08-02 16:05:37.868355	2013-08-03 20:27:31.907416
17416	21	2013-08-02 16:05:37.914605	2013-08-04 17:11:51.249804
17421	14	2013-08-02 16:05:37.929428	2013-08-03 19:05:13.50599
16255	2	2013-08-02 16:05:34.963478	2013-08-04 02:00:48.259225
17322	2	2013-08-02 16:05:37.68419	2013-08-02 16:05:37.68419
7796	2	2013-08-02 16:05:18.321237	2013-08-03 17:59:16.61394
17324	4	2013-08-02 16:05:37.689003	2013-08-02 16:05:37.689003
17356	21	2013-08-02 16:05:37.767529	2013-08-04 17:11:51.46347
17359	2	2013-08-02 16:05:37.774672	2013-08-04 02:00:48.270312
17327	7	2013-08-02 16:05:37.69591	2013-08-02 16:05:37.69591
17363	14	2013-08-02 16:05:37.784306	2013-08-03 17:07:50.878284
8504	7	2013-08-02 16:05:20.053516	2013-08-04 21:01:20.958617
17305	2	2013-08-02 16:05:37.647112	2013-08-04 02:00:48.281502
17339	2	2013-08-02 16:05:37.726132	2013-08-04 02:00:48.293276
31050	2	2013-08-02 16:06:07.909906	2013-08-04 02:00:48.304285
17334	14	2013-08-02 16:05:37.713444	2013-08-02 16:05:37.713444
17340	7	2013-08-02 16:05:37.728504	2013-08-03 20:56:06.160098
12997	7	2013-08-02 16:05:29.0549	2013-08-04 21:01:20.97216
17319	2	2013-08-02 16:05:37.677637	2013-08-04 02:00:48.315394
13087	7	2013-08-02 16:05:29.150794	2013-08-04 21:01:20.985986
17396	14	2013-08-02 16:05:37.863621	2013-08-04 17:11:53.241204
13173	7	2013-08-02 16:05:29.252579	2013-08-04 21:01:21.000033
17400	2	2013-08-02 16:05:37.87366	2013-08-04 02:00:48.326477
17342	2	2013-08-02 16:05:37.733704	2013-08-02 16:05:37.733704
17406	2	2013-08-02 16:05:37.888755	2013-08-04 02:05:55.575379
17344	4	2013-08-02 16:05:37.738666	2013-08-02 16:05:37.738666
45503	14	2013-08-02 16:06:40.671794	2013-08-03 19:52:25.606796
17405	2	2013-08-02 16:05:37.885897	2013-08-04 02:05:55.579763
17347	7	2013-08-02 16:05:37.745878	2013-08-02 16:05:37.745878
45483	14	2013-08-02 16:06:40.647688	2013-08-03 19:52:25.610749
7564	21	2013-08-02 16:05:17.986503	2013-08-03 23:19:40.133969
14888	4	2013-08-02 16:05:32.838677	2013-08-04 02:20:51.291594
45463	14	2013-08-02 16:06:40.628621	2013-08-03 19:52:25.614157
17271	4	2013-08-02 16:05:37.571973	2013-08-03 23:59:11.202745
17354	14	2013-08-02 16:05:37.762694	2013-08-02 16:05:37.762694
1847	4	2013-08-02 16:05:07.585872	2013-08-04 02:20:51.295351
13107	7	2013-08-02 16:05:29.177588	2013-08-04 21:01:21.011819
49655	4	2013-08-02 16:06:49.758084	2013-08-04 02:20:51.299995
17315	14	2013-08-02 16:05:37.668886	2013-08-04 17:14:03.001811
45443	14	2013-08-02 16:06:40.605545	2013-08-03 19:52:25.620011
17320	4	2013-08-02 16:05:37.679837	2013-08-03 20:56:06.164891
17362	2	2013-08-02 16:05:37.781905	2013-08-02 16:05:37.781905
17291	2	2013-08-02 16:05:37.615998	2013-08-03 23:59:11.207882
17364	4	2013-08-02 16:05:37.786585	2013-08-02 16:05:37.786585
45423	14	2013-08-02 16:06:40.579609	2013-08-03 19:52:25.623969
3224	4	2013-08-02 16:05:09.855805	2013-08-04 02:20:51.308122
17367	7	2013-08-02 16:05:37.793749	2013-08-02 16:05:37.793749
17338	21	2013-08-02 16:05:37.723711	2013-08-03 17:20:37.670039
236	4	2013-08-02 16:05:04.552724	2013-08-04 02:20:51.658513
263	4	2013-08-02 16:05:04.578293	2013-08-04 02:20:51.664799
45403	14	2013-08-02 16:06:40.532728	2013-08-03 19:52:25.627612
17375	21	2013-08-02 16:05:37.812916	2013-08-04 17:14:14.955469
17374	14	2013-08-02 16:05:37.810479	2013-08-02 16:05:37.810479
21671	4	2013-08-02 16:05:46.747711	2013-08-04 02:20:51.679085
13851	7	2013-08-02 16:05:30.361148	2013-08-04 21:01:21.016314
17318	21	2013-08-02 16:05:37.675378	2013-08-03 17:20:37.674405
13127	7	2013-08-02 16:05:29.200733	2013-08-04 21:01:21.027142
8524	2	2013-08-02 16:05:20.101594	2013-08-04 21:01:21.301065
45383	14	2013-08-02 16:06:40.477565	2013-08-03 19:52:25.631187
17382	2	2013-08-02 16:05:37.829733	2013-08-02 16:05:37.829733
21691	4	2013-08-02 16:05:46.79762	2013-08-04 02:20:51.687084
17384	4	2013-08-02 16:05:37.834696	2013-08-02 16:05:37.834696
45363	14	2013-08-02 16:06:40.419888	2013-08-03 19:52:25.638093
8481	2	2013-08-02 16:05:19.997594	2013-08-04 21:01:21.310634
17387	7	2013-08-02 16:05:37.841958	2013-08-02 16:05:37.841958
17298	21	2013-08-02 16:05:37.631385	2013-08-03 17:20:37.677998
495	2	2013-08-02 16:05:04.892238	2013-08-04 02:20:51.900867
21891	4	2013-08-02 16:05:47.280906	2013-08-04 02:20:52.034191
17326	2	2013-08-02 16:05:37.693548	2013-08-03 20:56:06.171577
8501	2	2013-08-02 16:05:20.046439	2013-08-04 21:01:21.319997
17394	14	2013-08-02 16:05:37.858764	2013-08-02 16:05:37.858764
17372	4	2013-08-02 16:05:37.805707	2013-08-03 18:12:26.629612
8521	2	2013-08-02 16:05:20.093924	2013-08-04 21:01:21.332482
17278	14	2013-08-02 16:05:37.587358	2013-08-03 17:20:37.697843
17285	2	2013-08-02 16:05:37.602842	2013-08-03 18:15:00.879553
8561	2	2013-08-02 16:05:20.194395	2013-08-04 21:01:21.347586
17351	2	2013-08-02 16:05:37.755512	2013-08-04 00:07:58.062471
21871	4	2013-08-02 16:05:47.233708	2013-08-04 02:20:52.098816
17402	2	2013-08-02 16:05:37.878651	2013-08-02 16:05:37.878651
36063	4	2013-08-02 16:06:19.822514	2013-08-04 02:20:52.110276
17404	4	2013-08-02 16:05:37.883453	2013-08-02 16:05:37.883453
21851	4	2013-08-02 16:05:47.186422	2013-08-04 02:20:52.121733
83	2	2013-08-02 16:05:04.393231	2013-08-04 02:20:52.170135
17407	7	2013-08-02 16:05:37.89131	2013-08-02 16:05:37.89131
194	2	2013-08-02 16:05:04.513566	2013-08-04 02:20:52.181321
17414	14	2013-08-02 16:05:37.909435	2013-08-02 16:05:37.909435
17422	2	2013-08-02 16:05:37.932096	2013-08-02 16:05:37.932096
17424	4	2013-08-02 16:05:37.937499	2013-08-02 16:05:37.937499
17306	4	2013-08-02 16:05:37.649286	2013-08-03 20:59:18.489566
17427	7	2013-08-02 16:05:37.94556	2013-08-02 16:05:37.94556
17417	21	2013-08-02 16:05:37.917818	2013-08-03 02:32:09.160526
17397	21	2013-08-02 16:05:37.865996	2013-08-03 02:32:09.164122
17377	21	2013-08-02 16:05:37.817741	2013-08-03 02:32:09.167027
17357	21	2013-08-02 16:05:37.769889	2013-08-03 02:32:09.168878
17337	21	2013-08-02 16:05:37.721267	2013-08-03 02:32:09.171603
17317	21	2013-08-02 16:05:37.673223	2013-08-03 02:32:09.175155
17358	2	2013-08-02 16:05:37.772297	2013-08-03 17:25:32.496206
17295	4	2013-08-02 16:05:37.624877	2013-08-03 17:25:59.580476
17385	2	2013-08-02 16:05:37.837159	2013-08-03 18:17:17.151574
17343	2	2013-08-02 16:05:37.736235	2013-08-03 17:25:59.586581
17395	14	2013-08-02 16:05:37.861193	2013-08-03 17:26:19.382753
17345	4	2013-08-02 16:05:37.741083	2013-08-03 18:17:17.196079
17386	7	2013-08-02 16:05:37.839551	2013-08-03 20:59:18.878394
17392	7	2013-08-02 16:05:37.853993	2013-08-03 20:59:18.884334
17273	4	2013-08-02 16:05:37.576433	2013-08-03 21:45:56.922237
17313	2	2013-08-02 16:05:37.664517	2013-08-03 21:45:56.927017
17353	2	2013-08-02 16:05:37.760287	2013-08-03 21:49:33.623325
17293	21	2013-08-02 16:05:37.620367	2013-08-03 21:51:01.157975
17346	14	2013-08-02 16:05:37.743462	2013-08-03 21:54:22.245241
17286	14	2013-08-02 16:05:37.605027	2013-08-03 21:54:22.25539
17553	21	2013-08-02 16:05:38.244926	2013-08-03 22:04:21.500551
17466	21	2013-08-02 16:05:38.045598	2013-08-03 22:04:21.502405
17453	2	2013-08-02 16:05:38.011954	2013-08-04 17:16:52.852411
31330	14	2013-08-02 16:06:08.682056	2013-08-03 23:06:34.359085
17434	14	2013-08-02 16:05:37.962919	2013-08-02 16:05:37.962919
17515	7	2013-08-02 16:05:38.177098	2013-08-03 17:42:02.065717
17429	21	2013-08-02 16:05:37.950802	2013-08-04 19:52:26.911418
17517	7	2013-08-02 16:05:38.1824	2013-08-03 02:36:28.309796
17493	2	2013-08-02 16:05:38.117801	2013-08-04 17:16:52.857641
17568	2	2013-08-02 16:05:38.276173	2013-08-04 02:05:55.443563
17442	2	2013-08-02 16:05:37.983648	2013-08-02 16:05:37.983648
17444	4	2013-08-02 16:05:37.988821	2013-08-02 16:05:37.988821
17579	2	2013-08-02 16:05:38.305121	2013-08-04 02:05:55.451647
31150	14	2013-08-02 16:06:08.318254	2013-08-03 23:06:34.432363
17447	7	2013-08-02 16:05:37.996046	2013-08-02 16:05:37.996046
17478	2	2013-08-02 16:05:38.077119	2013-08-04 02:05:55.460959
17559	2	2013-08-02 16:05:38.253084	2013-08-04 02:05:55.471992
17539	2	2013-08-02 16:05:38.223229	2013-08-04 02:05:55.483291
17521	7	2013-08-02 16:05:38.193126	2013-08-03 19:05:13.516036
4841	14	2013-08-02 16:05:13.046233	2013-08-03 23:06:47.752333
17454	14	2013-08-02 16:05:38.014426	2013-08-02 16:05:38.014426
17480	14	2013-08-02 16:05:38.082516	2013-08-03 17:58:45.509012
17519	2	2013-08-02 16:05:38.18773	2013-08-04 02:05:55.494453
17513	2	2013-08-02 16:05:38.171676	2013-08-04 17:16:52.865831
32421	14	2013-08-02 16:06:11.336203	2013-08-03 23:15:56.745658
17431	7	2013-08-02 16:05:37.955648	2013-08-03 23:59:22.52654
17462	2	2013-08-02 16:05:38.035704	2013-08-02 16:05:38.035704
17581	4	2013-08-02 16:05:38.310393	2013-08-03 19:05:13.521259
17464	4	2013-08-02 16:05:38.040716	2013-08-02 16:05:38.040716
17455	2	2013-08-02 16:05:38.017039	2013-08-04 02:05:55.505356
17551	2	2013-08-02 16:05:38.243318	2013-08-04 02:05:55.51609
17467	7	2013-08-02 16:05:38.047973	2013-08-02 16:05:38.047973
17497	21	2013-08-02 16:05:38.128529	2013-08-03 02:37:18.433875
17451	2	2013-08-02 16:05:38.006672	2013-08-04 00:00:22.566402
17499	2	2013-08-02 16:05:38.13389	2013-08-04 02:05:55.527558
17446	2	2013-08-02 16:05:37.99367	2013-08-04 17:16:52.877066
17479	2	2013-08-02 16:05:38.079836	2013-08-04 02:05:55.539098
17474	14	2013-08-02 16:05:38.066488	2013-08-02 16:05:38.066488
11736	2	2013-08-02 16:05:26.31381	2013-08-04 02:05:55.553079
17469	14	2013-08-02 16:05:38.05333	2013-08-04 19:54:26.433897
17506	2	2013-08-02 16:05:38.153052	2013-08-04 17:16:52.888734
17500	2	2013-08-02 16:05:38.137086	2013-08-04 02:10:51.866887
11916	14	2013-08-02 16:05:26.771668	2013-08-04 00:03:54.877453
17482	2	2013-08-02 16:05:38.087852	2013-08-02 16:05:38.087852
17484	4	2013-08-02 16:05:38.09323	2013-08-02 16:05:38.09323
17561	4	2013-08-02 16:05:38.257986	2013-08-03 19:07:34.397802
17473	2	2013-08-02 16:05:38.063809	2013-08-04 02:10:51.877424
17487	7	2013-08-02 16:05:38.1016	2013-08-02 16:05:38.1016
17501	21	2013-08-02 16:05:38.139726	2013-08-03 19:22:37.852849
17458	2	2013-08-02 16:05:38.025006	2013-08-04 02:10:51.887512
26493	2	2013-08-02 16:05:57.228827	2013-08-04 02:20:52.312748
45343	14	2013-08-02 16:06:40.364808	2013-08-03 19:52:25.645532
26473	2	2013-08-02 16:05:57.176772	2013-08-04 02:20:52.320722
17494	14	2013-08-02 16:05:38.120451	2013-08-02 16:05:38.120451
2410	7	2013-08-02 16:05:08.719943	2013-08-03 17:59:16.63906
17503	7	2013-08-02 16:05:38.145089	2013-08-03 17:07:50.897909
45323	14	2013-08-02 16:06:40.305171	2013-08-03 19:52:25.657982
26453	2	2013-08-02 16:05:57.12392	2013-08-04 02:20:52.328676
17502	2	2013-08-02 16:05:38.142426	2013-08-02 16:05:38.142426
45303	14	2013-08-02 16:06:40.247545	2013-08-03 19:52:25.665771
17504	4	2013-08-02 16:05:38.147715	2013-08-02 16:05:38.147715
45283	14	2013-08-02 16:06:40.193064	2013-08-03 19:52:25.672616
17571	7	2013-08-02 16:05:38.283982	2013-08-04 00:05:40.891218
17507	7	2013-08-02 16:05:38.155702	2013-08-02 16:05:38.155702
26433	2	2013-08-02 16:05:57.070989	2013-08-04 02:20:52.336224
45263	14	2013-08-02 16:06:40.136791	2013-08-03 19:52:25.682951
37401	2	2013-08-02 16:06:22.431456	2013-08-04 02:20:52.343596
17514	14	2013-08-02 16:05:38.174356	2013-08-02 16:05:38.174356
45243	14	2013-08-02 16:06:40.104023	2013-08-03 19:52:25.693958
17549	7	2013-08-02 16:05:38.241677	2013-08-04 19:54:26.454189
17483	4	2013-08-02 16:05:38.09054	2013-08-03 17:10:33.169254
26413	2	2013-08-02 16:05:57.019637	2013-08-04 02:20:52.356016
45223	14	2013-08-02 16:06:40.079614	2013-08-03 19:52:25.704734
17526	21	2013-08-02 16:05:38.206401	2013-08-03 20:59:18.758456
17522	2	2013-08-02 16:05:38.19575	2013-08-02 16:05:38.19575
16392	7	2013-08-02 16:05:35.250731	2013-08-03 17:59:16.680363
17524	4	2013-08-02 16:05:38.200989	2013-08-02 16:05:38.200989
45203	14	2013-08-02 16:06:40.057061	2013-08-03 19:52:25.714254
17527	7	2013-08-02 16:05:38.208873	2013-08-02 16:05:38.208873
17578	21	2013-08-02 16:05:38.302526	2013-08-03 17:25:32.330951
21721	2	2013-08-02 16:05:46.870386	2013-08-04 02:20:52.382194
21711	2	2013-08-02 16:05:46.845948	2013-08-04 02:20:52.390756
45183	14	2013-08-02 16:06:40.035813	2013-08-03 19:52:25.721602
103	2	2013-08-02 16:05:04.412246	2013-08-04 02:20:52.39788
17534	14	2013-08-02 16:05:38.216554	2013-08-02 16:05:38.216554
36837	4	2013-08-02 16:06:21.421913	2013-08-04 02:20:52.732782
17580	21	2013-08-02 16:05:38.307748	2013-08-04 19:54:38.620134
17558	21	2013-08-02 16:05:38.250989	2013-08-03 17:25:32.335316
45163	14	2013-08-02 16:06:40.016797	2013-08-03 19:52:25.729515
36817	4	2013-08-02 16:06:21.404873	2013-08-04 02:20:52.743664
36797	4	2013-08-02 16:06:21.387361	2013-08-04 02:20:52.754622
17542	2	2013-08-02 16:05:38.227847	2013-08-02 16:05:38.227847
36777	4	2013-08-02 16:06:21.368945	2013-08-04 02:20:52.765551
17544	4	2013-08-02 16:05:38.232196	2013-08-02 16:05:38.232196
17569	2	2013-08-02 16:05:38.278797	2013-08-04 19:57:26.13725
36832	4	2013-08-02 16:06:21.418112	2013-08-04 02:20:52.776646
17547	7	2013-08-02 16:05:38.237836	2013-08-02 16:05:38.237836
17538	21	2013-08-02 16:05:38.221268	2013-08-03 17:25:32.339077
17509	21	2013-08-02 16:05:38.161058	2013-08-04 19:57:26.51717
17463	2	2013-08-02 16:05:38.03822	2013-08-04 19:57:27.680435
17489	4	2013-08-02 16:05:38.10696	2013-08-04 19:57:28.607561
17449	4	2013-08-02 16:05:38.001398	2013-08-04 19:57:29.00257
17554	14	2013-08-02 16:05:38.246025	2013-08-02 16:05:38.246025
17481	2	2013-08-02 16:05:38.085202	2013-08-04 19:57:29.104096
17441	7	2013-08-02 16:05:37.980971	2013-08-04 19:57:29.264727
17518	14	2013-08-02 16:05:38.185091	2013-08-03 17:25:32.359264
17438	21	2013-08-02 16:05:37.973154	2013-08-03 18:12:26.497664
8601	2	2013-08-02 16:05:20.293675	2013-08-04 21:01:21.36262
8523	2	2013-08-02 16:05:20.098921	2013-08-04 21:01:21.377426
8618	2	2013-08-02 16:05:20.321164	2013-08-04 21:01:21.392436
17562	2	2013-08-02 16:05:38.260454	2013-08-02 16:05:38.260454
13227	2	2013-08-02 16:05:29.297393	2013-08-04 21:01:21.565071
17564	4	2013-08-02 16:05:38.265711	2013-08-02 16:05:38.265711
13207	2	2013-08-02 16:05:29.279129	2013-08-04 21:01:21.579827
15288	2	2013-08-02 16:05:33.587614	2013-08-04 21:01:21.594526
17567	7	2013-08-02 16:05:38.273543	2013-08-02 16:05:38.273543
17498	14	2013-08-02 16:05:38.131212	2013-08-03 17:25:32.371072
13101	2	2013-08-02 16:05:29.172659	2013-08-04 21:01:21.609286
13123	2	2013-08-02 16:05:29.196903	2013-08-04 21:01:21.624239
13187	2	2013-08-02 16:05:29.264671	2013-08-04 21:01:21.639309
13176	2	2013-08-02 16:05:29.255343	2013-08-04 21:01:21.653855
17574	14	2013-08-02 16:05:38.29186	2013-08-02 16:05:38.29186
16478	21	2013-08-02 16:05:35.451388	2013-08-03 18:17:17.051848
13157	2	2013-08-02 16:05:29.23529	2013-08-04 21:01:21.669071
13137	2	2013-08-02 16:05:29.209998	2013-08-04 21:01:21.685509
17525	21	2013-08-02 16:05:38.203671	2013-08-03 18:17:17.054059
13167	2	2013-08-02 16:05:29.246088	2013-08-04 21:01:21.69761
46992	4	2013-08-02 16:06:44.055966	2013-08-04 21:01:21.870622
17546	14	2013-08-02 16:05:38.236231	2013-08-03 21:00:15.86423
17582	2	2013-08-02 16:05:38.313045	2013-08-02 16:05:38.313045
17505	21	2013-08-02 16:05:38.15039	2013-08-03 18:17:17.056077
17584	4	2013-08-02 16:05:38.318257	2013-08-02 16:05:38.318257
46948	4	2013-08-02 16:06:43.969274	2013-08-04 21:01:21.885509
17548	14	2013-08-02 16:05:38.240086	2013-08-03 02:16:24.55381
17528	14	2013-08-02 16:05:38.210298	2013-08-03 02:16:24.562109
17477	21	2013-08-02 16:05:38.074439	2013-08-03 02:32:09.153186
17457	21	2013-08-02 16:05:38.022341	2013-08-03 02:32:09.155727
17437	21	2013-08-02 16:05:37.970689	2013-08-03 02:32:09.157368
46880	7	2013-08-02 16:06:43.802791	2013-08-04 21:01:22.025325
46828	7	2013-08-02 16:06:43.66805	2013-08-04 21:01:22.040057
17535	7	2013-08-02 16:05:38.217515	2013-08-03 17:26:19.452436
17485	21	2013-08-02 16:05:38.095916	2013-08-03 18:17:17.058002
17465	21	2013-08-02 16:05:38.043159	2013-08-03 18:17:17.05992
17557	21	2013-08-02 16:05:38.24913	2013-08-03 18:17:17.061904
17445	21	2013-08-02 16:05:37.991236	2013-08-03 18:17:17.064897
17545	14	2013-08-02 16:05:38.234424	2013-08-03 18:19:03.10498
16412	21	2013-08-02 16:05:35.295826	2013-08-03 21:00:16.018409
17555	21	2013-08-02 16:05:38.247062	2013-08-03 21:06:14.970531
17533	21	2013-08-02 16:05:38.215641	2013-08-03 21:49:33.409002
17573	7	2013-08-02 16:05:38.289209	2013-08-03 21:54:22.021671
17435	7	2013-08-02 16:05:37.965541	2013-08-03 21:54:22.025875
17541	7	2013-08-02 16:05:38.225419	2013-08-03 21:54:22.029786
17665	21	2013-08-02 16:05:38.488025	2013-08-03 18:52:33.446222
19148	21	2013-08-02 16:05:41.204971	2013-08-03 22:09:24.17693
17587	7	2013-08-02 16:05:38.326138	2013-08-02 16:05:38.326138
17615	4	2013-08-02 16:05:38.388224	2013-08-03 17:35:04.630277
17641	21	2013-08-02 16:05:38.440456	2013-08-03 22:09:24.181303
17610	21	2013-08-02 16:05:38.380923	2013-08-03 20:27:31.717943
15977	2	2013-08-02 16:05:34.402409	2013-08-04 01:21:00.582908
17594	14	2013-08-02 16:05:38.344122	2013-08-02 16:05:38.344122
17735	4	2013-08-02 16:05:38.617581	2013-08-03 17:35:04.642778
17650	2	2013-08-02 16:05:38.464107	2013-08-04 19:54:26.461815
17590	21	2013-08-02 16:05:38.334092	2013-08-03 20:27:31.722138
17601	2	2013-08-02 16:05:38.362476	2013-08-03 19:05:13.524467
17697	2	2013-08-02 16:05:38.560453	2013-08-04 01:21:00.588218
17602	2	2013-08-02 16:05:38.365055	2013-08-02 16:05:38.365055
17715	4	2013-08-02 16:05:38.591585	2013-08-03 17:35:04.654023
17604	4	2013-08-02 16:05:38.370256	2013-08-02 16:05:38.370256
16475	21	2013-08-02 16:05:35.44913	2013-08-03 19:07:33.857768
4937	4	2013-08-02 16:05:13.128673	2013-08-03 23:06:47.774105
17607	7	2013-08-02 16:05:38.377574	2013-08-02 16:05:38.377574
17617	2	2013-08-02 16:05:38.390511	2013-08-03 02:36:28.322058
9100	2	2013-08-02 16:05:21.476844	2013-08-04 02:10:51.79729
17737	2	2013-08-02 16:05:38.619343	2013-08-04 02:10:51.801847
17740	21	2013-08-02 16:05:38.624249	2013-08-03 19:07:33.860465
5221	2	2013-08-02 16:05:13.49699	2013-08-03 23:06:47.778183
17614	14	2013-08-02 16:05:38.386183	2013-08-02 16:05:38.386183
17695	4	2013-08-02 16:05:38.555102	2013-08-03 17:35:04.664897
17609	21	2013-08-02 16:05:38.379865	2013-08-04 19:54:49.890633
17723	4	2013-08-02 16:05:38.603317	2013-08-03 17:10:32.224735
17739	2	2013-08-02 16:05:38.623334	2013-08-04 02:10:51.806111
17589	2	2013-08-02 16:05:38.331436	2013-08-04 19:57:25.831863
17741	14	2013-08-02 16:05:38.625135	2013-08-03 19:07:33.904161
17719	2	2013-08-02 16:05:38.59775	2013-08-04 02:10:51.810395
17622	2	2013-08-02 16:05:38.395968	2013-08-02 16:05:38.395968
17675	4	2013-08-02 16:05:38.504161	2013-08-03 17:35:04.676221
17624	4	2013-08-02 16:05:38.39897	2013-08-02 16:05:38.39897
17645	7	2013-08-02 16:05:38.450782	2013-08-04 19:57:28.154927
17627	7	2013-08-02 16:05:38.403691	2013-08-02 16:05:38.403691
17699	2	2013-08-02 16:05:38.565833	2013-08-04 02:10:51.814569
15972	7	2013-08-02 16:05:34.397496	2013-08-03 23:06:59.083687
17679	2	2013-08-02 16:05:38.514542	2013-08-04 02:10:51.818678
17729	7	2013-08-02 16:05:38.60931	2013-08-04 19:57:28.160748
17671	2	2013-08-02 16:05:38.4964	2013-08-04 02:10:51.821759
17634	14	2013-08-02 16:05:38.421919	2013-08-02 16:05:38.421919
17738	7	2013-08-02 16:05:38.621143	2013-08-03 17:35:05.048822
16126	7	2013-08-02 16:05:34.636225	2013-08-04 19:57:28.173265
17703	4	2013-08-02 16:05:38.577058	2013-08-03 17:10:32.235303
5324	14	2013-08-02 16:05:13.639326	2013-08-03 23:11:27.200761
17709	7	2013-08-02 16:05:38.585559	2013-08-04 19:57:28.188353
17659	2	2013-08-02 16:05:38.480522	2013-08-04 02:10:51.824782
17646	7	2013-08-02 16:05:38.453538	2013-08-03 21:00:15.871806
17642	2	2013-08-02 16:05:38.443124	2013-08-02 16:05:38.443124
17718	7	2013-08-02 16:05:38.595968	2013-08-03 17:35:05.059644
17644	4	2013-08-02 16:05:38.448016	2013-08-02 16:05:38.448016
17639	2	2013-08-02 16:05:38.435206	2013-08-04 02:10:51.827632
15960	2	2013-08-02 16:05:34.372043	2013-08-03 23:19:40.032861
17647	7	2013-08-02 16:05:38.456166	2013-08-02 16:05:38.456166
17683	4	2013-08-02 16:05:38.524557	2013-08-03 17:10:32.245855
17701	2	2013-08-02 16:05:38.571676	2013-08-04 02:10:51.833521
17619	2	2013-08-02 16:05:38.392842	2013-08-04 02:10:51.843671
17637	7	2013-08-02 16:05:38.429945	2013-08-03 19:07:34.072063
17599	2	2013-08-02 16:05:38.357118	2013-08-04 02:10:51.855307
17654	14	2013-08-02 16:05:38.474018	2013-08-02 16:05:38.474018
17689	7	2013-08-02 16:05:38.539468	2013-08-04 19:57:28.202778
17663	4	2013-08-02 16:05:38.485213	2013-08-03 17:10:32.254931
45143	14	2013-08-02 16:06:39.993172	2013-08-03 19:52:25.734719
17669	7	2013-08-02 16:05:38.493641	2013-08-04 19:57:28.216055
45043	2	2013-08-02 16:06:39.631583	2013-08-03 19:52:26.235947
17600	4	2013-08-02 16:05:38.359842	2013-08-04 02:15:52.165848
17662	2	2013-08-02 16:05:38.4839	2013-08-02 16:05:38.4839
17620	7	2013-08-02 16:05:38.393929	2013-08-03 17:58:45.525516
17664	4	2013-08-02 16:05:38.486616	2013-08-02 16:05:38.486616
17640	4	2013-08-02 16:05:38.43784	2013-08-03 21:00:15.873619
36757	4	2013-08-02 16:06:21.351071	2013-08-04 02:20:52.787525
17667	7	2013-08-02 16:05:38.490831	2013-08-02 16:05:38.490831
21797	4	2013-08-02 16:05:47.057163	2013-08-04 02:20:52.852716
17621	7	2013-08-02 16:05:38.394963	2013-08-04 19:57:28.232561
21751	4	2013-08-02 16:05:46.942097	2013-08-04 02:20:52.862569
17649	7	2013-08-02 16:05:38.4615	2013-08-04 19:57:28.246821
17629	7	2013-08-02 16:05:38.40883	2013-08-04 19:57:28.260312
17674	14	2013-08-02 16:05:38.501633	2013-08-02 16:05:38.501633
17626	7	2013-08-02 16:05:38.401843	2013-08-04 19:57:28.275654
23925	2	2013-08-02 16:05:52.429159	2013-08-04 21:01:22.263808
17643	4	2013-08-02 16:05:38.445586	2013-08-03 17:10:32.260028
14026	2	2013-08-02 16:05:30.755322	2013-08-03 19:52:26.318687
23869	2	2013-08-02 16:05:52.38312	2013-08-04 21:01:22.278749
14006	2	2013-08-02 16:05:30.708116	2013-08-03 19:52:26.329138
37099	2	2013-08-02 16:06:21.916357	2013-08-04 21:01:22.323614
17682	2	2013-08-02 16:05:38.522088	2013-08-02 16:05:38.522088
37137	2	2013-08-02 16:06:21.961673	2013-08-04 02:20:52.954676
17684	4	2013-08-02 16:05:38.527108	2013-08-02 16:05:38.527108
17651	4	2013-08-02 16:05:38.466775	2013-08-04 00:05:40.99993
12979	2	2013-08-02 16:05:29.039029	2013-08-04 21:01:22.337311
17687	7	2013-08-02 16:05:38.53451	2013-08-02 16:05:38.53451
37117	2	2013-08-02 16:06:21.940308	2013-08-04 02:20:52.960117
37097	2	2013-08-02 16:06:21.912945	2013-08-04 02:20:52.96504
37077	2	2013-08-02 16:06:21.889647	2013-08-04 02:20:52.969704
17686	4	2013-08-02 16:05:38.531995	2013-08-03 21:04:19.368021
37057	2	2013-08-02 16:06:21.86513	2013-08-04 02:20:52.97672
17694	14	2013-08-02 16:05:38.552455	2013-08-02 16:05:38.552455
36995	2	2013-08-02 16:06:21.581875	2013-08-04 02:20:52.984457
8484	2	2013-08-02 16:05:20.005443	2013-08-04 21:01:22.366258
17623	4	2013-08-02 16:05:38.39698	2013-08-03 17:10:32.265191
44463	14	2013-08-02 16:06:38.523196	2013-08-03 19:52:26.530495
23709	7	2013-08-02 16:05:51.90976	2013-08-04 21:01:22.487264
41295	7	2013-08-02 16:06:30.57882	2013-08-03 19:52:26.544052
36900	2	2013-08-02 16:06:21.48289	2013-08-04 02:20:52.987395
17702	2	2013-08-02 16:05:38.574371	2013-08-02 16:05:38.574371
14500	7	2013-08-02 16:05:31.992138	2013-08-03 19:52:26.548085
17704	4	2013-08-02 16:05:38.579703	2013-08-02 16:05:38.579703
2358	2	2013-08-02 16:05:08.654819	2013-08-03 19:52:26.834973
37037	2	2013-08-02 16:06:21.847358	2013-08-04 02:20:52.991452
17707	7	2013-08-02 16:05:38.583043	2013-08-02 16:05:38.583043
17677	2	2013-08-02 16:05:38.509325	2013-08-03 02:37:19.601968
37017	2	2013-08-02 16:06:21.830364	2013-08-04 02:20:52.99551
36997	2	2013-08-02 16:06:21.584476	2013-08-04 02:20:52.999411
37001	2	2013-08-02 16:06:21.590899	2013-08-04 02:20:53.003045
37171	7	2013-08-02 16:06:22.009332	2013-08-04 21:01:22.491533
17714	14	2013-08-02 16:05:38.590725	2013-08-02 16:05:38.590725
26780	7	2013-08-02 16:05:58.087091	2013-08-04 21:01:22.495977
17603	4	2013-08-02 16:05:38.367613	2013-08-03 17:10:32.272261
8525	7	2013-08-02 16:05:20.104255	2013-08-04 21:01:22.506412
8367	4	2013-08-02 16:05:19.687868	2013-08-04 21:01:23.253162
8464	7	2013-08-02 16:05:19.95251	2013-08-04 21:01:23.283267
39108	7	2013-08-02 16:06:26.45637	2013-08-04 21:01:23.297288
17722	2	2013-08-02 16:05:38.602154	2013-08-02 16:05:38.602154
17680	4	2013-08-02 16:05:38.517104	2013-08-03 17:58:45.535431
17724	4	2013-08-02 16:05:38.604884	2013-08-02 16:05:38.604884
8550	7	2013-08-02 16:05:20.167436	2013-08-04 21:01:23.311041
17727	7	2013-08-02 16:05:38.607499	2013-08-02 16:05:38.607499
17657	2	2013-08-02 16:05:38.478194	2013-08-03 02:37:19.613465
48515	2	2013-08-02 16:06:46.673902	2013-08-03 21:19:20.175607
17734	14	2013-08-02 16:05:38.616742	2013-08-02 16:05:38.616742
2754	21	2013-08-02 16:05:09.135101	2013-08-03 21:19:20.33245
17595	4	2013-08-02 16:05:38.346727	2013-08-03 17:26:19.463137
2820	21	2013-08-02 16:05:09.202931	2013-08-03 21:19:20.336312
17635	2	2013-08-02 16:05:38.424664	2013-08-03 17:26:19.469987
4351	14	2013-08-02 16:05:12.476117	2013-08-03 21:21:38.181612
17720	2	2013-08-02 16:05:38.598919	2013-08-03 17:58:45.542534
22970	7	2013-08-02 16:05:50.000409	2013-08-03 21:24:21.124833
17693	21	2013-08-02 16:05:38.549803	2013-08-03 21:54:21.916097
16432	4	2013-08-02 16:05:35.343959	2013-08-03 17:59:16.686899
13986	21	2013-08-02 16:05:30.658873	2013-08-03 21:54:21.920332
16472	2	2013-08-02 16:05:35.44262	2013-08-03 17:59:16.692027
11615	7	2013-08-02 16:05:26.057819	2013-08-03 21:59:22.842183
10352	7	2013-08-02 16:05:23.637514	2013-08-03 21:59:22.853936
17733	7	2013-08-02 16:05:38.615322	2013-08-03 21:59:22.865037
5157	14	2013-08-02 16:05:13.402448	2013-08-03 17:59:16.725522
34405	2	2013-08-02 16:06:15.610754	2013-08-03 21:59:22.887524
16452	4	2013-08-02 16:05:35.391892	2013-08-03 18:02:15.127349
3026	2	2013-08-02 16:05:09.48513	2013-08-03 18:09:14.806157
17713	2	2013-08-02 16:05:38.589855	2013-08-03 21:59:22.898822
44523	2	2013-08-02 16:06:38.681017	2013-08-03 21:59:22.909946
17685	7	2013-08-02 16:05:38.529495	2013-08-03 18:19:03.117905
17705	4	2013-08-02 16:05:38.581311	2013-08-03 18:19:03.120936
17742	2	2013-08-02 16:05:38.626031	2013-08-02 16:05:38.626031
17895	7	2013-08-02 16:05:38.784237	2013-08-03 17:35:04.530354
17744	4	2013-08-02 16:05:38.627899	2013-08-02 16:05:38.627899
17885	21	2013-08-02 16:05:38.771228	2013-08-03 18:52:33.438829
17746	2	2013-08-02 16:05:38.629993	2013-08-04 17:16:52.769419
17747	7	2013-08-02 16:05:38.630879	2013-08-02 16:05:38.630879
17871	7	2013-08-02 16:05:38.755588	2013-08-04 00:12:20.498172
17766	7	2013-08-02 16:05:38.650948	2013-08-04 19:57:28.112967
17896	14	2013-08-02 16:05:38.785628	2013-08-04 17:16:54.894932
17800	21	2013-08-02 16:05:38.68799	2013-08-03 18:52:33.442535
16030	4	2013-08-02 16:05:34.456407	2013-08-03 23:06:59.089431
17754	14	2013-08-02 16:05:38.639304	2013-08-02 16:05:38.639304
17821	21	2013-08-02 16:05:38.706481	2013-08-03 19:07:33.846702
44943	7	2013-08-02 16:06:39.499368	2013-08-04 19:57:28.11853
17843	4	2013-08-02 16:05:38.725796	2013-08-03 17:10:32.162672
17801	21	2013-08-02 16:05:38.688871	2013-08-03 19:07:33.849941
17809	7	2013-08-02 16:05:38.697636	2013-08-04 19:57:28.125467
17781	21	2013-08-02 16:05:38.669331	2013-08-03 19:07:33.852219
17897	2	2013-08-02 16:05:38.787081	2013-08-03 20:30:10.522349
17762	2	2013-08-02 16:05:38.646844	2013-08-02 16:05:38.646844
17875	7	2013-08-02 16:05:38.75989	2013-08-03 17:35:04.541181
17764	4	2013-08-02 16:05:38.64907	2013-08-02 16:05:38.64907
17761	21	2013-08-02 16:05:38.645904	2013-08-03 19:07:33.854998
17770	7	2013-08-02 16:05:38.655044	2013-08-04 19:57:28.131606
17767	7	2013-08-02 16:05:38.652158	2013-08-02 16:05:38.652158
17789	7	2013-08-02 16:05:38.677134	2013-08-04 19:57:28.136011
16051	2	2013-08-02 16:05:34.487399	2013-08-03 23:06:59.091399
17881	7	2013-08-02 16:05:38.767054	2013-08-04 19:57:28.140076
17745	21	2013-08-02 16:05:38.628842	2013-08-03 19:12:34.230338
17769	7	2013-08-02 16:05:38.654188	2013-08-04 19:57:28.14471
17774	14	2013-08-02 16:05:38.659975	2013-08-02 16:05:38.659975
17865	21	2013-08-02 16:05:38.748604	2013-08-04 00:22:31.214848
17749	7	2013-08-02 16:05:38.632761	2013-08-04 19:57:28.149897
17823	4	2013-08-02 16:05:38.707853	2013-08-03 17:10:32.173003
17786	2	2013-08-02 16:05:38.674478	2013-08-04 01:21:00.578187
5458	4	2013-08-02 16:05:13.892646	2013-08-04 02:15:52.115044
17790	2	2013-08-02 16:05:38.678002	2013-08-03 20:32:25.901458
17782	2	2013-08-02 16:05:38.670212	2013-08-02 16:05:38.670212
17855	7	2013-08-02 16:05:38.737909	2013-08-03 17:35:04.552117
17784	4	2013-08-02 16:05:38.671968	2013-08-02 16:05:38.671968
17853	4	2013-08-02 16:05:38.735982	2013-08-04 02:15:52.120167
17787	7	2013-08-02 16:05:38.67535	2013-08-02 16:05:38.67535
17879	4	2013-08-02 16:05:38.764741	2013-08-04 02:15:52.124442
17859	4	2013-08-02 16:05:38.74212	2013-08-04 02:15:52.128036
4429	2	2013-08-02 16:05:12.581303	2013-08-03 23:11:27.176657
17794	14	2013-08-02 16:05:38.682453	2013-08-02 16:05:38.682453
17851	4	2013-08-02 16:05:38.734457	2013-08-04 02:15:52.13148
17803	4	2013-08-02 16:05:38.690519	2013-08-03 17:10:32.183249
17861	14	2013-08-02 16:05:38.743825	2013-08-03 19:12:34.752123
13808	4	2013-08-02 16:05:30.254848	2013-08-03 19:12:35.244285
17802	2	2013-08-02 16:05:38.689695	2013-08-02 16:05:38.689695
17835	7	2013-08-02 16:05:38.718981	2013-08-03 17:35:04.563037
17804	4	2013-08-02 16:05:38.692337	2013-08-02 16:05:38.692337
17772	14	2013-08-02 16:05:38.656899	2013-08-03 19:29:58.60238
17839	4	2013-08-02 16:05:38.722748	2013-08-04 02:15:52.13482
17807	7	2013-08-02 16:05:38.695252	2013-08-02 16:05:38.695252
17837	14	2013-08-02 16:05:38.721312	2013-08-03 02:37:19.477667
17819	4	2013-08-02 16:05:38.705095	2013-08-04 02:15:52.138105
34998	4	2013-08-02 16:06:17.216902	2013-08-04 02:15:52.141802
17849	21	2013-08-02 16:05:38.732911	2013-08-04 19:59:46.251465
17814	14	2013-08-02 16:05:38.701499	2013-08-02 16:05:38.701499
17799	4	2013-08-02 16:05:38.686981	2013-08-04 02:15:52.145468
17829	21	2013-08-02 16:05:38.713517	2013-08-04 20:02:38.408481
17783	4	2013-08-02 16:05:38.671092	2013-08-03 17:10:32.193676
1339	2	2013-08-02 16:05:06.354683	2013-08-03 19:52:27.117347
19003	4	2013-08-02 16:05:40.851173	2013-08-04 20:02:39.955307
36977	2	2013-08-02 16:06:21.561476	2013-08-04 02:20:53.00799
17822	2	2013-08-02 16:05:38.70717	2013-08-02 16:05:38.70717
17815	7	2013-08-02 16:05:38.702236	2013-08-03 17:35:04.574517
17824	4	2013-08-02 16:05:38.708551	2013-08-02 16:05:38.708551
25198	2	2013-08-02 16:05:54.24761	2013-08-03 19:52:27.353803
17869	7	2013-08-02 16:05:38.752848	2013-08-04 20:02:40.188377
17827	7	2013-08-02 16:05:38.711658	2013-08-02 16:05:38.711658
17817	14	2013-08-02 16:05:38.70368	2013-08-03 02:37:19.488412
17751	7	2013-08-02 16:05:38.635057	2013-08-04 00:04:13.95084
36957	2	2013-08-02 16:06:21.541843	2013-08-04 02:20:53.016705
25132	2	2013-08-02 16:05:54.087778	2013-08-03 19:52:27.357921
36937	2	2013-08-02 16:06:21.521703	2013-08-04 02:20:53.024707
17834	14	2013-08-02 16:05:38.718203	2013-08-02 16:05:38.718203
24992	2	2013-08-02 16:05:53.744926	2013-08-03 19:52:27.362902
17889	21	2013-08-02 16:05:38.776339	2013-08-04 20:04:18.497631
17763	4	2013-08-02 16:05:38.64775	2013-08-03 17:10:32.20378
17806	7	2013-08-02 16:05:38.694206	2013-08-03 21:06:15.128958
17842	2	2013-08-02 16:05:38.724946	2013-08-02 16:05:38.724946
17795	7	2013-08-02 16:05:38.683306	2013-08-03 17:35:04.585469
17844	4	2013-08-02 16:05:38.726645	2013-08-02 16:05:38.726645
36917	2	2013-08-02 16:06:21.49987	2013-08-04 02:20:53.031216
17847	7	2013-08-02 16:05:38.731311	2013-08-02 16:05:38.731311
36897	2	2013-08-02 16:06:21.479888	2013-08-04 02:20:53.042111
17846	4	2013-08-02 16:05:38.730236	2013-08-03 21:06:15.130724
17854	14	2013-08-02 16:05:38.737032	2013-08-02 16:05:38.737032
18299	2	2013-08-02 16:05:39.367054	2013-08-04 02:20:53.404121
17743	4	2013-08-02 16:05:38.626991	2013-08-03 17:10:32.214358
17886	2	2013-08-02 16:05:38.772914	2013-08-03 21:06:15.132488
17826	2	2013-08-02 16:05:38.710689	2013-08-03 21:09:20.623059
18279	2	2013-08-02 16:05:39.342319	2013-08-04 02:20:53.415995
17862	2	2013-08-02 16:05:38.744721	2013-08-02 16:05:38.744721
17775	7	2013-08-02 16:05:38.661974	2013-08-03 17:35:04.596039
17864	4	2013-08-02 16:05:38.747702	2013-08-02 16:05:38.747702
5078	14	2013-08-02 16:05:13.282711	2013-08-04 00:04:25.193781
18259	2	2013-08-02 16:05:39.320489	2013-08-04 02:20:53.426567
17867	7	2013-08-02 16:05:38.751144	2013-08-02 16:05:38.751144
15498	2	2013-08-02 16:05:33.783397	2013-08-04 02:20:53.464546
16337	21	2013-08-02 16:05:35.171496	2013-08-03 21:14:22.701993
17874	14	2013-08-02 16:05:38.758371	2013-08-02 16:05:38.758371
17883	2	2013-08-02 16:05:38.769495	2013-08-03 17:10:32.511833
1467	14	2013-08-02 16:05:06.660868	2013-08-04 00:07:47.588745
17831	21	2013-08-02 16:05:38.715883	2013-08-04 00:07:47.623923
38595	7	2013-08-02 16:06:25.650171	2013-08-03 21:19:20.470325
17882	2	2013-08-02 16:05:38.767859	2013-08-02 16:05:38.767859
17755	7	2013-08-02 16:05:38.640235	2013-08-03 17:35:04.606639
17884	4	2013-08-02 16:05:38.770365	2013-08-02 16:05:38.770365
15636	14	2013-08-02 16:05:33.919011	2013-08-04 02:23:03.153094
17887	7	2013-08-02 16:05:38.773783	2013-08-02 16:05:38.773783
17760	7	2013-08-02 16:05:38.645045	2013-08-03 17:59:05.71709
15656	2	2013-08-02 16:05:33.934947	2013-08-04 02:25:50.737889
17894	14	2013-08-02 16:05:38.783108	2013-08-02 16:05:38.783108
12448	21	2013-08-02 16:05:28.068811	2013-08-03 21:19:20.868505
16106	21	2013-08-02 16:05:34.586352	2013-08-03 21:19:20.872571
17820	4	2013-08-02 16:05:38.705805	2013-08-03 17:59:05.722
17860	2	2013-08-02 16:05:38.742932	2013-08-03 17:59:05.725234
17840	4	2013-08-02 16:05:38.723475	2013-08-03 17:59:16.642562
10471	4	2013-08-02 16:05:23.767985	2013-08-03 17:59:16.734224
11876	21	2013-08-02 16:05:26.673917	2013-08-03 21:59:22.725707
17893	21	2013-08-02 16:05:38.782006	2013-08-03 21:59:22.729311
17873	21	2013-08-02 16:05:38.757427	2013-08-03 21:59:22.732636
6941	4	2013-08-02 16:05:17.297027	2013-08-03 17:59:16.756639
11337	2	2013-08-02 16:05:25.380967	2013-08-03 17:59:16.758497
7531	2	2013-08-02 16:05:17.95274	2013-08-03 18:02:15.094046
17752	2	2013-08-02 16:05:38.636463	2013-08-03 18:15:01.212214
9579	21	2013-08-02 16:05:22.682022	2013-08-03 18:17:18.344109
17757	21	2013-08-02 16:05:38.642117	2013-08-03 18:17:18.347548
17892	21	2013-08-02 16:05:38.78019	2013-08-03 18:17:18.350961
17825	4	2013-08-02 16:05:38.709435	2013-08-03 18:22:13.657845
17805	4	2013-08-02 16:05:38.693361	2013-08-03 18:22:13.662808
17785	7	2013-08-02 16:05:38.673414	2013-08-03 18:22:13.671288
17765	7	2013-08-02 16:05:38.65	2013-08-03 18:22:13.678476
2435	14	2013-08-02 16:05:08.750249	2013-08-04 17:16:54.850531
17981	21	2013-08-02 16:05:39.0125	2013-08-03 19:12:34.220273
17985	2	2013-08-02 16:05:39.015708	2013-08-03 20:32:24.764294
17902	2	2013-08-02 16:05:38.795054	2013-08-02 16:05:38.795054
17935	21	2013-08-02 16:05:38.975537	2013-08-03 17:35:04.49942
17904	4	2013-08-02 16:05:38.798179	2013-08-02 16:05:38.798179
17961	21	2013-08-02 16:05:38.995283	2013-08-03 19:12:34.22251
11761	21	2013-08-02 16:05:26.374996	2013-08-03 22:04:21.713272
17907	7	2013-08-02 16:05:38.802844	2013-08-02 16:05:38.802844
17937	21	2013-08-02 16:05:38.977306	2013-08-03 02:37:19.423913
9559	21	2013-08-02 16:05:22.630577	2013-08-03 22:04:21.717411
2475	14	2013-08-02 16:05:08.78678	2013-08-04 17:16:54.861762
17941	21	2013-08-02 16:05:38.980371	2013-08-03 19:12:34.224762
18053	21	2013-08-02 16:05:39.092017	2013-08-03 22:04:21.72084
17914	14	2013-08-02 16:05:38.814002	2013-08-02 16:05:38.814002
17921	21	2013-08-02 16:05:38.826369	2013-08-03 19:12:34.227205
18043	2	2013-08-02 16:05:39.078368	2013-08-03 17:10:32.436294
17901	21	2013-08-02 16:05:38.793622	2013-08-03 19:12:34.2289
17936	14	2013-08-02 16:05:38.976411	2013-08-04 17:16:54.872655
11676	21	2013-08-02 16:05:26.166239	2013-08-03 19:17:36.088309
18005	2	2013-08-02 16:05:39.03516	2013-08-03 20:32:24.770441
17922	2	2013-08-02 16:05:38.828453	2013-08-02 16:05:38.828453
17915	7	2013-08-02 16:05:38.816036	2013-08-03 17:35:04.519283
17924	4	2013-08-02 16:05:38.832192	2013-08-02 16:05:38.832192
5056	21	2013-08-02 16:05:13.255549	2013-08-03 19:17:36.091519
18033	21	2013-08-02 16:05:39.065168	2013-08-03 22:04:21.724346
17927	7	2013-08-02 16:05:38.837574	2013-08-02 16:05:38.837574
18013	21	2013-08-02 16:05:39.043137	2013-08-03 22:04:21.72785
17993	21	2013-08-02 16:05:39.022392	2013-08-03 22:04:21.731325
17916	14	2013-08-02 16:05:38.817623	2013-08-04 17:16:54.883633
18041	21	2013-08-02 16:05:39.076011	2013-08-03 19:17:36.094703
17934	14	2013-08-02 16:05:38.974663	2013-08-02 16:05:38.974663
18021	21	2013-08-02 16:05:39.05194	2013-08-03 19:17:36.096673
17929	14	2013-08-02 16:05:38.841302	2013-08-04 19:59:46.208152
18023	2	2013-08-02 16:05:39.053845	2013-08-03 17:10:32.446933
18001	21	2013-08-02 16:05:39.030831	2013-08-03 19:17:36.098557
11756	2	2013-08-02 16:05:26.36261	2013-08-03 20:32:24.773983
17942	2	2013-08-02 16:05:38.981134	2013-08-02 16:05:38.981134
17944	4	2013-08-02 16:05:38.982597	2013-08-02 16:05:38.982597
17973	21	2013-08-02 16:05:39.00482	2013-08-03 22:04:21.734837
17947	7	2013-08-02 16:05:38.984734	2013-08-02 16:05:38.984734
26508	4	2013-08-02 16:05:57.268481	2013-08-04 17:16:56.49393
17953	21	2013-08-02 16:05:38.988899	2013-08-03 22:04:21.738333
11688	2	2013-08-02 16:05:26.19177	2013-08-04 00:15:38.36003
17971	2	2013-08-02 16:05:39.003377	2013-08-04 01:21:00.501768
17954	14	2013-08-02 16:05:38.989676	2013-08-02 16:05:38.989676
18003	2	2013-08-02 16:05:39.032602	2013-08-03 17:10:32.457438
17949	7	2013-08-02 16:05:38.986111	2013-08-04 19:59:46.22046
2261	2	2013-08-02 16:05:08.542601	2013-08-04 01:21:00.506727
17962	2	2013-08-02 16:05:38.996102	2013-08-02 16:05:38.996102
17964	4	2013-08-02 16:05:38.997647	2013-08-02 16:05:38.997647
17933	21	2013-08-02 16:05:38.973774	2013-08-03 22:04:21.741868
17967	7	2013-08-02 16:05:39.000162	2013-08-02 16:05:39.000162
17946	4	2013-08-02 16:05:38.984024	2013-08-04 19:59:46.224097
18052	21	2013-08-02 16:05:39.090809	2013-08-03 22:09:24.64216
34941	2	2013-08-02 16:06:17.067253	2013-08-04 01:21:00.567133
34981	2	2013-08-02 16:06:17.171166	2013-08-04 01:21:00.573351
17995	2	2013-08-02 16:05:39.024324	2013-08-04 02:15:52.240335
17974	14	2013-08-02 16:05:39.006412	2013-08-02 16:05:39.006412
18048	2	2013-08-02 16:05:39.084518	2013-08-04 02:15:52.243804
17983	2	2013-08-02 16:05:39.014082	2013-08-03 17:10:32.467687
17989	2	2013-08-02 16:05:39.019439	2013-08-04 19:59:46.228168
18051	2	2013-08-02 16:05:39.089539	2013-08-04 02:15:52.247012
17982	2	2013-08-02 16:05:39.013308	2013-08-02 16:05:39.013308
18037	7	2013-08-02 16:05:39.070196	2013-08-03 17:35:04.868338
17984	4	2013-08-02 16:05:39.014852	2013-08-02 16:05:39.014852
17986	7	2013-08-02 16:05:39.016574	2013-08-03 21:11:32.269044
18039	2	2013-08-02 16:05:39.073445	2013-08-04 02:15:52.250416
17987	7	2013-08-02 16:05:39.01749	2013-08-02 16:05:39.01749
34875	2	2013-08-02 16:06:16.915286	2013-08-04 02:15:52.253551
18026	4	2013-08-02 16:05:39.057263	2013-08-03 21:11:32.275539
18019	2	2013-08-02 16:05:39.048652	2013-08-04 02:15:52.257007
17994	14	2013-08-02 16:05:39.023181	2013-08-02 16:05:39.023181
35001	7	2013-08-02 16:06:17.224858	2013-08-03 23:06:59.174052
17909	21	2013-08-02 16:05:38.806314	2013-08-04 19:59:58.642696
17963	2	2013-08-02 16:05:38.996872	2013-08-03 17:10:32.478261
18045	2	2013-08-02 16:05:39.081293	2013-08-03 21:11:32.281362
26548	21	2013-08-02 16:05:57.372237	2013-08-04 19:59:58.666599
17999	2	2013-08-02 16:05:39.029027	2013-08-04 02:15:52.260869
17979	2	2013-08-02 16:05:39.010858	2013-08-04 02:15:52.264893
18002	2	2013-08-02 16:05:39.031729	2013-08-02 16:05:39.031729
18015	4	2013-08-02 16:05:39.044887	2013-08-03 17:35:04.891236
18004	4	2013-08-02 16:05:39.033468	2013-08-02 16:05:39.033468
17926	7	2013-08-02 16:05:38.835839	2013-08-03 21:14:21.925589
34892	4	2013-08-02 16:06:16.941242	2013-08-03 23:06:59.184753
18007	7	2013-08-02 16:05:39.036768	2013-08-02 16:05:39.036768
34961	2	2013-08-02 16:06:17.118184	2013-08-04 20:02:37.019889
17977	2	2013-08-02 16:05:39.009122	2013-08-04 02:15:52.270319
17959	2	2013-08-02 16:05:38.99354	2013-08-04 02:15:52.275941
18025	7	2013-08-02 16:05:39.056341	2013-08-03 21:14:23.841362
2364	21	2013-08-02 16:05:08.662672	2013-08-04 17:21:51.337211
18014	14	2013-08-02 16:05:39.04398	2013-08-02 16:05:39.04398
17913	21	2013-08-02 16:05:38.81236	2013-08-03 21:59:22.721817
17969	2	2013-08-02 16:05:39.001984	2013-08-04 20:02:37.438599
17943	2	2013-08-02 16:05:38.981862	2013-08-03 17:10:32.484641
34965	21	2013-08-02 16:06:17.128281	2013-08-03 23:11:27.683736
17956	21	2013-08-02 16:05:38.991209	2013-08-04 17:21:51.338093
2441	2	2013-08-02 16:05:08.755554	2013-08-04 17:21:51.625073
18055	21	2013-08-02 16:05:39.094537	2013-08-04 20:02:37.742599
18022	2	2013-08-02 16:05:39.052919	2013-08-02 16:05:39.052919
18024	4	2013-08-02 16:05:39.054762	2013-08-02 16:05:39.054762
11781	7	2013-08-02 16:05:26.426322	2013-08-04 20:02:39.058049
15696	7	2013-08-02 16:05:33.982432	2013-08-04 02:23:03.17924
18027	7	2013-08-02 16:05:39.058183	2013-08-02 16:05:39.058183
18049	7	2013-08-02 16:05:39.08656	2013-08-04 20:02:39.074586
17931	7	2013-08-02 16:05:38.972174	2013-08-04 20:02:39.090577
18029	7	2013-08-02 16:05:39.061148	2013-08-04 20:02:39.105972
15561	4	2013-08-02 16:05:33.838837	2013-08-04 02:23:03.189984
15612	7	2013-08-02 16:05:33.89592	2013-08-04 20:02:39.121871
18034	14	2013-08-02 16:05:39.066378	2013-08-02 16:05:39.066378
26528	7	2013-08-02 16:05:57.320962	2013-08-04 20:02:39.44956
17975	2	2013-08-02 16:05:39.007283	2013-08-03 17:35:04.938109
17906	2	2013-08-02 16:05:38.801418	2013-08-04 20:07:35.644054
17951	7	2013-08-02 16:05:38.987499	2013-08-04 00:04:25.202212
18009	7	2013-08-02 16:05:39.038499	2013-08-04 20:12:38.564685
18042	2	2013-08-02 16:05:39.077217	2013-08-02 16:05:39.077217
18035	7	2013-08-02 16:05:39.067592	2013-08-03 17:42:02.062328
18044	4	2013-08-02 16:05:39.080174	2013-08-02 16:05:39.080174
15772	2	2013-08-02 16:05:34.168098	2013-08-04 02:23:03.197614
13397	14	2013-08-02 16:05:29.454022	2013-08-08 01:02:58.008856
18047	7	2013-08-02 16:05:39.083226	2013-08-02 16:05:39.083226
15616	21	2013-08-02 16:05:33.901956	2013-08-04 02:23:29.661924
13492	14	2013-08-02 16:05:29.54156	2013-08-08 01:02:58.011223
13472	14	2013-08-02 16:05:29.521209	2013-08-08 01:02:58.013416
13452	14	2013-08-02 16:05:29.505376	2013-08-08 01:02:58.015464
22	7	2013-08-02 16:05:04.331429	2013-08-04 02:25:48.375983
18054	14	2013-08-02 16:05:39.093309	2013-08-02 16:05:39.093309
13407	14	2013-08-02 16:05:29.463704	2013-08-08 01:02:58.016498
14608	14	2013-08-02 16:05:32.243705	2013-08-08 01:02:58.018024
15736	2	2013-08-02 16:05:34.021216	2013-08-04 02:25:48.404289
15617	21	2013-08-02 16:05:33.90275	2013-08-04 02:25:48.424615
12159	14	2013-08-02 16:05:27.390232	2013-08-08 01:02:58.020885
13427	14	2013-08-02 16:05:29.483362	2013-08-08 01:02:58.023765
17911	21	2013-08-02 16:05:38.809287	2013-08-04 00:07:47.624969
18031	21	2013-08-02 16:05:39.063124	2013-08-04 00:07:47.625937
13401	14	2013-08-02 16:05:29.457795	2013-08-08 01:02:58.026782
13447	21	2013-08-02 16:05:29.501543	2013-08-08 01:02:58.206848
13467	21	2013-08-02 16:05:29.517165	2013-08-08 01:02:58.650826
11741	14	2013-08-02 16:05:26.325901	2013-08-03 17:59:16.857435
13480	14	2013-08-02 16:05:29.529645	2013-08-08 01:02:58.745955
13487	14	2013-08-02 16:05:29.53633	2013-08-08 01:02:58.749046
35697	14	2013-08-02 16:06:18.89767	2013-08-08 01:02:58.751976
35632	14	2013-08-02 16:06:18.837089	2013-08-08 01:02:58.755818
13635	14	2013-08-02 16:05:29.851112	2013-08-08 01:02:58.792429
3104	4	2013-08-02 16:05:09.632043	2013-08-03 18:02:18.389064
18000	7	2013-08-02 16:05:39.029988	2013-08-03 18:02:19.079691
17992	21	2013-08-02 16:05:39.021689	2013-08-03 18:17:18.326059
17972	21	2013-08-02 16:05:39.004072	2013-08-03 18:17:18.330164
17952	21	2013-08-02 16:05:38.988192	2013-08-03 18:17:18.333668
17932	21	2013-08-02 16:05:38.972956	2013-08-03 18:17:18.337125
17912	21	2013-08-02 16:05:38.810833	2013-08-03 18:17:18.340594
18032	14	2013-08-02 16:05:39.06407	2013-08-03 18:19:03.137559
17965	14	2013-08-02 16:05:38.998419	2013-08-03 18:22:13.604441
18072	7	2013-08-02 16:05:39.112233	2013-08-04 20:02:38.894007
18203	2	2013-08-02 16:05:39.259453	2013-08-03 17:10:32.355975
18092	21	2013-08-02 16:05:39.132093	2013-08-03 18:52:33.4346
18209	7	2013-08-02 16:05:39.266916	2013-08-04 20:02:38.902529
18161	21	2013-08-02 16:05:39.218674	2013-08-03 19:22:36.388653
18211	4	2013-08-02 16:05:39.269414	2013-08-04 00:10:39.039288
18062	2	2013-08-02 16:05:39.10116	2013-08-02 16:05:39.10116
18195	21	2013-08-02 16:05:39.251485	2013-08-03 17:35:04.749848
18064	4	2013-08-02 16:05:39.10373	2013-08-02 16:05:39.10373
18141	21	2013-08-02 16:05:39.199943	2013-08-03 19:22:36.391713
18073	21	2013-08-02 16:05:39.113334	2013-08-03 22:09:24.637891
18067	7	2013-08-02 16:05:39.106389	2013-08-02 16:05:39.106389
18057	14	2013-08-02 16:05:39.096943	2013-08-03 02:40:51.456885
18189	7	2013-08-02 16:05:39.246008	2013-08-04 20:02:38.911013
18071	4	2013-08-02 16:05:39.111103	2013-08-04 00:12:20.501639
18121	21	2013-08-02 16:05:39.178496	2013-08-03 19:22:36.395032
18169	7	2013-08-02 16:05:39.227588	2013-08-04 20:02:38.923294
18074	14	2013-08-02 16:05:39.114238	2013-08-02 16:05:39.114238
18101	21	2013-08-02 16:05:39.145435	2013-08-03 19:22:36.397248
18157	7	2013-08-02 16:05:39.215161	2013-08-04 20:02:38.94029
18183	2	2013-08-02 16:05:39.239948	2013-08-03 17:10:32.367296
18081	21	2013-08-02 16:05:39.120252	2013-08-03 19:22:36.400487
18146	7	2013-08-02 16:05:39.204172	2013-08-04 20:02:38.953214
2474	2	2013-08-02 16:05:08.785982	2013-08-04 00:15:38.170438
18099	2	2013-08-02 16:05:39.141612	2013-08-04 02:15:52.212863
18082	2	2013-08-02 16:05:39.121195	2013-08-02 16:05:39.121195
18175	21	2013-08-02 16:05:39.233052	2013-08-03 17:35:04.753053
18084	4	2013-08-02 16:05:39.123972	2013-08-02 16:05:39.123972
18149	7	2013-08-02 16:05:39.208416	2013-08-04 20:02:38.959495
43345	7	2013-08-02 16:06:35.341346	2013-08-04 20:02:38.968717
18087	7	2013-08-02 16:05:39.126906	2013-08-02 16:05:39.126906
18079	2	2013-08-02 16:05:39.118672	2013-08-04 02:15:52.225037
18059	2	2013-08-02 16:05:39.098672	2013-08-04 02:15:52.236633
18065	4	2013-08-02 16:05:39.104613	2013-08-04 02:20:53.13691
18085	4	2013-08-02 16:05:39.125211	2013-08-04 02:20:53.148046
18199	4	2013-08-02 16:05:39.255327	2013-08-04 02:20:53.158967
18094	14	2013-08-02 16:05:39.134198	2013-08-02 16:05:39.134198
18212	14	2013-08-02 16:05:39.270377	2013-08-03 19:25:19.0532
18129	7	2013-08-02 16:05:39.186424	2013-08-04 20:02:38.982119
18163	2	2013-08-02 16:05:39.221334	2013-08-03 17:10:32.374514
20961	4	2013-08-02 16:05:45.154322	2013-08-04 02:20:53.169881
13519	14	2013-08-02 16:05:29.572079	2013-08-08 01:02:58.795452
18113	14	2013-08-02 16:05:39.165804	2013-08-03 22:11:23.020789
18102	2	2013-08-02 16:05:39.1469	2013-08-02 16:05:39.1469
18155	21	2013-08-02 16:05:39.213674	2013-08-03 17:35:04.756189
18104	4	2013-08-02 16:05:39.149848	2013-08-02 16:05:39.149848
15950	4	2013-08-02 16:05:34.360025	2013-08-04 02:20:53.180754
18179	4	2013-08-02 16:05:39.23641	2013-08-04 02:20:53.191965
18107	7	2013-08-02 16:05:39.154495	2013-08-02 16:05:39.154495
13547	14	2013-08-02 16:05:29.71957	2013-08-08 01:02:58.79858
18159	4	2013-08-02 16:05:39.21698	2013-08-04 02:20:53.203022
3770	4	2013-08-02 16:05:11.187255	2013-08-04 02:20:53.213965
42415	7	2013-08-02 16:06:33.773963	2013-08-03 19:52:28.198526
18115	4	2013-08-02 16:05:39.169293	2013-08-04 02:20:53.224974
18114	14	2013-08-02 16:05:39.167723	2013-08-02 16:05:39.167723
18126	7	2013-08-02 16:05:39.183697	2013-08-03 21:17:30.467191
13592	14	2013-08-02 16:05:29.770979	2013-08-08 01:02:58.801606
18143	2	2013-08-02 16:05:39.201646	2013-08-03 17:10:32.384774
18201	21	2013-08-02 16:05:39.257182	2013-08-03 22:11:43.149114
18196	14	2013-08-02 16:05:39.252381	2013-08-04 17:19:03.125178
29697	7	2013-08-02 16:06:04.692762	2013-08-03 22:22:06.971644
18166	4	2013-08-02 16:05:39.224986	2013-08-03 21:17:30.474387
18122	2	2013-08-02 16:05:39.179721	2013-08-02 16:05:39.179721
18135	21	2013-08-02 16:05:39.193328	2013-08-03 17:35:04.759385
18124	4	2013-08-02 16:05:39.181886	2013-08-02 16:05:39.181886
18139	4	2013-08-02 16:05:39.197741	2013-08-04 02:20:53.235035
18119	4	2013-08-02 16:05:39.175227	2013-08-04 02:20:53.245242
18127	7	2013-08-02 16:05:39.184623	2013-08-02 16:05:39.184623
42555	4	2013-08-02 16:06:34.133633	2013-08-04 02:20:53.256001
18077	14	2013-08-02 16:05:39.117003	2013-08-03 22:34:28.469323
15620	7	2013-08-02 16:05:33.904999	2013-08-04 02:25:48.919085
25012	14	2013-08-02 16:05:53.777265	2013-08-03 19:52:28.423226
358	2	2013-08-02 16:05:04.699038	2013-08-04 02:25:49.296983
18134	14	2013-08-02 16:05:39.192465	2013-08-02 16:05:39.192465
15716	2	2013-08-02 16:05:34.001996	2013-08-04 02:25:49.327371
13572	14	2013-08-02 16:05:29.746612	2013-08-08 01:02:58.804642
18123	2	2013-08-02 16:05:39.181027	2013-08-03 17:10:32.394791
44963	2	2013-08-02 16:06:39.520951	2013-08-03 19:52:28.445485
18136	21	2013-08-02 16:05:39.194602	2013-08-04 17:19:14.219169
34821	14	2013-08-02 16:06:16.823896	2013-08-03 23:11:27.212541
18206	2	2013-08-02 16:05:39.26339	2013-08-03 21:17:30.481002
18142	2	2013-08-02 16:05:39.20078	2013-08-02 16:05:39.20078
13560	14	2013-08-02 16:05:29.732754	2013-08-08 01:02:58.807708
18144	4	2013-08-02 16:05:39.202474	2013-08-02 16:05:39.202474
25826	4	2013-08-02 16:05:55.854156	2013-08-04 02:25:49.624736
18147	7	2013-08-02 16:05:39.205026	2013-08-02 16:05:39.205026
34901	14	2013-08-02 16:06:16.964171	2013-08-03 23:11:27.704456
25806	4	2013-08-02 16:05:55.8059	2013-08-04 02:25:49.635162
25881	4	2013-08-02 16:05:55.990884	2013-08-04 02:25:49.645501
18176	21	2013-08-02 16:05:39.233927	2013-08-04 17:19:14.305538
25786	4	2013-08-02 16:05:55.753352	2013-08-04 02:25:49.656193
18154	14	2013-08-02 16:05:39.212881	2013-08-02 16:05:39.212881
25766	4	2013-08-02 16:05:55.701337	2013-08-04 02:25:49.666131
13567	14	2013-08-02 16:05:29.738966	2013-08-08 01:02:58.81057
18103	2	2013-08-02 16:05:39.148367	2013-08-03 17:10:32.405262
7459	7	2013-08-02 16:05:17.884953	2013-08-03 19:57:24.134001
18116	21	2013-08-02 16:05:39.170785	2013-08-04 17:21:51.336192
18186	21	2013-08-02 16:05:39.242189	2013-08-03 21:17:30.655179
18162	2	2013-08-02 16:05:39.219515	2013-08-02 16:05:39.219515
22171	4	2013-08-02 16:05:47.972596	2013-08-04 02:25:49.731631
18164	4	2013-08-02 16:05:39.22326	2013-08-02 16:05:39.22326
22203	4	2013-08-02 16:05:48.025199	2013-08-04 02:25:49.741687
15671	4	2013-08-02 16:05:33.950253	2013-08-04 02:25:49.751679
18167	7	2013-08-02 16:05:39.22585	2013-08-02 16:05:39.22585
13552	14	2013-08-02 16:05:29.724749	2013-08-08 01:02:58.813387
24688	2	2013-08-02 16:05:53.394706	2013-08-04 02:25:50.079072
42395	14	2013-08-02 16:06:33.725287	2013-08-03 20:02:26.830773
24668	2	2013-08-02 16:05:53.36638	2013-08-04 02:25:50.089639
18174	14	2013-08-02 16:05:39.232129	2013-08-02 16:05:39.232129
12326	21	2013-08-02 16:05:27.770651	2013-08-03 21:19:20.879938
13532	21	2013-08-02 16:05:29.593464	2013-08-08 01:02:59.127314
18083	2	2013-08-02 16:05:39.122321	2013-08-03 17:10:32.415514
18156	2	2013-08-02 16:05:39.214423	2013-08-04 17:21:51.621611
7681	21	2013-08-02 16:05:18.181448	2013-08-04 17:23:39.558335
5275	21	2013-08-02 16:05:13.563187	2013-08-03 23:11:28.201464
10895	14	2013-08-02 16:05:24.310437	2013-08-08 01:02:59.26108
18182	2	2013-08-02 16:05:39.239213	2013-08-02 16:05:39.239213
18118	21	2013-08-02 16:05:39.173734	2013-08-03 17:35:05.229783
18184	4	2013-08-02 16:05:39.240731	2013-08-02 16:05:39.240731
13587	14	2013-08-02 16:05:29.764531	2013-08-08 01:02:59.262439
43563	14	2013-08-02 16:06:35.896128	2013-08-08 01:02:59.263731
18187	7	2013-08-02 16:05:39.243328	2013-08-02 16:05:39.243328
14480	14	2013-08-02 16:05:31.941729	2013-08-08 01:02:59.265832
32301	14	2013-08-02 16:06:11.048377	2013-08-03 23:21:59.14496
13607	14	2013-08-02 16:05:29.789078	2013-08-08 01:02:59.267717
11801	14	2013-08-02 16:05:26.47948	2013-08-04 00:04:48.103567
18194	14	2013-08-02 16:05:39.250651	2013-08-02 16:05:39.250651
14111	4	2013-08-02 16:05:30.967878	2013-08-03 21:19:21.318233
18086	21	2013-08-02 16:05:39.126008	2013-08-03 21:21:38.132745
18202	2	2013-08-02 16:05:39.258577	2013-08-02 16:05:39.258577
18198	7	2013-08-02 16:05:39.254454	2013-08-03 17:42:03.573287
18204	4	2013-08-02 16:05:39.260378	2013-08-02 16:05:39.260378
18207	7	2013-08-02 16:05:39.264267	2013-08-02 16:05:39.264267
18197	7	2013-08-02 16:05:39.253595	2013-08-03 02:40:51.482267
38615	7	2013-08-02 16:06:25.694319	2013-08-03 21:24:21.088686
9781	7	2013-08-02 16:05:22.993234	2013-08-03 21:24:21.098445
18178	7	2013-08-02 16:05:39.23562	2013-08-03 17:42:03.582444
18158	7	2013-08-02 16:05:39.216122	2013-08-03 17:42:03.592898
18138	7	2013-08-02 16:05:39.196858	2013-08-03 17:42:03.601563
11821	7	2013-08-02 16:05:26.5316	2013-08-03 17:59:16.873984
5205	14	2013-08-02 16:05:13.484136	2013-08-04 00:07:38.995792
11881	4	2013-08-02 16:05:26.686529	2013-08-03 17:59:16.880208
9037	21	2013-08-02 16:05:21.325543	2013-08-03 21:29:20.881698
11921	2	2013-08-02 16:05:26.783634	2013-08-03 17:59:16.884764
18097	7	2013-08-02 16:05:39.138563	2013-08-03 18:19:03.146781
18152	4	2013-08-02 16:05:39.211179	2013-08-03 18:19:03.150696
18192	2	2013-08-02 16:05:39.248884	2013-08-03 18:19:03.153481
18172	7	2013-08-02 16:05:39.230301	2013-08-03 18:22:13.179126
18105	21	2013-08-02 16:05:39.151305	2013-08-03 18:22:13.531948
18132	7	2013-08-02 16:05:39.190719	2013-08-03 18:22:13.82983
11861	7	2013-08-02 16:05:26.635787	2013-08-03 18:22:13.840196
18205	7	2013-08-02 16:05:39.261993	2013-08-03 18:22:13.852898
18185	7	2013-08-02 16:05:39.241466	2013-08-03 18:22:13.864257
18165	7	2013-08-02 16:05:39.224128	2013-08-03 18:22:13.875294
18214	14	2013-08-02 16:05:39.272192	2013-08-02 16:05:39.272192
32118	2	2013-08-02 16:06:10.627124	2013-08-04 17:21:51.268112
18223	2	2013-08-02 16:05:39.281939	2013-08-03 17:10:32.344878
18290	21	2013-08-02 16:05:39.355952	2013-08-03 20:32:24.53785
18356	2	2013-08-02 16:05:39.42421	2013-08-04 17:21:51.280501
18357	21	2013-08-02 16:05:39.426149	2013-08-04 00:11:54.182212
18343	21	2013-08-02 16:05:39.405113	2013-08-04 00:11:54.206169
18222	2	2013-08-02 16:05:39.280449	2013-08-02 16:05:39.280449
18283	21	2013-08-02 16:05:39.347443	2013-08-03 17:35:04.733685
18224	4	2013-08-02 16:05:39.282802	2013-08-02 16:05:39.282802
18311	2	2013-08-02 16:05:39.378503	2013-08-04 00:12:20.503906
18233	4	2013-08-02 16:05:39.292266	2013-08-03 22:11:23.031446
18227	7	2013-08-02 16:05:39.286272	2013-08-02 16:05:39.286272
31530	2	2013-08-02 16:06:09.157151	2013-08-04 01:21:00.492905
18273	2	2013-08-02 16:05:39.336298	2013-08-03 22:11:23.0338
31490	2	2013-08-02 16:06:09.054304	2013-08-04 01:21:00.497656
6400	4	2013-08-02 16:05:16.063918	2013-08-04 02:20:53.081376
18234	14	2013-08-02 16:05:39.293171	2013-08-02 16:05:39.293171
18350	4	2013-08-02 16:05:39.414708	2013-08-04 02:20:53.092855
18275	21	2013-08-02 16:05:39.338635	2013-08-03 17:35:04.737416
18317	7	2013-08-02 16:05:39.383345	2013-08-03 19:25:19.076276
18336	2	2013-08-02 16:05:39.397143	2013-08-04 17:21:51.292258
18316	2	2013-08-02 16:05:39.382622	2013-08-04 17:21:51.304195
18253	21	2013-08-02 16:05:39.314988	2013-08-03 22:11:23.274595
18242	2	2013-08-02 16:05:39.301636	2013-08-02 16:05:39.301636
18255	21	2013-08-02 16:05:39.31683	2013-08-03 17:35:04.740457
18244	4	2013-08-02 16:05:39.304109	2013-08-02 16:05:39.304109
18293	4	2013-08-02 16:05:39.359453	2013-08-04 02:20:53.104065
18247	7	2013-08-02 16:05:39.307433	2013-08-02 16:05:39.307433
18241	14	2013-08-02 16:05:39.300733	2013-08-03 19:25:19.133052
18239	4	2013-08-02 16:05:39.298193	2013-08-04 02:20:53.114955
18219	4	2013-08-02 16:05:39.277643	2013-08-04 02:20:53.125906
36415	2	2013-08-02 16:06:20.832119	2013-08-04 02:20:53.352432
18254	14	2013-08-02 16:05:39.315905	2013-08-02 16:05:39.315905
18360	2	2013-08-02 16:05:39.43046	2013-08-04 02:20:53.356547
18309	14	2013-08-02 16:05:39.376844	2013-08-04 20:05:05.031313
2420	14	2013-08-02 16:05:08.731127	2013-08-03 19:52:28.600969
34501	2	2013-08-02 16:06:15.859419	2013-08-04 02:20:53.361767
18262	2	2013-08-02 16:05:39.324189	2013-08-02 16:05:39.324189
18235	21	2013-08-02 16:05:39.294028	2013-08-03 17:35:04.743446
18264	4	2013-08-02 16:05:39.326008	2013-08-02 16:05:39.326008
18267	7	2013-08-02 16:05:39.329435	2013-08-02 16:05:39.329435
18257	4	2013-08-02 16:05:39.318657	2013-08-03 02:40:51.493159
18359	2	2013-08-02 16:05:39.428796	2013-08-04 02:20:53.371726
18339	2	2013-08-02 16:05:39.400526	2013-08-04 02:20:53.381655
18319	2	2013-08-02 16:05:39.384771	2013-08-04 02:20:53.392979
15691	2	2013-08-02 16:05:33.977108	2013-08-04 02:25:50.122146
18274	14	2013-08-02 16:05:39.337172	2013-08-02 16:05:39.337172
437	4	2013-08-02 16:05:04.775581	2013-08-04 02:25:50.294215
18289	21	2013-08-02 16:05:39.355063	2013-08-04 20:05:17.489675
18333	14	2013-08-02 16:05:39.394568	2013-08-03 22:11:42.760868
2500	7	2013-08-02 16:05:08.844237	2013-08-03 19:52:28.728757
18301	21	2013-08-02 16:05:39.369364	2013-08-04 20:05:29.094441
46743	4	2013-08-02 16:06:43.456469	2013-08-04 02:25:50.304269
22231	4	2013-08-02 16:05:48.094098	2013-08-04 02:25:50.314402
18282	2	2013-08-02 16:05:39.345996	2013-08-02 16:05:39.345996
18215	21	2013-08-02 16:05:39.273219	2013-08-03 17:35:04.74659
18284	4	2013-08-02 16:05:39.349171	2013-08-02 16:05:39.349171
32038	2	2013-08-02 16:06:10.453849	2013-08-03 19:52:28.806292
15676	4	2013-08-02 16:05:33.958046	2013-08-04 02:25:50.324497
18287	7	2013-08-02 16:05:39.353383	2013-08-02 16:05:39.353383
18229	21	2013-08-02 16:05:39.288107	2013-08-04 20:07:36.37774
5097	2	2013-08-02 16:05:13.303746	2013-08-04 02:25:50.423926
18660	2	2013-08-02 16:05:40.020873	2013-08-04 02:25:50.428154
3709	2	2013-08-02 16:05:11.025402	2013-08-04 02:25:50.432554
12581	2	2013-08-02 16:05:28.30461	2013-08-04 02:25:50.436896
18294	14	2013-08-02 16:05:39.360332	2013-08-02 16:05:39.360332
1724	2	2013-08-02 16:05:07.268441	2013-08-04 02:25:50.456446
18349	4	2013-08-02 16:05:39.413487	2013-08-04 20:07:37.428662
18277	14	2013-08-02 16:05:39.340585	2013-08-03 17:11:37.453421
22331	4	2013-08-02 16:05:48.334645	2013-08-04 02:25:50.631825
18269	4	2013-08-02 16:05:39.331954	2013-08-04 20:07:37.910868
4518	14	2013-08-02 16:05:12.695628	2013-08-03 19:52:29.096402
22311	4	2013-08-02 16:05:48.286968	2013-08-04 02:25:50.640889
18302	2	2013-08-02 16:05:39.370291	2013-08-02 16:05:39.370291
18315	14	2013-08-02 16:05:39.381897	2013-08-03 17:35:20.597948
18304	4	2013-08-02 16:05:39.372126	2013-08-02 16:05:39.372126
4464	14	2013-08-02 16:05:12.636287	2013-08-03 19:52:29.106707
22260	4	2013-08-02 16:05:48.163592	2013-08-04 02:25:50.644326
18307	7	2013-08-02 16:05:39.375069	2013-08-02 16:05:39.375069
18297	2	2013-08-02 16:05:39.363652	2013-08-03 02:40:51.500427
22200	4	2013-08-02 16:05:48.01708	2013-08-04 02:25:50.647741
2377	2	2013-08-02 16:05:08.6761	2013-08-04 20:07:37.983306
16046	14	2013-08-02 16:05:34.47931	2013-08-03 21:19:21.592285
18249	7	2013-08-02 16:05:39.310124	2013-08-04 20:07:38.335953
18314	14	2013-08-02 16:05:39.381119	2013-08-02 16:05:39.381119
32360	14	2013-08-02 16:06:11.179519	2013-08-03 19:52:29.411106
40775	14	2013-08-02 16:06:29.443162	2013-08-08 01:02:59.270023
13650	14	2013-08-02 16:05:29.892026	2013-08-08 01:02:59.273112
32300	2	2013-08-02 16:06:11.047249	2013-08-03 19:52:29.434869
13627	14	2013-08-02 16:05:29.829634	2013-08-08 01:02:59.275758
13647	14	2013-08-02 16:05:29.883725	2013-08-08 01:02:59.278429
48415	14	2013-08-02 16:06:46.520019	2013-08-08 01:02:59.281031
18322	2	2013-08-02 16:05:39.386923	2013-08-02 16:05:39.386923
23375	14	2013-08-02 16:05:51.081429	2013-08-08 01:02:59.332121
18324	4	2013-08-02 16:05:39.38839	2013-08-02 16:05:39.38839
13687	14	2013-08-02 16:05:29.98542	2013-08-08 01:02:59.334939
18313	2	2013-08-02 16:05:39.38025	2013-08-03 22:31:49.42482
18327	7	2013-08-02 16:05:39.390475	2013-08-02 16:05:39.390475
1447	4	2013-08-02 16:05:06.613876	2013-08-03 21:19:21.824504
4409	14	2013-08-02 16:05:12.565953	2013-08-03 23:11:28.242027
15957	14	2013-08-02 16:05:34.366528	2013-08-08 01:02:59.337049
2478	7	2013-08-02 16:05:08.823945	2013-08-03 19:54:07.511461
13756	14	2013-08-02 16:05:30.122104	2013-08-08 01:02:59.340043
18334	14	2013-08-02 16:05:39.395255	2013-08-02 16:05:39.395255
13707	14	2013-08-02 16:05:30.03425	2013-08-08 01:02:59.341784
13806	14	2013-08-02 16:05:30.250104	2013-08-08 01:02:59.343501
13775	21	2013-08-02 16:05:30.171777	2013-08-08 01:02:59.601009
31918	14	2013-08-02 16:06:10.207141	2013-08-03 20:02:25.577633
13727	14	2013-08-02 16:05:30.085055	2013-08-08 01:02:59.702608
12639	21	2013-08-02 16:05:28.402433	2013-08-03 23:11:28.589238
18310	7	2013-08-02 16:05:39.377674	2013-08-03 21:24:21.069469
18342	2	2013-08-02 16:05:39.403857	2013-08-02 16:05:39.403857
18363	7	2013-08-02 16:05:39.436735	2013-08-03 21:24:21.078046
18344	4	2013-08-02 16:05:39.407013	2013-08-02 16:05:39.407013
12645	21	2013-08-02 16:05:28.41109	2013-08-03 23:11:28.593046
12619	21	2013-08-02 16:05:28.378792	2013-08-03 23:11:28.596635
18347	7	2013-08-02 16:05:39.410416	2013-08-02 16:05:39.410416
22961	21	2013-08-02 16:05:49.975311	2013-08-03 23:11:28.600145
13755	14	2013-08-02 16:05:30.119545	2013-08-08 01:02:59.705959
13747	14	2013-08-02 16:05:30.108765	2013-08-08 01:02:59.709031
18354	14	2013-08-02 16:05:39.420436	2013-08-02 16:05:39.420436
23101	7	2013-08-02 16:05:50.456864	2013-08-03 21:25:17.989822
12599	21	2013-08-02 16:05:28.340401	2013-08-03 23:11:28.603714
18346	4	2013-08-02 16:05:39.409201	2013-08-03 21:25:17.992201
12595	21	2013-08-02 16:05:28.332432	2013-08-03 23:11:28.607321
18362	2	2013-08-02 16:05:39.434865	2013-08-02 16:05:39.434865
18358	4	2013-08-02 16:05:39.427494	2013-08-03 17:42:03.489842
18364	4	2013-08-02 16:05:39.438651	2013-08-02 16:05:39.438651
40735	21	2013-08-02 16:06:29.359533	2013-08-03 23:11:28.610836
12579	21	2013-08-02 16:05:28.30066	2013-08-03 23:11:28.613641
18367	7	2013-08-02 16:05:39.444923	2013-08-02 16:05:39.444923
18338	4	2013-08-02 16:05:39.398938	2013-08-03 17:42:03.496589
18318	4	2013-08-02 16:05:39.384033	2013-08-03 17:42:03.505604
18298	4	2013-08-02 16:05:39.364737	2013-08-03 17:42:03.515597
18278	4	2013-08-02 16:05:39.341446	2013-08-03 17:42:03.525753
18258	7	2013-08-02 16:05:39.319571	2013-08-03 17:42:03.54644
18238	7	2013-08-02 16:05:39.297368	2013-08-03 17:42:03.555637
18218	7	2013-08-02 16:05:39.27675	2013-08-03 17:42:03.56371
18286	2	2013-08-02 16:05:39.351722	2013-08-03 21:29:20.471668
31510	7	2013-08-02 16:06:09.105894	2013-08-03 23:12:12.556117
9599	7	2013-08-02 16:05:22.718654	2013-08-03 17:59:16.911235
18366	21	2013-08-02 16:05:39.442598	2013-08-03 21:30:23.209209
18365	7	2013-08-02 16:05:39.440645	2013-08-03 18:22:13.705513
18345	7	2013-08-02 16:05:39.408098	2013-08-03 18:22:13.762257
18325	7	2013-08-02 16:05:39.38912	2013-08-03 18:22:13.769349
18305	7	2013-08-02 16:05:39.373143	2013-08-03 18:22:13.774184
18285	7	2013-08-02 16:05:39.350851	2013-08-03 18:22:13.780056
18265	7	2013-08-02 16:05:39.327482	2013-08-03 18:22:13.787362
27281	4	2013-08-02 16:05:59.323607	2013-08-03 23:12:12.567302
18326	21	2013-08-02 16:05:39.389799	2013-08-03 21:30:42.810226
18331	14	2013-08-02 16:05:39.393227	2013-08-04 00:07:58.338492
18330	21	2013-08-02 16:05:39.39252	2013-08-04 00:08:21.352017
1627	14	2013-08-02 16:05:07.026575	2013-08-04 00:10:39.231905
45563	21	2013-08-02 16:06:40.744228	2013-08-04 00:11:54.183361
18381	4	2013-08-02 16:05:39.477045	2013-08-03 19:25:19.087093
26488	4	2013-08-02 16:05:57.215464	2013-08-04 17:16:56.504127
18374	14	2013-08-02 16:05:39.460421	2013-08-02 16:05:39.460421
18370	14	2013-08-02 16:05:39.451466	2013-08-03 20:34:52.839111
18421	2	2013-08-02 16:05:39.530716	2013-08-03 19:25:19.094881
26468	4	2013-08-02 16:05:57.163743	2013-08-04 17:16:56.514946
41458	4	2013-08-02 16:06:31.206523	2013-08-03 21:19:22.118147
18382	2	2013-08-02 16:05:39.479247	2013-08-02 16:05:39.479247
18471	2	2013-08-02 16:05:39.610088	2013-08-04 00:15:38.104826
18384	4	2013-08-02 16:05:39.481859	2013-08-02 16:05:39.481859
34761	2	2013-08-02 16:06:16.491091	2013-08-04 01:21:00.479821
18377	7	2013-08-02 16:05:39.467684	2013-08-03 22:11:42.771021
18387	7	2013-08-02 16:05:39.484524	2013-08-02 16:05:39.484524
5661	2	2013-08-02 16:05:14.334232	2013-08-04 01:21:00.483934
18375	2	2013-08-02 16:05:39.462603	2013-08-04 01:21:00.488389
18519	2	2013-08-02 16:05:39.683126	2013-08-04 02:20:53.30711
18451	2	2013-08-02 16:05:39.573848	2013-08-04 02:20:53.311109
18499	2	2013-08-02 16:05:39.653903	2013-08-04 02:20:53.31475
18394	14	2013-08-02 16:05:39.492632	2013-08-02 16:05:39.492632
18441	4	2013-08-02 16:05:39.557318	2013-08-04 20:05:05.054825
18413	4	2013-08-02 16:05:39.519864	2013-08-03 22:11:42.777598
18479	2	2013-08-02 16:05:39.628163	2013-08-04 02:20:53.319394
18523	7	2013-08-02 16:05:39.688289	2013-08-03 19:29:58.53583
18453	2	2013-08-02 16:05:39.577043	2013-08-03 22:11:42.77934
18402	2	2013-08-02 16:05:39.50597	2013-08-02 16:05:39.50597
18404	4	2013-08-02 16:05:39.508024	2013-08-02 16:05:39.508024
18340	2	2013-08-02 16:05:39.401739	2013-08-04 02:20:53.32546
18459	2	2013-08-02 16:05:39.587983	2013-08-04 02:20:53.330622
18407	7	2013-08-02 16:05:39.511436	2013-08-02 16:05:39.511436
18439	2	2013-08-02 16:05:39.553894	2013-08-04 02:20:53.3363
18419	2	2013-08-02 16:05:39.527676	2013-08-04 02:20:53.340599
18399	2	2013-08-02 16:05:39.500758	2013-08-04 02:20:53.344519
18414	14	2013-08-02 16:05:39.521095	2013-08-02 16:05:39.521095
18521	4	2013-08-02 16:05:39.685683	2013-08-03 19:29:58.540123
18397	2	2013-08-02 16:05:39.497206	2013-08-04 20:05:05.062025
18423	7	2013-08-02 16:05:39.533006	2013-08-03 17:11:37.475954
18379	2	2013-08-02 16:05:39.472626	2013-08-04 02:20:53.348474
18461	7	2013-08-02 16:05:39.591373	2013-08-03 19:32:38.035328
18422	2	2013-08-02 16:05:39.531831	2013-08-02 16:05:39.531831
18393	21	2013-08-02 16:05:39.490487	2013-08-03 22:11:43.151227
18424	4	2013-08-02 16:05:39.533885	2013-08-02 16:05:39.533885
18473	14	2013-08-02 16:05:39.614213	2013-08-03 22:11:43.245793
18433	21	2013-08-02 16:05:39.545109	2013-08-03 22:11:43.368354
18427	7	2013-08-02 16:05:39.538199	2013-08-02 16:05:39.538199
18445	21	2013-08-02 16:05:39.563245	2013-08-03 22:14:25.196921
18513	21	2013-08-02 16:05:39.676227	2013-08-03 22:14:25.200366
22220	4	2013-08-02 16:05:48.067795	2013-08-04 02:25:50.651032
22291	4	2013-08-02 16:05:48.238924	2013-08-04 02:25:50.656196
22271	4	2013-08-02 16:05:48.190164	2013-08-04 02:25:50.662439
18434	14	2013-08-02 16:05:39.546381	2013-08-02 16:05:39.546381
2292	4	2013-08-02 16:05:08.579889	2013-08-03 19:53:48.061563
18493	21	2013-08-02 16:05:39.646878	2013-08-03 22:14:25.203831
18389	21	2013-08-02 16:05:39.486357	2013-08-04 20:05:29.123436
20578	4	2013-08-02 16:05:44.479385	2013-08-04 02:25:50.673786
4666	4	2013-08-02 16:05:12.843895	2013-08-04 02:25:50.684913
18442	2	2013-08-02 16:05:39.558783	2013-08-02 16:05:39.558783
18455	7	2013-08-02 16:05:39.58131	2013-08-03 17:35:20.607427
18444	4	2013-08-02 16:05:39.561775	2013-08-02 16:05:39.561775
18525	21	2013-08-02 16:05:39.690768	2013-08-03 22:14:25.207212
18373	4	2013-08-02 16:05:39.458282	2013-08-03 22:22:06.976513
18447	7	2013-08-02 16:05:39.566908	2013-08-02 16:05:39.566908
18483	4	2013-08-02 16:05:39.635389	2013-08-03 17:11:37.486152
26773	2	2013-08-02 16:05:58.068244	2013-08-04 02:25:50.815836
26753	2	2013-08-02 16:05:58.018449	2013-08-04 02:25:50.827066
2218	14	2013-08-02 16:05:08.498988	2013-08-03 19:57:25.431824
26733	2	2013-08-02 16:05:57.992456	2013-08-04 02:25:50.893947
18454	14	2013-08-02 16:05:39.579112	2013-08-02 16:05:39.579112
17721	7	2013-08-02 16:05:38.600446	2013-08-03 19:58:42.367371
18415	2	2013-08-02 16:05:39.522861	2013-08-04 20:07:35.052508
18503	2	2013-08-02 16:05:39.660287	2013-08-03 17:11:37.48955
14213	7	2013-08-02 16:05:31.219764	2013-08-03 21:21:27.407287
18383	21	2013-08-02 16:05:39.481011	2013-08-04 20:07:36.375964
18386	2	2013-08-02 16:05:39.483604	2013-08-03 22:22:06.979402
1602	21	2013-08-02 16:05:06.975881	2013-08-03 22:22:07.092549
18462	2	2013-08-02 16:05:39.593497	2013-08-02 16:05:39.593497
18464	4	2013-08-02 16:05:39.596872	2013-08-02 16:05:39.596872
10500	2	2013-08-02 16:05:23.801968	2013-08-04 02:25:50.900665
18467	7	2013-08-02 16:05:39.602749	2013-08-02 16:05:39.602749
43785	2	2013-08-02 16:06:36.660407	2013-08-03 23:12:31.800479
26713	2	2013-08-02 16:05:57.79169	2013-08-04 02:25:50.906459
13039	2	2013-08-02 16:05:29.093604	2013-08-04 02:25:50.911808
26693	2	2013-08-02 16:05:57.738868	2013-08-04 02:25:50.917005
18474	14	2013-08-02 16:05:39.617833	2013-08-02 16:05:39.617833
1582	14	2013-08-02 16:05:06.937468	2013-08-04 20:09:49.230221
18403	4	2013-08-02 16:05:39.50712	2013-08-03 17:20:35.628437
18482	2	2013-08-02 16:05:39.633684	2013-08-02 16:05:39.633684
34781	7	2013-08-02 16:06:16.543494	2013-08-03 23:12:32.037261
18484	4	2013-08-02 16:05:39.637027	2013-08-02 16:05:39.637027
43805	21	2013-08-02 16:06:36.711471	2013-08-03 23:14:35.025163
18487	7	2013-08-02 16:05:39.639764	2013-08-02 16:05:39.639764
12741	21	2013-08-02 16:05:28.609432	2013-08-03 23:14:35.451791
12839	21	2013-08-02 16:05:28.894133	2013-08-03 23:14:35.455333
2305	7	2013-08-02 16:05:08.600259	2013-08-04 20:09:49.238648
18494	14	2013-08-02 16:05:39.648028	2013-08-02 16:05:39.648028
18509	2	2013-08-02 16:05:39.671264	2013-08-04 20:12:37.32352
18515	4	2013-08-02 16:05:39.678482	2013-08-03 17:35:20.610584
18469	2	2013-08-02 16:05:39.606329	2013-08-04 20:12:37.773536
18409	7	2013-08-02 16:05:39.514233	2013-08-04 20:12:38.560243
5720	7	2013-08-02 16:05:14.47661	2013-08-04 20:12:39.33911
18371	7	2013-08-02 16:05:39.453709	2013-08-04 00:07:58.360763
18502	2	2013-08-02 16:05:39.658749	2013-08-02 16:05:39.658749
18435	7	2013-08-02 16:05:39.548326	2013-08-03 17:42:02.059006
18504	4	2013-08-02 16:05:39.662013	2013-08-02 16:05:39.662013
13451	7	2013-08-02 16:05:29.504641	2013-08-04 20:12:39.750648
15450	2	2013-08-02 16:05:33.744668	2013-08-04 20:12:39.844475
18507	7	2013-08-02 16:05:39.667177	2013-08-02 16:05:39.667177
18458	21	2013-08-02 16:05:39.586434	2013-08-03 17:42:03.463452
18489	4	2013-08-02 16:05:39.641808	2013-08-04 20:12:39.999888
18505	4	2013-08-02 16:05:39.663683	2013-08-04 20:12:40.004311
18429	4	2013-08-02 16:05:39.539922	2013-08-04 20:22:39.145263
18514	14	2013-08-02 16:05:39.67712	2013-08-02 16:05:39.67712
13697	14	2013-08-02 16:05:30.009778	2013-08-08 01:02:59.712119
13800	14	2013-08-02 16:05:30.235798	2013-08-08 01:02:59.715311
18438	4	2013-08-02 16:05:39.552406	2013-08-03 17:42:03.473553
13786	14	2013-08-02 16:05:30.200602	2013-08-08 01:02:59.718346
13767	14	2013-08-02 16:05:30.151551	2013-08-08 01:02:59.721428
13780	14	2013-08-02 16:05:30.184596	2013-08-08 01:02:59.724553
4839	14	2013-08-02 16:05:13.04439	2013-08-04 00:08:09.238887
18522	2	2013-08-02 16:05:39.687153	2013-08-02 16:05:39.687153
18418	4	2013-08-02 16:05:39.526539	2013-08-03 17:42:03.478145
18524	4	2013-08-02 16:05:39.689478	2013-08-02 16:05:39.689478
18491	21	2013-08-02 16:05:39.644288	2013-08-04 00:08:21.352892
13787	14	2013-08-02 16:05:30.203227	2013-08-08 01:02:59.727608
18488	21	2013-08-02 16:05:39.640798	2013-08-03 02:26:55.470059
13807	14	2013-08-02 16:05:30.252444	2013-08-08 01:02:59.730701
18508	2	2013-08-02 16:05:39.669515	2013-08-03 02:26:55.860589
18398	4	2013-08-02 16:05:39.498621	2013-08-03 17:42:03.482249
18378	4	2013-08-02 16:05:39.470426	2013-08-03 17:42:03.486241
18518	14	2013-08-02 16:05:39.682295	2013-08-03 17:42:03.901555
18498	7	2013-08-02 16:05:39.652423	2013-08-03 17:42:03.908854
16012	14	2013-08-02 16:05:34.43726	2013-08-08 01:02:59.733884
11672	4	2013-08-02 16:05:26.155788	2013-08-03 17:59:16.915504
13811	14	2013-08-02 16:05:30.261883	2013-08-08 01:02:59.737012
13791	14	2013-08-02 16:05:30.213841	2013-08-08 01:02:59.740069
13683	14	2013-08-02 16:05:29.974619	2013-08-08 01:02:59.743078
13721	14	2013-08-02 16:05:30.069192	2013-08-08 01:02:59.746255
22457	7	2013-08-02 16:05:48.765253	2013-08-03 17:59:16.947083
13761	14	2013-08-02 16:05:30.135438	2013-08-08 01:02:59.749309
18425	7	2013-08-02 16:05:39.53562	2013-08-03 18:22:13.694501
18405	7	2013-08-02 16:05:39.509395	2013-08-03 18:22:13.698418
18385	7	2013-08-02 16:05:39.482709	2013-08-03 18:22:13.701625
18472	21	2013-08-02 16:05:39.612288	2013-08-03 18:22:14.813368
18452	21	2013-08-02 16:05:39.575428	2013-08-03 18:22:14.817318
18432	21	2013-08-02 16:05:39.544236	2013-08-03 18:22:14.820856
18412	21	2013-08-02 16:05:39.518257	2013-08-03 18:22:14.824609
18392	21	2013-08-02 16:05:39.489027	2013-08-03 18:22:14.827431
18463	14	2013-08-02 16:05:39.595191	2013-08-03 18:23:21.004851
5166	7	2013-08-02 16:05:13.423544	2013-08-03 18:23:21.03083
18465	21	2013-08-02 16:05:39.598548	2013-08-03 18:27:14.580545
18468	21	2013-08-02 16:05:39.604486	2013-08-03 18:27:14.581506
18512	21	2013-08-02 16:05:39.675364	2013-08-03 18:27:14.583359
18527	7	2013-08-02 16:05:39.694816	2013-08-02 16:05:39.694816
18537	2	2013-08-02 16:05:39.716134	2013-08-03 02:41:45.107636
18530	21	2013-08-02 16:05:39.700054	2013-08-03 22:14:25.188402
18571	14	2013-08-02 16:05:39.787905	2013-08-04 00:10:38.751797
26448	4	2013-08-02 16:05:57.110336	2013-08-04 17:16:56.525805
45743	14	2013-08-02 16:06:40.946971	2013-08-04 00:10:39.023718
18534	14	2013-08-02 16:05:39.708374	2013-08-02 16:05:39.708374
18533	21	2013-08-02 16:05:39.706577	2013-08-03 22:14:25.19059
18549	4	2013-08-02 16:05:39.73316	2013-08-04 20:09:49.241211
18557	2	2013-08-02 16:05:39.750477	2013-08-03 19:29:58.542745
26988	21	2013-08-02 16:05:58.604086	2013-08-04 17:16:56.552905
18561	21	2013-08-02 16:05:39.761268	2013-08-04 00:11:54.184474
18551	7	2013-08-02 16:05:39.737287	2013-08-04 00:12:04.785827
18542	2	2013-08-02 16:05:39.724111	2013-08-02 16:05:39.724111
17900	21	2013-08-02 16:05:38.79214	2013-08-03 22:14:25.193547
18544	4	2013-08-02 16:05:39.726318	2013-08-02 16:05:39.726318
26968	21	2013-08-02 16:05:58.561089	2013-08-04 17:16:56.555493
18547	7	2013-08-02 16:05:39.730218	2013-08-02 16:05:39.730218
1527	4	2013-08-02 16:05:06.809106	2013-08-03 21:21:27.413158
26948	21	2013-08-02 16:05:58.507383	2013-08-04 17:16:56.556684
26928	2	2013-08-02 16:05:58.45781	2013-08-04 17:16:56.56291
18631	21	2013-08-02 16:05:39.944217	2013-08-04 00:25:50.301376
18581	2	2013-08-02 16:05:39.813441	2013-08-04 01:00:53.48682
18554	14	2013-08-02 16:05:39.74404	2013-08-02 16:05:39.74404
18593	14	2013-08-02 16:05:39.844205	2013-08-03 22:14:56.825897
18569	2	2013-08-02 16:05:39.782568	2013-08-04 20:09:49.243038
26908	2	2013-08-02 16:05:58.41002	2013-08-04 17:16:56.567058
13250	2	2013-08-02 16:05:29.322481	2013-08-04 17:16:56.570853
18621	7	2013-08-02 16:05:39.916675	2013-08-03 19:34:28.845688
5929	21	2013-08-02 16:05:14.990362	2013-08-03 21:21:38.133672
18562	2	2013-08-02 16:05:39.763902	2013-08-02 16:05:39.763902
18555	2	2013-08-02 16:05:39.746303	2013-08-03 17:35:20.612972
18564	4	2013-08-02 16:05:39.769217	2013-08-02 16:05:39.769217
26633	2	2013-08-02 16:05:57.58813	2013-08-04 02:25:50.947546
26613	2	2013-08-02 16:05:57.536327	2013-08-04 02:25:50.958566
18567	7	2013-08-02 16:05:39.777166	2013-08-02 16:05:39.777166
26920	2	2013-08-02 16:05:58.438715	2013-08-04 17:16:56.574591
26593	2	2013-08-02 16:05:57.481912	2013-08-04 02:25:50.969516
5226	2	2013-08-02 16:05:13.502182	2013-08-04 02:25:51.001036
23370	21	2013-08-02 16:05:51.069196	2013-08-03 21:21:38.13545
2574	4	2013-08-02 16:05:08.919516	2013-08-04 02:25:51.03416
18574	14	2013-08-02 16:05:39.795958	2013-08-02 16:05:39.795958
18661	4	2013-08-02 16:05:40.023558	2013-08-03 19:34:28.849268
18583	14	2013-08-02 16:05:39.818247	2013-08-03 17:16:58.089328
18601	2	2013-08-02 16:05:39.865215	2013-08-04 20:12:36.331225
18637	21	2013-08-02 16:05:39.959249	2013-08-03 19:37:44.067808
18582	2	2013-08-02 16:05:39.815827	2013-08-02 16:05:39.815827
202	4	2013-08-02 16:05:04.519458	2013-08-04 02:25:51.045497
18584	4	2013-08-02 16:05:39.820882	2013-08-02 16:05:39.820882
11841	14	2013-08-02 16:05:26.583035	2013-08-03 21:21:38.280615
11055	4	2013-08-02 16:05:24.589635	2013-08-04 02:25:51.059813
18587	7	2013-08-02 16:05:39.828763	2013-08-02 16:05:39.828763
18529	21	2013-08-02 16:05:39.69826	2013-08-04 20:12:36.396446
18653	7	2013-08-02 16:05:40.001927	2013-08-03 22:14:56.847297
21441	4	2013-08-02 16:05:46.069481	2013-08-04 02:25:51.066958
49975	4	2013-08-02 16:06:50.562285	2013-08-04 02:25:51.074048
21417	4	2013-08-02 16:05:46.010658	2013-08-04 02:25:51.081471
18594	14	2013-08-02 16:05:39.846794	2013-08-02 16:05:39.846794
1660	4	2013-08-02 16:05:07.101523	2013-08-04 02:25:51.08698
4624	7	2013-08-02 16:05:12.807119	2013-08-04 20:12:38.555422
2245	4	2013-08-02 16:05:08.526785	2013-08-04 02:25:51.091557
18540	2	2013-08-02 16:05:39.721805	2013-08-04 20:12:39.003408
2240	4	2013-08-02 16:05:08.520946	2013-08-04 02:25:51.096438
18602	2	2013-08-02 16:05:39.867637	2013-08-02 16:05:39.867637
18535	4	2013-08-02 16:05:39.710575	2013-08-03 17:42:01.113645
18604	4	2013-08-02 16:05:39.8725	2013-08-02 16:05:39.8725
45643	7	2013-08-02 16:06:40.839616	2013-08-03 19:53:48.124341
2130	4	2013-08-02 16:05:08.249239	2013-08-04 02:25:51.122624
18607	7	2013-08-02 16:05:39.879808	2013-08-02 16:05:39.879808
21381	4	2013-08-02 16:05:45.915266	2013-08-04 02:25:51.132135
2105	4	2013-08-02 16:05:08.187032	2013-08-04 02:25:51.14231
23533	4	2013-08-02 16:05:51.456712	2013-08-04 02:25:51.163012
17940	4	2013-08-02 16:05:38.979638	2013-08-04 02:25:51.488742
18683	2	2013-08-02 16:05:40.186292	2013-08-04 20:12:39.009133
18614	14	2013-08-02 16:05:39.897742	2013-08-02 16:05:39.897742
18669	2	2013-08-02 16:05:40.171435	2013-08-04 20:12:39.015259
45703	4	2013-08-02 16:06:40.907006	2013-08-03 19:53:48.131509
45723	2	2013-08-02 16:06:40.930439	2013-08-03 19:53:48.135134
26735	4	2013-08-02 16:05:57.99449	2013-08-04 17:16:56.660333
18573	21	2013-08-02 16:05:39.793303	2013-08-03 22:15:17.063649
26768	4	2013-08-02 16:05:58.055072	2013-08-04 17:16:56.671464
18622	2	2013-08-02 16:05:39.919166	2013-08-02 16:05:39.919166
18675	7	2013-08-02 16:05:40.178135	2013-08-03 17:42:03.154733
18624	4	2013-08-02 16:05:39.924987	2013-08-02 16:05:39.924987
26748	4	2013-08-02 16:05:58.010326	2013-08-04 17:16:56.682274
18627	7	2013-08-02 16:05:39.933551	2013-08-02 16:05:39.933551
18649	2	2013-08-02 16:05:39.991144	2013-08-04 20:12:39.021377
10566	4	2013-08-02 16:05:23.871712	2013-08-04 17:16:56.69314
5524	4	2013-08-02 16:05:14.065068	2013-08-04 17:16:56.731828
18629	2	2013-08-02 16:05:39.938996	2013-08-04 20:12:39.026812
8651	2	2013-08-02 16:05:20.399378	2013-08-04 20:12:39.035831
18634	14	2013-08-02 16:05:39.951641	2013-08-02 16:05:39.951641
34698	2	2013-08-02 16:06:16.326175	2013-08-04 20:12:39.042612
18609	2	2013-08-02 16:05:39.884629	2013-08-04 20:12:39.048812
24232	2	2013-08-02 16:05:52.729157	2013-08-04 20:12:39.05692
45603	2	2013-08-02 16:06:40.792868	2013-08-04 20:12:39.063497
18589	2	2013-08-02 16:05:39.834104	2013-08-04 20:12:39.069959
6679	2	2013-08-02 16:05:16.758306	2013-08-04 20:12:39.076064
45663	14	2013-08-02 16:06:40.860202	2013-08-03 21:37:44.189901
18642	2	2013-08-02 16:05:39.972443	2013-08-02 16:05:39.972443
18655	7	2013-08-02 16:05:40.007297	2013-08-03 17:42:03.159338
18644	4	2013-08-02 16:05:39.977812	2013-08-02 16:05:39.977812
18606	21	2013-08-02 16:05:39.877415	2013-08-03 21:39:32.511887
8786	21	2013-08-02 16:05:20.727717	2013-08-08 01:03:00.14396
18647	7	2013-08-02 16:05:39.98583	2013-08-02 16:05:39.98583
13847	21	2013-08-02 16:05:30.351502	2013-08-08 01:03:00.146855
13867	14	2013-08-02 16:05:30.390424	2013-08-08 01:03:00.17953
13870	14	2013-08-02 16:05:30.394485	2013-08-08 01:03:00.182655
13746	14	2013-08-02 16:05:30.107091	2013-08-08 01:03:00.185773
17780	14	2013-08-02 16:05:38.668427	2013-08-08 01:03:00.18886
18654	14	2013-08-02 16:05:40.004615	2013-08-02 16:05:40.004615
18633	14	2013-08-02 16:05:39.9492	2013-08-03 22:24:24.090864
13887	14	2013-08-02 16:05:30.41866	2013-08-08 01:03:00.192604
13895	14	2013-08-02 16:05:30.439108	2013-08-08 01:03:00.195759
13892	14	2013-08-02 16:05:30.431106	2013-08-08 01:03:00.198818
13907	14	2013-08-02 16:05:30.470795	2013-08-08 01:03:00.20205
18673	14	2013-08-02 16:05:40.175915	2013-08-03 22:40:20.10967
13927	14	2013-08-02 16:05:30.518413	2013-08-08 01:03:00.205197
18662	2	2013-08-02 16:05:40.02624	2013-08-02 16:05:40.02624
18635	7	2013-08-02 16:05:39.954076	2013-08-03 17:42:03.164943
18664	4	2013-08-02 16:05:40.031554	2013-08-02 16:05:40.031554
13960	14	2013-08-02 16:05:30.596919	2013-08-08 01:03:00.209555
12759	2	2013-08-02 16:05:28.653202	2013-08-03 23:14:35.531635
18667	7	2013-08-02 16:05:40.169232	2013-08-02 16:05:40.169232
13920	14	2013-08-02 16:05:30.501865	2013-08-08 01:03:00.213057
12739	2	2013-08-02 16:05:28.604639	2013-08-03 23:14:35.543974
13947	14	2013-08-02 16:05:30.565868	2013-08-08 01:03:00.216093
12788	2	2013-08-02 16:05:28.725259	2013-08-03 23:14:35.556407
15945	14	2013-08-02 16:05:34.355449	2013-08-08 01:03:00.219337
18674	14	2013-08-02 16:05:40.17704	2013-08-02 16:05:40.17704
12719	2	2013-08-02 16:05:28.556276	2013-08-03 23:14:35.568198
11655	14	2013-08-02 16:05:26.110938	2013-08-08 01:03:00.262561
31638	7	2013-08-02 16:06:09.420496	2013-08-03 23:15:36.925915
18682	2	2013-08-02 16:05:40.185284	2013-08-02 16:05:40.185284
18615	7	2013-08-02 16:05:39.900384	2013-08-03 17:42:03.171853
18595	7	2013-08-02 16:05:39.849452	2013-08-03 17:42:03.177801
18575	7	2013-08-02 16:05:39.798621	2013-08-03 17:42:03.18517
42700	2	2013-08-02 16:06:34.381307	2013-08-03 23:15:37.020826
17920	4	2013-08-02 16:05:38.824696	2013-08-03 17:59:16.955601
17957	2	2013-08-02 16:05:38.991976	2013-08-03 17:59:16.962661
938	7	2013-08-02 16:05:05.446284	2013-08-03 23:15:56.54722
18580	7	2013-08-02 16:05:39.811045	2013-08-03 18:02:46.546267
18531	7	2013-08-02 16:05:39.702263	2013-08-04 00:08:09.256995
18640	4	2013-08-02 16:05:39.967047	2013-08-03 18:02:46.550832
18680	2	2013-08-02 16:05:40.183263	2013-08-03 18:02:46.554029
12421	2	2013-08-02 16:05:28.013227	2013-08-03 18:03:07.013111
9846	14	2013-08-02 16:05:23.047669	2013-08-03 18:03:07.026154
48855	4	2013-08-02 16:06:47.578127	2013-08-04 00:08:09.26753
21995	4	2013-08-02 16:05:47.521144	2013-08-03 18:03:07.035781
18665	2	2013-08-02 16:05:40.166513	2013-08-03 18:27:13.639051
18645	4	2013-08-02 16:05:39.980454	2013-08-03 18:27:13.64753
18632	14	2013-08-02 16:05:39.946712	2013-08-03 18:30:17.043856
45623	14	2013-08-02 16:06:40.812612	2013-08-04 00:08:21.209358
18684	4	2013-08-02 16:05:40.187246	2013-08-02 16:05:40.187246
11571	4	2013-08-02 16:05:25.960847	2013-08-04 17:16:56.758627
18711	21	2013-08-02 16:05:40.223812	2013-08-04 00:11:54.18554
18687	7	2013-08-02 16:05:40.190758	2013-08-02 16:05:40.190758
18817	21	2013-08-02 16:05:40.415875	2013-08-03 02:42:41.27892
18693	2	2013-08-02 16:05:40.198737	2013-08-03 22:14:56.865504
898	2	2013-08-02 16:05:05.393647	2013-08-04 01:21:00.464035
13163	2	2013-08-02 16:05:29.241627	2013-08-04 01:21:00.469377
18691	2	2013-08-02 16:05:40.196033	2013-08-04 01:21:00.474581
18694	14	2013-08-02 16:05:40.199972	2013-08-02 16:05:40.199972
18721	4	2013-08-02 16:05:40.249293	2013-08-03 19:39:16.519652
18729	2	2013-08-02 16:05:40.25641	2013-08-04 20:12:38.975294
18835	4	2013-08-02 16:05:40.460656	2013-08-03 17:42:03.111835
18690	4	2013-08-02 16:05:40.1947	2013-08-03 20:37:34.053668
5785	4	2013-08-02 16:05:14.63016	2013-08-04 17:16:56.783632
18761	2	2013-08-02 16:05:40.287219	2013-08-03 19:39:16.521832
18692	21	2013-08-02 16:05:40.197402	2013-08-03 20:37:35.202389
18702	2	2013-08-02 16:05:40.211331	2013-08-02 16:05:40.211331
18815	4	2013-08-02 16:05:40.411139	2013-08-03 17:42:03.121148
18704	4	2013-08-02 16:05:40.214525	2013-08-02 16:05:40.214525
5752	4	2013-08-02 16:05:14.551798	2013-08-04 17:16:56.79735
18712	21	2013-08-02 16:05:40.225764	2013-08-03 22:14:57.047882
18707	7	2013-08-02 16:05:40.219065	2013-08-02 16:05:40.219065
23433	4	2013-08-02 16:05:51.233931	2013-08-04 02:25:51.173353
23453	4	2013-08-02 16:05:51.282689	2013-08-04 02:25:51.184035
37317	4	2013-08-02 16:06:22.226595	2013-08-04 02:25:51.312323
37297	4	2013-08-02 16:06:22.189854	2013-08-04 02:25:51.316817
18714	14	2013-08-02 16:05:40.231128	2013-08-02 16:05:40.231128
37277	4	2013-08-02 16:06:22.153079	2013-08-04 02:25:51.320986
4664	2	2013-08-02 16:05:12.842194	2013-08-04 20:12:38.981085
18723	7	2013-08-02 16:05:40.250874	2013-08-03 17:16:58.114567
11958	4	2013-08-02 16:05:26.879651	2013-08-04 17:16:56.807486
32881	4	2013-08-02 16:06:12.605015	2013-08-04 17:16:56.811538
37257	4	2013-08-02 16:06:22.125022	2013-08-04 02:25:51.325632
18722	2	2013-08-02 16:05:40.250092	2013-08-02 16:05:40.250092
18795	4	2013-08-02 16:05:40.359486	2013-08-03 17:42:03.125211
18724	4	2013-08-02 16:05:40.251761	2013-08-02 16:05:40.251761
4668	7	2013-08-02 16:05:12.845477	2013-08-03 19:53:48.196812
37237	4	2013-08-02 16:06:22.100488	2013-08-04 02:25:51.329863
18727	7	2013-08-02 16:05:40.254322	2013-08-02 16:05:40.254322
37217	4	2013-08-02 16:06:22.072236	2013-08-04 02:25:51.33474
18112	14	2013-08-02 16:05:39.164177	2013-08-03 22:25:41.196089
37657	2	2013-08-02 16:06:23.079531	2013-08-04 02:25:51.401623
37637	2	2013-08-02 16:06:23.031169	2013-08-04 02:25:51.406136
37617	2	2013-08-02 16:06:22.980295	2013-08-04 02:25:51.410569
18734	14	2013-08-02 16:05:40.263752	2013-08-02 16:05:40.263752
18697	2	2013-08-02 16:05:40.203693	2013-08-03 20:37:35.263783
18741	2	2013-08-02 16:05:40.270567	2013-08-04 20:12:38.986794
18713	14	2013-08-02 16:05:40.228465	2013-08-03 22:25:41.237538
4704	2	2013-08-02 16:05:12.876177	2013-08-03 19:53:48.211099
19320	4	2013-08-02 16:05:41.654555	2013-08-04 17:16:56.815216
24261	7	2013-08-02 16:05:52.755294	2013-08-03 21:21:38.29235
26423	4	2013-08-02 16:05:57.045993	2013-08-04 17:16:56.819019
18742	2	2013-08-02 16:05:40.271472	2013-08-02 16:05:40.271472
18775	4	2013-08-02 16:05:40.311018	2013-08-03 17:42:03.12915
18744	4	2013-08-02 16:05:40.273256	2013-08-02 16:05:40.273256
4018	4	2013-08-02 16:05:11.854445	2013-08-04 17:16:56.822562
7785	4	2013-08-02 16:05:18.301565	2013-08-04 17:16:56.82812
18747	7	2013-08-02 16:05:40.275697	2013-08-02 16:05:40.275697
18757	14	2013-08-02 16:05:40.283932	2013-08-03 02:42:41.291627
20208	4	2013-08-02 16:05:44.092575	2013-08-04 17:16:56.833639
10063	4	2013-08-02 16:05:23.331505	2013-08-04 17:16:56.840993
26703	4	2013-08-02 16:05:57.765654	2013-08-04 17:16:56.849896
18754	14	2013-08-02 16:05:40.281533	2013-08-02 16:05:40.281533
18709	2	2013-08-02 16:05:40.221526	2013-08-04 20:12:38.992446
10186	4	2013-08-02 16:05:23.461846	2013-08-04 17:16:56.860459
24321	4	2013-08-02 16:05:52.813509	2013-08-03 21:21:38.299234
12781	4	2013-08-02 16:05:28.70808	2013-08-04 17:16:56.871274
18793	7	2013-08-02 16:05:40.354084	2013-08-03 22:40:20.117667
24180	2	2013-08-02 16:05:52.668814	2013-08-03 21:21:38.304076
18762	2	2013-08-02 16:05:40.288024	2013-08-02 16:05:40.288024
18755	4	2013-08-02 16:05:40.282327	2013-08-03 17:42:03.13334
18764	4	2013-08-02 16:05:40.289721	2013-08-02 16:05:40.289721
27043	4	2013-08-02 16:05:58.724516	2013-08-04 17:16:56.882101
28163	4	2013-08-02 16:06:01.277529	2013-08-04 17:16:56.892963
18767	7	2013-08-02 16:05:40.295173	2013-08-02 16:05:40.295173
18737	14	2013-08-02 16:05:40.266761	2013-08-03 02:42:41.295813
18689	2	2013-08-02 16:05:40.193366	2013-08-04 20:12:38.997741
18226	7	2013-08-02 16:05:39.284953	2013-08-03 21:21:38.328317
18753	14	2013-08-02 16:05:40.280672	2013-08-04 20:14:42.972196
18774	14	2013-08-02 16:05:40.308823	2013-08-02 16:05:40.308823
18833	4	2013-08-02 16:05:40.455851	2013-08-03 22:40:20.121451
18783	4	2013-08-02 16:05:40.329209	2013-08-03 17:16:58.125275
18341	4	2013-08-02 16:05:39.402838	2013-08-03 21:21:38.329969
18266	2	2013-08-02 16:05:39.328527	2013-08-03 21:21:38.333466
18782	2	2013-08-02 16:05:40.326537	2013-08-02 16:05:40.326537
18735	4	2013-08-02 16:05:40.264785	2013-08-03 17:42:03.137442
18784	4	2013-08-02 16:05:40.331858	2013-08-02 16:05:40.331858
18792	21	2013-08-02 16:05:40.351556	2013-08-03 22:40:20.673829
18787	7	2013-08-02 16:05:40.339226	2013-08-02 16:05:40.339226
18809	7	2013-08-02 16:05:40.396738	2013-08-04 20:14:42.981301
18794	14	2013-08-02 16:05:40.356697	2013-08-02 16:05:40.356697
18813	21	2013-08-02 16:05:40.406385	2013-08-03 22:40:40.88035
18803	2	2013-08-02 16:05:40.381174	2013-08-03 17:16:58.128782
16066	2	2013-08-02 16:05:34.522925	2013-08-03 21:21:38.378937
18829	21	2013-08-02 16:05:40.445629	2013-08-04 20:14:55.883282
18980	21	2013-08-02 16:05:40.795353	2013-08-03 21:24:57.897494
18246	21	2013-08-02 16:05:39.306127	2013-08-03 21:24:57.898432
18802	2	2013-08-02 16:05:40.378492	2013-08-02 16:05:40.378492
18715	7	2013-08-02 16:05:40.233886	2013-08-03 17:42:03.146237
18804	4	2013-08-02 16:05:40.383805	2013-08-02 16:05:40.383805
2360	2	2013-08-02 16:05:08.657703	2013-08-03 21:29:19.893924
18733	21	2013-08-02 16:05:40.262716	2013-08-03 22:44:24.591389
18807	7	2013-08-02 16:05:40.391755	2013-08-02 16:05:40.391755
19266	21	2013-08-02 16:05:41.514685	2013-08-04 20:17:29.505742
18773	2	2013-08-02 16:05:40.306519	2013-08-04 20:17:30.206246
18806	21	2013-08-02 16:05:40.389117	2013-08-04 20:17:30.272528
18814	14	2013-08-02 16:05:40.408755	2013-08-02 16:05:40.408755
18706	4	2013-08-02 16:05:40.217622	2013-08-03 21:37:44.205347
18769	2	2013-08-02 16:05:40.298981	2013-08-04 20:17:30.569838
6320	7	2013-08-02 16:05:15.921847	2013-08-03 23:15:56.677437
18789	7	2013-08-02 16:05:40.344022	2013-08-04 20:17:32.906091
18781	7	2013-08-02 16:05:40.323862	2013-08-04 20:17:33.591805
18822	2	2013-08-02 16:05:40.428306	2013-08-02 16:05:40.428306
18695	7	2013-08-02 16:05:40.201135	2013-08-03 17:42:03.150424
18824	4	2013-08-02 16:05:40.433143	2013-08-02 16:05:40.433143
18749	2	2013-08-02 16:05:40.277331	2013-08-04 20:22:42.012922
30737	4	2013-08-02 16:06:07.131222	2013-08-03 23:15:56.683779
18827	7	2013-08-02 16:05:40.440263	2013-08-02 16:05:40.440263
18570	14	2013-08-02 16:05:39.785259	2013-08-03 21:42:41.526008
13967	14	2013-08-02 16:05:30.613725	2013-08-08 01:03:00.264718
13888	14	2013-08-02 16:05:30.420927	2013-08-08 01:03:00.266498
13917	14	2013-08-02 16:05:30.494746	2013-08-08 01:03:00.268028
13828	14	2013-08-02 16:05:30.306235	2013-08-08 01:03:00.271616
18834	14	2013-08-02 16:05:40.458253	2013-08-02 16:05:40.458253
13930	14	2013-08-02 16:05:30.52555	2013-08-08 01:03:00.273295
8640	21	2013-08-02 16:05:20.370208	2013-08-08 01:03:00.588178
18703	4	2013-08-02 16:05:40.212954	2013-08-03 17:20:35.6183
18746	7	2013-08-02 16:05:40.274885	2013-08-03 21:44:33.866152
13987	14	2013-08-02 16:05:30.661263	2013-08-08 01:03:00.620783
11360	14	2013-08-02 16:05:25.420196	2013-08-08 01:03:00.623812
1440	14	2013-08-02 16:05:06.597505	2013-08-08 01:03:00.626647
18585	14	2013-08-02 16:05:39.823349	2013-08-08 01:03:00.63003
14007	14	2013-08-02 16:05:30.710417	2013-08-08 01:03:00.633048
5624	7	2013-08-02 16:05:14.25829	2013-08-03 23:15:56.754143
11941	4	2013-08-02 16:05:26.832601	2013-08-03 18:02:14.527757
2437	21	2013-08-02 16:05:08.752017	2013-08-03 18:02:14.599785
2505	21	2013-08-02 16:05:08.84848	2013-08-03 18:02:14.602559
2462	21	2013-08-02 16:05:08.775785	2013-08-03 18:02:14.605763
2470	21	2013-08-02 16:05:08.782898	2013-08-03 18:02:14.608882
2442	21	2013-08-02 16:05:08.756448	2013-08-03 18:02:14.611722
2376	21	2013-08-02 16:05:08.674537	2013-08-03 18:02:14.614272
2422	21	2013-08-02 16:05:08.732901	2013-08-03 18:02:14.616859
36612	7	2013-08-02 16:06:21.200163	2013-08-03 23:19:39.415893
878	21	2013-08-02 16:05:05.372509	2013-08-03 23:19:40.132973
18825	21	2013-08-02 16:05:40.435508	2013-08-03 18:27:13.565726
18805	21	2013-08-02 16:05:40.38646	2013-08-03 18:27:13.567246
18785	21	2013-08-02 16:05:40.334422	2013-08-03 18:27:13.568437
18765	21	2013-08-02 16:05:40.291526	2013-08-03 18:27:13.569718
18763	21	2013-08-02 16:05:40.288909	2013-08-03 18:27:13.570868
18685	14	2013-08-02 16:05:40.188304	2013-08-03 18:27:13.602509
18777	7	2013-08-02 16:05:40.315555	2013-08-03 18:30:17.052021
18772	4	2013-08-02 16:05:40.304267	2013-08-03 18:30:17.055086
18950	21	2013-08-02 16:05:40.723153	2013-08-03 20:42:30.633528
18842	2	2013-08-02 16:05:40.477395	2013-08-02 16:05:40.477395
18917	21	2013-08-02 16:05:40.640246	2013-08-03 17:42:03.059701
18844	4	2013-08-02 16:05:40.482123	2013-08-02 16:05:40.482123
18846	2	2013-08-02 16:05:40.486849	2013-08-04 20:14:42.991241
18847	7	2013-08-02 16:05:40.489233	2013-08-02 16:05:40.489233
18849	2	2013-08-02 16:05:40.493943	2013-08-04 20:17:29.480537
18853	2	2013-08-02 16:05:40.501671	2013-08-03 22:40:20.123521
2381	2	2013-08-02 16:05:08.684332	2013-08-04 01:00:53.469809
18854	14	2013-08-02 16:05:40.502426	2013-08-02 16:05:40.502426
18869	2	2013-08-02 16:05:40.522741	2013-08-04 20:17:31.420135
18992	7	2013-08-02 16:05:40.824572	2013-08-04 20:17:32.604425
18983	4	2013-08-02 16:05:40.802627	2013-08-03 17:20:34.270316
18989	2	2013-08-02 16:05:40.817373	2013-08-04 20:17:32.634895
18969	2	2013-08-02 16:05:40.7682	2013-08-04 20:17:32.648992
18949	2	2013-08-02 16:05:40.720802	2013-08-04 20:17:32.661577
35101	2	2013-08-02 16:06:17.475135	2013-08-04 20:17:32.676245
18862	2	2013-08-02 16:05:40.515715	2013-08-02 16:05:40.515715
18895	4	2013-08-02 16:05:40.581545	2013-08-03 17:42:03.080034
18864	4	2013-08-02 16:05:40.517729	2013-08-02 16:05:40.517729
18991	2	2013-08-02 16:05:40.822174	2013-08-04 01:00:53.473534
23237	14	2013-08-02 16:05:50.744348	2013-08-03 22:40:20.548544
18867	7	2013-08-02 16:05:40.520737	2013-08-02 16:05:40.520737
6106	14	2013-08-02 16:05:15.389574	2013-08-03 19:53:48.252538
18953	21	2013-08-02 16:05:40.730315	2013-08-03 22:44:24.584035
18997	2	2013-08-02 16:05:40.836399	2013-08-04 01:00:53.477016
18971	2	2013-08-02 16:05:40.772955	2013-08-04 01:00:53.480057
18951	2	2013-08-02 16:05:40.725549	2013-08-04 01:00:53.483239
18874	14	2013-08-02 16:05:40.528438	2013-08-02 16:05:40.528438
12411	4	2013-08-02 16:05:27.986549	2013-08-04 17:16:57.833404
18929	2	2013-08-02 16:05:40.671398	2013-08-04 20:17:32.688279
18963	4	2013-08-02 16:05:40.753998	2013-08-03 17:20:34.273577
27285	14	2013-08-02 16:05:59.333097	2013-08-03 19:54:07.469277
2816	4	2013-08-02 16:05:09.198647	2013-08-04 17:16:57.843738
18957	21	2013-08-02 16:05:40.739763	2013-08-03 22:44:24.585785
18933	21	2013-08-02 16:05:40.6817	2013-08-03 22:44:24.586985
18882	2	2013-08-02 16:05:40.547477	2013-08-02 16:05:40.547477
18875	4	2013-08-02 16:05:40.529681	2013-08-03 17:42:03.09083
18884	4	2013-08-02 16:05:40.55268	2013-08-02 16:05:40.55268
18913	21	2013-08-02 16:05:40.629612	2013-08-03 22:44:24.588011
18893	21	2013-08-02 16:05:40.576363	2013-08-03 22:44:24.58922
18887	7	2013-08-02 16:05:40.560274	2013-08-02 16:05:40.560274
18909	2	2013-08-02 16:05:40.618908	2013-08-04 20:17:32.694408
18873	21	2013-08-02 16:05:40.527219	2013-08-03 22:44:24.590336
18891	2	2013-08-02 16:05:40.570966	2013-08-04 01:21:00.458642
18930	14	2013-08-02 16:05:40.674097	2013-08-03 20:47:30.227946
35040	2	2013-08-02 16:06:17.326798	2013-08-04 01:50:57.570319
18894	14	2013-08-02 16:05:40.579043	2013-08-02 16:05:40.579043
18973	2	2013-08-02 16:05:40.777712	2013-08-04 20:17:32.700792
18943	4	2013-08-02 16:05:40.706682	2013-08-03 17:20:34.27674
37597	2	2013-08-02 16:06:22.932765	2013-08-04 02:25:51.41454
2710	4	2013-08-02 16:05:09.091652	2013-08-04 17:16:57.854386
28761	4	2013-08-02 16:06:02.144871	2013-08-04 17:16:57.864489
18217	2	2013-08-02 16:05:39.275566	2013-08-03 21:24:19.558918
18902	2	2013-08-02 16:05:40.600443	2013-08-02 16:05:40.600443
18855	4	2013-08-02 16:05:40.503257	2013-08-03 17:42:03.101281
18904	4	2013-08-02 16:05:40.605578	2013-08-02 16:05:40.605578
24301	7	2013-08-02 16:05:52.792907	2013-08-03 21:24:19.574982
18993	7	2013-08-02 16:05:40.826942	2013-08-03 22:45:29.632463
18907	7	2013-08-02 16:05:40.613425	2013-08-02 16:05:40.613425
18889	2	2013-08-02 16:05:40.565633	2013-08-04 20:17:32.707932
28772	4	2013-08-02 16:06:02.159606	2013-08-04 17:16:57.875046
37577	2	2013-08-02 16:06:22.88431	2013-08-04 02:25:51.418851
37592	2	2013-08-02 16:06:22.920597	2013-08-04 02:25:51.422869
37557	2	2013-08-02 16:06:22.836725	2013-08-04 02:25:51.426817
18914	14	2013-08-02 16:05:40.632252	2013-08-02 16:05:40.632252
37537	2	2013-08-02 16:06:22.784593	2013-08-04 02:25:51.43145
2682	14	2013-08-02 16:05:09.0694	2013-08-08 01:03:00.636057
18923	4	2013-08-02 16:05:40.655354	2013-08-03 17:20:34.281479
28746	4	2013-08-02 16:06:02.126836	2013-08-04 17:16:57.878507
28766	4	2013-08-02 16:06:02.152691	2013-08-04 17:16:57.881926
28786	4	2013-08-02 16:06:02.181135	2013-08-04 17:16:57.885265
42363	21	2013-08-02 16:06:33.645593	2013-08-03 21:24:20.486122
18922	2	2013-08-02 16:05:40.652882	2013-08-02 16:05:40.652882
18651	2	2013-08-02 16:05:39.996472	2013-08-04 02:25:51.436194
18924	4	2013-08-02 16:05:40.658005	2013-08-02 16:05:40.658005
18866	7	2013-08-02 16:05:40.519729	2013-08-03 21:42:41.535441
37517	2	2013-08-02 16:06:22.733903	2013-08-04 02:25:51.441072
18927	7	2013-08-02 16:05:40.666046	2013-08-02 16:05:40.666046
18937	14	2013-08-02 16:05:40.692122	2013-08-03 02:46:13.705773
2759	4	2013-08-02 16:05:09.138777	2013-08-04 17:16:57.889051
2738	4	2013-08-02 16:05:09.117423	2013-08-04 17:16:57.893041
18871	2	2013-08-02 16:05:40.524777	2013-08-04 02:30:53.870195
18934	14	2013-08-02 16:05:40.684284	2013-08-02 16:05:40.684284
1320	4	2013-08-02 16:05:06.307206	2013-08-03 21:42:41.53757
14027	14	2013-08-02 16:05:30.757718	2013-08-08 01:03:00.638677
18903	4	2013-08-02 16:05:40.60296	2013-08-03 17:20:34.286874
35121	7	2013-08-02 16:06:17.52626	2013-08-03 23:15:56.8349
18975	2	2013-08-02 16:05:40.78295	2013-08-04 17:26:50.91381
18996	2	2013-08-02 16:05:40.834043	2013-08-04 17:26:50.918238
18976	2	2013-08-02 16:05:40.785617	2013-08-04 17:26:50.922489
18942	2	2013-08-02 16:05:40.704237	2013-08-02 16:05:40.704237
14080	14	2013-08-02 16:05:30.886021	2013-08-08 01:03:00.640856
18944	4	2013-08-02 16:05:40.70907	2013-08-02 16:05:40.70907
18956	2	2013-08-02 16:05:40.737419	2013-08-04 17:26:50.926806
35063	4	2013-08-02 16:06:17.382576	2013-08-03 23:15:56.840543
18947	7	2013-08-02 16:05:40.716116	2013-08-02 16:05:40.716116
2359	2	2013-08-02 16:05:08.65615	2013-08-04 17:26:50.931282
18936	2	2013-08-02 16:05:40.689663	2013-08-04 17:26:50.936007
29337	14	2013-08-02 16:06:03.649406	2013-08-08 01:03:00.643722
18946	14	2013-08-02 16:05:40.713855	2013-08-03 21:51:11.664476
14047	14	2013-08-02 16:05:30.805205	2013-08-08 01:03:00.647271
18954	14	2013-08-02 16:05:40.732696	2013-08-02 16:05:40.732696
18986	14	2013-08-02 16:05:40.809871	2013-08-03 21:54:22.235049
14125	14	2013-08-02 16:05:31.004235	2013-08-08 01:03:00.650029
18883	4	2013-08-02 16:05:40.550027	2013-08-03 17:20:34.29162
18851	7	2013-08-02 16:05:40.498793	2013-08-04 00:08:32.586143
14105	14	2013-08-02 16:05:30.952334	2013-08-08 01:03:00.652874
14085	14	2013-08-02 16:05:30.899858	2013-08-08 01:03:00.655964
14067	14	2013-08-02 16:05:30.853178	2013-08-08 01:03:00.658814
18962	2	2013-08-02 16:05:40.751606	2013-08-02 16:05:40.751606
18955	2	2013-08-02 16:05:40.735045	2013-08-03 17:42:03.378567
18964	4	2013-08-02 16:05:40.756367	2013-08-02 16:05:40.756367
14065	14	2013-08-02 16:05:30.848339	2013-08-08 01:03:00.661639
14120	14	2013-08-02 16:05:30.990806	2013-08-08 01:03:00.664441
18967	7	2013-08-02 16:05:40.763443	2013-08-02 16:05:40.763443
14045	14	2013-08-02 16:05:30.80042	2013-08-08 01:03:00.667417
14025	14	2013-08-02 16:05:30.752984	2013-08-08 01:03:00.670403
14005	14	2013-08-02 16:05:30.705724	2013-08-08 01:03:00.673422
7406	14	2013-08-02 16:05:17.839069	2013-08-08 01:03:00.839899
11379	14	2013-08-02 16:05:25.469129	2013-08-08 01:03:00.842999
18974	14	2013-08-02 16:05:40.780257	2013-08-02 16:05:40.780257
18863	4	2013-08-02 16:05:40.516733	2013-08-03 17:20:34.29674
18982	2	2013-08-02 16:05:40.800241	2013-08-02 16:05:40.800241
18984	4	2013-08-02 16:05:40.805061	2013-08-02 16:05:40.805061
18987	7	2013-08-02 16:05:40.812433	2013-08-02 16:05:40.812433
18994	14	2013-08-02 16:05:40.829317	2013-08-02 16:05:40.829317
18843	4	2013-08-02 16:05:40.47976	2013-08-03 17:20:34.302366
18995	7	2013-08-02 16:05:40.831666	2013-08-03 17:47:04.891936
18978	2	2013-08-02 16:05:40.790582	2013-08-03 17:47:06.177584
18958	2	2013-08-02 16:05:40.742152	2013-08-03 17:47:06.188117
18938	2	2013-08-02 16:05:40.694594	2013-08-03 17:47:06.200213
18918	4	2013-08-02 16:05:40.642935	2013-08-03 17:47:06.223383
18898	4	2013-08-02 16:05:40.589577	2013-08-03 17:47:06.23519
18878	4	2013-08-02 16:05:40.537236	2013-08-03 17:47:06.246716
18877	4	2013-08-02 16:05:40.534514	2013-08-03 17:47:06.259143
2382	14	2013-08-02 16:05:08.685544	2013-08-03 18:02:14.656768
2362	4	2013-08-02 16:05:08.660084	2013-08-03 18:02:14.765184
7146	7	2013-08-02 16:05:17.57144	2013-08-03 18:02:14.820889
18860	7	2013-08-02 16:05:40.513682	2013-08-03 18:03:06.865511
18865	21	2013-08-02 16:05:40.518733	2013-08-03 18:27:13.563127
18845	21	2013-08-02 16:05:40.484476	2013-08-03 18:27:13.564673
2411	7	2013-08-02 16:05:08.721474	2013-08-03 18:27:13.792441
18985	7	2013-08-02 16:05:40.807453	2013-08-03 18:27:13.797249
18965	7	2013-08-02 16:05:40.75873	2013-08-03 18:27:13.801649
18945	7	2013-08-02 16:05:40.711455	2013-08-03 18:27:13.806604
18935	21	2013-08-02 16:05:40.686971	2013-08-03 18:32:15.509423
18972	21	2013-08-02 16:05:40.775307	2013-08-03 18:32:15.511113
18977	21	2013-08-02 16:05:40.788107	2013-08-03 18:32:15.512614
18952	21	2013-08-02 16:05:40.727923	2013-08-03 18:32:15.51392
18932	21	2013-08-02 16:05:40.679255	2013-08-03 18:32:15.515121
18912	21	2013-08-02 16:05:40.626953	2013-08-03 18:32:15.516382
18892	21	2013-08-02 16:05:40.573708	2013-08-03 18:32:15.517676
18872	21	2013-08-02 16:05:40.526005	2013-08-03 18:32:15.518779
2368	2	2013-08-02 16:05:08.666363	2013-08-04 01:00:53.465587
2764	4	2013-08-02 16:05:09.143227	2013-08-04 17:16:57.896918
2778	4	2013-08-02 16:05:09.155217	2013-08-04 17:16:57.900582
19035	21	2013-08-02 16:05:40.928017	2013-08-04 20:17:32.497073
19002	2	2013-08-02 16:05:40.848819	2013-08-02 16:05:40.848819
19135	21	2013-08-02 16:05:41.170798	2013-08-03 17:42:03.232307
19004	4	2013-08-02 16:05:40.853531	2013-08-02 16:05:40.853531
19089	7	2013-08-02 16:05:41.050022	2013-08-04 20:17:32.51998
35281	2	2013-08-02 16:06:17.918963	2013-08-04 01:05:56.028849
19007	7	2013-08-02 16:05:40.860697	2013-08-02 16:05:40.860697
19131	2	2013-08-02 16:05:41.160224	2013-08-04 01:05:56.03306
19069	7	2013-08-02 16:05:41.017458	2013-08-04 20:17:32.526388
17976	14	2013-08-02 16:05:39.008164	2013-08-04 17:18:24.801846
13471	14	2013-08-02 16:05:29.520389	2013-08-03 19:53:48.41107
19015	2	2013-08-02 16:05:40.87959	2013-08-04 01:05:56.040955
19014	14	2013-08-02 16:05:40.877248	2013-08-02 16:05:40.877248
42835	4	2013-08-02 16:06:34.514522	2013-08-03 19:53:48.445222
19049	7	2013-08-02 16:05:40.968097	2013-08-04 20:17:32.534398
19143	4	2013-08-02 16:05:41.191863	2013-08-03 17:20:34.234858
19073	2	2013-08-02 16:05:41.024028	2013-08-04 01:05:56.047729
19110	7	2013-08-02 16:05:41.105271	2013-08-04 20:17:32.542559
19030	14	2013-08-02 16:05:40.91544	2013-08-03 20:43:09.779254
19138	2	2013-08-02 16:05:41.178785	2013-08-04 01:10:51.384333
19022	2	2013-08-02 16:05:40.896172	2013-08-02 16:05:40.896172
19115	21	2013-08-02 16:05:41.118502	2013-08-03 17:42:03.233968
19024	4	2013-08-02 16:05:40.900929	2013-08-02 16:05:40.900929
7551	7	2013-08-02 16:05:17.9742	2013-08-04 20:17:32.554112
19057	2	2013-08-02 16:05:40.988312	2013-08-04 01:10:51.390793
19027	7	2013-08-02 16:05:40.907996	2013-08-02 16:05:40.907996
19130	14	2013-08-02 16:05:41.157592	2013-08-03 22:29:28.452643
19029	7	2013-08-02 16:05:40.912986	2013-08-04 20:17:32.565702
19012	7	2013-08-02 16:05:40.872478	2013-08-03 22:45:09.732126
19151	2	2013-08-02 16:05:41.213015	2013-08-04 01:10:51.397645
19034	14	2013-08-02 16:05:40.925183	2013-08-02 16:05:40.925183
19001	14	2013-08-02 16:05:40.846422	2013-08-03 20:03:31.738513
19037	7	2013-08-02 16:05:40.935312	2013-08-04 20:17:32.580771
19123	4	2013-08-02 16:05:41.139757	2013-08-03 17:20:34.240544
35221	2	2013-08-02 16:06:17.784633	2013-08-04 01:50:57.558597
19009	7	2013-08-02 16:05:40.865418	2013-08-04 20:17:32.593227
19042	2	2013-08-02 16:05:40.949554	2013-08-02 16:05:40.949554
19095	14	2013-08-02 16:05:41.06562	2013-08-03 17:42:03.242587
19044	4	2013-08-02 16:05:40.954842	2013-08-02 16:05:40.954842
37497	2	2013-08-02 16:06:22.681698	2013-08-04 02:25:51.44581
19047	7	2013-08-02 16:05:40.96282	2013-08-02 16:05:40.96282
19103	4	2013-08-02 16:05:41.086068	2013-08-03 17:20:34.246991
37461	2	2013-08-02 16:06:22.587259	2013-08-04 02:25:51.45069
37477	2	2013-08-02 16:06:22.628924	2013-08-04 02:25:51.455919
37457	2	2013-08-02 16:06:22.577326	2013-08-04 02:25:51.461166
19054	14	2013-08-02 16:05:40.981045	2013-08-02 16:05:40.981045
19150	7	2013-08-02 16:05:41.210311	2013-08-03 20:43:09.787123
19083	4	2013-08-02 16:05:41.037664	2013-08-03 17:20:34.251396
19109	21	2013-08-02 16:05:41.102442	2013-08-04 20:20:28.286462
18012	7	2013-08-02 16:05:39.042136	2013-08-04 17:18:24.816414
19033	4	2013-08-02 16:05:40.922797	2013-08-03 22:45:09.743814
37437	2	2013-08-02 16:06:22.525722	2013-08-04 02:25:51.465849
19062	2	2013-08-02 16:05:41.000409	2013-08-02 16:05:41.000409
19075	4	2013-08-02 16:05:41.028916	2013-08-03 17:42:03.251712
19064	4	2013-08-02 16:05:41.005714	2013-08-02 16:05:41.005714
19129	21	2013-08-02 16:05:41.154891	2013-08-04 20:20:28.308239
19053	2	2013-08-02 16:05:40.978583	2013-08-03 22:45:09.751196
19067	7	2013-08-02 16:05:41.01371	2013-08-02 16:05:41.01371
19077	7	2013-08-02 16:05:41.031227	2013-08-03 02:46:13.738227
37398	2	2013-08-02 16:06:22.424014	2013-08-04 02:25:51.4707
19149	7	2013-08-02 16:05:41.207613	2013-08-04 20:22:42.26649
12948	21	2013-08-02 16:05:29.010169	2013-08-03 21:24:20.489838
18679	4	2013-08-02 16:05:40.182249	2013-08-04 02:25:51.494773
19074	14	2013-08-02 16:05:41.026441	2013-08-02 16:05:41.026441
12806	21	2013-08-02 16:05:28.861533	2013-08-03 21:24:20.493676
11359	14	2013-08-02 16:05:25.417693	2013-08-08 01:03:00.908745
19063	4	2013-08-02 16:05:41.002989	2013-08-03 17:20:34.255821
12826	21	2013-08-02 16:05:28.88103	2013-08-03 21:24:20.497591
8644	21	2013-08-02 16:05:20.380762	2013-08-08 01:03:01.051867
5801	4	2013-08-02 16:05:14.668714	2013-08-04 02:25:51.502746
19021	21	2013-08-02 16:05:40.893816	2013-08-03 22:45:29.663684
19082	2	2013-08-02 16:05:41.036642	2013-08-02 16:05:41.036642
2494	21	2013-08-02 16:05:08.838717	2013-08-04 17:19:14.307038
19084	4	2013-08-02 16:05:41.038668	2013-08-02 16:05:41.038668
13985	21	2013-08-02 16:05:30.656518	2013-08-08 01:03:01.094163
18659	4	2013-08-02 16:05:40.018117	2013-08-04 02:25:51.514045
19087	7	2013-08-02 16:05:41.04447	2013-08-02 16:05:41.04447
11339	14	2013-08-02 16:05:25.383496	2013-08-08 01:03:01.159621
18550	4	2013-08-02 16:05:39.735034	2013-08-04 02:25:51.525484
18191	21	2013-08-02 16:05:39.247998	2013-08-04 17:21:49.858735
19112	14	2013-08-02 16:05:41.110544	2013-08-04 17:26:53.019836
47003	4	2013-08-02 16:06:44.071051	2013-08-04 02:25:51.536844
19094	14	2013-08-02 16:05:41.063074	2013-08-02 16:05:41.063074
35361	14	2013-08-02 16:06:18.103838	2013-08-04 17:26:53.02639
14087	14	2013-08-02 16:05:30.905129	2013-08-08 01:03:01.192419
19043	4	2013-08-02 16:05:40.952157	2013-08-03 17:20:34.259498
19136	14	2013-08-02 16:05:41.17347	2013-08-04 17:26:53.030761
19116	14	2013-08-02 16:05:41.121174	2013-08-04 17:26:53.036617
19096	14	2013-08-02 16:05:41.068012	2013-08-04 17:26:53.042869
19153	14	2013-08-02 16:05:41.218279	2013-08-03 22:45:29.811886
19102	2	2013-08-02 16:05:41.083382	2013-08-02 16:05:41.083382
19104	4	2013-08-02 16:05:41.088638	2013-08-02 16:05:41.088638
19026	14	2013-08-02 16:05:40.905666	2013-08-03 21:45:39.219435
19113	14	2013-08-02 16:05:41.11321	2013-08-04 17:26:53.048176
19107	7	2013-08-02 16:05:41.096726	2013-08-02 16:05:41.096726
19006	21	2013-08-02 16:05:40.858292	2013-08-03 21:49:33.771311
18639	4	2013-08-02 16:05:39.964417	2013-08-04 02:25:51.548669
14060	14	2013-08-02 16:05:30.836239	2013-08-08 01:03:01.195704
19013	4	2013-08-02 16:05:40.87488	2013-08-03 22:45:30.12799
18619	4	2013-08-02 16:05:39.911238	2013-08-04 02:25:51.560089
19114	14	2013-08-02 16:05:41.115815	2013-08-02 16:05:41.115815
19133	21	2013-08-02 16:05:41.165565	2013-08-03 22:45:30.259178
13980	14	2013-08-02 16:05:30.644679	2013-08-08 01:03:01.198683
19023	4	2013-08-02 16:05:40.898555	2013-08-03 17:20:34.263238
19050	2	2013-08-02 16:05:40.970783	2013-08-03 22:49:20.865859
14107	14	2013-08-02 16:05:30.957662	2013-08-08 01:03:01.201555
19052	7	2013-08-02 16:05:40.976091	2013-08-03 21:54:23.386002
14127	14	2013-08-02 16:05:31.008985	2013-08-08 01:03:01.204279
19122	2	2013-08-02 16:05:41.137122	2013-08-02 16:05:41.137122
14030	14	2013-08-02 16:05:30.764821	2013-08-08 01:03:01.207013
19124	4	2013-08-02 16:05:41.142263	2013-08-02 16:05:41.142263
18599	4	2013-08-02 16:05:39.859975	2013-08-04 02:25:51.571926
35461	21	2013-08-02 16:06:18.349234	2013-08-03 23:19:39.073724
19127	7	2013-08-02 16:05:41.1495	2013-08-02 16:05:41.1495
19137	4	2013-08-02 16:05:41.176097	2013-08-03 02:46:13.752892
35218	4	2013-08-02 16:06:17.777556	2013-08-04 02:30:53.425488
14186	14	2013-08-02 16:05:31.152952	2013-08-08 01:03:01.226616
14167	14	2013-08-02 16:05:31.103769	2013-08-08 01:03:01.229357
19139	4	2013-08-02 16:05:41.181441	2013-08-04 02:30:53.436971
19134	14	2013-08-02 16:05:41.168155	2013-08-02 16:05:41.168155
35401	4	2013-08-02 16:06:18.205254	2013-08-03 23:19:39.138191
14206	14	2013-08-02 16:05:31.202773	2013-08-08 01:03:01.232337
19058	21	2013-08-02 16:05:40.990718	2013-08-03 17:47:06.112588
35381	2	2013-08-02 16:06:18.154973	2013-08-03 23:19:39.147528
18730	14	2013-08-02 16:05:40.258211	2013-08-08 01:03:01.235291
14187	14	2013-08-02 16:05:31.155591	2013-08-08 01:03:01.23806
14263	14	2013-08-02 16:05:31.343053	2013-08-08 01:03:01.240841
19142	2	2013-08-02 16:05:41.189277	2013-08-02 16:05:41.189277
19038	2	2013-08-02 16:05:40.939132	2013-08-03 17:47:06.154264
19144	4	2013-08-02 16:05:41.194507	2013-08-02 16:05:41.194507
19147	7	2013-08-02 16:05:41.202307	2013-08-02 16:05:41.202307
19018	2	2013-08-02 16:05:40.886689	2013-08-03 17:47:06.164588
35241	7	2013-08-02 16:06:17.834331	2013-08-03 23:19:39.31778
19154	14	2013-08-02 16:05:41.220998	2013-08-02 16:05:41.220998
18998	2	2013-08-02 16:05:40.838829	2013-08-03 17:47:06.169647
19118	4	2013-08-02 16:05:41.126507	2013-08-03 17:47:06.55337
19098	14	2013-08-02 16:05:41.072951	2013-08-03 17:47:06.570919
19078	7	2013-08-02 16:05:41.03236	2013-08-03 17:47:06.579597
2399	21	2013-08-02 16:05:08.706972	2013-08-03 18:02:14.828535
35181	14	2013-08-02 16:06:17.681594	2013-08-03 23:19:39.381741
19145	7	2013-08-02 16:05:41.197031	2013-08-03 18:27:13.69782
19125	7	2013-08-02 16:05:41.14469	2013-08-03 18:27:13.70216
19117	7	2013-08-02 16:05:41.123808	2013-08-03 18:27:13.706433
19105	7	2013-08-02 16:05:41.09129	2013-08-03 18:27:13.711605
19085	7	2013-08-02 16:05:41.039669	2013-08-03 18:27:13.716066
19065	7	2013-08-02 16:05:41.008373	2013-08-03 18:27:13.721062
19045	7	2013-08-02 16:05:40.957531	2013-08-03 18:27:13.725718
19025	7	2013-08-02 16:05:40.903288	2013-08-03 18:27:13.730221
19032	7	2013-08-02 16:05:40.920213	2013-08-03 18:33:25.459661
19092	4	2013-08-02 16:05:41.058097	2013-08-03 18:33:25.470582
19132	2	2013-08-02 16:05:41.162877	2013-08-03 18:33:25.477562
19237	2	2013-08-02 16:05:41.438112	2013-08-04 01:10:51.294154
19303	2	2013-08-02 16:05:41.60953	2013-08-03 17:20:34.484936
45823	14	2013-08-02 16:06:41.29014	2013-08-03 19:54:07.309554
18076	4	2013-08-02 16:05:39.116117	2013-08-04 17:18:24.825892
19311	2	2013-08-02 16:05:41.630478	2013-08-04 01:10:51.29926
19162	2	2013-08-02 16:05:41.2423	2013-08-02 16:05:41.2423
19275	21	2013-08-02 16:05:41.538063	2013-08-03 17:42:03.217
19164	4	2013-08-02 16:05:41.247571	2013-08-02 16:05:41.247571
35301	2	2013-08-02 16:06:17.951452	2013-08-04 01:10:51.306283
18093	2	2013-08-02 16:05:39.133103	2013-08-04 17:18:24.833648
19167	7	2013-08-02 16:05:41.255293	2013-08-02 16:05:41.255293
19308	21	2013-08-02 16:05:41.622597	2013-08-03 02:37:18.426041
19225	2	2013-08-02 16:05:41.406781	2013-08-04 01:15:49.729672
2477	21	2013-08-02 16:05:08.822712	2013-08-04 17:18:24.877036
19297	2	2013-08-02 16:05:41.59376	2013-08-04 01:15:49.740833
19174	14	2013-08-02 16:05:41.27124	2013-08-02 16:05:41.27124
19189	14	2013-08-02 16:05:41.311449	2013-08-04 20:20:23.601364
19283	2	2013-08-02 16:05:41.55837	2013-08-03 17:20:34.49645
19190	4	2013-08-02 16:05:41.314113	2013-08-03 20:43:09.791238
35341	2	2013-08-02 16:06:18.053611	2013-08-04 01:50:57.549136
19182	2	2013-08-02 16:05:41.29278	2013-08-02 16:05:41.29278
19255	21	2013-08-02 16:05:41.485247	2013-08-03 17:42:03.22013
19184	4	2013-08-02 16:05:41.298079	2013-08-02 16:05:41.298079
45963	7	2013-08-02 16:06:41.466782	2013-08-03 19:54:07.320872
19233	7	2013-08-02 16:05:41.427428	2013-08-03 22:45:29.834915
19187	7	2013-08-02 16:05:41.306117	2013-08-02 16:05:41.306117
19288	21	2013-08-02 16:05:41.570842	2013-08-03 02:37:18.430174
18657	4	2013-08-02 16:05:40.012734	2013-08-04 02:25:51.582822
18579	4	2013-08-02 16:05:39.808652	2013-08-04 02:25:51.594147
18677	4	2013-08-02 16:05:40.180186	2013-08-04 02:25:51.605166
19194	14	2013-08-02 16:05:41.324784	2013-08-02 16:05:41.324784
19230	2	2013-08-02 16:05:41.419188	2013-08-03 20:43:09.793934
19263	2	2013-08-02 16:05:41.50445	2013-08-03 17:20:34.507717
46023	4	2013-08-02 16:06:41.569905	2013-08-03 19:54:07.326297
19273	4	2013-08-02 16:05:41.533206	2013-08-03 22:45:29.845114
19202	2	2013-08-02 16:05:41.346377	2013-08-02 16:05:41.346377
19235	21	2013-08-02 16:05:41.432791	2013-08-03 17:42:03.221993
19204	4	2013-08-02 16:05:41.351402	2013-08-02 16:05:41.351402
19161	4	2013-08-02 16:05:41.239603	2013-08-03 20:03:31.756387
18559	4	2013-08-02 16:05:39.755793	2013-08-04 02:25:51.61711
19207	7	2013-08-02 16:05:41.359262	2013-08-02 16:05:41.359262
19215	21	2013-08-02 16:05:41.380251	2013-08-03 17:42:03.22398
19272	2	2013-08-02 16:05:41.530654	2013-08-03 22:45:29.851743
19285	7	2013-08-02 16:05:41.563478	2013-08-03 22:45:30.009547
1647	4	2013-08-02 16:05:07.068174	2013-08-04 02:25:51.628987
19214	14	2013-08-02 16:05:41.377638	2013-08-02 16:05:41.377638
18539	4	2013-08-02 16:05:39.720713	2013-08-04 02:25:51.640397
45903	7	2013-08-02 16:06:41.375714	2013-08-04 20:20:23.623385
19243	2	2013-08-02 16:05:41.454011	2013-08-03 17:20:34.570156
18256	7	2013-08-02 16:05:39.317742	2013-08-04 17:19:03.134456
18492	4	2013-08-02 16:05:39.645183	2013-08-04 02:25:51.651425
19222	2	2013-08-02 16:05:41.398947	2013-08-02 16:05:41.398947
19195	21	2013-08-02 16:05:41.327544	2013-08-03 17:42:03.22659
19224	4	2013-08-02 16:05:41.404263	2013-08-02 16:05:41.404263
19238	7	2013-08-02 16:05:41.440844	2013-08-03 20:43:29.791607
8519	4	2013-08-02 16:05:20.089185	2013-08-04 02:25:51.663139
19227	7	2013-08-02 16:05:41.411647	2013-08-02 16:05:41.411647
19177	2	2013-08-02 16:05:41.279312	2013-08-03 02:46:13.756015
19253	2	2013-08-02 16:05:41.480286	2013-08-03 22:49:20.842775
19249	2	2013-08-02 16:05:41.469662	2013-08-04 20:22:39.031872
19293	2	2013-08-02 16:05:41.583676	2013-08-03 22:49:20.854335
886	4	2013-08-02 16:05:05.380834	2013-08-04 02:25:51.674994
19234	14	2013-08-02 16:05:41.430096	2013-08-02 16:05:41.430096
19229	14	2013-08-02 16:05:41.416445	2013-08-04 20:22:39.120275
18216	2	2013-08-02 16:05:39.274392	2013-08-04 20:22:39.415029
19223	2	2013-08-02 16:05:41.401623	2013-08-03 17:20:34.57541
19280	4	2013-08-02 16:05:41.550508	2013-08-03 20:43:29.803123
18303	4	2013-08-02 16:05:39.371213	2013-08-04 17:19:03.138518
19213	21	2013-08-02 16:05:41.374929	2013-08-03 22:49:21.272526
19250	7	2013-08-02 16:05:41.472286	2013-08-03 20:43:29.885334
19242	2	2013-08-02 16:05:41.451352	2013-08-02 16:05:41.451352
19175	21	2013-08-02 16:05:41.273949	2013-08-03 17:42:03.2288
19244	4	2013-08-02 16:05:41.456676	2013-08-02 16:05:41.456676
19270	7	2013-08-02 16:05:41.525382	2013-08-04 20:22:41.426191
35441	7	2013-08-02 16:06:18.301276	2013-08-03 23:19:39.408313
19247	7	2013-08-02 16:05:41.4647	2013-08-02 16:05:41.4647
18276	2	2013-08-02 16:05:39.339679	2013-08-04 17:21:49.796225
18857	2	2013-08-02 16:05:40.507673	2013-08-04 02:25:51.728764
19176	21	2013-08-02 16:05:41.27666	2013-08-04 17:26:52.992946
18731	2	2013-08-02 16:05:40.260791	2013-08-04 02:25:51.74009
19254	14	2013-08-02 16:05:41.482788	2013-08-02 16:05:41.482788
18745	2	2013-08-02 16:05:40.274073	2013-08-04 02:25:51.751027
45923	2	2013-08-02 16:06:41.408571	2013-08-04 20:22:41.750997
19155	21	2013-08-02 16:05:41.223624	2013-08-03 17:42:03.230525
19156	14	2013-08-02 16:05:41.226388	2013-08-04 17:26:53.014618
19292	2	2013-08-02 16:05:41.581256	2013-08-04 17:31:51.015796
12060	2	2013-08-02 16:05:27.141879	2013-08-04 02:25:51.761942
19262	2	2013-08-02 16:05:41.502069	2013-08-02 16:05:41.502069
19295	14	2013-08-02 16:05:41.588969	2013-08-03 17:42:24.074709
19264	4	2013-08-02 16:05:41.508237	2013-08-02 16:05:41.508237
34725	21	2013-08-02 16:06:16.394971	2013-08-03 21:24:20.779948
31970	21	2013-08-02 16:06:10.307995	2013-08-03 23:19:39.705258
19267	7	2013-08-02 16:05:41.517407	2013-08-02 16:05:41.517407
34385	21	2013-08-02 16:06:15.562844	2013-08-03 21:24:20.782634
31950	14	2013-08-02 16:06:10.268607	2013-08-03 23:19:39.72208
19300	2	2013-08-02 16:05:41.601819	2013-08-04 17:31:51.026056
34705	21	2013-08-02 16:06:16.343777	2013-08-03 21:24:21.043997
11981	2	2013-08-02 16:05:26.940483	2013-08-04 02:25:51.77261
19274	14	2013-08-02 16:05:41.535655	2013-08-02 16:05:41.535655
18990	7	2013-08-02 16:05:40.819759	2013-08-03 21:24:21.055036
19193	7	2013-08-02 16:05:41.322164	2013-08-04 20:22:41.896239
18850	7	2013-08-02 16:05:40.496341	2013-08-03 21:24:21.061289
39598	7	2013-08-02 16:06:27.326743	2013-08-03 21:24:21.105359
19296	2	2013-08-02 16:05:41.591346	2013-08-04 17:31:51.030478
38935	7	2013-08-02 16:06:26.246487	2013-08-03 21:24:21.114151
19186	2	2013-08-02 16:05:41.303444	2013-08-04 17:31:51.034556
19282	2	2013-08-02 16:05:41.555719	2013-08-02 16:05:41.555719
31965	2	2013-08-02 16:06:10.298176	2013-08-04 17:31:51.038473
19284	4	2013-08-02 16:05:41.561038	2013-08-02 16:05:41.561038
19276	2	2013-08-02 16:05:41.540492	2013-08-04 17:31:51.044366
19209	2	2013-08-02 16:05:41.364521	2013-08-04 20:22:41.990491
19287	7	2013-08-02 16:05:41.568387	2013-08-02 16:05:41.568387
19256	2	2013-08-02 16:05:41.487677	2013-08-04 17:31:51.052114
19236	2	2013-08-02 16:05:41.435453	2013-08-04 17:31:51.058748
19216	2	2013-08-02 16:05:41.382944	2013-08-04 17:31:51.067904
19973	21	2013-08-02 16:05:43.353242	2013-08-03 23:19:39.938797
19169	2	2013-08-02 16:05:41.260378	2013-08-04 20:22:42.001927
19294	14	2013-08-02 16:05:41.586412	2013-08-02 16:05:41.586412
14207	14	2013-08-02 16:05:31.20525	2013-08-08 01:03:01.243603
28412	14	2013-08-02 16:06:01.720707	2013-08-08 01:03:01.304455
20012	21	2013-08-02 16:05:43.44674	2013-08-03 23:19:39.93998
19166	14	2013-08-02 16:05:41.252862	2013-08-03 21:54:22.224768
27910	14	2013-08-02 16:06:00.932517	2013-08-08 01:03:01.385385
19963	14	2013-08-02 16:05:43.329212	2013-08-03 23:19:39.94715
11319	14	2013-08-02 16:05:25.235748	2013-08-08 01:03:01.38903
19302	2	2013-08-02 16:05:41.60687	2013-08-02 16:05:41.60687
38210	14	2013-08-02 16:06:24.613984	2013-08-08 01:03:01.449225
19304	4	2013-08-02 16:05:41.611991	2013-08-02 16:05:41.611991
31930	7	2013-08-02 16:06:10.229018	2013-08-03 23:24:40.351258
8660	21	2013-08-02 16:05:20.423346	2013-08-08 01:03:01.615562
19307	7	2013-08-02 16:05:41.619892	2013-08-02 16:05:41.619892
14209	21	2013-08-02 16:05:31.209981	2013-08-08 01:03:01.618998
21259	14	2013-08-02 16:05:45.610749	2013-08-08 01:03:01.684476
10119	14	2013-08-02 16:05:23.387909	2013-08-08 01:03:01.752495
38195	14	2013-08-02 16:06:24.578402	2013-08-08 01:03:01.80467
38275	14	2013-08-02 16:06:24.766963	2013-08-08 01:03:01.808048
19178	2	2013-08-02 16:05:41.282002	2013-08-03 17:47:06.488308
14280	14	2013-08-02 16:05:31.492351	2013-08-08 01:03:01.84181
14260	14	2013-08-02 16:05:31.334952	2013-08-08 01:03:01.844481
14227	14	2013-08-02 16:05:31.253199	2013-08-08 01:03:01.882129
14240	14	2013-08-02 16:05:31.284211	2013-08-08 01:03:01.88539
19198	14	2013-08-02 16:05:41.335411	2013-08-03 17:52:03.145764
14220	14	2013-08-02 16:05:31.236475	2013-08-08 01:03:01.8881
2448	7	2013-08-02 16:05:08.762616	2013-08-03 18:02:14.897831
2468	7	2013-08-02 16:05:08.781352	2013-08-03 18:02:14.90868
2488	7	2013-08-02 16:05:08.83288	2013-08-03 18:02:14.919342
2508	7	2013-08-02 16:05:08.850928	2013-08-03 18:02:14.929646
2501	7	2013-08-02 16:05:08.845095	2013-08-03 18:02:14.939389
19185	7	2013-08-02 16:05:41.300773	2013-08-03 18:27:13.688006
19165	7	2013-08-02 16:05:41.25022	2013-08-03 18:27:13.693061
19205	21	2013-08-02 16:05:41.354085	2013-08-03 18:37:39.252791
19278	21	2013-08-02 16:05:41.545344	2013-08-03 18:37:39.253852
19218	21	2013-08-02 16:05:41.388257	2013-08-03 18:37:39.254741
19217	2	2013-08-02 16:05:41.385596	2013-08-03 18:38:19.964756
46043	2	2013-08-02 16:06:41.613932	2013-08-03 19:54:07.328102
19451	2	2013-08-02 16:05:42.056736	2013-08-04 01:15:49.647291
19314	14	2013-08-02 16:05:41.638632	2013-08-02 16:05:41.638632
19449	7	2013-08-02 16:05:42.053046	2013-08-04 20:22:41.148245
19397	4	2013-08-02 16:05:41.844205	2013-08-03 17:20:34.373619
18295	2	2013-08-02 16:05:39.361423	2013-08-04 17:19:03.141
19431	2	2013-08-02 16:05:42.023448	2013-08-04 01:15:49.651728
19330	2	2013-08-02 16:05:41.681277	2013-08-03 20:43:29.810086
19322	2	2013-08-02 16:05:41.659863	2013-08-02 16:05:41.659863
21003	2	2013-08-02 16:05:45.217829	2013-08-04 01:15:49.656654
19324	4	2013-08-02 16:05:41.665252	2013-08-02 16:05:41.665252
19411	2	2013-08-02 16:05:42.000024	2013-08-04 01:15:49.664988
19393	21	2013-08-02 16:05:41.834674	2013-08-03 22:49:21.257772
19327	7	2013-08-02 16:05:41.673251	2013-08-02 16:05:41.673251
19463	4	2013-08-02 16:05:42.079966	2013-08-03 17:20:34.384858
10239	21	2013-08-02 16:05:23.509909	2013-08-03 22:49:21.260404
19429	7	2013-08-02 16:05:42.020693	2013-08-04 20:22:41.153409
19373	21	2013-08-02 16:05:41.786958	2013-08-03 22:49:21.263415
20915	2	2013-08-02 16:05:45.106156	2013-08-04 01:50:57.534634
19334	14	2013-08-02 16:05:41.691918	2013-08-02 16:05:41.691918
19413	2	2013-08-02 16:05:42.00202	2013-08-04 01:50:57.54076
20966	7	2013-08-02 16:05:45.160327	2013-08-04 20:22:41.15851
19443	4	2013-08-02 16:05:42.042455	2013-08-03 17:20:34.395585
19409	2	2013-08-02 16:05:41.997978	2013-08-04 20:22:41.172893
19389	2	2013-08-02 16:05:41.825036	2013-08-04 20:22:41.178468
19395	2	2013-08-02 16:05:41.83942	2013-08-04 20:22:41.185632
26465	4	2013-08-02 16:05:57.155795	2013-08-04 17:19:03.177243
19342	2	2013-08-02 16:05:41.712642	2013-08-02 16:05:41.712642
19369	2	2013-08-02 16:05:41.777384	2013-08-04 20:22:41.192058
19344	4	2013-08-02 16:05:41.717489	2013-08-02 16:05:41.717489
18061	21	2013-08-02 16:05:39.10024	2013-08-04 17:19:14.22095
19353	21	2013-08-02 16:05:41.739246	2013-08-03 22:49:21.264894
19347	7	2013-08-02 16:05:41.724761	2013-08-02 16:05:41.724761
19423	4	2013-08-02 16:05:42.013169	2013-08-03 17:20:34.406579
14246	21	2013-08-02 16:05:31.29854	2013-08-03 22:49:21.265933
3308	2	2013-08-02 16:05:10.080871	2013-08-04 17:21:49.785596
19333	21	2013-08-02 16:05:41.689289	2013-08-03 22:49:21.26695
18839	2	2013-08-02 16:05:40.470194	2013-08-04 02:25:51.783215
19354	14	2013-08-02 16:05:41.741647	2013-08-02 16:05:41.741647
19390	2	2013-08-02 16:05:41.827405	2013-08-03 20:47:31.146268
21188	14	2013-08-02 16:05:45.444615	2013-08-08 01:03:01.89084
19403	4	2013-08-02 16:05:41.991902	2013-08-03 17:20:34.417545
19375	2	2013-08-02 16:05:41.791694	2013-08-03 20:47:31.153405
19356	2	2013-08-02 16:05:41.746438	2013-08-04 17:31:50.997616
19370	7	2013-08-02 16:05:41.779767	2013-08-03 20:47:31.162606
19321	7	2013-08-02 16:05:41.657219	2013-08-03 20:47:31.171544
19362	2	2013-08-02 16:05:41.760683	2013-08-02 16:05:41.760683
19336	2	2013-08-02 16:05:41.697295	2013-08-04 17:31:51.003736
19364	4	2013-08-02 16:05:41.765427	2013-08-02 16:05:41.765427
19316	2	2013-08-02 16:05:41.643907	2013-08-04 17:31:51.011929
19315	21	2013-08-02 16:05:41.641299	2013-08-03 22:49:21.26869
19367	7	2013-08-02 16:05:41.772592	2013-08-02 16:05:41.772592
19383	4	2013-08-02 16:05:41.810774	2013-08-03 17:20:34.428581
43015	21	2013-08-02 16:06:34.956908	2013-08-03 22:49:21.270557
19456	2	2013-08-02 16:05:42.06596	2013-08-04 17:36:50.559641
18819	2	2013-08-02 16:05:40.420787	2013-08-04 02:25:51.794166
24281	2	2013-08-02 16:05:52.772964	2013-08-04 02:25:51.80504
19374	14	2013-08-02 16:05:41.789323	2013-08-02 16:05:41.789323
34975	2	2013-08-02 16:06:17.155198	2013-08-04 02:25:51.816001
14247	14	2013-08-02 16:05:31.300897	2013-08-08 01:03:01.893703
19363	4	2013-08-02 16:05:41.763052	2013-08-03 17:20:34.439626
10299	21	2013-08-02 16:05:23.578061	2013-08-03 21:24:21.908646
19436	2	2013-08-02 16:05:42.030955	2013-08-04 17:36:50.570754
10279	21	2013-08-02 16:05:23.554206	2013-08-03 21:24:21.911612
42543	14	2013-08-02 16:06:34.101349	2013-08-03 21:24:21.927857
19382	2	2013-08-02 16:05:41.808356	2013-08-02 16:05:41.808356
19313	2	2013-08-02 16:05:41.635908	2013-08-03 22:50:05.28352
19384	4	2013-08-02 16:05:41.81316	2013-08-02 16:05:41.81316
14267	14	2013-08-02 16:05:31.353868	2013-08-08 01:03:01.896464
19453	2	2013-08-02 16:05:42.060398	2013-08-03 22:54:23.698901
19387	7	2013-08-02 16:05:41.820246	2013-08-02 16:05:41.820246
19433	2	2013-08-02 16:05:42.026412	2013-08-03 22:54:23.709085
19416	2	2013-08-02 16:05:42.004803	2013-08-04 17:36:50.58166
18799	2	2013-08-02 16:05:40.370029	2013-08-04 02:25:51.827185
18779	2	2013-08-02 16:05:40.31913	2013-08-04 02:25:51.838101
19394	14	2013-08-02 16:05:41.837064	2013-08-02 16:05:41.837064
18759	2	2013-08-02 16:05:40.285553	2013-08-04 02:25:51.849012
30618	14	2013-08-02 16:06:06.847069	2013-08-08 01:03:01.899561
10219	2	2013-08-02 16:05:23.492147	2013-08-04 17:36:50.592488
42078	21	2013-08-02 16:06:32.761453	2013-08-03 21:25:17.426126
14258	14	2013-08-02 16:05:31.329505	2013-08-08 01:03:01.902709
44300	21	2013-08-02 16:06:37.910661	2013-08-03 23:19:40.056889
14287	14	2013-08-02 16:05:31.499642	2013-08-08 01:03:01.905797
19402	2	2013-08-02 16:05:41.990885	2013-08-02 16:05:41.990885
19435	7	2013-08-02 16:05:42.029451	2013-08-03 17:42:24.095575
19404	4	2013-08-02 16:05:41.992935	2013-08-02 16:05:41.992935
43155	2	2013-08-02 16:06:35.128635	2013-08-03 21:51:11.947393
35261	21	2013-08-02 16:06:17.886863	2013-08-03 23:19:40.062734
19407	7	2013-08-02 16:05:41.995959	2013-08-02 16:05:41.995959
18739	2	2013-08-02 16:05:40.268731	2013-08-04 02:25:51.859926
11557	2	2013-08-02 16:05:25.924445	2013-08-04 02:25:51.870833
14137	14	2013-08-02 16:05:31.023501	2013-08-08 01:03:01.908795
14255	14	2013-08-02 16:05:31.321451	2013-08-08 01:03:01.911863
18719	2	2013-08-02 16:05:40.244798	2013-08-04 02:25:51.8819
19414	14	2013-08-02 16:05:42.002947	2013-08-02 16:05:42.002947
11961	2	2013-08-02 16:05:26.887485	2013-08-04 02:25:51.89276
4600	14	2013-08-02 16:05:12.776225	2013-08-08 01:03:01.914887
19415	4	2013-08-02 16:05:42.003876	2013-08-03 17:47:04.884061
18699	2	2013-08-02 16:05:40.206591	2013-08-04 02:25:51.903441
14327	14	2013-08-02 16:05:31.562228	2013-08-08 01:03:01.928532
38075	14	2013-08-02 16:06:24.291623	2013-08-08 01:03:01.992398
18623	2	2013-08-02 16:05:39.92212	2013-08-04 02:25:51.914275
19422	2	2013-08-02 16:05:42.011903	2013-08-02 16:05:42.011903
19438	21	2013-08-02 16:05:42.033996	2013-08-03 17:47:06.354028
19424	4	2013-08-02 16:05:42.014391	2013-08-02 16:05:42.014391
19427	7	2013-08-02 16:05:42.018016	2013-08-02 16:05:42.018016
19418	21	2013-08-02 16:05:42.007111	2013-08-03 17:47:06.355722
20986	7	2013-08-02 16:05:45.196488	2013-08-03 23:21:59.025297
18611	2	2013-08-02 16:05:39.889766	2013-08-04 02:25:51.925132
19459	4	2013-08-02 16:05:42.071819	2013-08-04 02:35:43.637359
19434	14	2013-08-02 16:05:42.027923	2013-08-02 16:05:42.027923
19439	4	2013-08-02 16:05:42.035501	2013-08-04 02:35:43.642415
19398	21	2013-08-02 16:05:41.846637	2013-08-03 17:47:06.357199
32815	14	2013-08-02 16:06:12.443515	2013-08-03 23:26:33.047028
20926	4	2013-08-02 16:05:45.118842	2013-08-04 02:35:43.64711
19442	2	2013-08-02 16:05:42.040763	2013-08-02 16:05:42.040763
19378	21	2013-08-02 16:05:41.798845	2013-08-03 17:47:06.358534
19444	4	2013-08-02 16:05:42.044175	2013-08-02 16:05:42.044175
19447	7	2013-08-02 16:05:42.049361	2013-08-02 16:05:42.049361
19358	21	2013-08-02 16:05:41.751198	2013-08-03 17:47:06.359835
19454	14	2013-08-02 16:05:42.062282	2013-08-02 16:05:42.062282
19338	21	2013-08-02 16:05:41.702566	2013-08-03 17:47:06.361266
19462	2	2013-08-02 16:05:42.077889	2013-08-02 16:05:42.077889
19318	21	2013-08-02 16:05:41.649216	2013-08-03 17:47:06.362692
19464	4	2013-08-02 16:05:42.081974	2013-08-02 16:05:42.081974
19467	7	2013-08-02 16:05:42.087981	2013-08-02 16:05:42.087981
19458	21	2013-08-02 16:05:42.069794	2013-08-03 17:52:04.928313
19317	7	2013-08-02 16:05:41.646553	2013-08-03 02:47:01.513431
19377	4	2013-08-02 16:05:41.796462	2013-08-03 02:47:01.517002
2391	7	2013-08-02 16:05:08.698103	2013-08-03 18:02:14.949332
19417	2	2013-08-02 16:05:42.005876	2013-08-03 02:47:01.519398
2404	7	2013-08-02 16:05:08.713827	2013-08-03 18:02:14.958001
2509	7	2013-08-02 16:05:08.851711	2013-08-03 18:02:14.966666
2502	7	2013-08-02 16:05:08.845909	2013-08-03 18:02:14.971105
25443	21	2013-08-02 16:05:54.884572	2013-08-03 18:02:14.98677
25403	21	2013-08-02 16:05:54.782451	2013-08-03 18:02:14.991653
25383	21	2013-08-02 16:05:54.73376	2013-08-03 18:02:14.994282
25363	21	2013-08-02 16:05:54.693334	2013-08-03 18:02:14.995925
19345	4	2013-08-02 16:05:41.719892	2013-08-03 18:30:17.028235
19385	2	2013-08-02 16:05:41.815539	2013-08-03 18:30:17.030034
19357	4	2013-08-02 16:05:41.748837	2013-08-03 18:32:14.454172
19465	2	2013-08-02 16:05:42.083956	2013-08-03 18:32:14.463074
19425	7	2013-08-02 16:05:42.015623	2013-08-03 18:32:14.518574
19365	14	2013-08-02 16:05:41.767801	2013-08-03 18:33:05.671718
19335	21	2013-08-02 16:05:41.694579	2013-08-03 18:37:39.247512
19332	21	2013-08-02 16:05:41.686607	2013-08-03 18:37:39.249542
19312	21	2013-08-02 16:05:41.633158	2013-08-03 18:37:39.2511
19445	21	2013-08-02 16:05:42.045884	2013-08-03 18:42:36.535042
19452	21	2013-08-02 16:05:42.058564	2013-08-03 18:42:36.537286
19432	21	2013-08-02 16:05:42.024896	2013-08-03 18:42:36.53936
19412	21	2013-08-02 16:05:42.00109	2013-08-03 18:42:36.541459
19392	21	2013-08-02 16:05:41.832228	2013-08-03 18:42:36.543383
19372	21	2013-08-02 16:05:41.784515	2013-08-03 18:42:36.546292
19352	21	2013-08-02 16:05:41.736885	2013-08-03 18:42:36.549096
19606	4	2013-08-02 16:05:42.419758	2013-08-03 22:04:59.550934
42861	21	2013-08-02 16:06:34.787282	2013-08-04 17:19:14.310253
19572	21	2013-08-02 16:05:42.338166	2013-08-03 18:47:36.727582
19471	2	2013-08-02 16:05:42.095947	2013-08-04 01:15:49.642219
19474	14	2013-08-02 16:05:42.101917	2013-08-02 16:05:42.101917
19552	21	2013-08-02 16:05:42.286604	2013-08-03 18:47:36.729165
14157	21	2013-08-02 16:05:31.076329	2013-08-04 20:22:41.044161
19483	21	2013-08-02 16:05:42.12126	2013-08-03 17:20:34.353662
19532	21	2013-08-02 16:05:42.241237	2013-08-03 18:47:36.730222
19512	21	2013-08-02 16:05:42.19349	2013-08-03 18:47:36.731276
5888	21	2013-08-02 16:05:14.882968	2013-08-03 22:24:23.944225
19482	2	2013-08-02 16:05:42.118484	2013-08-02 16:05:42.118484
19492	21	2013-08-02 16:05:42.144281	2013-08-03 18:47:36.732313
19484	4	2013-08-02 16:05:42.123914	2013-08-02 16:05:42.123914
19533	21	2013-08-02 16:05:42.243568	2013-08-03 22:54:23.649747
19487	7	2013-08-02 16:05:42.131957	2013-08-02 16:05:42.131957
5831	2	2013-08-02 16:05:14.742147	2013-08-04 01:21:00.670116
26523	7	2013-08-02 16:05:57.308798	2013-08-04 02:26:47.583177
19621	7	2013-08-02 16:05:42.455798	2013-08-04 20:22:41.098527
18181	2	2013-08-02 16:05:39.238475	2013-08-04 17:21:49.806898
26475	21	2013-08-02 16:05:57.182058	2013-08-04 17:21:49.853009
19494	14	2013-08-02 16:05:42.149126	2013-08-02 16:05:42.149126
19612	7	2013-08-02 16:05:42.434277	2013-08-03 18:49:49.158026
19509	7	2013-08-02 16:05:42.186296	2013-08-04 20:22:41.103052
19473	2	2013-08-02 16:05:42.099932	2013-08-03 22:54:23.687191
23468	4	2013-08-02 16:05:51.319563	2013-08-04 02:26:47.594564
2265	21	2013-08-02 16:05:08.546893	2013-08-04 17:21:49.855863
28906	2	2013-08-02 16:06:02.474075	2013-08-04 17:21:50.111533
19489	7	2013-08-02 16:05:42.136981	2013-08-04 20:22:41.114749
19502	2	2013-08-02 16:05:42.169196	2013-08-02 16:05:42.169196
19495	4	2013-08-02 16:05:42.151508	2013-08-03 17:42:24.10466
19504	4	2013-08-02 16:05:42.174299	2013-08-02 16:05:42.174299
18263	2	2013-08-02 16:05:39.325104	2013-08-04 17:21:50.204441
17232	2	2013-08-02 16:05:37.489877	2013-08-04 02:26:47.601732
19507	7	2013-08-02 16:05:42.181537	2013-08-02 16:05:42.181537
18056	2	2013-08-02 16:05:39.095751	2013-08-04 17:21:50.215389
2669	2	2013-08-02 16:05:09.058613	2013-08-04 17:21:50.221143
21939	2	2013-08-02 16:05:47.387667	2013-08-04 17:21:50.224834
19100	21	2013-08-02 16:05:41.078244	2013-08-04 02:26:47.629608
19514	14	2013-08-02 16:05:42.198225	2013-08-02 16:05:42.198225
19613	21	2013-08-02 16:05:42.436706	2013-08-03 23:04:24.221799
19575	7	2013-08-02 16:05:42.345344	2013-08-04 20:22:41.125402
19590	21	2013-08-02 16:05:42.381252	2013-08-03 20:47:30.986402
4781	2	2013-08-02 16:05:13.000272	2013-08-04 17:21:50.228258
14278	7	2013-08-02 16:05:31.490073	2013-08-03 19:54:07.432842
5924	21	2013-08-02 16:05:14.977548	2013-08-03 23:04:24.224758
19522	2	2013-08-02 16:05:42.217281	2013-08-02 16:05:42.217281
19535	2	2013-08-02 16:05:42.248249	2013-08-03 17:42:24.110656
19524	4	2013-08-02 16:05:42.222093	2013-08-02 16:05:42.222093
19615	21	2013-08-02 16:05:42.441502	2013-08-03 20:47:30.989832
19593	21	2013-08-02 16:05:42.388377	2013-08-03 23:04:24.228009
19527	7	2013-08-02 16:05:42.229213	2013-08-02 16:05:42.229213
36403	7	2013-08-02 16:06:20.800127	2013-08-04 20:22:41.137089
19573	21	2013-08-02 16:05:42.340557	2013-08-03 23:04:24.231076
17436	2	2013-08-02 16:05:37.968105	2013-08-04 17:21:50.231636
19570	21	2013-08-02 16:05:42.333321	2013-08-03 20:47:30.993367
26071	2	2013-08-02 16:05:56.524805	2013-08-04 17:21:50.293265
19534	14	2013-08-02 16:05:42.245906	2013-08-02 16:05:42.245906
9431	4	2013-08-02 16:05:22.35518	2013-08-03 19:54:07.436042
19469	7	2013-08-02 16:05:42.091875	2013-08-04 20:22:41.143024
19555	21	2013-08-02 16:05:42.294096	2013-08-03 23:04:24.234089
15920	14	2013-08-02 16:05:34.333114	2013-08-03 19:57:24.085981
16876	2	2013-08-02 16:05:36.505417	2013-08-04 17:21:50.297214
19550	21	2013-08-02 16:05:42.281872	2013-08-03 20:47:30.996977
19553	21	2013-08-02 16:05:42.288983	2013-08-03 23:04:24.237141
19542	2	2013-08-02 16:05:42.264821	2013-08-02 16:05:42.264821
19544	4	2013-08-02 16:05:42.269631	2013-08-02 16:05:42.269631
19530	21	2013-08-02 16:05:42.236482	2013-08-03 20:47:31.00052
18236	2	2013-08-02 16:05:39.295668	2013-08-04 17:21:50.462337
19547	7	2013-08-02 16:05:42.276823	2013-08-02 16:05:42.276823
19623	14	2013-08-02 16:05:42.460575	2013-08-03 17:23:19.492675
15799	14	2013-08-02 16:05:34.190993	2013-08-04 02:27:12.055771
19525	2	2013-08-02 16:05:42.224441	2013-08-04 17:36:50.425764
19554	14	2013-08-02 16:05:42.291349	2013-08-02 16:05:42.291349
19513	7	2013-08-02 16:05:42.195846	2013-08-03 23:14:34.709307
19563	14	2013-08-02 16:05:42.315607	2013-08-03 17:23:38.933066
47203	4	2013-08-02 16:06:44.451939	2013-08-03 23:21:59.029546
13638	2	2013-08-02 16:05:29.859115	2013-08-03 23:21:59.03297
19562	2	2013-08-02 16:05:42.312946	2013-08-02 16:05:42.312946
19589	14	2013-08-02 16:05:42.378862	2013-08-04 20:25:04.378463
19564	4	2013-08-02 16:05:42.318314	2013-08-02 16:05:42.318314
19567	7	2013-08-02 16:05:42.325962	2013-08-02 16:05:42.325962
19529	21	2013-08-02 16:05:42.23414	2013-08-04 20:25:04.555033
6311	21	2013-08-02 16:05:15.898084	2013-08-04 02:30:50.67214
35161	14	2013-08-02 16:06:17.628031	2013-08-03 23:21:59.057719
19517	4	2013-08-02 16:05:42.205343	2013-08-04 02:35:43.529953
19574	14	2013-08-02 16:05:42.342934	2013-08-02 16:05:42.342934
5811	2	2013-08-02 16:05:14.69361	2013-08-04 20:27:34.813095
19510	2	2013-08-02 16:05:42.188695	2013-08-04 20:27:36.99134
19558	4	2013-08-02 16:05:42.30239	2013-08-04 02:35:43.541592
19569	7	2013-08-02 16:05:42.330872	2013-08-04 20:27:37.161552
19549	2	2013-08-02 16:05:42.279511	2013-08-04 20:27:37.227936
19609	4	2013-08-02 16:05:42.427123	2013-08-04 20:27:37.345099
19619	4	2013-08-02 16:05:42.451039	2013-08-04 02:35:43.552504
19582	2	2013-08-02 16:05:42.362131	2013-08-02 16:05:42.362131
19493	4	2013-08-02 16:05:42.146705	2013-08-04 20:27:37.348787
19584	4	2013-08-02 16:05:42.366902	2013-08-02 16:05:42.366902
44445	21	2013-08-02 16:06:38.47875	2013-08-03 23:34:28.105236
19587	7	2013-08-02 16:05:42.374075	2013-08-02 16:05:42.374075
19599	4	2013-08-02 16:05:42.402662	2013-08-04 02:35:43.563588
19579	4	2013-08-02 16:05:42.354946	2013-08-04 02:35:43.57386
8727	21	2013-08-02 16:05:20.5873	2013-08-08 01:03:02.114098
14286	4	2013-08-02 16:05:31.4986	2013-08-03 20:52:35.630794
19597	4	2013-08-02 16:05:42.397889	2013-08-04 02:35:43.579029
19594	14	2013-08-02 16:05:42.390746	2013-08-02 16:05:42.390746
23950	2	2013-08-02 16:05:52.453372	2013-08-03 21:24:57.937486
14332	21	2013-08-02 16:05:31.571735	2013-08-08 01:03:02.116775
19498	21	2013-08-02 16:05:42.158662	2013-08-03 17:52:04.917817
42675	4	2013-08-02 16:06:34.356897	2013-08-04 02:35:43.583439
45735	14	2013-08-02 16:06:40.941381	2013-08-08 01:03:02.177723
5904	14	2013-08-02 16:05:14.925848	2013-08-03 21:24:57.955238
19470	4	2013-08-02 16:05:42.093977	2013-08-04 02:35:43.58768
19602	2	2013-08-02 16:05:42.410169	2013-08-02 16:05:42.410169
19503	21	2013-08-02 16:05:42.17178	2013-08-03 17:52:04.921307
19604	4	2013-08-02 16:05:42.414994	2013-08-02 16:05:42.414994
8428	14	2013-08-02 16:05:19.892433	2013-08-08 01:03:02.228748
8357	14	2013-08-02 16:05:19.663997	2013-08-08 01:03:02.232055
19607	7	2013-08-02 16:05:42.422359	2013-08-02 16:05:42.422359
19478	21	2013-08-02 16:05:42.109899	2013-08-03 17:52:04.925049
22061	14	2013-08-02 16:05:47.696532	2013-08-08 01:03:02.265254
14312	14	2013-08-02 16:05:31.535737	2013-08-08 01:03:02.26916
14292	14	2013-08-02 16:05:31.506259	2013-08-08 01:03:02.271991
20595	14	2013-08-02 16:05:44.498501	2013-08-08 01:03:02.274981
19614	14	2013-08-02 16:05:42.439073	2013-08-02 16:05:42.439073
14347	14	2013-08-02 16:05:31.609997	2013-08-08 01:03:02.278784
4889	14	2013-08-02 16:05:13.08531	2013-08-08 01:03:02.281953
19618	4	2013-08-02 16:05:42.448688	2013-08-03 17:52:05.177407
16386	14	2013-08-02 16:05:35.239051	2013-08-08 01:03:02.285103
14330	14	2013-08-02 16:05:31.567928	2013-08-08 01:03:02.289313
19622	2	2013-08-02 16:05:42.458194	2013-08-02 16:05:42.458194
19624	4	2013-08-02 16:05:42.462944	2013-08-02 16:05:42.462944
5868	7	2013-08-02 16:05:14.835654	2013-08-03 21:24:57.965107
19537	21	2013-08-02 16:05:42.253012	2013-08-03 02:53:04.408396
19557	21	2013-08-02 16:05:42.299651	2013-08-03 02:53:04.411193
19538	7	2013-08-02 16:05:42.255356	2013-08-03 17:52:05.271037
19578	4	2013-08-02 16:05:42.352526	2013-08-03 17:55:21.817754
25343	21	2013-08-02 16:05:54.668499	2013-08-03 18:02:14.997444
25323	21	2013-08-02 16:05:54.645142	2013-08-03 18:02:14.99865
25303	21	2013-08-02 16:05:54.604493	2013-08-03 18:02:14.999608
4184	7	2013-08-02 16:05:12.171408	2013-08-03 18:02:15.157518
25823	21	2013-08-02 16:05:55.8464	2013-08-03 18:02:15.170437
25803	4	2013-08-02 16:05:55.798694	2013-08-03 18:02:15.183917
25783	4	2013-08-02 16:05:55.745334	2013-08-03 18:02:15.194696
19625	21	2013-08-02 16:05:42.465341	2013-08-03 18:32:14.387845
19605	21	2013-08-02 16:05:42.417399	2013-08-03 18:32:14.391147
19585	21	2013-08-02 16:05:42.369292	2013-08-03 18:32:14.394495
19565	21	2013-08-02 16:05:42.321013	2013-08-03 18:32:14.397805
19545	21	2013-08-02 16:05:42.272061	2013-08-03 18:32:14.401196
19472	21	2013-08-02 16:05:42.097959	2013-08-03 18:42:36.532908
23970	21	2013-08-02 16:05:52.473905	2013-08-03 21:29:20.880441
19486	7	2013-08-02 16:05:42.129316	2013-08-03 21:56:35.198423
19506	4	2013-08-02 16:05:42.179116	2013-08-03 21:56:35.20576
19526	21	2013-08-02 16:05:42.226808	2013-08-03 22:00:17.052619
19651	2	2013-08-02 16:05:42.530224	2013-08-04 01:21:00.639036
19627	7	2013-08-02 16:05:42.470169	2013-08-02 16:05:42.470169
19683	2	2013-08-02 16:05:42.612514	2013-08-04 01:21:00.64999
19631	2	2013-08-02 16:05:42.480361	2013-08-04 01:21:00.65997
11721	2	2013-08-02 16:05:26.277098	2013-08-04 17:21:50.466529
19661	21	2013-08-02 16:05:42.555791	2013-08-03 20:12:22.998124
18351	21	2013-08-02 16:05:39.41593	2013-08-04 17:21:50.494805
19634	14	2013-08-02 16:05:42.487777	2013-08-02 16:05:42.487777
17277	21	2013-08-02 16:05:37.585199	2013-08-03 22:24:23.933609
19710	21	2013-08-02 16:05:42.683343	2013-08-03 22:24:23.937275
19663	4	2013-08-02 16:05:42.560469	2013-08-03 18:49:49.168761
18036	21	2013-08-02 16:05:39.068975	2013-08-04 17:21:50.497466
19626	21	2013-08-02 16:05:42.467689	2013-08-03 22:24:23.940784
19643	21	2013-08-02 16:05:42.511118	2013-08-03 23:04:24.218135
19642	2	2013-08-02 16:05:42.508599	2013-08-02 16:05:42.508599
19644	4	2013-08-02 16:05:42.51372	2013-08-02 16:05:42.51372
19672	2	2013-08-02 16:05:42.583271	2013-08-03 18:49:49.175912
19733	21	2013-08-02 16:05:42.741331	2013-08-03 23:11:27.653835
19647	7	2013-08-02 16:05:42.521828	2013-08-02 16:05:42.521828
18171	2	2013-08-02 16:05:39.229349	2013-08-04 17:21:50.637642
19713	21	2013-08-02 16:05:42.690659	2013-08-03 23:11:27.658272
18017	2	2013-08-02 16:05:39.046977	2013-08-04 17:21:50.64093
19641	7	2013-08-02 16:05:42.505696	2013-08-03 20:14:12.122726
18553	2	2013-08-02 16:05:39.741804	2013-08-04 17:21:51.129481
19654	14	2013-08-02 16:05:42.537872	2013-08-02 16:05:42.537872
19703	21	2013-08-02 16:05:42.664852	2013-08-03 23:11:27.661901
4628	21	2013-08-02 16:05:12.810189	2013-08-03 23:11:27.665496
19693	21	2013-08-02 16:05:42.638794	2013-08-03 23:11:27.669115
18543	2	2013-08-02 16:05:39.725299	2013-08-04 17:21:51.133091
18536	2	2013-08-02 16:05:39.713345	2013-08-04 17:21:51.136199
19673	21	2013-08-02 16:05:42.585997	2013-08-03 23:11:27.672917
19662	2	2013-08-02 16:05:42.55818	2013-08-02 16:05:42.55818
19772	7	2013-08-02 16:05:42.838972	2013-08-03 18:52:34.671592
19664	4	2013-08-02 16:05:42.562777	2013-08-02 16:05:42.562777
19698	4	2013-08-02 16:05:42.651508	2013-08-03 18:52:34.694284
19653	21	2013-08-02 16:05:42.535259	2013-08-03 23:11:27.67669
19667	7	2013-08-02 16:05:42.569865	2013-08-02 16:05:42.569865
19633	21	2013-08-02 16:05:42.485351	2013-08-03 23:11:27.680261
18417	2	2013-08-02 16:05:39.525375	2013-08-04 17:21:51.140957
5781	2	2013-08-02 16:05:14.62044	2013-08-04 17:21:51.146415
18516	2	2013-08-02 16:05:39.680172	2013-08-04 17:21:51.157177
19674	14	2013-08-02 16:05:42.588723	2013-08-02 16:05:42.588723
19692	21	2013-08-02 16:05:42.636118	2013-08-03 20:22:30.869039
19675	7	2013-08-02 16:05:42.591383	2013-08-03 17:42:44.290734
19732	2	2013-08-02 16:05:42.738793	2013-08-03 18:52:34.738967
18496	2	2013-08-02 16:05:39.650142	2013-08-04 17:21:51.168154
18476	2	2013-08-02 16:05:39.622384	2013-08-04 17:21:51.178922
19632	14	2013-08-02 16:05:42.48287	2013-08-03 23:14:34.868699
19682	2	2013-08-02 16:05:42.609879	2013-08-02 16:05:42.609879
19671	21	2013-08-02 16:05:42.580614	2013-08-04 01:25:47.019142
19684	4	2013-08-02 16:05:42.615032	2013-08-02 16:05:42.615032
31550	2	2013-08-02 16:06:09.208158	2013-08-04 17:21:51.189665
19681	21	2013-08-02 16:05:42.607298	2013-08-04 01:28:57.244049
19687	7	2013-08-02 16:05:42.62296	2013-08-02 16:05:42.62296
19752	21	2013-08-02 16:05:42.790088	2013-08-03 19:27:38.039184
19670	4	2013-08-02 16:05:42.577935	2013-08-03 23:14:34.897791
31450	2	2013-08-02 16:06:08.958693	2013-08-04 17:21:51.200611
19773	21	2013-08-02 16:05:42.841438	2013-08-03 23:15:36.835266
35495	2	2013-08-02 16:06:18.429788	2013-08-04 01:50:57.530644
19694	14	2013-08-02 16:05:42.641302	2013-08-02 16:05:42.641302
19650	14	2013-08-02 16:05:42.529197	2013-08-03 20:48:24.743932
19723	7	2013-08-02 16:05:42.714864	2013-08-04 20:25:04.398412
19735	4	2013-08-02 16:05:42.746425	2013-08-03 17:42:44.29707
15732	4	2013-08-02 16:05:34.01794	2013-08-04 20:25:04.409396
19702	2	2013-08-02 16:05:42.662117	2013-08-02 16:05:42.662117
19704	4	2013-08-02 16:05:42.667497	2013-08-02 16:05:42.667497
15833	7	2013-08-02 16:05:34.234689	2013-08-04 02:27:12.078347
19707	7	2013-08-02 16:05:42.675488	2013-08-02 16:05:42.675488
19655	4	2013-08-02 16:05:42.540423	2013-08-03 17:47:04.844789
19709	2	2013-08-02 16:05:42.680876	2013-08-04 20:25:04.414784
14066	2	2013-08-02 16:05:30.85074	2013-08-04 20:27:33.748977
19689	21	2013-08-02 16:05:42.628187	2013-08-04 20:27:33.774202
19714	14	2013-08-02 16:05:42.693043	2013-08-02 16:05:42.693043
15876	4	2013-08-02 16:05:34.285314	2013-08-04 02:27:12.08937
19669	2	2013-08-02 16:05:42.575187	2013-08-04 20:27:34.144318
19635	21	2013-08-02 16:05:42.490379	2013-08-04 20:27:34.592808
4648	4	2013-08-02 16:05:12.828427	2013-08-03 19:54:07.513257
43783	7	2013-08-02 16:06:36.655685	2013-08-04 20:27:35.496066
19769	2	2013-08-02 16:05:42.831901	2013-08-04 20:27:36.452416
15896	2	2013-08-02 16:05:34.309277	2013-08-04 02:27:12.096533
19722	2	2013-08-02 16:05:42.712183	2013-08-02 16:05:42.712183
19757	21	2013-08-02 16:05:42.802661	2013-08-03 17:52:05.038826
19724	4	2013-08-02 16:05:42.717517	2013-08-02 16:05:42.717517
19630	2	2013-08-02 16:05:42.477775	2013-08-04 20:27:36.463532
19727	7	2013-08-02 16:05:42.725528	2013-08-02 16:05:42.725528
19778	21	2013-08-02 16:05:42.853212	2013-08-03 17:52:05.04218
19770	2	2013-08-02 16:05:42.834258	2013-08-04 20:27:36.475126
19749	2	2013-08-02 16:05:42.7821	2013-08-04 20:27:36.486873
35621	2	2013-08-02 16:06:18.829448	2013-08-04 20:27:36.499228
9738	2	2013-08-02 16:05:22.955224	2013-08-04 02:30:50.56583
19734	14	2013-08-02 16:05:42.743923	2013-08-02 16:05:42.743923
19730	7	2013-08-02 16:05:42.733516	2013-08-03 20:48:24.761133
19729	2	2013-08-02 16:05:42.730821	2013-08-04 20:27:36.510742
19758	21	2013-08-02 16:05:42.805194	2013-08-03 17:52:05.045636
14367	14	2013-08-02 16:05:31.663624	2013-08-08 01:03:02.292587
14387	14	2013-08-02 16:05:31.712284	2013-08-08 01:03:02.295535
35545	7	2013-08-02 16:06:18.762997	2013-08-03 23:21:59.234851
19742	2	2013-08-02 16:05:42.763571	2013-08-02 16:05:42.763571
19738	21	2013-08-02 16:05:42.753614	2013-08-03 17:52:05.049086
19744	4	2013-08-02 16:05:42.768918	2013-08-02 16:05:42.768918
19737	2	2013-08-02 16:05:42.751252	2013-08-04 02:35:43.722196
14370	14	2013-08-02 16:05:31.67151	2013-08-08 01:03:02.298523
19747	7	2013-08-02 16:05:42.776868	2013-08-02 16:05:42.776868
19779	2	2013-08-02 16:05:42.855542	2013-08-04 02:35:43.733249
31890	21	2013-08-02 16:06:10.164522	2013-08-03 23:24:41.041614
14438	14	2013-08-02 16:05:31.833946	2013-08-08 01:03:02.301522
14407	14	2013-08-02 16:05:31.760369	2013-08-08 01:03:02.304647
5944	2	2013-08-02 16:05:15.026042	2013-08-04 02:35:43.744132
19754	14	2013-08-02 16:05:42.795025	2013-08-02 16:05:42.795025
4989	14	2013-08-02 16:05:13.179984	2013-08-08 01:03:02.30769
19759	2	2013-08-02 16:05:42.807651	2013-08-04 02:35:43.755239
14427	14	2013-08-02 16:05:31.807796	2013-08-08 01:03:02.311542
32310	2	2013-08-02 16:06:11.058701	2013-08-03 23:29:39.432106
35540	2	2013-08-02 16:06:18.749857	2013-08-04 02:35:43.766241
19762	2	2013-08-02 16:05:42.815349	2013-08-02 16:05:42.815349
5941	2	2013-08-02 16:05:15.018937	2013-08-03 21:24:57.96953
19764	4	2013-08-02 16:05:42.820104	2013-08-02 16:05:42.820104
19739	2	2013-08-02 16:05:42.755954	2013-08-04 02:35:43.777125
14381	14	2013-08-02 16:05:31.697938	2013-08-08 01:03:02.314541
19767	7	2013-08-02 16:05:42.827177	2013-08-02 16:05:42.827177
19658	14	2013-08-02 16:05:42.548201	2013-08-03 17:52:05.132443
4949	14	2013-08-02 16:05:13.141833	2013-08-08 01:03:02.317379
17136	14	2013-08-02 16:05:37.166153	2013-08-08 01:03:02.390271
39338	14	2013-08-02 16:06:26.948291	2013-08-08 01:03:02.482139
38205	14	2013-08-02 16:06:24.602273	2013-08-08 01:03:02.588177
19774	14	2013-08-02 16:05:42.843777	2013-08-02 16:05:42.843777
5961	21	2013-08-02 16:05:15.069521	2013-08-03 21:25:17.474454
19678	4	2013-08-02 16:05:42.599368	2013-08-03 17:58:45.700029
18820	4	2013-08-02 16:05:40.423369	2013-08-03 21:25:17.658846
19782	2	2013-08-02 16:05:42.862601	2013-08-02 16:05:42.862601
19728	21	2013-08-02 16:05:42.728164	2013-08-03 02:42:40.215611
25763	4	2013-08-02 16:05:55.694211	2013-08-03 18:02:15.205153
19768	2	2013-08-02 16:05:42.829558	2013-08-03 02:42:40.521498
19697	21	2013-08-02 16:05:42.649019	2013-08-03 02:47:52.382875
19677	14	2013-08-02 16:05:42.596733	2013-08-03 02:47:52.386906
19657	14	2013-08-02 16:05:42.54562	2013-08-03 02:47:52.391082
25743	4	2013-08-02 16:05:55.646117	2013-08-03 18:02:15.215695
25723	4	2013-08-02 16:05:55.595485	2013-08-03 18:02:15.226407
25703	4	2013-08-02 16:05:55.54348	2013-08-03 18:02:15.236994
25683	4	2013-08-02 16:05:55.49051	2013-08-03 18:02:15.247355
25663	4	2013-08-02 16:05:55.441064	2013-08-03 18:02:15.257764
25643	4	2013-08-02 16:05:55.392695	2013-08-03 18:02:15.26862
25623	7	2013-08-02 16:05:55.345234	2013-08-03 18:02:15.291396
19685	21	2013-08-02 16:05:42.617652	2013-08-03 18:32:14.379961
19665	21	2013-08-02 16:05:42.565123	2013-08-03 18:32:14.383059
19645	21	2013-08-02 16:05:42.516372	2013-08-03 18:32:14.385548
19765	7	2013-08-02 16:05:42.822415	2013-08-03 18:32:14.709274
19745	7	2013-08-02 16:05:42.77155	2013-08-03 18:32:14.713824
19725	7	2013-08-02 16:05:42.720176	2013-08-03 18:32:14.717645
19705	7	2013-08-02 16:05:42.670149	2013-08-03 18:32:14.72173
19715	7	2013-08-02 16:05:42.695423	2013-08-03 18:32:14.726103
5921	7	2013-08-02 16:05:14.969759	2013-08-03 21:29:21.074555
38803	2	2013-08-02 16:06:26.049948	2013-08-03 21:29:22.081562
19646	14	2013-08-02 16:05:42.519097	2013-08-03 22:00:36.610716
18456	2	2013-08-02 16:05:39.582852	2013-08-04 17:21:51.211607
19784	4	2013-08-02 16:05:42.867425	2013-08-02 16:05:42.867425
19837	21	2013-08-02 16:05:43.003303	2013-08-03 18:52:34.51794
19787	7	2013-08-02 16:05:42.874834	2013-08-02 16:05:42.874834
19806	7	2013-08-02 16:05:42.92011	2013-08-03 22:05:19.423525
19926	7	2013-08-02 16:05:43.238635	2013-08-04 01:23:20.629331
18436	2	2013-08-02 16:05:39.549771	2013-08-04 17:21:51.223221
19835	14	2013-08-02 16:05:42.99801	2013-08-03 22:09:24.095868
18416	2	2013-08-02 16:05:39.524088	2013-08-04 17:21:51.230462
19794	14	2013-08-02 16:05:42.891451	2013-08-02 16:05:42.891451
19932	21	2013-08-02 16:05:43.253446	2013-08-03 18:52:34.521654
19870	21	2013-08-02 16:05:43.0902	2013-08-04 20:27:36.29988
19912	21	2013-08-02 16:05:43.201491	2013-08-03 18:52:34.525046
19892	21	2013-08-02 16:05:43.148691	2013-08-03 18:52:34.528563
18396	2	2013-08-02 16:05:39.495285	2013-08-04 17:21:51.244003
19872	21	2013-08-02 16:05:43.095528	2013-08-03 18:52:34.532157
19857	2	2013-08-02 16:05:43.055629	2013-08-04 01:25:47.514969
19802	2	2013-08-02 16:05:42.91064	2013-08-02 16:05:42.91064
19815	7	2013-08-02 16:05:42.945666	2013-08-03 17:42:55.497389
19804	4	2013-08-02 16:05:42.915362	2013-08-02 16:05:42.915362
19801	2	2013-08-02 16:05:42.90821	2013-08-03 20:14:12.345549
41778	2	2013-08-02 16:06:32.00119	2013-08-04 01:25:47.522631
19807	7	2013-08-02 16:05:42.922697	2013-08-02 16:05:42.922697
19823	4	2013-08-02 16:05:42.966868	2013-08-03 17:23:19.520065
18376	2	2013-08-02 16:05:39.464775	2013-08-04 17:21:51.256484
18016	21	2013-08-02 16:05:39.045803	2013-08-04 17:21:51.335252
19931	2	2013-08-02 16:05:43.25107	2013-08-04 01:25:47.526489
19490	2	2013-08-02 16:05:42.139412	2013-08-04 01:25:47.53384
19814	14	2013-08-02 16:05:42.942095	2013-08-02 16:05:42.942095
19852	7	2013-08-02 16:05:43.0423	2013-08-04 20:27:36.312728
19889	7	2013-08-02 16:05:43.140654	2013-08-04 20:27:36.319491
19843	2	2013-08-02 16:05:43.018711	2013-08-03 17:23:19.52371
26150	2	2013-08-02 16:05:56.593344	2013-08-04 17:21:51.608391
19911	2	2013-08-02 16:05:43.198804	2013-08-04 01:25:47.544771
19822	2	2013-08-02 16:05:42.964199	2013-08-02 16:05:42.964199
19930	2	2013-08-02 16:05:43.2487	2013-08-04 01:25:47.555695
19824	4	2013-08-02 16:05:42.969548	2013-08-02 16:05:42.969548
19901	14	2013-08-02 16:05:43.172759	2013-08-03 20:21:35.313454
19877	2	2013-08-02 16:05:43.108711	2013-08-04 01:25:47.566573
19827	7	2013-08-02 16:05:42.976905	2013-08-02 16:05:42.976905
26121	2	2013-08-02 16:05:56.564798	2013-08-04 17:21:51.611598
19898	7	2013-08-02 16:05:43.1644	2013-08-03 22:11:42.947859
26868	2	2013-08-02 16:05:58.312922	2013-08-04 17:21:51.614902
19811	2	2013-08-02 16:05:42.932313	2013-08-04 01:35:47.510358
19791	2	2013-08-02 16:05:42.884364	2013-08-04 01:50:57.526597
19834	14	2013-08-02 16:05:42.995346	2013-08-02 16:05:42.995346
19790	4	2013-08-02 16:05:42.882017	2013-08-03 20:48:24.772329
19935	7	2013-08-02 16:05:43.260579	2013-08-04 20:27:36.32626
18919	7	2013-08-02 16:05:40.645455	2013-08-04 20:27:36.334149
19918	21	2013-08-02 16:05:43.21741	2013-08-03 22:24:23.929921
26888	2	2013-08-02 16:05:58.36173	2013-08-04 17:21:51.618034
43175	2	2013-08-02 16:06:35.152251	2013-08-03 19:54:07.515391
19873	21	2013-08-02 16:05:43.098178	2013-08-03 23:14:34.790958
19842	2	2013-08-02 16:05:43.016067	2013-08-02 16:05:43.016067
19923	4	2013-08-02 16:05:43.23066	2013-08-03 17:42:55.503203
19844	4	2013-08-02 16:05:43.021192	2013-08-02 16:05:43.021192
19883	21	2013-08-02 16:05:43.124819	2013-08-03 23:14:34.79521
3712	2	2013-08-02 16:05:11.031824	2013-08-04 17:21:51.628779
19847	7	2013-08-02 16:05:43.029037	2013-08-02 16:05:43.029037
19869	7	2013-08-02 16:05:43.087513	2013-08-04 20:27:36.341828
19810	21	2013-08-02 16:05:42.929782	2013-08-03 23:14:34.798729
19933	2	2013-08-02 16:05:43.2558	2013-08-04 17:41:51.51724
19830	2	2013-08-02 16:05:42.98478	2013-08-03 20:48:24.781898
18879	14	2013-08-02 16:05:40.539782	2013-08-04 02:27:17.555709
19854	14	2013-08-02 16:05:43.047685	2013-08-02 16:05:43.047685
19853	21	2013-08-02 16:05:43.04502	2013-08-03 23:14:34.802409
19849	7	2013-08-02 16:05:43.034343	2013-08-04 20:27:36.347996
19936	2	2013-08-02 16:05:43.262952	2013-08-04 17:41:51.528391
17612	2	2013-08-02 16:05:38.383167	2013-08-04 17:41:51.539298
19916	2	2013-08-02 16:05:43.212065	2013-08-04 17:41:51.550269
19893	2	2013-08-02 16:05:43.151308	2013-08-04 17:41:51.561228
19833	21	2013-08-02 16:05:42.992713	2013-08-03 23:14:34.805905
19862	2	2013-08-02 16:05:43.068949	2013-08-02 16:05:43.068949
19829	7	2013-08-02 16:05:42.982111	2013-08-04 20:27:36.35369
19864	4	2013-08-02 16:05:43.074291	2013-08-02 16:05:43.074291
19938	7	2013-08-02 16:05:43.267652	2013-08-04 20:27:36.359739
19896	2	2013-08-02 16:05:43.159166	2013-08-04 17:41:51.571971
19867	7	2013-08-02 16:05:43.08212	2013-08-02 16:05:43.08212
19793	2	2013-08-02 16:05:42.889105	2013-08-04 17:41:51.58286
19915	21	2013-08-02 16:05:43.209455	2013-08-03 23:14:34.80936
19876	2	2013-08-02 16:05:43.106019	2013-08-04 17:41:51.594147
19792	21	2013-08-02 16:05:42.886722	2013-08-03 23:14:34.812974
19874	14	2013-08-02 16:05:43.100667	2013-08-02 16:05:43.100667
19890	14	2013-08-02 16:05:43.14328	2013-08-03 20:48:43.906773
19895	2	2013-08-02 16:05:43.156691	2013-08-03 17:42:55.507201
45543	4	2013-08-02 16:06:40.721233	2013-08-03 19:58:42.371547
19882	2	2013-08-02 16:05:43.122096	2013-08-02 16:05:43.122096
19884	4	2013-08-02 16:05:43.127283	2013-08-02 16:05:43.127283
19817	4	2013-08-02 16:05:42.95109	2013-08-03 23:19:39.964587
43675	2	2013-08-02 16:06:36.382968	2013-08-04 02:30:51.074798
19887	7	2013-08-02 16:05:43.135322	2013-08-02 16:05:43.135322
19839	2	2013-08-02 16:05:43.008334	2013-08-04 02:35:43.688428
19909	21	2013-08-02 16:05:43.193669	2013-08-04 20:28:58.910667
35581	21	2013-08-02 16:06:18.802291	2013-08-04 20:29:11.887306
19819	2	2013-08-02 16:05:42.956414	2013-08-04 02:35:43.700156
19894	14	2013-08-02 16:05:43.153984	2013-08-02 16:05:43.153984
19799	2	2013-08-02 16:05:42.903242	2013-08-04 02:35:43.711178
19897	2	2013-08-02 16:05:43.161758	2013-08-04 20:32:42.821378
19929	7	2013-08-02 16:05:43.246249	2013-08-04 20:32:42.993723
8680	21	2013-08-02 16:05:20.474973	2013-08-08 01:03:02.681247
35801	4	2013-08-02 16:06:19.161781	2013-08-04 02:40:49.440304
19902	2	2013-08-02 16:05:43.175204	2013-08-02 16:05:43.175204
12586	14	2013-08-02 16:05:28.314572	2013-08-03 21:25:17.759675
19904	4	2013-08-02 16:05:43.180422	2013-08-02 16:05:43.180422
35141	4	2013-08-02 16:06:17.575018	2013-08-04 02:40:49.453632
19939	4	2013-08-02 16:05:43.270032	2013-08-04 02:40:49.465629
19907	7	2013-08-02 16:05:43.188273	2013-08-02 16:05:43.188273
19858	21	2013-08-02 16:05:43.058298	2013-08-03 17:52:05.026249
19875	4	2013-08-02 16:05:43.103263	2013-08-04 02:40:49.476347
14493	14	2013-08-02 16:05:31.97513	2013-08-08 01:03:02.728399
14487	14	2013-08-02 16:05:31.959469	2013-08-08 01:03:02.731293
14496	14	2013-08-02 16:05:31.982432	2013-08-08 01:03:02.733855
19914	14	2013-08-02 16:05:43.20679	2013-08-02 16:05:43.20679
14473	14	2013-08-02 16:05:31.923579	2013-08-08 01:03:02.736714
42120	14	2013-08-02 16:06:33.085305	2013-08-08 01:03:02.739722
19838	21	2013-08-02 16:05:43.005769	2013-08-03 17:52:05.028651
19910	7	2013-08-02 16:05:43.196185	2013-08-03 23:19:40.017963
14507	14	2013-08-02 16:05:32.009023	2013-08-08 01:03:02.743404
8739	14	2013-08-02 16:05:20.615611	2013-08-08 01:03:02.746491
14527	14	2013-08-02 16:05:32.05756	2013-08-08 01:03:02.749673
19922	2	2013-08-02 16:05:43.227997	2013-08-02 16:05:43.227997
19818	21	2013-08-02 16:05:42.953771	2013-08-03 17:52:05.031921
19924	4	2013-08-02 16:05:43.233324	2013-08-02 16:05:43.233324
14547	14	2013-08-02 16:05:32.105413	2013-08-08 01:03:02.752623
49450	14	2013-08-02 16:06:49.063295	2013-08-08 01:03:02.755745
19927	7	2013-08-02 16:05:43.241335	2013-08-02 16:05:43.241335
19798	21	2013-08-02 16:05:42.900897	2013-08-03 17:52:05.035283
31021	14	2013-08-02 16:06:07.838578	2013-08-08 01:03:02.759189
14567	14	2013-08-02 16:05:32.145273	2013-08-08 01:03:02.762341
19934	14	2013-08-02 16:05:43.258199	2013-08-02 16:05:43.258199
19797	14	2013-08-02 16:05:42.898502	2013-08-03 02:51:24.239753
19917	21	2013-08-02 16:05:43.214742	2013-08-03 02:53:04.405523
19878	4	2013-08-02 16:05:43.11134	2013-08-03 17:57:12.279651
25603	7	2013-08-02 16:05:55.297322	2013-08-03 18:02:15.302031
25583	7	2013-08-02 16:05:55.249353	2013-08-03 18:02:15.312696
25563	7	2013-08-02 16:05:55.199233	2013-08-03 18:02:15.323293
25543	7	2013-08-02 16:05:55.149203	2013-08-03 18:02:15.334295
25523	7	2013-08-02 16:05:55.095993	2013-08-03 18:02:15.344758
25503	7	2013-08-02 16:05:55.04484	2013-08-03 18:02:15.3551
25483	7	2013-08-02 16:05:54.990835	2013-08-03 18:02:15.365669
19925	7	2013-08-02 16:05:43.235951	2013-08-03 18:32:14.6542
19905	7	2013-08-02 16:05:43.183026	2013-08-03 18:32:14.660809
19885	7	2013-08-02 16:05:43.130043	2013-08-03 18:32:14.666741
19865	7	2013-08-02 16:05:43.076831	2013-08-03 18:32:14.672871
19845	7	2013-08-02 16:05:43.023907	2013-08-03 18:32:14.677748
19855	7	2013-08-02 16:05:43.050337	2013-08-03 18:32:14.683295
19825	7	2013-08-02 16:05:42.972038	2013-08-03 18:32:14.688816
12790	14	2013-08-02 16:05:28.730141	2013-08-03 21:30:23.376529
11901	21	2013-08-02 16:05:26.735268	2013-08-03 21:30:42.811205
19786	2	2013-08-02 16:05:42.872356	2013-08-03 22:00:36.650004
34943	4	2013-08-02 16:06:17.071989	2013-08-03 23:22:28.716888
35878	4	2013-08-02 16:06:19.354958	2013-08-03 23:24:40.174703
35821	7	2013-08-02 16:06:19.215001	2013-08-03 23:24:40.337557
19952	21	2013-08-02 16:05:43.301562	2013-08-03 18:52:34.513836
20093	2	2013-08-02 16:05:43.651139	2013-08-04 01:25:47.43804
19942	2	2013-08-02 16:05:43.277455	2013-08-02 16:05:43.277455
20063	7	2013-08-02 16:05:43.566498	2013-08-03 17:42:02.055098
19944	4	2013-08-02 16:05:43.28262	2013-08-02 16:05:43.28262
20051	2	2013-08-02 16:05:43.540973	2013-08-04 01:25:47.449717
19947	7	2013-08-02 16:05:43.288031	2013-08-02 16:05:43.288031
19943	14	2013-08-02 16:05:43.280088	2013-08-03 17:23:38.705857
20333	2	2013-08-02 16:05:44.230924	2013-08-04 01:30:51.629257
21781	2	2013-08-02 16:05:47.018447	2013-08-04 17:21:51.632401
20057	21	2013-08-02 16:05:43.552748	2013-08-03 20:21:35.135037
20065	2	2013-08-02 16:05:43.57305	2013-08-04 01:30:51.633436
19954	14	2013-08-02 16:05:43.306944	2013-08-02 16:05:43.306944
20081	21	2013-08-02 16:05:43.618437	2013-08-03 20:21:35.13983
20095	14	2013-08-02 16:05:43.656526	2013-08-04 20:28:12.42004
20080	2	2013-08-02 16:05:43.615391	2013-08-04 01:30:51.637478
19992	14	2013-08-02 16:05:43.399155	2013-08-03 18:54:19.789564
31861	2	2013-08-02 16:06:09.940681	2013-08-04 17:21:51.636294
24381	2	2013-08-02 16:05:52.871301	2013-08-04 01:30:51.642031
20026	2	2013-08-02 16:05:43.483756	2013-08-03 22:15:17.385753
19962	2	2013-08-02 16:05:43.32677	2013-08-02 16:05:43.32677
19964	4	2013-08-02 16:05:43.331694	2013-08-02 16:05:43.331694
3237	2	2013-08-02 16:05:09.891529	2013-08-04 17:21:51.640218
14426	2	2013-08-02 16:05:31.805443	2013-08-04 01:30:51.645273
19967	7	2013-08-02 16:05:43.338926	2013-08-02 16:05:43.338926
20091	2	2013-08-02 16:05:43.645689	2013-08-04 01:30:51.649247
2687	2	2013-08-02 16:05:09.072939	2013-08-04 17:21:51.643865
20071	2	2013-08-02 16:05:43.590142	2013-08-04 01:30:51.653419
20053	2	2013-08-02 16:05:43.543294	2013-08-04 01:55:51.253652
19974	14	2013-08-02 16:05:43.35562	2013-08-02 16:05:43.35562
26831	14	2013-08-02 16:05:58.222784	2013-08-04 17:21:51.667688
18296	2	2013-08-02 16:05:39.362582	2013-08-04 17:21:51.675532
24401	2	2013-08-02 16:05:52.893194	2013-08-04 17:46:50.771625
45863	14	2013-08-02 16:06:41.327877	2013-08-03 19:54:07.562041
20096	2	2013-08-02 16:05:43.659269	2013-08-04 17:46:50.780421
19982	2	2013-08-02 16:05:43.374758	2013-08-02 16:05:43.374758
19984	4	2013-08-02 16:05:43.379571	2013-08-02 16:05:43.379571
20076	2	2013-08-02 16:05:43.604193	2013-08-04 17:46:50.789704
18939	7	2013-08-02 16:05:40.697015	2013-08-04 02:27:17.567298
19987	7	2013-08-02 16:05:43.386849	2013-08-02 16:05:43.386849
20056	2	2013-08-02 16:05:43.549966	2013-08-04 17:46:50.799627
20052	7	2013-08-02 16:05:43.541852	2013-08-03 20:48:43.914734
19994	14	2013-08-02 16:05:43.403669	2013-08-02 16:05:43.403669
46323	21	2013-08-02 16:06:42.153699	2013-08-03 19:57:23.453478
46303	21	2013-08-02 16:06:42.109296	2013-08-03 19:57:23.457275
20043	7	2013-08-02 16:05:43.528169	2013-08-04 20:28:12.43113
46283	21	2013-08-02 16:06:42.059598	2013-08-03 19:57:23.458606
18979	4	2013-08-02 16:05:40.79299	2013-08-04 02:27:17.572282
20002	2	2013-08-02 16:05:43.422654	2013-08-02 16:05:43.422654
20004	4	2013-08-02 16:05:43.427546	2013-08-02 16:05:43.427546
18999	2	2013-08-02 16:05:40.841319	2013-08-04 02:27:17.576511
20007	7	2013-08-02 16:05:43.434774	2013-08-02 16:05:43.434774
19949	21	2013-08-02 16:05:43.293524	2013-08-04 20:28:49.264797
19970	21	2013-08-02 16:05:43.346093	2013-08-03 22:24:23.925727
20075	21	2013-08-02 16:05:43.601225	2013-08-04 20:28:58.68392
20086	21	2013-08-02 16:05:43.632035	2013-08-03 22:24:24.25193
20014	14	2013-08-02 16:05:43.452137	2013-08-02 16:05:43.452137
20010	4	2013-08-02 16:05:43.441912	2013-08-03 20:48:43.919164
19946	2	2013-08-02 16:05:43.285622	2013-08-03 22:40:19.970504
20033	21	2013-08-02 16:05:43.502402	2013-08-03 23:19:39.931542
20022	2	2013-08-02 16:05:43.473498	2013-08-02 16:05:43.473498
20024	4	2013-08-02 16:05:43.478606	2013-08-02 16:05:43.478606
20030	2	2013-08-02 16:05:43.493863	2013-08-03 20:48:43.924991
20027	7	2013-08-02 16:05:43.486176	2013-08-02 16:05:43.486176
35115	21	2013-08-02 16:06:17.510372	2013-08-03 23:19:39.933376
20089	14	2013-08-02 16:05:43.640107	2013-08-04 20:28:58.95946
20013	21	2013-08-02 16:05:43.449476	2013-08-03 23:19:39.934636
20034	14	2013-08-02 16:05:43.505171	2013-08-02 16:05:43.505171
46223	4	2013-08-02 16:06:41.938375	2013-08-03 20:52:35.423365
19975	21	2013-08-02 16:05:43.358041	2013-08-04 20:29:11.906575
19950	21	2013-08-02 16:05:43.296194	2013-08-04 20:29:11.907851
19993	21	2013-08-02 16:05:43.401447	2013-08-03 23:19:39.935883
20042	2	2013-08-02 16:05:43.525688	2013-08-02 16:05:43.525688
20044	4	2013-08-02 16:05:43.530804	2013-08-02 16:05:43.530804
13371	21	2013-08-02 16:05:29.432899	2013-08-03 23:19:39.937468
4584	4	2013-08-02 16:05:12.756353	2013-08-04 02:30:50.543294
20047	7	2013-08-02 16:05:43.537477	2013-08-02 16:05:43.537477
20018	21	2013-08-02 16:05:43.462938	2013-08-03 17:57:12.202402
15813	4	2013-08-02 16:05:34.206452	2013-08-04 02:40:49.395551
20090	14	2013-08-02 16:05:43.642957	2013-08-03 20:55:46.476376
20019	4	2013-08-02 16:05:43.465651	2013-08-04 02:40:49.400974
20054	14	2013-08-02 16:05:43.545951	2013-08-02 16:05:43.545951
46243	4	2013-08-02 16:06:41.991467	2013-08-04 02:40:49.406282
35165	21	2013-08-02 16:06:17.638723	2013-08-04 20:29:12.082819
19998	14	2013-08-02 16:05:43.412853	2013-08-03 17:57:12.221361
20077	14	2013-08-02 16:05:43.607087	2013-08-03 23:22:17.878579
20069	21	2013-08-02 16:05:43.584755	2013-08-04 20:29:23.406568
19957	2	2013-08-02 16:05:43.314567	2013-08-04 20:32:40.142017
19999	4	2013-08-02 16:05:43.415245	2013-08-04 02:40:49.411689
20062	2	2013-08-02 16:05:43.564609	2013-08-02 16:05:43.564609
19978	14	2013-08-02 16:05:43.365251	2013-08-03 17:57:12.232266
20064	4	2013-08-02 16:05:43.569158	2013-08-02 16:05:43.569158
19989	21	2013-08-02 16:05:43.391962	2013-08-04 20:32:40.17724
19979	4	2013-08-02 16:05:43.367625	2013-08-04 02:40:49.417651
20067	7	2013-08-02 16:05:43.579374	2013-08-02 16:05:43.579374
19958	14	2013-08-02 16:05:43.317046	2013-08-03 17:57:12.242162
19969	2	2013-08-02 16:05:43.343694	2013-08-04 20:32:40.300007
20049	2	2013-08-02 16:05:43.539239	2013-08-04 20:32:42.811755
5229	2	2013-08-02 16:05:13.504814	2013-08-03 21:25:17.994604
19959	4	2013-08-02 16:05:43.319427	2013-08-04 02:40:49.427526
20074	14	2013-08-02 16:05:43.598302	2013-08-02 16:05:43.598302
19977	7	2013-08-02 16:05:43.362774	2013-08-04 20:32:42.972016
20079	4	2013-08-02 16:05:43.612449	2013-08-04 02:45:47.420511
20078	4	2013-08-02 16:05:43.609827	2013-08-04 02:45:47.424058
19955	7	2013-08-02 16:05:43.309652	2013-08-04 20:32:42.982815
4924	21	2013-08-02 16:05:13.116991	2013-08-03 21:29:19.61161
36463	7	2013-08-02 16:06:20.95013	2013-08-03 23:24:40.340584
20082	2	2013-08-02 16:05:43.621162	2013-08-02 16:05:43.621162
20058	2	2013-08-02 16:05:43.555329	2013-08-03 17:57:12.447693
20084	4	2013-08-02 16:05:43.626633	2013-08-02 16:05:43.626633
24461	21	2013-08-02 16:05:52.955296	2013-08-03 21:29:19.615342
20085	4	2013-08-02 16:05:43.629392	2013-08-04 02:45:47.427429
20087	7	2013-08-02 16:05:43.6347	2013-08-02 16:05:43.6347
20038	7	2013-08-02 16:05:43.515278	2013-08-03 17:57:12.45957
12846	7	2013-08-02 16:05:28.902664	2013-08-03 23:24:40.344241
9351	14	2013-08-02 16:05:22.146309	2013-08-08 01:03:02.765378
21026	7	2013-08-02 16:05:45.246976	2013-08-03 23:24:40.347926
20059	4	2013-08-02 16:05:43.557748	2013-08-04 02:45:47.437499
20094	14	2013-08-02 16:05:43.653819	2013-08-02 16:05:43.653819
20025	2	2013-08-02 16:05:43.481265	2013-08-03 23:24:40.83766
38250	14	2013-08-02 16:06:24.70806	2013-08-08 01:03:02.832733
20039	4	2013-08-02 16:05:43.517701	2013-08-04 02:45:47.506379
48985	14	2013-08-02 16:06:47.878	2013-08-08 01:03:02.882059
19997	4	2013-08-02 16:05:43.410487	2013-08-03 02:51:24.284311
25463	7	2013-08-02 16:05:54.937918	2013-08-03 18:02:15.376544
20037	2	2013-08-02 16:05:43.512866	2013-08-03 02:51:24.294311
19990	4	2013-08-02 16:05:43.394458	2013-08-04 02:45:47.514172
38090	14	2013-08-02 16:06:24.328695	2013-08-08 01:03:02.888698
6611	21	2013-08-02 16:05:16.58175	2013-08-03 18:02:15.395348
5957	21	2013-08-02 16:05:15.059199	2013-08-03 18:02:15.398624
5937	21	2013-08-02 16:05:15.009487	2013-08-03 18:02:15.401707
5917	21	2013-08-02 16:05:14.959981	2013-08-03 18:02:15.404811
5897	21	2013-08-02 16:05:14.906771	2013-08-03 18:02:15.407857
5877	21	2013-08-02 16:05:14.859566	2013-08-03 18:02:15.410907
5857	21	2013-08-02 16:05:14.803603	2013-08-03 18:02:15.413998
38120	14	2013-08-02 16:06:24.399926	2013-08-08 01:03:02.990839
8781	21	2013-08-02 16:05:20.715133	2013-08-08 01:03:03.130209
20005	7	2013-08-02 16:05:43.429913	2013-08-03 18:32:14.582404
19985	7	2013-08-02 16:05:43.382026	2013-08-03 18:32:14.589899
19965	7	2013-08-02 16:05:43.334132	2013-08-03 18:32:14.595414
19945	7	2013-08-02 16:05:43.284867	2013-08-03 18:32:14.647464
14478	21	2013-08-02 16:05:31.936448	2013-08-08 01:03:03.133147
24361	4	2013-08-02 16:05:52.850549	2013-08-03 21:29:19.733488
18597	14	2013-08-02 16:05:39.854815	2013-08-08 01:03:03.201622
14587	14	2013-08-02 16:05:32.192361	2013-08-08 01:03:03.23644
24421	21	2013-08-02 16:05:52.913868	2013-08-03 21:30:23.21016
20313	7	2013-08-02 16:05:44.213227	2013-08-03 23:24:40.955726
20293	7	2013-08-02 16:05:44.195941	2013-08-03 23:24:40.959638
5009	21	2013-08-02 16:05:13.203065	2013-08-03 23:26:13.703663
11121	14	2013-08-02 16:05:24.750618	2013-08-08 01:03:03.277195
15932	14	2013-08-02 16:05:34.342967	2013-08-08 01:03:03.280599
5619	14	2013-08-02 16:05:14.251292	2013-08-08 01:03:03.283704
11350	14	2013-08-02 16:05:25.395332	2013-08-08 01:03:03.286848
2090	14	2013-08-02 16:05:08.146784	2013-08-08 01:03:03.289927
18096	2	2013-08-02 16:05:39.137386	2013-08-04 17:21:51.679255
20231	2	2013-08-02 16:05:44.126402	2013-08-04 01:30:51.512356
27188	2	2013-08-02 16:05:59.094957	2013-08-04 17:21:52.016324
7106	2	2013-08-02 16:05:17.535645	2013-08-03 20:22:29.627197
20178	2	2013-08-02 16:05:44.055712	2013-08-04 01:30:51.517302
20102	2	2013-08-02 16:05:43.675772	2013-08-02 16:05:43.675772
20104	4	2013-08-02 16:05:43.681379	2013-08-02 16:05:43.681379
20152	4	2013-08-02 16:05:44.005631	2013-08-03 18:54:19.804019
20211	2	2013-08-02 16:05:44.098094	2013-08-04 01:30:51.52306
20107	7	2013-08-02 16:05:43.803388	2013-08-02 16:05:43.803388
20123	4	2013-08-02 16:05:43.820565	2013-08-03 17:23:38.743328
20106	7	2013-08-02 16:05:43.802217	2013-08-03 22:22:07.328683
27168	2	2013-08-02 16:05:59.042309	2013-08-04 17:21:52.027669
20205	4	2013-08-02 16:05:44.08829	2013-08-03 20:22:29.636809
20191	2	2013-08-02 16:05:44.073557	2013-08-04 01:30:51.528074
20114	14	2013-08-02 16:05:43.813376	2013-08-02 16:05:43.813376
6781	14	2013-08-02 16:05:16.95944	2013-08-04 17:21:52.121297
20143	2	2013-08-02 16:05:43.995774	2013-08-03 17:23:38.747041
20192	2	2013-08-02 16:05:44.074434	2013-08-03 18:54:19.808455
6768	14	2013-08-02 16:05:16.938829	2013-08-04 17:21:52.125835
20171	2	2013-08-02 16:05:44.036781	2013-08-04 01:30:51.532532
20190	2	2013-08-02 16:05:44.072681	2013-08-04 01:30:51.59147
20122	2	2013-08-02 16:05:43.81987	2013-08-02 16:05:43.81987
20124	4	2013-08-02 16:05:43.821386	2013-08-02 16:05:43.821386
33018	2	2013-08-02 16:06:12.948725	2013-08-04 01:35:47.488006
20127	7	2013-08-02 16:05:43.823807	2013-08-02 16:05:43.823807
33481	14	2013-08-02 16:06:14.107912	2013-08-04 17:21:52.130258
20146	14	2013-08-02 16:05:43.998935	2013-08-03 22:25:41.163986
33461	14	2013-08-02 16:06:14.089746	2013-08-04 17:21:52.134819
20251	2	2013-08-02 16:05:44.151109	2013-08-04 01:35:47.499049
21126	2	2013-08-02 16:05:45.372173	2013-08-04 01:55:51.223706
20134	14	2013-08-02 16:05:43.983213	2013-08-02 16:05:43.983213
20253	2	2013-08-02 16:05:44.152984	2013-08-04 01:55:51.2329
20243	4	2013-08-02 16:05:44.142392	2013-08-03 17:25:31.777888
20233	2	2013-08-02 16:05:44.129303	2013-08-04 01:55:51.242505
33401	14	2013-08-02 16:06:14.026471	2013-08-04 17:21:52.139456
20133	2	2013-08-02 16:05:43.832165	2013-08-04 01:55:51.248899
19771	14	2013-08-02 16:05:42.836639	2013-08-04 17:21:52.145038
20142	2	2013-08-02 16:05:43.994758	2013-08-02 16:05:43.994758
20144	4	2013-08-02 16:05:43.996802	2013-08-02 16:05:43.996802
15796	21	2013-08-02 16:05:34.187803	2013-08-04 02:27:39.337847
18970	21	2013-08-02 16:05:40.770592	2013-08-04 02:27:39.339027
20147	7	2013-08-02 16:05:44.000047	2013-08-02 16:05:44.000047
20223	4	2013-08-02 16:05:44.11665	2013-08-03 17:25:31.787599
25906	21	2013-08-02 16:05:56.053736	2013-08-04 02:27:39.340063
33381	14	2013-08-02 16:06:14.007924	2013-08-04 17:21:52.154989
20170	7	2013-08-02 16:05:44.034342	2013-08-03 20:55:46.482775
18959	21	2013-08-02 16:05:40.744507	2013-08-04 02:30:50.666493
20154	14	2013-08-02 16:05:44.007838	2013-08-02 16:05:44.007838
15705	21	2013-08-02 16:05:33.991938	2013-08-04 02:30:50.669355
20203	4	2013-08-02 16:05:44.085689	2013-08-03 17:25:31.798376
20103	7	2013-08-02 16:05:43.678613	2013-08-03 19:32:38.023588
6506	14	2013-08-02 16:05:16.310863	2013-08-04 17:21:52.162008
5577	14	2013-08-02 16:05:14.1951	2013-08-04 17:21:52.171562
20162	2	2013-08-02 16:05:44.01818	2013-08-02 16:05:44.01818
20164	4	2013-08-02 16:05:44.021476	2013-08-02 16:05:44.021476
46163	14	2013-08-02 16:06:41.785195	2013-08-03 19:57:23.541275
22471	2	2013-08-02 16:05:48.798798	2013-08-04 02:30:51.063392
20167	7	2013-08-02 16:05:44.027636	2013-08-02 16:05:44.027636
20183	2	2013-08-02 16:05:44.066358	2013-08-03 17:25:31.821772
15836	7	2013-08-02 16:05:34.238013	2013-08-04 02:30:51.096432
20129	7	2013-08-02 16:05:43.827643	2013-08-04 20:28:58.980849
22366	21	2013-08-02 16:05:48.536015	2013-08-04 02:30:51.172898
2424	2	2013-08-02 16:05:08.735121	2013-08-04 02:30:51.441005
20174	14	2013-08-02 16:05:44.044688	2013-08-02 16:05:44.044688
46003	7	2013-08-02 16:06:41.528565	2013-08-03 19:57:23.626306
20195	4	2013-08-02 16:05:44.077193	2013-08-04 20:28:58.990458
20182	2	2013-08-02 16:05:44.065397	2013-08-02 16:05:44.065397
20184	4	2013-08-02 16:05:44.067333	2013-08-02 16:05:44.067333
30465	14	2013-08-02 16:06:06.541364	2013-08-03 19:57:23.759526
15939	2	2013-08-02 16:05:34.349952	2013-08-04 02:30:51.506532
20187	7	2013-08-02 16:05:44.070107	2013-08-02 16:05:44.070107
20197	21	2013-08-02 16:05:44.079174	2013-08-03 17:57:12.354428
20117	4	2013-08-02 16:05:43.815975	2013-08-04 02:45:47.363434
20206	2	2013-08-02 16:05:44.089403	2013-08-04 20:28:58.997096
20230	4	2013-08-02 16:05:44.124937	2013-08-03 20:55:46.485539
20245	4	2013-08-02 16:05:44.144452	2013-08-04 02:50:50.995308
20194	14	2013-08-02 16:05:44.07622	2013-08-02 16:05:44.07622
20175	21	2013-08-02 16:05:44.047418	2013-08-04 20:29:12.043098
14546	21	2013-08-02 16:05:32.103027	2013-08-03 19:57:23.866797
20169	21	2013-08-02 16:05:44.031701	2013-08-04 20:29:23.50467
20097	2	2013-08-02 16:05:43.661892	2013-08-03 20:55:46.487246
20149	21	2013-08-02 16:05:44.002231	2013-08-04 20:32:39.619636
20202	2	2013-08-02 16:05:44.084857	2013-08-02 16:05:44.084857
20225	7	2013-08-02 16:05:44.118662	2013-08-03 23:22:17.889276
20204	4	2013-08-02 16:05:44.087277	2013-08-02 16:05:44.087277
33020	4	2013-08-02 16:06:12.954063	2013-08-04 02:50:51.002554
20207	7	2013-08-02 16:05:44.091125	2013-08-02 16:05:44.091125
20198	4	2013-08-02 16:05:44.080027	2013-08-03 17:57:12.375308
4144	4	2013-08-02 16:05:12.08302	2013-08-04 02:50:51.00626
20215	2	2013-08-02 16:05:44.105393	2013-08-04 20:32:39.864602
20130	2	2013-08-02 16:05:43.829605	2013-08-04 20:32:40.13541
20177	4	2013-08-02 16:05:44.052927	2013-08-04 02:50:51.009689
20214	14	2013-08-02 16:05:44.103693	2013-08-02 16:05:44.103693
20235	21	2013-08-02 16:05:44.131749	2013-08-04 20:32:40.176176
20237	2	2013-08-02 16:05:44.13481	2013-08-04 20:32:40.294983
20158	7	2013-08-02 16:05:44.012093	2013-08-04 20:32:41.855667
20249	2	2013-08-02 16:05:44.149227	2013-08-04 20:32:41.869296
24341	14	2013-08-02 16:05:52.83411	2013-08-03 21:29:19.82427
20166	4	2013-08-02 16:05:44.026248	2013-08-03 23:22:17.895969
20222	2	2013-08-02 16:05:44.114569	2013-08-02 16:05:44.114569
20229	2	2013-08-02 16:05:44.123782	2013-08-04 20:32:41.876531
20224	4	2013-08-02 16:05:44.117737	2013-08-02 16:05:44.117737
35345	2	2013-08-02 16:06:18.063248	2013-08-04 20:32:41.884895
20227	7	2013-08-02 16:05:44.121832	2013-08-02 16:05:44.121832
20250	2	2013-08-02 16:05:44.150171	2013-08-04 20:32:41.89353
20213	2	2013-08-02 16:05:44.101476	2013-08-03 23:22:17.899879
20209	2	2013-08-02 16:05:44.094658	2013-08-04 20:32:41.908055
20210	2	2013-08-02 16:05:44.096561	2013-08-04 20:32:41.923388
20113	2	2013-08-02 16:05:43.812072	2013-08-04 20:32:41.932639
20234	14	2013-08-02 16:05:44.130574	2013-08-02 16:05:44.130574
14591	14	2013-08-02 16:05:32.201348	2013-08-08 01:03:03.292938
14571	14	2013-08-02 16:05:32.153917	2013-08-08 01:03:03.295966
20193	7	2013-08-02 16:05:44.075321	2013-08-03 23:24:40.334473
19081	21	2013-08-02 16:05:41.035584	2013-08-03 21:29:20.377911
14551	14	2013-08-02 16:05:32.114891	2013-08-08 01:03:03.298924
24430	21	2013-08-02 16:05:52.925735	2013-08-03 21:29:20.379487
20173	2	2013-08-02 16:05:44.042096	2013-08-03 23:24:40.554568
20242	2	2013-08-02 16:05:44.141236	2013-08-02 16:05:44.141236
24477	21	2013-08-02 16:05:52.969765	2013-08-03 21:29:20.380759
20244	4	2013-08-02 16:05:44.143238	2013-08-02 16:05:44.143238
24410	21	2013-08-02 16:05:52.903411	2013-08-03 21:29:20.381935
14531	14	2013-08-02 16:05:32.067072	2013-08-08 01:03:03.302016
20247	7	2013-08-02 16:05:44.147127	2013-08-02 16:05:44.147127
24390	21	2013-08-02 16:05:52.881585	2013-08-03 21:29:20.38313
20392	2	2013-08-02 16:05:44.297804	2013-08-03 23:24:40.96752
14511	14	2013-08-02 16:05:32.0191	2013-08-08 01:03:03.305084
24370	21	2013-08-02 16:05:52.860093	2013-08-03 21:29:20.384282
1974	14	2013-08-02 16:05:07.892141	2013-08-08 01:03:03.325982
20168	21	2013-08-02 16:05:44.029087	2013-08-03 02:47:51.879918
20157	21	2013-08-02 16:05:44.01101	2013-08-03 02:53:05.18146
14713	14	2013-08-02 16:05:32.454196	2013-08-08 01:03:03.329081
8337	14	2013-08-02 16:05:19.615438	2013-08-08 01:03:03.393385
20273	2	2013-08-02 16:05:44.173656	2013-08-03 23:24:40.973153
15240	14	2013-08-02 16:05:33.541275	2013-08-08 01:03:03.44258
24350	21	2013-08-02 16:05:52.841446	2013-08-03 21:29:20.385344
15260	14	2013-08-02 16:05:33.559396	2013-08-08 01:03:03.445935
1038	14	2013-08-02 16:05:05.638285	2013-08-08 01:03:03.513282
20138	2	2013-08-02 16:05:43.990172	2013-08-03 17:59:16.643381
5837	21	2013-08-02 16:05:14.756334	2013-08-03 18:02:15.41718
5817	21	2013-08-02 16:05:14.708662	2013-08-03 18:02:15.420265
8683	21	2013-08-02 16:05:20.482084	2013-08-08 01:03:03.678455
13733	14	2013-08-02 16:05:30.090545	2013-08-03 18:02:15.462012
14693	21	2013-08-02 16:05:32.427528	2013-08-08 01:03:03.681411
14673	14	2013-08-02 16:05:32.399912	2013-08-08 01:03:03.710673
14647	14	2013-08-02 16:05:32.337451	2013-08-08 01:03:03.714003
14661	14	2013-08-02 16:05:32.371024	2013-08-08 01:03:03.717061
20100	14	2013-08-02 16:05:43.670431	2013-08-03 18:14:41.085002
20105	7	2013-08-02 16:05:43.684087	2013-08-03 18:33:14.425644
20145	4	2013-08-02 16:05:43.997949	2013-08-03 18:33:14.427953
20185	2	2013-08-02 16:05:44.068302	2013-08-03 18:33:14.430418
21146	7	2013-08-02 16:05:45.396926	2013-08-03 23:26:32.858441
21166	4	2013-08-02 16:05:45.418384	2013-08-03 23:26:32.860841
33012	7	2013-08-02 16:06:12.932724	2013-08-03 23:29:39.424715
20254	14	2013-08-02 16:05:44.153915	2013-08-02 16:05:44.153915
4164	2	2013-08-02 16:05:12.126293	2013-08-04 01:35:47.3189
20369	21	2013-08-02 16:05:44.27313	2013-08-04 20:32:41.733771
20403	7	2013-08-02 16:05:44.308607	2013-08-03 17:25:31.720073
20285	21	2013-08-02 16:05:44.188966	2013-08-03 18:57:37.392239
38363	14	2013-08-02 16:06:24.992982	2013-08-04 17:21:52.18263
20349	7	2013-08-02 16:05:44.249049	2013-08-04 20:32:41.760985
20317	2	2013-08-02 16:05:44.216906	2013-08-04 01:35:47.329356
20262	2	2013-08-02 16:05:44.163049	2013-08-02 16:05:44.163049
20264	4	2013-08-02 16:05:44.164934	2013-08-02 16:05:44.164934
13186	2	2013-08-02 16:05:29.263955	2013-08-04 01:35:47.340291
20267	7	2013-08-02 16:05:44.167549	2013-08-02 16:05:44.167549
20383	7	2013-08-02 16:05:44.287683	2013-08-03 17:25:31.728021
20306	4	2013-08-02 16:05:44.207608	2013-08-03 22:31:49.700088
49732	14	2013-08-02 16:06:49.946947	2013-08-04 17:21:52.193869
20321	21	2013-08-02 16:05:44.220204	2013-08-03 20:22:29.561683
20391	2	2013-08-02 16:05:44.29688	2013-08-04 01:35:47.3517
20274	14	2013-08-02 16:05:44.175309	2013-08-02 16:05:44.175309
20277	2	2013-08-02 16:05:44.179658	2013-08-04 01:41:01.376955
20329	7	2013-08-02 16:05:44.22723	2013-08-04 20:32:41.777289
20363	7	2013-08-02 16:05:44.267199	2013-08-03 17:25:31.734315
36875	14	2013-08-02 16:06:21.457122	2013-08-04 17:21:52.204998
33155	14	2013-08-02 16:06:13.291208	2013-08-04 17:21:52.216166
36101	2	2013-08-02 16:06:19.919446	2013-08-04 01:41:01.382292
20282	2	2013-08-02 16:05:44.186211	2013-08-02 16:05:44.186211
2786	14	2013-08-02 16:05:09.161943	2013-08-04 17:21:52.227114
20284	4	2013-08-02 16:05:44.188065	2013-08-02 16:05:44.188065
20332	4	2013-08-02 16:05:44.23007	2013-08-03 18:57:37.489108
22475	2	2013-08-02 16:05:48.808244	2013-08-04 02:30:51.511859
20287	7	2013-08-02 16:05:44.190686	2013-08-02 16:05:44.190686
20343	14	2013-08-02 16:05:44.242829	2013-08-03 17:25:31.745764
20346	2	2013-08-02 16:05:44.245947	2013-08-03 22:31:49.707432
40523	14	2013-08-02 16:06:28.884084	2013-08-04 17:21:52.238238
22523	4	2013-08-02 16:05:48.927344	2013-08-04 02:30:51.828191
22531	4	2013-08-02 16:05:48.947271	2013-08-04 02:30:51.838244
20294	14	2013-08-02 16:05:44.196843	2013-08-02 16:05:44.196843
40583	14	2013-08-02 16:06:28.949581	2013-08-04 17:21:52.261962
20309	7	2013-08-02 16:05:44.20995	2013-08-04 20:32:41.792435
20323	14	2013-08-02 16:05:44.22175	2013-08-03 17:25:31.752294
20395	4	2013-08-02 16:05:44.300577	2013-08-03 18:59:37.090404
40643	14	2013-08-02 16:06:29.257986	2013-08-04 17:21:52.274798
14526	21	2013-08-02 16:05:32.055173	2013-08-03 19:57:23.868273
20366	2	2013-08-02 16:05:44.270537	2013-08-03 22:34:28.391648
20302	2	2013-08-02 16:05:44.204178	2013-08-02 16:05:44.204178
7324	14	2013-08-02 16:05:17.74839	2013-08-04 17:21:52.286852
20304	4	2013-08-02 16:05:44.205936	2013-08-02 16:05:44.205936
14506	21	2013-08-02 16:05:32.006404	2013-08-03 19:57:23.870059
23588	4	2013-08-02 16:05:51.603212	2013-08-04 02:30:51.848333
20307	7	2013-08-02 16:05:44.208386	2013-08-02 16:05:44.208386
20303	14	2013-08-02 16:05:44.205053	2013-08-03 17:25:31.757129
20326	14	2013-08-02 16:05:44.224628	2013-08-03 22:34:28.46228
27071	14	2013-08-02 16:05:58.789625	2013-08-04 17:21:52.326522
16175	4	2013-08-02 16:05:34.765657	2013-08-04 02:30:51.916657
1927	4	2013-08-02 16:05:07.811186	2013-08-04 02:30:51.923689
20314	14	2013-08-02 16:05:44.214308	2013-08-02 16:05:44.214308
14486	21	2013-08-02 16:05:31.957084	2013-08-03 19:57:23.87166
20289	7	2013-08-02 16:05:44.192393	2013-08-04 20:32:41.80817
20283	14	2013-08-02 16:05:44.187138	2013-08-03 17:25:31.761989
4091	7	2013-08-02 16:05:11.96942	2013-08-04 20:32:41.824694
21586	14	2013-08-02 16:05:46.394761	2013-08-04 17:21:52.330551
20269	7	2013-08-02 16:05:44.169056	2013-08-04 20:32:41.834228
27051	14	2013-08-02 16:05:58.73873	2013-08-04 17:21:52.334461
20322	2	2013-08-02 16:05:44.220982	2013-08-02 16:05:44.220982
10555	4	2013-08-02 16:05:23.862523	2013-08-04 02:30:51.927962
20324	4	2013-08-02 16:05:44.222603	2013-08-02 16:05:44.222603
27031	14	2013-08-02 16:05:58.705841	2013-08-04 17:21:52.338436
5828	4	2013-08-02 16:05:14.735031	2013-08-04 02:30:51.931872
20327	7	2013-08-02 16:05:44.225639	2013-08-02 16:05:44.225639
20263	4	2013-08-02 16:05:44.163926	2013-08-03 17:25:31.773763
20297	7	2013-08-02 16:05:44.199557	2013-08-04 20:32:41.840972
11230	14	2013-08-02 16:05:25.004851	2013-08-04 17:21:52.342587
20255	7	2013-08-02 16:05:44.154904	2013-08-04 20:32:41.847999
35263	4	2013-08-02 16:06:17.891689	2013-08-04 02:30:51.935481
20334	14	2013-08-02 16:05:44.231756	2013-08-02 16:05:44.231756
1907	4	2013-08-02 16:05:07.733075	2013-08-04 02:30:51.938887
1909	4	2013-08-02 16:05:07.736827	2013-08-04 02:30:51.94536
14406	2	2013-08-02 16:05:31.758016	2013-08-03 19:57:23.961013
1887	4	2013-08-02 16:05:07.699248	2013-08-04 02:30:51.951956
20342	2	2013-08-02 16:05:44.241648	2013-08-02 16:05:44.241648
20355	14	2013-08-02 16:05:44.257308	2013-08-03 17:48:24.436948
20344	4	2013-08-02 16:05:44.24396	2013-08-02 16:05:44.24396
16570	4	2013-08-02 16:05:35.780981	2013-08-04 02:30:51.956785
18941	2	2013-08-02 16:05:40.701805	2013-08-04 02:30:52.132946
20347	7	2013-08-02 16:05:44.246868	2013-08-02 16:05:44.246868
15853	2	2013-08-02 16:05:34.259194	2013-08-04 02:30:52.143238
20389	21	2013-08-02 16:05:44.294988	2013-08-04 20:34:05.560687
20409	21	2013-08-02 16:05:44.313421	2013-08-04 20:34:29.838718
20399	4	2013-08-02 16:05:44.305058	2013-08-04 02:56:12.60893
20354	14	2013-08-02 16:05:44.256123	2013-08-02 16:05:44.256123
20325	14	2013-08-02 16:05:44.223505	2013-08-03 23:24:40.875868
36045	2	2013-08-02 16:06:19.776237	2013-08-04 20:37:29.551234
20350	14	2013-08-02 16:05:44.249893	2013-08-03 20:56:05.542645
20357	2	2013-08-02 16:05:44.259331	2013-08-04 20:37:29.789207
14667	14	2013-08-02 16:05:32.385512	2013-08-08 01:03:03.720177
48975	14	2013-08-02 16:06:47.854241	2013-08-08 01:03:03.723455
14687	14	2013-08-02 16:05:32.421119	2013-08-08 01:03:03.726515
20362	2	2013-08-02 16:05:44.265742	2013-08-02 16:05:44.265742
14707	14	2013-08-02 16:05:32.445795	2013-08-08 01:03:03.729753
20364	4	2013-08-02 16:05:44.268741	2013-08-02 16:05:44.268741
14727	14	2013-08-02 16:05:32.476792	2013-08-08 01:03:03.732823
14747	14	2013-08-02 16:05:32.514822	2013-08-08 01:03:03.735881
20367	7	2013-08-02 16:05:44.271476	2013-08-02 16:05:44.271476
20378	21	2013-08-02 16:05:44.281828	2013-08-03 17:57:12.348203
11221	14	2013-08-02 16:05:24.997207	2013-08-08 01:03:03.738962
11205	14	2013-08-02 16:05:24.958454	2013-08-08 01:03:03.742178
12546	21	2013-08-02 16:05:28.234655	2013-08-03 21:29:20.491745
11201	14	2013-08-02 16:05:24.947526	2013-08-08 01:03:03.745286
20374	14	2013-08-02 16:05:44.277594	2013-08-02 16:05:44.277594
14691	14	2013-08-02 16:05:32.425019	2013-08-08 01:03:03.748403
14743	14	2013-08-02 16:05:32.506911	2013-08-08 01:03:03.751459
20358	21	2013-08-02 16:05:44.260454	2013-08-03 17:57:12.349498
14671	14	2013-08-02 16:05:32.395104	2013-08-08 01:03:03.754459
14651	14	2013-08-02 16:05:32.346921	2013-08-08 01:03:03.757327
14641	14	2013-08-02 16:05:32.323032	2013-08-08 01:03:03.760387
14612	14	2013-08-02 16:05:32.253324	2013-08-08 01:03:03.763472
20382	2	2013-08-02 16:05:44.286491	2013-08-02 16:05:44.286491
20338	21	2013-08-02 16:05:44.236355	2013-08-03 17:57:12.350432
20384	4	2013-08-02 16:05:44.288858	2013-08-02 16:05:44.288858
14681	14	2013-08-02 16:05:32.414798	2013-08-08 01:03:03.766447
19628	14	2013-08-02 16:05:42.472796	2013-08-08 01:03:03.832723
20387	7	2013-08-02 16:05:44.292995	2013-08-02 16:05:44.292995
20318	21	2013-08-02 16:05:44.217661	2013-08-03 17:57:12.351244
20375	21	2013-08-02 16:05:44.278741	2013-08-03 23:26:13.705606
22226	14	2013-08-02 16:05:48.082173	2013-08-08 01:03:03.954607
2900	2	2013-08-02 16:05:09.337166	2013-08-03 21:29:20.597903
21993	14	2013-08-02 16:05:47.515815	2013-08-08 01:03:03.957956
20394	14	2013-08-02 16:05:44.299651	2013-08-02 16:05:44.299651
4092	2	2013-08-02 16:05:11.971406	2013-08-03 21:29:20.609477
38430	14	2013-08-02 16:06:25.138563	2013-08-08 01:03:04.026517
20298	21	2013-08-02 16:05:44.200421	2013-08-03 17:57:12.352075
20402	2	2013-08-02 16:05:44.307792	2013-08-02 16:05:44.307792
20278	21	2013-08-02 16:05:44.180767	2013-08-03 17:57:12.352879
20404	4	2013-08-02 16:05:44.309469	2013-08-02 16:05:44.309469
20407	7	2013-08-02 16:05:44.311855	2013-08-02 16:05:44.311855
20258	21	2013-08-02 16:05:44.158913	2013-08-03 17:57:12.353659
20353	14	2013-08-02 16:05:44.254722	2013-08-03 23:26:32.847071
20257	14	2013-08-02 16:05:44.157284	2013-08-03 02:56:37.381087
21186	2	2013-08-02 16:05:45.441058	2013-08-03 23:26:32.862808
20377	21	2013-08-02 16:05:44.280864	2013-08-03 02:58:08.282572
22088	7	2013-08-02 16:05:47.767343	2013-08-03 18:02:15.632587
16505	21	2013-08-02 16:05:35.618617	2013-08-03 18:02:15.665666
5178	21	2013-08-02 16:05:13.455292	2013-08-03 18:02:15.681119
9199	14	2013-08-02 16:05:21.738288	2013-08-03 18:02:15.703733
12246	7	2013-08-02 16:05:27.576978	2013-08-03 21:29:20.830708
12266	14	2013-08-02 16:05:27.625303	2013-08-03 21:30:42.70291
20400	14	2013-08-02 16:05:44.306098	2013-08-03 18:15:01.088955
20153	14	2013-08-02 16:05:44.006795	2013-08-03 23:26:32.919705
20305	14	2013-08-02 16:05:44.206815	2013-08-03 18:33:25.026306
5984	21	2013-08-02 16:05:15.130513	2013-08-03 23:26:33.007259
45205	21	2013-08-02 16:06:40.058704	2013-08-03 23:26:33.010219
36035	7	2013-08-02 16:06:19.749511	2013-08-03 23:29:39.259003
21175	21	2013-08-02 16:05:45.427588	2013-08-03 23:29:39.486129
20373	7	2013-08-02 16:05:44.27671	2013-08-03 23:31:53.085808
27011	14	2013-08-02 16:05:58.658958	2013-08-04 17:21:52.349995
20561	21	2013-08-02 16:05:44.459329	2013-08-03 20:27:30.19339
20460	2	2013-08-02 16:05:44.358676	2013-08-04 01:41:01.225966
20414	14	2013-08-02 16:05:44.317395	2013-08-02 16:05:44.317395
20472	21	2013-08-02 16:05:44.372359	2013-08-03 18:57:37.37772
20483	21	2013-08-02 16:05:44.382596	2013-08-03 17:25:31.700951
20452	21	2013-08-02 16:05:44.350727	2013-08-03 18:57:37.38179
26931	14	2013-08-02 16:05:58.464971	2013-08-04 17:21:52.38662
20432	21	2013-08-02 16:05:44.33374	2013-08-03 18:57:37.385244
20422	2	2013-08-02 16:05:44.324093	2013-08-02 16:05:44.324093
26880	14	2013-08-02 16:05:58.342539	2013-08-04 17:21:52.396424
20424	4	2013-08-02 16:05:44.326247	2013-08-02 16:05:44.326247
20412	21	2013-08-02 16:05:44.315729	2013-08-03 18:57:37.388678
20537	2	2013-08-02 16:05:44.436158	2013-08-04 01:41:01.237421
20427	7	2013-08-02 16:05:44.328865	2013-08-02 16:05:44.328865
20463	21	2013-08-02 16:05:44.36238	2013-08-03 17:25:31.703355
20550	2	2013-08-02 16:05:44.449389	2013-08-04 01:41:01.248549
26911	14	2013-08-02 16:05:58.417175	2013-08-04 17:21:52.407301
20545	7	2013-08-02 16:05:44.443628	2013-08-03 20:32:23.6159
12061	2	2013-08-02 16:05:27.144285	2013-08-04 01:41:01.260529
20434	14	2013-08-02 16:05:44.335906	2013-08-02 16:05:44.335906
20449	14	2013-08-02 16:05:44.348157	2013-08-04 20:34:05.505377
20443	21	2013-08-02 16:05:44.343505	2013-08-03 17:25:31.705232
20517	7	2013-08-02 16:05:44.415788	2013-08-03 20:32:23.626684
26891	14	2013-08-02 16:05:58.36894	2013-08-04 17:21:52.418881
20532	14	2013-08-02 16:05:44.432053	2013-08-03 18:59:36.466803
20466	7	2013-08-02 16:05:44.365736	2013-08-03 22:36:31.539064
20442	2	2013-08-02 16:05:44.342754	2013-08-02 16:05:44.342754
20551	2	2013-08-02 16:05:44.45018	2013-08-04 01:41:01.273321
20444	4	2013-08-02 16:05:44.344254	2013-08-02 16:05:44.344254
20531	2	2013-08-02 16:05:44.43083	2013-08-04 01:41:01.285039
20511	2	2013-08-02 16:05:44.409722	2013-08-04 01:41:01.296199
20447	7	2013-08-02 16:05:44.34649	2013-08-02 16:05:44.34649
20423	7	2013-08-02 16:05:44.324955	2013-08-03 17:25:31.715554
20430	2	2013-08-02 16:05:44.331941	2013-08-03 22:39:22.017473
13321	14	2013-08-02 16:05:29.390312	2013-08-04 17:21:52.430176
12081	7	2013-08-02 16:05:27.279206	2013-08-03 20:32:23.634334
20491	2	2013-08-02 16:05:44.390238	2013-08-04 01:41:01.307365
20454	14	2013-08-02 16:05:44.352508	2013-08-02 16:05:44.352508
26871	14	2013-08-02 16:05:58.320271	2013-08-04 17:21:52.440774
12070	2	2013-08-02 16:05:27.167075	2013-08-03 22:40:40.831439
26851	14	2013-08-02 16:05:58.270858	2013-08-04 17:21:52.451772
20425	21	2013-08-02 16:05:44.327087	2013-08-03 19:32:37.991561
20540	2	2013-08-02 16:05:44.438713	2013-08-04 01:55:51.217017
20462	2	2013-08-02 16:05:44.361402	2013-08-02 16:05:44.361402
20464	4	2013-08-02 16:05:44.363482	2013-08-02 16:05:44.363482
20500	7	2013-08-02 16:05:44.399509	2013-08-03 19:32:38.011604
3410	4	2013-08-02 16:05:10.315491	2013-08-04 02:30:52.27548
20467	7	2013-08-02 16:05:44.366787	2013-08-02 16:05:44.366787
14386	2	2013-08-02 16:05:31.709897	2013-08-03 19:57:23.966907
20546	2	2013-08-02 16:05:44.445015	2013-08-03 22:44:24.173557
18095	2	2013-08-02 16:05:39.136046	2013-08-04 17:21:52.613515
6479	4	2013-08-02 16:05:16.243572	2013-08-04 02:30:52.292019
15856	4	2013-08-02 16:05:34.262239	2013-08-04 02:30:52.296039
20474	14	2013-08-02 16:05:44.374124	2013-08-02 16:05:44.374124
14366	7	2013-08-02 16:05:31.660959	2013-08-03 19:57:23.984897
17996	2	2013-08-02 16:05:39.026063	2013-08-04 17:21:52.617991
3041	14	2013-08-02 16:05:09.502552	2013-08-03 19:57:24.078496
18725	21	2013-08-02 16:05:40.252689	2013-08-04 17:21:52.821624
44903	14	2013-08-02 16:06:39.453634	2013-08-03 19:57:24.082587
28783	2	2013-08-02 16:06:02.17541	2013-08-04 02:30:52.385795
20482	2	2013-08-02 16:05:44.38175	2013-08-02 16:05:44.38175
13821	2	2013-08-02 16:05:30.288233	2013-08-04 02:30:52.391351
20484	4	2013-08-02 16:05:44.383401	2013-08-02 16:05:44.383401
4401	7	2013-08-02 16:05:12.559418	2013-08-03 19:57:24.138056
17852	2	2013-08-02 16:05:38.735219	2013-08-04 02:30:52.396886
20487	7	2013-08-02 16:05:44.38658	2013-08-02 16:05:44.38658
20495	7	2013-08-02 16:05:44.394413	2013-08-03 17:48:24.447579
20446	2	2013-08-02 16:05:44.345763	2013-08-03 22:45:30.130119
18836	2	2013-08-02 16:05:40.463027	2013-08-04 17:21:52.831428
22773	4	2013-08-02 16:05:49.48945	2013-08-04 02:30:52.570513
22791	4	2013-08-02 16:05:49.536618	2013-08-04 02:30:52.577619
20494	14	2013-08-02 16:05:44.393512	2013-08-02 16:05:44.393512
20450	4	2013-08-02 16:05:44.348992	2013-08-03 20:56:05.552414
26058	14	2013-08-02 16:05:56.513561	2013-08-03 19:57:24.845794
18766	2	2013-08-02 16:05:40.293272	2013-08-04 17:21:52.837632
20502	2	2013-08-02 16:05:44.401301	2013-08-02 16:05:44.401301
22771	4	2013-08-02 16:05:49.483987	2013-08-04 02:30:52.583173
20504	4	2013-08-02 16:05:44.403565	2013-08-02 16:05:44.403565
20470	2	2013-08-02 16:05:44.369942	2013-08-03 20:56:05.554314
18060	4	2013-08-02 16:05:39.099506	2013-08-04 02:30:52.591916
20507	7	2013-08-02 16:05:44.406186	2013-08-02 16:05:44.406186
20505	2	2013-08-02 16:05:44.404447	2013-08-04 17:51:50.39433
20465	7	2013-08-02 16:05:44.364628	2013-08-03 22:50:05.337272
6081	4	2013-08-02 16:05:15.330265	2013-08-04 02:30:52.598162
20514	14	2013-08-02 16:05:44.413022	2013-08-02 16:05:44.413022
22751	4	2013-08-02 16:05:49.437613	2013-08-04 02:30:52.602788
20417	7	2013-08-02 16:05:44.320001	2013-08-04 20:34:05.519446
20453	21	2013-08-02 16:05:44.351545	2013-08-03 23:24:40.859833
20552	21	2013-08-02 16:05:44.451097	2013-08-03 23:24:40.861578
20433	21	2013-08-02 16:05:44.334919	2013-08-03 23:24:40.863143
20413	14	2013-08-02 16:05:44.316499	2013-08-03 23:24:40.871022
20522	2	2013-08-02 16:05:44.42076	2013-08-02 16:05:44.42076
20420	21	2013-08-02 16:05:44.322452	2013-08-03 23:29:39.288745
20524	4	2013-08-02 16:05:44.423505	2013-08-02 16:05:44.423505
10399	4	2013-08-02 16:05:23.68816	2013-08-04 02:30:52.606995
22695	4	2013-08-02 16:05:49.355335	2013-08-04 02:30:52.611124
20527	7	2013-08-02 16:05:44.426315	2013-08-02 16:05:44.426315
20475	2	2013-08-02 16:05:44.374951	2013-08-03 17:58:45.705689
20529	4	2013-08-02 16:05:44.428147	2013-08-04 20:34:05.523214
20429	21	2013-08-02 16:05:44.331057	2013-08-04 20:34:42.310159
20509	21	2013-08-02 16:05:44.407943	2013-08-04 20:34:42.331506
20534	14	2013-08-02 16:05:44.433593	2013-08-02 16:05:44.433593
20566	21	2013-08-02 16:05:44.466522	2013-08-04 20:34:53.425218
20563	21	2013-08-02 16:05:44.462193	2013-08-04 20:35:00.921538
2397	14	2013-08-02 16:05:08.704816	2013-08-03 23:29:39.343324
20512	21	2013-08-02 16:05:44.410816	2013-08-04 20:35:00.936957
20542	2	2013-08-02 16:05:44.441121	2013-08-02 16:05:44.441121
20489	21	2013-08-02 16:05:44.388484	2013-08-04 20:35:12.285286
20544	4	2013-08-02 16:05:44.442775	2013-08-02 16:05:44.442775
20455	2	2013-08-02 16:05:44.353528	2013-08-04 20:37:27.049704
20469	4	2013-08-02 16:05:44.369	2013-08-04 20:37:29.091285
20547	7	2013-08-02 16:05:44.446121	2013-08-02 16:05:44.446121
5149	2	2013-08-02 16:05:13.384058	2013-08-03 18:02:15.8155
20513	21	2013-08-02 16:05:44.411617	2013-08-03 23:31:52.959456
20523	21	2013-08-02 16:05:44.422293	2013-08-03 20:59:19.16929
20426	21	2013-08-02 16:05:44.327944	2013-08-04 20:39:38.796228
20554	14	2013-08-02 16:05:44.452774	2013-08-02 16:05:44.452774
21377	14	2013-08-02 16:05:45.904515	2013-08-08 01:03:04.096496
14745	14	2013-08-02 16:05:32.510881	2013-08-08 01:03:04.129925
5169	4	2013-08-02 16:05:13.434065	2013-08-03 18:02:15.840229
42815	14	2013-08-02 16:06:34.496693	2013-08-08 01:03:04.167996
39238	14	2013-08-02 16:06:26.816061	2013-08-08 01:03:04.171535
14787	14	2013-08-02 16:05:32.599989	2013-08-08 01:03:04.174786
32221	14	2013-08-02 16:06:10.881156	2013-08-08 01:03:04.177783
20562	2	2013-08-02 16:05:44.460519	2013-08-02 16:05:44.460519
14823	14	2013-08-02 16:05:32.679492	2013-08-08 01:03:04.181525
20564	4	2013-08-02 16:05:44.463648	2013-08-02 16:05:44.463648
14807	14	2013-08-02 16:05:32.644094	2013-08-08 01:03:04.184737
14820	14	2013-08-02 16:05:32.672334	2013-08-08 01:03:04.187847
20567	7	2013-08-02 16:05:44.467706	2013-08-02 16:05:44.467706
14827	14	2013-08-02 16:05:32.68893	2013-08-08 01:03:04.190951
14847	14	2013-08-02 16:05:32.740293	2013-08-08 01:03:04.194025
20457	4	2013-08-02 16:05:44.35548	2013-08-03 02:56:37.393022
14798	14	2013-08-02 16:05:32.624008	2013-08-08 01:03:04.197096
20497	2	2013-08-02 16:05:44.396793	2013-08-03 02:56:37.395047
14805	14	2013-08-02 16:05:32.639717	2013-08-08 01:03:04.200226
14867	14	2013-08-02 16:05:32.788599	2013-08-08 01:03:04.203362
20557	21	2013-08-02 16:05:44.455688	2013-08-03 23:34:28.104325
20473	14	2013-08-02 16:05:44.373246	2013-08-03 23:37:25.808543
20520	7	2013-08-02 16:05:44.418967	2013-08-03 18:15:01.114877
20445	7	2013-08-02 16:05:44.345015	2013-08-03 18:33:25.050689
20485	4	2013-08-02 16:05:44.384284	2013-08-03 18:33:25.057734
20525	2	2013-08-02 16:05:44.424616	2013-08-03 18:33:25.064377
20437	14	2013-08-02 16:05:44.33873	2013-08-03 18:37:37.611933
20510	7	2013-08-02 16:05:44.408758	2013-08-03 21:25:17.772976
35365	21	2013-08-02 16:06:18.11496	2013-08-03 21:29:20.877197
13160	7	2013-08-02 16:05:29.238936	2013-08-03 21:29:21.0481
12320	7	2013-08-02 16:05:27.756373	2013-08-03 21:29:21.056136
347	7	2013-08-02 16:05:04.689096	2013-08-03 21:29:21.063262
24037	7	2013-08-02 16:05:52.535461	2013-08-03 21:29:21.06951
12101	7	2013-08-02 16:05:27.304129	2013-08-03 21:29:21.079471
42578	4	2013-08-02 16:06:34.198469	2013-08-03 21:29:21.566869
6819	2	2013-08-02 16:05:17.03063	2013-08-03 22:25:41.308503
18816	2	2013-08-02 16:05:40.41352	2013-08-04 17:21:52.843698
20681	2	2013-08-02 16:05:44.57899	2013-08-04 01:41:01.206411
20571	2	2013-08-02 16:05:44.47286	2013-08-04 01:41:01.214981
20574	14	2013-08-02 16:05:44.475806	2013-08-02 16:05:44.475806
18796	2	2013-08-02 16:05:40.362095	2013-08-04 17:21:52.849773
20603	14	2013-08-02 16:05:44.506445	2013-08-03 17:25:59.514673
20643	7	2013-08-02 16:05:44.54142	2013-08-03 18:59:36.473922
18776	2	2013-08-02 16:05:40.31331	2013-08-04 17:21:52.856596
20673	2	2013-08-02 16:05:44.568946	2013-08-04 01:45:51.53404
20586	4	2013-08-02 16:05:44.488078	2013-08-03 22:50:05.342194
20582	2	2013-08-02 16:05:44.483895	2013-08-02 16:05:44.483895
20723	4	2013-08-02 16:05:44.619338	2013-08-03 17:42:02.015879
20584	4	2013-08-02 16:05:44.485836	2013-08-02 16:05:44.485836
6919	2	2013-08-02 16:05:17.279121	2013-08-04 01:45:51.542924
7079	2	2013-08-02 16:05:17.513132	2013-08-04 01:45:51.553607
20587	7	2013-08-02 16:05:44.488901	2013-08-02 16:05:44.488901
20711	2	2013-08-02 16:05:44.608913	2013-08-04 01:45:51.563651
20640	2	2013-08-02 16:05:44.538767	2013-08-03 22:50:05.347525
18756	2	2013-08-02 16:05:40.283131	2013-08-04 17:21:52.863473
20691	2	2013-08-02 16:05:44.588476	2013-08-04 01:45:51.573775
20594	14	2013-08-02 16:05:44.497717	2013-08-02 16:05:44.497717
20652	4	2013-08-02 16:05:44.549977	2013-08-03 18:59:36.476985
20073	2	2013-08-02 16:05:43.59557	2013-08-04 01:45:51.581105
7059	7	2013-08-02 16:05:17.492985	2013-08-03 20:35:12.915589
18736	2	2013-08-02 16:05:40.265805	2013-08-04 17:21:52.871271
20692	2	2013-08-02 16:05:44.589394	2013-08-03 18:59:36.478829
20671	2	2013-08-02 16:05:44.567125	2013-08-04 01:45:51.592114
20602	2	2013-08-02 16:05:44.505552	2013-08-02 16:05:44.505552
20606	21	2013-08-02 16:05:44.508824	2013-08-03 22:50:05.393917
20604	4	2013-08-02 16:05:44.507242	2013-08-02 16:05:44.507242
20592	21	2013-08-02 16:05:44.495705	2013-08-03 19:32:37.988129
20651	2	2013-08-02 16:05:44.549228	2013-08-04 01:45:51.602724
20607	7	2013-08-02 16:05:44.509725	2013-08-02 16:05:44.509725
18716	2	2013-08-02 16:05:40.236504	2013-08-04 17:21:52.879638
3161	2	2013-08-02 16:05:09.736167	2013-08-04 01:45:51.614065
18696	2	2013-08-02 16:05:40.202365	2013-08-04 17:21:52.88863
20666	2	2013-08-02 16:05:44.562555	2013-08-04 01:55:51.206435
44423	2	2013-08-02 16:06:38.426139	2013-08-04 02:30:52.62388
20614	14	2013-08-02 16:05:44.515908	2013-08-02 16:05:44.515908
25952	14	2013-08-02 16:05:56.175855	2013-08-03 19:57:24.850821
20626	21	2013-08-02 16:05:44.526454	2013-08-03 22:54:24.067221
25932	14	2013-08-02 16:05:56.122737	2013-08-03 19:57:24.856602
4570	14	2013-08-02 16:05:12.742494	2013-08-04 17:21:52.907388
26020	14	2013-08-02 16:05:56.46914	2013-08-03 19:57:24.861804
20646	7	2013-08-02 16:05:44.544796	2013-08-03 23:01:08.151915
20622	2	2013-08-02 16:05:44.523015	2013-08-02 16:05:44.523015
20575	2	2013-08-02 16:05:44.476638	2013-08-03 17:48:24.453359
20624	4	2013-08-02 16:05:44.524763	2013-08-02 16:05:44.524763
25792	14	2013-08-02 16:05:55.769299	2013-08-03 19:57:24.867743
18921	2	2013-08-02 16:05:40.650274	2013-08-04 02:30:52.627678
20627	7	2013-08-02 16:05:44.527348	2013-08-02 16:05:44.527348
350	2	2013-08-02 16:05:04.692521	2013-08-04 02:30:52.638343
18676	14	2013-08-02 16:05:40.179166	2013-08-04 17:21:52.91636
20686	4	2013-08-02 16:05:44.583992	2013-08-03 23:01:08.159246
26953	2	2013-08-02 16:05:58.52097	2013-08-04 02:30:52.655974
20634	14	2013-08-02 16:05:44.533285	2013-08-02 16:05:44.533285
18656	14	2013-08-02 16:05:40.010004	2013-08-04 17:21:52.926566
20649	14	2013-08-02 16:05:44.547726	2013-08-04 20:34:53.236405
26933	2	2013-08-02 16:05:58.46971	2013-08-04 02:30:52.660171
20642	2	2013-08-02 16:05:44.540528	2013-08-02 16:05:44.540528
20670	2	2013-08-02 16:05:44.565956	2013-08-03 23:01:08.166134
20644	4	2013-08-02 16:05:44.542265	2013-08-02 16:05:44.542265
26913	2	2013-08-02 16:05:58.421881	2013-08-04 02:30:52.66434
26893	2	2013-08-02 16:05:58.373729	2013-08-04 02:30:52.668646
20647	7	2013-08-02 16:05:44.54587	2013-08-02 16:05:44.54587
20583	7	2013-08-02 16:05:44.484958	2013-08-03 17:48:44.91092
13341	2	2013-08-02 16:05:29.407505	2013-08-04 02:30:52.677593
26873	2	2013-08-02 16:05:58.32532	2013-08-04 02:30:52.686902
26878	2	2013-08-02 16:05:58.337728	2013-08-04 02:30:52.753637
20654	14	2013-08-02 16:05:44.55146	2013-08-02 16:05:44.55146
26853	2	2013-08-02 16:05:58.275632	2013-08-04 02:30:52.764857
20615	4	2013-08-02 16:05:44.516698	2013-08-03 17:54:09.535987
43335	21	2013-08-02 16:06:35.321714	2013-08-03 19:57:25.232156
20706	21	2013-08-02 16:05:44.604305	2013-08-03 23:04:24.497104
20662	2	2013-08-02 16:05:44.558697	2013-08-02 16:05:44.558697
22491	2	2013-08-02 16:05:48.849701	2013-08-04 02:30:52.793617
20664	4	2013-08-02 16:05:44.561001	2013-08-02 16:05:44.561001
22511	2	2013-08-02 16:05:48.898174	2013-08-04 02:30:52.798954
18899	2	2013-08-02 16:05:40.592168	2013-08-04 02:30:52.804815
20667	7	2013-08-02 16:05:44.5633	2013-08-02 16:05:44.5633
20655	2	2013-08-02 16:05:44.552193	2013-08-03 17:54:09.543664
15816	2	2013-08-02 16:05:34.210375	2013-08-04 02:30:52.810391
20619	14	2013-08-02 16:05:44.520384	2013-08-04 03:00:23.989523
20674	14	2013-08-02 16:05:44.5699	2013-08-02 16:05:44.5699
20569	21	2013-08-02 16:05:44.470174	2013-08-04 20:34:53.42802
16111	7	2013-08-02 16:05:34.597336	2013-08-03 23:26:54.625686
20630	21	2013-08-02 16:05:44.529918	2013-08-03 20:59:19.149462
20683	21	2013-08-02 16:05:44.581105	2013-08-03 20:59:19.153042
20572	21	2013-08-02 16:05:44.474174	2013-08-04 20:34:53.664534
20682	2	2013-08-02 16:05:44.579975	2013-08-02 16:05:44.579975
20589	21	2013-08-02 16:05:44.491788	2013-08-04 20:35:00.939082
20684	4	2013-08-02 16:05:44.581993	2013-08-02 16:05:44.581993
20610	21	2013-08-02 16:05:44.512673	2013-08-03 20:59:19.156316
20577	21	2013-08-02 16:05:44.478561	2013-08-04 20:35:00.941247
20687	7	2013-08-02 16:05:44.584844	2013-08-02 16:05:44.584844
20590	21	2013-08-02 16:05:44.49295	2013-08-03 20:59:19.159745
20639	21	2013-08-02 16:05:44.537936	2013-08-04 03:00:36.439184
20709	21	2013-08-02 16:05:44.607214	2013-08-04 20:35:12.288037
20701	21	2013-08-02 16:05:44.598849	2013-08-03 20:59:19.163002
20637	2	2013-08-02 16:05:44.536226	2013-08-04 20:37:27.035811
20694	14	2013-08-02 16:05:44.591139	2013-08-02 16:05:44.591139
20570	21	2013-08-02 16:05:44.471711	2013-08-03 20:59:19.166201
20689	4	2013-08-02 16:05:44.586675	2013-08-04 20:37:29.086651
20715	7	2013-08-02 16:05:44.612104	2013-08-03 17:55:11.052839
16171	4	2013-08-02 16:05:34.755767	2013-08-03 23:26:54.629893
20629	2	2013-08-02 16:05:44.529111	2013-08-04 20:37:29.447303
20609	2	2013-08-02 16:05:44.511875	2013-08-04 20:37:29.54083
20669	2	2013-08-02 16:05:44.564817	2013-08-04 20:37:29.78133
20702	2	2013-08-02 16:05:44.599957	2013-08-02 16:05:44.599957
9459	2	2013-08-02 16:05:22.434352	2013-08-03 23:26:54.632647
20704	4	2013-08-02 16:05:44.602102	2013-08-02 16:05:44.602102
20721	2	2013-08-02 16:05:44.617594	2013-08-04 20:37:29.785182
20707	7	2013-08-02 16:05:44.60543	2013-08-02 16:05:44.60543
20703	21	2013-08-02 16:05:44.601191	2013-08-04 20:39:38.821045
14887	14	2013-08-02 16:05:32.836267	2013-08-08 01:03:04.206437
2229	14	2013-08-02 16:05:08.511034	2013-08-08 01:03:04.209714
20680	14	2013-08-02 16:05:44.577564	2013-08-03 20:59:56.735003
2342	14	2013-08-02 16:05:08.639304	2013-08-08 01:03:04.212834
20714	14	2013-08-02 16:05:44.611326	2013-08-02 16:05:44.611326
8707	21	2013-08-02 16:05:20.539944	2013-08-08 01:03:04.349235
14907	21	2013-08-02 16:05:32.884189	2013-08-08 01:03:04.352168
20695	14	2013-08-02 16:05:44.592035	2013-08-03 17:57:11.237331
20710	21	2013-08-02 16:05:44.608087	2013-08-03 21:00:16.019328
18811	14	2013-08-02 16:05:40.401551	2013-08-08 01:03:04.420247
9698	14	2013-08-02 16:05:22.91643	2013-08-08 01:03:04.520722
22450	14	2013-08-02 16:05:48.746638	2013-08-08 01:03:04.587188
20722	2	2013-08-02 16:05:44.618438	2013-08-02 16:05:44.618438
5739	4	2013-08-02 16:05:14.521187	2013-08-03 18:02:16.137212
20724	4	2013-08-02 16:05:44.620508	2013-08-02 16:05:44.620508
6839	4	2013-08-02 16:05:17.081556	2013-08-03 18:02:16.147174
20617	7	2013-08-02 16:05:44.518537	2013-08-03 02:57:25.053192
38710	14	2013-08-02 16:06:25.878442	2013-08-08 01:03:04.590564
49905	14	2013-08-02 16:06:50.393972	2013-08-08 01:03:04.650593
20677	4	2013-08-02 16:05:44.57391	2013-08-03 02:57:25.063994
20597	21	2013-08-02 16:05:44.500376	2013-08-03 02:58:08.280912
15280	6	2013-08-02 16:05:33.578393	2013-08-08 01:03:04.818519
14133	21	2013-08-02 16:05:31.013379	2013-08-08 01:03:04.824043
12001	21	2013-08-02 16:05:26.993971	2013-08-03 18:02:16.239229
11936	21	2013-08-02 16:05:26.819484	2013-08-03 18:02:16.24189
20580	4	2013-08-02 16:05:44.481698	2013-08-03 18:15:01.126103
12598	21	2013-08-02 16:05:28.338425	2013-08-03 23:37:06.833882
20620	2	2013-08-02 16:05:44.521348	2013-08-03 18:15:01.133421
8407	6	2013-08-02 16:05:19.783401	2013-08-08 01:03:04.890696
37639	6	2013-08-02 16:06:23.036245	2013-08-08 01:03:04.893877
20700	4	2013-08-02 16:05:44.597747	2013-08-03 18:17:20.024308
20720	21	2013-08-02 16:05:44.616728	2013-08-03 18:37:37.509247
20657	21	2013-08-02 16:05:44.553809	2013-08-03 18:37:37.512611
20705	21	2013-08-02 16:05:44.603003	2013-08-03 18:37:37.515688
20685	21	2013-08-02 16:05:44.582892	2013-08-03 18:37:37.518809
20665	21	2013-08-02 16:05:44.561795	2013-08-03 18:37:37.521888
20645	21	2013-08-02 16:05:44.543479	2013-08-03 18:37:37.524978
20872	21	2013-08-02 16:05:45.065644	2013-08-03 19:02:37.228962
20751	2	2013-08-02 16:05:44.652671	2013-08-04 01:45:51.515135
20727	7	2013-08-02 16:05:44.62382	2013-08-02 16:05:44.62382
20726	2	2013-08-02 16:05:44.6226	2013-08-04 01:45:51.519925
20731	2	2013-08-02 16:05:44.628726	2013-08-04 01:45:51.525284
20729	7	2013-08-02 16:05:44.626156	2013-08-04 20:34:53.258619
20799	2	2013-08-02 16:05:44.828103	2013-08-04 17:07:41.691468
18636	14	2013-08-02 16:05:39.956484	2013-08-04 17:21:52.937022
20734	14	2013-08-02 16:05:44.632134	2013-08-02 16:05:44.632134
20852	21	2013-08-02 16:05:44.884487	2013-08-03 19:02:37.233049
20832	21	2013-08-02 16:05:44.86114	2013-08-03 19:02:37.236386
20812	21	2013-08-02 16:05:44.841138	2013-08-03 19:02:37.239637
18586	14	2013-08-02 16:05:39.826059	2013-08-04 17:21:52.948045
20792	21	2013-08-02 16:05:44.821562	2013-08-03 19:02:37.24291
18616	14	2013-08-02 16:05:39.903094	2013-08-04 17:21:52.960458
20742	2	2013-08-02 16:05:44.639977	2013-08-02 16:05:44.639977
20744	4	2013-08-02 16:05:44.642845	2013-08-02 16:05:44.642845
20772	21	2013-08-02 16:05:44.674418	2013-08-03 19:02:37.246733
18596	14	2013-08-02 16:05:39.852099	2013-08-04 17:21:52.968704
20747	7	2013-08-02 16:05:44.64685	2013-08-02 16:05:44.64685
20783	4	2013-08-02 16:05:44.8128	2013-08-03 17:25:59.530133
18576	14	2013-08-02 16:05:39.801306	2013-08-04 17:21:52.978998
18556	14	2013-08-02 16:05:39.748087	2013-08-04 17:21:52.982965
20770	14	2013-08-02 16:05:44.672689	2013-08-04 01:48:24.874698
20760	14	2013-08-02 16:05:44.660993	2013-08-04 17:56:51.649939
20754	14	2013-08-02 16:05:44.655005	2013-08-02 16:05:44.655005
20881	4	2013-08-02 16:05:45.073075	2013-08-04 20:34:53.27014
20803	2	2013-08-02 16:05:44.832376	2013-08-03 17:25:59.531593
20876	14	2013-08-02 16:05:45.06905	2013-08-04 17:56:51.660972
20762	2	2013-08-02 16:05:44.663853	2013-08-02 16:05:44.663853
25732	2	2013-08-02 16:05:55.618189	2013-08-04 20:34:53.277548
20764	4	2013-08-02 16:05:44.666512	2013-08-02 16:05:44.666512
20856	14	2013-08-02 16:05:44.889118	2013-08-04 17:56:51.671858
20767	7	2013-08-02 16:05:44.669165	2013-08-02 16:05:44.669165
20836	14	2013-08-02 16:05:44.86555	2013-08-04 17:56:51.682816
20746	7	2013-08-02 16:05:44.645539	2013-08-03 23:06:34.441302
20743	14	2013-08-02 16:05:44.641289	2013-08-04 17:56:51.693629
20816	14	2013-08-02 16:05:44.846336	2013-08-04 17:56:51.704614
20774	14	2013-08-02 16:05:44.6764	2013-08-02 16:05:44.6764
20843	14	2013-08-02 16:05:44.874498	2013-08-03 17:26:19.577508
20769	21	2013-08-02 16:05:44.670925	2013-08-04 20:34:53.665431
20732	21	2013-08-02 16:05:44.629632	2013-08-04 20:34:53.685547
2378	14	2013-08-02 16:05:08.67862	2013-08-03 19:57:25.302765
20786	4	2013-08-02 16:05:44.815318	2013-08-03 23:06:34.443275
20782	2	2013-08-02 16:05:44.811862	2013-08-02 16:05:44.811862
20775	4	2013-08-02 16:05:44.677594	2013-08-03 17:55:11.057668
20784	4	2013-08-02 16:05:44.813592	2013-08-02 16:05:44.813592
32658	21	2013-08-02 16:06:12.06011	2013-08-03 19:57:25.520861
20749	21	2013-08-02 16:05:44.649878	2013-08-04 20:35:00.944134
20787	7	2013-08-02 16:05:44.816219	2013-08-02 16:05:44.816219
20851	2	2013-08-02 16:05:44.883614	2013-08-04 01:50:58.31045
20831	2	2013-08-02 16:05:44.860179	2013-08-04 01:50:58.447435
20810	2	2013-08-02 16:05:44.838825	2013-08-04 20:37:26.097472
20811	2	2013-08-02 16:05:44.839839	2013-08-04 01:50:58.619129
20771	2	2013-08-02 16:05:44.673545	2013-08-04 01:50:59.094015
20794	14	2013-08-02 16:05:44.823097	2013-08-02 16:05:44.823097
20869	7	2013-08-02 16:05:45.057897	2013-08-04 20:37:28.80786
20849	7	2013-08-02 16:05:44.881848	2013-08-04 20:37:28.813345
10668	21	2013-08-02 16:05:24.064431	2013-08-03 19:57:25.650449
20829	7	2013-08-02 16:05:44.858258	2013-08-04 20:37:28.817986
7070	21	2013-08-02 16:05:17.504649	2013-08-03 19:57:25.653494
20855	2	2013-08-02 16:05:44.887993	2013-08-03 23:06:34.445325
20802	2	2013-08-02 16:05:44.831504	2013-08-02 16:05:44.831504
20815	2	2013-08-02 16:05:44.845517	2013-08-03 17:55:11.060614
20804	4	2013-08-02 16:05:44.833265	2013-08-02 16:05:44.833265
20790	7	2013-08-02 16:05:44.819026	2013-08-04 20:37:28.82504
16151	2	2013-08-02 16:05:34.702378	2013-08-04 01:55:51.171287
20807	7	2013-08-02 16:05:44.836091	2013-08-02 16:05:44.836091
20777	2	2013-08-02 16:05:44.679927	2013-08-04 01:55:51.183391
20809	7	2013-08-02 16:05:44.837742	2013-08-04 20:37:28.831858
32438	7	2013-08-02 16:06:11.377141	2013-08-04 20:37:28.838479
20735	2	2013-08-02 16:05:44.633201	2013-08-04 01:55:51.194778
20791	2	2013-08-02 16:05:44.819934	2013-08-04 01:55:52.044678
20814	14	2013-08-02 16:05:44.844527	2013-08-02 16:05:44.844527
20789	7	2013-08-02 16:05:44.818023	2013-08-04 20:37:28.845775
20871	7	2013-08-02 16:05:45.064838	2013-08-04 20:37:28.858762
15770	4	2013-08-02 16:05:34.165694	2013-08-04 02:30:52.837279
20806	2	2013-08-02 16:05:44.835111	2013-08-03 23:11:27.16545
22303	21	2013-08-02 16:05:48.267945	2013-08-08 01:03:04.897103
23668	6	2013-08-02 16:05:51.820143	2013-08-08 01:03:04.986167
20766	2	2013-08-02 16:05:44.668273	2013-08-03 23:11:27.52692
20822	2	2013-08-02 16:05:44.851298	2013-08-02 16:05:44.851298
20824	4	2013-08-02 16:05:44.853297	2013-08-02 16:05:44.853297
20050	4	2013-08-02 16:05:43.540075	2013-08-04 02:30:52.845569
39583	4	2013-08-02 16:06:27.293804	2013-08-04 02:30:52.853266
20827	7	2013-08-02 16:05:44.856144	2013-08-02 16:05:44.856144
20795	7	2013-08-02 16:05:44.823864	2013-08-03 17:55:22.573689
19541	6	2013-08-02 16:05:42.262476	2013-08-08 01:03:05.040952
8408	6	2013-08-02 16:05:19.785818	2013-08-08 01:03:05.078028
20830	7	2013-08-02 16:05:44.859314	2013-08-03 20:59:56.74083
2718	4	2013-08-02 16:05:09.097707	2013-08-04 02:30:52.880132
20834	14	2013-08-02 16:05:44.86325	2013-08-02 16:05:44.86325
6699	4	2013-08-02 16:05:16.810188	2013-08-04 02:30:52.890522
8761	6	2013-08-02 16:05:20.6678	2013-08-08 01:03:05.133921
5975	4	2013-08-02 16:05:15.106517	2013-08-04 02:30:52.901704
20846	4	2013-08-02 16:05:44.87745	2013-08-03 23:15:56.757598
8741	6	2013-08-02 16:05:20.620322	2013-08-08 01:03:05.183337
20870	4	2013-08-02 16:05:45.063769	2013-08-03 20:59:56.743439
19326	4	2013-08-02 16:05:41.670562	2013-08-04 02:30:52.911692
20842	2	2013-08-02 16:05:44.872793	2013-08-02 16:05:44.872793
5697	7	2013-08-02 16:05:14.421912	2013-08-03 18:02:16.487257
20844	4	2013-08-02 16:05:44.875622	2013-08-02 16:05:44.875622
20857	2	2013-08-02 16:05:44.8901	2013-08-03 23:15:56.761553
21941	4	2013-08-02 16:05:47.390124	2013-08-04 02:30:52.92279
20847	7	2013-08-02 16:05:44.879259	2013-08-02 16:05:44.879259
2106	21	2013-08-02 16:05:08.189684	2013-08-03 18:02:16.512189
20866	7	2013-08-02 16:05:44.902204	2013-08-03 23:19:39.399509
25017	6	2013-08-02 16:05:53.790563	2013-08-08 01:03:05.186358
20850	7	2013-08-02 16:05:44.882711	2013-08-03 23:19:39.652964
44741	4	2013-08-02 16:06:39.249519	2013-08-04 02:30:52.936951
20854	14	2013-08-02 16:05:44.887085	2013-08-02 16:05:44.887085
38750	6	2013-08-02 16:06:25.956305	2013-08-08 01:03:05.283613
6468	6	2013-08-02 16:05:16.216271	2013-08-08 01:03:05.342138
5509	21	2013-08-02 16:05:14.029511	2013-08-03 18:02:16.515202
5489	7	2013-08-02 16:05:14.000762	2013-08-03 21:00:15.995102
7497	6	2013-08-02 16:05:17.918903	2013-08-08 01:03:05.387877
5469	21	2013-08-02 16:05:13.905541	2013-08-03 21:00:16.020488
36381	14	2013-08-02 16:06:20.753255	2013-08-03 23:29:38.813313
20862	2	2013-08-02 16:05:44.896323	2013-08-02 16:05:44.896323
2032	21	2013-08-02 16:05:08.004024	2013-08-03 18:02:16.518241
20864	4	2013-08-02 16:05:44.898931	2013-08-02 16:05:44.898931
16098	7	2013-08-02 16:05:34.568864	2013-08-03 23:29:38.825125
49995	4	2013-08-02 16:06:50.609575	2013-08-04 02:30:52.948423
20867	7	2013-08-02 16:05:44.903085	2013-08-02 16:05:44.903085
31775	4	2013-08-02 16:06:09.746099	2013-08-04 02:30:52.952989
5392	4	2013-08-02 16:05:13.786056	2013-08-04 02:30:52.957545
20874	14	2013-08-02 16:05:45.067406	2013-08-02 16:05:45.067406
20653	21	2013-08-02 16:05:44.550722	2013-08-03 23:29:39.279221
3181	21	2013-08-02 16:05:09.782317	2013-08-03 23:29:39.280892
20633	21	2013-08-02 16:05:44.532374	2013-08-03 23:29:39.282367
20613	21	2013-08-02 16:05:44.515163	2013-08-03 23:29:39.283519
20593	21	2013-08-02 16:05:44.496924	2013-08-03 23:29:39.285048
20623	21	2013-08-02 16:05:44.523888	2013-08-03 23:29:39.286444
20877	21	2013-08-02 16:05:45.069804	2013-08-03 02:58:09.238724
20826	7	2013-08-02 16:05:44.855255	2013-08-04 03:00:37.134445
20873	21	2013-08-02 16:05:45.066424	2013-08-03 23:34:27.978902
20797	14	2013-08-02 16:05:44.826053	2013-08-03 02:58:09.286896
20853	21	2013-08-02 16:05:44.885937	2013-08-03 23:34:27.980766
20880	21	2013-08-02 16:05:45.072233	2013-08-03 18:17:19.922267
20860	21	2013-08-02 16:05:44.893894	2013-08-03 18:17:19.925375
20840	21	2013-08-02 16:05:44.870245	2013-08-03 18:17:19.928183
20820	21	2013-08-02 16:05:44.849466	2013-08-03 18:17:19.931676
20800	21	2013-08-02 16:05:44.82917	2013-08-03 18:17:19.935232
20780	21	2013-08-02 16:05:44.809852	2013-08-03 18:17:19.938736
20725	21	2013-08-02 16:05:44.62155	2013-08-03 18:37:37.505246
20865	7	2013-08-02 16:05:44.900613	2013-08-03 18:37:37.9084
20845	7	2013-08-02 16:05:44.87646	2013-08-03 18:37:37.918907
20825	7	2013-08-02 16:05:44.854351	2013-08-03 18:37:37.929413
20875	7	2013-08-02 16:05:45.068267	2013-08-03 18:37:37.940014
20805	7	2013-08-02 16:05:44.834245	2013-08-03 18:37:37.950255
20785	7	2013-08-02 16:05:44.814378	2013-08-03 18:37:37.960905
20765	7	2013-08-02 16:05:44.667394	2013-08-03 18:37:37.971101
20839	21	2013-08-02 16:05:44.869008	2013-08-04 03:00:37.607322
20819	4	2013-08-02 16:05:44.848686	2013-08-04 03:00:38.474756
20882	2	2013-08-02 16:05:45.073886	2013-08-02 16:05:45.073886
20963	4	2013-08-02 16:05:45.157023	2013-08-03 17:42:02.006368
20884	4	2013-08-02 16:05:45.075505	2013-08-02 16:05:45.075505
20883	14	2013-08-02 16:05:45.074712	2013-08-03 19:05:13.543965
20891	7	2013-08-02 16:05:45.080986	2013-08-04 01:48:24.894627
20887	7	2013-08-02 16:05:45.077852	2013-08-02 16:05:45.077852
20975	21	2013-08-02 16:05:45.17352	2013-08-03 20:37:33.68975
43057	14	2013-08-02 16:06:35.017571	2013-08-04 17:21:53.062186
43037	14	2013-08-02 16:06:34.988281	2013-08-04 17:21:53.065968
16228	14	2013-08-02 16:05:34.894561	2013-08-04 17:21:53.125601
22679	14	2013-08-02 16:05:49.317874	2013-08-04 17:21:53.13146
20894	14	2013-08-02 16:05:45.083203	2013-08-02 16:05:45.083203
20912	4	2013-08-02 16:05:45.102281	2013-08-04 01:48:24.905695
20932	21	2013-08-02 16:05:45.125269	2013-08-04 20:37:28.7253
22659	14	2013-08-02 16:05:49.270778	2013-08-04 17:21:53.136472
22639	14	2013-08-02 16:05:49.22359	2013-08-04 17:21:53.140414
22619	14	2013-08-02 16:05:49.175512	2013-08-04 17:21:53.145871
5449	2	2013-08-02 16:05:13.881374	2013-08-04 20:37:28.743857
20969	2	2013-08-02 16:05:45.164475	2013-08-04 20:37:28.749839
20902	2	2013-08-02 16:05:45.090534	2013-08-02 16:05:45.090534
20895	4	2013-08-02 16:05:45.083935	2013-08-03 17:55:22.520491
20904	4	2013-08-02 16:05:45.093799	2013-08-02 16:05:45.093799
4746	2	2013-08-02 16:05:12.912212	2013-08-04 01:48:24.913173
20907	7	2013-08-02 16:05:45.096742	2013-08-02 16:05:45.096742
32800	2	2013-08-02 16:06:12.407675	2013-08-04 20:37:28.755944
21012	14	2013-08-02 16:05:45.230849	2013-08-03 23:21:59.009859
20949	2	2013-08-02 16:05:45.141254	2013-08-04 20:37:28.762372
20573	21	2013-08-02 16:05:44.475009	2013-08-03 23:29:39.287622
20931	7	2013-08-02 16:05:45.124052	2013-08-04 01:50:56.864329
20914	14	2013-08-02 16:05:45.104701	2013-08-02 16:05:45.104701
15466	21	2013-08-02 16:05:33.758982	2013-08-03 23:29:39.497201
20929	2	2013-08-02 16:05:45.122125	2013-08-04 20:37:28.768115
20992	7	2013-08-02 16:05:45.205072	2013-08-03 19:05:13.557363
20943	2	2013-08-02 16:05:45.136813	2013-08-04 20:37:28.775752
20903	21	2013-08-02 16:05:45.092113	2013-08-04 01:50:56.982652
34823	21	2013-08-02 16:06:16.826556	2013-08-03 23:29:39.499951
20922	2	2013-08-02 16:05:45.1129	2013-08-02 16:05:45.1129
20972	21	2013-08-02 16:05:45.168247	2013-08-03 19:32:37.983976
20924	4	2013-08-02 16:05:45.116706	2013-08-02 16:05:45.116706
7046	14	2013-08-02 16:05:17.476801	2013-08-03 19:57:25.704593
20911	2	2013-08-02 16:05:45.101342	2013-08-04 01:50:57.384112
20927	7	2013-08-02 16:05:45.119973	2013-08-02 16:05:45.119973
20909	2	2013-08-02 16:05:45.099285	2013-08-04 20:37:28.781538
33570	14	2013-08-02 16:06:14.209437	2013-08-03 23:31:33.718488
20952	2	2013-08-02 16:05:45.143994	2013-08-04 20:37:28.787154
20889	2	2013-08-02 16:05:45.079396	2013-08-04 20:37:28.794413
21021	2	2013-08-02 16:05:45.242481	2013-08-04 01:50:57.483174
20934	14	2013-08-02 16:05:45.127676	2013-08-02 16:05:45.127676
20983	7	2013-08-02 16:05:45.190904	2013-08-03 17:26:19.602416
5349	2	2013-08-02 16:05:13.679822	2013-08-04 01:50:58.07807
20788	7	2013-08-02 16:05:44.81716	2013-08-03 19:57:25.779261
5369	2	2013-08-02 16:05:13.72628	2013-08-04 01:50:58.089224
20942	2	2013-08-02 16:05:45.13601	2013-08-02 16:05:45.13601
20935	2	2013-08-02 16:05:45.128572	2013-08-03 17:55:22.528404
20944	4	2013-08-02 16:05:45.137587	2013-08-02 16:05:45.137587
21031	2	2013-08-02 16:05:45.252012	2013-08-04 01:50:58.100352
24570	2	2013-08-02 16:05:53.238936	2013-08-04 01:50:58.111549
20947	7	2013-08-02 16:05:45.139789	2013-08-02 16:05:45.139789
21011	2	2013-08-02 16:05:45.229793	2013-08-04 01:50:58.123057
33465	21	2013-08-02 16:06:14.093154	2013-08-03 23:31:33.749623
20930	14	2013-08-02 16:05:45.123177	2013-08-03 21:00:15.898837
20991	2	2013-08-02 16:05:45.203058	2013-08-04 01:50:58.134337
20954	14	2013-08-02 16:05:45.145812	2013-08-02 16:05:45.145812
20890	2	2013-08-02 16:05:45.080173	2013-08-04 01:50:58.146285
21029	21	2013-08-02 16:05:45.250221	2013-08-04 20:38:36.671816
32820	4	2013-08-02 16:06:12.456179	2013-08-03 19:57:25.974688
20989	21	2013-08-02 16:05:45.20082	2013-08-04 20:38:36.690118
20990	2	2013-08-02 16:05:45.201726	2013-08-04 01:50:58.157727
21009	21	2013-08-02 16:05:45.226861	2013-08-04 20:39:01.091676
20962	2	2013-08-02 16:05:45.15537	2013-08-02 16:05:45.15537
20971	2	2013-08-02 16:05:45.167009	2013-08-04 01:50:58.165618
20964	4	2013-08-02 16:05:45.158103	2013-08-02 16:05:45.158103
43632	2	2013-08-02 16:06:36.277106	2013-08-03 23:31:33.797213
20951	2	2013-08-02 16:05:45.143124	2013-08-04 01:50:58.169384
20967	7	2013-08-02 16:05:45.161226	2013-08-02 16:05:45.161226
6801	2	2013-08-02 16:05:16.995138	2013-08-04 01:50:58.173145
4623	4	2013-08-02 16:05:12.806334	2013-08-04 02:30:52.984397
24590	4	2013-08-02 16:05:53.262923	2013-08-04 20:42:25.981343
39961	6	2013-08-02 16:06:28.322017	2013-08-08 01:03:05.444436
12518	4	2013-08-02 16:05:28.178845	2013-08-04 02:30:52.99049
20974	14	2013-08-02 16:05:45.171696	2013-08-02 16:05:45.171696
49505	6	2013-08-02 16:06:49.408862	2013-08-08 01:03:05.499128
11986	6	2013-08-02 16:05:26.953804	2013-08-08 01:03:05.544565
22193	6	2013-08-02 16:05:47.998012	2013-08-08 01:03:05.60745
28112	6	2013-08-02 16:06:01.228903	2013-08-08 01:03:05.657409
22551	4	2013-08-02 16:05:49.002274	2013-08-04 02:30:53.120063
22571	4	2013-08-02 16:05:49.054506	2013-08-04 02:30:53.124308
20982	2	2013-08-02 16:05:45.188354	2013-08-02 16:05:45.188354
49465	6	2013-08-02 16:06:49.357001	2013-08-08 01:03:05.712923
20984	4	2013-08-02 16:05:45.193025	2013-08-02 16:05:45.193025
18966	4	2013-08-02 16:05:40.76109	2013-08-04 02:30:53.128786
20987	7	2013-08-02 16:05:45.197366	2013-08-02 16:05:45.197366
21015	14	2013-08-02 16:05:45.234	2013-08-03 17:58:45.564942
44735	21	2013-08-02 16:06:39.233268	2013-08-03 23:34:27.977072
39901	6	2013-08-02 16:06:27.995247	2013-08-08 01:03:05.768648
15526	21	2013-08-02 16:05:33.807837	2013-08-03 23:34:28.103439
4471	4	2013-08-02 16:05:12.642555	2013-08-04 02:30:53.132779
20994	14	2013-08-02 16:05:45.206681	2013-08-02 16:05:45.206681
24345	7	2013-08-02 16:05:52.837531	2013-08-03 21:29:22.063805
38010	6	2013-08-02 16:06:24.132145	2013-08-08 01:03:05.82047
15776	4	2013-08-02 16:05:34.171826	2013-08-04 02:30:53.141542
49595	2	2013-08-02 16:06:49.613219	2013-08-03 21:29:22.076155
37659	6	2013-08-02 16:06:23.084235	2013-08-08 01:03:05.895942
37937	2	2013-08-02 16:06:23.93496	2013-08-04 02:30:53.312572
24630	21	2013-08-02 16:05:53.31183	2013-08-03 23:39:27.172765
21002	2	2013-08-02 16:05:45.216217	2013-08-02 16:05:45.216217
21033	21	2013-08-02 16:05:45.254516	2013-08-03 23:39:27.17386
21004	4	2013-08-02 16:05:45.219185	2013-08-02 16:05:45.219185
21013	21	2013-08-02 16:05:45.231952	2013-08-03 23:39:27.174918
37917	2	2013-08-02 16:06:23.881323	2013-08-04 02:30:53.317751
21007	7	2013-08-02 16:05:45.222979	2013-08-02 16:05:45.222979
37865	2	2013-08-02 16:06:23.770252	2013-08-04 02:30:53.324126
21035	4	2013-08-02 16:05:45.256998	2013-08-03 23:39:27.193827
8721	21	2013-08-02 16:05:20.57323	2013-08-08 01:03:05.902026
14857	21	2013-08-02 16:05:32.764285	2013-08-08 01:03:05.911171
37897	2	2013-08-02 16:06:23.827553	2013-08-04 02:30:53.330625
21014	14	2013-08-02 16:05:45.233061	2013-08-02 16:05:45.233061
18391	6	2013-08-02 16:05:39.488131	2013-08-08 01:03:05.963816
5429	4	2013-08-02 16:05:13.864195	2013-08-03 18:02:16.646093
19219	4	2013-08-02 16:05:41.390941	2013-08-04 02:30:53.370062
38270	6	2013-08-02 16:06:24.755246	2013-08-08 01:03:06.020697
24610	7	2013-08-02 16:05:53.287686	2013-08-03 21:30:23.308293
21022	2	2013-08-02 16:05:45.24338	2013-08-02 16:05:45.24338
5409	4	2013-08-02 16:05:13.834876	2013-08-03 18:02:16.656346
21024	4	2013-08-02 16:05:45.24507	2013-08-02 16:05:45.24507
19199	4	2013-08-02 16:05:41.338069	2013-08-04 02:30:53.381682
19179	4	2013-08-02 16:05:41.284697	2013-08-04 02:30:53.392657
21027	7	2013-08-02 16:05:45.247899	2013-08-02 16:05:45.247899
5389	4	2013-08-02 16:05:13.778321	2013-08-03 18:02:16.666641
19290	4	2013-08-02 16:05:41.576082	2013-08-04 02:30:53.403482
24530	4	2013-08-02 16:05:53.026449	2013-08-04 03:00:38.933871
21034	14	2013-08-02 16:05:45.255715	2013-08-02 16:05:45.255715
21008	21	2013-08-02 16:05:45.224562	2013-08-03 02:58:08.277106
20988	21	2013-08-02 16:05:45.198776	2013-08-03 02:58:08.279009
21028	2	2013-08-02 16:05:45.249139	2013-08-03 02:58:08.586051
21037	21	2013-08-02 16:05:45.259521	2013-08-03 02:58:09.1693
4324	7	2013-08-02 16:05:12.414926	2013-08-03 18:02:16.745897
7206	7	2013-08-02 16:05:17.632012	2013-08-03 18:02:16.922039
13832	21	2013-08-02 16:05:30.315866	2013-08-03 18:02:16.950522
13878	21	2013-08-02 16:05:30.404676	2013-08-03 18:02:16.953461
21018	21	2013-08-02 16:05:45.238338	2013-08-03 18:07:21.079276
20920	21	2013-08-02 16:05:45.111217	2013-08-03 18:17:19.91674
20900	21	2013-08-02 16:05:45.088633	2013-08-03 18:17:19.919424
21000	2	2013-08-02 16:05:45.212818	2013-08-03 18:17:20.434152
20980	2	2013-08-02 16:05:45.182932	2013-08-03 18:17:20.440324
20960	7	2013-08-02 16:05:45.152602	2013-08-03 18:17:20.454958
21020	4	2013-08-02 16:05:45.241096	2013-08-03 18:22:15.420777
21025	7	2013-08-02 16:05:45.24613	2013-08-03 18:37:37.813103
21005	7	2013-08-02 16:05:45.2201	2013-08-03 18:37:37.824146
20985	7	2013-08-02 16:05:45.194983	2013-08-03 18:37:37.834655
20965	7	2013-08-02 16:05:45.159271	2013-08-03 18:37:37.845043
21023	7	2013-08-02 16:05:45.244225	2013-08-03 18:37:37.85552
20945	7	2013-08-02 16:05:45.138341	2013-08-03 18:37:37.866023
20925	7	2013-08-02 16:05:45.117936	2013-08-03 18:37:37.876554
21052	4	2013-08-02 16:05:45.279125	2013-08-03 19:05:13.565157
25760	2	2013-08-02 16:05:55.687057	2013-08-04 01:50:58.000438
21042	2	2013-08-02 16:05:45.266762	2013-08-02 16:05:45.266762
21183	2	2013-08-02 16:05:45.435832	2013-08-03 17:35:02.512861
21044	4	2013-08-02 16:05:45.269158	2013-08-02 16:05:45.269158
21111	2	2013-08-02 16:05:45.356397	2013-08-04 01:50:58.012077
21075	2	2013-08-02 16:05:45.306594	2013-08-04 01:50:58.023123
21047	7	2013-08-02 16:05:45.272452	2013-08-02 16:05:45.272452
21043	4	2013-08-02 16:05:45.267843	2013-08-03 17:26:19.61248
21179	14	2013-08-02 16:05:45.43146	2013-08-04 17:02:13.609249
21091	2	2013-08-02 16:05:45.333396	2013-08-04 01:50:58.034142
21054	14	2013-08-02 16:05:45.280856	2013-08-02 16:05:45.280856
21092	2	2013-08-02 16:05:45.334254	2013-08-03 19:05:13.570491
21069	14	2013-08-02 16:05:45.298024	2013-08-04 20:38:36.625535
21063	2	2013-08-02 16:05:45.29133	2013-08-03 17:26:19.616195
21071	2	2013-08-02 16:05:45.300054	2013-08-04 01:50:58.045194
21100	2	2013-08-02 16:05:45.344438	2013-08-03 20:42:29.149103
21086	2	2013-08-02 16:05:45.326932	2013-08-04 01:50:58.055993
21062	2	2013-08-02 16:05:45.290454	2013-08-02 16:05:45.290454
21163	2	2013-08-02 16:05:45.414659	2013-08-03 17:35:02.523289
21064	4	2013-08-02 16:05:45.292445	2013-08-02 16:05:45.292445
21085	21	2013-08-02 16:05:45.32602	2013-08-03 19:07:36.205417
21051	2	2013-08-02 16:05:45.277719	2013-08-04 01:50:58.066977
21067	7	2013-08-02 16:05:45.29592	2013-08-02 16:05:45.29592
21106	2	2013-08-02 16:05:45.350584	2013-08-04 01:55:51.159237
21105	21	2013-08-02 16:05:45.349612	2013-08-04 02:10:49.678441
21074	14	2013-08-02 16:05:45.304788	2013-08-02 16:05:45.304788
21192	21	2013-08-02 16:05:45.453369	2013-08-03 19:07:36.206286
21143	2	2013-08-02 16:05:45.393024	2013-08-03 17:35:02.533596
21130	21	2013-08-02 16:05:45.377372	2013-08-04 17:02:39.185166
21140	4	2013-08-02 16:05:45.389458	2013-08-04 17:07:41.804499
21082	2	2013-08-02 16:05:45.320609	2013-08-02 16:05:45.320609
21123	2	2013-08-02 16:05:45.368642	2013-08-03 17:35:02.543892
21084	4	2013-08-02 16:05:45.325153	2013-08-02 16:05:45.325153
21077	4	2013-08-02 16:05:45.309982	2013-08-04 17:07:41.808169
21150	2	2013-08-02 16:05:45.400417	2013-08-04 02:10:49.718027
21087	7	2013-08-02 16:05:45.327751	2013-08-02 16:05:45.327751
21103	2	2013-08-02 16:05:45.347211	2013-08-03 17:35:02.55415
21151	2	2013-08-02 16:05:45.401269	2013-08-04 02:10:49.728191
22539	2	2013-08-02 16:05:48.968723	2013-08-04 17:21:53.192771
14446	2	2013-08-02 16:05:31.853236	2013-08-04 17:21:53.197303
21171	2	2013-08-02 16:05:45.423661	2013-08-04 02:10:50.373275
21094	14	2013-08-02 16:05:45.336257	2013-08-02 16:05:45.336257
21112	14	2013-08-02 16:05:45.357278	2013-08-03 19:07:36.235126
21129	7	2013-08-02 16:05:45.376349	2013-08-04 20:38:36.647466
21070	4	2013-08-02 16:05:45.299147	2013-08-03 21:00:15.924051
21072	7	2013-08-02 16:05:45.301311	2013-08-03 19:07:37.556889
3234	2	2013-08-02 16:05:09.88332	2013-08-04 17:21:53.203116
34252	4	2013-08-02 16:06:15.242685	2013-08-03 23:31:52.637918
21191	2	2013-08-02 16:05:45.451362	2013-08-04 02:10:50.38373
21102	2	2013-08-02 16:05:45.34645	2013-08-02 16:05:45.34645
21090	2	2013-08-02 16:05:45.332258	2013-08-03 21:00:15.930437
21104	4	2013-08-02 16:05:45.348336	2013-08-02 16:05:45.348336
19159	4	2013-08-02 16:05:41.234368	2013-08-04 02:30:53.414394
35421	4	2013-08-02 16:06:18.253998	2013-08-04 02:30:53.448064
21107	7	2013-08-02 16:05:45.351523	2013-08-02 16:05:45.351523
839	4	2013-08-02 16:05:05.286779	2013-08-04 17:21:53.253006
12939	2	2013-08-02 16:05:29.002271	2013-08-03 23:31:52.640698
40190	4	2013-08-02 16:06:28.568964	2013-08-04 17:21:53.257311
19119	4	2013-08-02 16:05:41.129205	2013-08-04 02:30:53.4591
19099	4	2013-08-02 16:05:41.075325	2013-08-04 02:30:53.470538
21114	14	2013-08-02 16:05:45.359267	2013-08-02 16:05:45.359267
21172	21	2013-08-02 16:05:45.424745	2013-08-03 19:37:44.06408
1272	4	2013-08-02 16:05:06.185268	2013-08-04 02:30:53.482558
22957	4	2013-08-02 16:05:49.964488	2013-08-04 02:30:53.493497
7709	4	2013-08-02 16:05:18.209724	2013-08-04 17:21:53.261555
19055	4	2013-08-02 16:05:40.98345	2013-08-04 02:30:53.504139
19079	4	2013-08-02 16:05:41.03341	2013-08-04 02:30:53.51495
21122	2	2013-08-02 16:05:45.367395	2013-08-02 16:05:45.367395
21110	4	2013-08-02 16:05:45.355391	2013-08-03 21:04:19.039995
21124	4	2013-08-02 16:05:45.369629	2013-08-02 16:05:45.369629
29146	4	2013-08-02 16:06:03.171196	2013-08-04 17:21:53.596434
19059	4	2013-08-02 16:05:40.993115	2013-08-04 02:30:53.526327
21127	7	2013-08-02 16:05:45.373435	2013-08-02 16:05:45.373435
29126	4	2013-08-02 16:06:03.11771	2013-08-04 17:21:53.603443
29106	4	2013-08-02 16:06:03.064481	2013-08-04 17:21:53.609815
21120	4	2013-08-02 16:05:45.365351	2013-08-03 21:04:19.364404
19039	4	2013-08-02 16:05:40.941771	2013-08-04 02:30:53.538596
21134	14	2013-08-02 16:05:45.382401	2013-08-02 16:05:45.382401
42855	4	2013-08-02 16:06:34.780341	2013-08-04 02:30:53.550303
2400	7	2013-08-02 16:05:08.708714	2013-08-03 19:57:26.032187
21190	21	2013-08-02 16:05:45.44875	2013-08-04 20:39:14.559516
29095	4	2013-08-02 16:06:03.031927	2013-08-04 17:21:53.614489
29086	4	2013-08-02 16:06:03.010178	2013-08-04 17:21:53.619563
21142	2	2013-08-02 16:05:45.391746	2013-08-02 16:05:45.391746
46403	14	2013-08-02 16:06:42.360969	2013-08-03 19:58:22.809187
21144	4	2013-08-02 16:05:45.394382	2013-08-02 16:05:45.394382
30585	2	2013-08-02 16:06:06.811631	2013-08-03 19:58:42.400293
21149	21	2013-08-02 16:05:45.39954	2013-08-04 20:39:32.039033
21147	7	2013-08-02 16:05:45.397803	2013-08-02 16:05:45.397803
21155	7	2013-08-02 16:05:45.405025	2013-08-03 17:58:45.573718
21109	21	2013-08-02 16:05:45.353747	2013-08-04 20:39:50.478274
21154	14	2013-08-02 16:05:45.404232	2013-08-02 16:05:45.404232
21170	2	2013-08-02 16:05:45.422674	2013-08-03 21:04:20.065732
21115	2	2013-08-02 16:05:45.360706	2013-08-04 20:42:23.805361
21160	2	2013-08-02 16:05:45.409789	2013-08-04 20:42:23.885114
21050	2	2013-08-02 16:05:45.276389	2013-08-04 20:42:24.417593
21089	14	2013-08-02 16:05:45.330169	2013-08-04 20:42:25.572669
21049	4	2013-08-02 16:05:45.275099	2013-08-04 20:42:25.977723
33750	21	2013-08-02 16:06:14.387716	2013-08-03 23:34:28.102596
21162	2	2013-08-02 16:05:45.412957	2013-08-02 16:05:45.412957
21095	7	2013-08-02 16:05:45.338456	2013-08-03 21:04:20.095168
21164	4	2013-08-02 16:05:45.416169	2013-08-02 16:05:45.416169
21125	4	2013-08-02 16:05:45.370961	2013-08-03 21:25:17.777535
21055	2	2013-08-02 16:05:45.282108	2013-08-04 20:42:26.651019
21167	7	2013-08-02 16:05:45.419454	2013-08-02 16:05:45.419454
4110	7	2013-08-02 16:05:12.008631	2013-08-03 18:02:17.13358
21073	21	2013-08-02 16:05:45.302825	2013-08-03 23:39:27.161452
37580	6	2013-08-02 16:06:22.891459	2013-08-08 01:03:06.10688
21066	21	2013-08-02 16:05:45.29473	2013-08-03 23:39:27.165076
8664	21	2013-08-02 16:05:20.434038	2013-08-08 01:03:06.112281
21174	14	2013-08-02 16:05:45.426655	2013-08-02 16:05:45.426655
24690	2	2013-08-02 16:05:53.398564	2013-08-03 21:30:23.316633
45806	21	2013-08-02 16:06:41.273294	2013-08-08 01:03:06.114786
12190	21	2013-08-02 16:05:27.438782	2013-08-03 18:02:17.160365
21053	21	2013-08-02 16:05:45.280001	2013-08-03 23:39:27.167584
2269	21	2013-08-02 16:05:08.550399	2013-08-08 01:03:06.119899
20390	7	2013-08-02 16:05:44.29592	2013-08-03 21:30:23.349682
21181	21	2013-08-02 16:05:45.433334	2013-08-03 23:39:27.17114
21182	2	2013-08-02 16:05:45.434487	2013-08-02 16:05:45.434487
19648	6	2013-08-02 16:05:42.524491	2013-08-08 01:03:06.150182
21184	4	2013-08-02 16:05:45.437604	2013-08-02 16:05:45.437604
21065	21	2013-08-02 16:05:45.293454	2013-08-03 23:44:25.750556
3284	6	2013-08-02 16:05:10.054149	2013-08-08 01:03:06.153055
21187	7	2013-08-02 16:05:45.442648	2013-08-02 16:05:45.442648
16740	21	2013-08-02 16:05:36.1481	2013-08-03 18:02:17.163492
21177	21	2013-08-02 16:05:45.429412	2013-08-03 23:44:25.751677
3150	6	2013-08-02 16:05:09.707869	2013-08-08 01:03:06.15578
21193	21	2013-08-02 16:05:45.4554	2013-08-03 23:44:25.752992
5966	6	2013-08-02 16:05:15.082979	2013-08-08 01:03:06.204213
21194	14	2013-08-02 16:05:45.458062	2013-08-02 16:05:45.458062
6024	2	2013-08-02 16:05:15.231446	2013-08-03 21:30:23.354143
21173	21	2013-08-02 16:05:45.42578	2013-08-03 23:44:25.754013
5946	6	2013-08-02 16:05:15.030752	2013-08-08 01:03:06.252627
21153	21	2013-08-02 16:05:45.402834	2013-08-03 23:44:25.754943
5926	6	2013-08-02 16:05:14.982783	2013-08-08 01:03:06.284459
5906	6	2013-08-02 16:05:14.931187	2013-08-08 01:03:06.287374
21157	14	2013-08-02 16:05:45.407269	2013-08-03 03:04:38.071315
5886	6	2013-08-02 16:05:14.87762	2013-08-08 01:03:06.290007
16732	21	2013-08-02 16:05:36.127329	2013-08-03 18:02:17.166589
16712	21	2013-08-02 16:05:36.084008	2013-08-03 18:02:17.169587
16692	21	2013-08-02 16:05:36.052873	2013-08-03 18:02:17.172486
16672	21	2013-08-02 16:05:36.029676	2013-08-03 18:02:17.175408
16652	21	2013-08-02 16:05:35.988436	2013-08-03 18:02:17.178412
16632	21	2013-08-02 16:05:35.937445	2013-08-03 18:02:17.181423
21057	4	2013-08-02 16:05:45.283856	2013-08-03 18:17:20.230893
21180	4	2013-08-02 16:05:45.432275	2013-08-03 18:17:20.242044
5866	6	2013-08-02 16:05:14.830273	2013-08-08 01:03:06.320895
37570	6	2013-08-02 16:06:22.867747	2013-08-08 01:03:06.32368
21133	21	2013-08-02 16:05:45.381198	2013-08-03 23:45:51.969204
21080	14	2013-08-02 16:05:45.315153	2013-08-03 18:17:20.367919
21060	14	2013-08-02 16:05:45.287561	2013-08-03 18:17:20.374226
21045	14	2013-08-02 16:05:45.270597	2013-08-03 18:38:20.202303
21185	7	2013-08-02 16:05:45.439524	2013-08-03 18:38:20.223836
21343	2	2013-08-02 16:05:45.814894	2013-08-03 17:35:02.430116
21272	21	2013-08-02 16:05:45.632803	2013-08-03 19:07:36.199314
21252	21	2013-08-02 16:05:45.601592	2013-08-03 19:07:36.201815
21231	21	2013-08-02 16:05:45.556415	2013-08-04 02:10:49.67362
21202	2	2013-08-02 16:05:45.480394	2013-08-02 16:05:45.480394
21232	21	2013-08-02 16:05:45.558475	2013-08-03 19:07:36.203661
21204	4	2013-08-02 16:05:45.485851	2013-08-02 16:05:45.485851
21212	21	2013-08-02 16:05:45.508142	2013-08-03 19:07:36.204567
21211	21	2013-08-02 16:05:45.505632	2013-08-04 02:10:49.676316
21207	7	2013-08-02 16:05:45.495024	2013-08-02 16:05:45.495024
21323	2	2013-08-02 16:05:45.763317	2013-08-03 17:35:02.440206
21325	21	2013-08-02 16:05:45.768616	2013-08-04 02:15:49.76684
16592	4	2013-08-02 16:05:35.835588	2013-08-04 17:07:42.894173
21217	21	2013-08-02 16:05:45.521676	2013-08-04 02:15:49.767781
21214	14	2013-08-02 16:05:45.513568	2013-08-02 16:05:45.513568
21292	7	2013-08-02 16:05:45.680893	2013-08-03 19:08:43.806777
21303	2	2013-08-02 16:05:45.71058	2013-08-03 17:35:02.450578
21351	21	2013-08-02 16:05:45.835083	2013-08-04 02:15:49.76937
21237	21	2013-08-02 16:05:45.569689	2013-08-03 21:04:19.922913
21206	21	2013-08-02 16:05:45.492279	2013-08-03 23:29:39.483402
21222	2	2013-08-02 16:05:45.535134	2013-08-02 16:05:45.535134
21352	4	2013-08-02 16:05:45.837743	2013-08-03 19:08:43.818161
21224	4	2013-08-02 16:05:45.540459	2013-08-02 16:05:45.540459
21350	21	2013-08-02 16:05:45.832412	2013-08-03 21:04:19.926686
21313	21	2013-08-02 16:05:45.737311	2013-08-04 02:15:49.771448
21227	7	2013-08-02 16:05:45.550444	2013-08-02 16:05:45.550444
21283	2	2013-08-02 16:05:45.657061	2013-08-03 17:35:02.460991
12899	14	2013-08-02 16:05:28.962852	2013-08-03 23:31:52.90247
21330	21	2013-08-02 16:05:45.782009	2013-08-03 21:04:19.929959
21285	7	2013-08-02 16:05:45.662445	2013-08-04 17:58:54.477514
21234	14	2013-08-02 16:05:45.563541	2013-08-02 16:05:45.563541
21300	2	2013-08-02 16:05:45.702553	2013-08-03 19:08:43.825058
21289	14	2013-08-02 16:05:45.672916	2013-08-04 20:39:31.986882
21263	2	2013-08-02 16:05:45.616653	2013-08-03 17:35:02.471299
21197	2	2013-08-02 16:05:45.466339	2013-08-03 19:12:34.743018
43612	21	2013-08-02 16:06:36.225652	2013-08-03 23:31:52.961942
21242	2	2013-08-02 16:05:45.578746	2013-08-02 16:05:45.578746
21244	4	2013-08-02 16:05:45.583896	2013-08-02 16:05:45.583896
21295	21	2013-08-02 16:05:45.688892	2013-08-03 21:04:19.933139
21275	14	2013-08-02 16:05:45.638625	2013-08-04 02:15:49.826992
21247	7	2013-08-02 16:05:45.590306	2013-08-02 16:05:45.590306
21243	2	2013-08-02 16:05:45.581248	2013-08-03 17:35:02.481665
12919	21	2013-08-02 16:05:28.985096	2013-08-03 23:31:52.963252
21310	21	2013-08-02 16:05:45.729274	2013-08-03 21:04:19.936307
21256	4	2013-08-02 16:05:45.606709	2013-08-04 17:58:54.481427
21254	14	2013-08-02 16:05:45.604847	2013-08-02 16:05:45.604847
21315	21	2013-08-02 16:05:45.742673	2013-08-04 20:39:50.479331
21223	2	2013-08-02 16:05:45.537784	2013-08-03 17:35:02.491822
1219	21	2013-08-02 16:05:06.105991	2013-08-03 23:31:52.970421
21309	2	2013-08-02 16:05:45.72662	2013-08-04 20:42:23.874946
21041	14	2013-08-02 16:05:45.26542	2013-08-03 23:31:52.991452
21262	2	2013-08-02 16:05:45.615201	2013-08-02 16:05:45.615201
21290	21	2013-08-02 16:05:45.675526	2013-08-03 21:04:19.939371
21264	4	2013-08-02 16:05:45.6186	2013-08-02 16:05:45.6186
46543	7	2013-08-02 16:06:42.931097	2013-08-03 19:58:22.834324
21276	2	2013-08-02 16:05:45.640837	2013-08-04 17:58:54.484257
21267	7	2013-08-02 16:05:45.623439	2013-08-02 16:05:45.623439
21203	2	2013-08-02 16:05:45.483167	2013-08-03 17:35:02.502492
21196	14	2013-08-02 16:05:45.463474	2013-08-04 20:42:25.568742
21236	21	2013-08-02 16:05:45.568833	2013-08-04 18:01:49.837743
21270	4	2013-08-02 16:05:45.62953	2013-08-03 21:04:19.956349
21230	4	2013-08-02 16:05:45.555291	2013-08-04 20:42:25.968309
21274	14	2013-08-02 16:05:45.636332	2013-08-02 16:05:45.636332
21331	2	2013-08-02 16:05:45.784723	2013-08-04 02:15:50.282759
21249	4	2013-08-02 16:05:45.595524	2013-08-04 20:42:25.97315
46523	4	2013-08-02 16:06:42.90401	2013-08-03 20:03:52.168356
37335	14	2013-08-02 16:06:22.271863	2013-08-03 23:31:53.040521
21291	4	2013-08-02 16:05:45.678206	2013-08-04 02:15:50.748404
21282	2	2013-08-02 16:05:45.654422	2013-08-02 16:05:45.654422
19019	4	2013-08-02 16:05:40.889045	2013-08-04 02:30:53.561088
21284	4	2013-08-02 16:05:45.659728	2013-08-02 16:05:45.659728
37055	7	2013-08-02 16:06:21.862704	2013-08-03 23:31:53.052554
19419	2	2013-08-02 16:05:42.008262	2013-08-04 02:30:53.599707
21287	7	2013-08-02 16:05:45.66778	2013-08-02 16:05:45.66778
21235	2	2013-08-02 16:05:45.566396	2013-08-03 17:58:45.58165
19346	2	2013-08-02 16:05:41.722308	2013-08-04 02:30:53.607377
21251	14	2013-08-02 16:05:45.600776	2013-08-04 18:01:50.563824
16532	14	2013-08-02 16:05:35.689057	2013-08-03 21:06:14.893416
19399	2	2013-08-02 16:05:41.982193	2013-08-04 02:30:53.618007
21294	14	2013-08-02 16:05:45.686232	2013-08-02 16:05:45.686232
4239	7	2013-08-02 16:05:12.245894	2013-08-04 20:47:30.901803
3078	2	2013-08-02 16:05:09.557372	2013-08-03 23:31:53.058241
19379	2	2013-08-02 16:05:41.801219	2013-08-04 02:30:53.629001
46703	6	2013-08-02 16:06:43.352371	2013-08-08 01:03:06.326388
41783	7	2013-08-02 16:06:32.014391	2013-08-03 23:34:27.817519
15618	21	2013-08-02 16:05:33.903535	2013-08-03 23:34:28.101467
21302	2	2013-08-02 16:05:45.707904	2013-08-02 16:05:45.707904
19359	2	2013-08-02 16:05:41.753566	2013-08-04 02:30:53.640499
21304	4	2013-08-02 16:05:45.713249	2013-08-02 16:05:45.713249
21345	14	2013-08-02 16:05:45.819766	2013-08-03 23:42:07.219605
19450	2	2013-08-02 16:05:42.054881	2013-08-04 02:30:53.652974
21307	7	2013-08-02 16:05:45.721262	2013-08-02 16:05:45.721262
21216	2	2013-08-02 16:05:45.518957	2013-08-04 18:01:50.69055
21233	21	2013-08-02 16:05:45.561117	2013-08-03 23:44:25.747644
21213	21	2013-08-02 16:05:45.510807	2013-08-03 23:44:25.749398
19339	2	2013-08-02 16:05:41.705215	2013-08-04 02:30:53.664556
21314	14	2013-08-02 16:05:45.739996	2013-08-02 16:05:45.739996
21333	21	2013-08-02 16:05:45.789693	2013-08-03 23:49:34.930026
17006	6	2013-08-02 16:05:36.837959	2013-08-08 01:03:06.569673
19319	2	2013-08-02 16:05:41.651858	2013-08-04 02:30:53.675689
12831	14	2013-08-02 16:05:28.886112	2013-08-03 23:49:34.953699
12043	6	2013-08-02 16:05:27.098741	2013-08-08 01:03:06.571614
19953	2	2013-08-02 16:05:43.304267	2013-08-04 02:30:53.6869
28221	6	2013-08-02 16:06:01.511925	2013-08-08 01:03:06.600513
21322	2	2013-08-02 16:05:45.76081	2013-08-02 16:05:45.76081
19299	2	2013-08-02 16:05:41.599026	2013-08-04 02:30:53.698074
21324	4	2013-08-02 16:05:45.765922	2013-08-02 16:05:45.765922
46455	6	2013-08-02 16:06:42.487107	2013-08-08 01:03:06.603802
19258	2	2013-08-02 16:05:41.492499	2013-08-04 02:30:53.709816
21327	7	2013-08-02 16:05:45.773931	2013-08-02 16:05:45.773931
46423	4	2013-08-02 16:06:42.409999	2013-08-03 23:49:34.993826
21296	21	2013-08-02 16:05:45.691522	2013-08-04 18:02:38.573097
21293	21	2013-08-02 16:05:45.683564	2013-08-03 23:53:36.634419
19170	2	2013-08-02 16:05:41.263067	2013-08-04 02:30:53.721814
21334	14	2013-08-02 16:05:45.792094	2013-08-02 16:05:45.792094
21273	14	2013-08-02 16:05:45.63434	2013-08-04 18:06:50.409596
37679	6	2013-08-02 16:06:23.134077	2013-08-08 01:03:06.69496
30197	6	2013-08-02 16:06:05.797872	2013-08-08 01:03:06.750892
31910	2	2013-08-02 16:06:10.193852	2013-08-04 02:30:53.733102
38110	6	2013-08-02 16:06:24.376576	2013-08-08 01:03:06.804047
19279	2	2013-08-02 16:05:41.547725	2013-08-04 02:30:53.744372
19259	2	2013-08-02 16:05:41.494917	2013-08-04 02:30:53.754616
21342	2	2013-08-02 16:05:45.812403	2013-08-02 16:05:45.812403
21336	14	2013-08-02 16:05:45.797244	2013-08-04 18:06:50.420828
21344	4	2013-08-02 16:05:45.817378	2013-08-02 16:05:45.817378
21210	14	2013-08-02 16:05:45.502903	2013-08-04 18:06:50.432281
21316	14	2013-08-02 16:05:45.745381	2013-08-04 18:06:50.443756
21347	7	2013-08-02 16:05:45.824557	2013-08-02 16:05:45.824557
38398	6	2013-08-02 16:06:25.055325	2013-08-08 01:03:06.838074
38321	6	2013-08-02 16:06:24.8851	2013-08-08 01:03:06.84119
34443	6	2013-08-02 16:06:15.707499	2013-08-08 01:03:06.844191
34483	6	2013-08-02 16:06:15.81304	2013-08-08 01:03:06.877147
19268	6	2013-08-02 16:05:41.520041	2013-08-08 01:03:06.880075
9031	6	2013-08-02 16:05:21.311075	2013-08-08 01:03:06.88301
34403	6	2013-08-02 16:06:15.606027	2013-08-08 01:03:06.951712
16612	21	2013-08-02 16:05:35.885527	2013-08-03 18:02:17.184461
21297	7	2013-08-02 16:05:45.694198	2013-08-03 03:04:38.102858
34523	6	2013-08-02 16:06:15.905144	2013-08-08 01:03:06.954595
13971	6	2013-08-02 16:05:30.623234	2013-08-08 01:03:06.957285
16552	14	2013-08-02 16:05:35.737488	2013-08-03 18:02:17.248322
16512	4	2013-08-02 16:05:35.637236	2013-08-03 18:02:17.317222
21338	21	2013-08-02 16:05:45.802519	2013-08-03 18:07:21.362462
21280	21	2013-08-02 16:05:45.649476	2013-08-03 18:17:20.199534
21260	21	2013-08-02 16:05:45.612395	2013-08-03 18:17:20.203459
21240	21	2013-08-02 16:05:45.573806	2013-08-03 18:17:20.206987
21220	21	2013-08-02 16:05:45.529747	2013-08-03 18:17:20.210019
21200	21	2013-08-02 16:05:45.474972	2013-08-03 18:17:20.213109
21340	21	2013-08-02 16:05:45.807464	2013-08-03 18:22:16.243347
21320	21	2013-08-02 16:05:45.755611	2013-08-03 18:22:16.247069
21225	4	2013-08-02 16:05:45.543615	2013-08-03 18:38:20.230142
21265	2	2013-08-02 16:05:45.620511	2013-08-03 18:38:20.236299
21245	14	2013-08-02 16:05:45.586403	2013-08-03 18:38:20.280234
16572	14	2013-08-02 16:05:35.785717	2013-08-03 18:42:35.485846
21305	7	2013-08-02 16:05:45.715867	2013-08-03 18:42:35.531127
21411	21	2013-08-02 16:05:45.998772	2013-08-04 02:15:49.758404
21354	14	2013-08-02 16:05:45.843297	2013-08-02 16:05:45.843297
21472	4	2013-08-02 16:05:46.241177	2013-08-04 17:07:42.886244
21403	2	2013-08-02 16:05:45.977743	2013-08-03 17:35:02.413262
21477	2	2013-08-02 16:05:46.248577	2013-08-03 19:12:36.00356
21369	4	2013-08-02 16:05:45.882868	2013-08-04 20:39:31.998676
21391	21	2013-08-02 16:05:45.942292	2013-08-04 02:15:49.759944
21362	2	2013-08-02 16:05:45.864373	2013-08-02 16:05:45.864373
21364	4	2013-08-02 16:05:45.869438	2013-08-02 16:05:45.869438
21359	4	2013-08-02 16:05:45.85678	2013-08-04 17:07:42.890249
21371	21	2013-08-02 16:05:45.888149	2013-08-04 02:15:49.762546
21367	7	2013-08-02 16:05:45.877364	2013-08-02 16:05:45.877364
21383	2	2013-08-02 16:05:45.920632	2013-08-03 17:35:02.417685
21452	21	2013-08-02 16:05:46.216808	2013-08-04 02:15:49.764465
21445	2	2013-08-02 16:05:46.080195	2013-08-04 17:07:42.975597
21401	21	2013-08-02 16:05:45.972597	2013-08-03 20:42:28.957464
3835	21	2013-08-02 16:05:11.350096	2013-08-04 02:15:49.765808
21374	14	2013-08-02 16:05:45.896157	2013-08-02 16:05:45.896157
21432	4	2013-08-02 16:05:46.04568	2013-08-03 19:12:36.067427
21409	2	2013-08-02 16:05:45.993575	2013-08-04 20:39:32.001757
21363	2	2013-08-02 16:05:45.866837	2013-08-03 17:35:02.421996
21412	21	2013-08-02 16:05:46.00142	2013-08-03 20:42:28.959446
21480	4	2013-08-02 16:05:46.253382	2013-08-04 02:15:51.497278
21429	21	2013-08-02 16:05:46.037416	2013-08-04 20:39:32.127976
21382	2	2013-08-02 16:05:45.917953	2013-08-02 16:05:45.917953
21389	2	2013-08-02 16:05:45.936967	2013-08-04 20:42:23.176295
21384	4	2013-08-02 16:05:45.92326	2013-08-02 16:05:45.92326
21433	21	2013-08-02 16:05:46.048353	2013-08-03 23:49:34.921739
16492	4	2013-08-02 16:05:35.584706	2013-08-04 02:15:51.50287
21387	7	2013-08-02 16:05:45.931584	2013-08-02 16:05:45.931584
21498	2	2013-08-02 16:05:46.283335	2013-08-03 19:50:34.085149
16790	21	2013-08-02 16:05:36.281374	2013-08-03 23:49:34.923162
29066	4	2013-08-02 16:06:02.958087	2013-08-04 17:21:53.624897
21492	21	2013-08-02 16:05:46.272947	2013-08-04 20:42:23.236781
21491	4	2013-08-02 16:05:46.271107	2013-08-04 02:15:51.507324
21394	14	2013-08-02 16:05:45.951888	2013-08-02 16:05:45.951888
21413	21	2013-08-02 16:05:46.00413	2013-08-03 23:49:34.924196
21509	2	2013-08-02 16:05:46.304688	2013-08-04 20:42:25.350539
18446	4	2013-08-02 16:05:39.565313	2013-08-04 02:15:51.512812
21393	21	2013-08-02 16:05:45.94824	2013-08-03 23:49:34.925104
18475	2	2013-08-02 16:05:39.620109	2013-08-04 20:42:25.355452
46603	4	2013-08-02 16:06:43.088846	2013-08-03 19:58:22.845481
21373	21	2013-08-02 16:05:45.893512	2013-08-03 23:49:34.925991
21402	2	2013-08-02 16:05:45.975229	2013-08-02 16:05:45.975229
46623	2	2013-08-02 16:06:43.140865	2013-08-03 19:58:22.849255
21404	4	2013-08-02 16:05:45.980356	2013-08-02 16:05:45.980356
21366	21	2013-08-02 16:05:45.874777	2013-08-03 23:49:34.926937
21471	4	2013-08-02 16:05:46.239748	2013-08-04 02:15:51.517979
21407	7	2013-08-02 16:05:45.988189	2013-08-02 16:05:45.988189
21489	2	2013-08-02 16:05:46.267635	2013-08-04 20:42:25.3589
21353	21	2013-08-02 16:05:45.840402	2013-08-03 23:49:34.927799
29046	4	2013-08-02 16:06:02.906582	2013-08-04 17:21:53.629526
21461	14	2013-08-02 16:05:46.226798	2013-08-03 20:43:09.815426
21451	4	2013-08-02 16:05:46.21568	2013-08-04 02:15:51.523038
21414	14	2013-08-02 16:05:46.006824	2013-08-02 16:05:46.006824
21469	2	2013-08-02 16:05:46.237163	2013-08-04 20:42:25.362595
21449	2	2013-08-02 16:05:46.091104	2013-08-04 20:42:25.366614
44703	6	2013-08-02 16:06:39.143844	2013-08-08 01:03:07.006521
16735	14	2013-08-02 16:05:36.135196	2013-08-03 19:58:22.899854
39261	6	2013-08-02 16:06:26.840726	2013-08-08 01:03:07.059624
21500	4	2013-08-02 16:05:46.287176	2013-08-04 02:15:51.526876
21493	21	2013-08-02 16:05:46.274644	2013-08-03 23:55:31.290626
21422	2	2013-08-02 16:05:46.018893	2013-08-02 16:05:46.018893
19257	2	2013-08-02 16:05:41.490077	2013-08-04 02:30:53.764352
21424	4	2013-08-02 16:05:46.02434	2013-08-02 16:05:46.02434
19173	2	2013-08-02 16:05:41.26959	2013-08-04 02:30:53.77595
19239	2	2013-08-02 16:05:41.443474	2013-08-04 02:30:53.787567
21427	7	2013-08-02 16:05:46.032254	2013-08-02 16:05:46.032254
38030	6	2013-08-02 16:06:24.184671	2013-08-08 01:03:07.110934
38070	6	2013-08-02 16:06:24.279877	2013-08-08 01:03:07.158242
28937	2	2013-08-02 16:06:02.705923	2013-08-04 17:21:53.639556
30757	6	2013-08-02 16:06:07.183053	2013-08-08 01:03:07.206501
19241	2	2013-08-02 16:05:41.44885	2013-08-04 02:30:53.798789
21434	14	2013-08-02 16:05:46.05104	2013-08-02 16:05:46.05104
37555	6	2013-08-02 16:06:22.831894	2013-08-08 01:03:07.267471
37545	6	2013-08-02 16:06:22.806002	2013-08-08 01:03:07.329572
21483	14	2013-08-02 16:05:46.25805	2013-08-03 17:42:23.913242
21450	14	2013-08-02 16:05:46.214428	2013-08-03 21:05:54.864455
2580	6	2013-08-02 16:05:08.925249	2013-08-08 01:03:07.383882
20938	2	2013-08-02 16:05:45.132353	2013-08-04 02:30:53.860077
28985	2	2013-08-02 16:06:02.765327	2013-08-04 17:21:53.645556
21442	2	2013-08-02 16:05:46.072068	2013-08-02 16:05:46.072068
21473	21	2013-08-02 16:05:46.24256	2013-08-03 23:58:25.946414
21444	4	2013-08-02 16:05:46.077477	2013-08-02 16:05:46.077477
28960	2	2013-08-02 16:06:02.729332	2013-08-04 17:21:53.65211
29026	2	2013-08-02 16:06:02.854494	2013-08-04 17:21:53.662354
21447	7	2013-08-02 16:05:46.085654	2013-08-02 16:05:46.085654
21355	7	2013-08-02 16:05:45.846008	2013-08-03 17:59:05.655399
22346	6	2013-08-02 16:05:48.508502	2013-08-08 01:03:07.435556
14539	2	2013-08-02 16:05:32.086121	2013-08-04 17:21:53.674719
21430	21	2013-08-02 16:05:46.04022	2013-08-03 21:06:14.97176
31083	21	2013-08-02 16:06:07.989193	2013-08-04 02:33:55.540583
21454	14	2013-08-02 16:05:46.21902	2013-08-02 16:05:46.21902
29006	2	2013-08-02 16:06:02.802785	2013-08-04 17:21:53.684738
8701	6	2013-08-02 16:05:20.525415	2013-08-08 01:03:07.512871
14832	21	2013-08-02 16:05:32.702337	2013-08-04 02:35:40.881422
21490	21	2013-08-02 16:05:46.26934	2013-08-03 21:11:12.144111
8681	6	2013-08-02 16:05:20.477342	2013-08-08 01:03:07.55917
18426	14	2013-08-02 16:05:39.537125	2013-08-04 00:00:22.904668
6703	2	2013-08-02 16:05:16.823057	2013-08-04 02:35:41.38752
21462	2	2013-08-02 16:05:46.228079	2013-08-02 16:05:46.228079
21390	2	2013-08-02 16:05:45.939607	2013-08-03 21:25:17.780018
21464	4	2013-08-02 16:05:46.230667	2013-08-02 16:05:46.230667
21421	21	2013-08-02 16:05:46.0162	2013-08-03 21:30:23.21103
14728	4	2013-08-02 16:05:32.47857	2013-08-04 02:35:41.756655
21467	7	2013-08-02 16:05:46.234666	2013-08-02 16:05:46.234666
26406	4	2013-08-02 16:05:57.00396	2013-08-04 02:35:41.767704
28986	2	2013-08-02 16:06:02.766677	2013-08-04 17:21:53.69506
28966	2	2013-08-02 16:06:02.736521	2013-08-04 17:21:53.706692
33861	6	2013-08-02 16:06:14.494234	2013-08-08 01:03:07.562176
28918	2	2013-08-02 16:06:02.502575	2013-08-04 17:21:53.718932
21474	14	2013-08-02 16:05:46.243973	2013-08-02 16:05:46.243973
49603	4	2013-08-02 16:06:49.632607	2013-08-04 17:21:53.835991
28332	6	2013-08-02 16:06:01.640045	2013-08-08 01:03:08.209665
21415	4	2013-08-02 16:05:46.008939	2013-08-03 17:59:05.65973
8011	14	2013-08-02 16:05:18.860632	2013-08-03 21:30:42.489772
38821	6	2013-08-02 16:06:26.076142	2013-08-08 01:03:08.303688
2707	4	2013-08-02 16:05:09.088937	2013-08-04 17:21:53.914189
44721	4	2013-08-02 16:06:39.192501	2013-08-04 17:21:53.923012
21482	2	2013-08-02 16:05:46.256469	2013-08-02 16:05:46.256469
2745	21	2013-08-02 16:05:09.127314	2013-08-04 17:21:53.93266
21484	4	2013-08-02 16:05:46.25966	2013-08-02 16:05:46.25966
2700	4	2013-08-02 16:05:09.082677	2013-08-04 17:21:53.943323
5726	4	2013-08-02 16:05:14.490696	2013-08-04 17:21:53.954211
21487	7	2013-08-02 16:05:46.264271	2013-08-02 16:05:46.264271
2825	4	2013-08-02 16:05:09.20806	2013-08-04 17:21:53.964422
21465	14	2013-08-02 16:05:46.232028	2013-08-04 18:11:50.074132
21494	14	2013-08-02 16:05:46.276372	2013-08-02 16:05:46.276372
21455	2	2013-08-02 16:05:46.220148	2013-08-03 17:59:05.662525
21502	2	2013-08-02 16:05:46.290879	2013-08-02 16:05:46.290879
21504	4	2013-08-02 16:05:46.294592	2013-08-02 16:05:46.294592
21507	7	2013-08-02 16:05:46.30019	2013-08-02 16:05:46.30019
21357	4	2013-08-02 16:05:45.851386	2013-08-03 03:04:38.118089
21428	4	2013-08-02 16:05:46.034739	2013-08-03 03:06:21.494367
21468	2	2013-08-02 16:05:46.235832	2013-08-03 03:06:21.501433
21508	21	2013-08-02 16:05:46.302175	2013-08-03 03:09:47.579198
21437	14	2013-08-02 16:05:46.059	2013-08-03 03:09:48.67963
21495	14	2013-08-02 16:05:46.278058	2013-08-03 18:02:15.01933
22148	7	2013-08-02 16:05:47.918308	2013-08-03 18:02:17.410845
6511	7	2013-08-02 16:05:16.323691	2013-08-03 18:02:17.68587
21378	21	2013-08-02 16:05:45.907278	2013-08-03 18:07:21.355897
21358	21	2013-08-02 16:05:45.854066	2013-08-03 18:07:21.359351
21478	14	2013-08-02 16:05:46.250201	2013-08-03 18:12:27.239378
21460	21	2013-08-02 16:05:46.225511	2013-08-03 18:22:16.21705
21440	21	2013-08-02 16:05:46.066935	2013-08-03 18:22:16.221369
21420	21	2013-08-02 16:05:46.013511	2013-08-03 18:22:16.225715
21400	21	2013-08-02 16:05:45.969944	2013-08-03 18:22:16.229153
21443	21	2013-08-02 16:05:46.074776	2013-08-03 18:22:16.232661
21380	21	2013-08-02 16:05:45.912621	2013-08-03 18:22:16.236099
21408	21	2013-08-02 16:05:45.990898	2013-08-03 18:42:35.389366
21505	21	2013-08-02 16:05:46.296472	2013-08-03 18:42:35.390924
21485	21	2013-08-02 16:05:46.261202	2013-08-03 18:42:35.391823
21395	21	2013-08-02 16:05:45.954779	2013-08-03 18:42:35.392718
21425	4	2013-08-02 16:05:46.027087	2013-08-03 18:42:35.422723
21570	14	2013-08-02 16:05:46.377328	2013-08-03 22:29:28.062129
21639	4	2013-08-02 16:05:46.662447	2013-08-04 17:11:56.162212
21514	14	2013-08-02 16:05:46.312578	2013-08-02 16:05:46.312578
21652	21	2013-08-02 16:05:46.697195	2013-08-03 19:12:35.959504
21520	21	2013-08-02 16:05:46.321233	2013-08-04 20:42:25.20721
21523	14	2013-08-02 16:05:46.326134	2013-08-03 17:35:20.541623
21632	21	2013-08-02 16:05:46.643666	2013-08-03 19:12:35.961218
21649	7	2013-08-02 16:05:46.689163	2013-08-04 20:42:25.228034
21612	21	2013-08-02 16:05:46.60363	2013-08-03 19:12:35.962445
21541	2	2013-08-02 16:05:46.354177	2013-08-04 01:55:51.147206
21522	2	2013-08-02 16:05:46.32447	2013-08-02 16:05:46.32447
21592	21	2013-08-02 16:05:46.404945	2013-08-03 19:12:35.963845
21524	4	2013-08-02 16:05:46.327652	2013-08-02 16:05:46.327652
21572	21	2013-08-02 16:05:46.378845	2013-08-03 19:12:35.965315
21631	4	2013-08-02 16:05:46.641024	2013-08-04 02:15:51.44055
21527	7	2013-08-02 16:05:46.332409	2013-08-02 16:05:46.332409
18506	4	2013-08-02 16:05:39.665445	2013-08-04 02:15:51.446286
21611	4	2013-08-02 16:05:46.60252	2013-08-04 02:15:51.451148
21619	4	2013-08-02 16:05:46.6119	2013-08-04 17:11:56.173659
21591	4	2013-08-02 16:05:46.403243	2013-08-04 02:15:51.456018
21571	4	2013-08-02 16:05:46.378107	2013-08-04 02:15:51.460367
21534	14	2013-08-02 16:05:46.345111	2013-08-02 16:05:46.345111
21552	21	2013-08-02 16:05:46.364446	2013-08-03 19:12:35.966801
21629	7	2013-08-02 16:05:46.635841	2013-08-04 20:42:25.239805
21551	4	2013-08-02 16:05:46.36369	2013-08-04 02:15:51.464665
21583	4	2013-08-02 16:05:46.388716	2013-08-04 02:15:51.46962
21609	7	2013-08-02 16:05:46.600281	2013-08-04 20:42:25.250585
21661	14	2013-08-02 16:05:46.720899	2013-08-03 20:43:29.430649
16657	4	2013-08-02 16:05:36.001418	2013-08-04 02:15:51.473711
21542	2	2013-08-02 16:05:46.356329	2013-08-02 16:05:46.356329
21599	4	2013-08-02 16:05:46.419696	2013-08-04 17:11:56.184593
21544	4	2013-08-02 16:05:46.358297	2013-08-02 16:05:46.358297
21605	14	2013-08-02 16:05:46.595707	2013-08-04 18:11:49.963534
21540	4	2013-08-02 16:05:46.351969	2013-08-04 02:15:51.478951
21547	7	2013-08-02 16:05:46.360764	2013-08-02 16:05:46.360764
21665	14	2013-08-02 16:05:46.731554	2013-08-04 18:11:49.969637
21531	4	2013-08-02 16:05:46.339205	2013-08-04 02:15:51.486595
21656	14	2013-08-02 16:05:46.707729	2013-08-04 18:11:49.974008
21511	4	2013-08-02 16:05:46.3092	2013-08-04 02:15:51.492278
21554	14	2013-08-02 16:05:46.365982	2013-08-02 16:05:46.365982
21651	7	2013-08-02 16:05:46.694519	2013-08-04 02:20:50.17342
21589	7	2013-08-02 16:05:46.400124	2013-08-04 20:42:25.26145
10379	7	2013-08-02 16:05:23.664369	2013-08-04 02:20:50.185186
16850	7	2013-08-02 16:05:36.439579	2013-08-04 20:42:25.272826
16903	4	2013-08-02 16:05:36.577661	2013-08-03 19:58:22.932444
26386	4	2013-08-02 16:05:56.961868	2013-08-04 02:35:41.778426
21562	2	2013-08-02 16:05:46.371603	2013-08-02 16:05:46.371603
14923	4	2013-08-02 16:05:32.926742	2013-08-04 02:35:41.822803
21564	4	2013-08-02 16:05:46.373022	2013-08-02 16:05:46.373022
16870	2	2013-08-02 16:05:36.489444	2013-08-03 19:58:22.939946
1959	4	2013-08-02 16:05:07.854884	2013-08-04 02:35:41.94724
21567	7	2013-08-02 16:05:46.375018	2013-08-02 16:05:46.375018
39223	4	2013-08-02 16:06:26.80013	2013-08-04 02:35:41.956471
21636	14	2013-08-02 16:05:46.654395	2013-08-04 18:11:49.978488
21550	7	2013-08-02 16:05:46.363022	2013-08-03 21:05:54.882929
1896	4	2013-08-02 16:05:07.713209	2013-08-04 02:35:41.966711
21574	14	2013-08-02 16:05:46.38023	2013-08-02 16:05:46.38023
1970	4	2013-08-02 16:05:07.881496	2013-08-04 02:35:41.977492
21569	7	2013-08-02 16:05:46.376557	2013-08-04 20:42:25.284226
25178	2	2013-08-02 16:05:54.197366	2013-08-04 02:35:42.11173
21623	7	2013-08-02 16:05:46.620215	2013-08-04 20:42:25.295077
21510	7	2013-08-02 16:05:46.307195	2013-08-04 20:42:25.305675
25128	2	2013-08-02 16:05:54.077574	2013-08-04 02:35:42.123084
21582	2	2013-08-02 16:05:46.386938	2013-08-02 16:05:46.386938
1697	4	2013-08-02 16:05:07.196711	2013-08-04 02:35:42.336574
21584	4	2013-08-02 16:05:46.390671	2013-08-02 16:05:46.390671
21590	4	2013-08-02 16:05:46.401726	2013-08-03 21:05:54.889128
22931	4	2013-08-02 16:05:49.898473	2013-08-04 02:35:42.50274
21587	7	2013-08-02 16:05:46.396882	2013-08-02 16:05:46.396882
21663	7	2013-08-02 16:05:46.726204	2013-08-03 17:35:20.562723
778	4	2013-08-02 16:05:05.218328	2013-08-04 02:35:42.534694
21526	14	2013-08-02 16:05:46.330884	2013-08-04 18:11:49.982207
21616	14	2013-08-02 16:05:46.607703	2013-08-04 18:11:49.985217
21610	14	2013-08-02 16:05:46.601408	2013-08-04 18:11:49.988494
21594	14	2013-08-02 16:05:46.409041	2013-08-02 16:05:46.409041
21630	2	2013-08-02 16:05:46.638413	2013-08-03 21:05:54.892619
21641	7	2013-08-02 16:05:46.667579	2013-08-04 20:42:25.317604
21643	4	2013-08-02 16:05:46.673002	2013-08-03 17:42:01.99734
21549	2	2013-08-02 16:05:46.362299	2013-08-04 20:42:25.327249
21529	2	2013-08-02 16:05:46.335826	2013-08-04 20:42:25.333277
21596	14	2013-08-02 16:05:46.41311	2013-08-04 18:11:49.992072
21576	14	2013-08-02 16:05:46.381596	2013-08-04 18:11:50.057701
21602	2	2013-08-02 16:05:46.427409	2013-08-02 16:05:46.427409
18486	7	2013-08-02 16:05:39.638842	2013-08-03 21:30:42.501208
21604	4	2013-08-02 16:05:46.594434	2013-08-02 16:05:46.594434
21556	14	2013-08-02 16:05:46.367381	2013-08-04 18:11:50.063404
8661	21	2013-08-02 16:05:20.426024	2013-08-08 01:03:08.310186
21607	7	2013-08-02 16:05:46.597988	2013-08-02 16:05:46.597988
21515	2	2013-08-02 16:05:46.313717	2013-08-03 17:59:16.919499
2708	14	2013-08-02 16:05:09.08981	2013-08-03 23:31:53.076351
47388	21	2013-08-02 16:06:44.908254	2013-08-08 01:03:08.316918
18526	4	2013-08-02 16:05:39.692658	2013-08-03 21:30:42.503849
2346	21	2013-08-02 16:05:08.643531	2013-08-08 01:03:08.319999
21614	14	2013-08-02 16:05:46.605728	2013-08-02 16:05:46.605728
18546	2	2013-08-02 16:05:39.728335	2013-08-03 21:30:42.506464
39298	6	2013-08-02 16:06:26.895933	2013-08-08 01:03:08.376267
38910	6	2013-08-02 16:06:26.21368	2013-08-08 01:03:08.433539
41743	21	2013-08-02 16:06:31.914926	2013-08-08 01:03:08.540465
47408	21	2013-08-02 16:06:44.930654	2013-08-08 01:03:08.546349
21546	21	2013-08-02 16:05:46.359944	2013-08-03 23:53:46.209468
21553	21	2013-08-02 16:05:46.365205	2013-08-03 23:55:31.275361
21622	2	2013-08-02 16:05:46.617623	2013-08-02 16:05:46.617623
21530	21	2013-08-02 16:05:46.337525	2013-08-03 23:55:31.277964
21624	4	2013-08-02 16:05:46.623007	2013-08-02 16:05:46.623007
14797	21	2013-08-02 16:05:32.62186	2013-08-08 01:03:08.549526
22533	6	2013-08-02 16:05:48.95336	2013-08-08 01:03:08.583335
21627	7	2013-08-02 16:05:46.630652	2013-08-02 16:05:46.630652
22188	7	2013-08-02 16:05:47.99068	2013-08-03 18:02:17.975311
21563	21	2013-08-02 16:05:46.372312	2013-08-03 23:55:31.280104
22550	6	2013-08-02 16:05:48.999508	2013-08-08 01:03:08.586352
21533	21	2013-08-02 16:05:46.343195	2013-08-03 23:55:31.28237
22513	6	2013-08-02 16:05:48.902932	2013-08-08 01:03:08.589072
21634	14	2013-08-02 16:05:46.649076	2013-08-02 16:05:46.649076
22493	6	2013-08-02 16:05:48.854632	2013-08-08 01:03:08.638396
22483	6	2013-08-02 16:05:48.82841	2013-08-08 01:03:08.691864
12076	2	2013-08-02 16:05:27.27398	2013-08-03 18:02:17.998528
21543	21	2013-08-02 16:05:46.357481	2013-08-03 23:55:31.284511
22473	6	2013-08-02 16:05:48.803525	2013-08-08 01:03:08.726188
21513	21	2013-08-02 16:05:46.311468	2013-08-03 23:55:31.287484
21642	2	2013-08-02 16:05:46.670287	2013-08-02 16:05:46.670287
40623	21	2013-08-02 16:06:28.993704	2013-08-03 21:37:44.519169
21644	4	2013-08-02 16:05:46.675666	2013-08-02 16:05:46.675666
21653	2	2013-08-02 16:05:46.699847	2013-08-04 00:00:22.651468
21647	7	2013-08-02 16:05:46.683754	2013-08-02 16:05:46.683754
12056	2	2013-08-02 16:05:27.132194	2013-08-03 18:02:18.009169
21633	14	2013-08-02 16:05:46.646397	2013-08-04 00:00:22.664586
21654	14	2013-08-02 16:05:46.702541	2013-08-02 16:05:46.702541
12036	2	2013-08-02 16:05:27.079677	2013-08-03 18:02:18.020696
21662	2	2013-08-02 16:05:46.723512	2013-08-02 16:05:46.723512
21664	4	2013-08-02 16:05:46.72891	2013-08-02 16:05:46.72891
21600	14	2013-08-02 16:05:46.422315	2013-08-04 00:05:40.39126
12016	2	2013-08-02 16:05:27.03065	2013-08-03 18:02:18.026989
11996	2	2013-08-02 16:05:26.980582	2013-08-03 18:02:18.032668
12020	2	2013-08-02 16:05:27.040664	2013-08-03 18:02:18.037031
11976	2	2013-08-02 16:05:26.927752	2013-08-03 18:02:18.042321
11956	2	2013-08-02 16:05:26.874485	2013-08-03 18:02:18.050334
3084	2	2013-08-02 16:05:09.564432	2013-08-03 18:02:18.166291
20518	21	2013-08-02 16:05:44.416953	2013-08-03 18:02:18.199829
20458	14	2013-08-02 16:05:44.356505	2013-08-03 18:02:18.2538
21658	21	2013-08-02 16:05:46.71307	2013-08-03 18:12:27.13417
21638	21	2013-08-02 16:05:46.659773	2013-08-03 18:12:27.13711
21618	21	2013-08-02 16:05:46.610473	2013-08-03 18:12:27.14019
21598	21	2013-08-02 16:05:46.417151	2013-08-03 18:12:27.143263
21578	21	2013-08-02 16:05:46.382932	2013-08-03 18:12:27.146577
21560	7	2013-08-02 16:05:46.370212	2013-08-03 18:23:21.268874
21620	4	2013-08-02 16:05:46.61328	2013-08-03 18:23:21.2728
21660	2	2013-08-02 16:05:46.718363	2013-08-03 18:23:21.275432
21585	21	2013-08-02 16:05:46.392633	2013-08-03 18:42:35.382533
21565	21	2013-08-02 16:05:46.373701	2013-08-03 18:42:35.38377
21545	21	2013-08-02 16:05:46.359155	2013-08-03 18:42:35.384843
21525	21	2013-08-02 16:05:46.329285	2013-08-03 18:42:35.387402
20478	14	2013-08-02 16:05:44.378354	2013-08-03 18:43:05.464225
21645	4	2013-08-02 16:05:46.678339	2013-08-03 18:43:41.08584
21667	7	2013-08-02 16:05:46.736869	2013-08-02 16:05:46.736869
21750	14	2013-08-02 16:05:46.939714	2013-08-03 22:29:28.055357
21791	14	2013-08-02 16:05:47.042764	2013-08-04 18:11:49.921528
21696	14	2013-08-02 16:05:46.809546	2013-08-04 18:11:49.933406
43615	2	2013-08-02 16:06:36.232923	2013-08-04 01:55:51.135054
21674	14	2013-08-02 16:05:46.75577	2013-08-02 16:05:46.75577
21777	21	2013-08-02 16:05:47.008935	2013-08-03 19:22:38.352352
21712	21	2013-08-02 16:05:46.848511	2013-08-03 19:22:38.356503
21692	21	2013-08-02 16:05:46.799988	2013-08-03 19:22:38.360082
21672	21	2013-08-02 16:05:46.750393	2013-08-03 19:22:38.363531
21676	14	2013-08-02 16:05:46.761118	2013-08-04 18:11:49.944791
21682	2	2013-08-02 16:05:46.775987	2013-08-02 16:05:46.775987
21685	14	2013-08-02 16:05:46.783206	2013-08-03 19:22:38.679666
21684	4	2013-08-02 16:05:46.780835	2013-08-02 16:05:46.780835
21812	14	2013-08-02 16:05:47.093373	2013-08-03 19:22:38.683701
21697	14	2013-08-02 16:05:46.811932	2013-08-04 18:11:49.956028
21687	7	2013-08-02 16:05:46.788015	2013-08-02 16:05:46.788015
21737	14	2013-08-02 16:05:46.908641	2013-08-03 17:03:17.120113
43535	4	2013-08-02 16:06:35.827799	2013-08-03 23:31:53.089361
21816	14	2013-08-02 16:05:47.102896	2013-08-04 18:17:51.524623
21694	14	2013-08-02 16:05:46.804797	2013-08-02 16:05:46.804797
21792	14	2013-08-02 16:05:47.045166	2013-08-03 19:22:38.687837
21749	14	2013-08-02 16:05:46.937348	2013-08-04 20:43:23.535686
21772	14	2013-08-02 16:05:46.996614	2013-08-03 19:22:38.691894
21760	21	2013-08-02 16:05:46.967659	2013-08-03 19:47:26.27797
21686	4	2013-08-02 16:05:46.785605	2013-08-03 23:45:52.039637
21702	2	2013-08-02 16:05:46.824187	2013-08-02 16:05:46.824187
21796	14	2013-08-02 16:05:47.054781	2013-08-04 18:17:51.535896
21704	4	2013-08-02 16:05:46.829125	2013-08-02 16:05:46.829125
21745	7	2013-08-02 16:05:46.927779	2013-08-03 19:57:23.844773
21707	7	2013-08-02 16:05:46.836276	2013-08-02 16:05:46.836276
21773	14	2013-08-02 16:05:46.998973	2013-08-04 18:17:51.546921
21776	14	2013-08-02 16:05:47.006359	2013-08-04 18:17:51.558599
21741	14	2013-08-02 16:05:46.918101	2013-08-04 18:17:51.570476
21683	14	2013-08-02 16:05:46.77843	2013-08-03 23:49:34.547989
21756	14	2013-08-02 16:05:46.95471	2013-08-04 18:17:51.582131
21714	14	2013-08-02 16:05:46.853474	2013-08-02 16:05:46.853474
36163	14	2013-08-02 16:06:20.051801	2013-08-04 18:17:51.594039
21709	21	2013-08-02 16:05:46.841121	2013-08-04 20:43:23.665391
21770	14	2013-08-02 16:05:46.991812	2013-08-03 23:53:56.957899
21730	21	2013-08-02 16:05:46.891928	2013-08-04 20:43:23.706919
43635	7	2013-08-02 16:06:36.284751	2013-08-03 19:58:23.104332
1954	2	2013-08-02 16:05:07.846146	2013-08-04 02:35:42.560972
21722	2	2013-08-02 16:05:46.872806	2013-08-02 16:05:46.872806
21690	14	2013-08-02 16:05:46.795228	2013-08-03 21:06:15.005618
21724	4	2013-08-02 16:05:46.877569	2013-08-02 16:05:46.877569
27153	2	2013-08-02 16:05:58.999615	2013-08-04 02:35:42.596597
27133	2	2013-08-02 16:05:58.946824	2013-08-04 02:35:42.601331
21727	7	2013-08-02 16:05:46.884795	2013-08-02 16:05:46.884795
27113	2	2013-08-02 16:05:58.89409	2013-08-04 02:35:42.605208
21746	7	2013-08-02 16:05:46.930198	2013-08-03 23:58:34.478868
21736	14	2013-08-02 16:05:46.906213	2013-08-04 18:17:51.606743
16770	14	2013-08-02 16:05:36.228449	2013-08-04 18:17:51.619
27090	2	2013-08-02 16:05:58.837041	2013-08-04 02:35:42.609198
21734	14	2013-08-02 16:05:46.901484	2013-08-02 16:05:46.901484
21669	21	2013-08-02 16:05:46.742334	2013-08-04 20:43:48.228645
21723	4	2013-08-02 16:05:46.875187	2013-08-03 17:35:20.571767
21729	21	2013-08-02 16:05:46.889558	2013-08-04 20:43:48.254633
21710	21	2013-08-02 16:05:46.843501	2013-08-04 00:00:22.614381
21742	2	2013-08-02 16:05:46.920469	2013-08-02 16:05:46.920469
27093	2	2013-08-02 16:05:58.844307	2013-08-04 02:35:42.614195
21744	4	2013-08-02 16:05:46.925272	2013-08-02 16:05:46.925272
21817	7	2013-08-02 16:05:47.105277	2013-08-03 21:06:15.014919
21603	2	2013-08-02 16:05:46.429885	2013-08-04 02:35:42.619436
21747	7	2013-08-02 16:05:46.932589	2013-08-02 16:05:46.932589
21716	14	2013-08-02 16:05:46.8583	2013-08-04 18:17:51.63066
21766	21	2013-08-02 16:05:46.982269	2013-08-04 00:00:22.61646
21771	14	2013-08-02 16:05:46.994237	2013-08-04 18:17:51.642399
27073	2	2013-08-02 16:05:58.794887	2013-08-04 02:35:42.626019
27053	2	2013-08-02 16:05:58.742961	2013-08-04 02:35:42.633732
21754	14	2013-08-02 16:05:46.949294	2013-08-02 16:05:46.949294
36243	4	2013-08-02 16:06:20.237812	2013-08-03 20:02:26.971093
21789	2	2013-08-02 16:05:47.037912	2013-08-04 20:47:28.58467
21743	2	2013-08-02 16:05:46.922892	2013-08-03 17:35:20.574832
21713	21	2013-08-02 16:05:46.851056	2013-08-04 00:00:22.617792
21725	7	2013-08-02 16:05:46.879939	2013-08-04 20:47:30.051204
21810	4	2013-08-02 16:05:47.088519	2013-08-03 21:06:15.017815
21757	21	2013-08-02 16:05:46.958772	2013-08-04 00:00:22.619168
21762	2	2013-08-02 16:05:46.972593	2013-08-02 16:05:46.972593
21566	2	2013-08-02 16:05:46.374388	2013-08-04 02:35:42.643702
21764	4	2013-08-02 16:05:46.977422	2013-08-02 16:05:46.977422
21790	7	2013-08-02 16:05:47.04034	2013-08-03 21:09:20.603499
25630	2	2013-08-02 16:05:55.361938	2013-08-04 02:35:42.654754
21767	7	2013-08-02 16:05:46.984672	2013-08-02 16:05:46.984672
21693	21	2013-08-02 16:05:46.802431	2013-08-04 00:00:22.62037
21673	21	2013-08-02 16:05:46.753112	2013-08-04 00:00:22.621294
21809	7	2013-08-02 16:05:47.086151	2013-08-04 20:47:30.251204
21689	7	2013-08-02 16:05:46.79285	2013-08-04 20:47:30.890402
27033	2	2013-08-02 16:05:58.709753	2013-08-04 02:35:42.666464
21774	14	2013-08-02 16:05:47.001371	2013-08-02 16:05:47.001371
21670	21	2013-08-02 16:05:46.745046	2013-08-03 21:09:21.754999
27013	2	2013-08-02 16:05:58.663873	2013-08-04 02:35:42.679036
21769	21	2013-08-02 16:05:46.989446	2013-08-04 20:49:35.761861
22453	6	2013-08-02 16:05:48.754698	2013-08-08 01:03:08.729344
21813	14	2013-08-02 16:05:47.095735	2013-08-04 00:05:40.689165
21782	2	2013-08-02 16:05:47.020856	2013-08-02 16:05:47.020856
3601	4	2013-08-02 16:05:10.806002	2013-08-04 02:35:42.769666
21784	4	2013-08-02 16:05:47.025787	2013-08-02 16:05:47.025787
3592	4	2013-08-02 16:05:10.787784	2013-08-04 02:35:42.780808
3494	4	2013-08-02 16:05:10.535368	2013-08-04 02:35:42.791774
21787	7	2013-08-02 16:05:47.033159	2013-08-02 16:05:47.033159
21823	4	2013-08-02 16:05:47.119772	2013-08-03 17:42:01.090684
5277	6	2013-08-02 16:05:13.565168	2013-08-08 01:03:08.732497
27872	6	2013-08-02 16:06:00.830451	2013-08-08 01:03:08.766596
3490	4	2013-08-02 16:05:10.529189	2013-08-04 02:35:42.802875
3474	4	2013-08-02 16:05:10.507001	2013-08-04 02:35:42.814125
21794	14	2013-08-02 16:05:47.049971	2013-08-02 16:05:47.049971
18541	21	2013-08-02 16:05:39.72297	2013-08-03 21:30:42.779803
2414	6	2013-08-02 16:05:08.72411	2013-08-08 01:03:08.769718
21803	4	2013-08-02 16:05:47.071808	2013-08-03 17:42:01.096996
24670	21	2013-08-02 16:05:53.370351	2013-08-03 21:30:42.781007
16269	6	2013-08-02 16:05:34.998795	2013-08-08 01:03:08.772889
6004	21	2013-08-02 16:05:15.18208	2013-08-03 21:30:42.781876
21753	4	2013-08-02 16:05:46.946922	2013-08-04 00:05:40.805202
21802	2	2013-08-02 16:05:47.069437	2013-08-02 16:05:47.069437
3034	21	2013-08-02 16:05:09.495386	2013-08-03 21:30:42.812098
21804	4	2013-08-02 16:05:47.07419	2013-08-02 16:05:47.07419
18481	21	2013-08-02 16:05:39.63185	2013-08-03 21:30:42.812992
17470	4	2013-08-02 16:05:38.05604	2013-08-04 02:35:42.870268
21807	7	2013-08-02 16:05:47.081327	2013-08-02 16:05:47.081327
21783	4	2013-08-02 16:05:47.023208	2013-08-03 17:42:01.104198
3386	4	2013-08-02 16:05:10.25597	2013-08-04 02:35:42.88135
32877	6	2013-08-02 16:06:12.59552	2013-08-08 01:03:08.816857
18981	21	2013-08-02 16:05:40.797776	2013-08-03 21:30:42.813875
14279	6	2013-08-02 16:05:31.491234	2013-08-08 01:03:08.819987
21814	14	2013-08-02 16:05:47.098116	2013-08-02 16:05:47.098116
24521	21	2013-08-02 16:05:53.017313	2013-08-03 21:30:42.814804
6419	6	2013-08-02 16:05:16.09388	2013-08-08 01:03:08.863549
20503	14	2013-08-02 16:05:44.402397	2013-08-03 18:02:18.265006
6652	6	2013-08-02 16:05:16.689983	2013-08-08 01:03:08.866429
32777	6	2013-08-02 16:06:12.349469	2013-08-08 01:03:08.931522
1889	2	2013-08-02 16:05:07.702465	2013-08-03 21:31:02.093389
21793	21	2013-08-02 16:05:47.047542	2013-08-04 00:07:58.241183
21822	2	2013-08-02 16:05:47.117402	2013-08-02 16:05:47.117402
18617	2	2013-08-02 16:05:39.905833	2013-08-03 21:37:44.507149
286	21	2013-08-02 16:05:04.595204	2013-08-08 01:03:08.937946
15363	6	2013-08-02 16:05:33.652823	2013-08-08 01:03:08.987494
20398	2	2013-08-02 16:05:44.304047	2013-08-03 18:02:18.321248
2999	2	2013-08-02 16:05:09.453722	2013-08-03 18:02:18.332193
2176	6	2013-08-02 16:05:08.36753	2013-08-08 01:03:09.035365
4204	4	2013-08-02 16:05:12.201917	2013-08-03 18:02:18.400126
5659	6	2013-08-02 16:05:14.329124	2013-08-08 01:03:09.065794
21698	21	2013-08-02 16:05:46.814336	2013-08-03 18:12:27.130613
21678	21	2013-08-02 16:05:46.766312	2013-08-03 18:12:27.132353
21818	21	2013-08-02 16:05:47.107756	2013-08-03 18:17:19.206899
21798	21	2013-08-02 16:05:47.059526	2013-08-03 18:17:19.210161
21778	21	2013-08-02 16:05:47.011299	2013-08-03 18:17:19.21361
21758	21	2013-08-02 16:05:46.962289	2013-08-03 18:17:19.217103
21738	21	2013-08-02 16:05:46.911009	2013-08-03 18:17:19.220673
21718	21	2013-08-02 16:05:46.86322	2013-08-03 18:17:19.224213
2629	6	2013-08-02 16:05:08.977869	2013-08-08 01:03:09.068647
21820	2	2013-08-02 16:05:47.112654	2013-08-03 18:27:15.82572
21800	4	2013-08-02 16:05:47.064675	2013-08-03 18:27:15.840292
21765	7	2013-08-02 16:05:46.979833	2013-08-03 18:43:05.474933
21824	4	2013-08-02 16:05:47.122144	2013-08-02 16:05:47.122144
21972	2	2013-08-02 16:05:47.460014	2013-08-03 19:22:38.642603
21840	21	2013-08-02 16:05:47.160265	2013-08-04 00:10:39.012568
21827	7	2013-08-02 16:05:47.12938	2013-08-02 16:05:47.12938
21973	21	2013-08-02 16:05:47.462701	2013-08-04 00:10:39.013714
21856	14	2013-08-02 16:05:47.198244	2013-08-04 18:17:51.490823
21841	2	2013-08-02 16:05:47.162685	2013-08-03 20:43:29.4559
21953	21	2013-08-02 16:05:47.410129	2013-08-04 00:10:39.014648
21834	14	2013-08-02 16:05:47.146051	2013-08-02 16:05:47.146051
21952	2	2013-08-02 16:05:47.407576	2013-08-03 19:22:38.646883
21933	21	2013-08-02 16:05:47.377766	2013-08-04 00:10:39.015708
21932	2	2013-08-02 16:05:47.37613	2013-08-03 19:22:38.651209
21829	7	2013-08-02 16:05:47.13421	2013-08-04 20:43:23.558348
21912	2	2013-08-02 16:05:47.330716	2013-08-03 19:22:38.655713
21913	21	2013-08-02 16:05:47.333076	2013-08-04 00:10:39.016972
21842	2	2013-08-02 16:05:47.165049	2013-08-02 16:05:47.165049
21892	2	2013-08-02 16:05:47.283252	2013-08-03 19:22:38.659981
21844	4	2013-08-02 16:05:47.169757	2013-08-02 16:05:47.169757
21872	2	2013-08-02 16:05:47.23605	2013-08-03 19:22:38.664129
21926	21	2013-08-02 16:05:47.363867	2013-08-04 00:10:39.017994
21847	7	2013-08-02 16:05:47.176883	2013-08-02 16:05:47.176883
21957	2	2013-08-02 16:05:47.420284	2013-08-03 17:42:01.032292
45265	14	2013-08-02 16:06:40.142516	2013-08-04 18:17:51.502421
21831	21	2013-08-02 16:05:47.138959	2013-08-04 02:20:49.936953
21978	4	2013-08-02 16:05:47.476113	2013-08-04 02:20:51.961343
21854	14	2013-08-02 16:05:47.193504	2013-08-02 16:05:47.193504
21852	14	2013-08-02 16:05:47.188788	2013-08-03 19:22:38.671962
21943	2	2013-08-02 16:05:47.391884	2013-08-03 17:42:01.040192
36123	14	2013-08-02 16:06:19.952817	2013-08-03 19:58:42.160916
36023	4	2013-08-02 16:06:19.717391	2013-08-04 20:43:23.570243
21918	4	2013-08-02 16:05:47.344882	2013-08-04 02:20:51.971088
21971	4	2013-08-02 16:05:47.457238	2013-08-04 02:20:51.981997
21862	2	2013-08-02 16:05:47.212383	2013-08-02 16:05:47.212383
21864	4	2013-08-02 16:05:47.217087	2013-08-02 16:05:47.217087
21836	14	2013-08-02 16:05:47.150827	2013-08-04 18:17:51.513632
21951	4	2013-08-02 16:05:47.404946	2013-08-04 02:20:51.992915
21867	7	2013-08-02 16:05:47.224162	2013-08-02 16:05:47.224162
21877	7	2013-08-02 16:05:47.247886	2013-08-03 17:03:17.142096
21312	14	2013-08-02 16:05:45.734607	2013-08-03 23:31:53.115352
21889	2	2013-08-02 16:05:47.276158	2013-08-04 20:43:23.577776
24872	4	2013-08-02 16:05:53.616421	2013-08-04 02:20:52.003862
21931	4	2013-08-02 16:05:47.373722	2013-08-04 02:20:52.010334
21874	14	2013-08-02 16:05:47.240828	2013-08-02 16:05:47.240828
21911	4	2013-08-02 16:05:47.328321	2013-08-04 02:20:52.01416
21923	2	2013-08-02 16:05:47.356734	2013-08-03 17:42:01.046131
21869	21	2013-08-02 16:05:47.228932	2013-08-04 20:44:00.650114
36043	4	2013-08-02 16:06:19.770892	2013-08-04 02:20:52.020756
21882	2	2013-08-02 16:05:47.259633	2013-08-02 16:05:47.259633
35983	7	2013-08-02 16:06:19.611638	2013-08-03 19:58:42.167574
21884	4	2013-08-02 16:05:47.264356	2013-08-02 16:05:47.264356
21890	4	2013-08-02 16:05:47.278521	2013-08-04 02:20:52.027304
21887	7	2013-08-02 16:05:47.27143	2013-08-02 16:05:47.27143
3298	4	2013-08-02 16:05:10.068497	2013-08-04 02:35:42.893217
21906	14	2013-08-02 16:05:47.316587	2013-08-03 23:58:45.069928
3318	4	2013-08-02 16:05:10.104149	2013-08-04 02:35:42.902003
21894	14	2013-08-02 16:05:47.287917	2013-08-02 16:05:47.287917
36003	2	2013-08-02 16:06:19.664502	2013-08-03 20:03:52.170726
21903	2	2013-08-02 16:05:47.30949	2013-08-03 17:42:01.052745
21896	14	2013-08-02 16:05:47.292664	2013-08-04 18:19:17.443679
21902	2	2013-08-02 16:05:47.307111	2013-08-02 16:05:47.307111
3454	4	2013-08-02 16:05:10.427946	2013-08-04 02:35:42.906473
21904	4	2013-08-02 16:05:47.311844	2013-08-02 16:05:47.311844
21949	14	2013-08-02 16:05:47.399651	2013-08-04 20:44:09.037419
22161	4	2013-08-02 16:05:47.949367	2013-08-04 02:35:42.913947
21907	7	2013-08-02 16:05:47.318926	2013-08-02 16:05:47.318926
3315	4	2013-08-02 16:05:10.096438	2013-08-04 02:35:42.920681
21950	14	2013-08-02 16:05:47.402272	2013-08-03 21:29:21.032971
21914	14	2013-08-02 16:05:47.335433	2013-08-02 16:05:47.335433
21893	21	2013-08-02 16:05:47.285586	2013-08-04 00:05:40.670466
21883	2	2013-08-02 16:05:47.262007	2013-08-03 17:42:01.057826
21873	21	2013-08-02 16:05:47.238453	2013-08-04 00:05:40.674622
21970	21	2013-08-02 16:05:47.454552	2013-08-04 20:44:09.136138
36103	21	2013-08-02 16:06:19.92493	2013-08-04 00:05:40.678179
21853	21	2013-08-02 16:05:47.191148	2013-08-04 00:05:40.680562
21922	2	2013-08-02 16:05:47.354329	2013-08-02 16:05:47.354329
24801	14	2013-08-02 16:05:53.537368	2013-08-03 21:31:13.150935
21924	4	2013-08-02 16:05:47.359105	2013-08-02 16:05:47.359105
21865	21	2013-08-02 16:05:47.219438	2013-08-04 00:05:40.681596
38317	4	2013-08-02 16:06:24.874793	2013-08-04 02:35:43.146518
21927	7	2013-08-02 16:05:47.365254	2013-08-02 16:05:47.365254
21937	4	2013-08-02 16:05:47.382933	2013-08-03 17:03:17.151468
21833	21	2013-08-02 16:05:47.143687	2013-08-04 00:05:40.682515
21929	21	2013-08-02 16:05:47.36891	2013-08-04 20:44:09.162491
21916	21	2013-08-02 16:05:47.340158	2013-08-04 18:19:28.682717
21934	14	2013-08-02 16:05:47.379006	2013-08-02 16:05:47.379006
21897	14	2013-08-02 16:05:47.295013	2013-08-04 00:07:39.078578
21849	21	2013-08-02 16:05:47.1816	2013-08-04 20:44:16.869354
21863	2	2013-08-02 16:05:47.214748	2013-08-03 17:42:01.064357
21956	21	2013-08-02 16:05:47.417707	2013-08-04 20:44:16.870534
38517	2	2013-08-02 16:06:25.495055	2013-08-04 02:35:43.468466
38530	2	2013-08-02 16:06:25.520779	2013-08-04 02:35:43.479312
21942	2	2013-08-02 16:05:47.390989	2013-08-02 16:05:47.390989
24921	7	2013-08-02 16:05:53.667155	2013-08-03 21:31:13.162776
21944	4	2013-08-02 16:05:47.392714	2013-08-02 16:05:47.392714
38497	2	2013-08-02 16:06:25.455045	2013-08-04 02:35:43.49034
19515	4	2013-08-02 16:05:42.200601	2013-08-04 02:35:43.592103
21947	7	2013-08-02 16:05:47.395875	2013-08-02 16:05:47.395875
19559	4	2013-08-02 16:05:42.304966	2013-08-04 02:35:43.596467
19539	4	2013-08-02 16:05:42.257708	2013-08-04 02:35:43.605712
24881	21	2013-08-02 16:05:53.625926	2013-08-04 20:44:16.922314
24841	21	2013-08-02 16:05:53.579082	2013-08-04 18:22:27.345692
21954	14	2013-08-02 16:05:47.412767	2013-08-02 16:05:47.412767
19519	4	2013-08-02 16:05:42.210087	2013-08-04 02:35:43.612693
21930	2	2013-08-02 16:05:47.371296	2013-08-04 20:47:27.523113
20898	21	2013-08-02 16:05:45.086749	2013-08-03 18:02:18.522174
19543	4	2013-08-02 16:05:42.267168	2013-08-04 02:35:43.61756
21837	2	2013-08-02 16:05:47.153193	2013-08-04 20:47:28.458228
21886	14	2013-08-02 16:05:47.269092	2013-08-04 18:22:29.033646
21876	2	2013-08-02 16:05:47.245552	2013-08-04 18:22:29.15558
21962	2	2013-08-02 16:05:47.433278	2013-08-02 16:05:47.433278
21958	14	2013-08-02 16:05:47.422816	2013-08-04 18:22:29.283485
21964	4	2013-08-02 16:05:47.438604	2013-08-02 16:05:47.438604
24941	21	2013-08-02 16:05:53.687852	2013-08-04 18:24:27.839794
21936	14	2013-08-02 16:05:47.380881	2013-08-04 18:27:20.052981
21967	7	2013-08-02 16:05:47.446558	2013-08-02 16:05:47.446558
21977	2	2013-08-02 16:05:47.473496	2013-08-03 17:03:17.157757
21895	2	2013-08-02 16:05:47.290288	2013-08-04 20:47:28.57962
21969	2	2013-08-02 16:05:47.451887	2013-08-04 20:47:29.10515
21910	7	2013-08-02 16:05:47.325986	2013-08-04 20:47:29.193294
21909	7	2013-08-02 16:05:47.323632	2013-08-04 20:47:30.878887
21974	14	2013-08-02 16:05:47.465391	2013-08-02 16:05:47.465391
32917	6	2013-08-02 16:06:12.687917	2013-08-08 01:03:09.071633
22405	6	2013-08-02 16:05:48.63147	2013-08-08 01:03:09.103958
20878	21	2013-08-02 16:05:45.070562	2013-08-03 18:02:18.524651
32857	6	2013-08-02 16:06:12.547427	2013-08-08 01:03:09.106986
84	6	2013-08-02 16:05:04.394269	2013-08-08 01:03:09.109898
28450	6	2013-08-02 16:06:01.759944	2013-08-08 01:03:09.13566
17336	6	2013-08-02 16:05:37.718737	2013-08-08 01:03:09.138755
20858	21	2013-08-02 16:05:44.890975	2013-08-03 18:02:18.526828
20838	21	2013-08-02 16:05:44.867898	2013-08-03 18:02:18.529456
20818	21	2013-08-02 16:05:44.84792	2013-08-03 18:02:18.532523
20798	21	2013-08-02 16:05:44.826795	2013-08-03 18:02:18.535567
20778	21	2013-08-02 16:05:44.807626	2013-08-03 18:02:18.538425
20758	21	2013-08-02 16:05:44.658092	2013-08-03 18:02:18.541204
35623	6	2013-08-02 16:06:18.830761	2013-08-08 01:03:09.14197
21935	7	2013-08-02 16:05:47.379929	2013-08-03 18:03:07.033014
39690	6	2013-08-02 16:06:27.55668	2013-08-08 01:03:09.178933
32897	6	2013-08-02 16:06:12.642906	2013-08-08 01:03:09.182165
34743	6	2013-08-02 16:06:16.4428	2013-08-08 01:03:09.185274
21938	4	2013-08-02 16:05:47.385393	2013-08-03 18:17:19.656245
29081	6	2013-08-02 16:06:02.997457	2013-08-08 01:03:09.235423
7729	6	2013-08-02 16:05:18.228079	2013-08-08 01:03:09.286261
21980	21	2013-08-02 16:05:47.481541	2013-08-03 18:27:15.792052
21960	21	2013-08-02 16:05:47.427889	2013-08-03 18:27:15.793824
21940	21	2013-08-02 16:05:47.389249	2013-08-03 18:27:15.795606
21920	21	2013-08-02 16:05:47.34957	2013-08-03 18:27:15.797469
21900	21	2013-08-02 16:05:47.302359	2013-08-03 18:27:15.798895
21880	21	2013-08-02 16:05:47.254926	2013-08-03 18:27:15.800419
21860	21	2013-08-02 16:05:47.20766	2013-08-03 18:27:15.801948
17758	6	2013-08-02 16:05:38.643048	2013-08-08 01:03:09.339099
21845	2	2013-08-02 16:05:47.17213	2013-08-03 18:43:05.479741
21965	14	2013-08-02 16:05:47.441275	2013-08-03 18:43:29.867972
21917	14	2013-08-02 16:05:47.342532	2013-08-03 18:43:49.35711
22117	21	2013-08-02 16:05:47.83945	2013-08-03 22:29:28.026187
21982	2	2013-08-02 16:05:47.486983	2013-08-02 16:05:47.486983
22052	21	2013-08-02 16:05:47.67281	2013-08-03 19:22:38.61734
21984	4	2013-08-02 16:05:47.491998	2013-08-02 16:05:47.491998
22032	2	2013-08-02 16:05:47.619236	2013-08-03 19:22:38.630173
21226	21	2013-08-02 16:05:45.547146	2013-08-04 00:10:39.010697
21987	7	2013-08-02 16:05:47.500002	2013-08-02 16:05:47.500002
25161	2	2013-08-02 16:05:54.157408	2013-08-04 17:16:53.318936
22133	21	2013-08-02 16:05:47.879204	2013-08-04 00:15:38.382956
22075	2	2013-08-02 16:05:47.732616	2013-08-04 17:16:53.329926
14771	21	2013-08-02 16:05:32.5652	2013-08-03 20:47:29.627605
22051	2	2013-08-02 16:05:47.670086	2013-08-04 17:16:53.340731
21994	14	2013-08-02 16:05:47.518469	2013-08-02 16:05:47.518469
22012	2	2013-08-02 16:05:47.566543	2013-08-03 19:22:38.634695
22083	21	2013-08-02 16:05:47.754022	2013-08-03 17:42:00.972836
21992	2	2013-08-02 16:05:47.513194	2013-08-03 19:22:38.638728
22071	2	2013-08-02 16:05:47.722526	2013-08-04 17:16:53.351558
22119	2	2013-08-02 16:05:47.844184	2013-08-04 17:16:53.362554
22002	2	2013-08-02 16:05:47.540001	2013-08-02 16:05:47.540001
20718	2	2013-08-02 16:05:44.61467	2013-08-04 17:16:53.373174
22004	4	2013-08-02 16:05:47.545517	2013-08-02 16:05:47.545517
21996	4	2013-08-02 16:05:47.523785	2013-08-04 18:19:17.467936
22113	21	2013-08-02 16:05:47.829959	2013-08-04 00:15:38.385792
22007	7	2013-08-02 16:05:47.553458	2013-08-02 16:05:47.553458
22110	21	2013-08-02 16:05:47.822885	2013-08-04 00:15:38.387324
22003	14	2013-08-02 16:05:47.542838	2013-08-04 00:04:13.975035
22041	21	2013-08-02 16:05:47.643238	2013-08-03 20:47:29.630162
22036	2	2013-08-02 16:05:47.629913	2013-08-04 18:19:17.470968
22014	14	2013-08-02 16:05:47.571887	2013-08-02 16:05:47.571887
22029	7	2013-08-02 16:05:47.61124	2013-08-04 20:44:09.060022
22093	21	2013-08-02 16:05:47.78057	2013-08-04 00:15:38.388531
22021	14	2013-08-02 16:05:47.590421	2013-08-03 20:47:29.639772
22038	7	2013-08-02 16:05:47.635226	2013-08-03 19:25:19.142934
22022	2	2013-08-02 16:05:47.593012	2013-08-02 16:05:47.593012
22056	14	2013-08-02 16:05:47.683517	2013-08-04 18:22:28.029074
22024	4	2013-08-02 16:05:47.597947	2013-08-02 16:05:47.597947
20698	21	2013-08-02 16:05:44.595285	2013-08-03 19:52:26.452803
22016	14	2013-08-02 16:05:47.577281	2013-08-04 18:22:28.079038
22027	7	2013-08-02 16:05:47.605891	2013-08-02 16:05:47.605891
22053	4	2013-08-02 16:05:47.675487	2013-08-04 00:15:38.415885
22095	14	2013-08-02 16:05:47.785817	2013-08-04 18:27:20.332931
25221	14	2013-08-02 16:05:54.302196	2013-08-04 18:27:20.337982
22136	14	2013-08-02 16:05:47.88724	2013-08-04 18:27:20.34256
22130	14	2013-08-02 16:05:47.870953	2013-08-04 18:27:20.350031
22034	14	2013-08-02 16:05:47.624588	2013-08-02 16:05:47.624588
22112	14	2013-08-02 16:05:47.827603	2013-08-04 18:27:20.355007
22121	4	2013-08-02 16:05:47.848999	2013-08-04 20:44:09.070613
20638	2	2013-08-02 16:05:44.537132	2013-08-03 19:57:23.833348
22069	2	2013-08-02 16:05:47.717197	2013-08-04 20:44:09.073915
22065	21	2013-08-02 16:05:47.706744	2013-08-03 19:57:24.070015
22116	14	2013-08-02 16:05:47.837101	2013-08-04 18:27:20.361506
22042	2	2013-08-02 16:05:47.645928	2013-08-02 16:05:47.645928
22013	14	2013-08-02 16:05:47.569219	2013-08-04 00:15:38.447568
22044	4	2013-08-02 16:05:47.651308	2013-08-02 16:05:47.651308
22096	2	2013-08-02 16:05:47.788474	2013-08-04 18:27:20.372903
43935	2	2013-08-02 16:06:36.997225	2013-08-04 18:27:20.377235
22047	7	2013-08-02 16:05:47.659354	2013-08-02 16:05:47.659354
21990	2	2013-08-02 16:05:47.507759	2013-08-04 18:27:20.380722
22086	21	2013-08-02 16:05:47.762021	2013-08-04 20:44:28.374844
43955	2	2013-08-02 16:06:37.028599	2013-08-04 20:47:27.545505
22054	14	2013-08-02 16:05:47.67817	2013-08-02 16:05:47.67817
7736	4	2013-08-02 16:05:18.234212	2013-08-03 19:58:42.170578
22049	2	2013-08-02 16:05:47.664721	2013-08-04 20:47:27.92765
22132	2	2013-08-02 16:05:47.876421	2013-08-04 20:47:28.444368
22089	7	2013-08-02 16:05:47.770012	2013-08-04 20:47:29.185617
22045	7	2013-08-02 16:05:47.653997	2013-08-04 20:47:29.911155
22033	21	2013-08-02 16:05:47.621894	2013-08-04 00:18:49.9139
22062	2	2013-08-02 16:05:47.698954	2013-08-02 16:05:47.698954
22046	21	2013-08-02 16:05:47.65671	2013-08-04 00:18:49.932324
22064	4	2013-08-02 16:05:47.704121	2013-08-02 16:05:47.704121
35963	7	2013-08-02 16:06:19.559539	2013-08-04 00:22:31.316369
22067	7	2013-08-02 16:05:47.711793	2013-08-02 16:05:47.711793
22129	7	2013-08-02 16:05:47.868522	2013-08-04 20:47:29.916999
22106	2	2013-08-02 16:05:47.813448	2013-08-04 01:55:51.111023
22109	7	2013-08-02 16:05:47.820497	2013-08-04 20:47:29.926401
22030	21	2013-08-02 16:05:47.613913	2013-08-03 21:09:20.930873
22009	7	2013-08-02 16:05:47.558793	2013-08-04 20:47:30.037096
22074	14	2013-08-02 16:05:47.729993	2013-08-02 16:05:47.729993
21986	2	2013-08-02 16:05:47.49731	2013-08-04 01:55:51.12318
21989	7	2013-08-02 16:05:47.505161	2013-08-04 20:47:30.240737
21983	4	2013-08-02 16:05:47.489634	2013-08-04 02:20:51.93355
22031	4	2013-08-02 16:05:47.616579	2013-08-04 02:20:51.93948
7549	6	2013-08-02 16:05:17.972426	2013-08-08 01:03:09.392497
39600	6	2013-08-02 16:06:27.332401	2013-08-08 01:03:09.499722
22011	4	2013-08-02 16:05:47.564074	2013-08-04 02:20:51.944158
22082	2	2013-08-02 16:05:47.751329	2013-08-02 16:05:47.751329
19781	6	2013-08-02 16:05:42.860241	2013-08-08 01:03:09.542612
22084	4	2013-08-02 16:05:47.756685	2013-08-02 16:05:47.756685
22092	4	2013-08-02 16:05:47.777923	2013-08-04 02:20:51.948018
21266	4	2013-08-02 16:05:45.622004	2013-08-04 02:20:51.95192
22087	7	2013-08-02 16:05:47.764715	2013-08-02 16:05:47.764715
22103	14	2013-08-02 16:05:47.806293	2013-08-03 17:42:44.128476
21991	4	2013-08-02 16:05:47.510514	2013-08-04 02:20:51.956182
16189	21	2013-08-02 16:05:34.800727	2013-08-08 01:03:09.547413
22353	6	2013-08-02 16:05:48.51562	2013-08-08 01:03:09.605286
16209	21	2013-08-02 16:05:34.848874	2013-08-08 01:03:09.611484
22094	14	2013-08-02 16:05:47.783199	2013-08-02 16:05:47.783199
22005	2	2013-08-02 16:05:47.548142	2013-08-04 02:25:48.770368
5191	6	2013-08-02 16:05:13.469038	2013-08-08 01:03:09.65869
20738	21	2013-08-02 16:05:44.636254	2013-08-03 18:02:18.544022
22090	14	2013-08-02 16:05:47.772597	2013-08-03 21:11:12.194301
19886	6	2013-08-02 16:05:43.132686	2013-08-08 01:03:09.707197
8687	6	2013-08-02 16:05:20.491532	2013-08-08 01:03:09.786799
22131	2	2013-08-02 16:05:47.873717	2013-08-04 02:25:48.78231
22102	2	2013-08-02 16:05:47.804027	2013-08-02 16:05:47.804027
47385	6	2013-08-02 16:06:44.905321	2013-08-08 01:03:09.790979
22104	4	2013-08-02 16:05:47.808717	2013-08-02 16:05:47.808717
8726	6	2013-08-02 16:05:20.584977	2013-08-08 01:03:09.836492
22107	7	2013-08-02 16:05:47.815787	2013-08-02 16:05:47.815787
22070	21	2013-08-02 16:05:47.719846	2013-08-03 21:11:12.257081
22114	14	2013-08-02 16:05:47.832322	2013-08-02 16:05:47.832322
22122	2	2013-08-02 16:05:47.851318	2013-08-02 16:05:47.851318
22101	14	2013-08-02 16:05:47.801725	2013-08-03 21:29:21.028501
22124	4	2013-08-02 16:05:47.85608	2013-08-02 16:05:47.85608
22081	7	2013-08-02 16:05:47.748662	2013-08-04 02:25:48.908054
22127	7	2013-08-02 16:05:47.863613	2013-08-02 16:05:47.863613
20678	4	2013-08-02 16:05:44.574992	2013-08-03 18:02:18.608918
22091	2	2013-08-02 16:05:47.775245	2013-08-04 02:25:50.980505
24895	4	2013-08-02 16:05:53.641377	2013-08-03 21:31:13.165999
22134	14	2013-08-02 16:05:47.881907	2013-08-02 16:05:47.881907
25001	2	2013-08-02 16:05:53.757631	2013-08-03 21:31:13.167795
22025	2	2013-08-02 16:05:47.600522	2013-08-04 02:25:50.990833
22128	21	2013-08-02 16:05:47.866088	2013-08-03 17:05:34.893166
22111	4	2013-08-02 16:05:47.825246	2013-08-04 02:25:51.359017
25241	14	2013-08-02 16:05:54.34949	2013-08-03 21:34:19.823564
22057	4	2013-08-02 16:05:47.686271	2013-08-03 17:07:50.840131
22097	2	2013-08-02 16:05:47.791165	2013-08-03 17:07:50.843602
22010	4	2013-08-02 16:05:47.561467	2013-08-04 02:25:51.364467
22137	4	2013-08-02 16:05:47.889914	2013-08-03 17:10:34.872653
19499	4	2013-08-02 16:05:42.161261	2013-08-04 02:35:43.62147
19479	4	2013-08-02 16:05:42.111873	2013-08-04 02:35:43.626864
19719	2	2013-08-02 16:05:42.704814	2013-08-04 02:35:43.788575
22077	7	2013-08-02 16:05:47.737941	2013-08-03 18:09:35.643097
22118	21	2013-08-02 16:05:47.84182	2013-08-03 18:17:19.517138
22098	21	2013-08-02 16:05:47.793801	2013-08-03 18:17:19.520811
22078	21	2013-08-02 16:05:47.740614	2013-08-03 18:17:19.524311
22058	21	2013-08-02 16:05:47.688974	2013-08-03 18:17:19.527831
19753	2	2013-08-02 16:05:42.792683	2013-08-04 02:35:43.80037
22020	21	2013-08-02 16:05:47.587708	2013-08-03 18:27:15.787845
22000	21	2013-08-02 16:05:47.534683	2013-08-03 18:27:15.790463
22120	4	2013-08-02 16:05:47.846652	2013-08-03 18:27:16.206836
22100	7	2013-08-02 16:05:47.799278	2013-08-03 18:27:16.226431
22080	7	2013-08-02 16:05:47.745961	2013-08-03 18:27:16.238228
19699	2	2013-08-02 16:05:42.653979	2013-08-04 02:35:43.811877
25181	21	2013-08-02 16:05:54.204383	2013-08-03 21:37:33.669419
19652	2	2013-08-02 16:05:42.532789	2013-08-04 02:35:43.823214
19679	2	2013-08-02 16:05:42.602059	2013-08-04 02:35:43.83489
22085	7	2013-08-02 16:05:47.759333	2013-08-03 18:43:29.890656
19712	2	2013-08-02 16:05:42.688225	2013-08-04 02:35:43.846362
19637	2	2013-08-02 16:05:42.495594	2013-08-04 02:35:43.858078
19659	2	2013-08-02 16:05:42.550815	2013-08-04 02:35:43.869841
19639	2	2013-08-02 16:05:42.500439	2013-08-04 02:35:43.881387
19586	2	2013-08-02 16:05:42.371666	2013-08-04 02:35:43.892721
25118	21	2013-08-02 16:05:54.052305	2013-08-03 22:29:28.021364
15976	2	2013-08-02 16:05:34.401511	2013-08-04 20:47:29.800729
22172	4	2013-08-02 16:05:47.974933	2013-08-03 19:25:19.149018
22186	4	2013-08-02 16:05:47.988868	2013-08-04 00:12:04.788867
22142	2	2013-08-02 16:05:47.903352	2013-08-02 16:05:47.903352
22212	4	2013-08-02 16:05:48.048604	2013-08-03 20:48:44.071083
22144	4	2013-08-02 16:05:47.908626	2013-08-02 16:05:47.908626
22192	2	2013-08-02 16:05:47.995285	2013-08-03 19:25:19.152782
22233	2	2013-08-02 16:05:48.09889	2013-08-04 17:16:53.231029
22147	7	2013-08-02 16:05:47.915893	2013-08-02 16:05:47.915893
22288	4	2013-08-02 16:05:48.231701	2013-08-03 17:42:01.986539
22280	2	2013-08-02 16:05:48.212346	2013-08-04 00:04:14.005545
24525	2	2013-08-02 16:05:53.021785	2013-08-04 17:16:53.242805
22146	14	2013-08-02 16:05:47.913527	2013-08-04 00:05:40.388394
22199	2	2013-08-02 16:05:48.014009	2013-08-04 17:16:53.253741
22154	14	2013-08-02 16:05:47.932757	2013-08-02 16:05:47.932757
22206	2	2013-08-02 16:05:48.033015	2013-08-04 00:12:04.791004
22289	2	2013-08-02 16:05:48.234112	2013-08-04 20:47:29.809322
22143	14	2013-08-02 16:05:47.906015	2013-08-03 17:42:24.041255
22183	14	2013-08-02 16:05:47.986125	2013-08-03 19:25:19.363687
25061	2	2013-08-02 16:05:53.904583	2013-08-04 20:47:29.822073
22269	2	2013-08-02 16:05:48.185369	2013-08-04 20:47:29.829979
22190	2	2013-08-02 16:05:47.9925	2013-08-04 00:15:38.163894
22162	2	2013-08-02 16:05:47.951699	2013-08-02 16:05:47.951699
22163	21	2013-08-02 16:05:47.954088	2013-08-04 00:15:38.378242
22164	4	2013-08-02 16:05:47.956438	2013-08-02 16:05:47.956438
22272	2	2013-08-02 16:05:48.192576	2013-08-04 17:16:53.264723
22153	21	2013-08-02 16:05:47.930388	2013-08-04 00:15:38.38094
22167	7	2013-08-02 16:05:47.96373	2013-08-02 16:05:47.96373
22179	2	2013-08-02 16:05:47.982467	2013-08-04 17:16:53.275492
13200	4	2013-08-02 16:05:29.27418	2013-08-04 17:21:53.974502
2826	4	2013-08-02 16:05:09.208933	2013-08-04 17:21:53.98565
22261	7	2013-08-02 16:05:48.165954	2013-08-03 20:52:35.26581
2758	4	2013-08-02 16:05:09.138072	2013-08-04 17:21:53.996892
22174	14	2013-08-02 16:05:47.977849	2013-08-02 16:05:47.977849
22266	14	2013-08-02 16:05:48.178041	2013-08-04 00:18:49.722107
22249	2	2013-08-02 16:05:48.137452	2013-08-04 20:47:29.836749
22252	4	2013-08-02 16:05:48.144579	2013-08-03 19:27:38.511485
22223	2	2013-08-02 16:05:48.074951	2013-08-04 20:47:29.844599
2740	4	2013-08-02 16:05:09.119449	2013-08-04 17:21:54.008359
2721	4	2013-08-02 16:05:09.100489	2013-08-04 17:21:54.019182
22182	2	2013-08-02 16:05:47.985217	2013-08-02 16:05:47.985217
22170	7	2013-08-02 16:05:47.970219	2013-08-03 21:11:12.211448
22184	4	2013-08-02 16:05:47.987024	2013-08-02 16:05:47.987024
22229	2	2013-08-02 16:05:48.089353	2013-08-04 20:47:29.850588
2749	4	2013-08-02 16:05:09.130883	2013-08-04 17:21:54.024917
22187	7	2013-08-02 16:05:47.989774	2013-08-02 16:05:47.989774
27433	2	2013-08-02 16:05:59.691352	2013-08-04 20:47:29.857384
22225	21	2013-08-02 16:05:48.079772	2013-08-04 00:20:45.220605
27348	2	2013-08-02 16:05:59.487058	2013-08-04 20:47:29.865068
22209	7	2013-08-02 16:05:48.040998	2013-08-04 20:47:29.880131
22243	7	2013-08-02 16:05:48.123086	2013-08-04 20:47:29.885207
22194	14	2013-08-02 16:05:48.000745	2013-08-02 16:05:48.000745
22152	4	2013-08-02 16:05:47.927946	2013-08-03 19:29:58.40353
16348	6	2013-08-02 16:05:35.182424	2013-08-08 01:03:09.839729
22265	21	2013-08-02 16:05:48.175441	2013-08-04 00:20:45.2217
22232	21	2013-08-02 16:05:48.096456	2013-08-03 19:57:24.068774
8684	21	2013-08-02 16:05:20.484428	2013-08-08 01:03:09.989498
6724	14	2013-08-02 16:05:16.875874	2013-08-08 01:03:10.050499
22273	14	2013-08-02 16:05:48.194981	2013-08-04 00:20:45.238669
22202	2	2013-08-02 16:05:48.022472	2013-08-02 16:05:48.022472
5652	14	2013-08-02 16:05:14.310419	2013-08-08 01:03:10.098036
22204	4	2013-08-02 16:05:48.027848	2013-08-02 16:05:48.027848
6681	14	2013-08-02 16:05:16.763332	2013-08-08 01:03:10.101013
14947	14	2013-08-02 16:05:32.985039	2013-08-08 01:03:10.162197
22207	7	2013-08-02 16:05:48.035622	2013-08-02 16:05:48.035622
14967	14	2013-08-02 16:05:33.033	2013-08-08 01:03:10.165469
15060	14	2013-08-02 16:05:33.308481	2013-08-08 01:03:10.168492
22210	4	2013-08-02 16:05:48.04363	2013-08-03 21:11:12.218009
13886	14	2013-08-02 16:05:30.416316	2013-08-08 01:03:10.171664
22214	14	2013-08-02 16:05:48.053421	2013-08-02 16:05:48.053421
46683	14	2013-08-02 16:06:43.299006	2013-08-03 19:58:42.303965
14987	14	2013-08-02 16:05:33.08153	2013-08-08 01:03:10.174686
14932	14	2013-08-02 16:05:32.949434	2013-08-08 01:03:10.177695
15007	14	2013-08-02 16:05:33.130952	2013-08-08 01:03:10.180743
15056	14	2013-08-02 16:05:33.302503	2013-08-08 01:03:10.183784
22222	2	2013-08-02 16:05:48.072582	2013-08-02 16:05:48.072582
44075	21	2013-08-02 16:06:37.330674	2013-08-04 18:27:20.307054
22224	4	2013-08-02 16:05:48.077392	2013-08-02 16:05:48.077392
22230	2	2013-08-02 16:05:48.091715	2013-08-03 21:11:12.219864
22196	14	2013-08-02 16:05:48.006033	2013-08-04 18:27:20.31564
22227	7	2013-08-02 16:05:48.084529	2013-08-02 16:05:48.084529
22283	7	2013-08-02 16:05:48.219698	2013-08-03 17:42:24.047021
22176	14	2013-08-02 16:05:47.979672	2013-08-04 18:27:20.323824
22156	14	2013-08-02 16:05:47.937475	2013-08-04 18:27:20.328397
16000	14	2013-08-02 16:05:34.424953	2013-08-04 18:32:19.884748
15933	14	2013-08-02 16:05:34.344632	2013-08-04 18:32:19.896298
22234	14	2013-08-02 16:05:48.101268	2013-08-02 16:05:48.101268
15027	14	2013-08-02 16:05:33.267212	2013-08-08 01:03:10.18666
15065	14	2013-08-02 16:05:33.316417	2013-08-08 01:03:10.189596
22263	4	2013-08-02 16:05:48.170735	2013-08-03 17:47:04.838143
22293	21	2013-08-02 16:05:48.243696	2013-08-04 00:25:50.300294
22242	2	2013-08-02 16:05:48.1206	2013-08-02 16:05:48.1206
22244	4	2013-08-02 16:05:48.125495	2013-08-02 16:05:48.125495
46763	21	2013-08-02 16:06:43.505747	2013-08-03 21:11:32.467498
22205	2	2013-08-02 16:05:48.030518	2013-08-04 18:32:19.920105
22247	7	2013-08-02 16:05:48.132636	2013-08-02 16:05:48.132636
20618	14	2013-08-02 16:05:44.519463	2013-08-03 18:02:18.665716
22191	2	2013-08-02 16:05:47.993427	2013-08-04 18:32:19.931391
22211	2	2013-08-02 16:05:48.046137	2013-08-04 18:32:19.935378
22290	14	2013-08-02 16:05:48.236513	2013-08-03 21:29:21.021918
22276	2	2013-08-02 16:05:48.202516	2013-08-04 18:32:19.939012
22254	14	2013-08-02 16:05:48.149366	2013-08-02 16:05:48.149366
22256	2	2013-08-02 16:05:48.154079	2013-08-04 18:32:19.942649
22246	21	2013-08-02 16:05:48.130223	2013-08-04 00:35:57.122131
25121	2	2013-08-02 16:05:54.059609	2013-08-03 21:34:19.935689
22286	2	2013-08-02 16:05:48.226891	2013-08-04 18:32:19.946318
22251	21	2013-08-02 16:05:48.142193	2013-08-04 02:25:48.613767
22262	2	2013-08-02 16:05:48.168315	2013-08-02 16:05:48.168315
22240	2	2013-08-02 16:05:48.115777	2013-08-04 18:32:19.949848
22264	4	2013-08-02 16:05:48.173112	2013-08-02 16:05:48.173112
25081	4	2013-08-02 16:05:53.953163	2013-08-03 21:34:19.983289
22267	7	2013-08-02 16:05:48.180505	2013-08-02 16:05:48.180505
22274	14	2013-08-02 16:05:48.197594	2013-08-02 16:05:48.197594
25041	7	2013-08-02 16:05:53.854264	2013-08-03 21:34:20.001991
20558	7	2013-08-02 16:05:44.456759	2013-08-03 18:02:18.690836
22282	2	2013-08-02 16:05:48.217311	2013-08-02 16:05:48.217311
24981	14	2013-08-02 16:05:53.73049	2013-08-03 21:34:20.035879
22284	4	2013-08-02 16:05:48.222104	2013-08-02 16:05:48.222104
22287	7	2013-08-02 16:05:48.229328	2013-08-02 16:05:48.229328
25141	7	2013-08-02 16:05:54.109616	2013-08-03 21:39:31.243182
22294	14	2013-08-02 16:05:48.246084	2013-08-02 16:05:48.246084
22268	4	2013-08-02 16:05:48.18297	2013-08-03 17:20:35.573579
22248	4	2013-08-02 16:05:48.135089	2013-08-03 17:20:35.585554
22228	4	2013-08-02 16:05:48.086971	2013-08-03 17:20:35.596537
22208	4	2013-08-02 16:05:48.038319	2013-08-03 17:20:35.607466
20538	2	2013-08-02 16:05:44.437015	2013-08-03 18:02:18.698965
9060	4	2013-08-02 16:05:21.380247	2013-08-03 18:02:18.821216
18320	21	2013-08-02 16:05:39.385485	2013-08-03 18:02:18.881205
22198	21	2013-08-02 16:05:48.011337	2013-08-03 18:17:19.503326
22178	21	2013-08-02 16:05:47.98155	2013-08-03 18:17:19.507282
22158	21	2013-08-02 16:05:47.942255	2013-08-03 18:17:19.510444
22138	21	2013-08-02 16:05:47.892608	2013-08-03 18:17:19.513824
22278	21	2013-08-02 16:05:48.207378	2013-08-03 18:22:15.546934
22258	21	2013-08-02 16:05:48.158846	2013-08-03 18:22:15.550232
22238	21	2013-08-02 16:05:48.110991	2013-08-03 18:22:15.553591
22151	2	2013-08-02 16:05:47.925451	2013-08-04 02:25:49.307108
22292	2	2013-08-02 16:05:48.241338	2013-08-04 02:25:49.317374
22180	2	2013-08-02 16:05:47.983369	2013-08-03 18:27:16.182016
761	2	2013-08-02 16:05:05.201625	2013-08-04 02:35:43.93822
22145	2	2013-08-02 16:05:47.911126	2013-08-03 18:43:29.903721
22245	14	2013-08-02 16:05:48.127844	2013-08-03 18:43:40.988395
22185	2	2013-08-02 16:05:47.987929	2013-08-03 18:43:41.089306
15996	7	2013-08-02 16:05:34.421478	2013-08-04 02:37:38.958038
21135	4	2013-08-02 16:05:45.383504	2013-08-04 02:37:38.963621
15885	2	2013-08-02 16:05:34.29486	2013-08-04 02:37:38.965723
1873	7	2013-08-02 16:05:07.679177	2013-08-04 02:40:47.962814
15912	21	2013-08-02 16:05:34.327368	2013-08-04 02:40:48.016667
20435	4	2013-08-02 16:05:44.336856	2013-08-04 02:40:48.766995
2450	4	2013-08-02 16:05:08.764331	2013-08-04 02:40:48.804364
8663	21	2013-08-02 16:05:20.431354	2013-08-04 02:42:26.493478
22777	7	2013-08-02 16:05:49.500033	2013-08-04 03:00:36.933919
18280	2	2013-08-02 16:05:39.343933	2013-08-03 18:47:35.579874
22306	21	2013-08-02 16:05:48.275048	2013-08-04 20:47:29.792694
22408	21	2013-08-02 16:05:48.639409	2013-08-03 17:42:01.947474
22300	21	2013-08-02 16:05:48.260807	2013-08-03 19:27:38.32807
22443	21	2013-08-02 16:05:48.728396	2013-08-03 19:27:38.332227
22410	4	2013-08-02 16:05:48.644734	2013-08-03 22:45:29.635035
22302	2	2013-08-02 16:05:48.265603	2013-08-02 16:05:48.265603
22432	21	2013-08-02 16:05:48.701897	2013-08-03 19:27:38.336131
22304	4	2013-08-02 16:05:48.270301	2013-08-02 16:05:48.270301
22383	21	2013-08-02 16:05:48.571582	2013-08-03 20:52:35.06404
22320	2	2013-08-02 16:05:48.308263	2013-08-04 17:21:51.60481
22307	7	2013-08-02 16:05:48.277497	2013-08-02 16:05:48.277497
22330	21	2013-08-02 16:05:48.332265	2013-08-04 00:20:45.214275
22416	21	2013-08-02 16:05:48.660757	2013-08-04 18:32:19.788636
22441	21	2013-08-02 16:05:48.723663	2013-08-03 20:52:35.066075
22396	14	2013-08-02 16:05:48.60683	2013-08-04 18:32:19.808755
22314	14	2013-08-02 16:05:48.294115	2013-08-02 16:05:48.294115
22376	14	2013-08-02 16:05:48.554612	2013-08-04 18:32:19.816561
22388	4	2013-08-02 16:05:48.585221	2013-08-03 17:42:01.953814
22332	14	2013-08-02 16:05:48.337045	2013-08-03 19:27:38.407542
22333	21	2013-08-02 16:05:48.339398	2013-08-04 00:20:45.216916
22322	2	2013-08-02 16:05:48.313119	2013-08-02 16:05:48.313119
22421	21	2013-08-02 16:05:48.673796	2013-08-03 20:52:35.068922
22324	4	2013-08-02 16:05:48.3179	2013-08-02 16:05:48.3179
22412	4	2013-08-02 16:05:48.650045	2013-08-03 19:27:40.224106
22356	14	2013-08-02 16:05:48.520058	2013-08-04 18:32:19.8276
22327	7	2013-08-02 16:05:48.325184	2013-08-02 16:05:48.325184
22372	21	2013-08-02 16:05:48.547118	2013-08-04 00:20:45.218116
22313	21	2013-08-02 16:05:48.29172	2013-08-04 00:20:45.219382
22403	14	2013-08-02 16:05:48.626062	2013-08-04 18:32:19.838931
22310	14	2013-08-02 16:05:48.284618	2013-08-03 21:11:32.121914
22336	14	2013-08-02 16:05:48.346325	2013-08-04 18:32:19.850332
22334	14	2013-08-02 16:05:48.341829	2013-08-02 16:05:48.341829
22312	21	2013-08-02 16:05:48.289365	2013-08-03 19:32:38.347008
22368	4	2013-08-02 16:05:48.53958	2013-08-03 17:42:01.957422
22365	21	2013-08-02 16:05:48.534197	2013-08-03 19:57:24.067483
22316	14	2013-08-02 16:05:48.298824	2013-08-04 18:32:19.862084
22342	2	2013-08-02 16:05:48.504407	2013-08-02 16:05:48.504407
22296	14	2013-08-02 16:05:48.250918	2013-08-04 18:32:19.873544
22344	4	2013-08-02 16:05:48.50645	2013-08-02 16:05:48.50645
46823	7	2013-08-02 16:06:43.654852	2013-08-03 19:58:42.31339
22395	14	2013-08-02 16:05:48.604096	2013-08-04 18:37:41.156224
22347	7	2013-08-02 16:05:48.509529	2013-08-02 16:05:48.509529
22423	14	2013-08-02 16:05:48.679114	2013-08-04 18:37:41.161081
22390	14	2013-08-02 16:05:48.590598	2013-08-04 20:49:29.117885
22436	14	2013-08-02 16:05:48.711534	2013-08-04 18:37:41.167746
13551	14	2013-08-02 16:05:29.723866	2013-08-04 18:37:41.172949
22354	14	2013-08-02 16:05:48.516706	2013-08-02 16:05:48.516706
22348	4	2013-08-02 16:05:48.510547	2013-08-03 17:42:01.961207
46883	4	2013-08-02 16:06:43.80991	2013-08-03 19:58:42.317776
46903	2	2013-08-02 16:06:43.861627	2013-08-03 19:58:42.319166
7230	7	2013-08-02 16:05:17.650583	2013-08-04 00:25:50.126423
22362	2	2013-08-02 16:05:48.528777	2013-08-02 16:05:48.528777
22329	21	2013-08-02 16:05:48.329896	2013-08-04 20:49:35.782541
22364	4	2013-08-02 16:05:48.532304	2013-08-02 16:05:48.532304
22309	21	2013-08-02 16:05:48.282232	2013-08-04 20:49:35.797611
22367	7	2013-08-02 16:05:48.537793	2013-08-02 16:05:48.537793
3235	2	2013-08-02 16:05:09.886053	2013-08-03 19:58:42.346053
22389	2	2013-08-02 16:05:48.587894	2013-08-04 20:52:18.810686
22349	2	2013-08-02 16:05:48.511565	2013-08-04 20:52:19.559929
22409	7	2013-08-02 16:05:48.642029	2013-08-04 20:52:21.156594
25261	4	2013-08-02 16:05:54.546761	2013-08-04 20:52:21.431963
22374	14	2013-08-02 16:05:48.550862	2013-08-02 16:05:48.550862
46783	4	2013-08-02 16:06:43.554758	2013-08-04 20:52:22.048452
22352	7	2013-08-02 16:05:48.514607	2013-08-04 20:52:22.299208
22328	4	2013-08-02 16:05:48.32753	2013-08-03 17:42:01.971478
22430	7	2013-08-02 16:05:48.697117	2013-08-03 21:11:32.140178
15045	14	2013-08-02 16:05:33.288072	2013-08-08 01:03:10.19255
15025	14	2013-08-02 16:05:33.264613	2013-08-08 01:03:10.195726
15047	14	2013-08-02 16:05:33.290427	2013-08-08 01:03:10.198733
22382	2	2013-08-02 16:05:48.568939	2013-08-02 16:05:48.568939
22433	21	2013-08-02 16:05:48.704305	2013-08-04 00:26:40.507623
22384	4	2013-08-02 16:05:48.574312	2013-08-02 16:05:48.574312
22325	4	2013-08-02 16:05:48.320367	2013-08-03 21:11:32.149014
15005	14	2013-08-02 16:05:33.125872	2013-08-08 01:03:10.201639
22387	7	2013-08-02 16:05:48.582561	2013-08-02 16:05:48.582561
14938	14	2013-08-02 16:05:32.96376	2013-08-08 01:03:10.20466
15067	14	2013-08-02 16:05:33.319653	2013-08-08 01:03:10.207721
2201	14	2013-08-02 16:05:08.429609	2013-08-08 01:03:10.210731
22392	21	2013-08-02 16:05:48.596005	2013-08-03 21:14:22.701196
38890	14	2013-08-02 16:06:26.191398	2013-08-08 01:03:10.274811
22394	14	2013-08-02 16:05:48.601439	2013-08-02 16:05:48.601439
22350	14	2013-08-02 16:05:48.512586	2013-08-03 21:29:21.017719
17301	14	2013-08-02 16:05:37.638425	2013-08-08 01:03:10.340884
16186	6	2013-08-02 16:05:34.793549	2013-08-08 01:03:10.40007
25201	2	2013-08-02 16:05:54.255048	2013-08-03 21:34:20.047205
21332	6	2013-08-02 16:05:45.7872	2013-08-08 01:03:10.458197
16268	7	2013-08-02 16:05:34.996397	2013-08-03 21:34:20.066263
22373	21	2013-08-02 16:05:48.549002	2013-08-04 00:26:51.379454
22402	2	2013-08-02 16:05:48.62338	2013-08-02 16:05:48.62338
22435	21	2013-08-02 16:05:48.709164	2013-08-04 00:26:51.380682
22404	4	2013-08-02 16:05:48.628786	2013-08-02 16:05:48.628786
4389	6	2013-08-02 16:05:12.549103	2013-08-08 01:03:10.508487
15370	6	2013-08-02 16:05:33.660477	2013-08-08 01:03:10.56746
22407	7	2013-08-02 16:05:48.636851	2013-08-02 16:05:48.636851
22406	14	2013-08-02 16:05:48.634001	2013-08-04 00:26:51.402724
28100	6	2013-08-02 16:06:01.21706	2013-08-08 01:03:10.624602
24961	2	2013-08-02 16:05:53.705926	2013-08-03 21:34:20.405251
11559	6	2013-08-02 16:05:25.929597	2013-08-08 01:03:10.674659
22414	14	2013-08-02 16:05:48.655414	2013-08-02 16:05:48.655414
25101	7	2013-08-02 16:05:54.007758	2013-08-03 21:34:20.730925
22422	2	2013-08-02 16:05:48.676448	2013-08-02 16:05:48.676448
22424	4	2013-08-02 16:05:48.68177	2013-08-02 16:05:48.68177
22427	7	2013-08-02 16:05:48.689756	2013-08-02 16:05:48.689756
35825	21	2013-08-02 16:06:19.225476	2013-08-03 21:37:44.520393
9111	7	2013-08-02 16:05:21.503317	2013-08-03 21:44:33.860206
22434	14	2013-08-02 16:05:48.706728	2013-08-02 16:05:48.706728
9051	21	2013-08-02 16:05:21.358913	2013-08-04 00:30:54.506678
22343	4	2013-08-02 16:05:48.505437	2013-08-03 17:42:24.049481
22426	21	2013-08-02 16:05:48.687101	2013-08-04 00:33:40.158075
22442	2	2013-08-02 16:05:48.726044	2013-08-02 16:05:48.726044
22444	4	2013-08-02 16:05:48.730978	2013-08-02 16:05:48.730978
22305	4	2013-08-02 16:05:48.272682	2013-08-04 02:25:50.526141
22447	7	2013-08-02 16:05:48.738887	2013-08-02 16:05:48.738887
22451	4	2013-08-02 16:05:48.749297	2013-08-04 02:25:50.538643
24638	4	2013-08-02 16:05:53.325258	2013-08-04 02:25:50.550978
22431	4	2013-08-02 16:05:48.699515	2013-08-04 02:25:50.562215
22446	4	2013-08-02 16:05:48.736356	2013-08-04 02:25:50.572827
22363	2	2013-08-02 16:05:48.530554	2013-08-03 17:42:24.050319
22411	4	2013-08-02 16:05:48.647379	2013-08-04 02:25:50.583315
22391	4	2013-08-02 16:05:48.593355	2013-08-04 02:25:50.594283
22371	4	2013-08-02 16:05:48.545335	2013-08-04 02:25:50.605256
22448	4	2013-08-02 16:05:48.741352	2013-08-03 17:47:04.825097
22428	4	2013-08-02 16:05:48.692217	2013-08-03 17:47:04.830303
22370	4	2013-08-02 16:05:48.543433	2013-08-04 02:25:50.617104
22351	4	2013-08-02 16:05:48.513596	2013-08-04 02:25:50.628045
18260	14	2013-08-02 16:05:39.322228	2013-08-03 18:02:18.916228
18240	14	2013-08-02 16:05:39.299035	2013-08-03 18:02:18.926678
23721	4	2013-08-02 16:05:51.927376	2013-08-04 02:40:48.807801
22415	14	2013-08-02 16:05:48.658076	2013-08-03 18:09:35.257495
1792	4	2013-08-02 16:05:07.436922	2013-08-04 02:40:48.928677
22398	21	2013-08-02 16:05:48.612268	2013-08-03 18:22:15.525089
22378	21	2013-08-02 16:05:48.558336	2013-08-03 18:22:15.52932
22358	21	2013-08-02 16:05:48.523298	2013-08-03 18:22:15.53296
22338	21	2013-08-02 16:05:48.49549	2013-08-03 18:22:15.536594
22318	21	2013-08-02 16:05:48.303577	2013-08-03 18:22:15.540351
22400	21	2013-08-02 16:05:48.617993	2013-08-03 18:27:16.03929
22380	21	2013-08-02 16:05:48.563578	2013-08-03 18:27:16.046909
22360	21	2013-08-02 16:05:48.525972	2013-08-03 18:27:16.051649
15956	4	2013-08-02 16:05:34.365488	2013-08-04 02:40:48.93836
22377	7	2013-08-02 16:05:48.55646	2013-08-03 18:27:16.391852
22440	7	2013-08-02 16:05:48.721085	2013-08-03 18:27:16.396329
3597	4	2013-08-02 16:05:10.801455	2013-08-04 02:40:49.004453
3461	4	2013-08-02 16:05:10.493797	2013-08-04 02:40:49.009709
22385	7	2013-08-02 16:05:48.577108	2013-08-03 18:43:41.040065
22323	4	2013-08-02 16:05:48.315491	2013-08-03 18:43:41.042851
3481	4	2013-08-02 16:05:10.515784	2013-08-04 02:40:49.016415
38743	4	2013-08-02 16:06:25.942463	2013-08-04 02:40:49.027323
3501	4	2013-08-02 16:05:10.549751	2013-08-04 02:40:49.038045
3521	4	2013-08-02 16:05:10.603515	2013-08-04 02:40:49.049016
45818	4	2013-08-02 16:06:41.285065	2013-08-04 02:40:49.059859
3514	4	2013-08-02 16:05:10.584599	2013-08-04 02:40:49.070879
3541	4	2013-08-02 16:05:10.657815	2013-08-04 02:40:49.081973
22461	21	2013-08-02 16:05:48.77496	2013-08-03 20:52:35.060113
22519	2	2013-08-02 16:05:48.917437	2013-08-04 17:21:51.57754
22454	14	2013-08-02 16:05:48.757409	2013-08-02 16:05:48.757409
21286	4	2013-08-02 16:05:45.665142	2013-08-04 20:49:29.149303
22463	14	2013-08-02 16:05:48.779731	2013-08-03 17:42:44.025979
22469	2	2013-08-02 16:05:48.794072	2013-08-04 20:49:29.153209
18200	2	2013-08-02 16:05:39.256321	2013-08-04 17:21:51.582224
22462	2	2013-08-02 16:05:48.777351	2013-08-02 16:05:48.777351
22545	4	2013-08-02 16:05:48.986348	2013-08-03 18:47:35.523789
22464	4	2013-08-02 16:05:48.782144	2013-08-02 16:05:48.782144
22481	14	2013-08-02 16:05:48.822853	2013-08-03 20:56:05.842295
22499	2	2013-08-02 16:05:48.869078	2013-08-04 17:21:51.586258
22467	7	2013-08-02 16:05:48.789282	2013-08-02 16:05:48.789282
22490	2	2013-08-02 16:05:48.847204	2013-08-04 17:21:51.590091
22479	2	2013-08-02 16:05:48.817762	2013-08-04 17:21:51.593957
22470	2	2013-08-02 16:05:48.796412	2013-08-03 21:11:32.155179
22565	2	2013-08-02 16:05:49.038648	2013-08-04 17:21:51.597611
22474	14	2013-08-02 16:05:48.80587	2013-08-02 16:05:48.80587
22506	7	2013-08-02 16:05:48.886266	2013-08-04 00:26:51.410832
22466	2	2013-08-02 16:05:48.786889	2013-08-04 20:52:18.107872
22459	2	2013-08-02 16:05:48.770188	2013-08-04 17:21:51.601363
22485	7	2013-08-02 16:05:48.833806	2013-08-03 18:47:35.559669
22489	7	2013-08-02 16:05:48.844483	2013-08-04 20:52:19.840921
22465	14	2013-08-02 16:05:48.784505	2013-08-03 18:47:35.570957
22578	14	2013-08-02 16:05:49.073103	2013-08-04 17:21:53.14968
22482	2	2013-08-02 16:05:48.825693	2013-08-02 16:05:48.825693
22478	2	2013-08-02 16:05:48.815366	2013-08-03 19:27:38.747145
22484	4	2013-08-02 16:05:48.831113	2013-08-02 16:05:48.831113
22589	7	2013-08-02 16:05:49.10192	2013-08-04 20:52:20.976774
22599	14	2013-08-02 16:05:49.127254	2013-08-04 17:21:53.153061
22487	7	2013-08-02 16:05:48.839157	2013-08-02 16:05:48.839157
22592	2	2013-08-02 16:05:49.109882	2013-08-03 19:27:38.761212
22546	4	2013-08-02 16:05:48.98902	2013-08-04 00:26:51.412754
18770	2	2013-08-02 16:05:40.300575	2013-08-04 17:21:53.164449
22585	21	2013-08-02 16:05:49.091336	2013-08-03 21:11:32.4694
34198	2	2013-08-02 16:06:15.098065	2013-08-04 17:21:53.170032
22494	14	2013-08-02 16:05:48.857042	2013-08-02 16:05:48.857042
22572	2	2013-08-02 16:05:49.057185	2013-08-03 19:27:38.769739
22569	7	2013-08-02 16:05:49.049213	2013-08-04 20:52:20.992099
22558	21	2013-08-02 16:05:49.0208	2013-08-03 21:14:21.839319
22552	2	2013-08-02 16:05:49.005005	2013-08-03 19:27:38.776812
22563	7	2013-08-02 16:05:49.033761	2013-08-04 20:52:21.006054
22532	2	2013-08-02 16:05:48.95082	2013-08-03 19:27:38.781455
22579	2	2013-08-02 16:05:49.075722	2013-08-04 17:21:53.175919
22502	2	2013-08-02 16:05:48.876737	2013-08-02 16:05:48.876737
22512	2	2013-08-02 16:05:48.90053	2013-08-03 19:27:38.786082
22504	4	2013-08-02 16:05:48.881489	2013-08-02 16:05:48.881489
22570	7	2013-08-02 16:05:49.051848	2013-08-04 20:52:21.01605
12866	2	2013-08-02 16:05:28.923493	2013-08-04 17:21:53.179857
22507	7	2013-08-02 16:05:48.888675	2013-08-02 16:05:48.888675
22503	2	2013-08-02 16:05:48.879113	2013-08-03 19:27:38.789962
22566	2	2013-08-02 16:05:49.041042	2013-08-04 00:26:51.414553
22559	2	2013-08-02 16:05:49.023441	2013-08-04 17:21:53.184455
3751	2	2013-08-02 16:05:11.135165	2013-08-04 17:21:53.188686
22514	14	2013-08-02 16:05:48.905315	2013-08-02 16:05:48.905315
22492	2	2013-08-02 16:05:48.85216	2013-08-03 19:27:38.795927
22549	7	2013-08-02 16:05:48.997045	2013-08-04 20:52:21.0203
22591	2	2013-08-02 16:05:49.107214	2013-08-04 18:37:41.085435
22505	2	2013-08-02 16:05:48.88387	2013-08-03 19:27:38.802366
22573	7	2013-08-02 16:05:49.059903	2013-08-04 20:52:21.025682
22525	21	2013-08-02 16:05:48.932261	2013-08-03 19:57:24.065881
22596	2	2013-08-02 16:05:49.120089	2013-08-04 18:37:41.089412
22522	2	2013-08-02 16:05:48.924958	2013-08-02 16:05:48.924958
22529	7	2013-08-02 16:05:48.942228	2013-08-04 20:52:21.029772
22524	4	2013-08-02 16:05:48.929865	2013-08-02 16:05:48.929865
22526	2	2013-08-02 16:05:48.934654	2013-08-04 00:30:54.454258
22498	2	2013-08-02 16:05:48.866668	2013-08-04 18:37:41.093287
22527	7	2013-08-02 16:05:48.937299	2013-08-02 16:05:48.937299
46383	2	2013-08-02 16:06:42.308881	2013-08-03 19:58:42.373527
22590	7	2013-08-02 16:05:49.104588	2013-08-04 20:52:21.033797
22576	2	2013-08-02 16:05:49.067688	2013-08-04 18:37:41.097121
18688	2	2013-08-02 16:05:40.192089	2013-08-04 18:37:41.101098
22556	2	2013-08-02 16:05:49.015449	2013-08-04 18:37:41.106794
22534	14	2013-08-02 16:05:48.955765	2013-08-02 16:05:48.955765
22509	7	2013-08-02 16:05:48.89343	2013-08-04 20:52:21.037852
11539	6	2013-08-02 16:05:25.87726	2013-08-08 01:03:10.734102
3208	2	2013-08-02 16:05:09.813705	2013-08-04 18:37:41.111866
18120	14	2013-08-02 16:05:39.177179	2013-08-04 00:37:45.051845
11519	6	2013-08-02 16:05:25.824346	2013-08-08 01:03:10.783282
15632	6	2013-08-02 16:05:33.914912	2013-08-08 01:03:10.841021
22536	2	2013-08-02 16:05:48.960616	2013-08-04 18:37:41.117536
22542	2	2013-08-02 16:05:48.978264	2013-08-02 16:05:48.978264
22530	2	2013-08-02 16:05:48.944701	2013-08-03 21:14:21.898824
22544	4	2013-08-02 16:05:48.983632	2013-08-02 16:05:48.983632
22606	2	2013-08-02 16:05:49.14418	2013-08-04 18:37:41.122064
22547	7	2013-08-02 16:05:48.991658	2013-08-02 16:05:48.991658
11499	6	2013-08-02 16:05:25.776359	2013-08-08 01:03:10.902812
22516	14	2013-08-02 16:05:48.91008	2013-08-04 18:37:41.131334
22496	14	2013-08-02 16:05:48.86184	2013-08-04 18:37:41.135728
22543	21	2013-08-02 16:05:48.980964	2013-08-03 21:14:22.700374
22476	14	2013-08-02 16:05:48.81064	2013-08-04 18:37:41.139899
22554	14	2013-08-02 16:05:49.010148	2013-08-02 16:05:49.010148
38810	6	2013-08-02 16:06:26.05896	2013-08-08 01:03:10.959661
3275	14	2013-08-02 16:05:09.989671	2013-08-03 19:58:42.390299
8686	21	2013-08-02 16:05:20.489195	2013-08-08 01:03:11.105141
27405	7	2013-08-02 16:05:59.624442	2013-08-03 19:58:42.396303
22456	14	2013-08-02 16:05:48.762724	2013-08-04 18:37:41.144621
22562	2	2013-08-02 16:05:49.03129	2013-08-02 16:05:49.03129
22605	14	2013-08-02 16:05:49.141819	2013-08-04 18:37:41.152157
22564	4	2013-08-02 16:05:49.036205	2013-08-02 16:05:49.036205
22510	14	2013-08-02 16:05:48.8958	2013-08-03 21:29:21.014049
2282	21	2013-08-02 16:05:08.565174	2013-08-08 01:03:11.112744
22567	7	2013-08-02 16:05:49.04375	2013-08-02 16:05:49.04375
22553	21	2013-08-02 16:05:49.007635	2013-08-04 00:47:49.724855
18140	7	2013-08-02 16:05:39.19863	2013-08-04 00:52:48.575894
48578	6	2013-08-02 16:06:46.748811	2013-08-08 01:03:11.161914
28241	6	2013-08-02 16:06:01.533848	2013-08-08 01:03:11.216433
16308	21	2013-08-02 16:05:35.095292	2013-08-08 01:03:11.310119
22574	14	2013-08-02 16:05:49.062414	2013-08-02 16:05:49.062414
3194	2	2013-08-02 16:05:09.795222	2013-08-03 20:03:52.583947
2262	21	2013-08-02 16:05:08.543578	2013-08-08 01:03:11.317612
22586	6	2013-08-02 16:05:49.093962	2013-08-08 01:03:11.348824
21306	2	2013-08-02 16:05:45.71856	2013-08-04 01:55:51.099121
5819	6	2013-08-02 16:05:14.713602	2013-08-08 01:03:11.351683
22593	2	2013-08-02 16:05:49.11275	2013-08-04 02:00:47.203588
22486	2	2013-08-02 16:05:48.836469	2013-08-04 02:00:47.206449
22582	2	2013-08-02 16:05:49.083769	2013-08-02 16:05:49.083769
32837	6	2013-08-02 16:06:12.49719	2013-08-08 01:03:11.354423
22584	4	2013-08-02 16:05:49.088931	2013-08-02 16:05:49.088931
25021	6	2013-08-02 16:05:53.80123	2013-08-08 01:03:11.403953
16091	6	2013-08-02 16:05:34.561417	2013-08-08 01:03:11.456656
22587	7	2013-08-02 16:05:49.096627	2013-08-02 16:05:49.096627
25060	21	2013-08-02 16:05:53.902173	2013-08-03 21:34:21.165727
19846	6	2013-08-02 16:05:43.026443	2013-08-08 01:03:11.490434
15106	6	2013-08-02 16:05:33.39671	2013-08-08 01:03:11.493312
35805	21	2013-08-02 16:06:19.172507	2013-08-03 21:34:21.167105
22594	14	2013-08-02 16:05:49.115197	2013-08-02 16:05:49.115197
24781	21	2013-08-02 16:05:53.51554	2013-08-03 21:34:21.168218
22603	7	2013-08-02 16:05:49.137067	2013-08-03 17:42:44.036402
42898	14	2013-08-02 16:06:34.824387	2013-08-03 21:34:21.482616
22602	2	2013-08-02 16:05:49.134687	2013-08-02 16:05:49.134687
22604	4	2013-08-02 16:05:49.139415	2013-08-02 16:05:49.139415
22607	7	2013-08-02 16:05:49.14666	2013-08-02 16:05:49.14666
22588	21	2013-08-02 16:05:49.099266	2013-08-03 17:47:04.763007
22583	2	2013-08-02 16:05:49.086439	2013-08-03 17:47:04.773782
22568	2	2013-08-02 16:05:49.046554	2013-08-03 17:47:04.778138
22548	2	2013-08-02 16:05:48.994343	2013-08-03 17:47:04.783888
22528	2	2013-08-02 16:05:48.939769	2013-08-03 17:47:04.790986
22508	2	2013-08-02 16:05:48.891048	2013-08-03 17:47:04.797151
22488	2	2013-08-02 16:05:48.841814	2013-08-03 17:47:04.801753
22608	21	2013-08-02 16:05:49.149032	2013-08-03 17:52:03.095309
18180	2	2013-08-02 16:05:39.237565	2013-08-03 18:02:18.9532
18160	2	2013-08-02 16:05:39.217805	2013-08-03 18:02:18.957654
18100	4	2013-08-02 16:05:39.143797	2013-08-03 18:02:19.018961
18080	4	2013-08-02 16:05:39.119454	2013-08-03 18:02:19.028492
22598	14	2013-08-02 16:05:49.124905	2013-08-03 18:22:15.751599
22458	4	2013-08-02 16:05:48.76774	2013-08-03 18:22:15.912538
22538	21	2013-08-02 16:05:48.965421	2013-08-03 18:27:15.080762
22600	7	2013-08-02 16:05:49.129947	2013-08-03 18:27:16.342903
22580	7	2013-08-02 16:05:49.078362	2013-08-03 18:27:16.346579
22560	7	2013-08-02 16:05:49.026107	2013-08-03 18:27:16.351428
22540	7	2013-08-02 16:05:48.972625	2013-08-03 18:27:16.355678
22520	7	2013-08-02 16:05:48.919991	2013-08-03 18:27:16.361568
22500	7	2013-08-02 16:05:48.87184	2013-08-03 18:27:16.367985
22719	21	2013-08-02 16:05:49.394185	2013-08-04 17:21:53.108799
22699	14	2013-08-02 16:05:49.364749	2013-08-04 17:21:53.117298
22621	4	2013-08-02 16:05:49.180763	2013-08-03 20:56:05.879627
3277	14	2013-08-02 16:05:09.994669	2013-08-04 17:21:53.121743
22614	14	2013-08-02 16:05:49.163672	2013-08-02 16:05:49.163672
22725	21	2013-08-02 16:05:49.399796	2013-08-03 18:47:35.486757
22749	2	2013-08-02 16:05:49.434302	2013-08-04 20:52:20.853072
22616	21	2013-08-02 16:05:49.168439	2013-08-04 18:37:41.078142
22705	21	2013-08-02 16:05:49.379338	2013-08-03 18:47:35.488074
22729	2	2013-08-02 16:05:49.404243	2013-08-04 20:52:20.86452
22685	21	2013-08-02 16:05:49.331923	2013-08-03 18:47:35.489416
21326	7	2013-08-02 16:05:45.771271	2013-08-03 23:31:53.12521
22622	2	2013-08-02 16:05:49.183219	2013-08-02 16:05:49.183219
22665	21	2013-08-02 16:05:49.284924	2013-08-03 18:47:35.490515
22624	4	2013-08-02 16:05:49.188028	2013-08-02 16:05:49.188028
22709	2	2013-08-02 16:05:49.383747	2013-08-04 20:52:20.876411
18400	14	2013-08-02 16:05:39.502296	2013-08-04 18:42:35.021132
22627	7	2013-08-02 16:05:49.195217	2013-08-02 16:05:49.195217
22645	21	2013-08-02 16:05:49.23775	2013-08-03 18:47:35.491548
22623	7	2013-08-02 16:05:49.185644	2013-08-04 00:44:37.137165
22756	14	2013-08-02 16:05:49.447528	2013-08-04 18:42:35.025369
22661	2	2013-08-02 16:05:49.275496	2013-08-03 20:56:05.887269
22736	14	2013-08-02 16:05:49.413205	2013-08-04 18:42:35.029667
22634	14	2013-08-02 16:05:49.211805	2013-08-02 16:05:49.211805
22643	21	2013-08-02 16:05:49.233008	2013-08-03 18:47:35.492883
22689	2	2013-08-02 16:05:49.341315	2013-08-04 20:52:20.891026
22716	14	2013-08-02 16:05:49.391005	2013-08-04 18:42:35.034155
22625	21	2013-08-02 16:05:49.190449	2013-08-03 18:47:35.494336
22669	2	2013-08-02 16:05:49.294294	2013-08-04 20:52:20.903812
22765	7	2013-08-02 16:05:49.468803	2013-08-03 18:47:35.795704
22696	14	2013-08-02 16:05:49.357697	2013-08-04 18:42:35.040635
22642	2	2013-08-02 16:05:49.230662	2013-08-02 16:05:49.230662
22732	2	2013-08-02 16:05:49.407818	2013-08-03 19:27:38.666926
22644	4	2013-08-02 16:05:49.235353	2013-08-02 16:05:49.235353
22653	4	2013-08-02 16:05:49.256656	2013-08-04 00:44:37.141363
8339	14	2013-08-02 16:05:19.62066	2013-08-04 18:42:35.046421
22647	7	2013-08-02 16:05:49.242512	2013-08-02 16:05:49.242512
22712	2	2013-08-02 16:05:49.387578	2013-08-03 19:27:38.679233
22741	14	2013-08-02 16:05:49.420184	2013-08-04 18:42:35.052768
22676	14	2013-08-02 16:05:49.310792	2013-08-04 18:42:35.059861
22693	2	2013-08-02 16:05:49.350685	2013-08-04 00:44:37.144096
22656	14	2013-08-02 16:05:49.263722	2013-08-04 18:42:35.065096
22654	14	2013-08-02 16:05:49.258997	2013-08-02 16:05:49.258997
22692	2	2013-08-02 16:05:49.348347	2013-08-03 19:27:38.690775
22649	2	2013-08-02 16:05:49.247251	2013-08-04 20:52:20.915184
22663	4	2013-08-02 16:05:49.280206	2013-08-03 17:42:44.040181
22672	2	2013-08-02 16:05:49.301364	2013-08-03 19:27:38.702444
22629	2	2013-08-02 16:05:49.199951	2013-08-04 20:52:20.930681
22652	2	2013-08-02 16:05:49.254312	2013-08-03 19:27:38.71339
22636	14	2013-08-02 16:05:49.216516	2013-08-04 18:42:35.068985
22662	2	2013-08-02 16:05:49.277857	2013-08-02 16:05:49.277857
22632	2	2013-08-02 16:05:49.207097	2013-08-03 19:27:38.724422
22664	4	2013-08-02 16:05:49.282552	2013-08-02 16:05:49.282552
22688	21	2013-08-02 16:05:49.338987	2013-08-03 21:04:18.973861
22708	14	2013-08-02 16:05:49.382842	2013-08-04 18:42:35.072844
22667	7	2013-08-02 16:05:49.289628	2013-08-02 16:05:49.289628
22612	2	2013-08-02 16:05:49.158873	2013-08-03 19:27:38.736091
22609	2	2013-08-02 16:05:49.151366	2013-08-04 20:52:20.945812
31140	6	2013-08-02 16:06:08.304964	2013-08-08 01:03:11.496021
16089	6	2013-08-02 16:05:34.557466	2013-08-08 01:03:11.530162
7511	6	2013-08-02 16:05:17.929993	2013-08-08 01:03:11.532639
22674	14	2013-08-02 16:05:49.306064	2013-08-02 16:05:49.306064
22715	21	2013-08-02 16:05:49.390136	2013-08-03 19:32:38.340081
226	6	2013-08-02 16:05:04.540022	2013-08-08 01:03:11.535601
22683	2	2013-08-02 16:05:49.327271	2013-08-03 17:42:44.041235
22752	21	2013-08-02 16:05:49.439236	2013-08-03 19:32:38.343698
5057	6	2013-08-02 16:05:13.25638	2013-08-08 01:03:11.577655
25592	4	2013-08-02 16:05:55.270758	2013-08-03 19:58:42.398121
6899	6	2013-08-02 16:05:17.242292	2013-08-08 01:03:11.580854
22682	2	2013-08-02 16:05:49.324934	2013-08-02 16:05:49.324934
22173	6	2013-08-02 16:05:47.97693	2013-08-08 01:03:11.624117
22684	4	2013-08-02 16:05:49.329603	2013-08-02 16:05:49.329603
40298	6	2013-08-02 16:06:28.663052	2013-08-08 01:03:11.627152
16321	21	2013-08-02 16:05:35.129075	2013-08-08 01:03:11.697631
22687	7	2013-08-02 16:05:49.336653	2013-08-02 16:05:49.336653
7119	6	2013-08-02 16:05:17.548216	2013-08-08 01:03:11.745038
7099	6	2013-08-02 16:05:17.528999	2013-08-08 01:03:11.793068
29061	6	2013-08-02 16:06:02.945425	2013-08-08 01:03:11.823371
22710	21	2013-08-02 16:05:49.384701	2013-08-03 21:14:21.825502
5077	6	2013-08-02 16:05:13.280954	2013-08-08 01:03:11.826158
22694	14	2013-08-02 16:05:49.353032	2013-08-02 16:05:49.353032
22690	21	2013-08-02 16:05:49.343629	2013-08-03 21:14:21.828317
36223	14	2013-08-02 16:06:20.18844	2013-08-03 19:58:42.418423
22757	14	2013-08-02 16:05:49.449861	2013-08-04 00:44:48.097383
22702	2	2013-08-02 16:05:49.372087	2013-08-02 16:05:49.372087
22761	21	2013-08-02 16:05:49.458696	2013-08-03 21:14:21.829592
22704	4	2013-08-02 16:05:49.376839	2013-08-02 16:05:49.376839
22670	21	2013-08-02 16:05:49.296663	2013-08-03 21:14:21.831029
22707	7	2013-08-02 16:05:49.38197	2013-08-02 16:05:49.38197
22650	21	2013-08-02 16:05:49.249639	2013-08-03 21:14:21.832765
22630	21	2013-08-02 16:05:49.202381	2013-08-03 21:14:21.835876
22714	14	2013-08-02 16:05:49.389325	2013-08-02 16:05:49.389325
18823	7	2013-08-02 16:05:40.430729	2013-08-03 19:58:42.485633
22610	21	2013-08-02 16:05:49.153829	2013-08-03 21:14:21.837723
13906	7	2013-08-02 16:05:30.468357	2013-08-04 00:45:50.244398
22722	2	2013-08-02 16:05:49.397075	2013-08-02 16:05:49.397075
22724	4	2013-08-02 16:05:49.398988	2013-08-02 16:05:49.398988
22727	7	2013-08-02 16:05:49.401895	2013-08-02 16:05:49.401895
22750	14	2013-08-02 16:05:49.435972	2013-08-03 21:29:21.005612
22713	21	2013-08-02 16:05:49.388317	2013-08-04 00:45:50.541477
22641	14	2013-08-02 16:05:49.228307	2013-08-03 21:29:21.009663
22734	14	2013-08-02 16:05:49.410354	2013-08-02 16:05:49.410354
22733	21	2013-08-02 16:05:49.408992	2013-08-04 00:47:28.115968
10459	14	2013-08-02 16:05:23.758331	2013-08-04 00:47:38.76586
22742	2	2013-08-02 16:05:49.421736	2013-08-02 16:05:49.421736
22744	4	2013-08-02 16:05:49.424977	2013-08-02 16:05:49.424977
22747	7	2013-08-02 16:05:49.430416	2013-08-02 16:05:49.430416
22754	14	2013-08-02 16:05:49.443205	2013-08-02 16:05:49.443205
10479	7	2013-08-02 16:05:23.775385	2013-08-03 21:44:33.854985
22763	4	2013-08-02 16:05:49.46346	2013-08-03 17:48:44.921448
22762	2	2013-08-02 16:05:49.460866	2013-08-02 16:05:49.460866
22673	21	2013-08-02 16:05:49.303709	2013-08-04 01:00:52.970281
22764	4	2013-08-02 16:05:49.466233	2013-08-02 16:05:49.466233
22613	2	2013-08-02 16:05:49.161297	2013-08-04 01:00:53.765669
22737	14	2013-08-02 16:05:49.414577	2013-08-03 17:11:37.689858
22648	21	2013-08-02 16:05:49.244901	2013-08-03 17:52:03.08801
22628	21	2013-08-02 16:05:49.197611	2013-08-03 17:52:03.092002
22668	2	2013-08-02 16:05:49.291954	2013-08-03 17:55:21.823587
22633	2	2013-08-02 16:05:49.209468	2013-08-04 02:00:47.200442
17980	7	2013-08-02 16:05:39.011686	2013-08-03 18:02:19.084646
22731	21	2013-08-02 16:05:49.406689	2013-08-04 02:30:50.874143
22675	14	2013-08-02 16:05:49.308398	2013-08-03 18:09:46.479256
22711	21	2013-08-02 16:05:49.386687	2013-08-04 02:30:50.875922
22758	21	2013-08-02 16:05:49.452122	2013-08-03 18:22:15.706306
22738	21	2013-08-02 16:05:49.415939	2013-08-03 18:22:15.710543
22718	21	2013-08-02 16:05:49.393152	2013-08-03 18:22:15.71398
22698	21	2013-08-02 16:05:49.362414	2013-08-03 18:22:15.717541
22678	21	2013-08-02 16:05:49.315518	2013-08-03 18:22:15.720987
22658	21	2013-08-02 16:05:49.268406	2013-08-03 18:22:15.72459
22760	7	2013-08-02 16:05:49.45652	2013-08-03 18:27:16.307531
22740	7	2013-08-02 16:05:49.418691	2013-08-03 18:27:16.31263
22720	7	2013-08-02 16:05:49.395222	2013-08-03 18:27:16.31701
22700	7	2013-08-02 16:05:49.367353	2013-08-03 18:27:16.321681
22680	7	2013-08-02 16:05:49.320236	2013-08-03 18:27:16.326222
22660	7	2013-08-02 16:05:49.273165	2013-08-03 18:27:16.330604
22640	7	2013-08-02 16:05:49.225965	2013-08-03 18:27:16.334923
22691	21	2013-08-02 16:05:49.346024	2013-08-04 02:30:50.877391
22651	2	2013-08-02 16:05:49.251964	2013-08-04 02:30:51.420693
22671	2	2013-08-02 16:05:49.298993	2013-08-04 02:30:51.430871
22611	4	2013-08-02 16:05:49.156374	2013-08-04 02:30:52.283833
22631	4	2013-08-02 16:05:49.204758	2013-08-04 02:30:52.287802
3561	4	2013-08-02 16:05:10.71071	2013-08-04 02:40:49.093119
3581	4	2013-08-02 16:05:10.759053	2013-08-04 02:40:49.104351
13798	4	2013-08-02 16:05:30.230726	2013-08-04 02:40:49.115627
19913	4	2013-08-02 16:05:43.204113	2013-08-04 02:40:49.48715
19919	4	2013-08-02 16:05:43.220043	2013-08-04 02:40:49.498177
19899	4	2013-08-02 16:05:43.167111	2013-08-04 02:40:49.509095
19813	4	2013-08-02 16:05:42.937413	2013-08-04 02:40:49.520002
19879	4	2013-08-02 16:05:43.11402	2013-08-04 02:40:49.531262
29037	4	2013-08-02 16:06:02.88384	2013-08-04 02:40:49.542587
19859	4	2013-08-02 16:05:43.060993	2013-08-04 02:40:49.554167
16016	21	2013-08-02 16:05:34.44077	2013-08-04 02:47:24.381044
22767	7	2013-08-02 16:05:49.474009	2013-08-02 16:05:49.474009
22818	7	2013-08-02 16:05:49.608255	2013-08-03 18:47:35.755432
22890	2	2013-08-02 16:05:49.798933	2013-08-03 22:45:29.638121
2755	14	2013-08-02 16:05:09.135864	2013-08-04 17:21:54.181192
22803	21	2013-08-02 16:05:49.568402	2013-08-03 21:04:18.970461
22876	14	2013-08-02 16:05:49.761832	2013-08-04 18:42:34.976736
22774	14	2013-08-02 16:05:49.492086	2013-08-02 16:05:49.492086
22905	7	2013-08-02 16:05:49.835258	2013-08-03 18:47:35.761519
22769	21	2013-08-02 16:05:49.479133	2013-08-04 20:52:20.814516
22783	2	2013-08-02 16:05:49.515931	2013-08-03 17:48:44.925121
22885	7	2013-08-02 16:05:49.785769	2013-08-03 18:47:35.765905
13739	2	2013-08-02 16:05:30.098857	2013-08-04 20:52:20.840764
22865	7	2013-08-02 16:05:49.732468	2013-08-03 18:47:35.770703
22856	14	2013-08-02 16:05:49.708518	2013-08-04 18:42:34.986881
22782	2	2013-08-02 16:05:49.513296	2013-08-02 16:05:49.513296
22845	7	2013-08-02 16:05:49.679233	2013-08-03 18:47:35.775014
22784	4	2013-08-02 16:05:49.518585	2013-08-02 16:05:49.518585
22781	21	2013-08-02 16:05:49.510536	2013-08-03 21:04:18.972333
22770	14	2013-08-02 16:05:49.481596	2013-08-04 18:42:34.995796
22787	7	2013-08-02 16:05:49.526593	2013-08-02 16:05:49.526593
22825	7	2013-08-02 16:05:49.626841	2013-08-03 18:47:35.780642
22836	14	2013-08-02 16:05:49.6556	2013-08-04 18:42:34.999513
22816	14	2013-08-02 16:05:49.602975	2013-08-04 18:42:35.003068
21317	4	2013-08-02 16:05:45.748032	2013-08-03 23:31:53.128811
22821	14	2013-08-02 16:05:49.616146	2013-08-04 18:42:35.008325
22794	14	2013-08-02 16:05:49.54412	2013-08-02 16:05:49.54412
22805	7	2013-08-02 16:05:49.573796	2013-08-03 18:47:35.786044
22796	14	2013-08-02 16:05:49.549539	2013-08-04 18:42:35.01272
22785	7	2013-08-02 16:05:49.521267	2013-08-03 18:47:35.790587
22792	21	2013-08-02 16:05:49.539013	2013-08-03 19:32:38.332081
16560	2	2013-08-02 16:05:35.757123	2013-08-03 23:31:53.131554
22802	2	2013-08-02 16:05:49.565632	2013-08-02 16:05:49.565632
22772	21	2013-08-02 16:05:49.486703	2013-08-03 19:32:38.336224
22804	4	2013-08-02 16:05:49.571154	2013-08-02 16:05:49.571154
22776	14	2013-08-02 16:05:49.497416	2013-08-04 18:42:35.017099
22807	7	2013-08-02 16:05:49.579104	2013-08-02 16:05:49.579104
22820	2	2013-08-02 16:05:49.613567	2013-08-03 19:32:38.772644
16196	2	2013-08-02 16:05:34.817339	2013-08-04 18:47:32.155875
22898	2	2013-08-02 16:05:49.818176	2013-08-04 18:47:32.165533
30238	2	2013-08-02 16:06:05.897195	2013-08-04 18:47:32.176148
22814	14	2013-08-02 16:05:49.597667	2013-08-02 16:05:49.597667
22878	2	2013-08-02 16:05:49.76716	2013-08-03 19:32:38.779963
22823	2	2013-08-02 16:05:49.621475	2013-08-03 17:48:56.510089
18480	14	2013-08-02 16:05:39.630055	2013-08-03 19:32:38.791205
22908	14	2013-08-02 16:05:49.842404	2013-08-03 19:32:38.797764
22916	2	2013-08-02 16:05:49.861512	2013-08-04 18:47:32.187272
22822	2	2013-08-02 16:05:49.618802	2013-08-02 16:05:49.618802
22912	14	2013-08-02 16:05:49.851966	2013-08-03 19:32:38.805912
22824	4	2013-08-02 16:05:49.624145	2013-08-02 16:05:49.624145
22841	14	2013-08-02 16:05:49.668495	2013-08-03 21:05:54.999233
22896	2	2013-08-02 16:05:49.813421	2013-08-04 18:47:32.198815
22827	7	2013-08-02 16:05:49.632147	2013-08-02 16:05:49.632147
22892	14	2013-08-02 16:05:49.803813	2013-08-03 19:32:38.81563
22830	7	2013-08-02 16:05:49.639976	2013-08-04 00:44:48.103677
22843	21	2013-08-02 16:05:49.673902	2013-08-03 21:06:14.972925
22870	14	2013-08-02 16:05:49.745829	2013-08-04 20:54:40.787567
22834	14	2013-08-02 16:05:49.650532	2013-08-02 16:05:49.650532
22872	14	2013-08-02 16:05:49.751149	2013-08-03 19:32:38.822376
18752	4	2013-08-02 16:05:40.279799	2013-08-03 19:58:42.497701
22842	2	2013-08-02 16:05:49.671217	2013-08-02 16:05:49.671217
22893	4	2013-08-02 16:05:49.806218	2013-08-04 00:44:48.106642
22844	4	2013-08-02 16:05:49.676593	2013-08-02 16:05:49.676593
22810	14	2013-08-02 16:05:49.587085	2013-08-03 21:16:54.959454
22889	2	2013-08-02 16:05:49.796441	2013-08-04 20:57:17.451484
22847	7	2013-08-02 16:05:49.684607	2013-08-02 16:05:49.684607
18861	2	2013-08-02 16:05:40.514695	2013-08-03 19:58:42.505272
14738	2	2013-08-02 16:05:32.497022	2013-08-04 20:57:18.146597
22869	21	2013-08-02 16:05:49.743182	2013-08-04 20:57:18.2011
6041	7	2013-08-02 16:05:15.253664	2013-08-04 20:57:19.613659
22900	4	2013-08-02 16:05:49.823202	2013-08-04 20:57:19.921364
22854	14	2013-08-02 16:05:49.70324	2013-08-02 16:05:49.70324
22873	4	2013-08-02 16:05:49.753826	2013-08-04 00:45:50.457836
22813	7	2013-08-02 16:05:49.59498	2013-08-04 20:57:20.410173
22903	2	2013-08-02 16:05:49.830502	2013-08-03 17:52:02.111519
48398	6	2013-08-02 16:06:46.501038	2013-08-08 01:03:11.828871
14346	6	2013-08-02 16:05:31.6073	2013-08-08 01:03:11.85952
40241	6	2013-08-02 16:06:28.609546	2013-08-08 01:03:11.862289
22793	21	2013-08-02 16:05:49.541414	2013-08-04 00:47:28.117289
22862	2	2013-08-02 16:05:49.72456	2013-08-02 16:05:49.72456
22864	4	2013-08-02 16:05:49.729822	2013-08-02 16:05:49.729822
759	6	2013-08-02 16:05:05.199107	2013-08-08 01:03:11.864984
39710	6	2013-08-02 16:06:27.604691	2013-08-08 01:03:11.928178
22867	7	2013-08-02 16:05:49.737805	2013-08-02 16:05:49.737805
38930	6	2013-08-02 16:06:26.238812	2013-08-08 01:03:11.931101
157	6	2013-08-02 16:05:04.470049	2013-08-08 01:03:11.933778
38955	6	2013-08-02 16:06:26.279219	2013-08-08 01:03:11.981271
4243	6	2013-08-02 16:05:12.252398	2013-08-08 01:03:12.029111
22874	14	2013-08-02 16:05:49.756481	2013-08-02 16:05:49.756481
14646	7	2013-08-02 16:05:32.335097	2013-08-03 19:58:42.573028
321	6	2013-08-02 16:05:04.629271	2013-08-08 01:03:12.078623
22883	7	2013-08-02 16:05:49.780398	2013-08-03 17:52:02.119137
22910	7	2013-08-02 16:05:49.847184	2013-08-03 21:16:54.967007
17833	6	2013-08-02 16:05:38.717444	2013-08-08 01:03:12.129104
14686	4	2013-08-02 16:05:32.420149	2013-08-03 19:58:42.580163
28466	6	2013-08-02 16:06:01.777654	2013-08-08 01:03:12.178941
22882	2	2013-08-02 16:05:49.777794	2013-08-02 16:05:49.777794
22790	14	2013-08-02 16:05:49.534183	2013-08-03 21:19:21.216462
22884	4	2013-08-02 16:05:49.783095	2013-08-02 16:05:49.783095
22801	14	2013-08-02 16:05:49.562995	2013-08-03 21:29:21.001547
9	6	2013-08-02 16:05:04.31649	2013-08-08 01:03:12.251588
22887	7	2013-08-02 16:05:49.791132	2013-08-02 16:05:49.791132
14626	2	2013-08-02 16:05:32.28669	2013-08-03 20:07:26.63764
16229	21	2013-08-02 16:05:34.897023	2013-08-08 01:03:12.257404
75	6	2013-08-02 16:05:04.385385	2013-08-08 01:03:12.329685
22766	21	2013-08-02 16:05:49.471427	2013-08-04 00:52:59.316114
16249	21	2013-08-02 16:05:34.947438	2013-08-08 01:03:12.335491
22894	14	2013-08-02 16:05:49.808624	2013-08-02 16:05:49.808624
7851	6	2013-08-02 16:05:18.457991	2013-08-08 01:03:12.388586
22863	7	2013-08-02 16:05:49.727166	2013-08-03 17:52:02.122619
774	6	2013-08-02 16:05:05.21387	2013-08-08 01:03:12.417706
22913	21	2013-08-02 16:05:49.854366	2013-08-04 01:00:52.969141
22902	2	2013-08-02 16:05:49.828076	2013-08-02 16:05:49.828076
6001	7	2013-08-02 16:05:15.174423	2013-08-03 21:37:25.103518
22904	4	2013-08-02 16:05:49.832905	2013-08-02 16:05:49.832905
22907	7	2013-08-02 16:05:49.840062	2013-08-02 16:05:49.840062
22833	2	2013-08-02 16:05:49.647904	2013-08-04 02:00:47.192652
6021	2	2013-08-02 16:05:15.226302	2013-08-04 02:00:47.196934
18500	4	2013-08-02 16:05:39.656104	2013-08-04 02:30:52.490189
22914	14	2013-08-02 16:05:49.856727	2013-08-02 16:05:49.856727
15237	2	2013-08-02 16:05:33.538886	2013-08-03 21:37:25.117177
22828	21	2013-08-02 16:05:49.634744	2013-08-03 17:57:11.21007
25010	4	2013-08-02 16:05:53.773607	2013-08-04 02:30:52.502614
22911	4	2013-08-02 16:05:49.849579	2013-08-04 02:30:52.514918
22922	2	2013-08-02 16:05:49.876348	2013-08-02 16:05:49.876348
22808	21	2013-08-02 16:05:49.581748	2013-08-03 17:57:11.211826
22788	21	2013-08-02 16:05:49.52912	2013-08-03 17:57:11.213042
22768	21	2013-08-02 16:05:49.476468	2013-08-03 17:57:11.214025
34052	2	2013-08-02 16:06:14.698308	2013-08-03 21:37:25.20113
22868	14	2013-08-02 16:05:49.740458	2013-08-03 17:58:45.763902
18440	14	2013-08-02 16:05:39.555409	2013-08-03 18:02:46.538524
22891	4	2013-08-02 16:05:49.801399	2013-08-04 02:30:52.527029
22853	4	2013-08-02 16:05:49.700734	2013-08-04 02:30:52.539521
22871	4	2013-08-02 16:05:49.748479	2013-08-04 02:30:52.544137
13120	21	2013-08-02 16:05:29.193751	2013-08-03 21:39:32.509052
22858	14	2013-08-02 16:05:49.71386	2013-08-03 18:27:15.268185
14751	4	2013-08-02 16:05:32.522954	2013-08-04 02:30:52.54856
14606	4	2013-08-02 16:05:32.238759	2013-08-04 02:30:52.552656
22778	2	2013-08-02 16:05:49.502733	2013-08-03 18:27:15.362901
22780	14	2013-08-02 16:05:49.508037	2013-08-03 18:30:17.071402
22851	4	2013-08-02 16:05:49.695346	2013-08-04 02:30:52.556683
22831	4	2013-08-02 16:05:49.642619	2013-08-04 02:30:52.560976
22811	4	2013-08-02 16:05:49.589596	2013-08-04 02:30:52.565668
22840	4	2013-08-02 16:05:49.665891	2013-08-04 02:35:42.513993
22798	4	2013-08-02 16:05:49.554775	2013-08-04 02:35:42.52563
16076	14	2013-08-02 16:05:34.536903	2013-08-04 02:43:06.227085
16156	7	2013-08-02 16:05:34.715756	2013-08-04 02:43:06.244085
16176	4	2013-08-02 16:05:34.768296	2013-08-04 02:43:06.249769
16216	2	2013-08-02 16:05:34.865436	2013-08-04 02:43:06.252195
16053	21	2013-08-02 16:05:34.491113	2013-08-04 02:45:45.801299
5039	21	2013-08-02 16:05:13.235866	2013-08-04 02:46:23.429066
16075	14	2013-08-02 16:05:34.536071	2013-08-04 03:00:23.861828
16136	4	2013-08-02 16:05:34.662477	2013-08-04 03:00:38.464068
23065	7	2013-08-02 16:05:50.249316	2013-08-03 18:47:35.69368
22924	4	2013-08-02 16:05:49.881336	2013-08-02 16:05:49.881336
2735	14	2013-08-02 16:05:09.114334	2013-08-04 17:21:54.19165
2715	14	2013-08-02 16:05:09.095476	2013-08-04 17:21:54.202344
22927	7	2013-08-02 16:05:49.88849	2013-08-02 16:05:49.88849
23045	7	2013-08-02 16:05:50.196046	2013-08-03 18:47:35.701339
5717	2	2013-08-02 16:05:14.469496	2013-08-04 17:21:54.224938
2695	2	2013-08-02 16:05:09.078932	2013-08-04 17:21:54.235915
3264	2	2013-08-02 16:05:09.96215	2013-08-04 17:21:54.247729
2821	4	2013-08-02 16:05:09.20381	2013-08-04 17:21:54.267696
22934	14	2013-08-02 16:05:49.90562	2013-08-02 16:05:49.90562
23025	7	2013-08-02 16:05:50.144484	2013-08-03 18:47:35.711128
2674	4	2013-08-02 16:05:09.063089	2013-08-04 17:21:54.271495
23005	7	2013-08-02 16:05:50.090875	2013-08-03 18:47:35.72168
22949	4	2013-08-02 16:05:49.944214	2013-08-04 20:54:40.801718
22985	7	2013-08-02 16:05:50.037928	2013-08-03 18:47:35.734289
22942	2	2013-08-02 16:05:49.925894	2013-08-02 16:05:49.925894
22965	7	2013-08-02 16:05:49.987154	2013-08-03 18:47:35.741326
22944	4	2013-08-02 16:05:49.931163	2013-08-02 16:05:49.931163
22941	7	2013-08-02 16:05:49.923277	2013-08-03 21:05:55.014273
2807	4	2013-08-02 16:05:09.184954	2013-08-04 17:21:54.27497
22947	7	2013-08-02 16:05:49.939203	2013-08-02 16:05:49.939203
22945	7	2013-08-02 16:05:49.933834	2013-08-03 18:47:35.745605
22969	2	2013-08-02 16:05:49.99777	2013-08-04 20:54:40.803967
27548	4	2013-08-02 16:06:00.050773	2013-08-04 17:21:54.354174
16796	4	2013-08-02 16:05:36.297413	2013-08-04 17:21:54.361763
22954	14	2013-08-02 16:05:49.9567	2013-08-02 16:05:49.9567
22925	7	2013-08-02 16:05:49.883725	2013-08-03 18:47:35.75034
23068	2	2013-08-02 16:05:50.25735	2013-08-04 20:57:16.677898
21205	2	2013-08-02 16:05:45.489181	2013-08-03 23:34:27.604855
13871	4	2013-08-02 16:05:30.395544	2013-08-04 17:21:54.370632
22929	21	2013-08-02 16:05:49.893547	2013-08-04 20:57:16.708066
22973	14	2013-08-02 16:05:50.00776	2013-08-04 00:47:55.98781
22962	2	2013-08-02 16:05:49.97892	2013-08-02 16:05:49.97892
27528	4	2013-08-02 16:06:00.000097	2013-08-04 17:21:54.378358
22964	4	2013-08-02 16:05:49.984465	2013-08-02 16:05:49.984465
27508	4	2013-08-02 16:05:59.957869	2013-08-04 17:21:54.383325
27488	4	2013-08-02 16:05:59.928684	2013-08-04 17:21:54.389614
22967	7	2013-08-02 16:05:49.992416	2013-08-02 16:05:49.992416
23060	7	2013-08-02 16:05:50.235933	2013-08-03 18:49:48.893973
21615	21	2013-08-02 16:05:46.606749	2013-08-04 18:47:32.061683
23017	14	2013-08-02 16:05:50.123079	2013-08-04 18:47:32.082015
23076	14	2013-08-02 16:05:50.425484	2013-08-04 18:47:32.093833
22974	14	2013-08-02 16:05:50.010135	2013-08-02 16:05:50.010135
23072	21	2013-08-02 16:05:50.267969	2013-08-03 19:32:38.709603
23021	7	2013-08-02 16:05:50.133773	2013-08-04 20:57:18.426476
23056	14	2013-08-02 16:05:50.225305	2013-08-04 18:47:32.105219
23052	2	2013-08-02 16:05:50.214662	2013-08-03 19:32:38.72699
13066	2	2013-08-02 16:05:29.132116	2013-08-04 20:57:19.47352
23032	2	2013-08-02 16:05:50.163117	2013-08-03 19:32:38.737624
22953	4	2013-08-02 16:05:49.954266	2013-08-04 00:52:48.584667
22982	2	2013-08-02 16:05:50.029895	2013-08-02 16:05:50.029895
23012	2	2013-08-02 16:05:50.109248	2013-08-03 19:32:38.743494
22984	4	2013-08-02 16:05:50.035239	2013-08-02 16:05:50.035239
23036	14	2013-08-02 16:05:50.172792	2013-08-04 18:47:32.112512
23028	14	2013-08-02 16:05:50.15259	2013-08-04 18:47:32.116191
22987	7	2013-08-02 16:05:50.043251	2013-08-02 16:05:50.043251
22992	2	2013-08-02 16:05:50.056292	2013-08-03 19:32:38.752341
23016	14	2013-08-02 16:05:50.12029	2013-08-04 18:47:32.120015
22996	14	2013-08-02 16:05:50.066801	2013-08-04 18:47:32.123262
23061	4	2013-08-02 16:05:50.23861	2013-08-03 21:09:20.471427
22976	14	2013-08-02 16:05:50.014877	2013-08-04 18:47:32.126697
22994	14	2013-08-02 16:05:50.061427	2013-08-02 16:05:50.061427
22972	2	2013-08-02 16:05:50.005371	2013-08-03 19:32:38.757129
23069	2	2013-08-02 16:05:50.260025	2013-08-04 20:57:19.480976
23003	4	2013-08-02 16:05:50.085681	2013-08-03 17:52:02.053782
22952	2	2013-08-02 16:05:49.951847	2013-08-03 19:32:38.762108
22968	2	2013-08-02 16:05:49.995084	2013-08-04 20:57:19.487508
22932	2	2013-08-02 16:05:49.900883	2013-08-03 19:32:38.767235
23002	2	2013-08-02 16:05:50.083044	2013-08-02 16:05:50.083044
21675	21	2013-08-02 16:05:46.758447	2013-08-03 19:37:44.410701
23004	4	2013-08-02 16:05:50.088365	2013-08-02 16:05:50.088365
22956	14	2013-08-02 16:05:49.961679	2013-08-04 18:47:32.130749
23020	2	2013-08-02 16:05:50.131119	2013-08-04 18:47:32.140045
23007	7	2013-08-02 16:05:50.095955	2013-08-02 16:05:50.095955
22950	2	2013-08-02 16:05:49.946855	2013-08-03 21:16:54.972546
23066	7	2013-08-02 16:05:50.251947	2013-08-04 00:52:59.270697
22933	2	2013-08-02 16:05:49.903252	2013-08-04 18:47:32.144452
22936	2	2013-08-02 16:05:49.910425	2013-08-04 18:47:32.149797
23049	2	2013-08-02 16:05:50.206625	2013-08-04 20:57:19.493051
23014	14	2013-08-02 16:05:50.114898	2013-08-02 16:05:50.114898
14726	2	2013-08-02 16:05:32.475065	2013-08-03 19:58:42.58759
23029	2	2013-08-02 16:05:50.15527	2013-08-04 20:57:19.499912
23009	2	2013-08-02 16:05:50.1013	2013-08-04 20:57:19.507335
23026	2	2013-08-02 16:05:50.147209	2013-08-04 20:57:19.512614
22989	2	2013-08-02 16:05:50.048626	2013-08-04 20:57:19.521163
151	6	2013-08-02 16:05:04.461046	2013-08-08 01:03:12.420715
22993	21	2013-08-02 16:05:50.058769	2013-08-04 00:55:55.523976
23022	2	2013-08-02 16:05:50.136457	2013-08-02 16:05:50.136457
46443	14	2013-08-02 16:06:42.457818	2013-08-03 19:58:42.695298
23024	4	2013-08-02 16:05:50.141827	2013-08-02 16:05:50.141827
326	6	2013-08-02 16:05:04.666	2013-08-08 01:03:12.423879
12032	6	2013-08-02 16:05:27.069611	2013-08-08 01:03:12.478625
23027	7	2013-08-02 16:05:50.149893	2013-08-02 16:05:50.149893
15845	6	2013-08-02 16:05:34.248221	2013-08-08 01:03:12.528688
8667	6	2013-08-02 16:05:20.441844	2013-08-08 01:03:12.64566
41683	6	2013-08-02 16:06:31.767821	2013-08-08 01:03:12.648967
22930	21	2013-08-02 16:05:49.896003	2013-08-03 21:17:30.656616
30677	6	2013-08-02 16:06:06.977487	2013-08-08 01:03:12.745685
23034	14	2013-08-02 16:05:50.167943	2013-08-02 16:05:50.167943
31197	6	2013-08-02 16:06:08.403388	2013-08-08 01:03:12.806041
7271	6	2013-08-02 16:05:17.685921	2013-08-08 01:03:12.857339
22940	7	2013-08-02 16:05:49.9208	2013-08-04 01:09:08.054296
23008	2	2013-08-02 16:05:50.098622	2013-08-04 02:00:47.181452
6744	6	2013-08-02 16:05:16.909673	2013-08-08 01:03:12.917754
23070	21	2013-08-02 16:05:50.26267	2013-08-03 21:19:20.034716
23046	2	2013-08-02 16:05:50.198666	2013-08-04 02:00:47.187577
23042	2	2013-08-02 16:05:50.188274	2013-08-02 16:05:50.188274
18666	4	2013-08-02 16:05:40.168056	2013-08-04 02:35:42.425737
23044	4	2013-08-02 16:05:50.193589	2013-08-02 16:05:50.193589
23050	21	2013-08-02 16:05:50.209331	2013-08-03 21:19:20.038326
7869	6	2013-08-02 16:05:18.502618	2013-08-08 01:03:12.973081
23047	7	2013-08-02 16:05:50.201347	2013-08-02 16:05:50.201347
46723	21	2013-08-02 16:06:43.405657	2013-08-03 21:19:20.041889
23071	4	2013-08-02 16:05:50.26533	2013-08-04 02:35:42.430391
7906	6	2013-08-02 16:05:18.59239	2013-08-08 01:03:13.028264
22948	21	2013-08-02 16:05:49.94171	2013-08-03 21:19:20.045478
7970	6	2013-08-02 16:05:18.758232	2013-08-08 01:03:13.079512
23054	14	2013-08-02 16:05:50.219993	2013-08-02 16:05:50.219993
48458	6	2013-08-02 16:06:46.590983	2013-08-08 01:03:13.130258
28172	6	2013-08-02 16:06:01.285486	2013-08-08 01:03:13.186791
23010	4	2013-08-02 16:05:50.103929	2013-08-03 21:19:20.086409
23051	4	2013-08-02 16:05:50.211991	2013-08-04 02:35:42.434975
36083	4	2013-08-02 16:06:19.871672	2013-08-04 02:35:42.439437
23062	2	2013-08-02 16:05:50.241288	2013-08-02 16:05:50.241288
22990	21	2013-08-02 16:05:50.051298	2013-08-03 21:21:38.134558
23064	4	2013-08-02 16:05:50.246619	2013-08-02 16:05:50.246619
23031	4	2013-08-02 16:05:50.160648	2013-08-04 02:35:42.443957
23067	7	2013-08-02 16:05:50.254654	2013-08-02 16:05:50.254654
22928	4	2013-08-02 16:05:49.890953	2013-08-04 02:35:42.448381
23011	4	2013-08-02 16:05:50.106579	2013-08-04 02:35:42.452889
23074	14	2013-08-02 16:05:50.422651	2013-08-02 16:05:50.422651
22991	4	2013-08-02 16:05:50.053825	2013-08-04 02:35:42.457741
22988	7	2013-08-02 16:05:50.045942	2013-08-03 17:58:45.785289
23057	14	2013-08-02 16:05:50.227951	2013-08-03 17:16:58.236361
14746	4	2013-08-02 16:05:32.512863	2013-08-04 02:35:42.462094
23048	4	2013-08-02 16:05:50.203965	2013-08-03 17:58:45.796574
22971	4	2013-08-02 16:05:50.002904	2013-08-04 02:35:42.46763
23013	4	2013-08-02 16:05:50.112161	2013-08-04 02:35:42.471393
21635	14	2013-08-02 16:05:46.651711	2013-08-03 18:02:46.579489
22951	4	2013-08-02 16:05:49.949397	2013-08-04 02:35:42.480787
23058	21	2013-08-02 16:05:50.230609	2013-08-03 18:27:15.189345
23038	21	2013-08-02 16:05:50.177614	2013-08-03 18:27:15.191702
23018	21	2013-08-02 16:05:50.125775	2013-08-03 18:27:15.194054
22998	21	2013-08-02 16:05:50.072077	2013-08-03 18:27:15.197073
22978	21	2013-08-02 16:05:50.019636	2013-08-03 18:27:15.199128
22958	21	2013-08-02 16:05:49.967205	2013-08-03 18:27:15.201301
22938	21	2013-08-02 16:05:49.915418	2013-08-03 18:27:15.203091
23078	7	2013-08-02 16:05:50.427535	2013-08-03 18:27:15.610182
3164	4	2013-08-02 16:05:09.744148	2013-08-04 02:35:42.491415
22960	4	2013-08-02 16:05:49.972526	2013-08-03 18:30:17.085683
23000	2	2013-08-02 16:05:50.077699	2013-08-03 18:30:17.088862
21555	2	2013-08-02 16:05:46.366677	2013-08-03 18:32:16.705718
23040	4	2013-08-02 16:05:50.183128	2013-08-03 18:32:16.746296
27397	4	2013-08-02 16:05:59.605249	2013-08-04 17:21:54.394203
23085	4	2013-08-02 16:05:50.435392	2013-08-04 00:52:59.272706
23082	2	2013-08-02 16:05:50.431979	2013-08-02 16:05:50.431979
23105	4	2013-08-02 16:05:50.462918	2013-08-03 18:49:48.896154
23084	4	2013-08-02 16:05:50.434263	2013-08-02 16:05:50.434263
23161	21	2013-08-02 16:05:50.571271	2013-08-03 21:09:20.164729
27337	4	2013-08-02 16:05:59.459321	2013-08-04 17:21:54.401603
23087	7	2013-08-02 16:05:50.437909	2013-08-02 16:05:50.437909
23155	21	2013-08-02 16:05:50.557858	2013-08-03 21:09:20.167126
18600	21	2013-08-02 16:05:39.862755	2013-08-04 20:57:19.340978
27435	4	2013-08-02 16:05:59.696107	2013-08-04 17:21:54.410771
23141	21	2013-08-02 16:05:50.529428	2013-08-03 21:09:20.16946
27468	4	2013-08-02 16:05:59.910249	2013-08-04 17:21:54.421476
23094	14	2013-08-02 16:05:50.447129	2013-08-02 16:05:50.447129
23145	2	2013-08-02 16:05:50.537504	2013-08-03 18:49:48.898068
23209	7	2013-08-02 16:05:50.670923	2013-08-04 20:57:19.35105
23203	21	2013-08-02 16:05:50.655436	2013-08-03 17:52:01.993845
39095	7	2013-08-02 16:06:26.441045	2013-08-03 23:34:27.613285
23189	7	2013-08-02 16:05:50.619039	2013-08-04 20:57:19.357566
2554	7	2013-08-02 16:05:08.900168	2013-08-04 20:57:19.36908
27358	4	2013-08-02 16:05:59.510797	2013-08-04 17:21:54.43234
23102	2	2013-08-02 16:05:50.458323	2013-08-02 16:05:50.458323
23106	2	2013-08-02 16:05:50.464415	2013-08-04 00:52:59.275724
23104	4	2013-08-02 16:05:50.46154	2013-08-02 16:05:50.46154
23216	7	2013-08-02 16:05:50.689277	2013-08-04 20:57:19.381457
27448	4	2013-08-02 16:05:59.72488	2013-08-04 17:21:54.443815
23107	7	2013-08-02 16:05:50.466098	2013-08-02 16:05:50.466098
38455	4	2013-08-02 16:06:25.389598	2013-08-04 17:21:54.48092
38095	4	2013-08-02 16:06:24.340581	2013-08-04 17:21:54.492617
23169	7	2013-08-02 16:05:50.591009	2013-08-04 20:57:19.397697
8278	4	2013-08-02 16:05:19.465635	2013-08-04 17:21:54.503542
23114	14	2013-08-02 16:05:50.477849	2013-08-02 16:05:50.477849
23225	7	2013-08-02 16:05:50.712429	2013-08-03 18:52:32.895937
23149	7	2013-08-02 16:05:50.545448	2013-08-04 20:57:19.413239
23183	21	2013-08-02 16:05:50.611787	2013-08-03 17:52:01.997864
23083	4	2013-08-02 16:05:50.433148	2013-08-03 18:52:32.905808
23129	7	2013-08-02 16:05:50.50521	2013-08-04 20:57:19.42793
23108	14	2013-08-02 16:05:50.467724	2013-08-03 21:11:12.344941
37303	4	2013-08-02 16:06:22.197121	2013-08-04 17:21:54.514977
23122	2	2013-08-02 16:05:50.492317	2013-08-02 16:05:50.492317
37315	4	2013-08-02 16:06:22.221341	2013-08-04 17:21:54.52611
23124	4	2013-08-02 16:05:50.496005	2013-08-02 16:05:50.496005
23221	21	2013-08-02 16:05:50.702116	2013-08-03 21:11:32.081877
23109	7	2013-08-02 16:05:50.469365	2013-08-04 20:57:19.440702
23127	7	2013-08-02 16:05:50.50156	2013-08-02 16:05:50.50156
23185	2	2013-08-02 16:05:50.613891	2013-08-03 18:52:32.987697
21795	7	2013-08-02 16:05:47.052345	2013-08-04 20:57:19.453177
23089	2	2013-08-02 16:05:50.440679	2013-08-04 20:57:19.466181
23130	21	2013-08-02 16:05:50.507119	2013-08-03 21:19:20.02356
23134	14	2013-08-02 16:05:50.515173	2013-08-02 16:05:50.515173
23163	21	2013-08-02 16:05:50.576073	2013-08-03 17:52:02.001492
23125	14	2013-08-02 16:05:50.497875	2013-08-03 18:53:59.84483
23110	21	2013-08-02 16:05:50.47089	2013-08-03 21:19:20.027632
23218	21	2013-08-02 16:05:50.694495	2013-08-04 21:00:00.872203
23142	2	2013-08-02 16:05:50.531434	2013-08-02 16:05:50.531434
23086	21	2013-08-02 16:05:50.436498	2013-08-04 01:00:52.967807
23144	4	2013-08-02 16:05:50.535465	2013-08-02 16:05:50.535465
23090	21	2013-08-02 16:05:50.442073	2013-08-03 21:19:20.031174
23136	14	2013-08-02 16:05:50.519164	2013-08-04 18:48:30.550679
23147	7	2013-08-02 16:05:50.541509	2013-08-02 16:05:50.541509
23205	21	2013-08-02 16:05:50.66064	2013-08-03 19:37:44.405858
23233	2	2013-08-02 16:05:50.733822	2013-08-04 01:00:53.732642
23213	2	2013-08-02 16:05:50.681658	2013-08-04 01:00:53.736205
23229	21	2013-08-02 16:05:50.723112	2013-08-04 21:00:14.252853
23154	14	2013-08-02 16:05:50.555815	2013-08-02 16:05:50.555815
23112	21	2013-08-02 16:05:50.474309	2013-08-03 19:37:44.40837
21715	21	2013-08-02 16:05:46.855877	2013-08-04 21:00:14.497046
23143	21	2013-08-02 16:05:50.533453	2013-08-03 17:52:02.005213
23092	21	2013-08-02 16:05:50.444614	2013-08-03 19:37:44.409548
23098	21	2013-08-02 16:05:50.452149	2013-08-04 21:00:27.113037
23232	2	2013-08-02 16:05:50.731123	2013-08-03 19:37:44.701071
23193	2	2013-08-02 16:05:50.629185	2013-08-04 01:00:53.740186
23162	2	2013-08-02 16:05:50.57369	2013-08-02 16:05:50.57369
23212	2	2013-08-02 16:05:50.679033	2013-08-03 19:37:44.706848
23164	4	2013-08-02 16:05:50.57848	2013-08-02 16:05:50.57848
6632	6	2013-08-02 16:05:16.637089	2013-08-08 01:03:13.245725
20061	6	2013-08-02 16:05:43.562658	2013-08-08 01:03:13.302006
23167	7	2013-08-02 16:05:50.586023	2013-08-02 16:05:50.586023
23192	2	2013-08-02 16:05:50.626478	2013-08-03 19:37:44.71425
23230	2	2013-08-02 16:05:50.725782	2013-08-04 01:00:53.744991
8704	21	2013-08-02 16:05:20.532816	2013-08-08 01:03:13.426709
23173	2	2013-08-02 16:05:50.595392	2013-08-04 01:00:53.751617
23174	14	2013-08-02 16:05:50.596178	2013-08-02 16:05:50.596178
23172	2	2013-08-02 16:05:50.594585	2013-08-03 19:37:44.718835
2216	21	2013-08-02 16:05:08.496713	2013-08-08 01:03:13.435483
23210	14	2013-08-02 16:05:50.673644	2013-08-03 21:21:38.075661
23152	2	2013-08-02 16:05:50.551648	2013-08-03 19:37:44.722687
20041	6	2013-08-02 16:05:43.522976	2013-08-08 01:03:13.490064
23153	2	2013-08-02 16:05:50.553763	2013-08-04 01:00:53.757466
23182	2	2013-08-02 16:05:50.610263	2013-08-02 16:05:50.610263
23096	21	2013-08-02 16:05:50.449627	2013-08-04 18:48:50.351122
23184	4	2013-08-02 16:05:50.612856	2013-08-02 16:05:50.612856
23133	2	2013-08-02 16:05:50.513161	2013-08-04 01:00:53.761978
23196	7	2013-08-02 16:05:50.637269	2013-08-04 18:52:29.3339
23187	7	2013-08-02 16:05:50.616064	2013-08-02 16:05:50.616064
16990	7	2013-08-02 16:05:36.798082	2013-08-03 19:58:42.779581
23091	4	2013-08-02 16:05:50.443356	2013-08-04 02:35:42.419137
23170	2	2013-08-02 16:05:50.593016	2013-08-04 18:52:29.381107
23198	4	2013-08-02 16:05:50.64265	2013-08-04 02:40:48.871244
21955	21	2013-08-02 16:05:47.415219	2013-08-04 18:52:29.680083
23194	14	2013-08-02 16:05:50.631858	2013-08-02 16:05:50.631858
23176	14	2013-08-02 16:05:50.598942	2013-08-04 18:52:30.835008
8259	6	2013-08-02 16:05:19.41905	2013-08-08 01:03:13.545587
23190	21	2013-08-02 16:05:50.621365	2013-08-03 21:24:20.777198
21695	21	2013-08-02 16:05:46.807155	2013-08-03 21:24:57.89931
16328	21	2013-08-02 16:05:35.146996	2013-08-08 01:03:13.637933
17030	4	2013-08-02 16:05:36.901179	2013-08-03 19:58:42.78995
21717	4	2013-08-02 16:05:46.860842	2013-08-04 02:40:48.878213
23202	2	2013-08-02 16:05:50.652851	2013-08-02 16:05:50.652851
23150	21	2013-08-02 16:05:50.547468	2013-08-03 21:29:20.989009
23204	4	2013-08-02 16:05:50.658095	2013-08-02 16:05:50.658095
23201	14	2013-08-02 16:05:50.650399	2013-08-03 21:29:20.995604
17041	2	2013-08-02 16:05:36.930712	2013-08-04 18:52:31.046794
23207	7	2013-08-02 16:05:50.665792	2013-08-02 16:05:50.665792
4484	2	2013-08-02 16:05:12.655838	2013-08-03 19:58:42.796784
23231	4	2013-08-02 16:05:50.728418	2013-08-04 02:40:48.882037
23116	2	2013-08-02 16:05:50.481419	2013-08-04 18:52:31.341649
23211	4	2013-08-02 16:05:50.676264	2013-08-04 02:40:48.88533
17070	2	2013-08-02 16:05:37.005955	2013-08-04 18:52:31.632933
23214	14	2013-08-02 16:05:50.684245	2013-08-02 16:05:50.684245
23191	4	2013-08-02 16:05:50.623702	2013-08-04 02:40:48.888799
2236	21	2013-08-02 16:05:08.517426	2013-08-08 01:03:13.645634
23138	14	2013-08-02 16:05:50.523345	2013-08-03 20:07:26.604666
47423	6	2013-08-02 16:06:44.945619	2013-08-08 01:03:13.679909
23095	14	2013-08-02 16:05:50.448388	2013-08-03 20:07:26.60884
23171	4	2013-08-02 16:05:50.593783	2013-08-04 02:40:48.89206
23222	2	2013-08-02 16:05:50.704506	2013-08-02 16:05:50.704506
23151	4	2013-08-02 16:05:50.54949	2013-08-04 02:40:48.897607
23224	4	2013-08-02 16:05:50.709824	2013-08-02 16:05:50.709824
18545	7	2013-08-02 16:05:39.727328	2013-08-03 21:37:44.198313
23156	7	2013-08-02 16:05:50.559842	2013-08-04 18:52:32.289195
23227	7	2013-08-02 16:05:50.717809	2013-08-02 16:05:50.717809
23103	7	2013-08-02 16:05:50.459886	2013-08-03 20:08:28.392149
23123	4	2013-08-02 16:05:50.494166	2013-08-04 02:40:48.905177
3266	6	2013-08-02 16:05:09.967134	2013-08-08 01:03:13.683026
4684	2	2013-08-02 16:05:12.858363	2013-08-03 21:37:44.211078
3285	6	2013-08-02 16:05:10.05518	2013-08-08 01:03:13.685741
23234	14	2013-08-02 16:05:50.73635	2013-08-02 16:05:50.73635
23131	4	2013-08-02 16:05:50.509127	2013-08-04 02:40:48.912009
3245	6	2013-08-02 16:05:09.913197	2013-08-08 01:03:13.73463
23088	2	2013-08-02 16:05:50.439286	2013-08-03 17:58:45.803824
23111	4	2013-08-02 16:05:50.472521	2013-08-04 02:40:48.9196
3146	6	2013-08-02 16:05:09.697213	2013-08-08 01:03:13.786275
21755	7	2013-08-02 16:05:46.951648	2013-08-03 18:02:46.59532
18743	7	2013-08-02 16:05:40.272372	2013-08-03 21:44:33.851234
23115	7	2013-08-02 16:05:50.479611	2013-08-03 18:14:40.7317
23175	4	2013-08-02 16:05:50.597085	2013-08-03 18:14:40.742071
23158	2	2013-08-02 16:05:50.564726	2013-08-03 18:27:15.541938
23118	4	2013-08-02 16:05:50.484953	2013-08-03 18:27:15.562948
23220	21	2013-08-02 16:05:50.699493	2013-08-03 18:32:16.618565
23200	21	2013-08-02 16:05:50.647959	2013-08-03 18:32:16.621468
23180	21	2013-08-02 16:05:50.606383	2013-08-03 18:32:16.623235
23160	21	2013-08-02 16:05:50.568896	2013-08-03 18:32:16.624965
23100	14	2013-08-02 16:05:50.455195	2013-08-03 18:32:16.669787
23383	7	2013-08-02 16:05:51.102864	2013-08-03 17:52:02.22263
23385	21	2013-08-02 16:05:51.108144	2013-08-03 18:52:32.770118
23365	21	2013-08-02 16:05:51.057261	2013-08-03 18:52:32.774549
23242	2	2013-08-02 16:05:50.757772	2013-08-02 16:05:50.757772
23345	21	2013-08-02 16:05:51.013094	2013-08-03 18:52:32.778151
23244	4	2013-08-02 16:05:50.76316	2013-08-02 16:05:50.76316
36821	21	2013-08-02 16:06:21.408899	2013-08-03 23:34:27.627702
17666	4	2013-08-02 16:05:38.489422	2013-08-04 17:21:54.537248
23247	7	2013-08-02 16:05:50.770947	2013-08-02 16:05:50.770947
23325	21	2013-08-02 16:05:50.959801	2013-08-03 18:52:32.781758
21277	14	2013-08-02 16:05:45.642983	2013-08-03 23:34:27.654475
41483	4	2013-08-02 16:06:31.271914	2013-08-04 17:21:54.549143
23241	4	2013-08-02 16:05:50.755119	2013-08-03 21:14:22.315273
29158	4	2013-08-02 16:06:03.203397	2013-08-04 17:21:54.560647
23254	14	2013-08-02 16:05:50.787853	2013-08-02 16:05:50.787853
23305	21	2013-08-02 16:05:50.911222	2013-08-03 18:52:32.785352
23363	7	2013-08-02 16:05:51.051864	2013-08-03 17:52:02.226053
23269	14	2013-08-02 16:05:50.823619	2013-08-04 21:00:00.720747
47901	4	2013-08-02 16:06:45.694998	2013-08-04 17:21:54.571477
23262	2	2013-08-02 16:05:50.806902	2013-08-02 16:05:50.806902
23264	4	2013-08-02 16:05:50.811669	2013-08-02 16:05:50.811669
47721	4	2013-08-02 16:06:45.325926	2013-08-04 17:21:54.582026
34737	4	2013-08-02 16:06:16.426961	2013-08-04 17:21:54.593399
23267	7	2013-08-02 16:05:50.818831	2013-08-02 16:05:50.818831
23328	7	2013-08-02 16:05:50.966923	2013-08-03 18:52:33.24386
45510	4	2013-08-02 16:06:40.683352	2013-08-04 17:21:54.604436
28132	4	2013-08-02 16:06:01.247601	2013-08-04 17:21:54.615814
7289	4	2013-08-02 16:05:17.706257	2013-08-04 17:21:54.628026
23274	14	2013-08-02 16:05:50.835631	2013-08-02 16:05:50.835631
6631	14	2013-08-02 16:05:16.634418	2013-08-03 19:37:44.630442
23343	7	2013-08-02 16:05:51.008653	2013-08-03 17:52:02.229035
23392	14	2013-08-02 16:05:51.127424	2013-08-03 19:37:44.639917
23372	14	2013-08-02 16:05:51.073572	2013-08-03 19:37:44.647308
20906	2	2013-08-02 16:05:45.095814	2013-08-03 23:34:27.807854
23282	2	2013-08-02 16:05:50.855381	2013-08-02 16:05:50.855381
23352	14	2013-08-02 16:05:51.023201	2013-08-03 19:37:44.653196
23284	4	2013-08-02 16:05:50.860185	2013-08-02 16:05:50.860185
7215	4	2013-08-02 16:05:17.639683	2013-08-04 17:21:54.639456
23369	7	2013-08-02 16:05:51.067316	2013-08-04 21:00:00.742503
23287	7	2013-08-02 16:05:50.867742	2013-08-02 16:05:50.867742
23332	14	2013-08-02 16:05:50.97725	2013-08-03 19:37:44.658945
20833	21	2013-08-02 16:05:44.862206	2013-08-03 23:34:27.983544
23310	7	2013-08-02 16:05:50.923278	2013-08-03 21:21:38.097038
23276	4	2013-08-02 16:05:50.840611	2013-08-04 18:48:30.566419
23294	14	2013-08-02 16:05:50.884645	2013-08-02 16:05:50.884645
23312	14	2013-08-02 16:05:50.928344	2013-08-03 19:37:44.667203
23323	7	2013-08-02 16:05:50.955024	2013-08-03 17:52:02.231974
23292	14	2013-08-02 16:05:50.879845	2013-08-03 19:37:44.673044
23272	2	2013-08-02 16:05:50.830868	2013-08-03 19:37:44.686554
20813	21	2013-08-02 16:05:44.842853	2013-08-03 23:34:27.985836
23302	2	2013-08-02 16:05:50.903896	2013-08-02 16:05:50.903896
23252	2	2013-08-02 16:05:50.783024	2013-08-03 19:37:44.694853
23304	4	2013-08-02 16:05:50.908864	2013-08-02 16:05:50.908864
23316	2	2013-08-02 16:05:50.938281	2013-08-04 18:48:30.56941
23307	7	2013-08-02 16:05:50.915959	2013-08-02 16:05:50.915959
47143	21	2013-08-02 16:06:44.401448	2013-08-03 20:02:24.599702
20730	21	2013-08-02 16:05:44.627374	2013-08-03 23:34:27.9885
23255	21	2013-08-02 16:05:50.790258	2013-08-04 21:00:00.952658
20793	21	2013-08-02 16:05:44.822326	2013-08-03 23:34:27.990644
23314	14	2013-08-02 16:05:50.933469	2013-08-02 16:05:50.933469
47123	21	2013-08-02 16:06:44.353991	2013-08-03 20:02:24.60183
21815	4	2013-08-02 16:05:47.100469	2013-08-03 18:02:46.60452
47103	21	2013-08-02 16:06:44.304011	2013-08-03 20:02:24.603207
47083	21	2013-08-02 16:06:44.24993	2013-08-03 20:02:24.60451
20841	21	2013-08-02 16:05:44.871169	2013-08-03 23:34:27.992702
23322	2	2013-08-02 16:05:50.952645	2013-08-02 16:05:50.952645
47063	21	2013-08-02 16:06:44.191883	2013-08-03 20:02:24.605709
23324	4	2013-08-02 16:05:50.957415	2013-08-02 16:05:50.957415
23350	4	2013-08-02 16:05:51.018481	2013-08-03 21:21:38.106874
23249	21	2013-08-02 16:05:50.775837	2013-08-04 21:00:13.897708
23327	7	2013-08-02 16:05:50.964521	2013-08-02 16:05:50.964521
47043	21	2013-08-02 16:06:44.146216	2013-08-03 20:02:24.606761
23353	2	2013-08-02 16:05:51.025283	2013-08-04 01:00:53.701555
23329	21	2013-08-02 16:05:50.96929	2013-08-04 21:00:14.038683
23333	2	2013-08-02 16:05:50.981315	2013-08-04 01:00:53.70623
23389	14	2013-08-02 16:05:51.119433	2013-08-04 21:00:14.110826
23334	14	2013-08-02 16:05:50.984385	2013-08-02 16:05:50.984385
23390	2	2013-08-02 16:05:51.122209	2013-08-03 21:21:38.112398
23313	2	2013-08-02 16:05:50.931021	2013-08-04 01:00:53.711017
46983	14	2013-08-02 16:06:44.045882	2013-08-03 20:02:24.633436
23289	21	2013-08-02 16:05:50.87266	2013-08-04 21:00:14.188308
46963	4	2013-08-02 16:06:44.005081	2013-08-03 20:02:24.643632
23293	2	2013-08-02 16:05:50.882268	2013-08-04 01:00:53.715423
23342	2	2013-08-02 16:05:51.00598	2013-08-02 16:05:51.00598
23275	14	2013-08-02 16:05:50.838013	2013-08-03 20:07:26.600324
23344	4	2013-08-02 16:05:51.011286	2013-08-02 16:05:51.011286
23273	2	2013-08-02 16:05:50.833275	2013-08-04 01:00:53.720191
23376	21	2013-08-02 16:05:51.084078	2013-08-04 18:48:50.354621
23347	7	2013-08-02 16:05:51.014644	2013-08-02 16:05:51.014644
23265	2	2013-08-02 16:05:50.814048	2013-08-04 01:00:53.724475
23253	2	2013-08-02 16:05:50.785471	2013-08-04 01:00:53.728595
23296	2	2013-08-02 16:05:50.88937	2013-08-04 18:52:28.514711
23285	21	2013-08-02 16:05:50.862817	2013-08-04 18:52:28.536678
23256	2	2013-08-02 16:05:50.79266	2013-08-04 18:52:28.800628
23354	14	2013-08-02 16:05:51.027946	2013-08-02 16:05:51.027946
23349	21	2013-08-02 16:05:51.016098	2013-08-04 21:00:14.255489
23270	21	2013-08-02 16:05:50.826016	2013-08-04 21:00:14.258063
21855	2	2013-08-02 16:05:47.195834	2013-08-03 18:02:46.61088
23373	21	2013-08-02 16:05:51.076053	2013-08-04 01:08:40.862184
23290	21	2013-08-02 16:05:50.875047	2013-08-04 21:00:14.499766
23356	21	2013-08-02 16:05:51.033309	2013-08-04 18:52:29.679136
21346	2	2013-08-02 16:05:45.822168	2013-08-04 02:00:47.168795
23362	2	2013-08-02 16:05:51.049212	2013-08-02 16:05:51.049212
23331	4	2013-08-02 16:05:50.974012	2013-08-04 02:40:48.826043
23364	4	2013-08-02 16:05:51.054555	2013-08-02 16:05:51.054555
23311	4	2013-08-02 16:05:50.925752	2013-08-04 02:40:48.830406
23336	2	2013-08-02 16:05:50.989803	2013-08-04 18:52:29.863391
23367	7	2013-08-02 16:05:51.062469	2013-08-02 16:05:51.062469
23291	4	2013-08-02 16:05:50.877448	2013-08-04 02:40:48.834814
23271	4	2013-08-02 16:05:50.828498	2013-08-04 02:40:48.84173
23348	2	2013-08-02 16:05:51.015335	2013-08-04 18:52:31.334123
23250	4	2013-08-02 16:05:50.778238	2013-08-04 02:40:48.850222
23371	2	2013-08-02 16:05:51.070913	2013-08-04 18:52:31.625152
23374	14	2013-08-02 16:05:51.078744	2013-08-02 16:05:51.078744
23251	4	2013-08-02 16:05:50.780636	2013-08-04 02:40:48.860644
23309	14	2013-08-02 16:05:50.920742	2013-08-04 21:00:26.401611
3186	6	2013-08-02 16:05:09.78738	2013-08-08 01:03:13.820799
3226	6	2013-08-02 16:05:09.861321	2013-08-08 01:03:13.824063
7519	6	2013-08-02 16:05:17.941536	2013-08-08 01:03:13.827065
47543	6	2013-08-02 16:06:45.071445	2013-08-08 01:03:13.860642
3891	6	2013-08-02 16:05:11.486321	2013-08-08 01:03:13.863784
23382	2	2013-08-02 16:05:51.100185	2013-08-02 16:05:51.100185
23391	4	2013-08-02 16:05:51.124806	2013-08-04 02:45:47.122753
23384	4	2013-08-02 16:05:51.105531	2013-08-02 16:05:51.105531
23315	4	2013-08-02 16:05:50.935854	2013-08-04 02:45:47.284514
17365	6	2013-08-02 16:05:37.788991	2013-08-08 01:03:13.866812
23387	7	2013-08-02 16:05:51.113845	2013-08-02 16:05:51.113845
28486	6	2013-08-02 16:06:01.801041	2013-08-08 01:03:13.911079
34341	6	2013-08-02 16:06:15.457523	2013-08-08 01:03:13.914248
29301	6	2013-08-02 16:06:03.561843	2013-08-08 01:03:13.957723
28381	6	2013-08-02 16:06:01.695292	2013-08-08 01:03:13.960606
317	6	2013-08-02 16:05:04.624693	2013-08-08 01:03:14.03978
16190	21	2013-08-02 16:05:34.803105	2013-08-08 01:03:14.045492
28405	6	2013-08-02 16:06:01.715017	2013-08-08 01:03:14.093732
45040	6	2013-08-02 16:06:39.628913	2013-08-08 01:03:14.200375
12138	2	2013-08-02 16:05:27.36523	2013-08-03 18:02:46.685531
8251	6	2013-08-02 16:05:19.399809	2013-08-08 01:03:14.222043
35653	6	2013-08-02 16:06:18.855995	2013-08-08 01:03:14.224402
23295	7	2013-08-02 16:05:50.886994	2013-08-03 18:15:01.456508
7126	21	2013-08-02 16:05:17.553956	2013-08-03 18:27:15.423315
23337	21	2013-08-02 16:05:50.992431	2013-08-03 18:27:15.42655
23378	21	2013-08-02 16:05:51.089513	2013-08-03 18:27:15.42854
23358	21	2013-08-02 16:05:51.038461	2013-08-03 18:27:15.430375
23338	21	2013-08-02 16:05:50.995111	2013-08-03 18:27:15.432226
23318	21	2013-08-02 16:05:50.943107	2013-08-03 18:27:15.441007
23298	14	2013-08-02 16:05:50.89413	2013-08-03 18:27:15.453919
23280	21	2013-08-02 16:05:50.850599	2013-08-03 18:32:16.610264
23260	21	2013-08-02 16:05:50.802157	2013-08-03 18:32:16.612711
23240	21	2013-08-02 16:05:50.752429	2013-08-03 18:32:16.615591
23357	2	2013-08-02 16:05:51.035825	2013-08-03 18:32:16.924882
23380	2	2013-08-02 16:05:51.094781	2013-08-03 18:32:16.932298
23360	2	2013-08-02 16:05:51.043792	2013-08-03 18:32:16.942475
23340	2	2013-08-02 16:05:51.000388	2013-08-03 18:32:16.946621
23320	2	2013-08-02 16:05:50.947844	2013-08-03 18:32:16.949604
23394	14	2013-08-02 16:05:51.132759	2013-08-02 16:05:51.132759
23545	7	2013-08-02 16:05:51.488378	2013-08-03 18:52:33.17319
23409	4	2013-08-02 16:05:51.172252	2013-08-04 21:00:00.753463
33605	4	2013-08-02 16:06:14.252269	2013-08-04 17:21:54.647701
23525	7	2013-08-02 16:05:51.435426	2013-08-03 18:52:33.176438
23505	7	2013-08-02 16:05:51.409173	2013-08-03 18:52:33.180289
23470	7	2013-08-02 16:05:51.324515	2013-08-03 22:45:42.857829
23402	2	2013-08-02 16:05:51.154274	2013-08-02 16:05:51.154274
23485	7	2013-08-02 16:05:51.360788	2013-08-03 18:52:33.189253
23404	4	2013-08-02 16:05:51.159563	2013-08-02 16:05:51.159563
47098	4	2013-08-02 16:06:44.290372	2013-08-04 17:21:54.652823
33361	4	2013-08-02 16:06:13.960851	2013-08-04 17:21:54.656863
23407	7	2013-08-02 16:05:51.16736	2013-08-02 16:05:51.16736
23465	7	2013-08-02 16:05:51.31151	2013-08-03 18:52:33.199107
49403	4	2013-08-02 16:06:48.943785	2013-08-04 17:21:54.661134
22918	4	2013-08-02 16:05:49.866222	2013-08-04 17:21:55.366886
23421	2	2013-08-02 16:05:51.203244	2013-08-03 21:11:12.378218
6101	4	2013-08-02 16:05:15.377806	2013-08-04 17:21:55.373383
23414	14	2013-08-02 16:05:51.184771	2013-08-02 16:05:51.184771
23445	7	2013-08-02 16:05:51.263705	2013-08-03 18:52:33.210186
23490	2	2013-08-02 16:05:51.372589	2013-08-04 21:00:00.761106
22919	4	2013-08-02 16:05:49.868807	2013-08-04 17:21:55.378594
23425	7	2013-08-02 16:05:51.213249	2013-08-03 18:52:33.22155
23405	7	2013-08-02 16:05:51.162241	2013-08-03 18:52:33.232776
20753	14	2013-08-02 16:05:44.654244	2013-08-03 23:34:28.01857
23422	2	2013-08-02 16:05:51.205695	2013-08-02 16:05:51.205695
23452	21	2013-08-02 16:05:51.280315	2013-08-03 19:37:44.597875
23424	4	2013-08-02 16:05:51.210748	2013-08-02 16:05:51.210748
22899	4	2013-08-02 16:05:49.820532	2013-08-04 17:21:55.385804
22879	4	2013-08-02 16:05:49.769832	2013-08-04 17:21:55.394917
23427	7	2013-08-02 16:05:51.218334	2013-08-02 16:05:51.218334
23432	14	2013-08-02 16:05:51.231254	2013-08-03 19:37:44.612408
22681	21	2013-08-02 16:05:49.322596	2013-08-03 23:34:28.09925
22800	4	2013-08-02 16:05:49.560339	2013-08-04 17:21:55.404721
23429	21	2013-08-02 16:05:51.223333	2013-08-04 21:00:13.369428
22859	4	2013-08-02 16:05:49.716504	2013-08-04 17:21:55.415214
23434	14	2013-08-02 16:05:51.236585	2013-08-02 16:05:51.236585
23412	14	2013-08-02 16:05:51.17947	2013-08-03 19:37:44.621155
23472	4	2013-08-02 16:05:51.329316	2013-08-03 19:39:16.680258
23416	14	2013-08-02 16:05:51.190012	2013-08-04 18:48:45.010368
23442	2	2013-08-02 16:05:51.256439	2013-08-02 16:05:51.256439
23512	2	2013-08-02 16:05:51.417895	2013-08-03 19:39:16.683911
23444	4	2013-08-02 16:05:51.261298	2013-08-02 16:05:51.261298
23481	14	2013-08-02 16:05:51.351387	2013-08-03 21:11:32.370895
23469	14	2013-08-02 16:05:51.322076	2013-08-04 21:00:14.391849
23447	7	2013-08-02 16:05:51.268474	2013-08-02 16:05:51.268474
20773	7	2013-08-02 16:05:44.675498	2013-08-04 01:08:40.894035
23454	14	2013-08-02 16:05:51.285054	2013-08-02 16:05:51.285054
23536	7	2013-08-02 16:05:51.464631	2013-08-04 18:48:45.036393
18841	7	2013-08-02 16:05:40.474908	2013-08-04 21:00:14.413593
23426	4	2013-08-02 16:05:51.215833	2013-08-04 01:08:40.897482
23462	2	2013-08-02 16:05:51.303951	2013-08-02 16:05:51.303951
23446	2	2013-08-02 16:05:51.266109	2013-08-04 01:08:40.902346
23464	4	2013-08-02 16:05:51.309169	2013-08-02 16:05:51.309169
23496	21	2013-08-02 16:05:51.38672	2013-08-04 21:00:26.017503
23467	7	2013-08-02 16:05:51.316948	2013-08-02 16:05:51.316948
23455	21	2013-08-02 16:05:51.287406	2013-08-04 18:52:28.535723
5737	2	2013-08-02 16:05:14.516469	2013-08-04 18:52:28.790777
23476	2	2013-08-02 16:05:51.33939	2013-08-04 18:52:29.325697
23461	21	2013-08-02 16:05:51.30163	2013-08-03 21:14:22.699555
23436	2	2013-08-02 16:05:51.241734	2013-08-04 18:52:29.376467
23474	14	2013-08-02 16:05:51.334236	2013-08-02 16:05:51.334236
23456	14	2013-08-02 16:05:51.289823	2013-08-04 18:52:30.824598
23449	21	2013-08-02 16:05:51.273292	2013-08-04 21:00:26.020359
23396	14	2013-08-02 16:05:51.138244	2013-08-04 18:52:31.039926
3255	2	2013-08-02 16:05:09.939738	2013-08-03 20:02:24.863681
23529	21	2013-08-02 16:05:51.446041	2013-08-04 21:00:26.121074
23523	21	2013-08-02 16:05:51.430647	2013-08-04 01:08:40.924385
23413	14	2013-08-02 16:05:51.182092	2013-08-04 01:08:40.955113
23482	2	2013-08-02 16:05:51.353788	2013-08-02 16:05:51.353788
23532	7	2013-08-02 16:05:51.454017	2013-08-04 18:52:32.285706
23484	4	2013-08-02 16:05:51.358418	2013-08-02 16:05:51.358418
23550	21	2013-08-02 16:05:51.501645	2013-08-03 21:24:19.77026
23487	7	2013-08-02 16:05:51.365492	2013-08-02 16:05:51.365492
23530	21	2013-08-02 16:05:51.448728	2013-08-03 21:24:19.773125
23509	21	2013-08-02 16:05:51.41467	2013-08-04 21:00:26.606969
23489	21	2013-08-02 16:05:51.370196	2013-08-04 21:00:26.609387
23494	14	2013-08-02 16:05:51.382003	2013-08-02 16:05:51.382003
23483	21	2013-08-02 16:05:51.356155	2013-08-04 01:08:51.791944
23521	21	2013-08-02 16:05:51.428021	2013-08-04 21:00:27.115878
23549	21	2013-08-02 16:05:51.499004	2013-08-04 21:00:27.117975
23515	2	2013-08-02 16:05:51.421134	2013-08-04 21:01:19.777738
5177	2	2013-08-02 16:05:13.453666	2013-08-03 21:24:19.810235
23503	21	2013-08-02 16:05:51.404632	2013-08-04 01:10:50.774621
23502	2	2013-08-02 16:05:51.401967	2013-08-02 16:05:51.401967
23463	21	2013-08-02 16:05:51.306659	2013-08-08 01:03:11.312651
23504	4	2013-08-02 16:05:51.407315	2013-08-02 16:05:51.407315
23450	4	2013-08-02 16:05:51.275639	2013-08-03 21:24:19.852072
32838	6	2013-08-02 16:06:12.499543	2013-08-08 01:03:14.226573
23507	7	2013-08-02 16:05:51.412339	2013-08-02 16:05:51.412339
27161	6	2013-08-02 16:05:59.023307	2013-08-08 01:03:14.25622
1127	6	2013-08-02 16:05:05.818759	2013-08-08 01:03:14.259041
23410	4	2013-08-02 16:05:51.174685	2013-08-03 21:24:20.323663
22666	6	2013-08-02 16:05:49.287261	2013-08-08 01:03:14.261632
23514	14	2013-08-02 16:05:51.420031	2013-08-02 16:05:51.420031
69	6	2013-08-02 16:05:04.378485	2013-08-08 01:03:14.285626
247	6	2013-08-02 16:05:04.56583	2013-08-08 01:03:14.288529
264	6	2013-08-02 16:05:04.579139	2013-08-08 01:03:14.29122
32879	6	2013-08-02 16:06:12.600251	2013-08-08 01:03:14.324377
40115	6	2013-08-02 16:06:28.485103	2013-08-08 01:03:14.327167
20301	6	2013-08-02 16:05:44.203287	2013-08-08 01:03:14.329835
23510	7	2013-08-02 16:05:51.415823	2013-08-04 01:31:50.543046
23522	2	2013-08-02 16:05:51.429342	2013-08-02 16:05:51.429342
40650	6	2013-08-02 16:06:29.263615	2013-08-08 01:03:14.377603
23524	4	2013-08-02 16:05:51.432929	2013-08-02 16:05:51.432929
23441	14	2013-08-02 16:05:51.253894	2013-08-03 21:30:42.52498
19868	6	2013-08-02 16:05:43.084853	2013-08-08 01:03:14.4251
23527	7	2013-08-02 16:05:51.440711	2013-08-02 16:05:51.440711
19888	6	2013-08-02 16:05:43.137956	2013-08-08 01:03:14.472918
23506	4	2013-08-02 16:05:51.410373	2013-08-04 01:31:50.549606
19908	6	2013-08-02 16:05:43.190992	2013-08-08 01:03:14.524369
23534	14	2013-08-02 16:05:51.459353	2013-08-02 16:05:51.459353
13406	14	2013-08-02 16:05:29.462938	2013-08-03 21:37:44.39829
23542	2	2013-08-02 16:05:51.480381	2013-08-02 16:05:51.480381
23544	4	2013-08-02 16:05:51.485742	2013-08-02 16:05:51.485742
4724	2	2013-08-02 16:05:12.893297	2013-08-04 01:31:50.556267
23547	7	2013-08-02 16:05:51.49372	2013-08-02 16:05:51.49372
6471	14	2013-08-02 16:05:16.223498	2013-08-03 18:02:46.718482
23423	7	2013-08-02 16:05:51.208105	2013-08-04 01:35:46.624735
13693	4	2013-08-02 16:05:30.000103	2013-08-03 18:09:35.651384
23443	21	2013-08-02 16:05:51.258897	2013-08-04 01:35:46.686528
23475	14	2013-08-02 16:05:51.336934	2013-08-03 18:18:42.504575
23546	2	2013-08-02 16:05:51.491061	2013-08-04 01:50:57.469197
23398	21	2013-08-02 16:05:51.143587	2013-08-03 18:27:15.418991
23518	21	2013-08-02 16:05:51.42407	2013-08-03 18:32:16.0985
23498	21	2013-08-02 16:05:51.391455	2013-08-03 18:32:16.100205
23478	21	2013-08-02 16:05:51.34422	2013-08-03 18:32:16.101493
23458	21	2013-08-02 16:05:51.294575	2013-08-03 18:32:16.102599
23438	21	2013-08-02 16:05:51.246694	2013-08-03 18:32:16.103688
23418	21	2013-08-02 16:05:51.195323	2013-08-03 18:32:16.105613
23403	2	2013-08-02 16:05:51.156922	2013-08-04 01:50:57.473717
23526	2	2013-08-02 16:05:51.438017	2013-08-04 01:50:57.477987
6116	7	2013-08-02 16:05:15.414925	2013-08-03 21:44:33.847672
23466	2	2013-08-02 16:05:51.31411	2013-08-04 01:50:59.070602
3806	2	2013-08-02 16:05:11.278518	2013-08-04 01:50:59.082465
23486	2	2013-08-02 16:05:51.363125	2013-08-04 02:00:47.145466
23406	2	2013-08-02 16:05:51.164893	2013-08-04 02:00:47.156727
16056	21	2013-08-02 16:05:34.496751	2013-08-04 02:43:06.267393
23411	14	2013-08-02 16:05:51.177085	2013-08-04 02:43:06.362742
23492	7	2013-08-02 16:05:51.377285	2013-08-04 02:43:06.371082
14891	4	2013-08-02 16:05:32.845769	2013-08-04 02:43:06.376338
23535	2	2013-08-02 16:05:51.462028	2013-08-04 02:43:06.382328
23531	21	2013-08-02 16:05:51.451366	2013-08-04 02:45:45.800422
16263	21	2013-08-02 16:05:34.984359	2013-08-04 02:45:45.99097
23471	21	2013-08-02 16:05:51.326943	2013-08-04 02:45:45.993589
23538	4	2013-08-02 16:05:51.469927	2013-08-04 02:45:46.962967
23451	21	2013-08-02 16:05:51.277977	2013-08-04 02:46:23.431139
18588	21	2013-08-02 16:05:39.831422	2013-08-04 02:47:24.383525
23491	14	2013-08-02 16:05:51.374927	2013-08-04 03:00:23.395814
23431	4	2013-08-02 16:05:51.228619	2013-08-04 03:00:38.705562
23638	21	2013-08-02 16:05:51.740066	2013-08-03 20:12:24.02786
26666	21	2013-08-02 16:05:57.675416	2013-08-04 17:02:14.540149
23554	14	2013-08-02 16:05:51.512633	2013-08-02 16:05:51.512633
14968	7	2013-08-02 16:05:33.03536	2013-08-03 18:52:33.090613
23583	21	2013-08-02 16:05:51.589322	2013-08-03 17:52:02.133799
23705	7	2013-08-02 16:05:51.90335	2013-08-03 18:52:33.10022
23609	4	2013-08-02 16:05:51.659767	2013-08-04 21:00:14.424692
23685	7	2013-08-02 16:05:51.86462	2013-08-03 18:52:33.111444
14806	2	2013-08-02 16:05:32.641928	2013-08-04 01:05:56.365638
23562	2	2013-08-02 16:05:51.533655	2013-08-02 16:05:51.533655
23665	7	2013-08-02 16:05:51.812095	2013-08-03 18:52:33.123125
23564	4	2013-08-02 16:05:51.538447	2013-08-02 16:05:51.538447
23575	21	2013-08-02 16:05:51.567848	2013-08-03 20:12:24.029026
22839	4	2013-08-02 16:05:49.663279	2013-08-04 17:21:55.425285
23567	7	2013-08-02 16:05:51.546563	2013-08-02 16:05:51.546563
23645	7	2013-08-02 16:05:51.757891	2013-08-03 18:52:33.134779
23561	4	2013-08-02 16:05:51.531141	2013-08-03 22:49:21.095315
22819	4	2013-08-02 16:05:49.611044	2013-08-04 17:21:55.436589
7491	21	2013-08-02 16:05:17.913263	2013-08-03 20:12:24.030091
22799	4	2013-08-02 16:05:49.557404	2013-08-04 17:21:55.448177
23574	14	2013-08-02 16:05:51.565237	2013-08-02 16:05:51.565237
23625	7	2013-08-02 16:05:51.70364	2013-08-03 18:52:33.151539
22779	4	2013-08-02 16:05:49.505398	2013-08-04 17:21:55.458264
23605	7	2013-08-02 16:05:51.648785	2013-08-03 18:52:33.159143
23649	2	2013-08-02 16:05:51.768691	2013-08-04 21:00:14.431917
23585	7	2013-08-02 16:05:51.594756	2013-08-03 18:52:33.164731
17198	21	2013-08-02 16:05:37.447927	2013-08-03 23:34:28.100248
23582	2	2013-08-02 16:05:51.586586	2013-08-02 16:05:51.586586
23565	7	2013-08-02 16:05:51.541207	2013-08-03 18:52:33.169312
23584	4	2013-08-02 16:05:51.591966	2013-08-02 16:05:51.591966
23646	2	2013-08-02 16:05:51.760674	2013-08-04 01:50:57.426422
16130	4	2013-08-02 16:05:34.646619	2013-08-04 17:21:55.469704
23587	7	2013-08-02 16:05:51.600342	2013-08-02 16:05:51.600342
23626	2	2013-08-02 16:05:51.706573	2013-08-04 01:50:57.431678
22753	4	2013-08-02 16:05:49.441058	2013-08-04 17:21:55.476538
23581	7	2013-08-02 16:05:51.5839	2013-08-03 21:11:32.392561
22759	4	2013-08-02 16:05:49.454354	2013-08-04 17:21:55.480238
23594	14	2013-08-02 16:05:51.619071	2013-08-02 16:05:51.619071
22739	4	2013-08-02 16:05:49.417327	2013-08-04 17:21:55.487483
22730	4	2013-08-02 16:05:49.405475	2013-08-04 17:21:55.492619
23663	14	2013-08-02 16:05:51.806733	2013-08-03 19:42:25.098456
23629	21	2013-08-02 16:05:51.715488	2013-08-04 21:00:25.97055
23606	2	2013-08-02 16:05:51.651416	2013-08-04 01:50:57.43611
23632	2	2013-08-02 16:05:51.723696	2013-08-04 01:50:57.440344
23602	2	2013-08-02 16:05:51.640814	2013-08-02 16:05:51.640814
3103	4	2013-08-02 16:05:09.630952	2013-08-04 17:21:55.497224
23604	4	2013-08-02 16:05:51.64612	2013-08-02 16:05:51.64612
23641	4	2013-08-02 16:05:51.748077	2013-08-03 21:11:32.401165
2767	4	2013-08-02 16:05:09.146249	2013-08-04 17:21:55.505139
23607	7	2013-08-02 16:05:51.654268	2013-08-02 16:05:51.654268
23601	2	2013-08-02 16:05:51.638127	2013-08-04 01:50:57.445893
23586	2	2013-08-02 16:05:51.597558	2013-08-04 01:50:57.451861
2756	4	2013-08-02 16:05:09.136621	2013-08-04 17:21:55.51207
23563	2	2013-08-02 16:05:51.536046	2013-08-04 01:50:57.457331
23614	14	2013-08-02 16:05:51.673595	2013-08-02 16:05:51.673595
23572	4	2013-08-02 16:05:51.559871	2013-08-03 19:42:25.195306
23623	14	2013-08-02 16:05:51.697966	2013-08-03 17:54:09.636501
7471	14	2013-08-02 16:05:17.895789	2013-08-04 21:00:26.292983
23612	14	2013-08-02 16:05:51.66789	2013-08-03 19:42:25.417859
23566	2	2013-08-02 16:05:51.5439	2013-08-04 01:50:57.462237
23622	2	2013-08-02 16:05:51.695224	2013-08-02 16:05:51.695224
23678	2	2013-08-02 16:05:51.845769	2013-08-03 21:14:21.16236
23624	4	2013-08-02 16:05:51.700789	2013-08-02 16:05:51.700789
23603	2	2013-08-02 16:05:51.643456	2013-08-04 01:55:51.004446
23627	7	2013-08-02 16:05:51.709662	2013-08-02 16:05:51.709662
23699	2	2013-08-02 16:05:51.895631	2013-08-04 17:31:51.578687
14848	2	2013-08-02 16:05:32.742727	2013-08-04 01:55:51.009763
23703	2	2013-08-02 16:05:51.900926	2013-08-04 17:31:51.590226
23706	2	2013-08-02 16:05:51.905309	2013-08-04 01:55:51.01578
23679	2	2013-08-02 16:05:51.84844	2013-08-04 17:31:51.601072
23634	14	2013-08-02 16:05:51.729309	2013-08-02 16:05:51.729309
23692	14	2013-08-02 16:05:51.879995	2013-08-03 19:42:57.600417
23598	21	2013-08-02 16:05:51.629618	2013-08-04 21:00:26.611676
23558	21	2013-08-02 16:05:51.52323	2013-08-03 21:14:22.698862
26646	7	2013-08-02 16:05:57.622736	2013-08-04 21:00:26.954659
30645	7	2013-08-02 16:06:06.897568	2013-08-03 20:02:25.159619
23686	2	2013-08-02 16:05:51.867544	2013-08-04 01:55:51.022901
23642	2	2013-08-02 16:05:51.75058	2013-08-02 16:05:51.75058
23670	21	2013-08-02 16:05:51.825063	2013-08-03 21:24:19.744933
23644	4	2013-08-02 16:05:51.755452	2013-08-02 16:05:51.755452
23650	21	2013-08-02 16:05:51.771498	2013-08-03 21:24:19.749268
23556	2	2013-08-02 16:05:51.517947	2013-08-04 18:52:29.853599
23647	7	2013-08-02 16:05:51.763241	2013-08-02 16:05:51.763241
23666	2	2013-08-02 16:05:51.814771	2013-08-04 01:55:51.032203
25370	14	2013-08-02 16:05:54.711136	2013-08-04 18:52:31.128333
14760	14	2013-08-02 16:05:32.54155	2013-08-04 18:52:31.133591
23630	21	2013-08-02 16:05:51.718305	2013-08-03 21:24:19.752988
14786	14	2013-08-02 16:05:32.597805	2013-08-04 18:52:31.138411
23654	14	2013-08-02 16:05:51.782305	2013-08-02 16:05:51.782305
14850	21	2013-08-02 16:05:32.747552	2013-08-03 21:24:19.756702
23610	21	2013-08-02 16:05:51.662563	2013-08-03 21:24:19.759459
23696	14	2013-08-02 16:05:51.888461	2013-08-04 18:52:31.143441
23569	14	2013-08-02 16:05:51.551863	2013-08-04 21:00:27.019993
2402	2	2013-08-02 16:05:08.71143	2013-08-03 20:02:25.244948
23662	2	2013-08-02 16:05:51.804022	2013-08-02 16:05:51.804022
23676	14	2013-08-02 16:05:51.840339	2013-08-04 18:52:31.148294
23664	4	2013-08-02 16:05:51.809431	2013-08-02 16:05:51.809431
23590	21	2013-08-02 16:05:51.608685	2013-08-03 21:24:19.764732
23656	14	2013-08-02 16:05:51.787779	2013-08-04 18:52:31.152708
23667	7	2013-08-02 16:05:51.817485	2013-08-02 16:05:51.817485
23636	14	2013-08-02 16:05:51.734693	2013-08-04 18:52:31.157646
26686	7	2013-08-02 16:05:57.720118	2013-08-04 02:43:09.353901
23552	14	2013-08-02 16:05:51.507251	2013-08-04 18:52:31.16262
23570	21	2013-08-02 16:05:51.554539	2013-08-03 21:24:19.768143
23674	14	2013-08-02 16:05:51.835077	2013-08-02 16:05:51.835077
14840	21	2013-08-02 16:05:32.722556	2013-08-03 20:02:25.300099
23669	21	2013-08-02 16:05:51.82262	2013-08-08 01:03:13.42944
19928	6	2013-08-02 16:05:43.243819	2013-08-08 01:03:14.57592
14826	21	2013-08-02 16:05:32.686226	2013-08-03 20:02:25.302182
32859	6	2013-08-02 16:06:12.552233	2013-08-08 01:03:14.660819
24357	21	2013-08-02 16:05:52.847308	2013-08-03 20:02:25.303941
19761	21	2013-08-02 16:05:42.812879	2013-08-08 01:03:14.667085
23682	2	2013-08-02 16:05:51.856638	2013-08-02 16:05:51.856638
32835	6	2013-08-02 16:06:12.492429	2013-08-08 01:03:14.747765
23684	4	2013-08-02 16:05:51.861977	2013-08-02 16:05:51.861977
32855	21	2013-08-02 16:06:12.542664	2013-08-08 01:03:14.753588
19948	6	2013-08-02 16:05:43.290847	2013-08-08 01:03:14.80517
23687	7	2013-08-02 16:05:51.8703	2013-08-02 16:05:51.8703
26575	21	2013-08-02 16:05:57.437782	2013-08-04 02:45:45.799386
16096	21	2013-08-02 16:05:34.565792	2013-08-04 02:45:45.996172
8724	21	2013-08-02 16:05:20.580231	2013-08-08 01:03:14.921464
2242	21	2013-08-02 16:05:08.522735	2013-08-08 01:03:14.924497
19968	14	2013-08-02 16:05:43.341333	2013-08-08 01:03:14.989909
23694	14	2013-08-02 16:05:51.883334	2013-08-02 16:05:51.883334
19988	14	2013-08-02 16:05:43.389422	2013-08-08 01:03:15.03675
20008	14	2013-08-02 16:05:43.43718	2013-08-08 01:03:15.039674
26990	4	2013-08-02 16:05:58.607614	2013-08-04 02:45:46.501318
20028	14	2013-08-02 16:05:43.488611	2013-08-08 01:03:15.102432
2256	14	2013-08-02 16:05:08.537207	2013-08-08 01:03:15.135368
6026	14	2013-08-02 16:05:15.234753	2013-08-08 01:03:15.151117
26886	4	2013-08-02 16:05:58.356969	2013-08-04 02:45:46.505841
23702	2	2013-08-02 16:05:51.899761	2013-08-02 16:05:51.899761
26961	4	2013-08-02 16:05:58.542223	2013-08-04 02:45:46.510331
23704	4	2013-08-02 16:05:51.902085	2013-08-02 16:05:51.902085
26866	4	2013-08-02 16:05:58.308169	2013-08-04 02:45:46.5149
23707	7	2013-08-02 16:05:51.907091	2013-08-02 16:05:51.907091
14766	4	2013-08-02 16:05:32.554455	2013-08-04 02:45:46.828732
23690	4	2013-08-02 16:05:51.878127	2013-08-04 02:45:46.839916
1655	7	2013-08-02 16:05:07.088153	2013-08-03 18:02:46.740485
23568	4	2013-08-02 16:05:51.549235	2013-08-03 18:09:14.750781
23595	7	2013-08-02 16:05:51.621762	2013-08-03 18:18:42.528586
23698	4	2013-08-02 16:05:51.892914	2013-08-03 18:32:16.300138
14872	7	2013-08-02 16:05:32.80059	2013-08-03 20:02:25.421713
7451	14	2013-08-02 16:05:17.878994	2013-08-03 21:37:25.162547
23618	7	2013-08-02 16:05:51.684616	2013-08-03 18:32:16.340113
23578	2	2013-08-02 16:05:51.575856	2013-08-03 18:32:16.3599
23435	21	2013-08-02 16:05:51.239212	2013-08-04 03:00:37.814316
25330	4	2013-08-02 16:05:54.653618	2013-08-03 21:37:44.472254
25365	2	2013-08-02 16:05:54.698565	2013-08-03 21:37:44.475618
12886	7	2013-08-02 16:05:28.946822	2013-08-03 21:37:44.50145
18566	4	2013-08-02 16:05:39.7745	2013-08-03 21:37:44.504942
13386	21	2013-08-02 16:05:29.444737	2013-08-03 21:37:44.516975
18726	21	2013-08-02 16:05:40.25351	2013-08-03 21:37:44.518123
23713	2	2013-08-02 16:05:51.914457	2013-08-04 01:05:56.36107
23743	2	2013-08-02 16:05:51.971192	2013-08-03 22:45:42.875232
23708	21	2013-08-02 16:05:51.908377	2013-08-03 20:12:24.026457
43950	4	2013-08-02 16:06:37.019483	2013-08-04 17:24:31.132489
23714	14	2013-08-02 16:05:51.915731	2013-08-02 16:05:51.915731
23725	7	2013-08-02 16:05:51.933731	2013-08-03 18:52:33.081081
23853	2	2013-08-02 16:05:52.36925	2013-08-04 01:10:51.582135
23749	7	2013-08-02 16:05:51.990651	2013-08-04 21:00:26.315092
23728	2	2013-08-02 16:05:51.936429	2013-08-03 22:49:20.831304
23722	2	2013-08-02 16:05:51.928988	2013-08-02 16:05:51.928988
23724	4	2013-08-02 16:05:51.931988	2013-08-02 16:05:51.931988
23748	7	2013-08-02 16:05:51.986543	2013-08-03 22:49:45.936025
23727	7	2013-08-02 16:05:51.935564	2013-08-02 16:05:51.935564
16581	2	2013-08-02 16:05:35.807685	2013-08-04 01:10:51.586822
16271	4	2013-08-02 16:05:35.003556	2013-08-04 21:00:26.329499
20083	2	2013-08-02 16:05:43.623868	2013-08-04 17:24:31.136723
23750	14	2013-08-02 16:05:51.994658	2013-08-03 21:24:57.918155
23734	14	2013-08-02 16:05:51.946919	2013-08-02 16:05:51.946919
19763	2	2013-08-02 16:05:42.817785	2013-08-04 17:26:49.427032
23809	2	2013-08-02 16:05:52.33161	2013-08-04 21:00:26.33901
16195	2	2013-08-02 16:05:34.814959	2013-08-04 01:15:50.044841
23729	14	2013-08-02 16:05:51.938175	2013-08-04 21:00:26.846077
28605	2	2013-08-02 16:06:01.971608	2013-08-04 01:15:50.056795
16251	14	2013-08-02 16:05:34.952786	2013-08-03 23:37:06.798986
23742	2	2013-08-02 16:05:51.968696	2013-08-02 16:05:51.968696
23845	14	2013-08-02 16:05:52.362908	2013-08-03 18:53:59.759528
23744	4	2013-08-02 16:05:51.974008	2013-08-02 16:05:51.974008
23779	2	2013-08-02 16:05:52.077543	2013-08-04 17:31:51.507157
23790	2	2013-08-02 16:05:52.108506	2013-08-04 17:31:51.519043
23747	7	2013-08-02 16:05:51.98294	2013-08-02 16:05:51.98294
18560	2	2013-08-02 16:05:39.758575	2013-08-04 01:55:50.941169
23759	2	2013-08-02 16:05:52.021028	2013-08-04 17:31:51.530725
23796	14	2013-08-02 16:05:52.127112	2013-08-04 18:52:31.065624
23776	14	2013-08-02 16:05:52.069349	2013-08-04 18:52:31.077239
23754	14	2013-08-02 16:05:52.007725	2013-08-02 16:05:52.007725
23756	14	2013-08-02 16:05:52.013133	2013-08-04 18:52:31.085816
23763	7	2013-08-02 16:05:52.031072	2013-08-03 17:54:09.66036
23805	14	2013-08-02 16:05:52.151318	2013-08-04 18:52:31.093589
23736	14	2013-08-02 16:05:51.951837	2013-08-04 18:52:31.100389
23846	2	2013-08-02 16:05:52.363619	2013-08-04 01:55:50.950177
23762	2	2013-08-02 16:05:52.028452	2013-08-02 16:05:52.028452
16211	14	2013-08-02 16:05:34.853602	2013-08-04 18:52:31.110969
23764	4	2013-08-02 16:05:52.033883	2013-08-02 16:05:52.033883
23710	14	2013-08-02 16:05:51.91086	2013-08-04 18:52:31.118048
23716	14	2013-08-02 16:05:51.917985	2013-08-04 18:52:31.123352
23767	7	2013-08-02 16:05:52.042618	2013-08-02 16:05:52.042618
23856	2	2013-08-02 16:05:52.372004	2013-08-04 18:57:38.953651
23826	2	2013-08-02 16:05:52.347482	2013-08-04 01:55:50.957861
23836	2	2013-08-02 16:05:52.355808	2013-08-04 18:57:38.95826
23816	2	2013-08-02 16:05:52.337968	2013-08-04 18:57:38.964195
23774	14	2013-08-02 16:05:52.063778	2013-08-02 16:05:52.063778
23803	2	2013-08-02 16:05:52.146195	2013-08-03 18:59:37.096006
4744	2	2013-08-02 16:05:12.910479	2013-08-04 21:01:22.293818
23849	2	2013-08-02 16:05:52.366053	2013-08-04 21:01:22.308796
23752	21	2013-08-02 16:05:52.002282	2013-08-03 19:42:25.013383
23723	7	2013-08-02 16:05:51.930607	2013-08-04 21:01:22.475801
23732	21	2013-08-02 16:05:51.942277	2013-08-03 19:42:25.017464
23782	2	2013-08-02 16:05:52.085161	2013-08-02 16:05:52.085161
23730	21	2013-08-02 16:05:51.939034	2013-08-03 21:25:17.428705
23784	4	2013-08-02 16:05:52.090572	2013-08-02 16:05:52.090572
23829	21	2013-08-02 16:05:52.350113	2013-08-08 01:03:05.899066
23789	21	2013-08-02 16:05:52.105482	2013-08-08 01:03:06.109818
23787	7	2013-08-02 16:05:52.098926	2013-08-02 16:05:52.098926
23830	21	2013-08-02 16:05:52.350896	2013-08-08 01:03:08.307073
16291	7	2013-08-02 16:05:35.052277	2013-08-03 23:37:06.810918
15107	14	2013-08-02 16:05:33.398983	2013-08-08 01:03:15.154176
41592	14	2013-08-02 16:06:31.536992	2013-08-08 01:03:15.157185
15099	14	2013-08-02 16:05:33.380734	2013-08-08 01:03:15.160236
23794	14	2013-08-02 16:05:52.121515	2013-08-02 16:05:52.121515
23852	14	2013-08-02 16:05:52.368396	2013-08-03 19:42:25.371212
15127	14	2013-08-02 16:05:33.430905	2013-08-08 01:03:15.163267
23806	2	2013-08-02 16:05:52.154036	2013-08-04 01:55:50.966445
23832	14	2013-08-02 16:05:52.352441	2013-08-03 19:42:25.379151
12876	14	2013-08-02 16:05:28.933411	2013-08-08 01:03:15.166294
23812	14	2013-08-02 16:05:52.334303	2013-08-03 19:42:25.390158
16311	2	2013-08-02 16:05:35.103194	2013-08-04 01:55:50.971616
23802	2	2013-08-02 16:05:52.143623	2013-08-02 16:05:52.143623
23792	14	2013-08-02 16:05:52.115338	2013-08-03 19:42:25.401015
23804	4	2013-08-02 16:05:52.1487	2013-08-02 16:05:52.1487
15147	14	2013-08-02 16:05:33.453297	2013-08-08 01:03:15.169411
15125	14	2013-08-02 16:05:33.428882	2013-08-08 01:03:15.172445
23807	7	2013-08-02 16:05:52.156845	2013-08-02 16:05:52.156845
15167	14	2013-08-02 16:05:33.481181	2013-08-08 01:03:15.175512
3001	14	2013-08-02 16:05:09.456122	2013-08-08 01:03:15.178535
13045	14	2013-08-02 16:05:29.105301	2013-08-08 01:03:15.181652
23786	2	2013-08-02 16:05:52.096074	2013-08-04 01:55:50.976929
3021	14	2013-08-02 16:05:09.480314	2013-08-08 01:03:15.184717
23814	14	2013-08-02 16:05:52.336109	2013-08-02 16:05:52.336109
23772	14	2013-08-02 16:05:52.058278	2013-08-03 19:42:25.408759
23823	4	2013-08-02 16:05:52.34487	2013-08-03 17:54:09.663703
23783	2	2013-08-02 16:05:52.087821	2013-08-04 01:55:50.981617
23766	2	2013-08-02 16:05:52.039398	2013-08-04 01:55:50.986522
23745	2	2013-08-02 16:05:51.976897	2013-08-04 01:55:50.991391
23822	2	2013-08-02 16:05:52.343886	2013-08-02 16:05:52.343886
23824	4	2013-08-02 16:05:52.345695	2013-08-02 16:05:52.345695
23746	2	2013-08-02 16:05:51.980125	2013-08-04 01:55:50.995764
23827	7	2013-08-02 16:05:52.348371	2013-08-02 16:05:52.348371
23726	2	2013-08-02 16:05:51.93461	2013-08-04 01:55:50.999379
23808	2	2013-08-02 16:05:52.330536	2013-08-04 02:00:47.07921
23834	14	2013-08-02 16:05:52.354355	2013-08-02 16:05:52.354355
3289	21	2013-08-02 16:05:10.059314	2013-08-03 20:02:25.53164
23843	2	2013-08-02 16:05:52.361414	2013-08-03 17:54:09.66488
16178	2	2013-08-02 16:05:34.773442	2013-08-04 02:00:47.090604
23842	2	2013-08-02 16:05:52.360679	2013-08-02 16:05:52.360679
23844	4	2013-08-02 16:05:52.362147	2013-08-02 16:05:52.362147
23788	2	2013-08-02 16:05:52.101702	2013-08-04 02:00:47.101845
23847	7	2013-08-02 16:05:52.364311	2013-08-02 16:05:52.364311
16320	2	2013-08-02 16:05:35.126499	2013-08-04 02:00:47.112885
23768	2	2013-08-02 16:05:52.046636	2013-08-04 02:00:47.123676
23854	14	2013-08-02 16:05:52.370088	2013-08-02 16:05:52.370088
32435	14	2013-08-02 16:06:11.370013	2013-08-03 20:02:25.574207
23850	2	2013-08-02 16:05:52.366754	2013-08-04 02:00:47.134593
4788	7	2013-08-02 16:05:13.005787	2013-08-03 20:02:25.592205
23848	2	2013-08-02 16:05:52.365315	2013-08-04 02:05:54.965629
23862	2	2013-08-02 16:05:52.377566	2013-08-02 16:05:52.377566
23864	4	2013-08-02 16:05:52.379127	2013-08-02 16:05:52.379127
6459	2	2013-08-02 16:05:16.194022	2013-08-03 18:02:46.753068
23828	2	2013-08-02 16:05:52.34917	2013-08-04 02:05:54.972049
11636	7	2013-08-02 16:05:26.07899	2013-08-03 18:02:46.812761
23712	2	2013-08-02 16:05:51.91317	2013-08-04 02:05:54.976751
13713	4	2013-08-02 16:05:30.049544	2013-08-03 18:02:46.821158
23858	21	2013-08-02 16:05:52.373682	2013-08-03 18:32:16.258159
23838	21	2013-08-02 16:05:52.357394	2013-08-03 18:32:16.259867
23818	21	2013-08-02 16:05:52.340177	2013-08-03 18:32:16.262191
23798	21	2013-08-02 16:05:52.132363	2013-08-03 18:32:16.265442
23778	21	2013-08-02 16:05:52.074806	2013-08-03 18:32:16.268687
23758	21	2013-08-02 16:05:52.018269	2013-08-03 18:32:16.271649
2588	2	2013-08-02 16:05:08.933492	2013-08-03 20:02:25.797048
12171	2	2013-08-02 16:05:27.406821	2013-08-03 20:02:25.806581
11631	2	2013-08-02 16:05:26.073561	2013-08-03 20:02:25.817088
26392	4	2013-08-02 16:05:56.973777	2013-08-03 20:02:25.975713
23771	4	2013-08-02 16:05:52.055495	2013-08-04 02:45:46.773544
23751	4	2013-08-02 16:05:51.9986	2013-08-04 02:45:46.7852
23810	4	2013-08-02 16:05:52.33249	2013-08-04 02:45:46.796084
23731	4	2013-08-02 16:05:51.940293	2013-08-04 02:45:46.80696
23711	4	2013-08-02 16:05:51.912133	2013-08-04 02:45:46.817913
23691	4	2013-08-02 16:05:51.879065	2013-08-04 02:45:46.851416
23683	4	2013-08-02 16:05:51.859287	2013-08-04 02:45:46.865105
23671	4	2013-08-02 16:05:51.827491	2013-08-04 02:45:46.876371
46863	4	2013-08-02 16:06:43.761493	2013-08-04 02:45:46.887549
23651	4	2013-08-02 16:05:51.774265	2013-08-04 02:45:46.899059
23631	4	2013-08-02 16:05:51.720983	2013-08-04 02:45:46.91025
23611	4	2013-08-02 16:05:51.665211	2013-08-04 02:45:46.922787
23591	4	2013-08-02 16:05:51.611367	2013-08-04 02:45:46.935463
23571	4	2013-08-02 16:05:51.557222	2013-08-04 02:45:46.946742
23551	4	2013-08-02 16:05:51.5044	2013-08-04 02:45:46.957937
4748	4	2013-08-02 16:05:12.913889	2013-08-04 02:50:50.681291
4768	4	2013-08-02 16:05:12.990341	2013-08-04 02:50:50.693411
23851	4	2013-08-02 16:05:52.367546	2013-08-04 02:50:50.705331
23831	4	2013-08-02 16:05:52.351679	2013-08-04 02:50:50.715599
23941	21	2013-08-02 16:05:52.443048	2013-08-03 21:14:20.831999
21857	21	2013-08-02 16:05:47.2006	2013-08-04 17:26:49.463207
23867	7	2013-08-02 16:05:52.381516	2013-08-02 16:05:52.381516
29346	2	2013-08-02 16:06:03.670802	2013-08-04 17:26:49.692733
24013	2	2013-08-02 16:05:52.514826	2013-08-04 01:15:49.980675
29326	2	2013-08-02 16:06:03.623095	2013-08-04 17:26:49.703736
23875	21	2013-08-02 16:05:52.388248	2013-08-04 21:01:22.070461
29306	2	2013-08-02 16:06:03.573817	2013-08-04 17:26:49.714812
23874	14	2013-08-02 16:05:52.387376	2013-08-02 16:05:52.387376
23866	2	2013-08-02 16:05:52.380715	2013-08-04 01:55:50.932596
25301	7	2013-08-02 16:05:54.601321	2013-08-04 21:01:22.098061
24009	7	2013-08-02 16:05:52.511522	2013-08-04 21:01:22.113269
29286	2	2013-08-02 16:06:03.525455	2013-08-04 17:26:49.7257
4304	7	2013-08-02 16:05:12.370055	2013-08-04 21:01:22.128184
12510	2	2013-08-02 16:05:28.162845	2013-08-04 02:00:46.949272
43178	2	2013-08-02 16:06:35.156725	2013-08-04 02:00:46.961083
23882	2	2013-08-02 16:05:52.394024	2013-08-02 16:05:52.394024
23884	4	2013-08-02 16:05:52.395574	2013-08-02 16:05:52.395574
23989	7	2013-08-02 16:05:52.492389	2013-08-04 21:01:22.142992
34672	2	2013-08-02 16:06:16.263886	2013-08-04 17:26:49.736738
23887	7	2013-08-02 16:05:52.397978	2013-08-02 16:05:52.397978
29266	2	2013-08-02 16:06:03.478259	2013-08-04 17:26:49.747924
24006	2	2013-08-02 16:05:52.508394	2013-08-04 02:00:46.973428
29246	2	2013-08-02 16:06:03.429699	2013-08-04 17:26:49.758964
23986	2	2013-08-02 16:05:52.489029	2013-08-04 02:00:46.98478
29230	2	2013-08-02 16:06:03.391495	2013-08-04 17:26:49.770052
23894	14	2013-08-02 16:05:52.40374	2013-08-02 16:05:52.40374
29226	2	2013-08-02 16:06:03.381957	2013-08-04 17:26:49.781103
47023	7	2013-08-02 16:06:44.104157	2013-08-04 21:01:22.157558
23965	7	2013-08-02 16:05:52.46919	2013-08-03 18:53:59.786658
3743	2	2013-08-02 16:05:11.113516	2013-08-04 17:26:49.792097
23969	7	2013-08-02 16:05:52.473065	2013-08-04 21:01:22.172679
24005	4	2013-08-02 16:05:52.507599	2013-08-03 18:53:59.794546
23966	2	2013-08-02 16:05:52.47009	2013-08-04 02:00:46.995674
23902	2	2013-08-02 16:05:52.411127	2013-08-02 16:05:52.411127
23946	2	2013-08-02 16:05:52.448584	2013-08-04 02:00:47.006586
23904	4	2013-08-02 16:05:52.412786	2013-08-02 16:05:52.412786
24021	21	2013-08-02 16:05:52.522177	2013-08-03 21:19:21.203035
36125	14	2013-08-02 16:06:19.956865	2013-08-04 18:57:38.878709
23907	7	2013-08-02 16:05:52.415183	2013-08-02 16:05:52.415183
24016	14	2013-08-02 16:05:52.51756	2013-08-04 18:57:38.883196
23926	2	2013-08-02 16:05:52.429882	2013-08-04 02:00:47.017949
23996	14	2013-08-02 16:05:52.500369	2013-08-04 18:57:38.887569
23870	7	2013-08-02 16:05:52.384005	2013-08-03 21:24:57.930005
23976	14	2013-08-02 16:05:52.479653	2013-08-04 18:57:38.892243
23914	14	2013-08-02 16:05:52.420378	2013-08-02 16:05:52.420378
24012	2	2013-08-02 16:05:52.514005	2013-08-03 19:42:25.295228
23949	7	2013-08-02 16:05:52.452272	2013-08-04 21:01:22.187393
23929	7	2013-08-02 16:05:52.432317	2013-08-04 21:01:22.201839
24003	2	2013-08-02 16:05:52.506	2013-08-03 19:42:25.299148
23909	7	2013-08-02 16:05:52.416707	2013-08-04 21:01:22.216765
23992	2	2013-08-02 16:05:52.495659	2013-08-03 19:42:25.303007
23905	2	2013-08-02 16:05:52.413635	2013-08-04 02:00:47.022913
23922	2	2013-08-02 16:05:52.42657	2013-08-02 16:05:52.42657
23972	2	2013-08-02 16:05:52.475459	2013-08-03 19:42:25.306933
23924	4	2013-08-02 16:05:52.42804	2013-08-02 16:05:52.42804
23956	14	2013-08-02 16:05:52.459817	2013-08-04 18:57:38.898365
23936	14	2013-08-02 16:05:52.438312	2013-08-04 18:57:38.903926
23927	7	2013-08-02 16:05:52.430602	2013-08-02 16:05:52.430602
23923	2	2013-08-02 16:05:52.427324	2013-08-04 18:57:38.91901
23906	2	2013-08-02 16:05:52.414437	2013-08-04 02:00:47.030963
23916	2	2013-08-02 16:05:52.421841	2013-08-04 18:57:38.925862
23985	2	2013-08-02 16:05:52.488116	2013-08-04 02:00:47.040648
23896	2	2013-08-02 16:05:52.405588	2013-08-04 18:57:38.931904
23934	14	2013-08-02 16:05:52.436735	2013-08-02 16:05:52.436735
23952	2	2013-08-02 16:05:52.455824	2013-08-03 19:42:25.312042
23889	2	2013-08-02 16:05:52.399553	2013-08-04 21:01:22.248385
23932	2	2013-08-02 16:05:52.434633	2013-08-03 19:42:25.319425
23912	2	2013-08-02 16:05:52.418957	2013-08-03 19:42:25.328895
15105	14	2013-08-02 16:05:33.394296	2013-08-08 01:03:15.18752
23892	14	2013-08-02 16:05:52.401994	2013-08-03 19:42:25.346795
24008	2	2013-08-02 16:05:52.510163	2013-08-04 02:05:54.863864
23942	2	2013-08-02 16:05:52.444227	2013-08-02 16:05:52.444227
23865	14	2013-08-02 16:05:52.379888	2013-08-03 19:42:25.353367
23944	4	2013-08-02 16:05:52.446076	2013-08-02 16:05:52.446076
23910	4	2013-08-02 16:05:52.417494	2013-08-03 21:24:57.934429
24001	2	2013-08-02 16:05:52.50435	2013-08-04 18:57:38.939222
23947	7	2013-08-02 16:05:52.450445	2013-08-02 16:05:52.450445
23876	2	2013-08-02 16:05:52.389114	2013-08-04 18:57:38.946696
3200	2	2013-08-02 16:05:09.800014	2013-08-04 02:05:54.87507
15191	14	2013-08-02 16:05:33.501826	2013-08-08 01:03:15.190281
23988	2	2013-08-02 16:05:52.490799	2013-08-04 02:05:54.880764
22746	14	2013-08-02 16:05:49.428012	2013-08-08 01:03:15.253194
23954	14	2013-08-02 16:05:52.457506	2013-08-02 16:05:52.457506
35693	6	2013-08-02 16:06:18.892847	2013-08-08 01:03:15.336381
8744	6	2013-08-02 16:05:20.627421	2013-08-08 01:03:15.384623
23963	14	2013-08-02 16:05:52.466845	2013-08-03 17:55:00.269898
32839	6	2013-08-02 16:06:12.501871	2013-08-08 01:03:15.411395
32819	6	2013-08-02 16:06:12.453692	2013-08-08 01:03:15.413435
4824	2	2013-08-02 16:05:13.033172	2013-08-03 20:02:26.090851
23968	2	2013-08-02 16:05:52.472163	2013-08-04 02:05:54.887597
23962	2	2013-08-02 16:05:52.465584	2013-08-02 16:05:52.465584
32799	6	2013-08-02 16:06:12.405001	2013-08-08 01:03:15.416358
23964	4	2013-08-02 16:05:52.468081	2013-08-02 16:05:52.468081
23930	21	2013-08-02 16:05:52.433133	2013-08-03 21:25:17.477548
8764	6	2013-08-02 16:05:20.674872	2013-08-08 01:03:15.462278
23967	7	2013-08-02 16:05:52.471127	2013-08-02 16:05:52.471127
8784	6	2013-08-02 16:05:20.722382	2013-08-08 01:03:15.465547
4844	2	2013-08-02 16:05:13.048901	2013-08-04 02:05:54.894654
15187	14	2013-08-02 16:05:33.498658	2013-08-08 01:03:15.527517
23948	2	2013-08-02 16:05:52.451485	2013-08-04 02:05:54.904357
15207	14	2013-08-02 16:05:33.514025	2013-08-08 01:03:15.530597
23974	14	2013-08-02 16:05:52.477993	2013-08-02 16:05:52.477993
26532	2	2013-08-02 16:05:57.33105	2013-08-03 20:02:26.243885
15227	14	2013-08-02 16:05:33.530835	2013-08-08 01:03:15.533447
46203	2	2013-08-02 16:06:41.885949	2013-08-03 20:02:26.256844
23928	2	2013-08-02 16:05:52.431438	2013-08-04 02:05:54.915309
23982	2	2013-08-02 16:05:52.485434	2013-08-02 16:05:52.485434
4672	4	2013-08-02 16:05:12.848597	2013-08-03 20:02:26.815898
23984	4	2013-08-02 16:05:52.487225	2013-08-02 16:05:52.487225
23987	7	2013-08-02 16:05:52.489913	2013-08-02 16:05:52.489913
23908	2	2013-08-02 16:05:52.415893	2013-08-04 02:05:54.926221
23945	2	2013-08-02 16:05:52.446994	2013-08-04 02:05:54.937102
23994	14	2013-08-02 16:05:52.498106	2013-08-02 16:05:52.498106
23890	7	2013-08-02 16:05:52.400311	2013-08-03 21:25:17.910322
23990	7	2013-08-02 16:05:52.493316	2013-08-03 21:29:22.060149
23888	2	2013-08-02 16:05:52.398748	2013-08-04 02:05:54.950058
23868	2	2013-08-02 16:05:52.38231	2013-08-04 02:05:54.960889
24002	2	2013-08-02 16:05:52.505239	2013-08-02 16:05:52.505239
24004	4	2013-08-02 16:05:52.50674	2013-08-02 16:05:52.50674
23981	7	2013-08-02 16:05:52.484514	2013-08-03 21:34:20.727087
24007	7	2013-08-02 16:05:52.509194	2013-08-02 16:05:52.509194
6338	4	2013-08-02 16:05:15.96992	2013-08-04 02:45:46.966525
5996	21	2013-08-02 16:05:15.161222	2013-08-03 21:37:44.521428
24014	14	2013-08-02 16:05:52.515614	2013-08-02 16:05:52.515614
25350	21	2013-08-02 16:05:54.674094	2013-08-03 21:37:44.522372
21335	2	2013-08-02 16:05:45.794739	2013-08-03 18:02:46.826495
39137	4	2013-08-02 16:06:26.487305	2013-08-04 02:45:47.214119
39117	4	2013-08-02 16:06:26.466335	2013-08-04 02:45:47.21974
25281	7	2013-08-02 16:05:54.570377	2013-08-03 21:39:31.288982
12550	4	2013-08-02 16:05:28.242669	2013-08-03 18:03:06.765634
39097	4	2013-08-02 16:06:26.443297	2013-08-04 02:45:47.22949
16159	4	2013-08-02 16:05:34.723715	2013-08-04 02:45:47.294791
16036	4	2013-08-02 16:05:34.463713	2013-08-04 02:45:47.305157
23898	21	2013-08-02 16:05:52.407515	2013-08-03 18:32:16.251944
23878	21	2013-08-02 16:05:52.39072	2013-08-03 18:32:16.254814
24000	7	2013-08-02 16:05:52.503587	2013-08-03 18:32:16.978065
23980	7	2013-08-02 16:05:52.483615	2013-08-03 18:32:16.985033
23960	7	2013-08-02 16:05:52.463464	2013-08-03 18:32:16.990015
23940	7	2013-08-02 16:05:52.441979	2013-08-03 18:32:16.994291
23920	7	2013-08-02 16:05:52.425017	2013-08-03 18:32:16.997737
23900	7	2013-08-02 16:05:52.409541	2013-08-03 18:32:17.006162
20137	4	2013-08-02 16:05:43.988391	2013-08-04 02:45:47.37104
23903	9	2013-08-02 16:05:52.411907	2013-08-03 18:33:25.120212
23998	21	2013-08-02 16:05:52.502027	2013-08-03 18:37:39.945467
23978	21	2013-08-02 16:05:52.481765	2013-08-03 18:37:39.948546
23958	21	2013-08-02 16:05:52.461653	2013-08-03 18:37:39.951565
23938	21	2013-08-02 16:05:52.439858	2013-08-03 18:37:39.954792
23918	21	2013-08-02 16:05:52.423452	2013-08-03 18:37:39.958034
5070	7	2013-08-02 16:05:13.273127	2013-08-03 18:37:40.483332
20239	4	2013-08-02 16:05:44.137717	2013-08-04 02:45:47.375003
20219	4	2013-08-02 16:05:44.110785	2013-08-04 02:45:47.378648
20199	4	2013-08-02 16:05:44.081671	2013-08-04 02:45:47.381989
20238	4	2013-08-02 16:05:44.136307	2013-08-04 02:45:47.38548
24022	2	2013-08-02 16:05:52.522991	2013-08-02 16:05:52.522991
24025	2	2013-08-02 16:05:52.525439	2013-08-03 18:53:59.802421
24024	4	2013-08-02 16:05:52.524644	2013-08-02 16:05:52.524644
24045	14	2013-08-02 16:05:52.542131	2013-08-03 21:16:55.081531
29206	2	2013-08-02 16:06:03.330099	2013-08-04 17:26:49.803235
24027	7	2013-08-02 16:05:52.526968	2013-08-02 16:05:52.526968
29232	2	2013-08-02 16:06:03.396293	2013-08-04 17:26:49.814365
24029	9	2013-08-02 16:05:52.528404	2013-08-02 16:05:52.528404
16363	21	2013-08-02 16:05:35.20234	2013-08-03 23:37:06.831105
49783	2	2013-08-02 16:06:50.073738	2013-08-04 17:26:49.856005
24176	14	2013-08-02 16:05:52.664919	2013-08-04 19:07:38.763943
2907	2	2013-08-02 16:05:09.343621	2013-08-04 17:26:49.998637
24034	14	2013-08-02 16:05:52.532345	2013-08-02 16:05:52.532345
24165	2	2013-08-02 16:05:52.655156	2013-08-04 01:15:49.942344
24156	14	2013-08-02 16:05:52.646326	2013-08-04 19:07:38.768896
19581	2	2013-08-02 16:05:42.359724	2013-08-04 17:26:50.003414
24136	14	2013-08-02 16:05:52.626424	2013-08-04 19:07:38.773656
24116	14	2013-08-02 16:05:52.608606	2013-08-04 19:07:38.77769
24096	14	2013-08-02 16:05:52.591841	2013-08-04 19:07:38.781763
1399	4	2013-08-02 16:05:06.500178	2013-08-03 23:37:25.841201
24042	2	2013-08-02 16:05:52.539718	2013-08-02 16:05:52.539718
24076	14	2013-08-02 16:05:52.573019	2013-08-04 19:07:38.78632
24044	4	2013-08-02 16:05:52.541314	2013-08-02 16:05:52.541314
24043	14	2013-08-02 16:05:52.540478	2013-08-03 21:25:17.625787
2887	2	2013-08-02 16:05:09.32455	2013-08-04 17:26:50.008789
24047	7	2013-08-02 16:05:52.543763	2013-08-02 16:05:52.543763
2867	2	2013-08-02 16:05:09.262868	2013-08-04 17:26:50.014351
24049	9	2013-08-02 16:05:52.546051	2013-08-02 16:05:52.546051
24053	2	2013-08-02 16:05:52.549595	2013-08-04 01:15:49.948439
2881	2	2013-08-02 16:05:09.318815	2013-08-04 17:26:50.018428
4279	2	2013-08-02 16:05:12.32037	2013-08-04 17:26:50.022484
16866	2	2013-08-02 16:05:36.479278	2013-08-04 17:26:50.026469
24054	14	2013-08-02 16:05:52.55072	2013-08-02 16:05:52.55072
1560	2	2013-08-02 16:05:06.90297	2013-08-03 23:37:25.843015
24070	2	2013-08-02 16:05:52.566796	2013-08-04 01:15:49.958964
24145	14	2013-08-02 16:05:52.635143	2013-08-03 18:54:19.648233
24056	14	2013-08-02 16:05:52.552885	2013-08-04 19:07:38.791393
2847	2	2013-08-02 16:05:09.236124	2013-08-04 17:26:50.0347
18760	2	2013-08-02 16:05:40.28636	2013-08-04 01:21:01.1028
24062	2	2013-08-02 16:05:52.559238	2013-08-02 16:05:52.559238
12391	2	2013-08-02 16:05:27.932727	2013-08-04 17:26:50.039551
24064	4	2013-08-02 16:05:52.561166	2013-08-02 16:05:52.561166
24112	9	2013-08-02 16:05:52.605482	2013-08-03 21:25:17.641041
20468	2	2013-08-02 16:05:44.367942	2013-08-04 17:26:50.047218
24067	7	2013-08-02 16:05:52.563841	2013-08-02 16:05:52.563841
24105	21	2013-08-02 16:05:52.599907	2013-08-04 18:57:38.851117
24069	9	2013-08-02 16:05:52.565917	2013-08-02 16:05:52.565917
16198	14	2013-08-02 16:05:34.822056	2013-08-04 18:57:38.861521
24036	14	2013-08-02 16:05:52.534298	2013-08-04 18:57:38.867899
24030	14	2013-08-02 16:05:52.529205	2013-08-04 18:57:38.873186
15077	14	2013-08-02 16:05:33.336664	2013-08-08 01:03:15.536501
24074	14	2013-08-02 16:05:52.571156	2013-08-02 16:05:52.571156
24125	14	2013-08-02 16:05:52.616434	2013-08-03 18:54:33.654458
24063	9	2013-08-02 16:05:52.560246	2013-08-03 17:55:00.275068
3295	7	2013-08-02 16:05:10.065444	2013-08-03 21:25:17.648039
24943	14	2013-08-02 16:05:53.689648	2013-08-08 01:03:15.539749
24085	7	2013-08-02 16:05:52.581863	2013-08-03 19:02:38.746527
24173	2	2013-08-02 16:05:52.66245	2013-08-04 01:21:01.108532
24082	2	2013-08-02 16:05:52.578744	2013-08-02 16:05:52.578744
24100	21	2013-08-02 16:05:52.595684	2013-08-03 19:42:25.282003
24084	4	2013-08-02 16:05:52.580921	2013-08-02 16:05:52.580921
24923	14	2013-08-02 16:05:53.669462	2013-08-08 01:03:15.54278
15161	14	2013-08-02 16:05:33.472336	2013-08-08 01:03:15.545914
24087	7	2013-08-02 16:05:52.583699	2013-08-02 16:05:52.583699
4786	14	2013-08-02 16:05:13.004302	2013-08-08 01:03:15.555279
24089	9	2013-08-02 16:05:52.585564	2013-08-02 16:05:52.585564
2623	14	2013-08-02 16:05:08.970742	2013-08-03 23:37:25.967977
15267	14	2013-08-02 16:05:33.565684	2013-08-08 01:03:15.558307
14776	14	2013-08-02 16:05:32.575938	2013-08-08 01:03:15.56143
15287	14	2013-08-02 16:05:33.586455	2013-08-08 01:03:15.564468
24094	14	2013-08-02 16:05:52.590045	2013-08-02 16:05:52.590045
24052	2	2013-08-02 16:05:52.548466	2013-08-03 19:42:25.2883
15343	14	2013-08-02 16:05:33.635216	2013-08-08 01:03:15.567536
24032	2	2013-08-02 16:05:52.530743	2013-08-03 19:42:25.291639
24153	2	2013-08-02 16:05:52.64261	2013-08-04 01:21:01.114432
24102	2	2013-08-02 16:05:52.597448	2013-08-02 16:05:52.597448
24104	4	2013-08-02 16:05:52.599096	2013-08-02 16:05:52.599096
24050	21	2013-08-02 16:05:52.546909	2013-08-03 21:29:20.879383
24107	7	2013-08-02 16:05:52.601508	2013-08-02 16:05:52.601508
24109	9	2013-08-02 16:05:52.603049	2013-08-02 16:05:52.603049
24114	14	2013-08-02 16:05:52.60706	2013-08-02 16:05:52.60706
1256	14	2013-08-02 16:05:06.158702	2013-08-03 23:39:26.705041
24103	7	2013-08-02 16:05:52.598265	2013-08-03 17:55:00.277985
24132	9	2013-08-02 16:05:52.623049	2013-08-03 19:42:57.605599
24133	2	2013-08-02 16:05:52.623852	2013-08-04 01:21:01.121843
24122	2	2013-08-02 16:05:52.613938	2013-08-02 16:05:52.613938
24172	7	2013-08-02 16:05:52.661637	2013-08-03 19:42:57.607713
24124	4	2013-08-02 16:05:52.615626	2013-08-02 16:05:52.615626
24106	2	2013-08-02 16:05:52.600736	2013-08-04 02:00:46.871894
24127	7	2013-08-02 16:05:52.618239	2013-08-02 16:05:52.618239
24129	9	2013-08-02 16:05:52.620388	2013-08-02 16:05:52.620388
24086	2	2013-08-02 16:05:52.582785	2013-08-04 02:00:46.883609
24134	14	2013-08-02 16:05:52.624699	2013-08-02 16:05:52.624699
24150	2	2013-08-02 16:05:52.639475	2013-08-04 02:00:46.894524
46145	2	2013-08-02 16:06:41.752646	2013-08-04 02:00:46.905456
24066	2	2013-08-02 16:05:52.562872	2013-08-04 02:00:46.916406
24142	2	2013-08-02 16:05:52.632334	2013-08-02 16:05:52.632334
36143	14	2013-08-02 16:06:20.001378	2013-08-03 20:02:26.963825
24144	4	2013-08-02 16:05:52.63422	2013-08-02 16:05:52.63422
24046	2	2013-08-02 16:05:52.542959	2013-08-04 02:00:46.92731
24147	7	2013-08-02 16:05:52.63698	2013-08-02 16:05:52.63698
24149	9	2013-08-02 16:05:52.638669	2013-08-02 16:05:52.638669
24026	2	2013-08-02 16:05:52.526225	2013-08-04 02:00:46.938351
24080	2	2013-08-02 16:05:52.576345	2013-08-04 02:05:54.710971
24154	14	2013-08-02 16:05:52.643485	2013-08-02 16:05:52.643485
2520	9	2013-08-02 16:05:08.859711	2013-08-03 20:02:27.022734
24166	2	2013-08-02 16:05:52.656016	2013-08-04 02:05:54.722141
18968	2	2013-08-02 16:05:40.765838	2013-08-03 20:02:27.110261
33138	21	2013-08-02 16:06:13.249073	2013-08-03 20:02:27.14686
24146	2	2013-08-02 16:05:52.636094	2013-08-04 02:05:54.733671
24162	2	2013-08-02 16:05:52.652197	2013-08-02 16:05:52.652197
24123	2	2013-08-02 16:05:52.614806	2013-08-04 02:05:54.744999
24164	4	2013-08-02 16:05:52.654262	2013-08-02 16:05:52.654262
24057	2	2013-08-02 16:05:52.553987	2013-08-04 02:05:54.750494
24167	7	2013-08-02 16:05:52.656884	2013-08-02 16:05:52.656884
24169	9	2013-08-02 16:05:52.658463	2013-08-02 16:05:52.658463
24126	2	2013-08-02 16:05:52.617321	2013-08-04 02:05:54.758465
24068	2	2013-08-02 16:05:52.565046	2013-08-04 02:05:54.830167
24174	14	2013-08-02 16:05:52.663247	2013-08-02 16:05:52.663247
24048	2	2013-08-02 16:05:52.544832	2013-08-04 02:05:54.841494
18740	14	2013-08-02 16:05:40.269651	2013-08-03 18:03:06.858369
7818	21	2013-08-02 16:05:18.376212	2013-08-03 20:02:27.340785
24028	2	2013-08-02 16:05:52.527699	2013-08-04 02:05:54.852478
24078	2	2013-08-02 16:05:52.574577	2013-08-04 02:10:50.93284
24040	2	2013-08-02 16:05:52.538033	2013-08-04 02:10:50.939405
18837	9	2013-08-02 16:05:40.465453	2013-08-03 18:03:06.863514
24060	7	2013-08-02 16:05:52.557185	2013-08-03 18:33:25.127651
18840	2	2013-08-02 16:05:40.472565	2013-08-04 02:10:50.949997
24120	4	2013-08-02 16:05:52.612216	2013-08-03 18:33:25.138559
7838	21	2013-08-02 16:05:18.426981	2013-08-03 20:02:27.344141
24160	2	2013-08-02 16:05:52.650473	2013-08-03 18:33:25.145697
24168	2	2013-08-02 16:05:52.657668	2013-08-04 02:10:50.961267
24158	9	2013-08-02 16:05:52.648055	2013-08-03 18:37:40.325718
24148	2	2013-08-02 16:05:52.637854	2013-08-04 02:10:50.972212
24098	4	2013-08-02 16:05:52.593628	2013-08-03 18:37:40.391724
24058	2	2013-08-02 16:05:52.555052	2013-08-03 18:37:40.437005
7756	21	2013-08-02 16:05:18.258279	2013-08-03 20:02:27.347952
24128	2	2013-08-02 16:05:52.619338	2013-08-04 02:10:50.983473
24152	2	2013-08-02 16:05:52.64168	2013-08-04 02:10:50.994371
24108	2	2013-08-02 16:05:52.602276	2013-08-04 02:10:51.005579
24083	2	2013-08-02 16:05:52.579959	2013-08-04 02:10:51.015973
20179	4	2013-08-02 16:05:44.058325	2013-08-04 02:45:47.389113
20159	4	2013-08-02 16:05:44.013485	2013-08-04 02:45:47.393353
20139	4	2013-08-02 16:05:43.991701	2013-08-04 02:45:47.399282
20126	4	2013-08-02 16:05:43.823003	2013-08-04 02:45:47.405013
20119	4	2013-08-02 16:05:43.81759	2013-08-04 02:45:47.41058
20099	4	2013-08-02 16:05:43.667472	2013-08-04 02:45:47.416678
16310	14	2013-08-02 16:05:35.100689	2013-08-04 02:46:47.643341
7433	21	2013-08-02 16:05:17.862656	2013-08-04 02:54:05.450125
24038	4	2013-08-02 16:05:52.536327	2013-08-04 02:56:12.180793
18800	4	2013-08-02 16:05:40.373122	2013-08-04 02:56:12.191532
24171	4	2013-08-02 16:05:52.660861	2013-08-04 02:56:12.202841
16296	9	2013-08-02 16:05:35.063958	2013-08-04 03:00:37.009776
24316	21	2013-08-02 16:05:52.808112	2013-08-04 19:07:38.69026
27708	2	2013-08-02 16:06:00.439979	2013-08-04 17:26:50.175035
7806	2	2013-08-02 16:05:18.345821	2013-08-04 19:07:38.701754
24182	2	2013-08-02 16:05:52.671448	2013-08-02 16:05:52.671448
24283	2	2013-08-02 16:05:52.774653	2013-08-04 01:21:01.072122
24184	4	2013-08-02 16:05:52.673192	2013-08-02 16:05:52.673192
25510	2	2013-08-02 16:05:55.061567	2013-08-04 01:25:47.948456
27680	2	2013-08-02 16:06:00.373089	2013-08-04 17:26:50.186576
24187	7	2013-08-02 16:05:52.676365	2013-08-02 16:05:52.676365
27688	2	2013-08-02 16:06:00.391847	2013-08-04 17:26:50.198136
24189	9	2013-08-02 16:05:52.678207	2013-08-02 16:05:52.678207
25530	2	2013-08-02 16:05:55.114493	2013-08-04 01:25:47.95987
23797	2	2013-08-02 16:05:52.129694	2013-08-04 17:26:50.21072
24201	2	2013-08-02 16:05:52.692113	2013-08-03 21:16:55.126015
27668	2	2013-08-02 16:06:00.344197	2013-08-04 17:26:50.222608
24194	14	2013-08-02 16:05:52.683563	2013-08-02 16:05:52.683563
24225	9	2013-08-02 16:05:52.721581	2013-08-03 18:54:19.666503
24183	2	2013-08-02 16:05:52.67237	2013-08-03 17:55:00.285618
27648	2	2013-08-02 16:06:00.296314	2013-08-04 17:26:50.231513
7823	2	2013-08-02 16:05:18.389605	2013-08-04 19:07:38.707032
24265	7	2013-08-02 16:05:52.758694	2013-08-03 18:54:19.673658
24333	2	2013-08-02 16:05:52.825974	2013-08-04 01:25:47.9711
24202	2	2013-08-02 16:05:52.693823	2013-08-02 16:05:52.693823
26550	2	2013-08-02 16:05:57.377075	2013-08-04 17:26:50.242488
24204	4	2013-08-02 16:05:52.696822	2013-08-02 16:05:52.696822
24181	21	2013-08-02 16:05:52.670564	2013-08-03 21:17:30.657723
2901	2	2013-08-02 16:05:09.338243	2013-08-04 17:26:50.298304
24207	7	2013-08-02 16:05:52.700969	2013-08-02 16:05:52.700969
2827	21	2013-08-02 16:05:09.2098	2013-08-04 17:26:50.343105
24209	9	2013-08-02 16:05:52.703484	2013-08-02 16:05:52.703484
24313	2	2013-08-02 16:05:52.804329	2013-08-04 01:25:47.982012
18916	2	2013-08-02 16:05:40.637593	2013-08-04 17:26:50.940641
18961	2	2013-08-02 16:05:40.749244	2013-08-04 17:26:50.946494
18896	2	2013-08-02 16:05:40.584324	2013-08-04 17:26:50.952462
24214	14	2013-08-02 16:05:52.709164	2013-08-02 16:05:52.709164
24305	4	2013-08-02 16:05:52.796334	2013-08-03 18:54:19.68073
7821	2	2013-08-02 16:05:18.384175	2013-08-04 01:25:47.992944
7746	2	2013-08-02 16:05:18.243691	2013-08-04 01:25:48.003625
24296	2	2013-08-02 16:05:52.787605	2013-08-04 19:07:38.712118
18900	2	2013-08-02 16:05:40.595178	2013-08-03 18:54:19.75798
24293	2	2013-08-02 16:05:52.784747	2013-08-04 01:25:48.016355
24222	2	2013-08-02 16:05:52.718087	2013-08-02 16:05:52.718087
24312	2	2013-08-02 16:05:52.803438	2013-08-04 19:07:38.717238
24224	4	2013-08-02 16:05:52.720278	2013-08-02 16:05:52.720278
18880	2	2013-08-02 16:05:40.542354	2013-08-04 02:05:54.633641
18897	2	2013-08-02 16:05:40.587089	2013-08-04 17:26:50.96075
24227	7	2013-08-02 16:05:52.724119	2013-08-02 16:05:52.724119
18876	2	2013-08-02 16:05:40.531728	2013-08-04 17:26:50.968341
24229	9	2013-08-02 16:05:52.726007	2013-08-02 16:05:52.726007
24306	2	2013-08-02 16:05:52.797933	2013-08-04 02:05:54.637713
24332	2	2013-08-02 16:05:52.824836	2013-08-04 17:36:51.05513
24190	2	2013-08-02 16:05:52.679123	2013-08-03 21:25:17.666212
25550	2	2013-08-02 16:05:55.167941	2013-08-04 17:36:51.059363
24234	14	2013-08-02 16:05:52.730985	2013-08-02 16:05:52.730985
24286	2	2013-08-02 16:05:52.777764	2013-08-04 02:05:54.641494
24276	2	2013-08-02 16:05:52.7682	2013-08-04 19:07:38.723868
24212	2	2013-08-02 16:05:52.707214	2013-08-03 19:42:57.613481
24310	2	2013-08-02 16:05:52.801748	2013-08-04 19:07:38.727943
24266	2	2013-08-02 16:05:52.759555	2013-08-04 02:05:54.645397
24270	2	2013-08-02 16:05:52.762887	2013-08-04 02:05:54.651924
24242	2	2013-08-02 16:05:52.73842	2013-08-02 16:05:52.73842
24192	9	2013-08-02 16:05:52.681781	2013-08-03 19:47:25.118963
24244	4	2013-08-02 16:05:52.740208	2013-08-02 16:05:52.740208
24256	2	2013-08-02 16:05:52.751096	2013-08-04 19:07:38.733196
24236	2	2013-08-02 16:05:52.732903	2013-08-04 19:07:38.73802
24247	7	2013-08-02 16:05:52.742804	2013-08-02 16:05:52.742804
24216	2	2013-08-02 16:05:52.711114	2013-08-04 19:07:38.745791
24249	9	2013-08-02 16:05:52.744608	2013-08-02 16:05:52.744608
24246	2	2013-08-02 16:05:52.741978	2013-08-04 02:05:54.659179
24196	14	2013-08-02 16:05:52.685829	2013-08-04 19:07:38.758548
24330	21	2013-08-02 16:05:52.82198	2013-08-03 21:29:20.386463
24254	14	2013-08-02 16:05:52.749418	2013-08-02 16:05:52.749418
33160	21	2013-08-02 16:06:13.303863	2013-08-04 19:12:37.233837
24226	2	2013-08-02 16:05:52.722904	2013-08-04 02:05:54.668726
24262	2	2013-08-02 16:05:52.75617	2013-08-02 16:05:52.75617
33200	2	2013-08-02 16:06:13.399555	2013-08-04 19:12:37.465132
24264	4	2013-08-02 16:05:52.757818	2013-08-02 16:05:52.757818
24263	2	2013-08-02 16:05:52.75702	2013-08-04 19:12:38.588989
33260	2	2013-08-02 16:06:13.54689	2013-08-04 19:12:38.783941
24267	7	2013-08-02 16:05:52.760355	2013-08-02 16:05:52.760355
15271	14	2013-08-02 16:05:33.569811	2013-08-08 01:03:15.570604
24269	9	2013-08-02 16:05:52.762038	2013-08-02 16:05:52.762038
24206	2	2013-08-02 16:05:52.69967	2013-08-04 02:05:54.679375
15307	14	2013-08-02 16:05:33.604145	2013-08-08 01:03:15.573831
33280	2	2013-08-02 16:06:13.600295	2013-08-04 02:10:50.821913
15296	14	2013-08-02 16:05:33.594568	2013-08-08 01:03:15.576874
24274	14	2013-08-02 16:05:52.766546	2013-08-02 16:05:52.766546
24243	9	2013-08-02 16:05:52.739285	2013-08-03 19:47:26.869469
15327	14	2013-08-02 16:05:33.621382	2013-08-08 01:03:15.57991
24326	2	2013-08-02 16:05:52.818098	2013-08-04 02:10:50.82633
23341	14	2013-08-02 16:05:51.003206	2013-08-08 01:03:15.582915
24252	9	2013-08-02 16:05:52.747667	2013-08-03 19:47:27.96596
24228	2	2013-08-02 16:05:52.725086	2013-08-04 02:10:50.906709
24282	2	2013-08-02 16:05:52.773797	2013-08-02 16:05:52.773797
24284	4	2013-08-02 16:05:52.776047	2013-08-02 16:05:52.776047
24208	2	2013-08-02 16:05:52.702249	2013-08-04 02:10:50.916966
8768	21	2013-08-02 16:05:20.684283	2013-08-08 01:03:15.715144
24287	7	2013-08-02 16:05:52.778633	2013-08-02 16:05:52.778633
5701	21	2013-08-02 16:05:14.431685	2013-08-08 01:03:15.717966
24289	9	2013-08-02 16:05:52.780367	2013-08-02 16:05:52.780367
24245	2	2013-08-02 16:05:52.741102	2013-08-04 02:10:50.921634
41301	14	2013-08-02 16:06:30.593354	2013-08-08 01:03:15.784321
24205	21	2013-08-02 16:05:52.698199	2013-08-03 21:30:23.211973
40952	14	2013-08-02 16:06:29.882006	2013-08-08 01:03:15.851661
24294	14	2013-08-02 16:05:52.785874	2013-08-02 16:05:52.785874
24272	9	2013-08-02 16:05:52.764562	2013-08-03 19:52:26.21971
24188	2	2013-08-02 16:05:52.677335	2013-08-04 02:10:50.926606
32900	14	2013-08-02 16:06:12.650409	2013-08-08 01:03:15.978143
22626	14	2013-08-02 16:05:49.192837	2013-08-08 01:03:15.979847
32957	14	2013-08-02 16:06:12.788804	2013-08-08 01:03:16.039298
24195	2	2013-08-02 16:05:52.684477	2013-08-04 02:15:51.16464
24302	2	2013-08-02 16:05:52.793772	2013-08-02 16:05:52.793772
24304	4	2013-08-02 16:05:52.795454	2013-08-02 16:05:52.795454
24221	21	2013-08-02 16:05:52.716531	2013-08-03 21:30:23.21313
24307	7	2013-08-02 16:05:52.799003	2013-08-02 16:05:52.799003
24309	9	2013-08-02 16:05:52.800868	2013-08-02 16:05:52.800868
24297	2	2013-08-02 16:05:52.788475	2013-08-04 02:15:51.169634
24314	14	2013-08-02 16:05:52.806053	2013-08-02 16:05:52.806053
25361	2	2013-08-02 16:05:54.688036	2013-08-04 02:15:51.173235
7558	14	2013-08-02 16:05:17.980676	2013-08-03 20:02:27.425995
24328	2	2013-08-02 16:05:52.819939	2013-08-04 02:15:51.176484
24322	2	2013-08-02 16:05:52.814436	2013-08-02 16:05:52.814436
24324	4	2013-08-02 16:05:52.81627	2013-08-02 16:05:52.81627
24327	7	2013-08-02 16:05:52.818998	2013-08-02 16:05:52.818998
24329	9	2013-08-02 16:05:52.820937	2013-08-02 16:05:52.820937
24230	2	2013-08-02 16:05:52.72726	2013-08-04 02:15:51.182289
24334	14	2013-08-02 16:05:52.826904	2013-08-02 16:05:52.826904
24317	7	2013-08-02 16:05:52.809311	2013-08-03 17:26:19.797109
25590	2	2013-08-02 16:05:55.266009	2013-08-03 21:39:31.833165
18920	4	2013-08-02 16:05:40.647859	2013-08-03 18:03:06.86863
3397	2	2013-08-02 16:05:10.283185	2013-08-03 21:39:31.840092
18960	2	2013-08-02 16:05:40.746866	2013-08-03 18:03:06.870924
24308	2	2013-08-02 16:05:52.799945	2013-08-04 02:15:51.187543
24288	2	2013-08-02 16:05:52.779481	2013-08-04 02:15:51.192054
24318	21	2013-08-02 16:05:52.810258	2013-08-03 18:37:40.28483
24298	21	2013-08-02 16:05:52.789408	2013-08-03 18:37:40.285833
24278	21	2013-08-02 16:05:52.769954	2013-08-03 18:37:40.286753
24258	21	2013-08-02 16:05:52.752829	2013-08-03 18:37:40.287695
24238	21	2013-08-02 16:05:52.734621	2013-08-03 18:37:40.288658
24218	21	2013-08-02 16:05:52.713494	2013-08-03 18:37:40.290436
24198	14	2013-08-02 16:05:52.6885	2013-08-03 18:37:40.298179
33240	14	2013-08-02 16:06:13.494502	2013-08-03 20:02:27.635304
33220	4	2013-08-02 16:06:13.446888	2013-08-03 20:02:27.644753
24268	2	2013-08-02 16:05:52.761188	2013-08-04 02:15:51.1972
24292	2	2013-08-02 16:05:52.78331	2013-08-04 02:15:51.200936
24248	2	2013-08-02 16:05:52.74368	2013-08-04 02:15:51.204895
16192	9	2013-08-02 16:05:34.807848	2013-08-04 02:46:47.650828
16293	7	2013-08-02 16:05:35.056967	2013-08-04 02:46:47.654327
16336	4	2013-08-02 16:05:35.168782	2013-08-04 02:46:47.662634
16253	21	2013-08-02 16:05:34.958119	2013-08-04 02:50:49.259398
24231	4	2013-08-02 16:05:52.728081	2013-08-04 02:56:12.14685
24203	4	2013-08-02 16:05:52.695521	2013-08-04 02:56:12.151174
24211	4	2013-08-02 16:05:52.706271	2013-08-04 02:56:12.156442
24463	4	2013-08-02 16:05:52.956674	2013-08-04 17:02:13.849127
36941	14	2013-08-02 16:06:21.525509	2013-08-03 23:39:26.588531
24471	2	2013-08-02 16:05:52.963814	2013-08-04 17:02:14.456493
23177	2	2013-08-02 16:05:50.600572	2013-08-04 01:25:47.847533
24342	2	2013-08-02 16:05:52.834966	2013-08-02 16:05:52.834966
18870	2	2013-08-02 16:05:40.523745	2013-08-04 17:26:50.9755
24344	4	2013-08-02 16:05:52.836722	2013-08-02 16:05:52.836722
10026	21	2013-08-02 16:05:23.295897	2013-08-03 21:29:19.603196
13731	2	2013-08-02 16:05:30.088705	2013-08-04 17:26:50.979506
24347	7	2013-08-02 16:05:52.83912	2013-08-02 16:05:52.83912
18890	2	2013-08-02 16:05:40.568283	2013-08-04 17:26:50.986235
24349	9	2013-08-02 16:05:52.84067	2013-08-02 16:05:52.84067
18856	2	2013-08-02 16:05:40.505301	2013-08-04 17:26:50.991138
23166	2	2013-08-02 16:05:50.583461	2013-08-04 17:26:51.346304
24481	21	2013-08-02 16:05:52.973456	2013-08-03 21:29:19.607924
23181	2	2013-08-02 16:05:50.608818	2013-08-04 17:26:51.350214
24354	14	2013-08-02 16:05:52.844793	2013-08-02 16:05:52.844793
23099	2	2013-08-02 16:05:50.45355	2013-08-04 17:26:51.355766
24356	14	2013-08-02 16:05:52.846545	2013-08-04 19:10:36.876009
22935	2	2013-08-02 16:05:49.907992	2013-08-04 17:26:51.361483
21575	2	2013-08-02 16:05:46.380915	2013-08-04 17:26:51.367666
16401	2	2013-08-02 16:05:35.268555	2013-08-04 01:30:51.932779
24362	2	2013-08-02 16:05:52.85158	2013-08-02 16:05:52.85158
24485	14	2013-08-02 16:05:52.977626	2013-08-03 18:57:35.954277
24364	4	2013-08-02 16:05:52.853525	2013-08-02 16:05:52.853525
24473	2	2013-08-02 16:05:52.965796	2013-08-04 01:30:51.938022
13063	2	2013-08-02 16:05:29.129516	2013-08-04 17:26:51.373609
24367	7	2013-08-02 16:05:52.856963	2013-08-02 16:05:52.856963
23079	2	2013-08-02 16:05:50.42858	2013-08-04 17:26:51.379303
24369	9	2013-08-02 16:05:52.859047	2013-08-02 16:05:52.859047
24446	2	2013-08-02 16:05:52.944076	2013-08-04 02:10:50.695895
17917	2	2013-08-02 16:05:38.81948	2013-08-04 17:26:51.384233
24374	14	2013-08-02 16:05:52.863517	2013-08-02 16:05:52.863517
24465	7	2013-08-02 16:05:52.958054	2013-08-03 18:57:35.965436
24343	7	2013-08-02 16:05:52.835845	2013-08-03 17:55:11.020141
24445	2	2013-08-02 16:05:52.943249	2013-08-03 18:57:35.979511
24426	2	2013-08-02 16:05:52.919876	2013-08-04 02:10:50.708337
24382	2	2013-08-02 16:05:52.872395	2013-08-02 16:05:52.872395
24492	21	2013-08-02 16:05:52.983645	2013-08-03 19:47:26.712344
24384	4	2013-08-02 16:05:52.874689	2013-08-02 16:05:52.874689
24470	7	2013-08-02 16:05:52.962127	2013-08-03 21:30:42.608129
24416	9	2013-08-02 16:05:52.908996	2013-08-04 19:10:36.894127
24387	7	2013-08-02 16:05:52.878074	2013-08-02 16:05:52.878074
24389	9	2013-08-02 16:05:52.880177	2013-08-02 16:05:52.880177
24406	2	2013-08-02 16:05:52.899824	2013-08-04 02:10:50.720284
25432	7	2013-08-02 16:05:54.857486	2013-08-04 19:10:36.900668
24394	14	2013-08-02 16:05:52.884905	2013-08-02 16:05:52.884905
24476	4	2013-08-02 16:05:52.96884	2013-08-04 19:10:36.909969
24378	2	2013-08-02 16:05:52.867498	2013-08-04 19:12:35.925563
24456	21	2013-08-02 16:05:52.951851	2013-08-04 19:12:35.961774
24436	2	2013-08-02 16:05:52.93458	2013-08-04 19:12:36.34103
24363	2	2013-08-02 16:05:52.852407	2013-08-04 02:10:50.731717
24402	2	2013-08-02 16:05:52.894678	2013-08-02 16:05:52.894678
24404	4	2013-08-02 16:05:52.897766	2013-08-02 16:05:52.897766
24386	2	2013-08-02 16:05:52.877026	2013-08-04 02:10:50.743838
24412	21	2013-08-02 16:05:52.905138	2013-08-04 19:12:36.570333
24407	7	2013-08-02 16:05:52.900651	2013-08-02 16:05:52.900651
24376	2	2013-08-02 16:05:52.865273	2013-08-04 19:12:36.697458
24409	9	2013-08-02 16:05:52.902361	2013-08-02 16:05:52.902361
24366	2	2013-08-02 16:05:52.855538	2013-08-04 02:10:50.755659
24396	4	2013-08-02 16:05:52.886997	2013-08-04 19:12:37.985309
24383	2	2013-08-02 16:05:52.873489	2013-08-04 02:10:50.767184
24336	21	2013-08-02 16:05:52.828977	2013-08-04 19:12:38.218096
24414	14	2013-08-02 16:05:52.907218	2013-08-02 16:05:52.907218
24392	4	2013-08-02 16:05:52.883169	2013-08-03 19:47:26.780593
24372	14	2013-08-02 16:05:52.862003	2013-08-03 19:47:26.801101
24490	7	2013-08-02 16:05:52.981988	2013-08-04 19:12:39.196013
24405	2	2013-08-02 16:05:52.898969	2013-08-04 02:10:50.778362
24346	2	2013-08-02 16:05:52.838339	2013-08-04 02:10:50.789679
24422	2	2013-08-02 16:05:52.91488	2013-08-02 16:05:52.91488
24352	7	2013-08-02 16:05:52.843155	2013-08-03 19:47:26.826502
24424	4	2013-08-02 16:05:52.917336	2013-08-02 16:05:52.917336
24427	7	2013-08-02 16:05:52.921102	2013-08-02 16:05:52.921102
25430	21	2013-08-02 16:05:54.85229	2013-08-04 19:27:44.765198
24429	9	2013-08-02 16:05:52.923929	2013-08-02 16:05:52.923929
24486	4	2013-08-02 16:05:52.978484	2013-08-04 02:15:50.737844
22728	14	2013-08-02 16:05:49.403107	2013-08-08 01:03:16.100054
25410	7	2013-08-02 16:05:54.800358	2013-08-03 21:39:32.008045
8748	21	2013-08-02 16:05:20.636985	2013-08-08 01:03:16.212717
24434	14	2013-08-02 16:05:52.932901	2013-08-02 16:05:52.932901
24355	2	2013-08-02 16:05:52.845739	2013-08-03 19:47:27.020442
24403	4	2013-08-02 16:05:52.896228	2013-08-03 17:55:11.023219
9848	2	2013-08-02 16:05:23.049638	2013-08-03 19:47:27.026468
15347	21	2013-08-02 16:05:33.63878	2013-08-08 01:03:16.215096
15292	14	2013-08-02 16:05:33.591434	2013-08-08 01:03:16.246796
24466	4	2013-08-02 16:05:52.958837	2013-08-04 02:15:50.74133
24442	2	2013-08-02 16:05:52.940341	2013-08-02 16:05:52.940341
19152	4	2013-08-02 16:05:41.215637	2013-08-04 02:15:50.744801
24444	4	2013-08-02 16:05:52.942363	2013-08-02 16:05:52.942363
25390	7	2013-08-02 16:05:54.751583	2013-08-03 21:39:32.017332
15367	14	2013-08-02 16:05:33.657242	2013-08-08 01:03:16.249989
24447	7	2013-08-02 16:05:52.945187	2013-08-02 16:05:52.945187
13246	14	2013-08-02 16:05:29.3189	2013-08-08 01:03:16.252926
24449	9	2013-08-02 16:05:52.946728	2013-08-02 16:05:52.946728
24408	2	2013-08-02 16:05:52.901463	2013-08-04 02:15:51.136698
15250	14	2013-08-02 16:05:33.54949	2013-08-08 01:03:16.255862
23321	14	2013-08-02 16:05:50.950237	2013-08-08 01:03:16.258656
4344	14	2013-08-02 16:05:12.460946	2013-08-08 01:03:16.261349
24454	14	2013-08-02 16:05:52.950483	2013-08-02 16:05:52.950483
19101	9	2013-08-02 16:05:41.080737	2013-08-03 20:03:31.746956
7175	14	2013-08-02 16:05:17.601622	2013-08-08 01:03:16.264054
19141	7	2013-08-02 16:05:41.18677	2013-08-03 20:03:31.750276
4097	14	2013-08-02 16:05:11.981495	2013-08-08 01:03:16.266793
15183	14	2013-08-02 16:05:33.49571	2013-08-08 01:03:16.284391
24388	2	2013-08-02 16:05:52.879376	2013-08-04 02:15:51.140714
24462	2	2013-08-02 16:05:52.95596	2013-08-02 16:05:52.95596
4905	21	2013-08-02 16:05:13.100311	2013-08-03 21:39:32.043411
24464	4	2013-08-02 16:05:52.957361	2013-08-02 16:05:52.957361
24425	2	2013-08-02 16:05:52.918594	2013-08-04 02:15:51.144929
15447	14	2013-08-02 16:05:33.741998	2013-08-08 01:03:16.287236
24467	7	2013-08-02 16:05:52.959651	2013-08-02 16:05:52.959651
24469	9	2013-08-02 16:05:52.961323	2013-08-02 16:05:52.961323
24368	2	2013-08-02 16:05:52.858049	2013-08-04 02:15:51.14928
24474	14	2013-08-02 16:05:52.966927	2013-08-02 16:05:52.966927
19201	2	2013-08-02 16:05:41.343835	2013-08-03 20:03:31.760058
4904	2	2013-08-02 16:05:13.098951	2013-08-03 20:03:31.792189
16351	2	2013-08-02 16:05:35.186201	2013-08-04 02:15:51.153668
24348	2	2013-08-02 16:05:52.839885	2013-08-04 02:15:51.159488
24482	2	2013-08-02 16:05:52.974222	2013-08-02 16:05:52.974222
24484	4	2013-08-02 16:05:52.976153	2013-08-02 16:05:52.976153
1006	2	2013-08-02 16:05:05.582102	2013-08-04 02:20:51.461068
24487	7	2013-08-02 16:05:52.979328	2013-08-02 16:05:52.979328
24489	9	2013-08-02 16:05:52.981147	2013-08-02 16:05:52.981147
24488	2	2013-08-02 16:05:52.980172	2013-08-04 02:20:51.471974
24423	2	2013-08-02 16:05:52.916063	2013-08-03 17:55:11.024107
24468	2	2013-08-02 16:05:52.960474	2013-08-04 02:20:51.481909
24483	4	2013-08-02 16:05:52.97499	2013-08-03 17:55:22.576835
10006	2	2013-08-02 16:05:23.280032	2013-08-03 18:03:06.916289
19121	2	2013-08-02 16:05:41.134478	2013-08-04 02:20:51.492214
1506	21	2013-08-02 16:05:06.753248	2013-08-03 21:44:33.841396
25401	2	2013-08-02 16:05:54.777543	2013-08-04 02:20:51.503545
24358	21	2013-08-02 16:05:52.848102	2013-08-03 18:37:40.28237
24338	21	2013-08-02 16:05:52.830626	2013-08-03 18:37:40.283664
24440	21	2013-08-02 16:05:52.938391	2013-08-03 18:37:40.779084
24420	21	2013-08-02 16:05:52.912666	2013-08-03 18:37:40.781405
24400	21	2013-08-02 16:05:52.891913	2013-08-03 18:37:40.783809
24380	21	2013-08-02 16:05:52.869356	2013-08-03 18:37:40.786062
24478	21	2013-08-02 16:05:52.970687	2013-08-03 18:42:37.267947
24458	21	2013-08-02 16:05:52.953237	2013-08-03 18:42:37.269534
24438	21	2013-08-02 16:05:52.936319	2013-08-03 18:42:37.270952
24418	21	2013-08-02 16:05:52.910634	2013-08-03 18:42:37.272262
24398	21	2013-08-02 16:05:52.888853	2013-08-03 18:42:37.273435
24448	2	2013-08-02 16:05:52.94596	2013-08-04 02:20:51.512379
25395	14	2013-08-02 16:05:54.763553	2013-08-03 21:54:22.214136
24428	2	2013-08-02 16:05:52.922138	2013-08-04 02:20:51.520605
24351	7	2013-08-02 16:05:52.842269	2013-08-04 03:00:23.671307
24391	4	2013-08-02 16:05:52.882382	2013-08-04 03:00:23.681187
25450	2	2013-08-02 16:05:54.903464	2013-08-04 03:00:23.687711
24371	21	2013-08-02 16:05:52.861226	2013-08-04 03:00:23.930902
25470	21	2013-08-02 16:05:54.956746	2013-08-04 03:00:24.225572
24451	9	2013-08-02 16:05:52.94825	2013-08-04 03:00:36.557651
24491	7	2013-08-02 16:05:52.98282	2013-08-04 03:00:36.56443
19061	4	2013-08-02 16:05:40.997861	2013-08-04 03:00:38.699415
23059	2	2013-08-02 16:05:50.233305	2013-08-04 17:26:51.392197
24494	14	2013-08-02 16:05:52.985272	2013-08-02 16:05:52.985272
24495	21	2013-08-02 16:05:52.986006	2013-08-03 18:57:35.713183
24623	21	2013-08-02 16:05:53.303491	2013-08-03 18:57:35.714822
24643	9	2013-08-02 16:05:53.333412	2013-08-03 18:57:35.73397
24496	2	2013-08-02 16:05:52.986731	2013-08-04 19:10:36.916491
23030	2	2013-08-02 16:05:50.157952	2013-08-04 17:26:51.401626
24633	2	2013-08-02 16:05:53.315516	2013-08-04 01:30:51.83309
24502	2	2013-08-02 16:05:52.992988	2013-08-02 16:05:52.992988
23039	2	2013-08-02 16:05:50.180343	2013-08-04 17:26:51.41271
24504	4	2013-08-02 16:05:52.994735	2013-08-02 16:05:52.994735
34541	14	2013-08-02 16:06:15.949857	2013-08-03 23:39:27.012851
23019	2	2013-08-02 16:05:50.128415	2013-08-04 17:26:51.424575
24507	7	2013-08-02 16:05:52.997777	2013-08-02 16:05:52.997777
23006	2	2013-08-02 16:05:50.093315	2013-08-04 17:26:51.436632
24509	9	2013-08-02 16:05:53.000434	2013-08-02 16:05:53.000434
24646	4	2013-08-02 16:05:53.338212	2013-08-04 02:15:50.652228
22999	2	2013-08-02 16:05:50.07478	2013-08-04 17:26:51.447182
24510	14	2013-08-02 16:05:53.001277	2013-08-03 21:30:23.298613
22979	2	2013-08-02 16:05:50.022034	2013-08-04 17:26:51.451815
24514	14	2013-08-02 16:05:53.006399	2013-08-02 16:05:53.006399
24585	4	2013-08-02 16:05:53.255135	2013-08-03 18:57:35.848108
20993	14	2013-08-02 16:05:45.205884	2013-08-03 23:44:25.201789
24522	2	2013-08-02 16:05:53.018852	2013-08-02 16:05:53.018852
24524	4	2013-08-02 16:05:53.020872	2013-08-02 16:05:53.020872
24541	14	2013-08-02 16:05:53.038041	2013-08-03 21:30:42.745733
22959	2	2013-08-02 16:05:49.969855	2013-08-04 17:26:51.457103
24527	7	2013-08-02 16:05:53.023606	2013-08-02 16:05:53.023606
46483	2	2013-08-02 16:06:42.55795	2013-08-04 17:26:51.462278
24529	9	2013-08-02 16:05:53.025441	2013-08-02 16:05:53.025441
24626	4	2013-08-02 16:05:53.306897	2013-08-04 02:15:50.663166
22939	2	2013-08-02 16:05:49.918094	2013-08-04 17:26:51.466767
27691	2	2013-08-02 16:06:00.399019	2013-08-04 17:26:51.516096
24534	14	2013-08-02 16:05:53.031035	2013-08-02 16:05:53.031035
24606	4	2013-08-02 16:05:53.283569	2013-08-04 02:15:50.674018
24580	14	2013-08-02 16:05:53.249154	2013-08-03 18:59:59.389618
24596	14	2013-08-02 16:05:53.272413	2013-08-04 19:10:40.748115
24586	4	2013-08-02 16:05:53.256396	2013-08-04 02:15:50.684868
24542	2	2013-08-02 16:05:53.038951	2013-08-02 16:05:53.038951
24544	4	2013-08-02 16:05:53.212566	2013-08-02 16:05:53.212566
24547	7	2013-08-02 16:05:53.216153	2013-08-02 16:05:53.216153
24549	9	2013-08-02 16:05:53.218222	2013-08-02 16:05:53.218222
24566	4	2013-08-02 16:05:53.235508	2013-08-04 02:15:50.695838
24635	9	2013-08-02 16:05:53.319919	2013-08-04 19:10:40.755126
24546	4	2013-08-02 16:05:53.215129	2013-08-04 02:15:50.70689
10579	21	2013-08-02 16:05:23.883561	2013-08-04 19:12:36.56703
24554	14	2013-08-02 16:05:53.222606	2013-08-02 16:05:53.222606
24632	14	2013-08-02 16:05:53.313746	2013-08-03 19:47:26.98185
24612	2	2013-08-02 16:05:53.289963	2013-08-03 19:47:26.990224
24592	2	2013-08-02 16:05:53.266534	2013-08-03 19:47:26.994648
44875	2	2013-08-02 16:06:39.427436	2013-08-04 19:12:36.686502
24572	2	2013-08-02 16:05:53.240812	2013-08-03 19:47:27.001354
24526	4	2013-08-02 16:05:53.022694	2013-08-04 02:15:50.718115
24562	2	2013-08-02 16:05:53.231347	2013-08-02 16:05:53.231347
24552	2	2013-08-02 16:05:53.221035	2013-08-03 19:47:27.005841
24564	4	2013-08-02 16:05:53.23325	2013-08-02 16:05:53.23325
24641	9	2013-08-02 16:05:53.330208	2013-08-03 21:30:42.752328
24501	21	2013-08-02 16:05:52.992108	2013-08-04 19:12:37.230809
24567	7	2013-08-02 16:05:53.236381	2013-08-02 16:05:53.236381
24565	2	2013-08-02 16:05:53.234625	2013-08-04 19:12:37.454475
24569	9	2013-08-02 16:05:53.238216	2013-08-02 16:05:53.238216
24506	4	2013-08-02 16:05:52.996747	2013-08-04 02:15:50.730245
24636	4	2013-08-02 16:05:53.322209	2013-08-04 19:12:37.979305
24576	21	2013-08-02 16:05:53.244816	2013-08-04 19:12:38.215133
24556	2	2013-08-02 16:05:53.22415	2013-08-04 19:12:38.584771
24574	14	2013-08-02 16:05:53.24278	2013-08-02 16:05:53.24278
24532	2	2013-08-02 16:05:53.028829	2013-08-03 19:47:27.010122
24512	2	2013-08-02 16:05:53.003509	2013-08-03 19:47:27.014112
24575	7	2013-08-02 16:05:53.243829	2013-08-03 21:30:42.755489
24536	2	2013-08-02 16:05:53.033011	2013-08-04 19:12:38.778888
44395	9	2013-08-02 16:06:38.357311	2013-08-03 20:03:31.821032
24628	2	2013-08-02 16:05:53.309682	2013-08-04 02:20:51.351694
24582	2	2013-08-02 16:05:53.251229	2013-08-02 16:05:53.251229
24616	7	2013-08-02 16:05:53.2944	2013-08-04 19:12:39.193141
24584	4	2013-08-02 16:05:53.253833	2013-08-02 16:05:53.253833
24516	9	2013-08-02 16:05:53.008942	2013-08-04 19:50:25.803806
15467	14	2013-08-02 16:05:33.759836	2013-08-08 01:03:16.289936
24587	7	2013-08-02 16:05:53.257848	2013-08-02 16:05:53.257848
15487	14	2013-08-02 16:05:33.775081	2013-08-08 01:03:16.292871
24589	9	2013-08-02 16:05:53.261242	2013-08-02 16:05:53.261242
24608	2	2013-08-02 16:05:53.285899	2013-08-04 02:20:51.363562
36583	14	2013-08-02 16:06:21.159509	2013-08-08 01:03:16.295754
15507	14	2013-08-02 16:05:33.792145	2013-08-08 01:03:16.298512
22646	14	2013-08-02 16:05:49.240113	2013-08-08 01:03:16.344072
24594	14	2013-08-02 16:05:53.269597	2013-08-02 16:05:53.269597
24588	2	2013-08-02 16:05:53.259617	2013-08-04 02:20:51.374419
44855	4	2013-08-02 16:06:39.408239	2013-08-03 20:03:51.914041
44415	2	2013-08-02 16:06:38.406596	2013-08-04 02:20:51.385118
47843	14	2013-08-02 16:06:45.57223	2013-08-08 01:03:16.347029
44895	2	2013-08-02 16:06:39.4461	2013-08-03 20:03:51.916557
24523	2	2013-08-02 16:05:53.019917	2013-08-04 02:20:51.396199
24602	2	2013-08-02 16:05:53.280149	2013-08-02 16:05:53.280149
47823	14	2013-08-02 16:06:45.523215	2013-08-08 01:03:16.411924
24604	4	2013-08-02 16:05:53.281915	2013-08-02 16:05:53.281915
24568	2	2013-08-02 16:05:53.237484	2013-08-04 02:20:51.406998
35713	14	2013-08-02 16:06:18.925997	2013-08-08 01:03:16.473557
24607	7	2013-08-02 16:05:53.284652	2013-08-02 16:05:53.284652
2135	6	2013-08-02 16:05:08.261091	2013-08-08 01:03:16.548964
24609	9	2013-08-02 16:05:53.286793	2013-08-02 16:05:53.286793
24548	2	2013-08-02 16:05:53.217182	2013-08-04 02:20:51.417954
29221	6	2013-08-02 16:06:03.369359	2013-08-08 01:03:16.609152
25278	21	2013-08-02 16:05:54.566567	2013-08-03 21:39:32.506367
29201	6	2013-08-02 16:06:03.316665	2013-08-08 01:03:16.655849
24614	14	2013-08-02 16:05:53.292316	2013-08-02 16:05:53.292316
24600	2	2013-08-02 16:05:53.278289	2013-08-04 02:20:51.428971
24528	2	2013-08-02 16:05:53.024519	2013-08-04 02:20:51.439557
22726	6	2013-08-02 16:05:49.400677	2013-08-08 01:03:16.709189
24508	2	2013-08-02 16:05:52.999173	2013-08-04 02:20:51.450432
24598	2	2013-08-02 16:05:53.275188	2013-08-04 02:25:50.100248
24622	2	2013-08-02 16:05:53.302169	2013-08-02 16:05:53.302169
24648	2	2013-08-02 16:05:53.340447	2013-08-04 02:25:50.111178
24624	4	2013-08-02 16:05:53.304995	2013-08-02 16:05:53.304995
44118	2	2013-08-02 16:06:37.442778	2013-08-03 21:39:33.458872
12816	6	2013-08-02 16:05:28.872308	2013-08-08 01:03:16.763498
24627	7	2013-08-02 16:05:53.308007	2013-08-02 16:05:53.308007
24629	9	2013-08-02 16:05:53.310839	2013-08-02 16:05:53.310839
16376	2	2013-08-02 16:05:35.221325	2013-08-04 02:46:47.669565
24634	14	2013-08-02 16:05:53.317727	2013-08-02 16:05:53.317727
8099	2	2013-08-02 16:05:19.01666	2013-08-03 21:39:33.567419
10619	2	2013-08-02 16:05:24.015151	2013-08-03 21:39:33.573017
24642	2	2013-08-02 16:05:53.331959	2013-08-02 16:05:53.331959
24644	4	2013-08-02 16:05:53.335393	2013-08-02 16:05:53.335393
24647	7	2013-08-02 16:05:53.33919	2013-08-02 16:05:53.33919
24649	9	2013-08-02 16:05:53.341458	2013-08-02 16:05:53.341458
24503	2	2013-08-02 16:05:52.993846	2013-08-03 17:55:22.578752
32985	7	2013-08-02 16:06:12.860919	2013-08-03 21:39:33.638609
847	4	2013-08-02 16:05:05.299644	2013-08-04 02:50:49.201716
24603	7	2013-08-02 16:05:53.281056	2013-08-03 17:57:10.480888
24583	7	2013-08-02 16:05:53.252404	2013-08-03 17:57:10.489505
24563	7	2013-08-02 16:05:53.232206	2013-08-03 17:57:10.49905
24543	7	2013-08-02 16:05:53.211079	2013-08-03 17:57:10.505687
24515	4	2013-08-02 16:05:53.007676	2013-08-03 18:23:21.20014
16396	7	2013-08-02 16:05:35.258678	2013-08-04 02:50:49.218698
24555	2	2013-08-02 16:05:53.223377	2013-08-03 18:23:21.203022
2312	21	2013-08-02 16:05:08.609916	2013-08-04 02:50:49.465895
9225	21	2013-08-02 16:05:21.806035	2013-08-04 02:50:49.471327
16273	21	2013-08-02 16:05:35.008289	2013-08-04 02:50:49.639934
24535	14	2013-08-02 16:05:53.032094	2013-08-03 18:23:31.82194
24615	21	2013-08-02 16:05:53.293302	2013-08-03 18:27:15.079384
27406	2	2013-08-02 16:05:59.626816	2013-08-04 02:50:49.954864
27460	2	2013-08-02 16:05:59.901992	2013-08-04 02:50:49.959692
7263	9	2013-08-02 16:05:17.677832	2013-08-04 03:00:23.873964
24518	21	2013-08-02 16:05:53.012103	2013-08-03 18:42:37.263785
24498	21	2013-08-02 16:05:52.988209	2013-08-03 18:42:37.265925
24618	4	2013-08-02 16:05:53.296488	2013-08-03 18:42:37.643934
24578	9	2013-08-02 16:05:53.247178	2013-08-03 18:42:37.688859
24511	4	2013-08-02 16:05:53.00247	2013-08-04 03:00:36.575153
24558	4	2013-08-02 16:05:53.226627	2013-08-04 03:00:38.644741
24620	4	2013-08-02 16:05:53.299675	2013-08-04 03:00:38.649142
24640	4	2013-08-02 16:05:53.329106	2013-08-04 03:00:38.653546
15021	4	2013-08-02 16:05:33.260729	2013-08-04 03:00:38.657781
8811	4	2013-08-02 16:05:20.788443	2013-08-04 03:00:38.661825
10599	4	2013-08-02 16:05:23.902093	2013-08-04 03:00:38.665976
24650	4	2013-08-02 16:05:53.342983	2013-08-03 21:30:23.3135
24751	4	2013-08-02 16:05:53.484877	2013-08-04 17:02:27.613432
24654	14	2013-08-02 16:05:53.347668	2013-08-02 16:05:53.347668
24705	21	2013-08-02 16:05:53.426781	2013-08-03 18:57:35.707194
24685	21	2013-08-02 16:05:53.389115	2013-08-03 18:57:35.709139
24665	21	2013-08-02 16:05:53.362235	2013-08-03 18:57:35.711114
24656	7	2013-08-02 16:05:53.350781	2013-08-04 19:10:40.757389
24805	7	2013-08-02 16:05:53.541853	2013-08-03 18:57:36.1729
20953	14	2013-08-02 16:05:45.145029	2013-08-03 23:39:27.251427
24662	2	2013-08-02 16:05:53.357824	2013-08-02 16:05:53.357824
24785	7	2013-08-02 16:05:53.51907	2013-08-03 18:57:36.183679
24664	4	2013-08-02 16:05:53.360734	2013-08-02 16:05:53.360734
24661	4	2013-08-02 16:05:53.356328	2013-08-03 21:30:42.760019
24667	7	2013-08-02 16:05:53.364992	2013-08-02 16:05:53.364992
24791	2	2013-08-02 16:05:53.525402	2013-08-04 17:02:27.619603
24669	9	2013-08-02 16:05:53.368297	2013-08-02 16:05:53.368297
24655	2	2013-08-02 16:05:53.348829	2013-08-04 01:35:47.891989
24793	2	2013-08-02 16:05:53.526843	2013-08-04 01:35:47.902817
24716	4	2013-08-02 16:05:53.438742	2013-08-04 19:10:40.760921
24674	14	2013-08-02 16:05:53.375085	2013-08-02 16:05:53.375085
24765	7	2013-08-02 16:05:53.499664	2013-08-03 18:57:36.194464
24745	7	2013-08-02 16:05:53.47676	2013-08-03 18:57:36.204459
24725	7	2013-08-02 16:05:53.451704	2013-08-03 18:57:36.214275
24701	2	2013-08-02 16:05:53.420961	2013-08-03 21:30:42.763161
24773	2	2013-08-02 16:05:53.506822	2013-08-04 01:35:47.912735
24682	2	2013-08-02 16:05:53.384772	2013-08-02 16:05:53.384772
24792	21	2013-08-02 16:05:53.526128	2013-08-03 19:47:26.92593
24684	4	2013-08-02 16:05:53.387194	2013-08-02 16:05:53.387194
24681	21	2013-08-02 16:05:53.383694	2013-08-03 21:30:42.782652
24736	2	2013-08-02 16:05:53.463436	2013-08-04 19:10:40.763329
24687	7	2013-08-02 16:05:53.392313	2013-08-02 16:05:53.392313
24689	9	2013-08-02 16:05:53.396808	2013-08-02 16:05:53.396808
24753	2	2013-08-02 16:05:53.486706	2013-08-04 01:35:47.924586
24731	21	2013-08-02 16:05:53.457528	2013-08-04 17:07:41.19641
24675	4	2013-08-02 16:05:53.376796	2013-08-04 02:15:50.616915
24771	2	2013-08-02 16:05:53.504763	2013-08-04 17:07:41.688235
24694	14	2013-08-02 16:05:53.40654	2013-08-02 16:05:53.40654
24772	14	2013-08-02 16:05:53.505616	2013-08-03 19:47:26.935553
24752	14	2013-08-02 16:05:53.48582	2013-08-03 19:47:26.943693
24732	14	2013-08-02 16:05:53.45873	2013-08-03 19:47:26.948099
24761	2	2013-08-02 16:05:53.494711	2013-08-04 19:12:35.91321
24712	14	2013-08-02 16:05:53.434712	2013-08-03 19:47:26.952728
24706	4	2013-08-02 16:05:53.427636	2013-08-04 02:15:50.620725
24702	2	2013-08-02 16:05:53.422868	2013-08-02 16:05:53.422868
24692	14	2013-08-02 16:05:53.40245	2013-08-03 19:47:26.958559
24704	4	2013-08-02 16:05:53.425848	2013-08-02 16:05:53.425848
24696	21	2013-08-02 16:05:53.410523	2013-08-04 19:12:35.959255
24737	2	2013-08-02 16:05:53.464526	2013-08-04 17:07:42.234165
24707	7	2013-08-02 16:05:53.42952	2013-08-02 16:05:53.42952
24660	2	2013-08-02 16:05:53.35542	2013-08-04 17:07:42.836305
24709	9	2013-08-02 16:05:53.431522	2013-08-02 16:05:53.431522
24686	4	2013-08-02 16:05:53.391069	2013-08-04 02:15:50.63066
3324	2	2013-08-02 16:05:10.120465	2013-08-04 17:26:51.545262
24666	4	2013-08-02 16:05:53.363511	2013-08-04 02:15:50.641511
29546	2	2013-08-02 16:06:04.177239	2013-08-04 17:26:51.781674
24714	14	2013-08-02 16:05:53.436954	2013-08-02 16:05:53.436954
24678	14	2013-08-02 16:05:53.380028	2013-08-03 19:47:26.965881
24672	14	2013-08-02 16:05:53.372549	2013-08-03 19:47:26.970961
24717	7	2013-08-02 16:05:53.440867	2013-08-03 19:50:34.107352
24676	2	2013-08-02 16:05:53.37776	2013-08-04 19:12:36.336578
29532	2	2013-08-02 16:06:04.140723	2013-08-04 17:26:51.794215
24806	2	2013-08-02 16:05:53.542774	2013-08-04 02:15:50.892814
24722	2	2013-08-02 16:05:53.448507	2013-08-02 16:05:53.448507
24724	4	2013-08-02 16:05:53.45079	2013-08-02 16:05:53.45079
24755	2	2013-08-02 16:05:53.48823	2013-08-04 02:25:50.025986
29672	2	2013-08-02 16:06:04.655424	2013-08-04 17:26:51.80396
24727	7	2013-08-02 16:05:53.453746	2013-08-02 16:05:53.453746
29526	2	2013-08-02 16:06:04.125614	2013-08-04 17:26:51.808408
24729	9	2013-08-02 16:05:53.455673	2013-08-02 16:05:53.455673
24788	2	2013-08-02 16:05:53.522431	2013-08-04 02:25:50.03015
24796	14	2013-08-02 16:05:53.53078	2013-08-04 19:12:38.434745
25710	14	2013-08-02 16:05:55.561636	2013-08-04 19:12:38.4393
29466	2	2013-08-02 16:06:03.971493	2013-08-04 17:26:51.822219
24734	14	2013-08-02 16:05:53.461441	2013-08-02 16:05:53.461441
24698	7	2013-08-02 16:05:53.414186	2013-08-03 19:52:26.202369
47223	9	2013-08-02 16:06:44.469709	2013-08-03 20:03:51.973482
29446	2	2013-08-02 16:06:03.921361	2013-08-04 17:26:51.826886
24776	14	2013-08-02 16:05:53.510692	2013-08-04 19:12:38.443892
47263	7	2013-08-02 16:06:44.784297	2013-08-03 20:03:51.98047
13143	2	2013-08-02 16:05:29.220349	2013-08-04 02:25:50.03614
24742	2	2013-08-02 16:05:53.473488	2013-08-02 16:05:53.473488
29430	2	2013-08-02 16:06:03.883166	2013-08-04 17:26:51.832142
24744	4	2013-08-02 16:05:53.4755	2013-08-02 16:05:53.4755
29426	2	2013-08-02 16:06:03.873325	2013-08-04 17:26:51.836603
24747	7	2013-08-02 16:05:53.47992	2013-08-02 16:05:53.47992
26870	2	2013-08-02 16:05:58.317705	2013-08-04 17:26:51.840821
24749	9	2013-08-02 16:05:53.481934	2013-08-02 16:05:53.481934
37083	2	2013-08-02 16:06:21.897528	2013-08-04 02:25:50.041318
20950	21	2013-08-02 16:05:45.141998	2013-08-04 19:26:08.315627
24750	2	2013-08-02 16:05:53.484032	2013-08-03 21:34:20.664782
29406	2	2013-08-02 16:06:03.821592	2013-08-04 17:26:51.845297
24754	14	2013-08-02 16:05:53.487476	2013-08-02 16:05:53.487476
24730	2	2013-08-02 16:05:53.456739	2013-08-03 21:34:20.677467
47323	4	2013-08-02 16:06:44.833817	2013-08-03 20:03:51.990991
47343	2	2013-08-02 16:06:44.855306	2013-08-03 20:03:51.994692
24768	2	2013-08-02 16:05:53.502318	2013-08-04 02:25:50.046088
24721	2	2013-08-02 16:05:53.446301	2013-08-04 02:25:50.051278
24762	2	2013-08-02 16:05:53.496916	2013-08-02 16:05:53.496916
4928	14	2013-08-02 16:05:13.120854	2013-08-03 20:03:52.024977
24764	4	2013-08-02 16:05:53.498763	2013-08-02 16:05:53.498763
29415	2	2013-08-02 16:06:03.844402	2013-08-04 17:26:51.85085
24756	7	2013-08-02 16:05:53.488997	2013-08-04 19:54:26.514775
24767	7	2013-08-02 16:05:53.501448	2013-08-02 16:05:53.501448
12836	6	2013-08-02 16:05:28.890441	2013-08-08 01:03:16.811482
24769	9	2013-08-02 16:05:53.50308	2013-08-02 16:05:53.50308
24748	2	2013-08-02 16:05:53.480699	2013-08-04 02:25:50.055742
22723	6	2013-08-02 16:05:49.398065	2013-08-08 01:03:16.865465
24715	9	2013-08-02 16:05:53.437853	2013-08-03 21:37:44.403904
40970	6	2013-08-02 16:06:29.90616	2013-08-08 01:03:16.91288
24774	14	2013-08-02 16:05:53.507975	2013-08-02 16:05:53.507975
18173	6	2013-08-02 16:05:39.231238	2013-08-08 01:03:16.965431
29261	6	2013-08-02 16:06:03.466287	2013-08-08 01:03:17.02202
43658	21	2013-08-02 16:06:36.342376	2013-08-03 21:42:22.040643
29241	6	2013-08-02 16:06:03.417788	2013-08-08 01:03:17.078911
8728	21	2013-08-02 16:05:20.589697	2013-08-08 01:03:17.193295
47243	2	2013-08-02 16:06:44.488688	2013-08-04 02:25:50.059787
24782	2	2013-08-02 16:05:53.516487	2013-08-02 16:05:53.516487
24728	2	2013-08-02 16:05:53.454591	2013-08-04 02:25:50.06464
24784	4	2013-08-02 16:05:53.518103	2013-08-02 16:05:53.518103
15527	21	2013-08-02 16:05:33.808636	2013-08-08 01:03:17.202636
24787	7	2013-08-02 16:05:53.521173	2013-08-02 16:05:53.521173
27952	6	2013-08-02 16:06:01.032759	2013-08-08 01:03:17.2595
24789	9	2013-08-02 16:05:53.523645	2013-08-02 16:05:53.523645
24708	2	2013-08-02 16:05:53.430675	2013-08-04 02:25:50.070938
9011	6	2013-08-02 16:05:21.261805	2013-08-08 01:03:17.317295
24711	4	2013-08-02 16:05:53.433304	2013-08-04 03:00:38.626925
8708	21	2013-08-02 16:05:20.542333	2013-08-08 01:03:17.505382
24794	14	2013-08-02 16:05:53.527929	2013-08-02 16:05:53.527929
24691	4	2013-08-02 16:05:53.400307	2013-08-04 03:00:38.631408
24671	4	2013-08-02 16:05:53.371577	2013-08-04 03:00:38.635893
24651	4	2013-08-02 16:05:53.344661	2013-08-04 03:00:38.640259
15492	21	2013-08-02 16:05:33.778694	2013-08-08 01:03:17.509959
7571	6	2013-08-02 16:05:17.993887	2013-08-08 01:03:17.545174
22686	6	2013-08-02 16:05:49.334301	2013-08-08 01:03:17.547941
24802	2	2013-08-02 16:05:53.538831	2013-08-02 16:05:53.538831
11616	6	2013-08-02 16:05:26.058948	2013-08-08 01:03:17.550937
24804	4	2013-08-02 16:05:53.540922	2013-08-02 16:05:53.540922
7659	6	2013-08-02 16:05:18.081978	2013-08-08 01:03:17.605068
24763	14	2013-08-02 16:05:53.497846	2013-08-03 17:57:10.40996
24743	14	2013-08-02 16:05:53.474388	2013-08-03 17:57:10.414773
24723	14	2013-08-02 16:05:53.449883	2013-08-03 17:57:10.424128
24735	9	2013-08-02 16:05:53.462409	2013-08-03 18:23:31.840347
24775	7	2013-08-02 16:05:53.5095	2013-08-03 18:23:31.847698
24800	21	2013-08-02 16:05:53.535358	2013-08-03 18:37:41.053988
24780	4	2013-08-02 16:05:53.514765	2013-08-03 18:37:41.060766
24760	4	2013-08-02 16:05:53.491992	2013-08-03 18:37:41.065368
24740	4	2013-08-02 16:05:53.470464	2013-08-03 18:37:41.068969
24720	2	2013-08-02 16:05:53.44467	2013-08-03 18:37:41.076288
24700	2	2013-08-02 16:05:53.418656	2013-08-03 18:37:41.081163
24680	2	2013-08-02 16:05:53.382779	2013-08-03 18:37:41.086811
24798	21	2013-08-02 16:05:53.532633	2013-08-03 18:42:37.509081
24778	21	2013-08-02 16:05:53.512966	2013-08-03 18:42:37.510194
24758	21	2013-08-02 16:05:53.490508	2013-08-03 18:42:37.512098
24738	14	2013-08-02 16:05:53.466612	2013-08-03 18:42:37.520482
24807	7	2013-08-02 16:05:53.543699	2013-08-02 16:05:53.543699
24915	4	2013-08-02 16:05:53.661339	2013-08-04 17:36:54.900497
24809	9	2013-08-02 16:05:53.545613	2013-08-02 16:05:53.545613
24823	4	2013-08-02 16:05:53.55881	2013-08-04 17:36:54.912747
16356	4	2013-08-02 16:05:35.193252	2013-08-04 19:12:38.297809
24843	4	2013-08-02 16:05:53.580707	2013-08-04 17:36:54.923964
24959	4	2013-08-02 16:05:53.704271	2013-08-04 17:36:54.93526
24814	14	2013-08-02 16:05:53.550007	2013-08-02 16:05:53.550007
27226	4	2013-08-02 16:05:59.192311	2013-08-04 19:12:38.309035
24938	4	2013-08-02 16:05:53.684825	2013-08-03 18:47:37.258289
24939	4	2013-08-02 16:05:53.686063	2013-08-04 17:36:54.94669
24955	4	2013-08-02 16:05:53.700703	2013-08-04 19:12:38.320158
24920	7	2013-08-02 16:05:53.666254	2013-08-03 18:57:36.088336
24953	2	2013-08-02 16:05:53.698665	2013-08-04 01:35:47.798011
24822	2	2013-08-02 16:05:53.557466	2013-08-02 16:05:53.557466
24815	7	2013-08-02 16:05:53.550959	2013-08-03 18:57:36.099059
24824	4	2013-08-02 16:05:53.559948	2013-08-02 16:05:53.559948
5018	21	2013-08-02 16:05:13.211985	2013-08-03 21:34:20.587039
24919	4	2013-08-02 16:05:53.66539	2013-08-04 17:36:54.956579
24827	7	2013-08-02 16:05:53.562426	2013-08-02 16:05:53.562426
24899	4	2013-08-02 16:05:53.645531	2013-08-04 17:36:54.964283
24829	9	2013-08-02 16:05:53.564506	2013-08-02 16:05:53.564506
20933	7	2013-08-02 16:05:45.126798	2013-08-03 23:39:27.287968
24956	4	2013-08-02 16:05:53.701818	2013-08-04 19:12:38.331784
24890	21	2013-08-02 16:05:53.6365	2013-08-03 21:34:20.589371
24950	4	2013-08-02 16:05:53.695557	2013-08-04 17:36:54.970838
24834	14	2013-08-02 16:05:53.570052	2013-08-02 16:05:53.570052
24945	7	2013-08-02 16:05:53.69126	2013-08-03 18:57:36.109847
24925	7	2013-08-02 16:05:53.671212	2013-08-03 18:57:36.1205
24905	7	2013-08-02 16:05:53.651373	2013-08-03 18:57:36.131301
24936	4	2013-08-02 16:05:53.682314	2013-08-04 19:12:38.342659
24885	7	2013-08-02 16:05:53.631647	2013-08-03 18:57:36.138422
24957	2	2013-08-02 16:05:53.702701	2013-08-04 01:41:01.794516
24842	2	2013-08-02 16:05:53.579908	2013-08-02 16:05:53.579908
24865	7	2013-08-02 16:05:53.605615	2013-08-03 18:57:36.147826
24844	4	2013-08-02 16:05:53.581507	2013-08-02 16:05:53.581507
24870	21	2013-08-02 16:05:53.612563	2013-08-03 21:34:20.591669
24879	4	2013-08-02 16:05:53.623245	2013-08-04 17:36:54.981534
24847	7	2013-08-02 16:05:53.586352	2013-08-02 16:05:53.586352
24859	4	2013-08-02 16:05:53.597841	2013-08-04 17:36:54.993585
24849	9	2013-08-02 16:05:53.588294	2013-08-02 16:05:53.588294
24900	2	2013-08-02 16:05:53.646606	2013-08-04 02:15:50.794625
24916	4	2013-08-02 16:05:53.662412	2013-08-04 19:12:38.353382
24850	21	2013-08-02 16:05:53.589174	2013-08-03 21:34:20.593682
24820	4	2013-08-02 16:05:53.555416	2013-08-04 19:12:38.364458
24854	14	2013-08-02 16:05:53.593247	2013-08-02 16:05:53.593247
24812	4	2013-08-02 16:05:53.548124	2013-08-03 19:50:34.111046
24830	21	2013-08-02 16:05:53.565939	2013-08-03 21:34:20.596017
24852	2	2013-08-02 16:05:53.590894	2013-08-03 19:50:34.113117
24896	14	2013-08-02 16:05:53.642384	2013-08-04 19:12:38.386866
24946	2	2013-08-02 16:05:53.692035	2013-08-04 02:15:50.798955
25830	2	2013-08-02 16:05:55.863808	2013-08-04 02:15:50.803352
24862	2	2013-08-02 16:05:53.600699	2013-08-02 16:05:53.600699
24832	9	2013-08-02 16:05:53.568282	2013-08-03 19:52:25.559104
24864	4	2013-08-02 16:05:53.604412	2013-08-02 16:05:53.604412
24926	2	2013-08-02 16:05:53.672354	2013-08-04 02:15:50.807931
24912	14	2013-08-02 16:05:53.658647	2013-08-04 19:12:38.397881
24867	7	2013-08-02 16:05:53.609361	2013-08-02 16:05:53.609361
24876	14	2013-08-02 16:05:53.620225	2013-08-04 19:12:38.408823
24869	9	2013-08-02 16:05:53.611322	2013-08-02 16:05:53.611322
4930	2	2013-08-02 16:05:13.122881	2013-08-04 02:15:50.815021
24856	14	2013-08-02 16:05:53.594845	2013-08-04 19:12:38.420303
24906	2	2013-08-02 16:05:53.652669	2013-08-04 02:15:50.82513
24836	14	2013-08-02 16:05:53.572281	2013-08-04 19:12:38.425939
24874	14	2013-08-02 16:05:53.618451	2013-08-02 16:05:53.618451
24816	14	2013-08-02 16:05:53.55188	2013-08-04 19:12:38.430221
24932	14	2013-08-02 16:05:53.678483	2013-08-03 19:52:27.04145
24886	2	2013-08-02 16:05:53.632585	2013-08-04 02:15:50.836045
25112	6	2013-08-02 16:05:54.036865	2013-08-08 01:03:17.660019
24892	7	2013-08-02 16:05:53.638464	2013-08-03 19:52:27.056851
24866	2	2013-08-02 16:05:53.607668	2013-08-04 02:15:50.84699
24882	2	2013-08-02 16:05:53.627859	2013-08-02 16:05:53.627859
24884	4	2013-08-02 16:05:53.630764	2013-08-02 16:05:53.630764
11679	6	2013-08-02 16:05:26.17425	2013-08-08 01:03:17.694815
29677	6	2013-08-02 16:06:04.662105	2013-08-08 01:03:17.698017
24887	7	2013-08-02 16:05:53.633548	2013-08-02 16:05:53.633548
47698	6	2013-08-02 16:06:45.281782	2013-08-08 01:03:17.701136
24889	9	2013-08-02 16:05:53.635486	2013-08-02 16:05:53.635486
24846	2	2013-08-02 16:05:53.584665	2013-08-04 02:15:50.860271
8591	6	2013-08-02 16:05:20.270951	2013-08-08 01:03:17.735302
24826	2	2013-08-02 16:05:53.56165	2013-08-04 02:15:50.871964
47703	6	2013-08-02 16:06:45.288174	2013-08-08 01:03:17.738404
24894	14	2013-08-02 16:05:53.640402	2013-08-02 16:05:53.640402
7959	6	2013-08-02 16:05:18.729751	2013-08-08 01:03:17.741424
8451	14	2013-08-02 16:05:19.924749	2013-08-08 01:03:17.80685
8688	21	2013-08-02 16:05:20.493883	2013-08-08 01:03:17.921382
33590	2	2013-08-02 16:06:14.236409	2013-08-04 02:15:50.883194
24848	2	2013-08-02 16:05:53.587393	2013-08-04 02:25:50.012134
24902	2	2013-08-02 16:05:53.648455	2013-08-02 16:05:53.648455
4998	9	2013-08-02 16:05:13.190025	2013-08-03 20:03:52.040284
24904	4	2013-08-02 16:05:53.650435	2013-08-02 16:05:53.650435
24828	2	2013-08-02 16:05:53.563256	2013-08-04 02:25:50.015795
20308	21	2013-08-02 16:05:44.209124	2013-08-08 01:03:17.923
24907	7	2013-08-02 16:05:53.654079	2013-08-02 16:05:53.654079
15501	14	2013-08-02 16:05:33.786102	2013-08-08 01:03:17.953098
24909	9	2013-08-02 16:05:53.655941	2013-08-02 16:05:53.655941
24918	2	2013-08-02 16:05:53.664433	2013-08-04 02:25:50.019016
15607	14	2013-08-02 16:05:33.886671	2013-08-08 01:03:17.973601
15627	14	2013-08-02 16:05:33.910615	2013-08-08 01:03:17.976487
24914	14	2013-08-02 16:05:53.66037	2013-08-02 16:05:53.66037
4958	7	2013-08-02 16:05:13.150542	2013-08-03 20:03:52.043248
24808	2	2013-08-02 16:05:53.544691	2013-08-04 02:25:50.022498
24860	2	2013-08-02 16:05:53.598712	2013-08-04 02:30:52.045745
24922	2	2013-08-02 16:05:53.668215	2013-08-02 16:05:53.668215
24935	2	2013-08-02 16:05:53.681194	2013-08-04 02:30:52.050315
24924	4	2013-08-02 16:05:53.670358	2013-08-02 16:05:53.670358
19181	14	2013-08-02 16:05:41.290064	2013-08-03 21:42:22.062114
24927	7	2013-08-02 16:05:53.673548	2013-08-02 16:05:53.673548
24929	9	2013-08-02 16:05:53.675737	2013-08-02 16:05:53.675737
24948	2	2013-08-02 16:05:53.693764	2013-08-04 02:30:52.054784
24934	14	2013-08-02 16:05:53.680281	2013-08-02 16:05:53.680281
4976	4	2013-08-02 16:05:13.167934	2013-08-03 20:07:26.024639
25798	9	2013-08-02 16:05:55.785242	2013-08-03 21:42:22.067184
25790	2	2013-08-02 16:05:55.763941	2013-08-04 02:30:52.062041
24942	2	2013-08-02 16:05:53.688753	2013-08-02 16:05:53.688753
25810	7	2013-08-02 16:05:55.815473	2013-08-03 21:42:22.071483
24944	4	2013-08-02 16:05:53.690471	2013-08-02 16:05:53.690471
24947	7	2013-08-02 16:05:53.692841	2013-08-02 16:05:53.692841
24949	9	2013-08-02 16:05:53.694674	2013-08-02 16:05:53.694674
24928	2	2013-08-02 16:05:53.674886	2013-08-04 02:30:52.067574
4978	2	2013-08-02 16:05:13.170608	2013-08-04 02:30:52.078324
24954	14	2013-08-02 16:05:53.699696	2013-08-02 16:05:53.699696
25872	4	2013-08-02 16:05:55.968006	2013-08-03 21:42:22.077153
25850	9	2013-08-02 16:05:55.911289	2013-08-03 21:42:41.626853
24810	2	2013-08-02 16:05:53.546491	2013-08-04 02:30:52.089302
24908	2	2013-08-02 16:05:53.655014	2013-08-04 02:30:52.100177
24962	2	2013-08-02 16:05:53.706727	2013-08-02 16:05:53.706727
24888	2	2013-08-02 16:05:53.634476	2013-08-04 02:30:52.110933
24868	2	2013-08-02 16:05:53.610392	2013-08-04 02:30:52.121854
24903	21	2013-08-02 16:05:53.649485	2013-08-03 17:57:10.353072
24883	21	2013-08-02 16:05:53.629606	2013-08-03 17:57:10.354415
24863	21	2013-08-02 16:05:53.602851	2013-08-03 17:57:10.355414
24963	7	2013-08-02 16:05:53.70756	2013-08-03 17:57:10.672385
27440	2	2013-08-02 16:05:59.707958	2013-08-04 02:50:49.963351
24835	4	2013-08-02 16:05:53.570924	2013-08-03 18:23:31.859054
27386	2	2013-08-02 16:05:59.579133	2013-08-04 02:50:49.966957
24875	2	2013-08-02 16:05:53.619335	2013-08-03 18:23:31.866407
27380	2	2013-08-02 16:05:59.564674	2013-08-04 02:50:49.970242
24855	7	2013-08-02 16:05:53.594039	2013-08-03 18:27:13.452513
27366	2	2013-08-02 16:05:59.530488	2013-08-04 02:50:49.973799
27346	2	2013-08-02 16:05:59.482275	2013-08-04 02:50:49.977383
24840	9	2013-08-02 16:05:53.578033	2013-08-03 18:38:20.365475
24880	7	2013-08-02 16:05:53.624152	2013-08-03 18:38:20.371491
17265	2	2013-08-02 16:05:37.558925	2013-08-04 02:50:49.981323
24940	4	2013-08-02 16:05:53.686991	2013-08-03 18:38:20.380633
24898	21	2013-08-02 16:05:53.644567	2013-08-03 18:42:37.50333
24878	21	2013-08-02 16:05:53.622286	2013-08-03 18:42:37.504754
24858	21	2013-08-02 16:05:53.596941	2013-08-03 18:42:37.505839
24838	21	2013-08-02 16:05:53.574948	2013-08-03 18:42:37.506941
24818	21	2013-08-02 16:05:53.553814	2013-08-03 18:42:37.508065
27326	2	2013-08-02 16:05:59.430574	2013-08-04 02:50:49.987489
27320	2	2013-08-02 16:05:59.41635	2013-08-04 02:50:49.99488
27266	2	2013-08-02 16:05:59.288148	2013-08-04 02:50:50.059012
10906	2	2013-08-02 16:05:24.322767	2013-08-04 02:50:50.070579
24964	4	2013-08-02 16:05:53.708405	2013-08-02 16:05:53.708405
24996	21	2013-08-02 16:05:53.749137	2013-08-04 19:12:38.270041
25018	4	2013-08-02 16:05:53.793237	2013-08-04 19:12:38.285762
24967	7	2013-08-02 16:05:53.712031	2013-08-02 16:05:53.712031
24971	4	2013-08-02 16:05:53.716165	2013-08-04 17:02:39.100555
24969	9	2013-08-02 16:05:53.714313	2013-08-02 16:05:53.714313
20892	2	2013-08-02 16:05:45.081742	2013-08-03 23:39:27.318171
24976	4	2013-08-02 16:05:53.721639	2013-08-04 19:12:38.290825
4876	14	2013-08-02 16:05:13.074489	2013-08-04 19:27:45.985985
25030	2	2013-08-02 16:05:53.825218	2013-08-04 17:02:39.106901
24974	14	2013-08-02 16:05:53.719349	2013-08-02 16:05:53.719349
25098	21	2013-08-02 16:05:53.999346	2013-08-03 18:47:37.155165
25078	21	2013-08-02 16:05:53.945285	2013-08-03 18:47:37.156371
19261	14	2013-08-02 16:05:41.499669	2013-08-04 19:27:45.996977
25116	4	2013-08-02 16:05:54.047056	2013-08-04 19:27:46.018639
25058	21	2013-08-02 16:05:53.897381	2013-08-03 18:47:37.157403
37041	21	2013-08-02 16:06:21.850402	2013-08-03 23:39:27.3429
24982	2	2013-08-02 16:05:53.732452	2013-08-02 16:05:53.732452
25038	21	2013-08-02 16:05:53.846282	2013-08-03 18:47:37.158458
24984	4	2013-08-02 16:05:53.735908	2013-08-02 16:05:53.735908
24986	2	2013-08-02 16:05:53.738171	2013-08-04 02:15:50.777149
25800	4	2013-08-02 16:05:55.790894	2013-08-04 19:27:46.022586
24987	7	2013-08-02 16:05:53.739528	2013-08-02 16:05:53.739528
20913	21	2013-08-02 16:05:45.103631	2013-08-04 17:07:41.195299
24989	9	2013-08-02 16:05:53.742474	2013-08-02 16:05:53.742474
24966	2	2013-08-02 16:05:53.710828	2013-08-04 02:15:50.787906
25096	4	2013-08-02 16:05:53.99204	2013-08-04 19:27:46.026602
24990	14	2013-08-02 16:05:53.743298	2013-08-03 21:37:24.998421
24991	2	2013-08-02 16:05:53.744115	2013-08-04 17:07:41.684905
24994	14	2013-08-02 16:05:53.746934	2013-08-02 16:05:53.746934
25076	4	2013-08-02 16:05:53.940469	2013-08-04 19:27:46.030412
25040	4	2013-08-02 16:05:53.851573	2013-08-04 17:07:42.346794
25072	4	2013-08-02 16:05:53.930765	2013-08-04 19:27:46.034072
25035	4	2013-08-02 16:05:53.838302	2013-08-04 17:07:42.350805
25002	2	2013-08-02 16:05:53.758986	2013-08-02 16:05:53.758986
25111	4	2013-08-02 16:05:54.034343	2013-08-04 17:07:42.354611
25004	4	2013-08-02 16:05:53.7622	2013-08-02 16:05:53.7622
25056	4	2013-08-02 16:05:53.892582	2013-08-04 19:27:46.037834
25091	4	2013-08-02 16:05:53.978866	2013-08-04 17:07:42.358026
25007	7	2013-08-02 16:05:53.768286	2013-08-02 16:05:53.768286
25071	4	2013-08-02 16:05:53.928352	2013-08-04 17:07:42.361426
25009	9	2013-08-02 16:05:53.771807	2013-08-02 16:05:53.771807
25066	14	2013-08-02 16:05:53.916459	2013-08-04 02:19:19.163868
25036	4	2013-08-02 16:05:53.840946	2013-08-04 19:27:46.04369
25050	9	2013-08-02 16:05:53.878069	2013-08-03 21:37:25.013988
25051	4	2013-08-02 16:05:53.880503	2013-08-04 17:07:42.36479
25014	14	2013-08-02 16:05:53.782562	2013-08-02 16:05:53.782562
25045	7	2013-08-02 16:05:53.864894	2013-08-03 18:57:36.035739
25025	7	2013-08-02 16:05:53.811805	2013-08-03 18:57:36.046288
24972	4	2013-08-02 16:05:53.717157	2013-08-04 17:07:42.368126
25016	4	2013-08-02 16:05:53.787875	2013-08-04 19:27:46.0469
25005	7	2013-08-02 16:05:53.764478	2013-08-03 18:57:36.056785
25031	4	2013-08-02 16:05:53.827705	2013-08-04 17:07:42.371338
25022	2	2013-08-02 16:05:53.803861	2013-08-02 16:05:53.803861
24985	7	2013-08-02 16:05:53.7373	2013-08-03 18:57:36.067483
25024	4	2013-08-02 16:05:53.809191	2013-08-02 16:05:53.809191
25032	7	2013-08-02 16:05:53.830292	2013-08-03 21:37:25.02118
25011	2	2013-08-02 16:05:53.775454	2013-08-04 17:07:42.542116
25027	7	2013-08-02 16:05:53.81717	2013-08-02 16:05:53.81717
29512	2	2013-08-02 16:06:04.088662	2013-08-04 17:26:51.854992
25029	9	2013-08-02 16:05:53.822467	2013-08-02 16:05:53.822467
29386	2	2013-08-02 16:06:03.768809	2013-08-04 17:26:51.859887
15647	14	2013-08-02 16:05:33.927493	2013-08-08 01:03:17.979351
29366	2	2013-08-02 16:06:03.718697	2013-08-04 17:26:51.867816
27850	2	2013-08-02 16:06:00.776687	2013-08-04 17:26:52.081305
25034	14	2013-08-02 16:05:53.835623	2013-08-02 16:05:53.835623
24965	7	2013-08-02 16:05:53.70967	2013-08-03 18:57:36.077821
25065	14	2013-08-02 16:05:53.914117	2013-08-03 18:59:36.603969
15667	14	2013-08-02 16:05:33.945805	2013-08-08 01:03:17.982394
15678	14	2013-08-02 16:05:33.961149	2013-08-08 01:03:17.985364
27808	2	2013-08-02 16:06:00.685884	2013-08-04 17:26:52.085286
8669	21	2013-08-02 16:05:20.447134	2013-08-04 17:26:52.095637
25042	2	2013-08-02 16:05:53.85694	2013-08-02 16:05:53.85694
25055	4	2013-08-02 16:05:53.890166	2013-08-03 21:37:25.031622
25044	4	2013-08-02 16:05:53.862235	2013-08-02 16:05:53.862235
24970	21	2013-08-02 16:05:53.715352	2013-08-03 21:37:33.670666
24997	14	2013-08-02 16:05:53.750484	2013-08-04 17:26:52.11093
25047	7	2013-08-02 16:05:53.870233	2013-08-02 16:05:53.870233
33841	14	2013-08-02 16:06:14.473576	2013-08-04 17:26:52.12223
25049	9	2013-08-02 16:05:53.87556	2013-08-02 16:05:53.87556
25106	9	2013-08-02 16:05:54.020726	2013-08-04 02:19:19.180608
15687	14	2013-08-02 16:05:33.973123	2013-08-08 01:03:17.988361
25110	7	2013-08-02 16:05:54.031656	2013-08-03 21:37:44.405774
8649	14	2013-08-02 16:05:20.39408	2013-08-04 17:26:52.133315
25054	14	2013-08-02 16:05:53.887722	2013-08-02 16:05:53.887722
25015	21	2013-08-02 16:05:53.785249	2013-08-03 19:52:26.857095
8730	14	2013-08-02 16:05:20.594351	2013-08-04 17:26:52.144563
25890	2	2013-08-02 16:05:56.016662	2013-08-03 21:42:22.080947
15658	14	2013-08-02 16:05:33.936906	2013-08-08 01:03:17.991154
15651	14	2013-08-02 16:05:33.93059	2013-08-08 01:03:17.993927
25046	21	2013-08-02 16:05:53.867533	2013-08-04 02:19:19.238665
25062	2	2013-08-02 16:05:53.906945	2013-08-02 16:05:53.906945
25064	4	2013-08-02 16:05:53.911748	2013-08-02 16:05:53.911748
23361	4	2013-08-02 16:05:51.046486	2013-08-04 02:20:51.670673
8543	14	2013-08-02 16:05:20.150769	2013-08-04 17:26:52.157009
25067	7	2013-08-02 16:05:53.918887	2013-08-02 16:05:53.918887
8629	14	2013-08-02 16:05:20.341019	2013-08-04 17:26:52.168672
25069	9	2013-08-02 16:05:53.923606	2013-08-02 16:05:53.923606
25086	2	2013-08-02 16:05:53.96612	2013-08-04 02:20:52.192323
15598	14	2013-08-02 16:05:33.87808	2013-08-08 01:03:17.997046
25678	2	2013-08-02 16:05:55.477134	2013-08-04 02:20:52.367902
8609	14	2013-08-02 16:05:20.309943	2013-08-04 17:26:52.17988
25074	14	2013-08-02 16:05:53.935691	2013-08-02 16:05:53.935691
25026	4	2013-08-02 16:05:53.814513	2013-08-04 02:20:52.842291
25105	4	2013-08-02 16:05:54.018187	2013-08-03 19:52:26.933725
25601	7	2013-08-02 16:05:55.292567	2013-08-03 21:42:22.162032
15592	14	2013-08-02 16:05:33.871194	2013-08-08 01:03:17.999992
25028	2	2013-08-02 16:05:53.819786	2013-08-04 02:30:52.020125
25070	2	2013-08-02 16:05:53.925974	2013-08-04 02:30:52.024494
25082	2	2013-08-02 16:05:53.955785	2013-08-02 16:05:53.955785
8589	14	2013-08-02 16:05:20.265788	2013-08-04 17:26:52.190453
25084	4	2013-08-02 16:05:53.960912	2013-08-02 16:05:53.960912
25008	2	2013-08-02 16:05:53.77007	2013-08-04 02:30:52.028875
8569	14	2013-08-02 16:05:20.214469	2013-08-04 17:26:52.201182
25087	7	2013-08-02 16:05:53.968816	2013-08-02 16:05:53.968816
5029	14	2013-08-02 16:05:13.226204	2013-08-08 01:03:18.003157
25089	9	2013-08-02 16:05:53.973761	2013-08-02 16:05:53.973761
24988	2	2013-08-02 16:05:53.741164	2013-08-04 02:30:52.032983
8299	14	2013-08-02 16:05:19.519706	2013-08-08 01:03:18.064656
25641	4	2013-08-02 16:05:55.387937	2013-08-03 21:42:22.166667
17101	14	2013-08-02 16:05:37.080806	2013-08-08 01:03:18.112314
25094	14	2013-08-02 16:05:53.986603	2013-08-02 16:05:53.986603
20893	2	2013-08-02 16:05:45.082468	2013-08-04 02:30:52.036968
25681	2	2013-08-02 16:05:55.485256	2013-08-03 21:42:22.168896
24968	2	2013-08-02 16:05:53.713208	2013-08-04 02:30:52.040963
25102	2	2013-08-02 16:05:54.010375	2013-08-02 16:05:54.010375
5005	2	2013-08-02 16:05:13.198508	2013-08-03 20:03:52.046978
25104	4	2013-08-02 16:05:54.015573	2013-08-02 16:05:54.015573
25107	7	2013-08-02 16:05:54.023514	2013-08-02 16:05:54.023514
25109	9	2013-08-02 16:05:54.028993	2013-08-02 16:05:54.028993
19361	2	2013-08-02 16:05:41.758275	2013-08-04 02:35:42.134011
25114	14	2013-08-02 16:05:54.041958	2013-08-02 16:05:54.041958
25108	2	2013-08-02 16:05:54.026328	2013-08-04 02:35:42.14501
25088	2	2013-08-02 16:05:53.971324	2013-08-04 02:35:42.155984
43678	21	2013-08-02 16:06:36.390138	2013-08-03 21:45:38.996605
25103	2	2013-08-02 16:05:54.013087	2013-08-03 17:57:10.615444
25083	2	2013-08-02 16:05:53.958432	2013-08-03 17:57:10.621414
25063	2	2013-08-02 16:05:53.909365	2013-08-03 17:57:10.630507
25043	2	2013-08-02 16:05:53.859574	2013-08-03 17:57:10.639128
25023	7	2013-08-02 16:05:53.806538	2013-08-03 17:57:10.651868
25003	7	2013-08-02 16:05:53.760344	2013-08-03 17:57:10.657679
24983	7	2013-08-02 16:05:53.734224	2013-08-03 17:57:10.665805
24975	14	2013-08-02 16:05:53.720274	2013-08-03 18:29:57.603576
25068	2	2013-08-02 16:05:53.921262	2013-08-04 02:35:42.166926
25020	2	2013-08-02 16:05:53.798569	2013-08-04 02:35:42.177829
25075	9	2013-08-02 16:05:53.938091	2013-08-03 18:29:57.61073
24980	2	2013-08-02 16:05:53.728972	2013-08-03 18:38:20.386769
25048	2	2013-08-02 16:05:53.87289	2013-08-04 02:35:42.188858
25120	4	2013-08-02 16:05:54.057216	2013-08-03 18:42:38.232713
25100	2	2013-08-02 16:05:54.005245	2013-08-03 18:42:38.255371
25080	14	2013-08-02 16:05:53.950394	2013-08-03 18:42:38.278398
19281	14	2013-08-02 16:05:41.553232	2013-08-03 20:03:52.084648
19341	9	2013-08-02 16:05:41.710142	2013-08-03 20:03:52.103021
19298	14	2013-08-02 16:05:41.596322	2013-08-03 20:07:27.716941
20863	21	2013-08-02 16:05:44.897685	2013-08-03 23:39:27.343611
25122	2	2013-08-02 16:05:54.062141	2013-08-02 16:05:54.062141
25258	9	2013-08-02 16:05:54.543698	2013-08-03 18:47:37.452062
25124	4	2013-08-02 16:05:54.067161	2013-08-02 16:05:54.067161
19461	4	2013-08-02 16:05:42.075869	2013-08-03 20:12:25.307944
25236	21	2013-08-02 16:05:54.337616	2013-08-04 19:27:45.930588
25127	7	2013-08-02 16:05:54.07495	2013-08-02 16:05:54.07495
25129	9	2013-08-02 16:05:54.080198	2013-08-02 16:05:54.080198
25153	2	2013-08-02 16:05:54.138391	2013-08-04 01:41:01.625643
25216	14	2013-08-02 16:05:54.290464	2013-08-04 19:27:45.940749
25197	21	2013-08-02 16:05:54.245231	2013-08-03 21:34:19.795415
25196	14	2013-08-02 16:05:54.242769	2013-08-04 19:27:45.945122
25134	14	2013-08-02 16:05:54.092564	2013-08-02 16:05:54.092564
25238	4	2013-08-02 16:05:54.342366	2013-08-03 18:47:37.459223
25218	7	2013-08-02 16:05:54.295144	2013-08-03 18:47:37.466865
25157	21	2013-08-02 16:05:54.147903	2013-08-03 21:34:19.798154
25176	14	2013-08-02 16:05:54.192696	2013-08-04 19:27:45.949188
25170	14	2013-08-02 16:05:54.178699	2013-08-04 19:27:45.953443
47463	21	2013-08-02 16:06:44.988466	2013-08-03 23:41:31.970172
25142	2	2013-08-02 16:05:54.111977	2013-08-02 16:05:54.111977
25251	14	2013-08-02 16:05:54.536471	2013-08-04 17:10:42.530687
25144	4	2013-08-02 16:05:54.116965	2013-08-02 16:05:54.116965
25150	2	2013-08-02 16:05:54.131256	2013-08-03 21:37:25.038241
25156	14	2013-08-02 16:05:54.145559	2013-08-04 19:27:45.957814
25147	7	2013-08-02 16:05:54.124105	2013-08-02 16:05:54.124105
25136	14	2013-08-02 16:05:54.097574	2013-08-04 19:27:45.966162
25149	9	2013-08-02 16:05:54.128889	2013-08-02 16:05:54.128889
18646	2	2013-08-02 16:05:39.983158	2013-08-04 01:50:58.392462
25145	14	2013-08-02 16:05:54.11933	2013-08-04 19:27:45.974897
25217	2	2013-08-02 16:05:54.292818	2013-08-04 01:50:58.397314
25200	4	2013-08-02 16:05:54.252682	2013-08-04 19:32:49.05606
25154	14	2013-08-02 16:05:54.140746	2013-08-02 16:05:54.140746
25276	4	2013-08-02 16:05:54.564036	2013-08-04 19:32:49.06615
25138	2	2013-08-02 16:05:54.102417	2013-08-03 18:47:37.50583
25256	4	2013-08-02 16:05:54.541602	2013-08-04 19:32:49.077062
29181	14	2013-08-02 16:06:03.264304	2013-08-08 01:03:18.115473
25126	7	2013-08-02 16:05:54.072433	2013-08-04 02:19:19.188423
25162	2	2013-08-02 16:05:54.159756	2013-08-02 16:05:54.159756
25257	9	2013-08-02 16:05:54.542635	2013-08-04 17:10:42.545368
25164	4	2013-08-02 16:05:54.164471	2013-08-02 16:05:54.164471
25166	4	2013-08-02 16:05:54.169255	2013-08-04 02:19:19.195598
29281	14	2013-08-02 16:06:03.513851	2013-08-08 01:03:18.211424
25167	7	2013-08-02 16:05:54.171612	2013-08-02 16:05:54.171612
25231	21	2013-08-02 16:05:54.325869	2013-08-04 17:10:54.417982
25169	9	2013-08-02 16:05:54.176324	2013-08-02 16:05:54.176324
25211	21	2013-08-02 16:05:54.278728	2013-08-04 17:10:54.450937
7711	6	2013-08-02 16:05:18.211673	2013-08-08 01:03:18.256241
25265	14	2013-08-02 16:05:54.550814	2013-08-03 21:37:44.450806
25271	21	2013-08-02 16:05:54.557919	2013-08-04 17:11:51.623112
25174	14	2013-08-02 16:05:54.188085	2013-08-02 16:05:54.188085
25165	9	2013-08-02 16:05:54.166863	2013-08-03 18:59:36.622628
11528	14	2013-08-02 16:05:25.845875	2013-08-04 17:11:55.199371
25750	2	2013-08-02 16:05:55.663092	2013-08-04 17:11:55.494723
18193	6	2013-08-02 16:05:39.249759	2013-08-08 01:03:18.259412
25205	7	2013-08-02 16:05:54.264523	2013-08-03 18:59:36.62977
25186	2	2013-08-02 16:05:54.216799	2013-08-04 02:19:19.202867
25182	2	2013-08-02 16:05:54.206766	2013-08-02 16:05:54.206766
25259	2	2013-08-02 16:05:54.544731	2013-08-04 17:41:51.928418
25184	4	2013-08-02 16:05:54.211479	2013-08-02 16:05:54.211479
25239	2	2013-08-02 16:05:54.344765	2013-08-04 17:41:51.932816
25219	2	2013-08-02 16:05:54.297491	2013-08-04 17:41:51.938772
25187	7	2013-08-02 16:05:54.219411	2013-08-02 16:05:54.219411
25199	2	2013-08-02 16:05:54.249992	2013-08-04 17:41:51.944239
25189	9	2013-08-02 16:05:54.224807	2013-08-02 16:05:54.224807
25206	9	2013-08-02 16:05:54.266912	2013-08-04 02:20:49.728213
15690	6	2013-08-02 16:05:33.97612	2013-08-08 01:03:18.303531
29312	6	2013-08-02 16:06:03.589119	2013-08-08 01:03:18.306603
25179	2	2013-08-02 16:05:54.199694	2013-08-04 17:41:51.94862
25194	14	2013-08-02 16:05:54.237666	2013-08-02 16:05:54.237666
25245	4	2013-08-02 16:05:54.358835	2013-08-03 18:59:36.63692
25270	9	2013-08-02 16:05:54.556694	2013-08-03 21:37:44.461443
25159	2	2013-08-02 16:05:54.152656	2013-08-04 17:41:51.952557
32779	6	2013-08-02 16:06:12.354144	2013-08-08 01:03:18.365679
25146	21	2013-08-02 16:05:54.12172	2013-08-04 02:20:49.79762
25225	2	2013-08-02 16:05:54.311637	2013-08-04 02:20:50.555733
25202	2	2013-08-02 16:05:54.257428	2013-08-02 16:05:54.257428
25180	14	2013-08-02 16:05:54.202054	2013-08-03 19:52:27.277338
25204	4	2013-08-02 16:05:54.262176	2013-08-02 16:05:54.262176
25130	21	2013-08-02 16:05:54.082862	2013-08-03 21:37:44.523315
25139	2	2013-08-02 16:05:54.104811	2013-08-04 17:41:51.956283
25207	7	2013-08-02 16:05:54.269282	2013-08-02 16:05:54.269282
25160	4	2013-08-02 16:05:54.155016	2013-08-04 17:41:54.164469
25209	9	2013-08-02 16:05:54.274005	2013-08-02 16:05:54.274005
19421	4	2013-08-02 16:05:42.010633	2013-08-04 02:20:50.884952
11626	21	2013-08-02 16:05:26.068572	2013-08-08 01:03:18.37126
25235	4	2013-08-02 16:05:54.335272	2013-08-03 21:39:31.171723
17958	6	2013-08-02 16:05:38.992757	2013-08-08 01:03:18.418639
25214	14	2013-08-02 16:05:54.285818	2013-08-02 16:05:54.285818
25237	14	2013-08-02 16:05:54.339982	2013-08-03 19:52:27.289405
25272	14	2013-08-02 16:05:54.55914	2013-08-03 19:52:27.302147
25252	2	2013-08-02 16:05:54.537511	2013-08-03 19:52:27.325731
25135	4	2013-08-02 16:05:54.094942	2013-08-04 02:20:50.888477
25222	2	2013-08-02 16:05:54.304532	2013-08-02 16:05:54.304532
25232	2	2013-08-02 16:05:54.328226	2013-08-03 19:52:27.331443
25224	4	2013-08-02 16:05:54.309309	2013-08-02 16:05:54.309309
25190	21	2013-08-02 16:05:54.22743	2013-08-03 21:39:32.503665
25227	7	2013-08-02 16:05:54.316355	2013-08-02 16:05:54.316355
25229	9	2013-08-02 16:05:54.321128	2013-08-02 16:05:54.321128
25266	4	2013-08-02 16:05:54.551835	2013-08-04 02:20:50.893668
19401	4	2013-08-02 16:05:41.989853	2013-08-04 02:20:50.898831
25234	14	2013-08-02 16:05:54.332942	2013-08-02 16:05:54.332942
25212	2	2013-08-02 16:05:54.281084	2013-08-03 19:52:27.335901
25192	2	2013-08-02 16:05:54.232789	2013-08-03 19:52:27.34068
25246	4	2013-08-02 16:05:54.361209	2013-08-04 02:20:50.904468
25172	2	2013-08-02 16:05:54.183431	2013-08-03 19:52:27.345236
25226	4	2013-08-02 16:05:54.314029	2013-08-04 02:20:50.909097
25242	2	2013-08-02 16:05:54.351818	2013-08-02 16:05:54.351818
25152	2	2013-08-02 16:05:54.136001	2013-08-03 19:52:27.349636
25244	4	2013-08-02 16:05:54.356479	2013-08-02 16:05:54.356479
25268	2	2013-08-02 16:05:54.554237	2013-08-04 02:35:42.032342
25247	7	2013-08-02 16:05:54.363549	2013-08-02 16:05:54.363549
25249	9	2013-08-02 16:05:54.368518	2013-08-02 16:05:54.368518
25248	2	2013-08-02 16:05:54.365927	2013-08-04 02:35:42.041441
25254	14	2013-08-02 16:05:54.539552	2013-08-02 16:05:54.539552
19381	7	2013-08-02 16:05:41.805981	2013-08-03 20:03:52.109795
25730	21	2013-08-02 16:05:55.613385	2013-08-03 21:42:31.08735
25230	21	2013-08-02 16:05:54.323494	2013-08-03 21:42:31.088214
25228	2	2013-08-02 16:05:54.31878	2013-08-04 02:35:42.045434
25262	2	2013-08-02 16:05:54.547786	2013-08-02 16:05:54.547786
19441	4	2013-08-02 16:05:42.039034	2013-08-03 20:03:52.120413
25264	4	2013-08-02 16:05:54.549813	2013-08-02 16:05:54.549813
25267	7	2013-08-02 16:05:54.55301	2013-08-02 16:05:54.55301
25269	9	2013-08-02 16:05:54.555457	2013-08-02 16:05:54.555457
25208	2	2013-08-02 16:05:54.271647	2013-08-04 02:35:42.049414
25277	2	2013-08-02 16:05:54.565317	2013-08-04 02:35:42.05653
25274	14	2013-08-02 16:05:54.561594	2013-08-02 16:05:54.561594
18705	9	2013-08-02 16:05:40.216068	2013-08-03 21:42:41.533478
19437	2	2013-08-02 16:05:42.032481	2013-08-03 20:03:52.128002
25188	2	2013-08-02 16:05:54.222107	2013-08-04 02:35:42.067119
25177	2	2013-08-02 16:05:54.195019	2013-08-03 18:09:35.657907
25185	2	2013-08-02 16:05:54.214097	2013-08-04 02:35:42.07793
25168	2	2013-08-02 16:05:54.173991	2013-08-04 02:35:42.088966
25148	2	2013-08-02 16:05:54.12652	2013-08-04 02:35:42.099858
18906	2	2013-08-02 16:05:40.610907	2013-08-03 21:42:41.539349
25175	4	2013-08-02 16:05:54.190314	2013-08-03 18:29:57.61799
4884	7	2013-08-02 16:05:13.081132	2013-08-03 20:03:52.166159
25215	2	2013-08-02 16:05:54.288177	2013-08-03 18:29:57.620954
27586	4	2013-08-02 16:06:00.145303	2013-08-04 02:50:50.254854
27566	4	2013-08-02 16:06:00.095123	2013-08-04 02:50:50.260439
27546	4	2013-08-02 16:06:00.045406	2013-08-04 02:50:50.265649
25275	7	2013-08-02 16:05:54.562813	2013-08-03 18:30:17.28732
25195	21	2013-08-02 16:05:54.240254	2013-08-03 18:42:38.113283
25260	21	2013-08-02 16:05:54.545751	2013-08-03 18:42:38.116096
25240	21	2013-08-02 16:05:54.347119	2013-08-03 18:42:38.11898
25220	21	2013-08-02 16:05:54.299832	2013-08-03 18:42:38.121898
27526	4	2013-08-02 16:05:59.995779	2013-08-04 02:50:50.270757
19158	14	2013-08-02 16:05:41.231697	2013-08-03 20:03:52.19188
47585	4	2013-08-02 16:06:45.121743	2013-08-04 02:50:50.276846
27490	4	2013-08-02 16:05:59.930947	2013-08-04 02:50:50.284556
27620	4	2013-08-02 16:06:00.229411	2013-08-04 02:50:50.288821
27506	4	2013-08-02 16:05:59.952365	2013-08-04 02:50:50.295503
27520	4	2013-08-02 16:05:59.982646	2013-08-04 02:50:50.302746
27500	4	2013-08-02 16:05:59.943191	2013-08-04 02:50:50.312095
27486	4	2013-08-02 16:05:59.926804	2013-08-04 02:50:50.318236
25290	7	2013-08-02 16:05:54.583532	2013-08-03 21:37:44.46581
25317	14	2013-08-02 16:05:54.630125	2013-08-04 19:32:48.976064
25418	21	2013-08-02 16:05:54.821735	2013-08-03 18:47:37.38273
25295	14	2013-08-02 16:05:54.591288	2013-08-04 19:32:48.987668
25282	2	2013-08-02 16:05:54.57183	2013-08-02 16:05:54.57183
25398	21	2013-08-02 16:05:54.770406	2013-08-03 18:47:37.385906
25284	4	2013-08-02 16:05:54.574721	2013-08-02 16:05:54.574721
25416	14	2013-08-02 16:05:54.816392	2013-08-04 19:32:48.995855
25396	14	2013-08-02 16:05:54.765842	2013-08-04 19:32:49.000418
25287	7	2013-08-02 16:05:54.578974	2013-08-02 16:05:54.578974
34300	2	2013-08-02 16:06:15.359626	2013-08-04 17:07:41.6812
25289	9	2013-08-02 16:05:54.582019	2013-08-02 16:05:54.582019
14166	2	2013-08-02 16:05:31.101048	2013-08-04 01:50:58.357485
25376	14	2013-08-02 16:05:54.722996	2013-08-04 19:32:49.004933
25421	14	2013-08-02 16:05:54.829754	2013-08-03 21:39:31.023644
25356	14	2013-08-02 16:05:54.679027	2013-08-04 19:32:49.009405
25294	14	2013-08-02 16:05:54.589687	2013-08-02 16:05:54.589687
25378	21	2013-08-02 16:05:54.725167	2013-08-03 18:47:37.388721
25358	21	2013-08-02 16:05:54.681421	2013-08-03 18:47:37.391177
1735	9	2013-08-02 16:05:07.295266	2013-08-03 23:41:32.05171
18910	14	2013-08-02 16:05:40.621619	2013-08-04 19:32:49.013942
25338	21	2013-08-02 16:05:54.664519	2013-08-03 18:47:37.393192
25335	2	2013-08-02 16:05:54.661901	2013-08-04 01:55:51.674363
25302	2	2013-08-02 16:05:54.602959	2013-08-02 16:05:54.602959
25336	4	2013-08-02 16:05:54.662782	2013-08-04 19:32:49.022477
25304	4	2013-08-02 16:05:54.606291	2013-08-02 16:05:54.606291
25433	2	2013-08-02 16:05:54.859882	2013-08-04 01:55:51.686425
25311	7	2013-08-02 16:05:54.618908	2013-08-04 17:10:42.551783
25307	7	2013-08-02 16:05:54.611502	2013-08-02 16:05:54.611502
25377	4	2013-08-02 16:05:54.723989	2013-08-04 19:32:49.026929
25309	9	2013-08-02 16:05:54.615186	2013-08-02 16:05:54.615186
25413	2	2013-08-02 16:05:54.808367	2013-08-04 01:55:51.697994
25316	4	2013-08-02 16:05:54.628241	2013-08-04 19:32:49.035964
25296	4	2013-08-02 16:05:54.592899	2013-08-04 19:32:49.045969
25351	4	2013-08-02 16:05:54.674871	2013-08-04 17:10:42.561257
25314	14	2013-08-02 16:05:54.624504	2013-08-02 16:05:54.624504
20632	6	2013-08-02 16:05:44.531533	2013-08-08 01:03:18.466649
25393	2	2013-08-02 16:05:54.758956	2013-08-04 01:55:51.708985
25373	2	2013-08-02 16:05:54.718021	2013-08-04 01:55:51.719955
47763	6	2013-08-02 16:06:45.421122	2013-08-08 01:03:18.498272
25357	4	2013-08-02 16:05:54.679906	2013-08-04 02:20:50.798483
25426	4	2013-08-02 16:05:54.841892	2013-08-04 02:20:50.81017
25322	2	2013-08-02 16:05:54.642395	2013-08-02 16:05:54.642395
15606	6	2013-08-02 16:05:33.885786	2013-08-08 01:03:18.501538
25324	4	2013-08-02 16:05:54.647708	2013-08-02 16:05:54.647708
25285	2	2013-08-02 16:05:54.576076	2013-08-03 21:39:31.13826
18213	6	2013-08-02 16:05:39.271265	2013-08-08 01:03:18.50451
25327	7	2013-08-02 16:05:54.65118	2013-08-02 16:05:54.65118
25391	2	2013-08-02 16:05:54.754201	2013-08-04 17:10:42.567821
25329	9	2013-08-02 16:05:54.65282	2013-08-02 16:05:54.65282
26952	4	2013-08-02 16:05:58.518304	2013-08-04 02:20:50.820998
19966	6	2013-08-02 16:05:43.336509	2013-08-08 01:03:18.53605
25321	14	2013-08-02 16:05:54.639662	2013-08-03 21:42:22.237846
19750	6	2013-08-02 16:05:42.784766	2013-08-08 01:03:18.538722
25334	14	2013-08-02 16:05:54.661044	2013-08-02 16:05:54.661044
25425	9	2013-08-02 16:05:54.839482	2013-08-03 19:02:35.806558
15090	6	2013-08-02 16:05:33.361398	2013-08-08 01:03:18.54131
25406	4	2013-08-02 16:05:54.789817	2013-08-04 02:20:50.831432
25386	4	2013-08-02 16:05:54.741465	2013-08-04 02:20:50.841885
25342	2	2013-08-02 16:05:54.667715	2013-08-02 16:05:54.667715
25385	14	2013-08-02 16:05:54.738943	2013-08-03 19:02:35.822539
25344	4	2013-08-02 16:05:54.669287	2013-08-02 16:05:54.669287
25538	14	2013-08-02 16:05:55.136075	2013-08-03 21:42:41.613055
32759	6	2013-08-02 16:06:12.306841	2013-08-08 01:03:18.56669
25347	7	2013-08-02 16:05:54.671586	2013-08-02 16:05:54.671586
32739	6	2013-08-02 16:06:12.259523	2013-08-08 01:03:18.569812
25349	9	2013-08-02 16:05:54.673218	2013-08-02 16:05:54.673218
25366	4	2013-08-02 16:05:54.701169	2013-08-04 02:20:50.853257
32719	6	2013-08-02 16:06:12.212273	2013-08-08 01:03:18.57409
47712	21	2013-08-02 16:06:45.305755	2013-08-08 01:03:18.684939
8668	21	2013-08-02 16:05:20.444478	2013-08-08 01:03:18.687836
25354	14	2013-08-02 16:05:54.677321	2013-08-02 16:05:54.677321
25346	4	2013-08-02 16:05:54.670835	2013-08-04 02:20:50.86366
25411	21	2013-08-02 16:05:54.803019	2013-08-04 17:11:51.246798
25288	2	2013-08-02 16:05:54.580488	2013-08-04 02:35:42.019306
20118	14	2013-08-02 16:05:43.816833	2013-08-08 01:03:18.756549
25331	21	2013-08-02 16:05:54.655718	2013-08-04 17:11:51.460755
27480	4	2013-08-02 16:05:59.921321	2013-08-04 02:50:50.324938
25362	2	2013-08-02 16:05:54.690646	2013-08-02 16:05:54.690646
25364	4	2013-08-02 16:05:54.695927	2013-08-02 16:05:54.695927
4049	7	2013-08-02 16:05:11.893741	2013-08-03 21:42:41.707393
25375	14	2013-08-02 16:05:54.721348	2013-08-04 17:11:52.275896
25367	7	2013-08-02 16:05:54.703773	2013-08-02 16:05:54.703773
25412	21	2013-08-02 16:05:54.805723	2013-08-04 17:11:52.297904
25369	9	2013-08-02 16:05:54.7088	2013-08-02 16:05:54.7088
27377	4	2013-08-02 16:05:59.557035	2013-08-04 02:50:50.335582
27475	4	2013-08-02 16:05:59.916401	2013-08-04 02:50:50.346349
25371	14	2013-08-02 16:05:54.713476	2013-08-04 17:11:53.231231
25374	14	2013-08-02 16:05:54.719801	2013-08-02 16:05:54.719801
25325	2	2013-08-02 16:05:54.64934	2013-08-03 19:05:36.73191
25392	21	2013-08-02 16:05:54.756622	2013-08-03 19:52:27.187388
6061	21	2013-08-02 16:05:15.279297	2013-08-03 21:42:41.832482
25372	14	2013-08-02 16:05:54.715781	2013-08-03 19:52:27.207943
27466	4	2013-08-02 16:05:59.908154	2013-08-04 02:50:50.357452
25382	2	2013-08-02 16:05:54.731211	2013-08-02 16:05:54.731211
25352	14	2013-08-02 16:05:54.675618	2013-08-03 19:52:27.219367
25384	4	2013-08-02 16:05:54.736327	2013-08-02 16:05:54.736327
25870	21	2013-08-02 16:05:55.962705	2013-08-03 21:42:41.835218
25318	4	2013-08-02 16:05:54.632106	2013-08-04 17:11:53.567664
25387	7	2013-08-02 16:05:54.744005	2013-08-02 16:05:54.744005
25291	14	2013-08-02 16:05:54.58506	2013-08-04 17:11:54.313349
25389	9	2013-08-02 16:05:54.749044	2013-08-02 16:05:54.749044
2087	4	2013-08-02 16:05:08.138942	2013-08-04 02:50:50.40551
25661	21	2013-08-02 16:05:55.435936	2013-08-03 21:42:41.837966
25431	21	2013-08-02 16:05:54.855	2013-08-04 17:13:02.426218
25394	14	2013-08-02 16:05:54.76126	2013-08-02 16:05:54.76126
25405	14	2013-08-02 16:05:54.787364	2013-08-03 19:52:27.231292
25332	14	2013-08-02 16:05:54.658334	2013-08-03 19:52:27.243533
18886	21	2013-08-02 16:05:40.557678	2013-08-03 21:42:41.840705
25312	14	2013-08-02 16:05:54.620778	2013-08-03 19:52:27.254855
48418	4	2013-08-02 16:06:46.523053	2013-08-04 02:50:50.411135
25402	2	2013-08-02 16:05:54.779969	2013-08-02 16:05:54.779969
25292	14	2013-08-02 16:05:54.58657	2013-08-03 19:52:27.265982
25404	4	2013-08-02 16:05:54.785005	2013-08-02 16:05:54.785005
43460	21	2013-08-02 16:06:35.635323	2013-08-03 21:42:41.854703
8549	2	2013-08-02 16:05:20.165077	2013-08-04 17:26:52.223779
25407	7	2013-08-02 16:05:54.792388	2013-08-02 16:05:54.792388
8210	2	2013-08-02 16:05:19.300497	2013-08-04 17:26:52.234722
25409	9	2013-08-02 16:05:54.797732	2013-08-02 16:05:54.797732
48583	4	2013-08-02 16:06:46.754456	2013-08-04 02:50:50.420272
21261	4	2013-08-02 16:05:45.613777	2013-08-04 02:50:50.431131
7861	2	2013-08-02 16:05:18.483507	2013-08-04 17:26:52.245749
25414	14	2013-08-02 16:05:54.811107	2013-08-02 16:05:54.811107
2067	4	2013-08-02 16:05:08.087761	2013-08-04 02:50:50.442444
34065	4	2013-08-02 16:06:14.716233	2013-08-04 02:50:50.453836
25355	9	2013-08-02 16:05:54.678158	2013-08-03 19:54:07.565848
2047	4	2013-08-02 16:05:08.035791	2013-08-04 02:50:50.464639
25422	2	2013-08-02 16:05:54.832244	2013-08-02 16:05:54.832244
8529	2	2013-08-02 16:05:20.115025	2013-08-04 17:26:52.256784
25424	4	2013-08-02 16:05:54.83711	2013-08-02 16:05:54.83711
34372	9	2013-08-02 16:06:15.531738	2013-08-03 21:42:41.903607
8470	2	2013-08-02 16:05:19.968287	2013-08-04 17:26:52.267617
25427	7	2013-08-02 16:05:54.844483	2013-08-02 16:05:54.844483
8509	2	2013-08-02 16:05:20.065308	2013-08-04 17:26:52.278468
25429	9	2013-08-02 16:05:54.849637	2013-08-02 16:05:54.849637
41563	2	2013-08-02 16:06:31.467565	2013-08-04 17:26:52.289373
3904	2	2013-08-02 16:05:11.518032	2013-08-04 17:26:52.31135
25434	14	2013-08-02 16:05:54.862275	2013-08-02 16:05:54.862275
25423	21	2013-08-02 16:05:54.834705	2013-08-03 18:02:14.98908
25297	9	2013-08-02 16:05:54.594684	2013-08-03 18:14:40.986735
25337	7	2013-08-02 16:05:54.66366	2013-08-03 18:14:40.990553
25397	4	2013-08-02 16:05:54.768105	2013-08-03 18:14:40.999516
25315	14	2013-08-02 16:05:54.626358	2013-08-03 18:30:16.975299
14935	2	2013-08-02 16:05:32.956636	2013-08-03 21:44:35.072807
25320	21	2013-08-02 16:05:54.637143	2013-08-03 18:42:38.103619
25300	21	2013-08-02 16:05:54.599754	2013-08-03 18:42:38.107362
25280	21	2013-08-02 16:05:54.569098	2013-08-03 18:42:38.110517
25420	14	2013-08-02 16:05:54.827072	2013-08-03 18:42:38.536606
25400	14	2013-08-02 16:05:54.775253	2013-08-03 18:42:38.543887
25380	7	2013-08-02 16:05:54.727489	2013-08-03 18:42:38.552481
25360	7	2013-08-02 16:05:54.685491	2013-08-03 18:42:38.557456
26972	4	2013-08-02 16:05:58.571516	2013-08-03 20:03:52.213627
26978	14	2013-08-02 16:05:58.586815	2013-08-03 20:07:25.979343
26992	14	2013-08-02 16:05:58.611215	2013-08-03 20:08:28.317958
25478	21	2013-08-02 16:05:54.978023	2013-08-03 18:47:37.375697
25458	21	2013-08-02 16:05:54.924796	2013-08-03 18:47:37.37851
25461	21	2013-08-02 16:05:54.932751	2013-08-03 21:39:31.01008
25456	21	2013-08-02 16:05:54.919441	2013-08-04 19:32:48.934174
25438	21	2013-08-02 16:05:54.871961	2013-08-03 18:47:37.380065
25451	14	2013-08-02 16:05:54.906093	2013-08-04 19:32:48.953905
25442	2	2013-08-02 16:05:54.881999	2013-08-02 16:05:54.881999
25578	21	2013-08-02 16:05:55.237209	2013-08-03 18:52:35.263317
25444	4	2013-08-02 16:05:54.887349	2013-08-02 16:05:54.887349
25441	21	2013-08-02 16:05:54.879465	2013-08-03 21:39:31.012015
25468	2	2013-08-02 16:05:54.951336	2013-08-04 17:07:41.677192
25447	7	2013-08-02 16:05:54.895402	2013-08-02 16:05:54.895402
3357	2	2013-08-02 16:05:10.181467	2013-08-04 17:07:42.180449
25449	9	2013-08-02 16:05:54.90082	2013-08-02 16:05:54.90082
25436	14	2013-08-02 16:05:54.867201	2013-08-04 19:32:48.964859
25454	14	2013-08-02 16:05:54.914079	2013-08-02 16:05:54.914079
25558	21	2013-08-02 16:05:55.187277	2013-08-03 18:52:35.266963
3334	2	2013-08-02 16:05:10.146078	2013-08-04 02:00:47.663226
25573	2	2013-08-02 16:05:55.223801	2013-08-04 02:00:47.674374
25462	2	2013-08-02 16:05:54.935269	2013-08-02 16:05:54.935269
25498	9	2013-08-02 16:05:55.032165	2013-08-03 18:52:35.336956
25464	4	2013-08-02 16:05:54.940629	2013-08-02 16:05:54.940629
3337	2	2013-08-02 16:05:10.153444	2013-08-04 02:20:50.998246
25491	14	2013-08-02 16:05:55.013774	2013-08-04 17:10:54.499868
25467	7	2013-08-02 16:05:54.948676	2013-08-02 16:05:54.948676
25469	9	2013-08-02 16:05:54.95404	2013-08-02 16:05:54.95404
25970	2	2013-08-02 16:05:56.223639	2013-08-04 02:20:51.009388
25535	14	2013-08-02 16:05:55.128014	2013-08-03 21:42:22.137642
25536	14	2013-08-02 16:05:55.130698	2013-08-04 19:34:04.102514
25474	14	2013-08-02 16:05:54.967396	2013-08-02 16:05:54.967396
25475	2	2013-08-02 16:05:54.970038	2013-08-04 02:20:51.020404
25505	21	2013-08-02 16:05:55.049628	2013-08-03 19:02:35.785528
25518	21	2013-08-02 16:05:55.082499	2013-08-04 19:34:14.562034
25516	21	2013-08-02 16:05:55.077169	2013-08-04 19:34:14.603351
25485	21	2013-08-02 16:05:54.995733	2013-08-03 19:02:35.787073
25537	2	2013-08-02 16:05:55.133396	2013-08-04 02:20:51.031336
25482	2	2013-08-02 16:05:54.988174	2013-08-02 16:05:54.988174
25465	21	2013-08-02 16:05:54.943305	2013-08-03 19:02:35.788581
25484	4	2013-08-02 16:05:54.993335	2013-08-02 16:05:54.993335
25586	2	2013-08-02 16:05:55.256482	2013-08-04 02:20:51.042309
25508	9	2013-08-02 16:05:55.056828	2013-08-04 17:10:54.512272
25487	7	2013-08-02 16:05:55.002725	2013-08-02 16:05:55.002725
25521	21	2013-08-02 16:05:55.090536	2013-08-04 19:37:47.478194
25489	9	2013-08-02 16:05:55.008293	2013-08-02 16:05:55.008293
25566	2	2013-08-02 16:05:55.206375	2013-08-04 02:20:51.053219
25496	2	2013-08-02 16:05:55.026772	2013-08-04 19:37:49.293184
25476	4	2013-08-02 16:05:54.972711	2013-08-04 19:37:49.520422
25552	7	2013-08-02 16:05:55.172874	2013-08-04 17:10:54.518679
25494	14	2013-08-02 16:05:55.021435	2013-08-02 16:05:55.021435
25445	21	2013-08-02 16:05:54.890098	2013-08-03 19:02:35.790113
25495	7	2013-08-02 16:05:55.024079	2013-08-03 19:02:36.064371
25546	2	2013-08-02 16:05:55.157198	2013-08-04 02:20:51.064468
15747	14	2013-08-02 16:05:34.144552	2013-08-08 01:03:18.793111
25557	7	2013-08-02 16:05:55.184907	2013-08-03 19:02:36.070408
25526	2	2013-08-02 16:05:55.104047	2013-08-04 02:20:51.075511
25502	2	2013-08-02 16:05:55.042403	2013-08-02 16:05:55.042403
25585	7	2013-08-02 16:05:55.254111	2013-08-03 19:02:36.075555
25504	4	2013-08-02 16:05:55.047234	2013-08-02 16:05:55.047234
25480	9	2013-08-02 16:05:54.983145	2013-08-03 21:42:22.155444
15780	14	2013-08-02 16:05:34.175397	2013-08-08 01:03:18.796253
25507	7	2013-08-02 16:05:55.054416	2013-08-02 16:05:55.054416
23621	14	2013-08-02 16:05:51.692524	2013-08-08 01:03:18.799318
25509	9	2013-08-02 16:05:55.059193	2013-08-02 16:05:55.059193
25492	2	2013-08-02 16:05:55.016279	2013-08-04 02:20:51.086778
15767	14	2013-08-02 16:05:34.1623	2013-08-08 01:03:18.802328
25571	4	2013-08-02 16:05:55.218551	2013-08-04 17:10:54.528331
15850	14	2013-08-02 16:05:34.255464	2013-08-08 01:03:18.805368
25514	14	2013-08-02 16:05:55.071841	2013-08-02 16:05:55.071841
25565	7	2013-08-02 16:05:55.203975	2013-08-03 19:02:36.080692
25591	2	2013-08-02 16:05:55.268394	2013-08-04 17:10:54.534401
45472	14	2013-08-02 16:06:40.637252	2013-08-08 01:03:18.80846
44483	14	2013-08-02 16:06:38.576261	2013-08-08 01:03:18.811418
25472	7	2013-08-02 16:05:54.962076	2013-08-03 19:54:07.567986
25560	21	2013-08-02 16:05:55.19207	2013-08-04 17:11:51.243753
25522	2	2013-08-02 16:05:55.093227	2013-08-02 16:05:55.093227
25990	21	2013-08-02 16:05:56.429705	2013-08-04 17:11:51.457976
25524	4	2013-08-02 16:05:55.098719	2013-08-02 16:05:55.098719
25541	21	2013-08-02 16:05:55.143655	2013-08-03 21:42:31.089089
25531	21	2013-08-02 16:05:55.11739	2013-08-04 17:11:51.62043
25527	7	2013-08-02 16:05:55.106718	2013-08-02 16:05:55.106718
3417	14	2013-08-02 16:05:10.332666	2013-08-04 17:11:53.221829
25529	9	2013-08-02 16:05:55.11203	2013-08-02 16:05:55.11203
25448	14	2013-08-02 16:05:54.898108	2013-08-04 03:00:35.985097
15787	14	2013-08-02 16:05:34.1809	2013-08-08 01:03:18.814549
18786	21	2013-08-02 16:05:40.336845	2013-08-03 21:42:41.93267
25512	4	2013-08-02 16:05:55.06635	2013-08-04 17:11:53.557289
25534	14	2013-08-02 16:05:55.125389	2013-08-02 16:05:55.125389
25490	21	2013-08-02 16:05:55.011069	2013-08-03 21:42:41.933836
25532	4	2013-08-02 16:05:55.120059	2013-08-03 19:54:07.571932
34292	21	2013-08-02 16:06:15.340265	2013-08-03 21:42:41.936636
25551	14	2013-08-02 16:05:55.170424	2013-08-04 17:11:54.303331
25542	2	2013-08-02 16:05:55.146455	2013-08-02 16:05:55.146455
25572	2	2013-08-02 16:05:55.221174	2013-08-03 19:54:07.57424
25544	4	2013-08-02 16:05:55.151842	2013-08-02 16:05:55.151842
25520	4	2013-08-02 16:05:55.087863	2013-08-04 17:11:55.102433
25547	7	2013-08-02 16:05:55.159862	2013-08-02 16:05:55.159862
25540	4	2013-08-02 16:05:55.141086	2013-08-04 17:11:55.113207
25549	9	2013-08-02 16:05:55.165246	2013-08-02 16:05:55.165246
25511	14	2013-08-02 16:05:55.06392	2013-08-04 17:11:55.189355
25457	2	2013-08-02 16:05:54.9221	2013-08-04 17:11:55.483652
25554	14	2013-08-02 16:05:55.177694	2013-08-02 16:05:55.177694
25452	9	2013-08-02 16:05:54.908787	2013-08-04 03:00:36.003038
25471	21	2013-08-02 16:05:54.959389	2013-08-04 17:11:55.820816
25528	7	2013-08-02 16:05:55.109383	2013-08-04 03:00:36.006637
25562	2	2013-08-02 16:05:55.196875	2013-08-02 16:05:55.196875
27911	14	2013-08-02 16:06:00.935252	2013-08-04 17:26:52.401779
25564	4	2013-08-02 16:05:55.201629	2013-08-02 16:05:55.201629
27891	14	2013-08-02 16:06:00.878501	2013-08-04 17:26:52.409122
25567	7	2013-08-02 16:05:55.20876	2013-08-02 16:05:55.20876
27938	14	2013-08-02 16:06:01.009188	2013-08-04 17:26:52.419967
25569	9	2013-08-02 16:05:55.213554	2013-08-02 16:05:55.213554
27871	14	2013-08-02 16:06:00.828	2013-08-04 17:26:52.42982
26010	9	2013-08-02 16:05:56.453692	2013-08-03 21:42:41.962164
27851	14	2013-08-02 16:06:00.778973	2013-08-04 17:26:52.441664
25574	14	2013-08-02 16:05:55.226489	2013-08-02 16:05:55.226489
27831	14	2013-08-02 16:06:00.735244	2013-08-04 17:26:52.452991
26401	14	2013-08-02 16:05:56.99306	2013-08-04 17:26:52.463777
26050	7	2013-08-02 16:05:56.50745	2013-08-03 21:42:41.9666
26030	4	2013-08-02 16:05:56.491186	2013-08-04 03:00:36.016929
25582	2	2013-08-02 16:05:55.246925	2013-08-02 16:05:55.246925
27811	14	2013-08-02 16:06:00.692895	2013-08-04 17:26:52.474469
25584	4	2013-08-02 16:05:55.251725	2013-08-02 16:05:55.251725
18732	7	2013-08-02 16:05:40.261753	2013-08-03 21:44:35.053374
27791	14	2013-08-02 16:06:00.645174	2013-08-04 17:26:52.488818
25587	7	2013-08-02 16:05:55.258892	2013-08-02 16:05:55.258892
29520	14	2013-08-02 16:06:04.10944	2013-08-04 17:26:52.49845
25589	9	2013-08-02 16:05:55.263646	2013-08-02 16:05:55.263646
25497	2	2013-08-02 16:05:55.029457	2013-08-04 03:00:36.023677
25437	2	2013-08-02 16:05:54.869602	2013-08-03 18:14:41.005984
19072	14	2013-08-02 16:05:41.021634	2013-08-04 17:26:52.503812
25477	9	2013-08-02 16:05:54.975352	2013-08-03 18:15:01.512368
27695	14	2013-08-02 16:06:00.408518	2013-08-04 17:26:52.508695
25517	7	2013-08-02 16:05:55.079792	2013-08-03 18:15:01.514577
27771	14	2013-08-02 16:06:00.597367	2013-08-04 17:26:52.513247
27751	14	2013-08-02 16:06:00.54762	2013-08-04 17:26:52.517488
25577	4	2013-08-02 16:05:55.23451	2013-08-03 18:15:01.5175
27731	14	2013-08-02 16:06:00.494604	2013-08-04 17:26:52.521368
25455	7	2013-08-02 16:05:54.916782	2013-08-03 18:30:16.987528
44663	14	2013-08-02 16:06:39.036106	2013-08-04 17:26:52.525224
25501	9	2013-08-02 16:05:55.039996	2013-08-03 21:45:38.937653
25515	4	2013-08-02 16:05:55.074495	2013-08-03 18:30:16.992265
3377	9	2013-08-02 16:05:10.231847	2013-08-03 20:03:52.442609
27711	14	2013-08-02 16:06:00.447076	2013-08-04 17:26:52.529106
25580	2	2013-08-02 16:05:55.242129	2013-08-03 18:42:38.383316
27640	14	2013-08-02 16:06:00.27718	2013-08-04 17:26:52.532605
27650	14	2013-08-02 16:06:00.30111	2013-08-04 17:26:52.537809
28433	2	2013-08-02 16:06:01.74004	2013-08-04 17:26:52.714226
25440	14	2013-08-02 16:05:54.876762	2013-08-03 18:42:38.530571
3354	7	2013-08-02 16:05:10.177169	2013-08-03 20:03:52.447969
2860	14	2013-08-02 16:05:09.25513	2013-08-04 17:26:53.05611
25579	2	2013-08-02 16:05:55.239701	2013-08-04 17:46:51.160297
25559	2	2013-08-02 16:05:55.189672	2013-08-04 17:46:51.171635
10639	2	2013-08-02 16:05:24.034264	2013-08-04 17:46:51.182596
25539	2	2013-08-02 16:05:55.138551	2013-08-04 17:46:51.186253
25610	21	2013-08-02 16:05:55.313895	2013-08-03 21:39:31.81892
25655	14	2013-08-02 16:05:55.421087	2013-08-04 17:11:54.279893
25594	14	2013-08-02 16:05:55.275624	2013-08-02 16:05:55.275624
25638	21	2013-08-02 16:05:55.380913	2013-08-03 18:52:35.252919
25618	21	2013-08-02 16:05:55.332921	2013-08-03 18:52:35.256238
3421	2	2013-08-02 16:05:10.342411	2013-08-04 02:00:47.566726
25598	21	2013-08-02 16:05:55.285124	2013-08-03 18:52:35.259814
28392	4	2013-08-02 16:06:01.704479	2013-08-03 23:41:32.056811
25602	2	2013-08-02 16:05:55.294925	2013-08-02 16:05:55.294925
25604	4	2013-08-02 16:05:55.299682	2013-08-02 16:05:55.299682
25740	2	2013-08-02 16:05:55.638386	2013-08-04 02:00:47.577893
25717	14	2013-08-02 16:05:55.579736	2013-08-04 17:11:54.291728
25607	7	2013-08-02 16:05:55.306768	2013-08-02 16:05:55.306768
3374	9	2013-08-02 16:05:10.223435	2013-08-04 19:34:04.121184
25609	9	2013-08-02 16:05:55.311498	2013-08-02 16:05:55.311498
27778	2	2013-08-02 16:06:00.614141	2013-08-03 23:41:32.059932
25666	2	2013-08-02 16:05:55.450113	2013-08-04 02:20:50.945591
3317	4	2013-08-02 16:05:10.101575	2013-08-04 17:11:55.014724
25614	14	2013-08-02 16:05:55.323325	2013-08-02 16:05:55.323325
25656	7	2013-08-02 16:05:55.423423	2013-08-04 19:34:04.12837
25698	2	2013-08-02 16:05:55.529979	2013-08-03 18:52:35.642296
27798	14	2013-08-02 16:06:00.661853	2013-08-03 23:44:25.197477
25955	2	2013-08-02 16:05:56.18377	2013-08-04 02:20:50.954263
25646	2	2013-08-02 16:05:55.399742	2013-08-04 02:20:50.965316
25622	2	2013-08-02 16:05:55.342786	2013-08-02 16:05:55.342786
25624	4	2013-08-02 16:05:55.347618	2013-08-02 16:05:55.347618
25595	4	2013-08-02 16:05:55.278007	2013-08-04 17:11:55.027118
25627	7	2013-08-02 16:05:55.354789	2013-08-02 16:05:55.354789
25716	4	2013-08-02 16:05:55.577107	2013-08-04 19:34:04.139461
25629	9	2013-08-02 16:05:55.359564	2013-08-02 16:05:55.359564
25626	2	2013-08-02 16:05:55.352409	2013-08-04 02:20:50.976294
25606	2	2013-08-02 16:05:55.304402	2013-08-04 02:20:50.98733
25737	4	2013-08-02 16:05:55.630405	2013-08-04 17:11:55.033654
25634	14	2013-08-02 16:05:55.3714	2013-08-02 16:05:55.3714
25745	7	2013-08-02 16:05:55.650921	2013-08-03 19:02:36.024881
25725	7	2013-08-02 16:05:55.600736	2013-08-03 19:02:36.031228
25637	14	2013-08-02 16:05:55.378533	2013-08-03 21:42:41.746348
3301	2	2013-08-02 16:05:10.072582	2013-08-04 19:34:04.146836
25705	7	2013-08-02 16:05:55.54878	2013-08-03 19:02:36.035309
25695	4	2013-08-02 16:05:55.52191	2013-08-04 02:25:49.676233
25642	2	2013-08-02 16:05:55.390299	2013-08-02 16:05:55.390299
25685	7	2013-08-02 16:05:55.49579	2013-08-03 19:02:36.039522
25644	4	2013-08-02 16:05:55.39503	2013-08-02 16:05:55.39503
25731	4	2013-08-02 16:05:55.615771	2013-08-04 17:11:55.038028
25711	4	2013-08-02 16:05:55.564106	2013-08-04 17:11:55.042554
25647	7	2013-08-02 16:05:55.402105	2013-08-02 16:05:55.402105
25649	9	2013-08-02 16:05:55.406847	2013-08-02 16:05:55.406847
25746	4	2013-08-02 16:05:55.65335	2013-08-04 02:25:49.687217
25736	2	2013-08-02 16:05:55.628064	2013-08-04 19:37:46.202218
25650	21	2013-08-02 16:05:55.409209	2013-08-03 21:42:41.934798
25691	4	2013-08-02 16:05:55.511747	2013-08-04 17:11:55.04723
25654	14	2013-08-02 16:05:55.418719	2013-08-02 16:05:55.418719
25665	7	2013-08-02 16:05:55.446057	2013-08-03 19:02:36.043595
25645	7	2013-08-02 16:05:55.397405	2013-08-03 19:02:36.047188
25741	21	2013-08-02 16:05:55.641049	2013-08-03 21:42:41.935726
25696	21	2013-08-02 16:05:55.524487	2013-08-04 19:37:46.22485
25625	7	2013-08-02 16:05:55.350014	2013-08-03 19:02:36.051226
25726	4	2013-08-02 16:05:55.603258	2013-08-04 02:25:49.698233
25662	2	2013-08-02 16:05:55.438379	2013-08-02 16:05:55.438379
25605	7	2013-08-02 16:05:55.302057	2013-08-03 19:02:36.057684
25664	4	2013-08-02 16:05:55.44347	2013-08-02 16:05:55.44347
25692	4	2013-08-02 16:05:55.5144	2013-08-04 17:11:55.051691
25671	4	2013-08-02 16:05:55.463905	2013-08-04 17:11:55.056072
25667	7	2013-08-02 16:05:55.453289	2013-08-02 16:05:55.453289
25616	21	2013-08-02 16:05:55.328135	2013-08-04 19:37:46.78818
25669	9	2013-08-02 16:05:55.458693	2013-08-02 16:05:55.458693
25706	4	2013-08-02 16:05:55.551407	2013-08-04 02:25:49.709179
25676	21	2013-08-02 16:05:55.472328	2013-08-04 19:37:47.475224
26160	4	2013-08-02 16:05:56.606301	2013-08-03 21:42:41.974254
25597	2	2013-08-02 16:05:55.282738	2013-08-04 17:46:51.055124
25674	14	2013-08-02 16:05:55.467626	2013-08-02 16:05:55.467626
25686	4	2013-08-02 16:05:55.498433	2013-08-04 02:25:49.720407
25712	9	2013-08-02 16:05:55.566538	2013-08-03 19:57:24.559013
26110	2	2013-08-02 16:05:56.556443	2013-08-03 21:42:41.980914
25636	4	2013-08-02 16:05:55.376173	2013-08-04 19:37:48.468479
25596	4	2013-08-02 16:05:55.28035	2013-08-04 19:37:48.792578
43010	4	2013-08-02 16:06:34.950248	2013-08-04 02:50:50.476356
25682	2	2013-08-02 16:05:55.487869	2013-08-02 16:05:55.487869
25739	2	2013-08-02 16:05:55.635697	2013-08-04 17:46:51.063818
25684	4	2013-08-02 16:05:55.493185	2013-08-02 16:05:55.493185
34675	4	2013-08-02 16:06:16.271144	2013-08-04 02:50:50.487949
25719	2	2013-08-02 16:05:55.585099	2013-08-04 17:46:51.071584
25687	7	2013-08-02 16:05:55.501087	2013-08-02 16:05:55.501087
4376	14	2013-08-02 16:05:12.529846	2013-08-08 01:03:18.817598
25689	9	2013-08-02 16:05:55.506426	2013-08-02 16:05:55.506426
21083	4	2013-08-02 16:05:45.323535	2013-08-04 02:50:50.499491
15807	14	2013-08-02 16:05:34.199504	2013-08-08 01:03:18.820644
26221	21	2013-08-02 16:05:56.696833	2013-08-03 21:44:32.036355
25699	2	2013-08-02 16:05:55.532509	2013-08-04 17:46:51.082724
25694	14	2013-08-02 16:05:55.519505	2013-08-02 16:05:55.519505
25652	7	2013-08-02 16:05:55.41394	2013-08-03 19:57:24.593246
44583	14	2013-08-02 16:06:38.832728	2013-08-08 01:03:18.823633
2185	4	2013-08-02 16:05:08.390185	2013-08-04 02:50:50.503407
15827	14	2013-08-02 16:05:34.226481	2013-08-08 01:03:18.826651
26080	4	2013-08-02 16:05:56.531781	2013-08-03 21:44:32.179003
24023	4	2013-08-02 16:05:52.523836	2013-08-04 02:50:50.564671
25702	2	2013-08-02 16:05:55.540835	2013-08-02 16:05:55.540835
25612	2	2013-08-02 16:05:55.318527	2013-08-03 19:57:24.659179
25704	4	2013-08-02 16:05:55.546097	2013-08-02 16:05:55.546097
25679	2	2013-08-02 16:05:55.479854	2013-08-04 17:46:51.093655
25659	2	2013-08-02 16:05:55.43097	2013-08-04 17:46:51.104949
25707	7	2013-08-02 16:05:55.554058	2013-08-02 16:05:55.554058
15805	14	2013-08-02 16:05:34.197284	2013-08-08 01:03:18.829592
25709	9	2013-08-02 16:05:55.558945	2013-08-02 16:05:55.558945
24031	4	2013-08-02 16:05:52.529983	2013-08-04 02:50:50.575991
23861	14	2013-08-02 16:05:52.376745	2013-08-08 01:03:18.832564
26081	7	2013-08-02 16:05:56.532499	2013-08-03 21:44:32.197794
25639	2	2013-08-02 16:05:55.383254	2013-08-04 17:46:51.115764
25714	14	2013-08-02 16:05:55.571807	2013-08-02 16:05:55.571807
24020	4	2013-08-02 16:05:52.521194	2013-08-04 02:50:50.587083
3441	4	2013-08-02 16:05:10.392852	2013-08-03 20:03:52.458012
26090	7	2013-08-02 16:05:56.53987	2013-08-03 21:44:32.330041
15847	14	2013-08-02 16:05:34.250655	2013-08-08 01:03:18.835684
24011	4	2013-08-02 16:05:52.513179	2013-08-04 02:50:50.598618
23991	4	2013-08-02 16:05:52.494152	2013-08-04 02:50:50.610482
25722	2	2013-08-02 16:05:55.593029	2013-08-02 16:05:55.593029
3401	2	2013-08-02 16:05:10.293356	2013-08-03 20:03:52.465183
25724	4	2013-08-02 16:05:55.598152	2013-08-02 16:05:55.598152
36425	14	2013-08-02 16:06:20.85924	2013-08-03 21:44:32.55377
25619	2	2013-08-02 16:05:55.335298	2013-08-04 17:46:51.126596
25727	7	2013-08-02 16:05:55.605684	2013-08-02 16:05:55.605684
15797	14	2013-08-02 16:05:34.188484	2013-08-08 01:03:18.838688
25729	9	2013-08-02 16:05:55.610913	2013-08-02 16:05:55.610913
23971	4	2013-08-02 16:05:52.474682	2013-08-04 02:50:50.621868
15792	14	2013-08-02 16:05:34.184339	2013-08-08 01:03:18.841713
4804	4	2013-08-02 16:05:13.01835	2013-08-04 02:50:50.629463
25701	2	2013-08-02 16:05:55.538179	2013-08-04 17:46:51.137859
25734	14	2013-08-02 16:05:55.623285	2013-08-02 16:05:55.623285
23951	4	2013-08-02 16:05:52.454712	2013-08-04 02:50:50.632788
25721	7	2013-08-02 16:05:55.590374	2013-08-03 21:45:38.941955
15812	14	2013-08-02 16:05:34.205402	2013-08-08 01:03:18.844787
36445	2	2013-08-02 16:06:20.91321	2013-08-03 21:49:34.779873
23931	4	2013-08-02 16:05:52.433885	2013-08-04 02:50:50.638173
25742	2	2013-08-02 16:05:55.643605	2013-08-02 16:05:55.643605
25599	2	2013-08-02 16:05:55.287507	2013-08-04 17:46:51.149102
25744	4	2013-08-02 16:05:55.648512	2013-08-02 16:05:55.648512
7839	14	2013-08-02 16:05:18.429372	2013-08-08 01:03:18.903454
47443	14	2013-08-02 16:06:44.966596	2013-08-08 01:03:18.972373
25747	7	2013-08-02 16:05:55.655739	2013-08-02 16:05:55.655739
19941	14	2013-08-02 16:05:43.274867	2013-08-08 01:03:18.975669
15586	14	2013-08-02 16:05:33.863982	2013-08-08 01:03:19.039581
25617	2	2013-08-02 16:05:55.330464	2013-08-03 18:15:01.519427
25697	14	2013-08-02 16:05:55.527307	2013-08-03 18:17:19.15022
25657	7	2013-08-02 16:05:55.425876	2013-08-03 18:17:19.182145
25635	9	2013-08-02 16:05:55.373792	2013-08-03 18:30:24.064985
25675	7	2013-08-02 16:05:55.470027	2013-08-03 18:30:24.067312
25700	21	2013-08-02 16:05:55.535516	2013-08-03 18:42:38.353916
25680	21	2013-08-02 16:05:55.482602	2013-08-03 18:42:38.357475
25660	21	2013-08-02 16:05:55.433417	2013-08-03 18:42:38.360728
25640	21	2013-08-02 16:05:55.385605	2013-08-03 18:42:38.363991
25620	2	2013-08-02 16:05:55.337716	2013-08-03 18:42:38.371265
25600	2	2013-08-02 16:05:55.290154	2013-08-03 18:42:38.37525
25720	14	2013-08-02 16:05:55.587727	2013-08-03 18:43:40.9294
19221	9	2013-08-02 16:05:41.396278	2013-08-03 20:03:52.532922
25749	9	2013-08-02 16:05:55.660529	2013-08-02 16:05:55.660529
25793	2	2013-08-02 16:05:55.771924	2013-08-04 02:00:47.533003
25895	2	2013-08-02 16:05:56.023862	2013-08-04 02:05:55.19568
25754	14	2013-08-02 16:05:55.672724	2013-08-02 16:05:55.672724
25898	21	2013-08-02 16:05:56.032014	2013-08-03 18:52:35.516549
25878	21	2013-08-02 16:05:55.982966	2013-08-03 18:52:35.517456
25855	2	2013-08-02 16:05:55.923049	2013-08-04 19:37:48.944816
25837	2	2013-08-02 16:05:55.88043	2013-08-04 19:37:48.95177
25858	21	2013-08-02 16:05:55.931247	2013-08-03 18:52:35.518284
25762	2	2013-08-02 16:05:55.691796	2013-08-02 16:05:55.691796
25838	4	2013-08-02 16:05:55.882801	2013-08-03 18:52:35.524288
25764	4	2013-08-02 16:05:55.696582	2013-08-02 16:05:55.696582
25896	14	2013-08-02 16:05:56.026541	2013-08-04 19:37:48.968832
25876	14	2013-08-02 16:05:55.977974	2013-08-04 19:37:48.978528
25767	7	2013-08-02 16:05:55.703727	2013-08-02 16:05:55.703727
25852	14	2013-08-02 16:05:55.915964	2013-08-04 19:37:48.983723
25769	9	2013-08-02 16:05:55.708492	2013-08-02 16:05:55.708492
25856	14	2013-08-02 16:05:55.925807	2013-08-04 19:37:48.98956
25836	14	2013-08-02 16:05:55.878081	2013-08-04 19:37:48.998934
25893	2	2013-08-02 16:05:56.018942	2013-08-04 02:05:55.201532
25851	14	2013-08-02 16:05:55.913645	2013-08-04 17:14:03.079259
25774	14	2013-08-02 16:05:55.721353	2013-08-02 16:05:55.721353
25880	14	2013-08-02 16:05:55.988243	2013-08-04 19:37:49.003282
25873	2	2013-08-02 16:05:55.970692	2013-08-04 02:05:55.205943
25821	9	2013-08-02 16:05:55.841755	2013-08-03 21:42:41.762433
25801	4	2013-08-02 16:05:55.793552	2013-08-04 19:37:49.021237
25778	7	2013-08-02 16:05:55.732187	2013-08-03 18:52:35.553489
33440	4	2013-08-02 16:06:14.069566	2013-08-04 02:25:49.55893
25782	2	2013-08-02 16:05:55.742632	2013-08-02 16:05:55.742632
25758	9	2013-08-02 16:05:55.68231	2013-08-03 18:52:35.572513
25784	4	2013-08-02 16:05:55.747979	2013-08-02 16:05:55.747979
25816	4	2013-08-02 16:05:55.829886	2013-08-04 19:37:49.032914
25796	4	2013-08-02 16:05:55.779899	2013-08-04 19:37:49.045025
25787	7	2013-08-02 16:05:55.755998	2013-08-02 16:05:55.755998
25776	4	2013-08-02 16:05:55.726867	2013-08-04 19:37:49.057158
25789	9	2013-08-02 16:05:55.761319	2013-08-02 16:05:55.761319
25886	4	2013-08-02 16:05:56.004414	2013-08-04 02:25:49.570628
20733	4	2013-08-02 16:05:44.630896	2013-08-04 19:37:49.068259
25861	7	2013-08-02 16:05:55.939247	2013-08-03 21:42:41.769427
25756	4	2013-08-02 16:05:55.677527	2013-08-04 19:37:49.07962
25794	14	2013-08-02 16:05:55.774576	2013-08-02 16:05:55.774576
25835	9	2013-08-02 16:05:55.875707	2013-08-03 18:59:59.407124
25845	7	2013-08-02 16:05:55.899375	2013-08-03 19:02:35.984098
25811	7	2013-08-02 16:05:55.8179	2013-08-04 19:50:25.808609
20141	6	2013-08-02 16:05:43.993569	2013-08-08 01:03:19.073313
25825	7	2013-08-02 16:05:55.851653	2013-08-03 19:02:35.992368
25752	4	2013-08-02 16:05:55.667907	2013-08-04 02:25:49.581819
25802	2	2013-08-02 16:05:55.796195	2013-08-02 16:05:55.796195
25805	7	2013-08-02 16:05:55.803523	2013-08-03 19:02:35.997821
25804	4	2013-08-02 16:05:55.801146	2013-08-02 16:05:55.801146
26250	4	2013-08-02 16:05:56.719429	2013-08-04 02:25:49.592786
25832	9	2013-08-02 16:05:55.868581	2013-08-04 17:14:03.091536
25807	7	2013-08-02 16:05:55.808288	2013-08-02 16:05:55.808288
20001	6	2013-08-02 16:05:43.420229	2013-08-08 01:03:19.076681
25809	9	2013-08-02 16:05:55.813097	2013-08-02 16:05:55.813097
25866	4	2013-08-02 16:05:55.952033	2013-08-04 02:25:49.603519
15146	6	2013-08-02 16:05:33.452081	2013-08-08 01:03:19.079821
25795	4	2013-08-02 16:05:55.77728	2013-08-03 21:42:41.780502
16768	6	2013-08-02 16:05:36.223193	2013-08-08 01:03:19.213536
25814	14	2013-08-02 16:05:55.825094	2013-08-02 16:05:55.825094
25785	7	2013-08-02 16:05:55.750665	2013-08-03 19:02:36.00304
25765	7	2013-08-02 16:05:55.698954	2013-08-03 19:02:36.01251
18221	6	2013-08-02 16:05:39.279423	2013-08-08 01:03:19.245672
18153	6	2013-08-02 16:05:39.21201	2013-08-08 01:03:19.291102
25846	4	2013-08-02 16:05:55.901828	2013-08-04 02:25:49.614332
25822	2	2013-08-02 16:05:55.84414	2013-08-02 16:05:55.84414
25824	4	2013-08-02 16:05:55.849003	2013-08-02 16:05:55.849003
4455	6	2013-08-02 16:05:12.625499	2013-08-08 01:03:19.347783
25780	7	2013-08-02 16:05:55.737297	2013-08-04 17:14:03.098925
25827	7	2013-08-02 16:05:55.856595	2013-08-02 16:05:55.856595
11659	6	2013-08-02 16:05:26.121387	2013-08-08 01:03:19.398726
25829	9	2013-08-02 16:05:55.861439	2013-08-02 16:05:55.861439
23911	4	2013-08-02 16:05:52.418257	2013-08-04 02:50:50.642372
47708	21	2013-08-02 16:06:45.297871	2013-08-08 01:03:19.510266
23891	4	2013-08-02 16:05:52.401158	2013-08-04 02:50:50.650432
25831	21	2013-08-02 16:05:55.866203	2013-08-04 17:14:14.958125
25834	14	2013-08-02 16:05:55.873343	2013-08-02 16:05:55.873343
8772	21	2013-08-02 16:05:20.693732	2013-08-08 01:03:19.513256
26275	21	2013-08-02 16:05:56.75521	2013-08-03 21:44:32.947952
26370	21	2013-08-02 16:05:56.930032	2013-08-03 21:44:32.951577
15781	21	2013-08-02 16:05:34.176193	2013-08-08 01:03:19.516058
25885	14	2013-08-02 16:05:56.001693	2013-08-03 19:05:24.392816
23885	4	2013-08-02 16:05:52.396322	2013-08-04 02:50:50.658809
25842	2	2013-08-02 16:05:55.892259	2013-08-02 16:05:55.892259
25865	14	2013-08-02 16:05:55.949406	2013-08-03 19:07:36.716334
25844	4	2013-08-02 16:05:55.897023	2013-08-02 16:05:55.897023
26350	21	2013-08-02 16:05:56.890576	2013-08-03 21:44:32.955072
25755	2	2013-08-02 16:05:55.675119	2013-08-04 17:16:51.837906
25847	7	2013-08-02 16:05:55.904188	2013-08-02 16:05:55.904188
31165	14	2013-08-02 16:06:08.342241	2013-08-08 01:03:19.582215
25849	9	2013-08-02 16:05:55.908952	2013-08-02 16:05:55.908952
23871	4	2013-08-02 16:05:52.385087	2013-08-04 02:50:50.670026
16953	14	2013-08-02 16:05:36.708191	2013-08-08 01:03:19.630905
26285	21	2013-08-02 16:05:56.768113	2013-08-03 21:44:32.95859
28752	14	2013-08-02 16:06:02.133792	2013-08-08 01:03:19.633883
25854	14	2013-08-02 16:05:55.920678	2013-08-02 16:05:55.920678
23811	4	2013-08-02 16:05:52.333402	2013-08-04 02:50:50.727166
45003	14	2013-08-02 16:06:39.577634	2013-08-08 01:03:19.700521
23791	4	2013-08-02 16:05:52.111979	2013-08-04 02:50:50.733093
15907	14	2013-08-02 16:05:34.322678	2013-08-08 01:03:19.74122
16276	4	2013-08-02 16:05:35.015368	2013-08-04 02:50:50.759442
13486	4	2013-08-02 16:05:29.535454	2013-08-04 02:50:50.89526
25862	2	2013-08-02 16:05:55.941688	2013-08-02 16:05:55.941688
25864	4	2013-08-02 16:05:55.94671	2013-08-02 16:05:55.94671
15943	14	2013-08-02 16:05:34.353629	2013-08-08 01:03:19.743682
26330	2	2013-08-02 16:05:56.850957	2013-08-04 17:16:52.17717
25867	7	2013-08-02 16:05:55.954679	2013-08-02 16:05:55.954679
25869	9	2013-08-02 16:05:55.960052	2013-08-02 16:05:55.960052
20379	4	2013-08-02 16:05:44.282869	2013-08-04 02:50:50.899439
25891	14	2013-08-02 16:05:56.017477	2013-08-04 17:16:53.595116
25874	14	2013-08-02 16:05:55.973168	2013-08-02 16:05:55.973168
12476	4	2013-08-02 16:05:28.102029	2013-08-04 02:50:50.903665
25812	14	2013-08-02 16:05:55.820304	2013-08-03 19:57:24.46896
25772	4	2013-08-02 16:05:55.715948	2013-08-03 19:57:24.514155
20359	4	2013-08-02 16:05:44.26144	2013-08-04 02:50:50.908039
25882	2	2013-08-02 16:05:55.993594	2013-08-02 16:05:55.993594
25871	2	2013-08-02 16:05:55.965371	2013-08-04 17:21:50.193184
25884	4	2013-08-02 16:05:55.998908	2013-08-02 16:05:55.998908
25818	2	2013-08-02 16:05:55.834647	2013-08-04 17:46:51.042878
25887	7	2013-08-02 16:05:56.007626	2013-08-02 16:05:56.007626
25889	9	2013-08-02 16:05:56.014195	2013-08-02 16:05:56.014195
25759	2	2013-08-02 16:05:55.684698	2013-08-04 17:46:51.047081
1747	2	2013-08-02 16:05:07.324888	2013-08-04 17:46:51.050884
32978	14	2013-08-02 16:06:12.840045	2013-08-04 17:46:52.676813
25894	14	2013-08-02 16:05:56.021219	2013-08-02 16:05:56.021219
25815	14	2013-08-02 16:05:55.827524	2013-08-04 17:46:52.680816
25899	14	2013-08-02 16:05:56.034745	2013-08-04 17:46:52.684652
25879	14	2013-08-02 16:05:55.985628	2013-08-04 17:46:52.688701
25902	2	2013-08-02 16:05:56.043048	2013-08-02 16:05:56.043048
33420	7	2013-08-02 16:06:14.047773	2013-08-03 20:03:52.536758
25904	4	2013-08-02 16:05:56.048433	2013-08-02 16:05:56.048433
26270	14	2013-08-02 16:05:56.749254	2013-08-04 17:46:52.692569
25903	21	2013-08-02 16:05:56.045769	2013-08-03 18:07:18.202171
25883	21	2013-08-02 16:05:55.996255	2013-08-03 18:07:18.205357
25863	21	2013-08-02 16:05:55.9441	2013-08-03 18:07:18.208332
25897	21	2013-08-02 16:05:56.029325	2013-08-03 18:17:18.990513
25877	21	2013-08-02 16:05:55.980343	2013-08-03 18:17:18.994153
25857	21	2013-08-02 16:05:55.928464	2013-08-03 18:17:18.997658
26290	14	2013-08-02 16:05:56.776229	2013-08-04 17:46:52.696168
25775	2	2013-08-02 16:05:55.724015	2013-08-03 18:30:24.076212
25859	14	2013-08-02 16:05:55.933951	2013-08-04 17:46:52.699731
25892	14	2013-08-02 16:05:56.018216	2013-08-04 17:46:52.704141
25875	14	2013-08-02 16:05:55.97558	2013-08-03 18:33:05.70235
25839	14	2013-08-02 16:05:55.885212	2013-08-04 17:46:52.710903
25905	14	2013-08-02 16:05:56.051087	2013-08-04 17:46:52.716812
25819	14	2013-08-02 16:05:55.837044	2013-08-04 17:46:52.721919
25820	9	2013-08-02 16:05:55.839372	2013-08-03 18:43:40.942268
25860	7	2013-08-02 16:05:55.936757	2013-08-03 18:43:40.95081
25761	14	2013-08-02 16:05:55.689423	2013-08-04 17:46:52.727092
3348	14	2013-08-02 16:05:10.170911	2013-08-03 20:03:52.56223
4984	9	2013-08-02 16:05:13.175857	2013-08-03 20:03:52.567033
4221	14	2013-08-02 16:05:12.220514	2013-08-03 20:04:03.777306
25799	14	2013-08-02 16:05:55.787893	2013-08-04 17:46:52.734071
29918	4	2013-08-02 16:06:05.194962	2013-08-03 20:04:03.801197
25995	4	2013-08-02 16:05:56.435031	2013-08-04 17:11:54.443961
25907	7	2013-08-02 16:05:56.056507	2013-08-02 16:05:56.056507
25976	21	2013-08-02 16:05:56.239605	2013-08-04 19:37:48.917313
25909	9	2013-08-02 16:05:56.061912	2013-08-02 16:05:56.061912
26053	2	2013-08-02 16:05:56.509738	2013-08-04 02:05:55.143727
26031	2	2013-08-02 16:05:56.492155	2013-08-04 19:37:48.924768
26033	2	2013-08-02 16:05:56.49393	2013-08-04 02:05:55.148458
25956	2	2013-08-02 16:05:56.186477	2013-08-04 19:37:48.929282
25914	14	2013-08-02 16:05:56.075236	2013-08-02 16:05:56.075236
25936	2	2013-08-02 16:05:56.133397	2013-08-04 19:37:48.933683
26040	2	2013-08-02 16:05:56.499747	2013-08-03 18:47:37.928557
25941	2	2013-08-02 16:05:56.146535	2013-08-03 21:42:41.787621
25916	2	2013-08-02 16:05:56.080607	2013-08-04 19:37:48.938747
25921	21	2013-08-02 16:05:56.093649	2013-08-03 21:42:41.843393
26013	2	2013-08-02 16:05:56.457855	2013-08-04 02:05:55.152953
25922	2	2013-08-02 16:05:56.096121	2013-08-02 16:05:56.096121
26000	7	2013-08-02 16:05:56.440512	2013-08-03 18:47:37.948576
25924	4	2013-08-02 16:05:56.101263	2013-08-02 16:05:56.101263
12401	2	2013-08-02 16:05:27.959787	2013-08-04 02:05:55.161872
14818	14	2013-08-02 16:05:32.66792	2013-08-04 19:42:28.034874
25927	7	2013-08-02 16:05:56.109227	2013-08-02 16:05:56.109227
14863	14	2013-08-02 16:05:32.778937	2013-08-04 19:42:28.045913
25929	9	2013-08-02 16:05:56.114585	2013-08-02 16:05:56.114585
25940	2	2013-08-02 16:05:56.14398	2013-08-04 02:10:51.46011
26056	14	2013-08-02 16:05:56.512015	2013-08-04 19:42:28.05682
25930	14	2013-08-02 16:05:56.117401	2013-08-03 21:42:41.955157
25951	4	2013-08-02 16:05:56.173244	2013-08-04 17:14:03.110112
25934	14	2013-08-02 16:05:56.12807	2013-08-02 16:05:56.12807
26018	21	2013-08-02 16:05:56.4653	2013-08-03 18:52:35.510774
25998	21	2013-08-02 16:05:56.438164	2013-08-03 18:52:35.512014
25980	2	2013-08-02 16:05:56.250206	2013-08-03 21:44:32.210739
26036	14	2013-08-02 16:05:56.496435	2013-08-04 19:42:28.067669
25978	21	2013-08-02 16:05:56.244921	2013-08-03 18:52:35.51297
13019	4	2013-08-02 16:05:29.075794	2013-08-03 23:41:32.166956
25942	2	2013-08-02 16:05:56.149166	2013-08-02 16:05:56.149166
25958	21	2013-08-02 16:05:56.191792	2013-08-03 18:52:35.513869
25944	4	2013-08-02 16:05:56.154522	2013-08-02 16:05:56.154522
26016	14	2013-08-02 16:05:56.462205	2013-08-04 19:42:28.078528
26038	2	2013-08-02 16:05:56.498115	2013-08-04 17:14:03.117438
25947	7	2013-08-02 16:05:56.162531	2013-08-02 16:05:56.162531
25996	14	2013-08-02 16:05:56.43596	2013-08-04 19:42:28.089428
25949	9	2013-08-02 16:05:56.167876	2013-08-02 16:05:56.167876
12978	2	2013-08-02 16:05:29.038075	2013-08-03 23:41:32.169018
25945	14	2013-08-02 16:05:56.157194	2013-08-04 19:42:28.100374
15927	14	2013-08-02 16:05:34.33798	2013-08-08 01:03:19.746131
23761	14	2013-08-02 16:05:52.025991	2013-08-08 01:03:19.749087
25954	14	2013-08-02 16:05:56.181134	2013-08-02 16:05:56.181134
25938	21	2013-08-02 16:05:56.138724	2013-08-03 18:52:35.514729
25918	21	2013-08-02 16:05:56.085837	2013-08-03 18:52:35.515576
23881	14	2013-08-02 16:05:52.393234	2013-08-08 01:03:19.751861
15947	14	2013-08-02 16:05:34.357184	2013-08-08 01:03:19.75454
25926	14	2013-08-02 16:05:56.106554	2013-08-04 02:27:39.30475
4285	14	2013-08-02 16:05:12.332126	2013-08-08 01:03:19.757188
25962	2	2013-08-02 16:05:56.202573	2013-08-02 16:05:56.202573
15967	14	2013-08-02 16:05:34.39063	2013-08-08 01:03:19.760166
25964	4	2013-08-02 16:05:56.207715	2013-08-02 16:05:56.207715
37079	14	2013-08-02 16:06:21.891648	2013-08-08 01:03:19.763018
15987	14	2013-08-02 16:05:34.411655	2013-08-08 01:03:19.765811
25967	7	2013-08-02 16:05:56.215615	2013-08-02 16:05:56.215615
16007	14	2013-08-02 16:05:34.431953	2013-08-08 01:03:19.768482
25969	9	2013-08-02 16:05:56.220997	2013-08-02 16:05:56.220997
15990	14	2013-08-02 16:05:34.415825	2013-08-08 01:03:19.771115
4758	14	2013-08-02 16:05:12.982232	2013-08-08 01:03:19.774112
25981	9	2013-08-02 16:05:56.252866	2013-08-03 21:44:32.271519
25974	14	2013-08-02 16:05:56.234318	2013-08-02 16:05:56.234318
26061	7	2013-08-02 16:05:56.51587	2013-08-03 21:44:32.325302
12998	14	2013-08-02 16:05:29.055831	2013-08-03 23:44:25.193756
25982	2	2013-08-02 16:05:56.255318	2013-08-02 16:05:56.255318
25985	14	2013-08-02 16:05:56.423775	2013-08-03 19:04:53.777616
25984	4	2013-08-02 16:05:56.260187	2013-08-02 16:05:56.260187
26097	2	2013-08-02 16:05:56.545837	2013-08-03 21:44:33.09073
25935	14	2013-08-02 16:05:56.130749	2013-08-04 17:14:14.869399
25987	7	2013-08-02 16:05:56.42636	2013-08-02 16:05:56.42636
25989	9	2013-08-02 16:05:56.428599	2013-08-02 16:05:56.428599
26210	2	2013-08-02 16:05:56.689021	2013-08-03 21:44:33.102585
26051	21	2013-08-02 16:05:56.508214	2013-08-04 17:14:14.960845
25994	14	2013-08-02 16:05:56.434006	2013-08-02 16:05:56.434006
26041	2	2013-08-02 16:05:56.50055	2013-08-04 17:16:51.130857
25931	21	2013-08-02 16:05:56.120074	2013-08-04 17:16:51.243034
26230	4	2013-08-02 16:05:56.703251	2013-08-03 21:45:38.948589
46635	21	2013-08-02 16:06:43.169507	2013-08-03 23:45:41.288685
26002	2	2013-08-02 16:05:56.443015	2013-08-02 16:05:56.443015
26004	4	2013-08-02 16:05:56.445678	2013-08-02 16:05:56.445678
26001	9	2013-08-02 16:05:56.441803	2013-08-03 21:45:39.034128
25911	2	2013-08-02 16:05:56.067264	2013-08-04 17:16:51.532708
26007	7	2013-08-02 16:05:56.449484	2013-08-02 16:05:56.449484
26009	9	2013-08-02 16:05:56.45227	2013-08-02 16:05:56.45227
26006	9	2013-08-02 16:05:56.448149	2013-08-04 02:27:39.310991
26057	2	2013-08-02 16:05:56.5128	2013-08-04 17:16:51.771711
26014	14	2013-08-02 16:05:56.459237	2013-08-02 16:05:56.459237
25965	7	2013-08-02 16:05:56.210495	2013-08-03 19:04:53.88652
26046	7	2013-08-02 16:05:56.504391	2013-08-04 02:27:39.313082
26048	2	2013-08-02 16:05:56.505921	2013-08-04 17:16:51.782843
15388	21	2013-08-02 16:05:33.679859	2013-08-04 02:30:50.663198
25986	4	2013-08-02 16:05:56.425243	2013-08-04 02:30:52.279608
26022	2	2013-08-02 16:05:56.473722	2013-08-02 16:05:56.473722
25912	21	2013-08-02 16:05:56.069907	2013-08-03 19:57:24.372645
26024	4	2013-08-02 16:05:56.476059	2013-08-02 16:05:56.476059
26021	2	2013-08-02 16:05:56.471771	2013-08-04 02:30:52.635072
26028	2	2013-08-02 16:05:56.485946	2013-08-04 17:16:51.793917
26027	7	2013-08-02 16:05:56.483212	2013-08-02 16:05:56.483212
26029	9	2013-08-02 16:05:56.488716	2013-08-02 16:05:56.488716
25946	2	2013-08-02 16:05:56.15983	2013-08-04 02:30:52.788585
20386	4	2013-08-02 16:05:44.291552	2013-08-04 02:50:50.911649
26026	2	2013-08-02 16:05:56.48053	2013-08-04 17:16:51.804775
26034	14	2013-08-02 16:05:56.494779	2013-08-02 16:05:56.494779
25915	2	2013-08-02 16:05:56.077943	2013-08-03 19:57:24.794984
26052	2	2013-08-02 16:05:56.508991	2013-08-03 19:57:24.80549
20339	4	2013-08-02 16:05:44.237552	2013-08-04 02:50:50.914922
20290	4	2013-08-02 16:05:44.193334	2013-08-04 02:50:50.919982
20319	4	2013-08-02 16:05:44.218409	2013-08-04 02:50:50.924714
26042	2	2013-08-02 16:05:56.501343	2013-08-02 16:05:56.501343
26032	2	2013-08-02 16:05:56.493063	2013-08-03 19:57:24.816108
26044	4	2013-08-02 16:05:56.502882	2013-08-02 16:05:56.502882
20295	4	2013-08-02 16:05:44.197761	2013-08-04 02:50:50.930159
26008	2	2013-08-02 16:05:56.450884	2013-08-04 17:16:51.815898
26047	7	2013-08-02 16:05:56.505165	2013-08-02 16:05:56.505165
26049	9	2013-08-02 16:05:56.506675	2013-08-02 16:05:56.506675
20299	4	2013-08-02 16:05:44.201402	2013-08-04 02:50:50.939281
20372	4	2013-08-02 16:05:44.275739	2013-08-04 02:50:50.949783
25991	21	2013-08-02 16:05:56.430814	2013-08-04 17:18:00.467105
26054	14	2013-08-02 16:05:56.510504	2013-08-02 16:05:56.510504
26012	14	2013-08-02 16:05:56.456462	2013-08-03 19:57:24.826542
26025	14	2013-08-02 16:05:56.477974	2013-08-03 19:57:24.831531
20352	4	2013-08-02 16:05:44.253273	2013-08-04 02:50:50.960734
20279	4	2013-08-02 16:05:44.18245	2013-08-04 02:50:50.971872
20259	4	2013-08-02 16:05:44.160001	2013-08-04 02:50:50.983641
26062	2	2013-08-02 16:05:56.516658	2013-08-02 16:05:56.516658
26017	21	2013-08-02 16:05:56.463731	2013-08-03 18:17:18.968752
25997	21	2013-08-02 16:05:56.43706	2013-08-03 18:17:18.972852
25977	21	2013-08-02 16:05:56.242242	2013-08-03 18:17:18.97632
25957	21	2013-08-02 16:05:56.18915	2013-08-03 18:17:18.97983
25937	21	2013-08-02 16:05:56.136039	2013-08-03 18:17:18.983386
25917	21	2013-08-02 16:05:56.083185	2013-08-03 18:17:18.98693
19076	14	2013-08-02 16:05:41.030093	2013-08-04 17:26:53.063816
19070	2	2013-08-02 16:05:41.018292	2013-08-04 17:26:53.08041
25975	9	2013-08-02 16:05:56.236971	2013-08-03 18:33:05.708433
25920	4	2013-08-02 16:05:56.09102	2013-08-03 18:43:40.96307
25992	14	2013-08-02 16:05:56.43193	2013-08-03 19:57:24.83637
25960	2	2013-08-02 16:05:56.197227	2013-08-03 18:43:40.972084
19010	2	2013-08-02 16:05:40.86776	2013-08-04 17:26:53.08665
19056	2	2013-08-02 16:05:40.985907	2013-08-04 17:26:53.090941
25972	14	2013-08-02 16:05:56.229004	2013-08-03 19:57:24.840991
19041	2	2013-08-02 16:05:40.947086	2013-08-04 17:26:53.095158
7586	7	2013-08-02 16:05:18.00846	2013-08-03 20:07:26.114402
14886	2	2013-08-02 16:05:32.833891	2013-08-03 20:07:26.255683
15408	21	2013-08-02 16:05:33.706829	2013-08-03 20:07:26.317761
19036	2	2013-08-02 16:05:40.931613	2013-08-04 17:26:53.099857
19016	2	2013-08-02 16:05:40.881963	2013-08-04 17:26:53.105819
2498	2	2013-08-02 16:05:08.842436	2013-08-04 17:26:53.110643
19017	2	2013-08-02 16:05:40.884308	2013-08-04 17:26:53.115193
18852	2	2013-08-02 16:05:40.500927	2013-08-04 17:26:53.119365
43657	14	2013-08-02 16:06:36.33998	2013-08-04 17:26:53.226265
23351	2	2013-08-02 16:05:51.021327	2013-08-04 17:26:53.35324
26200	21	2013-08-02 16:05:56.681372	2013-08-03 18:47:37.814855
26064	4	2013-08-02 16:05:56.518524	2013-08-02 16:05:56.518524
26215	2	2013-08-02 16:05:56.69257	2013-08-04 02:10:51.381061
26126	21	2013-08-02 16:05:56.568391	2013-08-04 17:11:54.378784
26067	7	2013-08-02 16:05:56.521219	2013-08-02 16:05:56.521219
26216	21	2013-08-02 16:05:56.693263	2013-08-04 19:42:27.883104
26069	9	2013-08-02 16:05:56.523012	2013-08-02 16:05:56.523012
26213	2	2013-08-02 16:05:56.691152	2013-08-04 02:10:51.385198
26196	4	2013-08-02 16:05:56.677901	2013-08-04 19:42:27.903553
26135	21	2013-08-02 16:05:56.576664	2013-08-03 21:44:32.038153
26128	4	2013-08-02 16:05:56.569929	2013-08-04 17:11:54.399595
26074	14	2013-08-02 16:05:56.527205	2013-08-02 16:05:56.527205
26201	14	2013-08-02 16:05:56.682173	2013-08-03 21:44:32.048734
26176	4	2013-08-02 16:05:56.639156	2013-08-04 19:42:27.91484
26193	2	2013-08-02 16:05:56.672234	2013-08-04 02:10:51.389041
26108	4	2013-08-02 16:05:56.554813	2013-08-04 17:11:54.411012
26082	2	2013-08-02 16:05:56.533395	2013-08-02 16:05:56.533395
26156	4	2013-08-02 16:05:56.600446	2013-08-04 19:42:27.925881
26084	4	2013-08-02 16:05:56.535161	2013-08-02 16:05:56.535161
1680	4	2013-08-02 16:05:07.151353	2013-08-04 19:42:27.937292
26087	7	2013-08-02 16:05:56.537578	2013-08-02 16:05:56.537578
26136	4	2013-08-02 16:05:56.577675	2013-08-04 19:42:27.947875
26089	9	2013-08-02 16:05:56.539127	2013-08-02 16:05:56.539127
20101	21	2013-08-02 16:05:43.673105	2013-08-03 23:41:32.256357
26116	4	2013-08-02 16:05:56.561184	2013-08-04 19:42:27.955243
26096	4	2013-08-02 16:05:56.544957	2013-08-04 19:42:27.965977
26161	4	2013-08-02 16:05:56.608342	2013-08-04 19:42:27.977534
26094	14	2013-08-02 16:05:56.543211	2013-08-02 16:05:56.543211
20246	21	2013-08-02 16:05:44.146132	2013-08-03 23:41:32.258381
26100	4	2013-08-02 16:05:56.54848	2013-08-03 18:47:37.900365
36921	21	2013-08-02 16:06:21.503307	2013-08-03 23:41:32.260201
49235	4	2013-08-02 16:06:48.505203	2013-08-04 19:42:27.98912
6790	21	2013-08-02 16:05:16.975254	2013-08-03 23:41:32.261053
1571	21	2013-08-02 16:05:06.91915	2013-08-03 23:41:32.261947
26102	2	2013-08-02 16:05:56.55011	2013-08-02 16:05:56.55011
26066	4	2013-08-02 16:05:56.520321	2013-08-04 02:27:39.315772
26104	4	2013-08-02 16:05:56.55169	2013-08-02 16:05:56.55169
26076	14	2013-08-02 16:05:56.528741	2013-08-04 19:42:28.012829
26175	4	2013-08-02 16:05:56.636466	2013-08-04 19:47:26.808876
26107	7	2013-08-02 16:05:56.55396	2013-08-02 16:05:56.55396
34400	14	2013-08-02 16:06:15.59886	2013-08-08 01:03:19.862984
26109	9	2013-08-02 16:05:56.555606	2013-08-02 16:05:56.555606
29621	9	2013-08-02 16:06:04.366257	2013-08-04 17:14:14.883947
35673	6	2013-08-02 16:06:18.87388	2013-08-08 01:03:19.956261
10697	21	2013-08-02 16:05:24.099451	2013-08-08 01:03:19.96202
8698	6	2013-08-02 16:05:20.517705	2013-08-08 01:03:20.104418
26114	14	2013-08-02 16:05:56.559623	2013-08-02 16:05:56.559623
26208	2	2013-08-02 16:05:56.687533	2013-08-04 17:16:51.683754
26198	9	2013-08-02 16:05:56.679645	2013-08-03 18:57:38.002924
28712	9	2013-08-02 16:06:02.09697	2013-08-03 23:41:56.578765
47728	6	2013-08-02 16:06:45.345525	2013-08-08 01:03:20.108487
26106	2	2013-08-02 16:05:56.553169	2013-08-04 02:27:39.318017
26105	2	2013-08-02 16:05:56.552438	2013-08-04 17:16:51.695488
26122	2	2013-08-02 16:05:56.565509	2013-08-02 16:05:56.565509
26124	4	2013-08-02 16:05:56.566907	2013-08-02 16:05:56.566907
26188	2	2013-08-02 16:05:56.66705	2013-08-04 17:16:51.706442
26127	7	2013-08-02 16:05:56.569164	2013-08-02 16:05:56.569164
26129	9	2013-08-02 16:05:56.570724	2013-08-02 16:05:56.570724
16393	2	2013-08-02 16:05:35.252727	2013-08-04 17:16:51.717475
26134	14	2013-08-02 16:05:56.575644	2013-08-02 16:05:56.575644
26138	4	2013-08-02 16:05:56.579694	2013-08-03 18:57:38.066294
26086	2	2013-08-02 16:05:56.536779	2013-08-04 02:30:51.410551
26197	4	2013-08-02 16:05:56.678806	2013-08-04 02:30:51.739801
26142	2	2013-08-02 16:05:56.583992	2013-08-02 16:05:56.583992
26118	2	2013-08-02 16:05:56.562658	2013-08-03 18:57:38.074561
26144	4	2013-08-02 16:05:56.586178	2013-08-02 16:05:56.586178
26217	4	2013-08-02 16:05:56.693916	2013-08-04 02:30:51.750391
26168	2	2013-08-02 16:05:56.61947	2013-08-04 17:16:51.72878
26147	7	2013-08-02 16:05:56.589576	2013-08-02 16:05:56.589576
26149	9	2013-08-02 16:05:56.592076	2013-08-02 16:05:56.592076
26206	4	2013-08-02 16:05:56.686009	2013-08-04 02:30:51.760534
35798	7	2013-08-02 16:06:19.153455	2013-08-03 23:53:57.295582
26120	2	2013-08-02 16:05:56.564083	2013-08-04 17:16:51.739605
26154	14	2013-08-02 16:05:56.597763	2013-08-02 16:05:56.597763
26145	4	2013-08-02 16:05:56.587215	2013-08-04 02:30:51.771475
26186	4	2013-08-02 16:05:56.664482	2013-08-04 02:30:51.783086
26155	4	2013-08-02 16:05:56.599105	2013-08-04 02:30:51.795167
26166	4	2013-08-02 16:05:56.615617	2013-08-04 02:30:51.806178
26162	2	2013-08-02 16:05:56.609822	2013-08-02 16:05:56.609822
26158	7	2013-08-02 16:05:56.603016	2013-08-03 18:59:59.414344
26164	4	2013-08-02 16:05:56.612724	2013-08-02 16:05:56.612724
26146	4	2013-08-02 16:05:56.588258	2013-08-04 02:30:51.817145
26148	2	2013-08-02 16:05:56.590843	2013-08-04 17:16:51.750107
26167	7	2013-08-02 16:05:56.617311	2013-08-02 16:05:56.617311
26169	9	2013-08-02 16:05:56.621744	2013-08-02 16:05:56.621744
21386	2	2013-08-02 16:05:45.928932	2013-08-04 17:16:51.760782
26111	2	2013-08-02 16:05:56.557281	2013-08-04 17:16:51.93605
26174	14	2013-08-02 16:05:56.63391	2013-08-02 16:05:56.63391
26091	2	2013-08-02 16:05:56.540592	2013-08-04 17:16:52.167191
26212	14	2013-08-02 16:05:56.690402	2013-08-04 17:16:54.050529
16243	9	2013-08-02 16:05:34.931411	2013-08-04 02:54:29.8024
16373	7	2013-08-02 16:05:35.217151	2013-08-04 02:54:29.805205
26182	2	2013-08-02 16:05:56.654633	2013-08-02 16:05:56.654633
26085	9	2013-08-02 16:05:56.53598	2013-08-03 19:04:53.789575
26184	4	2013-08-02 16:05:56.659854	2013-08-02 16:05:56.659854
15208	14	2013-08-02 16:05:33.514743	2013-08-04 17:16:54.554067
23359	2	2013-08-02 16:05:51.041156	2013-08-04 17:26:53.360606
26187	7	2013-08-02 16:05:56.666043	2013-08-02 16:05:56.666043
26189	9	2013-08-02 16:05:56.668006	2013-08-02 16:05:56.668006
23393	2	2013-08-02 16:05:51.130076	2013-08-04 17:26:53.364674
16379	4	2013-08-02 16:05:35.225968	2013-08-04 02:54:29.810357
23339	2	2013-08-02 16:05:50.997762	2013-08-04 17:26:53.367843
26194	14	2013-08-02 16:05:56.674818	2013-08-02 16:05:56.674818
26125	7	2013-08-02 16:05:56.567636	2013-08-03 19:04:53.793839
23319	2	2013-08-02 16:05:50.945477	2013-08-04 17:26:53.372618
16496	2	2013-08-02 16:05:35.59483	2013-08-04 02:54:29.81515
16456	21	2013-08-02 16:05:35.401453	2013-08-04 02:59:28.474688
26202	2	2013-08-02 16:05:56.682891	2013-08-02 16:05:56.682891
23299	2	2013-08-02 16:05:50.896483	2013-08-04 17:26:53.38325
26204	4	2013-08-02 16:05:56.68445	2013-08-02 16:05:56.68445
16615	21	2013-08-02 16:05:35.892667	2013-08-04 03:00:24.227914
23279	2	2013-08-02 16:05:50.848271	2013-08-04 17:26:53.394037
26207	7	2013-08-02 16:05:56.68677	2013-08-02 16:05:56.68677
26209	9	2013-08-02 16:05:56.688234	2013-08-02 16:05:56.688234
23245	2	2013-08-02 16:05:50.765798	2013-08-04 17:26:53.404431
36841	2	2013-08-02 16:06:21.424946	2013-08-04 17:26:53.409801
23259	2	2013-08-02 16:05:50.799789	2013-08-04 17:26:53.418713
26214	14	2013-08-02 16:05:56.691851	2013-08-02 16:05:56.691851
26165	4	2013-08-02 16:05:56.614171	2013-08-03 19:04:53.798343
23239	2	2013-08-02 16:05:50.74979	2013-08-04 17:26:53.425899
23080	2	2013-08-02 16:05:50.429592	2013-08-04 17:26:53.436182
12926	2	2013-08-02 16:05:28.990771	2013-08-04 17:26:53.447232
23219	2	2013-08-02 16:05:50.696943	2013-08-04 17:26:53.458156
26177	14	2013-08-02 16:05:56.641782	2013-08-03 18:22:15.305498
26157	14	2013-08-02 16:05:56.601847	2013-08-03 18:22:15.316877
23199	2	2013-08-02 16:05:50.645188	2013-08-04 17:26:53.461777
26219	14	2013-08-02 16:05:56.695336	2013-08-04 17:51:52.165572
26199	14	2013-08-02 16:05:56.68044	2013-08-04 17:51:52.176067
26075	4	2013-08-02 16:05:56.527958	2013-08-03 18:33:05.717302
26205	2	2013-08-02 16:05:56.685239	2013-08-03 19:04:53.802533
26115	2	2013-08-02 16:05:56.560399	2013-08-03 18:33:05.71954
26195	14	2013-08-02 16:05:56.676968	2013-08-03 18:33:24.983397
26095	14	2013-08-02 16:05:56.54407	2013-08-03 18:33:25.26937
26117	14	2013-08-02 16:05:56.561938	2013-08-03 19:05:13.76039
26192	21	2013-08-02 16:05:56.671304	2013-08-03 19:57:24.708824
26172	2	2013-08-02 16:05:56.628643	2013-08-03 19:57:24.729389
26152	2	2013-08-02 16:05:56.595479	2013-08-03 19:57:24.741422
26132	2	2013-08-02 16:05:56.57362	2013-08-03 19:57:24.750026
26112	2	2013-08-02 16:05:56.558068	2013-08-03 19:57:24.761223
26092	2	2013-08-02 16:05:56.541461	2013-08-03 19:57:24.772569
26072	2	2013-08-02 16:05:56.525612	2013-08-03 19:57:24.784056
21088	14	2013-08-02 16:05:45.328557	2013-08-03 20:07:26.451436
1842	14	2013-08-02 16:05:07.57209	2013-08-03 20:07:26.462463
9040	14	2013-08-02 16:05:21.332638	2013-08-03 20:07:26.472297
11617	14	2013-08-02 16:05:26.059885	2013-08-03 20:07:26.482893
15268	14	2013-08-02 16:05:33.566665	2013-08-03 20:07:26.497231
15248	14	2013-08-02 16:05:33.547196	2013-08-03 20:07:26.505836
21406	9	2013-08-02 16:05:45.985578	2013-08-03 23:42:07.232764
4944	2	2013-08-02 16:05:13.135519	2013-08-04 19:47:26.715196
26222	2	2013-08-02 16:05:56.697551	2013-08-02 16:05:56.697551
26280	21	2013-08-02 16:05:56.761326	2013-08-03 18:47:37.801765
26224	4	2013-08-02 16:05:56.698942	2013-08-02 16:05:56.698942
21446	7	2013-08-02 16:05:46.082894	2013-08-03 23:42:07.240125
3437	14	2013-08-02 16:05:10.382795	2013-08-04 17:16:53.913364
26227	7	2013-08-02 16:05:56.701082	2013-08-02 16:05:56.701082
26272	2	2013-08-02 16:05:56.751439	2013-08-04 19:47:26.718932
26229	9	2013-08-02 16:05:56.702541	2013-08-02 16:05:56.702541
26253	2	2013-08-02 16:05:56.724793	2013-08-04 02:10:51.373405
26376	14	2013-08-02 16:05:56.941998	2013-08-04 19:47:26.730643
26356	14	2013-08-02 16:05:56.902414	2013-08-04 19:47:26.738222
26315	14	2013-08-02 16:05:56.821379	2013-08-04 17:16:53.924401
26234	14	2013-08-02 16:05:56.706118	2013-08-02 16:05:56.706118
26260	21	2013-08-02 16:05:56.738108	2013-08-03 18:47:37.805042
26240	21	2013-08-02 16:05:56.710151	2013-08-03 18:47:37.808336
21466	4	2013-08-02 16:05:46.233401	2013-08-03 23:42:07.247624
26336	14	2013-08-02 16:05:56.862864	2013-08-04 19:47:26.750468
26233	2	2013-08-02 16:05:56.705407	2013-08-04 02:10:51.377336
26242	2	2013-08-02 16:05:56.71148	2013-08-02 16:05:56.71148
26220	21	2013-08-02 16:05:56.696035	2013-08-03 18:47:37.811788
26244	4	2013-08-02 16:05:56.712803	2013-08-02 16:05:56.712803
21506	2	2013-08-02 16:05:46.298321	2013-08-03 23:42:07.255614
26368	14	2013-08-02 16:05:56.926072	2013-08-04 17:16:53.935247
26247	7	2013-08-02 16:05:56.716186	2013-08-02 16:05:56.716186
26316	14	2013-08-02 16:05:56.823344	2013-08-04 19:47:26.759759
26249	9	2013-08-02 16:05:56.718415	2013-08-02 16:05:56.718415
26352	2	2013-08-02 16:05:56.894534	2013-08-04 02:15:51.632471
26238	14	2013-08-02 16:05:56.708838	2013-08-04 19:47:26.764244
26361	14	2013-08-02 16:05:56.912281	2013-08-03 21:45:18.207889
23179	2	2013-08-02 16:05:50.60466	2013-08-04 17:26:53.465217
26254	14	2013-08-02 16:05:56.726006	2013-08-02 16:05:56.726006
26343	2	2013-08-02 16:05:56.876747	2013-08-03 18:47:38.10417
26360	2	2013-08-02 16:05:56.91032	2013-08-03 18:47:38.110498
23159	2	2013-08-02 16:05:50.566747	2013-08-04 17:26:53.468397
26296	14	2013-08-02 16:05:56.786183	2013-08-04 19:47:26.769114
26373	2	2013-08-02 16:05:56.935911	2013-08-04 02:15:51.635994
26262	2	2013-08-02 16:05:56.740432	2013-08-02 16:05:56.740432
26340	2	2013-08-02 16:05:56.870769	2013-08-03 18:47:38.115592
26264	4	2013-08-02 16:05:56.742738	2013-08-02 16:05:56.742738
26301	21	2013-08-02 16:05:56.794986	2013-08-03 21:45:38.997475
23139	2	2013-08-02 16:05:50.525409	2013-08-04 17:26:53.471874
26267	7	2013-08-02 16:05:56.746092	2013-08-02 16:05:56.746092
26276	4	2013-08-02 16:05:56.756404	2013-08-04 19:47:26.778786
26269	9	2013-08-02 16:05:56.748199	2013-08-02 16:05:56.748199
21486	14	2013-08-02 16:05:46.26275	2013-08-03 23:44:25.190447
28372	4	2013-08-02 16:06:01.681378	2013-08-04 19:47:26.783787
26341	21	2013-08-02 16:05:56.872752	2013-08-03 21:45:39.063041
23119	2	2013-08-02 16:05:50.486804	2013-08-04 17:26:53.475138
26274	14	2013-08-02 16:05:56.753737	2013-08-02 16:05:56.753737
26320	2	2013-08-02 16:05:56.831229	2013-08-03 18:47:38.122398
26318	21	2013-08-02 16:05:56.827297	2013-08-03 18:57:37.936699
32283	21	2013-08-02 16:06:11.025015	2013-08-03 23:45:41.289569
26256	4	2013-08-02 16:05:56.730341	2013-08-04 19:47:26.788951
26321	4	2013-08-02 16:05:56.833225	2013-08-04 19:47:26.794669
26366	4	2013-08-02 16:05:56.922137	2013-08-04 02:30:51.683328
26282	2	2013-08-02 16:05:56.763696	2013-08-02 16:05:56.763696
26298	21	2013-08-02 16:05:56.789638	2013-08-03 18:57:37.938844
26284	4	2013-08-02 16:05:56.76655	2013-08-02 16:05:56.76655
26236	4	2013-08-02 16:05:56.707474	2013-08-04 19:47:26.802785
26287	7	2013-08-02 16:05:56.771333	2013-08-02 16:05:56.771333
26289	9	2013-08-02 16:05:56.774589	2013-08-02 16:05:56.774589
26346	4	2013-08-02 16:05:56.882688	2013-08-04 02:30:51.696317
26326	4	2013-08-02 16:05:56.843052	2013-08-04 02:30:51.703066
26294	14	2013-08-02 16:05:56.782778	2013-08-02 16:05:56.782778
26278	21	2013-08-02 16:05:56.758911	2013-08-03 18:57:37.941608
26258	21	2013-08-02 16:05:56.734797	2013-08-03 18:57:37.944098
26306	4	2013-08-02 16:05:56.804105	2013-08-04 02:30:51.707511
26286	4	2013-08-02 16:05:56.769729	2013-08-04 02:30:51.712181
26266	4	2013-08-02 16:05:56.745055	2013-08-04 02:30:51.717035
26302	2	2013-08-02 16:05:56.796783	2013-08-02 16:05:56.796783
26304	4	2013-08-02 16:05:56.800447	2013-08-02 16:05:56.800447
26246	4	2013-08-02 16:05:56.715046	2013-08-04 02:30:51.724052
26307	7	2013-08-02 16:05:56.805959	2013-08-02 16:05:56.805959
26309	9	2013-08-02 16:05:56.809608	2013-08-02 16:05:56.809608
26226	4	2013-08-02 16:05:56.700279	2013-08-04 02:30:51.730987
26235	4	2013-08-02 16:05:56.706812	2013-08-04 02:35:41.78958
26314	14	2013-08-02 16:05:56.819367	2013-08-02 16:05:56.819367
26358	2	2013-08-02 16:05:56.906384	2013-08-03 18:57:38.404765
26338	7	2013-08-02 16:05:56.866813	2013-08-03 18:57:38.42657
26252	4	2013-08-02 16:05:56.722471	2013-08-04 02:35:41.800749
26365	4	2013-08-02 16:05:56.920162	2013-08-04 02:35:41.811934
26322	2	2013-08-02 16:05:56.835192	2013-08-02 16:05:56.835192
2909	4	2013-08-02 16:05:09.345676	2013-08-04 17:26:54.12059
26324	4	2013-08-02 16:05:56.839115	2013-08-02 16:05:56.839115
2929	4	2013-08-02 16:05:09.37067	2013-08-04 17:26:54.125686
2885	4	2013-08-02 16:05:09.32262	2013-08-04 17:26:54.130096
26327	7	2013-08-02 16:05:56.845055	2013-08-02 16:05:56.845055
26329	9	2013-08-02 16:05:56.848981	2013-08-02 16:05:56.848981
16610	14	2013-08-02 16:05:35.88077	2013-08-04 02:54:59.60155
2879	14	2013-08-02 16:05:09.316914	2013-08-04 17:26:54.13856
2981	14	2013-08-02 16:05:09.436212	2013-08-04 17:26:54.143118
26334	14	2013-08-02 16:05:56.858886	2013-08-02 16:05:56.858886
2959	14	2013-08-02 16:05:09.409915	2013-08-04 17:26:54.148509
2939	2	2013-08-02 16:05:09.382315	2013-08-04 17:26:54.159983
16616	9	2013-08-02 16:05:35.895014	2013-08-04 02:54:59.615518
26342	2	2013-08-02 16:05:56.874711	2013-08-02 16:05:56.874711
26344	4	2013-08-02 16:05:56.878704	2013-08-02 16:05:56.878704
4504	7	2013-08-02 16:05:12.679894	2013-08-04 02:54:59.622095
2870	2	2013-08-02 16:05:09.266547	2013-08-04 17:26:54.165219
26347	7	2013-08-02 16:05:56.884679	2013-08-02 16:05:56.884679
26349	9	2013-08-02 16:05:56.888616	2013-08-02 16:05:56.888616
41423	21	2013-08-02 16:06:31.112784	2013-08-04 02:59:28.477756
16576	7	2013-08-02 16:05:35.795196	2013-08-04 03:00:23.879483
2966	2	2013-08-02 16:05:09.416141	2013-08-04 17:26:54.169614
26354	14	2013-08-02 16:05:56.898504	2013-08-02 16:05:56.898504
26305	9	2013-08-02 16:05:56.802282	2013-08-03 19:05:13.770787
3074	21	2013-08-02 16:05:09.550629	2013-08-04 17:26:54.178231
3098	4	2013-08-02 16:05:09.625379	2013-08-04 17:26:54.196908
3110	4	2013-08-02 16:05:09.638146	2013-08-04 17:26:54.208384
26362	2	2013-08-02 16:05:56.91427	2013-08-02 16:05:56.91427
26345	7	2013-08-02 16:05:56.880722	2013-08-03 19:05:13.775061
26364	4	2013-08-02 16:05:56.91821	2013-08-02 16:05:56.91821
2986	4	2013-08-02 16:05:09.441354	2013-08-04 17:26:54.219936
3090	4	2013-08-02 16:05:09.616228	2013-08-04 17:26:54.230882
26367	7	2013-08-02 16:05:56.9241	2013-08-02 16:05:56.9241
26369	9	2013-08-02 16:05:56.928043	2013-08-02 16:05:56.928043
3115	4	2013-08-02 16:05:09.644068	2013-08-04 17:26:54.2418
3127	4	2013-08-02 16:05:09.659205	2013-08-04 17:26:54.252764
26374	14	2013-08-02 16:05:56.938045	2013-08-02 16:05:56.938045
26312	14	2013-08-02 16:05:56.815412	2013-08-04 17:51:52.097086
26237	21	2013-08-02 16:05:56.708169	2013-08-03 18:22:15.251694
26357	21	2013-08-02 16:05:56.904386	2013-08-03 18:27:15.067148
26337	21	2013-08-02 16:05:56.864844	2013-08-03 18:27:15.071343
26317	21	2013-08-02 16:05:56.825336	2013-08-03 18:27:15.073641
26297	21	2013-08-02 16:05:56.787904	2013-08-03 18:27:15.074896
26277	21	2013-08-02 16:05:56.75767	2013-08-03 18:27:15.07633
26363	14	2013-08-02 16:05:56.916221	2013-08-04 17:51:52.101565
3118	14	2013-08-02 16:05:09.647435	2013-08-04 17:51:52.106028
26295	9	2013-08-02 16:05:56.784411	2013-08-03 18:33:24.998524
26232	7	2013-08-02 16:05:56.70469	2013-08-03 19:58:42.7047
3107	14	2013-08-02 16:05:09.63501	2013-08-04 17:51:52.110249
26359	14	2013-08-02 16:05:56.908338	2013-08-04 17:51:52.114272
26292	4	2013-08-02 16:05:56.779544	2013-08-03 19:58:42.710512
26332	2	2013-08-02 16:05:56.854895	2013-08-03 19:58:42.713851
26372	7	2013-08-02 16:05:56.93395	2013-08-03 20:02:26.000327
23592	21	2013-08-02 16:05:51.61391	2013-08-03 20:07:26.580551
25718	7	2013-08-02 16:05:55.582418	2013-08-03 20:07:27.114754
26520	2	2013-08-02 16:05:57.300775	2013-08-03 18:47:38.06877
26390	21	2013-08-02 16:05:56.96974	2013-08-03 21:44:32.943601
26436	21	2013-08-02 16:05:57.078627	2013-08-04 19:47:26.677809
26416	2	2013-08-02 16:05:57.027421	2013-08-04 19:47:26.698446
12903	14	2013-08-02 16:05:28.968656	2013-08-03 23:42:07.301437
26382	2	2013-08-02 16:05:56.95399	2013-08-02 16:05:56.95399
26500	2	2013-08-02 16:05:57.247093	2013-08-03 18:47:38.07314
26384	4	2013-08-02 16:05:56.957898	2013-08-02 16:05:56.957898
26438	14	2013-08-02 16:05:57.083693	2013-08-04 17:16:53.869149
26428	14	2013-08-02 16:05:57.058653	2013-08-04 17:16:53.880739
26387	7	2013-08-02 16:05:56.963838	2013-08-02 16:05:56.963838
26431	2	2013-08-02 16:05:57.065877	2013-08-04 19:47:26.704971
26389	9	2013-08-02 16:05:56.967771	2013-08-02 16:05:56.967771
26410	2	2013-08-02 16:05:57.012655	2013-08-04 02:15:51.599135
47303	2	2013-08-02 16:06:44.816751	2013-08-04 19:47:26.708531
14328	2	2013-08-02 16:05:31.564071	2013-08-04 02:15:51.611116
26408	14	2013-08-02 16:05:57.008886	2013-08-04 17:16:53.891808
26394	14	2013-08-02 16:05:56.977854	2013-08-02 16:05:56.977854
26480	2	2013-08-02 16:05:57.195348	2013-08-03 18:47:38.076984
26460	2	2013-08-02 16:05:57.142535	2013-08-03 18:47:38.080761
12999	14	2013-08-02 16:05:29.057274	2013-08-03 23:42:07.374881
26396	2	2013-08-02 16:05:56.982342	2013-08-04 19:47:26.711968
26455	4	2013-08-02 16:05:57.129057	2013-08-03 21:49:34.073601
26388	14	2013-08-02 16:05:56.965822	2013-08-04 17:16:53.902765
26402	2	2013-08-02 16:05:56.995224	2013-08-02 16:05:56.995224
26440	2	2013-08-02 16:05:57.089023	2013-08-03 18:47:38.08475
26404	4	2013-08-02 16:05:56.999541	2013-08-02 16:05:56.999541
26472	14	2013-08-02 16:05:57.174192	2013-08-04 19:52:27.571132
21835	14	2013-08-02 16:05:47.148409	2013-08-04 19:52:27.582169
26407	7	2013-08-02 16:05:57.006177	2013-08-02 16:05:57.006177
26516	4	2013-08-02 16:05:57.29001	2013-08-04 19:52:27.60987
26409	9	2013-08-02 16:05:57.010299	2013-08-02 16:05:57.010299
26393	2	2013-08-02 16:05:56.975734	2013-08-04 02:15:51.622904
26496	4	2013-08-02 16:05:57.23684	2013-08-04 19:52:27.621217
26414	14	2013-08-02 16:05:57.022197	2013-08-02 16:05:57.022197
26420	2	2013-08-02 16:05:57.037964	2013-08-03 18:47:38.090465
26518	9	2013-08-02 16:05:57.29538	2013-08-03 18:57:38.261727
26397	2	2013-08-02 16:05:56.984364	2013-08-04 02:20:52.292257
26476	4	2013-08-02 16:05:57.184742	2013-08-04 19:52:27.631987
21113	4	2013-08-02 16:05:45.358139	2013-08-04 19:52:27.643124
26456	4	2013-08-02 16:05:57.131848	2013-08-04 19:52:27.654634
26422	2	2013-08-02 16:05:57.043311	2013-08-02 16:05:57.043311
26424	4	2013-08-02 16:05:57.048445	2013-08-02 16:05:57.048445
37438	7	2013-08-02 16:06:22.528333	2013-08-03 23:44:24.918043
26378	14	2013-08-02 16:05:56.946042	2013-08-04 17:19:03.163067
26427	7	2013-08-02 16:05:57.056213	2013-08-02 16:05:57.056213
26429	9	2013-08-02 16:05:57.061102	2013-08-02 16:05:57.061102
26415	2	2013-08-02 16:05:57.024826	2013-08-04 02:20:52.299294
26434	14	2013-08-02 16:05:57.073511	2013-08-02 16:05:57.073511
37381	4	2013-08-02 16:06:22.383738	2013-08-03 23:44:24.958419
32495	14	2013-08-02 16:06:11.522464	2013-08-03 23:44:25.033614
21375	9	2013-08-02 16:05:45.898823	2013-08-03 23:44:25.442303
1765	7	2013-08-02 16:05:07.369185	2013-08-03 23:44:25.62221
26442	2	2013-08-02 16:05:57.094342	2013-08-02 16:05:57.094342
26444	4	2013-08-02 16:05:57.099624	2013-08-02 16:05:57.099624
26533	2	2013-08-02 16:05:57.333731	2013-08-04 02:20:52.30368
8631	9	2013-08-02 16:05:20.346328	2013-08-04 17:19:03.168944
26447	7	2013-08-02 16:05:57.107655	2013-08-02 16:05:57.107655
26449	9	2013-08-02 16:05:57.112966	2013-08-02 16:05:57.112966
26513	2	2013-08-02 16:05:57.282013	2013-08-04 02:20:52.308308
26454	14	2013-08-02 16:05:57.126401	2013-08-02 16:05:57.126401
26418	4	2013-08-02 16:05:57.032673	2013-08-03 18:57:38.341949
21093	7	2013-08-02 16:05:45.335093	2013-08-03 23:44:25.806508
3314	4	2013-08-02 16:05:10.093866	2013-08-04 02:35:41.674682
34121	21	2013-08-02 16:06:14.979669	2013-08-03 23:45:41.290333
37472	21	2013-08-02 16:06:22.615549	2013-08-03 23:45:41.291173
26462	2	2013-08-02 16:05:57.147874	2013-08-02 16:05:57.147874
26464	4	2013-08-02 16:05:57.153168	2013-08-02 16:05:57.153168
26505	7	2013-08-02 16:05:57.260422	2013-08-04 17:19:03.171739
26467	7	2013-08-02 16:05:57.161103	2013-08-02 16:05:57.161103
26469	9	2013-08-02 16:05:57.16639	2013-08-02 16:05:57.16639
26377	4	2013-08-02 16:05:56.943948	2013-08-04 02:35:41.681273
26474	14	2013-08-02 16:05:57.179399	2013-08-02 16:05:57.179399
26385	4	2013-08-02 16:05:56.959876	2013-08-03 19:05:13.780237
26526	4	2013-08-02 16:05:57.316131	2013-08-04 02:35:41.688351
26485	4	2013-08-02 16:05:57.20781	2013-08-04 02:35:41.696307
26506	4	2013-08-02 16:05:57.263143	2013-08-04 02:35:41.704911
26486	4	2013-08-02 16:05:57.210175	2013-08-04 02:35:41.713412
26482	2	2013-08-02 16:05:57.200522	2013-08-02 16:05:57.200522
26425	2	2013-08-02 16:05:57.051091	2013-08-03 19:05:13.783673
26484	4	2013-08-02 16:05:57.205446	2013-08-02 16:05:57.205446
26466	4	2013-08-02 16:05:57.158442	2013-08-04 02:35:41.718436
26487	7	2013-08-02 16:05:57.212975	2013-08-02 16:05:57.212975
26489	9	2013-08-02 16:05:57.218084	2013-08-02 16:05:57.218084
26446	4	2013-08-02 16:05:57.105008	2013-08-04 02:35:41.72314
37400	4	2013-08-02 16:06:22.429099	2013-08-04 02:35:41.733221
26451	21	2013-08-02 16:05:57.118514	2013-08-04 17:19:14.308555
26494	14	2013-08-02 16:05:57.23149	2013-08-02 16:05:57.23149
26426	4	2013-08-02 16:05:57.053737	2013-08-04 02:35:41.745084
26531	2	2013-08-02 16:05:57.328347	2013-08-04 17:21:50.180247
26511	2	2013-08-02 16:05:57.276628	2013-08-04 17:21:50.457845
16571	4	2013-08-02 16:05:35.783333	2013-08-04 02:54:59.632775
26502	2	2013-08-02 16:05:57.252451	2013-08-02 16:05:57.252451
26405	21	2013-08-02 16:05:57.001772	2013-08-04 17:21:50.492201
26504	4	2013-08-02 16:05:57.257769	2013-08-02 16:05:57.257769
16553	2	2013-08-02 16:05:35.740125	2013-08-04 02:54:59.640031
26491	2	2013-08-02 16:05:57.223427	2013-08-04 17:21:50.633921
26507	7	2013-08-02 16:05:57.265807	2013-08-02 16:05:57.265807
26509	9	2013-08-02 16:05:57.271195	2013-08-02 16:05:57.271195
26471	2	2013-08-02 16:05:57.171646	2013-08-04 17:21:52.608643
26514	14	2013-08-02 16:05:57.284695	2013-08-02 16:05:57.284695
26522	2	2013-08-02 16:05:57.306106	2013-08-02 16:05:57.306106
26524	4	2013-08-02 16:05:57.311261	2013-08-02 16:05:57.311261
26527	7	2013-08-02 16:05:57.31857	2013-08-02 16:05:57.31857
26529	9	2013-08-02 16:05:57.323334	2013-08-02 16:05:57.323334
11693	21	2013-08-02 16:05:26.204704	2013-08-04 02:56:11.186455
6219	21	2013-08-02 16:05:15.729831	2013-08-04 02:59:28.480654
26417	4	2013-08-02 16:05:57.029981	2013-08-03 18:30:17.292871
26457	2	2013-08-02 16:05:57.134569	2013-08-03 18:30:17.295527
16637	21	2013-08-02 16:05:35.950241	2013-08-04 03:00:24.230231
26517	2	2013-08-02 16:05:57.292716	2013-08-03 18:32:16.071314
26497	2	2013-08-02 16:05:57.239291	2013-08-03 18:32:16.074257
26395	4	2013-08-02 16:05:56.980254	2013-08-03 18:33:25.00483
7771	21	2013-08-02 16:05:18.27675	2013-08-04 03:00:37.812001
26435	2	2013-08-02 16:05:57.075918	2013-08-03 18:33:25.007408
28068	9	2013-08-02 16:06:01.179496	2013-08-04 17:26:54.535253
28048	4	2013-08-02 16:06:01.157763	2013-08-04 17:26:54.558512
28028	4	2013-08-02 16:06:01.137472	2013-08-04 17:26:54.572303
26515	9	2013-08-02 16:05:57.287314	2013-08-03 18:33:36.056976
28046	4	2013-08-02 16:06:01.156196	2013-08-04 17:26:54.578408
3047	14	2013-08-02 16:05:09.507244	2013-08-04 17:26:54.589603
26512	21	2013-08-02 16:05:57.279294	2013-08-03 20:02:25.84809
26411	14	2013-08-02 16:05:57.014758	2013-08-04 17:51:52.08141
26399	14	2013-08-02 16:05:56.988361	2013-08-04 17:51:52.087876
26379	14	2013-08-02 16:05:56.948021	2013-08-04 17:51:52.092737
26412	14	2013-08-02 16:05:57.017354	2013-08-03 20:02:25.966635
26492	21	2013-08-02 16:05:57.226093	2013-08-04 17:56:51.974113
3018	14	2013-08-02 16:05:09.476055	2013-08-04 17:56:51.982381
27292	14	2013-08-02 16:05:59.349759	2013-08-03 20:07:27.324743
27272	14	2013-08-02 16:05:59.302257	2013-08-03 20:07:27.327532
27192	14	2013-08-02 16:05:59.104677	2013-08-03 20:07:27.330536
27092	21	2013-08-02 16:05:58.841895	2013-08-03 20:07:27.523355
2998	14	2013-08-02 16:05:09.452882	2013-08-04 17:56:51.986984
26519	14	2013-08-02 16:05:57.298067	2013-08-04 17:56:51.991627
3126	14	2013-08-02 16:05:09.657849	2013-08-04 17:56:51.995955
26525	14	2013-08-02 16:05:57.313703	2013-08-04 17:56:52.000674
26534	14	2013-08-02 16:05:57.336239	2013-08-02 16:05:57.336239
26640	2	2013-08-02 16:05:57.606708	2013-08-03 18:47:38.033622
26620	2	2013-08-02 16:05:57.554919	2013-08-03 18:47:38.044149
26616	21	2013-08-02 16:05:57.544377	2013-08-04 19:52:27.471212
26661	14	2013-08-02 16:05:57.662748	2013-08-04 19:52:27.492984
26170	7	2013-08-02 16:05:56.623965	2013-08-03 21:44:33.161692
37321	21	2013-08-02 16:06:22.237189	2013-08-03 23:44:25.870971
26542	2	2013-08-02 16:05:57.35745	2013-08-02 16:05:57.35745
26600	2	2013-08-02 16:05:57.500774	2013-08-03 18:47:38.048832
26544	4	2013-08-02 16:05:57.362574	2013-08-02 16:05:57.362574
26098	7	2013-08-02 16:05:56.546707	2013-08-03 21:44:33.172796
26535	2	2013-08-02 16:05:57.338801	2013-08-04 17:16:56.39124
26547	7	2013-08-02 16:05:57.369824	2013-08-02 16:05:57.369824
26596	14	2013-08-02 16:05:57.489854	2013-08-04 19:52:27.504656
26549	9	2013-08-02 16:05:57.37467	2013-08-02 16:05:57.37467
26641	2	2013-08-02 16:05:57.609322	2013-08-04 02:20:52.258502
26611	14	2013-08-02 16:05:57.530977	2013-08-04 19:52:27.515716
26576	14	2013-08-02 16:05:57.440198	2013-08-04 19:52:27.526864
26065	2	2013-08-02 16:05:56.519433	2013-08-04 17:19:03.180827
26554	14	2013-08-02 16:05:57.386749	2013-08-02 16:05:57.386749
26580	2	2013-08-02 16:05:57.450091	2013-08-03 18:47:38.054083
26560	2	2013-08-02 16:05:57.401202	2013-08-03 18:47:38.058232
26581	14	2013-08-02 16:05:57.452773	2013-08-04 19:52:27.538101
26556	14	2013-08-02 16:05:57.391576	2013-08-04 19:52:27.54929
26573	2	2013-08-02 16:05:57.432736	2013-08-04 02:20:52.27074
13079	9	2013-08-02 16:05:29.14304	2013-08-03 23:45:16.908674
26562	2	2013-08-02 16:05:57.405938	2013-08-02 16:05:57.405938
26540	2	2013-08-02 16:05:57.352104	2013-08-03 18:47:38.062639
26564	4	2013-08-02 16:05:57.410731	2013-08-02 16:05:57.410731
26536	14	2013-08-02 16:05:57.341415	2013-08-04 19:52:27.560195
26567	7	2013-08-02 16:05:57.417904	2013-08-02 16:05:57.417904
26676	4	2013-08-02 16:05:57.693677	2013-08-04 19:57:28.968537
26569	9	2013-08-02 16:05:57.422707	2013-08-02 16:05:57.422707
26656	4	2013-08-02 16:05:57.649499	2013-08-04 19:57:28.979855
26636	4	2013-08-02 16:05:57.596167	2013-08-04 19:57:28.991244
13099	7	2013-08-02 16:05:29.170966	2013-08-03 23:45:16.910893
26574	14	2013-08-02 16:05:57.4352	2013-08-02 16:05:57.4352
26621	14	2013-08-02 16:05:57.557397	2013-08-03 21:45:39.314018
26553	2	2013-08-02 16:05:57.384333	2013-08-04 02:20:52.282916
26582	2	2013-08-02 16:05:57.455253	2013-08-02 16:05:57.455253
26678	21	2013-08-02 16:05:57.698925	2013-08-03 18:57:38.222373
26584	4	2013-08-02 16:05:57.46023	2013-08-02 16:05:57.46023
13139	4	2013-08-02 16:05:29.21298	2013-08-03 23:45:16.917189
26587	7	2013-08-02 16:05:57.46756	2013-08-02 16:05:57.46756
26589	9	2013-08-02 16:05:57.47237	2013-08-02 16:05:57.47237
33478	2	2013-08-02 16:06:14.105599	2013-08-04 02:25:50.922352
26601	21	2013-08-02 16:05:57.503393	2013-08-03 21:49:33.768533
26594	14	2013-08-02 16:05:57.48431	2013-08-02 16:05:57.48431
26658	21	2013-08-02 16:05:57.654771	2013-08-03 18:57:38.22588
26638	21	2013-08-02 16:05:57.601396	2013-08-03 18:57:38.228884
26690	14	2013-08-02 16:05:57.730768	2013-08-03 21:54:22.207915
26673	2	2013-08-02 16:05:57.687753	2013-08-04 02:25:50.928489
26602	2	2013-08-02 16:05:57.506129	2013-08-02 16:05:57.506129
26618	21	2013-08-02 16:05:57.549551	2013-08-03 18:57:38.231569
26604	4	2013-08-02 16:05:57.511495	2013-08-02 16:05:57.511495
13159	21	2013-08-02 16:05:29.237743	2013-08-03 23:45:51.971618
26607	7	2013-08-02 16:05:57.519396	2013-08-02 16:05:57.519396
26609	9	2013-08-02 16:05:57.524744	2013-08-02 16:05:57.524744
26653	2	2013-08-02 16:05:57.641421	2013-08-04 02:25:50.937082
26561	14	2013-08-02 16:05:57.403572	2013-08-04 17:19:14.339151
26614	14	2013-08-02 16:05:57.53903	2013-08-02 16:05:57.53903
26598	21	2013-08-02 16:05:57.495135	2013-08-03 18:57:38.23455
26578	21	2013-08-02 16:05:57.445038	2013-08-03 18:57:38.237903
26546	4	2013-08-02 16:05:57.367393	2013-08-04 02:35:41.667981
13891	14	2013-08-02 16:05:30.428444	2013-08-04 02:43:09.345364
26622	2	2013-08-02 16:05:57.559808	2013-08-02 16:05:57.559808
26558	21	2013-08-02 16:05:57.396348	2013-08-03 18:57:38.241388
26624	4	2013-08-02 16:05:57.564667	2013-08-02 16:05:57.564667
26557	21	2013-08-02 16:05:57.393967	2013-08-04 17:21:50.489362
26627	7	2013-08-02 16:05:57.572083	2013-08-02 16:05:57.572083
26629	9	2013-08-02 16:05:57.577483	2013-08-02 16:05:57.577483
26671	2	2013-08-02 16:05:57.686035	2013-08-04 17:21:50.629471
26631	2	2013-08-02 16:05:57.5828	2013-08-04 17:21:51.104428
26634	14	2013-08-02 16:05:57.590832	2013-08-02 16:05:57.590832
26538	21	2013-08-02 16:05:57.346765	2013-08-03 18:57:38.244573
26595	21	2013-08-02 16:05:57.48714	2013-08-03 19:07:34.766287
22921	21	2013-08-02 16:05:49.873947	2013-08-04 17:21:51.333525
26626	21	2013-08-02 16:05:57.56947	2013-08-04 02:45:45.988003
26566	4	2013-08-02 16:05:57.415466	2013-08-04 02:45:47.126869
26642	2	2013-08-02 16:05:57.611974	2013-08-02 16:05:57.611974
26685	21	2013-08-02 16:05:57.717516	2013-08-03 19:07:34.770295
26644	4	2013-08-02 16:05:57.617393	2013-08-02 16:05:57.617393
26606	21	2013-08-02 16:05:57.516897	2013-08-04 02:46:23.433286
26551	14	2013-08-02 16:05:57.379446	2013-08-04 17:21:51.663965
26647	7	2013-08-02 16:05:57.625439	2013-08-02 16:05:57.625439
26649	9	2013-08-02 16:05:57.630641	2013-08-02 16:05:57.630641
16333	21	2013-08-02 16:05:35.160665	2013-08-04 02:56:11.187578
5570	21	2013-08-02 16:05:14.178581	2013-08-04 02:56:11.364992
26651	2	2013-08-02 16:05:57.636062	2013-08-04 17:21:52.604118
26654	14	2013-08-02 16:05:57.644086	2013-08-02 16:05:57.644086
26665	21	2013-08-02 16:05:57.672798	2013-08-03 19:07:34.773707
26645	21	2013-08-02 16:05:57.620081	2013-08-03 19:07:34.777161
16596	21	2013-08-02 16:05:35.845782	2013-08-04 02:56:11.36794
16415	21	2013-08-02 16:05:35.3031	2013-08-04 02:56:11.370686
27892	4	2013-08-02 16:06:00.881143	2013-08-04 02:56:11.923287
26662	2	2013-08-02 16:05:57.665395	2013-08-02 16:05:57.665395
26625	21	2013-08-02 16:05:57.567042	2013-08-03 19:07:34.780421
26664	4	2013-08-02 16:05:57.67025	2013-08-02 16:05:57.67025
27766	4	2013-08-02 16:06:00.585218	2013-08-04 02:56:11.94295
26591	14	2013-08-02 16:05:57.477147	2013-08-04 17:21:53.080016
26667	7	2013-08-02 16:05:57.67811	2013-08-02 16:05:57.67811
26669	9	2013-08-02 16:05:57.683477	2013-08-02 16:05:57.683477
27746	4	2013-08-02 16:06:00.534298	2013-08-04 02:56:11.947957
27726	4	2013-08-02 16:06:00.482717	2013-08-04 02:56:11.954838
26571	21	2013-08-02 16:05:57.427478	2013-08-04 17:23:39.562588
26674	14	2013-08-02 16:05:57.688643	2013-08-02 16:05:57.688643
26605	21	2013-08-02 16:05:57.514195	2013-08-03 19:07:34.783995
26585	21	2013-08-02 16:05:57.46274	2013-08-03 19:07:34.787512
27706	4	2013-08-02 16:06:00.435142	2013-08-04 02:56:11.962432
27710	4	2013-08-02 16:06:00.444729	2013-08-04 02:56:11.969866
33918	4	2013-08-02 16:06:14.555784	2013-08-04 17:56:53.94928
26682	2	2013-08-02 16:05:57.70963	2013-08-02 16:05:57.70963
26565	14	2013-08-02 16:05:57.413118	2013-08-03 19:07:34.807849
26684	4	2013-08-02 16:05:57.714962	2013-08-02 16:05:57.714962
26635	4	2013-08-02 16:05:57.593519	2013-08-04 17:56:53.958077
26679	4	2013-08-02 16:05:57.701589	2013-08-04 17:56:53.964672
26687	7	2013-08-02 16:05:57.722794	2013-08-02 16:05:57.722794
26689	9	2013-08-02 16:05:57.728105	2013-08-02 16:05:57.728105
26659	4	2013-08-02 16:05:57.657437	2013-08-04 17:56:53.970131
26639	4	2013-08-02 16:05:57.604142	2013-08-04 17:56:53.97556
26619	4	2013-08-02 16:05:57.552169	2013-08-04 17:56:53.979992
26637	7	2013-08-02 16:05:57.598832	2013-08-03 18:32:16.030753
26617	7	2013-08-02 16:05:57.547045	2013-08-03 18:32:16.035009
26599	4	2013-08-02 16:05:57.497811	2013-08-04 17:56:53.983808
26660	4	2013-08-02 16:05:57.660072	2013-08-04 17:56:53.987561
26555	7	2013-08-02 16:05:57.389179	2013-08-03 18:33:36.064615
26579	4	2013-08-02 16:05:57.447448	2013-08-04 17:56:53.991174
26559	4	2013-08-02 16:05:57.398776	2013-08-04 17:56:53.994303
26615	4	2013-08-02 16:05:57.541712	2013-08-03 18:33:36.075683
26657	2	2013-08-02 16:05:57.652125	2013-08-03 20:02:26.210636
26655	2	2013-08-02 16:05:57.646827	2013-08-03 18:33:36.083074
26677	2	2013-08-02 16:05:57.696227	2013-08-03 20:02:26.213557
26672	2	2013-08-02 16:05:57.686874	2013-08-03 20:02:26.217781
26652	2	2013-08-02 16:05:57.638748	2013-08-03 20:02:26.221593
26632	2	2013-08-02 16:05:57.585488	2013-08-03 20:02:26.225246
26612	2	2013-08-02 16:05:57.533682	2013-08-03 20:02:26.22885
26592	2	2013-08-02 16:05:57.479498	2013-08-03 20:02:26.232496
26572	2	2013-08-02 16:05:57.43004	2013-08-03 20:02:26.236286
26552	2	2013-08-02 16:05:57.381865	2013-08-03 20:02:26.240062
26541	4	2013-08-02 16:05:57.354772	2013-08-04 17:56:53.99751
17010	7	2013-08-02 16:05:36.848639	2013-08-03 20:07:28.160867
33758	4	2013-08-02 16:06:14.397144	2013-08-03 20:07:28.430962
26755	7	2013-08-02 16:05:58.02132	2013-08-04 19:57:28.821145
26836	7	2013-08-02 16:05:58.234838	2013-08-04 19:57:28.829076
26694	14	2013-08-02 16:05:57.74138	2013-08-02 16:05:57.74138
26700	9	2013-08-02 16:05:57.757616	2013-08-03 18:49:49.035096
26816	7	2013-08-02 16:05:58.184086	2013-08-04 19:57:28.839682
13115	2	2013-08-02 16:05:29.185153	2013-08-03 23:45:16.920937
26796	7	2013-08-02 16:05:58.129988	2013-08-04 19:57:28.850483
26841	21	2013-08-02 16:05:58.246936	2013-08-03 21:49:33.766939
26833	2	2013-08-02 16:05:58.227624	2013-08-04 02:25:50.780962
26702	2	2013-08-02 16:05:57.76317	2013-08-02 16:05:57.76317
26740	7	2013-08-02 16:05:58.000228	2013-08-03 18:49:49.042869
26704	4	2013-08-02 16:05:57.768222	2013-08-02 16:05:57.768222
26813	2	2013-08-02 16:05:58.176098	2013-08-04 02:25:50.792815
26711	7	2013-08-02 16:05:57.78683	2013-08-04 17:19:14.349235
26707	7	2013-08-02 16:05:57.776193	2013-08-02 16:05:57.776193
26760	7	2013-08-02 16:05:58.033982	2013-08-04 19:57:28.862723
26709	9	2013-08-02 16:05:57.781522	2013-08-02 16:05:57.781522
28400	14	2013-08-02 16:06:01.710688	2013-08-03 23:45:17.005009
26776	2	2013-08-02 16:05:58.076309	2013-08-04 19:57:28.886958
26756	2	2013-08-02 16:05:58.023402	2013-08-04 19:57:28.89879
26736	2	2013-08-02 16:05:57.995495	2013-08-04 19:57:28.911272
26714	14	2013-08-02 16:05:57.794122	2013-08-02 16:05:57.794122
26771	4	2013-08-02 16:05:58.063113	2013-08-04 17:19:14.354938
21497	21	2013-08-02 16:05:46.281559	2013-08-03 23:45:41.291954
26793	2	2013-08-02 16:05:58.121911	2013-08-04 02:25:50.804225
2935	14	2013-08-02 16:05:09.377445	2013-08-03 23:45:41.310697
26722	2	2013-08-02 16:05:57.980888	2013-08-02 16:05:57.980888
26800	4	2013-08-02 16:05:58.141184	2013-08-03 18:49:49.053322
26724	4	2013-08-02 16:05:57.983125	2013-08-02 16:05:57.983125
33720	2	2013-08-02 16:06:14.359331	2013-08-04 02:30:52.769214
26811	2	2013-08-02 16:05:58.170718	2013-08-04 17:19:14.358201
26727	7	2013-08-02 16:05:57.986326	2013-08-02 16:05:57.986326
26729	9	2013-08-02 16:05:57.988368	2013-08-02 16:05:57.988368
2800	9	2013-08-02 16:05:09.177793	2013-08-03 23:45:41.31754
26791	2	2013-08-02 16:05:58.116251	2013-08-04 17:21:49.774962
26734	14	2013-08-02 16:05:57.993475	2013-08-02 16:05:57.993475
10606	7	2013-08-02 16:05:23.908183	2013-08-03 23:45:41.319529
26840	2	2013-08-02 16:05:58.24448	2013-08-03 18:49:49.060368
10721	2	2013-08-02 16:05:24.146438	2013-08-03 23:45:41.3244
8006	2	2013-08-02 16:05:18.848033	2013-08-04 02:30:52.773627
7966	2	2013-08-02 16:05:18.748418	2013-08-04 02:30:52.778026
26742	2	2013-08-02 16:05:58.00274	2013-08-02 16:05:58.00274
10421	21	2013-08-02 16:05:23.716371	2013-08-03 23:53:46.210587
26744	4	2013-08-02 16:05:58.005443	2013-08-02 16:05:58.005443
10406	21	2013-08-02 16:05:23.696014	2013-08-03 23:53:46.212457
26751	21	2013-08-02 16:05:58.015556	2013-08-04 17:21:49.850191
26747	7	2013-08-02 16:05:58.009188	2013-08-02 16:05:58.009188
26749	9	2013-08-02 16:05:58.011781	2013-08-02 16:05:58.011781
26795	2	2013-08-02 16:05:58.127275	2013-08-04 02:30:52.783132
26706	4	2013-08-02 16:05:57.773547	2013-08-04 02:43:09.35587
26731	2	2013-08-02 16:05:57.990419	2013-08-04 17:21:50.169329
26754	14	2013-08-02 16:05:58.019894	2013-08-02 16:05:58.019894
26698	21	2013-08-02 16:05:57.751986	2013-08-03 18:57:38.218449
26828	2	2013-08-02 16:05:58.215513	2013-08-04 17:21:50.437225
26726	2	2013-08-02 16:05:57.985284	2013-08-04 02:43:09.358478
26808	2	2013-08-02 16:05:58.162675	2013-08-04 17:21:50.442641
26746	7	2013-08-02 16:05:58.007957	2013-08-04 02:45:45.71734
26762	2	2013-08-02 16:05:58.039245	2013-08-02 16:05:58.039245
26837	4	2013-08-02 16:05:58.237285	2013-08-03 18:59:59.424495
26764	4	2013-08-02 16:05:58.044629	2013-08-02 16:05:58.044629
26846	4	2013-08-02 16:05:58.258899	2013-08-04 02:45:46.519446
26788	2	2013-08-02 16:05:58.108213	2013-08-04 17:21:50.448052
26767	7	2013-08-02 16:05:58.052516	2013-08-02 16:05:58.052516
26769	9	2013-08-02 16:05:58.057766	2013-08-02 16:05:58.057766
26826	4	2013-08-02 16:05:58.210577	2013-08-04 02:45:46.524673
26806	4	2013-08-02 16:05:58.157285	2013-08-04 02:45:46.53033
26691	2	2013-08-02 16:05:57.73346	2013-08-04 17:21:50.453487
26774	14	2013-08-02 16:05:58.070947	2013-08-02 16:05:58.070947
26786	4	2013-08-02 16:05:58.102854	2013-08-04 02:45:46.534899
26766	4	2013-08-02 16:05:58.049966	2013-08-04 02:45:46.539257
33921	4	2013-08-02 16:06:14.559217	2013-08-04 02:56:11.978872
26782	2	2013-08-02 16:05:58.092236	2013-08-02 16:05:58.092236
26778	21	2013-08-02 16:05:58.081738	2013-08-03 19:02:37.928972
26784	4	2013-08-02 16:05:58.097388	2013-08-02 16:05:58.097388
27686	4	2013-08-02 16:06:00.387136	2013-08-04 02:56:11.988039
26799	4	2013-08-02 16:05:58.138127	2013-08-04 17:56:53.902203
26787	7	2013-08-02 16:05:58.105555	2013-08-02 16:05:58.105555
26789	9	2013-08-02 16:05:58.110917	2013-08-02 16:05:58.110917
27666	4	2013-08-02 16:06:00.339138	2013-08-04 02:56:11.992573
16516	4	2013-08-02 16:05:35.647708	2013-08-04 02:56:11.998474
26779	4	2013-08-02 16:05:58.084385	2013-08-04 17:56:53.908247
26794	14	2013-08-02 16:05:58.124604	2013-08-02 16:05:58.124604
26758	21	2013-08-02 16:05:58.028648	2013-08-03 19:02:37.932565
26738	21	2013-08-02 16:05:57.997755	2013-08-03 19:02:37.934179
16577	4	2013-08-02 16:05:35.797574	2013-08-04 02:56:12.003076
16353	4	2013-08-02 16:05:35.189065	2013-08-04 02:56:12.006916
16666	4	2013-08-02 16:05:36.016285	2013-08-04 02:56:12.084996
26802	2	2013-08-02 16:05:58.146527	2013-08-02 16:05:58.146527
26718	21	2013-08-02 16:05:57.80427	2013-08-03 19:02:37.935463
26804	4	2013-08-02 16:05:58.151845	2013-08-02 16:05:58.151845
2127	4	2013-08-02 16:05:08.24213	2013-08-04 02:56:12.088605
26759	4	2013-08-02 16:05:58.031285	2013-08-04 17:56:53.914082
26807	7	2013-08-02 16:05:58.159966	2013-08-02 16:05:58.159966
26809	9	2013-08-02 16:05:58.165376	2013-08-02 16:05:58.165376
2181	4	2013-08-02 16:05:08.380666	2013-08-04 02:56:12.092698
2198	4	2013-08-02 16:05:08.421919	2013-08-04 02:56:12.096778
26739	4	2013-08-02 16:05:57.998999	2013-08-04 17:56:53.922832
26814	14	2013-08-02 16:05:58.17888	2013-08-02 16:05:58.17888
26838	2	2013-08-02 16:05:58.239677	2013-08-03 19:02:38.275876
26818	7	2013-08-02 16:05:58.189581	2013-08-03 19:02:38.291954
26719	4	2013-08-02 16:05:57.972209	2013-08-04 17:56:53.92925
26699	4	2013-08-02 16:05:57.754641	2013-08-04 17:56:53.939883
26715	2	2013-08-02 16:05:57.796486	2013-08-04 18:01:51.043948
26822	2	2013-08-02 16:05:58.200088	2013-08-02 16:05:58.200088
26839	2	2013-08-02 16:05:58.242086	2013-08-04 18:01:51.048537
26824	4	2013-08-02 16:05:58.205423	2013-08-02 16:05:58.205423
26819	2	2013-08-02 16:05:58.192251	2013-08-04 18:01:51.0529
26827	7	2013-08-02 16:05:58.213106	2013-08-02 16:05:58.213106
26829	9	2013-08-02 16:05:58.217933	2013-08-02 16:05:58.217933
26834	14	2013-08-02 16:05:58.230028	2013-08-02 16:05:58.230028
26737	7	2013-08-02 16:05:57.996501	2013-08-03 19:07:35.068231
26842	2	2013-08-02 16:05:58.249354	2013-08-02 16:05:58.249354
26757	7	2013-08-02 16:05:58.025975	2013-08-03 19:07:35.072955
26844	4	2013-08-02 16:05:58.254118	2013-08-02 16:05:58.254118
26847	7	2013-08-02 16:05:58.261321	2013-08-02 16:05:58.261321
26817	21	2013-08-02 16:05:58.187047	2013-08-03 18:32:15.944233
26797	21	2013-08-02 16:05:58.132751	2013-08-03 18:32:15.948194
26777	21	2013-08-02 16:05:58.079054	2013-08-03 18:32:15.951263
26717	4	2013-08-02 16:05:57.801576	2013-08-03 18:32:16.000392
26697	4	2013-08-02 16:05:57.749359	2013-08-03 18:32:16.008618
26775	14	2013-08-02 16:05:58.073658	2013-08-03 18:37:53.648136
26845	7	2013-08-02 16:05:58.256488	2013-08-03 19:07:35.077349
26825	7	2013-08-02 16:05:58.208089	2013-08-03 19:07:35.082623
26805	7	2013-08-02 16:05:58.154564	2013-08-03 19:07:35.092024
26785	7	2013-08-02 16:05:58.100056	2013-08-03 19:07:35.101217
26765	7	2013-08-02 16:05:58.047285	2013-08-03 19:07:35.106277
26820	7	2013-08-02 16:05:58.194942	2013-08-03 19:07:35.111168
26745	7	2013-08-02 16:05:58.006702	2013-08-03 19:07:35.116686
26832	2	2013-08-02 16:05:58.225219	2013-08-03 20:02:26.16597
26812	2	2013-08-02 16:05:58.173419	2013-08-03 20:02:26.176511
26792	2	2013-08-02 16:05:58.119155	2013-08-03 20:02:26.185908
26772	2	2013-08-02 16:05:58.065778	2013-08-03 20:02:26.196065
26752	2	2013-08-02 16:05:58.017005	2013-08-03 20:02:26.198999
26732	2	2013-08-02 16:05:57.991438	2013-08-03 20:02:26.201939
26712	2	2013-08-02 16:05:57.789306	2013-08-03 20:02:26.204816
26692	2	2013-08-02 16:05:57.736213	2013-08-03 20:02:26.207694
8110	21	2013-08-02 16:05:19.046062	2013-08-03 20:07:28.500519
7930	14	2013-08-02 16:05:18.653499	2013-08-03 20:07:28.561627
7910	14	2013-08-02 16:05:18.602323	2013-08-03 20:07:28.565596
33780	21	2013-08-02 16:06:14.418721	2013-08-03 20:07:28.695862
33760	21	2013-08-02 16:06:14.399362	2013-08-03 20:07:28.700135
33740	21	2013-08-02 16:06:14.377752	2013-08-03 20:07:28.704022
13219	21	2013-08-02 16:05:29.289731	2013-08-04 19:57:28.805844
26849	9	2013-08-02 16:05:58.266144	2013-08-02 16:05:58.266144
26973	2	2013-08-02 16:05:58.574115	2013-08-04 02:30:52.651597
26856	7	2013-08-02 16:05:58.283641	2013-08-04 19:57:28.814216
26996	2	2013-08-02 16:05:58.618756	2013-08-04 20:02:39.819288
33778	2	2013-08-02 16:06:14.416284	2013-08-04 17:21:50.385234
26854	14	2013-08-02 16:05:58.278293	2013-08-02 16:05:58.278293
26976	14	2013-08-02 16:05:58.582199	2013-08-04 20:02:39.835594
26956	14	2013-08-02 16:05:58.529323	2013-08-04 20:02:39.88547
26936	14	2013-08-02 16:05:58.477255	2013-08-04 20:02:39.896674
26916	14	2013-08-02 16:05:58.429031	2013-08-04 20:02:39.908077
26912	2	2013-08-02 16:05:58.419528	2013-08-04 17:21:50.397911
26862	2	2013-08-02 16:05:58.298485	2013-08-02 16:05:58.298485
26980	7	2013-08-02 16:05:58.5905	2013-08-03 18:52:36.137217
26864	4	2013-08-02 16:05:58.303329	2013-08-02 16:05:58.303329
26852	2	2013-08-02 16:05:58.273269	2013-08-04 02:35:42.691248
26937	2	2013-08-02 16:05:58.479649	2013-08-04 17:21:50.411767
26867	7	2013-08-02 16:05:58.3105	2013-08-02 16:05:58.3105
26896	4	2013-08-02 16:05:58.380985	2013-08-04 20:02:39.931409
26869	9	2013-08-02 16:05:58.315291	2013-08-02 16:05:58.315291
13259	14	2013-08-02 16:05:29.331538	2013-08-03 23:45:51.797763
26876	4	2013-08-02 16:05:58.332876	2013-08-04 20:02:39.943649
26981	7	2013-08-02 16:05:58.591518	2013-08-03 21:49:32.282193
26895	2	2013-08-02 16:05:58.378568	2013-08-04 17:21:50.416827
26874	14	2013-08-02 16:05:58.327713	2013-08-02 16:05:58.327713
26960	4	2013-08-02 16:05:58.539536	2013-08-03 18:52:36.154436
26898	2	2013-08-02 16:05:58.385754	2013-08-04 17:21:50.42198
26848	2	2013-08-02 16:05:58.263681	2013-08-04 17:21:50.428358
26997	2	2013-08-02 16:05:58.621236	2013-08-04 02:35:42.702588
26882	2	2013-08-02 16:05:58.347353	2013-08-02 16:05:58.347353
26993	2	2013-08-02 16:05:58.613157	2013-08-04 02:35:42.713378
26884	4	2013-08-02 16:05:58.352141	2013-08-02 16:05:58.352141
26921	7	2013-08-02 16:05:58.441122	2013-08-03 21:50:49.884808
26872	14	2013-08-02 16:05:58.322868	2013-08-04 17:21:52.356569
26887	7	2013-08-02 16:05:58.359323	2013-08-02 16:05:58.359323
26889	9	2013-08-02 16:05:58.3641	2013-08-02 16:05:58.3641
13210	9	2013-08-02 16:05:29.2821	2013-08-03 23:45:51.806112
26858	14	2013-08-02 16:05:58.28883	2013-08-04 17:21:52.361649
26991	14	2013-08-02 16:05:58.609553	2013-08-04 17:21:52.366106
26894	14	2013-08-02 16:05:58.376127	2013-08-02 16:05:58.376127
26897	4	2013-08-02 16:05:58.383357	2013-08-03 21:50:49.894654
13319	7	2013-08-02 16:05:29.388822	2013-08-03 23:45:51.809808
26902	2	2013-08-02 16:05:58.395657	2013-08-02 16:05:58.395657
26900	2	2013-08-02 16:05:58.390852	2013-08-03 18:52:36.210051
26904	4	2013-08-02 16:05:58.400462	2013-08-02 16:05:58.400462
33660	2	2013-08-02 16:06:14.303575	2013-08-03 21:50:49.90119
26971	14	2013-08-02 16:05:58.569019	2013-08-04 17:21:52.372026
26907	7	2013-08-02 16:05:58.407646	2013-08-02 16:05:58.407646
26909	9	2013-08-02 16:05:58.412381	2013-08-02 16:05:58.412381
13279	14	2013-08-02 16:05:29.351383	2013-08-03 23:53:36.859322
26941	21	2013-08-02 16:05:58.48929	2013-08-03 21:51:01.158896
26951	14	2013-08-02 16:05:58.515578	2013-08-04 17:21:52.377985
26914	14	2013-08-02 16:05:58.424261	2013-08-02 16:05:58.424261
26940	21	2013-08-02 16:05:58.486857	2013-08-03 21:51:01.160325
13239	21	2013-08-02 16:05:29.310597	2013-08-03 23:53:46.21425
33620	4	2013-08-02 16:06:14.266572	2013-08-04 02:45:46.44302
26977	4	2013-08-02 16:05:58.584937	2013-08-04 02:45:46.453721
26922	2	2013-08-02 16:05:58.443492	2013-08-02 16:05:58.443492
33680	2	2013-08-02 16:06:14.320088	2013-08-04 18:01:50.976103
26924	4	2013-08-02 16:05:58.448288	2013-08-02 16:05:58.448288
26855	7	2013-08-02 16:05:58.280976	2013-08-03 21:54:22.638272
26983	2	2013-08-02 16:05:58.595113	2013-08-04 18:01:50.979966
26927	7	2013-08-02 16:05:58.455423	2013-08-02 16:05:58.455423
26929	9	2013-08-02 16:05:58.460164	2013-08-02 16:05:58.460164
26935	4	2013-08-02 16:05:58.474736	2013-08-04 02:45:46.459528
26877	14	2013-08-02 16:05:58.335277	2013-08-03 21:56:35.267893
26999	2	2013-08-02 16:05:58.626591	2013-08-04 18:01:50.983223
26934	14	2013-08-02 16:05:58.472269	2013-08-02 16:05:58.472269
26857	2	2013-08-02 16:05:58.286344	2013-08-03 18:59:59.431975
26986	4	2013-08-02 16:05:58.600483	2013-08-04 02:45:46.464515
26966	4	2013-08-02 16:05:58.55572	2013-08-04 02:45:46.469497
26946	4	2013-08-02 16:05:58.501984	2013-08-04 02:45:46.476772
26926	4	2013-08-02 16:05:58.453077	2013-08-04 02:45:46.488045
26942	2	2013-08-02 16:05:58.491669	2013-08-02 16:05:58.491669
26860	4	2013-08-02 16:05:58.293634	2013-08-04 02:45:46.492549
26944	4	2013-08-02 16:05:58.496425	2013-08-02 16:05:58.496425
26906	4	2013-08-02 16:05:58.405261	2013-08-04 02:45:46.49695
26979	2	2013-08-02 16:05:58.588623	2013-08-04 18:01:50.986436
26947	7	2013-08-02 16:05:58.504748	2013-08-02 16:05:58.504748
26949	9	2013-08-02 16:05:58.510056	2013-08-02 16:05:58.510056
2088	4	2013-08-02 16:05:08.141688	2013-08-04 02:56:12.101514
24191	4	2013-08-02 16:05:52.680698	2013-08-04 02:56:12.164018
26958	2	2013-08-02 16:05:58.534579	2013-08-04 18:01:50.991143
26954	14	2013-08-02 16:05:58.523636	2013-08-02 16:05:58.523636
26998	9	2013-08-02 16:05:58.623852	2013-08-03 19:02:38.167407
24185	4	2013-08-02 16:05:52.674224	2013-08-04 02:56:12.170328
24151	4	2013-08-02 16:05:52.640578	2013-08-04 02:56:12.212593
24131	4	2013-08-02 16:05:52.622226	2013-08-04 02:56:12.221964
24090	4	2013-08-02 16:05:52.586474	2013-08-04 02:56:12.231298
26962	2	2013-08-02 16:05:58.544925	2013-08-02 16:05:58.544925
24111	4	2013-08-02 16:05:52.604698	2013-08-04 02:56:12.241296
26964	4	2013-08-02 16:05:58.550477	2013-08-02 16:05:58.550477
1178	4	2013-08-02 16:05:05.954272	2013-08-04 02:56:12.252253
26959	2	2013-08-02 16:05:58.53705	2013-08-04 18:01:50.996419
26967	7	2013-08-02 16:05:58.558381	2013-08-02 16:05:58.558381
26969	9	2013-08-02 16:05:58.563743	2013-08-02 16:05:58.563743
24092	4	2013-08-02 16:05:52.588251	2013-08-04 02:56:12.259824
24091	4	2013-08-02 16:05:52.587356	2013-08-04 02:56:12.266107
26939	2	2013-08-02 16:05:58.484451	2013-08-04 18:01:51.004402
26974	14	2013-08-02 16:05:58.576882	2013-08-02 16:05:58.576882
24071	4	2013-08-02 16:05:52.567651	2013-08-04 02:56:12.269788
24110	4	2013-08-02 16:05:52.603855	2013-08-04 02:56:12.273429
24051	4	2013-08-02 16:05:52.547721	2013-08-04 02:56:12.277163
26919	2	2013-08-02 16:05:58.4362	2013-08-04 18:01:51.011826
26982	2	2013-08-02 16:05:58.593229	2013-08-02 16:05:58.593229
26938	4	2013-08-02 16:05:58.482062	2013-08-03 19:02:38.223189
26984	4	2013-08-02 16:05:58.596823	2013-08-02 16:05:58.596823
13299	2	2013-08-02 16:05:29.372362	2013-08-04 18:01:51.015986
26899	2	2013-08-02 16:05:58.388138	2013-08-04 18:01:51.023551
26987	7	2013-08-02 16:05:58.602451	2013-08-02 16:05:58.602451
26989	9	2013-08-02 16:05:58.605945	2013-08-02 16:05:58.605945
26879	2	2013-08-02 16:05:58.340141	2013-08-04 18:01:51.02884
26859	2	2013-08-02 16:05:58.291249	2013-08-04 18:01:51.032297
2664	2	2013-08-02 16:05:09.054887	2013-08-04 18:01:51.035598
26994	14	2013-08-02 16:05:58.614957	2013-08-02 16:05:58.614957
26918	14	2013-08-02 16:05:58.433818	2013-08-03 19:02:38.233096
27000	2	2013-08-02 16:05:58.629622	2013-08-04 18:01:51.038939
27002	2	2013-08-02 16:05:58.63505	2013-08-02 16:05:58.63505
27004	4	2013-08-02 16:05:58.640373	2013-08-02 16:05:58.640373
26875	9	2013-08-02 16:05:58.330171	2013-08-03 18:37:53.663475
26915	7	2013-08-02 16:05:58.426632	2013-08-03 18:37:53.670057
26985	7	2013-08-02 16:05:58.59866	2013-08-03 19:07:35.042258
26965	7	2013-08-02 16:05:58.553171	2013-08-03 19:07:35.046868
26945	7	2013-08-02 16:05:58.499193	2013-08-03 19:07:35.051978
26925	7	2013-08-02 16:05:58.450671	2013-08-03 19:07:35.056193
26905	7	2013-08-02 16:05:58.40284	2013-08-03 19:07:35.059318
26885	7	2013-08-02 16:05:58.354539	2013-08-03 19:07:35.062202
26865	7	2013-08-02 16:05:58.30575	2013-08-03 19:07:35.065109
26917	9	2013-08-02 16:05:58.43139	2013-08-03 19:29:58.61153
26957	7	2013-08-02 16:05:58.532068	2013-08-03 19:29:58.613899
27003	4	2013-08-02 16:05:58.637737	2013-08-03 19:29:58.616815
26892	9	2013-08-02 16:05:58.37132	2013-08-03 20:03:52.200704
26932	7	2013-08-02 16:05:58.467322	2013-08-03 20:03:52.205925
33600	14	2013-08-02 16:06:14.24627	2013-08-03 20:07:28.868269
33580	4	2013-08-02 16:06:14.225722	2013-08-03 20:07:28.890719
27112	2	2013-08-02 16:05:58.89143	2013-08-03 20:12:23.510187
27088	2	2013-08-02 16:05:58.831759	2013-08-04 17:21:50.323072
27007	7	2013-08-02 16:05:58.648273	2013-08-02 16:05:58.648273
27096	21	2013-08-02 16:05:58.85146	2013-08-04 20:02:39.696868
27009	9	2013-08-02 16:05:58.653621	2013-08-02 16:05:58.653621
27068	2	2013-08-02 16:05:58.781925	2013-08-04 17:21:50.332839
27066	21	2013-08-02 16:05:58.777427	2013-08-04 20:02:39.701906
21646	2	2013-08-02 16:05:46.681054	2013-08-04 17:21:50.342216
27014	14	2013-08-02 16:05:58.666285	2013-08-02 16:05:58.666285
27160	21	2013-08-02 16:05:59.01988	2013-08-03 18:52:36.033914
27115	2	2013-08-02 16:05:58.899253	2013-08-04 02:35:42.592502
13337	4	2013-08-02 16:05:29.404121	2013-08-03 23:45:51.814377
27110	21	2013-08-02 16:05:58.886421	2013-08-04 20:02:39.706831
15860	7	2013-08-02 16:05:34.267184	2013-08-03 21:44:33.567609
27022	2	2013-08-02 16:05:58.685548	2013-08-02 16:05:58.685548
27140	21	2013-08-02 16:05:58.965587	2013-08-03 18:52:36.036351
27024	4	2013-08-02 16:05:58.690321	2013-08-02 16:05:58.690321
27076	7	2013-08-02 16:05:58.802487	2013-08-04 20:02:39.732266
27048	2	2013-08-02 16:05:58.733493	2013-08-04 17:21:50.351779
27027	7	2013-08-02 16:05:58.698199	2013-08-02 16:05:58.698199
27060	7	2013-08-02 16:05:58.761493	2013-08-04 20:02:39.746475
27029	9	2013-08-02 16:05:58.703098	2013-08-02 16:05:58.703098
16830	14	2013-08-02 16:05:36.387198	2013-08-03 23:45:52.027079
27056	7	2013-08-02 16:05:58.750956	2013-08-04 20:02:39.760428
25910	21	2013-08-02 16:05:56.064607	2013-08-03 21:44:33.66848
27028	2	2013-08-02 16:05:58.700676	2013-08-04 17:21:50.3618
27034	14	2013-08-02 16:05:58.711567	2013-08-02 16:05:58.711567
27120	21	2013-08-02 16:05:58.912357	2013-08-03 18:52:36.038599
25901	21	2013-08-02 16:05:56.040376	2013-08-03 21:44:33.671523
26130	21	2013-08-02 16:05:56.571516	2013-08-03 21:44:33.674311
27036	7	2013-08-02 16:05:58.713719	2013-08-04 20:02:39.775256
27008	2	2013-08-02 16:05:58.650954	2013-08-04 17:21:50.373253
27132	2	2013-08-02 16:05:58.944071	2013-08-04 17:21:52.038974
27042	2	2013-08-02 16:05:58.722733	2013-08-02 16:05:58.722733
27100	21	2013-08-02 16:05:58.861394	2013-08-03 18:52:36.040696
27044	4	2013-08-02 16:05:58.726307	2013-08-02 16:05:58.726307
27141	21	2013-08-02 16:05:58.968237	2013-08-03 21:49:32.059855
27137	2	2013-08-02 16:05:58.957576	2013-08-04 17:21:52.050664
27047	7	2013-08-02 16:05:58.731685	2013-08-02 16:05:58.731685
13339	2	2013-08-02 16:05:29.405869	2013-08-04 20:02:39.798207
27049	9	2013-08-02 16:05:58.735231	2013-08-02 16:05:58.735231
27006	4	2013-08-02 16:05:58.645691	2013-08-04 02:45:46.433231
27016	2	2013-08-02 16:05:58.671139	2013-08-04 20:02:39.805432
27121	21	2013-08-02 16:05:58.915008	2013-08-03 21:49:32.06243
27065	2	2013-08-02 16:05:58.774736	2013-08-04 17:21:52.063022
27054	14	2013-08-02 16:05:58.745696	2013-08-02 16:05:58.745696
27080	21	2013-08-02 16:05:58.811958	2013-08-03 18:52:36.042818
34375	2	2013-08-02 16:06:15.53895	2013-08-04 20:02:39.812332
27148	2	2013-08-02 16:05:58.98641	2013-08-04 17:21:52.074509
21626	9	2013-08-02 16:05:46.628113	2013-08-03 23:45:52.036026
27062	2	2013-08-02 16:05:58.766808	2013-08-02 16:05:58.766808
27064	4	2013-08-02 16:05:58.772091	2013-08-02 16:05:58.772091
27128	2	2013-08-02 16:05:58.933673	2013-08-04 17:21:52.086632
27067	7	2013-08-02 16:05:58.779605	2013-08-02 16:05:58.779605
27069	9	2013-08-02 16:05:58.784557	2013-08-02 16:05:58.784557
21666	7	2013-08-02 16:05:46.734203	2013-08-03 23:45:52.037878
27055	14	2013-08-02 16:05:58.748317	2013-08-04 20:04:42.85509
27108	2	2013-08-02 16:05:58.881073	2013-08-04 17:21:52.100959
27074	14	2013-08-02 16:05:58.797538	2013-08-02 16:05:58.797538
27158	21	2013-08-02 16:05:59.013204	2013-08-03 19:02:38.114435
21706	2	2013-08-02 16:05:46.833896	2013-08-03 23:45:52.041561
27116	21	2013-08-02 16:05:58.901894	2013-08-04 20:04:42.896728
27150	14	2013-08-02 16:05:58.991677	2013-08-03 21:51:11.570452
27091	14	2013-08-02 16:05:58.839477	2013-08-04 17:21:52.321917
27082	2	2013-08-02 16:05:58.816729	2013-08-02 16:05:58.816729
27138	21	2013-08-02 16:05:58.960216	2013-08-03 19:02:38.116863
27084	4	2013-08-02 16:05:58.82157	2013-08-02 16:05:58.82157
27130	9	2013-08-02 16:05:58.938811	2013-08-03 21:54:22.179715
27075	21	2013-08-02 16:05:58.800027	2013-08-04 20:04:54.208158
27087	7	2013-08-02 16:05:58.829363	2013-08-02 16:05:58.829363
27151	21	2013-08-02 16:05:58.994341	2013-08-04 20:07:36.374311
27089	9	2013-08-02 16:05:58.834365	2013-08-02 16:05:58.834365
27156	2	2013-08-02 16:05:59.007721	2013-08-04 20:07:37.978773
27136	7	2013-08-02 16:05:58.954888	2013-08-04 20:07:38.331447
27094	14	2013-08-02 16:05:58.846684	2013-08-02 16:05:58.846684
27118	21	2013-08-02 16:05:58.90719	2013-08-03 19:02:38.118834
21580	21	2013-08-02 16:05:46.384242	2013-08-03 23:53:46.216002
21606	14	2013-08-02 16:05:46.59686	2013-08-04 02:47:13.551356
27102	2	2013-08-02 16:05:58.866143	2013-08-02 16:05:58.866143
27098	21	2013-08-02 16:05:58.856257	2013-08-03 19:02:38.120661
27104	4	2013-08-02 16:05:58.870865	2013-08-02 16:05:58.870865
27155	14	2013-08-02 16:05:59.005105	2013-08-04 17:24:15.119769
27107	7	2013-08-02 16:05:58.878307	2013-08-02 16:05:58.878307
27109	9	2013-08-02 16:05:58.883732	2013-08-02 16:05:58.883732
27030	7	2013-08-02 16:05:58.70501	2013-08-03 21:59:23.076313
27050	21	2013-08-02 16:05:58.736988	2013-08-04 17:24:18.520552
27114	14	2013-08-02 16:05:58.89679	2013-08-02 16:05:58.89679
27078	21	2013-08-02 16:05:58.807237	2013-08-03 19:02:38.122627
27005	21	2013-08-02 16:05:58.643045	2013-08-04 17:24:42.38139
27122	2	2013-08-02 16:05:58.917646	2013-08-02 16:05:58.917646
27058	21	2013-08-02 16:05:58.756223	2013-08-03 19:02:38.124301
27124	4	2013-08-02 16:05:58.922814	2013-08-02 16:05:58.922814
27157	9	2013-08-02 16:05:59.010507	2013-08-04 02:47:13.569725
27111	21	2013-08-02 16:05:58.888881	2013-08-04 17:26:51.032704
27127	7	2013-08-02 16:05:58.930963	2013-08-02 16:05:58.930963
27129	9	2013-08-02 16:05:58.936174	2013-08-02 16:05:58.936174
13203	21	2013-08-02 16:05:29.276302	2013-08-04 02:47:24.385911
27105	21	2013-08-02 16:05:58.873247	2013-08-04 02:50:49.469176
27077	2	2013-08-02 16:05:58.804873	2013-08-04 17:26:52.794629
27134	14	2013-08-02 16:05:58.949518	2013-08-02 16:05:58.949518
27038	21	2013-08-02 16:05:58.715979	2013-08-03 19:02:38.127263
27086	4	2013-08-02 16:05:58.826811	2013-08-04 02:50:50.754673
27046	4	2013-08-02 16:05:58.729926	2013-08-04 02:50:50.878105
27126	21	2013-08-02 16:05:58.92807	2013-08-04 02:54:05.451368
27106	4	2013-08-02 16:05:58.875593	2013-08-04 03:00:23.888698
27142	2	2013-08-02 16:05:58.970766	2013-08-02 16:05:58.970766
3094	14	2013-08-02 16:05:09.62082	2013-08-04 17:26:54.592941
27144	4	2013-08-02 16:05:58.975621	2013-08-02 16:05:58.975621
3067	14	2013-08-02 16:05:09.534547	2013-08-04 17:26:54.595719
3140	2	2013-08-02 16:05:09.681291	2013-08-04 17:26:54.610687
27147	7	2013-08-02 16:05:58.983765	2013-08-02 16:05:58.983765
27149	9	2013-08-02 16:05:58.989065	2013-08-02 16:05:58.989065
3087	2	2013-08-02 16:05:09.570353	2013-08-04 17:26:54.619417
3106	2	2013-08-02 16:05:09.634062	2013-08-04 17:26:54.625455
28338	4	2013-08-02 16:06:01.645767	2013-08-04 17:26:54.651721
27154	14	2013-08-02 16:05:59.002364	2013-08-02 16:05:59.002364
28388	4	2013-08-02 16:06:01.701244	2013-08-04 17:26:54.656578
28368	4	2013-08-02 16:06:01.676742	2013-08-04 17:26:54.664302
28350	4	2013-08-02 16:06:01.65924	2013-08-04 17:26:54.673725
28348	4	2013-08-02 16:06:01.655323	2013-08-04 17:26:54.684498
27015	2	2013-08-02 16:05:58.668738	2013-08-03 18:37:53.68524
28305	4	2013-08-02 16:06:01.614389	2013-08-04 17:26:54.695689
28328	4	2013-08-02 16:06:01.635938	2013-08-04 17:26:54.707362
27095	14	2013-08-02 16:05:58.849105	2013-08-03 18:38:19.795065
28308	4	2013-08-02 16:06:01.617043	2013-08-04 17:26:54.718243
28395	4	2013-08-02 16:06:01.706716	2013-08-04 17:26:54.728866
28288	4	2013-08-02 16:06:01.593465	2013-08-04 17:26:54.739961
27045	9	2013-08-02 16:05:58.728108	2013-08-03 19:08:43.675943
27085	7	2013-08-02 16:05:58.824121	2013-08-03 19:08:43.678934
28268	4	2013-08-02 16:06:01.567711	2013-08-04 17:26:54.7477
27125	4	2013-08-02 16:05:58.925415	2013-08-03 19:08:43.681609
8812	4	2013-08-02 16:05:20.790819	2013-08-04 17:26:54.825142
27037	2	2013-08-02 16:05:58.714848	2013-08-03 19:29:58.618639
27131	21	2013-08-02 16:05:58.941448	2013-08-04 17:28:03.425626
27017	14	2013-08-02 16:05:58.673533	2013-08-03 19:29:58.63609
27039	2	2013-08-02 16:05:58.717362	2013-08-04 18:01:50.96831
27117	9	2013-08-02 16:05:58.904533	2013-08-03 19:33:53.637229
27018	7	2013-08-02 16:05:58.675895	2013-08-03 19:33:53.639602
27019	2	2013-08-02 16:05:58.678357	2013-08-04 18:01:50.972092
27012	2	2013-08-02 16:05:58.661476	2013-08-03 20:03:52.218793
27135	14	2013-08-02 16:05:58.952208	2013-08-03 20:07:27.055502
27152	4	2013-08-02 16:05:58.996979	2013-08-03 20:07:27.065094
27052	2	2013-08-02 16:05:58.740468	2013-08-03 20:07:27.106266
27162	2	2013-08-02 16:05:59.025968	2013-08-02 16:05:59.025968
27180	21	2013-08-02 16:05:59.073659	2013-08-03 18:52:36.0308
27164	4	2013-08-02 16:05:59.031546	2013-08-02 16:05:59.031546
15737	7	2013-08-02 16:05:34.021905	2013-08-03 21:44:34.209966
27215	14	2013-08-02 16:05:59.164969	2013-08-04 17:21:51.93154
27167	7	2013-08-02 16:05:59.039606	2013-08-02 16:05:59.039606
27169	9	2013-08-02 16:05:59.044986	2013-08-02 16:05:59.044986
10741	2	2013-08-02 16:05:24.168844	2013-08-04 02:35:42.584182
27308	14	2013-08-02 16:05:59.387851	2013-08-04 17:21:51.935869
27288	14	2013-08-02 16:05:59.340199	2013-08-04 17:21:51.939479
27174	14	2013-08-02 16:05:59.057904	2013-08-02 16:05:59.057904
44558	4	2013-08-02 16:06:38.77103	2013-08-03 21:44:34.531679
27268	14	2013-08-02 16:05:59.292803	2013-08-04 17:21:51.942805
27248	14	2013-08-02 16:05:59.245318	2013-08-04 17:21:51.945858
10759	21	2013-08-02 16:05:24.190565	2013-08-03 22:05:19.380346
27173	2	2013-08-02 16:05:59.055447	2013-08-04 02:35:42.588417
27182	2	2013-08-02 16:05:59.079007	2013-08-02 16:05:59.079007
27184	4	2013-08-02 16:05:59.084291	2013-08-02 16:05:59.084291
27236	9	2013-08-02 16:05:59.216669	2013-08-04 20:04:42.860948
27228	14	2013-08-02 16:05:59.197121	2013-08-04 17:21:51.95197
27187	7	2013-08-02 16:05:59.092301	2013-08-02 16:05:59.092301
27189	9	2013-08-02 16:05:59.097423	2013-08-02 16:05:59.097423
27276	7	2013-08-02 16:05:59.311767	2013-08-04 20:04:42.862982
13477	14	2013-08-02 16:05:29.525897	2013-08-04 17:21:51.959662
27194	14	2013-08-02 16:05:59.109426	2013-08-02 16:05:59.109426
27271	4	2013-08-02 16:05:59.299891	2013-08-04 20:04:42.866588
10785	7	2013-08-02 16:05:24.213333	2013-08-03 21:44:34.745265
29397	7	2013-08-02 16:06:03.797394	2013-08-04 02:47:13.577222
27202	2	2013-08-02 16:05:59.130566	2013-08-02 16:05:59.130566
27260	9	2013-08-02 16:05:59.273892	2013-08-03 18:54:19.944303
27204	4	2013-08-02 16:05:59.135897	2013-08-02 16:05:59.135897
13199	21	2013-08-02 16:05:29.273333	2013-08-04 20:05:05.203431
27280	14	2013-08-02 16:05:59.321251	2013-08-04 17:21:51.970601
27207	7	2013-08-02 16:05:59.143681	2013-08-02 16:05:59.143681
27296	21	2013-08-02 16:05:59.359313	2013-08-04 20:05:29.096724
27209	9	2013-08-02 16:05:59.149054	2013-08-02 16:05:59.149054
27208	14	2013-08-02 16:05:59.146373	2013-08-04 17:21:51.981364
27176	21	2013-08-02 16:05:59.063019	2013-08-04 20:05:29.098055
13497	9	2013-08-02 16:05:29.546836	2013-08-03 23:46:14.874013
27166	2	2013-08-02 16:05:59.036959	2013-08-04 17:21:52.004403
27214	14	2013-08-02 16:05:59.162317	2013-08-02 16:05:59.162317
27253	21	2013-08-02 16:05:59.257257	2013-08-04 20:05:29.12625
27317	9	2013-08-02 16:05:59.409194	2013-08-03 21:56:35.281252
27206	4	2013-08-02 16:05:59.14122	2013-08-04 02:47:13.584682
27256	2	2013-08-02 16:05:59.264336	2013-08-04 20:07:35.639513
27216	21	2013-08-02 16:05:59.167606	2013-08-04 20:07:35.676439
27196	4	2013-08-02 16:05:59.114171	2013-08-04 20:07:37.422867
27222	2	2013-08-02 16:05:59.182725	2013-08-02 16:05:59.182725
27300	7	2013-08-02 16:05:59.369029	2013-08-03 18:54:19.950984
27224	4	2013-08-02 16:05:59.187539	2013-08-02 16:05:59.187539
13559	4	2013-08-02 16:05:29.731893	2013-08-03 23:46:14.884064
27227	7	2013-08-02 16:05:59.194701	2013-08-02 16:05:59.194701
27229	9	2013-08-02 16:05:59.199532	2013-08-02 16:05:59.199532
27246	2	2013-08-02 16:05:59.240568	2013-08-04 02:47:13.591992
13579	2	2013-08-02 16:05:29.757614	2013-08-03 23:46:14.889652
13119	9	2013-08-02 16:05:29.192924	2013-08-04 17:24:15.12368
27234	14	2013-08-02 16:05:59.211875	2013-08-02 16:05:59.211875
27278	21	2013-08-02 16:05:59.316479	2013-08-03 19:07:36.651847
10739	7	2013-08-02 16:05:24.165527	2013-08-04 17:24:15.126057
27242	2	2013-08-02 16:05:59.231024	2013-08-02 16:05:59.231024
27258	21	2013-08-02 16:05:59.269131	2013-08-03 19:07:36.656245
27244	4	2013-08-02 16:05:59.23579	2013-08-02 16:05:59.23579
27186	21	2013-08-02 16:05:59.08966	2013-08-04 02:50:49.257123
27247	7	2013-08-02 16:05:59.242915	2013-08-02 16:05:59.242915
27249	9	2013-08-02 16:05:59.247698	2013-08-02 16:05:59.247698
10956	9	2013-08-02 16:05:24.378108	2013-08-03 23:46:25.895909
10761	4	2013-08-02 16:05:24.192779	2013-08-04 17:24:15.129352
27254	14	2013-08-02 16:05:59.259595	2013-08-02 16:05:59.259595
27238	21	2013-08-02 16:05:59.221497	2013-08-03 19:07:36.660042
27172	2	2013-08-02 16:05:59.052976	2013-08-04 02:50:50.005133
27205	2	2013-08-02 16:05:59.138556	2013-08-04 02:50:50.014459
27255	2	2013-08-02 16:05:59.261964	2013-08-04 02:50:50.026011
27262	2	2013-08-02 16:05:59.278686	2013-08-02 16:05:59.278686
27218	21	2013-08-02 16:05:59.173024	2013-08-03 19:07:36.663712
27264	4	2013-08-02 16:05:59.283439	2013-08-02 16:05:59.283439
27231	2	2013-08-02 16:05:59.204478	2013-08-04 17:24:15.131203
27267	7	2013-08-02 16:05:59.290401	2013-08-02 16:05:59.290401
27269	9	2013-08-02 16:05:59.295181	2013-08-02 16:05:59.295181
27306	2	2013-08-02 16:05:59.383109	2013-08-04 02:50:50.036918
27286	2	2013-08-02 16:05:59.335434	2013-08-04 02:50:50.04795
27274	14	2013-08-02 16:05:59.307032	2013-08-02 16:05:59.307032
27198	21	2013-08-02 16:05:59.119597	2013-08-03 19:07:36.667342
48923	4	2013-08-02 16:06:47.721539	2013-08-04 02:56:12.280695
16556	4	2013-08-02 16:05:35.747465	2013-08-04 02:56:12.299406
7751	4	2013-08-02 16:05:18.252896	2013-08-04 02:56:12.478032
20599	4	2013-08-02 16:05:44.50246	2013-08-04 02:56:12.508988
27282	2	2013-08-02 16:05:59.325966	2013-08-02 16:05:59.325966
20579	4	2013-08-02 16:05:44.480633	2013-08-04 02:56:12.514463
27284	4	2013-08-02 16:05:59.330718	2013-08-02 16:05:59.330718
20493	4	2013-08-02 16:05:44.392122	2013-08-04 02:56:12.519469
27287	7	2013-08-02 16:05:59.337828	2013-08-02 16:05:59.337828
27289	9	2013-08-02 16:05:59.342595	2013-08-02 16:05:59.342595
20530	4	2013-08-02 16:05:44.42953	2013-08-04 02:56:12.523992
20559	4	2013-08-02 16:05:44.45764	2013-08-04 02:56:12.528162
27294	14	2013-08-02 16:05:59.354575	2013-08-02 16:05:59.354575
27318	7	2013-08-02 16:05:59.411532	2013-08-03 19:07:37.133423
20539	4	2013-08-02 16:05:44.437895	2013-08-04 02:56:12.532113
12050	4	2013-08-02 16:05:27.11745	2013-08-04 02:56:12.536423
27302	2	2013-08-02 16:05:59.373826	2013-08-02 16:05:59.373826
27298	2	2013-08-02 16:05:59.364097	2013-08-03 19:07:37.142825
27304	4	2013-08-02 16:05:59.378391	2013-08-02 16:05:59.378391
27307	7	2013-08-02 16:05:59.385498	2013-08-02 16:05:59.385498
27309	9	2013-08-02 16:05:59.390249	2013-08-02 16:05:59.390249
27311	14	2013-08-02 16:05:59.394962	2013-08-04 17:24:31.183821
27314	14	2013-08-02 16:05:59.402069	2013-08-02 16:05:59.402069
27165	2	2013-08-02 16:05:59.034296	2013-08-03 19:08:43.684061
27251	21	2013-08-02 16:05:59.25245	2013-08-04 17:24:42.167843
27195	9	2013-08-02 16:05:59.111781	2013-08-03 18:38:19.810534
27235	7	2013-08-02 16:05:59.214276	2013-08-03 18:38:19.816767
27291	21	2013-08-02 16:05:59.347341	2013-08-04 17:24:42.38254
27295	4	2013-08-02 16:05:59.356954	2013-08-03 18:38:19.826426
27211	2	2013-08-02 16:05:59.154286	2013-08-04 17:26:49.422582
13499	21	2013-08-02 16:05:29.548823	2013-08-04 17:26:49.460392
10719	2	2013-08-02 16:05:24.143241	2013-08-04 17:26:49.845766
27191	2	2013-08-02 16:05:59.102278	2013-08-04 17:26:50.287736
27265	9	2013-08-02 16:05:59.285857	2013-08-03 19:12:35.19454
27200	21	2013-08-02 16:05:59.125117	2013-08-04 17:26:50.337266
27220	21	2013-08-02 16:05:59.177924	2013-08-04 17:26:50.340315
27245	14	2013-08-02 16:05:59.238189	2013-08-03 19:12:55.925287
27177	4	2013-08-02 16:05:59.065671	2013-08-03 19:33:53.643886
27297	2	2013-08-02 16:05:59.361721	2013-08-04 17:26:50.496099
27217	2	2013-08-02 16:05:59.170264	2013-08-03 19:33:53.646485
27171	2	2013-08-02 16:05:59.050287	2013-08-04 17:26:50.506173
10923	2	2013-08-02 16:05:24.341955	2013-08-04 17:26:51.535412
27225	2	2013-08-02 16:05:59.189925	2013-08-04 17:26:52.786214
8949	4	2013-08-02 16:05:21.097728	2013-08-04 17:26:54.837173
8929	4	2013-08-02 16:05:21.047113	2013-08-04 17:26:54.85265
27305	9	2013-08-02 16:05:59.380784	2013-08-03 19:34:28.981166
27197	4	2013-08-02 16:05:59.116581	2013-08-03 19:37:45.02456
27252	21	2013-08-02 16:05:59.254848	2013-08-03 20:07:26.969254
13479	4	2013-08-02 16:05:29.528053	2013-08-04 18:01:52.867883
27233	4	2013-08-02 16:05:59.209466	2013-08-04 18:01:52.872843
27299	4	2013-08-02 16:05:59.366376	2013-08-04 18:01:52.881474
27277	14	2013-08-02 16:05:59.314135	2013-08-03 20:07:27.316113
27312	14	2013-08-02 16:05:59.397322	2013-08-03 20:07:27.321355
22537	4	2013-08-02 16:05:48.963008	2013-08-04 18:01:52.891461
27279	4	2013-08-02 16:05:59.318883	2013-08-04 18:01:52.900945
27259	4	2013-08-02 16:05:59.271491	2013-08-04 18:01:52.905943
27239	4	2013-08-02 16:05:59.223862	2013-08-04 18:01:52.910171
27219	4	2013-08-02 16:05:59.175513	2013-08-04 18:01:52.914346
27199	4	2013-08-02 16:05:59.122181	2013-08-04 18:01:52.919278
27212	14	2013-08-02 16:05:59.156968	2013-08-04 18:06:50.734725
27336	2	2013-08-02 16:05:59.456674	2013-08-04 20:04:42.869526
10699	7	2013-08-02 16:05:24.103208	2013-08-03 21:44:34.757263
13719	9	2013-08-02 16:05:30.064206	2013-08-03 23:46:25.96357
27322	2	2013-08-02 16:05:59.421124	2013-08-02 16:05:59.421124
16716	2	2013-08-02 16:05:36.091211	2013-08-04 17:02:13.855866
27324	4	2013-08-02 16:05:59.425859	2013-08-02 16:05:59.425859
10765	2	2013-08-02 16:05:24.195821	2013-08-03 21:44:34.781721
27327	7	2013-08-02 16:05:59.433153	2013-08-02 16:05:59.433153
27456	14	2013-08-02 16:05:59.897803	2013-08-04 20:07:37.817417
27329	9	2013-08-02 16:05:59.437881	2013-08-02 16:05:59.437881
27436	4	2013-08-02 16:05:59.698489	2013-08-04 20:07:37.849947
27416	4	2013-08-02 16:05:59.650547	2013-08-04 20:07:37.865509
26181	7	2013-08-02 16:05:56.652005	2013-08-03 21:44:35.043062
27396	4	2013-08-02 16:05:59.602869	2013-08-04 20:07:37.88455
27334	14	2013-08-02 16:05:59.451377	2013-08-02 16:05:59.451377
18926	2	2013-08-02 16:05:40.663351	2013-08-03 21:44:35.081216
13759	7	2013-08-02 16:05:30.130089	2013-08-03 23:46:25.970852
27376	4	2013-08-02 16:05:59.554639	2013-08-04 20:07:37.891946
27330	4	2013-08-02 16:05:59.44065	2013-08-04 20:07:37.899365
27356	4	2013-08-02 16:05:59.506002	2013-08-04 20:07:37.905251
27446	2	2013-08-02 16:05:59.720571	2013-08-04 02:50:49.930145
27342	2	2013-08-02 16:05:59.47262	2013-08-02 16:05:59.47262
27360	4	2013-08-02 16:05:59.515534	2013-08-03 18:54:19.960661
27344	4	2013-08-02 16:05:59.477481	2013-08-02 16:05:59.477481
27473	2	2013-08-02 16:05:59.914708	2013-08-04 17:07:42.535195
27347	7	2013-08-02 16:05:59.484698	2013-08-02 16:05:59.484698
26470	7	2013-08-02 16:05:57.168909	2013-08-04 20:12:38.551353
27349	9	2013-08-02 16:05:59.489431	2013-08-02 16:05:59.489431
13779	4	2013-08-02 16:05:30.181889	2013-08-03 23:46:25.980552
27426	2	2013-08-02 16:05:59.674705	2013-08-04 02:50:49.943051
27453	2	2013-08-02 16:05:59.729825	2013-08-04 17:07:42.538721
27354	14	2013-08-02 16:05:59.501288	2013-08-02 16:05:59.501288
13717	2	2013-08-02 16:05:30.059246	2013-08-03 23:46:25.982762
27355	4	2013-08-02 16:05:59.503636	2013-08-03 21:54:20.791227
27338	2	2013-08-02 16:05:59.461979	2013-08-03 21:54:20.814984
27328	21	2013-08-02 16:05:59.435497	2013-08-04 17:21:51.92389
27362	2	2013-08-02 16:05:59.520328	2013-08-02 16:05:59.520328
27400	2	2013-08-02 16:05:59.61253	2013-08-03 18:54:19.967256
27364	4	2013-08-02 16:05:59.525342	2013-08-02 16:05:59.525342
27333	21	2013-08-02 16:05:59.448731	2013-08-04 17:21:54.108384
27367	7	2013-08-02 16:05:59.532978	2013-08-02 16:05:59.532978
27369	9	2013-08-02 16:05:59.537799	2013-08-02 16:05:59.537799
21726	9	2013-08-02 16:05:46.88234	2013-08-03 23:49:34.413889
20533	4	2013-08-02 16:05:44.432822	2013-08-04 02:56:12.541026
27428	21	2013-08-02 16:05:59.679483	2013-08-04 17:21:54.112544
27374	14	2013-08-02 16:05:59.549807	2013-08-02 16:05:59.549807
20519	4	2013-08-02 16:05:44.41787	2013-08-04 02:56:12.545793
27370	14	2013-08-02 16:05:59.540216	2013-08-03 21:56:15.200919
27408	21	2013-08-02 16:05:59.631598	2013-08-04 17:21:54.116081
20499	4	2013-08-02 16:05:44.398563	2013-08-04 02:56:12.550081
20479	4	2013-08-02 16:05:44.379231	2013-08-04 02:56:12.557723
27382	2	2013-08-02 16:05:59.569574	2013-08-02 16:05:59.569574
26450	21	2013-08-02 16:05:57.115576	2013-08-04 17:21:54.119572
27384	4	2013-08-02 16:05:59.574379	2013-08-02 16:05:59.574379
27387	7	2013-08-02 16:05:59.581518	2013-08-02 16:05:59.581518
27389	9	2013-08-02 16:05:59.586218	2013-08-02 16:05:59.586218
20543	4	2013-08-02 16:05:44.441951	2013-08-04 02:56:12.565801
27450	9	2013-08-02 16:05:59.726833	2013-08-03 21:56:15.212332
27394	14	2013-08-02 16:05:59.598138	2013-08-02 16:05:59.598138
27395	7	2013-08-02 16:05:59.600489	2013-08-03 21:56:15.219465
20459	4	2013-08-02 16:05:44.357612	2013-08-04 02:56:12.57665
27402	2	2013-08-02 16:05:59.61732	2013-08-02 16:05:59.61732
27331	9	2013-08-02 16:05:59.443299	2013-08-04 17:24:31.18892
27404	4	2013-08-02 16:05:59.622075	2013-08-02 16:05:59.622075
27457	7	2013-08-02 16:05:59.898825	2013-08-03 21:56:35.286467
27407	7	2013-08-02 16:05:59.629253	2013-08-02 16:05:59.629253
27409	9	2013-08-02 16:05:59.633992	2013-08-02 16:05:59.633992
20439	4	2013-08-02 16:05:44.340456	2013-08-04 02:56:12.587386
27461	7	2013-08-02 16:05:59.903007	2013-08-04 17:24:31.19256
27414	14	2013-08-02 16:05:59.645837	2013-08-02 16:05:59.645837
27458	14	2013-08-02 16:05:59.899891	2013-08-03 19:07:37.043131
20419	4	2013-08-02 16:05:44.321679	2013-08-04 02:56:12.598179
27391	4	2013-08-02 16:05:59.590991	2013-08-04 17:24:31.197595
27422	2	2013-08-02 16:05:59.665172	2013-08-02 16:05:59.665172
27438	4	2013-08-02 16:05:59.703243	2013-08-03 19:07:37.0504
27424	4	2013-08-02 16:05:59.66993	2013-08-02 16:05:59.66993
9519	14	2013-08-02 16:05:22.536532	2013-08-04 02:59:37.130055
27427	7	2013-08-02 16:05:59.677115	2013-08-02 16:05:59.677115
27429	9	2013-08-02 16:05:59.681873	2013-08-02 16:05:59.681873
27431	2	2013-08-02 16:05:59.686621	2013-08-04 17:24:31.200547
27434	14	2013-08-02 16:05:59.693745	2013-08-02 16:05:59.693745
16736	21	2013-08-02 16:05:36.137814	2013-08-04 03:00:23.143658
27353	7	2013-08-02 16:05:59.498908	2013-08-04 03:00:35.914161
27442	2	2013-08-02 16:05:59.712778	2013-08-02 16:05:59.712778
27444	4	2013-08-02 16:05:59.715804	2013-08-02 16:05:59.715804
27447	7	2013-08-02 16:05:59.72289	2013-08-02 16:05:59.72289
27449	9	2013-08-02 16:05:59.72586	2013-08-02 16:05:59.72586
27454	14	2013-08-02 16:05:59.89538	2013-08-02 16:05:59.89538
27411	2	2013-08-02 16:05:59.638697	2013-08-04 17:26:49.419564
27430	21	2013-08-02 16:05:59.684253	2013-08-04 17:26:49.457772
27371	2	2013-08-02 16:05:59.542602	2013-08-04 17:26:49.835823
27351	2	2013-08-02 16:05:59.49416	2013-08-04 17:26:50.276661
27462	2	2013-08-02 16:05:59.904023	2013-08-02 16:05:59.904023
27464	4	2013-08-02 16:05:59.906114	2013-08-02 16:05:59.906114
27451	21	2013-08-02 16:05:59.727828	2013-08-04 17:26:51.031444
16675	2	2013-08-02 16:05:36.03274	2013-08-04 17:26:51.525942
27467	7	2013-08-02 16:05:59.909214	2013-08-02 16:05:59.909214
27469	9	2013-08-02 16:05:59.911218	2013-08-02 16:05:59.911218
27375	14	2013-08-02 16:05:59.552214	2013-08-04 17:26:53.270065
8909	4	2013-08-02 16:05:21.024407	2013-08-04 17:26:54.864015
27474	14	2013-08-02 16:05:59.915556	2013-08-02 16:05:59.915556
8889	4	2013-08-02 16:05:20.982882	2013-08-04 17:26:54.875771
27335	2	2013-08-02 16:05:59.454037	2013-08-03 18:38:19.83284
8869	4	2013-08-02 16:05:20.930304	2013-08-04 17:26:54.886898
8849	4	2013-08-02 16:05:20.88294	2013-08-04 17:26:54.898496
27415	9	2013-08-02 16:05:59.648179	2013-08-03 18:38:30.911924
27455	7	2013-08-02 16:05:59.896781	2013-08-03 18:38:30.918195
8926	4	2013-08-02 16:05:21.043527	2013-08-04 17:26:54.909902
27385	21	2013-08-02 16:05:59.576772	2013-08-03 19:12:35.125607
27365	21	2013-08-02 16:05:59.527973	2013-08-03 19:12:35.128344
27345	21	2013-08-02 16:05:59.479867	2013-08-03 19:12:35.130252
27340	21	2013-08-02 16:05:59.467284	2013-08-03 19:12:35.132207
27325	21	2013-08-02 16:05:59.428174	2013-08-03 19:12:35.134379
27465	7	2013-08-02 16:05:59.90711	2013-08-03 19:12:35.376319
27357	7	2013-08-02 16:05:59.508365	2013-08-03 19:34:28.988281
8829	4	2013-08-02 16:05:20.831112	2013-08-04 17:26:54.921416
8809	4	2013-08-02 16:05:20.783712	2013-08-04 17:26:54.932767
27417	4	2013-08-02 16:05:59.65295	2013-08-03 19:34:28.999342
8703	4	2013-08-02 16:05:20.530352	2013-08-04 17:26:54.944529
27437	2	2013-08-02 16:05:59.700885	2013-08-03 19:34:29.006806
8789	4	2013-08-02 16:05:20.735269	2013-08-04 17:26:54.955953
27418	2	2013-08-02 16:05:59.655298	2013-08-03 19:37:43.161457
8769	4	2013-08-02 16:05:20.686635	2013-08-04 17:26:54.967301
27472	14	2013-08-02 16:05:59.913854	2013-08-03 20:07:27.270701
27452	14	2013-08-02 16:05:59.728832	2013-08-03 20:07:27.276663
27432	14	2013-08-02 16:05:59.689012	2013-08-03 20:07:27.282719
27412	14	2013-08-02 16:05:59.641085	2013-08-03 20:07:27.287841
27392	14	2013-08-02 16:05:59.593406	2013-08-03 20:07:27.293457
27372	14	2013-08-02 16:05:59.545053	2013-08-03 20:07:27.298371
27352	14	2013-08-02 16:05:59.496504	2013-08-03 20:07:27.30527
27332	14	2013-08-02 16:05:59.446055	2013-08-03 20:07:27.310972
27378	21	2013-08-02 16:05:59.559417	2013-08-04 17:28:03.428992
27459	14	2013-08-02 16:05:59.900978	2013-08-04 18:06:50.602644
27471	14	2013-08-02 16:05:59.913013	2013-08-04 18:06:50.609414
27398	14	2013-08-02 16:05:59.607591	2013-08-04 18:06:50.616376
27439	14	2013-08-02 16:05:59.705606	2013-08-04 18:06:50.624106
27419	14	2013-08-02 16:05:59.657704	2013-08-04 18:06:50.632405
16761	14	2013-08-02 16:05:36.204309	2013-08-04 18:06:50.643083
27630	14	2013-08-02 16:06:00.253233	2013-08-03 22:04:22.035854
27596	21	2013-08-02 16:06:00.170596	2013-08-04 20:07:37.685401
27632	14	2013-08-02 16:06:00.257975	2013-08-04 20:07:37.706593
27626	4	2013-08-02 16:06:00.243701	2013-08-04 02:50:50.246937
27576	14	2013-08-02 16:06:00.120703	2013-08-04 20:07:37.719517
27482	2	2013-08-02 16:05:59.92312	2013-08-02 16:05:59.92312
27493	2	2013-08-02 16:05:59.934711	2013-08-04 17:07:42.527711
27484	4	2013-08-02 16:05:59.924973	2013-08-02 16:05:59.924973
26510	14	2013-08-02 16:05:57.273916	2013-08-03 21:45:18.099215
26530	2	2013-08-02 16:05:57.325775	2013-08-04 17:07:42.531604
27487	7	2013-08-02 16:05:59.927727	2013-08-02 16:05:59.927727
27610	14	2013-08-02 16:06:00.20531	2013-08-04 20:07:37.730992
27489	9	2013-08-02 16:05:59.929763	2013-08-02 16:05:59.929763
27510	2	2013-08-02 16:05:59.961345	2013-08-03 22:04:59.556699
27556	14	2013-08-02 16:06:00.071146	2013-08-04 20:07:37.744948
27536	14	2013-08-02 16:06:00.017475	2013-08-04 20:07:37.757453
27516	14	2013-08-02 16:05:59.973849	2013-08-04 20:07:37.771128
27494	14	2013-08-02 16:05:59.935921	2013-08-02 16:05:59.935921
27496	14	2013-08-02 16:05:59.938098	2013-08-04 20:07:37.784086
10799	7	2013-08-02 16:05:24.227254	2013-08-03 23:49:34.422047
27476	14	2013-08-02 16:05:59.917275	2013-08-04 20:07:37.800612
27612	7	2013-08-02 16:06:00.21015	2013-08-04 20:12:39.70828
26432	9	2013-08-02 16:05:57.068278	2013-08-03 21:45:18.114004
4888	7	2013-08-02 16:05:13.084472	2013-08-04 20:12:39.715581
27502	2	2013-08-02 16:05:59.945992	2013-08-02 16:05:59.945992
27615	7	2013-08-02 16:06:00.217399	2013-08-04 20:12:39.727204
27504	4	2013-08-02 16:05:59.948763	2013-08-02 16:05:59.948763
27575	21	2013-08-02 16:06:00.118191	2013-08-03 21:54:20.720933
27616	7	2013-08-02 16:06:00.219799	2013-08-04 20:12:39.738722
27507	7	2013-08-02 16:05:59.955173	2013-08-02 16:05:59.955173
27509	9	2013-08-02 16:05:59.959825	2013-08-02 16:05:59.959825
27606	4	2013-08-02 16:06:00.195271	2013-08-04 02:50:50.250824
27621	21	2013-08-02 16:06:00.231772	2013-08-03 21:54:20.722333
27514	14	2013-08-02 16:05:59.969099	2013-08-02 16:05:59.969099
27557	2	2013-08-02 16:06:00.073601	2013-08-04 17:11:55.434843
27553	2	2013-08-02 16:06:00.063775	2013-08-04 17:11:55.447038
27533	2	2013-08-02 16:06:00.010973	2013-08-04 17:11:55.459206
27530	4	2013-08-02 16:06:00.004482	2013-08-03 21:56:15.230216
27573	2	2013-08-02 16:06:00.11305	2013-08-04 17:16:51.502015
27522	2	2013-08-02 16:05:59.987026	2013-08-02 16:05:59.987026
27600	14	2013-08-02 16:06:00.1804	2013-08-03 18:57:38.838275
27524	4	2013-08-02 16:05:59.991426	2013-08-02 16:05:59.991426
27593	2	2013-08-02 16:06:00.163413	2013-08-04 17:16:51.512461
27527	7	2013-08-02 16:05:59.997953	2013-08-02 16:05:59.997953
27529	9	2013-08-02 16:06:00.002322	2013-08-02 16:06:00.002322
27570	2	2013-08-02 16:06:00.105212	2013-08-03 21:56:15.237129
27534	14	2013-08-02 16:06:00.013162	2013-08-02 16:06:00.013162
27580	2	2013-08-02 16:06:00.130423	2013-08-03 18:57:38.852226
35350	14	2013-08-02 16:06:18.075264	2013-08-03 23:49:34.847579
27550	21	2013-08-02 16:06:00.055953	2013-08-03 21:56:35.14632
35330	4	2013-08-02 16:06:18.025354	2013-08-03 23:49:34.85609
16776	9	2013-08-02 16:05:36.244079	2013-08-04 02:59:37.135038
27542	2	2013-08-02 16:06:00.034827	2013-08-02 16:06:00.034827
27560	7	2013-08-02 16:06:00.080772	2013-08-03 18:57:38.874816
27544	4	2013-08-02 16:06:00.040033	2013-08-02 16:06:00.040033
27613	2	2013-08-02 16:06:00.212581	2013-08-04 17:16:51.522571
27547	7	2013-08-02 16:06:00.048068	2013-08-02 16:06:00.048068
27549	9	2013-08-02 16:06:00.053459	2013-08-02 16:06:00.053459
16698	7	2013-08-02 16:05:36.061329	2013-08-04 02:59:37.137068
27590	7	2013-08-02 16:06:00.155958	2013-08-03 21:59:23.265592
27554	14	2013-08-02 16:06:00.066277	2013-08-02 16:06:00.066277
27497	4	2013-08-02 16:05:59.939146	2013-08-04 17:21:54.290093
27577	14	2013-08-02 16:06:00.123187	2013-08-03 22:00:17.006741
27517	4	2013-08-02 16:05:59.976096	2013-08-04 17:21:54.295419
27562	2	2013-08-02 16:06:00.085574	2013-08-02 16:06:00.085574
27618	21	2013-08-02 16:06:00.224591	2013-08-03 19:07:37.012777
27564	4	2013-08-02 16:06:00.090343	2013-08-02 16:06:00.090343
27628	4	2013-08-02 16:06:00.24844	2013-08-04 17:21:54.30084
27567	7	2013-08-02 16:06:00.097537	2013-08-02 16:06:00.097537
27569	9	2013-08-02 16:06:00.102532	2013-08-02 16:06:00.102532
16753	4	2013-08-02 16:05:36.182842	2013-08-04 02:59:37.140222
27608	4	2013-08-02 16:06:00.200343	2013-08-04 17:21:54.30885
27574	14	2013-08-02 16:06:00.115702	2013-08-02 16:06:00.115702
27598	21	2013-08-02 16:06:00.175417	2013-08-03 19:07:37.013806
16713	2	2013-08-02 16:05:36.085763	2013-08-04 02:59:37.143614
27588	4	2013-08-02 16:06:00.150627	2013-08-04 17:21:54.318698
27568	4	2013-08-02 16:06:00.099907	2013-08-04 17:21:54.330468
16756	21	2013-08-02 16:05:36.191032	2013-08-04 03:00:23.087986
27582	2	2013-08-02 16:06:00.135301	2013-08-02 16:06:00.135301
27578	21	2013-08-02 16:06:00.125603	2013-08-03 19:07:37.014818
27584	4	2013-08-02 16:06:00.139992	2013-08-02 16:06:00.139992
16676	21	2013-08-02 16:05:36.033751	2013-08-04 03:00:23.117864
27540	4	2013-08-02 16:06:00.029012	2013-08-04 17:21:54.342517
27587	7	2013-08-02 16:06:00.14796	2013-08-02 16:06:00.14796
27589	9	2013-08-02 16:06:00.153299	2013-08-02 16:06:00.153299
16696	21	2013-08-02 16:05:36.058505	2013-08-04 03:00:23.170998
27594	14	2013-08-02 16:06:00.165854	2013-08-02 16:06:00.165854
27558	21	2013-08-02 16:06:00.075981	2013-08-03 19:07:37.015872
27491	14	2013-08-02 16:05:59.932132	2013-08-04 17:24:42.317134
27602	2	2013-08-02 16:06:00.185088	2013-08-02 16:06:00.185088
27538	21	2013-08-02 16:06:00.021792	2013-08-03 19:07:37.019016
27604	4	2013-08-02 16:06:00.190074	2013-08-02 16:06:00.190074
27551	9	2013-08-02 16:06:00.058465	2013-08-04 17:24:42.330399
27607	7	2013-08-02 16:06:00.197728	2013-08-02 16:06:00.197728
27609	9	2013-08-02 16:06:00.202838	2013-08-02 16:06:00.202838
27591	7	2013-08-02 16:06:00.158556	2013-08-04 17:24:42.341393
27614	14	2013-08-02 16:06:00.214975	2013-08-02 16:06:00.214975
27518	21	2013-08-02 16:05:59.978238	2013-08-03 19:07:37.022468
27537	21	2013-08-02 16:06:00.01961	2013-08-04 17:24:42.3838
27631	21	2013-08-02 16:06:00.255593	2013-08-04 17:26:49.455525
27622	2	2013-08-02 16:06:00.234167	2013-08-02 16:06:00.234167
27498	21	2013-08-02 16:05:59.940306	2013-08-03 19:07:37.025413
27624	4	2013-08-02 16:06:00.238926	2013-08-02 16:06:00.238926
27611	2	2013-08-02 16:06:00.207738	2013-08-04 17:26:49.825425
27477	2	2013-08-02 16:05:59.918433	2013-08-04 17:26:50.253858
27627	7	2013-08-02 16:06:00.246084	2013-08-02 16:06:00.246084
27629	9	2013-08-02 16:06:00.25083	2013-08-02 16:06:00.25083
27571	2	2013-08-02 16:06:00.107873	2013-08-04 17:26:50.265482
27531	21	2013-08-02 16:06:00.006648	2013-08-04 17:26:50.334226
27511	2	2013-08-02 16:05:59.962889	2013-08-04 17:26:50.486022
27515	4	2013-08-02 16:05:59.971533	2013-08-03 18:38:30.928093
27495	7	2013-08-02 16:05:59.937033	2013-08-03 19:12:35.340316
27555	2	2013-08-02 16:06:00.068725	2013-08-03 18:38:30.934404
26495	2	2013-08-02 16:05:57.234186	2013-08-04 17:26:52.777797
27535	2	2013-08-02 16:06:00.015302	2013-08-03 18:42:35.120697
8749	4	2013-08-02 16:05:20.639328	2013-08-04 17:26:54.97814
27625	7	2013-08-02 16:06:00.24132	2013-08-03 19:12:35.344244
27605	7	2013-08-02 16:06:00.192785	2013-08-03 19:12:35.348598
27585	7	2013-08-02 16:06:00.142603	2013-08-03 19:12:35.353089
27565	7	2013-08-02 16:06:00.092747	2013-08-03 19:12:35.356729
27545	7	2013-08-02 16:06:00.042674	2013-08-03 19:12:35.360516
27525	7	2013-08-02 16:05:59.993637	2013-08-03 19:12:35.364443
8729	4	2013-08-02 16:05:20.59206	2013-08-04 17:26:54.989186
8709	4	2013-08-02 16:05:20.544742	2013-08-04 17:26:55.00028
24977	4	2013-08-02 16:05:53.723701	2013-08-04 17:26:55.011526
27592	14	2013-08-02 16:06:00.161006	2013-08-03 20:07:27.237249
27572	14	2013-08-02 16:06:00.110422	2013-08-03 20:07:27.243662
27552	14	2013-08-02 16:06:00.061114	2013-08-03 20:07:27.247554
27532	14	2013-08-02 16:06:00.008828	2013-08-03 20:07:27.252054
27512	14	2013-08-02 16:05:59.964397	2013-08-03 20:07:27.256997
27492	14	2013-08-02 16:05:59.933333	2013-08-03 20:07:27.263382
33458	7	2013-08-02 16:06:14.08707	2013-08-03 20:07:28.982794
8689	4	2013-08-02 16:05:20.496273	2013-08-04 17:26:55.022849
8790	4	2013-08-02 16:05:20.737697	2013-08-04 17:26:55.034402
27479	14	2013-08-02 16:05:59.92037	2013-08-04 18:06:50.597308
27597	4	2013-08-02 16:06:00.172995	2013-08-04 18:06:52.472042
27617	4	2013-08-02 16:06:00.2222	2013-08-04 18:06:52.482628
27595	4	2013-08-02 16:06:00.168263	2013-08-04 18:06:52.494504
27619	4	2013-08-02 16:06:00.226983	2013-08-04 18:06:52.508089
27599	4	2013-08-02 16:06:00.177846	2013-08-04 18:06:52.513889
27777	4	2013-08-02 16:06:00.611726	2013-08-04 20:12:39.594226
27634	14	2013-08-02 16:06:00.26283	2013-08-02 16:06:00.26283
27776	4	2013-08-02 16:06:00.609373	2013-08-04 20:12:39.600844
26570	7	2013-08-02 16:05:57.425099	2013-08-03 21:45:18.121461
27756	4	2013-08-02 16:06:00.560229	2013-08-04 20:12:39.608423
27693	21	2013-08-02 16:06:00.403755	2013-08-04 17:11:55.293798
27646	4	2013-08-02 16:06:00.291487	2013-08-04 02:50:50.238203
27642	2	2013-08-02 16:06:00.281928	2013-08-02 16:06:00.281928
27760	9	2013-08-02 16:06:00.569727	2013-08-03 18:57:38.763549
27644	4	2013-08-02 16:06:00.286712	2013-08-02 16:06:00.286712
27736	4	2013-08-02 16:06:00.506413	2013-08-04 20:12:39.620039
27716	4	2013-08-02 16:06:00.458935	2013-08-04 20:12:39.627008
27647	7	2013-08-02 16:06:00.293908	2013-08-02 16:06:00.293908
27696	4	2013-08-02 16:06:00.410937	2013-08-04 20:12:39.63367
27649	9	2013-08-02 16:06:00.298702	2013-08-02 16:06:00.298702
26680	4	2013-08-02 16:05:57.704219	2013-08-04 02:50:50.242707
27676	4	2013-08-02 16:06:00.363538	2013-08-04 20:12:39.643577
26610	4	2013-08-02 16:05:57.5274	2013-08-03 21:45:18.132444
27656	4	2013-08-02 16:06:00.315381	2013-08-04 20:12:39.655836
27654	14	2013-08-02 16:06:00.310618	2013-08-02 16:06:00.310618
27636	4	2013-08-02 16:06:00.267617	2013-08-04 20:12:39.668716
27780	7	2013-08-02 16:06:00.618866	2013-08-04 20:12:39.69656
26650	2	2013-08-02 16:05:57.633341	2013-08-03 21:45:18.139531
13357	2	2013-08-02 16:05:29.421518	2013-08-03 23:49:34.910401
13059	21	2013-08-02 16:05:29.125931	2013-08-03 23:49:35.045253
27662	2	2013-08-02 16:06:00.329591	2013-08-02 16:06:00.329591
27664	4	2013-08-02 16:06:00.334406	2013-08-02 16:06:00.334406
26490	21	2013-08-02 16:05:57.220793	2013-08-03 21:45:18.173735
11366	2	2013-08-02 16:05:25.434694	2013-08-04 17:16:51.4914
27667	7	2013-08-02 16:06:00.341704	2013-08-02 16:06:00.341704
27669	9	2013-08-02 16:06:00.346637	2013-08-02 16:06:00.346637
27765	4	2013-08-02 16:06:00.582515	2013-08-04 02:56:11.932847
11390	14	2013-08-02 16:05:25.497857	2013-08-03 23:53:36.594146
27674	14	2013-08-02 16:06:00.358737	2013-08-02 16:06:00.358737
27700	4	2013-08-02 16:06:00.420979	2013-08-03 18:57:38.788975
26630	21	2013-08-02 16:05:57.580131	2013-08-03 21:45:38.998329
27641	21	2013-08-02 16:06:00.279542	2013-08-03 21:54:20.718838
27682	2	2013-08-02 16:06:00.377861	2013-08-02 16:06:00.377861
48875	7	2013-08-02 16:06:47.617537	2013-08-03 23:53:36.614915
27684	4	2013-08-02 16:06:00.382381	2013-08-02 16:06:00.382381
11493	2	2013-08-02 16:05:25.7621	2013-08-04 17:16:57.181514
27687	7	2013-08-02 16:06:00.389503	2013-08-02 16:06:00.389503
27689	9	2013-08-02 16:06:00.394258	2013-08-02 16:06:00.394258
27655	2	2013-08-02 16:06:00.313025	2013-08-04 17:16:57.192296
26670	2	2013-08-02 16:05:57.685193	2013-08-03 21:59:24.116609
27694	14	2013-08-02 16:06:00.40614	2013-08-02 16:06:00.40614
27670	9	2013-08-02 16:06:00.349094	2013-08-03 22:00:17.017132
27690	7	2013-08-02 16:06:00.396659	2013-08-03 22:00:17.019171
27786	4	2013-08-02 16:06:00.633153	2013-08-04 02:56:11.938048
27702	2	2013-08-02 16:06:00.425697	2013-08-02 16:06:00.425697
27704	4	2013-08-02 16:06:00.430404	2013-08-02 16:06:00.430404
27773	2	2013-08-02 16:06:00.602171	2013-08-04 17:16:57.203144
27753	2	2013-08-02 16:06:00.55296	2013-08-04 17:16:57.214217
27707	7	2013-08-02 16:06:00.437548	2013-08-02 16:06:00.437548
27709	9	2013-08-02 16:06:00.442366	2013-08-02 16:06:00.442366
27714	14	2013-08-02 16:06:00.454178	2013-08-02 16:06:00.454178
27658	21	2013-08-02 16:06:00.320183	2013-08-03 19:07:37.009943
27750	4	2013-08-02 16:06:00.544991	2013-08-03 22:00:17.023378
27715	2	2013-08-02 16:06:00.456587	2013-08-03 22:00:17.02807
11466	2	2013-08-02 16:05:25.696043	2013-08-04 00:04:14.139907
27722	2	2013-08-02 16:06:00.473237	2013-08-02 16:06:00.473237
27638	21	2013-08-02 16:06:00.272381	2013-08-03 19:07:37.011538
27724	4	2013-08-02 16:06:00.47797	2013-08-02 16:06:00.47797
27713	2	2013-08-02 16:06:00.451815	2013-08-04 17:21:50.147579
27727	7	2013-08-02 16:06:00.485073	2013-08-02 16:06:00.485073
27729	9	2013-08-02 16:06:00.489835	2013-08-02 16:06:00.489835
41915	9	2013-08-02 16:06:32.358107	2013-08-04 03:00:23.233855
27770	21	2013-08-02 16:06:00.594974	2013-08-03 22:00:17.055083
27734	14	2013-08-02 16:06:00.501698	2013-08-02 16:06:00.501698
27725	7	2013-08-02 16:06:00.480321	2013-08-03 19:12:35.321265
16956	7	2013-08-02 16:05:36.715495	2013-08-04 03:00:23.240889
27733	2	2013-08-02 16:06:00.499301	2013-08-04 17:21:50.158615
27742	2	2013-08-02 16:06:00.523707	2013-08-02 16:06:00.523707
27705	7	2013-08-02 16:06:00.43279	2013-08-03 19:12:35.32555
27744	4	2013-08-02 16:06:00.528909	2013-08-02 16:06:00.528909
27651	4	2013-08-02 16:06:00.303458	2013-08-04 17:24:42.351482
27747	7	2013-08-02 16:06:00.536984	2013-08-02 16:06:00.536984
27749	9	2013-08-02 16:06:00.542339	2013-08-02 16:06:00.542339
27671	2	2013-08-02 16:06:00.351495	2013-08-04 17:24:42.356215
16916	7	2013-08-02 16:05:36.611857	2013-08-04 03:00:36.633793
27754	14	2013-08-02 16:06:00.555463	2013-08-02 16:06:00.555463
27685	7	2013-08-02 16:06:00.384775	2013-08-03 19:12:35.329511
16896	21	2013-08-02 16:05:36.55869	2013-08-04 03:00:37.604776
16793	21	2013-08-02 16:05:36.28939	2013-08-04 03:00:37.984979
10960	2	2013-08-02 16:05:24.384144	2013-08-04 17:26:49.411868
27762	2	2013-08-02 16:06:00.57473	2013-08-02 16:06:00.57473
27665	7	2013-08-02 16:06:00.336747	2013-08-03 19:12:35.333339
27764	4	2013-08-02 16:06:00.579909	2013-08-02 16:06:00.579909
5104	2	2013-08-02 16:05:13.309727	2013-08-04 17:26:50.092394
27755	2	2013-08-02 16:06:00.557919	2013-08-04 17:26:50.104273
27767	7	2013-08-02 16:06:00.587728	2013-08-02 16:06:00.587728
27769	9	2013-08-02 16:06:00.59259	2013-08-02 16:06:00.59259
27788	2	2013-08-02 16:06:00.637894	2013-08-04 17:26:50.116127
27768	2	2013-08-02 16:06:00.590185	2013-08-04 17:26:50.128419
27774	14	2013-08-02 16:06:00.604623	2013-08-02 16:06:00.604623
27645	7	2013-08-02 16:06:00.289108	2013-08-03 19:12:35.336765
27748	2	2013-08-02 16:06:00.539622	2013-08-04 17:26:50.140632
16936	2	2013-08-02 16:05:36.662951	2013-08-04 17:26:50.152578
27728	2	2013-08-02 16:06:00.487419	2013-08-04 17:26:50.163965
27719	4	2013-08-02 16:06:00.466075	2013-08-04 18:06:52.400984
27782	2	2013-08-02 16:06:00.62362	2013-08-02 16:06:00.62362
27758	21	2013-08-02 16:06:00.564954	2013-08-03 19:12:36.550303
27784	4	2013-08-02 16:06:00.62841	2013-08-02 16:06:00.62841
27699	4	2013-08-02 16:06:00.418313	2013-08-04 18:06:52.41182
27661	4	2013-08-02 16:06:00.327224	2013-08-04 18:06:52.422442
27787	7	2013-08-02 16:06:00.63554	2013-08-02 16:06:00.63554
27789	9	2013-08-02 16:06:00.640285	2013-08-02 16:06:00.640285
27635	14	2013-08-02 16:06:00.265249	2013-08-03 18:43:05.528307
27679	4	2013-08-02 16:06:00.370677	2013-08-04 18:06:52.433247
27720	4	2013-08-02 16:06:00.468453	2013-08-04 18:06:52.444033
27735	9	2013-08-02 16:06:00.504035	2013-08-03 18:43:05.534042
27738	21	2013-08-02 16:06:00.511109	2013-08-03 19:12:36.552558
27718	21	2013-08-02 16:06:00.463705	2013-08-03 19:12:36.555324
27659	4	2013-08-02 16:06:00.322449	2013-08-04 18:06:52.454875
27639	4	2013-08-02 16:06:00.274766	2013-08-04 18:06:52.465887
27745	4	2013-08-02 16:06:00.531583	2013-08-03 19:17:36.753478
27757	21	2013-08-02 16:06:00.562514	2013-08-03 19:37:45.100964
27737	14	2013-08-02 16:06:00.508768	2013-08-03 19:37:45.108216
27717	14	2013-08-02 16:06:00.461355	2013-08-03 19:37:45.113514
27697	14	2013-08-02 16:06:00.413329	2013-08-03 19:37:45.11912
27779	14	2013-08-02 16:06:00.616486	2013-08-04 18:11:50.211194
27759	14	2013-08-02 16:06:00.567321	2013-08-04 18:11:50.214941
27739	14	2013-08-02 16:06:00.513463	2013-08-04 18:11:50.218444
5064	14	2013-08-02 16:05:13.264761	2013-08-04 18:11:50.221914
27785	14	2013-08-02 16:06:00.630784	2013-08-03 19:39:16.178613
4011	14	2013-08-02 16:05:11.778808	2013-08-03 20:08:08.931257
5084	9	2013-08-02 16:05:13.291613	2013-08-03 20:08:08.948463
5124	7	2013-08-02 16:05:13.347405	2013-08-03 20:08:08.952969
27890	21	2013-08-02 16:06:00.875826	2013-08-04 17:16:57.106262
27796	21	2013-08-02 16:06:00.657101	2013-08-04 20:12:39.583799
5164	7	2013-08-02 16:05:13.418303	2013-08-03 20:12:23.489476
27936	14	2013-08-02 16:06:01.004056	2013-08-04 20:17:33.234392
27794	14	2013-08-02 16:06:00.652266	2013-08-02 16:06:00.652266
27900	21	2013-08-02 16:06:00.903092	2013-08-03 18:57:38.706985
13879	2	2013-08-02 16:05:30.405926	2013-08-04 00:25:49.928505
27932	7	2013-08-02 16:06:00.992864	2013-08-03 20:12:24.610645
27916	14	2013-08-02 16:06:00.949518	2013-08-04 20:17:33.239496
27896	14	2013-08-02 16:06:00.891107	2013-08-04 20:17:33.244095
27802	2	2013-08-02 16:06:00.671598	2013-08-02 16:06:00.671598
27880	21	2013-08-02 16:06:00.850238	2013-08-03 18:57:38.7085
27804	4	2013-08-02 16:06:00.676366	2013-08-02 16:06:00.676366
27873	2	2013-08-02 16:06:00.833052	2013-08-04 17:16:57.1268
27853	2	2013-08-02 16:06:00.783876	2013-08-04 17:16:57.138257
27807	7	2013-08-02 16:06:00.683507	2013-08-02 16:06:00.683507
18110	14	2013-08-02 16:05:39.160682	2013-08-04 20:17:33.24785
27809	9	2013-08-02 16:06:00.688239	2013-08-02 16:06:00.688239
27906	4	2013-08-02 16:06:00.921059	2013-08-04 20:17:33.256891
27830	4	2013-08-02 16:06:00.733587	2013-08-04 20:17:33.261239
27876	4	2013-08-02 16:06:00.840647	2013-08-04 20:17:33.266613
27856	4	2013-08-02 16:06:00.790958	2013-08-04 20:17:33.2708
27814	14	2013-08-02 16:06:00.699953	2013-08-02 16:06:00.699953
27860	21	2013-08-02 16:06:00.800286	2013-08-03 18:57:38.709512
11497	4	2013-08-02 16:05:25.771617	2013-08-03 23:53:36.617842
26441	9	2013-08-02 16:05:57.091698	2013-08-03 21:45:18.224564
27836	2	2013-08-02 16:06:00.743263	2013-08-04 20:17:33.280082
27816	2	2013-08-02 16:06:00.70467	2013-08-04 20:17:33.284436
27846	4	2013-08-02 16:06:00.766869	2013-08-04 02:56:11.884376
27822	2	2013-08-02 16:06:00.719689	2013-08-02 16:06:00.719689
27840	21	2013-08-02 16:06:00.751689	2013-08-03 18:57:38.710484
27824	4	2013-08-02 16:06:00.722169	2013-08-02 16:06:00.722169
26461	7	2013-08-02 16:05:57.145266	2013-08-03 21:45:18.231864
27833	2	2013-08-02 16:06:00.739851	2013-08-04 17:16:57.149115
27827	7	2013-08-02 16:06:00.726719	2013-08-02 16:06:00.726719
26421	2	2013-08-02 16:05:57.040664	2013-08-04 20:17:33.289505
27829	9	2013-08-02 16:06:00.732426	2013-08-02 16:06:00.732426
11613	2	2013-08-02 16:05:26.05521	2013-08-03 23:53:36.619917
27813	2	2013-08-02 16:06:00.697622	2013-08-04 17:16:57.159997
27834	14	2013-08-02 16:06:00.74092	2013-08-02 16:06:00.74092
27820	21	2013-08-02 16:06:00.71415	2013-08-03 18:57:38.711515
26481	4	2013-08-02 16:05:57.198032	2013-08-04 02:56:11.893806
26501	4	2013-08-02 16:05:57.24992	2013-08-03 21:45:18.242723
11526	21	2013-08-02 16:05:25.841097	2013-08-03 23:53:36.63557
27826	4	2013-08-02 16:06:00.724104	2013-08-04 02:56:11.90357
27842	2	2013-08-02 16:06:00.756192	2013-08-02 16:06:00.756192
26477	2	2013-08-02 16:05:57.187376	2013-08-03 21:45:18.249966
27844	4	2013-08-02 16:06:00.761557	2013-08-02 16:06:00.761557
27793	2	2013-08-02 16:06:00.649927	2013-08-04 17:16:57.170759
27847	7	2013-08-02 16:06:00.769515	2013-08-02 16:06:00.769515
27849	9	2013-08-02 16:06:00.774344	2013-08-02 16:06:00.774344
35732	2	2013-08-02 16:06:18.976831	2013-08-03 23:53:36.717972
23717	21	2013-08-02 16:05:51.918922	2013-08-03 23:53:36.761283
27854	14	2013-08-02 16:06:00.786306	2013-08-02 16:06:00.786306
27920	9	2013-08-02 16:06:00.961371	2013-08-03 18:59:36.857665
27821	7	2013-08-02 16:06:00.716931	2013-08-03 21:56:35.400213
27806	4	2013-08-02 16:06:00.681127	2013-08-04 02:56:11.913194
27817	2	2013-08-02 16:06:00.707022	2013-08-04 17:21:52.576771
27862	2	2013-08-02 16:06:00.80515	2013-08-02 16:06:00.80515
27864	4	2013-08-02 16:06:00.809861	2013-08-02 16:06:00.809861
27865	2	2013-08-02 16:06:00.812364	2013-08-04 17:21:52.579854
27867	7	2013-08-02 16:06:00.817778	2013-08-02 16:06:00.817778
27869	9	2013-08-02 16:06:00.822799	2013-08-02 16:06:00.822799
27933	2	2013-08-02 16:06:00.995683	2013-08-04 17:21:52.583379
27874	14	2013-08-02 16:06:00.835698	2013-08-02 16:06:00.835698
27915	7	2013-08-02 16:06:00.946521	2013-08-03 18:59:36.865197
27870	14	2013-08-02 16:06:00.825464	2013-08-03 22:00:36.520411
27882	2	2013-08-02 16:06:00.854951	2013-08-02 16:06:00.854951
27884	4	2013-08-02 16:06:00.86003	2013-08-02 16:06:00.86003
27913	2	2013-08-02 16:06:00.940721	2013-08-04 17:21:52.589236
27887	7	2013-08-02 16:06:00.86798	2013-08-02 16:06:00.86798
27889	9	2013-08-02 16:06:00.873214	2013-08-02 16:06:00.873214
13630	2	2013-08-02 16:05:29.837657	2013-08-04 17:21:52.594832
13859	14	2013-08-02 16:05:30.38124	2013-08-03 23:53:36.897271
27894	14	2013-08-02 16:06:00.886302	2013-08-02 16:06:00.886302
27926	4	2013-08-02 16:06:00.97756	2013-08-04 03:00:36.943237
13839	21	2013-08-02 16:05:30.332575	2013-08-03 23:53:46.222278
27893	2	2013-08-02 16:06:00.883764	2013-08-04 17:21:52.59881
27902	2	2013-08-02 16:06:00.909114	2013-08-02 16:06:00.909114
27904	4	2013-08-02 16:06:00.915108	2013-08-02 16:06:00.915108
27897	14	2013-08-02 16:06:00.893799	2013-08-04 17:26:51.986646
27928	14	2013-08-02 16:06:00.982845	2013-08-04 17:26:51.997871
27907	7	2013-08-02 16:06:00.923816	2013-08-02 16:06:00.923816
27909	9	2013-08-02 16:06:00.929575	2013-08-02 16:06:00.929575
11546	4	2013-08-02 16:05:25.895269	2013-08-03 23:58:45.16402
27908	14	2013-08-02 16:06:00.926723	2013-08-04 17:26:52.008772
27914	14	2013-08-02 16:06:00.943535	2013-08-02 16:06:00.943535
27888	2	2013-08-02 16:06:00.870573	2013-08-04 17:26:52.03149
27868	2	2013-08-02 16:06:00.820209	2013-08-04 17:26:52.044571
27940	2	2013-08-02 16:06:01.010987	2013-08-04 17:26:52.055571
27848	2	2013-08-02 16:06:00.771945	2013-08-04 17:26:52.060284
27801	2	2013-08-02 16:06:00.669257	2013-08-04 17:26:52.068162
27922	2	2013-08-02 16:06:00.966948	2013-08-02 16:06:00.966948
27828	2	2013-08-02 16:06:00.729445	2013-08-04 17:26:52.072505
27924	4	2013-08-02 16:06:00.97223	2013-08-02 16:06:00.97223
26398	2	2013-08-02 16:05:56.986379	2013-08-04 17:26:52.076813
27931	9	2013-08-02 16:06:00.990442	2013-08-04 17:28:42.276868
27927	7	2013-08-02 16:06:00.980204	2013-08-02 16:06:00.980204
27929	9	2013-08-02 16:06:00.98552	2013-08-02 16:06:00.98552
27800	2	2013-08-02 16:06:00.666882	2013-08-04 17:31:50.204112
27934	14	2013-08-02 16:06:00.998414	2013-08-02 16:06:00.998414
27838	2	2013-08-02 16:06:00.746658	2013-08-03 19:12:36.939251
27898	14	2013-08-02 16:06:00.896701	2013-08-04 18:11:50.137296
27899	14	2013-08-02 16:06:00.89975	2013-08-04 18:11:50.141856
27918	14	2013-08-02 16:06:00.955568	2013-08-04 18:11:50.146367
27879	14	2013-08-02 16:06:00.84787	2013-08-04 18:11:50.153942
27942	2	2013-08-02 16:06:01.012698	2013-08-02 16:06:01.012698
27818	2	2013-08-02 16:06:00.709428	2013-08-03 19:12:36.945111
27944	4	2013-08-02 16:06:01.01471	2013-08-02 16:06:01.01471
9735	14	2013-08-02 16:05:22.952363	2013-08-04 18:11:50.165081
27866	14	2013-08-02 16:06:00.815076	2013-08-04 18:11:50.176307
27810	14	2013-08-02 16:06:00.690528	2013-08-04 18:11:50.184277
27859	14	2013-08-02 16:06:00.798046	2013-08-04 18:11:50.189249
27835	4	2013-08-02 16:06:00.742091	2013-08-03 18:43:05.538539
27815	21	2013-08-02 16:06:00.702301	2013-08-03 19:17:36.68698
27875	2	2013-08-02 16:06:00.838204	2013-08-03 18:43:05.540688
27839	14	2013-08-02 16:06:00.749371	2013-08-04 18:11:50.193785
27819	14	2013-08-02 16:06:00.711793	2013-08-04 18:11:50.19769
27790	14	2013-08-02 16:06:00.642681	2013-08-04 18:11:50.202649
27945	21	2013-08-02 16:06:01.016972	2013-08-03 19:17:36.689176
27925	21	2013-08-02 16:06:00.974907	2013-08-03 19:17:36.690402
27905	21	2013-08-02 16:06:00.918118	2013-08-03 19:17:36.691738
27885	21	2013-08-02 16:06:00.862841	2013-08-03 19:17:36.693129
27799	14	2013-08-02 16:06:00.664188	2013-08-04 18:11:50.206927
27797	14	2013-08-02 16:06:00.659461	2013-08-03 19:38:56.851504
27072	4	2013-08-02 16:05:58.792247	2013-08-04 18:11:51.835223
27935	4	2013-08-02 16:06:01.00111	2013-08-04 18:11:51.844703
27877	9	2013-08-02 16:06:00.843036	2013-08-03 19:38:56.858906
27917	7	2013-08-02 16:06:00.952522	2013-08-03 19:38:56.860952
27939	4	2013-08-02 16:06:01.01008	2013-08-04 18:11:51.854038
27919	4	2013-08-02 16:06:00.958455	2013-08-04 18:11:51.865147
5110	2	2013-08-02 16:05:13.316982	2013-08-03 20:08:08.960387
45215	7	2013-08-02 16:06:40.070187	2013-08-03 20:08:08.996437
27947	7	2013-08-02 16:06:01.022442	2013-08-02 16:06:01.022442
28056	21	2013-08-02 16:06:01.165654	2013-08-04 20:17:33.184789
27949	9	2013-08-02 16:06:01.02663	2013-08-02 16:06:01.02663
28036	21	2013-08-02 16:06:01.144901	2013-08-04 20:17:33.187281
28030	21	2013-08-02 16:06:01.13893	2013-08-03 22:04:59.246965
28016	21	2013-08-02 16:06:01.126707	2013-08-04 20:17:33.188666
27954	14	2013-08-02 16:06:01.034958	2013-08-02 16:06:01.034958
28093	2	2013-08-02 16:06:01.209619	2013-08-04 17:21:52.525481
27950	7	2013-08-02 16:06:01.027521	2013-08-03 22:00:36.542822
28073	2	2013-08-02 16:06:01.186386	2013-08-04 17:21:52.529822
27996	7	2013-08-02 16:06:01.108818	2013-08-04 20:17:33.203616
27946	14	2013-08-02 16:06:01.019658	2013-08-04 03:00:23.316454
27981	9	2013-08-02 16:06:01.077041	2013-08-03 22:04:59.447371
27962	2	2013-08-02 16:06:01.04141	2013-08-02 16:06:01.04141
28010	4	2013-08-02 16:06:01.121491	2013-08-03 22:00:36.552935
27964	4	2013-08-02 16:06:01.042825	2013-08-02 16:06:01.042825
27976	7	2013-08-02 16:06:01.063652	2013-08-04 20:17:33.212516
28053	2	2013-08-02 16:06:01.162165	2013-08-04 17:21:52.536604
27967	7	2013-08-02 16:06:01.04504	2013-08-02 16:06:01.04504
27956	7	2013-08-02 16:06:01.036997	2013-08-04 20:17:33.218031
27969	9	2013-08-02 16:06:01.046523	2013-08-02 16:06:01.046523
27990	7	2013-08-02 16:06:01.100165	2013-08-04 20:17:33.223844
27997	7	2013-08-02 16:06:01.109694	2013-08-03 22:04:59.450698
27974	14	2013-08-02 16:06:01.058636	2013-08-02 16:06:01.058636
28000	4	2013-08-02 16:06:01.113148	2013-08-03 18:59:36.87439
28050	2	2013-08-02 16:06:01.159591	2013-08-03 22:00:36.560013
28033	2	2013-08-02 16:06:01.142276	2013-08-04 17:21:52.542375
28013	2	2013-08-02 16:06:01.12411	2013-08-04 17:21:52.548451
27961	14	2013-08-02 16:06:01.040675	2013-08-03 22:04:59.613659
27982	2	2013-08-02 16:06:01.079696	2013-08-02 16:06:01.079696
27984	4	2013-08-02 16:06:01.085098	2013-08-02 16:06:01.085098
28076	21	2013-08-02 16:06:01.18999	2013-08-04 20:20:23.552544
27993	2	2013-08-02 16:06:01.10545	2013-08-04 17:21:52.556185
27987	7	2013-08-02 16:06:01.093213	2013-08-02 16:06:01.093213
28071	21	2013-08-02 16:06:01.183508	2013-08-04 20:20:28.309271
27989	9	2013-08-02 16:06:01.098002	2013-08-02 16:06:01.098002
27975	2	2013-08-02 16:06:01.061208	2013-08-04 20:22:41.978958
28096	7	2013-08-02 16:06:01.212231	2013-08-04 20:22:42.262204
27973	2	2013-08-02 16:06:01.056133	2013-08-04 17:21:52.562829
27994	14	2013-08-02 16:06:01.106325	2013-08-02 16:06:01.106325
28040	2	2013-08-02 16:06:01.15091	2013-08-03 18:59:36.880606
28001	9	2013-08-02 16:06:01.113994	2013-08-03 22:00:36.894172
13919	9	2013-08-02 16:05:30.49947	2013-08-03 23:53:36.913041
28002	2	2013-08-02 16:06:01.114857	2013-08-02 16:06:01.114857
13939	7	2013-08-02 16:05:30.546948	2013-08-03 23:53:36.919988
28004	4	2013-08-02 16:06:01.116626	2013-08-02 16:06:01.116626
27795	2	2013-08-02 16:06:00.654709	2013-08-04 17:21:52.569164
27953	2	2013-08-02 16:06:01.033931	2013-08-04 17:21:52.573502
28007	7	2013-08-02 16:06:01.119162	2013-08-02 16:06:01.119162
28009	9	2013-08-02 16:06:01.120728	2013-08-02 16:06:01.120728
28015	2	2013-08-02 16:06:01.125906	2013-08-04 17:21:54.879271
27960	9	2013-08-02 16:06:01.039932	2013-08-04 03:00:36.787692
28014	14	2013-08-02 16:06:01.125064	2013-08-02 16:06:01.125064
3489	2	2013-08-02 16:05:10.527619	2013-08-03 23:53:36.938378
13699	21	2013-08-02 16:05:30.014643	2013-08-03 23:53:46.217451
11326	21	2013-08-02 16:05:25.252679	2013-08-03 23:53:46.219743
28022	2	2013-08-02 16:06:01.132354	2013-08-02 16:06:01.132354
28008	21	2013-08-02 16:06:01.119933	2013-08-04 17:26:51.896591
28024	4	2013-08-02 16:06:01.134294	2013-08-02 16:06:01.134294
9191	14	2013-08-02 16:05:21.721194	2013-08-04 17:26:51.918706
28027	7	2013-08-02 16:06:01.136747	2013-08-02 16:06:01.136747
28029	9	2013-08-02 16:06:01.138188	2013-08-02 16:06:01.138188
16451	2	2013-08-02 16:05:35.389498	2013-08-03 23:53:56.874449
28066	7	2013-08-02 16:06:01.17609	2013-08-04 03:00:36.794188
28034	14	2013-08-02 16:06:01.143112	2013-08-02 16:06:01.143112
28060	14	2013-08-02 16:06:01.169931	2013-08-04 17:26:51.930529
28097	4	2013-08-02 16:06:01.213123	2013-08-04 03:00:36.801383
21806	9	2013-08-02 16:05:47.078962	2013-08-03 23:55:31.1755
16391	2	2013-08-02 16:05:35.248748	2013-08-03 23:58:45.167044
28042	2	2013-08-02 16:06:01.152712	2013-08-02 16:06:01.152712
28080	14	2013-08-02 16:06:01.195427	2013-08-03 19:02:38.723383
28044	4	2013-08-02 16:06:01.154463	2013-08-02 16:06:01.154463
27988	14	2013-08-02 16:06:01.095925	2013-08-04 17:26:51.941853
28090	14	2013-08-02 16:06:01.206229	2013-08-04 17:26:51.953546
28047	7	2013-08-02 16:06:01.156983	2013-08-02 16:06:01.156983
28049	9	2013-08-02 16:06:01.158768	2013-08-02 16:06:01.158768
24617	2	2013-08-02 16:05:53.295453	2013-08-04 03:00:36.808516
28086	21	2013-08-02 16:06:01.202596	2013-08-04 03:00:36.863163
28054	14	2013-08-02 16:06:01.163412	2013-08-02 16:06:01.163412
28098	14	2013-08-02 16:06:01.214705	2013-08-03 19:12:36.796831
27968	14	2013-08-02 16:06:01.045809	2013-08-04 17:26:51.964724
27948	14	2013-08-02 16:06:01.025077	2013-08-04 17:26:51.97566
28062	2	2013-08-02 16:06:01.171706	2013-08-02 16:06:01.171706
28078	4	2013-08-02 16:06:01.192696	2013-08-03 19:12:36.812183
28064	4	2013-08-02 16:06:01.174233	2013-08-02 16:06:01.174233
27998	9	2013-08-02 16:06:01.110541	2013-08-04 17:26:54.5139
28088	9	2013-08-02 16:06:01.204378	2013-08-04 17:26:54.524683
28067	7	2013-08-02 16:06:01.178356	2013-08-02 16:06:01.178356
28069	9	2013-08-02 16:06:01.180411	2013-08-02 16:06:01.180411
27951	7	2013-08-02 16:06:01.029757	2013-08-04 17:28:42.28445
28074	14	2013-08-02 16:06:01.187488	2013-08-02 16:06:01.187488
28058	4	2013-08-02 16:06:01.167368	2013-08-03 19:12:36.823607
5144	4	2013-08-02 16:05:13.37486	2013-08-04 17:28:42.295555
27991	2	2013-08-02 16:06:01.102208	2013-08-04 17:28:42.302957
28082	2	2013-08-02 16:06:01.198168	2013-08-02 16:06:01.198168
28084	4	2013-08-02 16:06:01.200819	2013-08-02 16:06:01.200819
28087	7	2013-08-02 16:06:01.203474	2013-08-02 16:06:01.203474
28089	9	2013-08-02 16:06:01.20533	2013-08-02 16:06:01.20533
28094	14	2013-08-02 16:06:01.210484	2013-08-02 16:06:01.210484
27958	14	2013-08-02 16:06:01.038489	2013-08-04 17:28:53.513735
13899	2	2013-08-02 16:05:30.449772	2013-08-04 17:31:49.477529
28070	21	2013-08-02 16:06:01.18196	2013-08-04 17:31:49.50871
28102	2	2013-08-02 16:06:01.219059	2013-08-02 16:06:01.219059
27971	2	2013-08-02 16:06:01.050944	2013-08-04 17:31:49.866362
28091	2	2013-08-02 16:06:01.207913	2013-08-04 17:31:50.951654
27995	14	2013-08-02 16:06:01.10795	2013-08-03 18:43:29.947884
28020	21	2013-08-02 16:06:01.130889	2013-08-04 17:31:51.165858
28085	7	2013-08-02 16:06:01.201745	2013-08-03 19:17:36.9189
28065	7	2013-08-02 16:06:01.175131	2013-08-03 19:17:36.93104
28045	7	2013-08-02 16:06:01.155322	2013-08-03 19:17:36.943225
28025	7	2013-08-02 16:06:01.135327	2013-08-03 19:17:36.954936
28005	7	2013-08-02 16:06:01.117492	2013-08-03 19:17:36.966491
27985	7	2013-08-02 16:06:01.087792	2013-08-03 19:17:36.978278
27965	7	2013-08-02 16:06:01.043528	2013-08-03 19:17:36.990417
28011	14	2013-08-02 16:06:01.122326	2013-08-04 17:31:51.8123
27977	4	2013-08-02 16:06:01.06631	2013-08-03 19:38:56.863683
28051	2	2013-08-02 16:06:01.160365	2013-08-04 17:31:53.669972
28017	2	2013-08-02 16:06:01.127501	2013-08-03 19:38:56.865523
28031	21	2013-08-02 16:06:01.140463	2013-08-04 17:33:54.436506
4679	9	2013-08-02 16:05:12.854391	2013-08-04 18:11:51.711651
28103	9	2013-08-02 16:06:01.219887	2013-08-04 18:11:51.716147
28077	9	2013-08-02 16:06:01.191358	2013-08-03 19:39:16.593466
28018	7	2013-08-02 16:06:01.128296	2013-08-03 19:39:16.595394
28099	9	2013-08-02 16:06:01.215714	2013-08-04 18:11:51.721598
21786	9	2013-08-02 16:05:47.030712	2013-08-04 18:11:51.72614
28079	9	2013-08-02 16:06:01.194061	2013-08-04 18:11:51.72966
27955	4	2013-08-02 16:06:01.036003	2013-08-03 19:42:57.674342
27978	9	2013-08-02 16:06:01.069143	2013-08-04 18:11:51.733611
30295	14	2013-08-02 16:06:06.026963	2013-08-03 20:08:09.026599
28038	7	2013-08-02 16:06:01.148171	2013-08-04 18:11:51.752537
12038	7	2013-08-02 16:05:27.085048	2013-08-03 20:08:09.034274
28059	7	2013-08-02 16:06:01.169046	2013-08-04 18:11:51.763697
28039	7	2013-08-02 16:06:01.149953	2013-08-04 18:11:51.774645
13860	7	2013-08-02 16:05:30.383916	2013-08-04 18:11:51.785948
28019	7	2013-08-02 16:06:01.129367	2013-08-04 18:11:51.794275
27999	7	2013-08-02 16:06:01.112179	2013-08-04 18:11:51.803522
27979	4	2013-08-02 16:06:01.071634	2013-08-04 18:11:51.820212
27959	4	2013-08-02 16:06:01.039194	2013-08-04 18:11:51.829716
28104	4	2013-08-02 16:06:01.22089	2013-08-02 16:06:01.22089
28257	2	2013-08-02 16:06:01.551644	2013-08-04 17:21:54.81839
28253	2	2013-08-02 16:06:01.546156	2013-08-04 17:21:54.822603
28107	7	2013-08-02 16:06:01.223613	2013-08-02 16:06:01.223613
28109	9	2013-08-02 16:06:01.225389	2013-08-02 16:06:01.225389
27970	9	2013-08-02 16:06:01.048309	2013-08-04 03:00:23.338339
28220	14	2013-08-02 16:06:01.511038	2013-08-04 20:20:23.343556
15308	2	2013-08-02 16:05:33.605054	2013-08-03 22:04:20.78532
28114	14	2013-08-02 16:06:01.230642	2013-08-02 16:06:01.230642
28260	21	2013-08-02 16:06:01.557036	2013-08-03 19:02:38.610566
28232	2	2013-08-02 16:06:01.524194	2013-08-03 20:12:24.817801
28212	2	2013-08-02 16:06:01.502612	2013-08-03 20:12:24.825256
28233	2	2013-08-02 16:06:01.525103	2013-08-04 17:21:54.827211
28122	2	2013-08-02 16:06:01.237436	2013-08-02 16:06:01.237436
28240	21	2013-08-02 16:06:01.532976	2013-08-03 19:02:38.612376
28124	4	2013-08-02 16:06:01.240008	2013-08-02 16:06:01.240008
28057	7	2013-08-02 16:06:01.166515	2013-08-04 03:00:23.346049
28213	2	2013-08-02 16:06:01.504238	2013-08-04 17:21:54.831769
28127	7	2013-08-02 16:06:01.242923	2013-08-02 16:06:01.242923
28129	9	2013-08-02 16:06:01.244791	2013-08-02 16:06:01.244791
28137	4	2013-08-02 16:06:01.25253	2013-08-04 03:00:38.375737
28196	9	2013-08-02 16:06:01.489249	2013-08-04 20:20:23.362046
28190	2	2013-08-02 16:06:01.48472	2013-08-04 17:21:54.836055
28134	14	2013-08-02 16:06:01.249524	2013-08-02 16:06:01.249524
28130	4	2013-08-02 16:06:01.24576	2013-08-03 22:04:59.456522
28236	7	2013-08-02 16:06:01.527782	2013-08-04 20:20:23.369979
34692	4	2013-08-02 16:06:16.311894	2013-08-03 21:45:18.336298
28193	2	2013-08-02 16:06:01.486828	2013-08-04 17:21:54.841014
28142	2	2013-08-02 16:06:01.257917	2013-08-02 16:06:01.257917
28200	2	2013-08-02 16:06:01.492551	2013-08-03 19:02:38.626513
28144	4	2013-08-02 16:06:01.260585	2013-08-02 16:06:01.260585
28173	2	2013-08-02 16:06:01.286344	2013-08-04 17:21:54.847903
28180	2	2013-08-02 16:06:01.291749	2013-08-04 17:21:54.853433
28147	7	2013-08-02 16:06:01.263183	2013-08-02 16:06:01.263183
28149	9	2013-08-02 16:06:01.265364	2013-08-02 16:06:01.265364
28153	2	2013-08-02 16:06:01.268364	2013-08-04 17:21:54.858064
28170	2	2013-08-02 16:06:01.283969	2013-08-03 22:04:59.460132
28160	4	2013-08-02 16:06:01.274561	2013-08-04 20:20:23.381803
28154	14	2013-08-02 16:06:01.26912	2013-08-02 16:06:01.26912
44743	14	2013-08-02 16:06:39.255317	2013-08-03 21:45:18.392963
28133	2	2013-08-02 16:06:01.248371	2013-08-04 17:21:54.861582
28197	21	2013-08-02 16:06:01.489964	2013-08-04 20:20:39.431793
28113	2	2013-08-02 16:06:01.229778	2013-08-04 17:21:54.868782
28168	21	2013-08-02 16:06:01.282357	2013-08-04 17:26:54.43391
28162	2	2013-08-02 16:06:01.276567	2013-08-02 16:06:01.276567
28164	4	2013-08-02 16:06:01.278388	2013-08-02 16:06:01.278388
28110	7	2013-08-02 16:06:01.227005	2013-08-03 22:05:19.228812
28148	21	2013-08-02 16:06:01.264437	2013-08-04 17:26:54.437709
28167	7	2013-08-02 16:06:01.28154	2013-08-02 16:06:01.28154
26381	2	2013-08-02 16:05:56.951996	2013-08-04 20:22:39.402252
28169	9	2013-08-02 16:06:01.283187	2013-08-02 16:06:01.283187
28128	21	2013-08-02 16:06:01.243864	2013-08-04 17:26:54.441151
28176	21	2013-08-02 16:06:01.288412	2013-08-04 20:22:40.231439
27966	21	2013-08-02 16:06:01.044226	2013-08-04 17:26:54.44447
28156	7	2013-08-02 16:06:01.27081	2013-08-04 20:22:41.415382
28174	14	2013-08-02 16:06:01.287038	2013-08-02 16:06:01.287038
4524	21	2013-08-02 16:05:12.701239	2013-08-03 21:51:11.545752
28116	2	2013-08-02 16:06:01.23226	2013-08-04 20:22:41.745024
28150	21	2013-08-02 16:06:01.266126	2013-08-03 22:05:19.382468
28136	7	2013-08-02 16:06:01.251539	2013-08-04 20:22:41.885899
28210	9	2013-08-02 16:06:01.500646	2013-08-03 22:05:19.487624
28115	4	2013-08-02 16:06:01.231458	2013-08-04 17:26:54.756125
28182	2	2013-08-02 16:06:01.293603	2013-08-02 16:06:01.293603
28184	4	2013-08-02 16:06:01.29537	2013-08-02 16:06:01.29537
28248	4	2013-08-02 16:06:01.541631	2013-08-04 17:26:54.761827
28187	7	2013-08-02 16:06:01.297881	2013-08-02 16:06:01.297881
28189	9	2013-08-02 16:06:01.483681	2013-08-02 16:06:01.483681
28228	4	2013-08-02 16:06:01.518972	2013-08-04 17:26:54.767333
28250	7	2013-08-02 16:06:01.543518	2013-08-03 22:05:19.494557
28194	14	2013-08-02 16:06:01.487787	2013-08-02 16:06:01.487787
28138	21	2013-08-02 16:06:01.253644	2013-08-03 19:12:36.763822
20418	4	2013-08-02 16:05:44.320892	2013-08-04 17:26:54.774262
28208	4	2013-08-02 16:06:01.498875	2013-08-04 17:26:54.780369
5171	2	2013-08-02 16:05:13.439517	2013-08-03 22:09:24.07317
28188	4	2013-08-02 16:06:01.477844	2013-08-04 17:26:54.785848
28202	2	2013-08-02 16:06:01.494356	2013-08-02 16:06:01.494356
28118	14	2013-08-02 16:06:01.234009	2013-08-03 19:12:36.785315
28204	4	2013-08-02 16:06:01.495776	2013-08-02 16:06:01.495776
28230	4	2013-08-02 16:06:01.522379	2013-08-04 17:26:54.792093
28207	7	2013-08-02 16:06:01.498187	2013-08-02 16:06:01.498187
28209	9	2013-08-02 16:06:01.499563	2013-08-02 16:06:01.499563
28613	2	2013-08-02 16:06:01.986646	2013-08-04 17:26:55.499762
20438	9	2013-08-02 16:05:44.339641	2013-08-03 23:53:56.963737
28214	14	2013-08-02 16:06:01.505108	2013-08-02 16:06:01.505108
28175	7	2013-08-02 16:06:01.287729	2013-08-03 19:17:36.842649
21785	7	2013-08-02 16:05:47.028248	2013-08-03 23:53:56.965752
24861	4	2013-08-02 16:05:53.599534	2013-08-03 23:53:56.967519
28593	2	2013-08-02 16:06:01.95172	2013-08-04 17:26:55.510722
28222	2	2013-08-02 16:06:01.512888	2013-08-02 16:06:01.512888
28245	7	2013-08-02 16:06:01.538929	2013-08-03 19:17:36.847145
28224	4	2013-08-02 16:06:01.515402	2013-08-02 16:06:01.515402
28227	7	2013-08-02 16:06:01.518082	2013-08-02 16:06:01.518082
28229	9	2013-08-02 16:06:01.520244	2013-08-02 16:06:01.520244
24901	2	2013-08-02 16:05:53.647505	2013-08-03 23:53:56.969465
28234	14	2013-08-02 16:06:01.525985	2013-08-02 16:06:01.525985
28225	7	2013-08-02 16:06:01.51636	2013-08-03 19:17:36.853764
28171	9	2013-08-02 16:06:01.284776	2013-08-04 17:28:53.517614
16431	21	2013-08-02 16:05:35.341571	2013-08-03 23:53:56.987965
13979	21	2013-08-02 16:05:30.642304	2013-08-03 23:53:57.050782
28242	2	2013-08-02 16:06:01.534718	2013-08-02 16:06:01.534718
28205	7	2013-08-02 16:06:01.496458	2013-08-03 19:17:36.858511
28244	4	2013-08-02 16:06:01.537207	2013-08-02 16:06:01.537207
21963	21	2013-08-02 16:05:47.435909	2013-08-03 23:53:57.053104
28191	7	2013-08-02 16:06:01.485431	2013-08-04 17:28:53.519964
28247	7	2013-08-02 16:06:01.540696	2013-08-02 16:06:01.540696
28249	9	2013-08-02 16:06:01.54247	2013-08-02 16:06:01.54247
28254	14	2013-08-02 16:06:01.547321	2013-08-02 16:06:01.547321
28185	7	2013-08-02 16:06:01.296157	2013-08-03 19:17:36.865014
28251	4	2013-08-02 16:06:01.5444	2013-08-04 17:28:53.524418
45495	2	2013-08-02 16:06:40.663024	2013-08-04 17:28:53.527842
28135	7	2013-08-02 16:06:01.250546	2013-08-03 18:43:29.970785
28215	2	2013-08-02 16:06:01.506001	2013-08-04 17:31:49.402382
28231	21	2013-08-02 16:06:01.523307	2013-08-04 17:31:49.50712
28195	4	2013-08-02 16:06:01.48849	2013-08-03 18:43:29.980498
28165	7	2013-08-02 16:06:01.279236	2013-08-03 19:17:36.87291
28145	7	2013-08-02 16:06:01.261505	2013-08-03 19:17:36.884115
28125	7	2013-08-02 16:06:01.24106	2013-08-03 19:17:36.895464
28117	4	2013-08-02 16:06:01.233127	2013-08-03 19:39:16.599777
28211	2	2013-08-02 16:06:01.501741	2013-08-04 17:31:49.862843
28157	2	2013-08-02 16:06:01.271727	2013-08-03 19:39:16.602924
28120	2	2013-08-02 16:06:01.235731	2013-08-04 17:31:50.197547
28151	21	2013-08-02 16:06:01.266886	2013-08-04 17:31:50.223227
28237	14	2013-08-02 16:06:01.528695	2013-08-03 19:39:31.019643
28131	2	2013-08-02 16:06:01.246599	2013-08-04 17:31:50.449527
28111	2	2013-08-02 16:06:01.228016	2013-08-04 17:31:53.270156
28119	21	2013-08-02 16:06:01.234878	2013-08-04 18:11:51.701868
45675	2	2013-08-02 16:06:40.875595	2013-08-03 20:08:28.281325
45655	4	2013-08-02 16:06:40.851768	2013-08-03 20:08:28.326841
15368	4	2013-08-02 16:05:33.657961	2013-08-03 20:08:28.394293
15328	2	2013-08-02 16:05:33.622198	2013-08-03 20:08:28.39664
28179	14	2013-08-02 16:06:01.290935	2013-08-04 18:16:05.256907
28177	9	2013-08-02 16:06:01.289279	2013-08-04 18:16:05.267836
28219	21	2013-08-02 16:06:01.509368	2013-08-04 18:16:28.463314
28199	4	2013-08-02 16:06:01.491375	2013-08-04 18:17:49.323144
28108	14	2013-08-02 16:06:01.224487	2013-08-04 18:17:50.844258
28259	14	2013-08-02 16:06:01.55491	2013-08-04 18:17:50.854266
13740	14	2013-08-02 16:05:30.099982	2013-08-04 18:17:50.864758
28239	14	2013-08-02 16:06:01.532096	2013-08-04 18:17:51.270938
28159	2	2013-08-02 16:06:01.273529	2013-08-04 18:22:29.151733
28262	2	2013-08-02 16:06:01.561407	2013-08-02 16:06:01.561407
28340	21	2013-08-02 16:06:01.648054	2013-08-03 19:02:38.604314
28264	4	2013-08-02 16:06:01.563472	2013-08-02 16:06:01.563472
28401	21	2013-08-02 16:06:01.711807	2013-08-03 22:04:20.655291
28346	14	2013-08-02 16:06:01.653414	2013-08-04 17:02:13.700698
28267	7	2013-08-02 16:06:01.566773	2013-08-02 16:06:01.566773
28361	2	2013-08-02 16:06:01.670547	2013-08-04 20:20:23.389058
28269	9	2013-08-02 16:06:01.568889	2013-08-02 16:06:01.568889
13959	4	2013-08-02 16:05:30.594549	2013-08-04 03:00:23.353455
28306	4	2013-08-02 16:06:01.61525	2013-08-04 03:00:38.352225
28276	2	2013-08-02 16:06:01.577896	2013-08-04 20:22:38.260109
28274	14	2013-08-02 16:06:01.575347	2013-08-02 16:06:01.575347
28320	21	2013-08-02 16:06:01.628657	2013-08-03 19:02:38.606057
28277	21	2013-08-02 16:06:01.579088	2013-08-04 20:22:40.139325
6018	14	2013-08-02 16:05:15.215442	2013-08-04 20:22:41.793628
28335	14	2013-08-02 16:06:01.642855	2013-08-04 20:22:41.804055
28282	2	2013-08-02 16:06:01.585016	2013-08-02 16:06:01.585016
28300	21	2013-08-02 16:06:01.606645	2013-08-03 19:02:38.607348
28284	4	2013-08-02 16:06:01.588161	2013-08-02 16:06:01.588161
28326	21	2013-08-02 16:06:01.633929	2013-08-04 17:02:39.187977
28333	2	2013-08-02 16:06:01.641071	2013-08-04 17:21:54.76064
28287	7	2013-08-02 16:06:01.59204	2013-08-02 16:06:01.59204
28416	14	2013-08-02 16:06:01.724494	2013-08-04 20:22:41.818245
28289	9	2013-08-02 16:06:01.594638	2013-08-02 16:06:01.594638
28341	2	2013-08-02 16:06:01.648924	2013-08-04 17:21:54.77219
13999	4	2013-08-02 16:05:30.690815	2013-08-04 20:22:41.833108
28380	2	2013-08-02 16:06:01.694449	2013-08-04 17:21:54.783146
4620	4	2013-08-02 16:05:12.803024	2013-08-04 20:22:41.83825
28294	14	2013-08-02 16:06:01.600135	2013-08-02 16:06:01.600135
28280	21	2013-08-02 16:06:01.582999	2013-08-03 19:02:38.608778
28396	4	2013-08-02 16:06:01.707414	2013-08-04 20:22:41.843485
28313	2	2013-08-02 16:06:01.621976	2013-08-04 17:21:54.793963
28376	4	2013-08-02 16:06:01.688583	2013-08-04 20:22:41.850281
28356	2	2013-08-02 16:06:01.665559	2013-08-04 20:22:41.862152
28293	2	2013-08-02 16:06:01.599162	2013-08-04 17:21:54.803888
28302	2	2013-08-02 16:06:01.609696	2013-08-02 16:06:01.609696
28360	14	2013-08-02 16:06:01.669679	2013-08-03 19:05:13.59259
28304	4	2013-08-02 16:06:01.613508	2013-08-02 16:06:01.613508
28336	2	2013-08-02 16:06:01.643719	2013-08-04 20:22:41.868926
28370	2	2013-08-02 16:06:01.678622	2013-08-04 17:21:54.809065
28307	7	2013-08-02 16:06:01.616144	2013-08-02 16:06:01.616144
28316	2	2013-08-02 16:06:01.624827	2013-08-04 20:22:41.873585
28309	9	2013-08-02 16:06:01.617871	2013-08-02 16:06:01.617871
28273	2	2013-08-02 16:06:01.573916	2013-08-04 17:21:54.813575
28296	2	2013-08-02 16:06:01.602352	2013-08-04 20:22:41.877683
28281	4	2013-08-02 16:06:01.584077	2013-08-03 22:04:20.761921
28314	14	2013-08-02 16:06:01.622824	2013-08-02 16:06:01.622824
3632	2	2013-08-02 16:05:10.844056	2013-08-04 17:26:52.720604
28261	21	2013-08-02 16:06:01.55968	2013-08-03 22:04:59.249854
28345	2	2013-08-02 16:06:01.652499	2013-08-04 17:26:52.727284
28322	2	2013-08-02 16:06:01.630362	2013-08-02 16:06:01.630362
28375	2	2013-08-02 16:06:01.686409	2013-08-04 17:26:52.733946
28324	4	2013-08-02 16:06:01.632079	2013-08-02 16:06:01.632079
28321	21	2013-08-02 16:06:01.62946	2013-08-03 22:05:19.092568
28327	7	2013-08-02 16:06:01.634782	2013-08-02 16:06:01.634782
28329	9	2013-08-02 16:06:01.636886	2013-08-02 16:06:01.636886
28413	2	2013-08-02 16:06:01.721477	2013-08-04 17:26:52.742321
28270	4	2013-08-02 16:06:01.57021	2013-08-03 22:05:19.50405
28334	14	2013-08-02 16:06:01.641967	2013-08-02 16:06:01.641967
28393	2	2013-08-02 16:06:01.70527	2013-08-04 17:26:52.752264
28290	2	2013-08-02 16:06:01.595792	2013-08-03 22:05:19.564132
28373	2	2013-08-02 16:06:01.682829	2013-08-04 17:26:52.761442
28353	2	2013-08-02 16:06:01.662954	2013-08-04 17:26:52.770566
28342	2	2013-08-02 16:06:01.649825	2013-08-02 16:06:01.649825
28285	7	2013-08-02 16:06:01.589476	2013-08-03 19:17:36.833342
28344	4	2013-08-02 16:06:01.651609	2013-08-02 16:06:01.651609
28347	7	2013-08-02 16:06:01.654309	2013-08-02 16:06:01.654309
28349	9	2013-08-02 16:06:01.657436	2013-08-02 16:06:01.657436
28408	4	2013-08-02 16:06:01.717162	2013-08-04 17:26:54.645793
28354	14	2013-08-02 16:06:01.663849	2013-08-02 16:06:01.663849
28265	7	2013-08-02 16:06:01.564399	2013-08-03 19:17:36.838312
28330	9	2013-08-02 16:06:01.63823	2013-08-03 22:11:23.058231
28398	7	2013-08-02 16:06:01.708906	2013-08-03 22:11:23.060361
28362	2	2013-08-02 16:06:01.671465	2013-08-02 16:06:01.671465
17997	2	2013-08-02 16:05:39.027411	2013-08-04 17:31:50.164345
28364	4	2013-08-02 16:06:01.673206	2013-08-02 16:06:01.673206
28367	7	2013-08-02 16:06:01.675833	2013-08-02 16:06:01.675833
28369	9	2013-08-02 16:06:01.677628	2013-08-02 16:06:01.677628
28357	2	2013-08-02 16:06:01.66642	2013-08-04 17:31:50.17199
7261	2	2013-08-02 16:05:17.676113	2013-08-04 17:31:50.187821
28374	14	2013-08-02 16:06:01.684191	2013-08-02 16:06:01.684191
28378	9	2013-08-02 16:06:01.692516	2013-08-03 19:17:38.647143
28410	4	2013-08-02 16:06:01.718996	2013-08-03 22:11:23.066728
28271	14	2013-08-02 16:06:01.571936	2013-08-04 17:31:51.801295
28317	2	2013-08-02 16:06:01.625724	2013-08-03 22:11:23.070276
5998	14	2013-08-02 16:05:15.166127	2013-08-04 17:31:52.895302
28382	2	2013-08-02 16:06:01.696178	2013-08-02 16:06:01.696178
28358	4	2013-08-02 16:06:01.66725	2013-08-03 19:17:38.654581
28384	4	2013-08-02 16:06:01.697824	2013-08-02 16:06:01.697824
28318	14	2013-08-02 16:06:01.626601	2013-08-04 17:31:52.903113
28387	7	2013-08-02 16:06:01.700327	2013-08-02 16:06:01.700327
28389	9	2013-08-02 16:06:01.702085	2013-08-02 16:06:01.702085
28297	14	2013-08-02 16:06:01.603333	2013-08-04 17:31:52.909035
28390	14	2013-08-02 16:06:01.702868	2013-08-03 22:11:42.810701
28394	14	2013-08-02 16:06:01.706005	2013-08-02 16:06:01.706005
28385	14	2013-08-02 16:06:01.698667	2013-08-04 17:31:52.912571
19163	14	2013-08-02 16:05:41.244952	2013-08-04 17:31:52.919497
28402	2	2013-08-02 16:06:01.712707	2013-08-02 16:06:01.712707
28411	14	2013-08-02 16:06:01.719885	2013-08-04 17:31:52.925589
28404	4	2013-08-02 16:06:01.714276	2013-08-02 16:06:01.714276
28407	7	2013-08-02 16:06:01.716434	2013-08-02 16:06:01.716434
28409	9	2013-08-02 16:06:01.717988	2013-08-02 16:06:01.717988
28391	2	2013-08-02 16:06:01.703664	2013-08-04 17:31:52.937109
28414	14	2013-08-02 16:06:01.722209	2013-08-02 16:06:01.722209
28298	7	2013-08-02 16:06:01.604422	2013-08-03 19:17:38.750434
28371	2	2013-08-02 16:06:01.679784	2013-08-04 17:31:52.942384
21846	14	2013-08-02 16:05:47.174511	2013-08-03 23:53:57.115122
28310	2	2013-08-02 16:06:01.618694	2013-08-04 17:31:52.946926
28355	14	2013-08-02 16:06:01.664699	2013-08-03 18:43:40.711313
28351	2	2013-08-02 16:06:01.660706	2013-08-04 17:31:52.951283
28325	14	2013-08-02 16:06:01.633066	2013-08-03 19:19:08.980415
14119	9	2013-08-02 16:05:30.988114	2013-08-03 23:53:57.184372
28275	2	2013-08-02 16:06:01.576812	2013-08-04 17:31:52.957059
28331	2	2013-08-02 16:06:01.639111	2013-08-04 17:31:52.962853
28311	2	2013-08-02 16:06:01.620267	2013-08-04 17:31:52.967703
28337	9	2013-08-02 16:06:01.644562	2013-08-03 19:39:31.029344
28377	7	2013-08-02 16:06:01.690786	2013-08-03 19:39:31.034662
14099	21	2013-08-02 16:05:30.936195	2013-08-03 23:58:25.950183
28301	2	2013-08-02 16:06:01.607795	2013-08-04 17:31:52.974574
852	14	2013-08-02 16:05:05.308115	2013-08-03 20:08:28.409502
28291	2	2013-08-02 16:06:01.596942	2013-08-04 17:31:52.983306
28365	7	2013-08-02 16:06:01.674096	2013-08-04 18:16:05.274601
17938	9	2013-08-02 16:05:38.978139	2013-08-03 20:08:28.415227
17978	7	2013-08-02 16:05:39.009991	2013-08-03 20:08:28.417991
28299	4	2013-08-02 16:06:01.605551	2013-08-04 18:16:05.280782
28339	2	2013-08-02 16:06:01.647187	2013-08-04 18:16:05.28643
28319	2	2013-08-02 16:06:01.627771	2013-08-04 18:17:48.10481
16212	4	2013-08-02 16:05:34.855934	2013-08-04 18:17:49.286187
28295	4	2013-08-02 16:06:01.601259	2013-08-04 18:17:49.290582
13951	4	2013-08-02 16:05:30.575574	2013-08-04 18:17:49.296355
28399	4	2013-08-02 16:06:01.709728	2013-08-04 18:17:49.302455
21826	4	2013-08-02 16:05:47.127014	2013-08-04 18:17:49.308829
28379	4	2013-08-02 16:06:01.693568	2013-08-04 18:17:49.315314
28359	14	2013-08-02 16:06:01.668815	2013-08-04 18:17:50.483514
28279	2	2013-08-02 16:06:01.581822	2013-08-04 18:27:18.705302
28432	14	2013-08-02 16:06:01.739311	2013-08-03 20:13:53.155235
28476	21	2013-08-02 16:06:01.790599	2013-08-04 20:22:41.770784
10277	4	2013-08-02 16:05:23.552401	2013-08-04 00:22:31.320875
28426	7	2013-08-02 16:06:01.734481	2013-08-04 17:02:13.724592
28422	2	2013-08-02 16:06:01.730753	2013-08-02 16:06:01.730753
28083	2	2013-08-02 16:06:01.199535	2013-08-04 03:00:23.360119
28424	4	2013-08-02 16:06:01.732617	2013-08-02 16:06:01.732617
28456	21	2013-08-02 16:06:01.767287	2013-08-04 20:22:41.773315
28481	21	2013-08-02 16:06:01.795725	2013-08-04 20:22:41.775324
28427	7	2013-08-02 16:06:01.73536	2013-08-02 16:06:01.73536
28436	14	2013-08-02 16:06:01.742969	2013-08-04 20:22:41.784854
28429	9	2013-08-02 16:06:01.737033	2013-08-02 16:06:01.737033
25308	9	2013-08-02 16:05:54.613357	2013-08-04 03:00:23.410105
28434	14	2013-08-02 16:06:01.740872	2013-08-02 16:06:01.740872
28440	9	2013-08-02 16:06:01.747111	2013-08-03 19:05:13.603278
28526	4	2013-08-02 16:06:01.85208	2013-08-04 17:07:41.790298
14108	4	2013-08-02 16:05:30.960335	2013-08-04 17:07:41.794115
28506	4	2013-08-02 16:06:01.824802	2013-08-04 17:07:41.797745
28442	2	2013-08-02 16:06:01.748986	2013-08-02 16:06:01.748986
28444	4	2013-08-02 16:06:01.751287	2013-08-02 16:06:01.751287
28521	14	2013-08-02 16:06:01.844814	2013-08-03 22:04:59.38301
28571	14	2013-08-02 16:06:01.929595	2013-08-04 20:24:45.843209
28447	7	2013-08-02 16:06:01.755948	2013-08-02 16:06:01.755948
28516	21	2013-08-02 16:06:01.837481	2013-08-04 20:24:45.912893
28449	9	2013-08-02 16:06:01.758493	2013-08-02 16:06:01.758493
28470	4	2013-08-02 16:06:01.782818	2013-08-04 17:07:41.801063
28496	21	2013-08-02 16:06:01.812245	2013-08-04 20:24:56.279173
14079	21	2013-08-02 16:05:30.882564	2013-08-04 20:24:56.353219
28556	2	2013-08-02 16:06:01.904569	2013-08-04 20:27:37.223519
28454	14	2013-08-02 16:06:01.764846	2013-08-02 16:06:01.764846
28480	7	2013-08-02 16:06:01.79484	2013-08-03 19:05:13.608377
4079	4	2013-08-02 16:05:11.945045	2013-08-04 17:11:53.492191
28461	14	2013-08-02 16:06:01.773009	2013-08-03 22:05:18.996787
28536	4	2013-08-02 16:06:01.870147	2013-08-04 20:27:37.340663
28501	21	2013-08-02 16:06:01.818684	2013-08-03 22:05:19.093686
28535	4	2013-08-02 16:06:01.867998	2013-08-04 17:11:53.504086
28462	2	2013-08-02 16:06:01.773883	2013-08-02 16:06:01.773883
28464	4	2013-08-02 16:06:01.775644	2013-08-02 16:06:01.775644
28421	21	2013-08-02 16:06:01.72984	2013-08-03 22:09:25.678949
28467	7	2013-08-02 16:06:01.778616	2013-08-02 16:06:01.778616
28469	9	2013-08-02 16:06:01.781269	2013-08-02 16:06:01.781269
28520	4	2013-08-02 16:06:01.842955	2013-08-04 17:11:53.515207
28420	9	2013-08-02 16:06:01.728914	2013-08-03 22:11:43.306467
28474	14	2013-08-02 16:06:01.788838	2013-08-02 16:06:01.788838
28430	7	2013-08-02 16:06:01.737874	2013-08-03 22:11:43.310274
28515	4	2013-08-02 16:06:01.836228	2013-08-04 17:11:53.525609
28566	4	2013-08-02 16:06:01.923828	2013-08-04 17:11:53.536213
28482	2	2013-08-02 16:06:01.796732	2013-08-02 16:06:01.796732
28540	4	2013-08-02 16:06:01.880249	2013-08-03 19:05:13.614494
28484	4	2013-08-02 16:06:01.798498	2013-08-02 16:06:01.798498
28490	4	2013-08-02 16:06:01.805589	2013-08-03 22:11:43.315834
28487	7	2013-08-02 16:06:01.801981	2013-08-02 16:06:01.801981
28489	9	2013-08-02 16:06:01.804471	2013-08-02 16:06:01.804471
28546	4	2013-08-02 16:06:01.890673	2013-08-04 17:11:53.546971
28553	2	2013-08-02 16:06:01.901177	2013-08-04 17:26:52.591968
28494	14	2013-08-02 16:06:01.810033	2013-08-02 16:06:01.810033
28530	2	2013-08-02 16:06:01.85868	2013-08-03 22:11:43.322684
28533	2	2013-08-02 16:06:01.863297	2013-08-04 17:26:52.60337
28510	21	2013-08-02 16:06:01.829695	2013-08-03 22:11:43.369315
28513	2	2013-08-02 16:06:01.833225	2013-08-04 17:26:52.614344
28493	2	2013-08-02 16:06:01.808931	2013-08-04 17:26:52.690777
28502	2	2013-08-02 16:06:01.819737	2013-08-02 16:06:01.819737
28558	21	2013-08-02 16:06:01.908864	2013-08-03 19:17:38.610061
28504	4	2013-08-02 16:06:01.821957	2013-08-02 16:06:01.821957
28507	7	2013-08-02 16:06:01.82608	2013-08-02 16:06:01.82608
28509	9	2013-08-02 16:06:01.828491	2013-08-02 16:06:01.828491
28473	2	2013-08-02 16:06:01.787349	2013-08-04 17:26:52.697564
28550	21	2013-08-02 16:06:01.897711	2013-08-03 22:14:25.63873
28514	14	2013-08-02 16:06:01.834954	2013-08-02 16:06:01.834954
28538	21	2013-08-02 16:06:01.875494	2013-08-03 19:17:38.611905
28435	9	2013-08-02 16:06:01.741721	2013-08-03 22:14:56.914154
14128	7	2013-08-02 16:05:31.00968	2013-08-03 23:53:57.187055
28453	2	2013-08-02 16:06:01.763616	2013-08-04 17:26:52.703019
28522	2	2013-08-02 16:06:01.846036	2013-08-02 16:06:01.846036
28518	21	2013-08-02 16:06:01.840069	2013-08-03 19:17:38.613891
28524	4	2013-08-02 16:06:01.84922	2013-08-02 16:06:01.84922
28527	7	2013-08-02 16:06:01.853492	2013-08-02 16:06:01.853492
28529	9	2013-08-02 16:06:01.857254	2013-08-02 16:06:01.857254
28541	2	2013-08-02 16:06:01.88275	2013-08-04 17:26:52.708564
28477	2	2013-08-02 16:06:01.792031	2013-08-04 17:31:50.022942
28534	14	2013-08-02 16:06:01.865835	2013-08-02 16:06:01.865835
28498	21	2013-08-02 16:06:01.815187	2013-08-03 19:17:38.615894
21248	4	2013-08-02 16:05:45.593007	2013-08-03 23:53:57.193207
28445	2	2013-08-02 16:06:01.752892	2013-08-04 17:31:50.034683
14159	2	2013-08-02 16:05:31.081766	2013-08-03 23:53:57.195417
28475	2	2013-08-02 16:06:01.789715	2013-08-04 17:31:50.046229
28542	2	2013-08-02 16:06:01.885226	2013-08-02 16:06:01.885226
28478	21	2013-08-02 16:06:01.793154	2013-08-03 19:17:38.618306
28544	4	2013-08-02 16:06:01.887629	2013-08-02 16:06:01.887629
28568	2	2013-08-02 16:06:01.925869	2013-08-04 17:31:50.057794
28547	7	2013-08-02 16:06:01.893254	2013-08-02 16:06:01.893254
28549	9	2013-08-02 16:06:01.896871	2013-08-02 16:06:01.896871
28548	2	2013-08-02 16:06:01.895163	2013-08-04 17:31:50.069317
28554	14	2013-08-02 16:06:01.902863	2013-08-02 16:06:01.902863
28458	21	2013-08-02 16:06:01.769485	2013-08-03 19:17:38.620534
28528	2	2013-08-02 16:06:01.855641	2013-08-04 17:31:50.080993
28508	2	2013-08-02 16:06:01.827338	2013-08-04 17:31:50.092179
28562	2	2013-08-02 16:06:01.917752	2013-08-02 16:06:01.917752
28438	21	2013-08-02 16:06:01.744825	2013-08-03 19:17:38.622631
28564	4	2013-08-02 16:06:01.921963	2013-08-02 16:06:01.921963
28488	2	2013-08-02 16:06:01.803503	2013-08-04 17:31:50.103116
28567	7	2013-08-02 16:06:01.924761	2013-08-02 16:06:01.924761
28569	9	2013-08-02 16:06:01.927132	2013-08-02 16:06:01.927132
11311	2	2013-08-02 16:05:25.216292	2013-08-04 17:31:50.113956
28468	2	2013-08-02 16:06:01.779671	2013-08-04 17:31:50.125138
28574	14	2013-08-02 16:06:01.934314	2013-08-02 16:06:01.934314
28418	14	2013-08-02 16:06:01.726254	2013-08-03 19:17:38.632492
28455	9	2013-08-02 16:06:01.76607	2013-08-03 18:43:40.731689
28495	7	2013-08-02 16:06:01.811136	2013-08-03 18:43:40.74032
28425	9	2013-08-02 16:06:01.733525	2013-08-03 19:19:08.986511
28465	7	2013-08-02 16:06:01.776507	2013-08-03 19:19:08.990612
28485	4	2013-08-02 16:06:01.799594	2013-08-03 19:19:08.997754
28525	2	2013-08-02 16:06:01.850658	2013-08-03 19:19:09.004906
28565	7	2013-08-02 16:06:01.922902	2013-08-03 19:22:37.269829
28437	2	2013-08-02 16:06:01.743902	2013-08-03 19:39:31.047059
28517	7	2013-08-02 16:06:01.838726	2013-08-03 19:42:22.177941
28497	2	2013-08-02 16:06:01.814086	2013-08-03 19:42:22.187269
28557	2	2013-08-02 16:06:01.906943	2013-08-03 19:42:57.677277
28570	21	2013-08-02 16:06:01.927962	2013-08-04 17:34:53.456649
11331	4	2013-08-02 16:05:25.264644	2013-08-03 20:08:28.422103
11731	2	2013-08-02 16:05:26.301718	2013-08-03 20:08:28.426172
28537	2	2013-08-02 16:06:01.872848	2013-08-04 17:36:50.396169
27652	14	2013-08-02 16:06:00.305858	2013-08-03 20:08:28.445987
28551	21	2013-08-02 16:06:01.899373	2013-08-04 17:36:50.667252
28511	21	2013-08-02 16:06:01.830881	2013-08-04 17:36:50.668195
28419	21	2013-08-02 16:06:01.727426	2013-08-04 18:17:49.276184
26452	14	2013-08-02 16:05:57.12126	2013-08-04 18:17:51.757137
28531	14	2013-08-02 16:06:01.860128	2013-08-04 18:17:51.760887
28559	14	2013-08-02 16:06:01.910777	2013-08-04 18:17:51.764874
24540	14	2013-08-02 16:05:53.037169	2013-08-04 18:17:51.769206
28539	14	2013-08-02 16:06:01.878073	2013-08-04 18:17:51.774136
28519	14	2013-08-02 16:06:01.841722	2013-08-04 18:17:51.778927
28499	14	2013-08-02 16:06:01.816289	2013-08-04 18:17:51.783351
28479	14	2013-08-02 16:06:01.794026	2013-08-04 18:17:51.787968
28459	14	2013-08-02 16:06:01.770625	2013-08-04 18:17:51.793524
28439	14	2013-08-02 16:06:01.745944	2013-08-04 18:17:51.798338
28441	14	2013-08-02 16:06:01.748028	2013-08-04 18:17:51.802566
28580	2	2013-08-02 16:06:01.939815	2013-08-03 19:05:13.618518
27792	4	2013-08-02 16:06:00.647562	2013-08-03 20:14:12.127224
28592	2	2013-08-02 16:06:01.950723	2013-08-03 20:21:36.087809
25328	7	2013-08-02 16:05:54.652003	2013-08-04 03:00:23.413865
28582	2	2013-08-02 16:06:01.941545	2013-08-02 16:06:01.941545
28584	4	2013-08-02 16:06:01.94328	2013-08-02 16:06:01.94328
28666	2	2013-08-02 16:06:02.052809	2013-08-04 17:16:51.446039
28587	7	2013-08-02 16:06:01.945939	2013-08-02 16:06:01.945939
28656	9	2013-08-02 16:06:02.041314	2013-08-04 20:24:45.861774
28589	9	2013-08-02 16:06:01.947705	2013-08-02 16:06:01.947705
28610	2	2013-08-02 16:06:01.982649	2013-08-04 17:16:51.457914
28600	7	2013-08-02 16:06:01.961233	2013-08-03 22:04:59.408197
28696	7	2013-08-02 16:06:02.083649	2013-08-04 20:24:45.86917
28594	14	2013-08-02 16:06:01.95262	2013-08-02 16:06:01.95262
28720	14	2013-08-02 16:06:02.104053	2013-08-03 19:07:37.497958
14239	4	2013-08-02 16:05:31.281812	2013-08-04 20:24:45.87938
28577	21	2013-08-02 16:06:01.937043	2013-08-04 20:24:56.388669
28646	2	2013-08-02 16:06:02.033181	2013-08-04 17:16:51.468962
28602	2	2013-08-02 16:06:01.965046	2013-08-02 16:06:01.965046
28620	2	2013-08-02 16:06:01.995609	2013-08-04 17:16:51.479926
28604	4	2013-08-02 16:06:01.969247	2013-08-02 16:06:01.969247
28641	4	2013-08-02 16:06:02.024707	2013-08-03 22:04:59.417958
28607	7	2013-08-02 16:06:01.976525	2013-08-02 16:06:01.976525
28609	9	2013-08-02 16:06:01.980233	2013-08-02 16:06:01.980233
28716	21	2013-08-02 16:06:02.100722	2013-08-04 20:25:04.557589
28657	4	2013-08-02 16:06:02.042945	2013-08-04 17:16:56.233387
28636	21	2013-08-02 16:06:02.017218	2013-08-04 20:27:34.589657
28614	14	2013-08-02 16:06:01.988134	2013-08-02 16:06:01.988134
28596	2	2013-08-02 16:06:01.954938	2013-08-04 20:27:34.802031
28681	2	2013-08-02 16:06:02.067076	2013-08-03 22:04:59.423687
28616	4	2013-08-02 16:06:01.991564	2013-08-04 20:27:36.792196
28576	2	2013-08-02 16:06:01.936145	2013-08-04 20:27:37.218793
28676	4	2013-08-02 16:06:02.061608	2013-08-04 20:27:37.335428
28726	4	2013-08-02 16:06:02.108714	2013-08-04 17:16:56.239362
28622	2	2013-08-02 16:06:01.997951	2013-08-02 16:06:01.997951
28624	4	2013-08-02 16:06:02.000079	2013-08-02 16:06:02.000079
27672	2	2013-08-02 16:06:00.353905	2013-08-04 17:26:55.387105
28627	7	2013-08-02 16:06:02.003965	2013-08-02 16:06:02.003965
28629	9	2013-08-02 16:06:02.00628	2013-08-02 16:06:02.00628
28697	2	2013-08-02 16:06:02.084721	2013-08-04 17:26:55.397513
28595	9	2013-08-02 16:06:01.95377	2013-08-03 22:05:19.348476
28634	14	2013-08-02 16:06:02.014358	2013-08-02 16:06:02.014358
28661	21	2013-08-02 16:06:02.048399	2013-08-03 22:05:19.383957
20761	2	2013-08-02 16:05:44.662463	2013-08-04 17:26:55.408633
28642	2	2013-08-02 16:06:02.027234	2013-08-02 16:06:02.027234
28644	4	2013-08-02 16:06:02.030265	2013-08-02 16:06:02.030265
28590	7	2013-08-02 16:06:01.948576	2013-08-03 22:14:56.917967
28647	7	2013-08-02 16:06:02.034073	2013-08-02 16:06:02.034073
28649	9	2013-08-02 16:06:02.035603	2013-08-02 16:06:02.035603
28713	2	2013-08-02 16:06:02.097957	2013-08-04 17:26:55.419665
28654	14	2013-08-02 16:06:02.039781	2013-08-02 16:06:02.039781
28578	21	2013-08-02 16:06:01.937981	2013-08-03 19:17:38.607878
28693	2	2013-08-02 16:06:02.080332	2013-08-04 17:26:55.430497
28630	4	2013-08-02 16:06:02.007514	2013-08-03 22:14:56.921944
28685	2	2013-08-02 16:06:02.070963	2013-08-04 17:26:55.441598
28673	2	2013-08-02 16:06:02.058655	2013-08-04 17:26:55.452558
28662	2	2013-08-02 16:06:02.049317	2013-08-02 16:06:02.049317
28725	21	2013-08-02 16:06:02.107856	2013-08-03 19:22:37.132344
28664	4	2013-08-02 16:06:02.05107	2013-08-02 16:06:02.05107
28670	2	2013-08-02 16:06:02.055775	2013-08-03 22:14:56.925364
28667	7	2013-08-02 16:06:02.053544	2013-08-02 16:06:02.053544
28669	9	2013-08-02 16:06:02.05501	2013-08-02 16:06:02.05501
28653	2	2013-08-02 16:06:02.03909	2013-08-04 17:26:55.463621
28674	14	2013-08-02 16:06:02.059546	2013-08-02 16:06:02.059546
28705	21	2013-08-02 16:06:02.09128	2013-08-03 19:22:37.136365
28665	7	2013-08-02 16:06:02.051886	2013-08-03 22:15:17.486922
28633	2	2013-08-02 16:06:02.012288	2013-08-04 17:26:55.474954
28660	2	2013-08-02 16:06:02.047018	2013-08-04 17:26:55.487908
28682	2	2013-08-02 16:06:02.067846	2013-08-02 16:06:02.067846
28684	4	2013-08-02 16:06:02.069504	2013-08-02 16:06:02.069504
28730	4	2013-08-02 16:06:02.112242	2013-08-03 22:15:17.490401
28687	7	2013-08-02 16:06:02.073614	2013-08-02 16:06:02.073614
28689	9	2013-08-02 16:06:02.076098	2013-08-02 16:06:02.076098
28581	2	2013-08-02 16:06:01.940655	2013-08-04 17:31:50.011193
27732	2	2013-08-02 16:06:00.496965	2013-08-04 17:31:52.349395
28694	14	2013-08-02 16:06:02.081218	2013-08-02 16:06:02.081218
28695	2	2013-08-02 16:06:02.082135	2013-08-04 17:31:52.361373
27660	2	2013-08-02 16:06:00.32485	2013-08-03 22:15:17.493531
28717	14	2013-08-02 16:06:02.101641	2013-08-03 22:15:31.313445
28655	7	2013-08-02 16:06:02.04047	2013-08-03 22:21:56.434503
28728	2	2013-08-02 16:06:02.110486	2013-08-04 17:31:52.372899
28702	2	2013-08-02 16:06:02.088985	2013-08-02 16:06:02.088985
28645	4	2013-08-02 16:06:02.031745	2013-08-03 19:22:37.166441
28704	4	2013-08-02 16:06:02.090508	2013-08-02 16:06:02.090508
34081	4	2013-08-02 16:06:14.942592	2013-08-03 23:53:57.302662
28707	7	2013-08-02 16:06:02.092794	2013-08-02 16:06:02.092794
28709	9	2013-08-02 16:06:02.094224	2013-08-02 16:06:02.094224
28708	2	2013-08-02 16:06:02.093518	2013-08-04 17:31:52.456641
28688	2	2013-08-02 16:06:02.07521	2013-08-04 17:31:52.469599
28714	14	2013-08-02 16:06:02.098878	2013-08-02 16:06:02.098878
28625	14	2013-08-02 16:06:02.001115	2013-08-03 19:22:37.178387
13799	2	2013-08-02 16:05:30.233124	2013-08-03 23:53:57.305902
14219	14	2013-08-02 16:05:31.234118	2013-08-03 23:54:07.735201
28668	2	2013-08-02 16:06:02.05425	2013-08-04 17:31:52.480494
28722	2	2013-08-02 16:06:02.105536	2013-08-02 16:06:02.105536
28648	2	2013-08-02 16:06:02.034845	2013-08-04 17:31:52.491267
28724	4	2013-08-02 16:06:02.107008	2013-08-02 16:06:02.107008
40063	2	2013-08-02 16:06:28.430623	2013-08-04 17:31:52.501768
28727	7	2013-08-02 16:06:02.109589	2013-08-02 16:06:02.109589
28729	9	2013-08-02 16:06:02.111368	2013-08-02 16:06:02.111368
27832	2	2013-08-02 16:06:00.738022	2013-08-04 17:31:52.512513
28723	2	2013-08-02 16:06:02.106238	2013-08-03 18:17:16.92416
28575	2	2013-08-02 16:06:01.935223	2013-08-03 18:43:40.760203
28628	2	2013-08-02 16:06:02.005055	2013-08-04 17:31:52.523277
28608	2	2013-08-02 16:06:01.978393	2013-08-04 17:31:52.533489
28675	9	2013-08-02 16:06:02.06043	2013-08-03 18:43:49.361625
28715	7	2013-08-02 16:06:02.099792	2013-08-03 18:43:49.363566
28677	14	2013-08-02 16:06:02.062759	2013-08-03 19:42:22.021674
28591	14	2013-08-02 16:06:01.949551	2013-08-04 17:34:42.135642
4778	9	2013-08-02 16:05:12.998148	2013-08-03 23:54:07.744296
28700	4	2013-08-02 16:06:02.087376	2013-08-03 19:42:22.064507
28597	9	2013-08-02 16:06:01.956339	2013-08-03 19:42:22.086962
28637	14	2013-08-02 16:06:02.018561	2013-08-03 19:42:23.418993
27712	9	2013-08-02 16:06:00.449485	2013-08-03 20:08:28.450959
27752	7	2013-08-02 16:06:00.550286	2013-08-03 20:08:28.45401
5044	4	2013-08-02 16:05:13.240479	2013-08-03 20:08:28.457755
27812	2	2013-08-02 16:06:00.69524	2013-08-03 20:08:28.460401
28640	9	2013-08-02 16:06:02.022292	2013-08-04 17:34:42.142137
28671	7	2013-08-02 16:06:02.056624	2013-08-04 17:34:42.145188
28711	4	2013-08-02 16:06:02.095942	2013-08-04 17:34:42.150961
14259	2	2013-08-02 16:05:31.332177	2013-08-04 17:34:42.155113
28731	2	2013-08-02 16:06:02.113122	2013-08-04 17:36:48.704992
28691	21	2013-08-02 16:06:02.077768	2013-08-04 17:36:48.722464
28721	2	2013-08-02 16:06:02.104797	2013-08-04 17:36:49.018644
28651	2	2013-08-02 16:06:02.037702	2013-08-04 17:36:49.367721
28631	21	2013-08-02 16:06:02.008778	2013-08-04 17:36:49.419562
28701	2	2013-08-02 16:06:02.088193	2013-08-04 17:36:49.662474
27692	21	2013-08-02 16:06:00.401398	2013-08-04 17:36:50.665059
28611	21	2013-08-02 16:06:01.984836	2013-08-04 17:36:50.666225
28659	14	2013-08-02 16:06:02.045669	2013-08-04 18:17:51.720585
28639	14	2013-08-02 16:06:02.020498	2013-08-04 18:17:51.726145
28619	14	2013-08-02 16:06:01.994588	2013-08-04 18:17:51.730522
28680	14	2013-08-02 16:06:02.066255	2013-08-04 18:17:51.735256
27772	14	2013-08-02 16:06:00.599728	2013-08-04 18:17:51.739459
28599	14	2013-08-02 16:06:01.959346	2013-08-04 18:17:51.743599
28617	14	2013-08-02 16:06:01.99241	2013-08-04 18:17:51.748256
28579	14	2013-08-02 16:06:01.938923	2013-08-04 18:17:51.75298
28719	14	2013-08-02 16:06:02.103308	2013-08-04 18:22:29.272002
28699	14	2013-08-02 16:06:02.086489	2013-08-04 18:22:29.275979
28679	14	2013-08-02 16:06:02.065057	2013-08-04 18:22:29.279718
28741	7	2013-08-02 16:06:02.122032	2013-08-03 22:05:19.352083
28734	14	2013-08-02 16:06:02.115661	2013-08-02 16:06:02.115661
28795	2	2013-08-02 16:06:02.198709	2013-08-03 18:47:35.156061
28756	2	2013-08-02 16:06:02.137862	2013-08-04 20:24:45.885714
28735	21	2013-08-02 16:06:02.116473	2013-08-04 17:16:56.030756
28742	2	2013-08-02 16:06:02.122759	2013-08-02 16:06:02.122759
25368	4	2013-08-02 16:05:54.706354	2013-08-04 03:00:23.425058
28744	4	2013-08-02 16:06:02.124865	2013-08-02 16:06:02.124865
28747	7	2013-08-02 16:06:02.128495	2013-08-02 16:06:02.128495
28856	14	2013-08-02 16:06:02.354777	2013-08-04 20:25:04.274404
28749	9	2013-08-02 16:06:02.130857	2013-08-02 16:06:02.130857
28886	2	2013-08-02 16:06:02.426081	2013-08-04 17:16:56.037825
25408	2	2013-08-02 16:05:54.795091	2013-08-04 03:00:23.432219
28754	14	2013-08-02 16:06:02.135855	2013-08-02 16:06:02.135855
28796	21	2013-08-02 16:06:02.201409	2013-08-04 20:25:04.560373
28801	4	2013-08-02 16:06:02.214852	2013-08-03 22:05:19.357745
34178	2	2013-08-02 16:06:15.05581	2013-08-04 17:21:50.123363
28841	2	2013-08-02 16:06:02.318339	2013-08-03 22:05:19.359467
28755	2	2013-08-02 16:06:02.136852	2013-08-04 17:21:50.135455
28762	2	2013-08-02 16:06:02.146973	2013-08-02 16:06:02.146973
28840	21	2013-08-02 16:06:02.315718	2013-08-03 19:07:37.435108
28764	4	2013-08-02 16:06:02.149431	2013-08-02 16:06:02.149431
28821	21	2013-08-02 16:06:02.268436	2013-08-03 22:05:19.385917
28736	2	2013-08-02 16:06:02.117222	2013-08-04 20:27:33.736138
28767	7	2013-08-02 16:06:02.153512	2013-08-02 16:06:02.153512
28791	2	2013-08-02 16:06:02.191458	2013-08-04 20:27:34.793094
28769	9	2013-08-02 16:06:02.155149	2013-08-02 16:06:02.155149
28770	2	2013-08-02 16:06:02.156634	2013-08-04 17:26:55.354547
28776	7	2013-08-02 16:06:02.165509	2013-08-04 20:27:35.484684
28793	2	2013-08-02 16:06:02.195249	2013-08-04 17:26:55.367198
28873	2	2013-08-02 16:06:02.395246	2013-08-04 20:27:36.98207
28774	14	2013-08-02 16:06:02.163207	2013-08-02 16:06:02.163207
28820	21	2013-08-02 16:06:02.265663	2013-08-03 19:07:37.439534
28881	7	2013-08-02 16:06:02.41422	2013-08-03 22:09:23.527511
28861	2	2013-08-02 16:06:02.366655	2013-08-03 22:09:23.5359
28876	7	2013-08-02 16:06:02.402362	2013-08-04 20:27:37.154863
28781	7	2013-08-02 16:06:02.171452	2013-08-03 22:09:24.051164
28773	2	2013-08-02 16:06:02.161468	2013-08-04 17:26:55.371024
28782	2	2013-08-02 16:06:02.173462	2013-08-02 16:06:02.173462
28800	21	2013-08-02 16:06:02.212202	2013-08-03 19:07:37.44303
28784	4	2013-08-02 16:06:02.177033	2013-08-02 16:06:02.177033
28753	2	2013-08-02 16:06:02.134842	2013-08-04 17:26:55.374588
28836	2	2013-08-02 16:06:02.30615	2013-08-04 20:27:37.215499
28787	7	2013-08-02 16:06:02.183017	2013-08-02 16:06:02.183017
28816	7	2013-08-02 16:06:02.255162	2013-08-04 20:27:37.325854
28789	9	2013-08-02 16:06:02.186922	2013-08-02 16:06:02.186922
28733	2	2013-08-02 16:06:02.114853	2013-08-04 17:26:55.378928
28872	2	2013-08-02 16:06:02.392903	2013-08-03 22:19:21.381586
28794	14	2013-08-02 16:06:02.19698	2013-08-02 16:06:02.19698
28780	21	2013-08-02 16:06:02.17005	2013-08-03 19:07:37.446885
28750	14	2013-08-02 16:06:02.13194	2013-08-03 22:21:47.83927
28573	2	2013-08-02 16:06:01.933432	2013-08-04 17:26:55.521464
36010	2	2013-08-02 16:06:19.683161	2013-08-04 17:26:55.532188
28802	2	2013-08-02 16:06:02.217524	2013-08-02 16:06:02.217524
28760	21	2013-08-02 16:06:02.142759	2013-08-03 19:07:37.450611
28804	4	2013-08-02 16:06:02.222943	2013-08-02 16:06:02.222943
28807	7	2013-08-02 16:06:02.230958	2013-08-02 16:06:02.230958
28809	9	2013-08-02 16:06:02.236344	2013-08-02 16:06:02.236344
23559	4	2013-08-02 16:05:51.525857	2013-08-04 17:26:55.979586
28830	9	2013-08-02 16:06:02.291374	2013-08-03 22:21:47.845286
28814	14	2013-08-02 16:06:02.249807	2013-08-02 16:06:02.249807
28855	21	2013-08-02 16:06:02.352365	2013-08-03 19:07:37.454128
28850	7	2013-08-02 16:06:02.340453	2013-08-03 22:21:47.847859
28835	4	2013-08-02 16:06:02.303733	2013-08-03 22:40:40.957585
14623	4	2013-08-02 16:05:32.279572	2013-08-04 17:26:55.991165
28822	2	2013-08-02 16:06:02.271026	2013-08-02 16:06:02.271026
28824	4	2013-08-02 16:06:02.276144	2013-08-02 16:06:02.276144
14250	7	2013-08-02 16:05:31.307963	2013-08-03 23:54:07.747195
28827	7	2013-08-02 16:06:02.283423	2013-08-02 16:06:02.283423
28829	9	2013-08-02 16:06:02.288712	2013-08-02 16:06:02.288712
23415	4	2013-08-02 16:05:51.187348	2013-08-04 17:26:56.002502
23539	4	2013-08-02 16:05:51.472423	2013-08-04 17:26:56.014249
28834	14	2013-08-02 16:06:02.301348	2013-08-02 16:06:02.301348
14319	4	2013-08-02 16:05:31.547402	2013-08-03 23:54:07.7535
23519	4	2013-08-02 16:05:51.425251	2013-08-04 17:26:56.018332
14339	2	2013-08-02 16:05:31.588606	2013-08-03 23:54:07.755764
28842	2	2013-08-02 16:06:02.321005	2013-08-02 16:06:02.321005
28844	4	2013-08-02 16:06:02.326196	2013-08-02 16:06:02.326196
28847	7	2013-08-02 16:06:02.333323	2013-08-02 16:06:02.333323
28849	9	2013-08-02 16:06:02.338079	2013-08-02 16:06:02.338079
28854	14	2013-08-02 16:06:02.350005	2013-08-02 16:06:02.350005
11681	7	2013-08-02 16:05:26.179507	2013-08-03 23:54:19.895547
16531	4	2013-08-02 16:05:35.686609	2013-08-03 23:54:19.903392
28837	2	2013-08-02 16:06:02.308514	2013-08-04 17:31:50.948262
28862	2	2013-08-02 16:06:02.369016	2013-08-02 16:06:02.369016
28805	21	2013-08-02 16:06:02.225603	2013-08-03 19:22:37.116365
28864	4	2013-08-02 16:06:02.373789	2013-08-02 16:06:02.373789
28828	2	2013-08-02 16:06:02.286045	2013-08-04 17:31:52.280769
28867	7	2013-08-02 16:06:02.380955	2013-08-02 16:06:02.380955
28869	9	2013-08-02 16:06:02.385713	2013-08-02 16:06:02.385713
14175	2	2013-08-02 16:05:31.124397	2013-08-04 17:31:52.285177
28880	2	2013-08-02 16:06:02.411829	2013-08-04 17:31:52.292076
28874	14	2013-08-02 16:06:02.397608	2013-08-02 16:06:02.397608
28808	2	2013-08-02 16:06:02.233692	2013-08-04 17:31:52.303469
28788	2	2013-08-02 16:06:02.185019	2013-08-04 17:31:52.315176
28813	21	2013-08-02 16:06:02.247143	2013-08-04 17:33:54.439115
28882	2	2013-08-02 16:06:02.416589	2013-08-02 16:06:02.416589
28785	21	2013-08-02 16:06:02.178872	2013-08-03 19:22:37.120581
28884	4	2013-08-02 16:06:02.421356	2013-08-02 16:06:02.421356
28887	7	2013-08-02 16:06:02.428427	2013-08-02 16:06:02.428427
28775	4	2013-08-02 16:06:02.164173	2013-08-03 18:43:49.366344
28815	2	2013-08-02 16:06:02.252459	2013-08-03 18:43:49.368287
28811	14	2013-08-02 16:06:02.241771	2013-08-04 17:34:53.64861
28765	21	2013-08-02 16:06:02.1509	2013-08-03 19:22:37.124289
28745	21	2013-08-02 16:06:02.125808	2013-08-03 19:22:37.128317
28738	21	2013-08-02 16:06:02.119328	2013-08-03 19:22:39.143502
28858	4	2013-08-02 16:06:02.359516	2013-08-03 19:22:39.575328
28845	9	2013-08-02 16:06:02.328608	2013-08-03 19:25:18.985474
28885	7	2013-08-02 16:06:02.423694	2013-08-03 19:25:18.993162
28817	21	2013-08-02 16:06:02.257827	2013-08-03 19:42:21.973609
28797	21	2013-08-02 16:06:02.203966	2013-08-03 19:42:21.97516
28871	9	2013-08-02 16:06:02.390524	2013-08-04 17:34:53.653358
28757	7	2013-08-02 16:06:02.1389	2013-08-04 17:34:53.655659
34218	4	2013-08-02 16:06:15.151939	2013-08-03 20:08:28.495206
28737	2	2013-08-02 16:06:02.11832	2013-08-04 17:36:49.013018
28740	2	2013-08-02 16:06:02.1213	2013-08-04 17:36:49.357676
33640	9	2013-08-02 16:06:14.284524	2013-08-03 20:08:28.567911
10931	7	2013-08-02 16:05:24.350933	2013-08-03 20:08:28.570132
28851	21	2013-08-02 16:06:02.342874	2013-08-04 17:36:49.416976
28860	2	2013-08-02 16:06:02.364265	2013-08-04 17:36:49.653923
28810	2	2013-08-02 16:06:02.239097	2013-08-04 17:36:50.392407
28831	2	2013-08-02 16:06:02.293928	2013-08-04 17:36:52.288992
28771	14	2013-08-02 16:06:02.158368	2013-08-04 17:36:52.722391
28857	21	2013-08-02 16:06:02.357163	2013-08-04 17:38:20.483868
28751	14	2013-08-02 16:06:02.13276	2013-08-04 18:22:29.212986
28879	14	2013-08-02 16:06:02.409471	2013-08-04 18:22:29.220434
28859	14	2013-08-02 16:06:02.36189	2013-08-04 18:22:29.225435
28833	14	2013-08-02 16:06:02.298911	2013-08-04 18:22:29.22981
28839	14	2013-08-02 16:06:02.313342	2013-08-04 18:22:29.235404
28819	14	2013-08-02 16:06:02.263051	2013-08-04 18:22:29.23971
28799	14	2013-08-02 16:06:02.209234	2013-08-04 18:22:29.243717
28779	14	2013-08-02 16:06:02.169181	2013-08-04 18:22:29.248497
28759	14	2013-08-02 16:06:02.141232	2013-08-04 18:22:29.254172
28875	14	2013-08-02 16:06:02.399961	2013-08-04 18:22:29.260003
28739	14	2013-08-02 16:06:02.120118	2013-08-04 18:22:29.264241
39343	14	2013-08-02 16:06:26.953959	2013-08-04 18:22:29.26818
28777	7	2013-08-02 16:06:02.166886	2013-08-04 18:22:31.039805
28889	9	2013-08-02 16:06:02.433184	2013-08-02 16:06:02.433184
28946	2	2013-08-02 16:06:02.714321	2013-08-04 17:21:50.074684
28894	14	2013-08-02 16:06:02.445296	2013-08-02 16:06:02.445296
29032	21	2013-08-02 16:06:02.870559	2013-08-03 20:22:31.648221
28965	14	2013-08-02 16:06:02.735136	2013-08-03 22:09:23.260952
28916	9	2013-08-02 16:06:02.497804	2013-08-04 20:25:04.292965
28926	2	2013-08-02 16:06:02.694682	2013-08-04 17:21:50.087663
28936	7	2013-08-02 16:06:02.704913	2013-08-04 20:25:04.300426
28902	2	2013-08-02 16:06:02.464573	2013-08-02 16:06:02.464573
28997	9	2013-08-02 16:06:02.78578	2013-08-03 20:29:50.549173
28904	4	2013-08-02 16:06:02.469338	2013-08-02 16:06:02.469338
29021	4	2013-08-02 16:06:02.841177	2013-08-03 22:09:23.282118
28907	7	2013-08-02 16:06:02.476438	2013-08-02 16:06:02.476438
28909	9	2013-08-02 16:06:02.481156	2013-08-02 16:06:02.481156
28961	2	2013-08-02 16:06:02.730417	2013-08-04 17:21:50.099536
28996	4	2013-08-02 16:06:02.783658	2013-08-04 20:25:04.311787
29001	9	2013-08-02 16:06:02.793948	2013-08-03 22:09:23.302161
28914	14	2013-08-02 16:06:02.493051	2013-08-02 16:06:02.493051
29036	2	2013-08-02 16:06:02.881199	2013-08-04 20:25:04.319595
29016	2	2013-08-02 16:06:02.827694	2013-08-04 20:27:33.723604
28976	21	2013-08-02 16:06:02.753379	2013-08-04 20:27:33.77332
23499	4	2013-08-02 16:05:51.39382	2013-08-04 17:26:56.026546
28922	2	2013-08-02 16:06:02.512022	2013-08-02 16:06:02.512022
28924	4	2013-08-02 16:06:02.692353	2013-08-02 16:06:02.692353
28890	2	2013-08-02 16:06:02.435638	2013-08-03 22:21:47.854228
28956	2	2013-08-02 16:06:02.72433	2013-08-04 20:27:34.134613
28927	7	2013-08-02 16:06:02.695693	2013-08-02 16:06:02.695693
28896	21	2013-08-02 16:06:02.450067	2013-08-04 20:27:34.586081
28929	9	2013-08-02 16:06:02.697758	2013-08-02 16:06:02.697758
23543	4	2013-08-02 16:05:51.483064	2013-08-04 17:26:56.030601
28951	7	2013-08-02 16:06:02.719349	2013-08-04 20:27:35.478637
23479	4	2013-08-02 16:05:51.346605	2013-08-04 17:26:56.034479
28957	4	2013-08-02 16:06:02.725702	2013-08-04 20:27:36.783405
28934	14	2013-08-02 16:06:02.702871	2013-08-02 16:06:02.702871
23459	4	2013-08-02 16:05:51.296938	2013-08-04 17:26:56.038545
28930	14	2013-08-02 16:06:02.698795	2013-08-03 22:22:20.405393
14946	7	2013-08-02 16:05:32.982684	2013-08-04 20:27:37.147791
28915	2	2013-08-02 16:06:02.495404	2013-08-04 20:27:37.207694
23439	4	2013-08-02 16:05:51.24911	2013-08-04 17:26:56.04549
23419	4	2013-08-02 16:05:51.197979	2013-08-04 17:26:56.055656
28942	2	2013-08-02 16:06:02.71067	2013-08-02 16:06:02.71067
28935	14	2013-08-02 16:06:02.7039	2013-08-03 18:49:13.597272
28944	4	2013-08-02 16:06:02.712291	2013-08-02 16:06:02.712291
28947	7	2013-08-02 16:06:02.715325	2013-08-02 16:06:02.715325
28949	9	2013-08-02 16:06:02.717338	2013-08-02 16:06:02.717338
23399	4	2013-08-02 16:05:51.14625	2013-08-04 17:26:56.06628
29010	9	2013-08-02 16:06:02.811773	2013-08-03 22:22:20.413441
28954	14	2013-08-02 16:06:02.722317	2013-08-02 16:06:02.722317
29030	7	2013-08-02 16:06:02.865243	2013-08-03 22:22:20.416486
23278	4	2013-08-02 16:05:50.845902	2013-08-04 17:26:56.07764
23308	4	2013-08-02 16:05:50.918364	2013-08-04 17:26:56.089093
28962	2	2013-08-02 16:06:02.731516	2013-08-02 16:06:02.731516
28964	4	2013-08-02 16:06:02.733833	2013-08-02 16:06:02.733833
13673	4	2013-08-02 16:05:29.947995	2013-08-04 17:26:56.100523
28967	7	2013-08-02 16:06:02.738001	2013-08-02 16:06:02.738001
28969	9	2013-08-02 16:06:02.743159	2013-08-02 16:06:02.743159
23377	4	2013-08-02 16:05:51.086821	2013-08-04 17:26:56.110868
28970	14	2013-08-02 16:06:02.745864	2013-08-03 22:25:22.08668
28974	14	2013-08-02 16:06:02.751316	2013-08-02 16:06:02.751316
23379	4	2013-08-02 16:05:51.092008	2013-08-04 17:26:56.114567
15046	2	2013-08-02 16:05:33.289279	2013-08-03 22:40:40.964963
28910	2	2013-08-02 16:06:02.483494	2013-08-03 22:44:24.253854
3035	4	2013-08-02 16:05:09.496289	2013-08-04 17:26:56.118229
14952	2	2013-08-02 16:05:32.997126	2013-08-04 17:31:53.253705
28982	2	2013-08-02 16:06:02.761946	2013-08-02 16:06:02.761946
16618	2	2013-08-02 16:05:35.899711	2013-08-03 23:54:19.909181
28984	4	2013-08-02 16:06:02.76417	2013-08-02 16:06:02.76417
28980	2	2013-08-02 16:06:02.758378	2013-08-04 17:31:53.26499
28987	7	2013-08-02 16:06:02.767719	2013-08-02 16:06:02.767719
28989	9	2013-08-02 16:06:02.771146	2013-08-02 16:06:02.771146
28895	21	2013-08-02 16:06:02.447673	2013-08-04 17:31:54.823184
28994	14	2013-08-02 16:06:02.779981	2013-08-02 16:06:02.779981
14499	9	2013-08-02 16:05:31.989605	2013-08-03 23:54:19.953093
29002	2	2013-08-02 16:06:02.796078	2013-08-02 16:06:02.796078
29004	4	2013-08-02 16:06:02.799713	2013-08-02 16:06:02.799713
14519	7	2013-08-02 16:05:32.038324	2013-08-03 23:54:19.957126
29007	7	2013-08-02 16:06:02.804319	2013-08-02 16:06:02.804319
29009	9	2013-08-02 16:06:02.809334	2013-08-02 16:06:02.809334
14583	4	2013-08-02 16:05:32.183264	2013-08-04 17:31:54.882757
29014	14	2013-08-02 16:06:02.822366	2013-08-02 16:06:02.822366
28988	4	2013-08-02 16:06:02.769242	2013-08-04 17:31:54.893482
28968	4	2013-08-02 16:06:02.740345	2013-08-04 17:31:54.904995
9291	4	2013-08-02 16:05:21.983456	2013-08-03 23:58:34.48878
29015	9	2013-08-02 16:06:02.825042	2013-08-04 17:31:54.927557
28948	9	2013-08-02 16:06:02.716328	2013-08-04 17:31:54.939137
29022	2	2013-08-02 16:06:02.843779	2013-08-02 16:06:02.843779
28928	9	2013-08-02 16:06:02.696728	2013-08-04 17:31:54.950708
29024	4	2013-08-02 16:06:02.849178	2013-08-02 16:06:02.849178
28908	2	2013-08-02 16:06:02.478791	2013-08-04 17:31:54.974444
29027	7	2013-08-02 16:06:02.857187	2013-08-02 16:06:02.857187
29029	9	2013-08-02 16:06:02.862553	2013-08-02 16:06:02.862553
28891	2	2013-08-02 16:06:02.438076	2013-08-04 17:34:53.661337
29034	14	2013-08-02 16:06:02.875855	2013-08-02 16:06:02.875855
28911	14	2013-08-02 16:06:02.48589	2013-08-04 17:36:51.147263
29042	2	2013-08-02 16:06:02.896258	2013-08-02 16:06:02.896258
29035	9	2013-08-02 16:06:02.878515	2013-08-03 18:49:13.605433
29044	4	2013-08-02 16:06:02.901074	2013-08-02 16:06:02.901074
28900	9	2013-08-02 16:06:02.459784	2013-08-03 19:08:43.721078
28940	7	2013-08-02 16:06:02.708954	2013-08-03 19:08:43.728409
28991	14	2013-08-02 16:06:02.774239	2013-08-04 17:38:58.199523
29000	4	2013-08-02 16:06:02.791819	2013-08-03 19:08:43.739428
29020	2	2013-08-02 16:06:02.838508	2013-08-03 19:12:34.737666
29038	21	2013-08-02 16:06:02.886502	2013-08-03 19:22:39.435623
29018	21	2013-08-02 16:06:02.833103	2013-08-03 19:22:39.43886
28998	21	2013-08-02 16:06:02.787855	2013-08-03 19:22:39.442303
28978	21	2013-08-02 16:06:02.755136	2013-08-03 19:22:39.445694
28958	9	2013-08-02 16:06:02.726853	2013-08-03 19:22:39.463251
28938	14	2013-08-02 16:06:02.706931	2013-08-03 19:22:39.485608
28905	4	2013-08-02 16:06:02.471685	2013-08-03 19:25:19.000517
28945	2	2013-08-02 16:06:02.713311	2013-08-03 19:25:19.009344
15026	9	2013-08-02 16:05:33.265897	2013-08-04 17:38:58.205759
29045	2	2013-08-02 16:06:02.903802	2013-08-03 19:27:37.596821
29025	9	2013-08-02 16:06:02.85182	2013-08-03 19:27:37.619626
29005	14	2013-08-02 16:06:02.801252	2013-08-03 19:27:37.642618
28897	9	2013-08-02 16:06:02.452421	2013-08-03 19:42:38.305034
28917	7	2013-08-02 16:06:02.500152	2013-08-03 19:42:38.308288
28921	21	2013-08-02 16:06:02.509668	2013-08-04 17:39:03.487621
28977	4	2013-08-02 16:06:02.75426	2013-08-03 19:42:38.314249
29031	21	2013-08-02 16:06:02.867876	2013-08-04 17:41:51.127065
29011	2	2013-08-02 16:06:02.814382	2013-08-04 17:41:51.244789
28971	2	2013-08-02 16:06:02.748678	2013-08-04 17:41:51.404982
14986	14	2013-08-02 16:05:33.079118	2013-08-03 20:08:28.591948
28990	21	2013-08-02 16:06:02.772254	2013-08-04 17:53:53.835314
15066	9	2013-08-02 16:05:33.318064	2013-08-03 20:08:28.597274
28995	4	2013-08-02 16:06:02.782111	2013-08-04 18:22:30.869871
29039	4	2013-08-02 16:06:02.888996	2013-08-04 18:22:30.878356
28931	4	2013-08-02 16:06:02.699809	2013-08-04 18:22:30.889019
29019	4	2013-08-02 16:06:02.835789	2013-08-04 18:22:30.899722
29008	4	2013-08-02 16:06:02.806791	2013-08-04 18:22:30.910432
28999	4	2013-08-02 16:06:02.789418	2013-08-04 18:22:30.921977
29028	4	2013-08-02 16:06:02.859831	2013-08-04 18:22:30.933549
28920	4	2013-08-02 16:06:02.507309	2013-08-04 18:22:30.944236
28979	7	2013-08-02 16:06:02.756012	2013-08-04 18:22:30.965586
28959	7	2013-08-02 16:06:02.728065	2013-08-04 18:22:30.975901
28939	7	2013-08-02 16:06:02.707937	2013-08-04 18:22:30.986493
28919	7	2013-08-02 16:06:02.504951	2013-08-04 18:22:30.997218
29057	14	2013-08-02 16:06:02.93553	2013-08-04 20:27:37.040656
29047	7	2013-08-02 16:06:02.909373	2013-08-02 16:06:02.909373
29171	14	2013-08-02 16:06:03.237823	2013-08-04 20:27:37.049744
29049	9	2013-08-02 16:06:02.914487	2013-08-02 16:06:02.914487
29196	14	2013-08-02 16:06:03.302982	2013-08-04 20:27:37.061111
29101	21	2013-08-02 16:06:03.051131	2013-08-03 22:09:23.184815
29176	14	2013-08-02 16:06:03.251021	2013-08-04 20:27:37.073038
29054	14	2013-08-02 16:06:02.927632	2013-08-02 16:06:02.927632
15080	2	2013-08-02 16:05:33.342069	2013-08-03 20:14:12.128964
29160	21	2013-08-02 16:06:03.208776	2013-08-04 17:21:53.566856
29156	14	2013-08-02 16:06:03.198054	2013-08-04 20:27:37.079409
29136	2	2013-08-02 16:06:03.14488	2013-08-04 20:27:37.096393
29186	4	2013-08-02 16:06:03.27741	2013-08-04 17:21:53.585791
29062	2	2013-08-02 16:06:02.947786	2013-08-02 16:06:02.947786
29116	2	2013-08-02 16:06:03.091248	2013-08-04 20:27:37.102109
29064	4	2013-08-02 16:06:02.952805	2013-08-02 16:06:02.952805
15051	2	2013-08-02 16:05:33.295481	2013-08-04 20:27:37.107052
29067	7	2013-08-02 16:06:02.960742	2013-08-02 16:06:02.960742
29096	2	2013-08-02 16:06:03.036294	2013-08-04 20:27:37.112193
29069	9	2013-08-02 16:06:02.966074	2013-08-02 16:06:02.966074
29076	2	2013-08-02 16:06:02.984257	2013-08-04 20:27:37.117079
29072	2	2013-08-02 16:06:02.974087	2013-08-04 20:27:37.122566
29141	14	2013-08-02 16:06:03.157781	2013-08-03 22:11:23.094729
29056	7	2013-08-02 16:06:02.932905	2013-08-04 20:27:37.133981
29074	14	2013-08-02 16:06:02.979147	2013-08-02 16:06:02.979147
29121	7	2013-08-02 16:06:03.104561	2013-08-04 20:27:37.138425
29112	14	2013-08-02 16:06:03.08058	2013-08-03 20:24:25.531015
15866	21	2013-08-02 16:05:34.272707	2013-08-03 22:11:43.153344
3654	7	2013-08-02 16:05:10.888721	2013-08-04 20:27:37.143054
29166	4	2013-08-02 16:06:03.224736	2013-08-04 17:21:53.591816
29082	2	2013-08-02 16:06:03.000103	2013-08-02 16:06:03.000103
29075	7	2013-08-02 16:06:02.981652	2013-08-03 18:49:13.608122
29084	4	2013-08-02 16:06:03.005308	2013-08-02 16:06:03.005308
29050	4	2013-08-02 16:06:02.917113	2013-08-03 22:22:20.420268
29087	7	2013-08-02 16:06:03.012633	2013-08-02 16:06:03.012633
29089	9	2013-08-02 16:06:03.017461	2013-08-02 16:06:03.017461
3641	9	2013-08-02 16:05:10.858883	2013-08-04 03:00:23.489151
29094	14	2013-08-02 16:06:03.029484	2013-08-02 16:06:03.029484
29052	9	2013-08-02 16:06:02.922416	2013-08-03 21:30:42.709698
29090	2	2013-08-02 16:06:03.019846	2013-08-03 22:22:20.423032
2987	4	2013-08-02 16:05:09.442503	2013-08-04 17:26:56.121571
29102	2	2013-08-02 16:06:03.053769	2013-08-02 16:06:03.053769
29104	4	2013-08-02 16:06:03.059119	2013-08-02 16:06:03.059119
25690	14	2013-08-02 16:05:55.509105	2013-08-03 21:45:38.925815
29107	7	2013-08-02 16:06:03.067168	2013-08-02 16:06:03.067168
29109	9	2013-08-02 16:06:03.07246	2013-08-02 16:06:03.07246
1786	7	2013-08-02 16:05:07.421201	2013-08-04 17:28:29.981184
29114	14	2013-08-02 16:06:03.085913	2013-08-02 16:06:03.085913
15997	2	2013-08-02 16:05:34.422386	2013-08-03 21:45:38.953693
29122	2	2013-08-02 16:06:03.107057	2013-08-02 16:06:03.107057
29124	4	2013-08-02 16:06:03.112399	2013-08-02 16:06:03.112399
24930	14	2013-08-02 16:05:53.676526	2013-08-03 21:50:50.016666
29127	7	2013-08-02 16:06:03.120199	2013-08-02 16:06:03.120199
29129	9	2013-08-02 16:06:03.125812	2013-08-02 16:06:03.125812
3634	2	2013-08-02 16:05:10.847098	2013-08-04 17:28:29.985156
29110	21	2013-08-02 16:06:03.075201	2013-08-03 22:24:24.25768
29134	14	2013-08-02 16:06:03.13925	2013-08-02 16:06:03.13925
29130	14	2013-08-02 16:06:03.128457	2013-08-03 22:25:21.868036
29142	2	2013-08-02 16:06:03.160432	2013-08-02 16:06:03.160432
29135	4	2013-08-02 16:06:03.142136	2013-08-03 18:49:13.613085
29144	4	2013-08-02 16:06:03.165792	2013-08-02 16:06:03.165792
29177	9	2013-08-02 16:06:03.253689	2013-08-03 22:25:21.883023
29147	7	2013-08-02 16:06:03.173892	2013-08-02 16:06:03.173892
29149	9	2013-08-02 16:06:03.179268	2013-08-02 16:06:03.179268
36503	14	2013-08-02 16:06:21.024899	2013-08-04 17:28:42.265259
29154	14	2013-08-02 16:06:03.192704	2013-08-02 16:06:03.192704
35615	7	2013-08-02 16:06:18.825457	2013-08-04 17:38:58.208631
29162	2	2013-08-02 16:06:03.214092	2013-08-02 16:06:03.214092
29091	4	2013-08-02 16:06:03.022251	2013-08-04 17:38:58.212445
29164	4	2013-08-02 16:06:03.219442	2013-08-02 16:06:03.219442
29167	7	2013-08-02 16:06:03.22737	2013-08-02 16:06:03.22737
29169	9	2013-08-02 16:06:03.232734	2013-08-02 16:06:03.232734
24910	2	2013-08-02 16:05:53.656873	2013-08-04 17:38:58.214798
29174	14	2013-08-02 16:06:03.245649	2013-08-02 16:06:03.245649
29071	21	2013-08-02 16:06:02.97143	2013-08-04 17:39:08.255456
29111	2	2013-08-02 16:06:03.077915	2013-08-04 17:41:50.110231
29092	21	2013-08-02 16:06:03.024707	2013-08-04 17:41:50.143008
29051	2	2013-08-02 16:06:02.91976	2013-08-04 17:41:51.09619
29182	2	2013-08-02 16:06:03.26702	2013-08-02 16:06:03.26702
29175	2	2013-08-02 16:06:03.248293	2013-08-03 18:49:13.616897
29184	4	2013-08-02 16:06:03.272391	2013-08-02 16:06:03.272391
29131	21	2013-08-02 16:06:03.13115	2013-08-04 17:43:55.468547
29187	7	2013-08-02 16:06:03.279989	2013-08-02 16:06:03.279989
29189	9	2013-08-02 16:06:03.285319	2013-08-02 16:06:03.285319
29194	14	2013-08-02 16:06:03.29785	2013-08-02 16:06:03.29785
29180	14	2013-08-02 16:06:03.261659	2013-08-04 17:44:32.157266
29202	2	2013-08-02 16:06:03.31931	2013-08-02 16:06:03.31931
29155	14	2013-08-02 16:06:03.195356	2013-08-03 18:49:48.938461
29190	21	2013-08-02 16:06:03.287788	2013-08-04 17:44:46.325219
29140	4	2013-08-02 16:06:03.155132	2013-08-03 19:12:37.251535
29100	2	2013-08-02 16:06:03.048609	2013-08-03 19:12:37.268339
29080	7	2013-08-02 16:06:02.994818	2013-08-03 19:12:37.277873
29118	21	2013-08-02 16:06:03.09662	2013-08-03 19:22:39.42448
29098	21	2013-08-02 16:06:03.043264	2013-08-03 19:22:39.428387
29078	21	2013-08-02 16:06:02.989653	2013-08-03 19:22:39.431284
29058	21	2013-08-02 16:06:02.938	2013-08-03 19:22:39.433379
29185	21	2013-08-02 16:06:03.274895	2013-08-03 19:27:37.487389
29165	21	2013-08-02 16:06:03.222078	2013-08-03 19:27:37.490795
29145	21	2013-08-02 16:06:03.168432	2013-08-03 19:27:37.494354
29125	21	2013-08-02 16:06:03.115053	2013-08-03 19:27:37.497796
29115	21	2013-08-02 16:06:03.0886	2013-08-03 19:27:37.501022
29105	21	2013-08-02 16:06:03.061824	2013-08-03 19:27:37.504584
29097	14	2013-08-02 16:06:03.040405	2013-08-03 19:42:57.532412
29191	21	2013-08-02 16:06:03.290265	2013-08-04 17:46:50.622323
29157	21	2013-08-02 16:06:03.200728	2013-08-04 17:46:50.833995
29197	9	2013-08-02 16:06:03.305619	2013-08-03 19:42:57.54312
29077	7	2013-08-02 16:06:02.986949	2013-08-03 19:47:27.94287
15086	7	2013-08-02 16:05:33.353202	2013-08-03 20:08:28.599465
29070	21	2013-08-02 16:06:02.968764	2013-08-04 17:53:53.838062
15130	4	2013-08-02 16:05:33.433885	2013-08-03 20:08:28.601832
29079	21	2013-08-02 16:06:02.992304	2013-08-04 18:22:30.852532
15126	2	2013-08-02 16:05:33.429895	2013-08-03 20:08:28.603656
29059	4	2013-08-02 16:06:02.940405	2013-08-04 18:22:30.862111
29200	14	2013-08-02 16:06:03.313981	2013-08-04 18:27:20.637244
29199	14	2013-08-02 16:06:03.310929	2013-08-04 18:27:20.644119
29151	14	2013-08-02 16:06:03.184664	2013-08-04 18:27:20.650825
29179	2	2013-08-02 16:06:03.259001	2013-08-04 18:27:20.660619
29159	2	2013-08-02 16:06:03.206069	2013-08-04 18:27:20.666091
29139	2	2013-08-02 16:06:03.152435	2013-08-04 18:27:20.672299
29119	2	2013-08-02 16:06:03.099267	2013-08-04 18:27:20.677792
29099	2	2013-08-02 16:06:03.045727	2013-08-04 18:27:20.682853
43703	2	2013-08-02 16:06:36.455613	2013-08-04 18:27:20.688586
29212	7	2013-08-02 16:06:03.346004	2013-08-03 20:24:25.539838
29204	4	2013-08-02 16:06:03.324765	2013-08-02 16:06:03.324765
29235	21	2013-08-02 16:06:03.403439	2013-08-04 20:27:37.018858
29216	14	2013-08-02 16:06:03.356723	2013-08-04 20:27:37.031849
29207	7	2013-08-02 16:06:03.33264	2013-08-02 16:06:03.33264
29209	9	2013-08-02 16:06:03.33798	2013-08-02 16:06:03.33798
3694	7	2013-08-02 16:05:10.988624	2013-08-04 03:00:23.49637
29214	14	2013-08-02 16:06:03.351334	2013-08-02 16:06:03.351334
29276	14	2013-08-02 16:06:03.501895	2013-08-04 20:28:58.731648
29272	4	2013-08-02 16:06:03.492434	2013-08-03 20:24:25.545157
29305	2	2013-08-02 16:06:03.571391	2013-08-04 17:26:49.658103
29292	2	2013-08-02 16:06:03.539962	2013-08-03 20:24:25.548964
3737	4	2013-08-02 16:05:11.097418	2013-08-04 03:00:23.507313
29222	2	2013-08-02 16:06:03.372004	2013-08-02 16:06:03.372004
29224	4	2013-08-02 16:06:03.377155	2013-08-02 16:06:03.377155
29237	2	2013-08-02 16:06:03.408211	2013-08-04 17:26:49.670213
29227	7	2013-08-02 16:06:03.38432	2013-08-02 16:06:03.38432
29229	9	2013-08-02 16:06:03.389143	2013-08-02 16:06:03.389143
3717	2	2013-08-02 16:05:11.044885	2013-08-04 03:00:23.514596
29236	21	2013-08-02 16:06:03.405808	2013-08-04 20:28:58.913508
29234	14	2013-08-02 16:06:03.401092	2013-08-02 16:06:03.401092
29245	7	2013-08-02 16:06:03.427312	2013-08-03 22:25:21.886576
29256	21	2013-08-02 16:06:03.45427	2013-08-04 20:29:12.08539
29356	21	2013-08-02 16:06:03.694533	2013-08-04 20:32:40.175097
29325	2	2013-08-02 16:06:03.620729	2013-08-04 17:26:49.681614
29316	2	2013-08-02 16:06:03.598851	2013-08-04 20:32:40.290736
29242	2	2013-08-02 16:06:03.420182	2013-08-02 16:06:03.420182
29255	14	2013-08-02 16:06:03.45186	2013-08-03 18:49:38.116259
29244	4	2013-08-02 16:06:03.424963	2013-08-02 16:06:03.424963
29336	4	2013-08-02 16:06:03.647013	2013-08-04 20:32:42.247314
29247	7	2013-08-02 16:06:03.431939	2013-08-02 16:06:03.431939
29296	2	2013-08-02 16:06:03.549547	2013-08-04 20:32:42.792602
29249	9	2013-08-02 16:06:03.436965	2013-08-02 16:06:03.436965
24291	2	2013-08-02 16:05:52.7821	2013-08-04 03:00:36.948839
29295	2	2013-08-02 16:06:03.547129	2013-08-04 20:32:42.80206
29270	4	2013-08-02 16:06:03.487747	2013-08-03 22:25:21.891009
29352	7	2013-08-02 16:06:03.685062	2013-08-04 20:32:42.961808
29254	14	2013-08-02 16:06:03.44946	2013-08-02 16:06:03.44946
29252	9	2013-08-02 16:06:03.444506	2013-08-03 20:27:32.437537
29260	9	2013-08-02 16:06:03.463856	2013-08-03 20:27:32.447309
29332	4	2013-08-02 16:06:03.637433	2013-08-03 21:30:42.611795
29262	2	2013-08-02 16:06:03.468712	2013-08-02 16:06:03.468712
29264	4	2013-08-02 16:06:03.473463	2013-08-02 16:06:03.473463
26521	21	2013-08-02 16:05:57.303434	2013-08-03 21:45:38.999411
29267	7	2013-08-02 16:06:03.48066	2013-08-02 16:06:03.48066
29269	9	2013-08-02 16:06:03.48539	2013-08-02 16:06:03.48539
29310	2	2013-08-02 16:06:03.584214	2013-08-03 22:25:21.893289
29274	14	2013-08-02 16:06:03.497195	2013-08-02 16:06:03.497195
34655	21	2013-08-02 16:06:16.219116	2013-08-03 21:45:39.000428
26445	7	2013-08-02 16:05:57.102337	2013-08-03 21:45:39.037318
29282	2	2013-08-02 16:06:03.516101	2013-08-02 16:06:03.516101
29284	4	2013-08-02 16:06:03.520716	2013-08-02 16:06:03.520716
47363	21	2013-08-02 16:06:44.881866	2013-08-03 21:45:39.0639
29287	7	2013-08-02 16:06:03.527866	2013-08-02 16:06:03.527866
29289	9	2013-08-02 16:06:03.532728	2013-08-02 16:06:03.532728
29294	14	2013-08-02 16:06:03.544766	2013-08-02 16:06:03.544766
29350	14	2013-08-02 16:06:03.680325	2013-08-03 22:31:29.824175
12691	9	2013-08-02 16:05:28.495837	2013-08-04 17:28:42.359305
29302	2	2013-08-02 16:06:03.564229	2013-08-02 16:06:03.564229
29304	4	2013-08-02 16:06:03.569035	2013-08-02 16:06:03.569035
29307	7	2013-08-02 16:06:03.576574	2013-08-02 16:06:03.576574
29309	9	2013-08-02 16:06:03.58175	2013-08-02 16:06:03.58175
29314	14	2013-08-02 16:06:03.594093	2013-08-02 16:06:03.594093
29330	14	2013-08-02 16:06:03.632689	2013-08-03 22:34:29.158572
29345	9	2013-08-02 16:06:03.668445	2013-08-03 22:36:12.112818
3207	4	2013-08-02 16:05:09.811058	2013-08-04 17:28:42.37158
39523	2	2013-08-02 16:06:27.201404	2013-08-04 17:28:42.379108
29322	2	2013-08-02 16:06:03.613436	2013-08-02 16:06:03.613436
29324	4	2013-08-02 16:06:03.618342	2013-08-02 16:06:03.618342
29297	2	2013-08-02 16:06:03.551892	2013-08-04 17:36:49.315997
29327	7	2013-08-02 16:06:03.625543	2013-08-02 16:06:03.625543
29329	9	2013-08-02 16:06:03.630321	2013-08-02 16:06:03.630321
29215	2	2013-08-02 16:06:03.354036	2013-08-04 17:36:49.322136
29265	2	2013-08-02 16:06:03.475838	2013-08-04 17:36:49.327538
29334	14	2013-08-02 16:06:03.642223	2013-08-02 16:06:03.642223
29358	2	2013-08-02 16:06:03.699292	2013-08-04 17:36:49.331963
29348	2	2013-08-02 16:06:03.675536	2013-08-04 17:36:49.336621
29328	2	2013-08-02 16:06:03.62796	2013-08-04 17:36:49.340837
29308	2	2013-08-02 16:06:03.579144	2013-08-04 17:36:49.348378
29342	2	2013-08-02 16:06:03.661318	2013-08-02 16:06:03.661318
29355	9	2013-08-02 16:06:03.69216	2013-08-03 18:49:38.135808
29344	4	2013-08-02 16:06:03.666047	2013-08-02 16:06:03.666047
29347	7	2013-08-02 16:06:03.673194	2013-08-02 16:06:03.673194
29349	9	2013-08-02 16:06:03.677945	2013-08-02 16:06:03.677945
29251	9	2013-08-02 16:06:03.441909	2013-08-04 17:44:32.171709
29354	14	2013-08-02 16:06:03.689796	2013-08-02 16:06:03.689796
20658	7	2013-08-02 16:05:44.554582	2013-08-04 17:44:32.178563
29340	21	2013-08-02 16:06:03.656525	2013-08-03 19:12:37.114272
29320	21	2013-08-02 16:06:03.608456	2013-08-03 19:12:37.116094
29300	21	2013-08-02 16:06:03.559391	2013-08-03 19:12:37.118204
29315	4	2013-08-02 16:06:03.596466	2013-08-04 17:44:32.189555
29220	9	2013-08-02 16:06:03.366724	2013-08-03 19:12:37.174274
29278	21	2013-08-02 16:06:03.506636	2013-08-03 19:27:39.414875
29258	21	2013-08-02 16:06:03.459072	2013-08-03 19:27:39.416904
29238	21	2013-08-02 16:06:03.410616	2013-08-03 19:27:39.418167
29331	2	2013-08-02 16:06:03.635053	2013-08-04 17:44:32.19701
29290	21	2013-08-02 16:06:03.53515	2013-08-04 17:44:46.359046
29225	2	2013-08-02 16:06:03.379552	2013-08-03 19:29:58.409078
29211	21	2013-08-02 16:06:03.343304	2013-08-04 17:44:51.553109
29240	9	2013-08-02 16:06:03.415365	2013-08-03 19:32:37.49126
29351	21	2013-08-02 16:06:03.682685	2013-08-04 17:45:02.862919
29311	2	2013-08-02 16:06:03.586648	2013-08-04 17:46:49.199423
29291	2	2013-08-02 16:06:03.537547	2013-08-04 17:46:49.55456
29271	2	2013-08-02 16:06:03.490102	2013-08-04 17:46:49.92518
29217	7	2013-08-02 16:06:03.359229	2013-08-03 19:42:57.55025
29231	21	2013-08-02 16:06:03.393896	2013-08-04 17:46:49.966516
29277	4	2013-08-02 16:06:03.504266	2013-08-03 19:42:57.561012
29317	2	2013-08-02 16:06:03.60127	2013-08-03 19:42:57.568166
29357	21	2013-08-02 16:06:03.696918	2013-08-04 17:51:50.503747
29257	14	2013-08-02 16:06:03.45669	2013-08-03 19:47:27.360224
29285	4	2013-08-02 16:06:03.523062	2013-08-03 19:47:27.851326
29338	14	2013-08-02 16:06:03.651776	2013-08-03 19:47:27.895389
29299	21	2013-08-02 16:06:03.556709	2013-08-04 18:27:20.58975
26310	14	2013-08-02 16:05:56.81148	2013-08-04 18:27:20.600404
29250	14	2013-08-02 16:06:03.439474	2013-08-04 18:27:20.607821
29279	14	2013-08-02 16:06:03.509052	2013-08-04 18:27:20.613075
29259	14	2013-08-02 16:06:03.461467	2013-08-04 18:27:20.619742
29239	14	2013-08-02 16:06:03.413	2013-08-04 18:27:20.627069
29219	14	2013-08-02 16:06:03.364205	2013-08-04 18:27:20.630641
29359	7	2013-08-02 16:06:03.701717	2013-08-04 18:27:21.838427
29339	7	2013-08-02 16:06:03.654161	2013-08-04 18:27:21.850688
29319	7	2013-08-02 16:06:03.606039	2013-08-04 18:27:21.855178
29372	14	2013-08-02 16:06:03.732938	2013-08-03 20:24:44.710028
24311	14	2013-08-02 16:05:52.802624	2013-08-04 03:00:23.651546
29362	2	2013-08-02 16:06:03.709141	2013-08-02 16:06:03.709141
29376	9	2013-08-02 16:06:03.742523	2013-08-04 20:28:58.750392
29364	4	2013-08-02 16:06:03.713951	2013-08-02 16:06:03.713951
29416	7	2013-08-02 16:06:03.846925	2013-08-04 20:28:58.757877
29367	7	2013-08-02 16:06:03.721104	2013-08-02 16:06:03.721104
29369	9	2013-08-02 16:06:03.725853	2013-08-02 16:06:03.725853
29456	4	2013-08-02 16:06:03.945956	2013-08-04 20:28:58.769013
29493	2	2013-08-02 16:06:04.037013	2013-08-04 20:28:58.776493
29374	14	2013-08-02 16:06:03.737757	2013-08-02 16:06:03.737757
29506	2	2013-08-02 16:06:04.072952	2013-08-04 17:26:51.812851
29452	9	2013-08-02 16:06:03.935584	2013-08-03 20:24:44.724694
29436	21	2013-08-02 16:06:03.897545	2013-08-04 20:28:58.916167
29486	2	2013-08-02 16:06:04.019432	2013-08-04 17:26:51.817568
29382	2	2013-08-02 16:06:03.756682	2013-08-02 16:06:03.756682
29395	7	2013-08-02 16:06:03.792033	2013-08-03 18:49:38.139143
29384	4	2013-08-02 16:06:03.763293	2013-08-02 16:06:03.763293
29492	7	2013-08-02 16:06:04.034565	2013-08-03 20:24:44.731271
29387	7	2013-08-02 16:06:03.771301	2013-08-02 16:06:03.771301
29389	9	2013-08-02 16:06:03.77615	2013-08-02 16:06:03.77615
16316	9	2013-08-02 16:05:35.116009	2013-08-04 03:00:23.666004
29496	21	2013-08-02 16:06:04.046575	2013-08-04 20:29:12.045846
29476	21	2013-08-02 16:06:03.995613	2013-08-04 20:29:23.505496
11171	21	2013-08-02 16:05:24.869544	2013-08-04 20:32:39.618071
29394	14	2013-08-02 16:06:03.789383	2013-08-02 16:06:03.789383
29396	2	2013-08-02 16:06:03.794712	2013-08-04 20:32:40.128606
29432	9	2013-08-02 16:06:03.887947	2013-08-03 22:31:29.83116
26750	14	2013-08-02 16:05:58.013599	2013-08-03 21:45:39.091273
29391	2	2013-08-02 16:06:03.781443	2013-08-04 20:32:42.782982
29516	7	2013-08-02 16:06:04.099033	2013-08-04 20:32:42.95247
29402	2	2013-08-02 16:06:03.811015	2013-08-02 16:06:03.811015
29404	4	2013-08-02 16:06:03.816308	2013-08-02 16:06:03.816308
29407	7	2013-08-02 16:06:03.824214	2013-08-02 16:06:03.824214
29409	9	2013-08-02 16:06:03.829571	2013-08-02 16:06:03.829571
16921	21	2013-08-02 16:05:36.624132	2013-08-04 03:00:23.80432
29410	7	2013-08-02 16:06:03.832191	2013-08-03 22:31:29.834815
29414	14	2013-08-02 16:06:03.841848	2013-08-02 16:06:03.841848
26798	9	2013-08-02 16:05:58.135449	2013-08-03 21:45:39.100216
26850	7	2013-08-02 16:05:58.268487	2013-08-03 21:45:39.103235
24251	21	2013-08-02 16:05:52.74681	2013-08-04 03:00:23.806993
29422	2	2013-08-02 16:06:03.862623	2013-08-02 16:06:03.862623
29424	4	2013-08-02 16:06:03.867968	2013-08-02 16:06:03.867968
29427	7	2013-08-02 16:06:03.875774	2013-08-02 16:06:03.875774
29429	9	2013-08-02 16:06:03.880729	2013-08-02 16:06:03.880729
16893	21	2013-08-02 16:05:36.550701	2013-08-04 03:00:23.809568
29434	14	2013-08-02 16:06:03.892792	2013-08-02 16:06:03.892792
3614	21	2013-08-02 16:05:10.816257	2013-08-04 03:00:23.81223
29470	4	2013-08-02 16:06:03.981264	2013-08-03 22:31:29.841236
29510	2	2013-08-02 16:06:04.083348	2013-08-03 22:31:29.844067
28893	14	2013-08-02 16:06:02.44289	2013-08-04 17:28:53.363944
29442	2	2013-08-02 16:06:03.911873	2013-08-02 16:06:03.911873
29380	21	2013-08-02 16:06:03.751936	2013-08-03 19:12:37.109094
29444	4	2013-08-02 16:06:03.916632	2013-08-02 16:06:03.916632
29447	7	2013-08-02 16:06:03.923717	2013-08-02 16:06:03.923717
29449	9	2013-08-02 16:06:03.928441	2013-08-02 16:06:03.928441
29490	21	2013-08-02 16:06:04.029486	2013-08-03 22:31:49.190115
29454	14	2013-08-02 16:06:03.940314	2013-08-02 16:06:03.940314
28950	9	2013-08-02 16:06:02.718344	2013-08-04 17:28:53.378621
29462	2	2013-08-02 16:06:03.961547	2013-08-02 16:06:03.961547
29360	21	2013-08-02 16:06:03.704199	2013-08-03 19:12:37.111809
29464	4	2013-08-02 16:06:03.966401	2013-08-02 16:06:03.966401
28955	7	2013-08-02 16:06:02.723323	2013-08-04 17:28:53.385798
29467	7	2013-08-02 16:06:03.973898	2013-08-02 16:06:03.973898
29469	9	2013-08-02 16:06:03.978852	2013-08-02 16:06:03.978852
29474	14	2013-08-02 16:06:03.990852	2013-08-02 16:06:03.990852
28993	4	2013-08-02 16:06:02.777872	2013-08-04 17:28:53.396904
29033	2	2013-08-02 16:06:02.873212	2013-08-04 17:28:53.404296
29482	2	2013-08-02 16:06:04.009948	2013-08-02 16:06:04.009948
29484	4	2013-08-02 16:06:04.014705	2013-08-02 16:06:04.014705
29487	7	2013-08-02 16:06:04.021832	2013-08-02 16:06:04.021832
29489	9	2013-08-02 16:06:04.026815	2013-08-02 16:06:04.026815
29505	14	2013-08-02 16:06:04.070496	2013-08-04 17:34:53.562957
29494	14	2013-08-02 16:06:04.039866	2013-08-02 16:06:04.039866
29448	2	2013-08-02 16:06:03.9261	2013-08-04 17:36:49.23289
29428	2	2013-08-02 16:06:03.878289	2013-08-04 17:36:49.239148
26830	2	2013-08-02 16:05:58.220376	2013-08-04 17:36:49.247778
29408	2	2013-08-02 16:06:03.826859	2013-08-04 17:36:49.256987
29502	2	2013-08-02 16:06:04.06286	2013-08-02 16:06:04.06286
29420	4	2013-08-02 16:06:03.857345	2013-08-03 19:13:16.388179
29504	4	2013-08-02 16:06:04.068013	2013-08-02 16:06:04.068013
29390	2	2013-08-02 16:06:03.778757	2013-08-04 17:36:49.267088
29507	7	2013-08-02 16:06:04.075363	2013-08-02 16:06:04.075363
29509	9	2013-08-02 16:06:04.080693	2013-08-02 16:06:04.080693
16313	2	2013-08-02 16:05:35.108025	2013-08-04 17:36:49.277757
29388	2	2013-08-02 16:06:03.773765	2013-08-04 17:36:49.289173
29514	14	2013-08-02 16:06:04.093993	2013-08-02 16:06:04.093993
29472	2	2013-08-02 16:06:03.986052	2013-08-04 17:36:49.299147
29368	2	2013-08-02 16:06:03.723452	2013-08-04 17:36:49.306364
29375	2	2013-08-02 16:06:03.740282	2013-08-04 17:36:49.310908
29437	2	2013-08-02 16:06:03.899908	2013-08-04 17:36:49.644227
29460	2	2013-08-02 16:06:03.956492	2013-08-03 19:13:16.390559
29513	2	2013-08-02 16:06:04.091299	2013-08-04 17:36:50.388054
29440	14	2013-08-02 16:06:03.907112	2013-08-03 19:17:36.537492
29443	2	2013-08-02 16:06:03.914255	2013-08-03 19:17:39.443615
29498	21	2013-08-02 16:06:04.051922	2013-08-03 19:27:39.738689
29478	14	2013-08-02 16:06:04.000415	2013-08-03 19:27:39.746786
29433	21	2013-08-02 16:06:03.890367	2013-08-04 17:38:20.485385
29438	4	2013-08-02 16:06:03.902375	2013-08-03 19:27:39.775413
29398	9	2013-08-02 16:06:03.800026	2013-08-03 19:27:39.822931
29465	21	2013-08-02 16:06:03.969007	2013-08-03 19:32:37.466057
29445	21	2013-08-02 16:06:03.918983	2013-08-03 19:32:37.467704
29425	21	2013-08-02 16:06:03.870633	2013-08-03 19:32:37.46913
29435	21	2013-08-02 16:06:03.895166	2013-08-03 19:32:37.470419
29405	21	2013-08-02 16:06:03.818979	2013-08-03 19:32:37.47188
29385	21	2013-08-02 16:06:03.766075	2013-08-03 19:32:37.472873
29365	4	2013-08-02 16:06:03.716308	2013-08-03 19:32:37.480008
29485	14	2013-08-02 16:06:04.017065	2013-08-03 19:34:28.717781
29400	14	2013-08-02 16:06:03.805674	2013-08-03 19:37:44.959479
29483	21	2013-08-02 16:06:04.012307	2013-08-03 19:47:27.760325
29497	21	2013-08-02 16:06:04.049268	2013-08-03 19:47:27.762075
29411	14	2013-08-02 16:06:03.834657	2013-08-04 17:47:55.424678
29451	9	2013-08-02 16:06:03.93322	2013-08-04 17:47:55.43167
29491	7	2013-08-02 16:06:04.031975	2013-08-04 17:47:55.434815
29378	4	2013-08-02 16:06:03.747238	2013-08-04 17:47:55.439487
29371	21	2013-08-02 16:06:03.730507	2013-08-04 17:48:06.269466
29500	21	2013-08-02 16:06:04.057541	2013-08-04 17:51:48.759373
29511	2	2013-08-02 16:06:04.086	2013-08-04 17:51:49.131527
29471	2	2013-08-02 16:06:03.98363	2013-08-04 17:51:49.366313
28941	21	2013-08-02 16:06:02.709836	2013-08-04 17:51:49.410203
29431	2	2013-08-02 16:06:03.885547	2013-08-04 17:51:49.632897
29370	21	2013-08-02 16:06:03.728239	2013-08-04 17:51:50.145473
26810	21	2013-08-02 16:05:58.168031	2013-08-04 17:51:50.501219
29412	21	2013-08-02 16:06:03.837059	2013-08-04 17:53:53.84082
29477	4	2013-08-02 16:06:03.998023	2013-08-04 18:27:21.769222
29361	4	2013-08-02 16:06:03.706669	2013-08-04 18:27:21.774482
29463	4	2013-08-02 16:06:03.963962	2013-08-04 18:27:21.77859
29499	4	2013-08-02 16:06:04.054582	2013-08-04 18:27:21.781892
29453	4	2013-08-02 16:06:03.937959	2013-08-04 18:27:21.785269
29479	4	2013-08-02 16:06:04.002822	2013-08-04 18:27:21.78864
29459	7	2013-08-02 16:06:03.953842	2013-08-04 18:27:21.797656
29450	7	2013-08-02 16:06:03.930823	2013-08-04 18:27:21.804065
29439	7	2013-08-02 16:06:03.904756	2013-08-04 18:27:21.807606
29419	7	2013-08-02 16:06:03.854698	2013-08-04 18:27:21.811395
29399	7	2013-08-02 16:06:03.802744	2013-08-04 18:27:21.815939
29379	7	2013-08-02 16:06:03.749599	2013-08-04 18:27:21.824228
29552	4	2013-08-02 16:06:04.193105	2013-08-03 20:24:44.741471
28853	14	2013-08-02 16:06:02.347629	2013-08-04 20:29:11.945998
29606	2	2013-08-02 16:06:04.327764	2013-08-04 17:26:51.746342
29522	2	2013-08-02 16:06:04.114743	2013-08-02 16:06:04.114743
29592	2	2013-08-02 16:06:04.294128	2013-08-03 20:24:44.748286
29524	4	2013-08-02 16:06:04.120037	2013-08-02 16:06:04.120037
29586	2	2013-08-02 16:06:04.279817	2013-08-04 17:26:51.758598
29527	7	2013-08-02 16:06:04.12822	2013-08-02 16:06:04.12822
29529	9	2013-08-02 16:06:04.133404	2013-08-02 16:06:04.133404
27193	2	2013-08-02 16:05:59.107045	2013-08-04 03:00:23.895061
29530	7	2013-08-02 16:06:04.135809	2013-08-03 22:36:12.115743
29616	9	2013-08-02 16:06:04.353184	2013-08-04 20:29:11.965115
29534	14	2013-08-02 16:06:04.145983	2013-08-02 16:06:04.145983
29572	14	2013-08-02 16:06:04.245869	2013-08-03 20:24:44.80409
29566	2	2013-08-02 16:06:04.23011	2013-08-04 17:26:51.769789
29656	7	2013-08-02 16:06:04.453891	2013-08-04 20:29:11.9733
29652	7	2013-08-02 16:06:04.443526	2013-08-03 20:29:50.551
29536	21	2013-08-02 16:06:04.151248	2013-08-04 20:29:12.088263
29542	2	2013-08-02 16:06:04.167022	2013-08-02 16:06:04.167022
29544	4	2013-08-02 16:06:04.172279	2013-08-02 16:06:04.172279
29636	2	2013-08-02 16:06:04.402872	2013-08-04 20:32:40.119454
29615	21	2013-08-02 16:06:04.350372	2013-08-04 20:32:40.173602
29547	7	2013-08-02 16:06:04.179933	2013-08-02 16:06:04.179933
29576	2	2013-08-02 16:06:04.255766	2013-08-04 20:32:40.286896
29549	9	2013-08-02 16:06:04.185083	2013-08-02 16:06:04.185083
29596	4	2013-08-02 16:06:04.303635	2013-08-04 20:32:42.240645
43815	4	2013-08-02 16:06:36.737793	2013-08-04 17:28:53.489798
29556	9	2013-08-02 16:06:04.203774	2013-08-04 20:32:43.765254
29554	14	2013-08-02 16:06:04.198442	2013-08-02 16:06:04.198442
29570	4	2013-08-02 16:06:04.240847	2013-08-03 22:36:12.119827
29525	9	2013-08-02 16:06:04.122828	2013-08-03 20:32:25.22981
29013	2	2013-08-02 16:06:02.819676	2013-08-04 17:31:49.370503
26910	4	2013-08-02 16:05:58.414765	2013-08-03 21:45:39.111027
3175	2	2013-08-02 16:05:09.771009	2013-08-04 17:31:49.381195
29562	2	2013-08-02 16:06:04.219867	2013-08-02 16:06:04.219867
29564	4	2013-08-02 16:06:04.224796	2013-08-02 16:06:04.224796
29610	2	2013-08-02 16:06:04.337315	2013-08-03 22:36:12.122658
29567	7	2013-08-02 16:06:04.232794	2013-08-02 16:06:04.232794
29569	9	2013-08-02 16:06:04.237949	2013-08-02 16:06:04.237949
10	2	2013-08-02 16:05:04.317744	2013-08-04 17:31:49.391857
14375	21	2013-08-02 16:05:31.683571	2013-08-04 17:31:49.502325
29574	14	2013-08-02 16:06:04.250919	2013-08-02 16:06:04.250919
26950	2	2013-08-02 16:05:58.512775	2013-08-03 21:45:39.11588
29573	9	2013-08-02 16:06:04.248485	2013-08-04 17:34:53.576894
29582	2	2013-08-02 16:06:04.27021	2013-08-02 16:06:04.27021
29584	4	2013-08-02 16:06:04.275033	2013-08-02 16:06:04.275033
26930	21	2013-08-02 16:05:58.462561	2013-08-03 21:51:01.161557
29587	7	2013-08-02 16:06:04.282206	2013-08-02 16:06:04.282206
29589	9	2013-08-02 16:06:04.286958	2013-08-02 16:06:04.286958
29593	7	2013-08-02 16:06:04.296478	2013-08-04 17:34:53.584025
29594	14	2013-08-02 16:06:04.298882	2013-08-02 16:06:04.298882
29590	21	2013-08-02 16:06:04.289345	2013-08-03 22:36:31.607949
29660	14	2013-08-02 16:06:04.642465	2013-08-03 22:40:19.991505
29633	4	2013-08-02 16:06:04.395697	2013-08-04 17:34:53.594998
29602	2	2013-08-02 16:06:04.318233	2013-08-02 16:06:04.318233
29604	4	2013-08-02 16:06:04.323009	2013-08-02 16:06:04.323009
29607	7	2013-08-02 16:06:04.330156	2013-08-02 16:06:04.330156
29609	9	2013-08-02 16:06:04.334924	2013-08-02 16:06:04.334924
29655	2	2013-08-02 16:06:04.451247	2013-08-04 17:36:48.700878
29614	14	2013-08-02 16:06:04.347582	2013-08-02 16:06:04.347582
29565	9	2013-08-02 16:06:04.227392	2013-08-03 22:40:20.716386
29613	21	2013-08-02 16:06:04.344867	2013-08-04 17:36:48.721705
29650	21	2013-08-02 16:06:04.438677	2013-08-03 22:40:41.032434
29670	2	2013-08-02 16:06:04.653211	2013-08-04 17:36:49.005131
29622	2	2013-08-02 16:06:04.368938	2013-08-02 16:06:04.368938
29635	14	2013-08-02 16:06:04.400477	2013-08-03 18:49:48.75293
29624	4	2013-08-02 16:06:04.374105	2013-08-02 16:06:04.374105
29627	7	2013-08-02 16:06:04.381359	2013-08-02 16:06:04.381359
29629	9	2013-08-02 16:06:04.386135	2013-08-02 16:06:04.386135
29553	21	2013-08-02 16:06:04.195773	2013-08-04 17:36:49.414502
29630	9	2013-08-02 16:06:04.388503	2013-08-03 22:45:09.293411
29634	14	2013-08-02 16:06:04.398086	2013-08-02 16:06:04.398086
14579	4	2013-08-02 16:05:32.174049	2013-08-03 23:54:19.960079
29517	21	2013-08-02 16:06:04.101693	2013-08-04 17:36:51.580668
14537	2	2013-08-02 16:05:32.081413	2013-08-03 23:54:19.962133
29605	2	2013-08-02 16:06:04.325382	2013-08-04 17:36:51.589036
29555	2	2013-08-02 16:06:04.201135	2013-08-04 17:36:51.597232
29642	2	2013-08-02 16:06:04.417682	2013-08-02 16:06:04.417682
29644	4	2013-08-02 16:06:04.422913	2013-08-02 16:06:04.422913
29647	7	2013-08-02 16:06:04.430899	2013-08-02 16:06:04.430899
29649	9	2013-08-02 16:06:04.43617	2013-08-02 16:06:04.43617
29668	2	2013-08-02 16:06:04.650919	2013-08-04 17:36:51.607622
29648	2	2013-08-02 16:06:04.433554	2013-08-04 17:36:51.618506
29654	14	2013-08-02 16:06:04.448585	2013-08-02 16:06:04.448585
4452	4	2013-08-02 16:05:12.619603	2013-08-03 23:54:31.563772
29628	2	2013-08-02 16:06:04.383742	2013-08-04 17:36:51.629205
16731	2	2013-08-02 16:05:36.124681	2013-08-03 23:54:31.570481
29608	2	2013-08-02 16:06:04.332521	2013-08-04 17:36:51.640234
29662	2	2013-08-02 16:06:04.644635	2013-08-02 16:06:04.644635
29531	2	2013-08-02 16:06:04.138256	2013-08-04 17:47:55.441652
29664	4	2013-08-02 16:06:04.646861	2013-08-02 16:06:04.646861
29667	7	2013-08-02 16:06:04.649906	2013-08-02 16:06:04.649906
29669	9	2013-08-02 16:06:04.652065	2013-08-02 16:06:04.652065
29551	21	2013-08-02 16:06:04.190442	2013-08-04 17:48:06.372049
29521	21	2013-08-02 16:06:04.112077	2013-08-04 17:48:25.166247
29545	14	2013-08-02 16:06:04.174782	2013-08-04 17:51:51.658128
29620	14	2013-08-02 16:06:04.363743	2013-08-03 19:17:39.274099
29560	4	2013-08-02 16:06:04.214521	2013-08-03 19:17:39.345535
29638	21	2013-08-02 16:06:04.407649	2013-08-03 19:27:39.71724
29618	21	2013-08-02 16:06:04.358364	2013-08-03 19:27:39.721423
29598	21	2013-08-02 16:06:04.30837	2013-08-03 19:27:39.725114
29578	21	2013-08-02 16:06:04.260577	2013-08-03 19:27:39.72847
29558	21	2013-08-02 16:06:04.209156	2013-08-03 19:27:39.731976
29538	21	2013-08-02 16:06:04.156632	2013-08-03 19:27:39.735238
29535	21	2013-08-02 16:06:04.14859	2013-08-03 19:27:39.736925
29518	21	2013-08-02 16:06:04.104264	2013-08-03 19:27:39.737842
29658	21	2013-08-02 16:06:04.639897	2013-08-03 19:32:39.113182
29671	14	2013-08-02 16:06:04.654303	2013-08-04 17:51:51.669715
29651	14	2013-08-02 16:06:04.441147	2013-08-04 17:51:51.681606
29585	9	2013-08-02 16:06:04.277468	2013-08-03 19:34:28.726925
29625	7	2013-08-02 16:06:04.376511	2013-08-03 19:34:28.730134
29665	4	2013-08-02 16:06:04.647896	2013-08-03 19:34:28.732808
29537	7	2013-08-02 16:06:04.153928	2013-08-03 19:50:34.277552
29631	14	2013-08-02 16:06:04.390909	2013-08-04 17:51:51.692962
29595	4	2013-08-02 16:06:04.30127	2013-08-03 19:50:34.288498
29577	14	2013-08-02 16:06:04.258166	2013-08-04 17:51:51.70425
29617	2	2013-08-02 16:06:04.355834	2013-08-03 19:50:34.29532
29611	14	2013-08-02 16:06:04.339684	2013-08-04 17:51:51.716939
29591	14	2013-08-02 16:06:04.291735	2013-08-04 17:51:51.728623
19066	14	2013-08-02 16:05:41.011056	2013-08-04 17:51:51.740632
29533	14	2013-08-02 16:06:04.143435	2013-08-04 17:51:51.752621
29640	7	2013-08-02 16:06:04.412376	2013-08-03 19:52:28.402248
29657	9	2013-08-02 16:06:04.456524	2013-08-03 19:52:28.414065
29597	14	2013-08-02 16:06:04.306005	2013-08-03 19:53:48.104512
29571	14	2013-08-02 16:06:04.243326	2013-08-04 17:51:51.764319
29575	21	2013-08-02 16:06:04.253359	2013-08-04 18:27:21.743511
29559	4	2013-08-02 16:06:04.211804	2013-08-04 18:27:21.751863
29539	4	2013-08-02 16:06:04.159272	2013-08-04 18:27:21.757299
29519	4	2013-08-02 16:06:04.10672	2013-08-04 18:27:21.763177
29580	2	2013-08-02 16:06:04.265404	2013-08-04 18:32:20.366452
29659	2	2013-08-02 16:06:04.64142	2013-08-04 18:32:20.374354
29639	2	2013-08-02 16:06:04.410035	2013-08-04 18:32:20.380449
29619	2	2013-08-02 16:06:04.361081	2013-08-04 18:32:20.385903
29599	2	2013-08-02 16:06:04.310773	2013-08-04 18:32:20.393919
29579	2	2013-08-02 16:06:04.263	2013-08-04 18:32:20.40478
29674	14	2013-08-02 16:06:04.657842	2013-08-02 16:06:04.657842
29675	4	2013-08-02 16:06:04.659362	2013-08-03 20:29:50.554666
29732	9	2013-08-02 16:06:04.759014	2013-08-03 22:12:06.232586
29712	2	2013-08-02 16:06:04.720079	2013-08-03 20:29:50.558633
11003	21	2013-08-02 16:05:24.456425	2013-08-04 03:00:23.928179
29682	2	2013-08-02 16:06:04.66903	2013-08-02 16:06:04.66903
29725	2	2013-08-02 16:06:04.745288	2013-08-03 22:14:24.466846
29684	4	2013-08-02 16:06:04.672129	2013-08-02 16:06:04.672129
29792	4	2013-08-02 16:06:04.87786	2013-08-04 20:29:11.984718
29687	7	2013-08-02 16:06:04.676755	2013-08-02 16:06:04.676755
29736	2	2013-08-02 16:06:04.766976	2013-08-04 20:29:11.991656
29689	9	2013-08-02 16:06:04.679923	2013-08-02 16:06:04.679923
29756	21	2013-08-02 16:06:04.806566	2013-08-04 20:29:12.048779
29716	21	2013-08-02 16:06:04.72759	2013-08-04 20:29:23.506449
29696	21	2013-08-02 16:06:04.691081	2013-08-04 20:32:39.615947
29694	14	2013-08-02 16:06:04.687795	2013-08-02 16:06:04.687795
29821	21	2013-08-02 16:06:04.943524	2013-08-03 22:14:25.538745
29690	9	2013-08-02 16:06:04.681494	2013-08-03 22:40:19.997622
29676	2	2013-08-02 16:06:04.660729	2013-08-04 20:32:39.859982
29765	14	2013-08-02 16:06:04.8243	2013-08-03 20:30:10.238585
29825	7	2013-08-02 16:06:04.954114	2013-08-04 20:32:42.688881
29702	2	2013-08-02 16:06:04.701718	2013-08-02 16:06:04.701718
29816	7	2013-08-02 16:06:04.930087	2013-08-04 20:32:42.699819
29704	4	2013-08-02 16:06:04.705249	2013-08-02 16:06:04.705249
29812	9	2013-08-02 16:06:04.919215	2013-08-03 20:32:25.225736
29796	7	2013-08-02 16:06:04.885705	2013-08-04 20:32:42.710802
29707	7	2013-08-02 16:06:04.710771	2013-08-02 16:06:04.710771
29776	7	2013-08-02 16:06:04.84616	2013-08-04 20:32:42.72164
29709	9	2013-08-02 16:06:04.714461	2013-08-02 16:06:04.714461
2199	21	2013-08-02 16:05:08.424258	2013-08-04 17:34:53.459954
29714	14	2013-08-02 16:06:04.723739	2013-08-02 16:06:04.723739
29692	4	2013-08-02 16:06:04.684502	2013-08-03 20:37:34.385451
29715	7	2013-08-02 16:06:04.725613	2013-08-03 22:40:20.001201
29772	21	2013-08-02 16:06:04.838264	2013-08-03 21:30:42.783421
29722	2	2013-08-02 16:06:04.739493	2013-08-02 16:06:04.739493
29786	21	2013-08-02 16:06:04.866001	2013-08-04 17:36:50.663721
29724	4	2013-08-02 16:06:04.743412	2013-08-02 16:06:04.743412
29680	2	2013-08-02 16:06:04.666142	2013-08-04 17:36:52.190392
29727	7	2013-08-02 16:06:04.749127	2013-08-02 16:06:04.749127
29729	9	2013-08-02 16:06:04.753118	2013-08-02 16:06:04.753118
29813	2	2013-08-02 16:06:04.921885	2013-08-04 17:36:52.201334
29734	14	2013-08-02 16:06:04.762979	2013-08-02 16:06:04.762979
19106	9	2013-08-02 16:05:41.094018	2013-08-03 21:45:39.226298
19146	7	2013-08-02 16:05:41.199627	2013-08-03 21:45:39.228715
29793	2	2013-08-02 16:06:04.879818	2013-08-04 17:36:52.212262
14659	2	2013-08-02 16:05:32.365791	2013-08-04 17:36:52.22332
29742	2	2013-08-02 16:06:04.778886	2013-08-02 16:06:04.778886
29735	9	2013-08-02 16:06:04.765016	2013-08-03 18:49:48.771506
29744	4	2013-08-02 16:06:04.782835	2013-08-02 16:06:04.782835
2439	4	2013-08-02 16:05:08.753795	2013-08-03 21:45:39.230683
29747	7	2013-08-02 16:06:04.788789	2013-08-02 16:06:04.788789
29749	9	2013-08-02 16:06:04.792727	2013-08-02 16:06:04.792727
29773	2	2013-08-02 16:06:04.840223	2013-08-04 17:36:52.234194
29750	4	2013-08-02 16:06:04.794686	2013-08-03 22:40:20.007618
29754	14	2013-08-02 16:06:04.802605	2013-08-02 16:06:04.802605
29826	21	2013-08-02 16:06:04.956818	2013-08-04 17:38:20.486469
2479	2	2013-08-02 16:05:08.824835	2013-08-03 21:45:39.232781
2459	21	2013-08-02 16:05:08.773181	2013-08-03 21:51:01.162497
29790	2	2013-08-02 16:06:04.873919	2013-08-03 22:40:20.013685
29791	14	2013-08-02 16:06:04.875873	2013-08-04 17:51:51.559121
29762	2	2013-08-02 16:06:04.8184	2013-08-02 16:06:04.8184
29764	4	2013-08-02 16:06:04.822325	2013-08-02 16:06:04.822325
29767	7	2013-08-02 16:06:04.828254	2013-08-02 16:06:04.828254
29769	9	2013-08-02 16:06:04.832278	2013-08-02 16:06:04.832278
29771	14	2013-08-02 16:06:04.836245	2013-08-04 17:51:51.570258
29745	9	2013-08-02 16:06:04.784807	2013-08-03 22:40:40.516742
29774	14	2013-08-02 16:06:04.84221	2013-08-02 16:06:04.84221
29830	14	2013-08-02 16:06:04.967248	2013-08-04 17:51:51.581461
14620	14	2013-08-02 16:05:32.272391	2013-08-03 23:54:31.591348
29751	14	2013-08-02 16:06:04.796664	2013-08-04 17:51:51.592611
29782	2	2013-08-02 16:06:04.858011	2013-08-02 16:06:04.858011
29800	21	2013-08-02 16:06:04.893809	2013-08-03 19:17:39.163007
29784	4	2013-08-02 16:06:04.861999	2013-08-02 16:06:04.861999
29731	14	2013-08-02 16:06:04.757093	2013-08-04 17:51:51.603623
29787	7	2013-08-02 16:06:04.867964	2013-08-02 16:06:04.867964
29789	9	2013-08-02 16:06:04.87192	2013-08-02 16:06:04.87192
19086	14	2013-08-02 16:05:41.041797	2013-08-04 17:51:51.614487
29794	14	2013-08-02 16:06:04.881784	2013-08-02 16:06:04.881784
29711	14	2013-08-02 16:06:04.718171	2013-08-04 17:51:51.625462
14719	9	2013-08-02 16:05:32.463266	2013-08-03 23:54:31.599284
14637	7	2013-08-02 16:05:32.3135	2013-08-03 23:54:31.601722
29695	14	2013-08-02 16:06:04.689459	2013-08-04 17:51:51.636421
29802	2	2013-08-02 16:06:04.897781	2013-08-02 16:06:04.897781
29780	21	2013-08-02 16:06:04.854065	2013-08-03 19:17:39.167278
29804	4	2013-08-02 16:06:04.901751	2013-08-02 16:06:04.901751
29807	7	2013-08-02 16:06:04.907832	2013-08-02 16:06:04.907832
29809	9	2013-08-02 16:06:04.911953	2013-08-02 16:06:04.911953
29691	14	2013-08-02 16:06:04.683011	2013-08-04 17:51:51.647168
14679	14	2013-08-02 16:05:32.412797	2013-08-03 23:58:25.99092
29814	14	2013-08-02 16:06:04.924716	2013-08-02 16:06:04.924716
14639	21	2013-08-02 16:05:32.318296	2013-08-03 23:58:45.038457
29811	21	2013-08-02 16:06:04.916481	2013-08-04 17:58:42.242978
14640	21	2013-08-02 16:05:32.32068	2013-08-04 18:01:50.379216
29822	2	2013-08-02 16:06:04.9463	2013-08-02 16:06:04.9463
29760	21	2013-08-02 16:06:04.814455	2013-08-03 19:17:39.171055
29824	4	2013-08-02 16:06:04.951482	2013-08-02 16:06:04.951482
29803	2	2013-08-02 16:06:04.899763	2013-08-04 18:32:20.300798
29827	7	2013-08-02 16:06:04.959339	2013-08-02 16:06:04.959339
29829	9	2013-08-02 16:06:04.96441	2013-08-02 16:06:04.96441
29819	2	2013-08-02 16:06:04.93818	2013-08-04 18:32:20.313362
29799	2	2013-08-02 16:06:04.891586	2013-08-04 18:32:20.326507
29740	21	2013-08-02 16:06:04.774895	2013-08-03 19:17:39.1745
29720	21	2013-08-02 16:06:04.735591	2013-08-03 19:17:39.178076
29700	21	2013-08-02 16:06:04.69818	2013-08-03 19:17:39.181755
29820	4	2013-08-02 16:06:04.940872	2013-08-03 19:22:39.900313
29738	21	2013-08-02 16:06:04.77094	2013-08-03 19:32:39.099089
29718	21	2013-08-02 16:06:04.731717	2013-08-03 19:32:39.102769
29698	21	2013-08-02 16:06:04.694504	2013-08-03 19:32:39.10581
29678	21	2013-08-02 16:06:04.663479	2013-08-03 19:32:39.10927
29818	7	2013-08-02 16:06:04.935488	2013-08-03 19:32:39.513179
29798	7	2013-08-02 16:06:04.889727	2013-08-03 19:32:39.516815
29778	2	2013-08-02 16:06:04.850124	2013-08-03 19:32:39.524313
29779	2	2013-08-02 16:06:04.852081	2013-08-04 18:32:20.331103
29705	2	2013-08-02 16:06:04.707094	2013-08-03 19:34:28.736002
29759	2	2013-08-02 16:06:04.812452	2013-08-04 18:32:20.335524
29685	14	2013-08-02 16:06:04.673647	2013-08-03 19:34:28.878738
29805	14	2013-08-02 16:06:04.903726	2013-08-03 19:37:43.493414
29785	4	2013-08-02 16:06:04.86396	2013-08-03 19:37:43.504421
29739	2	2013-08-02 16:06:04.77292	2013-08-04 18:32:20.339807
29719	2	2013-08-02 16:06:04.73375	2013-08-04 18:32:20.344054
29823	21	2013-08-02 16:06:04.948816	2013-08-03 19:52:28.309848
29817	21	2013-08-02 16:06:04.932808	2013-08-03 19:52:28.313112
29797	21	2013-08-02 16:06:04.887696	2013-08-03 19:52:28.316598
29777	21	2013-08-02 16:06:04.84812	2013-08-03 19:52:28.320327
29757	21	2013-08-02 16:06:04.808525	2013-08-03 19:52:28.323904
29699	2	2013-08-02 16:06:04.696229	2013-08-04 18:32:20.348593
29717	4	2013-08-02 16:06:04.729676	2013-08-03 19:52:28.359983
29737	9	2013-08-02 16:06:04.76896	2013-08-03 19:57:23.80917
29806	2	2013-08-02 16:06:04.905685	2013-08-04 18:32:20.352529
29752	2	2013-08-02 16:06:04.798635	2013-08-04 18:32:20.356103
29679	2	2013-08-02 16:06:04.664766	2013-08-04 18:32:20.361173
29976	4	2013-08-02 16:06:05.336301	2013-08-04 20:32:42.540688
16773	21	2013-08-02 16:05:36.236384	2013-08-04 03:00:23.933575
29851	4	2013-08-02 16:06:05.022059	2013-08-04 20:32:42.552462
29834	14	2013-08-02 16:06:04.978179	2013-08-02 16:06:04.978179
29956	4	2013-08-02 16:06:05.287711	2013-08-04 20:32:42.563703
29973	4	2013-08-02 16:06:05.328602	2013-08-04 20:32:42.574775
13512	21	2013-08-02 16:05:29.562577	2013-08-04 03:00:23.936348
29840	4	2013-08-02 16:06:04.994093	2013-08-04 20:32:42.585938
29892	9	2013-08-02 16:06:05.127324	2013-08-03 20:30:10.245902
27986	21	2013-08-02 16:06:01.090534	2013-08-04 03:00:23.93899
29842	2	2013-08-02 16:06:04.999444	2013-08-02 16:06:04.999444
29835	4	2013-08-02 16:06:04.980883	2013-08-03 18:49:48.79035
29844	4	2013-08-02 16:06:05.004788	2013-08-02 16:06:05.004788
29936	4	2013-08-02 16:06:05.237897	2013-08-04 20:32:42.597036
29916	4	2013-08-02 16:06:05.190165	2013-08-04 20:32:42.608507
29847	7	2013-08-02 16:06:05.012366	2013-08-02 16:06:05.012366
29896	7	2013-08-02 16:06:05.138003	2013-08-04 20:32:42.632167
29849	9	2013-08-02 16:06:05.017277	2013-08-02 16:06:05.017277
25621	21	2013-08-02 16:05:55.34029	2013-08-04 03:00:23.941716
2744	7	2013-08-02 16:05:09.126299	2013-08-04 20:32:42.643798
29981	21	2013-08-02 16:06:05.348377	2013-08-03 22:14:57.052836
29876	7	2013-08-02 16:06:05.085265	2013-08-04 20:32:42.655214
29854	14	2013-08-02 16:06:05.02922	2013-08-02 16:06:05.02922
29932	7	2013-08-02 16:06:05.228306	2013-08-03 20:30:10.248982
29856	7	2013-08-02 16:06:05.034007	2013-08-04 20:32:42.666555
29836	7	2013-08-02 16:06:04.983525	2013-08-04 20:32:42.677717
29850	7	2013-08-02 16:06:05.019661	2013-08-03 22:40:40.524135
3757	21	2013-08-02 16:05:11.151481	2013-08-04 03:00:23.944396
29862	2	2013-08-02 16:06:05.048088	2013-08-02 16:06:05.048088
29952	9	2013-08-02 16:06:05.277753	2013-08-03 20:32:25.221357
29864	4	2013-08-02 16:06:05.053571	2013-08-02 16:06:05.053571
26586	21	2013-08-02 16:05:57.465166	2013-08-04 03:00:23.947058
29867	7	2013-08-02 16:06:05.061572	2013-08-02 16:06:05.061572
29869	9	2013-08-02 16:06:05.06655	2013-08-02 16:06:05.06655
40990	21	2013-08-02 16:06:29.931664	2013-08-04 17:31:49.503989
29874	14	2013-08-02 16:06:05.07991	2013-08-02 16:06:05.07991
2180	7	2013-08-02 16:05:08.378241	2013-08-03 21:45:39.266507
2058	4	2013-08-02 16:05:08.063865	2013-08-03 21:45:39.270621
2496	21	2013-08-02 16:05:08.840614	2013-08-04 17:31:49.505532
29882	2	2013-08-02 16:06:05.101303	2013-08-02 16:06:05.101303
29875	2	2013-08-02 16:06:05.082559	2013-08-03 18:49:48.797733
29884	4	2013-08-02 16:06:05.106624	2013-08-02 16:06:05.106624
26597	4	2013-08-02 16:05:57.492439	2013-08-03 22:40:40.535385
29887	7	2013-08-02 16:06:05.114575	2013-08-02 16:06:05.114575
29889	9	2013-08-02 16:06:05.119471	2013-08-02 16:06:05.119471
29766	2	2013-08-02 16:06:04.826304	2013-08-04 17:31:49.724146
29894	14	2013-08-02 16:06:05.13269	2013-08-02 16:06:05.13269
2068	2	2013-08-02 16:05:08.090456	2013-08-03 21:45:39.274037
29746	2	2013-08-02 16:06:04.786773	2013-08-04 17:31:49.735953
29933	2	2013-08-02 16:06:05.230718	2013-08-04 17:36:52.099246
29955	2	2013-08-02 16:06:05.285323	2013-08-04 17:36:52.106596
29902	2	2013-08-02 16:06:05.154403	2013-08-02 16:06:05.154403
29855	2	2013-08-02 16:06:05.031638	2013-08-04 17:36:52.114547
29904	4	2013-08-02 16:06:05.159728	2013-08-02 16:06:05.159728
2101	21	2013-08-02 16:05:08.176408	2013-08-03 21:51:01.163472
29907	7	2013-08-02 16:06:05.167763	2013-08-02 16:06:05.167763
29909	9	2013-08-02 16:06:05.17315	2013-08-02 16:06:05.17315
29913	2	2013-08-02 16:06:05.18297	2013-08-04 17:36:52.125015
29930	2	2013-08-02 16:06:05.223559	2013-08-03 22:40:40.542909
29914	14	2013-08-02 16:06:05.185386	2013-08-02 16:06:05.185386
29893	2	2013-08-02 16:06:05.129992	2013-08-04 17:36:52.135882
29873	2	2013-08-02 16:06:05.077271	2013-08-04 17:36:52.146814
29890	7	2013-08-02 16:06:05.122063	2013-08-03 22:40:40.658097
29910	21	2013-08-02 16:06:05.175619	2013-08-03 22:40:40.88335
29853	2	2013-08-02 16:06:05.026803	2013-08-04 17:36:52.157688
29922	2	2013-08-02 16:06:05.20452	2013-08-02 16:06:05.20452
29924	4	2013-08-02 16:06:05.209327	2013-08-02 16:06:05.209327
29970	14	2013-08-02 16:06:05.321037	2013-08-03 22:45:08.86394
29927	7	2013-08-02 16:06:05.21642	2013-08-02 16:06:05.21642
29929	9	2013-08-02 16:06:05.221203	2013-08-02 16:06:05.221203
29832	2	2013-08-02 16:06:04.972819	2013-08-04 17:36:52.168635
29934	14	2013-08-02 16:06:05.233135	2013-08-02 16:06:05.233135
29833	2	2013-08-02 16:06:04.975473	2013-08-04 17:36:52.179498
29908	21	2013-08-02 16:06:05.170446	2013-08-04 17:36:53.894119
29888	14	2013-08-02 16:06:05.117046	2013-08-04 17:36:53.903025
29942	2	2013-08-02 16:06:05.252461	2013-08-02 16:06:05.252461
29868	14	2013-08-02 16:06:05.064037	2013-08-04 17:36:53.909433
29944	4	2013-08-02 16:06:05.257404	2013-08-02 16:06:05.257404
29947	7	2013-08-02 16:06:05.264885	2013-08-02 16:06:05.264885
29949	9	2013-08-02 16:06:05.269909	2013-08-02 16:06:05.269909
29954	14	2013-08-02 16:06:05.282869	2013-08-02 16:06:05.282869
29980	14	2013-08-02 16:06:05.346012	2013-08-04 17:39:10.983872
29845	2	2013-08-02 16:06:05.007419	2013-08-04 17:41:51.235889
29860	2	2013-08-02 16:06:05.04327	2013-08-04 17:41:51.401526
29962	2	2013-08-02 16:06:05.302062	2013-08-02 16:06:05.302062
29964	4	2013-08-02 16:06:05.306813	2013-08-02 16:06:05.306813
29953	21	2013-08-02 16:06:05.280343	2013-08-04 17:53:53.843844
29967	7	2013-08-02 16:06:05.31391	2013-08-02 16:06:05.31391
29969	9	2013-08-02 16:06:05.31867	2013-08-02 16:06:05.31867
29974	14	2013-08-02 16:06:05.3312	2013-08-02 16:06:05.3312
29891	14	2013-08-02 16:06:05.124686	2013-08-04 17:58:29.074745
29982	2	2013-08-02 16:06:05.350802	2013-08-02 16:06:05.350802
29984	4	2013-08-02 16:06:05.355575	2013-08-02 16:06:05.355575
29931	9	2013-08-02 16:06:05.225956	2013-08-04 17:58:29.089762
29987	7	2013-08-02 16:06:05.362697	2013-08-02 16:06:05.362697
29975	9	2013-08-02 16:06:05.333707	2013-08-03 18:53:59.861578
29960	21	2013-08-02 16:06:05.297304	2013-08-03 19:22:39.850576
29940	21	2013-08-02 16:06:05.247476	2013-08-03 19:22:39.854944
29920	21	2013-08-02 16:06:05.199772	2013-08-03 19:22:39.859012
29900	21	2013-08-02 16:06:05.149057	2013-08-03 19:22:39.862868
29880	21	2013-08-02 16:06:05.095899	2013-08-03 19:22:39.866727
29951	7	2013-08-02 16:06:05.27524	2013-08-04 17:58:29.097043
29898	4	2013-08-02 16:06:05.143287	2013-08-03 19:32:39.463817
29878	4	2013-08-02 16:06:05.090597	2013-08-03 19:32:39.475379
29945	21	2013-08-02 16:06:05.25978	2013-08-03 19:37:43.453698
29925	21	2013-08-02 16:06:05.211679	2013-08-03 19:37:43.455556
29905	21	2013-08-02 16:06:05.162429	2013-08-03 19:37:43.457084
29885	21	2013-08-02 16:06:05.109374	2013-08-03 19:37:43.458543
29965	9	2013-08-02 16:06:05.309184	2013-08-03 19:47:25.926649
29857	21	2013-08-02 16:06:05.036365	2013-08-03 19:52:28.302348
29837	21	2013-08-02 16:06:04.986139	2013-08-03 19:52:28.306453
29917	9	2013-08-02 16:06:05.192565	2013-08-03 20:04:03.788487
29957	7	2013-08-02 16:06:05.290112	2013-08-03 20:04:03.7933
29978	4	2013-08-02 16:06:05.34124	2013-08-04 17:58:29.102671
29877	2	2013-08-02 16:06:05.087912	2013-08-04 17:58:29.108217
29871	21	2013-08-02 16:06:05.071797	2013-08-04 17:58:54.50387
29971	21	2013-08-02 16:06:05.32341	2013-08-04 18:01:49.836492
29911	21	2013-08-02 16:06:05.178083	2013-08-04 18:01:49.92174
29958	14	2013-08-02 16:06:05.292479	2013-08-04 18:01:50.556419
29935	2	2013-08-02 16:06:05.235497	2013-08-04 18:01:50.68587
26681	14	2013-08-02 16:05:57.70693	2013-08-04 18:01:50.823929
29897	9	2013-08-02 16:06:05.140713	2013-08-04 18:01:51.906576
29852	21	2013-08-02 16:06:05.024418	2013-08-04 18:02:38.576491
29859	2	2013-08-02 16:06:05.041056	2013-08-04 18:32:20.27725
29839	2	2013-08-02 16:06:04.991427	2013-08-04 18:32:20.289467
20679	4	2013-08-02 16:05:44.5759	2013-08-04 18:32:21.796823
29865	4	2013-08-02 16:06:05.05621	2013-08-04 18:32:21.800324
29979	4	2013-08-02 16:06:05.343626	2013-08-04 18:32:21.803976
29831	7	2013-08-02 16:06:04.970008	2013-08-04 18:32:21.811431
29959	7	2013-08-02 16:06:05.294897	2013-08-04 18:32:21.816521
29939	7	2013-08-02 16:06:05.245092	2013-08-04 18:32:21.82119
29919	7	2013-08-02 16:06:05.197391	2013-08-04 18:32:21.825698
29899	7	2013-08-02 16:06:05.146018	2013-08-04 18:32:21.831826
29879	7	2013-08-02 16:06:05.093254	2013-08-04 18:32:21.841894
30018	21	2013-08-02 16:06:05.437005	2013-08-04 20:32:42.494542
29989	9	2013-08-02 16:06:05.36757	2013-08-02 16:06:05.36757
20650	9	2013-08-02 16:05:44.548472	2013-08-04 03:00:24.006828
30016	4	2013-08-02 16:06:05.432256	2013-08-04 20:32:42.516226
30081	21	2013-08-02 16:06:05.576468	2013-08-03 22:14:24.161731
29996	4	2013-08-02 16:06:05.384195	2013-08-04 20:32:42.528389
29994	14	2013-08-02 16:06:05.379431	2013-08-02 16:06:05.379431
30077	4	2013-08-02 16:06:05.570942	2013-08-03 20:12:23.395403
30117	9	2013-08-02 16:06:05.637742	2013-08-03 20:21:35.688637
29992	2	2013-08-02 16:06:05.374666	2013-08-03 20:30:10.255319
30132	14	2013-08-02 16:06:05.667875	2013-08-04 20:39:32.085681
20719	7	2013-08-02 16:05:44.615711	2013-08-04 03:00:24.013279
30002	2	2013-08-02 16:06:05.398718	2013-08-02 16:06:05.398718
30004	4	2013-08-02 16:06:05.403518	2013-08-02 16:06:05.403518
30000	21	2013-08-02 16:06:05.393985	2013-08-03 20:42:31.14044
30007	7	2013-08-02 16:06:05.410627	2013-08-02 16:06:05.410627
30009	9	2013-08-02 16:06:05.415384	2013-08-02 16:06:05.415384
30057	2	2013-08-02 16:06:05.534447	2013-08-04 17:36:48.944591
30120	2	2013-08-02 16:06:05.643756	2013-08-04 17:36:48.951875
30136	9	2013-08-02 16:06:05.675803	2013-08-04 20:39:32.091534
30014	14	2013-08-02 16:06:05.427503	2013-08-02 16:06:05.427503
30112	21	2013-08-02 16:06:05.627852	2013-08-03 20:42:31.143269
30092	21	2013-08-02 16:06:05.592204	2013-08-03 20:42:31.144923
30072	21	2013-08-02 16:06:05.564808	2013-08-03 20:42:31.14625
30052	21	2013-08-02 16:06:05.521844	2013-08-03 20:42:31.14757
32998	2	2013-08-02 16:06:12.895016	2013-08-04 17:36:48.956358
30022	2	2013-08-02 16:06:05.44708	2013-08-02 16:06:05.44708
30015	7	2013-08-02 16:06:05.429899	2013-08-03 18:53:59.868806
30024	4	2013-08-02 16:06:05.452418	2013-08-02 16:06:05.452418
30105	7	2013-08-02 16:06:05.614846	2013-08-04 20:39:32.093748
30027	7	2013-08-02 16:06:05.460356	2013-08-02 16:06:05.460356
30029	9	2013-08-02 16:06:05.465567	2013-08-02 16:06:05.465567
30056	21	2013-08-02 16:06:05.531863	2013-08-04 20:39:50.461738
30116	21	2013-08-02 16:06:05.635758	2013-08-04 20:39:50.481249
30051	2	2013-08-02 16:06:05.519451	2013-08-04 20:42:23.570589
30011	2	2013-08-02 16:06:05.420386	2013-08-04 20:42:23.800806
30034	14	2013-08-02 16:06:05.477851	2013-08-02 16:06:05.477851
30032	2	2013-08-02 16:06:05.473076	2013-08-03 21:30:42.615052
30076	2	2013-08-02 16:06:05.569556	2013-08-04 20:42:23.864711
26577	9	2013-08-02 16:05:57.442611	2013-08-03 21:45:39.326972
30033	9	2013-08-02 16:06:05.475445	2013-08-04 17:39:10.996959
30042	2	2013-08-02 16:06:05.49765	2013-08-02 16:06:05.49765
30096	14	2013-08-02 16:06:05.598654	2013-08-04 20:42:25.565558
30044	4	2013-08-02 16:06:05.50251	2013-08-02 16:06:05.50251
30036	7	2013-08-02 16:06:05.482631	2013-08-04 20:47:30.867821
30047	7	2013-08-02 16:06:05.509691	2013-08-02 16:06:05.509691
30049	9	2013-08-02 16:06:05.514481	2013-08-02 16:06:05.514481
30073	7	2013-08-02 16:06:05.565957	2013-08-04 17:39:11.004855
30054	14	2013-08-02 16:06:05.526891	2013-08-02 16:06:05.526891
26721	7	2013-08-02 16:05:57.979747	2013-08-03 21:45:39.329975
30037	14	2013-08-02 16:06:05.485034	2013-08-03 22:14:56.771573
26781	4	2013-08-02 16:05:58.089761	2013-08-03 21:45:39.332931
30062	2	2013-08-02 16:06:05.547603	2013-08-02 16:06:05.547603
29998	21	2013-08-02 16:06:05.388949	2013-08-03 22:15:17.065112
30064	4	2013-08-02 16:06:05.553001	2013-08-02 16:06:05.553001
26801	21	2013-08-02 16:05:58.143816	2013-08-03 21:51:01.164405
30067	7	2013-08-02 16:06:05.55917	2013-08-02 16:06:05.55917
30069	9	2013-08-02 16:06:05.561866	2013-08-02 16:06:05.561866
29990	9	2013-08-02 16:06:05.369932	2013-08-03 22:45:08.870666
30074	14	2013-08-02 16:06:05.567096	2013-08-02 16:06:05.567096
30030	7	2013-08-02 16:06:05.46814	2013-08-03 22:45:08.874123
30113	4	2013-08-02 16:06:05.629798	2013-08-04 17:39:11.015685
30082	2	2013-08-02 16:06:05.577903	2013-08-02 16:06:05.577903
30075	4	2013-08-02 16:06:05.568258	2013-08-03 18:53:59.879951
30084	4	2013-08-02 16:06:05.580439	2013-08-02 16:06:05.580439
30090	4	2013-08-02 16:06:05.589255	2013-08-03 22:45:08.879302
30087	7	2013-08-02 16:06:05.584848	2013-08-02 16:06:05.584848
30089	9	2013-08-02 16:06:05.587749	2013-08-02 16:06:05.587749
30133	2	2013-08-02 16:06:05.66989	2013-08-04 17:39:11.018374
30094	14	2013-08-02 16:06:05.59542	2013-08-02 16:06:05.59542
30130	2	2013-08-02 16:06:05.663879	2013-08-03 22:45:08.883204
30110	21	2013-08-02 16:06:05.624179	2013-08-03 22:45:29.665654
37978	2	2013-08-02 16:06:24.045404	2013-08-04 17:41:50.104293
30038	14	2013-08-02 16:06:05.487385	2013-08-03 22:50:05.063273
30125	21	2013-08-02 16:06:05.653624	2013-08-04 17:41:50.142078
30102	2	2013-08-02 16:06:05.609125	2013-08-02 16:06:05.609125
30104	4	2013-08-02 16:06:05.612961	2013-08-02 16:06:05.612961
30107	7	2013-08-02 16:06:05.618584	2013-08-02 16:06:05.618584
30109	9	2013-08-02 16:06:05.622325	2013-08-02 16:06:05.622325
30093	2	2013-08-02 16:06:05.593806	2013-08-04 17:41:50.638097
30053	2	2013-08-02 16:06:05.524398	2013-08-04 17:41:51.092442
30114	14	2013-08-02 16:06:05.631788	2013-08-02 16:06:05.631788
30013	21	2013-08-02 16:06:05.42513	2013-08-04 17:41:51.124799
34641	2	2013-08-02 16:06:16.183327	2013-08-03 23:54:31.614679
30140	21	2013-08-02 16:06:05.683784	2013-08-04 17:43:55.471219
30122	2	2013-08-02 16:06:05.647688	2013-08-02 16:06:05.647688
30124	4	2013-08-02 16:06:05.651688	2013-08-02 16:06:05.651688
14779	9	2013-08-02 16:05:32.582448	2013-08-03 23:55:30.558908
30127	7	2013-08-02 16:06:05.657879	2013-08-02 16:06:05.657879
30129	9	2013-08-02 16:06:05.661897	2013-08-02 16:06:05.661897
29991	21	2013-08-02 16:06:05.372297	2013-08-04 18:02:38.578933
30134	14	2013-08-02 16:06:05.671854	2013-08-02 16:06:05.671854
14517	7	2013-08-02 16:05:32.033542	2013-08-03 23:55:30.576083
14359	2	2013-08-02 16:05:31.64208	2013-08-03 23:55:30.59722
16551	2	2013-08-02 16:05:35.734788	2013-08-03 23:58:34.494358
30142	2	2013-08-02 16:06:05.68779	2013-08-02 16:06:05.68779
30144	4	2013-08-02 16:06:05.691762	2013-08-02 16:06:05.691762
30143	4	2013-08-02 16:06:05.689778	2013-08-03 18:22:13.170744
30031	14	2013-08-02 16:06:05.470624	2013-08-04 18:03:13.45283
30060	9	2013-08-02 16:06:05.542248	2013-08-03 19:25:19.177209
30100	7	2013-08-02 16:06:05.605424	2013-08-03 19:25:19.182664
30118	21	2013-08-02 16:06:05.639717	2013-08-03 19:32:39.333179
30111	9	2013-08-02 16:06:05.626023	2013-08-04 18:03:13.45741
30131	7	2013-08-02 16:06:05.665892	2013-08-04 18:03:13.459674
30138	21	2013-08-02 16:06:05.679851	2013-08-03 19:37:45.22271
30085	4	2013-08-02 16:06:05.58192	2013-08-03 19:47:25.770206
30065	14	2013-08-02 16:06:05.555691	2013-08-03 19:47:25.794231
30025	21	2013-08-02 16:06:05.455074	2013-08-04 18:03:13.513141
30045	7	2013-08-02 16:06:05.504911	2013-08-03 19:47:25.840591
29993	21	2013-08-02 16:06:05.37707	2013-08-04 18:03:25.598637
30071	21	2013-08-02 16:06:05.563649	2013-08-04 18:03:36.975037
30005	14	2013-08-02 16:06:05.405888	2013-08-03 19:50:14.64292
30091	21	2013-08-02 16:06:05.590726	2013-08-04 18:06:48.601801
30017	2	2013-08-02 16:06:05.434631	2013-08-03 20:04:03.807348
37841	14	2013-08-02 16:06:23.709448	2013-08-04 18:06:49.673259
29997	9	2013-08-02 16:06:05.386558	2013-08-03 20:08:28.322615
30097	4	2013-08-02 16:06:05.600265	2013-08-03 20:08:28.574261
30020	2	2013-08-02 16:06:05.441963	2013-08-04 18:27:18.701183
30137	2	2013-08-02 16:06:05.677843	2013-08-03 20:08:28.576378
30139	9	2013-08-02 16:06:05.681832	2013-08-04 18:32:21.6941
30119	9	2013-08-02 16:06:05.641768	2013-08-04 18:32:21.705566
30099	9	2013-08-02 16:06:05.603509	2013-08-04 18:32:21.716655
30079	9	2013-08-02 16:06:05.573723	2013-08-04 18:32:21.727463
30059	9	2013-08-02 16:06:05.539764	2013-08-04 18:32:21.738628
30039	9	2013-08-02 16:06:05.489781	2013-08-04 18:32:21.749625
30121	4	2013-08-02 16:06:05.645725	2013-08-04 18:32:21.775264
30019	4	2013-08-02 16:06:05.439356	2013-08-04 18:32:21.787877
29999	4	2013-08-02 16:06:05.391304	2013-08-04 18:32:21.793318
30285	14	2013-08-02 16:06:06.010087	2013-08-03 20:12:25.429166
30147	7	2013-08-02 16:06:05.697795	2013-08-02 16:06:05.697795
30176	4	2013-08-02 16:06:05.755074	2013-08-04 20:39:32.101035
30149	9	2013-08-02 16:06:05.701779	2013-08-02 16:06:05.701779
30216	2	2013-08-02 16:06:05.841259	2013-08-04 20:39:32.106113
19097	2	2013-08-02 16:05:41.070513	2013-08-04 17:31:49.746962
30154	14	2013-08-02 16:06:05.711701	2013-08-02 16:06:05.711701
30278	14	2013-08-02 16:06:05.993397	2013-08-03 20:12:25.433616
1291	4	2013-08-02 16:05:06.231344	2013-08-04 03:00:24.023267
30297	14	2013-08-02 16:06:06.029953	2013-08-03 20:12:25.437686
49925	21	2013-08-02 16:06:50.441051	2013-08-04 20:39:32.129009
30277	14	2013-08-02 16:06:05.991014	2013-08-03 20:12:25.442249
29726	2	2013-08-02 16:06:04.74711	2013-08-04 17:31:49.757974
30162	2	2013-08-02 16:06:05.727672	2013-08-02 16:06:05.727672
30257	14	2013-08-02 16:06:05.942896	2013-08-03 20:12:25.446404
30164	4	2013-08-02 16:06:05.731712	2013-08-02 16:06:05.731712
30237	14	2013-08-02 16:06:05.894788	2013-08-03 20:12:25.451194
30196	2	2013-08-02 16:06:05.797048	2013-08-04 20:42:23.165741
30167	7	2013-08-02 16:06:05.73773	2013-08-02 16:06:05.73773
30156	21	2013-08-02 16:06:05.715649	2013-08-04 20:42:23.233657
30169	9	2013-08-02 16:06:05.741712	2013-08-02 16:06:05.741712
20759	2	2013-08-02 16:05:44.659693	2013-08-04 03:00:24.030201
30174	14	2013-08-02 16:06:05.751392	2013-08-02 16:06:05.751392
30217	14	2013-08-02 16:06:05.843902	2013-08-03 20:12:25.457571
30190	9	2013-08-02 16:06:05.783073	2013-08-03 22:50:05.074789
30195	14	2013-08-02 16:06:05.795331	2013-08-03 20:12:25.463098
30192	21	2013-08-02 16:06:05.78834	2013-08-03 20:47:31.460012
29706	2	2013-08-02 16:06:04.708936	2013-08-04 17:31:49.769526
30182	2	2013-08-02 16:06:05.766951	2013-08-02 16:06:05.766951
27081	14	2013-08-02 16:05:58.814354	2013-08-04 20:43:48.129716
30184	4	2013-08-02 16:06:05.770924	2013-08-02 16:06:05.770924
30172	21	2013-08-02 16:06:05.747602	2013-08-03 20:47:31.464101
30187	7	2013-08-02 16:06:05.777045	2013-08-02 16:06:05.777045
30256	21	2013-08-02 16:06:05.940342	2013-08-04 20:43:48.202496
30189	9	2013-08-02 16:06:05.781085	2013-08-02 16:06:05.781085
30288	2	2013-08-02 16:06:06.014115	2013-08-04 17:41:51.041112
30215	21	2013-08-02 16:06:05.838577	2013-08-04 20:43:48.230484
30276	21	2013-08-02 16:06:05.98866	2013-08-04 20:44:16.92642
30194	14	2013-08-02 16:06:05.792713	2013-08-02 16:06:05.792713
30152	21	2013-08-02 16:06:05.707681	2013-08-03 20:47:31.465444
30230	7	2013-08-02 16:06:05.877467	2013-08-03 22:50:05.082647
30212	9	2013-08-02 16:06:05.830458	2013-08-03 20:48:44.202272
30296	7	2013-08-02 16:06:06.028945	2013-08-04 20:47:30.846402
30236	7	2013-08-02 16:06:05.892325	2013-08-04 20:47:30.85745
30268	2	2013-08-02 16:06:05.969562	2013-08-04 17:41:51.044853
30202	2	2013-08-02 16:06:05.803318	2013-08-02 16:06:05.803318
30204	4	2013-08-02 16:06:05.808854	2013-08-02 16:06:05.808854
30252	7	2013-08-02 16:06:05.930624	2013-08-03 20:48:44.209881
30207	7	2013-08-02 16:06:05.81682	2013-08-02 16:06:05.81682
30209	9	2013-08-02 16:06:05.822146	2013-08-02 16:06:05.822146
17206	2	2013-08-02 16:05:37.456652	2013-08-04 17:41:51.050041
30214	14	2013-08-02 16:06:05.835843	2013-08-02 16:06:05.835843
30270	4	2013-08-02 16:06:05.974297	2013-08-03 22:50:05.092549
30292	4	2013-08-02 16:06:06.019813	2013-08-03 20:48:44.220558
30248	2	2013-08-02 16:06:05.921069	2013-08-04 17:41:51.054021
30222	2	2013-08-02 16:06:05.856323	2013-08-02 16:06:05.856323
30224	4	2013-08-02 16:06:05.861644	2013-08-02 16:06:05.861644
27061	2	2013-08-02 16:05:58.764116	2013-08-03 22:50:05.098757
30227	7	2013-08-02 16:06:05.869479	2013-08-02 16:06:05.869479
30229	9	2013-08-02 16:06:05.874789	2013-08-02 16:06:05.874789
39905	14	2013-08-02 16:06:28.227987	2013-08-04 03:00:24.066699
38330	21	2013-08-02 16:06:24.908648	2013-08-04 03:00:36.446437
30234	14	2013-08-02 16:06:05.887477	2013-08-02 16:06:05.887477
30280	2	2013-08-02 16:06:05.998152	2013-08-03 20:48:44.227566
30290	21	2013-08-02 16:06:06.015555	2013-08-03 22:50:05.396758
30155	4	2013-08-02 16:06:05.713696	2013-08-03 20:52:35.41978
20660	21	2013-08-02 16:05:44.556975	2013-08-04 03:00:36.865746
30242	2	2013-08-02 16:06:05.906753	2013-08-02 16:06:05.906753
30235	14	2013-08-02 16:06:05.889881	2013-08-03 18:54:19.562278
30244	4	2013-08-02 16:06:05.911494	2013-08-02 16:06:05.911494
22386	4	2013-08-02 16:05:48.579843	2013-08-04 03:00:38.770809
30247	7	2013-08-02 16:06:05.918677	2013-08-02 16:06:05.918677
30249	9	2013-08-02 16:06:05.923425	2013-08-02 16:06:05.923425
38150	2	2013-08-02 16:06:24.471542	2013-08-04 17:41:51.057909
30150	21	2013-08-02 16:06:05.703739	2013-08-03 22:54:24.064498
30254	14	2013-08-02 16:06:05.935337	2013-08-02 16:06:05.935337
26821	2	2013-08-02 16:05:58.197623	2013-08-03 21:45:39.335085
30228	2	2013-08-02 16:06:05.872088	2013-08-04 17:41:51.061698
17146	9	2013-08-02 16:05:37.190248	2013-08-03 21:45:56.916412
30208	2	2013-08-02 16:06:05.819476	2013-08-04 17:41:51.065713
30262	2	2013-08-02 16:06:05.955212	2013-08-02 16:06:05.955212
30264	4	2013-08-02 16:06:05.960032	2013-08-02 16:06:05.960032
17115	7	2013-08-02 16:05:37.114509	2013-08-03 21:45:56.91859
30267	7	2013-08-02 16:06:05.967182	2013-08-02 16:06:05.967182
30269	9	2013-08-02 16:06:05.971906	2013-08-02 16:06:05.971906
30232	2	2013-08-02 16:06:05.882669	2013-08-04 17:41:51.069571
30210	2	2013-08-02 16:06:05.825065	2013-08-04 17:41:51.073715
30274	14	2013-08-02 16:06:05.983857	2013-08-02 16:06:05.983857
30188	2	2013-08-02 16:06:05.779071	2013-08-04 17:41:51.077851
30168	2	2013-08-02 16:06:05.739747	2013-08-04 17:41:51.082984
27101	14	2013-08-02 16:05:58.863776	2013-08-03 21:49:32.078282
30148	2	2013-08-02 16:06:05.699792	2013-08-04 17:41:51.087589
30282	2	2013-08-02 16:06:06.002959	2013-08-02 16:06:06.002959
30225	2	2013-08-02 16:06:05.864286	2013-08-04 17:41:52.208207
30284	4	2013-08-02 16:06:06.007712	2013-08-02 16:06:06.007712
30287	7	2013-08-02 16:06:06.013392	2013-08-02 16:06:06.013392
30289	9	2013-08-02 16:06:06.014836	2013-08-02 16:06:06.014836
30293	2	2013-08-02 16:06:06.022208	2013-08-04 17:41:52.2185
30151	4	2013-08-02 16:06:05.705696	2013-08-04 18:03:13.464082
30294	14	2013-08-02 16:06:06.024586	2013-08-02 16:06:06.024586
30170	2	2013-08-02 16:06:05.743679	2013-08-04 18:03:13.46967
27021	4	2013-08-02 16:05:58.683165	2013-08-03 21:49:32.212619
30160	4	2013-08-02 16:06:05.723625	2013-08-03 19:25:19.191279
30240	14	2013-08-02 16:06:05.901979	2013-08-04 18:06:50.059457
30180	2	2013-08-02 16:06:05.762978	2013-08-03 19:25:19.196027
30291	14	2013-08-02 16:06:06.017448	2013-08-04 18:06:50.069931
30271	14	2013-08-02 16:06:05.976724	2013-08-04 18:06:50.075727
30300	14	2013-08-02 16:06:06.03308	2013-08-03 19:27:40.182611
30251	14	2013-08-02 16:06:05.928194	2013-08-04 18:06:50.084933
30231	14	2013-08-02 16:06:05.880132	2013-08-04 18:06:50.094765
30198	21	2013-08-02 16:06:05.798714	2013-08-03 19:37:45.216926
30178	21	2013-08-02 16:06:05.758998	2013-08-03 19:37:45.218755
30158	21	2013-08-02 16:06:05.719629	2013-08-03 19:37:45.220986
30298	14	2013-08-02 16:06:06.030947	2013-08-03 19:37:45.54265
30211	14	2013-08-02 16:06:05.827757	2013-08-04 18:06:50.105075
30258	7	2013-08-02 16:06:05.945319	2013-08-03 19:37:45.561724
30205	21	2013-08-02 16:06:05.811496	2013-08-03 19:47:25.704661
30185	21	2013-08-02 16:06:05.772976	2013-08-03 19:47:25.706518
30171	9	2013-08-02 16:06:05.745686	2013-08-04 18:06:51.003814
30191	21	2013-08-02 16:06:05.785667	2013-08-04 18:07:49.976476
30145	14	2013-08-02 16:06:05.693722	2013-08-03 19:52:26.089308
30159	21	2013-08-02 16:06:05.721633	2013-08-04 18:32:21.673995
30165	14	2013-08-02 16:06:05.733726	2013-08-04 18:37:41.497775
30299	14	2013-08-02 16:06:06.03194	2013-08-04 18:37:41.510208
27041	2	2013-08-02 16:05:58.720956	2013-08-04 18:37:41.520807
30279	2	2013-08-02 16:06:05.995751	2013-08-04 18:37:41.525601
30259	2	2013-08-02 16:06:05.947927	2013-08-04 18:37:41.529923
30239	2	2013-08-02 16:06:05.899561	2013-08-04 18:37:41.534684
30219	2	2013-08-02 16:06:05.849108	2013-08-04 18:37:41.53887
38230	2	2013-08-02 16:06:24.661026	2013-08-04 18:37:41.542281
30199	2	2013-08-02 16:06:05.799519	2013-08-04 18:37:41.547363
30175	2	2013-08-02 16:06:05.753252	2013-08-04 18:37:41.552421
30179	2	2013-08-02 16:06:05.761012	2013-08-04 18:37:41.557984
30302	2	2013-08-02 16:06:06.035073	2013-08-02 16:06:06.035073
30304	4	2013-08-02 16:06:06.037259	2013-08-02 16:06:06.037259
30417	14	2013-08-02 16:06:06.44297	2013-08-03 20:12:25.404672
30307	7	2013-08-02 16:06:06.040462	2013-08-02 16:06:06.040462
30309	9	2013-08-02 16:06:06.043113	2013-08-02 16:06:06.043113
30376	9	2013-08-02 16:06:06.191068	2013-08-04 20:43:48.149069
30405	7	2013-08-02 16:06:06.429357	2013-08-04 20:43:48.156607
30314	14	2013-08-02 16:06:06.052221	2013-08-02 16:06:06.052221
30397	14	2013-08-02 16:06:06.421602	2013-08-03 20:12:25.408917
30377	14	2013-08-02 16:06:06.193759	2013-08-03 20:12:25.413101
30456	4	2013-08-02 16:06:06.517003	2013-08-04 20:43:48.167456
30357	14	2013-08-02 16:06:06.140756	2013-08-03 20:12:25.417224
22326	7	2013-08-02 16:05:48.322759	2013-08-04 17:02:14.158869
30322	2	2013-08-02 16:06:06.061083	2013-08-02 16:06:06.061083
30335	9	2013-08-02 16:06:06.082976	2013-08-03 18:54:19.580343
30324	4	2013-08-02 16:06:06.063271	2013-08-02 16:06:06.063271
30337	14	2013-08-02 16:06:06.088286	2013-08-03 20:12:25.421222
30327	7	2013-08-02 16:06:06.066906	2013-08-02 16:06:06.066906
30436	21	2013-08-02 16:06:06.471288	2013-08-04 20:44:00.653046
30329	9	2013-08-02 16:06:06.069656	2013-08-02 16:06:06.069656
38290	9	2013-08-02 16:06:24.8048	2013-08-04 03:00:24.08272
30416	21	2013-08-02 16:06:06.441759	2013-08-04 20:44:09.137453
30345	2	2013-08-02 16:06:06.108187	2013-08-04 20:47:27.532989
30334	14	2013-08-02 16:06:06.080286	2013-08-02 16:06:06.080286
30317	14	2013-08-02 16:06:06.055708	2013-08-03 20:12:25.42507
30396	2	2013-08-02 16:06:06.420555	2013-08-04 20:47:28.430974
30437	9	2013-08-02 16:06:06.472919	2013-08-03 20:14:12.408422
30316	2	2013-08-02 16:06:06.054545	2013-08-04 20:47:28.574597
30356	7	2013-08-02 16:06:06.137979	2013-08-04 20:47:30.023761
30336	7	2013-08-02 16:06:06.085645	2013-08-04 20:47:30.230614
30342	2	2013-08-02 16:06:06.100971	2013-08-02 16:06:06.100971
30344	4	2013-08-02 16:06:06.105759	2013-08-02 16:06:06.105759
30360	7	2013-08-02 16:06:06.148833	2013-08-03 20:14:12.415979
30347	7	2013-08-02 16:06:06.113611	2013-08-02 16:06:06.113611
30349	9	2013-08-02 16:06:06.118919	2013-08-02 16:06:06.118919
15568	7	2013-08-02 16:05:33.845975	2013-08-04 03:00:24.088468
30354	14	2013-08-02 16:06:06.132702	2013-08-02 16:06:06.132702
30432	9	2013-08-02 16:06:06.464896	2013-08-03 22:54:49.912198
29686	2	2013-08-02 16:06:04.675231	2013-08-04 17:31:49.78164
39721	4	2013-08-02 16:06:27.630862	2013-08-04 03:00:24.097468
30362	2	2013-08-02 16:06:06.154249	2013-08-02 16:06:06.154249
30375	7	2013-08-02 16:06:06.188401	2013-08-03 18:54:19.58753
30364	4	2013-08-02 16:06:06.159621	2013-08-02 16:06:06.159621
30412	7	2013-08-02 16:06:06.436851	2013-08-03 20:52:36.408981
30367	7	2013-08-02 16:06:06.167463	2013-08-02 16:06:06.167463
30369	9	2013-08-02 16:06:06.17278	2013-08-02 16:06:06.17278
29557	2	2013-08-02 16:06:04.206476	2013-08-04 17:31:49.792564
30374	14	2013-08-02 16:06:06.185771	2013-08-02 16:06:06.185771
30390	7	2013-08-02 16:06:06.226429	2013-08-03 22:54:49.917356
30372	9	2013-08-02 16:06:06.180367	2013-08-03 20:52:36.431092
30352	4	2013-08-02 16:06:06.127326	2013-08-03 20:52:36.443885
29645	2	2013-08-02 16:06:04.425554	2013-08-04 17:31:49.802872
30382	2	2013-08-02 16:06:06.206661	2013-08-02 16:06:06.206661
30384	4	2013-08-02 16:06:06.211424	2013-08-02 16:06:06.211424
30387	7	2013-08-02 16:06:06.218536	2013-08-02 16:06:06.218536
30389	9	2013-08-02 16:06:06.223778	2013-08-02 16:06:06.223778
6765	21	2013-08-02 16:05:16.934406	2013-08-04 03:00:36.44553
30394	14	2013-08-02 16:06:06.418465	2013-08-02 16:06:06.418465
22072	2	2013-08-02 16:05:47.725087	2013-08-04 03:00:36.646246
30430	4	2013-08-02 16:06:06.461552	2013-08-03 22:54:49.924471
26901	2	2013-08-02 16:05:58.393298	2013-08-03 21:49:32.396546
30402	2	2013-08-02 16:06:06.42671	2013-08-02 16:06:06.42671
26861	9	2013-08-02 16:05:58.296046	2013-08-03 21:49:32.441551
30404	4	2013-08-02 16:06:06.428348	2013-08-02 16:06:06.428348
36765	14	2013-08-02 16:06:21.358089	2013-08-03 21:49:32.697376
30407	7	2013-08-02 16:06:06.431378	2013-08-02 16:06:06.431378
30409	9	2013-08-02 16:06:06.433496	2013-08-02 16:06:06.433496
17577	14	2013-08-02 16:05:38.299865	2013-08-03 22:55:09.036014
30414	14	2013-08-02 16:06:06.439444	2013-08-02 16:06:06.439444
30457	2	2013-08-02 16:06:06.519662	2013-08-04 17:41:51.02857
30328	2	2013-08-02 16:06:06.068187	2013-08-04 17:41:51.032831
30308	2	2013-08-02 16:06:06.041755	2013-08-04 17:41:51.036997
26761	2	2013-08-02 16:05:58.03652	2013-08-03 21:49:32.76042
30433	2	2013-08-02 16:06:06.466479	2013-08-04 17:41:52.114811
30422	2	2013-08-02 16:06:06.449985	2013-08-02 16:06:06.449985
30435	4	2013-08-02 16:06:06.46967	2013-08-03 18:54:19.598591
30424	4	2013-08-02 16:06:06.452727	2013-08-02 16:06:06.452727
30427	7	2013-08-02 16:06:06.456969	2013-08-02 16:06:06.456969
30429	9	2013-08-02 16:06:06.460016	2013-08-02 16:06:06.460016
30413	2	2013-08-02 16:06:06.438168	2013-08-04 17:41:52.121982
30393	2	2013-08-02 16:06:06.417038	2013-08-04 17:41:52.130691
30434	14	2013-08-02 16:06:06.468022	2013-08-02 16:06:06.468022
2419	9	2013-08-02 16:05:08.730295	2013-08-03 21:49:32.79104
30373	2	2013-08-02 16:06:06.18309	2013-08-04 17:41:52.141641
30353	2	2013-08-02 16:06:06.130012	2013-08-04 17:41:52.152592
36745	21	2013-08-02 16:06:21.337183	2013-08-03 21:51:01.165306
30310	2	2013-08-02 16:06:06.044498	2013-08-04 17:41:52.163255
30442	2	2013-08-02 16:06:06.481113	2013-08-02 16:06:06.481113
30333	2	2013-08-02 16:06:06.077631	2013-08-04 17:41:52.174343
30444	4	2013-08-02 16:06:06.485193	2013-08-02 16:06:06.485193
30447	7	2013-08-02 16:06:06.493252	2013-08-02 16:06:06.493252
30449	9	2013-08-02 16:06:06.498566	2013-08-02 16:06:06.498566
30453	21	2013-08-02 16:06:06.509071	2013-08-04 17:47:45.013305
30454	14	2013-08-02 16:06:06.511722	2013-08-02 16:06:06.511722
30438	21	2013-08-02 16:06:06.47454	2013-08-04 17:53:53.846711
30451	14	2013-08-02 16:06:06.503882	2013-08-04 18:06:49.881957
30440	21	2013-08-02 16:06:06.477788	2013-08-03 19:27:40.065555
30420	21	2013-08-02 16:06:06.446716	2013-08-03 19:27:40.066698
30400	21	2013-08-02 16:06:06.42482	2013-08-03 19:27:40.067799
30431	14	2013-08-02 16:06:06.463195	2013-08-04 18:06:49.888423
21221	14	2013-08-02 16:05:45.532425	2013-08-04 18:06:49.894589
30320	9	2013-08-02 16:06:06.058862	2013-08-03 19:27:40.112994
30418	9	2013-08-02 16:06:06.444171	2013-08-03 19:37:45.479335
30411	14	2013-08-02 16:06:06.4358	2013-08-04 18:06:49.901509
30378	4	2013-08-02 16:06:06.196388	2013-08-03 19:37:45.50215
26881	14	2013-08-02 16:05:58.34496	2013-08-04 18:06:49.909541
30415	21	2013-08-02 16:06:06.440587	2013-08-03 19:52:25.953012
30385	21	2013-08-02 16:06:06.213846	2013-08-03 19:52:25.95522
30305	4	2013-08-02 16:06:06.03828	2013-08-03 19:52:26.015226
30391	14	2013-08-02 16:06:06.229122	2013-08-04 18:06:49.917546
30425	4	2013-08-02 16:06:06.454113	2013-08-03 19:57:23.778767
30371	14	2013-08-02 16:06:06.177755	2013-08-04 18:06:49.926348
30350	14	2013-08-02 16:06:06.121656	2013-08-04 18:06:49.934543
30351	14	2013-08-02 16:06:06.124417	2013-08-04 18:06:50.006463
30331	14	2013-08-02 16:06:06.072511	2013-08-04 18:06:50.016937
3409	14	2013-08-02 16:05:10.31302	2013-08-04 18:06:50.026478
30321	14	2013-08-02 16:06:06.059986	2013-08-04 18:06:50.037992
30311	14	2013-08-02 16:06:06.045804	2013-08-04 18:06:50.048589
30338	14	2013-08-02 16:06:06.090983	2013-08-04 18:17:51.262988
30399	21	2013-08-02 16:06:06.423654	2013-08-04 18:37:41.367831
30446	14	2013-08-02 16:06:06.49052	2013-08-04 18:37:41.387315
30379	14	2013-08-02 16:06:06.199049	2013-08-04 18:37:41.459267
30359	14	2013-08-02 16:06:06.146102	2013-08-04 18:37:41.465476
30452	14	2013-08-02 16:06:06.506454	2013-08-04 18:37:41.47035
30339	14	2013-08-02 16:06:06.093658	2013-08-04 18:37:41.47597
30315	14	2013-08-02 16:06:06.053371	2013-08-04 18:37:41.481519
30319	14	2013-08-02 16:06:06.057783	2013-08-04 18:37:41.488017
30365	9	2013-08-02 16:06:06.162337	2013-08-04 18:37:42.950354
30458	7	2013-08-02 16:06:06.522387	2013-08-04 18:37:42.974905
30340	7	2013-08-02 16:06:06.096139	2013-08-04 18:37:42.980576
30439	7	2013-08-02 16:06:06.476167	2013-08-04 18:37:42.985356
30419	7	2013-08-02 16:06:06.445421	2013-08-04 18:37:42.991618
30476	2	2013-08-02 16:06:06.571064	2013-08-04 20:43:48.174479
30575	21	2013-08-02 16:06:06.797746	2013-08-04 17:41:53.044758
30462	2	2013-08-02 16:06:06.53331	2013-08-02 16:06:06.53331
30475	2	2013-08-02 16:06:06.568307	2013-08-03 18:54:19.605737
30464	4	2013-08-02 16:06:06.538671	2013-08-02 16:06:06.538671
30461	2	2013-08-02 16:06:06.530595	2013-08-03 22:15:17.318054
30467	7	2013-08-02 16:06:06.546662	2013-08-02 16:06:06.546662
30469	9	2013-08-02 16:06:06.552063	2013-08-02 16:06:06.552063
14599	2	2013-08-02 16:05:32.219828	2013-08-04 00:22:31.324215
16721	21	2013-08-02 16:05:36.101057	2013-08-04 00:26:40.510767
30474	14	2013-08-02 16:06:06.565533	2013-08-02 16:06:06.565533
30517	4	2013-08-02 16:06:06.647767	2013-08-03 20:14:12.427529
30581	4	2013-08-02 16:06:06.807128	2013-08-03 22:19:21.236511
30601	7	2013-08-02 16:06:06.828142	2013-08-03 22:45:09.300178
30536	14	2013-08-02 16:06:06.698129	2013-08-04 20:44:09.096625
30557	2	2013-08-02 16:06:06.753919	2013-08-03 20:14:12.435205
30482	2	2013-08-02 16:06:06.581731	2013-08-02 16:06:06.581731
30484	4	2013-08-02 16:06:06.583993	2013-08-02 16:06:06.583993
24271	14	2013-08-02 16:05:52.763724	2013-08-04 03:00:24.136672
30487	7	2013-08-02 16:06:06.58736	2013-08-02 16:06:06.58736
30489	9	2013-08-02 16:06:06.590007	2013-08-02 16:06:06.590007
30568	21	2013-08-02 16:06:06.782918	2013-08-04 17:41:53.048944
30596	9	2013-08-02 16:06:06.823149	2013-08-04 20:44:09.106574
30496	21	2013-08-02 16:06:06.599842	2013-08-04 20:44:09.138356
30494	14	2013-08-02 16:06:06.597063	2013-08-02 16:06:06.597063
27001	21	2013-08-02 16:05:58.63235	2013-08-04 17:41:53.052644
30548	4	2013-08-02 16:06:06.729777	2013-08-04 17:41:53.072415
30516	21	2013-08-02 16:06:06.645122	2013-08-04 20:44:09.163727
30535	21	2013-08-02 16:06:06.695671	2013-08-04 20:44:16.930087
30612	21	2013-08-02 16:06:06.839932	2013-08-03 20:52:36.227443
30528	4	2013-08-02 16:06:06.677327	2013-08-04 17:41:53.084216
30502	2	2013-08-02 16:06:06.608704	2013-08-02 16:06:06.608704
30504	4	2013-08-02 16:06:06.613533	2013-08-02 16:06:06.613533
30592	21	2013-08-02 16:06:06.819017	2013-08-03 20:52:36.228916
30556	2	2013-08-02 16:06:06.751233	2013-08-04 20:47:28.569552
30507	7	2013-08-02 16:06:06.621272	2013-08-02 16:06:06.621272
16941	7	2013-08-02 16:05:36.675946	2013-08-04 20:47:29.179513
30509	9	2013-08-02 16:06:06.62668	2013-08-02 16:06:06.62668
30508	4	2013-08-02 16:06:06.623932	2013-08-04 17:41:53.095855
30576	7	2013-08-02 16:06:06.7987	2013-08-04 20:47:30.013198
3969	7	2013-08-02 16:05:11.675246	2013-08-04 20:47:30.220525
30514	14	2013-08-02 16:06:06.639821	2013-08-02 16:06:06.639821
30572	21	2013-08-02 16:06:06.793683	2013-08-03 20:52:36.230149
30488	4	2013-08-02 16:06:06.588472	2013-08-04 17:41:53.107503
30530	14	2013-08-02 16:06:06.682604	2013-08-03 23:00:48.587103
30537	7	2013-08-02 16:06:06.70089	2013-08-04 20:47:30.835652
30493	21	2013-08-02 16:06:06.595608	2013-08-04 20:48:41.539657
30468	14	2013-08-02 16:06:06.549373	2013-08-04 17:41:53.125396
30522	2	2013-08-02 16:06:06.661341	2013-08-02 16:06:06.661341
30560	4	2013-08-02 16:06:06.762014	2013-08-04 17:41:53.492988
30524	4	2013-08-02 16:06:06.666627	2013-08-02 16:06:06.666627
30527	7	2013-08-02 16:06:06.67466	2013-08-02 16:06:06.67466
30529	9	2013-08-02 16:06:06.679965	2013-08-02 16:06:06.679965
30608	4	2013-08-02 16:06:06.835512	2013-08-04 17:41:53.504441
30534	14	2013-08-02 16:06:06.693218	2013-08-02 16:06:06.693218
30590	9	2013-08-02 16:06:06.816979	2013-08-03 23:00:48.591012
30615	4	2013-08-02 16:06:06.843207	2013-08-04 17:41:53.515852
30542	2	2013-08-02 16:06:06.714077	2013-08-02 16:06:06.714077
30544	4	2013-08-02 16:06:06.719267	2013-08-02 16:06:06.719267
30532	7	2013-08-02 16:06:06.687907	2013-08-03 20:56:05.702707
30547	7	2013-08-02 16:06:06.727222	2013-08-02 16:06:06.727222
30549	9	2013-08-02 16:06:06.732376	2013-08-02 16:06:06.732376
30554	14	2013-08-02 16:06:06.7459	2013-08-02 16:06:06.7459
30552	14	2013-08-02 16:06:06.740512	2013-08-03 20:56:05.924566
30490	9	2013-08-02 16:06:06.591334	2013-08-03 23:04:24.082203
30562	2	2013-08-02 16:06:06.767185	2013-08-02 16:06:06.767185
30513	14	2013-08-02 16:06:06.637348	2013-08-04 17:45:02.785989
30564	4	2013-08-02 16:06:06.772237	2013-08-02 16:06:06.772237
30567	7	2013-08-02 16:06:06.780217	2013-08-02 16:06:06.780217
30569	9	2013-08-02 16:06:06.785574	2013-08-02 16:06:06.785574
30510	7	2013-08-02 16:06:06.629383	2013-08-03 23:06:13.81998
30574	14	2013-08-02 16:06:06.796844	2013-08-02 16:06:06.796844
28758	7	2013-08-02 16:06:02.139934	2013-08-03 21:49:33.301053
30582	2	2013-08-02 16:06:06.808232	2013-08-02 16:06:06.808232
30595	9	2013-08-02 16:06:06.822127	2013-08-03 18:54:33.672504
30584	4	2013-08-02 16:06:06.810494	2013-08-02 16:06:06.810494
15471	7	2013-08-02 16:05:33.762958	2013-08-03 21:49:33.312353
30587	7	2013-08-02 16:06:06.813906	2013-08-02 16:06:06.813906
30589	9	2013-08-02 16:06:06.815965	2013-08-02 16:06:06.815965
14910	14	2013-08-02 16:05:32.89169	2013-08-03 23:55:30.63644
30594	14	2013-08-02 16:06:06.821109	2013-08-02 16:06:06.821109
15451	2	2013-08-02 16:05:33.745492	2013-08-03 21:49:33.333774
30553	9	2013-08-02 16:06:06.743208	2013-08-04 17:45:02.800452
17383	2	2013-08-02 16:05:37.832293	2013-08-03 21:49:33.634535
15551	7	2013-08-02 16:05:33.830291	2013-08-04 17:45:02.807203
30602	2	2013-08-02 16:06:06.82914	2013-08-02 16:06:06.82914
30604	4	2013-08-02 16:06:06.831236	2013-08-02 16:06:06.831236
30607	7	2013-08-02 16:06:06.834405	2013-08-02 16:06:06.834405
30609	9	2013-08-02 16:06:06.836633	2013-08-02 16:06:06.836633
30613	21	2013-08-02 16:06:06.84104	2013-08-04 17:46:49.232684
30614	14	2013-08-02 16:06:06.842076	2013-08-02 16:06:06.842076
30593	2	2013-08-02 16:06:06.820059	2013-08-04 17:46:49.551386
30480	21	2013-08-02 16:06:06.579381	2013-08-03 19:27:40.062303
30460	21	2013-08-02 16:06:06.52787	2013-08-03 19:27:40.06422
30573	2	2013-08-02 16:06:06.794933	2013-08-04 17:46:49.915297
30540	9	2013-08-02 16:06:06.708739	2013-08-03 19:29:58.567597
30580	7	2013-08-02 16:06:06.805993	2013-08-03 19:29:58.570593
30578	21	2013-08-02 16:06:06.802412	2013-08-03 19:37:45.446936
30558	21	2013-08-02 16:06:06.75663	2013-08-03 19:37:45.449171
30538	21	2013-08-02 16:06:06.703409	2013-08-03 19:37:45.450713
30518	21	2013-08-02 16:06:06.650526	2013-08-03 19:37:45.452095
30498	21	2013-08-02 16:06:06.602734	2013-08-03 19:37:45.453474
30478	21	2013-08-02 16:06:06.576502	2013-08-03 19:37:45.454915
30605	21	2013-08-02 16:06:06.832258	2013-08-03 19:57:23.684379
30472	21	2013-08-02 16:06:06.560127	2013-08-04 17:46:49.963504
30550	2	2013-08-02 16:06:06.735091	2013-08-04 17:46:50.08284
14670	9	2013-08-02 16:05:32.392758	2013-08-03 23:55:30.878654
30515	21	2013-08-02 16:06:06.642443	2013-08-04 17:46:50.621242
14559	2	2013-08-02 16:05:32.136896	2013-08-03 23:55:30.895621
16541	7	2013-08-02 16:05:35.708531	2013-08-03 23:55:30.90333
30473	21	2013-08-02 16:06:06.562846	2013-08-04 17:53:53.849502
30500	14	2013-08-02 16:06:06.605775	2013-08-04 18:17:51.088842
30611	14	2013-08-02 16:06:06.838838	2013-08-04 18:17:51.100571
30591	14	2013-08-02 16:06:06.817994	2013-08-04 18:17:51.112371
30533	14	2013-08-02 16:06:06.690569	2013-08-04 18:17:51.120531
30571	14	2013-08-02 16:06:06.791051	2013-08-04 18:17:51.124664
30551	14	2013-08-02 16:06:06.737753	2013-08-04 18:17:51.129963
30555	14	2013-08-02 16:06:06.748632	2013-08-04 18:17:51.134761
30512	14	2013-08-02 16:06:06.634767	2013-08-04 18:17:51.138812
30570	14	2013-08-02 16:06:06.788298	2013-08-04 18:17:51.1439
30531	14	2013-08-02 16:06:06.685286	2013-08-04 18:17:51.210773
30511	14	2013-08-02 16:06:06.632088	2013-08-04 18:17:51.224129
37921	14	2013-08-02 16:06:23.892037	2013-08-04 18:27:20.04808
30545	21	2013-08-02 16:06:06.721785	2013-08-04 18:37:42.83163
30598	21	2013-08-02 16:06:06.825188	2013-08-04 18:37:42.833854
30599	21	2013-08-02 16:06:06.826208	2013-08-04 18:37:42.836331
30539	4	2013-08-02 16:06:06.706039	2013-08-04 18:37:42.870144
30519	4	2013-08-02 16:06:06.653236	2013-08-04 18:37:42.873567
30499	4	2013-08-02 16:06:06.604154	2013-08-04 18:37:42.881655
30470	4	2013-08-02 16:06:06.554771	2013-08-04 18:37:42.893329
21201	9	2013-08-02 16:05:45.477679	2013-08-04 18:37:42.915672
30479	9	2013-08-02 16:06:06.57768	2013-08-04 18:37:42.92724
30559	21	2013-08-02 16:06:06.759325	2013-08-04 18:42:33.226239
15591	21	2013-08-02 16:05:33.869954	2013-08-04 18:42:33.228327
15571	21	2013-08-02 16:05:33.848767	2013-08-04 18:42:33.230589
30579	21	2013-08-02 16:06:06.804869	2013-08-04 18:42:33.232433
16711	2	2013-08-02 16:05:36.082245	2013-08-04 18:42:35.439581
30565	2	2013-08-02 16:06:06.774908	2013-08-04 18:42:35.450466
30632	21	2013-08-02 16:06:06.866674	2013-08-03 20:52:36.225841
30672	7	2013-08-02 16:06:06.964131	2013-08-04 20:44:09.109463
30626	2	2013-08-02 16:06:06.858086	2013-08-04 17:41:50.097251
30622	2	2013-08-02 16:06:06.852229	2013-08-02 16:06:06.852229
30635	7	2013-08-02 16:06:06.871421	2013-08-03 18:54:33.67989
30624	4	2013-08-02 16:06:06.855123	2013-08-02 16:06:06.855123
30627	7	2013-08-02 16:06:06.859524	2013-08-02 16:06:06.859524
30692	4	2013-08-02 16:06:07.01443	2013-08-04 20:44:09.114862
30629	9	2013-08-02 16:06:06.86242	2013-08-02 16:06:06.86242
14699	2	2013-08-02 16:05:32.434737	2013-08-04 17:41:50.477369
30676	2	2013-08-02 16:06:06.974826	2013-08-04 20:44:09.118834
30634	14	2013-08-02 16:06:06.869735	2013-08-02 16:06:06.869735
30741	21	2013-08-02 16:06:07.141687	2013-08-03 22:19:21.155989
30721	21	2013-08-02 16:06:07.089166	2013-08-03 22:19:21.157709
30712	14	2013-08-02 16:06:07.065387	2013-08-03 20:55:46.611498
30656	21	2013-08-02 16:06:06.92258	2013-08-04 20:44:28.377708
30681	2	2013-08-02 16:06:06.987225	2013-08-04 20:47:27.550874
30636	2	2013-08-02 16:06:06.873652	2013-08-04 20:47:27.916779
30642	2	2013-08-02 16:06:06.889765	2013-08-02 16:06:06.889765
30616	2	2013-08-02 16:06:06.844371	2013-08-04 20:47:28.417365
30644	4	2013-08-02 16:06:06.895095	2013-08-02 16:06:06.895095
10961	7	2013-08-02 16:05:24.38582	2013-08-04 20:47:29.172306
30765	4	2013-08-02 16:06:07.201998	2013-08-04 20:47:30.628159
30647	7	2013-08-02 16:06:06.902057	2013-08-02 16:06:06.902057
30730	4	2013-08-02 16:06:07.112719	2013-08-04 20:47:30.632673
30649	9	2013-08-02 16:06:06.905628	2013-08-02 16:06:06.905628
30638	2	2013-08-02 16:06:06.879085	2013-08-04 20:47:30.642234
30756	2	2013-08-02 16:06:07.180674	2013-08-04 20:47:30.652189
30701	21	2013-08-02 16:06:07.036068	2013-08-03 22:19:21.158957
30736	2	2013-08-02 16:06:07.128724	2013-08-04 20:47:30.66331
30654	14	2013-08-02 16:06:06.917265	2013-08-02 16:06:06.917265
43843	2	2013-08-02 16:06:36.809678	2013-08-04 17:41:50.48982
30657	4	2013-08-02 16:06:06.925276	2013-08-04 17:45:02.818006
30660	9	2013-08-02 16:06:06.932924	2013-08-03 20:55:46.625323
30755	2	2013-08-02 16:06:07.178243	2013-08-04 20:47:30.674002
30716	2	2013-08-02 16:06:07.075794	2013-08-04 20:47:30.68443
30662	2	2013-08-02 16:06:06.937776	2013-08-02 16:06:06.937776
17333	7	2013-08-02 16:05:37.711	2013-08-03 21:49:33.656794
30664	4	2013-08-02 16:06:06.942906	2013-08-02 16:06:06.942906
15392	7	2013-08-02 16:05:33.684354	2013-08-03 21:49:33.668228
30696	2	2013-08-02 16:06:07.023927	2013-08-04 20:47:30.695428
30667	7	2013-08-02 16:06:06.950738	2013-08-02 16:06:06.950738
30669	9	2013-08-02 16:06:06.956106	2013-08-02 16:06:06.956106
30732	2	2013-08-02 16:06:07.118039	2013-08-04 17:45:02.825338
30674	14	2013-08-02 16:06:06.969492	2013-08-02 16:06:06.969492
26890	21	2013-08-02 16:05:58.366487	2013-08-03 21:49:33.763892
26730	21	2013-08-02 16:05:57.989396	2013-08-03 21:49:33.765559
27886	21	2013-08-02 16:06:00.865539	2013-08-04 17:45:02.8641
30682	2	2013-08-02 16:06:06.98949	2013-08-02 16:06:06.98949
30695	4	2013-08-02 16:06:07.021573	2013-08-03 18:54:33.691187
30684	4	2013-08-02 16:06:06.994451	2013-08-02 16:06:06.994451
30687	7	2013-08-02 16:06:07.00236	2013-08-02 16:06:07.00236
30689	9	2013-08-02 16:06:07.007201	2013-08-02 16:06:07.007201
30633	2	2013-08-02 16:06:06.868078	2013-08-04 17:46:49.141671
30694	14	2013-08-02 16:06:07.019173	2013-08-02 16:06:07.019173
10979	2	2013-08-02 16:05:24.416463	2013-08-03 21:49:34.589861
30740	2	2013-08-02 16:06:07.138994	2013-08-04 17:46:52.180089
10921	2	2013-08-02 16:05:24.340161	2013-08-03 21:49:34.593692
30658	2	2013-08-02 16:06:06.927938	2013-08-04 17:46:52.191372
30702	2	2013-08-02 16:06:07.038468	2013-08-02 16:06:07.038468
30704	4	2013-08-02 16:06:07.043199	2013-08-02 16:06:07.043199
30698	2	2013-08-02 16:06:07.028661	2013-08-04 17:46:52.202249
30707	7	2013-08-02 16:06:07.05078	2013-08-02 16:06:07.05078
30709	9	2013-08-02 16:06:07.057365	2013-08-02 16:06:07.057365
30753	2	2013-08-02 16:06:07.173095	2013-08-04 17:46:52.213245
30733	2	2013-08-02 16:06:07.120526	2013-08-04 17:46:52.224002
30714	14	2013-08-02 16:06:07.070553	2013-08-02 16:06:07.070553
30621	9	2013-08-02 16:06:06.850947	2013-08-03 22:19:21.89031
30713	2	2013-08-02 16:06:07.068015	2013-08-04 17:46:52.234862
2196	2	2013-08-02 16:05:08.417227	2013-08-04 17:46:52.245585
30722	2	2013-08-02 16:06:07.091787	2013-08-02 16:06:07.091787
30735	2	2013-08-02 16:06:07.126008	2013-08-03 18:54:33.698718
30724	4	2013-08-02 16:06:07.096738	2013-08-02 16:06:07.096738
10959	2	2013-08-02 16:05:24.383006	2013-08-04 17:46:52.256613
30727	7	2013-08-02 16:06:07.104681	2013-08-02 16:06:07.104681
30729	9	2013-08-02 16:06:07.110019	2013-08-02 16:06:07.110019
30693	2	2013-08-02 16:06:07.016815	2013-08-04 17:46:52.267739
30700	14	2013-08-02 16:06:07.033725	2013-08-03 22:22:07.120759
30734	14	2013-08-02 16:06:07.123161	2013-08-02 16:06:07.123161
30761	21	2013-08-02 16:06:07.192556	2013-08-03 22:24:24.243197
30673	2	2013-08-02 16:06:06.966805	2013-08-04 17:46:52.278603
30653	2	2013-08-02 16:06:06.914606	2013-08-04 17:46:52.289385
30650	4	2013-08-02 16:06:06.90729	2013-08-03 23:00:48.595555
14479	14	2013-08-02 16:05:31.939179	2013-08-04 18:27:19.990939
30742	2	2013-08-02 16:06:07.144301	2013-08-02 16:06:07.144301
30710	14	2013-08-02 16:06:07.060032	2013-08-04 18:27:19.995081
30744	4	2013-08-02 16:06:07.149588	2013-08-02 16:06:07.149588
30771	14	2013-08-02 16:06:07.216166	2013-08-04 18:27:19.999333
30747	7	2013-08-02 16:06:07.157387	2013-08-02 16:06:07.157387
30749	9	2013-08-02 16:06:07.162687	2013-08-02 16:06:07.162687
30751	14	2013-08-02 16:06:07.167776	2013-08-04 18:27:20.003658
30670	2	2013-08-02 16:06:06.958832	2013-08-03 23:00:48.597329
30754	14	2013-08-02 16:06:07.175734	2013-08-02 16:06:07.175734
30731	14	2013-08-02 16:06:07.115358	2013-08-04 18:27:20.007956
30711	14	2013-08-02 16:06:07.062693	2013-08-04 18:27:20.011902
30691	14	2013-08-02 16:06:07.012016	2013-08-04 18:27:20.01642
30671	14	2013-08-02 16:06:06.961517	2013-08-04 18:27:20.020717
30651	14	2013-08-02 16:06:06.909232	2013-08-04 18:27:20.025542
30762	2	2013-08-02 16:06:07.194902	2013-08-02 16:06:07.194902
30764	4	2013-08-02 16:06:07.199617	2013-08-02 16:06:07.199617
30752	14	2013-08-02 16:06:07.170439	2013-08-04 18:27:20.031069
30767	7	2013-08-02 16:06:07.206708	2013-08-02 16:06:07.206708
30769	9	2013-08-02 16:06:07.211401	2013-08-02 16:06:07.211401
30697	14	2013-08-02 16:06:07.026293	2013-08-04 18:27:20.037452
30772	21	2013-08-02 16:06:07.218555	2013-08-03 23:01:08.083839
30630	4	2013-08-02 16:06:06.863873	2013-08-03 23:01:08.245599
30640	4	2013-08-02 16:06:06.884402	2013-08-03 19:29:58.57587
30631	14	2013-08-02 16:06:06.865358	2013-08-04 18:27:20.043965
30680	2	2013-08-02 16:06:06.984858	2013-08-03 19:29:58.581544
30620	14	2013-08-02 16:06:06.84967	2013-08-04 18:42:35.318492
30759	14	2013-08-02 16:06:07.187804	2013-08-04 18:42:35.330225
30760	9	2013-08-02 16:06:07.190201	2013-08-03 19:32:39.804013
30739	14	2013-08-02 16:06:07.136475	2013-08-04 18:42:35.342195
30719	2	2013-08-02 16:06:07.083822	2013-08-04 18:42:35.364301
30678	14	2013-08-02 16:06:06.979974	2013-08-03 19:38:56.675022
30699	2	2013-08-02 16:06:07.031032	2013-08-04 18:42:35.375414
30625	21	2013-08-02 16:06:06.856576	2013-08-03 19:57:23.68036
30770	14	2013-08-02 16:06:07.213787	2013-08-03 23:01:18.935565
30661	2	2013-08-02 16:06:06.93534	2013-08-04 18:42:35.386082
30665	14	2013-08-02 16:06:06.945488	2013-08-03 20:02:25.133176
30675	4	2013-08-02 16:06:06.972128	2013-08-03 20:02:25.152197
30705	14	2013-08-02 16:06:07.045579	2013-08-03 20:03:51.956672
30679	2	2013-08-02 16:06:06.982418	2013-08-04 18:42:35.395313
30659	2	2013-08-02 16:06:06.930488	2013-08-04 18:42:35.407019
30639	2	2013-08-02 16:06:06.881742	2013-08-04 18:42:35.418004
30619	2	2013-08-02 16:06:06.848371	2013-08-04 18:42:35.428901
30685	21	2013-08-02 16:06:06.997162	2013-08-03 23:12:12.716841
30690	4	2013-08-02 16:06:07.009643	2013-08-03 23:12:32.042092
24081	21	2013-08-02 16:05:52.577717	2013-08-03 23:55:31.519788
30916	7	2013-08-02 16:06:07.571259	2013-08-04 20:47:30.508479
30774	14	2013-08-02 16:06:07.223363	2013-08-02 16:06:07.223363
30775	2	2013-08-02 16:06:07.225765	2013-08-04 17:41:50.443043
30896	7	2013-08-02 16:06:07.520268	2013-08-04 20:47:30.520023
30876	7	2013-08-02 16:06:07.473383	2013-08-04 20:47:30.531113
30856	7	2013-08-02 16:06:07.42625	2013-08-04 20:47:30.542442
16831	2	2013-08-02 16:05:36.389901	2013-08-04 17:46:49.54368
30782	2	2013-08-02 16:06:07.244098	2013-08-02 16:06:07.244098
30836	7	2013-08-02 16:06:07.377589	2013-08-04 20:47:30.55354
30784	4	2013-08-02 16:06:07.248947	2013-08-02 16:06:07.248947
30912	7	2013-08-02 16:06:07.560601	2013-08-04 20:47:30.564656
30816	4	2013-08-02 16:06:07.325529	2013-08-04 20:47:30.589814
30787	7	2013-08-02 16:06:07.256268	2013-08-02 16:06:07.256268
30796	4	2013-08-02 16:06:07.278038	2013-08-04 20:47:30.601301
30789	9	2013-08-02 16:06:07.261115	2013-08-02 16:06:07.261115
30838	2	2013-08-02 16:06:07.382877	2013-08-04 17:46:49.547696
30776	4	2013-08-02 16:06:07.228224	2013-08-04 20:47:30.612654
16800	2	2013-08-02 16:05:36.308393	2013-08-04 17:46:49.867333
30858	4	2013-08-02 16:06:07.430965	2013-08-04 20:47:30.623501
30794	14	2013-08-02 16:06:07.273294	2013-08-02 16:06:07.273294
30832	4	2013-08-02 16:06:07.367009	2013-08-03 20:55:46.645237
35178	2	2013-08-02 16:06:17.673405	2013-08-04 17:46:49.870672
30872	2	2013-08-02 16:06:07.46408	2013-08-03 20:55:46.648728
30798	2	2013-08-02 16:06:07.282814	2013-08-04 17:46:49.877171
30802	2	2013-08-02 16:06:07.292608	2013-08-02 16:06:07.292608
30804	4	2013-08-02 16:06:07.297335	2013-08-02 16:06:07.297335
30928	2	2013-08-02 16:06:07.60329	2013-08-04 17:46:49.884529
30807	7	2013-08-02 16:06:07.304364	2013-08-02 16:06:07.304364
30809	9	2013-08-02 16:06:07.309112	2013-08-02 16:06:07.309112
30830	2	2013-08-02 16:06:07.361975	2013-08-04 17:46:49.890269
30908	2	2013-08-02 16:06:07.549709	2013-08-04 17:46:49.896496
30814	14	2013-08-02 16:06:07.320865	2013-08-02 16:06:07.320865
30888	2	2013-08-02 16:06:07.501559	2013-08-04 17:46:49.904349
30873	2	2013-08-02 16:06:07.46635	2013-08-04 17:46:52.080455
30822	2	2013-08-02 16:06:07.340793	2013-08-02 16:06:07.340793
30824	4	2013-08-02 16:06:07.346086	2013-08-02 16:06:07.346086
30853	2	2013-08-02 16:06:07.419203	2013-08-04 17:46:52.091915
30827	7	2013-08-02 16:06:07.354037	2013-08-02 16:06:07.354037
30829	9	2013-08-02 16:06:07.359327	2013-08-02 16:06:07.359327
30833	2	2013-08-02 16:06:07.369681	2013-08-04 17:46:52.103142
30834	14	2013-08-02 16:06:07.372293	2013-08-02 16:06:07.372293
30852	2	2013-08-02 16:06:07.41684	2013-08-04 17:46:52.115164
30813	2	2013-08-02 16:06:07.318465	2013-08-04 17:46:52.126208
30781	2	2013-08-02 16:06:07.241607	2013-08-04 17:46:52.136971
30841	9	2013-08-02 16:06:07.390623	2013-08-03 22:22:07.130247
30793	2	2013-08-02 16:06:07.270858	2013-08-04 17:46:52.147953
30842	2	2013-08-02 16:06:07.393058	2013-08-02 16:06:07.393058
30844	4	2013-08-02 16:06:07.397821	2013-08-02 16:06:07.397821
10919	7	2013-08-02 16:05:24.338502	2013-08-03 21:49:34.644327
30847	7	2013-08-02 16:06:07.404973	2013-08-02 16:06:07.404973
30849	9	2013-08-02 16:06:07.409736	2013-08-02 16:06:07.409736
30773	2	2013-08-02 16:06:07.220905	2013-08-04 17:46:52.158784
30854	14	2013-08-02 16:06:07.421562	2013-08-02 16:06:07.421562
10899	7	2013-08-02 16:05:24.313796	2013-08-03 21:49:34.648607
30862	2	2013-08-02 16:06:07.440407	2013-08-02 16:06:07.440407
30864	4	2013-08-02 16:06:07.445124	2013-08-02 16:06:07.445124
26430	21	2013-08-02 16:05:57.063473	2013-08-03 21:49:34.748442
30867	7	2013-08-02 16:06:07.452226	2013-08-02 16:06:07.452226
30869	9	2013-08-02 16:06:07.456993	2013-08-02 16:06:07.456993
30881	7	2013-08-02 16:06:07.485143	2013-08-03 22:22:07.13516
30874	14	2013-08-02 16:06:07.46869	2013-08-02 16:06:07.46869
30893	21	2013-08-02 16:06:07.513279	2013-08-04 17:48:13.758209
30865	21	2013-08-02 16:06:07.447442	2013-08-04 17:53:53.852736
30882	2	2013-08-02 16:06:07.487452	2013-08-02 16:06:07.487452
30884	4	2013-08-02 16:06:07.492148	2013-08-02 16:06:07.492148
30897	4	2013-08-02 16:06:07.522619	2013-08-03 22:45:09.311399
30887	7	2013-08-02 16:06:07.499198	2013-08-02 16:06:07.499198
30889	9	2013-08-02 16:06:07.503886	2013-08-02 16:06:07.503886
30811	14	2013-08-02 16:06:07.313831	2013-08-04 18:27:19.981935
30791	14	2013-08-02 16:06:07.265832	2013-08-04 18:27:19.986746
30894	14	2013-08-02 16:06:07.515608	2013-08-02 16:06:07.515608
30911	14	2013-08-02 16:06:07.557896	2013-08-04 18:37:40.899266
30917	21	2013-08-02 16:06:07.57375	2013-08-03 22:45:29.666633
30790	14	2013-08-02 16:06:07.263462	2013-08-04 18:37:40.904856
30902	2	2013-08-02 16:06:07.5347	2013-08-02 16:06:07.5347
30904	4	2013-08-02 16:06:07.53944	2013-08-02 16:06:07.53944
30810	9	2013-08-02 16:06:07.311441	2013-08-03 23:01:18.951599
30907	7	2013-08-02 16:06:07.546956	2013-08-02 16:06:07.546956
30909	9	2013-08-02 16:06:07.55241	2013-08-02 16:06:07.55241
30877	14	2013-08-02 16:06:07.4757	2013-08-04 18:37:40.909573
30914	14	2013-08-02 16:06:07.565939	2013-08-02 16:06:07.565939
30821	7	2013-08-02 16:06:07.338098	2013-08-03 23:01:18.959364
30891	14	2013-08-02 16:06:07.508583	2013-08-04 18:37:40.913895
30801	14	2013-08-02 16:06:07.290238	2013-08-04 18:37:40.91796
30871	14	2013-08-02 16:06:07.461707	2013-08-04 18:37:40.921913
30922	2	2013-08-02 16:06:07.587416	2013-08-02 16:06:07.587416
30924	4	2013-08-02 16:06:07.592815	2013-08-02 16:06:07.592815
30890	4	2013-08-02 16:06:07.506238	2013-08-03 23:01:18.963327
30927	7	2013-08-02 16:06:07.600667	2013-08-02 16:06:07.600667
30929	9	2013-08-02 16:06:07.606031	2013-08-02 16:06:07.606031
5664	14	2013-08-02 16:05:14.341893	2013-08-04 18:37:40.927505
30845	2	2013-08-02 16:06:07.400206	2013-08-03 23:01:18.965214
30903	21	2013-08-02 16:06:07.537078	2013-08-03 19:32:39.739068
30920	21	2013-08-02 16:06:07.581923	2013-08-03 19:32:39.74129
30900	21	2013-08-02 16:06:07.530032	2013-08-03 19:32:39.743596
30880	21	2013-08-02 16:06:07.4828	2013-08-03 19:32:39.747361
30778	9	2013-08-02 16:06:07.233588	2013-08-03 19:38:56.686167
30818	7	2013-08-02 16:06:07.33026	2013-08-03 19:38:56.692995
10879	14	2013-08-02 16:05:24.293844	2013-08-04 18:37:40.932577
30878	4	2013-08-02 16:06:07.478079	2013-08-03 19:38:56.704707
30851	14	2013-08-02 16:06:07.414469	2013-08-04 18:37:40.936811
30918	2	2013-08-02 16:06:07.57619	2013-08-03 19:38:56.711976
30898	9	2013-08-02 16:06:07.525002	2013-08-03 19:39:16.119877
30805	21	2013-08-02 16:06:07.29968	2013-08-03 20:02:25.024569
30785	21	2013-08-02 16:06:07.251315	2013-08-03 20:02:25.02636
30905	21	2013-08-02 16:06:07.541817	2013-08-03 20:07:25.84743
30885	21	2013-08-02 16:06:07.494527	2013-08-03 20:07:25.852136
30892	14	2013-08-02 16:06:07.510907	2013-08-04 18:37:40.94162
30910	21	2013-08-02 16:06:07.555128	2013-08-03 23:04:24.494389
30870	9	2013-08-02 16:06:07.459339	2013-08-03 23:06:34.037187
35455	21	2013-08-02 16:06:18.334848	2013-08-03 23:55:31.521083
14139	21	2013-08-02 16:05:31.028956	2013-08-03 23:55:31.702552
16841	7	2013-08-02 16:05:36.415712	2013-08-03 23:58:25.896776
30831	14	2013-08-02 16:06:07.364502	2013-08-04 18:37:40.945793
16851	4	2013-08-02 16:05:36.442042	2013-08-03 23:58:25.907265
30879	21	2013-08-02 16:06:07.48042	2013-08-04 18:42:35.269753
30913	14	2013-08-02 16:06:07.563256	2013-08-04 18:42:35.279618
30859	14	2013-08-02 16:06:07.43332	2013-08-04 18:42:35.284052
30839	14	2013-08-02 16:06:07.385514	2013-08-04 18:42:35.288004
30819	14	2013-08-02 16:06:07.332844	2013-08-04 18:42:35.293376
30799	14	2013-08-02 16:06:07.285201	2013-08-04 18:42:35.301043
30779	14	2013-08-02 16:06:07.236259	2013-08-04 18:42:35.307846
30825	7	2013-08-02 16:06:07.348769	2013-08-04 18:42:36.318599
30923	7	2013-08-02 16:06:07.590116	2013-08-04 18:42:36.322875
30919	7	2013-08-02 16:06:07.579103	2013-08-04 18:42:36.327597
30899	7	2013-08-02 16:06:07.527359	2013-08-04 18:42:36.332129
30936	21	2013-08-02 16:06:07.624466	2013-08-04 20:47:30.487676
31025	4	2013-08-02 16:06:07.848286	2013-08-03 22:22:07.145145
30934	14	2013-08-02 16:06:07.619131	2013-08-02 16:06:07.619131
31065	21	2013-08-02 16:06:07.946249	2013-08-03 20:12:23.188108
29600	2	2013-08-02 16:06:04.313482	2013-08-04 17:31:49.813992
31045	21	2013-08-02 16:06:07.898149	2013-08-03 20:12:23.19194
30942	2	2013-08-02 16:06:07.640025	2013-08-02 16:06:07.640025
30944	4	2013-08-02 16:06:07.645298	2013-08-02 16:06:07.645298
31005	14	2013-08-02 16:06:07.80047	2013-08-04 17:48:06.308129
31036	14	2013-08-02 16:06:07.876698	2013-08-04 20:49:05.899072
30947	7	2013-08-02 16:06:07.653323	2013-08-02 16:06:07.653323
30949	9	2013-08-02 16:06:07.658489	2013-08-02 16:06:07.658489
30950	9	2013-08-02 16:06:07.661165	2013-08-04 20:49:05.917179
30954	14	2013-08-02 16:06:07.671942	2013-08-02 16:06:07.671942
30956	21	2013-08-02 16:06:07.677369	2013-08-04 20:49:05.978407
30996	21	2013-08-02 16:06:07.778917	2013-08-04 20:49:06.001796
30933	21	2013-08-02 16:06:07.61645	2013-08-04 20:49:06.020579
30972	9	2013-08-02 16:06:07.718884	2013-08-04 17:48:06.319113
30962	2	2013-08-02 16:06:07.693447	2013-08-02 16:06:07.693447
31081	14	2013-08-02 16:06:07.984449	2013-08-03 22:24:23.233559
30964	4	2013-08-02 16:06:07.6986	2013-08-02 16:06:07.6986
31035	21	2013-08-02 16:06:07.874301	2013-08-04 20:49:35.798824
18558	2	2013-08-02 16:05:39.753132	2013-08-04 20:52:18.728341
30967	7	2013-08-02 16:06:07.706664	2013-08-02 16:06:07.706664
31056	2	2013-08-02 16:06:07.924276	2013-08-04 20:52:18.800414
30969	9	2013-08-02 16:06:07.71156	2013-08-02 16:06:07.71156
31033	7	2013-08-02 16:06:07.86949	2013-08-04 17:48:06.326036
31016	2	2013-08-02 16:06:07.825978	2013-08-04 20:52:19.54638
31071	7	2013-08-02 16:06:07.960809	2013-08-04 20:52:21.141994
31076	4	2013-08-02 16:06:07.972711	2013-08-04 20:52:21.423593
30974	14	2013-08-02 16:06:07.7242	2013-08-02 16:06:07.7242
30976	7	2013-08-02 16:06:07.72965	2013-08-04 20:52:22.292485
31073	4	2013-08-02 16:06:07.965576	2013-08-04 17:48:06.336728
30980	14	2013-08-02 16:06:07.740081	2013-08-03 20:21:35.988809
30982	2	2013-08-02 16:06:07.745406	2013-08-02 16:06:07.745406
30937	2	2013-08-02 16:06:07.62702	2013-08-03 22:45:09.318765
30984	4	2013-08-02 16:06:07.750343	2013-08-02 16:06:07.750343
30941	2	2013-08-02 16:06:07.637533	2013-08-04 17:48:06.343417
30987	7	2013-08-02 16:06:07.75757	2013-08-02 16:06:07.75757
30989	9	2013-08-02 16:06:07.762338	2013-08-02 16:06:07.762338
14859	21	2013-08-02 16:05:32.769083	2013-08-04 17:48:06.374243
30994	14	2013-08-02 16:06:07.774155	2013-08-02 16:06:07.774155
30952	14	2013-08-02 16:06:07.66653	2013-08-03 20:56:06.001562
31075	21	2013-08-02 16:06:07.97034	2013-08-04 17:48:25.168657
27025	21	2013-08-02 16:05:58.692805	2013-08-04 17:51:48.756461
31002	2	2013-08-02 16:06:07.793415	2013-08-02 16:06:07.793415
31004	4	2013-08-02 16:06:07.798119	2013-08-02 16:06:07.798119
31053	2	2013-08-02 16:06:07.916986	2013-08-04 17:51:49.120869
31007	7	2013-08-02 16:06:07.805307	2013-08-02 16:06:07.805307
31009	9	2013-08-02 16:06:07.810086	2013-08-02 16:06:07.810086
31013	2	2013-08-02 16:06:07.818308	2013-08-04 17:51:49.35647
30977	9	2013-08-02 16:06:07.7323	2013-08-03 22:45:29.914103
31014	14	2013-08-02 16:06:07.820875	2013-08-02 16:06:07.820875
30993	21	2013-08-02 16:06:07.771774	2013-08-04 17:51:49.407514
30973	2	2013-08-02 16:06:07.721497	2013-08-04 17:51:49.62262
31032	9	2013-08-02 16:06:07.867	2013-08-03 20:56:06.013378
30953	21	2013-08-02 16:06:07.669242	2013-08-04 17:51:50.143751
31022	2	2013-08-02 16:06:07.841027	2013-08-02 16:06:07.841027
30992	14	2013-08-02 16:06:07.769442	2013-08-04 18:37:40.818764
31024	4	2013-08-02 16:06:07.845912	2013-08-02 16:06:07.845912
31027	7	2013-08-02 16:06:07.853653	2013-08-02 16:06:07.853653
31029	9	2013-08-02 16:06:07.858995	2013-08-02 16:06:07.858995
30991	14	2013-08-02 16:06:07.767084	2013-08-04 18:37:40.825397
31017	7	2013-08-02 16:06:07.828645	2013-08-03 22:45:29.92131
31034	14	2013-08-02 16:06:07.871874	2013-08-02 16:06:07.871874
31072	7	2013-08-02 16:06:07.963189	2013-08-03 20:56:06.020544
30971	14	2013-08-02 16:06:07.716444	2013-08-04 18:37:40.834753
30932	7	2013-08-02 16:06:07.613821	2013-08-03 20:59:20.261914
31061	14	2013-08-02 16:06:07.93636	2013-08-04 18:37:40.845751
31042	2	2013-08-02 16:06:07.890973	2013-08-02 16:06:07.890973
31044	4	2013-08-02 16:06:07.89575	2013-08-02 16:06:07.89575
31085	14	2013-08-02 16:06:07.993914	2013-08-04 18:37:40.856671
31047	7	2013-08-02 16:06:07.902858	2013-08-02 16:06:07.902858
31049	9	2013-08-02 16:06:07.90756	2013-08-02 16:06:07.90756
30951	14	2013-08-02 16:06:07.663808	2013-08-04 18:37:40.867473
31057	4	2013-08-02 16:06:07.926783	2013-08-03 22:45:29.932484
31054	14	2013-08-02 16:06:07.919321	2013-08-02 16:06:07.919321
30931	14	2013-08-02 16:06:07.611218	2013-08-04 18:37:40.878249
17190	14	2013-08-02 16:05:37.307429	2013-08-04 18:37:40.889867
31062	2	2013-08-02 16:06:07.938748	2013-08-02 16:06:07.938748
31055	14	2013-08-02 16:06:07.921715	2013-08-03 18:59:17.126831
31064	4	2013-08-02 16:06:07.943824	2013-08-02 16:06:07.943824
31037	21	2013-08-02 16:06:07.879059	2013-08-03 22:50:05.399572
31067	7	2013-08-02 16:06:07.95128	2013-08-02 16:06:07.95128
31069	9	2013-08-02 16:06:07.956015	2013-08-02 16:06:07.956015
31074	14	2013-08-02 16:06:07.96792	2013-08-02 16:06:07.96792
27190	9	2013-08-02 16:05:59.099817	2013-08-03 21:51:11.581297
27210	7	2013-08-02 16:05:59.151667	2013-08-03 21:51:11.58821
31082	2	2013-08-02 16:06:07.986831	2013-08-02 16:06:07.986831
31084	4	2013-08-02 16:06:07.991559	2013-08-02 16:06:07.991559
30940	7	2013-08-02 16:06:07.634923	2013-08-03 19:34:29.153711
30975	4	2013-08-02 16:06:07.726969	2013-08-03 19:34:29.164129
31020	2	2013-08-02 16:06:07.836171	2013-08-03 19:34:29.171419
31078	14	2013-08-02 16:06:07.977385	2013-08-04 18:39:56.432531
31080	14	2013-08-02 16:06:07.982115	2013-08-03 19:37:46.016635
30955	21	2013-08-02 16:06:07.67464	2013-08-03 19:42:22.232716
30958	21	2013-08-02 16:06:07.682727	2013-08-03 19:42:22.236842
31038	9	2013-08-02 16:06:07.881469	2013-08-03 19:42:22.767834
30970	14	2013-08-02 16:06:07.714	2013-08-03 23:06:13.878101
27270	4	2013-08-02 16:05:59.297552	2013-08-03 21:51:11.598913
30957	9	2013-08-02 16:06:07.680031	2013-08-03 23:06:13.889871
31012	7	2013-08-02 16:06:07.815951	2013-08-03 23:06:13.896765
30930	14	2013-08-02 16:06:07.608728	2013-08-03 23:06:34.18281
30965	14	2013-08-02 16:06:07.701263	2013-08-03 23:11:28.01058
16926	2	2013-08-02 16:05:36.637528	2013-08-03 23:58:25.914244
31031	21	2013-08-02 16:06:07.8643	2013-08-04 18:40:14.15621
16946	21	2013-08-02 16:05:36.689609	2013-08-03 23:58:25.953132
14839	14	2013-08-02 16:05:32.720158	2013-08-03 23:58:26.028048
14899	21	2013-08-02 16:05:32.864904	2013-08-04 18:40:16.985528
14879	21	2013-08-02 16:05:32.817226	2013-08-04 18:42:33.223963
14939	7	2013-08-02 16:05:32.966154	2013-08-03 23:58:26.038234
31011	21	2013-08-02 16:06:07.813597	2013-08-04 18:42:33.737099
31060	2	2013-08-02 16:06:07.934007	2013-08-04 18:42:34.944057
27170	2	2013-08-02 16:05:59.04764	2013-08-04 18:42:35.170725
16792	21	2013-08-02 16:05:36.286707	2013-08-04 18:42:36.190989
30938	4	2013-08-02 16:06:07.629823	2013-08-04 18:42:36.203724
31079	4	2013-08-02 16:06:07.979716	2013-08-04 18:42:36.215018
31051	4	2013-08-02 16:06:07.912231	2013-08-04 18:42:36.226662
31059	4	2013-08-02 16:06:07.931578	2013-08-04 18:42:36.237448
31039	9	2013-08-02 16:06:07.883827	2013-08-04 18:42:36.26213
31019	9	2013-08-02 16:06:07.833734	2013-08-04 18:42:36.274558
30995	9	2013-08-02 16:06:07.776502	2013-08-04 18:42:36.280621
30999	9	2013-08-02 16:06:07.785993	2013-08-04 18:42:36.286704
30990	21	2013-08-02 16:06:07.764725	2013-08-04 18:44:55.888766
30985	2	2013-08-02 16:06:07.752784	2013-08-04 18:47:30.225585
30979	7	2013-08-02 16:06:07.737608	2013-08-04 18:47:30.269563
30959	2	2013-08-02 16:06:07.685455	2013-08-04 18:47:31.555283
30939	7	2013-08-02 16:06:07.632415	2013-08-04 18:47:33.133933
31087	7	2013-08-02 16:06:07.998609	2013-08-02 16:06:07.998609
31096	7	2013-08-02 16:06:08.019977	2013-08-04 20:49:05.924266
31089	9	2013-08-02 16:06:08.003409	2013-08-02 16:06:08.003409
31221	21	2013-08-02 16:06:08.45234	2013-08-03 22:24:23.094976
31116	4	2013-08-02 16:06:08.070507	2013-08-04 20:49:05.934581
31094	14	2013-08-02 16:06:08.015267	2013-08-02 16:06:08.015267
49795	21	2013-08-02 16:06:50.10561	2013-08-04 17:02:14.546946
49835	14	2013-08-02 16:06:50.212151	2013-08-04 03:00:24.162948
31153	2	2013-08-02 16:06:08.322858	2013-08-04 20:49:05.941573
31102	2	2013-08-02 16:06:08.034437	2013-08-02 16:06:08.034437
31201	21	2013-08-02 16:06:08.411681	2013-08-03 22:24:23.098317
31104	4	2013-08-02 16:06:08.039156	2013-08-02 16:06:08.039156
27175	21	2013-08-02 16:05:59.060475	2013-08-04 20:49:18.383297
31107	7	2013-08-02 16:06:08.046217	2013-08-02 16:06:08.046217
31109	9	2013-08-02 16:06:08.050943	2013-08-02 16:06:08.050943
29666	2	2013-08-02 16:06:04.648887	2013-08-04 17:31:49.822117
31114	14	2013-08-02 16:06:08.065186	2013-08-02 16:06:08.065186
31235	2	2013-08-02 16:06:08.483288	2013-08-03 22:45:29.940052
21372	21	2013-08-02 16:05:45.890843	2013-08-04 03:00:37.809495
29646	2	2013-08-02 16:06:04.428189	2013-08-04 17:31:49.827327
31145	4	2013-08-02 16:06:08.311527	2013-08-03 20:21:35.916971
31122	2	2013-08-02 16:06:08.086122	2013-08-02 16:06:08.086122
31200	14	2013-08-02 16:06:08.409626	2013-08-04 20:49:28.991612
31124	4	2013-08-02 16:06:08.091501	2013-08-02 16:06:08.091501
31216	21	2013-08-02 16:06:08.442032	2013-08-04 20:49:29.06675
31127	7	2013-08-02 16:06:08.284847	2013-08-02 16:06:08.284847
31129	9	2013-08-02 16:06:08.292219	2013-08-02 16:06:08.292219
31225	21	2013-08-02 16:06:08.46116	2013-08-04 20:49:35.763532
31176	21	2013-08-02 16:06:08.362035	2013-08-04 20:49:35.766088
31170	21	2013-08-02 16:06:08.35093	2013-08-04 20:49:35.799747
31136	2	2013-08-02 16:06:08.300397	2013-08-04 20:52:18.10206
31134	14	2013-08-02 16:06:08.298053	2013-08-02 16:06:08.298053
31236	2	2013-08-02 16:06:08.485496	2013-08-04 20:52:19.533119
31156	7	2013-08-02 16:06:08.327385	2013-08-04 20:52:19.827106
31117	2	2013-08-02 16:06:08.073174	2013-08-03 23:01:08.25199
21985	7	2013-08-02 16:05:47.494611	2013-08-04 20:52:22.2791
31196	7	2013-08-02 16:06:08.401399	2013-08-04 20:52:22.286259
31142	2	2013-08-02 16:06:08.307619	2013-08-02 16:06:08.307619
31193	14	2013-08-02 16:06:08.395431	2013-08-04 17:48:25.134133
31144	4	2013-08-02 16:06:08.310229	2013-08-02 16:06:08.310229
31147	7	2013-08-02 16:06:08.314137	2013-08-02 16:06:08.314137
31149	9	2013-08-02 16:06:08.316792	2013-08-02 16:06:08.316792
31241	21	2013-08-02 16:06:08.496414	2013-08-03 23:04:24.491609
31154	14	2013-08-02 16:06:08.324366	2013-08-02 16:06:08.324366
31105	9	2013-08-02 16:06:08.041536	2013-08-03 20:22:32.136072
31090	2	2013-08-02 16:06:08.005789	2013-08-03 23:06:13.912152
31220	9	2013-08-02 16:06:08.450178	2013-08-04 17:48:25.143157
31162	2	2013-08-02 16:06:08.337217	2013-08-02 16:06:08.337217
31155	9	2013-08-02 16:06:08.325894	2013-08-03 18:59:17.144766
31164	4	2013-08-02 16:06:08.340462	2013-08-02 16:06:08.340462
12219	2	2013-08-02 16:05:27.512556	2013-08-04 17:51:48.998999
31167	7	2013-08-02 16:06:08.345738	2013-08-02 16:06:08.345738
31169	9	2013-08-02 16:06:08.349214	2013-08-02 16:06:08.349214
31158	2	2013-08-02 16:06:08.330628	2013-08-04 17:51:49.010203
31120	2	2013-08-02 16:06:08.081018	2013-08-04 17:51:49.02133
31174	14	2013-08-02 16:06:08.358345	2013-08-02 16:06:08.358345
31112	4	2013-08-02 16:06:08.0593	2013-08-03 20:56:06.030331
31226	2	2013-08-02 16:06:08.463327	2013-08-04 17:51:49.032312
31132	2	2013-08-02 16:06:08.295706	2013-08-03 20:56:06.037365
31215	2	2013-08-02 16:06:08.439813	2013-08-04 17:51:49.039896
31182	2	2013-08-02 16:06:08.373342	2013-08-02 16:06:08.373342
31184	4	2013-08-02 16:06:08.377365	2013-08-02 16:06:08.377365
32665	2	2013-08-02 16:06:12.075211	2013-08-04 17:51:49.051142
31187	7	2013-08-02 16:06:08.38339	2013-08-02 16:06:08.38339
31189	9	2013-08-02 16:06:08.387396	2013-08-02 16:06:08.387396
31206	2	2013-08-02 16:06:08.421752	2013-08-04 17:51:49.062511
31194	14	2013-08-02 16:06:08.397414	2013-08-02 16:06:08.397414
31186	2	2013-08-02 16:06:08.381385	2013-08-04 17:51:49.073844
31166	2	2013-08-02 16:06:08.34398	2013-08-04 17:51:49.085508
31092	2	2013-08-02 16:06:08.010561	2013-08-04 17:51:49.097175
31210	14	2013-08-02 16:06:08.42983	2013-08-03 23:06:33.930994
31146	2	2013-08-02 16:06:08.312839	2013-08-04 17:51:49.109013
31202	2	2013-08-02 16:06:08.413689	2013-08-02 16:06:08.413689
31195	7	2013-08-02 16:06:08.399392	2013-08-03 18:59:17.153559
31204	4	2013-08-02 16:06:08.41772	2013-08-02 16:06:08.41772
31207	7	2013-08-02 16:06:08.423766	2013-08-02 16:06:08.423766
31209	9	2013-08-02 16:06:08.427808	2013-08-02 16:06:08.427808
31233	21	2013-08-02 16:06:08.478914	2013-08-04 17:51:49.404435
49815	21	2013-08-02 16:06:50.158358	2013-08-04 17:54:03.302634
31214	14	2013-08-02 16:06:08.437841	2013-08-02 16:06:08.437841
31091	9	2013-08-02 16:06:08.008141	2013-08-04 18:39:56.439592
31190	9	2013-08-02 16:06:08.389412	2013-08-03 23:11:28.002605
31222	2	2013-08-02 16:06:08.454525	2013-08-02 16:06:08.454525
31224	4	2013-08-02 16:06:08.458943	2013-08-02 16:06:08.458943
31111	7	2013-08-02 16:06:08.055769	2013-08-04 18:39:56.443923
31227	7	2013-08-02 16:06:08.465497	2013-08-02 16:06:08.465497
31229	9	2013-08-02 16:06:08.469719	2013-08-02 16:06:08.469719
14979	4	2013-08-02 16:05:33.061742	2013-08-03 23:58:26.04241
31234	14	2013-08-02 16:06:08.48111	2013-08-02 16:06:08.48111
31213	4	2013-08-02 16:06:08.435821	2013-08-04 18:39:56.448587
30525	2	2013-08-02 16:06:06.669279	2013-08-03 23:58:26.045186
31171	2	2013-08-02 16:06:08.35274	2013-08-04 18:39:56.452295
31242	2	2013-08-02 16:06:08.498635	2013-08-02 16:06:08.498635
31180	4	2013-08-02 16:06:08.36947	2013-08-03 19:37:45.874278
31151	2	2013-08-02 16:06:08.31971	2013-08-04 18:42:32.51847
31238	21	2013-08-02 16:06:08.48986	2013-08-03 19:42:22.60816
31218	21	2013-08-02 16:06:08.445995	2013-08-03 19:42:22.611269
31178	4	2013-08-02 16:06:08.365737	2013-08-03 19:42:22.684419
31131	21	2013-08-02 16:06:08.294523	2013-08-04 18:42:32.561686
31118	14	2013-08-02 16:06:08.075827	2013-08-03 19:42:22.719947
31185	4	2013-08-02 16:06:08.379378	2013-08-03 20:59:18.480268
34621	21	2013-08-02 16:06:16.130378	2013-08-03 23:58:45.041425
31212	4	2013-08-02 16:06:08.433837	2013-08-03 20:59:19.862814
31115	2	2013-08-02 16:06:08.067833	2013-08-04 18:42:32.877589
31172	9	2013-08-02 16:06:08.354598	2013-08-03 20:59:19.913605
31160	7	2013-08-02 16:06:08.333907	2013-08-03 20:59:20.25059
27310	2	2013-08-02 16:05:59.392613	2013-08-03 21:51:11.605752
49775	21	2013-08-02 16:06:50.052367	2013-08-04 18:42:33.735422
2136	14	2013-08-02 16:05:08.263437	2013-08-04 18:42:34.795338
27250	9	2013-08-02 16:05:59.250083	2013-08-03 21:51:11.678934
21946	14	2013-08-02 16:05:47.395045	2013-08-04 18:42:34.800626
21915	9	2013-08-02 16:05:47.337807	2013-08-03 23:58:45.081582
22006	7	2013-08-02 16:05:47.550792	2013-08-03 23:58:45.088075
31231	14	2013-08-02 16:06:08.474446	2013-08-04 18:42:34.805534
22043	4	2013-08-02 16:05:47.648628	2013-08-03 23:58:45.09538
10939	14	2013-08-02 16:05:24.360356	2013-08-04 18:42:34.80984
22026	2	2013-08-02 16:05:47.603189	2013-08-03 23:58:45.103166
31211	14	2013-08-02 16:06:08.431824	2013-08-04 18:42:34.814249
21866	7	2013-08-02 16:05:47.221825	2013-08-03 23:58:45.159399
31119	21	2013-08-02 16:06:08.078328	2013-08-04 18:42:36.185961
31099	21	2013-08-02 16:06:08.027048	2013-08-04 18:42:36.188451
31191	21	2013-08-02 16:06:08.391412	2013-08-04 18:44:17.462505
29381	14	2013-08-02 16:06:03.754293	2013-08-04 18:47:32.471919
27010	14	2013-08-02 16:05:58.656259	2013-08-04 18:47:32.47795
31232	14	2013-08-02 16:06:08.476727	2013-08-04 18:47:32.484267
31095	14	2013-08-02 16:06:08.017622	2013-08-04 18:47:32.491493
31198	14	2013-08-02 16:06:08.405425	2013-08-04 18:47:32.499316
31240	14	2013-08-02 16:06:08.494226	2013-08-04 18:47:32.507797
31239	14	2013-08-02 16:06:08.492028	2013-08-04 18:47:32.516647
31219	2	2013-08-02 16:06:08.447965	2013-08-04 18:47:32.539286
31199	2	2013-08-02 16:06:08.4074	2013-08-04 18:47:32.55045
31179	2	2013-08-02 16:06:08.367568	2013-08-04 18:47:32.561342
31135	2	2013-08-02 16:06:08.299236	2013-08-04 18:47:32.571896
31159	2	2013-08-02 16:06:08.33226	2013-08-04 18:47:32.583081
31139	2	2013-08-02 16:06:08.303735	2013-08-04 18:47:32.593719
31125	2	2013-08-02 16:06:08.09414	2013-08-04 18:47:32.603962
31113	2	2013-08-02 16:06:08.062482	2013-08-04 18:47:32.615264
31244	4	2013-08-02 16:06:08.502993	2013-08-02 16:06:08.502993
31247	7	2013-08-02 16:06:08.509724	2013-08-02 16:06:08.509724
31249	9	2013-08-02 16:06:08.51421	2013-08-02 16:06:08.51421
21281	7	2013-08-02 16:05:45.651696	2013-08-04 03:00:24.176095
31316	9	2013-08-02 16:06:08.662773	2013-08-04 20:49:29.009191
31275	7	2013-08-02 16:06:08.571822	2013-08-04 20:49:29.016755
31254	14	2013-08-02 16:06:08.52568	2013-08-02 16:06:08.52568
31245	21	2013-08-02 16:06:08.50533	2013-08-03 20:21:35.840936
16691	2	2013-08-02 16:05:36.051442	2013-08-04 17:31:49.832877
31345	21	2013-08-02 16:06:08.70824	2013-08-03 20:22:30.171706
31325	21	2013-08-02 16:06:08.672102	2013-08-03 20:22:30.175816
19701	4	2013-08-02 16:05:42.659466	2013-08-04 03:00:24.184957
31262	2	2013-08-02 16:06:08.543493	2013-08-02 16:06:08.543493
31255	4	2013-08-02 16:06:08.528049	2013-08-03 18:59:17.161791
31264	4	2013-08-02 16:06:08.547819	2013-08-02 16:06:08.547819
31261	21	2013-08-02 16:06:08.541322	2013-08-03 22:31:49.191145
31267	7	2013-08-02 16:06:08.554222	2013-08-02 16:06:08.554222
31352	4	2013-08-02 16:06:08.721315	2013-08-04 20:49:29.027803
31269	9	2013-08-02 16:06:08.558669	2013-08-02 16:06:08.558669
29626	2	2013-08-02 16:06:04.378926	2013-08-04 17:31:49.839415
31250	9	2013-08-02 16:06:08.516475	2013-08-03 23:06:33.938072
31396	2	2013-08-02 16:06:08.82726	2013-08-04 20:49:29.035236
31274	14	2013-08-02 16:06:08.569634	2013-08-02 16:06:08.569634
31305	4	2013-08-02 16:06:08.636853	2013-08-03 20:22:30.185292
18538	2	2013-08-02 16:05:39.718533	2013-08-04 03:00:24.19094
31356	21	2013-08-02 16:06:08.728894	2013-08-04 20:49:47.47972
31265	9	2013-08-02 16:06:08.549892	2013-08-03 20:22:30.200087
31376	2	2013-08-02 16:06:08.775844	2013-08-04 20:52:18.093208
31282	2	2013-08-02 16:06:08.587399	2013-08-02 16:06:08.587399
31365	2	2013-08-02 16:06:08.747333	2013-08-03 20:24:44.654761
31284	4	2013-08-02 16:06:08.592496	2013-08-02 16:06:08.592496
31336	2	2013-08-02 16:06:08.69202	2013-08-04 20:52:18.716039
31256	2	2013-08-02 16:06:08.530296	2013-08-04 20:52:18.789928
31287	7	2013-08-02 16:06:08.595067	2013-08-02 16:06:08.595067
31375	7	2013-08-02 16:06:08.77325	2013-08-04 20:52:19.813358
31289	9	2013-08-02 16:06:08.597696	2013-08-02 16:06:08.597696
1960	21	2013-08-02 16:05:07.857057	2013-08-04 03:00:24.218528
31296	7	2013-08-02 16:06:08.613276	2013-08-04 20:52:21.128359
31290	7	2013-08-02 16:06:08.599941	2013-08-03 23:06:33.941567
31276	4	2013-08-02 16:06:08.573916	2013-08-04 20:52:21.416786
31294	14	2013-08-02 16:06:08.609816	2013-08-02 16:06:08.609816
11591	21	2013-08-02 16:05:26.013741	2013-08-04 03:00:24.220846
16976	21	2013-08-02 16:05:36.764593	2013-08-04 03:00:24.223237
31378	9	2013-08-02 16:06:08.781054	2013-08-03 20:27:31.026508
27032	4	2013-08-02 16:05:58.707306	2013-08-04 20:52:22.033048
10159	21	2013-08-02 16:05:23.430139	2013-08-04 03:00:36.870756
31302	2	2013-08-02 16:06:08.629022	2013-08-02 16:06:08.629022
31295	2	2013-08-02 16:06:08.611578	2013-08-03 18:59:17.165839
31304	4	2013-08-02 16:06:08.63425	2013-08-02 16:06:08.63425
31317	21	2013-08-02 16:06:08.663782	2013-08-04 20:54:40.939614
31307	7	2013-08-02 16:06:08.642055	2013-08-02 16:06:08.642055
31309	9	2013-08-02 16:06:08.647258	2013-08-02 16:06:08.647258
31273	7	2013-08-02 16:06:08.567445	2013-08-04 17:48:25.147013
31314	14	2013-08-02 16:06:08.6606	2013-08-02 16:06:08.6606
31350	4	2013-08-02 16:06:08.717593	2013-08-03 23:06:33.948023
31313	4	2013-08-02 16:06:08.657846	2013-08-04 17:48:25.150974
31370	2	2013-08-02 16:06:08.759969	2013-08-03 23:06:33.95428
31322	2	2013-08-02 16:06:08.66904	2013-08-02 16:06:08.66904
31353	2	2013-08-02 16:06:08.723019	2013-08-04 17:48:25.153499
31324	4	2013-08-02 16:06:08.671087	2013-08-02 16:06:08.671087
31327	7	2013-08-02 16:06:08.676886	2013-08-02 16:06:08.676886
31329	9	2013-08-02 16:06:08.680504	2013-08-02 16:06:08.680504
31333	21	2013-08-02 16:06:08.686687	2013-08-04 17:48:25.170722
31377	21	2013-08-02 16:06:08.778554	2013-08-04 17:48:25.20482
31334	14	2013-08-02 16:06:08.688237	2013-08-02 16:06:08.688237
31277	2	2013-08-02 16:06:08.576093	2013-08-03 23:12:32.044511
31293	21	2013-08-02 16:06:08.607261	2013-08-04 17:51:48.752959
31306	2	2013-08-02 16:06:08.639381	2013-08-04 17:51:48.943032
31257	7	2013-08-02 16:06:08.532523	2013-08-03 23:14:34.319937
31310	2	2013-08-02 16:06:08.649842	2013-08-04 17:51:48.948921
31342	2	2013-08-02 16:06:08.702671	2013-08-02 16:06:08.702671
31344	4	2013-08-02 16:06:08.706373	2013-08-02 16:06:08.706373
31347	7	2013-08-02 16:06:08.711942	2013-08-02 16:06:08.711942
31349	9	2013-08-02 16:06:08.715691	2013-08-02 16:06:08.715691
31286	2	2013-08-02 16:06:08.594304	2013-08-04 17:51:48.956421
31266	2	2013-08-02 16:06:08.552045	2013-08-04 17:51:48.965094
31354	14	2013-08-02 16:06:08.724936	2013-08-02 16:06:08.724936
8203	2	2013-08-02 16:05:19.283257	2013-08-04 17:51:48.976391
31246	2	2013-08-02 16:06:08.507508	2013-08-04 17:51:48.987626
31357	14	2013-08-02 16:06:08.730857	2013-08-03 23:15:56.609612
31253	2	2013-08-02 16:06:08.523354	2013-08-04 17:51:49.346441
31362	2	2013-08-02 16:06:08.741001	2013-08-02 16:06:08.741001
31364	4	2013-08-02 16:06:08.745312	2013-08-02 16:06:08.745312
31367	7	2013-08-02 16:06:08.751701	2013-08-02 16:06:08.751701
31369	9	2013-08-02 16:06:08.757267	2013-08-02 16:06:08.757267
31386	2	2013-08-02 16:06:08.801607	2013-08-04 17:56:49.118579
31292	2	2013-08-02 16:06:08.604454	2013-08-04 17:56:49.12971
31374	14	2013-08-02 16:06:08.77066	2013-08-02 16:06:08.77066
31366	2	2013-08-02 16:06:08.749386	2013-08-04 17:56:49.140611
31346	2	2013-08-02 16:06:08.7101	2013-08-04 17:56:49.151564
31382	2	2013-08-02 16:06:08.791069	2013-08-02 16:06:08.791069
31326	2	2013-08-02 16:06:08.674141	2013-08-04 17:56:49.162597
31384	4	2013-08-02 16:06:08.796216	2013-08-02 16:06:08.796216
31387	7	2013-08-02 16:06:08.8041	2013-08-02 16:06:08.8041
31389	9	2013-08-02 16:06:08.808969	2013-08-02 16:06:08.808969
31285	2	2013-08-02 16:06:08.593518	2013-08-04 17:56:49.173761
27221	2	2013-08-02 16:05:59.180329	2013-08-04 17:56:51.315009
31394	14	2013-08-02 16:06:08.821841	2013-08-02 16:06:08.821841
31393	2	2013-08-02 16:06:08.819168	2013-08-04 17:56:51.319967
31332	2	2013-08-02 16:06:08.685139	2013-08-04 17:56:51.325056
31373	2	2013-08-02 16:06:08.767991	2013-08-04 17:56:51.330913
31395	14	2013-08-02 16:06:08.824526	2013-08-03 18:59:36.389794
31360	21	2013-08-02 16:06:08.736828	2013-08-03 19:37:45.784709
31340	21	2013-08-02 16:06:08.699031	2013-08-03 19:37:45.788931
31320	21	2013-08-02 16:06:08.66681	2013-08-03 19:37:45.792789
31300	21	2013-08-02 16:06:08.623767	2013-08-03 19:37:45.794
31280	21	2013-08-02 16:06:08.582845	2013-08-03 19:37:45.794975
27057	9	2013-08-02 16:05:58.753613	2013-08-03 23:15:56.626427
31380	4	2013-08-02 16:06:08.785902	2013-08-03 19:39:16.639717
31338	21	2013-08-02 16:06:08.695554	2013-08-03 19:42:22.599659
31318	21	2013-08-02 16:06:08.664796	2013-08-03 19:42:22.601389
31298	21	2013-08-02 16:06:08.618309	2013-08-03 19:42:22.602931
31278	21	2013-08-02 16:06:08.578406	2013-08-03 19:42:22.604399
31258	21	2013-08-02 16:06:08.534768	2013-08-03 19:42:22.605959
27261	14	2013-08-02 16:05:59.2763	2013-08-04 18:42:34.697442
31397	7	2013-08-02 16:06:08.829914	2013-08-03 23:19:39.902119
31358	21	2013-08-02 16:06:08.732837	2013-08-03 19:47:29.019235
27201	14	2013-08-02 16:05:59.127769	2013-08-03 21:51:11.730479
31297	21	2013-08-02 16:06:08.615696	2013-08-03 23:19:40.060569
27181	9	2013-08-02 16:05:59.076305	2013-08-03 21:54:22.17643
31337	21	2013-08-02 16:06:08.69381	2013-08-03 23:19:40.061807
31391	14	2013-08-02 16:06:08.81378	2013-08-04 18:42:34.706011
31372	14	2013-08-02 16:06:08.765329	2013-08-04 18:42:34.717016
31312	14	2013-08-02 16:06:08.655154	2013-08-04 18:42:34.727455
31371	14	2013-08-02 16:06:08.762658	2013-08-04 18:42:34.737614
31351	14	2013-08-02 16:06:08.719443	2013-08-04 18:42:34.746314
31331	14	2013-08-02 16:06:08.68359	2013-08-04 18:42:34.757454
31311	14	2013-08-02 16:06:08.652467	2013-08-04 18:42:34.765011
31260	14	2013-08-02 16:06:08.539137	2013-08-04 18:42:34.769708
31291	14	2013-08-02 16:06:08.602077	2013-08-04 18:42:34.776094
31299	21	2013-08-02 16:06:08.620991	2013-08-04 18:47:32.379023
31279	14	2013-08-02 16:06:08.580641	2013-08-04 18:47:32.460929
31259	14	2013-08-02 16:06:08.536967	2013-08-04 18:47:32.466776
31398	9	2013-08-02 16:06:08.832628	2013-08-04 18:47:33.702497
31399	9	2013-08-02 16:06:08.835295	2013-08-04 18:47:33.706717
27035	9	2013-08-02 16:05:58.712624	2013-08-04 18:47:33.712872
31379	9	2013-08-02 16:06:08.783464	2013-08-04 18:47:33.717972
31335	7	2013-08-02 16:06:08.690117	2013-08-04 18:47:33.729545
31359	7	2013-08-02 16:06:08.734797	2013-08-04 18:47:33.73428
31339	7	2013-08-02 16:06:08.697299	2013-08-04 18:47:33.740065
31355	4	2013-08-02 16:06:08.726914	2013-08-04 18:52:29.315926
16733	21	2013-08-02 16:05:36.130016	2013-08-04 03:00:24.232474
31402	2	2013-08-02 16:06:08.843564	2013-08-02 16:06:08.843564
31457	2	2013-08-02 16:06:08.975359	2013-08-04 20:52:21.830818
31404	4	2013-08-02 16:06:08.848392	2013-08-02 16:06:08.848392
31480	2	2013-08-02 16:06:09.030617	2013-08-04 20:52:21.845774
31556	7	2013-08-02 16:06:09.223117	2013-08-04 20:52:21.875411
31407	7	2013-08-02 16:06:08.855583	2013-08-02 16:06:08.855583
31536	7	2013-08-02 16:06:09.173161	2013-08-04 20:52:21.888503
31409	9	2013-08-02 16:06:08.860384	2013-08-02 16:06:08.860384
28006	21	2013-08-02 16:06:01.118374	2013-08-04 03:00:24.234816
31492	7	2013-08-02 16:06:09.05904	2013-08-04 20:52:21.901575
25388	21	2013-08-02 16:05:54.746687	2013-08-04 03:00:24.237057
31516	7	2013-08-02 16:06:09.120272	2013-08-04 20:52:21.915059
31414	14	2013-08-02 16:06:08.872329	2013-08-02 16:06:08.872329
31460	21	2013-08-02 16:06:08.982405	2013-08-03 20:27:30.866
3714	21	2013-08-02 16:05:11.037161	2013-08-04 03:00:24.239263
31545	14	2013-08-02 16:06:09.195821	2013-08-03 20:27:30.88853
31496	7	2013-08-02 16:06:09.070875	2013-08-04 20:52:21.930038
31476	7	2013-08-02 16:06:09.021061	2013-08-04 20:52:21.945475
10683	21	2013-08-02 16:05:24.084622	2013-08-04 03:00:24.241522
31422	2	2013-08-02 16:06:08.892102	2013-08-02 16:06:08.892102
31541	9	2013-08-02 16:06:09.186248	2013-08-03 22:29:27.431844
31424	4	2013-08-02 16:06:08.896902	2013-08-02 16:06:08.896902
31456	4	2013-08-02 16:06:08.972987	2013-08-04 20:52:21.977688
31436	4	2013-08-02 16:06:08.925372	2013-08-04 20:52:21.992379
31427	7	2013-08-02 16:06:08.904039	2013-08-02 16:06:08.904039
31505	4	2013-08-02 16:06:09.093748	2013-08-04 20:52:22.006444
31429	9	2013-08-02 16:06:08.908811	2013-08-02 16:06:08.908811
20739	21	2013-08-02 16:05:44.637364	2013-08-04 03:00:24.243765
31416	4	2013-08-02 16:06:08.877442	2013-08-04 20:52:22.019073
31434	14	2013-08-02 16:06:08.920672	2013-08-02 16:06:08.920672
49485	21	2013-08-02 16:06:49.379113	2013-08-04 03:00:24.24597
31501	7	2013-08-02 16:06:09.083952	2013-08-03 22:29:27.464065
34398	21	2013-08-02 16:06:15.593866	2013-08-04 03:00:24.248175
31442	2	2013-08-02 16:06:08.93957	2013-08-02 16:06:08.93957
31444	4	2013-08-02 16:06:08.944281	2013-08-02 16:06:08.944281
31410	14	2013-08-02 16:06:08.862779	2013-08-03 23:12:12.534174
31447	7	2013-08-02 16:06:08.951495	2013-08-02 16:06:08.951495
31449	9	2013-08-02 16:06:08.956275	2013-08-02 16:06:08.956275
29550	2	2013-08-02 16:06:04.18773	2013-08-04 17:31:49.845546
31454	14	2013-08-02 16:06:08.968221	2013-08-02 16:06:08.968221
31445	2	2013-08-02 16:06:08.946664	2013-08-03 20:27:30.990923
31485	4	2013-08-02 16:06:09.042493	2013-08-03 20:37:34.380527
27237	2	2013-08-02 16:05:59.21907	2013-08-04 17:56:48.966699
31498	2	2013-08-02 16:06:09.076053	2013-08-04 17:56:48.97973
31462	2	2013-08-02 16:06:08.987103	2013-08-02 16:06:08.987103
31546	2	2013-08-02 16:06:09.198207	2013-08-04 17:56:48.991517
31464	4	2013-08-02 16:06:08.992051	2013-08-02 16:06:08.992051
31467	7	2013-08-02 16:06:08.999381	2013-08-02 16:06:08.999381
31469	9	2013-08-02 16:06:09.004225	2013-08-02 16:06:09.004225
31526	2	2013-08-02 16:06:09.146499	2013-08-04 17:56:49.002536
31470	9	2013-08-02 16:06:09.006679	2013-08-03 23:12:12.548764
31474	14	2013-08-02 16:06:09.016248	2013-08-02 16:06:09.016248
31506	2	2013-08-02 16:06:09.096252	2013-08-04 17:56:49.01164
31417	7	2013-08-02 16:06:08.87987	2013-08-03 23:15:56.631169
31486	2	2013-08-02 16:06:09.044853	2013-08-04 17:56:49.022646
31482	2	2013-08-02 16:06:09.035335	2013-08-02 16:06:09.035335
31495	9	2013-08-02 16:06:09.068132	2013-08-03 18:59:36.408117
31484	4	2013-08-02 16:06:09.040098	2013-08-02 16:06:09.040098
31437	2	2013-08-02 16:06:08.927721	2013-08-04 17:56:49.034603
31487	7	2013-08-02 16:06:09.047189	2013-08-02 16:06:09.047189
31489	9	2013-08-02 16:06:09.051926	2013-08-02 16:06:09.051926
31466	2	2013-08-02 16:06:08.996985	2013-08-04 17:56:49.046705
31477	4	2013-08-02 16:06:09.023421	2013-08-03 23:15:56.63681
31494	14	2013-08-02 16:06:09.065432	2013-08-02 16:06:09.065432
31452	21	2013-08-02 16:06:08.963422	2013-08-03 20:59:19.690084
31446	2	2013-08-02 16:06:08.949029	2013-08-04 17:56:49.058747
31432	21	2013-08-02 16:06:08.915886	2013-08-03 20:59:19.693651
31435	21	2013-08-02 16:06:08.923013	2013-08-03 20:59:19.696706
31465	2	2013-08-02 16:06:08.994558	2013-08-04 17:56:49.071272
31502	2	2013-08-02 16:06:09.086392	2013-08-02 16:06:09.086392
31420	2	2013-08-02 16:06:08.887127	2013-08-03 19:39:16.644181
31504	4	2013-08-02 16:06:09.091157	2013-08-02 16:06:09.091157
31426	2	2013-08-02 16:06:08.901659	2013-08-04 17:56:49.082965
31507	7	2013-08-02 16:06:09.098715	2013-08-02 16:06:09.098715
31509	9	2013-08-02 16:06:09.103517	2013-08-02 16:06:09.103517
31440	14	2013-08-02 16:06:08.93485	2013-08-04 18:42:34.68491
31517	2	2013-08-02 16:06:09.122682	2013-08-03 23:15:56.640797
31514	14	2013-08-02 16:06:09.115525	2013-08-02 16:06:09.115525
31412	21	2013-08-02 16:06:08.867549	2013-08-03 20:59:19.699946
31411	14	2013-08-02 16:06:08.865166	2013-08-04 18:42:34.690134
31557	14	2013-08-02 16:06:09.225779	2013-08-04 18:47:31.816418
27097	14	2013-08-02 16:05:58.853862	2013-08-04 18:47:31.822196
31522	2	2013-08-02 16:06:09.136078	2013-08-02 16:06:09.136078
31552	14	2013-08-02 16:06:09.212944	2013-08-04 18:47:31.826561
31524	4	2013-08-02 16:06:09.141348	2013-08-02 16:06:09.141348
31537	14	2013-08-02 16:06:09.175808	2013-08-04 18:47:31.83048
31527	7	2013-08-02 16:06:09.149175	2013-08-02 16:06:09.149175
31529	9	2013-08-02 16:06:09.154606	2013-08-02 16:06:09.154606
31551	14	2013-08-02 16:06:09.210564	2013-08-04 18:47:31.835319
31531	14	2013-08-02 16:06:09.159811	2013-08-04 18:47:31.839923
31534	14	2013-08-02 16:06:09.1678	2013-08-02 16:06:09.1678
31472	14	2013-08-02 16:06:09.011425	2013-08-03 23:15:56.818327
31511	14	2013-08-02 16:06:09.108289	2013-08-04 18:47:31.845513
31532	14	2013-08-02 16:06:09.162476	2013-08-03 20:59:56.842663
31491	14	2013-08-02 16:06:09.056664	2013-08-04 18:47:31.850931
31542	2	2013-08-02 16:06:09.188657	2013-08-02 16:06:09.188657
31497	14	2013-08-02 16:06:09.073419	2013-08-03 23:19:39.386092
31544	4	2013-08-02 16:06:09.193452	2013-08-02 16:06:09.193452
31471	14	2013-08-02 16:06:09.009056	2013-08-04 18:47:31.855067
31547	7	2013-08-02 16:06:09.200592	2013-08-02 16:06:09.200592
31549	9	2013-08-02 16:06:09.205667	2013-08-02 16:06:09.205667
31475	14	2013-08-02 16:06:09.018687	2013-08-04 18:47:31.858734
31554	14	2013-08-02 16:06:09.217823	2013-08-02 16:06:09.217823
31451	14	2013-08-02 16:06:08.961068	2013-08-04 18:47:31.862453
31543	7	2013-08-02 16:06:09.191043	2013-08-03 18:27:13.439953
31523	7	2013-08-02 16:06:09.138709	2013-08-03 18:27:13.445026
31520	4	2013-08-02 16:06:09.130808	2013-08-03 19:42:23.205943
31500	9	2013-08-02 16:06:09.081521	2013-08-03 19:42:23.217025
31455	14	2013-08-02 16:06:08.97062	2013-08-04 18:47:31.866223
31418	21	2013-08-02 16:06:08.88233	2013-08-03 19:47:28.106939
31431	14	2013-08-02 16:06:08.91352	2013-08-04 18:47:31.869824
31518	2	2013-08-02 16:06:09.12506	2013-08-03 19:47:28.713008
31478	7	2013-08-02 16:06:09.025867	2013-08-03 19:47:28.75708
31438	9	2013-08-02 16:06:08.930116	2013-08-03 19:47:28.780864
31512	21	2013-08-02 16:06:09.110706	2013-08-03 21:00:16.023027
31539	21	2013-08-02 16:06:09.181111	2013-08-04 18:47:33.522638
27301	9	2013-08-02 16:05:59.371411	2013-08-03 21:51:11.747235
27178	7	2013-08-02 16:05:59.068301	2013-08-03 21:51:11.754498
27341	4	2013-08-02 16:05:59.469926	2013-08-03 21:51:11.765295
27420	2	2013-08-02 16:05:59.660243	2013-08-03 21:51:11.772283
31519	21	2013-08-02 16:06:09.128048	2013-08-04 18:47:33.525994
31499	4	2013-08-02 16:06:09.078728	2013-08-04 18:47:33.54599
31479	4	2013-08-02 16:06:09.028215	2013-08-04 18:47:33.557553
31459	4	2013-08-02 16:06:08.980022	2013-08-04 18:47:33.568327
17090	4	2013-08-02 16:05:37.054164	2013-08-04 18:47:33.578996
31419	14	2013-08-02 16:06:08.884756	2013-08-04 18:52:29.289769
31525	2	2013-08-02 16:06:09.143836	2013-08-04 18:52:31.611176
31439	21	2013-08-02 16:06:08.932481	2013-08-04 18:57:37.814387
31575	21	2013-08-02 16:06:09.271154	2013-08-03 20:27:30.861765
31616	21	2013-08-02 16:06:09.368226	2013-08-04 20:52:21.747104
31705	21	2013-08-02 16:06:09.583937	2013-08-03 20:32:23.777271
31562	2	2013-08-02 16:06:09.238888	2013-08-02 16:06:09.238888
31701	21	2013-08-02 16:06:09.574433	2013-08-03 22:29:27.350967
31564	4	2013-08-02 16:06:09.244193	2013-08-02 16:06:09.244193
27213	4	2013-08-02 16:05:59.159605	2013-08-04 17:02:14.162415
31596	2	2013-08-02 16:06:09.320442	2013-08-04 20:52:21.772657
31567	7	2013-08-02 16:06:09.252136	2013-08-02 16:06:09.252136
31630	2	2013-08-02 16:06:09.401606	2013-08-04 20:52:21.784867
31569	9	2013-08-02 16:06:09.257062	2013-08-02 16:06:09.257062
25428	14	2013-08-02 16:05:54.847031	2013-08-04 03:00:24.305159
31576	2	2013-08-02 16:06:09.273527	2013-08-04 20:52:21.799099
31590	2	2013-08-02 16:06:09.306405	2013-08-03 23:12:12.574777
16693	2	2013-08-02 16:05:36.054271	2013-08-04 20:52:21.815724
31574	14	2013-08-02 16:06:09.268825	2013-08-02 16:06:09.268825
31695	21	2013-08-02 16:06:09.55964	2013-08-03 20:32:23.780876
31685	21	2013-08-02 16:06:09.535589	2013-08-03 20:32:23.784231
31582	2	2013-08-02 16:06:09.287591	2013-08-02 16:06:09.287591
31595	4	2013-08-02 16:06:09.318111	2013-08-03 18:59:36.426455
31584	4	2013-08-02 16:06:09.292295	2013-08-02 16:06:09.292295
31570	21	2013-08-02 16:06:09.259447	2013-08-03 23:12:21.267023
31676	21	2013-08-02 16:06:09.514344	2013-08-04 20:54:40.919789
31587	7	2013-08-02 16:06:09.299304	2013-08-02 16:06:09.299304
31636	21	2013-08-02 16:06:09.415756	2013-08-04 20:54:40.941101
31589	9	2013-08-02 16:06:09.304007	2013-08-02 16:06:09.304007
28973	2	2013-08-02 16:06:02.75047	2013-08-04 17:31:49.851592
31696	2	2013-08-02 16:06:09.562109	2013-08-04 20:57:18.132653
2238	9	2013-08-02 16:05:08.51909	2013-08-04 03:00:24.318504
31656	7	2013-08-02 16:06:09.466829	2013-08-04 20:57:20.396094
31594	14	2013-08-02 16:06:09.315776	2013-08-02 16:06:09.315776
40177	7	2013-08-02 16:06:28.553283	2013-08-04 03:00:24.323978
3187	2	2013-08-02 16:05:09.788305	2013-08-04 17:31:49.855923
31602	2	2013-08-02 16:06:09.335182	2013-08-02 16:06:09.335182
31604	4	2013-08-02 16:06:09.339972	2013-08-02 16:06:09.339972
31593	2	2013-08-02 16:06:09.313436	2013-08-04 17:56:51.193911
31607	7	2013-08-02 16:06:09.347052	2013-08-02 16:06:09.347052
31609	9	2013-08-02 16:06:09.351809	2013-08-02 16:06:09.351809
38410	21	2013-08-02 16:06:25.087251	2013-08-04 03:00:37.806946
31670	14	2013-08-02 16:06:09.500122	2013-08-03 23:15:36.90548
31614	14	2013-08-02 16:06:09.363543	2013-08-02 16:06:09.363543
31645	4	2013-08-02 16:06:09.439295	2013-08-03 20:37:34.370131
28026	4	2013-08-02 16:06:01.13604	2013-08-04 03:00:38.765222
31665	4	2013-08-02 16:06:09.488242	2013-08-03 20:37:34.375382
3697	2	2013-08-02 16:05:10.996132	2013-08-04 17:56:51.207551
31573	2	2013-08-02 16:06:09.266472	2013-08-04 17:56:51.219608
31622	2	2013-08-02 16:06:09.382682	2013-08-02 16:06:09.382682
31635	2	2013-08-02 16:06:09.413415	2013-08-03 18:59:36.433729
31624	4	2013-08-02 16:06:09.38748	2013-08-02 16:06:09.38748
31627	7	2013-08-02 16:06:09.394526	2013-08-02 16:06:09.394526
31629	9	2013-08-02 16:06:09.399261	2013-08-02 16:06:09.399261
31680	2	2013-08-02 16:06:09.523793	2013-08-04 18:01:50.618376
31697	2	2013-08-02 16:06:09.564504	2013-08-04 18:01:50.623289
31634	14	2013-08-02 16:06:09.411056	2013-08-02 16:06:09.411056
31592	9	2013-08-02 16:06:09.311082	2013-08-03 20:59:56.847837
31706	2	2013-08-02 16:06:09.586336	2013-08-04 18:01:50.628126
31632	7	2013-08-02 16:06:09.406301	2013-08-03 20:59:56.85
31617	2	2013-08-02 16:06:09.370572	2013-08-04 18:01:50.632629
31642	2	2013-08-02 16:06:09.431168	2013-08-02 16:06:09.431168
31686	2	2013-08-02 16:06:09.537965	2013-08-04 18:01:50.637428
31644	4	2013-08-02 16:06:09.436644	2013-08-02 16:06:09.436644
31647	7	2013-08-02 16:06:09.444404	2013-08-02 16:06:09.444404
31649	9	2013-08-02 16:06:09.449583	2013-08-02 16:06:09.449583
31675	2	2013-08-02 16:06:09.511983	2013-08-04 18:01:50.645771
31600	9	2013-08-02 16:06:09.330192	2013-08-03 23:15:36.918892
31654	14	2013-08-02 16:06:09.462045	2013-08-02 16:06:09.462045
31666	2	2013-08-02 16:06:09.490624	2013-08-04 18:01:50.652396
31692	4	2013-08-02 16:06:09.552171	2013-08-03 20:59:56.853425
31652	2	2013-08-02 16:06:09.457271	2013-08-04 18:01:50.656785
31662	2	2013-08-02 16:06:09.481158	2013-08-02 16:06:09.481158
31646	2	2013-08-02 16:06:09.44182	2013-08-04 18:01:50.661194
31664	4	2013-08-02 16:06:09.485866	2013-08-02 16:06:09.485866
31650	21	2013-08-02 16:06:09.45235	2013-08-03 23:15:46.113664
31667	7	2013-08-02 16:06:09.493012	2013-08-02 16:06:09.493012
31669	9	2013-08-02 16:06:09.497759	2013-08-02 16:06:09.497759
31626	2	2013-08-02 16:06:09.392233	2013-08-04 18:01:50.665771
31674	14	2013-08-02 16:06:09.509633	2013-08-02 16:06:09.509633
31577	9	2013-08-02 16:06:09.275862	2013-08-03 23:21:59.066584
31606	2	2013-08-02 16:06:09.344714	2013-08-04 18:01:50.670623
31672	4	2013-08-02 16:06:09.504889	2013-08-03 21:00:15.997211
31585	2	2013-08-02 16:06:09.294637	2013-08-04 18:01:50.674566
31682	2	2013-08-02 16:06:09.528489	2013-08-02 16:06:09.528489
31684	4	2013-08-02 16:06:09.533246	2013-08-02 16:06:09.533246
31687	7	2013-08-02 16:06:09.540302	2013-08-02 16:06:09.540302
31689	9	2013-08-02 16:06:09.545054	2013-08-02 16:06:09.545054
31597	7	2013-08-02 16:06:09.322775	2013-08-03 23:21:59.069632
31694	14	2013-08-02 16:06:09.557166	2013-08-02 16:06:09.557166
31690	14	2013-08-02 16:06:09.547413	2013-08-04 18:08:24.756508
31702	2	2013-08-02 16:06:09.576846	2013-08-02 16:06:09.576846
31704	4	2013-08-02 16:06:09.581576	2013-08-02 16:06:09.581576
31707	7	2013-08-02 16:06:09.58874	2013-08-02 16:06:09.58874
31709	9	2013-08-02 16:06:09.593463	2013-08-02 16:06:09.593463
31673	9	2013-08-02 16:06:09.507227	2013-08-04 18:08:24.766961
31657	4	2013-08-02 16:06:09.469234	2013-08-03 23:21:59.072745
31714	14	2013-08-02 16:06:09.605497	2013-08-02 16:06:09.605497
31700	21	2013-08-02 16:06:09.572023	2013-08-03 19:42:23.050213
31713	7	2013-08-02 16:06:09.603097	2013-08-04 18:08:24.770815
31580	14	2013-08-02 16:06:09.282936	2013-08-03 19:42:23.180013
31698	21	2013-08-02 16:06:09.566951	2013-08-03 19:47:28.473957
31678	21	2013-08-02 16:06:09.519072	2013-08-03 19:47:28.477232
19226	21	2013-08-02 16:05:41.409264	2013-08-04 18:08:24.797227
31633	21	2013-08-02 16:06:09.408697	2013-08-04 18:08:42.349993
31578	14	2013-08-02 16:06:09.278245	2013-08-03 19:47:28.589535
19206	14	2013-08-02 16:05:41.356792	2013-08-03 21:51:11.923187
31677	2	2013-08-02 16:06:09.516725	2013-08-03 23:21:59.074449
31613	21	2013-08-02 16:06:09.361214	2013-08-04 18:08:42.555337
31610	21	2013-08-02 16:06:09.354155	2013-08-04 18:11:48.306564
31693	14	2013-08-02 16:06:09.554556	2013-08-04 18:11:49.432817
31620	2	2013-08-02 16:06:09.377686	2013-08-04 18:27:18.696919
31605	14	2013-08-02 16:06:09.342334	2013-08-04 18:47:31.760052
31615	7	2013-08-02 16:06:09.365874	2013-08-03 23:24:40.330696
31625	14	2013-08-02 16:06:09.389869	2013-08-04 18:47:31.772234
31598	9	2013-08-02 16:06:09.325149	2013-08-03 23:26:32.926058
31637	7	2013-08-02 16:06:09.418141	2013-08-03 23:26:32.930366
31591	14	2013-08-02 16:06:09.308759	2013-08-04 18:47:31.78409
20779	14	2013-08-02 16:05:44.808765	2013-08-04 18:47:31.799906
31571	14	2013-08-02 16:06:09.261837	2013-08-04 18:47:31.812183
31559	21	2013-08-02 16:06:09.230992	2013-08-04 18:47:33.518628
19246	14	2013-08-02 16:05:41.462001	2013-08-04 18:52:30.697686
31618	14	2013-08-02 16:06:09.372965	2013-08-04 18:52:30.707967
31711	14	2013-08-02 16:06:09.598233	2013-08-04 18:52:30.717995
31653	14	2013-08-02 16:06:09.45964	2013-08-04 18:52:30.728902
34992	14	2013-08-02 16:06:17.200781	2013-08-04 18:52:30.74042
31691	14	2013-08-02 16:06:09.549807	2013-08-04 18:52:30.752623
31671	14	2013-08-02 16:06:09.502485	2013-08-04 18:52:30.764887
31651	14	2013-08-02 16:06:09.454822	2013-08-04 18:52:30.777192
31710	14	2013-08-02 16:06:09.595827	2013-08-04 18:52:30.790571
31631	14	2013-08-02 16:06:09.403932	2013-08-04 18:52:30.801944
31611	14	2013-08-02 16:06:09.356478	2013-08-04 18:52:30.813124
31658	14	2013-08-02 16:06:09.471631	2013-08-04 18:52:31.47362
31660	14	2013-08-02 16:06:09.476381	2013-08-04 18:52:31.485087
31745	21	2013-08-02 16:06:09.665993	2013-08-03 20:32:23.76978
31716	14	2013-08-02 16:06:09.612691	2013-08-04 20:54:40.872745
31725	21	2013-08-02 16:06:09.62869	2013-08-03 20:32:23.773651
31765	7	2013-08-02 16:06:09.71939	2013-08-03 20:34:52.956241
24951	2	2013-08-02 16:05:53.696599	2013-08-04 17:31:49.859249
31722	2	2013-08-02 16:06:09.623674	2013-08-02 16:06:09.623674
31715	4	2013-08-02 16:06:09.608928	2013-08-03 19:04:53.891972
31724	4	2013-08-02 16:06:09.627796	2013-08-02 16:06:09.627796
31721	21	2013-08-02 16:06:09.621156	2013-08-03 22:29:27.349485
31727	7	2013-08-02 16:06:09.630361	2013-08-02 16:06:09.630361
31729	9	2013-08-02 16:06:09.632022	2013-08-02 16:06:09.632022
31746	2	2013-08-02 16:06:09.668703	2013-08-04 18:01:50.605022
31840	9	2013-08-02 16:06:09.885817	2013-08-04 20:54:40.88002
31734	14	2013-08-02 16:06:09.640256	2013-08-02 16:06:09.640256
27293	14	2013-08-02 16:05:59.352152	2013-08-04 03:00:35.893032
31805	4	2013-08-02 16:06:09.824935	2013-08-03 20:34:52.963993
31796	7	2013-08-02 16:06:09.8015	2013-08-04 20:54:40.882525
27273	4	2013-08-02 16:05:59.304671	2013-08-04 03:00:38.762297
31785	2	2013-08-02 16:06:09.772171	2013-08-04 18:01:50.609174
31742	2	2013-08-02 16:06:09.657991	2013-08-02 16:06:09.657991
31845	2	2013-08-02 16:06:09.898199	2013-08-03 20:34:52.971614
31744	4	2013-08-02 16:06:09.663343	2013-08-02 16:06:09.663343
31750	4	2013-08-02 16:06:09.679241	2013-08-03 23:15:36.936555
31747	7	2013-08-02 16:06:09.671353	2013-08-02 16:06:09.671353
31749	9	2013-08-02 16:06:09.676598	2013-08-02 16:06:09.676598
31726	2	2013-08-02 16:06:09.629508	2013-08-04 18:01:50.61419
31856	4	2013-08-02 16:06:09.927246	2013-08-04 20:54:40.886605
31733	4	2013-08-02 16:06:09.637587	2013-08-04 18:08:24.775481
31754	14	2013-08-02 16:06:09.689989	2013-08-02 16:06:09.689989
31838	2	2013-08-02 16:06:09.882087	2013-08-04 20:54:40.890097
31773	2	2013-08-02 16:06:09.740777	2013-08-04 18:08:24.77893
31790	2	2013-08-02 16:06:09.785594	2013-08-03 23:15:36.943707
31825	4	2013-08-02 16:06:09.858142	2013-08-03 20:37:34.365639
31762	2	2013-08-02 16:06:09.711364	2013-08-02 16:06:09.711364
31755	2	2013-08-02 16:06:09.692673	2013-08-03 19:04:53.894778
31764	4	2013-08-02 16:06:09.716741	2013-08-02 16:06:09.716741
31753	21	2013-08-02 16:06:09.687303	2013-08-04 18:08:31.147653
31800	2	2013-08-02 16:06:09.811729	2013-08-04 20:57:16.673598
31767	7	2013-08-02 16:06:09.724836	2013-08-02 16:06:09.724836
31836	21	2013-08-02 16:06:09.878222	2013-08-04 20:57:16.705293
31769	9	2013-08-02 16:06:09.73021	2013-08-02 16:06:09.73021
31730	2	2013-08-02 16:06:09.632879	2013-08-04 20:57:17.365535
31736	2	2013-08-02 16:06:09.643615	2013-08-04 20:57:17.441176
31770	21	2013-08-02 16:06:09.732834	2013-08-03 23:15:46.09659
49965	2	2013-08-02 16:06:50.538444	2013-08-04 20:57:18.27642
31774	14	2013-08-02 16:06:09.743416	2013-08-02 16:06:09.743416
31795	9	2013-08-02 16:06:09.798867	2013-08-03 20:37:35.864893
31871	7	2013-08-02 16:06:10.142776	2013-08-04 20:57:18.416776
31732	2	2013-08-02 16:06:09.63491	2013-08-03 20:59:56.856407
31776	7	2013-08-02 16:06:09.748839	2013-08-04 20:57:19.599061
31756	4	2013-08-02 16:06:09.695326	2013-08-04 20:57:19.915918
31782	2	2013-08-02 16:06:09.764372	2013-08-02 16:06:09.764372
31784	4	2013-08-02 16:06:09.769682	2013-08-02 16:06:09.769682
31787	7	2013-08-02 16:06:09.777521	2013-08-02 16:06:09.777521
31789	9	2013-08-02 16:06:09.782916	2013-08-02 16:06:09.782916
31817	21	2013-08-02 16:06:09.843739	2013-08-04 21:00:14.190732
31797	21	2013-08-02 16:06:09.804129	2013-08-04 18:08:42.556846
16883	21	2013-08-02 16:05:36.524294	2013-08-04 21:00:14.294425
31794	14	2013-08-02 16:06:09.796182	2013-08-02 16:06:09.796182
31830	21	2013-08-02 16:06:09.867171	2013-08-04 18:11:48.911817
31793	14	2013-08-02 16:06:09.793557	2013-08-04 18:11:49.018273
31816	21	2013-08-02 16:06:09.842061	2013-08-04 21:00:14.502322
31802	2	2013-08-02 16:06:09.816994	2013-08-02 16:06:09.816994
31804	4	2013-08-02 16:06:09.822131	2013-08-02 16:06:09.822131
31850	4	2013-08-02 16:06:09.911378	2013-08-03 23:19:39.877612
31807	7	2013-08-02 16:06:09.829301	2013-08-02 16:06:09.829301
31809	9	2013-08-02 16:06:09.832262	2013-08-02 16:06:09.832262
31853	21	2013-08-02 16:06:09.919241	2013-08-04 18:14:30.562579
31814	14	2013-08-02 16:06:09.839445	2013-08-02 16:06:09.839445
31792	9	2013-08-02 16:06:09.790884	2013-08-03 21:04:20.437135
31813	21	2013-08-02 16:06:09.838354	2013-08-04 18:15:51.583343
31772	4	2013-08-02 16:06:09.738112	2013-08-03 21:04:20.445973
31812	21	2013-08-02 16:06:09.83641	2013-08-03 21:04:20.697679
31780	2	2013-08-02 16:06:09.759169	2013-08-04 18:27:18.612436
31822	2	2013-08-02 16:06:09.852426	2013-08-02 16:06:09.852426
38223	9	2013-08-02 16:06:24.644521	2013-08-03 21:51:11.940491
31824	4	2013-08-02 16:06:09.856252	2013-08-02 16:06:09.856252
31810	2	2013-08-02 16:06:09.833434	2013-08-03 23:19:39.89204
31827	7	2013-08-02 16:06:09.861696	2013-08-02 16:06:09.861696
31829	9	2013-08-02 16:06:09.865337	2013-08-02 16:06:09.865337
31777	2	2013-08-02 16:06:09.751499	2013-08-04 18:27:18.622259
31866	2	2013-08-02 16:06:10.137661	2013-08-04 18:27:18.6291
31834	14	2013-08-02 16:06:09.874544	2013-08-02 16:06:09.874544
31846	2	2013-08-02 16:06:09.900738	2013-08-04 18:27:18.638568
19306	7	2013-08-02 16:05:41.617211	2013-08-03 21:51:11.942893
31826	2	2013-08-02 16:06:09.859919	2013-08-04 18:27:18.645962
31806	2	2013-08-02 16:06:09.82764	2013-08-04 18:27:18.657594
31842	2	2013-08-02 16:06:09.889833	2013-08-02 16:06:09.889833
31844	4	2013-08-02 16:06:09.895206	2013-08-02 16:06:09.895206
31741	4	2013-08-02 16:06:09.655254	2013-08-03 23:26:32.935999
31847	7	2013-08-02 16:06:09.903512	2013-08-02 16:06:09.903512
31849	9	2013-08-02 16:06:09.908743	2013-08-02 16:06:09.908743
31832	2	2013-08-02 16:06:09.870834	2013-08-04 18:27:18.668821
31786	2	2013-08-02 16:06:09.774793	2013-08-04 18:27:18.67951
31854	14	2013-08-02 16:06:09.921893	2013-08-02 16:06:09.921893
2408	4	2013-08-02 16:05:08.718221	2013-08-03 21:51:11.94505
31766	2	2013-08-02 16:06:09.722094	2013-08-04 18:27:18.690089
31757	2	2013-08-02 16:06:09.698006	2013-08-03 23:26:32.942605
31870	14	2013-08-02 16:06:10.141819	2013-08-04 18:52:30.635324
31852	14	2013-08-02 16:06:09.916754	2013-08-04 18:52:30.644458
31862	2	2013-08-02 16:06:10.132699	2013-08-02 16:06:10.132699
31791	14	2013-08-02 16:06:09.788236	2013-08-04 18:52:30.654426
31864	4	2013-08-02 16:06:10.135346	2013-08-02 16:06:10.135346
31771	14	2013-08-02 16:06:09.735478	2013-08-04 18:52:30.665355
31867	7	2013-08-02 16:06:10.138703	2013-08-02 16:06:10.138703
31869	9	2013-08-02 16:06:10.140801	2013-08-02 16:06:10.140801
31751	14	2013-08-02 16:06:09.681956	2013-08-04 18:52:30.67629
31731	14	2013-08-02 16:06:09.633739	2013-08-04 18:52:30.687051
31740	21	2013-08-02 16:06:09.652616	2013-08-03 19:42:23.042585
31720	21	2013-08-02 16:06:09.618431	2013-08-03 19:42:23.046633
31779	21	2013-08-02 16:06:09.756412	2013-08-04 18:52:31.407356
31815	14	2013-08-02 16:06:09.840453	2013-08-03 19:42:38.021174
31759	14	2013-08-02 16:06:09.70333	2013-08-04 18:52:31.428164
31798	21	2013-08-02 16:06:09.806652	2013-08-03 19:47:28.454712
31778	21	2013-08-02 16:06:09.753997	2013-08-03 19:47:28.459163
31758	21	2013-08-02 16:06:09.700667	2013-08-03 19:47:28.463161
31738	21	2013-08-02 16:06:09.647386	2013-08-03 19:47:28.467044
31718	21	2013-08-02 16:06:09.615184	2013-08-03 19:47:28.470732
31739	14	2013-08-02 16:06:09.649949	2013-08-04 18:52:31.439978
31737	21	2013-08-02 16:06:09.64558	2013-08-03 23:26:33.011385
31719	14	2013-08-02 16:06:09.616428	2013-08-04 18:52:31.451533
11708	14	2013-08-02 16:05:26.244611	2013-08-04 18:52:31.462586
31857	9	2013-08-02 16:06:09.929945	2013-08-03 23:31:52.996966
31735	7	2013-08-02 16:06:09.641772	2013-08-03 23:31:53.0002
31818	9	2013-08-02 16:06:09.845484	2013-08-03 23:34:27.783079
31860	14	2013-08-02 16:06:09.937986	2013-08-04 18:56:00.929959
31837	21	2013-08-02 16:06:09.880189	2013-08-03 23:45:41.292804
31811	21	2013-08-02 16:06:09.834532	2013-08-04 18:56:12.160565
15091	4	2013-08-02 16:05:33.363522	2013-08-03 23:58:45.223674
31717	2	2013-08-02 16:06:09.613965	2013-08-04 18:57:38.834781
15159	2	2013-08-02 16:05:33.469124	2013-08-03 23:58:45.226116
31851	2	2013-08-02 16:06:09.914069	2013-08-04 18:57:39.147018
31831	7	2013-08-02 16:06:09.869022	2013-08-04 18:57:40.36809
31875	14	2013-08-02 16:06:10.147042	2013-08-04 21:00:13.442444
31874	14	2013-08-02 16:06:10.146014	2013-08-02 16:06:10.146014
31885	14	2013-08-02 16:06:10.158839	2013-08-03 20:35:12.674308
31956	9	2013-08-02 16:06:10.280396	2013-08-04 21:00:13.46065
31882	2	2013-08-02 16:06:10.155017	2013-08-02 16:06:10.155017
31884	4	2013-08-02 16:06:10.15743	2013-08-02 16:06:10.15743
31887	7	2013-08-02 16:06:10.161296	2013-08-02 16:06:10.161296
31996	7	2013-08-02 16:06:10.360505	2013-08-04 21:00:13.467601
31889	9	2013-08-02 16:06:10.163469	2013-08-02 16:06:10.163469
27232	9	2013-08-02 16:05:59.206992	2013-08-04 03:00:35.906963
31894	14	2013-08-02 16:06:10.17001	2013-08-02 16:06:10.17001
27313	2	2013-08-02 16:05:59.39968	2013-08-04 17:07:41.673706
27390	4	2013-08-02 16:05:59.588622	2013-08-04 03:00:35.924674
31985	9	2013-08-02 16:06:10.337545	2013-08-03 20:35:12.693073
28448	2	2013-08-02 16:06:01.757233	2013-08-04 17:31:50.135959
31902	2	2013-08-02 16:06:10.18173	2013-08-02 16:06:10.18173
31895	14	2013-08-02 16:06:10.171382	2013-08-03 19:05:13.471766
31904	4	2013-08-02 16:06:10.184815	2013-08-02 16:06:10.184815
31938	14	2013-08-02 16:06:10.244811	2013-08-03 22:31:49.447222
31907	7	2013-08-02 16:06:10.189395	2013-08-02 16:06:10.189395
31909	9	2013-08-02 16:06:10.192314	2013-08-02 16:06:10.192314
27350	2	2013-08-02 16:05:59.491793	2013-08-04 03:00:35.931742
32021	21	2013-08-02 16:06:10.416181	2013-08-03 22:34:29.118893
31914	14	2013-08-02 16:06:10.200324	2013-08-02 16:06:10.200324
28460	2	2013-08-02 16:06:01.771869	2013-08-04 17:31:50.147005
32025	7	2013-08-02 16:06:10.424894	2013-08-03 20:35:12.700389
31952	21	2013-08-02 16:06:10.272515	2013-08-03 21:04:20.355122
2398	14	2013-08-02 16:05:08.705778	2013-08-04 03:00:36.210114
31922	2	2013-08-02 16:06:10.213974	2013-08-02 16:06:10.213974
31924	4	2013-08-02 16:06:10.217637	2013-08-02 16:06:10.217637
31900	21	2013-08-02 16:06:10.178678	2013-08-03 23:19:39.694888
31927	7	2013-08-02 16:06:10.223124	2013-08-02 16:06:10.223124
31929	9	2013-08-02 16:06:10.22702	2013-08-02 16:06:10.22702
27257	21	2013-08-02 16:05:59.266724	2013-08-04 03:00:37.804396
31972	21	2013-08-02 16:06:10.311928	2013-08-03 23:19:39.696624
31934	14	2013-08-02 16:06:10.236939	2013-08-02 16:06:10.236939
31935	21	2013-08-02 16:06:10.238908	2013-08-03 21:04:20.357024
28428	2	2013-08-02 16:06:01.736174	2013-08-04 17:31:50.159875
31932	21	2013-08-02 16:06:10.232963	2013-08-03 21:04:20.35871
32010	21	2013-08-02 16:06:10.392166	2013-08-03 23:19:39.698675
31998	2	2013-08-02 16:06:10.364837	2013-08-04 17:51:49.21592
31942	2	2013-08-02 16:06:10.25281	2013-08-02 16:06:10.25281
31990	21	2013-08-02 16:06:10.34738	2013-08-03 23:19:39.700899
31944	4	2013-08-02 16:06:10.256748	2013-08-02 16:06:10.256748
31975	21	2013-08-02 16:06:10.317819	2013-08-03 23:19:39.702941
31947	7	2013-08-02 16:06:10.262704	2013-08-02 16:06:10.262704
31949	9	2013-08-02 16:06:10.266628	2013-08-02 16:06:10.266628
31873	14	2013-08-02 16:06:10.145006	2013-08-04 18:08:42.513394
31877	4	2013-08-02 16:06:10.149182	2013-08-03 23:31:53.004601
31954	14	2013-08-02 16:06:10.276453	2013-08-02 16:06:10.276453
31915	9	2013-08-02 16:06:10.202071	2013-08-04 18:08:42.51992
31962	2	2013-08-02 16:06:10.29224	2013-08-02 16:06:10.29224
31964	4	2013-08-02 16:06:10.296177	2013-08-02 16:06:10.296177
31897	2	2013-08-02 16:06:10.174137	2013-08-03 23:31:53.008236
31967	7	2013-08-02 16:06:10.302112	2013-08-02 16:06:10.302112
31969	9	2013-08-02 16:06:10.306038	2013-08-02 16:06:10.306038
31953	7	2013-08-02 16:06:10.274507	2013-08-04 18:08:42.524661
31974	14	2013-08-02 16:06:10.315841	2013-08-02 16:06:10.315841
31912	7	2013-08-02 16:06:10.197085	2013-08-03 21:06:14.939117
31872	21	2013-08-02 16:06:10.143833	2013-08-03 21:06:14.974049
31982	2	2013-08-02 16:06:10.331582	2013-08-02 16:06:10.331582
31993	4	2013-08-02 16:06:10.353918	2013-08-04 18:08:42.528798
31984	4	2013-08-02 16:06:10.335546	2013-08-02 16:06:10.335546
31987	7	2013-08-02 16:06:10.341483	2013-08-02 16:06:10.341483
31989	9	2013-08-02 16:06:10.345418	2013-08-02 16:06:10.345418
31973	21	2013-08-02 16:06:10.313894	2013-08-04 18:11:48.133306
31981	21	2013-08-02 16:06:10.329758	2013-08-03 23:34:28.098073
31994	14	2013-08-02 16:06:10.356179	2013-08-02 16:06:10.356179
31878	21	2013-08-02 16:06:10.150305	2013-08-03 21:09:21.36035
31913	21	2013-08-02 16:06:10.198707	2013-08-04 18:11:48.303757
32012	21	2013-08-02 16:06:10.396553	2013-08-03 21:09:21.361884
32013	14	2013-08-02 16:06:10.398732	2013-08-04 18:11:49.068329
32002	2	2013-08-02 16:06:10.373711	2013-08-02 16:06:10.373711
31995	9	2013-08-02 16:06:10.358365	2013-08-03 19:05:13.478265
32004	4	2013-08-02 16:06:10.378161	2013-08-02 16:06:10.378161
31933	14	2013-08-02 16:06:10.234932	2013-08-04 18:11:49.422735
32007	7	2013-08-02 16:06:10.385452	2013-08-02 16:06:10.385452
32009	9	2013-08-02 16:06:10.389992	2013-08-02 16:06:10.389992
31905	14	2013-08-02 16:06:10.18633	2013-08-04 18:11:49.689256
31925	9	2013-08-02 16:06:10.219462	2013-08-03 23:37:25.98382
32014	14	2013-08-02 16:06:10.400917	2013-08-02 16:06:10.400917
13599	2	2013-08-02 16:05:29.778473	2013-08-04 18:27:18.593495
31886	2	2013-08-02 16:06:10.160044	2013-08-04 18:27:18.598199
27290	21	2013-08-02 16:05:59.344992	2013-08-03 21:51:11.962817
31881	2	2013-08-02 16:06:10.153805	2013-08-04 18:27:18.605597
32022	2	2013-08-02 16:06:10.418422	2013-08-02 16:06:10.418422
32024	4	2013-08-02 16:06:10.422723	2013-08-02 16:06:10.422723
32027	7	2013-08-02 16:06:10.429267	2013-08-02 16:06:10.429267
31957	2	2013-08-02 16:06:10.28238	2013-08-04 18:32:17.65202
31920	9	2013-08-02 16:06:10.210427	2013-08-03 19:42:38.02628
31960	7	2013-08-02 16:06:10.288303	2013-08-03 19:42:38.028343
31997	7	2013-08-02 16:06:10.362669	2013-08-03 23:37:25.990913
31898	21	2013-08-02 16:06:10.175516	2013-08-03 19:52:28.496274
32018	4	2013-08-02 16:06:10.409638	2013-08-03 19:52:28.823983
31978	7	2013-08-02 16:06:10.323723	2013-08-03 19:52:28.870313
31958	9	2013-08-02 16:06:10.284335	2013-08-03 19:52:28.893957
32017	2	2013-08-02 16:06:10.407431	2013-08-04 18:32:17.657221
27361	21	2013-08-02 16:05:59.517971	2013-08-03 21:51:11.964671
2428	21	2013-08-02 16:05:08.739723	2013-08-03 21:51:11.965801
35132	21	2013-08-02 16:06:17.552877	2013-08-03 21:51:11.967554
27601	21	2013-08-02 16:06:00.182683	2013-08-03 21:54:20.72354
27581	21	2013-08-02 16:06:00.132881	2013-08-03 21:54:20.725698
27561	21	2013-08-02 16:06:00.083142	2013-08-03 21:54:20.728485
27541	21	2013-08-02 16:06:00.032153	2013-08-03 21:54:20.732199
31980	2	2013-08-02 16:06:10.327694	2013-08-04 18:32:17.662381
32026	2	2013-08-02 16:06:10.427076	2013-08-04 18:32:17.668393
31992	2	2013-08-02 16:06:10.351707	2013-08-04 18:32:17.677466
32006	2	2013-08-02 16:06:10.383008	2013-08-04 18:32:17.686848
31986	2	2013-08-02 16:06:10.339509	2013-08-04 18:32:17.698033
31892	2	2013-08-02 16:06:10.167346	2013-08-04 18:32:17.709448
31966	2	2013-08-02 16:06:10.300133	2013-08-04 18:32:17.719206
31946	2	2013-08-02 16:06:10.26074	2013-08-04 18:32:17.73044
31926	2	2013-08-02 16:06:10.221296	2013-08-04 18:32:17.741335
31906	2	2013-08-02 16:06:10.187832	2013-08-04 18:32:17.752208
32019	4	2013-08-02 16:06:10.411861	2013-08-04 18:52:32.530889
31999	4	2013-08-02 16:06:10.366965	2013-08-04 18:52:32.536381
31979	4	2013-08-02 16:06:10.325695	2013-08-04 18:52:32.54153
31959	4	2013-08-02 16:06:10.286333	2013-08-04 18:52:32.546551
31939	9	2013-08-02 16:06:10.24678	2013-08-04 18:52:32.555745
31919	9	2013-08-02 16:06:10.208717	2013-08-04 18:52:32.560186
31899	9	2013-08-02 16:06:10.176988	2013-08-04 18:52:32.564731
31879	9	2013-08-02 16:06:10.15144	2013-08-04 18:52:32.569105
31911	9	2013-08-02 16:06:10.195459	2013-08-04 18:56:00.944639
31951	7	2013-08-02 16:06:10.27057	2013-08-04 18:56:00.95188
31971	4	2013-08-02 16:06:10.30998	2013-08-04 18:56:00.962754
31991	2	2013-08-02 16:06:10.349552	2013-08-04 18:57:36.202796
31955	21	2013-08-02 16:06:10.278431	2013-08-04 18:57:36.261799
31893	2	2013-08-02 16:06:10.168635	2013-08-04 18:57:36.618108
31931	2	2013-08-02 16:06:10.230989	2013-08-04 18:57:36.962596
31891	2	2013-08-02 16:06:10.165963	2013-08-04 18:57:37.405856
31880	21	2013-08-02 16:06:10.152559	2013-08-04 18:57:37.812259
27275	7	2013-08-02 16:05:59.309418	2013-08-04 18:57:39.933051
31945	21	2013-08-02 16:06:10.258726	2013-08-04 19:02:39.808287
32029	9	2013-08-02 16:06:10.433661	2013-08-02 16:06:10.433661
32073	4	2013-08-02 16:06:10.529771	2013-08-04 21:00:13.478846
32076	2	2013-08-02 16:06:10.535977	2013-08-04 21:00:13.486099
32034	14	2013-08-02 16:06:10.444941	2013-08-02 16:06:10.444941
32045	4	2013-08-02 16:06:10.469216	2013-08-03 20:35:12.710295
32041	2	2013-08-02 16:06:10.460474	2013-08-04 18:08:42.532652
32075	2	2013-08-02 16:06:10.533832	2013-08-03 20:35:12.718462
32033	14	2013-08-02 16:06:10.442664	2013-08-04 18:11:49.011737
32042	2	2013-08-02 16:06:10.462665	2013-08-02 16:06:10.462665
32035	7	2013-08-02 16:06:10.447126	2013-08-03 19:05:13.48072
32044	4	2013-08-02 16:06:10.467036	2013-08-02 16:06:10.467036
32030	21	2013-08-02 16:06:10.435939	2013-08-03 23:19:39.692857
32056	21	2013-08-02 16:06:10.493076	2013-08-04 21:00:25.973134
32047	7	2013-08-02 16:06:10.473546	2013-08-02 16:06:10.473546
32049	9	2013-08-02 16:06:10.47794	2013-08-02 16:06:10.47794
32096	4	2013-08-02 16:06:10.579085	2013-08-04 21:00:26.963749
32170	2	2013-08-02 16:06:10.750704	2013-08-04 21:00:26.971229
32054	14	2013-08-02 16:06:10.488775	2013-08-02 16:06:10.488775
32150	14	2013-08-02 16:06:10.698722	2013-08-04 18:16:28.501286
32065	4	2013-08-02 16:06:10.512504	2013-08-03 20:37:34.355744
32125	21	2013-08-02 16:06:10.641812	2013-08-04 21:00:27.122726
32062	2	2013-08-02 16:06:10.506096	2013-08-02 16:06:10.506096
32064	4	2013-08-02 16:06:10.510353	2013-08-02 16:06:10.510353
32110	7	2013-08-02 16:06:10.609619	2013-08-04 21:01:22.460493
32036	4	2013-08-02 16:06:10.449353	2013-08-04 21:01:22.801286
32067	7	2013-08-02 16:06:10.51685	2013-08-02 16:06:10.51685
32136	21	2013-08-02 16:06:10.665885	2013-08-08 01:03:08.536664
32069	9	2013-08-02 16:06:10.521167	2013-08-02 16:06:10.521167
32153	9	2013-08-02 16:06:10.706735	2013-08-04 18:16:28.515642
32116	21	2013-08-02 16:06:10.622752	2013-08-08 01:03:11.102539
32074	14	2013-08-02 16:06:10.531809	2013-08-02 16:06:10.531809
32145	9	2013-08-02 16:06:10.685876	2013-08-03 20:37:34.485574
32175	7	2013-08-02 16:06:10.764086	2013-08-04 18:16:28.522931
32082	2	2013-08-02 16:06:10.548927	2013-08-02 16:06:10.548927
32084	4	2013-08-02 16:06:10.553234	2013-08-02 16:06:10.553234
32087	7	2013-08-02 16:06:10.559659	2013-08-02 16:06:10.559659
32089	9	2013-08-02 16:06:10.564028	2013-08-02 16:06:10.564028
32072	7	2013-08-02 16:06:10.527627	2013-08-04 18:17:48.70403
32113	21	2013-08-02 16:06:10.616117	2013-08-04 18:17:48.732919
32094	14	2013-08-02 16:06:10.574818	2013-08-02 16:06:10.574818
32052	21	2013-08-02 16:06:10.484397	2013-08-03 21:09:21.355851
32032	21	2013-08-02 16:06:10.440276	2013-08-03 21:09:21.35849
32173	14	2013-08-02 16:06:10.758759	2013-08-04 18:17:50.834005
32102	2	2013-08-02 16:06:10.592407	2013-08-02 16:06:10.592407
32095	4	2013-08-02 16:06:10.576954	2013-08-03 19:05:13.48439
32104	4	2013-08-02 16:06:10.596743	2013-08-02 16:06:10.596743
32130	14	2013-08-02 16:06:10.652689	2013-08-03 23:21:36.757792
32107	7	2013-08-02 16:06:10.603182	2013-08-02 16:06:10.603182
32109	9	2013-08-02 16:06:10.607451	2013-08-02 16:06:10.607451
32053	2	2013-08-02 16:06:10.486564	2013-08-04 18:22:29.14828
32114	14	2013-08-02 16:06:10.618301	2013-08-02 16:06:10.618301
32106	2	2013-08-02 16:06:10.601029	2013-08-04 18:32:17.575373
32086	2	2013-08-02 16:06:10.557522	2013-08-04 18:32:17.588006
32137	2	2013-08-02 16:06:10.668141	2013-08-04 18:32:17.599009
32165	2	2013-08-02 16:06:10.737746	2013-08-04 18:32:17.609912
32122	2	2013-08-02 16:06:10.635254	2013-08-02 16:06:10.635254
32124	4	2013-08-02 16:06:10.639661	2013-08-02 16:06:10.639661
32050	21	2013-08-02 16:06:10.480083	2013-08-03 23:21:36.8027
32127	7	2013-08-02 16:06:10.646169	2013-08-02 16:06:10.646169
32129	9	2013-08-02 16:06:10.650538	2013-08-02 16:06:10.650538
32066	2	2013-08-02 16:06:10.51469	2013-08-04 18:32:17.620899
32134	14	2013-08-02 16:06:10.661356	2013-08-02 16:06:10.661356
32055	2	2013-08-02 16:06:10.490924	2013-08-04 18:32:17.63188
32046	2	2013-08-02 16:06:10.471367	2013-08-04 18:32:17.642956
32142	2	2013-08-02 16:06:10.679133	2013-08-02 16:06:10.679133
32135	2	2013-08-02 16:06:10.663488	2013-08-03 19:05:13.486862
32144	4	2013-08-02 16:06:10.683478	2013-08-02 16:06:10.683478
32037	2	2013-08-02 16:06:10.451622	2013-08-04 18:32:19.072909
32147	7	2013-08-02 16:06:10.690782	2013-08-02 16:06:10.690782
32149	9	2013-08-02 16:06:10.696045	2013-08-02 16:06:10.696045
32180	2	2013-08-02 16:06:10.777749	2013-08-04 18:32:19.083813
32185	16	2013-08-02 16:06:10.791021	2013-08-03 23:22:10.181482
32154	14	2013-08-02 16:06:10.709418	2013-08-02 16:06:10.709418
32132	21	2013-08-02 16:06:10.656994	2013-08-03 21:17:30.658759
32156	16	2013-08-02 16:06:10.714734	2013-08-02 16:06:10.714734
27401	2	2013-08-02 16:05:59.614924	2013-08-04 18:32:19.094874
32166	2	2013-08-02 16:06:10.740134	2013-08-04 18:32:19.105957
27481	16	2013-08-02 16:05:59.922225	2013-08-03 21:54:20.764711
32146	2	2013-08-02 16:06:10.688125	2013-08-04 18:32:19.117298
32162	2	2013-08-02 16:06:10.730479	2013-08-02 16:06:10.730479
32092	2	2013-08-02 16:06:10.570523	2013-08-04 18:32:19.128616
32164	4	2013-08-02 16:06:10.735315	2013-08-02 16:06:10.735315
32172	7	2013-08-02 16:06:10.756069	2013-08-03 23:34:27.638069
32167	7	2013-08-02 16:06:10.74287	2013-08-02 16:06:10.74287
32169	9	2013-08-02 16:06:10.747969	2013-08-02 16:06:10.747969
32070	21	2013-08-02 16:06:10.523302	2013-08-04 18:52:32.520803
32059	21	2013-08-02 16:06:10.49954	2013-08-04 18:52:32.522622
32174	14	2013-08-02 16:06:10.761443	2013-08-02 16:06:10.761443
32057	4	2013-08-02 16:06:10.495214	2013-08-03 23:37:26.00228
32176	16	2013-08-02 16:06:10.766808	2013-08-02 16:06:10.766808
32039	21	2013-08-02 16:06:10.456063	2013-08-04 18:52:32.523771
32182	2	2013-08-02 16:06:10.783058	2013-08-02 16:06:10.783058
32115	16	2013-08-02 16:06:10.620497	2013-08-03 19:05:13.640807
32184	4	2013-08-02 16:06:10.788332	2013-08-02 16:06:10.788332
32090	2	2013-08-02 16:06:10.566236	2013-08-03 23:37:26.005895
27381	7	2013-08-02 16:05:59.56713	2013-08-03 21:54:20.932272
32060	2	2013-08-02 16:06:10.501746	2013-08-03 19:42:38.033992
32071	16	2013-08-02 16:06:10.525483	2013-08-04 18:56:12.269712
32120	9	2013-08-02 16:06:10.631513	2013-08-03 19:50:34.180247
32160	7	2013-08-02 16:06:10.72534	2013-08-03 19:50:34.186717
32178	21	2013-08-02 16:06:10.772351	2013-08-03 19:52:28.751213
32158	21	2013-08-02 16:06:10.720045	2013-08-03 19:52:28.752997
32138	21	2013-08-02 16:06:10.67041	2013-08-03 19:52:28.754507
6278	21	2013-08-02 16:05:15.811247	2013-08-03 21:54:20.997467
32078	14	2013-08-02 16:06:10.540285	2013-08-03 19:52:28.784793
6141	21	2013-08-02 16:05:15.474671	2013-08-03 21:54:21.000881
27501	21	2013-08-02 16:05:59.944607	2013-08-03 21:56:15.020802
27441	16	2013-08-02 16:05:59.71035	2013-08-03 21:56:15.293193
32097	9	2013-08-02 16:06:10.58124	2013-08-03 23:39:26.642115
32077	14	2013-08-02 16:06:10.538148	2013-08-03 23:39:26.701276
32117	14	2013-08-02 16:06:10.624954	2013-08-03 23:41:32.081711
32105	14	2013-08-02 16:06:10.598883	2013-08-04 18:56:12.276932
32157	14	2013-08-02 16:06:10.717424	2013-08-03 23:41:32.333143
22063	14	2013-08-02 16:05:47.701395	2013-08-03 23:58:45.29593
16580	16	2013-08-02 16:05:35.805287	2013-08-03 23:58:45.35834
14999	14	2013-08-02 16:05:33.110938	2013-08-03 23:58:45.361046
22023	14	2013-08-02 16:05:47.595442	2013-08-04 00:03:54.84492
16871	7	2013-08-02 16:05:36.491835	2013-08-04 00:04:13.860866
32151	9	2013-08-02 16:06:10.701443	2013-08-04 18:56:12.29005
32040	7	2013-08-02 16:06:10.458265	2013-08-04 18:56:12.297516
15179	21	2013-08-02 16:05:33.492039	2013-08-04 18:57:36.258874
32177	2	2013-08-02 16:06:10.76971	2013-08-04 18:57:36.607261
32171	2	2013-08-02 16:06:10.753411	2013-08-04 18:57:36.956242
32131	7	2013-08-02 16:06:10.654818	2013-08-04 18:57:37.19405
32100	2	2013-08-02 16:06:10.588051	2013-08-04 18:57:37.395923
32031	2	2013-08-02 16:06:10.438126	2013-08-04 18:57:37.946341
32091	2	2013-08-02 16:06:10.568372	2013-08-04 18:57:38.828669
32133	2	2013-08-02 16:06:10.659183	2013-08-04 18:57:39.137252
32111	7	2013-08-02 16:06:10.611777	2013-08-04 18:57:39.925753
32098	4	2013-08-02 16:06:10.583428	2013-08-04 18:57:40.293253
32051	4	2013-08-02 16:06:10.482248	2013-08-04 18:57:40.305123
32179	4	2013-08-02 16:06:10.775039	2013-08-04 18:57:40.315915
32159	4	2013-08-02 16:06:10.722693	2013-08-04 18:57:40.328737
32219	2	2013-08-02 16:06:10.876337	2013-08-04 19:07:38.118943
32187	7	2013-08-02 16:06:10.795994	2013-08-02 16:06:10.795994
32189	9	2013-08-02 16:06:10.801291	2013-08-02 16:06:10.801291
32201	2	2013-08-02 16:06:10.831781	2013-08-03 22:31:49.462085
32194	14	2013-08-02 16:06:10.814456	2013-08-02 16:06:10.814456
32305	21	2013-08-02 16:06:11.052884	2013-08-03 20:37:34.431796
32196	16	2013-08-02 16:06:10.819253	2013-08-02 16:06:10.819253
262	7	2013-08-02 16:05:04.577521	2013-08-04 03:00:36.229323
32285	21	2013-08-02 16:06:11.030005	2013-08-03 20:37:34.434486
32200	21	2013-08-02 16:06:10.829302	2013-08-03 20:37:34.435957
32202	2	2013-08-02 16:06:10.834359	2013-08-02 16:06:10.834359
32280	7	2013-08-02 16:06:11.018385	2013-08-03 22:34:28.266914
32204	4	2013-08-02 16:06:10.838603	2013-08-02 16:06:10.838603
32190	9	2013-08-02 16:06:10.803933	2013-08-03 23:21:36.763272
32207	7	2013-08-02 16:06:10.846213	2013-08-02 16:06:10.846213
32209	9	2013-08-02 16:06:10.851263	2013-08-02 16:06:10.851263
32213	2	2013-08-02 16:06:10.86169	2013-08-04 18:16:28.541464
32214	14	2013-08-02 16:06:10.864153	2013-08-02 16:06:10.864153
32265	21	2013-08-02 16:06:10.986315	2013-08-03 20:37:34.439355
32216	16	2013-08-02 16:06:10.869064	2013-08-02 16:06:10.869064
32245	14	2013-08-02 16:06:10.937933	2013-08-03 20:37:34.446436
32230	7	2013-08-02 16:06:10.902488	2013-08-03 23:21:36.765098
32193	14	2013-08-02 16:06:10.811917	2013-08-04 18:17:48.096944
32222	2	2013-08-02 16:06:10.883512	2013-08-02 16:06:10.883512
32224	4	2013-08-02 16:06:10.888281	2013-08-02 16:06:10.888281
32227	7	2013-08-02 16:06:10.895412	2013-08-02 16:06:10.895412
32229	9	2013-08-02 16:06:10.9001	2013-08-02 16:06:10.9001
32234	14	2013-08-02 16:06:10.911922	2013-08-02 16:06:10.911922
32236	16	2013-08-02 16:06:10.916641	2013-08-02 16:06:10.916641
32250	4	2013-08-02 16:06:10.949819	2013-08-03 23:21:36.769999
32242	2	2013-08-02 16:06:10.930793	2013-08-02 16:06:10.930793
32244	4	2013-08-02 16:06:10.935589	2013-08-02 16:06:10.935589
32247	7	2013-08-02 16:06:10.942665	2013-08-02 16:06:10.942665
32249	9	2013-08-02 16:06:10.947432	2013-08-02 16:06:10.947432
32233	14	2013-08-02 16:06:10.909578	2013-08-04 18:17:50.480374
32290	2	2013-08-02 16:06:11.037001	2013-08-03 23:21:36.774871
32254	14	2013-08-02 16:06:10.959753	2013-08-02 16:06:10.959753
32325	9	2013-08-02 16:06:11.089641	2013-08-03 20:42:31.707108
32256	16	2013-08-02 16:06:10.964735	2013-08-02 16:06:10.964735
32253	14	2013-08-02 16:06:10.957395	2013-08-04 18:17:50.762327
32212	21	2013-08-02 16:06:10.859074	2013-08-03 21:14:22.168252
32195	21	2013-08-02 16:06:10.816879	2013-08-03 21:14:22.171639
28452	2	2013-08-02 16:06:01.762381	2013-08-04 18:32:18.987737
32262	2	2013-08-02 16:06:10.979199	2013-08-02 16:06:10.979199
32255	9	2013-08-02 16:06:10.96214	2013-08-03 19:05:24.401848
32264	4	2013-08-02 16:06:10.983939	2013-08-02 16:06:10.983939
32277	2	2013-08-02 16:06:11.014912	2013-08-04 18:32:18.991482
32267	7	2013-08-02 16:06:10.991032	2013-08-02 16:06:10.991032
32269	9	2013-08-02 16:06:10.995784	2013-08-02 16:06:10.995784
32326	2	2013-08-02 16:06:11.092255	2013-08-04 18:32:18.995129
32306	2	2013-08-02 16:06:11.054002	2013-08-04 18:32:18.998795
32274	14	2013-08-02 16:06:11.007741	2013-08-02 16:06:11.007741
32192	21	2013-08-02 16:06:10.809279	2013-08-03 21:14:22.174725
32276	16	2013-08-02 16:06:11.012512	2013-08-02 16:06:11.012512
32286	2	2013-08-02 16:06:11.032493	2013-08-04 18:32:19.002752
32232	16	2013-08-02 16:06:10.907192	2013-08-03 21:16:55.168699
32266	2	2013-08-02 16:06:10.988685	2013-08-04 18:32:19.008602
32282	2	2013-08-02 16:06:11.022574	2013-08-02 16:06:11.022574
32246	2	2013-08-02 16:06:10.940278	2013-08-04 18:32:19.01866
32284	4	2013-08-02 16:06:11.027359	2013-08-02 16:06:11.027359
6244	16	2013-08-02 16:05:15.757749	2013-08-03 23:21:58.946827
32287	7	2013-08-02 16:06:11.033749	2013-08-02 16:06:11.033749
32289	9	2013-08-02 16:06:11.035961	2013-08-02 16:06:11.035961
32226	2	2013-08-02 16:06:10.893064	2013-08-04 18:32:19.029352
32235	16	2013-08-02 16:06:10.914283	2013-08-03 23:21:59.099861
32294	14	2013-08-02 16:06:11.040979	2013-08-02 16:06:11.040979
32272	14	2013-08-02 16:06:11.002954	2013-08-03 21:16:55.172806
32296	16	2013-08-02 16:06:11.042914	2013-08-02 16:06:11.042914
32225	2	2013-08-02 16:06:10.89068	2013-08-04 18:32:19.040247
32206	2	2013-08-02 16:06:10.843764	2013-08-04 18:32:19.051115
32302	2	2013-08-02 16:06:11.049508	2013-08-02 16:06:11.049508
32220	4	2013-08-02 16:06:10.878751	2013-08-03 19:50:34.197593
32304	4	2013-08-02 16:06:11.05175	2013-08-02 16:06:11.05175
32330	9	2013-08-02 16:06:11.102746	2013-08-03 23:21:59.152019
32307	7	2013-08-02 16:06:11.055138	2013-08-02 16:06:11.055138
32309	9	2013-08-02 16:06:11.057476	2013-08-02 16:06:11.057476
32186	2	2013-08-02 16:06:10.793499	2013-08-04 18:32:19.061903
32270	2	2013-08-02 16:06:10.998153	2013-08-03 23:24:40.319779
32314	14	2013-08-02 16:06:11.063459	2013-08-02 16:06:11.063459
32191	4	2013-08-02 16:06:10.806605	2013-08-04 18:56:12.301168
32316	16	2013-08-02 16:06:11.06625	2013-08-02 16:06:11.06625
32298	9	2013-08-02 16:06:11.044915	2013-08-03 21:16:55.178244
32252	21	2013-08-02 16:06:10.954932	2013-08-03 21:19:21.201654
32215	2	2013-08-02 16:06:10.866627	2013-08-04 18:56:12.303118
32322	2	2013-08-02 16:06:11.081689	2013-08-02 16:06:11.081689
32332	21	2013-08-02 16:06:11.107802	2013-08-03 23:24:41.040585
32324	4	2013-08-02 16:06:11.086928	2013-08-02 16:06:11.086928
32327	7	2013-08-02 16:06:11.094915	2013-08-02 16:06:11.094915
32329	9	2013-08-02 16:06:11.100184	2013-08-02 16:06:11.100184
32211	2	2013-08-02 16:06:10.856609	2013-08-04 18:57:36.192018
32217	9	2013-08-02 16:06:10.871445	2013-08-03 23:41:32.089312
32334	14	2013-08-02 16:06:11.112736	2013-08-02 16:06:11.112736
6172	16	2013-08-02 16:05:15.54946	2013-08-03 21:54:21.053492
32336	16	2013-08-02 16:06:11.118028	2013-08-02 16:06:11.118028
32231	14	2013-08-02 16:06:10.904858	2013-08-04 18:57:37.98372
6192	16	2013-08-02 16:05:15.597532	2013-08-03 21:54:21.061511
32279	21	2013-08-02 16:06:11.017671	2013-08-04 18:57:40.233749
32259	21	2013-08-02 16:06:10.972026	2013-08-04 18:57:40.235579
32342	2	2013-08-02 16:06:11.132472	2013-08-02 16:06:11.132472
32239	21	2013-08-02 16:06:10.923717	2013-08-04 18:57:40.23689
32260	2	2013-08-02 16:06:10.974437	2013-08-03 19:50:34.204641
32240	7	2013-08-02 16:06:10.92608	2013-08-03 19:52:25.541018
32278	21	2013-08-02 16:06:11.016953	2013-08-03 19:52:28.741959
32258	21	2013-08-02 16:06:10.969636	2013-08-03 19:52:28.74415
32238	21	2013-08-02 16:06:10.921372	2013-08-03 19:52:28.745909
32218	21	2013-08-02 16:06:10.873927	2013-08-03 19:52:28.747696
32198	21	2013-08-02 16:06:10.824076	2013-08-03 19:52:28.74944
32340	9	2013-08-02 16:06:11.128741	2013-08-03 19:52:29.419177
32320	7	2013-08-02 16:06:11.076427	2013-08-03 19:52:29.426783
32318	16	2013-08-02 16:06:11.071072	2013-08-03 19:57:25.392803
32257	7	2013-08-02 16:06:10.967193	2013-08-03 23:41:32.092835
32297	4	2013-08-02 16:06:11.043837	2013-08-03 23:41:32.098928
32337	2	2013-08-02 16:06:11.120727	2013-08-03 23:41:32.101594
32338	16	2013-08-02 16:06:11.123294	2013-08-03 23:42:07.182974
32312	16	2013-08-02 16:06:11.06115	2013-08-04 19:00:24.011595
32317	9	2013-08-02 16:06:11.068422	2013-08-03 23:53:56.92454
32331	14	2013-08-02 16:06:11.105364	2013-08-04 19:00:24.014048
19521	16	2013-08-02 16:05:42.21482	2013-08-03 23:58:45.38204
2156	14	2013-08-02 16:05:08.314853	2013-08-03 23:58:45.384576
6684	21	2013-08-02 16:05:16.771288	2013-08-04 00:07:47.626923
32251	21	2013-08-02 16:06:10.952488	2013-08-04 19:00:51.411232
32199	7	2013-08-02 16:06:10.826407	2013-08-04 19:02:39.301023
32205	4	2013-08-02 16:06:10.841274	2013-08-04 19:02:39.317414
6204	2	2013-08-02 16:05:15.628133	2013-08-04 19:02:39.378181
27972	14	2013-08-02 16:06:01.053553	2013-08-04 19:02:40.727698
32311	2	2013-08-02 16:06:11.059902	2013-08-04 19:02:40.844807
32291	2	2013-08-02 16:06:11.038014	2013-08-04 19:02:41.103909
6399	2	2013-08-02 16:05:16.062377	2013-08-04 19:02:41.234634
32197	2	2013-08-02 16:06:10.82165	2013-08-04 19:02:41.242097
32271	2	2013-08-02 16:06:11.000505	2013-08-04 19:02:41.249141
32263	2	2013-08-02 16:06:10.98159	2013-08-04 19:02:41.257475
32339	2	2013-08-02 16:06:11.12594	2013-08-04 19:02:41.267936
32319	2	2013-08-02 16:06:11.073787	2013-08-04 19:02:41.278583
32355	4	2013-08-02 16:06:11.166295	2013-08-03 19:05:24.410408
32344	4	2013-08-02 16:06:11.137892	2013-08-02 16:06:11.137892
32481	21	2013-08-02 16:06:11.486822	2013-08-03 22:34:28.108705
32347	7	2013-08-02 16:06:11.145656	2013-08-02 16:06:11.145656
32349	9	2013-08-02 16:06:11.150581	2013-08-02 16:06:11.150581
2356	16	2013-08-02 16:05:08.652961	2013-08-04 00:26:51.275975
32354	14	2013-08-02 16:06:11.163647	2013-08-02 16:06:11.163647
32455	21	2013-08-02 16:06:11.418353	2013-08-03 20:42:29.830341
32356	16	2013-08-02 16:06:11.168948	2013-08-02 16:06:11.168948
5786	21	2013-08-02 16:05:14.632561	2013-08-04 18:17:48.764631
32485	21	2013-08-02 16:06:11.49682	2013-08-03 20:42:29.835978
32465	21	2013-08-02 16:06:11.444405	2013-08-03 20:42:29.841619
32493	7	2013-08-02 16:06:11.517651	2013-08-04 18:17:48.776844
32362	2	2013-08-02 16:06:11.184691	2013-08-02 16:06:11.184691
32445	21	2013-08-02 16:06:11.394495	2013-08-03 20:42:29.845168
32364	4	2013-08-02 16:06:11.189939	2013-08-02 16:06:11.189939
32370	14	2013-08-02 16:06:11.205973	2013-08-03 23:21:58.94873
32367	7	2013-08-02 16:06:11.19793	2013-08-02 16:06:11.19793
32369	9	2013-08-02 16:06:11.203303	2013-08-02 16:06:11.203303
6144	7	2013-08-02 16:05:15.48181	2013-08-04 18:17:48.787298
32374	14	2013-08-02 16:06:11.216704	2013-08-02 16:06:11.216704
32425	16	2013-08-02 16:06:11.345698	2013-08-03 20:42:29.853654
32376	16	2013-08-02 16:06:11.222028	2013-08-02 16:06:11.222028
32473	7	2013-08-02 16:06:11.465353	2013-08-04 18:17:48.798216
32453	7	2013-08-02 16:06:11.413594	2013-08-04 18:17:48.808857
32433	7	2013-08-02 16:06:11.365247	2013-08-04 18:17:48.819316
32382	2	2013-08-02 16:06:11.238188	2013-08-02 16:06:11.238188
32395	2	2013-08-02 16:06:11.27219	2013-08-03 19:05:24.413722
32384	4	2013-08-02 16:06:11.243509	2013-08-02 16:06:11.243509
32387	7	2013-08-02 16:06:11.251321	2013-08-02 16:06:11.251321
32389	9	2013-08-02 16:06:11.256743	2013-08-02 16:06:11.256743
32413	7	2013-08-02 16:06:11.317238	2013-08-04 18:17:48.830933
32450	9	2013-08-02 16:06:11.406501	2013-08-03 23:21:58.953075
32394	14	2013-08-02 16:06:11.269614	2013-08-02 16:06:11.269614
32396	16	2013-08-02 16:06:11.274749	2013-08-02 16:06:11.274749
32365	7	2013-08-02 16:06:11.192615	2013-08-04 18:17:48.84291
32393	7	2013-08-02 16:06:11.267194	2013-08-04 18:17:48.855058
32373	7	2013-08-02 16:06:11.213993	2013-08-04 18:17:48.86669
32402	2	2013-08-02 16:06:11.290804	2013-08-02 16:06:11.290804
32404	4	2013-08-02 16:06:11.295743	2013-08-02 16:06:11.295743
32407	7	2013-08-02 16:06:11.302929	2013-08-02 16:06:11.302929
32409	9	2013-08-02 16:06:11.30773	2013-08-02 16:06:11.30773
32490	7	2013-08-02 16:06:11.509834	2013-08-03 23:21:58.957629
32414	14	2013-08-02 16:06:11.319565	2013-08-02 16:06:11.319565
32416	16	2013-08-02 16:06:11.324248	2013-08-02 16:06:11.324248
32390	14	2013-08-02 16:06:11.259341	2013-08-04 18:17:50.751875
32372	7	2013-08-02 16:06:11.211284	2013-08-03 21:16:55.180801
32422	2	2013-08-02 16:06:11.338583	2013-08-02 16:06:11.338583
32353	14	2013-08-02 16:06:11.161031	2013-08-04 18:22:28.479104
32424	4	2013-08-02 16:06:11.343317	2013-08-02 16:06:11.343317
32350	2	2013-08-02 16:06:11.153009	2013-08-03 23:31:53.092629
32427	7	2013-08-02 16:06:11.350751	2013-08-02 16:06:11.350751
32429	9	2013-08-02 16:06:11.355601	2013-08-02 16:06:11.355601
32380	21	2013-08-02 16:06:11.232817	2013-08-04 18:24:27.851212
32346	2	2013-08-02 16:06:11.143029	2013-08-04 18:32:18.983649
32434	14	2013-08-02 16:06:11.367619	2013-08-02 16:06:11.367619
32432	4	2013-08-02 16:06:11.362807	2013-08-03 21:16:55.184329
32436	16	2013-08-02 16:06:11.372355	2013-08-02 16:06:11.372355
34100	2	2013-08-02 16:06:14.957902	2013-08-04 18:37:38.813819
32410	9	2013-08-02 16:06:11.310094	2013-08-03 23:34:27.589042
32472	2	2013-08-02 16:06:11.462688	2013-08-03 21:16:55.186462
6132	2	2013-08-02 16:05:15.453323	2013-08-04 18:37:38.818584
32442	2	2013-08-02 16:06:11.387168	2013-08-02 16:06:11.387168
32375	2	2013-08-02 16:06:11.219353	2013-08-04 18:37:38.823664
32444	4	2013-08-02 16:06:11.392074	2013-08-02 16:06:11.392074
32486	2	2013-08-02 16:06:11.499421	2013-08-04 18:37:38.828427
32447	7	2013-08-02 16:06:11.399271	2013-08-02 16:06:11.399271
32449	9	2013-08-02 16:06:11.404114	2013-08-02 16:06:11.404114
32417	2	2013-08-02 16:06:11.326628	2013-08-04 18:37:38.832792
32377	9	2013-08-02 16:06:11.22475	2013-08-03 23:42:07.380776
32454	14	2013-08-02 16:06:11.415941	2013-08-02 16:06:11.415941
32456	16	2013-08-02 16:06:11.420722	2013-08-02 16:06:11.420722
32466	2	2013-08-02 16:06:11.447065	2013-08-04 18:37:38.839047
32412	7	2013-08-02 16:06:11.314823	2013-08-03 21:17:30.301011
32400	14	2013-08-02 16:06:11.285506	2013-08-03 21:17:30.570569
32446	2	2013-08-02 16:06:11.396884	2013-08-04 18:37:38.844513
32462	2	2013-08-02 16:06:11.436351	2013-08-02 16:06:11.436351
32464	4	2013-08-02 16:06:11.441718	2013-08-02 16:06:11.441718
32345	7	2013-08-02 16:06:11.140516	2013-08-03 23:42:07.384665
32467	7	2013-08-02 16:06:11.449565	2013-08-02 16:06:11.449565
32469	9	2013-08-02 16:06:11.454822	2013-08-02 16:06:11.454822
32426	2	2013-08-02 16:06:11.34825	2013-08-04 18:37:38.849424
32474	14	2013-08-02 16:06:11.468038	2013-08-02 16:06:11.468038
32452	21	2013-08-02 16:06:11.411205	2013-08-03 21:17:30.659728
32476	16	2013-08-02 16:06:11.473438	2013-08-02 16:06:11.473438
32392	2	2013-08-02 16:06:11.264695	2013-08-04 18:37:38.854059
32406	2	2013-08-02 16:06:11.300516	2013-08-04 18:37:38.864237
32386	2	2013-08-02 16:06:11.248721	2013-08-04 18:37:38.874544
32482	2	2013-08-02 16:06:11.48948	2013-08-02 16:06:11.48948
32366	2	2013-08-02 16:06:11.195244	2013-08-04 18:37:38.88495
32484	4	2013-08-02 16:06:11.494391	2013-08-02 16:06:11.494391
29458	2	2013-08-02 16:06:03.951186	2013-08-04 18:37:38.895986
32487	7	2013-08-02 16:06:11.502085	2013-08-02 16:06:11.502085
32489	9	2013-08-02 16:06:11.507223	2013-08-02 16:06:11.507223
32351	9	2013-08-02 16:06:11.155649	2013-08-04 19:00:24.022731
32457	4	2013-08-02 16:06:11.423068	2013-08-03 23:42:07.389709
32494	14	2013-08-02 16:06:11.520046	2013-08-02 16:06:11.520046
32496	16	2013-08-02 16:06:11.52483	2013-08-02 16:06:11.52483
32460	16	2013-08-02 16:06:11.431011	2013-08-03 19:52:29.291722
32430	7	2013-08-02 16:06:11.358008	2013-08-04 19:00:24.024975
32420	4	2013-08-02 16:06:11.333829	2013-08-03 19:52:29.361408
6164	2	2013-08-02 16:05:15.53026	2013-08-03 23:42:07.39186
32418	21	2013-08-02 16:06:11.329083	2013-08-03 19:57:25.364404
32398	21	2013-08-02 16:06:11.279806	2013-08-03 19:57:25.366144
32378	21	2013-08-02 16:06:11.227396	2013-08-03 19:57:25.367407
32498	2	2013-08-02 16:06:11.529575	2013-08-03 19:57:25.601344
32478	7	2013-08-02 16:06:11.478806	2013-08-03 19:57:25.61369
32411	4	2013-08-02 16:06:11.312441	2013-08-04 19:00:24.028449
27521	14	2013-08-02 16:05:59.98485	2013-08-03 21:54:21.484068
27321	7	2013-08-02 16:05:59.418745	2013-08-03 21:54:21.506135
32357	14	2013-08-02 16:06:11.171567	2013-08-03 23:44:25.555738
32477	21	2013-08-02 16:06:11.476145	2013-08-03 23:44:25.872761
32437	21	2013-08-02 16:06:11.374735	2013-08-03 23:45:51.974332
32497	9	2013-08-02 16:06:11.527189	2013-08-03 23:45:52.082027
32458	7	2013-08-02 16:06:11.425842	2013-08-03 23:45:52.089402
32451	2	2013-08-02 16:06:11.408863	2013-08-04 19:00:24.030347
19718	9	2013-08-02 16:05:42.702431	2013-08-03 23:58:45.393665
19866	7	2013-08-02 16:05:43.079411	2013-08-03 23:58:45.395698
30837	4	2013-08-02 16:06:07.380204	2013-08-03 23:58:45.398567
32391	21	2013-08-02 16:06:11.262037	2013-08-04 19:00:51.412192
32431	2	2013-08-02 16:06:11.360416	2013-08-04 19:02:38.80994
32405	21	2013-08-02 16:06:11.298153	2013-08-04 19:02:38.834749
32471	2	2013-08-02 16:06:11.459964	2013-08-04 19:02:40.023395
2454	14	2013-08-02 16:05:08.767952	2013-08-04 19:02:40.711697
37065	14	2013-08-02 16:06:21.875796	2013-08-04 19:02:40.71627
32491	14	2013-08-02 16:06:11.51247	2013-08-04 19:02:40.722004
32499	21	2013-08-02 16:06:11.531928	2013-08-04 19:02:41.136229
32479	14	2013-08-02 16:06:11.481494	2013-08-04 19:02:41.144964
32475	14	2013-08-02 16:06:11.470741	2013-08-04 19:02:41.152863
32459	14	2013-08-02 16:06:11.428399	2013-08-04 19:02:41.159668
32439	14	2013-08-02 16:06:11.37949	2013-08-04 19:02:41.169425
32419	14	2013-08-02 16:06:11.331435	2013-08-04 19:02:41.17952
32399	14	2013-08-02 16:06:11.282502	2013-08-04 19:02:41.19038
32505	21	2013-08-02 16:06:11.546837	2013-08-03 20:42:29.825156
32588	9	2013-08-02 16:06:11.754531	2013-08-04 17:51:52.840976
32502	2	2013-08-02 16:06:11.539471	2013-08-02 16:06:11.539471
32515	16	2013-08-02 16:06:11.572237	2013-08-03 19:05:36.655032
32504	4	2013-08-02 16:06:11.544208	2013-08-02 16:06:11.544208
32501	21	2013-08-02 16:06:11.537115	2013-08-03 22:34:28.106264
32638	21	2013-08-02 16:06:12.02486	2013-08-04 19:07:36.857947
32507	7	2013-08-02 16:06:11.55193	2013-08-02 16:06:11.55193
32509	9	2013-08-02 16:06:11.556864	2013-08-02 16:06:11.556864
32597	2	2013-08-02 16:06:11.97252	2013-08-04 17:56:49.258492
32514	14	2013-08-02 16:06:11.569632	2013-08-02 16:06:11.569632
32645	21	2013-08-02 16:06:12.036527	2013-08-03 20:47:30.12591
32516	16	2013-08-02 16:06:11.574761	2013-08-02 16:06:11.574761
32640	2	2013-08-02 16:06:12.028054	2013-08-04 17:56:49.264567
32625	21	2013-08-02 16:06:12.005708	2013-08-03 20:47:30.130146
32605	21	2013-08-02 16:06:11.981504	2013-08-03 20:47:30.133728
32623	2	2013-08-02 16:06:12.002913	2013-08-04 17:56:49.273586
32522	2	2013-08-02 16:06:11.590575	2013-08-02 16:06:11.590575
32535	14	2013-08-02 16:06:11.624049	2013-08-03 19:05:36.656911
32524	4	2013-08-02 16:06:11.595907	2013-08-02 16:06:11.595907
32648	2	2013-08-02 16:06:12.041894	2013-08-04 17:56:49.284627
32527	7	2013-08-02 16:06:11.603912	2013-08-02 16:06:11.603912
32529	9	2013-08-02 16:06:11.608854	2013-08-02 16:06:11.608854
32600	2	2013-08-02 16:06:11.976299	2013-08-04 17:56:49.295817
32561	16	2013-08-02 16:06:11.682503	2013-08-03 22:36:12.180006
32534	14	2013-08-02 16:06:11.62148	2013-08-02 16:06:11.62148
32536	16	2013-08-02 16:06:11.626767	2013-08-02 16:06:11.626767
32565	16	2013-08-02 16:06:11.693128	2013-08-03 20:47:30.161843
32555	16	2013-08-02 16:06:11.666842	2013-08-04 18:19:12.304322
32542	2	2013-08-02 16:06:11.642561	2013-08-02 16:06:11.642561
32544	4	2013-08-02 16:06:11.644164	2013-08-02 16:06:11.644164
32547	7	2013-08-02 16:06:11.646523	2013-08-02 16:06:11.646523
32549	9	2013-08-02 16:06:11.651473	2013-08-02 16:06:11.651473
32525	14	2013-08-02 16:06:11.598586	2013-08-04 18:19:12.312323
32545	4	2013-08-02 16:06:11.64496	2013-08-03 23:21:58.965956
32554	14	2013-08-02 16:06:11.664328	2013-08-02 16:06:11.664328
32556	16	2013-08-02 16:06:11.669335	2013-08-02 16:06:11.669335
32573	21	2013-08-02 16:06:11.714527	2013-08-04 18:19:28.683628
32562	2	2013-08-02 16:06:11.685181	2013-08-02 16:06:11.685181
32553	14	2013-08-02 16:06:11.662083	2013-08-04 18:22:29.023489
32564	4	2013-08-02 16:06:11.690475	2013-08-02 16:06:11.690475
32570	2	2013-08-02 16:06:11.706504	2013-08-03 23:21:58.970638
32567	7	2013-08-02 16:06:11.698451	2013-08-02 16:06:11.698451
32569	9	2013-08-02 16:06:11.703781	2013-08-02 16:06:11.703781
32533	2	2013-08-02 16:06:11.618932	2013-08-04 18:22:29.144864
32586	2	2013-08-02 16:06:11.749389	2013-08-04 18:37:38.748279
32574	14	2013-08-02 16:06:11.717266	2013-08-02 16:06:11.717266
32585	16	2013-08-02 16:06:11.746665	2013-08-03 21:17:30.184733
32576	16	2013-08-02 16:06:11.72259	2013-08-02 16:06:11.72259
32566	2	2013-08-02 16:06:11.695791	2013-08-04 18:37:38.762338
32546	2	2013-08-02 16:06:11.645773	2013-08-04 18:37:38.774248
32575	14	2013-08-02 16:06:11.719932	2013-08-03 21:17:30.188787
32510	2	2013-08-02 16:06:11.559534	2013-08-04 18:37:38.786095
32582	2	2013-08-02 16:06:11.738585	2013-08-02 16:06:11.738585
32540	21	2013-08-02 16:06:11.637593	2013-08-03 19:52:29.24071
32584	4	2013-08-02 16:06:11.74399	2013-08-02 16:06:11.74399
32590	16	2013-08-02 16:06:11.759932	2013-08-03 23:21:59.224145
32587	7	2013-08-02 16:06:11.751896	2013-08-02 16:06:11.751896
32589	9	2013-08-02 16:06:11.757237	2013-08-02 16:06:11.757237
32526	2	2013-08-02 16:06:11.601267	2013-08-04 18:37:38.800677
32506	2	2013-08-02 16:06:11.549483	2013-08-04 18:37:38.809226
32594	14	2013-08-02 16:06:11.769763	2013-08-02 16:06:11.769763
32596	16	2013-08-02 16:06:11.966683	2013-08-02 16:06:11.966683
16945	2	2013-08-02 16:05:36.686926	2013-08-04 18:37:40.275636
32637	2	2013-08-02 16:06:12.023334	2013-08-04 18:37:40.280339
32517	2	2013-08-02 16:06:11.577228	2013-08-04 18:37:40.284222
32602	2	2013-08-02 16:06:11.9784	2013-08-02 16:06:11.9784
32520	21	2013-08-02 16:06:11.585185	2013-08-03 19:52:29.24476
32604	4	2013-08-02 16:06:11.980436	2013-08-02 16:06:11.980436
32610	14	2013-08-02 16:06:11.986944	2013-08-03 23:22:10.183629
32607	7	2013-08-02 16:06:11.983556	2013-08-02 16:06:11.983556
32609	9	2013-08-02 16:06:11.985832	2013-08-02 16:06:11.985832
32646	2	2013-08-02 16:06:12.038332	2013-08-04 18:37:40.340635
32614	14	2013-08-02 16:06:11.991346	2013-08-02 16:06:11.991346
32552	21	2013-08-02 16:06:11.659429	2013-08-03 21:19:21.200244
32616	16	2013-08-02 16:06:11.993656	2013-08-02 16:06:11.993656
32626	2	2013-08-02 16:06:12.007092	2013-08-04 18:37:40.35122
44403	21	2013-08-02 16:06:38.37692	2013-08-03 21:54:21.684446
32606	2	2013-08-02 16:06:11.98253	2013-08-04 18:37:40.355952
32538	14	2013-08-02 16:06:11.632158	2013-08-04 19:02:40.63325
32622	2	2013-08-02 16:06:12.001523	2013-08-02 16:06:12.001523
32500	21	2013-08-02 16:06:11.534621	2013-08-03 19:52:29.248139
32624	4	2013-08-02 16:06:12.00431	2013-08-02 16:06:12.00431
32580	14	2013-08-02 16:06:11.733253	2013-08-04 19:02:40.638629
32627	7	2013-08-02 16:06:12.008484	2013-08-02 16:06:12.008484
32629	9	2013-08-02 16:06:12.011266	2013-08-02 16:06:12.011266
32651	14	2013-08-02 16:06:12.047035	2013-08-04 19:02:40.644627
32634	14	2013-08-02 16:06:12.018868	2013-08-02 16:06:12.018868
15751	14	2013-08-02 16:05:34.147829	2013-08-04 19:02:40.654518
32636	16	2013-08-02 16:06:12.021812	2013-08-02 16:06:12.021812
32631	14	2013-08-02 16:06:12.014256	2013-08-04 19:02:40.665061
32611	14	2013-08-02 16:06:11.988009	2013-08-04 19:02:40.674716
32592	14	2013-08-02 16:06:11.764944	2013-08-04 19:02:40.68102
32591	14	2013-08-02 16:06:11.762496	2013-08-04 19:02:40.684963
32642	2	2013-08-02 16:06:12.031526	2013-08-02 16:06:12.031526
32650	9	2013-08-02 16:06:12.045418	2013-08-03 23:22:10.188751
32644	4	2013-08-02 16:06:12.034892	2013-08-02 16:06:12.034892
32647	7	2013-08-02 16:06:12.04007	2013-08-02 16:06:12.04007
32649	9	2013-08-02 16:06:12.043648	2013-08-02 16:06:12.043648
32571	14	2013-08-02 16:06:11.70916	2013-08-04 19:02:40.690397
32598	7	2013-08-02 16:06:11.973936	2013-08-03 23:22:10.192594
32654	14	2013-08-02 16:06:12.05247	2013-08-02 16:06:12.05247
32656	16	2013-08-02 16:06:12.056241	2013-08-02 16:06:12.056241
32603	9	2013-08-02 16:06:11.979419	2013-08-03 18:33:05.677932
32643	7	2013-08-02 16:06:12.033239	2013-08-03 18:33:05.681971
32593	14	2013-08-02 16:06:11.767331	2013-08-04 19:02:40.694431
32620	9	2013-08-02 16:06:11.998903	2013-08-03 19:54:07.474351
32618	14	2013-08-02 16:06:11.996377	2013-08-03 19:57:25.536635
32551	14	2013-08-02 16:06:11.656885	2013-08-04 19:02:40.699039
32578	4	2013-08-02 16:06:11.727954	2013-08-03 19:57:25.557886
17673	21	2013-08-02 16:05:38.499451	2013-08-03 21:54:21.923837
32531	14	2013-08-02 16:06:11.613713	2013-08-04 19:02:40.703208
17653	21	2013-08-02 16:05:38.472139	2013-08-03 21:54:21.9273
32550	2	2013-08-02 16:06:11.654209	2013-08-03 23:24:40.314787
32511	14	2013-08-02 16:06:11.562049	2013-08-04 19:02:40.707173
32530	14	2013-08-02 16:06:11.611284	2013-08-03 23:37:26.033969
32537	4	2013-08-02 16:06:11.62952	2013-08-03 23:45:52.098586
32532	2	2013-08-02 16:06:11.616156	2013-08-03 23:45:52.104227
32577	4	2013-08-02 16:06:11.725295	2013-08-03 23:49:34.327192
32541	7	2013-08-02 16:06:11.640328	2013-08-03 23:49:34.718688
32557	21	2013-08-02 16:06:11.671918	2013-08-03 23:49:35.044083
32617	7	2013-08-02 16:06:11.995121	2013-08-03 23:53:56.929356
15731	4	2013-08-02 16:05:34.016886	2013-08-03 23:53:56.9332
32630	21	2013-08-02 16:06:12.012718	2013-08-03 23:53:57.054154
16952	7	2013-08-02 16:05:36.70555	2013-08-03 23:58:45.42587
16971	4	2013-08-02 16:05:36.752633	2013-08-03 23:58:45.431453
17021	2	2013-08-02 16:05:36.876525	2013-08-03 23:58:45.434951
14995	21	2013-08-02 16:05:33.100975	2013-08-04 00:07:47.628052
28933	21	2013-08-02 16:06:02.701865	2013-08-04 17:31:50.216238
32805	21	2013-08-02 16:06:12.419605	2013-08-03 20:52:35.455659
32659	21	2013-08-02 16:06:12.062032	2013-08-04 19:07:36.857029
32785	21	2013-08-02 16:06:12.369541	2013-08-03 20:52:35.457587
32717	14	2013-08-02 16:06:12.207528	2013-08-04 00:26:51.278633
32662	2	2013-08-02 16:06:12.067618	2013-08-02 16:06:12.067618
32675	7	2013-08-02 16:06:12.101755	2013-08-03 19:05:36.672847
32664	4	2013-08-02 16:06:12.072281	2013-08-02 16:06:12.072281
17593	14	2013-08-02 16:05:38.341556	2013-08-04 19:07:38.437449
32783	14	2013-08-02 16:06:12.364275	2013-08-04 19:07:38.444416
32667	7	2013-08-02 16:06:12.080509	2013-08-02 16:06:12.080509
32811	14	2013-08-02 16:06:12.433843	2013-08-04 19:07:38.450552
32669	9	2013-08-02 16:06:12.086012	2013-08-02 16:06:12.086012
12671	21	2013-08-02 16:05:28.455323	2013-08-04 17:31:50.21902
32791	14	2013-08-02 16:06:12.385615	2013-08-04 19:07:38.457518
32780	21	2013-08-02 16:06:12.356484	2013-08-03 22:39:22.266308
32771	14	2013-08-02 16:06:12.335277	2013-08-04 19:07:38.462539
32674	14	2013-08-02 16:06:12.099276	2013-08-02 16:06:12.099276
32700	21	2013-08-02 16:06:12.167106	2013-08-03 20:52:35.460146
32676	16	2013-08-02 16:06:12.104205	2013-08-02 16:06:12.104205
32813	14	2013-08-02 16:06:12.438714	2013-08-04 19:07:38.469899
32751	14	2013-08-02 16:06:12.287941	2013-08-04 19:07:38.47527
31555	21	2013-08-02 16:06:09.22044	2013-08-04 17:31:50.221204
32797	9	2013-08-02 16:06:12.400141	2013-08-04 00:26:51.284414
32682	2	2013-08-02 16:06:12.120219	2013-08-02 16:06:12.120219
32731	14	2013-08-02 16:06:12.240737	2013-08-04 19:07:38.482541
32684	4	2013-08-02 16:06:12.125579	2013-08-02 16:06:12.125579
32710	4	2013-08-02 16:06:12.190891	2013-08-03 23:22:10.200541
32711	14	2013-08-02 16:06:12.193302	2013-08-04 19:07:38.491724
32687	7	2013-08-02 16:06:12.133637	2013-08-02 16:06:12.133637
32705	14	2013-08-02 16:06:12.179039	2013-08-04 19:07:38.498076
32689	9	2013-08-02 16:06:12.138944	2013-08-02 16:06:12.138944
32691	14	2013-08-02 16:06:12.144081	2013-08-04 19:07:38.507954
32673	2	2013-08-02 16:06:12.096782	2013-08-04 18:19:12.32813
32694	14	2013-08-02 16:06:12.152064	2013-08-02 16:06:12.152064
32725	16	2013-08-02 16:06:12.226489	2013-08-03 20:52:35.536779
32696	16	2013-08-02 16:06:12.157083	2013-08-02 16:06:12.157083
32702	2	2013-08-02 16:06:12.171898	2013-08-02 16:06:12.171898
32750	2	2013-08-02 16:06:12.285604	2013-08-03 23:22:10.207075
32704	4	2013-08-02 16:06:12.176671	2013-08-02 16:06:12.176671
32757	14	2013-08-02 16:06:12.302113	2013-08-04 00:35:57.427702
32707	7	2013-08-02 16:06:12.18379	2013-08-02 16:06:12.18379
32709	9	2013-08-02 16:06:12.188516	2013-08-02 16:06:12.188516
32812	14	2013-08-02 16:06:12.436229	2013-08-04 00:35:57.438863
32770	2	2013-08-02 16:06:12.33293	2013-08-03 23:24:40.24919
32714	14	2013-08-02 16:06:12.200385	2013-08-02 16:06:12.200385
32730	2	2013-08-02 16:06:12.238354	2013-08-03 23:24:40.309952
32716	16	2013-08-02 16:06:12.205172	2013-08-02 16:06:12.205172
32690	7	2013-08-02 16:06:12.141616	2013-08-03 23:24:40.546041
32722	2	2013-08-02 16:06:12.219422	2013-08-02 16:06:12.219422
32735	4	2013-08-02 16:06:12.250146	2013-08-03 19:05:36.678836
32724	4	2013-08-02 16:06:12.224118	2013-08-02 16:06:12.224118
25435	16	2013-08-02 16:05:54.864719	2013-08-04 03:00:36.306337
32727	7	2013-08-02 16:06:12.231232	2013-08-02 16:06:12.231232
32729	9	2013-08-02 16:06:12.235932	2013-08-02 16:06:12.235932
32753	16	2013-08-02 16:06:12.292689	2013-08-04 18:19:28.759471
32734	14	2013-08-02 16:06:12.247787	2013-08-02 16:06:12.247787
32692	4	2013-08-02 16:06:12.146723	2013-08-03 21:17:30.216478
32736	16	2013-08-02 16:06:12.252471	2013-08-02 16:06:12.252471
32745	2	2013-08-02 16:06:12.273743	2013-08-03 21:17:30.223577
32677	14	2013-08-02 16:06:12.106972	2013-08-04 18:19:28.766858
32742	2	2013-08-02 16:06:12.266645	2013-08-02 16:06:12.266645
32660	7	2013-08-02 16:06:12.063876	2013-08-03 19:54:07.477282
32744	4	2013-08-02 16:06:12.271337	2013-08-02 16:06:12.271337
32810	7	2013-08-02 16:06:12.431436	2013-08-03 23:24:40.824953
32747	7	2013-08-02 16:06:12.278554	2013-08-02 16:06:12.278554
32749	9	2013-08-02 16:06:12.283239	2013-08-02 16:06:12.283239
17056	7	2013-08-02 16:05:36.970219	2013-08-04 03:00:36.385472
32790	7	2013-08-02 16:06:12.382917	2013-08-03 23:24:40.829475
32754	14	2013-08-02 16:06:12.295038	2013-08-02 16:06:12.295038
32756	16	2013-08-02 16:06:12.299734	2013-08-02 16:06:12.299734
32712	21	2013-08-02 16:06:12.195658	2013-08-03 21:17:30.660912
32762	2	2013-08-02 16:06:12.313864	2013-08-02 16:06:12.313864
32764	4	2013-08-02 16:06:12.318632	2013-08-02 16:06:12.318632
11005	21	2013-08-02 16:05:24.460985	2013-08-03 23:26:13.708259
32767	7	2013-08-02 16:06:12.325758	2013-08-02 16:06:12.325758
32769	9	2013-08-02 16:06:12.330536	2013-08-02 16:06:12.330536
17075	4	2013-08-02 16:05:37.017903	2013-08-04 03:00:36.39076
32657	2	2013-08-02 16:06:12.058143	2013-08-03 23:53:56.936861
32774	14	2013-08-02 16:06:12.342387	2013-08-02 16:06:12.342387
32776	16	2013-08-02 16:06:12.347089	2013-08-02 16:06:12.347089
11139	9	2013-08-02 16:05:24.793428	2013-08-04 18:19:28.781424
32792	2	2013-08-02 16:06:12.388104	2013-08-03 21:19:20.767764
5444	4	2013-08-02 16:05:13.877346	2013-08-04 03:00:38.756226
32782	2	2013-08-02 16:06:12.361835	2013-08-02 16:06:12.361835
32784	4	2013-08-02 16:06:12.366874	2013-08-02 16:06:12.366874
27413	4	2013-08-02 16:05:59.643431	2013-08-04 03:00:38.759248
32787	7	2013-08-02 16:06:12.374873	2013-08-02 16:06:12.374873
32789	9	2013-08-02 16:06:12.380231	2013-08-02 16:06:12.380231
32740	21	2013-08-02 16:06:12.261866	2013-08-04 18:22:27.343357
32693	14	2013-08-02 16:06:12.149373	2013-08-04 18:22:28.022097
32794	14	2013-08-02 16:06:12.392923	2013-08-02 16:06:12.392923
32772	7	2013-08-02 16:06:12.337605	2013-08-03 21:19:20.775444
32796	16	2013-08-02 16:06:12.397717	2013-08-02 16:06:12.397717
32737	14	2013-08-02 16:06:12.254849	2013-08-04 18:22:28.070907
32763	21	2013-08-02 16:06:12.316231	2013-08-03 21:21:38.136778
11119	14	2013-08-02 16:05:24.745853	2013-08-04 18:22:28.4734
32802	2	2013-08-02 16:06:12.412469	2013-08-02 16:06:12.412469
32720	4	2013-08-02 16:06:12.21465	2013-08-03 19:54:07.481102
32804	4	2013-08-02 16:06:12.417228	2013-08-02 16:06:12.417228
32793	14	2013-08-02 16:06:12.390522	2013-08-04 18:22:28.783762
32807	7	2013-08-02 16:06:12.424363	2013-08-02 16:06:12.424363
32809	9	2013-08-02 16:06:12.429092	2013-08-02 16:06:12.429092
32773	14	2013-08-02 16:06:12.339989	2013-08-04 18:22:29.01388
32733	2	2013-08-02 16:06:12.245444	2013-08-04 18:22:29.140685
32766	2	2013-08-02 16:06:12.323344	2013-08-04 18:37:40.186496
32680	2	2013-08-02 16:06:12.114886	2013-08-04 18:37:40.198443
32760	2	2013-08-02 16:06:12.309185	2013-08-03 19:54:07.4834
32765	2	2013-08-02 16:06:12.321007	2013-08-04 18:37:40.209483
32778	21	2013-08-02 16:06:12.3518	2013-08-03 19:57:25.509944
32758	21	2013-08-02 16:06:12.304475	2013-08-03 19:57:25.511615
32738	21	2013-08-02 16:06:12.2572	2013-08-03 19:57:25.514192
32718	21	2013-08-02 16:06:12.209887	2013-08-03 19:57:25.517091
32698	21	2013-08-02 16:06:12.161972	2013-08-03 19:57:25.518639
32678	21	2013-08-02 16:06:12.109718	2013-08-03 19:57:25.519704
6152	9	2013-08-02 16:05:15.500877	2013-08-03 21:54:22.145305
27421	9	2013-08-02 16:05:59.662724	2013-08-03 21:54:22.155503
45983	9	2013-08-02 16:06:41.49336	2013-08-03 21:54:22.166882
45878	16	2013-08-02 16:06:41.344639	2013-08-03 21:54:22.573404
45858	4	2013-08-02 16:06:41.322594	2013-08-03 21:54:22.581488
17076	2	2013-08-02 16:05:37.020279	2013-08-04 18:37:40.221099
32746	2	2013-08-02 16:06:12.276098	2013-08-04 18:37:40.233561
32726	2	2013-08-02 16:06:12.228868	2013-08-04 18:37:40.241201
32672	2	2013-08-02 16:06:12.09405	2013-08-04 18:37:40.245907
32706	2	2013-08-02 16:06:12.181448	2013-08-04 18:37:40.250571
32715	2	2013-08-02 16:06:12.202758	2013-08-04 18:37:40.25513
32686	2	2013-08-02 16:06:12.131113	2013-08-04 18:37:40.259161
32798	2	2013-08-02 16:06:12.402622	2013-08-04 18:42:32.850545
32806	2	2013-08-02 16:06:12.422013	2013-08-04 18:42:32.8599
32752	2	2013-08-02 16:06:12.290317	2013-08-04 18:42:32.866954
32786	2	2013-08-02 16:06:12.372182	2013-08-04 18:42:32.872925
32671	14	2013-08-02 16:06:12.091376	2013-08-04 19:02:40.628839
32713	21	2013-08-02 16:06:12.198024	2013-08-04 19:02:41.99302
32699	21	2013-08-02 16:06:12.16437	2013-08-04 19:02:41.994778
32679	21	2013-08-02 16:06:12.112236	2013-08-04 19:02:41.995995
32814	14	2013-08-02 16:06:12.441071	2013-08-02 16:06:12.441071
32825	21	2013-08-02 16:06:12.468626	2013-08-03 20:52:35.45359
32816	16	2013-08-02 16:06:12.445909	2013-08-02 16:06:12.445909
38212	2	2013-08-02 16:06:24.61866	2013-08-04 17:02:14.164745
32845	4	2013-08-02 16:06:12.516971	2013-08-03 20:56:05.704422
32961	4	2013-08-02 16:06:12.798324	2013-08-03 22:39:21.555755
32871	14	2013-08-02 16:06:12.58119	2013-08-04 19:07:38.405182
32822	2	2013-08-02 16:06:12.461249	2013-08-02 16:06:12.461249
32885	2	2013-08-02 16:06:12.614501	2013-08-03 20:56:05.707195
32824	4	2013-08-02 16:06:12.466138	2013-08-02 16:06:12.466138
32817	2	2013-08-02 16:06:12.448456	2013-08-04 17:56:49.2009
32851	14	2013-08-02 16:06:12.532371	2013-08-04 19:07:38.40934
32827	7	2013-08-02 16:06:12.473446	2013-08-02 16:06:12.473446
32950	14	2013-08-02 16:06:12.770925	2013-08-04 19:07:38.413468
32829	9	2013-08-02 16:06:12.478189	2013-08-02 16:06:12.478189
32941	7	2013-08-02 16:06:12.747889	2013-08-04 00:26:51.286601
32860	14	2013-08-02 16:06:12.554546	2013-08-04 19:07:38.417918
32970	14	2013-08-02 16:06:12.81954	2013-08-04 19:07:38.422777
32834	14	2013-08-02 16:06:12.49008	2013-08-02 16:06:12.49008
32937	7	2013-08-02 16:06:12.738334	2013-08-04 18:19:28.788761
32836	16	2013-08-02 16:06:12.494828	2013-08-02 16:06:12.494828
32865	14	2013-08-02 16:06:12.566393	2013-08-04 19:07:38.427651
32842	2	2013-08-02 16:06:12.509222	2013-08-02 16:06:12.509222
32844	4	2013-08-02 16:06:12.514372	2013-08-02 16:06:12.514372
32831	14	2013-08-02 16:06:12.482948	2013-08-04 19:07:38.432424
32847	7	2013-08-02 16:06:12.522102	2013-08-02 16:06:12.522102
32940	21	2013-08-02 16:06:12.74552	2013-08-04 19:07:38.987651
32849	9	2013-08-02 16:06:12.527081	2013-08-02 16:06:12.527081
32959	14	2013-08-02 16:06:12.793596	2013-08-04 19:07:38.997218
32930	14	2013-08-02 16:06:12.72091	2013-08-03 23:24:40.729459
32939	14	2013-08-02 16:06:12.743111	2013-08-04 19:07:39.004911
32854	14	2013-08-02 16:06:12.540204	2013-08-02 16:06:12.540204
32932	14	2013-08-02 16:06:12.726172	2013-08-03 23:24:40.738806
32856	16	2013-08-02 16:06:12.54506	2013-08-02 16:06:12.54506
32910	4	2013-08-02 16:06:12.671363	2013-08-04 18:19:28.799542
32912	14	2013-08-02 16:06:12.676081	2013-08-04 19:07:39.009347
32919	14	2013-08-02 16:06:12.692722	2013-08-04 19:07:39.013622
32862	2	2013-08-02 16:06:12.559262	2013-08-02 16:06:12.559262
32899	14	2013-08-02 16:06:12.647591	2013-08-04 19:07:39.018071
32864	4	2013-08-02 16:06:12.564029	2013-08-02 16:06:12.564029
10999	14	2013-08-02 16:05:24.449491	2013-08-04 19:12:37.891468
11019	14	2013-08-02 16:05:24.496682	2013-08-04 19:12:37.902591
32867	7	2013-08-02 16:06:12.571255	2013-08-02 16:06:12.571255
15259	14	2013-08-02 16:05:33.558387	2013-08-04 19:12:37.913483
32869	9	2013-08-02 16:06:12.576267	2013-08-02 16:06:12.576267
32873	2	2013-08-02 16:06:12.585998	2013-08-04 18:19:28.80679
32958	14	2013-08-02 16:06:12.791194	2013-08-04 19:12:37.925191
32955	4	2013-08-02 16:06:12.783978	2013-08-04 19:12:37.944759
32874	14	2013-08-02 16:06:12.588376	2013-08-02 16:06:12.588376
32876	16	2013-08-02 16:06:12.593162	2013-08-02 16:06:12.593162
32920	4	2013-08-02 16:06:12.695059	2013-08-04 19:12:37.949369
32945	4	2013-08-02 16:06:12.757433	2013-08-03 20:59:18.685719
32925	7	2013-08-02 16:06:12.707905	2013-08-03 20:59:18.69382
17033	2	2013-08-02 16:05:36.908704	2013-08-04 03:00:36.397059
32882	2	2013-08-02 16:06:12.607357	2013-08-02 16:06:12.607357
32875	16	2013-08-02 16:06:12.590786	2013-08-03 19:05:48.147823
32884	4	2013-08-02 16:06:12.612123	2013-08-02 16:06:12.612123
32830	21	2013-08-02 16:06:12.480584	2013-08-03 23:26:13.710792
32951	4	2013-08-02 16:06:12.773582	2013-08-04 19:12:37.954843
32887	7	2013-08-02 16:06:12.619265	2013-08-02 16:06:12.619265
32931	4	2013-08-02 16:06:12.723501	2013-08-04 19:12:37.95891
32889	9	2013-08-02 16:06:12.62394	2013-08-02 16:06:12.62394
32853	21	2013-08-02 16:06:12.537738	2013-08-04 18:22:27.132379
4592	4	2013-08-02 16:05:12.767416	2013-08-04 19:12:37.963569
32894	14	2013-08-02 16:06:12.635768	2013-08-02 16:06:12.635768
38300	21	2013-08-02 16:06:24.83036	2013-08-04 03:00:36.44068
32896	16	2013-08-02 16:06:12.640569	2013-08-02 16:06:12.640569
32893	14	2013-08-02 16:06:12.63343	2013-08-04 18:22:28.01764
32911	4	2013-08-02 16:06:12.673741	2013-08-04 19:12:37.968654
32965	21	2013-08-02 16:06:12.807784	2013-08-03 20:59:56.714014
2144	21	2013-08-02 16:05:08.283303	2013-08-04 03:00:36.443245
32902	2	2013-08-02 16:06:12.655274	2013-08-02 16:06:12.655274
32895	14	2013-08-02 16:06:12.638205	2013-08-03 19:05:48.150299
32904	4	2013-08-02 16:06:12.660054	2013-08-02 16:06:12.660054
15688	21	2013-08-02 16:05:33.974257	2013-08-04 03:00:36.444667
32891	4	2013-08-02 16:06:12.628675	2013-08-04 19:12:37.974205
32907	7	2013-08-02 16:06:12.664234	2013-08-02 16:06:12.664234
32909	9	2013-08-02 16:06:12.669011	2013-08-02 16:06:12.669011
32914	14	2013-08-02 16:06:12.680855	2013-08-02 16:06:12.680855
32952	21	2013-08-02 16:06:12.776203	2013-08-03 21:19:20.568919
32916	16	2013-08-02 16:06:12.68557	2013-08-02 16:06:12.68557
32890	14	2013-08-02 16:06:12.626321	2013-08-04 18:22:28.06477
32935	14	2013-08-02 16:06:12.733526	2013-08-03 21:19:20.589178
11651	16	2013-08-02 16:05:26.100406	2013-08-04 03:00:36.539014
32922	2	2013-08-02 16:06:12.700144	2013-08-02 16:06:12.700144
32924	4	2013-08-02 16:06:12.705261	2013-08-02 16:06:12.705261
32927	7	2013-08-02 16:06:12.71308	2013-08-02 16:06:12.71308
32929	9	2013-08-02 16:06:12.718365	2013-08-02 16:06:12.718365
15299	9	2013-08-02 16:05:33.596915	2013-08-03 23:58:58.45997
32934	14	2013-08-02 16:06:12.731077	2013-08-02 16:06:12.731077
32936	16	2013-08-02 16:06:12.735923	2013-08-02 16:06:12.735923
32933	7	2013-08-02 16:06:12.72866	2013-08-04 18:22:30.413105
32915	7	2013-08-02 16:06:12.683198	2013-08-04 18:22:30.416618
32872	16	2013-08-02 16:06:12.583576	2013-08-03 21:19:20.675957
32913	7	2013-08-02 16:06:12.678469	2013-08-04 18:22:30.420148
32942	2	2013-08-02 16:06:12.75028	2013-08-02 16:06:12.75028
32944	4	2013-08-02 16:06:12.755019	2013-08-02 16:06:12.755019
15319	7	2013-08-02 16:05:33.614232	2013-08-03 23:58:58.461908
32947	7	2013-08-02 16:06:12.76296	2013-08-02 16:06:12.76296
32949	9	2013-08-02 16:06:12.768252	2013-08-02 16:06:12.768252
15306	7	2013-08-02 16:05:33.603269	2013-08-04 18:22:30.424955
32954	14	2013-08-02 16:06:12.781539	2013-08-02 16:06:12.781539
32852	4	2013-08-02 16:06:12.535079	2013-08-03 21:19:20.696448
32956	16	2013-08-02 16:06:12.786395	2013-08-02 16:06:12.786395
32953	2	2013-08-02 16:06:12.77885	2013-08-04 18:27:18.847675
32832	2	2013-08-02 16:06:12.485338	2013-08-04 18:27:18.851189
32962	2	2013-08-02 16:06:12.800681	2013-08-02 16:06:12.800681
32964	4	2013-08-02 16:06:12.805444	2013-08-02 16:06:12.805444
32966	2	2013-08-02 16:06:12.810144	2013-08-04 18:42:32.746127
32967	7	2013-08-02 16:06:12.812468	2013-08-02 16:06:12.812468
32969	9	2013-08-02 16:06:12.817208	2013-08-02 16:06:12.817208
15357	2	2013-08-02 16:05:33.64782	2013-08-04 18:42:32.749929
32960	21	2013-08-02 16:06:12.795953	2013-08-03 19:57:25.857981
15279	16	2013-08-02 16:05:33.577221	2013-08-04 00:03:54.725999
32946	2	2013-08-02 16:06:12.760232	2013-08-04 18:42:32.758791
32880	16	2013-08-02 16:06:12.602648	2013-08-03 19:57:25.932731
32926	2	2013-08-02 16:06:12.710594	2013-08-04 18:42:32.765427
32840	14	2013-08-02 16:06:12.504238	2013-08-03 19:57:25.954601
32858	21	2013-08-02 16:06:12.549843	2013-08-03 20:02:26.893115
32818	16	2013-08-02 16:06:12.450972	2013-08-03 20:02:26.912053
32938	2	2013-08-02 16:06:12.740721	2013-08-03 20:02:27.301047
32918	7	2013-08-02 16:06:12.69034	2013-08-03 20:02:27.308716
32878	9	2013-08-02 16:06:12.597872	2013-08-03 20:02:27.32357
17013	2	2013-08-02 16:05:36.856476	2013-08-04 18:42:32.776961
11039	16	2013-08-02 16:05:24.548059	2013-08-03 21:54:23.053323
7170	16	2013-08-02 16:05:17.596396	2013-08-03 21:54:23.064726
15868	2	2013-08-02 16:05:34.274993	2013-08-03 21:54:23.118242
32906	2	2013-08-02 16:06:12.662509	2013-08-04 18:42:32.788147
32886	2	2013-08-02 16:06:12.616903	2013-08-04 18:42:32.799185
32850	2	2013-08-02 16:06:12.529755	2013-08-04 18:42:32.808596
32866	2	2013-08-02 16:06:12.568814	2013-08-04 18:42:32.816855
32870	2	2013-08-02 16:06:12.578794	2013-08-04 18:42:32.821897
33101	21	2013-08-02 16:06:13.156715	2013-08-03 22:39:21.487491
33058	21	2013-08-02 16:06:13.044687	2013-08-04 19:07:40.043849
32974	14	2013-08-02 16:06:12.829567	2013-08-02 16:06:12.829567
33081	21	2013-08-02 16:06:13.10382	2013-08-03 22:39:21.490589
32976	16	2013-08-02 16:06:12.834702	2013-08-02 16:06:12.834702
28913	2	2013-08-02 16:06:02.490678	2013-08-04 17:31:50.417104
33061	21	2013-08-02 16:06:13.051728	2013-08-03 22:39:21.493499
32977	9	2013-08-02 16:06:12.837393	2013-08-04 00:37:45.213983
33119	4	2013-08-02 16:06:13.202782	2013-08-04 19:07:40.063222
32982	2	2013-08-02 16:06:12.852449	2013-08-02 16:06:12.852449
33050	7	2013-08-02 16:06:13.025736	2013-08-04 00:37:45.220035
32984	4	2013-08-02 16:06:12.85803	2013-08-02 16:06:12.85803
33099	4	2013-08-02 16:06:13.151095	2013-08-04 19:07:40.074441
33079	4	2013-08-02 16:06:13.098558	2013-08-04 19:07:40.08542
32987	7	2013-08-02 16:06:12.86624	2013-08-02 16:06:12.86624
33115	4	2013-08-02 16:06:13.19317	2013-08-04 19:07:40.092465
32989	9	2013-08-02 16:06:12.871535	2013-08-02 16:06:12.871535
33059	9	2013-08-02 16:06:13.047036	2013-08-04 19:07:40.100212
32990	21	2013-08-02 16:06:12.874183	2013-08-03 23:24:40.622135
33039	9	2013-08-02 16:06:12.999657	2013-08-04 19:07:40.103661
32994	14	2013-08-02 16:06:12.884778	2013-08-02 16:06:12.884778
24157	2	2013-08-02 16:05:52.647213	2013-08-04 17:31:50.4276
32996	16	2013-08-02 16:06:12.889906	2013-08-02 16:06:12.889906
33113	21	2013-08-02 16:06:13.188211	2013-08-04 18:22:30.284873
17086	21	2013-08-02 16:05:37.044365	2013-08-04 18:22:30.289126
19386	21	2013-08-02 16:05:41.817892	2013-08-04 00:52:48.685575
17016	14	2013-08-02 16:05:36.863744	2013-08-04 03:00:36.544479
33002	2	2013-08-02 16:06:12.906018	2013-08-02 16:06:12.906018
32995	9	2013-08-02 16:06:12.887382	2013-08-03 19:05:48.160179
33004	4	2013-08-02 16:06:12.911402	2013-08-02 16:06:12.911402
33053	9	2013-08-02 16:06:13.032884	2013-08-04 19:07:40.107196
33007	7	2013-08-02 16:06:12.919377	2013-08-02 16:06:12.919377
33075	9	2013-08-02 16:06:13.088189	2013-08-04 19:07:40.111003
33009	9	2013-08-02 16:06:12.924842	2013-08-02 16:06:12.924842
33093	21	2013-08-02 16:06:13.135104	2013-08-04 18:22:30.292785
33019	7	2013-08-02 16:06:12.951349	2013-08-04 19:07:40.118564
33014	14	2013-08-02 16:06:12.938028	2013-08-02 16:06:12.938028
33070	16	2013-08-02 16:06:13.073115	2013-08-03 23:26:13.763961
33016	16	2013-08-02 16:06:12.943347	2013-08-02 16:06:12.943347
24601	2	2013-08-02 16:05:53.279233	2013-08-04 03:00:36.582366
33120	21	2013-08-02 16:06:13.205182	2013-08-03 20:59:18.524845
33022	2	2013-08-02 16:06:12.958933	2013-08-02 16:06:12.958933
33090	7	2013-08-02 16:06:13.126783	2013-08-04 19:07:40.122745
33024	4	2013-08-02 16:06:12.96376	2013-08-02 16:06:12.96376
33110	14	2013-08-02 16:06:13.180159	2013-08-03 23:26:13.768783
33073	7	2013-08-02 16:06:13.083062	2013-08-04 19:07:40.127128
33027	7	2013-08-02 16:06:12.970893	2013-08-02 16:06:12.970893
33105	7	2013-08-02 16:06:13.166722	2013-08-04 19:07:40.132445
33029	9	2013-08-02 16:06:12.975672	2013-08-02 16:06:12.975672
17036	4	2013-08-02 16:05:36.917304	2013-08-04 18:22:30.370544
33071	21	2013-08-02 16:06:13.076723	2013-08-04 19:12:37.816299
33034	14	2013-08-02 16:06:12.987831	2013-08-02 16:06:12.987831
33125	21	2013-08-02 16:06:13.217184	2013-08-03 20:59:18.527727
33036	16	2013-08-02 16:06:12.992587	2013-08-02 16:06:12.992587
33033	4	2013-08-02 16:06:12.98542	2013-08-04 18:22:30.374921
33013	4	2013-08-02 16:06:12.935355	2013-08-04 18:22:30.379685
33085	16	2013-08-02 16:06:13.113554	2013-08-03 20:59:18.556686
3754	14	2013-08-02 16:05:11.143372	2013-08-04 03:00:36.622575
33042	2	2013-08-02 16:06:13.00673	2013-08-02 16:06:13.00673
33035	7	2013-08-02 16:06:12.990209	2013-08-03 19:05:48.164213
33044	4	2013-08-02 16:06:13.01148	2013-08-02 16:06:13.01148
33030	9	2013-08-02 16:06:12.978047	2013-08-03 23:26:33.053354
33051	14	2013-08-02 16:06:13.02812	2013-08-04 19:12:37.83654
33047	7	2013-08-02 16:06:13.018578	2013-08-02 16:06:13.018578
33031	14	2013-08-02 16:06:12.980406	2013-08-04 19:12:37.84775
33049	9	2013-08-02 16:06:13.023326	2013-08-02 16:06:13.023326
33011	14	2013-08-02 16:06:12.930063	2013-08-04 19:12:37.858845
33010	21	2013-08-02 16:06:12.92744	2013-08-03 23:29:39.480177
32991	14	2013-08-02 16:06:12.87683	2013-08-04 19:12:37.869727
33054	14	2013-08-02 16:06:13.035225	2013-08-02 16:06:13.035225
32971	14	2013-08-02 16:06:12.821865	2013-08-04 19:12:37.880594
33056	16	2013-08-02 16:06:13.039945	2013-08-02 16:06:13.039945
32993	4	2013-08-02 16:06:12.882092	2013-08-04 18:22:30.383207
869	9	2013-08-02 16:05:05.364137	2013-08-04 03:00:36.630049
15379	4	2013-08-02 16:05:33.669185	2013-08-04 19:27:45.710382
19446	4	2013-08-02 16:05:42.047581	2013-08-04 19:27:45.71451
33062	2	2013-08-02 16:06:13.054083	2013-08-02 16:06:13.054083
46618	4	2013-08-02 16:06:43.127548	2013-08-04 19:27:45.718114
33064	4	2013-08-02 16:06:13.0588	2013-08-02 16:06:13.0588
15359	4	2013-08-02 16:05:33.649301	2013-08-03 23:58:58.46539
33111	4	2013-08-02 16:06:13.182851	2013-08-04 19:27:45.722099
33067	7	2013-08-02 16:06:13.06588	2013-08-02 16:06:13.06588
33091	4	2013-08-02 16:06:13.129664	2013-08-04 19:27:45.726078
33069	9	2013-08-02 16:06:13.070712	2013-08-02 16:06:13.070712
297	4	2013-08-02 16:05:04.606374	2013-08-04 03:00:38.753004
33074	14	2013-08-02 16:06:13.085598	2013-08-02 16:06:13.085598
33025	9	2013-08-02 16:06:12.966147	2013-08-03 20:59:18.62224
33076	16	2013-08-02 16:06:13.090838	2013-08-02 16:06:13.090838
33045	16	2013-08-02 16:06:13.01385	2013-08-03 20:59:56.659345
33112	21	2013-08-02 16:06:13.185545	2013-08-03 21:24:20.177324
33082	2	2013-08-02 16:06:13.10634	2013-08-02 16:06:13.10634
15386	2	2013-08-02 16:05:33.677655	2013-08-03 23:58:58.468715
33084	4	2013-08-02 16:06:13.111121	2013-08-02 16:06:13.111121
33117	2	2013-08-02 16:06:13.197987	2013-08-04 18:27:18.844554
33087	7	2013-08-02 16:06:13.118697	2013-08-02 16:06:13.118697
33089	9	2013-08-02 16:06:13.124116	2013-08-02 16:06:13.124116
19455	2	2013-08-02 16:05:42.064118	2013-08-04 18:27:20.549737
32986	2	2013-08-02 16:06:12.863559	2013-08-04 18:42:32.741944
33094	14	2013-08-02 16:06:13.137754	2013-08-02 16:06:13.137754
33092	21	2013-08-02 16:06:13.132442	2013-08-03 21:24:20.180581
33096	16	2013-08-02 16:06:13.14306	2013-08-02 16:06:13.14306
32972	2	2013-08-02 16:06:12.824328	2013-08-04 18:42:34.091371
33072	21	2013-08-02 16:06:13.080303	2013-08-03 21:24:20.184011
33065	21	2013-08-02 16:06:13.06116	2013-08-03 21:24:20.187311
33100	2	2013-08-02 16:06:13.154028	2013-08-04 18:42:34.167589
33102	2	2013-08-02 16:06:13.159216	2013-08-02 16:06:13.159216
33095	4	2013-08-02 16:06:13.140376	2013-08-03 19:05:48.170674
33104	4	2013-08-02 16:06:13.164116	2013-08-02 16:06:13.164116
17051	14	2013-08-02 16:05:36.95731	2013-08-03 23:58:58.503366
33107	7	2013-08-02 16:06:13.172095	2013-08-02 16:06:13.172095
33109	9	2013-08-02 16:06:13.177508	2013-08-02 16:06:13.177508
33126	2	2013-08-02 16:06:13.21953	2013-08-04 18:42:34.171859
33114	14	2013-08-02 16:06:13.19074	2013-08-02 16:06:13.19074
33052	21	2013-08-02 16:06:13.030484	2013-08-03 21:24:20.190637
33116	16	2013-08-02 16:06:13.195567	2013-08-02 16:06:13.195567
33106	2	2013-08-02 16:06:13.169435	2013-08-04 18:42:34.175024
33032	2	2013-08-02 16:06:12.982985	2013-08-03 21:24:20.21026
33086	2	2013-08-02 16:06:13.115932	2013-08-04 18:42:34.178216
33066	2	2013-08-02 16:06:13.063495	2013-08-04 18:42:34.181602
33122	2	2013-08-02 16:06:13.209923	2013-08-02 16:06:13.209923
33055	2	2013-08-02 16:06:13.037604	2013-08-04 18:42:34.185246
33124	4	2013-08-02 16:06:13.214783	2013-08-02 16:06:13.214783
33046	2	2013-08-02 16:06:13.016213	2013-08-04 18:42:34.189336
33127	7	2013-08-02 16:06:13.221885	2013-08-02 16:06:13.221885
33000	21	2013-08-02 16:06:12.90069	2013-08-03 19:57:25.852474
32980	21	2013-08-02 16:06:12.845384	2013-08-03 19:57:25.856029
33026	2	2013-08-02 16:06:12.968502	2013-08-04 18:42:34.195628
33040	9	2013-08-02 16:06:13.00202	2013-08-03 19:58:42.425262
33080	7	2013-08-02 16:06:13.101204	2013-08-03 19:58:42.429259
17091	9	2013-08-02 16:05:37.056571	2013-08-03 23:58:58.509179
33118	21	2013-08-02 16:06:13.200339	2013-08-03 20:02:27.150515
33098	21	2013-08-02 16:06:13.148437	2013-08-03 20:02:27.154085
33078	14	2013-08-02 16:06:13.095916	2013-08-03 20:02:27.173395
33038	4	2013-08-02 16:06:12.997328	2013-08-03 20:02:27.219313
33006	2	2013-08-02 16:06:12.916757	2013-08-04 18:42:34.200134
32992	4	2013-08-02 16:06:12.879447	2013-08-03 21:25:17.914566
42098	16	2013-08-02 16:06:32.811338	2013-08-03 21:56:35.166893
19406	14	2013-08-02 16:05:41.994958	2013-08-03 21:56:35.173319
17071	4	2013-08-02 16:05:37.008328	2013-08-04 00:04:13.863836
33139	21	2013-08-02 16:06:13.251463	2013-08-04 19:07:40.036647
33129	9	2013-08-02 16:06:13.226832	2013-08-02 16:06:13.226832
33281	21	2013-08-02 16:06:13.602986	2013-08-04 19:07:40.040277
33134	14	2013-08-02 16:06:13.239292	2013-08-02 16:06:13.239292
33136	16	2013-08-02 16:06:13.244198	2013-08-02 16:06:13.244198
15010	2	2013-08-02 16:05:33.248726	2013-08-04 17:31:50.438178
30095	2	2013-08-02 16:06:05.597042	2013-08-04 17:31:50.944984
33165	21	2013-08-02 16:06:13.315853	2013-08-03 20:59:18.518719
19196	2	2013-08-02 16:05:41.330108	2013-08-04 17:31:51.074665
33142	2	2013-08-02 16:06:13.258696	2013-08-02 16:06:13.258696
33135	2	2013-08-02 16:06:13.24175	2013-08-03 19:05:48.174115
33144	4	2013-08-02 16:06:13.26348	2013-08-02 16:06:13.26348
30637	16	2013-08-02 16:06:06.876366	2013-08-03 22:40:40.585955
33279	14	2013-08-02 16:06:13.597659	2013-08-04 19:12:38.650741
33147	7	2013-08-02 16:06:13.270683	2013-08-02 16:06:13.270683
33270	4	2013-08-02 16:06:13.573837	2013-08-04 19:12:38.661289
33149	9	2013-08-02 16:06:13.275472	2013-08-02 16:06:13.275472
33133	16	2013-08-02 16:06:13.236819	2013-08-04 18:24:39.416996
33130	9	2013-08-02 16:06:13.229201	2013-08-03 23:26:13.772696
33259	4	2013-08-02 16:06:13.544166	2013-08-04 19:12:38.668556
33154	14	2013-08-02 16:06:13.288506	2013-08-02 16:06:13.288506
33145	21	2013-08-02 16:06:13.265904	2013-08-03 20:59:18.522015
33156	16	2013-08-02 16:06:13.293864	2013-08-02 16:06:13.293864
33239	4	2013-08-02 16:06:13.492078	2013-08-04 19:12:38.673496
33219	4	2013-08-02 16:06:13.444524	2013-08-04 19:12:38.678174
33205	2	2013-08-02 16:06:13.411441	2013-08-03 21:00:15.999353
33175	21	2013-08-02 16:06:13.339756	2013-08-04 00:52:48.686863
33162	2	2013-08-02 16:06:13.308711	2013-08-02 16:06:13.308711
33195	4	2013-08-02 16:06:13.387329	2013-08-04 19:12:38.684181
33164	4	2013-08-02 16:06:13.313489	2013-08-02 16:06:13.313489
33170	7	2013-08-02 16:06:13.327801	2013-08-03 23:26:13.775116
33199	4	2013-08-02 16:06:13.396914	2013-08-04 19:12:38.744587
33167	7	2013-08-02 16:06:13.320697	2013-08-02 16:06:13.320697
33377	2	2013-08-02 16:06:14.004356	2013-08-04 19:12:38.759467
33169	9	2013-08-02 16:06:13.325439	2013-08-02 16:06:13.325439
33173	14	2013-08-02 16:06:13.335014	2013-08-04 18:24:39.424322
33697	2	2013-08-02 16:06:14.335367	2013-08-04 19:12:38.764453
33179	2	2013-08-02 16:06:13.349277	2013-08-04 19:12:38.769139
33174	14	2013-08-02 16:06:13.337403	2013-08-02 16:06:13.337403
45803	4	2013-08-02 16:06:41.270623	2013-08-04 03:00:36.641003
33176	16	2013-08-02 16:06:13.342119	2013-08-02 16:06:13.342119
33159	2	2013-08-02 16:06:13.301483	2013-08-04 19:12:38.773421
33185	4	2013-08-02 16:06:13.36356	2013-08-03 21:04:19.360886
33265	4	2013-08-02 16:06:13.560366	2013-08-03 21:04:19.59168
33182	2	2013-08-02 16:06:13.356408	2013-08-02 16:06:13.356408
33245	7	2013-08-02 16:06:13.506336	2013-08-03 21:04:19.614442
33184	4	2013-08-02 16:06:13.361182	2013-08-02 16:06:13.361182
33283	4	2013-08-02 16:06:13.608286	2013-08-04 19:27:45.609769
33187	7	2013-08-02 16:06:13.368296	2013-08-02 16:06:13.368296
33271	4	2013-08-02 16:06:13.576491	2013-08-04 19:27:45.622188
33189	9	2013-08-02 16:06:13.373094	2013-08-02 16:06:13.373094
33230	4	2013-08-02 16:06:13.470665	2013-08-03 23:26:13.782282
33251	4	2013-08-02 16:06:13.522649	2013-08-04 19:27:45.633887
33194	14	2013-08-02 16:06:13.384986	2013-08-02 16:06:13.384986
33152	21	2013-08-02 16:06:13.283173	2013-08-03 21:24:20.169866
33196	16	2013-08-02 16:06:13.389724	2013-08-02 16:06:13.389724
33272	4	2013-08-02 16:06:13.578917	2013-08-04 19:27:45.644425
33132	21	2013-08-02 16:06:13.234113	2013-08-03 21:24:20.174
33252	9	2013-08-02 16:06:13.525324	2013-08-04 18:24:39.438552
3721	14	2013-08-02 16:05:11.054656	2013-08-04 03:00:36.774108
33202	2	2013-08-02 16:06:13.404304	2013-08-02 16:06:13.404304
33204	4	2013-08-02 16:06:13.409062	2013-08-02 16:06:13.409062
33231	4	2013-08-02 16:06:13.473044	2013-08-04 19:27:45.655024
33207	7	2013-08-02 16:06:13.416189	2013-08-02 16:06:13.416189
33211	4	2013-08-02 16:06:13.425602	2013-08-04 19:27:45.665986
33209	9	2013-08-02 16:06:13.420873	2013-08-02 16:06:13.420873
25548	4	2013-08-02 16:05:55.162536	2013-08-04 19:27:45.673163
33250	2	2013-08-02 16:06:13.519999	2013-08-03 23:26:13.788749
33191	4	2013-08-02 16:06:13.377834	2013-08-04 19:27:45.677373
33214	14	2013-08-02 16:06:13.432716	2013-08-02 16:06:13.432716
33192	16	2013-08-02 16:06:13.380223	2013-08-03 21:24:57.989285
33216	16	2013-08-02 16:06:13.437425	2013-08-02 16:06:13.437425
33273	7	2013-08-02 16:06:13.581616	2013-08-04 18:24:39.445972
3701	21	2013-08-02 16:05:11.006867	2013-08-04 03:00:36.855649
33232	14	2013-08-02 16:06:13.475399	2013-08-03 21:24:57.991583
37021	21	2013-08-02 16:06:21.833724	2013-08-04 03:00:36.85818
33222	2	2013-08-02 16:06:13.451582	2013-08-02 16:06:13.451582
33213	4	2013-08-02 16:06:13.430332	2013-08-04 19:27:45.681939
33224	4	2013-08-02 16:06:13.456401	2013-08-02 16:06:13.456401
33171	4	2013-08-02 16:06:13.330192	2013-08-04 19:27:45.687938
33151	4	2013-08-02 16:06:13.280579	2013-08-04 19:27:45.693763
33227	7	2013-08-02 16:06:13.463497	2013-08-02 16:06:13.463497
33141	4	2013-08-02 16:06:13.256272	2013-08-04 19:27:45.697729
33229	9	2013-08-02 16:06:13.468251	2013-08-02 16:06:13.468251
17118	21	2013-08-02 16:05:37.121623	2013-08-04 18:27:18.401815
33210	16	2013-08-02 16:06:13.423266	2013-08-03 23:26:32.976082
33131	4	2013-08-02 16:06:13.231558	2013-08-04 19:27:45.701388
33234	14	2013-08-02 16:06:13.48021	2013-08-02 16:06:13.48021
33137	4	2013-08-02 16:06:13.246642	2013-08-04 19:27:45.705389
33236	16	2013-08-02 16:06:13.484977	2013-08-02 16:06:13.484977
33253	2	2013-08-02 16:06:13.52796	2013-08-04 18:27:18.841272
33233	21	2013-08-02 16:06:13.47781	2013-08-04 18:27:18.868672
33193	2	2013-08-02 16:06:13.382606	2013-08-04 18:27:18.949681
33242	2	2013-08-02 16:06:13.499231	2013-08-02 16:06:13.499231
33235	16	2013-08-02 16:06:13.482609	2013-08-03 19:08:23.798925
33244	4	2013-08-02 16:06:13.503946	2013-08-02 16:06:13.503946
33263	21	2013-08-02 16:06:13.554928	2013-08-03 23:26:33.01425
17171	4	2013-08-02 16:05:37.257148	2013-08-04 19:32:48.686857
33247	7	2013-08-02 16:06:13.51178	2013-08-02 16:06:13.51178
33249	9	2013-08-02 16:06:13.517335	2013-08-02 16:06:13.517335
33153	14	2013-08-02 16:06:13.285817	2013-08-04 18:27:20.265736
33254	14	2013-08-02 16:06:13.530663	2013-08-02 16:06:13.530663
33212	21	2013-08-02 16:06:13.427932	2013-08-03 21:25:17.431335
33256	16	2013-08-02 16:06:13.536007	2013-08-02 16:06:13.536007
33266	2	2013-08-02 16:06:13.563221	2013-08-04 18:42:34.048812
33246	2	2013-08-02 16:06:13.50908	2013-08-04 18:42:34.053784
19337	9	2013-08-02 16:05:41.699966	2013-08-03 21:56:35.190917
33226	2	2013-08-02 16:06:13.461144	2013-08-04 18:42:34.057128
33262	2	2013-08-02 16:06:13.552261	2013-08-02 16:06:13.552261
33140	4	2013-08-02 16:06:13.253851	2013-08-03 19:58:42.433402
33264	4	2013-08-02 16:06:13.557567	2013-08-02 16:06:13.557567
33267	7	2013-08-02 16:06:13.56593	2013-08-02 16:06:13.56593
33269	9	2013-08-02 16:06:13.571179	2013-08-02 16:06:13.571179
33243	2	2013-08-02 16:06:13.501596	2013-08-04 18:42:34.060654
33274	14	2013-08-02 16:06:13.584248	2013-08-02 16:06:13.584248
33276	16	2013-08-02 16:06:13.589657	2013-08-02 16:06:13.589657
33206	2	2013-08-02 16:06:13.413814	2013-08-04 18:42:34.064297
19546	2	2013-08-02 16:05:42.274488	2013-08-03 21:56:35.212784
33186	2	2013-08-02 16:06:13.365949	2013-08-04 18:42:34.068596
33190	2	2013-08-02 16:06:13.375446	2013-08-04 18:42:34.074158
33282	2	2013-08-02 16:06:13.605659	2013-08-02 16:06:13.605659
19366	16	2013-08-02 16:05:41.770201	2013-08-03 21:56:35.262331
33284	4	2013-08-02 16:06:13.610971	2013-08-02 16:06:13.610971
17055	7	2013-08-02 16:05:36.967551	2013-08-03 23:58:58.511047
33180	2	2013-08-02 16:06:13.351634	2013-08-03 19:58:42.435484
33166	2	2013-08-02 16:06:13.318273	2013-08-04 18:42:34.078672
33146	2	2013-08-02 16:06:13.2683	2013-08-04 18:42:34.083586
33238	21	2013-08-02 16:06:13.489716	2013-08-03 20:02:27.130488
33218	21	2013-08-02 16:06:13.442186	2013-08-03 20:02:27.133888
33198	21	2013-08-02 16:06:13.394527	2013-08-03 20:02:27.136747
33178	21	2013-08-02 16:06:13.346883	2013-08-03 20:02:27.139701
33158	21	2013-08-02 16:06:13.299067	2013-08-03 20:02:27.143268
33258	9	2013-08-02 16:06:13.541517	2013-08-03 20:03:52.284452
30505	4	2013-08-02 16:06:06.616115	2013-08-03 21:56:35.295449
5249	2	2013-08-02 16:05:13.530332	2013-08-03 23:58:58.516994
30652	2	2013-08-02 16:06:06.911902	2013-08-03 21:56:35.302257
27410	16	2013-08-02 16:05:59.636343	2013-08-03 21:56:35.349517
30617	21	2013-08-02 16:06:06.845748	2013-08-03 22:00:17.057586
5289	14	2013-08-02 16:05:13.579741	2013-08-03 23:59:11.1837
17155	9	2013-08-02 16:05:37.214421	2013-08-03 23:59:11.190773
33379	21	2013-08-02 16:06:14.006297	2013-08-04 19:12:38.620455
33330	14	2013-08-02 16:06:13.703157	2013-08-04 19:12:38.627983
33287	7	2013-08-02 16:06:13.6191	2013-08-02 16:06:13.6191
33359	14	2013-08-02 16:06:13.955321	2013-08-04 19:12:38.632372
33289	9	2013-08-02 16:06:13.624407	2013-08-02 16:06:13.624407
33339	14	2013-08-02 16:06:13.911429	2013-08-04 19:12:38.638731
27657	21	2013-08-02 16:06:00.317789	2013-08-03 23:29:39.084019
33319	14	2013-08-02 16:06:13.685521	2013-08-04 19:12:38.642822
33294	14	2013-08-02 16:06:13.637952	2013-08-02 16:06:13.637952
33320	21	2013-08-02 16:06:13.688425	2013-08-03 23:29:39.085262
33296	16	2013-08-02 16:06:13.643425	2013-08-02 16:06:13.643425
2456	14	2013-08-02 16:05:08.770431	2013-08-04 17:07:41.064264
23739	2	2013-08-02 16:05:51.960467	2013-08-04 17:31:51.542569
33405	2	2013-08-02 16:06:14.030905	2013-08-03 21:04:19.471201
33425	2	2013-08-02 16:06:14.052626	2013-08-04 01:00:53.678042
33302	2	2013-08-02 16:06:13.656489	2013-08-02 16:06:13.656489
33430	14	2013-08-02 16:06:14.059541	2013-08-03 23:29:39.092553
33304	4	2013-08-02 16:06:13.659531	2013-08-02 16:06:13.659531
23785	2	2013-08-02 16:05:52.093312	2013-08-04 17:31:51.555879
33299	14	2013-08-02 16:06:13.650707	2013-08-04 19:12:38.646678
33307	7	2013-08-02 16:06:13.664042	2013-08-02 16:06:13.664042
33340	4	2013-08-02 16:06:13.912521	2013-08-04 19:27:46.369274
33309	9	2013-08-02 16:06:13.665712	2013-08-02 16:06:13.665712
25568	21	2013-08-02 16:05:55.211141	2013-08-04 03:00:36.860671
39881	21	2013-08-02 16:06:27.953245	2013-08-04 03:00:36.868232
33306	4	2013-08-02 16:06:13.66312	2013-08-04 19:27:46.3803
33314	14	2013-08-02 16:06:13.673821	2013-08-02 16:06:13.673821
27373	21	2013-08-02 16:05:59.547408	2013-08-04 03:00:36.873351
33316	16	2013-08-02 16:06:13.67686	2013-08-02 16:06:13.67686
33297	4	2013-08-02 16:06:13.646092	2013-08-04 18:24:39.456978
33439	4	2013-08-02 16:06:14.068443	2013-08-04 19:27:46.39059
3711	21	2013-08-02 16:05:11.029066	2013-08-04 03:00:36.876001
33322	2	2013-08-02 16:06:13.693331	2013-08-02 16:06:13.693331
33324	4	2013-08-02 16:06:13.695025	2013-08-02 16:06:13.695025
33350	9	2013-08-02 16:06:13.932706	2013-08-03 23:29:39.153594
33419	4	2013-08-02 16:06:14.046861	2013-08-04 19:27:46.401219
33327	7	2013-08-02 16:06:13.697969	2013-08-02 16:06:13.697969
33399	4	2013-08-02 16:06:14.024297	2013-08-04 19:27:46.410278
33329	9	2013-08-02 16:06:13.701178	2013-08-02 16:06:13.701178
17096	21	2013-08-02 16:05:37.068501	2013-08-04 03:00:36.878498
33335	4	2013-08-02 16:06:13.907095	2013-08-03 23:29:39.161756
44923	21	2013-08-02 16:06:39.480279	2013-08-04 19:32:48.502615
33334	14	2013-08-02 16:06:13.906024	2013-08-02 16:06:13.906024
3661	21	2013-08-02 16:05:10.907666	2013-08-04 03:00:36.881003
33336	16	2013-08-02 16:06:13.9082	2013-08-02 16:06:13.9082
27721	14	2013-08-02 16:06:00.470803	2013-08-04 19:32:48.522857
33305	9	2013-08-02 16:06:13.662251	2013-08-03 21:04:19.545216
33338	14	2013-08-02 16:06:13.910348	2013-08-03 21:06:04.406938
33313	2	2013-08-02 16:06:13.672758	2013-08-04 18:24:39.464312
33342	2	2013-08-02 16:06:13.914694	2013-08-02 16:06:13.914694
27677	14	2013-08-02 16:06:00.365906	2013-08-04 19:32:48.534259
33344	4	2013-08-02 16:06:13.918678	2013-08-02 16:06:13.918678
33431	14	2013-08-02 16:06:14.06083	2013-08-04 19:32:48.545125
33411	14	2013-08-02 16:06:14.037292	2013-08-04 19:32:48.555953
33347	7	2013-08-02 16:06:13.924356	2013-08-02 16:06:13.924356
33391	14	2013-08-02 16:06:14.01814	2013-08-04 19:32:48.566787
33349	9	2013-08-02 16:06:13.929954	2013-08-02 16:06:13.929954
33390	14	2013-08-02 16:06:14.017416	2013-08-04 19:32:48.577585
33371	14	2013-08-02 16:06:13.988215	2013-08-04 19:32:48.588354
33354	14	2013-08-02 16:06:13.941917	2013-08-02 16:06:13.941917
33292	9	2013-08-02 16:06:13.632443	2013-08-03 21:24:57.9975
33356	16	2013-08-02 16:06:13.947325	2013-08-02 16:06:13.947325
33293	2	2013-08-02 16:06:13.635171	2013-08-04 18:27:18.364495
33351	14	2013-08-02 16:06:13.934601	2013-08-04 19:32:48.599283
33312	7	2013-08-02 16:06:13.669934	2013-08-03 21:24:58.0001
33333	2	2013-08-02 16:06:13.904944	2013-08-04 18:27:19.464698
33362	2	2013-08-02 16:06:13.963742	2013-08-02 16:06:13.963742
33355	9	2013-08-02 16:06:13.944648	2013-08-03 19:08:23.806858
33364	4	2013-08-02 16:06:13.969247	2013-08-02 16:06:13.969247
3734	14	2013-08-02 16:05:11.089304	2013-08-04 19:32:48.610064
33367	7	2013-08-02 16:06:13.977467	2013-08-02 16:06:13.977467
33331	4	2013-08-02 16:06:13.902374	2013-08-04 19:32:48.632152
33369	9	2013-08-02 16:06:13.982872	2013-08-02 16:06:13.982872
1769	21	2013-08-02 16:05:07.37895	2013-08-04 03:00:37.60225
33315	4	2013-08-02 16:06:13.674983	2013-08-04 19:32:48.643209
33365	4	2013-08-02 16:06:13.971925	2013-08-04 19:32:48.653929
33374	14	2013-08-02 16:06:13.996362	2013-08-02 16:06:13.996362
33376	16	2013-08-02 16:06:14.00169	2013-08-02 16:06:14.00169
27761	4	2013-08-02 16:06:00.572009	2013-08-04 18:27:21.129081
33290	21	2013-08-02 16:06:13.627104	2013-08-03 23:31:52.964623
33352	4	2013-08-02 16:06:13.936503	2013-08-03 21:24:58.004183
17426	4	2013-08-02 16:05:37.942858	2013-08-04 18:27:21.133618
33382	2	2013-08-02 16:06:14.009547	2013-08-02 16:06:14.009547
33384	4	2013-08-02 16:06:14.011129	2013-08-02 16:06:14.011129
33387	7	2013-08-02 16:06:14.01425	2013-08-02 16:06:14.01425
33389	9	2013-08-02 16:06:14.016487	2013-08-02 16:06:14.016487
33394	14	2013-08-02 16:06:14.020258	2013-08-02 16:06:14.020258
18281	7	2013-08-02 16:05:39.344814	2013-08-03 23:59:11.196281
33396	16	2013-08-02 16:06:14.021682	2013-08-02 16:06:14.021682
33392	2	2013-08-02 16:06:14.018844	2013-08-03 21:24:58.00744
33402	2	2013-08-02 16:06:14.027661	2013-08-02 16:06:14.027661
33395	7	2013-08-02 16:06:14.020976	2013-08-03 19:08:23.809334
33404	4	2013-08-02 16:06:14.029851	2013-08-02 16:06:14.029851
33407	7	2013-08-02 16:06:14.033006	2013-08-02 16:06:14.033006
33409	9	2013-08-02 16:06:14.035131	2013-08-02 16:06:14.035131
33373	7	2013-08-02 16:06:13.993656	2013-08-04 18:27:21.163923
33370	7	2013-08-02 16:06:13.985565	2013-08-04 18:27:21.16851
33414	14	2013-08-02 16:06:14.04196	2013-08-02 16:06:14.04196
33353	7	2013-08-02 16:06:13.939195	2013-08-04 18:27:21.172693
33416	16	2013-08-02 16:06:14.043605	2013-08-02 16:06:14.043605
33310	7	2013-08-02 16:06:13.666581	2013-08-04 18:27:21.177533
17423	16	2013-08-02 16:05:37.93482	2013-08-03 23:59:22.498246
33372	21	2013-08-02 16:06:13.990895	2013-08-03 21:25:17.48023
33393	2	2013-08-02 16:06:14.019558	2013-08-04 18:32:17.971421
33422	2	2013-08-02 16:06:14.049578	2013-08-02 16:06:14.049578
33424	4	2013-08-02 16:06:14.051846	2013-08-02 16:06:14.051846
33413	2	2013-08-02 16:06:14.041114	2013-08-04 18:32:17.981653
33427	7	2013-08-02 16:06:14.05484	2013-08-02 16:06:14.05484
33429	9	2013-08-02 16:06:14.058616	2013-08-02 16:06:14.058616
33433	2	2013-08-02 16:06:14.063005	2013-08-04 18:32:17.991863
17391	14	2013-08-02 16:05:37.851597	2013-08-03 23:59:22.505592
33434	14	2013-08-02 16:06:14.063827	2013-08-02 16:06:14.063827
33300	16	2013-08-02 16:06:13.652734	2013-08-03 21:25:17.523492
33436	16	2013-08-02 16:06:14.065803	2013-08-02 16:06:14.065803
17411	2	2013-08-02 16:05:37.901585	2013-08-04 18:32:18.002386
33400	21	2013-08-02 16:06:14.025376	2013-08-03 20:02:27.518299
33380	21	2013-08-02 16:06:14.007104	2013-08-03 20:02:27.520206
33360	21	2013-08-02 16:06:13.958079	2013-08-03 20:02:27.522023
33326	16	2013-08-02 16:06:13.696796	2013-08-04 18:44:55.932076
33298	7	2013-08-02 16:06:13.648802	2013-08-03 20:03:52.292078
33358	4	2013-08-02 16:06:13.952482	2013-08-03 20:03:52.303266
33332	21	2013-08-02 16:06:13.903851	2013-08-03 21:30:23.214588
33398	2	2013-08-02 16:06:14.023431	2013-08-03 20:03:52.310479
33438	16	2013-08-02 16:06:14.067566	2013-08-03 20:07:28.115533
33432	21	2013-08-02 16:06:14.062137	2013-08-03 21:30:23.215765
44135	7	2013-08-02 16:06:37.48837	2013-08-03 21:56:35.362872
33366	14	2013-08-02 16:06:13.974592	2013-08-04 18:44:55.939419
27701	16	2013-08-02 16:06:00.423322	2013-08-03 21:56:35.390187
27741	14	2013-08-02 16:06:00.521057	2013-08-03 21:56:35.392603
17371	14	2013-08-02 16:05:37.803291	2013-08-04 00:05:40.38546
33415	9	2013-08-02 16:06:14.042788	2013-08-04 18:44:55.959174
33318	7	2013-08-02 16:06:13.682552	2013-08-04 18:44:55.966109
33286	21	2013-08-02 16:06:13.616492	2013-08-04 18:45:07.285636
33426	2	2013-08-02 16:06:14.05371	2013-08-04 18:47:30.095333
33386	2	2013-08-02 16:06:14.01355	2013-08-04 18:47:30.37904
33406	2	2013-08-02 16:06:14.03195	2013-08-04 18:47:32.330009
33345	2	2013-08-02 16:06:13.919743	2013-08-04 18:47:32.340544
33385	7	2013-08-02 16:06:14.012328	2013-08-04 18:47:33.123878
33442	2	2013-08-02 16:06:14.071727	2013-08-02 16:06:14.071727
33455	4	2013-08-02 16:06:14.084339	2013-08-03 19:08:23.812552
33444	4	2013-08-02 16:06:14.073705	2013-08-02 16:06:14.073705
33457	2	2013-08-02 16:06:14.08617	2013-08-04 00:59:28.691939
33539	21	2013-08-02 16:06:14.169826	2013-08-04 19:27:46.24273
33447	7	2013-08-02 16:06:14.076526	2013-08-02 16:06:14.076526
33445	2	2013-08-02 16:06:14.074638	2013-08-04 19:27:46.252142
33449	9	2013-08-02 16:06:14.078392	2013-08-02 16:06:14.078392
23719	2	2013-08-02 16:05:51.922906	2013-08-04 17:31:51.567382
33540	7	2013-08-02 16:06:14.170717	2013-08-03 22:44:24.038801
33493	2	2013-08-02 16:06:14.119682	2013-08-04 19:27:46.258058
33454	14	2013-08-02 16:06:14.083112	2013-08-02 16:06:14.083112
33545	21	2013-08-02 16:06:14.174976	2013-08-03 21:04:19.391247
33456	16	2013-08-02 16:06:14.085262	2013-08-02 16:06:14.085262
23659	2	2013-08-02 16:05:51.795948	2013-08-04 17:31:51.612508
33525	21	2013-08-02 16:06:14.154788	2013-08-03 21:04:19.393838
33505	21	2013-08-02 16:06:14.131073	2013-08-03 21:04:19.395097
33510	2	2013-08-02 16:06:14.136068	2013-08-04 19:27:46.267771
33462	2	2013-08-02 16:06:14.090642	2013-08-02 16:06:14.090642
33485	21	2013-08-02 16:06:14.111955	2013-08-03 21:04:19.396454
33464	4	2013-08-02 16:06:14.092354	2013-08-02 16:06:14.092354
33588	9	2013-08-02 16:06:14.2338	2013-08-04 18:01:51.874132
33535	2	2013-08-02 16:06:14.165613	2013-08-04 19:27:46.27549
33467	7	2013-08-02 16:06:14.09528	2013-08-02 16:06:14.09528
33557	2	2013-08-02 16:06:14.187431	2013-08-04 19:27:46.284953
33469	9	2013-08-02 16:06:14.097773	2013-08-02 16:06:14.097773
24431	9	2013-08-02 16:05:52.927517	2013-08-04 18:01:51.88513
33561	4	2013-08-02 16:06:14.194083	2013-08-03 22:44:24.07929
33519	2	2013-08-02 16:06:14.147347	2013-08-04 19:27:46.295851
33474	14	2013-08-02 16:06:14.10204	2013-08-02 16:06:14.10204
33476	16	2013-08-02 16:06:14.103856	2013-08-02 16:06:14.103856
33568	9	2013-08-02 16:06:14.205576	2013-08-04 18:01:51.896002
33452	2	2013-08-02 16:06:14.080814	2013-08-04 19:27:46.305195
33513	2	2013-08-02 16:06:14.139683	2013-08-04 19:27:46.314207
33537	16	2013-08-02 16:06:14.167989	2013-08-04 01:02:55.03522
33482	2	2013-08-02 16:06:14.108707	2013-08-02 16:06:14.108707
33495	2	2013-08-02 16:06:14.121308	2013-08-03 19:08:23.814572
33484	4	2013-08-02 16:06:14.111109	2013-08-02 16:06:14.111109
33541	9	2013-08-02 16:06:14.17153	2013-08-03 22:44:24.10205
33499	2	2013-08-02 16:06:14.124559	2013-08-04 19:27:46.324194
33487	7	2013-08-02 16:06:14.113959	2013-08-02 16:06:14.113959
33479	4	2013-08-02 16:06:14.106414	2013-08-04 19:27:46.343127
33489	9	2013-08-02 16:06:14.115952	2013-08-02 16:06:14.115952
33552	21	2013-08-02 16:06:14.181327	2013-08-04 18:27:21.022771
33472	4	2013-08-02 16:06:14.100324	2013-08-04 19:27:46.351842
33506	2	2013-08-02 16:06:14.131854	2013-08-04 19:32:49.522796
33494	14	2013-08-02 16:06:14.120437	2013-08-02 16:06:14.120437
33585	4	2013-08-02 16:06:14.230754	2013-08-03 21:06:14.941613
33496	16	2013-08-02 16:06:14.122141	2013-08-02 16:06:14.122141
33553	21	2013-08-02 16:06:14.18222	2013-08-04 18:27:21.024354
33470	21	2013-08-02 16:06:14.098624	2013-08-03 23:29:39.076129
33498	2	2013-08-02 16:06:14.123703	2013-08-03 21:06:14.946346
33555	14	2013-08-02 16:06:14.184045	2013-08-04 01:02:55.03801
33502	2	2013-08-02 16:06:14.128276	2013-08-02 16:06:14.128276
19617	2	2013-08-02 16:05:42.446279	2013-08-04 19:32:49.53339
33504	4	2013-08-02 16:06:14.130181	2013-08-02 16:06:14.130181
33450	21	2013-08-02 16:06:14.079186	2013-08-03 23:29:39.080588
33579	2	2013-08-02 16:06:14.224798	2013-08-04 19:32:49.544378
33507	7	2013-08-02 16:06:14.132606	2013-08-02 16:06:14.132606
1727	2	2013-08-02 16:05:07.275845	2013-08-04 19:32:49.555926
33509	9	2013-08-02 16:06:14.134322	2013-08-02 16:06:14.134322
33533	21	2013-08-02 16:06:14.163698	2013-08-04 18:27:21.0255
33559	2	2013-08-02 16:06:14.190719	2013-08-04 19:32:49.567136
33514	14	2013-08-02 16:06:14.140741	2013-08-02 16:06:14.140741
33460	16	2013-08-02 16:06:14.088859	2013-08-03 21:06:15.15669
33516	16	2013-08-02 16:06:14.144074	2013-08-02 16:06:14.144074
33497	21	2013-08-02 16:06:14.122929	2013-08-04 01:05:55.389303
33522	2	2013-08-02 16:06:14.150228	2013-08-02 16:06:14.150228
33524	4	2013-08-02 16:06:14.153582	2013-08-02 16:06:14.153582
33577	2	2013-08-02 16:06:14.222945	2013-08-04 01:05:56.316805
33591	14	2013-08-02 16:06:14.237299	2013-08-04 19:37:48.698548
33527	7	2013-08-02 16:06:14.156876	2013-08-02 16:06:14.156876
33571	14	2013-08-02 16:06:14.211859	2013-08-04 19:37:48.710866
33529	9	2013-08-02 16:06:14.159994	2013-08-02 16:06:14.159994
33517	21	2013-08-02 16:06:14.145194	2013-08-04 01:08:40.862986
33572	4	2013-08-02 16:06:14.213942	2013-08-04 19:37:48.735463
33534	14	2013-08-02 16:06:14.164651	2013-08-02 16:06:14.164651
33492	16	2013-08-02 16:06:14.118858	2013-08-03 21:25:17.323607
33536	16	2013-08-02 16:06:14.166578	2013-08-02 16:06:14.166578
33532	14	2013-08-02 16:06:14.162806	2013-08-03 21:25:17.330616
33551	4	2013-08-02 16:06:14.180131	2013-08-04 19:37:48.747154
33542	2	2013-08-02 16:06:14.172396	2013-08-02 16:06:14.172396
33473	4	2013-08-02 16:06:14.101185	2013-08-04 18:27:21.121026
33544	4	2013-08-02 16:06:14.17412	2013-08-02 16:06:14.17412
33550	16	2013-08-02 16:06:14.179199	2013-08-03 23:31:33.713488
33531	4	2013-08-02 16:06:14.161921	2013-08-04 19:37:48.760254
33547	7	2013-08-02 16:06:14.176664	2013-08-02 16:06:14.176664
33597	4	2013-08-02 16:06:14.243181	2013-08-04 19:37:48.769761
33549	9	2013-08-02 16:06:14.178342	2013-08-02 16:06:14.178342
16836	7	2013-08-02 16:05:36.402512	2013-08-04 18:32:21.039665
33511	4	2013-08-02 16:06:14.137338	2013-08-04 19:37:48.775642
33491	4	2013-08-02 16:06:14.117921	2013-08-04 19:37:48.780283
33554	14	2013-08-02 16:06:14.183146	2013-08-02 16:06:14.183146
33471	4	2013-08-02 16:06:14.099486	2013-08-04 19:37:48.78365
33556	16	2013-08-02 16:06:14.18569	2013-08-02 16:06:14.18569
33451	4	2013-08-02 16:06:14.079997	2013-08-04 19:37:48.78779
33562	2	2013-08-02 16:06:14.196071	2013-08-02 16:06:14.196071
33575	16	2013-08-02 16:06:14.221114	2013-08-03 19:08:43.402462
33564	4	2013-08-02 16:06:14.198626	2013-08-02 16:06:14.198626
3637	14	2013-08-02 16:05:10.851866	2013-08-04 03:00:37.000972
33567	7	2013-08-02 16:06:14.203651	2013-08-02 16:06:14.203651
33569	9	2013-08-02 16:06:14.207497	2013-08-02 16:06:14.207497
33490	14	2013-08-02 16:06:14.116857	2013-08-03 23:37:06.863183
33574	14	2013-08-02 16:06:14.218641	2013-08-02 16:06:14.218641
33512	21	2013-08-02 16:06:14.138507	2013-08-03 21:25:17.434165
33576	16	2013-08-02 16:06:14.222022	2013-08-02 16:06:14.222022
41735	2	2013-08-02 16:06:31.895633	2013-08-04 18:37:39.112232
27637	9	2013-08-02 16:06:00.270005	2013-08-03 21:56:35.398059
33582	2	2013-08-02 16:06:14.228091	2013-08-02 16:06:14.228091
33595	14	2013-08-02 16:06:14.240788	2013-08-03 19:08:43.404282
33584	4	2013-08-02 16:06:14.229844	2013-08-02 16:06:14.229844
9840	7	2013-08-02 16:05:23.042056	2013-08-04 03:00:37.011549
33587	7	2013-08-02 16:06:14.232916	2013-08-02 16:06:14.232916
33589	9	2013-08-02 16:06:14.234856	2013-08-02 16:06:14.234856
33592	2	2013-08-02 16:06:14.238187	2013-08-03 23:39:27.102463
33594	14	2013-08-02 16:06:14.239905	2013-08-02 16:06:14.239905
27937	4	2013-08-02 16:06:01.007221	2013-08-04 03:00:37.014238
33596	16	2013-08-02 16:06:14.242318	2013-08-02 16:06:14.242318
33573	2	2013-08-02 16:06:14.215882	2013-08-04 18:37:39.118884
27881	4	2013-08-02 16:06:00.852607	2013-08-03 21:56:35.404517
33583	2	2013-08-02 16:06:14.228964	2013-08-03 18:42:35.059004
33593	2	2013-08-02 16:06:14.239029	2013-08-04 18:37:39.129094
33480	4	2013-08-02 16:06:14.107164	2013-08-03 20:03:52.540661
33520	2	2013-08-02 16:06:14.148379	2013-08-03 20:03:52.542853
21761	4	2013-08-02 16:05:46.970159	2013-08-04 03:00:38.749728
27878	2	2013-08-02 16:06:00.845503	2013-08-03 21:56:35.407612
33558	14	2013-08-02 16:06:14.188772	2013-08-03 20:07:27.99818
33538	4	2013-08-02 16:06:14.168902	2013-08-03 20:07:28.006402
33466	4	2013-08-02 16:06:14.094083	2013-08-04 18:44:55.969194
33500	7	2013-08-02 16:06:14.125554	2013-08-03 20:08:28.324367
17681	16	2013-08-02 16:05:38.519646	2013-08-03 21:56:35.455062
33486	2	2013-08-02 16:06:14.112846	2013-08-04 18:44:55.971775
27901	21	2013-08-02 16:06:00.906152	2013-08-03 22:00:17.059961
17633	16	2013-08-02 16:05:38.419192	2013-08-03 22:00:36.423262
33565	2	2013-08-02 16:06:14.199772	2013-08-04 18:47:29.526864
33446	21	2013-08-02 16:06:14.075588	2013-08-04 18:47:29.557002
33598	2	2013-08-02 16:06:14.244026	2013-08-04 18:47:29.761189
33578	2	2013-08-02 16:06:14.223864	2013-08-04 18:47:29.766633
25488	2	2013-08-02 16:05:55.005588	2013-08-04 18:47:29.772852
33586	2	2013-08-02 16:06:14.232014	2013-08-04 18:47:29.779004
27841	2	2013-08-02 16:06:00.753849	2013-08-04 18:47:29.784327
33638	21	2013-08-02 16:06:14.282868	2013-08-04 19:32:49.400373
33637	7	2013-08-02 16:06:14.282064	2013-08-04 01:02:55.058603
33602	2	2013-08-02 16:06:14.248	2013-08-02 16:06:14.248
33739	14	2013-08-02 16:06:14.376877	2013-08-04 19:32:49.420427
33604	4	2013-08-02 16:06:14.250941	2013-08-02 16:06:14.250941
33741	21	2013-08-02 16:06:14.378625	2013-08-03 22:44:23.857899
33719	14	2013-08-02 16:06:14.35847	2013-08-04 19:32:49.428218
33607	7	2013-08-02 16:06:14.254402	2013-08-02 16:06:14.254402
33699	14	2013-08-02 16:06:14.337173	2013-08-04 19:32:49.431974
33609	9	2013-08-02 16:06:14.256521	2013-08-02 16:06:14.256521
23639	2	2013-08-02 16:05:51.742742	2013-08-04 17:31:51.623694
33721	21	2013-08-02 16:06:14.360199	2013-08-03 22:44:23.859513
30597	14	2013-08-02 16:06:06.82417	2013-08-04 19:32:49.436009
33614	14	2013-08-02 16:06:14.260931	2013-08-02 16:06:14.260931
33737	21	2013-08-02 16:06:14.374717	2013-08-04 01:05:55.388352
33616	16	2013-08-02 16:06:14.262668	2013-08-02 16:06:14.262668
33633	14	2013-08-02 16:06:14.27855	2013-08-04 19:32:49.439822
24331	2	2013-08-02 16:05:52.823333	2013-08-04 03:00:37.016002
33653	14	2013-08-02 16:06:14.296666	2013-08-04 19:32:49.443687
11079	9	2013-08-02 16:05:24.650987	2013-08-04 18:32:20.921391
33622	2	2013-08-02 16:06:14.268272	2013-08-02 16:06:14.268272
33624	4	2013-08-02 16:06:14.270043	2013-08-02 16:06:14.270043
33630	9	2013-08-02 16:06:14.275906	2013-08-03 23:31:33.725318
33673	4	2013-08-02 16:06:14.315091	2013-08-04 19:32:49.452013
33627	7	2013-08-02 16:06:14.273359	2013-08-02 16:06:14.273359
33679	4	2013-08-02 16:06:14.319402	2013-08-04 19:32:49.457933
33629	9	2013-08-02 16:06:14.275046	2013-08-02 16:06:14.275046
3640	21	2013-08-02 16:05:10.857357	2013-08-04 03:00:37.049457
33659	4	2013-08-02 16:06:14.302694	2013-08-04 19:32:49.467863
33639	4	2013-08-02 16:06:14.283735	2013-08-04 19:32:49.479272
33634	14	2013-08-02 16:06:14.279366	2013-08-02 16:06:14.279366
33685	9	2013-08-02 16:06:14.324755	2013-08-03 21:09:20.569386
33636	16	2013-08-02 16:06:14.281197	2013-08-02 16:06:14.281197
33678	9	2013-08-02 16:06:14.318704	2013-08-04 18:32:20.932611
33675	7	2013-08-02 16:06:14.316488	2013-08-03 23:31:33.727565
25588	21	2013-08-02 16:05:55.261296	2013-08-04 03:00:37.050707
33642	2	2013-08-02 16:06:14.286266	2013-08-02 16:06:14.286266
33644	4	2013-08-02 16:06:14.288859	2013-08-02 16:06:14.288859
33619	4	2013-08-02 16:06:14.265701	2013-08-04 19:32:49.490656
33599	4	2013-08-02 16:06:14.245254	2013-08-04 19:32:49.501602
33647	7	2013-08-02 16:06:14.291427	2013-08-02 16:06:14.291427
33691	21	2013-08-02 16:06:14.330218	2013-08-04 19:37:48.619684
33649	9	2013-08-02 16:06:14.293177	2013-08-02 16:06:14.293177
27957	21	2013-08-02 16:06:01.037782	2013-08-04 03:00:37.052417
20699	21	2013-08-02 16:05:44.59613	2013-08-04 03:00:37.054882
33671	14	2013-08-02 16:06:14.313677	2013-08-04 19:37:48.626306
33654	14	2013-08-02 16:06:14.297568	2013-08-02 16:06:14.297568
33625	4	2013-08-02 16:06:14.271125	2013-08-03 21:09:20.593284
33656	16	2013-08-02 16:06:14.300075	2013-08-02 16:06:14.300075
33753	9	2013-08-02 16:06:14.391881	2013-08-04 18:32:20.943697
33645	21	2013-08-02 16:06:14.289721	2013-08-03 21:09:21.750161
33745	21	2013-08-02 16:06:14.382547	2013-08-03 21:11:12.145739
27393	21	2013-08-02 16:05:59.595748	2013-08-04 03:00:37.057348
33662	2	2013-08-02 16:06:14.306613	2013-08-02 16:06:14.306613
3055	21	2013-08-02 16:05:09.515184	2013-08-04 03:00:37.059802
33664	4	2013-08-02 16:06:14.308468	2013-08-02 16:06:14.308468
33710	4	2013-08-02 16:06:14.348776	2013-08-03 23:31:33.730861
33651	14	2013-08-02 16:06:14.294902	2013-08-04 19:37:48.634727
33667	7	2013-08-02 16:06:14.310753	2013-08-02 16:06:14.310753
33655	14	2013-08-02 16:06:14.298448	2013-08-04 19:37:48.643584
33669	9	2013-08-02 16:06:14.312197	2013-08-02 16:06:14.312197
33733	4	2013-08-02 16:06:14.370927	2013-08-04 18:32:20.966488
33713	4	2013-08-02 16:06:14.351598	2013-08-04 18:32:20.976757
33665	14	2013-08-02 16:06:14.309252	2013-08-04 19:37:48.652387
33674	14	2013-08-02 16:06:14.315792	2013-08-02 16:06:14.315792
33612	9	2013-08-02 16:06:14.259205	2013-08-03 21:25:17.345238
33676	16	2013-08-02 16:06:14.317262	2013-08-02 16:06:14.317262
33693	4	2013-08-02 16:06:14.331877	2013-08-04 18:32:20.986722
33631	14	2013-08-02 16:06:14.27678	2013-08-04 19:37:48.663023
33632	7	2013-08-02 16:06:14.277678	2013-08-03 21:25:17.35252
33682	2	2013-08-02 16:06:14.321651	2013-08-02 16:06:14.321651
33695	9	2013-08-02 16:06:14.333597	2013-08-03 19:08:43.414454
33684	4	2013-08-02 16:06:14.323786	2013-08-02 16:06:14.323786
33618	2	2013-08-02 16:06:14.264816	2013-08-03 23:31:33.733014
33725	14	2013-08-02 16:06:14.363724	2013-08-04 19:37:48.674674
33687	7	2013-08-02 16:06:14.326603	2013-08-02 16:06:14.326603
33611	14	2013-08-02 16:06:14.258337	2013-08-04 19:37:48.686267
33689	9	2013-08-02 16:06:14.328661	2013-08-02 16:06:14.328661
17311	4	2013-08-02 16:05:37.660183	2013-08-04 19:37:49.440378
33694	14	2013-08-02 16:06:14.332723	2013-08-02 16:06:14.332723
16748	4	2013-08-02 16:05:36.169466	2013-08-04 19:42:27.621905
33696	16	2013-08-02 16:06:14.334461	2013-08-02 16:06:14.334461
33613	7	2013-08-02 16:06:14.26007	2013-08-04 18:32:21.031217
33692	4	2013-08-02 16:06:14.331034	2013-08-03 21:25:17.363344
33615	7	2013-08-02 16:06:14.261792	2013-08-04 18:32:21.035765
33702	2	2013-08-02 16:06:14.33983	2013-08-02 16:06:14.33983
35312	4	2013-08-02 16:06:17.978248	2013-08-04 19:42:27.637278
33704	4	2013-08-02 16:06:14.341602	2013-08-02 16:06:14.341602
33706	2	2013-08-02 16:06:14.343404	2013-08-04 18:47:29.717237
33751	4	2013-08-02 16:06:14.388884	2013-08-04 19:42:27.648329
33707	7	2013-08-02 16:06:14.344296	2013-08-02 16:06:14.344296
33731	4	2013-08-02 16:06:14.369271	2013-08-04 19:42:27.654904
33709	9	2013-08-02 16:06:14.346893	2013-08-02 16:06:14.346893
33652	2	2013-08-02 16:06:14.295775	2013-08-04 18:47:29.721144
33686	2	2013-08-02 16:06:14.325683	2013-08-04 18:47:29.725093
33658	4	2013-08-02 16:06:14.301817	2013-08-04 19:42:27.663762
33714	14	2013-08-02 16:06:14.352896	2013-08-02 16:06:14.352896
33716	16	2013-08-02 16:06:14.3551	2013-08-02 16:06:14.3551
33666	2	2013-08-02 16:06:14.310019	2013-08-04 18:47:29.729386
33732	2	2013-08-02 16:06:14.370128	2013-08-03 21:25:17.370313
33646	2	2013-08-02 16:06:14.290558	2013-08-04 18:47:29.734173
33670	2	2013-08-02 16:06:14.312941	2013-08-04 18:47:29.738383
33722	2	2013-08-02 16:06:14.361078	2013-08-02 16:06:14.361078
33735	7	2013-08-02 16:06:14.373027	2013-08-03 19:08:43.419052
33724	4	2013-08-02 16:06:14.362846	2013-08-02 16:06:14.362846
33730	21	2013-08-02 16:06:14.368418	2013-08-03 23:31:52.965833
33711	4	2013-08-02 16:06:14.349913	2013-08-04 19:42:27.670782
33727	7	2013-08-02 16:06:14.365525	2013-08-02 16:06:14.365525
33729	9	2013-08-02 16:06:14.367504	2013-08-02 16:06:14.367504
33626	2	2013-08-02 16:06:14.272477	2013-08-04 18:47:29.742884
17393	9	2013-08-02 16:05:37.85637	2013-08-03 23:59:22.519599
33734	14	2013-08-02 16:06:14.372142	2013-08-02 16:06:14.372142
33712	21	2013-08-02 16:06:14.350775	2013-08-03 21:25:17.482915
33736	16	2013-08-02 16:06:14.373852	2013-08-02 16:06:14.373852
33705	2	2013-08-02 16:06:14.342504	2013-08-04 18:47:29.74718
33672	2	2013-08-02 16:06:14.314387	2013-08-03 21:25:17.917482
2275	2	2013-08-02 16:05:08.557427	2013-08-04 18:47:29.75175
33606	2	2013-08-02 16:06:14.25335	2013-08-04 18:47:29.756186
33742	2	2013-08-02 16:06:14.379836	2013-08-02 16:06:14.379836
33744	4	2013-08-02 16:06:14.38167	2013-08-02 16:06:14.38167
33747	7	2013-08-02 16:06:14.385136	2013-08-02 16:06:14.385136
33749	9	2013-08-02 16:06:14.386826	2013-08-02 16:06:14.386826
17511	2	2013-08-02 16:05:38.166397	2013-08-04 18:47:31.210456
17471	4	2013-08-02 16:05:38.058589	2013-08-03 23:59:22.536693
33754	14	2013-08-02 16:06:14.393502	2013-08-02 16:06:14.393502
17613	14	2013-08-02 16:05:38.38416	2013-08-03 21:56:35.460615
33698	21	2013-08-02 16:06:14.336255	2013-08-03 20:07:27.890657
33746	2	2013-08-02 16:06:14.383816	2013-08-04 18:47:31.213307
33755	2	2013-08-02 16:06:14.394363	2013-08-04 18:47:31.216174
33738	9	2013-08-02 16:06:14.375748	2013-08-03 20:07:28.447636
33718	2	2013-08-02 16:06:14.35683	2013-08-03 20:07:28.47046
17491	2	2013-08-02 16:05:38.112297	2013-08-03 23:59:22.541008
33726	2	2013-08-02 16:06:14.364618	2013-08-04 18:47:31.219032
27861	9	2013-08-02 16:06:00.802755	2013-08-03 21:56:35.474608
21215	14	2013-08-02 16:05:45.51623	2013-08-03 21:56:35.53228
3861	9	2013-08-02 16:05:11.413055	2013-08-03 21:56:35.548211
2206	7	2013-08-02 16:05:08.442032	2013-08-03 21:56:35.556093
17201	7	2013-08-02 16:05:37.451456	2013-08-04 00:00:22.284488
23261	2	2013-08-02 16:05:50.804516	2013-08-04 00:04:13.866518
33756	16	2013-08-02 16:06:14.395222	2013-08-02 16:06:14.395222
20879	21	2013-08-02 16:05:45.071415	2013-08-04 17:02:13.479778
33865	21	2013-08-02 16:06:14.499069	2013-08-03 21:09:20.48752
33845	21	2013-08-02 16:06:14.477089	2013-08-03 21:09:20.496391
23619	2	2013-08-02 16:05:51.687277	2013-08-04 17:31:51.63516
33762	2	2013-08-02 16:06:14.401351	2013-08-02 16:06:14.401351
33781	21	2013-08-02 16:06:14.419479	2013-08-03 22:44:23.853774
33764	4	2013-08-02 16:06:14.403072	2013-08-02 16:06:14.403072
33761	21	2013-08-02 16:06:14.40046	2013-08-03 22:44:23.856004
27781	2	2013-08-02 16:06:00.621254	2013-08-04 19:37:49.354587
33767	7	2013-08-02 16:06:14.405704	2013-08-02 16:06:14.405704
33843	2	2013-08-02 16:06:14.475367	2013-08-04 19:37:49.360407
33769	9	2013-08-02 16:06:14.407404	2013-08-02 16:06:14.407404
23648	2	2013-08-02 16:05:51.765865	2013-08-04 19:37:49.366532
33774	14	2013-08-02 16:06:14.41263	2013-08-02 16:06:14.41263
33825	21	2013-08-02 16:06:14.4591	2013-08-03 21:09:20.497661
33776	16	2013-08-02 16:06:14.414484	2013-08-02 16:06:14.414484
23599	2	2013-08-02 16:05:51.632239	2013-08-04 17:31:51.64686
33805	21	2013-08-02 16:06:14.439233	2013-08-03 21:09:20.498788
33785	21	2013-08-02 16:06:14.422688	2013-08-03 21:09:20.499896
33757	21	2013-08-02 16:06:14.396126	2013-08-04 01:08:40.863811
33782	2	2013-08-02 16:06:14.420228	2013-08-02 16:06:14.420228
33795	4	2013-08-02 16:06:14.430058	2013-08-03 19:08:43.426957
33784	4	2013-08-02 16:06:14.421694	2013-08-02 16:06:14.421694
24531	21	2013-08-02 16:05:53.027493	2013-08-04 03:00:37.062254
33899	14	2013-08-02 16:06:14.534998	2013-08-04 19:37:49.380865
33787	7	2013-08-02 16:06:14.424138	2013-08-02 16:06:14.424138
33879	14	2013-08-02 16:06:14.515552	2013-08-04 19:37:49.38517
33789	9	2013-08-02 16:06:14.42554	2013-08-02 16:06:14.42554
3750	21	2013-08-02 16:05:11.132497	2013-08-04 03:00:37.064892
33770	16	2013-08-02 16:06:14.408267	2013-08-03 23:31:52.662636
33859	14	2013-08-02 16:06:14.492255	2013-08-04 19:37:49.389271
33794	14	2013-08-02 16:06:14.429352	2013-08-02 16:06:14.429352
3674	21	2013-08-02 16:05:10.94053	2013-08-04 03:00:37.06735
33796	16	2013-08-02 16:06:14.430744	2013-08-02 16:06:14.430744
33810	21	2013-08-02 16:06:14.444173	2013-08-04 18:32:20.855097
33775	16	2013-08-02 16:06:14.413648	2013-08-03 21:09:20.515437
33885	4	2013-08-02 16:06:14.521705	2013-08-03 21:11:32.433085
27303	21	2013-08-02 16:05:59.376083	2013-08-04 03:00:37.072793
33802	2	2013-08-02 16:06:14.435889	2013-08-02 16:06:14.435889
33790	14	2013-08-02 16:06:14.426226	2013-08-03 23:31:52.665152
33804	4	2013-08-02 16:06:14.438437	2013-08-02 16:06:14.438437
33853	14	2013-08-02 16:06:14.486499	2013-08-04 19:37:49.394683
33839	14	2013-08-02 16:06:14.471824	2013-08-04 19:37:49.400334
33807	7	2013-08-02 16:06:14.441233	2013-08-02 16:06:14.441233
33819	14	2013-08-02 16:06:14.452928	2013-08-04 19:37:49.407676
33809	9	2013-08-02 16:06:14.443251	2013-08-02 16:06:14.443251
33799	4	2013-08-02 16:06:14.43316	2013-08-04 19:37:49.417738
23186	16	2013-08-02 16:05:50.614968	2013-08-04 03:00:37.108443
33779	4	2013-08-02 16:06:14.41769	2013-08-04 19:37:49.421987
33814	14	2013-08-02 16:06:14.447869	2013-08-02 16:06:14.447869
33900	2	2013-08-02 16:06:14.536171	2013-08-03 21:11:32.436861
33816	16	2013-08-02 16:06:14.449569	2013-08-02 16:06:14.449569
33777	4	2013-08-02 16:06:14.415322	2013-08-04 19:37:49.425758
33905	21	2013-08-02 16:06:14.54154	2013-08-03 21:11:32.475847
33772	9	2013-08-02 16:06:14.409992	2013-08-03 21:30:23.384317
33759	4	2013-08-02 16:06:14.398215	2013-08-04 19:37:49.43219
33822	2	2013-08-02 16:06:14.456013	2013-08-02 16:06:14.456013
33835	2	2013-08-02 16:06:14.468158	2013-08-03 19:08:43.432904
33824	4	2013-08-02 16:06:14.458008	2013-08-02 16:06:14.458008
33798	4	2013-08-02 16:06:14.43231	2013-08-04 19:42:27.489133
33827	7	2013-08-02 16:06:14.461026	2013-08-02 16:06:14.461026
33911	4	2013-08-02 16:06:14.547184	2013-08-04 19:42:27.50186
33829	9	2013-08-02 16:06:14.462921	2013-08-02 16:06:14.462921
1642	14	2013-08-02 16:05:07.057189	2013-08-04 03:00:37.113961
33870	9	2013-08-02 16:06:14.506947	2013-08-03 23:31:52.671561
33891	4	2013-08-02 16:06:14.527798	2013-08-04 19:42:27.513187
33834	14	2013-08-02 16:06:14.467263	2013-08-02 16:06:14.467263
15951	4	2013-08-02 16:05:34.36093	2013-08-04 19:42:27.523998
33836	16	2013-08-02 16:06:14.469046	2013-08-02 16:06:14.469046
33871	4	2013-08-02 16:06:14.508836	2013-08-04 19:42:27.53502
33765	7	2013-08-02 16:06:14.40392	2013-08-03 21:30:23.38971
33851	4	2013-08-02 16:06:14.484691	2013-08-04 19:42:27.545818
33842	2	2013-08-02 16:06:14.474457	2013-08-02 16:06:14.474457
20859	4	2013-08-02 16:05:44.892749	2013-08-04 03:00:37.145068
33844	4	2013-08-02 16:06:14.476206	2013-08-02 16:06:14.476206
33831	4	2013-08-02 16:06:14.464706	2013-08-04 19:42:27.556655
33850	4	2013-08-02 16:06:14.482922	2013-08-04 19:42:27.567491
33847	7	2013-08-02 16:06:14.479444	2013-08-02 16:06:14.479444
33811	4	2013-08-02 16:06:14.445108	2013-08-04 19:42:27.578382
33849	9	2013-08-02 16:06:14.481302	2013-08-02 16:06:14.481302
33791	4	2013-08-02 16:06:14.426921	2013-08-04 19:42:27.589161
33910	7	2013-08-02 16:06:14.546328	2013-08-03 23:31:52.676222
33801	4	2013-08-02 16:06:14.435025	2013-08-04 19:42:27.600059
33854	14	2013-08-02 16:06:14.487619	2013-08-02 16:06:14.487619
33771	4	2013-08-02 16:06:14.409137	2013-08-04 19:42:27.610876
33856	16	2013-08-02 16:06:14.489819	2013-08-02 16:06:14.489819
33852	4	2013-08-02 16:06:14.485606	2013-08-03 21:30:23.394311
15479	21	2013-08-02 16:05:33.768733	2013-08-04 19:44:37.383697
100	21	2013-08-02 16:05:04.409742	2013-08-04 03:00:37.799214
33862	2	2013-08-02 16:06:14.49525	2013-08-02 16:06:14.49525
33875	14	2013-08-02 16:06:14.512432	2013-08-03 19:08:54.44224
33864	4	2013-08-02 16:06:14.497677	2013-08-02 16:06:14.497677
33821	9	2013-08-02 16:06:14.454951	2013-08-03 23:37:26.040916
33867	7	2013-08-02 16:06:14.500896	2013-08-02 16:06:14.500896
33869	9	2013-08-02 16:06:14.504573	2013-08-02 16:06:14.504573
33873	16	2013-08-02 16:06:14.510658	2013-08-04 18:33:28.28326
28901	2	2013-08-02 16:06:02.462208	2013-08-04 00:00:22.333304
33874	14	2013-08-02 16:06:14.511577	2013-08-02 16:06:14.511577
33892	2	2013-08-02 16:06:14.52892	2013-08-03 21:30:23.400773
33876	16	2013-08-02 16:06:14.51322	2013-08-02 16:06:14.51322
17166	14	2013-08-02 16:05:37.243931	2013-08-04 18:33:28.290705
33882	2	2013-08-02 16:06:14.518672	2013-08-02 16:06:14.518672
33884	4	2013-08-02 16:06:14.520795	2013-08-02 16:06:14.520795
33887	7	2013-08-02 16:06:14.523517	2013-08-02 16:06:14.523517
33889	9	2013-08-02 16:06:14.525618	2013-08-02 16:06:14.525618
33894	14	2013-08-02 16:06:14.530637	2013-08-02 16:06:14.530637
33872	21	2013-08-02 16:06:14.50974	2013-08-03 21:30:42.784241
33896	16	2013-08-02 16:06:14.532409	2013-08-02 16:06:14.532409
33833	21	2013-08-02 16:06:14.466408	2013-08-04 18:33:56.220494
33893	2	2013-08-02 16:06:14.52983	2013-08-04 18:37:39.260757
33902	2	2013-08-02 16:06:14.538885	2013-08-02 16:06:14.538885
33813	21	2013-08-02 16:06:14.446949	2013-08-04 18:37:39.719672
33904	4	2013-08-02 16:06:14.54066	2013-08-02 16:06:14.54066
28032	21	2013-08-02 16:06:01.141377	2013-08-04 00:00:22.871484
33907	7	2013-08-02 16:06:14.543694	2013-08-02 16:06:14.543694
33909	9	2013-08-02 16:06:14.545464	2013-08-02 16:06:14.545464
33895	21	2013-08-02 16:06:14.531527	2013-08-04 18:37:41.063649
33830	2	2013-08-02 16:06:14.463824	2013-08-04 18:37:41.319867
2296	4	2013-08-02 16:05:08.583933	2013-08-03 21:56:35.56688
15439	14	2013-08-02 16:05:33.735054	2013-08-04 00:03:54.651898
33858	7	2013-08-02 16:06:14.491464	2013-08-03 20:07:28.374273
33880	2	2013-08-02 16:06:14.516653	2013-08-04 18:47:31.039205
33906	2	2013-08-02 16:06:14.54242	2013-08-04 18:47:31.043519
2285	2	2013-08-02 16:05:08.568261	2013-08-04 18:47:31.049428
33820	9	2013-08-02 16:06:14.453926	2013-08-03 20:08:28.528556
33860	7	2013-08-02 16:06:14.493244	2013-08-03 20:08:28.531818
33823	4	2013-08-02 16:06:14.457004	2013-08-03 20:08:28.537234
2248	2	2013-08-02 16:05:08.529611	2013-08-03 21:56:35.573792
15339	2	2013-08-02 16:05:33.631294	2013-08-04 18:47:31.054477
33886	2	2013-08-02 16:06:14.522612	2013-08-04 18:47:31.060466
33866	2	2013-08-02 16:06:14.499966	2013-08-04 18:47:31.068112
2328	21	2013-08-02 16:05:08.625373	2013-08-03 22:00:17.062229
33800	2	2013-08-02 16:06:14.434135	2013-08-04 18:47:31.078467
33846	2	2013-08-02 16:06:14.477977	2013-08-04 18:47:31.088771
33812	2	2013-08-02 16:06:14.446021	2013-08-04 18:47:31.099493
33826	2	2013-08-02 16:06:14.460097	2013-08-04 18:47:31.174085
33773	2	2013-08-02 16:06:14.410813	2013-08-04 18:47:31.187742
33793	2	2013-08-02 16:06:14.428301	2013-08-04 18:47:31.193298
33959	21	2013-08-02 16:06:14.603705	2013-08-04 19:37:49.331925
33914	14	2013-08-02 16:06:14.550735	2013-08-02 16:06:14.550735
34060	14	2013-08-02 16:06:14.709635	2013-08-03 20:12:26.345973
33916	16	2013-08-02 16:06:14.553298	2013-08-02 16:06:14.553298
23226	21	2013-08-02 16:05:50.715188	2013-08-04 17:01:24.129758
34040	9	2013-08-02 16:06:14.682448	2013-08-03 20:12:26.366447
33917	7	2013-08-02 16:06:14.554971	2013-08-04 01:03:05.585715
33985	2	2013-08-02 16:06:14.630786	2013-08-04 19:37:49.339433
33922	2	2013-08-02 16:06:14.560675	2013-08-02 16:06:14.560675
33941	4	2013-08-02 16:06:14.581855	2013-08-03 22:49:45.940614
33924	4	2013-08-02 16:06:14.563109	2013-08-02 16:06:14.563109
23658	2	2013-08-02 16:05:51.793281	2013-08-04 17:31:51.658032
33939	2	2013-08-02 16:06:14.579817	2013-08-04 19:37:49.343762
33927	7	2013-08-02 16:06:14.566584	2013-08-02 16:06:14.566584
33919	2	2013-08-02 16:06:14.556758	2013-08-04 19:37:49.349412
33929	9	2013-08-02 16:06:14.568952	2013-08-02 16:06:14.568952
23579	2	2013-08-02 16:05:51.578561	2013-08-04 17:31:51.668927
34001	16	2013-08-02 16:06:14.643872	2013-08-03 22:50:05.444026
34059	4	2013-08-02 16:06:14.70768	2013-08-04 19:42:28.390594
33934	14	2013-08-02 16:06:14.57517	2013-08-02 16:06:14.57517
34000	2	2013-08-02 16:06:14.643178	2013-08-03 20:12:26.393835
33936	16	2013-08-02 16:06:14.57693	2013-08-02 16:06:14.57693
3147	2	2013-08-02 16:05:09.699865	2013-08-04 17:31:51.680082
34041	14	2013-08-02 16:06:14.683748	2013-08-03 22:50:05.446897
34039	4	2013-08-02 16:06:14.681131	2013-08-04 19:42:28.395072
33942	2	2013-08-02 16:06:14.582694	2013-08-02 16:06:14.582694
33944	4	2013-08-02 16:06:14.584381	2013-08-02 16:06:14.584381
34021	9	2013-08-02 16:06:14.660424	2013-08-03 22:54:23.860997
34019	4	2013-08-02 16:06:14.658592	2013-08-04 19:42:28.399166
33947	7	2013-08-02 16:06:14.586941	2013-08-02 16:06:14.586941
33999	4	2013-08-02 16:06:14.642364	2013-08-04 19:42:28.403383
33949	9	2013-08-02 16:06:14.588736	2013-08-02 16:06:14.588736
34017	2	2013-08-02 16:06:14.65696	2013-08-04 01:10:51.558888
33979	4	2013-08-02 16:06:14.625056	2013-08-04 19:42:28.407531
33954	14	2013-08-02 16:06:14.596054	2013-08-02 16:06:14.596054
33980	7	2013-08-02 16:06:14.625987	2013-08-03 20:14:12.503489
33956	16	2013-08-02 16:06:14.599123	2013-08-02 16:06:14.599123
34028	4	2013-08-02 16:06:14.667891	2013-08-04 19:42:28.412105
34057	16	2013-08-02 16:06:14.705187	2013-08-04 01:12:19.130327
20817	2	2013-08-02 16:05:44.847138	2013-08-04 03:00:37.152084
33962	2	2013-08-02 16:06:14.608848	2013-08-02 16:06:14.608848
34048	16	2013-08-02 16:06:14.693315	2013-08-04 18:03:13.370047
33964	4	2013-08-02 16:06:14.610512	2013-08-02 16:06:14.610512
33950	4	2013-08-02 16:06:14.590092	2013-08-03 23:31:52.683018
33967	7	2013-08-02 16:06:14.613143	2013-08-02 16:06:14.613143
33969	9	2013-08-02 16:06:14.615661	2013-08-02 16:06:14.615661
33951	16	2013-08-02 16:06:14.591629	2013-08-04 19:44:37.232839
33974	14	2013-08-02 16:06:14.620181	2013-08-02 16:06:14.620181
34030	21	2013-08-02 16:06:14.669836	2013-08-04 18:03:25.601148
33976	16	2013-08-02 16:06:14.622134	2013-08-02 16:06:14.622134
34055	16	2013-08-02 16:06:14.702702	2013-08-03 21:14:21.442185
33970	2	2013-08-02 16:06:14.616677	2013-08-03 23:31:52.687313
11191	14	2013-08-02 16:05:24.922138	2013-08-04 03:00:37.210589
33982	2	2013-08-02 16:06:14.627814	2013-08-02 16:06:14.627814
33975	9	2013-08-02 16:06:14.62107	2013-08-03 19:08:54.459215
33984	4	2013-08-02 16:06:14.62978	2013-08-02 16:06:14.62978
33971	14	2013-08-02 16:06:14.617597	2013-08-04 19:44:37.235873
33987	7	2013-08-02 16:06:14.632566	2013-08-02 16:06:14.632566
33989	9	2013-08-02 16:06:14.634285	2013-08-02 16:06:14.634285
33997	9	2013-08-02 16:06:14.640889	2013-08-04 18:33:28.305449
33994	14	2013-08-02 16:06:14.638668	2013-08-02 16:06:14.638668
33930	16	2013-08-02 16:06:14.570736	2013-08-03 23:31:52.83712
33996	16	2013-08-02 16:06:14.640142	2013-08-02 16:06:14.640142
34005	9	2013-08-02 16:06:14.646718	2013-08-04 19:44:37.241962
33955	21	2013-08-02 16:06:14.597885	2013-08-03 23:31:52.967007
33953	7	2013-08-02 16:06:14.594177	2013-08-04 18:33:28.312698
34002	2	2013-08-02 16:06:14.644614	2013-08-02 16:06:14.644614
33938	7	2013-08-02 16:06:14.57863	2013-08-04 19:44:37.244719
34004	4	2013-08-02 16:06:14.646036	2013-08-02 16:06:14.646036
34010	16	2013-08-02 16:06:14.650527	2013-08-03 23:32:06.538476
34007	7	2013-08-02 16:06:14.648083	2013-08-02 16:06:14.648083
34009	9	2013-08-02 16:06:14.649681	2013-08-02 16:06:14.649681
15517	4	2013-08-02 16:05:33.800794	2013-08-04 19:44:37.254076
34020	21	2013-08-02 16:06:14.659383	2013-08-04 19:44:51.70751
34014	14	2013-08-02 16:06:14.654188	2013-08-02 16:06:14.654188
34016	16	2013-08-02 16:06:14.65613	2013-08-02 16:06:14.65613
34013	4	2013-08-02 16:06:14.653337	2013-08-04 18:33:28.323565
34051	21	2013-08-02 16:06:14.69706	2013-08-04 19:45:15.902568
33965	14	2013-08-02 16:06:14.611383	2013-08-03 23:32:06.541549
34022	2	2013-08-02 16:06:14.661519	2013-08-02 16:06:14.661519
34015	7	2013-08-02 16:06:14.655119	2013-08-03 19:08:54.466939
34024	4	2013-08-02 16:06:14.663297	2013-08-02 16:06:14.663297
34011	21	2013-08-02 16:06:14.651361	2013-08-04 19:47:24.913031
5452	2	2013-08-02 16:05:13.885857	2013-08-04 19:47:25.549574
34027	7	2013-08-02 16:06:14.666828	2013-08-02 16:06:14.666828
33935	2	2013-08-02 16:06:14.576043	2013-08-04 19:47:26.995415
34029	9	2013-08-02 16:06:14.669035	2013-08-02 16:06:14.669035
34033	2	2013-08-02 16:06:14.673171	2013-08-04 18:33:28.331002
34050	21	2013-08-02 16:06:14.695805	2013-08-04 18:33:43.620616
34037	14	2013-08-02 16:06:14.677943	2013-08-04 19:47:27.182006
34034	14	2013-08-02 16:06:14.674025	2013-08-02 16:06:14.674025
33993	21	2013-08-02 16:06:14.637931	2013-08-04 18:37:38.602809
34036	16	2013-08-02 16:06:14.676709	2013-08-02 16:06:14.676709
33933	2	2013-08-02 16:06:14.574323	2013-08-04 18:37:39.102701
33945	7	2013-08-02 16:06:14.585233	2013-08-03 21:14:21.578481
33913	21	2013-08-02 16:06:14.54982	2013-08-04 18:37:39.159743
34042	2	2013-08-02 16:06:14.685019	2013-08-02 16:06:14.685019
34044	4	2013-08-02 16:06:14.687603	2013-08-02 16:06:14.687603
6344	9	2013-08-02 16:05:15.985339	2013-08-03 23:32:06.547385
34047	7	2013-08-02 16:06:14.692049	2013-08-02 16:06:14.692049
34049	9	2013-08-02 16:06:14.694556	2013-08-02 16:06:14.694556
33992	2	2013-08-02 16:06:14.636973	2013-08-04 18:52:28.693736
34054	14	2013-08-02 16:06:14.701473	2013-08-02 16:06:14.701473
15539	2	2013-08-02 16:05:33.819393	2013-08-04 18:52:28.698988
34056	16	2013-08-02 16:06:14.703926	2013-08-02 16:06:14.703926
33972	2	2013-08-02 16:06:14.618482	2013-08-04 18:52:28.70389
33915	9	2013-08-02 16:06:14.551963	2013-08-03 21:37:25.174971
33978	2	2013-08-02 16:06:14.624108	2013-08-04 18:52:28.70847
34062	2	2013-08-02 16:06:14.71214	2013-08-02 16:06:14.71214
34066	2	2013-08-02 16:06:14.929183	2013-08-04 18:52:28.712808
34064	4	2013-08-02 16:06:14.714877	2013-08-02 16:06:14.714877
15499	9	2013-08-02 16:05:33.784241	2013-08-04 00:03:54.670469
34067	7	2013-08-02 16:06:14.930574	2013-08-02 16:06:14.930574
34069	9	2013-08-02 16:06:14.932636	2013-08-02 16:06:14.932636
34058	21	2013-08-02 16:06:14.706419	2013-08-03 20:07:28.262713
34038	21	2013-08-02 16:06:14.679649	2013-08-03 20:07:28.26486
34018	21	2013-08-02 16:06:14.657787	2013-08-03 20:07:28.266464
33998	21	2013-08-02 16:06:14.641648	2013-08-03 20:07:28.268189
33958	14	2013-08-02 16:06:14.602498	2013-08-03 20:07:28.308726
34046	2	2013-08-02 16:06:14.69017	2013-08-04 18:52:28.717219
33940	2	2013-08-02 16:06:14.581048	2013-08-03 20:08:28.541227
34035	2	2013-08-02 16:06:14.675505	2013-08-04 18:52:28.721752
33952	7	2013-08-02 16:06:14.592998	2013-08-03 21:37:25.182102
15519	7	2013-08-02 16:05:33.802288	2013-08-04 00:03:54.677744
34012	4	2013-08-02 16:06:14.652375	2013-08-03 21:37:25.19317
34032	21	2013-08-02 16:06:14.67236	2013-08-03 21:37:44.524366
2318	16	2013-08-02 16:05:08.615801	2013-08-03 21:56:35.621115
34026	2	2013-08-02 16:06:14.665207	2013-08-04 18:52:28.726029
6424	21	2013-08-02 16:05:16.10452	2013-08-03 21:59:21.866228
33973	2	2013-08-02 16:06:14.61929	2013-08-04 18:52:28.730197
15497	4	2013-08-02 16:05:33.782584	2013-08-04 00:03:54.685523
6384	16	2013-08-02 16:05:16.043351	2013-08-03 21:59:21.918955
6364	16	2013-08-02 16:05:16.021724	2013-08-03 21:59:21.930492
34006	2	2013-08-02 16:06:14.647405	2013-08-04 18:52:28.736869
15478	9	2013-08-02 16:05:33.767902	2013-08-04 00:04:03.359468
34072	9	2013-08-02 16:06:14.935203	2013-08-04 01:08:40.968535
14653	21	2013-08-02 16:05:32.351614	2013-08-04 17:02:13.482725
34095	21	2013-08-02 16:06:14.953456	2013-08-04 19:42:28.315421
34074	14	2013-08-02 16:06:14.936693	2013-08-02 16:06:14.936693
34220	21	2013-08-02 16:06:15.157308	2013-08-03 20:12:26.267739
34076	16	2013-08-02 16:06:14.9383	2013-08-02 16:06:14.9383
20659	2	2013-08-02 16:05:44.555589	2013-08-04 17:07:42.477159
34200	21	2013-08-02 16:06:15.103631	2013-08-03 20:12:26.269638
34219	2	2013-08-02 16:06:15.154616	2013-08-04 19:42:28.323464
34199	2	2013-08-02 16:06:15.100653	2013-08-04 19:42:28.328382
34082	2	2013-08-02 16:06:14.943338	2013-08-02 16:06:14.943338
34075	4	2013-08-02 16:06:14.937526	2013-08-03 19:08:54.480003
34084	4	2013-08-02 16:06:14.945094	2013-08-02 16:06:14.945094
34090	7	2013-08-02 16:06:14.94972	2013-08-03 23:32:06.553617
34175	2	2013-08-02 16:06:15.050926	2013-08-04 19:42:28.333482
34087	7	2013-08-02 16:06:14.947474	2013-08-02 16:06:14.947474
34179	2	2013-08-02 16:06:15.057557	2013-08-04 19:42:28.338979
34089	9	2013-08-02 16:06:14.948925	2013-08-02 16:06:14.948925
34097	7	2013-08-02 16:06:14.955143	2013-08-04 01:08:40.970727
34217	2	2013-08-02 16:06:15.149309	2013-08-04 19:42:28.344314
34159	2	2013-08-02 16:06:15.022701	2013-08-04 19:42:28.349184
34094	14	2013-08-02 16:06:14.952683	2013-08-02 16:06:14.952683
34180	21	2013-08-02 16:06:15.058932	2013-08-03 20:12:26.271258
34096	16	2013-08-02 16:06:14.954212	2013-08-02 16:06:14.954212
28925	14	2013-08-02 16:06:02.693669	2013-08-04 17:31:51.7718
34155	21	2013-08-02 16:06:15.012499	2013-08-03 20:12:26.273208
34185	2	2013-08-02 16:06:15.0684	2013-08-04 19:42:28.354867
34132	14	2013-08-02 16:06:14.988763	2013-08-04 18:06:49.656244
34102	2	2013-08-02 16:06:14.959845	2013-08-02 16:06:14.959845
34104	4	2013-08-02 16:06:14.962052	2013-08-02 16:06:14.962052
34150	4	2013-08-02 16:06:15.004716	2013-08-03 23:32:06.55855
34139	2	2013-08-02 16:06:14.994249	2013-08-04 19:42:28.361433
34107	7	2013-08-02 16:06:14.964995	2013-08-02 16:06:14.964995
34119	2	2013-08-02 16:06:14.97787	2013-08-04 19:42:28.367368
34109	9	2013-08-02 16:06:14.966885	2013-08-02 16:06:14.966885
34157	4	2013-08-02 16:06:15.017515	2013-08-04 01:08:40.974007
34138	14	2013-08-02 16:06:14.993124	2013-08-04 18:06:49.661591
34160	4	2013-08-02 16:06:15.024896	2013-08-04 19:42:28.376821
34114	14	2013-08-02 16:06:14.971792	2013-08-02 16:06:14.971792
34099	4	2013-08-02 16:06:14.956907	2013-08-04 19:42:28.380853
34116	16	2013-08-02 16:06:14.974364	2013-08-02 16:06:14.974364
34223	14	2013-08-02 16:06:15.165594	2013-08-04 18:06:49.669129
34190	2	2013-08-02 16:06:15.077979	2013-08-03 23:32:06.561062
34197	2	2013-08-02 16:06:15.095128	2013-08-04 01:08:40.975866
34213	9	2013-08-02 16:06:15.138705	2013-08-04 18:37:42.088859
34122	2	2013-08-02 16:06:14.980689	2013-08-02 16:06:14.980689
34115	2	2013-08-02 16:06:14.9732	2013-08-03 19:08:54.488293
34124	4	2013-08-02 16:06:14.982207	2013-08-02 16:06:14.982207
34079	4	2013-08-02 16:06:14.94062	2013-08-04 19:42:28.384639
34127	7	2013-08-02 16:06:14.984835	2013-08-02 16:06:14.984835
34091	2	2013-08-02 16:06:14.950484	2013-08-04 19:44:37.259792
34129	9	2013-08-02 16:06:14.986408	2013-08-02 16:06:14.986408
34193	9	2013-08-02 16:06:15.084233	2013-08-04 18:37:42.099782
34170	21	2013-08-02 16:06:15.043442	2013-08-03 23:34:27.628807
34134	14	2013-08-02 16:06:14.990264	2013-08-02 16:06:14.990264
34225	21	2013-08-02 16:06:15.170771	2013-08-03 21:14:21.2745
34136	16	2013-08-02 16:06:14.991694	2013-08-02 16:06:14.991694
34145	4	2013-08-02 16:06:15.000366	2013-08-04 18:37:42.123277
34205	21	2013-08-02 16:06:15.11691	2013-08-03 21:14:21.278503
34071	21	2013-08-02 16:06:14.934462	2013-08-04 19:44:37.491591
34137	21	2013-08-02 16:06:14.992403	2013-08-04 01:10:50.594449
34142	2	2013-08-02 16:06:14.997363	2013-08-02 16:06:14.997363
34177	21	2013-08-02 16:06:15.053685	2013-08-04 01:10:50.773054
34144	4	2013-08-02 16:06:14.999543	2013-08-02 16:06:14.999543
16797	14	2013-08-02 16:05:36.300034	2013-08-04 19:47:26.382038
6304	14	2013-08-02 16:05:15.876746	2013-08-04 19:47:26.393915
34147	7	2013-08-02 16:06:15.002094	2013-08-02 16:06:15.002094
34211	14	2013-08-02 16:06:15.13337	2013-08-04 19:47:26.406405
34149	9	2013-08-02 16:06:15.003855	2013-08-02 16:06:15.003855
34173	4	2013-08-02 16:06:15.047687	2013-08-04 18:37:42.135071
20899	14	2013-08-02 16:05:45.08773	2013-08-04 19:47:26.41926
34191	14	2013-08-02 16:06:15.080046	2013-08-04 19:47:26.430984
34154	14	2013-08-02 16:06:15.010077	2013-08-02 16:06:15.010077
34156	16	2013-08-02 16:06:15.015032	2013-08-02 16:06:15.015032
6361	4	2013-08-02 16:05:16.016764	2013-08-04 18:37:42.146224
34165	2	2013-08-02 16:06:15.037313	2013-08-03 21:14:21.310357
34098	7	2013-08-02 16:06:14.956113	2013-08-03 23:34:27.954319
4796	14	2013-08-02 16:05:13.012348	2013-08-04 01:12:19.131964
34162	2	2013-08-02 16:06:15.030368	2013-08-02 16:06:15.030368
34183	2	2013-08-02 16:06:15.06427	2013-08-03 23:34:27.962886
34164	4	2013-08-02 16:06:15.035176	2013-08-02 16:06:15.035176
34171	14	2013-08-02 16:06:15.044313	2013-08-04 19:47:26.44245
34151	14	2013-08-02 16:06:15.005724	2013-08-04 19:47:26.453536
34167	7	2013-08-02 16:06:15.03917	2013-08-02 16:06:15.03917
34131	14	2013-08-02 16:06:14.987967	2013-08-04 19:47:26.464499
34169	9	2013-08-02 16:06:15.042565	2013-08-02 16:06:15.042565
24411	9	2013-08-02 16:05:52.904263	2013-08-04 03:00:37.223933
8373	14	2013-08-02 16:05:19.702121	2013-08-04 19:47:27.172934
34174	14	2013-08-02 16:06:15.049557	2013-08-02 16:06:15.049557
6324	14	2013-08-02 16:05:15.932582	2013-08-04 19:47:27.177622
34176	16	2013-08-02 16:06:15.052301	2013-08-02 16:06:15.052301
1755	7	2013-08-02 16:05:07.344156	2013-08-04 03:00:37.229471
34111	2	2013-08-02 16:06:14.968756	2013-08-04 19:52:25.382153
34182	2	2013-08-02 16:06:15.062208	2013-08-02 16:06:15.062208
34184	4	2013-08-02 16:06:15.066557	2013-08-02 16:06:15.066557
27992	4	2013-08-02 16:06:01.104134	2013-08-04 03:00:37.237675
34187	7	2013-08-02 16:06:15.071095	2013-08-02 16:06:15.071095
34189	9	2013-08-02 16:06:15.075959	2013-08-02 16:06:15.075959
6709	2	2013-08-02 16:05:16.838847	2013-08-04 03:00:37.242938
34194	14	2013-08-02 16:06:15.086518	2013-08-02 16:06:15.086518
34196	16	2013-08-02 16:06:15.09198	2013-08-02 16:06:15.09198
34105	4	2013-08-02 16:06:14.963068	2013-08-03 21:14:21.371451
8345	16	2013-08-02 16:05:19.635251	2013-08-04 03:00:37.48544
34202	2	2013-08-02 16:06:15.108897	2013-08-02 16:06:15.108897
34133	7	2013-08-02 16:06:14.989527	2013-08-04 18:37:42.21266
34204	4	2013-08-02 16:06:15.114178	2013-08-02 16:06:15.114178
34210	7	2013-08-02 16:06:15.130413	2013-08-04 18:37:42.222793
34207	7	2013-08-02 16:06:15.122335	2013-08-02 16:06:15.122335
34209	9	2013-08-02 16:06:15.127716	2013-08-02 16:06:15.127716
34110	2	2013-08-02 16:06:14.967817	2013-08-04 18:52:28.684969
34086	2	2013-08-02 16:06:14.946708	2013-08-04 18:52:28.689149
34214	14	2013-08-02 16:06:15.141398	2013-08-02 16:06:15.141398
34085	9	2013-08-02 16:06:14.945891	2013-08-03 21:14:21.394457
34216	16	2013-08-02 16:06:15.146614	2013-08-02 16:06:15.146614
34125	2	2013-08-02 16:06:14.98297	2013-08-04 18:52:30.203688
34120	21	2013-08-02 16:06:14.978725	2013-08-03 21:17:30.662164
34172	2	2013-08-02 16:06:15.046013	2013-08-04 18:52:30.214845
34226	2	2013-08-02 16:06:15.173481	2013-08-04 18:52:30.226106
34222	2	2013-08-02 16:06:15.162792	2013-08-02 16:06:15.162792
34215	16	2013-08-02 16:06:15.144057	2013-08-03 19:09:06.289474
34224	4	2013-08-02 16:06:15.168098	2013-08-02 16:06:15.168098
34206	2	2013-08-02 16:06:15.119601	2013-08-04 18:52:30.238563
34130	2	2013-08-02 16:06:14.98719	2013-08-04 18:52:30.24329
34203	9	2013-08-02 16:06:15.111498	2013-08-03 18:43:41.14077
34078	21	2013-08-02 16:06:14.939834	2013-08-03 20:07:28.258544
34186	2	2013-08-02 16:06:15.069741	2013-08-04 18:52:30.251976
34118	9	2013-08-02 16:06:14.97697	2013-08-03 20:08:28.487319
34158	7	2013-08-02 16:06:15.020053	2013-08-03 20:08:28.4903
34092	2	2013-08-02 16:06:14.951211	2013-08-04 18:52:30.255633
11686	2	2013-08-02 16:05:26.187556	2013-08-04 18:52:30.259184
34112	9	2013-08-02 16:06:14.969688	2013-08-03 21:42:22.247948
34152	7	2013-08-02 16:06:15.006961	2013-08-03 21:42:22.252145
34153	2	2013-08-02 16:06:15.008374	2013-08-04 18:52:30.323613
34192	4	2013-08-02 16:06:15.082105	2013-08-03 21:42:22.257872
34166	2	2013-08-02 16:06:15.038205	2013-08-04 18:52:30.329937
34212	21	2013-08-02 16:06:15.136021	2013-08-03 21:42:41.846282
34146	2	2013-08-02 16:06:15.001243	2013-08-04 18:52:30.340309
34126	2	2013-08-02 16:06:14.98399	2013-08-04 18:52:30.351033
34227	7	2013-08-02 16:06:15.176152	2013-08-02 16:06:15.176152
34351	21	2013-08-02 16:06:15.481387	2013-08-04 19:47:26.250094
34229	9	2013-08-02 16:06:15.181659	2013-08-02 16:06:15.181659
34293	21	2013-08-02 16:06:15.342657	2013-08-04 18:37:42.019805
34241	16	2013-08-02 16:06:15.213264	2013-08-03 22:54:50.096732
34295	4	2013-08-02 16:06:15.347376	2013-08-04 19:47:26.268311
34234	14	2013-08-02 16:06:15.195007	2013-08-02 16:06:15.195007
34378	14	2013-08-02 16:06:15.546121	2013-08-03 20:12:25.664096
34236	16	2013-08-02 16:06:15.200345	2013-08-02 16:06:15.200345
34331	4	2013-08-02 16:06:15.433194	2013-08-04 19:47:26.279511
34358	9	2013-08-02 16:06:15.498053	2013-08-03 20:12:25.677517
34237	2	2013-08-02 16:06:15.202863	2013-08-04 01:15:49.918344
34242	2	2013-08-02 16:06:15.215918	2013-08-02 16:06:15.215918
34383	2	2013-08-02 16:06:15.557999	2013-08-03 18:47:35.139657
34244	4	2013-08-02 16:06:15.221304	2013-08-02 16:06:15.221304
33837	21	2013-08-02 16:06:14.469884	2013-08-04 03:00:37.599131
34311	4	2013-08-02 16:06:15.385728	2013-08-04 19:47:26.290722
34247	7	2013-08-02 16:06:15.22928	2013-08-02 16:06:15.22928
34270	4	2013-08-02 16:06:15.287742	2013-08-04 19:47:26.301979
34249	9	2013-08-02 16:06:15.234592	2013-08-02 16:06:15.234592
3615	21	2013-08-02 16:05:10.817179	2013-08-04 03:00:37.796742
34291	4	2013-08-02 16:06:15.337916	2013-08-04 19:47:26.313135
34271	4	2013-08-02 16:06:15.290156	2013-08-04 19:47:26.324781
34254	14	2013-08-02 16:06:15.248058	2013-08-02 16:06:15.248058
34352	21	2013-08-02 16:06:15.483742	2013-08-03 23:34:27.846534
34256	16	2013-08-02 16:06:15.253439	2013-08-02 16:06:15.253439
34251	4	2013-08-02 16:06:15.239972	2013-08-04 19:47:26.336759
34257	4	2013-08-02 16:06:15.256088	2013-08-04 19:47:26.348113
34370	4	2013-08-02 16:06:15.526859	2013-08-03 23:34:27.864651
3617	21	2013-08-02 16:05:10.819205	2013-08-04 03:00:37.801856
34262	2	2013-08-02 16:06:15.268521	2013-08-02 16:06:15.268521
34363	2	2013-08-02 16:06:15.509922	2013-08-03 18:47:35.149093
34264	4	2013-08-02 16:06:15.27335	2013-08-02 16:06:15.27335
34350	14	2013-08-02 16:06:15.478971	2013-08-03 23:34:27.874366
34231	4	2013-08-02 16:06:15.186946	2013-08-04 19:47:26.35908
34267	7	2013-08-02 16:06:15.280505	2013-08-02 16:06:15.280505
34379	2	2013-08-02 16:06:15.548497	2013-08-04 19:47:27.065961
34269	9	2013-08-02 16:06:15.285316	2013-08-02 16:06:15.285316
28286	4	2013-08-02 16:06:01.590763	2013-08-04 03:00:38.365139
34326	2	2013-08-02 16:06:15.421357	2013-08-04 19:47:27.07752
34359	2	2013-08-02 16:06:15.500395	2013-08-04 19:47:27.088487
34274	14	2013-08-02 16:06:15.297349	2013-08-02 16:06:15.297349
34298	7	2013-08-02 16:06:15.354604	2013-08-03 20:12:25.719828
34276	16	2013-08-02 16:06:15.302147	2013-08-02 16:06:15.302147
34233	9	2013-08-02 16:06:15.192277	2013-08-04 18:37:42.077685
28266	4	2013-08-02 16:06:01.565569	2013-08-04 03:00:38.370378
28217	4	2013-08-02 16:06:01.507713	2013-08-04 03:00:38.382154
34282	2	2013-08-02 16:06:15.316379	2013-08-02 16:06:15.316379
34235	14	2013-08-02 16:06:15.197693	2013-08-03 19:09:06.293023
34284	4	2013-08-02 16:06:15.321136	2013-08-02 16:06:15.321136
34373	2	2013-08-02 16:06:15.534144	2013-08-04 19:47:27.09935
34287	7	2013-08-02 16:06:15.328298	2013-08-02 16:06:15.328298
17773	4	2013-08-02 16:05:38.658612	2013-08-04 19:52:27.269127
34289	9	2013-08-02 16:06:15.333126	2013-08-02 16:06:15.333126
28155	4	2013-08-02 16:06:01.269859	2013-08-04 03:00:38.386787
17793	4	2013-08-02 16:05:38.681004	2013-08-04 19:52:27.279912
34294	14	2013-08-02 16:06:15.345028	2013-08-02 16:06:15.345028
34332	4	2013-08-02 16:06:15.435556	2013-08-04 19:52:27.291638
34296	16	2013-08-02 16:06:15.34981	2013-08-02 16:06:15.34981
34261	21	2013-08-02 16:06:15.266123	2013-08-04 18:42:33.217504
28246	4	2013-08-02 16:06:01.539839	2013-08-04 03:00:38.391689
34230	9	2013-08-02 16:06:15.184303	2013-08-03 23:34:27.930015
28226	4	2013-08-02 16:06:01.517203	2013-08-04 03:00:38.395142
34302	2	2013-08-02 16:06:15.364373	2013-08-02 16:06:15.364373
34371	4	2013-08-02 16:06:15.529327	2013-08-04 19:52:27.304058
34304	4	2013-08-02 16:06:15.369154	2013-08-02 16:06:15.369154
34250	21	2013-08-02 16:06:15.237299	2013-08-03 23:37:06.836242
34307	7	2013-08-02 16:06:15.376214	2013-08-02 16:06:15.376214
34309	9	2013-08-02 16:06:15.380981	2013-08-02 16:06:15.380981
28206	4	2013-08-02 16:06:01.497183	2013-08-04 03:00:38.398071
34310	7	2013-08-02 16:06:15.383332	2013-08-03 23:37:26.042492
34314	14	2013-08-02 16:06:15.392939	2013-08-02 16:06:15.392939
17177	14	2013-08-02 16:05:37.27292	2013-08-04 00:03:54.731842
34316	16	2013-08-02 16:06:15.397676	2013-08-02 16:06:15.397676
34253	21	2013-08-02 16:06:15.245372	2013-08-04 18:42:33.219764
45515	4	2013-08-02 16:06:40.694043	2013-08-04 03:00:38.40112
15399	21	2013-08-02 16:05:33.692295	2013-08-04 00:03:54.797688
34273	21	2013-08-02 16:06:15.294953	2013-08-04 18:42:33.221924
34322	2	2013-08-02 16:06:15.411858	2013-08-02 16:06:15.411858
34324	4	2013-08-02 16:06:15.416581	2013-08-02 16:06:15.416581
6428	9	2013-08-02 16:05:16.11493	2013-08-04 18:42:35.837401
34327	7	2013-08-02 16:06:15.423701	2013-08-02 16:06:15.423701
34329	9	2013-08-02 16:06:15.42843	2013-08-02 16:06:15.42843
6284	9	2013-08-02 16:05:15.824361	2013-08-04 18:42:35.841737
17246	9	2013-08-02 16:05:37.518064	2013-08-04 00:03:54.84826
34334	14	2013-08-02 16:06:15.440364	2013-08-02 16:06:15.440364
34280	4	2013-08-02 16:06:15.311615	2013-08-03 20:14:12.506906
34336	16	2013-08-02 16:06:15.44514	2013-08-02 16:06:15.44514
34275	9	2013-08-02 16:06:15.299731	2013-08-04 18:42:35.845963
15459	7	2013-08-02 16:05:33.752461	2013-08-04 00:03:54.849872
34342	2	2013-08-02 16:06:15.459908	2013-08-02 16:06:15.459908
34344	4	2013-08-02 16:06:15.464706	2013-08-02 16:06:15.464706
34347	7	2013-08-02 16:06:15.471847	2013-08-02 16:06:15.471847
34349	9	2013-08-02 16:06:15.476595	2013-08-02 16:06:15.476595
17537	9	2013-08-02 16:05:38.219306	2013-08-04 00:03:54.881818
34354	14	2013-08-02 16:06:15.488529	2013-08-02 16:06:15.488529
34356	16	2013-08-02 16:06:15.493312	2013-08-02 16:06:15.493312
34353	7	2013-08-02 16:06:15.48611	2013-08-04 18:42:35.871906
17566	7	2013-08-02 16:05:38.270868	2013-08-04 00:03:54.883825
17045	16	2013-08-02 16:05:36.941331	2013-08-04 00:04:14.169025
34240	2	2013-08-02 16:06:15.210654	2013-08-04 18:52:30.148025
34362	2	2013-08-02 16:06:15.50755	2013-08-02 16:06:15.50755
34320	2	2013-08-02 16:06:15.407121	2013-08-03 20:14:12.508776
34364	4	2013-08-02 16:06:15.512277	2013-08-02 16:06:15.512277
34286	2	2013-08-02 16:06:15.325894	2013-08-04 18:52:30.159572
34367	7	2013-08-02 16:06:15.519399	2013-08-02 16:06:15.519399
34369	9	2013-08-02 16:06:15.524376	2013-08-02 16:06:15.524376
34266	2	2013-08-02 16:06:15.278139	2013-08-04 18:52:30.170835
34315	2	2013-08-02 16:06:15.395291	2013-08-04 18:52:30.182054
34374	14	2013-08-02 16:06:15.536573	2013-08-02 16:06:15.536573
34246	2	2013-08-02 16:06:15.226587	2013-08-04 18:52:30.192955
34376	16	2013-08-02 16:06:15.541364	2013-08-02 16:06:15.541364
34346	16	2013-08-02 16:06:15.469494	2013-08-04 18:55:49.174333
34382	2	2013-08-02 16:06:15.555622	2013-08-02 16:06:15.555622
34345	14	2013-08-02 16:06:15.467085	2013-08-04 18:55:49.176897
34258	2	2013-08-02 16:06:15.25876	2013-08-03 20:08:28.500185
34306	21	2013-08-02 16:06:15.373879	2013-08-04 18:56:12.16221
34366	2	2013-08-02 16:06:15.517039	2013-08-04 18:57:38.820529
34380	14	2013-08-02 16:06:15.550867	2013-08-03 20:21:38.523638
34245	21	2013-08-02 16:06:15.223927	2013-08-03 21:14:21.270101
34265	4	2013-08-02 16:06:15.275725	2013-08-03 21:17:30.306451
15458	2	2013-08-02 16:05:33.751665	2013-08-04 18:57:39.126957
34305	2	2013-08-02 16:06:15.371499	2013-08-03 21:17:30.313717
34285	21	2013-08-02 16:06:15.323501	2013-08-03 21:17:30.66345
34325	2	2013-08-02 16:06:15.418957	2013-08-03 21:19:19.738106
34232	2	2013-08-02 16:06:15.189611	2013-08-03 21:42:22.261
34272	16	2013-08-02 16:06:15.292526	2013-08-03 21:42:41.893829
34312	14	2013-08-02 16:06:15.388168	2013-08-03 21:42:41.897178
37525	4	2013-08-02 16:06:22.753586	2013-08-03 21:59:22.195859
6404	9	2013-08-02 16:05:16.069716	2013-08-03 21:59:22.36244
34384	4	2013-08-02 16:06:15.560362	2013-08-02 16:06:15.560362
34515	21	2013-08-02 16:06:15.888992	2013-08-04 19:47:27.03345
34387	7	2013-08-02 16:06:15.567611	2013-08-02 16:06:15.567611
34461	2	2013-08-02 16:06:15.755347	2013-08-04 19:47:27.054125
34389	9	2013-08-02 16:06:15.572328	2013-08-02 16:06:15.572328
34473	21	2013-08-02 16:06:15.787096	2013-08-04 18:42:35.798021
34453	4	2013-08-02 16:06:15.733985	2013-08-04 18:42:35.804365
34426	21	2013-08-02 16:06:15.66172	2013-08-04 19:52:27.18878
34394	14	2013-08-02 16:06:15.584149	2013-08-02 16:06:15.584149
34396	16	2013-08-02 16:06:15.589035	2013-08-02 16:06:15.589035
34433	4	2013-08-02 16:06:15.682078	2013-08-04 18:42:35.807926
34480	16	2013-08-02 16:06:15.805762	2013-08-03 23:00:48.627505
34450	21	2013-08-02 16:06:15.726225	2013-08-03 23:34:27.83648
34413	14	2013-08-02 16:06:15.629831	2013-08-04 19:52:27.208077
34402	2	2013-08-02 16:06:15.603656	2013-08-02 16:06:15.603656
34491	14	2013-08-02 16:06:15.832855	2013-08-04 19:52:27.222482
34404	4	2013-08-02 16:06:15.60839	2013-08-02 16:06:15.60839
34430	21	2013-08-02 16:06:15.672594	2013-08-03 23:34:27.839212
34471	14	2013-08-02 16:06:15.781785	2013-08-04 19:52:27.230032
34407	7	2013-08-02 16:06:15.615539	2013-08-02 16:06:15.615539
34451	14	2013-08-02 16:06:15.728899	2013-08-04 19:52:27.234765
34409	9	2013-08-02 16:06:15.62028	2013-08-02 16:06:15.62028
34457	4	2013-08-02 16:06:15.744697	2013-08-04 18:42:35.811593
34498	21	2013-08-02 16:06:15.851107	2013-08-03 23:34:27.840933
34477	14	2013-08-02 16:06:15.797773	2013-08-04 19:52:27.24015
34414	14	2013-08-02 16:06:15.632247	2013-08-02 16:06:15.632247
34410	21	2013-08-02 16:06:15.622679	2013-08-03 23:34:27.842623
34416	16	2013-08-02 16:06:15.63708	2013-08-02 16:06:15.63708
34470	14	2013-08-02 16:06:15.779141	2013-08-04 19:52:27.245981
34390	21	2013-08-02 16:06:15.574696	2013-08-03 23:34:27.844576
34431	14	2013-08-02 16:06:15.675277	2013-08-04 19:52:27.251845
34422	2	2013-08-02 16:06:15.651176	2013-08-02 16:06:15.651176
34505	16	2013-08-02 16:06:15.869406	2013-08-04 01:18:42.680885
34424	4	2013-08-02 16:06:15.656366	2013-08-02 16:06:15.656366
34411	14	2013-08-02 16:06:15.625096	2013-08-04 19:52:27.256963
34391	14	2013-08-02 16:06:15.577122	2013-08-04 19:52:27.26056
34427	7	2013-08-02 16:06:15.664385	2013-08-02 16:06:15.664385
34485	21	2013-08-02 16:06:15.817815	2013-08-04 19:52:27.809764
34429	9	2013-08-02 16:06:15.669813	2013-08-02 16:06:15.669813
34530	14	2013-08-02 16:06:15.923631	2013-08-04 01:18:42.683654
47258	7	2013-08-02 16:06:44.77937	2013-08-04 19:57:28.545229
17753	7	2013-08-02 16:05:38.638203	2013-08-04 19:57:28.55637
34434	14	2013-08-02 16:06:15.684911	2013-08-02 16:06:15.684911
34510	7	2013-08-02 16:06:15.878706	2013-08-03 23:39:27.049454
34436	16	2013-08-02 16:06:15.69037	2013-08-02 16:06:15.69037
34425	7	2013-08-02 16:06:15.659026	2013-08-04 19:57:28.567171
34490	9	2013-08-02 16:06:15.830367	2013-08-03 23:39:27.057578
34442	2	2013-08-02 16:06:15.704936	2013-08-02 16:06:15.704936
34458	16	2013-08-02 16:06:15.747328	2013-08-03 20:12:25.627656
34444	4	2013-08-02 16:06:15.710269	2013-08-02 16:06:15.710269
34531	4	2013-08-02 16:06:15.926127	2013-08-04 19:57:28.590208
34511	4	2013-08-02 16:06:15.879576	2013-08-04 19:57:28.601652
34447	7	2013-08-02 16:06:15.718322	2013-08-02 16:06:15.718322
34449	9	2013-08-02 16:06:15.723563	2013-08-02 16:06:15.723563
34420	21	2013-08-02 16:06:15.646348	2013-08-03 23:41:32.264078
34454	14	2013-08-02 16:06:15.736679	2013-08-02 16:06:15.736679
34535	21	2013-08-02 16:06:15.935627	2013-08-03 20:21:38.281387
34456	16	2013-08-02 16:06:15.741995	2013-08-02 16:06:15.741995
34493	21	2013-08-02 16:06:15.837941	2013-08-04 18:44:55.890728
34540	2	2013-08-02 16:06:15.947454	2013-08-04 01:21:01.051489
34437	2	2013-08-02 16:06:15.693088	2013-08-04 01:50:58.607303
28186	4	2013-08-02 16:06:01.296911	2013-08-04 03:00:38.405829
34462	2	2013-08-02 16:06:15.758016	2013-08-02 16:06:15.758016
34393	16	2013-08-02 16:06:15.581868	2013-08-04 18:47:30.133086
34464	4	2013-08-02 16:06:15.763311	2013-08-02 16:06:15.763311
26437	4	2013-08-02 16:05:57.081135	2013-08-04 03:00:38.413472
34467	7	2013-08-02 16:06:15.771234	2013-08-02 16:06:15.771234
34469	9	2013-08-02 16:06:15.776478	2013-08-02 16:06:15.776478
28166	4	2013-08-02 16:06:01.280733	2013-08-04 03:00:38.418327
28146	4	2013-08-02 16:06:01.262363	2013-08-04 03:00:38.423006
34474	14	2013-08-02 16:06:15.789775	2013-08-02 16:06:15.789775
28126	4	2013-08-02 16:06:01.241986	2013-08-04 03:00:38.432298
34476	16	2013-08-02 16:06:15.795114	2013-08-02 16:06:15.795114
15348	4	2013-08-02 16:05:33.639631	2013-08-04 03:00:38.440937
28106	4	2013-08-02 16:06:01.222761	2013-08-04 03:00:38.452337
24631	4	2013-08-02 16:05:53.312853	2013-08-04 03:00:38.670064
34482	2	2013-08-02 16:06:15.810628	2013-08-02 16:06:15.810628
34500	16	2013-08-02 16:06:15.856792	2013-08-03 20:21:38.348412
34484	4	2013-08-02 16:06:15.81541	2013-08-02 16:06:15.81541
24611	4	2013-08-02 16:05:53.289087	2013-08-04 03:00:38.674048
34487	7	2013-08-02 16:06:15.822716	2013-08-02 16:06:15.822716
34489	9	2013-08-02 16:06:15.827652	2013-08-02 16:06:15.827652
24591	4	2013-08-02 16:05:53.264731	2013-08-04 03:00:38.677898
24621	4	2013-08-02 16:05:53.300518	2013-08-04 03:00:38.68645
34494	14	2013-08-02 16:06:15.84039	2013-08-02 16:06:15.84039
24571	4	2013-08-02 16:05:53.239972	2013-08-04 03:00:38.695012
34496	16	2013-08-02 16:06:15.845589	2013-08-02 16:06:15.845589
49915	4	2013-08-02 16:06:50.417548	2013-08-04 03:00:38.711976
34533	2	2013-08-02 16:06:15.930887	2013-08-04 18:47:32.319461
34538	2	2013-08-02 16:06:15.942765	2013-08-04 18:52:28.503249
34502	2	2013-08-02 16:06:15.862095	2013-08-02 16:06:15.862095
34504	4	2013-08-02 16:06:15.866984	2013-08-02 16:06:15.866984
34507	7	2013-08-02 16:06:15.874676	2013-08-02 16:06:15.874676
34509	9	2013-08-02 16:06:15.877815	2013-08-02 16:06:15.877815
34514	14	2013-08-02 16:06:15.886917	2013-08-02 16:06:15.886917
34516	16	2013-08-02 16:06:15.890854	2013-08-02 16:06:15.890854
34466	9	2013-08-02 16:06:15.768616	2013-08-04 18:55:49.18262
34506	7	2013-08-02 16:06:15.871968	2013-08-04 18:55:49.185151
34522	2	2013-08-02 16:06:15.902489	2013-08-02 16:06:15.902489
34518	4	2013-08-02 16:06:15.896174	2013-08-04 18:55:49.188409
34524	4	2013-08-02 16:06:15.907761	2013-08-02 16:06:15.907761
34526	21	2013-08-02 16:06:15.913064	2013-08-04 18:57:36.256215
34527	7	2013-08-02 16:06:15.915676	2013-08-02 16:06:15.915676
34529	9	2013-08-02 16:06:15.921015	2013-08-02 16:06:15.921015
34486	2	2013-08-02 16:06:15.820219	2013-08-04 18:57:36.949837
34534	14	2013-08-02 16:06:15.933275	2013-08-02 16:06:15.933275
34536	16	2013-08-02 16:06:15.938032	2013-08-02 16:06:15.938032
34406	2	2013-08-02 16:06:15.613161	2013-08-04 18:57:37.385957
34446	21	2013-08-02 16:06:15.715564	2013-08-04 18:57:37.998691
34435	4	2013-08-02 16:06:15.687608	2013-08-03 19:09:06.32954
34415	21	2013-08-02 16:06:15.634639	2013-08-03 21:19:19.522679
34475	2	2013-08-02 16:06:15.792407	2013-08-03 19:09:06.337687
34386	2	2013-08-02 16:06:15.565244	2013-08-04 19:02:41.098894
34525	14	2013-08-02 16:06:15.910421	2013-08-03 21:19:19.536062
34445	16	2013-08-02 16:06:15.712912	2013-08-03 21:19:19.597463
34478	4	2013-08-02 16:06:15.800413	2013-08-03 21:19:19.620133
34520	21	2013-08-02 16:06:15.899199	2013-08-03 21:21:38.137738
34392	7	2013-08-02 16:06:15.579465	2013-08-03 21:42:41.906614
34452	4	2013-08-02 16:06:15.73136	2013-08-03 21:42:41.910695
34492	2	2013-08-02 16:06:15.835316	2013-08-03 21:42:41.913231
34472	7	2013-08-02 16:06:15.784436	2013-08-03 21:44:32.321078
34432	2	2013-08-02 16:06:15.678453	2013-08-03 21:44:32.622264
34532	14	2013-08-02 16:06:15.928512	2013-08-03 21:45:18.304834
34512	21	2013-08-02 16:06:15.881656	2013-08-03 21:45:39.065158
47038	4	2013-08-02 16:06:44.134973	2013-08-03 21:59:23.655615
11299	21	2013-08-02 16:05:25.183526	2013-08-03 21:59:23.682086
11212	21	2013-08-02 16:05:24.976465	2013-08-03 21:59:23.685605
11279	21	2013-08-02 16:05:25.130159	2013-08-03 21:59:23.689159
11259	21	2013-08-02 16:05:25.077307	2013-08-03 21:59:23.692667
11239	21	2013-08-02 16:05:25.023888	2013-08-03 21:59:23.696201
34559	21	2013-08-02 16:06:15.997126	2013-08-04 19:52:27.808022
34542	2	2013-08-02 16:06:15.952505	2013-08-02 16:06:15.952505
34578	21	2013-08-02 16:06:16.028643	2013-08-03 20:12:25.549714
34544	4	2013-08-02 16:06:15.957709	2013-08-02 16:06:15.957709
34553	16	2013-08-02 16:06:15.981584	2013-08-04 18:44:44.040789
34671	21	2013-08-02 16:06:16.261407	2013-08-04 19:57:28.405053
34547	7	2013-08-02 16:06:15.965578	2013-08-02 16:06:15.965578
34651	14	2013-08-02 16:06:16.208867	2013-08-04 19:57:28.426994
34549	9	2013-08-02 16:06:15.970892	2013-08-02 16:06:15.970892
34597	4	2013-08-02 16:06:16.065202	2013-08-04 01:18:42.715569
34690	21	2013-08-02 16:06:16.307137	2013-08-03 23:39:26.937045
34660	14	2013-08-02 16:06:16.231724	2013-08-04 19:57:28.439501
34554	14	2013-08-02 16:06:15.984239	2013-08-02 16:06:15.984239
34558	21	2013-08-02 16:06:15.994691	2013-08-03 20:12:25.554459
34556	16	2013-08-02 16:06:15.98958	2013-08-02 16:06:15.98958
34631	14	2013-08-02 16:06:16.156797	2013-08-04 19:57:28.451016
34670	21	2013-08-02 16:06:16.258706	2013-08-03 23:39:26.939194
34640	21	2013-08-02 16:06:16.180711	2013-08-03 23:39:26.940907
34573	14	2013-08-02 16:06:16.021385	2013-08-04 18:44:44.048207
34562	2	2013-08-02 16:06:16.004881	2013-08-02 16:06:16.004881
34611	14	2013-08-02 16:06:16.10349	2013-08-04 19:57:28.462818
34564	4	2013-08-02 16:06:16.009161	2013-08-02 16:06:16.009161
34650	21	2013-08-02 16:06:16.206281	2013-08-03 23:39:26.942124
34618	14	2013-08-02 16:06:16.122292	2013-08-04 19:57:28.473944
34567	7	2013-08-02 16:06:16.011366	2013-08-02 16:06:16.011366
34591	14	2013-08-02 16:06:16.050127	2013-08-04 19:57:28.485106
34569	9	2013-08-02 16:06:16.012816	2013-08-02 16:06:16.012816
34617	2	2013-08-02 16:06:16.119566	2013-08-04 01:18:42.723189
34592	7	2013-08-02 16:06:16.052516	2013-08-04 19:57:28.508798
34571	7	2013-08-02 16:06:16.016853	2013-08-04 19:57:28.521053
34574	14	2013-08-02 16:06:16.02253	2013-08-02 16:06:16.02253
34678	4	2013-08-02 16:06:16.278339	2013-08-03 20:12:25.967368
34576	16	2013-08-02 16:06:16.026355	2013-08-02 16:06:16.026355
34551	7	2013-08-02 16:06:15.976219	2013-08-04 19:57:28.533393
34610	4	2013-08-02 16:06:16.100858	2013-08-03 23:39:26.956051
34582	2	2013-08-02 16:06:16.032932	2013-08-02 16:06:16.032932
34658	7	2013-08-02 16:06:16.226651	2013-08-03 20:12:25.988051
34584	4	2013-08-02 16:06:16.035882	2013-08-02 16:06:16.035882
34570	16	2013-08-02 16:06:16.014414	2013-08-03 23:39:26.978553
34555	7	2013-08-02 16:06:15.986922	2013-08-04 19:57:29.208532
34587	7	2013-08-02 16:06:16.040667	2013-08-02 16:06:16.040667
34679	7	2013-08-02 16:06:16.280792	2013-08-04 19:57:29.212915
34589	9	2013-08-02 16:06:16.045358	2013-08-02 16:06:16.045358
34577	21	2013-08-02 16:06:16.027508	2013-08-04 01:18:42.84249
34637	2	2013-08-02 16:06:16.172711	2013-08-04 01:21:00.029755
34659	7	2013-08-02 16:06:16.22927	2013-08-04 19:57:29.217116
34594	14	2013-08-02 16:06:16.0575	2013-08-02 16:06:16.0575
34638	2	2013-08-02 16:06:16.175344	2013-08-03 20:12:26.007211
34596	16	2013-08-02 16:06:16.062508	2013-08-02 16:06:16.062508
34613	7	2013-08-02 16:06:16.108851	2013-08-04 19:57:29.221871
34639	7	2013-08-02 16:06:16.178006	2013-08-04 19:57:29.226931
34657	16	2013-08-02 16:06:16.224214	2013-08-04 01:29:06.574364
34602	2	2013-08-02 16:06:16.078662	2013-08-02 16:06:16.078662
34604	4	2013-08-02 16:06:16.083584	2013-08-02 16:06:16.083584
34575	9	2013-08-02 16:06:16.024376	2013-08-04 18:44:44.062933
19426	7	2013-08-02 16:05:42.01679	2013-08-04 20:02:39.435242
34607	7	2013-08-02 16:06:16.091642	2013-08-02 16:06:16.091642
34572	7	2013-08-02 16:06:16.019464	2013-08-04 20:02:39.439935
34609	9	2013-08-02 16:06:16.098071	2013-08-02 16:06:16.098071
34691	7	2013-08-02 16:06:16.30953	2013-08-04 20:02:39.444634
34550	21	2013-08-02 16:06:15.973592	2013-08-03 23:44:25.871894
34614	14	2013-08-02 16:06:16.11151	2013-08-02 16:06:16.11151
34598	9	2013-08-02 16:06:16.067849	2013-08-03 20:12:26.045015
34616	16	2013-08-02 16:06:16.116874	2013-08-02 16:06:16.116874
34653	7	2013-08-02 16:06:16.213987	2013-08-04 18:44:44.070151
34697	14	2013-08-02 16:06:16.323803	2013-08-04 01:29:06.582174
34622	2	2013-08-02 16:06:16.133129	2013-08-02 16:06:16.133129
34560	21	2013-08-02 16:06:15.999524	2013-08-03 20:21:38.277233
34624	4	2013-08-02 16:06:16.138412	2013-08-02 16:06:16.138412
44440	2	2013-08-02 16:06:38.466834	2013-08-04 01:30:51.76551
34627	7	2013-08-02 16:06:16.146358	2013-08-02 16:06:16.146358
34629	9	2013-08-02 16:06:16.151513	2013-08-02 16:06:16.151513
34677	2	2013-08-02 16:06:16.275965	2013-08-04 01:50:58.595237
11151	4	2013-08-02 16:05:24.82203	2013-08-04 03:00:38.737998
34634	14	2013-08-02 16:06:16.164605	2013-08-02 16:06:16.164605
49255	4	2013-08-02 16:06:48.557679	2013-08-04 03:00:38.742897
34636	16	2013-08-02 16:06:16.170025	2013-08-02 16:06:16.170025
34630	21	2013-08-02 16:06:16.154103	2013-08-04 18:44:55.992968
49855	4	2013-08-02 16:06:50.267722	2013-08-04 03:00:38.768
40237	4	2013-08-02 16:06:28.606048	2013-08-04 03:00:38.838188
40295	4	2013-08-02 16:06:28.660002	2013-08-04 03:00:38.841726
34642	2	2013-08-02 16:06:16.185984	2013-08-02 16:06:16.185984
34644	4	2013-08-02 16:06:16.191289	2013-08-02 16:06:16.191289
40217	4	2013-08-02 16:06:28.588489	2013-08-04 03:00:38.845187
34647	7	2013-08-02 16:06:16.198767	2013-08-02 16:06:16.198767
34649	9	2013-08-02 16:06:16.203848	2013-08-02 16:06:16.203848
28252	4	2013-08-02 16:06:01.545284	2013-08-04 03:00:38.880861
21159	4	2013-08-02 16:05:45.408729	2013-08-04 03:00:38.894089
34654	14	2013-08-02 16:06:16.216672	2013-08-02 16:06:16.216672
21139	4	2013-08-02 16:05:45.388376	2013-08-04 03:00:38.898039
34656	16	2013-08-02 16:06:16.221728	2013-08-02 16:06:16.221728
12906	4	2013-08-02 16:05:28.972006	2013-08-04 03:00:38.901745
34593	2	2013-08-02 16:06:16.054993	2013-08-04 18:47:30.368915
34662	2	2013-08-02 16:06:16.237189	2013-08-02 16:06:16.237189
34664	4	2013-08-02 16:06:16.242637	2013-08-02 16:06:16.242637
34652	2	2013-08-02 16:06:16.211367	2013-08-04 18:57:36.46942
34667	7	2013-08-02 16:06:16.250687	2013-08-02 16:06:16.250687
34669	9	2013-08-02 16:06:16.256038	2013-08-02 16:06:16.256038
34585	2	2013-08-02 16:06:16.037457	2013-08-04 18:57:36.480591
34686	2	2013-08-02 16:06:16.297613	2013-08-04 18:57:36.491653
34674	14	2013-08-02 16:06:16.268731	2013-08-02 16:06:16.268731
34600	16	2013-08-02 16:06:16.073472	2013-08-03 20:22:33.052407
34676	16	2013-08-02 16:06:16.273566	2013-08-02 16:06:16.273566
34666	2	2013-08-02 16:06:16.247972	2013-08-04 18:57:36.502855
34620	2	2013-08-02 16:06:16.127648	2013-08-04 18:57:36.513832
34646	2	2013-08-02 16:06:16.196297	2013-08-04 18:57:36.524915
34626	2	2013-08-02 16:06:16.143711	2013-08-04 18:57:36.536679
34682	2	2013-08-02 16:06:16.287995	2013-08-02 16:06:16.287995
34673	2	2013-08-02 16:06:16.266332	2013-08-04 18:57:36.548643
34684	4	2013-08-02 16:06:16.292797	2013-08-02 16:06:16.292797
34606	2	2013-08-02 16:06:16.08908	2013-08-04 18:57:36.560072
34687	7	2013-08-02 16:06:16.299987	2013-08-02 16:06:16.299987
34689	9	2013-08-02 16:06:16.304782	2013-08-02 16:06:16.304782
34586	2	2013-08-02 16:06:16.039053	2013-08-04 18:57:36.572335
34566	2	2013-08-02 16:06:16.010643	2013-08-04 18:57:36.584207
34694	14	2013-08-02 16:06:16.316715	2013-08-02 16:06:16.316715
34546	2	2013-08-02 16:06:15.962975	2013-08-04 18:57:36.595993
34696	16	2013-08-02 16:06:16.321452	2013-08-02 16:06:16.321452
34557	2	2013-08-02 16:06:15.992207	2013-08-04 18:57:37.974161
34595	16	2013-08-02 16:06:16.059931	2013-08-03 19:09:17.549516
34615	14	2013-08-02 16:06:16.114188	2013-08-03 19:09:17.553358
34545	21	2013-08-02 16:06:15.960288	2013-08-03 21:19:19.519025
34565	7	2013-08-02 16:06:16.009914	2013-08-03 21:21:38.188929
34605	4	2013-08-02 16:06:16.086342	2013-08-03 21:21:38.191031
34645	2	2013-08-02 16:06:16.193864	2013-08-03 21:21:38.193452
34685	9	2013-08-02 16:06:16.29518	2013-08-03 21:24:19.536584
34625	21	2013-08-02 16:06:16.141091	2013-08-03 21:24:57.900239
34612	9	2013-08-02 16:06:16.106165	2013-08-03 21:45:18.318885
34680	7	2013-08-02 16:06:16.283156	2013-08-03 21:45:18.325923
11219	21	2013-08-02 16:05:24.993234	2013-08-03 21:59:23.699838
11199	21	2013-08-02 16:05:24.94143	2013-08-03 21:59:23.703538
11179	21	2013-08-02 16:05:24.88998	2013-08-03 21:59:23.707282
11159	16	2013-08-02 16:05:24.841035	2013-08-03 21:59:23.750515
47518	14	2013-08-02 16:06:45.045651	2013-08-03 22:00:16.941955
34721	9	2013-08-02 16:06:16.384365	2013-08-03 23:06:34.197756
34832	14	2013-08-02 16:06:16.844162	2013-08-04 18:11:49.328005
34702	2	2013-08-02 16:06:16.336561	2013-08-02 16:06:16.336561
34838	21	2013-08-02 16:06:16.859985	2013-08-03 20:12:25.812929
34704	4	2013-08-02 16:06:16.34139	2013-08-02 16:06:16.34139
34810	7	2013-08-02 16:06:16.812574	2013-08-04 19:57:29.180006
34739	7	2013-08-02 16:06:16.432119	2013-08-04 19:57:29.184885
34707	7	2013-08-02 16:06:16.348611	2013-08-02 16:06:16.348611
34778	7	2013-08-02 16:06:16.535402	2013-08-04 19:57:29.19044
34709	9	2013-08-02 16:06:16.353383	2013-08-02 16:06:16.353383
34772	14	2013-08-02 16:06:16.519989	2013-08-04 18:11:49.332174
34719	7	2013-08-02 16:06:16.379044	2013-08-04 19:57:29.195949
34714	14	2013-08-02 16:06:16.365677	2013-08-02 16:06:16.365677
34818	14	2013-08-02 16:06:16.820796	2013-08-03 20:12:25.824778
34716	16	2013-08-02 16:06:16.371112	2013-08-02 16:06:16.371112
34835	14	2013-08-02 16:06:16.852048	2013-08-04 18:11:49.339778
6504	16	2013-08-02 16:05:16.305564	2013-08-03 23:06:59.141734
34770	21	2013-08-02 16:06:16.515123	2013-08-03 23:44:25.474316
21119	4	2013-08-02 16:05:45.36448	2013-08-04 03:00:38.905359
34722	2	2013-08-02 16:06:16.387019	2013-08-02 16:06:16.387019
21099	4	2013-08-02 16:05:45.343397	2013-08-04 03:00:38.90904
34724	4	2013-08-02 16:06:16.39231	2013-08-02 16:06:16.39231
34750	21	2013-08-02 16:06:16.461691	2013-08-03 23:44:25.476653
34717	7	2013-08-02 16:06:16.373785	2013-08-04 19:57:29.20014
34727	7	2013-08-02 16:06:16.400305	2013-08-02 16:06:16.400305
34699	7	2013-08-02 16:06:16.328647	2013-08-04 19:57:29.204624
34729	9	2013-08-02 16:06:16.405704	2013-08-02 16:06:16.405704
21131	4	2013-08-02 16:05:45.37827	2013-08-04 03:00:38.912541
34730	21	2013-08-02 16:06:16.408341	2013-08-03 23:44:25.478308
34765	4	2013-08-02 16:06:16.501788	2013-08-04 20:02:39.301366
34734	14	2013-08-02 16:06:16.418949	2013-08-02 16:06:16.418949
34736	16	2013-08-02 16:06:16.424276	2013-08-02 16:06:16.424276
34735	14	2013-08-02 16:06:16.421608	2013-08-04 18:11:49.345225
21132	4	2013-08-02 16:05:45.380139	2013-08-04 03:00:38.916193
34710	16	2013-08-02 16:06:16.35574	2013-08-03 23:44:25.499549
21079	4	2013-08-02 16:05:45.313114	2013-08-04 03:00:38.919879
34742	2	2013-08-02 16:06:16.440083	2013-08-02 16:06:16.440083
21059	4	2013-08-02 16:05:45.286612	2013-08-04 03:00:38.923373
34744	4	2013-08-02 16:06:16.445464	2013-08-02 16:06:16.445464
21046	4	2013-08-02 16:05:45.271547	2013-08-04 03:00:38.926886
34851	4	2013-08-02 16:06:16.887635	2013-08-04 20:02:39.316366
34747	7	2013-08-02 16:06:16.453494	2013-08-02 16:06:16.453494
34793	4	2013-08-02 16:06:16.574954	2013-08-04 20:02:39.332984
34749	9	2013-08-02 16:06:16.459031	2013-08-02 16:06:16.459031
21039	4	2013-08-02 16:05:45.262227	2013-08-04 03:00:38.930345
21019	4	2013-08-02 16:05:45.239669	2013-08-04 03:00:38.937461
34831	4	2013-08-02 16:06:16.841468	2013-08-04 20:02:39.348525
34754	14	2013-08-02 16:06:16.472357	2013-08-02 16:06:16.472357
34756	16	2013-08-02 16:06:16.477681	2013-08-02 16:06:16.477681
34848	14	2013-08-02 16:06:16.885	2013-08-04 18:11:49.354176
34811	4	2013-08-02 16:06:16.813618	2013-08-04 20:02:39.36357
34850	16	2013-08-02 16:06:16.886714	2013-08-03 23:45:16.956754
20999	4	2013-08-02 16:05:45.211436	2013-08-04 03:00:38.94113
34762	2	2013-08-02 16:06:16.493755	2013-08-02 16:06:16.493755
20979	4	2013-08-02 16:05:45.180434	2013-08-04 03:00:38.944718
34764	4	2013-08-02 16:06:16.499097	2013-08-02 16:06:16.499097
34825	21	2013-08-02 16:06:16.829169	2013-08-03 23:45:41.293779
34791	4	2013-08-02 16:06:16.569609	2013-08-04 20:02:39.377835
34767	7	2013-08-02 16:06:16.507099	2013-08-02 16:06:16.507099
34771	7	2013-08-02 16:06:16.517611	2013-08-04 20:02:39.40796
34769	9	2013-08-02 16:06:16.512423	2013-08-02 16:06:16.512423
34751	7	2013-08-02 16:06:16.464362	2013-08-04 20:02:39.414816
34713	2	2013-08-02 16:06:16.362908	2013-08-04 18:47:30.090412
34731	7	2013-08-02 16:06:16.411087	2013-08-04 20:02:39.420751
34774	14	2013-08-02 16:06:16.524798	2013-08-02 16:06:16.524798
34805	9	2013-08-02 16:06:16.807126	2013-08-04 18:47:32.992341
34776	16	2013-08-02 16:06:16.530252	2013-08-02 16:06:16.530252
34853	9	2013-08-02 16:06:16.890856	2013-08-04 18:47:33.002993
34790	9	2013-08-02 16:06:16.566949	2013-08-03 23:45:51.897392
34798	14	2013-08-02 16:06:16.58814	2013-08-03 23:49:34.30725
34711	7	2013-08-02 16:06:16.358149	2013-08-04 20:02:39.425963
34782	2	2013-08-02 16:06:16.546172	2013-08-02 16:06:16.546172
34840	21	2013-08-02 16:06:16.864894	2013-08-03 20:22:32.934429
34784	4	2013-08-02 16:06:16.551366	2013-08-02 16:06:16.551366
34701	21	2013-08-02 16:06:16.334135	2013-08-03 23:53:46.22497
34732	7	2013-08-02 16:06:16.413775	2013-08-04 20:02:39.43058
34787	7	2013-08-02 16:06:16.558899	2013-08-02 16:06:16.558899
34789	9	2013-08-02 16:06:16.564248	2013-08-02 16:06:16.564248
17611	4	2013-08-02 16:05:38.382168	2013-08-04 00:03:54.887489
34794	14	2013-08-02 16:06:16.577632	2013-08-02 16:06:16.577632
34820	21	2013-08-02 16:06:16.822813	2013-08-03 20:22:32.936167
34796	16	2013-08-02 16:06:16.582943	2013-08-02 16:06:16.582943
17631	2	2013-08-02 16:05:38.413918	2013-08-04 00:03:54.890205
34802	2	2013-08-02 16:06:16.803711	2013-08-02 16:06:16.803711
34800	2	2013-08-02 16:06:16.796235	2013-08-03 20:22:32.944284
34804	4	2013-08-02 16:06:16.806014	2013-08-02 16:06:16.806014
34807	7	2013-08-02 16:06:16.809248	2013-08-02 16:06:16.809248
34809	9	2013-08-02 16:06:16.811448	2013-08-02 16:06:16.811448
28052	14	2013-08-02 16:06:01.161371	2013-08-04 00:04:03.355675
34814	14	2013-08-02 16:06:16.816852	2013-08-02 16:06:16.816852
34816	16	2013-08-02 16:06:16.818883	2013-08-02 16:06:16.818883
14959	9	2013-08-02 16:05:33.013825	2013-08-04 00:04:13.85731
34822	2	2013-08-02 16:06:16.82517	2013-08-02 16:06:16.82517
34824	4	2013-08-02 16:06:16.827867	2013-08-02 16:06:16.827867
34833	21	2013-08-02 16:06:16.846872	2013-08-04 18:48:50.357537
34827	7	2013-08-02 16:06:16.83151	2013-08-02 16:06:16.83151
34829	9	2013-08-02 16:06:16.836076	2013-08-02 16:06:16.836076
43743	14	2013-08-02 16:06:36.558548	2013-08-04 00:04:13.884869
34834	14	2013-08-02 16:06:16.849557	2013-08-02 16:06:16.849557
34760	4	2013-08-02 16:06:16.48836	2013-08-03 20:22:32.973926
34836	16	2013-08-02 16:06:16.854774	2013-08-02 16:06:16.854774
34753	2	2013-08-02 16:06:16.469711	2013-08-04 18:52:31.326898
34813	2	2013-08-02 16:06:16.815878	2013-08-04 18:52:31.330075
34842	2	2013-08-02 16:06:16.869767	2013-08-02 16:06:16.869767
34773	7	2013-08-02 16:06:16.52239	2013-08-04 18:52:32.282165
34844	4	2013-08-02 16:06:16.875068	2013-08-02 16:06:16.875068
34786	2	2013-08-02 16:06:16.556266	2013-08-04 18:57:36.437101
34847	7	2013-08-02 16:06:16.882674	2013-08-02 16:06:16.882674
34849	9	2013-08-02 16:06:16.8858	2013-08-02 16:06:16.8858
34766	2	2013-08-02 16:06:16.504433	2013-08-04 18:57:36.441279
34746	2	2013-08-02 16:06:16.450814	2013-08-04 18:57:36.445153
34854	14	2013-08-02 16:06:16.893616	2013-08-02 16:06:16.893616
34715	9	2013-08-02 16:06:16.368412	2013-08-03 19:09:17.572099
34755	7	2013-08-02 16:06:16.475001	2013-08-03 19:09:17.57951
34726	2	2013-08-02 16:06:16.39767	2013-08-04 18:57:36.448982
34815	4	2013-08-02 16:06:16.817872	2013-08-03 19:09:17.590362
34706	2	2013-08-02 16:06:16.346231	2013-08-04 18:57:36.459006
34745	4	2013-08-02 16:06:16.448156	2013-08-03 21:24:19.477013
34845	21	2013-08-02 16:06:16.87756	2013-08-03 21:24:57.901215
34712	2	2013-08-02 16:06:16.360508	2013-08-03 21:45:18.342535
34846	16	2013-08-02 16:06:16.879971	2013-08-04 19:00:36.034482
34752	9	2013-08-02 16:06:16.467051	2013-08-03 21:50:50.021841
34792	7	2013-08-02 16:06:16.57226	2013-08-03 21:50:50.024782
34852	4	2013-08-02 16:06:16.888549	2013-08-03 21:50:50.031303
34785	14	2013-08-02 16:06:16.553848	2013-08-04 19:00:36.036748
34780	21	2013-08-02 16:06:16.540848	2013-08-03 21:51:01.166174
47718	4	2013-08-02 16:06:45.319304	2013-08-03 22:00:16.951782
2581	7	2013-08-02 16:05:08.926167	2013-08-03 22:00:17.12059
4866	2	2013-08-02 16:05:13.065621	2013-08-04 19:02:39.374629
34775	14	2013-08-02 16:06:16.527495	2013-08-04 19:02:40.828295
6484	2	2013-08-02 16:05:16.255439	2013-08-03 22:00:17.126698
34826	2	2013-08-02 16:06:16.830371	2013-08-04 19:02:41.090554
34812	7	2013-08-02 16:06:16.814643	2013-08-04 19:02:41.784458
34938	21	2013-08-02 16:06:17.060045	2013-08-03 20:12:25.805467
34856	16	2013-08-02 16:06:16.897469	2013-08-02 16:06:16.897469
44115	14	2013-08-02 16:06:37.435104	2013-08-04 17:31:51.781003
34997	2	2013-08-02 16:06:17.214198	2013-08-04 01:55:51.976945
34977	2	2013-08-02 16:06:17.160503	2013-08-04 01:55:51.986991
34957	2	2013-08-02 16:06:17.108532	2013-08-04 01:55:52.004002
34862	2	2013-08-02 16:06:16.904288	2013-08-02 16:06:16.904288
34918	21	2013-08-02 16:06:17.007466	2013-08-03 20:12:25.807074
34864	4	2013-08-02 16:06:16.905795	2013-08-02 16:06:16.905795
34881	14	2013-08-02 16:06:16.923155	2013-08-03 23:06:59.148741
34911	21	2013-08-02 16:06:16.989526	2013-08-04 20:02:39.243771
34867	7	2013-08-02 16:06:16.907915	2013-08-02 16:06:16.907915
34930	4	2013-08-02 16:06:17.03927	2013-08-04 20:02:39.262217
34869	9	2013-08-02 16:06:16.909379	2013-08-02 16:06:16.909379
34937	2	2013-08-02 16:06:17.057648	2013-08-04 01:55:52.018488
34891	4	2013-08-02 16:06:16.938995	2013-08-04 20:02:39.274794
34874	14	2013-08-02 16:06:16.914352	2013-08-02 16:06:16.914352
34898	21	2013-08-02 16:06:16.955997	2013-08-03 20:12:25.80843
34876	16	2013-08-02 16:06:16.916217	2013-08-02 16:06:16.916217
15528	14	2013-08-02 16:05:33.809368	2013-08-04 17:31:51.790492
34870	14	2013-08-02 16:06:16.910386	2013-08-03 23:45:16.958544
34871	4	2013-08-02 16:06:16.91139	2013-08-04 20:02:39.286511
34917	2	2013-08-02 16:06:17.004834	2013-08-04 01:55:52.02453
34882	2	2013-08-02 16:06:16.92428	2013-08-02 16:06:16.92428
34878	21	2013-08-02 16:06:16.918237	2013-08-03 20:12:25.809935
34884	4	2013-08-02 16:06:16.926961	2013-08-02 16:06:16.926961
34897	2	2013-08-02 16:06:16.953405	2013-08-04 01:55:52.029291
34960	7	2013-08-02 16:06:17.115798	2013-08-04 20:02:40.022135
34887	7	2013-08-02 16:06:16.931322	2013-08-02 16:06:16.931322
34899	7	2013-08-02 16:06:16.958776	2013-08-04 20:02:40.033983
34889	9	2013-08-02 16:06:16.935229	2013-08-02 16:06:16.935229
34877	2	2013-08-02 16:06:16.917179	2013-08-04 01:55:52.034322
34879	7	2013-08-02 16:06:16.919291	2013-08-04 20:02:40.045182
34894	14	2013-08-02 16:06:16.94536	2013-08-02 16:06:16.94536
34858	21	2013-08-02 16:06:16.900635	2013-08-03 20:12:25.811481
34896	16	2013-08-02 16:06:16.95092	2013-08-02 16:06:16.95092
2035	14	2013-08-02 16:05:08.00931	2013-08-04 17:31:51.921341
34950	9	2013-08-02 16:06:17.088943	2013-08-03 23:45:16.962764
34861	7	2013-08-02 16:06:16.903548	2013-08-04 20:02:40.05639
34857	2	2013-08-02 16:06:16.899703	2013-08-04 01:55:52.039566
34902	2	2013-08-02 16:06:16.96687	2013-08-02 16:06:16.96687
1989	14	2013-08-02 16:05:07.924737	2013-08-04 17:31:51.924807
34904	4	2013-08-02 16:06:16.971826	2013-08-02 16:06:16.971826
34990	7	2013-08-02 16:06:17.19536	2013-08-03 23:45:16.965312
34859	7	2013-08-02 16:06:16.901464	2013-08-04 20:02:40.067522
34907	7	2013-08-02 16:06:16.979371	2013-08-02 16:06:16.979371
34995	7	2013-08-02 16:06:17.20883	2013-08-04 20:07:37.342715
34909	9	2013-08-02 16:06:16.984664	2013-08-02 16:06:16.984664
2005	14	2013-08-02 16:05:07.957377	2013-08-04 17:31:51.929975
35011	7	2013-08-02 16:06:17.251145	2013-08-04 20:07:37.356917
34866	7	2013-08-02 16:06:16.907215	2013-08-04 20:07:37.364157
34914	14	2013-08-02 16:06:16.996768	2013-08-02 16:06:16.996768
34916	16	2013-08-02 16:06:17.002101	2013-08-02 16:06:17.002101
1969	14	2013-08-02 16:05:07.878863	2013-08-04 17:31:51.937542
34912	16	2013-08-02 16:06:16.991919	2013-08-04 01:58:32.850138
34895	21	2013-08-02 16:06:16.948149	2013-08-04 02:00:46.396941
34922	2	2013-08-02 16:06:17.018114	2013-08-02 16:06:17.018114
34924	4	2013-08-02 16:06:17.023478	2013-08-02 16:06:17.023478
35005	2	2013-08-02 16:06:17.235515	2013-08-04 02:00:48.465487
34991	7	2013-08-02 16:06:17.198071	2013-08-04 20:07:37.376399
34927	7	2013-08-02 16:06:17.031278	2013-08-02 16:06:17.031278
34971	7	2013-08-02 16:06:17.144668	2013-08-04 20:07:37.391204
34929	9	2013-08-02 16:06:17.03664	2013-08-02 16:06:17.03664
20959	4	2013-08-02 16:05:45.151554	2013-08-04 03:00:38.94901
20939	4	2013-08-02 16:05:45.133419	2013-08-04 03:00:38.953813
34951	4	2013-08-02 16:06:17.091351	2013-08-04 20:07:37.403303
34934	14	2013-08-02 16:06:17.049807	2013-08-02 16:06:17.049807
34860	21	2013-08-02 16:06:16.902478	2013-08-03 20:22:32.932706
34936	16	2013-08-02 16:06:17.055137	2013-08-02 16:06:17.055137
1979	14	2013-08-02 16:05:07.905514	2013-08-04 17:31:51.945642
20919	4	2013-08-02 16:05:45.110438	2013-08-04 03:00:38.957394
16640	14	2013-08-02 16:05:35.957539	2013-08-04 17:31:51.955091
1947	14	2013-08-02 16:05:07.834675	2013-08-04 17:31:51.964803
34942	2	2013-08-02 16:06:17.069613	2013-08-02 16:06:17.069613
34880	9	2013-08-02 16:06:16.921275	2013-08-03 20:24:44.925259
34944	4	2013-08-02 16:06:17.074275	2013-08-02 16:06:17.074275
35008	14	2013-08-02 16:06:17.243274	2013-08-04 18:22:28.447257
34931	4	2013-08-02 16:06:17.041952	2013-08-04 20:07:37.409867
34947	7	2013-08-02 16:06:17.081403	2013-08-02 16:06:17.081403
34910	4	2013-08-02 16:06:16.987118	2013-08-04 20:07:37.416312
34949	9	2013-08-02 16:06:17.086482	2013-08-02 16:06:17.086482
34988	14	2013-08-02 16:06:17.189986	2013-08-04 18:22:28.452106
34968	14	2013-08-02 16:06:17.136501	2013-08-04 18:22:28.456632
47558	7	2013-08-02 16:06:45.088993	2013-08-04 20:07:38.195062
34954	14	2013-08-02 16:06:17.10007	2013-08-02 16:06:17.10007
34985	7	2013-08-02 16:06:17.181888	2013-08-04 20:07:38.209207
34956	16	2013-08-02 16:06:17.106092	2013-08-02 16:06:17.106092
34900	14	2013-08-02 16:06:16.961555	2013-08-04 18:22:28.463743
34993	21	2013-08-02 16:06:17.203443	2013-08-04 18:47:32.914764
34973	4	2013-08-02 16:06:17.149978	2013-08-04 18:47:32.922729
34953	4	2013-08-02 16:06:17.096417	2013-08-04 18:47:32.928208
34962	2	2013-08-02 16:06:17.12063	2013-08-02 16:06:17.12063
34920	7	2013-08-02 16:06:17.012788	2013-08-03 20:24:44.930078
34964	4	2013-08-02 16:06:17.125796	2013-08-02 16:06:17.125796
34933	4	2013-08-02 16:06:17.047137	2013-08-04 18:47:32.932974
34999	7	2013-08-02 16:06:17.219388	2013-08-04 20:07:38.223633
34967	7	2013-08-02 16:06:17.133812	2013-08-02 16:06:17.133812
34969	9	2013-08-02 16:06:17.139235	2013-08-02 16:06:17.139235
34974	14	2013-08-02 16:06:17.152498	2013-08-02 16:06:17.152498
34976	16	2013-08-02 16:06:17.157868	2013-08-02 16:06:17.157868
34982	2	2013-08-02 16:06:17.173828	2013-08-02 16:06:17.173828
34984	4	2013-08-02 16:06:17.17914	2013-08-02 16:06:17.17914
34987	7	2013-08-02 16:06:17.187262	2013-08-02 16:06:17.187262
34989	9	2013-08-02 16:06:17.192713	2013-08-02 16:06:17.192713
5784	21	2013-08-02 16:05:14.627745	2013-08-04 18:56:12.216996
34955	2	2013-08-02 16:06:17.103604	2013-08-04 18:57:39.117254
34994	14	2013-08-02 16:06:17.206105	2013-08-02 16:06:17.206105
34980	4	2013-08-02 16:06:17.168663	2013-08-03 20:24:44.936003
34996	16	2013-08-02 16:06:17.211512	2013-08-02 16:06:17.211512
34906	9	2013-08-02 16:06:16.976929	2013-08-04 19:00:36.04171
35002	2	2013-08-02 16:06:17.227507	2013-08-02 16:06:17.227507
34926	7	2013-08-02 16:06:17.028626	2013-08-04 19:00:36.044241
35004	4	2013-08-02 16:06:17.232863	2013-08-02 16:06:17.232863
35007	7	2013-08-02 16:06:17.240675	2013-08-02 16:06:17.240675
35009	9	2013-08-02 16:06:17.245946	2013-08-02 16:06:17.245946
34966	4	2013-08-02 16:06:17.130953	2013-08-04 19:00:36.046658
34855	2	2013-08-02 16:06:16.896071	2013-08-03 19:09:17.59736
34940	2	2013-08-02 16:06:17.064888	2013-08-04 19:02:38.820011
34915	16	2013-08-02 16:06:16.999352	2013-08-03 19:12:56.007595
34935	14	2013-08-02 16:06:17.052433	2013-08-03 19:12:56.011471
34946	21	2013-08-02 16:06:17.079038	2013-08-04 19:02:38.836656
35000	2	2013-08-02 16:06:17.222195	2013-08-03 20:27:30.754328
34945	21	2013-08-02 16:06:17.076683	2013-08-03 21:24:19.211495
34925	21	2013-08-02 16:06:17.025954	2013-08-03 21:24:19.216132
34905	21	2013-08-02 16:06:16.974439	2013-08-03 21:24:19.219902
34885	14	2013-08-02 16:06:16.928371	2013-08-03 21:24:19.242608
34865	16	2013-08-02 16:06:16.90651	2013-08-03 21:24:19.266697
34886	2	2013-08-02 16:06:16.929833	2013-08-04 19:02:41.081061
34872	2	2013-08-02 16:06:16.912417	2013-08-03 21:50:50.034475
34978	16	2013-08-02 16:06:17.163202	2013-08-03 21:51:11.8225
34952	14	2013-08-02 16:06:17.093758	2013-08-03 21:51:11.829735
34932	9	2013-08-02 16:06:17.044599	2013-08-03 21:54:22.134717
35792	7	2013-08-02 16:06:19.137279	2013-08-03 22:00:17.179634
7061	21	2013-08-02 16:05:17.496713	2013-08-03 22:00:36.374467
17813	14	2013-08-02 16:05:38.700746	2013-08-03 22:00:36.428751
1988	14	2013-08-02 16:05:07.923727	2013-08-04 17:31:51.976433
35090	21	2013-08-02 16:06:17.446881	2013-08-04 20:07:37.249686
35014	14	2013-08-02 16:06:17.259237	2013-08-02 16:06:17.259237
1968	14	2013-08-02 16:05:07.876328	2013-08-04 17:31:51.988149
35016	16	2013-08-02 16:06:17.264555	2013-08-02 16:06:17.264555
2025	14	2013-08-02 16:05:07.993813	2013-08-04 17:31:51.999071
35041	2	2013-08-02 16:06:17.329209	2013-08-03 23:06:59.190808
35021	2	2013-08-02 16:06:17.277865	2013-08-03 23:11:27.153863
35038	2	2013-08-02 16:06:17.322054	2013-08-04 02:00:47.941986
35022	2	2013-08-02 16:06:17.280531	2013-08-02 16:06:17.280531
35018	16	2013-08-02 16:06:17.269889	2013-08-03 20:21:37.627244
35024	4	2013-08-02 16:06:17.285507	2013-08-02 16:06:17.285507
35015	14	2013-08-02 16:06:17.261923	2013-08-04 20:07:37.273184
35027	7	2013-08-02 16:06:17.29348	2013-08-02 16:06:17.29348
35091	14	2013-08-02 16:06:17.449334	2013-08-04 20:07:37.280445
35029	9	2013-08-02 16:06:17.298721	2013-08-02 16:06:17.298721
1886	14	2013-08-02 16:05:07.697604	2013-08-04 17:31:52.009893
2396	14	2013-08-02 16:05:08.703896	2013-08-04 17:31:52.0208
35078	14	2013-08-02 16:06:17.417866	2013-08-04 20:07:37.290222
35034	14	2013-08-02 16:06:17.312029	2013-08-02 16:06:17.312029
35071	14	2013-08-02 16:06:17.401351	2013-08-04 20:07:37.301601
35036	16	2013-08-02 16:06:17.31724	2013-08-02 16:06:17.31724
3400	14	2013-08-02 16:05:10.290888	2013-08-04 17:31:52.092133
3407	14	2013-08-02 16:05:10.308065	2013-08-04 17:31:52.103663
35081	4	2013-08-02 16:06:17.424933	2013-08-03 23:45:16.968877
3420	14	2013-08-02 16:05:10.339949	2013-08-04 17:31:52.115003
35042	2	2013-08-02 16:06:17.331569	2013-08-02 16:06:17.331569
35138	2	2013-08-02 16:06:17.566993	2013-08-03 20:21:38.01614
35044	4	2013-08-02 16:06:17.336296	2013-08-02 16:06:17.336296
3440	14	2013-08-02 16:05:10.390306	2013-08-04 17:31:52.126382
35051	14	2013-08-02 16:06:17.35378	2013-08-04 20:07:37.308095
35047	7	2013-08-02 16:06:17.343472	2013-08-02 16:06:17.343472
35031	14	2013-08-02 16:06:17.304067	2013-08-04 20:07:37.314489
35049	9	2013-08-02 16:06:17.34844	2013-08-02 16:06:17.34844
3309	14	2013-08-02 16:05:10.082135	2013-08-04 17:31:52.137313
35070	2	2013-08-02 16:06:17.398969	2013-08-03 23:45:16.971897
35061	7	2013-08-02 16:06:17.377784	2013-08-04 20:07:37.328266
35054	14	2013-08-02 16:06:17.361095	2013-08-02 16:06:17.361095
35118	9	2013-08-02 16:06:17.518318	2013-08-03 20:21:38.039828
35056	16	2013-08-02 16:06:17.365863	2013-08-02 16:06:17.365863
3387	14	2013-08-02 16:05:10.258475	2013-08-04 17:31:52.148149
27857	2	2013-08-02 16:06:00.793325	2013-08-04 18:27:18.832962
35030	14	2013-08-02 16:06:17.301414	2013-08-03 23:45:51.841175
35032	2	2013-08-02 16:06:17.306762	2013-08-04 18:27:18.837419
35062	2	2013-08-02 16:06:17.380173	2013-08-02 16:06:17.380173
35098	7	2013-08-02 16:06:17.466926	2013-08-03 20:21:38.062911
35064	4	2013-08-02 16:06:17.384929	2013-08-02 16:06:17.384929
35050	21	2013-08-02 16:06:17.35113	2013-08-03 23:45:51.977053
35153	7	2013-08-02 16:06:17.607088	2013-08-04 20:07:38.11839
35067	7	2013-08-02 16:06:17.391962	2013-08-02 16:06:17.391962
35085	7	2013-08-02 16:06:17.434938	2013-08-04 20:07:38.134112
35069	9	2013-08-02 16:06:17.396609	2013-08-02 16:06:17.396609
35059	7	2013-08-02 16:06:17.373026	2013-08-04 20:07:38.148
35074	14	2013-08-02 16:06:17.408369	2013-08-02 16:06:17.408369
35076	16	2013-08-02 16:06:17.413094	2013-08-02 16:06:17.413094
35130	14	2013-08-02 16:06:17.548143	2013-08-03 23:46:02.777166
35039	7	2013-08-02 16:06:17.32442	2013-08-04 20:07:38.163063
35133	4	2013-08-02 16:06:17.555213	2013-08-04 18:52:32.192529
35082	2	2013-08-02 16:06:17.427267	2013-08-02 16:06:17.427267
15639	4	2013-08-02 16:05:33.921531	2013-08-04 18:52:32.197348
35084	4	2013-08-02 16:06:17.432454	2013-08-02 16:06:17.432454
35113	4	2013-08-02 16:06:17.505366	2013-08-04 18:52:32.201584
19695	14	2013-08-02 16:05:42.643727	2013-08-04 20:12:39.217895
35087	7	2013-08-02 16:06:17.439763	2013-08-02 16:06:17.439763
27930	4	2013-08-02 16:06:00.987985	2013-08-04 20:12:39.238449
35089	9	2013-08-02 16:06:17.444514	2013-08-02 16:06:17.444514
6464	4	2013-08-02 16:05:16.205893	2013-08-04 20:12:39.2521
35125	4	2013-08-02 16:06:17.536233	2013-08-04 20:12:39.25947
35094	14	2013-08-02 16:06:17.456437	2013-08-02 16:06:17.456437
35020	2	2013-08-02 16:06:17.275202	2013-08-03 20:24:44.942255
35096	16	2013-08-02 16:06:17.461654	2013-08-02 16:06:17.461654
35151	4	2013-08-02 16:06:17.601746	2013-08-04 20:12:39.269153
35145	9	2013-08-02 16:06:17.585693	2013-08-03 23:46:02.791925
15659	4	2013-08-02 16:05:33.937729	2013-08-04 20:12:39.279368
35131	4	2013-08-02 16:06:17.550518	2013-08-04 20:12:39.292296
35102	2	2013-08-02 16:06:17.477775	2013-08-02 16:06:17.477775
35053	9	2013-08-02 16:06:17.358697	2013-08-04 18:52:32.22829
35104	4	2013-08-02 16:06:17.483061	2013-08-02 16:06:17.483061
35140	7	2013-08-02 16:06:17.572365	2013-08-04 20:12:39.315634
35107	7	2013-08-02 16:06:17.490378	2013-08-02 16:06:17.490378
35111	7	2013-08-02 16:06:17.499888	2013-08-04 20:12:39.325448
35109	9	2013-08-02 16:06:17.495114	2013-08-02 16:06:17.495114
35033	9	2013-08-02 16:06:17.309414	2013-08-04 18:52:32.23338
35150	9	2013-08-02 16:06:17.59904	2013-08-03 23:53:36.864233
29838	2	2013-08-02 16:06:04.988787	2013-08-04 20:12:39.945508
35114	14	2013-08-02 16:06:17.507782	2013-08-02 16:06:17.507782
35160	9	2013-08-02 16:06:17.625521	2013-08-03 20:27:33.517717
35116	16	2013-08-02 16:06:17.513023	2013-08-02 16:06:17.513023
35013	9	2013-08-02 16:06:17.256534	2013-08-04 18:52:32.239061
35110	21	2013-08-02 16:06:17.497518	2013-08-03 23:53:46.227784
35159	14	2013-08-02 16:06:17.622716	2013-08-04 20:12:39.95889
35139	14	2013-08-02 16:06:17.569732	2013-08-04 20:12:39.967671
35122	2	2013-08-02 16:06:17.528911	2013-08-02 16:06:17.528911
35124	4	2013-08-02 16:06:17.533808	2013-08-02 16:06:17.533808
35120	2	2013-08-02 16:06:17.523605	2013-08-04 18:57:37.161191
35119	14	2013-08-02 16:06:17.520979	2013-08-04 20:12:39.97317
35127	7	2013-08-02 16:06:17.541017	2013-08-02 16:06:17.541017
35129	9	2013-08-02 16:06:17.545774	2013-08-02 16:06:17.545774
35093	4	2013-08-02 16:06:17.454068	2013-08-04 18:57:37.172638
35134	14	2013-08-02 16:06:17.557589	2013-08-02 16:06:17.557589
35136	16	2013-08-02 16:06:17.562303	2013-08-02 16:06:17.562303
35072	2	2013-08-02 16:06:17.403679	2013-08-04 19:02:39.047013
15698	9	2013-08-02 16:05:33.984997	2013-08-04 00:04:13.891057
35095	2	2013-08-02 16:06:17.459032	2013-08-04 19:02:39.051312
35142	2	2013-08-02 16:06:17.577648	2013-08-02 16:06:17.577648
35144	4	2013-08-02 16:06:17.583002	2013-08-02 16:06:17.583002
35147	7	2013-08-02 16:06:17.591067	2013-08-02 16:06:17.591067
35149	9	2013-08-02 16:06:17.596351	2013-08-02 16:06:17.596351
35166	2	2013-08-02 16:06:17.641434	2013-08-04 19:02:39.055446
15699	7	2013-08-02 16:05:33.98583	2013-08-04 00:04:13.893647
35154	14	2013-08-02 16:06:17.60976	2013-08-02 16:06:17.60976
35156	16	2013-08-02 16:06:17.615053	2013-08-02 16:06:17.615053
15577	2	2013-08-02 16:05:33.85468	2013-08-04 19:02:39.058916
35146	2	2013-08-02 16:06:17.588347	2013-08-04 19:02:39.0624
35126	2	2013-08-02 16:06:17.538651	2013-08-04 19:02:39.065669
35162	2	2013-08-02 16:06:17.630669	2013-08-02 16:06:17.630669
35060	7	2013-08-02 16:06:17.375386	2013-08-03 20:27:33.627211
35164	4	2013-08-02 16:06:17.636061	2013-08-02 16:06:17.636061
35106	2	2013-08-02 16:06:17.487975	2013-08-04 19:02:39.069255
35167	7	2013-08-02 16:06:17.644069	2013-08-02 16:06:17.644069
35086	2	2013-08-02 16:06:17.437404	2013-08-04 19:02:39.073436
35066	2	2013-08-02 16:06:17.389602	2013-08-04 19:02:39.078249
35035	9	2013-08-02 16:06:17.314727	2013-08-03 19:12:56.029574
35075	7	2013-08-02 16:06:17.410717	2013-08-03 19:12:56.036658
35046	2	2013-08-02 16:06:17.341111	2013-08-04 19:02:39.084199
35026	2	2013-08-02 16:06:17.290979	2013-08-04 19:02:39.090251
35025	16	2013-08-02 16:06:17.288212	2013-08-03 21:25:38.674727
35073	14	2013-08-02 16:06:17.406042	2013-08-04 19:02:40.82271
35065	14	2013-08-02 16:06:17.387261	2013-08-03 21:25:38.677419
35045	21	2013-08-02 16:06:17.338707	2013-08-03 21:29:20.878436
35012	9	2013-08-02 16:06:17.253798	2013-08-03 21:51:11.844192
35052	7	2013-08-02 16:06:17.356257	2013-08-03 21:51:11.851698
35112	4	2013-08-02 16:06:17.502609	2013-08-03 21:51:11.862465
35152	2	2013-08-02 16:06:17.6044	2013-08-03 21:51:11.869632
35092	14	2013-08-02 16:06:17.451685	2013-08-03 21:56:15.299422
35105	21	2013-08-02 16:06:17.485574	2013-08-03 21:59:22.992017
27845	9	2013-08-02 16:06:00.76423	2013-08-03 22:00:36.535467
35169	9	2013-08-02 16:06:17.649419	2013-08-02 16:06:17.649419
35177	4	2013-08-02 16:06:17.670735	2013-08-04 01:58:32.893552
19766	21	2013-08-02 16:05:42.824812	2013-08-03 22:04:59.252308
35271	21	2013-08-02 16:06:17.90912	2013-08-04 20:12:39.14329
35174	14	2013-08-02 16:06:17.66294	2013-08-02 16:06:17.66294
35318	21	2013-08-02 16:06:17.994281	2013-08-03 20:21:37.910632
35176	16	2013-08-02 16:06:17.668052	2013-08-02 16:06:17.668052
8605	14	2013-08-02 16:05:20.299409	2013-08-04 17:31:52.158913
3329	14	2013-08-02 16:05:10.134117	2013-08-04 17:31:52.170068
35201	2	2013-08-02 16:06:17.733859	2013-08-03 23:15:56.844324
35217	2	2013-08-02 16:06:17.775188	2013-08-04 01:58:32.900468
35182	2	2013-08-02 16:06:17.684233	2013-08-02 16:06:17.684233
35298	21	2013-08-02 16:06:17.943146	2013-08-03 20:21:37.912642
35184	4	2013-08-02 16:06:17.689602	2013-08-02 16:06:17.689602
35285	16	2013-08-02 16:06:17.9235	2013-08-03 23:19:39.216435
35251	14	2013-08-02 16:06:17.861052	2013-08-04 20:12:39.167461
35187	7	2013-08-02 16:06:17.697533	2013-08-02 16:06:17.697533
35231	14	2013-08-02 16:06:17.808224	2013-08-04 20:12:39.183929
35189	9	2013-08-02 16:06:17.702822	2013-08-02 16:06:17.702822
48123	14	2013-08-02 16:06:46.200955	2013-08-04 17:31:52.181371
35195	14	2013-08-02 16:06:17.718506	2013-08-03 23:19:39.22593
35211	14	2013-08-02 16:06:17.760221	2013-08-04 20:12:39.196579
35194	14	2013-08-02 16:06:17.716042	2013-08-02 16:06:17.716042
35196	16	2013-08-02 16:06:17.720906	2013-08-02 16:06:17.720906
22141	14	2013-08-02 16:05:47.900698	2013-08-04 17:31:52.192574
35321	9	2013-08-02 16:06:18.002254	2013-08-03 23:19:39.238161
35170	7	2013-08-02 16:06:17.652211	2013-08-03 23:46:02.79941
35237	7	2013-08-02 16:06:17.823608	2013-08-04 02:00:45.977404
35202	2	2013-08-02 16:06:17.736616	2013-08-02 16:06:17.736616
35191	14	2013-08-02 16:06:17.708094	2013-08-04 20:12:39.20513
35204	4	2013-08-02 16:06:17.741925	2013-08-02 16:06:17.741925
35197	2	2013-08-02 16:06:17.723293	2013-08-04 02:00:46.789034
35171	14	2013-08-02 16:06:17.65497	2013-08-04 20:12:39.211329
35207	7	2013-08-02 16:06:17.749687	2013-08-02 16:06:17.749687
35310	21	2013-08-02 16:06:17.972939	2013-08-04 20:12:39.912925
35209	9	2013-08-02 16:06:17.754945	2013-08-02 16:06:17.754945
35305	2	2013-08-02 16:06:17.961248	2013-08-04 02:00:48.152299
35238	4	2013-08-02 16:06:17.826248	2013-08-03 23:46:02.811228
35239	21	2013-08-02 16:06:17.8289	2013-08-04 20:12:39.915498
35214	14	2013-08-02 16:06:17.767987	2013-08-02 16:06:17.767987
35215	2	2013-08-02 16:06:17.77039	2013-08-04 02:00:48.16296
35216	16	2013-08-02 16:06:17.772813	2013-08-02 16:06:17.772813
3367	14	2013-08-02 16:05:10.205499	2013-08-04 17:31:52.20137
35317	2	2013-08-02 16:06:17.991621	2013-08-04 02:00:48.173562
35250	2	2013-08-02 16:06:17.858432	2013-08-03 23:46:02.818001
35297	2	2013-08-02 16:06:17.940856	2013-08-04 02:00:48.184223
35222	2	2013-08-02 16:06:17.786983	2013-08-02 16:06:17.786983
35277	2	2013-08-02 16:06:17.915199	2013-08-04 02:00:48.196022
35224	4	2013-08-02 16:06:17.791701	2013-08-02 16:06:17.791701
35257	2	2013-08-02 16:06:17.876936	2013-08-04 02:00:48.206948
35219	21	2013-08-02 16:06:17.779901	2013-08-04 20:12:39.9182
35227	7	2013-08-02 16:06:17.798807	2013-08-02 16:06:17.798807
35199	2	2013-08-02 16:06:17.728249	2013-08-04 20:12:39.932185
35229	9	2013-08-02 16:06:17.8035	2013-08-02 16:06:17.8035
22321	14	2013-08-02 16:05:48.310647	2013-08-04 17:31:52.208762
35270	16	2013-08-02 16:06:17.908041	2013-08-03 23:49:34.282831
35278	2	2013-08-02 16:06:17.916209	2013-08-04 20:12:39.937251
35234	14	2013-08-02 16:06:17.815684	2013-08-02 16:06:17.815684
35198	4	2013-08-02 16:06:17.725697	2013-08-03 20:21:37.95357
35236	16	2013-08-02 16:06:17.821	2013-08-02 16:06:17.821
3448	14	2013-08-02 16:05:10.411498	2013-08-04 17:31:52.218834
5590	14	2013-08-02 16:05:14.214108	2013-08-04 17:31:52.229794
35210	9	2013-08-02 16:06:17.757587	2013-08-03 23:49:34.711432
3429	14	2013-08-02 16:05:10.362095	2013-08-04 17:31:52.24012
35242	2	2013-08-02 16:06:17.837073	2013-08-02 16:06:17.837073
35320	21	2013-08-02 16:06:17.999564	2013-08-03 20:27:33.375295
35244	4	2013-08-02 16:06:17.842349	2013-08-02 16:06:17.842349
35212	7	2013-08-02 16:06:17.762891	2013-08-03 23:49:34.864272
35179	2	2013-08-02 16:06:17.676225	2013-08-04 20:12:39.94148
35247	7	2013-08-02 16:06:17.850376	2013-08-02 16:06:17.850376
35259	16	2013-08-02 16:06:17.88208	2013-08-04 20:14:30.845551
35249	9	2013-08-02 16:06:17.85569	2013-08-02 16:06:17.85569
3347	14	2013-08-02 16:05:10.169892	2013-08-04 17:31:52.245691
35254	14	2013-08-02 16:06:17.868997	2013-08-02 16:06:17.868997
35300	21	2013-08-02 16:06:17.948862	2013-08-03 20:27:33.377298
35256	16	2013-08-02 16:06:17.874297	2013-08-02 16:06:17.874297
35173	21	2013-08-02 16:06:17.660248	2013-08-04 18:52:32.163144
35279	14	2013-08-02 16:06:17.917154	2013-08-04 20:14:30.851439
35230	21	2013-08-02 16:06:17.805861	2013-08-03 23:49:35.04284
35262	2	2013-08-02 16:06:17.889257	2013-08-02 16:06:17.889257
35280	21	2013-08-02 16:06:17.917959	2013-08-03 20:27:33.378494
35264	4	2013-08-02 16:06:17.894395	2013-08-02 16:06:17.894395
35325	4	2013-08-02 16:06:18.012458	2013-08-04 18:57:39.772945
35267	7	2013-08-02 16:06:17.902443	2013-08-02 16:06:17.902443
35269	9	2013-08-02 16:06:17.906171	2013-08-02 16:06:17.906171
35275	4	2013-08-02 16:06:17.913182	2013-08-04 18:57:39.785215
35323	4	2013-08-02 16:06:18.007569	2013-08-04 18:57:39.792788
35274	14	2013-08-02 16:06:17.912174	2013-08-02 16:06:17.912174
35260	14	2013-08-02 16:06:17.884462	2013-08-03 20:27:33.387288
35276	16	2013-08-02 16:06:17.914188	2013-08-02 16:06:17.914188
35313	9	2013-08-02 16:06:17.980939	2013-08-04 18:57:39.803397
35293	9	2013-08-02 16:06:17.935019	2013-08-04 18:57:39.808049
35273	9	2013-08-02 16:06:17.911164	2013-08-04 18:57:39.813043
35282	2	2013-08-02 16:06:17.919985	2013-08-02 16:06:17.919985
35284	4	2013-08-02 16:06:17.922206	2013-08-02 16:06:17.922206
35319	21	2013-08-02 16:06:17.996939	2013-08-04 20:17:30.269926
35287	7	2013-08-02 16:06:17.926298	2013-08-02 16:06:17.926298
35299	2	2013-08-02 16:06:17.945876	2013-08-04 20:17:30.557449
35289	9	2013-08-02 16:06:17.929192	2013-08-02 16:06:17.929192
35192	7	2013-08-02 16:06:17.710736	2013-08-04 20:17:32.87977
35306	2	2013-08-02 16:06:17.963442	2013-08-04 19:02:39.002807
35311	7	2013-08-02 16:06:17.975565	2013-08-04 20:17:32.886004
35294	14	2013-08-02 16:06:17.936462	2013-08-02 16:06:17.936462
35220	16	2013-08-02 16:06:17.782258	2013-08-03 20:27:33.425156
35296	16	2013-08-02 16:06:17.939345	2013-08-02 16:06:17.939345
35286	2	2013-08-02 16:06:17.924925	2013-08-04 19:02:39.00971
35266	2	2013-08-02 16:06:17.89973	2013-08-04 19:02:39.015971
35246	2	2013-08-02 16:06:17.847705	2013-08-04 19:02:39.021745
35226	2	2013-08-02 16:06:17.796421	2013-08-04 19:02:39.026427
35302	2	2013-08-02 16:06:17.954085	2013-08-02 16:06:17.954085
35258	4	2013-08-02 16:06:17.879583	2013-08-03 20:27:33.448788
35304	4	2013-08-02 16:06:17.958985	2013-08-02 16:06:17.958985
35206	2	2013-08-02 16:06:17.747069	2013-08-04 19:02:39.031511
35291	7	2013-08-02 16:06:17.932092	2013-08-04 20:17:32.893443
35307	7	2013-08-02 16:06:17.965734	2013-08-02 16:06:17.965734
35253	7	2013-08-02 16:06:17.866319	2013-08-04 20:17:32.901041
35309	9	2013-08-02 16:06:17.970265	2013-08-02 16:06:17.970265
35190	2	2013-08-02 16:06:17.705463	2013-08-04 19:02:39.037416
35186	2	2013-08-02 16:06:17.6949	2013-08-04 19:02:39.042738
35240	2	2013-08-02 16:06:17.831516	2013-08-04 20:17:33.339122
35314	14	2013-08-02 16:06:17.983575	2013-08-02 16:06:17.983575
35213	21	2013-08-02 16:06:17.765544	2013-08-04 19:02:39.21449
35316	16	2013-08-02 16:06:17.988971	2013-08-02 16:06:17.988971
35172	7	2013-08-02 16:06:17.657623	2013-08-04 20:22:42.257055
35322	2	2013-08-02 16:06:18.004928	2013-08-02 16:06:18.004928
35185	7	2013-08-02 16:06:17.692253	2013-08-03 21:25:38.692002
35324	4	2013-08-02 16:06:18.010047	2013-08-02 16:06:18.010047
35303	14	2013-08-02 16:06:17.956774	2013-08-03 18:53:59.935566
35175	2	2013-08-02 16:06:17.665475	2013-08-03 19:12:56.055184
35235	16	2013-08-02 16:06:17.818332	2013-08-03 19:13:16.154867
35255	14	2013-08-02 16:06:17.871639	2013-08-03 19:13:16.155909
35225	4	2013-08-02 16:06:17.794083	2013-08-03 21:25:38.696028
35265	2	2013-08-02 16:06:17.897069	2013-08-03 21:25:38.700833
35200	7	2013-08-02 16:06:17.731072	2013-08-03 21:29:20.18562
35245	21	2013-08-02 16:06:17.845053	2013-08-03 21:30:23.216824
35232	9	2013-08-02 16:06:17.810498	2013-08-03 21:56:15.31254
35272	7	2013-08-02 16:06:17.910152	2013-08-03 21:56:15.319631
19706	9	2013-08-02 16:05:42.672857	2013-08-03 22:00:36.628215
19726	7	2013-08-02 16:05:42.722852	2013-08-03 22:00:36.636121
19746	4	2013-08-02 16:05:42.774225	2013-08-03 22:00:36.643267
35339	9	2013-08-02 16:06:18.048786	2013-08-04 20:14:30.869112
35327	7	2013-08-02 16:06:18.017413	2013-08-02 16:06:18.017413
35329	9	2013-08-02 16:06:18.022651	2013-08-02 16:06:18.022651
27921	2	2013-08-02 16:06:00.964227	2013-08-04 02:00:48.015651
35392	21	2013-08-02 16:06:18.183333	2013-08-03 23:19:39.069443
35379	7	2013-08-02 16:06:18.150157	2013-08-04 20:14:30.876016
35334	14	2013-08-02 16:06:18.03583	2013-08-02 16:06:18.03583
35418	21	2013-08-02 16:06:18.246814	2013-08-03 20:21:37.902426
35336	16	2013-08-02 16:06:18.040958	2013-08-02 16:06:18.040958
3414	14	2013-08-02 16:05:10.325344	2013-08-04 17:31:52.249976
35481	21	2013-08-02 16:06:18.396653	2013-08-03 23:19:39.071508
35472	21	2013-08-02 16:06:18.375407	2013-08-03 23:49:34.768011
35460	2	2013-08-02 16:06:18.346802	2013-08-04 02:00:48.027478
35342	2	2013-08-02 16:06:18.056008	2013-08-02 16:06:18.056008
35398	21	2013-08-02 16:06:18.197759	2013-08-03 20:21:37.904094
35344	4	2013-08-02 16:06:18.060868	2013-08-02 16:06:18.060868
35477	2	2013-08-02 16:06:18.387232	2013-08-04 02:00:48.037355
35347	7	2013-08-02 16:06:18.068047	2013-08-02 16:06:18.068047
35349	9	2013-08-02 16:06:18.072859	2013-08-02 16:06:18.072859
35457	2	2013-08-02 16:06:18.339692	2013-08-04 02:00:48.041857
35437	2	2013-08-02 16:06:18.291833	2013-08-04 02:00:48.046302
35419	4	2013-08-02 16:06:18.249232	2013-08-04 20:14:30.886805
35354	14	2013-08-02 16:06:18.084899	2013-08-02 16:06:18.084899
35378	21	2013-08-02 16:06:18.147728	2013-08-03 20:21:37.905622
35356	16	2013-08-02 16:06:18.089984	2013-08-02 16:06:18.089984
20697	14	2013-08-02 16:05:44.593889	2013-08-04 17:31:52.254169
35417	2	2013-08-02 16:06:18.244379	2013-08-04 02:00:48.050812
35380	16	2013-08-02 16:06:18.15261	2013-08-03 23:49:34.798225
35397	2	2013-08-02 16:06:18.195348	2013-08-04 02:00:48.055395
35362	2	2013-08-02 16:06:18.106831	2013-08-02 16:06:18.106831
35358	21	2013-08-02 16:06:18.095363	2013-08-03 20:21:37.907347
35364	4	2013-08-02 16:06:18.112311	2013-08-02 16:06:18.112311
35439	2	2013-08-02 16:06:18.296531	2013-08-04 20:14:30.895118
35367	7	2013-08-02 16:06:18.120139	2013-08-02 16:06:18.120139
35369	9	2013-08-02 16:06:18.125483	2013-08-02 16:06:18.125483
35377	2	2013-08-02 16:06:18.145337	2013-08-04 02:00:48.114572
2578	14	2013-08-02 16:05:08.92359	2013-08-04 17:31:52.258154
35374	14	2013-08-02 16:06:18.138146	2013-08-02 16:06:18.138146
35338	21	2013-08-02 16:06:18.046264	2013-08-03 20:21:37.908992
35376	16	2013-08-02 16:06:18.142936	2013-08-02 16:06:18.142936
28768	2	2013-08-02 16:06:02.15436	2013-08-04 17:31:52.326625
35399	21	2013-08-02 16:06:18.200152	2013-08-04 20:14:43.023037
35370	9	2013-08-02 16:06:18.128128	2013-08-03 23:49:34.837052
35410	2	2013-08-02 16:06:18.227239	2013-08-04 02:00:48.120922
35382	2	2013-08-02 16:06:18.157424	2013-08-02 16:06:18.157424
35450	21	2013-08-02 16:06:18.322824	2013-08-03 23:53:36.637226
35384	4	2013-08-02 16:06:18.162681	2013-08-02 16:06:18.162681
35470	14	2013-08-02 16:06:18.370641	2013-08-03 23:53:57.081504
35333	2	2013-08-02 16:06:18.033369	2013-08-04 20:17:29.473376
35387	7	2013-08-02 16:06:18.170677	2013-08-02 16:06:18.170677
35353	21	2013-08-02 16:06:18.08247	2013-08-04 20:17:29.504462
35389	9	2013-08-02 16:06:18.175998	2013-08-02 16:06:18.175998
35357	2	2013-08-02 16:06:18.092686	2013-08-04 02:00:48.13078
35337	2	2013-08-02 16:06:18.043568	2013-08-04 02:00:48.141683
35359	2	2013-08-02 16:06:18.09811	2013-08-04 20:17:30.19813
35394	14	2013-08-02 16:06:18.188186	2013-08-02 16:06:18.188186
35458	7	2013-08-02 16:06:18.342071	2013-08-03 20:22:32.350214
35396	16	2013-08-02 16:06:18.192998	2013-08-02 16:06:18.192998
28748	2	2013-08-02 16:06:02.129634	2013-08-04 17:31:52.337521
28588	2	2013-08-02 16:06:01.946785	2013-08-04 17:31:52.543769
35405	9	2013-08-02 16:06:18.214722	2013-08-04 00:07:47.594043
9165	2	2013-08-02 16:05:21.693264	2013-08-04 17:31:52.579489
35402	2	2013-08-02 16:06:18.207615	2013-08-02 16:06:18.207615
35459	2	2013-08-02 16:06:18.344438	2013-08-04 20:17:31.404588
35404	4	2013-08-02 16:06:18.212343	2013-08-02 16:06:18.212343
9109	2	2013-08-02 16:05:21.4985	2013-08-04 17:31:52.591561
35452	4	2013-08-02 16:06:18.327689	2013-08-04 20:17:32.786721
35407	7	2013-08-02 16:06:18.219674	2013-08-02 16:06:18.219674
35425	4	2013-08-02 16:06:18.263536	2013-08-04 20:17:32.792394
35409	9	2013-08-02 16:06:18.224817	2013-08-02 16:06:18.224817
9000	2	2013-08-02 16:05:21.233043	2013-08-04 17:31:52.602824
9038	2	2013-08-02 16:05:21.327899	2013-08-04 17:31:52.613942
35471	4	2013-08-02 16:06:18.373065	2013-08-04 20:17:32.798274
35414	14	2013-08-02 16:06:18.237176	2013-08-02 16:06:18.237176
9089	2	2013-08-02 16:05:21.450148	2013-08-04 17:31:52.624892
35416	16	2013-08-02 16:06:18.241995	2013-08-02 16:06:18.241995
35373	21	2013-08-02 16:06:18.135723	2013-08-04 18:57:39.70793
35415	2	2013-08-02 16:06:18.23957	2013-08-04 19:02:40.200478
35422	2	2013-08-02 16:06:18.256362	2013-08-02 16:06:18.256362
35424	4	2013-08-02 16:06:18.261153	2013-08-02 16:06:18.261153
35395	2	2013-08-02 16:06:18.19059	2013-08-04 19:02:40.209133
35451	4	2013-08-02 16:06:18.325318	2013-08-04 20:17:32.807895
35427	7	2013-08-02 16:06:18.26831	2013-08-02 16:06:18.26831
35431	4	2013-08-02 16:06:18.277779	2013-08-04 20:17:32.813535
35429	9	2013-08-02 16:06:18.273021	2013-08-02 16:06:18.273021
35440	2	2013-08-02 16:06:18.298887	2013-08-04 19:02:40.218787
35466	2	2013-08-02 16:06:18.361073	2013-08-04 19:02:40.227322
35360	4	2013-08-02 16:06:18.100881	2013-08-04 20:17:32.819609
35434	14	2013-08-02 16:06:18.284789	2013-08-02 16:06:18.284789
35446	2	2013-08-02 16:06:18.313056	2013-08-04 19:02:40.231294
35436	16	2013-08-02 16:06:18.289497	2013-08-02 16:06:18.289497
35426	2	2013-08-02 16:06:18.265937	2013-08-04 19:02:40.235343
35406	2	2013-08-02 16:06:18.217131	2013-08-04 19:02:40.239641
35386	2	2013-08-02 16:06:18.167984	2013-08-04 19:02:40.243872
35366	2	2013-08-02 16:06:18.117658	2013-08-04 19:02:40.247963
35442	2	2013-08-02 16:06:18.303631	2013-08-02 16:06:18.303631
35478	9	2013-08-02 16:06:18.389573	2013-08-03 20:30:10.18581
35444	4	2013-08-02 16:06:18.308299	2013-08-02 16:06:18.308299
35430	2	2013-08-02 16:06:18.275386	2013-08-04 19:02:40.25193
35411	4	2013-08-02 16:06:18.22962	2013-08-04 20:17:32.826561
35447	7	2013-08-02 16:06:18.315394	2013-08-02 16:06:18.315394
35391	4	2013-08-02 16:06:18.180961	2013-08-04 20:17:32.83567
35449	9	2013-08-02 16:06:18.320306	2013-08-02 16:06:18.320306
35346	2	2013-08-02 16:06:18.065631	2013-08-04 19:02:40.255905
35371	4	2013-08-02 16:06:18.130601	2013-08-04 20:17:32.843206
35351	7	2013-08-02 16:06:18.077657	2013-08-04 20:17:32.86721
35454	14	2013-08-02 16:06:18.332458	2013-08-02 16:06:18.332458
35331	7	2013-08-02 16:06:18.027997	2013-08-04 20:17:32.872246
35456	16	2013-08-02 16:06:18.337305	2013-08-02 16:06:18.337305
19666	7	2013-08-02 16:05:42.567409	2013-08-04 20:17:33.58275
35479	7	2013-08-02 16:06:18.39191	2013-08-04 20:17:33.587426
35462	2	2013-08-02 16:06:18.351608	2013-08-02 16:06:18.351608
35420	7	2013-08-02 16:06:18.251578	2013-08-03 20:30:10.188997
35464	4	2013-08-02 16:06:18.356316	2013-08-02 16:06:18.356316
35467	7	2013-08-02 16:06:18.363433	2013-08-02 16:06:18.363433
35469	9	2013-08-02 16:06:18.368241	2013-08-02 16:06:18.368241
35474	14	2013-08-02 16:06:18.380135	2013-08-02 16:06:18.380135
35476	16	2013-08-02 16:06:18.3849	2013-08-02 16:06:18.3849
35482	2	2013-08-02 16:06:18.398989	2013-08-02 16:06:18.398989
35335	9	2013-08-02 16:06:18.038465	2013-08-03 19:13:16.160707
35375	7	2013-08-02 16:06:18.140511	2013-08-03 19:13:16.162636
35435	4	2013-08-02 16:06:18.287107	2013-08-03 19:13:16.165877
35465	16	2013-08-02 16:06:18.358678	2013-08-03 21:29:20.049108
35445	21	2013-08-02 16:06:18.310653	2013-08-03 21:30:23.217865
35332	4	2013-08-02 16:06:18.030678	2013-08-03 21:56:15.330456
35372	2	2013-08-02 16:06:18.133082	2013-08-03 21:56:15.337622
35352	21	2013-08-02 16:06:18.080028	2013-08-03 21:56:35.147604
35340	14	2013-08-02 16:06:18.051192	2013-08-03 21:56:35.623896
35385	9	2013-08-02 16:06:18.165343	2013-08-03 21:56:35.629934
35412	21	2013-08-02 16:06:18.232193	2013-08-03 21:59:22.989155
27858	16	2013-08-02 16:06:00.795613	2013-08-03 22:00:36.87151
27895	14	2013-08-02 16:06:00.888735	2013-08-03 22:00:36.878614
28021	7	2013-08-02 16:06:01.131616	2013-08-03 22:00:36.901012
35517	2	2013-08-02 16:06:18.482776	2013-08-04 02:00:47.991529
35484	4	2013-08-02 16:06:18.403813	2013-08-02 16:06:18.403813
28101	21	2013-08-02 16:06:01.218264	2013-08-03 22:04:59.255141
35487	7	2013-08-02 16:06:18.410956	2013-08-02 16:06:18.410956
35489	9	2013-08-02 16:06:18.415637	2013-08-02 16:06:18.415637
35497	2	2013-08-02 16:06:18.434566	2013-08-04 02:00:48.003815
9069	2	2013-08-02 16:05:21.401771	2013-08-04 17:31:52.635885
35494	14	2013-08-02 16:06:18.427394	2013-08-02 16:06:18.427394
35618	14	2013-08-02 16:06:18.827469	2013-08-03 20:22:32.264319
35496	16	2013-08-02 16:06:18.432159	2013-08-02 16:06:18.432159
9049	2	2013-08-02 16:05:21.354219	2013-08-04 17:31:52.647074
35501	21	2013-08-02 16:06:18.444303	2013-08-03 23:19:39.067682
9029	2	2013-08-02 16:05:21.306311	2013-08-04 17:31:52.657499
35538	21	2013-08-02 16:06:18.744691	2013-08-04 02:05:54.255743
35502	2	2013-08-02 16:06:18.446691	2013-08-02 16:06:18.446691
35504	4	2013-08-02 16:06:18.451442	2013-08-02 16:06:18.451442
35541	14	2013-08-02 16:06:18.752533	2013-08-03 23:21:59.226418
35507	7	2013-08-02 16:06:18.458686	2013-08-02 16:06:18.458686
35575	16	2013-08-02 16:06:18.798137	2013-08-04 19:04:01.883122
35509	9	2013-08-02 16:06:18.463415	2013-08-02 16:06:18.463415
35537	2	2013-08-02 16:06:18.742519	2013-08-04 02:05:55.640231
35578	14	2013-08-02 16:06:18.800266	2013-08-04 19:04:01.885253
35514	14	2013-08-02 16:06:18.475626	2013-08-02 16:06:18.475626
28061	21	2013-08-02 16:06:01.170823	2013-08-03 23:49:34.764492
35516	16	2013-08-02 16:06:18.480365	2013-08-02 16:06:18.480365
16160	2	2013-08-02 16:05:34.726349	2013-08-04 17:31:52.668277
35490	21	2013-08-02 16:06:18.418001	2013-08-03 23:49:34.766566
9009	2	2013-08-02 16:05:21.256966	2013-08-04 17:31:52.678835
8981	2	2013-08-02 16:05:21.182096	2013-08-04 17:31:52.690214
35522	2	2013-08-02 16:06:18.4947	2013-08-02 16:06:18.4947
35524	4	2013-08-02 16:06:18.499414	2013-08-02 16:06:18.499414
35527	7	2013-08-02 16:06:18.506527	2013-08-02 16:06:18.506527
35610	21	2013-08-02 16:06:18.822135	2013-08-04 19:07:36.854101
35529	9	2013-08-02 16:06:18.511297	2013-08-02 16:06:18.511297
8989	2	2013-08-02 16:05:21.203478	2013-08-04 17:31:52.701922
8969	2	2013-08-02 16:05:21.149928	2013-08-04 17:31:52.713108
35553	21	2013-08-02 16:06:18.781234	2013-08-04 19:07:36.855154
35534	14	2013-08-02 16:06:18.523127	2013-08-02 16:06:18.523127
9016	2	2013-08-02 16:05:21.274581	2013-08-04 17:31:52.724011
35536	16	2013-08-02 16:06:18.741115	2013-08-02 16:06:18.741115
35492	2	2013-08-02 16:06:18.422703	2013-08-04 18:32:17.960265
35550	16	2013-08-02 16:06:18.774376	2013-08-03 23:53:36.687444
35546	2	2013-08-02 16:06:18.765572	2013-08-04 19:02:40.174997
35526	2	2013-08-02 16:06:18.504146	2013-08-04 19:02:40.178874
35542	2	2013-08-02 16:06:18.755145	2013-08-02 16:06:18.755145
35518	16	2013-08-02 16:06:18.485156	2013-08-03 20:22:32.312766
35544	4	2013-08-02 16:06:18.760294	2013-08-02 16:06:18.760294
35590	14	2013-08-02 16:06:18.808394	2013-08-03 23:53:36.695243
35573	21	2013-08-02 16:06:18.796721	2013-08-04 19:07:36.856102
35547	7	2013-08-02 16:06:18.767682	2013-08-02 16:06:18.767682
35566	21	2013-08-02 16:06:18.791509	2013-08-04 19:07:37.415297
35549	9	2013-08-02 16:06:18.771733	2013-08-02 16:06:18.771733
35521	2	2013-08-02 16:06:18.492277	2013-08-04 19:02:40.182584
35586	2	2013-08-02 16:06:18.80568	2013-08-04 19:07:37.562167
35625	21	2013-08-02 16:06:18.832056	2013-08-04 19:07:38.6753
35554	14	2013-08-02 16:06:18.782069	2013-08-02 16:06:18.782069
35506	2	2013-08-02 16:06:18.456189	2013-08-04 19:02:40.187126
35556	16	2013-08-02 16:06:18.783725	2013-08-02 16:06:18.783725
35486	2	2013-08-02 16:06:18.408593	2013-08-04 19:02:40.193013
35626	2	2013-08-02 16:06:18.832745	2013-08-04 19:07:38.959549
35570	21	2013-08-02 16:06:18.794462	2013-08-03 23:53:46.230925
35638	21	2013-08-02 16:06:18.842342	2013-08-04 19:02:41.60283
35562	2	2013-08-02 16:06:18.788479	2013-08-02 16:06:18.788479
35564	4	2013-08-02 16:06:18.789926	2013-08-02 16:06:18.789926
35567	7	2013-08-02 16:06:18.7923	2013-08-02 16:06:18.7923
35569	9	2013-08-02 16:06:18.79373	2013-08-02 16:06:18.79373
35574	14	2013-08-02 16:06:18.79743	2013-08-02 16:06:18.79743
35576	16	2013-08-02 16:06:18.798848	2013-08-02 16:06:18.798848
15838	4	2013-08-02 16:05:34.239814	2013-08-04 00:04:13.898592
35582	2	2013-08-02 16:06:18.802964	2013-08-02 16:06:18.802964
11020	2	2013-08-02 16:05:24.499135	2013-08-04 00:04:13.90157
35584	4	2013-08-02 16:06:18.804311	2013-08-02 16:06:18.804311
35587	7	2013-08-02 16:06:18.806349	2013-08-02 16:06:18.806349
35589	9	2013-08-02 16:06:18.807721	2013-08-02 16:06:18.807721
28041	16	2013-08-02 16:06:01.151811	2013-08-04 19:25:55.500761
17711	14	2013-08-02 16:05:38.587236	2013-08-04 00:04:13.943308
35594	14	2013-08-02 16:06:18.811076	2013-08-02 16:06:18.811076
35520	2	2013-08-02 16:06:18.489902	2013-08-03 20:30:10.204256
35596	16	2013-08-02 16:06:18.812449	2013-08-02 16:06:18.812449
35593	2	2013-08-02 16:06:18.810423	2013-08-04 19:27:46.185547
35491	21	2013-08-02 16:06:18.420336	2013-08-04 20:17:32.777128
35619	21	2013-08-02 16:06:18.828118	2013-08-04 20:17:33.402777
35602	2	2013-08-02 16:06:18.816704	2013-08-02 16:06:18.816704
35599	14	2013-08-02 16:06:18.81446	2013-08-04 20:17:33.423621
35604	4	2013-08-02 16:06:18.818065	2013-08-02 16:06:18.818065
17731	14	2013-08-02 16:05:38.611562	2013-08-04 20:17:33.43514
35607	7	2013-08-02 16:06:18.820135	2013-08-02 16:06:18.820135
35579	14	2013-08-02 16:06:18.800946	2013-08-04 20:17:33.446545
35609	9	2013-08-02 16:06:18.821465	2013-08-02 16:06:18.821465
35533	14	2013-08-02 16:06:18.520805	2013-08-04 20:17:33.457718
17605	9	2013-08-02 16:05:38.372912	2013-08-04 00:04:13.948808
35614	14	2013-08-02 16:06:18.824805	2013-08-02 16:06:18.824805
35613	14	2013-08-02 16:06:18.824131	2013-08-04 20:17:33.468934
35616	16	2013-08-02 16:06:18.826154	2013-08-02 16:06:18.826154
35633	14	2013-08-02 16:06:18.838033	2013-08-04 20:17:33.480249
15739	14	2013-08-02 16:05:34.023268	2013-08-04 00:05:40.976812
17097	9	2013-08-02 16:05:37.070912	2013-08-04 00:07:39.082014
35498	4	2013-08-02 16:06:18.436946	2013-08-04 20:17:33.504337
35622	2	2013-08-02 16:06:18.830112	2013-08-02 16:06:18.830112
35600	7	2013-08-02 16:06:18.815289	2013-08-03 20:32:25.856811
35624	4	2013-08-02 16:06:18.831408	2013-08-02 16:06:18.831408
35559	4	2013-08-02 16:06:18.7862	2013-08-04 20:17:33.512217
35627	7	2013-08-02 16:06:18.83342	2013-08-02 16:06:18.83342
35539	4	2013-08-02 16:06:18.747321	2013-08-04 20:17:33.523504
35629	9	2013-08-02 16:06:18.834764	2013-08-02 16:06:18.834764
35530	4	2013-08-02 16:06:18.513717	2013-08-04 20:17:33.53556
35631	4	2013-08-02 16:06:18.836173	2013-08-04 20:22:41.297647
35634	14	2013-08-02 16:06:18.838833	2013-08-02 16:06:18.838833
35580	7	2013-08-02 16:06:18.801623	2013-08-03 20:32:25.867904
35636	16	2013-08-02 16:06:18.840669	2013-08-02 16:06:18.840669
35611	4	2013-08-02 16:06:18.8228	2013-08-04 20:22:41.308963
35591	14	2013-08-02 16:06:18.809058	2013-08-04 20:22:41.333206
35563	16	2013-08-02 16:06:18.789184	2013-08-03 18:54:19.842319
35560	7	2013-08-02 16:06:18.78702	2013-08-03 20:32:25.878678
35603	14	2013-08-02 16:06:18.817387	2013-08-03 18:54:19.849358
35571	14	2013-08-02 16:06:18.795186	2013-08-04 20:22:41.344995
35515	9	2013-08-02 16:06:18.478009	2013-08-03 19:18:34.879401
35551	14	2013-08-02 16:06:18.776986	2013-08-04 20:22:41.356692
35555	7	2013-08-02 16:06:18.782895	2013-08-03 19:18:34.883549
35531	14	2013-08-02 16:06:18.516059	2013-08-04 20:22:41.368038
35500	14	2013-08-02 16:06:18.441969	2013-08-03 20:37:34.33801
35585	21	2013-08-02 16:06:18.80501	2013-08-03 21:29:19.964904
35565	14	2013-08-02 16:06:18.790718	2013-08-03 21:29:19.973927
35558	14	2013-08-02 16:06:18.785377	2013-08-04 20:22:41.379208
35505	2	2013-08-02 16:06:18.453825	2013-08-03 21:29:20.00661
35485	4	2013-08-02 16:06:18.406187	2013-08-03 21:29:20.015063
35605	7	2013-08-02 16:06:18.81874	2013-08-03 21:30:42.713069
35511	14	2013-08-02 16:06:18.468343	2013-08-04 20:22:41.391
35512	7	2013-08-02 16:06:18.470835	2013-08-03 21:56:35.632249
35525	2	2013-08-02 16:06:18.50179	2013-08-04 20:22:42.225252
35552	4	2013-08-02 16:06:18.779571	2013-08-03 21:56:35.63564
35639	2	2013-08-02 16:06:18.843137	2013-08-04 20:22:42.236568
35592	2	2013-08-02 16:06:18.809725	2013-08-03 21:56:35.638043
35532	14	2013-08-02 16:06:18.518413	2013-08-03 21:59:22.339552
35572	21	2013-08-02 16:06:18.795943	2013-08-03 22:00:17.064541
35620	16	2013-08-02 16:06:18.828797	2013-08-03 22:00:17.153706
28081	4	2013-08-02 16:06:01.196806	2013-08-03 22:00:36.911622
28037	2	2013-08-02 16:06:01.146797	2013-08-03 22:00:36.918559
28491	21	2013-08-02 16:06:01.806699	2013-08-04 17:31:52.843198
35685	9	2013-08-02 16:06:18.884435	2013-08-04 02:03:21.470232
35642	2	2013-08-02 16:06:18.846188	2013-08-02 16:06:18.846188
35675	21	2013-08-02 16:06:18.875477	2013-08-03 20:22:32.180146
35644	4	2013-08-02 16:06:18.847798	2013-08-02 16:06:18.847798
35652	21	2013-08-02 16:06:18.855064	2013-08-03 22:04:59.257893
35647	7	2013-08-02 16:06:18.850435	2013-08-02 16:06:18.850435
35649	9	2013-08-02 16:06:18.852273	2013-08-02 16:06:18.852273
35654	14	2013-08-02 16:06:18.856942	2013-08-02 16:06:18.856942
35656	16	2013-08-02 16:06:18.858786	2013-08-02 16:06:18.858786
28471	14	2013-08-02 16:06:01.784093	2013-08-04 17:31:52.862816
35657	2	2013-08-02 16:06:18.859714	2013-08-04 02:05:55.092875
35681	4	2013-08-02 16:06:18.880759	2013-08-03 23:21:59.238336
28451	14	2013-08-02 16:06:01.761184	2013-08-04 17:31:52.873721
35662	2	2013-08-02 16:06:18.864352	2013-08-02 16:06:18.864352
28431	14	2013-08-02 16:06:01.738612	2013-08-04 17:31:52.884468
35664	4	2013-08-02 16:06:18.866217	2013-08-02 16:06:18.866217
35721	2	2013-08-02 16:06:18.947249	2013-08-03 23:21:59.241323
35667	7	2013-08-02 16:06:18.869033	2013-08-02 16:06:18.869033
35669	9	2013-08-02 16:06:18.870644	2013-08-02 16:06:18.870644
29233	2	2013-08-02 16:06:03.398707	2013-08-04 17:31:53.072061
29213	2	2013-08-02 16:06:03.348698	2013-08-04 17:31:53.084417
35674	14	2013-08-02 16:06:18.874679	2013-08-02 16:06:18.874679
35738	2	2013-08-02 16:06:18.992837	2013-08-03 20:22:32.208999
35676	16	2013-08-02 16:06:18.87627	2013-08-02 16:06:18.87627
29341	2	2013-08-02 16:06:03.658893	2013-08-04 17:31:53.096515
35655	14	2013-08-02 16:06:18.857869	2013-08-03 23:24:40.216299
29117	2	2013-08-02 16:06:03.093902	2013-08-04 17:31:53.108033
35682	2	2013-08-02 16:06:18.881689	2013-08-02 16:06:18.881689
35684	4	2013-08-02 16:06:18.883529	2013-08-02 16:06:18.883529
35687	7	2013-08-02 16:06:18.886439	2013-08-02 16:06:18.886439
35666	9	2013-08-02 16:06:18.868065	2013-08-04 19:04:01.890355
35689	9	2013-08-02 16:06:18.888477	2013-08-02 16:06:18.888477
29193	2	2013-08-02 16:06:03.295087	2013-08-04 17:31:53.118983
35741	7	2013-08-02 16:06:19.000781	2013-08-03 23:24:40.238737
35694	14	2013-08-02 16:06:18.894071	2013-08-02 16:06:18.894071
35698	4	2013-08-02 16:06:18.898776	2013-08-03 20:22:32.226347
35696	16	2013-08-02 16:06:18.896465	2013-08-02 16:06:18.896465
35701	2	2013-08-02 16:06:18.90251	2013-08-03 23:24:40.306386
35706	7	2013-08-02 16:06:18.911973	2013-08-04 19:04:01.8924
35702	2	2013-08-02 16:06:18.903846	2013-08-02 16:06:18.903846
35678	9	2013-08-02 16:06:18.878001	2013-08-03 20:22:32.234198
35704	4	2013-08-02 16:06:18.908613	2013-08-02 16:06:18.908613
35707	7	2013-08-02 16:06:18.913312	2013-08-02 16:06:18.913312
35709	9	2013-08-02 16:06:18.916479	2013-08-02 16:06:18.916479
35726	4	2013-08-02 16:06:18.96077	2013-08-04 19:04:01.894456
35670	9	2013-08-02 16:06:18.871436	2013-08-03 23:53:36.708618
35714	14	2013-08-02 16:06:18.928696	2013-08-02 16:06:18.928696
35695	21	2013-08-02 16:06:18.895271	2013-08-03 20:32:25.735561
35716	16	2013-08-02 16:06:18.933974	2013-08-02 16:06:18.933974
35766	2	2013-08-02 16:06:19.066928	2013-08-04 19:04:01.896638
35710	7	2013-08-02 16:06:18.918593	2013-08-03 23:53:36.710913
35722	2	2013-08-02 16:06:18.949945	2013-08-02 16:06:18.949945
35780	4	2013-08-02 16:06:19.101929	2013-08-03 20:32:25.755814
35724	4	2013-08-02 16:06:18.955235	2013-08-02 16:06:18.955235
35727	7	2013-08-02 16:06:18.963417	2013-08-02 16:06:18.963417
35646	21	2013-08-02 16:06:18.84943	2013-08-04 19:04:07.777269
35729	9	2013-08-02 16:06:18.968807	2013-08-02 16:06:18.968807
35746	2	2013-08-02 16:06:19.013978	2013-08-04 19:07:36.288973
35730	21	2013-08-02 16:06:18.971454	2013-08-04 19:07:36.310077
35734	14	2013-08-02 16:06:18.982132	2013-08-02 16:06:18.982132
35760	4	2013-08-02 16:06:19.051438	2013-08-03 20:32:25.76741
35736	16	2013-08-02 16:06:18.987474	2013-08-02 16:06:18.987474
35778	21	2013-08-02 16:06:19.09717	2013-08-04 19:07:36.853155
35770	4	2013-08-02 16:06:19.077382	2013-08-03 23:53:36.714196
35686	2	2013-08-02 16:06:18.885444	2013-08-04 19:07:38.11375
35692	21	2013-08-02 16:06:18.891781	2013-08-04 19:07:39.423799
35742	2	2013-08-02 16:06:19.003414	2013-08-02 16:06:19.003414
35740	4	2013-08-02 16:06:18.998103	2013-08-03 20:32:25.778836
35744	4	2013-08-02 16:06:19.008802	2013-08-02 16:06:19.008802
35790	21	2013-08-02 16:06:19.131741	2013-08-03 23:53:57.055102
35747	7	2013-08-02 16:06:19.016607	2013-08-02 16:06:19.016607
35785	21	2013-08-02 16:06:19.117898	2013-08-04 19:07:39.425698
35749	9	2013-08-02 16:06:19.021889	2013-08-02 16:06:19.021889
35795	21	2013-08-02 16:06:19.1453	2013-08-04 19:07:39.427334
35754	14	2013-08-02 16:06:19.035391	2013-08-02 16:06:19.035391
35756	16	2013-08-02 16:06:19.040742	2013-08-02 16:06:19.040742
35793	21	2013-08-02 16:06:19.139905	2013-08-04 19:07:39.428767
35773	9	2013-08-02 16:06:19.085072	2013-08-04 19:07:39.503758
17791	4	2013-08-02 16:05:38.678818	2013-08-04 00:04:13.954011
35753	9	2013-08-02 16:06:19.032749	2013-08-04 19:07:39.5156
35762	2	2013-08-02 16:06:19.056808	2013-08-02 16:06:19.056808
35764	4	2013-08-02 16:06:19.061957	2013-08-02 16:06:19.061957
35750	9	2013-08-02 16:06:19.024553	2013-08-04 19:07:39.5195
35767	7	2013-08-02 16:06:19.069432	2013-08-02 16:06:19.069432
35733	4	2013-08-02 16:06:18.979487	2013-08-04 19:07:39.526009
35769	9	2013-08-02 16:06:19.074712	2013-08-02 16:06:19.074712
17811	2	2013-08-02 16:05:38.699188	2013-08-04 00:04:13.955946
35774	14	2013-08-02 16:06:19.087487	2013-08-02 16:06:19.087487
35776	16	2013-08-02 16:06:19.092332	2013-08-02 16:06:19.092332
35786	21	2013-08-02 16:06:19.121125	2013-08-04 19:50:50.154407
35691	21	2013-08-02 16:06:18.890686	2013-08-04 20:22:41.256447
17591	16	2013-08-02 16:05:38.336755	2013-08-04 00:04:13.971454
35761	4	2013-08-02 16:06:19.054092	2013-08-04 20:22:41.264748
35782	2	2013-08-02 16:06:19.107443	2013-08-02 16:06:19.107443
35671	4	2013-08-02 16:06:18.872232	2013-08-04 20:22:41.269669
35784	4	2013-08-02 16:06:19.113907	2013-08-02 16:06:19.113907
22126	7	2013-08-02 16:05:47.860988	2013-08-04 00:04:13.99392
35787	7	2013-08-02 16:06:19.12377	2013-08-02 16:06:19.12377
35651	4	2013-08-02 16:06:18.854139	2013-08-04 20:22:41.275497
35789	9	2013-08-02 16:06:19.129099	2013-08-02 16:06:19.129099
35641	4	2013-08-02 16:06:18.845325	2013-08-04 20:22:41.286383
35715	4	2013-08-02 16:06:18.931261	2013-08-04 20:22:42.15694
35794	14	2013-08-02 16:06:19.142611	2013-08-02 16:06:19.142611
35796	16	2013-08-02 16:06:19.147936	2013-08-02 16:06:19.147936
35779	4	2013-08-02 16:06:19.099547	2013-08-04 20:22:42.160605
35759	4	2013-08-02 16:06:19.048777	2013-08-04 20:22:42.167292
35739	4	2013-08-02 16:06:18.995466	2013-08-04 20:22:42.172188
35719	2	2013-08-02 16:06:18.942006	2013-08-04 20:22:42.185193
35755	16	2013-08-02 16:06:19.038055	2013-08-03 19:19:08.840379
35775	14	2013-08-02 16:06:19.089884	2013-08-03 19:19:08.844063
35645	4	2013-08-02 16:06:18.848613	2013-08-03 21:30:42.717774
35699	2	2013-08-02 16:06:18.899882	2013-08-04 20:22:42.195183
35665	2	2013-08-02 16:06:18.867142	2013-08-03 21:30:42.721529
35679	2	2013-08-02 16:06:18.87891	2013-08-04 20:22:42.203146
35758	21	2013-08-02 16:06:19.046086	2013-08-03 21:30:42.785128
35745	14	2013-08-02 16:06:19.011451	2013-08-03 21:34:20.31232
35725	4	2013-08-02 16:06:18.957996	2013-08-03 21:34:20.335863
35705	7	2013-08-02 16:06:18.91064	2013-08-03 21:34:20.359149
35659	2	2013-08-02 16:06:18.861571	2013-08-04 20:22:42.214099
35672	14	2013-08-02 16:06:18.87306	2013-08-03 22:00:17.160074
35712	14	2013-08-02 16:06:18.923202	2013-08-04 20:27:36.610455
35752	9	2013-08-02 16:06:19.029813	2013-08-03 22:00:17.17412
35765	14	2013-08-02 16:06:19.064459	2013-08-04 20:27:36.623099
17841	16	2013-08-02 16:05:38.724199	2013-08-04 00:07:58.289283
35660	14	2013-08-02 16:06:18.862498	2013-08-04 20:27:36.634903
35791	14	2013-08-02 16:06:19.134563	2013-08-04 20:27:36.646082
35680	14	2013-08-02 16:06:18.879828	2013-08-04 20:27:36.657451
35771	14	2013-08-02 16:06:19.079868	2013-08-04 20:27:36.668999
35700	14	2013-08-02 16:06:18.901172	2013-08-04 20:27:36.681087
35720	14	2013-08-02 16:06:18.944589	2013-08-04 20:27:36.693555
35751	4	2013-08-02 16:06:19.027177	2013-08-04 20:27:36.718097
35731	4	2013-08-02 16:06:18.974122	2013-08-04 20:27:36.732216
35711	4	2013-08-02 16:06:18.92067	2013-08-04 20:27:36.744366
35650	4	2013-08-02 16:06:18.853208	2013-08-04 20:27:36.757421
35661	4	2013-08-02 16:06:18.863426	2013-08-04 20:27:36.771419
29173	2	2013-08-02 16:06:03.242982	2013-08-04 17:31:53.130324
29153	2	2013-08-02 16:06:03.190009	2013-08-04 17:31:53.142359
35815	9	2013-08-02 16:06:19.19902	2013-08-03 22:04:59.618707
35797	2	2013-08-02 16:06:19.150647	2013-08-04 02:05:53.966551
35802	2	2013-08-02 16:06:19.164434	2013-08-02 16:06:19.164434
35938	4	2013-08-02 16:06:19.500162	2013-08-03 20:22:32.595707
35804	4	2013-08-02 16:06:19.169877	2013-08-02 16:06:19.169877
35912	21	2013-08-02 16:06:19.437	2013-08-03 23:24:40.144382
35807	7	2013-08-02 16:06:19.177905	2013-08-02 16:06:19.177905
35812	2	2013-08-02 16:06:19.191232	2013-08-04 19:07:36.494031
35809	9	2013-08-02 16:06:19.183258	2013-08-02 16:06:19.183258
35932	2	2013-08-02 16:06:19.485968	2013-08-04 02:05:55.342576
35900	21	2013-08-02 16:06:19.40846	2013-08-03 23:24:40.146236
35814	14	2013-08-02 16:06:19.196316	2013-08-02 16:06:19.196316
35923	2	2013-08-02 16:06:19.464385	2013-08-04 19:07:36.497423
35816	16	2013-08-02 16:06:19.201717	2013-08-02 16:06:19.201717
29170	2	2013-08-02 16:06:03.235218	2013-08-04 17:31:53.154402
35941	21	2013-08-02 16:06:19.507265	2013-08-03 23:24:40.147427
35921	21	2013-08-02 16:06:19.459188	2013-08-03 23:24:40.148751
35845	2	2013-08-02 16:06:19.273045	2013-08-04 02:05:55.349496
35822	2	2013-08-02 16:06:19.217638	2013-08-02 16:06:19.217638
35901	21	2013-08-02 16:06:19.410848	2013-08-03 23:24:40.149806
35824	4	2013-08-02 16:06:19.222924	2013-08-02 16:06:19.222924
35881	21	2013-08-02 16:06:19.362904	2013-08-03 23:24:40.150759
35827	7	2013-08-02 16:06:19.230279	2013-08-02 16:06:19.230279
35903	2	2013-08-02 16:06:19.415571	2013-08-04 19:07:36.500728
35829	9	2013-08-02 16:06:19.235038	2013-08-02 16:06:19.235038
29150	2	2013-08-02 16:06:03.181956	2013-08-04 17:31:53.165094
35834	14	2013-08-02 16:06:19.24699	2013-08-02 16:06:19.24699
29133	2	2013-08-02 16:06:03.136478	2013-08-04 17:31:53.176022
35836	16	2013-08-02 16:06:19.251724	2013-08-02 16:06:19.251724
29113	2	2013-08-02 16:06:03.083231	2013-08-04 17:31:53.187004
35841	9	2013-08-02 16:06:19.263565	2013-08-03 23:24:40.165784
29093	2	2013-08-02 16:06:03.02709	2013-08-04 17:31:53.198563
29161	2	2013-08-02 16:06:03.211428	2013-08-04 17:31:53.210164
35842	2	2013-08-02 16:06:19.26592	2013-08-02 16:06:19.26592
35858	2	2013-08-02 16:06:19.303732	2013-08-03 20:22:32.690745
35844	4	2013-08-02 16:06:19.270641	2013-08-02 16:06:19.270641
29073	2	2013-08-02 16:06:02.976469	2013-08-04 17:31:53.220645
35847	7	2013-08-02 16:06:19.27782	2013-08-02 16:06:19.27782
35883	2	2013-08-02 16:06:19.367803	2013-08-04 19:07:36.504686
35849	9	2013-08-02 16:06:19.282534	2013-08-02 16:06:19.282534
3681	2	2013-08-02 16:05:10.957431	2013-08-04 17:31:53.231577
35850	16	2013-08-02 16:06:19.284931	2013-08-03 23:53:56.82448
35854	14	2013-08-02 16:06:19.294303	2013-08-02 16:06:19.294303
35838	7	2013-08-02 16:06:19.256429	2013-08-03 20:22:32.714143
35856	16	2013-08-02 16:06:19.29903	2013-08-02 16:06:19.29903
29053	2	2013-08-02 16:06:02.924954	2013-08-04 17:31:53.242641
44017	2	2013-08-02 16:06:37.185388	2013-08-04 17:31:53.659267
35890	14	2013-08-02 16:06:19.384583	2013-08-03 23:53:56.829744
24039	21	2013-08-02 16:05:52.5372	2013-08-04 17:31:53.734948
35862	2	2013-08-02 16:06:19.31321	2013-08-02 16:06:19.31321
35864	4	2013-08-02 16:06:19.318102	2013-08-02 16:06:19.318102
35863	2	2013-08-02 16:06:19.315542	2013-08-04 19:07:36.508999
35867	7	2013-08-02 16:06:19.325906	2013-08-02 16:06:19.325906
35946	2	2013-08-02 16:06:19.518958	2013-08-04 19:07:36.512806
35869	9	2013-08-02 16:06:19.331133	2013-08-02 16:06:19.331133
35926	2	2013-08-02 16:06:19.47164	2013-08-04 19:07:36.51672
35874	14	2013-08-02 16:06:19.344359	2013-08-02 16:06:19.344359
35906	2	2013-08-02 16:06:19.422619	2013-08-04 19:07:36.520017
35876	16	2013-08-02 16:06:19.349671	2013-08-02 16:06:19.349671
35820	2	2013-08-02 16:06:19.212299	2013-08-04 19:07:36.522993
35840	9	2013-08-02 16:06:19.261219	2013-08-03 23:53:56.836168
35886	2	2013-08-02 16:06:19.375058	2013-08-04 19:07:36.527256
35866	2	2013-08-02 16:06:19.323305	2013-08-04 19:07:36.535844
35882	2	2013-08-02 16:06:19.365409	2013-08-02 16:06:19.365409
35800	7	2013-08-02 16:06:19.159149	2013-08-03 20:35:13.063311
35884	4	2013-08-02 16:06:19.370234	2013-08-02 16:06:19.370234
35887	7	2013-08-02 16:06:19.377463	2013-08-02 16:06:19.377463
35953	9	2013-08-02 16:06:19.535442	2013-08-04 19:12:39.137134
35889	9	2013-08-02 16:06:19.382207	2013-08-02 16:06:19.382207
35933	9	2013-08-02 16:06:19.488324	2013-08-04 19:12:39.141952
35930	14	2013-08-02 16:06:19.481259	2013-08-03 23:53:57.22841
35894	14	2013-08-02 16:06:19.394021	2013-08-02 16:06:19.394021
35896	16	2013-08-02 16:06:19.398712	2013-08-02 16:06:19.398712
22017	9	2013-08-02 16:05:47.579912	2013-08-04 19:12:39.147788
22105	4	2013-08-02 16:05:47.811077	2013-08-04 00:04:14.000693
35913	4	2013-08-02 16:06:19.439329	2013-08-04 19:12:39.156748
35893	4	2013-08-02 16:06:19.391636	2013-08-04 19:12:39.161697
35902	2	2013-08-02 16:06:19.413221	2013-08-02 16:06:19.413221
35873	4	2013-08-02 16:06:19.341769	2013-08-04 19:12:39.165671
35904	4	2013-08-02 16:06:19.417923	2013-08-02 16:06:19.417923
35907	7	2013-08-02 16:06:19.425026	2013-08-02 16:06:19.425026
35909	9	2013-08-02 16:06:19.42977	2013-08-02 16:06:19.42977
35813	7	2013-08-02 16:06:19.193728	2013-08-04 19:12:39.189758
35914	14	2013-08-02 16:06:19.441763	2013-08-02 16:06:19.441763
35860	4	2013-08-02 16:06:19.308396	2013-08-03 20:35:13.067181
35916	16	2013-08-02 16:06:19.446717	2013-08-02 16:06:19.446717
17106	16	2013-08-02 16:05:37.092758	2013-08-04 00:04:14.033867
34921	14	2013-08-02 16:06:17.015425	2013-08-04 00:04:14.035835
35853	14	2013-08-02 16:06:19.291963	2013-08-04 19:25:55.506904
35922	2	2013-08-02 16:06:19.461824	2013-08-02 16:06:19.461824
35924	4	2013-08-02 16:06:19.466908	2013-08-02 16:06:19.466908
35927	7	2013-08-02 16:06:19.474034	2013-08-02 16:06:19.474034
35910	21	2013-08-02 16:06:19.432113	2013-08-04 19:26:08.339719
35929	9	2013-08-02 16:06:19.478841	2013-08-02 16:06:19.478841
35833	21	2013-08-02 16:06:19.24464	2013-08-04 19:27:44.763814
35934	14	2013-08-02 16:06:19.490675	2013-08-02 16:06:19.490675
35880	2	2013-08-02 16:06:19.360247	2013-08-03 20:35:13.069554
35936	16	2013-08-02 16:06:19.495414	2013-08-02 16:06:19.495414
35861	21	2013-08-02 16:06:19.310799	2013-08-04 20:22:42.117746
15579	21	2013-08-02 16:05:33.856459	2013-08-04 00:05:40.940389
35819	4	2013-08-02 16:06:19.209689	2013-08-04 20:22:42.138758
35942	2	2013-08-02 16:06:19.509601	2013-08-02 16:06:19.509601
35799	4	2013-08-02 16:06:19.156105	2013-08-04 20:22:42.150461
35944	4	2013-08-02 16:06:19.514267	2013-08-02 16:06:19.514267
35870	7	2013-08-02 16:06:19.333859	2013-08-04 00:07:47.5963
35947	7	2013-08-02 16:06:19.521309	2013-08-02 16:06:19.521309
35831	21	2013-08-02 16:06:19.239819	2013-08-04 20:27:36.576209
35949	9	2013-08-02 16:06:19.526076	2013-08-02 16:06:19.526076
35811	14	2013-08-02 16:06:19.188617	2013-08-04 20:27:36.597785
17630	21	2013-08-02 16:05:38.411435	2013-08-04 00:07:47.629153
35943	2	2013-08-02 16:06:19.511964	2013-08-03 18:57:35.693233
35865	2	2013-08-02 16:06:19.320692	2013-08-04 20:27:37.267254
35818	14	2013-08-02 16:06:19.207032	2013-08-03 20:37:34.332916
35940	2	2013-08-02 16:06:19.504933	2013-08-03 20:37:37.051284
35939	14	2013-08-02 16:06:19.502561	2013-08-04 20:27:37.27555
35945	21	2013-08-02 16:06:19.516632	2013-08-03 21:34:20.099367
35925	21	2013-08-02 16:06:19.469286	2013-08-03 21:34:20.103031
35905	16	2013-08-02 16:06:19.420256	2013-08-03 21:34:20.113252
17661	14	2013-08-02 16:05:38.4828	2013-08-04 20:27:37.280085
35919	14	2013-08-02 16:06:19.454027	2013-08-04 20:27:37.284653
35899	14	2013-08-02 16:06:19.405794	2013-08-04 20:27:37.288775
35879	7	2013-08-02 16:06:19.357623	2013-08-04 20:27:37.301784
35852	4	2013-08-02 16:06:19.289603	2013-08-03 22:00:17.185936
35859	7	2013-08-02 16:06:19.306076	2013-08-04 20:27:37.310383
35892	2	2013-08-02 16:06:19.389285	2013-08-03 22:00:17.189484
35839	7	2013-08-02 16:06:19.258825	2013-08-04 20:27:37.31938
35872	21	2013-08-02 16:06:19.339237	2013-08-03 22:00:36.377727
35952	16	2013-08-02 16:06:19.533113	2013-08-03 22:00:36.703713
35885	14	2013-08-02 16:06:19.372644	2013-08-03 22:00:36.710926
35810	16	2013-08-02 16:06:19.185931	2013-08-04 20:28:49.17788
35911	14	2013-08-02 16:06:19.43466	2013-08-04 20:28:49.181625
35891	21	2013-08-02 16:06:19.38693	2013-08-04 20:28:49.26598
35851	21	2013-08-02 16:06:19.287267	2013-08-04 20:28:58.91879
35931	16	2013-08-02 16:06:19.48361	2013-08-04 20:28:59.05475
35835	21	2013-08-02 16:06:19.24938	2013-08-04 20:32:40.171807
35951	2	2013-08-02 16:06:19.530753	2013-08-04 20:32:40.281901
35950	2	2013-08-02 16:06:19.528402	2013-08-04 20:32:42.773137
35871	7	2013-08-02 16:06:19.336482	2013-08-04 20:32:42.942505
35954	14	2013-08-02 16:06:19.537823	2013-08-02 16:06:19.537823
36098	21	2013-08-02 16:06:19.911545	2013-08-03 20:22:32.411952
35956	16	2013-08-02 16:06:19.542613	2013-08-02 16:06:19.542613
24065	14	2013-08-02 16:05:52.562036	2013-08-04 17:31:53.75619
24019	14	2013-08-02 16:05:52.519965	2013-08-04 17:31:53.768146
35998	2	2013-08-02 16:06:19.651118	2013-08-04 02:05:55.31052
35962	2	2013-08-02 16:06:19.557166	2013-08-02 16:06:19.557166
36078	21	2013-08-02 16:06:19.859231	2013-08-03 20:22:32.415933
35964	4	2013-08-02 16:06:19.561892	2013-08-02 16:06:19.561892
36001	16	2013-08-02 16:06:19.65924	2013-08-03 23:26:32.883424
35967	7	2013-08-02 16:06:19.569071	2013-08-02 16:06:19.569071
36026	2	2013-08-02 16:06:19.725257	2013-08-04 19:07:36.460445
35969	9	2013-08-02 16:06:19.574594	2013-08-02 16:06:19.574594
35997	2	2013-08-02 16:06:19.648653	2013-08-04 02:05:55.323047
35977	2	2013-08-02 16:06:19.595723	2013-08-04 02:05:55.327948
35974	14	2013-08-02 16:06:19.587884	2013-08-02 16:06:19.587884
36058	21	2013-08-02 16:06:19.810433	2013-08-03 20:22:32.419972
35976	16	2013-08-02 16:06:19.59316	2013-08-02 16:06:19.59316
23999	14	2013-08-02 16:05:52.50274	2013-08-04 17:31:53.779745
36041	14	2013-08-02 16:06:19.765561	2013-08-03 23:26:32.885786
36105	2	2013-08-02 16:06:19.930574	2013-08-04 02:10:51.642111
35982	2	2013-08-02 16:06:19.608998	2013-08-02 16:06:19.608998
36038	14	2013-08-02 16:06:19.757504	2013-08-03 20:22:32.440187
35984	4	2013-08-02 16:06:19.614295	2013-08-02 16:06:19.614295
17540	2	2013-08-02 16:05:38.224457	2013-08-04 02:10:51.654231
35987	7	2013-08-02 16:06:19.622243	2013-08-02 16:06:19.622243
35990	2	2013-08-02 16:06:19.630057	2013-08-04 19:07:36.473102
35989	9	2013-08-02 16:06:19.627407	2013-08-02 16:06:19.627407
35980	2	2013-08-02 16:06:19.603653	2013-08-04 02:10:51.666371
36097	2	2013-08-02 16:06:19.908923	2013-08-04 02:10:51.679872
35994	14	2013-08-02 16:06:19.640696	2013-08-02 16:06:19.640696
35996	16	2013-08-02 16:06:19.645995	2013-08-02 16:06:19.645995
24010	14	2013-08-02 16:05:52.512313	2013-08-04 17:31:53.791673
11950	2	2013-08-02 16:05:26.856619	2013-08-04 02:10:51.692664
36081	4	2013-08-02 16:06:19.866772	2013-08-03 23:37:26.045181
23979	14	2013-08-02 16:05:52.482712	2013-08-04 17:31:53.803312
36002	2	2013-08-02 16:06:19.661889	2013-08-02 16:06:19.661889
23959	14	2013-08-02 16:05:52.462536	2013-08-04 17:31:53.814354
36004	4	2013-08-02 16:06:19.667144	2013-08-02 16:06:19.667144
36006	2	2013-08-02 16:06:19.672432	2013-08-04 19:07:36.480989
36007	7	2013-08-02 16:06:19.675117	2013-08-02 16:06:19.675117
35986	2	2013-08-02 16:06:19.619575	2013-08-04 19:07:36.485826
36009	9	2013-08-02 16:06:19.68042	2013-08-02 16:06:19.68042
23939	14	2013-08-02 16:05:52.440631	2013-08-04 17:31:53.824736
35970	7	2013-08-02 16:06:19.577257	2013-08-03 23:53:56.839825
36014	14	2013-08-02 16:06:19.693589	2013-08-02 16:06:19.693589
36016	16	2013-08-02 16:06:19.698722	2013-08-02 16:06:19.698722
23919	14	2013-08-02 16:05:52.424226	2013-08-04 17:31:53.831798
23899	14	2013-08-02 16:05:52.408605	2013-08-04 17:31:53.836675
23879	2	2013-08-02 16:05:52.391547	2013-08-04 17:31:53.844901
36022	2	2013-08-02 16:06:19.714564	2013-08-02 16:06:19.714564
36030	4	2013-08-02 16:06:19.73579	2013-08-03 23:53:56.84329
36024	4	2013-08-02 16:06:19.71998	2013-08-02 16:06:19.71998
36032	2	2013-08-02 16:06:19.741474	2013-08-04 18:37:39.095957
36027	7	2013-08-02 16:06:19.727884	2013-08-02 16:06:19.727884
35966	2	2013-08-02 16:06:19.5667	2013-08-04 19:07:36.490416
36029	9	2013-08-02 16:06:19.733165	2013-08-02 16:06:19.733165
36072	2	2013-08-02 16:06:19.844503	2013-08-04 19:12:36.260959
36070	2	2013-08-02 16:06:19.839697	2013-08-03 23:53:56.845617
36034	14	2013-08-02 16:06:19.746838	2013-08-02 16:06:19.746838
36080	9	2013-08-02 16:06:19.86401	2013-08-03 20:37:36.960423
36036	16	2013-08-02 16:06:19.752152	2013-08-02 16:06:19.752152
36085	2	2013-08-02 16:06:19.87698	2013-08-04 19:12:36.271669
36106	2	2013-08-02 16:06:19.932947	2013-08-04 19:12:36.282577
36050	21	2013-08-02 16:06:19.789731	2013-08-03 23:53:57.056043
36086	2	2013-08-02 16:06:19.879603	2013-08-04 19:12:36.293434
36042	2	2013-08-02 16:06:19.768207	2013-08-02 16:06:19.768207
36060	16	2013-08-02 16:06:19.815254	2013-08-03 20:37:36.983958
36044	4	2013-08-02 16:06:19.773578	2013-08-02 16:06:19.773578
36066	2	2013-08-02 16:06:19.829746	2013-08-04 19:12:36.304319
36047	7	2013-08-02 16:06:19.781688	2013-08-02 16:06:19.781688
36020	2	2013-08-02 16:06:19.709197	2013-08-04 19:12:36.315608
36049	9	2013-08-02 16:06:19.787036	2013-08-02 16:06:19.787036
36046	2	2013-08-02 16:06:19.77897	2013-08-04 19:12:36.326675
36090	21	2013-08-02 16:06:19.890262	2013-08-04 19:12:39.093784
36054	14	2013-08-02 16:06:19.800429	2013-08-02 16:06:19.800429
36056	16	2013-08-02 16:06:19.805619	2013-08-02 16:06:19.805619
36012	4	2013-08-02 16:06:19.688436	2013-08-03 23:55:31.034597
36075	7	2013-08-02 16:06:19.852011	2013-08-03 23:55:31.058146
36062	2	2013-08-02 16:06:19.820122	2013-08-02 16:06:19.820122
36064	4	2013-08-02 16:06:19.824941	2013-08-02 16:06:19.824941
36067	7	2013-08-02 16:06:19.832308	2013-08-02 16:06:19.832308
36069	9	2013-08-02 16:06:19.837296	2013-08-02 16:06:19.837296
36074	14	2013-08-02 16:06:19.849534	2013-08-02 16:06:19.849534
36076	16	2013-08-02 16:06:19.854443	2013-08-02 16:06:19.854443
36093	21	2013-08-02 16:06:19.898267	2013-08-04 19:26:08.319528
22637	16	2013-08-02 16:05:49.218864	2013-08-04 00:04:14.089692
36073	21	2013-08-02 16:06:19.846905	2013-08-04 19:27:44.76108
36082	2	2013-08-02 16:06:19.86928	2013-08-02 16:06:19.86928
17592	2	2013-08-02 16:05:38.339148	2013-08-04 19:27:46.175744
36084	4	2013-08-02 16:06:19.87429	2013-08-02 16:06:19.87429
38372	2	2013-08-02 16:06:25.006442	2013-08-04 00:04:14.107651
36087	7	2013-08-02 16:06:19.882282	2013-08-02 16:06:19.882282
36019	21	2013-08-02 16:06:19.706549	2013-08-04 20:27:37.238587
36089	9	2013-08-02 16:06:19.887597	2013-08-02 16:06:19.887597
35978	21	2013-08-02 16:06:19.598382	2013-08-04 20:27:37.241344
17717	4	2013-08-02 16:05:38.594271	2013-08-04 00:04:14.137713
36094	14	2013-08-02 16:06:19.900944	2013-08-02 16:06:19.900944
35960	7	2013-08-02 16:06:19.552265	2013-08-03 20:37:37.040628
36096	16	2013-08-02 16:06:19.906213	2013-08-02 16:06:19.906213
35999	21	2013-08-02 16:06:19.65353	2013-08-04 20:27:37.243196
35979	2	2013-08-02 16:06:19.601013	2013-08-04 20:27:37.252133
35959	2	2013-08-02 16:06:19.54972	2013-08-04 20:27:37.257803
36102	2	2013-08-02 16:06:19.922227	2013-08-02 16:06:19.922227
35961	2	2013-08-02 16:06:19.554762	2013-08-04 20:27:37.262648
36104	4	2013-08-02 16:06:19.927766	2013-08-02 16:06:19.927766
35971	9	2013-08-02 16:06:19.579894	2013-08-04 20:28:49.187195
36107	7	2013-08-02 16:06:19.933782	2013-08-02 16:06:19.933782
36109	9	2013-08-02 16:06:19.936134	2013-08-02 16:06:19.936134
36018	7	2013-08-02 16:06:19.703855	2013-08-04 20:28:49.190393
35975	4	2013-08-02 16:06:19.59058	2013-08-03 19:19:08.881261
35965	21	2013-08-02 16:06:19.564304	2013-08-03 21:34:20.094853
36015	2	2013-08-02 16:06:19.695992	2013-08-03 19:19:08.888318
35985	4	2013-08-02 16:06:19.616941	2013-08-03 21:37:44.408671
36051	4	2013-08-02 16:06:19.792393	2013-08-04 20:28:49.195215
36095	9	2013-08-02 16:06:19.903563	2013-08-03 19:24:59.854921
15679	14	2013-08-02 16:05:33.962551	2013-08-04 00:04:14.174257
36025	2	2013-08-02 16:06:19.722606	2013-08-03 21:37:44.414038
36000	2	2013-08-02 16:06:19.6566	2013-08-04 20:28:49.200407
36005	21	2013-08-02 16:06:19.669785	2013-08-03 21:37:44.525547
36065	7	2013-08-02 16:06:19.82734	2013-08-03 21:39:31.437621
36031	21	2013-08-02 16:06:19.738682	2013-08-04 20:28:49.241052
36100	9	2013-08-02 16:06:19.916753	2013-08-03 22:00:36.725521
36052	7	2013-08-02 16:06:19.79507	2013-08-03 22:00:36.732517
36091	21	2013-08-02 16:06:19.892923	2013-08-04 20:29:12.051469
36071	21	2013-08-02 16:06:19.842137	2013-08-04 20:29:23.509022
35991	2	2013-08-02 16:06:19.632731	2013-08-04 20:32:40.110293
35992	4	2013-08-02 16:06:19.635431	2013-08-04 20:32:42.208364
35955	4	2013-08-02 16:06:19.540235	2013-08-04 20:32:42.219598
36055	4	2013-08-02 16:06:19.803137	2013-08-04 20:32:42.230832
36011	14	2013-08-02 16:06:19.685805	2013-08-04 20:32:42.880249
21966	14	2013-08-02 16:05:47.443912	2013-08-04 20:32:42.884579
36099	14	2013-08-02 16:06:19.914023	2013-08-04 20:32:42.889347
36079	14	2013-08-02 16:06:19.861642	2013-08-04 20:32:42.893288
35972	4	2013-08-02 16:06:19.582558	2013-08-04 20:32:42.900597
36110	4	2013-08-02 16:06:19.937335	2013-08-04 20:32:42.904405
36059	4	2013-08-02 16:06:19.812865	2013-08-04 20:32:42.908914
36033	4	2013-08-02 16:06:19.744128	2013-08-04 20:32:42.914797
36053	4	2013-08-02 16:06:19.797761	2013-08-04 20:32:42.920339
36132	21	2013-08-02 16:06:19.971726	2013-08-03 22:04:59.260455
36114	14	2013-08-02 16:06:19.941271	2013-08-02 16:06:19.941271
36158	21	2013-08-02 16:06:20.039854	2013-08-03 20:22:32.400311
36116	16	2013-08-02 16:06:19.943356	2013-08-02 16:06:19.943356
23883	2	2013-08-02 16:05:52.394818	2013-08-04 17:31:53.849134
36266	2	2013-08-02 16:06:20.294364	2013-08-04 19:12:36.160339
36212	7	2013-08-02 16:06:20.159733	2013-08-03 22:04:59.620949
36157	2	2013-08-02 16:06:20.037511	2013-08-04 02:10:51.608669
36122	2	2013-08-02 16:06:19.950726	2013-08-02 16:06:19.950726
36138	21	2013-08-02 16:06:19.987991	2013-08-03 20:22:32.40464
36124	4	2013-08-02 16:06:19.954789	2013-08-02 16:06:19.954789
36127	7	2013-08-02 16:06:19.960292	2013-08-02 16:06:19.960292
36246	2	2013-08-02 16:06:20.24561	2013-08-04 19:12:36.171376
36129	9	2013-08-02 16:06:19.964831	2013-08-02 16:06:19.964831
36137	2	2013-08-02 16:06:19.985362	2013-08-04 02:10:51.620306
36117	2	2013-08-02 16:06:19.94438	2013-08-04 02:10:51.631147
36134	14	2013-08-02 16:06:19.977238	2013-08-02 16:06:19.977238
36118	21	2013-08-02 16:06:19.945581	2013-08-03 20:22:32.408277
36136	16	2013-08-02 16:06:19.982667	2013-08-02 16:06:19.982667
23961	2	2013-08-02 16:05:52.464317	2013-08-04 17:31:53.854193
36205	4	2013-08-02 16:06:20.140854	2013-08-03 22:04:59.625609
36257	4	2013-08-02 16:06:20.27234	2013-08-04 02:15:51.926437
36237	4	2013-08-02 16:06:20.222269	2013-08-04 02:15:51.934641
36142	2	2013-08-02 16:06:19.9987	2013-08-02 16:06:19.9987
36144	4	2013-08-02 16:06:20.004161	2013-08-02 16:06:20.004161
36252	21	2013-08-02 16:06:20.260395	2013-08-03 22:05:19.387574
36147	7	2013-08-02 16:06:20.012223	2013-08-02 16:06:20.012223
36226	2	2013-08-02 16:06:20.195742	2013-08-04 19:12:36.17625
36149	9	2013-08-02 16:06:20.017599	2013-08-02 16:06:20.017599
36217	4	2013-08-02 16:06:20.172647	2013-08-04 02:15:51.940362
36206	2	2013-08-02 16:06:20.143366	2013-08-04 19:12:36.183631
36154	14	2013-08-02 16:06:20.030312	2013-08-02 16:06:20.030312
36258	14	2013-08-02 16:06:20.274753	2013-08-03 20:27:32.617141
36156	16	2013-08-02 16:06:20.035107	2013-08-02 16:06:20.035107
23738	2	2013-08-02 16:05:51.957338	2013-08-04 17:31:53.858707
36141	7	2013-08-02 16:06:19.99604	2013-08-03 23:26:32.894142
12161	2	2013-08-02 16:05:27.392853	2013-08-04 17:31:53.863134
36162	2	2013-08-02 16:06:20.049426	2013-08-02 16:06:20.049426
36238	16	2013-08-02 16:06:20.224985	2013-08-03 20:27:32.640469
36164	4	2013-08-02 16:06:20.05424	2013-08-02 16:06:20.05424
23859	2	2013-08-02 16:05:52.374522	2013-08-04 17:31:53.867172
36167	7	2013-08-02 16:06:20.061353	2013-08-02 16:06:20.061353
36186	2	2013-08-02 16:06:20.107059	2013-08-04 19:12:36.192472
36169	9	2013-08-02 16:06:20.066319	2013-08-02 16:06:20.066319
23839	2	2013-08-02 16:05:52.358479	2013-08-04 17:31:53.871821
36201	4	2013-08-02 16:06:20.131793	2013-08-03 23:26:32.898603
36174	14	2013-08-02 16:06:20.078089	2013-08-02 16:06:20.078089
36166	2	2013-08-02 16:06:20.058985	2013-08-04 19:12:36.203311
36176	16	2013-08-02 16:06:20.083007	2013-08-02 16:06:20.083007
36161	2	2013-08-02 16:06:20.047008	2013-08-04 19:12:36.216053
36241	2	2013-08-02 16:06:20.232671	2013-08-03 23:26:32.901214
36146	2	2013-08-02 16:06:20.009577	2013-08-04 19:12:36.228171
36126	2	2013-08-02 16:06:19.958909	2013-08-04 19:12:36.239516
36182	2	2013-08-02 16:06:20.097825	2013-08-02 16:06:20.097825
36221	21	2013-08-02 16:06:20.183277	2013-08-03 23:26:33.01717
36184	4	2013-08-02 16:06:20.102325	2013-08-02 16:06:20.102325
36232	2	2013-08-02 16:06:20.210132	2013-08-04 19:12:36.250201
36187	7	2013-08-02 16:06:20.10944	2013-08-02 16:06:20.10944
36113	16	2013-08-02 16:06:19.940428	2013-08-04 19:25:55.446503
36189	9	2013-08-02 16:06:20.114781	2013-08-02 16:06:20.114781
36153	14	2013-08-02 16:06:20.027831	2013-08-04 19:25:55.448782
36194	14	2013-08-02 16:06:20.121781	2013-08-02 16:06:20.121781
36235	14	2013-08-02 16:06:20.217259	2013-08-03 23:29:38.699293
36196	16	2013-08-02 16:06:20.123921	2013-08-02 16:06:20.123921
36261	7	2013-08-02 16:06:20.281958	2013-08-03 23:29:38.72373
36202	2	2013-08-02 16:06:20.133421	2013-08-02 16:06:20.133421
36218	14	2013-08-02 16:06:20.175287	2013-08-03 20:37:34.328701
36204	4	2013-08-02 16:06:20.138319	2013-08-02 16:06:20.138319
36233	9	2013-08-02 16:06:20.212503	2013-08-04 19:25:55.453645
36207	7	2013-08-02 16:06:20.146116	2013-08-02 16:06:20.146116
36209	9	2013-08-02 16:06:20.151528	2013-08-02 16:06:20.151528
36180	7	2013-08-02 16:06:20.093011	2013-08-04 19:25:55.456117
36214	14	2013-08-02 16:06:20.164518	2013-08-02 16:06:20.164518
36260	21	2013-08-02 16:06:20.279507	2013-08-03 20:37:36.785627
36216	16	2013-08-02 16:06:20.169946	2013-08-02 16:06:20.169946
36133	21	2013-08-02 16:06:19.97454	2013-08-04 19:26:08.341064
36172	2	2013-08-02 16:06:20.073337	2013-08-03 23:37:26.046917
37080	2	2013-08-02 16:06:21.893431	2013-08-04 19:27:43.928499
36135	2	2013-08-02 16:06:19.979883	2013-08-04 19:27:43.935519
36222	2	2013-08-02 16:06:20.185943	2013-08-02 16:06:20.185943
36240	21	2013-08-02 16:06:20.229972	2013-08-03 20:37:36.789401
36224	4	2013-08-02 16:06:20.190917	2013-08-02 16:06:20.190917
36181	21	2013-08-02 16:06:20.095406	2013-08-03 23:39:27.341917
36227	7	2013-08-02 16:06:20.198174	2013-08-02 16:06:20.198174
36225	2	2013-08-02 16:06:20.193353	2013-08-04 19:27:43.945027
36229	9	2013-08-02 16:06:20.202974	2013-08-02 16:06:20.202974
36213	21	2013-08-02 16:06:20.162423	2013-08-04 19:27:44.13224
36173	2	2013-08-02 16:06:20.075686	2013-08-04 19:27:44.394577
36234	14	2013-08-02 16:06:20.214889	2013-08-02 16:06:20.214889
36220	21	2013-08-02 16:06:20.180533	2013-08-03 20:37:36.792367
36236	16	2013-08-02 16:06:20.219624	2013-08-02 16:06:20.219624
36130	14	2013-08-02 16:06:19.966861	2013-08-04 20:32:42.070646
36210	21	2013-08-02 16:06:20.154208	2013-08-03 23:55:31.002577
36190	21	2013-08-02 16:06:20.117306	2013-08-03 23:55:31.004192
36195	14	2013-08-02 16:06:20.122899	2013-08-04 20:32:42.082617
36242	2	2013-08-02 16:06:20.23533	2013-08-02 16:06:20.23533
36200	14	2013-08-02 16:06:20.130155	2013-08-03 20:37:36.81492
36244	4	2013-08-02 16:06:20.240411	2013-08-02 16:06:20.240411
36170	21	2013-08-02 16:06:20.068672	2013-08-03 23:55:31.005314
36247	7	2013-08-02 16:06:20.248217	2013-08-02 16:06:20.248217
36251	14	2013-08-02 16:06:20.258019	2013-08-04 20:32:42.093596
36249	9	2013-08-02 16:06:20.25316	2013-08-02 16:06:20.25316
36231	14	2013-08-02 16:06:20.207715	2013-08-04 20:32:42.104693
36211	14	2013-08-02 16:06:20.157063	2013-08-04 20:32:42.115897
36254	14	2013-08-02 16:06:20.265205	2013-08-02 16:06:20.265205
36256	16	2013-08-02 16:06:20.269973	2013-08-02 16:06:20.269973
36193	14	2013-08-02 16:06:20.12073	2013-08-04 20:32:42.127038
36150	21	2013-08-02 16:06:20.020225	2013-08-03 23:55:31.006673
36191	14	2013-08-02 16:06:20.118472	2013-08-04 20:32:42.138584
36171	14	2013-08-02 16:06:20.070994	2013-08-04 20:32:42.149836
36262	2	2013-08-02 16:06:20.284529	2013-08-02 16:06:20.284529
36264	4	2013-08-02 16:06:20.289511	2013-08-02 16:06:20.289511
36151	14	2013-08-02 16:06:20.022729	2013-08-04 20:32:42.160999
36267	7	2013-08-02 16:06:20.296746	2013-08-02 16:06:20.296746
36115	7	2013-08-02 16:06:19.942274	2013-08-03 19:24:59.857545
36131	4	2013-08-02 16:06:19.969088	2013-08-04 20:32:42.185069
36175	4	2013-08-02 16:06:20.080437	2013-08-03 19:24:59.861688
36111	4	2013-08-02 16:06:19.938384	2013-08-04 20:32:42.197186
36215	2	2013-08-02 16:06:20.167196	2013-08-03 19:24:59.866629
36245	7	2013-08-02 16:06:20.243091	2013-08-04 20:37:29.671745
36265	2	2013-08-02 16:06:20.291921	2013-08-03 21:39:31.322825
36185	7	2013-08-02 16:06:20.104703	2013-08-04 20:37:29.68357
36178	9	2013-08-02 16:06:20.088108	2013-08-03 21:39:31.361293
36259	7	2013-08-02 16:06:20.277154	2013-08-04 20:37:29.694918
36230	21	2013-08-02 16:06:20.205356	2013-08-03 23:58:25.833792
36145	4	2013-08-02 16:06:20.006934	2013-08-03 21:39:31.395423
36165	21	2013-08-02 16:06:20.056605	2013-08-03 21:42:41.849016
36112	4	2013-08-02 16:06:19.939458	2013-08-03 22:00:36.742733
36198	7	2013-08-02 16:06:20.126915	2013-08-04 20:37:29.706544
36152	2	2013-08-02 16:06:20.025341	2013-08-03 22:00:36.750128
36239	4	2013-08-02 16:06:20.227339	2013-08-04 20:37:29.735288
36250	21	2013-08-02 16:06:20.255578	2013-08-03 23:58:34.542221
36219	4	2013-08-02 16:06:20.177894	2013-08-04 20:37:29.748546
20448	4	2013-08-02 16:05:44.347368	2013-08-04 00:04:25.210596
36199	4	2013-08-02 16:06:20.128487	2013-08-04 20:37:29.761418
17991	2	2013-08-02 16:05:39.020941	2013-08-04 00:04:25.216767
36179	4	2013-08-02 16:06:20.090582	2013-08-04 20:37:29.766958
36159	2	2013-08-02 16:06:20.042255	2013-08-04 20:37:29.776299
15979	2	2013-08-02 16:05:34.404144	2013-08-04 00:04:25.289432
37190	7	2013-08-02 16:06:22.031463	2013-08-04 00:04:36.758841
36269	9	2013-08-02 16:06:20.301595	2013-08-02 16:06:20.301595
36417	4	2013-08-02 16:06:20.83762	2013-08-04 02:15:51.89143
36397	4	2013-08-02 16:06:20.784494	2013-08-04 02:15:51.89584
36274	14	2013-08-02 16:06:20.522466	2013-08-02 16:06:20.522466
36278	21	2013-08-02 16:06:20.526937	2013-08-03 20:27:32.572495
36276	16	2013-08-02 16:06:20.524504	2013-08-02 16:06:20.524504
23819	2	2013-08-02 16:05:52.341205	2013-08-04 17:31:53.881727
36270	4	2013-08-02 16:06:20.517924	2013-08-04 02:15:51.899951
36292	2	2013-08-02 16:06:20.54873	2013-08-03 22:04:59.629008
23799	2	2013-08-02 16:05:52.1351	2013-08-04 17:31:53.892696
36282	2	2013-08-02 16:06:20.531474	2013-08-02 16:06:20.531474
36418	4	2013-08-02 16:06:20.84028	2013-08-03 20:27:33.139536
36284	4	2013-08-02 16:06:20.533561	2013-08-02 16:06:20.533561
36287	7	2013-08-02 16:06:20.540452	2013-08-02 16:06:20.540452
36293	4	2013-08-02 16:06:20.551154	2013-08-04 19:25:55.461062
36289	9	2013-08-02 16:06:20.54299	2013-08-02 16:06:20.54299
36294	14	2013-08-02 16:06:20.553611	2013-08-02 16:06:20.553611
36296	16	2013-08-02 16:06:20.55876	2013-08-02 16:06:20.55876
3398	4	2013-08-02 16:05:10.285645	2013-08-04 17:31:54.375544
36302	2	2013-08-02 16:06:20.57489	2013-08-02 16:06:20.57489
3418	4	2013-08-02 16:05:10.335109	2013-08-04 17:31:54.387376
36304	4	2013-08-02 16:06:20.580228	2013-08-02 16:06:20.580228
3438	4	2013-08-02 16:05:10.385339	2013-08-04 17:31:54.399648
36307	7	2013-08-02 16:06:20.588278	2013-08-02 16:06:20.588278
36313	2	2013-08-02 16:06:20.60295	2013-08-04 19:25:55.463749
36309	9	2013-08-02 16:06:20.593267	2013-08-02 16:06:20.593267
3383	4	2013-08-02 16:05:10.248361	2013-08-04 17:31:54.411369
3330	2	2013-08-02 16:05:10.136846	2013-08-04 17:31:54.434599
36314	14	2013-08-02 16:06:20.605394	2013-08-02 16:06:20.605394
36392	9	2013-08-02 16:06:20.772238	2013-08-03 22:05:19.285995
36316	16	2013-08-02 16:06:20.610167	2013-08-02 16:06:20.610167
3428	2	2013-08-02 16:05:10.35967	2013-08-04 17:31:54.446434
36272	21	2013-08-02 16:06:20.520402	2013-08-03 22:05:19.38955
36322	2	2013-08-02 16:06:20.624731	2013-08-02 16:06:20.624731
36338	7	2013-08-02 16:06:20.663149	2013-08-03 20:27:33.224274
36324	4	2013-08-02 16:06:20.62954	2013-08-02 16:06:20.62954
36385	21	2013-08-02 16:06:20.75941	2013-08-03 23:29:38.546018
36327	7	2013-08-02 16:06:20.636787	2013-08-02 16:06:20.636787
36329	9	2013-08-02 16:06:20.641569	2013-08-02 16:06:20.641569
36393	16	2013-08-02 16:06:20.774692	2013-08-04 19:26:19.56668
36334	14	2013-08-02 16:06:20.653535	2013-08-02 16:06:20.653535
36318	2	2013-08-02 16:06:20.61504	2013-08-03 20:27:33.233635
36336	16	2013-08-02 16:06:20.658388	2013-08-02 16:06:20.658388
36310	14	2013-08-02 16:06:20.595675	2013-08-04 19:26:19.573816
36401	16	2013-08-02 16:06:20.794746	2013-08-03 23:29:38.579011
36342	2	2013-08-02 16:06:20.672742	2013-08-02 16:06:20.672742
36298	9	2013-08-02 16:06:20.564185	2013-08-03 20:27:33.246728
36344	4	2013-08-02 16:06:20.677498	2013-08-02 16:06:20.677498
36347	7	2013-08-02 16:06:20.684647	2013-08-02 16:06:20.684647
36413	21	2013-08-02 16:06:20.8267	2013-08-04 19:26:19.660392
36349	9	2013-08-02 16:06:20.689444	2013-08-02 16:06:20.689444
36332	2	2013-08-02 16:06:20.648776	2013-08-04 19:27:43.613003
36273	21	2013-08-02 16:06:20.521451	2013-08-04 19:27:43.649872
36354	14	2013-08-02 16:06:20.701302	2013-08-02 16:06:20.701302
36358	16	2013-08-02 16:06:20.710785	2013-08-03 20:29:50.467548
36356	16	2013-08-02 16:06:20.706029	2013-08-02 16:06:20.706029
18111	2	2013-08-02 16:05:39.162546	2013-08-04 19:27:43.8844
36361	4	2013-08-02 16:06:20.717879	2013-08-03 23:29:38.603817
36341	9	2013-08-02 16:06:20.67035	2013-08-03 23:29:38.626697
36410	2	2013-08-02 16:06:20.818909	2013-08-04 19:27:43.888954
36362	2	2013-08-02 16:06:20.720276	2013-08-02 16:06:20.720276
36406	2	2013-08-02 16:06:20.808235	2013-08-04 19:27:43.893294
36364	4	2013-08-02 16:06:20.725067	2013-08-02 16:06:20.725067
36367	7	2013-08-02 16:06:20.732344	2013-08-02 16:06:20.732344
36360	2	2013-08-02 16:06:20.715516	2013-08-04 19:27:43.897325
36369	9	2013-08-02 16:06:20.736912	2013-08-02 16:06:20.736912
36386	2	2013-08-02 16:06:20.760975	2013-08-04 19:27:43.90106
36366	2	2013-08-02 16:06:20.729918	2013-08-04 19:27:43.904438
36374	14	2013-08-02 16:06:20.743842	2013-08-02 16:06:20.743842
36300	9	2013-08-02 16:06:20.569877	2013-08-03 20:40:05.135996
36376	16	2013-08-02 16:06:20.746217	2013-08-02 16:06:20.746217
36346	2	2013-08-02 16:06:20.682255	2013-08-04 19:27:43.907929
36312	2	2013-08-02 16:06:20.600551	2013-08-03 23:29:38.667856
36326	2	2013-08-02 16:06:20.634325	2013-08-04 19:27:43.911281
36382	2	2013-08-02 16:06:20.754888	2013-08-02 16:06:20.754888
36306	2	2013-08-02 16:06:20.585611	2013-08-04 19:27:43.914868
36384	4	2013-08-02 16:06:20.757933	2013-08-02 16:06:20.757933
36286	2	2013-08-02 16:06:20.53855	2013-08-04 19:27:43.918271
36387	7	2013-08-02 16:06:20.762604	2013-08-02 16:06:20.762604
36375	2	2013-08-02 16:06:20.745028	2013-08-04 19:27:44.384094
36389	9	2013-08-02 16:06:20.766644	2013-08-02 16:06:20.766644
36333	4	2013-08-02 16:06:20.651132	2013-08-04 19:50:25.814802
36271	21	2013-08-02 16:06:20.519343	2013-08-04 20:32:42.048582
36394	14	2013-08-02 16:06:20.777164	2013-08-02 16:06:20.777164
36340	7	2013-08-02 16:06:20.667928	2013-08-03 20:40:05.141586
36396	16	2013-08-02 16:06:20.782019	2013-08-02 16:06:20.782019
36350	4	2013-08-02 16:06:20.691819	2013-08-04 20:37:28.965128
36290	16	2013-08-02 16:06:20.544239	2013-08-03 23:58:25.772052
36411	4	2013-08-02 16:06:20.821607	2013-08-04 20:37:28.977659
36391	4	2013-08-02 16:06:20.770458	2013-08-04 20:37:28.992322
36402	2	2013-08-02 16:06:20.797438	2013-08-02 16:06:20.797438
36404	4	2013-08-02 16:06:20.802863	2013-08-02 16:06:20.802863
36372	14	2013-08-02 16:06:20.740228	2013-08-03 23:58:25.777557
36407	7	2013-08-02 16:06:20.810943	2013-08-02 16:06:20.810943
36371	4	2013-08-02 16:06:20.739006	2013-08-04 20:37:29.006708
36409	9	2013-08-02 16:06:20.816234	2013-08-02 16:06:20.816234
36351	4	2013-08-02 16:06:20.694213	2013-08-04 20:37:29.021483
36330	4	2013-08-02 16:06:20.643961	2013-08-04 20:37:29.035621
36414	14	2013-08-02 16:06:20.82942	2013-08-02 16:06:20.82942
36416	16	2013-08-02 16:06:20.834902	2013-08-02 16:06:20.834902
36331	4	2013-08-02 16:06:20.646373	2013-08-04 20:37:29.049648
36311	4	2013-08-02 16:06:20.598115	2013-08-04 20:37:29.064517
36352	4	2013-08-02 16:06:20.696527	2013-08-04 20:37:29.074026
36422	2	2013-08-02 16:06:20.851091	2013-08-02 16:06:20.851091
36400	4	2013-08-02 16:06:20.792184	2013-08-03 20:40:05.149052
36424	4	2013-08-02 16:06:20.856506	2013-08-02 16:06:20.856506
36280	9	2013-08-02 16:06:20.529038	2013-08-03 23:58:25.7922
36291	4	2013-08-02 16:06:20.546294	2013-08-04 20:37:29.079732
36319	21	2013-08-02 16:06:20.617487	2013-08-04 20:37:29.583248
36335	16	2013-08-02 16:06:20.655946	2013-08-03 19:25:08.298673
36355	14	2013-08-02 16:06:20.703657	2013-08-03 19:25:08.302323
36275	2	2013-08-02 16:06:20.523487	2013-08-03 20:40:05.151765
36305	21	2013-08-02 16:06:20.582938	2013-08-03 21:39:31.302634
36285	21	2013-08-02 16:06:20.535777	2013-08-03 21:39:31.304427
36325	4	2013-08-02 16:06:20.631929	2013-08-03 21:42:41.709704
36390	7	2013-08-02 16:06:20.768813	2013-08-03 23:58:25.799855
36365	2	2013-08-02 16:06:20.727496	2013-08-03 21:42:41.712236
36299	21	2013-08-02 16:06:20.56686	2013-08-04 20:37:29.587517
36345	21	2013-08-02 16:06:20.679868	2013-08-03 21:42:41.851681
36380	9	2013-08-02 16:06:20.751644	2013-08-03 21:44:32.576566
3378	21	2013-08-02 16:05:10.234608	2013-08-04 20:37:29.591263
3358	14	2013-08-02 16:05:10.183382	2013-08-04 20:37:29.612453
18091	9	2013-08-02 16:05:39.131215	2013-08-04 00:04:48.109296
3338	14	2013-08-02 16:05:10.154361	2013-08-04 20:37:29.624943
18133	7	2013-08-02 16:05:39.191548	2013-08-04 00:04:48.112758
36295	7	2013-08-02 16:06:20.556028	2013-08-04 20:42:25.921755
18131	4	2013-08-02 16:05:39.189848	2013-08-04 00:04:48.117642
36419	7	2013-08-02 16:06:20.842969	2013-08-04 20:42:25.931519
18151	2	2013-08-02 16:05:39.210337	2013-08-04 00:04:48.121392
36399	7	2013-08-02 16:06:20.789443	2013-08-04 20:42:25.935227
36379	7	2013-08-02 16:06:20.750035	2013-08-04 20:42:25.938853
36321	2	2013-08-02 16:06:20.622262	2013-08-04 20:42:25.948737
36378	4	2013-08-02 16:06:20.748447	2013-08-04 00:07:47.59868
36359	2	2013-08-02 16:06:20.713168	2013-08-04 20:42:25.952546
38501	21	2013-08-02 16:06:25.4632	2013-08-04 00:07:58.242073
36339	2	2013-08-02 16:06:20.665556	2013-08-04 20:42:25.956969
36373	2	2013-08-02 16:06:20.741974	2013-08-04 20:42:25.960755
36432	7	2013-08-02 16:06:20.878345	2013-08-03 22:05:19.28864
36427	7	2013-08-02 16:06:20.864861	2013-08-02 16:06:20.864861
36429	9	2013-08-02 16:06:20.870326	2013-08-02 16:06:20.870326
36577	2	2013-08-02 16:06:21.152705	2013-08-04 02:15:52.007676
36500	2	2013-08-02 16:06:21.016437	2013-08-04 02:15:52.012545
36434	14	2013-08-02 16:06:20.883679	2013-08-02 16:06:20.883679
36578	21	2013-08-02 16:06:21.154367	2013-08-03 20:27:33.027717
36436	16	2013-08-02 16:06:20.889007	2013-08-02 16:06:20.889007
3447	2	2013-08-02 16:05:10.408709	2013-08-04 17:31:54.457988
36557	2	2013-08-02 16:06:21.132427	2013-08-04 02:15:52.0173
3427	2	2013-08-02 16:05:10.357231	2013-08-04 17:31:54.469082
36442	2	2013-08-02 16:06:20.905126	2013-08-02 16:06:20.905126
36492	4	2013-08-02 16:06:21.000713	2013-08-03 22:05:19.292516
36444	4	2013-08-02 16:06:20.910507	2013-08-02 16:06:20.910507
3320	14	2013-08-02 16:05:10.109659	2013-08-04 17:31:54.491901
36447	7	2013-08-02 16:06:20.918537	2013-08-02 16:06:20.918537
36453	9	2013-08-02 16:06:20.934349	2013-08-04 19:26:19.588815
36449	9	2013-08-02 16:06:20.923835	2013-08-02 16:06:20.923835
3340	14	2013-08-02 16:05:10.156156	2013-08-04 17:31:54.502957
3360	14	2013-08-02 16:05:10.18668	2013-08-04 17:31:54.51384
36454	14	2013-08-02 16:06:20.936792	2013-08-02 16:06:20.936792
36456	16	2013-08-02 16:06:20.941442	2013-08-02 16:06:20.941442
3380	14	2013-08-02 16:05:10.240121	2013-08-04 17:31:54.525105
36532	2	2013-08-02 16:06:21.101757	2013-08-03 22:05:19.29513
36493	7	2013-08-02 16:06:21.003584	2013-08-04 19:26:19.595409
36462	2	2013-08-02 16:06:20.948971	2013-08-02 16:06:20.948971
36518	14	2013-08-02 16:06:21.064292	2013-08-03 20:27:33.054449
36464	4	2013-08-02 16:06:20.951319	2013-08-02 16:06:20.951319
36512	21	2013-08-02 16:06:21.048502	2013-08-03 22:05:19.391229
36467	7	2013-08-02 16:06:20.955087	2013-08-02 16:06:20.955087
36469	9	2013-08-02 16:06:20.95745	2013-08-02 16:06:20.95745
36560	4	2013-08-02 16:06:21.13499	2013-08-04 19:26:19.606241
36474	14	2013-08-02 16:06:20.96553	2013-08-02 16:06:20.96553
36476	16	2013-08-02 16:06:20.96754	2013-08-02 16:06:20.96754
36553	2	2013-08-02 16:06:21.128281	2013-08-04 19:26:19.613893
36455	16	2013-08-02 16:06:20.939778	2013-08-04 18:40:09.371667
36482	2	2013-08-02 16:06:20.976056	2013-08-02 16:06:20.976056
36484	4	2013-08-02 16:06:20.98096	2013-08-02 16:06:20.98096
36472	7	2013-08-02 16:06:20.963467	2013-08-03 22:09:24.5377
36487	7	2013-08-02 16:06:20.988806	2013-08-02 16:06:20.988806
36440	2	2013-08-02 16:06:20.899683	2013-08-04 19:27:43.599334
36489	9	2013-08-02 16:06:20.99266	2013-08-02 16:06:20.99266
36548	21	2013-08-02 16:06:21.12317	2013-08-04 18:40:14.157613
18075	14	2013-08-02 16:05:39.115321	2013-08-04 18:42:34.931184
36494	14	2013-08-02 16:06:21.006203	2013-08-02 16:06:21.006203
36568	2	2013-08-02 16:06:21.143441	2013-08-04 18:42:35.167446
36496	16	2013-08-02 16:06:21.011683	2013-08-02 16:06:21.011683
36533	21	2013-08-02 16:06:21.104459	2013-08-04 19:27:43.646939
36572	21	2013-08-02 16:06:21.148383	2013-08-03 22:09:24.86507
36461	21	2013-08-02 16:06:20.947874	2013-08-03 23:29:38.538243
36513	2	2013-08-02 16:06:21.05115	2013-08-04 19:27:43.84277
36502	2	2013-08-02 16:06:21.022136	2013-08-02 16:06:21.022136
36504	4	2013-08-02 16:06:21.02759	2013-08-02 16:06:21.02759
36552	21	2013-08-02 16:06:21.126639	2013-08-03 23:29:38.541377
36507	7	2013-08-02 16:06:21.035591	2013-08-02 16:06:21.035591
36466	2	2013-08-02 16:06:20.953617	2013-08-04 19:27:43.853782
36509	9	2013-08-02 16:06:21.040808	2013-08-02 16:06:21.040808
36446	2	2013-08-02 16:06:20.915851	2013-08-04 19:27:43.866383
36452	2	2013-08-02 16:06:20.931924	2013-08-04 19:27:43.873522
36514	14	2013-08-02 16:06:21.053767	2013-08-02 16:06:21.053767
36426	2	2013-08-02 16:06:20.862122	2013-08-04 19:27:43.878081
36516	16	2013-08-02 16:06:21.058953	2013-08-02 16:06:21.058953
36433	21	2013-08-02 16:06:20.881035	2013-08-04 19:27:44.130282
36441	21	2013-08-02 16:06:20.902416	2013-08-03 23:29:38.543243
36481	16	2013-08-02 16:06:20.974634	2013-08-03 23:31:52.712718
36550	7	2013-08-02 16:06:21.12493	2013-08-04 19:27:46.873663
36522	2	2013-08-02 16:06:21.075006	2013-08-02 16:06:21.075006
36524	4	2013-08-02 16:06:21.080309	2013-08-02 16:06:21.080309
36565	7	2013-08-02 16:06:21.14057	2013-08-04 19:27:46.883664
36527	7	2013-08-02 16:06:21.088407	2013-08-02 16:06:21.088407
36529	9	2013-08-02 16:06:21.093774	2013-08-02 16:06:21.093774
36473	21	2013-08-02 16:06:20.964444	2013-08-04 19:29:19.832812
36465	2	2013-08-02 16:06:20.952473	2013-08-04 19:32:46.39815
36534	14	2013-08-02 16:06:21.107181	2013-08-02 16:06:21.107181
36536	16	2013-08-02 16:06:21.109947	2013-08-02 16:06:21.109947
36495	2	2013-08-02 16:06:21.008888	2013-08-04 19:32:46.40863
36501	14	2013-08-02 16:06:21.019427	2013-08-03 23:31:52.716383
36566	2	2013-08-02 16:06:21.14167	2013-08-04 19:32:46.418682
36542	2	2013-08-02 16:06:21.116566	2013-08-02 16:06:21.116566
36546	2	2013-08-02 16:06:21.120476	2013-08-04 19:32:46.429489
36544	4	2013-08-02 16:06:21.118981	2013-08-02 16:06:21.118981
36547	7	2013-08-02 16:06:21.122101	2013-08-02 16:06:21.122101
36526	2	2013-08-02 16:06:21.08577	2013-08-04 19:32:46.440149
36549	9	2013-08-02 16:06:21.12404	2013-08-02 16:06:21.12404
36580	2	2013-08-02 16:06:21.156712	2013-08-04 19:32:46.450936
36506	2	2013-08-02 16:06:21.03297	2013-08-04 19:32:46.462086
36554	14	2013-08-02 16:06:21.129925	2013-08-02 16:06:21.129925
36556	16	2013-08-02 16:06:21.131588	2013-08-02 16:06:21.131588
36486	2	2013-08-02 16:06:20.986265	2013-08-04 19:32:46.477057
36498	2	2013-08-02 16:06:21.014214	2013-08-04 19:32:46.48772
36581	9	2013-08-02 16:06:21.157676	2013-08-03 23:31:52.727498
36562	2	2013-08-02 16:06:21.137419	2013-08-02 16:06:21.137419
36573	2	2013-08-02 16:06:21.149296	2013-08-04 19:52:25.035025
36564	4	2013-08-02 16:06:21.13899	2013-08-02 16:06:21.13899
36511	4	2013-08-02 16:06:21.045886	2013-08-04 20:37:28.920032
36567	7	2013-08-02 16:06:21.142554	2013-08-02 16:06:21.142554
36438	4	2013-08-02 16:06:20.894367	2013-08-04 20:37:28.925825
36569	9	2013-08-02 16:06:21.144272	2013-08-02 16:06:21.144272
36491	4	2013-08-02 16:06:20.99779	2013-08-04 20:37:28.93106
36471	4	2013-08-02 16:06:20.961765	2013-08-04 20:37:28.936948
36574	14	2013-08-02 16:06:21.150196	2013-08-02 16:06:21.150196
36480	9	2013-08-02 16:06:20.973104	2013-08-03 20:42:32.658895
36576	16	2013-08-02 16:06:21.151881	2013-08-02 16:06:21.151881
36451	4	2013-08-02 16:06:20.92935	2013-08-04 20:37:28.942853
36431	4	2013-08-02 16:06:20.875692	2013-08-04 20:37:28.951341
36570	4	2013-08-02 16:06:21.145613	2013-08-04 20:42:25.48133
36505	4	2013-08-02 16:06:21.030263	2013-08-04 20:42:25.492396
36435	9	2013-08-02 16:06:20.88634	2013-08-03 19:25:08.321839
36571	4	2013-08-02 16:06:21.147468	2013-08-04 20:42:25.503429
36475	7	2013-08-02 16:06:20.966623	2013-08-03 19:25:08.329644
36478	7	2013-08-02 16:06:20.969998	2013-08-03 23:39:26.632037
36535	4	2013-08-02 16:06:21.109086	2013-08-03 19:25:08.34034
36460	4	2013-08-02 16:06:20.946684	2013-08-03 20:42:32.682186
36558	2	2013-08-02 16:06:21.133313	2013-08-03 20:42:32.706089
36515	4	2013-08-02 16:06:21.056284	2013-08-03 21:44:32.378043
36520	4	2013-08-02 16:06:21.069644	2013-08-04 20:42:25.514454
36551	4	2013-08-02 16:06:21.125763	2013-08-04 20:42:25.525498
36485	7	2013-08-02 16:06:20.98356	2013-08-03 21:44:32.480972
36525	21	2013-08-02 16:06:21.083056	2013-08-03 21:45:39.001367
36450	4	2013-08-02 16:06:20.926564	2013-08-03 23:58:25.811032
36541	14	2013-08-02 16:06:21.115308	2013-08-04 20:42:25.548987
36490	2	2013-08-02 16:06:20.995139	2013-08-03 23:58:25.818183
36531	14	2013-08-02 16:06:21.099109	2013-08-04 20:42:25.560382
36470	21	2013-08-02 16:06:20.959162	2013-08-03 23:58:25.95585
36530	14	2013-08-02 16:06:21.096379	2013-08-03 23:58:45.25094
36519	21	2013-08-02 16:06:21.066958	2013-08-04 20:42:25.838834
36521	9	2013-08-02 16:06:21.072278	2013-08-03 23:58:45.257194
36499	21	2013-08-02 16:06:21.015087	2013-08-04 20:42:25.842899
36510	9	2013-08-02 16:06:21.043404	2013-08-03 23:58:45.364989
36479	21	2013-08-02 16:06:20.971604	2013-08-04 20:42:25.846131
36430	4	2013-08-02 16:06:20.873046	2013-08-04 00:03:54.853368
36545	14	2013-08-02 16:06:21.119731	2013-08-04 20:42:25.866267
18011	4	2013-08-02 16:05:39.040649	2013-08-04 20:47:30.793853
36579	4	2013-08-02 16:06:21.155201	2013-08-04 20:47:30.803967
15878	2	2013-08-02 16:05:34.287138	2013-08-04 00:05:40.285726
38481	7	2013-08-02 16:06:25.426592	2013-08-04 00:05:40.35001
36559	7	2013-08-02 16:06:21.134173	2013-08-04 20:47:30.815111
36539	7	2013-08-02 16:06:21.113326	2013-08-04 20:47:30.8244
36561	7	2013-08-02 16:06:21.13641	2013-08-04 00:07:39.083669
36582	2	2013-08-02 16:06:21.158561	2013-08-02 16:06:21.158561
36658	21	2013-08-02 16:06:21.247474	2013-08-03 20:27:33.014129
36584	4	2013-08-02 16:06:21.162947	2013-08-02 16:06:21.162947
36732	4	2013-08-02 16:06:21.32229	2013-08-03 22:09:24.364533
36587	7	2013-08-02 16:06:21.167104	2013-08-02 16:06:21.167104
36589	9	2013-08-02 16:06:21.168964	2013-08-02 16:06:21.168964
36697	2	2013-08-02 16:06:21.286858	2013-08-04 02:15:51.983526
36677	2	2013-08-02 16:06:21.265381	2013-08-04 02:15:51.987628
36594	14	2013-08-02 16:06:21.175093	2013-08-02 16:06:21.175093
36638	21	2013-08-02 16:06:21.224055	2013-08-03 20:27:33.018447
36596	16	2013-08-02 16:06:21.177898	2013-08-02 16:06:21.177898
36660	14	2013-08-02 16:06:21.251035	2013-08-03 22:09:24.386166
36657	2	2013-08-02 16:06:21.245568	2013-08-04 02:15:51.99135
36602	2	2013-08-02 16:06:21.188783	2013-08-02 16:06:21.188783
36618	21	2013-08-02 16:06:21.205057	2013-08-03 20:27:33.021928
36604	4	2013-08-02 16:06:21.191968	2013-08-02 16:06:21.191968
36725	4	2013-08-02 16:06:21.315213	2013-08-04 02:20:52.79863
36607	7	2013-08-02 16:06:21.19584	2013-08-02 16:06:21.19584
36733	4	2013-08-02 16:06:21.323154	2013-08-04 19:27:46.795865
36609	9	2013-08-02 16:06:21.19764	2013-08-02 16:06:21.19764
36675	4	2013-08-02 16:06:21.2638	2013-08-04 02:20:52.809687
36737	4	2013-08-02 16:06:21.327194	2013-08-04 02:20:52.820535
36614	14	2013-08-02 16:06:21.201789	2013-08-02 16:06:21.201789
36598	21	2013-08-02 16:06:21.180733	2013-08-03 20:27:33.025089
36616	16	2013-08-02 16:06:21.203496	2013-08-02 16:06:21.203496
36713	4	2013-08-02 16:06:21.303581	2013-08-04 19:27:46.806741
36717	4	2013-08-02 16:06:21.306825	2013-08-04 02:20:52.831283
36622	2	2013-08-02 16:06:21.208296	2013-08-02 16:06:21.208296
36615	21	2013-08-02 16:06:21.202678	2013-08-03 20:32:25.270188
36624	4	2013-08-02 16:06:21.210888	2013-08-02 16:06:21.210888
36627	7	2013-08-02 16:06:21.213775	2013-08-02 16:06:21.213775
36693	4	2013-08-02 16:06:21.282638	2013-08-04 19:27:46.817723
36629	9	2013-08-02 16:06:21.215971	2013-08-02 16:06:21.215971
36634	14	2013-08-02 16:06:21.220549	2013-08-02 16:06:21.220549
36738	21	2013-08-02 16:06:21.328028	2013-08-03 20:32:25.272005
36636	16	2013-08-02 16:06:21.222219	2013-08-02 16:06:21.222219
36673	9	2013-08-02 16:06:21.262288	2013-08-04 19:27:46.834015
36692	16	2013-08-02 16:06:21.28177	2013-08-03 22:11:23.18341
36653	9	2013-08-02 16:06:21.241619	2013-08-04 19:27:46.837857
36642	2	2013-08-02 16:06:21.227826	2013-08-02 16:06:21.227826
36718	21	2013-08-02 16:06:21.307746	2013-08-03 20:32:25.273344
36644	4	2013-08-02 16:06:21.230417	2013-08-02 16:06:21.230417
36601	7	2013-08-02 16:06:21.187567	2013-08-03 23:31:52.731921
36647	7	2013-08-02 16:06:21.234334	2013-08-02 16:06:21.234334
36672	9	2013-08-02 16:06:21.261473	2013-08-04 19:27:46.841412
36649	9	2013-08-02 16:06:21.236791	2013-08-02 16:06:21.236791
36654	14	2013-08-02 16:06:21.242499	2013-08-02 16:06:21.242499
36698	21	2013-08-02 16:06:21.288112	2013-08-03 20:32:25.274807
36656	16	2013-08-02 16:06:21.244262	2013-08-02 16:06:21.244262
36662	2	2013-08-02 16:06:21.253582	2013-08-02 16:06:21.253582
36678	21	2013-08-02 16:06:21.266224	2013-08-03 20:32:25.275953
36664	4	2013-08-02 16:06:21.255264	2013-08-02 16:06:21.255264
36641	4	2013-08-02 16:06:21.226776	2013-08-03 23:31:52.738396
36667	7	2013-08-02 16:06:21.257626	2013-08-02 16:06:21.257626
36593	16	2013-08-02 16:06:21.173564	2013-08-04 19:28:54.629354
36669	9	2013-08-02 16:06:21.259173	2013-08-02 16:06:21.259173
36686	2	2013-08-02 16:06:21.2762	2013-08-04 19:32:46.329461
36666	2	2013-08-02 16:06:21.256832	2013-08-04 19:32:46.337208
36674	14	2013-08-02 16:06:21.263069	2013-08-02 16:06:21.263069
36635	21	2013-08-02 16:06:21.221396	2013-08-03 20:42:32.36895
36676	16	2013-08-02 16:06:21.264532	2013-08-02 16:06:21.264532
36652	2	2013-08-02 16:06:21.24072	2013-08-04 19:32:46.344378
36646	2	2013-08-02 16:06:21.232886	2013-08-04 19:32:46.354549
36681	2	2013-08-02 16:06:21.268732	2013-08-03 23:31:52.742587
36626	2	2013-08-02 16:06:21.212738	2013-08-04 19:32:46.365477
36682	2	2013-08-02 16:06:21.271986	2013-08-02 16:06:21.271986
36720	21	2013-08-02 16:06:21.30993	2013-08-03 20:42:32.373171
36684	4	2013-08-02 16:06:21.274152	2013-08-02 16:06:21.274152
36606	2	2013-08-02 16:06:21.194958	2013-08-04 19:32:46.376585
36687	7	2013-08-02 16:06:21.276938	2013-08-02 16:06:21.276938
36586	2	2013-08-02 16:06:21.165913	2013-08-04 19:32:46.387332
36689	9	2013-08-02 16:06:21.27847	2013-08-02 16:06:21.27847
36630	2	2013-08-02 16:06:21.217056	2013-08-04 19:32:48.185329
36726	2	2013-08-02 16:06:21.31604	2013-08-04 19:32:48.189768
36694	14	2013-08-02 16:06:21.283512	2013-08-02 16:06:21.283512
36700	21	2013-08-02 16:06:21.290229	2013-08-03 20:42:32.376983
36696	16	2013-08-02 16:06:21.285993	2013-08-02 16:06:21.285993
36706	2	2013-08-02 16:06:21.296435	2013-08-04 19:32:48.194307
36661	21	2013-08-02 16:06:21.252728	2013-08-03 23:31:52.96811
36640	14	2013-08-02 16:06:21.225788	2013-08-03 23:34:27.544453
36613	2	2013-08-02 16:06:21.200933	2013-08-04 19:32:49.355224
36702	2	2013-08-02 16:06:21.29193	2013-08-02 16:06:21.29193
36680	14	2013-08-02 16:06:21.267883	2013-08-03 20:42:32.397092
36704	4	2013-08-02 16:06:21.293748	2013-08-02 16:06:21.293748
36711	21	2013-08-02 16:06:21.301596	2013-08-04 20:42:25.390048
36707	7	2013-08-02 16:06:21.297492	2013-08-02 16:06:21.297492
36691	7	2013-08-02 16:06:21.280172	2013-08-04 20:42:25.397957
36709	9	2013-08-02 16:06:21.299848	2013-08-02 16:06:21.299848
36671	7	2013-08-02 16:06:21.260753	2013-08-04 20:42:25.404042
36651	7	2013-08-02 16:06:21.239459	2013-08-04 20:42:25.413335
36714	14	2013-08-02 16:06:21.304371	2013-08-02 16:06:21.304371
36631	7	2013-08-02 16:06:21.217947	2013-08-04 20:42:25.424128
36716	16	2013-08-02 16:06:21.305906	2013-08-02 16:06:21.305906
36611	7	2013-08-02 16:06:21.199353	2013-08-04 20:42:25.435233
36712	7	2013-08-02 16:06:21.302469	2013-08-04 20:42:25.446433
36722	2	2013-08-02 16:06:21.31213	2013-08-02 16:06:21.31213
36621	21	2013-08-02 16:06:21.207605	2013-08-03 23:41:32.265835
36724	4	2013-08-02 16:06:21.314287	2013-08-02 16:06:21.314287
36595	21	2013-08-02 16:06:21.176473	2013-08-03 23:41:32.267288
36727	7	2013-08-02 16:06:21.317052	2013-08-02 16:06:21.317052
36591	4	2013-08-02 16:06:21.17102	2013-08-04 20:42:25.469387
36729	9	2013-08-02 16:06:21.319439	2013-08-02 16:06:21.319439
36650	4	2013-08-02 16:06:21.238231	2013-08-04 20:47:30.196303
36731	7	2013-08-02 16:06:21.321459	2013-08-04 20:47:30.203939
36734	14	2013-08-02 16:06:21.32469	2013-08-02 16:06:21.32469
36620	16	2013-08-02 16:06:21.206913	2013-08-03 20:42:32.516723
36736	16	2013-08-02 16:06:21.326373	2013-08-02 16:06:21.326373
36721	7	2013-08-02 16:06:21.310961	2013-08-04 20:47:30.209293
3507	21	2013-08-02 16:05:10.565431	2013-08-04 20:47:30.72528
36632	4	2013-08-02 16:06:21.21888	2013-08-04 20:47:30.745428
36610	7	2013-08-02 16:06:21.198525	2013-08-03 23:58:45.259981
3527	4	2013-08-02 16:05:10.619935	2013-08-04 20:47:30.755749
36695	16	2013-08-02 16:06:21.285118	2013-08-03 19:25:18.876167
36715	14	2013-08-02 16:06:21.305148	2013-08-03 19:25:18.880047
36645	21	2013-08-02 16:06:21.231671	2013-08-03 21:44:32.342918
3547	4	2013-08-02 16:05:10.674078	2013-08-04 20:47:30.760467
36605	16	2013-08-02 16:06:21.194116	2013-08-03 21:44:32.362907
36665	4	2013-08-02 16:06:21.256046	2013-08-03 21:45:39.039239
36619	4	2013-08-02 16:06:21.205831	2013-08-04 20:47:30.765139
36705	2	2013-08-02 16:06:21.294783	2013-08-03 21:45:39.04236
36599	4	2013-08-02 16:06:21.18257	2013-08-04 20:47:30.770829
36735	4	2013-08-02 16:06:21.325557	2013-08-04 20:47:30.776652
36685	21	2013-08-02 16:06:21.275437	2013-08-03 21:51:01.166986
36670	4	2013-08-02 16:06:21.259921	2013-08-03 23:58:45.26518
18117	4	2013-08-02 16:05:39.172225	2013-08-04 20:47:30.788607
36710	2	2013-08-02 16:06:21.300732	2013-08-03 23:58:45.268866
36585	2	2013-08-02 16:06:21.165022	2013-08-04 20:52:22.154313
36625	9	2013-08-02 16:06:21.211834	2013-08-04 00:03:54.744267
36690	7	2013-08-02 16:06:21.279306	2013-08-04 00:04:03.361008
48685	9	2013-08-02 16:06:46.974505	2013-08-04 00:05:40.493357
36655	2	2013-08-02 16:06:21.243345	2013-08-04 20:52:22.160543
2538	21	2013-08-02 16:05:08.883085	2013-08-04 00:05:40.937881
42295	21	2013-08-02 16:06:33.483037	2013-08-04 00:05:40.939223
15719	16	2013-08-02 16:05:34.004605	2013-08-04 00:05:40.948188
36701	4	2013-08-02 16:06:21.291037	2013-08-04 20:52:22.172276
36719	4	2013-08-02 16:06:21.308778	2013-08-04 20:52:22.178039
36699	4	2013-08-02 16:06:21.289275	2013-08-04 20:52:22.184208
2550	21	2013-08-02 16:05:08.895384	2013-08-04 00:07:47.632328
36679	4	2013-08-02 16:06:21.267062	2013-08-04 20:52:22.192401
36633	4	2013-08-02 16:06:21.219696	2013-08-04 20:52:22.199381
36659	4	2013-08-02 16:06:21.249374	2013-08-04 20:52:22.205576
36639	7	2013-08-02 16:06:21.224894	2013-08-04 20:52:22.218612
39843	7	2013-08-02 16:06:27.885761	2013-08-04 20:52:22.225314
36812	21	2013-08-02 16:06:21.400459	2013-08-03 22:09:24.348116
36883	4	2013-08-02 16:06:21.463795	2013-08-04 02:20:52.693687
36742	2	2013-08-02 16:06:21.332414	2013-08-02 16:06:21.332414
36878	7	2013-08-02 16:06:21.459807	2013-08-03 20:32:25.451703
36744	4	2013-08-02 16:06:21.336332	2013-08-02 16:06:21.336332
36792	21	2013-08-02 16:06:21.382324	2013-08-03 22:09:24.350074
36747	7	2013-08-02 16:06:21.338868	2013-08-02 16:06:21.338868
36813	21	2013-08-02 16:06:21.401403	2013-08-04 19:27:46.750923
36749	9	2013-08-02 16:06:21.341071	2013-08-02 16:06:21.341071
36877	4	2013-08-02 16:06:21.458952	2013-08-04 02:20:52.700548
36857	4	2013-08-02 16:06:21.439054	2013-08-04 02:20:52.710916
36754	14	2013-08-02 16:06:21.346567	2013-08-02 16:06:21.346567
36858	2	2013-08-02 16:06:21.439938	2013-08-03 20:32:25.461092
36756	16	2013-08-02 16:06:21.349435	2013-08-02 16:06:21.349435
36772	21	2013-08-02 16:06:21.364532	2013-08-03 22:09:24.351553
36752	21	2013-08-02 16:06:21.344809	2013-08-03 22:09:24.353048
36761	4	2013-08-02 16:06:21.354597	2013-08-04 02:20:52.721858
36762	2	2013-08-02 16:06:21.355449	2013-08-02 16:06:21.355449
36838	2	2013-08-02 16:06:21.422637	2013-08-03 20:32:25.465631
36764	4	2013-08-02 16:06:21.357254	2013-08-02 16:06:21.357254
36767	7	2013-08-02 16:06:21.359737	2013-08-02 16:06:21.359737
36755	21	2013-08-02 16:06:21.347569	2013-08-04 19:27:46.753287
36769	9	2013-08-02 16:06:21.361959	2013-08-02 16:06:21.361959
29068	21	2013-08-02 16:06:02.963413	2013-08-04 17:31:54.81357
29055	21	2013-08-02 16:06:02.930247	2013-08-04 17:31:54.817227
36774	14	2013-08-02 16:06:21.366289	2013-08-02 16:06:21.366289
36818	2	2013-08-02 16:06:21.405776	2013-08-03 20:32:25.469885
36776	16	2013-08-02 16:06:21.368064	2013-08-02 16:06:21.368064
29048	21	2013-08-02 16:06:02.912031	2013-08-04 17:31:54.820308
36852	16	2013-08-02 16:06:21.434624	2013-08-03 22:11:23.295936
28865	2	2013-08-02 16:06:02.376162	2013-08-04 17:31:54.99317
28888	2	2013-08-02 16:06:02.430793	2013-08-04 17:31:55.001224
36782	2	2013-08-02 16:06:21.373724	2013-08-02 16:06:21.373724
36784	4	2013-08-02 16:06:21.37544	2013-08-02 16:06:21.37544
36892	14	2013-08-02 16:06:21.472206	2013-08-03 22:11:23.299
36787	7	2013-08-02 16:06:21.378066	2013-08-02 16:06:21.378066
36793	21	2013-08-02 16:06:21.38318	2013-08-04 19:27:46.755837
36789	9	2013-08-02 16:06:21.379774	2013-08-02 16:06:21.379774
28868	14	2013-08-02 16:06:02.383322	2013-08-04 17:31:55.011563
16513	14	2013-08-02 16:05:35.639871	2013-08-04 17:31:55.018281
36794	14	2013-08-02 16:06:21.384059	2013-08-02 16:06:21.384059
36796	16	2013-08-02 16:06:21.386518	2013-08-02 16:06:21.386518
28848	14	2013-08-02 16:06:02.335681	2013-08-04 17:31:55.023729
18361	2	2013-08-02 16:05:39.432522	2013-08-04 18:42:33.146608
36802	2	2013-08-02 16:06:21.391555	2013-08-02 16:06:21.391555
36804	4	2013-08-02 16:06:21.393239	2013-08-02 16:06:21.393239
36872	21	2013-08-02 16:06:21.45432	2013-08-03 22:11:43.15421
36807	7	2013-08-02 16:06:21.395838	2013-08-02 16:06:21.395838
36773	21	2013-08-02 16:06:21.36542	2013-08-04 19:27:46.758063
36809	9	2013-08-02 16:06:21.397891	2013-08-02 16:06:21.397891
36835	2	2013-08-02 16:06:21.420369	2013-08-04 18:42:33.152536
36814	14	2013-08-02 16:06:21.402289	2013-08-02 16:06:21.402289
36816	16	2013-08-02 16:06:21.403995	2013-08-02 16:06:21.403995
36881	21	2013-08-02 16:06:21.462262	2013-08-03 23:34:27.478498
36840	21	2013-08-02 16:06:21.424238	2013-08-03 23:34:27.479875
36822	2	2013-08-02 16:06:21.409827	2013-08-02 16:06:21.409827
36861	21	2013-08-02 16:06:21.443043	2013-08-03 23:34:27.480888
36824	4	2013-08-02 16:06:21.411658	2013-08-02 16:06:21.411658
36827	7	2013-08-02 16:06:21.414338	2013-08-02 16:06:21.414338
36893	16	2013-08-02 16:06:21.473961	2013-08-04 19:29:07.686167
36829	9	2013-08-02 16:06:21.415911	2013-08-02 16:06:21.415911
36833	21	2013-08-02 16:06:21.418839	2013-08-04 19:29:19.833995
36834	14	2013-08-02 16:06:21.419605	2013-08-02 16:06:21.419605
36780	4	2013-08-02 16:06:21.371968	2013-08-03 20:43:29.895477
36836	16	2013-08-02 16:06:21.421161	2013-08-02 16:06:21.421161
36760	21	2013-08-02 16:06:21.35373	2013-08-04 19:29:19.86791
36850	2	2013-08-02 16:06:21.432881	2013-08-04 19:32:48.031799
36801	4	2013-08-02 16:06:21.390694	2013-08-03 23:34:27.50492
36805	2	2013-08-02 16:06:21.394085	2013-08-04 19:32:48.043269
36842	2	2013-08-02 16:06:21.425798	2013-08-02 16:06:21.425798
36844	4	2013-08-02 16:06:21.427408	2013-08-02 16:06:21.427408
36886	2	2013-08-02 16:06:21.466069	2013-08-04 19:32:48.054038
36847	7	2013-08-02 16:06:21.43013	2013-08-02 16:06:21.43013
36790	2	2013-08-02 16:06:21.380681	2013-08-04 19:32:48.06419
36849	9	2013-08-02 16:06:21.431938	2013-08-02 16:06:21.431938
36866	2	2013-08-02 16:06:21.447818	2013-08-04 19:32:48.074303
36846	2	2013-08-02 16:06:21.429074	2013-08-04 19:32:48.084624
36854	14	2013-08-02 16:06:21.436384	2013-08-02 16:06:21.436384
36820	2	2013-08-02 16:06:21.408007	2013-08-03 20:43:29.903119
36856	16	2013-08-02 16:06:21.438195	2013-08-02 16:06:21.438195
36781	2	2013-08-02 16:06:21.372855	2013-08-04 19:32:48.095285
36741	16	2013-08-02 16:06:21.331508	2013-08-03 23:34:27.533038
36826	2	2013-08-02 16:06:21.413513	2013-08-04 19:32:48.105327
36740	2	2013-08-02 16:06:21.330629	2013-08-04 19:32:48.115373
36862	2	2013-08-02 16:06:21.443935	2013-08-02 16:06:21.443935
36864	4	2013-08-02 16:06:21.445672	2013-08-02 16:06:21.445672
36770	7	2013-08-02 16:06:21.362806	2013-08-04 00:03:54.752117
36867	7	2013-08-02 16:06:21.448709	2013-08-02 16:06:21.448709
18271	21	2013-08-02 16:05:39.334297	2013-08-04 19:34:47.155094
36869	9	2013-08-02 16:06:21.450504	2013-08-02 16:06:21.450504
36810	14	2013-08-02 16:06:21.398766	2013-08-04 20:47:30.096388
36775	14	2013-08-02 16:06:21.367155	2013-08-04 20:47:30.10444
36874	14	2013-08-02 16:06:21.456166	2013-08-02 16:06:21.456166
36800	14	2013-08-02 16:06:21.389855	2013-08-03 20:43:53.548916
36876	16	2013-08-02 16:06:21.458072	2013-08-02 16:06:21.458072
36891	14	2013-08-02 16:06:21.470463	2013-08-04 20:47:30.109871
36871	14	2013-08-02 16:06:21.453338	2013-08-04 20:47:30.119499
36851	14	2013-08-02 16:06:21.433716	2013-08-04 20:47:30.129958
36882	2	2013-08-02 16:06:21.463029	2013-08-02 16:06:21.463029
36880	2	2013-08-02 16:06:21.461418	2013-08-03 20:47:33.153515
36884	4	2013-08-02 16:06:21.464568	2013-08-02 16:06:21.464568
36830	4	2013-08-02 16:06:21.416672	2013-08-04 00:03:54.762488
36887	7	2013-08-02 16:06:21.46676	2013-08-02 16:06:21.46676
36831	14	2013-08-02 16:06:21.417382	2013-08-04 20:47:30.141351
36889	9	2013-08-02 16:06:21.468474	2013-08-02 16:06:21.468474
36811	4	2013-08-02 16:06:21.399592	2013-08-04 20:47:30.166146
36865	4	2013-08-02 16:06:21.446662	2013-08-04 20:47:30.173859
36894	14	2013-08-02 16:06:21.475095	2013-08-02 16:06:21.475095
36860	7	2013-08-02 16:06:21.442232	2013-08-03 20:47:33.175815
36791	4	2013-08-02 16:06:21.381491	2013-08-04 20:47:30.180001
36771	4	2013-08-02 16:06:21.363673	2013-08-04 20:47:30.186001
36751	4	2013-08-02 16:06:21.343102	2013-08-04 20:47:30.192095
36815	9	2013-08-02 16:06:21.403114	2013-08-03 19:25:18.898527
36779	21	2013-08-02 16:06:21.371104	2013-08-04 20:52:22.083988
36855	7	2013-08-02 16:06:21.437315	2013-08-03 19:25:18.905227
36885	16	2013-08-02 16:06:21.46535	2013-08-03 21:49:32.563527
836	2	2013-08-02 16:05:05.283243	2013-08-04 20:52:22.103721
36825	4	2013-08-02 16:06:21.412635	2013-08-03 21:49:32.633757
36785	7	2013-08-02 16:06:21.376339	2013-08-03 21:49:32.680949
36759	2	2013-08-02 16:06:21.352893	2013-08-04 20:52:22.119622
36870	2	2013-08-02 16:06:21.45202	2013-08-04 00:03:54.768323
1631	2	2013-08-02 16:05:07.034643	2013-08-04 20:52:22.135786
36890	14	2013-08-02 16:06:21.469318	2013-08-04 00:04:14.091706
36739	2	2013-08-02 16:06:21.32972	2013-08-04 20:52:22.148555
5244	4	2013-08-02 16:05:13.522902	2013-08-04 20:57:20.286676
18251	9	2013-08-02 16:05:39.312192	2013-08-04 00:07:39.010795
36845	4	2013-08-02 16:06:21.428178	2013-08-04 20:57:20.295943
18321	7	2013-08-02 16:05:39.386203	2013-08-04 00:07:39.01822
36879	4	2013-08-02 16:06:21.460654	2013-08-04 20:57:20.304121
32058	4	2013-08-02 16:06:10.497381	2013-08-04 00:07:39.029425
36859	4	2013-08-02 16:06:21.440793	2013-08-04 20:57:20.309858
18291	2	2013-08-02 16:05:39.357677	2013-08-04 00:07:39.036603
36839	4	2013-08-02 16:06:21.423548	2013-08-04 20:57:20.317082
36853	7	2013-08-02 16:06:21.435508	2013-08-04 20:57:20.338018
36819	7	2013-08-02 16:06:21.406667	2013-08-04 20:57:20.352649
36753	7	2013-08-02 16:06:21.345701	2013-08-04 20:57:20.367008
36799	7	2013-08-02 16:06:21.388951	2013-08-04 20:57:20.381709
36896	16	2013-08-02 16:06:21.478636	2013-08-02 16:06:21.478636
21448	4	2013-08-02 16:05:46.088327	2013-08-04 17:31:55.040914
18231	2	2013-08-02 16:05:39.290559	2013-08-04 02:20:52.981403
36932	9	2013-08-02 16:06:21.516328	2013-08-03 22:11:23.308992
29288	4	2013-08-02 16:06:03.5303	2013-08-04 17:31:55.045971
36902	2	2013-08-02 16:06:21.484724	2013-08-02 16:06:21.484724
36913	14	2013-08-02 16:06:21.495701	2013-08-04 19:29:07.689656
36904	4	2013-08-02 16:06:21.48717	2013-08-02 16:06:21.48717
36972	7	2013-08-02 16:06:21.556409	2013-08-03 22:11:23.314917
36907	7	2013-08-02 16:06:21.490286	2013-08-02 16:06:21.490286
36909	9	2013-08-02 16:06:21.492179	2013-08-02 16:06:21.492179
26590	4	2013-08-02 16:05:57.474765	2013-08-04 17:31:55.049835
29268	4	2013-08-02 16:06:03.483023	2013-08-04 17:31:55.0533
36914	14	2013-08-02 16:06:21.496764	2013-08-02 16:06:21.496764
36916	16	2013-08-02 16:06:21.498995	2013-08-02 16:06:21.498995
29248	4	2013-08-02 16:06:03.434375	2013-08-04 17:31:55.056907
29210	4	2013-08-02 16:06:03.340664	2013-08-04 17:31:55.061373
37032	4	2013-08-02 16:06:21.843204	2013-08-03 22:11:23.325459
29228	4	2013-08-02 16:06:03.386743	2013-08-04 17:31:55.067055
36922	2	2013-08-02 16:06:21.504189	2013-08-02 16:06:21.504189
29208	4	2013-08-02 16:06:03.335291	2013-08-04 17:31:55.070918
36924	4	2013-08-02 16:06:21.506506	2013-08-02 16:06:21.506506
37012	14	2013-08-02 16:06:21.826069	2013-08-03 22:11:43.003262
36927	7	2013-08-02 16:06:21.510259	2013-08-02 16:06:21.510259
36929	9	2013-08-02 16:06:21.512735	2013-08-02 16:06:21.512735
15035	4	2013-08-02 16:05:33.276389	2013-08-04 17:31:55.075135
29120	4	2013-08-02 16:06:03.101942	2013-08-04 17:31:55.079528
36934	14	2013-08-02 16:06:21.51827	2013-08-02 16:06:21.51827
36978	4	2013-08-02 16:06:21.562335	2013-08-03 20:32:25.422063
36936	16	2013-08-02 16:06:21.520032	2013-08-02 16:06:21.520032
29188	4	2013-08-02 16:06:03.282652	2013-08-04 17:31:55.083321
36901	21	2013-08-02 16:06:21.48376	2013-08-03 23:34:27.476622
37045	4	2013-08-02 16:06:21.853543	2013-08-03 23:39:26.485021
29168	4	2013-08-02 16:06:03.230059	2013-08-04 17:31:55.088486
36942	2	2013-08-02 16:06:21.526969	2013-08-02 16:06:21.526969
36958	4	2013-08-02 16:06:21.542676	2013-08-03 20:32:25.426993
36944	4	2013-08-02 16:06:21.529289	2013-08-02 16:06:21.529289
37035	16	2013-08-02 16:06:21.845653	2013-08-03 23:39:26.506984
36947	7	2013-08-02 16:06:21.532268	2013-08-02 16:06:21.532268
36949	9	2013-08-02 16:06:21.53401	2013-08-02 16:06:21.53401
36981	9	2013-08-02 16:06:21.564865	2013-08-04 19:29:07.699088
36954	14	2013-08-02 16:06:21.53923	2013-08-02 16:06:21.53923
36938	4	2013-08-02 16:06:21.522657	2013-08-03 20:32:25.433287
36956	16	2013-08-02 16:06:21.540952	2013-08-02 16:06:21.540952
37013	7	2013-08-02 16:06:21.826801	2013-08-04 19:29:07.706071
36962	2	2013-08-02 16:06:21.546024	2013-08-02 16:06:21.546024
36918	7	2013-08-02 16:06:21.500688	2013-08-03 20:32:25.44212
36964	4	2013-08-02 16:06:21.547678	2013-08-02 16:06:21.547678
36973	21	2013-08-02 16:06:21.557253	2013-08-04 19:32:46.764989
36967	7	2013-08-02 16:06:21.551028	2013-08-02 16:06:21.551028
36933	2	2013-08-02 16:06:21.517387	2013-08-04 19:32:46.995108
36969	9	2013-08-02 16:06:21.553713	2013-08-02 16:06:21.553713
36993	21	2013-08-02 16:06:21.579776	2013-08-04 19:32:47.525954
36974	14	2013-08-02 16:06:21.558085	2013-08-02 16:06:21.558085
36976	16	2013-08-02 16:06:21.560621	2013-08-02 16:06:21.560621
36926	16	2013-08-02 16:06:21.509098	2013-08-04 19:34:36.079319
37033	14	2013-08-02 16:06:21.843894	2013-08-04 19:34:36.086723
36982	2	2013-08-02 16:06:21.566503	2013-08-02 16:06:21.566503
37018	9	2013-08-02 16:06:21.831194	2013-08-03 20:34:53.16525
36984	4	2013-08-02 16:06:21.570036	2013-08-02 16:06:21.570036
36961	2	2013-08-02 16:06:21.545183	2013-08-03 23:39:26.578177
36987	7	2013-08-02 16:06:21.57467	2013-08-02 16:06:21.57467
36989	9	2013-08-02 16:06:21.576332	2013-08-02 16:06:21.576332
36994	14	2013-08-02 16:06:21.580617	2013-08-02 16:06:21.580617
36996	16	2013-08-02 16:06:21.583522	2013-08-02 16:06:21.583522
37026	9	2013-08-02 16:06:21.838023	2013-08-04 19:34:36.10316
36910	9	2013-08-02 16:06:21.493111	2013-08-04 00:04:14.184177
37002	2	2013-08-02 16:06:21.592088	2013-08-02 16:06:21.592088
37004	4	2013-08-02 16:06:21.813324	2013-08-02 16:06:21.813324
36950	7	2013-08-02 16:06:21.534811	2013-08-04 00:04:14.188583
37007	7	2013-08-02 16:06:21.82151	2013-08-02 16:06:21.82151
36970	21	2013-08-02 16:06:21.554621	2013-08-04 19:37:46.787198
37009	9	2013-08-02 16:06:21.823456	2013-08-02 16:06:21.823456
36986	2	2013-08-02 16:06:21.573617	2013-08-04 19:37:46.989023
36966	2	2013-08-02 16:06:21.549324	2013-08-04 19:37:47.639979
37014	14	2013-08-02 16:06:21.827823	2013-08-02 16:06:21.827823
37016	16	2013-08-02 16:06:21.829545	2013-08-02 16:06:21.829545
36960	4	2013-08-02 16:06:21.544333	2013-08-04 19:37:48.462228
36992	2	2013-08-02 16:06:21.578948	2013-08-04 19:37:49.28829
36911	21	2013-08-02 16:06:21.493977	2013-08-04 20:47:30.085344
37022	2	2013-08-02 16:06:21.834584	2013-08-02 16:06:21.834584
37000	9	2013-08-02 16:06:21.589629	2013-08-03 20:47:33.018177
37024	4	2013-08-02 16:06:21.836315	2013-08-02 16:06:21.836315
36990	4	2013-08-02 16:06:21.57719	2013-08-04 00:04:14.196957
37027	7	2013-08-02 16:06:21.838871	2013-08-02 16:06:21.838871
37038	14	2013-08-02 16:06:21.848051	2013-08-04 20:52:21.262088
37029	9	2013-08-02 16:06:21.840642	2013-08-02 16:06:21.840642
36940	14	2013-08-02 16:06:21.524423	2013-08-04 20:52:21.27697
37051	14	2013-08-02 16:06:21.85876	2013-08-04 20:52:21.292426
37034	14	2013-08-02 16:06:21.844923	2013-08-02 16:06:21.844923
37031	7	2013-08-02 16:06:21.842453	2013-08-04 20:52:21.320579
37036	16	2013-08-02 16:06:21.846386	2013-08-02 16:06:21.846386
37011	7	2013-08-02 16:06:21.825332	2013-08-04 20:52:21.334078
37030	2	2013-08-02 16:06:21.84141	2013-08-04 00:04:14.202805
36912	7	2013-08-02 16:06:21.494815	2013-08-04 20:52:21.349447
37006	7	2013-08-02 16:06:21.820704	2013-08-04 20:52:21.363999
37042	2	2013-08-02 16:06:21.851133	2013-08-02 16:06:21.851133
37044	4	2013-08-02 16:06:21.852734	2013-08-02 16:06:21.852734
37047	7	2013-08-02 16:06:21.855327	2013-08-02 16:06:21.855327
36991	7	2013-08-02 16:06:21.578152	2013-08-04 20:52:21.379471
37049	9	2013-08-02 16:06:21.856895	2013-08-02 16:06:21.856895
36971	7	2013-08-02 16:06:21.555523	2013-08-04 20:52:21.386972
36951	4	2013-08-02 16:06:21.535686	2013-08-04 20:52:21.39795
36915	4	2013-08-02 16:06:21.498142	2013-08-03 19:25:18.915626
36955	2	2013-08-02 16:06:21.540089	2013-08-03 19:25:18.923228
36931	4	2013-08-02 16:06:21.515046	2013-08-04 20:52:21.405032
36953	4	2013-08-02 16:06:21.537833	2013-08-04 20:52:21.410833
36999	21	2013-08-02 16:06:21.587716	2013-08-04 20:57:20.178513
37015	4	2013-08-02 16:06:21.828569	2013-08-03 19:27:39.329759
36979	14	2013-08-02 16:06:21.563137	2013-08-04 20:57:20.206232
36920	4	2013-08-02 16:06:21.502438	2013-08-03 20:47:33.10801
36906	14	2013-08-02 16:06:21.489276	2013-08-04 20:57:20.221857
36980	9	2013-08-02 16:06:21.563984	2013-08-03 20:52:36.713074
36945	21	2013-08-02 16:06:21.530141	2013-08-03 21:49:32.535997
36925	21	2013-08-02 16:06:21.507697	2013-08-03 21:49:32.540152
36905	21	2013-08-02 16:06:21.487998	2013-08-03 21:49:32.543822
36965	7	2013-08-02 16:06:21.548503	2013-08-03 21:51:11.684581
37040	4	2013-08-02 16:06:21.849651	2013-08-03 21:51:11.69235
36959	14	2013-08-02 16:06:21.543475	2013-08-04 20:57:20.237454
37025	2	2013-08-02 16:06:21.83717	2013-08-03 21:51:11.699977
36975	14	2013-08-02 16:06:21.558969	2013-08-04 20:57:20.25274
37005	21	2013-08-02 16:06:21.819468	2013-08-03 21:51:11.968592
37050	7	2013-08-02 16:06:21.85793	2013-08-04 00:05:40.272015
37010	7	2013-08-02 16:06:21.8243	2013-08-04 00:05:40.346103
16039	21	2013-08-02 16:05:34.467864	2013-08-04 00:07:39.05176
36939	14	2013-08-02 16:06:21.523546	2013-08-04 20:57:20.261376
36919	14	2013-08-02 16:06:21.501575	2013-08-04 20:57:20.265953
36899	4	2013-08-02 16:06:21.481856	2013-08-04 20:57:20.275716
18261	2	2013-08-02 16:05:39.323276	2013-08-04 00:07:47.600115
15390	21	2013-08-02 16:05:33.682636	2013-08-04 00:07:47.630289
22066	21	2013-08-02 16:05:47.709203	2013-08-04 00:07:47.631276
16019	21	2013-08-02 16:05:34.444106	2013-08-04 00:07:47.633295
16257	21	2013-08-02 16:05:34.968819	2013-08-04 00:07:58.238362
37039	9	2013-08-02 16:06:21.848856	2013-08-04 21:00:14.125964
36935	16	2013-08-02 16:06:21.519137	2013-08-04 21:00:14.316496
37019	21	2013-08-02 16:06:21.832008	2013-08-04 21:00:26.123008
37020	9	2013-08-02 16:06:21.832871	2013-08-04 21:00:27.190914
37054	14	2013-08-02 16:06:21.861622	2013-08-02 16:06:21.861622
37118	21	2013-08-02 16:06:21.941437	2013-08-03 20:32:25.370205
37056	16	2013-08-02 16:06:21.864148	2013-08-02 16:06:21.864148
29148	4	2013-08-02 16:06:03.176617	2013-08-04 17:31:55.09833
37072	2	2013-08-02 16:06:21.8842	2013-08-03 22:11:23.332404
4310	21	2013-08-02 16:05:12.382941	2013-08-04 00:11:54.18648
37177	2	2013-08-02 16:06:22.01776	2013-08-04 02:20:52.927164
37062	2	2013-08-02 16:06:21.870754	2013-08-02 16:06:21.870754
37064	4	2013-08-02 16:06:21.874141	2013-08-02 16:06:21.874141
37067	7	2013-08-02 16:06:21.878377	2013-08-02 16:06:21.878377
37069	9	2013-08-02 16:06:21.880873	2013-08-02 16:06:21.880873
37157	2	2013-08-02 16:06:21.986352	2013-08-04 02:20:52.939171
37152	4	2013-08-02 16:06:21.976738	2013-08-04 02:25:51.338504
37074	14	2013-08-02 16:06:21.886387	2013-08-02 16:06:21.886387
37076	16	2013-08-02 16:06:21.888768	2013-08-02 16:06:21.888768
29128	4	2013-08-02 16:06:03.123119	2013-08-04 17:31:55.109217
37105	4	2013-08-02 16:06:21.926455	2013-08-04 02:25:51.343053
37075	4	2013-08-02 16:06:21.887574	2013-08-04 02:25:51.347295
37082	2	2013-08-02 16:06:21.896403	2013-08-02 16:06:21.896403
37084	4	2013-08-02 16:06:21.898426	2013-08-02 16:06:21.898426
37140	9	2013-08-02 16:06:21.964284	2013-08-03 22:11:43.00974
37087	7	2013-08-02 16:06:21.901988	2013-08-02 16:06:21.901988
37112	4	2013-08-02 16:06:21.934294	2013-08-04 19:29:07.716664
37089	9	2013-08-02 16:06:21.904582	2013-08-02 16:06:21.904582
37197	4	2013-08-02 16:06:22.043923	2013-08-04 02:25:51.354412
25500	4	2013-08-02 16:05:55.037564	2013-08-04 17:31:55.120119
37094	14	2013-08-02 16:06:21.910315	2013-08-02 16:06:21.910315
37198	14	2013-08-02 16:06:22.048064	2013-08-03 20:37:36.012386
37096	16	2013-08-02 16:06:21.912046	2013-08-02 16:06:21.912046
10635	4	2013-08-02 16:05:24.03043	2013-08-04 17:31:55.131223
37192	7	2013-08-02 16:06:22.03507	2013-08-03 22:11:43.014273
29108	4	2013-08-02 16:06:03.06983	2013-08-04 17:31:55.141272
37102	2	2013-08-02 16:06:21.922363	2013-08-02 16:06:21.922363
37104	4	2013-08-02 16:06:21.92555	2013-08-02 16:06:21.92555
37101	21	2013-08-02 16:06:21.92043	2013-08-03 23:39:26.456774
37107	7	2013-08-02 16:06:21.929006	2013-08-02 16:06:21.929006
37093	2	2013-08-02 16:06:21.909374	2013-08-04 19:29:07.723876
37109	9	2013-08-02 16:06:21.930752	2013-08-02 16:06:21.930752
3621	4	2013-08-02 16:05:10.822987	2013-08-04 17:31:55.152204
29088	4	2013-08-02 16:06:03.015026	2013-08-04 17:31:55.163195
37114	14	2013-08-02 16:06:21.937014	2013-08-02 16:06:21.937014
37116	16	2013-08-02 16:06:21.939293	2013-08-02 16:06:21.939293
37081	21	2013-08-02 16:06:21.894584	2013-08-03 23:39:26.459042
37061	21	2013-08-02 16:06:21.869168	2013-08-03 23:39:26.461227
37122	2	2013-08-02 16:06:21.947161	2013-08-02 16:06:21.947161
37138	4	2013-08-02 16:06:21.962507	2013-08-03 20:37:36.044248
37124	4	2013-08-02 16:06:21.949416	2013-08-02 16:06:21.949416
37092	21	2013-08-02 16:06:21.907084	2013-08-03 23:39:26.46444
37127	7	2013-08-02 16:06:21.952231	2013-08-02 16:06:21.952231
37129	9	2013-08-02 16:06:21.954069	2013-08-02 16:06:21.954069
37173	16	2013-08-02 16:06:22.011482	2013-08-04 19:29:31.215768
37134	14	2013-08-02 16:06:21.958731	2013-08-02 16:06:21.958731
37200	21	2013-08-02 16:06:22.052352	2013-08-03 20:47:32.870853
37136	16	2013-08-02 16:06:21.960528	2013-08-02 16:06:21.960528
37193	14	2013-08-02 16:06:22.036736	2013-08-04 19:29:31.222162
37142	2	2013-08-02 16:06:21.966236	2013-08-02 16:06:21.966236
37180	21	2013-08-02 16:06:22.021722	2013-08-03 20:47:32.87498
37144	4	2013-08-02 16:06:21.968428	2013-08-02 16:06:21.968428
37161	9	2013-08-02 16:06:21.993935	2013-08-03 23:42:07.308261
37147	7	2013-08-02 16:06:21.971113	2013-08-02 16:06:21.971113
37149	9	2013-08-02 16:06:21.973063	2013-08-02 16:06:21.973063
37053	21	2013-08-02 16:06:21.860438	2013-08-04 19:29:31.302943
37154	14	2013-08-02 16:06:21.98024	2013-08-02 16:06:21.98024
37160	21	2013-08-02 16:06:21.991706	2013-08-03 20:47:32.87855
37156	16	2013-08-02 16:06:21.984215	2013-08-02 16:06:21.984215
37110	21	2013-08-02 16:06:21.931663	2013-08-04 19:29:31.318106
37073	2	2013-08-02 16:06:21.885418	2013-08-04 19:32:46.087499
37201	7	2013-08-02 16:06:22.054208	2013-08-03 23:42:07.3139
37130	21	2013-08-02 16:06:21.955064	2013-08-04 19:32:46.761216
37162	2	2013-08-02 16:06:21.995793	2013-08-02 16:06:21.995793
37060	2	2013-08-02 16:06:21.86823	2013-08-04 19:32:46.984882
37164	4	2013-08-02 16:06:21.998724	2013-08-02 16:06:21.998724
37070	16	2013-08-02 16:06:21.88197	2013-08-04 00:04:36.749622
37167	7	2013-08-02 16:06:22.002548	2013-08-02 16:06:22.002548
37158	2	2013-08-02 16:06:21.988268	2013-08-04 19:32:47.742642
37169	9	2013-08-02 16:06:22.005774	2013-08-02 16:06:22.005774
37153	2	2013-08-02 16:06:21.978683	2013-08-04 19:32:49.346953
37066	2	2013-08-02 16:06:21.877224	2013-08-04 19:34:36.123498
37174	14	2013-08-02 16:06:22.012414	2013-08-02 16:06:22.012414
37120	14	2013-08-02 16:06:21.944405	2013-08-03 20:47:32.920737
37176	16	2013-08-02 16:06:22.015656	2013-08-02 16:06:22.015656
37206	2	2013-08-02 16:06:22.060818	2013-08-04 19:37:46.542
37090	14	2013-08-02 16:06:21.905418	2013-08-04 00:04:36.751681
37186	2	2013-08-02 16:06:22.027427	2013-08-04 19:37:46.547287
37182	2	2013-08-02 16:06:22.023728	2013-08-02 16:06:22.023728
37100	16	2013-08-02 16:06:21.917531	2013-08-03 20:47:32.94406
37184	4	2013-08-02 16:06:22.02575	2013-08-02 16:06:22.02575
37187	7	2013-08-02 16:06:22.028316	2013-08-02 16:06:22.028316
37166	2	2013-08-02 16:06:22.000814	2013-08-04 19:37:46.552997
37189	9	2013-08-02 16:06:22.030463	2013-08-02 16:06:22.030463
37146	2	2013-08-02 16:06:21.970215	2013-08-04 19:37:46.560459
37126	2	2013-08-02 16:06:21.951317	2013-08-04 19:37:46.565923
37194	14	2013-08-02 16:06:22.038406	2013-08-02 16:06:22.038406
37106	2	2013-08-02 16:06:21.92734	2013-08-04 19:37:46.572304
37196	16	2013-08-02 16:06:22.042258	2013-08-02 16:06:22.042258
37113	2	2013-08-02 16:06:21.936015	2013-08-04 19:50:25.819633
37086	21	2013-08-02 16:06:21.900277	2013-08-04 19:54:49.893989
37132	21	2013-08-02 16:06:21.956881	2013-08-04 20:52:21.190111
37202	2	2013-08-02 16:06:22.056291	2013-08-02 16:06:22.056291
37204	4	2013-08-02 16:06:22.058676	2013-08-02 16:06:22.058676
37150	9	2013-08-02 16:06:21.974187	2013-08-04 00:04:36.75704
37207	7	2013-08-02 16:06:22.061878	2013-08-02 16:06:22.061878
37078	14	2013-08-02 16:06:21.890504	2013-08-04 20:52:21.21754
37209	9	2013-08-02 16:06:22.063972	2013-08-02 16:06:22.063972
37195	21	2013-08-02 16:06:22.040243	2013-08-03 19:27:39.262042
37175	21	2013-08-02 16:06:22.014045	2013-08-03 19:27:39.265632
37155	21	2013-08-02 16:06:21.981998	2013-08-03 19:27:39.268982
37135	21	2013-08-02 16:06:21.959601	2013-08-03 19:27:39.272714
37115	21	2013-08-02 16:06:21.938175	2013-08-03 19:27:39.276525
37095	21	2013-08-02 16:06:21.911157	2013-08-03 19:27:39.28051
37071	14	2013-08-02 16:06:21.882893	2013-08-04 20:52:21.23247
37098	14	2013-08-02 16:06:21.914646	2013-08-04 20:52:21.247407
37165	9	2013-08-02 16:06:21.999655	2013-08-03 21:54:21.314867
37145	16	2013-08-02 16:06:21.969336	2013-08-03 21:54:21.33581
37085	4	2013-08-02 16:06:21.89936	2013-08-03 21:54:21.405001
37185	21	2013-08-02 16:06:22.026585	2013-08-03 21:56:15.022228
38581	21	2013-08-02 16:06:25.621787	2013-08-04 00:07:58.243075
16421	21	2013-08-02 16:05:35.317646	2013-08-04 00:07:58.244283
15619	21	2013-08-02 16:05:33.904273	2013-08-04 00:07:58.266844
9439	21	2013-08-02 16:05:22.376859	2013-08-04 00:07:58.268025
37121	16	2013-08-02 16:06:21.945926	2013-08-04 20:54:33.206175
17523	14	2013-08-02 16:05:38.198438	2013-08-04 00:07:58.291148
19688	21	2013-08-02 16:05:42.625639	2013-08-04 00:08:21.354645
37151	14	2013-08-02 16:06:21.975344	2013-08-04 20:54:33.213683
37131	21	2013-08-02 16:06:21.95596	2013-08-04 20:54:33.300522
37058	21	2013-08-02 16:06:21.866325	2013-08-04 20:54:40.842928
37091	21	2013-08-02 16:06:21.906196	2013-08-04 20:54:40.942436
37205	7	2013-08-02 16:06:22.059736	2013-08-04 20:57:18.386398
37191	7	2013-08-02 16:06:22.033323	2013-08-04 20:57:18.400603
37141	7	2013-08-02 16:06:21.965199	2013-08-04 20:57:19.585572
37059	7	2013-08-02 16:06:21.867275	2013-08-04 21:00:14.132829
37178	4	2013-08-02 16:06:22.019547	2013-08-04 21:00:14.142653
37133	2	2013-08-02 16:06:21.95788	2013-08-04 21:00:14.149708
37139	14	2013-08-02 16:06:21.963374	2013-08-04 21:00:14.566521
37119	21	2013-08-02 16:06:21.942868	2013-08-04 21:00:25.975773
37199	9	2013-08-02 16:06:22.050316	2013-08-04 21:00:26.524333
37111	7	2013-08-02 16:06:21.932872	2013-08-04 21:00:26.531767
37179	7	2013-08-02 16:06:22.020844	2013-08-04 21:01:22.444475
37125	21	2013-08-02 16:06:21.950356	2013-08-08 01:03:13.639558
18411	14	2013-08-02 16:05:39.516892	2013-08-04 00:10:38.748203
37214	14	2013-08-02 16:06:22.068785	2013-08-02 16:06:22.068785
37238	21	2013-08-02 16:06:22.10175	2013-08-03 20:37:35.991854
37216	16	2013-08-02 16:06:22.071407	2013-08-02 16:06:22.071407
9369	4	2013-08-02 16:05:22.192982	2013-08-04 17:31:55.203019
16239	21	2013-08-02 16:05:34.921171	2013-08-04 00:11:54.18754
37235	4	2013-08-02 16:06:22.098565	2013-08-04 02:25:51.299913
37222	2	2013-08-02 16:06:22.078743	2013-08-02 16:06:22.078743
37218	21	2013-08-02 16:06:22.073891	2013-08-03 20:37:35.995441
37224	4	2013-08-02 16:06:22.082695	2013-08-02 16:06:22.082695
37252	4	2013-08-02 16:06:22.121195	2013-08-03 22:11:43.024469
37227	7	2013-08-02 16:06:22.090512	2013-08-02 16:06:22.090512
37213	9	2013-08-02 16:06:22.067896	2013-08-04 19:29:31.236626
37229	9	2013-08-02 16:06:22.093555	2013-08-02 16:06:22.093555
37357	4	2013-08-02 16:06:22.324276	2013-08-04 02:25:51.303623
37337	4	2013-08-02 16:06:22.276613	2013-08-04 02:25:51.307756
37234	14	2013-08-02 16:06:22.09773	2013-08-02 16:06:22.09773
37236	16	2013-08-02 16:06:22.099459	2013-08-02 16:06:22.099459
9349	4	2013-08-02 16:05:22.140996	2013-08-04 17:31:55.21513
9329	4	2013-08-02 16:05:22.087262	2013-08-04 17:31:55.226101
37292	2	2013-08-02 16:06:22.182032	2013-08-03 22:11:43.028372
9309	4	2013-08-02 16:05:22.031907	2013-08-04 17:31:55.237193
37242	2	2013-08-02 16:06:22.106593	2013-08-02 16:06:22.106593
37338	4	2013-08-02 16:06:22.278962	2013-08-03 20:37:36.492866
37244	4	2013-08-02 16:06:22.109655	2013-08-02 16:06:22.109655
9343	4	2013-08-02 16:05:22.125122	2013-08-04 17:31:55.248546
37247	7	2013-08-02 16:06:22.114288	2013-08-02 16:06:22.114288
37249	9	2013-08-02 16:06:22.11738	2013-08-02 16:06:22.11738
9350	4	2013-08-02 16:05:22.143648	2013-08-04 17:31:55.260633
9289	4	2013-08-02 16:05:21.978127	2013-08-04 17:31:55.271982
37254	14	2013-08-02 16:06:22.122799	2013-08-02 16:06:22.122799
37318	9	2013-08-02 16:06:22.229267	2013-08-03 20:37:36.506939
37256	16	2013-08-02 16:06:22.124261	2013-08-02 16:06:22.124261
9269	4	2013-08-02 16:05:21.922026	2013-08-04 17:31:55.284999
37272	21	2013-08-02 16:06:22.14418	2013-08-03 22:11:43.370329
9172	4	2013-08-02 16:05:21.699525	2013-08-04 17:31:55.296659
37253	7	2013-08-02 16:06:22.122001	2013-08-04 19:29:31.244371
37262	2	2013-08-02 16:06:22.128911	2013-08-02 16:06:22.128911
37264	4	2013-08-02 16:06:22.131722	2013-08-02 16:06:22.131722
37352	7	2013-08-02 16:06:22.311745	2013-08-03 22:14:57.10226
37267	7	2013-08-02 16:06:22.135608	2013-08-02 16:06:22.135608
37269	9	2013-08-02 16:06:22.138418	2013-08-02 16:06:22.138418
37348	16	2013-08-02 16:06:22.302328	2013-08-04 18:44:44.143532
37313	4	2013-08-02 16:06:22.217662	2013-08-04 19:29:31.255087
37274	14	2013-08-02 16:06:22.147452	2013-08-02 16:06:22.147452
37278	7	2013-08-02 16:06:22.154808	2013-08-03 20:37:36.533452
37276	16	2013-08-02 16:06:22.151871	2013-08-02 16:06:22.151871
37305	21	2013-08-02 16:06:22.201451	2013-08-04 18:44:55.993773
37328	2	2013-08-02 16:06:22.255163	2013-08-04 18:47:32.309858
37282	2	2013-08-02 16:06:22.16268	2013-08-02 16:06:22.16268
37258	2	2013-08-02 16:06:22.125901	2013-08-03 20:37:36.556261
37284	4	2013-08-02 16:06:22.166084	2013-08-02 16:06:22.166084
37312	4	2013-08-02 16:06:22.216031	2013-08-03 23:42:07.324141
37287	7	2013-08-02 16:06:22.171018	2013-08-02 16:06:22.171018
37333	2	2013-08-02 16:06:22.267119	2013-08-04 19:32:46.083036
37289	9	2013-08-02 16:06:22.175614	2013-08-02 16:06:22.175614
37330	7	2013-08-02 16:06:22.259968	2013-08-04 19:32:50.177074
37270	7	2013-08-02 16:06:22.14019	2013-08-04 19:32:50.182174
37294	14	2013-08-02 16:06:22.185756	2013-08-02 16:06:22.185756
37298	16	2013-08-02 16:06:22.190711	2013-08-03 20:39:45.315679
37296	16	2013-08-02 16:06:22.189037	2013-08-02 16:06:22.189037
37346	2	2013-08-02 16:06:22.297782	2013-08-04 19:37:46.441884
37300	2	2013-08-02 16:06:22.192642	2013-08-04 19:37:46.455035
37281	2	2013-08-02 16:06:22.160719	2013-08-03 23:42:07.330988
37326	2	2013-08-02 16:06:22.250324	2013-08-04 19:37:46.466746
37302	2	2013-08-02 16:06:22.195217	2013-08-02 16:06:22.195217
37306	2	2013-08-02 16:06:22.203367	2013-08-04 19:37:46.478649
37304	4	2013-08-02 16:06:22.198844	2013-08-02 16:06:22.198844
37307	7	2013-08-02 16:06:22.205233	2013-08-02 16:06:22.205233
37361	2	2013-08-02 16:06:22.333695	2013-08-04 19:37:46.489639
37309	9	2013-08-02 16:06:22.209717	2013-08-02 16:06:22.209717
37286	2	2013-08-02 16:06:22.169902	2013-08-04 19:37:46.501474
37221	2	2013-08-02 16:06:22.077583	2013-08-04 19:37:46.511918
37314	14	2013-08-02 16:06:22.219495	2013-08-02 16:06:22.219495
37240	9	2013-08-02 16:06:22.10393	2013-08-03 20:48:44.112755
37316	16	2013-08-02 16:06:22.223996	2013-08-02 16:06:22.223996
37266	2	2013-08-02 16:06:22.134213	2013-08-04 19:37:46.516347
37341	2	2013-08-02 16:06:22.286067	2013-08-03 23:44:25.00053
37273	2	2013-08-02 16:06:22.145671	2013-08-04 19:37:46.52149
37246	2	2013-08-02 16:06:22.112374	2013-08-04 19:37:46.52579
37322	2	2013-08-02 16:06:22.239812	2013-08-02 16:06:22.239812
37211	9	2013-08-02 16:06:22.066074	2013-08-04 20:54:33.228975
37324	4	2013-08-02 16:06:22.245139	2013-08-02 16:06:22.245139
37301	9	2013-08-02 16:06:22.193526	2013-08-03 23:44:25.023892
37327	7	2013-08-02 16:06:22.252779	2013-08-02 16:06:22.252779
37329	9	2013-08-02 16:06:22.257587	2013-08-02 16:06:22.257587
37251	7	2013-08-02 16:06:22.120244	2013-08-04 20:54:33.236818
37334	14	2013-08-02 16:06:22.269518	2013-08-02 16:06:22.269518
37280	7	2013-08-02 16:06:22.158028	2013-08-03 20:48:44.119458
37336	16	2013-08-02 16:06:22.274246	2013-08-02 16:06:22.274246
37311	4	2013-08-02 16:06:22.214156	2013-08-04 20:54:33.247516
37351	2	2013-08-02 16:06:22.309403	2013-08-04 20:54:33.254979
37342	2	2013-08-02 16:06:22.288394	2013-08-02 16:06:22.288394
37344	4	2013-08-02 16:06:22.293061	2013-08-02 16:06:22.293061
37241	2	2013-08-02 16:06:22.105068	2013-08-03 23:44:25.423617
37347	7	2013-08-02 16:06:22.30006	2013-08-02 16:06:22.30006
37349	9	2013-08-02 16:06:22.304686	2013-08-02 16:06:22.304686
37291	21	2013-08-02 16:06:22.179458	2013-08-04 20:54:33.325525
37354	14	2013-08-02 16:06:22.316958	2013-08-02 16:06:22.316958
37261	21	2013-08-02 16:06:22.128197	2013-08-03 23:44:25.86988
37356	16	2013-08-02 16:06:22.321896	2013-08-02 16:06:22.321896
37231	2	2013-08-02 16:06:22.095104	2013-08-04 20:57:17.352139
37230	4	2013-08-02 16:06:22.094333	2013-08-04 00:04:36.76169
37331	7	2013-08-02 16:06:22.262392	2013-08-04 20:57:18.359033
37362	2	2013-08-02 16:06:22.335954	2013-08-02 16:06:22.335954
37340	4	2013-08-02 16:06:22.283677	2013-08-03 20:48:44.130386
37364	4	2013-08-02 16:06:22.340771	2013-08-02 16:06:22.340771
37225	7	2013-08-02 16:06:22.085286	2013-08-04 20:57:18.372793
37232	2	2013-08-02 16:06:22.095874	2013-08-04 00:04:36.763327
37323	14	2013-08-02 16:06:22.242477	2013-08-03 19:05:13.645221
37670	4	2013-08-02 16:06:23.110288	2013-08-04 20:57:19.908512
37255	16	2013-08-02 16:06:22.123546	2013-08-03 19:29:23.561291
37275	14	2013-08-02 16:06:22.149989	2013-08-03 19:29:23.562576
37360	4	2013-08-02 16:06:22.331306	2013-08-03 20:52:35.416227
37285	21	2013-08-02 16:06:22.167959	2013-08-03 21:54:21.194198
37265	21	2013-08-02 16:06:22.132686	2013-08-03 21:54:21.198541
37245	21	2013-08-02 16:06:22.111275	2013-08-03 21:54:21.202145
37219	4	2013-08-02 16:06:22.074782	2013-08-04 21:00:26.541118
37325	7	2013-08-02 16:06:22.247628	2013-08-03 21:56:35.481212
37320	4	2013-08-02 16:06:22.234512	2013-08-03 21:56:35.488505
37365	21	2013-08-02 16:06:22.343381	2013-08-03 22:00:17.066816
37250	7	2013-08-02 16:06:22.118974	2013-08-04 00:05:40.342236
37290	16	2013-08-02 16:06:22.177585	2013-08-04 00:07:38.919093
37259	2	2013-08-02 16:06:22.126645	2013-08-04 21:00:26.548647
37310	14	2013-08-02 16:06:22.211534	2013-08-04 00:07:38.92654
37350	4	2013-08-02 16:06:22.307014	2013-08-04 00:07:39.086533
18431	2	2013-08-02 16:05:39.542535	2013-08-04 21:01:19.763355
18401	4	2013-08-02 16:05:39.503745	2013-08-04 00:07:58.371574
37215	14	2013-08-02 16:06:22.070498	2013-08-04 21:01:23.148727
18501	2	2013-08-02 16:05:39.657489	2013-08-04 00:07:58.378626
37359	4	2013-08-02 16:06:22.328955	2013-08-04 21:01:23.179011
37271	4	2013-08-02 16:06:22.142409	2013-08-04 21:01:23.194728
37339	4	2013-08-02 16:06:22.281331	2013-08-04 21:01:23.208703
37319	4	2013-08-02 16:06:22.231876	2013-08-04 21:01:23.223439
37299	4	2013-08-02 16:06:22.19159	2013-08-04 21:01:23.2379
37279	21	2013-08-02 16:06:22.156105	2013-08-08 01:03:11.307162
37239	21	2013-08-02 16:06:22.102964	2013-08-08 01:03:13.423957
37367	7	2013-08-02 16:06:22.34874	2013-08-02 16:06:22.34874
12819	9	2013-08-02 16:05:28.874878	2013-08-04 19:32:50.051285
37369	9	2013-08-02 16:06:22.353699	2013-08-02 16:06:22.353699
37418	14	2013-08-02 16:06:22.475402	2013-08-04 00:11:45.735518
37374	14	2013-08-02 16:06:22.365901	2013-08-02 16:06:22.365901
37518	21	2013-08-02 16:06:22.736597	2013-08-03 20:37:36.293741
37376	16	2013-08-02 16:06:22.371151	2013-08-02 16:06:22.371151
9249	4	2013-08-02 16:05:21.869715	2013-08-04 17:31:55.308257
37417	4	2013-08-02 16:06:22.472755	2013-08-04 02:25:51.287495
37382	2	2013-08-02 16:06:22.386146	2013-08-02 16:06:22.386146
37498	14	2013-08-02 16:06:22.684349	2013-08-03 20:37:36.305552
37384	4	2013-08-02 16:06:22.390878	2013-08-02 16:06:22.390878
37412	4	2013-08-02 16:06:22.459359	2013-08-03 22:14:57.106172
37387	7	2013-08-02 16:06:22.398074	2013-08-02 16:06:22.398074
37513	4	2013-08-02 16:06:22.72391	2013-08-04 19:32:50.073874
37389	9	2013-08-02 16:06:22.402778	2013-08-02 16:06:22.402778
37397	4	2013-08-02 16:06:22.421655	2013-08-04 02:25:51.292223
37377	4	2013-08-02 16:06:22.373546	2013-08-04 02:25:51.296161
37394	14	2013-08-02 16:06:22.41458	2013-08-02 16:06:22.41458
37396	16	2013-08-02 16:06:22.419301	2013-08-02 16:06:22.419301
9229	4	2013-08-02 16:05:21.816448	2013-08-04 17:31:55.315094
9209	4	2013-08-02 16:05:21.764145	2013-08-04 17:31:55.320943
37452	2	2013-08-02 16:06:22.563977	2013-08-03 22:14:57.108718
4549	4	2013-08-02 16:05:12.723331	2013-08-04 17:31:55.324394
37402	2	2013-08-02 16:06:22.43381	2013-08-02 16:06:22.43381
37404	4	2013-08-02 16:06:22.438529	2013-08-02 16:06:22.438529
9189	4	2013-08-02 16:05:21.718721	2013-08-04 17:31:55.327711
37407	7	2013-08-02 16:06:22.446287	2013-08-02 16:06:22.446287
37493	4	2013-08-02 16:06:22.670876	2013-08-04 19:32:50.084958
37409	9	2013-08-02 16:06:22.451509	2013-08-02 16:06:22.451509
9169	4	2013-08-02 16:05:21.697115	2013-08-04 17:31:55.331974
9149	4	2013-08-02 16:05:21.677207	2013-08-04 17:31:55.336549
37414	14	2013-08-02 16:06:22.464874	2013-08-02 16:06:22.464874
9129	4	2013-08-02 16:05:21.546945	2013-08-04 17:31:55.340694
37416	16	2013-08-02 16:06:22.470108	2013-08-02 16:06:22.470108
37515	4	2013-08-02 16:06:22.728885	2013-08-04 17:31:55.344944
9145	4	2013-08-02 16:05:21.673105	2013-08-04 17:31:55.349315
37432	21	2013-08-02 16:06:22.512676	2013-08-03 22:15:17.086333
37473	4	2013-08-02 16:06:22.618178	2013-08-04 19:32:50.0958
37422	2	2013-08-02 16:06:22.486076	2013-08-02 16:06:22.486076
37424	4	2013-08-02 16:06:22.491434	2013-08-02 16:06:22.491434
37492	7	2013-08-02 16:06:22.668215	2013-08-03 22:15:17.453335
37427	7	2013-08-02 16:06:22.499527	2013-08-02 16:06:22.499527
37429	9	2013-08-02 16:06:22.504947	2013-08-02 16:06:22.504947
37434	14	2013-08-02 16:06:22.51794	2013-08-02 16:06:22.51794
37436	16	2013-08-02 16:06:22.523219	2013-08-02 16:06:22.523219
37373	7	2013-08-02 16:06:22.363499	2013-08-04 19:32:50.170865
37433	21	2013-08-02 16:06:22.515297	2013-08-04 19:37:46.780174
37442	2	2013-08-02 16:06:22.538294	2013-08-02 16:06:22.538294
37512	21	2013-08-02 16:06:22.721303	2013-08-04 19:37:46.783107
37444	4	2013-08-02 16:06:22.543254	2013-08-02 16:06:22.543254
37447	7	2013-08-02 16:06:22.550746	2013-08-02 16:06:22.550746
37453	21	2013-08-02 16:06:22.566654	2013-08-04 19:37:46.785818
37449	9	2013-08-02 16:06:22.555993	2013-08-02 16:06:22.555993
16479	2	2013-08-02 16:05:35.56562	2013-08-04 19:37:47.904434
37425	2	2013-08-02 16:06:22.494095	2013-08-04 19:37:47.915334
37454	14	2013-08-02 16:06:22.569322	2013-08-02 16:06:22.569322
37380	2	2013-08-02 16:06:22.381342	2013-08-03 20:48:44.137632
37456	16	2013-08-02 16:06:22.574663	2013-08-02 16:06:22.574663
37415	2	2013-08-02 16:06:22.46749	2013-08-04 19:37:47.926
37405	21	2013-08-02 16:06:22.440901	2013-08-03 23:44:24.832244
37521	21	2013-08-02 16:06:22.744383	2013-08-03 23:44:24.833421
37392	2	2013-08-02 16:06:22.409863	2013-08-04 19:37:47.936822
37462	2	2013-08-02 16:06:22.589667	2013-08-02 16:06:22.589667
37506	2	2013-08-02 16:06:22.705549	2013-08-04 19:37:47.947296
37464	4	2013-08-02 16:06:22.594459	2013-08-02 16:06:22.594459
37501	21	2013-08-02 16:06:22.692683	2013-08-03 23:44:24.834375
37467	7	2013-08-02 16:06:22.602349	2013-08-02 16:06:22.602349
37486	2	2013-08-02 16:06:22.652695	2013-08-04 19:37:47.958185
37469	9	2013-08-02 16:06:22.607598	2013-08-02 16:06:22.607598
37466	2	2013-08-02 16:06:22.59973	2013-08-04 19:37:47.969897
37446	2	2013-08-02 16:06:22.548225	2013-08-04 19:37:47.981549
37474	14	2013-08-02 16:06:22.620946	2013-08-02 16:06:22.620946
37520	2	2013-08-02 16:06:22.741742	2013-08-03 20:52:37.740193
37476	16	2013-08-02 16:06:22.626056	2013-08-02 16:06:22.626056
37460	2	2013-08-02 16:06:22.584873	2013-08-04 19:37:47.992439
37481	16	2013-08-02 16:06:22.639661	2013-08-03 23:44:24.842845
37426	2	2013-08-02 16:06:22.496788	2013-08-04 19:37:48.002998
37485	14	2013-08-02 16:06:22.650068	2013-08-04 20:57:19.733898
37482	2	2013-08-02 16:06:22.642279	2013-08-02 16:06:22.642279
37500	7	2013-08-02 16:06:22.690015	2013-08-03 20:52:37.764361
37484	4	2013-08-02 16:06:22.647549	2013-08-02 16:06:22.647549
37475	14	2013-08-02 16:06:22.623572	2013-08-04 20:57:19.749038
37487	7	2013-08-02 16:06:22.655312	2013-08-02 16:06:22.655312
37511	7	2013-08-02 16:06:22.718809	2013-08-04 20:57:19.778996
37489	9	2013-08-02 16:06:22.660399	2013-08-02 16:06:22.660399
37491	7	2013-08-02 16:06:22.665574	2013-08-04 20:57:19.794175
37471	7	2013-08-02 16:06:22.612929	2013-08-04 20:57:19.808759
37494	14	2013-08-02 16:06:22.673591	2013-08-02 16:06:22.673591
37480	9	2013-08-02 16:06:22.637001	2013-08-03 20:52:37.787968
37496	16	2013-08-02 16:06:22.678933	2013-08-02 16:06:22.678933
37451	7	2013-08-02 16:06:22.561336	2013-08-04 20:57:19.823473
37370	9	2013-08-02 16:06:22.356253	2013-08-04 00:07:38.932281
37431	7	2013-08-02 16:06:22.510042	2013-08-04 20:57:19.837862
37502	2	2013-08-02 16:06:22.695308	2013-08-02 16:06:22.695308
37411	7	2013-08-02 16:06:22.456773	2013-08-04 20:57:19.85271
37504	4	2013-08-02 16:06:22.700656	2013-08-02 16:06:22.700656
37458	4	2013-08-02 16:06:22.579957	2013-08-04 20:57:19.885804
37507	7	2013-08-02 16:06:22.708133	2013-08-02 16:06:22.708133
37391	4	2013-08-02 16:06:22.407486	2013-08-04 20:57:19.893054
37509	9	2013-08-02 16:06:22.713441	2013-08-02 16:06:22.713441
37371	4	2013-08-02 16:06:22.358718	2013-08-04 20:57:19.901111
37459	21	2013-08-02 16:06:22.582421	2013-08-04 21:01:23.054418
37514	14	2013-08-02 16:06:22.726415	2013-08-02 16:06:22.726415
37410	7	2013-08-02 16:06:22.454268	2013-08-04 00:07:38.936436
37516	16	2013-08-02 16:06:22.731284	2013-08-02 16:06:22.731284
37439	14	2013-08-02 16:06:22.530833	2013-08-04 21:01:23.079566
37419	14	2013-08-02 16:06:22.47812	2013-08-04 21:01:23.092164
37399	14	2013-08-02 16:06:22.426359	2013-08-04 21:01:23.106225
37522	2	2013-08-02 16:06:22.747064	2013-08-02 16:06:22.747064
37420	4	2013-08-02 16:06:22.480802	2013-08-03 20:52:37.859826
37478	14	2013-08-02 16:06:22.631549	2013-08-04 21:01:23.120208
37395	7	2013-08-02 16:06:22.416957	2013-08-03 19:29:23.577611
37430	4	2013-08-02 16:06:22.507562	2013-08-04 00:07:38.942815
37455	4	2013-08-02 16:06:22.571964	2013-08-03 19:29:23.588896
37440	14	2013-08-02 16:06:22.533253	2013-08-03 20:56:05.578514
37495	2	2013-08-02 16:06:22.676239	2013-08-03 19:29:23.596279
37385	2	2013-08-02 16:06:22.393349	2013-08-03 21:56:35.495585
37379	14	2013-08-02 16:06:22.378881	2013-08-04 21:01:23.134621
37479	14	2013-08-02 16:06:22.634276	2013-08-08 01:02:58.13171
37505	7	2013-08-02 16:06:22.703101	2013-08-03 21:59:22.227182
37441	14	2013-08-02 16:06:22.535662	2013-08-08 01:02:58.641671
37470	2	2013-08-02 16:06:22.610266	2013-08-04 00:07:38.948068
37465	21	2013-08-02 16:06:22.597102	2013-08-03 21:59:22.986505
37445	21	2013-08-02 16:06:22.545645	2013-08-03 22:00:17.068278
37499	14	2013-08-02 16:06:22.687008	2013-08-08 01:02:59.118681
37490	16	2013-08-02 16:06:22.662951	2013-08-04 00:07:58.087273
37510	16	2013-08-02 16:06:22.716121	2013-08-04 00:07:58.162528
37519	14	2013-08-02 16:06:22.739107	2013-08-08 01:02:59.591303
37450	21	2013-08-02 16:06:22.558661	2013-08-04 00:07:58.24546
18380	9	2013-08-02 16:05:39.474839	2013-08-04 00:08:09.250349
18591	2	2013-08-02 16:05:39.839249	2013-08-04 00:08:09.275184
16470	9	2013-08-02 16:05:35.437603	2013-08-04 00:08:09.319024
27485	7	2013-08-02 16:05:59.925891	2013-08-04 00:08:09.320929
37524	4	2013-08-02 16:06:22.752461	2013-08-02 16:06:22.752461
37532	4	2013-08-02 16:06:22.771439	2013-08-03 22:15:17.457913
37527	7	2013-08-02 16:06:22.758047	2013-08-02 16:06:22.758047
37613	21	2013-08-02 16:06:22.970784	2013-08-04 19:32:49.963196
37529	9	2013-08-02 16:06:22.763417	2013-08-02 16:06:22.763417
26790	2	2013-08-02 16:05:58.113595	2013-08-04 17:31:55.543438
37560	2	2013-08-02 16:06:22.843929	2013-08-04 02:25:51.387717
37534	14	2013-08-02 16:06:22.776818	2013-08-02 16:06:22.776818
37618	21	2013-08-02 16:06:22.982901	2013-08-03 20:37:36.286236
37536	16	2013-08-02 16:06:22.781988	2013-08-02 16:06:22.781988
29413	2	2013-08-02 16:06:03.83943	2013-08-04 17:31:55.555643
37575	2	2013-08-02 16:06:22.879596	2013-08-04 02:25:51.392065
37572	2	2013-08-02 16:06:22.872481	2013-08-03 22:15:17.461418
37677	2	2013-08-02 16:06:23.128766	2013-08-04 02:25:51.396308
37542	2	2013-08-02 16:06:22.79798	2013-08-02 16:06:22.79798
37598	21	2013-08-02 16:06:22.935266	2013-08-03 20:37:36.288717
37544	4	2013-08-02 16:06:22.803323	2013-08-02 16:06:22.803323
5538	4	2013-08-02 16:05:14.100676	2013-08-04 02:30:53.111866
37547	7	2013-08-02 16:06:22.811356	2013-08-02 16:06:22.811356
37549	9	2013-08-02 16:06:22.816724	2013-08-02 16:06:22.816724
37565	4	2013-08-02 16:06:22.855834	2013-08-04 02:30:53.115332
26770	2	2013-08-02 16:05:58.060433	2013-08-04 17:31:55.566438
37554	14	2013-08-02 16:06:22.829492	2013-08-02 16:06:22.829492
37578	21	2013-08-02 16:06:22.88671	2013-08-03 20:37:36.290096
37556	16	2013-08-02 16:06:22.834294	2013-08-02 16:06:22.834294
29393	2	2013-08-02 16:06:03.786716	2013-08-04 17:31:55.577115
29373	2	2013-08-02 16:06:03.735339	2013-08-04 17:31:55.588156
37612	16	2013-08-02 16:06:22.968978	2013-08-03 22:21:47.961442
24250	2	2013-08-02 16:05:52.745663	2013-08-04 17:31:55.599053
37562	2	2013-08-02 16:06:22.848753	2013-08-02 16:06:22.848753
37558	21	2013-08-02 16:06:22.839103	2013-08-03 20:37:36.291277
37564	4	2013-08-02 16:06:22.853483	2013-08-02 16:06:22.853483
29392	2	2013-08-02 16:06:03.784067	2013-08-04 17:31:55.61034
37567	7	2013-08-02 16:06:22.860656	2013-08-02 16:06:22.860656
37569	9	2013-08-02 16:06:22.865385	2013-08-02 16:06:22.865385
29205	2	2013-08-02 16:06:03.327401	2013-08-04 17:31:55.622451
29280	2	2013-08-02 16:06:03.511412	2013-08-04 17:31:55.633564
37574	14	2013-08-02 16:06:22.877252	2013-08-02 16:06:22.877252
37538	21	2013-08-02 16:06:22.787252	2013-08-03 20:37:36.292516
37576	16	2013-08-02 16:06:22.881957	2013-08-02 16:06:22.881957
29353	2	2013-08-02 16:06:03.687409	2013-08-04 17:31:55.644397
37652	14	2013-08-02 16:06:23.067657	2013-08-03 22:21:47.967996
29333	2	2013-08-02 16:06:03.639844	2013-08-04 17:31:55.655497
37582	2	2013-08-02 16:06:22.896487	2013-08-02 16:06:22.896487
29313	2	2013-08-02 16:06:03.591496	2013-08-04 17:31:55.666514
37584	4	2013-08-02 16:06:22.901432	2013-08-02 16:06:22.901432
37587	7	2013-08-02 16:06:22.908671	2013-08-02 16:06:22.908671
37589	9	2013-08-02 16:06:22.913438	2013-08-02 16:06:22.913438
37553	9	2013-08-02 16:06:22.827001	2013-08-04 19:32:50.029561
37533	9	2013-08-02 16:06:22.774132	2013-08-04 19:32:50.040696
37594	14	2013-08-02 16:06:22.925355	2013-08-02 16:06:22.925355
37658	16	2013-08-02 16:06:23.081895	2013-08-03 20:42:31.93394
37596	16	2013-08-02 16:06:22.930131	2013-08-02 16:06:22.930131
37632	21	2013-08-02 16:06:23.018811	2013-08-03 22:21:56.473423
37600	16	2013-08-02 16:06:22.94044	2013-08-04 19:34:47.188452
37602	2	2013-08-02 16:06:22.945275	2013-08-02 16:06:22.945275
37604	4	2013-08-02 16:06:22.950077	2013-08-02 16:06:22.950077
37607	7	2013-08-02 16:06:22.957314	2013-08-02 16:06:22.957314
37550	14	2013-08-02 16:06:22.81938	2013-08-04 19:34:47.194526
37609	9	2013-08-02 16:06:22.962123	2013-08-02 16:06:22.962123
37673	21	2013-08-02 16:06:23.117387	2013-08-04 19:34:47.271856
37546	2	2013-08-02 16:06:22.808706	2013-08-04 19:37:47.882217
37614	14	2013-08-02 16:06:22.973204	2013-08-02 16:06:22.973204
37535	21	2013-08-02 16:06:22.779437	2013-08-03 20:52:37.560921
37616	16	2013-08-02 16:06:22.977942	2013-08-02 16:06:22.977942
37526	2	2013-08-02 16:06:22.755439	2013-08-04 19:37:47.893445
37541	21	2013-08-02 16:06:22.795307	2013-08-03 23:44:24.830583
37661	21	2013-08-02 16:06:23.089014	2013-08-03 23:49:34.252917
37653	2	2013-08-02 16:06:23.070022	2013-08-04 19:37:49.284084
37622	2	2013-08-02 16:06:22.993158	2013-08-02 16:06:22.993158
37641	21	2013-08-02 16:06:23.041152	2013-08-03 23:49:34.255419
37624	4	2013-08-02 16:06:22.99839	2013-08-02 16:06:22.99839
37621	21	2013-08-02 16:06:22.990522	2013-08-03 23:49:34.257094
37627	7	2013-08-02 16:06:23.006231	2013-08-02 16:06:23.006231
37629	9	2013-08-02 16:06:23.011415	2013-08-02 16:06:23.011415
37634	14	2013-08-02 16:06:23.023771	2013-08-02 16:06:23.023771
37636	16	2013-08-02 16:06:23.028759	2013-08-02 16:06:23.028759
37606	16	2013-08-02 16:06:22.954857	2013-08-04 19:40:24.051606
37601	21	2013-08-02 16:06:22.942854	2013-08-03 23:49:34.259195
37581	21	2013-08-02 16:06:22.893908	2013-08-03 23:49:34.260366
37642	2	2013-08-02 16:06:23.043531	2013-08-02 16:06:23.043531
37640	16	2013-08-02 16:06:23.038699	2013-08-03 20:52:37.602755
37644	4	2013-08-02 16:06:23.048383	2013-08-02 16:06:23.048383
37647	7	2013-08-02 16:06:23.05556	2013-08-02 16:06:23.05556
37660	14	2013-08-02 16:06:23.086612	2013-08-04 19:40:24.057559
37649	9	2013-08-02 16:06:23.060304	2013-08-02 16:06:23.060304
37654	14	2013-08-02 16:06:23.072363	2013-08-02 16:06:23.072363
37656	16	2013-08-02 16:06:23.077168	2013-08-02 16:06:23.077168
37678	21	2013-08-02 16:06:23.131417	2013-08-03 23:49:34.490557
37662	2	2013-08-02 16:06:23.091375	2013-08-02 16:06:23.091375
37664	4	2013-08-02 16:06:23.096134	2013-08-02 16:06:23.096134
37625	9	2013-08-02 16:06:23.00111	2013-08-03 23:53:57.119213
37667	7	2013-08-02 16:06:23.103191	2013-08-02 16:06:23.103191
37646	21	2013-08-02 16:06:23.053191	2013-08-04 19:40:35.186745
37669	9	2013-08-02 16:06:23.107917	2013-08-02 16:06:23.107917
37650	21	2013-08-02 16:06:23.062678	2013-08-04 19:42:26.197757
37561	21	2013-08-02 16:06:22.846325	2013-08-04 19:42:26.754785
37674	14	2013-08-02 16:06:23.120109	2013-08-02 16:06:23.120109
37676	16	2013-08-02 16:06:23.125888	2013-08-02 16:06:23.125888
37566	2	2013-08-02 16:06:22.858221	2013-08-04 19:42:26.900312
37530	14	2013-08-02 16:06:22.766099	2013-08-04 00:07:58.167706
37663	21	2013-08-02 16:06:23.093734	2013-08-03 19:07:34.202125
37638	2	2013-08-02 16:06:23.033769	2013-08-04 19:42:28.28618
37591	21	2013-08-02 16:06:22.918193	2013-08-04 20:57:19.646794
37595	16	2013-08-02 16:06:22.927733	2013-08-03 19:29:47.97161
37615	14	2013-08-02 16:06:22.97557	2013-08-03 19:29:47.973022
37585	14	2013-08-02 16:06:22.903831	2013-08-04 20:57:19.671433
37665	21	2013-08-02 16:06:23.098418	2013-08-03 21:59:22.097442
37645	21	2013-08-02 16:06:23.050776	2013-08-03 21:59:22.100964
37571	14	2013-08-02 16:06:22.870128	2013-08-04 20:57:19.685928
37680	2	2013-08-02 16:06:23.136761	2013-08-03 21:59:22.134934
37605	16	2013-08-02 16:06:22.952434	2013-08-03 21:59:22.147636
37551	14	2013-08-02 16:06:22.822058	2013-08-04 20:57:19.701193
37531	14	2013-08-02 16:06:22.768797	2013-08-04 20:57:19.717759
37552	9	2013-08-02 16:06:22.824575	2013-08-04 00:07:58.174362
37611	16	2013-08-02 16:06:22.967066	2013-08-04 21:00:13.818209
37630	7	2013-08-02 16:06:23.01391	2013-08-04 00:07:58.178233
37651	14	2013-08-02 16:06:23.065088	2013-08-04 21:00:13.825462
44643	16	2013-08-02 16:06:38.983407	2013-08-04 00:08:21.158258
24241	9	2013-08-02 16:05:52.737545	2013-08-04 00:08:21.221071
37590	9	2013-08-02 16:06:22.915788	2013-08-04 21:00:13.838843
12779	7	2013-08-02 16:05:28.703149	2013-08-04 00:08:21.227574
37631	21	2013-08-02 16:06:23.016354	2013-08-04 21:00:13.90291
37671	21	2013-08-02 16:06:23.112686	2013-08-04 21:00:14.043816
37666	21	2013-08-02 16:06:23.100814	2013-08-04 21:00:14.195562
37620	7	2013-08-02 16:06:22.988102	2013-08-04 21:01:22.431135
37539	14	2013-08-02 16:06:22.78994	2013-08-08 01:03:00.137819
37593	14	2013-08-02 16:06:22.922967	2013-08-08 01:03:00.585615
37559	14	2013-08-02 16:06:22.841544	2013-08-08 01:03:01.045963
37672	14	2013-08-02 16:06:23.115012	2013-08-08 01:03:01.544126
37579	14	2013-08-02 16:06:22.889115	2013-08-08 01:03:02.108305
37573	14	2013-08-02 16:06:22.874884	2013-08-08 01:03:02.675617
37633	14	2013-08-02 16:06:23.021214	2013-08-08 01:03:03.124084
37599	14	2013-08-02 16:06:22.937716	2013-08-08 01:03:03.67268
37619	14	2013-08-02 16:06:22.985626	2013-08-08 01:03:04.343338
37586	6	2013-08-02 16:06:22.906242	2013-08-08 01:03:04.821398
29218	2	2013-08-02 16:06:03.361624	2013-08-04 17:31:55.678986
37682	2	2013-08-02 16:06:23.142446	2013-08-02 16:06:23.142446
37758	21	2013-08-02 16:06:23.532927	2013-08-03 20:42:31.841899
37684	4	2013-08-02 16:06:23.147774	2013-08-02 16:06:23.147774
37790	9	2013-08-02 16:06:23.581806	2013-08-04 00:11:45.739026
37687	7	2013-08-02 16:06:23.155555	2013-08-02 16:06:23.155555
37689	9	2013-08-02 16:06:23.160815	2013-08-02 16:06:23.160815
37730	21	2013-08-02 16:06:23.270352	2013-08-04 00:11:54.207705
37837	4	2013-08-02 16:06:23.699608	2013-08-04 02:30:53.049131
37694	14	2013-08-02 16:06:23.174206	2013-08-02 16:06:23.174206
37738	21	2013-08-02 16:06:23.291846	2013-08-03 20:42:31.846258
37696	16	2013-08-02 16:06:23.179577	2013-08-02 16:06:23.179577
29293	2	2013-08-02 16:06:03.542342	2013-08-04 17:31:55.690684
37825	21	2013-08-02 16:06:23.670143	2013-08-03 22:04:21.902811
37765	21	2013-08-02 16:06:23.542107	2013-08-03 22:04:59.263163
37817	4	2013-08-02 16:06:23.649023	2013-08-04 02:30:53.060459
37702	2	2013-08-02 16:06:23.195796	2013-08-02 16:06:23.195796
37797	4	2013-08-02 16:06:23.596967	2013-08-04 02:30:53.071898
37704	4	2013-08-02 16:06:23.201201	2013-08-02 16:06:23.201201
37712	9	2013-08-02 16:06:23.222479	2013-08-03 22:21:47.977969
37707	7	2013-08-02 16:06:23.209203	2013-08-02 16:06:23.209203
37709	9	2013-08-02 16:06:23.214487	2013-08-02 16:06:23.214487
37777	4	2013-08-02 16:06:23.559612	2013-08-04 02:30:53.083672
37757	4	2013-08-02 16:06:23.531757	2013-08-04 02:30:53.094611
37714	14	2013-08-02 16:06:23.227665	2013-08-02 16:06:23.227665
37698	14	2013-08-02 16:06:23.184727	2013-08-03 20:42:31.887707
37716	16	2013-08-02 16:06:23.232744	2013-08-02 16:06:23.232744
29273	2	2013-08-02 16:06:03.494827	2013-08-04 17:31:55.701663
37752	7	2013-08-02 16:06:23.526401	2013-08-03 22:21:47.983606
37737	4	2013-08-02 16:06:23.289194	2013-08-04 02:30:53.101705
37722	2	2013-08-02 16:06:23.248919	2013-08-02 16:06:23.248919
37724	4	2013-08-02 16:06:23.254247	2013-08-02 16:06:23.254247
37727	7	2013-08-02 16:06:23.262342	2013-08-02 16:06:23.262342
37753	9	2013-08-02 16:06:23.527451	2013-08-04 19:34:47.208533
37729	9	2013-08-02 16:06:23.267668	2013-08-02 16:06:23.267668
37717	4	2013-08-02 16:06:23.235406	2013-08-04 02:30:53.105314
37697	4	2013-08-02 16:06:23.182081	2013-08-04 02:30:53.108674
37734	14	2013-08-02 16:06:23.281112	2013-08-02 16:06:23.281112
37798	2	2013-08-02 16:06:23.599584	2013-08-03 20:42:32.305956
37736	16	2013-08-02 16:06:23.286516	2013-08-02 16:06:23.286516
39443	2	2013-08-02 16:06:27.10048	2013-08-04 17:31:55.712761
29275	2	2013-08-02 16:06:03.499541	2013-08-04 17:31:55.723103
37792	4	2013-08-02 16:06:23.585916	2013-08-03 22:21:47.991877
29253	2	2013-08-02 16:06:03.447034	2013-08-04 17:31:55.734444
37742	2	2013-08-02 16:06:23.515335	2013-08-02 16:06:23.515335
36483	2	2013-08-02 16:06:20.978253	2013-08-04 17:31:55.745535
37744	4	2013-08-02 16:06:23.517628	2013-08-02 16:06:23.517628
37760	9	2013-08-02 16:06:23.535484	2013-08-03 22:22:07.273378
37747	7	2013-08-02 16:06:23.52099	2013-08-02 16:06:23.52099
37749	9	2013-08-02 16:06:23.523222	2013-08-02 16:06:23.523222
25570	4	2013-08-02 16:05:55.21592	2013-08-04 17:31:56.153769
24319	4	2013-08-02 16:05:52.811572	2013-08-04 17:31:56.166485
37754	14	2013-08-02 16:06:23.528401	2013-08-02 16:06:23.528401
37740	21	2013-08-02 16:06:23.512069	2013-08-03 20:52:37.556188
37756	16	2013-08-02 16:06:23.530644	2013-08-02 16:06:23.530644
37793	7	2013-08-02 16:06:23.587914	2013-08-04 19:34:47.215246
37701	7	2013-08-02 16:06:23.193158	2013-08-03 23:53:57.122265
37762	2	2013-08-02 16:06:23.538022	2013-08-02 16:06:23.538022
37720	21	2013-08-02 16:06:23.243542	2013-08-03 20:52:37.557895
37764	4	2013-08-02 16:06:23.54072	2013-08-02 16:06:23.54072
37767	7	2013-08-02 16:06:23.54481	2013-08-02 16:06:23.54481
37823	4	2013-08-02 16:06:23.664951	2013-08-04 19:34:47.225821
37769	9	2013-08-02 16:06:23.54775	2013-08-02 16:06:23.54775
37770	2	2013-08-02 16:06:23.549331	2013-08-04 19:37:46.197372
37774	14	2013-08-02 16:06:23.555186	2013-08-02 16:06:23.555186
37700	21	2013-08-02 16:06:23.190453	2013-08-03 20:52:37.559314
37776	16	2013-08-02 16:06:23.558077	2013-08-02 16:06:23.558077
37833	21	2013-08-02 16:06:23.690002	2013-08-04 19:37:46.22365
37733	21	2013-08-02 16:06:23.278368	2013-08-04 19:37:46.776911
37761	4	2013-08-02 16:06:23.536664	2013-08-03 23:53:57.126944
37693	2	2013-08-02 16:06:23.171477	2013-08-04 19:37:46.979999
37782	2	2013-08-02 16:06:23.567316	2013-08-02 16:06:23.567316
37773	4	2013-08-02 16:06:23.553775	2013-08-04 19:37:48.411133
37784	4	2013-08-02 16:06:23.570565	2013-08-02 16:06:23.570565
37686	9	2013-08-02 16:06:23.152954	2013-08-04 19:40:24.065846
37787	7	2013-08-02 16:06:23.575474	2013-08-02 16:06:23.575474
37789	9	2013-08-02 16:06:23.579259	2013-08-02 16:06:23.579259
37772	7	2013-08-02 16:06:23.552416	2013-08-04 19:40:24.067864
37794	14	2013-08-02 16:06:23.58999	2013-08-02 16:06:23.58999
37796	16	2013-08-02 16:06:23.594523	2013-08-02 16:06:23.594523
37746	4	2013-08-02 16:06:23.519861	2013-08-04 19:40:24.069766
37801	2	2013-08-02 16:06:23.607928	2013-08-03 23:53:57.129782
37721	2	2013-08-02 16:06:23.246246	2013-08-04 19:40:24.071873
37802	2	2013-08-02 16:06:23.610382	2013-08-02 16:06:23.610382
37804	4	2013-08-02 16:06:23.615228	2013-08-02 16:06:23.615228
37821	14	2013-08-02 16:06:23.659752	2013-08-03 23:55:30.540206
37807	7	2013-08-02 16:06:23.622951	2013-08-02 16:06:23.622951
37726	21	2013-08-02 16:06:23.259631	2013-08-04 19:40:35.19923
37809	9	2013-08-02 16:06:23.628123	2013-08-02 16:06:23.628123
37813	2	2013-08-02 16:06:23.638755	2013-08-04 19:42:25.677528
37725	2	2013-08-02 16:06:23.256976	2013-08-04 19:42:25.990247
37814	14	2013-08-02 16:06:23.641267	2013-08-02 16:06:23.641267
37820	9	2013-08-02 16:06:23.657079	2013-08-03 20:56:05.765962
37816	16	2013-08-02 16:06:23.646468	2013-08-02 16:06:23.646468
37775	2	2013-08-02 16:06:23.556641	2013-08-04 19:42:26.002045
37805	14	2013-08-02 16:06:23.617648	2013-08-03 23:55:30.623865
37781	14	2013-08-02 16:06:23.565789	2013-08-03 23:55:30.629302
37826	2	2013-08-02 16:06:23.672581	2013-08-04 19:42:26.014116
37822	2	2013-08-02 16:06:23.662279	2013-08-02 16:06:23.662279
37685	9	2013-08-02 16:06:23.150469	2013-08-03 22:00:36.44252
37824	4	2013-08-02 16:06:23.667624	2013-08-02 16:06:23.667624
37806	2	2013-08-02 16:06:23.620364	2013-08-04 19:42:26.021146
37827	7	2013-08-02 16:06:23.675218	2013-08-02 16:06:23.675218
37786	2	2013-08-02 16:06:23.573837	2013-08-04 19:42:26.028385
37829	9	2013-08-02 16:06:23.680145	2013-08-02 16:06:23.680145
37766	21	2013-08-02 16:06:23.54349	2013-08-04 19:54:49.898529
37834	14	2013-08-02 16:06:23.692442	2013-08-02 16:06:23.692442
37836	16	2013-08-02 16:06:23.697248	2013-08-02 16:06:23.697248
37713	7	2013-08-02 16:06:23.225164	2013-08-04 21:00:13.845112
37803	14	2013-08-02 16:06:23.612824	2013-08-03 19:08:23.75416
37715	9	2013-08-02 16:06:23.230107	2013-08-03 19:29:47.97985
37755	7	2013-08-02 16:06:23.529527	2013-08-03 19:29:47.982374
37705	7	2013-08-02 16:06:23.203857	2013-08-03 22:00:36.450214
37745	4	2013-08-02 16:06:23.518744	2013-08-03 22:00:36.457535
37731	4	2013-08-02 16:06:23.273017	2013-08-04 21:00:13.855433
37785	2	2013-08-02 16:06:23.572188	2013-08-03 22:00:36.464783
37771	2	2013-08-02 16:06:23.550868	2013-08-04 21:00:13.861747
37741	21	2013-08-02 16:06:23.514158	2013-08-03 23:58:25.956849
37690	4	2013-08-02 16:06:23.163491	2013-08-04 00:07:58.182787
37710	2	2013-08-02 16:06:23.217132	2013-08-04 00:07:58.187261
37692	21	2013-08-02 16:06:23.168856	2013-08-04 00:07:58.246584
37750	14	2013-08-02 16:06:23.524271	2013-08-04 00:08:21.160266
37751	21	2013-08-02 16:06:23.525355	2013-08-04 21:00:25.978449
37810	9	2013-08-02 16:06:23.630886	2013-08-04 00:08:21.163833
37791	9	2013-08-02 16:06:23.584036	2013-08-04 21:00:26.411723
37695	7	2013-08-02 16:06:23.176876	2013-08-04 00:08:21.165511
37711	9	2013-08-02 16:06:23.219791	2013-08-04 21:00:27.029399
37691	21	2013-08-02 16:06:23.166188	2013-08-04 21:00:27.125234
37780	6	2013-08-02 16:06:23.564239	2013-08-04 21:00:27.199337
37831	4	2013-08-02 16:06:23.685152	2013-08-04 21:00:27.206923
37818	7	2013-08-02 16:06:23.651617	2013-08-04 21:00:27.296093
37811	6	2013-08-02 16:06:23.633564	2013-08-04 21:00:27.298931
37699	6	2013-08-02 16:06:23.187374	2013-08-08 01:03:08.53277
37719	6	2013-08-02 16:06:23.240771	2013-08-08 01:03:08.93483
37739	6	2013-08-02 16:06:23.506165	2013-08-08 01:03:09.544909
37759	6	2013-08-02 16:06:23.534219	2013-08-08 01:03:09.608447
37779	14	2013-08-02 16:06:23.562707	2013-08-08 01:03:09.983684
37799	6	2013-08-02 16:06:23.602274	2013-08-08 01:03:11.099609
37819	6	2013-08-02 16:06:23.654345	2013-08-08 01:03:11.304179
37706	6	2013-08-02 16:06:23.206513	2013-08-08 01:03:11.694823
37800	21	2013-08-02 16:06:23.605416	2013-08-08 01:03:13.636315
37985	21	2013-08-02 16:06:24.064122	2013-08-03 22:04:21.235398
37965	21	2013-08-02 16:06:24.010614	2013-08-03 22:04:21.238881
37930	4	2013-08-02 16:06:23.916196	2013-08-04 00:10:38.638217
37842	2	2013-08-02 16:06:23.712035	2013-08-02 16:06:23.712035
37895	14	2013-08-02 16:06:23.82222	2013-08-03 20:42:32.156613
37844	4	2013-08-02 16:06:23.717402	2013-08-02 16:06:23.717402
24299	4	2013-08-02 16:05:52.790284	2013-08-04 17:31:56.178571
37847	7	2013-08-02 16:06:23.724859	2013-08-02 16:06:23.724859
37853	2	2013-08-02 16:06:23.739437	2013-08-04 19:34:47.2331
37849	9	2013-08-02 16:06:23.729839	2013-08-02 16:06:23.729839
24279	4	2013-08-02 16:05:52.771143	2013-08-04 17:31:56.190869
18671	4	2013-08-02 16:05:40.173712	2013-08-04 00:10:38.878438
37854	14	2013-08-02 16:06:23.741869	2013-08-02 16:06:23.741869
24290	4	2013-08-02 16:05:52.781228	2013-08-04 17:31:56.20245
37856	16	2013-08-02 16:06:23.747145	2013-08-02 16:06:23.747145
24259	4	2013-08-02 16:05:52.753645	2013-08-04 17:31:56.21478
37890	21	2013-08-02 16:06:23.811701	2013-08-04 00:10:39.222571
37900	2	2013-08-02 16:06:23.835939	2013-08-03 22:04:21.281968
37872	16	2013-08-02 16:06:23.783165	2013-08-04 00:11:45.634422
37862	2	2013-08-02 16:06:23.761691	2013-08-02 16:06:23.761691
37864	4	2013-08-02 16:06:23.766717	2013-08-02 16:06:23.766717
24239	4	2013-08-02 16:05:52.735535	2013-08-04 17:31:56.226735
37867	7	2013-08-02 16:06:23.776776	2013-08-02 16:06:23.776776
37869	9	2013-08-02 16:06:23.778613	2013-08-02 16:06:23.778613
37970	14	2013-08-02 16:06:24.023951	2013-08-04 00:11:45.637345
37874	14	2013-08-02 16:06:23.785724	2013-08-02 16:06:23.785724
37993	7	2013-08-02 16:06:24.085214	2013-08-04 19:37:50.133224
37876	16	2013-08-02 16:06:23.788692	2013-08-02 16:06:23.788692
24325	4	2013-08-02 16:05:52.817188	2013-08-04 17:31:56.237819
37925	9	2013-08-02 16:06:23.902834	2013-08-03 22:04:21.30456
24219	4	2013-08-02 16:05:52.714434	2013-08-04 17:31:56.249567
37882	2	2013-08-02 16:06:23.797201	2013-08-02 16:06:23.797201
24199	4	2013-08-02 16:05:52.689718	2013-08-04 17:31:56.261988
37884	4	2013-08-02 16:06:23.800265	2013-08-02 16:06:23.800265
37870	21	2013-08-02 16:06:23.77994	2013-08-04 00:11:54.209304
37887	7	2013-08-02 16:06:23.805697	2013-08-02 16:06:23.805697
37889	9	2013-08-02 16:06:23.809512	2013-08-02 16:06:23.809512
37950	21	2013-08-02 16:06:23.97016	2013-08-04 00:11:54.210699
37918	4	2013-08-02 16:06:23.883985	2013-08-04 02:30:53.020031
37894	14	2013-08-02 16:06:23.819955	2013-08-02 16:06:23.819955
37898	4	2013-08-02 16:06:23.83024	2013-08-03 20:42:32.210851
37896	16	2013-08-02 16:06:23.824898	2013-08-02 16:06:23.824898
16231	4	2013-08-02 16:05:34.900357	2013-08-04 17:31:56.273674
24179	4	2013-08-02 16:05:52.667329	2013-08-04 17:31:56.284697
37877	4	2013-08-02 16:06:23.790158	2013-08-04 02:30:53.027582
37902	2	2013-08-02 16:06:23.841167	2013-08-02 16:06:23.841167
37878	9	2013-08-02 16:06:23.791624	2013-08-03 20:42:32.227316
37904	4	2013-08-02 16:06:23.846474	2013-08-02 16:06:23.846474
37857	4	2013-08-02 16:06:23.749615	2013-08-04 02:30:53.037773
37907	7	2013-08-02 16:06:23.854475	2013-08-02 16:06:23.854475
37909	9	2013-08-02 16:06:23.859858	2013-08-02 16:06:23.859858
37955	2	2013-08-02 16:06:23.984051	2013-08-04 02:30:53.294871
37972	2	2013-08-02 16:06:24.02933	2013-08-04 02:30:53.298967
37914	14	2013-08-02 16:06:23.873249	2013-08-02 16:06:23.873249
37916	16	2013-08-02 16:06:23.878613	2013-08-02 16:06:23.878613
24138	4	2013-08-02 16:05:52.628324	2013-08-04 17:31:56.295653
37945	21	2013-08-02 16:06:23.956367	2013-08-03 22:04:59.265905
37977	2	2013-08-02 16:06:24.04275	2013-08-04 02:30:53.303068
37922	2	2013-08-02 16:06:23.894768	2013-08-02 16:06:23.894768
37860	7	2013-08-02 16:06:23.75686	2013-08-03 20:56:05.773949
37924	4	2013-08-02 16:06:23.90011	2013-08-02 16:06:23.90011
37957	2	2013-08-02 16:06:23.989398	2013-08-04 02:30:53.307429
37927	7	2013-08-02 16:06:23.908187	2013-08-02 16:06:23.908187
37929	9	2013-08-02 16:06:23.913541	2013-08-02 16:06:23.913541
37934	14	2013-08-02 16:06:23.926893	2013-08-02 16:06:23.926893
37936	16	2013-08-02 16:06:23.932246	2013-08-02 16:06:23.932246
37893	16	2013-08-02 16:06:23.817805	2013-08-04 19:40:12.123672
37942	2	2013-08-02 16:06:23.948305	2013-08-02 16:06:23.948305
37944	4	2013-08-02 16:06:23.953696	2013-08-02 16:06:23.953696
37953	21	2013-08-02 16:06:23.978563	2013-08-04 19:40:24.008955
37947	7	2013-08-02 16:06:23.961902	2013-08-02 16:06:23.961902
37873	21	2013-08-02 16:06:23.784326	2013-08-04 19:40:24.090135
37949	9	2013-08-02 16:06:23.96744	2013-08-02 16:06:23.96744
18577	2	2013-08-02 16:05:39.803767	2013-08-04 19:42:25.854635
37850	2	2013-08-02 16:06:23.732161	2013-08-04 19:42:25.866988
37954	14	2013-08-02 16:06:23.981359	2013-08-02 16:06:23.981359
37920	4	2013-08-02 16:06:23.889361	2013-08-03 20:56:05.784243
37956	16	2013-08-02 16:06:23.98673	2013-08-02 16:06:23.98673
37875	2	2013-08-02 16:06:23.787205	2013-08-04 19:42:25.878261
37892	9	2013-08-02 16:06:23.815585	2013-08-03 22:25:22.097336
37986	2	2013-08-02 16:06:24.066782	2013-08-04 19:42:25.889187
37952	2	2013-08-02 16:06:23.97578	2013-08-04 19:42:25.902912
37962	2	2013-08-02 16:06:24.002589	2013-08-02 16:06:24.002589
37932	7	2013-08-02 16:06:23.921557	2013-08-03 22:25:22.104993
37964	4	2013-08-02 16:06:24.007923	2013-08-02 16:06:24.007923
37966	2	2013-08-02 16:06:24.013288	2013-08-04 19:42:25.914163
37967	7	2013-08-02 16:06:24.015919	2013-08-02 16:06:24.015919
37946	2	2013-08-02 16:06:23.959215	2013-08-04 19:42:25.925736
37969	9	2013-08-02 16:06:24.02131	2013-08-02 16:06:24.02131
37880	2	2013-08-02 16:06:23.79438	2013-08-04 19:42:25.937572
37926	2	2013-08-02 16:06:23.905545	2013-08-04 19:42:25.949456
37974	14	2013-08-02 16:06:24.034696	2013-08-02 16:06:24.034696
37960	2	2013-08-02 16:06:23.997416	2013-08-03 20:56:05.791144
37976	16	2013-08-02 16:06:24.040084	2013-08-02 16:06:24.040084
37845	2	2013-08-02 16:06:23.719905	2013-08-04 19:42:25.96081
37906	2	2013-08-02 16:06:23.851799	2013-08-04 19:42:25.966055
37886	2	2013-08-02 16:06:23.803347	2013-08-04 19:42:25.971575
37982	2	2013-08-02 16:06:24.056076	2013-08-02 16:06:24.056076
37990	21	2013-08-02 16:06:24.077148	2013-08-04 19:54:49.903351
37984	4	2013-08-02 16:06:24.061472	2013-08-02 16:06:24.061472
37851	2	2013-08-02 16:06:23.734557	2013-08-04 21:00:27.214338
37987	7	2013-08-02 16:06:24.069429	2013-08-02 16:06:24.069429
37989	9	2013-08-02 16:06:24.074549	2013-08-02 16:06:24.074549
37991	7	2013-08-02 16:06:24.079793	2013-08-04 21:01:22.718615
37971	4	2013-08-02 16:06:24.026653	2013-08-04 21:01:22.734123
37994	14	2013-08-02 16:06:24.087853	2013-08-02 16:06:24.087853
37855	2	2013-08-02 16:06:23.744663	2013-08-03 19:29:47.98759
37951	4	2013-08-02 16:06:23.973013	2013-08-04 21:01:22.741924
37992	4	2013-08-02 16:06:24.082527	2013-08-03 22:25:22.113126
37931	4	2013-08-02 16:06:23.918899	2013-08-04 21:01:22.757161
37911	4	2013-08-02 16:06:23.865223	2013-08-04 21:01:22.77207
37975	16	2013-08-02 16:06:24.03742	2013-08-03 19:29:58.338037
37891	4	2013-08-02 16:06:23.813902	2013-08-04 21:01:22.786504
37981	21	2013-08-02 16:06:24.05342	2013-08-03 23:55:30.430039
37961	21	2013-08-02 16:06:24.000077	2013-08-03 23:55:30.434589
37941	21	2013-08-02 16:06:23.945665	2013-08-03 23:55:30.438182
37852	21	2013-08-02 16:06:23.73705	2013-08-03 23:55:30.441592
37839	6	2013-08-02 16:06:23.704662	2013-08-08 01:03:12.254541
37901	16	2013-08-02 16:06:23.838637	2013-08-03 23:55:30.485924
37881	4	2013-08-02 16:06:23.795726	2013-08-03 23:55:30.497637
37980	7	2013-08-02 16:06:24.050765	2013-08-03 23:58:45.36664
37859	6	2013-08-02 16:06:23.754438	2013-08-08 01:03:12.332681
37905	4	2013-08-02 16:06:23.849146	2013-08-04 00:08:21.169528
37958	6	2013-08-02 16:06:23.992074	2013-08-08 01:03:13.420852
37910	2	2013-08-02 16:06:23.862555	2013-08-04 00:08:21.174123
37879	6	2013-08-02 16:06:23.793015	2013-08-08 01:03:13.63454
37885	6	2013-08-02 16:06:23.801805	2013-08-08 01:03:14.04272
16752	4	2013-08-02 16:05:36.180045	2013-08-04 00:08:21.238749
37899	6	2013-08-02 16:06:23.832941	2013-08-08 01:03:14.664074
37919	6	2013-08-02 16:06:23.886692	2013-08-08 01:03:14.750767
37933	14	2013-08-02 16:06:23.924196	2013-08-08 01:03:14.915444
37939	14	2013-08-02 16:06:23.940293	2013-08-08 01:03:15.709376
37959	14	2013-08-02 16:06:23.994752	2013-08-08 01:03:16.207031
37979	6	2013-08-02 16:06:24.048039	2013-08-08 01:03:17.18778
37871	21	2013-08-02 16:06:23.78198	2013-08-08 01:03:17.190603
37935	6	2013-08-02 16:06:23.929597	2013-08-08 01:03:17.419162
37915	14	2013-08-02 16:06:23.875898	2013-08-08 01:03:17.916968
37861	6	2013-08-02 16:06:23.759253	2013-08-08 01:03:18.368395
38118	21	2013-08-02 16:06:24.39526	2013-08-03 20:42:32.141748
37996	16	2013-08-02 16:06:24.093293	2013-08-02 16:06:24.093293
24159	4	2013-08-02 16:05:52.649593	2013-08-04 17:31:56.306496
38005	21	2013-08-02 16:06:24.117807	2013-08-03 22:04:21.231435
38025	2	2013-08-02 16:06:24.17246	2013-08-03 22:05:19.232214
24139	4	2013-08-02 16:05:52.629438	2013-08-04 17:31:56.317498
38002	2	2013-08-02 16:06:24.109779	2013-08-02 16:06:24.109779
38098	21	2013-08-02 16:06:24.347714	2013-08-03 20:42:32.143945
38004	4	2013-08-02 16:06:24.11517	2013-08-02 16:06:24.11517
38021	21	2013-08-02 16:06:24.161929	2013-08-04 00:12:05.050895
38007	7	2013-08-02 16:06:24.123017	2013-08-02 16:06:24.123017
38081	21	2013-08-02 16:06:24.305788	2013-08-04 19:37:49.973679
38009	9	2013-08-02 16:06:24.128801	2013-08-02 16:06:24.128801
24119	4	2013-08-02 16:05:52.611395	2013-08-04 17:31:56.328466
38121	2	2013-08-02 16:06:24.4023	2013-08-04 02:30:53.207869
38014	14	2013-08-02 16:06:24.143232	2013-08-02 16:06:24.143232
38078	21	2013-08-02 16:06:24.298646	2013-08-03 20:42:32.145404
38016	16	2013-08-02 16:06:24.148603	2013-08-02 16:06:24.148603
24099	4	2013-08-02 16:05:52.59469	2013-08-04 17:31:56.339145
38060	2	2013-08-02 16:06:24.256263	2013-08-04 02:30:53.219105
38145	9	2013-08-02 16:06:24.459363	2013-08-03 22:09:23.865712
38137	2	2013-08-02 16:06:24.440113	2013-08-04 02:30:53.22988
38022	2	2013-08-02 16:06:24.164462	2013-08-02 16:06:24.164462
38058	21	2013-08-02 16:06:24.251532	2013-08-03 20:42:32.146635
38024	4	2013-08-02 16:06:24.169824	2013-08-02 16:06:24.169824
38117	2	2013-08-02 16:06:24.392934	2013-08-04 02:30:53.240953
38027	7	2013-08-02 16:06:24.177487	2013-08-02 16:06:24.177487
38092	4	2013-08-02 16:06:24.333475	2013-08-04 19:37:49.994042
38029	9	2013-08-02 16:06:24.182276	2013-08-02 16:06:24.182276
24079	4	2013-08-02 16:05:52.575468	2013-08-04 17:31:56.349962
38097	2	2013-08-02 16:06:24.345362	2013-08-04 02:30:53.252004
38034	14	2013-08-02 16:06:24.194149	2013-08-02 16:06:24.194149
38038	21	2013-08-02 16:06:24.203563	2013-08-03 20:42:32.147924
38036	16	2013-08-02 16:06:24.198845	2013-08-02 16:06:24.198845
24059	4	2013-08-02 16:05:52.556078	2013-08-04 17:31:56.360907
38039	19	2013-08-02 16:06:24.2059	2013-08-02 16:06:24.2059
38077	2	2013-08-02 16:06:24.296295	2013-08-04 02:30:53.268248
38042	2	2013-08-02 16:06:24.212979	2013-08-02 16:06:24.212979
38018	21	2013-08-02 16:06:24.153925	2013-08-03 20:42:32.149039
38044	4	2013-08-02 16:06:24.217694	2013-08-02 16:06:24.217694
38057	2	2013-08-02 16:06:24.249163	2013-08-04 02:30:53.27384
38047	7	2013-08-02 16:06:24.224752	2013-08-02 16:06:24.224752
38015	4	2013-08-02 16:06:24.14591	2013-08-04 19:37:50.006114
38049	9	2013-08-02 16:06:24.229452	2013-08-02 16:06:24.229452
24978	19	2013-08-02 16:05:53.725966	2013-08-04 17:34:29.278714
38037	2	2013-08-02 16:06:24.201218	2013-08-04 02:30:53.279372
38054	14	2013-08-02 16:06:24.241889	2013-08-02 16:06:24.241889
37998	21	2013-08-02 16:06:24.098636	2013-08-03 20:42:32.150461
38056	16	2013-08-02 16:06:24.246741	2013-08-02 16:06:24.246741
38133	4	2013-08-02 16:06:24.430637	2013-08-04 19:37:50.017758
38059	19	2013-08-02 16:06:24.253893	2013-08-02 16:06:24.253893
38017	2	2013-08-02 16:06:24.151287	2013-08-04 02:30:53.285076
38062	2	2013-08-02 16:06:24.261001	2013-08-02 16:06:24.261001
38138	14	2013-08-02 16:06:24.442482	2013-08-03 20:47:32.292416
38064	4	2013-08-02 16:06:24.265735	2013-08-02 16:06:24.265735
37997	2	2013-08-02 16:06:24.095949	2013-08-04 02:30:53.290501
38067	7	2013-08-02 16:06:24.272829	2013-08-02 16:06:24.272829
38113	4	2013-08-02 16:06:24.383535	2013-08-04 19:37:50.029676
38069	9	2013-08-02 16:06:24.277543	2013-08-02 16:06:24.277543
19603	16	2013-08-02 16:05:42.41262	2013-08-04 17:34:29.281178
38100	4	2013-08-02 16:06:24.35288	2013-08-04 19:37:50.040867
38074	14	2013-08-02 16:06:24.289295	2013-08-02 16:06:24.289295
38140	21	2013-08-02 16:06:24.447238	2013-08-03 20:59:21.319608
38076	16	2013-08-02 16:06:24.293959	2013-08-02 16:06:24.293959
36743	2	2013-08-02 16:06:21.334553	2013-08-04 17:36:50.381396
38008	16	2013-08-02 16:06:24.125696	2013-08-04 18:48:45.107108
38079	19	2013-08-02 16:06:24.301025	2013-08-02 16:06:24.301025
38065	21	2013-08-02 16:06:24.268099	2013-08-03 22:11:23.276991
38093	4	2013-08-02 16:06:24.335839	2013-08-04 19:37:50.051651
38082	2	2013-08-02 16:06:24.308326	2013-08-02 16:06:24.308326
38073	7	2013-08-02 16:06:24.286922	2013-08-04 19:37:50.075897
38084	4	2013-08-02 16:06:24.313274	2013-08-02 16:06:24.313274
38105	7	2013-08-02 16:06:24.364661	2013-08-04 19:37:50.08778
38087	7	2013-08-02 16:06:24.321105	2013-08-02 16:06:24.321105
38006	19	2013-08-02 16:06:24.120454	2013-08-04 19:45:04.423251
38089	9	2013-08-02 16:06:24.326256	2013-08-02 16:06:24.326256
38125	16	2013-08-02 16:06:24.411695	2013-08-04 19:45:04.426936
38094	14	2013-08-02 16:06:24.338227	2013-08-02 16:06:24.338227
38096	16	2013-08-02 16:06:24.342983	2013-08-02 16:06:24.342983
38066	14	2013-08-02 16:06:24.270475	2013-08-04 19:45:04.43346
38099	19	2013-08-02 16:06:24.350147	2013-08-02 16:06:24.350147
38032	2	2013-08-02 16:06:24.189423	2013-08-03 22:25:22.116642
38102	2	2013-08-02 16:06:24.357591	2013-08-02 16:06:24.357591
38080	16	2013-08-02 16:06:24.303376	2013-08-03 20:59:21.387811
38104	4	2013-08-02 16:06:24.362304	2013-08-02 16:06:24.362304
38107	7	2013-08-02 16:06:24.369529	2013-08-02 16:06:24.369529
38109	9	2013-08-02 16:06:24.374234	2013-08-02 16:06:24.374234
38146	9	2013-08-02 16:06:24.461813	2013-08-04 19:45:04.451154
38114	14	2013-08-02 16:06:24.385911	2013-08-02 16:06:24.385911
38116	16	2013-08-02 16:06:24.390596	2013-08-02 16:06:24.390596
16597	7	2013-08-02 16:05:35.848433	2013-08-04 19:45:04.458507
38086	19	2013-08-02 16:06:24.318461	2013-08-04 19:45:15.928085
38119	19	2013-08-02 16:06:24.397607	2013-08-02 16:06:24.397607
38020	21	2013-08-02 16:06:24.159196	2013-08-04 19:47:24.910141
38106	2	2013-08-02 16:06:24.367009	2013-08-04 19:47:25.158778
38122	2	2013-08-02 16:06:24.40465	2013-08-02 16:06:24.40465
38124	4	2013-08-02 16:06:24.409384	2013-08-02 16:06:24.409384
38026	2	2013-08-02 16:06:24.17503	2013-08-04 19:47:26.985106
38127	7	2013-08-02 16:06:24.416353	2013-08-02 16:06:24.416353
38072	19	2013-08-02 16:06:24.284597	2013-08-04 19:50:25.655024
38129	9	2013-08-02 16:06:24.42113	2013-08-02 16:06:24.42113
38055	21	2013-08-02 16:06:24.24431	2013-08-04 21:01:22.524726
38151	14	2013-08-02 16:06:24.473896	2013-08-04 21:01:22.547954
38134	14	2013-08-02 16:06:24.433082	2013-08-02 16:06:24.433082
38136	16	2013-08-02 16:06:24.437829	2013-08-02 16:06:24.437829
38131	14	2013-08-02 16:06:24.425844	2013-08-04 21:01:22.560162
38040	14	2013-08-02 16:06:24.208239	2013-08-04 21:01:22.575021
38139	19	2013-08-02 16:06:24.444873	2013-08-02 16:06:24.444873
38112	19	2013-08-02 16:06:24.381288	2013-08-03 22:25:41.047506
38111	14	2013-08-02 16:06:24.378918	2013-08-04 21:01:22.589608
38142	2	2013-08-02 16:06:24.451977	2013-08-02 16:06:24.451977
38126	14	2013-08-02 16:06:24.414038	2013-08-04 21:01:22.604367
38144	4	2013-08-02 16:06:24.456922	2013-08-02 16:06:24.456922
38091	14	2013-08-02 16:06:24.331065	2013-08-04 21:01:22.619398
38147	7	2013-08-02 16:06:24.464234	2013-08-02 16:06:24.464234
38071	7	2013-08-02 16:06:24.282237	2013-08-04 21:01:22.64974
38149	9	2013-08-02 16:06:24.469187	2013-08-02 16:06:24.469187
38085	7	2013-08-02 16:06:24.31588	2013-08-04 21:01:22.664956
38051	7	2013-08-02 16:06:24.234178	2013-08-04 21:01:22.679536
38083	14	2013-08-02 16:06:24.310816	2013-08-03 19:08:43.548267
37995	14	2013-08-02 16:06:24.090528	2013-08-03 19:29:58.339377
38031	7	2013-08-02 16:06:24.187033	2013-08-04 21:01:22.694356
38011	7	2013-08-02 16:06:24.135	2013-08-04 21:01:22.709855
38132	16	2013-08-02 16:06:24.428284	2013-08-03 22:25:41.0495
37999	14	2013-08-02 16:06:24.101305	2013-08-08 01:03:18.681738
38012	9	2013-08-02 16:06:24.137707	2013-08-03 22:25:41.242017
38019	14	2013-08-02 16:06:24.156594	2013-08-08 01:03:19.506941
38035	9	2013-08-02 16:06:24.196484	2013-08-03 22:31:29.986243
38000	6	2013-08-02 16:06:24.104337	2013-08-08 01:03:19.959225
38045	4	2013-08-02 16:06:24.220065	2013-08-03 23:58:45.36976
38041	2	2013-08-02 16:06:24.210631	2013-08-03 23:58:45.371631
38141	4	2013-08-02 16:06:24.449622	2013-08-04 00:00:22.172937
38052	11	2013-08-02 16:06:24.236754	2013-08-04 00:00:22.194091
38101	14	2013-08-02 16:06:24.35524	2013-08-04 00:00:22.204074
38061	16	2013-08-02 16:06:24.258646	2013-08-04 00:00:22.235286
38001	16	2013-08-02 16:06:24.107219	2013-08-04 00:00:22.519797
18672	2	2013-08-02 16:05:40.174813	2013-08-04 00:08:21.246059
16591	9	2013-08-02 16:05:35.832926	2013-08-04 00:08:21.298578
16537	7	2013-08-02 16:05:35.69781	2013-08-04 00:08:21.301514
16578	21	2013-08-02 16:05:35.800128	2013-08-04 00:08:21.349719
18643	21	2013-08-02 16:05:39.975177	2013-08-04 00:08:21.353772
38170	19	2013-08-02 16:06:24.519561	2013-08-04 00:12:04.712295
38154	14	2013-08-02 16:06:24.481636	2013-08-02 16:06:24.481636
38178	21	2013-08-02 16:06:24.538299	2013-08-03 20:47:32.267942
38156	16	2013-08-02 16:06:24.486495	2013-08-02 16:06:24.486495
31515	14	2013-08-02 16:06:09.117888	2013-08-04 17:34:29.283621
38265	21	2013-08-02 16:06:24.743336	2013-08-03 22:09:23.745347
38159	19	2013-08-02 16:06:24.49362	2013-08-02 16:06:24.49362
38245	21	2013-08-02 16:06:24.696227	2013-08-03 22:09:23.749674
38157	2	2013-08-02 16:06:24.48889	2013-08-04 02:30:53.196343
38162	2	2013-08-02 16:06:24.500732	2013-08-02 16:06:24.500732
38158	21	2013-08-02 16:06:24.491255	2013-08-03 20:47:32.272318
38164	4	2013-08-02 16:06:24.505457	2013-08-02 16:06:24.505457
4688	4	2013-08-02 16:05:12.861461	2013-08-04 02:35:43.157523
38167	7	2013-08-02 16:06:24.5125	2013-08-02 16:06:24.5125
38169	9	2013-08-02 16:06:24.51724	2013-08-02 16:06:24.51724
38171	11	2013-08-02 16:06:24.521889	2013-08-02 16:06:24.521889
38297	4	2013-08-02 16:06:24.822816	2013-08-04 02:35:43.168812
38174	14	2013-08-02 16:06:24.528937	2013-08-02 16:06:24.528937
38298	19	2013-08-02 16:06:24.825277	2013-08-03 20:47:32.737993
38176	16	2013-08-02 16:06:24.53362	2013-08-02 16:06:24.53362
38277	4	2013-08-02 16:06:24.77167	2013-08-04 02:35:43.180318
38179	19	2013-08-02 16:06:24.540663	2013-08-02 16:06:24.540663
34863	11	2013-08-02 16:06:16.905052	2013-08-04 17:34:29.287248
38257	4	2013-08-02 16:06:24.724514	2013-08-04 02:35:43.191308
38182	2	2013-08-02 16:06:24.547735	2013-08-02 16:06:24.547735
38278	11	2013-08-02 16:06:24.774043	2013-08-03 20:47:32.749761
38184	4	2013-08-02 16:06:24.552454	2013-08-02 16:06:24.552454
38237	4	2013-08-02 16:06:24.677468	2013-08-04 02:35:43.25837
38187	7	2013-08-02 16:06:24.559569	2013-08-02 16:06:24.559569
38173	19	2013-08-02 16:06:24.526562	2013-08-04 19:40:12.185247
38189	9	2013-08-02 16:06:24.564218	2013-08-02 16:06:24.564218
38191	11	2013-08-02 16:06:24.568966	2013-08-02 16:06:24.568966
38217	4	2013-08-02 16:06:24.630383	2013-08-04 02:35:43.266922
38194	14	2013-08-02 16:06:24.576036	2013-08-02 16:06:24.576036
38258	9	2013-08-02 16:06:24.726849	2013-08-03 20:47:32.766641
38196	16	2013-08-02 16:06:24.580754	2013-08-02 16:06:24.580754
14990	9	2013-08-02 16:05:33.088775	2013-08-04 17:34:29.289508
38185	16	2013-08-02 16:06:24.554887	2013-08-03 22:09:23.818087
38199	19	2013-08-02 16:06:24.587762	2013-08-02 16:06:24.587762
38165	4	2013-08-02 16:06:24.507811	2013-08-03 22:09:23.841779
38197	4	2013-08-02 16:06:24.58308	2013-08-04 02:35:43.273558
38202	2	2013-08-02 16:06:24.595229	2013-08-02 16:06:24.595229
38238	7	2013-08-02 16:06:24.679797	2013-08-03 20:47:32.789001
38204	4	2013-08-02 16:06:24.599915	2013-08-02 16:06:24.599915
38177	4	2013-08-02 16:06:24.535942	2013-08-04 02:35:43.283868
38207	7	2013-08-02 16:06:24.606943	2013-08-02 16:06:24.606943
38213	16	2013-08-02 16:06:24.620988	2013-08-04 19:40:12.18922
38209	9	2013-08-02 16:06:24.611619	2013-08-02 16:06:24.611619
38211	11	2013-08-02 16:06:24.616295	2013-08-02 16:06:24.616295
1330	7	2013-08-02 16:05:06.332087	2013-08-04 17:34:29.293317
38214	14	2013-08-02 16:06:24.623306	2013-08-02 16:06:24.623306
38253	14	2013-08-02 16:06:24.715107	2013-08-04 19:40:12.192146
38216	16	2013-08-02 16:06:24.628058	2013-08-02 16:06:24.628058
38285	11	2013-08-02 16:06:24.791495	2013-08-03 22:11:42.814172
38219	19	2013-08-02 16:06:24.635128	2013-08-02 16:06:24.635128
36443	21	2013-08-02 16:06:20.907794	2013-08-04 19:40:24.01139
16090	4	2013-08-02 16:05:34.560015	2013-08-04 17:34:29.303923
38222	2	2013-08-02 16:06:24.642196	2013-08-02 16:06:24.642196
38200	21	2013-08-02 16:06:24.590524	2013-08-03 20:59:21.308532
38224	4	2013-08-02 16:06:24.646875	2013-08-02 16:06:24.646875
38233	21	2013-08-02 16:06:24.668088	2013-08-04 19:40:24.091046
38227	7	2013-08-02 16:06:24.653951	2013-08-02 16:06:24.653951
38153	21	2013-08-02 16:06:24.47902	2013-08-04 19:42:26.749081
38229	9	2013-08-02 16:06:24.658627	2013-08-02 16:06:24.658627
38193	2	2013-08-02 16:06:24.573667	2013-08-04 19:42:28.278264
38231	11	2013-08-02 16:06:24.663351	2013-08-02 16:06:24.663351
36723	21	2013-08-02 16:06:21.313306	2013-08-04 17:34:29.343091
38234	14	2013-08-02 16:06:24.670441	2013-08-02 16:06:24.670441
38180	21	2013-08-02 16:06:24.543037	2013-08-03 20:59:21.312897
38236	16	2013-08-02 16:06:24.675133	2013-08-02 16:06:24.675133
29846	16	2013-08-02 16:06:05.009916	2013-08-04 17:34:42.08046
38155	9	2013-08-02 16:06:24.484078	2013-08-03 22:11:42.816945
38239	19	2013-08-02 16:06:24.682134	2013-08-02 16:06:24.682134
38152	14	2013-08-02 16:06:24.476444	2013-08-03 22:25:41.051552
38242	2	2013-08-02 16:06:24.689167	2013-08-02 16:06:24.689167
38160	21	2013-08-02 16:06:24.49598	2013-08-03 20:59:21.31648
38244	4	2013-08-02 16:06:24.69385	2013-08-02 16:06:24.69385
38247	7	2013-08-02 16:06:24.700981	2013-08-02 16:06:24.700981
38186	4	2013-08-02 16:06:24.557234	2013-08-04 19:45:04.465931
38249	9	2013-08-02 16:06:24.705688	2013-08-02 16:06:24.705688
38208	4	2013-08-02 16:06:24.609295	2013-08-04 18:48:45.147421
38251	11	2013-08-02 16:06:24.710428	2013-08-02 16:06:24.710428
38254	14	2013-08-02 16:06:24.717464	2013-08-02 16:06:24.717464
38220	14	2013-08-02 16:06:24.637487	2013-08-03 21:00:15.826246
38256	16	2013-08-02 16:06:24.722164	2013-08-02 16:06:24.722164
5146	2	2013-08-02 16:05:13.378575	2013-08-04 18:52:28.491683
38259	19	2013-08-02 16:06:24.729207	2013-08-02 16:06:24.729207
38192	11	2013-08-02 16:06:24.571294	2013-08-03 22:25:41.053779
38188	21	2013-08-02 16:06:24.56188	2013-08-04 18:52:28.534517
38262	2	2013-08-02 16:06:24.736262	2013-08-02 16:06:24.736262
38264	4	2013-08-02 16:06:24.740991	2013-08-02 16:06:24.740991
38308	2	2013-08-02 16:06:24.851489	2013-08-04 18:52:29.17038
38267	7	2013-08-02 16:06:24.74811	2013-08-02 16:06:24.74811
36423	2	2013-08-02 16:06:20.853773	2013-08-04 19:45:04.473179
38269	9	2013-08-02 16:06:24.752903	2013-08-02 16:06:24.752903
38252	2	2013-08-02 16:06:24.712782	2013-08-04 18:52:29.175309
38271	11	2013-08-02 16:06:24.757597	2013-08-02 16:06:24.757597
38288	2	2013-08-02 16:06:24.799484	2013-08-04 18:52:29.180234
38274	14	2013-08-02 16:06:24.764633	2013-08-02 16:06:24.764633
38268	2	2013-08-02 16:06:24.75054	2013-08-04 18:52:29.186734
38276	16	2013-08-02 16:06:24.769338	2013-08-02 16:06:24.769338
38166	21	2013-08-02 16:06:24.510169	2013-08-04 19:45:15.987517
38279	19	2013-08-02 16:06:24.776357	2013-08-02 16:06:24.776357
38232	9	2013-08-02 16:06:24.665723	2013-08-03 22:25:41.055977
38206	2	2013-08-02 16:06:24.604625	2013-08-04 19:47:24.253577
38282	2	2013-08-02 16:06:24.783627	2013-08-02 16:06:24.783627
38280	11	2013-08-02 16:06:24.778697	2013-08-03 21:00:15.831053
38284	4	2013-08-02 16:06:24.788926	2013-08-02 16:06:24.788926
38306	2	2013-08-02 16:06:24.846111	2013-08-04 19:47:24.6566
38287	7	2013-08-02 16:06:24.796826	2013-08-02 16:06:24.796826
38260	2	2013-08-02 16:06:24.731534	2013-08-04 19:47:24.661848
38289	9	2013-08-02 16:06:24.802125	2013-08-02 16:06:24.802125
38286	2	2013-08-02 16:06:24.794135	2013-08-04 19:47:24.667658
38291	11	2013-08-02 16:06:24.807417	2013-08-02 16:06:24.807417
38266	2	2013-08-02 16:06:24.745751	2013-08-04 19:47:24.672546
38294	14	2013-08-02 16:06:24.815259	2013-08-02 16:06:24.815259
38246	2	2013-08-02 16:06:24.698612	2013-08-04 19:47:24.679196
38296	16	2013-08-02 16:06:24.82034	2013-08-02 16:06:24.82034
38168	2	2013-08-02 16:06:24.514867	2013-08-04 19:47:24.683958
38226	21	2013-08-02 16:06:24.651615	2013-08-04 19:54:49.90814
38299	19	2013-08-02 16:06:24.827666	2013-08-02 16:06:24.827666
38272	7	2013-08-02 16:06:24.759917	2013-08-03 22:25:41.058087
38302	2	2013-08-02 16:06:24.835436	2013-08-02 16:06:24.835436
38304	4	2013-08-02 16:06:24.840782	2013-08-02 16:06:24.840782
38307	7	2013-08-02 16:06:24.848852	2013-08-02 16:06:24.848852
38175	4	2013-08-02 16:06:24.531268	2013-08-03 19:29:58.352572
38261	21	2013-08-02 16:06:24.733895	2013-08-04 00:00:22.060865
38215	2	2013-08-02 16:06:24.625664	2013-08-03 19:29:58.355155
38295	4	2013-08-02 16:06:24.817853	2013-08-03 19:32:38.971877
38255	9	2013-08-02 16:06:24.719787	2013-08-03 19:32:38.987992
38241	21	2013-08-02 16:06:24.686822	2013-08-04 00:00:22.064617
38221	21	2013-08-02 16:06:24.639861	2013-08-04 00:00:22.066898
38225	9	2013-08-02 16:06:24.649292	2013-08-04 00:00:22.122676
38201	11	2013-08-02 16:06:24.592899	2013-08-04 00:00:22.508056
38161	4	2013-08-02 16:06:24.498381	2013-08-04 00:04:03.363266
38235	11	2013-08-02 16:06:24.672823	2013-08-04 00:04:14.09526
38301	21	2013-08-02 16:06:24.832827	2013-08-04 00:07:58.247829
37220	21	2013-08-02 16:06:22.075692	2013-08-04 00:08:21.355587
37435	21	2013-08-02 16:06:22.520592	2013-08-04 00:08:21.356542
37778	21	2013-08-02 16:06:23.561175	2013-08-04 00:08:21.357433
18810	16	2013-08-02 16:05:40.399118	2013-08-04 00:08:32.55658
18771	14	2013-08-02 16:05:40.302068	2013-08-04 00:08:32.563853
38309	9	2013-08-02 16:06:24.854124	2013-08-02 16:06:24.854124
38313	7	2013-08-02 16:06:24.864881	2013-08-04 19:40:12.198013
38311	11	2013-08-02 16:06:24.859522	2013-08-02 16:06:24.859522
18791	7	2013-08-02 16:05:40.348834	2013-08-04 00:11:45.741269
38314	14	2013-08-02 16:06:24.867372	2013-08-02 16:06:24.867372
38458	21	2013-08-02 16:06:25.393351	2013-08-03 20:47:32.616056
38316	16	2013-08-02 16:06:24.872307	2013-08-02 16:06:24.872307
29866	14	2013-08-02 16:06:05.0589	2013-08-04 17:34:42.08675
38319	19	2013-08-02 16:06:24.879634	2013-08-02 16:06:24.879634
38345	7	2013-08-02 16:06:24.945774	2013-08-03 22:11:42.818942
38322	2	2013-08-02 16:06:24.887771	2013-08-02 16:06:24.887771
38438	21	2013-08-02 16:06:25.370161	2013-08-03 20:47:32.61985
38324	4	2013-08-02 16:06:24.893252	2013-08-02 16:06:24.893252
38310	14	2013-08-02 16:06:24.856905	2013-08-04 00:15:38.152931
38327	7	2013-08-02 16:06:24.901317	2013-08-02 16:06:24.901317
38329	9	2013-08-02 16:06:24.906215	2013-08-02 16:06:24.906215
38353	4	2013-08-02 16:06:24.966972	2013-08-04 19:40:12.200757
38331	11	2013-08-02 16:06:24.911046	2013-08-02 16:06:24.911046
38350	11	2013-08-02 16:06:24.95915	2013-08-04 00:18:14.888421
38334	14	2013-08-02 16:06:24.91823	2013-08-02 16:06:24.91823
38418	14	2013-08-02 16:06:25.108396	2013-08-03 20:47:32.639601
38336	16	2013-08-02 16:06:24.923002	2013-08-02 16:06:24.923002
29886	11	2013-08-02 16:06:05.11206	2013-08-04 17:34:42.093378
38339	19	2013-08-02 16:06:24.930236	2013-08-02 16:06:24.930236
38385	4	2013-08-02 16:06:25.025199	2013-08-03 22:11:42.820695
38370	9	2013-08-02 16:06:25.004215	2013-08-04 00:18:14.89271
38342	2	2013-08-02 16:06:24.938141	2013-08-02 16:06:24.938141
38344	4	2013-08-02 16:06:24.943165	2013-08-02 16:06:24.943165
38393	2	2013-08-02 16:06:25.042126	2013-08-04 19:40:12.202527
38347	7	2013-08-02 16:06:24.951127	2013-08-02 16:06:24.951127
38349	9	2013-08-02 16:06:24.956459	2013-08-02 16:06:24.956459
29926	9	2013-08-02 16:06:05.214075	2013-08-04 17:34:42.100362
38351	11	2013-08-02 16:06:24.961796	2013-08-02 16:06:24.961796
38457	4	2013-08-02 16:06:25.392076	2013-08-04 02:35:43.087563
38354	14	2013-08-02 16:06:24.969412	2013-08-02 16:06:24.969412
38437	4	2013-08-02 16:06:25.369053	2013-08-04 02:35:43.09686
38356	16	2013-08-02 16:06:24.974459	2013-08-02 16:06:24.974459
38417	4	2013-08-02 16:06:25.105795	2013-08-04 02:35:43.100458
38359	19	2013-08-02 16:06:24.982015	2013-08-02 16:06:24.982015
38400	2	2013-08-02 16:06:25.061046	2013-08-03 22:11:42.822742
38397	4	2013-08-02 16:06:25.052683	2013-08-04 02:35:43.106268
38362	2	2013-08-02 16:06:24.990261	2013-08-02 16:06:24.990261
38358	2	2013-08-02 16:06:24.979388	2013-08-03 20:47:32.710581
38364	4	2013-08-02 16:06:24.995678	2013-08-02 16:06:24.995678
38377	4	2013-08-02 16:06:25.01308	2013-08-04 02:35:43.111811
38367	7	2013-08-02 16:06:25.000819	2013-08-02 16:06:25.000819
38453	19	2013-08-02 16:06:25.38712	2013-08-04 19:40:35.134923
38369	9	2013-08-02 16:06:25.00308	2013-08-02 16:06:25.00308
29966	7	2013-08-02 16:06:05.311552	2013-08-04 17:34:42.106505
38371	11	2013-08-02 16:06:25.005341	2013-08-02 16:06:25.005341
38338	4	2013-08-02 16:06:24.927827	2013-08-04 02:35:43.117878
38374	14	2013-08-02 16:06:25.008742	2013-08-02 16:06:25.008742
38378	2	2013-08-02 16:06:25.014494	2013-08-04 18:52:29.034513
38376	16	2013-08-02 16:06:25.011659	2013-08-02 16:06:25.011659
38392	2	2013-08-02 16:06:25.039684	2013-08-04 18:52:29.040636
38357	4	2013-08-02 16:06:24.976971	2013-08-04 02:35:43.125682
38379	19	2013-08-02 16:06:25.016109	2013-08-02 16:06:25.016109
38405	21	2013-08-02 16:06:25.074071	2013-08-03 22:11:43.37132
38337	4	2013-08-02 16:06:24.925428	2013-08-04 02:35:43.135501
38382	2	2013-08-02 16:06:25.020643	2013-08-02 16:06:25.020643
38320	9	2013-08-02 16:06:24.882348	2013-08-03 21:00:15.833321
38384	4	2013-08-02 16:06:25.023757	2013-08-02 16:06:25.023757
38448	2	2013-08-02 16:06:25.380914	2013-08-04 18:52:29.046813
38387	7	2013-08-02 16:06:25.028157	2013-08-02 16:06:25.028157
38389	9	2013-08-02 16:06:25.032524	2013-08-02 16:06:25.032524
6415	16	2013-08-02 16:05:16.087162	2013-08-04 18:55:34.946114
38391	11	2013-08-02 16:06:25.03725	2013-08-02 16:06:25.03725
38333	21	2013-08-02 16:06:24.915824	2013-08-04 19:40:35.201345
38394	14	2013-08-02 16:06:25.044637	2013-08-02 16:06:25.044637
38373	2	2013-08-02 16:06:25.007542	2013-08-04 19:42:25.663758
38396	16	2013-08-02 16:06:25.049985	2013-08-02 16:06:25.049985
38433	2	2013-08-02 16:06:25.364275	2013-08-04 19:42:26.889942
38465	19	2013-08-02 16:06:25.402118	2013-08-03 22:14:24.761785
38399	19	2013-08-02 16:06:25.058039	2013-08-02 16:06:25.058039
18830	2	2013-08-02 16:05:40.448254	2013-08-04 19:42:28.274006
38425	2	2013-08-02 16:06:25.12528	2013-08-04 19:47:24.516806
38402	2	2013-08-02 16:06:25.066358	2013-08-02 16:06:25.066358
38360	7	2013-08-02 16:06:24.984701	2013-08-03 21:00:15.835384
38404	4	2013-08-02 16:06:25.071482	2013-08-02 16:06:25.071482
38412	2	2013-08-02 16:06:25.092615	2013-08-04 19:47:24.52868
38407	7	2013-08-02 16:06:25.079378	2013-08-02 16:06:25.079378
38446	2	2013-08-02 16:06:25.378742	2013-08-04 19:47:24.539736
38409	9	2013-08-02 16:06:25.084584	2013-08-02 16:06:25.084584
38426	2	2013-08-02 16:06:25.127682	2013-08-04 19:47:24.550861
38411	11	2013-08-02 16:06:25.089936	2013-08-02 16:06:25.089936
38380	2	2013-08-02 16:06:25.017627	2013-08-04 19:47:24.561866
38414	14	2013-08-02 16:06:25.098001	2013-08-02 16:06:25.098001
38416	16	2013-08-02 16:06:25.103293	2013-08-02 16:06:25.103293
38406	2	2013-08-02 16:06:25.076743	2013-08-04 19:47:24.572954
38312	4	2013-08-02 16:06:24.862182	2013-08-03 22:25:41.061557
38419	19	2013-08-02 16:06:25.110904	2013-08-02 16:06:25.110904
38386	2	2013-08-02 16:06:25.026749	2013-08-04 19:47:24.584301
38366	2	2013-08-02 16:06:24.998908	2013-08-04 19:47:24.59633
38422	2	2013-08-02 16:06:25.118143	2013-08-02 16:06:25.118143
38346	2	2013-08-02 16:06:24.948427	2013-08-04 19:47:24.60991
38424	4	2013-08-02 16:06:25.122874	2013-08-02 16:06:25.122874
38365	2	2013-08-02 16:06:24.997299	2013-08-04 19:47:24.623208
38427	7	2013-08-02 16:06:25.130114	2013-08-02 16:06:25.130114
38326	2	2013-08-02 16:06:24.898582	2013-08-04 19:47:24.635001
38429	9	2013-08-02 16:06:25.135693	2013-08-02 16:06:25.135693
29870	2	2013-08-02 16:06:05.069158	2013-08-04 19:47:24.646592
38431	11	2013-08-02 16:06:25.141247	2013-08-02 16:06:25.141247
38461	2	2013-08-02 16:06:25.396738	2013-08-04 19:47:25.773571
38434	14	2013-08-02 16:06:25.365696	2013-08-02 16:06:25.365696
38420	4	2013-08-02 16:06:25.113322	2013-08-03 21:00:15.839324
38436	16	2013-08-02 16:06:25.367944	2013-08-02 16:06:25.367944
38413	21	2013-08-02 16:06:25.095252	2013-08-04 19:54:49.912136
38352	2	2013-08-02 16:06:24.964313	2013-08-03 22:25:41.063792
38439	19	2013-08-02 16:06:25.371271	2013-08-02 16:06:25.371271
38442	2	2013-08-02 16:06:25.37461	2013-08-02 16:06:25.37461
38444	4	2013-08-02 16:06:25.376693	2013-08-02 16:06:25.376693
38447	7	2013-08-02 16:06:25.37976	2013-08-02 16:06:25.37976
38449	9	2013-08-02 16:06:25.382158	2013-08-02 16:06:25.382158
38451	11	2013-08-02 16:06:25.384636	2013-08-02 16:06:25.384636
38454	14	2013-08-02 16:06:25.388355	2013-08-02 16:06:25.388355
38460	2	2013-08-02 16:06:25.395579	2013-08-03 21:00:15.841537
38456	16	2013-08-02 16:06:25.390837	2013-08-02 16:06:25.390837
38459	19	2013-08-02 16:06:25.394481	2013-08-02 16:06:25.394481
38445	7	2013-08-02 16:06:25.377717	2013-08-03 22:31:29.989285
38462	2	2013-08-02 16:06:25.397951	2013-08-02 16:06:25.397951
38440	4	2013-08-02 16:06:25.372379	2013-08-03 21:04:19.357146
38464	4	2013-08-02 16:06:25.400726	2013-08-02 16:06:25.400726
38463	11	2013-08-02 16:06:25.39934	2013-08-03 19:12:34.600884
38435	21	2013-08-02 16:06:25.366832	2013-08-03 19:32:38.955221
38415	21	2013-08-02 16:06:25.100665	2013-08-03 19:32:38.957018
38395	21	2013-08-02 16:06:25.047313	2013-08-03 19:32:38.958527
38375	21	2013-08-02 16:06:25.010255	2013-08-03 19:32:38.960092
38355	21	2013-08-02 16:06:24.971817	2013-08-03 19:32:38.961882
38335	21	2013-08-02 16:06:24.920627	2013-08-03 19:32:38.963336
38452	4	2013-08-02 16:06:25.385878	2013-08-03 22:31:29.992779
38432	14	2013-08-02 16:06:25.358327	2013-08-03 22:31:49.33029
38341	9	2013-08-02 16:06:24.935415	2013-08-04 00:04:14.097787
38361	7	2013-08-02 16:06:24.987499	2013-08-04 00:04:14.10034
38401	4	2013-08-02 16:06:25.063675	2013-08-04 00:04:14.105118
38441	11	2013-08-02 16:06:25.373507	2013-08-04 00:05:40.234223
38421	7	2013-08-02 16:06:25.115724	2013-08-04 00:05:40.338314
38381	21	2013-08-02 16:06:25.019157	2013-08-04 00:08:21.359262
18831	9	2013-08-02 16:05:40.450918	2013-08-04 00:08:32.578297
18911	4	2013-08-02 16:05:40.624284	2013-08-04 00:08:32.594368
18901	2	2013-08-02 16:05:40.597813	2013-08-04 00:08:32.597315
38467	7	2013-08-02 16:06:25.4051	2013-08-02 16:06:25.4051
38473	16	2013-08-02 16:06:25.41438	2013-08-04 19:40:35.142912
38469	9	2013-08-02 16:06:25.408131	2013-08-02 16:06:25.408131
38471	11	2013-08-02 16:06:25.411168	2013-08-02 16:06:25.411168
18931	2	2013-08-02 16:05:40.676757	2013-08-04 00:10:38.628952
38474	14	2013-08-02 16:06:25.415891	2013-08-02 16:06:25.415891
38558	21	2013-08-02 16:06:25.576053	2013-08-03 20:47:32.598757
38476	16	2013-08-02 16:06:25.418791	2013-08-02 16:06:25.418791
29977	4	2013-08-02 16:06:05.338775	2013-08-04 17:34:42.111086
38565	21	2013-08-02 16:06:25.59005	2013-08-03 22:14:24.710323
38479	19	2013-08-02 16:06:25.423373	2013-08-02 16:06:25.423373
38545	21	2013-08-02 16:06:25.550376	2013-08-03 22:14:24.71352
38470	2	2013-08-02 16:06:25.409657	2013-08-04 00:18:14.918155
38482	2	2013-08-02 16:06:25.428206	2013-08-02 16:06:25.428206
38538	21	2013-08-02 16:06:25.536509	2013-08-03 20:47:32.602404
38484	4	2013-08-02 16:06:25.431666	2013-08-02 16:06:25.431666
38513	14	2013-08-02 16:06:25.487178	2013-08-04 19:40:35.147766
38487	7	2013-08-02 16:06:25.436726	2013-08-02 16:06:25.436726
38489	9	2013-08-02 16:06:25.440156	2013-08-02 16:06:25.440156
30026	2	2013-08-02 16:06:05.457725	2013-08-04 17:34:42.115102
38491	11	2013-08-02 16:06:25.443844	2013-08-02 16:06:25.443844
38510	19	2013-08-02 16:06:25.481271	2013-08-04 00:18:49.843495
38494	14	2013-08-02 16:06:25.449341	2013-08-02 16:06:25.449341
38518	21	2013-08-02 16:06:25.497051	2013-08-03 20:47:32.605352
38496	16	2013-08-02 16:06:25.45308	2013-08-02 16:06:25.45308
38533	11	2013-08-02 16:06:25.526716	2013-08-04 19:40:35.151584
38525	21	2013-08-02 16:06:25.510878	2013-08-03 22:14:24.716735
38499	19	2013-08-02 16:06:25.458987	2013-08-02 16:06:25.458987
38550	16	2013-08-02 16:06:25.560241	2013-08-04 00:18:49.850462
38502	2	2013-08-02 16:06:25.465195	2013-08-02 16:06:25.465195
38498	21	2013-08-02 16:06:25.45703	2013-08-03 20:47:32.60892
38504	4	2013-08-02 16:06:25.469328	2013-08-02 16:06:25.469328
28812	19	2013-08-02 16:06:02.244446	2013-08-04 17:34:53.502182
38507	7	2013-08-02 16:06:25.475271	2013-08-02 16:06:25.475271
38553	9	2013-08-02 16:06:25.566174	2013-08-04 19:40:35.154678
38509	9	2013-08-02 16:06:25.479261	2013-08-02 16:06:25.479261
29653	2	2013-08-02 16:06:04.445965	2013-08-04 17:34:53.602501
38511	11	2013-08-02 16:06:25.483222	2013-08-02 16:06:25.483222
38570	14	2013-08-02 16:06:25.599943	2013-08-04 00:18:49.857309
38514	14	2013-08-02 16:06:25.489165	2013-08-02 16:06:25.489165
38478	21	2013-08-02 16:06:25.421775	2013-08-03 20:47:32.612526
38516	16	2013-08-02 16:06:25.493106	2013-08-02 16:06:25.493106
38485	16	2013-08-02 16:06:25.433402	2013-08-03 22:14:24.750521
38519	19	2013-08-02 16:06:25.499027	2013-08-02 16:06:25.499027
38505	21	2013-08-02 16:06:25.471289	2013-08-03 22:14:57.055377
38522	2	2013-08-02 16:06:25.504956	2013-08-02 16:06:25.504956
38618	11	2013-08-02 16:06:25.701912	2013-08-03 20:52:37.210765
38524	4	2013-08-02 16:06:25.508893	2013-08-02 16:06:25.508893
38573	7	2013-08-02 16:06:25.605848	2013-08-04 19:40:35.15767
38527	7	2013-08-02 16:06:25.514851	2013-08-02 16:06:25.514851
38529	9	2013-08-02 16:06:25.518811	2013-08-02 16:06:25.518811
13700	4	2013-08-02 16:05:30.017512	2013-08-04 17:34:53.659092
38531	11	2013-08-02 16:06:25.522743	2013-08-02 16:06:25.522743
38520	11	2013-08-02 16:06:25.501023	2013-08-04 00:18:49.86768
38534	14	2013-08-02 16:06:25.528688	2013-08-02 16:06:25.528688
38536	16	2013-08-02 16:06:25.532607	2013-08-02 16:06:25.532607
38580	9	2013-08-02 16:06:25.61961	2013-08-03 22:15:17.016033
38539	19	2013-08-02 16:06:25.538517	2013-08-02 16:06:25.538517
38598	21	2013-08-02 16:06:25.656095	2013-08-04 19:42:26.195544
38541	9	2013-08-02 16:06:25.542469	2013-08-04 00:18:49.872903
38542	2	2013-08-02 16:06:25.544427	2013-08-02 16:06:25.544427
38578	19	2013-08-02 16:06:25.615693	2013-08-03 20:52:37.236301
38544	4	2013-08-02 16:06:25.548357	2013-08-02 16:06:25.548357
38547	7	2013-08-02 16:06:25.55433	2013-08-02 16:06:25.55433
38480	2	2013-08-02 16:06:25.424981	2013-08-04 19:47:25.717623
38549	9	2013-08-02 16:06:25.558291	2013-08-02 16:06:25.558291
38488	14	2013-08-02 16:06:25.438453	2013-08-04 18:55:34.954683
38551	11	2013-08-02 16:06:25.562229	2013-08-02 16:06:25.562229
38610	16	2013-08-02 16:06:25.681089	2013-08-04 00:22:12.029721
38554	14	2013-08-02 16:06:25.568131	2013-08-02 16:06:25.568131
38620	21	2013-08-02 16:06:25.707228	2013-08-03 21:04:21.733143
38556	16	2013-08-02 16:06:25.572103	2013-08-02 16:06:25.572103
38605	7	2013-08-02 16:06:25.670228	2013-08-03 22:15:17.018712
38559	19	2013-08-02 16:06:25.578037	2013-08-02 16:06:25.578037
38600	7	2013-08-02 16:06:25.660316	2013-08-04 00:33:40.11115
38477	4	2013-08-02 16:06:25.420141	2013-08-04 02:35:43.075516
38562	2	2013-08-02 16:06:25.584077	2013-08-02 16:06:25.584077
38606	2	2013-08-02 16:06:25.672183	2013-08-04 19:47:25.722643
38564	4	2013-08-02 16:06:25.588034	2013-08-02 16:06:25.588034
38495	2	2013-08-02 16:06:25.451157	2013-08-04 02:35:43.380655
38567	7	2013-08-02 16:06:25.593987	2013-08-02 16:06:25.593987
38586	2	2013-08-02 16:06:25.632176	2013-08-04 19:47:25.726898
38569	9	2013-08-02 16:06:25.597988	2013-08-02 16:06:25.597988
38585	11	2013-08-02 16:06:25.630167	2013-08-04 18:55:34.961542
38571	11	2013-08-02 16:06:25.601927	2013-08-02 16:06:25.601927
38617	2	2013-08-02 16:06:25.699428	2013-08-04 02:35:43.391396
38574	14	2013-08-02 16:06:25.607804	2013-08-02 16:06:25.607804
38597	2	2013-08-02 16:06:25.654129	2013-08-04 02:35:43.402647
38576	16	2013-08-02 16:06:25.611741	2013-08-02 16:06:25.611741
38566	2	2013-08-02 16:06:25.592014	2013-08-04 19:47:25.731282
38492	2	2013-08-02 16:06:25.445685	2013-08-03 22:31:29.994765
38579	19	2013-08-02 16:06:25.617735	2013-08-02 16:06:25.617735
38540	2	2013-08-02 16:06:25.540482	2013-08-04 02:35:43.413692
38577	2	2013-08-02 16:06:25.613693	2013-08-04 02:35:43.424393
38582	2	2013-08-02 16:06:25.62398	2013-08-02 16:06:25.62398
38584	4	2013-08-02 16:06:25.62813	2013-08-02 16:06:25.62813
38557	2	2013-08-02 16:06:25.574095	2013-08-04 02:35:43.435332
38587	7	2013-08-02 16:06:25.634205	2013-08-02 16:06:25.634205
38546	2	2013-08-02 16:06:25.552344	2013-08-04 19:47:25.735863
38589	9	2013-08-02 16:06:25.638272	2013-08-02 16:06:25.638272
38568	9	2013-08-02 16:06:25.595954	2013-08-04 18:55:34.964657
38591	11	2013-08-02 16:06:25.642227	2013-08-02 16:06:25.642227
38490	2	2013-08-02 16:06:25.442022	2013-08-04 02:35:43.446565
38594	14	2013-08-02 16:06:25.648183	2013-08-02 16:06:25.648183
38560	2	2013-08-02 16:06:25.579995	2013-08-04 19:47:25.740856
38596	16	2013-08-02 16:06:25.652145	2013-08-02 16:06:25.652145
38528	2	2013-08-02 16:06:25.516841	2013-08-04 18:57:37.375671
38472	21	2013-08-02 16:06:25.412698	2013-08-03 22:31:49.192452
38599	19	2013-08-02 16:06:25.658092	2013-08-02 16:06:25.658092
38537	2	2013-08-02 16:06:25.53456	2013-08-04 02:35:43.457514
38548	2	2013-08-02 16:06:25.556302	2013-08-04 18:57:39.106878
38602	2	2013-08-02 16:06:25.664284	2013-08-02 16:06:25.664284
38526	2	2013-08-02 16:06:25.512882	2013-08-04 19:47:25.744462
38604	4	2013-08-02 16:06:25.66822	2013-08-02 16:06:25.66822
38506	2	2013-08-02 16:06:25.473317	2013-08-04 19:47:25.748451
38607	7	2013-08-02 16:06:25.674171	2013-08-02 16:06:25.674171
38486	2	2013-08-02 16:06:25.435119	2013-08-04 19:47:25.754233
38609	9	2013-08-02 16:06:25.678246	2013-08-02 16:06:25.678246
38466	2	2013-08-02 16:06:25.403494	2013-08-04 19:47:25.764497
38611	11	2013-08-02 16:06:25.684163	2013-08-02 16:06:25.684163
38508	2	2013-08-02 16:06:25.477313	2013-08-04 19:47:26.974686
38614	14	2013-08-02 16:06:25.691708	2013-08-02 16:06:25.691708
38500	11	2013-08-02 16:06:25.461216	2013-08-03 21:04:21.810017
38616	16	2013-08-02 16:06:25.696837	2013-08-02 16:06:25.696837
38552	14	2013-08-02 16:06:25.564194	2013-08-03 22:31:49.600304
38619	19	2013-08-02 16:06:25.704523	2013-08-02 16:06:25.704523
38622	2	2013-08-02 16:06:25.712617	2013-08-02 16:06:25.712617
38475	19	2013-08-02 16:06:25.417381	2013-08-03 19:33:53.562774
38515	16	2013-08-02 16:06:25.491129	2013-08-03 19:33:53.568141
38535	14	2013-08-02 16:06:25.530638	2013-08-03 19:33:53.571425
38592	11	2013-08-02 16:06:25.644191	2013-08-03 22:31:49.607451
38612	9	2013-08-02 16:06:25.686783	2013-08-03 22:31:49.614847
38532	21	2013-08-02 16:06:25.524748	2013-08-03 22:34:29.116757
38621	21	2013-08-02 16:06:25.709938	2013-08-04 00:05:40.079153
38601	16	2013-08-02 16:06:25.66231	2013-08-04 00:05:40.094004
38512	9	2013-08-02 16:06:25.485219	2013-08-04 00:05:40.142008
38561	4	2013-08-02 16:06:25.582016	2013-08-04 00:05:40.158958
38521	14	2013-08-02 16:06:25.502974	2013-08-04 00:05:40.194107
38718	21	2013-08-02 16:06:25.893229	2013-08-03 20:52:37.119104
38624	4	2013-08-02 16:06:25.718041	2013-08-02 16:06:25.718041
38627	7	2013-08-02 16:06:25.725702	2013-08-02 16:06:25.725702
38629	9	2013-08-02 16:06:25.731105	2013-08-02 16:06:25.731105
13720	2	2013-08-02 16:05:30.066746	2013-08-04 17:36:48.692738
38631	11	2013-08-02 16:06:25.736355	2013-08-02 16:06:25.736355
38634	14	2013-08-02 16:06:25.744161	2013-08-02 16:06:25.744161
38698	21	2013-08-02 16:06:25.857317	2013-08-03 20:52:37.123561
38636	16	2013-08-02 16:06:25.749544	2013-08-02 16:06:25.749544
30006	2	2013-08-02 16:06:05.408264	2013-08-04 17:36:48.696927
38639	19	2013-08-02 16:06:25.75759	2013-08-02 16:06:25.75759
38678	4	2013-08-02 16:06:25.828101	2013-08-03 22:15:17.021416
38650	7	2013-08-02 16:06:25.785322	2013-08-04 00:18:49.880968
38642	2	2013-08-02 16:06:25.765633	2013-08-02 16:06:25.765633
38644	4	2013-08-02 16:06:25.770797	2013-08-02 16:06:25.770797
28877	21	2013-08-02 16:06:02.404737	2013-08-04 17:36:48.71941
38647	7	2013-08-02 16:06:25.778126	2013-08-02 16:06:25.778126
38673	16	2013-08-02 16:06:25.822342	2013-08-04 19:45:15.931078
38649	9	2013-08-02 16:06:25.782931	2013-08-02 16:06:25.782931
29986	21	2013-08-02 16:06:05.360318	2013-08-04 17:36:48.720212
38651	11	2013-08-02 16:06:25.787692	2013-08-02 16:06:25.787692
38745	4	2013-08-02 16:06:25.946447	2013-08-04 00:18:49.886926
38654	14	2013-08-02 16:06:25.795084	2013-08-02 16:06:25.795084
17150	21	2013-08-02 16:05:37.201055	2013-08-04 17:36:48.720933
38656	16	2013-08-02 16:06:25.799931	2013-08-02 16:06:25.799931
30275	2	2013-08-02 16:06:05.986227	2013-08-04 17:36:48.886102
38665	2	2013-08-02 16:06:25.81398	2013-08-03 22:15:17.027616
38659	19	2013-08-02 16:06:25.806144	2013-08-02 16:06:25.806144
38730	2	2013-08-02 16:06:25.916786	2013-08-04 00:18:49.88975
38662	2	2013-08-02 16:06:25.808864	2013-08-02 16:06:25.808864
38638	16	2013-08-02 16:06:25.754917	2013-08-03 20:52:37.188663
38664	4	2013-08-02 16:06:25.812919	2013-08-02 16:06:25.812919
30186	2	2013-08-02 16:06:05.774985	2013-08-04 17:36:48.898483
38667	7	2013-08-02 16:06:25.816201	2013-08-02 16:06:25.816201
38669	9	2013-08-02 16:06:25.818292	2013-08-02 16:06:25.818292
30166	2	2013-08-02 16:06:05.735715	2013-08-04 17:36:48.910342
38671	11	2013-08-02 16:06:25.820321	2013-08-02 16:06:25.820321
38760	16	2013-08-02 16:06:25.976256	2013-08-04 00:22:11.939145
38674	14	2013-08-02 16:06:25.823366	2013-08-02 16:06:25.823366
38778	7	2013-08-02 16:06:26.019957	2013-08-03 20:52:37.512479
38676	16	2013-08-02 16:06:25.825581	2013-08-02 16:06:25.825581
20713	2	2013-08-02 16:05:44.61057	2013-08-04 17:36:48.921551
38645	21	2013-08-02 16:06:25.773255	2013-08-03 22:15:17.087362
38679	19	2013-08-02 16:06:25.829452	2013-08-02 16:06:25.829452
38655	2	2013-08-02 16:06:25.797501	2013-08-04 18:57:36.910854
38682	2	2013-08-02 16:06:25.833513	2013-08-02 16:06:25.833513
38758	19	2013-08-02 16:06:25.972309	2013-08-03 20:52:37.522915
38684	4	2013-08-02 16:06:25.836075	2013-08-02 16:06:25.836075
38757	2	2013-08-02 16:06:25.970336	2013-08-04 02:35:43.329994
38687	7	2013-08-02 16:06:25.839718	2013-08-02 16:06:25.839718
38713	14	2013-08-02 16:06:25.88394	2013-08-04 19:45:15.934258
38689	9	2013-08-02 16:06:25.842772	2013-08-02 16:06:25.842772
38768	2	2013-08-02 16:06:25.992183	2013-08-04 18:57:36.916612
38691	11	2013-08-02 16:06:25.845756	2013-08-02 16:06:25.845756
38737	2	2013-08-02 16:06:25.930625	2013-08-04 02:35:43.335067
38694	14	2013-08-02 16:06:25.850734	2013-08-02 16:06:25.850734
38738	2	2013-08-02 16:06:25.932628	2013-08-03 20:52:37.535348
38696	16	2013-08-02 16:06:25.854043	2013-08-02 16:06:25.854043
38748	2	2013-08-02 16:06:25.952357	2013-08-04 18:57:36.920314
38725	11	2013-08-02 16:06:25.906895	2013-08-03 22:15:31.320799
38699	19	2013-08-02 16:06:25.858949	2013-08-02 16:06:25.858949
38728	2	2013-08-02 16:06:25.912856	2013-08-04 18:57:36.924233
38717	2	2013-08-02 16:06:25.891351	2013-08-04 02:35:43.33989
38702	2	2013-08-02 16:06:25.864162	2013-08-02 16:06:25.864162
38658	9	2013-08-02 16:06:25.802602	2013-08-03 20:56:05.937026
38704	4	2013-08-02 16:06:25.867625	2013-08-02 16:06:25.867625
38697	2	2013-08-02 16:06:25.855673	2013-08-04 02:35:43.344213
38707	7	2013-08-02 16:06:25.872949	2013-08-02 16:06:25.872949
38709	9	2013-08-02 16:06:25.876619	2013-08-02 16:06:25.876619
38700	11	2013-08-02 16:06:25.860693	2013-08-04 19:45:15.937403
38711	11	2013-08-02 16:06:25.880265	2013-08-02 16:06:25.880265
38677	2	2013-08-02 16:06:25.826835	2013-08-04 02:35:43.349075
38714	14	2013-08-02 16:06:25.885802	2013-08-02 16:06:25.885802
38680	21	2013-08-02 16:06:25.830837	2013-08-03 21:04:21.726731
38716	16	2013-08-02 16:06:25.88951	2013-08-02 16:06:25.88951
38765	9	2013-08-02 16:06:25.986166	2013-08-03 22:15:31.328028
38719	19	2013-08-02 16:06:25.895071	2013-08-02 16:06:25.895071
38753	21	2013-08-02 16:06:25.962315	2013-08-04 19:47:24.906778
38770	2	2013-08-02 16:06:25.996235	2013-08-04 02:35:43.353538
38722	2	2013-08-02 16:06:25.900985	2013-08-02 16:06:25.900985
38660	21	2013-08-02 16:06:25.807154	2013-08-03 21:04:21.729074
38724	4	2013-08-02 16:06:25.90493	2013-08-02 16:06:25.90493
38657	2	2013-08-02 16:06:25.801272	2013-08-04 02:35:43.3597
38727	7	2013-08-02 16:06:25.91087	2013-08-02 16:06:25.91087
38733	2	2013-08-02 16:06:25.922735	2013-08-04 19:47:25.147992
38729	9	2013-08-02 16:06:25.914819	2013-08-02 16:06:25.914819
38761	2	2013-08-02 16:06:25.97824	2013-08-04 19:47:25.675749
38731	11	2013-08-02 16:06:25.918769	2013-08-02 16:06:25.918769
38637	2	2013-08-02 16:06:25.752192	2013-08-04 02:35:43.370262
38734	14	2013-08-02 16:06:25.924713	2013-08-02 16:06:25.924713
38640	21	2013-08-02 16:06:25.760237	2013-08-03 21:04:21.730962
38736	16	2013-08-02 16:06:25.928676	2013-08-02 16:06:25.928676
38666	2	2013-08-02 16:06:25.815089	2013-08-04 19:47:25.679573
38632	7	2013-08-02 16:06:25.739039	2013-08-03 22:31:49.621351
38739	19	2013-08-02 16:06:25.934591	2013-08-02 16:06:25.934591
38777	4	2013-08-02 16:06:26.016627	2013-08-04 02:40:49.370639
38742	2	2013-08-02 16:06:25.940492	2013-08-02 16:06:25.940492
38744	4	2013-08-02 16:06:25.944442	2013-08-02 16:06:25.944442
38690	2	2013-08-02 16:06:25.844271	2013-08-04 19:47:25.683276
38747	7	2013-08-02 16:06:25.950399	2013-08-02 16:06:25.950399
38646	2	2013-08-02 16:06:25.775681	2013-08-04 19:47:25.688792
38749	9	2013-08-02 16:06:25.95434	2013-08-02 16:06:25.95434
38670	2	2013-08-02 16:06:25.819305	2013-08-04 19:47:25.696892
38751	11	2013-08-02 16:06:25.958349	2013-08-02 16:06:25.958349
38625	2	2013-08-02 16:06:25.720737	2013-08-04 19:47:25.70209
38754	14	2013-08-02 16:06:25.964283	2013-08-02 16:06:25.964283
38626	2	2013-08-02 16:06:25.723244	2013-08-04 19:47:25.707183
38756	16	2013-08-02 16:06:25.968328	2013-08-02 16:06:25.968328
38721	2	2013-08-02 16:06:25.899001	2013-08-04 19:47:25.712158
38653	2	2013-08-02 16:06:25.792685	2013-08-04 19:47:26.964405
38759	19	2013-08-02 16:06:25.974289	2013-08-02 16:06:25.974289
38705	4	2013-08-02 16:06:25.869398	2013-08-03 22:31:49.628112
38762	2	2013-08-02 16:06:25.980205	2013-08-02 16:06:25.980205
38740	11	2013-08-02 16:06:25.936576	2013-08-03 21:06:14.897297
38764	4	2013-08-02 16:06:25.984212	2013-08-02 16:06:25.984212
38706	19	2013-08-02 16:06:25.871142	2013-08-04 19:50:25.600026
38767	7	2013-08-02 16:06:25.990189	2013-08-02 16:06:25.990189
38769	9	2013-08-02 16:06:25.994275	2013-08-02 16:06:25.994275
38652	16	2013-08-02 16:06:25.790229	2013-08-04 19:50:25.603527
38771	11	2013-08-02 16:06:25.998367	2013-08-02 16:06:25.998367
38774	14	2013-08-02 16:06:26.006498	2013-08-02 16:06:26.006498
38766	14	2013-08-02 16:06:25.988123	2013-08-04 19:50:25.606271
38776	16	2013-08-02 16:06:26.013242	2013-08-02 16:06:26.013242
38686	21	2013-08-02 16:06:25.838479	2013-08-04 19:50:25.639416
38779	19	2013-08-02 16:06:26.021601	2013-08-02 16:06:26.021601
38635	9	2013-08-02 16:06:25.746846	2013-08-03 19:33:53.584785
38746	21	2013-08-02 16:06:25.9484	2013-08-04 19:50:38.722522
38675	7	2013-08-02 16:06:25.824375	2013-08-03 19:33:53.590371
38695	16	2013-08-02 16:06:25.852384	2013-08-04 19:50:50.060705
38735	4	2013-08-02 16:06:25.926682	2013-08-03 19:33:53.596087
38712	2	2013-08-02 16:06:25.882121	2013-08-03 22:31:49.632363
38726	2	2013-08-02 16:06:25.908906	2013-08-04 19:52:27.740906
38692	7	2013-08-02 16:06:25.847331	2013-08-03 22:34:28.447931
38672	14	2013-08-02 16:06:25.821351	2013-08-03 22:34:28.872227
38752	14	2013-08-02 16:06:25.960315	2013-08-03 22:36:12.286336
38772	11	2013-08-02 16:06:26.000594	2013-08-03 22:36:12.295108
38685	21	2013-08-02 16:06:25.837318	2013-08-04 00:05:40.076328
38641	21	2013-08-02 16:06:25.762915	2013-08-04 00:05:40.078126
38633	21	2013-08-02 16:06:25.741555	2013-08-04 19:54:49.916902
38681	14	2013-08-02 16:06:25.832211	2013-08-04 00:07:58.093868
38741	11	2013-08-02 16:06:25.938544	2013-08-04 00:07:58.105572
38732	9	2013-08-02 16:06:25.920767	2013-08-04 00:07:58.112771
38661	21	2013-08-02 16:06:25.808004	2013-08-04 00:08:21.361287
38785	7	2013-08-02 16:06:26.030354	2013-08-03 22:15:31.335072
30146	2	2013-08-02 16:06:05.695798	2013-08-04 17:36:48.932725
38782	2	2013-08-02 16:06:26.025377	2013-08-02 16:06:26.025377
30126	2	2013-08-02 16:06:05.655753	2013-08-04 17:36:48.960439
38784	4	2013-08-02 16:06:26.029314	2013-08-02 16:06:26.029314
38921	9	2013-08-02 16:06:26.226157	2013-08-04 00:10:38.596936
38787	7	2013-08-02 16:06:26.0323	2013-08-02 16:06:26.0323
38789	9	2013-08-02 16:06:26.034493	2013-08-02 16:06:26.034493
30106	2	2013-08-02 16:06:05.616698	2013-08-04 17:36:48.964194
38791	11	2013-08-02 16:06:26.036557	2013-08-02 16:06:26.036557
38901	11	2013-08-02 16:06:26.205052	2013-08-04 00:10:38.605306
38794	14	2013-08-02 16:06:26.039579	2013-08-02 16:06:26.039579
38898	11	2013-08-02 16:06:26.201649	2013-08-03 20:52:37.430375
38796	16	2013-08-02 16:06:26.041443	2013-08-02 16:06:26.041443
30058	2	2013-08-02 16:06:05.53712	2013-08-04 17:36:48.974032
38799	19	2013-08-02 16:06:26.044762	2013-08-02 16:06:26.044762
38825	4	2013-08-02 16:06:26.082815	2013-08-03 22:15:31.342096
38881	7	2013-08-02 16:06:26.182083	2013-08-04 00:10:38.616264
38802	2	2013-08-02 16:06:26.048681	2013-08-02 16:06:26.048681
38878	4	2013-08-02 16:06:26.177868	2013-08-03 20:52:37.447351
38804	4	2013-08-02 16:06:26.051222	2013-08-02 16:06:26.051222
38795	14	2013-08-02 16:06:26.040353	2013-08-04 00:22:11.945777
38807	7	2013-08-02 16:06:26.054961	2013-08-02 16:06:26.054961
38790	4	2013-08-02 16:06:26.035566	2013-08-04 19:45:15.945305
38809	9	2013-08-02 16:06:26.057526	2013-08-02 16:06:26.057526
30086	2	2013-08-02 16:06:05.583388	2013-08-04 17:36:48.981673
38811	11	2013-08-02 16:06:26.060403	2013-08-02 16:06:26.060403
38814	14	2013-08-02 16:06:26.064875	2013-08-02 16:06:26.064875
30050	2	2013-08-02 16:06:05.516858	2013-08-04 17:36:48.986403
38816	16	2013-08-02 16:06:26.068063	2013-08-02 16:06:26.068063
30066	2	2013-08-02 16:06:05.557831	2013-08-04 17:36:48.990281
38838	11	2013-08-02 16:06:26.106335	2013-08-04 00:22:11.95632
38819	19	2013-08-02 16:06:26.07295	2013-08-02 16:06:26.07295
38865	2	2013-08-02 16:06:26.164767	2013-08-03 22:15:31.349903
38830	9	2013-08-02 16:06:26.091603	2013-08-04 00:22:11.960776
38822	2	2013-08-02 16:06:26.077835	2013-08-02 16:06:26.077835
26741	2	2013-08-02 16:05:58.001392	2013-08-04 17:36:48.995854
38824	4	2013-08-02 16:06:26.081116	2013-08-02 16:06:26.081116
38827	7	2013-08-02 16:06:26.086344	2013-08-02 16:06:26.086344
38833	2	2013-08-02 16:06:26.096961	2013-08-04 19:45:15.947717
38829	9	2013-08-02 16:06:26.089772	2013-08-02 16:06:26.089772
30046	2	2013-08-02 16:06:05.507293	2013-08-04 17:36:49.00068
38831	11	2013-08-02 16:06:26.093484	2013-08-02 16:06:26.093484
38850	7	2013-08-02 16:06:26.131131	2013-08-04 00:22:11.968708
38834	14	2013-08-02 16:06:26.098818	2013-08-02 16:06:26.098818
38818	9	2013-08-02 16:06:26.071344	2013-08-03 20:52:37.475966
38836	16	2013-08-02 16:06:26.102559	2013-08-02 16:06:26.102559
3764	2	2013-08-02 16:05:11.170738	2013-08-04 17:36:49.129139
38839	19	2013-08-02 16:06:26.108356	2013-08-02 16:06:26.108356
3630	2	2013-08-02 16:05:10.841118	2013-08-04 17:36:49.140481
1673	2	2013-08-02 16:05:07.132494	2013-08-04 17:36:49.151727
38842	2	2013-08-02 16:06:26.113919	2013-08-02 16:06:26.113919
38905	7	2013-08-02 16:06:26.209169	2013-08-03 22:19:21.855995
38844	4	2013-08-02 16:06:26.117645	2013-08-02 16:06:26.117645
3666	2	2013-08-02 16:05:10.92103	2013-08-04 17:36:49.163367
38847	7	2013-08-02 16:06:26.123239	2013-08-02 16:06:26.123239
38849	9	2013-08-02 16:06:26.128399	2013-08-02 16:06:26.128399
38832	14	2013-08-02 16:06:26.095251	2013-08-04 19:00:36.080054
38851	11	2013-08-02 16:06:26.13383	2013-08-02 16:06:26.13383
38792	21	2013-08-02 16:06:26.037577	2013-08-04 00:22:31.270344
38854	14	2013-08-02 16:06:26.143315	2013-08-02 16:06:26.143315
38856	16	2013-08-02 16:06:26.149294	2013-08-02 16:06:26.149294
38835	4	2013-08-02 16:06:26.100698	2013-08-04 02:40:49.253393
38859	19	2013-08-02 16:06:26.157361	2013-08-02 16:06:26.157361
38860	21	2013-08-02 16:06:26.159983	2013-08-03 22:19:22.325454
38917	4	2013-08-02 16:06:26.221219	2013-08-04 02:40:49.263342
38862	2	2013-08-02 16:06:26.162313	2013-08-02 16:06:26.162313
38780	9	2013-08-02 16:06:26.02269	2013-08-03 21:06:14.900064
38864	4	2013-08-02 16:06:26.163983	2013-08-02 16:06:26.163983
38897	4	2013-08-02 16:06:26.199933	2013-08-04 02:40:49.271536
38867	7	2013-08-02 16:06:26.167239	2013-08-02 16:06:26.167239
38793	21	2013-08-02 16:06:26.03858	2013-08-04 19:45:15.989853
38869	9	2013-08-02 16:06:26.168938	2013-08-02 16:06:26.168938
38813	2	2013-08-02 16:06:26.063366	2013-08-04 19:47:24.249375
38871	11	2013-08-02 16:06:26.171409	2013-08-02 16:06:26.171409
38877	4	2013-08-02 16:06:26.17701	2013-08-04 02:40:49.277123
38874	14	2013-08-02 16:06:26.174512	2013-08-02 16:06:26.174512
38876	16	2013-08-02 16:06:26.176125	2013-08-02 16:06:26.176125
38781	11	2013-08-02 16:06:26.023801	2013-08-04 19:00:36.08399
38845	4	2013-08-02 16:06:26.119464	2013-08-03 22:21:56.438197
38879	19	2013-08-02 16:06:26.179276	2013-08-02 16:06:26.179276
38928	2	2013-08-02 16:06:26.236336	2013-08-04 19:02:39.371314
38805	11	2013-08-02 16:06:26.052431	2013-08-04 19:50:25.610219
38882	2	2013-08-02 16:06:26.182945	2013-08-02 16:06:26.182945
38820	7	2013-08-02 16:06:26.074548	2013-08-03 21:06:14.903159
38884	4	2013-08-02 16:06:26.184681	2013-08-02 16:06:26.184681
38857	4	2013-08-02 16:06:26.151937	2013-08-04 02:40:49.282604
38887	7	2013-08-02 16:06:26.188072	2013-08-02 16:06:26.188072
38889	9	2013-08-02 16:06:26.18973	2013-08-02 16:06:26.18973
38826	9	2013-08-02 16:06:26.084575	2013-08-04 19:50:25.613234
38891	11	2013-08-02 16:06:26.192263	2013-08-02 16:06:26.192263
38837	4	2013-08-02 16:06:26.104411	2013-08-04 02:40:49.288754
38894	14	2013-08-02 16:06:26.196593	2013-08-02 16:06:26.196593
38896	16	2013-08-02 16:06:26.198836	2013-08-02 16:06:26.198836
38812	9	2013-08-02 16:06:26.061885	2013-08-03 22:36:12.300875
38899	19	2013-08-02 16:06:26.20274	2013-08-02 16:06:26.20274
38846	7	2013-08-02 16:06:26.121283	2013-08-04 19:50:25.616586
38902	2	2013-08-02 16:06:26.205991	2013-08-02 16:06:26.205991
38817	4	2013-08-02 16:06:26.069688	2013-08-04 02:40:49.350068
38904	4	2013-08-02 16:06:26.208065	2013-08-02 16:06:26.208065
38797	4	2013-08-02 16:06:26.042512	2013-08-04 02:40:49.357547
38907	7	2013-08-02 16:06:26.210884	2013-08-02 16:06:26.210884
38886	4	2013-08-02 16:06:26.186398	2013-08-04 19:50:25.620406
38909	9	2013-08-02 16:06:26.212769	2013-08-02 16:06:26.212769
38911	11	2013-08-02 16:06:26.214786	2013-08-02 16:06:26.214786
38918	4	2013-08-02 16:06:26.222289	2013-08-04 02:40:49.363826
38914	14	2013-08-02 16:06:26.218016	2013-08-02 16:06:26.218016
38880	4	2013-08-02 16:06:26.180931	2013-08-03 21:06:14.907036
38916	16	2013-08-02 16:06:26.220223	2013-08-02 16:06:26.220223
38908	14	2013-08-02 16:06:26.211839	2013-08-04 19:50:50.067292
38852	7	2013-08-02 16:06:26.136237	2013-08-03 22:36:12.303402
38919	19	2013-08-02 16:06:26.223521	2013-08-02 16:06:26.223521
38922	2	2013-08-02 16:06:26.227305	2013-08-02 16:06:26.227305
38893	11	2013-08-02 16:06:26.195123	2013-08-04 19:50:50.074355
38924	4	2013-08-02 16:06:26.230174	2013-08-02 16:06:26.230174
38927	7	2013-08-02 16:06:26.234464	2013-08-02 16:06:26.234464
38933	9	2013-08-02 16:06:26.243078	2013-08-04 19:50:50.081854
38929	9	2013-08-02 16:06:26.23758	2013-08-02 16:06:26.23758
38931	11	2013-08-02 16:06:26.240588	2013-08-02 16:06:26.240588
38895	7	2013-08-02 16:06:26.197716	2013-08-04 19:50:50.089206
38934	14	2013-08-02 16:06:26.245029	2013-08-02 16:06:26.245029
38912	4	2013-08-02 16:06:26.215982	2013-08-03 22:36:12.306289
38936	16	2013-08-02 16:06:26.247948	2013-08-02 16:06:26.247948
38798	21	2013-08-02 16:06:26.043596	2013-08-04 19:50:50.132416
38815	19	2013-08-02 16:06:26.066467	2013-08-03 19:34:18.060887
38873	21	2013-08-02 16:06:26.173752	2013-08-04 19:50:50.191179
38855	16	2013-08-02 16:06:26.146514	2013-08-03 19:34:18.065363
38875	14	2013-08-02 16:06:26.175304	2013-08-03 19:34:18.067254
38858	2	2013-08-02 16:06:26.154665	2013-08-04 19:52:25.374147
38926	2	2013-08-02 16:06:26.233276	2013-08-04 19:52:25.377732
38915	2	2013-08-02 16:06:26.219246	2013-08-03 22:36:12.308034
38892	16	2013-08-02 16:06:26.193625	2013-08-03 22:36:31.457003
38932	21	2013-08-02 16:06:26.241843	2013-08-03 22:36:31.610237
38913	21	2013-08-02 16:06:26.217027	2013-08-04 19:52:25.656531
38801	7	2013-08-02 16:06:26.047435	2013-08-04 00:07:58.11973
38806	21	2013-08-02 16:06:26.053692	2013-08-04 19:52:25.658674
38885	4	2013-08-02 16:06:26.185543	2013-08-04 00:07:58.128698
38861	2	2013-08-02 16:06:26.161427	2013-08-04 00:07:58.130739
38841	21	2013-08-02 16:06:26.11205	2013-08-04 00:07:58.249009
38853	21	2013-08-02 16:06:26.139795	2013-08-04 19:54:49.921438
38923	2	2013-08-02 16:06:26.229085	2013-08-04 19:57:26.133497
3627	2	2013-08-02 16:05:10.834367	2013-08-04 17:36:49.173524
38952	21	2013-08-02 16:06:26.274127	2013-08-04 00:10:38.548698
38939	19	2013-08-02 16:06:26.252353	2013-08-02 16:06:26.252353
39085	2	2013-08-02 16:06:26.429651	2013-08-03 22:19:21.72132
3686	2	2013-08-02 16:05:10.969453	2013-08-04 17:36:49.18021
38942	2	2013-08-02 16:06:26.257338	2013-08-02 16:06:26.257338
39078	21	2013-08-02 16:06:26.42263	2013-08-03 20:52:37.385798
38944	4	2013-08-02 16:06:26.260243	2013-08-02 16:06:26.260243
38940	21	2013-08-02 16:06:26.253879	2013-08-04 00:10:38.55206
38947	7	2013-08-02 16:06:26.265153	2013-08-02 16:06:26.265153
38949	9	2013-08-02 16:06:26.269174	2013-08-02 16:06:26.269174
3685	2	2013-08-02 16:05:10.967075	2013-08-04 17:36:49.192982
38951	11	2013-08-02 16:06:26.272503	2013-08-02 16:06:26.272503
39001	21	2013-08-02 16:06:26.332159	2013-08-04 00:10:38.554494
38954	14	2013-08-02 16:06:26.277489	2013-08-02 16:06:26.277489
39058	21	2013-08-02 16:06:26.401279	2013-08-03 20:52:37.387704
38956	16	2013-08-02 16:06:26.281364	2013-08-02 16:06:26.281364
3625	2	2013-08-02 16:05:10.829613	2013-08-04 17:36:49.202802
39065	4	2013-08-02 16:06:26.408878	2013-08-03 22:19:21.738393
38959	19	2013-08-02 16:06:26.286397	2013-08-02 16:06:26.286397
3705	2	2013-08-02 16:05:11.017193	2013-08-04 17:36:49.208921
38962	2	2013-08-02 16:06:26.291437	2013-08-02 16:06:26.291437
39038	21	2013-08-02 16:06:26.377121	2013-08-03 20:52:37.389036
38964	4	2013-08-02 16:06:26.295211	2013-08-02 16:06:26.295211
38981	21	2013-08-02 16:06:26.315827	2013-08-04 00:10:38.556248
38967	7	2013-08-02 16:06:26.300268	2013-08-02 16:06:26.300268
38969	9	2013-08-02 16:06:26.303702	2013-08-02 16:06:26.303702
8899	2	2013-08-02 16:05:21.007487	2013-08-04 17:36:49.213896
38971	11	2013-08-02 16:06:26.305889	2013-08-02 16:06:26.305889
38961	16	2013-08-02 16:06:26.289762	2013-08-04 00:10:38.57014
38974	14	2013-08-02 16:06:26.308991	2013-08-02 16:06:26.308991
39018	21	2013-08-02 16:06:26.348717	2013-08-03 20:52:37.390198
38976	16	2013-08-02 16:06:26.31091	2013-08-02 16:06:26.31091
29906	21	2013-08-02 16:06:05.165121	2013-08-04 17:36:49.409216
39025	16	2013-08-02 16:06:26.35713	2013-08-03 22:19:21.791144
38979	19	2013-08-02 16:06:26.31399	2013-08-02 16:06:26.31399
4885	21	2013-08-02 16:05:13.082011	2013-08-04 17:36:49.411937
38973	4	2013-08-02 16:06:26.307366	2013-08-04 19:50:50.100079
38982	2	2013-08-02 16:06:26.316762	2013-08-02 16:06:26.316762
38998	21	2013-08-02 16:06:26.329803	2013-08-03 20:52:37.391348
38984	4	2013-08-02 16:06:26.318593	2013-08-02 16:06:26.318593
38987	7	2013-08-02 16:06:26.321291	2013-08-02 16:06:26.321291
39013	2	2013-08-02 16:06:26.342081	2013-08-04 19:50:50.106899
38989	9	2013-08-02 16:06:26.322904	2013-08-02 16:06:26.322904
38991	11	2013-08-02 16:06:26.324441	2013-08-02 16:06:26.324441
38941	21	2013-08-02 16:06:26.255679	2013-08-04 00:10:39.220348
38994	14	2013-08-02 16:06:26.326756	2013-08-02 16:06:26.326756
38978	21	2013-08-02 16:06:26.313055	2013-08-03 20:52:37.392943
38996	16	2013-08-02 16:06:26.328263	2013-08-02 16:06:26.328263
39045	21	2013-08-02 16:06:26.38483	2013-08-04 19:50:50.155527
38985	11	2013-08-02 16:06:26.319501	2013-08-03 22:19:21.810385
38999	19	2013-08-02 16:06:26.330555	2013-08-02 16:06:26.330555
38993	2	2013-08-02 16:06:26.325992	2013-08-04 19:52:25.022942
39002	2	2013-08-02 16:06:26.332895	2013-08-02 16:06:26.332895
39004	4	2013-08-02 16:06:26.334599	2013-08-02 16:06:26.334599
39035	2	2013-08-02 16:06:26.371647	2013-08-04 19:52:25.2469
39007	7	2013-08-02 16:06:26.337187	2013-08-02 16:06:26.337187
39086	2	2013-08-02 16:06:26.430642	2013-08-04 19:52:25.258123
39009	9	2013-08-02 16:06:26.338592	2013-08-02 16:06:26.338592
39066	2	2013-08-02 16:06:26.409752	2013-08-04 19:52:25.268862
39011	11	2013-08-02 16:06:26.340181	2013-08-02 16:06:26.340181
39041	14	2013-08-02 16:06:26.380512	2013-08-04 00:12:04.941295
39014	14	2013-08-02 16:06:26.342841	2013-08-02 16:06:26.342841
39000	2	2013-08-02 16:06:26.331414	2013-08-04 19:52:25.279098
39016	16	2013-08-02 16:06:26.344949	2013-08-02 16:06:26.344949
39046	2	2013-08-02 16:06:26.385778	2013-08-04 19:52:25.290095
39055	2	2013-08-02 16:06:26.39773	2013-08-03 22:21:56.439866
39019	19	2013-08-02 16:06:26.349849	2013-08-02 16:06:26.349849
39026	2	2013-08-02 16:06:26.357971	2013-08-04 19:52:25.301258
39006	2	2013-08-02 16:06:26.336469	2013-08-04 19:52:25.312302
39022	2	2013-08-02 16:06:26.353931	2013-08-02 16:06:26.353931
39080	16	2013-08-02 16:06:26.424396	2013-08-03 21:09:22.926631
39024	4	2013-08-02 16:06:26.356304	2013-08-02 16:06:26.356304
39027	7	2013-08-02 16:06:26.359359	2013-08-02 16:06:26.359359
38958	2	2013-08-02 16:06:26.284733	2013-08-04 19:52:25.32334
39029	9	2013-08-02 16:06:26.363475	2013-08-02 16:06:26.363475
39061	21	2013-08-02 16:06:26.404712	2013-08-04 19:54:49.92438
39031	11	2013-08-02 16:06:26.366974	2013-08-02 16:06:26.366974
39034	14	2013-08-02 16:06:26.369799	2013-08-02 16:06:26.369799
39060	2	2013-08-02 16:06:26.403046	2013-08-03 21:09:22.950259
39036	16	2013-08-02 16:06:26.373994	2013-08-02 16:06:26.373994
39081	19	2013-08-02 16:06:26.425322	2013-08-04 00:12:05.002362
39039	19	2013-08-02 16:06:26.377931	2013-08-02 16:06:26.377931
39021	21	2013-08-02 16:06:26.353082	2013-08-04 00:12:20.458849
39042	2	2013-08-02 16:06:26.381388	2013-08-02 16:06:26.381388
39044	4	2013-08-02 16:06:26.383948	2013-08-02 16:06:26.383948
39047	7	2013-08-02 16:06:26.387391	2013-08-02 16:06:26.387391
39049	9	2013-08-02 16:06:26.390509	2013-08-02 16:06:26.390509
39051	11	2013-08-02 16:06:26.393053	2013-08-02 16:06:26.393053
39054	14	2013-08-02 16:06:26.396491	2013-08-02 16:06:26.396491
39020	9	2013-08-02 16:06:26.351447	2013-08-03 21:09:22.99685
39056	16	2013-08-02 16:06:26.399001	2013-08-02 16:06:26.399001
38992	19	2013-08-02 16:06:26.325233	2013-08-03 22:36:31.346251
39059	19	2013-08-02 16:06:26.40212	2013-08-02 16:06:26.40212
39062	2	2013-08-02 16:06:26.40554	2013-08-02 16:06:26.40554
39064	4	2013-08-02 16:06:26.407184	2013-08-02 16:06:26.407184
38990	19	2013-08-02 16:06:26.323675	2013-08-04 00:22:31.344206
39067	7	2013-08-02 16:06:26.410626	2013-08-02 16:06:26.410626
39069	9	2013-08-02 16:06:26.413152	2013-08-02 16:06:26.413152
39071	11	2013-08-02 16:06:26.414906	2013-08-02 16:06:26.414906
39074	14	2013-08-02 16:06:26.417539	2013-08-02 16:06:26.417539
39076	16	2013-08-02 16:06:26.42009	2013-08-02 16:06:26.42009
39032	16	2013-08-02 16:06:26.367846	2013-08-03 22:36:31.350044
39079	19	2013-08-02 16:06:26.423532	2013-08-02 16:06:26.423532
39030	16	2013-08-02 16:06:26.366118	2013-08-04 00:22:31.347128
39082	2	2013-08-02 16:06:26.426426	2013-08-02 16:06:26.426426
38960	11	2013-08-02 16:06:26.288075	2013-08-03 21:09:23.065574
39084	4	2013-08-02 16:06:26.428606	2013-08-02 16:06:26.428606
39087	7	2013-08-02 16:06:26.431601	2013-08-02 16:06:26.431601
39089	9	2013-08-02 16:06:26.433738	2013-08-02 16:06:26.433738
39091	11	2013-08-02 16:06:26.43587	2013-08-02 16:06:26.43587
39050	14	2013-08-02 16:06:26.391345	2013-08-04 00:22:31.349683
38975	9	2013-08-02 16:06:26.309873	2013-08-03 19:34:18.079571
39015	7	2013-08-02 16:06:26.343745	2013-08-03 19:34:18.085044
39075	4	2013-08-02 16:06:26.419187	2013-08-03 19:34:18.092733
39072	14	2013-08-02 16:06:26.415777	2013-08-03 22:36:31.353862
39052	21	2013-08-02 16:06:26.393936	2013-08-03 22:39:22.261312
38972	21	2013-08-02 16:06:26.306655	2013-08-03 22:39:22.379066
38950	16	2013-08-02 16:06:26.27086	2013-08-04 00:22:50.748188
38970	14	2013-08-02 16:06:26.305072	2013-08-04 00:25:50.526852
39090	21	2013-08-02 16:06:26.434759	2013-08-04 00:26:51.382795
39040	4	2013-08-02 16:06:26.379426	2013-08-04 00:35:56.825369
39057	4	2013-08-02 16:06:26.400227	2013-08-04 02:40:49.181557
39037	4	2013-08-02 16:06:26.375961	2013-08-04 02:40:49.193271
39017	4	2013-08-02 16:06:26.347194	2013-08-04 02:40:49.203951
38997	4	2013-08-02 16:06:26.329043	2013-08-04 02:40:49.21479
38977	4	2013-08-02 16:06:26.311947	2013-08-04 02:40:49.225518
38957	4	2013-08-02 16:06:26.283004	2013-08-04 02:40:49.232966
38937	4	2013-08-02 16:06:26.249402	2013-08-04 02:40:49.243299
39077	4	2013-08-02 16:06:26.421395	2013-08-04 02:45:47.240493
38980	4	2013-08-02 16:06:26.314906	2013-08-04 02:45:47.251527
39010	4	2013-08-02 16:06:26.339277	2013-08-04 02:45:47.262405
39012	4	2013-08-02 16:06:26.341214	2013-08-04 02:45:47.273496
39094	14	2013-08-02 16:06:26.43922	2013-08-02 16:06:26.43922
39098	21	2013-08-02 16:06:26.444395	2013-08-03 20:52:37.383431
39096	16	2013-08-02 16:06:26.442151	2013-08-02 16:06:26.442151
2190	2	2013-08-02 16:05:08.402885	2013-08-04 17:36:49.624308
39165	21	2013-08-02 16:06:26.510018	2013-08-03 22:19:21.661183
39099	19	2013-08-02 16:06:26.44555	2013-08-02 16:06:26.44555
39145	21	2013-08-02 16:06:26.49396	2013-08-03 22:19:21.664466
35483	2	2013-08-02 16:06:18.401365	2013-08-04 17:36:49.633674
39102	2	2013-08-02 16:06:26.449039	2013-08-02 16:06:26.449039
39218	21	2013-08-02 16:06:26.795897	2013-08-03 20:59:20.703203
39104	4	2013-08-02 16:06:26.451933	2013-08-02 16:06:26.451933
39101	11	2013-08-02 16:06:26.447913	2013-08-04 00:12:04.949233
39107	7	2013-08-02 16:06:26.455268	2013-08-02 16:06:26.455268
39109	9	2013-08-02 16:06:26.45749	2013-08-02 16:06:26.45749
29915	2	2013-08-02 16:06:05.187778	2013-08-04 17:36:50.376833
39111	11	2013-08-02 16:06:26.459704	2013-08-02 16:06:26.459704
19616	2	2013-08-02 16:05:42.443863	2013-08-04 17:36:50.438242
39114	14	2013-08-02 16:06:26.463021	2013-08-02 16:06:26.463021
39198	21	2013-08-02 16:06:26.776103	2013-08-03 20:59:20.707044
39116	16	2013-08-02 16:06:26.465262	2013-08-02 16:06:26.465262
19596	2	2013-08-02 16:05:42.395479	2013-08-04 17:36:50.450195
39158	21	2013-08-02 16:06:26.50492	2013-08-03 22:19:21.666529
39119	19	2013-08-02 16:06:26.468521	2013-08-02 16:06:26.468521
39125	14	2013-08-02 16:06:26.475689	2013-08-03 22:19:21.677639
19620	2	2013-08-02 16:05:42.45342	2013-08-04 17:36:50.461405
39122	2	2013-08-02 16:06:26.47253	2013-08-02 16:06:26.47253
39178	21	2013-08-02 16:06:26.757884	2013-08-03 20:59:20.710533
39124	4	2013-08-02 16:06:26.474696	2013-08-02 16:06:26.474696
39141	9	2013-08-02 16:06:26.490372	2013-08-04 00:12:04.9515
39127	7	2013-08-02 16:06:26.477799	2013-08-02 16:06:26.477799
39129	9	2013-08-02 16:06:26.479766	2013-08-02 16:06:26.479766
19576	2	2013-08-02 16:05:42.347732	2013-08-04 17:36:50.472405
39131	11	2013-08-02 16:06:26.481985	2013-08-02 16:06:26.481985
39134	14	2013-08-02 16:06:26.484936	2013-08-02 16:06:26.484936
39181	7	2013-08-02 16:06:26.760173	2013-08-04 00:12:04.954694
39136	16	2013-08-02 16:06:26.486539	2013-08-02 16:06:26.486539
19556	2	2013-08-02 16:05:42.296986	2013-08-04 17:36:50.483458
39105	19	2013-08-02 16:06:26.45305	2013-08-03 22:19:21.690382
39139	19	2013-08-02 16:06:26.488856	2013-08-02 16:06:26.488856
19536	2	2013-08-02 16:05:42.250626	2013-08-04 17:36:50.4944
39142	2	2013-08-02 16:06:26.491136	2013-08-02 16:06:26.491136
19583	2	2013-08-02 16:05:42.364505	2013-08-04 17:36:50.505394
39144	4	2013-08-02 16:06:26.493012	2013-08-02 16:06:26.493012
39147	7	2013-08-02 16:06:26.4958	2013-08-02 16:06:26.4958
39149	9	2013-08-02 16:06:26.497657	2013-08-02 16:06:26.497657
19516	2	2013-08-02 16:05:42.202947	2013-08-04 17:36:50.51622
39151	11	2013-08-02 16:06:26.499478	2013-08-02 16:06:26.499478
39212	2	2013-08-02 16:06:26.789953	2013-08-04 19:52:26.589391
39154	14	2013-08-02 16:06:26.501756	2013-08-02 16:06:26.501756
39118	16	2013-08-02 16:06:26.467427	2013-08-03 20:59:20.810234
39156	16	2013-08-02 16:06:26.503319	2013-08-02 16:06:26.503319
39246	2	2013-08-02 16:06:26.822737	2013-08-04 19:52:26.600867
39120	7	2013-08-02 16:06:26.469632	2013-08-03 22:22:07.27824
39159	19	2013-08-02 16:06:26.505672	2013-08-02 16:06:26.505672
39226	2	2013-08-02 16:06:26.803108	2013-08-04 19:52:26.613054
39162	2	2013-08-02 16:06:26.507816	2013-08-02 16:06:26.507816
39200	21	2013-08-02 16:06:26.777915	2013-08-03 21:09:22.85016
39164	4	2013-08-02 16:06:26.509305	2013-08-02 16:06:26.509305
39241	4	2013-08-02 16:06:26.81866	2013-08-04 00:12:04.962001
39167	7	2013-08-02 16:06:26.741786	2013-08-02 16:06:26.741786
39169	9	2013-08-02 16:06:26.75031	2013-08-02 16:06:26.75031
39138	2	2013-08-02 16:06:26.488055	2013-08-04 19:52:26.625108
39171	11	2013-08-02 16:06:26.752247	2013-08-02 16:06:26.752247
39206	2	2013-08-02 16:06:26.783862	2013-08-04 19:52:26.636505
39174	14	2013-08-02 16:06:26.754815	2013-08-02 16:06:26.754815
39180	21	2013-08-02 16:06:26.759426	2013-08-03 21:09:22.854448
39176	16	2013-08-02 16:06:26.75633	2013-08-02 16:06:26.75633
39186	2	2013-08-02 16:06:26.764635	2013-08-04 19:52:26.647466
39225	4	2013-08-02 16:06:26.801996	2013-08-03 22:22:07.283639
39179	19	2013-08-02 16:06:26.758645	2013-08-02 16:06:26.758645
39135	14	2013-08-02 16:06:26.485754	2013-08-04 00:15:38.14492
39166	2	2013-08-02 16:06:26.510823	2013-08-04 19:52:26.658567
39182	2	2013-08-02 16:06:26.760936	2013-08-02 16:06:26.760936
39160	21	2013-08-02 16:06:26.506387	2013-08-03 21:09:22.858225
39184	4	2013-08-02 16:06:26.762722	2013-08-02 16:06:26.762722
39221	19	2013-08-02 16:06:26.798477	2013-08-04 00:15:38.353476
39187	7	2013-08-02 16:06:26.765503	2013-08-02 16:06:26.765503
39189	9	2013-08-02 16:06:26.767168	2013-08-02 16:06:26.767168
39205	2	2013-08-02 16:06:26.782935	2013-08-04 19:52:26.669696
39191	11	2013-08-02 16:06:26.769492	2013-08-02 16:06:26.769492
39110	9	2013-08-02 16:06:26.458603	2013-08-04 00:22:31.354821
39194	14	2013-08-02 16:06:26.772647	2013-08-02 16:06:26.772647
39140	21	2013-08-02 16:06:26.489622	2013-08-03 21:09:22.861399
39196	16	2013-08-02 16:06:26.774478	2013-08-02 16:06:26.774478
39146	2	2013-08-02 16:06:26.494881	2013-08-04 19:52:26.680859
39245	7	2013-08-02 16:06:26.821996	2013-08-03 22:25:41.243525
39199	19	2013-08-02 16:06:26.776906	2013-08-02 16:06:26.776906
39112	11	2013-08-02 16:06:26.460822	2013-08-03 22:36:31.357915
39201	2	2013-08-02 16:06:26.778764	2013-08-04 19:52:26.692001
39202	2	2013-08-02 16:06:26.779686	2013-08-02 16:06:26.779686
39204	4	2013-08-02 16:06:26.781792	2013-08-02 16:06:26.781792
39130	7	2013-08-02 16:06:26.480913	2013-08-04 00:22:31.357017
39207	7	2013-08-02 16:06:26.784807	2013-08-02 16:06:26.784807
39209	9	2013-08-02 16:06:26.786657	2013-08-02 16:06:26.786657
39126	2	2013-08-02 16:06:26.476724	2013-08-04 19:52:26.70321
39211	11	2013-08-02 16:06:26.789011	2013-08-02 16:06:26.789011
39214	14	2013-08-02 16:06:26.791708	2013-08-02 16:06:26.791708
39106	2	2013-08-02 16:06:26.454161	2013-08-04 19:52:26.714898
39216	16	2013-08-02 16:06:26.79346	2013-08-02 16:06:26.79346
39219	19	2013-08-02 16:06:26.796752	2013-08-02 16:06:26.796752
39152	9	2013-08-02 16:06:26.500227	2013-08-03 22:36:31.360516
39222	2	2013-08-02 16:06:26.799275	2013-08-02 16:06:26.799275
39224	4	2013-08-02 16:06:26.801029	2013-08-02 16:06:26.801029
39170	4	2013-08-02 16:06:26.751188	2013-08-04 00:22:31.362248
39227	7	2013-08-02 16:06:26.804294	2013-08-02 16:06:26.804294
39229	9	2013-08-02 16:06:26.806454	2013-08-02 16:06:26.806454
39231	11	2013-08-02 16:06:26.808667	2013-08-02 16:06:26.808667
39234	14	2013-08-02 16:06:26.811461	2013-08-02 16:06:26.811461
39210	2	2013-08-02 16:06:26.787924	2013-08-04 00:22:31.365824
39236	16	2013-08-02 16:06:26.813565	2013-08-02 16:06:26.813565
39239	19	2013-08-02 16:06:26.816917	2013-08-02 16:06:26.816917
39192	7	2013-08-02 16:06:26.770391	2013-08-03 22:36:31.362513
39242	2	2013-08-02 16:06:26.819462	2013-08-02 16:06:26.819462
39175	11	2013-08-02 16:06:26.755571	2013-08-03 21:11:32.321534
39244	4	2013-08-02 16:06:26.821246	2013-08-02 16:06:26.821246
39247	7	2013-08-02 16:06:26.823957	2013-08-02 16:06:26.823957
39249	9	2013-08-02 16:06:26.826697	2013-08-02 16:06:26.826697
39183	9	2013-08-02 16:06:26.761683	2013-08-03 19:13:16.331979
39115	2	2013-08-02 16:06:26.464108	2013-08-03 19:34:18.096487
39232	4	2013-08-02 16:06:26.809579	2013-08-03 22:36:31.37025
39195	19	2013-08-02 16:06:26.773594	2013-08-03 19:34:28.584391
39235	16	2013-08-02 16:06:26.812327	2013-08-03 19:34:28.590998
39230	19	2013-08-02 16:06:26.807601	2013-08-04 00:26:31.758477
39163	16	2013-08-02 16:06:26.508596	2013-08-04 00:26:31.761339
39190	21	2013-08-02 16:06:26.768158	2013-08-04 00:26:40.512527
39132	4	2013-08-02 16:06:26.483	2013-08-04 00:33:40.115373
39150	4	2013-08-02 16:06:26.498564	2013-08-04 02:45:47.143582
39250	4	2013-08-02 16:06:26.82755	2013-08-04 02:45:47.152917
39215	4	2013-08-02 16:06:26.792589	2013-08-04 02:45:47.162031
39237	4	2013-08-02 16:06:26.815031	2013-08-04 02:45:47.172128
39217	4	2013-08-02 16:06:26.794986	2013-08-04 02:45:47.182685
39197	4	2013-08-02 16:06:26.775313	2013-08-04 02:45:47.194039
39177	4	2013-08-02 16:06:26.757122	2013-08-04 02:45:47.201718
39157	4	2013-08-02 16:06:26.50412	2013-08-04 02:45:47.209668
39251	11	2013-08-02 16:06:26.828583	2013-08-02 16:06:26.828583
39285	2	2013-08-02 16:06:26.877338	2013-08-04 00:12:04.966043
39254	14	2013-08-02 16:06:26.831285	2013-08-02 16:06:26.831285
39398	11	2013-08-02 16:06:27.03039	2013-08-03 20:59:21.098182
39256	16	2013-08-02 16:06:26.833013	2013-08-02 16:06:26.833013
19592	2	2013-08-02 16:05:42.386027	2013-08-04 17:36:50.526969
39265	2	2013-08-02 16:06:26.850213	2013-08-03 22:22:07.289645
39259	19	2013-08-02 16:06:26.836319	2013-08-02 16:06:26.836319
19496	2	2013-08-02 16:05:42.153893	2013-08-04 17:36:50.537919
19476	2	2013-08-02 16:05:42.105905	2013-08-04 17:36:50.548751
39262	2	2013-08-02 16:06:26.843043	2013-08-02 16:06:26.843043
39378	4	2013-08-02 16:06:26.998916	2013-08-03 20:59:21.120636
39264	4	2013-08-02 16:06:26.847946	2013-08-02 16:06:26.847946
19396	2	2013-08-02 16:05:41.841851	2013-08-04 17:36:50.60336
39267	7	2013-08-02 16:06:26.855592	2013-08-02 16:06:26.855592
39269	9	2013-08-02 16:06:26.858155	2013-08-02 16:06:26.858155
10259	2	2013-08-02 16:05:23.534011	2013-08-04 17:36:50.614277
39271	11	2013-08-02 16:06:26.860891	2013-08-02 16:06:26.860891
39274	14	2013-08-02 16:06:26.864257	2013-08-02 16:06:26.864257
39358	9	2013-08-02 16:06:26.96978	2013-08-03 20:59:21.138904
39276	16	2013-08-02 16:06:26.866865	2013-08-02 16:06:26.866865
19376	2	2013-08-02 16:05:41.794069	2013-08-04 17:36:50.625697
39405	14	2013-08-02 16:06:27.042542	2013-08-03 22:24:23.759168
39279	19	2013-08-02 16:06:26.869864	2013-08-02 16:06:26.869864
39360	11	2013-08-02 16:06:26.972103	2013-08-03 22:24:23.767821
20973	2	2013-08-02 16:05:45.1698	2013-08-04 17:36:50.919558
39282	2	2013-08-02 16:06:26.873267	2013-08-02 16:06:26.873267
24519	2	2013-08-02 16:05:53.013577	2013-08-04 17:36:50.931721
39284	4	2013-08-02 16:06:26.876178	2013-08-02 16:06:26.876178
24605	2	2013-08-02 16:05:53.282738	2013-08-04 17:36:50.943306
39287	7	2013-08-02 16:06:26.88027	2013-08-02 16:06:26.88027
39289	9	2013-08-02 16:06:26.882826	2013-08-02 16:06:26.882826
24499	2	2013-08-02 16:05:52.98933	2013-08-04 17:36:50.954424
39291	11	2013-08-02 16:06:26.885924	2013-08-02 16:06:26.885924
39361	9	2013-08-02 16:06:26.973498	2013-08-04 00:15:38.036081
39294	14	2013-08-02 16:06:26.889607	2013-08-02 16:06:26.889607
39308	11	2013-08-02 16:06:26.910384	2013-08-04 19:25:55.515762
39296	16	2013-08-02 16:06:26.892693	2013-08-02 16:06:26.892693
39365	9	2013-08-02 16:06:26.979427	2013-08-03 22:24:23.783699
39299	19	2013-08-02 16:06:26.897321	2013-08-02 16:06:26.897321
39348	9	2013-08-02 16:06:26.959012	2013-08-04 19:25:55.522998
39302	2	2013-08-02 16:06:26.901533	2013-08-02 16:06:26.901533
39304	4	2013-08-02 16:06:26.904281	2013-08-02 16:06:26.904281
39321	16	2013-08-02 16:06:26.928243	2013-08-04 00:15:38.065523
39307	7	2013-08-02 16:06:26.909012	2013-08-02 16:06:26.909012
39309	9	2013-08-02 16:06:26.911746	2013-08-02 16:06:26.911746
39300	7	2013-08-02 16:06:26.898778	2013-08-04 19:25:55.52635
39311	11	2013-08-02 16:06:26.914513	2013-08-02 16:06:26.914513
39301	7	2013-08-02 16:06:26.900147	2013-08-04 00:15:38.076204
39314	14	2013-08-02 16:06:26.918633	2013-08-02 16:06:26.918633
39278	2	2013-08-02 16:06:26.868721	2013-08-03 20:59:21.21711
39316	16	2013-08-02 16:06:26.92137	2013-08-02 16:06:26.92137
39328	21	2013-08-02 16:06:26.936899	2013-08-04 19:27:44.127791
39325	7	2013-08-02 16:06:26.932626	2013-08-03 22:24:23.819872
39319	19	2013-08-02 16:06:26.925492	2013-08-02 16:06:26.925492
39305	2	2013-08-02 16:06:26.905687	2013-08-03 22:24:23.835833
39345	2	2013-08-02 16:06:26.955828	2013-08-04 19:52:26.511001
39322	2	2013-08-02 16:06:26.93013	2013-08-02 16:06:26.93013
39258	7	2013-08-02 16:06:26.834653	2013-08-03 20:59:21.227167
39324	4	2013-08-02 16:06:26.931786	2013-08-02 16:06:26.931786
39366	2	2013-08-02 16:06:26.981236	2013-08-04 19:52:26.522713
39327	7	2013-08-02 16:06:26.935804	2013-08-02 16:06:26.935804
39329	9	2013-08-02 16:06:26.937779	2013-08-02 16:06:26.937779
39346	2	2013-08-02 16:06:26.956773	2013-08-04 19:52:26.533823
39331	11	2013-08-02 16:06:26.940254	2013-08-02 16:06:26.940254
39326	2	2013-08-02 16:06:26.934324	2013-08-04 19:52:26.544909
39334	14	2013-08-02 16:06:26.943598	2013-08-02 16:06:26.943598
39318	21	2013-08-02 16:06:26.924101	2013-08-03 20:59:56.714852
39336	16	2013-08-02 16:06:26.945558	2013-08-02 16:06:26.945558
39306	2	2013-08-02 16:06:26.907619	2013-08-04 19:52:26.5559
39385	21	2013-08-02 16:06:27.010354	2013-08-03 22:24:24.260546
39339	19	2013-08-02 16:06:26.949422	2013-08-02 16:06:26.949422
39252	2	2013-08-02 16:06:26.829536	2013-08-03 22:36:31.376541
39286	2	2013-08-02 16:06:26.878477	2013-08-04 19:52:26.567084
39342	2	2013-08-02 16:06:26.953024	2013-08-02 16:06:26.953024
39266	2	2013-08-02 16:06:26.852922	2013-08-04 19:52:26.578328
39344	4	2013-08-02 16:06:26.954891	2013-08-02 16:06:26.954891
39270	14	2013-08-02 16:06:26.859215	2013-08-04 00:26:31.766031
39347	7	2013-08-02 16:06:26.957903	2013-08-02 16:06:26.957903
39349	9	2013-08-02 16:06:26.960222	2013-08-02 16:06:26.960222
39351	11	2013-08-02 16:06:26.962759	2013-08-02 16:06:26.962759
39354	14	2013-08-02 16:06:26.966277	2013-08-02 16:06:26.966277
39280	9	2013-08-02 16:06:26.870998	2013-08-03 21:11:32.325142
39356	16	2013-08-02 16:06:26.967959	2013-08-02 16:06:26.967959
39386	19	2013-08-02 16:06:27.011271	2013-08-04 19:54:26.211052
39359	19	2013-08-02 16:06:26.970798	2013-08-02 16:06:26.970798
39292	7	2013-08-02 16:06:26.887166	2013-08-03 22:40:20.720256
39406	16	2013-08-02 16:06:27.04409	2013-08-04 19:54:26.219496
39362	2	2013-08-02 16:06:26.9749	2013-08-02 16:06:26.9749
39364	4	2013-08-02 16:06:26.978039	2013-08-02 16:06:26.978039
39367	7	2013-08-02 16:06:26.982682	2013-08-02 16:06:26.982682
39369	9	2013-08-02 16:06:26.986122	2013-08-02 16:06:26.986122
39313	19	2013-08-02 16:06:26.917259	2013-08-04 19:54:26.331745
39371	11	2013-08-02 16:06:26.98992	2013-08-02 16:06:26.98992
39330	11	2013-08-02 16:06:26.93943	2013-08-04 00:26:31.775703
39374	14	2013-08-02 16:06:26.993549	2013-08-02 16:06:26.993549
39320	7	2013-08-02 16:06:26.926866	2013-08-03 21:11:32.327783
39376	16	2013-08-02 16:06:26.995586	2013-08-02 16:06:26.995586
39379	19	2013-08-02 16:06:27.000644	2013-08-02 16:06:27.000644
39260	9	2013-08-02 16:06:26.838604	2013-08-04 00:26:31.778967
39290	16	2013-08-02 16:06:26.884073	2013-08-04 19:54:26.338937
39382	2	2013-08-02 16:06:27.006103	2013-08-02 16:06:27.006103
39384	4	2013-08-02 16:06:27.008205	2013-08-02 16:06:27.008205
39387	7	2013-08-02 16:06:27.012168	2013-08-02 16:06:27.012168
39389	9	2013-08-02 16:06:27.014348	2013-08-02 16:06:27.014348
39391	11	2013-08-02 16:06:27.02013	2013-08-02 16:06:27.02013
39370	7	2013-08-02 16:06:26.987604	2013-08-04 00:26:31.786081
39394	14	2013-08-02 16:06:27.023776	2013-08-02 16:06:27.023776
39396	16	2013-08-02 16:06:27.027199	2013-08-02 16:06:27.027199
39373	14	2013-08-02 16:06:26.991782	2013-08-04 19:54:26.342403
39332	4	2013-08-02 16:06:26.941877	2013-08-03 22:40:20.730326
39399	19	2013-08-02 16:06:27.032345	2013-08-02 16:06:27.032345
39310	19	2013-08-02 16:06:26.913148	2013-08-04 00:26:31.840526
39333	2	2013-08-02 16:06:26.94273	2013-08-04 19:57:29.083506
39402	2	2013-08-02 16:06:27.036922	2013-08-02 16:06:27.036922
39380	4	2013-08-02 16:06:27.003317	2013-08-03 21:11:32.333132
39404	4	2013-08-02 16:06:27.040621	2013-08-02 16:06:27.040621
39390	2	2013-08-02 16:06:27.016498	2013-08-04 19:57:29.093766
39407	7	2013-08-02 16:06:27.045684	2013-08-02 16:06:27.045684
39403	14	2013-08-02 16:06:27.038441	2013-08-03 19:17:36.489702
39383	14	2013-08-02 16:06:27.007026	2013-08-03 19:17:36.501416
39363	14	2013-08-02 16:06:26.976599	2013-08-03 19:17:36.513559
39255	14	2013-08-02 16:06:26.832127	2013-08-03 19:34:28.594684
39392	2	2013-08-02 16:06:27.021501	2013-08-04 00:33:40.11777
39315	11	2013-08-02 16:06:26.920004	2013-08-03 19:34:28.605741
39372	2	2013-08-02 16:06:26.99092	2013-08-03 22:40:20.737567
39312	4	2013-08-02 16:06:26.915881	2013-08-03 22:40:40.663666
39352	21	2013-08-02 16:06:26.964673	2013-08-03 22:40:40.886089
39272	4	2013-08-02 16:06:26.862489	2013-08-04 02:50:50.82468
39295	4	2013-08-02 16:06:26.891408	2013-08-04 02:50:50.828824
39397	4	2013-08-02 16:06:27.028942	2013-08-04 02:50:50.833033
39377	4	2013-08-02 16:06:26.996554	2013-08-04 02:50:50.837219
39357	4	2013-08-02 16:06:26.968877	2013-08-04 02:50:50.845283
39337	4	2013-08-02 16:06:26.947051	2013-08-04 02:50:50.851492
39317	4	2013-08-02 16:06:26.922732	2013-08-04 02:50:50.856775
39297	4	2013-08-02 16:06:26.894562	2013-08-04 02:50:50.861167
39381	4	2013-08-02 16:06:27.005196	2013-08-04 02:50:50.86549
39277	4	2013-08-02 16:06:26.86775	2013-08-04 02:50:50.869673
39257	4	2013-08-02 16:06:26.83384	2013-08-04 02:50:50.87399
39409	9	2013-08-02 16:06:27.049555	2013-08-02 16:06:27.049555
14997	2	2013-08-02 16:05:33.105798	2013-08-04 17:36:50.965574
39411	11	2013-08-02 16:06:27.054194	2013-08-02 16:06:27.054194
39521	21	2013-08-02 16:06:27.199358	2013-08-04 00:15:37.913007
39414	14	2013-08-02 16:06:27.061414	2013-08-02 16:06:27.061414
39558	21	2013-08-02 16:06:27.254799	2013-08-03 20:59:21.042886
39416	16	2013-08-02 16:06:27.064809	2013-08-02 16:06:27.064809
15071	2	2013-08-02 16:05:33.32627	2013-08-04 17:36:50.977103
39435	21	2013-08-02 16:06:27.092912	2013-08-03 22:24:23.617809
39419	19	2013-08-02 16:06:27.06738	2013-08-02 16:06:27.06738
39545	19	2013-08-02 16:06:27.235552	2013-08-03 22:24:23.624744
4764	2	2013-08-02 16:05:12.987338	2013-08-04 17:36:50.987845
39422	2	2013-08-02 16:06:27.071673	2013-08-02 16:06:27.071673
39538	21	2013-08-02 16:06:27.226513	2013-08-03 20:59:21.045015
39424	4	2013-08-02 16:06:27.073768	2013-08-02 16:06:27.073768
39501	21	2013-08-02 16:06:27.174548	2013-08-04 00:15:37.914753
39427	7	2013-08-02 16:06:27.078706	2013-08-02 16:06:27.078706
39429	9	2013-08-02 16:06:27.083699	2013-08-02 16:06:27.083699
24479	2	2013-08-02 16:05:52.971595	2013-08-04 17:36:50.999781
39431	11	2013-08-02 16:06:27.086732	2013-08-02 16:06:27.086732
39440	21	2013-08-02 16:06:27.097565	2013-08-04 00:15:37.916059
39434	14	2013-08-02 16:06:27.091216	2013-08-02 16:06:27.091216
39518	21	2013-08-02 16:06:27.196388	2013-08-03 20:59:21.047935
39436	16	2013-08-02 16:06:27.093801	2013-08-02 16:06:27.093801
24459	2	2013-08-02 16:05:52.953922	2013-08-04 17:36:51.011571
39525	4	2013-08-02 16:06:27.204866	2013-08-03 22:24:23.634562
39439	19	2013-08-02 16:06:27.096451	2013-08-02 16:06:27.096451
24439	2	2013-08-02 16:05:52.937207	2013-08-04 17:36:51.016351
24419	2	2013-08-02 16:05:52.911668	2013-08-04 17:36:51.021068
39442	2	2013-08-02 16:06:27.099563	2013-08-02 16:06:27.099563
39498	21	2013-08-02 16:06:27.170912	2013-08-03 20:59:21.050015
39444	4	2013-08-02 16:06:27.101584	2013-08-02 16:06:27.101584
39461	4	2013-08-02 16:06:27.125722	2013-08-04 00:15:37.940826
39447	7	2013-08-02 16:06:27.104678	2013-08-02 16:06:27.104678
39449	9	2013-08-02 16:06:27.106404	2013-08-02 16:06:27.106404
24399	2	2013-08-02 16:05:52.890317	2013-08-04 17:36:51.025674
39451	11	2013-08-02 16:06:27.108571	2013-08-02 16:06:27.108571
39454	14	2013-08-02 16:06:27.112297	2013-08-02 16:06:27.112297
39478	21	2013-08-02 16:06:27.150095	2013-08-03 20:59:21.05279
39456	16	2013-08-02 16:06:27.115866	2013-08-02 16:06:27.115866
39485	16	2013-08-02 16:06:27.158779	2013-08-03 22:24:23.670275
39459	19	2013-08-02 16:06:27.122191	2013-08-02 16:06:27.122191
39488	14	2013-08-02 16:06:27.161736	2013-08-04 19:28:54.636162
39462	2	2013-08-02 16:06:27.126719	2013-08-02 16:06:27.126719
39458	21	2013-08-02 16:06:27.120257	2013-08-03 20:59:21.055567
39464	4	2013-08-02 16:06:27.129154	2013-08-02 16:06:27.129154
39421	11	2013-08-02 16:06:27.070448	2013-08-04 00:15:37.974252
39467	7	2013-08-02 16:06:27.134869	2013-08-02 16:06:27.134869
39469	9	2013-08-02 16:06:27.137984	2013-08-02 16:06:27.137984
39471	11	2013-08-02 16:06:27.140245	2013-08-02 16:06:27.140245
39474	14	2013-08-02 16:06:27.14479	2013-08-02 16:06:27.14479
39438	21	2013-08-02 16:06:27.09556	2013-08-03 20:59:21.058229
39476	16	2013-08-02 16:06:27.147678	2013-08-02 16:06:27.147678
39446	14	2013-08-02 16:06:27.103541	2013-08-04 19:54:26.22768
39479	19	2013-08-02 16:06:27.15103	2013-08-02 16:06:27.15103
39482	2	2013-08-02 16:06:27.155027	2013-08-02 16:06:27.155027
39420	2	2013-08-02 16:06:27.068279	2013-08-03 21:11:32.337395
39484	4	2013-08-02 16:06:27.158009	2013-08-02 16:06:27.158009
39541	16	2013-08-02 16:06:27.230201	2013-08-04 00:19:02.325221
39487	7	2013-08-02 16:06:27.160388	2013-08-02 16:06:27.160388
39489	9	2013-08-02 16:06:27.162507	2013-08-02 16:06:27.162507
39491	11	2013-08-02 16:06:27.164315	2013-08-02 16:06:27.164315
39481	11	2013-08-02 16:06:27.153716	2013-08-04 19:54:26.241624
39494	14	2013-08-02 16:06:27.167087	2013-08-02 16:06:27.167087
39496	16	2013-08-02 16:06:27.168982	2013-08-02 16:06:27.168982
39486	9	2013-08-02 16:06:27.159534	2013-08-04 19:54:26.25156
39499	19	2013-08-02 16:06:27.171954	2013-08-02 16:06:27.171954
39412	16	2013-08-02 16:06:27.057033	2013-08-03 22:40:40.697886
39466	21	2013-08-02 16:06:27.1325	2013-08-04 19:54:38.621681
39502	2	2013-08-02 16:06:27.176389	2013-08-02 16:06:27.176389
39504	4	2013-08-02 16:06:27.179707	2013-08-02 16:06:27.179707
39515	14	2013-08-02 16:06:27.193089	2013-08-04 00:19:02.333417
39507	7	2013-08-02 16:06:27.183152	2013-08-02 16:06:27.183152
39509	9	2013-08-02 16:06:27.185036	2013-08-02 16:06:27.185036
39533	19	2013-08-02 16:06:27.21697	2013-08-04 19:54:49.811117
39511	11	2013-08-02 16:06:27.187721	2013-08-02 16:06:27.187721
39514	14	2013-08-02 16:06:27.191671	2013-08-02 16:06:27.191671
39430	4	2013-08-02 16:06:27.085339	2013-08-04 00:26:31.796683
39516	16	2013-08-02 16:06:27.193921	2013-08-02 16:06:27.193921
39553	16	2013-08-02 16:06:27.247323	2013-08-04 19:54:49.814227
39519	19	2013-08-02 16:06:27.197518	2013-08-02 16:06:27.197518
39452	14	2013-08-02 16:06:27.109455	2013-08-03 22:40:40.699814
39555	21	2013-08-02 16:06:27.250248	2013-08-04 19:54:49.853011
39522	2	2013-08-02 16:06:27.200266	2013-08-02 16:06:27.200266
39520	9	2013-08-02 16:06:27.198439	2013-08-03 21:14:23.805255
39524	4	2013-08-02 16:06:27.203236	2013-08-02 16:06:27.203236
39465	2	2013-08-02 16:06:27.131043	2013-08-04 00:26:31.803567
39527	7	2013-08-02 16:06:27.207049	2013-08-02 16:06:27.207049
39529	9	2013-08-02 16:06:27.208988	2013-08-02 16:06:27.208988
39445	21	2013-08-02 16:06:27.102662	2013-08-04 19:57:26.513789
39531	11	2013-08-02 16:06:27.212452	2013-08-02 16:06:27.212452
39472	2	2013-08-02 16:06:27.141531	2013-08-04 19:57:29.073015
39534	14	2013-08-02 16:06:27.218744	2013-08-02 16:06:27.218744
39500	4	2013-08-02 16:06:27.173234	2013-08-03 21:14:23.813881
39536	16	2013-08-02 16:06:27.222891	2013-08-02 16:06:27.222891
39539	19	2013-08-02 16:06:27.228219	2013-08-02 16:06:27.228219
39492	11	2013-08-02 16:06:27.165212	2013-08-03 22:40:40.702027
39542	2	2013-08-02 16:06:27.231085	2013-08-02 16:06:27.231085
39480	16	2013-08-02 16:06:27.152388	2013-08-03 21:14:23.821496
39544	4	2013-08-02 16:06:27.233877	2013-08-02 16:06:27.233877
39450	21	2013-08-02 16:06:27.107431	2013-08-04 00:26:40.514435
39547	7	2013-08-02 16:06:27.238382	2013-08-02 16:06:27.238382
39549	9	2013-08-02 16:06:27.240499	2013-08-02 16:06:27.240499
39551	11	2013-08-02 16:06:27.244199	2013-08-02 16:06:27.244199
39410	19	2013-08-02 16:06:27.051878	2013-08-04 00:26:51.32357
39554	14	2013-08-02 16:06:27.248629	2013-08-02 16:06:27.248629
39460	11	2013-08-02 16:06:27.124125	2013-08-03 21:14:23.831246
39556	16	2013-08-02 16:06:27.252018	2013-08-02 16:06:27.252018
39559	19	2013-08-02 16:06:27.256897	2013-08-02 16:06:27.256897
39540	9	2013-08-02 16:06:27.229322	2013-08-03 22:40:40.703846
39562	2	2013-08-02 16:06:27.264273	2013-08-02 16:06:27.264273
39564	4	2013-08-02 16:06:27.26633	2013-08-02 16:06:27.26633
39490	19	2013-08-02 16:06:27.163277	2013-08-04 00:26:51.432685
39455	4	2013-08-02 16:06:27.113811	2013-08-03 19:34:28.636611
39495	2	2013-08-02 16:06:27.167975	2013-08-03 19:34:28.646034
39475	11	2013-08-02 16:06:27.145984	2013-08-03 19:34:28.885558
39535	16	2013-08-02 16:06:27.220982	2013-08-03 19:37:44.951595
39530	16	2013-08-02 16:06:27.210022	2013-08-04 00:26:51.435981
39512	14	2013-08-02 16:06:27.189151	2013-08-04 00:26:51.440138
39470	16	2013-08-02 16:06:27.139403	2013-08-04 00:27:03.683002
39561	19	2013-08-02 16:06:27.261718	2013-08-04 00:40:47.397612
39550	21	2013-08-02 16:06:27.242335	2013-08-04 01:00:52.966864
39517	4	2013-08-02 16:06:27.194971	2013-08-04 02:50:50.779409
39497	4	2013-08-02 16:06:27.170008	2013-08-04 02:50:50.784514
39477	4	2013-08-02 16:06:27.149122	2013-08-04 02:50:50.7914
39457	4	2013-08-02 16:06:27.118279	2013-08-04 02:50:50.798996
39437	4	2013-08-02 16:06:27.094686	2013-08-04 02:50:50.810451
39417	4	2013-08-02 16:06:27.06567	2013-08-04 02:50:50.820715
39510	4	2013-08-02 16:06:27.186152	2013-08-04 02:56:12.451823
39557	4	2013-08-02 16:06:27.253226	2013-08-04 02:56:12.465556
39537	4	2013-08-02 16:06:27.224748	2013-08-04 02:56:12.472986
39567	7	2013-08-02 16:06:27.271335	2013-08-02 16:06:27.271335
39569	9	2013-08-02 16:06:27.272987	2013-08-02 16:06:27.272987
24472	2	2013-08-02 16:05:52.964903	2013-08-04 17:36:51.031326
39571	11	2013-08-02 16:06:27.275382	2013-08-02 16:06:27.275382
24379	2	2013-08-02 16:05:52.868356	2013-08-04 17:36:51.03673
39574	14	2013-08-02 16:06:27.279455	2013-08-02 16:06:27.279455
39578	21	2013-08-02 16:06:27.285394	2013-08-03 20:59:21.039904
39576	16	2013-08-02 16:06:27.282393	2013-08-02 16:06:27.282393
24359	2	2013-08-02 16:05:52.84904	2013-08-04 17:36:51.041476
39565	21	2013-08-02 16:06:27.267961	2013-08-03 22:24:23.616256
39579	19	2013-08-02 16:06:27.286597	2013-08-02 16:06:27.286597
39585	16	2013-08-02 16:06:27.296708	2013-08-03 22:25:41.016501
24450	2	2013-08-02 16:05:52.947489	2013-08-04 17:36:51.046233
39582	2	2013-08-02 16:06:27.292075	2013-08-02 16:06:27.292075
39715	21	2013-08-02 16:06:27.61663	2013-08-03 21:04:20.980939
39584	4	2013-08-02 16:06:27.295253	2013-08-02 16:06:27.295253
39621	11	2013-08-02 16:06:27.388379	2013-08-04 00:19:02.345482
39587	7	2013-08-02 16:06:27.299584	2013-08-02 16:06:27.299584
39589	9	2013-08-02 16:06:27.302706	2013-08-02 16:06:27.302706
24339	2	2013-08-02 16:05:52.831803	2013-08-04 17:36:51.050955
39591	11	2013-08-02 16:06:27.308069	2013-08-02 16:06:27.308069
29673	14	2013-08-02 16:06:04.656555	2013-08-04 17:36:51.105595
39594	14	2013-08-02 16:06:27.31604	2013-08-02 16:06:27.31604
28635	14	2013-08-02 16:06:02.015662	2013-08-04 17:36:51.116327
39596	16	2013-08-02 16:06:27.321401	2013-08-02 16:06:27.321401
30035	14	2013-08-02 16:06:05.480243	2013-08-04 17:36:51.126868
39661	9	2013-08-02 16:06:27.486835	2013-08-04 00:19:02.352648
39599	19	2013-08-02 16:06:27.329405	2013-08-02 16:06:27.329405
39605	14	2013-08-02 16:06:27.345787	2013-08-03 22:25:41.019052
34563	14	2013-08-02 16:06:16.007495	2013-08-04 17:36:51.136903
39602	2	2013-08-02 16:06:27.337751	2013-08-02 16:06:27.337751
39604	4	2013-08-02 16:06:27.34313	2013-08-02 16:06:27.34313
39701	7	2013-08-02 16:06:27.583251	2013-08-04 00:19:02.359555
39607	7	2013-08-02 16:06:27.351165	2013-08-02 16:06:27.351165
39609	9	2013-08-02 16:06:27.356447	2013-08-02 16:06:27.356447
30426	2	2013-08-02 16:06:06.455499	2013-08-04 17:36:51.240986
39611	11	2013-08-02 16:06:27.361789	2013-08-02 16:06:27.361789
39614	14	2013-08-02 16:06:27.369764	2013-08-02 16:06:27.369764
39616	16	2013-08-02 16:06:27.375066	2013-08-02 16:06:27.375066
30406	2	2013-08-02 16:06:06.430375	2013-08-04 17:36:51.253001
39619	19	2013-08-02 16:06:27.38307	2013-08-02 16:06:27.38307
39601	14	2013-08-02 16:06:27.335056	2013-08-04 00:22:12.031641
30386	2	2013-08-02 16:06:06.216222	2013-08-04 17:36:51.263914
39622	2	2013-08-02 16:06:27.391043	2013-08-02 16:06:27.391043
39624	4	2013-08-02 16:06:27.396338	2013-08-02 16:06:27.396338
39627	7	2013-08-02 16:06:27.404413	2013-08-02 16:06:27.404413
39629	9	2013-08-02 16:06:27.40962	2013-08-02 16:06:27.40962
39650	19	2013-08-02 16:06:27.46038	2013-08-04 19:29:07.768091
39631	11	2013-08-02 16:06:27.414705	2013-08-02 16:06:27.414705
39634	14	2013-08-02 16:06:27.421889	2013-08-02 16:06:27.421889
39665	11	2013-08-02 16:06:27.496305	2013-08-03 22:25:41.022169
39636	16	2013-08-02 16:06:27.426716	2013-08-02 16:06:27.426716
39688	21	2013-08-02 16:06:27.551872	2013-08-04 19:29:19.836
39708	2	2013-08-02 16:06:27.599897	2013-08-04 19:32:49.342785
39639	19	2013-08-02 16:06:27.433844	2013-08-02 16:06:27.433844
39705	9	2013-08-02 16:06:27.59279	2013-08-03 22:25:41.024355
39566	2	2013-08-02 16:06:27.269748	2013-08-04 19:54:26.279585
39642	2	2013-08-02 16:06:27.440912	2013-08-02 16:06:27.440912
39641	11	2013-08-02 16:06:27.438532	2013-08-04 00:26:51.445227
39644	4	2013-08-02 16:06:27.445637	2013-08-02 16:06:27.445637
39718	9	2013-08-02 16:06:27.62374	2013-08-04 00:26:51.446195
39647	7	2013-08-02 16:06:27.45314	2013-08-02 16:06:27.45314
39649	9	2013-08-02 16:06:27.457949	2013-08-02 16:06:27.457949
39651	11	2013-08-02 16:06:27.462778	2013-08-02 16:06:27.462778
39654	14	2013-08-02 16:06:27.470167	2013-08-02 16:06:27.470167
39656	16	2013-08-02 16:06:27.47494	2013-08-02 16:06:27.47494
39581	14	2013-08-02 16:06:27.290012	2013-08-04 19:54:49.817393
39698	19	2013-08-02 16:06:27.575682	2013-08-03 22:29:28.369211
39659	19	2013-08-02 16:06:27.482105	2013-08-02 16:06:27.482105
39662	2	2013-08-02 16:06:27.4892	2013-08-02 16:06:27.4892
39700	21	2013-08-02 16:06:27.580878	2013-08-03 21:14:23.734261
39664	4	2013-08-02 16:06:27.493965	2013-08-02 16:06:27.493965
39630	7	2013-08-02 16:06:27.41222	2013-08-04 00:26:51.448123
39667	7	2013-08-02 16:06:27.501032	2013-08-02 16:06:27.501032
39669	9	2013-08-02 16:06:27.505764	2013-08-02 16:06:27.505764
39593	11	2013-08-02 16:06:27.313408	2013-08-04 19:54:49.821432
39671	11	2013-08-02 16:06:27.510446	2013-08-02 16:06:27.510446
39674	14	2013-08-02 16:06:27.518284	2013-08-02 16:06:27.518284
39680	21	2013-08-02 16:06:27.532781	2013-08-03 21:14:23.735903
39676	16	2013-08-02 16:06:27.523153	2013-08-02 16:06:27.523153
39678	9	2013-08-02 16:06:27.527975	2013-08-04 19:54:49.82545
39679	19	2013-08-02 16:06:27.530393	2013-08-02 16:06:27.530393
39612	4	2013-08-02 16:06:27.364419	2013-08-03 22:40:40.714103
39682	2	2013-08-02 16:06:27.537568	2013-08-02 16:06:27.537568
39660	21	2013-08-02 16:06:27.484458	2013-08-03 21:14:23.737181
39684	4	2013-08-02 16:06:27.542353	2013-08-02 16:06:27.542353
39670	4	2013-08-02 16:06:27.508144	2013-08-04 00:26:51.451484
39687	7	2013-08-02 16:06:27.549515	2013-08-02 16:06:27.549515
39689	9	2013-08-02 16:06:27.554287	2013-08-02 16:06:27.554287
39570	7	2013-08-02 16:06:27.27387	2013-08-04 19:54:49.829014
39691	11	2013-08-02 16:06:27.559045	2013-08-02 16:06:27.559045
39694	14	2013-08-02 16:06:27.566217	2013-08-02 16:06:27.566217
39640	21	2013-08-02 16:06:27.436125	2013-08-03 21:14:23.738439
39696	16	2013-08-02 16:06:27.570961	2013-08-02 16:06:27.570961
39590	19	2013-08-02 16:06:27.305441	2013-08-04 00:33:20.737097
39699	19	2013-08-02 16:06:27.578109	2013-08-02 16:06:27.578109
39632	2	2013-08-02 16:06:27.417137	2013-08-03 22:40:40.719255
39706	2	2013-08-02 16:06:27.59515	2013-08-04 19:57:26.076947
39702	2	2013-08-02 16:06:27.585644	2013-08-02 16:06:27.585644
39620	19	2013-08-02 16:06:27.385753	2013-08-03 21:14:23.746929
39704	4	2013-08-02 16:06:27.590418	2013-08-02 16:06:27.590418
39717	4	2013-08-02 16:06:27.621373	2013-08-04 02:56:12.357512
39707	7	2013-08-02 16:06:27.597537	2013-08-02 16:06:27.597537
39709	9	2013-08-02 16:06:27.602289	2013-08-02 16:06:27.602289
39633	2	2013-08-02 16:06:27.419526	2013-08-04 19:57:26.086658
39711	11	2013-08-02 16:06:27.607041	2013-08-02 16:06:27.607041
39697	4	2013-08-02 16:06:27.573335	2013-08-04 02:56:12.368391
39714	14	2013-08-02 16:06:27.614259	2013-08-02 16:06:27.614259
39686	2	2013-08-02 16:06:27.547122	2013-08-04 19:57:26.092269
39716	16	2013-08-02 16:06:27.61898	2013-08-02 16:06:27.61898
39685	2	2013-08-02 16:06:27.544746	2013-08-04 19:57:26.096913
39666	2	2013-08-02 16:06:27.498669	2013-08-04 19:57:26.101411
39719	19	2013-08-02 16:06:27.626117	2013-08-02 16:06:27.626117
39645	21	2013-08-02 16:06:27.448037	2013-08-03 22:40:40.888461
39572	2	2013-08-02 16:06:27.277397	2013-08-04 19:57:26.106274
39663	16	2013-08-02 16:06:27.491564	2013-08-03 19:18:34.736942
39677	4	2013-08-02 16:06:27.525572	2013-08-04 02:56:12.379295
39703	14	2013-08-02 16:06:27.588007	2013-08-03 19:18:34.741253
39695	21	2013-08-02 16:06:27.56859	2013-08-03 19:37:44.877626
39675	21	2013-08-02 16:06:27.520742	2013-08-03 19:37:44.879929
39655	21	2013-08-02 16:06:27.472587	2013-08-03 19:37:44.882194
39592	9	2013-08-02 16:06:27.310767	2013-08-03 22:44:24.53788
39657	4	2013-08-02 16:06:27.477305	2013-08-04 02:56:12.390448
39672	14	2013-08-02 16:06:27.513057	2013-08-03 22:45:09.0193
39683	14	2013-08-02 16:06:27.539941	2013-08-03 21:17:19.424036
39720	21	2013-08-02 16:06:27.628472	2013-08-03 21:19:21.198346
39712	11	2013-08-02 16:06:27.609398	2013-08-03 22:45:09.022397
39652	21	2013-08-02 16:06:27.465199	2013-08-03 22:45:09.201484
39637	4	2013-08-02 16:06:27.429095	2013-08-04 02:56:12.401279
39658	4	2013-08-02 16:06:27.479656	2013-08-04 02:56:12.411003
39617	4	2013-08-02 16:06:27.377716	2013-08-04 02:56:12.419412
39597	4	2013-08-02 16:06:27.324034	2013-08-04 02:56:12.429558
39577	4	2013-08-02 16:06:27.283952	2013-08-04 02:56:12.440155
39646	2	2013-08-02 16:06:27.450665	2013-08-04 19:57:26.11146
39626	2	2013-08-02 16:06:27.401688	2013-08-04 19:57:26.117183
39618	2	2013-08-02 16:06:27.380367	2013-08-04 19:57:26.122209
39606	2	2013-08-02 16:06:27.348408	2013-08-04 19:57:26.128596
39613	21	2013-08-02 16:06:27.367077	2013-08-04 19:57:26.509838
39573	2	2013-08-02 16:06:27.278502	2013-08-04 19:57:26.781274
39692	7	2013-08-02 16:06:27.561448	2013-08-04 19:57:29.797752
39625	16	2013-08-02 16:06:27.399028	2013-08-04 19:59:46.303019
39722	2	2013-08-02 16:06:27.633262	2013-08-02 16:06:27.633262
39738	21	2013-08-02 16:06:27.671394	2013-08-03 21:04:20.978886
39724	4	2013-08-02 16:06:27.63811	2013-08-02 16:06:27.63811
39741	4	2013-08-02 16:06:27.679231	2013-08-04 00:19:02.368692
39727	7	2013-08-02 16:06:27.645233	2013-08-02 16:06:27.645233
39729	9	2013-08-02 16:06:27.650076	2013-08-02 16:06:27.650076
30395	2	2013-08-02 16:06:06.419513	2013-08-04 17:36:51.275933
39731	11	2013-08-02 16:06:27.654747	2013-08-02 16:06:27.654747
30410	2	2013-08-02 16:06:06.434689	2013-08-04 17:36:51.282678
39734	14	2013-08-02 16:06:27.661875	2013-08-02 16:06:27.661875
39878	11	2013-08-02 16:06:27.947168	2013-08-03 21:04:21.349242
39736	16	2013-08-02 16:06:27.666663	2013-08-02 16:06:27.666663
30366	2	2013-08-02 16:06:06.165008	2013-08-04 17:36:51.288073
39725	7	2013-08-02 16:06:27.640459	2013-08-03 22:25:41.026445
39739	19	2013-08-02 16:06:27.674005	2013-08-02 16:06:27.674005
300	2	2013-08-02 16:05:04.609637	2013-08-04 17:36:51.2931
39742	2	2013-08-02 16:06:27.68172	2013-08-02 16:06:27.68172
30346	2	2013-08-02 16:06:06.110911	2013-08-04 17:36:51.298896
39744	4	2013-08-02 16:06:27.686855	2013-08-02 16:06:27.686855
39761	2	2013-08-02 16:06:27.727701	2013-08-04 00:19:02.370943
39747	7	2013-08-02 16:06:27.69434	2013-08-02 16:06:27.69434
39749	9	2013-08-02 16:06:27.699122	2013-08-02 16:06:27.699122
30326	2	2013-08-02 16:06:06.065551	2013-08-04 17:36:51.303872
39751	11	2013-08-02 16:06:27.703899	2013-08-02 16:06:27.703899
30306	2	2013-08-02 16:06:06.039376	2013-08-04 17:36:51.310308
39754	14	2013-08-02 16:06:27.711061	2013-08-02 16:06:27.711061
39765	4	2013-08-02 16:06:27.737205	2013-08-03 22:25:41.02917
39756	16	2013-08-02 16:06:27.715821	2013-08-02 16:06:27.715821
30245	2	2013-08-02 16:06:05.913891	2013-08-04 17:36:51.315476
39759	19	2013-08-02 16:06:27.722965	2013-08-02 16:06:27.722965
39805	2	2013-08-02 16:06:27.834858	2013-08-03 22:25:41.031386
30260	2	2013-08-02 16:06:05.950366	2013-08-04 17:36:51.320721
39762	2	2013-08-02 16:06:27.730081	2013-08-02 16:06:27.730081
39764	4	2013-08-02 16:06:27.734834	2013-08-02 16:06:27.734834
39821	9	2013-08-02 16:06:27.85966	2013-08-04 00:20:44.834187
39767	7	2013-08-02 16:06:27.741949	2013-08-02 16:06:27.741949
39769	9	2013-08-02 16:06:27.746766	2013-08-02 16:06:27.746766
30286	2	2013-08-02 16:06:06.012442	2013-08-04 17:36:51.325524
39771	11	2013-08-02 16:06:27.751538	2013-08-02 16:06:27.751538
39801	11	2013-08-02 16:06:27.823315	2013-08-04 00:20:44.842602
39774	14	2013-08-02 16:06:27.758692	2013-08-02 16:06:27.758692
39798	9	2013-08-02 16:06:27.815689	2013-08-03 21:04:21.419555
39776	16	2013-08-02 16:06:27.763427	2013-08-02 16:06:27.763427
39786	2	2013-08-02 16:06:27.787298	2013-08-04 19:57:26.03267
39766	2	2013-08-02 16:06:27.739547	2013-08-04 19:57:26.038785
39779	19	2013-08-02 16:06:27.770643	2013-08-02 16:06:27.770643
39841	2	2013-08-02 16:06:27.882825	2013-08-04 19:57:26.047144
39746	2	2013-08-02 16:06:27.691943	2013-08-04 19:57:26.054871
39782	2	2013-08-02 16:06:27.77775	2013-08-02 16:06:27.77775
39778	7	2013-08-02 16:06:27.768231	2013-08-03 21:04:21.428373
39784	4	2013-08-02 16:06:27.782587	2013-08-02 16:06:27.782587
39825	7	2013-08-02 16:06:27.863665	2013-08-04 00:20:44.858737
39787	7	2013-08-02 16:06:27.789707	2013-08-02 16:06:27.789707
39789	9	2013-08-02 16:06:27.794391	2013-08-02 16:06:27.794391
39745	2	2013-08-02 16:06:27.6893	2013-08-04 19:57:26.060684
39791	11	2013-08-02 16:06:27.799136	2013-08-02 16:06:27.799136
39726	2	2013-08-02 16:06:27.642843	2013-08-04 19:57:26.06825
39794	14	2013-08-02 16:06:27.806238	2013-08-02 16:06:27.806238
39758	2	2013-08-02 16:06:27.720583	2013-08-03 21:04:21.436626
39796	16	2013-08-02 16:06:27.810941	2013-08-02 16:06:27.810941
39858	14	2013-08-02 16:06:27.909794	2013-08-04 00:22:50.750689
39799	19	2013-08-02 16:06:27.818177	2013-08-02 16:06:27.818177
39845	11	2013-08-02 16:06:27.888838	2013-08-03 22:29:27.835623
39815	4	2013-08-02 16:06:27.848515	2013-08-04 19:57:29.691643
39802	2	2013-08-02 16:06:27.825744	2013-08-02 16:06:27.825744
39838	21	2013-08-02 16:06:27.878913	2013-08-03 21:06:14.975182
39804	4	2013-08-02 16:06:27.832026	2013-08-02 16:06:27.832026
39873	4	2013-08-02 16:06:27.937313	2013-08-04 19:57:29.69515
39807	7	2013-08-02 16:06:27.840423	2013-08-02 16:06:27.840423
39809	9	2013-08-02 16:06:27.842358	2013-08-02 16:06:27.842358
39800	4	2013-08-02 16:06:27.820881	2013-08-04 19:57:29.698458
39811	11	2013-08-02 16:06:27.844136	2013-08-02 16:06:27.844136
39853	19	2013-08-02 16:06:27.901434	2013-08-04 19:57:29.707373
39814	14	2013-08-02 16:06:27.846439	2013-08-02 16:06:27.846439
39816	16	2013-08-02 16:06:27.851187	2013-08-02 16:06:27.851187
39785	9	2013-08-02 16:06:27.784951	2013-08-03 22:29:27.843423
39819	19	2013-08-02 16:06:27.857623	2013-08-02 16:06:27.857623
39865	4	2013-08-02 16:06:27.922516	2013-08-03 22:29:28.346555
39822	2	2013-08-02 16:06:27.860651	2013-08-02 16:06:27.860651
39770	19	2013-08-02 16:06:27.749167	2013-08-04 00:33:20.682189
39824	4	2013-08-02 16:06:27.862667	2013-08-02 16:06:27.862667
39846	19	2013-08-02 16:06:27.890435	2013-08-04 19:59:46.039316
39827	7	2013-08-02 16:06:27.86563	2013-08-02 16:06:27.86563
39829	9	2013-08-02 16:06:27.867646	2013-08-02 16:06:27.867646
39831	11	2013-08-02 16:06:27.869892	2013-08-02 16:06:27.869892
39810	16	2013-08-02 16:06:27.843135	2013-08-04 00:33:20.685873
39834	14	2013-08-02 16:06:27.873682	2013-08-02 16:06:27.873682
39780	11	2013-08-02 16:06:27.773003	2013-08-03 21:17:19.427295
39836	16	2013-08-02 16:06:27.876394	2013-08-02 16:06:27.876394
39812	16	2013-08-02 16:06:27.844906	2013-08-04 19:59:46.041869
39826	21	2013-08-02 16:06:27.864629	2013-08-04 19:59:46.25415
39839	19	2013-08-02 16:06:27.880071	2013-08-02 16:06:27.880071
39752	9	2013-08-02 16:06:27.70628	2013-08-03 22:45:09.02543
39857	21	2013-08-02 16:06:27.908061	2013-08-04 20:02:37.741214
39842	2	2013-08-02 16:06:27.884205	2013-08-02 16:06:27.884205
39806	21	2013-08-02 16:06:27.8376	2013-08-04 20:02:38.407024
39844	4	2013-08-02 16:06:27.887296	2013-08-02 16:06:27.887296
39866	21	2013-08-02 16:06:27.924336	2013-08-04 20:04:18.500601
39847	7	2013-08-02 16:06:27.892104	2013-08-02 16:06:27.892104
39849	9	2013-08-02 16:06:27.895245	2013-08-02 16:06:27.895245
39851	11	2013-08-02 16:06:27.89833	2013-08-02 16:06:27.89833
39732	14	2013-08-02 16:06:27.65713	2013-08-04 00:33:20.688488
39854	14	2013-08-02 16:06:27.902989	2013-08-02 16:06:27.902989
39820	9	2013-08-02 16:06:27.85865	2013-08-03 21:17:19.429797
39856	16	2013-08-02 16:06:27.90633	2013-08-02 16:06:27.90633
39859	19	2013-08-02 16:06:27.911524	2013-08-02 16:06:27.911524
39792	7	2013-08-02 16:06:27.801476	2013-08-03 22:45:09.02818
39862	2	2013-08-02 16:06:27.917015	2013-08-02 16:06:27.917015
39864	4	2013-08-02 16:06:27.920695	2013-08-02 16:06:27.920695
39867	7	2013-08-02 16:06:27.926209	2013-08-02 16:06:27.926209
39869	9	2013-08-02 16:06:27.929883	2013-08-02 16:06:27.929883
39871	11	2013-08-02 16:06:27.933618	2013-08-02 16:06:27.933618
39874	14	2013-08-02 16:06:27.939307	2013-08-02 16:06:27.939307
39860	7	2013-08-02 16:06:27.913357	2013-08-03 21:17:19.43245
39876	16	2013-08-02 16:06:27.943242	2013-08-02 16:06:27.943242
39735	19	2013-08-02 16:06:27.664258	2013-08-03 19:38:56.486904
39775	16	2013-08-02 16:06:27.761071	2013-08-03 19:38:56.494381
39795	14	2013-08-02 16:06:27.808606	2013-08-03 19:38:56.498118
39870	11	2013-08-02 16:06:27.931723	2013-08-04 00:33:20.692023
39855	11	2013-08-02 16:06:27.904579	2013-08-03 19:38:56.510021
39730	21	2013-08-02 16:06:27.652437	2013-08-04 00:33:20.715902
39832	4	2013-08-02 16:06:27.871117	2013-08-03 22:45:09.031596
39750	14	2013-08-02 16:06:27.701524	2013-08-04 00:35:57.417855
39852	21	2013-08-02 16:06:27.899856	2013-08-03 22:45:29.667487
39781	2	2013-08-02 16:06:27.775349	2013-08-04 00:52:48.59159
39830	16	2013-08-02 16:06:27.868666	2013-08-04 00:55:55.142163
39757	4	2013-08-02 16:06:27.718194	2013-08-04 02:56:12.324951
39861	4	2013-08-02 16:06:27.915181	2013-08-04 02:56:12.335522
39737	4	2013-08-02 16:06:27.669025	2013-08-04 02:56:12.346571
39797	19	2013-08-02 16:06:27.813332	2013-08-04 02:59:49.385832
39817	16	2013-08-02 16:06:27.853784	2013-08-04 02:59:49.386976
39837	14	2013-08-02 16:06:27.877668	2013-08-04 02:59:49.389027
39755	11	2013-08-02 16:06:27.713462	2013-08-04 02:59:49.391769
39777	21	2013-08-02 16:06:27.76583	2013-08-04 03:00:10.011619
39877	21	2013-08-02 16:06:27.94521	2013-08-04 03:00:23.146428
39790	21	2013-08-02 16:06:27.796775	2013-08-04 03:00:23.173814
39879	19	2013-08-02 16:06:27.949172	2013-08-02 16:06:27.949172
40025	21	2013-08-02 16:06:28.392421	2013-08-03 22:29:27.760669
17145	2	2013-08-02 16:05:37.187534	2013-08-04 17:36:51.329968
39882	2	2013-08-02 16:06:27.955197	2013-08-02 16:06:27.955197
40018	21	2013-08-02 16:06:28.383135	2013-08-03 21:04:21.236539
39884	4	2013-08-02 16:06:27.959142	2013-08-02 16:06:27.959142
40021	21	2013-08-02 16:06:28.387719	2013-08-04 00:20:44.679583
39887	7	2013-08-02 16:06:27.965123	2013-08-02 16:06:27.965123
39889	9	2013-08-02 16:06:27.969125	2013-08-02 16:06:27.969125
30266	2	2013-08-02 16:06:05.964824	2013-08-04 17:36:51.334182
39891	11	2013-08-02 16:06:27.973094	2013-08-02 16:06:27.973094
39980	21	2013-08-02 16:06:28.345215	2013-08-04 00:20:44.680827
39894	14	2013-08-02 16:06:27.979022	2013-08-02 16:06:27.979022
39998	21	2013-08-02 16:06:28.361355	2013-08-03 21:04:21.237263
39896	16	2013-08-02 16:06:27.983032	2013-08-02 16:06:27.983032
30246	2	2013-08-02 16:06:05.916269	2013-08-04 17:36:51.340409
40005	21	2013-08-02 16:06:28.368817	2013-08-03 22:29:27.762765
39899	19	2013-08-02 16:06:27.989548	2013-08-02 16:06:27.989548
39985	21	2013-08-02 16:06:28.348854	2013-08-03 22:29:27.765159
30226	2	2013-08-02 16:06:05.866951	2013-08-04 17:36:51.346388
39902	2	2013-08-02 16:06:28.224073	2013-08-02 16:06:28.224073
39978	21	2013-08-02 16:06:28.3429	2013-08-03 21:04:21.237945
39904	4	2013-08-02 16:06:28.226848	2013-08-02 16:06:28.226848
40001	14	2013-08-02 16:06:28.364098	2013-08-04 00:20:44.687322
39907	7	2013-08-02 16:06:28.230344	2013-08-02 16:06:28.230344
39909	9	2013-08-02 16:06:28.232453	2013-08-02 16:06:28.232453
30272	2	2013-08-02 16:06:05.979107	2013-08-04 17:36:51.354119
39911	11	2013-08-02 16:06:28.234565	2013-08-02 16:06:28.234565
30206	2	2013-08-02 16:06:05.814116	2013-08-04 17:36:51.361515
39914	14	2013-08-02 16:06:28.238059	2013-08-02 16:06:28.238059
39958	21	2013-08-02 16:06:28.315979	2013-08-03 21:04:21.23863
39916	16	2013-08-02 16:06:28.24087	2013-08-02 16:06:28.24087
3760	14	2013-08-02 16:05:11.159635	2013-08-04 17:36:51.385371
39965	21	2013-08-02 16:06:28.330119	2013-08-03 22:29:27.76676
39919	19	2013-08-02 16:06:28.24502	2013-08-02 16:06:28.24502
39900	4	2013-08-02 16:06:27.992618	2013-08-03 22:29:27.773677
3767	14	2013-08-02 16:05:11.179023	2013-08-04 17:36:51.390023
39922	2	2013-08-02 16:06:28.249182	2013-08-02 16:06:28.249182
39938	4	2013-08-02 16:06:28.275935	2013-08-03 21:04:21.248191
39924	4	2013-08-02 16:06:28.252122	2013-08-02 16:06:28.252122
3747	14	2013-08-02 16:05:11.124327	2013-08-04 17:36:51.397697
39927	7	2013-08-02 16:06:28.256532	2013-08-02 16:06:28.256532
39929	9	2013-08-02 16:06:28.259487	2013-08-02 16:06:28.259487
3727	14	2013-08-02 16:05:11.069761	2013-08-04 17:36:51.402706
39931	11	2013-08-02 16:06:28.263032	2013-08-02 16:06:28.263032
2609	14	2013-08-02 16:05:08.955817	2013-08-04 17:36:51.406264
39934	14	2013-08-02 16:06:28.268451	2013-08-02 16:06:28.268451
39918	4	2013-08-02 16:06:28.243641	2013-08-04 19:37:48.371106
39936	16	2013-08-02 16:06:28.272069	2013-08-02 16:06:28.272069
40032	4	2013-08-02 16:06:28.399737	2013-08-04 19:37:48.374918
39941	19	2013-08-02 16:06:28.281569	2013-08-04 00:20:44.779262
39939	19	2013-08-02 16:06:28.277855	2013-08-02 16:06:28.277855
39925	19	2013-08-02 16:06:28.253596	2013-08-03 22:29:27.794758
39915	4	2013-08-02 16:06:28.239455	2013-08-04 19:37:48.379275
39942	2	2013-08-02 16:06:28.283319	2013-08-02 16:06:28.283319
40028	4	2013-08-02 16:06:28.39532	2013-08-04 19:37:48.383439
39944	4	2013-08-02 16:06:28.28724	2013-08-02 16:06:28.28724
39947	7	2013-08-02 16:06:28.293343	2013-08-02 16:06:28.293343
39949	9	2013-08-02 16:06:28.29756	2013-08-02 16:06:28.29756
39973	21	2013-08-02 16:06:28.338503	2013-08-04 19:57:29.625662
39951	11	2013-08-02 16:06:28.301907	2013-08-02 16:06:28.301907
39890	9	2013-08-02 16:06:27.971091	2013-08-04 00:33:20.693081
39954	14	2013-08-02 16:06:28.307965	2013-08-02 16:06:28.307965
39956	16	2013-08-02 16:06:28.311998	2013-08-02 16:06:28.311998
39953	21	2013-08-02 16:06:28.305963	2013-08-04 19:57:29.62896
39959	19	2013-08-02 16:06:28.317985	2013-08-02 16:06:28.317985
39945	21	2013-08-02 16:06:28.289254	2013-08-03 22:31:49.193781
39921	21	2013-08-02 16:06:28.247729	2013-08-04 19:57:29.63246
39962	2	2013-08-02 16:06:28.324031	2013-08-02 16:06:28.324031
39981	7	2013-08-02 16:06:28.345951	2013-08-04 00:33:20.69512
39964	4	2013-08-02 16:06:28.328104	2013-08-02 16:06:28.328104
39967	7	2013-08-02 16:06:28.333283	2013-08-02 16:06:28.333283
39969	9	2013-08-02 16:06:28.334794	2013-08-02 16:06:28.334794
39933	21	2013-08-02 16:06:28.266652	2013-08-04 19:57:29.636033
39971	11	2013-08-02 16:06:28.337052	2013-08-02 16:06:28.337052
39974	14	2013-08-02 16:06:28.339239	2013-08-02 16:06:28.339239
39920	4	2013-08-02 16:06:28.246429	2013-08-03 21:17:19.437462
39976	16	2013-08-02 16:06:28.341441	2013-08-02 16:06:28.341441
39950	4	2013-08-02 16:06:28.29979	2013-08-04 00:33:20.697903
39979	19	2013-08-02 16:06:28.344397	2013-08-02 16:06:28.344397
39912	4	2013-08-02 16:06:28.235588	2013-08-03 22:45:30.018966
39982	2	2013-08-02 16:06:28.346682	2013-08-02 16:06:28.346682
39906	14	2013-08-02 16:06:28.229195	2013-08-04 19:59:46.044355
39984	4	2013-08-02 16:06:28.348097	2013-08-02 16:06:28.348097
39990	2	2013-08-02 16:06:28.353041	2013-08-04 00:33:20.699873
39987	7	2013-08-02 16:06:28.350602	2013-08-02 16:06:28.350602
39989	9	2013-08-02 16:06:28.352272	2013-08-02 16:06:28.352272
39991	11	2013-08-02 16:06:28.354277	2013-08-02 16:06:28.354277
39994	14	2013-08-02 16:06:28.358167	2013-08-02 16:06:28.358167
39960	2	2013-08-02 16:06:28.319985	2013-08-03 21:17:19.440656
39996	16	2013-08-02 16:06:28.359774	2013-08-02 16:06:28.359774
39880	11	2013-08-02 16:06:27.951272	2013-08-04 19:59:46.049807
39952	2	2013-08-02 16:06:28.303935	2013-08-03 22:45:30.026159
39999	19	2013-08-02 16:06:28.36242	2013-08-02 16:06:28.36242
39966	9	2013-08-02 16:06:28.332125	2013-08-04 19:59:46.051714
40002	2	2013-08-02 16:06:28.364868	2013-08-02 16:06:28.364868
40004	4	2013-08-02 16:06:28.367628	2013-08-02 16:06:28.367628
39970	21	2013-08-02 16:06:28.335533	2013-08-04 00:33:39.843598
40007	7	2013-08-02 16:06:28.371101	2013-08-02 16:06:28.371101
40009	9	2013-08-02 16:06:28.374124	2013-08-02 16:06:28.374124
39886	21	2013-08-02 16:06:27.963112	2013-08-04 19:59:58.644387
40011	11	2013-08-02 16:06:28.376035	2013-08-02 16:06:28.376035
39946	21	2013-08-02 16:06:28.291302	2013-08-04 19:59:58.669305
40014	14	2013-08-02 16:06:28.378877	2013-08-02 16:06:28.378877
40016	16	2013-08-02 16:06:28.381355	2013-08-02 16:06:28.381355
39930	21	2013-08-02 16:06:28.261237	2013-08-04 20:02:37.737091
40019	19	2013-08-02 16:06:28.383964	2013-08-02 16:06:28.383964
39992	11	2013-08-02 16:06:28.356164	2013-08-03 22:45:43.008315
39893	21	2013-08-02 16:06:27.977049	2013-08-04 20:02:37.738556
40022	2	2013-08-02 16:06:28.388645	2013-08-02 16:06:28.388645
39913	21	2013-08-02 16:06:28.236683	2013-08-04 20:02:37.739907
40024	4	2013-08-02 16:06:28.39124	2013-08-02 16:06:28.39124
40027	7	2013-08-02 16:06:28.394444	2013-08-02 16:06:28.394444
40029	9	2013-08-02 16:06:28.396845	2013-08-02 16:06:28.396845
40031	11	2013-08-02 16:06:28.398863	2013-08-02 16:06:28.398863
40034	14	2013-08-02 16:06:28.402304	2013-08-02 16:06:28.402304
39940	21	2013-08-02 16:06:28.279765	2013-08-03 21:17:30.665064
39963	14	2013-08-02 16:06:28.326112	2013-08-03 19:19:09.048203
39898	21	2013-08-02 16:06:27.987082	2013-08-04 00:33:40.159729
39895	9	2013-08-02 16:06:27.981053	2013-08-03 19:38:56.518018
39935	7	2013-08-02 16:06:28.27028	2013-08-03 19:38:56.525985
40020	9	2013-08-02 16:06:28.385347	2013-08-03 22:45:43.015448
40003	7	2013-08-02 16:06:28.366411	2013-08-03 22:45:43.023048
39932	2	2013-08-02 16:06:28.264859	2013-08-03 22:49:20.819481
40030	21	2013-08-02 16:06:28.397933	2013-08-04 00:33:40.162087
40012	14	2013-08-02 16:06:28.376946	2013-08-04 00:35:57.408947
39917	9	2013-08-02 16:06:28.242263	2013-08-04 02:59:49.394042
39937	7	2013-08-02 16:06:28.274055	2013-08-04 02:59:49.396109
39997	4	2013-08-02 16:06:28.360568	2013-08-04 02:59:49.399393
40010	2	2013-08-02 16:06:28.375142	2013-08-04 02:59:49.402335
39897	21	2013-08-02 16:06:27.985085	2013-08-04 03:00:23.09084
39977	21	2013-08-02 16:06:28.342169	2013-08-04 03:00:23.949583
40017	21	2013-08-02 16:06:28.382228	2013-08-04 03:00:24.250435
40036	16	2013-08-02 16:06:28.404324	2013-08-02 16:06:28.404324
3707	14	2013-08-02 16:05:11.019844	2013-08-04 17:36:51.412677
40039	19	2013-08-02 16:06:28.407651	2013-08-02 16:06:28.407651
40041	21	2013-08-02 16:06:28.409444	2013-08-04 00:20:44.677899
3687	14	2013-08-02 16:05:10.971841	2013-08-04 17:36:51.417784
40042	2	2013-08-02 16:06:28.410335	2013-08-02 16:06:28.410335
40118	21	2013-08-02 16:06:28.488035	2013-08-03 21:04:21.232206
40044	4	2013-08-02 16:06:28.412651	2013-08-02 16:06:28.412651
40047	7	2013-08-02 16:06:28.415628	2013-08-02 16:06:28.415628
40049	9	2013-08-02 16:06:28.417968	2013-08-02 16:06:28.417968
3761	14	2013-08-02 16:05:11.162487	2013-08-04 17:36:51.425037
40051	11	2013-08-02 16:06:28.419695	2013-08-02 16:06:28.419695
3741	14	2013-08-02 16:05:11.108	2013-08-04 17:36:51.436771
40054	14	2013-08-02 16:06:28.422387	2013-08-02 16:06:28.422387
40098	21	2013-08-02 16:06:28.466303	2013-08-03 21:04:21.233511
40056	16	2013-08-02 16:06:28.424191	2013-08-02 16:06:28.424191
3667	14	2013-08-02 16:05:10.923474	2013-08-04 17:36:51.4446
40085	11	2013-08-02 16:06:28.453368	2013-08-03 22:31:49.335812
40059	19	2013-08-02 16:06:28.427067	2013-08-02 16:06:28.427067
14300	14	2013-08-02 16:05:31.517269	2013-08-04 17:36:51.449434
14320	14	2013-08-02 16:05:31.549251	2013-08-04 17:36:51.453835
40062	2	2013-08-02 16:06:28.429737	2013-08-02 16:06:28.429737
40078	21	2013-08-02 16:06:28.446344	2013-08-03 21:04:21.234323
40064	4	2013-08-02 16:06:28.432529	2013-08-02 16:06:28.432529
40101	11	2013-08-02 16:06:28.469123	2013-08-04 00:22:50.753954
40067	7	2013-08-02 16:06:28.435514	2013-08-02 16:06:28.435514
40069	9	2013-08-02 16:06:28.437925	2013-08-02 16:06:28.437925
3725	14	2013-08-02 16:05:11.06429	2013-08-04 17:36:51.458951
40071	11	2013-08-02 16:06:28.439862	2013-08-02 16:06:28.439862
14340	14	2013-08-02 16:05:31.591252	2013-08-04 17:36:51.462984
40074	14	2013-08-02 16:06:28.442487	2013-08-02 16:06:28.442487
40058	21	2013-08-02 16:06:28.426181	2013-08-03 21:04:21.235112
40076	16	2013-08-02 16:06:28.44461	2013-08-02 16:06:28.44461
14360	14	2013-08-02 16:05:31.644816	2013-08-04 17:36:51.467032
40105	9	2013-08-02 16:06:28.473641	2013-08-03 22:31:49.339085
40079	19	2013-08-02 16:06:28.447258	2013-08-02 16:06:28.447258
14380	14	2013-08-02 16:05:31.695524	2013-08-04 17:36:51.471678
40082	2	2013-08-02 16:06:28.450728	2013-08-02 16:06:28.450728
40038	21	2013-08-02 16:06:28.406503	2013-08-03 21:04:21.235844
40084	4	2013-08-02 16:06:28.45249	2013-08-02 16:06:28.45249
40141	9	2013-08-02 16:06:28.508308	2013-08-04 00:22:50.755692
40087	7	2013-08-02 16:06:28.455393	2013-08-02 16:06:28.455393
40089	9	2013-08-02 16:06:28.457273	2013-08-02 16:06:28.457273
1477	14	2013-08-02 16:05:06.684415	2013-08-04 17:36:51.477132
40091	11	2013-08-02 16:06:28.459182	2013-08-02 16:06:28.459182
40094	14	2013-08-02 16:06:28.461824	2013-08-02 16:06:28.461824
40161	7	2013-08-02 16:06:28.531409	2013-08-04 00:22:50.75745
40096	16	2013-08-02 16:06:28.463613	2013-08-02 16:06:28.463613
40112	14	2013-08-02 16:06:28.482389	2013-08-04 19:40:12.125411
40145	7	2013-08-02 16:06:28.512383	2013-08-03 22:31:49.342555
40099	19	2013-08-02 16:06:28.467205	2013-08-02 16:06:28.467205
40102	2	2013-08-02 16:06:28.469983	2013-08-02 16:06:28.469983
40104	4	2013-08-02 16:06:28.47179	2013-08-02 16:06:28.47179
40107	7	2013-08-02 16:06:28.475662	2013-08-02 16:06:28.475662
40109	9	2013-08-02 16:06:28.479214	2013-08-02 16:06:28.479214
40128	11	2013-08-02 16:06:28.496249	2013-08-04 19:40:12.129017
40111	11	2013-08-02 16:06:28.481534	2013-08-02 16:06:28.481534
40114	14	2013-08-02 16:06:28.484041	2013-08-02 16:06:28.484041
40138	16	2013-08-02 16:06:28.505149	2013-08-03 21:09:22.119859
40116	16	2013-08-02 16:06:28.486362	2013-08-02 16:06:28.486362
40046	2	2013-08-02 16:06:28.414869	2013-08-04 19:59:46.060964
40119	19	2013-08-02 16:06:28.48893	2013-08-02 16:06:28.48893
40045	11	2013-08-02 16:06:28.414058	2013-08-04 19:59:46.121354
40122	2	2013-08-02 16:06:28.491191	2013-08-02 16:06:28.491191
40040	11	2013-08-02 16:06:28.408531	2013-08-03 21:17:30.580492
40124	4	2013-08-02 16:06:28.492715	2013-08-02 16:06:28.492715
40050	19	2013-08-02 16:06:28.418857	2013-08-04 00:33:40.051246
40127	7	2013-08-02 16:06:28.495515	2013-08-02 16:06:28.495515
40129	9	2013-08-02 16:06:28.496992	2013-08-02 16:06:28.496992
40131	11	2013-08-02 16:06:28.498402	2013-08-02 16:06:28.498402
40053	9	2013-08-02 16:06:28.421485	2013-08-04 19:59:46.128669
40134	14	2013-08-02 16:06:28.501439	2013-08-02 16:06:28.501439
40136	16	2013-08-02 16:06:28.503415	2013-08-02 16:06:28.503415
40093	7	2013-08-02 16:06:28.460913	2013-08-04 19:59:46.135471
40072	4	2013-08-02 16:06:28.440761	2013-08-03 22:45:43.033684
40139	19	2013-08-02 16:06:28.505953	2013-08-02 16:06:28.505953
40070	16	2013-08-02 16:06:28.438974	2013-08-04 00:33:40.053927
40142	2	2013-08-02 16:06:28.509288	2013-08-02 16:06:28.509288
40080	9	2013-08-02 16:06:28.448135	2013-08-03 21:17:30.587341
40144	4	2013-08-02 16:06:28.511456	2013-08-02 16:06:28.511456
40147	7	2013-08-02 16:06:28.515094	2013-08-02 16:06:28.515094
40149	9	2013-08-02 16:06:28.517323	2013-08-02 16:06:28.517323
40133	4	2013-08-02 16:06:28.500353	2013-08-04 19:59:46.14581
40151	11	2013-08-02 16:06:28.519109	2013-08-02 16:06:28.519109
40090	14	2013-08-02 16:06:28.458323	2013-08-04 00:33:40.056689
40154	14	2013-08-02 16:06:28.522327	2013-08-02 16:06:28.522327
40156	16	2013-08-02 16:06:28.525377	2013-08-02 16:06:28.525377
40178	2	2013-08-02 16:06:28.554582	2013-08-03 22:45:43.039888
40159	19	2013-08-02 16:06:28.528856	2013-08-02 16:06:28.528856
40110	2	2013-08-02 16:06:28.480315	2013-08-04 19:59:46.153346
40162	2	2013-08-02 16:06:28.532707	2013-08-02 16:06:28.532707
40120	7	2013-08-02 16:06:28.489732	2013-08-03 21:17:30.593805
40164	4	2013-08-02 16:06:28.535303	2013-08-02 16:06:28.535303
40167	7	2013-08-02 16:06:28.538999	2013-08-02 16:06:28.538999
40169	9	2013-08-02 16:06:28.542046	2013-08-02 16:06:28.542046
40153	2	2013-08-02 16:06:28.521363	2013-08-04 20:02:37.007736
40171	11	2013-08-02 16:06:28.545368	2013-08-02 16:06:28.545368
40117	2	2013-08-02 16:06:28.487202	2013-08-04 20:02:37.344695
40174	14	2013-08-02 16:06:28.549199	2013-08-02 16:06:28.549199
40176	16	2013-08-02 16:06:28.551767	2013-08-02 16:06:28.551767
40186	2	2013-08-02 16:06:28.56511	2013-08-04 20:02:37.353299
40092	2	2013-08-02 16:06:28.460027	2013-08-03 22:49:20.804913
40179	19	2013-08-02 16:06:28.555879	2013-08-02 16:06:28.555879
40052	16	2013-08-02 16:06:28.420609	2013-08-03 22:49:21.050454
40140	2	2013-08-02 16:06:28.506716	2013-08-04 20:02:37.359131
40182	2	2013-08-02 16:06:28.561007	2013-08-02 16:06:28.561007
40060	11	2013-08-02 16:06:28.427963	2013-08-04 00:33:40.061057
40184	4	2013-08-02 16:06:28.56341	2013-08-02 16:06:28.56341
40150	9	2013-08-02 16:06:28.51819	2013-08-04 00:33:40.062763
40187	7	2013-08-02 16:06:28.56672	2013-08-02 16:06:28.56672
40189	9	2013-08-02 16:06:28.568235	2013-08-02 16:06:28.568235
40166	2	2013-08-02 16:06:28.537928	2013-08-04 20:02:37.364483
40191	11	2013-08-02 16:06:28.56969	2013-08-02 16:06:28.56969
40146	2	2013-08-02 16:06:28.514131	2013-08-04 20:02:37.371443
40130	19	2013-08-02 16:06:28.497695	2013-08-04 00:37:09.930923
40095	11	2013-08-02 16:06:28.462729	2013-08-03 19:39:16.185225
40108	2	2013-08-02 16:06:28.476563	2013-08-04 20:02:37.384925
40135	9	2013-08-02 16:06:28.502512	2013-08-03 19:39:16.187291
40175	7	2013-08-02 16:06:28.55048	2013-08-03 19:39:16.191373
40132	14	2013-08-02 16:06:28.499167	2013-08-03 22:49:45.991735
40172	11	2013-08-02 16:06:28.546549	2013-08-03 22:49:45.997912
40126	2	2013-08-02 16:06:28.494184	2013-08-04 20:02:37.393084
40075	9	2013-08-02 16:06:28.4433	2013-08-03 22:49:46.004011
40065	2	2013-08-02 16:06:28.433651	2013-08-04 20:02:37.398334
40121	21	2013-08-02 16:06:28.490483	2013-08-04 01:10:50.591597
40106	2	2013-08-02 16:06:28.474763	2013-08-04 20:02:37.411669
40057	9	2013-08-02 16:06:28.425147	2013-08-04 03:00:24.14064
40097	7	2013-08-02 16:06:28.464531	2013-08-04 03:00:24.142767
40181	2	2013-08-02 16:06:28.559373	2013-08-04 20:02:37.418974
40158	4	2013-08-02 16:06:28.527223	2013-08-04 03:00:24.145566
40165	2	2013-08-02 16:06:28.536836	2013-08-04 20:02:37.4252
40157	2	2013-08-02 16:06:28.526202	2013-08-04 03:00:24.14714
40086	2	2013-08-02 16:06:28.454504	2013-08-04 20:02:37.430977
40137	21	2013-08-02 16:06:28.504301	2013-08-04 03:00:24.253015
40081	21	2013-08-02 16:06:28.449043	2013-08-04 03:00:36.883525
40061	21	2013-08-02 16:06:28.428859	2013-08-04 20:02:37.735747
40152	2	2013-08-02 16:06:28.520505	2013-08-04 20:07:35.635584
40173	14	2013-08-02 16:06:28.547738	2013-08-04 20:12:38.538624
40066	14	2013-08-02 16:06:28.434588	2013-08-04 20:12:38.542958
40194	14	2013-08-02 16:06:28.571875	2013-08-02 16:06:28.571875
40238	21	2013-08-02 16:06:28.606917	2013-08-03 21:09:21.992802
40196	16	2013-08-02 16:06:28.573293	2013-08-02 16:06:28.573293
707	14	2013-08-02 16:05:05.152135	2013-08-04 17:36:51.557772
40205	2	2013-08-02 16:06:28.5798	2013-08-03 22:31:49.351395
40199	19	2013-08-02 16:06:28.57532	2013-08-02 16:06:28.57532
3647	14	2013-08-02 16:05:10.870896	2013-08-04 17:36:51.563515
19046	2	2013-08-02 16:05:40.960167	2013-08-04 17:36:51.651258
40202	2	2013-08-02 16:06:28.577752	2013-08-02 16:06:28.577752
40218	21	2013-08-02 16:06:28.58933	2013-08-03 21:09:21.997263
40204	4	2013-08-02 16:06:28.57912	2013-08-02 16:06:28.57912
40225	4	2013-08-02 16:06:28.595201	2013-08-04 00:22:50.759997
40207	7	2013-08-02 16:06:28.58116	2013-08-02 16:06:28.58116
40209	9	2013-08-02 16:06:28.582546	2013-08-02 16:06:28.582546
29588	2	2013-08-02 16:06:04.284589	2013-08-04 17:36:51.661389
40211	11	2013-08-02 16:06:28.58397	2013-08-02 16:06:28.58397
29568	2	2013-08-02 16:06:04.235284	2013-08-04 17:36:51.672333
40214	14	2013-08-02 16:06:28.586393	2013-08-02 16:06:28.586393
40198	21	2013-08-02 16:06:28.574647	2013-08-03 21:09:22.000956
40216	16	2013-08-02 16:06:28.58781	2013-08-02 16:06:28.58781
29548	14	2013-08-02 16:06:04.182482	2013-08-04 17:36:51.694865
40215	16	2013-08-02 16:06:28.587104	2013-08-03 22:34:28.763139
40219	19	2013-08-02 16:06:28.590179	2013-08-02 16:06:28.590179
29632	14	2013-08-02 16:06:04.393333	2013-08-04 17:36:51.705747
29528	14	2013-08-02 16:06:04.130924	2013-08-04 17:36:51.716632
40222	2	2013-08-02 16:06:28.592601	2013-08-02 16:06:28.592601
40325	4	2013-08-02 16:06:28.685537	2013-08-03 22:34:28.780989
40224	4	2013-08-02 16:06:28.594338	2013-08-02 16:06:28.594338
40221	2	2013-08-02 16:06:28.59175	2013-08-04 00:22:50.766647
40227	7	2013-08-02 16:06:28.596942	2013-08-02 16:06:28.596942
40229	9	2013-08-02 16:06:28.59867	2013-08-02 16:06:28.59867
16436	14	2013-08-02 16:05:35.353554	2013-08-04 17:36:51.727535
40231	11	2013-08-02 16:06:28.601173	2013-08-02 16:06:28.601173
29508	14	2013-08-02 16:06:04.078013	2013-08-04 17:36:51.738453
40234	14	2013-08-02 16:06:28.603492	2013-08-02 16:06:28.603492
40236	16	2013-08-02 16:06:28.60518	2013-08-02 16:06:28.60518
29488	14	2013-08-02 16:06:04.024193	2013-08-04 17:36:51.74946
40239	19	2013-08-02 16:06:28.607771	2013-08-02 16:06:28.607771
40285	7	2013-08-02 16:06:28.651025	2013-08-03 22:34:28.803886
40228	16	2013-08-02 16:06:28.597814	2013-08-04 19:44:37.336324
40242	2	2013-08-02 16:06:28.610422	2013-08-02 16:06:28.610422
40266	2	2013-08-02 16:06:28.633163	2013-08-04 20:02:37.281826
40244	4	2013-08-02 16:06:28.612142	2013-08-02 16:06:28.612142
40301	2	2013-08-02 16:06:28.665978	2013-08-04 20:02:37.293958
40247	7	2013-08-02 16:06:28.614812	2013-08-02 16:06:28.614812
40249	9	2013-08-02 16:06:28.616502	2013-08-02 16:06:28.616502
40246	2	2013-08-02 16:06:28.613897	2013-08-04 20:02:37.305367
40251	11	2013-08-02 16:06:28.619192	2013-08-02 16:06:28.619192
40332	19	2013-08-02 16:06:28.69154	2013-08-04 00:25:49.497247
40254	14	2013-08-02 16:06:28.621945	2013-08-02 16:06:28.621945
40338	21	2013-08-02 16:06:28.697082	2013-08-03 21:11:12.259717
40256	16	2013-08-02 16:06:28.623728	2013-08-02 16:06:28.623728
40226	2	2013-08-02 16:06:28.596073	2013-08-04 20:02:37.316739
40265	11	2013-08-02 16:06:28.632212	2013-08-03 22:34:28.825192
40259	19	2013-08-02 16:06:28.627101	2013-08-02 16:06:28.627101
40206	2	2013-08-02 16:06:28.580479	2013-08-04 20:02:37.328335
40262	2	2013-08-02 16:06:28.629693	2013-08-02 16:06:28.629693
40264	4	2013-08-02 16:06:28.631401	2013-08-02 16:06:28.631401
40267	7	2013-08-02 16:06:28.634042	2013-08-02 16:06:28.634042
40269	9	2013-08-02 16:06:28.635794	2013-08-02 16:06:28.635794
40280	19	2013-08-02 16:06:28.646097	2013-08-04 20:02:40.514857
40271	11	2013-08-02 16:06:28.637964	2013-08-02 16:06:28.637964
40274	14	2013-08-02 16:06:28.640792	2013-08-02 16:06:28.640792
40220	2	2013-08-02 16:06:28.59092	2013-08-03 21:17:30.611064
40276	16	2013-08-02 16:06:28.642545	2013-08-02 16:06:28.642545
40232	7	2013-08-02 16:06:28.601958	2013-08-03 22:49:46.010659
40279	19	2013-08-02 16:06:28.645211	2013-08-02 16:06:28.645211
40282	2	2013-08-02 16:06:28.647892	2013-08-02 16:06:28.647892
40305	19	2013-08-02 16:06:28.669254	2013-08-04 20:05:05.101185
40284	4	2013-08-02 16:06:28.650225	2013-08-02 16:06:28.650225
40281	11	2013-08-02 16:06:28.646925	2013-08-04 00:25:49.531713
40287	7	2013-08-02 16:06:28.652595	2013-08-02 16:06:28.652595
40289	9	2013-08-02 16:06:28.654282	2013-08-02 16:06:28.654282
40291	11	2013-08-02 16:06:28.656083	2013-08-02 16:06:28.656083
40306	16	2013-08-02 16:06:28.670053	2013-08-04 20:05:05.107728
40294	14	2013-08-02 16:06:28.658645	2013-08-02 16:06:28.658645
40200	21	2013-08-02 16:06:28.576123	2013-08-03 21:17:30.666498
40296	16	2013-08-02 16:06:28.661154	2013-08-02 16:06:28.661154
40240	16	2013-08-02 16:06:28.608641	2013-08-04 00:26:31.842679
40299	19	2013-08-02 16:06:28.664174	2013-08-02 16:06:28.664174
40272	4	2013-08-02 16:06:28.638918	2013-08-03 22:49:46.020607
40346	14	2013-08-02 16:06:28.703023	2013-08-04 20:05:05.111697
40302	2	2013-08-02 16:06:28.666837	2013-08-02 16:06:28.666837
40340	2	2013-08-02 16:06:28.698689	2013-08-03 21:19:22.757723
40304	4	2013-08-02 16:06:28.668429	2013-08-02 16:06:28.668429
40201	21	2013-08-02 16:06:28.57706	2013-08-04 00:26:40.516624
40307	7	2013-08-02 16:06:28.670842	2013-08-02 16:06:28.670842
40309	9	2013-08-02 16:06:28.672553	2013-08-02 16:06:28.672553
40311	11	2013-08-02 16:06:28.674272	2013-08-02 16:06:28.674272
40210	4	2013-08-02 16:06:28.583259	2013-08-04 00:33:40.069857
40314	14	2013-08-02 16:06:28.676816	2013-08-02 16:06:28.676816
40195	19	2013-08-02 16:06:28.57261	2013-08-04 20:05:05.155861
40316	16	2013-08-02 16:06:28.678471	2013-08-02 16:06:28.678471
40326	21	2013-08-02 16:06:28.686307	2013-08-04 20:05:17.492352
40312	2	2013-08-02 16:06:28.675029	2013-08-03 22:49:46.026357
40319	19	2013-08-02 16:06:28.680744	2013-08-02 16:06:28.680744
40293	21	2013-08-02 16:06:28.657797	2013-08-04 20:07:35.673775
40313	21	2013-08-02 16:06:28.675754	2013-08-04 20:07:35.674704
40322	2	2013-08-02 16:06:28.683158	2013-08-02 16:06:28.683158
40300	11	2013-08-02 16:06:28.665172	2013-08-03 21:19:22.7958
40324	4	2013-08-02 16:06:28.684769	2013-08-02 16:06:28.684769
40230	2	2013-08-02 16:06:28.599487	2013-08-04 00:33:40.07215
40327	7	2013-08-02 16:06:28.68726	2013-08-02 16:06:28.68726
40329	9	2013-08-02 16:06:28.688743	2013-08-02 16:06:28.688743
40333	21	2013-08-02 16:06:28.692489	2013-08-04 20:07:35.675565
40331	11	2013-08-02 16:06:28.690598	2013-08-02 16:06:28.690598
40286	2	2013-08-02 16:06:28.6518	2013-08-04 20:07:37.972236
40334	14	2013-08-02 16:06:28.693447	2013-08-02 16:06:28.693447
40336	16	2013-08-02 16:06:28.69528	2013-08-02 16:06:28.69528
40292	21	2013-08-02 16:06:28.656976	2013-08-03 22:50:05.402384
40339	19	2013-08-02 16:06:28.697925	2013-08-02 16:06:28.697925
40252	11	2013-08-02 16:06:28.620204	2013-08-03 22:50:05.506583
40342	2	2013-08-02 16:06:28.700098	2013-08-02 16:06:28.700098
40344	4	2013-08-02 16:06:28.701582	2013-08-02 16:06:28.701582
40347	7	2013-08-02 16:06:28.703723	2013-08-02 16:06:28.703723
40349	9	2013-08-02 16:06:28.705343	2013-08-02 16:06:28.705343
40343	2	2013-08-02 16:06:28.70081	2013-08-03 19:22:36.704677
40270	19	2013-08-02 16:06:28.636757	2013-08-04 00:33:50.727991
40235	4	2013-08-02 16:06:28.60431	2013-08-03 19:39:16.195083
40320	21	2013-08-02 16:06:28.6815	2013-08-03 21:24:20.774252
40275	2	2013-08-02 16:06:28.641686	2013-08-03 19:39:16.197635
40315	14	2013-08-02 16:06:28.677688	2013-08-03 19:42:21.748626
40335	21	2013-08-02 16:06:28.694373	2013-08-03 19:42:23.384847
40255	19	2013-08-02 16:06:28.622822	2013-08-03 19:42:23.393352
40310	16	2013-08-02 16:06:28.673517	2013-08-04 00:33:50.735432
40250	14	2013-08-02 16:06:28.617767	2013-08-04 00:35:57.404063
40345	9	2013-08-02 16:06:28.702325	2013-08-04 00:40:47.37465
40261	4	2013-08-02 16:06:28.628823	2013-08-04 01:09:08.063187
40321	2	2013-08-02 16:06:28.682332	2013-08-04 01:09:08.070719
40330	21	2013-08-02 16:06:28.68949	2013-08-04 01:10:50.770543
40197	14	2013-08-02 16:06:28.573976	2013-08-04 03:00:37.406602
40290	4	2013-08-02 16:06:28.655186	2013-08-04 03:00:38.813518
40260	4	2013-08-02 16:06:28.627923	2013-08-04 03:00:38.817038
40337	4	2013-08-02 16:06:28.69622	2013-08-04 03:00:38.820424
40317	4	2013-08-02 16:06:28.679224	2013-08-04 03:00:38.823901
40297	4	2013-08-02 16:06:28.662092	2013-08-04 03:00:38.827419
40277	4	2013-08-02 16:06:28.643442	2013-08-04 03:00:38.830997
40257	4	2013-08-02 16:06:28.624622	2013-08-04 03:00:38.834603
40430	16	2013-08-02 16:06:28.791899	2013-08-04 19:50:25.657055
40351	11	2013-08-02 16:06:28.707382	2013-08-02 16:06:28.707382
40501	21	2013-08-02 16:06:28.865968	2013-08-04 00:25:49.38216
40354	14	2013-08-02 16:06:28.710211	2013-08-02 16:06:28.710211
40498	21	2013-08-02 16:06:28.863092	2013-08-03 21:09:22.353798
40356	16	2013-08-02 16:06:28.711895	2013-08-02 16:06:28.711895
40497	19	2013-08-02 16:06:28.862188	2013-08-04 17:02:00.951895
40445	21	2013-08-02 16:06:28.807861	2013-08-03 22:34:28.713542
40359	19	2013-08-02 16:06:28.71404	2013-08-02 16:06:28.71404
40480	21	2013-08-02 16:06:28.845548	2013-08-03 22:34:28.717512
40483	16	2013-08-02 16:06:28.84792	2013-08-04 17:02:01.011981
40362	2	2013-08-02 16:06:28.716051	2013-08-02 16:06:28.716051
40478	21	2013-08-02 16:06:28.843548	2013-08-03 21:09:22.356304
40364	4	2013-08-02 16:06:28.71743	2013-08-02 16:06:28.71743
40380	21	2013-08-02 16:06:28.728876	2013-08-04 00:25:49.383987
40367	7	2013-08-02 16:06:28.719456	2013-08-02 16:06:28.719456
40369	9	2013-08-02 16:06:28.720808	2013-08-02 16:06:28.720808
40371	11	2013-08-02 16:06:28.722148	2013-08-02 16:06:28.722148
40481	14	2013-08-02 16:06:28.846332	2013-08-04 00:25:49.393642
40374	14	2013-08-02 16:06:28.724171	2013-08-02 16:06:28.724171
40458	21	2013-08-02 16:06:28.822107	2013-08-03 21:09:22.357349
40376	16	2013-08-02 16:06:28.725657	2013-08-02 16:06:28.725657
40438	14	2013-08-02 16:06:28.800263	2013-08-04 17:02:01.018032
40425	21	2013-08-02 16:06:28.78614	2013-08-03 22:34:28.720945
40379	19	2013-08-02 16:06:28.727898	2013-08-02 16:06:28.727898
40405	19	2013-08-02 16:06:28.764362	2013-08-03 22:34:28.740186
40392	21	2013-08-02 16:06:28.749714	2013-08-04 17:02:01.153289
40382	2	2013-08-02 16:06:28.731766	2013-08-02 16:06:28.731766
40432	21	2013-08-02 16:06:28.794153	2013-08-04 17:02:13.524142
40384	4	2013-08-02 16:06:28.73504	2013-08-02 16:06:28.73504
29468	14	2013-08-02 16:06:03.97633	2013-08-04 17:36:51.760375
40387	7	2013-08-02 16:06:28.74024	2013-08-02 16:06:28.74024
40389	9	2013-08-02 16:06:28.74392	2013-08-02 16:06:28.74392
28953	14	2013-08-02 16:06:02.721301	2013-08-04 17:36:51.771387
40391	11	2013-08-02 16:06:28.747624	2013-08-02 16:06:28.747624
40441	2	2013-08-02 16:06:28.803443	2013-08-04 00:25:49.415311
40394	14	2013-08-02 16:06:28.753318	2013-08-02 16:06:28.753318
29417	14	2013-08-02 16:06:03.849427	2013-08-04 17:36:51.781425
40396	16	2013-08-02 16:06:28.755948	2013-08-02 16:06:28.755948
9463	2	2013-08-02 16:05:22.445681	2013-08-04 17:36:51.821911
40385	2	2013-08-02 16:06:28.736453	2013-08-03 22:34:28.747403
40399	19	2013-08-02 16:06:28.75841	2013-08-02 16:06:28.75841
40421	16	2013-08-02 16:06:28.780795	2013-08-04 00:25:49.423629
9552	2	2013-08-02 16:05:22.609774	2013-08-04 17:36:51.833039
40402	2	2013-08-02 16:06:28.761464	2013-08-02 16:06:28.761464
40398	4	2013-08-02 16:06:28.757588	2013-08-03 21:09:22.389807
40404	4	2013-08-02 16:06:28.763491	2013-08-02 16:06:28.763491
9492	2	2013-08-02 16:05:22.487486	2013-08-04 17:36:51.844086
40407	7	2013-08-02 16:06:28.766777	2013-08-02 16:06:28.766777
40409	9	2013-08-02 16:06:28.768464	2013-08-02 16:06:28.768464
9569	2	2013-08-02 16:05:22.657302	2013-08-04 17:36:51.855028
40411	11	2013-08-02 16:06:28.770248	2013-08-02 16:06:28.770248
40381	7	2013-08-02 16:06:28.73016	2013-08-04 00:25:49.441995
40414	14	2013-08-02 16:06:28.77349	2013-08-02 16:06:28.77349
40378	9	2013-08-02 16:06:28.727212	2013-08-03 21:09:22.401448
40416	16	2013-08-02 16:06:28.775349	2013-08-02 16:06:28.775349
9549	2	2013-08-02 16:05:22.600872	2013-08-04 17:36:51.865899
40465	14	2013-08-02 16:06:28.829594	2013-08-03 22:36:31.461427
40419	19	2013-08-02 16:06:28.778605	2013-08-02 16:06:28.778605
9529	2	2013-08-02 16:05:22.551106	2013-08-04 17:36:51.875919
40422	2	2013-08-02 16:06:28.782186	2013-08-02 16:06:28.782186
40500	14	2013-08-02 16:06:28.865011	2013-08-03 21:19:22.617721
40424	4	2013-08-02 16:06:28.78487	2013-08-02 16:06:28.78487
40361	9	2013-08-02 16:06:28.715385	2013-08-04 00:25:49.450916
40427	7	2013-08-02 16:06:28.788243	2013-08-02 16:06:28.788243
40429	9	2013-08-02 16:06:28.790552	2013-08-02 16:06:28.790552
9506	2	2013-08-02 16:05:22.518024	2013-08-04 17:36:51.882374
40431	11	2013-08-02 16:06:28.793198	2013-08-02 16:06:28.793198
40461	4	2013-08-02 16:06:28.825011	2013-08-04 00:25:49.864366
40434	14	2013-08-02 16:06:28.796179	2013-08-02 16:06:28.796179
40401	21	2013-08-02 16:06:28.760179	2013-08-04 00:26:40.517926
40436	16	2013-08-02 16:06:28.79811	2013-08-02 16:06:28.79811
40495	14	2013-08-02 16:06:28.860359	2013-08-04 19:50:25.660181
40350	14	2013-08-02 16:06:28.706333	2013-08-04 00:33:50.742903
40439	19	2013-08-02 16:06:28.801356	2013-08-02 16:06:28.801356
40365	21	2013-08-02 16:06:28.718111	2013-08-03 22:36:31.611669
40488	21	2013-08-02 16:06:28.853258	2013-08-04 19:50:38.723437
40442	2	2013-08-02 16:06:28.80471	2013-08-02 16:06:28.80471
40460	4	2013-08-02 16:06:28.823945	2013-08-03 21:19:22.645902
40444	4	2013-08-02 16:06:28.806968	2013-08-02 16:06:28.806968
40447	7	2013-08-02 16:06:28.809839	2013-08-02 16:06:28.809839
40449	9	2013-08-02 16:06:28.812564	2013-08-02 16:06:28.812564
40433	21	2013-08-02 16:06:28.795111	2013-08-04 20:02:40.479101
40451	11	2013-08-02 16:06:28.814856	2013-08-02 16:06:28.814856
40485	21	2013-08-02 16:06:28.850308	2013-08-04 20:02:40.482072
40454	14	2013-08-02 16:06:28.818032	2013-08-02 16:06:28.818032
40440	19	2013-08-02 16:06:28.802364	2013-08-03 21:19:22.654267
40456	16	2013-08-02 16:06:28.820034	2013-08-02 16:06:28.820034
40413	21	2013-08-02 16:06:28.772323	2013-08-04 20:02:40.484938
40390	11	2013-08-02 16:06:28.745773	2013-08-04 00:33:50.757996
40459	19	2013-08-02 16:06:28.823023	2013-08-02 16:06:28.823023
40372	19	2013-08-02 16:06:28.722833	2013-08-03 22:50:05.146688
40393	21	2013-08-02 16:06:28.751905	2013-08-04 20:02:40.487054
40462	2	2013-08-02 16:06:28.826352	2013-08-02 16:06:28.826352
40373	19	2013-08-02 16:06:28.723501	2013-08-04 20:02:40.499729
40464	4	2013-08-02 16:06:28.828448	2013-08-02 16:06:28.828448
40410	9	2013-08-02 16:06:28.769378	2013-08-04 00:33:50.761856
40467	7	2013-08-02 16:06:28.831663	2013-08-02 16:06:28.831663
40469	9	2013-08-02 16:06:28.834177	2013-08-02 16:06:28.834177
40353	19	2013-08-02 16:06:28.709348	2013-08-04 20:02:40.508103
40471	11	2013-08-02 16:06:28.836991	2013-08-02 16:06:28.836991
40474	14	2013-08-02 16:06:28.840634	2013-08-02 16:06:28.840634
40450	7	2013-08-02 16:06:28.813667	2013-08-04 00:33:50.769545
40476	16	2013-08-02 16:06:28.842104	2013-08-02 16:06:28.842104
40386	11	2013-08-02 16:06:28.738389	2013-08-04 20:05:05.116473
40479	19	2013-08-02 16:06:28.844263	2013-08-02 16:06:28.844263
40412	16	2013-08-02 16:06:28.771128	2013-08-03 22:50:05.15426
40482	2	2013-08-02 16:06:28.847126	2013-08-02 16:06:28.847126
40426	9	2013-08-02 16:06:28.787154	2013-08-04 20:05:05.118906
40484	4	2013-08-02 16:06:28.849425	2013-08-02 16:06:28.849425
40487	7	2013-08-02 16:06:28.85221	2013-08-02 16:06:28.85221
40489	9	2013-08-02 16:06:28.854184	2013-08-02 16:06:28.854184
40491	11	2013-08-02 16:06:28.856037	2013-08-02 16:06:28.856037
40466	7	2013-08-02 16:06:28.830642	2013-08-04 20:05:05.121997
40494	14	2013-08-02 16:06:28.859219	2013-08-02 16:06:28.859219
40360	16	2013-08-02 16:06:28.714715	2013-08-03 21:19:22.732935
40496	16	2013-08-02 16:06:28.861335	2013-08-02 16:06:28.861335
40446	2	2013-08-02 16:06:28.808724	2013-08-04 20:07:35.631753
40490	4	2013-08-02 16:06:28.855036	2013-08-04 00:33:50.780666
40499	19	2013-08-02 16:06:28.863978	2013-08-02 16:06:28.863978
40505	14	2013-08-02 16:06:28.869361	2013-08-03 22:50:05.161406
40406	21	2013-08-02 16:06:28.766017	2013-08-04 20:07:35.672897
40502	2	2013-08-02 16:06:28.866806	2013-08-02 16:06:28.866806
40504	4	2013-08-02 16:06:28.868418	2013-08-02 16:06:28.868418
40503	16	2013-08-02 16:06:28.867616	2013-08-03 19:24:59.786084
40475	21	2013-08-02 16:06:28.841377	2013-08-03 19:42:21.671441
40455	21	2013-08-02 16:06:28.818891	2013-08-03 19:42:21.675707
40435	21	2013-08-02 16:06:28.79712	2013-08-03 19:42:21.679356
40415	21	2013-08-02 16:06:28.774298	2013-08-03 19:42:21.682965
40395	21	2013-08-02 16:06:28.754195	2013-08-03 19:42:21.686596
40472	11	2013-08-02 16:06:28.837876	2013-08-03 22:50:05.168476
40477	4	2013-08-02 16:06:28.84282	2013-08-04 03:00:38.785812
40457	4	2013-08-02 16:06:28.82111	2013-08-04 03:00:38.789658
40437	4	2013-08-02 16:06:28.799178	2013-08-04 03:00:38.793311
40417	4	2013-08-02 16:06:28.776517	2013-08-04 03:00:38.796807
40397	4	2013-08-02 16:06:28.756803	2013-08-04 03:00:38.800038
40418	4	2013-08-02 16:06:28.777596	2013-08-04 03:00:38.803546
40377	4	2013-08-02 16:06:28.726397	2013-08-04 03:00:38.80692
40357	4	2013-08-02 16:06:28.712672	2013-08-04 03:00:38.809898
40507	7	2013-08-02 16:06:28.871647	2013-08-02 16:06:28.871647
40509	9	2013-08-02 16:06:28.873961	2013-08-02 16:06:28.873961
40511	11	2013-08-02 16:06:28.875481	2013-08-02 16:06:28.875481
40514	14	2013-08-02 16:06:28.877698	2013-08-02 16:06:28.877698
40618	21	2013-08-02 16:06:28.989279	2013-08-03 21:09:22.332323
40516	16	2013-08-02 16:06:28.879125	2013-08-02 16:06:28.879125
40521	21	2013-08-02 16:06:28.882662	2013-08-04 19:54:26.692186
40525	11	2013-08-02 16:06:28.885493	2013-08-03 22:36:31.471105
40519	19	2013-08-02 16:06:28.881227	2013-08-02 16:06:28.881227
40557	11	2013-08-02 16:06:28.921164	2013-08-04 17:02:01.021543
40522	2	2013-08-02 16:06:28.883375	2013-08-02 16:06:28.883375
40598	21	2013-08-02 16:06:28.96719	2013-08-03 21:09:22.336609
40524	4	2013-08-02 16:06:28.884812	2013-08-02 16:06:28.884812
40541	14	2013-08-02 16:06:28.896982	2013-08-04 00:27:03.685495
40527	7	2013-08-02 16:06:28.88685	2013-08-02 16:06:28.88685
40529	9	2013-08-02 16:06:28.888172	2013-08-02 16:06:28.888172
40638	9	2013-08-02 16:06:29.252741	2013-08-04 17:02:01.024771
40531	11	2013-08-02 16:06:28.889526	2013-08-02 16:06:28.889526
40534	14	2013-08-02 16:06:28.891528	2013-08-02 16:06:28.891528
40578	21	2013-08-02 16:06:28.945382	2013-08-03 21:09:22.340257
40536	16	2013-08-02 16:06:28.892934	2013-08-02 16:06:28.892934
40517	11	2013-08-02 16:06:28.879803	2013-08-04 20:05:05.16461
40565	9	2013-08-02 16:06:28.928408	2013-08-03 22:36:31.476703
40539	19	2013-08-02 16:06:28.895445	2013-08-02 16:06:28.895445
40542	2	2013-08-02 16:06:28.897873	2013-08-02 16:06:28.897873
40558	21	2013-08-02 16:06:28.922049	2013-08-03 21:09:22.343731
40544	4	2013-08-02 16:06:28.900676	2013-08-02 16:06:28.900676
40617	7	2013-08-02 16:06:28.988404	2013-08-04 17:02:01.043396
40547	7	2013-08-02 16:06:28.903816	2013-08-02 16:06:28.903816
40549	9	2013-08-02 16:06:28.90558	2013-08-02 16:06:28.90558
40551	11	2013-08-02 16:06:28.908873	2013-08-02 16:06:28.908873
40601	11	2013-08-02 16:06:28.971016	2013-08-04 00:27:03.68872
40554	14	2013-08-02 16:06:28.914724	2013-08-02 16:06:28.914724
40538	21	2013-08-02 16:06:28.894636	2013-08-03 21:09:22.347138
40556	16	2013-08-02 16:06:28.919219	2013-08-02 16:06:28.919219
40605	7	2013-08-02 16:06:28.975828	2013-08-03 22:36:31.480165
40559	19	2013-08-02 16:06:28.922923	2013-08-02 16:06:28.922923
40561	9	2013-08-02 16:06:28.924755	2013-08-04 20:05:05.167502
40562	2	2013-08-02 16:06:28.925635	2013-08-02 16:06:28.925635
40518	21	2013-08-02 16:06:28.880483	2013-08-03 21:09:22.350558
40564	4	2013-08-02 16:06:28.927396	2013-08-02 16:06:28.927396
40657	4	2013-08-02 16:06:29.269132	2013-08-04 17:02:01.046505
40567	7	2013-08-02 16:06:28.931698	2013-08-02 16:06:28.931698
40569	9	2013-08-02 16:06:28.933425	2013-08-02 16:06:28.933425
40577	21	2013-08-02 16:06:28.944005	2013-08-04 17:02:14.263759
40571	11	2013-08-02 16:06:28.935162	2013-08-02 16:06:28.935162
40641	9	2013-08-02 16:06:29.256177	2013-08-04 00:27:03.690608
40574	14	2013-08-02 16:06:28.938201	2013-08-02 16:06:28.938201
40658	4	2013-08-02 16:06:29.270122	2013-08-03 21:14:23.136227
40576	16	2013-08-02 16:06:28.941523	2013-08-02 16:06:28.941523
40620	4	2013-08-02 16:06:28.991008	2013-08-03 22:36:31.483114
40579	19	2013-08-02 16:06:28.946206	2013-08-02 16:06:28.946206
40570	21	2013-08-02 16:06:28.934293	2013-08-04 17:02:14.550838
40582	2	2013-08-02 16:06:28.948787	2013-08-02 16:06:28.948787
40553	7	2013-08-02 16:06:28.912806	2013-08-04 20:05:05.17048
40584	4	2013-08-02 16:06:28.950354	2013-08-02 16:06:28.950354
40587	7	2013-08-02 16:06:28.953458	2013-08-02 16:06:28.953458
40589	9	2013-08-02 16:06:28.954897	2013-08-02 16:06:28.954897
40537	2	2013-08-02 16:06:28.893789	2013-08-04 17:07:42.473639
40591	11	2013-08-02 16:06:28.956391	2013-08-02 16:06:28.956391
40661	7	2013-08-02 16:06:29.273205	2013-08-04 00:27:03.692534
40594	14	2013-08-02 16:06:28.961342	2013-08-02 16:06:28.961342
40540	21	2013-08-02 16:06:28.896218	2013-08-03 21:19:22.607124
40596	16	2013-08-02 16:06:28.964244	2013-08-02 16:06:28.964244
40532	7	2013-08-02 16:06:28.890191	2013-08-03 22:50:05.183647
40599	19	2013-08-02 16:06:28.968831	2013-08-02 16:06:28.968831
9509	2	2013-08-02 16:05:22.524626	2013-08-04 17:36:51.892804
40602	2	2013-08-02 16:06:28.972599	2013-08-02 16:06:28.972599
40520	21	2013-08-02 16:06:28.881946	2013-08-03 21:19:22.609217
40604	4	2013-08-02 16:06:28.974918	2013-08-02 16:06:28.974918
40607	7	2013-08-02 16:06:28.977571	2013-08-02 16:06:28.977571
40609	9	2013-08-02 16:06:28.979752	2013-08-02 16:06:28.979752
42283	2	2013-08-02 16:06:33.45422	2013-08-04 17:36:51.904558
40611	11	2013-08-02 16:06:28.981664	2013-08-02 16:06:28.981664
40581	16	2013-08-02 16:06:28.947872	2013-08-04 00:33:20.739902
40614	14	2013-08-02 16:06:28.985052	2013-08-02 16:06:28.985052
9489	14	2013-08-02 16:05:22.482835	2013-08-04 17:36:51.928893
40616	16	2013-08-02 16:06:28.987577	2013-08-02 16:06:28.987577
9469	14	2013-08-02 16:05:22.456669	2013-08-04 17:36:51.941366
40619	19	2013-08-02 16:06:28.990149	2013-08-02 16:06:28.990149
40592	4	2013-08-02 16:06:28.957808	2013-08-03 22:50:05.195089
9449	14	2013-08-02 16:05:22.404412	2013-08-04 17:36:51.95296
40622	2	2013-08-02 16:06:28.992805	2013-08-02 16:06:28.992805
40545	2	2013-08-02 16:06:28.902102	2013-08-04 00:33:50.785255
40624	4	2013-08-02 16:06:28.99459	2013-08-02 16:06:28.99459
9429	14	2013-08-02 16:05:22.349708	2013-08-04 17:36:51.964326
40627	7	2013-08-02 16:06:29.000307	2013-08-02 16:06:29.000307
40629	9	2013-08-02 16:06:29.00383	2013-08-02 16:06:29.00383
29753	2	2013-08-02 16:06:04.800638	2013-08-04 17:36:52.245109
40631	11	2013-08-02 16:06:29.006187	2013-08-02 16:06:29.006187
40530	4	2013-08-02 16:06:28.888857	2013-08-04 00:35:56.44501
40634	14	2013-08-02 16:06:29.008425	2013-08-02 16:06:29.008425
29733	2	2013-08-02 16:06:04.760996	2013-08-04 17:36:52.255998
40636	16	2013-08-02 16:06:29.009954	2013-08-02 16:06:29.009954
40613	4	2013-08-02 16:06:28.984179	2013-08-04 20:05:05.175786
29713	2	2013-08-02 16:06:04.721917	2013-08-04 17:36:52.266992
40639	19	2013-08-02 16:06:29.254008	2013-08-02 16:06:29.254008
40640	2	2013-08-02 16:06:29.255097	2013-08-03 22:50:05.201857
29693	2	2013-08-02 16:06:04.686168	2013-08-04 17:36:52.27808
40642	2	2013-08-02 16:06:29.257082	2013-08-02 16:06:29.257082
40644	4	2013-08-02 16:06:29.258848	2013-08-02 16:06:29.258848
40621	19	2013-08-02 16:06:28.991913	2013-08-04 00:37:09.868337
40647	7	2013-08-02 16:06:29.261324	2013-08-02 16:06:29.261324
40649	9	2013-08-02 16:06:29.262862	2013-08-02 16:06:29.262862
19850	21	2013-08-02 16:05:43.036991	2013-08-04 17:36:52.438911
40651	11	2013-08-02 16:06:29.264365	2013-08-02 16:06:29.264365
40654	14	2013-08-02 16:06:29.266535	2013-08-02 16:06:29.266535
40580	11	2013-08-02 16:06:28.947025	2013-08-03 21:24:22.30365
40656	16	2013-08-02 16:06:29.268111	2013-08-02 16:06:29.268111
40653	2	2013-08-02 16:06:29.26582	2013-08-04 20:05:05.177927
19856	2	2013-08-02 16:05:43.053006	2013-08-04 17:36:52.447055
40659	19	2013-08-02 16:06:29.271216	2013-08-02 16:06:29.271216
40612	21	2013-08-02 16:06:28.983227	2013-08-03 22:50:05.405311
40662	2	2013-08-02 16:06:29.274063	2013-08-02 16:06:29.274063
40560	4	2013-08-02 16:06:28.923833	2013-08-03 21:24:22.311074
40515	7	2013-08-02 16:06:28.878427	2013-08-03 19:42:38.210823
40590	16	2013-08-02 16:06:28.955579	2013-08-04 00:37:09.874913
40575	4	2013-08-02 16:06:28.939439	2013-08-03 19:42:38.221349
40615	2	2013-08-02 16:06:28.985918	2013-08-03 19:42:38.228443
40637	19	2013-08-02 16:06:29.251144	2013-08-04 20:05:17.534963
40566	16	2013-08-02 16:06:28.930147	2013-08-04 20:05:17.538858
40660	14	2013-08-02 16:06:29.272312	2013-08-04 00:37:09.882639
40595	11	2013-08-02 16:06:28.962522	2013-08-04 00:37:09.89493
40550	21	2013-08-02 16:06:28.906893	2013-08-04 00:37:45.274692
40510	4	2013-08-02 16:06:28.874731	2013-08-04 00:40:47.352449
40573	14	2013-08-02 16:06:28.93733	2013-08-04 20:05:17.543333
40606	11	2013-08-02 16:06:28.976703	2013-08-04 20:05:17.548175
40600	9	2013-08-02 16:06:28.969909	2013-08-04 20:05:17.551411
40635	21	2013-08-02 16:06:29.009213	2013-08-04 20:05:28.994414
40552	19	2013-08-02 16:06:28.910626	2013-08-04 20:05:29.018973
40546	21	2013-08-02 16:06:28.902955	2013-08-04 20:05:29.098951
40630	21	2013-08-02 16:06:29.005326	2013-08-04 20:05:29.099838
40593	21	2013-08-02 16:06:28.959642	2013-08-04 20:05:29.12903
40586	21	2013-08-02 16:06:28.952715	2013-08-04 20:05:29.172884
40633	2	2013-08-02 16:06:29.007703	2013-08-04 20:07:35.045556
40646	2	2013-08-02 16:06:29.260505	2013-08-04 20:07:35.622423
40533	2	2013-08-02 16:06:28.890871	2013-08-04 20:07:35.627039
40626	21	2013-08-02 16:06:28.997691	2013-08-04 20:07:35.669336
40513	21	2013-08-02 16:06:28.87696	2013-08-04 20:07:35.671547
40625	2	2013-08-02 16:06:28.995791	2013-08-04 20:07:37.965425
40652	14	2013-08-02 16:06:29.265122	2013-08-04 20:12:38.527181
40526	14	2013-08-02 16:06:28.886166	2013-08-04 20:12:38.533938
40664	4	2013-08-02 16:06:29.276053	2013-08-02 16:06:29.276053
40667	7	2013-08-02 16:06:29.279535	2013-08-02 16:06:29.279535
40669	9	2013-08-02 16:06:29.28237	2013-08-02 16:06:29.28237
40677	11	2013-08-02 16:06:29.291553	2013-08-04 17:02:14.064173
40671	11	2013-08-02 16:06:29.285818	2013-08-02 16:06:29.285818
40681	4	2013-08-02 16:06:29.295065	2013-08-04 00:27:03.696788
40674	14	2013-08-02 16:06:29.288734	2013-08-02 16:06:29.288734
40818	21	2013-08-02 16:06:29.555915	2013-08-03 21:14:22.976212
40676	16	2013-08-02 16:06:29.290623	2013-08-02 16:06:29.290623
40817	2	2013-08-02 16:06:29.553241	2013-08-04 17:07:42.807038
40679	19	2013-08-02 16:06:29.29331	2013-08-02 16:06:29.29331
40748	11	2013-08-02 16:06:29.377847	2013-08-04 19:59:46.319385
40797	2	2013-08-02 16:06:29.501533	2013-08-04 17:07:42.810728
40682	2	2013-08-02 16:06:29.296126	2013-08-02 16:06:29.296126
40798	21	2013-08-02 16:06:29.503963	2013-08-03 21:14:22.980473
40684	4	2013-08-02 16:06:29.297928	2013-08-02 16:06:29.297928
40777	2	2013-08-02 16:06:29.448708	2013-08-04 17:07:42.814422
40687	7	2013-08-02 16:06:29.300724	2013-08-02 16:06:29.300724
40689	9	2013-08-02 16:06:29.303317	2013-08-02 16:06:29.303317
40757	2	2013-08-02 16:06:29.396369	2013-08-04 17:07:42.8182
40691	11	2013-08-02 16:06:29.305541	2013-08-02 16:06:29.305541
40721	2	2013-08-02 16:06:29.340288	2013-08-04 00:27:03.698989
40694	14	2013-08-02 16:06:29.309669	2013-08-02 16:06:29.309669
40778	19	2013-08-02 16:06:29.451361	2013-08-03 21:14:22.999139
40696	16	2013-08-02 16:06:29.312508	2013-08-02 16:06:29.312508
40801	9	2013-08-02 16:06:29.511594	2013-08-04 00:30:54.145147
40699	19	2013-08-02 16:06:29.3156	2013-08-02 16:06:29.3156
40737	2	2013-08-02 16:06:29.362042	2013-08-04 17:07:42.821852
40702	2	2013-08-02 16:06:29.318641	2013-08-02 16:06:29.318641
40781	11	2013-08-02 16:06:29.459301	2013-08-04 00:30:54.15339
40704	4	2013-08-02 16:06:29.320621	2013-08-02 16:06:29.320621
40761	19	2013-08-02 16:06:29.407023	2013-08-04 00:30:54.160229
40707	7	2013-08-02 16:06:29.323917	2013-08-02 16:06:29.323917
40709	9	2013-08-02 16:06:29.326077	2013-08-02 16:06:29.326077
40717	2	2013-08-02 16:06:29.335683	2013-08-04 17:07:42.82553
40711	11	2013-08-02 16:06:29.329109	2013-08-02 16:06:29.329109
40714	14	2013-08-02 16:06:29.331682	2013-08-02 16:06:29.331682
40716	16	2013-08-02 16:06:29.334888	2013-08-02 16:06:29.334888
40690	21	2013-08-02 16:06:29.304399	2013-08-04 19:59:58.672145
40745	14	2013-08-02 16:06:29.373408	2013-08-03 22:39:21.966935
40719	19	2013-08-02 16:06:29.337288	2013-08-02 16:06:29.337288
40725	9	2013-08-02 16:06:29.34471	2013-08-03 22:39:21.977826
40697	2	2013-08-02 16:06:29.313463	2013-08-04 17:07:42.829189
40722	2	2013-08-02 16:06:29.341425	2013-08-02 16:06:29.341425
40701	14	2013-08-02 16:06:29.317615	2013-08-04 00:30:54.224516
40724	4	2013-08-02 16:06:29.343602	2013-08-02 16:06:29.343602
40665	19	2013-08-02 16:06:29.277415	2013-08-04 00:30:54.426798
40727	7	2013-08-02 16:06:29.347834	2013-08-02 16:06:29.347834
40729	9	2013-08-02 16:06:29.351267	2013-08-02 16:06:29.351267
40805	2	2013-08-02 16:06:29.522173	2013-08-04 17:07:42.832809
40731	11	2013-08-02 16:06:29.353506	2013-08-02 16:06:29.353506
40670	9	2013-08-02 16:06:29.284846	2013-08-04 00:37:09.8985
40734	14	2013-08-02 16:06:29.358653	2013-08-02 16:06:29.358653
40698	9	2013-08-02 16:06:29.314537	2013-08-03 21:14:23.089849
40736	16	2013-08-02 16:06:29.360419	2013-08-02 16:06:29.360419
40768	21	2013-08-02 16:06:29.425524	2013-08-04 20:02:37.734229
40705	11	2013-08-02 16:06:29.321795	2013-08-03 22:39:21.98676
40739	19	2013-08-02 16:06:29.365476	2013-08-02 16:06:29.365476
19903	2	2013-08-02 16:05:43.1777	2013-08-04 17:36:52.451467
40742	2	2013-08-02 16:06:29.368109	2013-08-02 16:06:29.368109
40685	7	2013-08-02 16:06:29.298765	2013-08-03 22:39:22.008269
40744	4	2013-08-02 16:06:29.370556	2013-08-02 16:06:29.370556
40747	7	2013-08-02 16:06:29.376988	2013-08-02 16:06:29.376988
40749	9	2013-08-02 16:06:29.378735	2013-08-02 16:06:29.378735
18859	2	2013-08-02 16:05:40.512457	2013-08-04 17:36:52.45708
40751	11	2013-08-02 16:06:29.380615	2013-08-02 16:06:29.380615
40710	7	2013-08-02 16:06:29.327521	2013-08-04 00:37:09.901918
40754	14	2013-08-02 16:06:29.388479	2013-08-02 16:06:29.388479
40678	21	2013-08-02 16:06:29.292499	2013-08-03 21:17:30.667462
40756	16	2013-08-02 16:06:29.393791	2013-08-02 16:06:29.393791
40672	11	2013-08-02 16:06:29.286777	2013-08-03 22:54:50.014454
40759	19	2013-08-02 16:06:29.4018	2013-08-02 16:06:29.4018
19836	2	2013-08-02 16:05:43.000691	2013-08-04 17:36:52.464712
19816	2	2013-08-02 16:05:42.94837	2013-08-04 17:36:52.475439
40762	2	2013-08-02 16:06:29.409615	2013-08-02 16:06:29.409615
40800	21	2013-08-02 16:06:29.509206	2013-08-03 21:24:22.146675
40764	4	2013-08-02 16:06:29.414872	2013-08-02 16:06:29.414872
40767	7	2013-08-02 16:06:29.422822	2013-08-02 16:06:29.422822
40769	9	2013-08-02 16:06:29.428037	2013-08-02 16:06:29.428037
19832	2	2013-08-02 16:05:42.990068	2013-08-04 17:36:52.485919
40771	11	2013-08-02 16:06:29.432903	2013-08-02 16:06:29.432903
19796	2	2013-08-02 16:05:42.896224	2013-08-04 17:36:52.496561
40774	14	2013-08-02 16:06:29.4406	2013-08-02 16:06:29.4406
40780	21	2013-08-02 16:06:29.456674	2013-08-03 21:24:22.14831
40776	16	2013-08-02 16:06:29.445982	2013-08-02 16:06:29.445982
40686	4	2013-08-02 16:06:29.299828	2013-08-04 20:05:17.559708
40785	9	2013-08-02 16:06:29.469956	2013-08-03 22:54:50.01919
40779	19	2013-08-02 16:06:29.454026	2013-08-02 16:06:29.454026
19777	2	2013-08-02 16:05:42.850835	2013-08-04 17:36:52.505211
40782	2	2013-08-02 16:06:29.461983	2013-08-02 16:06:29.461983
40760	21	2013-08-02 16:06:29.404389	2013-08-03 21:24:22.149471
40784	4	2013-08-02 16:06:29.467336	2013-08-02 16:06:29.467336
40692	4	2013-08-02 16:06:29.306699	2013-08-04 00:37:09.90479
40787	7	2013-08-02 16:06:29.475266	2013-08-02 16:06:29.475266
40789	9	2013-08-02 16:06:29.480377	2013-08-02 16:06:29.480377
19776	2	2013-08-02 16:05:42.848486	2013-08-04 17:36:52.514546
40791	11	2013-08-02 16:06:29.48569	2013-08-02 16:06:29.48569
19756	14	2013-08-02 16:05:42.800003	2013-08-04 17:36:52.532624
40794	14	2013-08-02 16:06:29.493672	2013-08-02 16:06:29.493672
40740	14	2013-08-02 16:06:29.366335	2013-08-03 21:24:22.155218
40796	16	2013-08-02 16:06:29.499035	2013-08-02 16:06:29.499035
40718	7	2013-08-02 16:06:29.33646	2013-08-03 22:54:50.025398
40799	19	2013-08-02 16:06:29.506412	2013-08-02 16:06:29.506412
35561	14	2013-08-02 16:06:18.787771	2013-08-04 17:36:52.544128
40802	2	2013-08-02 16:06:29.514149	2013-08-02 16:06:29.514149
40720	16	2013-08-02 16:06:29.338581	2013-08-03 21:24:22.162253
40804	4	2013-08-02 16:06:29.519514	2013-08-02 16:06:29.519514
40790	2	2013-08-02 16:06:29.483148	2013-08-04 00:37:09.906612
40807	7	2013-08-02 16:06:29.527499	2013-08-02 16:06:29.527499
40809	9	2013-08-02 16:06:29.532817	2013-08-02 16:06:29.532817
19736	14	2013-08-02 16:05:42.748869	2013-08-04 17:36:52.555755
40811	11	2013-08-02 16:06:29.537946	2013-08-02 16:06:29.537946
40726	2	2013-08-02 16:06:29.346519	2013-08-04 20:05:17.564712
40814	14	2013-08-02 16:06:29.545318	2013-08-02 16:06:29.545318
40816	16	2013-08-02 16:06:29.550633	2013-08-02 16:06:29.550633
40770	21	2013-08-02 16:06:29.430498	2013-08-04 00:37:45.004794
40819	19	2013-08-02 16:06:29.558618	2013-08-02 16:06:29.558618
40772	4	2013-08-02 16:06:29.435281	2013-08-03 22:54:50.035733
40803	9	2013-08-02 16:06:29.516869	2013-08-03 19:25:19.377948
40675	16	2013-08-02 16:06:29.289701	2013-08-03 19:42:57.390995
40695	14	2013-08-02 16:06:29.311413	2013-08-03 19:42:57.392207
40750	19	2013-08-02 16:06:29.379634	2013-08-04 00:37:45.138811
40755	11	2013-08-02 16:06:29.391143	2013-08-03 19:42:57.396491
40680	19	2013-08-02 16:06:29.294175	2013-08-03 21:24:22.175849
40810	11	2013-08-02 16:06:29.535454	2013-08-04 00:40:47.335188
40820	21	2013-08-02 16:06:29.561292	2013-08-03 21:29:20.875457
40752	11	2013-08-02 16:06:29.383251	2013-08-03 23:00:48.764255
40673	16	2013-08-02 16:06:29.287753	2013-08-04 20:05:29.02077
40765	14	2013-08-02 16:06:29.417472	2013-08-04 20:05:29.023269
40738	11	2013-08-02 16:06:29.363723	2013-08-04 20:05:29.026281
40706	2	2013-08-02 16:06:29.323007	2013-08-04 20:07:35.039413
40806	2	2013-08-02 16:06:29.524855	2013-08-04 20:07:35.381439
40732	2	2013-08-02 16:06:29.355129	2013-08-04 20:07:35.390055
40786	2	2013-08-02 16:06:29.472608	2013-08-04 20:07:35.404056
40766	2	2013-08-02 16:06:29.420141	2013-08-04 20:07:35.415612
40730	2	2013-08-02 16:06:29.352621	2013-08-04 20:07:35.425979
40746	2	2013-08-02 16:06:29.375405	2013-08-04 20:07:35.434716
40713	2	2013-08-02 16:06:29.330844	2013-08-04 20:07:35.780665
40728	2	2013-08-02 16:06:29.349472	2013-08-04 20:07:37.954057
40758	21	2013-08-02 16:06:29.399083	2013-08-04 20:12:38.504481
40852	2	2013-08-02 16:06:29.641308	2013-08-04 17:07:42.76764
40822	2	2013-08-02 16:06:29.566718	2013-08-02 16:06:29.566718
40958	7	2013-08-02 16:06:29.893842	2013-08-03 21:14:23.370481
40824	4	2013-08-02 16:06:29.571932	2013-08-02 16:06:29.571932
40961	2	2013-08-02 16:06:29.896861	2013-08-04 00:30:54.016093
40827	7	2013-08-02 16:06:29.579707	2013-08-02 16:06:29.579707
40829	9	2013-08-02 16:06:29.585094	2013-08-02 16:06:29.585094
40937	2	2013-08-02 16:06:29.848208	2013-08-04 17:07:42.776891
40831	11	2013-08-02 16:06:29.590221	2013-08-02 16:06:29.590221
40834	14	2013-08-02 16:06:29.59746	2013-08-02 16:06:29.59746
40938	4	2013-08-02 16:06:29.850617	2013-08-03 21:14:23.393011
40836	16	2013-08-02 16:06:29.602673	2013-08-02 16:06:29.602673
40853	2	2013-08-02 16:06:29.643677	2013-08-04 20:05:29.046956
40965	21	2013-08-02 16:06:29.900872	2013-08-03 22:39:21.834236
40839	19	2013-08-02 16:06:29.610097	2013-08-02 16:06:29.610097
40945	21	2013-08-02 16:06:29.867209	2013-08-03 22:39:21.8358
40917	2	2013-08-02 16:06:29.800527	2013-08-04 17:07:42.78075
40842	2	2013-08-02 16:06:29.617368	2013-08-02 16:06:29.617368
40925	21	2013-08-02 16:06:29.819625	2013-08-03 22:39:21.836921
40844	4	2013-08-02 16:06:29.622191	2013-08-02 16:06:29.622191
40847	7	2013-08-02 16:06:29.629383	2013-08-02 16:06:29.629383
40849	9	2013-08-02 16:06:29.634144	2013-08-02 16:06:29.634144
40850	2	2013-08-02 16:06:29.636512	2013-08-04 17:07:42.784478
40851	11	2013-08-02 16:06:29.638906	2013-08-02 16:06:29.638906
40901	4	2013-08-02 16:06:29.762086	2013-08-04 00:30:54.069068
40854	14	2013-08-02 16:06:29.64606	2013-08-02 16:06:29.64606
40898	9	2013-08-02 16:06:29.75465	2013-08-03 21:14:23.437027
40856	16	2013-08-02 16:06:29.650838	2013-08-02 16:06:29.650838
40881	16	2013-08-02 16:06:29.714126	2013-08-04 00:30:54.08911
40859	19	2013-08-02 16:06:29.658359	2013-08-02 16:06:29.658359
40885	19	2013-08-02 16:06:29.723582	2013-08-03 22:39:21.855112
40897	2	2013-08-02 16:06:29.752257	2013-08-04 17:07:42.788244
40862	2	2013-08-02 16:06:29.66663	2013-08-02 16:06:29.66663
40878	11	2013-08-02 16:06:29.707001	2013-08-03 21:14:23.451396
40864	4	2013-08-02 16:06:29.671964	2013-08-02 16:06:29.671964
40861	7	2013-08-02 16:06:29.663823	2013-08-04 00:30:54.097769
40867	7	2013-08-02 16:06:29.679923	2013-08-02 16:06:29.679923
40869	9	2013-08-02 16:06:29.685205	2013-08-02 16:06:29.685205
40877	2	2013-08-02 16:06:29.704632	2013-08-04 17:07:42.791947
40871	11	2013-08-02 16:06:29.690174	2013-08-02 16:06:29.690174
40874	14	2013-08-02 16:06:29.697376	2013-08-02 16:06:29.697376
40857	2	2013-08-02 16:06:29.65324	2013-08-04 17:07:42.795703
40876	16	2013-08-02 16:06:29.702163	2013-08-02 16:06:29.702163
40833	2	2013-08-02 16:06:29.594964	2013-08-04 20:07:35.032026
40865	16	2013-08-02 16:06:29.674649	2013-08-03 22:39:21.865311
40879	19	2013-08-02 16:06:29.70938	2013-08-02 16:06:29.70938
40837	2	2013-08-02 16:06:29.605223	2013-08-04 17:07:42.799411
40941	2	2013-08-02 16:06:29.857721	2013-08-04 17:07:42.803174
40882	2	2013-08-02 16:06:29.716477	2013-08-02 16:06:29.716477
40838	2	2013-08-02 16:06:29.607673	2013-08-03 21:14:23.479034
40884	4	2013-08-02 16:06:29.721228	2013-08-02 16:06:29.721228
40957	19	2013-08-02 16:06:29.892841	2013-08-04 17:10:18.923954
40887	7	2013-08-02 16:06:29.728375	2013-08-02 16:06:29.728375
40889	9	2013-08-02 16:06:29.733268	2013-08-02 16:06:29.733268
40977	16	2013-08-02 16:06:29.914756	2013-08-04 17:10:18.926722
40891	11	2013-08-02 16:06:29.738013	2013-08-02 16:06:29.738013
40830	19	2013-08-02 16:06:29.587737	2013-08-04 00:37:45.089265
40894	14	2013-08-02 16:06:29.745159	2013-08-02 16:06:29.745159
40918	9	2013-08-02 16:06:29.80293	2013-08-03 21:19:21.453432
40896	16	2013-08-02 16:06:29.749885	2013-08-02 16:06:29.749885
40855	2	2013-08-02 16:06:29.64844	2013-08-04 20:07:35.31592
40825	4	2013-08-02 16:06:29.574562	2013-08-03 22:39:21.899898
40899	19	2013-08-02 16:06:29.757023	2013-08-02 16:06:29.757023
40905	21	2013-08-02 16:06:29.771544	2013-08-03 22:40:20.678395
19716	14	2013-08-02 16:05:42.697733	2013-08-04 17:36:52.567055
40902	2	2013-08-02 16:06:29.764436	2013-08-02 16:06:29.764436
40840	14	2013-08-02 16:06:29.612496	2013-08-03 21:25:17.528626
40904	4	2013-08-02 16:06:29.7692	2013-08-02 16:06:29.7692
40966	2	2013-08-02 16:06:29.901861	2013-08-04 20:07:35.328863
40907	7	2013-08-02 16:06:29.776321	2013-08-02 16:06:29.776321
40909	9	2013-08-02 16:06:29.781075	2013-08-02 16:06:29.781075
19696	14	2013-08-02 16:05:42.646326	2013-08-04 17:36:52.578046
40911	11	2013-08-02 16:06:29.785822	2013-08-02 16:06:29.785822
40870	16	2013-08-02 16:06:29.687691	2013-08-04 00:37:45.091879
40914	14	2013-08-02 16:06:29.793337	2013-08-02 16:06:29.793337
40916	16	2013-08-02 16:06:29.798144	2013-08-02 16:06:29.798144
40946	2	2013-08-02 16:06:29.869626	2013-08-04 20:07:35.335054
19676	14	2013-08-02 16:05:42.594074	2013-08-04 17:36:52.589783
40919	19	2013-08-02 16:06:29.805321	2013-08-02 16:06:29.805321
40875	21	2013-08-02 16:06:29.699754	2013-08-03 22:40:40.890823
19656	14	2013-08-02 16:05:42.543033	2013-08-04 17:36:52.599714
40922	2	2013-08-02 16:06:29.812511	2013-08-02 16:06:29.812511
40845	14	2013-08-02 16:06:29.624589	2013-08-04 00:37:45.095699
40924	4	2013-08-02 16:06:29.817281	2013-08-02 16:06:29.817281
40927	7	2013-08-02 16:06:29.824379	2013-08-02 16:06:29.824379
40929	9	2013-08-02 16:06:29.829139	2013-08-02 16:06:29.829139
19636	14	2013-08-02 16:05:42.493088	2013-08-04 17:36:52.603918
40931	11	2013-08-02 16:06:29.833878	2013-08-02 16:06:29.833878
5848	14	2013-08-02 16:05:14.782275	2013-08-04 17:36:52.607948
40934	14	2013-08-02 16:06:29.841054	2013-08-02 16:06:29.841054
40900	11	2013-08-02 16:06:29.759678	2013-08-03 21:25:17.53705
40936	16	2013-08-02 16:06:29.845826	2013-08-02 16:06:29.845826
40926	2	2013-08-02 16:06:29.822016	2013-08-04 20:07:35.340973
40832	19	2013-08-02 16:06:29.592693	2013-08-03 22:55:09.111172
40939	19	2013-08-02 16:06:29.852986	2013-08-02 16:06:29.852986
40841	21	2013-08-02 16:06:29.614913	2013-08-04 20:12:38.50082
29473	14	2013-08-02 16:06:03.988428	2013-08-04 17:36:52.718425
40942	2	2013-08-02 16:06:29.860108	2013-08-02 16:06:29.860108
24759	21	2013-08-02 16:05:53.491246	2013-08-04 17:36:52.763032
40944	4	2013-08-02 16:06:29.864861	2013-08-02 16:06:29.864861
40930	11	2013-08-02 16:06:29.831497	2013-08-04 00:37:45.102943
40947	7	2013-08-02 16:06:29.871995	2013-08-02 16:06:29.871995
40949	9	2013-08-02 16:06:29.876784	2013-08-02 16:06:29.876784
24770	2	2013-08-02 16:05:53.503943	2013-08-04 17:36:52.783178
40951	11	2013-08-02 16:06:29.881004	2013-08-02 16:06:29.881004
40920	9	2013-08-02 16:06:29.807705	2013-08-04 00:37:45.104573
40954	14	2013-08-02 16:06:29.885989	2013-08-02 16:06:29.885989
40940	9	2013-08-02 16:06:29.855321	2013-08-03 21:25:17.543693
40956	16	2013-08-02 16:06:29.89072	2013-08-02 16:06:29.89072
40872	16	2013-08-02 16:06:29.692589	2013-08-03 22:55:09.119055
40959	19	2013-08-02 16:06:29.894838	2013-08-02 16:06:29.894838
40910	9	2013-08-02 16:06:29.783423	2013-08-04 00:47:03.54345
24739	2	2013-08-02 16:05:53.468827	2013-08-04 17:36:52.794163
40962	2	2013-08-02 16:06:29.897862	2013-08-02 16:06:29.897862
40964	4	2013-08-02 16:06:29.899855	2013-08-02 16:06:29.899855
40821	16	2013-08-02 16:06:29.563948	2013-08-04 01:12:48.901252
40967	7	2013-08-02 16:06:29.902858	2013-08-02 16:06:29.902858
40969	9	2013-08-02 16:06:29.905012	2013-08-02 16:06:29.905012
24790	2	2013-08-02 16:05:53.524676	2013-08-04 17:36:52.805062
40971	11	2013-08-02 16:06:29.907383	2013-08-02 16:06:29.907383
40858	14	2013-08-02 16:06:29.655638	2013-08-04 01:12:48.903721
40974	14	2013-08-02 16:06:29.911084	2013-08-02 16:06:29.911084
40912	14	2013-08-02 16:06:29.788371	2013-08-03 22:55:09.122528
40976	16	2013-08-02 16:06:29.913535	2013-08-02 16:06:29.913535
40963	2	2013-08-02 16:06:29.898859	2013-08-03 19:27:37.474343
40835	7	2013-08-02 16:06:29.599979	2013-08-03 19:42:57.402817
24719	2	2013-08-02 16:05:53.443443	2013-08-04 17:36:52.815817
40895	4	2013-08-02 16:06:29.747524	2013-08-03 19:42:57.40727
40935	2	2013-08-02 16:06:29.843411	2013-08-03 19:42:57.409216
40975	4	2013-08-02 16:06:29.912311	2013-08-03 19:47:27.34485
40932	11	2013-08-02 16:06:29.836277	2013-08-03 22:55:09.125242
40892	4	2013-08-02 16:06:29.740362	2013-08-03 23:06:13.824611
40985	2	2013-08-02 16:06:29.924445	2013-08-03 22:40:40.67086
40979	19	2013-08-02 16:06:29.917227	2013-08-02 16:06:29.917227
41017	14	2013-08-02 16:06:29.979206	2013-08-04 17:10:18.932514
40982	2	2013-08-02 16:06:29.92048	2013-08-02 16:06:29.92048
41118	21	2013-08-02 16:06:30.145712	2013-08-03 21:14:23.294457
40984	4	2013-08-02 16:06:29.92308	2013-08-02 16:06:29.92308
41061	21	2013-08-02 16:06:30.051833	2013-08-04 00:30:53.893824
40987	7	2013-08-02 16:06:29.927196	2013-08-02 16:06:29.927196
40989	9	2013-08-02 16:06:29.930151	2013-08-02 16:06:29.930151
40991	11	2013-08-02 16:06:29.933189	2013-08-02 16:06:29.933189
40998	21	2013-08-02 16:06:29.944229	2013-08-04 00:30:53.898562
40994	14	2013-08-02 16:06:29.937722	2013-08-02 16:06:29.937722
41098	21	2013-08-02 16:06:30.105756	2013-08-03 21:14:23.295618
40996	16	2013-08-02 16:06:29.940841	2013-08-02 16:06:29.940841
41055	16	2013-08-02 16:06:30.045962	2013-08-03 22:44:24.357159
40999	19	2013-08-02 16:06:29.945935	2013-08-02 16:06:29.945935
41125	11	2013-08-02 16:06:30.162582	2013-08-03 22:44:24.37412
41088	11	2013-08-02 16:06:30.087203	2013-08-04 20:09:32.07021
41002	2	2013-08-02 16:06:29.951204	2013-08-02 16:06:29.951204
41078	21	2013-08-02 16:06:30.072457	2013-08-03 21:14:23.297474
41004	4	2013-08-02 16:06:29.954551	2013-08-02 16:06:29.954551
41057	11	2013-08-02 16:06:30.048015	2013-08-04 17:10:18.941589
41007	7	2013-08-02 16:06:29.960012	2013-08-02 16:06:29.960012
41009	9	2013-08-02 16:06:29.963843	2013-08-02 16:06:29.963843
41011	11	2013-08-02 16:06:29.967672	2013-08-02 16:06:29.967672
41021	14	2013-08-02 16:06:29.987176	2013-08-04 00:30:53.984647
41014	14	2013-08-02 16:06:29.973407	2013-08-02 16:06:29.973407
41058	21	2013-08-02 16:06:30.049147	2013-08-03 21:14:23.298533
41016	16	2013-08-02 16:06:29.977227	2013-08-02 16:06:29.977227
41128	9	2013-08-02 16:06:30.170685	2013-08-04 20:09:32.077154
41105	2	2013-08-02 16:06:30.119966	2013-08-03 22:44:24.39742
41019	19	2013-08-02 16:06:29.983192	2013-08-02 16:06:29.983192
41097	9	2013-08-02 16:06:30.103827	2013-08-04 17:10:18.947434
41022	2	2013-08-02 16:06:29.989204	2013-08-02 16:06:29.989204
41038	19	2013-08-02 16:06:30.021126	2013-08-03 21:14:23.306522
41024	4	2013-08-02 16:06:29.993135	2013-08-02 16:06:29.993135
40997	21	2013-08-02 16:06:29.942545	2013-08-04 17:10:54.420834
41027	7	2013-08-02 16:06:29.999057	2013-08-02 16:06:29.999057
41029	9	2013-08-02 16:06:30.003023	2013-08-02 16:06:30.003023
41077	21	2013-08-02 16:06:30.071104	2013-08-04 17:11:51.617704
41031	11	2013-08-02 16:06:30.006976	2013-08-02 16:06:30.006976
41020	14	2013-08-02 16:06:29.985207	2013-08-04 17:11:55.179165
41034	14	2013-08-02 16:06:30.012887	2013-08-02 16:06:30.012887
41036	16	2013-08-02 16:06:30.017124	2013-08-02 16:06:30.017124
41050	7	2013-08-02 16:06:30.037595	2013-08-04 20:09:32.080076
41039	19	2013-08-02 16:06:30.023109	2013-08-02 16:06:30.023109
24741	2	2013-08-02 16:05:53.472524	2013-08-04 17:36:52.826492
24699	2	2013-08-02 16:05:53.416192	2013-08-04 17:36:52.837549
41042	2	2013-08-02 16:06:30.02664	2013-08-02 16:06:30.02664
24679	2	2013-08-02 16:05:53.381496	2013-08-04 17:36:52.848493
41044	4	2013-08-02 16:06:30.028152	2013-08-02 16:06:30.028152
41005	14	2013-08-02 16:06:29.956368	2013-08-04 00:30:54.214277
41047	7	2013-08-02 16:06:30.03177	2013-08-02 16:06:30.03177
41049	9	2013-08-02 16:06:30.035593	2013-08-02 16:06:30.035593
24695	2	2013-08-02 16:05:53.40863	2013-08-04 17:36:52.859409
41051	11	2013-08-02 16:06:30.039578	2013-08-02 16:06:30.039578
24659	2	2013-08-02 16:05:53.354303	2013-08-04 17:36:52.870038
41054	14	2013-08-02 16:06:30.044948	2013-08-02 16:06:30.044948
40980	7	2013-08-02 16:06:29.918332	2013-08-03 21:25:17.550571
41056	16	2013-08-02 16:06:30.046986	2013-08-02 16:06:30.046986
41046	16	2013-08-02 16:06:30.029943	2013-08-04 20:09:49.276039
41045	4	2013-08-02 16:06:30.028911	2013-08-03 22:44:24.49158
41059	19	2013-08-02 16:06:30.050161	2013-08-02 16:06:30.050161
41025	14	2013-08-02 16:06:29.995108	2013-08-03 22:44:24.515425
24595	14	2013-08-02 16:05:53.271103	2013-08-04 17:36:52.892475
41062	2	2013-08-02 16:06:30.052724	2013-08-02 16:06:30.052724
41064	4	2013-08-02 16:06:30.055073	2013-08-02 16:06:30.055073
24639	14	2013-08-02 16:05:53.327435	2013-08-04 17:36:52.903528
41067	7	2013-08-02 16:06:30.058645	2013-08-02 16:06:30.058645
41069	9	2013-08-02 16:06:30.060878	2013-08-02 16:06:30.060878
24619	14	2013-08-02 16:05:53.298196	2013-08-04 17:36:52.91506
41071	11	2013-08-02 16:06:30.063225	2013-08-02 16:06:30.063225
41081	16	2013-08-02 16:06:30.076604	2013-08-04 00:33:39.968155
41074	14	2013-08-02 16:06:30.067027	2013-08-02 16:06:30.067027
3240	14	2013-08-02 16:05:09.899524	2013-08-04 17:36:52.926499
41076	16	2013-08-02 16:06:30.06975	2013-08-02 16:06:30.06975
41079	19	2013-08-02 16:06:30.073823	2013-08-02 16:06:30.073823
41012	7	2013-08-02 16:06:29.969577	2013-08-03 22:55:09.130931
24599	14	2013-08-02 16:05:53.276686	2013-08-04 17:36:52.937697
41082	2	2013-08-02 16:06:30.0781	2013-08-02 16:06:30.0781
41040	4	2013-08-02 16:06:30.024908	2013-08-03 21:25:17.561132
41084	4	2013-08-02 16:06:30.081137	2013-08-02 16:06:30.081137
41100	14	2013-08-02 16:06:30.109968	2013-08-04 00:33:39.975805
41087	7	2013-08-02 16:06:30.085672	2013-08-02 16:06:30.085672
41089	9	2013-08-02 16:06:30.0888	2013-08-02 16:06:30.0888
41066	14	2013-08-02 16:06:30.057463	2013-08-04 20:09:49.283512
41091	11	2013-08-02 16:06:30.092429	2013-08-02 16:06:30.092429
41094	14	2013-08-02 16:06:30.097883	2013-08-02 16:06:30.097883
41096	16	2013-08-02 16:06:30.10179	2013-08-02 16:06:30.10179
41099	19	2013-08-02 16:06:30.107766	2013-08-02 16:06:30.107766
41072	4	2013-08-02 16:06:30.064313	2013-08-03 22:55:09.135477
41106	11	2013-08-02 16:06:30.121972	2013-08-04 20:09:49.294764
41102	2	2013-08-02 16:06:30.114005	2013-08-02 16:06:30.114005
41080	2	2013-08-02 16:06:30.075182	2013-08-03 21:25:17.568555
41104	4	2013-08-02 16:06:30.117996	2013-08-02 16:06:30.117996
41001	14	2013-08-02 16:06:29.949604	2013-08-04 00:35:57.400836
41107	7	2013-08-02 16:06:30.123934	2013-08-02 16:06:30.123934
41109	9	2013-08-02 16:06:30.12787	2013-08-02 16:06:30.12787
41111	11	2013-08-02 16:06:30.13178	2013-08-02 16:06:30.13178
41068	19	2013-08-02 16:06:30.059824	2013-08-04 20:09:49.388354
41114	14	2013-08-02 16:06:30.13768	2013-08-02 16:06:30.13768
41116	16	2013-08-02 16:06:30.141578	2013-08-02 16:06:30.141578
41120	16	2013-08-02 16:06:30.149993	2013-08-04 20:09:49.390158
41119	19	2013-08-02 16:06:30.147903	2013-08-02 16:06:30.147903
41112	2	2013-08-02 16:06:30.133734	2013-08-03 22:55:09.13779
41035	14	2013-08-02 16:06:30.015074	2013-08-04 20:09:49.392899
41122	2	2013-08-02 16:06:30.154088	2013-08-02 16:06:30.154088
41124	4	2013-08-02 16:06:30.159338	2013-08-02 16:06:30.159338
41041	4	2013-08-02 16:06:30.025672	2013-08-04 00:37:45.11534
41127	7	2013-08-02 16:06:30.167942	2013-08-02 16:06:30.167942
41129	9	2013-08-02 16:06:30.173322	2013-08-02 16:06:30.173322
41131	11	2013-08-02 16:06:30.178841	2013-08-02 16:06:30.178841
40981	11	2013-08-02 16:06:29.919408	2013-08-04 20:09:49.3958
41134	14	2013-08-02 16:06:30.186837	2013-08-02 16:06:30.186837
41115	21	2013-08-02 16:06:30.139684	2013-08-03 19:47:27.303276
41095	21	2013-08-02 16:06:30.099863	2013-08-03 19:47:27.304203
41075	19	2013-08-02 16:06:30.068381	2013-08-03 19:47:27.31151
41030	2	2013-08-02 16:06:30.005017	2013-08-04 00:37:45.118639
41126	21	2013-08-02 16:06:30.165318	2013-08-04 20:12:37.396974
40995	16	2013-08-02 16:06:29.939227	2013-08-03 19:47:27.336318
41060	21	2013-08-02 16:06:30.050987	2013-08-03 21:30:23.219091
41092	2	2013-08-02 16:06:30.094158	2013-08-03 22:59:25.400674
41052	11	2013-08-02 16:06:30.041495	2013-08-03 22:59:25.754246
41015	2	2013-08-02 16:06:29.975255	2013-08-04 20:12:37.749903
41032	2	2013-08-02 16:06:30.008944	2013-08-04 20:12:37.757333
40992	2	2013-08-02 16:06:29.934697	2013-08-04 20:12:37.766065
41010	21	2013-08-02 16:06:29.965799	2013-08-04 00:44:15.193876
41086	2	2013-08-02 16:06:30.084156	2013-08-04 20:12:39.83486
41090	16	2013-08-02 16:06:30.0905	2013-08-04 00:44:15.30319
41026	2	2013-08-02 16:06:29.997091	2013-08-04 20:12:39.839992
41130	14	2013-08-02 16:06:30.17618	2013-08-04 00:44:15.305746
41108	9	2013-08-02 16:06:30.125909	2013-08-04 20:12:40.144108
41132	11	2013-08-02 16:06:30.181553	2013-08-04 01:12:48.909729
41101	2	2013-08-02 16:06:30.111988	2013-08-04 01:15:49.913835
41000	21	2013-08-02 16:06:29.947823	2013-08-04 20:22:39.086961
41110	21	2013-08-02 16:06:30.129829	2013-08-04 01:18:42.764162
41133	21	2013-08-02 16:06:30.184182	2013-08-04 20:22:39.088138
41198	21	2013-08-02 16:06:30.347082	2013-08-03 21:14:23.288515
41136	16	2013-08-02 16:06:30.192007	2013-08-02 16:06:30.192007
41146	9	2013-08-02 16:06:30.218131	2013-08-04 20:09:49.302201
41240	21	2013-08-02 16:06:30.448034	2013-08-03 22:44:24.291212
41139	19	2013-08-02 16:06:30.199931	2013-08-02 16:06:30.199931
41225	21	2013-08-02 16:06:30.412438	2013-08-03 22:44:24.29587
41142	2	2013-08-02 16:06:30.207871	2013-08-02 16:06:30.207871
41178	21	2013-08-02 16:06:30.299587	2013-08-03 21:14:23.290627
41144	4	2013-08-02 16:06:30.213209	2013-08-02 16:06:30.213209
41141	11	2013-08-02 16:06:30.205245	2013-08-04 00:33:39.986918
41147	7	2013-08-02 16:06:30.220568	2013-08-02 16:06:30.220568
41149	9	2013-08-02 16:06:30.225371	2013-08-02 16:06:30.225371
41157	4	2013-08-02 16:06:30.246207	2013-08-04 17:10:18.963069
41151	11	2013-08-02 16:06:30.230128	2013-08-02 16:06:30.230128
41221	7	2013-08-02 16:06:30.402932	2013-08-04 20:09:49.309584
41154	14	2013-08-02 16:06:30.238186	2013-08-02 16:06:30.238186
41158	21	2013-08-02 16:06:30.248915	2013-08-03 21:14:23.292212
41156	16	2013-08-02 16:06:30.243548	2013-08-02 16:06:30.243548
41260	21	2013-08-02 16:06:30.495302	2013-08-03 22:44:24.299536
41159	19	2013-08-02 16:06:30.251559	2013-08-02 16:06:30.251559
41205	19	2013-08-02 16:06:30.364646	2013-08-03 22:44:24.315798
41197	2	2013-08-02 16:06:30.344717	2013-08-04 17:10:19.033201
41162	2	2013-08-02 16:06:30.259132	2013-08-02 16:06:30.259132
41138	21	2013-08-02 16:06:30.197326	2013-08-03 21:14:23.293369
41164	4	2013-08-02 16:06:30.263958	2013-08-02 16:06:30.263958
41181	9	2013-08-02 16:06:30.306773	2013-08-04 00:33:39.994793
41167	7	2013-08-02 16:06:30.271146	2013-08-02 16:06:30.271146
41169	9	2013-08-02 16:06:30.276134	2013-08-02 16:06:30.276134
41206	4	2013-08-02 16:06:30.367101	2013-08-04 20:09:49.317004
41171	11	2013-08-02 16:06:30.281385	2013-08-02 16:06:30.281385
41174	14	2013-08-02 16:06:30.289385	2013-08-02 16:06:30.289385
41237	19	2013-08-02 16:06:30.4409	2013-08-04 17:10:54.316721
41176	16	2013-08-02 16:06:30.294664	2013-08-02 16:06:30.294664
41152	16	2013-08-02 16:06:30.232847	2013-08-04 17:10:54.319998
41179	19	2013-08-02 16:06:30.302011	2013-08-02 16:06:30.302011
41201	7	2013-08-02 16:06:30.354614	2013-08-04 00:33:40.00229
41182	2	2013-08-02 16:06:30.309197	2013-08-02 16:06:30.309197
41184	4	2013-08-02 16:06:30.313926	2013-08-02 16:06:30.313926
41277	14	2013-08-02 16:06:30.5355	2013-08-04 17:10:54.326466
41187	7	2013-08-02 16:06:30.321026	2013-08-02 16:06:30.321026
41189	9	2013-08-02 16:06:30.325799	2013-08-02 16:06:30.325799
41191	11	2013-08-02 16:06:30.330552	2013-08-02 16:06:30.330552
41261	4	2013-08-02 16:06:30.497709	2013-08-04 00:33:40.013333
41194	14	2013-08-02 16:06:30.337626	2013-08-02 16:06:30.337626
41257	21	2013-08-02 16:06:30.488243	2013-08-04 17:10:54.423561
41196	16	2013-08-02 16:06:30.342346	2013-08-02 16:06:30.342346
41140	21	2013-08-02 16:06:30.202573	2013-08-04 20:09:57.590445
41217	21	2013-08-02 16:06:30.393379	2013-08-04 17:11:51.240797
41199	19	2013-08-02 16:06:30.349497	2013-08-02 16:06:30.349497
41165	21	2013-08-02 16:06:30.26638	2013-08-03 22:45:08.799474
41137	21	2013-08-02 16:06:30.194695	2013-08-04 17:11:51.4551
41202	2	2013-08-02 16:06:30.357032	2013-08-02 16:06:30.357032
41218	16	2013-08-02 16:06:30.395768	2013-08-03 21:19:21.816199
41204	4	2013-08-02 16:06:30.361977	2013-08-02 16:06:30.361977
41177	14	2013-08-02 16:06:30.297172	2013-08-04 17:11:53.212319
41207	7	2013-08-02 16:06:30.369505	2013-08-02 16:06:30.369505
41209	9	2013-08-02 16:06:30.374347	2013-08-02 16:06:30.374347
24579	14	2013-08-02 16:05:53.247997	2013-08-04 17:36:52.948634
41211	11	2013-08-02 16:06:30.379097	2013-08-02 16:06:30.379097
41214	14	2013-08-02 16:06:30.386219	2013-08-02 16:06:30.386219
41280	19	2013-08-02 16:06:30.542674	2013-08-03 21:29:21.965984
41216	16	2013-08-02 16:06:30.390957	2013-08-02 16:06:30.390957
41226	2	2013-08-02 16:06:30.414828	2013-08-04 20:12:36.321712
41245	9	2013-08-02 16:06:30.459911	2013-08-03 22:45:09.545421
41219	19	2013-08-02 16:06:30.398182	2013-08-02 16:06:30.398182
24559	14	2013-08-02 16:05:53.227561	2013-08-04 17:36:52.959665
41222	2	2013-08-02 16:06:30.405326	2013-08-02 16:06:30.405326
24539	14	2013-08-02 16:05:53.036347	2013-08-04 17:36:52.970709
41224	4	2013-08-02 16:06:30.410077	2013-08-02 16:06:30.410077
24625	14	2013-08-02 16:05:53.305819	2013-08-04 17:36:52.981638
41227	7	2013-08-02 16:06:30.417199	2013-08-02 16:06:30.417199
41229	9	2013-08-02 16:06:30.421936	2013-08-02 16:06:30.421936
11258	4	2013-08-02 16:05:25.074598	2013-08-04 17:36:53.470474
41231	11	2013-08-02 16:06:30.426658	2013-08-02 16:06:30.426658
41150	11	2013-08-02 16:06:30.227734	2013-08-04 00:44:15.308818
41234	14	2013-08-02 16:06:30.433751	2013-08-02 16:06:30.433751
41161	9	2013-08-02 16:06:30.256731	2013-08-04 00:44:15.310038
41236	16	2013-08-02 16:06:30.438494	2013-08-02 16:06:30.438494
41186	21	2013-08-02 16:06:30.318649	2013-08-04 20:12:36.39213
41285	7	2013-08-02 16:06:30.554858	2013-08-03 22:45:09.552741
41239	19	2013-08-02 16:06:30.445675	2013-08-02 16:06:30.445675
7325	4	2013-08-02 16:05:17.749702	2013-08-04 17:36:53.475418
41242	2	2013-08-02 16:06:30.452846	2013-08-02 16:06:30.452846
41220	16	2013-08-02 16:06:30.400554	2013-08-03 21:29:21.993355
41244	4	2013-08-02 16:06:30.457563	2013-08-02 16:06:30.457563
41247	7	2013-08-02 16:06:30.464633	2013-08-02 16:06:30.464633
41249	9	2013-08-02 16:06:30.469357	2013-08-02 16:06:30.469357
3766	4	2013-08-02 16:05:11.17626	2013-08-04 17:36:53.480533
41251	11	2013-08-02 16:06:30.474169	2013-08-02 16:06:30.474169
41278	7	2013-08-02 16:06:30.537899	2013-08-04 00:44:15.311992
41254	14	2013-08-02 16:06:30.481256	2013-08-02 16:06:30.481256
41200	16	2013-08-02 16:06:30.352208	2013-08-03 21:29:21.998807
41256	16	2013-08-02 16:06:30.485904	2013-08-02 16:06:30.485904
41172	16	2013-08-02 16:06:30.284001	2013-08-03 23:00:48.668975
41259	19	2013-08-02 16:06:30.492976	2013-08-02 16:06:30.492976
3758	4	2013-08-02 16:05:11.154129	2013-08-04 17:36:53.490461
41262	2	2013-08-02 16:06:30.500081	2013-08-02 16:06:30.500081
41180	11	2013-08-02 16:06:30.304383	2013-08-03 21:29:22.010278
41264	4	2013-08-02 16:06:30.504848	2013-08-02 16:06:30.504848
3723	4	2013-08-02 16:05:11.058949	2013-08-04 17:36:53.501097
41267	7	2013-08-02 16:06:30.51187	2013-08-02 16:06:30.51187
41269	9	2013-08-02 16:06:30.516626	2013-08-02 16:06:30.516626
3635	4	2013-08-02 16:05:10.849286	2013-08-04 17:36:53.512006
41271	11	2013-08-02 16:06:30.521346	2013-08-02 16:06:30.521346
41210	4	2013-08-02 16:06:30.376727	2013-08-04 00:44:15.316032
41274	14	2013-08-02 16:06:30.528392	2013-08-02 16:06:30.528392
41160	11	2013-08-02 16:06:30.254246	2013-08-03 21:29:22.016198
41276	16	2013-08-02 16:06:30.533159	2013-08-02 16:06:30.533159
41275	2	2013-08-02 16:06:30.530802	2013-08-04 20:12:37.207478
41192	14	2013-08-02 16:06:30.332914	2013-08-03 23:00:48.671561
41279	19	2013-08-02 16:06:30.540258	2013-08-02 16:06:30.540258
41288	2	2013-08-02 16:06:30.56201	2013-08-04 20:12:37.218009
41282	2	2013-08-02 16:06:30.547383	2013-08-02 16:06:30.547383
41284	4	2013-08-02 16:06:30.552314	2013-08-02 16:06:30.552314
41268	2	2013-08-02 16:06:30.514235	2013-08-04 20:12:37.231708
41287	7	2013-08-02 16:06:30.559638	2013-08-02 16:06:30.559638
41289	9	2013-08-02 16:06:30.564365	2013-08-02 16:06:30.564365
41248	2	2013-08-02 16:06:30.466961	2013-08-04 20:12:37.24273
41291	11	2013-08-02 16:06:30.569216	2013-08-02 16:06:30.569216
41135	21	2013-08-02 16:06:30.189341	2013-08-03 19:47:27.301911
41255	19	2013-08-02 16:06:30.483583	2013-08-03 19:47:27.663804
41235	19	2013-08-02 16:06:30.436109	2013-08-03 19:47:27.674982
41215	7	2013-08-02 16:06:30.388593	2013-08-03 19:47:27.697383
41195	7	2013-08-02 16:06:30.339952	2013-08-03 19:47:27.708154
41170	2	2013-08-02 16:06:30.278744	2013-08-04 20:12:37.289389
41212	11	2013-08-02 16:06:30.381464	2013-08-03 23:00:48.674436
41228	2	2013-08-02 16:06:30.419554	2013-08-04 20:12:37.304459
41252	9	2013-08-02 16:06:30.476505	2013-08-03 23:00:48.677937
41250	2	2013-08-02 16:06:30.471809	2013-08-04 00:44:15.318936
41258	21	2013-08-02 16:06:30.490611	2013-08-03 23:06:23.349096
41166	2	2013-08-02 16:06:30.268781	2013-08-04 20:12:37.312965
41230	21	2013-08-02 16:06:30.424293	2013-08-04 00:44:37.101895
41270	11	2013-08-02 16:06:30.518988	2013-08-04 00:45:50.222569
41290	19	2013-08-02 16:06:30.566794	2013-08-04 00:47:03.460653
41266	9	2013-08-02 16:06:30.509538	2013-08-04 20:12:40.123982
41281	9	2013-08-02 16:06:30.54503	2013-08-04 01:12:48.915018
41286	9	2013-08-02 16:06:30.557268	2013-08-04 20:12:40.134023
41441	19	2013-08-02 16:06:31.160934	2013-08-04 00:35:56.255905
41294	14	2013-08-02 16:06:30.576377	2013-08-02 16:06:30.576377
41318	14	2013-08-02 16:06:30.633348	2013-08-03 21:19:21.744016
41296	16	2013-08-02 16:06:30.581184	2013-08-02 16:06:30.581184
41299	19	2013-08-02 16:06:30.588217	2013-08-02 16:06:30.588217
41325	4	2013-08-02 16:06:30.650003	2013-08-03 22:45:09.560174
41302	2	2013-08-02 16:06:30.595707	2013-08-02 16:06:30.595707
41298	19	2013-08-02 16:06:30.585871	2013-08-03 21:19:21.763632
41304	4	2013-08-02 16:06:30.600375	2013-08-02 16:06:30.600375
41421	16	2013-08-02 16:06:31.107621	2013-08-04 00:35:56.276078
41307	7	2013-08-02 16:06:30.60749	2013-08-02 16:06:30.60749
41309	9	2013-08-02 16:06:30.612246	2013-08-02 16:06:30.612246
41317	11	2013-08-02 16:06:30.630996	2013-08-04 17:10:54.336268
41311	11	2013-08-02 16:06:30.616995	2013-08-02 16:06:30.616995
41314	14	2013-08-02 16:06:30.623969	2013-08-02 16:06:30.623969
41425	9	2013-08-02 16:06:31.118108	2013-08-04 17:10:54.342915
41316	16	2013-08-02 16:06:30.628681	2013-08-02 16:06:30.628681
41401	2	2013-08-02 16:06:31.054367	2013-08-04 00:35:56.32463
41319	19	2013-08-02 16:06:30.635702	2013-08-02 16:06:30.635702
41365	2	2013-08-02 16:06:30.746391	2013-08-03 22:45:09.567769
41322	2	2013-08-02 16:06:30.64282	2013-08-02 16:06:30.64282
41357	7	2013-08-02 16:06:30.726641	2013-08-04 17:10:54.349549
41324	4	2013-08-02 16:06:30.647583	2013-08-02 16:06:30.647583
41381	11	2013-08-02 16:06:31.017561	2013-08-04 00:35:56.342851
41327	7	2013-08-02 16:06:30.654773	2013-08-02 16:06:30.654773
41329	9	2013-08-02 16:06:30.659478	2013-08-02 16:06:30.659478
41331	11	2013-08-02 16:06:30.664261	2013-08-02 16:06:30.664261
41361	7	2013-08-02 16:06:30.736257	2013-08-04 00:35:56.352991
41334	14	2013-08-02 16:06:30.671222	2013-08-02 16:06:30.671222
41398	9	2013-08-02 16:06:31.046954	2013-08-03 21:19:22.188055
41336	16	2013-08-02 16:06:30.676273	2013-08-02 16:06:30.676273
41405	19	2013-08-02 16:06:31.064814	2013-08-03 22:45:29.549927
41339	19	2013-08-02 16:06:30.683863	2013-08-02 16:06:30.683863
41342	2	2013-08-02 16:06:30.69114	2013-08-02 16:06:30.69114
41378	7	2013-08-02 16:06:31.014431	2013-08-03 21:19:22.21372
41344	4	2013-08-02 16:06:30.695877	2013-08-02 16:06:30.695877
41347	7	2013-08-02 16:06:30.702971	2013-08-02 16:06:30.702971
41349	9	2013-08-02 16:06:30.707701	2013-08-02 16:06:30.707701
41417	4	2013-08-02 16:06:31.096809	2013-08-04 17:10:54.359318
41351	11	2013-08-02 16:06:30.712464	2013-08-02 16:06:30.712464
41385	9	2013-08-02 16:06:31.021946	2013-08-04 00:35:56.380257
41354	14	2013-08-02 16:06:30.719576	2013-08-02 16:06:30.719576
41358	2	2013-08-02 16:06:30.728975	2013-08-03 21:19:22.237438
41356	16	2013-08-02 16:06:30.724299	2013-08-02 16:06:30.724299
41445	16	2013-08-02 16:06:31.171951	2013-08-03 22:45:29.554657
41359	19	2013-08-02 16:06:30.73133	2013-08-02 16:06:30.73133
41345	21	2013-08-02 16:06:30.698265	2013-08-03 22:45:29.668411
41448	2	2013-08-02 16:06:31.179753	2013-08-04 20:17:30.190419
41362	2	2013-08-02 16:06:30.738929	2013-08-02 16:06:30.738929
41338	11	2013-08-02 16:06:30.681384	2013-08-03 21:19:22.260277
41364	4	2013-08-02 16:06:30.743966	2013-08-02 16:06:30.743966
41412	14	2013-08-02 16:06:31.083381	2013-08-04 00:37:09.935298
41367	7	2013-08-02 16:06:30.751241	2013-08-02 16:06:30.751241
41369	9	2013-08-02 16:06:30.755952	2013-08-02 16:06:30.755952
41437	2	2013-08-02 16:06:31.150285	2013-08-04 17:10:54.365796
41371	11	2013-08-02 16:06:31.00081	2013-08-02 16:06:31.00081
41310	16	2013-08-02 16:06:30.614651	2013-08-04 00:47:03.463679
41374	14	2013-08-02 16:06:31.010063	2013-08-02 16:06:31.010063
41418	21	2013-08-02 16:06:31.099484	2013-08-03 21:24:20.771023
41376	16	2013-08-02 16:06:31.012252	2013-08-02 16:06:31.012252
41292	7	2013-08-02 16:06:30.571559	2013-08-03 23:00:48.681888
41379	19	2013-08-02 16:06:31.015492	2013-08-02 16:06:31.015492
41397	21	2013-08-02 16:06:31.045001	2013-08-04 17:11:51.452138
41382	2	2013-08-02 16:06:31.018582	2013-08-02 16:06:31.018582
41320	21	2013-08-02 16:06:30.638049	2013-08-03 21:29:21.945802
41384	4	2013-08-02 16:06:31.020708	2013-08-02 16:06:31.020708
41337	21	2013-08-02 16:06:30.678722	2013-08-04 17:11:51.616253
41387	7	2013-08-02 16:06:31.02442	2013-08-02 16:06:31.02442
41389	9	2013-08-02 16:06:31.026909	2013-08-02 16:06:31.026909
41380	14	2013-08-02 16:06:31.016512	2013-08-04 17:11:53.202241
41391	11	2013-08-02 16:06:31.029391	2013-08-02 16:06:31.029391
41350	14	2013-08-02 16:06:30.710101	2013-08-04 00:47:03.468165
41394	14	2013-08-02 16:06:31.036924	2013-08-02 16:06:31.036924
41300	19	2013-08-02 16:06:30.590964	2013-08-03 21:29:21.960298
41396	16	2013-08-02 16:06:31.042196	2013-08-02 16:06:31.042196
41399	19	2013-08-02 16:06:31.04882	2013-08-02 16:06:31.04882
41352	4	2013-08-02 16:06:30.714857	2013-08-03 23:00:48.687661
41297	14	2013-08-02 16:06:30.58353	2013-08-04 17:11:55.169139
41402	2	2013-08-02 16:06:31.056898	2013-08-02 16:06:31.056898
3655	2	2013-08-02 16:05:10.891405	2013-08-04 17:36:53.534726
41404	4	2013-08-02 16:06:31.062293	2013-08-02 16:06:31.062293
41410	11	2013-08-02 16:06:31.078008	2013-08-04 00:47:03.471531
41407	7	2013-08-02 16:06:31.070097	2013-08-02 16:06:31.070097
41409	9	2013-08-02 16:06:31.075365	2013-08-02 16:06:31.075365
3675	2	2013-08-02 16:05:10.942965	2013-08-04 17:36:53.545898
41411	11	2013-08-02 16:06:31.080733	2013-08-02 16:06:31.080733
41430	9	2013-08-02 16:06:31.131381	2013-08-04 00:47:03.472943
41414	14	2013-08-02 16:06:31.088748	2013-08-02 16:06:31.088748
41360	19	2013-08-02 16:06:30.733726	2013-08-03 21:30:23.239334
41416	16	2013-08-02 16:06:31.094089	2013-08-02 16:06:31.094089
41392	2	2013-08-02 16:06:31.031559	2013-08-03 23:00:48.692376
41419	19	2013-08-02 16:06:31.102158	2013-08-02 16:06:31.102158
3695	2	2013-08-02 16:05:10.991053	2013-08-04 17:36:53.556778
3715	2	2013-08-02 16:05:11.039646	2013-08-04 17:36:53.567741
41422	2	2013-08-02 16:06:31.110131	2013-08-02 16:06:31.110131
41424	4	2013-08-02 16:06:31.11543	2013-08-02 16:06:31.11543
41390	7	2013-08-02 16:06:31.028139	2013-08-04 00:47:03.546708
41427	7	2013-08-02 16:06:31.123349	2013-08-02 16:06:31.123349
41429	9	2013-08-02 16:06:31.128732	2013-08-02 16:06:31.128732
3735	2	2013-08-02 16:05:11.092	2013-08-04 17:36:53.579078
41431	11	2013-08-02 16:06:31.134111	2013-08-02 16:06:31.134111
41434	14	2013-08-02 16:06:31.142289	2013-08-02 16:06:31.142289
41400	16	2013-08-02 16:06:31.051691	2013-08-03 21:30:23.24381
41436	16	2013-08-02 16:06:31.147593	2013-08-02 16:06:31.147593
41332	16	2013-08-02 16:06:30.666532	2013-08-03 23:01:07.897755
41439	19	2013-08-02 16:06:31.15547	2013-08-02 16:06:31.15547
41372	21	2013-08-02 16:06:31.007536	2013-08-03 23:01:08.085706
3680	2	2013-08-02 16:05:10.954983	2013-08-04 17:36:53.59007
41442	2	2013-08-02 16:06:31.164031	2013-08-02 16:06:31.164031
41432	16	2013-08-02 16:06:31.136855	2013-08-03 23:01:08.299699
41444	4	2013-08-02 16:06:31.169492	2013-08-02 16:06:31.169492
3700	2	2013-08-02 16:05:11.004155	2013-08-04 17:36:53.601034
41447	7	2013-08-02 16:06:31.177255	2013-08-02 16:06:31.177255
41343	16	2013-08-02 16:06:30.693533	2013-08-03 19:29:23.480004
41435	21	2013-08-02 16:06:31.144941	2013-08-03 19:47:27.580516
41415	4	2013-08-02 16:06:31.091405	2013-08-03 19:47:27.589139
41395	4	2013-08-02 16:06:31.039553	2013-08-03 19:47:27.594278
41375	2	2013-08-02 16:06:31.011144	2013-08-03 19:47:27.603438
41355	2	2013-08-02 16:06:30.721964	2013-08-03 19:47:27.608667
41335	14	2013-08-02 16:06:30.673789	2013-08-03 19:47:27.617809
41440	14	2013-08-02 16:06:31.157965	2013-08-03 21:30:23.247819
41420	21	2013-08-02 16:06:31.104964	2013-08-03 21:30:42.815659
3720	2	2013-08-02 16:05:11.052631	2013-08-04 17:36:53.611966
41340	21	2013-08-02 16:06:30.686284	2013-08-03 21:37:44.526465
3740	2	2013-08-02 16:05:11.105398	2013-08-04 17:36:53.622942
3827	21	2013-08-02 16:05:11.330527	2013-08-04 17:36:53.64286
41449	9	2013-08-02 16:06:31.182499	2013-08-02 16:06:31.182499
41451	11	2013-08-02 16:06:31.188017	2013-08-02 16:06:31.188017
41521	21	2013-08-02 16:06:31.366514	2013-08-04 00:35:56.196129
41454	14	2013-08-02 16:06:31.195921	2013-08-02 16:06:31.195921
41598	21	2013-08-02 16:06:31.551644	2013-08-03 21:19:22.033359
41456	16	2013-08-02 16:06:31.20121	2013-08-02 16:06:31.20121
41501	21	2013-08-02 16:06:31.317577	2013-08-04 00:35:56.200318
41459	19	2013-08-02 16:06:31.209182	2013-08-02 16:06:31.209182
41485	14	2013-08-02 16:06:31.276845	2013-08-03 22:45:29.55809
41457	21	2013-08-02 16:06:31.203845	2013-08-04 17:11:51.237682
41462	2	2013-08-02 16:06:31.217241	2013-08-02 16:06:31.217241
41578	14	2013-08-02 16:06:31.503489	2013-08-03 21:19:22.045718
41464	4	2013-08-02 16:06:31.222581	2013-08-02 16:06:31.222581
41481	14	2013-08-02 16:06:31.266773	2013-08-04 00:35:56.225122
41467	7	2013-08-02 16:06:31.230423	2013-08-02 16:06:31.230423
41469	9	2013-08-02 16:06:31.235538	2013-08-02 16:06:31.235538
41550	14	2013-08-02 16:06:31.436473	2013-08-04 17:11:52.152866
41471	11	2013-08-02 16:06:31.240555	2013-08-02 16:06:31.240555
41597	14	2013-08-02 16:06:31.548947	2013-08-04 17:11:52.163341
41474	14	2013-08-02 16:06:31.247987	2013-08-02 16:06:31.247987
41476	16	2013-08-02 16:06:31.253392	2013-08-02 16:06:31.253392
41479	19	2013-08-02 16:06:31.26145	2013-08-02 16:06:31.26145
41577	14	2013-08-02 16:06:31.50111	2013-08-04 17:11:52.173633
41557	14	2013-08-02 16:06:31.453252	2013-08-04 17:11:52.248226
41482	2	2013-08-02 16:06:31.269438	2013-08-02 16:06:31.269438
41537	14	2013-08-02 16:06:31.405288	2013-08-04 17:11:52.253574
41484	4	2013-08-02 16:06:31.274396	2013-08-02 16:06:31.274396
41487	7	2013-08-02 16:06:31.281698	2013-08-02 16:06:31.281698
41489	9	2013-08-02 16:06:31.28658	2013-08-02 16:06:31.28658
41517	14	2013-08-02 16:06:31.356883	2013-08-04 17:11:52.257816
41491	11	2013-08-02 16:06:31.291361	2013-08-02 16:06:31.291361
41561	16	2013-08-02 16:06:31.462772	2013-08-04 00:40:47.298265
41494	14	2013-08-02 16:06:31.299251	2013-08-02 16:06:31.299251
41518	19	2013-08-02 16:06:31.359248	2013-08-03 21:19:22.077407
41496	16	2013-08-02 16:06:31.304023	2013-08-02 16:06:31.304023
41545	11	2013-08-02 16:06:31.424504	2013-08-03 22:45:29.562845
41499	19	2013-08-02 16:06:31.311886	2013-08-02 16:06:31.311886
41478	14	2013-08-02 16:06:31.258737	2013-08-04 17:11:52.262005
41497	14	2013-08-02 16:06:31.306536	2013-08-04 17:11:52.266148
41502	2	2013-08-02 16:06:31.320228	2013-08-02 16:06:31.320228
41504	4	2013-08-02 16:06:31.325458	2013-08-02 16:06:31.325458
41541	14	2013-08-02 16:06:31.414897	2013-08-04 00:40:47.306771
41507	7	2013-08-02 16:06:31.332826	2013-08-02 16:06:31.332826
41509	9	2013-08-02 16:06:31.337617	2013-08-02 16:06:31.337617
41477	14	2013-08-02 16:06:31.256057	2013-08-04 17:11:52.270377
41511	11	2013-08-02 16:06:31.342367	2013-08-02 16:06:31.342367
41601	21	2013-08-02 16:06:31.560089	2013-08-04 00:44:15.194797
41514	14	2013-08-02 16:06:31.349685	2013-08-02 16:06:31.349685
41572	2	2013-08-02 16:06:31.489214	2013-08-04 20:12:36.835357
41516	16	2013-08-02 16:06:31.354465	2013-08-02 16:06:31.354465
41600	2	2013-08-02 16:06:31.557386	2013-08-04 20:12:36.841687
41585	9	2013-08-02 16:06:31.520264	2013-08-03 22:45:29.565891
41519	19	2013-08-02 16:06:31.361657	2013-08-02 16:06:31.361657
5586	19	2013-08-02 16:05:14.211148	2013-08-04 17:36:53.664025
41522	2	2013-08-02 16:06:31.368918	2013-08-02 16:06:31.368918
41524	4	2013-08-02 16:06:31.373703	2013-08-02 16:06:31.373703
41527	7	2013-08-02 16:06:31.381017	2013-08-02 16:06:31.381017
41529	9	2013-08-02 16:06:31.385814	2013-08-02 16:06:31.385814
12078	19	2013-08-02 16:05:27.276018	2013-08-04 17:36:53.675473
41531	11	2013-08-02 16:06:31.390497	2013-08-02 16:06:31.390497
41470	7	2013-08-02 16:06:31.238078	2013-08-04 00:47:03.476399
41534	14	2013-08-02 16:06:31.397676	2013-08-02 16:06:31.397676
41536	16	2013-08-02 16:06:31.40281	2013-08-02 16:06:31.40281
41586	2	2013-08-02 16:06:31.522658	2013-08-04 20:12:36.847365
11978	19	2013-08-02 16:05:26.932614	2013-08-04 17:36:53.686441
41539	19	2013-08-02 16:06:31.410106	2013-08-02 16:06:31.410106
41472	14	2013-08-02 16:06:31.242978	2013-08-03 23:01:08.306341
3807	19	2013-08-02 16:05:11.280861	2013-08-04 17:36:53.697294
41542	2	2013-08-02 16:06:31.417336	2013-08-02 16:06:31.417336
41500	11	2013-08-02 16:06:31.31491	2013-08-03 21:30:23.253892
41544	4	2013-08-02 16:06:31.422131	2013-08-02 16:06:31.422131
41490	4	2013-08-02 16:06:31.288974	2013-08-04 00:47:03.484719
41547	7	2013-08-02 16:06:31.429315	2013-08-02 16:06:31.429315
41549	9	2013-08-02 16:06:31.434078	2013-08-02 16:06:31.434078
3898	19	2013-08-02 16:05:11.503253	2013-08-04 17:36:53.708277
41551	11	2013-08-02 16:06:31.438862	2013-08-02 16:06:31.438862
18090	19	2013-08-02 16:05:39.130363	2013-08-04 17:36:53.718639
41554	14	2013-08-02 16:06:31.446036	2013-08-02 16:06:31.446036
34317	4	2013-08-02 16:06:15.400075	2013-08-04 17:36:53.7418
41556	16	2013-08-02 16:06:31.45082	2013-08-02 16:06:31.45082
41566	2	2013-08-02 16:06:31.474824	2013-08-04 20:12:36.857378
41559	19	2013-08-02 16:06:31.458016	2013-08-02 16:06:31.458016
41492	11	2013-08-02 16:06:31.294052	2013-08-03 23:01:08.312336
1304	4	2013-08-02 16:05:06.265932	2013-08-04 17:36:53.752999
41562	2	2013-08-02 16:06:31.465189	2013-08-02 16:06:31.465189
41540	9	2013-08-02 16:06:31.412487	2013-08-03 21:30:23.257738
41564	4	2013-08-02 16:06:31.469924	2013-08-02 16:06:31.469924
41510	2	2013-08-02 16:06:31.339987	2013-08-04 00:47:03.489128
41567	7	2013-08-02 16:06:31.477239	2013-08-02 16:06:31.477239
41569	9	2013-08-02 16:06:31.482041	2013-08-02 16:06:31.482041
488	4	2013-08-02 16:05:04.884254	2013-08-04 17:36:53.763659
41571	11	2013-08-02 16:06:31.486798	2013-08-02 16:06:31.486798
505	4	2013-08-02 16:05:04.908747	2013-08-04 17:36:53.774538
41574	14	2013-08-02 16:06:31.493963	2013-08-02 16:06:31.493963
41576	16	2013-08-02 16:06:31.498706	2013-08-02 16:06:31.498706
41546	2	2013-08-02 16:06:31.426895	2013-08-04 20:12:36.867463
41560	2	2013-08-02 16:06:31.460375	2013-08-04 20:17:30.12562
41579	19	2013-08-02 16:06:31.505901	2013-08-02 16:06:31.505901
41532	9	2013-08-02 16:06:31.392913	2013-08-03 23:01:08.318283
41568	2	2013-08-02 16:06:31.479609	2013-08-04 20:17:30.13376
41582	2	2013-08-02 16:06:31.513094	2013-08-02 16:06:31.513094
41580	7	2013-08-02 16:06:31.508294	2013-08-03 21:30:23.261553
41584	4	2013-08-02 16:06:31.517857	2013-08-02 16:06:31.517857
41548	2	2013-08-02 16:06:31.431686	2013-08-04 20:17:30.140163
41587	7	2013-08-02 16:06:31.525062	2013-08-02 16:06:31.525062
41589	9	2013-08-02 16:06:31.529847	2013-08-02 16:06:31.529847
41528	2	2013-08-02 16:06:31.383394	2013-08-04 20:17:30.146502
41591	11	2013-08-02 16:06:31.534586	2013-08-02 16:06:31.534586
41450	2	2013-08-02 16:06:31.185349	2013-08-04 20:17:30.152575
41594	14	2013-08-02 16:06:31.541746	2013-08-02 16:06:31.541746
41596	16	2013-08-02 16:06:31.546507	2013-08-02 16:06:31.546507
41605	2	2013-08-02 16:06:31.570783	2013-08-04 20:17:30.157882
41599	19	2013-08-02 16:06:31.554385	2013-08-02 16:06:31.554385
41552	7	2013-08-02 16:06:31.441276	2013-08-03 23:01:08.324269
41508	2	2013-08-02 16:06:31.335216	2013-08-04 20:17:30.163501
41602	2	2013-08-02 16:06:31.56279	2013-08-02 16:06:31.56279
41604	4	2013-08-02 16:06:31.568118	2013-08-02 16:06:31.568118
41498	2	2013-08-02 16:06:31.309239	2013-08-04 20:17:30.169312
41515	21	2013-08-02 16:06:31.352075	2013-08-03 19:47:27.574068
41495	21	2013-08-02 16:06:31.301717	2013-08-03 19:47:27.575796
41475	21	2013-08-02 16:06:31.250707	2013-08-03 19:47:27.577319
41455	21	2013-08-02 16:06:31.198545	2013-08-03 19:47:27.578881
41520	16	2013-08-02 16:06:31.364075	2013-08-04 00:47:38.734715
41575	11	2013-08-02 16:06:31.496327	2013-08-03 19:50:14.647996
41488	2	2013-08-02 16:06:31.284136	2013-08-04 20:17:30.17561
41452	2	2013-08-02 16:06:31.190694	2013-08-03 23:06:13.830062
41468	2	2013-08-02 16:06:31.232931	2013-08-04 20:17:30.183083
41512	14	2013-08-02 16:06:31.34487	2013-08-04 00:47:38.736716
41480	4	2013-08-02 16:06:31.264089	2013-08-04 20:17:32.453609
41595	19	2013-08-02 16:06:31.544118	2013-08-04 00:47:38.802637
41530	21	2013-08-02 16:06:31.388211	2013-08-04 00:47:49.72572
41538	21	2013-08-02 16:06:31.407679	2013-08-04 00:52:48.68856
41588	4	2013-08-02 16:06:31.527433	2013-08-04 20:17:32.468667
41565	21	2013-08-02 16:06:31.472411	2013-08-04 01:00:52.965974
41570	7	2013-08-02 16:06:31.4844	2013-08-04 01:12:48.921694
41607	7	2013-08-02 16:06:31.576095	2013-08-02 16:06:31.576095
41609	9	2013-08-02 16:06:31.580965	2013-08-02 16:06:31.580965
41757	14	2013-08-02 16:06:31.94832	2013-08-04 17:11:52.081112
41611	11	2013-08-02 16:06:31.585982	2013-08-02 16:06:31.585982
41641	21	2013-08-02 16:06:31.659462	2013-08-04 00:40:47.275022
41614	14	2013-08-02 16:06:31.593851	2013-08-02 16:06:31.593851
41698	21	2013-08-02 16:06:31.806738	2013-08-03 21:19:22.025143
41616	16	2013-08-02 16:06:31.599213	2013-08-02 16:06:31.599213
41652	19	2013-08-02 16:06:31.688287	2013-08-04 20:14:42.895827
41625	7	2013-08-02 16:06:31.621303	2013-08-03 22:45:29.568506
41619	19	2013-08-02 16:06:31.60683	2013-08-02 16:06:31.60683
41737	14	2013-08-02 16:06:31.900498	2013-08-04 17:11:52.085298
41622	2	2013-08-02 16:06:31.614073	2013-08-02 16:06:31.614073
41678	21	2013-08-02 16:06:31.754696	2013-08-03 21:19:22.026694
41624	4	2013-08-02 16:06:31.618866	2013-08-02 16:06:31.618866
41621	21	2013-08-02 16:06:31.611666	2013-08-04 00:40:47.276805
41627	7	2013-08-02 16:06:31.626079	2013-08-02 16:06:31.626079
41629	9	2013-08-02 16:06:31.630825	2013-08-02 16:06:31.630825
41717	14	2013-08-02 16:06:31.852426	2013-08-04 17:11:52.089905
41631	11	2013-08-02 16:06:31.635651	2013-08-02 16:06:31.635651
41697	14	2013-08-02 16:06:31.80426	2013-08-04 17:11:52.097469
41634	14	2013-08-02 16:06:31.642806	2013-08-02 16:06:31.642806
41658	21	2013-08-02 16:06:31.703247	2013-08-03 21:19:22.027827
41636	16	2013-08-02 16:06:31.647609	2013-08-02 16:06:31.647609
41635	21	2013-08-02 16:06:31.645227	2013-08-04 20:17:32.167543
41665	4	2013-08-02 16:06:31.720883	2013-08-03 22:45:29.571606
41639	19	2013-08-02 16:06:31.654682	2013-08-02 16:06:31.654682
41661	19	2013-08-02 16:06:31.710396	2013-08-04 00:44:15.219948
41677	14	2013-08-02 16:06:31.752023	2013-08-04 17:11:52.105017
41642	2	2013-08-02 16:06:31.661871	2013-08-02 16:06:31.661871
41638	21	2013-08-02 16:06:31.652302	2013-08-03 21:19:22.029086
41644	4	2013-08-02 16:06:31.666911	2013-08-02 16:06:31.666911
41748	21	2013-08-02 16:06:31.926849	2013-08-04 20:17:32.17136
41647	7	2013-08-02 16:06:31.674989	2013-08-02 16:06:31.674989
41649	9	2013-08-02 16:06:31.680277	2013-08-02 16:06:31.680277
41657	14	2013-08-02 16:06:31.700882	2013-08-04 17:11:52.112897
41651	11	2013-08-02 16:06:31.68566	2013-08-02 16:06:31.68566
41701	16	2013-08-02 16:06:31.814389	2013-08-04 00:44:15.223233
41654	14	2013-08-02 16:06:31.693614	2013-08-02 16:06:31.693614
41618	21	2013-08-02 16:06:31.604344	2013-08-03 21:19:22.030453
41656	16	2013-08-02 16:06:31.698492	2013-08-02 16:06:31.698492
41728	7	2013-08-02 16:06:31.878603	2013-08-04 20:17:32.193257
41620	2	2013-08-02 16:06:31.609279	2013-08-03 22:45:29.574461
41659	19	2013-08-02 16:06:31.705629	2013-08-02 16:06:31.705629
41681	14	2013-08-02 16:06:31.762511	2013-08-04 17:11:52.122065
41637	14	2013-08-02 16:06:31.649947	2013-08-04 17:11:52.132325
41662	2	2013-08-02 16:06:31.712776	2013-08-02 16:06:31.712776
41664	4	2013-08-02 16:06:31.718215	2013-08-02 16:06:31.718215
41617	14	2013-08-02 16:06:31.601765	2013-08-04 17:11:52.142583
41667	7	2013-08-02 16:06:31.72622	2013-08-02 16:06:31.72622
41669	9	2013-08-02 16:06:31.731586	2013-08-02 16:06:31.731586
769	4	2013-08-02 16:05:05.207744	2013-08-04 17:36:53.785263
41671	11	2013-08-02 16:06:31.736902	2013-08-02 16:06:31.736902
41721	14	2013-08-02 16:06:31.861934	2013-08-04 00:44:15.227039
41674	14	2013-08-02 16:06:31.744229	2013-08-02 16:06:31.744229
41738	11	2013-08-02 16:06:31.902982	2013-08-03 21:24:21.439163
41676	16	2013-08-02 16:06:31.749378	2013-08-02 16:06:31.749378
3804	7	2013-08-02 16:05:11.27368	2013-08-04 20:17:32.207533
41685	21	2013-08-02 16:06:31.772942	2013-08-03 22:45:29.669253
41679	19	2013-08-02 16:06:31.757204	2013-08-02 16:06:31.757204
41695	21	2013-08-02 16:06:31.798944	2013-08-03 22:49:20.987377
700	4	2013-08-02 16:05:05.144897	2013-08-04 17:36:53.795705
41682	2	2013-08-02 16:06:31.765194	2013-08-02 16:06:31.765194
41718	4	2013-08-02 16:06:31.854794	2013-08-03 21:24:21.459053
41684	4	2013-08-02 16:06:31.77047	2013-08-02 16:06:31.77047
41687	7	2013-08-02 16:06:31.777746	2013-08-02 16:06:31.777746
41689	9	2013-08-02 16:06:31.782898	2013-08-02 16:06:31.782898
41691	11	2013-08-02 16:06:31.788257	2013-08-02 16:06:31.788257
41705	21	2013-08-02 16:06:31.823882	2013-08-04 00:47:28.119115
41694	14	2013-08-02 16:06:31.796291	2013-08-02 16:06:31.796291
41610	11	2013-08-02 16:06:31.583369	2013-08-04 00:47:38.739562
41696	16	2013-08-02 16:06:31.801617	2013-08-02 16:06:31.801617
3784	7	2013-08-02 16:05:11.22439	2013-08-04 20:17:32.2202
41745	19	2013-08-02 16:06:31.919674	2013-08-03 22:49:21.01122
41699	19	2013-08-02 16:06:31.809165	2013-08-02 16:06:31.809165
41702	2	2013-08-02 16:06:31.816774	2013-08-02 16:06:31.816774
41640	4	2013-08-02 16:06:31.657116	2013-08-03 21:30:23.266744
41704	4	2013-08-02 16:06:31.821523	2013-08-02 16:06:31.821523
41630	9	2013-08-02 16:06:31.633227	2013-08-04 00:47:38.740555
41707	7	2013-08-02 16:06:31.82866	2013-08-02 16:06:31.82866
41709	9	2013-08-02 16:06:31.833417	2013-08-02 16:06:31.833417
41711	11	2013-08-02 16:06:31.838191	2013-08-02 16:06:31.838191
41714	14	2013-08-02 16:06:31.845308	2013-08-02 16:06:31.845308
41670	7	2013-08-02 16:06:31.734238	2013-08-04 00:47:38.742555
41716	16	2013-08-02 16:06:31.850068	2013-08-02 16:06:31.850068
41650	7	2013-08-02 16:06:31.683006	2013-08-04 20:17:32.236492
41632	2	2013-08-02 16:06:31.63805	2013-08-03 23:01:08.340439
41719	19	2013-08-02 16:06:31.857164	2013-08-02 16:06:31.857164
41722	2	2013-08-02 16:06:31.864308	2013-08-02 16:06:31.864308
41680	2	2013-08-02 16:06:31.759819	2013-08-03 21:30:23.270616
41724	4	2013-08-02 16:06:31.869086	2013-08-02 16:06:31.869086
41727	7	2013-08-02 16:06:31.876218	2013-08-02 16:06:31.876218
41729	9	2013-08-02 16:06:31.881025	2013-08-02 16:06:31.881025
29872	14	2013-08-02 16:06:05.074461	2013-08-04 17:36:53.913811
41731	11	2013-08-02 16:06:31.885766	2013-08-02 16:06:31.885766
29848	14	2013-08-02 16:06:05.014815	2013-08-04 17:36:53.918401
41734	14	2013-08-02 16:06:31.893169	2013-08-02 16:06:31.893169
1371	2	2013-08-02 16:05:06.434308	2013-08-04 20:17:32.269388
41736	16	2013-08-02 16:06:31.898116	2013-08-02 16:06:31.898116
41708	2	2013-08-02 16:06:31.831014	2013-08-04 20:17:32.286139
41710	4	2013-08-02 16:06:31.835794	2013-08-04 00:47:38.745934
41739	19	2013-08-02 16:06:31.90536	2013-08-02 16:06:31.90536
41612	21	2013-08-02 16:06:31.588684	2013-08-03 23:04:24.488479
3787	2	2013-08-02 16:05:11.231817	2013-08-04 20:17:32.30213
41742	2	2013-08-02 16:06:31.912492	2013-08-02 16:06:31.912492
41720	14	2013-08-02 16:06:31.859529	2013-08-03 21:30:42.655105
41744	4	2013-08-02 16:06:31.917338	2013-08-02 16:06:31.917338
1350	2	2013-08-02 16:05:06.382246	2013-08-04 20:17:32.317066
41747	7	2013-08-02 16:06:31.924446	2013-08-02 16:06:31.924446
41749	9	2013-08-02 16:06:31.929273	2013-08-02 16:06:31.929273
1306	14	2013-08-02 16:05:06.270919	2013-08-04 20:17:32.347626
41751	11	2013-08-02 16:06:31.933979	2013-08-02 16:06:31.933979
41750	2	2013-08-02 16:06:31.93161	2013-08-04 00:47:38.747808
41754	14	2013-08-02 16:06:31.941151	2013-08-02 16:06:31.941151
41756	16	2013-08-02 16:06:31.945935	2013-08-02 16:06:31.945935
41688	14	2013-08-02 16:06:31.780154	2013-08-04 20:17:32.363389
41725	4	2013-08-02 16:06:31.871431	2013-08-04 00:50:53.737053
41759	19	2013-08-02 16:06:31.953098	2013-08-02 16:06:31.953098
41692	14	2013-08-02 16:06:31.790973	2013-08-03 23:06:13.956944
41668	14	2013-08-02 16:06:31.728929	2013-08-04 20:17:32.378156
41762	2	2013-08-02 16:06:31.960268	2013-08-02 16:06:31.960268
41643	9	2013-08-02 16:06:31.66426	2013-08-03 19:29:58.641306
41615	9	2013-08-02 16:06:31.596389	2013-08-03 19:50:14.654214
41655	7	2013-08-02 16:06:31.69607	2013-08-03 19:50:14.659377
41648	14	2013-08-02 16:06:31.677628	2013-08-04 20:17:32.39407
41730	21	2013-08-02 16:06:31.883389	2013-08-04 01:00:52.965139
41660	21	2013-08-02 16:06:31.707993	2013-08-03 21:30:42.786048
41732	11	2013-08-02 16:06:31.88831	2013-08-03 23:06:13.959318
41628	4	2013-08-02 16:06:31.62844	2013-08-04 20:17:32.424261
41760	9	2013-08-02 16:06:31.955434	2013-08-03 23:06:13.96175
41672	4	2013-08-02 16:06:31.739373	2013-08-03 23:11:27.983666
41608	4	2013-08-02 16:06:31.578551	2013-08-04 20:17:32.438683
41918	21	2013-08-02 16:06:32.365273	2013-08-03 21:24:21.269144
41764	4	2013-08-02 16:06:31.965696	2013-08-02 16:06:31.965696
41835	2	2013-08-02 16:06:32.150984	2013-08-04 17:11:56.034361
41767	7	2013-08-02 16:06:31.97359	2013-08-02 16:06:31.97359
41769	9	2013-08-02 16:06:31.97871	2013-08-02 16:06:31.97871
41917	2	2013-08-02 16:06:32.362868	2013-08-04 17:11:56.038192
41771	11	2013-08-02 16:06:31.983605	2013-08-02 16:06:31.983605
41801	9	2013-08-02 16:06:32.063115	2013-08-04 00:44:15.235064
41774	14	2013-08-02 16:06:31.991048	2013-08-02 16:06:31.991048
41898	21	2013-08-02 16:06:32.314321	2013-08-03 21:24:21.272907
41776	16	2013-08-02 16:06:31.995896	2013-08-02 16:06:31.995896
41765	21	2013-08-02 16:06:31.968156	2013-08-03 22:49:20.982449
41779	19	2013-08-02 16:06:32.003704	2013-08-02 16:06:32.003704
41785	9	2013-08-02 16:06:32.019734	2013-08-03 22:50:05.508256
41897	2	2013-08-02 16:06:32.311614	2013-08-04 17:11:56.041781
41782	2	2013-08-02 16:06:32.011716	2013-08-02 16:06:32.011716
41878	14	2013-08-02 16:06:32.263391	2013-08-03 21:24:21.287838
41784	4	2013-08-02 16:06:32.017092	2013-08-02 16:06:32.017092
41787	7	2013-08-02 16:06:32.025068	2013-08-02 16:06:32.025068
41789	9	2013-08-02 16:06:32.030359	2013-08-02 16:06:32.030359
41877	2	2013-08-02 16:06:32.260743	2013-08-04 17:11:56.045715
41791	11	2013-08-02 16:06:32.035693	2013-08-02 16:06:32.035693
41841	7	2013-08-02 16:06:32.165967	2013-08-04 00:44:15.238141
41794	14	2013-08-02 16:06:32.043706	2013-08-02 16:06:32.043706
41858	19	2013-08-02 16:06:32.210416	2013-08-03 21:24:21.306529
41796	16	2013-08-02 16:06:32.049371	2013-08-02 16:06:32.049371
41786	16	2013-08-02 16:06:32.022399	2013-08-04 20:14:42.902183
41799	19	2013-08-02 16:06:32.057454	2013-08-02 16:06:32.057454
41825	7	2013-08-02 16:06:32.125746	2013-08-03 22:50:05.511132
41857	2	2013-08-02 16:06:32.208007	2013-08-04 17:11:56.051129
41802	2	2013-08-02 16:06:32.065766	2013-08-02 16:06:32.065766
41804	4	2013-08-02 16:06:32.071065	2013-08-02 16:06:32.071065
41807	7	2013-08-02 16:06:32.078935	2013-08-02 16:06:32.078935
41809	9	2013-08-02 16:06:32.083829	2013-08-02 16:06:32.083829
41770	2	2013-08-02 16:06:31.981227	2013-08-04 17:11:56.060552
41811	11	2013-08-02 16:06:32.088864	2013-08-02 16:06:32.088864
41837	2	2013-08-02 16:06:32.155734	2013-08-04 17:11:56.071906
41814	14	2013-08-02 16:06:32.096581	2013-08-02 16:06:32.096581
41817	2	2013-08-02 16:06:32.104524	2013-08-04 17:11:56.077327
41816	16	2013-08-02 16:06:32.101894	2013-08-02 16:06:32.101894
41838	16	2013-08-02 16:06:32.158121	2013-08-04 20:14:55.907962
41819	19	2013-08-02 16:06:32.109876	2013-08-02 16:06:32.109876
41865	4	2013-08-02 16:06:32.228611	2013-08-03 22:50:05.515308
41797	2	2013-08-02 16:06:32.05201	2013-08-04 17:11:56.080884
41822	2	2013-08-02 16:06:32.117868	2013-08-02 16:06:32.117868
41798	2	2013-08-02 16:06:32.054698	2013-08-03 21:24:21.373918
41824	4	2013-08-02 16:06:32.123074	2013-08-02 16:06:32.123074
41881	4	2013-08-02 16:06:32.271003	2013-08-04 00:44:15.242953
41827	7	2013-08-02 16:06:32.131035	2013-08-02 16:06:32.131035
41829	9	2013-08-02 16:06:32.136183	2013-08-02 16:06:32.136183
41777	2	2013-08-02 16:06:31.998594	2013-08-04 17:11:56.085042
41831	11	2013-08-02 16:06:32.141273	2013-08-02 16:06:32.141273
41912	9	2013-08-02 16:06:32.350914	2013-08-04 00:45:50.200381
41834	14	2013-08-02 16:06:32.148613	2013-08-02 16:06:32.148613
41780	11	2013-08-02 16:06:32.006416	2013-08-03 21:30:42.660855
41836	16	2013-08-02 16:06:32.15337	2013-08-02 16:06:32.15337
41781	19	2013-08-02 16:06:32.009083	2013-08-04 00:52:39.487013
41839	19	2013-08-02 16:06:32.160476	2013-08-02 16:06:32.160476
41900	2	2013-08-02 16:06:32.320062	2013-08-03 22:50:05.519338
29912	14	2013-08-02 16:06:05.180555	2013-08-04 17:36:53.922647
41842	2	2013-08-02 16:06:32.168926	2013-08-02 16:06:32.168926
29828	14	2013-08-02 16:06:04.961825	2013-08-04 17:36:53.926398
41844	4	2013-08-02 16:06:32.174663	2013-08-02 16:06:32.174663
41833	14	2013-08-02 16:06:32.146171	2013-08-04 20:14:55.911584
41847	7	2013-08-02 16:06:32.182679	2013-08-02 16:06:32.182679
41849	9	2013-08-02 16:06:32.187979	2013-08-02 16:06:32.187979
29808	4	2013-08-02 16:06:04.909936	2013-08-04 17:36:53.936998
41851	11	2013-08-02 16:06:32.193289	2013-08-02 16:06:32.193289
41790	16	2013-08-02 16:06:32.033051	2013-08-04 00:52:39.490631
41854	14	2013-08-02 16:06:32.200844	2013-08-02 16:06:32.200844
41820	9	2013-08-02 16:06:32.112512	2013-08-03 21:30:42.663828
41856	16	2013-08-02 16:06:32.205628	2013-08-02 16:06:32.205628
14739	4	2013-08-02 16:05:32.498994	2013-08-04 17:36:53.944708
41859	19	2013-08-02 16:06:32.212812	2013-08-02 16:06:32.212812
41885	14	2013-08-02 16:06:32.281433	2013-08-03 22:54:23.401581
29788	4	2013-08-02 16:06:04.869947	2013-08-04 17:36:53.955642
41862	2	2013-08-02 16:06:32.220684	2013-08-02 16:06:32.220684
41864	4	2013-08-02 16:06:32.225975	2013-08-02 16:06:32.225975
29730	4	2013-08-02 16:06:04.755098	2013-08-04 17:36:53.966545
41867	7	2013-08-02 16:06:32.233876	2013-08-02 16:06:32.233876
41869	9	2013-08-02 16:06:32.239171	2013-08-02 16:06:32.239171
29768	4	2013-08-02 16:06:04.830256	2013-08-04 17:36:53.978069
41871	11	2013-08-02 16:06:32.244776	2013-08-02 16:06:32.244776
41818	14	2013-08-02 16:06:32.107221	2013-08-04 00:52:39.494878
41874	14	2013-08-02 16:06:32.252731	2013-08-02 16:06:32.252731
41860	7	2013-08-02 16:06:32.215168	2013-08-03 21:30:42.666462
41876	16	2013-08-02 16:06:32.258	2013-08-02 16:06:32.258
41873	11	2013-08-02 16:06:32.250093	2013-08-04 20:14:55.914256
41879	19	2013-08-02 16:06:32.266048	2013-08-02 16:06:32.266048
41792	7	2013-08-02 16:06:32.038362	2013-08-03 23:06:13.963996
29755	4	2013-08-02 16:06:04.804593	2013-08-04 17:36:53.987992
41882	2	2013-08-02 16:06:32.273628	2013-08-02 16:06:32.273628
41884	4	2013-08-02 16:06:32.278927	2013-08-02 16:06:32.278927
41887	7	2013-08-02 16:06:32.286266	2013-08-02 16:06:32.286266
41889	9	2013-08-02 16:06:32.291031	2013-08-02 16:06:32.291031
29748	2	2013-08-02 16:06:04.790744	2013-08-04 17:36:54.001217
41891	11	2013-08-02 16:06:32.295783	2013-08-02 16:06:32.295783
19126	2	2013-08-02 16:05:41.147081	2013-08-04 17:36:54.005256
41894	14	2013-08-02 16:06:32.303614	2013-08-02 16:06:32.303614
41850	11	2013-08-02 16:06:32.190629	2013-08-04 00:52:39.501948
41896	16	2013-08-02 16:06:32.308978	2013-08-02 16:06:32.308978
41899	19	2013-08-02 16:06:32.317025	2013-08-02 16:06:32.317025
41870	9	2013-08-02 16:06:32.241933	2013-08-04 00:52:39.504346
29728	2	2013-08-02 16:06:04.751103	2013-08-04 17:36:54.010065
41902	2	2013-08-02 16:06:32.325152	2013-08-02 16:06:32.325152
41795	4	2013-08-02 16:06:32.046502	2013-08-03 21:30:42.670923
41904	4	2013-08-02 16:06:32.330464	2013-08-02 16:06:32.330464
41907	7	2013-08-02 16:06:32.338258	2013-08-02 16:06:32.338258
41909	9	2013-08-02 16:06:32.343583	2013-08-02 16:06:32.343583
29710	2	2013-08-02 16:06:04.716291	2013-08-04 17:36:54.014857
41911	11	2013-08-02 16:06:32.348428	2013-08-02 16:06:32.348428
41893	9	2013-08-02 16:06:32.3009	2013-08-04 20:14:55.916442
41914	14	2013-08-02 16:06:32.355717	2013-08-02 16:06:32.355717
41852	4	2013-08-02 16:06:32.195918	2013-08-03 23:06:13.968241
41916	16	2013-08-02 16:06:32.360477	2013-08-02 16:06:32.360477
41810	21	2013-08-02 16:06:32.086248	2013-08-04 01:15:48.990432
41919	19	2013-08-02 16:06:32.36761	2013-08-02 16:06:32.36761
41903	4	2013-08-02 16:06:32.327794	2013-08-03 19:32:37.40279
41895	7	2013-08-02 16:06:32.306303	2013-08-04 20:14:55.91846
41892	2	2013-08-02 16:06:32.298146	2013-08-03 23:06:13.97194
41815	19	2013-08-02 16:06:32.099217	2013-08-03 19:50:33.876744
41830	21	2013-08-02 16:06:32.138676	2013-08-04 20:17:30.266485
41855	16	2013-08-02 16:06:32.20323	2013-08-03 19:50:33.883647
41875	14	2013-08-02 16:06:32.255339	2013-08-03 19:50:33.887105
41853	2	2013-08-02 16:06:32.198423	2013-08-04 20:17:30.548159
41872	21	2013-08-02 16:06:32.247439	2013-08-03 23:06:23.350128
41768	21	2013-08-02 16:06:31.976225	2013-08-04 20:17:32.163327
41766	2	2013-08-02 16:06:31.970722	2013-08-04 20:17:33.333163
41832	21	2013-08-02 16:06:32.143736	2013-08-03 23:12:12.717746
41788	9	2013-08-02 16:06:32.027705	2013-08-04 20:20:23.469209
41805	7	2013-08-02 16:06:32.073691	2013-08-04 20:20:23.473133
41848	4	2013-08-02 16:06:32.185331	2013-08-04 20:20:23.4839
41868	2	2013-08-02 16:06:32.236479	2013-08-04 20:20:23.49103
41808	21	2013-08-02 16:06:32.081448	2013-08-04 20:20:28.310224
41828	21	2013-08-02 16:06:32.133687	2013-08-04 20:20:39.432803
41840	2	2013-08-02 16:06:32.163273	2013-08-04 20:22:38.25054
41913	2	2013-08-02 16:06:32.353361	2013-08-04 20:22:39.00412
41908	2	2013-08-02 16:06:32.340939	2013-08-04 20:22:39.009647
41890	2	2013-08-02 16:06:32.293429	2013-08-04 20:22:39.016343
41888	2	2013-08-02 16:06:32.288662	2013-08-04 20:22:39.022095
41821	21	2013-08-02 16:06:32.11519	2013-08-04 20:22:39.084707
41813	21	2013-08-02 16:06:32.093926	2013-08-04 20:22:39.085786
41772	21	2013-08-02 16:06:31.986005	2013-08-04 20:22:40.135709
42055	11	2013-08-02 16:06:32.706675	2013-08-03 22:54:23.506864
42037	2	2013-08-02 16:06:32.663565	2013-08-04 17:11:55.956517
41922	2	2013-08-02 16:06:32.375011	2013-08-02 16:06:32.375011
41958	21	2013-08-02 16:06:32.462965	2013-08-03 21:24:21.261074
41924	4	2013-08-02 16:06:32.380317	2013-08-02 16:06:32.380317
42061	14	2013-08-02 16:06:32.721034	2013-08-04 00:45:50.071896
41927	7	2013-08-02 16:06:32.388273	2013-08-02 16:06:32.388273
41929	9	2013-08-02 16:06:32.393267	2013-08-02 16:06:32.393267
42017	2	2013-08-02 16:06:32.615005	2013-08-04 17:11:55.968828
41931	11	2013-08-02 16:06:32.398023	2013-08-02 16:06:32.398023
41934	14	2013-08-02 16:06:32.405202	2013-08-02 16:06:32.405202
41938	21	2013-08-02 16:06:32.414712	2013-08-03 21:24:21.265408
41936	16	2013-08-02 16:06:32.409927	2013-08-02 16:06:32.409927
42065	16	2013-08-02 16:06:32.730562	2013-08-03 22:54:23.516108
41939	19	2013-08-02 16:06:32.417098	2013-08-02 16:06:32.417098
42045	2	2013-08-02 16:06:32.682792	2013-08-04 17:11:55.980406
41997	2	2013-08-02 16:06:32.56482	2013-08-04 17:11:55.991705
41942	2	2013-08-02 16:06:32.424232	2013-08-02 16:06:32.424232
41921	19	2013-08-02 16:06:32.372436	2013-08-04 20:14:48.377269
41944	4	2013-08-02 16:06:32.428999	2013-08-02 16:06:32.428999
41977	2	2013-08-02 16:06:32.512821	2013-08-04 17:11:56.002795
41947	7	2013-08-02 16:06:32.436125	2013-08-02 16:06:32.436125
41949	9	2013-08-02 16:06:32.440925	2013-08-02 16:06:32.440925
41957	2	2013-08-02 16:06:32.460523	2013-08-04 17:11:56.014564
41951	11	2013-08-02 16:06:32.445596	2013-08-02 16:06:32.445596
41954	14	2013-08-02 16:06:32.452638	2013-08-02 16:06:32.452638
42038	7	2013-08-02 16:06:32.665943	2013-08-03 21:24:21.839945
41956	16	2013-08-02 16:06:32.458096	2013-08-02 16:06:32.458096
41930	16	2013-08-02 16:06:32.39564	2013-08-04 20:14:48.384525
41959	19	2013-08-02 16:06:32.46554	2013-08-02 16:06:32.46554
42005	7	2013-08-02 16:06:32.584852	2013-08-03 22:54:23.540858
42001	2	2013-08-02 16:06:32.574776	2013-08-04 17:11:56.018237
41962	2	2013-08-02 16:06:32.473174	2013-08-02 16:06:32.473174
42018	9	2013-08-02 16:06:32.617636	2013-08-03 21:24:21.850662
41964	4	2013-08-02 16:06:32.478425	2013-08-02 16:06:32.478425
42058	2	2013-08-02 16:06:32.713844	2013-08-04 17:11:56.025186
41967	7	2013-08-02 16:06:32.486406	2013-08-02 16:06:32.486406
41969	9	2013-08-02 16:06:32.491666	2013-08-02 16:06:32.491666
41937	2	2013-08-02 16:06:32.412323	2013-08-04 17:11:56.030425
41971	11	2013-08-02 16:06:32.496877	2013-08-02 16:06:32.496877
41998	16	2013-08-02 16:06:32.567213	2013-08-04 00:45:50.138167
41974	14	2013-08-02 16:06:32.504861	2013-08-02 16:06:32.504861
42057	19	2013-08-02 16:06:32.711404	2013-08-04 17:13:51.122842
41976	16	2013-08-02 16:06:32.510116	2013-08-02 16:06:32.510116
41979	19	2013-08-02 16:06:32.518106	2013-08-02 16:06:32.518106
42030	16	2013-08-02 16:06:32.646907	2013-08-04 17:13:51.124195
29708	2	2013-08-02 16:06:04.712638	2013-08-04 17:36:54.020557
41982	2	2013-08-02 16:06:32.526113	2013-08-02 16:06:32.526113
41978	2	2013-08-02 16:06:32.515479	2013-08-03 21:24:21.88468
41984	4	2013-08-02 16:06:32.531419	2013-08-02 16:06:32.531419
41941	19	2013-08-02 16:06:32.42182	2013-08-04 00:45:50.171844
41987	7	2013-08-02 16:06:32.538859	2013-08-02 16:06:32.538859
41989	9	2013-08-02 16:06:32.544105	2013-08-02 16:06:32.544105
29688	2	2013-08-02 16:06:04.678161	2013-08-04 17:36:54.026479
41991	11	2013-08-02 16:06:32.549463	2013-08-02 16:06:32.549463
41994	14	2013-08-02 16:06:32.557472	2013-08-02 16:06:32.557472
41996	16	2013-08-02 16:06:32.562411	2013-08-02 16:06:32.562411
41953	4	2013-08-02 16:06:32.450286	2013-08-04 20:14:55.923201
41999	19	2013-08-02 16:06:32.569628	2013-08-02 16:06:32.569628
30078	4	2013-08-02 16:06:05.572321	2013-08-04 17:36:54.06343
42002	2	2013-08-02 16:06:32.577195	2013-08-02 16:06:32.577195
41940	2	2013-08-02 16:06:32.419453	2013-08-03 21:30:42.674232
42004	4	2013-08-02 16:06:32.582158	2013-08-02 16:06:32.582158
42007	7	2013-08-02 16:06:32.590048	2013-08-02 16:06:32.590048
42009	9	2013-08-02 16:06:32.594884	2013-08-02 16:06:32.594884
30080	4	2013-08-02 16:06:05.575101	2013-08-04 17:36:54.075278
42011	11	2013-08-02 16:06:32.600154	2013-08-02 16:06:32.600154
30128	4	2013-08-02 16:06:05.659882	2013-08-04 17:36:54.086869
42014	14	2013-08-02 16:06:32.607586	2013-08-02 16:06:32.607586
30108	4	2013-08-02 16:06:05.62044	2013-08-04 17:36:54.098078
42016	16	2013-08-02 16:06:32.612374	2013-08-02 16:06:32.612374
41952	14	2013-08-02 16:06:32.447857	2013-08-03 23:06:34.274894
42019	19	2013-08-02 16:06:32.620269	2013-08-02 16:06:32.620269
30088	4	2013-08-02 16:06:05.586303	2013-08-04 17:36:54.107389
42022	2	2013-08-02 16:06:32.62766	2013-08-02 16:06:32.62766
41920	21	2013-08-02 16:06:32.369967	2013-08-03 21:30:42.787196
42024	4	2013-08-02 16:06:32.632462	2013-08-02 16:06:32.632462
41950	4	2013-08-02 16:06:32.443261	2013-08-04 00:52:39.518871
42027	7	2013-08-02 16:06:32.639686	2013-08-02 16:06:32.639686
42029	9	2013-08-02 16:06:32.644494	2013-08-02 16:06:32.644494
30010	4	2013-08-02 16:06:05.418011	2013-08-04 17:36:54.111423
42031	11	2013-08-02 16:06:32.649274	2013-08-02 16:06:32.649274
30068	4	2013-08-02 16:06:05.560962	2013-08-04 17:36:54.11627
42034	14	2013-08-02 16:06:32.656411	2013-08-02 16:06:32.656411
42036	16	2013-08-02 16:06:32.661174	2013-08-02 16:06:32.661174
41993	2	2013-08-02 16:06:32.554752	2013-08-04 20:14:55.926032
41992	11	2013-08-02 16:06:32.552097	2013-08-03 23:06:34.280452
42039	19	2013-08-02 16:06:32.668315	2013-08-02 16:06:32.668315
41973	2	2013-08-02 16:06:32.502162	2013-08-04 20:17:29.461124
42042	2	2013-08-02 16:06:32.675546	2013-08-02 16:06:32.675546
42040	11	2013-08-02 16:06:32.670708	2013-08-03 21:34:22.26879
42044	4	2013-08-02 16:06:32.680298	2013-08-02 16:06:32.680298
41990	2	2013-08-02 16:06:32.546781	2013-08-04 00:52:39.525291
42047	7	2013-08-02 16:06:32.687551	2013-08-02 16:06:32.687551
42049	9	2013-08-02 16:06:32.692357	2013-08-02 16:06:32.692357
41933	21	2013-08-02 16:06:32.402813	2013-08-04 20:17:29.502992
42051	11	2013-08-02 16:06:32.697109	2013-08-02 16:06:32.697109
42041	2	2013-08-02 16:06:32.673175	2013-08-04 20:17:29.943784
42054	14	2013-08-02 16:06:32.704276	2013-08-02 16:06:32.704276
42020	11	2013-08-02 16:06:32.622786	2013-08-03 21:34:22.280518
42056	16	2013-08-02 16:06:32.709044	2013-08-02 16:06:32.709044
41986	2	2013-08-02 16:06:32.536425	2013-08-04 20:17:31.343473
42032	9	2013-08-02 16:06:32.651622	2013-08-03 23:06:34.287575
42059	19	2013-08-02 16:06:32.716241	2013-08-02 16:06:32.716241
41945	2	2013-08-02 16:06:32.431349	2013-08-04 20:17:31.391736
42062	2	2013-08-02 16:06:32.723399	2013-08-02 16:06:32.723399
42000	7	2013-08-02 16:06:32.57229	2013-08-03 21:34:22.304908
42064	4	2013-08-02 16:06:32.728167	2013-08-02 16:06:32.728167
41981	2	2013-08-02 16:06:32.523457	2013-08-04 20:17:33.323214
42067	7	2013-08-02 16:06:32.735284	2013-08-02 16:06:32.735284
42069	9	2013-08-02 16:06:32.739968	2013-08-02 16:06:32.739968
42071	11	2013-08-02 16:06:32.744769	2013-08-02 16:06:32.744769
42010	21	2013-08-02 16:06:32.597493	2013-08-04 00:52:48.689909
42074	14	2013-08-02 16:06:32.751875	2013-08-02 16:06:32.751875
41980	7	2013-08-02 16:06:32.520812	2013-08-03 21:34:22.311517
42076	16	2013-08-02 16:06:32.756612	2013-08-02 16:06:32.756612
41935	11	2013-08-02 16:06:32.407553	2013-08-03 19:50:33.898167
41975	9	2013-08-02 16:06:32.507468	2013-08-03 19:50:33.905026
42015	7	2013-08-02 16:06:32.610004	2013-08-03 19:50:33.91203
42021	19	2013-08-02 16:06:32.625266	2013-08-04 00:52:59.184218
42072	7	2013-08-02 16:06:32.747121	2013-08-03 23:06:34.29479
41932	2	2013-08-02 16:06:32.400371	2013-08-03 23:11:27.972065
42012	16	2013-08-02 16:06:32.602672	2013-08-04 00:52:59.360172
42070	14	2013-08-02 16:06:32.74239	2013-08-04 00:52:59.367467
41970	21	2013-08-02 16:06:32.494358	2013-08-04 01:00:52.687234
42073	2	2013-08-02 16:06:32.749529	2013-08-04 20:22:38.933157
41960	21	2013-08-02 16:06:32.46816	2013-08-04 01:00:52.964227
41961	4	2013-08-02 16:06:32.470649	2013-08-04 01:12:48.932745
41955	2	2013-08-02 16:06:32.455339	2013-08-04 20:22:38.938257
42068	2	2013-08-02 16:06:32.737676	2013-08-04 20:22:38.943801
42052	2	2013-08-02 16:06:32.699443	2013-08-04 20:22:38.949731
42048	2	2013-08-02 16:06:32.689971	2013-08-04 20:22:38.956377
42028	2	2013-08-02 16:06:32.642132	2013-08-04 20:22:38.961906
42008	2	2013-08-02 16:06:32.592444	2013-08-04 20:22:38.967573
41988	2	2013-08-02 16:06:32.541464	2013-08-04 20:22:38.972828
41985	2	2013-08-02 16:06:32.533963	2013-08-04 20:22:38.978953
41968	2	2013-08-02 16:06:32.489021	2013-08-04 20:22:38.985257
41948	2	2013-08-02 16:06:32.438516	2013-08-04 20:22:38.992651
41928	2	2013-08-02 16:06:32.390801	2013-08-04 20:22:38.99868
42226	2	2013-08-02 16:06:33.316675	2013-08-04 20:17:29.917541
42225	21	2013-08-02 16:06:33.313959	2013-08-03 22:54:23.432303
42079	19	2013-08-02 16:06:32.763831	2013-08-02 16:06:32.763831
42205	21	2013-08-02 16:06:33.260465	2013-08-03 22:54:23.4346
42170	2	2013-08-02 16:06:33.166946	2013-08-04 20:17:29.931422
42082	2	2013-08-02 16:06:32.770905	2013-08-02 16:06:32.770905
42218	14	2013-08-02 16:06:33.295187	2013-08-03 21:24:21.651884
42084	4	2013-08-02 16:06:32.775674	2013-08-02 16:06:32.775674
42121	21	2013-08-02 16:06:33.086331	2013-08-04 00:45:50.033058
42087	7	2013-08-02 16:06:32.78289	2013-08-02 16:06:32.78289
42089	9	2013-08-02 16:06:32.787641	2013-08-02 16:06:32.787641
42097	14	2013-08-02 16:06:32.808695	2013-08-04 17:13:51.127597
42091	11	2013-08-02 16:06:32.792409	2013-08-02 16:06:32.792409
42101	21	2013-08-02 16:06:32.81912	2013-08-04 00:45:50.035506
42094	14	2013-08-02 16:06:32.800672	2013-08-02 16:06:32.800672
42198	19	2013-08-02 16:06:33.241928	2013-08-03 21:24:21.673912
42096	16	2013-08-02 16:06:32.805986	2013-08-02 16:06:32.805986
42185	21	2013-08-02 16:06:33.207724	2013-08-03 22:54:23.436978
42099	19	2013-08-02 16:06:32.813894	2013-08-02 16:06:32.813894
42165	21	2013-08-02 16:06:33.157131	2013-08-03 22:54:23.439437
42102	2	2013-08-02 16:06:32.82162	2013-08-02 16:06:32.82162
42104	4	2013-08-02 16:06:32.826401	2013-08-02 16:06:32.826401
42137	11	2013-08-02 16:06:33.107662	2013-08-04 17:13:51.13214
42107	7	2013-08-02 16:06:33.070994	2013-08-02 16:06:33.070994
42109	9	2013-08-02 16:06:33.073365	2013-08-02 16:06:33.073365
42111	11	2013-08-02 16:06:33.075621	2013-08-02 16:06:33.075621
42081	2	2013-08-02 16:06:32.768527	2013-08-04 00:45:50.44759
42114	14	2013-08-02 16:06:33.07889	2013-08-02 16:06:33.07889
42158	4	2013-08-02 16:06:33.144163	2013-08-03 21:24:21.720262
42116	16	2013-08-02 16:06:33.080978	2013-08-02 16:06:33.080978
42145	21	2013-08-02 16:06:33.12027	2013-08-03 22:54:23.441502
42119	19	2013-08-02 16:06:33.084075	2013-08-02 16:06:33.084075
42220	4	2013-08-02 16:06:33.300464	2013-08-03 22:54:23.452828
42157	9	2013-08-02 16:06:33.142301	2013-08-04 17:13:51.136424
42122	2	2013-08-02 16:06:33.08747	2013-08-02 16:06:33.08747
42124	4	2013-08-02 16:06:33.089985	2013-08-02 16:06:33.089985
42127	7	2013-08-02 16:06:33.093828	2013-08-02 16:06:33.093828
42129	9	2013-08-02 16:06:33.09634	2013-08-02 16:06:33.09634
42077	21	2013-08-02 16:06:32.758958	2013-08-04 17:14:14.963563
42131	11	2013-08-02 16:06:33.099139	2013-08-02 16:06:33.099139
42161	19	2013-08-02 16:06:33.149831	2013-08-04 00:47:03.57434
42134	14	2013-08-02 16:06:33.103513	2013-08-02 16:06:33.103513
42136	16	2013-08-02 16:06:33.106241	2013-08-02 16:06:33.106241
42201	16	2013-08-02 16:06:33.249913	2013-08-04 00:47:03.577791
42139	19	2013-08-02 16:06:33.110754	2013-08-02 16:06:33.110754
42130	21	2013-08-02 16:06:33.097739	2013-08-04 20:22:40.719054
42105	21	2013-08-02 16:06:32.828802	2013-08-04 17:16:51.917224
42142	2	2013-08-02 16:06:33.115651	2013-08-02 16:06:33.115651
42200	16	2013-08-02 16:06:33.247425	2013-08-03 21:34:22.127161
42144	4	2013-08-02 16:06:33.118811	2013-08-02 16:06:33.118811
42181	2	2013-08-02 16:06:33.197345	2013-08-04 17:16:52.157358
42147	7	2013-08-02 16:06:33.123811	2013-08-02 16:06:33.123811
42149	9	2013-08-02 16:06:33.127619	2013-08-02 16:06:33.127619
30048	4	2013-08-02 16:06:05.512082	2013-08-04 17:36:54.120307
42151	11	2013-08-02 16:06:33.131338	2013-08-02 16:06:33.131338
42221	14	2013-08-02 16:06:33.303182	2013-08-04 00:47:03.581239
42154	14	2013-08-02 16:06:33.136719	2013-08-02 16:06:33.136719
42180	16	2013-08-02 16:06:33.194606	2013-08-03 21:34:22.138575
42156	16	2013-08-02 16:06:33.140429	2013-08-02 16:06:33.140429
42188	21	2013-08-02 16:06:33.2152	2013-08-04 20:22:40.723354
42125	2	2013-08-02 16:06:33.091272	2013-08-03 22:59:25.390664
42159	19	2013-08-02 16:06:33.146097	2013-08-02 16:06:33.146097
26701	4	2013-08-02 16:05:57.760388	2013-08-04 17:36:54.124475
42162	2	2013-08-02 16:06:33.151672	2013-08-02 16:06:33.151672
42160	19	2013-08-02 16:06:33.147971	2013-08-03 21:34:22.161417
42164	4	2013-08-02 16:06:33.155327	2013-08-02 16:06:33.155327
42167	7	2013-08-02 16:06:33.160964	2013-08-02 16:06:33.160964
42169	9	2013-08-02 16:06:33.164951	2013-08-02 16:06:33.164951
30028	4	2013-08-02 16:06:05.463038	2013-08-04 17:36:54.129145
42171	11	2013-08-02 16:06:33.169612	2013-08-02 16:06:33.169612
42141	21	2013-08-02 16:06:33.114019	2013-08-04 00:47:28.121474
42174	14	2013-08-02 16:06:33.178689	2013-08-02 16:06:33.178689
42140	19	2013-08-02 16:06:33.112379	2013-08-03 21:34:22.173163
42176	16	2013-08-02 16:06:33.183893	2013-08-02 16:06:33.183893
42168	21	2013-08-02 16:06:33.162945	2013-08-04 20:22:40.727224
30008	4	2013-08-02 16:06:05.413035	2013-08-04 17:36:54.135475
42179	19	2013-08-02 16:06:33.191921	2013-08-02 16:06:33.191921
42132	4	2013-08-02 16:06:33.100551	2013-08-03 23:06:34.305233
29995	4	2013-08-02 16:06:05.38183	2013-08-04 17:36:54.141906
42182	2	2013-08-02 16:06:33.199854	2013-08-02 16:06:33.199854
42148	2	2013-08-02 16:06:33.125692	2013-08-04 20:22:40.750912
42184	4	2013-08-02 16:06:33.205228	2013-08-02 16:06:33.205228
42178	11	2013-08-02 16:06:33.189273	2013-08-04 00:52:59.378368
42187	7	2013-08-02 16:06:33.212593	2013-08-02 16:06:33.212593
42189	9	2013-08-02 16:06:33.217942	2013-08-02 16:06:33.217942
20946	4	2013-08-02 16:05:45.139094	2013-08-04 17:36:54.147627
42191	11	2013-08-02 16:06:33.223322	2013-08-02 16:06:33.223322
42110	9	2013-08-02 16:06:33.074494	2013-08-04 00:52:59.382058
42194	14	2013-08-02 16:06:33.231354	2013-08-02 16:06:33.231354
42173	2	2013-08-02 16:06:33.17627	2013-08-04 20:22:40.765109
42196	16	2013-08-02 16:06:33.23673	2013-08-02 16:06:33.23673
42193	2	2013-08-02 16:06:33.228708	2013-08-04 20:22:40.778951
42199	19	2013-08-02 16:06:33.244621	2013-08-02 16:06:33.244621
42172	2	2013-08-02 16:06:33.173443	2013-08-03 23:06:34.311309
29988	4	2013-08-02 16:06:05.365108	2013-08-04 17:36:54.151731
42202	2	2013-08-02 16:06:33.252397	2013-08-02 16:06:33.252397
42204	4	2013-08-02 16:06:33.257799	2013-08-02 16:06:33.257799
42150	7	2013-08-02 16:06:33.129551	2013-08-04 00:52:59.389204
42207	7	2013-08-02 16:06:33.265809	2013-08-02 16:06:33.265809
42209	9	2013-08-02 16:06:33.271161	2013-08-02 16:06:33.271161
29937	4	2013-08-02 16:06:05.240268	2013-08-04 17:36:54.158966
42211	11	2013-08-02 16:06:33.276437	2013-08-02 16:06:33.276437
42214	14	2013-08-02 16:06:33.284431	2013-08-02 16:06:33.284431
29985	4	2013-08-02 16:06:05.357965	2013-08-04 17:36:54.16778
42216	16	2013-08-02 16:06:33.289826	2013-08-02 16:06:33.289826
42128	2	2013-08-02 16:06:33.095092	2013-08-04 20:22:40.79496
42112	11	2013-08-02 16:06:33.076762	2013-08-03 23:06:34.367394
42219	19	2013-08-02 16:06:33.297852	2013-08-02 16:06:33.297852
29968	4	2013-08-02 16:06:05.316264	2013-08-04 17:36:54.178102
29948	4	2013-08-02 16:06:05.267288	2013-08-04 17:36:54.188791
42222	2	2013-08-02 16:06:33.305889	2013-08-02 16:06:33.305889
42152	21	2013-08-02 16:06:33.133093	2013-08-03 23:11:28.198746
42224	4	2013-08-02 16:06:33.311239	2013-08-02 16:06:33.311239
42210	4	2013-08-02 16:06:33.273787	2013-08-04 00:52:59.400125
42227	7	2013-08-02 16:06:33.319159	2013-08-02 16:06:33.319159
42229	9	2013-08-02 16:06:33.324006	2013-08-02 16:06:33.324006
29928	4	2013-08-02 16:06:05.218798	2013-08-04 17:36:54.199837
42231	11	2013-08-02 16:06:33.328869	2013-08-02 16:06:33.328869
39355	4	2013-08-02 16:06:26.96703	2013-08-04 17:36:54.237332
42143	16	2013-08-02 16:06:33.117288	2013-08-03 19:33:53.476945
42212	14	2013-08-02 16:06:33.279147	2013-08-03 23:12:12.667018
42115	2	2013-08-02 16:06:33.079924	2013-08-03 19:50:33.931261
42177	14	2013-08-02 16:06:33.186583	2013-08-04 20:22:40.828663
42095	16	2013-08-02 16:06:32.803335	2013-08-03 19:50:33.991154
42163	21	2013-08-02 16:06:33.153566	2013-08-03 19:52:27.801394
42215	21	2013-08-02 16:06:33.287158	2013-08-03 19:52:27.805027
42195	21	2013-08-02 16:06:33.234058	2013-08-03 19:52:27.808627
42175	21	2013-08-02 16:06:33.181153	2013-08-03 19:52:27.812105
42155	4	2013-08-02 16:06:33.138568	2013-08-03 19:52:27.833398
42190	4	2013-08-02 16:06:33.220658	2013-08-04 00:55:55.481716
42138	14	2013-08-02 16:06:33.109134	2013-08-04 20:22:40.844562
42230	2	2013-08-02 16:06:33.326451	2013-08-04 01:00:53.290578
42192	2	2013-08-02 16:06:33.225995	2013-08-04 01:12:48.938938
42080	14	2013-08-02 16:06:32.766187	2013-08-04 20:22:40.859911
42213	14	2013-08-02 16:06:33.281786	2013-08-04 20:22:40.874909
42108	4	2013-08-02 16:06:33.072141	2013-08-04 20:22:40.904954
42233	4	2013-08-02 16:06:33.333704	2013-08-04 20:22:40.918814
42232	4	2013-08-02 16:06:33.331253	2013-08-04 20:22:40.93388
42208	16	2013-08-02 16:06:33.268458	2013-08-04 20:25:04.466601
42228	2	2013-08-02 16:06:33.321604	2013-08-04 20:27:36.975506
42234	14	2013-08-02 16:06:33.336001	2013-08-02 16:06:33.336001
42338	21	2013-08-02 16:06:33.586074	2013-08-03 21:24:21.614266
42236	16	2013-08-02 16:06:33.341054	2013-08-02 16:06:33.341054
42245	11	2013-08-02 16:06:33.362853	2013-08-03 22:55:09.041911
42239	19	2013-08-02 16:06:33.348414	2013-08-02 16:06:33.348414
42237	2	2013-08-02 16:06:33.343573	2013-08-04 17:13:51.147247
42241	14	2013-08-02 16:06:33.353272	2013-08-04 20:20:39.341044
42242	2	2013-08-02 16:06:33.355672	2013-08-02 16:06:33.355672
42318	21	2013-08-02 16:06:33.537969	2013-08-03 21:24:21.618364
42244	4	2013-08-02 16:06:33.360436	2013-08-02 16:06:33.360436
42277	16	2013-08-02 16:06:33.439896	2013-08-04 17:14:14.756776
42247	7	2013-08-02 16:06:33.367622	2013-08-02 16:06:33.367622
42249	9	2013-08-02 16:06:33.372382	2013-08-02 16:06:33.372382
42251	11	2013-08-02 16:06:33.377232	2013-08-02 16:06:33.377232
42261	11	2013-08-02 16:06:33.401156	2013-08-04 00:47:03.586395
42254	14	2013-08-02 16:06:33.384354	2013-08-02 16:06:33.384354
42298	21	2013-08-02 16:06:33.490195	2013-08-03 21:24:21.621529
42256	16	2013-08-02 16:06:33.389168	2013-08-02 16:06:33.389168
42293	11	2013-08-02 16:06:33.478263	2013-08-04 20:20:39.348372
42285	9	2013-08-02 16:06:33.45901	2013-08-03 22:55:09.049187
42259	19	2013-08-02 16:06:33.396297	2013-08-02 16:06:33.396297
42317	14	2013-08-02 16:06:33.535598	2013-08-04 17:14:14.764453
42262	2	2013-08-02 16:06:33.403542	2013-08-02 16:06:33.403542
42278	21	2013-08-02 16:06:33.442287	2013-08-03 21:24:21.625022
42264	4	2013-08-02 16:06:33.408296	2013-08-02 16:06:33.408296
42267	7	2013-08-02 16:06:33.415464	2013-08-02 16:06:33.415464
42269	9	2013-08-02 16:06:33.420749	2013-08-02 16:06:33.420749
42271	11	2013-08-02 16:06:33.425507	2013-08-02 16:06:33.425507
42301	9	2013-08-02 16:06:33.497623	2013-08-04 00:47:03.588983
42274	14	2013-08-02 16:06:33.432754	2013-08-02 16:06:33.432754
42258	21	2013-08-02 16:06:33.393903	2013-08-03 21:24:21.628574
42276	16	2013-08-02 16:06:33.437529	2013-08-02 16:06:33.437529
42333	9	2013-08-02 16:06:33.574141	2013-08-04 20:20:39.355799
42240	7	2013-08-02 16:06:33.350866	2013-08-03 22:55:09.055869
42279	19	2013-08-02 16:06:33.444718	2013-08-02 16:06:33.444718
42357	11	2013-08-02 16:06:33.631327	2013-08-04 17:14:14.775471
42282	2	2013-08-02 16:06:33.45183	2013-08-02 16:06:33.45183
42238	21	2013-08-02 16:06:33.346022	2013-08-03 21:24:21.632144
42284	4	2013-08-02 16:06:33.456637	2013-08-02 16:06:33.456637
42287	7	2013-08-02 16:06:33.463782	2013-08-02 16:06:33.463782
42289	9	2013-08-02 16:06:33.46853	2013-08-02 16:06:33.46853
42291	11	2013-08-02 16:06:33.473336	2013-08-02 16:06:33.473336
42341	7	2013-08-02 16:06:33.593231	2013-08-04 00:47:03.590749
42294	14	2013-08-02 16:06:33.480666	2013-08-02 16:06:33.480666
42296	16	2013-08-02 16:06:33.485432	2013-08-02 16:06:33.485432
42353	7	2013-08-02 16:06:33.621785	2013-08-04 20:20:39.363359
42345	4	2013-08-02 16:06:33.602743	2013-08-03 22:55:09.062519
42299	19	2013-08-02 16:06:33.492593	2013-08-02 16:06:33.492593
42377	9	2013-08-02 16:06:33.679513	2013-08-04 17:14:14.782851
42302	2	2013-08-02 16:06:33.499984	2013-08-02 16:06:33.499984
42358	16	2013-08-02 16:06:33.633735	2013-08-03 21:29:21.190226
42304	4	2013-08-02 16:06:33.504769	2013-08-02 16:06:33.504769
42307	7	2013-08-02 16:06:33.511869	2013-08-02 16:06:33.511869
42309	9	2013-08-02 16:06:33.516627	2013-08-02 16:06:33.516627
42290	21	2013-08-02 16:06:33.470959	2013-08-04 17:16:51.914117
42311	11	2013-08-02 16:06:33.521375	2013-08-02 16:06:33.521375
42375	4	2013-08-02 16:06:33.674213	2013-08-04 00:47:03.593604
42314	14	2013-08-02 16:06:33.528457	2013-08-02 16:06:33.528457
42260	21	2013-08-02 16:06:33.398735	2013-08-03 21:34:22.099266
42316	16	2013-08-02 16:06:33.533259	2013-08-02 16:06:33.533259
42365	2	2013-08-02 16:06:33.650207	2013-08-03 22:59:25.380244
42319	19	2013-08-02 16:06:33.5403	2013-08-02 16:06:33.5403
42252	11	2013-08-02 16:06:33.3796	2013-08-03 23:12:12.674655
42337	2	2013-08-02 16:06:33.583686	2013-08-04 17:16:52.146916
42322	2	2013-08-02 16:06:33.54741	2013-08-02 16:06:33.54741
42381	19	2013-08-02 16:06:33.690215	2013-08-04 00:47:38.695165
42324	4	2013-08-02 16:06:33.552395	2013-08-02 16:06:33.552395
42327	7	2013-08-02 16:06:33.559728	2013-08-02 16:06:33.559728
42329	9	2013-08-02 16:06:33.564572	2013-08-02 16:06:33.564572
42257	2	2013-08-02 16:06:33.391539	2013-08-04 17:16:53.483119
42331	11	2013-08-02 16:06:33.569365	2013-08-02 16:06:33.569365
42265	2	2013-08-02 16:06:33.410705	2013-08-04 00:52:59.407765
42334	14	2013-08-02 16:06:33.576516	2013-08-02 16:06:33.576516
42280	16	2013-08-02 16:06:33.447089	2013-08-03 21:37:33.701997
42336	16	2013-08-02 16:06:33.581316	2013-08-02 16:06:33.581316
42350	4	2013-08-02 16:06:33.614671	2013-08-04 20:20:39.37456
9660	4	2013-08-02 16:05:22.880498	2013-08-04 17:36:54.248728
42339	19	2013-08-02 16:06:33.588437	2013-08-02 16:06:33.588437
42292	9	2013-08-02 16:06:33.475865	2013-08-03 23:12:12.6823
9729	4	2013-08-02 16:05:22.946602	2013-08-04 17:36:54.259985
42342	2	2013-08-02 16:06:33.595579	2013-08-02 16:06:33.595579
42344	4	2013-08-02 16:06:33.600323	2013-08-02 16:06:33.600323
9709	4	2013-08-02 16:05:22.92736	2013-08-04 17:36:54.271019
42347	7	2013-08-02 16:06:33.607546	2013-08-02 16:06:33.607546
42349	9	2013-08-02 16:06:33.612265	2013-08-02 16:06:33.612265
8796	4	2013-08-02 16:05:20.752357	2013-08-04 17:36:54.281922
42351	11	2013-08-02 16:06:33.617044	2013-08-02 16:06:33.617044
42354	14	2013-08-02 16:06:33.624168	2013-08-02 16:06:33.624168
42320	14	2013-08-02 16:06:33.542687	2013-08-03 21:37:33.708353
42356	16	2013-08-02 16:06:33.628948	2013-08-02 16:06:33.628948
42373	21	2013-08-02 16:06:33.669156	2013-08-04 20:20:39.434234
42332	7	2013-08-02 16:06:33.571736	2013-08-03 23:12:12.690459
42359	19	2013-08-02 16:06:33.636081	2013-08-02 16:06:33.636081
9689	4	2013-08-02 16:05:22.908263	2013-08-04 17:36:54.292781
42362	2	2013-08-02 16:06:33.643237	2013-08-02 16:06:33.643237
42364	4	2013-08-02 16:06:33.647826	2013-08-02 16:06:33.647826
19828	4	2013-08-02 16:05:42.97948	2013-08-04 17:36:54.303716
42367	7	2013-08-02 16:06:33.654901	2013-08-02 16:06:33.654901
42369	9	2013-08-02 16:06:33.659602	2013-08-02 16:06:33.659602
9669	4	2013-08-02 16:05:22.889327	2013-08-04 17:36:54.315438
42371	11	2013-08-02 16:06:33.66436	2013-08-02 16:06:33.66436
42270	19	2013-08-02 16:06:33.423083	2013-08-04 00:59:09.361318
42374	14	2013-08-02 16:06:33.671542	2013-08-02 16:06:33.671542
42340	2	2013-08-02 16:06:33.590841	2013-08-04 20:22:38.717028
42376	16	2013-08-02 16:06:33.67687	2013-08-02 16:06:33.67687
42313	21	2013-08-02 16:06:33.526111	2013-08-04 20:22:39.083225
42310	16	2013-08-02 16:06:33.518997	2013-08-04 00:59:09.364026
42379	19	2013-08-02 16:06:33.684901	2013-08-02 16:06:33.684901
42360	4	2013-08-02 16:06:33.638505	2013-08-03 23:12:12.698198
9649	4	2013-08-02 16:05:22.861717	2013-08-04 17:36:54.326896
42382	2	2013-08-02 16:06:33.692889	2013-08-02 16:06:33.692889
42380	11	2013-08-02 16:06:33.687553	2013-08-03 21:37:33.71617
42384	4	2013-08-02 16:06:33.698013	2013-08-02 16:06:33.698013
9721	4	2013-08-02 16:05:22.939382	2013-08-04 17:36:54.337449
42387	7	2013-08-02 16:06:33.705586	2013-08-02 16:06:33.705586
42389	9	2013-08-02 16:06:33.7104	2013-08-02 16:06:33.7104
39335	4	2013-08-02 16:06:26.944454	2013-08-04 17:36:54.347829
42275	21	2013-08-02 16:06:33.435131	2013-08-03 19:52:27.789827
42255	21	2013-08-02 16:06:33.386786	2013-08-03 19:52:27.79399
42235	21	2013-08-02 16:06:33.338452	2013-08-03 19:52:27.797825
42273	2	2013-08-02 16:06:33.430327	2013-08-04 20:22:39.390771
42355	2	2013-08-02 16:06:33.626555	2013-08-03 19:52:28.255514
42335	2	2013-08-02 16:06:33.578922	2013-08-03 19:52:28.262976
42253	2	2013-08-02 16:06:33.381987	2013-08-04 20:22:41.73498
42300	21	2013-08-02 16:06:33.495243	2013-08-03 21:39:32.500904
42272	14	2013-08-02 16:06:33.427914	2013-08-04 00:59:09.366617
42372	21	2013-08-02 16:06:33.666745	2013-08-03 23:14:35.0282
42248	14	2013-08-02 16:06:33.370017	2013-08-04 20:25:04.474471
42390	11	2013-08-02 16:06:33.712797	2013-08-04 00:59:09.370109
42281	21	2013-08-02 16:06:33.44946	2013-08-04 00:59:28.732465
42330	2	2013-08-02 16:06:33.566959	2013-08-04 01:15:48.832262
42321	11	2013-08-02 16:06:33.545068	2013-08-04 20:25:04.485565
42250	9	2013-08-02 16:06:33.37479	2013-08-04 20:25:04.492955
42315	7	2013-08-02 16:06:33.530879	2013-08-04 20:25:04.495716
42312	4	2013-08-02 16:06:33.523736	2013-08-04 20:25:04.506955
42348	2	2013-08-02 16:06:33.60992	2013-08-04 20:27:33.711114
42328	21	2013-08-02 16:06:33.56214	2013-08-04 20:27:33.772364
42308	2	2013-08-02 16:06:33.514239	2013-08-04 20:27:34.119829
42288	21	2013-08-02 16:06:33.466171	2013-08-04 20:27:34.583257
42268	2	2013-08-02 16:06:33.418128	2013-08-04 20:27:34.788638
42305	2	2013-08-02 16:06:33.507127	2013-08-04 20:27:36.965581
42391	11	2013-08-02 16:06:33.715153	2013-08-02 16:06:33.715153
42397	7	2013-08-02 16:06:33.730075	2013-08-04 17:14:14.790101
42394	14	2013-08-02 16:06:33.722843	2013-08-02 16:06:33.722843
42498	21	2013-08-02 16:06:33.976277	2013-08-03 21:29:21.118539
42396	16	2013-08-02 16:06:33.727677	2013-08-02 16:06:33.727677
42481	19	2013-08-02 16:06:33.930435	2013-08-04 20:20:23.511622
42399	19	2013-08-02 16:06:33.734869	2013-08-02 16:06:33.734869
42466	16	2013-08-02 16:06:33.904822	2013-08-04 20:20:23.514571
42402	2	2013-08-02 16:06:33.742313	2013-08-02 16:06:33.742313
42478	14	2013-08-02 16:06:33.927098	2013-08-03 21:29:21.125828
42404	4	2013-08-02 16:06:33.747092	2013-08-02 16:06:33.747092
42401	2	2013-08-02 16:06:33.739934	2013-08-04 00:47:03.596223
42407	7	2013-08-02 16:06:33.754197	2013-08-02 16:06:33.754197
42409	9	2013-08-02 16:06:33.758964	2013-08-02 16:06:33.758964
42417	4	2013-08-02 16:06:33.778733	2013-08-04 17:14:14.801539
42411	11	2013-08-02 16:06:33.76419	2013-08-02 16:06:33.76419
42414	14	2013-08-02 16:06:33.771567	2013-08-02 16:06:33.771567
42416	16	2013-08-02 16:06:33.776338	2013-08-02 16:06:33.776338
42413	2	2013-08-02 16:06:33.769184	2013-08-04 20:20:39.382224
42419	19	2013-08-02 16:06:33.784323	2013-08-02 16:06:33.784323
42500	14	2013-08-02 16:06:33.982432	2013-08-03 22:59:25.595765
42457	2	2013-08-02 16:06:33.883076	2013-08-04 17:14:14.80935
42422	2	2013-08-02 16:06:33.792342	2013-08-02 16:06:33.792342
42438	19	2013-08-02 16:06:33.833046	2013-08-03 21:29:21.143815
42424	4	2013-08-02 16:06:33.797711	2013-08-02 16:06:33.797711
42427	7	2013-08-02 16:06:33.805672	2013-08-02 16:06:33.805672
42429	9	2013-08-02 16:06:33.81054	2013-08-02 16:06:33.81054
42437	2	2013-08-02 16:06:33.830388	2013-08-04 17:16:51.118507
42431	11	2013-08-02 16:06:33.815299	2013-08-02 16:06:33.815299
42521	21	2013-08-02 16:06:34.041196	2013-08-04 17:16:51.239701
42434	14	2013-08-02 16:06:33.822537	2013-08-02 16:06:33.822537
42477	21	2013-08-02 16:06:33.925951	2013-08-04 17:16:53.464532
42436	16	2013-08-02 16:06:33.827808	2013-08-02 16:06:33.827808
42393	2	2013-08-02 16:06:33.720425	2013-08-04 20:22:38.243448
42439	19	2013-08-02 16:06:33.835686	2013-08-02 16:06:33.835686
42537	14	2013-08-02 16:06:34.085299	2013-08-04 17:16:55.255943
42442	2	2013-08-02 16:06:33.843547	2013-08-02 16:06:33.843547
42398	4	2013-08-02 16:06:33.732453	2013-08-03 21:29:21.160386
42444	4	2013-08-02 16:06:33.8488	2013-08-02 16:06:33.8488
42517	14	2013-08-02 16:06:34.029709	2013-08-04 17:16:55.265968
42447	7	2013-08-02 16:06:33.856438	2013-08-02 16:06:33.856438
42449	9	2013-08-02 16:06:33.861748	2013-08-02 16:06:33.861748
42497	14	2013-08-02 16:06:33.97331	2013-08-04 17:16:55.276707
42451	11	2013-08-02 16:06:33.86708	2013-08-02 16:06:33.86708
42441	9	2013-08-02 16:06:33.840867	2013-08-04 00:50:53.415268
42454	14	2013-08-02 16:06:33.87503	2013-08-02 16:06:33.87503
42538	9	2013-08-02 16:06:34.087946	2013-08-03 21:29:21.591734
42456	16	2013-08-02 16:06:33.880348	2013-08-02 16:06:33.880348
42433	21	2013-08-02 16:06:33.820133	2013-08-04 20:22:40.131601
42465	9	2013-08-02 16:06:33.902427	2013-08-03 22:59:25.66069
42459	19	2013-08-02 16:06:33.887994	2013-08-02 16:06:33.887994
42445	2	2013-08-02 16:06:33.851196	2013-08-03 22:59:25.683789
42303	4	2013-08-02 16:06:33.502356	2013-08-04 17:36:54.358598
42462	2	2013-08-02 16:06:33.895221	2013-08-02 16:06:33.895221
42518	7	2013-08-02 16:06:34.03249	2013-08-03 21:29:21.61204
42464	4	2013-08-02 16:06:33.899989	2013-08-02 16:06:33.899989
42467	7	2013-08-02 16:06:33.907243	2013-08-02 16:06:33.907243
42469	9	2013-08-02 16:06:33.912522	2013-08-02 16:06:33.912522
9629	4	2013-08-02 16:05:22.804149	2013-08-04 17:36:54.369404
42471	11	2013-08-02 16:06:33.915807	2013-08-02 16:06:33.915807
42421	19	2013-08-02 16:06:33.789722	2013-08-04 00:50:53.43109
42474	14	2013-08-02 16:06:33.921082	2013-08-02 16:06:33.921082
9701	4	2013-08-02 16:05:22.919102	2013-08-04 17:36:54.381704
42476	16	2013-08-02 16:06:33.924805	2013-08-02 16:06:33.924805
42486	2	2013-08-02 16:06:33.940984	2013-08-04 20:22:41.728151
42425	19	2013-08-02 16:06:33.800329	2013-08-03 22:59:25.706855
42479	19	2013-08-02 16:06:33.92824	2013-08-02 16:06:33.92824
42505	21	2013-08-02 16:06:33.995697	2013-08-03 23:01:08.087517
9609	4	2013-08-02 16:05:22.748785	2013-08-04 17:36:54.396233
42482	2	2013-08-02 16:06:33.931528	2013-08-02 16:06:33.931528
42420	9	2013-08-02 16:06:33.787081	2013-08-03 21:37:33.722263
42484	4	2013-08-02 16:06:33.934876	2013-08-02 16:06:33.934876
42501	19	2013-08-02 16:06:33.985161	2013-08-04 00:52:39.576422
42487	7	2013-08-02 16:06:33.944038	2013-08-02 16:06:33.944038
42489	9	2013-08-02 16:06:33.950199	2013-08-02 16:06:33.950199
9645	4	2013-08-02 16:05:22.847244	2013-08-04 17:36:54.402442
42491	11	2013-08-02 16:06:33.955681	2013-08-02 16:06:33.955681
42410	9	2013-08-02 16:06:33.761539	2013-08-04 00:59:09.371079
42494	14	2013-08-02 16:06:33.964495	2013-08-02 16:06:33.964495
42496	16	2013-08-02 16:06:33.970222	2013-08-02 16:06:33.970222
42446	2	2013-08-02 16:06:33.85394	2013-08-04 20:22:41.96764
42499	19	2013-08-02 16:06:33.979283	2013-08-02 16:06:33.979283
42412	2	2013-08-02 16:06:33.766698	2013-08-03 23:12:12.700897
9705	4	2013-08-02 16:05:22.923696	2013-08-04 17:36:54.410089
42502	2	2013-08-02 16:06:33.987793	2013-08-02 16:06:33.987793
42460	7	2013-08-02 16:06:33.890449	2013-08-03 21:37:33.726657
42504	4	2013-08-02 16:06:33.993093	2013-08-02 16:06:33.993093
42430	7	2013-08-02 16:06:33.812943	2013-08-04 00:59:09.373633
42507	7	2013-08-02 16:06:34.001046	2013-08-02 16:06:34.001046
42509	9	2013-08-02 16:06:34.006507	2013-08-02 16:06:34.006507
9589	4	2013-08-02 16:05:22.697043	2013-08-04 17:36:54.414882
42511	11	2013-08-02 16:06:34.012429	2013-08-02 16:06:34.012429
42514	14	2013-08-02 16:06:34.020899	2013-08-02 16:06:34.020899
42516	16	2013-08-02 16:06:34.026802	2013-08-02 16:06:34.026802
42453	14	2013-08-02 16:06:33.872365	2013-08-04 20:25:20.237835
2852	4	2013-08-02 16:05:09.244455	2013-08-04 17:36:54.421804
42519	19	2013-08-02 16:06:34.035422	2013-08-02 16:06:34.035422
42392	21	2013-08-02 16:06:33.717856	2013-08-03 23:12:21.26882
24839	4	2013-08-02 16:05:53.576173	2013-08-04 17:36:55.00533
42522	2	2013-08-02 16:06:34.044099	2013-08-02 16:06:34.044099
42524	4	2013-08-02 16:06:34.049771	2013-08-02 16:06:34.049771
42400	4	2013-08-02 16:06:33.737576	2013-08-04 00:59:09.380104
42527	7	2013-08-02 16:06:34.058136	2013-08-02 16:06:34.058136
42529	9	2013-08-02 16:06:34.063794	2013-08-02 16:06:34.063794
42473	11	2013-08-02 16:06:33.920167	2013-08-04 20:25:20.242997
42531	11	2013-08-02 16:06:34.069291	2013-08-02 16:06:34.069291
42534	14	2013-08-02 16:06:34.077314	2013-08-02 16:06:34.077314
42520	4	2013-08-02 16:06:34.038221	2013-08-03 21:37:33.737865
42536	16	2013-08-02 16:06:34.082644	2013-08-02 16:06:34.082644
42513	9	2013-08-02 16:06:34.017904	2013-08-04 20:25:20.245098
42452	16	2013-08-02 16:06:33.86972	2013-08-03 23:15:36.993148
42539	19	2013-08-02 16:06:34.090639	2013-08-02 16:06:34.090639
42510	2	2013-08-02 16:06:34.009544	2013-08-04 00:59:09.38401
42542	2	2013-08-02 16:06:34.098646	2013-08-02 16:06:34.098646
42492	14	2013-08-02 16:06:33.958499	2013-08-03 23:15:37.000509
42544	4	2013-08-02 16:06:34.103982	2013-08-02 16:06:34.103982
42512	7	2013-08-02 16:06:34.015083	2013-08-04 20:25:20.247108
42547	7	2013-08-02 16:06:34.112157	2013-08-02 16:06:34.112157
42455	2	2013-08-02 16:06:33.877711	2013-08-04 20:27:34.4146
42535	19	2013-08-02 16:06:34.079957	2013-08-03 19:52:28.094486
42515	4	2013-08-02 16:06:34.023765	2013-08-03 19:52:28.117378
42495	4	2013-08-02 16:06:33.967233	2013-08-03 19:52:28.128892
42435	7	2013-08-02 16:06:33.825308	2013-08-03 19:52:28.187214
42540	21	2013-08-02 16:06:34.093323	2013-08-03 21:37:44.527279
42532	11	2013-08-02 16:06:34.071942	2013-08-03 23:15:37.006661
42472	21	2013-08-02 16:06:33.919122	2013-08-03 23:15:46.116692
42470	21	2013-08-02 16:06:33.913522	2013-08-04 00:59:28.483102
42475	2	2013-08-02 16:06:33.922264	2013-08-04 20:27:34.426792
42443	21	2013-08-02 16:06:33.846219	2013-08-04 00:59:28.733446
42490	2	2013-08-02 16:06:33.953048	2013-08-04 01:00:53.262594
42541	2	2013-08-02 16:06:34.095957	2013-08-04 01:00:53.270578
42405	2	2013-08-02 16:06:33.749465	2013-08-04 01:00:53.280569
42461	2	2013-08-02 16:06:33.892852	2013-08-04 01:50:58.583916
42533	2	2013-08-02 16:06:34.074619	2013-08-04 20:27:34.437593
42528	2	2013-08-02 16:06:34.060948	2013-08-04 20:27:34.449414
42508	2	2013-08-02 16:06:34.003671	2013-08-04 20:27:34.463824
42432	2	2013-08-02 16:06:33.817717	2013-08-04 20:27:34.478755
42440	2	2013-08-02 16:06:33.838226	2013-08-04 20:27:34.488337
42488	2	2013-08-02 16:06:33.947144	2013-08-04 20:27:34.492901
42468	2	2013-08-02 16:06:33.909906	2013-08-04 20:27:34.498874
42549	9	2013-08-02 16:06:34.117416	2013-08-02 16:06:34.117416
42697	14	2013-08-02 16:06:34.378001	2013-08-04 17:16:55.121827
42551	11	2013-08-02 16:06:34.122809	2013-08-02 16:06:34.122809
42621	21	2013-08-02 16:06:34.302864	2013-08-04 00:50:53.261537
42554	14	2013-08-02 16:06:34.130964	2013-08-02 16:06:34.130964
42698	19	2013-08-02 16:06:34.378912	2013-08-03 21:29:21.471625
42556	16	2013-08-02 16:06:34.136271	2013-08-02 16:06:34.136271
42566	9	2013-08-02 16:06:34.16344	2013-08-04 20:20:23.525091
42685	21	2013-08-02 16:06:34.366629	2013-08-03 22:59:25.531634
42559	19	2013-08-02 16:06:34.144768	2013-08-02 16:06:34.144768
42665	21	2013-08-02 16:06:34.348097	2013-08-03 22:59:25.535269
42677	14	2013-08-02 16:06:34.358733	2013-08-04 17:16:55.13295
42562	2	2013-08-02 16:06:34.1528	2013-08-02 16:06:34.1528
42570	14	2013-08-02 16:06:34.176746	2013-08-04 17:16:55.144176
42564	4	2013-08-02 16:06:34.158091	2013-08-02 16:06:34.158091
42601	21	2013-08-02 16:06:34.258903	2013-08-04 00:50:53.26345
42567	7	2013-08-02 16:06:34.166051	2013-08-02 16:06:34.166051
42569	9	2013-08-02 16:06:34.173648	2013-08-02 16:06:34.173648
42657	14	2013-08-02 16:06:34.341595	2013-08-04 17:16:55.155554
42571	11	2013-08-02 16:06:34.179715	2013-08-02 16:06:34.179715
42600	14	2013-08-02 16:06:34.256185	2013-08-04 17:16:55.16716
42574	14	2013-08-02 16:06:34.187772	2013-08-02 16:06:34.187772
42576	16	2013-08-02 16:06:34.193135	2013-08-02 16:06:34.193135
42645	21	2013-08-02 16:06:34.328422	2013-08-03 22:59:25.538932
42579	19	2013-08-02 16:06:34.201185	2013-08-02 16:06:34.201185
42625	21	2013-08-02 16:06:34.307298	2013-08-03 22:59:25.542695
42637	14	2013-08-02 16:06:34.319514	2013-08-04 17:16:55.178971
42582	2	2013-08-02 16:06:34.208493	2013-08-02 16:06:34.208493
42638	11	2013-08-02 16:06:34.320658	2013-08-03 21:29:21.532332
42584	4	2013-08-02 16:06:34.213348	2013-08-02 16:06:34.213348
42678	14	2013-08-02 16:06:34.359706	2013-08-04 00:50:53.308912
42587	7	2013-08-02 16:06:34.221336	2013-08-02 16:06:34.221336
42589	9	2013-08-02 16:06:34.22671	2013-08-02 16:06:34.22671
42641	14	2013-08-02 16:06:34.323962	2013-08-04 17:16:55.190857
42591	11	2013-08-02 16:06:34.232006	2013-08-02 16:06:34.232006
42561	16	2013-08-02 16:06:34.150162	2013-08-04 00:50:53.323806
42594	14	2013-08-02 16:06:34.23983	2013-08-02 16:06:34.23983
42617	14	2013-08-02 16:06:34.298298	2013-08-04 17:16:55.202261
42596	16	2013-08-02 16:06:34.245148	2013-08-02 16:06:34.245148
42593	4	2013-08-02 16:06:34.237207	2013-08-04 20:25:20.250187
42605	21	2013-08-02 16:06:34.269544	2013-08-03 22:59:25.54643
42599	19	2013-08-02 16:06:34.253198	2013-08-02 16:06:34.253198
42597	14	2013-08-02 16:06:34.247804	2013-08-04 17:16:55.213113
42602	2	2013-08-02 16:06:34.261515	2013-08-02 16:06:34.261515
42565	4	2013-08-02 16:06:34.160808	2013-08-03 22:59:25.564677
42604	4	2013-08-02 16:06:34.266849	2013-08-02 16:06:34.266849
42581	19	2013-08-02 16:06:34.206093	2013-08-04 00:50:53.71427
42607	7	2013-08-02 16:06:34.274917	2013-08-02 16:06:34.274917
42609	9	2013-08-02 16:06:34.280303	2013-08-02 16:06:34.280303
24819	4	2013-08-02 16:05:53.554607	2013-08-04 17:36:55.010403
42611	11	2013-08-02 16:06:34.285664	2013-08-02 16:06:34.285664
42580	19	2013-08-02 16:06:34.203644	2013-08-04 00:52:39.657934
42614	14	2013-08-02 16:06:34.293651	2013-08-02 16:06:34.293651
42598	21	2013-08-02 16:06:34.25051	2013-08-03 21:30:42.817138
42616	16	2013-08-02 16:06:34.297477	2013-08-02 16:06:34.297477
24958	4	2013-08-02 16:05:53.703498	2013-08-04 17:36:55.014539
42619	19	2013-08-02 16:06:34.300483	2013-08-02 16:06:34.300483
42572	9	2013-08-02 16:06:34.182535	2013-08-03 23:15:37.010026
24718	4	2013-08-02 16:05:53.442341	2013-08-04 17:36:55.018455
42622	2	2013-08-02 16:06:34.30399	2013-08-02 16:06:34.30399
42560	2	2013-08-02 16:06:34.147651	2013-08-03 21:37:33.743026
42624	4	2013-08-02 16:06:34.306246	2013-08-02 16:06:34.306246
42613	2	2013-08-02 16:06:34.290979	2013-08-04 20:25:20.252397
42627	7	2013-08-02 16:06:34.30942	2013-08-02 16:06:34.30942
42629	9	2013-08-02 16:06:34.31171	2013-08-02 16:06:34.31171
24783	4	2013-08-02 16:05:53.517294	2013-08-04 17:36:55.022294
42631	11	2013-08-02 16:06:34.31364	2013-08-02 16:06:34.31364
42661	16	2013-08-02 16:06:34.34504	2013-08-04 00:52:39.664092
42634	14	2013-08-02 16:06:34.316174	2013-08-02 16:06:34.316174
24803	4	2013-08-02 16:05:53.53992	2013-08-04 17:36:55.02707
42636	16	2013-08-02 16:06:34.318437	2013-08-02 16:06:34.318437
42639	19	2013-08-02 16:06:34.321763	2013-08-02 16:06:34.321763
42612	7	2013-08-02 16:06:34.288329	2013-08-03 23:15:37.01247
24799	4	2013-08-02 16:05:53.533578	2013-08-04 17:36:55.031422
42642	2	2013-08-02 16:06:34.325062	2013-08-02 16:06:34.325062
42585	2	2013-08-02 16:06:34.215949	2013-08-04 20:27:33.696354
42644	4	2013-08-02 16:06:34.327263	2013-08-02 16:06:34.327263
25670	4	2013-08-02 16:05:55.461374	2013-08-04 17:36:55.035584
42647	7	2013-08-02 16:06:34.330769	2013-08-02 16:06:34.330769
42649	9	2013-08-02 16:06:34.332973	2013-08-02 16:06:34.332973
24779	4	2013-08-02 16:05:53.513953	2013-08-04 17:36:55.040264
42651	11	2013-08-02 16:06:34.334844	2013-08-02 16:06:34.334844
42701	14	2013-08-02 16:06:34.382434	2013-08-04 00:52:39.668278
42654	14	2013-08-02 16:06:34.338015	2013-08-02 16:06:34.338015
42620	16	2013-08-02 16:06:34.301688	2013-08-03 21:37:44.232683
42656	16	2013-08-02 16:06:34.340016	2013-08-02 16:06:34.340016
42573	21	2013-08-02 16:06:34.18515	2013-08-04 20:27:33.771087
42659	19	2013-08-02 16:06:34.343331	2013-08-02 16:06:34.343331
42550	19	2013-08-02 16:06:34.120026	2013-08-04 00:59:28.564415
34963	21	2013-08-02 16:06:17.123129	2013-08-04 17:38:20.581767
42662	2	2013-08-02 16:06:34.345799	2013-08-02 16:06:34.345799
42672	4	2013-08-02 16:06:34.353597	2013-08-03 23:15:37.016038
42664	4	2013-08-02 16:06:34.347281	2013-08-02 16:06:34.347281
42553	2	2013-08-02 16:06:34.128201	2013-08-04 20:27:34.10442
42667	7	2013-08-02 16:06:34.349647	2013-08-02 16:06:34.349647
42669	9	2013-08-02 16:06:34.351105	2013-08-02 16:06:34.351105
42592	2	2013-08-02 16:06:34.234655	2013-08-04 20:27:34.343875
42671	11	2013-08-02 16:06:34.3526	2013-08-02 16:06:34.3526
42590	16	2013-08-02 16:06:34.229373	2013-08-04 00:59:28.56937
42674	14	2013-08-02 16:06:34.355941	2013-08-02 16:06:34.355941
42660	14	2013-08-02 16:06:34.344204	2013-08-03 21:37:44.23725
42676	16	2013-08-02 16:06:34.357816	2013-08-02 16:06:34.357816
42628	2	2013-08-02 16:06:34.310568	2013-08-04 20:27:34.359242
30466	14	2013-08-02 16:06:06.543999	2013-08-04 17:39:03.531392
42679	19	2013-08-02 16:06:34.361163	2013-08-02 16:06:34.361163
42692	21	2013-08-02 16:06:34.372906	2013-08-03 23:15:46.098106
42682	2	2013-08-02 16:06:34.363965	2013-08-02 16:06:34.363965
42684	4	2013-08-02 16:06:34.365755	2013-08-02 16:06:34.365755
42610	14	2013-08-02 16:06:34.282979	2013-08-04 00:59:28.573243
42687	7	2013-08-02 16:06:34.36832	2013-08-02 16:06:34.36832
42689	9	2013-08-02 16:06:34.370001	2013-08-02 16:06:34.370001
42608	2	2013-08-02 16:06:34.277653	2013-08-04 20:27:34.372314
42691	11	2013-08-02 16:06:34.371968	2013-08-02 16:06:34.371968
42694	14	2013-08-02 16:06:34.374944	2013-08-02 16:06:34.374944
42588	2	2013-08-02 16:06:34.22398	2013-08-04 20:27:34.380992
42696	16	2013-08-02 16:06:34.37687	2013-08-02 16:06:34.37687
42568	2	2013-08-02 16:06:34.168717	2013-08-04 20:27:34.38744
42650	11	2013-08-02 16:06:34.333894	2013-08-04 00:59:28.579383
42699	19	2013-08-02 16:06:34.379746	2013-08-02 16:06:34.379746
42652	21	2013-08-02 16:06:34.335812	2013-08-03 23:19:40.059301
42702	2	2013-08-02 16:06:34.383465	2013-08-02 16:06:34.383465
42640	21	2013-08-02 16:06:34.322855	2013-08-03 21:39:32.49837
42704	4	2013-08-02 16:06:34.386129	2013-08-02 16:06:34.386129
42683	11	2013-08-02 16:06:34.364864	2013-08-03 19:37:43.046419
42655	21	2013-08-02 16:06:34.339179	2013-08-03 19:52:28.048714
42635	21	2013-08-02 16:06:34.317047	2013-08-03 19:52:28.053157
42615	21	2013-08-02 16:06:34.29633	2013-08-03 19:52:28.057024
42595	21	2013-08-02 16:06:34.242488	2013-08-03 19:52:28.06074
42575	21	2013-08-02 16:06:34.190465	2013-08-03 19:52:28.064425
42670	9	2013-08-02 16:06:34.351814	2013-08-04 00:59:28.582047
42695	11	2013-08-02 16:06:34.375835	2013-08-03 19:53:48.415742
42630	2	2013-08-02 16:06:34.312787	2013-08-04 01:00:53.67302
42618	2	2013-08-02 16:06:34.299127	2013-08-04 01:50:58.562051
42681	2	2013-08-02 16:06:34.36317	2013-08-04 01:50:58.573012
42673	14	2013-08-02 16:06:34.354968	2013-08-04 20:28:59.061503
42680	11	2013-08-02 16:06:34.362363	2013-08-04 20:28:59.06887
42693	9	2013-08-02 16:06:34.373837	2013-08-04 20:28:59.076047
42653	21	2013-08-02 16:06:34.336753	2013-08-04 20:29:12.091001
42703	2	2013-08-02 16:06:34.384999	2013-08-04 20:32:40.101864
42552	21	2013-08-02 16:06:34.125578	2013-08-04 20:32:40.170185
30486	2	2013-08-02 16:06:06.586248	2013-08-04 20:32:40.275597
42707	7	2013-08-02 16:06:34.389364	2013-08-02 16:06:34.389364
42709	9	2013-08-02 16:06:34.391375	2013-08-02 16:06:34.391375
42737	14	2013-08-02 16:06:34.419998	2013-08-04 17:16:55.099186
42711	11	2013-08-02 16:06:34.394165	2013-08-02 16:06:34.394165
42717	14	2013-08-02 16:06:34.400507	2013-08-04 17:16:55.110764
42714	14	2013-08-02 16:06:34.397266	2013-08-02 16:06:34.397266
42858	21	2013-08-02 16:06:34.784085	2013-08-03 21:29:21.418787
42716	16	2013-08-02 16:06:34.399686	2013-08-02 16:06:34.399686
42852	2	2013-08-02 16:06:34.777699	2013-08-04 20:22:38.600204
42705	21	2013-08-02 16:06:34.387163	2013-08-03 22:59:25.527675
42719	19	2013-08-02 16:06:34.403009	2013-08-02 16:06:34.403009
42761	11	2013-08-02 16:06:34.444582	2013-08-04 00:52:39.675481
42757	16	2013-08-02 16:06:34.440769	2013-08-04 17:19:14.251058
42722	2	2013-08-02 16:06:34.405814	2013-08-02 16:06:34.405814
42838	21	2013-08-02 16:06:34.517157	2013-08-03 21:29:21.420925
42724	4	2013-08-02 16:06:34.407647	2013-08-02 16:06:34.407647
42795	2	2013-08-02 16:06:34.478482	2013-08-04 20:22:38.608432
42727	7	2013-08-02 16:06:34.410273	2013-08-02 16:06:34.410273
42729	9	2013-08-02 16:06:34.412027	2013-08-02 16:06:34.412027
42777	14	2013-08-02 16:06:34.459231	2013-08-04 17:19:14.254997
42731	11	2013-08-02 16:06:34.414511	2013-08-02 16:06:34.414511
42725	9	2013-08-02 16:06:34.40857	2013-08-04 00:52:39.681734
42734	14	2013-08-02 16:06:34.416941	2013-08-02 16:06:34.416941
42818	21	2013-08-02 16:06:34.498958	2013-08-03 21:29:21.422141
42736	16	2013-08-02 16:06:34.419133	2013-08-02 16:06:34.419133
42846	2	2013-08-02 16:06:34.772057	2013-08-04 20:22:38.619242
42745	14	2013-08-02 16:06:34.427738	2013-08-03 23:01:07.901428
42739	19	2013-08-02 16:06:34.4226	2013-08-02 16:06:34.4226
42742	2	2013-08-02 16:06:34.425138	2013-08-02 16:06:34.425138
42798	21	2013-08-02 16:06:34.481157	2013-08-03 21:29:21.423294
42744	4	2013-08-02 16:06:34.426916	2013-08-02 16:06:34.426916
42747	7	2013-08-02 16:06:34.429495	2013-08-02 16:06:34.429495
42749	9	2013-08-02 16:06:34.432086	2013-08-02 16:06:34.432086
42812	21	2013-08-02 16:06:34.494261	2013-08-04 20:27:36.024433
42751	11	2013-08-02 16:06:34.433817	2013-08-02 16:06:34.433817
42821	7	2013-08-02 16:06:34.501657	2013-08-04 00:52:39.68508
42754	14	2013-08-02 16:06:34.437452	2013-08-02 16:06:34.437452
42778	21	2013-08-02 16:06:34.459973	2013-08-03 21:29:21.424795
42756	16	2013-08-02 16:06:34.439942	2013-08-02 16:06:34.439942
42755	21	2013-08-02 16:06:34.438883	2013-08-04 20:27:36.02608
42759	19	2013-08-02 16:06:34.442293	2013-08-02 16:06:34.442293
42805	11	2013-08-02 16:06:34.488445	2013-08-03 23:01:07.907553
42837	11	2013-08-02 16:06:34.516368	2013-08-04 17:19:14.260723
42762	2	2013-08-02 16:06:34.445675	2013-08-02 16:06:34.445675
42758	21	2013-08-02 16:06:34.441551	2013-08-03 21:29:21.426497
42764	4	2013-08-02 16:06:34.44742	2013-08-02 16:06:34.44742
42848	14	2013-08-02 16:06:34.773879	2013-08-04 20:27:36.039755
42767	7	2013-08-02 16:06:34.449911	2013-08-02 16:06:34.449911
42769	9	2013-08-02 16:06:34.452307	2013-08-02 16:06:34.452307
42830	9	2013-08-02 16:06:34.510388	2013-08-04 17:19:14.264988
42771	11	2013-08-02 16:06:34.454202	2013-08-02 16:06:34.454202
42828	14	2013-08-02 16:06:34.50896	2013-08-04 20:27:36.04671
42774	14	2013-08-02 16:06:34.456696	2013-08-02 16:06:34.456696
42738	14	2013-08-02 16:06:34.421229	2013-08-03 21:29:21.436609
42776	16	2013-08-02 16:06:34.458469	2013-08-02 16:06:34.458469
42780	14	2013-08-02 16:06:34.46179	2013-08-04 20:27:36.05406
42857	21	2013-08-02 16:06:34.782982	2013-08-04 17:21:50.486397
42779	19	2013-08-02 16:06:34.460908	2013-08-02 16:06:34.460908
42845	9	2013-08-02 16:06:34.770862	2013-08-03 23:01:07.914057
42817	2	2013-08-02 16:06:34.498276	2013-08-04 17:21:50.618871
42782	2	2013-08-02 16:06:34.464933	2013-08-02 16:06:34.464933
42784	4	2013-08-02 16:06:34.466637	2013-08-02 16:06:34.466637
42808	14	2013-08-02 16:06:34.490986	2013-08-04 20:27:36.061125
42787	7	2013-08-02 16:06:34.469338	2013-08-02 16:06:34.469338
42789	9	2013-08-02 16:06:34.471819	2013-08-02 16:06:34.471819
30526	11	2013-08-02 16:06:06.671949	2013-08-04 17:39:03.541858
42791	11	2013-08-02 16:06:34.473564	2013-08-02 16:06:34.473564
42710	7	2013-08-02 16:06:34.393142	2013-08-04 00:59:28.587508
42794	14	2013-08-02 16:06:34.476991	2013-08-02 16:06:34.476991
42720	11	2013-08-02 16:06:34.403933	2013-08-03 21:37:44.242571
42796	16	2013-08-02 16:06:34.479363	2013-08-02 16:06:34.479363
30566	2	2013-08-02 16:06:06.777583	2013-08-04 20:27:36.076984
42799	19	2013-08-02 16:06:34.482024	2013-08-02 16:06:34.482024
42840	2	2013-08-02 16:06:34.518844	2013-08-04 20:27:36.082091
30546	9	2013-08-02 16:06:06.724382	2013-08-04 17:39:03.544891
42802	2	2013-08-02 16:06:34.485036	2013-08-02 16:06:34.485036
42804	4	2013-08-02 16:06:34.487626	2013-08-02 16:06:34.487626
42807	7	2013-08-02 16:06:34.490265	2013-08-02 16:06:34.490265
42809	9	2013-08-02 16:06:34.491704	2013-08-02 16:06:34.491704
30586	7	2013-08-02 16:06:06.812773	2013-08-04 17:39:03.547425
42811	11	2013-08-02 16:06:34.493543	2013-08-02 16:06:34.493543
42788	2	2013-08-02 16:06:34.470222	2013-08-04 20:27:36.093712
42814	14	2013-08-02 16:06:34.495689	2013-08-02 16:06:34.495689
42760	9	2013-08-02 16:06:34.443101	2013-08-03 21:37:44.247144
42816	16	2013-08-02 16:06:34.497372	2013-08-02 16:06:34.497372
42768	2	2013-08-02 16:06:34.450687	2013-08-04 20:27:36.108597
42750	4	2013-08-02 16:06:34.432945	2013-08-04 00:59:28.597313
42819	19	2013-08-02 16:06:34.499957	2013-08-02 16:06:34.499957
42732	14	2013-08-02 16:06:34.415339	2013-08-03 23:21:36.8291
30600	4	2013-08-02 16:06:06.827302	2013-08-04 17:39:03.549581
42822	2	2013-08-02 16:06:34.502707	2013-08-02 16:06:34.502707
42824	4	2013-08-02 16:06:34.50445	2013-08-02 16:06:34.50445
30655	2	2013-08-02 16:06:06.919912	2013-08-04 17:39:03.551923
42827	7	2013-08-02 16:06:34.508233	2013-08-02 16:06:34.508233
42829	9	2013-08-02 16:06:34.509672	2013-08-02 16:06:34.509672
42748	7	2013-08-02 16:06:34.430843	2013-08-04 20:27:36.141452
42831	11	2013-08-02 16:06:34.511103	2013-08-02 16:06:34.511103
42825	2	2013-08-02 16:06:34.5063	2013-08-04 00:59:28.604468
42834	14	2013-08-02 16:06:34.513604	2013-08-02 16:06:34.513604
42800	7	2013-08-02 16:06:34.483049	2013-08-03 21:37:44.253003
42836	16	2013-08-02 16:06:34.515452	2013-08-02 16:06:34.515452
42801	7	2013-08-02 16:06:34.484152	2013-08-04 20:27:36.157546
42839	19	2013-08-02 16:06:34.517943	2013-08-02 16:06:34.517943
42785	11	2013-08-02 16:06:34.467545	2013-08-03 23:21:36.832147
42728	7	2013-08-02 16:06:34.411147	2013-08-04 20:27:36.173061
42842	2	2013-08-02 16:06:34.768208	2013-08-02 16:06:34.768208
42844	4	2013-08-02 16:06:34.769974	2013-08-02 16:06:34.769974
42708	7	2013-08-02 16:06:34.390384	2013-08-04 20:27:36.188326
42847	7	2013-08-02 16:06:34.772967	2013-08-02 16:06:34.772967
42849	9	2013-08-02 16:06:34.775023	2013-08-02 16:06:34.775023
42721	7	2013-08-02 16:06:34.404882	2013-08-04 20:28:59.083387
42851	11	2013-08-02 16:06:34.776837	2013-08-02 16:06:34.776837
42790	11	2013-08-02 16:06:34.472681	2013-08-04 01:00:52.658671
42854	14	2013-08-02 16:06:34.77949	2013-08-02 16:06:34.77949
42730	21	2013-08-02 16:06:34.413662	2013-08-04 01:00:52.813233
42856	16	2013-08-02 16:06:34.781941	2013-08-02 16:06:34.781941
42859	19	2013-08-02 16:06:34.785462	2013-08-02 16:06:34.785462
42792	9	2013-08-02 16:06:34.475239	2013-08-03 23:21:36.835364
42765	4	2013-08-02 16:06:34.448291	2013-08-04 20:28:59.094175
42735	9	2013-08-02 16:06:34.418326	2013-08-03 19:53:48.433195
42775	7	2013-08-02 16:06:34.457596	2013-08-03 19:53:48.438012
42770	2	2013-08-02 16:06:34.453337	2013-08-04 01:00:53.253273
42860	4	2013-08-02 16:06:34.786377	2013-08-03 21:37:44.263079
42832	7	2013-08-02 16:06:34.511871	2013-08-03 23:21:36.837836
42712	21	2013-08-02 16:06:34.395195	2013-08-03 23:41:32.269326
42753	2	2013-08-02 16:06:34.436089	2013-08-04 20:28:59.101916
42810	19	2013-08-02 16:06:34.492502	2013-08-04 01:02:30.505487
42850	16	2013-08-02 16:06:34.775923	2013-08-04 01:02:30.510122
42773	21	2013-08-02 16:06:34.455891	2013-08-04 20:29:12.054262
42715	14	2013-08-02 16:06:34.398146	2013-08-04 01:02:30.514278
42740	21	2013-08-02 16:06:34.423462	2013-08-04 01:08:40.864674
42772	2	2013-08-02 16:06:34.455077	2013-08-04 01:50:58.539318
42741	2	2013-08-02 16:06:34.424331	2013-08-04 01:50:58.551067
42813	19	2013-08-02 16:06:34.494977	2013-08-04 20:29:23.437493
42752	16	2013-08-02 16:06:34.434702	2013-08-04 20:29:23.444078
42797	21	2013-08-02 16:06:34.480214	2013-08-04 20:29:23.511695
42853	21	2013-08-02 16:06:34.778622	2013-08-04 20:29:23.545274
42733	21	2013-08-02 16:06:34.416117	2013-08-04 20:32:39.614589
42713	2	2013-08-02 16:06:34.396309	2013-08-04 20:32:39.85496
42793	2	2013-08-02 16:06:34.476084	2013-08-04 20:32:40.873511
42833	2	2013-08-02 16:06:34.512673	2013-08-04 20:32:42.763162
42862	2	2013-08-02 16:06:34.788171	2013-08-02 16:06:34.788171
42878	21	2013-08-02 16:06:34.803848	2013-08-03 21:29:21.415226
42864	4	2013-08-02 16:06:34.790031	2013-08-02 16:06:34.790031
42881	4	2013-08-02 16:06:34.807007	2013-08-04 00:52:39.689301
42867	7	2013-08-02 16:06:34.793533	2013-08-02 16:06:34.793533
42869	9	2013-08-02 16:06:34.795535	2013-08-02 16:06:34.795535
42871	11	2013-08-02 16:06:34.797258	2013-08-02 16:06:34.797258
42895	7	2013-08-02 16:06:34.821468	2013-08-04 17:19:14.269103
42874	14	2013-08-02 16:06:34.800641	2013-08-02 16:06:34.800641
43018	21	2013-08-02 16:06:34.961181	2013-08-03 21:34:21.341621
42876	16	2013-08-02 16:06:34.802219	2013-08-02 16:06:34.802219
42865	2	2013-08-02 16:06:34.790933	2013-08-04 20:22:38.58701
42879	19	2013-08-02 16:06:34.804964	2013-08-02 16:06:34.804964
42998	4	2013-08-02 16:06:34.935538	2013-08-03 23:01:07.927973
42882	2	2013-08-02 16:06:34.808804	2013-08-02 16:06:34.808804
42925	2	2013-08-02 16:06:34.849574	2013-08-04 00:52:39.69218
42884	4	2013-08-02 16:06:34.810859	2013-08-02 16:06:34.810859
42897	19	2013-08-02 16:06:34.823478	2013-08-04 20:25:04.16231
42887	7	2013-08-02 16:06:34.813509	2013-08-02 16:06:34.813509
42889	9	2013-08-02 16:06:34.815031	2013-08-02 16:06:34.815031
42891	11	2013-08-02 16:06:34.817296	2013-08-02 16:06:34.817296
42932	9	2013-08-02 16:06:34.857943	2013-08-04 00:55:55.045082
42894	14	2013-08-02 16:06:34.820178	2013-08-02 16:06:34.820178
42978	16	2013-08-02 16:06:34.914226	2013-08-03 21:34:21.384925
42896	16	2013-08-02 16:06:34.822564	2013-08-02 16:06:34.822564
42868	21	2013-08-02 16:06:34.794676	2013-08-04 20:27:36.021574
42899	19	2013-08-02 16:06:34.825292	2013-08-02 16:06:34.825292
42905	2	2013-08-02 16:06:34.831999	2013-08-03 23:01:07.935308
42937	4	2013-08-02 16:06:34.863741	2013-08-04 17:19:14.275344
42902	2	2013-08-02 16:06:34.829635	2013-08-02 16:06:34.829635
42958	19	2013-08-02 16:06:34.888836	2013-08-03 21:34:21.408201
42904	4	2013-08-02 16:06:34.831213	2013-08-02 16:06:34.831213
42981	2	2013-08-02 16:06:34.917485	2013-08-04 00:55:55.062497
42907	7	2013-08-02 16:06:34.833571	2013-08-02 16:06:34.833571
42909	9	2013-08-02 16:06:34.835056	2013-08-02 16:06:34.835056
42886	2	2013-08-02 16:06:34.812675	2013-08-04 20:27:37.197801
42911	11	2013-08-02 16:06:34.836599	2013-08-02 16:06:34.836599
42977	2	2013-08-02 16:06:34.911821	2013-08-04 17:19:14.280189
42914	14	2013-08-02 16:06:34.838887	2013-08-02 16:06:34.838887
42873	14	2013-08-02 16:06:34.799628	2013-08-04 20:29:23.449955
42916	16	2013-08-02 16:06:34.840429	2013-08-02 16:06:34.840429
42957	2	2013-08-02 16:06:34.887844	2013-08-04 17:21:49.763233
42919	19	2013-08-02 16:06:34.842984	2013-08-02 16:06:34.842984
42885	21	2013-08-02 16:06:34.811758	2013-08-03 23:01:08.089429
42917	21	2013-08-02 16:06:34.841271	2013-08-04 17:21:49.846928
42922	2	2013-08-02 16:06:34.845728	2013-08-02 16:06:34.845728
42920	7	2013-08-02 16:06:34.843806	2013-08-04 00:55:55.084467
42924	4	2013-08-02 16:06:34.848287	2013-08-02 16:06:34.848287
42901	2	2013-08-02 16:06:34.827783	2013-08-04 01:00:53.246826
42927	7	2013-08-02 16:06:34.852297	2013-08-02 16:06:34.852297
42929	9	2013-08-02 16:06:34.854424	2013-08-02 16:06:34.854424
42997	21	2013-08-02 16:06:34.934536	2013-08-04 17:21:51.656926
42931	11	2013-08-02 16:06:34.856781	2013-08-02 16:06:34.856781
42934	14	2013-08-02 16:06:34.860394	2013-08-02 16:06:34.860394
42955	14	2013-08-02 16:06:34.884792	2013-08-04 17:21:53.069805
42936	16	2013-08-02 16:06:34.862657	2013-08-02 16:06:34.862657
42913	11	2013-08-02 16:06:34.83813	2013-08-04 20:29:23.456552
42985	11	2013-08-02 16:06:34.921699	2013-08-03 23:04:23.998394
42939	19	2013-08-02 16:06:34.866001	2013-08-02 16:06:34.866001
43017	14	2013-08-02 16:06:34.960013	2013-08-04 17:21:53.075129
42942	2	2013-08-02 16:06:34.870062	2013-08-02 16:06:34.870062
42900	2	2013-08-02 16:06:34.826283	2013-08-03 21:37:44.270001
42944	4	2013-08-02 16:06:34.872296	2013-08-02 16:06:34.872296
42910	11	2013-08-02 16:06:34.835777	2013-08-04 01:02:30.52495
42947	7	2013-08-02 16:06:34.875276	2013-08-02 16:06:34.875276
42949	9	2013-08-02 16:06:34.878245	2013-08-02 16:06:34.878245
42951	11	2013-08-02 16:06:34.880504	2013-08-02 16:06:34.880504
42961	9	2013-08-02 16:06:34.892653	2013-08-04 01:02:30.528177
42954	14	2013-08-02 16:06:34.883805	2013-08-02 16:06:34.883805
30606	21	2013-08-02 16:06:06.833263	2013-08-04 17:41:50.140863
42956	16	2013-08-02 16:06:34.88659	2013-08-02 16:06:34.88659
42933	9	2013-08-02 16:06:34.859149	2013-08-04 20:29:23.463162
42959	19	2013-08-02 16:06:34.890499	2013-08-02 16:06:34.890499
43005	7	2013-08-02 16:06:34.944456	2013-08-03 23:06:34.107477
30792	2	2013-08-02 16:06:07.268384	2013-08-04 17:41:50.454501
42962	2	2013-08-02 16:06:34.8938	2013-08-02 16:06:34.8938
42880	21	2013-08-02 16:06:34.806129	2013-08-03 21:37:44.528059
42964	4	2013-08-02 16:06:34.895901	2013-08-02 16:06:34.895901
42967	7	2013-08-02 16:06:34.899809	2013-08-02 16:06:34.899809
42969	9	2013-08-02 16:06:34.902196	2013-08-02 16:06:34.902196
30925	2	2013-08-02 16:06:07.595468	2013-08-04 17:41:50.465492
42971	11	2013-08-02 16:06:34.904517	2013-08-02 16:06:34.904517
42930	7	2013-08-02 16:06:34.855594	2013-08-04 01:02:30.530597
42974	14	2013-08-02 16:06:34.908138	2013-08-02 16:06:34.908138
42915	16	2013-08-02 16:06:34.839656	2013-08-03 21:39:33.901128
42976	16	2013-08-02 16:06:34.91093	2013-08-02 16:06:34.91093
42979	19	2013-08-02 16:06:34.915936	2013-08-02 16:06:34.915936
42892	4	2013-08-02 16:06:34.818392	2013-08-03 23:21:36.841377
30750	2	2013-08-02 16:06:07.165196	2013-08-04 17:41:50.501901
42982	2	2013-08-02 16:06:34.918264	2013-08-02 16:06:34.918264
43000	16	2013-08-02 16:06:34.938579	2013-08-03 21:39:33.905108
42984	4	2013-08-02 16:06:34.920669	2013-08-02 16:06:34.920669
30725	2	2013-08-02 16:06:07.099128	2013-08-04 17:41:50.513989
42987	7	2013-08-02 16:06:34.923307	2013-08-02 16:06:34.923307
42989	9	2013-08-02 16:06:34.92541	2013-08-02 16:06:34.92541
30720	2	2013-08-02 16:06:07.086479	2013-08-04 17:41:50.525452
42991	11	2013-08-02 16:06:34.928235	2013-08-02 16:06:34.928235
42970	21	2013-08-02 16:06:34.903379	2013-08-04 01:03:05.430346
42994	14	2013-08-02 16:06:34.931429	2013-08-02 16:06:34.931429
42980	2	2013-08-02 16:06:34.916728	2013-08-03 21:39:33.912618
42996	16	2013-08-02 16:06:34.933494	2013-08-02 16:06:34.933494
42945	7	2013-08-02 16:06:34.873333	2013-08-04 20:29:23.469587
30766	2	2013-08-02 16:06:07.204338	2013-08-04 17:41:50.536977
42999	19	2013-08-02 16:06:34.936838	2013-08-02 16:06:34.936838
42918	2	2013-08-02 16:06:34.842156	2013-08-03 23:21:36.843714
30715	2	2013-08-02 16:06:07.073176	2013-08-04 17:41:50.548549
43002	2	2013-08-02 16:06:34.940901	2013-08-02 16:06:34.940901
42960	2	2013-08-02 16:06:34.891591	2013-08-03 21:39:33.917275
43004	4	2013-08-02 16:06:34.943135	2013-08-02 16:06:34.943135
30746	2	2013-08-02 16:06:07.154708	2013-08-04 17:41:50.561305
43007	7	2013-08-02 16:06:34.946625	2013-08-02 16:06:34.946625
43009	9	2013-08-02 16:06:34.949039	2013-08-02 16:06:34.949039
30726	2	2013-08-02 16:06:07.101874	2013-08-04 17:41:50.573104
43011	11	2013-08-02 16:06:34.951466	2013-08-02 16:06:34.951466
30641	2	2013-08-02 16:06:06.88707	2013-08-04 17:41:50.584789
43014	14	2013-08-02 16:06:34.955717	2013-08-02 16:06:34.955717
43016	16	2013-08-02 16:06:34.958165	2013-08-02 16:06:34.958165
42943	7	2013-08-02 16:06:34.871181	2013-08-03 19:39:16.122028
42875	2	2013-08-02 16:06:34.801438	2013-08-03 19:53:48.451212
43013	4	2013-08-02 16:06:34.953961	2013-08-04 20:29:23.475696
42872	14	2013-08-02 16:06:34.798096	2013-08-03 23:21:59.103322
42935	19	2013-08-02 16:06:34.861544	2013-08-03 19:54:07.351237
42975	16	2013-08-02 16:06:34.909194	2013-08-03 19:54:07.354862
42995	14	2013-08-02 16:06:34.932333	2013-08-03 19:54:07.356824
42952	14	2013-08-02 16:06:34.88157	2013-08-03 23:21:59.266165
42992	11	2013-08-02 16:06:34.929552	2013-08-03 23:21:59.268785
42993	21	2013-08-02 16:06:34.930513	2013-08-04 20:32:39.612573
42912	2	2013-08-02 16:06:34.837395	2013-08-03 23:24:40.301802
42973	2	2013-08-02 16:06:34.906944	2013-08-04 20:32:39.849939
42923	2	2013-08-02 16:06:34.847004	2013-08-04 20:32:40.020595
42940	2	2013-08-02 16:06:34.867152	2013-08-04 20:32:40.026213
43008	2	2013-08-02 16:06:34.947791	2013-08-04 20:32:40.03573
42988	2	2013-08-02 16:06:34.924327	2013-08-04 20:32:40.041631
42953	2	2013-08-02 16:06:34.88278	2013-08-04 20:32:40.047611
42968	2	2013-08-02 16:06:34.901142	2013-08-04 20:32:40.052166
42938	2	2013-08-02 16:06:34.864888	2013-08-04 20:32:40.057643
42948	2	2013-08-02 16:06:34.876627	2013-08-04 20:32:40.064555
42928	2	2013-08-02 16:06:34.853323	2013-08-04 20:32:40.072629
42908	2	2013-08-02 16:06:34.834318	2013-08-04 20:32:40.079365
43019	19	2013-08-02 16:06:34.962302	2013-08-02 16:06:34.962302
43060	21	2013-08-02 16:06:35.020415	2013-08-03 23:04:23.831174
43157	14	2013-08-02 16:06:35.13044	2013-08-04 17:21:53.026823
43022	2	2013-08-02 16:06:34.966697	2013-08-02 16:06:34.966697
43038	21	2013-08-02 16:06:34.98965	2013-08-03 21:34:21.33723
43024	4	2013-08-02 16:06:34.969182	2013-08-02 16:06:34.969182
43121	21	2013-08-02 16:06:35.086811	2013-08-04 00:55:54.912448
43027	7	2013-08-02 16:06:34.97389	2013-08-02 16:06:34.97389
43029	9	2013-08-02 16:06:34.976769	2013-08-02 16:06:34.976769
43070	14	2013-08-02 16:06:35.03324	2013-08-04 17:21:53.030644
43031	11	2013-08-02 16:06:34.9795	2013-08-02 16:06:34.9795
43101	21	2013-08-02 16:06:35.067424	2013-08-04 00:55:54.916727
43034	14	2013-08-02 16:06:34.98362	2013-08-02 16:06:34.98362
43158	11	2013-08-02 16:06:35.132246	2013-08-03 21:34:21.782439
43036	16	2013-08-02 16:06:34.986926	2013-08-02 16:06:34.986926
43166	2	2013-08-02 16:06:35.141409	2013-08-04 20:27:34.058888
43145	21	2013-08-02 16:06:35.116618	2013-08-03 23:04:23.835176
43039	19	2013-08-02 16:06:34.991009	2013-08-02 16:06:34.991009
43080	21	2013-08-02 16:06:35.046146	2013-08-03 23:04:23.838652
43137	14	2013-08-02 16:06:35.107207	2013-08-04 17:21:53.035683
43042	2	2013-08-02 16:06:34.995683	2013-08-02 16:06:34.995683
43044	4	2013-08-02 16:06:34.998427	2013-08-02 16:06:34.998427
43081	14	2013-08-02 16:06:35.048021	2013-08-04 00:55:54.940281
43047	7	2013-08-02 16:06:35.003305	2013-08-02 16:06:35.003305
43049	9	2013-08-02 16:06:35.00651	2013-08-02 16:06:35.00651
43117	14	2013-08-02 16:06:35.082557	2013-08-04 17:21:53.041657
43051	11	2013-08-02 16:06:35.009825	2013-08-02 16:06:35.009825
43172	14	2013-08-02 16:06:35.147807	2013-08-04 17:21:53.047548
43054	14	2013-08-02 16:06:35.014142	2013-08-02 16:06:35.014142
43125	21	2013-08-02 16:06:35.090921	2013-08-03 23:04:23.842025
43056	16	2013-08-02 16:06:35.016735	2013-08-02 16:06:35.016735
43146	2	2013-08-02 16:06:35.117659	2013-08-04 20:27:34.073835
43105	16	2013-08-02 16:06:35.070663	2013-08-03 23:04:23.862381
43059	19	2013-08-02 16:06:35.019402	2013-08-02 16:06:35.019402
43041	19	2013-08-02 16:06:34.993756	2013-08-04 00:55:54.973341
43097	14	2013-08-02 16:06:35.063805	2013-08-04 17:21:53.052143
43062	2	2013-08-02 16:06:35.023142	2013-08-02 16:06:35.023142
43072	2	2013-08-02 16:06:35.035855	2013-08-04 20:27:34.089244
43064	4	2013-08-02 16:06:35.026142	2013-08-02 16:06:35.026142
43077	14	2013-08-02 16:06:35.041853	2013-08-04 17:21:53.055434
43067	7	2013-08-02 16:06:35.029715	2013-08-02 16:06:35.029715
43069	9	2013-08-02 16:06:35.03231	2013-08-02 16:06:35.03231
43098	14	2013-08-02 16:06:35.0646	2013-08-04 17:21:53.058652
43071	11	2013-08-02 16:06:35.034964	2013-08-02 16:06:35.034964
43021	16	2013-08-02 16:06:34.965235	2013-08-04 00:55:55.472587
43074	14	2013-08-02 16:06:35.038463	2013-08-02 16:06:35.038463
43078	9	2013-08-02 16:06:35.042742	2013-08-03 21:34:21.828812
43076	16	2013-08-02 16:06:35.0402	2013-08-02 16:06:35.0402
43033	2	2013-08-02 16:06:34.982262	2013-08-04 20:29:23.482236
43065	14	2013-08-02 16:06:35.027625	2013-08-03 23:04:23.908471
43079	19	2013-08-02 16:06:35.044528	2013-08-02 16:06:35.044528
43045	19	2013-08-02 16:06:34.999801	2013-08-03 23:04:23.931401
30706	2	2013-08-02 16:06:07.047938	2013-08-04 17:41:50.596386
43082	2	2013-08-02 16:06:35.049999	2013-08-02 16:06:35.049999
43058	7	2013-08-02 16:06:35.018403	2013-08-03 21:34:21.837032
43084	4	2013-08-02 16:06:35.052698	2013-08-02 16:06:35.052698
43061	14	2013-08-02 16:06:35.021666	2013-08-04 00:59:09.439666
43087	7	2013-08-02 16:06:35.055468	2013-08-02 16:06:35.055468
43089	9	2013-08-02 16:06:35.057312	2013-08-02 16:06:35.057312
30686	2	2013-08-02 16:06:06.999828	2013-08-04 17:41:50.607954
43091	11	2013-08-02 16:06:35.059017	2013-08-02 16:06:35.059017
45218	2	2013-08-02 16:06:40.073586	2013-08-04 17:41:50.619305
43094	14	2013-08-02 16:06:35.061492	2013-08-02 16:06:35.061492
43118	21	2013-08-02 16:06:35.083614	2013-08-03 21:37:33.672297
43096	16	2013-08-02 16:06:35.063045	2013-08-02 16:06:35.063045
30666	2	2013-08-02 16:06:06.948086	2013-08-04 17:41:50.62921
43099	19	2013-08-02 16:06:35.065424	2013-08-02 16:06:35.065424
43032	9	2013-08-02 16:06:34.980898	2013-08-03 23:21:59.270827
30926	2	2013-08-02 16:06:07.598146	2013-08-04 17:41:50.679785
43102	2	2013-08-02 16:06:35.06826	2013-08-02 16:06:35.06826
43160	19	2013-08-02 16:06:35.134844	2013-08-03 21:39:33.793572
43104	4	2013-08-02 16:06:35.069901	2013-08-02 16:06:35.069901
43161	19	2013-08-02 16:06:35.135701	2013-08-04 00:59:09.483829
43107	7	2013-08-02 16:06:35.072379	2013-08-02 16:06:35.072379
43109	9	2013-08-02 16:06:35.074411	2013-08-02 16:06:35.074411
30915	2	2013-08-02 16:06:07.56859	2013-08-04 17:41:50.686833
43111	11	2013-08-02 16:06:35.076557	2013-08-02 16:06:35.076557
43053	7	2013-08-02 16:06:35.012785	2013-08-04 20:32:40.93165
43114	14	2013-08-02 16:06:35.079427	2013-08-02 16:06:35.079427
43140	19	2013-08-02 16:06:35.111754	2013-08-03 21:39:33.805051
43116	16	2013-08-02 16:06:35.081454	2013-08-02 16:06:35.081454
43115	4	2013-08-02 16:06:35.080528	2013-08-04 20:32:41.566035
43119	19	2013-08-02 16:06:35.084453	2013-08-02 16:06:35.084453
43085	7	2013-08-02 16:06:35.05363	2013-08-03 23:21:59.272866
30850	2	2013-08-02 16:06:07.412094	2013-08-04 17:41:50.696821
43122	2	2013-08-02 16:06:35.088022	2013-08-02 16:06:35.088022
43124	4	2013-08-02 16:06:35.089726	2013-08-02 16:06:35.089726
43141	21	2013-08-02 16:06:35.112948	2013-08-04 00:59:28.734478
43127	7	2013-08-02 16:06:35.092949	2013-08-02 16:06:35.092949
43129	9	2013-08-02 16:06:35.096339	2013-08-02 16:06:35.096339
30906	2	2013-08-02 16:06:07.544252	2013-08-04 17:41:50.707401
43131	11	2013-08-02 16:06:35.099192	2013-08-02 16:06:35.099192
30895	2	2013-08-02 16:06:07.517937	2013-08-04 17:41:50.718047
43134	14	2013-08-02 16:06:35.103223	2013-08-02 16:06:35.103223
43136	16	2013-08-02 16:06:35.105786	2013-08-02 16:06:35.105786
43168	4	2013-08-02 16:06:35.143168	2013-08-04 20:32:41.581068
43139	19	2013-08-02 16:06:35.110373	2013-08-02 16:06:35.110373
30886	2	2013-08-02 16:06:07.496877	2013-08-04 17:41:50.72899
43148	4	2013-08-02 16:06:35.119442	2013-08-04 20:32:41.596368
43142	2	2013-08-02 16:06:35.113805	2013-08-02 16:06:35.113805
43050	19	2013-08-02 16:06:35.007943	2013-08-04 01:03:05.641996
43144	4	2013-08-02 16:06:35.115541	2013-08-02 16:06:35.115541
43128	4	2013-08-02 16:06:35.09458	2013-08-04 20:32:41.611482
43147	7	2013-08-02 16:06:35.118551	2013-08-02 16:06:35.118551
43149	9	2013-08-02 16:06:35.120332	2013-08-02 16:06:35.120332
43052	4	2013-08-02 16:06:35.011341	2013-08-04 20:32:41.626984
43151	11	2013-08-02 16:06:35.122187	2013-08-02 16:06:35.122187
43090	16	2013-08-02 16:06:35.058138	2013-08-04 01:03:05.645553
43154	14	2013-08-02 16:06:35.127127	2013-08-02 16:06:35.127127
43156	16	2013-08-02 16:06:35.129563	2013-08-02 16:06:35.129563
43093	16	2013-08-02 16:06:35.060734	2013-08-04 20:34:53.589023
43112	4	2013-08-02 16:06:35.077566	2013-08-03 23:21:59.277882
43159	19	2013-08-02 16:06:35.133969	2013-08-02 16:06:35.133969
43110	14	2013-08-02 16:06:35.075704	2013-08-04 01:03:05.650691
43162	2	2013-08-02 16:06:35.136567	2013-08-02 16:06:35.136567
43040	11	2013-08-02 16:06:34.99237	2013-08-03 21:39:33.890991
43164	4	2013-08-02 16:06:35.138949	2013-08-02 16:06:35.138949
43167	7	2013-08-02 16:06:35.14229	2013-08-02 16:06:35.14229
43169	9	2013-08-02 16:06:35.144048	2013-08-02 16:06:35.144048
43120	14	2013-08-02 16:06:35.085278	2013-08-04 20:34:53.596396
43171	11	2013-08-02 16:06:35.146677	2013-08-02 16:06:35.146677
43174	14	2013-08-02 16:06:35.150227	2013-08-02 16:06:35.150227
43020	11	2013-08-02 16:06:34.963552	2013-08-03 21:39:33.894531
43143	21	2013-08-02 16:06:35.114669	2013-08-03 19:42:23.366746
43170	11	2013-08-02 16:06:35.145126	2013-08-04 01:03:05.659613
43055	11	2013-08-02 16:06:35.015443	2013-08-03 19:54:07.364298
43100	11	2013-08-02 16:06:35.06652	2013-08-04 20:34:53.603613
43095	9	2013-08-02 16:06:35.062273	2013-08-03 19:54:07.367939
43135	7	2013-08-02 16:06:35.104314	2013-08-03 19:54:07.371565
43152	2	2013-08-02 16:06:35.123385	2013-08-03 23:21:59.281994
43132	2	2013-08-02 16:06:35.100364	2013-08-03 23:24:40.297009
43035	16	2013-08-02 16:06:34.985105	2013-08-03 23:26:13.837594
43075	9	2013-08-02 16:06:35.039274	2013-08-04 01:03:05.662725
43030	21	2013-08-02 16:06:34.978144	2013-08-04 01:05:55.387321
43150	2	2013-08-02 16:06:35.121231	2013-08-04 01:05:56.307272
43165	2	2013-08-02 16:06:35.140505	2013-08-04 01:55:50.838596
43130	9	2013-08-02 16:06:35.097945	2013-08-04 20:34:53.610641
43092	7	2013-08-02 16:06:35.059889	2013-08-04 20:34:53.617972
43153	21	2013-08-02 16:06:35.125313	2013-08-04 20:35:12.290689
43173	2	2013-08-02 16:06:35.14888	2013-08-04 20:37:26.862253
43133	2	2013-08-02 16:06:35.102125	2013-08-04 20:37:27.022589
43113	2	2013-08-02 16:06:35.07842	2013-08-04 20:37:29.436325
43073	2	2013-08-02 16:06:35.03676	2013-08-04 20:37:29.53021
43176	16	2013-08-02 16:06:35.153635	2013-08-02 16:06:35.153635
43268	21	2013-08-02 16:06:35.244508	2013-08-04 20:32:41.489924
43185	9	2013-08-02 16:06:35.164016	2013-08-03 23:06:34.373964
43179	19	2013-08-02 16:06:35.157952	2013-08-02 16:06:35.157952
43200	14	2013-08-02 16:06:35.1759	2013-08-04 17:21:52.998649
43182	2	2013-08-02 16:06:35.161413	2013-08-02 16:06:35.161413
43318	21	2013-08-02 16:06:35.299122	2013-08-03 21:34:21.65396
43184	4	2013-08-02 16:06:35.163144	2013-08-02 16:06:35.163144
43181	16	2013-08-02 16:06:35.160412	2013-08-04 00:59:09.488346
43187	7	2013-08-02 16:06:35.165528	2013-08-02 16:06:35.165528
43189	9	2013-08-02 16:06:35.167127	2013-08-02 16:06:35.167127
43257	14	2013-08-02 16:06:35.233523	2013-08-04 17:21:53.002676
43191	11	2013-08-02 16:06:35.168745	2013-08-02 16:06:35.168745
43237	14	2013-08-02 16:06:35.213727	2013-08-04 17:21:53.007083
43194	14	2013-08-02 16:06:35.171181	2013-08-02 16:06:35.171181
43298	21	2013-08-02 16:06:35.272478	2013-08-03 21:34:21.655486
43196	16	2013-08-02 16:06:35.172822	2013-08-02 16:06:35.172822
43190	2	2013-08-02 16:06:35.167909	2013-08-04 20:32:41.503401
43225	7	2013-08-02 16:06:35.201671	2013-08-03 23:06:34.381226
43199	19	2013-08-02 16:06:35.175058	2013-08-02 16:06:35.175058
43217	14	2013-08-02 16:06:35.193548	2013-08-04 17:21:53.011369
43202	2	2013-08-02 16:06:35.177832	2013-08-02 16:06:35.177832
43278	14	2013-08-02 16:06:35.25244	2013-08-03 21:34:21.669279
43204	4	2013-08-02 16:06:35.180328	2013-08-02 16:06:35.180328
43221	14	2013-08-02 16:06:35.197817	2013-08-04 00:59:09.491207
43207	7	2013-08-02 16:06:35.183924	2013-08-02 16:06:35.183924
43209	9	2013-08-02 16:06:35.185922	2013-08-02 16:06:35.185922
43197	14	2013-08-02 16:06:35.173608	2013-08-04 17:21:53.017192
43211	11	2013-08-02 16:06:35.187647	2013-08-02 16:06:35.187647
43214	14	2013-08-02 16:06:35.190674	2013-08-02 16:06:35.190674
43177	14	2013-08-02 16:06:35.155469	2013-08-04 17:21:53.022238
43216	16	2013-08-02 16:06:35.192707	2013-08-02 16:06:35.192707
43321	2	2013-08-02 16:06:35.303689	2013-08-04 20:32:41.510594
43265	4	2013-08-02 16:06:35.241988	2013-08-03 23:06:34.387939
43219	19	2013-08-02 16:06:35.195803	2013-08-02 16:06:35.195803
43180	16	2013-08-02 16:06:35.159179	2013-08-04 17:24:42.204563
43248	2	2013-08-02 16:06:35.225465	2013-08-04 20:32:41.517238
43222	2	2013-08-02 16:06:35.199264	2013-08-02 16:06:35.199264
43238	19	2013-08-02 16:06:35.215019	2013-08-03 21:34:21.714636
43224	4	2013-08-02 16:06:35.200902	2013-08-02 16:06:35.200902
43261	11	2013-08-02 16:06:35.237166	2013-08-04 00:59:09.49529
43227	7	2013-08-02 16:06:35.203803	2013-08-02 16:06:35.203803
43229	9	2013-08-02 16:06:35.206063	2013-08-02 16:06:35.206063
43297	14	2013-08-02 16:06:35.271563	2013-08-04 17:24:42.212215
43231	11	2013-08-02 16:06:35.208122	2013-08-02 16:06:35.208122
43234	14	2013-08-02 16:06:35.210844	2013-08-02 16:06:35.210844
43236	16	2013-08-02 16:06:35.212578	2013-08-02 16:06:35.212578
43228	2	2013-08-02 16:06:35.205226	2013-08-04 20:32:41.52649
43305	2	2013-08-02 16:06:35.278933	2013-08-03 23:06:34.394685
43239	19	2013-08-02 16:06:35.215934	2013-08-02 16:06:35.215934
43277	21	2013-08-02 16:06:35.251427	2013-08-04 17:24:42.385078
30875	2	2013-08-02 16:06:07.471035	2013-08-04 17:41:50.739785
43242	2	2013-08-02 16:06:35.219071	2013-08-02 16:06:35.219071
43198	4	2013-08-02 16:06:35.174315	2013-08-03 21:34:21.758289
43244	4	2013-08-02 16:06:35.22135	2013-08-02 16:06:35.22135
43301	9	2013-08-02 16:06:35.275218	2013-08-04 00:59:09.498116
43247	7	2013-08-02 16:06:35.224594	2013-08-02 16:06:35.224594
43249	9	2013-08-02 16:06:35.226202	2013-08-02 16:06:35.226202
30857	2	2013-08-02 16:06:07.428618	2013-08-04 17:41:50.75072
43251	11	2013-08-02 16:06:35.227808	2013-08-02 16:06:35.227808
43254	14	2013-08-02 16:06:35.230375	2013-08-02 16:06:35.230375
43220	21	2013-08-02 16:06:35.196968	2013-08-03 21:39:33.751887
43256	16	2013-08-02 16:06:35.232605	2013-08-02 16:06:35.232605
43208	2	2013-08-02 16:06:35.185093	2013-08-04 20:32:41.535416
43241	2	2013-08-02 16:06:35.218163	2013-08-04 01:00:53.670196
43259	19	2013-08-02 16:06:35.23535	2013-08-02 16:06:35.23535
43285	21	2013-08-02 16:06:35.259174	2013-08-03 23:11:28.196099
30866	2	2013-08-02 16:06:07.449865	2013-08-04 17:41:50.762066
43262	2	2013-08-02 16:06:35.238276	2013-08-02 16:06:35.238276
43188	2	2013-08-02 16:06:35.166316	2013-08-04 20:32:41.542972
43264	4	2013-08-02 16:06:35.24119	2013-08-02 16:06:35.24119
43267	7	2013-08-02 16:06:35.243749	2013-08-02 16:06:35.243749
43269	9	2013-08-02 16:06:35.245322	2013-08-02 16:06:35.245322
30855	2	2013-08-02 16:06:07.423891	2013-08-04 17:41:50.77387
43271	11	2013-08-02 16:06:35.247138	2013-08-02 16:06:35.247138
43210	7	2013-08-02 16:06:35.186777	2013-08-04 01:03:05.670391
43274	14	2013-08-02 16:06:35.249319	2013-08-02 16:06:35.249319
43205	4	2013-08-02 16:06:35.181856	2013-08-04 20:32:41.555404
43276	16	2013-08-02 16:06:35.25072	2013-08-02 16:06:35.25072
43288	19	2013-08-02 16:06:35.262159	2013-08-04 20:34:53.331466
43279	19	2013-08-02 16:06:35.253223	2013-08-02 16:06:35.253223
43212	14	2013-08-02 16:06:35.188926	2013-08-03 23:26:13.840143
30846	2	2013-08-02 16:06:07.402579	2013-08-04 17:41:50.784873
43282	2	2013-08-02 16:06:35.255971	2013-08-02 16:06:35.255971
43240	14	2013-08-02 16:06:35.216848	2013-08-03 21:42:41.561014
43284	4	2013-08-02 16:06:35.257532	2013-08-02 16:06:35.257532
30835	2	2013-08-02 16:06:07.374948	2013-08-04 17:41:50.795625
43287	7	2013-08-02 16:06:35.261306	2013-08-02 16:06:35.261306
43289	9	2013-08-02 16:06:35.262994	2013-08-02 16:06:35.262994
30826	2	2013-08-02 16:06:07.351384	2013-08-04 17:41:50.806141
43291	11	2013-08-02 16:06:35.264759	2013-08-02 16:06:35.264759
43281	4	2013-08-02 16:06:35.25513	2013-08-04 01:03:05.681522
43294	14	2013-08-02 16:06:35.268703	2013-08-02 16:06:35.268703
43296	16	2013-08-02 16:06:35.27062	2013-08-02 16:06:35.27062
43299	19	2013-08-02 16:06:35.273399	2013-08-02 16:06:35.273399
43252	11	2013-08-02 16:06:35.22868	2013-08-03 23:26:13.842556
30815	2	2013-08-02 16:06:07.323197	2013-08-04 17:41:50.81928
43302	2	2013-08-02 16:06:35.275996	2013-08-02 16:06:35.275996
30812	2	2013-08-02 16:06:07.316197	2013-08-04 17:41:50.825038
43304	4	2013-08-02 16:06:35.277822	2013-08-02 16:06:35.277822
43270	2	2013-08-02 16:06:35.246081	2013-08-04 01:03:05.68809
43307	7	2013-08-02 16:06:35.282982	2013-08-02 16:06:35.282982
43309	9	2013-08-02 16:06:35.287199	2013-08-02 16:06:35.287199
43328	16	2013-08-02 16:06:35.312449	2013-08-04 20:34:53.339281
43311	11	2013-08-02 16:06:35.291828	2013-08-02 16:06:35.291828
43314	14	2013-08-02 16:06:35.294482	2013-08-02 16:06:35.294482
43300	11	2013-08-02 16:06:35.274417	2013-08-03 21:42:41.566375
43316	16	2013-08-02 16:06:35.296148	2013-08-02 16:06:35.296148
43319	19	2013-08-02 16:06:35.301499	2013-08-02 16:06:35.301499
43292	9	2013-08-02 16:06:35.265618	2013-08-03 23:26:13.84484
43213	4	2013-08-02 16:06:35.189813	2013-08-04 20:34:53.628732
43322	2	2013-08-02 16:06:35.305331	2013-08-02 16:06:35.305331
43324	4	2013-08-02 16:06:35.307723	2013-08-02 16:06:35.307723
43327	7	2013-08-02 16:06:35.31067	2013-08-02 16:06:35.31067
43329	9	2013-08-02 16:06:35.314029	2013-08-02 16:06:35.314029
43233	2	2013-08-02 16:06:35.209811	2013-08-04 20:34:53.636128
43331	11	2013-08-02 16:06:35.315663	2013-08-02 16:06:35.315663
43195	4	2013-08-02 16:06:35.171952	2013-08-03 19:54:07.379999
43235	2	2013-08-02 16:06:35.211699	2013-08-03 19:54:07.384165
43253	21	2013-08-02 16:06:35.229618	2013-08-04 20:34:53.666953
43215	9	2013-08-02 16:06:35.191855	2013-08-03 19:57:23.598536
43315	21	2013-08-02 16:06:35.29531	2013-08-03 19:57:25.233474
43295	19	2013-08-02 16:06:35.269667	2013-08-03 19:57:25.241767
43275	4	2013-08-02 16:06:35.250024	2013-08-03 19:57:25.251966
43312	7	2013-08-02 16:06:35.292686	2013-08-03 23:26:13.849893
43192	21	2013-08-02 16:06:35.169576	2013-08-03 23:41:32.272604
43230	21	2013-08-02 16:06:35.206893	2013-08-04 01:05:55.295983
43250	21	2013-08-02 16:06:35.227008	2013-08-04 01:05:55.385992
43310	16	2013-08-02 16:06:35.289468	2013-08-04 01:08:21.511078
43325	21	2013-08-02 16:06:35.308586	2013-08-04 20:34:53.686754
43320	14	2013-08-02 16:06:35.302598	2013-08-04 01:08:21.515184
43272	2	2013-08-02 16:06:35.247896	2013-08-04 01:55:50.811726
43201	2	2013-08-02 16:06:35.176863	2013-08-04 01:55:50.823674
43260	19	2013-08-02 16:06:35.236261	2013-08-04 20:35:12.178
43313	16	2013-08-02 16:06:35.293588	2013-08-04 20:35:12.185241
43317	2	2013-08-02 16:06:35.297021	2013-08-04 20:37:26.093429
43193	2	2013-08-02 16:06:35.170444	2013-08-04 20:37:26.513242
43293	2	2013-08-02 16:06:35.267275	2013-08-04 20:37:27.722085
43330	2	2013-08-02 16:06:35.314822	2013-08-04 20:37:29.41423
43280	2	2013-08-02 16:06:35.254308	2013-08-04 20:37:29.425266
43232	2	2013-08-02 16:06:35.208934	2013-08-04 20:37:29.509737
43308	2	2013-08-02 16:06:35.28521	2013-08-04 20:37:29.519972
43273	9	2013-08-02 16:06:35.248618	2013-08-04 20:37:30.689513
43334	14	2013-08-02 16:06:35.320425	2013-08-02 16:06:35.320425
43418	21	2013-08-02 16:06:35.527315	2013-08-03 21:34:21.646778
43336	16	2013-08-02 16:06:35.322984	2013-08-02 16:06:35.322984
43348	14	2013-08-02 16:06:35.348517	2013-08-04 20:34:53.346885
43339	19	2013-08-02 16:06:35.328462	2013-08-02 16:06:35.328462
43465	19	2013-08-02 16:06:35.648584	2013-08-03 23:11:27.323193
43342	2	2013-08-02 16:06:35.3343	2013-08-02 16:06:35.3343
43398	21	2013-08-02 16:06:35.477075	2013-08-03 21:34:21.648524
43344	4	2013-08-02 16:06:35.338941	2013-08-02 16:06:35.338941
43357	11	2013-08-02 16:06:35.370234	2013-08-04 17:24:42.223347
43347	7	2013-08-02 16:06:35.346156	2013-08-02 16:06:35.346156
43349	9	2013-08-02 16:06:35.350932	2013-08-02 16:06:35.350932
43351	11	2013-08-02 16:06:35.35402	2013-08-02 16:06:35.35402
43381	4	2013-08-02 16:06:35.434597	2013-08-04 00:59:09.504338
43354	14	2013-08-02 16:06:35.362121	2013-08-02 16:06:35.362121
43378	21	2013-08-02 16:06:35.426647	2013-08-03 21:34:21.650084
43356	16	2013-08-02 16:06:35.367535	2013-08-02 16:06:35.367535
43388	11	2013-08-02 16:06:35.452096	2013-08-04 20:34:53.358229
43420	14	2013-08-02 16:06:35.532699	2013-08-03 23:11:27.346416
43359	19	2013-08-02 16:06:35.375591	2013-08-02 16:06:35.375591
43445	4	2013-08-02 16:06:35.59672	2013-08-03 23:11:27.370579
43397	9	2013-08-02 16:06:35.474366	2013-08-04 17:24:42.231025
43362	2	2013-08-02 16:06:35.383802	2013-08-02 16:06:35.383802
43358	21	2013-08-02 16:06:35.372925	2013-08-03 21:34:21.651489
43364	4	2013-08-02 16:06:35.389138	2013-08-02 16:06:35.389138
43367	7	2013-08-02 16:06:35.397148	2013-08-02 16:06:35.397148
43369	9	2013-08-02 16:06:35.402499	2013-08-02 16:06:35.402499
43365	7	2013-08-02 16:06:35.39178	2013-08-04 17:24:42.238526
43371	11	2013-08-02 16:06:35.40788	2013-08-02 16:06:35.40788
43421	2	2013-08-02 16:06:35.535329	2013-08-04 00:59:09.506295
43374	14	2013-08-02 16:06:35.415925	2013-08-02 16:06:35.415925
43338	21	2013-08-02 16:06:35.326766	2013-08-03 21:34:21.652875
43376	16	2013-08-02 16:06:35.421288	2013-08-02 16:06:35.421288
43425	16	2013-08-02 16:06:35.545677	2013-08-03 23:11:27.394315
43379	19	2013-08-02 16:06:35.429293	2013-08-02 16:06:35.429293
43382	2	2013-08-02 16:06:35.437323	2013-08-02 16:06:35.437323
43361	21	2013-08-02 16:06:35.381142	2013-08-04 00:59:28.484443
43384	4	2013-08-02 16:06:35.442468	2013-08-02 16:06:35.442468
43387	7	2013-08-02 16:06:35.44969	2013-08-02 16:06:35.44969
43389	9	2013-08-02 16:06:35.454417	2013-08-02 16:06:35.454417
43360	9	2013-08-02 16:06:35.378297	2013-08-04 20:34:53.3655
43391	11	2013-08-02 16:06:35.459295	2013-08-02 16:06:35.459295
43394	14	2013-08-02 16:06:35.466414	2013-08-02 16:06:35.466414
43458	9	2013-08-02 16:06:35.63036	2013-08-03 21:39:32.891651
43396	16	2013-08-02 16:06:35.471649	2013-08-02 16:06:35.471649
43428	7	2013-08-02 16:06:35.552887	2013-08-04 20:34:53.369238
43385	11	2013-08-02 16:06:35.444883	2013-08-03 23:11:27.440534
43399	19	2013-08-02 16:06:35.479501	2013-08-02 16:06:35.479501
43478	7	2013-08-02 16:06:35.682827	2013-08-03 23:11:27.463161
43477	4	2013-08-02 16:06:35.680115	2013-08-04 17:24:42.249487
43402	2	2013-08-02 16:06:35.487501	2013-08-02 16:06:35.487501
43457	21	2013-08-02 16:06:35.627696	2013-08-04 17:26:49.452683
43404	4	2013-08-02 16:06:35.492328	2013-08-02 16:06:35.492328
43377	21	2013-08-02 16:06:35.423933	2013-08-04 17:26:50.331203
43407	7	2013-08-02 16:06:35.499561	2013-08-02 16:06:35.499561
43409	9	2013-08-02 16:06:35.5043	2013-08-02 16:06:35.5043
43337	2	2013-08-02 16:06:35.324467	2013-08-04 17:26:50.476867
43411	11	2013-08-02 16:06:35.509077	2013-08-02 16:06:35.509077
43441	2	2013-08-02 16:06:35.586924	2013-08-04 01:00:52.650384
43414	14	2013-08-02 16:06:35.516438	2013-08-02 16:06:35.516438
43340	9	2013-08-02 16:06:35.330374	2013-08-03 21:42:41.570951
43416	16	2013-08-02 16:06:35.52209	2013-08-02 16:06:35.52209
43419	19	2013-08-02 16:06:35.529984	2013-08-02 16:06:35.529984
43485	21	2013-08-02 16:06:35.701652	2013-08-03 23:12:21.269697
30806	2	2013-08-02 16:06:07.302037	2013-08-04 17:41:50.830279
43422	2	2013-08-02 16:06:35.53802	2013-08-02 16:06:35.53802
43424	4	2013-08-02 16:06:35.543197	2013-08-02 16:06:35.543197
43401	2	2013-08-02 16:06:35.485031	2013-08-04 01:00:53.237555
43427	7	2013-08-02 16:06:35.550465	2013-08-02 16:06:35.550465
43429	9	2013-08-02 16:06:35.555461	2013-08-02 16:06:35.555461
30795	2	2013-08-02 16:06:07.275664	2013-08-04 17:41:50.835945
43431	11	2013-08-02 16:06:35.560676	2013-08-02 16:06:35.560676
30786	2	2013-08-02 16:06:07.253686	2013-08-04 17:41:50.841448
43434	14	2013-08-02 16:06:35.568424	2013-08-02 16:06:35.568424
43380	7	2013-08-02 16:06:35.431949	2013-08-03 21:42:41.57564
43436	16	2013-08-02 16:06:35.57378	2013-08-02 16:06:35.57378
43468	4	2013-08-02 16:06:35.656629	2013-08-04 20:34:53.379783
43370	11	2013-08-02 16:06:35.40523	2013-08-04 01:08:21.521416
43439	19	2013-08-02 16:06:35.581648	2013-08-02 16:06:35.581648
43372	4	2013-08-02 16:06:35.410563	2013-08-03 23:26:13.857975
30777	2	2013-08-02 16:06:07.230899	2013-08-04 17:41:50.847147
43442	2	2013-08-02 16:06:35.589435	2013-08-02 16:06:35.589435
43444	4	2013-08-02 16:06:35.594313	2013-08-02 16:06:35.594313
43390	9	2013-08-02 16:06:35.456814	2013-08-04 01:08:21.523539
43447	7	2013-08-02 16:06:35.60156	2013-08-02 16:06:35.60156
43449	9	2013-08-02 16:06:35.606474	2013-08-02 16:06:35.606474
30492	21	2013-08-02 16:06:06.594166	2013-08-04 17:41:51.121969
43451	11	2013-08-02 16:06:35.61192	2013-08-02 16:06:35.61192
43454	14	2013-08-02 16:06:35.619878	2013-08-02 16:06:35.619878
43410	7	2013-08-02 16:06:35.506691	2013-08-04 01:08:21.527795
43456	16	2013-08-02 16:06:35.62517	2013-08-02 16:06:35.62517
43459	19	2013-08-02 16:06:35.632871	2013-08-02 16:06:35.632871
43412	2	2013-08-02 16:06:35.511435	2013-08-03 23:26:13.86458
30506	2	2013-08-02 16:06:06.618664	2013-08-04 17:41:51.230337
43462	2	2013-08-02 16:06:35.640264	2013-08-02 16:06:35.640264
43440	4	2013-08-02 16:06:35.584246	2013-08-03 21:42:41.581535
43464	4	2013-08-02 16:06:35.645696	2013-08-02 16:06:35.645696
30477	2	2013-08-02 16:06:06.573811	2013-08-04 17:41:51.397905
43467	7	2013-08-02 16:06:35.653943	2013-08-02 16:06:35.653943
43469	9	2013-08-02 16:06:35.659113	2013-08-02 16:06:35.659113
20070	2	2013-08-02 16:05:43.587429	2013-08-04 17:41:51.428319
43471	11	2013-08-02 16:06:35.664097	2013-08-02 16:06:35.664097
43470	4	2013-08-02 16:06:35.661529	2013-08-04 01:08:21.53914
43474	14	2013-08-02 16:06:35.672248	2013-08-02 16:06:35.672248
20036	2	2013-08-02 16:05:43.510394	2013-08-04 17:41:51.433108
43476	16	2013-08-02 16:06:35.677478	2013-08-02 16:06:35.677478
43448	19	2013-08-02 16:06:35.603931	2013-08-04 20:34:53.476212
43352	14	2013-08-02 16:06:35.356727	2013-08-03 23:26:32.977921
43479	19	2013-08-02 16:06:35.685539	2013-08-02 16:06:35.685539
43392	21	2013-08-02 16:06:35.461709	2013-08-03 23:26:33.020368
20016	2	2013-08-02 16:05:43.457525	2013-08-04 17:41:51.43688
43482	2	2013-08-02 16:06:35.693571	2013-08-02 16:06:35.693571
43480	2	2013-08-02 16:06:35.688198	2013-08-03 21:42:41.58376
43484	4	2013-08-02 16:06:35.698955	2013-08-02 16:06:35.698955
43438	21	2013-08-02 16:06:35.579093	2013-08-04 20:34:53.688357
43487	7	2013-08-02 16:06:35.707023	2013-08-02 16:06:35.707023
43489	9	2013-08-02 16:06:35.712337	2013-08-02 16:06:35.712337
43475	21	2013-08-02 16:06:35.674845	2013-08-03 19:57:25.221333
43455	21	2013-08-02 16:06:35.622512	2013-08-03 19:57:25.223457
43435	21	2013-08-02 16:06:35.57112	2013-08-03 19:57:25.22531
43415	21	2013-08-02 16:06:35.519241	2013-08-03 19:57:25.226857
43395	21	2013-08-02 16:06:35.469007	2013-08-03 19:57:25.228425
43375	21	2013-08-02 16:06:35.418636	2013-08-03 19:57:25.229722
43355	21	2013-08-02 16:06:35.364884	2013-08-03 19:57:25.230949
43452	14	2013-08-02 16:06:35.614568	2013-08-03 23:31:33.773105
43350	21	2013-08-02 16:06:35.352949	2013-08-04 01:08:40.865476
43450	21	2013-08-02 16:06:35.609294	2013-08-04 01:08:40.925287
43461	2	2013-08-02 16:06:35.63779	2013-08-04 01:55:50.799066
43333	14	2013-08-02 16:06:35.318492	2013-08-04 20:35:12.191073
43353	11	2013-08-02 16:06:35.359417	2013-08-04 20:35:12.193264
43432	9	2013-08-02 16:06:35.56312	2013-08-04 20:35:12.196734
43413	7	2013-08-02 16:06:35.513846	2013-08-04 20:35:12.201177
43473	4	2013-08-02 16:06:35.669457	2013-08-04 20:35:12.206898
43453	21	2013-08-02 16:06:35.617242	2013-08-04 20:35:12.2403
43408	21	2013-08-02 16:06:35.501941	2013-08-04 20:35:12.293569
43472	2	2013-08-02 16:06:35.666774	2013-08-04 20:37:26.077642
43488	2	2013-08-02 16:06:35.709684	2013-08-04 20:37:26.087531
43433	2	2013-08-02 16:06:35.565772	2013-08-04 20:37:26.506961
43393	2	2013-08-02 16:06:35.46408	2013-08-04 20:37:26.848177
43417	2	2013-08-02 16:06:35.524707	2013-08-04 20:37:26.999911
43368	2	2013-08-02 16:06:35.399777	2013-08-04 20:37:27.011722
43646	2	2013-08-02 16:06:36.313439	2013-08-04 20:32:39.805583
43491	11	2013-08-02 16:06:35.717659	2013-08-02 16:06:35.717659
43641	21	2013-08-02 16:06:36.300523	2013-08-04 01:00:52.475704
43494	14	2013-08-02 16:06:35.725473	2013-08-02 16:06:35.725473
43598	21	2013-08-02 16:06:36.199502	2013-08-03 21:39:32.753173
43496	16	2013-08-02 16:06:35.730812	2013-08-02 16:06:35.730812
43626	2	2013-08-02 16:06:36.261626	2013-08-04 20:32:39.811505
43585	21	2013-08-02 16:06:36.178287	2013-08-03 23:11:27.262169
43499	19	2013-08-02 16:06:35.738849	2013-08-02 16:06:35.738849
43565	21	2013-08-02 16:06:35.900751	2013-08-03 23:11:27.266681
43517	2	2013-08-02 16:06:35.784353	2013-08-04 17:24:42.256801
43502	2	2013-08-02 16:06:35.746534	2013-08-02 16:06:35.746534
43508	2	2013-08-02 16:06:35.761063	2013-08-04 20:34:53.386508
43504	4	2013-08-02 16:06:35.751364	2013-08-02 16:06:35.751364
43621	14	2013-08-02 16:06:36.248222	2013-08-04 01:00:52.486225
43507	7	2013-08-02 16:06:35.758446	2013-08-02 16:06:35.758446
43509	9	2013-08-02 16:06:35.763724	2013-08-02 16:06:35.763724
43497	2	2013-08-02 16:06:35.733478	2013-08-04 17:26:49.406158
43511	11	2013-08-02 16:06:35.769059	2013-08-02 16:06:35.769059
43537	2	2013-08-02 16:06:35.833203	2013-08-04 17:26:51.509102
43514	14	2013-08-02 16:06:35.777076	2013-08-02 16:06:35.777076
43637	14	2013-08-02 16:06:36.290116	2013-08-04 17:26:53.230375
43516	16	2013-08-02 16:06:35.781959	2013-08-02 16:06:35.781959
43545	21	2013-08-02 16:06:35.853282	2013-08-03 23:11:27.27025
43519	19	2013-08-02 16:06:35.789204	2013-08-02 16:06:35.789204
43525	21	2013-08-02 16:06:35.803533	2013-08-03 23:11:27.273783
43560	14	2013-08-02 16:06:35.889091	2013-08-04 17:26:53.23437
43522	2	2013-08-02 16:06:35.796368	2013-08-02 16:06:35.796368
43538	19	2013-08-02 16:06:35.835833	2013-08-03 21:39:32.804333
43524	4	2013-08-02 16:06:35.80118	2013-08-02 16:06:35.80118
43500	19	2013-08-02 16:06:35.741677	2013-08-04 01:00:52.533682
43527	7	2013-08-02 16:06:35.80828	2013-08-02 16:06:35.80828
43529	9	2013-08-02 16:06:35.813054	2013-08-02 16:06:35.813054
43617	14	2013-08-02 16:06:36.237732	2013-08-04 17:26:53.238027
43531	11	2013-08-02 16:06:35.817851	2013-08-02 16:06:35.817851
43561	7	2013-08-02 16:06:35.891443	2013-08-04 01:00:52.543887
43534	14	2013-08-02 16:06:35.825136	2013-08-02 16:06:35.825136
43518	14	2013-08-02 16:06:35.786803	2013-08-03 21:39:32.821225
43536	16	2013-08-02 16:06:35.830468	2013-08-02 16:06:35.830468
43528	21	2013-08-02 16:06:35.810677	2013-08-04 20:34:53.667927
43505	21	2013-08-02 16:06:35.753763	2013-08-03 23:11:27.277565
43539	19	2013-08-02 16:06:35.838501	2013-08-02 16:06:35.838501
43605	14	2013-08-02 16:06:36.208236	2013-08-03 23:12:31.783293
43580	14	2013-08-02 16:06:36.172754	2013-08-04 17:26:53.241093
43542	2	2013-08-02 16:06:35.846073	2013-08-02 16:06:35.846073
43544	4	2013-08-02 16:06:35.850876	2013-08-02 16:06:35.850876
43541	16	2013-08-02 16:06:35.843618	2013-08-04 01:00:52.554387
43547	7	2013-08-02 16:06:35.858137	2013-08-02 16:06:35.858137
43549	9	2013-08-02 16:06:35.862947	2013-08-02 16:06:35.862947
43597	14	2013-08-02 16:06:36.198556	2013-08-04 17:26:53.244382
43551	11	2013-08-02 16:06:35.867703	2013-08-02 16:06:35.867703
43521	9	2013-08-02 16:06:35.793986	2013-08-04 01:00:52.562014
43554	14	2013-08-02 16:06:35.874812	2013-08-02 16:06:35.874812
43638	7	2013-08-02 16:06:36.292712	2013-08-03 21:39:33.324183
43556	16	2013-08-02 16:06:35.879541	2013-08-02 16:06:35.879541
43493	2	2013-08-02 16:06:35.722744	2013-08-04 20:35:12.210738
43559	19	2013-08-02 16:06:35.886705	2013-08-02 16:06:35.886705
43577	14	2013-08-02 16:06:36.169571	2013-08-04 17:26:53.249953
43501	14	2013-08-02 16:06:35.744074	2013-08-04 17:26:53.255629
43562	2	2013-08-02 16:06:35.893844	2013-08-02 16:06:35.893844
43618	9	2013-08-02 16:06:36.240319	2013-08-03 21:39:33.332529
43564	4	2013-08-02 16:06:35.898385	2013-08-02 16:06:35.898385
43567	7	2013-08-02 16:06:35.905496	2013-08-02 16:06:35.905496
43569	9	2013-08-02 16:06:35.910207	2013-08-02 16:06:35.910207
43557	14	2013-08-02 16:06:35.881946	2013-08-04 17:26:53.261607
43571	11	2013-08-02 16:06:35.91515	2013-08-02 16:06:35.91515
43578	21	2013-08-02 16:06:36.170642	2013-08-04 01:00:52.812325
43574	14	2013-08-02 16:06:35.922476	2013-08-02 16:06:35.922476
19996	2	2013-08-02 16:05:43.408125	2013-08-04 17:41:51.446548
43576	16	2013-08-02 16:06:36.168309	2013-08-02 16:06:36.168309
43575	2	2013-08-02 16:06:36.165639	2013-08-04 20:37:26.727869
43492	11	2013-08-02 16:06:35.720111	2013-08-03 23:31:33.775838
43579	19	2013-08-02 16:06:36.171686	2013-08-02 16:06:36.171686
19972	2	2013-08-02 16:05:43.350869	2013-08-04 17:41:51.454375
19976	2	2013-08-02 16:05:43.360403	2013-08-04 17:41:51.484152
43582	2	2013-08-02 16:06:36.174974	2013-08-02 16:06:36.174974
43640	16	2013-08-02 16:06:36.297882	2013-08-03 21:44:34.956034
43584	4	2013-08-02 16:06:36.177231	2013-08-02 16:06:36.177231
19956	2	2013-08-02 16:05:43.312112	2013-08-04 17:41:51.495447
43587	7	2013-08-02 16:06:36.182755	2013-08-02 16:06:36.182755
43589	9	2013-08-02 16:06:36.187542	2013-08-02 16:06:36.187542
19983	2	2013-08-02 16:05:43.377196	2013-08-04 17:41:51.50592
43591	11	2013-08-02 16:06:36.192418	2013-08-02 16:06:36.192418
43510	2	2013-08-02 16:06:35.766384	2013-08-04 01:08:21.546741
43594	14	2013-08-02 16:06:36.195523	2013-08-02 16:06:36.195523
43596	16	2013-08-02 16:06:36.197411	2013-08-02 16:06:36.197411
43543	2	2013-08-02 16:06:35.848468	2013-08-04 20:37:26.74306
43558	9	2013-08-02 16:06:35.884318	2013-08-03 23:31:33.779241
43599	19	2013-08-02 16:06:36.200443	2013-08-02 16:06:36.200443
4644	2	2013-08-02 16:05:12.824358	2013-08-04 17:41:51.60625
43602	2	2013-08-02 16:06:36.203676	2013-08-02 16:06:36.203676
43604	4	2013-08-02 16:06:36.207102	2013-08-02 16:06:36.207102
25119	2	2013-08-02 16:05:54.054786	2013-08-04 17:41:51.960939
43607	7	2013-08-02 16:06:36.212857	2013-08-02 16:06:36.212857
43609	9	2013-08-02 16:06:36.218234	2013-08-02 16:06:36.218234
25099	2	2013-08-02 16:05:54.00222	2013-08-04 17:41:51.96515
43611	11	2013-08-02 16:06:36.223213	2013-08-02 16:06:36.223213
25079	2	2013-08-02 16:05:53.94765	2013-08-04 17:41:51.969563
43614	14	2013-08-02 16:06:36.230507	2013-08-02 16:06:36.230507
43628	2	2013-08-02 16:06:36.26703	2013-08-04 20:37:26.756993
43616	16	2013-08-02 16:06:36.235304	2013-08-02 16:06:36.235304
43608	2	2013-08-02 16:06:36.215532	2013-08-04 20:37:26.77147
43552	7	2013-08-02 16:06:35.870108	2013-08-03 23:31:33.783287
43619	19	2013-08-02 16:06:36.243044	2013-08-02 16:06:36.243044
25092	2	2013-08-02 16:05:53.981312	2013-08-04 17:41:51.974853
43622	2	2013-08-02 16:06:36.25087	2013-08-02 16:06:36.25087
43532	2	2013-08-02 16:06:35.820133	2013-08-04 20:37:26.786224
43624	4	2013-08-02 16:06:36.25625	2013-08-02 16:06:36.25625
43601	21	2013-08-02 16:06:36.202606	2013-08-04 01:08:40.866211
43627	7	2013-08-02 16:06:36.264306	2013-08-02 16:06:36.264306
43629	9	2013-08-02 16:06:36.269715	2013-08-02 16:06:36.269715
25059	2	2013-08-02 16:05:53.899783	2013-08-04 17:41:51.978928
43631	11	2013-08-02 16:06:36.274634	2013-08-02 16:06:36.274634
43530	16	2013-08-02 16:06:35.815437	2013-08-04 01:08:41.083114
43634	14	2013-08-02 16:06:36.282076	2013-08-02 16:06:36.282076
43540	11	2013-08-02 16:06:35.841165	2013-08-03 21:44:35.009031
43636	16	2013-08-02 16:06:36.287402	2013-08-02 16:06:36.287402
43588	2	2013-08-02 16:06:36.185098	2013-08-04 20:37:26.80131
43568	2	2013-08-02 16:06:35.907851	2013-08-04 20:37:26.816998
43639	19	2013-08-02 16:06:36.295219	2013-08-02 16:06:36.295219
43592	4	2013-08-02 16:06:36.193633	2013-08-03 23:31:33.790918
43533	16	2013-08-02 16:06:35.822551	2013-08-04 20:39:50.368355
43642	2	2013-08-02 16:06:36.303238	2013-08-02 16:06:36.303238
43520	11	2013-08-02 16:06:35.791585	2013-08-03 21:44:35.02072
43644	4	2013-08-02 16:06:36.308443	2013-08-02 16:06:36.308443
43570	14	2013-08-02 16:06:35.912564	2013-08-04 01:08:41.090711
43495	14	2013-08-02 16:06:35.728138	2013-08-03 19:58:23.081248
43555	11	2013-08-02 16:06:35.877201	2013-08-03 19:58:23.093953
43595	9	2013-08-02 16:06:36.196466	2013-08-03 19:58:23.101183
43572	14	2013-08-02 16:06:35.917644	2013-08-03 23:31:52.84167
43553	14	2013-08-02 16:06:35.872452	2013-08-04 20:39:50.375771
43610	11	2013-08-02 16:06:36.220768	2013-08-04 01:08:41.101561
43630	9	2013-08-02 16:06:36.272194	2013-08-04 01:08:41.105168
43490	14	2013-08-02 16:06:35.715066	2013-08-04 01:10:50.50076
43590	2	2013-08-02 16:06:36.190001	2013-08-04 01:10:51.555091
43550	2	2013-08-02 16:06:35.865339	2013-08-04 01:55:50.787147
43573	11	2013-08-02 16:06:35.92005	2013-08-04 20:39:50.382876
43620	9	2013-08-02 16:06:36.245716	2013-08-04 20:39:50.390099
43613	7	2013-08-02 16:06:36.228067	2013-08-04 20:39:50.397028
43600	2	2013-08-02 16:06:36.201547	2013-08-04 20:42:23.795969
43625	2	2013-08-02 16:06:36.258928	2013-08-04 20:42:23.854551
43498	21	2013-08-02 16:06:35.736141	2013-08-04 20:42:26.596392
43647	7	2013-08-02 16:06:36.315868	2013-08-02 16:06:36.315868
43649	9	2013-08-02 16:06:36.320833	2013-08-02 16:06:36.320833
43797	14	2013-08-02 16:06:36.690007	2013-08-04 17:26:53.154855
43651	11	2013-08-02 16:06:36.325641	2013-08-02 16:06:36.325641
43681	21	2013-08-02 16:06:36.397312	2013-08-04 01:00:52.472411
43654	14	2013-08-02 16:06:36.332813	2013-08-02 16:06:36.332813
43798	19	2013-08-02 16:06:36.69266	2013-08-03 21:39:33.167136
43656	16	2013-08-02 16:06:36.337616	2013-08-02 16:06:36.337616
43665	11	2013-08-02 16:06:36.359073	2013-08-03 23:12:31.789844
43659	19	2013-08-02 16:06:36.344781	2013-08-02 16:06:36.344781
43777	14	2013-08-02 16:06:36.641308	2013-08-04 17:26:53.166811
43757	14	2013-08-02 16:06:36.59358	2013-08-04 17:26:53.177649
43662	2	2013-08-02 16:06:36.351926	2013-08-02 16:06:36.351926
43778	4	2013-08-02 16:06:36.643669	2013-08-03 21:39:33.19077
43664	4	2013-08-02 16:06:36.356702	2013-08-02 16:06:36.356702
43661	21	2013-08-02 16:06:36.349564	2013-08-04 01:00:52.474325
43667	7	2013-08-02 16:06:36.363826	2013-08-02 16:06:36.363826
43669	9	2013-08-02 16:06:36.368638	2013-08-02 16:06:36.368638
43737	14	2013-08-02 16:06:36.543655	2013-08-04 17:26:53.18871
43671	11	2013-08-02 16:06:36.373459	2013-08-02 16:06:36.373459
43717	14	2013-08-02 16:06:36.492424	2013-08-04 17:26:53.200662
43674	14	2013-08-02 16:06:36.380581	2013-08-02 16:06:36.380581
43786	16	2013-08-02 16:06:36.66283	2013-08-04 20:34:53.483352
43676	16	2013-08-02 16:06:36.385378	2013-08-02 16:06:36.385378
43705	9	2013-08-02 16:06:36.460979	2013-08-03 23:12:31.792183
43679	19	2013-08-02 16:06:36.392508	2013-08-02 16:06:36.392508
43697	14	2013-08-02 16:06:36.439245	2013-08-04 17:26:53.210982
43682	2	2013-08-02 16:06:36.399673	2013-08-02 16:06:36.399673
43741	14	2013-08-02 16:06:36.55377	2013-08-04 17:26:53.214508
43684	4	2013-08-02 16:06:36.404421	2013-08-02 16:06:36.404421
43721	19	2013-08-02 16:06:36.50208	2013-08-04 01:02:30.612597
43687	7	2013-08-02 16:06:36.412459	2013-08-02 16:06:36.412459
43689	9	2013-08-02 16:06:36.417796	2013-08-02 16:06:36.417796
43677	14	2013-08-02 16:06:36.387745	2013-08-04 17:26:53.218245
43691	11	2013-08-02 16:06:36.423168	2013-08-02 16:06:36.423168
43748	2	2013-08-02 16:06:36.571207	2013-08-04 20:37:26.664892
43694	14	2013-08-02 16:06:36.431221	2013-08-02 16:06:36.431221
43718	11	2013-08-02 16:06:36.494889	2013-08-03 21:39:33.261934
43696	16	2013-08-02 16:06:36.436528	2013-08-02 16:06:36.436528
43728	2	2013-08-02 16:06:36.519862	2013-08-04 20:37:26.67571
43725	7	2013-08-02 16:06:36.511683	2013-08-03 23:12:31.794315
43699	19	2013-08-02 16:06:36.4446	2013-08-02 16:06:36.4446
43758	14	2013-08-02 16:06:36.595961	2013-08-04 17:26:53.222206
43702	2	2013-08-02 16:06:36.453088	2013-08-02 16:06:36.453088
43704	4	2013-08-02 16:06:36.458292	2013-08-02 16:06:36.458292
43761	16	2013-08-02 16:06:36.603165	2013-08-04 01:02:30.615121
43707	7	2013-08-02 16:06:36.466339	2013-08-02 16:06:36.466339
43709	9	2013-08-02 16:06:36.47173	2013-08-02 16:06:36.47173
43708	2	2013-08-02 16:06:36.469064	2013-08-04 20:37:26.683422
43711	11	2013-08-02 16:06:36.477065	2013-08-02 16:06:36.477065
43715	2	2013-08-02 16:06:36.487607	2013-08-04 17:31:50.940441
43714	14	2013-08-02 16:06:36.485138	2013-08-02 16:06:36.485138
43760	21	2013-08-02 16:06:36.600783	2013-08-03 21:44:34.909248
43716	16	2013-08-02 16:06:36.490035	2013-08-02 16:06:36.490035
43698	2	2013-08-02 16:06:36.441919	2013-08-04 20:37:26.690381
43745	4	2013-08-02 16:06:36.563596	2013-08-03 23:12:31.796147
43719	19	2013-08-02 16:06:36.497311	2013-08-02 16:06:36.497311
43801	14	2013-08-02 16:06:36.70095	2013-08-04 01:02:30.617623
25039	2	2013-08-02 16:05:53.848944	2013-08-04 17:41:51.983067
43722	2	2013-08-02 16:06:36.504451	2013-08-02 16:06:36.504451
43724	4	2013-08-02 16:06:36.509291	2013-08-02 16:06:36.509291
43701	21	2013-08-02 16:06:36.450257	2013-08-04 01:08:40.866951
43727	7	2013-08-02 16:06:36.517211	2013-08-02 16:06:36.517211
43729	9	2013-08-02 16:06:36.522518	2013-08-02 16:06:36.522518
25019	2	2013-08-02 16:05:53.795888	2013-08-04 17:41:51.986628
43731	11	2013-08-02 16:06:36.527602	2013-08-02 16:06:36.527602
43650	7	2013-08-02 16:06:36.323222	2013-08-04 01:08:41.110082
43734	14	2013-08-02 16:06:36.535652	2013-08-02 16:06:36.535652
43736	16	2013-08-02 16:06:36.541158	2013-08-02 16:06:36.541158
43688	2	2013-08-02 16:06:36.415134	2013-08-04 20:37:26.695513
43765	14	2013-08-02 16:06:36.61277	2013-08-03 23:14:34.297896
43739	19	2013-08-02 16:06:36.548849	2013-08-02 16:06:36.548849
43652	9	2013-08-02 16:06:36.328007	2013-08-03 23:37:06.869746
24999	2	2013-08-02 16:05:53.753802	2013-08-04 17:41:51.989685
43742	2	2013-08-02 16:06:36.556197	2013-08-02 16:06:36.556197
43700	19	2013-08-02 16:06:36.447561	2013-08-03 21:44:34.936072
43744	4	2013-08-02 16:06:36.561142	2013-08-02 16:06:36.561142
25006	2	2013-08-02 16:05:53.76652	2013-08-04 17:41:51.99259
43747	7	2013-08-02 16:06:36.56879	2013-08-02 16:06:36.56879
43749	9	2013-08-02 16:06:36.573814	2013-08-02 16:06:36.573814
24979	2	2013-08-02 16:05:53.727703	2013-08-04 17:41:51.995781
43751	11	2013-08-02 16:06:36.579025	2013-08-02 16:06:36.579025
43738	4	2013-08-02 16:06:36.546353	2013-08-04 01:08:41.116004
43754	14	2013-08-02 16:06:36.586363	2013-08-02 16:06:36.586363
43680	19	2013-08-02 16:06:36.394899	2013-08-03 21:44:34.940851
43756	16	2013-08-02 16:06:36.591163	2013-08-02 16:06:36.591163
43740	2	2013-08-02 16:06:36.551308	2013-08-04 20:37:26.700447
43759	19	2013-08-02 16:06:36.598368	2013-08-02 16:06:36.598368
43692	7	2013-08-02 16:06:36.425823	2013-08-03 23:37:06.874553
30313	2	2013-08-02 16:06:06.050456	2013-08-04 17:41:52.186194
43762	2	2013-08-02 16:06:36.605545	2013-08-02 16:06:36.605545
43660	16	2013-08-02 16:06:36.347146	2013-08-03 21:44:34.95155
43764	4	2013-08-02 16:06:36.610333	2013-08-02 16:06:36.610333
46843	2	2013-08-02 16:06:43.708143	2013-08-04 17:41:52.197232
43767	7	2013-08-02 16:06:36.617515	2013-08-02 16:06:36.617515
43769	9	2013-08-02 16:06:36.622246	2013-08-02 16:06:36.622246
30273	2	2013-08-02 16:06:05.981496	2013-08-04 17:41:52.229134
43771	11	2013-08-02 16:06:36.627049	2013-08-02 16:06:36.627049
43710	2	2013-08-02 16:06:36.474431	2013-08-04 01:08:41.119581
43774	14	2013-08-02 16:06:36.634175	2013-08-02 16:06:36.634175
43775	21	2013-08-02 16:06:36.636532	2013-08-03 21:49:34.741123
43776	16	2013-08-02 16:06:36.638939	2013-08-02 16:06:36.638939
43668	2	2013-08-02 16:06:36.366232	2013-08-04 20:37:26.706748
43779	19	2013-08-02 16:06:36.646081	2013-08-02 16:06:36.646081
30255	2	2013-08-02 16:06:05.937762	2013-08-04 17:41:52.239806
30253	2	2013-08-02 16:06:05.932997	2013-08-04 17:41:52.250781
43782	2	2013-08-02 16:06:36.653327	2013-08-02 16:06:36.653327
43800	21	2013-08-02 16:06:36.698288	2013-08-03 21:49:34.743022
43784	4	2013-08-02 16:06:36.658057	2013-08-02 16:06:36.658057
43648	2	2013-08-02 16:06:36.318402	2013-08-04 20:37:26.715504
43787	7	2013-08-02 16:06:36.665193	2013-08-02 16:06:36.665193
43789	9	2013-08-02 16:06:36.669931	2013-08-02 16:06:36.669931
43791	11	2013-08-02 16:06:36.674701	2013-08-02 16:06:36.674701
43673	2	2013-08-02 16:06:36.378207	2013-08-04 20:39:50.415686
43794	14	2013-08-02 16:06:36.682072	2013-08-02 16:06:36.682072
43780	21	2013-08-02 16:06:36.648439	2013-08-03 21:49:34.745594
43796	16	2013-08-02 16:06:36.687341	2013-08-02 16:06:36.687341
43752	4	2013-08-02 16:06:36.58153	2013-08-03 23:37:06.878822
43799	19	2013-08-02 16:06:36.695285	2013-08-02 16:06:36.695285
43790	19	2013-08-02 16:06:36.672288	2013-08-04 01:08:51.723089
43653	2	2013-08-02 16:06:36.330393	2013-08-04 20:42:23.154479
43802	2	2013-08-02 16:06:36.703596	2013-08-02 16:06:36.703596
43792	2	2013-08-02 16:06:36.677079	2013-08-03 23:37:06.881096
43803	4	2013-08-02 16:06:36.706265	2013-08-03 19:47:24.922523
43750	21	2013-08-02 16:06:36.576482	2013-08-04 01:08:51.794624
43695	4	2013-08-02 16:06:36.433882	2013-08-03 19:58:23.108632
43772	21	2013-08-02 16:06:36.629429	2013-08-03 23:37:25.758118
43735	2	2013-08-02 16:06:36.538328	2013-08-03 19:58:23.111973
43693	7	2013-08-02 16:06:36.428504	2013-08-04 20:42:24.453399
43732	19	2013-08-02 16:06:36.530314	2013-08-03 23:37:25.879305
43795	19	2013-08-02 16:06:36.684733	2013-08-03 19:58:42.202001
43713	16	2013-08-02 16:06:36.482465	2013-08-04 20:44:28.290962
43730	2	2013-08-02 16:06:36.524997	2013-08-04 01:10:50.424039
43690	14	2013-08-02 16:06:36.420457	2013-08-04 01:10:50.497482
43670	21	2013-08-02 16:06:36.371024	2013-08-04 01:10:50.589698
43770	21	2013-08-02 16:06:36.624655	2013-08-04 01:12:19.210641
43781	2	2013-08-02 16:06:36.650939	2013-08-04 01:55:50.775934
43733	14	2013-08-02 16:06:36.533002	2013-08-04 20:44:28.300499
43773	11	2013-08-02 16:06:36.631776	2013-08-04 20:44:28.308169
43753	2	2013-08-02 16:06:36.583947	2013-08-04 20:47:28.564686
43793	7	2013-08-02 16:06:36.679449	2013-08-04 20:47:30.001881
43755	21	2013-08-02 16:06:36.58878	2013-08-04 20:47:31.574495
43804	4	2013-08-02 16:06:36.708794	2013-08-02 16:06:36.708794
43817	14	2013-08-02 16:06:36.743015	2013-08-04 17:28:53.468252
43807	7	2013-08-02 16:06:36.716753	2013-08-02 16:06:36.716753
43809	9	2013-08-02 16:06:36.722089	2013-08-02 16:06:36.722089
43811	11	2013-08-02 16:06:36.727428	2013-08-02 16:06:36.727428
43841	11	2013-08-02 16:06:36.804485	2013-08-04 01:02:30.621108
43814	14	2013-08-02 16:06:36.735193	2013-08-02 16:06:36.735193
43958	21	2013-08-02 16:06:37.03415	2013-08-03 21:39:33.12135
43816	16	2013-08-02 16:06:36.740328	2013-08-02 16:06:36.740328
43892	2	2013-08-02 16:06:36.935213	2013-08-04 20:37:28.441023
43945	9	2013-08-02 16:06:37.011799	2013-08-03 23:14:34.59306
43819	19	2013-08-02 16:06:36.748302	2013-08-02 16:06:36.748302
43852	2	2013-08-02 16:06:36.833553	2013-08-04 20:37:28.453142
43822	2	2013-08-02 16:06:36.756301	2013-08-02 16:06:36.756301
43938	21	2013-08-02 16:06:37.001212	2013-08-03 21:39:33.125312
43824	4	2013-08-02 16:06:36.761709	2013-08-02 16:06:36.761709
43877	11	2013-08-02 16:06:36.897173	2013-08-04 17:28:53.476052
43827	7	2013-08-02 16:06:36.769656	2013-08-02 16:06:36.769656
43829	9	2013-08-02 16:06:36.774967	2013-08-02 16:06:36.774967
43948	2	2013-08-02 16:06:37.016257	2013-08-04 20:37:28.466729
43831	11	2013-08-02 16:06:36.780247	2013-08-02 16:06:36.780247
43881	9	2013-08-02 16:06:36.907833	2013-08-04 01:02:30.623401
43834	14	2013-08-02 16:06:36.787835	2013-08-02 16:06:36.787835
43918	21	2013-08-02 16:06:36.975108	2013-08-03 21:39:33.128954
43836	16	2013-08-02 16:06:36.792654	2013-08-02 16:06:36.792654
43928	4	2013-08-02 16:06:36.987541	2013-08-04 20:37:28.498045
43905	2	2013-08-02 16:06:36.961494	2013-08-03 23:14:34.618763
43839	19	2013-08-02 16:06:36.799774	2013-08-02 16:06:36.799774
43810	9	2013-08-02 16:06:36.724767	2013-08-04 17:28:53.478215
43842	2	2013-08-02 16:06:36.806879	2013-08-02 16:06:36.806879
43898	21	2013-08-02 16:06:36.949011	2013-08-03 21:39:33.132713
43844	4	2013-08-02 16:06:36.812385	2013-08-02 16:06:36.812385
43847	7	2013-08-02 16:06:36.820379	2013-08-02 16:06:36.820379
43849	9	2013-08-02 16:06:36.825703	2013-08-02 16:06:36.825703
43851	11	2013-08-02 16:06:36.831054	2013-08-02 16:06:36.831054
43812	7	2013-08-02 16:06:36.730086	2013-08-04 01:02:30.625416
43854	14	2013-08-02 16:06:36.838401	2013-08-02 16:06:36.838401
43878	21	2013-08-02 16:06:36.89981	2013-08-03 21:39:33.136282
43856	16	2013-08-02 16:06:36.843245	2013-08-02 16:06:36.843245
43908	4	2013-08-02 16:06:36.964501	2013-08-04 20:37:28.514824
43865	11	2013-08-02 16:06:36.866643	2013-08-03 23:14:34.635719
43859	19	2013-08-02 16:06:36.850932	2013-08-02 16:06:36.850932
43917	7	2013-08-02 16:06:36.973875	2013-08-04 17:28:53.481534
43862	2	2013-08-02 16:06:36.858653	2013-08-02 16:06:36.858653
43858	21	2013-08-02 16:06:36.848288	2013-08-03 21:39:33.139538
43864	4	2013-08-02 16:06:36.863945	2013-08-02 16:06:36.863945
43867	7	2013-08-02 16:06:36.871951	2013-08-02 16:06:36.871951
43869	9	2013-08-02 16:06:36.877306	2013-08-02 16:06:36.877306
43888	4	2013-08-02 16:06:36.925599	2013-08-04 20:37:28.530131
43871	11	2013-08-02 16:06:36.882447	2013-08-02 16:06:36.882447
43941	21	2013-08-02 16:06:37.005754	2013-08-04 01:03:05.433165
43874	14	2013-08-02 16:06:36.889684	2013-08-02 16:06:36.889684
43838	21	2013-08-02 16:06:36.797411	2013-08-03 21:39:33.142795
43876	16	2013-08-02 16:06:36.894485	2013-08-02 16:06:36.894485
43868	4	2013-08-02 16:06:36.874621	2013-08-04 20:37:28.546928
43897	14	2013-08-02 16:06:36.947151	2013-08-04 20:37:28.579137
43879	19	2013-08-02 16:06:36.902518	2013-08-02 16:06:36.902518
43821	2	2013-08-02 16:06:36.753667	2013-08-04 01:05:56.299497
43957	21	2013-08-02 16:06:37.032275	2013-08-04 17:31:49.501152
43882	2	2013-08-02 16:06:36.910504	2013-08-02 16:06:36.910504
43818	21	2013-08-02 16:06:36.745704	2013-08-03 21:39:33.14649
43884	4	2013-08-02 16:06:36.915865	2013-08-02 16:06:36.915865
43848	14	2013-08-02 16:06:36.823039	2013-08-04 20:37:28.595454
43887	7	2013-08-02 16:06:36.923172	2013-08-02 16:06:36.923172
43889	9	2013-08-02 16:06:36.92799	2013-08-02 16:06:36.92799
43825	21	2013-08-02 16:06:36.764326	2013-08-04 17:31:50.214204
43891	11	2013-08-02 16:06:36.932838	2013-08-02 16:06:36.932838
43861	16	2013-08-02 16:06:36.856189	2013-08-04 01:08:51.725381
43894	14	2013-08-02 16:06:36.939966	2013-08-02 16:06:36.939966
43900	21	2013-08-02 16:06:36.950647	2013-08-03 21:49:34.734351
43896	16	2013-08-02 16:06:36.944796	2013-08-02 16:06:36.944796
43901	14	2013-08-02 16:06:36.952745	2013-08-04 20:37:28.611298
43857	2	2013-08-02 16:06:36.845629	2013-08-04 17:31:50.406648
43899	19	2013-08-02 16:06:36.949764	2013-08-02 16:06:36.949764
43845	21	2013-08-02 16:06:36.815042	2013-08-03 23:19:40.058221
30233	2	2013-08-02 16:06:05.885093	2013-08-04 17:41:52.261897
43902	2	2013-08-02 16:06:36.955113	2013-08-02 16:06:36.955113
43880	21	2013-08-02 16:06:36.905194	2013-08-03 21:49:34.736056
43904	4	2013-08-02 16:06:36.959841	2013-08-02 16:06:36.959841
43850	14	2013-08-02 16:06:36.828348	2013-08-04 01:08:51.727465
43907	7	2013-08-02 16:06:36.9635	2013-08-02 16:06:36.9635
43909	9	2013-08-02 16:06:36.965547	2013-08-02 16:06:36.965547
30213	2	2013-08-02 16:06:05.83319	2013-08-04 17:41:52.27285
43911	11	2013-08-02 16:06:36.967552	2013-08-02 16:06:36.967552
43914	14	2013-08-02 16:06:36.970676	2013-08-02 16:06:36.970676
43860	21	2013-08-02 16:06:36.853565	2013-08-03 21:49:34.737334
43916	16	2013-08-02 16:06:36.972627	2013-08-02 16:06:36.972627
43828	14	2013-08-02 16:06:36.772298	2013-08-04 20:37:28.627536
30193	2	2013-08-02 16:06:05.790557	2013-08-04 17:41:52.283198
43919	19	2013-08-02 16:06:36.976255	2013-08-02 16:06:36.976255
43832	11	2013-08-02 16:06:36.782939	2013-08-03 23:41:32.337318
30173	2	2013-08-02 16:06:05.749535	2013-08-04 17:41:52.294339
43922	2	2013-08-02 16:06:36.980319	2013-08-02 16:06:36.980319
43840	21	2013-08-02 16:06:36.802142	2013-08-03 21:49:34.738388
43924	4	2013-08-02 16:06:36.982871	2013-08-02 16:06:36.982871
30153	2	2013-08-02 16:06:05.709709	2013-08-04 17:41:52.305927
43927	7	2013-08-02 16:06:36.986339	2013-08-02 16:06:36.986339
43929	9	2013-08-02 16:06:36.988816	2013-08-02 16:06:36.988816
23657	4	2013-08-02 16:05:51.790564	2013-08-04 17:41:52.408557
43931	11	2013-08-02 16:06:36.991641	2013-08-02 16:06:36.991641
43910	11	2013-08-02 16:06:36.966544	2013-08-04 01:08:51.730584
43934	14	2013-08-02 16:06:36.995798	2013-08-02 16:06:36.995798
43820	21	2013-08-02 16:06:36.750961	2013-08-03 21:49:34.739411
43936	16	2013-08-02 16:06:36.998621	2013-08-02 16:06:36.998621
43837	9	2013-08-02 16:06:36.795017	2013-08-04 20:44:28.315266
15426	4	2013-08-02 16:05:33.72532	2013-08-04 17:41:52.411708
43939	19	2013-08-02 16:06:37.002737	2013-08-02 16:06:37.002737
43872	9	2013-08-02 16:06:36.884869	2013-08-03 23:41:32.341317
22743	4	2013-08-02 16:05:49.423386	2013-08-04 17:41:52.414739
43942	2	2013-08-02 16:06:37.00726	2013-08-02 16:06:37.00726
43944	4	2013-08-02 16:06:37.010292	2013-08-02 16:06:37.010292
43930	9	2013-08-02 16:06:36.990241	2013-08-04 01:08:51.731955
43947	7	2013-08-02 16:06:37.014741	2013-08-02 16:06:37.014741
43949	9	2013-08-02 16:06:37.017883	2013-08-02 16:06:37.017883
5086	4	2013-08-02 16:05:13.294135	2013-08-04 17:41:52.417831
43951	11	2013-08-02 16:06:37.021236	2013-08-02 16:06:37.021236
43954	14	2013-08-02 16:06:37.026737	2013-08-02 16:06:37.026737
43956	16	2013-08-02 16:06:37.030429	2013-08-02 16:06:37.030429
43959	19	2013-08-02 16:06:37.035969	2013-08-02 16:06:37.035969
43912	7	2013-08-02 16:06:36.968482	2013-08-03 23:41:32.345884
43925	7	2013-08-02 16:06:36.984025	2013-08-04 20:44:28.322649
43835	16	2013-08-02 16:06:36.790232	2013-08-03 19:58:42.20602
43855	14	2013-08-02 16:06:36.840863	2013-08-03 19:58:42.207744
43890	2	2013-08-02 16:06:36.930447	2013-08-04 01:10:51.551018
43915	11	2013-08-02 16:06:36.971711	2013-08-03 19:58:42.215051
43920	11	2013-08-02 16:06:36.977581	2013-08-03 21:54:23.325899
43830	2	2013-08-02 16:06:36.777609	2013-08-04 01:55:50.765238
43895	4	2013-08-02 16:06:36.942375	2013-08-03 23:41:32.3526
36383	4	2013-08-02 16:06:20.756435	2013-08-04 17:41:52.421082
43952	21	2013-08-02 16:06:37.023066	2013-08-03 23:45:41.294609
7920	4	2013-08-02 16:05:18.628075	2013-08-04 17:41:52.42528
43873	4	2013-08-02 16:06:36.887262	2013-08-04 20:44:28.333839
43870	2	2013-08-02 16:06:36.879962	2013-08-04 20:44:28.341239
43853	21	2013-08-02 16:06:36.835992	2013-08-04 20:44:28.380463
43893	2	2013-08-02 16:06:36.937611	2013-08-04 20:47:27.558719
43833	2	2013-08-02 16:06:36.785443	2013-08-04 20:47:27.906554
43813	2	2013-08-02 16:06:36.732779	2013-08-04 20:47:28.404144
43913	7	2013-08-02 16:06:36.969579	2013-08-04 20:47:29.167225
43960	16	2013-08-02 16:06:37.037809	2013-08-04 20:49:29.195753
43940	14	2013-08-02 16:06:37.004239	2013-08-04 20:49:29.202371
43933	21	2013-08-02 16:06:36.994413	2013-08-04 20:49:35.783782
43875	2	2013-08-02 16:06:36.891984	2013-08-04 20:52:18.781878
43953	2	2013-08-02 16:06:37.024915	2013-08-04 20:52:19.519576
44112	2	2013-08-02 16:06:37.427806	2013-08-04 20:37:26.402907
43962	2	2013-08-02 16:06:37.041577	2013-08-02 16:06:37.041577
43978	21	2013-08-02 16:06:37.081063	2013-08-03 21:39:33.117987
43964	4	2013-08-02 16:06:37.0454	2013-08-02 16:06:37.0454
43961	4	2013-08-02 16:06:37.039622	2013-08-04 01:02:30.62817
43967	7	2013-08-02 16:06:37.051889	2013-08-02 16:06:37.051889
43969	9	2013-08-02 16:06:37.057422	2013-08-02 16:06:37.057422
43997	2	2013-08-02 16:06:37.131293	2013-08-04 17:28:53.49261
43971	11	2013-08-02 16:06:37.062758	2013-08-02 16:06:37.062758
44072	2	2013-08-02 16:06:37.323599	2013-08-04 20:42:23.7667
43974	14	2013-08-02 16:06:37.070666	2013-08-02 16:06:37.070666
44098	2	2013-08-02 16:06:37.390007	2013-08-03 21:39:33.464914
43976	16	2013-08-02 16:06:37.075897	2013-08-02 16:06:37.075897
43975	2	2013-08-02 16:06:37.073299	2013-08-04 20:42:23.771453
44085	21	2013-08-02 16:06:37.355348	2013-08-03 23:14:34.383459
43979	19	2013-08-02 16:06:37.083774	2013-08-02 16:06:37.083774
44020	21	2013-08-02 16:06:37.193888	2013-08-03 23:14:34.387809
43977	2	2013-08-02 16:06:37.078556	2013-08-04 17:31:49.358774
43982	2	2013-08-02 16:06:37.091816	2013-08-02 16:06:37.091816
44078	2	2013-08-02 16:06:37.337833	2013-08-03 21:39:33.474062
43984	4	2013-08-02 16:06:37.097137	2013-08-02 16:06:37.097137
44001	2	2013-08-02 16:06:37.142025	2013-08-04 01:02:30.629989
43987	7	2013-08-02 16:06:37.105096	2013-08-02 16:06:37.105096
43989	9	2013-08-02 16:06:37.110195	2013-08-02 16:06:37.110195
44061	14	2013-08-02 16:06:37.297486	2013-08-04 17:31:51.762083
43991	11	2013-08-02 16:06:37.115517	2013-08-02 16:06:37.115517
44032	2	2013-08-02 16:06:37.22453	2013-08-04 17:31:53.592745
43994	14	2013-08-02 16:06:37.123502	2013-08-02 16:06:37.123502
44058	2	2013-08-02 16:06:37.290342	2013-08-03 21:39:33.486062
43996	16	2013-08-02 16:06:37.128658	2013-08-02 16:06:37.128658
44108	2	2013-08-02 16:06:37.417327	2013-08-04 20:42:23.775846
44065	21	2013-08-02 16:06:37.306981	2013-08-03 23:14:34.391406
43999	19	2013-08-02 16:06:37.136599	2013-08-02 16:06:37.136599
44040	21	2013-08-02 16:06:37.245789	2013-08-03 23:14:34.394989
44117	2	2013-08-02 16:06:37.440218	2013-08-04 17:31:53.603743
44002	2	2013-08-02 16:06:37.144518	2013-08-02 16:06:37.144518
44038	2	2013-08-02 16:06:37.240465	2013-08-03 21:39:33.492598
44004	4	2013-08-02 16:06:37.150081	2013-08-02 16:06:37.150081
44041	19	2013-08-02 16:06:37.248423	2013-08-04 01:03:05.465509
44007	7	2013-08-02 16:06:37.15811	2013-08-02 16:06:37.15811
44009	9	2013-08-02 16:06:37.163355	2013-08-02 16:06:37.163355
44097	2	2013-08-02 16:06:37.387329	2013-08-04 17:31:53.614589
44011	11	2013-08-02 16:06:37.168674	2013-08-02 16:06:37.168674
44088	2	2013-08-02 16:06:37.363477	2013-08-04 20:42:23.78082
44014	14	2013-08-02 16:06:37.176691	2013-08-02 16:06:37.176691
44018	2	2013-08-02 16:06:37.189146	2013-08-03 21:39:33.498489
44016	16	2013-08-02 16:06:37.182025	2013-08-02 16:06:37.182025
44068	2	2013-08-02 16:06:37.314115	2013-08-04 20:42:23.78579
44045	16	2013-08-02 16:06:37.258913	2013-08-03 23:14:34.413892
44019	19	2013-08-02 16:06:37.191203	2013-08-02 16:06:37.191203
44025	19	2013-08-02 16:06:37.206894	2013-08-03 23:14:34.436322
44077	2	2013-08-02 16:06:37.335429	2013-08-04 17:31:53.625671
44022	2	2013-08-02 16:06:37.198954	2013-08-02 16:06:37.198954
43998	2	2013-08-02 16:06:37.133959	2013-08-03 21:39:33.503499
44024	4	2013-08-02 16:06:37.204252	2013-08-02 16:06:37.204252
44081	16	2013-08-02 16:06:37.345046	2013-08-04 01:03:05.472497
44027	7	2013-08-02 16:06:37.212182	2013-08-02 16:06:37.212182
44029	9	2013-08-02 16:06:37.217526	2013-08-02 16:06:37.217526
44057	2	2013-08-02 16:06:37.287962	2013-08-04 17:31:53.637013
44031	11	2013-08-02 16:06:37.222646	2013-08-02 16:06:37.222646
44037	2	2013-08-02 16:06:37.23792	2013-08-04 17:31:53.648368
44034	14	2013-08-02 16:06:37.229928	2013-08-02 16:06:37.229928
44100	21	2013-08-02 16:06:37.395706	2013-08-03 21:54:23.235602
44036	16	2013-08-02 16:06:37.235241	2013-08-02 16:06:37.235241
44048	2	2013-08-02 16:06:37.266506	2013-08-04 20:42:23.7911
44012	14	2013-08-02 16:06:37.171313	2013-08-04 01:03:05.479956
44039	19	2013-08-02 16:06:37.243168	2013-08-02 16:06:37.243168
43985	14	2013-08-02 16:06:37.099751	2013-08-03 23:14:34.482237
36683	4	2013-08-02 16:06:21.272983	2013-08-04 17:41:52.429077
44042	2	2013-08-02 16:06:37.250986	2013-08-02 16:06:37.250986
44080	21	2013-08-02 16:06:37.342615	2013-08-03 21:54:23.237505
44044	4	2013-08-02 16:06:37.256268	2013-08-02 16:06:37.256268
18457	4	2013-08-02 16:05:39.584895	2013-08-04 17:41:52.43315
44047	7	2013-08-02 16:06:37.264077	2013-08-02 16:06:37.264077
44049	9	2013-08-02 16:06:37.268898	2013-08-02 16:06:37.268898
18698	14	2013-08-02 16:05:40.205161	2013-08-04 17:41:52.720737
44051	11	2013-08-02 16:06:37.27367	2013-08-02 16:06:37.27367
43981	21	2013-08-02 16:06:37.089188	2013-08-04 01:05:55.663168
44054	14	2013-08-02 16:06:37.280841	2013-08-02 16:06:37.280841
44060	21	2013-08-02 16:06:37.295094	2013-08-03 21:54:23.238866
44056	16	2013-08-02 16:06:37.285595	2013-08-02 16:06:37.285595
43973	11	2013-08-02 16:06:37.067991	2013-08-04 20:49:29.209603
43965	4	2013-08-02 16:06:37.047363	2013-08-03 23:14:34.505777
44059	19	2013-08-02 16:06:37.292738	2013-08-02 16:06:37.292738
44005	21	2013-08-02 16:06:37.152784	2013-08-03 23:15:36.838437
4010	14	2013-08-02 16:05:11.776348	2013-08-04 17:41:52.731831
44062	2	2013-08-02 16:06:37.29987	2013-08-02 16:06:37.29987
44021	21	2013-08-02 16:06:37.196406	2013-08-04 01:08:40.867705
44064	4	2013-08-02 16:06:37.304632	2013-08-02 16:06:37.304632
44067	7	2013-08-02 16:06:37.311746	2013-08-02 16:06:37.311746
44069	9	2013-08-02 16:06:37.316462	2013-08-02 16:06:37.316462
3997	14	2013-08-02 16:05:11.744779	2013-08-04 17:41:52.742143
44071	11	2013-08-02 16:06:37.321256	2013-08-02 16:06:37.321256
8526	14	2013-08-02 16:05:20.106984	2013-08-04 17:41:52.752452
44074	14	2013-08-02 16:06:37.328302	2013-08-02 16:06:37.328302
44010	4	2013-08-02 16:06:37.165964	2013-08-04 01:08:51.741103
44076	16	2013-08-02 16:06:37.33306	2013-08-02 16:06:37.33306
44105	14	2013-08-02 16:06:37.409265	2013-08-03 23:15:56.71065
44079	19	2013-08-02 16:06:37.340221	2013-08-02 16:06:37.340221
3967	14	2013-08-02 16:05:11.670512	2013-08-04 17:41:52.763284
44082	2	2013-08-02 16:06:37.347399	2013-08-02 16:06:37.347399
44000	16	2013-08-02 16:06:37.139347	2013-08-03 21:54:23.270276
44084	4	2013-08-02 16:06:37.352729	2013-08-02 16:06:37.352729
24817	4	2013-08-02 16:05:53.552992	2013-08-04 17:41:52.78533
44087	7	2013-08-02 16:06:37.360833	2013-08-02 16:06:37.360833
44089	9	2013-08-02 16:06:37.36618	2013-08-02 16:06:37.36618
3947	4	2013-08-02 16:05:11.62239	2013-08-04 17:41:52.796275
44091	11	2013-08-02 16:06:37.371532	2013-08-02 16:06:37.371532
44050	2	2013-08-02 16:06:37.271266	2013-08-04 01:08:51.745897
44094	14	2013-08-02 16:06:37.379326	2013-08-02 16:06:37.379326
43980	16	2013-08-02 16:06:37.086539	2013-08-03 21:54:23.278783
44096	16	2013-08-02 16:06:37.384703	2013-08-02 16:06:37.384703
44013	9	2013-08-02 16:06:37.174002	2013-08-04 20:49:29.216903
44099	19	2013-08-02 16:06:37.392727	2013-08-02 16:06:37.392727
43992	2	2013-08-02 16:06:37.118206	2013-08-03 23:41:32.354641
44053	7	2013-08-02 16:06:37.278465	2013-08-04 20:49:29.224124
44102	2	2013-08-02 16:06:37.401039	2013-08-02 16:06:37.401039
44104	4	2013-08-02 16:06:37.406581	2013-08-02 16:06:37.406581
44107	7	2013-08-02 16:06:37.41461	2013-08-02 16:06:37.41461
44109	9	2013-08-02 16:06:37.41997	2013-08-02 16:06:37.41997
44093	4	2013-08-02 16:06:37.376835	2013-08-04 20:49:29.234358
44111	11	2013-08-02 16:06:37.425338	2013-08-02 16:06:37.425338
44030	14	2013-08-02 16:06:37.220145	2013-08-04 01:10:50.490353
44114	14	2013-08-02 16:06:37.432706	2013-08-02 16:06:37.432706
43990	21	2013-08-02 16:06:37.112896	2013-08-04 01:10:50.58804
44116	16	2013-08-02 16:06:37.437504	2013-08-02 16:06:37.437504
43995	7	2013-08-02 16:06:37.125984	2013-08-03 19:58:42.229016
44035	21	2013-08-02 16:06:37.232577	2013-08-04 20:49:47.48216
44055	4	2013-08-02 16:06:37.283188	2013-08-03 19:58:42.240006
43972	21	2013-08-02 16:06:37.065384	2013-08-03 23:44:26.042165
44095	2	2013-08-02 16:06:37.382019	2013-08-03 19:58:42.247629
44052	9	2013-08-02 16:06:37.276055	2013-08-03 23:45:17.009013
44092	7	2013-08-02 16:06:37.374175	2013-08-03 23:45:17.011211
44110	19	2013-08-02 16:06:37.422651	2013-08-04 01:11:59.474903
44033	2	2013-08-02 16:06:37.227222	2013-08-04 20:52:18.705381
44090	21	2013-08-02 16:06:37.36888	2013-08-04 01:12:19.213382
44070	2	2013-08-02 16:06:37.318855	2013-08-04 01:55:50.748447
44101	2	2013-08-02 16:06:37.398367	2013-08-04 01:55:50.75832
44113	7	2013-08-02 16:06:37.430281	2013-08-04 20:52:19.800035
43993	7	2013-08-02 16:06:37.120861	2013-08-04 20:52:21.114383
44073	21	2013-08-02 16:06:37.325961	2013-08-04 20:54:40.921412
44119	19	2013-08-02 16:06:37.445476	2013-08-02 16:06:37.445476
44145	11	2013-08-02 16:06:37.515017	2013-08-03 23:15:56.716098
44257	14	2013-08-02 16:06:37.807015	2013-08-04 17:31:53.503249
44122	2	2013-08-02 16:06:37.453499	2013-08-02 16:06:37.453499
44258	2	2013-08-02 16:06:37.809395	2013-08-03 21:39:33.419021
44124	4	2013-08-02 16:06:37.458853	2013-08-02 16:06:37.458853
44237	14	2013-08-02 16:06:37.756246	2013-08-04 17:31:53.514182
44127	7	2013-08-02 16:06:37.466911	2013-08-02 16:06:37.466911
44129	9	2013-08-02 16:06:37.472213	2013-08-02 16:06:37.472213
44217	14	2013-08-02 16:06:37.70386	2013-08-04 17:31:53.525136
44131	11	2013-08-02 16:06:37.477428	2013-08-02 16:06:37.477428
44161	11	2013-08-02 16:06:37.557353	2013-08-04 01:03:05.491215
44134	14	2013-08-02 16:06:37.485726	2013-08-02 16:06:37.485726
44238	2	2013-08-02 16:06:37.758967	2013-08-03 21:39:33.430415
44136	16	2013-08-02 16:06:37.491065	2013-08-02 16:06:37.491065
44197	14	2013-08-02 16:06:37.651445	2013-08-04 17:31:53.536148
44139	19	2013-08-02 16:06:37.499032	2013-08-02 16:06:37.499032
44185	9	2013-08-02 16:06:37.621395	2013-08-03 23:15:56.722939
44177	14	2013-08-02 16:06:37.600183	2013-08-04 17:31:53.547504
44142	2	2013-08-02 16:06:37.507006	2013-08-02 16:06:37.507006
44218	2	2013-08-02 16:06:37.706465	2013-08-03 21:39:33.438201
44144	4	2013-08-02 16:06:37.512308	2013-08-02 16:06:37.512308
44157	14	2013-08-02 16:06:37.547079	2013-08-04 17:31:53.55898
44147	7	2013-08-02 16:06:37.520282	2013-08-02 16:06:37.520282
44149	9	2013-08-02 16:06:37.525639	2013-08-02 16:06:37.525639
44137	2	2013-08-02 16:06:37.49371	2013-08-04 17:31:53.581491
44151	11	2013-08-02 16:06:37.531042	2013-08-02 16:06:37.531042
44201	9	2013-08-02 16:06:37.661922	2013-08-04 01:03:05.498755
44154	14	2013-08-02 16:06:37.539071	2013-08-02 16:06:37.539071
44198	2	2013-08-02 16:06:37.653989	2013-08-03 21:39:33.442783
44156	16	2013-08-02 16:06:37.544406	2013-08-02 16:06:37.544406
44246	19	2013-08-02 16:06:37.780181	2013-08-04 20:39:31.918075
44159	19	2013-08-02 16:06:37.552417	2013-08-02 16:06:37.552417
44225	7	2013-08-02 16:06:37.725225	2013-08-03 23:15:56.726137
3941	4	2013-08-02 16:05:11.607962	2013-08-04 17:41:52.807688
44162	2	2013-08-02 16:06:37.560056	2013-08-02 16:06:37.560056
44178	2	2013-08-02 16:06:37.602841	2013-08-03 21:39:33.447435
44164	4	2013-08-02 16:06:37.565271	2013-08-02 16:06:37.565271
44167	7	2013-08-02 16:06:37.573303	2013-08-02 16:06:37.573303
44169	9	2013-08-02 16:06:37.57868	2013-08-02 16:06:37.57868
4017	4	2013-08-02 16:05:11.853328	2013-08-04 17:41:52.819341
44171	11	2013-08-02 16:06:37.584085	2013-08-02 16:06:37.584085
44221	7	2013-08-02 16:06:37.714483	2013-08-04 01:03:05.507297
44174	14	2013-08-02 16:06:37.592101	2013-08-02 16:06:37.592101
44158	2	2013-08-02 16:06:37.549769	2013-08-03 21:39:33.451323
44176	16	2013-08-02 16:06:37.597542	2013-08-02 16:06:37.597542
44179	19	2013-08-02 16:06:37.60534	2013-08-02 16:06:37.60534
44265	4	2013-08-02 16:06:37.826124	2013-08-03 23:15:56.728271
3937	4	2013-08-02 16:05:11.598272	2013-08-04 17:41:52.831049
44182	2	2013-08-02 16:06:37.613286	2013-08-02 16:06:37.613286
44138	2	2013-08-02 16:06:37.496344	2013-08-03 21:39:33.454514
44184	4	2013-08-02 16:06:37.618693	2013-08-02 16:06:37.618693
44187	7	2013-08-02 16:06:37.626573	2013-08-02 16:06:37.626573
44189	9	2013-08-02 16:06:37.631477	2013-08-02 16:06:37.631477
5626	4	2013-08-02 16:05:14.26137	2013-08-04 17:41:52.842544
44191	11	2013-08-02 16:06:37.636627	2013-08-02 16:06:37.636627
3927	2	2013-08-02 16:05:11.573549	2013-08-04 17:41:52.853765
44194	14	2013-08-02 16:06:37.643917	2013-08-02 16:06:37.643917
44261	21	2013-08-02 16:06:37.816565	2013-08-04 01:05:55.295113
44196	16	2013-08-02 16:06:37.648737	2013-08-02 16:06:37.648737
44266	16	2013-08-02 16:06:37.828472	2013-08-04 20:39:31.924842
44132	4	2013-08-02 16:06:37.480291	2013-08-03 23:45:17.015501
44199	19	2013-08-02 16:06:37.656609	2013-08-02 16:06:37.656609
44141	2	2013-08-02 16:06:37.504344	2013-08-04 01:05:56.293675
35915	2	2013-08-02 16:06:19.444093	2013-08-04 17:41:52.858161
44202	2	2013-08-02 16:06:37.664508	2013-08-02 16:06:37.664508
44140	14	2013-08-02 16:06:37.501707	2013-08-03 21:56:35.352268
44204	4	2013-08-02 16:06:37.669683	2013-08-02 16:06:37.669683
44130	16	2013-08-02 16:06:37.474906	2013-08-04 01:11:59.480577
44207	7	2013-08-02 16:06:37.677485	2013-08-02 16:06:37.677485
44209	9	2013-08-02 16:06:37.682826	2013-08-02 16:06:37.682826
30745	4	2013-08-02 16:06:07.152209	2013-08-04 17:41:52.891139
44211	11	2013-08-02 16:06:37.687844	2013-08-02 16:06:37.687844
40103	4	2013-08-02 16:06:28.470905	2013-08-04 17:41:52.896136
44214	14	2013-08-02 16:06:37.695871	2013-08-02 16:06:37.695871
44216	16	2013-08-02 16:06:37.701072	2013-08-02 16:06:37.701072
44180	21	2013-08-02 16:06:37.607783	2013-08-04 20:39:32.053239
44172	2	2013-08-02 16:06:37.586789	2013-08-03 23:45:17.017924
44219	19	2013-08-02 16:06:37.709119	2013-08-02 16:06:37.709119
4181	4	2013-08-02 16:05:12.163168	2013-08-04 17:41:52.901038
4087	4	2013-08-02 16:05:11.961122	2013-08-04 17:41:52.906577
44222	2	2013-08-02 16:06:37.71721	2013-08-02 16:06:37.71721
44181	14	2013-08-02 16:06:37.610428	2013-08-04 01:11:59.486691
44224	4	2013-08-02 16:06:37.722571	2013-08-02 16:06:37.722571
44227	7	2013-08-02 16:06:37.73056	2013-08-02 16:06:37.73056
44229	9	2013-08-02 16:06:37.735884	2013-08-02 16:06:37.735884
3926	4	2013-08-02 16:05:11.571103	2013-08-04 17:41:52.910964
44231	11	2013-08-02 16:06:37.741084	2013-08-02 16:06:37.741084
4046	4	2013-08-02 16:05:11.889401	2013-08-04 17:41:52.915658
44234	14	2013-08-02 16:06:37.748365	2013-08-02 16:06:37.748365
44200	11	2013-08-02 16:06:37.659454	2013-08-03 21:56:35.356672
44236	16	2013-08-02 16:06:37.753648	2013-08-02 16:06:37.753648
44226	21	2013-08-02 16:06:37.727869	2013-08-04 20:39:32.067749
44239	19	2013-08-02 16:06:37.761632	2013-08-02 16:06:37.761632
44152	21	2013-08-02 16:06:37.533707	2013-08-03 23:45:51.979863
44228	2	2013-08-02 16:06:37.733245	2013-08-04 20:42:23.734304
44242	2	2013-08-02 16:06:37.769657	2013-08-02 16:06:37.769657
44208	2	2013-08-02 16:06:37.680121	2013-08-04 20:42:23.73856
44244	4	2013-08-02 16:06:37.774979	2013-08-02 16:06:37.774979
44190	11	2013-08-02 16:06:37.63407	2013-08-04 01:11:59.491854
44247	7	2013-08-02 16:06:37.782631	2013-08-02 16:06:37.782631
44249	9	2013-08-02 16:06:37.787465	2013-08-02 16:06:37.787465
44188	2	2013-08-02 16:06:37.629071	2013-08-04 20:42:23.742362
44251	11	2013-08-02 16:06:37.792452	2013-08-02 16:06:37.792452
44210	9	2013-08-02 16:06:37.685316	2013-08-04 01:11:59.494619
44254	14	2013-08-02 16:06:37.799797	2013-08-02 16:06:37.799797
44240	9	2013-08-02 16:06:37.764264	2013-08-03 21:56:35.359131
44256	16	2013-08-02 16:06:37.804657	2013-08-02 16:06:37.804657
44168	2	2013-08-02 16:06:37.575975	2013-08-04 20:42:23.745431
44212	7	2013-08-02 16:06:37.690551	2013-08-03 23:53:36.86736
44259	19	2013-08-02 16:06:37.811762	2013-08-02 16:06:37.811762
44192	2	2013-08-02 16:06:37.639082	2013-08-04 20:42:23.748484
44262	2	2013-08-02 16:06:37.818932	2013-08-02 16:06:37.818932
44264	4	2013-08-02 16:06:37.823701	2013-08-02 16:06:37.823701
44267	7	2013-08-02 16:06:37.830854	2013-08-02 16:06:37.830854
44269	9	2013-08-02 16:06:37.835587	2013-08-02 16:06:37.835587
44205	2	2013-08-02 16:06:37.672271	2013-08-04 20:42:23.751919
44271	11	2013-08-02 16:06:37.840318	2013-08-02 16:06:37.840318
44220	7	2013-08-02 16:06:37.711757	2013-08-04 01:11:59.498173
44274	14	2013-08-02 16:06:37.847442	2013-08-02 16:06:37.847442
44255	21	2013-08-02 16:06:37.802251	2013-08-03 20:02:26.699423
44235	21	2013-08-02 16:06:37.75111	2013-08-03 20:02:26.703124
44215	21	2013-08-02 16:06:37.698454	2013-08-03 20:02:26.70642
44195	21	2013-08-02 16:06:37.646333	2013-08-03 20:02:26.710003
44175	21	2013-08-02 16:06:37.594791	2013-08-03 20:02:26.713655
44155	21	2013-08-02 16:06:37.541763	2013-08-03 20:02:26.717128
44165	2	2013-08-02 16:06:37.56792	2013-08-04 01:55:50.740857
44120	21	2013-08-02 16:06:37.44811	2013-08-03 21:59:22.983503
44252	4	2013-08-02 16:06:37.794992	2013-08-03 23:53:36.874956
44148	2	2013-08-02 16:06:37.522947	2013-08-04 20:42:23.757576
44272	21	2013-08-02 16:06:37.842708	2013-08-03 23:53:57.057017
44232	11	2013-08-02 16:06:37.743521	2013-08-03 23:53:57.08436
44121	2	2013-08-02 16:06:37.450809	2013-08-04 20:49:29.241677
44193	19	2013-08-02 16:06:37.641499	2013-08-04 20:49:47.383562
44160	16	2013-08-02 16:06:37.554929	2013-08-04 20:49:47.389471
44233	14	2013-08-02 16:06:37.745939	2013-08-04 20:49:47.396266
44253	11	2013-08-02 16:06:37.797414	2013-08-04 20:49:47.403463
44125	2	2013-08-02 16:06:37.46153	2013-08-04 20:52:18.777699
44150	2	2013-08-02 16:06:37.528273	2013-08-04 20:52:19.509757
44153	2	2013-08-02 16:06:37.536364	2013-08-04 20:52:19.600364
44173	2	2013-08-02 16:06:37.589457	2013-08-04 20:52:19.668377
44133	7	2013-08-02 16:06:37.483063	2013-08-04 20:52:19.786691
44273	7	2013-08-02 16:06:37.845098	2013-08-04 20:52:21.100764
44213	21	2013-08-02 16:06:37.693141	2013-08-04 20:53:55.481158
44358	2	2013-08-02 16:06:38.263931	2013-08-03 21:39:33.362985
44276	16	2013-08-02 16:06:37.852664	2013-08-02 16:06:37.852664
44428	14	2013-08-02 16:06:38.438141	2013-08-04 20:42:24.958573
44281	4	2013-08-02 16:06:37.86477	2013-08-04 01:03:05.51911
44279	19	2013-08-02 16:06:37.859941	2013-08-02 16:06:37.859941
44305	2	2013-08-02 16:06:37.922556	2013-08-03 23:15:56.730284
44381	21	2013-08-02 16:06:38.323023	2013-08-04 17:31:53.450114
44282	2	2013-08-02 16:06:37.867144	2013-08-02 16:06:37.867144
44338	2	2013-08-02 16:06:38.219039	2013-08-03 21:39:33.372503
44284	4	2013-08-02 16:06:37.871889	2013-08-02 16:06:37.871889
44317	14	2013-08-02 16:06:38.196498	2013-08-04 17:31:53.470334
44287	7	2013-08-02 16:06:37.879118	2013-08-02 16:06:37.879118
44289	9	2013-08-02 16:06:37.884183	2013-08-02 16:06:37.884183
44297	14	2013-08-02 16:06:37.903241	2013-08-04 17:31:53.481466
44291	11	2013-08-02 16:06:37.888992	2013-08-02 16:06:37.888992
44301	2	2013-08-02 16:06:37.91304	2013-08-04 01:03:05.526708
44294	14	2013-08-02 16:06:37.896052	2013-08-02 16:06:37.896052
44318	2	2013-08-02 16:06:38.19771	2013-08-03 21:39:33.383997
44296	16	2013-08-02 16:06:37.900861	2013-08-02 16:06:37.900861
44392	14	2013-08-02 16:06:38.350145	2013-08-04 20:42:24.970744
44277	14	2013-08-02 16:06:37.855138	2013-08-04 17:31:53.492395
44299	19	2013-08-02 16:06:37.907963	2013-08-02 16:06:37.907963
44285	14	2013-08-02 16:06:37.874344	2013-08-03 23:19:39.377329
44398	16	2013-08-02 16:06:38.364452	2013-08-04 17:34:53.503096
44302	2	2013-08-02 16:06:37.915397	2013-08-02 16:06:37.915397
44298	2	2013-08-02 16:06:37.905613	2013-08-03 21:39:33.396362
44304	4	2013-08-02 16:06:37.920166	2013-08-02 16:06:37.920166
44421	19	2013-08-02 16:06:38.421289	2013-08-04 01:05:54.959829
44307	7	2013-08-02 16:06:37.927252	2013-08-02 16:06:37.927252
44309	9	2013-08-02 16:06:37.932033	2013-08-02 16:06:37.932033
44408	14	2013-08-02 16:06:38.389318	2013-08-04 20:42:24.985198
44311	11	2013-08-02 16:06:38.186041	2013-08-02 16:06:38.186041
44380	11	2013-08-02 16:06:38.320336	2013-08-04 01:05:54.977842
44314	14	2013-08-02 16:06:38.189901	2013-08-02 16:06:38.189901
44278	2	2013-08-02 16:06:37.857555	2013-08-03 21:39:33.408103
44316	16	2013-08-02 16:06:38.194048	2013-08-02 16:06:38.194048
4027	14	2013-08-02 16:05:11.864259	2013-08-04 20:42:24.997242
44425	16	2013-08-02 16:06:38.430951	2013-08-03 23:19:39.567931
44319	19	2013-08-02 16:06:38.198689	2013-08-02 16:06:38.198689
44405	9	2013-08-02 16:06:38.381775	2013-08-03 23:19:39.589252
44357	14	2013-08-02 16:06:38.261362	2013-08-04 17:34:53.505655
44322	2	2013-08-02 16:06:38.201693	2013-08-02 16:06:38.201693
44418	14	2013-08-02 16:06:38.413722	2013-08-03 21:44:34.067642
44324	4	2013-08-02 16:06:38.203639	2013-08-02 16:06:38.203639
44327	7	2013-08-02 16:06:38.206527	2013-08-02 16:06:38.206527
44329	9	2013-08-02 16:06:38.208704	2013-08-02 16:06:38.208704
4047	14	2013-08-02 16:05:11.890802	2013-08-04 20:42:25.009361
44331	11	2013-08-02 16:06:38.211007	2013-08-02 16:06:38.211007
4067	7	2013-08-02 16:05:11.923293	2013-08-04 20:42:25.034203
44334	14	2013-08-02 16:06:38.214471	2013-08-02 16:06:38.214471
4037	7	2013-08-02 16:05:11.876436	2013-08-04 20:42:25.04696
44336	16	2013-08-02 16:06:38.216766	2013-08-02 16:06:38.216766
44388	7	2013-08-02 16:06:38.340595	2013-08-04 20:42:25.05901
44339	19	2013-08-02 16:06:38.220186	2013-08-02 16:06:38.220186
44365	11	2013-08-02 16:06:38.282015	2013-08-03 23:19:39.604583
44417	11	2013-08-02 16:06:38.411313	2013-08-04 17:34:53.509042
44342	2	2013-08-02 16:06:38.224011	2013-08-02 16:06:38.224011
44378	4	2013-08-02 16:06:38.315036	2013-08-03 21:44:34.118302
44344	4	2013-08-02 16:06:38.227332	2013-08-02 16:06:38.227332
44368	7	2013-08-02 16:06:38.289751	2013-08-04 20:42:25.077966
44347	7	2013-08-02 16:06:38.234855	2013-08-02 16:06:38.234855
44349	9	2013-08-02 16:06:38.239891	2013-08-02 16:06:38.239891
44350	21	2013-08-02 16:06:38.242558	2013-08-04 17:36:49.406212
44351	11	2013-08-02 16:06:38.245255	2013-08-02 16:06:38.245255
44397	2	2013-08-02 16:06:38.362044	2013-08-04 17:36:49.614604
44354	14	2013-08-02 16:06:38.253406	2013-08-02 16:06:38.253406
44356	16	2013-08-02 16:06:38.258637	2013-08-02 16:06:38.258637
44348	7	2013-08-02 16:06:38.237379	2013-08-04 20:42:25.089724
44341	4	2013-08-02 16:06:38.222739	2013-08-04 01:05:55.064927
44359	19	2013-08-02 16:06:38.266519	2013-08-02 16:06:38.266519
44345	2	2013-08-02 16:06:38.229754	2013-08-03 23:19:39.633475
44337	2	2013-08-02 16:06:38.217901	2013-08-04 17:36:50.371452
44362	2	2013-08-02 16:06:38.274305	2013-08-02 16:06:38.274305
4040	19	2013-08-02 16:05:11.880223	2013-08-04 17:41:52.926146
44364	4	2013-08-02 16:06:38.279448	2013-08-02 16:06:38.279448
44290	4	2013-08-02 16:06:37.886604	2013-08-04 01:11:59.501375
44367	7	2013-08-02 16:06:38.287163	2013-08-02 16:06:38.287163
44369	9	2013-08-02 16:06:38.292317	2013-08-02 16:06:38.292317
4060	19	2013-08-02 16:05:11.911635	2013-08-04 17:41:52.930811
44371	11	2013-08-02 16:06:38.297552	2013-08-02 16:06:38.297552
4080	19	2013-08-02 16:05:11.947013	2013-08-04 17:41:52.935476
44374	14	2013-08-02 16:06:38.305155	2013-08-02 16:06:38.305155
44320	4	2013-08-02 16:06:38.199678	2013-08-03 21:56:35.366451
44376	16	2013-08-02 16:06:38.309934	2013-08-02 16:06:38.309934
44293	9	2013-08-02 16:06:37.893715	2013-08-04 20:49:47.410503
44292	2	2013-08-02 16:06:37.891355	2013-08-03 23:53:36.88027
44379	19	2013-08-02 16:06:38.317681	2013-08-02 16:06:38.317681
4061	19	2013-08-02 16:05:11.913142	2013-08-04 17:41:52.940178
4081	19	2013-08-02 16:05:11.949004	2013-08-04 17:41:52.944643
44382	2	2013-08-02 16:06:38.325712	2013-08-02 16:06:38.325712
44332	11	2013-08-02 16:06:38.212157	2013-08-03 23:53:57.233708
44384	4	2013-08-02 16:06:38.330889	2013-08-02 16:06:38.330889
44401	2	2013-08-02 16:06:38.372102	2013-08-04 01:11:59.503786
44387	7	2013-08-02 16:06:38.338166	2013-08-02 16:06:38.338166
44389	9	2013-08-02 16:06:38.342983	2013-08-02 16:06:38.342983
3930	19	2013-08-02 16:05:11.580806	2013-08-04 17:41:52.949274
44391	11	2013-08-02 16:06:38.347759	2013-08-02 16:06:38.347759
44394	14	2013-08-02 16:06:38.354916	2013-08-02 16:06:38.354916
44360	2	2013-08-02 16:06:38.269138	2013-08-03 21:56:35.368865
44396	16	2013-08-02 16:06:38.359667	2013-08-02 16:06:38.359667
44399	19	2013-08-02 16:06:38.366879	2013-08-02 16:06:38.366879
44372	9	2013-08-02 16:06:38.300117	2013-08-03 23:53:57.239548
44402	2	2013-08-02 16:06:38.374506	2013-08-02 16:06:38.374506
44404	4	2013-08-02 16:06:38.379318	2013-08-02 16:06:38.379318
44310	21	2013-08-02 16:06:38.184803	2013-08-04 01:11:59.576592
44407	7	2013-08-02 16:06:38.386852	2013-08-02 16:06:38.386852
44409	9	2013-08-02 16:06:38.391737	2013-08-02 16:06:38.391737
44377	7	2013-08-02 16:06:38.312513	2013-08-04 20:49:47.417342
44411	11	2013-08-02 16:06:38.396559	2013-08-02 16:06:38.396559
44414	14	2013-08-02 16:06:38.404159	2013-08-02 16:06:38.404159
44420	19	2013-08-02 16:06:38.41885	2013-08-03 21:59:24.023344
44416	16	2013-08-02 16:06:38.408982	2013-08-02 16:06:38.408982
44419	19	2013-08-02 16:06:38.416302	2013-08-02 16:06:38.416302
44412	7	2013-08-02 16:06:38.399269	2013-08-03 23:53:57.246569
44353	4	2013-08-02 16:06:38.250691	2013-08-04 20:49:47.429065
44422	2	2013-08-02 16:06:38.423692	2013-08-02 16:06:38.423692
44400	7	2013-08-02 16:06:38.369657	2013-08-03 21:59:24.096208
44424	4	2013-08-02 16:06:38.428532	2013-08-02 16:06:38.428532
44427	7	2013-08-02 16:06:38.435721	2013-08-02 16:06:38.435721
44429	9	2013-08-02 16:06:38.440508	2013-08-02 16:06:38.440508
44393	2	2013-08-02 16:06:38.352504	2013-08-04 20:49:47.436419
44431	11	2013-08-02 16:06:38.445286	2013-08-02 16:06:38.445286
44343	14	2013-08-02 16:06:38.225311	2013-08-03 19:50:14.526319
44275	21	2013-08-02 16:06:37.849939	2013-08-03 20:02:26.695147
44295	14	2013-08-02 16:06:37.898478	2013-08-03 20:03:31.814674
44370	16	2013-08-02 16:06:38.294971	2013-08-04 01:12:19.278406
44355	11	2013-08-02 16:06:38.256064	2013-08-03 20:03:31.818648
44340	21	2013-08-02 16:06:38.221446	2013-08-03 22:00:17.069645
44385	21	2013-08-02 16:06:38.333342	2013-08-04 20:49:47.485431
44352	14	2013-08-02 16:06:38.247961	2013-08-04 01:12:19.284455
44375	11	2013-08-02 16:06:38.307491	2013-08-04 01:12:19.287691
44330	21	2013-08-02 16:06:38.209866	2013-08-04 01:12:30.077825
44430	2	2013-08-02 16:06:38.442902	2013-08-04 01:15:49.909941
44390	2	2013-08-02 16:06:38.345388	2013-08-04 01:55:50.730879
44361	2	2013-08-02 16:06:38.271708	2013-08-04 01:55:50.73478
44313	2	2013-08-02 16:06:38.18822	2013-08-04 20:52:18.692108
44373	7	2013-08-02 16:06:38.30271	2013-08-04 20:52:19.759515
44413	7	2013-08-02 16:06:38.401688	2013-08-04 20:52:19.773182
44333	16	2013-08-02 16:06:38.213323	2013-08-04 20:54:40.680965
44315	16	2013-08-02 16:06:38.191443	2013-08-04 20:54:59.163149
44363	21	2013-08-02 16:06:38.276888	2013-08-04 20:54:59.204735
44410	7	2013-08-02 16:06:38.394162	2013-08-04 20:57:18.344894
44541	21	2013-08-02 16:06:38.72751	2013-08-04 01:05:54.920195
44434	14	2013-08-02 16:06:38.452553	2013-08-02 16:06:38.452553
44538	21	2013-08-02 16:06:38.720356	2013-08-03 21:44:33.950819
44436	16	2013-08-02 16:06:38.457294	2013-08-02 16:06:38.457294
44455	2	2013-08-02 16:06:38.502802	2013-08-04 20:42:23.478712
44585	21	2013-08-02 16:06:38.837729	2013-08-03 23:19:39.43372
44439	19	2013-08-02 16:06:38.464449	2013-08-02 16:06:38.464449
44565	21	2013-08-02 16:06:38.787837	2013-08-03 23:19:39.436388
44437	9	2013-08-02 16:06:38.45965	2013-08-04 17:34:53.511352
44442	2	2013-08-02 16:06:38.471565	2013-08-02 16:06:38.471565
44518	21	2013-08-02 16:06:38.668148	2013-08-03 21:44:33.954786
44444	4	2013-08-02 16:06:38.47634	2013-08-02 16:06:38.47634
44521	21	2013-08-02 16:06:38.67581	2013-08-04 01:05:54.921898
44447	7	2013-08-02 16:06:38.483637	2013-08-02 16:06:38.483637
44449	9	2013-08-02 16:06:38.488406	2013-08-02 16:06:38.488406
44451	11	2013-08-02 16:06:38.49318	2013-08-02 16:06:38.49318
44501	21	2013-08-02 16:06:38.62328	2013-08-04 01:05:54.922835
44454	14	2013-08-02 16:06:38.500375	2013-08-02 16:06:38.500375
44481	21	2013-08-02 16:06:38.570957	2013-08-04 01:05:54.923682
44456	16	2013-08-02 16:06:38.505193	2013-08-02 16:06:38.505193
44586	2	2013-08-02 16:06:38.840217	2013-08-04 20:42:23.489896
44500	21	2013-08-02 16:06:38.620635	2013-08-03 23:19:39.438314
44459	19	2013-08-02 16:06:38.512321	2013-08-02 16:06:38.512321
44545	21	2013-08-02 16:06:38.73705	2013-08-03 23:19:39.439976
44477	7	2013-08-02 16:06:38.560245	2013-08-04 17:34:53.514091
44462	2	2013-08-02 16:06:38.520456	2013-08-02 16:06:38.520456
44461	21	2013-08-02 16:06:38.517797	2013-08-04 01:05:54.92598
44464	4	2013-08-02 16:06:38.525891	2013-08-02 16:06:38.525891
44441	9	2013-08-02 16:06:38.469208	2013-08-04 01:05:54.937878
44467	7	2013-08-02 16:06:38.533903	2013-08-02 16:06:38.533903
44469	9	2013-08-02 16:06:38.539289	2013-08-02 16:06:38.539289
44471	11	2013-08-02 16:06:38.544658	2013-08-02 16:06:38.544658
44561	19	2013-08-02 16:06:38.778352	2013-08-04 01:08:21.696496
44474	14	2013-08-02 16:06:38.552715	2013-08-02 16:06:38.552715
44550	2	2013-08-02 16:06:38.749983	2013-08-04 20:42:23.50106
44476	16	2013-08-02 16:06:38.557654	2013-08-02 16:06:38.557654
44566	2	2013-08-02 16:06:38.790215	2013-08-04 20:42:23.512233
44525	21	2013-08-02 16:06:38.686318	2013-08-03 23:19:39.442331
44479	19	2013-08-02 16:06:38.565616	2013-08-02 16:06:38.565616
44572	2	2013-08-02 16:06:38.804434	2013-08-04 20:47:28.245603
44517	4	2013-08-02 16:06:38.665492	2013-08-04 17:34:53.519715
44482	2	2013-08-02 16:06:38.573624	2013-08-02 16:06:38.573624
44438	19	2013-08-02 16:06:38.462058	2013-08-03 21:44:34.044466
44484	4	2013-08-02 16:06:38.578918	2013-08-02 16:06:38.578918
44581	16	2013-08-02 16:06:38.82764	2013-08-04 01:08:21.703653
44487	7	2013-08-02 16:06:38.586914	2013-08-02 16:06:38.586914
44489	9	2013-08-02 16:06:38.592205	2013-08-02 16:06:38.592205
44588	2	2013-08-02 16:06:38.845267	2013-08-04 20:47:28.257647
44491	11	2013-08-02 16:06:38.597351	2013-08-02 16:06:38.597351
44557	2	2013-08-02 16:06:38.768375	2013-08-04 17:34:53.522669
44494	14	2013-08-02 16:06:38.604613	2013-08-02 16:06:38.604613
44578	14	2013-08-02 16:06:38.819965	2013-08-03 21:44:34.511204
44496	16	2013-08-02 16:06:38.609646	2013-08-02 16:06:38.609646
44568	2	2013-08-02 16:06:38.794953	2013-08-04 20:47:28.272272
44485	19	2013-08-02 16:06:38.581603	2013-08-03 23:19:39.485522
44499	19	2013-08-02 16:06:38.617669	2013-08-02 16:06:38.617669
44465	14	2013-08-02 16:06:38.528572	2013-08-03 23:19:39.508309
44548	2	2013-08-02 16:06:38.744696	2013-08-04 20:47:28.287005
44502	2	2013-08-02 16:06:38.625979	2013-08-02 16:06:38.625979
44575	21	2013-08-02 16:06:38.811832	2013-08-03 21:59:23.943636
44504	4	2013-08-02 16:06:38.631043	2013-08-02 16:06:38.631043
44450	9	2013-08-02 16:06:38.490788	2013-08-04 01:12:19.288901
44507	7	2013-08-02 16:06:38.639015	2013-08-02 16:06:38.639015
44509	9	2013-08-02 16:06:38.643994	2013-08-02 16:06:38.643994
44537	2	2013-08-02 16:06:38.717975	2013-08-04 17:36:48.688074
44511	11	2013-08-02 16:06:38.649386	2013-08-02 16:06:38.649386
44514	14	2013-08-02 16:06:38.657434	2013-08-02 16:06:38.657434
44580	21	2013-08-02 16:06:38.825145	2013-08-03 21:59:23.946175
44516	16	2013-08-02 16:06:38.662774	2013-08-02 16:06:38.662774
4057	2	2013-08-02 16:05:11.906579	2013-08-04 20:47:28.301817
44478	4	2013-08-02 16:06:38.562941	2013-08-03 23:19:39.522271
44519	19	2013-08-02 16:06:38.670635	2013-08-02 16:06:38.670635
44497	21	2013-08-02 16:06:38.612325	2013-08-04 17:36:48.718226
44522	2	2013-08-02 16:06:38.678378	2013-08-02 16:06:38.678378
44560	21	2013-08-02 16:06:38.775958	2013-08-03 21:59:23.949011
44524	4	2013-08-02 16:06:38.683656	2013-08-02 16:06:38.683656
44458	7	2013-08-02 16:06:38.509935	2013-08-04 01:12:19.291127
44527	7	2013-08-02 16:06:38.691793	2013-08-02 16:06:38.691793
44529	9	2013-08-02 16:06:38.697157	2013-08-02 16:06:38.697157
44577	14	2013-08-02 16:06:38.81731	2013-08-04 17:36:51.095268
44531	11	2013-08-02 16:06:38.70245	2013-08-02 16:06:38.70245
44534	14	2013-08-02 16:06:38.710404	2013-08-02 16:06:38.710404
44540	21	2013-08-02 16:06:38.725158	2013-08-03 21:59:23.951647
44536	16	2013-08-02 16:06:38.715563	2013-08-02 16:06:38.715563
4007	2	2013-08-02 16:05:11.769223	2013-08-04 20:47:28.316497
44505	2	2013-08-02 16:06:38.633708	2013-08-03 23:24:40.292975
44539	19	2013-08-02 16:06:38.72275	2013-08-02 16:06:38.72275
44542	2	2013-08-02 16:06:38.72989	2013-08-02 16:06:38.72989
44520	21	2013-08-02 16:06:38.673078	2013-08-03 21:59:23.953967
44544	4	2013-08-02 16:06:38.734669	2013-08-02 16:06:38.734669
44530	4	2013-08-02 16:06:38.69978	2013-08-04 01:12:19.294606
44547	7	2013-08-02 16:06:38.742031	2013-08-02 16:06:38.742031
44549	9	2013-08-02 16:06:38.747325	2013-08-02 16:06:38.747325
30325	14	2013-08-02 16:06:06.06429	2013-08-04 17:41:53.194667
44551	11	2013-08-02 16:06:38.752657	2013-08-02 16:06:38.752657
30448	14	2013-08-02 16:06:06.495913	2013-08-04 17:41:53.202178
44554	14	2013-08-02 16:06:38.76041	2013-08-02 16:06:38.76041
44570	2	2013-08-02 16:06:38.799716	2013-08-04 01:12:19.296939
44556	16	2013-08-02 16:06:38.765746	2013-08-02 16:06:38.765746
44528	2	2013-08-02 16:06:38.694493	2013-08-04 20:47:28.331295
44452	4	2013-08-02 16:06:38.495544	2013-08-03 23:53:57.258012
44559	19	2013-08-02 16:06:38.773541	2013-08-02 16:06:38.773541
30428	14	2013-08-02 16:06:06.458494	2013-08-04 17:41:53.210421
30408	9	2013-08-02 16:06:06.43234	2013-08-04 17:41:53.230511
44562	2	2013-08-02 16:06:38.780731	2013-08-02 16:06:38.780731
44480	16	2013-08-02 16:06:38.568257	2013-08-03 21:59:23.985213
44564	4	2013-08-02 16:06:38.78548	2013-08-02 16:06:38.78548
44510	21	2013-08-02 16:06:38.646691	2013-08-04 01:12:19.31797
44567	7	2013-08-02 16:06:38.792593	2013-08-02 16:06:38.792593
44569	9	2013-08-02 16:06:38.79736	2013-08-02 16:06:38.79736
30388	9	2013-08-02 16:06:06.221122	2013-08-04 17:41:53.237336
44571	11	2013-08-02 16:06:38.802093	2013-08-02 16:06:38.802093
30332	9	2013-08-02 16:06:06.07489	2013-08-04 17:41:53.242807
44574	14	2013-08-02 16:06:38.80922	2013-08-02 16:06:38.80922
30370	9	2013-08-02 16:06:06.175276	2013-08-04 17:41:53.252613
44576	16	2013-08-02 16:06:38.814624	2013-08-02 16:06:38.814624
44470	2	2013-08-02 16:06:38.541951	2013-08-04 20:47:28.345871
44472	2	2013-08-02 16:06:38.547322	2013-08-03 23:53:57.263772
44579	19	2013-08-02 16:06:38.822619	2013-08-02 16:06:38.822619
44508	2	2013-08-02 16:06:38.641536	2013-08-04 20:47:28.360523
44488	2	2013-08-02 16:06:38.589577	2013-08-04 20:47:28.375074
44582	2	2013-08-02 16:06:38.830173	2013-08-02 16:06:38.830173
44498	21	2013-08-02 16:06:38.614997	2013-08-03 23:55:30.617663
44584	4	2013-08-02 16:06:38.835222	2013-08-02 16:06:38.835222
44587	7	2013-08-02 16:06:38.842744	2013-08-02 16:06:38.842744
44435	7	2013-08-02 16:06:38.454912	2013-08-03 20:03:31.825038
44532	19	2013-08-02 16:06:38.705109	2013-08-04 01:18:23.719074
44495	4	2013-08-02 16:06:38.60707	2013-08-03 20:03:31.830791
44535	2	2013-08-02 16:06:38.713097	2013-08-03 20:03:31.834551
44433	14	2013-08-02 16:06:38.450166	2013-08-04 20:54:59.167362
44512	11	2013-08-02 16:06:38.652035	2013-08-03 23:58:25.996945
44552	9	2013-08-02 16:06:38.755255	2013-08-03 23:58:26.001128
44460	2	2013-08-02 16:06:38.515076	2013-08-04 01:55:50.720736
44555	2	2013-08-02 16:06:38.763091	2013-08-04 01:55:50.724517
44473	11	2013-08-02 16:06:38.55003	2013-08-04 20:54:59.172113
44513	9	2013-08-02 16:06:38.654765	2013-08-04 20:54:59.175725
44533	7	2013-08-02 16:06:38.707749	2013-08-04 20:54:59.177734
44432	4	2013-08-02 16:06:38.447636	2013-08-04 20:54:59.180644
44573	21	2013-08-02 16:06:38.806808	2013-08-04 20:57:16.702676
44475	2	2013-08-02 16:06:38.555232	2013-08-04 20:57:17.338458
44453	7	2013-08-02 16:06:38.497952	2013-08-04 20:57:18.315507
44515	7	2013-08-02 16:06:38.660098	2013-08-04 20:57:18.330194
44493	7	2013-08-02 16:06:38.602152	2013-08-04 20:57:19.572204
44553	19	2013-08-02 16:06:38.757906	2013-08-04 21:00:00.611023
44589	9	2013-08-02 16:06:38.847866	2013-08-02 16:06:38.847866
44615	14	2013-08-02 16:06:38.914657	2013-08-04 17:36:52.653941
44591	11	2013-08-02 16:06:38.853204	2013-08-02 16:06:38.853204
44601	14	2013-08-02 16:06:38.879249	2013-08-04 01:08:21.710857
44594	14	2013-08-02 16:06:38.861212	2013-08-02 16:06:38.861212
44726	19	2013-08-02 16:06:39.208444	2013-08-04 20:44:08.958067
44596	16	2013-08-02 16:06:38.866312	2013-08-02 16:06:38.866312
44740	21	2013-08-02 16:06:39.246691	2013-08-03 22:04:22.872441
44599	19	2013-08-02 16:06:38.873924	2013-08-02 16:06:38.873924
44720	21	2013-08-02 16:06:39.189329	2013-08-03 22:04:22.873765
44737	14	2013-08-02 16:06:39.238645	2013-08-04 17:36:52.664686
44602	2	2013-08-02 16:06:38.881656	2013-08-02 16:06:38.881656
44718	19	2013-08-02 16:06:39.183924	2013-08-03 21:44:34.40523
44604	4	2013-08-02 16:06:38.886868	2013-08-02 16:06:38.886868
44607	7	2013-08-02 16:06:38.894749	2013-08-02 16:06:38.894749
44609	9	2013-08-02 16:06:38.899976	2013-08-02 16:06:38.899976
44717	14	2013-08-02 16:06:39.181266	2013-08-04 17:36:52.675239
44611	11	2013-08-02 16:06:38.905028	2013-08-02 16:06:38.905028
44697	14	2013-08-02 16:06:39.127773	2013-08-04 17:36:52.682652
44614	14	2013-08-02 16:06:38.91227	2013-08-02 16:06:38.91227
44616	16	2013-08-02 16:06:38.917137	2013-08-02 16:06:38.917137
44612	21	2013-08-02 16:06:38.90738	2013-08-04 20:44:09.164687
44700	21	2013-08-02 16:06:39.136092	2013-08-03 22:04:22.875039
44619	19	2013-08-02 16:06:38.924487	2013-08-02 16:06:38.924487
44680	21	2013-08-02 16:06:39.081673	2013-08-03 22:04:22.876349
44677	14	2013-08-02 16:06:39.073712	2013-08-04 17:36:52.691837
44622	2	2013-08-02 16:06:38.931853	2013-08-02 16:06:38.931853
44590	14	2013-08-02 16:06:38.850529	2013-08-04 17:36:52.69529
44624	4	2013-08-02 16:06:38.936642	2013-08-02 16:06:38.936642
44641	11	2013-08-02 16:06:38.978028	2013-08-04 01:08:21.722084
44627	7	2013-08-02 16:06:38.943836	2013-08-02 16:06:38.943836
44629	9	2013-08-02 16:06:38.948586	2013-08-02 16:06:38.948586
44657	14	2013-08-02 16:06:39.020187	2013-08-04 17:36:52.698788
44631	11	2013-08-02 16:06:38.953335	2013-08-02 16:06:38.953335
44637	14	2013-08-02 16:06:38.967648	2013-08-04 17:36:52.702172
44634	14	2013-08-02 16:06:38.960431	2013-08-02 16:06:38.960431
44660	21	2013-08-02 16:06:39.028143	2013-08-03 22:04:22.877633
44636	16	2013-08-02 16:06:38.965242	2013-08-02 16:06:38.965242
44698	2	2013-08-02 16:06:39.130448	2013-08-04 20:47:28.221818
44681	9	2013-08-02 16:06:39.084314	2013-08-04 01:08:21.729108
44639	19	2013-08-02 16:06:38.972563	2013-08-02 16:06:38.972563
44625	11	2013-08-02 16:06:38.939039	2013-08-03 23:21:59.108793
44617	14	2013-08-02 16:06:38.91952	2013-08-04 17:36:52.705453
44642	2	2013-08-02 16:06:38.980748	2013-08-02 16:06:38.980748
44597	14	2013-08-02 16:06:38.868895	2013-08-04 17:36:52.708748
44644	4	2013-08-02 16:06:38.986074	2013-08-02 16:06:38.986074
44647	7	2013-08-02 16:06:38.994092	2013-08-02 16:06:38.994092
44649	9	2013-08-02 16:06:38.999279	2013-08-02 16:06:38.999279
44738	14	2013-08-02 16:06:39.241338	2013-08-04 17:36:52.713764
44651	11	2013-08-02 16:06:39.004564	2013-08-02 16:06:39.004564
44678	2	2013-08-02 16:06:39.076347	2013-08-04 01:10:51.547269
44654	14	2013-08-02 16:06:39.012409	2013-08-02 16:06:39.012409
44618	9	2013-08-02 16:06:38.921912	2013-08-03 21:44:34.467854
44656	16	2013-08-02 16:06:39.017568	2013-08-02 16:06:39.017568
44608	2	2013-08-02 16:06:38.897382	2013-08-04 20:47:28.234353
44665	9	2013-08-02 16:06:39.041439	2013-08-03 23:21:59.111717
44659	19	2013-08-02 16:06:39.025503	2013-08-02 16:06:39.025503
44728	4	2013-08-02 16:06:39.214053	2013-08-04 20:47:29.710938
30368	2	2013-08-02 16:06:06.170081	2013-08-04 17:41:53.262849
44662	2	2013-08-02 16:06:39.033473	2013-08-02 16:06:39.033473
44598	7	2013-08-02 16:06:38.871404	2013-08-03 21:44:34.489672
44664	4	2013-08-02 16:06:39.038803	2013-08-02 16:06:39.038803
44610	16	2013-08-02 16:06:38.902588	2013-08-04 01:18:23.722244
44667	7	2013-08-02 16:06:39.046832	2013-08-02 16:06:39.046832
44669	9	2013-08-02 16:06:39.052195	2013-08-02 16:06:39.052195
30348	2	2013-08-02 16:06:06.116241	2013-08-04 17:41:53.27005
44671	11	2013-08-02 16:06:39.057518	2013-08-02 16:06:39.057518
30355	2	2013-08-02 16:06:06.13532	2013-08-04 17:41:53.276525
44674	14	2013-08-02 16:06:39.065562	2013-08-02 16:06:39.065562
44658	21	2013-08-02 16:06:39.022833	2013-08-03 21:45:18.176691
44676	16	2013-08-02 16:06:39.071009	2013-08-02 16:06:39.071009
44710	4	2013-08-02 16:06:39.162784	2013-08-04 20:47:29.716958
44679	19	2013-08-02 16:06:39.079019	2013-08-02 16:06:39.079019
44661	14	2013-08-02 16:06:39.030797	2013-08-04 01:18:23.724761
38050	2	2013-08-02 16:06:24.231796	2013-08-04 17:41:53.285925
44682	2	2013-08-02 16:06:39.08701	2013-08-02 16:06:39.08701
44638	21	2013-08-02 16:06:38.970046	2013-08-03 21:59:23.936687
44684	4	2013-08-02 16:06:39.092328	2013-08-02 16:06:39.092328
44687	7	2013-08-02 16:06:39.100517	2013-08-02 16:06:39.100517
44689	9	2013-08-02 16:06:39.106031	2013-08-02 16:06:39.106031
30868	4	2013-08-02 16:06:07.454562	2013-08-04 17:41:53.322576
44691	11	2013-08-02 16:06:39.111507	2013-08-02 16:06:39.111507
30861	4	2013-08-02 16:06:07.438061	2013-08-04 17:41:53.333901
44694	14	2013-08-02 16:06:39.119614	2013-08-02 16:06:39.119614
44640	21	2013-08-02 16:06:38.975373	2013-08-03 21:59:23.938344
44696	16	2013-08-02 16:06:39.125193	2013-08-02 16:06:39.125193
44708	4	2013-08-02 16:06:39.157423	2013-08-04 20:47:29.723365
44705	7	2013-08-02 16:06:39.149248	2013-08-03 23:21:59.115551
44699	19	2013-08-02 16:06:39.133117	2013-08-02 16:06:39.133117
44670	11	2013-08-02 16:06:39.054864	2013-08-04 01:18:23.728002
30848	4	2013-08-02 16:06:07.407318	2013-08-04 17:41:53.344804
44702	2	2013-08-02 16:06:39.141235	2013-08-02 16:06:39.141235
44620	21	2013-08-02 16:06:38.926979	2013-08-03 21:59:23.940341
44704	4	2013-08-02 16:06:39.146572	2013-08-02 16:06:39.146572
44690	9	2013-08-02 16:06:39.108802	2013-08-04 01:18:23.729427
44707	7	2013-08-02 16:06:39.1547	2013-08-02 16:06:39.1547
44709	9	2013-08-02 16:06:39.160094	2013-08-02 16:06:39.160094
30828	4	2013-08-02 16:06:07.356703	2013-08-04 17:41:53.355527
44711	11	2013-08-02 16:06:39.165448	2013-08-02 16:06:39.165448
44714	14	2013-08-02 16:06:39.173125	2013-08-02 16:06:39.173125
44600	21	2013-08-02 16:06:38.87678	2013-08-03 21:59:23.94254
44716	16	2013-08-02 16:06:39.178505	2013-08-02 16:06:39.178505
44688	7	2013-08-02 16:06:39.103331	2013-08-04 20:47:29.742036
44719	19	2013-08-02 16:06:39.186617	2013-08-02 16:06:39.186617
44730	7	2013-08-02 16:06:39.219784	2013-08-04 01:18:23.731721
30808	4	2013-08-02 16:06:07.306743	2013-08-04 17:41:53.366252
44722	2	2013-08-02 16:06:39.196396	2013-08-02 16:06:39.196396
44745	4	2013-08-02 16:06:39.261133	2013-08-03 23:21:59.11864
44724	4	2013-08-02 16:06:39.203064	2013-08-02 16:06:39.203064
44727	7	2013-08-02 16:06:39.21115	2013-08-02 16:06:39.21115
44729	9	2013-08-02 16:06:39.217121	2013-08-02 16:06:39.217121
30788	4	2013-08-02 16:06:07.258696	2013-08-04 17:41:53.377884
44731	11	2013-08-02 16:06:39.222481	2013-08-02 16:06:39.222481
44650	2	2013-08-02 16:06:39.001982	2013-08-04 01:21:01.047294
44734	14	2013-08-02 16:06:39.230536	2013-08-02 16:06:39.230536
44592	7	2013-08-02 16:06:38.855842	2013-08-03 23:58:26.003613
44736	16	2013-08-02 16:06:39.235912	2013-08-02 16:06:39.235912
44685	7	2013-08-02 16:06:39.095143	2013-08-04 20:47:29.752488
44739	19	2013-08-02 16:06:39.244013	2013-08-02 16:06:39.244013
44630	2	2013-08-02 16:06:38.950942	2013-08-04 01:55:50.717308
8920	4	2013-08-02 16:05:21.036377	2013-08-04 17:41:53.389231
44742	2	2013-08-02 16:06:39.252395	2013-08-02 16:06:39.252395
44668	7	2013-08-02 16:06:39.049538	2013-08-04 20:47:29.763695
44744	4	2013-08-02 16:06:39.258244	2013-08-02 16:06:39.258244
44593	2	2013-08-02 16:06:38.858552	2013-08-04 20:54:59.182434
44595	19	2013-08-02 16:06:38.863749	2013-08-03 20:03:51.896115
44635	16	2013-08-02 16:06:38.962798	2013-08-03 20:03:51.8989
44655	14	2013-08-02 16:06:39.014947	2013-08-03 20:03:51.900025
44715	11	2013-08-02 16:06:39.17579	2013-08-03 20:03:51.903857
44605	4	2013-08-02 16:06:38.889494	2013-08-03 23:58:26.007909
44672	2	2013-08-02 16:06:39.060189	2013-08-03 23:58:26.010524
44653	19	2013-08-02 16:06:39.009878	2013-08-04 20:59:36.995453
44652	21	2013-08-02 16:06:39.007203	2013-08-03 23:58:45.043606
44645	16	2013-08-02 16:06:38.988762	2013-08-04 20:59:36.999368
44732	2	2013-08-02 16:06:39.225141	2013-08-04 00:03:54.85639
44712	2	2013-08-02 16:06:39.168103	2013-08-04 00:04:03.364862
44713	14	2013-08-02 16:06:39.17069	2013-08-04 20:59:37.002878
44675	11	2013-08-02 16:06:39.068206	2013-08-04 20:59:37.006579
44633	21	2013-08-02 16:06:38.958088	2013-08-04 20:59:37.084873
44613	21	2013-08-02 16:06:38.909783	2013-08-04 20:59:37.113013
44733	21	2013-08-02 16:06:39.227859	2013-08-04 20:59:49.620293
44693	21	2013-08-02 16:06:39.116962	2013-08-04 21:00:13.905458
44621	21	2013-08-02 16:06:38.929453	2013-08-04 21:00:26.614217
44747	7	2013-08-02 16:06:39.267009	2013-08-02 16:06:39.267009
44749	9	2013-08-02 16:06:39.272866	2013-08-02 16:06:39.272866
44817	14	2013-08-02 16:06:39.378244	2013-08-04 17:36:52.625914
44751	11	2013-08-02 16:06:39.278356	2013-08-02 16:06:39.278356
44872	14	2013-08-02 16:06:39.423664	2013-08-04 17:36:52.631922
44754	14	2013-08-02 16:06:39.286973	2013-08-02 16:06:39.286973
44898	21	2013-08-02 16:06:39.449117	2013-08-03 21:44:34.335915
44756	16	2013-08-02 16:06:39.292301	2013-08-02 16:06:39.292301
44746	16	2013-08-02 16:06:39.264032	2013-08-04 20:44:08.966089
44780	21	2013-08-02 16:06:39.341164	2013-08-03 22:04:22.869351
44759	19	2013-08-02 16:06:39.300189	2013-08-02 16:06:39.300189
44812	4	2013-08-02 16:06:39.374179	2013-08-04 00:11:45.745668
44792	14	2013-08-02 16:06:39.355026	2013-08-04 17:36:52.635702
44762	2	2013-08-02 16:06:39.307933	2013-08-02 16:06:39.307933
44878	21	2013-08-02 16:06:39.4301	2013-08-03 21:44:34.339468
44764	4	2013-08-02 16:06:39.313157	2013-08-02 16:06:39.313157
44797	14	2013-08-02 16:06:39.36	2013-08-04 17:36:52.639446
44767	7	2013-08-02 16:06:39.32032	2013-08-02 16:06:39.32032
44769	9	2013-08-02 16:06:39.325126	2013-08-02 16:06:39.325126
44777	14	2013-08-02 16:06:39.338931	2013-08-04 17:36:52.643532
44771	11	2013-08-02 16:06:39.329817	2013-08-02 16:06:39.329817
44860	2	2013-08-02 16:06:39.412411	2013-08-04 00:11:45.749461
44774	14	2013-08-02 16:06:39.3369	2013-08-02 16:06:39.3369
44858	21	2013-08-02 16:06:39.410657	2013-08-03 21:44:34.342989
44776	16	2013-08-02 16:06:39.338246	2013-08-02 16:06:39.338246
44760	21	2013-08-02 16:06:39.302873	2013-08-03 22:04:22.87102
44779	19	2013-08-02 16:06:39.340297	2013-08-02 16:06:39.340297
44757	14	2013-08-02 16:06:39.294938	2013-08-04 17:36:52.648532
30768	4	2013-08-02 16:06:07.209056	2013-08-04 17:41:53.399563
44782	2	2013-08-02 16:06:39.345059	2013-08-02 16:06:39.345059
44838	21	2013-08-02 16:06:39.396043	2013-08-03 21:44:34.346706
44784	4	2013-08-02 16:06:39.346935	2013-08-02 16:06:39.346935
44832	21	2013-08-02 16:06:39.390617	2013-08-04 00:12:04.691824
44787	7	2013-08-02 16:06:39.349684	2013-08-02 16:06:39.349684
44789	9	2013-08-02 16:06:39.3515	2013-08-02 16:06:39.3515
30748	4	2013-08-02 16:06:07.16002	2013-08-04 17:41:53.409878
44791	11	2013-08-02 16:06:39.353423	2013-08-02 16:06:39.353423
30728	4	2013-08-02 16:06:07.10733	2013-08-04 17:41:53.421428
44794	14	2013-08-02 16:06:39.35672	2013-08-02 16:06:39.35672
44818	21	2013-08-02 16:06:39.378973	2013-08-03 21:44:34.350201
44796	16	2013-08-02 16:06:39.359133	2013-08-02 16:06:39.359133
44786	14	2013-08-02 16:06:39.348774	2013-08-04 20:44:08.973918
44799	19	2013-08-02 16:06:39.361922	2013-08-02 16:06:39.361922
30708	4	2013-08-02 16:06:07.054081	2013-08-04 17:41:53.433573
44802	2	2013-08-02 16:06:39.364784	2013-08-02 16:06:39.364784
44798	21	2013-08-02 16:06:39.360873	2013-08-03 21:44:34.353652
44804	4	2013-08-02 16:06:39.366943	2013-08-02 16:06:39.366943
44892	16	2013-08-02 16:06:39.443322	2013-08-04 00:12:05.005304
44807	7	2013-08-02 16:06:39.369463	2013-08-02 16:06:39.369463
44809	9	2013-08-02 16:06:39.371378	2013-08-02 16:06:39.371378
30688	4	2013-08-02 16:06:07.004813	2013-08-04 17:41:53.445971
44811	11	2013-08-02 16:06:39.373354	2013-08-02 16:06:39.373354
30668	4	2013-08-02 16:06:06.953464	2013-08-04 17:41:53.458119
44814	14	2013-08-02 16:06:39.375901	2013-08-02 16:06:39.375901
44778	21	2013-08-02 16:06:39.339619	2013-08-03 21:44:34.357834
44816	16	2013-08-02 16:06:39.377499	2013-08-02 16:06:39.377499
44846	11	2013-08-02 16:06:39.402004	2013-08-04 20:44:08.978337
44820	14	2013-08-02 16:06:39.380426	2013-08-03 22:11:23.191185
44819	19	2013-08-02 16:06:39.3797	2013-08-02 16:06:39.3797
30648	4	2013-08-02 16:06:06.903803	2013-08-04 17:41:53.470075
44822	2	2013-08-02 16:06:39.382053	2013-08-02 16:06:39.382053
44758	21	2013-08-02 16:06:39.29757	2013-08-03 21:44:34.361587
44824	4	2013-08-02 16:06:39.383461	2013-08-02 16:06:39.383461
44852	2	2013-08-02 16:06:39.40616	2013-08-04 01:08:21.746558
44827	7	2013-08-02 16:06:39.385702	2013-08-02 16:06:39.385702
44829	9	2013-08-02 16:06:39.387644	2013-08-02 16:06:39.387644
44766	21	2013-08-02 16:06:39.317951	2013-08-04 20:44:16.933356
44831	11	2013-08-02 16:06:39.389805	2013-08-02 16:06:39.389805
44826	2	2013-08-02 16:06:39.384922	2013-08-04 20:47:28.550229
44834	14	2013-08-02 16:06:39.392403	2013-08-02 16:06:39.392403
44836	16	2013-08-02 16:06:39.394208	2013-08-02 16:06:39.394208
44775	14	2013-08-02 16:06:39.337577	2013-08-04 20:47:29.612707
44888	14	2013-08-02 16:06:39.439907	2013-08-04 20:47:29.620246
44839	19	2013-08-02 16:06:39.396914	2013-08-02 16:06:39.396914
44781	19	2013-08-02 16:06:39.343672	2013-08-04 01:08:40.992896
44868	14	2013-08-02 16:06:39.419665	2013-08-04 20:47:29.629989
44842	2	2013-08-02 16:06:39.399125	2013-08-02 16:06:39.399125
44880	11	2013-08-02 16:06:39.431784	2013-08-03 22:11:23.201759
44844	4	2013-08-02 16:06:39.400572	2013-08-02 16:06:39.400572
44848	14	2013-08-02 16:06:39.403406	2013-08-04 20:47:29.637772
44847	7	2013-08-02 16:06:39.402712	2013-08-02 16:06:39.402712
44849	9	2013-08-02 16:06:39.404118	2013-08-02 16:06:39.404118
44828	14	2013-08-02 16:06:39.386462	2013-08-04 20:47:29.643309
44851	11	2013-08-02 16:06:39.405491	2013-08-02 16:06:39.405491
44808	14	2013-08-02 16:06:39.370251	2013-08-04 20:47:29.649013
44854	14	2013-08-02 16:06:39.407547	2013-08-02 16:06:39.407547
44788	4	2013-08-02 16:06:39.350591	2013-08-04 20:47:29.668657
44856	16	2013-08-02 16:06:39.408969	2013-08-02 16:06:39.408969
44768	4	2013-08-02 16:06:39.322734	2013-08-04 20:47:29.681408
44800	21	2013-08-02 16:06:39.363098	2013-08-03 22:11:43.155002
44859	19	2013-08-02 16:06:39.411512	2013-08-02 16:06:39.411512
44821	16	2013-08-02 16:06:39.381252	2013-08-04 01:08:40.997424
44748	4	2013-08-02 16:06:39.269959	2013-08-04 20:47:29.695913
44862	2	2013-08-02 16:06:39.414037	2013-08-02 16:06:39.414037
44864	4	2013-08-02 16:06:39.415655	2013-08-02 16:06:39.415655
44861	14	2013-08-02 16:06:39.413239	2013-08-04 01:08:41.000986
44867	7	2013-08-02 16:06:39.418815	2013-08-02 16:06:39.418815
44869	9	2013-08-02 16:06:39.420495	2013-08-02 16:06:39.420495
44773	9	2013-08-02 16:06:39.334713	2013-08-04 20:59:37.013
44871	11	2013-08-02 16:06:39.422903	2013-08-02 16:06:39.422903
44874	14	2013-08-02 16:06:39.42618	2013-08-02 16:06:39.42618
44785	2	2013-08-02 16:06:39.347849	2013-08-03 23:21:59.120454
44876	16	2013-08-02 16:06:39.428326	2013-08-02 16:06:39.428326
44806	7	2013-08-02 16:06:39.368697	2013-08-04 20:59:37.020053
44879	19	2013-08-02 16:06:39.430899	2013-08-02 16:06:39.430899
44882	2	2013-08-02 16:06:39.433865	2013-08-02 16:06:39.433865
44765	2	2013-08-02 16:06:39.315559	2013-08-03 23:24:40.288962
44884	4	2013-08-02 16:06:39.435723	2013-08-02 16:06:39.435723
44840	4	2013-08-02 16:06:39.397673	2013-08-04 20:59:37.03117
44887	7	2013-08-02 16:06:39.438211	2013-08-02 16:06:39.438211
44889	9	2013-08-02 16:06:39.440787	2013-08-02 16:06:39.440787
44891	11	2013-08-02 16:06:39.442487	2013-08-02 16:06:39.442487
44873	2	2013-08-02 16:06:39.424714	2013-08-04 20:59:37.038575
44894	14	2013-08-02 16:06:39.44498	2013-08-02 16:06:39.44498
44835	4	2013-08-02 16:06:39.393313	2013-08-03 23:24:40.409417
44896	16	2013-08-02 16:06:39.447432	2013-08-02 16:06:39.447432
44833	21	2013-08-02 16:06:39.391484	2013-08-04 20:59:49.586149
44899	19	2013-08-02 16:06:39.449978	2013-08-02 16:06:39.449978
44901	11	2013-08-02 16:06:39.452004	2013-08-04 01:08:41.006755
44902	2	2013-08-02 16:06:39.452746	2013-08-02 16:06:39.452746
44883	14	2013-08-02 16:06:39.434923	2013-08-03 19:52:25.534302
44755	9	2013-08-02 16:06:39.289665	2013-08-03 20:03:51.906411
44795	7	2013-08-02 16:06:39.357813	2013-08-03 20:03:51.910252
44761	14	2013-08-02 16:06:39.305384	2013-08-04 01:10:50.479679
44881	2	2013-08-02 16:06:39.432646	2013-08-04 01:10:51.543257
44825	14	2013-08-02 16:06:39.384165	2013-08-03 23:24:40.47855
44865	21	2013-08-02 16:06:39.416405	2013-08-03 23:26:13.713452
44752	2	2013-08-02 16:06:39.28135	2013-08-04 00:07:39.090512
44813	21	2013-08-02 16:06:39.375034	2013-08-04 21:00:00.874963
44770	4	2013-08-02 16:06:39.327465	2013-08-04 01:18:23.735254
44810	2	2013-08-02 16:06:39.372393	2013-08-04 01:18:23.738618
44853	21	2013-08-02 16:06:39.40685	2013-08-04 21:00:13.371367
44753	21	2013-08-02 16:06:39.284287	2013-08-04 21:00:14.046429
44830	21	2013-08-02 16:06:39.388985	2013-08-04 01:18:42.767108
44793	21	2013-08-02 16:06:39.355929	2013-08-04 21:00:14.507447
44900	19	2013-08-02 16:06:39.45095	2013-08-04 01:18:42.790038
44893	21	2013-08-02 16:06:39.444126	2013-08-04 21:00:14.510085
44890	16	2013-08-02 16:06:39.441657	2013-08-04 01:18:42.794955
44750	21	2013-08-02 16:06:39.275553	2013-08-04 01:18:42.844661
44790	7	2013-08-02 16:06:39.352412	2013-08-04 01:21:00.128742
44850	21	2013-08-02 16:06:39.404827	2013-08-04 01:28:57.246911
44841	2	2013-08-02 16:06:39.398391	2013-08-04 01:55:50.713724
44805	11	2013-08-02 16:06:39.367826	2013-08-04 21:00:14.573834
44918	21	2013-08-02 16:06:39.475001	2013-08-03 21:44:34.331592
44904	4	2013-08-02 16:06:39.455285	2013-08-02 16:06:39.455285
30628	4	2013-08-02 16:06:06.860972	2013-08-04 17:41:53.481468
44907	7	2013-08-02 16:06:39.45833	2013-08-02 16:06:39.45833
44909	9	2013-08-02 16:06:39.461726	2013-08-02 16:06:39.461726
30588	4	2013-08-02 16:06:06.814944	2013-08-04 17:41:53.527118
44911	11	2013-08-02 16:06:39.466698	2013-08-02 16:06:39.466698
9889	4	2013-08-02 16:05:23.176532	2013-08-04 17:41:53.570564
44914	14	2013-08-02 16:06:39.470638	2013-08-02 16:06:39.470638
45058	21	2013-08-02 16:06:39.903817	2013-08-03 21:49:33.918066
44916	16	2013-08-02 16:06:39.473241	2013-08-02 16:06:39.473241
44920	9	2013-08-02 16:06:39.476819	2013-08-03 22:11:23.209224
44919	19	2013-08-02 16:06:39.475907	2013-08-02 16:06:39.475907
44932	14	2013-08-02 16:06:39.489619	2013-08-04 00:12:05.00794
9869	4	2013-08-02 16:05:23.07014	2013-08-04 17:41:53.581878
44922	2	2013-08-02 16:06:39.479318	2013-08-02 16:06:39.479318
45038	16	2013-08-02 16:06:39.626425	2013-08-03 21:49:33.937565
44924	4	2013-08-02 16:06:39.481203	2013-08-02 16:06:39.481203
44927	7	2013-08-02 16:06:39.484699	2013-08-02 16:06:39.484699
44929	9	2013-08-02 16:06:39.486799	2013-08-02 16:06:39.486799
9806	4	2013-08-02 16:05:23.012549	2013-08-04 17:41:53.593035
44931	11	2013-08-02 16:06:39.488695	2013-08-02 16:06:39.488695
9849	4	2013-08-02 16:05:23.050519	2013-08-04 17:41:53.604282
44934	14	2013-08-02 16:06:39.491455	2013-08-02 16:06:39.491455
45018	14	2013-08-02 16:06:39.602827	2013-08-03 21:49:33.96008
44936	16	2013-08-02 16:06:39.493256	2013-08-02 16:06:39.493256
44926	4	2013-08-02 16:06:39.483789	2013-08-04 20:44:08.985325
44939	19	2013-08-02 16:06:39.495886	2013-08-02 16:06:39.495886
44978	11	2013-08-02 16:06:39.541591	2013-08-04 00:12:05.010985
9829	4	2013-08-02 16:05:23.031091	2013-08-04 17:41:53.615734
44942	2	2013-08-02 16:06:39.498591	2013-08-02 16:06:39.498591
44998	19	2013-08-02 16:06:39.569028	2013-08-03 21:49:33.982859
44944	4	2013-08-02 16:06:39.500154	2013-08-02 16:06:39.500154
3815	4	2013-08-02 16:05:11.300729	2013-08-04 17:41:53.627502
44947	7	2013-08-02 16:06:39.502558	2013-08-02 16:06:39.502558
44949	9	2013-08-02 16:06:39.504295	2013-08-02 16:06:39.504295
9809	4	2013-08-02 16:05:23.014879	2013-08-04 17:41:53.638503
44951	11	2013-08-02 16:06:39.506936	2013-08-02 16:06:39.506936
9466	4	2013-08-02 16:05:22.453867	2013-08-04 17:41:53.649091
44954	14	2013-08-02 16:06:39.509483	2013-08-02 16:06:39.509483
45057	2	2013-08-02 16:06:39.903056	2013-08-04 17:56:51.872395
44956	16	2013-08-02 16:06:39.511209	2013-08-02 16:06:39.511209
44960	7	2013-08-02 16:06:39.51539	2013-08-03 22:11:23.217202
44959	19	2013-08-02 16:06:39.514068	2013-08-02 16:06:39.514068
44992	9	2013-08-02 16:06:39.559886	2013-08-04 00:12:05.014015
45037	2	2013-08-02 16:06:39.625566	2013-08-04 17:56:51.876118
44962	2	2013-08-02 16:06:39.519132	2013-08-02 16:06:39.519132
44958	2	2013-08-02 16:06:39.513058	2013-08-03 21:49:34.02884
44964	4	2013-08-02 16:06:39.52321	2013-08-02 16:06:39.52321
44967	7	2013-08-02 16:06:39.529477	2013-08-02 16:06:39.529477
44969	9	2013-08-02 16:06:39.531237	2013-08-02 16:06:39.531237
44966	2	2013-08-02 16:06:39.528195	2013-08-04 20:44:08.987588
44971	11	2013-08-02 16:06:39.532976	2013-08-02 16:06:39.532976
44974	14	2013-08-02 16:06:39.536849	2013-08-02 16:06:39.536849
44906	21	2013-08-02 16:06:39.45721	2013-08-04 20:44:28.383201
44976	16	2013-08-02 16:06:39.539033	2013-08-02 16:06:39.539033
44946	2	2013-08-02 16:06:39.501731	2013-08-04 20:47:27.539658
44979	19	2013-08-02 16:06:39.542468	2013-08-02 16:06:39.542468
45032	7	2013-08-02 16:06:39.621477	2013-08-04 00:12:05.016948
45046	2	2013-08-02 16:06:39.893981	2013-08-04 20:47:27.850154
44982	2	2013-08-02 16:06:39.546419	2013-08-02 16:06:39.546419
44912	21	2013-08-02 16:06:39.468889	2013-08-04 00:12:20.460051
44984	4	2013-08-02 16:06:39.549092	2013-08-02 16:06:39.549092
44921	9	2013-08-02 16:06:39.478476	2013-08-04 01:08:41.012376
44987	7	2013-08-02 16:06:39.552532	2013-08-02 16:06:39.552532
44989	9	2013-08-02 16:06:39.555821	2013-08-02 16:06:39.555821
45026	2	2013-08-02 16:06:39.616355	2013-08-04 20:47:27.861383
44991	11	2013-08-02 16:06:39.558526	2013-08-02 16:06:39.558526
45006	2	2013-08-02 16:06:39.582139	2013-08-04 20:47:27.872679
44994	14	2013-08-02 16:06:39.562687	2013-08-02 16:06:39.562687
45020	4	2013-08-02 16:06:39.60825	2013-08-03 22:11:23.227953
44996	16	2013-08-02 16:06:39.5661	2013-08-02 16:06:39.5661
44981	2	2013-08-02 16:06:39.544925	2013-08-04 20:47:27.884117
44999	19	2013-08-02 16:06:39.57088	2013-08-02 16:06:39.57088
44961	7	2013-08-02 16:06:39.517203	2013-08-04 01:08:41.018874
44986	2	2013-08-02 16:06:39.551657	2013-08-04 20:47:27.895406
45002	2	2013-08-02 16:06:39.575637	2013-08-02 16:06:39.575637
45025	21	2013-08-02 16:06:39.615589	2013-08-03 23:24:40.365718
45004	4	2013-08-02 16:06:39.579146	2013-08-02 16:06:39.579146
45007	7	2013-08-02 16:06:39.583578	2013-08-02 16:06:39.583578
45009	9	2013-08-02 16:06:39.586557	2013-08-02 16:06:39.586557
44980	7	2013-08-02 16:06:39.54329	2013-08-04 20:47:29.161701
45011	11	2013-08-02 16:06:39.590086	2013-08-02 16:06:39.590086
45010	2	2013-08-02 16:06:39.588497	2013-08-04 20:52:18.579913
45014	14	2013-08-02 16:06:39.595196	2013-08-02 16:06:39.595196
45005	21	2013-08-02 16:06:39.58069	2013-08-03 23:24:40.367221
45016	16	2013-08-02 16:06:39.598583	2013-08-02 16:06:39.598583
45048	2	2013-08-02 16:06:39.895647	2013-08-04 20:52:18.585014
44985	21	2013-08-02 16:06:39.550602	2013-08-03 23:24:40.368288
45019	19	2013-08-02 16:06:39.605578	2013-08-02 16:06:39.605578
45028	2	2013-08-02 16:06:39.617887	2013-08-04 20:52:18.590401
45008	2	2013-08-02 16:06:39.585072	2013-08-04 20:52:18.596523
45022	2	2013-08-02 16:06:39.613027	2013-08-02 16:06:39.613027
45000	21	2013-08-02 16:06:39.572739	2013-08-03 23:24:40.369327
45024	4	2013-08-02 16:06:39.614771	2013-08-02 16:06:39.614771
45021	4	2013-08-02 16:06:39.610942	2013-08-04 01:08:41.028738
45027	7	2013-08-02 16:06:39.617127	2013-08-02 16:06:39.617127
45029	9	2013-08-02 16:06:39.618731	2013-08-02 16:06:39.618731
44941	2	2013-08-02 16:06:39.49768	2013-08-04 20:52:18.604841
45031	11	2013-08-02 16:06:39.620661	2013-08-02 16:06:39.620661
44988	2	2013-08-02 16:06:39.554464	2013-08-04 20:52:18.616011
45034	14	2013-08-02 16:06:39.623084	2013-08-02 16:06:39.623084
44965	21	2013-08-02 16:06:39.525627	2013-08-03 23:24:40.372629
45036	16	2013-08-02 16:06:39.624778	2013-08-02 16:06:39.624778
44968	2	2013-08-02 16:06:39.530361	2013-08-04 20:52:18.624945
45012	2	2013-08-02 16:06:39.592081	2013-08-04 20:52:18.633166
45039	19	2013-08-02 16:06:39.628017	2013-08-02 16:06:39.628017
44913	19	2013-08-02 16:06:39.469761	2013-08-04 21:00:00.90183
45042	2	2013-08-02 16:06:39.630692	2013-08-02 16:06:39.630692
44925	19	2013-08-02 16:06:39.48267	2013-08-03 23:24:40.387434
45044	4	2013-08-02 16:06:39.632474	2013-08-02 16:06:39.632474
44915	2	2013-08-02 16:06:39.471768	2013-08-04 01:08:41.035371
45047	7	2013-08-02 16:06:39.894828	2013-08-02 16:06:39.894828
45049	9	2013-08-02 16:06:39.896442	2013-08-02 16:06:39.896442
44933	16	2013-08-02 16:06:39.49054	2013-08-04 21:00:00.904045
45051	11	2013-08-02 16:06:39.898022	2013-08-02 16:06:39.898022
45054	14	2013-08-02 16:06:39.900517	2013-08-02 16:06:39.900517
44905	9	2013-08-02 16:06:39.456213	2013-08-03 23:24:40.394218
45056	16	2013-08-02 16:06:39.902296	2013-08-02 16:06:39.902296
44973	14	2013-08-02 16:06:39.535547	2013-08-04 21:00:00.905845
45059	19	2013-08-02 16:06:39.904589	2013-08-02 16:06:39.904589
45035	21	2013-08-02 16:06:39.623941	2013-08-03 20:07:27.512465
45015	21	2013-08-02 16:06:39.596749	2013-08-03 20:07:27.514193
44995	21	2013-08-02 16:06:39.564661	2013-08-03 20:07:27.515431
44975	21	2013-08-02 16:06:39.538156	2013-08-03 20:07:27.517207
44955	21	2013-08-02 16:06:39.510368	2013-08-03 20:07:27.518922
44935	21	2013-08-02 16:06:39.492365	2013-08-03 20:07:27.521208
45055	16	2013-08-02 16:06:39.901544	2013-08-03 20:08:08.983858
45041	14	2013-08-02 16:06:39.629827	2013-08-04 01:10:50.468664
45001	21	2013-08-02 16:06:39.574197	2013-08-04 01:10:50.585952
45013	11	2013-08-02 16:06:39.593655	2013-08-04 21:00:00.909529
44930	14	2013-08-02 16:06:39.487744	2013-08-04 01:18:42.798927
44970	11	2013-08-02 16:06:39.532116	2013-08-04 01:18:42.804376
44990	9	2013-08-02 16:06:39.557163	2013-08-04 01:18:42.805937
45030	7	2013-08-02 16:06:39.61987	2013-08-04 01:18:42.809154
44950	2	2013-08-02 16:06:39.505667	2013-08-04 01:21:01.041605
44910	2	2013-08-02 16:06:39.464299	2013-08-04 01:55:50.709158
45053	9	2013-08-02 16:06:39.899761	2013-08-04 21:00:00.913188
44972	7	2013-08-02 16:06:39.534672	2013-08-04 21:00:00.916226
44953	21	2013-08-02 16:06:39.508585	2013-08-04 21:00:13.907963
45033	21	2013-08-02 16:06:39.622292	2013-08-04 21:00:14.048974
44993	21	2013-08-02 16:06:39.561328	2013-08-04 21:00:14.198036
44952	21	2013-08-02 16:06:39.50777	2013-08-04 21:00:14.295164
45045	14	2013-08-02 16:06:39.892877	2013-08-04 21:00:14.317941
39375	4	2013-08-02 16:06:26.994687	2013-08-04 17:41:53.660169
9841	4	2013-08-02 16:05:23.042963	2013-08-04 17:41:53.671465
45062	2	2013-08-02 16:06:39.911761	2013-08-02 16:06:39.911761
45078	21	2013-08-02 16:06:39.927732	2013-08-03 21:49:33.913762
45064	4	2013-08-02 16:06:39.914197	2013-08-02 16:06:39.914197
45092	4	2013-08-02 16:06:39.939791	2013-08-04 00:12:05.021611
45067	7	2013-08-02 16:06:39.917661	2013-08-02 16:06:39.917661
45069	9	2013-08-02 16:06:39.919438	2013-08-02 16:06:39.919438
9789	4	2013-08-02 16:05:22.998916	2013-08-04 17:41:53.682351
45071	11	2013-08-02 16:06:39.921244	2013-08-02 16:06:39.921244
34423	4	2013-08-02 16:06:15.65374	2013-08-04 17:41:53.69378
45074	14	2013-08-02 16:06:39.924457	2013-08-02 16:06:39.924457
45060	2	2013-08-02 16:06:39.905966	2013-08-03 22:11:23.235116
45076	16	2013-08-02 16:06:39.926043	2013-08-02 16:06:39.926043
45152	2	2013-08-02 16:06:40.004367	2013-08-04 20:47:27.716048
42463	4	2013-08-02 16:06:33.897617	2013-08-04 17:41:53.705761
45079	19	2013-08-02 16:06:39.9286	2013-08-02 16:06:39.9286
9769	4	2013-08-02 16:05:22.983339	2013-08-04 17:41:53.717544
9796	4	2013-08-02 16:05:23.003816	2013-08-04 17:41:53.729138
45082	2	2013-08-02 16:06:39.93126	2013-08-02 16:06:39.93126
45178	7	2013-08-02 16:06:40.031549	2013-08-03 21:49:34.453849
45084	4	2013-08-02 16:06:39.93297	2013-08-02 16:06:39.93297
45132	2	2013-08-02 16:06:39.97965	2013-08-04 00:12:05.024443
45087	7	2013-08-02 16:06:39.935447	2013-08-02 16:06:39.935447
45089	9	2013-08-02 16:06:39.937206	2013-08-02 16:06:39.937206
9749	4	2013-08-02 16:05:22.965597	2013-08-04 17:41:53.740152
45091	11	2013-08-02 16:06:39.938937	2013-08-02 16:06:39.938937
20292	4	2013-08-02 16:05:44.195047	2013-08-04 17:41:53.751216
45094	14	2013-08-02 16:06:39.942699	2013-08-02 16:06:39.942699
45158	4	2013-08-02 16:06:40.010484	2013-08-03 21:49:34.474155
45096	16	2013-08-02 16:06:39.944425	2013-08-02 16:06:39.944425
45206	2	2013-08-02 16:06:40.060387	2013-08-04 20:47:27.729952
45100	9	2013-08-02 16:06:39.947815	2013-08-03 22:11:43.193351
45099	19	2013-08-02 16:06:39.946921	2013-08-02 16:06:39.946921
45165	2	2013-08-02 16:06:40.019659	2013-08-04 20:47:27.746567
45186	2	2013-08-02 16:06:40.038775	2013-08-04 20:47:27.760494
45102	2	2013-08-02 16:06:39.949359	2013-08-02 16:06:39.949359
45138	14	2013-08-02 16:06:39.98608	2013-08-03 21:49:34.496667
45104	4	2013-08-02 16:06:39.950782	2013-08-02 16:06:39.950782
45166	2	2013-08-02 16:06:40.020995	2013-08-04 20:47:27.771961
45107	7	2013-08-02 16:06:39.952933	2013-08-02 16:06:39.952933
45109	9	2013-08-02 16:06:39.954341	2013-08-02 16:06:39.954341
45146	2	2013-08-02 16:06:39.997242	2013-08-04 20:47:27.783223
45111	11	2013-08-02 16:06:39.955732	2013-08-02 16:06:39.955732
45160	2	2013-08-02 16:06:40.012231	2013-08-04 20:47:27.794672
45114	14	2013-08-02 16:06:39.95786	2013-08-02 16:06:39.95786
45118	9	2013-08-02 16:06:39.960835	2013-08-03 21:49:34.519199
45116	16	2013-08-02 16:06:39.959261	2013-08-02 16:06:39.959261
45126	2	2013-08-02 16:06:39.974334	2013-08-04 20:47:27.806168
45119	19	2013-08-02 16:06:39.961857	2013-08-02 16:06:39.961857
45072	16	2013-08-02 16:06:39.922089	2013-08-04 00:15:38.337945
45106	2	2013-08-02 16:06:39.952246	2013-08-04 20:47:27.817774
45122	2	2013-08-02 16:06:39.968787	2013-08-02 16:06:39.968787
45108	2	2013-08-02 16:06:39.953644	2013-08-04 20:52:18.564919
45124	4	2013-08-02 16:06:39.971855	2013-08-02 16:06:39.971855
45112	21	2013-08-02 16:06:39.95643	2013-08-04 00:15:38.545277
45127	7	2013-08-02 16:06:39.975288	2013-08-02 16:06:39.975288
45129	9	2013-08-02 16:06:39.977121	2013-08-02 16:06:39.977121
45088	2	2013-08-02 16:06:39.936286	2013-08-04 20:52:18.570369
45131	11	2013-08-02 16:06:39.978846	2013-08-02 16:06:39.978846
45068	2	2013-08-02 16:06:39.918548	2013-08-04 20:52:18.575225
45134	14	2013-08-02 16:06:39.982219	2013-08-02 16:06:39.982219
45198	21	2013-08-02 16:06:40.051832	2013-08-03 21:50:49.987227
45136	16	2013-08-02 16:06:39.984007	2013-08-02 16:06:39.984007
45195	7	2013-08-02 16:06:40.049292	2013-08-04 20:52:20.664597
45140	7	2013-08-02 16:06:39.990018	2013-08-03 22:11:43.19794
45139	19	2013-08-02 16:06:39.987779	2013-08-02 16:06:39.987779
45065	19	2013-08-02 16:06:39.915097	2013-08-04 00:18:14.963875
45208	7	2013-08-02 16:06:40.062762	2013-08-04 20:52:20.675883
45142	2	2013-08-02 16:06:39.991926	2013-08-02 16:06:39.991926
45144	4	2013-08-02 16:06:39.994521	2013-08-02 16:06:39.994521
45145	2	2013-08-02 16:06:39.996143	2013-08-04 20:52:20.707565
45147	7	2013-08-02 16:06:39.999167	2013-08-02 16:06:39.999167
45149	9	2013-08-02 16:06:40.0014	2013-08-02 16:06:40.0014
45188	2	2013-08-02 16:06:40.041421	2013-08-04 20:52:20.72245
45151	11	2013-08-02 16:06:40.003435	2013-08-02 16:06:40.003435
45168	2	2013-08-02 16:06:40.022744	2013-08-04 20:52:20.738468
45154	14	2013-08-02 16:06:40.006607	2013-08-02 16:06:40.006607
45192	16	2013-08-02 16:06:40.045962	2013-08-04 00:18:14.967933
45156	16	2013-08-02 16:06:40.008721	2013-08-02 16:06:40.008721
45148	2	2013-08-02 16:06:40.000369	2013-08-04 20:52:20.75401
45200	4	2013-08-02 16:06:40.054472	2013-08-03 22:11:43.206851
45159	19	2013-08-02 16:06:40.011329	2013-08-02 16:06:40.011329
45128	2	2013-08-02 16:06:39.976215	2013-08-04 20:52:20.769084
45120	2	2013-08-02 16:06:39.963869	2013-08-04 20:52:20.783919
45162	2	2013-08-02 16:06:40.014564	2013-08-02 16:06:40.014564
45164	4	2013-08-02 16:06:40.018484	2013-08-02 16:06:40.018484
45115	14	2013-08-02 16:06:39.958554	2013-08-04 00:18:14.97215
45167	7	2013-08-02 16:06:40.021868	2013-08-02 16:06:40.021868
45169	9	2013-08-02 16:06:40.023627	2013-08-02 16:06:40.023627
45171	11	2013-08-02 16:06:40.025398	2013-08-02 16:06:40.025398
45113	4	2013-08-02 16:06:39.957178	2013-08-04 21:00:00.920602
45174	14	2013-08-02 16:06:40.028002	2013-08-02 16:06:40.028002
45085	11	2013-08-02 16:06:39.933771	2013-08-03 23:26:32.98098
45176	16	2013-08-02 16:06:40.029828	2013-08-02 16:06:40.029828
45153	2	2013-08-02 16:06:40.005482	2013-08-04 21:00:00.924971
45179	19	2013-08-02 16:06:40.032501	2013-08-02 16:06:40.032501
45201	16	2013-08-02 16:06:40.055323	2013-08-04 01:10:50.31504
45182	2	2013-08-02 16:06:40.034988	2013-08-02 16:06:40.034988
45125	9	2013-08-02 16:06:39.97339	2013-08-03 23:26:32.983242
45184	4	2013-08-02 16:06:40.036935	2013-08-02 16:06:40.036935
45181	19	2013-08-02 16:06:40.034188	2013-08-04 01:10:50.327994
45187	7	2013-08-02 16:06:40.039979	2013-08-02 16:06:40.039979
45189	9	2013-08-02 16:06:40.04231	2013-08-02 16:06:40.04231
45093	21	2013-08-02 16:06:39.941556	2013-08-04 21:00:00.947577
45191	11	2013-08-02 16:06:40.044369	2013-08-02 16:06:40.044369
45133	21	2013-08-02 16:06:39.98133	2013-08-04 21:00:13.367105
45194	14	2013-08-02 16:06:40.048409	2013-08-02 16:06:40.048409
45196	16	2013-08-02 16:06:40.050124	2013-08-02 16:06:40.050124
45193	19	2013-08-02 16:06:40.047328	2013-08-04 21:00:13.537772
45180	7	2013-08-02 16:06:40.033359	2013-08-03 23:26:32.985217
45199	19	2013-08-02 16:06:40.053128	2013-08-02 16:06:40.053128
45161	11	2013-08-02 16:06:40.013155	2013-08-04 01:10:50.345171
45202	2	2013-08-02 16:06:40.056165	2013-08-02 16:06:40.056165
45204	4	2013-08-02 16:06:40.057878	2013-08-02 16:06:40.057878
45095	16	2013-08-02 16:06:39.943596	2013-08-04 21:00:13.545077
45207	7	2013-08-02 16:06:40.061269	2013-08-02 16:06:40.061269
45209	9	2013-08-02 16:06:40.063773	2013-08-02 16:06:40.063773
45211	11	2013-08-02 16:06:40.066148	2013-08-02 16:06:40.066148
45155	14	2013-08-02 16:06:40.007585	2013-08-04 21:00:13.551905
45214	14	2013-08-02 16:06:40.069151	2013-08-02 16:06:40.069151
45185	4	2013-08-02 16:06:40.037854	2013-08-03 23:26:32.987967
45216	16	2013-08-02 16:06:40.071261	2013-08-02 16:06:40.071261
45075	14	2013-08-02 16:06:39.92526	2013-08-03 20:08:08.98535
45073	16	2013-08-02 16:06:39.922892	2013-08-04 21:00:13.728629
45135	11	2013-08-02 16:06:39.983133	2013-08-03 20:08:08.988724
45121	21	2013-08-02 16:06:39.966828	2013-08-04 21:00:13.910375
45175	9	2013-08-02 16:06:40.028946	2013-08-03 20:08:08.992895
45101	4	2013-08-02 16:06:39.94861	2013-08-04 01:10:50.371881
45081	14	2013-08-02 16:06:39.930377	2013-08-04 01:10:50.389921
45080	7	2013-08-02 16:06:39.92949	2013-08-04 01:10:50.398384
45070	4	2013-08-02 16:06:39.920322	2013-08-04 01:18:42.812318
45213	21	2013-08-02 16:06:40.068139	2013-08-04 21:00:14.295907
45110	2	2013-08-02 16:06:39.955036	2013-08-04 01:18:42.814459
45173	21	2013-08-02 16:06:40.027136	2013-08-04 21:00:26.12577
45090	7	2013-08-02 16:06:39.938082	2013-08-04 01:21:00.117508
45150	19	2013-08-02 16:06:40.002475	2013-08-04 01:23:20.542919
45105	16	2013-08-02 16:06:39.951525	2013-08-04 01:23:20.54712
45210	14	2013-08-02 16:06:40.064693	2013-08-04 01:23:20.551065
45130	21	2013-08-02 16:06:39.977992	2013-08-04 01:28:57.249882
45190	2	2013-08-02 16:06:40.043485	2013-08-04 01:55:51.933311
45098	2	2013-08-02 16:06:39.946111	2013-08-04 01:55:51.937469
45212	2	2013-08-02 16:06:40.067256	2013-08-04 01:55:51.94178
45219	19	2013-08-02 16:06:40.074732	2013-08-02 16:06:40.074732
45252	11	2013-08-02 16:06:40.114105	2013-08-04 00:18:14.975177
25479	4	2013-08-02 16:05:54.980689	2013-08-04 17:41:54.005791
45222	2	2013-08-02 16:06:40.078234	2013-08-02 16:06:40.078234
45358	21	2013-08-02 16:06:40.405214	2013-08-03 21:49:34.279069
45224	4	2013-08-02 16:06:40.080651	2013-08-02 16:06:40.080651
25459	4	2013-08-02 16:05:54.927445	2013-08-04 17:41:54.012044
45227	7	2013-08-02 16:06:40.084081	2013-08-02 16:06:40.084081
45229	9	2013-08-02 16:06:40.086916	2013-08-02 16:06:40.086916
25481	4	2013-08-02 16:05:54.985594	2013-08-04 17:41:54.0189
45231	11	2013-08-02 16:06:40.089025	2013-08-02 16:06:40.089025
25439	4	2013-08-02 16:05:54.87435	2013-08-04 17:41:54.025349
45234	14	2013-08-02 16:06:40.092781	2013-08-02 16:06:40.092781
45338	21	2013-08-02 16:06:40.348821	2013-08-03 21:49:34.282564
45236	16	2013-08-02 16:06:40.095625	2013-08-02 16:06:40.095625
45246	19	2013-08-02 16:06:40.107617	2013-08-04 20:49:28.878186
45240	2	2013-08-02 16:06:40.100298	2013-08-03 22:11:43.213444
45239	19	2013-08-02 16:06:40.099318	2013-08-02 16:06:40.099318
45292	9	2013-08-02 16:06:40.217575	2013-08-04 00:18:14.978211
25419	4	2013-08-02 16:05:54.824385	2013-08-04 17:41:54.032905
45242	2	2013-08-02 16:06:40.103026	2013-08-02 16:06:40.103026
45318	11	2013-08-02 16:06:40.290744	2013-08-03 21:49:34.301464
45244	4	2013-08-02 16:06:40.105505	2013-08-02 16:06:40.105505
45247	7	2013-08-02 16:06:40.108673	2013-08-02 16:06:40.108673
45249	9	2013-08-02 16:06:40.110726	2013-08-02 16:06:40.110726
25399	4	2013-08-02 16:05:54.772683	2013-08-04 17:41:54.044354
45251	11	2013-08-02 16:06:40.112983	2013-08-02 16:06:40.112983
25379	4	2013-08-02 16:05:54.726326	2013-08-04 17:41:54.055154
45254	14	2013-08-02 16:06:40.116422	2013-08-02 16:06:40.116422
45298	19	2013-08-02 16:06:40.23374	2013-08-03 21:49:34.326712
45256	16	2013-08-02 16:06:40.12042	2013-08-02 16:06:40.12042
25305	4	2013-08-02 16:05:54.608029	2013-08-04 17:41:54.0658
45259	19	2013-08-02 16:06:40.12608	2013-08-02 16:06:40.12608
45332	7	2013-08-02 16:06:40.331053	2013-08-04 00:18:14.981331
25359	4	2013-08-02 16:05:54.683057	2013-08-04 17:41:54.07687
45262	2	2013-08-02 16:06:40.134067	2013-08-02 16:06:40.134067
18826	4	2013-08-02 16:05:40.437898	2013-08-04 17:41:54.088196
45264	4	2013-08-02 16:06:40.138818	2013-08-02 16:06:40.138818
45267	7	2013-08-02 16:06:40.147846	2013-08-02 16:06:40.147846
45269	9	2013-08-02 16:06:40.152177	2013-08-02 16:06:40.152177
25339	4	2013-08-02 16:05:54.665338	2013-08-04 17:41:54.099278
45271	11	2013-08-02 16:06:40.157518	2013-08-02 16:06:40.157518
45266	16	2013-08-02 16:06:40.145845	2013-08-04 20:49:28.885532
45274	14	2013-08-02 16:06:40.165553	2013-08-02 16:06:40.165553
45276	16	2013-08-02 16:06:40.170996	2013-08-02 16:06:40.170996
45306	14	2013-08-02 16:06:40.25578	2013-08-04 20:49:28.893066
45220	21	2013-08-02 16:06:40.075711	2013-08-03 22:11:43.37232
45279	19	2013-08-02 16:06:40.181943	2013-08-02 16:06:40.181943
45282	2	2013-08-02 16:06:40.190339	2013-08-02 16:06:40.190339
45284	4	2013-08-02 16:06:40.195541	2013-08-02 16:06:40.195541
45366	11	2013-08-02 16:06:40.429807	2013-08-04 20:49:28.904155
45287	7	2013-08-02 16:06:40.203775	2013-08-02 16:06:40.203775
45289	9	2013-08-02 16:06:40.209329	2013-08-02 16:06:40.209329
45291	11	2013-08-02 16:06:40.214839	2013-08-02 16:06:40.214839
45355	9	2013-08-02 16:06:40.397031	2013-08-04 20:49:28.911509
45294	14	2013-08-02 16:06:40.222967	2013-08-02 16:06:40.222967
45352	21	2013-08-02 16:06:40.388943	2013-08-04 20:49:29.069378
45296	16	2013-08-02 16:06:40.228363	2013-08-02 16:06:40.228363
45226	21	2013-08-02 16:06:40.082892	2013-08-04 20:49:35.800698
45360	14	2013-08-02 16:06:40.410802	2013-08-03 22:14:26.268496
45299	19	2013-08-02 16:06:40.236284	2013-08-02 16:06:40.236284
45281	21	2013-08-02 16:06:40.187536	2013-08-04 01:10:50.271947
45346	2	2013-08-02 16:06:40.372825	2013-08-04 20:52:18.773327
45302	2	2013-08-02 16:06:40.244829	2013-08-02 16:06:40.244829
45286	2	2013-08-02 16:06:40.200945	2013-08-04 20:52:19.501017
45304	4	2013-08-02 16:06:40.250277	2013-08-02 16:06:40.250277
45278	21	2013-08-02 16:06:40.17808	2013-08-04 01:10:50.274717
45307	7	2013-08-02 16:06:40.260361	2013-08-02 16:06:40.260361
45309	9	2013-08-02 16:06:40.266208	2013-08-02 16:06:40.266208
45270	21	2013-08-02 16:06:40.154766	2013-08-04 20:52:20.536236
45311	11	2013-08-02 16:06:40.271587	2013-08-02 16:06:40.271587
45368	4	2013-08-02 16:06:40.436666	2013-08-04 20:52:20.564708
45314	14	2013-08-02 16:06:40.279723	2013-08-02 16:06:40.279723
45316	16	2013-08-02 16:06:40.285192	2013-08-02 16:06:40.285192
45348	4	2013-08-02 16:06:40.378125	2013-08-04 20:52:20.580889
45300	7	2013-08-02 16:06:40.239416	2013-08-03 22:14:26.291812
45319	19	2013-08-02 16:06:40.293631	2013-08-02 16:06:40.293631
45261	21	2013-08-02 16:06:40.131363	2013-08-04 01:10:50.277597
45328	4	2013-08-02 16:06:40.320063	2013-08-04 20:52:20.599593
45322	2	2013-08-02 16:06:40.301774	2013-08-02 16:06:40.301774
45260	21	2013-08-02 16:06:40.128411	2013-08-04 01:10:50.279434
45324	4	2013-08-02 16:06:40.308736	2013-08-02 16:06:40.308736
45308	4	2013-08-02 16:06:40.263509	2013-08-04 20:52:20.607205
45327	7	2013-08-02 16:06:40.317308	2013-08-02 16:06:40.317308
45329	9	2013-08-02 16:06:40.322848	2013-08-02 16:06:40.322848
45288	4	2013-08-02 16:06:40.206586	2013-08-04 20:52:20.612304
45331	11	2013-08-02 16:06:40.328244	2013-08-02 16:06:40.328244
45238	4	2013-08-02 16:06:40.098181	2013-08-04 20:52:20.618658
45334	14	2013-08-02 16:06:40.337058	2013-08-02 16:06:40.337058
45225	2	2013-08-02 16:06:40.081765	2013-08-03 23:26:32.99221
45336	16	2013-08-02 16:06:40.342785	2013-08-02 16:06:40.342785
45268	7	2013-08-02 16:06:40.149799	2013-08-04 20:52:20.630667
45248	7	2013-08-02 16:06:40.109512	2013-08-04 20:52:20.636285
45339	19	2013-08-02 16:06:40.352939	2013-08-02 16:06:40.352939
45312	7	2013-08-02 16:06:40.274313	2013-08-04 20:52:20.641819
45228	7	2013-08-02 16:06:40.085564	2013-08-04 20:52:20.652718
45342	2	2013-08-02 16:06:40.362059	2013-08-02 16:06:40.362059
45295	19	2013-08-02 16:06:40.225707	2013-08-03 23:29:38.897671
45344	4	2013-08-02 16:06:40.367486	2013-08-02 16:06:40.367486
45235	7	2013-08-02 16:06:40.094383	2013-08-04 20:52:21.087332
45347	7	2013-08-02 16:06:40.375467	2013-08-02 16:06:40.375467
45349	9	2013-08-02 16:06:40.38085	2013-08-02 16:06:40.38085
45351	11	2013-08-02 16:06:40.386225	2013-08-02 16:06:40.386225
45233	11	2013-08-02 16:06:40.091809	2013-08-04 21:00:13.559268
45354	14	2013-08-02 16:06:40.394299	2013-08-02 16:06:40.394299
45356	16	2013-08-02 16:06:40.399714	2013-08-02 16:06:40.399714
45365	11	2013-08-02 16:06:40.426244	2013-08-03 23:29:38.918575
45359	19	2013-08-02 16:06:40.407878	2013-08-02 16:06:40.407878
45321	19	2013-08-02 16:06:40.299034	2013-08-04 01:11:59.627202
45273	9	2013-08-02 16:06:40.162914	2013-08-04 21:00:13.566612
45362	2	2013-08-02 16:06:40.416918	2013-08-02 16:06:40.416918
45364	4	2013-08-02 16:06:40.423039	2013-08-02 16:06:40.423039
45341	16	2013-08-02 16:06:40.359357	2013-08-04 01:11:59.634495
45367	7	2013-08-02 16:06:40.433566	2013-08-02 16:06:40.433566
45369	9	2013-08-02 16:06:40.439365	2013-08-02 16:06:40.439365
45293	7	2013-08-02 16:06:40.220233	2013-08-04 21:00:13.573055
45371	11	2013-08-02 16:06:40.444807	2013-08-02 16:06:40.444807
45275	4	2013-08-02 16:06:40.168208	2013-08-03 20:08:09.001952
45333	4	2013-08-02 16:06:40.33436	2013-08-04 21:00:13.584057
45315	2	2013-08-02 16:06:40.282444	2013-08-03 20:08:09.005785
45335	14	2013-08-02 16:06:40.340083	2013-08-04 01:11:59.704005
45301	21	2013-08-02 16:06:40.242103	2013-08-04 01:12:19.216144
45280	7	2013-08-02 16:06:40.18476	2013-08-03 23:29:38.953581
45305	2	2013-08-02 16:06:40.253028	2013-08-03 23:29:38.976345
45285	4	2013-08-02 16:06:40.198126	2013-08-03 23:29:38.999022
45345	21	2013-08-02 16:06:40.370164	2013-08-03 23:41:32.275286
45255	2	2013-08-02 16:06:40.118536	2013-08-04 21:00:13.591378
45230	11	2013-08-02 16:06:40.087963	2013-08-04 01:23:20.556492
45250	9	2013-08-02 16:06:40.112104	2013-08-04 01:23:20.558234
45290	7	2013-08-02 16:06:40.212061	2013-08-04 01:23:20.561012
45330	4	2013-08-02 16:06:40.325565	2013-08-04 01:23:20.564757
45310	21	2013-08-02 16:06:40.268922	2013-08-04 01:25:46.853667
45272	2	2013-08-02 16:06:40.160237	2013-08-04 01:25:47.785613
45361	2	2013-08-02 16:06:40.414007	2013-08-04 01:55:51.929171
45313	21	2013-08-02 16:06:40.277048	2013-08-04 21:00:13.912702
45353	21	2013-08-02 16:06:40.391576	2013-08-04 21:00:25.981074
45320	4	2013-08-02 16:06:40.296306	2013-08-04 21:00:27.301706
45374	14	2013-08-02 16:06:40.452963	2013-08-02 16:06:40.452963
45458	21	2013-08-02 16:06:40.623865	2013-08-03 21:49:34.261096
45376	16	2013-08-02 16:06:40.458529	2013-08-02 16:06:40.458529
45520	21	2013-08-02 16:06:40.699135	2013-08-03 22:14:26.227047
45379	19	2013-08-02 16:06:40.466819	2013-08-02 16:06:40.466819
45392	4	2013-08-02 16:06:40.50219	2013-08-04 00:18:14.985559
25319	4	2013-08-02 16:05:54.634617	2013-08-04 17:41:54.11021
45382	2	2013-08-02 16:06:40.474851	2013-08-02 16:06:40.474851
45438	21	2013-08-02 16:06:40.600461	2013-08-03 21:49:34.265456
45384	4	2013-08-02 16:06:40.480347	2013-08-02 16:06:40.480347
25298	4	2013-08-02 16:05:54.596306	2013-08-04 17:41:54.121984
45387	7	2013-08-02 16:06:40.488777	2013-08-02 16:06:40.488777
45389	9	2013-08-02 16:06:40.494219	2013-08-02 16:06:40.494219
25381	4	2013-08-02 16:05:54.72853	2013-08-04 17:41:54.133154
45391	11	2013-08-02 16:06:40.499605	2013-08-02 16:06:40.499605
25299	4	2013-08-02 16:05:54.597939	2013-08-04 17:41:54.144333
45394	14	2013-08-02 16:06:40.508217	2013-08-02 16:06:40.508217
45418	21	2013-08-02 16:06:40.572452	2013-08-03 21:49:34.268868
45396	16	2013-08-02 16:06:40.51345	2013-08-02 16:06:40.51345
45406	7	2013-08-02 16:06:40.540824	2013-08-04 20:49:28.91892
45500	21	2013-08-02 16:06:40.669134	2013-08-03 22:14:26.228377
45399	19	2013-08-02 16:06:40.521432	2013-08-02 16:06:40.521432
45432	2	2013-08-02 16:06:40.592454	2013-08-04 00:18:14.988043
20581	4	2013-08-02 16:05:44.482565	2013-08-04 17:41:54.155464
45402	2	2013-08-02 16:06:40.529973	2013-08-02 16:06:40.529973
45398	21	2013-08-02 16:06:40.518608	2013-08-03 21:49:34.272351
45404	4	2013-08-02 16:06:40.535387	2013-08-02 16:06:40.535387
25279	4	2013-08-02 16:05:54.567855	2013-08-04 17:41:54.160295
45407	7	2013-08-02 16:06:40.543528	2013-08-02 16:06:40.543528
45409	9	2013-08-02 16:06:40.548588	2013-08-02 16:06:40.548588
25255	4	2013-08-02 16:05:54.540581	2013-08-04 17:41:54.168499
45411	11	2013-08-02 16:06:40.553499	2013-08-02 16:06:40.553499
30646	21	2013-08-02 16:06:06.899982	2013-08-04 17:43:55.4739
45414	14	2013-08-02 16:06:40.561469	2013-08-02 16:06:40.561469
45378	21	2013-08-02 16:06:40.464024	2013-08-03 21:49:34.275517
45416	16	2013-08-02 16:06:40.567019	2013-08-02 16:06:40.567019
45480	21	2013-08-02 16:06:40.644857	2013-08-03 22:14:26.229866
45419	19	2013-08-02 16:06:40.573562	2013-08-02 16:06:40.573562
45412	21	2013-08-02 16:06:40.556041	2013-08-04 00:18:49.935229
31126	2	2013-08-02 16:06:08.096854	2013-08-04 17:46:49.419055
45422	2	2013-08-02 16:06:40.577921	2013-08-02 16:06:40.577921
45478	19	2013-08-02 16:06:40.642984	2013-08-03 21:50:49.937582
45424	4	2013-08-02 16:06:40.581109	2013-08-02 16:06:40.581109
45427	7	2013-08-02 16:06:40.586001	2013-08-02 16:06:40.586001
45429	9	2013-08-02 16:06:40.589435	2013-08-02 16:06:40.589435
31097	2	2013-08-02 16:06:08.022358	2013-08-04 17:46:49.431326
45431	11	2013-08-02 16:06:40.59163	2013-08-02 16:06:40.59163
45446	4	2013-08-02 16:06:40.610541	2013-08-04 20:49:28.926304
45434	14	2013-08-02 16:06:40.595578	2013-08-02 16:06:40.595578
45436	16	2013-08-02 16:06:40.597351	2013-08-02 16:06:40.597351
45486	2	2013-08-02 16:06:40.651273	2013-08-04 20:49:28.933657
45460	21	2013-08-02 16:06:40.626108	2013-08-03 22:14:26.231449
45439	19	2013-08-02 16:06:40.601577	2013-08-02 16:06:40.601577
45492	11	2013-08-02 16:06:40.65978	2013-08-04 00:22:12.034093
45442	2	2013-08-02 16:06:40.604289	2013-08-02 16:06:40.604289
45518	16	2013-08-02 16:06:40.697115	2013-08-03 21:50:49.944836
45444	4	2013-08-02 16:06:40.606698	2013-08-02 16:06:40.606698
45426	21	2013-08-02 16:06:40.583883	2013-08-04 20:49:47.488997
45447	7	2013-08-02 16:06:40.611874	2013-08-02 16:06:40.611874
45449	9	2013-08-02 16:06:40.614914	2013-08-02 16:06:40.614914
45410	21	2013-08-02 16:06:40.551075	2013-08-04 18:02:38.581907
45451	11	2013-08-02 16:06:40.617266	2013-08-02 16:06:40.617266
45395	21	2013-08-02 16:06:40.510917	2013-08-04 18:02:38.584679
45454	14	2013-08-02 16:06:40.61987	2013-08-02 16:06:40.61987
45440	21	2013-08-02 16:06:40.602583	2013-08-03 22:14:26.232849
45456	16	2013-08-02 16:06:40.621837	2013-08-02 16:06:40.621837
45420	21	2013-08-02 16:06:40.57445	2013-08-03 22:14:26.233917
45459	19	2013-08-02 16:06:40.625041	2013-08-02 16:06:40.625041
45475	9	2013-08-02 16:06:40.639978	2013-08-04 00:22:12.037441
45517	21	2013-08-02 16:06:40.696209	2013-08-04 18:02:38.587505
45462	2	2013-08-02 16:06:40.62764	2013-08-02 16:06:40.62764
45400	19	2013-08-02 16:06:40.524473	2013-08-03 22:14:26.243811
45464	4	2013-08-02 16:06:40.629609	2013-08-02 16:06:40.629609
45467	7	2013-08-02 16:06:40.632205	2013-08-02 16:06:40.632205
45469	9	2013-08-02 16:06:40.634392	2013-08-02 16:06:40.634392
45466	7	2013-08-02 16:06:40.631251	2013-08-04 20:52:19.731594
45471	11	2013-08-02 16:06:40.636437	2013-08-02 16:06:40.636437
45506	7	2013-08-02 16:06:40.676372	2013-08-04 20:52:19.745694
45474	14	2013-08-02 16:06:40.638998	2013-08-02 16:06:40.638998
45380	16	2013-08-02 16:06:40.46949	2013-08-03 22:14:26.251888
45476	16	2013-08-02 16:06:40.641004	2013-08-02 16:06:40.641004
45525	21	2013-08-02 16:06:40.703616	2013-08-03 23:29:38.840136
45479	19	2013-08-02 16:06:40.643904	2013-08-02 16:06:40.643904
45526	14	2013-08-02 16:06:40.704462	2013-08-04 20:54:40.686297
45482	2	2013-08-02 16:06:40.646766	2013-08-02 16:06:40.646766
45505	21	2013-08-02 16:06:40.674763	2013-08-03 23:29:38.841747
45484	4	2013-08-02 16:06:40.648646	2013-08-02 16:06:40.648646
45452	11	2013-08-02 16:06:40.618141	2013-08-04 01:11:59.708618
45487	7	2013-08-02 16:06:40.652492	2013-08-02 16:06:40.652492
45489	9	2013-08-02 16:06:40.655566	2013-08-02 16:06:40.655566
45491	11	2013-08-02 16:06:40.658147	2013-08-02 16:06:40.658147
45494	14	2013-08-02 16:06:40.662089	2013-08-02 16:06:40.662089
45485	21	2013-08-02 16:06:40.650098	2013-08-03 23:29:38.842942
45496	16	2013-08-02 16:06:40.664171	2013-08-02 16:06:40.664171
45465	21	2013-08-02 16:06:40.630332	2013-08-03 23:29:38.844136
45499	19	2013-08-02 16:06:40.667707	2013-08-02 16:06:40.667707
45448	2	2013-08-02 16:06:40.613615	2013-08-04 20:57:17.265302
45502	2	2013-08-02 16:06:40.670846	2013-08-02 16:06:40.670846
45445	16	2013-08-02 16:06:40.608742	2013-08-03 23:29:38.851881
45504	4	2013-08-02 16:06:40.672917	2013-08-02 16:06:40.672917
45441	9	2013-08-02 16:06:40.603468	2013-08-04 01:11:59.71128
45507	7	2013-08-02 16:06:40.677919	2013-08-02 16:06:40.677919
45509	9	2013-08-02 16:06:40.680894	2013-08-02 16:06:40.680894
45428	2	2013-08-02 16:06:40.588435	2013-08-04 20:57:17.277444
45511	11	2013-08-02 16:06:40.686211	2013-08-02 16:06:40.686211
45408	2	2013-08-02 16:06:40.546071	2013-08-04 20:57:17.292585
45514	14	2013-08-02 16:06:40.693098	2013-08-02 16:06:40.693098
45516	16	2013-08-02 16:06:40.695346	2013-08-02 16:06:40.695346
45405	9	2013-08-02 16:06:40.538069	2013-08-03 23:29:38.871723
45519	19	2013-08-02 16:06:40.698312	2013-08-02 16:06:40.698312
45481	7	2013-08-02 16:06:40.645839	2013-08-04 01:11:59.714453
45461	7	2013-08-02 16:06:40.626874	2013-08-04 21:00:14.583021
45522	2	2013-08-02 16:06:40.701047	2013-08-02 16:06:40.701047
45385	14	2013-08-02 16:06:40.483299	2013-08-03 23:29:38.885782
45524	4	2013-08-02 16:06:40.702798	2013-08-02 16:06:40.702798
45527	7	2013-08-02 16:06:40.705629	2013-08-02 16:06:40.705629
45529	9	2013-08-02 16:06:40.707525	2013-08-02 16:06:40.707525
45375	19	2013-08-02 16:06:40.455745	2013-08-03 20:08:28.251831
45415	16	2013-08-02 16:06:40.564276	2013-08-03 20:08:28.257333
45435	14	2013-08-02 16:06:40.596394	2013-08-03 20:08:28.259882
45455	13	2013-08-02 16:06:40.620973	2013-08-03 20:08:28.261382
45468	4	2013-08-02 16:06:40.633203	2013-08-04 21:00:14.589791
45425	21	2013-08-02 16:06:40.582975	2013-08-03 23:31:52.968873
45401	2	2013-08-02 16:06:40.527224	2013-08-04 01:15:49.90614
45390	19	2013-08-02 16:06:40.496912	2013-08-04 01:28:48.648139
45430	16	2013-08-02 16:06:40.590534	2013-08-04 01:28:48.654811
45413	7	2013-08-02 16:06:40.558703	2013-08-04 21:00:26.417776
45450	14	2013-08-02 16:06:40.616198	2013-08-04 01:28:48.66227
45470	13	2013-08-02 16:06:40.635366	2013-08-04 01:28:48.665948
45421	11	2013-08-02 16:06:40.576136	2013-08-04 01:28:48.672999
45490	2	2013-08-02 16:06:40.657011	2013-08-04 01:30:51.760852
45512	2	2013-08-02 16:06:40.688922	2013-08-04 01:55:51.924804
45453	4	2013-08-02 16:06:40.619004	2013-08-04 21:00:26.428474
45473	2	2013-08-02 16:06:40.638095	2013-08-04 21:00:26.435739
45393	11	2013-08-02 16:06:40.504661	2013-08-04 21:00:26.854393
45381	1	2013-08-02 16:06:40.472135	2013-08-04 21:01:19.090179
45528	21	2013-08-02 16:06:40.706529	2013-08-04 21:01:19.862842
45513	21	2013-08-02 16:06:40.691423	2013-08-08 01:03:17.196345
45493	21	2013-08-02 16:06:40.661203	2013-08-08 01:03:17.503064
45523	21	2013-08-02 16:06:40.701945	2013-08-08 01:03:17.50704
45531	11	2013-08-02 16:06:40.709325	2013-08-02 16:06:40.709325
31106	2	2013-08-02 16:06:08.043871	2013-08-04 17:46:49.44272
45533	13	2013-08-02 16:06:40.711075	2013-08-02 16:06:40.711075
45534	14	2013-08-02 16:06:40.711876	2013-08-02 16:06:40.711876
45560	21	2013-08-02 16:06:40.74174	2013-08-03 22:14:26.223593
45536	16	2013-08-02 16:06:40.71392	2013-08-02 16:06:40.71392
45546	13	2013-08-02 16:06:40.725422	2013-08-04 20:54:40.689019
45540	21	2013-08-02 16:06:40.718303	2013-08-03 22:14:26.2258
45539	19	2013-08-02 16:06:40.717437	2013-08-02 16:06:40.717437
27230	2	2013-08-02 16:05:59.201891	2013-08-04 17:46:49.45462
45542	2	2013-08-02 16:06:40.720027	2013-08-02 16:06:40.720027
45558	14	2013-08-02 16:06:40.740069	2013-08-03 21:50:49.953351
45544	4	2013-08-02 16:06:40.722534	2013-08-02 16:06:40.722534
45552	7	2013-08-02 16:06:40.733137	2013-08-04 00:22:12.040267
45547	7	2013-08-02 16:06:40.726855	2013-08-02 16:06:40.726855
45549	9	2013-08-02 16:06:40.72928	2013-08-02 16:06:40.72928
30960	2	2013-08-02 16:06:07.688097	2013-08-04 17:46:49.466003
45551	11	2013-08-02 16:06:40.731312	2013-08-02 16:06:40.731312
31086	2	2013-08-02 16:06:07.996252	2013-08-04 17:46:49.477764
45553	13	2013-08-02 16:06:40.734045	2013-08-02 16:06:40.734045
45554	14	2013-08-02 16:06:40.735248	2013-08-02 16:06:40.735248
45578	13	2013-08-02 16:06:40.765941	2013-08-03 21:50:49.956667
45556	16	2013-08-02 16:06:40.737864	2013-08-02 16:06:40.737864
45580	16	2013-08-02 16:06:40.768431	2013-08-03 22:14:56.951423
45559	19	2013-08-02 16:06:40.740913	2013-08-02 16:06:40.740913
31066	2	2013-08-02 16:06:07.948802	2013-08-04 17:46:49.488981
45562	2	2013-08-02 16:06:40.743314	2013-08-02 16:06:40.743314
31046	2	2013-08-02 16:06:07.900486	2013-08-04 17:46:49.499918
45564	4	2013-08-02 16:06:40.745152	2013-08-02 16:06:40.745152
31015	2	2013-08-02 16:06:07.823335	2013-08-04 17:46:49.510705
45567	7	2013-08-02 16:06:40.747916	2013-08-02 16:06:40.747916
45569	9	2013-08-02 16:06:40.749793	2013-08-02 16:06:40.749793
45566	11	2013-08-02 16:06:40.746986	2013-08-04 20:54:40.696621
45571	11	2013-08-02 16:06:40.753147	2013-08-02 16:06:40.753147
45573	13	2013-08-02 16:06:40.756383	2013-08-02 16:06:40.756383
45574	14	2013-08-02 16:06:40.758743	2013-08-02 16:06:40.758743
45618	11	2013-08-02 16:06:40.807862	2013-08-03 21:50:49.960048
45576	16	2013-08-02 16:06:40.763155	2013-08-02 16:06:40.763155
45606	9	2013-08-02 16:06:40.796456	2013-08-04 20:54:40.70317
45592	4	2013-08-02 16:06:40.781301	2013-08-04 00:22:12.044622
45579	19	2013-08-02 16:06:40.76755	2013-08-02 16:06:40.76755
45646	7	2013-08-02 16:06:40.842669	2013-08-04 20:54:40.709987
45582	2	2013-08-02 16:06:40.770214	2013-08-02 16:06:40.770214
45584	4	2013-08-02 16:06:40.773313	2013-08-02 16:06:40.773313
45660	2	2013-08-02 16:06:40.857665	2013-08-04 00:22:12.047519
45587	7	2013-08-02 16:06:40.776096	2013-08-02 16:06:40.776096
45589	9	2013-08-02 16:06:40.777786	2013-08-02 16:06:40.777786
45686	4	2013-08-02 16:06:40.886639	2013-08-04 20:54:40.717357
45591	11	2013-08-02 16:06:40.780378	2013-08-02 16:06:40.780378
45593	13	2013-08-02 16:06:40.782186	2013-08-02 16:06:40.782186
45594	14	2013-08-02 16:06:40.78307	2013-08-02 16:06:40.78307
45658	9	2013-08-02 16:06:40.854995	2013-08-03 21:50:49.963621
45596	16	2013-08-02 16:06:40.784827	2013-08-02 16:06:40.784827
45595	21	2013-08-02 16:06:40.783949	2013-08-04 20:57:16.646443
45620	14	2013-08-02 16:06:40.809576	2013-08-03 22:14:56.954227
45599	19	2013-08-02 16:06:40.78893	2013-08-02 16:06:40.78893
45666	21	2013-08-02 16:06:40.862648	2013-08-04 20:57:16.699839
45588	21	2013-08-02 16:06:40.777021	2013-08-04 20:57:17.102728
45602	2	2013-08-02 16:06:40.791956	2013-08-02 16:06:40.791956
45604	4	2013-08-02 16:06:40.794322	2013-08-02 16:06:40.794322
45612	21	2013-08-02 16:06:40.802576	2013-08-04 00:22:31.217005
45607	7	2013-08-02 16:06:40.797463	2013-08-02 16:06:40.797463
45609	9	2013-08-02 16:06:40.799849	2013-08-02 16:06:40.799849
45611	11	2013-08-02 16:06:40.801666	2013-08-02 16:06:40.801666
45613	13	2013-08-02 16:06:40.8034	2013-08-02 16:06:40.8034
45614	14	2013-08-02 16:06:40.804302	2013-08-02 16:06:40.804302
45538	21	2013-08-02 16:06:40.716382	2013-08-03 21:50:49.988606
45616	16	2013-08-02 16:06:40.806129	2013-08-02 16:06:40.806129
45640	13	2013-08-02 16:06:40.836063	2013-08-03 22:14:56.955446
45619	19	2013-08-02 16:06:40.808749	2013-08-02 16:06:40.808749
45572	19	2013-08-02 16:06:40.754978	2013-08-04 00:22:31.247179
45622	2	2013-08-02 16:06:40.811696	2013-08-02 16:06:40.811696
45598	21	2013-08-02 16:06:40.786997	2013-08-04 20:57:17.410995
45624	4	2013-08-02 16:06:40.813353	2013-08-02 16:06:40.813353
45650	2	2013-08-02 16:06:40.846705	2013-08-04 20:57:19.252124
45627	7	2013-08-02 16:06:40.817857	2013-08-02 16:06:40.817857
45629	9	2013-08-02 16:06:40.819944	2013-08-02 16:06:40.819944
45555	2	2013-08-02 16:06:40.736987	2013-08-04 20:57:19.261792
45631	11	2013-08-02 16:06:40.821641	2013-08-02 16:06:40.821641
45645	2	2013-08-02 16:06:40.841465	2013-08-04 20:57:19.275486
45633	13	2013-08-02 16:06:40.824133	2013-08-02 16:06:40.824133
45634	14	2013-08-02 16:06:40.825435	2013-08-02 16:06:40.825435
45680	11	2013-08-02 16:06:40.880482	2013-08-03 22:14:56.957854
45636	16	2013-08-02 16:06:40.828756	2013-08-02 16:06:40.828756
45668	2	2013-08-02 16:06:40.864464	2013-08-04 20:57:19.285668
45600	21	2013-08-02 16:06:40.79018	2013-08-03 22:15:17.066152
45639	19	2013-08-02 16:06:40.834357	2013-08-02 16:06:40.834357
45565	14	2013-08-02 16:06:40.746073	2013-08-04 00:26:31.846187
45642	2	2013-08-02 16:06:40.83879	2013-08-02 16:06:40.83879
45545	13	2013-08-02 16:06:40.72378	2013-08-03 23:31:52.842953
45644	4	2013-08-02 16:06:40.840462	2013-08-02 16:06:40.840462
45672	13	2013-08-02 16:06:40.87118	2013-08-04 00:26:31.849289
45647	7	2013-08-02 16:06:40.843539	2013-08-02 16:06:40.843539
45649	9	2013-08-02 16:06:40.845463	2013-08-02 16:06:40.845463
45568	2	2013-08-02 16:06:40.748813	2013-08-04 21:00:14.594361
45651	11	2013-08-02 16:06:40.848261	2013-08-02 16:06:40.848261
45626	21	2013-08-02 16:06:40.816925	2013-08-04 21:00:25.983725
45653	13	2013-08-02 16:06:40.850199	2013-08-02 16:06:40.850199
45654	14	2013-08-02 16:06:40.851006	2013-08-02 16:06:40.851006
45548	21	2013-08-02 16:06:40.728141	2013-08-04 21:00:26.227525
45656	16	2013-08-02 16:06:40.853296	2013-08-02 16:06:40.853296
45532	21	2013-08-02 16:06:40.710243	2013-08-04 21:00:26.230339
45585	11	2013-08-02 16:06:40.774274	2013-08-03 23:31:52.848423
45659	19	2013-08-02 16:06:40.856414	2013-08-02 16:06:40.856414
45541	4	2013-08-02 16:06:40.719155	2013-08-04 01:11:59.723088
45662	2	2013-08-02 16:06:40.859491	2013-08-02 16:06:40.859491
45664	4	2013-08-02 16:06:40.86094	2013-08-02 16:06:40.86094
45667	7	2013-08-02 16:06:40.863675	2013-08-02 16:06:40.863675
45669	9	2013-08-02 16:06:40.865308	2013-08-02 16:06:40.865308
45671	11	2013-08-02 16:06:40.868612	2013-08-02 16:06:40.868612
45673	13	2013-08-02 16:06:40.873074	2013-08-02 16:06:40.873074
45674	14	2013-08-02 16:06:40.87468	2013-08-02 16:06:40.87468
45625	9	2013-08-02 16:06:40.815913	2013-08-03 23:31:52.850714
45676	16	2013-08-02 16:06:40.87647	2013-08-02 16:06:40.87647
45679	19	2013-08-02 16:06:40.879622	2013-08-02 16:06:40.879622
45581	2	2013-08-02 16:06:40.769332	2013-08-04 01:11:59.728577
45682	2	2013-08-02 16:06:40.882647	2013-08-02 16:06:40.882647
45665	7	2013-08-02 16:06:40.861796	2013-08-03 23:31:52.853055
45684	4	2013-08-02 16:06:40.884401	2013-08-02 16:06:40.884401
45687	7	2013-08-02 16:06:40.887725	2013-08-02 16:06:40.887725
45535	9	2013-08-02 16:06:40.712789	2013-08-03 20:08:28.269847
45575	7	2013-08-02 16:06:40.760797	2013-08-03 20:08:28.272297
45601	19	2013-08-02 16:06:40.79107	2013-08-04 01:12:19.053573
45635	4	2013-08-02 16:06:40.827127	2013-08-03 20:08:28.277291
45615	4	2013-08-02 16:06:40.805235	2013-08-03 23:31:52.855311
45641	16	2013-08-02 16:06:40.837327	2013-08-04 01:12:19.056014
45681	14	2013-08-02 16:06:40.881357	2013-08-04 01:12:19.058485
45632	21	2013-08-02 16:06:40.822475	2013-08-04 01:12:19.218875
45561	21	2013-08-02 16:06:40.742549	2013-08-04 01:15:48.887427
45550	7	2013-08-02 16:06:40.730202	2013-08-04 01:28:48.68389
45590	4	2013-08-02 16:06:40.778624	2013-08-04 01:28:48.695007
45630	2	2013-08-02 16:06:40.82083	2013-08-04 01:28:48.702337
45610	7	2013-08-02 16:06:40.800772	2013-08-04 01:30:50.809579
45638	21	2013-08-02 16:06:40.832662	2013-08-04 01:30:50.846818
45670	16	2013-08-02 16:06:40.866745	2013-08-04 01:31:50.815895
45661	2	2013-08-02 16:06:40.858768	2013-08-04 01:55:51.914266
45652	2	2013-08-02 16:06:40.849376	2013-08-04 01:55:51.918369
45689	9	2013-08-02 16:06:40.89003	2013-08-02 16:06:40.89003
31026	2	2013-08-02 16:06:07.850997	2013-08-04 17:46:49.51494
45691	11	2013-08-02 16:06:40.892294	2013-08-02 16:06:40.892294
31006	2	2013-08-02 16:06:07.802894	2013-08-04 17:46:49.519071
45693	13	2013-08-02 16:06:40.895189	2013-08-02 16:06:40.895189
45694	14	2013-08-02 16:06:40.896286	2013-08-02 16:06:40.896286
45835	21	2013-08-02 16:06:41.303429	2013-08-03 20:12:25.219655
45696	16	2013-08-02 16:06:40.898504	2013-08-02 16:06:40.898504
45828	21	2013-08-02 16:06:41.296092	2013-08-04 20:57:19.092812
30986	2	2013-08-02 16:06:07.75517	2013-08-04 17:46:49.524434
45699	19	2013-08-02 16:06:40.901774	2013-08-02 16:06:40.901774
45692	11	2013-08-02 16:06:40.893388	2013-08-04 00:26:31.851514
30966	2	2013-08-02 16:06:07.703946	2013-08-04 17:46:49.528857
45702	2	2013-08-02 16:06:40.905911	2013-08-02 16:06:40.905911
45815	21	2013-08-02 16:06:41.281645	2013-08-03 20:12:25.222764
45704	4	2013-08-02 16:06:40.908091	2013-08-02 16:06:40.908091
30946	2	2013-08-02 16:06:07.650649	2013-08-04 17:46:49.533487
45707	7	2013-08-02 16:06:40.911391	2013-08-02 16:06:40.911391
45709	9	2013-08-02 16:06:40.913682	2013-08-02 16:06:40.913682
30935	2	2013-08-02 16:06:07.621805	2013-08-04 17:46:49.539521
45711	11	2013-08-02 16:06:40.915838	2013-08-02 16:06:40.915838
4121	2	2013-08-02 16:05:12.032828	2013-08-04 17:46:49.633005
45713	13	2013-08-02 16:06:40.918073	2013-08-02 16:06:40.918073
45714	14	2013-08-02 16:06:40.919172	2013-08-02 16:06:40.919172
45720	9	2013-08-02 16:06:40.925474	2013-08-03 22:14:56.960443
45716	16	2013-08-02 16:06:40.921875	2013-08-02 16:06:40.921875
45745	21	2013-08-02 16:06:40.949111	2013-08-04 20:57:19.0979
45719	19	2013-08-02 16:06:40.924596	2013-08-02 16:06:40.924596
45732	9	2013-08-02 16:06:40.939134	2013-08-04 00:26:31.858501
4141	2	2013-08-02 16:05:12.076421	2013-08-04 17:46:49.643801
45722	2	2013-08-02 16:06:40.92923	2013-08-02 16:06:40.92923
45795	21	2013-08-02 16:06:41.262449	2013-08-03 20:12:25.224736
45724	4	2013-08-02 16:06:40.932111	2013-08-02 16:06:40.932111
45727	7	2013-08-02 16:06:40.935112	2013-08-02 16:06:40.935112
45729	9	2013-08-02 16:06:40.936804	2013-08-02 16:06:40.936804
4190	2	2013-08-02 16:05:12.184629	2013-08-04 17:46:49.654701
45731	11	2013-08-02 16:06:40.938376	2013-08-02 16:06:40.938376
4227	2	2013-08-02 16:05:12.228328	2013-08-04 17:46:49.667787
45733	13	2013-08-02 16:06:40.939887	2013-08-02 16:06:40.939887
45734	14	2013-08-02 16:06:40.940656	2013-08-02 16:06:40.940656
45760	7	2013-08-02 16:06:40.96375	2013-08-03 22:14:56.96296
45736	16	2013-08-02 16:06:40.9421	2013-08-02 16:06:40.9421
45808	21	2013-08-02 16:06:41.275904	2013-08-04 20:57:19.102447
45739	19	2013-08-02 16:06:40.944237	2013-08-02 16:06:40.944237
45772	7	2013-08-02 16:06:40.973023	2013-08-04 00:26:31.862231
4207	2	2013-08-02 16:05:12.204999	2013-08-04 17:46:49.674971
45742	2	2013-08-02 16:06:40.94629	2013-08-02 16:06:40.94629
45775	21	2013-08-02 16:06:40.976795	2013-08-03 20:12:25.225857
45744	4	2013-08-02 16:06:40.947996	2013-08-02 16:06:40.947996
45747	7	2013-08-02 16:06:40.950953	2013-08-02 16:06:40.950953
45749	9	2013-08-02 16:06:40.95283	2013-08-02 16:06:40.95283
45777	16	2013-08-02 16:06:40.978337	2013-08-04 18:03:37.039666
45751	11	2013-08-02 16:06:40.954661	2013-08-02 16:06:40.954661
45788	14	2013-08-02 16:06:41.256056	2013-08-04 20:57:19.130053
45753	13	2013-08-02 16:06:40.957551	2013-08-02 16:06:40.957551
45754	14	2013-08-02 16:06:40.958444	2013-08-02 16:06:40.958444
45817	14	2013-08-02 16:06:41.284193	2013-08-04 18:03:37.047062
45756	16	2013-08-02 16:06:40.960188	2013-08-02 16:06:40.960188
45768	14	2013-08-02 16:06:40.969743	2013-08-04 20:57:19.145764
45820	4	2013-08-02 16:06:41.286707	2013-08-03 22:14:56.967434
45759	19	2013-08-02 16:06:40.962995	2013-08-02 16:06:40.962995
45832	4	2013-08-02 16:06:41.300303	2013-08-04 00:26:31.870612
45805	13	2013-08-02 16:06:41.272405	2013-08-04 18:03:37.050519
45762	2	2013-08-02 16:06:40.965251	2013-08-02 16:06:40.965251
45755	21	2013-08-02 16:06:40.959321	2013-08-03 20:12:25.227265
45764	4	2013-08-02 16:06:40.966646	2013-08-02 16:06:40.966646
45748	14	2013-08-02 16:06:40.951881	2013-08-04 20:57:19.160457
45767	7	2013-08-02 16:06:40.968895	2013-08-02 16:06:40.968895
45769	9	2013-08-02 16:06:40.970554	2013-08-02 16:06:40.970554
45728	14	2013-08-02 16:06:40.935968	2013-08-04 20:57:19.175059
45771	11	2013-08-02 16:06:40.972198	2013-08-02 16:06:40.972198
45837	21	2013-08-02 16:06:41.304898	2013-08-04 18:06:50.125418
45773	13	2013-08-02 16:06:40.974944	2013-08-02 16:06:40.974944
45774	14	2013-08-02 16:06:40.97595	2013-08-02 16:06:40.97595
45701	13	2013-08-02 16:06:40.90413	2013-08-04 01:12:19.059556
45776	16	2013-08-02 16:06:40.977575	2013-08-02 16:06:40.977575
45725	2	2013-08-02 16:06:40.933415	2013-08-03 23:31:52.860238
45779	19	2013-08-02 16:06:40.979863	2013-08-02 16:06:40.979863
45770	21	2013-08-02 16:06:40.971375	2013-08-04 20:59:12.588748
45706	16	2013-08-02 16:06:40.910288	2013-08-04 21:00:00.61691
45782	2	2013-08-02 16:06:41.251405	2013-08-02 16:06:41.251405
45698	7	2013-08-02 16:06:40.9007	2013-08-03 21:50:49.966597
45784	4	2013-08-02 16:06:41.252976	2013-08-02 16:06:41.252976
45741	11	2013-08-02 16:06:40.945614	2013-08-04 01:12:19.062048
45787	7	2013-08-02 16:06:41.255297	2013-08-02 16:06:41.255297
45789	9	2013-08-02 16:06:41.257163	2013-08-02 16:06:41.257163
45791	11	2013-08-02 16:06:41.258762	2013-08-02 16:06:41.258762
45780	14	2013-08-02 16:06:41.249626	2013-08-04 21:00:00.624208
45793	13	2013-08-02 16:06:41.260742	2013-08-02 16:06:41.260742
45794	14	2013-08-02 16:06:41.261612	2013-08-02 16:06:41.261612
45792	13	2013-08-02 16:06:41.259711	2013-08-04 21:00:00.627709
45796	16	2013-08-02 16:06:41.263228	2013-08-02 16:06:41.263228
45705	21	2013-08-02 16:06:40.909188	2013-08-03 23:31:52.969666
45799	19	2013-08-02 16:06:41.265905	2013-08-02 16:06:41.265905
45766	11	2013-08-02 16:06:40.968081	2013-08-04 21:00:00.63539
45802	2	2013-08-02 16:06:41.268934	2013-08-02 16:06:41.268934
45804	4	2013-08-02 16:06:41.271504	2013-08-02 16:06:41.271504
45781	9	2013-08-02 16:06:41.250601	2013-08-04 01:12:19.064571
45807	7	2013-08-02 16:06:41.275021	2013-08-02 16:06:41.275021
45809	9	2013-08-02 16:06:41.276794	2013-08-02 16:06:41.276794
45718	9	2013-08-02 16:06:40.923691	2013-08-04 21:00:00.642838
45811	11	2013-08-02 16:06:41.278452	2013-08-02 16:06:41.278452
45813	13	2013-08-02 16:06:41.279966	2013-08-02 16:06:41.279966
45814	14	2013-08-02 16:06:41.280761	2013-08-02 16:06:41.280761
45825	14	2013-08-02 16:06:41.292628	2013-08-03 23:34:27.706086
45816	16	2013-08-02 16:06:41.283057	2013-08-02 16:06:41.283057
45738	7	2013-08-02 16:06:40.943548	2013-08-04 21:00:00.650192
45819	19	2013-08-02 16:06:41.285909	2013-08-02 16:06:41.285909
45822	2	2013-08-02 16:06:41.289256	2013-08-02 16:06:41.289256
45801	7	2013-08-02 16:06:41.267981	2013-08-04 01:12:19.067416
45824	4	2013-08-02 16:06:41.291579	2013-08-02 16:06:41.291579
45827	7	2013-08-02 16:06:41.295045	2013-08-02 16:06:41.295045
45829	9	2013-08-02 16:06:41.296936	2013-08-02 16:06:41.296936
45726	21	2013-08-02 16:06:40.934256	2013-08-04 21:00:13.914975
45831	11	2013-08-02 16:06:41.29947	2013-08-02 16:06:41.29947
45786	21	2013-08-02 16:06:41.25453	2013-08-04 21:00:14.054009
45833	13	2013-08-02 16:06:41.301918	2013-08-02 16:06:41.301918
45834	14	2013-08-02 16:06:41.302702	2013-08-02 16:06:41.302702
45746	21	2013-08-02 16:06:40.950035	2013-08-04 21:00:14.202823
45836	16	2013-08-02 16:06:41.304131	2013-08-02 16:06:41.304131
45785	16	2013-08-02 16:06:41.253759	2013-08-03 23:34:27.733829
45839	19	2013-08-02 16:06:41.307203	2013-08-02 16:06:41.307203
45721	2	2013-08-02 16:06:40.927469	2013-08-04 01:15:49.900877
45842	2	2013-08-02 16:06:41.309411	2013-08-02 16:06:41.309411
45758	4	2013-08-02 16:06:40.962056	2013-08-03 21:50:49.970696
45844	4	2013-08-02 16:06:41.31117	2013-08-02 16:06:41.31117
45783	16	2013-08-02 16:06:41.252197	2013-08-03 19:54:07.306425
45798	2	2013-08-02 16:06:41.264835	2013-08-03 21:50:49.974043
45778	21	2013-08-02 16:06:40.979078	2013-08-03 21:51:01.16778
45838	11	2013-08-02 16:06:41.306464	2013-08-03 21:54:22.589539
45800	11	2013-08-02 16:06:41.266852	2013-08-03 23:34:27.75169
45765	21	2013-08-02 16:06:40.967343	2013-08-03 23:41:32.277267
45700	14	2013-08-02 16:06:40.903041	2013-08-04 01:31:50.821698
45712	13	2013-08-02 16:06:40.916945	2013-08-04 01:31:50.82518
45730	11	2013-08-02 16:06:40.937615	2013-08-04 01:31:50.831935
45750	9	2013-08-02 16:06:40.953747	2013-08-04 01:31:50.835259
45790	7	2013-08-02 16:06:41.257979	2013-08-04 01:31:50.841462
45810	21	2013-08-02 16:06:41.277644	2013-08-04 01:35:46.683676
45710	2	2013-08-02 16:06:40.914809	2013-08-04 01:35:47.756293
45690	2	2013-08-02 16:06:40.891154	2013-08-04 01:55:51.909549
4187	2	2013-08-02 16:05:12.181186	2013-08-04 17:46:49.681298
45847	7	2013-08-02 16:06:41.313751	2013-08-02 16:06:41.313751
45849	9	2013-08-02 16:06:41.315213	2013-08-02 16:06:41.315213
4167	2	2013-08-02 16:05:12.132889	2013-08-04 17:46:49.686494
45851	11	2013-08-02 16:06:41.316901	2013-08-02 16:06:41.316901
4165	2	2013-08-02 16:05:12.128484	2013-08-04 17:46:49.692373
45853	13	2013-08-02 16:06:41.318311	2013-08-02 16:06:41.318311
45854	14	2013-08-02 16:06:41.319196	2013-08-02 16:06:41.319196
45860	2	2013-08-02 16:06:41.324331	2013-08-03 22:14:56.972203
45856	16	2013-08-02 16:06:41.320983	2013-08-02 16:06:41.320983
24857	2	2013-08-02 16:05:53.596034	2013-08-04 17:46:49.697833
45859	19	2013-08-02 16:06:41.323508	2013-08-02 16:06:41.323508
45872	2	2013-08-02 16:06:41.337392	2013-08-04 00:26:31.877315
4147	2	2013-08-02 16:05:12.089617	2013-08-04 17:46:49.703693
45862	2	2013-08-02 16:06:41.32702	2013-08-02 16:06:41.32702
45855	21	2013-08-02 16:06:41.320089	2013-08-03 20:12:25.215574
45864	4	2013-08-02 16:06:41.329624	2013-08-02 16:06:41.329624
24757	2	2013-08-02 16:05:53.489757	2013-08-04 17:46:49.709917
45867	7	2013-08-02 16:06:41.332834	2013-08-02 16:06:41.332834
45869	9	2013-08-02 16:06:41.334803	2013-08-02 16:06:41.334803
4127	2	2013-08-02 16:05:12.045988	2013-08-04 17:46:49.717167
45871	11	2013-08-02 16:06:41.336517	2013-08-02 16:06:41.336517
24837	2	2013-08-02 16:05:53.573817	2013-08-04 17:46:49.727274
45873	13	2013-08-02 16:06:41.339076	2013-08-02 16:06:41.339076
45874	14	2013-08-02 16:06:41.339963	2013-08-02 16:06:41.339963
45868	19	2013-08-02 16:06:41.33368	2013-08-04 20:59:12.489913
45876	16	2013-08-02 16:06:41.34256	2013-08-02 16:06:41.34256
45920	9	2013-08-02 16:06:41.403208	2013-08-03 22:15:17.255343
45879	19	2013-08-02 16:06:41.34599	2013-08-02 16:06:41.34599
45852	21	2013-08-02 16:06:41.317591	2013-08-04 00:26:40.519116
45940	16	2013-08-02 16:06:41.437238	2013-08-04 20:59:12.496798
45882	2	2013-08-02 16:06:41.348644	2013-08-02 16:06:41.348644
45875	16	2013-08-02 16:06:41.340852	2013-08-03 20:13:53.087408
45884	4	2013-08-02 16:06:41.350456	2013-08-02 16:06:41.350456
45912	14	2013-08-02 16:06:41.388849	2013-08-04 00:33:20.74442
45887	7	2013-08-02 16:06:41.354251	2013-08-02 16:06:41.354251
45889	9	2013-08-02 16:06:41.356461	2013-08-02 16:06:41.356461
45891	11	2013-08-02 16:06:41.359126	2013-08-02 16:06:41.359126
45992	14	2013-08-02 16:06:41.508777	2013-08-04 20:59:12.503571
45893	13	2013-08-02 16:06:41.36166	2013-08-02 16:06:41.36166
45894	14	2013-08-02 16:06:41.363378	2013-08-02 16:06:41.363378
45896	16	2013-08-02 16:06:41.365791	2013-08-02 16:06:41.365791
45928	13	2013-08-02 16:06:41.417164	2013-08-04 20:59:12.506999
45960	7	2013-08-02 16:06:41.463039	2013-08-03 22:15:17.258871
45899	19	2013-08-02 16:06:41.370065	2013-08-02 16:06:41.370065
45932	13	2013-08-02 16:06:41.423506	2013-08-04 00:33:20.748187
45902	2	2013-08-02 16:06:41.374541	2013-08-02 16:06:41.374541
45895	14	2013-08-02 16:06:41.364572	2013-08-03 20:13:53.089048
45904	4	2013-08-02 16:06:41.377577	2013-08-02 16:06:41.377577
45935	11	2013-08-02 16:06:41.429135	2013-08-04 00:33:20.751737
45907	7	2013-08-02 16:06:41.381521	2013-08-02 16:06:41.381521
45909	9	2013-08-02 16:06:41.384794	2013-08-02 16:06:41.384794
45968	11	2013-08-02 16:06:41.472925	2013-08-04 20:59:12.513876
45911	11	2013-08-02 16:06:41.38749	2013-08-02 16:06:41.38749
45913	13	2013-08-02 16:06:41.390786	2013-08-02 16:06:41.390786
45914	14	2013-08-02 16:06:41.392634	2013-08-02 16:06:41.392634
45916	16	2013-08-02 16:06:41.395576	2013-08-02 16:06:41.395576
45848	21	2013-08-02 16:06:41.314485	2013-08-04 20:59:37.088107
45948	21	2013-08-02 16:06:41.450781	2013-08-04 20:59:49.623053
45919	19	2013-08-02 16:06:41.401298	2013-08-02 16:06:41.401298
45972	9	2013-08-02 16:06:41.478107	2013-08-04 00:33:20.759043
45846	2	2013-08-02 16:06:41.313026	2013-08-04 21:00:00.664513
45922	2	2013-08-02 16:06:41.406911	2013-08-02 16:06:41.406911
45915	13	2013-08-02 16:06:41.394151	2013-08-03 20:13:53.090495
45924	4	2013-08-02 16:06:41.410269	2013-08-02 16:06:41.410269
45927	7	2013-08-02 16:06:41.415517	2013-08-02 16:06:41.415517
45929	9	2013-08-02 16:06:41.418807	2013-08-02 16:06:41.418807
45931	11	2013-08-02 16:06:41.422152	2013-08-02 16:06:41.422152
45886	14	2013-08-02 16:06:41.35314	2013-08-04 21:00:13.734155
45933	13	2013-08-02 16:06:41.425203	2013-08-02 16:06:41.425203
45934	14	2013-08-02 16:06:41.427318	2013-08-02 16:06:41.427318
45945	21	2013-08-02 16:06:41.445887	2013-08-03 23:34:27.677023
45936	16	2013-08-02 16:06:41.43051	2013-08-02 16:06:41.43051
45906	13	2013-08-02 16:06:41.380093	2013-08-04 21:00:13.738053
45925	21	2013-08-02 16:06:41.411864	2013-08-03 23:34:27.678633
45939	19	2013-08-02 16:06:41.435719	2013-08-02 16:06:41.435719
45880	2	2013-08-02 16:06:41.34688	2013-08-04 01:12:19.074644
45942	2	2013-08-02 16:06:41.440109	2013-08-02 16:06:41.440109
45926	11	2013-08-02 16:06:41.413409	2013-08-04 21:00:13.745362
45944	4	2013-08-02 16:06:41.444015	2013-08-02 16:06:41.444015
45947	7	2013-08-02 16:06:41.449379	2013-08-02 16:06:41.449379
45949	9	2013-08-02 16:06:41.451622	2013-08-02 16:06:41.451622
45966	9	2013-08-02 16:06:41.470296	2013-08-04 21:00:13.752499
45951	11	2013-08-02 16:06:41.453427	2013-08-02 16:06:41.453427
45953	13	2013-08-02 16:06:41.456014	2013-08-02 16:06:41.456014
45954	14	2013-08-02 16:06:41.456902	2013-08-02 16:06:41.456902
46000	21	2013-08-02 16:06:41.523325	2013-08-03 23:34:27.679819
45956	16	2013-08-02 16:06:41.458682	2013-08-02 16:06:41.458682
45986	7	2013-08-02 16:06:41.499479	2013-08-04 21:00:13.75862
45905	21	2013-08-02 16:06:41.378806	2013-08-03 23:34:27.680847
45959	19	2013-08-02 16:06:41.462149	2013-08-02 16:06:41.462149
45981	7	2013-08-02 16:06:41.490951	2013-08-04 01:15:48.673582
45908	21	2013-08-02 16:06:41.382885	2013-08-04 21:00:13.917231
45962	2	2013-08-02 16:06:41.465635	2013-08-02 16:06:41.465635
45955	11	2013-08-02 16:06:41.45779	2013-08-03 20:13:53.093171
45964	4	2013-08-02 16:06:41.467943	2013-08-02 16:06:41.467943
45961	14	2013-08-02 16:06:41.464511	2013-08-04 01:15:48.696343
45967	7	2013-08-02 16:06:41.471118	2013-08-02 16:06:41.471118
45969	9	2013-08-02 16:06:41.474048	2013-08-02 16:06:41.474048
45988	21	2013-08-02 16:06:41.503054	2013-08-04 21:00:14.056339
45971	11	2013-08-02 16:06:41.476992	2013-08-02 16:06:41.476992
45946	21	2013-08-02 16:06:41.44768	2013-08-04 21:00:14.058641
45973	13	2013-08-02 16:06:41.479864	2013-08-02 16:06:41.479864
45974	14	2013-08-02 16:06:41.480971	2013-08-02 16:06:41.480971
45885	21	2013-08-02 16:06:41.352131	2013-08-03 23:34:27.681922
45976	16	2013-08-02 16:06:41.48392	2013-08-02 16:06:41.48392
45866	21	2013-08-02 16:06:41.332062	2013-08-04 21:00:26.233216
45941	11	2013-08-02 16:06:41.439047	2013-08-04 01:15:48.704647
45979	19	2013-08-02 16:06:41.488078	2013-08-02 16:06:41.488078
45982	2	2013-08-02 16:06:41.492155	2013-08-02 16:06:41.492155
45984	4	2013-08-02 16:06:41.495471	2013-08-02 16:06:41.495471
45987	7	2013-08-02 16:06:41.501111	2013-08-02 16:06:41.501111
45989	9	2013-08-02 16:06:41.50446	2013-08-02 16:06:41.50446
45991	11	2013-08-02 16:06:41.50728	2013-08-02 16:06:41.50728
45993	13	2013-08-02 16:06:41.510032	2013-08-02 16:06:41.510032
45994	14	2013-08-02 16:06:41.512517	2013-08-02 16:06:41.512517
45845	4	2013-08-02 16:06:41.311894	2013-08-03 23:34:27.698537
45996	16	2013-08-02 16:06:41.51615	2013-08-02 16:06:41.51615
45865	21	2013-08-02 16:06:41.331277	2013-08-03 23:37:06.838681
45999	19	2013-08-02 16:06:41.521514	2013-08-02 16:06:41.521514
45881	9	2013-08-02 16:06:41.34773	2013-08-04 01:15:48.758078
45995	9	2013-08-02 16:06:41.514567	2013-08-03 20:13:53.100064
45998	14	2013-08-02 16:06:41.520183	2013-08-03 21:54:22.429304
45978	13	2013-08-02 16:06:41.486535	2013-08-03 21:54:22.443738
45892	19	2013-08-02 16:06:41.360491	2013-08-04 01:15:48.780518
45938	9	2013-08-02 16:06:41.433931	2013-08-03 21:54:22.473846
45918	19	2013-08-02 16:06:41.398448	2013-08-03 21:54:22.550643
45898	21	2013-08-02 16:06:41.368857	2013-08-03 21:56:15.023643
45985	16	2013-08-02 16:06:41.497334	2013-08-03 23:37:25.886362
45958	21	2013-08-02 16:06:41.461251	2013-08-03 23:41:32.278954
45870	2	2013-08-02 16:06:41.335619	2013-08-04 01:31:50.858559
45900	2	2013-08-02 16:06:41.371462	2013-08-04 01:35:46.548424
45850	14	2013-08-02 16:06:41.315936	2013-08-04 01:35:46.603245
45952	19	2013-08-02 16:06:41.45433	2013-08-04 01:38:16.509003
46001	16	2013-08-02 16:06:41.524823	2013-08-04 01:38:16.515488
45970	14	2013-08-02 16:06:41.475859	2013-08-04 01:38:16.522088
45975	13	2013-08-02 16:06:41.482223	2013-08-04 01:38:16.525293
45890	21	2013-08-02 16:06:41.357583	2013-08-04 01:41:00.798508
45990	2	2013-08-02 16:06:41.50587	2013-08-04 01:41:01.584868
45910	2	2013-08-02 16:06:41.386158	2013-08-04 01:50:59.059859
45950	2	2013-08-02 16:06:41.452508	2013-08-04 01:55:51.903434
46002	2	2013-08-02 16:06:41.526903	2013-08-02 16:06:41.526903
46004	4	2013-08-02 16:06:41.530157	2013-08-02 16:06:41.530157
46012	7	2013-08-02 16:06:41.546712	2013-08-04 00:33:20.766568
46007	7	2013-08-02 16:06:41.536639	2013-08-02 16:06:41.536639
46009	9	2013-08-02 16:06:41.540863	2013-08-02 16:06:41.540863
4089	2	2013-08-02 16:05:11.965428	2013-08-04 17:46:49.73736
46011	11	2013-08-02 16:06:41.544868	2013-08-02 16:06:41.544868
27240	2	2013-08-02 16:05:59.226241	2013-08-04 17:46:49.782345
46013	13	2013-08-02 16:06:41.548735	2013-08-02 16:06:41.548735
46014	14	2013-08-02 16:06:41.550832	2013-08-02 16:06:41.550832
46020	4	2013-08-02 16:06:41.562816	2013-08-03 22:15:17.263914
46016	16	2013-08-02 16:06:41.554691	2013-08-02 16:06:41.554691
46015	9	2013-08-02 16:06:41.552676	2013-08-04 20:59:12.520569
46019	19	2013-08-02 16:06:41.560803	2013-08-02 16:06:41.560803
31068	2	2013-08-02 16:06:07.953625	2013-08-04 17:46:49.793907
31048	2	2013-08-02 16:06:07.90523	2013-08-04 17:46:49.805657
46022	2	2013-08-02 16:06:41.567289	2013-08-02 16:06:41.567289
46035	7	2013-08-02 16:06:41.596765	2013-08-03 20:13:53.104917
46024	4	2013-08-02 16:06:41.571983	2013-08-02 16:06:41.571983
46072	4	2013-08-02 16:06:41.662515	2013-08-04 00:33:20.77861
46027	7	2013-08-02 16:06:41.578715	2013-08-02 16:06:41.578715
46029	9	2013-08-02 16:06:41.584104	2013-08-02 16:06:41.584104
31028	2	2013-08-02 16:06:07.856309	2013-08-04 17:46:49.815333
46031	11	2013-08-02 16:06:41.588255	2013-08-02 16:06:41.588255
30997	2	2013-08-02 16:06:07.781292	2013-08-04 17:46:49.822048
46033	13	2013-08-02 16:06:41.592443	2013-08-02 16:06:41.592443
46034	14	2013-08-02 16:06:41.594725	2013-08-02 16:06:41.594725
46060	2	2013-08-02 16:06:41.648408	2013-08-03 22:15:17.266881
46036	16	2013-08-02 16:06:41.598888	2013-08-02 16:06:41.598888
46008	7	2013-08-02 16:06:41.53865	2013-08-04 20:59:12.524253
31052	2	2013-08-02 16:06:07.914613	2013-08-04 17:46:49.831979
46039	19	2013-08-02 16:06:41.605431	2013-08-02 16:06:41.605431
31008	2	2013-08-02 16:06:07.807663	2013-08-04 17:46:49.843937
30988	2	2013-08-02 16:06:07.759952	2013-08-04 17:46:49.854824
46042	2	2013-08-02 16:06:41.611669	2013-08-02 16:06:41.611669
46044	4	2013-08-02 16:06:41.616288	2013-08-02 16:06:41.616288
46112	2	2013-08-02 16:06:41.703739	2013-08-04 00:33:20.786561
46047	7	2013-08-02 16:06:41.623231	2013-08-02 16:06:41.623231
46049	9	2013-08-02 16:06:41.628228	2013-08-02 16:06:41.628228
46051	11	2013-08-02 16:06:41.632587	2013-08-02 16:06:41.632587
46053	13	2013-08-02 16:06:41.636891	2013-08-02 16:06:41.636891
46054	14	2013-08-02 16:06:41.639294	2013-08-02 16:06:41.639294
46140	19	2013-08-02 16:06:41.744571	2013-08-03 22:19:23.10811
46056	16	2013-08-02 16:06:41.642125	2013-08-02 16:06:41.642125
46068	4	2013-08-02 16:06:41.658772	2013-08-04 20:59:12.534489
46120	14	2013-08-02 16:06:41.713691	2013-08-03 22:19:23.125825
46059	19	2013-08-02 16:06:41.646147	2013-08-02 16:06:41.646147
46108	2	2013-08-02 16:06:41.6991	2013-08-04 20:59:12.542018
46062	2	2013-08-02 16:06:41.651783	2013-08-02 16:06:41.651783
46092	21	2013-08-02 16:06:41.680484	2013-08-04 00:33:39.844844
46064	4	2013-08-02 16:06:41.654189	2013-08-02 16:06:41.654189
46067	7	2013-08-02 16:06:41.657935	2013-08-02 16:06:41.657935
46069	9	2013-08-02 16:06:41.659614	2013-08-02 16:06:41.659614
46088	21	2013-08-02 16:06:41.676925	2013-08-04 20:59:12.575386
46071	11	2013-08-02 16:06:41.661582	2013-08-02 16:06:41.661582
46048	21	2013-08-02 16:06:41.625434	2013-08-04 20:59:49.58918
46073	13	2013-08-02 16:06:41.66345	2013-08-02 16:06:41.66345
46074	14	2013-08-02 16:06:41.664377	2013-08-02 16:06:41.664377
46100	13	2013-08-02 16:06:41.688908	2013-08-03 22:19:23.141022
46076	16	2013-08-02 16:06:41.666241	2013-08-02 16:06:41.666241
46105	16	2013-08-02 16:06:41.694609	2013-08-04 21:00:00.809519
46079	19	2013-08-02 16:06:41.668984	2013-08-02 16:06:41.668984
46052	14	2013-08-02 16:06:41.634754	2013-08-04 00:35:57.392269
46082	2	2013-08-02 16:06:41.671561	2013-08-02 16:06:41.671561
46058	21	2013-08-02 16:06:41.64427	2013-08-03 21:54:22.406143
46084	4	2013-08-02 16:06:41.673351	2013-08-02 16:06:41.673351
46132	13	2013-08-02 16:06:41.734591	2013-08-04 00:37:09.936562
46087	7	2013-08-02 16:06:41.675939	2013-08-02 16:06:41.675939
46089	9	2013-08-02 16:06:41.677884	2013-08-02 16:06:41.677884
46148	21	2013-08-02 16:06:41.757385	2013-08-04 21:00:00.869212
46091	11	2013-08-02 16:06:41.679636	2013-08-02 16:06:41.679636
46093	13	2013-08-02 16:06:41.681412	2013-08-02 16:06:41.681412
46094	14	2013-08-02 16:06:41.682778	2013-08-02 16:06:41.682778
46005	14	2013-08-02 16:06:41.532218	2013-08-03 23:37:25.893554
46096	16	2013-08-02 16:06:41.684849	2013-08-02 16:06:41.684849
46032	4	2013-08-02 16:06:41.590331	2013-08-04 21:00:13.764977
46025	13	2013-08-02 16:06:41.574114	2013-08-03 23:37:25.89737
46099	19	2013-08-02 16:06:41.687471	2013-08-02 16:06:41.687471
46152	11	2013-08-02 16:06:41.764195	2013-08-04 00:37:09.939271
46102	2	2013-08-02 16:06:41.690813	2013-08-02 16:06:41.690813
46038	21	2013-08-02 16:06:41.603103	2013-08-03 21:54:22.409166
46104	4	2013-08-02 16:06:41.693185	2013-08-02 16:06:41.693185
46055	2	2013-08-02 16:06:41.64105	2013-08-04 21:00:13.77135
46107	7	2013-08-02 16:06:41.697432	2013-08-02 16:06:41.697432
46109	9	2013-08-02 16:06:41.700272	2013-08-02 16:06:41.700272
46111	11	2013-08-02 16:06:41.702866	2013-08-02 16:06:41.702866
46050	21	2013-08-02 16:06:41.630335	2013-08-04 21:00:13.919772
46113	13	2013-08-02 16:06:41.705522	2013-08-02 16:06:41.705522
46114	14	2013-08-02 16:06:41.707113	2013-08-02 16:06:41.707113
46026	21	2013-08-02 16:06:41.5762	2013-08-04 21:00:25.986473
46116	16	2013-08-02 16:06:41.708864	2013-08-02 16:06:41.708864
46128	21	2013-08-02 16:06:41.728599	2013-08-04 21:00:26.236124
46075	11	2013-08-02 16:06:41.665324	2013-08-03 23:37:25.904639
46119	19	2013-08-02 16:06:41.712757	2013-08-02 16:06:41.712757
46040	21	2013-08-02 16:06:41.607414	2013-08-04 01:15:48.574603
46046	21	2013-08-02 16:06:41.620834	2013-08-04 21:00:26.238968
46122	2	2013-08-02 16:06:41.717023	2013-08-02 16:06:41.717023
46124	4	2013-08-02 16:06:41.721639	2013-08-02 16:06:41.721639
46061	21	2013-08-02 16:06:41.650153	2013-08-04 01:15:48.579278
46127	7	2013-08-02 16:06:41.726939	2013-08-02 16:06:41.726939
46129	9	2013-08-02 16:06:41.730193	2013-08-02 16:06:41.730193
46066	4	2013-08-02 16:06:41.657059	2013-08-04 21:00:27.038559
46131	11	2013-08-02 16:06:41.733005	2013-08-02 16:06:41.733005
46133	13	2013-08-02 16:06:41.735672	2013-08-02 16:06:41.735672
46134	14	2013-08-02 16:06:41.736919	2013-08-02 16:06:41.736919
46106	2	2013-08-02 16:06:41.696018	2013-08-04 21:00:27.045253
46136	16	2013-08-02 16:06:41.740332	2013-08-02 16:06:41.740332
46126	1	2013-08-02 16:06:41.725848	2013-08-04 21:00:27.048931
46085	9	2013-08-02 16:06:41.674245	2013-08-03 23:37:25.911535
46139	19	2013-08-02 16:06:41.742872	2013-08-02 16:06:41.742872
46045	21	2013-08-02 16:06:41.618651	2013-08-04 01:15:48.582904
46006	1	2013-08-02 16:06:41.534587	2013-08-04 21:00:27.310059
46142	2	2013-08-02 16:06:41.748035	2013-08-02 16:06:41.748035
46158	9	2013-08-02 16:06:41.775755	2013-08-03 21:54:22.853698
46144	4	2013-08-02 16:06:41.751125	2013-08-02 16:06:41.751125
46086	21	2013-08-02 16:06:41.675073	2013-08-04 21:01:19.081517
46146	6	2013-08-02 16:06:41.754293	2013-08-02 16:06:41.754293
46147	7	2013-08-02 16:06:41.755922	2013-08-02 16:06:41.755922
46149	9	2013-08-02 16:06:41.75861	2013-08-02 16:06:41.75861
46028	21	2013-08-02 16:06:41.581401	2013-08-04 21:01:19.137537
46151	11	2013-08-02 16:06:41.762004	2013-08-02 16:06:41.762004
46153	13	2013-08-02 16:06:41.765843	2013-08-02 16:06:41.765843
46154	14	2013-08-02 16:06:41.767471	2013-08-02 16:06:41.767471
46156	16	2013-08-02 16:06:41.771295	2013-08-02 16:06:41.771295
46125	7	2013-08-02 16:06:41.724035	2013-08-03 23:37:25.918468
46123	4	2013-08-02 16:06:41.719328	2013-08-03 19:57:23.565394
46103	6	2013-08-02 16:06:41.691927	2013-08-03 19:57:23.579017
46138	6	2013-08-02 16:06:41.742076	2013-08-03 21:54:22.877181
46098	7	2013-08-02 16:06:41.686568	2013-08-03 21:54:22.923223
46078	4	2013-08-02 16:06:41.668097	2013-08-03 21:54:22.946649
46118	21	2013-08-02 16:06:41.711191	2013-08-03 21:59:22.980606
46021	16	2013-08-02 16:06:41.564825	2013-08-04 01:15:48.627819
46041	21	2013-08-02 16:06:41.609508	2013-08-04 01:15:48.988236
46081	19	2013-08-02 16:06:41.670687	2013-08-04 01:18:23.79269
46121	16	2013-08-02 16:06:41.714845	2013-08-04 01:18:23.795743
46010	11	2013-08-02 16:06:41.542651	2013-08-04 01:38:16.531792
46030	9	2013-08-02 16:06:41.586219	2013-08-04 01:38:16.535061
46070	7	2013-08-02 16:06:41.660494	2013-08-04 01:38:16.541909
46090	6	2013-08-02 16:06:41.678762	2013-08-04 01:38:16.545471
46110	4	2013-08-02 16:06:41.701969	2013-08-04 01:38:16.552633
46018	7	2013-08-02 16:06:41.558754	2013-08-04 01:41:00.561632
46143	21	2013-08-02 16:06:41.749419	2013-08-04 01:41:00.606556
46150	19	2013-08-02 16:06:41.759859	2013-08-04 01:43:43.527511
46141	2	2013-08-02 16:06:41.746325	2013-08-04 01:55:51.898984
46159	19	2013-08-02 16:06:41.777688	2013-08-02 16:06:41.777688
46172	9	2013-08-02 16:06:41.809112	2013-08-04 00:37:09.945919
30968	2	2013-08-02 16:06:07.709151	2013-08-04 17:46:49.860762
46162	2	2013-08-02 16:06:41.783408	2013-08-02 16:06:41.783408
46192	14	2013-08-02 16:06:41.857415	2013-08-04 21:00:00.814874
46164	4	2013-08-02 16:06:41.787825	2013-08-02 16:06:41.787825
46166	6	2013-08-02 16:06:41.793139	2013-08-02 16:06:41.793139
46167	7	2013-08-02 16:06:41.79578	2013-08-02 16:06:41.79578
46169	9	2013-08-02 16:06:41.801143	2013-08-02 16:06:41.801143
30948	2	2013-08-02 16:06:07.655818	2013-08-04 17:46:49.864078
46171	11	2013-08-02 16:06:41.806432	2013-08-02 16:06:41.806432
20345	2	2013-08-02 16:05:44.244998	2013-08-04 17:46:50.671256
46173	13	2013-08-02 16:06:41.811763	2013-08-02 16:06:41.811763
46174	14	2013-08-02 16:06:41.814282	2013-08-02 16:06:41.814282
46300	21	2013-08-02 16:06:42.101255	2013-08-03 22:19:23.069181
46176	16	2013-08-02 16:06:41.819123	2013-08-02 16:06:41.819123
46168	13	2013-08-02 16:06:41.798447	2013-08-04 21:00:00.81729
46280	21	2013-08-02 16:06:42.054014	2013-08-03 22:19:23.072359
46179	19	2013-08-02 16:06:41.826356	2013-08-02 16:06:41.826356
46212	7	2013-08-02 16:06:41.909491	2013-08-04 00:37:09.951823
20256	2	2013-08-02 16:05:44.155868	2013-08-04 17:46:50.675814
46182	2	2013-08-02 16:06:41.833567	2013-08-02 16:06:41.833567
46195	16	2013-08-02 16:06:41.864515	2013-08-03 20:14:12.071993
46184	4	2013-08-02 16:06:41.8383	2013-08-02 16:06:41.8383
46232	6	2013-08-02 16:06:41.962169	2013-08-04 00:37:09.954953
46186	6	2013-08-02 16:06:41.843104	2013-08-02 16:06:41.843104
46187	7	2013-08-02 16:06:41.845503	2013-08-02 16:06:41.845503
46189	9	2013-08-02 16:06:41.85028	2013-08-02 16:06:41.85028
43332	2	2013-08-02 16:06:35.316608	2013-08-04 17:46:50.686813
46191	11	2013-08-02 16:06:41.855024	2013-08-02 16:06:41.855024
20217	2	2013-08-02 16:05:44.107671	2013-08-04 17:46:50.700911
46193	13	2013-08-02 16:06:41.859758	2013-08-02 16:06:41.859758
46194	14	2013-08-02 16:06:41.862138	2013-08-02 16:06:41.862138
46260	21	2013-08-02 16:06:42.01966	2013-08-03 22:19:23.074709
46196	16	2013-08-02 16:06:41.867079	2013-08-02 16:06:41.867079
46240	21	2013-08-02 16:06:41.983463	2013-08-03 22:19:23.077752
46199	19	2013-08-02 16:06:41.875019	2013-08-02 16:06:41.875019
20236	2	2013-08-02 16:05:44.133159	2013-08-04 17:46:50.707902
20216	2	2013-08-02 16:05:44.106787	2013-08-04 17:46:50.714489
46202	2	2013-08-02 16:06:41.883277	2013-08-02 16:06:41.883277
46215	14	2013-08-02 16:06:41.917326	2013-08-03 20:14:12.074318
46204	4	2013-08-02 16:06:41.888586	2013-08-02 16:06:41.888586
46252	4	2013-08-02 16:06:42.009921	2013-08-04 00:37:09.961724
46206	6	2013-08-02 16:06:41.893643	2013-08-02 16:06:41.893643
46207	7	2013-08-02 16:06:41.896256	2013-08-02 16:06:41.896256
46209	9	2013-08-02 16:06:41.901523	2013-08-02 16:06:41.901523
4244	2	2013-08-02 16:05:12.254144	2013-08-04 17:46:50.719663
46211	11	2013-08-02 16:06:41.906821	2013-08-02 16:06:41.906821
20196	2	2013-08-02 16:05:44.078195	2013-08-04 17:46:50.724314
46213	13	2013-08-02 16:06:41.912113	2013-08-02 16:06:41.912113
46214	14	2013-08-02 16:06:41.914783	2013-08-02 16:06:41.914783
46220	21	2013-08-02 16:06:41.930451	2013-08-03 22:19:23.080895
46216	16	2013-08-02 16:06:41.919689	2013-08-02 16:06:41.919689
46208	11	2013-08-02 16:06:41.898894	2013-08-04 21:00:00.822621
46200	21	2013-08-02 16:06:41.877969	2013-08-03 22:19:23.083972
46219	19	2013-08-02 16:06:41.927778	2013-08-02 16:06:41.927778
20186	2	2013-08-02 16:05:44.069201	2013-08-04 17:46:50.728697
46222	2	2013-08-02 16:06:41.935704	2013-08-02 16:06:41.935704
46235	13	2013-08-02 16:06:41.970083	2013-08-03 20:14:12.076633
46224	4	2013-08-02 16:06:41.94105	2013-08-02 16:06:41.94105
46292	2	2013-08-02 16:06:42.079682	2013-08-04 00:37:09.968944
46226	6	2013-08-02 16:06:41.946376	2013-08-02 16:06:41.946376
46227	7	2013-08-02 16:06:41.949043	2013-08-02 16:06:41.949043
46229	9	2013-08-02 16:06:41.954369	2013-08-02 16:06:41.954369
46248	9	2013-08-02 16:06:42.004987	2013-08-04 21:00:00.829716
46231	11	2013-08-02 16:06:41.959655	2013-08-02 16:06:41.959655
46268	7	2013-08-02 16:06:42.030575	2013-08-04 21:00:00.83332
46233	13	2013-08-02 16:06:41.964836	2013-08-02 16:06:41.964836
46234	14	2013-08-02 16:06:41.967298	2013-08-02 16:06:41.967298
46180	21	2013-08-02 16:06:41.828768	2013-08-03 22:19:23.086995
46236	16	2013-08-02 16:06:41.972823	2013-08-02 16:06:41.972823
46288	6	2013-08-02 16:06:42.070593	2013-08-04 21:00:00.83679
46165	4	2013-08-02 16:06:41.790476	2013-08-03 23:37:25.921502
46239	19	2013-08-02 16:06:41.980727	2013-08-02 16:06:41.980727
46272	21	2013-08-02 16:06:42.036367	2013-08-04 00:37:45.00741
46242	2	2013-08-02 16:06:41.988815	2013-08-02 16:06:41.988815
46308	4	2013-08-02 16:06:42.122356	2013-08-04 21:00:00.841868
46244	4	2013-08-02 16:06:41.994489	2013-08-02 16:06:41.994489
46255	16	2013-08-02 16:06:42.013408	2013-08-04 00:37:45.140486
46246	6	2013-08-02 16:06:42.000196	2013-08-02 16:06:42.000196
46247	7	2013-08-02 16:06:42.002859	2013-08-02 16:06:42.002859
46249	9	2013-08-02 16:06:42.005827	2013-08-02 16:06:42.005827
46228	21	2013-08-02 16:06:41.951678	2013-08-04 21:00:14.060904
46251	11	2013-08-02 16:06:42.008013	2013-08-02 16:06:42.008013
46188	21	2013-08-02 16:06:41.84788	2013-08-04 21:00:14.207689
46253	13	2013-08-02 16:06:42.011055	2013-08-02 16:06:42.011055
46254	14	2013-08-02 16:06:42.012178	2013-08-02 16:06:42.012178
46161	14	2013-08-02 16:06:41.781518	2013-08-04 01:18:23.798165
46256	16	2013-08-02 16:06:42.014673	2013-08-02 16:06:42.014673
46205	2	2013-08-02 16:06:41.891024	2013-08-03 23:37:25.923457
46259	19	2013-08-02 16:06:42.018399	2013-08-02 16:06:42.018399
46181	13	2013-08-02 16:06:41.831121	2013-08-04 01:18:23.799638
46262	2	2013-08-02 16:06:42.022244	2013-08-02 16:06:42.022244
46275	11	2013-08-02 16:06:42.043112	2013-08-03 20:14:12.079956
46264	4	2013-08-02 16:06:42.02493	2013-08-02 16:06:42.02493
46266	6	2013-08-02 16:06:42.027697	2013-08-02 16:06:42.027697
46267	7	2013-08-02 16:06:42.029092	2013-08-02 16:06:42.029092
46269	9	2013-08-02 16:06:42.032096	2013-08-02 16:06:42.032096
46271	11	2013-08-02 16:06:42.034965	2013-08-02 16:06:42.034965
46273	13	2013-08-02 16:06:42.03867	2013-08-02 16:06:42.03867
46274	14	2013-08-02 16:06:42.040926	2013-08-02 16:06:42.040926
46276	16	2013-08-02 16:06:42.045269	2013-08-02 16:06:42.045269
46185	21	2013-08-02 16:06:41.840719	2013-08-03 23:39:26.68309
46279	19	2013-08-02 16:06:42.051831	2013-08-02 16:06:42.051831
46221	11	2013-08-02 16:06:41.933093	2013-08-04 01:18:23.803926
46282	2	2013-08-02 16:06:42.057409	2013-08-02 16:06:42.057409
46284	4	2013-08-02 16:06:42.061815	2013-08-02 16:06:42.061815
46286	6	2013-08-02 16:06:42.066192	2013-08-02 16:06:42.066192
46287	7	2013-08-02 16:06:42.068404	2013-08-02 16:06:42.068404
46289	9	2013-08-02 16:06:42.072277	2013-08-02 16:06:42.072277
46291	11	2013-08-02 16:06:42.077286	2013-08-02 16:06:42.077286
46293	13	2013-08-02 16:06:42.082298	2013-08-02 16:06:42.082298
46294	14	2013-08-02 16:06:42.084999	2013-08-02 16:06:42.084999
46261	9	2013-08-02 16:06:42.020845	2013-08-04 01:18:23.807831
46296	16	2013-08-02 16:06:42.090095	2013-08-02 16:06:42.090095
46285	7	2013-08-02 16:06:42.064014	2013-08-03 23:39:26.859982
46299	19	2013-08-02 16:06:42.098129	2013-08-02 16:06:42.098129
46302	2	2013-08-02 16:06:42.106588	2013-08-02 16:06:42.106588
46315	9	2013-08-02 16:06:42.135732	2013-08-03 20:14:12.084531
46304	4	2013-08-02 16:06:42.11176	2013-08-02 16:06:42.11176
46281	7	2013-08-02 16:06:42.055689	2013-08-04 01:18:23.810166
46306	6	2013-08-02 16:06:42.116848	2013-08-02 16:06:42.116848
46307	7	2013-08-02 16:06:42.119625	2013-08-02 16:06:42.119625
46309	9	2013-08-02 16:06:42.125068	2013-08-02 16:06:42.125068
46311	11	2013-08-02 16:06:42.130502	2013-08-02 16:06:42.130502
46313	13	2013-08-02 16:06:42.134011	2013-08-02 16:06:42.134011
46314	14	2013-08-02 16:06:42.134896	2013-08-02 16:06:42.134896
46265	2	2013-08-02 16:06:42.026319	2013-08-03 23:39:26.868428
46278	14	2013-08-02 16:06:42.049628	2013-08-03 21:54:22.742782
46218	19	2013-08-02 16:06:41.925167	2013-08-03 21:54:22.781851
46178	11	2013-08-02 16:06:41.82395	2013-08-03 21:54:22.829528
46245	9	2013-08-02 16:06:41.9977	2013-08-03 23:39:26.877512
46305	21	2013-08-02 16:06:42.114196	2013-08-03 23:41:32.281587
46301	6	2013-08-02 16:06:42.1039	2013-08-04 01:18:23.811547
46201	2	2013-08-02 16:06:41.88066	2013-08-04 01:21:01.031213
46190	16	2013-08-02 16:06:41.852681	2013-08-04 01:43:43.535534
46230	14	2013-08-02 16:06:41.957018	2013-08-04 01:43:43.543075
46250	13	2013-08-02 16:06:42.006661	2013-08-04 01:43:43.54685
46295	11	2013-08-02 16:06:42.087496	2013-08-04 01:43:43.554744
46241	9	2013-08-02 16:06:41.986079	2013-08-04 01:43:43.558786
46270	2	2013-08-02 16:06:42.033545	2013-08-04 01:45:51.882436
46210	2	2013-08-02 16:06:41.904135	2013-08-04 01:55:51.894825
46316	16	2013-08-02 16:06:42.136623	2013-08-02 16:06:42.136623
46320	13	2013-08-02 16:06:42.146423	2013-08-03 22:22:07.025545
46319	19	2013-08-02 16:06:42.143803	2013-08-02 16:06:42.143803
30485	2	2013-08-02 16:06:06.585141	2013-08-04 17:46:50.734039
20176	2	2013-08-02 16:05:44.05018	2013-08-04 17:46:50.739066
46322	2	2013-08-02 16:06:42.15118	2013-08-02 16:06:42.15118
46324	4	2013-08-02 16:06:42.15613	2013-08-02 16:06:42.15613
46340	4	2013-08-02 16:06:42.198742	2013-08-04 00:47:03.550526
46326	6	2013-08-02 16:06:42.161464	2013-08-02 16:06:42.161464
46327	7	2013-08-02 16:06:42.164095	2013-08-02 16:06:42.164095
46329	9	2013-08-02 16:06:42.169502	2013-08-02 16:06:42.169502
46183	2	2013-08-02 16:06:41.83593	2013-08-04 17:46:50.743658
46331	11	2013-08-02 16:06:42.174801	2013-08-02 16:06:42.174801
20156	2	2013-08-02 16:05:44.010085	2013-08-04 17:46:50.748947
46333	13	2013-08-02 16:06:42.180101	2013-08-02 16:06:42.180101
46334	14	2013-08-02 16:06:42.182941	2013-08-02 16:06:42.182941
20136	2	2013-08-02 16:05:43.987044	2013-08-04 17:46:50.755678
46336	16	2013-08-02 16:06:42.188069	2013-08-02 16:06:42.188069
46328	11	2013-08-02 16:06:42.166749	2013-08-04 21:00:14.32347
46360	11	2013-08-02 16:06:42.253267	2013-08-03 22:22:07.03068
46339	19	2013-08-02 16:06:42.196065	2013-08-02 16:06:42.196065
20116	2	2013-08-02 16:05:43.815121	2013-08-04 17:46:50.763202
25519	2	2013-08-02 16:05:55.085217	2013-08-04 17:46:51.189915
46342	2	2013-08-02 16:06:42.203932	2013-08-02 16:06:42.203932
46355	7	2013-08-02 16:06:42.240263	2013-08-03 20:14:12.087236
46344	4	2013-08-02 16:06:42.209161	2013-08-02 16:06:42.209161
46372	2	2013-08-02 16:06:42.282545	2013-08-04 00:47:03.554037
46346	6	2013-08-02 16:06:42.215742	2013-08-02 16:06:42.215742
46347	7	2013-08-02 16:06:42.219319	2013-08-02 16:06:42.219319
46349	9	2013-08-02 16:06:42.224671	2013-08-02 16:06:42.224671
46351	11	2013-08-02 16:06:42.229965	2013-08-02 16:06:42.229965
46368	9	2013-08-02 16:06:42.272961	2013-08-04 21:00:14.328477
46353	13	2013-08-02 16:06:42.235107	2013-08-02 16:06:42.235107
46354	14	2013-08-02 16:06:42.237779	2013-08-02 16:06:42.237779
46420	7	2013-08-02 16:06:42.402916	2013-08-04 21:00:14.330904
46356	16	2013-08-02 16:06:42.24292	2013-08-02 16:06:42.24292
46388	6	2013-08-02 16:06:42.321465	2013-08-04 21:00:14.332937
46400	9	2013-08-02 16:06:42.352985	2013-08-03 22:22:07.033956
46359	19	2013-08-02 16:06:42.250722	2013-08-02 16:06:42.250722
46428	4	2013-08-02 16:06:42.422049	2013-08-04 21:00:14.338086
46362	2	2013-08-02 16:06:42.258371	2013-08-02 16:06:42.258371
46375	6	2013-08-02 16:06:42.289759	2013-08-03 20:14:12.088466
46364	4	2013-08-02 16:06:42.263208	2013-08-02 16:06:42.263208
46366	6	2013-08-02 16:06:42.268093	2013-08-02 16:06:42.268093
46367	7	2013-08-02 16:06:42.27055	2013-08-02 16:06:42.27055
46369	9	2013-08-02 16:06:42.27534	2013-08-02 16:06:42.27534
46468	2	2013-08-02 16:06:42.521064	2013-08-04 21:00:14.344272
46371	11	2013-08-02 16:06:42.280141	2013-08-02 16:06:42.280141
46448	21	2013-08-02 16:06:42.469759	2013-08-04 21:00:25.988939
46373	13	2013-08-02 16:06:42.284956	2013-08-02 16:06:42.284956
46374	14	2013-08-02 16:06:42.287326	2013-08-02 16:06:42.287326
46376	16	2013-08-02 16:06:42.292134	2013-08-02 16:06:42.292134
46348	21	2013-08-02 16:06:42.222013	2013-08-04 21:00:26.128596
46440	7	2013-08-02 16:06:42.450693	2013-08-03 22:22:07.035871
46379	19	2013-08-02 16:06:42.299323	2013-08-02 16:06:42.299323
46412	16	2013-08-02 16:06:42.383887	2013-08-04 00:47:38.804473
46335	21	2013-08-02 16:06:42.185489	2013-08-04 21:00:26.24173
46382	2	2013-08-02 16:06:42.306485	2013-08-02 16:06:42.306485
46408	21	2013-08-02 16:06:42.374245	2013-08-04 21:01:19.136467
46384	4	2013-08-02 16:06:42.311245	2013-08-02 16:06:42.311245
46452	14	2013-08-02 16:06:42.479242	2013-08-04 00:47:38.807248
46386	6	2013-08-02 16:06:42.315991	2013-08-02 16:06:42.315991
46387	7	2013-08-02 16:06:42.318707	2013-08-02 16:06:42.318707
46389	9	2013-08-02 16:06:42.324115	2013-08-02 16:06:42.324115
46391	11	2013-08-02 16:06:42.329459	2013-08-02 16:06:42.329459
46393	13	2013-08-02 16:06:42.33476	2013-08-02 16:06:42.33476
46394	14	2013-08-02 16:06:42.337446	2013-08-02 16:06:42.337446
46465	21	2013-08-02 16:06:42.513728	2013-08-03 23:39:26.72156
46396	16	2013-08-02 16:06:42.342604	2013-08-02 16:06:42.342604
46445	21	2013-08-02 16:06:42.462586	2013-08-03 23:39:26.722818
46399	19	2013-08-02 16:06:42.350137	2013-08-02 16:06:42.350137
46472	13	2013-08-02 16:06:42.530717	2013-08-04 00:47:38.8088
46402	2	2013-08-02 16:06:42.358275	2013-08-02 16:06:42.358275
46415	4	2013-08-02 16:06:42.391015	2013-08-03 20:14:12.090643
46404	4	2013-08-02 16:06:42.363595	2013-08-02 16:06:42.363595
46352	2	2013-08-02 16:06:42.232578	2013-08-04 01:00:53.228975
46406	6	2013-08-02 16:06:42.368922	2013-08-02 16:06:42.368922
46407	7	2013-08-02 16:06:42.371561	2013-08-02 16:06:42.371561
46409	9	2013-08-02 16:06:42.376741	2013-08-02 16:06:42.376741
46411	11	2013-08-02 16:06:42.381528	2013-08-02 16:06:42.381528
46413	13	2013-08-02 16:06:42.386286	2013-08-02 16:06:42.386286
46414	14	2013-08-02 16:06:42.388662	2013-08-02 16:06:42.388662
46425	14	2013-08-02 16:06:42.414706	2013-08-03 23:39:26.729586
46416	16	2013-08-02 16:06:42.39337	2013-08-02 16:06:42.39337
46405	4	2013-08-02 16:06:42.366247	2013-08-03 23:39:26.737463
46419	19	2013-08-02 16:06:42.400577	2013-08-02 16:06:42.400577
46321	4	2013-08-02 16:06:42.148597	2013-08-04 01:18:23.814321
46422	2	2013-08-02 16:06:42.407607	2013-08-02 16:06:42.407607
46385	16	2013-08-02 16:06:42.313622	2013-08-03 23:39:26.796216
46424	4	2013-08-02 16:06:42.412354	2013-08-02 16:06:42.412354
46426	6	2013-08-02 16:06:42.417102	2013-08-02 16:06:42.417102
46427	7	2013-08-02 16:06:42.419529	2013-08-02 16:06:42.419529
46429	9	2013-08-02 16:06:42.424409	2013-08-02 16:06:42.424409
46431	11	2013-08-02 16:06:42.4292	2013-08-02 16:06:42.4292
46433	13	2013-08-02 16:06:42.433994	2013-08-02 16:06:42.433994
46434	14	2013-08-02 16:06:42.436375	2013-08-02 16:06:42.436375
46395	19	2013-08-02 16:06:42.340092	2013-08-03 23:39:26.814417
46436	16	2013-08-02 16:06:42.441145	2013-08-02 16:06:42.441145
46392	2	2013-08-02 16:06:42.332103	2013-08-04 01:18:23.816761
46439	19	2013-08-02 16:06:42.44828	2013-08-02 16:06:42.44828
46442	2	2013-08-02 16:06:42.455416	2013-08-02 16:06:42.455416
46444	4	2013-08-02 16:06:42.460167	2013-08-02 16:06:42.460167
46446	6	2013-08-02 16:06:42.464978	2013-08-02 16:06:42.464978
46447	7	2013-08-02 16:06:42.46734	2013-08-02 16:06:42.46734
46449	9	2013-08-02 16:06:42.472108	2013-08-02 16:06:42.472108
46451	11	2013-08-02 16:06:42.476869	2013-08-02 16:06:42.476869
46453	13	2013-08-02 16:06:42.48163	2013-08-02 16:06:42.48163
46454	14	2013-08-02 16:06:42.484382	2013-08-02 16:06:42.484382
46456	16	2013-08-02 16:06:42.4898	2013-08-02 16:06:42.4898
46325	13	2013-08-02 16:06:42.158792	2013-08-03 23:39:26.84313
46459	19	2013-08-02 16:06:42.49795	2013-08-02 16:06:42.49795
46401	19	2013-08-02 16:06:42.355604	2013-08-04 01:18:42.640225
46462	2	2013-08-02 16:06:42.506041	2013-08-02 16:06:42.506041
46438	21	2013-08-02 16:06:42.445899	2013-08-03 21:54:22.71881
46464	4	2013-08-02 16:06:42.511299	2013-08-02 16:06:42.511299
46466	6	2013-08-02 16:06:42.516176	2013-08-02 16:06:42.516176
46467	7	2013-08-02 16:06:42.518654	2013-08-02 16:06:42.518654
46469	9	2013-08-02 16:06:42.523463	2013-08-02 16:06:42.523463
46471	11	2013-08-02 16:06:42.52827	2013-08-02 16:06:42.52827
46418	21	2013-08-02 16:06:42.398169	2013-08-03 21:54:22.720689
46398	21	2013-08-02 16:06:42.34748	2013-08-03 21:54:22.722203
46378	21	2013-08-02 16:06:42.296942	2013-08-03 21:54:22.72357
46358	21	2013-08-02 16:06:42.248094	2013-08-03 21:54:22.724801
46338	21	2013-08-02 16:06:42.193423	2013-08-03 21:54:22.725753
46318	21	2013-08-02 16:06:42.141133	2013-08-03 21:54:22.726611
46441	16	2013-08-02 16:06:42.453066	2013-08-04 01:18:42.643027
46365	21	2013-08-02 16:06:42.265692	2013-08-03 23:44:26.040226
46461	14	2013-08-02 16:06:42.503327	2013-08-04 01:18:42.645701
46381	21	2013-08-02 16:06:42.304092	2013-08-04 01:18:42.768895
46341	7	2013-08-02 16:06:42.201485	2013-08-04 01:21:00.107079
46361	21	2013-08-02 16:06:42.255879	2013-08-04 01:21:00.287239
46350	4	2013-08-02 16:06:42.227223	2013-08-04 01:43:43.578301
46370	2	2013-08-02 16:06:42.277759	2013-08-04 01:43:43.585895
46430	19	2013-08-02 16:06:42.426795	2013-08-04 01:44:04.442098
46470	16	2013-08-02 16:06:42.525858	2013-08-04 01:44:04.445466
46390	4	2013-08-02 16:06:42.326811	2013-08-04 01:45:50.853394
46330	21	2013-08-02 16:06:42.17214	2013-08-04 01:45:50.932711
46380	2	2013-08-02 16:06:42.30174	2013-08-04 01:45:51.477464
46410	2	2013-08-02 16:06:42.379129	2013-08-04 01:50:59.049489
46435	2	2013-08-02 16:06:42.438765	2013-08-04 01:55:51.88527
46432	2	2013-08-02 16:06:42.431566	2013-08-04 01:55:51.890364
46473	13	2013-08-02 16:06:42.533133	2013-08-02 16:06:42.533133
46474	14	2013-08-02 16:06:42.535617	2013-08-02 16:06:42.535617
46480	4	2013-08-02 16:06:42.550688	2013-08-03 22:22:07.039073
46476	16	2013-08-02 16:06:42.540974	2013-08-02 16:06:42.540974
46492	11	2013-08-02 16:06:42.580524	2013-08-04 00:47:38.810168
46479	19	2013-08-02 16:06:42.548246	2013-08-02 16:06:42.548246
25499	2	2013-08-02 16:05:55.034711	2013-08-04 17:46:51.193474
3638	14	2013-08-02 16:05:10.853415	2013-08-04 17:46:51.49393
46482	2	2013-08-02 16:06:42.555557	2013-08-02 16:06:42.555557
27805	14	2013-08-02 16:06:00.678755	2013-08-04 17:46:51.506452
46484	4	2013-08-02 16:06:42.560346	2013-08-02 16:06:42.560346
46532	9	2013-08-02 16:06:42.916103	2013-08-04 00:47:38.812887
46486	6	2013-08-02 16:06:42.565628	2013-08-02 16:06:42.565628
46487	7	2013-08-02 16:06:42.568226	2013-08-02 16:06:42.568226
46489	9	2013-08-02 16:06:42.573231	2013-08-02 16:06:42.573231
4267	14	2013-08-02 16:05:12.296876	2013-08-04 17:46:51.518621
46491	11	2013-08-02 16:06:42.578136	2013-08-02 16:06:42.578136
1235	14	2013-08-02 16:05:06.131986	2013-08-04 17:46:51.530257
46493	13	2013-08-02 16:06:42.582938	2013-08-02 16:06:42.582938
46494	14	2013-08-02 16:06:42.585362	2013-08-02 16:06:42.585362
46520	2	2013-08-02 16:06:42.900644	2013-08-03 22:22:07.04408
46496	16	2013-08-02 16:06:42.590185	2013-08-02 16:06:42.590185
46488	21	2013-08-02 16:06:42.570772	2013-08-04 21:00:26.244533
32061	14	2013-08-02 16:06:10.503938	2013-08-04 17:46:51.540503
46499	19	2013-08-02 16:06:42.597359	2013-08-02 16:06:42.597359
4381	14	2013-08-02 16:05:12.540511	2013-08-04 17:46:51.545342
46502	2	2013-08-02 16:06:42.60536	2013-08-02 16:06:42.60536
46615	21	2013-08-02 16:06:43.119556	2013-08-03 20:21:37.356671
46504	4	2013-08-02 16:06:42.610792	2013-08-02 16:06:42.610792
46572	7	2013-08-02 16:06:43.001003	2013-08-04 00:47:38.815452
46506	6	2013-08-02 16:06:42.616039	2013-08-02 16:06:42.616039
46507	7	2013-08-02 16:06:42.618672	2013-08-02 16:06:42.618672
46509	9	2013-08-02 16:06:42.624001	2013-08-02 16:06:42.624001
20380	14	2013-08-02 16:05:44.2843	2013-08-04 17:46:51.55017
46511	11	2013-08-02 16:06:42.629412	2013-08-02 16:06:42.629412
4247	14	2013-08-02 16:05:12.259262	2013-08-04 17:46:51.554466
46513	13	2013-08-02 16:06:42.634812	2013-08-02 16:06:42.634812
46514	14	2013-08-02 16:06:42.892255	2013-08-02 16:06:42.892255
46500	21	2013-08-02 16:06:42.600025	2013-08-03 22:22:07.094982
46516	16	2013-08-02 16:06:42.895992	2013-08-02 16:06:42.895992
46508	9	2013-08-02 16:06:42.621375	2013-08-04 21:00:26.860966
46519	19	2013-08-02 16:06:42.899469	2013-08-02 16:06:42.899469
46592	6	2013-08-02 16:06:43.05917	2013-08-04 00:47:38.816643
14740	14	2013-08-02 16:05:32.500999	2013-08-04 17:46:51.558687
46522	2	2013-08-02 16:06:42.902894	2013-08-02 16:06:42.902894
46595	21	2013-08-02 16:06:43.067126	2013-08-03 20:21:37.361056
46524	4	2013-08-02 16:06:42.905188	2013-08-02 16:06:42.905188
46557	16	2013-08-02 16:06:42.961138	2013-08-04 18:08:42.436789
46526	6	2013-08-02 16:06:42.907666	2013-08-02 16:06:42.907666
46527	7	2013-08-02 16:06:42.908819	2013-08-02 16:06:42.908819
46529	9	2013-08-02 16:06:42.911082	2013-08-02 16:06:42.911082
46528	7	2013-08-02 16:06:42.90995	2013-08-04 21:00:26.86469
46531	11	2013-08-02 16:06:42.91495	2013-08-02 16:06:42.91495
46597	14	2013-08-02 16:06:43.072479	2013-08-04 18:08:42.44084
46533	13	2013-08-02 16:06:42.917287	2013-08-02 16:06:42.917287
46534	14	2013-08-02 16:06:42.918414	2013-08-02 16:06:42.918414
46600	19	2013-08-02 16:06:43.080845	2013-08-03 22:24:25.339309
46536	16	2013-08-02 16:06:42.920627	2013-08-02 16:06:42.920627
46548	6	2013-08-02 16:06:42.938982	2013-08-04 21:00:26.868268
46580	4	2013-08-02 16:06:43.027829	2013-08-03 22:24:25.362487
46539	19	2013-08-02 16:06:42.925263	2013-08-02 16:06:42.925263
46625	4	2013-08-02 16:06:43.146337	2013-08-04 00:47:38.818683
46617	13	2013-08-02 16:06:43.124912	2013-08-04 18:08:42.442939
46542	2	2013-08-02 16:06:42.929525	2013-08-02 16:06:42.929525
46575	21	2013-08-02 16:06:43.013941	2013-08-03 20:21:37.364616
46544	4	2013-08-02 16:06:42.932656	2013-08-02 16:06:42.932656
46612	2	2013-08-02 16:06:43.111689	2013-08-04 00:50:53.692668
46546	6	2013-08-02 16:06:42.935728	2013-08-02 16:06:42.935728
46547	7	2013-08-02 16:06:42.937518	2013-08-02 16:06:42.937518
46549	9	2013-08-02 16:06:42.94039	2013-08-02 16:06:42.94039
46551	11	2013-08-02 16:06:42.945458	2013-08-02 16:06:42.945458
46498	14	2013-08-02 16:06:42.594967	2013-08-04 18:11:49.682896
46553	13	2013-08-02 16:06:42.950675	2013-08-02 16:06:42.950675
46554	14	2013-08-02 16:06:42.953318	2013-08-02 16:06:42.953318
46568	21	2013-08-02 16:06:42.990304	2013-08-04 21:01:19.135143
46556	16	2013-08-02 16:06:42.958511	2013-08-02 16:06:42.958511
46570	2	2013-08-02 16:06:42.995561	2013-08-04 21:01:19.750632
46525	21	2013-08-02 16:06:42.90653	2013-08-03 23:39:26.717779
46559	19	2013-08-02 16:06:42.966225	2013-08-02 16:06:42.966225
46481	13	2013-08-02 16:06:42.553144	2013-08-04 01:18:42.646752
46552	7	2013-08-02 16:06:42.948005	2013-08-04 21:01:22.418676
46562	2	2013-08-02 16:06:42.974304	2013-08-02 16:06:42.974304
46555	21	2013-08-02 16:06:42.955909	2013-08-03 20:21:37.368183
46564	4	2013-08-02 16:06:42.979534	2013-08-02 16:06:42.979534
46566	6	2013-08-02 16:06:42.985004	2013-08-02 16:06:42.985004
46567	7	2013-08-02 16:06:42.987578	2013-08-02 16:06:42.987578
46569	9	2013-08-02 16:06:42.992913	2013-08-02 16:06:42.992913
46571	11	2013-08-02 16:06:42.998312	2013-08-02 16:06:42.998312
46573	13	2013-08-02 16:06:43.003663	2013-08-02 16:06:43.003663
46574	14	2013-08-02 16:06:43.00635	2013-08-02 16:06:43.00635
46505	21	2013-08-02 16:06:42.61351	2013-08-03 23:39:26.719377
46576	16	2013-08-02 16:06:43.016919	2013-08-02 16:06:43.016919
46485	21	2013-08-02 16:06:42.56309	2013-08-03 23:39:26.720556
46579	19	2013-08-02 16:06:43.025153	2013-08-02 16:06:43.025153
46540	11	2013-08-02 16:06:42.926727	2013-08-04 01:18:42.649109
46582	2	2013-08-02 16:06:43.033059	2013-08-02 16:06:43.033059
46535	21	2013-08-02 16:06:42.919522	2013-08-03 20:21:37.37202
46584	4	2013-08-02 16:06:43.038296	2013-08-02 16:06:43.038296
46586	6	2013-08-02 16:06:43.043512	2013-08-02 16:06:43.043512
46587	7	2013-08-02 16:06:43.046134	2013-08-02 16:06:43.046134
46589	9	2013-08-02 16:06:43.051426	2013-08-02 16:06:43.051426
46591	11	2013-08-02 16:06:43.05664	2013-08-02 16:06:43.05664
46593	13	2013-08-02 16:06:43.061805	2013-08-02 16:06:43.061805
46594	14	2013-08-02 16:06:43.064453	2013-08-02 16:06:43.064453
46545	16	2013-08-02 16:06:42.934193	2013-08-03 23:41:31.999021
46596	16	2013-08-02 16:06:43.069822	2013-08-02 16:06:43.069822
46521	9	2013-08-02 16:06:42.901765	2013-08-04 01:18:42.651802
46599	19	2013-08-02 16:06:43.077883	2013-08-02 16:06:43.077883
46602	2	2013-08-02 16:06:43.086123	2013-08-02 16:06:43.086123
46515	21	2013-08-02 16:06:42.894765	2013-08-03 20:21:37.375818
46604	4	2013-08-02 16:06:43.091519	2013-08-02 16:06:43.091519
46561	7	2013-08-02 16:06:42.97166	2013-08-04 01:18:42.654488
46606	6	2013-08-02 16:06:43.096792	2013-08-02 16:06:43.096792
46607	7	2013-08-02 16:06:43.099271	2013-08-02 16:06:43.099271
46609	9	2013-08-02 16:06:43.104314	2013-08-02 16:06:43.104314
46611	11	2013-08-02 16:06:43.109286	2013-08-02 16:06:43.109286
46613	13	2013-08-02 16:06:43.114117	2013-08-02 16:06:43.114117
46614	14	2013-08-02 16:06:43.116893	2013-08-02 16:06:43.116893
46585	14	2013-08-02 16:06:43.04077	2013-08-03 23:41:32.002111
46616	16	2013-08-02 16:06:43.122251	2013-08-02 16:06:43.122251
46605	13	2013-08-02 16:06:43.094219	2013-08-03 23:41:32.003528
46619	19	2013-08-02 16:06:43.130068	2013-08-02 16:06:43.130068
46581	6	2013-08-02 16:06:43.030393	2013-08-04 01:18:42.655711
46622	2	2013-08-02 16:06:43.138065	2013-08-02 16:06:43.138065
46495	21	2013-08-02 16:06:42.587759	2013-08-03 20:21:37.379472
46624	4	2013-08-02 16:06:43.143586	2013-08-02 16:06:43.143586
46626	6	2013-08-02 16:06:43.149009	2013-08-02 16:06:43.149009
46627	7	2013-08-02 16:06:43.151673	2013-08-02 16:06:43.151673
46629	9	2013-08-02 16:06:43.154386	2013-08-02 16:06:43.154386
46478	19	2013-08-02 16:06:42.545828	2013-08-03 21:56:15.064405
46518	16	2013-08-02 16:06:42.898342	2013-08-03 21:56:15.071773
46558	14	2013-08-02 16:06:42.963743	2013-08-03 21:56:15.078917
46578	13	2013-08-02 16:06:43.02247	2013-08-03 21:56:15.082496
46538	21	2013-08-02 16:06:42.923721	2013-08-03 21:59:22.977573
46565	21	2013-08-02 16:06:42.982208	2013-08-03 23:41:32.28438
46475	2	2013-08-02 16:06:42.538375	2013-08-04 01:21:01.021167
46490	14	2013-08-02 16:06:42.575672	2013-08-04 01:44:04.447712
46510	13	2013-08-02 16:06:42.626729	2013-08-04 01:44:04.449881
46550	11	2013-08-02 16:06:42.942812	2013-08-04 01:44:04.453184
46560	9	2013-08-02 16:06:42.969017	2013-08-04 01:44:04.454405
46501	7	2013-08-02 16:06:42.602831	2013-08-04 01:44:04.456926
46590	6	2013-08-02 16:06:43.053975	2013-08-04 01:44:04.457956
46610	21	2013-08-02 16:06:43.106845	2013-08-04 01:45:50.929985
46530	2	2013-08-02 16:06:42.913041	2013-08-04 01:45:51.871689
46512	2	2013-08-02 16:06:42.632107	2013-08-04 01:55:51.88054
4185	14	2013-08-02 16:05:12.174984	2013-08-04 17:46:51.562725
46631	11	2013-08-02 16:06:43.158579	2013-08-02 16:06:43.158579
4117	14	2013-08-02 16:05:12.023939	2013-08-04 17:46:51.567217
46633	13	2013-08-02 16:06:43.16397	2013-08-02 16:06:43.16397
46634	14	2013-08-02 16:06:43.166772	2013-08-02 16:06:43.166772
46780	21	2013-08-02 16:06:43.547636	2013-08-03 22:24:25.26935
46636	16	2013-08-02 16:06:43.172167	2013-08-02 16:06:43.172167
46690	1	2013-08-02 16:06:43.31754	2013-08-04 21:01:19.652378
46760	21	2013-08-02 16:06:43.498057	2013-08-03 22:24:25.273782
46639	19	2013-08-02 16:06:43.180235	2013-08-02 16:06:43.180235
46632	2	2013-08-02 16:06:43.161286	2013-08-04 00:47:38.820849
4235	14	2013-08-02 16:05:12.239825	2013-08-04 17:46:51.571414
46642	2	2013-08-02 16:06:43.188268	2013-08-02 16:06:43.188268
46663	9	2013-08-02 16:06:43.246433	2013-08-03 20:22:32.070608
46644	4	2013-08-02 16:06:43.193915	2013-08-02 16:06:43.193915
4100	14	2013-08-02 16:05:11.988163	2013-08-04 17:46:51.575575
46646	6	2013-08-02 16:06:43.199253	2013-08-02 16:06:43.199253
46647	7	2013-08-02 16:06:43.201832	2013-08-02 16:06:43.201832
46649	9	2013-08-02 16:06:43.207076	2013-08-02 16:06:43.207076
4120	14	2013-08-02 16:05:12.030616	2013-08-04 17:46:51.579614
46651	11	2013-08-02 16:06:43.21239	2013-08-02 16:06:43.21239
31328	14	2013-08-02 16:06:08.678956	2013-08-04 17:46:51.595431
46653	13	2013-08-02 16:06:43.218838	2013-08-02 16:06:43.218838
46654	14	2013-08-02 16:06:43.222066	2013-08-02 16:06:43.222066
46740	21	2013-08-02 16:06:43.449257	2013-08-03 22:24:25.277167
46656	16	2013-08-02 16:06:43.227599	2013-08-02 16:06:43.227599
46678	1	2013-08-02 16:06:43.285511	2013-08-04 21:01:19.658514
46720	21	2013-08-02 16:06:43.397797	2013-08-03 22:24:25.280597
46659	19	2013-08-02 16:06:43.235696	2013-08-02 16:06:43.235696
46681	1	2013-08-02 16:06:43.293576	2013-08-04 21:01:19.665712
31308	14	2013-08-02 16:06:08.644781	2013-08-04 17:46:51.600307
46662	2	2013-08-02 16:06:43.24371	2013-08-02 16:06:43.24371
46775	9	2013-08-02 16:06:43.535657	2013-08-03 20:22:32.084018
46664	4	2013-08-02 16:06:43.249189	2013-08-02 16:06:43.249189
46692	16	2013-08-02 16:06:43.322603	2013-08-04 00:52:39.581679
46666	6	2013-08-02 16:06:43.254492	2013-08-02 16:06:43.254492
46667	7	2013-08-02 16:06:43.257134	2013-08-02 16:06:43.257134
46669	9	2013-08-02 16:06:43.262444	2013-08-02 16:06:43.262444
46768	1	2013-08-02 16:06:43.518403	2013-08-04 21:01:19.677232
46671	11	2013-08-02 16:06:43.267623	2013-08-02 16:06:43.267623
46748	1	2013-08-02 16:06:43.468385	2013-08-04 21:01:19.688909
46673	13	2013-08-02 16:06:43.27274	2013-08-02 16:06:43.27274
46674	14	2013-08-02 16:06:43.275154	2013-08-02 16:06:43.275154
46700	21	2013-08-02 16:06:43.344359	2013-08-03 22:24:25.284208
46676	16	2013-08-02 16:06:43.279993	2013-08-02 16:06:43.279993
46705	1	2013-08-02 16:06:43.357719	2013-08-04 21:01:19.69459
46680	21	2013-08-02 16:06:43.290862	2013-08-03 22:24:25.287584
46679	19	2013-08-02 16:06:43.288172	2013-08-02 16:06:43.288172
46728	1	2013-08-02 16:06:43.41778	2013-08-04 21:01:19.702781
46708	2	2013-08-02 16:06:43.365704	2013-08-04 21:01:19.711932
46682	2	2013-08-02 16:06:43.296247	2013-08-02 16:06:43.296247
46755	9	2013-08-02 16:06:43.485256	2013-08-03 20:22:32.094225
46684	4	2013-08-02 16:06:43.301679	2013-08-02 16:06:43.301679
46732	14	2013-08-02 16:06:43.428446	2013-08-04 00:52:39.587232
46686	6	2013-08-02 16:06:43.307007	2013-08-02 16:06:43.307007
46687	7	2013-08-02 16:06:43.309727	2013-08-02 16:06:43.309727
46689	9	2013-08-02 16:06:43.31505	2013-08-02 16:06:43.31505
46688	2	2013-08-02 16:06:43.312369	2013-08-04 21:01:19.722485
46691	11	2013-08-02 16:06:43.319962	2013-08-02 16:06:43.319962
46668	2	2013-08-02 16:06:43.259776	2013-08-04 21:01:19.728386
46693	13	2013-08-02 16:06:43.325264	2013-08-02 16:06:43.325264
46694	14	2013-08-02 16:06:43.327925	2013-08-02 16:06:43.327925
46660	21	2013-08-02 16:06:43.238379	2013-08-03 22:24:25.291184
46696	16	2013-08-02 16:06:43.33335	2013-08-02 16:06:43.33335
46640	21	2013-08-02 16:06:43.182924	2013-08-03 22:24:25.294944
46699	19	2013-08-02 16:06:43.341378	2013-08-02 16:06:43.341378
46752	13	2013-08-02 16:06:43.477906	2013-08-04 00:52:39.590214
46702	2	2013-08-02 16:06:43.349733	2013-08-02 16:06:43.349733
46735	9	2013-08-02 16:06:43.436489	2013-08-03 20:22:32.10214
46704	4	2013-08-02 16:06:43.355023	2013-08-02 16:06:43.355023
46772	11	2013-08-02 16:06:43.528457	2013-08-04 00:52:39.592904
46706	6	2013-08-02 16:06:43.360356	2013-08-02 16:06:43.360356
46707	7	2013-08-02 16:06:43.363026	2013-08-02 16:06:43.363026
46709	9	2013-08-02 16:06:43.36836	2013-08-02 16:06:43.36836
46711	11	2013-08-02 16:06:43.373717	2013-08-02 16:06:43.373717
46713	13	2013-08-02 16:06:43.379052	2013-08-02 16:06:43.379052
46714	14	2013-08-02 16:06:43.381776	2013-08-02 16:06:43.381776
46645	11	2013-08-02 16:06:43.196594	2013-08-03 23:41:32.00625
46716	16	2013-08-02 16:06:43.387095	2013-08-02 16:06:43.387095
46719	19	2013-08-02 16:06:43.395104	2013-08-02 16:06:43.395104
46722	2	2013-08-02 16:06:43.403153	2013-08-02 16:06:43.403153
46715	9	2013-08-02 16:06:43.384422	2013-08-03 20:22:32.112381
46724	4	2013-08-02 16:06:43.408075	2013-08-02 16:06:43.408075
46652	2	2013-08-02 16:06:43.215131	2013-08-04 01:18:42.660591
46726	6	2013-08-02 16:06:43.412899	2013-08-02 16:06:43.412899
46727	7	2013-08-02 16:06:43.415284	2013-08-02 16:06:43.415284
46729	9	2013-08-02 16:06:43.420364	2013-08-02 16:06:43.420364
46731	11	2013-08-02 16:06:43.42577	2013-08-02 16:06:43.42577
46733	13	2013-08-02 16:06:43.431179	2013-08-02 16:06:43.431179
46734	14	2013-08-02 16:06:43.433853	2013-08-02 16:06:43.433853
46685	9	2013-08-02 16:06:43.304325	2013-08-03 23:41:32.009409
46736	16	2013-08-02 16:06:43.439167	2013-08-02 16:06:43.439167
46739	19	2013-08-02 16:06:43.446814	2013-08-02 16:06:43.446814
46781	9	2013-08-02 16:06:43.550037	2013-08-04 01:20:59.864971
46742	2	2013-08-02 16:06:43.454094	2013-08-02 16:06:43.454094
46695	9	2013-08-02 16:06:43.330632	2013-08-03 20:22:32.116959
46744	4	2013-08-02 16:06:43.458863	2013-08-02 16:06:43.458863
46746	6	2013-08-02 16:06:43.46361	2013-08-02 16:06:43.46361
46747	7	2013-08-02 16:06:43.46601	2013-08-02 16:06:43.46601
46749	9	2013-08-02 16:06:43.470767	2013-08-02 16:06:43.470767
46751	11	2013-08-02 16:06:43.475523	2013-08-02 16:06:43.475523
46753	13	2013-08-02 16:06:43.480291	2013-08-02 16:06:43.480291
46754	14	2013-08-02 16:06:43.48279	2013-08-02 16:06:43.48279
46725	7	2013-08-02 16:06:43.410492	2013-08-03 23:41:32.012686
46756	16	2013-08-02 16:06:43.487605	2013-08-02 16:06:43.487605
46745	6	2013-08-02 16:06:43.461248	2013-08-03 23:41:32.014631
46759	19	2013-08-02 16:06:43.495481	2013-08-02 16:06:43.495481
46741	6	2013-08-02 16:06:43.451657	2013-08-04 01:20:59.910929
46762	2	2013-08-02 16:06:43.50325	2013-08-02 16:06:43.50325
46764	4	2013-08-02 16:06:43.508168	2013-08-02 16:06:43.508168
46766	6	2013-08-02 16:06:43.513103	2013-08-02 16:06:43.513103
46767	7	2013-08-02 16:06:43.515727	2013-08-02 16:06:43.515727
46769	9	2013-08-02 16:06:43.520883	2013-08-02 16:06:43.520883
46771	11	2013-08-02 16:06:43.526028	2013-08-02 16:06:43.526028
46773	13	2013-08-02 16:06:43.530887	2013-08-02 16:06:43.530887
46774	14	2013-08-02 16:06:43.533278	2013-08-02 16:06:43.533278
46765	4	2013-08-02 16:06:43.510475	2013-08-03 23:41:32.017411
46776	16	2013-08-02 16:06:43.538084	2013-08-02 16:06:43.538084
46701	11	2013-08-02 16:06:43.347047	2013-08-04 01:20:59.956625
46779	19	2013-08-02 16:06:43.545274	2013-08-02 16:06:43.545274
46782	2	2013-08-02 16:06:43.552385	2013-08-02 16:06:43.552385
46658	9	2013-08-02 16:06:43.233022	2013-08-03 21:56:15.097439
46784	4	2013-08-02 16:06:43.557123	2013-08-02 16:06:43.557123
46661	19	2013-08-02 16:06:43.241093	2013-08-04 01:20:59.995129
46786	6	2013-08-02 16:06:43.561873	2013-08-02 16:06:43.561873
46738	2	2013-08-02 16:06:43.444268	2013-08-03 23:41:32.024104
46698	7	2013-08-02 16:06:43.338685	2013-08-03 21:56:15.105914
46718	6	2013-08-02 16:06:43.392413	2013-08-03 21:56:15.110177
46761	21	2013-08-02 16:06:43.50075	2013-08-04 01:21:00.076383
46758	4	2013-08-02 16:06:43.493061	2013-08-03 21:56:15.118075
46641	7	2013-08-02 16:06:43.185622	2013-08-04 01:21:00.096485
46778	21	2013-08-02 16:06:43.542842	2013-08-03 21:56:35.148684
46785	21	2013-08-02 16:06:43.559477	2013-08-03 23:44:26.03862
46630	4	2013-08-02 16:06:43.155739	2013-08-04 01:44:04.460281
46670	2	2013-08-02 16:06:43.265131	2013-08-04 01:44:04.463518
46650	2	2013-08-02 16:06:43.209738	2013-08-04 01:45:51.473907
46665	19	2013-08-02 16:06:43.251829	2013-08-04 01:48:02.544713
46750	16	2013-08-02 16:06:43.473163	2013-08-04 01:48:02.547113
46721	14	2013-08-02 16:06:43.400458	2013-08-04 01:48:02.549376
46770	13	2013-08-02 16:06:43.523494	2013-08-04 01:48:02.55045
46710	2	2013-08-02 16:06:43.371024	2013-08-04 01:50:59.038304
46638	2	2013-08-02 16:06:43.177586	2013-08-04 01:55:51.864005
46712	2	2013-08-02 16:06:43.376354	2013-08-04 01:55:51.874997
46787	7	2013-08-02 16:06:43.564244	2013-08-02 16:06:43.564244
46789	9	2013-08-02 16:06:43.569155	2013-08-02 16:06:43.569155
31288	14	2013-08-02 16:06:08.595823	2013-08-04 17:46:51.60472
46791	11	2013-08-02 16:06:43.574075	2013-08-02 16:06:43.574075
31270	14	2013-08-02 16:06:08.560913	2013-08-04 17:46:51.609168
46793	13	2013-08-02 16:06:43.579321	2013-08-02 16:06:43.579321
46794	14	2013-08-02 16:06:43.581969	2013-08-02 16:06:43.581969
31268	14	2013-08-02 16:06:08.556427	2013-08-04 17:46:51.614093
46796	16	2013-08-02 16:06:43.586961	2013-08-02 16:06:43.586961
46812	21	2013-08-02 16:06:43.626085	2013-08-04 21:01:19.623432
46820	11	2013-08-02 16:06:43.646945	2013-08-03 22:25:41.199131
46799	19	2013-08-02 16:06:43.594171	2013-08-02 16:06:43.594171
31248	14	2013-08-02 16:06:08.511895	2013-08-04 17:46:51.620843
48683	14	2013-08-02 16:06:46.969077	2013-08-04 17:46:51.630553
46802	2	2013-08-02 16:06:43.601865	2013-08-02 16:06:43.601865
46835	9	2013-08-02 16:06:43.686836	2013-08-03 20:22:32.048582
46804	4	2013-08-02 16:06:43.606667	2013-08-02 16:06:43.606667
46800	9	2013-08-02 16:06:43.597034	2013-08-04 00:52:39.598844
46806	6	2013-08-02 16:06:43.611459	2013-08-02 16:06:43.611459
46807	7	2013-08-02 16:06:43.613852	2013-08-02 16:06:43.613852
46809	9	2013-08-02 16:06:43.618507	2013-08-02 16:06:43.618507
31228	14	2013-08-02 16:06:08.467649	2013-08-04 17:46:51.641435
46811	11	2013-08-02 16:06:43.62337	2013-08-02 16:06:43.62337
31208	14	2013-08-02 16:06:08.42581	2013-08-04 17:46:51.652267
46813	13	2013-08-02 16:06:43.628762	2013-08-02 16:06:43.628762
46814	14	2013-08-02 16:06:43.631404	2013-08-02 16:06:43.631404
31188	14	2013-08-02 16:06:08.385403	2013-08-04 17:46:51.663065
46816	16	2013-08-02 16:06:43.636753	2013-08-02 16:06:43.636753
46808	1	2013-08-02 16:06:43.616233	2013-08-04 21:01:19.643287
46860	9	2013-08-02 16:06:43.753504	2013-08-03 22:25:41.201255
46819	19	2013-08-02 16:06:43.644312	2013-08-02 16:06:43.644312
31175	14	2013-08-02 16:06:08.360181	2013-08-04 17:46:51.673833
46822	2	2013-08-02 16:06:43.652296	2013-08-02 16:06:43.652296
46815	9	2013-08-02 16:06:43.634066	2013-08-03 20:22:32.056643
46824	4	2013-08-02 16:06:43.657327	2013-08-02 16:06:43.657327
46832	7	2013-08-02 16:06:43.678704	2013-08-04 00:52:39.604992
46826	6	2013-08-02 16:06:43.662779	2013-08-02 16:06:43.662779
46827	7	2013-08-02 16:06:43.66541	2013-08-02 16:06:43.66541
46829	9	2013-08-02 16:06:43.670753	2013-08-02 16:06:43.670753
31168	14	2013-08-02 16:06:08.347469	2013-08-04 17:46:51.685272
46831	11	2013-08-02 16:06:43.676038	2013-08-02 16:06:43.676038
46821	11	2013-08-02 16:06:43.649632	2013-08-04 18:11:51.575664
46833	13	2013-08-02 16:06:43.681391	2013-08-02 16:06:43.681391
46834	14	2013-08-02 16:06:43.684106	2013-08-02 16:06:43.684106
46836	16	2013-08-02 16:06:43.68949	2013-08-02 16:06:43.68949
46788	1	2013-08-02 16:06:43.566766	2013-08-04 21:01:19.647904
46900	7	2013-08-02 16:06:43.854161	2013-08-03 22:25:41.203377
46839	19	2013-08-02 16:06:43.69751	2013-08-02 16:06:43.69751
46852	6	2013-08-02 16:06:43.732219	2013-08-04 00:52:39.608289
46840	2	2013-08-02 16:06:43.700138	2013-08-04 21:01:21.916583
46842	2	2013-08-02 16:06:43.705513	2013-08-02 16:06:43.705513
46795	9	2013-08-02 16:06:43.584485	2013-08-03 20:22:32.061707
46844	4	2013-08-02 16:06:43.710803	2013-08-02 16:06:43.710803
46928	2	2013-08-02 16:06:43.921605	2013-08-04 21:01:21.931643
46846	6	2013-08-02 16:06:43.716089	2013-08-02 16:06:43.716089
46847	7	2013-08-02 16:06:43.718812	2013-08-02 16:06:43.718812
46849	9	2013-08-02 16:06:43.724196	2013-08-02 16:06:43.724196
46908	2	2013-08-02 16:06:43.873928	2013-08-04 21:01:21.946275
46851	11	2013-08-02 16:06:43.729565	2013-08-02 16:06:43.729565
46888	2	2013-08-02 16:06:43.821784	2013-08-04 21:01:21.962984
46853	13	2013-08-02 16:06:43.734877	2013-08-02 16:06:43.734877
46854	14	2013-08-02 16:06:43.737515	2013-08-02 16:06:43.737515
46868	7	2013-08-02 16:06:43.774166	2013-08-04 21:01:21.995378
46856	16	2013-08-02 16:06:43.74281	2013-08-02 16:06:43.74281
46848	7	2013-08-02 16:06:43.721505	2013-08-04 21:01:22.010248
46825	14	2013-08-02 16:06:43.660041	2013-08-03 23:42:07.184579
46859	19	2013-08-02 16:06:43.750816	2013-08-02 16:06:43.750816
46865	4	2013-08-02 16:06:43.766824	2013-08-04 00:52:39.614608
46862	2	2013-08-02 16:06:43.758842	2013-08-02 16:06:43.758842
46855	16	2013-08-02 16:06:43.740129	2013-08-03 20:24:25.495004
46864	4	2013-08-02 16:06:43.764134	2013-08-02 16:06:43.764134
46866	6	2013-08-02 16:06:43.769343	2013-08-02 16:06:43.769343
46867	7	2013-08-02 16:06:43.771748	2013-08-02 16:06:43.771748
46869	9	2013-08-02 16:06:43.776534	2013-08-02 16:06:43.776534
46871	11	2013-08-02 16:06:43.781375	2013-08-02 16:06:43.781375
46873	13	2013-08-02 16:06:43.786125	2013-08-02 16:06:43.786125
46874	14	2013-08-02 16:06:43.788482	2013-08-02 16:06:43.788482
46845	13	2013-08-02 16:06:43.713454	2013-08-03 23:42:07.185875
46876	16	2013-08-02 16:06:43.793267	2013-08-02 16:06:43.793267
46879	19	2013-08-02 16:06:43.800371	2013-08-02 16:06:43.800371
46872	16	2013-08-02 16:06:43.783734	2013-08-04 00:52:59.186024
46882	2	2013-08-02 16:06:43.80754	2013-08-02 16:06:43.80754
46875	14	2013-08-02 16:06:43.790899	2013-08-03 20:24:25.496259
46884	4	2013-08-02 16:06:43.81227	2013-08-02 16:06:43.81227
46932	13	2013-08-02 16:06:43.931059	2013-08-04 00:59:09.440604
46886	6	2013-08-02 16:06:43.817054	2013-08-02 16:06:43.817054
46887	7	2013-08-02 16:06:43.819389	2013-08-02 16:06:43.819389
46889	9	2013-08-02 16:06:43.824333	2013-08-02 16:06:43.824333
46891	11	2013-08-02 16:06:43.829461	2013-08-02 16:06:43.829461
46893	13	2013-08-02 16:06:43.834412	2013-08-02 16:06:43.834412
46894	14	2013-08-02 16:06:43.837103	2013-08-02 16:06:43.837103
46885	11	2013-08-02 16:06:43.814674	2013-08-03 23:42:07.188471
46896	16	2013-08-02 16:06:43.842153	2013-08-02 16:06:43.842153
46899	19	2013-08-02 16:06:43.850186	2013-08-02 16:06:43.850186
46898	11	2013-08-02 16:06:43.847494	2013-08-04 00:59:09.441797
46902	2	2013-08-02 16:06:43.859233	2013-08-02 16:06:43.859233
46895	13	2013-08-02 16:06:43.839552	2013-08-03 20:24:25.497498
46904	4	2013-08-02 16:06:43.864199	2013-08-02 16:06:43.864199
46892	2	2013-08-02 16:06:43.83184	2013-08-04 01:00:53.225148
46906	6	2013-08-02 16:06:43.869154	2013-08-02 16:06:43.869154
46907	7	2013-08-02 16:06:43.871552	2013-08-02 16:06:43.871552
46909	9	2013-08-02 16:06:43.8763	2013-08-02 16:06:43.8763
46911	11	2013-08-02 16:06:43.881072	2013-08-02 16:06:43.881072
46913	13	2013-08-02 16:06:43.885868	2013-08-02 16:06:43.885868
46914	14	2013-08-02 16:06:43.888361	2013-08-02 16:06:43.888361
46925	9	2013-08-02 16:06:43.914459	2013-08-03 23:42:07.191205
46916	16	2013-08-02 16:06:43.893141	2013-08-02 16:06:43.893141
46941	21	2013-08-02 16:06:43.952273	2013-08-04 01:20:59.69108
46919	19	2013-08-02 16:06:43.900247	2013-08-02 16:06:43.900247
46921	21	2013-08-02 16:06:43.904982	2013-08-04 01:20:59.694998
46922	2	2013-08-02 16:06:43.90733	2013-08-02 16:06:43.90733
46924	4	2013-08-02 16:06:43.912068	2013-08-02 16:06:43.912068
46901	21	2013-08-02 16:06:43.856779	2013-08-04 01:20:59.699074
46926	6	2013-08-02 16:06:43.916861	2013-08-02 16:06:43.916861
46927	7	2013-08-02 16:06:43.919224	2013-08-02 16:06:43.919224
46929	9	2013-08-02 16:06:43.923946	2013-08-02 16:06:43.923946
46931	11	2013-08-02 16:06:43.928717	2013-08-02 16:06:43.928717
46933	13	2013-08-02 16:06:43.933443	2013-08-02 16:06:43.933443
46934	14	2013-08-02 16:06:43.935779	2013-08-02 16:06:43.935779
46881	16	2013-08-02 16:06:43.805167	2013-08-04 01:20:59.721239
46936	16	2013-08-02 16:06:43.940499	2013-08-02 16:06:43.940499
46939	19	2013-08-02 16:06:43.947614	2013-08-02 16:06:43.947614
46805	14	2013-08-02 16:06:43.609087	2013-08-04 01:20:59.768988
46942	2	2013-08-02 16:06:43.954629	2013-08-02 16:06:43.954629
46935	11	2013-08-02 16:06:43.938141	2013-08-03 20:24:25.499578
46943	7	2013-08-02 16:06:43.957012	2013-08-03 20:02:24.663627
46798	2	2013-08-02 16:06:43.591763	2013-08-03 21:56:15.122097
46938	14	2013-08-02 16:06:43.945268	2013-08-03 21:59:23.170438
46878	19	2013-08-02 16:06:43.798024	2013-08-03 21:59:23.217036
46858	4	2013-08-02 16:06:43.748102	2013-08-03 21:59:23.237912
46841	7	2013-08-02 16:06:43.702823	2013-08-04 01:20:59.79296
46801	13	2013-08-02 16:06:43.599439	2013-08-04 01:20:59.840793
46861	21	2013-08-02 16:06:43.756138	2013-08-04 01:21:00.186839
46818	19	2013-08-02 16:06:43.641911	2013-08-04 01:23:20.673466
46792	11	2013-08-02 16:06:43.576782	2013-08-04 01:48:02.553478
46810	9	2013-08-02 16:06:43.620899	2013-08-04 01:48:02.555487
46830	7	2013-08-02 16:06:43.673395	2013-08-04 01:48:02.561743
46850	6	2013-08-02 16:06:43.726852	2013-08-04 01:48:02.563773
46890	4	2013-08-02 16:06:43.826847	2013-08-04 01:48:02.567085
46870	21	2013-08-02 16:06:43.778971	2013-08-04 01:50:56.97997
46905	2	2013-08-02 16:06:43.866714	2013-08-04 01:50:57.380444
46790	2	2013-08-02 16:06:43.571512	2013-08-04 01:50:58.30732
46838	2	2013-08-02 16:06:43.694836	2013-08-04 01:50:59.028
46944	4	2013-08-02 16:06:43.959355	2013-08-02 16:06:43.959355
31148	14	2013-08-02 16:06:08.315424	2013-08-04 17:46:51.698886
46946	6	2013-08-02 16:06:43.964395	2013-08-02 16:06:43.964395
46947	7	2013-08-02 16:06:43.966834	2013-08-02 16:06:43.966834
46949	9	2013-08-02 16:06:43.971666	2013-08-02 16:06:43.971666
31128	14	2013-08-02 16:06:08.290811	2013-08-04 17:46:51.712393
46951	11	2013-08-02 16:06:43.976424	2013-08-02 16:06:43.976424
31108	14	2013-08-02 16:06:08.048591	2013-08-04 17:46:51.723672
46953	13	2013-08-02 16:06:43.981221	2013-08-02 16:06:43.981221
46954	14	2013-08-02 16:06:43.983576	2013-08-02 16:06:43.983576
47078	21	2013-08-02 16:06:44.236622	2013-08-03 22:04:21.901462
46956	16	2013-08-02 16:06:43.988422	2013-08-02 16:06:43.988422
47088	21	2013-08-02 16:06:44.263509	2013-08-04 21:01:21.729394
46960	4	2013-08-02 16:06:43.997958	2013-08-03 22:25:41.206856
46959	19	2013-08-02 16:06:43.995593	2013-08-02 16:06:43.995593
46972	9	2013-08-02 16:06:44.027317	2013-08-04 00:59:09.445476
31088	14	2013-08-02 16:06:08.001078	2013-08-04 17:46:51.734483
46962	2	2013-08-02 16:06:44.002688	2013-08-02 16:06:44.002688
15012	14	2013-08-02 16:05:33.25134	2013-08-04 17:46:51.745103
46964	4	2013-08-02 16:06:44.007438	2013-08-02 16:06:44.007438
46966	6	2013-08-02 16:06:44.012103	2013-08-02 16:06:44.012103
46967	7	2013-08-02 16:06:44.0145	2013-08-02 16:06:44.0145
46969	9	2013-08-02 16:06:44.019241	2013-08-02 16:06:44.019241
31010	14	2013-08-02 16:06:07.812439	2013-08-04 17:46:51.751436
46971	11	2013-08-02 16:06:44.024688	2013-08-02 16:06:44.024688
31000	14	2013-08-02 16:06:07.788683	2013-08-04 17:46:51.755916
46973	13	2013-08-02 16:06:44.029671	2013-08-02 16:06:44.029671
46974	14	2013-08-02 16:06:44.031096	2013-08-02 16:06:44.031096
47012	7	2013-08-02 16:06:44.085072	2013-08-04 00:59:09.450433
46976	16	2013-08-02 16:06:44.034437	2013-08-02 16:06:44.034437
47068	21	2013-08-02 16:06:44.205895	2013-08-04 21:01:21.734624
47000	2	2013-08-02 16:06:44.066726	2013-08-03 22:25:41.209067
46979	19	2013-08-02 16:06:44.041297	2013-08-02 16:06:44.041297
47032	6	2013-08-02 16:06:44.122392	2013-08-04 00:59:09.45255
10109	14	2013-08-02 16:05:23.376866	2013-08-04 17:46:51.770068
46982	2	2013-08-02 16:06:44.044766	2013-08-02 16:06:44.044766
46975	9	2013-08-02 16:06:44.032628	2013-08-03 20:24:25.501781
46984	4	2013-08-02 16:06:44.046974	2013-08-02 16:06:44.046974
10089	14	2013-08-02 16:05:23.355596	2013-08-04 17:46:51.774173
46986	6	2013-08-02 16:06:44.0491	2013-08-02 16:06:44.0491
46987	7	2013-08-02 16:06:44.050182	2013-08-02 16:06:44.050182
46989	9	2013-08-02 16:06:44.052231	2013-08-02 16:06:44.052231
10069	14	2013-08-02 16:05:23.336933	2013-08-04 17:46:51.777837
46991	11	2013-08-02 16:06:44.054668	2013-08-02 16:06:44.054668
10101	14	2013-08-02 16:05:23.366706	2013-08-04 17:46:51.781435
46993	13	2013-08-02 16:06:44.057205	2013-08-02 16:06:44.057205
46994	14	2013-08-02 16:06:44.05838	2013-08-02 16:06:44.05838
46950	2	2013-08-02 16:06:43.974056	2013-08-04 18:22:29.130032
46996	16	2013-08-02 16:06:44.06092	2013-08-02 16:06:44.06092
46945	21	2013-08-02 16:06:43.961857	2013-08-04 21:01:21.739548
46980	4	2013-08-02 16:06:44.042456	2013-08-03 22:25:41.24595
46999	19	2013-08-02 16:06:44.065017	2013-08-02 16:06:44.065017
47072	4	2013-08-02 16:06:44.218115	2013-08-04 00:59:09.455648
47097	2	2013-08-02 16:06:44.287693	2013-08-04 18:22:29.136044
47002	2	2013-08-02 16:06:44.069613	2013-08-02 16:06:44.069613
47004	4	2013-08-02 16:06:44.072478	2013-08-02 16:06:44.072478
47052	21	2013-08-02 16:06:44.167915	2013-08-04 00:59:28.485717
47006	6	2013-08-02 16:06:44.075526	2013-08-02 16:06:44.075526
47007	7	2013-08-02 16:06:44.077119	2013-08-02 16:06:44.077119
47009	9	2013-08-02 16:06:44.080286	2013-08-02 16:06:44.080286
47048	14	2013-08-02 16:06:44.157765	2013-08-04 21:01:21.763083
47011	11	2013-08-02 16:06:44.083524	2013-08-02 16:06:44.083524
47028	14	2013-08-02 16:06:44.114165	2013-08-04 21:01:21.778998
47013	13	2013-08-02 16:06:44.086677	2013-08-02 16:06:44.086677
47014	14	2013-08-02 16:06:44.088287	2013-08-02 16:06:44.088287
47008	14	2013-08-02 16:06:44.078704	2013-08-04 21:01:21.794783
47016	16	2013-08-02 16:06:44.091754	2013-08-02 16:06:44.091754
46995	14	2013-08-02 16:06:44.059708	2013-08-04 21:01:21.80944
47080	14	2013-08-02 16:06:44.241949	2013-08-03 22:29:29.466777
47019	19	2013-08-02 16:06:44.096962	2013-08-02 16:06:44.096962
46988	4	2013-08-02 16:06:44.05128	2013-08-04 21:01:21.840861
46968	4	2013-08-02 16:06:44.016886	2013-08-04 21:01:21.85594
47022	2	2013-08-02 16:06:44.102289	2013-08-02 16:06:44.102289
47015	7	2013-08-02 16:06:44.090073	2013-08-03 20:24:25.504281
47024	4	2013-08-02 16:06:44.105986	2013-08-02 16:06:44.105986
46981	16	2013-08-02 16:06:44.043612	2013-08-04 01:23:20.675921
47026	6	2013-08-02 16:06:44.110004	2013-08-02 16:06:44.110004
47027	7	2013-08-02 16:06:44.112066	2013-08-02 16:06:44.112066
47029	9	2013-08-02 16:06:44.116259	2013-08-02 16:06:44.116259
47081	21	2013-08-02 16:06:44.244668	2013-08-08 01:02:58.196286
47031	11	2013-08-02 16:06:44.120397	2013-08-02 16:06:44.120397
47033	13	2013-08-02 16:06:44.124439	2013-08-02 16:06:44.124439
47034	14	2013-08-02 16:06:44.126472	2013-08-02 16:06:44.126472
47060	11	2013-08-02 16:06:44.183827	2013-08-03 22:29:29.49038
47036	16	2013-08-02 16:06:44.130529	2013-08-02 16:06:44.130529
47040	13	2013-08-02 16:06:44.139419	2013-08-03 22:29:29.512058
47039	19	2013-08-02 16:06:44.137178	2013-08-02 16:06:44.137178
47042	2	2013-08-02 16:06:44.143887	2013-08-02 16:06:44.143887
47035	6	2013-08-02 16:06:44.128551	2013-08-03 20:24:25.505513
47044	4	2013-08-02 16:06:44.148396	2013-08-02 16:06:44.148396
47001	14	2013-08-02 16:06:44.068166	2013-08-04 01:23:20.678253
47046	6	2013-08-02 16:06:44.152977	2013-08-02 16:06:44.152977
47047	7	2013-08-02 16:06:44.155195	2013-08-02 16:06:44.155195
47049	9	2013-08-02 16:06:44.160532	2013-08-02 16:06:44.160532
47051	11	2013-08-02 16:06:44.166121	2013-08-02 16:06:44.166121
47053	13	2013-08-02 16:06:44.16905	2013-08-02 16:06:44.16905
47054	14	2013-08-02 16:06:44.170185	2013-08-02 16:06:44.170185
47056	16	2013-08-02 16:06:44.172597	2013-08-02 16:06:44.172597
46965	7	2013-08-02 16:06:44.009818	2013-08-03 23:42:07.194501
47059	19	2013-08-02 16:06:44.181146	2013-08-02 16:06:44.181146
47021	13	2013-08-02 16:06:44.100419	2013-08-04 01:23:20.67917
47062	2	2013-08-02 16:06:44.189236	2013-08-02 16:06:44.189236
47064	4	2013-08-02 16:06:44.194554	2013-08-02 16:06:44.194554
47061	11	2013-08-02 16:06:44.186529	2013-08-04 01:23:20.681164
47066	6	2013-08-02 16:06:44.200254	2013-08-02 16:06:44.200254
47067	7	2013-08-02 16:06:44.203065	2013-08-02 16:06:44.203065
47069	9	2013-08-02 16:06:44.208956	2013-08-02 16:06:44.208956
47071	11	2013-08-02 16:06:44.215056	2013-08-02 16:06:44.215056
47073	13	2013-08-02 16:06:44.221146	2013-08-02 16:06:44.221146
47074	14	2013-08-02 16:06:44.223957	2013-08-02 16:06:44.223957
46985	6	2013-08-02 16:06:44.04806	2013-08-03 23:42:07.196395
47076	16	2013-08-02 16:06:44.230535	2013-08-02 16:06:44.230535
47005	4	2013-08-02 16:06:44.073996	2013-08-03 23:42:07.198227
47079	19	2013-08-02 16:06:44.239266	2013-08-02 16:06:44.239266
47082	2	2013-08-02 16:06:44.24731	2013-08-02 16:06:44.24731
47075	4	2013-08-02 16:06:44.226814	2013-08-03 20:24:25.50739
47084	4	2013-08-02 16:06:44.252692	2013-08-02 16:06:44.252692
47041	2	2013-08-02 16:06:44.141611	2013-08-04 01:25:47.775663
47086	6	2013-08-02 16:06:44.258061	2013-08-02 16:06:44.258061
47087	7	2013-08-02 16:06:44.260817	2013-08-02 16:06:44.260817
47089	9	2013-08-02 16:06:44.266284	2013-08-02 16:06:44.266284
47091	11	2013-08-02 16:06:44.271653	2013-08-02 16:06:44.271653
47093	13	2013-08-02 16:06:44.277017	2013-08-02 16:06:44.277017
47094	14	2013-08-02 16:06:44.279662	2013-08-02 16:06:44.279662
46952	19	2013-08-02 16:06:43.978816	2013-08-04 01:48:24.960574
47096	16	2013-08-02 16:06:44.285028	2013-08-02 16:06:44.285028
47045	2	2013-08-02 16:06:44.15068	2013-08-03 23:42:07.201215
47099	19	2013-08-02 16:06:44.293076	2013-08-02 16:06:44.293076
47018	21	2013-08-02 16:06:44.095232	2013-08-03 21:59:23.130723
46998	21	2013-08-02 16:06:44.063574	2013-08-03 21:59:23.134063
46955	16	2013-08-02 16:06:43.986062	2013-08-04 01:48:24.96437
46958	16	2013-08-02 16:06:43.993226	2013-08-03 21:59:23.15822
47058	6	2013-08-02 16:06:44.17841	2013-08-03 21:59:23.640554
46990	14	2013-08-02 16:06:44.05335	2013-08-04 01:48:24.970557
47010	13	2013-08-02 16:06:44.081893	2013-08-04 01:48:24.974021
47085	13	2013-08-02 16:06:44.255373	2013-08-03 23:44:25.389356
47065	4	2013-08-02 16:06:44.197269	2013-08-03 23:44:25.406926
47025	21	2013-08-02 16:06:44.107964	2013-08-03 23:44:26.037017
46978	21	2013-08-02 16:06:44.03964	2013-08-03 23:45:41.295408
47050	11	2013-08-02 16:06:44.163363	2013-08-04 01:48:24.98021
47070	9	2013-08-02 16:06:44.212012	2013-08-04 01:48:24.983386
47030	2	2013-08-02 16:06:44.118303	2013-08-04 01:50:58.304481
46970	2	2013-08-02 16:06:44.021854	2013-08-04 01:55:51.841671
47020	2	2013-08-02 16:06:44.09868	2013-08-04 01:55:51.85207
10049	14	2013-08-02 16:05:23.318155	2013-08-04 17:46:51.785335
47102	2	2013-08-02 16:06:44.301363	2013-08-02 16:06:44.301363
47115	2	2013-08-02 16:06:44.333958	2013-08-03 20:24:25.509617
47104	4	2013-08-02 16:06:44.306728	2013-08-02 16:06:44.306728
47112	2	2013-08-02 16:06:44.326555	2013-08-04 00:59:09.45834
47106	6	2013-08-02 16:06:44.31205	2013-08-02 16:06:44.31205
47107	7	2013-08-02 16:06:44.314589	2013-08-02 16:06:44.314589
47109	9	2013-08-02 16:06:44.319426	2013-08-02 16:06:44.319426
9900	14	2013-08-02 16:05:23.184447	2013-08-04 17:46:51.789867
47111	11	2013-08-02 16:06:44.324271	2013-08-02 16:06:44.324271
10029	14	2013-08-02 16:05:23.299222	2013-08-04 17:46:51.795041
47113	13	2013-08-02 16:06:44.328958	2013-08-02 16:06:44.328958
47114	14	2013-08-02 16:06:44.331323	2013-08-02 16:06:44.331323
47138	21	2013-08-02 16:06:44.390995	2013-08-03 22:29:29.363539
47116	16	2013-08-02 16:06:44.33649	2013-08-02 16:06:44.33649
47108	21	2013-08-02 16:06:44.317034	2013-08-08 01:02:58.644686
47240	21	2013-08-02 16:06:44.486076	2013-08-03 22:29:29.367241
47119	19	2013-08-02 16:06:44.343819	2013-08-02 16:06:44.343819
10009	14	2013-08-02 16:05:23.28253	2013-08-04 17:46:51.800179
10046	14	2013-08-02 16:05:23.31535	2013-08-04 17:46:51.808944
47122	2	2013-08-02 16:06:44.351478	2013-08-02 16:06:44.351478
9989	14	2013-08-02 16:05:23.265276	2013-08-04 17:46:51.817162
47124	4	2013-08-02 16:06:44.356402	2013-08-02 16:06:44.356402
47163	2	2013-08-02 16:06:44.419567	2013-08-04 01:00:53.636333
47126	6	2013-08-02 16:06:44.361723	2013-08-02 16:06:44.361723
47127	7	2013-08-02 16:06:44.364224	2013-08-02 16:06:44.364224
47129	9	2013-08-02 16:06:44.369055	2013-08-02 16:06:44.369055
47128	21	2013-08-02 16:06:44.36663	2013-08-08 01:02:59.121761
47131	11	2013-08-02 16:06:44.37385	2013-08-02 16:06:44.37385
47148	21	2013-08-02 16:06:44.406075	2013-08-08 01:02:59.595062
47133	13	2013-08-02 16:06:44.378982	2013-08-02 16:06:44.378982
47134	14	2013-08-02 16:06:44.381394	2013-08-02 16:06:44.381394
47220	21	2013-08-02 16:06:44.466608	2013-08-03 22:29:29.370723
47136	16	2013-08-02 16:06:44.386191	2013-08-02 16:06:44.386191
47168	21	2013-08-02 16:06:44.424203	2013-08-08 01:03:00.141162
47200	21	2013-08-02 16:06:44.449342	2013-08-03 22:29:29.374171
47139	19	2013-08-02 16:06:44.393386	2013-08-02 16:06:44.393386
47252	2	2013-08-02 16:06:44.77393	2013-08-04 01:00:53.641379
47188	21	2013-08-02 16:06:44.440298	2013-08-08 01:03:00.586726
47142	2	2013-08-02 16:06:44.40061	2013-08-02 16:06:44.40061
47155	19	2013-08-02 16:06:44.412953	2013-08-03 20:24:44.511374
47144	4	2013-08-02 16:06:44.402171	2013-08-02 16:06:44.402171
47232	2	2013-08-02 16:06:44.478989	2013-08-04 01:00:53.646634
47146	6	2013-08-02 16:06:44.403964	2013-08-02 16:06:44.403964
47147	7	2013-08-02 16:06:44.405312	2013-08-02 16:06:44.405312
47149	9	2013-08-02 16:06:44.406905	2013-08-02 16:06:44.406905
47208	21	2013-08-02 16:06:44.456853	2013-08-08 01:03:01.049059
47151	11	2013-08-02 16:06:44.409138	2013-08-02 16:06:44.409138
47228	21	2013-08-02 16:06:44.475046	2013-08-08 01:03:01.547345
47153	13	2013-08-02 16:06:44.410633	2013-08-02 16:06:44.410633
47154	14	2013-08-02 16:06:44.412209	2013-08-02 16:06:44.412209
47180	21	2013-08-02 16:06:44.433127	2013-08-03 22:29:29.377408
47156	16	2013-08-02 16:06:44.413645	2013-08-02 16:06:44.413645
47238	21	2013-08-02 16:06:44.484012	2013-08-08 01:03:02.111347
47160	21	2013-08-02 16:06:44.417274	2013-08-03 22:29:29.380738
47159	19	2013-08-02 16:06:44.416577	2013-08-02 16:06:44.416577
47212	2	2013-08-02 16:06:44.459955	2013-08-04 01:00:53.651921
47248	21	2013-08-02 16:06:44.493599	2013-08-08 01:03:02.678653
47162	2	2013-08-02 16:06:44.418734	2013-08-02 16:06:44.418734
47181	21	2013-08-02 16:06:44.433815	2013-08-08 01:03:03.12732
47164	4	2013-08-02 16:06:44.42044	2013-08-02 16:06:44.42044
47192	2	2013-08-02 16:06:44.443313	2013-08-04 01:00:53.656002
47166	6	2013-08-02 16:06:44.422735	2013-08-02 16:06:44.422735
47167	7	2013-08-02 16:06:44.423478	2013-08-02 16:06:44.423478
47169	9	2013-08-02 16:06:44.424923	2013-08-02 16:06:44.424923
47171	11	2013-08-02 16:06:44.426376	2013-08-02 16:06:44.426376
47173	13	2013-08-02 16:06:44.427763	2013-08-02 16:06:44.427763
47174	14	2013-08-02 16:06:44.428774	2013-08-02 16:06:44.428774
47140	19	2013-08-02 16:06:44.395764	2013-08-03 22:29:29.400672
47176	16	2013-08-02 16:06:44.430135	2013-08-02 16:06:44.430135
47245	21	2013-08-02 16:06:44.490403	2013-08-03 23:44:25.277849
47179	19	2013-08-02 16:06:44.432411	2013-08-02 16:06:44.432411
47172	2	2013-08-02 16:06:44.427079	2013-08-04 01:00:53.663448
47182	2	2013-08-02 16:06:44.434555	2013-08-02 16:06:44.434555
47195	16	2013-08-02 16:06:44.445484	2013-08-03 20:24:44.519207
47184	4	2013-08-02 16:06:44.437106	2013-08-02 16:06:44.437106
47152	2	2013-08-02 16:06:44.409857	2013-08-04 01:00:53.667056
47186	6	2013-08-02 16:06:44.438876	2013-08-02 16:06:44.438876
47187	7	2013-08-02 16:06:44.439574	2013-08-02 16:06:44.439574
47189	9	2013-08-02 16:06:44.441199	2013-08-02 16:06:44.441199
47191	11	2013-08-02 16:06:44.442621	2013-08-02 16:06:44.442621
47193	13	2013-08-02 16:06:44.444028	2013-08-02 16:06:44.444028
47194	14	2013-08-02 16:06:44.444764	2013-08-02 16:06:44.444764
47196	16	2013-08-02 16:06:44.446189	2013-08-02 16:06:44.446189
47205	16	2013-08-02 16:06:44.453861	2013-08-03 23:44:25.293818
47199	19	2013-08-02 16:06:44.448439	2013-08-02 16:06:44.448439
47101	7	2013-08-02 16:06:44.298727	2013-08-04 01:23:20.686849
47202	2	2013-08-02 16:06:44.45117	2013-08-02 16:06:44.45117
47215	14	2013-08-02 16:06:44.462116	2013-08-03 20:24:44.522933
47204	4	2013-08-02 16:06:44.452727	2013-08-02 16:06:44.452727
47132	6	2013-08-02 16:06:44.376433	2013-08-04 01:23:20.688304
47206	6	2013-08-02 16:06:44.455184	2013-08-02 16:06:44.455184
47207	7	2013-08-02 16:06:44.456054	2013-08-02 16:06:44.456054
47209	9	2013-08-02 16:06:44.457625	2013-08-02 16:06:44.457625
47211	11	2013-08-02 16:06:44.459184	2013-08-02 16:06:44.459184
47213	13	2013-08-02 16:06:44.460706	2013-08-02 16:06:44.460706
47214	14	2013-08-02 16:06:44.461417	2013-08-02 16:06:44.461417
47185	14	2013-08-02 16:06:44.438142	2013-08-03 23:44:25.301603
47216	16	2013-08-02 16:06:44.462833	2013-08-02 16:06:44.462833
47219	19	2013-08-02 16:06:44.464967	2013-08-02 16:06:44.464967
47222	2	2013-08-02 16:06:44.468604	2013-08-02 16:06:44.468604
47235	13	2013-08-02 16:06:44.481462	2013-08-03 20:24:44.526482
47224	4	2013-08-02 16:06:44.471133	2013-08-02 16:06:44.471133
47135	4	2013-08-02 16:06:44.383783	2013-08-04 01:23:20.690496
47226	6	2013-08-02 16:06:44.473192	2013-08-02 16:06:44.473192
47227	7	2013-08-02 16:06:44.474032	2013-08-02 16:06:44.474032
47229	9	2013-08-02 16:06:44.475953	2013-08-02 16:06:44.475953
47231	11	2013-08-02 16:06:44.47784	2013-08-02 16:06:44.47784
47233	13	2013-08-02 16:06:44.479854	2013-08-02 16:06:44.479854
47234	14	2013-08-02 16:06:44.480634	2013-08-02 16:06:44.480634
47145	19	2013-08-02 16:06:44.402937	2013-08-03 23:44:25.320638
47236	16	2013-08-02 16:06:44.482295	2013-08-02 16:06:44.482295
47125	11	2013-08-02 16:06:44.359057	2013-08-03 23:44:25.32741
47239	19	2013-08-02 16:06:44.484918	2013-08-02 16:06:44.484918
47242	2	2013-08-02 16:06:44.487811	2013-08-02 16:06:44.487811
47244	4	2013-08-02 16:06:44.489564	2013-08-02 16:06:44.489564
47161	2	2013-08-02 16:06:44.417993	2013-08-04 01:23:20.692818
47246	6	2013-08-02 16:06:44.491745	2013-08-02 16:06:44.491745
47247	7	2013-08-02 16:06:44.492626	2013-08-02 16:06:44.492626
47249	9	2013-08-02 16:06:44.76975	2013-08-02 16:06:44.76975
47251	11	2013-08-02 16:06:44.773052	2013-08-02 16:06:44.773052
47253	13	2013-08-02 16:06:44.774784	2013-08-02 16:06:44.774784
47254	14	2013-08-02 16:06:44.775658	2013-08-02 16:06:44.775658
47105	7	2013-08-02 16:06:44.309414	2013-08-03 23:44:25.341528
47256	16	2013-08-02 16:06:44.777691	2013-08-02 16:06:44.777691
47183	11	2013-08-02 16:06:44.435946	2013-08-03 20:03:51.966448
47198	19	2013-08-02 16:06:44.44774	2013-08-03 21:59:23.543911
47178	7	2013-08-02 16:06:44.431491	2013-08-03 21:59:23.557913
47158	9	2013-08-02 16:06:44.415866	2013-08-03 21:59:23.577969
47241	11	2013-08-02 16:06:44.486935	2013-08-04 01:25:46.598586
47201	4	2013-08-02 16:06:44.450398	2013-08-04 01:25:46.616646
47225	6	2013-08-02 16:06:44.472289	2013-08-04 01:25:46.632526
47141	19	2013-08-02 16:06:44.398208	2013-08-04 01:25:46.744209
47121	21	2013-08-02 16:06:44.348833	2013-08-04 01:25:46.851507
47110	6	2013-08-02 16:06:44.321862	2013-08-04 01:48:24.993458
47150	4	2013-08-02 16:06:44.408393	2013-08-04 01:48:25.000605
47190	2	2013-08-02 16:06:44.441931	2013-08-04 01:48:25.007873
47210	4	2013-08-02 16:06:44.458409	2013-08-04 01:50:56.842502
47130	21	2013-08-02 16:06:44.371424	2013-08-04 01:50:56.976962
47170	2	2013-08-02 16:06:44.425654	2013-08-04 01:50:57.376852
47218	2	2013-08-02 16:06:44.464235	2013-08-04 01:50:57.926538
47250	2	2013-08-02 16:06:44.772053	2013-08-04 01:50:57.938672
47230	2	2013-08-02 16:06:44.476905	2013-08-04 01:50:57.950069
47221	2	2013-08-02 16:06:44.467512	2013-08-04 01:55:51.830282
47280	21	2013-08-02 16:06:44.799263	2013-08-03 22:29:29.35644
47259	19	2013-08-02 16:06:44.780174	2013-08-02 16:06:44.780174
47392	2	2013-08-02 16:06:44.912384	2013-08-04 01:00:53.597744
9926	14	2013-08-02 16:05:23.20611	2013-08-04 17:46:51.82742
47262	2	2013-08-02 16:06:44.783397	2013-08-02 16:06:44.783397
47275	11	2013-08-02 16:06:44.795503	2013-08-03 20:24:44.534117
47264	4	2013-08-02 16:06:44.785227	2013-08-02 16:06:44.785227
47325	2	2013-08-02 16:06:44.835397	2013-08-04 01:00:53.605212
47266	6	2013-08-02 16:06:44.787014	2013-08-02 16:06:44.787014
47267	7	2013-08-02 16:06:44.788191	2013-08-02 16:06:44.788191
47269	9	2013-08-02 16:06:44.789973	2013-08-02 16:06:44.789973
4469	14	2013-08-02 16:05:12.640663	2013-08-04 17:46:51.897747
47271	11	2013-08-02 16:06:44.792022	2013-08-02 16:06:44.792022
9969	14	2013-08-02 16:05:23.244157	2013-08-04 17:46:51.915037
47273	13	2013-08-02 16:06:44.793787	2013-08-02 16:06:44.793787
47274	14	2013-08-02 16:06:44.794639	2013-08-02 16:06:44.794639
47260	21	2013-08-02 16:06:44.781034	2013-08-03 22:29:29.360281
47276	16	2013-08-02 16:06:44.796278	2013-08-02 16:06:44.796278
47268	21	2013-08-02 16:06:44.789083	2013-08-08 01:03:03.67579
25137	14	2013-08-02 16:05:54.100004	2013-08-04 17:46:51.920345
47279	19	2013-08-02 16:06:44.798539	2013-08-02 16:06:44.798539
47372	2	2013-08-02 16:06:44.890716	2013-08-04 01:00:53.610426
9949	14	2013-08-02 16:05:23.22811	2013-08-04 17:46:51.926076
47282	2	2013-08-02 16:06:44.800721	2013-08-02 16:06:44.800721
762	14	2013-08-02 16:05:05.20277	2013-08-04 17:46:51.93222
47284	4	2013-08-02 16:06:44.80216	2013-08-02 16:06:44.80216
47352	2	2013-08-02 16:06:44.867741	2013-08-04 01:00:53.615901
47286	6	2013-08-02 16:06:44.8036	2013-08-02 16:06:44.8036
47287	7	2013-08-02 16:06:44.804315	2013-08-02 16:06:44.804315
47289	9	2013-08-02 16:06:44.80594	2013-08-02 16:06:44.80594
9929	14	2013-08-02 16:05:23.208289	2013-08-04 17:46:51.943494
47291	11	2013-08-02 16:06:44.807698	2013-08-02 16:06:44.807698
9950	14	2013-08-02 16:05:23.228849	2013-08-04 17:46:51.95423
47293	13	2013-08-02 16:06:44.809151	2013-08-02 16:06:44.809151
47294	14	2013-08-02 16:06:44.80986	2013-08-02 16:06:44.80986
47320	9	2013-08-02 16:06:44.831431	2013-08-03 22:31:49.51464
47296	16	2013-08-02 16:06:44.811285	2013-08-02 16:06:44.811285
47288	21	2013-08-02 16:06:44.805073	2013-08-08 01:03:04.346381
47299	19	2013-08-02 16:06:44.813421	2013-08-02 16:06:44.813421
47332	2	2013-08-02 16:06:44.841905	2013-08-04 01:00:53.62056
9909	14	2013-08-02 16:05:23.191889	2013-08-04 17:46:51.964947
47302	2	2013-08-02 16:06:44.816029	2013-08-02 16:06:44.816029
47315	9	2013-08-02 16:06:44.827696	2013-08-03 20:24:44.541115
47304	4	2013-08-02 16:06:44.817467	2013-08-02 16:06:44.817467
47312	2	2013-08-02 16:06:44.824776	2013-08-04 01:00:53.624309
47306	6	2013-08-02 16:06:44.818875	2013-08-02 16:06:44.818875
47307	7	2013-08-02 16:06:44.819659	2013-08-02 16:06:44.819659
47309	9	2013-08-02 16:06:44.821774	2013-08-02 16:06:44.821774
20416	14	2013-08-02 16:05:44.319135	2013-08-04 17:46:52.499685
47311	11	2013-08-02 16:06:44.823473	2013-08-02 16:06:44.823473
20393	14	2013-08-02 16:05:44.29873	2013-08-04 17:46:52.512545
47313	13	2013-08-02 16:06:44.825951	2013-08-02 16:06:44.825951
47314	14	2013-08-02 16:06:44.826976	2013-08-02 16:06:44.826976
47360	7	2013-08-02 16:06:44.87852	2013-08-03 22:31:49.522107
47316	16	2013-08-02 16:06:44.828411	2013-08-02 16:06:44.828411
47340	6	2013-08-02 16:06:44.851326	2013-08-08 01:03:05.138115
47380	6	2013-08-02 16:06:44.899914	2013-08-03 22:31:49.525708
47319	19	2013-08-02 16:06:44.830692	2013-08-02 16:06:44.830692
47292	2	2013-08-02 16:06:44.808411	2013-08-04 01:00:53.627929
47308	21	2013-08-02 16:06:44.820839	2013-08-08 01:03:05.191114
47322	2	2013-08-02 16:06:44.83305	2013-08-02 16:06:44.83305
47324	4	2013-08-02 16:06:44.8346	2013-08-02 16:06:44.8346
47272	2	2013-08-02 16:06:44.792918	2013-08-04 01:00:53.631626
47326	6	2013-08-02 16:06:44.836172	2013-08-02 16:06:44.836172
47327	7	2013-08-02 16:06:44.837142	2013-08-02 16:06:44.837142
47329	9	2013-08-02 16:06:44.838924	2013-08-02 16:06:44.838924
47335	21	2013-08-02 16:06:44.845732	2013-08-08 01:03:05.9082
47331	11	2013-08-02 16:06:44.840828	2013-08-02 16:06:44.840828
47328	21	2013-08-02 16:06:44.838055	2013-08-08 01:03:06.117387
47333	13	2013-08-02 16:06:44.843061	2013-08-02 16:06:44.843061
47334	14	2013-08-02 16:06:44.844473	2013-08-02 16:06:44.844473
47348	6	2013-08-02 16:06:44.862478	2013-08-08 01:03:07.516678
47336	16	2013-08-02 16:06:44.846798	2013-08-02 16:06:44.846798
47368	21	2013-08-02 16:06:44.886419	2013-08-08 01:03:07.567458
47305	21	2013-08-02 16:06:44.81817	2013-08-03 23:44:25.273127
47339	19	2013-08-02 16:06:44.850168	2013-08-02 16:06:44.850168
47412	21	2013-08-02 16:06:44.935003	2013-08-04 01:08:40.868459
47342	2	2013-08-02 16:06:44.854183	2013-08-02 16:06:44.854183
47355	7	2013-08-02 16:06:44.871589	2013-08-03 20:24:44.548405
47344	4	2013-08-02 16:06:44.85643	2013-08-02 16:06:44.85643
47403	19	2013-08-02 16:06:44.924116	2013-08-04 01:25:46.504368
47346	6	2013-08-02 16:06:44.859463	2013-08-02 16:06:44.859463
47347	7	2013-08-02 16:06:44.860971	2013-08-02 16:06:44.860971
47349	9	2013-08-02 16:06:44.863812	2013-08-02 16:06:44.863812
47351	11	2013-08-02 16:06:44.866571	2013-08-02 16:06:44.866571
47353	13	2013-08-02 16:06:44.86954	2013-08-02 16:06:44.86954
47354	14	2013-08-02 16:06:44.870613	2013-08-02 16:06:44.870613
47285	21	2013-08-02 16:06:44.802886	2013-08-03 23:44:25.274803
47356	16	2013-08-02 16:06:44.872716	2013-08-02 16:06:44.872716
47265	21	2013-08-02 16:06:44.786121	2013-08-03 23:44:25.276223
47359	19	2013-08-02 16:06:44.877176	2013-08-02 16:06:44.877176
47362	2	2013-08-02 16:06:44.880961	2013-08-02 16:06:44.880961
47398	21	2013-08-02 16:06:44.919508	2013-08-03 21:59:23.435931
47364	4	2013-08-02 16:06:44.882769	2013-08-02 16:06:44.882769
47366	6	2013-08-02 16:06:44.884581	2013-08-02 16:06:44.884581
47367	7	2013-08-02 16:06:44.885521	2013-08-02 16:06:44.885521
47369	9	2013-08-02 16:06:44.887215	2013-08-02 16:06:44.887215
47371	11	2013-08-02 16:06:44.888794	2013-08-02 16:06:44.888794
47373	13	2013-08-02 16:06:44.89271	2013-08-02 16:06:44.89271
47374	14	2013-08-02 16:06:44.893588	2013-08-02 16:06:44.893588
47376	16	2013-08-02 16:06:44.896287	2013-08-02 16:06:44.896287
47400	11	2013-08-02 16:06:44.921375	2013-08-03 23:45:51.84536
47379	19	2013-08-02 16:06:44.899015	2013-08-02 16:06:44.899015
47361	16	2013-08-02 16:06:44.87982	2013-08-04 01:25:46.530906
47382	2	2013-08-02 16:06:44.901823	2013-08-02 16:06:44.901823
47378	21	2013-08-02 16:06:44.898118	2013-08-03 21:59:23.440286
47384	4	2013-08-02 16:06:44.904419	2013-08-02 16:06:44.904419
47341	13	2013-08-02 16:06:44.852462	2013-08-04 01:25:46.546925
47386	6	2013-08-02 16:06:44.906218	2013-08-02 16:06:44.906218
47387	7	2013-08-02 16:06:44.907109	2013-08-02 16:06:44.907109
47389	9	2013-08-02 16:06:44.909741	2013-08-02 16:06:44.909741
47391	11	2013-08-02 16:06:44.911497	2013-08-02 16:06:44.911497
47393	13	2013-08-02 16:06:44.913275	2013-08-02 16:06:44.913275
47394	14	2013-08-02 16:06:44.914791	2013-08-02 16:06:44.914791
47396	16	2013-08-02 16:06:44.916865	2013-08-02 16:06:44.916865
47365	9	2013-08-02 16:06:44.88367	2013-08-03 23:45:51.848292
47399	19	2013-08-02 16:06:44.920376	2013-08-02 16:06:44.920376
47321	9	2013-08-02 16:06:44.832226	2013-08-04 01:25:46.564875
47402	2	2013-08-02 16:06:44.923195	2013-08-02 16:06:44.923195
47358	21	2013-08-02 16:06:44.875503	2013-08-03 21:59:23.443929
47404	4	2013-08-02 16:06:44.925038	2013-08-02 16:06:44.925038
47406	6	2013-08-02 16:06:44.928452	2013-08-02 16:06:44.928452
47407	7	2013-08-02 16:06:44.929313	2013-08-02 16:06:44.929313
47409	9	2013-08-02 16:06:44.932142	2013-08-02 16:06:44.932142
47411	11	2013-08-02 16:06:44.934103	2013-08-02 16:06:44.934103
47413	13	2013-08-02 16:06:44.935881	2013-08-02 16:06:44.935881
47414	14	2013-08-02 16:06:44.936818	2013-08-02 16:06:44.936818
47383	2	2013-08-02 16:06:44.903537	2013-08-03 20:08:28.327663
47338	21	2013-08-02 16:06:44.849154	2013-08-03 21:59:23.447545
47318	21	2013-08-02 16:06:44.829854	2013-08-03 21:59:23.451035
47298	21	2013-08-02 16:06:44.812708	2013-08-03 21:59:23.454811
47278	14	2013-08-02 16:06:44.797813	2013-08-03 21:59:23.474882
47405	7	2013-08-02 16:06:44.926731	2013-08-03 23:45:51.850902
47281	7	2013-08-02 16:06:44.799984	2013-08-04 01:25:46.58024
47410	2	2013-08-02 16:06:44.933211	2013-08-04 01:50:57.78104
47345	2	2013-08-02 16:06:44.858263	2013-08-04 01:50:57.792051
47390	2	2013-08-02 16:06:44.910622	2013-08-04 01:50:57.795498
47370	2	2013-08-02 16:06:44.887979	2013-08-04 01:50:57.799081
47350	2	2013-08-02 16:06:44.865463	2013-08-04 01:50:57.857114
47330	2	2013-08-02 16:06:44.839762	2013-08-04 01:50:57.865389
47310	2	2013-08-02 16:06:44.822684	2013-08-04 01:50:57.873189
47290	2	2013-08-02 16:06:44.806807	2013-08-04 01:50:57.881519
47295	2	2013-08-02 16:06:44.810574	2013-08-04 01:50:57.892526
47300	2	2013-08-02 16:06:44.81423	2013-08-04 01:50:57.903059
47498	21	2013-08-02 16:06:45.021174	2013-08-03 22:04:21.900071
47416	16	2013-08-02 16:06:44.939392	2013-08-02 16:06:44.939392
47428	21	2013-08-02 16:06:44.951064	2013-08-08 01:03:09.84462
47420	4	2013-08-02 16:06:44.942988	2013-08-03 22:31:49.532737
47419	19	2013-08-02 16:06:44.942074	2013-08-02 16:06:44.942074
47432	19	2013-08-02 16:06:44.955184	2013-08-04 01:02:30.56893
20265	14	2013-08-02 16:05:44.1658	2013-08-04 17:46:52.523821
47422	2	2013-08-02 16:06:44.944794	2013-08-02 16:06:44.944794
47448	21	2013-08-02 16:06:44.972562	2013-08-08 01:03:09.986679
47424	4	2013-08-02 16:06:44.946509	2013-08-02 16:06:44.946509
47472	16	2013-08-02 16:06:44.996713	2013-08-04 01:02:30.572584
47426	6	2013-08-02 16:06:44.948639	2013-08-02 16:06:44.948639
47427	7	2013-08-02 16:06:44.950241	2013-08-02 16:06:44.950241
47429	9	2013-08-02 16:06:44.951936	2013-08-02 16:06:44.951936
20360	14	2013-08-02 16:05:44.262797	2013-08-04 17:46:52.534761
47431	11	2013-08-02 16:06:44.953676	2013-08-02 16:06:44.953676
13252	14	2013-08-02 16:05:29.325662	2013-08-04 17:46:52.53969
47433	13	2013-08-02 16:06:44.956361	2013-08-02 16:06:44.956361
47434	14	2013-08-02 16:06:44.957235	2013-08-02 16:06:44.957235
47460	2	2013-08-02 16:06:44.984957	2013-08-03 22:31:49.539482
47436	16	2013-08-02 16:06:44.959749	2013-08-02 16:06:44.959749
47468	21	2013-08-02 16:06:44.992898	2013-08-08 01:03:11.11028
13226	14	2013-08-02 16:05:29.296512	2013-08-04 17:46:52.544637
47439	19	2013-08-02 16:06:44.963052	2013-08-02 16:06:44.963052
20396	14	2013-08-02 16:05:44.301497	2013-08-04 17:46:52.550087
2920	14	2013-08-02 16:05:09.356711	2013-08-04 17:46:52.555276
47442	2	2013-08-02 16:06:44.9657	2013-08-02 16:06:44.9657
47488	21	2013-08-02 16:06:45.012521	2013-08-08 01:03:11.315136
47444	4	2013-08-02 16:06:44.968254	2013-08-02 16:06:44.968254
47512	14	2013-08-02 16:06:45.038248	2013-08-04 01:02:30.576157
47446	6	2013-08-02 16:06:44.970822	2013-08-02 16:06:44.970822
47447	7	2013-08-02 16:06:44.971641	2013-08-02 16:06:44.971641
47449	9	2013-08-02 16:06:44.973424	2013-08-02 16:06:44.973424
20376	14	2013-08-02 16:05:44.279927	2013-08-04 17:46:52.559326
47451	11	2013-08-02 16:06:44.975242	2013-08-02 16:06:44.975242
47530	2	2013-08-02 16:06:45.057351	2013-08-04 18:27:20.458086
47453	13	2013-08-02 16:06:44.977895	2013-08-02 16:06:44.977895
47454	14	2013-08-02 16:06:44.978776	2013-08-02 16:06:44.978776
47520	16	2013-08-02 16:06:45.048124	2013-08-03 22:31:56.915232
47456	16	2013-08-02 16:06:44.980508	2013-08-02 16:06:44.980508
47508	6	2013-08-02 16:06:45.033492	2013-08-08 01:03:12.533011
47532	13	2013-08-02 16:06:45.059539	2013-08-04 01:02:30.577999
47459	19	2013-08-02 16:06:44.984117	2013-08-02 16:06:44.984117
47552	11	2013-08-02 16:06:45.081407	2013-08-04 01:02:30.579855
47458	2	2013-08-02 16:06:44.983243	2013-08-04 18:27:20.461312
47462	2	2013-08-02 16:06:44.987583	2013-08-02 16:06:44.987583
47560	14	2013-08-02 16:06:45.091193	2013-08-03 22:31:56.91924
47464	4	2013-08-02 16:06:44.989368	2013-08-02 16:06:44.989368
47557	2	2013-08-02 16:06:45.087856	2013-08-04 18:27:20.468278
47466	6	2013-08-02 16:06:44.991121	2013-08-02 16:06:44.991121
47467	7	2013-08-02 16:06:44.99198	2013-08-02 16:06:44.99198
47469	9	2013-08-02 16:06:44.993819	2013-08-02 16:06:44.993819
47521	2	2013-08-02 16:06:45.049214	2013-08-04 18:27:20.476171
47471	11	2013-08-02 16:06:44.995866	2013-08-02 16:06:44.995866
47528	21	2013-08-02 16:06:45.055641	2013-08-08 01:03:12.654194
47473	13	2013-08-02 16:06:44.997588	2013-08-02 16:06:44.997588
47474	14	2013-08-02 16:06:44.998467	2013-08-02 16:06:44.998467
47418	13	2013-08-02 16:06:44.941176	2013-08-03 22:31:56.921051
47476	16	2013-08-02 16:06:45.001312	2013-08-02 16:06:45.001312
47548	21	2013-08-02 16:06:45.077895	2013-08-08 01:03:13.432474
47440	7	2013-08-02 16:06:44.963911	2013-08-03 22:34:28.440329
47479	19	2013-08-02 16:06:45.003796	2013-08-02 16:06:45.003796
47461	21	2013-08-02 16:06:44.985829	2013-08-04 01:25:46.457975
47568	21	2013-08-02 16:06:45.102387	2013-08-08 01:03:13.642644
47482	2	2013-08-02 16:06:45.006079	2013-08-02 16:06:45.006079
47540	21	2013-08-02 16:06:45.068399	2013-08-03 22:34:29.114345
47484	4	2013-08-02 16:06:45.00886	2013-08-02 16:06:45.00886
47441	21	2013-08-02 16:06:44.964822	2013-08-04 01:25:46.46223
47486	6	2013-08-02 16:06:45.010875	2013-08-02 16:06:45.010875
47487	7	2013-08-02 16:06:45.011677	2013-08-02 16:06:45.011677
47489	9	2013-08-02 16:06:45.013407	2013-08-02 16:06:45.013407
47491	11	2013-08-02 16:06:45.015123	2013-08-02 16:06:45.015123
47493	13	2013-08-02 16:06:45.016656	2013-08-02 16:06:45.016656
47494	14	2013-08-02 16:06:45.017538	2013-08-02 16:06:45.017538
47425	6	2013-08-02 16:06:44.947371	2013-08-03 23:45:51.852106
47496	16	2013-08-02 16:06:45.019578	2013-08-02 16:06:45.019578
47445	4	2013-08-02 16:06:44.969977	2013-08-03 23:45:51.853794
47499	19	2013-08-02 16:06:45.022321	2013-08-02 16:06:45.022321
47480	14	2013-08-02 16:06:45.00463	2013-08-04 01:25:46.476722
47502	2	2013-08-02 16:06:45.02619	2013-08-02 16:06:45.02619
47504	4	2013-08-02 16:06:45.029207	2013-08-02 16:06:45.029207
47506	6	2013-08-02 16:06:45.031341	2013-08-02 16:06:45.031341
47507	7	2013-08-02 16:06:45.032403	2013-08-02 16:06:45.032403
47509	9	2013-08-02 16:06:45.034588	2013-08-02 16:06:45.034588
47511	11	2013-08-02 16:06:45.036954	2013-08-02 16:06:45.036954
47513	13	2013-08-02 16:06:45.03949	2013-08-02 16:06:45.03949
47514	14	2013-08-02 16:06:45.040672	2013-08-02 16:06:45.040672
47485	2	2013-08-02 16:06:45.009639	2013-08-03 23:45:51.856484
47516	16	2013-08-02 16:06:45.043125	2013-08-02 16:06:45.043125
47519	19	2013-08-02 16:06:45.04689	2013-08-02 16:06:45.04689
47522	2	2013-08-02 16:06:45.050112	2013-08-02 16:06:45.050112
47465	21	2013-08-02 16:06:44.990244	2013-08-03 23:45:51.982623
47524	4	2013-08-02 16:06:45.052164	2013-08-02 16:06:45.052164
47505	19	2013-08-02 16:06:45.030126	2013-08-04 01:28:48.56757
47526	6	2013-08-02 16:06:45.053908	2013-08-02 16:06:45.053908
47527	7	2013-08-02 16:06:45.054779	2013-08-02 16:06:45.054779
47529	9	2013-08-02 16:06:45.0565	2013-08-02 16:06:45.0565
47531	11	2013-08-02 16:06:45.058214	2013-08-02 16:06:45.058214
47533	13	2013-08-02 16:06:45.060585	2013-08-02 16:06:45.060585
47534	14	2013-08-02 16:06:45.061495	2013-08-02 16:06:45.061495
47565	4	2013-08-02 16:06:45.098026	2013-08-03 23:49:34.684148
47536	16	2013-08-02 16:06:45.064113	2013-08-02 16:06:45.064113
47539	19	2013-08-02 16:06:45.066972	2013-08-02 16:06:45.066972
47542	2	2013-08-02 16:06:45.070109	2013-08-02 16:06:45.070109
47525	13	2013-08-02 16:06:45.05304	2013-08-03 23:49:34.702421
47544	4	2013-08-02 16:06:45.072731	2013-08-02 16:06:45.072731
47541	16	2013-08-02 16:06:45.069233	2013-08-04 01:28:48.575388
47546	6	2013-08-02 16:06:45.076122	2013-08-02 16:06:45.076122
47547	7	2013-08-02 16:06:45.077041	2013-08-02 16:06:45.077041
47549	9	2013-08-02 16:06:45.078736	2013-08-02 16:06:45.078736
47551	11	2013-08-02 16:06:45.080515	2013-08-02 16:06:45.080515
47553	13	2013-08-02 16:06:45.082286	2013-08-02 16:06:45.082286
47554	14	2013-08-02 16:06:45.083163	2013-08-02 16:06:45.083163
47556	16	2013-08-02 16:06:45.086753	2013-08-02 16:06:45.086753
47475	14	2013-08-02 16:06:45.000212	2013-08-04 01:28:48.583027
47559	19	2013-08-02 16:06:45.090094	2013-08-02 16:06:45.090094
47501	21	2013-08-02 16:06:45.024893	2013-08-04 01:28:57.252845
47562	2	2013-08-02 16:06:45.094067	2013-08-02 16:06:45.094067
47481	21	2013-08-02 16:06:45.005342	2013-08-04 01:30:51.10166
47564	4	2013-08-02 16:06:45.09693	2013-08-02 16:06:45.09693
47470	2	2013-08-02 16:06:44.995028	2013-08-04 01:50:57.746694
47566	6	2013-08-02 16:06:45.099124	2013-08-02 16:06:45.099124
47567	7	2013-08-02 16:06:45.101029	2013-08-02 16:06:45.101029
47569	9	2013-08-02 16:06:45.103732	2013-08-02 16:06:45.103732
47571	11	2013-08-02 16:06:45.10646	2013-08-02 16:06:45.10646
47563	16	2013-08-02 16:06:45.095167	2013-08-03 20:22:30.107451
47415	4	2013-08-02 16:06:44.937724	2013-08-03 20:24:44.559829
47435	2	2013-08-02 16:06:44.958114	2013-08-04 01:50:57.751563
47455	2	2013-08-02 16:06:44.979617	2013-08-03 20:24:44.567309
47555	9	2013-08-02 16:06:45.085267	2013-08-03 20:27:32.410521
47535	9	2013-08-02 16:06:45.062734	2013-08-03 20:27:32.414293
47515	9	2013-08-02 16:06:45.041894	2013-08-03 20:27:32.418995
47495	9	2013-08-02 16:06:45.018789	2013-08-03 20:27:32.427347
47450	2	2013-08-02 16:06:44.974395	2013-08-04 01:50:57.759653
47438	19	2013-08-02 16:06:44.96223	2013-08-03 22:00:16.937701
47478	16	2013-08-02 16:06:45.002979	2013-08-03 22:00:16.939854
47430	2	2013-08-02 16:06:44.952853	2013-08-04 01:50:57.769412
47510	19	2013-08-02 16:06:45.035741	2013-08-04 01:52:55.483574
47550	16	2013-08-02 16:06:45.079648	2013-08-04 01:52:55.487616
47490	21	2013-08-02 16:06:45.014265	2013-08-04 01:55:50.330306
47421	2	2013-08-02 16:06:44.943907	2013-08-04 01:55:52.419713
47570	2	2013-08-02 16:06:45.105099	2013-08-04 02:00:47.90945
47561	2	2013-08-02 16:06:45.092978	2013-08-04 02:00:47.919699
47492	2	2013-08-02 16:06:45.015906	2013-08-04 02:00:47.930958
20356	14	2013-08-02 16:05:44.258182	2013-08-04 17:46:52.564026
47573	13	2013-08-02 16:06:45.109001	2013-08-02 16:06:45.109001
47574	14	2013-08-02 16:06:45.109843	2013-08-02 16:06:45.109843
20310	14	2013-08-02 16:05:44.210864	2013-08-04 17:46:52.567967
47576	16	2013-08-02 16:06:45.111563	2013-08-02 16:06:45.111563
47580	21	2013-08-02 16:06:45.116102	2013-08-08 01:03:14.918511
47600	11	2013-08-02 16:06:45.139874	2013-08-03 22:31:56.925149
47579	19	2013-08-02 16:06:45.11486	2013-08-02 16:06:45.11486
47572	9	2013-08-02 16:06:45.107802	2013-08-04 01:02:30.582305
20335	14	2013-08-02 16:05:44.232558	2013-08-04 17:46:52.57169
47582	2	2013-08-02 16:06:45.118741	2013-08-02 16:06:45.118741
20336	14	2013-08-02 16:05:44.233415	2013-08-04 17:46:52.579868
47584	4	2013-08-02 16:06:45.120747	2013-08-02 16:06:45.120747
47586	6	2013-08-02 16:06:45.122843	2013-08-02 16:06:45.122843
47587	7	2013-08-02 16:06:45.124815	2013-08-02 16:06:45.124815
47589	9	2013-08-02 16:06:45.127379	2013-08-02 16:06:45.127379
20260	14	2013-08-02 16:05:44.161171	2013-08-04 17:46:52.584804
47591	11	2013-08-02 16:06:45.13011	2013-08-02 16:06:45.13011
3081	14	2013-08-02 16:05:09.560998	2013-08-04 17:46:52.588459
47593	13	2013-08-02 16:06:45.132922	2013-08-02 16:06:45.132922
47594	14	2013-08-02 16:06:45.1339	2013-08-02 16:06:45.1339
47640	9	2013-08-02 16:06:45.184995	2013-08-03 22:31:56.929687
47596	16	2013-08-02 16:06:45.13602	2013-08-02 16:06:45.13602
47588	6	2013-08-02 16:06:45.126252	2013-08-08 01:03:15.388776
47599	19	2013-08-02 16:06:45.138826	2013-08-02 16:06:45.138826
47592	7	2013-08-02 16:06:45.13128	2013-08-04 01:02:30.584721
14466	14	2013-08-02 16:05:31.905248	2013-08-04 17:46:52.592448
47602	2	2013-08-02 16:06:45.141849	2013-08-02 16:06:45.141849
47680	7	2013-08-02 16:06:45.252655	2013-08-03 22:31:56.936223
47604	4	2013-08-02 16:06:45.14485	2013-08-02 16:06:45.14485
47612	6	2013-08-02 16:06:45.152429	2013-08-04 01:02:30.58571
47606	6	2013-08-02 16:06:45.14697	2013-08-02 16:06:45.14697
47607	7	2013-08-02 16:06:45.147835	2013-08-02 16:06:45.147835
47609	9	2013-08-02 16:06:45.149849	2013-08-02 16:06:45.149849
20316	14	2013-08-02 16:05:44.216062	2013-08-04 17:46:52.596287
47611	11	2013-08-02 16:06:45.151601	2013-08-02 16:06:45.151601
20296	14	2013-08-02 16:05:44.198656	2013-08-04 17:46:52.5999
47613	13	2013-08-02 16:06:45.153629	2013-08-02 16:06:45.153629
47614	14	2013-08-02 16:06:45.154522	2013-08-02 16:06:45.154522
47700	6	2013-08-02 16:06:45.284911	2013-08-03 22:31:56.938578
47616	16	2013-08-02 16:06:45.156195	2013-08-02 16:06:45.156195
47660	21	2013-08-02 16:06:45.219123	2013-08-08 01:03:15.470412
47608	21	2013-08-02 16:06:45.148735	2013-08-08 01:03:15.712375
47619	19	2013-08-02 16:06:45.158788	2013-08-02 16:06:45.158788
47652	4	2013-08-02 16:06:45.209931	2013-08-04 01:02:30.587576
47628	21	2013-08-02 16:06:45.168799	2013-08-08 01:03:16.210159
47622	2	2013-08-02 16:06:45.162061	2013-08-02 16:06:45.162061
47725	21	2013-08-02 16:06:45.336516	2013-08-03 23:49:34.602101
47624	4	2013-08-02 16:06:45.164144	2013-08-02 16:06:45.164144
47648	21	2013-08-02 16:06:45.202542	2013-08-08 01:03:17.199645
47626	6	2013-08-02 16:06:45.16657	2013-08-02 16:06:45.16657
47627	7	2013-08-02 16:06:45.168022	2013-08-02 16:06:45.168022
47629	9	2013-08-02 16:06:45.169703	2013-08-02 16:06:45.169703
47668	21	2013-08-02 16:06:45.23112	2013-08-08 01:03:17.508506
47631	11	2013-08-02 16:06:45.171639	2013-08-02 16:06:45.171639
47688	21	2013-08-02 16:06:45.26801	2013-08-08 01:03:17.919762
47633	13	2013-08-02 16:06:45.175897	2013-08-02 16:06:45.175897
47634	14	2013-08-02 16:06:45.177379	2013-08-02 16:06:45.177379
47705	21	2013-08-02 16:06:45.291102	2013-08-03 23:49:34.605684
47636	16	2013-08-02 16:06:45.180181	2013-08-02 16:06:45.180181
47685	21	2013-08-02 16:06:45.261315	2013-08-03 23:49:34.608965
47639	19	2013-08-02 16:06:45.184115	2013-08-02 16:06:45.184115
47692	2	2013-08-02 16:06:45.271962	2013-08-04 01:02:30.589914
47642	2	2013-08-02 16:06:45.18939	2013-08-02 16:06:45.18939
47644	4	2013-08-02 16:06:45.194324	2013-08-02 16:06:45.194324
47646	6	2013-08-02 16:06:45.198445	2013-08-02 16:06:45.198445
47647	7	2013-08-02 16:06:45.200685	2013-08-02 16:06:45.200685
47649	9	2013-08-02 16:06:45.204821	2013-08-02 16:06:45.204821
47651	11	2013-08-02 16:06:45.208796	2013-08-02 16:06:45.208796
47653	13	2013-08-02 16:06:45.211088	2013-08-02 16:06:45.211088
47654	14	2013-08-02 16:06:45.212179	2013-08-02 16:06:45.212179
47645	14	2013-08-02 16:06:45.196264	2013-08-03 23:49:34.634425
47656	16	2013-08-02 16:06:45.215157	2013-08-02 16:06:45.215157
47632	21	2013-08-02 16:06:45.173598	2013-08-04 01:03:05.43585
47659	19	2013-08-02 16:06:45.218175	2013-08-02 16:06:45.218175
47662	2	2013-08-02 16:06:45.222182	2013-08-02 16:06:45.222182
47720	16	2013-08-02 16:06:45.323607	2013-08-03 23:49:34.662229
47664	4	2013-08-02 16:06:45.223951	2013-08-02 16:06:45.223951
47672	21	2013-08-02 16:06:45.238074	2013-08-04 01:05:55.660875
47666	6	2013-08-02 16:06:45.228487	2013-08-02 16:06:45.228487
47667	7	2013-08-02 16:06:45.22951	2013-08-02 16:06:45.22951
47669	9	2013-08-02 16:06:45.232358	2013-08-02 16:06:45.232358
47671	11	2013-08-02 16:06:45.236152	2013-08-02 16:06:45.236152
47673	13	2013-08-02 16:06:45.240811	2013-08-02 16:06:45.240811
47674	14	2013-08-02 16:06:45.241993	2013-08-02 16:06:45.241993
47605	11	2013-08-02 16:06:45.145672	2013-08-03 23:49:34.669911
47676	16	2013-08-02 16:06:45.244141	2013-08-02 16:06:45.244141
47625	21	2013-08-02 16:06:45.165718	2013-08-03 23:53:36.639745
47679	19	2013-08-02 16:06:45.249748	2013-08-02 16:06:45.249748
47715	2	2013-08-02 16:06:45.311915	2013-08-04 01:05:56.284885
47682	2	2013-08-02 16:06:45.25556	2013-08-02 16:06:45.25556
47581	13	2013-08-02 16:06:45.117347	2013-08-04 01:28:48.586668
47684	4	2013-08-02 16:06:45.26025	2013-08-02 16:06:45.26025
47686	6	2013-08-02 16:06:45.262193	2013-08-02 16:06:45.262193
47687	7	2013-08-02 16:06:45.264145	2013-08-02 16:06:45.264145
47689	9	2013-08-02 16:06:45.269201	2013-08-02 16:06:45.269201
47691	11	2013-08-02 16:06:45.271047	2013-08-02 16:06:45.271047
47693	13	2013-08-02 16:06:45.273145	2013-08-02 16:06:45.273145
47694	14	2013-08-02 16:06:45.275408	2013-08-02 16:06:45.275408
47621	11	2013-08-02 16:06:45.160789	2013-08-04 01:28:48.590342
47696	16	2013-08-02 16:06:45.278751	2013-08-02 16:06:45.278751
47699	19	2013-08-02 16:06:45.283769	2013-08-02 16:06:45.283769
47665	9	2013-08-02 16:06:45.226343	2013-08-04 01:28:48.592932
47702	2	2013-08-02 16:06:45.287291	2013-08-02 16:06:45.287291
47704	4	2013-08-02 16:06:45.289247	2013-08-02 16:06:45.289247
47661	7	2013-08-02 16:06:45.220484	2013-08-04 01:28:48.595013
47706	6	2013-08-02 16:06:45.293301	2013-08-02 16:06:45.293301
47707	7	2013-08-02 16:06:45.295929	2013-08-02 16:06:45.295929
47709	9	2013-08-02 16:06:45.299785	2013-08-02 16:06:45.299785
47711	11	2013-08-02 16:06:45.303191	2013-08-02 16:06:45.303191
47713	13	2013-08-02 16:06:45.308246	2013-08-02 16:06:45.308246
47714	14	2013-08-02 16:06:45.310184	2013-08-02 16:06:45.310184
47681	6	2013-08-02 16:06:45.253895	2013-08-04 01:28:48.596096
47716	16	2013-08-02 16:06:45.314607	2013-08-02 16:06:45.314607
47719	19	2013-08-02 16:06:45.321403	2013-08-02 16:06:45.321403
47701	21	2013-08-02 16:06:45.28583	2013-08-04 01:30:50.845345
47722	2	2013-08-02 16:06:45.328315	2013-08-02 16:06:45.328315
47601	2	2013-08-02 16:06:45.140746	2013-08-04 01:30:51.756364
47724	4	2013-08-02 16:06:45.333857	2013-08-02 16:06:45.333857
47620	14	2013-08-02 16:06:45.159671	2013-08-04 01:52:55.49202
47726	6	2013-08-02 16:06:45.339775	2013-08-02 16:06:45.339775
47727	7	2013-08-02 16:06:45.342626	2013-08-02 16:06:45.342626
47655	9	2013-08-02 16:06:45.213361	2013-08-03 20:27:32.391464
47635	9	2013-08-02 16:06:45.178481	2013-08-03 20:27:32.395687
47615	9	2013-08-02 16:06:45.15534	2013-08-03 20:27:32.399417
47595	9	2013-08-02 16:06:45.135075	2013-08-03 20:27:32.402794
47575	9	2013-08-02 16:06:45.110703	2013-08-03 20:27:32.406546
47675	14	2013-08-02 16:06:45.243091	2013-08-03 20:29:50.470999
47695	13	2013-08-02 16:06:45.276977	2013-08-03 20:29:50.475475
47578	11	2013-08-02 16:06:45.114089	2013-08-03 22:00:16.944787
47618	9	2013-08-02 16:06:45.157907	2013-08-03 22:00:16.946681
47638	8	2013-08-02 16:06:45.182942	2013-08-03 22:00:16.947543
47658	7	2013-08-02 16:06:45.217032	2013-08-03 22:00:16.94843
47678	6	2013-08-02 16:06:45.247246	2013-08-03 22:00:16.949338
47590	13	2013-08-02 16:06:45.129068	2013-08-04 01:52:55.49436
47630	11	2013-08-02 16:06:45.17063	2013-08-04 01:52:55.498424
47650	9	2013-08-02 16:06:45.206867	2013-08-04 01:52:55.500244
47670	8	2013-08-02 16:06:45.234734	2013-08-04 01:52:55.502283
47690	7	2013-08-02 16:06:45.270134	2013-08-04 01:52:55.504398
47641	6	2013-08-02 16:06:45.186747	2013-08-04 01:52:55.507052
47598	4	2013-08-02 16:06:45.13789	2013-08-04 01:52:55.51251
47710	21	2013-08-02 16:06:45.301438	2013-08-04 01:55:49.905925
47610	4	2013-08-02 16:06:45.150745	2013-08-04 01:55:50.222077
47729	9	2013-08-02 16:06:45.348206	2013-08-02 16:06:45.348206
20276	14	2013-08-02 16:05:44.178619	2013-08-04 17:46:52.603966
47731	11	2013-08-02 16:06:45.354179	2013-08-02 16:06:45.354179
25979	14	2013-08-02 16:05:56.247552	2013-08-04 17:46:52.65402
47733	13	2013-08-02 16:06:45.358121	2013-08-02 16:06:45.358121
47734	14	2013-08-02 16:06:45.360916	2013-08-02 16:06:45.360916
47878	14	2013-08-02 16:06:45.669572	2013-08-03 22:04:22.252089
47736	16	2013-08-02 16:06:45.365601	2013-08-02 16:06:45.365601
47858	9	2013-08-02 16:06:45.614596	2013-08-03 22:04:22.272958
47739	19	2013-08-02 16:06:45.373053	2013-08-02 16:06:45.373053
47872	2	2013-08-02 16:06:45.653282	2013-08-04 01:05:56.214625
26045	14	2013-08-02 16:05:56.50363	2013-08-04 17:46:52.659336
47742	2	2013-08-02 16:06:45.381469	2013-08-02 16:06:45.381469
47838	19	2013-08-02 16:06:45.557853	2013-08-03 22:04:22.29364
47744	4	2013-08-02 16:06:45.386386	2013-08-02 16:06:45.386386
47852	2	2013-08-02 16:06:45.597347	2013-08-04 01:05:56.223609
47746	6	2013-08-02 16:06:45.391197	2013-08-02 16:06:45.391197
47747	7	2013-08-02 16:06:45.393968	2013-08-02 16:06:45.393968
47748	8	2013-08-02 16:06:45.396491	2013-08-02 16:06:45.396491
47749	9	2013-08-02 16:06:45.399219	2013-08-02 16:06:45.399219
25959	14	2013-08-02 16:05:56.19446	2013-08-04 17:46:52.663343
47751	11	2013-08-02 16:06:45.404611	2013-08-02 16:06:45.404611
25939	14	2013-08-02 16:05:56.141212	2013-08-04 17:46:52.668529
47753	13	2013-08-02 16:06:45.409743	2013-08-02 16:06:45.409743
47754	14	2013-08-02 16:06:45.410929	2013-08-02 16:06:45.410929
25919	14	2013-08-02 16:05:56.088484	2013-08-04 17:46:52.673381
47756	16	2013-08-02 16:06:45.412908	2013-08-02 16:06:45.412908
47759	19	2013-08-02 16:06:45.415684	2013-08-02 16:06:45.415684
47832	2	2013-08-02 16:06:45.542697	2013-08-04 01:05:56.234668
25779	14	2013-08-02 16:05:55.734675	2013-08-04 17:46:52.744069
47762	2	2013-08-02 16:06:45.418501	2013-08-02 16:06:45.418501
47740	4	2013-08-02 16:06:45.375751	2013-08-03 22:31:56.945859
47764	4	2013-08-02 16:06:45.42218	2013-08-02 16:06:45.42218
47812	2	2013-08-02 16:06:45.498838	2013-08-04 01:05:56.246425
47766	6	2013-08-02 16:06:45.424002	2013-08-02 16:06:45.424002
47767	7	2013-08-02 16:06:45.424914	2013-08-02 16:06:45.424914
47768	8	2013-08-02 16:06:45.425904	2013-08-02 16:06:45.425904
47769	9	2013-08-02 16:06:45.426748	2013-08-02 16:06:45.426748
4427	21	2013-08-02 16:05:12.579604	2013-08-04 17:46:53.219786
47771	11	2013-08-02 16:06:45.428394	2013-08-02 16:06:45.428394
7399	21	2013-08-02 16:05:17.832089	2013-08-04 17:46:53.223295
47773	13	2013-08-02 16:06:45.430131	2013-08-02 16:06:45.430131
47774	14	2013-08-02 16:06:45.430987	2013-08-02 16:06:45.430987
47792	2	2013-08-02 16:06:45.458364	2013-08-04 01:05:56.258255
47776	16	2013-08-02 16:06:45.432732	2013-08-02 16:06:45.432732
47780	2	2013-08-02 16:06:45.437983	2013-08-03 22:31:56.951175
47779	19	2013-08-02 16:06:45.436495	2013-08-02 16:06:45.436495
47772	2	2013-08-02 16:06:45.4293	2013-08-04 01:05:56.269609
47782	2	2013-08-02 16:06:45.442205	2013-08-02 16:06:45.442205
47784	4	2013-08-02 16:06:45.444201	2013-08-02 16:06:45.444201
47752	2	2013-08-02 16:06:45.407504	2013-08-04 01:05:56.275442
47786	6	2013-08-02 16:06:45.44874	2013-08-02 16:06:45.44874
47787	7	2013-08-02 16:06:45.449625	2013-08-02 16:06:45.449625
47788	8	2013-08-02 16:06:45.451297	2013-08-02 16:06:45.451297
47789	9	2013-08-02 16:06:45.452975	2013-08-02 16:06:45.452975
47877	11	2013-08-02 16:06:45.666859	2013-08-04 18:27:21.589616
47791	11	2013-08-02 16:06:45.456033	2013-08-02 16:06:45.456033
47857	11	2013-08-02 16:06:45.611771	2013-08-04 18:27:21.600844
47793	13	2013-08-02 16:06:45.460148	2013-08-02 16:06:45.460148
47794	14	2013-08-02 16:06:45.461098	2013-08-02 16:06:45.461098
47760	7	2013-08-02 16:06:45.416603	2013-08-03 22:34:28.43391
47796	16	2013-08-02 16:06:45.465197	2013-08-02 16:06:45.465197
47799	19	2013-08-02 16:06:45.470004	2013-08-02 16:06:45.470004
47761	2	2013-08-02 16:06:45.417544	2013-08-04 01:28:48.605044
47802	2	2013-08-02 16:06:45.476009	2013-08-02 16:06:45.476009
47880	13	2013-08-02 16:06:45.673444	2013-08-03 22:34:30.065707
47804	4	2013-08-02 16:06:45.481096	2013-08-02 16:06:45.481096
47778	19	2013-08-02 16:06:45.435165	2013-08-04 01:30:50.544633
47806	6	2013-08-02 16:06:45.484727	2013-08-02 16:06:45.484727
47807	7	2013-08-02 16:06:45.486801	2013-08-02 16:06:45.486801
47808	8	2013-08-02 16:06:45.488821	2013-08-02 16:06:45.488821
47809	9	2013-08-02 16:06:45.491481	2013-08-02 16:06:45.491481
47811	11	2013-08-02 16:06:45.496857	2013-08-02 16:06:45.496857
47813	13	2013-08-02 16:06:45.500725	2013-08-02 16:06:45.500725
47814	14	2013-08-02 16:06:45.502704	2013-08-02 16:06:45.502704
47860	8	2013-08-02 16:06:45.620163	2013-08-03 22:34:30.076432
47816	16	2013-08-02 16:06:45.507339	2013-08-02 16:06:45.507339
47819	19	2013-08-02 16:06:45.513136	2013-08-02 16:06:45.513136
47822	2	2013-08-02 16:06:45.520682	2013-08-02 16:06:45.520682
47840	6	2013-08-02 16:06:45.563512	2013-08-03 22:34:30.086873
47824	4	2013-08-02 16:06:45.525979	2013-08-02 16:06:45.525979
47841	13	2013-08-02 16:06:45.56651	2013-08-04 01:30:50.612516
47826	6	2013-08-02 16:06:45.531456	2013-08-02 16:06:45.531456
47827	7	2013-08-02 16:06:45.534154	2013-08-02 16:06:45.534154
47828	8	2013-08-02 16:06:45.536854	2013-08-02 16:06:45.536854
47829	9	2013-08-02 16:06:45.538262	2013-08-02 16:06:45.538262
47831	11	2013-08-02 16:06:45.541801	2013-08-02 16:06:45.541801
47833	13	2013-08-02 16:06:45.545294	2013-08-02 16:06:45.545294
47834	14	2013-08-02 16:06:45.547051	2013-08-02 16:06:45.547051
47820	2	2013-08-02 16:06:45.515094	2013-08-03 22:34:30.100053
47836	16	2013-08-02 16:06:45.55222	2013-08-02 16:06:45.55222
47839	19	2013-08-02 16:06:45.560693	2013-08-02 16:06:45.560693
47801	6	2013-08-02 16:06:45.473181	2013-08-04 01:30:50.655901
47842	2	2013-08-02 16:06:45.569408	2013-08-02 16:06:45.569408
47745	21	2013-08-02 16:06:45.388355	2013-08-03 23:49:34.5977
47844	4	2013-08-02 16:06:45.575652	2013-08-02 16:06:45.575652
47800	11	2013-08-02 16:06:45.471229	2013-08-04 01:30:50.67768
47846	6	2013-08-02 16:06:45.581199	2013-08-02 16:06:45.581199
47847	7	2013-08-02 16:06:45.583855	2013-08-02 16:06:45.583855
47848	8	2013-08-02 16:06:45.586574	2013-08-02 16:06:45.586574
47849	9	2013-08-02 16:06:45.589298	2013-08-02 16:06:45.589298
47851	11	2013-08-02 16:06:45.594655	2013-08-02 16:06:45.594655
47853	13	2013-08-02 16:06:45.599808	2013-08-02 16:06:45.599808
47854	14	2013-08-02 16:06:45.602811	2013-08-02 16:06:45.602811
47856	16	2013-08-02 16:06:45.609045	2013-08-02 16:06:45.609045
47781	2	2013-08-02 16:06:45.439854	2013-08-04 01:30:50.700286
47859	19	2013-08-02 16:06:45.617444	2013-08-02 16:06:45.617444
47862	2	2013-08-02 16:06:45.625601	2013-08-02 16:06:45.625601
47785	9	2013-08-02 16:06:45.446086	2013-08-03 23:53:57.08675
47864	4	2013-08-02 16:06:45.631008	2013-08-02 16:06:45.631008
47750	2	2013-08-02 16:06:45.401889	2013-08-04 01:52:55.517403
47866	6	2013-08-02 16:06:45.636431	2013-08-02 16:06:45.636431
47867	7	2013-08-02 16:06:45.639551	2013-08-02 16:06:45.639551
47868	8	2013-08-02 16:06:45.642344	2013-08-02 16:06:45.642344
47869	9	2013-08-02 16:06:45.645195	2013-08-02 16:06:45.645195
47871	11	2013-08-02 16:06:45.650695	2013-08-02 16:06:45.650695
47873	13	2013-08-02 16:06:45.655951	2013-08-02 16:06:45.655951
47874	14	2013-08-02 16:06:45.658723	2013-08-02 16:06:45.658723
47805	8	2013-08-02 16:06:45.483123	2013-08-03 23:53:57.088023
47876	16	2013-08-02 16:06:45.664147	2013-08-02 16:06:45.664147
47879	19	2013-08-02 16:06:45.672065	2013-08-02 16:06:45.672065
47818	6	2013-08-02 16:06:45.511215	2013-08-04 01:55:49.865644
47882	2	2013-08-02 16:06:45.675177	2013-08-02 16:06:45.675177
47825	7	2013-08-02 16:06:45.528707	2013-08-03 23:53:57.089298
47884	4	2013-08-02 16:06:45.677234	2013-08-02 16:06:45.677234
47730	2	2013-08-02 16:06:45.351236	2013-08-04 01:55:50.891146
47863	11	2013-08-02 16:06:45.62825	2013-08-03 20:24:44.810876
47735	11	2013-08-02 16:06:45.363655	2013-08-03 20:29:50.482958
47775	9	2013-08-02 16:06:45.431826	2013-08-03 20:29:50.490797
47795	8	2013-08-02 16:06:45.462813	2013-08-03 20:29:50.494358
47815	7	2013-08-02 16:06:45.504697	2013-08-03 20:29:50.49783
47845	6	2013-08-02 16:06:45.578445	2013-08-03 23:53:57.090368
47758	2	2013-08-02 16:06:45.41476	2013-08-03 22:00:16.957556
47738	21	2013-08-02 16:06:45.370279	2013-08-03 22:00:17.070898
47865	4	2013-08-02 16:06:45.633701	2013-08-03 23:53:57.091392
47755	2	2013-08-02 16:06:45.411955	2013-08-04 01:55:51.400422
47885	21	2013-08-02 16:06:45.678224	2013-08-03 23:55:30.616449
47883	2	2013-08-02 16:06:45.676054	2013-08-04 01:55:51.412685
47870	2	2013-08-02 16:06:45.647958	2013-08-04 01:55:51.424334
47765	2	2013-08-02 16:06:45.423114	2013-08-04 01:55:51.436331
47850	2	2013-08-02 16:06:45.591937	2013-08-04 01:55:51.448027
47830	2	2013-08-02 16:06:45.540892	2013-08-04 01:55:51.459821
47810	2	2013-08-02 16:06:45.494238	2013-08-04 01:55:51.471551
47790	2	2013-08-02 16:06:45.454705	2013-08-04 01:55:51.481612
47770	2	2013-08-02 16:06:45.427584	2013-08-04 01:55:51.49089
47886	6	2013-08-02 16:06:45.679276	2013-08-02 16:06:45.679276
47887	7	2013-08-02 16:06:45.680126	2013-08-02 16:06:45.680126
47888	8	2013-08-02 16:06:45.680858	2013-08-02 16:06:45.680858
47889	9	2013-08-02 16:06:45.682026	2013-08-02 16:06:45.682026
47891	11	2013-08-02 16:06:45.683959	2013-08-02 16:06:45.683959
4265	19	2013-08-02 16:05:12.292972	2013-08-04 17:46:53.287185
47893	13	2013-08-02 16:06:45.686717	2013-08-02 16:06:45.686717
47894	14	2013-08-02 16:06:45.687559	2013-08-02 16:06:45.687559
47958	21	2013-08-02 16:06:45.753064	2013-08-03 22:04:22.205674
47896	16	2013-08-02 16:06:45.689989	2013-08-02 16:06:45.689989
47912	2	2013-08-02 16:06:45.705303	2013-08-04 01:05:56.206807
47899	19	2013-08-02 16:06:45.692887	2013-08-02 16:06:45.692887
47892	2	2013-08-02 16:06:45.685466	2013-08-04 01:05:56.210468
4286	19	2013-08-02 16:05:12.334082	2013-08-04 17:46:53.299287
47902	2	2013-08-02 16:06:45.696295	2013-08-02 16:06:45.696295
47938	21	2013-08-02 16:06:45.734573	2013-08-03 22:04:22.20954
47904	4	2013-08-02 16:06:45.698151	2013-08-02 16:06:45.698151
47932	19	2013-08-02 16:06:45.728371	2013-08-04 01:08:21.646218
47906	6	2013-08-02 16:06:45.699713	2013-08-02 16:06:45.699713
47907	7	2013-08-02 16:06:45.700478	2013-08-02 16:06:45.700478
47908	8	2013-08-02 16:06:45.701235	2013-08-02 16:06:45.701235
47909	9	2013-08-02 16:06:45.701964	2013-08-02 16:06:45.701964
4365	19	2013-08-02 16:05:12.5063	2013-08-04 17:46:53.310848
47911	11	2013-08-02 16:06:45.704164	2013-08-02 16:06:45.704164
4396	14	2013-08-02 16:05:12.555261	2013-08-04 17:46:53.333575
47913	13	2013-08-02 16:06:45.706781	2013-08-02 16:06:45.706781
47914	14	2013-08-02 16:06:45.707797	2013-08-02 16:06:45.707797
47918	21	2013-08-02 16:06:45.711964	2013-08-03 22:04:22.212383
47916	16	2013-08-02 16:06:45.70969	2013-08-02 16:06:45.70969
47919	19	2013-08-02 16:06:45.713098	2013-08-02 16:06:45.713098
47972	16	2013-08-02 16:06:45.768082	2013-08-04 01:08:21.649548
4295	14	2013-08-02 16:05:12.35174	2013-08-04 17:46:53.34474
47922	2	2013-08-02 16:06:45.717001	2013-08-02 16:06:45.717001
4315	14	2013-08-02 16:05:12.394744	2013-08-04 17:46:53.355659
47924	4	2013-08-02 16:06:45.719228	2013-08-02 16:06:45.719228
48012	14	2013-08-02 16:06:46.086403	2013-08-04 01:08:21.651711
47926	6	2013-08-02 16:06:45.721274	2013-08-02 16:06:45.721274
47927	7	2013-08-02 16:06:45.722872	2013-08-02 16:06:45.722872
47928	8	2013-08-02 16:06:45.724466	2013-08-02 16:06:45.724466
47929	9	2013-08-02 16:06:45.725505	2013-08-02 16:06:45.725505
4335	4	2013-08-02 16:05:12.4412	2013-08-04 17:46:53.37814
47931	11	2013-08-02 16:06:45.727298	2013-08-02 16:06:45.727298
4387	4	2013-08-02 16:05:12.547562	2013-08-04 17:46:53.389167
47933	13	2013-08-02 16:06:45.729577	2013-08-02 16:06:45.729577
47934	14	2013-08-02 16:06:45.730822	2013-08-02 16:06:45.730822
47936	16	2013-08-02 16:06:45.732726	2013-08-02 16:06:45.732726
48032	13	2013-08-02 16:06:46.107345	2013-08-04 01:08:21.652921
47939	19	2013-08-02 16:06:45.735493	2013-08-02 16:06:45.735493
48035	11	2013-08-02 16:06:46.11079	2013-08-04 01:08:21.653966
47957	21	2013-08-02 16:06:45.752135	2013-08-04 18:27:21.519287
47942	2	2013-08-02 16:06:45.738167	2013-08-02 16:06:45.738167
48018	11	2013-08-02 16:06:46.092322	2013-08-03 22:04:22.621324
47944	4	2013-08-02 16:06:45.73998	2013-08-02 16:06:45.73998
47935	21	2013-08-02 16:06:45.73177	2013-08-04 01:30:50.452765
47946	6	2013-08-02 16:06:45.741764	2013-08-02 16:06:45.741764
47947	7	2013-08-02 16:06:45.742662	2013-08-02 16:06:45.742662
47948	8	2013-08-02 16:06:45.743568	2013-08-02 16:06:45.743568
47949	9	2013-08-02 16:06:45.744471	2013-08-02 16:06:45.744471
47955	2	2013-08-02 16:06:45.749942	2013-08-04 18:32:20.188754
47951	11	2013-08-02 16:06:45.746288	2013-08-02 16:06:45.746288
48037	2	2013-08-02 16:06:46.112412	2013-08-04 18:32:20.196422
47953	13	2013-08-02 16:06:45.748136	2013-08-02 16:06:45.748136
47954	14	2013-08-02 16:06:45.748994	2013-08-02 16:06:45.748994
47898	21	2013-08-02 16:06:45.691944	2013-08-03 22:04:59.268674
47956	16	2013-08-02 16:06:45.751191	2013-08-02 16:06:45.751191
48041	21	2013-08-02 16:06:46.115897	2013-08-04 01:30:50.457263
47959	19	2013-08-02 16:06:45.754	2013-08-02 16:06:45.754
48021	21	2013-08-02 16:06:46.095095	2013-08-04 01:30:50.460839
48017	2	2013-08-02 16:06:46.091402	2013-08-04 18:32:20.200032
47962	2	2013-08-02 16:06:45.757162	2013-08-02 16:06:45.757162
48040	21	2013-08-02 16:06:46.115081	2013-08-03 22:34:29.940927
47964	4	2013-08-02 16:06:45.759193	2013-08-02 16:06:45.759193
48001	16	2013-08-02 16:06:46.073801	2013-08-04 01:30:50.484439
47966	6	2013-08-02 16:06:45.761042	2013-08-02 16:06:45.761042
47967	7	2013-08-02 16:06:45.762311	2013-08-02 16:06:45.762311
47968	8	2013-08-02 16:06:45.763549	2013-08-02 16:06:45.763549
47969	9	2013-08-02 16:06:45.764751	2013-08-02 16:06:45.764751
47940	2	2013-08-02 16:06:45.736433	2013-08-04 18:32:20.203421
47971	11	2013-08-02 16:06:45.766498	2013-08-02 16:06:45.766498
47997	2	2013-08-02 16:06:46.070071	2013-08-04 18:32:20.207278
47973	13	2013-08-02 16:06:45.769428	2013-08-02 16:06:45.769428
47974	14	2013-08-02 16:06:45.771068	2013-08-02 16:06:45.771068
48020	21	2013-08-02 16:06:46.094213	2013-08-03 22:34:29.944777
47976	16	2013-08-02 16:06:45.77353	2013-08-02 16:06:45.77353
47981	7	2013-08-02 16:06:45.779738	2013-08-04 01:30:50.49453
47979	19	2013-08-02 16:06:45.777268	2013-08-02 16:06:45.777268
47961	14	2013-08-02 16:06:45.756074	2013-08-04 01:30:50.505095
47977	2	2013-08-02 16:06:45.774774	2013-08-04 18:32:20.211361
47982	2	2013-08-02 16:06:45.78092	2013-08-02 16:06:45.78092
48000	19	2013-08-02 16:06:46.072738	2013-08-03 22:34:29.96627
47984	4	2013-08-02 16:06:46.054696	2013-08-02 16:06:46.054696
47986	6	2013-08-02 16:06:46.0587	2013-08-02 16:06:46.0587
47987	7	2013-08-02 16:06:46.059873	2013-08-02 16:06:46.059873
47988	8	2013-08-02 16:06:46.061084	2013-08-02 16:06:46.061084
47989	9	2013-08-02 16:06:46.062487	2013-08-02 16:06:46.062487
47991	11	2013-08-02 16:06:46.064892	2013-08-02 16:06:46.064892
47993	13	2013-08-02 16:06:46.066626	2013-08-02 16:06:46.066626
47994	14	2013-08-02 16:06:46.067509	2013-08-02 16:06:46.067509
47980	16	2013-08-02 16:06:45.778503	2013-08-03 22:34:29.99129
47996	16	2013-08-02 16:06:46.069182	2013-08-02 16:06:46.069182
47925	19	2013-08-02 16:06:45.720076	2013-08-04 01:31:50.708239
47999	19	2013-08-02 16:06:46.071816	2013-08-02 16:06:46.071816
48010	2	2013-08-02 16:06:46.084804	2013-08-04 01:55:51.311648
48002	2	2013-08-02 16:06:46.075301	2013-08-02 16:06:46.075301
47960	14	2013-08-02 16:06:45.754961	2013-08-03 22:34:30.018868
48004	4	2013-08-02 16:06:46.077081	2013-08-02 16:06:46.077081
47990	2	2013-08-02 16:06:46.063694	2013-08-04 01:55:51.319463
48006	6	2013-08-02 16:06:46.080435	2013-08-02 16:06:46.080435
48007	7	2013-08-02 16:06:46.081392	2013-08-02 16:06:46.081392
48008	8	2013-08-02 16:06:46.082587	2013-08-02 16:06:46.082587
48009	9	2013-08-02 16:06:46.083799	2013-08-02 16:06:46.083799
48011	11	2013-08-02 16:06:46.085608	2013-08-02 16:06:46.085608
48013	13	2013-08-02 16:06:46.08719	2013-08-02 16:06:46.08719
48014	14	2013-08-02 16:06:46.088149	2013-08-02 16:06:46.088149
48016	16	2013-08-02 16:06:46.090106	2013-08-02 16:06:46.090106
47941	2	2013-08-02 16:06:45.737319	2013-08-04 01:55:51.330445
48019	19	2013-08-02 16:06:46.093327	2013-08-02 16:06:46.093327
47970	2	2013-08-02 16:06:45.765634	2013-08-04 01:55:51.343484
48022	2	2013-08-02 16:06:46.095972	2013-08-02 16:06:46.095972
47920	7	2013-08-02 16:06:45.714367	2013-08-03 22:34:30.045892
48024	4	2013-08-02 16:06:46.09826	2013-08-02 16:06:46.09826
47950	2	2013-08-02 16:06:45.745375	2013-08-04 01:55:51.355096
48026	6	2013-08-02 16:06:46.100775	2013-08-02 16:06:46.100775
48027	7	2013-08-02 16:06:46.102076	2013-08-02 16:06:46.102076
48028	8	2013-08-02 16:06:46.103365	2013-08-02 16:06:46.103365
48029	9	2013-08-02 16:06:46.104662	2013-08-02 16:06:46.104662
48031	11	2013-08-02 16:06:46.106448	2013-08-02 16:06:46.106448
48033	13	2013-08-02 16:06:46.108522	2013-08-02 16:06:46.108522
48034	14	2013-08-02 16:06:46.109567	2013-08-02 16:06:46.109567
47900	11	2013-08-02 16:06:45.69389	2013-08-03 22:34:30.05631
48036	16	2013-08-02 16:06:46.111563	2013-08-02 16:06:46.111563
47930	2	2013-08-02 16:06:45.726416	2013-08-04 01:55:51.36645
48039	19	2013-08-02 16:06:46.114209	2013-08-02 16:06:46.114209
47910	2	2013-08-02 16:06:45.703262	2013-08-04 01:55:51.377601
48042	2	2013-08-02 16:06:46.116751	2013-08-02 16:06:46.116751
47905	2	2013-08-02 16:06:45.698936	2013-08-03 23:53:57.093521
47915	2	2013-08-02 16:06:45.708629	2013-08-03 20:29:50.516723
47975	16	2013-08-02 16:06:45.772268	2013-08-03 20:30:10.127276
47995	14	2013-08-02 16:06:46.068287	2013-08-03 20:30:10.12867
48015	13	2013-08-02 16:06:46.089137	2013-08-03 20:30:10.130027
47895	14	2013-08-02 16:06:45.688362	2013-08-03 20:37:34.324903
48025	21	2013-08-02 16:06:46.09956	2013-08-03 23:55:30.722601
48005	16	2013-08-02 16:06:46.078351	2013-08-03 23:55:30.74211
47985	4	2013-08-02 16:06:46.057424	2013-08-03 23:55:30.766793
47965	14	2013-08-02 16:06:45.76014	2013-08-03 23:55:30.790726
47945	19	2013-08-02 16:06:45.740902	2013-08-03 23:55:30.814107
47890	2	2013-08-02 16:06:45.683177	2013-08-04 01:55:51.388794
48030	21	2013-08-02 16:06:46.105551	2013-08-04 02:00:46.393969
47992	2	2013-08-02 16:06:46.065779	2013-08-04 02:00:47.898399
48198	21	2013-08-02 16:06:46.271882	2013-08-03 22:04:22.501252
48044	4	2013-08-02 16:06:46.119148	2013-08-02 16:06:46.119148
4367	4	2013-08-02 16:05:12.510611	2013-08-04 17:46:53.399361
48046	6	2013-08-02 16:06:46.120785	2013-08-02 16:06:46.120785
48047	7	2013-08-02 16:06:46.121616	2013-08-02 16:06:46.121616
48048	8	2013-08-02 16:06:46.122477	2013-08-02 16:06:46.122477
48049	9	2013-08-02 16:06:46.124109	2013-08-02 16:06:46.124109
4347	2	2013-08-02 16:05:12.467427	2013-08-04 17:46:53.409886
48051	11	2013-08-02 16:06:46.126617	2013-08-02 16:06:46.126617
4327	2	2013-08-02 16:05:12.422232	2013-08-04 17:46:53.417011
48053	13	2013-08-02 16:06:46.128294	2013-08-02 16:06:46.128294
48054	14	2013-08-02 16:06:46.129212	2013-08-02 16:06:46.129212
48178	14	2013-08-02 16:06:46.253276	2013-08-03 22:04:22.508462
48056	16	2013-08-02 16:06:46.130929	2013-08-02 16:06:46.130929
48072	9	2013-08-02 16:06:46.147269	2013-08-04 01:08:21.655726
48059	19	2013-08-02 16:06:46.133906	2013-08-02 16:06:46.133906
48092	8	2013-08-02 16:06:46.169263	2013-08-04 01:08:21.65677
4332	2	2013-08-02 16:05:12.434125	2013-08-04 17:46:53.424551
48062	2	2013-08-02 16:06:46.137085	2013-08-02 16:06:46.137085
48158	4	2013-08-02 16:06:46.235064	2013-08-03 22:04:22.516097
48064	4	2013-08-02 16:06:46.139437	2013-08-02 16:06:46.139437
48112	7	2013-08-02 16:06:46.188273	2013-08-04 01:08:21.657807
48066	6	2013-08-02 16:06:46.142064	2013-08-02 16:06:46.142064
48067	7	2013-08-02 16:06:46.142976	2013-08-02 16:06:46.142976
48068	8	2013-08-02 16:06:46.143889	2013-08-02 16:06:46.143889
48069	9	2013-08-02 16:06:46.144821	2013-08-02 16:06:46.144821
12232	19	2013-08-02 16:05:27.543595	2013-08-04 17:46:53.533158
48071	11	2013-08-02 16:06:46.146457	2013-08-02 16:06:46.146457
12191	19	2013-08-02 16:05:27.441479	2013-08-04 17:46:53.543434
48073	13	2013-08-02 16:06:46.148142	2013-08-02 16:06:46.148142
48074	14	2013-08-02 16:06:46.149051	2013-08-02 16:06:46.149051
4416	19	2013-08-02 16:05:12.571342	2013-08-04 17:46:53.553655
48076	16	2013-08-02 16:06:46.150815	2013-08-02 16:06:46.150815
48132	6	2013-08-02 16:06:46.209486	2013-08-04 01:08:21.659102
48079	19	2013-08-02 16:06:46.154046	2013-08-02 16:06:46.154046
4547	19	2013-08-02 16:05:12.721272	2013-08-04 17:46:53.564503
5466	4	2013-08-02 16:05:13.901778	2013-08-04 17:46:53.586013
48082	2	2013-08-02 16:06:46.157863	2013-08-02 16:06:46.157863
4527	4	2013-08-02 16:05:12.703923	2013-08-04 17:46:53.596644
48084	4	2013-08-02 16:06:46.160417	2013-08-02 16:06:46.160417
48172	4	2013-08-02 16:06:46.24879	2013-08-04 01:08:21.663138
48086	6	2013-08-02 16:06:46.162805	2013-08-02 16:06:46.162805
48087	7	2013-08-02 16:06:46.163975	2013-08-02 16:06:46.163975
48088	8	2013-08-02 16:06:46.165043	2013-08-02 16:06:46.165043
48089	9	2013-08-02 16:06:46.16588	2013-08-02 16:06:46.16588
3228	4	2013-08-02 16:05:09.86681	2013-08-04 17:46:53.607491
48091	11	2013-08-02 16:06:46.167923	2013-08-02 16:06:46.167923
4507	4	2013-08-02 16:05:12.683265	2013-08-04 17:46:53.618189
48093	13	2013-08-02 16:06:46.170319	2013-08-02 16:06:46.170319
48094	14	2013-08-02 16:06:46.171141	2013-08-02 16:06:46.171141
48098	8	2013-08-02 16:06:46.174774	2013-08-03 22:04:22.571881
48096	16	2013-08-02 16:06:46.17296	2013-08-02 16:06:46.17296
48152	21	2013-08-02 16:06:46.228656	2013-08-04 01:08:40.9261
48099	19	2013-08-02 16:06:46.17568	2013-08-02 16:06:46.17568
48102	2	2013-08-02 16:06:46.178654	2013-08-02 16:06:46.178654
48078	19	2013-08-02 16:06:46.152696	2013-08-03 22:04:22.596264
48104	4	2013-08-02 16:06:46.180411	2013-08-02 16:06:46.180411
48138	16	2013-08-02 16:06:46.215152	2013-08-04 01:31:50.715651
48106	6	2013-08-02 16:06:46.182275	2013-08-02 16:06:46.182275
48107	7	2013-08-02 16:06:46.183111	2013-08-02 16:06:46.183111
48108	8	2013-08-02 16:06:46.184015	2013-08-02 16:06:46.184015
48109	9	2013-08-02 16:06:46.184883	2013-08-02 16:06:46.184883
48111	11	2013-08-02 16:06:46.187403	2013-08-02 16:06:46.187403
48113	13	2013-08-02 16:06:46.189892	2013-08-02 16:06:46.189892
48114	14	2013-08-02 16:06:46.190773	2013-08-02 16:06:46.190773
48058	9	2013-08-02 16:06:46.132932	2013-08-03 22:04:22.60452
48116	16	2013-08-02 16:06:46.193645	2013-08-02 16:06:46.193645
48119	19	2013-08-02 16:06:46.19626	2013-08-02 16:06:46.19626
48101	14	2013-08-02 16:06:46.17774	2013-08-04 01:31:50.722793
48122	2	2013-08-02 16:06:46.199794	2013-08-02 16:06:46.199794
48180	21	2013-08-02 16:06:46.255619	2013-08-03 22:34:29.917035
48124	4	2013-08-02 16:06:46.201851	2013-08-02 16:06:46.201851
48121	13	2013-08-02 16:06:46.198046	2013-08-04 01:31:50.726401
48126	6	2013-08-02 16:06:46.204274	2013-08-02 16:06:46.204274
48127	7	2013-08-02 16:06:46.205145	2013-08-02 16:06:46.205145
48128	8	2013-08-02 16:06:46.20602	2013-08-02 16:06:46.20602
48129	9	2013-08-02 16:06:46.206899	2013-08-02 16:06:46.206899
48131	11	2013-08-02 16:06:46.208636	2013-08-02 16:06:46.208636
48133	13	2013-08-02 16:06:46.210317	2013-08-02 16:06:46.210317
48134	14	2013-08-02 16:06:46.211095	2013-08-02 16:06:46.211095
48160	21	2013-08-02 16:06:46.237958	2013-08-03 22:34:29.921046
48136	16	2013-08-02 16:06:46.213418	2013-08-02 16:06:46.213418
48139	19	2013-08-02 16:06:46.216173	2013-08-02 16:06:46.216173
48161	11	2013-08-02 16:06:46.239197	2013-08-04 01:31:50.733222
48142	2	2013-08-02 16:06:46.218507	2013-08-02 16:06:46.218507
48140	21	2013-08-02 16:06:46.216918	2013-08-03 22:34:29.924328
48144	4	2013-08-02 16:06:46.22009	2013-08-02 16:06:46.22009
48146	6	2013-08-02 16:06:46.221661	2013-08-02 16:06:46.221661
48147	7	2013-08-02 16:06:46.222417	2013-08-02 16:06:46.222417
48148	8	2013-08-02 16:06:46.224151	2013-08-02 16:06:46.224151
48149	9	2013-08-02 16:06:46.225904	2013-08-02 16:06:46.225904
48151	11	2013-08-02 16:06:46.227732	2013-08-02 16:06:46.227732
48153	13	2013-08-02 16:06:46.229585	2013-08-02 16:06:46.229585
48154	14	2013-08-02 16:06:46.230926	2013-08-02 16:06:46.230926
48120	21	2013-08-02 16:06:46.197153	2013-08-03 22:34:29.927253
48156	16	2013-08-02 16:06:46.233043	2013-08-02 16:06:46.233043
48141	2	2013-08-02 16:06:46.217721	2013-08-04 01:35:47.746075
48159	19	2013-08-02 16:06:46.236191	2013-08-02 16:06:46.236191
48162	2	2013-08-02 16:06:46.240271	2013-08-02 16:06:46.240271
48100	21	2013-08-02 16:06:46.176756	2013-08-03 22:34:29.930657
48164	4	2013-08-02 16:06:46.241938	2013-08-02 16:06:46.241938
48050	19	2013-08-02 16:06:46.125778	2013-08-04 01:58:18.452781
48166	6	2013-08-02 16:06:46.243723	2013-08-02 16:06:46.243723
48167	7	2013-08-02 16:06:46.244612	2013-08-02 16:06:46.244612
48168	8	2013-08-02 16:06:46.245418	2013-08-02 16:06:46.245418
48169	9	2013-08-02 16:06:46.246477	2013-08-02 16:06:46.246477
48171	11	2013-08-02 16:06:46.247988	2013-08-02 16:06:46.247988
48173	13	2013-08-02 16:06:46.24957	2013-08-02 16:06:46.24957
48174	14	2013-08-02 16:06:46.250331	2013-08-02 16:06:46.250331
48080	21	2013-08-02 16:06:46.155397	2013-08-03 22:34:29.93411
48176	16	2013-08-02 16:06:46.251799	2013-08-02 16:06:46.251799
48179	19	2013-08-02 16:06:46.254498	2013-08-02 16:06:46.254498
48118	16	2013-08-02 16:06:46.1954	2013-08-04 01:58:18.454911
48182	2	2013-08-02 16:06:46.25747	2013-08-02 16:06:46.25747
48060	21	2013-08-02 16:06:46.13509	2013-08-03 22:34:29.937612
48184	4	2013-08-02 16:06:46.259401	2013-08-02 16:06:46.259401
48186	6	2013-08-02 16:06:46.260987	2013-08-02 16:06:46.260987
48187	7	2013-08-02 16:06:46.261741	2013-08-02 16:06:46.261741
48188	8	2013-08-02 16:06:46.262474	2013-08-02 16:06:46.262474
48189	9	2013-08-02 16:06:46.263172	2013-08-02 16:06:46.263172
48191	11	2013-08-02 16:06:46.264847	2013-08-02 16:06:46.264847
48193	13	2013-08-02 16:06:46.267117	2013-08-02 16:06:46.267117
48194	14	2013-08-02 16:06:46.268403	2013-08-02 16:06:46.268403
48105	21	2013-08-02 16:06:46.181368	2013-08-03 23:55:30.70735
48196	16	2013-08-02 16:06:46.270218	2013-08-02 16:06:46.270218
48110	14	2013-08-02 16:06:46.186528	2013-08-04 01:58:18.457037
48199	19	2013-08-02 16:06:46.273458	2013-08-02 16:06:46.273458
48055	11	2013-08-02 16:06:46.13008	2013-08-03 20:30:10.132248
48095	9	2013-08-02 16:06:46.172039	2013-08-03 20:30:10.134408
48115	8	2013-08-02 16:06:46.192243	2013-08-03 20:30:10.135367
48135	7	2013-08-02 16:06:46.212675	2013-08-03 20:30:10.136511
48155	6	2013-08-02 16:06:46.231803	2013-08-03 20:30:10.138271
48085	21	2013-08-02 16:06:46.161631	2013-08-03 23:55:30.711691
48065	21	2013-08-02 16:06:46.140328	2013-08-03 23:55:30.715227
48045	21	2013-08-02 16:06:46.11996	2013-08-03 23:55:30.718805
48125	9	2013-08-02 16:06:46.202657	2013-08-03 23:58:45.305414
48145	8	2013-08-02 16:06:46.220881	2013-08-03 23:58:45.308413
48165	7	2013-08-02 16:06:46.242818	2013-08-03 23:58:45.311252
48185	6	2013-08-02 16:06:46.260222	2013-08-03 23:58:45.314963
48130	13	2013-08-02 16:06:46.207761	2013-08-04 01:58:18.458
48181	21	2013-08-02 16:06:46.256573	2013-08-04 02:00:46.194737
48090	2	2013-08-02 16:06:46.166739	2013-08-04 02:00:47.877568
48081	2	2013-08-02 16:06:46.15666	2013-08-04 02:00:47.88736
48052	2	2013-08-02 16:06:46.127447	2013-08-04 02:00:48.454974
48212	2	2013-08-02 16:06:46.290579	2013-08-04 01:08:21.667516
5544	4	2013-08-02 16:05:14.116431	2013-08-04 17:46:53.628458
48202	2	2013-08-02 16:06:46.277124	2013-08-02 16:06:46.277124
48338	21	2013-08-02 16:06:46.409101	2013-08-03 22:04:22.491031
48204	4	2013-08-02 16:06:46.278891	2013-08-02 16:06:46.278891
4441	4	2013-08-02 16:05:12.603618	2013-08-04 17:46:53.63934
48206	6	2013-08-02 16:06:46.280623	2013-08-02 16:06:46.280623
48207	7	2013-08-02 16:06:46.282123	2013-08-02 16:06:46.282123
48208	8	2013-08-02 16:06:46.283642	2013-08-02 16:06:46.283642
48209	9	2013-08-02 16:06:46.286019	2013-08-02 16:06:46.286019
4481	8	2013-08-02 16:05:12.653244	2013-08-04 17:46:53.65655
48211	11	2013-08-02 16:06:46.289697	2013-08-02 16:06:46.289697
4497	8	2013-08-02 16:05:12.67101	2013-08-04 17:46:53.663434
48213	13	2013-08-02 16:06:46.291468	2013-08-02 16:06:46.291468
48214	14	2013-08-02 16:06:46.292309	2013-08-02 16:06:46.292309
48318	21	2013-08-02 16:06:46.390074	2013-08-03 22:04:22.492741
48216	16	2013-08-02 16:06:46.294476	2013-08-02 16:06:46.294476
48352	2	2013-08-02 16:06:46.426999	2013-08-04 01:10:51.518381
48219	19	2013-08-02 16:06:46.297106	2013-08-02 16:06:46.297106
48332	2	2013-08-02 16:06:46.403381	2013-08-04 01:10:51.522214
4487	8	2013-08-02 16:05:12.659184	2013-08-04 17:46:53.667841
48222	2	2013-08-02 16:06:46.300315	2013-08-02 16:06:46.300315
48298	21	2013-08-02 16:06:46.367874	2013-08-03 22:04:22.494065
48224	4	2013-08-02 16:06:46.301963	2013-08-02 16:06:46.301963
48312	2	2013-08-02 16:06:46.382806	2013-08-04 01:10:51.528208
48226	6	2013-08-02 16:06:46.303479	2013-08-02 16:06:46.303479
48227	7	2013-08-02 16:06:46.304215	2013-08-02 16:06:46.304215
48228	8	2013-08-02 16:06:46.304955	2013-08-02 16:06:46.304955
48229	9	2013-08-02 16:06:46.305687	2013-08-02 16:06:46.305687
22501	8	2013-08-02 16:05:48.874242	2013-08-04 17:46:53.671977
48231	11	2013-08-02 16:06:46.307109	2013-08-02 16:06:46.307109
4467	8	2013-08-02 16:05:12.638888	2013-08-04 17:46:53.676335
48233	13	2013-08-02 16:06:46.308498	2013-08-02 16:06:46.308498
48234	14	2013-08-02 16:06:46.309239	2013-08-02 16:06:46.309239
48278	21	2013-08-02 16:06:46.351604	2013-08-03 22:04:22.495653
48236	16	2013-08-02 16:06:46.310632	2013-08-02 16:06:46.310632
48292	2	2013-08-02 16:06:46.362153	2013-08-04 01:10:51.532363
48239	19	2013-08-02 16:06:46.312692	2013-08-02 16:06:46.312692
48272	2	2013-08-02 16:06:46.345074	2013-08-04 01:10:51.536117
48242	2	2013-08-02 16:06:46.315213	2013-08-02 16:06:46.315213
48258	21	2013-08-02 16:06:46.331257	2013-08-03 22:04:22.497286
48244	4	2013-08-02 16:06:46.316894	2013-08-02 16:06:46.316894
48252	2	2013-08-02 16:06:46.32493	2013-08-04 01:10:51.539514
48246	6	2013-08-02 16:06:46.318892	2013-08-02 16:06:46.318892
48247	7	2013-08-02 16:06:46.320673	2013-08-02 16:06:46.320673
48248	8	2013-08-02 16:06:46.321548	2013-08-02 16:06:46.321548
48249	9	2013-08-02 16:06:46.32237	2013-08-02 16:06:46.32237
48251	11	2013-08-02 16:06:46.324052	2013-08-02 16:06:46.324052
48253	13	2013-08-02 16:06:46.325806	2013-08-02 16:06:46.325806
48254	14	2013-08-02 16:06:46.326994	2013-08-02 16:06:46.326994
48238	21	2013-08-02 16:06:46.311988	2013-08-03 22:04:22.498642
48256	16	2013-08-02 16:06:46.329381	2013-08-02 16:06:46.329381
48201	9	2013-08-02 16:06:46.275734	2013-08-04 01:31:50.740163
48259	19	2013-08-02 16:06:46.332186	2013-08-02 16:06:46.332186
48232	8	2013-08-02 16:06:46.307803	2013-08-04 01:31:50.74339
48262	2	2013-08-02 16:06:46.334976	2013-08-02 16:06:46.334976
48340	21	2013-08-02 16:06:46.410982	2013-08-03 22:39:22.756113
48264	4	2013-08-02 16:06:46.336857	2013-08-02 16:06:46.336857
48221	7	2013-08-02 16:06:46.299496	2013-08-04 01:31:50.74693
48266	6	2013-08-02 16:06:46.339354	2013-08-02 16:06:46.339354
48267	7	2013-08-02 16:06:46.340272	2013-08-02 16:06:46.340272
48268	8	2013-08-02 16:06:46.341446	2013-08-02 16:06:46.341446
48269	9	2013-08-02 16:06:46.34237	2013-08-02 16:06:46.34237
48271	11	2013-08-02 16:06:46.344117	2013-08-02 16:06:46.344117
48273	13	2013-08-02 16:06:46.346104	2013-08-02 16:06:46.346104
48274	14	2013-08-02 16:06:46.347122	2013-08-02 16:06:46.347122
48320	21	2013-08-02 16:06:46.392352	2013-08-03 22:39:22.757308
48276	16	2013-08-02 16:06:46.349559	2013-08-02 16:06:46.349559
48241	6	2013-08-02 16:06:46.31439	2013-08-04 01:31:50.750489
48279	19	2013-08-02 16:06:46.352499	2013-08-02 16:06:46.352499
48282	2	2013-08-02 16:06:46.354718	2013-08-02 16:06:46.354718
48300	21	2013-08-02 16:06:46.369716	2013-08-03 22:39:22.758406
48284	4	2013-08-02 16:06:46.35624	2013-08-02 16:06:46.35624
48281	4	2013-08-02 16:06:46.354003	2013-08-04 01:31:50.757817
48286	6	2013-08-02 16:06:46.357658	2013-08-02 16:06:46.357658
48287	7	2013-08-02 16:06:46.35835	2013-08-02 16:06:46.35835
48288	8	2013-08-02 16:06:46.359065	2013-08-02 16:06:46.359065
48289	9	2013-08-02 16:06:46.359819	2013-08-02 16:06:46.359819
48291	11	2013-08-02 16:06:46.361307	2013-08-02 16:06:46.361307
48293	13	2013-08-02 16:06:46.363255	2013-08-02 16:06:46.363255
48294	14	2013-08-02 16:06:46.364126	2013-08-02 16:06:46.364126
48280	21	2013-08-02 16:06:46.353278	2013-08-03 22:39:22.759665
48296	16	2013-08-02 16:06:46.365911	2013-08-02 16:06:46.365911
48299	19	2013-08-02 16:06:46.368684	2013-08-02 16:06:46.368684
48302	2	2013-08-02 16:06:46.37184	2013-08-02 16:06:46.37184
48304	4	2013-08-02 16:06:46.373541	2013-08-02 16:06:46.373541
48255	16	2013-08-02 16:06:46.328111	2013-08-04 01:35:46.480769
48306	6	2013-08-02 16:06:46.37599	2013-08-02 16:06:46.37599
48307	7	2013-08-02 16:06:46.377204	2013-08-02 16:06:46.377204
48308	8	2013-08-02 16:06:46.378173	2013-08-02 16:06:46.378173
48309	9	2013-08-02 16:06:46.379511	2013-08-02 16:06:46.379511
48311	11	2013-08-02 16:06:46.381647	2013-08-02 16:06:46.381647
48313	13	2013-08-02 16:06:46.383951	2013-08-02 16:06:46.383951
48314	14	2013-08-02 16:06:46.385094	2013-08-02 16:06:46.385094
48240	19	2013-08-02 16:06:46.313543	2013-08-03 22:39:22.776813
48316	16	2013-08-02 16:06:46.387247	2013-08-02 16:06:46.387247
48265	4	2013-08-02 16:06:46.337736	2013-08-04 01:35:46.503494
48319	19	2013-08-02 16:06:46.391211	2013-08-02 16:06:46.391211
48341	8	2013-08-02 16:06:46.412057	2013-08-04 01:35:46.526093
48322	2	2013-08-02 16:06:46.394293	2013-08-02 16:06:46.394293
48220	14	2013-08-02 16:06:46.29868	2013-08-03 22:39:22.78601
48324	4	2013-08-02 16:06:46.396249	2013-08-02 16:06:46.396249
48301	14	2013-08-02 16:06:46.370663	2013-08-04 01:35:46.592797
48326	6	2013-08-02 16:06:46.398328	2013-08-02 16:06:46.398328
48327	7	2013-08-02 16:06:46.399109	2013-08-02 16:06:46.399109
48328	8	2013-08-02 16:06:46.399871	2013-08-02 16:06:46.399871
48329	9	2013-08-02 16:06:46.400915	2013-08-02 16:06:46.400915
48331	11	2013-08-02 16:06:46.402288	2013-08-02 16:06:46.402288
48333	13	2013-08-02 16:06:46.40422	2013-08-02 16:06:46.40422
48334	14	2013-08-02 16:06:46.405083	2013-08-02 16:06:46.405083
48205	4	2013-08-02 16:06:46.279763	2013-08-03 23:58:45.31874
48336	16	2013-08-02 16:06:46.406843	2013-08-02 16:06:46.406843
48225	21	2013-08-02 16:06:46.30273	2013-08-04 01:35:46.67828
48339	19	2013-08-02 16:06:46.410049	2013-08-02 16:06:46.410049
48261	21	2013-08-02 16:06:46.334059	2013-08-04 01:35:46.681013
48342	2	2013-08-02 16:06:46.413144	2013-08-02 16:06:46.413144
48210	6	2013-08-02 16:06:46.288794	2013-08-04 01:58:18.465041
48344	4	2013-08-02 16:06:46.415339	2013-08-02 16:06:46.415339
48346	6	2013-08-02 16:06:46.418699	2013-08-02 16:06:46.418699
48347	7	2013-08-02 16:06:46.420651	2013-08-02 16:06:46.420651
48348	8	2013-08-02 16:06:46.421707	2013-08-02 16:06:46.421707
48349	9	2013-08-02 16:06:46.422877	2013-08-02 16:06:46.422877
48351	11	2013-08-02 16:06:46.425714	2013-08-02 16:06:46.425714
48353	13	2013-08-02 16:06:46.428278	2013-08-02 16:06:46.428278
48354	14	2013-08-02 16:06:46.429491	2013-08-02 16:06:46.429491
48245	2	2013-08-02 16:06:46.317745	2013-08-03 23:58:45.326844
48356	16	2013-08-02 16:06:46.434187	2013-08-02 16:06:46.434187
48235	2	2013-08-02 16:06:46.309943	2013-08-03 20:30:10.142992
48355	9	2013-08-02 16:06:46.431537	2013-08-03 20:32:25.174099
48335	9	2013-08-02 16:06:46.405958	2013-08-03 20:32:25.184767
48315	9	2013-08-02 16:06:46.386171	2013-08-03 20:32:25.195279
48295	9	2013-08-02 16:06:46.364983	2013-08-03 20:32:25.212108
48275	9	2013-08-02 16:06:46.348077	2013-08-03 20:32:25.216274
48215	14	2013-08-02 16:06:46.293146	2013-08-03 20:37:34.315305
48343	14	2013-08-02 16:06:46.414187	2013-08-03 20:37:34.321179
48345	9	2013-08-02 16:06:46.416489	2013-08-04 00:00:22.449876
48325	4	2013-08-02 16:06:46.397169	2013-08-04 00:00:22.4737
48250	4	2013-08-02 16:06:46.32318	2013-08-04 01:58:18.46829
48305	21	2013-08-02 16:06:46.374447	2013-08-04 00:08:21.36345
48290	2	2013-08-02 16:06:46.360581	2013-08-04 01:58:18.472237
48260	4	2013-08-02 16:06:46.333134	2013-08-04 02:00:45.956909
48230	21	2013-08-02 16:06:46.306418	2013-08-04 02:00:46.026079
48270	2	2013-08-02 16:06:46.343258	2013-08-04 02:00:46.779095
48350	2	2013-08-02 16:06:46.424238	2013-08-04 02:00:47.41174
48330	2	2013-08-02 16:06:46.401606	2013-08-04 02:00:47.422981
48310	2	2013-08-02 16:06:46.380471	2013-08-04 02:00:47.434247
48472	2	2013-08-02 16:06:46.619831	2013-08-04 01:10:51.452721
48359	19	2013-08-02 16:06:46.440855	2013-08-02 16:06:46.440855
48452	2	2013-08-02 16:06:46.578679	2013-08-04 01:10:51.464116
11558	8	2013-08-02 16:05:25.927065	2013-08-04 17:46:53.681333
48362	2	2013-08-02 16:06:46.445065	2013-08-02 16:06:46.445065
48378	21	2013-08-02 16:06:46.468608	2013-08-03 22:09:25.117124
48364	4	2013-08-02 16:06:46.446707	2013-08-02 16:06:46.446707
48432	2	2013-08-02 16:06:46.542942	2013-08-04 01:10:51.475452
48366	6	2013-08-02 16:06:46.450181	2013-08-02 16:06:46.450181
48367	7	2013-08-02 16:06:46.451048	2013-08-02 16:06:46.451048
48368	8	2013-08-02 16:06:46.451889	2013-08-02 16:06:46.451889
48369	9	2013-08-02 16:06:46.45293	2013-08-02 16:06:46.45293
31612	9	2013-08-02 16:06:09.358832	2013-08-04 17:46:53.706894
48371	11	2013-08-02 16:06:46.457986	2013-08-02 16:06:46.457986
31628	9	2013-08-02 16:06:09.396914	2013-08-04 17:46:53.711619
48373	13	2013-08-02 16:06:46.461644	2013-08-02 16:06:46.461644
48374	14	2013-08-02 16:06:46.463778	2013-08-02 16:06:46.463778
48358	21	2013-08-02 16:06:46.438246	2013-08-03 22:09:25.121845
48376	16	2013-08-02 16:06:46.46597	2013-08-02 16:06:46.46597
48412	2	2013-08-02 16:06:46.516894	2013-08-04 01:10:51.487895
48379	19	2013-08-02 16:06:46.469908	2013-08-02 16:06:46.469908
48392	2	2013-08-02 16:06:46.486553	2013-08-04 01:10:51.500569
31608	9	2013-08-02 16:06:09.349478	2013-08-04 17:46:53.717334
48382	2	2013-08-02 16:06:46.472512	2013-08-02 16:06:46.472512
48384	4	2013-08-02 16:06:46.475903	2013-08-02 16:06:46.475903
48372	2	2013-08-02 16:06:46.459622	2013-08-04 01:10:51.512532
48386	6	2013-08-02 16:06:46.4781	2013-08-02 16:06:46.4781
48387	7	2013-08-02 16:06:46.479338	2013-08-02 16:06:46.479338
48388	8	2013-08-02 16:06:46.480573	2013-08-02 16:06:46.480573
48389	9	2013-08-02 16:06:46.482402	2013-08-02 16:06:46.482402
31588	9	2013-08-02 16:06:09.301668	2013-08-04 17:46:53.723444
48391	11	2013-08-02 16:06:46.484859	2013-08-02 16:06:46.484859
31568	9	2013-08-02 16:06:09.254636	2013-08-04 17:46:53.728462
48393	13	2013-08-02 16:06:46.489292	2013-08-02 16:06:46.489292
48394	14	2013-08-02 16:06:46.491788	2013-08-02 16:06:46.491788
27185	9	2013-08-02 16:05:59.08695	2013-08-04 17:46:53.733579
48396	16	2013-08-02 16:06:46.49615	2013-08-02 16:06:46.49615
48492	19	2013-08-02 16:06:46.64812	2013-08-04 01:11:59.528488
48399	19	2013-08-02 16:06:46.501869	2013-08-02 16:06:46.501869
31458	9	2013-08-02 16:06:08.977751	2013-08-04 17:46:53.739294
48402	2	2013-08-02 16:06:46.505315	2013-08-02 16:06:46.505315
48478	21	2013-08-02 16:06:46.633724	2013-08-03 22:11:43.156275
48404	4	2013-08-02 16:06:46.507821	2013-08-02 16:06:46.507821
48480	21	2013-08-02 16:06:46.635904	2013-08-04 01:12:19.221591
48406	6	2013-08-02 16:06:46.510175	2013-08-02 16:06:46.510175
48407	7	2013-08-02 16:06:46.511263	2013-08-02 16:06:46.511263
48408	8	2013-08-02 16:06:46.51211	2013-08-02 16:06:46.51211
48409	9	2013-08-02 16:06:46.513729	2013-08-02 16:06:46.513729
31548	9	2013-08-02 16:06:09.202934	2013-08-04 17:46:53.745031
48411	11	2013-08-02 16:06:46.515456	2013-08-02 16:06:46.515456
48413	13	2013-08-02 16:06:46.517963	2013-08-02 16:06:46.517963
48414	14	2013-08-02 16:06:46.519059	2013-08-02 16:06:46.519059
48420	21	2013-08-02 16:06:46.52653	2013-08-03 22:39:22.74867
48416	16	2013-08-02 16:06:46.521342	2013-08-02 16:06:46.521342
48419	19	2013-08-02 16:06:46.525012	2013-08-02 16:06:46.525012
48481	19	2013-08-02 16:06:46.636977	2013-08-04 01:35:46.29688
48422	2	2013-08-02 16:06:46.529185	2013-08-02 16:06:46.529185
48400	21	2013-08-02 16:06:46.503357	2013-08-03 22:39:22.750704
48424	4	2013-08-02 16:06:46.531457	2013-08-02 16:06:46.531457
48426	6	2013-08-02 16:06:46.534237	2013-08-02 16:06:46.534237
48427	7	2013-08-02 16:06:46.53529	2013-08-02 16:06:46.53529
48428	8	2013-08-02 16:06:46.536331	2013-08-02 16:06:46.536331
48429	9	2013-08-02 16:06:46.537604	2013-08-02 16:06:46.537604
48431	11	2013-08-02 16:06:46.541374	2013-08-02 16:06:46.541374
48433	13	2013-08-02 16:06:46.544813	2013-08-02 16:06:46.544813
48434	14	2013-08-02 16:06:46.54606	2013-08-02 16:06:46.54606
48380	21	2013-08-02 16:06:46.470786	2013-08-03 22:39:22.752817
48436	16	2013-08-02 16:06:46.549791	2013-08-02 16:06:46.549791
48441	13	2013-08-02 16:06:46.557862	2013-08-04 01:35:46.342353
48439	19	2013-08-02 16:06:46.554438	2013-08-02 16:06:46.554438
48421	11	2013-08-02 16:06:46.527589	2013-08-04 01:35:46.365079
48442	2	2013-08-02 16:06:46.559329	2013-08-02 16:06:46.559329
48360	21	2013-08-02 16:06:46.44252	2013-08-03 22:39:22.754927
48444	4	2013-08-02 16:06:46.563383	2013-08-02 16:06:46.563383
48401	9	2013-08-02 16:06:46.504504	2013-08-04 01:35:46.387892
48446	6	2013-08-02 16:06:46.567379	2013-08-02 16:06:46.567379
48447	7	2013-08-02 16:06:46.569235	2013-08-02 16:06:46.569235
48448	8	2013-08-02 16:06:46.571056	2013-08-02 16:06:46.571056
48449	9	2013-08-02 16:06:46.572892	2013-08-02 16:06:46.572892
48451	11	2013-08-02 16:06:46.57688	2013-08-02 16:06:46.57688
48453	13	2013-08-02 16:06:46.580474	2013-08-02 16:06:46.580474
48454	14	2013-08-02 16:06:46.582328	2013-08-02 16:06:46.582328
48440	14	2013-08-02 16:06:46.556386	2013-08-03 22:40:20.220669
48456	16	2013-08-02 16:06:46.587027	2013-08-02 16:06:46.587027
48381	6	2013-08-02 16:06:46.471616	2013-08-04 01:35:46.410525
48459	19	2013-08-02 16:06:46.592813	2013-08-02 16:06:46.592813
48405	2	2013-08-02 16:06:46.508724	2013-08-04 02:00:47.314239
48462	2	2013-08-02 16:06:46.598626	2013-08-02 16:06:46.598626
48460	13	2013-08-02 16:06:46.594617	2013-08-03 22:40:20.224053
48464	4	2013-08-02 16:06:46.602297	2013-08-02 16:06:46.602297
48510	2	2013-08-02 16:06:46.669246	2013-08-04 02:00:47.325288
48466	6	2013-08-02 16:06:46.605952	2013-08-02 16:06:46.605952
48467	7	2013-08-02 16:06:46.608012	2013-08-02 16:06:46.608012
48468	8	2013-08-02 16:06:46.610442	2013-08-02 16:06:46.610442
48469	9	2013-08-02 16:06:46.612399	2013-08-02 16:06:46.612399
48471	11	2013-08-02 16:06:46.617221	2013-08-02 16:06:46.617221
48473	13	2013-08-02 16:06:46.621879	2013-08-02 16:06:46.621879
48474	14	2013-08-02 16:06:46.624207	2013-08-02 16:06:46.624207
48476	16	2013-08-02 16:06:46.62867	2013-08-02 16:06:46.62867
48490	2	2013-08-02 16:06:46.646672	2013-08-04 02:00:47.335824
48479	19	2013-08-02 16:06:46.634829	2013-08-02 16:06:46.634829
48470	2	2013-08-02 16:06:46.614409	2013-08-04 02:00:47.346457
48482	2	2013-08-02 16:06:46.63801	2013-08-02 16:06:46.63801
48500	11	2013-08-02 16:06:46.657598	2013-08-03 22:40:20.23117
48484	4	2013-08-02 16:06:46.640222	2013-08-02 16:06:46.640222
48450	2	2013-08-02 16:06:46.574819	2013-08-04 02:00:47.357384
48486	6	2013-08-02 16:06:46.642448	2013-08-02 16:06:46.642448
48487	7	2013-08-02 16:06:46.643509	2013-08-02 16:06:46.643509
48488	8	2013-08-02 16:06:46.644599	2013-08-02 16:06:46.644599
48489	9	2013-08-02 16:06:46.645469	2013-08-02 16:06:46.645469
48491	11	2013-08-02 16:06:46.64741	2013-08-02 16:06:46.64741
48493	13	2013-08-02 16:06:46.648932	2013-08-02 16:06:46.648932
48494	14	2013-08-02 16:06:46.649793	2013-08-02 16:06:46.649793
48485	21	2013-08-02 16:06:46.641362	2013-08-04 00:00:22.382166
48496	16	2013-08-02 16:06:46.653072	2013-08-02 16:06:46.653072
48430	2	2013-08-02 16:06:46.539624	2013-08-04 02:00:47.368334
48499	19	2013-08-02 16:06:46.656223	2013-08-02 16:06:46.656223
48410	2	2013-08-02 16:06:46.514694	2013-08-04 02:00:47.379336
48502	2	2013-08-02 16:06:46.659558	2013-08-02 16:06:46.659558
48465	21	2013-08-02 16:06:46.604092	2013-08-04 00:00:22.3849
48504	4	2013-08-02 16:06:46.662151	2013-08-02 16:06:46.662151
48390	2	2013-08-02 16:06:46.483629	2013-08-04 02:00:47.390026
48506	6	2013-08-02 16:06:46.664622	2013-08-02 16:06:46.664622
48507	7	2013-08-02 16:06:46.665655	2013-08-02 16:06:46.665655
48508	8	2013-08-02 16:06:46.666671	2013-08-02 16:06:46.666671
48509	9	2013-08-02 16:06:46.667819	2013-08-02 16:06:46.667819
48511	11	2013-08-02 16:06:46.670407	2013-08-02 16:06:46.670407
48513	13	2013-08-02 16:06:46.672166	2013-08-02 16:06:46.672166
48475	7	2013-08-02 16:06:46.626389	2013-08-03 20:34:53.167137
48495	6	2013-08-02 16:06:46.651437	2013-08-03 20:34:53.168584
48423	21	2013-08-02 16:06:46.530388	2013-08-03 20:37:34.28963
48403	14	2013-08-02 16:06:46.506521	2013-08-03 20:37:34.299626
48383	14	2013-08-02 16:06:46.47423	2013-08-03 20:37:34.303943
48363	14	2013-08-02 16:06:46.445902	2013-08-03 20:37:34.309529
48443	8	2013-08-02 16:06:46.561563	2013-08-03 20:40:05.216652
48463	7	2013-08-02 16:06:46.60045	2013-08-03 20:40:05.220865
48483	6	2013-08-02 16:06:46.639075	2013-08-03 20:40:05.224587
48370	2	2013-08-02 16:06:46.455113	2013-08-04 02:00:47.400868
48445	21	2013-08-02 16:06:46.565376	2013-08-04 00:00:22.386638
48425	21	2013-08-02 16:06:46.533036	2013-08-04 00:00:22.388954
48365	14	2013-08-02 16:06:46.448428	2013-08-04 00:00:22.426438
48505	9	2013-08-02 16:06:46.6635	2013-08-04 00:04:14.041997
48503	8	2013-08-02 16:06:46.660777	2013-08-04 00:04:14.045804
48385	21	2013-08-02 16:06:46.476877	2013-08-04 00:05:40.330699
48514	14	2013-08-02 16:06:46.673002	2013-08-02 16:06:46.673002
48615	21	2013-08-02 16:06:46.800307	2013-08-03 22:09:25.432359
48516	16	2013-08-02 16:06:46.674891	2013-08-02 16:06:46.674891
48532	16	2013-08-02 16:06:46.694565	2013-08-04 01:11:59.533151
48519	19	2013-08-02 16:06:46.677544	2013-08-02 16:06:46.677544
31528	9	2013-08-02 16:06:09.151845	2013-08-04 17:46:53.750069
31508	9	2013-08-02 16:06:09.101124	2013-08-04 17:46:53.754936
48522	2	2013-08-02 16:06:46.679978	2013-08-02 16:06:46.679978
48658	21	2013-08-02 16:06:46.907101	2013-08-03 22:09:25.433487
48524	4	2013-08-02 16:06:46.683313	2013-08-02 16:06:46.683313
48572	14	2013-08-02 16:06:46.74163	2013-08-04 01:11:59.537034
48526	6	2013-08-02 16:06:46.686338	2013-08-02 16:06:46.686338
48527	7	2013-08-02 16:06:46.687675	2013-08-02 16:06:46.687675
48528	8	2013-08-02 16:06:46.689308	2013-08-02 16:06:46.689308
48529	9	2013-08-02 16:06:46.691213	2013-08-02 16:06:46.691213
31488	9	2013-08-02 16:06:09.049568	2013-08-04 17:46:53.760809
48531	11	2013-08-02 16:06:46.693698	2013-08-02 16:06:46.693698
31538	9	2013-08-02 16:06:09.178439	2013-08-04 17:46:53.768078
48533	13	2013-08-02 16:06:46.695395	2013-08-02 16:06:46.695395
48534	14	2013-08-02 16:06:46.696202	2013-08-02 16:06:46.696202
48638	21	2013-08-02 16:06:46.855301	2013-08-03 22:09:25.43453
48536	16	2013-08-02 16:06:46.697835	2013-08-02 16:06:46.697835
48592	13	2013-08-02 16:06:46.766214	2013-08-04 01:11:59.540408
48539	19	2013-08-02 16:06:46.700615	2013-08-02 16:06:46.700615
48612	11	2013-08-02 16:06:46.792603	2013-08-04 01:11:59.542758
31468	9	2013-08-02 16:06:09.001821	2013-08-04 17:46:53.776561
48542	2	2013-08-02 16:06:46.703143	2013-08-02 16:06:46.703143
48618	21	2013-08-02 16:06:46.807897	2013-08-03 22:09:25.435637
48544	4	2013-08-02 16:06:46.706524	2013-08-02 16:06:46.706524
31448	9	2013-08-02 16:06:08.953897	2013-08-04 17:46:53.788328
48546	6	2013-08-02 16:06:46.708391	2013-08-02 16:06:46.708391
48547	7	2013-08-02 16:06:46.709341	2013-08-02 16:06:46.709341
48548	8	2013-08-02 16:06:46.710269	2013-08-02 16:06:46.710269
48549	9	2013-08-02 16:06:46.711434	2013-08-02 16:06:46.711434
31428	9	2013-08-02 16:06:08.906437	2013-08-04 17:46:53.79826
48551	11	2013-08-02 16:06:46.713408	2013-08-02 16:06:46.713408
31408	9	2013-08-02 16:06:08.858003	2013-08-04 17:46:53.803488
48553	13	2013-08-02 16:06:46.717636	2013-08-02 16:06:46.717636
48554	14	2013-08-02 16:06:46.718703	2013-08-02 16:06:46.718703
48598	21	2013-08-02 16:06:46.771271	2013-08-03 22:09:25.437648
48556	16	2013-08-02 16:06:46.720957	2013-08-02 16:06:46.720957
48652	9	2013-08-02 16:06:46.891964	2013-08-04 01:11:59.545785
48559	19	2013-08-02 16:06:46.724444	2013-08-02 16:06:46.724444
48621	21	2013-08-02 16:06:46.814781	2013-08-04 01:35:46.197121
31388	9	2013-08-02 16:06:08.806521	2013-08-04 17:46:53.808206
48562	2	2013-08-02 16:06:46.72794	2013-08-02 16:06:46.72794
48650	2	2013-08-02 16:06:46.886897	2013-08-04 18:37:41.269751
48564	4	2013-08-02 16:06:46.730388	2013-08-02 16:06:46.730388
48601	21	2013-08-02 16:06:46.773966	2013-08-04 01:35:46.198934
48566	6	2013-08-02 16:06:46.733061	2013-08-02 16:06:46.733061
48567	7	2013-08-02 16:06:46.734462	2013-08-02 16:06:46.734462
48568	8	2013-08-02 16:06:46.735862	2013-08-02 16:06:46.735862
48569	9	2013-08-02 16:06:46.737256	2013-08-02 16:06:46.737256
48657	2	2013-08-02 16:06:46.904672	2013-08-04 18:37:41.275622
48571	11	2013-08-02 16:06:46.740773	2013-08-02 16:06:46.740773
48573	13	2013-08-02 16:06:46.743302	2013-08-02 16:06:46.743302
48574	14	2013-08-02 16:06:46.744905	2013-08-02 16:06:46.744905
48540	9	2013-08-02 16:06:46.701684	2013-08-03 22:40:20.238672
48576	16	2013-08-02 16:06:46.746418	2013-08-02 16:06:46.746418
48581	21	2013-08-02 16:06:46.752783	2013-08-04 01:35:46.200275
48579	19	2013-08-02 16:06:46.750451	2013-08-02 16:06:46.750451
48582	2	2013-08-02 16:06:46.753632	2013-08-02 16:06:46.753632
48560	8	2013-08-02 16:06:46.725618	2013-08-03 22:40:20.242367
48584	4	2013-08-02 16:06:46.755282	2013-08-02 16:06:46.755282
48541	14	2013-08-02 16:06:46.702418	2013-08-04 01:35:46.22706
48586	6	2013-08-02 16:06:46.7579	2013-08-02 16:06:46.7579
48587	7	2013-08-02 16:06:46.759323	2013-08-02 16:06:46.759323
48588	8	2013-08-02 16:06:46.760741	2013-08-02 16:06:46.760741
48589	9	2013-08-02 16:06:46.762142	2013-08-02 16:06:46.762142
48591	11	2013-08-02 16:06:46.765339	2013-08-02 16:06:46.765339
48593	13	2013-08-02 16:06:46.767148	2013-08-02 16:06:46.767148
48594	14	2013-08-02 16:06:46.767943	2013-08-02 16:06:46.767943
48580	7	2013-08-02 16:06:46.752036	2013-08-03 22:40:20.246383
48596	16	2013-08-02 16:06:46.769567	2013-08-02 16:06:46.769567
48599	19	2013-08-02 16:06:46.772109	2013-08-02 16:06:46.772109
48521	2	2013-08-02 16:06:46.679184	2013-08-04 01:35:47.735477
48602	2	2013-08-02 16:06:46.774837	2013-08-02 16:06:46.774837
48600	6	2013-08-02 16:06:46.773066	2013-08-03 22:40:20.250994
48604	4	2013-08-02 16:06:46.777546	2013-08-02 16:06:46.777546
48620	6	2013-08-02 16:06:46.812495	2013-08-04 01:41:00.360871
48606	6	2013-08-02 16:06:46.78	2013-08-02 16:06:46.78
48607	7	2013-08-02 16:06:46.78146	2013-08-02 16:06:46.78146
48608	8	2013-08-02 16:06:46.782957	2013-08-02 16:06:46.782957
48609	9	2013-08-02 16:06:46.784892	2013-08-02 16:06:46.784892
48611	11	2013-08-02 16:06:46.789995	2013-08-02 16:06:46.789995
48613	13	2013-08-02 16:06:46.795184	2013-08-02 16:06:46.795184
48614	14	2013-08-02 16:06:46.797758	2013-08-02 16:06:46.797758
48563	7	2013-08-02 16:06:46.729217	2013-08-04 01:41:00.380147
48616	16	2013-08-02 16:06:46.80292	2013-08-02 16:06:46.80292
48661	2	2013-08-02 16:06:46.914332	2013-08-04 01:41:00.403441
48619	19	2013-08-02 16:06:46.810235	2013-08-02 16:06:46.810235
48641	11	2013-08-02 16:06:46.862808	2013-08-04 01:41:00.426258
48622	2	2013-08-02 16:06:46.817089	2013-08-02 16:06:46.817089
48640	4	2013-08-02 16:06:46.860309	2013-08-03 22:40:20.258402
48624	4	2013-08-02 16:06:46.821577	2013-08-02 16:06:46.821577
48561	2	2013-08-02 16:06:46.726788	2013-08-04 02:00:47.250892
48626	6	2013-08-02 16:06:46.825096	2013-08-02 16:06:46.825096
48627	7	2013-08-02 16:06:46.827681	2013-08-02 16:06:46.827681
48628	8	2013-08-02 16:06:46.830035	2013-08-02 16:06:46.830035
48629	9	2013-08-02 16:06:46.832514	2013-08-02 16:06:46.832514
48631	11	2013-08-02 16:06:46.837694	2013-08-02 16:06:46.837694
48633	13	2013-08-02 16:06:46.842946	2013-08-02 16:06:46.842946
48634	14	2013-08-02 16:06:46.845491	2013-08-02 16:06:46.845491
48570	2	2013-08-02 16:06:46.738683	2013-08-04 02:00:47.261436
48636	16	2013-08-02 16:06:46.85068	2013-08-02 16:06:46.85068
48520	2	2013-08-02 16:06:46.678415	2013-08-04 02:00:47.272049
48639	19	2013-08-02 16:06:46.857604	2013-08-02 16:06:46.857604
48550	2	2013-08-02 16:06:46.712531	2013-08-04 02:00:47.283112
48642	2	2013-08-02 16:06:46.86546	2013-08-02 16:06:46.86546
48635	2	2013-08-02 16:06:46.848036	2013-08-03 22:40:20.265411
48644	4	2013-08-02 16:06:46.870776	2013-08-02 16:06:46.870776
48632	2	2013-08-02 16:06:46.840271	2013-08-04 02:00:47.293809
48646	6	2013-08-02 16:06:46.876179	2013-08-02 16:06:46.876179
48647	7	2013-08-02 16:06:46.878837	2013-08-02 16:06:46.878837
48648	8	2013-08-02 16:06:46.881539	2013-08-02 16:06:46.881539
48649	9	2013-08-02 16:06:46.884198	2013-08-02 16:06:46.884198
48651	11	2013-08-02 16:06:46.889372	2013-08-02 16:06:46.889372
48653	13	2013-08-02 16:06:46.894642	2013-08-02 16:06:46.894642
48654	14	2013-08-02 16:06:46.897338	2013-08-02 16:06:46.897338
48525	7	2013-08-02 16:06:46.68474	2013-08-04 00:04:14.04882
48656	16	2013-08-02 16:06:46.90223	2013-08-02 16:06:46.90223
48530	2	2013-08-02 16:06:46.692864	2013-08-04 02:00:47.304475
48659	19	2013-08-02 16:06:46.909552	2013-08-02 16:06:46.909552
48552	2	2013-08-02 16:06:46.715563	2013-08-04 02:00:47.866233
48662	2	2013-08-02 16:06:46.916755	2013-08-02 16:06:46.916755
48545	6	2013-08-02 16:06:46.70746	2013-08-04 00:04:14.051306
48664	4	2013-08-02 16:06:46.921574	2013-08-02 16:06:46.921574
48666	6	2013-08-02 16:06:46.926354	2013-08-02 16:06:46.926354
48667	7	2013-08-02 16:06:46.928762	2013-08-02 16:06:46.928762
48668	8	2013-08-02 16:06:46.931143	2013-08-02 16:06:46.931143
48669	9	2013-08-02 16:06:46.933599	2013-08-02 16:06:46.933599
48630	19	2013-08-02 16:06:46.835125	2013-08-04 02:03:08.469836
48655	19	2013-08-02 16:06:46.899806	2013-08-03 20:35:12.480893
48523	4	2013-08-02 16:06:46.681556	2013-08-03 20:40:05.232108
48543	2	2013-08-02 16:06:46.704789	2013-08-03 20:40:05.235895
48663	11	2013-08-02 16:06:46.919147	2013-08-03 20:42:29.458982
48643	4	2013-08-02 16:06:46.868102	2013-08-03 20:42:29.482941
48623	9	2013-08-02 16:06:46.819326	2013-08-03 20:42:29.505596
48603	2	2013-08-02 16:06:46.776076	2013-08-03 20:42:29.529279
48565	4	2013-08-02 16:06:46.731621	2013-08-04 00:04:14.053763
48605	2	2013-08-02 16:06:46.778757	2013-08-04 00:04:14.059573
48585	21	2013-08-02 16:06:46.75639	2013-08-04 00:05:40.328052
48665	4	2013-08-02 16:06:46.923961	2013-08-04 00:05:40.502242
48645	2	2013-08-02 16:06:46.873484	2013-08-04 00:05:40.514309
48670	16	2013-08-02 16:06:46.935987	2013-08-04 02:03:08.473517
48625	21	2013-08-02 16:06:46.823522	2013-08-04 02:03:21.38481
48590	21	2013-08-02 16:06:46.764046	2013-08-04 02:05:54.25293
48610	2	2013-08-02 16:06:46.787447	2013-08-04 02:05:55.629086
48671	11	2013-08-02 16:06:46.93837	2013-08-02 16:06:46.93837
31368	9	2013-08-02 16:06:08.754465	2013-08-04 17:46:53.812977
48673	13	2013-08-02 16:06:46.943289	2013-08-02 16:06:46.943289
48674	14	2013-08-02 16:06:46.94569	2013-08-02 16:06:46.94569
48738	21	2013-08-02 16:06:47.358125	2013-08-03 22:09:25.424431
48676	16	2013-08-02 16:06:46.950629	2013-08-02 16:06:46.950629
48672	8	2013-08-02 16:06:46.940888	2013-08-04 01:11:59.547329
48679	19	2013-08-02 16:06:46.958368	2013-08-02 16:06:46.958368
48692	7	2013-08-02 16:06:46.993026	2013-08-04 01:11:59.548474
31348	9	2013-08-02 16:06:08.71384	2013-08-04 17:46:53.816653
48682	2	2013-08-02 16:06:46.966155	2013-08-02 16:06:46.966155
48718	21	2013-08-02 16:06:47.062698	2013-08-03 22:09:25.427502
48684	4	2013-08-02 16:06:46.971827	2013-08-02 16:06:46.971827
48712	6	2013-08-02 16:06:47.04685	2013-08-04 01:11:59.549613
48686	6	2013-08-02 16:06:46.97723	2013-08-02 16:06:46.97723
48687	7	2013-08-02 16:06:46.979878	2013-08-02 16:06:46.979878
48688	8	2013-08-02 16:06:46.982602	2013-08-02 16:06:46.982602
48689	9	2013-08-02 16:06:46.985257	2013-08-02 16:06:46.985257
31888	4	2013-08-02 16:06:10.162393	2013-08-04 17:46:53.839218
48691	11	2013-08-02 16:06:46.990492	2013-08-02 16:06:46.990492
31855	4	2013-08-02 16:06:09.924599	2013-08-04 17:46:53.849641
48693	13	2013-08-02 16:06:46.995778	2013-08-02 16:06:46.995778
48694	14	2013-08-02 16:06:46.998579	2013-08-02 16:06:46.998579
48698	21	2013-08-02 16:06:47.009034	2013-08-03 22:09:25.429107
48696	16	2013-08-02 16:06:47.003686	2013-08-02 16:06:47.003686
2388	4	2013-08-02 16:05:08.694028	2013-08-04 17:46:53.861649
48699	19	2013-08-02 16:06:47.011693	2013-08-02 16:06:47.011693
48752	4	2013-08-02 16:06:47.378032	2013-08-04 01:11:59.551717
31868	4	2013-08-02 16:06:10.139737	2013-08-04 17:46:53.873343
48702	2	2013-08-02 16:06:47.020319	2013-08-02 16:06:47.020319
48678	21	2013-08-02 16:06:46.955867	2013-08-03 22:09:25.430411
48704	4	2013-08-02 16:06:47.025652	2013-08-02 16:06:47.025652
31848	4	2013-08-02 16:06:09.906204	2013-08-04 17:46:53.885795
48706	6	2013-08-02 16:06:47.031051	2013-08-02 16:06:47.031051
48707	7	2013-08-02 16:06:47.033755	2013-08-02 16:06:47.033755
48708	8	2013-08-02 16:06:47.036434	2013-08-02 16:06:47.036434
48709	9	2013-08-02 16:06:47.039129	2013-08-02 16:06:47.039129
19286	4	2013-08-02 16:05:41.56595	2013-08-04 17:46:53.897402
48711	11	2013-08-02 16:06:47.04433	2013-08-02 16:06:47.04433
31828	4	2013-08-02 16:06:09.863612	2013-08-04 17:46:53.908714
48713	13	2013-08-02 16:06:47.049294	2013-08-02 16:06:47.049294
48714	14	2013-08-02 16:06:47.052042	2013-08-02 16:06:47.052042
48758	21	2013-08-02 16:06:47.387472	2013-08-03 22:14:25.63597
48716	16	2013-08-02 16:06:47.05726	2013-08-02 16:06:47.05726
48792	2	2013-08-02 16:06:47.452821	2013-08-04 01:11:59.553648
48719	19	2013-08-02 16:06:47.335444	2013-08-02 16:06:47.335444
31808	4	2013-08-02 16:06:09.83113	2013-08-04 17:46:53.920045
31788	4	2013-08-02 16:06:09.780163	2013-08-04 17:46:53.931225
48722	2	2013-08-02 16:06:47.339249	2013-08-02 16:06:47.339249
48818	11	2013-08-02 16:06:47.50496	2013-08-03 22:14:26.003603
48724	4	2013-08-02 16:06:47.341563	2013-08-02 16:06:47.341563
48732	21	2013-08-02 16:06:47.35032	2013-08-04 01:12:19.31867
48726	6	2013-08-02 16:06:47.343826	2013-08-02 16:06:47.343826
48727	7	2013-08-02 16:06:47.344949	2013-08-02 16:06:47.344949
48728	8	2013-08-02 16:06:47.346072	2013-08-02 16:06:47.346072
48729	9	2013-08-02 16:06:47.347187	2013-08-02 16:06:47.347187
31768	4	2013-08-02 16:06:09.727634	2013-08-04 17:46:53.942482
48731	11	2013-08-02 16:06:47.349222	2013-08-02 16:06:47.349222
31748	4	2013-08-02 16:06:09.674019	2013-08-04 17:46:53.953314
48733	13	2013-08-02 16:06:47.351429	2013-08-02 16:06:47.351429
48734	14	2013-08-02 16:06:47.35256	2013-08-02 16:06:47.35256
48798	14	2013-08-02 16:06:47.464726	2013-08-03 22:14:26.012458
48736	16	2013-08-02 16:06:47.355347	2013-08-02 16:06:47.355347
48803	2	2013-08-02 16:06:47.474888	2013-08-04 01:15:49.896627
48739	19	2013-08-02 16:06:47.359515	2013-08-02 16:06:47.359515
48820	21	2013-08-02 16:06:47.508956	2013-08-04 01:41:00.172633
48742	2	2013-08-02 16:06:47.363323	2013-08-02 16:06:47.363323
48778	9	2013-08-02 16:06:47.425005	2013-08-03 22:14:26.022603
48744	4	2013-08-02 16:06:47.366124	2013-08-02 16:06:47.366124
48821	21	2013-08-02 16:06:47.510925	2013-08-04 01:41:00.1759
48746	6	2013-08-02 16:06:47.369056	2013-08-02 16:06:47.369056
48747	7	2013-08-02 16:06:47.370517	2013-08-02 16:06:47.370517
48748	8	2013-08-02 16:06:47.372006	2013-08-02 16:06:47.372006
48749	9	2013-08-02 16:06:47.373477	2013-08-02 16:06:47.373477
48751	11	2013-08-02 16:06:47.376388	2013-08-02 16:06:47.376388
48753	13	2013-08-02 16:06:47.379656	2013-08-02 16:06:47.379656
48754	14	2013-08-02 16:06:47.381343	2013-08-02 16:06:47.381343
48756	16	2013-08-02 16:06:47.384382	2013-08-02 16:06:47.384382
48801	14	2013-08-02 16:06:47.470916	2013-08-04 01:41:00.195375
48759	19	2013-08-02 16:06:47.389172	2013-08-02 16:06:47.389172
48762	2	2013-08-02 16:06:47.394871	2013-08-02 16:06:47.394871
48700	7	2013-08-02 16:06:47.014769	2013-08-03 22:40:41.061895
48764	4	2013-08-02 16:06:47.398695	2013-08-02 16:06:47.398695
48761	16	2013-08-02 16:06:47.39297	2013-08-04 01:41:00.23972
48766	6	2013-08-02 16:06:47.402606	2013-08-02 16:06:47.402606
48767	7	2013-08-02 16:06:47.404475	2013-08-02 16:06:47.404475
48768	8	2013-08-02 16:06:47.406348	2013-08-02 16:06:47.406348
48769	9	2013-08-02 16:06:47.408189	2013-08-02 16:06:47.408189
48771	11	2013-08-02 16:06:47.411894	2013-08-02 16:06:47.411894
48773	13	2013-08-02 16:06:47.415613	2013-08-02 16:06:47.415613
48774	14	2013-08-02 16:06:47.41752	2013-08-02 16:06:47.41752
48720	6	2013-08-02 16:06:47.336726	2013-08-03 22:40:41.063253
48776	16	2013-08-02 16:06:47.42125	2013-08-02 16:06:47.42125
48680	19	2013-08-02 16:06:46.960814	2013-08-04 01:41:00.261688
48779	19	2013-08-02 16:06:47.426982	2013-08-02 16:06:47.426982
48782	2	2013-08-02 16:06:47.432926	2013-08-02 16:06:47.432926
48784	4	2013-08-02 16:06:47.436895	2013-08-02 16:06:47.436895
48812	13	2013-08-02 16:06:47.492969	2013-08-04 01:41:00.329123
48786	6	2013-08-02 16:06:47.440889	2013-08-02 16:06:47.440889
48787	7	2013-08-02 16:06:47.442871	2013-08-02 16:06:47.442871
48788	8	2013-08-02 16:06:47.444872	2013-08-02 16:06:47.444872
48789	9	2013-08-02 16:06:47.446838	2013-08-02 16:06:47.446838
48791	11	2013-08-02 16:06:47.450835	2013-08-02 16:06:47.450835
48793	13	2013-08-02 16:06:47.454794	2013-08-02 16:06:47.454794
48794	14	2013-08-02 16:06:47.456801	2013-08-02 16:06:47.456801
48760	4	2013-08-02 16:06:47.391035	2013-08-03 22:40:41.069092
48796	16	2013-08-02 16:06:47.46076	2013-08-02 16:06:47.46076
48690	14	2013-08-02 16:06:46.987753	2013-08-04 02:03:08.475911
48799	19	2013-08-02 16:06:47.466691	2013-08-02 16:06:47.466691
48710	13	2013-08-02 16:06:47.041822	2013-08-04 02:03:08.477055
48802	2	2013-08-02 16:06:47.472922	2013-08-02 16:06:47.472922
48804	4	2013-08-02 16:06:47.476871	2013-08-02 16:06:47.476871
48750	11	2013-08-02 16:06:47.374924	2013-08-04 02:03:08.479126
48806	6	2013-08-02 16:06:47.480813	2013-08-02 16:06:47.480813
48807	7	2013-08-02 16:06:47.482784	2013-08-02 16:06:47.482784
48808	8	2013-08-02 16:06:47.484838	2013-08-02 16:06:47.484838
48809	9	2013-08-02 16:06:47.486825	2013-08-02 16:06:47.486825
48811	11	2013-08-02 16:06:47.490981	2013-08-02 16:06:47.490981
48813	13	2013-08-02 16:06:47.49495	2013-08-02 16:06:47.49495
48814	14	2013-08-02 16:06:47.496992	2013-08-02 16:06:47.496992
48800	2	2013-08-02 16:06:47.468925	2013-08-03 22:40:41.073016
48816	16	2013-08-02 16:06:47.500975	2013-08-02 16:06:47.500975
48770	9	2013-08-02 16:06:47.410051	2013-08-04 02:03:08.480751
48819	19	2013-08-02 16:06:47.506922	2013-08-02 16:06:47.506922
48790	8	2013-08-02 16:06:47.448836	2013-08-04 02:03:08.483244
48822	2	2013-08-02 16:06:47.512923	2013-08-02 16:06:47.512923
48824	4	2013-08-02 16:06:47.51689	2013-08-02 16:06:47.51689
48810	7	2013-08-02 16:06:47.488988	2013-08-04 02:03:08.485201
48826	6	2013-08-02 16:06:47.520858	2013-08-02 16:06:47.520858
48827	7	2013-08-02 16:06:47.522816	2013-08-02 16:06:47.522816
48730	21	2013-08-02 16:06:47.348242	2013-08-04 02:03:08.500956
48783	16	2013-08-02 16:06:47.434892	2013-08-03 20:42:29.320162
48763	19	2013-08-02 16:06:47.396789	2013-08-03 20:42:29.343596
48743	6	2013-08-02 16:06:47.364627	2013-08-03 20:42:29.366603
48723	13	2013-08-02 16:06:47.340392	2013-08-03 20:42:29.388925
48780	2	2013-08-02 16:06:47.428964	2013-08-03 22:44:24.233345
48805	21	2013-08-02 16:06:47.478832	2013-08-04 00:05:40.432608
48785	21	2013-08-02 16:06:47.43886	2013-08-04 00:05:40.436555
48740	21	2013-08-02 16:06:47.360817	2013-08-04 00:05:40.440127
48765	21	2013-08-02 16:06:47.400663	2013-08-04 00:05:40.443728
48745	14	2013-08-02 16:06:47.367585	2013-08-04 00:05:40.463835
48725	7	2013-08-02 16:06:47.342701	2013-08-04 00:05:40.47166
48705	16	2013-08-02 16:06:47.02829	2013-08-04 00:05:40.483363
48825	9	2013-08-02 16:06:47.518861	2013-08-04 00:07:58.295959
48823	8	2013-08-02 16:06:47.514878	2013-08-04 00:07:58.297394
48828	8	2013-08-02 16:06:47.524797	2013-08-02 16:06:47.524797
48829	9	2013-08-02 16:06:47.526875	2013-08-02 16:06:47.526875
31728	4	2013-08-02 16:06:09.6312	2013-08-04 17:46:53.966701
48831	11	2013-08-02 16:06:47.53081	2013-08-02 16:06:47.53081
19310	4	2013-08-02 16:05:41.627734	2013-08-04 17:46:53.978662
48833	13	2013-08-02 16:06:47.534781	2013-08-02 16:06:47.534781
48834	14	2013-08-02 16:06:47.536758	2013-08-02 16:06:47.536758
31708	4	2013-08-02 16:06:09.59109	2013-08-04 17:46:53.99079
48836	16	2013-08-02 16:06:47.540702	2013-08-02 16:06:47.540702
48905	21	2013-08-02 16:06:47.673434	2013-08-04 00:10:38.711581
48839	19	2013-08-02 16:06:47.546629	2013-08-02 16:06:47.546629
48965	6	2013-08-02 16:06:47.829619	2013-08-04 00:10:38.870679
31688	4	2013-08-02 16:06:09.542688	2013-08-04 17:46:54.003532
48842	2	2013-08-02 16:06:47.552524	2013-08-02 16:06:47.552524
48958	4	2013-08-02 16:06:47.81229	2013-08-03 22:14:25.924426
48844	4	2013-08-02 16:06:47.556441	2013-08-02 16:06:47.556441
48940	2	2013-08-02 16:06:47.767151	2013-08-04 01:15:49.806535
48846	6	2013-08-02 16:06:47.560413	2013-08-02 16:06:47.560413
48847	7	2013-08-02 16:06:47.562375	2013-08-02 16:06:47.562375
48848	8	2013-08-02 16:06:47.564337	2013-08-02 16:06:47.564337
48849	9	2013-08-02 16:06:47.566312	2013-08-02 16:06:47.566312
31572	4	2013-08-02 16:06:09.264162	2013-08-04 17:46:54.012055
48851	11	2013-08-02 16:06:47.570269	2013-08-02 16:06:47.570269
31668	4	2013-08-02 16:06:09.495375	2013-08-04 17:46:54.016109
48853	13	2013-08-02 16:06:47.574205	2013-08-02 16:06:47.574205
48854	14	2013-08-02 16:06:47.576155	2013-08-02 16:06:47.576155
48938	6	2013-08-02 16:06:47.761751	2013-08-03 22:14:25.93755
48856	16	2013-08-02 16:06:47.580084	2013-08-02 16:06:47.580084
48972	2	2013-08-02 16:06:47.847056	2013-08-04 01:15:49.817917
48859	19	2013-08-02 16:06:47.586035	2013-08-02 16:06:47.586035
48952	2	2013-08-02 16:06:47.797986	2013-08-04 01:15:49.829177
31640	4	2013-08-02 16:06:09.425643	2013-08-04 17:46:54.019767
48862	2	2013-08-02 16:06:47.591919	2013-08-02 16:06:47.591919
48864	4	2013-08-02 16:06:47.595879	2013-08-02 16:06:47.595879
48932	2	2013-08-02 16:06:47.745755	2013-08-04 01:15:49.841066
48866	6	2013-08-02 16:06:47.59984	2013-08-02 16:06:47.59984
48867	7	2013-08-02 16:06:47.601808	2013-08-02 16:06:47.601808
48868	8	2013-08-02 16:06:47.603753	2013-08-02 16:06:47.603753
48869	9	2013-08-02 16:06:47.605705	2013-08-02 16:06:47.605705
31648	4	2013-08-02 16:06:09.447104	2013-08-04 17:46:54.023131
48871	11	2013-08-02 16:06:47.609657	2013-08-02 16:06:47.609657
10309	4	2013-08-02 16:05:23.593063	2013-08-04 17:46:54.039073
48873	13	2013-08-02 16:06:47.613577	2013-08-02 16:06:47.613577
48874	14	2013-08-02 16:06:47.615526	2013-08-02 16:06:47.615526
48876	16	2013-08-02 16:06:47.619514	2013-08-02 16:06:47.619514
48912	2	2013-08-02 16:06:47.691994	2013-08-04 01:15:49.852916
48879	19	2013-08-02 16:06:47.62555	2013-08-02 16:06:47.62555
48892	2	2013-08-02 16:06:47.650007	2013-08-04 01:15:49.864085
48882	2	2013-08-02 16:06:47.632498	2013-08-02 16:06:47.632498
48878	8	2013-08-02 16:06:47.623442	2013-08-03 22:14:25.978252
48884	4	2013-08-02 16:06:47.637755	2013-08-02 16:06:47.637755
48872	2	2013-08-02 16:06:47.611609	2013-08-04 01:15:49.867719
48886	6	2013-08-02 16:06:47.642492	2013-08-02 16:06:47.642492
48887	7	2013-08-02 16:06:47.644383	2013-08-02 16:06:47.644383
48888	8	2013-08-02 16:06:47.645519	2013-08-02 16:06:47.645519
48889	9	2013-08-02 16:06:47.646632	2013-08-02 16:06:47.646632
48891	11	2013-08-02 16:06:47.648895	2013-08-02 16:06:47.648895
48893	13	2013-08-02 16:06:47.651085	2013-08-02 16:06:47.651085
48894	14	2013-08-02 16:06:47.652183	2013-08-02 16:06:47.652183
48852	2	2013-08-02 16:06:47.572226	2013-08-04 01:15:49.874985
48896	16	2013-08-02 16:06:47.654399	2013-08-02 16:06:47.654399
48861	21	2013-08-02 16:06:47.589965	2013-08-04 01:41:00.164941
48899	19	2013-08-02 16:06:47.658642	2013-08-02 16:06:47.658642
48841	21	2013-08-02 16:06:47.550567	2013-08-04 01:41:00.169196
48902	2	2013-08-02 16:06:47.665569	2013-08-02 16:06:47.665569
48838	7	2013-08-02 16:06:47.544678	2013-08-03 22:14:25.99521
48904	4	2013-08-02 16:06:47.670708	2013-08-02 16:06:47.670708
48906	6	2013-08-02 16:06:47.676111	2013-08-02 16:06:47.676111
48907	7	2013-08-02 16:06:47.678817	2013-08-02 16:06:47.678817
48908	8	2013-08-02 16:06:47.681321	2013-08-02 16:06:47.681321
48909	9	2013-08-02 16:06:47.68402	2013-08-02 16:06:47.68402
48911	11	2013-08-02 16:06:47.689363	2013-08-02 16:06:47.689363
48913	13	2013-08-02 16:06:47.694644	2013-08-02 16:06:47.694644
48914	14	2013-08-02 16:06:47.697299	2013-08-02 16:06:47.697299
48858	21	2013-08-02 16:06:47.584052	2013-08-03 22:15:17.06719
48916	16	2013-08-02 16:06:47.702618	2013-08-02 16:06:47.702618
48919	19	2013-08-02 16:06:47.710811	2013-08-02 16:06:47.710811
48961	19	2013-08-02 16:06:47.819381	2013-08-04 01:45:50.68799
48922	2	2013-08-02 16:06:47.718871	2013-08-02 16:06:47.718871
48924	4	2013-08-02 16:06:47.72418	2013-08-02 16:06:47.72418
48941	11	2013-08-02 16:06:47.7698	2013-08-04 01:45:50.712397
48926	6	2013-08-02 16:06:47.729546	2013-08-02 16:06:47.729546
48927	7	2013-08-02 16:06:47.732194	2013-08-02 16:06:47.732194
48928	8	2013-08-02 16:06:47.734886	2013-08-02 16:06:47.734886
48929	9	2013-08-02 16:06:47.737606	2013-08-02 16:06:47.737606
48931	11	2013-08-02 16:06:47.743108	2013-08-02 16:06:47.743108
48933	13	2013-08-02 16:06:47.748388	2013-08-02 16:06:47.748388
48934	14	2013-08-02 16:06:47.7511	2013-08-02 16:06:47.7511
48860	16	2013-08-02 16:06:47.587991	2013-08-03 22:45:08.935479
48936	16	2013-08-02 16:06:47.756425	2013-08-02 16:06:47.756425
48921	6	2013-08-02 16:06:47.716165	2013-08-04 01:45:50.736053
48939	19	2013-08-02 16:06:47.764389	2013-08-02 16:06:47.764389
48901	9	2013-08-02 16:06:47.663006	2013-08-04 01:45:50.759841
48942	2	2013-08-02 16:06:47.772437	2013-08-02 16:06:47.772437
48881	7	2013-08-02 16:06:47.629872	2013-08-04 01:45:50.783173
48944	4	2013-08-02 16:06:47.777797	2013-08-02 16:06:47.777797
48898	2	2013-08-02 16:06:47.656506	2013-08-04 01:45:50.807035
48946	6	2013-08-02 16:06:47.783132	2013-08-02 16:06:47.783132
48947	7	2013-08-02 16:06:47.785791	2013-08-02 16:06:47.785791
48948	8	2013-08-02 16:06:47.788301	2013-08-02 16:06:47.788301
48949	9	2013-08-02 16:06:47.790788	2013-08-02 16:06:47.790788
48951	11	2013-08-02 16:06:47.795575	2013-08-02 16:06:47.795575
48953	13	2013-08-02 16:06:47.80037	2013-08-02 16:06:47.80037
48954	14	2013-08-02 16:06:47.80279	2013-08-02 16:06:47.80279
48900	14	2013-08-02 16:06:47.660919	2013-08-03 22:45:08.94304
48956	16	2013-08-02 16:06:47.807553	2013-08-02 16:06:47.807553
48945	2	2013-08-02 16:06:47.780457	2013-08-04 01:45:51.470084
48959	19	2013-08-02 16:06:47.814672	2013-08-02 16:06:47.814672
48830	6	2013-08-02 16:06:47.528851	2013-08-04 02:03:08.486487
48962	2	2013-08-02 16:06:47.821798	2013-08-02 16:06:47.821798
48920	13	2013-08-02 16:06:47.713529	2013-08-03 22:45:08.946876
48964	4	2013-08-02 16:06:47.827097	2013-08-02 16:06:47.827097
48966	6	2013-08-02 16:06:47.832212	2013-08-02 16:06:47.832212
48967	7	2013-08-02 16:06:47.834912	2013-08-02 16:06:47.834912
48968	8	2013-08-02 16:06:47.837423	2013-08-02 16:06:47.837423
48969	9	2013-08-02 16:06:47.839824	2013-08-02 16:06:47.839824
48971	11	2013-08-02 16:06:47.844674	2013-08-02 16:06:47.844674
48973	13	2013-08-02 16:06:47.849472	2013-08-02 16:06:47.849472
48974	14	2013-08-02 16:06:47.851859	2013-08-02 16:06:47.851859
48976	16	2013-08-02 16:06:47.856652	2013-08-02 16:06:47.856652
48979	19	2013-08-02 16:06:47.863752	2013-08-02 16:06:47.863752
48850	4	2013-08-02 16:06:47.568282	2013-08-04 02:03:08.489112
48982	2	2013-08-02 16:06:47.870868	2013-08-02 16:06:47.870868
48960	11	2013-08-02 16:06:47.817044	2013-08-03 22:45:08.954846
48984	4	2013-08-02 16:06:47.875613	2013-08-02 16:06:47.875613
48903	21	2013-08-02 16:06:47.668057	2013-08-03 20:42:29.240112
48883	21	2013-08-02 16:06:47.635184	2013-08-03 20:42:29.244233
48863	21	2013-08-02 16:06:47.593907	2013-08-03 20:42:29.247548
48843	21	2013-08-02 16:06:47.554483	2013-08-03 20:42:29.251263
48983	4	2013-08-02 16:06:47.873248	2013-08-03 20:42:29.753725
48963	4	2013-08-02 16:06:47.824389	2013-08-03 20:42:29.764971
48943	4	2013-08-02 16:06:47.775148	2013-08-03 20:42:29.776539
48845	7	2013-08-02 16:06:47.558444	2013-08-04 00:07:58.298565
48865	6	2013-08-02 16:06:47.597858	2013-08-04 00:07:58.299673
48885	4	2013-08-02 16:06:47.640308	2013-08-04 00:07:58.300877
48925	2	2013-08-02 16:06:47.726881	2013-08-04 00:07:58.302948
48890	2	2013-08-02 16:06:47.647774	2013-08-04 02:03:08.491586
48870	21	2013-08-02 16:06:47.607659	2013-08-04 02:03:17.332607
48910	4	2013-08-02 16:06:47.686686	2013-08-04 02:05:53.953918
48978	21	2013-08-02 16:06:47.861396	2013-08-04 02:05:53.994821
48980	2	2013-08-02 16:06:47.866136	2013-08-04 02:05:55.065414
48970	2	2013-08-02 16:06:47.842239	2013-08-04 02:05:55.069225
48950	2	2013-08-02 16:06:47.793204	2013-08-04 02:05:55.07331
48930	2	2013-08-02 16:06:47.740406	2013-08-04 02:05:55.081849
3771	4	2013-08-02 16:05:11.18982	2013-08-04 17:46:54.048564
48986	6	2013-08-02 16:06:47.880457	2013-08-02 16:06:47.880457
48987	7	2013-08-02 16:06:47.883082	2013-08-02 16:06:47.883082
48988	8	2013-08-02 16:06:47.885756	2013-08-02 16:06:47.885756
48989	9	2013-08-02 16:06:47.888399	2013-08-02 16:06:47.888399
10289	4	2013-08-02 16:05:23.56582	2013-08-04 17:46:54.060499
48991	11	2013-08-02 16:06:47.893754	2013-08-02 16:06:47.893754
10341	4	2013-08-02 16:05:23.626382	2013-08-04 17:46:54.072172
48993	13	2013-08-02 16:06:47.89871	2013-08-02 16:06:47.89871
48994	14	2013-08-02 16:06:47.901115	2013-08-02 16:06:47.901115
49138	21	2013-08-02 16:06:48.262766	2013-08-03 22:14:25.863068
48996	16	2013-08-02 16:06:47.905894	2013-08-02 16:06:47.905894
49125	21	2013-08-02 16:06:48.226849	2013-08-04 00:10:38.784681
48999	19	2013-08-02 16:06:47.913105	2013-08-02 16:06:47.913105
49105	14	2013-08-02 16:06:48.172901	2013-08-04 00:10:38.794788
10269	4	2013-08-02 16:05:23.544848	2013-08-04 17:46:54.083304
49002	2	2013-08-02 16:06:47.920516	2013-08-02 16:06:47.920516
49118	21	2013-08-02 16:06:48.208154	2013-08-03 22:14:25.866998
49004	4	2013-08-02 16:06:47.925305	2013-08-02 16:06:47.925305
5765	4	2013-08-02 16:05:14.582392	2013-08-04 17:46:54.095102
49006	6	2013-08-02 16:06:47.930072	2013-08-02 16:06:47.930072
49007	7	2013-08-02 16:06:47.93243	2013-08-02 16:06:47.93243
49008	8	2013-08-02 16:06:47.934804	2013-08-02 16:06:47.934804
49009	9	2013-08-02 16:06:47.937177	2013-08-02 16:06:47.937177
10296	4	2013-08-02 16:05:23.573492	2013-08-04 17:46:54.106882
49011	11	2013-08-02 16:06:47.941881	2013-08-02 16:06:47.941881
2955	4	2013-08-02 16:05:09.404629	2013-08-04 17:46:54.118358
49013	13	2013-08-02 16:06:47.94664	2013-08-02 16:06:47.94664
49014	14	2013-08-02 16:06:47.948998	2013-08-02 16:06:47.948998
49098	21	2013-08-02 16:06:48.154213	2013-08-03 22:14:25.870134
49016	16	2013-08-02 16:06:47.953732	2013-08-02 16:06:47.953732
49080	16	2013-08-02 16:06:48.105994	2013-08-04 00:10:38.803294
49019	19	2013-08-02 16:06:47.960677	2013-08-02 16:06:47.960677
10249	4	2013-08-02 16:05:23.523826	2013-08-04 17:46:54.130078
10229	4	2013-08-02 16:05:23.500072	2013-08-04 17:46:54.142437
49022	2	2013-08-02 16:06:47.96779	2013-08-02 16:06:47.96779
49078	21	2013-08-02 16:06:48.10069	2013-08-03 22:14:25.873324
49024	4	2013-08-02 16:06:47.972526	2013-08-02 16:06:47.972526
42663	4	2013-08-02 16:06:34.346542	2013-08-04 17:46:54.153495
49026	6	2013-08-02 16:06:47.977295	2013-08-02 16:06:47.977295
49027	7	2013-08-02 16:06:47.979663	2013-08-02 16:06:47.979663
49028	8	2013-08-02 16:06:47.982054	2013-08-02 16:06:47.982054
49029	9	2013-08-02 16:06:47.984419	2013-08-02 16:06:47.984419
49031	11	2013-08-02 16:06:47.989259	2013-08-02 16:06:47.989259
49033	13	2013-08-02 16:06:47.99403	2013-08-02 16:06:47.99403
49034	14	2013-08-02 16:06:47.996365	2013-08-02 16:06:47.996365
49058	21	2013-08-02 16:06:48.053199	2013-08-03 22:14:25.876435
49036	16	2013-08-02 16:06:48.001135	2013-08-02 16:06:48.001135
49039	19	2013-08-02 16:06:48.008262	2013-08-02 16:06:48.008262
49045	9	2013-08-02 16:06:48.022476	2013-08-04 00:10:38.832215
49042	2	2013-08-02 16:06:48.015362	2013-08-02 16:06:48.015362
49038	21	2013-08-02 16:06:48.005867	2013-08-03 22:14:25.879715
49044	4	2013-08-02 16:06:48.020118	2013-08-02 16:06:48.020118
49046	6	2013-08-02 16:06:48.024854	2013-08-02 16:06:48.024854
49047	7	2013-08-02 16:06:48.027199	2013-08-02 16:06:48.027199
49048	8	2013-08-02 16:06:48.029553	2013-08-02 16:06:48.029553
49049	9	2013-08-02 16:06:48.031894	2013-08-02 16:06:48.031894
49051	11	2013-08-02 16:06:48.036645	2013-08-02 16:06:48.036645
49053	13	2013-08-02 16:06:48.041375	2013-08-02 16:06:48.041375
49054	14	2013-08-02 16:06:48.043705	2013-08-02 16:06:48.043705
49018	21	2013-08-02 16:06:47.95832	2013-08-03 22:14:25.882867
49056	16	2013-08-02 16:06:48.048418	2013-08-02 16:06:48.048418
49025	11	2013-08-02 16:06:47.974902	2013-08-04 00:10:38.841787
49059	19	2013-08-02 16:06:48.055538	2013-08-02 16:06:48.055538
49005	7	2013-08-02 16:06:47.927657	2013-08-04 00:10:38.854955
49062	2	2013-08-02 16:06:48.062627	2013-08-02 16:06:48.062627
49000	9	2013-08-02 16:06:47.915763	2013-08-03 22:45:08.962773
49064	4	2013-08-02 16:06:48.0674	2013-08-02 16:06:48.0674
49066	6	2013-08-02 16:06:48.072263	2013-08-02 16:06:48.072263
49067	7	2013-08-02 16:06:48.074658	2013-08-02 16:06:48.074658
49068	8	2013-08-02 16:06:48.07711	2013-08-02 16:06:48.07711
49069	9	2013-08-02 16:06:48.079518	2013-08-02 16:06:48.079518
49071	11	2013-08-02 16:06:48.084244	2013-08-02 16:06:48.084244
49073	13	2013-08-02 16:06:48.090177	2013-08-02 16:06:48.090177
49074	14	2013-08-02 16:06:48.091749	2013-08-02 16:06:48.091749
49020	8	2013-08-02 16:06:47.963016	2013-08-03 22:45:08.966699
49076	16	2013-08-02 16:06:48.095221	2013-08-02 16:06:48.095221
49085	21	2013-08-02 16:06:48.119358	2013-08-04 00:11:45.688722
49079	19	2013-08-02 16:06:48.103338	2013-08-02 16:06:48.103338
49012	2	2013-08-02 16:06:47.944254	2013-08-04 01:15:49.791955
49082	2	2013-08-02 16:06:48.1113	2013-08-02 16:06:48.1113
49040	7	2013-08-02 16:06:48.01063	2013-08-03 22:45:08.970273
49084	4	2013-08-02 16:06:48.116709	2013-08-02 16:06:48.116709
49086	6	2013-08-02 16:06:48.12203	2013-08-02 16:06:48.12203
49087	7	2013-08-02 16:06:48.124917	2013-08-02 16:06:48.124917
49088	8	2013-08-02 16:06:48.127574	2013-08-02 16:06:48.127574
49089	9	2013-08-02 16:06:48.130242	2013-08-02 16:06:48.130242
49091	11	2013-08-02 16:06:48.135579	2013-08-02 16:06:48.135579
49093	13	2013-08-02 16:06:48.140915	2013-08-02 16:06:48.140915
49094	14	2013-08-02 16:06:48.143556	2013-08-02 16:06:48.143556
49060	6	2013-08-02 16:06:48.057882	2013-08-03 22:45:08.974149
49096	16	2013-08-02 16:06:48.14894	2013-08-02 16:06:48.14894
48992	2	2013-08-02 16:06:47.896241	2013-08-04 01:15:49.797543
49099	19	2013-08-02 16:06:48.156832	2013-08-02 16:06:48.156832
49102	2	2013-08-02 16:06:48.16517	2013-08-02 16:06:48.16517
49104	4	2013-08-02 16:06:48.170304	2013-08-02 16:06:48.170304
49106	6	2013-08-02 16:06:48.175568	2013-08-02 16:06:48.175568
49107	7	2013-08-02 16:06:48.178211	2013-08-02 16:06:48.178211
49108	8	2013-08-02 16:06:48.180901	2013-08-02 16:06:48.180901
49109	9	2013-08-02 16:06:48.183353	2013-08-02 16:06:48.183353
49111	11	2013-08-02 16:06:48.188508	2013-08-02 16:06:48.188508
49113	13	2013-08-02 16:06:48.194816	2013-08-02 16:06:48.194816
49114	14	2013-08-02 16:06:48.197583	2013-08-02 16:06:48.197583
49100	4	2013-08-02 16:06:48.159837	2013-08-03 22:45:08.987317
49116	16	2013-08-02 16:06:48.202869	2013-08-02 16:06:48.202869
49052	19	2013-08-02 16:06:48.039008	2013-08-04 01:18:23.635963
49119	19	2013-08-02 16:06:48.210854	2013-08-02 16:06:48.210854
49122	2	2013-08-02 16:06:48.218877	2013-08-02 16:06:48.218877
49092	16	2013-08-02 16:06:48.138245	2013-08-04 01:18:23.63924
49124	4	2013-08-02 16:06:48.224199	2013-08-02 16:06:48.224199
49126	6	2013-08-02 16:06:48.229534	2013-08-02 16:06:48.229534
49127	7	2013-08-02 16:06:48.231993	2013-08-02 16:06:48.231993
49128	8	2013-08-02 16:06:48.234597	2013-08-02 16:06:48.234597
49129	9	2013-08-02 16:06:48.237294	2013-08-02 16:06:48.237294
49131	11	2013-08-02 16:06:48.24327	2013-08-02 16:06:48.24327
49133	13	2013-08-02 16:06:48.249353	2013-08-02 16:06:48.249353
49134	14	2013-08-02 16:06:48.251989	2013-08-02 16:06:48.251989
49140	2	2013-08-02 16:06:48.268103	2013-08-03 22:45:08.99192
49136	16	2013-08-02 16:06:48.257443	2013-08-02 16:06:48.257443
49139	19	2013-08-02 16:06:48.265461	2013-08-02 16:06:48.265461
49132	14	2013-08-02 16:06:48.246291	2013-08-04 01:18:23.643742
49123	2	2013-08-02 16:06:48.221582	2013-08-03 20:42:29.68524
49103	2	2013-08-02 16:06:48.167794	2013-08-03 20:42:29.690892
49083	2	2013-08-02 16:06:48.113969	2013-08-03 20:42:29.695897
49063	2	2013-08-02 16:06:48.065045	2013-08-03 20:42:29.700956
49043	2	2013-08-02 16:06:48.017746	2013-08-03 20:42:29.707417
49023	4	2013-08-02 16:06:47.970185	2013-08-03 20:42:29.730053
49003	4	2013-08-02 16:06:47.92292	2013-08-03 20:42:29.742179
49120	21	2013-08-02 16:06:48.213533	2013-08-03 22:45:29.670247
49032	21	2013-08-02 16:06:47.991665	2013-08-04 01:18:42.769762
49141	21	2013-08-02 16:06:48.270776	2013-08-04 01:45:50.513204
49121	21	2013-08-02 16:06:48.216184	2013-08-04 01:45:50.515696
49101	21	2013-08-02 16:06:48.162518	2013-08-04 01:45:50.51875
49081	21	2013-08-02 16:06:48.108667	2013-08-04 01:45:50.521723
49061	14	2013-08-02 16:06:48.060258	2013-08-04 01:45:50.536848
49041	16	2013-08-02 16:06:48.013026	2013-08-04 01:45:50.563285
49112	2	2013-08-02 16:06:48.191839	2013-08-04 02:00:47.854322
49001	2	2013-08-02 16:06:47.918164	2013-08-04 02:05:55.018873
49130	2	2013-08-02 16:06:48.239926	2013-08-04 02:05:55.025427
49110	2	2013-08-02 16:06:48.18601	2013-08-04 02:05:55.030845
49090	2	2013-08-02 16:06:48.132946	2013-08-04 02:05:55.035817
49070	2	2013-08-02 16:06:48.081886	2013-08-04 02:05:55.040431
49050	2	2013-08-02 16:06:48.034249	2013-08-04 02:05:55.044608
49065	2	2013-08-02 16:06:48.069833	2013-08-04 02:05:55.048715
49030	2	2013-08-02 16:06:47.986791	2013-08-04 02:05:55.053255
49142	2	2013-08-02 16:06:48.273448	2013-08-02 16:06:48.273448
49165	21	2013-08-02 16:06:48.331135	2013-08-04 00:10:38.779736
49144	4	2013-08-02 16:06:48.278906	2013-08-02 16:06:48.278906
42643	4	2013-08-02 16:06:34.326167	2013-08-04 17:46:54.165383
49146	6	2013-08-02 16:06:48.284034	2013-08-02 16:06:48.284034
49147	7	2013-08-02 16:06:48.2867	2013-08-02 16:06:48.2867
49148	8	2013-08-02 16:06:48.289471	2013-08-02 16:06:48.289471
49149	9	2013-08-02 16:06:48.292119	2013-08-02 16:06:48.292119
10209	4	2013-08-02 16:05:23.483459	2013-08-04 17:46:54.17571
49151	11	2013-08-02 16:06:48.297461	2013-08-02 16:06:48.297461
10060	4	2013-08-02 16:05:23.328238	2013-08-04 17:46:54.187028
49153	13	2013-08-02 16:06:48.302366	2013-08-02 16:06:48.302366
49154	14	2013-08-02 16:06:48.304765	2013-08-02 16:06:48.304765
49178	19	2013-08-02 16:06:48.361863	2013-08-03 22:14:56.729197
49156	16	2013-08-02 16:06:48.309537	2013-08-02 16:06:48.309537
49145	21	2013-08-02 16:06:48.281443	2013-08-04 00:10:38.782476
49159	19	2013-08-02 16:06:48.316762	2013-08-02 16:06:48.316762
49185	16	2013-08-02 16:06:48.378522	2013-08-04 00:12:04.817446
10163	4	2013-08-02 16:05:23.436101	2013-08-04 17:46:54.197912
49162	2	2013-08-02 16:06:48.32394	2013-08-02 16:06:48.32394
49164	4	2013-08-02 16:06:48.328787	2013-08-02 16:06:48.328787
10189	4	2013-08-02 16:05:23.465154	2013-08-04 17:46:54.20894
49166	6	2013-08-02 16:06:48.333498	2013-08-02 16:06:48.333498
49167	7	2013-08-02 16:06:48.335843	2013-08-02 16:06:48.335843
49168	8	2013-08-02 16:06:48.338243	2013-08-02 16:06:48.338243
49169	9	2013-08-02 16:06:48.340599	2013-08-02 16:06:48.340599
10169	4	2013-08-02 16:05:23.444584	2013-08-04 17:46:54.219617
49171	11	2013-08-02 16:06:48.345333	2013-08-02 16:06:48.345333
10149	4	2013-08-02 16:05:23.418113	2013-08-04 17:46:54.230565
49173	13	2013-08-02 16:06:48.350082	2013-08-02 16:06:48.350082
49174	14	2013-08-02 16:06:48.35242	2013-08-02 16:06:48.35242
49218	16	2013-08-02 16:06:48.461583	2013-08-03 22:14:56.73127
49176	16	2013-08-02 16:06:48.35714	2013-08-02 16:06:48.35714
10129	4	2013-08-02 16:05:23.397437	2013-08-04 17:46:54.239987
49179	19	2013-08-02 16:06:48.364239	2013-08-02 16:06:48.364239
49225	14	2013-08-02 16:06:48.478474	2013-08-04 00:12:04.824104
26179	4	2013-08-02 16:05:56.646842	2013-08-04 17:46:54.582693
49182	2	2013-08-02 16:06:48.371359	2013-08-02 16:06:48.371359
49245	13	2013-08-02 16:06:48.530867	2013-08-04 00:12:04.826083
49184	4	2013-08-02 16:06:48.376131	2013-08-02 16:06:48.376131
26159	4	2013-08-02 16:05:56.604179	2013-08-04 17:46:54.589146
49186	6	2013-08-02 16:06:48.380963	2013-08-02 16:06:48.380963
49187	7	2013-08-02 16:06:48.383302	2013-08-02 16:06:48.383302
49188	8	2013-08-02 16:06:48.385675	2013-08-02 16:06:48.385675
49189	9	2013-08-02 16:06:48.388043	2013-08-02 16:06:48.388043
49191	11	2013-08-02 16:06:48.39282	2013-08-02 16:06:48.39282
49193	13	2013-08-02 16:06:48.397514	2013-08-02 16:06:48.397514
49194	14	2013-08-02 16:06:48.399845	2013-08-02 16:06:48.399845
49258	14	2013-08-02 16:06:48.565662	2013-08-03 22:14:56.733567
49196	16	2013-08-02 16:06:48.405028	2013-08-02 16:06:48.405028
49199	19	2013-08-02 16:06:48.412851	2013-08-02 16:06:48.412851
49285	11	2013-08-02 16:06:48.636668	2013-08-04 00:12:04.830733
49202	2	2013-08-02 16:06:48.42047	2013-08-02 16:06:48.42047
49278	13	2013-08-02 16:06:48.618438	2013-08-03 22:14:56.734713
49204	4	2013-08-02 16:06:48.42532	2013-08-02 16:06:48.42532
49206	6	2013-08-02 16:06:48.430105	2013-08-02 16:06:48.430105
49207	7	2013-08-02 16:06:48.432498	2013-08-02 16:06:48.432498
49208	8	2013-08-02 16:06:48.435173	2013-08-02 16:06:48.435173
49209	9	2013-08-02 16:06:48.43777	2013-08-02 16:06:48.43777
49211	11	2013-08-02 16:06:48.443052	2013-08-02 16:06:48.443052
49213	13	2013-08-02 16:06:48.448531	2013-08-02 16:06:48.448531
49214	14	2013-08-02 16:06:48.45129	2013-08-02 16:06:48.45129
49216	16	2013-08-02 16:06:48.456683	2013-08-02 16:06:48.456683
49219	19	2013-08-02 16:06:48.464001	2013-08-02 16:06:48.464001
49205	21	2013-08-02 16:06:48.427702	2013-08-04 00:12:04.88888
49222	2	2013-08-02 16:06:48.471249	2013-08-02 16:06:48.471249
49238	21	2013-08-02 16:06:48.513164	2013-08-03 22:15:17.068232
49224	4	2013-08-02 16:06:48.476073	2013-08-02 16:06:48.476073
49226	6	2013-08-02 16:06:48.481223	2013-08-02 16:06:48.481223
49227	7	2013-08-02 16:06:48.483867	2013-08-02 16:06:48.483867
49228	8	2013-08-02 16:06:48.486543	2013-08-02 16:06:48.486543
49229	9	2013-08-02 16:06:48.489036	2013-08-02 16:06:48.489036
49231	11	2013-08-02 16:06:48.494559	2013-08-02 16:06:48.494559
49233	13	2013-08-02 16:06:48.499863	2013-08-02 16:06:48.499863
49234	14	2013-08-02 16:06:48.502507	2013-08-02 16:06:48.502507
49236	16	2013-08-02 16:06:48.507829	2013-08-02 16:06:48.507829
49152	13	2013-08-02 16:06:48.29991	2013-08-04 01:18:23.64682
49239	19	2013-08-02 16:06:48.515819	2013-08-02 16:06:48.515819
49172	11	2013-08-02 16:06:48.347686	2013-08-04 01:18:23.649821
49242	2	2013-08-02 16:06:48.523436	2013-08-02 16:06:48.523436
49160	2	2013-08-02 16:06:48.31911	2013-08-03 22:45:30.096161
49244	4	2013-08-02 16:06:48.52824	2013-08-02 16:06:48.52824
49246	6	2013-08-02 16:06:48.533562	2013-08-02 16:06:48.533562
49247	7	2013-08-02 16:06:48.536207	2013-08-02 16:06:48.536207
49248	8	2013-08-02 16:06:48.538885	2013-08-02 16:06:48.538885
49249	9	2013-08-02 16:06:48.541588	2013-08-02 16:06:48.541588
49251	11	2013-08-02 16:06:48.546946	2013-08-02 16:06:48.546946
49253	13	2013-08-02 16:06:48.552287	2013-08-02 16:06:48.552287
49254	14	2013-08-02 16:06:48.555005	2013-08-02 16:06:48.555005
49256	16	2013-08-02 16:06:48.560311	2013-08-02 16:06:48.560311
49259	19	2013-08-02 16:06:48.568301	2013-08-02 16:06:48.568301
49265	9	2013-08-02 16:06:48.583662	2013-08-04 01:18:23.656169
49262	2	2013-08-02 16:06:48.575609	2013-08-02 16:06:48.575609
49200	9	2013-08-02 16:06:48.415625	2013-08-03 22:49:45.733098
49264	4	2013-08-02 16:06:48.58098	2013-08-02 16:06:48.58098
49266	6	2013-08-02 16:06:48.586365	2013-08-02 16:06:48.586365
49267	7	2013-08-02 16:06:48.589074	2013-08-02 16:06:48.589074
49268	8	2013-08-02 16:06:48.59174	2013-08-02 16:06:48.59174
49269	9	2013-08-02 16:06:48.594406	2013-08-02 16:06:48.594406
49271	11	2013-08-02 16:06:48.599737	2013-08-02 16:06:48.599737
49273	13	2013-08-02 16:06:48.605047	2013-08-02 16:06:48.605047
49274	14	2013-08-02 16:06:48.607754	2013-08-02 16:06:48.607754
49220	8	2013-08-02 16:06:48.466413	2013-08-03 22:49:45.736025
49276	16	2013-08-02 16:06:48.613081	2013-08-02 16:06:48.613081
49212	8	2013-08-02 16:06:48.445741	2013-08-04 01:18:23.659743
49279	19	2013-08-02 16:06:48.620933	2013-08-02 16:06:48.620933
49298	7	2013-08-02 16:06:48.671328	2013-08-04 01:18:23.663305
49282	2	2013-08-02 16:06:48.628716	2013-08-02 16:06:48.628716
49240	7	2013-08-02 16:06:48.518536	2013-08-03 22:49:45.738762
49284	4	2013-08-02 16:06:48.633979	2013-08-02 16:06:48.633979
49286	6	2013-08-02 16:06:48.639314	2013-08-02 16:06:48.639314
49287	7	2013-08-02 16:06:48.641986	2013-08-02 16:06:48.641986
49288	8	2013-08-02 16:06:48.644631	2013-08-02 16:06:48.644631
49289	9	2013-08-02 16:06:48.64726	2013-08-02 16:06:48.64726
49291	11	2013-08-02 16:06:48.65239	2013-08-02 16:06:48.65239
49293	13	2013-08-02 16:06:48.657961	2013-08-02 16:06:48.657961
49294	14	2013-08-02 16:06:48.660639	2013-08-02 16:06:48.660639
49260	6	2013-08-02 16:06:48.570794	2013-08-03 22:49:45.74219
49296	16	2013-08-02 16:06:48.665986	2013-08-02 16:06:48.665986
49232	6	2013-08-02 16:06:48.497213	2013-08-04 01:18:23.666948
49283	21	2013-08-02 16:06:48.631306	2013-08-03 20:42:29.630779
49263	7	2013-08-02 16:06:48.578281	2013-08-03 20:42:29.643831
49243	7	2013-08-02 16:06:48.525888	2013-08-03 20:42:29.648055
49223	7	2013-08-02 16:06:48.47365	2013-08-03 20:42:29.652152
49203	7	2013-08-02 16:06:48.422908	2013-08-03 20:42:29.656348
49183	7	2013-08-02 16:06:48.373748	2013-08-03 20:42:29.660639
49163	7	2013-08-02 16:06:48.326351	2013-08-03 20:42:29.664688
49252	21	2013-08-02 16:06:48.54964	2013-08-04 01:18:42.847182
49261	19	2013-08-02 16:06:48.573215	2013-08-04 01:50:56.673227
49241	9	2013-08-02 16:06:48.521023	2013-08-04 01:50:56.708639
49221	16	2013-08-02 16:06:48.468866	2013-08-04 01:50:56.752864
49201	11	2013-08-02 16:06:48.418081	2013-08-04 01:50:56.77509
49181	13	2013-08-02 16:06:48.369017	2013-08-04 01:50:56.797372
49170	2	2013-08-02 16:06:48.342963	2013-08-04 02:05:55.008851
49150	2	2013-08-02 16:06:48.294786	2013-08-04 02:05:55.013647
49280	19	2013-08-02 16:06:48.623546	2013-08-04 02:07:59.451963
49250	16	2013-08-02 16:06:48.544254	2013-08-04 02:07:59.458515
49270	14	2013-08-02 16:06:48.597081	2013-08-04 02:07:59.465714
49290	13	2013-08-02 16:06:48.649798	2013-08-04 02:07:59.469121
49192	21	2013-08-02 16:06:48.395145	2013-08-04 02:08:13.388415
49158	21	2013-08-02 16:06:48.314392	2013-08-04 02:10:49.916406
49190	21	2013-08-02 16:06:48.390448	2013-08-04 02:10:50.066543
49210	2	2013-08-02 16:06:48.440367	2013-08-04 02:10:51.97404
49299	19	2013-08-02 16:06:48.674036	2013-08-02 16:06:48.674036
49305	9	2013-08-02 16:06:48.690013	2013-08-04 00:12:04.836186
26139	4	2013-08-02 16:05:56.580681	2013-08-04 17:46:54.594801
49302	2	2013-08-02 16:06:48.682374	2013-08-02 16:06:48.682374
49318	11	2013-08-02 16:06:48.723854	2013-08-03 22:14:56.736936
49304	4	2013-08-02 16:06:48.687581	2013-08-02 16:06:48.687581
1787	4	2013-08-02 16:05:07.423884	2013-08-04 17:46:54.600508
49306	6	2013-08-02 16:06:48.692429	2013-08-02 16:06:48.692429
49307	7	2013-08-02 16:06:48.695037	2013-08-02 16:06:48.695037
49308	8	2013-08-02 16:06:48.697564	2013-08-02 16:06:48.697564
49309	9	2013-08-02 16:06:48.700154	2013-08-02 16:06:48.700154
26178	4	2013-08-02 16:05:56.644282	2013-08-04 17:46:54.605866
49311	11	2013-08-02 16:06:48.705474	2013-08-02 16:06:48.705474
26119	4	2013-08-02 16:05:56.563365	2013-08-04 17:46:54.610361
49313	13	2013-08-02 16:06:48.710836	2013-08-02 16:06:48.710836
49314	14	2013-08-02 16:06:48.713511	2013-08-02 16:06:48.713511
1767	4	2013-08-02 16:05:07.374126	2013-08-04 17:46:54.614755
49316	16	2013-08-02 16:06:48.718694	2013-08-02 16:06:48.718694
49325	8	2013-08-02 16:06:48.741887	2013-08-04 00:12:04.838995
49319	19	2013-08-02 16:06:48.726466	2013-08-02 16:06:48.726466
49345	7	2013-08-02 16:06:48.795464	2013-08-04 00:12:04.8418
26099	4	2013-08-02 16:05:56.547535	2013-08-04 17:46:54.621545
49322	2	2013-08-02 16:06:48.734305	2013-08-02 16:06:48.734305
49358	9	2013-08-02 16:06:48.829286	2013-08-03 22:14:56.739005
49324	4	2013-08-02 16:06:48.739169	2013-08-02 16:06:48.739169
26141	4	2013-08-02 16:05:56.582893	2013-08-04 17:46:54.630806
49326	6	2013-08-02 16:06:48.744527	2013-08-02 16:06:48.744527
49327	7	2013-08-02 16:06:48.747289	2013-08-02 16:06:48.747289
49328	8	2013-08-02 16:06:48.750002	2013-08-02 16:06:48.750002
49329	9	2013-08-02 16:06:48.752701	2013-08-02 16:06:48.752701
26140	4	2013-08-02 16:05:56.581791	2013-08-04 17:46:54.639186
49331	11	2013-08-02 16:06:48.758045	2013-08-02 16:06:48.758045
26079	4	2013-08-02 16:05:56.531044	2013-08-04 17:46:54.646061
49333	13	2013-08-02 16:06:48.763375	2013-08-02 16:06:48.763375
49334	14	2013-08-02 16:06:48.766056	2013-08-02 16:06:48.766056
49378	8	2013-08-02 16:06:48.880732	2013-08-03 22:14:56.740316
49336	16	2013-08-02 16:06:48.771382	2013-08-02 16:06:48.771382
49438	6	2013-08-02 16:06:49.033478	2013-08-04 00:12:04.844888
49339	19	2013-08-02 16:06:48.779426	2013-08-02 16:06:48.779426
49365	4	2013-08-02 16:06:48.84806	2013-08-04 00:12:04.847634
26059	4	2013-08-02 16:05:56.514352	2013-08-04 17:46:54.655482
49342	2	2013-08-02 16:06:48.78747	2013-08-02 16:06:48.78747
49398	7	2013-08-02 16:06:48.931074	2013-08-03 22:14:56.741995
49344	4	2013-08-02 16:06:48.792808	2013-08-02 16:06:48.792808
49435	2	2013-08-02 16:06:49.025286	2013-08-04 18:47:32.29759
49346	6	2013-08-02 16:06:48.798127	2013-08-02 16:06:48.798127
49347	7	2013-08-02 16:06:48.800767	2013-08-02 16:06:48.800767
49348	8	2013-08-02 16:06:48.803395	2013-08-02 16:06:48.803395
49349	9	2013-08-02 16:06:48.806081	2013-08-02 16:06:48.806081
49437	2	2013-08-02 16:06:49.030742	2013-08-04 18:47:32.302243
49351	11	2013-08-02 16:06:48.811432	2013-08-02 16:06:48.811432
49353	13	2013-08-02 16:06:48.81678	2013-08-02 16:06:48.81678
49354	14	2013-08-02 16:06:48.819419	2013-08-02 16:06:48.819419
49418	6	2013-08-02 16:06:48.980616	2013-08-03 22:14:56.743475
49356	16	2013-08-02 16:06:48.824265	2013-08-02 16:06:48.824265
49359	19	2013-08-02 16:06:48.831869	2013-08-02 16:06:48.831869
49405	2	2013-08-02 16:06:48.949102	2013-08-04 00:12:04.853894
49362	2	2013-08-02 16:06:48.84004	2013-08-02 16:06:48.84004
49364	4	2013-08-02 16:06:48.845419	2013-08-02 16:06:48.845419
49366	6	2013-08-02 16:06:48.85072	2013-08-02 16:06:48.85072
49367	7	2013-08-02 16:06:48.853424	2013-08-02 16:06:48.853424
49368	8	2013-08-02 16:06:48.85608	2013-08-02 16:06:48.85608
49369	9	2013-08-02 16:06:48.858739	2013-08-02 16:06:48.858739
49371	11	2013-08-02 16:06:48.863639	2013-08-02 16:06:48.863639
49373	13	2013-08-02 16:06:48.868452	2013-08-02 16:06:48.868452
49374	14	2013-08-02 16:06:48.870842	2013-08-02 16:06:48.870842
49300	4	2013-08-02 16:06:48.677169	2013-08-03 22:49:45.748448
49376	16	2013-08-02 16:06:48.875581	2013-08-02 16:06:48.875581
49379	19	2013-08-02 16:06:48.883459	2013-08-02 16:06:48.883459
49385	21	2013-08-02 16:06:48.899399	2013-08-04 00:15:38.123061
49382	2	2013-08-02 16:06:48.891468	2013-08-02 16:06:48.891468
49445	8	2013-08-02 16:06:49.051125	2013-08-04 00:15:38.327268
49384	4	2013-08-02 16:06:48.89676	2013-08-02 16:06:48.89676
49386	6	2013-08-02 16:06:48.902074	2013-08-02 16:06:48.902074
49387	7	2013-08-02 16:06:48.904705	2013-08-02 16:06:48.904705
49388	8	2013-08-02 16:06:48.907039	2013-08-02 16:06:48.907039
49389	9	2013-08-02 16:06:48.909375	2013-08-02 16:06:48.909375
49391	11	2013-08-02 16:06:48.913987	2013-08-02 16:06:48.913987
49393	13	2013-08-02 16:06:48.918573	2013-08-02 16:06:48.918573
49394	14	2013-08-02 16:06:48.921081	2013-08-02 16:06:48.921081
49340	2	2013-08-02 16:06:48.7821	2013-08-03 22:49:45.754298
49396	16	2013-08-02 16:06:48.925781	2013-08-02 16:06:48.925781
49312	2	2013-08-02 16:06:48.708143	2013-08-04 01:18:23.680312
49399	19	2013-08-02 16:06:48.933751	2013-08-02 16:06:48.933751
49402	2	2013-08-02 16:06:48.941154	2013-08-02 16:06:48.941154
49404	4	2013-08-02 16:06:48.946432	2013-08-02 16:06:48.946432
49406	6	2013-08-02 16:06:48.951663	2013-08-02 16:06:48.951663
49407	7	2013-08-02 16:06:48.954263	2013-08-02 16:06:48.954263
49408	8	2013-08-02 16:06:48.956671	2013-08-02 16:06:48.956671
49409	9	2013-08-02 16:06:48.95905	2013-08-02 16:06:48.95905
49411	11	2013-08-02 16:06:48.96376	2013-08-02 16:06:48.96376
49413	13	2013-08-02 16:06:48.968361	2013-08-02 16:06:48.968361
49414	14	2013-08-02 16:06:48.970704	2013-08-02 16:06:48.970704
49320	21	2013-08-02 16:06:48.729133	2013-08-03 22:50:05.408173
49416	16	2013-08-02 16:06:48.975548	2013-08-02 16:06:48.975548
49452	2	2013-08-02 16:06:49.068119	2013-08-04 01:21:00.955415
49419	19	2013-08-02 16:06:48.983158	2013-08-02 16:06:48.983158
49432	2	2013-08-02 16:06:49.017195	2013-08-04 01:21:00.966393
49422	2	2013-08-02 16:06:48.990844	2013-08-02 16:06:48.990844
49424	4	2013-08-02 16:06:48.99608	2013-08-02 16:06:48.99608
49426	6	2013-08-02 16:06:49.001391	2013-08-02 16:06:49.001391
49427	7	2013-08-02 16:06:49.003829	2013-08-02 16:06:49.003829
49428	8	2013-08-02 16:06:49.006631	2013-08-02 16:06:49.006631
49429	9	2013-08-02 16:06:49.00919	2013-08-02 16:06:49.00919
49431	11	2013-08-02 16:06:49.014478	2013-08-02 16:06:49.014478
49433	13	2013-08-02 16:06:49.01984	2013-08-02 16:06:49.01984
49434	14	2013-08-02 16:06:49.022564	2013-08-02 16:06:49.022564
49400	9	2013-08-02 16:06:48.936743	2013-08-03 22:50:05.592928
49436	16	2013-08-02 16:06:49.028008	2013-08-02 16:06:49.028008
49412	2	2013-08-02 16:06:48.966016	2013-08-04 01:21:00.977306
49439	19	2013-08-02 16:06:49.036147	2013-08-02 16:06:49.036147
49392	2	2013-08-02 16:06:48.916271	2013-08-04 01:21:00.988385
49442	2	2013-08-02 16:06:49.043813	2013-08-02 16:06:49.043813
49420	8	2013-08-02 16:06:48.985808	2013-08-03 22:50:05.596636
49444	4	2013-08-02 16:06:49.048726	2013-08-02 16:06:49.048726
49446	6	2013-08-02 16:06:49.053569	2013-08-02 16:06:49.053569
49447	7	2013-08-02 16:06:49.055975	2013-08-02 16:06:49.055975
49448	8	2013-08-02 16:06:49.058463	2013-08-02 16:06:49.058463
49449	9	2013-08-02 16:06:49.060888	2013-08-02 16:06:49.060888
49451	11	2013-08-02 16:06:49.065687	2013-08-02 16:06:49.065687
49453	13	2013-08-02 16:06:49.070746	2013-08-02 16:06:49.070746
49454	14	2013-08-02 16:06:49.345325	2013-08-02 16:06:49.345325
49440	7	2013-08-02 16:06:49.03885	2013-08-03 22:50:05.600178
49455	16	2013-08-02 16:06:49.346465	2013-08-03 20:40:04.893076
49323	9	2013-08-02 16:06:48.736739	2013-08-03 20:43:29.382515
49343	8	2013-08-02 16:06:48.790112	2013-08-03 20:43:29.384593
49363	7	2013-08-02 16:06:48.842761	2013-08-03 20:43:29.386467
49383	6	2013-08-02 16:06:48.894128	2013-08-03 20:43:29.388336
49372	2	2013-08-02 16:06:48.866066	2013-08-04 01:21:00.999424
49352	2	2013-08-02 16:06:48.814084	2013-08-04 01:21:01.010328
49425	21	2013-08-02 16:06:48.998753	2013-08-04 01:50:56.539424
49361	21	2013-08-02 16:06:48.837448	2013-08-04 01:50:56.543817
49341	21	2013-08-02 16:06:48.784805	2013-08-04 01:50:56.54761
49321	21	2013-08-02 16:06:48.731774	2013-08-04 01:50:56.551156
49301	14	2013-08-02 16:06:48.679812	2013-08-04 01:50:56.572115
49441	11	2013-08-02 16:06:49.041374	2013-08-04 01:55:49.786469
49421	4	2013-08-02 16:06:48.98826	2013-08-04 01:55:49.81163
49401	7	2013-08-02 16:06:48.938556	2013-08-04 01:55:49.831436
49381	19	2013-08-02 16:06:48.888832	2013-08-04 01:55:49.850274
49332	6	2013-08-02 16:06:48.760725	2013-08-04 01:55:50.199463
49310	11	2013-08-02 16:06:48.70281	2013-08-04 02:07:59.475714
49338	9	2013-08-02 16:06:48.77675	2013-08-04 02:07:59.479062
49330	8	2013-08-02 16:06:48.755359	2013-08-04 02:07:59.482323
49350	7	2013-08-02 16:06:48.808776	2013-08-04 02:07:59.485798
49370	6	2013-08-02 16:06:48.861225	2013-08-04 02:07:59.48946
49410	4	2013-08-02 16:06:48.961448	2013-08-04 02:07:59.496269
49390	21	2013-08-02 16:06:48.911646	2013-08-04 02:10:49.445504
49303	2	2013-08-02 16:06:48.685105	2013-08-04 02:10:51.27693
49456	16	2013-08-02 16:06:49.347517	2013-08-02 16:06:49.347517
49605	14	2013-08-02 16:06:49.637761	2013-08-04 00:15:38.21311
49459	19	2013-08-02 16:06:49.350792	2013-08-02 16:06:49.350792
26039	4	2013-08-02 16:05:56.49894	2013-08-04 17:46:54.6627
26019	4	2013-08-02 16:05:56.466838	2013-08-04 17:46:54.672103
49462	2	2013-08-02 16:06:49.353889	2013-08-02 16:06:49.353889
49458	4	2013-08-02 16:06:49.349752	2013-08-03 22:14:56.746508
49464	4	2013-08-02 16:06:49.355962	2013-08-02 16:06:49.355962
25999	4	2013-08-02 16:05:56.439273	2013-08-04 17:46:54.682767
49466	6	2013-08-02 16:06:49.358034	2013-08-02 16:06:49.358034
49467	7	2013-08-02 16:06:49.359056	2013-08-02 16:06:49.359056
49468	8	2013-08-02 16:06:49.360071	2013-08-02 16:06:49.360071
49469	9	2013-08-02 16:06:49.36112	2013-08-02 16:06:49.36112
25925	4	2013-08-02 16:05:56.103898	2013-08-04 17:46:54.694053
49471	11	2013-08-02 16:06:49.363179	2013-08-02 16:06:49.363179
15417	4	2013-08-02 16:05:33.716276	2013-08-04 17:46:54.705434
49473	13	2013-08-02 16:06:49.365243	2013-08-02 16:06:49.365243
49474	14	2013-08-02 16:06:49.366262	2013-08-02 16:06:49.366262
49480	4	2013-08-02 16:06:49.373242	2013-08-04 00:15:38.232325
49476	16	2013-08-02 16:06:49.368326	2013-08-02 16:06:49.368326
49565	11	2013-08-02 16:06:49.539602	2013-08-04 00:15:38.240894
49479	19	2013-08-02 16:06:49.371948	2013-08-02 16:06:49.371948
4407	21	2013-08-02 16:05:12.564137	2013-08-04 17:47:20.657131
32141	21	2013-08-02 16:06:10.676978	2013-08-04 17:47:20.658389
49482	2	2013-08-02 16:06:49.375645	2013-08-02 16:06:49.375645
49498	2	2013-08-02 16:06:49.397636	2013-08-03 22:14:56.749505
49484	4	2013-08-02 16:06:49.377869	2013-08-02 16:06:49.377869
21337	21	2013-08-02 16:05:45.799847	2013-08-04 17:47:20.659375
49486	6	2013-08-02 16:06:49.380367	2013-08-02 16:06:49.380367
49487	7	2013-08-02 16:06:49.381788	2013-08-02 16:06:49.381788
49488	8	2013-08-02 16:06:49.383175	2013-08-02 16:06:49.383175
49489	9	2013-08-02 16:06:49.384579	2013-08-02 16:06:49.384579
32068	2	2013-08-02 16:06:10.519	2013-08-04 17:51:49.181162
49491	11	2013-08-02 16:06:49.387363	2013-08-02 16:06:49.387363
32048	2	2013-08-02 16:06:10.475747	2013-08-04 17:51:49.193048
49493	13	2013-08-02 16:06:49.390154	2013-08-02 16:06:49.390154
49494	14	2013-08-02 16:06:49.391536	2013-08-02 16:06:49.391536
373	2	2013-08-02 16:05:04.713564	2013-08-04 17:51:49.204247
49496	16	2013-08-02 16:06:49.394557	2013-08-02 16:06:49.394557
49598	7	2013-08-02 16:06:49.620346	2013-08-04 00:15:38.255266
49499	19	2013-08-02 16:06:49.399166	2013-08-02 16:06:49.399166
49525	13	2013-08-02 16:06:49.44408	2013-08-04 00:15:38.269853
49502	2	2013-08-02 16:06:49.403992	2013-08-02 16:06:49.403992
49478	21	2013-08-02 16:06:49.370712	2013-08-03 22:14:57.058035
49504	4	2013-08-02 16:06:49.40723	2013-08-02 16:06:49.40723
49506	6	2013-08-02 16:06:49.410498	2013-08-02 16:06:49.410498
49507	7	2013-08-02 16:06:49.41214	2013-08-02 16:06:49.41214
49508	8	2013-08-02 16:06:49.413779	2013-08-02 16:06:49.413779
49509	9	2013-08-02 16:06:49.415413	2013-08-02 16:06:49.415413
49511	11	2013-08-02 16:06:49.418862	2013-08-02 16:06:49.418862
49513	13	2013-08-02 16:06:49.422333	2013-08-02 16:06:49.422333
49514	14	2013-08-02 16:06:49.424058	2013-08-02 16:06:49.424058
49538	2	2013-08-02 16:06:49.469178	2013-08-03 22:15:17.424101
49516	16	2013-08-02 16:06:49.427538	2013-08-02 16:06:49.427538
49585	21	2013-08-02 16:06:49.589327	2013-08-04 00:18:49.936104
49519	19	2013-08-02 16:06:49.433028	2013-08-02 16:06:49.433028
49592	2	2013-08-02 16:06:49.606059	2013-08-04 01:21:00.877549
49522	2	2013-08-02 16:06:49.438551	2013-08-02 16:06:49.438551
49524	4	2013-08-02 16:06:49.442234	2013-08-02 16:06:49.442234
49526	6	2013-08-02 16:06:49.445939	2013-08-02 16:06:49.445939
49527	7	2013-08-02 16:06:49.44777	2013-08-02 16:06:49.44777
49528	8	2013-08-02 16:06:49.449621	2013-08-02 16:06:49.449621
49529	9	2013-08-02 16:06:49.451384	2013-08-02 16:06:49.451384
49531	11	2013-08-02 16:06:49.45532	2013-08-02 16:06:49.45532
49533	13	2013-08-02 16:06:49.459307	2013-08-02 16:06:49.459307
49534	14	2013-08-02 16:06:49.461278	2013-08-02 16:06:49.461278
49536	16	2013-08-02 16:06:49.465229	2013-08-02 16:06:49.465229
49572	2	2013-08-02 16:06:49.557058	2013-08-04 01:21:00.889363
49539	19	2013-08-02 16:06:49.471726	2013-08-02 16:06:49.471726
49552	2	2013-08-02 16:06:49.506024	2013-08-04 01:21:00.900438
49542	2	2013-08-02 16:06:49.480038	2013-08-02 16:06:49.480038
49532	2	2013-08-02 16:06:49.457329	2013-08-04 01:21:00.911274
49544	4	2013-08-02 16:06:49.485377	2013-08-02 16:06:49.485377
49546	6	2013-08-02 16:06:49.490694	2013-08-02 16:06:49.490694
49547	7	2013-08-02 16:06:49.493386	2013-08-02 16:06:49.493386
49548	8	2013-08-02 16:06:49.496035	2013-08-02 16:06:49.496035
49549	9	2013-08-02 16:06:49.498699	2013-08-02 16:06:49.498699
49551	11	2013-08-02 16:06:49.503612	2013-08-02 16:06:49.503612
49553	13	2013-08-02 16:06:49.508416	2013-08-02 16:06:49.508416
49554	14	2013-08-02 16:06:49.510826	2013-08-02 16:06:49.510826
49578	21	2013-08-02 16:06:49.572436	2013-08-03 22:21:56.475411
49556	16	2013-08-02 16:06:49.515618	2013-08-02 16:06:49.515618
49512	2	2013-08-02 16:06:49.420606	2013-08-04 01:21:00.922359
49559	19	2013-08-02 16:06:49.523703	2013-08-02 16:06:49.523703
49492	2	2013-08-02 16:06:49.388761	2013-08-04 01:21:00.933716
49562	2	2013-08-02 16:06:49.531648	2013-08-02 16:06:49.531648
49460	6	2013-08-02 16:06:49.351824	2013-08-03 22:50:05.604006
49564	4	2013-08-02 16:06:49.536957	2013-08-02 16:06:49.536957
49566	6	2013-08-02 16:06:49.542267	2013-08-02 16:06:49.542267
49567	7	2013-08-02 16:06:49.544965	2013-08-02 16:06:49.544965
49568	8	2013-08-02 16:06:49.547386	2013-08-02 16:06:49.547386
49569	9	2013-08-02 16:06:49.549622	2013-08-02 16:06:49.549622
49571	11	2013-08-02 16:06:49.554374	2013-08-02 16:06:49.554374
49573	13	2013-08-02 16:06:49.559546	2013-08-02 16:06:49.559546
49574	14	2013-08-02 16:06:49.562201	2013-08-02 16:06:49.562201
49576	16	2013-08-02 16:06:49.567543	2013-08-02 16:06:49.567543
49472	2	2013-08-02 16:06:49.364214	2013-08-04 01:21:00.944567
49579	19	2013-08-02 16:06:49.574883	2013-08-02 16:06:49.574883
49582	2	2013-08-02 16:06:49.582109	2013-08-02 16:06:49.582109
49500	4	2013-08-02 16:06:49.40091	2013-08-03 22:50:05.611672
49584	4	2013-08-02 16:06:49.586925	2013-08-02 16:06:49.586925
49586	6	2013-08-02 16:06:49.591699	2013-08-02 16:06:49.591699
49587	7	2013-08-02 16:06:49.594102	2013-08-02 16:06:49.594102
49588	8	2013-08-02 16:06:49.596471	2013-08-02 16:06:49.596471
49589	9	2013-08-02 16:06:49.598892	2013-08-02 16:06:49.598892
49591	11	2013-08-02 16:06:49.603661	2013-08-02 16:06:49.603661
49593	13	2013-08-02 16:06:49.608419	2013-08-02 16:06:49.608419
49594	14	2013-08-02 16:06:49.610847	2013-08-02 16:06:49.610847
49596	16	2013-08-02 16:06:49.615579	2013-08-02 16:06:49.615579
49612	21	2013-08-02 16:06:49.655085	2013-08-04 01:25:47.018112
49599	19	2013-08-02 16:06:49.622753	2013-08-02 16:06:49.622753
49503	21	2013-08-02 16:06:49.405607	2013-08-04 01:28:57.255586
49602	2	2013-08-02 16:06:49.630204	2013-08-02 16:06:49.630204
49540	2	2013-08-02 16:06:49.474511	2013-08-03 22:50:05.618878
49604	4	2013-08-02 16:06:49.634992	2013-08-02 16:06:49.634992
49606	6	2013-08-02 16:06:49.640408	2013-08-02 16:06:49.640408
49607	7	2013-08-02 16:06:49.642911	2013-08-02 16:06:49.642911
49608	8	2013-08-02 16:06:49.645412	2013-08-02 16:06:49.645412
49609	9	2013-08-02 16:06:49.647825	2013-08-02 16:06:49.647825
49611	11	2013-08-02 16:06:49.652676	2013-08-02 16:06:49.652676
49483	13	2013-08-02 16:06:49.376773	2013-08-03 20:43:53.550256
49523	11	2013-08-02 16:06:49.440375	2013-08-03 20:43:53.553317
49563	9	2013-08-02 16:06:49.534275	2013-08-03 20:43:53.55606
49583	8	2013-08-02 16:06:49.584495	2013-08-03 20:43:53.557425
49520	14	2013-08-02 16:06:49.434858	2013-08-03 22:54:23.397375
49580	16	2013-08-02 16:06:49.577294	2013-08-03 22:54:49.808021
49601	21	2013-08-02 16:06:49.627814	2013-08-04 01:55:49.612335
49600	21	2013-08-02 16:06:49.625436	2013-08-03 22:54:49.977183
49581	21	2013-08-02 16:06:49.579705	2013-08-04 01:55:49.6162
49561	21	2013-08-02 16:06:49.529155	2013-08-04 01:55:49.61849
49541	21	2013-08-02 16:06:49.477328	2013-08-04 01:55:49.621125
49558	14	2013-08-02 16:06:49.521059	2013-08-04 01:55:49.644302
49501	16	2013-08-02 16:06:49.402462	2013-08-04 01:55:49.692325
49518	2	2013-08-02 16:06:49.431187	2013-08-04 01:55:49.7163
49481	9	2013-08-02 16:06:49.374491	2013-08-04 01:55:49.739908
49560	11	2013-08-02 16:06:49.526433	2013-08-04 02:00:45.914841
49463	13	2013-08-02 16:06:49.354939	2013-08-04 02:00:45.936338
49521	2	2013-08-02 16:06:49.436709	2013-08-04 02:10:51.16843
49543	2	2013-08-02 16:06:49.482714	2013-08-04 02:10:51.176086
49610	2	2013-08-02 16:06:49.650243	2013-08-04 02:10:51.186046
49590	2	2013-08-02 16:06:49.601294	2013-08-04 02:10:51.196285
49570	2	2013-08-02 16:06:49.551828	2013-08-04 02:10:51.207698
49550	2	2013-08-02 16:06:49.50121	2013-08-04 02:10:51.219394
49530	2	2013-08-02 16:06:49.453335	2013-08-04 02:10:51.228974
49510	2	2013-08-02 16:06:49.417137	2013-08-04 02:10:51.239296
49490	2	2013-08-02 16:06:49.385977	2013-08-04 02:10:51.246763
49613	13	2013-08-02 16:06:49.657552	2013-08-02 16:06:49.657552
49614	14	2013-08-02 16:06:49.660055	2013-08-02 16:06:49.660055
31940	2	2013-08-02 16:06:10.248832	2013-08-04 17:51:49.228088
49616	16	2013-08-02 16:06:49.66487	2013-08-02 16:06:49.66487
49685	21	2013-08-02 16:06:49.833298	2013-08-04 00:15:38.190918
49619	19	2013-08-02 16:06:49.672079	2013-08-02 16:06:49.672079
49665	21	2013-08-02 16:06:49.784665	2013-08-04 00:15:38.193131
32028	2	2013-08-02 16:06:10.431405	2013-08-04 17:51:49.239087
49622	2	2013-08-02 16:06:49.679257	2013-08-02 16:06:49.679257
49738	16	2013-08-02 16:06:49.961642	2013-08-03 22:19:22.551247
49624	4	2013-08-02 16:06:49.684047	2013-08-02 16:06:49.684047
31977	2	2013-08-02 16:06:10.321764	2013-08-04 17:51:49.249778
49626	6	2013-08-02 16:06:49.688871	2013-08-02 16:06:49.688871
49627	7	2013-08-02 16:06:49.691219	2013-08-02 16:06:49.691219
49628	8	2013-08-02 16:06:49.693616	2013-08-02 16:06:49.693616
49629	9	2013-08-02 16:06:49.695997	2013-08-02 16:06:49.695997
32015	2	2013-08-02 16:06:10.403081	2013-08-04 17:51:49.260846
49631	11	2013-08-02 16:06:49.700764	2013-08-02 16:06:49.700764
32008	2	2013-08-02 16:06:10.387744	2013-08-04 17:51:49.271831
49633	13	2013-08-02 16:06:49.705521	2013-08-02 16:06:49.705521
49634	14	2013-08-02 16:06:49.707903	2013-08-02 16:06:49.707903
49718	6	2013-08-02 16:06:49.911998	2013-08-03 22:19:22.559133
49636	16	2013-08-02 16:06:49.712642	2013-08-02 16:06:49.712642
49645	21	2013-08-02 16:06:49.734002	2013-08-04 00:15:38.19423
49639	19	2013-08-02 16:06:49.719764	2013-08-02 16:06:49.719764
31988	2	2013-08-02 16:06:10.343449	2013-08-04 17:51:49.282959
31917	2	2013-08-02 16:06:10.205563	2013-08-04 17:51:49.293991
49642	2	2013-08-02 16:06:49.726865	2013-08-02 16:06:49.726865
49698	14	2013-08-02 16:06:49.86417	2013-08-03 22:19:22.567487
49644	4	2013-08-02 16:06:49.731624	2013-08-02 16:06:49.731624
31968	2	2013-08-02 16:06:10.304075	2013-08-04 17:51:49.305117
49646	6	2013-08-02 16:06:49.736352	2013-08-02 16:06:49.736352
49647	7	2013-08-02 16:06:49.738734	2013-08-02 16:06:49.738734
49648	8	2013-08-02 16:06:49.741138	2013-08-02 16:06:49.741138
49649	9	2013-08-02 16:06:49.743497	2013-08-02 16:06:49.743497
31948	2	2013-08-02 16:06:10.264676	2013-08-04 17:51:49.317183
49651	11	2013-08-02 16:06:49.748154	2013-08-02 16:06:49.748154
31928	2	2013-08-02 16:06:10.225053	2013-08-04 17:51:49.324889
49653	13	2013-08-02 16:06:49.752831	2013-08-02 16:06:49.752831
49654	14	2013-08-02 16:06:49.755405	2013-08-02 16:06:49.755405
49678	2	2013-08-02 16:06:49.816644	2013-08-03 22:19:22.576699
49656	16	2013-08-02 16:06:49.760654	2013-08-02 16:06:49.760654
49705	16	2013-08-02 16:06:49.881172	2013-08-04 00:18:49.684706
49659	19	2013-08-02 16:06:49.76853	2013-08-02 16:06:49.76853
32005	2	2013-08-02 16:06:10.380602	2013-08-04 17:51:49.329223
31908	2	2013-08-02 16:06:10.190926	2013-08-04 17:51:49.336982
49662	2	2013-08-02 16:06:49.776624	2013-08-02 16:06:49.776624
49658	9	2013-08-02 16:06:49.765996	2013-08-03 22:19:22.584933
49664	4	2013-08-02 16:06:49.782002	2013-08-02 16:06:49.782002
49750	2	2013-08-02 16:06:49.990766	2013-08-04 18:52:31.289818
49666	6	2013-08-02 16:06:49.787324	2013-08-02 16:06:49.787324
49667	7	2013-08-02 16:06:49.790008	2013-08-02 16:06:49.790008
49668	8	2013-08-02 16:06:49.792513	2013-08-02 16:06:49.792513
49669	9	2013-08-02 16:06:49.79498	2013-08-02 16:06:49.79498
49661	2	2013-08-02 16:06:49.773937	2013-08-04 18:52:31.294249
49671	11	2013-08-02 16:06:49.79984	2013-08-02 16:06:49.79984
49757	2	2013-08-02 16:06:50.007779	2013-08-04 18:52:31.299056
49673	13	2013-08-02 16:06:49.804695	2013-08-02 16:06:49.804695
49674	14	2013-08-02 16:06:49.80706	2013-08-02 16:06:49.80706
49620	14	2013-08-02 16:06:49.6745	2013-08-03 22:54:49.815457
49676	16	2013-08-02 16:06:49.81184	2013-08-02 16:06:49.81184
49745	14	2013-08-02 16:06:49.978483	2013-08-04 00:18:49.687442
49679	19	2013-08-02 16:06:49.819023	2013-08-02 16:06:49.819023
49765	13	2013-08-02 16:06:50.026891	2013-08-04 00:18:49.689561
49737	2	2013-08-02 16:06:49.95887	2013-08-04 18:52:31.307665
49682	2	2013-08-02 16:06:49.826178	2013-08-02 16:06:49.826178
49640	13	2013-08-02 16:06:49.722133	2013-08-03 22:54:49.818832
49684	4	2013-08-02 16:06:49.830933	2013-08-02 16:06:49.830933
49686	6	2013-08-02 16:06:49.835655	2013-08-02 16:06:49.835655
49687	7	2013-08-02 16:06:49.838054	2013-08-02 16:06:49.838054
49688	8	2013-08-02 16:06:49.840417	2013-08-02 16:06:49.840417
49689	9	2013-08-02 16:06:49.842814	2013-08-02 16:06:49.842814
49691	11	2013-08-02 16:06:49.847541	2013-08-02 16:06:49.847541
49693	13	2013-08-02 16:06:49.852313	2013-08-02 16:06:49.852313
49694	14	2013-08-02 16:06:49.854681	2013-08-02 16:06:49.854681
49696	16	2013-08-02 16:06:49.859411	2013-08-02 16:06:49.859411
49699	19	2013-08-02 16:06:49.866567	2013-08-02 16:06:49.866567
49758	19	2013-08-02 16:06:50.010192	2013-08-04 01:23:20.435226
49702	2	2013-08-02 16:06:49.874037	2013-08-02 16:06:49.874037
49680	11	2013-08-02 16:06:49.821399	2013-08-03 22:54:49.825137
49704	4	2013-08-02 16:06:49.878795	2013-08-02 16:06:49.878795
49706	6	2013-08-02 16:06:49.88351	2013-08-02 16:06:49.88351
49707	7	2013-08-02 16:06:49.885883	2013-08-02 16:06:49.885883
49708	8	2013-08-02 16:06:49.888251	2013-08-02 16:06:49.888251
49709	9	2013-08-02 16:06:49.890643	2013-08-02 16:06:49.890643
49711	11	2013-08-02 16:06:49.895372	2013-08-02 16:06:49.895372
49713	13	2013-08-02 16:06:49.900153	2013-08-02 16:06:49.900153
49714	14	2013-08-02 16:06:49.902551	2013-08-02 16:06:49.902551
49716	16	2013-08-02 16:06:49.907255	2013-08-02 16:06:49.907255
49719	19	2013-08-02 16:06:49.914719	2013-08-02 16:06:49.914719
49652	16	2013-08-02 16:06:49.750424	2013-08-04 01:23:20.443027
49722	2	2013-08-02 16:06:49.922516	2013-08-02 16:06:49.922516
49720	9	2013-08-02 16:06:49.917252	2013-08-03 22:54:49.832141
49724	4	2013-08-02 16:06:49.927692	2013-08-02 16:06:49.927692
49726	6	2013-08-02 16:06:49.93261	2013-08-02 16:06:49.93261
49727	7	2013-08-02 16:06:49.935018	2013-08-02 16:06:49.935018
49728	8	2013-08-02 16:06:49.937413	2013-08-02 16:06:49.937413
49729	9	2013-08-02 16:06:49.939782	2013-08-02 16:06:49.939782
49731	11	2013-08-02 16:06:49.944524	2013-08-02 16:06:49.944524
49733	13	2013-08-02 16:06:49.949329	2013-08-02 16:06:49.949329
49734	14	2013-08-02 16:06:49.951679	2013-08-02 16:06:49.951679
49740	8	2013-08-02 16:06:49.966539	2013-08-03 22:54:49.836049
49736	16	2013-08-02 16:06:49.956448	2013-08-02 16:06:49.956448
49739	19	2013-08-02 16:06:49.964141	2013-08-02 16:06:49.964141
49692	14	2013-08-02 16:06:49.849949	2013-08-04 01:23:20.451026
49742	2	2013-08-02 16:06:49.971295	2013-08-02 16:06:49.971295
49760	7	2013-08-02 16:06:50.014959	2013-08-03 22:54:49.839606
49744	4	2013-08-02 16:06:49.976106	2013-08-02 16:06:49.976106
49746	6	2013-08-02 16:06:49.980892	2013-08-02 16:06:49.980892
49747	7	2013-08-02 16:06:49.983449	2013-08-02 16:06:49.983449
49748	8	2013-08-02 16:06:49.985925	2013-08-02 16:06:49.985925
49749	9	2013-08-02 16:06:49.988354	2013-08-02 16:06:49.988354
49751	11	2013-08-02 16:06:49.993339	2013-08-02 16:06:49.993339
49753	13	2013-08-02 16:06:49.998155	2013-08-02 16:06:49.998155
49754	14	2013-08-02 16:06:50.000584	2013-08-02 16:06:50.000584
49660	13	2013-08-02 16:06:49.771276	2013-08-04 01:23:20.455006
49756	16	2013-08-02 16:06:50.005416	2013-08-02 16:06:50.005416
49643	11	2013-08-02 16:06:49.729269	2013-08-04 01:23:20.458538
49759	19	2013-08-02 16:06:50.012598	2013-08-02 16:06:50.012598
49762	2	2013-08-02 16:06:50.019736	2013-08-02 16:06:50.019736
49703	21	2013-08-02 16:06:49.87642	2013-08-04 02:00:45.704366
49764	4	2013-08-02 16:06:50.024519	2013-08-02 16:06:50.024519
49766	6	2013-08-02 16:06:50.029306	2013-08-02 16:06:50.029306
49767	7	2013-08-02 16:06:50.03168	2013-08-02 16:06:50.03168
49768	8	2013-08-02 16:06:50.034064	2013-08-02 16:06:50.034064
49769	9	2013-08-02 16:06:50.036417	2013-08-02 16:06:50.036417
49755	9	2013-08-02 16:06:50.002978	2013-08-03 20:42:31.696308
49623	6	2013-08-02 16:06:49.681664	2013-08-03 20:43:53.561031
49663	4	2013-08-02 16:06:49.779299	2013-08-03 20:43:53.564745
49683	2	2013-08-02 16:06:49.828567	2013-08-03 20:43:53.566424
49763	7	2013-08-02 16:06:50.022139	2013-08-03 20:47:30.059993
49743	7	2013-08-02 16:06:49.973705	2013-08-03 20:47:30.07082
49723	7	2013-08-02 16:06:49.925185	2013-08-03 20:47:30.081567
49761	2	2013-08-02 16:06:50.017387	2013-08-04 02:00:45.723454
49741	16	2013-08-02 16:06:49.968942	2013-08-04 02:00:45.744057
49681	6	2013-08-02 16:06:49.823761	2013-08-04 02:00:45.809768
49641	19	2013-08-02 16:06:49.724483	2013-08-04 02:00:45.852298
49625	9	2013-08-02 16:06:49.686483	2013-08-04 02:00:45.872934
49690	2	2013-08-02 16:06:49.845187	2013-08-04 02:10:51.141809
49670	2	2013-08-02 16:06:49.79743	2013-08-04 02:10:51.147872
49650	2	2013-08-02 16:06:49.745897	2013-08-04 02:10:51.15343
49630	2	2013-08-02 16:06:49.698381	2013-08-04 02:10:51.161119
49730	19	2013-08-02 16:06:49.942172	2013-08-04 02:12:34.539565
49712	16	2013-08-02 16:06:49.897774	2013-08-04 02:12:34.542053
49701	21	2013-08-02 16:06:49.871599	2013-08-04 02:13:22.036083
49710	21	2013-08-02 16:06:49.893028	2013-08-04 02:15:50.001823
49700	2	2013-08-02 16:06:49.869211	2013-08-04 02:15:52.332166
31230	2	2013-08-02 16:06:08.472062	2013-08-04 17:51:49.611826
49771	11	2013-08-02 16:06:50.041794	2013-08-02 16:06:50.041794
31173	21	2013-08-02 16:06:08.356465	2013-08-04 17:51:50.142426
49773	13	2013-08-02 16:06:50.047078	2013-08-02 16:06:50.047078
49774	14	2013-08-02 16:06:50.049749	2013-08-02 16:06:50.049749
49878	21	2013-08-02 16:06:50.328398	2013-08-03 22:19:22.443918
49776	16	2013-08-02 16:06:50.055065	2013-08-02 16:06:50.055065
49785	11	2013-08-02 16:06:50.079001	2013-08-04 00:18:49.693619
49779	19	2013-08-02 16:06:50.063145	2013-08-02 16:06:50.063145
20676	2	2013-08-02 16:05:44.572481	2013-08-04 17:51:50.357437
20656	2	2013-08-02 16:05:44.553013	2013-08-04 17:51:50.365056
49782	2	2013-08-02 16:06:50.071082	2013-08-02 16:06:50.071082
49825	9	2013-08-02 16:06:50.185207	2013-08-04 00:18:49.695639
49784	4	2013-08-02 16:06:50.076365	2013-08-02 16:06:50.076365
20636	2	2013-08-02 16:05:44.535383	2013-08-04 17:51:50.369238
49786	6	2013-08-02 16:06:50.081666	2013-08-02 16:06:50.081666
49787	7	2013-08-02 16:06:50.084429	2013-08-02 16:06:50.084429
49788	8	2013-08-02 16:06:50.086959	2013-08-02 16:06:50.086959
49789	9	2013-08-02 16:06:50.089605	2013-08-02 16:06:50.089605
3288	2	2013-08-02 16:05:10.058293	2013-08-04 17:51:50.374274
49791	11	2013-08-02 16:06:50.094931	2013-08-02 16:06:50.094931
20616	2	2013-08-02 16:05:44.517623	2013-08-04 17:51:50.38046
49793	13	2013-08-02 16:06:50.100236	2013-08-02 16:06:50.100236
49794	14	2013-08-02 16:06:50.102952	2013-08-02 16:06:50.102952
49838	19	2013-08-02 16:06:50.221151	2013-08-03 22:19:22.498983
49796	16	2013-08-02 16:06:50.10827	2013-08-02 16:06:50.10827
49845	8	2013-08-02 16:06:50.239127	2013-08-04 00:18:49.696867
49799	19	2013-08-02 16:06:50.116171	2013-08-02 16:06:50.116171
49865	7	2013-08-02 16:06:50.294322	2013-08-04 00:18:49.698135
20596	2	2013-08-02 16:05:44.499282	2013-08-04 17:51:50.385543
49802	2	2013-08-02 16:06:50.123781	2013-08-02 16:06:50.123781
49818	4	2013-08-02 16:06:50.166346	2013-08-03 22:19:22.513553
49804	4	2013-08-02 16:06:50.129058	2013-08-02 16:06:50.129058
20576	2	2013-08-02 16:05:44.477594	2013-08-04 17:51:50.38994
49806	6	2013-08-02 16:06:50.134069	2013-08-02 16:06:50.134069
49807	7	2013-08-02 16:06:50.136727	2013-08-02 16:06:50.136727
49808	8	2013-08-02 16:06:50.13936	2013-08-02 16:06:50.13936
49809	9	2013-08-02 16:06:50.142048	2013-08-02 16:06:50.142048
7186	2	2013-08-02 16:05:17.612075	2013-08-04 17:51:50.398574
49811	11	2013-08-02 16:06:50.147352	2013-08-02 16:06:50.147352
20556	2	2013-08-02 16:05:44.454781	2013-08-04 17:51:50.40301
49813	13	2013-08-02 16:06:50.152752	2013-08-02 16:06:50.152752
49814	14	2013-08-02 16:06:50.155534	2013-08-02 16:06:50.155534
49798	13	2013-08-02 16:06:50.113647	2013-08-03 22:19:22.522301
49816	16	2013-08-02 16:06:50.161053	2013-08-02 16:06:50.161053
49800	6	2013-08-02 16:06:50.118962	2013-08-04 00:18:49.699346
49819	19	2013-08-02 16:06:50.169185	2013-08-02 16:06:50.169185
49885	4	2013-08-02 16:06:50.345956	2013-08-04 00:18:49.700512
20536	2	2013-08-02 16:05:44.435294	2013-08-04 17:51:50.407177
49822	2	2013-08-02 16:06:50.177198	2013-08-02 16:06:50.177198
49824	4	2013-08-02 16:06:50.182469	2013-08-02 16:06:50.182469
49826	6	2013-08-02 16:06:50.187855	2013-08-02 16:06:50.187855
49827	7	2013-08-02 16:06:50.190514	2013-08-02 16:06:50.190514
49828	8	2013-08-02 16:06:50.193171	2013-08-02 16:06:50.193171
49829	9	2013-08-02 16:06:50.195805	2013-08-02 16:06:50.195805
49831	11	2013-08-02 16:06:50.200976	2013-08-02 16:06:50.200976
49833	13	2013-08-02 16:06:50.20641	2013-08-02 16:06:50.20641
49834	14	2013-08-02 16:06:50.209329	2013-08-02 16:06:50.209329
49918	11	2013-08-02 16:06:50.424531	2013-08-03 22:19:22.881802
49836	16	2013-08-02 16:06:50.215479	2013-08-02 16:06:50.215479
49839	19	2013-08-02 16:06:50.223832	2013-08-02 16:06:50.223832
49772	7	2013-08-02 16:06:50.044434	2013-08-04 01:23:20.473339
49842	2	2013-08-02 16:06:50.231621	2013-08-02 16:06:50.231621
49898	7	2013-08-02 16:06:50.377175	2013-08-03 22:19:22.893389
49844	4	2013-08-02 16:06:50.236662	2013-08-02 16:06:50.236662
49846	6	2013-08-02 16:06:50.24175	2013-08-02 16:06:50.24175
49847	7	2013-08-02 16:06:50.244519	2013-08-02 16:06:50.244519
49848	8	2013-08-02 16:06:50.24736	2013-08-02 16:06:50.24736
49849	9	2013-08-02 16:06:50.251065	2013-08-02 16:06:50.251065
49851	11	2013-08-02 16:06:50.257264	2013-08-02 16:06:50.257264
49853	13	2013-08-02 16:06:50.262574	2013-08-02 16:06:50.262574
49854	14	2013-08-02 16:06:50.265236	2013-08-02 16:06:50.265236
49858	21	2013-08-02 16:06:50.275718	2013-08-03 22:22:07.096938
49856	16	2013-08-02 16:06:50.270379	2013-08-02 16:06:50.270379
49792	6	2013-08-02 16:06:50.097599	2013-08-04 01:23:20.47704
49859	19	2013-08-02 16:06:50.278386	2013-08-02 16:06:50.278386
49862	2	2013-08-02 16:06:50.286306	2013-08-02 16:06:50.286306
49780	6	2013-08-02 16:06:50.065781	2013-08-03 22:54:49.843175
49864	4	2013-08-02 16:06:50.291612	2013-08-02 16:06:50.291612
49866	6	2013-08-02 16:06:50.296986	2013-08-02 16:06:50.296986
49867	7	2013-08-02 16:06:50.299615	2013-08-02 16:06:50.299615
49868	8	2013-08-02 16:06:50.30231	2013-08-02 16:06:50.30231
49869	9	2013-08-02 16:06:50.304992	2013-08-02 16:06:50.304992
49871	11	2013-08-02 16:06:50.31027	2013-08-02 16:06:50.31027
49873	13	2013-08-02 16:06:50.315537	2013-08-02 16:06:50.315537
49874	14	2013-08-02 16:06:50.318189	2013-08-02 16:06:50.318189
49876	16	2013-08-02 16:06:50.323278	2013-08-02 16:06:50.323278
49832	4	2013-08-02 16:06:50.203827	2013-08-04 01:23:20.484242
49879	19	2013-08-02 16:06:50.330742	2013-08-02 16:06:50.330742
49882	2	2013-08-02 16:06:50.338444	2013-08-02 16:06:50.338444
49820	4	2013-08-02 16:06:50.171823	2013-08-03 22:54:49.849957
49884	4	2013-08-02 16:06:50.343449	2013-08-02 16:06:50.343449
49886	6	2013-08-02 16:06:50.348528	2013-08-02 16:06:50.348528
49887	7	2013-08-02 16:06:50.351032	2013-08-02 16:06:50.351032
49888	8	2013-08-02 16:06:50.353471	2013-08-02 16:06:50.353471
49889	9	2013-08-02 16:06:50.355854	2013-08-02 16:06:50.355854
49891	11	2013-08-02 16:06:50.360657	2013-08-02 16:06:50.360657
49893	13	2013-08-02 16:06:50.365411	2013-08-02 16:06:50.365411
49894	14	2013-08-02 16:06:50.367751	2013-08-02 16:06:50.367751
49872	2	2013-08-02 16:06:50.312904	2013-08-04 01:23:20.49158
49896	16	2013-08-02 16:06:50.372443	2013-08-02 16:06:50.372443
49899	19	2013-08-02 16:06:50.379503	2013-08-02 16:06:50.379503
49852	19	2013-08-02 16:06:50.259911	2013-08-04 01:25:46.734077
49902	2	2013-08-02 16:06:50.386898	2013-08-02 16:06:50.386898
49860	2	2013-08-02 16:06:50.281029	2013-08-03 22:54:49.856877
49904	4	2013-08-02 16:06:50.391623	2013-08-02 16:06:50.391623
49906	6	2013-08-02 16:06:50.396313	2013-08-02 16:06:50.396313
49907	7	2013-08-02 16:06:50.398662	2013-08-02 16:06:50.398662
49908	8	2013-08-02 16:06:50.401048	2013-08-02 16:06:50.401048
49909	9	2013-08-02 16:06:50.403392	2013-08-02 16:06:50.403392
49911	11	2013-08-02 16:06:50.408118	2013-08-02 16:06:50.408118
49913	13	2013-08-02 16:06:50.412853	2013-08-02 16:06:50.412853
49914	14	2013-08-02 16:06:50.415187	2013-08-02 16:06:50.415187
49916	16	2013-08-02 16:06:50.41986	2013-08-02 16:06:50.41986
49812	21	2013-08-02 16:06:50.150063	2013-08-04 01:25:46.847324
49919	19	2013-08-02 16:06:50.426919	2013-08-02 16:06:50.426919
49912	2	2013-08-02 16:06:50.410472	2013-08-04 01:25:47.755554
49922	2	2013-08-02 16:06:50.43397	2013-08-02 16:06:50.43397
49840	2	2013-08-02 16:06:50.226495	2013-08-03 22:59:25.369106
49924	4	2013-08-02 16:06:50.43868	2013-08-02 16:06:50.43868
49926	6	2013-08-02 16:06:50.443378	2013-08-02 16:06:50.443378
49923	2	2013-08-02 16:06:50.436296	2013-08-03 20:47:29.969328
49903	2	2013-08-02 16:06:50.389281	2013-08-03 20:47:29.974187
49883	2	2013-08-02 16:06:50.34088	2013-08-03 20:47:29.983219
49863	7	2013-08-02 16:06:50.289001	2013-08-03 20:47:30.005284
49843	7	2013-08-02 16:06:50.234059	2013-08-03 20:47:30.014949
49823	7	2013-08-02 16:06:50.179814	2013-08-03 20:47:30.026094
49803	7	2013-08-02 16:06:50.12654	2013-08-03 20:47:30.03702
49920	9	2013-08-02 16:06:50.429265	2013-08-03 23:00:48.771025
49861	21	2013-08-02 16:06:50.283662	2013-08-04 02:00:45.688233
49841	21	2013-08-02 16:06:50.229159	2013-08-04 02:00:45.692138
49821	21	2013-08-02 16:06:50.174508	2013-08-04 02:00:45.695096
49801	21	2013-08-02 16:06:50.121382	2013-08-04 02:00:45.698223
49781	21	2013-08-02 16:06:50.068403	2013-08-04 02:00:45.701479
49921	8	2013-08-02 16:06:50.431581	2013-08-04 02:05:53.894548
49880	9	2013-08-02 16:06:50.333336	2013-08-04 02:05:53.907972
49901	11	2013-08-02 16:06:50.384657	2013-08-04 02:05:53.919214
49881	19	2013-08-02 16:06:50.335956	2013-08-04 02:05:53.94426
49770	14	2013-08-02 16:06:50.038896	2013-08-04 02:12:34.546594
49805	13	2013-08-02 16:06:50.13144	2013-08-04 02:12:34.550381
49810	11	2013-08-02 16:06:50.144714	2013-08-04 02:12:34.557821
49778	9	2013-08-02 16:06:50.060489	2013-08-04 02:12:34.55953
49830	8	2013-08-02 16:06:50.198476	2013-08-04 02:12:34.560948
49850	7	2013-08-02 16:06:50.2545	2013-08-04 02:12:34.562183
49870	6	2013-08-02 16:06:50.307609	2013-08-04 02:12:34.563254
49790	2	2013-08-02 16:06:50.09224	2013-08-04 02:15:51.551004
49927	7	2013-08-02 16:06:50.445762	2013-08-02 16:06:50.445762
49928	8	2013-08-02 16:06:50.448392	2013-08-02 16:06:50.448392
49929	9	2013-08-02 16:06:50.450931	2013-08-02 16:06:50.450931
20553	2	2013-08-02 16:05:44.452001	2013-08-04 17:51:50.411481
49931	11	2013-08-02 16:06:50.455728	2013-08-02 16:06:50.455728
20516	2	2013-08-02 16:05:44.414734	2013-08-04 17:51:50.416013
49933	13	2013-08-02 16:06:50.460483	2013-08-02 16:06:50.460483
49934	14	2013-08-02 16:06:50.462888	2013-08-02 16:06:50.462888
20477	2	2013-08-02 16:05:44.377478	2013-08-04 17:51:50.420695
49936	16	2013-08-02 16:06:50.467622	2013-08-02 16:06:50.467622
20496	2	2013-08-02 16:05:44.395974	2013-08-04 17:51:50.426491
49939	19	2013-08-02 16:06:50.474739	2013-08-02 16:06:50.474739
20476	2	2013-08-02 16:05:44.375852	2013-08-04 17:51:50.435435
20456	2	2013-08-02 16:05:44.354438	2013-08-04 17:51:50.442733
49942	2	2013-08-02 16:06:50.481868	2013-08-02 16:06:50.481868
40	8	2013-08-02 16:05:04.349843	2013-08-03 22:19:22.828336
49944	4	2013-08-02 16:06:50.486671	2013-08-02 16:06:50.486671
20436	2	2013-08-02 16:05:44.337802	2013-08-04 17:51:50.45263
49946	6	2013-08-02 16:06:50.491395	2013-08-02 16:06:50.491395
49947	7	2013-08-02 16:06:50.493895	2013-08-02 16:06:50.493895
49948	8	2013-08-02 16:06:50.496277	2013-08-02 16:06:50.496277
49949	9	2013-08-02 16:06:50.49867	2013-08-02 16:06:50.49867
20492	2	2013-08-02 16:05:44.391099	2013-08-04 17:51:50.463446
49951	11	2013-08-02 16:06:50.50338	2013-08-02 16:06:50.50338
31093	21	2013-08-02 16:06:08.01292	2013-08-04 17:51:50.498242
49953	13	2013-08-02 16:06:50.508352	2013-08-02 16:06:50.508352
49954	14	2013-08-02 16:06:50.510898	2013-08-02 16:06:50.510898
4647	14	2013-08-02 16:05:12.827138	2013-08-04 17:51:50.985231
49956	16	2013-08-02 16:06:50.515723	2013-08-02 16:06:50.515723
49980	19	2013-08-02 16:06:50.57413	2013-08-04 00:20:45.015287
49959	19	2013-08-02 16:06:50.523324	2013-08-02 16:06:50.523324
663	13	2013-08-02 16:05:05.108827	2013-08-04 00:20:45.029715
49962	2	2013-08-02 16:06:50.5311	2013-08-02 16:06:50.5311
49978	9	2013-08-02 16:06:50.569422	2013-08-03 22:19:22.853157
49964	4	2013-08-02 16:06:50.536043	2013-08-02 16:06:50.536043
49966	6	2013-08-02 16:06:50.540862	2013-08-02 16:06:50.540862
49967	7	2013-08-02 16:06:50.543235	2013-08-02 16:06:50.543235
49968	8	2013-08-02 16:06:50.545623	2013-08-02 16:06:50.545623
49969	9	2013-08-02 16:06:50.54799	2013-08-02 16:06:50.54799
49971	11	2013-08-02 16:06:50.552803	2013-08-02 16:06:50.552803
49973	13	2013-08-02 16:06:50.557554	2013-08-02 16:06:50.557554
49974	14	2013-08-02 16:06:50.559895	2013-08-02 16:06:50.559895
49976	16	2013-08-02 16:06:50.564673	2013-08-02 16:06:50.564673
303	16	2013-08-02 16:05:04.612171	2013-08-04 00:20:45.043168
49979	19	2013-08-02 16:06:50.571768	2013-08-02 16:06:50.571768
654	21	2013-08-02 16:05:05.099503	2013-08-04 00:22:31.218942
49982	2	2013-08-02 16:06:50.578849	2013-08-02 16:06:50.578849
49984	4	2013-08-02 16:06:50.58359	2013-08-02 16:06:50.58359
49986	6	2013-08-02 16:06:50.5883	2013-08-02 16:06:50.5883
49987	7	2013-08-02 16:06:50.590673	2013-08-02 16:06:50.590673
49988	8	2013-08-02 16:06:50.593055	2013-08-02 16:06:50.593055
49989	9	2013-08-02 16:06:50.595401	2013-08-02 16:06:50.595401
49991	11	2013-08-02 16:06:50.600145	2013-08-02 16:06:50.600145
49993	13	2013-08-02 16:06:50.604834	2013-08-02 16:06:50.604834
49994	14	2013-08-02 16:06:50.607204	2013-08-02 16:06:50.607204
49998	21	2013-08-02 16:06:50.616675	2013-08-03 22:21:56.4776
49996	16	2013-08-02 16:06:50.611914	2013-08-02 16:06:50.611914
49955	2	2013-08-02 16:06:50.513313	2013-08-04 01:25:47.65219
49999	19	2013-08-02 16:06:50.619008	2013-08-02 16:06:50.619008
1263	2	2013-08-02 16:05:06.16981	2013-08-04 01:25:47.662941
20	19	2013-08-02 16:05:04.329654	2013-08-02 17:17:08.859929
883	2	2013-08-02 16:05:05.377277	2013-08-04 01:25:47.673702
80	16	2013-08-02 16:05:04.390464	2013-08-02 17:17:08.864475
1143	8	2013-08-02 16:05:05.861509	2013-08-03 23:00:48.774795
120	14	2013-08-02 16:05:04.428611	2013-08-02 17:17:08.866414
140	13	2013-08-02 16:05:04.446644	2013-08-02 17:17:08.86728
180	11	2013-08-02 16:05:04.501018	2013-08-02 17:17:08.869033
220	9	2013-08-02 16:05:04.534011	2013-08-02 17:17:08.870629
240	8	2013-08-02 16:05:04.559076	2013-08-02 17:17:08.872317
260	7	2013-08-02 16:05:04.576106	2013-08-02 17:17:08.873198
280	6	2013-08-02 16:05:04.590864	2013-08-02 17:17:08.874031
320	4	2013-08-02 16:05:04.628218	2013-08-02 17:17:08.875697
49940	7	2013-08-02 16:06:50.47716	2013-08-03 23:00:48.778516
360	2	2013-08-02 16:05:04.700783	2013-08-02 17:17:08.877438
133	14	2013-08-02 16:05:04.439749	2013-08-02 17:53:52.603709
313	4	2013-08-02 16:05:04.620596	2013-08-02 17:53:52.621531
143	13	2013-08-02 16:05:04.450612	2013-08-02 19:24:28.100161
463	16	2013-08-02 16:05:04.851073	2013-08-02 19:25:27.964603
49960	6	2013-08-02 16:06:50.525957	2013-08-03 23:00:48.782218
483	14	2013-08-02 16:05:04.878352	2013-08-02 19:25:27.97143
503	13	2013-08-02 16:05:04.905093	2013-08-02 19:25:27.975425
543	11	2013-08-02 16:05:04.951891	2013-08-02 19:25:27.982594
583	9	2013-08-02 16:05:05.009869	2013-08-02 19:25:27.989525
603	8	2013-08-02 16:05:05.029189	2013-08-02 19:25:27.993623
623	7	2013-08-02 16:05:05.059479	2013-08-02 19:25:27.997669
643	6	2013-08-02 16:05:05.087811	2013-08-02 19:25:28.001351
683	4	2013-08-02 16:05:05.128427	2013-08-02 19:25:28.008771
703	2	2013-08-02 16:05:05.147512	2013-08-02 19:25:28.013162
123	11	2013-08-02 16:05:04.431373	2013-08-02 19:25:28.065201
334	2	2013-08-02 16:05:04.673136	2013-08-02 19:25:28.098035
803	16	2013-08-02 16:05:05.250046	2013-08-02 19:29:56.121907
843	14	2013-08-02 16:05:05.292962	2013-08-02 19:29:56.128533
863	13	2013-08-02 16:05:05.328475	2013-08-02 19:29:56.131785
903	11	2013-08-02 16:05:05.400871	2013-08-02 19:29:56.138273
943	9	2013-08-02 16:05:05.454053	2013-08-02 19:29:56.144638
963	8	2013-08-02 16:05:05.488594	2013-08-02 19:29:56.148108
983	7	2013-08-02 16:05:05.523134	2013-08-02 19:29:56.151469
1003	6	2013-08-02 16:05:05.574962	2013-08-02 19:29:56.154738
1043	4	2013-08-02 16:05:05.648987	2013-08-02 19:29:56.161285
1063	2	2013-08-02 16:05:05.673949	2013-08-02 19:29:56.164474
614	7	2013-08-02 16:05:05.040651	2013-08-02 19:29:56.221276
674	4	2013-08-02 16:05:05.119406	2013-08-02 19:29:56.230321
50000	4	2013-08-02 16:06:50.621752	2013-08-03 23:00:48.788991
714	2	2013-08-02 16:05:05.158551	2013-08-02 19:29:56.236621
523	2	2013-08-02 16:05:04.928243	2013-08-04 01:25:47.684329
1123	19	2013-08-02 16:05:05.808229	2013-08-02 19:34:09.455875
153	2	2013-08-02 16:05:04.463618	2013-08-04 01:25:47.694626
1183	16	2013-08-02 16:05:06.011541	2013-08-02 19:34:09.467146
160	2	2013-08-02 16:05:04.475975	2013-08-04 01:25:47.704965
1223	14	2013-08-02 16:05:06.111146	2013-08-02 19:34:09.474822
1243	13	2013-08-02 16:05:06.140362	2013-08-02 19:34:09.479373
1283	11	2013-08-02 16:05:06.210788	2013-08-02 19:34:09.487552
1323	9	2013-08-02 16:05:06.315076	2013-08-02 19:34:09.495374
1343	8	2013-08-02 16:05:06.364275	2013-08-02 19:34:09.499659
1363	7	2013-08-02 16:05:06.415177	2013-08-02 19:34:09.503187
1383	6	2013-08-02 16:05:06.4626	2013-08-02 19:34:09.507022
1423	4	2013-08-02 16:05:06.557376	2013-08-02 19:34:09.514684
1443	2	2013-08-02 16:05:06.604522	2013-08-02 19:34:09.519101
694	2	2013-08-02 16:05:05.138407	2013-08-03 20:47:29.950075
340	2	2013-08-02 16:05:04.681615	2013-08-03 20:47:29.953965
49983	2	2013-08-02 16:06:50.581252	2013-08-03 20:47:29.958592
49963	2	2013-08-02 16:06:50.533632	2013-08-03 20:47:29.962076
49943	2	2013-08-02 16:06:50.484255	2013-08-03 20:47:29.965512
1103	21	2013-08-02 16:05:05.757506	2013-08-03 23:01:08.09125
49992	2	2013-08-02 16:06:50.602428	2013-08-04 01:25:47.715214
49972	2	2013-08-02 16:06:50.555168	2013-08-04 01:25:47.725418
49952	2	2013-08-02 16:06:50.505799	2013-08-04 01:25:47.735438
1083	21	2013-08-02 16:05:05.720722	2013-08-04 02:05:53.755237
354	21	2013-08-02 16:05:04.696184	2013-08-04 02:05:53.75926
723	21	2013-08-02 16:05:05.167159	2013-08-04 02:05:53.762794
380	21	2013-08-02 16:05:04.719804	2013-08-04 02:05:53.766417
49981	21	2013-08-02 16:06:50.576469	2013-08-04 02:05:53.770042
49961	6	2013-08-02 16:06:50.528484	2013-08-04 02:05:53.811195
1023	13	2013-08-02 16:05:05.616221	2013-08-04 02:05:53.827477
1463	14	2013-08-02 16:05:06.651309	2013-08-04 02:10:49.300776
734	13	2013-08-02 16:05:05.17853	2013-08-04 02:10:49.321758
49930	11	2013-08-02 16:06:50.453352	2013-08-04 02:15:49.487302
1303	4	2013-08-02 16:05:06.263418	2013-08-04 02:15:51.279485
923	4	2013-08-02 16:05:05.425009	2013-08-04 02:15:51.283196
563	4	2013-08-02 16:05:04.978712	2013-08-04 02:15:51.288331
200	4	2013-08-02 16:05:04.518075	2013-08-04 02:15:51.293134
49990	4	2013-08-02 16:06:50.597785	2013-08-04 02:15:51.296874
49970	4	2013-08-02 16:06:50.550419	2013-08-04 02:15:51.301439
49950	4	2013-08-02 16:06:50.501056	2013-08-04 02:15:51.305359
1403	4	2013-08-02 16:05:06.509883	2013-08-04 02:15:51.309073
2923	21	2013-08-02 16:05:09.361193	2013-08-04 00:20:44.923382
1563	16	2013-08-02 16:05:06.90721	2013-08-02 19:36:08.594808
3043	19	2013-08-02 16:05:09.50398	2013-08-03 22:19:22.768691
1603	14	2013-08-02 16:05:06.977962	2013-08-02 19:36:08.601228
1623	13	2013-08-02 16:05:07.018508	2013-08-02 19:36:08.604654
4572	14	2013-08-02 16:05:12.744151	2013-08-04 17:51:50.993456
1663	11	2013-08-02 16:05:07.10939	2013-08-02 19:36:08.611273
4575	14	2013-08-02 16:05:12.746695	2013-08-04 17:51:51.004738
1703	9	2013-08-02 16:05:07.213359	2013-08-02 19:36:08.619212
1723	8	2013-08-02 16:05:07.266046	2013-08-02 19:36:08.622544
1743	7	2013-08-02 16:05:07.315234	2013-08-02 19:36:08.625613
1763	6	2013-08-02 16:05:07.364102	2013-08-02 19:36:08.628957
4627	14	2013-08-02 16:05:12.809441	2013-08-04 17:51:51.016328
1803	4	2013-08-02 16:05:07.465848	2013-08-02 19:36:08.635576
1823	2	2013-08-02 16:05:07.519927	2013-08-02 19:36:08.638916
4558	14	2013-08-02 16:05:12.731531	2013-08-04 17:51:51.024286
308	4	2013-08-02 16:05:04.616306	2013-08-02 19:36:08.728047
2283	4	2013-08-02 16:05:08.566125	2013-08-03 22:19:22.77744
243	2	2013-08-02 16:05:04.562264	2013-08-02 19:36:08.731768
4607	14	2013-08-02 16:05:12.787877	2013-08-04 17:51:51.032464
2543	21	2013-08-02 16:05:08.887954	2013-08-04 00:20:44.926303
1943	16	2013-08-02 16:05:07.828554	2013-08-02 19:39:50.07539
1903	6	2013-08-02 16:05:07.725702	2013-08-03 22:19:22.798806
1983	14	2013-08-02 16:05:07.915758	2013-08-02 19:39:50.081729
2003	13	2013-08-02 16:05:07.952022	2013-08-02 19:39:50.084881
32161	14	2013-08-02 16:06:10.727976	2013-08-04 17:51:51.042004
2043	11	2013-08-02 16:05:08.025667	2013-08-02 19:39:50.090811
4689	14	2013-08-02 16:05:12.862526	2013-08-04 17:51:51.047062
2083	9	2013-08-02 16:05:08.128142	2013-08-02 19:39:50.09712
2103	8	2013-08-02 16:05:08.181717	2013-08-02 19:39:50.100181
2123	7	2013-08-02 16:05:08.232619	2013-08-02 19:39:50.103392
2143	6	2013-08-02 16:05:08.280873	2013-08-02 19:39:50.106443
4587	14	2013-08-02 16:05:12.760467	2013-08-04 17:51:51.05112
2183	4	2013-08-02 16:05:08.385407	2013-08-02 19:39:50.112769
2203	2	2013-08-02 16:05:08.434497	2013-08-02 19:39:50.115854
4656	14	2013-08-02 16:05:12.835319	2013-08-04 17:51:51.054856
2263	19	2013-08-02 16:05:08.545091	2013-08-02 19:40:06.704607
2163	21	2013-08-02 16:05:08.333161	2013-08-04 00:20:44.929497
2323	16	2013-08-02 16:05:08.620253	2013-08-02 19:40:06.709301
3918	14	2013-08-02 16:05:11.551689	2013-08-04 17:51:51.058967
2363	14	2013-08-02 16:05:08.66106	2013-08-02 19:40:06.711086
2383	13	2013-08-02 16:05:08.686429	2013-08-02 19:40:06.711961
4006	14	2013-08-02 16:05:11.766803	2013-08-04 17:51:51.062572
2423	11	2013-08-02 16:05:08.734205	2013-08-02 19:40:06.713888
4567	14	2013-08-02 16:05:12.739964	2013-08-04 17:51:51.066081
2463	9	2013-08-02 16:05:08.776637	2013-08-02 19:40:06.715445
2483	8	2013-08-02 16:05:08.828551	2013-08-02 19:40:06.716372
2503	7	2013-08-02 16:05:08.846803	2013-08-02 19:40:06.717302
2523	6	2013-08-02 16:05:08.862265	2013-08-02 19:40:06.718087
3503	2	2013-08-02 16:05:10.554742	2013-08-04 19:02:40.989966
2563	4	2013-08-02 16:05:08.909276	2013-08-02 19:40:06.719628
2583	2	2013-08-02 16:05:08.928041	2013-08-02 19:40:06.720363
3783	2	2013-08-02 16:05:11.221716	2013-08-04 19:02:40.994264
2703	16	2013-08-02 16:05:09.085419	2013-08-02 19:43:22.395386
3003	2	2013-08-02 16:05:09.457858	2013-08-03 23:00:48.796267
2743	14	2013-08-02 16:05:09.124558	2013-08-02 19:43:22.397365
2763	13	2013-08-02 16:05:09.142196	2013-08-02 19:43:22.398273
3063	2	2013-08-02 16:05:09.529528	2013-08-04 19:02:40.998716
2803	11	2013-08-02 16:05:09.180351	2013-08-02 19:43:22.400874
3303	2	2013-08-02 16:05:10.074917	2013-08-04 19:02:41.067412
2843	9	2013-08-02 16:05:09.231248	2013-08-02 19:43:22.403615
2863	8	2013-08-02 16:05:09.258791	2013-08-02 19:43:22.404927
2883	7	2013-08-02 16:05:09.320719	2013-08-02 19:43:22.405976
2903	6	2013-08-02 16:05:09.339902	2013-08-02 19:43:22.407136
2943	4	2013-08-02 16:05:09.386725	2013-08-02 19:43:22.409341
2963	2	2013-08-02 16:05:09.41353	2013-08-02 19:43:22.410705
1783	14	2013-08-02 16:05:07.413538	2013-08-04 00:20:44.943798
3023	19	2013-08-02 16:05:09.482461	2013-08-02 19:45:32.171476
3083	16	2013-08-02 16:05:09.563574	2013-08-02 19:45:32.181485
3123	14	2013-08-02 16:05:09.653804	2013-08-02 19:45:32.18789
3143	13	2013-08-02 16:05:09.689364	2013-08-02 19:45:32.191224
3183	11	2013-08-02 16:05:09.784143	2013-08-02 19:45:32.197945
3223	9	2013-08-02 16:05:09.853092	2013-08-02 19:45:32.204791
3243	8	2013-08-02 16:05:09.907674	2013-08-02 19:45:32.208232
3263	7	2013-08-02 16:05:09.959559	2013-08-02 19:45:32.209768
3283	6	2013-08-02 16:05:10.052708	2013-08-02 19:45:32.211257
3323	4	2013-08-02 16:05:10.117798	2013-08-02 19:45:32.214702
3343	2	2013-08-02 16:05:10.161667	2013-08-02 19:45:32.215781
3643	16	2013-08-02 16:05:10.863232	2013-08-04 00:22:31.250997
910	7	2013-08-02 16:05:05.409537	2013-08-02 19:51:49.403178
930	6	2013-08-02 16:05:05.434534	2013-08-02 19:51:49.40411
3463	14	2013-08-02 16:05:10.495835	2013-08-02 19:55:16.071857
3483	13	2013-08-02 16:05:10.518576	2013-08-02 19:55:16.073355
3523	11	2013-08-02 16:05:10.609015	2013-08-02 19:55:16.0772
3563	9	2013-08-02 16:05:10.715501	2013-08-02 19:55:16.080489
3583	8	2013-08-02 16:05:10.763863	2013-08-02 19:55:16.083731
3603	7	2013-08-02 16:05:10.807518	2013-08-02 19:55:16.085556
3623	6	2013-08-02 16:05:10.82496	2013-08-02 19:55:16.087712
3663	4	2013-08-02 16:05:10.913096	2013-08-02 19:55:16.0908
3683	2	2013-08-02 16:05:10.962256	2013-08-02 19:55:16.092478
1250	9	2013-08-02 16:05:06.150125	2013-08-02 19:55:16.11746
64	14	2013-08-02 16:05:04.373421	2013-08-04 00:22:31.25372
1550	14	2013-08-02 16:05:06.88977	2013-08-02 19:57:47.54543
1570	13	2013-08-02 16:05:06.917618	2013-08-02 19:57:47.549904
2403	2	2013-08-02 16:05:08.712911	2013-08-04 01:25:47.61719
3803	14	2013-08-02 16:05:11.271236	2013-08-02 19:59:29.509621
3823	13	2013-08-02 16:05:11.320023	2013-08-02 19:59:29.513272
3863	11	2013-08-02 16:05:11.417988	2013-08-02 19:59:29.520624
3903	9	2013-08-02 16:05:11.51558	2013-08-02 19:59:29.527926
3923	8	2013-08-02 16:05:11.563775	2013-08-02 19:59:29.531544
3943	7	2013-08-02 16:05:11.612775	2013-08-02 19:59:29.535113
3963	6	2013-08-02 16:05:11.660891	2013-08-02 19:59:29.538961
4003	4	2013-08-02 16:05:11.759581	2013-08-02 19:59:29.546697
4023	2	2013-08-02 16:05:11.860021	2013-08-02 19:59:29.548621
2010	9	2013-08-02 16:05:07.97069	2013-08-02 19:59:29.574858
2030	8	2013-08-02 16:05:08.000648	2013-08-02 19:59:29.578095
23	11	2013-08-02 16:05:04.332801	2013-08-02 19:59:29.645679
28	9	2013-08-02 16:05:04.338489	2013-08-02 19:59:29.650999
30	8	2013-08-02 16:05:04.340453	2013-08-02 19:59:29.653714
2330	13	2013-08-02 16:05:08.627118	2013-08-02 20:02:46.771589
2023	2	2013-08-02 16:05:07.991508	2013-08-04 01:25:47.629094
74	9	2013-08-02 16:05:04.384601	2013-08-02 20:46:00.747447
68	8	2013-08-02 16:05:04.377502	2013-08-02 20:46:00.749646
70	7	2013-08-02 16:05:04.379464	2013-08-02 20:46:00.751709
59	6	2013-08-02 16:05:04.368451	2013-08-02 20:46:00.753782
66	4	2013-08-02 16:05:04.375552	2013-08-02 20:46:00.758293
4083	13	2013-08-02 16:05:11.953003	2013-08-02 21:20:29.851817
4123	11	2013-08-02 16:05:12.037228	2013-08-02 21:20:29.853819
4163	9	2013-08-02 16:05:12.124138	2013-08-02 21:20:29.85591
4183	8	2013-08-02 16:05:12.167896	2013-08-02 21:20:29.856769
4203	7	2013-08-02 16:05:12.200907	2013-08-02 21:20:29.857618
4223	6	2013-08-02 16:05:12.223054	2013-08-02 21:20:29.859156
1643	2	2013-08-02 16:05:07.059371	2013-08-04 01:25:47.640859
1530	19	2013-08-02 16:05:06.817393	2013-08-03 20:43:29.197179
554	21	2013-08-02 16:05:04.964308	2013-08-03 20:47:29.937897
233	2	2013-08-02 16:05:04.549514	2013-08-03 20:47:29.946083
470	19	2013-08-02 16:05:04.860804	2013-08-04 01:28:48.506577
3843	16	2013-08-02 16:05:11.369492	2013-08-04 01:28:48.509239
3163	21	2013-08-02 16:05:09.74149	2013-08-04 01:28:57.258567
2783	21	2013-08-02 16:05:09.159431	2013-08-04 01:30:51.098658
3983	2	2013-08-02 16:05:11.710732	2013-08-04 02:00:47.821092
254	21	2013-08-02 16:05:04.571781	2013-08-04 02:10:49.071534
219	21	2013-08-02 16:05:04.532438	2013-08-04 02:10:49.076204
4043	21	2013-08-02 16:05:11.88477	2013-08-04 02:10:49.079871
1410	21	2013-08-02 16:05:06.526265	2013-08-04 02:10:49.083586
3703	21	2013-08-02 16:05:11.012369	2013-08-04 02:10:49.08728
174	16	2013-08-02 16:05:04.495802	2013-08-04 02:10:49.108691
3443	19	2013-08-02 16:05:10.397824	2013-08-04 02:10:49.156992
234	4	2013-08-02 16:05:04.550353	2013-08-04 02:15:49.46498
3543	4	2013-08-02 16:05:10.663219	2013-08-04 02:15:51.245989
3203	4	2013-08-02 16:05:09.802872	2013-08-04 02:15:51.252966
2823	4	2013-08-02 16:05:09.205534	2013-08-04 02:15:51.257553
2443	4	2013-08-02 16:05:08.757314	2013-08-04 02:15:51.262246
1523	4	2013-08-02 16:05:06.798295	2013-08-04 02:15:51.267437
2063	4	2013-08-02 16:05:08.076939	2013-08-04 02:15:51.271667
1683	4	2013-08-02 16:05:07.158861	2013-08-04 02:15:51.275581
3363	2	2013-08-02 16:05:10.194558	2013-08-04 02:15:51.41396
4143	2	2013-08-02 16:05:12.080839	2013-08-04 02:15:51.417388
34	2	2013-08-02 16:05:04.34425	2013-08-04 02:15:51.421358
3883	2	2013-08-02 16:05:11.467172	2013-08-04 02:15:51.425607
4263	4	2013-08-02 16:05:12.289022	2013-08-02 21:20:29.861389
4283	2	2013-08-02 16:05:12.328219	2013-08-02 21:20:29.862335
4109	14	2013-08-02 16:05:12.006638	2013-08-04 17:51:51.069923
32348	14	2013-08-02 16:06:11.14815	2013-08-04 17:51:51.15995
137	14	2013-08-02 16:05:04.443872	2013-08-02 21:26:22.344729
32237	14	2013-08-02 16:06:10.918988	2013-08-04 17:51:51.16462
142	11	2013-08-02 16:05:04.448818	2013-08-02 21:26:22.350454
32328	14	2013-08-02 16:06:11.09757	2013-08-04 17:51:51.16829
353	9	2013-08-02 16:05:04.695441	2013-08-02 21:29:05.652233
343	8	2013-08-02 16:05:04.685078	2013-08-02 21:29:05.655421
32308	14	2013-08-02 16:06:11.056263	2013-08-04 17:51:51.173073
319	8	2013-08-02 16:05:04.62696	2013-08-02 21:46:41.576036
339	7	2013-08-02 16:05:04.680754	2013-08-02 21:46:41.577756
359	6	2013-08-02 16:05:04.699888	2013-08-02 21:46:41.580178
32288	14	2013-08-02 16:06:11.034867	2013-08-04 17:51:51.177608
399	4	2013-08-02 16:05:04.739468	2013-08-02 21:46:41.583997
71	21	2013-08-02 16:05:04.38065	2013-08-03 22:19:22.721651
439	2	2013-08-02 16:05:04.778205	2013-08-02 21:46:41.588308
32268	14	2013-08-02 16:06:10.993426	2013-08-04 17:51:51.187173
279	4	2013-08-02 16:05:04.590145	2013-08-02 22:35:52.450681
190	21	2013-08-02 16:05:04.509459	2013-08-03 22:19:22.724854
163	2	2013-08-02 16:05:04.481397	2013-08-02 22:35:52.457098
32248	14	2013-08-02 16:06:10.945064	2013-08-04 17:51:51.197493
446	11	2013-08-02 16:05:04.786792	2013-08-04 00:22:31.256832
270	19	2013-08-02 16:05:04.583725	2013-08-02 22:39:29.984081
32228	14	2013-08-02 16:06:10.897858	2013-08-04 17:51:51.208634
267	16	2013-08-02 16:05:04.581495	2013-08-02 22:39:29.99499
4563	21	2013-08-02 16:05:12.736473	2013-08-03 22:19:22.728352
232	14	2013-08-02 16:05:04.548629	2013-08-02 22:39:30.002252
281	13	2013-08-02 16:05:04.591543	2013-08-02 22:39:30.00498
426	7	2013-08-02 16:05:04.766578	2013-08-02 22:39:30.026112
32210	14	2013-08-02 16:06:10.85393	2013-08-04 17:51:51.219432
466	4	2013-08-02 16:05:04.855869	2013-08-02 22:39:30.033308
119	21	2013-08-02 16:05:04.427517	2013-08-03 22:19:22.731504
397	2	2013-08-02 16:05:04.737142	2013-08-02 22:39:30.040425
32208	14	2013-08-02 16:06:10.848796	2013-08-04 17:51:51.22695
251	9	2013-08-02 16:05:04.56933	2013-08-04 00:22:31.258637
292	19	2013-08-02 16:05:04.600778	2013-08-02 22:41:05.125085
32188	14	2013-08-02 16:06:10.798589	2013-08-04 17:51:51.231938
4403	9	2013-08-02 16:05:12.560947	2013-08-02 22:41:05.139378
4423	8	2013-08-02 16:05:12.57676	2013-08-02 22:41:05.140734
4443	7	2013-08-02 16:05:12.605411	2013-08-02 22:41:05.141908
4463	6	2013-08-02 16:05:12.635413	2013-08-02 22:41:05.142971
36730	14	2013-08-02 16:06:21.320565	2013-08-04 17:51:51.237506
4503	4	2013-08-02 16:05:12.678109	2013-08-02 22:41:05.14506
4523	2	2013-08-02 16:05:12.700289	2013-08-02 22:41:05.146265
32140	14	2013-08-02 16:06:10.674788	2013-08-04 17:51:51.246216
4823	8	2013-08-02 16:05:13.03243	2013-08-04 00:22:31.259509
207	16	2013-08-02 16:05:04.522828	2013-08-02 22:41:05.159533
204	21	2013-08-02 16:05:04.520826	2013-08-03 22:19:22.734807
294	14	2013-08-02 16:05:04.602872	2013-08-02 22:41:05.162626
201	13	2013-08-02 16:05:04.518779	2013-08-02 22:41:05.163767
2650	2	2013-08-02 16:05:09.044492	2013-08-02 22:41:05.180716
32168	14	2013-08-02 16:06:10.745415	2013-08-04 17:51:51.256925
171	9	2013-08-02 16:05:04.492243	2013-08-02 22:41:05.202458
191	8	2013-08-02 16:05:04.510426	2013-08-02 22:41:05.20406
211	7	2013-08-02 16:05:04.52565	2013-08-02 22:41:05.205572
231	6	2013-08-02 16:05:04.547009	2013-08-02 22:41:05.206736
32148	14	2013-08-02 16:06:10.693504	2013-08-04 17:51:51.267798
271	4	2013-08-02 16:05:04.584459	2013-08-02 22:41:05.209412
179	21	2013-08-02 16:05:04.500258	2013-08-03 22:19:22.738027
311	2	2013-08-02 16:05:04.618909	2013-08-02 22:41:05.212016
32112	14	2013-08-02 16:06:10.613986	2013-08-04 17:51:51.27837
526	7	2013-08-02 16:05:04.931961	2013-08-04 00:22:31.260606
130	19	2013-08-02 16:05:04.437251	2013-08-02 22:41:05.226671
5143	6	2013-08-02 16:05:13.372513	2013-08-04 00:22:31.261492
126	16	2013-08-02 16:05:04.433956	2013-08-02 22:41:05.232314
127	13	2013-08-02 16:05:04.43481	2013-08-02 22:41:05.235673
32128	14	2013-08-02 16:06:10.648314	2013-08-04 17:51:51.288952
132	11	2013-08-02 16:05:04.438888	2013-08-02 22:41:05.23905
32108	14	2013-08-02 16:06:10.605325	2013-08-04 17:51:51.299864
121	9	2013-08-02 16:05:04.429643	2013-08-02 22:41:05.242121
131	8	2013-08-02 16:05:04.438115	2013-08-02 22:41:05.243904
257	7	2013-08-02 16:05:04.573941	2013-08-02 22:41:05.245029
162	6	2013-08-02 16:05:04.479575	2013-08-02 22:41:05.24632
32088	14	2013-08-02 16:06:10.561855	2013-08-04 17:51:51.311017
4603	16	2013-08-02 16:05:12.78106	2013-08-02 22:44:36.143127
268	19	2013-08-02 16:05:04.58223	2013-08-03 23:00:57.33353
4643	14	2013-08-02 16:05:12.823509	2013-08-02 22:44:36.149767
4663	13	2013-08-02 16:05:12.841331	2013-08-02 22:44:36.153203
10480	14	2013-08-02 16:05:23.776147	2013-08-04 17:51:51.348234
4703	11	2013-08-02 16:05:12.875303	2013-08-02 22:44:36.16045
10509	14	2013-08-02 16:05:23.813788	2013-08-04 17:51:51.361697
4743	9	2013-08-02 16:05:12.908977	2013-08-02 22:44:36.167598
4763	8	2013-08-02 16:05:12.986614	2013-08-02 22:44:36.171028
4783	7	2013-08-02 16:05:13.001917	2013-08-02 22:44:36.174475
4803	6	2013-08-02 16:05:13.017613	2013-08-02 22:44:36.17778
10489	14	2013-08-02 16:05:23.785638	2013-08-04 17:51:51.373826
4843	4	2013-08-02 16:05:13.04802	2013-08-02 22:44:36.186366
4863	2	2013-08-02 16:05:13.063081	2013-08-02 22:44:36.18996
10469	14	2013-08-02 16:05:23.766016	2013-08-04 17:51:51.387191
606	13	2013-08-02 16:05:05.03211	2013-08-02 22:44:36.236947
10449	14	2013-08-02 16:05:23.75058	2013-08-04 17:51:51.400088
570	11	2013-08-02 16:05:04.98997	2013-08-02 22:44:36.245028
10429	14	2013-08-02 16:05:23.727502	2013-08-04 17:51:51.408811
379	9	2013-08-02 16:05:04.718801	2013-08-04 01:28:48.515636
188	19	2013-08-02 16:05:04.507762	2013-08-02 22:44:36.303046
122	8	2013-08-02 16:05:04.430369	2013-08-04 01:28:48.516783
186	16	2013-08-02 16:05:04.506071	2013-08-02 22:44:36.315263
182	14	2013-08-02 16:05:04.502456	2013-08-02 22:44:36.324623
177	13	2013-08-02 16:05:04.497984	2013-08-02 22:44:36.328913
4683	7	2013-08-02 16:05:12.857516	2013-08-04 01:28:48.517828
61	19	2013-08-02 16:05:04.370284	2013-08-02 22:44:36.393723
626	6	2013-08-02 16:05:05.066663	2013-08-04 01:28:48.518781
164	16	2013-08-02 16:05:04.483306	2013-08-02 22:44:36.400091
477	14	2013-08-02 16:05:04.869435	2013-08-02 22:44:36.407674
497	13	2013-08-02 16:05:04.895167	2013-08-02 22:44:36.411405
537	11	2013-08-02 16:05:04.943729	2013-08-02 22:44:36.466443
577	9	2013-08-02 16:05:05.002304	2013-08-02 22:44:36.473509
597	8	2013-08-02 16:05:05.024316	2013-08-02 22:44:36.477066
617	7	2013-08-02 16:05:05.046082	2013-08-02 22:44:36.480599
513	6	2013-08-02 16:05:04.917939	2013-08-02 22:44:36.483959
637	4	2013-08-02 16:05:05.082884	2013-08-02 22:44:36.48937
128	16	2013-08-02 16:05:04.435504	2013-08-03 23:00:57.340746
677	2	2013-08-02 16:05:05.122451	2013-08-02 22:44:36.495674
4923	16	2013-08-02 16:05:13.116131	2013-08-02 22:46:12.919365
4963	14	2013-08-02 16:05:13.154822	2013-08-02 22:46:12.921731
4983	13	2013-08-02 16:05:13.174913	2013-08-02 22:46:12.922689
5023	11	2013-08-02 16:05:13.217522	2013-08-02 22:46:12.925189
5063	9	2013-08-02 16:05:13.26382	2013-08-02 22:46:12.930001
5083	8	2013-08-02 16:05:13.290745	2013-08-02 22:46:12.93235
5103	7	2013-08-02 16:05:13.308648	2013-08-02 22:46:12.934745
5123	6	2013-08-02 16:05:13.346535	2013-08-02 22:46:12.937297
5163	4	2013-08-02 16:05:13.416854	2013-08-02 22:46:12.944584
5183	2	2013-08-02 16:05:13.461144	2013-08-02 22:46:12.948238
517	4	2013-08-02 16:05:04.921973	2013-08-04 01:28:48.520784
25	19	2013-08-02 16:05:04.334618	2013-08-02 22:46:13.09231
299	21	2013-08-02 16:05:04.608806	2013-08-04 01:30:50.84356
85	16	2013-08-02 16:05:04.395179	2013-08-02 22:46:13.103613
37	14	2013-08-02 16:05:04.3471	2013-08-03 23:00:57.348089
125	14	2013-08-02 16:05:04.432984	2013-08-02 22:46:13.111412
145	13	2013-08-02 16:05:04.452552	2013-08-02 22:46:13.114919
185	11	2013-08-02 16:05:04.505086	2013-08-02 22:46:13.122532
225	9	2013-08-02 16:05:04.538748	2013-08-02 22:46:13.130902
245	8	2013-08-02 16:05:04.564184	2013-08-02 22:46:13.135073
419	11	2013-08-02 16:05:04.760313	2013-08-03 20:48:43.87529
450	9	2013-08-02 16:05:04.834573	2013-08-03 20:48:43.878029
291	8	2013-08-02 16:05:04.599749	2013-08-03 20:48:43.878943
657	7	2013-08-02 16:05:05.10361	2013-08-03 20:48:43.879875
5	13	2013-08-02 16:05:04.311376	2013-08-03 23:00:57.34968
5203	8	2013-08-02 16:05:13.482367	2013-08-04 02:15:49.282124
183	21	2013-08-02 16:05:04.503194	2013-08-03 23:12:21.270572
173	6	2013-08-02 16:05:04.494244	2013-08-04 02:15:49.322158
4543	9	2013-08-02 16:05:12.718414	2013-08-04 02:15:49.338695
432	14	2013-08-02 16:05:04.771321	2013-08-04 02:15:49.356334
265	7	2013-08-02 16:05:04.579943	2013-08-02 22:46:13.138426
285	6	2013-08-02 16:05:04.594524	2013-08-02 22:46:13.141931
305	4	2013-08-02 16:05:04.61384	2013-08-02 22:46:13.145113
159	16	2013-08-02 16:05:04.474105	2013-08-03 22:21:47.898492
274	2	2013-08-02 16:05:04.586676	2013-08-02 22:46:13.153063
33912	14	2013-08-02 16:06:14.548327	2013-08-04 17:51:51.413012
10425	14	2013-08-02 16:05:23.722696	2013-08-04 17:51:51.417824
1066	2	2013-08-02 16:05:05.678811	2013-08-02 22:46:13.236012
10409	14	2013-08-02 16:05:23.699099	2013-08-04 17:51:51.425332
447	4	2013-08-02 16:05:04.78795	2013-08-04 00:22:31.262371
250	19	2013-08-02 16:05:04.568433	2013-08-02 22:46:13.260225
10389	14	2013-08-02 16:05:23.674152	2013-08-04 17:51:51.431322
266	16	2013-08-02 16:05:04.580737	2013-08-02 22:46:13.272199
289	2	2013-08-02 16:05:04.5976	2013-08-04 00:22:31.264156
212	14	2013-08-02 16:05:04.526314	2013-08-02 22:46:13.279512
261	13	2013-08-02 16:05:04.576831	2013-08-02 22:46:13.28314
407	8	2013-08-02 16:05:04.747028	2013-08-02 22:46:13.301497
427	6	2013-08-02 16:05:04.767403	2013-08-02 22:46:13.305076
10369	14	2013-08-02 16:05:23.654558	2013-08-04 17:51:51.435622
467	4	2013-08-02 16:05:04.857193	2013-08-02 22:46:13.312314
49	14	2013-08-02 16:05:04.358863	2013-08-03 22:21:47.901865
377	2	2013-08-02 16:05:04.71721	2013-08-02 22:46:13.320498
7201	14	2013-08-02 16:05:17.626756	2013-08-04 17:51:51.973385
5511	14	2013-08-02 16:05:14.034218	2013-08-04 17:51:51.979278
244	19	2013-08-02 16:05:04.56335	2013-08-02 22:46:13.344017
453	6	2013-08-02 16:05:04.838271	2013-08-04 00:25:49.73141
242	16	2013-08-02 16:05:04.561392	2013-08-02 22:46:13.355533
644	13	2013-08-02 16:05:05.089327	2013-08-03 22:21:47.903353
241	14	2013-08-02 16:05:04.560531	2013-08-02 22:46:13.363476
328	13	2013-08-02 16:05:04.668076	2013-08-02 22:46:13.366198
20796	14	2013-08-02 16:05:44.825318	2013-08-04 17:51:51.985009
368	11	2013-08-02 16:05:04.708555	2013-08-02 22:46:13.373174
20776	14	2013-08-02 16:05:44.678773	2013-08-04 17:51:51.98913
408	9	2013-08-02 16:05:04.748083	2013-08-02 22:46:13.380791
428	7	2013-08-02 16:05:04.768256	2013-08-02 22:46:13.384033
448	6	2013-08-02 16:05:04.826698	2013-08-02 22:46:13.387174
20861	14	2013-08-02 16:05:44.895258	2013-08-04 17:51:51.993124
433	4	2013-08-02 16:05:04.772094	2013-08-02 22:46:13.393906
392	2	2013-08-02 16:05:04.730947	2013-08-02 22:46:13.402045
104	19	2013-08-02 16:05:04.41332	2013-08-04 00:25:49.752003
29	19	2013-08-02 16:05:04.339601	2013-08-02 22:46:13.426347
89	16	2013-08-02 16:05:04.398889	2013-08-02 22:46:13.44035
404	11	2013-08-02 16:05:04.74426	2013-08-03 22:21:47.906678
129	14	2013-08-02 16:05:04.436303	2013-08-02 22:46:13.449729
149	13	2013-08-02 16:05:04.457934	2013-08-02 22:46:13.453938
189	11	2013-08-02 16:05:04.50861	2013-08-02 22:46:13.463055
229	8	2013-08-02 16:05:04.544114	2013-08-02 22:46:13.472658
249	7	2013-08-02 16:05:04.567548	2013-08-02 22:46:13.477428
269	6	2013-08-02 16:05:04.582982	2013-08-02 22:46:13.482159
309	4	2013-08-02 16:05:04.617136	2013-08-02 22:46:13.491509
246	21	2013-08-02 16:05:04.564992	2013-08-03 22:21:56.479676
223	2	2013-08-02 16:05:04.536795	2013-08-02 22:46:13.50007
367	19	2013-08-02 16:05:04.707381	2013-08-02 22:46:13.525978
633	11	2013-08-02 16:05:05.079376	2013-08-04 00:25:49.818679
2970	2	2013-08-02 16:05:09.421038	2013-08-02 22:46:13.59971
424	19	2013-08-02 16:05:04.765012	2013-08-02 22:46:13.624801
468	21	2013-08-02 16:05:04.858528	2013-08-04 00:26:40.519916
363	16	2013-08-02 16:05:04.703449	2013-08-02 22:46:13.637166
491	14	2013-08-02 16:05:04.887796	2013-08-02 22:46:13.645036
511	13	2013-08-02 16:05:04.915804	2013-08-02 22:46:13.649864
571	9	2013-08-02 16:05:04.991078	2013-08-02 22:46:13.663853
591	8	2013-08-02 16:05:05.019051	2013-08-02 22:46:13.668606
611	7	2013-08-02 16:05:05.037647	2013-08-02 22:46:13.673344
534	6	2013-08-02 16:05:04.940408	2013-08-02 22:46:13.677152
581	4	2013-08-02 16:05:05.008115	2013-08-02 22:46:13.684295
230	11	2013-08-02 16:05:04.545524	2013-08-03 23:00:57.353956
651	2	2013-08-02 16:05:05.095947	2013-08-02 22:46:13.690356
954	21	2013-08-02 16:05:05.473109	2013-08-04 00:26:40.521813
161	19	2013-08-02 16:05:04.477684	2013-08-02 22:46:13.716921
393	16	2013-08-02 16:05:04.731907	2013-08-02 22:46:13.719997
327	14	2013-08-02 16:05:04.667256	2013-08-02 22:46:13.72331
532	13	2013-08-02 16:05:04.938105	2013-08-02 22:46:13.72488
552	11	2013-08-02 16:05:04.962188	2013-08-02 22:46:13.726475
592	9	2013-08-02 16:05:05.019926	2013-08-02 22:46:13.7303
612	8	2013-08-02 16:05:05.038446	2013-08-02 22:46:13.73305
514	7	2013-08-02 16:05:04.919122	2013-08-02 22:46:13.734541
542	6	2013-08-02 16:05:04.951077	2013-08-02 22:46:13.735944
652	4	2013-08-02 16:05:05.097132	2013-08-02 22:46:13.73888
442	9	2013-08-02 16:05:04.781738	2013-08-03 23:00:57.357321
692	2	2013-08-02 16:05:05.136654	2013-08-02 22:46:13.741834
155	2	2013-08-02 16:05:04.467229	2013-08-04 01:30:51.708217
32	19	2013-08-02 16:05:04.342276	2013-08-02 22:46:13.751088
854	2	2013-08-02 16:05:05.311905	2013-08-04 01:30:51.713155
277	16	2013-08-02 16:05:04.588698	2013-08-02 22:46:13.754673
332	8	2013-08-02 16:05:04.671108	2013-08-03 23:00:57.358672
402	14	2013-08-02 16:05:04.742467	2013-08-02 22:46:13.756821
461	11	2013-08-02 16:05:04.848524	2013-08-02 22:46:13.758902
593	9	2013-08-02 16:05:05.02084	2013-08-02 22:46:13.761373
613	8	2013-08-02 16:05:05.039243	2013-08-02 22:46:13.762455
494	7	2013-08-02 16:05:04.891163	2013-08-02 22:46:13.763502
493	6	2013-08-02 16:05:04.889856	2013-08-02 22:46:13.764479
653	4	2013-08-02 16:05:05.09832	2013-08-02 22:46:13.770173
73	7	2013-08-02 16:05:04.383845	2013-08-03 23:00:57.359942
693	2	2013-08-02 16:05:05.137527	2013-08-02 22:46:13.778106
384	2	2013-08-02 16:05:04.723207	2013-08-04 01:30:51.718742
586	19	2013-08-02 16:05:05.012525	2013-08-02 22:46:13.799639
531	2	2013-08-02 16:05:04.936744	2013-08-04 01:30:51.724998
794	16	2013-08-02 16:05:05.240767	2013-08-02 22:46:13.808465
152	6	2013-08-02 16:05:04.462466	2013-08-03 23:00:57.361163
834	13	2013-08-02 16:05:05.281623	2013-08-02 22:46:13.81552
874	11	2013-08-02 16:05:05.368952	2013-08-02 22:46:13.867146
914	9	2013-08-02 16:05:05.415458	2013-08-02 22:46:13.871798
934	8	2013-08-02 16:05:05.439958	2013-08-02 22:46:13.873711
790	7	2013-08-02 16:05:05.235296	2013-08-02 22:46:13.875658
846	6	2013-08-02 16:05:05.298106	2013-08-02 22:46:13.87828
974	4	2013-08-02 16:05:05.50252	2013-08-02 22:46:13.884095
1014	2	2013-08-02 16:05:05.594268	2013-08-02 22:46:13.888902
248	2	2013-08-02 16:05:04.56669	2013-08-04 01:30:51.731745
35	19	2013-08-02 16:05:04.345187	2013-08-02 22:46:13.903972
169	2	2013-08-02 16:05:04.490592	2013-08-04 01:30:51.736209
95	16	2013-08-02 16:05:04.404898	2013-08-02 22:46:13.91225
115	14	2013-08-02 16:05:04.4235	2013-08-02 22:46:13.915379
135	13	2013-08-02 16:05:04.441586	2013-08-02 22:46:13.918483
113	11	2013-08-02 16:05:04.421613	2013-08-02 22:46:13.922584
114	9	2013-08-02 16:05:04.422725	2013-08-02 22:46:13.925549
108	8	2013-08-02 16:05:04.41756	2013-08-02 22:46:13.927469
110	7	2013-08-02 16:05:04.419089	2013-08-02 22:46:13.929619
99	6	2013-08-02 16:05:04.408706	2013-08-02 22:46:13.931271
293	6	2013-08-02 16:05:04.601846	2013-08-03 20:48:43.880836
357	4	2013-08-02 16:05:04.698313	2013-08-03 20:48:43.882688
213	2	2013-08-02 16:05:04.526981	2013-08-03 20:48:43.884326
994	4	2013-08-02 16:05:05.55016	2013-08-03 20:52:35.402929
673	4	2013-08-02 16:05:05.118614	2013-08-03 20:52:35.407581
672	4	2013-08-02 16:05:05.117824	2013-08-03 20:52:35.41229
15	4	2013-08-02 16:05:04.323264	2013-08-03 23:00:57.365321
441	2	2013-08-02 16:05:04.780198	2013-08-04 01:30:51.741118
346	2	2013-08-02 16:05:04.688135	2013-08-04 01:30:51.746264
632	2	2013-08-02 16:05:05.078501	2013-08-04 02:00:47.810115
490	21	2013-08-02 16:05:04.8867	2013-08-04 02:15:49.252307
412	21	2013-08-02 16:05:04.752432	2013-08-04 02:15:49.255042
1086	21	2013-08-02 16:05:05.729505	2013-08-04 02:15:49.256927
288	2	2013-08-02 16:05:04.596592	2013-08-04 02:15:50.278203
926	2	2013-08-02 16:05:05.429108	2013-08-04 02:15:51.346473
551	19	2013-08-02 16:05:04.96138	2013-08-04 02:18:34.536427
572	16	2013-08-02 16:05:04.99194	2013-08-04 02:18:34.543964
894	14	2013-08-02 16:05:05.389369	2013-08-04 02:18:34.551498
209	21	2013-08-02 16:05:04.524238	2013-08-04 02:18:43.491649
573	21	2013-08-02 16:05:04.993642	2013-08-04 02:19:08.118026
1034	19	2013-08-02 16:05:05.631309	2013-08-04 02:20:49.662053
713	13	2013-08-02 16:05:05.157671	2013-08-04 02:20:49.671582
712	11	2013-08-02 16:05:05.156834	2013-08-04 02:20:49.679615
348	7	2013-08-02 16:05:04.689886	2013-08-04 02:20:49.687588
671	4	2013-08-02 16:05:05.11702	2013-08-04 02:20:49.695293
323	6	2013-08-02 16:05:04.631432	2013-08-04 02:20:49.710536
106	4	2013-08-02 16:05:04.41551	2013-08-02 22:46:13.9366
56	7	2013-08-02 16:05:04.365557	2013-08-03 22:21:47.910889
107	2	2013-08-02 16:05:04.416588	2013-08-02 22:46:13.942757
20837	14	2013-08-02 16:05:44.866742	2013-08-04 17:51:51.997467
429	21	2013-08-02 16:05:04.769009	2013-08-04 00:25:49.61426
36	19	2013-08-02 16:05:04.34599	2013-08-02 22:46:13.961822
5783	21	2013-08-02 16:05:14.625367	2013-08-04 00:25:49.618741
717	6	2013-08-02 16:05:05.161977	2013-08-03 22:21:47.911807
116	14	2013-08-02 16:05:04.424286	2013-08-02 22:46:13.975374
136	13	2013-08-02 16:05:04.443005	2013-08-02 22:46:13.978909
20756	14	2013-08-02 16:05:44.656505	2013-08-04 17:51:52.001573
93	11	2013-08-02 16:05:04.402923	2013-08-02 22:46:13.985964
20752	14	2013-08-02 16:05:44.653485	2013-08-04 17:51:52.007161
94	9	2013-08-02 16:05:04.403998	2013-08-02 22:46:13.993082
88	8	2013-08-02 16:05:04.397873	2013-08-02 22:46:13.996666
90	7	2013-08-02 16:05:04.399933	2013-08-02 22:46:14.000274
79	6	2013-08-02 16:05:04.389541	2013-08-02 22:46:14.003769
20737	14	2013-08-02 16:05:44.63532	2013-08-04 17:51:52.011481
86	4	2013-08-02 16:05:04.396095	2013-08-02 22:46:14.010868
20736	14	2013-08-02 16:05:44.634443	2013-08-04 17:51:52.015238
87	2	2013-08-02 16:05:04.397052	2013-08-02 22:46:14.01797
20625	14	2013-08-02 16:05:44.525658	2013-08-04 17:51:52.019745
5463	14	2013-08-02 16:05:13.898331	2013-08-04 00:25:49.638937
584	19	2013-08-02 16:05:05.010737	2013-08-02 22:46:14.038773
24	16	2013-08-02 16:05:04.33385	2013-08-04 00:25:49.66201
737	16	2013-08-02 16:05:05.181781	2013-08-02 22:46:14.045254
3	4	2013-08-02 16:05:04.309485	2013-08-03 22:21:47.913603
777	14	2013-08-02 16:05:05.217261	2013-08-02 22:46:14.052286
783	13	2013-08-02 16:05:05.225471	2013-08-02 22:46:14.055924
20600	14	2013-08-02 16:05:44.503448	2013-08-04 17:51:52.023805
797	11	2013-08-02 16:05:05.244262	2013-08-02 22:46:14.063775
16131	14	2013-08-02 16:05:34.649374	2013-08-04 17:51:52.027437
837	9	2013-08-02 16:05:05.284905	2013-08-02 22:46:14.070919
857	8	2013-08-02 16:05:05.316896	2013-08-02 22:46:14.074884
877	7	2013-08-02 16:05:05.371638	2013-08-02 22:46:14.078347
897	6	2013-08-02 16:05:05.392513	2013-08-02 22:46:14.081752
20693	14	2013-08-02 16:05:44.590249	2013-08-04 17:51:52.031385
937	4	2013-08-02 16:05:05.444473	2013-08-02 22:46:14.088907
559	9	2013-08-02 16:05:04.971978	2013-08-04 00:25:49.683935
957	2	2013-08-02 16:05:05.478219	2013-08-02 22:46:14.095269
20716	14	2013-08-02 16:05:44.612843	2013-08-04 17:51:52.03508
46	7	2013-08-02 16:05:04.355562	2013-08-04 00:25:49.693441
38	19	2013-08-02 16:05:04.348028	2013-08-02 22:46:14.116485
78	16	2013-08-02 16:05:04.388644	2013-08-02 22:46:14.12364
224	2	2013-08-02 16:05:04.537933	2013-08-03 22:21:47.915203
118	14	2013-08-02 16:05:04.426452	2013-08-02 22:46:14.130625
138	13	2013-08-02 16:05:04.444819	2013-08-02 22:46:14.134182
43	11	2013-08-02 16:05:04.352529	2013-08-02 22:46:14.141237
48	9	2013-08-02 16:05:04.357719	2013-08-02 22:46:14.148593
50	8	2013-08-02 16:05:04.359757	2013-08-02 22:46:14.152107
39	7	2013-08-02 16:05:04.348945	2013-08-02 22:46:14.155687
44	6	2013-08-02 16:05:04.353379	2013-08-02 22:46:14.159288
57	4	2013-08-02 16:05:04.366702	2013-08-02 22:46:14.166381
304	21	2013-08-02 16:05:04.613	2013-08-03 22:22:07.098529
42	2	2013-08-02 16:05:04.351634	2013-08-02 22:46:14.173538
3130	16	2013-08-02 16:05:09.663696	2013-08-04 00:26:51.325781
168	16	2013-08-02 16:05:04.489737	2013-08-02 22:46:14.199065
5643	2	2013-08-02 16:05:14.290234	2013-08-04 01:30:51.675923
403	14	2013-08-02 16:05:04.743458	2013-08-02 22:46:14.204494
394	13	2013-08-02 16:05:04.732928	2013-08-02 22:46:14.208167
341	11	2013-08-02 16:05:04.683254	2013-08-02 22:46:14.215341
479	9	2013-08-02 16:05:04.871468	2013-08-02 22:46:14.220735
499	8	2013-08-02 16:05:04.89717	2013-08-02 22:46:14.224203
519	7	2013-08-02 16:05:04.92409	2013-08-02 22:46:14.22774
539	6	2013-08-02 16:05:04.947012	2013-08-02 22:46:14.23121
579	4	2013-08-02 16:05:05.005565	2013-08-02 22:46:14.237826
381	2	2013-08-02 16:05:04.720643	2013-08-03 23:00:57.370723
619	2	2013-08-02 16:05:05.050052	2013-08-02 22:46:14.244643
13	19	2013-08-02 16:05:04.320969	2013-08-02 22:46:14.260454
5323	2	2013-08-02 16:05:13.636844	2013-08-04 01:30:51.681622
8	16	2013-08-02 16:05:04.315142	2013-08-02 22:46:14.270928
19	14	2013-08-02 16:05:04.328171	2013-08-02 22:46:14.277895
4	13	2013-08-02 16:05:04.31047	2013-08-02 22:46:14.281492
17	11	2013-08-02 16:05:04.32557	2013-08-02 22:46:14.288231
2	9	2013-08-02 16:05:04.308066	2013-08-02 22:46:14.295369
134	8	2013-08-02 16:05:04.440666	2013-08-02 22:46:14.298893
12	7	2013-08-02 16:05:04.320096	2013-08-02 22:46:14.302411
67	6	2013-08-02 16:05:04.376518	2013-08-02 22:46:14.305957
62	4	2013-08-02 16:05:04.371192	2013-08-02 22:46:14.312982
21	19	2013-08-02 16:05:04.330547	2013-08-03 23:01:07.985196
63	2	2013-08-02 16:05:04.372185	2013-08-02 22:46:14.318381
5243	16	2013-08-02 16:05:13.521277	2013-08-02 22:49:30.0045
5283	14	2013-08-02 16:05:13.571107	2013-08-02 22:49:30.007235
5303	13	2013-08-02 16:05:13.597377	2013-08-02 22:49:30.009765
5343	11	2013-08-02 16:05:13.668344	2013-08-02 22:49:30.015638
5383	9	2013-08-02 16:05:13.762956	2013-08-02 22:49:30.022433
5403	8	2013-08-02 16:05:13.819202	2013-08-02 22:49:30.025712
5423	7	2013-08-02 16:05:13.855783	2013-08-02 22:49:30.029193
5443	6	2013-08-02 16:05:13.876502	2013-08-02 22:49:30.032832
5483	4	2013-08-02 16:05:13.99475	2013-08-02 22:49:30.040084
5503	2	2013-08-02 16:05:14.018911	2013-08-02 22:49:30.043745
6	2	2013-08-02 16:05:04.312283	2013-08-04 01:30:51.686157
199	19	2013-08-02 16:05:04.517262	2013-08-02 22:49:30.065962
330	2	2013-08-02 16:05:04.669613	2013-08-04 01:30:51.690806
287	16	2013-08-02 16:05:04.595886	2013-08-02 22:49:30.076748
228	16	2013-08-02 16:05:04.542694	2013-08-03 23:01:07.992678
252	14	2013-08-02 16:05:04.570172	2013-08-02 22:49:30.083959
301	13	2013-08-02 16:05:04.610398	2013-08-02 22:49:30.087692
5563	16	2013-08-02 16:05:14.161985	2013-08-02 22:50:58.878208
53	2	2013-08-02 16:05:04.362846	2013-08-04 01:30:51.695199
5603	14	2013-08-02 16:05:14.230505	2013-08-02 22:50:58.886987
5623	13	2013-08-02 16:05:14.256868	2013-08-02 22:50:58.891696
5663	11	2013-08-02 16:05:14.339373	2013-08-02 22:50:58.901097
5703	9	2013-08-02 16:05:14.436398	2013-08-02 22:50:58.910549
5723	8	2013-08-02 16:05:14.483639	2013-08-02 22:50:58.915259
5743	7	2013-08-02 16:05:14.530582	2013-08-02 22:50:58.919343
5763	6	2013-08-02 16:05:14.577745	2013-08-02 22:50:58.923034
5803	4	2013-08-02 16:05:14.673977	2013-08-02 22:50:58.930198
5823	2	2013-08-02 16:05:14.723124	2013-08-02 22:50:58.933794
1246	8	2013-08-02 16:05:06.144559	2013-08-02 22:50:59.200726
730	2	2013-08-02 16:05:05.174711	2013-08-04 01:30:51.700678
210	19	2013-08-02 16:05:04.524967	2013-08-02 22:50:59.258682
156	2	2013-08-02 16:05:04.468449	2013-08-04 01:30:51.704766
227	16	2013-08-02 16:05:04.541231	2013-08-02 22:50:59.265234
16	21	2013-08-02 16:05:04.324529	2013-08-03 23:01:08.093108
172	14	2013-08-02 16:05:04.493397	2013-08-02 22:50:59.268988
197	13	2013-08-02 16:05:04.51582	2013-08-02 22:50:59.271565
409	6	2013-08-02 16:05:04.749157	2013-08-02 22:50:59.291225
449	4	2013-08-02 16:05:04.832931	2013-08-02 22:50:59.297723
365	21	2013-08-02 16:05:04.705439	2013-08-03 23:11:27.935604
413	2	2013-08-02 16:05:04.75365	2013-08-02 22:50:59.304969
221	19	2013-08-02 16:05:04.53479	2013-08-04 01:31:50.64834
349	19	2013-08-02 16:05:04.690646	2013-08-02 22:50:59.327813
1206	13	2013-08-02 16:05:06.071264	2013-08-02 22:50:59.344506
5583	9	2013-08-02 16:05:14.208973	2013-08-03 20:47:31.898733
469	7	2013-08-02 16:05:04.859695	2013-08-03 20:52:35.365516
1	7	2013-08-02 16:05:04.304829	2013-08-03 20:52:35.369928
599	7	2013-08-02 16:05:05.025919	2013-08-03 20:52:35.375064
47	7	2013-08-02 16:05:04.35675	2013-08-03 20:52:35.381298
786	7	2013-08-02 16:05:05.229704	2013-08-03 20:52:35.386403
77	7	2013-08-02 16:05:04.387624	2013-08-03 20:52:35.392347
97	7	2013-08-02 16:05:04.406598	2013-08-03 20:52:35.396224
817	11	2013-08-02 16:05:05.265451	2013-08-04 02:18:34.56369
54	9	2013-08-02 16:05:04.363864	2013-08-04 02:18:34.567198
431	8	2013-08-02 16:05:04.77055	2013-08-04 02:18:34.570711
7	7	2013-08-02 16:05:04.313488	2013-08-04 02:18:34.574371
5363	6	2013-08-02 16:05:13.710256	2013-08-04 02:18:34.57795
5523	21	2013-08-02 16:05:14.062673	2013-08-04 02:20:49.577265
11	21	2013-08-02 16:05:04.319184	2013-08-04 02:20:49.579557
18	21	2013-08-02 16:05:04.32639	2013-08-04 02:20:49.58165
486	21	2013-08-02 16:05:04.881366	2013-08-04 02:20:49.583663
150	14	2013-08-02 16:05:04.459649	2013-08-04 02:20:49.596137
82	16	2013-08-02 16:05:04.392302	2013-08-04 02:20:49.63306
102	8	2013-08-02 16:05:04.411425	2013-08-04 02:20:49.643506
337	8	2013-08-02 16:05:04.677443	2013-08-04 02:25:48.385339
5843	4	2013-08-02 16:05:14.770529	2013-08-04 02:25:48.395057
20675	14	2013-08-02 16:05:44.571548	2013-08-04 17:51:52.038612
329	19	2013-08-02 16:05:04.668855	2013-08-02 22:50:59.364785
20690	14	2013-08-02 16:05:44.587634	2013-08-04 17:51:52.04358
721	9	2013-08-02 16:05:05.165433	2013-08-02 22:50:59.373788
1194	14	2013-08-02 16:05:06.040647	2013-08-04 00:26:51.328861
732	16	2013-08-02 16:05:05.176392	2013-08-02 22:50:59.398633
20696	14	2013-08-02 16:05:44.592974	2013-08-04 17:51:52.047848
772	14	2013-08-02 16:05:05.210995	2013-08-02 22:50:59.402322
701	13	2013-08-02 16:05:05.145769	2013-08-02 22:50:59.40378
751	11	2013-08-02 16:05:05.193694	2013-08-02 22:50:59.404637
20635	14	2013-08-02 16:05:44.534223	2013-08-04 17:51:52.051461
753	16	2013-08-02 16:05:05.195098	2013-08-02 22:50:59.426104
681	14	2013-08-02 16:05:05.1267	2013-08-02 22:50:59.42955
26339	14	2013-08-02 16:05:56.86881	2013-08-04 17:51:52.118632
793	11	2013-08-02 16:05:05.239597	2013-08-02 22:50:59.432109
2949	14	2013-08-02 16:05:09.393841	2013-08-04 17:51:52.124463
833	9	2013-08-02 16:05:05.280124	2013-08-02 22:50:59.436152
853	8	2013-08-02 16:05:05.310001	2013-08-02 22:50:59.437587
873	7	2013-08-02 16:05:05.36788	2013-08-02 22:50:59.438803
893	6	2013-08-02 16:05:05.388328	2013-08-02 22:50:59.440667
26319	14	2013-08-02 16:05:56.829263	2013-08-04 17:51:52.129413
933	4	2013-08-02 16:05:05.438846	2013-08-02 22:50:59.442831
444	6	2013-08-02 16:05:04.784061	2013-08-03 22:24:24.515384
866	2	2013-08-02 16:05:05.333982	2013-08-02 22:50:59.445867
26299	14	2013-08-02 16:05:56.791352	2013-08-04 17:51:52.13376
711	16	2013-08-02 16:05:05.15594	2013-08-02 22:50:59.456849
512	13	2013-08-02 16:05:04.916876	2013-08-03 22:24:24.582501
26261	14	2013-08-02 16:05:56.73928	2013-08-04 17:51:52.138092
1114	9	2013-08-02 16:05:05.784149	2013-08-02 22:50:59.464521
1134	8	2013-08-02 16:05:05.837093	2013-08-02 22:50:59.465843
1154	7	2013-08-02 16:05:05.889749	2013-08-02 22:50:59.466998
1174	6	2013-08-02 16:05:05.943395	2013-08-02 22:50:59.468137
26279	14	2013-08-02 16:05:56.76005	2013-08-04 17:51:52.142562
1214	4	2013-08-02 16:05:06.09252	2013-08-02 22:50:59.470379
315	13	2013-08-02 16:05:04.622843	2013-08-04 00:26:51.330309
1254	2	2013-08-02 16:05:06.15567	2013-08-02 22:50:59.472344
26259	14	2013-08-02 16:05:56.736971	2013-08-04 17:51:52.147067
26239	14	2013-08-02 16:05:56.709499	2013-08-04 17:51:52.151912
112	19	2013-08-02 16:05:04.420549	2013-08-02 22:50:59.479181
1097	11	2013-08-02 16:05:05.745235	2013-08-04 00:26:51.332972
111	16	2013-08-02 16:05:04.419817	2013-08-02 22:50:59.48328
175	14	2013-08-02 16:05:04.496511	2013-08-02 22:50:59.484113
195	13	2013-08-02 16:05:04.51432	2013-08-02 22:50:59.486209
26281	14	2013-08-02 16:05:56.762438	2013-08-04 17:51:52.158326
235	11	2013-08-02 16:05:04.551264	2013-08-02 22:50:59.491882
275	9	2013-08-02 16:05:04.587354	2013-08-02 22:50:59.497046
295	8	2013-08-02 16:05:04.604249	2013-08-02 22:50:59.498292
237	7	2013-08-02 16:05:04.554383	2013-08-02 22:50:59.499846
167	6	2013-08-02 16:05:04.488886	2013-08-02 22:50:59.501426
335	4	2013-08-02 16:05:04.674512	2013-08-02 22:50:59.503974
72	2	2013-08-02 16:05:04.382661	2013-08-03 22:25:41.246704
375	2	2013-08-02 16:05:04.715406	2013-08-02 22:50:59.506189
92	19	2013-08-02 16:05:04.401917	2013-08-02 22:50:59.514435
719	9	2013-08-02 16:05:05.163682	2013-08-04 00:26:51.335538
345	14	2013-08-02 16:05:04.686865	2013-08-03 23:01:07.999911
91	14	2013-08-02 16:05:04.400839	2013-08-02 22:50:59.519778
176	13	2013-08-02 16:05:04.497238	2013-08-02 22:50:59.520586
216	11	2013-08-02 16:05:04.530069	2013-08-02 22:50:59.522981
256	9	2013-08-02 16:05:04.573252	2013-08-02 22:50:59.525245
276	8	2013-08-02 16:05:04.588038	2013-08-02 22:50:59.526531
296	7	2013-08-02 16:05:04.605402	2013-08-02 22:50:59.527855
253	6	2013-08-02 16:05:04.571019	2013-08-02 22:50:59.529111
316	4	2013-08-02 16:05:04.623766	2013-08-02 22:50:59.531381
325	13	2013-08-02 16:05:04.664453	2013-08-03 23:01:08.003615
356	2	2013-08-02 16:05:04.697612	2013-08-02 22:50:59.534568
405	19	2013-08-02 16:05:04.745137	2013-08-02 22:50:59.541645
166	16	2013-08-02 16:05:04.487165	2013-08-04 01:31:50.650368
525	16	2013-08-02 16:05:04.930773	2013-08-02 22:50:59.543598
590	14	2013-08-02 16:05:05.018011	2013-08-02 22:50:59.545603
568	13	2013-08-02 16:05:04.986671	2013-08-02 22:50:59.54639
804	11	2013-08-02 16:05:05.250833	2013-08-02 22:50:59.547908
1017	9	2013-08-02 16:05:05.601355	2013-08-02 22:50:59.550848
1037	8	2013-08-02 16:05:05.636836	2013-08-02 22:50:59.552092
1057	7	2013-08-02 16:05:05.665961	2013-08-02 22:50:59.553706
1077	6	2013-08-02 16:05:05.70447	2013-08-02 22:50:59.555227
1117	4	2013-08-02 16:05:05.792136	2013-08-02 22:50:59.557791
144	11	2013-08-02 16:05:04.451648	2013-08-03 23:01:08.010781
1157	2	2013-08-02 16:05:05.89768	2013-08-02 22:50:59.560431
139	19	2013-08-02 16:05:04.44572	2013-08-02 22:50:59.574445
41	16	2013-08-02 16:05:04.350739	2013-08-02 22:50:59.581062
158	14	2013-08-02 16:05:04.471674	2013-08-02 22:50:59.586595
178	13	2013-08-02 16:05:04.499406	2013-08-02 22:50:59.590222
218	11	2013-08-02 16:05:04.53156	2013-08-02 22:50:59.598557
258	9	2013-08-02 16:05:04.574644	2013-08-02 22:50:59.60529
278	8	2013-08-02 16:05:04.589388	2013-08-02 22:50:59.606618
298	7	2013-08-02 16:05:04.607788	2013-08-02 22:50:59.607616
273	6	2013-08-02 16:05:04.585964	2013-08-02 22:50:59.609569
170	4	2013-08-02 16:05:04.49144	2013-08-02 22:50:59.612046
52	9	2013-08-02 16:05:04.361868	2013-08-03 23:01:08.018019
338	2	2013-08-02 16:05:04.679075	2013-08-02 22:50:59.614108
196	14	2013-08-02 16:05:04.515073	2013-08-04 01:31:50.652699
146	13	2013-08-02 16:05:04.453943	2013-08-04 01:31:50.653897
541	16	2013-08-02 16:05:04.949882	2013-08-02 22:50:59.622899
366	8	2013-08-02 16:05:04.706477	2013-08-03 23:01:08.021294
485	14	2013-08-02 16:05:04.880155	2013-08-02 22:50:59.624622
482	13	2013-08-02 16:05:04.87713	2013-08-02 22:50:59.625514
605	11	2013-08-02 16:05:05.030922	2013-08-02 22:50:59.627303
639	9	2013-08-02 16:05:05.084657	2013-08-02 22:50:59.629033
659	8	2013-08-02 16:05:05.105371	2013-08-02 22:50:59.630462
679	7	2013-08-02 16:05:05.124946	2013-08-02 22:50:59.631593
699	6	2013-08-02 16:05:05.143899	2013-08-02 22:50:59.634175
739	4	2013-08-02 16:05:05.18421	2013-08-02 22:50:59.636483
754	11	2013-08-02 16:05:05.195764	2013-08-04 01:31:50.655083
779	2	2013-08-02 16:05:05.2194	2013-08-02 22:50:59.638868
314	19	2013-08-02 16:05:04.621841	2013-08-02 22:50:59.64687
239	16	2013-08-02 16:05:04.55739	2013-08-02 22:50:59.654405
567	9	2013-08-02 16:05:04.985752	2013-08-04 01:31:50.657667
306	14	2013-08-02 16:05:04.614688	2013-08-02 22:50:59.690359
400	13	2013-08-02 16:05:04.74069	2013-08-02 22:50:59.692959
440	11	2013-08-02 16:05:04.779145	2013-08-02 22:50:59.699997
383	9	2013-08-02 16:05:04.722334	2013-08-02 22:50:59.707067
374	8	2013-08-02 16:05:04.714481	2013-08-02 22:50:59.710366
364	7	2013-08-02 16:05:04.704381	2013-08-02 22:50:59.713438
422	6	2013-08-02 16:05:04.76325	2013-08-02 22:50:59.716055
451	4	2013-08-02 16:05:04.835762	2013-08-02 22:50:59.721631
420	8	2013-08-02 16:05:04.761327	2013-08-04 01:31:50.65906
391	2	2013-08-02 16:05:04.729849	2013-08-02 22:50:59.726844
5883	11	2013-08-02 16:05:14.872057	2013-08-02 22:55:46.37118
5923	9	2013-08-02 16:05:14.97501	2013-08-02 22:55:46.377615
355	21	2013-08-02 16:05:04.696918	2013-08-03 20:52:35.347706
1234	7	2013-08-02 16:05:06.130975	2013-08-03 20:52:35.356202
810	7	2013-08-02 16:05:05.256256	2013-08-03 20:52:35.360586
336	8	2013-08-02 16:05:04.675953	2013-08-03 20:56:05.939972
1137	7	2013-08-02 16:05:05.845108	2013-08-03 20:56:05.944233
318	6	2013-08-02 16:05:04.625766	2013-08-03 20:56:05.948072
382	4	2013-08-02 16:05:04.721446	2013-08-03 20:56:05.95675
215	2	2013-08-02 16:05:04.528479	2013-08-04 02:00:47.78788
913	2	2013-08-02 16:05:05.413821	2013-08-04 02:00:47.799095
771	4	2013-08-02 16:05:05.209981	2013-08-04 02:18:34.584991
944	2	2013-08-02 16:05:05.455639	2013-08-04 02:18:34.592809
813	2	2013-08-02 16:05:05.260777	2013-08-04 02:20:50.535369
5903	4	2013-08-02 16:05:14.923203	2013-08-04 02:20:51.627441
460	4	2013-08-02 16:05:04.847527	2013-08-04 02:20:51.631708
198	4	2013-08-02 16:05:04.516544	2013-08-04 02:20:51.636155
585	4	2013-08-02 16:05:05.011647	2013-08-04 02:20:51.640952
238	4	2013-08-02 16:05:04.555899	2013-08-04 02:20:51.646016
425	4	2013-08-02 16:05:04.765753	2013-08-04 02:20:51.650782
997	4	2013-08-02 16:05:05.559384	2013-08-04 02:20:51.654783
255	16	2013-08-02 16:05:04.572467	2013-08-04 02:25:48.279267
743	14	2013-08-02 16:05:05.187605	2013-08-04 02:25:48.296311
1177	9	2013-08-02 16:05:05.951489	2013-08-04 02:25:48.319459
376	11	2013-08-02 16:05:04.716334	2013-08-04 02:25:48.329778
1170	6	2013-08-02 16:05:05.93252	2013-08-04 02:25:48.347261
884	13	2013-08-02 16:05:05.378638	2013-08-04 02:25:48.355988
5943	8	2013-08-02 16:05:15.02364	2013-08-02 22:55:46.380728
5963	7	2013-08-02 16:05:15.074803	2013-08-02 22:55:46.384081
5983	6	2013-08-02 16:05:15.127832	2013-08-02 22:55:46.38709
4189	11	2013-08-02 16:05:12.183443	2013-08-04 17:51:52.464391
6023	4	2013-08-02 16:05:15.230328	2013-08-02 22:55:46.393906
6043	2	2013-08-02 16:05:15.255924	2013-08-02 22:55:46.395765
4727	11	2013-08-02 16:05:12.895819	2013-08-04 17:51:52.469828
1406	14	2013-08-02 16:05:06.516986	2013-08-02 22:55:46.489853
1310	13	2013-08-02 16:05:06.281033	2013-08-02 22:55:46.493627
9045	11	2013-08-02 16:05:21.344668	2013-08-04 17:51:52.475348
455	21	2013-08-02 16:05:04.841011	2013-08-03 22:24:24.461765
6003	6	2013-08-02 16:05:15.179609	2013-08-04 00:26:51.338656
1091	4	2013-08-02 16:05:05.738906	2013-08-04 00:26:51.339849
464	19	2013-08-02 16:05:04.852978	2013-08-02 22:55:46.6202
410	2	2013-08-02 16:05:04.750052	2013-08-04 19:12:38.475719
331	16	2013-08-02 16:05:04.670362	2013-08-02 22:55:46.630762
901	21	2013-08-02 16:05:05.397481	2013-08-03 22:24:24.46554
385	14	2013-08-02 16:05:04.724091	2013-08-02 22:55:46.635883
627	2	2013-08-02 16:05:05.068835	2013-08-02 22:55:46.673163
1126	2	2013-08-02 16:05:05.816153	2013-08-04 19:12:38.485049
1434	2	2013-08-02 16:05:06.583418	2013-08-04 00:26:51.342463
1446	14	2013-08-02 16:05:06.611552	2013-08-02 22:55:46.707277
3390	4	2013-08-02 16:05:10.265908	2013-08-02 22:55:46.737936
904	19	2013-08-02 16:05:05.401973	2013-08-03 22:24:24.476087
3430	2	2013-08-02 16:05:10.36456	2013-08-02 22:55:46.74506
921	2	2013-08-02 16:05:05.422405	2013-08-04 19:12:38.494147
12471	14	2013-08-02 16:05:28.095112	2013-08-04 17:51:52.542601
850	19	2013-08-02 16:05:05.304794	2013-08-02 22:55:46.766501
971	21	2013-08-02 16:05:05.497559	2013-08-04 00:26:51.36241
931	16	2013-08-02 16:05:05.435874	2013-08-02 22:55:46.775501
906	4	2013-08-02 16:05:05.404366	2013-08-03 22:24:24.484219
788	14	2013-08-02 16:05:05.232179	2013-08-02 22:55:46.780912
4616	14	2013-08-02 16:05:12.799438	2013-08-04 17:51:52.616058
1011	9	2013-08-02 16:05:05.587911	2013-08-02 22:55:46.794074
1031	8	2013-08-02 16:05:05.627622	2013-08-02 22:55:46.797626
1051	7	2013-08-02 16:05:05.659013	2013-08-02 22:55:46.801206
1071	6	2013-08-02 16:05:05.688337	2013-08-02 22:55:46.804674
4636	14	2013-08-02 16:05:12.817131	2013-08-04 17:51:52.622439
1094	4	2013-08-02 16:05:05.741532	2013-08-02 22:55:46.811413
378	13	2013-08-02 16:05:04.718014	2013-08-04 00:30:54.357544
546	2	2013-08-02 16:05:04.954653	2013-08-04 19:27:46.153526
805	16	2013-08-02 16:05:05.25162	2013-08-02 22:55:46.846442
386	16	2013-08-02 16:05:04.725147	2013-08-03 22:24:24.4939
972	14	2013-08-02 16:05:05.498776	2013-08-02 22:55:46.852758
992	13	2013-08-02 16:05:05.545415	2013-08-02 22:55:46.856288
1012	11	2013-08-02 16:05:05.58946	2013-08-02 22:55:46.859753
418	2	2013-08-02 16:05:04.759397	2013-08-04 19:27:46.157939
1052	9	2013-08-02 16:05:05.66009	2013-08-02 22:55:46.866757
1072	8	2013-08-02 16:05:05.690868	2013-08-02 22:55:46.870002
1092	7	2013-08-02 16:05:05.739737	2013-08-02 22:55:46.873219
1074	6	2013-08-02 16:05:05.69627	2013-08-02 22:55:46.876879
456	2	2013-08-02 16:05:04.842183	2013-08-04 19:27:46.161305
1337	9	2013-08-02 16:05:06.34988	2013-08-04 00:30:54.380099
953	16	2013-08-02 16:05:05.472151	2013-08-02 22:55:46.917785
841	7	2013-08-02 16:05:05.289778	2013-08-03 22:24:24.980254
993	14	2013-08-02 16:05:05.547788	2013-08-02 22:55:46.924917
1033	11	2013-08-02 16:05:05.629846	2013-08-02 22:55:46.931753
1073	9	2013-08-02 16:05:05.693596	2013-08-02 22:55:46.938853
1093	8	2013-08-02 16:05:05.740619	2013-08-02 22:55:46.942423
1054	7	2013-08-02 16:05:05.662298	2013-08-02 22:55:46.946018
951	6	2013-08-02 16:05:05.470141	2013-08-02 22:55:46.948628
576	7	2013-08-02 16:05:05.000067	2013-08-04 00:30:54.398261
1104	16	2013-08-02 16:05:05.759295	2013-08-02 22:55:46.990267
1294	13	2013-08-02 16:05:06.238996	2013-08-02 22:55:46.996616
1334	11	2013-08-02 16:05:06.342599	2013-08-02 22:55:47.003687
1374	9	2013-08-02 16:05:06.441347	2013-08-02 22:55:47.010438
1394	8	2013-08-02 16:05:06.488367	2013-08-02 22:55:47.013576
1326	7	2013-08-02 16:05:06.322597	2013-08-02 22:55:47.016699
1414	6	2013-08-02 16:05:06.535622	2013-08-02 22:55:47.019129
1454	4	2013-08-02 16:05:06.630115	2013-08-02 22:55:47.025226
369	7	2013-08-02 16:05:04.709767	2013-08-03 23:01:08.024544
1494	2	2013-08-02 16:05:06.724517	2013-08-02 22:55:47.031737
549	11	2013-08-02 16:05:04.958637	2013-08-04 00:30:54.411409
435	19	2013-08-02 16:05:04.773731	2013-08-02 22:55:47.051733
1264	7	2013-08-02 16:05:06.171562	2013-08-04 01:31:50.660554
362	16	2013-08-02 16:05:04.702536	2013-08-02 22:55:47.060666
344	14	2013-08-02 16:05:04.685972	2013-08-02 22:55:47.063818
322	13	2013-08-02 16:05:04.630349	2013-08-02 22:55:47.06757
475	11	2013-08-02 16:05:04.867251	2013-08-02 22:55:47.073145
515	9	2013-08-02 16:05:04.920297	2013-08-02 22:55:47.079898
535	8	2013-08-02 16:05:04.94157	2013-08-02 22:55:47.083417
555	7	2013-08-02 16:05:04.96548	2013-08-02 22:55:47.086946
575	6	2013-08-02 16:05:04.9985	2013-08-02 22:55:47.090401
615	4	2013-08-02 16:05:05.04256	2013-08-02 22:55:47.097041
372	6	2013-08-02 16:05:04.712642	2013-08-03 23:01:08.027887
472	2	2013-08-02 16:05:04.862947	2013-08-02 22:55:47.10376
1013	6	2013-08-02 16:05:05.591818	2013-08-04 01:31:50.66208
416	19	2013-08-02 16:05:04.757556	2013-08-02 22:55:47.149316
390	14	2013-08-02 16:05:04.728759	2013-08-02 22:55:47.163505
342	13	2013-08-02 16:05:04.684166	2013-08-02 22:55:47.167055
401	11	2013-08-02 16:05:04.741503	2013-08-02 22:55:47.173529
496	9	2013-08-02 16:05:04.89394	2013-08-02 22:55:47.179554
516	8	2013-08-02 16:05:04.921172	2013-08-02 22:55:47.182996
536	7	2013-08-02 16:05:04.942761	2013-08-02 22:55:47.186145
556	6	2013-08-02 16:05:04.967658	2013-08-02 22:55:47.189677
596	4	2013-08-02 16:05:05.023467	2013-08-02 22:55:47.196369
529	4	2013-08-02 16:05:04.934828	2013-08-03 23:01:08.033996
562	2	2013-08-02 16:05:04.97689	2013-08-02 22:55:47.202496
421	4	2013-08-02 16:05:04.762251	2013-08-04 01:31:50.66641
932	16	2013-08-02 16:05:05.43773	2013-08-02 22:55:47.227523
925	14	2013-08-02 16:05:05.427288	2013-08-02 22:55:47.232678
1197	13	2013-08-02 16:05:06.047802	2013-08-02 22:55:47.235389
1237	11	2013-08-02 16:05:06.134046	2013-08-02 22:55:47.24222
1257	9	2013-08-02 16:05:06.160231	2013-08-02 22:55:47.248917
1277	8	2013-08-02 16:05:06.194802	2013-08-02 22:55:47.252469
1297	7	2013-08-02 16:05:06.246925	2013-08-02 22:55:47.256027
1317	6	2013-08-02 16:05:06.299424	2013-08-02 22:55:47.259615
1357	4	2013-08-02 16:05:06.399512	2013-08-02 22:55:47.266753
489	2	2013-08-02 16:05:04.885787	2013-08-03 23:01:08.0393
1397	2	2013-08-02 16:05:06.495445	2013-08-02 22:55:47.273833
1217	2	2013-08-02 16:05:06.100788	2013-08-04 01:31:50.670762
398	19	2013-08-02 16:05:04.738451	2013-08-02 22:55:47.294568
438	16	2013-08-02 16:05:04.776908	2013-08-02 22:55:47.301518
423	14	2013-08-02 16:05:04.764214	2013-08-02 22:55:47.308703
414	13	2013-08-02 16:05:04.755195	2013-08-02 22:55:47.312263
457	11	2013-08-02 16:05:04.84343	2013-08-02 22:55:47.319468
371	9	2013-08-02 16:05:04.711671	2013-08-02 22:55:47.325754
351	8	2013-08-02 16:05:04.693873	2013-08-02 22:55:47.328318
478	7	2013-08-02 16:05:04.870294	2013-08-02 22:55:47.330996
498	6	2013-08-02 16:05:04.896068	2013-08-02 22:55:47.334692
538	4	2013-08-02 16:05:04.945319	2013-08-02 22:55:47.341662
396	6	2013-08-02 16:05:04.735806	2013-08-03 23:06:34.110251
1566	2	2013-08-02 16:05:06.91145	2013-08-03 20:56:05.960296
1314	21	2013-08-02 16:05:06.291698	2013-08-04 01:35:46.675071
324	21	2013-08-02 16:05:04.662973	2013-08-04 01:35:46.93585
558	4	2013-08-02 16:05:04.970607	2013-08-03 20:59:18.449378
1377	4	2013-08-02 16:05:06.448404	2013-08-03 20:59:18.458642
616	4	2013-08-02 16:05:05.044354	2013-08-03 20:59:18.462473
474	4	2013-08-02 16:05:04.866376	2013-08-03 20:59:18.469074
1474	4	2013-08-02 16:05:06.677388	2013-08-03 20:59:18.474629
518	2	2013-08-02 16:05:04.923048	2013-08-04 02:00:47.776452
1354	4	2013-08-02 16:05:06.391968	2013-08-04 02:20:51.583068
1053	4	2013-08-02 16:05:05.66122	2013-08-04 02:20:51.59476
1032	4	2013-08-02 16:05:05.628446	2013-08-04 02:20:51.60661
991	4	2013-08-02 16:05:05.542891	2013-08-04 02:20:51.622045
361	2	2013-08-02 16:05:04.701619	2013-08-04 02:20:51.867885
1110	2	2013-08-02 16:05:05.773344	2013-08-04 02:20:51.878866
476	2	2013-08-02 16:05:04.868282	2013-08-04 02:20:51.88974
436	21	2013-08-02 16:05:04.77463	2013-08-04 02:25:48.265385
595	21	2013-08-02 16:05:05.022595	2013-08-04 02:25:48.267037
3450	21	2013-08-02 16:05:10.41679	2013-08-04 02:25:48.268202
522	21	2013-08-02 16:05:04.927184	2013-08-04 02:25:48.269468
6063	21	2013-08-02 16:05:15.284632	2013-08-04 02:25:48.270653
415	14	2013-08-02 16:05:04.756442	2013-08-04 02:30:50.399938
1417	11	2013-08-02 16:05:06.542813	2013-08-04 02:30:50.423042
566	9	2013-08-02 16:05:04.984826	2013-08-04 02:30:50.471388
1514	13	2013-08-02 16:05:06.774731	2013-08-04 02:30:50.495924
578	2	2013-08-02 16:05:05.00466	2013-08-02 22:55:47.348932
4692	2	2013-08-02 16:05:12.865855	2013-08-04 17:51:52.631725
799	7	2013-08-02 16:05:05.246112	2013-08-02 22:55:47.402393
819	6	2013-08-02 16:05:05.267246	2013-08-02 22:55:47.406524
4697	2	2013-08-02 16:05:12.869678	2013-08-04 17:51:52.636808
859	4	2013-08-02 16:05:05.320658	2013-08-02 22:55:47.413844
899	2	2013-08-02 16:05:05.394756	2013-08-02 22:55:47.41674
4590	2	2013-08-02 16:05:12.764904	2013-08-04 17:51:52.641421
430	19	2013-08-02 16:05:04.769782	2013-08-02 22:55:47.422251
776	21	2013-08-02 16:05:05.216052	2013-08-04 00:30:54.252654
411	16	2013-08-02 16:05:04.751188	2013-08-02 22:55:47.426393
19368	8	2013-08-02 16:05:41.774994	2013-08-04 17:51:52.672977
406	14	2013-08-02 16:05:04.746038	2013-08-02 22:55:47.428463
480	13	2013-08-02 16:05:04.872556	2013-08-02 22:55:47.430368
4726	8	2013-08-02 16:05:12.894942	2013-08-04 17:51:52.682102
520	11	2013-08-02 16:05:04.924908	2013-08-02 22:55:47.434444
4626	8	2013-08-02 16:05:12.808691	2013-08-04 17:51:52.69127
560	9	2013-08-02 16:05:04.973231	2013-08-02 22:55:47.439173
580	8	2013-08-02 16:05:05.006446	2013-08-02 22:55:47.441773
600	7	2013-08-02 16:05:05.026813	2013-08-02 22:55:47.445292
620	6	2013-08-02 16:05:05.052376	2013-08-02 22:55:47.447385
8005	8	2013-08-02 16:05:18.84564	2013-08-04 17:51:52.70044
527	4	2013-08-02 16:05:04.932952	2013-08-02 22:55:47.449403
417	9	2013-08-02 16:05:04.758479	2013-08-03 22:24:24.95485
550	2	2013-08-02 16:05:04.960102	2013-08-02 22:55:47.451547
4745	8	2013-08-02 16:05:12.911417	2013-08-04 17:51:52.71053
741	14	2013-08-02 16:05:05.185932	2013-08-04 00:30:54.269514
6143	9	2013-08-02 16:05:15.479404	2013-08-02 23:01:29.313539
6163	8	2013-08-02 16:05:15.527834	2013-08-02 23:01:29.314717
6183	7	2013-08-02 16:05:15.575828	2013-08-02 23:01:29.315834
6203	6	2013-08-02 16:05:15.625466	2013-08-02 23:01:29.316966
6243	4	2013-08-02 16:05:15.756408	2013-08-02 23:01:29.319762
6263	2	2013-08-02 16:05:15.784696	2013-08-02 23:01:29.320961
1690	9	2013-08-02 16:05:07.177654	2013-08-02 23:01:29.492792
565	21	2013-08-02 16:05:04.982775	2013-08-03 22:29:28.327269
1846	2	2013-08-02 16:05:07.583118	2013-08-02 23:01:29.513843
3610	6	2013-08-02 16:05:10.812851	2013-08-04 00:30:54.321945
481	4	2013-08-02 16:05:04.874671	2013-08-03 23:06:34.117718
1148	2	2013-08-02 16:05:05.874421	2013-08-02 23:01:29.587757
6223	4	2013-08-02 16:05:15.734342	2013-08-04 00:30:54.33384
1151	16	2013-08-02 16:05:05.881857	2013-08-02 23:01:29.695581
1726	14	2013-08-02 16:05:07.273382	2013-08-02 23:01:29.701023
1171	16	2013-08-02 16:05:05.935237	2013-08-02 23:01:29.787259
547	16	2013-08-02 16:05:04.956217	2013-08-04 00:30:54.34154
1211	14	2013-08-02 16:05:06.084451	2013-08-02 23:01:29.790135
1231	13	2013-08-02 16:05:06.127916	2013-08-02 23:01:29.79157
1186	9	2013-08-02 16:05:06.019583	2013-08-02 23:01:29.79566
1164	8	2013-08-02 16:05:05.916327	2013-08-02 23:01:29.796478
1241	7	2013-08-02 16:05:06.138049	2013-08-02 23:01:29.797526
1192	16	2013-08-02 16:05:06.035338	2013-08-02 23:01:29.813721
574	2	2013-08-02 16:05:04.996095	2013-08-03 23:06:34.125203
1232	14	2013-08-02 16:05:06.12895	2013-08-02 23:01:29.817088
1252	13	2013-08-02 16:05:06.152901	2013-08-02 23:01:29.819031
1210	11	2013-08-02 16:05:06.081779	2013-08-02 23:01:29.821051
1144	9	2013-08-02 16:05:05.864003	2013-08-02 23:01:29.82503
1221	8	2013-08-02 16:05:06.109564	2013-08-02 23:01:29.826235
1332	4	2013-08-02 16:05:06.33733	2013-08-02 23:01:29.834
1372	2	2013-08-02 16:05:06.436669	2013-08-02 23:01:29.838523
1213	16	2013-08-02 16:05:06.08979	2013-08-02 23:01:29.863649
1333	21	2013-08-02 16:05:06.339952	2013-08-04 00:33:39.845816
1253	14	2013-08-02 16:05:06.154277	2013-08-02 23:01:29.869418
1146	11	2013-08-02 16:05:05.869483	2013-08-02 23:01:29.877007
1201	9	2013-08-02 16:05:06.058061	2013-08-02 23:01:29.882454
1273	8	2013-08-02 16:05:06.186982	2013-08-02 23:01:29.885303
1293	7	2013-08-02 16:05:06.23649	2013-08-02 23:01:29.888988
1313	6	2013-08-02 16:05:06.289023	2013-08-02 23:01:29.892493
1353	4	2013-08-02 16:05:06.389409	2013-08-02 23:01:29.899731
510	21	2013-08-02 16:05:04.914741	2013-08-03 23:11:28.193043
1393	2	2013-08-02 16:05:06.486042	2013-08-02 23:01:29.90695
1181	16	2013-08-02 16:05:06.004944	2013-08-02 23:01:29.936415
569	8	2013-08-02 16:05:04.988277	2013-08-03 23:12:31.874233
1384	13	2013-08-02 16:05:06.46494	2013-08-02 23:01:29.941643
1594	9	2013-08-02 16:05:06.959507	2013-08-02 23:01:29.956678
1614	8	2013-08-02 16:05:07.000284	2013-08-02 23:01:29.96029
1634	7	2013-08-02 16:05:07.040661	2013-08-02 23:01:29.963494
1654	6	2013-08-02 16:05:07.085432	2013-08-02 23:01:29.96669
1694	4	2013-08-02 16:05:07.18848	2013-08-02 23:01:29.973054
628	7	2013-08-02 16:05:05.071684	2013-08-03 23:12:31.878155
1646	2	2013-08-02 16:05:07.065973	2013-08-02 23:01:29.98003
698	19	2013-08-02 16:05:05.14245	2013-08-04 00:33:39.884186
507	19	2013-08-02 16:05:04.911265	2013-08-02 23:01:30.004273
587	2	2013-08-02 16:05:05.013367	2013-08-04 01:35:47.667848
775	8	2013-08-02 16:05:05.214994	2013-08-02 23:01:30.03914
770	7	2013-08-02 16:05:05.208725	2013-08-02 23:01:30.043181
641	6	2013-08-02 16:05:05.08626	2013-08-02 23:01:30.046802
691	4	2013-08-02 16:05:05.135766	2013-08-02 23:01:30.052301
624	6	2013-08-02 16:05:05.061704	2013-08-03 23:12:31.881733
768	2	2013-08-02 16:05:05.207054	2013-08-02 23:01:30.059508
636	2	2013-08-02 16:05:05.082013	2013-08-04 01:35:47.679938
487	19	2013-08-02 16:05:04.882545	2013-08-02 23:01:30.082649
1190	2	2013-08-02 16:05:06.030034	2013-08-04 01:35:47.690901
608	14	2013-08-02 16:05:05.034417	2013-08-02 23:01:30.091951
588	13	2013-08-02 16:05:05.014359	2013-08-02 23:01:30.094284
656	11	2013-08-02 16:05:05.102491	2013-08-02 23:01:30.099315
696	9	2013-08-02 16:05:05.140094	2013-08-02 23:01:30.103805
716	8	2013-08-02 16:05:05.161102	2013-08-02 23:01:30.106294
736	7	2013-08-02 16:05:05.180407	2013-08-02 23:01:30.109272
756	6	2013-08-02 16:05:05.197097	2013-08-02 23:01:30.112683
750	4	2013-08-02 16:05:05.192988	2013-08-02 23:01:30.119513
647	4	2013-08-02 16:05:05.092218	2013-08-03 23:12:31.955173
748	2	2013-08-02 16:05:05.191536	2013-08-02 23:01:30.127152
1251	2	2013-08-02 16:05:06.151504	2013-08-04 01:35:47.702123
669	19	2013-08-02 16:05:05.115375	2013-08-02 23:01:30.149116
1111	9	2013-08-02 16:05:05.776091	2013-08-02 23:01:30.177158
1112	8	2013-08-02 16:05:05.778779	2013-08-02 23:01:30.17986
1281	7	2013-08-02 16:05:06.205523	2013-08-02 23:01:30.182565
1517	2	2013-08-02 16:05:06.782621	2013-08-02 23:01:30.200875
1674	2	2013-08-02 16:05:07.135232	2013-08-04 01:35:47.713618
506	19	2013-08-02 16:05:04.909659	2013-08-02 23:01:30.225971
582	16	2013-08-02 16:05:05.009002	2013-08-02 23:01:30.234176
500	2	2013-08-02 16:05:04.899028	2013-08-04 01:35:47.723688
521	14	2013-08-02 16:05:04.926039	2013-08-02 23:01:30.239685
607	13	2013-08-02 16:05:05.033236	2013-08-02 23:01:30.243446
625	11	2013-08-02 16:05:05.064067	2013-08-02 23:01:30.249748
528	9	2013-08-02 16:05:04.933862	2013-08-02 23:01:30.255622
638	8	2013-08-02 16:05:05.083784	2013-08-02 23:01:30.258367
658	7	2013-08-02 16:05:05.104495	2013-08-02 23:01:30.261936
678	6	2013-08-02 16:05:05.123367	2013-08-02 23:01:30.265398
718	4	2013-08-02 16:05:05.162849	2013-08-02 23:01:30.273636
1233	9	2013-08-02 16:05:06.129965	2013-08-03 20:52:36.690597
618	21	2013-08-02 16:05:05.047935	2013-08-03 23:14:34.278435
548	2	2013-08-02 16:05:04.957303	2013-08-04 02:20:51.797427
1121	2	2013-08-02 16:05:05.802822	2013-08-04 02:20:51.802852
676	2	2013-08-02 16:05:05.121496	2013-08-04 02:20:51.807007
1574	2	2013-08-02 16:05:06.92393	2013-08-04 02:20:51.811709
785	2	2013-08-02 16:05:05.227777	2013-08-03 20:59:18.353368
706	2	2013-08-02 16:05:05.150778	2013-08-03 20:59:18.359459
1714	2	2013-08-02 16:05:07.243423	2013-08-03 20:59:18.36883
1373	2	2013-08-02 16:05:06.439001	2013-08-03 20:59:18.379398
1352	2	2013-08-02 16:05:06.387033	2013-08-03 20:59:18.390469
1124	2	2013-08-02 16:05:05.810909	2013-08-04 02:20:51.81681
1166	2	2013-08-02 16:05:05.921792	2013-08-04 02:20:51.826329
1230	2	2013-08-02 16:05:06.126795	2013-08-04 02:20:51.836297
540	2	2013-08-02 16:05:04.9488	2013-08-04 02:20:51.846495
604	2	2013-08-02 16:05:05.030049	2013-08-04 02:20:51.856837
609	21	2013-08-02 16:05:05.035622	2013-08-04 02:30:50.267291
1168	21	2013-08-02 16:05:05.927183	2013-08-04 02:30:50.271684
1866	21	2013-08-02 16:05:07.671506	2013-08-04 02:30:50.275349
6283	21	2013-08-02 16:05:15.82193	2013-08-04 02:30:50.278856
501	21	2013-08-02 16:05:04.900468	2013-08-04 02:30:50.282549
598	16	2013-08-02 16:05:05.025147	2013-08-04 02:30:50.329821
919	2	2013-08-02 16:05:05.420248	2013-08-04 02:30:51.400482
1537	8	2013-08-02 16:05:06.834637	2013-08-04 02:35:40.735589
665	2	2013-08-02 16:05:05.11048	2013-08-04 02:35:40.770163
1734	14	2013-08-02 16:05:07.292883	2013-08-04 02:35:40.789661
1413	7	2013-08-02 16:05:06.5333	2013-08-04 02:35:40.812719
1392	13	2013-08-02 16:05:06.483693	2013-08-04 02:35:40.835732
640	4	2013-08-02 16:05:05.085467	2013-08-03 22:24:24.860814
758	2	2013-08-02 16:05:05.198447	2013-08-02 23:01:30.280972
4756	8	2013-08-02 16:05:12.980628	2013-08-04 17:51:52.720519
6443	16	2013-08-02 16:05:16.154067	2013-08-04 00:33:39.891092
646	16	2013-08-02 16:05:05.091088	2013-08-02 23:01:30.308363
629	8	2013-08-02 16:05:05.073954	2013-08-03 22:24:24.884852
749	14	2013-08-02 16:05:05.192269	2013-08-02 23:01:30.313728
729	13	2013-08-02 16:05:05.173815	2013-08-02 23:01:30.314819
530	19	2013-08-02 16:05:04.935759	2013-08-02 23:01:30.333325
4776	8	2013-08-02 16:05:12.996698	2013-08-04 17:51:52.730761
680	16	2013-08-02 16:05:05.12586	2013-08-02 23:01:30.338158
728	2	2013-08-02 16:05:05.172339	2013-08-03 23:12:31.960411
720	14	2013-08-02 16:05:05.164568	2013-08-02 23:01:30.340807
740	13	2013-08-02 16:05:05.185059	2013-08-02 23:01:30.342299
4736	8	2013-08-02 16:05:12.902604	2013-08-04 17:51:52.740355
780	11	2013-08-02 16:05:05.221236	2013-08-02 23:01:30.34496
4737	19	2013-08-02 16:05:12.903312	2013-08-04 17:51:52.761917
764	9	2013-08-02 16:05:05.204319	2013-08-02 23:01:30.348115
705	8	2013-08-02 16:05:05.149269	2013-08-02 23:01:30.350285
744	7	2013-08-02 16:05:05.188421	2013-08-02 23:01:30.352235
765	6	2013-08-02 16:05:05.205053	2013-08-02 23:01:30.354957
4712	19	2013-08-02 16:05:12.882546	2013-08-04 17:51:52.769631
634	4	2013-08-02 16:05:05.080242	2013-08-02 23:01:30.358788
4732	19	2013-08-02 16:05:12.899736	2013-08-04 17:51:52.77584
688	2	2013-08-02 16:05:05.132986	2013-08-02 23:01:30.361951
4752	19	2013-08-02 16:05:12.977246	2013-08-04 17:51:52.780451
6323	11	2013-08-02 16:05:15.929908	2013-08-02 23:06:26.388348
4772	19	2013-08-02 16:05:12.993817	2013-08-04 17:51:52.785087
6363	9	2013-08-02 16:05:16.020981	2013-08-02 23:06:26.397397
6383	8	2013-08-02 16:05:16.042163	2013-08-02 23:06:26.401148
6403	7	2013-08-02 16:05:16.068256	2013-08-02 23:06:26.403088
6423	6	2013-08-02 16:05:16.102399	2013-08-02 23:06:26.405192
4797	19	2013-08-02 16:05:13.013011	2013-08-04 17:51:52.789593
6463	4	2013-08-02 16:05:16.203478	2013-08-02 23:06:26.409684
6483	2	2013-08-02 16:05:16.25309	2013-08-02 23:06:26.411516
4867	19	2013-08-02 16:05:13.066494	2013-08-04 17:51:52.794165
1541	13	2013-08-02 16:05:06.87979	2013-08-02 23:06:26.530669
735	14	2013-08-02 16:05:05.179559	2013-08-03 23:15:56.537049
1534	14	2013-08-02 16:05:06.827389	2013-08-04 00:33:39.898578
1564	13	2013-08-02 16:05:06.908631	2013-08-04 00:33:39.902538
1461	16	2013-08-02 16:05:06.646572	2013-08-02 23:06:26.613257
1906	14	2013-08-02 16:05:07.731188	2013-08-02 23:06:26.618726
3910	2	2013-08-02 16:05:11.532403	2013-08-02 23:06:26.657762
4847	19	2013-08-02 16:05:13.051056	2013-08-04 17:51:52.801119
715	13	2013-08-02 16:05:05.160211	2013-08-03 23:15:56.53849
1345	14	2013-08-02 16:05:06.369372	2013-08-02 23:06:26.695353
1268	13	2013-08-02 16:05:06.178406	2013-08-02 23:06:26.698303
4827	19	2013-08-02 16:05:13.035315	2013-08-04 17:51:52.808282
32568	9	2013-08-02 16:06:11.701142	2013-08-04 17:51:52.848316
1471	9	2013-08-02 16:05:06.67028	2013-08-02 23:06:26.70534
1491	8	2013-08-02 16:05:06.71747	2013-08-02 23:06:26.708338
1511	7	2013-08-02 16:05:06.766464	2013-08-02 23:06:26.711837
1531	6	2013-08-02 16:05:06.820051	2013-08-02 23:06:26.715362
1426	4	2013-08-02 16:05:06.564523	2013-08-02 23:06:26.72235
1441	2	2013-08-02 16:05:06.599837	2013-08-02 23:06:26.727907
1617	11	2013-08-02 16:05:07.006318	2013-08-04 00:33:39.910319
1412	16	2013-08-02 16:05:06.530958	2013-08-02 23:06:26.756671
675	11	2013-08-02 16:05:05.120237	2013-08-03 23:15:56.541475
1325	14	2013-08-02 16:05:06.320098	2013-08-02 23:06:26.763121
1432	13	2013-08-02 16:05:06.578681	2013-08-02 23:06:26.765851
1452	11	2013-08-02 16:05:06.625663	2013-08-02 23:06:26.769475
791	21	2013-08-02 16:05:05.236599	2013-08-04 19:29:19.838719
1492	9	2013-08-02 16:05:06.719802	2013-08-02 23:06:26.776666
1512	8	2013-08-02 16:05:06.769358	2013-08-02 23:06:26.780351
1532	7	2013-08-02 16:05:06.822553	2013-08-02 23:06:26.783932
1552	6	2013-08-02 16:05:06.89229	2013-08-02 23:06:26.787548
820	21	2013-08-02 16:05:05.26806	2013-08-04 19:32:47.523361
1421	4	2013-08-02 16:05:06.552471	2013-08-02 23:06:26.793969
1404	16	2013-08-02 16:05:06.512239	2013-08-02 23:06:26.829694
1305	14	2013-08-02 16:05:06.268323	2013-08-02 23:06:26.835656
1453	11	2013-08-02 16:05:06.627879	2013-08-02 23:06:26.84228
1493	9	2013-08-02 16:05:06.722175	2013-08-02 23:06:26.849048
1513	8	2013-08-02 16:05:06.772062	2013-08-02 23:06:26.85224
1533	7	2013-08-02 16:05:06.824987	2013-08-02 23:06:26.855477
1553	6	2013-08-02 16:05:06.89356	2013-08-02 23:06:26.85893
1573	4	2013-08-02 16:05:06.922378	2013-08-02 23:06:26.865136
709	9	2013-08-02 16:05:05.154183	2013-08-03 23:15:56.544015
1613	2	2013-08-02 16:05:06.998247	2013-08-02 23:06:26.872259
6643	9	2013-08-02 16:05:16.666039	2013-08-04 00:33:39.918204
1285	16	2013-08-02 16:05:06.216054	2013-08-02 23:06:26.902843
763	8	2013-08-02 16:05:05.203547	2013-08-03 23:15:56.545721
1437	13	2013-08-02 16:05:06.590503	2013-08-02 23:06:26.908123
1854	6	2013-08-02 16:05:07.605415	2013-08-02 23:06:26.932047
1894	4	2013-08-02 16:05:07.709878	2013-08-02 23:06:26.939497
1864	2	2013-08-02 16:05:07.63431	2013-08-04 01:35:47.571694
1934	2	2013-08-02 16:05:07.818125	2013-08-02 23:06:26.946997
920	2	2013-08-02 16:05:05.421527	2013-08-04 01:35:47.581456
1381	14	2013-08-02 16:05:06.457853	2013-08-02 23:06:27.056848
1331	13	2013-08-02 16:05:06.334651	2013-08-02 23:06:27.059592
1288	11	2013-08-02 16:05:06.223364	2013-08-02 23:06:27.065109
1557	9	2013-08-02 16:05:06.898722	2013-08-02 23:06:27.070577
1490	8	2013-08-02 16:05:06.71512	2013-08-02 23:06:27.074361
1577	7	2013-08-02 16:05:06.928658	2013-08-02 23:06:27.07765
1597	6	2013-08-02 16:05:06.965195	2013-08-02 23:06:27.081014
1637	4	2013-08-02 16:05:07.046934	2013-08-02 23:06:27.088857
708	2	2013-08-02 16:05:05.153189	2013-08-04 01:35:47.585579
1677	2	2013-08-02 16:05:07.143365	2013-08-02 23:06:27.095671
1271	2	2013-08-02 16:05:06.183525	2013-08-04 01:35:47.59126
710	19	2013-08-02 16:05:05.155077	2013-08-02 23:06:27.120863
724	16	2013-08-02 16:05:05.168027	2013-08-02 23:06:27.128749
1581	2	2013-08-02 16:05:06.935663	2013-08-04 01:35:47.601726
726	14	2013-08-02 16:05:05.170621	2013-08-02 23:06:27.135229
745	13	2013-08-02 16:05:05.189241	2013-08-02 23:06:27.138308
684	11	2013-08-02 16:05:05.129273	2013-08-02 23:06:27.143568
649	9	2013-08-02 16:05:05.093928	2013-08-02 23:06:27.152199
645	19	2013-08-02 16:05:05.090212	2013-08-02 23:06:27.295397
840	16	2013-08-02 16:05:05.288375	2013-08-02 23:06:27.30678
1433	2	2013-08-02 16:05:06.58108	2013-08-04 01:35:47.612273
880	14	2013-08-02 16:05:05.374373	2013-08-02 23:06:27.313941
900	13	2013-08-02 16:05:05.396275	2013-08-02 23:06:27.317227
940	11	2013-08-02 16:05:05.449041	2013-08-02 23:06:27.323674
889	9	2013-08-02 16:05:05.383672	2013-08-02 23:06:27.329883
849	8	2013-08-02 16:05:05.303198	2013-08-02 23:06:27.332523
829	7	2013-08-02 16:05:05.276101	2013-08-02 23:06:27.335342
809	6	2013-08-02 16:05:05.254736	2013-08-02 23:06:27.338237
835	4	2013-08-02 16:05:05.282425	2013-08-02 23:06:27.343566
695	2	2013-08-02 16:05:05.139221	2013-08-04 01:35:47.622347
1431	2	2013-08-02 16:05:06.576303	2013-08-04 01:35:47.633732
1874	2	2013-08-02 16:05:07.680292	2013-08-04 01:35:47.645558
6583	8	2013-08-02 16:05:16.5091	2013-08-02 23:11:35.97747
6603	7	2013-08-02 16:05:16.560667	2013-08-02 23:11:35.979977
6623	6	2013-08-02 16:05:16.612956	2013-08-02 23:11:35.983278
6663	4	2013-08-02 16:05:16.719085	2013-08-02 23:11:35.990716
6683	2	2013-08-02 16:05:16.768655	2013-08-02 23:11:35.994323
760	2	2013-08-02 16:05:05.199787	2013-08-04 01:35:47.656561
1844	13	2013-08-02 16:05:07.577426	2013-08-02 23:11:36.012747
1914	21	2013-08-02 16:05:07.797928	2013-08-04 01:41:00.795865
781	21	2013-08-02 16:05:05.222491	2013-08-03 20:59:18.269887
738	2	2013-08-02 16:05:05.183363	2013-08-03 20:59:18.34509
1551	2	2013-08-02 16:05:06.891046	2013-08-04 02:00:47.7646
1554	14	2013-08-02 16:05:06.89479	2013-08-03 20:59:56.666091
1593	13	2013-08-02 16:05:06.957689	2013-08-03 20:59:56.669494
1657	11	2013-08-02 16:05:07.093578	2013-08-03 20:59:56.676026
2026	21	2013-08-02 16:05:07.995194	2013-08-03 20:59:56.715687
655	2	2013-08-02 16:05:05.100723	2013-08-04 02:20:51.766963
789	2	2013-08-02 16:05:05.233627	2013-08-04 02:20:51.778955
1472	2	2013-08-02 16:05:06.672685	2013-08-04 02:20:51.783332
1451	2	2013-08-02 16:05:06.623304	2013-08-04 02:20:51.786904
6343	2	2013-08-02 16:05:15.982804	2013-08-04 02:20:51.790215
670	2	2013-08-02 16:05:05.116186	2013-08-04 02:20:51.793856
667	19	2013-08-02 16:05:05.112819	2013-08-04 02:22:38.63764
868	16	2013-08-02 16:05:05.362719	2013-08-04 02:22:38.644452
1391	21	2013-08-02 16:05:06.481367	2013-08-04 02:23:03.118466
1473	21	2013-08-02 16:05:06.675034	2013-08-04 02:25:48.984607
1633	16	2013-08-02 16:05:07.038652	2013-08-04 02:35:40.601433
1612	6	2013-08-02 16:05:06.996214	2013-08-04 02:35:40.624074
6503	19	2013-08-02 16:05:16.302925	2013-08-04 02:35:40.645833
725	9	2013-08-02 16:05:05.169164	2013-08-04 02:35:40.66861
1884	11	2013-08-02 16:05:07.694201	2013-08-02 23:11:36.015043
32548	9	2013-08-02 16:06:11.648849	2013-08-04 17:51:52.858837
1806	9	2013-08-02 16:05:07.473925	2013-08-02 23:11:36.017485
1781	8	2013-08-02 16:05:07.408183	2013-08-02 23:11:36.018295
1049	8	2013-08-02 16:05:05.656928	2013-08-04 00:33:39.922002
1681	7	2013-08-02 16:05:07.15386	2013-08-04 00:33:39.925888
1671	6	2013-08-02 16:05:07.127118	2013-08-04 00:33:39.929686
1020	21	2013-08-02 16:05:05.608019	2013-08-03 22:24:24.73932
2070	7	2013-08-02 16:05:08.095719	2013-08-02 23:11:36.075301
1793	4	2013-08-02 16:05:07.439343	2013-08-04 00:33:39.933224
798	19	2013-08-02 16:05:05.245243	2013-08-02 23:11:36.105134
32528	9	2013-08-02 16:06:11.606426	2013-08-04 17:51:52.899144
831	2	2013-08-02 16:05:05.278513	2013-08-04 00:33:39.940165
909	19	2013-08-02 16:05:05.407788	2013-08-02 23:11:36.155498
32508	9	2013-08-02 16:06:11.554371	2013-08-04 17:51:52.908612
812	16	2013-08-02 16:05:05.259308	2013-08-02 23:11:36.158981
1035	21	2013-08-02 16:05:05.633503	2013-08-03 22:24:24.743176
828	14	2013-08-02 16:05:05.27535	2013-08-02 23:11:36.160983
892	13	2013-08-02 16:05:05.386861	2013-08-02 23:11:36.161861
28572	9	2013-08-02 16:06:01.932105	2013-08-04 17:51:52.918849
949	11	2013-08-02 16:05:05.465647	2013-08-02 23:11:36.164262
32440	9	2013-08-02 16:06:11.381941	2013-08-04 17:51:52.92652
989	8	2013-08-02 16:05:05.538076	2013-08-02 23:11:36.167171
1009	7	2013-08-02 16:05:05.585591	2013-08-02 23:11:36.168301
1029	6	2013-08-02 16:05:05.624251	2013-08-02 23:11:36.170016
40743	9	2013-08-02 16:06:29.369209	2013-08-04 17:51:52.932703
1069	4	2013-08-02 16:05:05.684649	2013-08-02 23:11:36.172772
796	21	2013-08-02 16:05:05.243105	2013-08-03 22:24:24.746797
946	2	2013-08-02 16:05:05.458284	2013-08-02 23:11:36.17612
32488	9	2013-08-02 16:06:11.504757	2013-08-04 17:51:52.942923
32468	9	2013-08-02 16:06:11.452069	2013-08-04 17:51:52.949772
990	19	2013-08-02 16:05:05.540495	2013-08-02 23:11:36.197946
1075	11	2013-08-02 16:05:05.699013	2013-08-04 00:35:56.710487
2146	14	2013-08-02 16:05:08.288269	2013-08-02 23:11:36.21216
4050	7	2013-08-02 16:05:11.895426	2013-08-02 23:11:36.234763
4070	6	2013-08-02 16:05:11.928463	2013-08-02 23:11:36.238292
2094	7	2013-08-02 16:05:08.157434	2013-08-04 00:35:56.731108
1099	19	2013-08-02 16:05:05.748219	2013-08-02 23:11:36.267163
1604	6	2013-08-02 16:05:06.979978	2013-08-02 23:11:36.289962
32397	9	2013-08-02 16:06:11.277233	2013-08-04 17:51:52.960489
1731	4	2013-08-02 16:05:07.285625	2013-08-02 23:11:36.295594
929	14	2013-08-02 16:05:05.433086	2013-08-03 22:24:24.7911
1771	2	2013-08-02 16:05:07.383832	2013-08-02 23:11:36.302628
1079	19	2013-08-02 16:05:05.709914	2013-08-02 23:11:36.326015
1632	16	2013-08-02 16:05:07.03666	2013-08-02 23:11:36.330843
1046	19	2013-08-02 16:05:05.653995	2013-08-03 22:24:24.814715
1672	14	2013-08-02 16:05:07.129782	2013-08-02 23:11:36.3336
1692	13	2013-08-02 16:05:07.183083	2013-08-02 23:11:36.335043
1712	11	2013-08-02 16:05:07.237971	2013-08-02 23:11:36.336666
1686	9	2013-08-02 16:05:07.166707	2013-08-02 23:11:36.339376
1584	8	2013-08-02 16:05:06.941044	2013-08-02 23:11:36.340334
1704	7	2013-08-02 16:05:07.216088	2013-08-02 23:11:36.341287
1661	6	2013-08-02 16:05:07.104253	2013-08-02 23:11:36.342258
1732	4	2013-08-02 16:05:07.288023	2013-08-02 23:11:36.344612
1039	6	2013-08-02 16:05:05.640139	2013-08-03 22:24:24.837973
1772	2	2013-08-02 16:05:07.386289	2013-08-02 23:11:36.348082
998	9	2013-08-02 16:05:05.56259	2013-08-04 00:35:56.764947
1059	19	2013-08-02 16:05:05.668752	2013-08-02 23:11:36.358315
1653	16	2013-08-02 16:05:07.082752	2013-08-02 23:11:36.361346
858	4	2013-08-02 16:05:05.318546	2013-08-03 23:15:56.551976
1693	14	2013-08-02 16:05:07.185762	2013-08-02 23:11:36.364416
1666	11	2013-08-02 16:05:07.116823	2013-08-02 23:11:36.367079
1651	9	2013-08-02 16:05:07.077156	2013-08-02 23:11:36.406602
1733	8	2013-08-02 16:05:07.290478	2013-08-02 23:11:36.408962
1753	7	2013-08-02 16:05:07.33931	2013-08-02 23:11:36.412711
1773	6	2013-08-02 16:05:07.388728	2013-08-02 23:11:36.416181
1813	4	2013-08-02 16:05:07.492658	2013-08-02 23:11:36.422999
1853	2	2013-08-02 16:05:07.602635	2013-08-02 23:11:36.429657
1713	19	2013-08-02 16:05:07.240714	2013-08-04 01:38:16.453784
795	19	2013-08-02 16:05:05.241934	2013-08-02 23:11:36.458048
1621	16	2013-08-02 16:05:07.014467	2013-08-02 23:11:36.466119
881	2	2013-08-02 16:05:05.37512	2013-08-03 23:15:56.554963
1744	13	2013-08-02 16:05:07.317678	2013-08-02 23:11:36.471475
1924	6	2013-08-02 16:05:07.808152	2013-08-02 23:11:36.494514
2074	4	2013-08-02 16:05:08.106438	2013-08-02 23:11:36.500721
2114	2	2013-08-02 16:05:08.210109	2013-08-02 23:11:36.507769
1095	19	2013-08-02 16:05:05.74239	2013-08-02 23:11:36.528747
896	16	2013-08-02 16:05:05.391465	2013-08-04 01:38:16.455982
1045	16	2013-08-02 16:05:05.65284	2013-08-02 23:11:36.537956
968	14	2013-08-02 16:05:05.494282	2013-08-02 23:11:36.540667
1068	13	2013-08-02 16:05:05.682435	2013-08-02 23:11:36.543325
635	19	2013-08-02 16:05:05.081128	2013-08-02 23:11:36.596145
975	14	2013-08-02 16:05:05.503741	2013-08-04 01:38:16.459089
838	21	2013-08-02 16:05:05.285785	2013-08-03 23:19:39.370498
856	14	2013-08-02 16:05:05.315211	2013-08-02 23:11:36.601692
876	13	2013-08-02 16:05:05.370789	2013-08-02 23:11:36.603373
916	11	2013-08-02 16:05:05.417145	2013-08-02 23:11:36.605833
806	9	2013-08-02 16:05:05.252398	2013-08-02 23:11:36.607692
824	8	2013-08-02 16:05:05.271391	2013-08-02 23:11:36.60862
861	7	2013-08-02 16:05:05.324652	2013-08-02 23:11:36.609859
855	6	2013-08-02 16:05:05.313579	2013-08-02 23:11:36.610767
956	4	2013-08-02 16:05:05.476448	2013-08-02 23:11:36.613166
826	8	2013-08-02 16:05:05.273573	2013-08-03 23:21:59.153105
996	2	2013-08-02 16:05:05.555599	2013-08-02 23:11:36.615766
844	2	2013-08-02 16:05:05.294509	2013-08-04 01:50:59.017375
980	19	2013-08-02 16:05:05.516206	2013-08-02 23:11:36.629708
1717	7	2013-08-02 16:05:07.251201	2013-08-02 23:11:36.651924
1737	6	2013-08-02 16:05:07.300333	2013-08-02 23:11:36.655508
1777	4	2013-08-02 16:05:07.398501	2013-08-02 23:11:36.662495
1030	7	2013-08-02 16:05:05.625977	2013-08-03 23:21:59.155017
1817	2	2013-08-02 16:05:07.503558	2013-08-02 23:11:36.669411
832	2	2013-08-02 16:05:05.279353	2013-08-04 02:00:47.752996
891	19	2013-08-02 16:05:05.386014	2013-08-02 23:11:36.690251
872	16	2013-08-02 16:05:05.366959	2013-08-02 23:11:36.697323
935	6	2013-08-02 16:05:05.44113	2013-08-03 23:21:59.157152
928	14	2013-08-02 16:05:05.432016	2013-08-02 23:11:36.703527
908	13	2013-08-02 16:05:05.406834	2013-08-02 23:11:36.706031
885	11	2013-08-02 16:05:05.379778	2013-08-02 23:11:36.712008
851	9	2013-08-02 16:05:05.306454	2013-08-02 23:11:36.717326
800	8	2013-08-02 16:05:05.247381	2013-08-02 23:11:36.720905
958	7	2013-08-02 16:05:05.480149	2013-08-02 23:11:36.723597
978	6	2013-08-02 16:05:05.511391	2013-08-02 23:11:36.727187
1018	4	2013-08-02 16:05:05.603179	2013-08-02 23:11:36.734269
1058	2	2013-08-02 16:05:05.667364	2013-08-02 23:11:36.740992
969	14	2013-08-02 16:05:05.495476	2013-08-04 02:22:38.651155
995	16	2013-08-02 16:05:05.55276	2013-08-02 23:11:36.766796
895	4	2013-08-02 16:05:05.390405	2013-08-03 23:21:59.16153
1000	19	2013-08-02 16:05:05.567762	2013-08-02 23:11:36.831028
1590	13	2013-08-02 16:05:06.952132	2013-08-04 02:22:38.654615
1060	16	2013-08-02 16:05:05.670046	2013-08-02 23:11:36.841735
1050	14	2013-08-02 16:05:05.657939	2013-08-02 23:11:36.848753
6763	9	2013-08-02 16:05:16.931583	2013-08-02 23:16:01.748377
1080	11	2013-08-02 16:05:05.712632	2013-08-03 20:56:05.583478
1089	9	2013-08-02 16:05:05.737231	2013-08-03 20:59:56.682841
1751	8	2013-08-02 16:05:07.334468	2013-08-03 20:59:56.686312
1752	7	2013-08-02 16:05:07.336883	2013-08-03 20:59:56.689526
1833	6	2013-08-02 16:05:07.547212	2013-08-03 20:59:56.692881
976	4	2013-08-02 16:05:05.505634	2013-08-03 20:59:56.699322
1797	2	2013-08-02 16:05:07.449252	2013-08-03 20:59:56.702556
939	2	2013-08-02 16:05:05.447604	2013-08-03 23:21:59.165043
875	21	2013-08-02 16:05:05.369852	2013-08-03 23:24:40.283118
792	7	2013-08-02 16:05:05.238121	2013-08-03 23:26:33.056726
821	6	2013-08-02 16:05:05.269132	2013-08-03 23:26:33.059292
936	11	2013-08-02 16:05:05.442512	2013-08-04 02:22:38.661402
815	9	2013-08-02 16:05:05.263229	2013-08-04 02:22:38.664719
1641	21	2013-08-02 16:05:07.055069	2013-08-04 02:22:38.727233
1730	21	2013-08-02 16:05:07.283208	2013-08-04 02:23:03.105218
2054	21	2013-08-02 16:05:08.053344	2013-08-04 02:35:40.516364
964	21	2013-08-02 16:05:05.489461	2013-08-04 02:35:40.518087
1757	21	2013-08-02 16:05:07.34903	2013-08-04 02:35:40.519203
689	6	2013-08-02 16:05:05.134098	2013-08-04 02:40:47.901046
1016	13	2013-08-02 16:05:05.599308	2013-08-04 02:40:47.932491
2134	14	2013-08-02 16:05:08.258716	2013-08-04 02:40:47.943634
755	9	2013-08-02 16:05:05.196418	2013-08-04 02:40:47.954763
1837	16	2013-08-02 16:05:07.558367	2013-08-04 02:50:50.124735
6783	8	2013-08-02 16:05:16.962881	2013-08-02 23:16:01.749546
6803	7	2013-08-02 16:05:16.999085	2013-08-02 23:16:01.751199
6823	6	2013-08-02 16:05:17.038439	2013-08-02 23:16:01.752778
32448	9	2013-08-02 16:06:11.401708	2013-08-04 17:51:52.971571
6863	4	2013-08-02 16:05:17.145752	2013-08-02 23:16:01.75607
6883	2	2013-08-02 16:05:17.199884	2013-08-02 23:16:01.757302
32428	9	2013-08-02 16:06:11.3532	2013-08-04 17:51:52.98258
2006	14	2013-08-02 16:05:07.960039	2013-08-02 23:16:01.780925
2021	13	2013-08-02 16:05:07.989442	2013-08-02 23:16:01.783234
1105	21	2013-08-02 16:05:05.761129	2013-08-03 22:24:24.720317
2506	2	2013-08-02 16:05:08.849319	2013-08-02 23:16:01.97667
32352	9	2013-08-02 16:06:11.1583	2013-08-04 17:51:52.998582
722	21	2013-08-02 16:05:05.166297	2013-08-04 00:35:56.604334
1061	19	2013-08-02 16:05:05.671393	2013-08-02 23:16:02.118453
979	21	2013-08-02 16:05:05.513809	2013-08-04 00:35:56.608563
32408	9	2013-08-02 16:06:11.305373	2013-08-04 17:51:53.007142
1901	11	2013-08-02 16:05:07.722149	2013-08-02 23:16:02.21112
2366	8	2013-08-02 16:05:08.66449	2013-08-02 23:16:02.216507
1957	21	2013-08-02 16:05:07.851007	2013-08-04 00:35:56.611977
1179	19	2013-08-02 16:05:05.956959	2013-08-02 23:16:02.256473
32470	9	2013-08-02 16:06:11.457358	2013-08-04 17:51:53.012252
1891	6	2013-08-02 16:05:07.705333	2013-08-02 23:16:02.276625
32388	9	2013-08-02 16:06:11.254027	2013-08-04 17:51:53.019052
1931	4	2013-08-02 16:05:07.815206	2013-08-02 23:16:02.282661
1169	21	2013-08-02 16:05:05.929907	2013-08-03 22:24:24.724783
1971	2	2013-08-02 16:05:07.884134	2013-08-02 23:16:02.288923
32368	9	2013-08-02 16:06:11.200621	2013-08-04 17:51:53.023542
20108	9	2013-08-02 16:05:43.804599	2013-08-04 17:51:53.027132
1159	19	2013-08-02 16:05:05.902979	2013-08-02 23:16:02.310116
1953	19	2013-08-02 16:05:07.84455	2013-08-04 00:35:56.671587
1892	6	2013-08-02 16:05:07.706842	2013-08-02 23:16:02.346022
44937	21	2013-08-02 16:06:39.494168	2013-08-04 17:51:53.533483
1932	4	2013-08-02 16:05:07.816199	2013-08-02 23:16:02.353112
1120	21	2013-08-02 16:05:05.800056	2013-08-03 22:24:24.728342
1972	2	2013-08-02 16:05:07.886814	2013-08-02 23:16:02.360094
1400	2	2013-08-02 16:05:06.502822	2013-08-04 19:32:49.297011
1912	16	2013-08-02 16:05:07.74242	2013-08-04 00:35:56.680147
1100	19	2013-08-02 16:05:05.750122	2013-08-02 23:16:02.380774
1951	2	2013-08-02 16:05:07.841095	2013-08-04 19:32:49.308164
1745	11	2013-08-02 16:05:07.320086	2013-08-02 23:16:02.39946
452	2	2013-08-02 16:05:04.836833	2013-08-04 19:32:49.320003
1812	9	2013-08-02 16:05:07.490014	2013-08-02 23:16:02.404866
1893	8	2013-08-02 16:05:07.70831	2013-08-02 23:16:02.407533
1913	7	2013-08-02 16:05:07.744298	2013-08-02 23:16:02.41113
1933	6	2013-08-02 16:05:07.817187	2013-08-02 23:16:02.414819
1150	2	2013-08-02 16:05:05.879231	2013-08-04 19:32:49.331507
1973	4	2013-08-02 16:05:07.8895	2013-08-02 23:16:02.421649
1140	21	2013-08-02 16:05:05.853202	2013-08-03 22:24:24.731915
2013	2	2013-08-02 16:05:07.977765	2013-08-02 23:16:02.428634
1199	2	2013-08-02 16:05:06.052375	2013-08-04 19:32:49.337025
6843	14	2013-08-02 16:05:17.092693	2013-08-04 00:35:56.698064
1149	19	2013-08-02 16:05:05.876838	2013-08-02 23:16:02.449262
1861	11	2013-08-02 16:05:07.625523	2013-08-02 23:16:02.468399
2041	9	2013-08-02 16:05:08.021072	2013-08-02 23:16:02.473944
2174	7	2013-08-02 16:05:08.362151	2013-08-02 23:16:02.480716
2194	6	2013-08-02 16:05:08.412401	2013-08-02 23:16:02.484154
1088	21	2013-08-02 16:05:05.73542	2013-08-03 22:24:24.735584
2254	2	2013-08-02 16:05:08.535201	2013-08-02 23:16:02.49657
1156	21	2013-08-02 16:05:05.89507	2013-08-04 00:37:45.010028
1248	19	2013-08-02 16:05:06.147404	2013-08-02 23:16:02.517253
1994	13	2013-08-02 16:05:07.92977	2013-08-04 01:38:16.461982
1056	19	2013-08-02 16:05:05.664557	2013-08-02 23:16:02.59154
1911	11	2013-08-02 16:05:07.740579	2013-08-04 01:38:16.464731
1076	19	2013-08-02 16:05:05.701782	2013-08-03 22:25:21.914432
1064	14	2013-08-02 16:05:05.675225	2013-08-02 23:16:02.606228
1026	13	2013-08-02 16:05:05.620879	2013-08-02 23:16:02.609909
961	11	2013-08-02 16:05:05.485201	2013-08-02 23:16:02.616984
948	9	2013-08-02 16:05:05.463002	2013-08-02 23:16:02.623245
1005	8	2013-08-02 16:05:05.579867	2013-08-02 23:16:02.625939
1116	7	2013-08-02 16:05:05.789534	2013-08-02 23:16:02.628614
1136	6	2013-08-02 16:05:05.842392	2013-08-02 23:16:02.632121
1176	4	2013-08-02 16:05:05.948801	2013-08-02 23:16:02.639185
1216	2	2013-08-02 16:05:06.098027	2013-08-02 23:16:02.645958
1857	11	2013-08-02 16:05:07.613871	2013-08-02 23:16:02.685162
1870	9	2013-08-02 16:05:07.675728	2013-08-02 23:16:02.692268
1897	8	2013-08-02 16:05:07.714888	2013-08-02 23:16:02.695821
1917	7	2013-08-02 16:05:07.80115	2013-08-02 23:16:02.699345
1937	6	2013-08-02 16:05:07.820761	2013-08-02 23:16:02.702901
1977	4	2013-08-02 16:05:07.900128	2013-08-02 23:16:02.709883
1106	16	2013-08-02 16:05:05.763076	2013-08-03 22:25:21.919247
2017	2	2013-08-02 16:05:07.984238	2013-08-02 23:16:02.716931
1090	19	2013-08-02 16:05:05.738082	2013-08-02 23:16:02.738137
1044	16	2013-08-02 16:05:05.650791	2013-08-02 23:16:02.744637
1065	9	2013-08-02 16:05:05.676514	2013-08-04 01:38:16.468755
950	14	2013-08-02 16:05:05.468257	2013-08-02 23:16:02.750859
1085	13	2013-08-02 16:05:05.726075	2013-08-02 23:16:02.751973
959	11	2013-08-02 16:05:05.482557	2013-08-02 23:16:02.754283
988	9	2013-08-02 16:05:05.535566	2013-08-02 23:16:02.756244
1008	8	2013-08-02 16:05:05.583876	2013-08-02 23:16:02.757048
1048	7	2013-08-02 16:05:05.655913	2013-08-02 23:16:02.757799
1001	6	2013-08-02 16:05:05.570335	2013-08-02 23:16:02.758504
999	4	2013-08-02 16:05:05.565062	2013-08-02 23:16:02.760833
471	21	2013-08-02 16:05:04.861777	2013-08-03 22:29:28.323988
1138	2	2013-08-02 16:05:05.847775	2013-08-02 23:16:02.763415
1360	8	2013-08-02 16:05:06.407355	2013-08-04 01:38:16.469978
524	7	2013-08-02 16:05:04.929396	2013-08-04 01:38:16.470962
1279	11	2013-08-02 16:05:06.200201	2013-08-02 23:16:02.779441
1161	19	2013-08-02 16:05:05.908463	2013-08-02 23:16:02.800048
1269	2	2013-08-02 16:05:06.180029	2013-08-04 02:00:47.741513
1255	16	2013-08-02 16:05:06.157181	2013-08-02 23:16:02.803475
981	4	2013-08-02 16:05:05.518484	2013-08-03 23:26:33.063578
1195	14	2013-08-02 16:05:06.043187	2013-08-02 23:16:02.805473
1155	13	2013-08-02 16:05:05.892252	2013-08-02 23:16:02.80643
1380	11	2013-08-02 16:05:06.455426	2013-08-02 23:16:02.808903
1370	9	2013-08-02 16:05:06.431927	2013-08-02 23:16:02.813189
2164	8	2013-08-02 16:05:08.335758	2013-08-04 02:22:38.667564
1811	7	2013-08-02 16:05:07.487507	2013-08-04 02:22:38.670564
434	19	2013-08-02 16:05:04.772865	2013-08-02 23:20:43.48158
1801	6	2013-08-02 16:05:07.460052	2013-08-04 02:22:38.673806
602	16	2013-08-02 16:05:05.028295	2013-08-02 23:20:43.492302
533	14	2013-08-02 16:05:04.939191	2013-08-02 23:20:43.498959
492	13	2013-08-02 16:05:04.888952	2013-08-02 23:20:43.50223
504	11	2013-08-02 16:05:04.906914	2013-08-02 23:20:43.509206
642	9	2013-08-02 16:05:05.087044	2013-08-02 23:20:43.516238
662	8	2013-08-02 16:05:05.107961	2013-08-02 23:20:43.519951
682	7	2013-08-02 16:05:05.12757	2013-08-02 23:20:43.523466
702	6	2013-08-02 16:05:05.146643	2013-08-02 23:20:43.526966
742	4	2013-08-02 16:05:05.186765	2013-08-02 23:20:43.533862
1115	2	2013-08-02 16:05:05.786806	2013-08-03 23:26:33.067076
1877	4	2013-08-02 16:05:07.684344	2013-08-04 02:22:38.680591
1286	19	2013-08-02 16:05:06.218502	2013-08-02 23:20:43.561901
6943	9	2013-08-02 16:05:17.298447	2013-08-02 23:20:43.589741
1952	16	2013-08-02 16:05:07.842708	2013-08-03 21:00:15.742012
2234	14	2013-08-02 16:05:08.515371	2013-08-03 21:00:15.744144
1153	9	2013-08-02 16:05:05.887251	2013-08-03 23:31:52.906933
1036	8	2013-08-02 16:05:05.635298	2013-08-03 23:31:52.907853
1098	7	2013-08-02 16:05:05.747115	2013-08-03 23:31:52.908897
1240	6	2013-08-02 16:05:06.136973	2013-08-03 23:31:52.910576
312	4	2013-08-02 16:05:04.619752	2013-08-03 23:31:52.914349
984	2	2013-08-02 16:05:05.525592	2013-08-04 02:22:38.687106
1025	21	2013-08-02 16:05:05.619628	2013-08-04 02:25:48.42343
1041	2	2013-08-02 16:05:05.644895	2013-08-04 02:25:49.286649
1119	4	2013-08-02 16:05:05.79752	2013-08-04 02:25:50.261599
6923	4	2013-08-02 16:05:17.282722	2013-08-04 02:25:50.272467
621	4	2013-08-02 16:05:05.054768	2013-08-04 02:25:50.283238
2037	21	2013-08-02 16:05:08.012817	2013-08-04 02:40:47.846494
1236	21	2013-08-02 16:05:06.133038	2013-08-04 02:40:47.8483
2274	21	2013-08-02 16:05:08.556182	2013-08-04 02:40:47.849567
2033	21	2013-08-02 16:05:08.005399	2013-08-04 02:40:47.851598
1992	16	2013-08-02 16:05:07.927759	2013-08-04 02:40:47.860926
6903	21	2013-08-02 16:05:17.253682	2013-08-04 02:42:26.494299
1135	13	2013-08-02 16:05:05.839761	2013-08-04 02:45:45.657304
1139	9	2013-08-02 16:05:05.850524	2013-08-04 02:45:45.676195
782	6	2013-08-02 16:05:05.22427	2013-08-04 02:45:45.694838
1158	4	2013-08-02 16:05:05.900284	2013-08-04 02:45:45.706647
1991	21	2013-08-02 16:05:07.926757	2013-08-04 02:47:24.388297
6963	8	2013-08-02 16:05:17.392496	2013-08-02 23:20:43.593192
6983	7	2013-08-02 16:05:17.411808	2013-08-02 23:20:43.59699
7003	6	2013-08-02 16:05:17.430422	2013-08-02 23:20:43.600036
44917	11	2013-08-02 16:06:39.474124	2013-08-04 17:51:53.540167
7043	4	2013-08-02 16:05:17.473481	2013-08-02 23:20:43.606878
7063	2	2013-08-02 16:05:17.498465	2013-08-02 23:20:43.610048
44870	11	2013-08-02 16:06:39.421879	2013-08-04 17:51:53.543876
7023	14	2013-08-02 16:05:17.451131	2013-08-04 00:37:45.142636
1265	19	2013-08-02 16:05:06.173359	2013-08-02 23:20:43.629824
44885	11	2013-08-02 16:06:39.436596	2013-08-04 17:51:53.547677
2344	9	2013-08-02 16:05:08.641752	2013-08-02 23:20:43.658783
2226	8	2013-08-02 16:05:08.50731	2013-08-02 23:20:43.662154
2214	7	2013-08-02 16:05:08.493564	2013-08-02 23:20:43.66473
2221	6	2013-08-02 16:05:08.502191	2013-08-02 23:20:43.667159
2666	13	2013-08-02 16:05:09.056377	2013-08-04 00:37:45.143705
1366	19	2013-08-02 16:05:06.422453	2013-08-02 23:20:43.695319
44897	11	2013-08-02 16:06:39.448225	2013-08-04 17:51:53.550974
1321	19	2013-08-02 16:05:06.309784	2013-08-02 23:20:43.762239
2606	9	2013-08-02 16:05:08.952709	2013-08-02 23:20:43.786995
2626	8	2013-08-02 16:05:08.974293	2013-08-02 23:20:43.788202
2646	7	2013-08-02 16:05:09.040118	2013-08-02 23:20:43.790284
44877	11	2013-08-02 16:06:39.429253	2013-08-04 17:51:53.554398
2570	4	2013-08-02 16:05:08.916024	2013-08-02 23:20:43.792857
2112	11	2013-08-02 16:05:08.204869	2013-08-04 00:37:45.146375
1386	19	2013-08-02 16:05:06.46963	2013-08-02 23:20:43.801766
44857	11	2013-08-02 16:06:39.409818	2013-08-04 17:51:53.563759
1309	19	2013-08-02 16:05:06.278375	2013-08-02 23:20:43.850107
2334	9	2013-08-02 16:05:08.63106	2013-08-04 00:37:45.149114
1369	16	2013-08-02 16:05:06.429584	2013-08-02 23:20:43.860986
1329	14	2013-08-02 16:05:06.329797	2013-08-03 22:25:21.922779
1409	14	2013-08-02 16:05:06.524029	2013-08-02 23:20:43.868013
1385	13	2013-08-02 16:05:06.467259	2013-08-02 23:20:43.871543
44801	11	2013-08-02 16:06:39.363953	2013-08-04 17:51:53.571275
1395	11	2013-08-02 16:05:06.490723	2013-08-02 23:20:43.876889
1529	4	2013-08-02 16:05:06.814525	2013-08-02 23:20:43.897416
1429	13	2013-08-02 16:05:06.571607	2013-08-03 22:25:21.924647
1569	2	2013-08-02 16:05:06.916042	2013-08-02 23:20:43.903605
44837	11	2013-08-02 16:06:39.39518	2013-08-04 17:51:53.582441
1376	8	2013-08-02 16:05:06.446063	2013-08-04 00:37:45.151183
1419	19	2013-08-02 16:05:06.547498	2013-08-02 23:20:43.925335
2117	7	2013-08-02 16:05:08.217881	2013-08-04 00:37:45.15305
2141	13	2013-08-02 16:05:08.276054	2013-08-02 23:20:43.938461
31133	11	2013-08-02 16:06:08.296885	2013-08-04 17:51:53.593242
4390	7	2013-08-02 16:05:12.550259	2013-08-02 23:20:43.947561
1160	6	2013-08-02 16:05:05.905773	2013-08-04 00:37:45.154849
31100	2	2013-08-02 16:06:08.029722	2013-08-04 18:01:50.802058
2071	9	2013-08-02 16:05:08.098398	2013-08-02 23:20:43.971655
2091	8	2013-08-02 16:05:08.149501	2013-08-02 23:20:43.972782
2111	7	2013-08-02 16:05:08.202272	2013-08-02 23:20:43.973933
2131	6	2013-08-02 16:05:08.251564	2013-08-02 23:20:43.975075
2171	4	2013-08-02 16:05:08.354188	2013-08-02 23:20:43.977333
2126	2	2013-08-02 16:05:08.239764	2013-08-02 23:20:43.979475
1295	4	2013-08-02 16:05:06.241646	2013-08-04 00:37:45.157229
1299	19	2013-08-02 16:05:06.252213	2013-08-02 23:20:43.987997
2052	8	2013-08-02 16:05:08.048381	2013-08-02 23:20:44.002167
2072	7	2013-08-02 16:05:08.101125	2013-08-02 23:20:44.003323
2092	6	2013-08-02 16:05:08.152122	2013-08-02 23:20:44.006333
2132	4	2013-08-02 16:05:08.253877	2013-08-02 23:20:44.012226
1141	11	2013-08-02 16:05:05.856047	2013-08-03 22:25:21.928724
2172	2	2013-08-02 16:05:08.356857	2013-08-02 23:20:44.014233
2151	6	2013-08-02 16:05:08.301402	2013-08-04 01:38:16.471917
1319	19	2013-08-02 16:05:06.304759	2013-08-02 23:20:44.021995
2073	9	2013-08-02 16:05:08.103767	2013-08-02 23:20:44.032329
2093	8	2013-08-02 16:05:08.154767	2013-08-02 23:20:44.034154
2113	7	2013-08-02 16:05:08.207494	2013-08-02 23:20:44.035755
2133	6	2013-08-02 16:05:08.256279	2013-08-02 23:20:44.037416
2173	4	2013-08-02 16:05:08.359499	2013-08-02 23:20:44.04067
2086	2	2013-08-02 16:05:08.136211	2013-08-02 23:20:44.04316
1359	19	2013-08-02 16:05:06.404745	2013-08-02 23:20:44.049285
1925	11	2013-08-02 16:05:07.809177	2013-08-02 23:20:44.05494
2110	9	2013-08-02 16:05:08.199885	2013-08-02 23:20:44.056683
2066	8	2013-08-02 16:05:08.085103	2013-08-02 23:20:44.057442
2294	7	2013-08-02 16:05:08.58214	2013-08-02 23:20:44.058187
2314	6	2013-08-02 16:05:08.612338	2013-08-02 23:20:44.059233
2354	4	2013-08-02 16:05:08.651187	2013-08-02 23:20:44.061697
1175	2	2013-08-02 16:05:05.9461	2013-08-03 23:31:52.918257
2244	2	2013-08-02 16:05:08.525792	2013-08-02 23:20:44.063373
2586	4	2013-08-02 16:05:08.930832	2013-08-04 01:38:16.475937
1435	19	2013-08-02 16:05:06.585779	2013-08-02 23:20:44.073221
1495	16	2013-08-02 16:05:06.72687	2013-08-02 23:20:44.078796
1515	14	2013-08-02 16:05:06.777313	2013-08-02 23:20:44.080568
1535	13	2013-08-02 16:05:06.829814	2013-08-02 23:20:44.082444
1497	11	2013-08-02 16:05:06.731615	2013-08-02 23:20:44.085917
1425	9	2013-08-02 16:05:06.562185	2013-08-02 23:20:44.089333
1465	8	2013-08-02 16:05:06.656047	2013-08-02 23:20:44.090124
1468	7	2013-08-02 16:05:06.663253	2013-08-02 23:20:44.09086
2012	2	2013-08-02 16:05:07.97539	2013-08-04 01:38:16.478295
1130	19	2013-08-02 16:05:05.826694	2013-08-02 23:20:44.104343
1113	14	2013-08-02 16:05:05.781485	2013-08-02 23:20:44.109091
1228	13	2013-08-02 16:05:06.12402	2013-08-02 23:20:44.110115
1109	11	2013-08-02 16:05:05.770631	2013-08-02 23:20:44.111603
1296	9	2013-08-02 16:05:06.24427	2013-08-02 23:20:44.113627
1316	8	2013-08-02 16:05:06.296819	2013-08-02 23:20:44.114715
1336	7	2013-08-02 16:05:06.34751	2013-08-02 23:20:44.11585
1356	6	2013-08-02 16:05:06.397127	2013-08-02 23:20:44.116965
1396	4	2013-08-02 16:05:06.493115	2013-08-02 23:20:44.11895
1311	2	2013-08-02 16:05:06.283663	2013-08-02 23:20:44.120584
1520	19	2013-08-02 16:05:06.790445	2013-08-02 23:20:44.156428
1308	21	2013-08-02 16:05:06.27572	2013-08-04 01:41:00.603963
1480	16	2013-08-02 16:05:06.691509	2013-08-02 23:20:44.159926
1249	11	2013-08-02 16:05:06.148825	2013-08-03 23:37:25.818666
1420	14	2013-08-02 16:05:06.549912	2013-08-02 23:20:44.162551
2031	9	2013-08-02 16:05:08.002015	2013-08-02 23:20:44.169671
2057	8	2013-08-02 16:05:08.061238	2013-08-02 23:20:44.170992
2077	7	2013-08-02 16:05:08.114456	2013-08-02 23:20:44.172789
2097	6	2013-08-02 16:05:08.165441	2013-08-02 23:20:44.174051
2137	4	2013-08-02 16:05:08.266029	2013-08-02 23:20:44.176144
2177	2	2013-08-02 16:05:08.370389	2013-08-02 23:20:44.1786
1455	21	2013-08-02 16:05:06.632467	2013-08-04 01:41:00.793055
1198	19	2013-08-02 16:05:06.049742	2013-08-02 23:20:44.190418
1238	16	2013-08-02 16:05:06.135052	2013-08-02 23:20:44.194458
1375	9	2013-08-02 16:05:06.443673	2013-08-03 23:37:25.826371
1145	14	2013-08-02 16:05:05.866884	2013-08-02 23:20:44.198367
1225	13	2013-08-02 16:05:06.116022	2013-08-02 23:20:44.200511
1165	11	2013-08-02 16:05:05.919066	2013-08-02 23:20:44.202878
1193	9	2013-08-02 16:05:06.037968	2013-08-02 23:20:44.205652
1224	8	2013-08-02 16:05:06.113437	2013-08-02 23:20:44.206867
1245	7	2013-08-02 16:05:06.143164	2013-08-02 23:20:44.208029
1200	6	2013-08-02 16:05:06.055406	2013-08-02 23:20:44.208964
1258	4	2013-08-02 16:05:06.161884	2013-08-02 23:20:44.210633
1355	8	2013-08-02 16:05:06.394624	2013-08-03 23:37:25.830291
1298	2	2013-08-02 16:05:06.249588	2013-08-02 23:20:44.21369
1549	9	2013-08-02 16:05:06.888501	2013-08-03 21:00:15.750052
2191	8	2013-08-02 16:05:08.405287	2013-08-03 21:00:15.751375
2152	7	2013-08-02 16:05:08.304064	2013-08-03 21:00:15.752793
1335	7	2013-08-02 16:05:06.345101	2013-08-03 23:37:25.83381
1315	6	2013-08-02 16:05:06.294215	2013-08-03 23:37:25.837281
1185	2	2013-08-02 16:05:06.017012	2013-08-04 01:41:01.552426
1204	2	2013-08-02 16:05:06.065977	2013-08-04 01:41:01.563151
1208	2	2013-08-02 16:05:06.076597	2013-08-04 01:41:01.571097
1188	4	2013-08-02 16:05:06.024769	2013-08-04 02:25:50.186374
1289	4	2013-08-02 16:05:06.226034	2013-08-04 02:25:50.190846
1276	4	2013-08-02 16:05:06.192181	2013-08-04 02:25:50.197154
1546	4	2013-08-02 16:05:06.885349	2013-08-04 02:25:50.203685
2061	4	2013-08-02 16:05:08.071668	2013-08-04 02:25:50.207786
1500	4	2013-08-02 16:05:06.739017	2013-08-04 02:25:50.211622
2053	4	2013-08-02 16:05:08.050723	2013-08-04 02:25:50.220005
2051	4	2013-08-02 16:05:08.046058	2013-08-04 02:25:50.228922
2153	4	2013-08-02 16:05:08.306824	2013-08-04 02:25:50.239839
2324	4	2013-08-02 16:05:08.621055	2013-08-04 02:25:50.250649
1318	21	2013-08-02 16:05:06.302084	2013-08-04 02:45:45.519848
2197	21	2013-08-02 16:05:08.419575	2013-08-04 02:45:45.522277
1292	21	2013-08-02 16:05:06.233992	2013-08-04 02:45:45.524027
1172	21	2013-08-02 16:05:05.937939	2013-08-04 02:45:45.525732
1555	21	2013-08-02 16:05:06.89608	2013-08-04 02:45:45.527299
2081	21	2013-08-02 16:05:08.125	2013-08-04 02:45:45.529956
2064	16	2013-08-02 16:05:08.079678	2013-08-04 02:45:45.565099
1466	19	2013-08-02 16:05:06.658464	2013-08-04 02:45:45.58827
7083	14	2013-08-02 16:05:17.516378	2013-08-04 02:45:45.611108
2192	16	2013-08-02 16:05:08.407657	2013-08-04 02:50:50.120853
19848	21	2013-08-02 16:05:43.031669	2013-08-04 17:53:53.855583
7203	2	2013-08-02 16:05:17.628515	2013-08-04 00:37:45.161239
1483	19	2013-08-02 16:05:06.69861	2013-08-02 23:20:44.259365
11968	21	2013-08-02 16:05:26.90674	2013-08-04 17:53:53.92704
1489	11	2013-08-02 16:05:06.71278	2013-08-04 00:40:47.573178
766	19	2013-08-02 16:05:05.205719	2013-08-02 23:40:58.600786
2284	4	2013-08-02 16:05:08.567143	2013-08-04 00:40:47.582817
685	16	2013-08-02 16:05:05.130107	2013-08-02 23:40:58.606433
1415	9	2013-08-02 16:05:06.538084	2013-08-03 22:25:21.933995
802	14	2013-08-02 16:05:05.249216	2013-08-02 23:40:58.610766
822	13	2013-08-02 16:05:05.269916	2013-08-02 23:40:58.613568
12278	21	2013-08-02 16:05:27.653881	2013-08-04 17:53:53.92894
862	11	2013-08-02 16:05:05.326537	2013-08-02 23:40:58.616236
31406	2	2013-08-02 16:06:08.853198	2013-08-04 17:56:49.094854
902	9	2013-08-02 16:05:05.398646	2013-08-02 23:40:58.619467
922	8	2013-08-02 16:05:05.423887	2013-08-02 23:40:58.62075
942	7	2013-08-02 16:05:05.452603	2013-08-02 23:40:58.622713
801	6	2013-08-02 16:05:05.248316	2013-08-02 23:40:58.623615
31401	2	2013-08-02 16:06:08.840943	2013-08-04 17:56:49.106746
830	4	2013-08-02 16:05:05.276852	2013-08-02 23:40:58.625597
1430	8	2013-08-02 16:05:06.573969	2013-08-03 22:25:21.937304
32808	2	2013-08-02 16:06:12.426733	2013-08-04 17:56:49.207171
2371	14	2013-08-02 16:05:08.669633	2013-08-02 23:40:58.651923
2481	13	2013-08-02 16:05:08.826769	2013-08-02 23:40:58.653998
7123	9	2013-08-02 16:05:17.5516	2013-08-02 23:40:58.659915
7143	8	2013-08-02 16:05:17.568802	2013-08-02 23:40:58.661281
7163	7	2013-08-02 16:05:17.586707	2013-08-02 23:40:58.662578
7183	6	2013-08-02 16:05:17.609432	2013-08-02 23:40:58.664006
32788	2	2013-08-02 16:06:12.377563	2013-08-04 17:56:49.211994
7223	4	2013-08-02 16:05:17.645753	2013-08-02 23:40:58.667072
7243	2	2013-08-02 16:05:17.660654	2013-08-02 23:40:58.66834
32768	2	2013-08-02 16:06:12.328124	2013-08-04 17:56:49.21679
2444	14	2013-08-02 16:05:08.759	2013-08-02 23:40:58.721769
2464	13	2013-08-02 16:05:08.77758	2013-08-02 23:40:58.723017
32748	2	2013-08-02 16:06:12.280902	2013-08-04 17:56:49.22138
2504	11	2013-08-02 16:05:08.847666	2013-08-02 23:40:58.72504
32803	2	2013-08-02 16:06:12.414851	2013-08-04 17:56:49.225883
2466	9	2013-08-02 16:05:08.779404	2013-08-02 23:40:58.72708
2461	8	2013-08-02 16:05:08.774906	2013-08-02 23:40:58.727804
2246	9	2013-08-02 16:05:08.527732	2013-08-04 00:40:47.59643
2592	19	2013-08-02 16:05:08.937034	2013-08-04 00:40:47.617064
2421	13	2013-08-02 16:05:08.732013	2013-08-02 23:40:58.776696
11099	2	2013-08-02 16:05:24.698303	2013-08-04 17:56:49.22982
561	19	2013-08-02 16:05:04.974736	2013-08-02 23:40:58.796175
727	16	2013-08-02 16:05:05.171483	2013-08-02 23:40:58.799104
784	7	2013-08-02 16:05:05.226642	2013-08-03 22:25:21.940916
767	14	2013-08-02 16:05:05.206387	2013-08-02 23:40:58.801875
686	13	2013-08-02 16:05:05.130903	2013-08-02 23:40:58.802893
32728	2	2013-08-02 16:06:12.233591	2013-08-04 17:56:49.233871
650	11	2013-08-02 16:05:05.09474	2013-08-02 23:40:58.804898
2691	2	2013-08-02 16:05:09.075914	2013-08-04 19:37:49.250976
787	9	2013-08-02 16:05:05.231016	2013-08-02 23:40:58.806667
807	8	2013-08-02 16:05:05.253195	2013-08-02 23:40:58.807541
827	6	2013-08-02 16:05:05.274539	2013-08-02 23:40:58.808406
1639	2	2013-08-02 16:05:07.05106	2013-08-04 19:37:49.256793
867	4	2013-08-02 16:05:05.335122	2013-08-02 23:40:58.810143
594	6	2013-08-02 16:05:05.021705	2013-08-03 22:25:21.944207
907	2	2013-08-02 16:05:05.405629	2013-08-02 23:40:58.812412
1624	2	2013-08-02 16:05:07.020518	2013-08-04 19:37:49.261979
1526	2	2013-08-02 16:05:06.806408	2013-08-04 00:40:47.645409
1679	2	2013-08-02 16:05:07.14883	2013-08-04 19:37:49.267388
911	21	2013-08-02 16:05:05.411404	2013-08-04 00:44:15.195626
1481	19	2013-08-02 16:05:06.693865	2013-08-02 23:40:58.851611
1688	2	2013-08-02 16:05:07.172146	2013-08-04 01:41:01.42683
1508	16	2013-08-02 16:05:06.75822	2013-08-02 23:40:58.85828
1626	2	2013-08-02 16:05:07.024548	2013-08-04 19:37:49.272723
1609	13	2013-08-02 16:05:06.990151	2013-08-02 23:40:58.86388
2392	2	2013-08-02 16:05:08.699024	2013-08-04 19:37:49.279033
1649	11	2013-08-02 16:05:07.072636	2013-08-02 23:40:58.867901
1689	8	2013-08-02 16:05:07.174884	2013-08-02 23:40:58.872917
1709	7	2013-08-02 16:05:07.229786	2013-08-02 23:40:58.874904
1630	6	2013-08-02 16:05:07.032643	2013-08-02 23:40:58.876426
1721	4	2013-08-02 16:05:07.261119	2013-08-02 23:40:58.880317
2286	4	2013-08-02 16:05:08.569536	2013-08-03 22:25:21.951166
1720	2	2013-08-02 16:05:07.258656	2013-08-02 23:40:58.884184
2233	2	2013-08-02 16:05:08.514491	2013-08-04 01:41:01.431111
1700	19	2013-08-02 16:05:07.205168	2013-08-02 23:40:58.89216
2271	14	2013-08-02 16:05:08.552638	2013-08-02 23:40:58.896869
2224	13	2013-08-02 16:05:08.505512	2013-08-02 23:40:58.897747
2370	2	2013-08-02 16:05:08.668085	2013-08-04 01:41:01.434992
2451	16	2013-08-02 16:05:08.765239	2013-08-02 23:40:58.924921
2766	2	2013-08-02 16:05:09.145299	2013-08-04 01:41:01.438143
2491	14	2013-08-02 16:05:08.835767	2013-08-02 23:40:58.928113
2511	13	2013-08-02 16:05:08.85322	2013-08-02 23:40:58.929148
2591	7	2013-08-02 16:05:08.936155	2013-08-02 23:40:58.934962
2611	6	2013-08-02 16:05:08.957796	2013-08-02 23:40:58.935851
2651	4	2013-08-02 16:05:09.04524	2013-08-02 23:40:58.937823
2671	2	2013-08-02 16:05:09.060256	2013-08-02 23:40:58.939771
1629	2	2013-08-02 16:05:07.030626	2013-08-04 01:41:01.443014
2412	16	2013-08-02 16:05:08.72239	2013-08-02 23:40:58.953093
2452	14	2013-08-02 16:05:08.766131	2013-08-02 23:40:58.956273
2472	13	2013-08-02 16:05:08.784401	2013-08-02 23:40:58.957467
2492	11	2013-08-02 16:05:08.836718	2013-08-02 23:40:58.959222
2486	9	2013-08-02 16:05:08.831251	2013-08-02 23:40:58.961802
2532	8	2013-08-02 16:05:08.870892	2013-08-02 23:40:58.962616
2552	7	2013-08-02 16:05:08.897781	2013-08-02 23:40:58.964513
2572	6	2013-08-02 16:05:08.917609	2013-08-02 23:40:58.965562
2612	4	2013-08-02 16:05:08.958699	2013-08-02 23:40:58.968524
1501	8	2013-08-02 16:05:06.741373	2013-08-03 23:41:56.58054
2652	2	2013-08-02 16:05:09.045917	2013-08-02 23:40:58.971706
704	2	2013-08-02 16:05:05.148374	2013-08-04 01:41:01.450712
1659	19	2013-08-02 16:05:07.09883	2013-08-02 23:40:58.981391
2631	2	2013-08-02 16:05:08.980002	2013-08-04 01:41:01.461969
2213	14	2013-08-02 16:05:08.492498	2013-08-02 23:40:58.98881
2253	11	2013-08-02 16:05:08.534266	2013-08-02 23:40:58.992757
2293	9	2013-08-02 16:05:08.581258	2013-08-02 23:40:58.995923
2313	8	2013-08-02 16:05:08.611191	2013-08-02 23:40:58.998381
2333	7	2013-08-02 16:05:08.630238	2013-08-02 23:40:59.000276
2353	6	2013-08-02 16:05:08.650316	2013-08-02 23:40:59.001743
2306	4	2013-08-02 16:05:08.603008	2013-08-02 23:40:59.005094
630	7	2013-08-02 16:05:05.076747	2013-08-03 23:41:56.584295
2264	2	2013-08-02 16:05:08.546003	2013-08-02 23:40:59.008394
2484	2	2013-08-02 16:05:08.829466	2013-08-04 01:41:01.473844
1620	19	2013-08-02 16:05:07.012459	2013-08-02 23:40:59.018817
2490	4	2013-08-02 16:05:08.834783	2013-08-04 02:25:50.174305
1585	16	2013-08-02 16:05:06.942914	2013-08-02 23:40:59.023236
1509	6	2013-08-02 16:05:06.760974	2013-08-03 23:41:56.58797
2211	7	2013-08-02 16:05:08.49035	2013-08-02 23:40:59.035601
2251	6	2013-08-02 16:05:08.532381	2013-08-02 23:40:59.037671
2326	4	2013-08-02 16:05:08.62352	2013-08-02 23:40:59.041287
2332	2	2013-08-02 16:05:08.629373	2013-08-02 23:40:59.043124
882	4	2013-08-02 16:05:05.376066	2013-08-04 02:25:50.180926
1715	19	2013-08-02 16:05:07.24598	2013-08-02 23:40:59.0503
2273	2	2013-08-02 16:05:08.555314	2013-08-04 02:25:50.459644
1572	16	2013-08-02 16:05:06.920834	2013-08-02 23:40:59.054514
1611	14	2013-08-02 16:05:06.994211	2013-08-02 23:40:59.055628
1685	13	2013-08-02 16:05:07.164078	2013-08-02 23:40:59.057003
1691	11	2013-08-02 16:05:07.180321	2013-08-02 23:40:59.0588
389	4	2013-08-02 16:05:04.727852	2013-08-03 23:41:56.595431
2352	7	2013-08-02 16:05:08.649129	2013-08-03 21:04:19.276034
2241	7	2013-08-02 16:05:08.521848	2013-08-03 21:04:19.287428
2632	7	2013-08-02 16:05:08.980968	2013-08-03 21:04:19.299984
2566	7	2013-08-02 16:05:08.912067	2013-08-03 21:04:19.311668
1711	4	2013-08-02 16:05:07.235172	2013-08-03 21:04:19.334943
2512	2	2013-08-02 16:05:08.853947	2013-08-04 02:25:50.468764
1424	2	2013-08-02 16:05:06.559799	2013-08-03 23:41:56.603049
1705	19	2013-08-02 16:05:07.218839	2013-08-03 23:42:07.100707
1695	16	2013-08-02 16:05:07.191224	2013-08-03 23:42:07.108035
1449	21	2013-08-02 16:05:06.618608	2013-08-03 23:44:25.06474
1669	2	2013-08-02 16:05:07.121823	2013-08-04 02:25:50.479214
666	2	2013-08-02 16:05:05.111227	2013-08-04 02:25:50.4889
1719	16	2013-08-02 16:05:07.256187	2013-08-04 02:50:48.972481
2341	14	2013-08-02 16:05:08.638407	2013-08-04 02:50:49.078639
4710	9	2013-08-02 16:05:12.880991	2013-08-04 02:50:49.102214
2228	11	2013-08-02 16:05:08.509614	2013-08-04 02:50:49.126445
927	19	2013-08-02 16:05:05.43016	2013-08-04 02:50:49.149973
2231	21	2013-08-02 16:05:08.512743	2013-08-04 02:54:05.452313
2546	21	2013-08-02 16:05:08.890917	2013-08-04 02:55:10.568507
32708	2	2013-08-02 16:06:12.186163	2013-08-04 17:56:49.239273
1710	9	2013-08-02 16:05:07.232457	2013-08-02 23:40:59.061268
1650	8	2013-08-02 16:05:07.074818	2013-08-02 23:40:59.062238
1610	7	2013-08-02 16:05:06.992141	2013-08-02 23:40:59.063369
1645	6	2013-08-02 16:05:07.063764	2013-08-02 23:40:59.064628
32697	2	2013-08-02 16:06:12.159511	2013-08-04 17:56:49.247255
1600	4	2013-08-02 16:05:06.97172	2013-08-02 23:40:59.066815
1458	16	2013-08-02 16:05:06.639549	2013-08-04 00:40:47.522663
1405	19	2013-08-02 16:05:06.514599	2013-08-02 23:40:59.077603
2297	14	2013-08-02 16:05:08.584847	2013-08-04 00:40:47.531423
1675	4	2013-08-02 16:05:07.137993	2013-08-03 22:29:28.606163
1275	14	2013-08-02 16:05:06.190459	2013-08-02 23:40:59.082872
1379	13	2013-08-02 16:05:06.453084	2013-08-02 23:40:59.084265
32688	2	2013-08-02 16:06:12.136255	2013-08-04 17:56:49.251062
1436	11	2013-08-02 16:05:06.588136	2013-08-02 23:40:59.086538
32668	2	2013-08-02 16:06:12.083262	2013-08-04 17:56:49.254773
1476	9	2013-08-02 16:05:06.682089	2013-08-02 23:40:59.089235
1496	8	2013-08-02 16:05:06.72924	2013-08-02 23:40:59.0913
1516	7	2013-08-02 16:05:06.779898	2013-08-02 23:40:59.092648
1536	6	2013-08-02 16:05:06.832216	2013-08-02 23:40:59.093769
32628	2	2013-08-02 16:06:12.009884	2013-08-04 17:56:49.307279
1510	4	2013-08-02 16:05:06.763686	2013-08-02 23:40:59.096659
1595	19	2013-08-02 16:05:06.96137	2013-08-03 22:29:28.615074
1524	2	2013-08-02 16:05:06.801009	2013-08-02 23:40:59.098491
1556	6	2013-08-02 16:05:06.897369	2013-08-04 00:40:47.54834
2217	9	2013-08-02 16:05:08.497614	2013-08-02 23:40:59.12561
2237	8	2013-08-02 16:05:08.518242	2013-08-02 23:40:59.129462
2257	7	2013-08-02 16:05:08.538636	2013-08-02 23:40:59.133312
2277	6	2013-08-02 16:05:08.559717	2013-08-02 23:40:59.136822
2317	4	2013-08-02 16:05:08.614942	2013-08-02 23:40:59.140651
2250	2	2013-08-02 16:05:08.531456	2013-08-02 23:40:59.142791
1300	2	2013-08-02 16:05:06.255236	2013-08-04 01:41:01.417264
1358	19	2013-08-02 16:05:06.402108	2013-08-02 23:40:59.152228
1398	16	2013-08-02 16:05:06.497821	2013-08-02 23:40:59.183426
1408	21	2013-08-02 16:05:06.521682	2013-08-03 22:31:49.194996
1301	14	2013-08-02 16:05:06.257918	2013-08-02 23:40:59.186495
1340	13	2013-08-02 16:05:06.357095	2013-08-02 23:40:59.187703
1280	11	2013-08-02 16:05:06.202856	2013-08-02 23:40:59.19029
1259	9	2013-08-02 16:05:06.163398	2013-08-02 23:40:59.192309
1348	8	2013-08-02 16:05:06.377333	2013-08-02 23:40:59.194094
1418	7	2013-08-02 16:05:06.545145	2013-08-02 23:40:59.195589
1438	6	2013-08-02 16:05:06.592837	2013-08-02 23:40:59.197372
1478	4	2013-08-02 16:05:06.68681	2013-08-02 23:40:59.201756
1416	2	2013-08-02 16:05:06.540413	2013-08-04 01:41:01.422154
1518	2	2013-08-02 16:05:06.785175	2013-08-02 23:40:59.203928
1759	2	2013-08-02 16:05:07.353919	2013-08-04 02:25:50.441167
1260	2	2013-08-02 16:05:06.164941	2013-08-04 02:25:50.44539
1839	11	2013-08-02 16:05:07.563899	2013-08-02 23:40:59.226098
1800	9	2013-08-02 16:05:07.457374	2013-08-02 23:40:59.229633
1699	19	2013-08-02 16:05:07.202093	2013-08-02 23:40:59.258839
1619	2	2013-08-02 16:05:07.01044	2013-08-04 02:25:50.449042
1615	16	2013-08-02 16:05:07.002283	2013-08-02 23:40:59.266729
1579	14	2013-08-02 16:05:06.932144	2013-08-03 23:42:07.115456
1810	14	2013-08-02 16:05:07.4848	2013-08-02 23:40:59.274673
2692	14	2013-08-02 16:05:09.076656	2013-08-02 23:42:08.422587
2672	14	2013-08-02 16:05:09.061638	2013-08-02 23:42:08.432663
1859	14	2013-08-02 16:05:07.619615	2013-08-02 23:42:08.484175
1658	4	2013-08-02 16:05:07.096162	2013-08-02 23:52:10.557736
1638	4	2013-08-02 16:05:07.049058	2013-08-02 23:52:10.562259
1618	4	2013-08-02 16:05:07.008322	2013-08-02 23:52:10.595381
1598	4	2013-08-02 16:05:06.967041	2013-08-02 23:52:10.600633
1578	4	2013-08-02 16:05:06.930423	2013-08-02 23:52:10.606689
1459	4	2013-08-02 16:05:06.641887	2013-08-02 23:52:10.613407
1499	4	2013-08-02 16:05:06.736343	2013-08-02 23:52:10.619449
1519	4	2013-08-02 16:05:06.787781	2013-08-02 23:52:10.625563
1539	4	2013-08-02 16:05:06.87764	2013-08-02 23:52:10.630064
1559	4	2013-08-02 16:05:06.901535	2013-08-02 23:52:10.637668
1450	4	2013-08-02 16:05:06.620966	2013-08-02 23:52:10.645086
1488	4	2013-08-02 16:05:06.710435	2013-08-02 23:52:10.64938
1485	4	2013-08-02 16:05:06.70328	2013-08-02 23:52:10.655417
1505	4	2013-08-02 16:05:06.750871	2013-08-02 23:52:10.660647
1525	4	2013-08-02 16:05:06.803676	2013-08-02 23:52:10.665861
1545	4	2013-08-02 16:05:06.884221	2013-08-02 23:52:10.670434
1565	4	2013-08-02 16:05:06.91003	2013-08-02 23:52:10.674535
1470	4	2013-08-02 16:05:06.667931	2013-08-02 23:52:10.679802
1558	4	2013-08-02 16:05:06.900111	2013-08-02 23:52:10.685864
1142	4	2013-08-02 16:05:05.858842	2013-08-02 23:57:06.923475
1122	4	2013-08-02 16:05:05.805528	2013-08-02 23:57:06.928763
1102	4	2013-08-02 16:05:05.755277	2013-08-02 23:57:06.932605
960	4	2013-08-02 16:05:05.484289	2013-08-02 23:57:06.93618
1028	4	2013-08-02 16:05:05.622559	2013-08-02 23:57:06.939702
1055	4	2013-08-02 16:05:05.663377	2013-08-02 23:57:06.943721
1019	4	2013-08-02 16:05:05.605314	2013-08-02 23:57:06.948442
945	4	2013-08-02 16:05:05.456927	2013-08-02 23:57:06.95178
970	4	2013-08-02 16:05:05.496376	2013-08-02 23:57:06.955089
1084	4	2013-08-02 16:05:05.723391	2013-08-02 23:57:06.959974
1010	4	2013-08-02 16:05:05.586487	2013-08-02 23:57:06.965318
1082	4	2013-08-02 16:05:05.71805	2013-08-02 23:57:06.970894
1062	4	2013-08-02 16:05:05.6727	2013-08-02 23:57:06.975452
1042	4	2013-08-02 16:05:05.647123	2013-08-02 23:57:06.978981
1022	4	2013-08-02 16:05:05.613546	2013-08-02 23:57:06.982852
1002	4	2013-08-02 16:05:05.572736	2013-08-02 23:57:06.986609
982	4	2013-08-02 16:05:05.520716	2013-08-02 23:57:06.990031
962	4	2013-08-02 16:05:05.486905	2013-08-02 23:57:06.993877
918	4	2013-08-02 16:05:05.418913	2013-08-02 23:57:06.998035
2831	2	2013-08-02 16:05:09.214158	2013-08-02 23:57:07.233123
3032	2	2013-08-02 16:05:09.493015	2013-08-02 23:57:07.490042
3012	2	2013-08-02 16:05:09.46868	2013-08-02 23:57:07.493726
2992	2	2013-08-02 16:05:09.447313	2013-08-02 23:57:07.497416
2972	2	2013-08-02 16:05:09.423516	2013-08-02 23:57:07.50101
2952	2	2013-08-02 16:05:09.399691	2013-08-02 23:57:07.504461
2932	2	2013-08-02 16:05:09.373495	2013-08-02 23:57:07.508262
2912	2	2013-08-02 16:05:09.348675	2013-08-02 23:57:07.511872
1588	2	2013-08-02 16:05:06.94843	2013-08-02 23:57:07.533946
1608	2	2013-08-02 16:05:06.988105	2013-08-02 23:57:07.544982
1648	2	2013-08-02 16:05:07.070369	2013-08-02 23:57:07.555209
1591	2	2013-08-02 16:05:06.954001	2013-08-02 23:57:07.566239
1701	2	2013-08-02 16:05:07.207828	2013-08-02 23:57:07.57696
1716	2	2013-08-02 16:05:07.248722	2013-08-02 23:57:07.587825
1696	2	2013-08-02 16:05:07.193942	2013-08-02 23:57:07.598606
1676	2	2013-08-02 16:05:07.140701	2013-08-02 23:57:07.608942
1656	2	2013-08-02 16:05:07.09088	2013-08-02 23:57:07.62007
1636	2	2013-08-02 16:05:07.044711	2013-08-02 23:57:07.631206
1616	2	2013-08-02 16:05:07.004299	2013-08-02 23:57:07.645303
1596	2	2013-08-02 16:05:06.963289	2013-08-02 23:57:07.657433
1576	2	2013-08-02 16:05:06.927061	2013-08-02 23:57:07.661868
1428	2	2013-08-02 16:05:06.569273	2013-08-02 23:57:07.66631
1568	2	2013-08-02 16:05:06.914505	2013-08-02 23:57:07.670826
1548	2	2013-08-02 16:05:06.887477	2013-08-02 23:57:07.675799
1528	2	2013-08-02 16:05:06.811834	2013-08-02 23:57:07.681197
1448	2	2013-08-02 16:05:06.616218	2013-08-02 23:57:07.686396
1561	2	2013-08-02 16:05:06.904379	2013-08-02 23:57:07.690616
2819	13	2013-08-02 16:05:09.202046	2013-08-03 00:00:43.884264
1775	4	2013-08-02 16:05:07.393612	2013-08-03 00:02:07.659578
1729	4	2013-08-02 16:05:07.280764	2013-08-03 00:02:07.668782
1402	4	2013-08-02 16:05:06.507514	2013-08-03 00:02:07.693828
1382	4	2013-08-02 16:05:06.46021	2013-08-03 00:02:07.705218
1362	4	2013-08-02 16:05:06.412696	2013-08-03 00:02:07.716656
1342	4	2013-08-02 16:05:06.361906	2013-08-03 00:02:07.727927
1322	4	2013-08-02 16:05:06.312401	2013-08-03 00:02:07.735304
1302	4	2013-08-02 16:05:06.260613	2013-08-03 00:02:07.744753
1282	4	2013-08-02 16:05:06.208138	2013-08-03 00:02:07.750814
1262	4	2013-08-02 16:05:06.1681	2013-08-03 00:02:07.757847
1180	4	2013-08-02 16:05:05.959638	2013-08-03 00:02:07.761646
1184	4	2013-08-02 16:05:06.014337	2013-08-03 00:02:07.765098
1205	4	2013-08-02 16:05:06.068657	2013-08-03 00:02:07.768699
1173	4	2013-08-02 16:05:05.940685	2013-08-03 00:02:07.772882
1152	4	2013-08-02 16:05:05.884507	2013-08-03 00:02:07.777682
1131	4	2013-08-02 16:05:05.829125	2013-08-03 00:02:07.781668
1242	4	2013-08-02 16:05:06.139174	2013-08-03 00:02:07.785636
1222	4	2013-08-02 16:05:06.110379	2013-08-03 00:02:07.79072
1202	4	2013-08-02 16:05:06.060727	2013-08-03 00:02:07.798843
1182	4	2013-08-02 16:05:06.009057	2013-08-03 00:02:07.805134
1162	4	2013-08-02 16:05:05.911198	2013-08-03 00:02:07.812451
1498	7	2013-08-02 16:05:06.734013	2013-08-03 21:04:19.245048
2337	7	2013-08-02 16:05:08.633914	2013-08-03 21:04:19.255742
1338	13	2013-08-02 16:05:06.352281	2013-08-03 23:42:07.11988
1411	21	2013-08-02 16:05:06.528629	2013-08-03 23:45:41.296254
1456	2	2013-08-02 16:05:06.634832	2013-08-04 02:25:50.452922
1538	21	2013-08-02 16:05:06.87627	2013-08-04 02:50:48.953061
2357	21	2013-08-02 16:05:08.653914	2013-08-04 02:50:48.954149
1445	16	2013-08-02 16:05:06.609221	2013-08-04 02:50:50.116853
2528	4	2013-08-02 16:05:08.866256	2013-08-03 00:02:08.334174
3171	4	2013-08-02 16:05:09.762282	2013-08-03 00:02:08.596741
3151	4	2013-08-02 16:05:09.710414	2013-08-03 00:02:08.602199
3131	4	2013-08-02 16:05:09.665241	2013-08-03 00:02:08.623842
3111	4	2013-08-02 16:05:09.639372	2013-08-03 00:02:08.635398
3091	4	2013-08-02 16:05:09.617459	2013-08-03 00:02:08.642484
3071	4	2013-08-02 16:05:09.543219	2013-08-03 00:02:08.645811
3051	4	2013-08-02 16:05:09.510533	2013-08-03 00:02:08.64888
3031	4	2013-08-02 16:05:09.490864	2013-08-03 00:02:08.652057
3011	4	2013-08-02 16:05:09.467426	2013-08-03 00:02:08.655284
2991	4	2013-08-02 16:05:09.446412	2013-08-03 00:02:08.658455
2859	4	2013-08-02 16:05:09.25334	2013-08-03 00:02:08.666752
2537	4	2013-08-02 16:05:08.881399	2013-08-03 00:02:08.673446
3491	2	2013-08-02 16:05:10.530701	2013-08-03 00:02:08.81373
3471	2	2013-08-02 16:05:10.503977	2013-08-03 00:02:08.822433
3311	2	2013-08-02 16:05:10.085878	2013-08-03 00:02:08.90693
3270	2	2013-08-02 16:05:09.977149	2013-08-03 00:02:08.917851
3572	21	2013-08-02 16:05:10.737328	2013-08-03 00:02:08.936924
3552	14	2013-08-02 16:05:10.687503	2013-08-03 00:02:08.945227
3532	14	2013-08-02 16:05:10.633591	2013-08-03 00:02:08.955352
3512	14	2013-08-02 16:05:10.578916	2013-08-03 00:02:08.966303
3492	14	2013-08-02 16:05:10.53226	2013-08-03 00:02:08.977366
3472	14	2013-08-02 16:05:10.504972	2013-08-03 00:02:08.988207
3452	14	2013-08-02 16:05:10.42232	2013-08-03 00:02:08.999275
3432	14	2013-08-02 16:05:10.369476	2013-08-03 00:02:09.010625
3412	14	2013-08-02 16:05:10.32037	2013-08-03 00:02:09.021902
3392	14	2013-08-02 16:05:10.270838	2013-08-03 00:02:09.032888
3372	4	2013-08-02 16:05:10.218507	2013-08-03 00:02:09.044409
3352	4	2013-08-02 16:05:10.174938	2013-08-03 00:02:09.055563
3332	4	2013-08-02 16:05:10.142066	2013-08-03 00:02:09.067125
3312	4	2013-08-02 16:05:10.088587	2013-08-03 00:02:09.079433
3250	4	2013-08-02 16:05:09.926974	2013-08-03 00:02:09.090949
3292	4	2013-08-02 16:05:10.062386	2013-08-03 00:02:09.102392
3272	4	2013-08-02 16:05:09.982089	2013-08-03 00:02:09.113688
2839	4	2013-08-02 16:05:09.226059	2013-08-03 00:02:09.125405
2517	4	2013-08-02 16:05:08.857583	2013-08-03 00:02:09.136169
2613	2	2013-08-02 16:05:08.959582	2013-08-03 00:02:09.163769
2593	2	2013-08-02 16:05:08.938742	2013-08-03 00:02:09.175727
2573	2	2013-08-02 16:05:08.918386	2013-08-03 00:02:09.187305
2553	2	2013-08-02 16:05:08.89893	2013-08-03 00:02:09.19973
2533	2	2013-08-02 16:05:08.873412	2013-08-03 00:02:09.211069
2513	2	2013-08-02 16:05:08.85468	2013-08-03 00:02:09.222243
1883	2	2013-08-02 16:05:07.692512	2013-08-03 00:02:09.293706
1895	4	2013-08-02 16:05:07.711552	2013-08-03 00:02:09.360943
1830	4	2013-08-02 16:05:07.539222	2013-08-03 00:02:09.36496
1790	4	2013-08-02 16:05:07.431926	2013-08-03 00:02:09.370257
1814	4	2013-08-02 16:05:07.495397	2013-08-03 00:02:09.373645
1808	4	2013-08-02 16:05:07.479356	2013-08-03 00:02:09.377913
1828	4	2013-08-02 16:05:07.533671	2013-08-03 00:02:09.384917
1868	4	2013-08-02 16:05:07.673692	2013-08-03 00:02:09.392729
1841	4	2013-08-02 16:05:07.569393	2013-08-03 00:02:09.403786
1804	4	2013-08-02 16:05:07.468527	2013-08-03 00:02:09.4147
1875	4	2013-08-02 16:05:07.68158	2013-08-03 00:02:09.426064
1855	4	2013-08-02 16:05:07.608165	2013-08-03 00:02:09.437843
1835	4	2013-08-02 16:05:07.552811	2013-08-03 00:02:09.474275
1815	4	2013-08-02 16:05:07.498087	2013-08-03 00:02:09.483888
1795	4	2013-08-02 16:05:07.444295	2013-08-03 00:02:09.491738
1788	2	2013-08-02 16:05:07.426623	2013-08-03 00:02:09.518604
1845	2	2013-08-02 16:05:07.580297	2013-08-03 00:02:09.525573
1865	2	2013-08-02 16:05:07.670342	2013-08-03 00:02:09.534139
1761	2	2013-08-02 16:05:07.358853	2013-08-03 00:02:09.545637
1825	2	2013-08-02 16:05:07.525476	2013-08-03 00:02:09.555192
1876	2	2013-08-02 16:05:07.682977	2013-08-03 00:02:09.56328
1856	2	2013-08-02 16:05:07.611024	2013-08-03 00:02:09.573748
1836	2	2013-08-02 16:05:07.555543	2013-08-03 00:02:09.578916
1816	2	2013-08-02 16:05:07.500863	2013-08-03 00:02:09.589237
1796	2	2013-08-02 16:05:07.446806	2013-08-03 00:02:09.594922
1776	2	2013-08-02 16:05:07.396081	2013-08-03 00:02:09.598589
1756	2	2013-08-02 16:05:07.346582	2013-08-03 00:02:09.602076
1736	2	2013-08-02 16:05:07.297752	2013-08-03 00:02:09.60719
1580	2	2013-08-02 16:05:06.933893	2013-08-03 00:02:09.611472
1599	2	2013-08-02 16:05:06.969253	2013-08-03 00:02:09.615305
1708	2	2013-08-02 16:05:07.227046	2013-08-03 00:02:09.619747
1725	2	2013-08-02 16:05:07.270928	2013-08-03 00:02:09.623644
1668	2	2013-08-02 16:05:07.11903	2013-08-03 00:02:09.62765
1665	2	2013-08-02 16:05:07.114345	2013-08-03 00:02:09.632581
3077	4	2013-08-02 16:05:09.5563	2013-08-03 00:02:09.64315
3057	4	2013-08-02 16:05:09.517636	2013-08-03 00:02:09.647368
3037	4	2013-08-02 16:05:09.498806	2013-08-03 00:02:09.65204
3017	4	2013-08-02 16:05:09.474492	2013-08-03 00:02:09.655828
2997	4	2013-08-02 16:05:09.452079	2013-08-03 00:02:09.660389
2977	4	2013-08-02 16:05:09.429377	2013-08-03 00:02:09.667687
2957	4	2013-08-02 16:05:09.407595	2013-08-03 00:02:09.677824
2937	4	2013-08-02 16:05:09.379966	2013-08-03 00:02:09.688759
2917	4	2013-08-02 16:05:09.353849	2013-08-03 00:02:09.700506
2897	4	2013-08-02 16:05:09.334369	2013-08-03 00:02:09.71225
2877	4	2013-08-02 16:05:09.273565	2013-08-03 00:02:09.723404
2857	4	2013-08-02 16:05:09.251213	2013-08-03 00:02:09.734472
2837	4	2013-08-02 16:05:09.222377	2013-08-03 00:02:09.74551
2739	4	2013-08-02 16:05:09.118278	2013-08-03 00:02:09.757062
2690	4	2013-08-02 16:05:09.075131	2013-08-03 00:02:09.767313
2817	4	2013-08-02 16:05:09.199509	2013-08-03 00:02:09.77911
2797	4	2013-08-02 16:05:09.173673	2013-08-03 00:02:09.790667
2777	4	2013-08-02 16:05:09.154334	2013-08-03 00:02:09.795779
2757	4	2013-08-02 16:05:09.137351	2013-08-03 00:02:09.799582
1820	4	2013-08-02 16:05:07.511732	2013-08-03 00:02:09.808286
1840	4	2013-08-02 16:05:07.566657	2013-08-03 00:02:09.813115
1880	4	2013-08-02 16:05:07.688519	2013-08-03 00:02:09.818909
1851	4	2013-08-02 16:05:07.59708	2013-08-03 00:02:09.827436
1850	4	2013-08-02 16:05:07.594264	2013-08-03 00:02:09.83542
1878	4	2013-08-02 16:05:07.685751	2013-08-03 00:02:09.846394
1858	4	2013-08-02 16:05:07.616723	2013-08-03 00:02:09.85769
1838	4	2013-08-02 16:05:07.561149	2013-08-03 00:02:09.868883
1818	4	2013-08-02 16:05:07.506313	2013-08-03 00:02:09.879906
1798	4	2013-08-02 16:05:07.451699	2013-08-03 00:02:09.891051
1778	4	2013-08-02 16:05:07.400957	2013-08-03 00:02:09.902324
1758	4	2013-08-02 16:05:07.351436	2013-08-03 00:02:09.913539
1738	4	2013-08-02 16:05:07.302909	2013-08-03 00:02:09.924813
1605	4	2013-08-02 16:05:06.982039	2013-08-03 00:02:09.936166
1606	4	2013-08-02 16:05:06.984034	2013-08-03 00:02:09.947677
1664	4	2013-08-02 16:05:07.111803	2013-08-03 00:02:09.960869
1718	4	2013-08-02 16:05:07.253694	2013-08-03 00:02:09.97423
1698	4	2013-08-02 16:05:07.199366	2013-08-03 00:02:10.022363
1678	4	2013-08-02 16:05:07.146092	2013-08-03 00:02:10.029487
3439	4	2013-08-02 16:05:10.387817	2013-08-03 00:02:10.049629
3419	4	2013-08-02 16:05:10.337562	2013-08-03 00:02:10.061484
3399	4	2013-08-02 16:05:10.288106	2013-08-03 00:02:10.072743
3379	4	2013-08-02 16:05:10.237388	2013-08-03 00:02:10.083748
3359	4	2013-08-02 16:05:10.184489	2013-08-03 00:02:10.094914
3339	4	2013-08-02 16:05:10.155277	2013-08-03 00:02:10.105901
3319	4	2013-08-02 16:05:10.106872	2013-08-03 00:02:10.117022
3299	4	2013-08-02 16:05:10.069883	2013-08-03 00:02:10.128126
3279	4	2013-08-02 16:05:09.999814	2013-08-03 00:02:10.138859
3259	4	2013-08-02 16:05:09.949628	2013-08-03 00:02:10.149551
3239	4	2013-08-02 16:05:09.896995	2013-08-03 00:02:10.160443
3219	4	2013-08-02 16:05:09.842008	2013-08-03 00:02:10.170689
3199	4	2013-08-02 16:05:09.799178	2013-08-03 00:02:10.180896
3179	4	2013-08-02 16:05:09.780019	2013-08-03 00:02:10.191502
3159	4	2013-08-02 16:05:09.730675	2013-08-03 00:02:10.201898
3139	4	2013-08-02 16:05:09.678632	2013-08-03 00:02:10.212039
3119	4	2013-08-02 16:05:09.648503	2013-08-03 00:02:10.222694
3099	4	2013-08-02 16:05:09.626469	2013-08-03 00:02:10.233005
3079	4	2013-08-02 16:05:09.558304	2013-08-03 00:02:10.243208
3719	2	2013-08-02 16:05:11.050078	2013-08-03 00:02:10.318854
3699	2	2013-08-02 16:05:11.00113	2013-08-03 00:02:10.328914
3679	2	2013-08-02 16:05:10.952526	2013-08-03 00:02:10.339611
3659	2	2013-08-02 16:05:10.902273	2013-08-03 00:02:10.350509
3639	2	2013-08-02 16:05:10.855581	2013-08-03 00:02:10.361008
3619	2	2013-08-02 16:05:10.821285	2013-08-03 00:02:10.37178
3599	2	2013-08-02 16:05:10.803608	2013-08-03 00:02:10.38166
3579	2	2013-08-02 16:05:10.754231	2013-08-03 00:02:10.391481
3559	2	2013-08-02 16:05:10.705725	2013-08-03 00:02:10.398907
3539	2	2013-08-02 16:05:10.652391	2013-08-03 00:02:10.406937
3519	2	2013-08-02 16:05:10.598139	2013-08-03 00:02:10.410682
3499	2	2013-08-02 16:05:10.545097	2013-08-03 00:02:10.414324
3479	2	2013-08-02 16:05:10.512069	2013-08-03 00:02:10.419553
3459	2	2013-08-02 16:05:10.442674	2013-08-03 00:02:10.427533
9139	2	2013-08-02 16:05:21.57093	2013-08-03 02:26:55.405812
8416	2	2013-08-02 16:05:19.878984	2013-08-03 02:26:55.427153
8539	11	2013-08-02 16:05:20.141121	2013-08-03 02:26:55.597194
18828	2	2013-08-02 16:05:40.442962	2013-08-03 02:26:55.682809
18808	2	2013-08-02 16:05:40.394285	2013-08-03 02:26:55.694086
18788	2	2013-08-02 16:05:40.34165	2013-08-03 02:26:55.704874
18768	2	2013-08-02 16:05:40.297297	2013-08-03 02:26:55.71507
18748	2	2013-08-02 16:05:40.276514	2013-08-03 02:26:55.726237
18728	2	2013-08-02 16:05:40.25514	2013-08-03 02:26:55.737965
18708	2	2013-08-02 16:05:40.220199	2013-08-03 02:26:55.749223
7281	21	2013-08-02 16:05:17.697792	2013-08-04 00:40:47.489788
22035	2	2013-08-02 16:05:47.627226	2013-08-03 18:03:07.0379
32608	2	2013-08-02 16:06:11.984717	2013-08-04 17:56:49.318822
5978	8	2013-08-02 16:05:15.114505	2013-08-03 18:03:07.054139
5958	7	2013-08-02 16:05:15.061811	2013-08-03 18:03:07.055046
5938	6	2013-08-02 16:05:15.011834	2013-08-03 18:03:07.055976
4992	14	2013-08-02 16:05:13.183651	2013-08-04 17:56:50.628632
5898	4	2013-08-02 16:05:14.909472	2013-08-03 18:03:07.058435
6499	21	2013-08-02 16:05:16.292019	2013-08-04 00:40:47.491434
6180	2	2013-08-02 16:05:15.568663	2013-08-03 18:03:07.060811
5012	14	2013-08-02 16:05:13.206355	2013-08-04 17:56:50.639873
12621	21	2013-08-02 16:05:28.381766	2013-08-03 18:07:17.468632
12613	21	2013-08-02 16:05:28.368521	2013-08-03 18:07:17.471884
12601	21	2013-08-02 16:05:28.344765	2013-08-03 18:07:17.475145
4948	14	2013-08-02 16:05:13.140469	2013-08-04 17:56:50.651018
4968	14	2013-08-02 16:05:13.159633	2013-08-04 17:56:50.662638
12600	2	2013-08-02 16:05:28.342738	2013-08-03 18:07:17.531506
11450	2	2013-08-02 16:05:25.65501	2013-08-03 18:07:17.542186
4988	14	2013-08-02 16:05:13.179139	2013-08-04 17:56:50.673635
2526	21	2013-08-02 16:05:08.864814	2013-08-03 18:07:17.727654
2644	21	2013-08-02 16:05:08.993285	2013-08-03 18:07:17.730987
2530	7	2013-08-02 16:05:08.867703	2013-08-03 18:07:17.938362
2662	7	2013-08-02 16:05:09.053362	2013-08-03 18:07:17.948274
2642	7	2013-08-02 16:05:08.991348	2013-08-03 18:07:17.957958
2556	7	2013-08-02 16:05:08.902644	2013-08-03 18:07:17.968676
2637	7	2013-08-02 16:05:08.986469	2013-08-03 18:07:17.978924
2622	7	2013-08-02 16:05:08.969803	2013-08-03 18:07:17.988979
2616	7	2013-08-02 16:05:08.963855	2013-08-03 18:07:17.995522
2636	7	2013-08-02 16:05:08.98563	2013-08-03 18:07:18.003907
2602	7	2013-08-02 16:05:08.94717	2013-08-03 18:07:18.014371
2656	7	2013-08-02 16:05:09.048841	2013-08-03 18:07:18.024742
2576	7	2013-08-02 16:05:08.921609	2013-08-03 18:07:18.034965
2582	7	2013-08-02 16:05:08.927099	2013-08-03 18:07:18.045328
3651	7	2013-08-02 16:05:10.88079	2013-08-03 18:07:18.055596
2562	7	2013-08-02 16:05:08.908377	2013-08-03 18:07:18.065984
2541	7	2013-08-02 16:05:08.8857	2013-08-03 18:07:18.12999
2542	7	2013-08-02 16:05:08.886584	2013-08-03 18:07:18.137641
2522	7	2013-08-02 16:05:08.861393	2013-08-03 18:07:18.148273
2633	7	2013-08-02 16:05:08.981873	2013-08-03 18:07:18.158616
2653	7	2013-08-02 16:05:09.046668	2013-08-03 18:07:18.16887
25943	21	2013-08-02 16:05:56.15182	2013-08-03 18:07:18.195304
25923	21	2013-08-02 16:05:56.098618	2013-08-03 18:07:18.199045
25843	6	2013-08-02 16:05:55.894626	2013-08-03 18:07:18.22999
9986	6	2013-08-02 16:05:23.262014	2013-08-03 18:07:18.235494
18940	2	2013-08-02 16:05:40.69939	2013-08-03 18:07:18.246724
12543	2	2013-08-02 16:05:28.228761	2013-08-03 18:07:18.252048
5008	14	2013-08-02 16:05:13.202242	2013-08-04 17:56:50.684767
5007	14	2013-08-02 16:05:13.201143	2013-08-04 17:56:50.696224
4987	14	2013-08-02 16:05:13.178323	2013-08-04 17:56:50.70746
12348	7	2013-08-02 16:05:27.822832	2013-08-03 18:07:18.337856
16892	7	2013-08-02 16:05:36.548109	2013-08-03 18:07:18.347898
26323	7	2013-08-02 16:05:56.83716	2013-08-03 18:07:18.389153
26303	7	2013-08-02 16:05:56.798618	2013-08-03 18:07:18.399937
26283	7	2013-08-02 16:05:56.765096	2013-08-03 18:07:18.410155
26263	7	2013-08-02 16:05:56.741587	2013-08-03 18:07:18.420485
26243	7	2013-08-02 16:05:56.712132	2013-08-03 18:07:18.430707
26223	7	2013-08-02 16:05:56.698266	2013-08-03 18:07:18.44088
26203	7	2013-08-02 16:05:56.683678	2013-08-03 18:07:18.451127
26183	7	2013-08-02 16:05:56.657218	2013-08-03 18:07:18.461652
26163	7	2013-08-02 16:05:56.611272	2013-08-03 18:07:18.471893
26143	7	2013-08-02 16:05:56.585141	2013-08-03 18:07:18.482146
26123	7	2013-08-02 16:05:56.566211	2013-08-03 18:07:18.492275
26103	7	2013-08-02 16:05:56.550906	2013-08-03 18:07:18.502648
26083	7	2013-08-02 16:05:56.534274	2013-08-03 18:07:18.512939
26063	7	2013-08-02 16:05:56.517554	2013-08-03 18:07:18.52319
26043	7	2013-08-02 16:05:56.502123	2013-08-03 18:07:18.533264
26023	7	2013-08-02 16:05:56.474967	2013-08-03 18:07:18.543224
26003	7	2013-08-02 16:05:56.444327	2013-08-03 18:07:18.553044
25983	7	2013-08-02 16:05:56.257769	2013-08-03 18:07:18.562535
25963	7	2013-08-02 16:05:56.205252	2013-08-03 18:07:18.572611
5699	21	2013-08-02 16:05:14.42667	2013-08-03 18:07:18.589574
7391	21	2013-08-02 16:05:17.824109	2013-08-03 18:07:18.592527
6979	21	2013-08-02 16:05:17.408749	2013-08-03 18:07:18.595203
6879	6	2013-08-02 16:05:17.189177	2013-08-03 18:07:18.612379
6539	6	2013-08-02 16:05:16.394171	2013-08-03 18:07:18.622226
4967	14	2013-08-02 16:05:13.15854	2013-08-04 17:56:50.718615
4947	14	2013-08-02 16:05:13.13929	2013-08-04 17:56:50.729701
4927	14	2013-08-02 16:05:13.119432	2013-08-04 17:56:50.740722
5024	14	2013-08-02 16:05:13.219034	2013-08-04 17:56:50.75365
5419	14	2013-08-02 16:05:13.852852	2013-08-04 17:56:50.76761
4907	14	2013-08-02 16:05:13.10191	2013-08-04 17:56:50.779786
7791	11	2013-08-02 16:05:18.313443	2013-08-03 18:07:18.737116
7811	11	2013-08-02 16:05:18.358243	2013-08-03 18:07:18.747449
7891	7	2013-08-02 16:05:18.55614	2013-08-03 18:07:18.797047
14193	7	2013-08-02 16:05:31.170645	2013-08-03 18:07:18.807628
7759	8	2013-08-02 16:05:18.263491	2013-08-03 18:07:18.828645
14948	8	2013-08-02 16:05:32.987409	2013-08-03 18:07:18.838854
12357	2	2013-08-02 16:05:27.844223	2013-08-03 18:07:19.08687
16852	2	2013-08-02 16:05:36.444426	2013-08-03 18:07:19.096734
8399	21	2013-08-02 16:05:19.764183	2013-08-03 18:07:19.120688
8379	6	2013-08-02 16:05:19.71634	2013-08-03 18:07:19.144099
8359	6	2013-08-02 16:05:19.668797	2013-08-03 18:07:19.155079
7559	6	2013-08-02 16:05:17.981518	2013-08-03 18:07:19.16544
6159	4	2013-08-02 16:05:15.518162	2013-08-03 18:07:19.261858
6179	4	2013-08-02 16:05:15.566287	2013-08-03 18:07:19.26621
6199	4	2013-08-02 16:05:15.614369	2013-08-03 18:07:19.270515
7899	11	2013-08-02 16:05:18.575352	2013-08-03 18:07:19.318393
7879	11	2013-08-02 16:05:18.527058	2013-08-03 18:07:19.328532
7859	11	2013-08-02 16:05:18.478697	2013-08-03 18:07:19.338439
23288	21	2013-08-02 16:05:50.870219	2013-08-03 18:07:19.366268
23268	21	2013-08-02 16:05:50.821239	2013-08-03 18:07:19.369646
23248	21	2013-08-02 16:05:50.773421	2013-08-03 18:07:19.372728
23168	4	2013-08-02 16:05:50.588563	2013-08-03 18:07:19.456007
23148	4	2013-08-02 16:05:50.54342	2013-08-03 18:07:19.466428
12361	2	2013-08-02 16:05:27.853701	2013-08-03 18:07:19.624161
5709	14	2013-08-02 16:05:14.450594	2013-08-03 18:07:19.682144
5689	14	2013-08-02 16:05:14.402969	2013-08-03 18:07:19.693312
5669	14	2013-08-02 16:05:14.354641	2013-08-03 18:07:19.752051
5589	11	2013-08-02 16:05:14.213304	2013-08-03 18:07:19.790658
5569	11	2013-08-02 16:05:14.176197	2013-08-03 18:07:19.800228
5549	11	2013-08-02 16:05:14.128835	2013-08-03 18:07:19.811253
12341	7	2013-08-02 16:05:27.806254	2013-08-03 18:07:19.863564
12592	21	2013-08-02 16:05:28.326468	2013-08-03 18:07:19.897497
12710	14	2013-08-02 16:05:28.536435	2013-08-03 18:07:19.916563
12690	14	2013-08-02 16:05:28.493855	2013-08-03 18:07:19.926955
12670	6	2013-08-02 16:05:28.453353	2013-08-03 18:07:19.950268
12650	6	2013-08-02 16:05:28.418837	2013-08-03 18:07:19.96116
12610	2	2013-08-02 16:05:28.362554	2013-08-03 18:07:20.015436
5609	4	2013-08-02 16:05:14.237794	2013-08-03 18:07:20.04619
5629	4	2013-08-02 16:05:14.265941	2013-08-03 18:07:20.056055
12321	7	2013-08-02 16:05:27.758785	2013-08-03 18:07:20.154723
17152	21	2013-08-02 16:05:37.206313	2013-08-03 18:07:20.168539
17132	21	2013-08-02 16:05:37.156629	2013-08-03 18:07:20.170499
17072	6	2013-08-02 16:05:37.010742	2013-08-03 18:07:20.199743
17052	6	2013-08-02 16:05:36.959724	2013-08-03 18:07:20.210335
17078	4	2013-08-02 16:05:37.025069	2013-08-03 18:07:20.261291
17012	4	2013-08-02 16:05:36.853985	2013-08-03 18:07:20.268156
15163	21	2013-08-02 16:05:33.47559	2013-08-03 18:07:20.342012
15157	14	2013-08-02 16:05:33.466129	2013-08-03 18:07:20.359356
15153	14	2013-08-02 16:05:33.460689	2013-08-03 18:07:20.369605
6080	11	2013-08-02 16:05:15.327885	2013-08-03 18:07:20.777388
6100	11	2013-08-02 16:05:15.375612	2013-08-03 18:07:20.788857
7279	16	2013-08-02 16:05:17.695595	2013-08-04 00:44:15.345727
23228	14	2013-08-02 16:05:50.720448	2013-08-04 00:44:15.348481
21735	21	2013-08-02 16:05:46.903833	2013-08-04 02:03:21.386249
23208	2	2013-08-02 16:05:50.668344	2013-08-04 02:25:50.371847
13375	2	2013-08-02 16:05:29.435928	2013-08-04 02:25:50.382736
5986	2	2013-08-02 16:05:15.135858	2013-08-04 02:25:50.393842
8311	2	2013-08-02 16:05:19.549905	2013-08-04 02:25:50.404466
16645	2	2013-08-02 16:05:35.969904	2013-08-04 02:25:50.413016
7291	2	2013-08-02 16:05:17.708047	2013-08-04 02:25:50.417362
17032	19	2013-08-02 16:05:36.906193	2013-08-04 02:26:47.545993
23188	21	2013-08-02 16:05:50.617176	2013-08-04 02:30:51.170465
17058	2	2013-08-02 16:05:36.975574	2013-08-04 02:30:53.849389
6160	21	2013-08-02 16:05:15.520583	2013-08-04 02:50:48.946658
22055	21	2013-08-02 16:05:47.680845	2013-08-04 02:50:48.951475
11131	21	2013-08-02 16:05:24.774496	2013-08-04 02:56:11.02303
11111	21	2013-08-02 16:05:24.72698	2013-08-04 02:56:11.025667
16972	21	2013-08-02 16:05:36.754991	2013-08-04 02:56:11.028496
5649	9	2013-08-02 16:05:14.302446	2013-08-04 02:56:11.062355
23128	19	2013-08-02 16:05:50.503343	2013-08-04 02:56:11.069871
8611	14	2013-08-02 16:05:20.313742	2013-08-04 02:56:11.077616
16992	21	2013-08-02 16:05:36.802793	2013-08-04 03:00:24.255638
6120	7	2013-08-02 16:05:15.424593	2013-08-03 18:07:20.810762
6140	7	2013-08-02 16:05:15.472302	2013-08-03 18:07:20.821309
12096	2	2013-08-02 16:05:27.296768	2013-08-03 18:07:20.948232
12430	2	2013-08-02 16:05:28.03491	2013-08-03 18:07:21.008052
848	2	2013-08-02 16:05:05.301549	2013-08-03 18:07:21.01783
20998	14	2013-08-02 16:05:45.210502	2013-08-03 18:07:21.098776
20978	14	2013-08-02 16:05:45.178447	2013-08-03 18:07:21.1093
23628	2	2013-08-02 16:05:51.712601	2013-08-04 17:07:42.469692
4887	14	2013-08-02 16:05:13.08364	2013-08-04 17:56:50.791546
33068	21	2013-08-02 16:06:13.06828	2013-08-04 17:56:50.822816
9479	4	2013-08-02 16:05:22.470799	2013-08-03 18:07:21.251464
24551	14	2013-08-02 16:05:53.220085	2013-08-04 17:56:50.844885
33048	14	2013-08-02 16:06:13.020968	2013-08-04 17:56:50.857905
7639	7	2013-08-02 16:05:18.064604	2013-08-03 18:07:21.324592
7799	7	2013-08-02 16:05:18.328856	2013-08-03 18:07:21.330955
21318	21	2013-08-02 16:05:45.75055	2013-08-03 18:07:21.365555
21298	21	2013-08-02 16:05:45.6969	2013-08-03 18:07:21.368656
21278	21	2013-08-02 16:05:45.645147	2013-08-03 18:07:21.371711
21258	21	2013-08-02 16:05:45.609171	2013-08-03 18:07:21.374899
21238	21	2013-08-02 16:05:45.570573	2013-08-03 18:07:21.377953
21218	21	2013-08-02 16:05:45.524327	2013-08-03 18:07:21.381033
33028	14	2013-08-02 16:06:12.973322	2013-08-04 17:56:50.870963
21178	8	2013-08-02 16:05:45.430544	2013-08-03 18:07:21.416123
21158	14	2013-08-02 16:05:45.407965	2013-08-03 18:07:21.425121
21138	19	2013-08-02 16:05:45.387154	2013-08-03 18:07:21.433104
21118	4	2013-08-02 16:05:45.363667	2013-08-03 18:07:21.44101
33015	14	2013-08-02 16:06:12.940717	2013-08-04 17:56:50.882908
21078	11	2013-08-02 16:05:45.311426	2013-08-03 18:07:21.458475
21058	7	2013-08-02 16:05:45.285415	2013-08-03 18:07:21.46651
21038	2	2013-08-02 16:05:45.260863	2013-08-03 18:07:21.476229
33008	14	2013-08-02 16:06:12.922142	2013-08-04 17:56:50.89796
32988	14	2013-08-02 16:06:12.868911	2013-08-04 17:56:50.906904
33121	14	2013-08-02 16:06:13.207563	2013-08-04 17:56:50.912959
14768	4	2013-08-02 16:05:32.55878	2013-08-03 18:07:21.543437
9786	4	2013-08-02 16:05:22.996745	2013-08-03 18:07:21.547585
818	2	2013-08-02 16:05:05.266401	2013-08-03 18:07:21.555373
32997	14	2013-08-02 16:06:12.892501	2013-08-04 17:56:50.918856
19788	7	2013-08-02 16:05:42.877272	2013-08-03 18:07:21.602805
7651	7	2013-08-02 16:05:18.075111	2013-08-03 18:07:21.610476
19260	21	2013-08-02 16:05:41.497301	2013-08-03 18:07:21.624579
19240	14	2013-08-02 16:05:41.446159	2013-08-03 18:07:21.636538
19220	14	2013-08-02 16:05:41.393631	2013-08-03 18:07:21.640195
32898	14	2013-08-02 16:06:12.645251	2013-08-04 17:56:50.923582
32968	2	2013-08-02 16:06:12.814823	2013-08-04 17:56:50.935265
19160	6	2013-08-02 16:05:41.236995	2013-08-03 18:07:21.658093
19140	6	2013-08-02 16:05:41.184076	2013-08-03 18:07:21.661756
32948	2	2013-08-02 16:06:12.765627	2013-08-04 17:56:50.942219
15351	2	2013-08-02 16:05:33.642228	2013-08-04 17:56:50.948196
19080	4	2013-08-02 16:05:41.034488	2013-08-03 18:07:21.690278
19060	4	2013-08-02 16:05:40.995468	2013-08-03 18:07:21.697652
19040	11	2013-08-02 16:05:40.94439	2013-08-03 18:07:21.717511
19020	11	2013-08-02 16:05:40.891379	2013-08-03 18:07:21.72778
32928	2	2013-08-02 16:06:12.715666	2013-08-04 17:56:50.952182
22115	14	2013-08-02 16:05:47.834732	2013-08-03 18:09:14.456921
22135	13	2013-08-02 16:05:47.884585	2013-08-03 18:09:14.458371
32908	2	2013-08-02 16:06:12.66661	2013-08-04 17:56:50.956037
22175	11	2013-08-02 16:05:47.978757	2013-08-03 18:09:14.461453
22215	9	2013-08-02 16:05:48.055807	2013-08-03 18:09:14.464056
22235	8	2013-08-02 16:05:48.103611	2013-08-03 18:09:14.465401
22255	7	2013-08-02 16:05:48.151702	2013-08-03 18:09:14.46644
22275	6	2013-08-02 16:05:48.200058	2013-08-03 18:09:14.467648
22315	4	2013-08-02 16:05:48.296464	2013-08-03 18:09:14.4698
7999	21	2013-08-02 16:05:18.829662	2013-08-03 22:29:28.58361
22355	2	2013-08-02 16:05:48.517933	2013-08-03 18:09:14.471658
7871	21	2013-08-02 16:05:18.507578	2013-08-03 22:29:28.58707
19340	14	2013-08-02 16:05:41.707725	2013-08-03 18:09:14.485968
19360	13	2013-08-02 16:05:41.755888	2013-08-03 18:09:14.487171
19400	11	2013-08-02 16:05:41.988463	2013-08-03 18:09:14.489942
19440	9	2013-08-02 16:05:42.037129	2013-08-03 18:09:14.492364
19460	8	2013-08-02 16:05:42.073865	2013-08-03 18:09:14.49344
19480	7	2013-08-02 16:05:42.113857	2013-08-03 18:09:14.49442
19523	6	2013-08-02 16:05:42.219695	2013-08-03 18:09:14.495425
19520	4	2013-08-02 16:05:42.212435	2013-08-03 18:09:14.499472
7831	11	2013-08-02 16:05:18.409756	2013-08-03 23:42:07.127501
19560	2	2013-08-02 16:05:42.307591	2013-08-03 18:09:14.504078
26403	16	2013-08-02 16:05:56.997378	2013-08-03 18:09:14.528991
26443	14	2013-08-02 16:05:57.097042	2013-08-03 18:09:14.533893
26463	13	2013-08-02 16:05:57.150516	2013-08-03 18:09:14.537096
26503	11	2013-08-02 16:05:57.255105	2013-08-03 18:09:14.542331
26543	9	2013-08-02 16:05:57.360066	2013-08-03 18:09:14.607999
26563	8	2013-08-02 16:05:57.408298	2013-08-03 18:09:14.609011
26583	7	2013-08-02 16:05:57.457745	2013-08-03 18:09:14.60986
26603	6	2013-08-02 16:05:57.508838	2013-08-03 18:09:14.610676
26643	4	2013-08-02 16:05:57.6147	2013-08-03 18:09:14.61243
26663	2	2013-08-02 16:05:57.667848	2013-08-03 18:09:14.613231
20958	11	2013-08-02 16:05:45.150472	2013-08-04 00:44:15.353592
5137	19	2013-08-02 16:05:13.362724	2013-08-03 18:09:14.624421
5719	16	2013-08-02 16:05:14.474244	2013-08-03 18:09:14.628387
18598	9	2013-08-02 16:05:39.857489	2013-08-04 00:44:15.356011
13355	14	2013-08-02 16:05:29.419801	2013-08-03 18:09:14.632307
6651	13	2013-08-02 16:05:16.68732	2013-08-03 18:09:14.634033
5208	11	2013-08-02 16:05:13.486648	2013-08-03 18:09:14.637835
6291	9	2013-08-02 16:05:15.841519	2013-08-03 18:09:14.642422
6131	8	2013-08-02 16:05:15.450959	2013-08-03 18:09:14.644814
4124	7	2013-08-02 16:05:12.039388	2013-08-03 18:09:14.648293
7086	6	2013-08-02 16:05:17.518595	2013-08-03 18:09:14.651663
19200	8	2013-08-02 16:05:41.341188	2013-08-04 00:44:15.357062
4104	2	2013-08-02 16:05:11.996449	2013-08-03 18:09:14.662819
23388	14	2013-08-02 16:05:51.116695	2013-08-03 18:09:14.741428
23408	13	2013-08-02 16:05:51.169842	2013-08-03 18:09:14.742593
23448	11	2013-08-02 16:05:51.27085	2013-08-03 18:09:14.744942
23488	9	2013-08-02 16:05:51.367829	2013-08-03 18:09:14.746839
23508	7	2013-08-02 16:05:51.413519	2013-08-03 18:09:14.747899
23528	6	2013-08-02 16:05:51.44335	2013-08-03 18:09:14.748888
19180	7	2013-08-02 16:05:41.287365	2013-08-04 00:44:15.357977
23608	2	2013-08-02 16:05:51.657029	2013-08-03 18:09:14.75254
5116	6	2013-08-02 16:05:13.329557	2013-08-04 00:45:50.424715
22575	11	2013-08-02 16:05:49.06505	2013-08-04 00:45:50.434681
7339	19	2013-08-02 16:05:17.768475	2013-08-03 18:09:14.76551
16905	2	2013-08-02 16:05:36.583059	2013-08-03 18:09:35.231446
22455	11	2013-08-02 16:05:48.760058	2013-08-03 18:09:35.268226
22495	9	2013-08-02 16:05:48.85942	2013-08-03 18:09:35.275408
22515	8	2013-08-02 16:05:48.907668	2013-08-03 18:09:35.278922
22535	7	2013-08-02 16:05:48.958192	2013-08-03 18:09:35.282618
22555	6	2013-08-02 16:05:49.012803	2013-08-03 18:09:35.286196
22595	4	2013-08-02 16:05:49.11763	2013-08-03 18:09:35.293122
19380	2	2013-08-02 16:05:41.803591	2013-08-04 01:41:01.405464
22635	2	2013-08-02 16:05:49.21418	2013-08-03 18:09:35.300332
12810	7	2013-08-02 16:05:28.865578	2013-08-03 18:09:35.359118
12830	6	2013-08-02 16:05:28.884973	2013-08-03 18:09:35.362852
12850	4	2013-08-02 16:05:28.907122	2013-08-03 18:09:35.369622
22155	2	2013-08-02 16:05:47.935097	2013-08-04 01:41:01.411943
12730	16	2013-08-02 16:05:28.582693	2013-08-03 18:09:35.409297
19540	2	2013-08-02 16:05:42.260084	2013-08-04 01:45:51.814593
17252	9	2013-08-02 16:05:37.530602	2013-08-03 18:09:35.427532
17237	8	2013-08-02 16:05:37.499691	2013-08-03 18:09:35.428789
17135	7	2013-08-02 16:05:37.163744	2013-08-03 18:09:35.430157
22335	21	2013-08-02 16:05:48.34408	2013-08-03 21:04:19.179726
6491	11	2013-08-02 16:05:16.271861	2013-08-03 21:06:04.416033
23428	2	2013-08-02 16:05:51.220955	2013-08-04 01:45:51.824825
6671	2	2013-08-02 16:05:16.738802	2013-08-04 01:45:51.836606
26483	2	2013-08-02 16:05:57.203018	2013-08-04 01:45:51.848699
21198	16	2013-08-02 16:05:45.469122	2013-08-04 02:26:47.553012
9279	14	2013-08-02 16:05:21.94832	2013-08-04 02:26:47.560315
19120	13	2013-08-02 16:05:41.131841	2013-08-04 02:26:47.56406
22195	11	2013-08-02 16:05:48.003395	2013-08-04 02:26:47.571839
19420	9	2013-08-02 16:05:42.009408	2013-08-04 02:26:47.57569
7631	8	2013-08-02 16:05:18.057676	2013-08-04 02:26:47.57945
18618	21	2013-08-02 16:05:39.908519	2013-08-04 02:27:12.029949
7591	21	2013-08-02 16:05:18.013275	2013-08-04 02:56:11.017113
7691	21	2013-08-02 16:05:18.192725	2013-08-04 02:56:11.02046
21098	6	2013-08-02 16:05:45.342611	2013-08-04 03:00:24.326665
19000	4	2013-08-02 16:05:40.844041	2013-08-04 03:00:24.334166
19580	2	2013-08-02 16:05:42.357352	2013-08-04 03:00:24.344094
26683	14	2013-08-02 16:05:57.712292	2013-08-04 03:00:36.311224
7141	13	2013-08-02 16:05:17.566938	2013-08-04 03:00:36.31492
16925	11	2013-08-02 16:05:36.634836	2013-08-04 03:00:36.321331
7319	21	2013-08-02 16:05:17.7421	2013-08-04 03:00:36.886044
22375	21	2013-08-02 16:05:48.552754	2013-08-04 03:00:37.070111
22655	21	2013-08-02 16:05:49.261381	2013-08-04 03:00:37.794229
32888	2	2013-08-02 16:06:12.621604	2013-08-04 17:56:50.961818
17312	4	2013-08-02 16:05:37.662353	2013-08-03 18:09:35.435412
10106	9	2013-08-02 16:05:23.372494	2013-08-03 23:42:07.140199
17403	2	2013-08-02 16:05:37.881069	2013-08-03 18:09:35.438233
32868	2	2013-08-02 16:06:12.573703	2013-08-04 17:56:50.966929
10117	16	2013-08-02 16:05:23.38595	2013-08-03 18:09:35.451316
8158	8	2013-08-02 16:05:19.17184	2013-08-03 23:42:07.14209
10177	14	2013-08-02 16:05:23.451828	2013-08-03 18:09:35.454871
10120	13	2013-08-02 16:05:23.388751	2013-08-03 18:09:35.456721
32848	2	2013-08-02 16:06:12.524495	2013-08-04 17:56:50.971032
10146	13	2013-08-02 16:05:23.414586	2013-08-03 18:09:35.514174
19640	9	2013-08-02 16:05:42.502856	2013-08-03 18:09:35.526557
19660	8	2013-08-02 16:05:42.553275	2013-08-03 18:09:35.530264
19680	7	2013-08-02 16:05:42.604805	2013-08-03 18:09:35.533765
19700	6	2013-08-02 16:05:42.65697	2013-08-03 18:09:35.537166
32828	2	2013-08-02 16:06:12.475816	2013-08-04 17:56:50.97441
19740	4	2013-08-02 16:05:42.758377	2013-08-03 18:09:35.544511
12961	13	2013-08-02 16:05:29.022391	2013-08-04 00:45:50.316726
19780	2	2013-08-02 16:05:42.857887	2013-08-03 18:09:35.551046
18170	14	2013-08-02 16:05:39.228446	2013-08-04 17:56:50.986858
3281	14	2013-08-02 16:05:10.005252	2013-08-04 17:56:50.990194
10326	19	2013-08-02 16:05:23.611675	2013-08-03 18:09:35.575658
16860	16	2013-08-02 16:05:36.463132	2013-08-03 18:09:35.577556
13261	14	2013-08-02 16:05:29.333011	2013-08-04 00:45:50.341493
26723	14	2013-08-02 16:05:57.982009	2013-08-03 18:09:35.580619
26743	13	2013-08-02 16:05:58.004123	2013-08-03 18:09:35.584217
48701	14	2013-08-02 16:06:47.017492	2013-08-04 17:56:50.994026
26783	11	2013-08-02 16:05:58.094903	2013-08-03 18:09:35.590463
10689	14	2013-08-02 16:05:24.090933	2013-08-04 17:56:50.997884
26823	9	2013-08-02 16:05:58.202761	2013-08-03 18:09:35.593845
26843	8	2013-08-02 16:05:58.251733	2013-08-03 18:09:35.594938
26863	7	2013-08-02 16:05:58.30096	2013-08-03 18:09:35.596047
26883	6	2013-08-02 16:05:58.349782	2013-08-03 18:09:35.597196
10696	14	2013-08-02 16:05:24.098288	2013-08-04 17:56:51.002809
26923	4	2013-08-02 16:05:58.445885	2013-08-03 18:09:35.600074
26943	2	2013-08-02 16:05:58.494068	2013-08-03 18:09:35.602767
10660	14	2013-08-02 16:05:24.056222	2013-08-04 17:56:51.006837
12761	2	2013-08-02 16:05:28.658238	2013-08-04 19:42:28.255875
12735	13	2013-08-02 16:05:28.594921	2013-08-03 18:09:35.625136
21595	6	2013-08-02 16:05:46.411069	2013-08-03 18:09:35.645846
12848	19	2013-08-02 16:05:28.905225	2013-08-03 18:09:35.686012
16340	16	2013-08-02 16:05:35.174862	2013-08-03 18:09:35.693286
13048	16	2013-08-02 16:05:29.112033	2013-08-04 00:45:50.363203
12801	14	2013-08-02 16:05:28.75437	2013-08-03 18:09:35.700524
12821	13	2013-08-02 16:05:28.876689	2013-08-03 18:09:35.704114
12861	11	2013-08-02 16:05:28.918023	2013-08-03 18:09:35.711117
12852	9	2013-08-02 16:05:28.909828	2013-08-03 18:09:35.71833
12901	7	2013-08-02 16:05:28.965426	2013-08-03 18:09:35.725421
12921	6	2013-08-02 16:05:28.986774	2013-08-03 18:09:35.729015
12941	4	2013-08-02 16:05:29.003944	2013-08-03 18:09:35.736091
27243	2	2013-08-02 16:05:59.233433	2013-08-04 01:00:53.22045
12875	2	2013-08-02 16:05:28.932231	2013-08-03 18:09:35.74253
10066	13	2013-08-02 16:05:23.334324	2013-08-03 18:09:35.775393
27103	2	2013-08-02 16:05:58.868497	2013-08-04 01:45:51.779227
987	2	2013-08-02 16:05:05.533056	2013-08-03 18:09:35.883163
13121	9	2013-08-02 16:05:29.19462	2013-08-03 18:09:46.43151
13141	8	2013-08-02 16:05:29.216418	2013-08-03 18:09:46.434644
13161	7	2013-08-02 16:05:29.239777	2013-08-03 18:09:46.437876
13181	6	2013-08-02 16:05:29.260008	2013-08-03 18:09:46.440753
13188	4	2013-08-02 16:05:29.265362	2013-08-03 18:09:46.447057
12841	2	2013-08-02 16:05:28.896657	2013-08-04 01:45:51.79111
13117	2	2013-08-02 16:05:29.188336	2013-08-03 18:09:46.454178
9612	16	2013-08-02 16:05:22.757072	2013-08-03 18:09:46.477067
22735	11	2013-08-02 16:05:49.411904	2013-08-03 18:09:46.483398
18420	9	2013-08-02 16:05:39.529563	2013-08-03 18:09:46.485738
22775	8	2013-08-02 16:05:49.494743	2013-08-03 18:09:46.486537
22795	7	2013-08-02 16:05:49.546866	2013-08-03 18:09:46.487677
22815	6	2013-08-02 16:05:49.600289	2013-08-03 18:09:46.48914
22855	4	2013-08-02 16:05:49.70587	2013-08-03 18:09:46.491877
26763	2	2013-08-02 16:05:58.041909	2013-08-04 01:45:51.803108
22895	2	2013-08-02 16:05:49.810999	2013-08-03 18:09:46.494939
27023	16	2013-08-02 16:05:58.687924	2013-08-03 18:09:46.516174
27483	4	2013-08-02 16:05:59.92404	2013-08-04 02:30:52.239076
27063	14	2013-08-02 16:05:58.769465	2013-08-03 18:09:46.523439
27083	13	2013-08-02 16:05:58.819082	2013-08-03 18:09:46.526837
27123	11	2013-08-02 16:05:58.920267	2013-08-03 18:09:46.534591
27163	9	2013-08-02 16:05:59.028882	2013-08-03 18:09:46.541797
27183	8	2013-08-02 16:05:59.081663	2013-08-03 18:09:46.545119
27203	7	2013-08-02 16:05:59.133382	2013-08-03 18:09:46.548691
27223	6	2013-08-02 16:05:59.18514	2013-08-03 18:09:46.552225
27263	4	2013-08-02 16:05:59.281089	2013-08-03 18:09:46.560406
27283	2	2013-08-02 16:05:59.328299	2013-08-03 18:09:46.563894
13281	4	2013-08-02 16:05:29.353081	2013-08-03 18:12:23.981375
13293	11	2013-08-02 16:05:29.366346	2013-08-03 18:12:24.037805
13221	11	2013-08-02 16:05:29.291427	2013-08-03 18:12:24.042484
13335	2	2013-08-02 16:05:29.402354	2013-08-03 18:12:24.053119
13295	2	2013-08-02 16:05:29.368414	2013-08-03 18:12:24.058779
13201	6	2013-08-02 16:05:29.274912	2013-08-03 18:12:24.077729
27683	21	2013-08-02 16:06:00.380138	2013-08-03 18:12:24.390629
27663	21	2013-08-02 16:06:00.331954	2013-08-03 18:12:24.392398
27643	21	2013-08-02 16:06:00.284321	2013-08-03 18:12:24.393818
27623	21	2013-08-02 16:06:00.236571	2013-08-03 18:12:24.395091
27603	21	2013-08-02 16:06:00.18746	2013-08-03 18:12:24.396468
27583	21	2013-08-02 16:06:00.137719	2013-08-03 18:12:24.397826
27563	21	2013-08-02 16:06:00.087944	2013-08-03 18:12:24.398864
27543	21	2013-08-02 16:06:00.037521	2013-08-03 18:12:24.399904
27523	21	2013-08-02 16:05:59.989247	2013-08-03 18:12:24.401155
27503	8	2013-08-02 16:05:59.947366	2013-08-03 18:12:24.407606
27463	14	2013-08-02 16:05:59.905095	2013-08-03 18:12:24.422546
27443	2	2013-08-02 16:05:59.713505	2013-08-03 18:12:24.43629
27423	6	2013-08-02 16:05:59.667547	2013-08-03 18:12:24.458307
27403	4	2013-08-02 16:05:59.619662	2013-08-03 18:12:24.482376
27383	11	2013-08-02 16:05:59.571994	2013-08-03 18:12:24.505371
27343	19	2013-08-02 16:05:59.475075	2013-08-03 18:12:24.522001
27323	7	2013-08-02 16:05:59.423481	2013-08-03 18:12:24.535841
28063	21	2013-08-02 16:06:01.173392	2013-08-03 18:12:24.55877
28043	4	2013-08-02 16:06:01.153602	2013-08-03 18:12:24.580271
28023	4	2013-08-02 16:06:01.133055	2013-08-03 18:12:24.59169
28003	4	2013-08-02 16:06:01.11572	2013-08-03 18:12:24.602586
27983	4	2013-08-02 16:06:01.082417	2013-08-03 18:12:24.61351
27963	4	2013-08-02 16:06:01.042131	2013-08-03 18:12:24.624108
27943	4	2013-08-02 16:06:01.013555	2013-08-03 18:12:24.634252
27923	4	2013-08-02 16:06:00.969612	2013-08-03 18:12:24.644699
27903	4	2013-08-02 16:06:00.912033	2013-08-03 18:12:24.655104
27883	4	2013-08-02 16:06:00.85735	2013-08-03 18:12:24.665916
27863	2	2013-08-02 16:06:00.807481	2013-08-03 18:12:24.687214
27843	2	2013-08-02 16:06:00.758911	2013-08-03 18:12:24.698132
27823	2	2013-08-02 16:06:00.721283	2013-08-03 18:12:24.708624
27803	2	2013-08-02 16:06:00.674018	2013-08-03 18:12:24.718908
27783	2	2013-08-02 16:06:00.626026	2013-08-03 18:12:24.729281
27763	2	2013-08-02 16:06:00.577467	2013-08-03 18:12:24.7393
27743	2	2013-08-02 16:06:00.526392	2013-08-03 18:12:24.749215
27723	2	2013-08-02 16:06:00.475584	2013-08-03 18:12:24.765017
27703	2	2013-08-02 16:06:00.42804	2013-08-03 18:12:24.772226
17658	21	2013-08-02 16:05:38.479364	2013-08-03 18:12:24.781388
17638	21	2013-08-02 16:05:38.432594	2013-08-03 18:12:24.782885
20048	21	2013-08-02 16:05:43.538361	2013-08-03 18:12:24.78418
7939	21	2013-08-02 16:05:18.676709	2013-08-03 18:12:24.785407
8071	21	2013-08-02 16:05:18.957639	2013-08-03 18:12:24.786583
20088	6	2013-08-02 16:05:43.637417	2013-08-03 18:12:24.793922
3935	6	2013-08-02 16:05:11.593341	2013-08-03 18:12:24.797456
22217	19	2013-08-02 16:05:48.060668	2013-08-03 18:12:24.838699
22237	19	2013-08-02 16:05:48.10838	2013-08-03 18:12:24.849243
22257	11	2013-08-02 16:05:48.156439	2013-08-03 18:12:24.870785
17332	7	2013-08-02 16:05:37.70838	2013-08-03 21:06:04.427963
19760	6	2013-08-02 16:05:42.810232	2013-08-03 21:06:04.429767
1007	4	2013-08-02 16:05:05.582984	2013-08-03 21:06:04.432032
13400	4	2013-08-02 16:05:29.456616	2013-08-04 02:30:52.245099
27143	4	2013-08-02 16:05:58.973209	2013-08-04 02:30:52.249904
22755	4	2013-08-02 16:05:49.445392	2013-08-04 02:30:52.255042
13060	4	2013-08-02 16:05:29.126853	2013-08-04 02:30:52.259097
12772	4	2013-08-02 16:05:28.685578	2013-08-04 02:30:52.262951
26803	4	2013-08-02 16:05:58.149198	2013-08-04 02:30:52.266921
13241	4	2013-08-02 16:05:29.312699	2013-08-04 02:30:52.270872
17352	9	2013-08-02 16:05:37.757896	2013-08-04 03:00:36.328079
10346	8	2013-08-02 16:05:23.631402	2013-08-04 03:00:36.331668
19717	7	2013-08-02 16:05:42.700016	2013-08-04 03:00:36.335199
26963	6	2013-08-02 16:05:58.547804	2013-08-04 03:00:36.338716
22915	4	2013-08-02 16:05:49.859105	2013-08-04 03:00:36.345111
27363	2	2013-08-02 16:05:59.522741	2013-08-04 03:00:36.351172
967	21	2013-08-02 16:05:05.492342	2013-08-04 03:00:36.888614
4058	9	2013-08-02 16:05:11.908195	2013-08-04 03:00:37.386413
4078	19	2013-08-02 16:05:11.943028	2013-08-04 03:00:37.394801
22277	11	2013-08-02 16:05:48.20497	2013-08-03 18:12:24.881796
22337	7	2013-08-02 16:05:48.34872	2013-08-03 18:12:24.937954
4038	7	2013-08-02 16:05:11.877614	2013-08-03 18:12:24.948909
16983	4	2013-08-02 16:05:36.781462	2013-08-03 18:12:25.125423
14117	19	2013-08-02 16:05:30.982895	2013-08-04 17:01:23.940877
7359	21	2013-08-02 16:05:17.790057	2013-08-03 18:12:25.318771
22317	21	2013-08-02 16:05:48.301203	2013-08-04 17:01:24.131034
7819	19	2013-08-02 16:05:18.378877	2013-08-03 18:12:25.371472
8951	19	2013-08-02 16:05:21.103056	2013-08-03 18:12:25.382115
19748	6	2013-08-02 16:05:42.779491	2013-08-03 18:12:25.404474
7311	6	2013-08-02 16:05:17.731917	2013-08-03 18:12:25.415199
5839	4	2013-08-02 16:05:14.761065	2013-08-03 18:12:25.435701
8579	4	2013-08-02 16:05:20.240174	2013-08-03 18:12:25.446666
8559	21	2013-08-02 16:05:20.189596	2013-08-04 17:02:13.485649
28423	21	2013-08-02 16:06:01.731679	2013-08-04 17:07:41.590382
10538	14	2013-08-02 16:05:23.84549	2013-08-04 17:56:51.010253
10669	14	2013-08-02 16:05:24.065722	2013-08-04 17:56:51.014443
8439	11	2013-08-02 16:05:19.906128	2013-08-03 18:12:25.536272
8419	11	2013-08-02 16:05:19.882011	2013-08-03 18:12:25.546649
6029	21	2013-08-02 16:05:15.241441	2013-08-03 18:12:25.701941
6009	21	2013-08-02 16:05:15.194082	2013-08-03 18:12:25.705857
5989	19	2013-08-02 16:05:15.143453	2013-08-03 18:12:25.726132
5969	19	2013-08-02 16:05:15.090862	2013-08-03 18:12:25.737579
10649	14	2013-08-02 16:05:24.043234	2013-08-04 17:56:51.024587
10526	14	2013-08-02 16:05:23.832115	2013-08-04 17:56:51.029867
10629	14	2013-08-02 16:05:24.024533	2013-08-04 17:56:51.03372
14885	11	2013-08-02 16:05:32.831495	2013-08-03 18:12:25.836816
12930	11	2013-08-02 16:05:28.994085	2013-08-03 18:12:26.122936
10609	14	2013-08-02 16:05:23.911978	2013-08-04 17:56:51.039207
17572	21	2013-08-02 16:05:38.286547	2013-08-03 18:12:26.501487
17552	21	2013-08-02 16:05:38.244116	2013-08-03 18:12:26.505158
17532	21	2013-08-02 16:05:38.214726	2013-08-03 18:12:26.508754
17512	21	2013-08-02 16:05:38.169055	2013-08-03 18:12:26.512288
17492	21	2013-08-02 16:05:38.114983	2013-08-03 18:12:26.515769
17472	21	2013-08-02 16:05:38.061176	2013-08-03 18:12:26.519246
17520	21	2013-08-02 16:05:38.190457	2013-08-03 18:12:26.522788
17452	8	2013-08-02 16:05:38.009335	2013-08-03 18:12:26.542209
17432	14	2013-08-02 16:05:37.958116	2013-08-03 18:12:26.564407
15333	21	2013-08-02 16:05:33.626702	2013-08-03 18:12:26.759684
15313	21	2013-08-02 16:05:33.608877	2013-08-03 18:12:26.762564
15293	21	2013-08-02 16:05:33.592203	2013-08-03 18:12:26.764874
15273	21	2013-08-02 16:05:33.571659	2013-08-03 18:12:26.767841
15253	21	2013-08-02 16:05:33.552942	2013-08-03 18:12:26.770917
15233	21	2013-08-02 16:05:33.535605	2013-08-03 18:12:26.773808
21558	21	2013-08-02 16:05:46.368775	2013-08-03 18:12:27.15007
10412	14	2013-08-02 16:05:23.702941	2013-08-04 17:56:51.045412
21458	19	2013-08-02 16:05:46.223335	2013-08-03 18:12:27.26186
21438	4	2013-08-02 16:05:46.061687	2013-08-03 18:12:27.284252
10589	14	2013-08-02 16:05:23.893626	2013-08-04 17:56:51.055968
21398	11	2013-08-02 16:05:45.9643	2013-08-03 18:12:27.328858
21423	2	2013-08-02 16:05:46.021629	2013-08-03 18:12:27.348585
15048	2	2013-08-02 16:05:33.291553	2013-08-03 18:12:27.431833
7524	14	2013-08-02 16:05:17.946186	2013-08-04 17:56:51.067322
8710	14	2013-08-02 16:05:20.547098	2013-08-04 17:56:51.07981
20060	21	2013-08-02 16:05:43.560348	2013-08-03 18:12:27.570041
20040	8	2013-08-02 16:05:43.520275	2013-08-03 18:12:27.589058
20020	8	2013-08-02 16:05:43.46831	2013-08-03 18:12:27.600037
10569	14	2013-08-02 16:05:23.874248	2013-08-04 17:56:51.09263
10549	14	2013-08-02 16:05:23.857335	2013-08-04 17:56:51.098935
19960	6	2013-08-02 16:05:43.321884	2013-08-03 18:12:27.6426
19940	6	2013-08-02 16:05:43.272374	2013-08-03 18:12:27.64654
19920	4	2013-08-02 16:05:43.222696	2013-08-03 18:12:27.65589
19900	4	2013-08-02 16:05:43.170118	2013-08-03 18:12:27.661342
10529	14	2013-08-02 16:05:23.835979	2013-08-04 17:56:51.10899
19840	11	2013-08-02 16:05:43.011042	2013-08-03 18:12:27.693124
19820	11	2013-08-02 16:05:42.958932	2013-08-03 18:12:27.703125
13421	6	2013-08-02 16:05:29.477766	2013-08-03 18:14:40.654554
13461	4	2013-08-02 16:05:29.511901	2013-08-03 18:14:40.661296
22157	21	2013-08-02 16:05:47.939855	2013-08-03 22:29:28.574249
13501	2	2013-08-02 16:05:29.550788	2013-08-03 18:14:40.668231
22975	16	2013-08-02 16:05:50.012481	2013-08-03 18:14:40.704709
22995	14	2013-08-02 16:05:50.064198	2013-08-03 18:14:40.708309
23015	13	2013-08-02 16:05:50.117606	2013-08-03 18:14:40.711562
23055	11	2013-08-02 16:05:50.222497	2013-08-03 18:14:40.718097
23037	9	2013-08-02 16:05:50.175163	2013-08-03 18:14:40.724943
23215	2	2013-08-02 16:05:50.686675	2013-08-03 18:14:40.749071
8459	21	2013-08-02 16:05:19.938978	2013-08-04 00:45:50.294992
28143	16	2013-08-02 16:06:01.259453	2013-08-03 18:14:40.79216
4098	21	2013-08-02 16:05:11.983523	2013-08-03 22:29:28.578348
28183	14	2013-08-02 16:06:01.294481	2013-08-03 18:14:40.800418
28203	13	2013-08-02 16:06:01.49507	2013-08-03 18:14:40.805671
28243	11	2013-08-02 16:06:01.535645	2013-08-03 18:14:40.814662
28283	9	2013-08-02 16:06:01.58664	2013-08-03 18:14:40.822422
28303	8	2013-08-02 16:06:01.612302	2013-08-03 18:14:40.824892
28323	7	2013-08-02 16:06:01.631249	2013-08-03 18:14:40.826154
28343	6	2013-08-02 16:06:01.650717	2013-08-03 18:14:40.828555
28383	4	2013-08-02 16:06:01.697017	2013-08-03 18:14:40.835386
28403	2	2013-08-02 16:06:01.71353	2013-08-03 18:14:40.839137
7379	21	2013-08-02 16:05:17.812272	2013-08-04 00:45:50.296594
7299	19	2013-08-02 16:05:17.717529	2013-08-03 18:14:40.864579
7619	16	2013-08-02 16:05:18.04706	2013-08-03 18:14:40.870801
14057	2	2013-08-02 16:05:30.828938	2013-08-03 18:14:40.957888
23195	21	2013-08-02 16:05:50.634533	2013-08-03 22:29:28.581673
20120	13	2013-08-02 16:05:43.81831	2013-08-03 18:14:41.088288
20160	11	2013-08-02 16:05:44.015025	2013-08-03 18:14:41.094928
20200	9	2013-08-02 16:05:44.083035	2013-08-03 18:14:41.101659
20220	8	2013-08-02 16:05:44.11253	2013-08-03 18:14:41.104728
20240	7	2013-08-02 16:05:44.138887	2013-08-03 18:14:41.10752
20275	4	2013-08-02 16:05:44.177162	2013-08-03 18:14:41.118158
4118	7	2013-08-02 16:05:12.026233	2013-08-03 23:42:07.143633
20320	2	2013-08-02 16:05:44.219374	2013-08-03 18:14:41.124928
17225	6	2013-08-02 16:05:37.477395	2013-08-03 18:15:00.868294
17245	4	2013-08-02 16:05:37.516043	2013-08-03 18:15:00.871925
5869	16	2013-08-02 16:05:14.838349	2013-08-04 00:47:38.696982
13601	14	2013-08-02 16:05:29.780939	2013-08-03 18:15:00.92469
13621	13	2013-08-02 16:05:29.813805	2013-08-03 18:15:00.928582
13641	11	2013-08-02 16:05:29.867205	2013-08-03 18:15:00.936482
4715	4	2013-08-02 16:05:12.884845	2013-08-03 18:15:00.961463
24443	2	2013-08-02 16:05:52.941197	2013-08-03 18:15:00.968469
17160	14	2013-08-02 16:05:37.22779	2013-08-03 18:15:01.175188
17632	9	2013-08-02 16:05:38.416428	2013-08-03 18:15:01.189914
17652	8	2013-08-02 16:05:38.469491	2013-08-03 18:15:01.193498
17672	7	2013-08-02 16:05:38.49794	2013-08-03 18:15:01.19661
17692	6	2013-08-02 16:05:38.547205	2013-08-03 18:15:01.199699
17732	4	2013-08-02 16:05:38.613504	2013-08-03 18:15:01.206234
5829	14	2013-08-02 16:05:14.737436	2013-08-04 00:47:38.699956
12910	13	2013-08-02 16:05:28.976287	2013-08-04 00:47:38.701374
28463	14	2013-08-02 16:06:01.774752	2013-08-03 18:15:01.251691
28483	13	2013-08-02 16:06:01.797625	2013-08-03 18:15:01.253072
28523	11	2013-08-02 16:06:01.847686	2013-08-03 18:15:01.260352
28563	9	2013-08-02 16:06:01.920852	2013-08-03 18:15:01.268511
28583	8	2013-08-02 16:06:01.942394	2013-08-03 18:15:01.27244
28603	7	2013-08-02 16:06:01.966941	2013-08-03 18:15:01.276267
28623	6	2013-08-02 16:06:01.998969	2013-08-03 18:15:01.279732
13481	14	2013-08-02 16:05:29.531045	2013-08-03 21:06:15.15863
8891	11	2013-08-02 16:05:20.988144	2013-08-04 00:47:38.703939
15088	2	2013-08-02 16:05:33.357207	2013-08-04 01:45:51.721303
28503	2	2013-08-02 16:06:01.820849	2013-08-04 01:45:51.730673
13600	2	2013-08-02 16:05:29.779762	2013-08-04 01:45:51.740126
22297	2	2013-08-02 16:05:48.253331	2013-08-04 01:45:51.746073
20140	2	2013-08-02 16:05:43.992557	2013-08-04 01:45:51.751376
28223	2	2013-08-02 16:06:01.51442	2013-08-04 01:45:51.756704
23035	2	2013-08-02 16:05:50.170347	2013-08-04 01:45:51.767325
5849	21	2013-08-02 16:05:14.784658	2013-08-04 02:03:21.388872
20000	4	2013-08-02 16:05:43.417856	2013-08-04 02:30:52.206871
21538	4	2013-08-02 16:05:46.34886	2013-08-04 02:30:52.224373
7611	4	2013-08-02 16:05:18.03957	2013-08-04 02:30:52.22958
8639	4	2013-08-02 16:05:20.367539	2013-08-04 02:30:52.234677
28543	2	2013-08-02 16:06:01.886741	2013-08-04 02:30:52.401882
20180	2	2013-08-02 16:05:44.060477	2013-08-04 02:30:52.413246
28263	2	2013-08-02 16:06:01.562622	2013-08-04 02:30:52.424512
23075	2	2013-08-02 16:05:50.424286	2013-08-04 02:30:52.436207
19980	2	2013-08-02 16:05:43.370029	2013-08-04 02:30:52.448115
23235	21	2013-08-02 16:05:50.739013	2013-08-04 03:00:37.338026
12981	21	2013-08-02 16:05:29.040825	2013-08-04 03:00:37.339935
19800	21	2013-08-02 16:05:42.905873	2013-08-04 03:00:37.341754
21418	21	2013-08-02 16:05:46.011529	2013-08-04 03:00:37.343886
8511	21	2013-08-02 16:05:20.070051	2013-08-04 03:00:37.345962
16965	21	2013-08-02 16:05:36.738523	2013-08-04 03:00:37.791414
28663	4	2013-08-02 16:06:02.050186	2013-08-03 18:15:01.286788
28683	2	2013-08-02 16:06:02.068648	2013-08-03 18:15:01.290192
12711	4	2013-08-02 16:05:28.538739	2013-08-03 18:15:01.36142
28703	16	2013-08-02 16:06:02.089749	2013-08-04 17:01:23.959907
29583	2	2013-08-02 16:06:04.272635	2013-08-04 01:45:51.709244
3157	19	2013-08-02 16:05:09.725528	2013-08-03 18:15:01.39722
23355	4	2013-08-02 16:05:51.030634	2013-08-03 18:15:01.461847
8893	8	2013-08-02 16:05:20.993029	2013-08-03 22:29:29.014223
23368	2	2013-08-02 16:05:51.064923	2013-08-03 18:15:01.465335
1067	19	2013-08-02 16:05:05.680865	2013-08-03 18:15:01.494056
14475	16	2013-08-02 16:05:31.928765	2013-08-03 18:15:01.496426
13541	11	2013-08-02 16:05:29.713212	2013-08-03 18:15:01.508367
955	19	2013-08-02 16:05:05.474267	2013-08-03 18:15:01.533918
13901	21	2013-08-02 16:05:30.455585	2013-08-03 18:17:16.253936
13881	16	2013-08-02 16:05:30.408462	2013-08-03 18:17:16.276142
16863	6	2013-08-02 16:05:36.47116	2013-08-03 23:42:07.145413
13861	6	2013-08-02 16:05:30.385428	2013-08-03 18:17:16.321977
15453	14	2013-08-02 16:05:33.747255	2013-08-04 17:01:23.984613
13898	4	2013-08-02 16:05:30.44712	2013-08-03 18:17:16.366116
21858	13	2013-08-02 16:05:47.202967	2013-08-04 17:01:23.98826
14011	7	2013-08-02 16:05:30.719883	2013-08-03 18:17:16.688174
9451	7	2013-08-02 16:05:22.410215	2013-08-03 18:17:16.695238
4638	7	2013-08-02 16:05:12.819232	2013-08-03 18:17:16.70511
29043	21	2013-08-02 16:06:02.898683	2013-08-03 18:17:16.733544
29023	21	2013-08-02 16:06:02.846479	2013-08-03 18:17:16.737515
29003	21	2013-08-02 16:06:02.798178	2013-08-03 18:17:16.740986
28983	21	2013-08-02 16:06:02.763063	2013-08-03 18:17:16.744454
28963	21	2013-08-02 16:06:02.732607	2013-08-03 18:17:16.74798
28943	21	2013-08-02 16:06:02.711489	2013-08-03 18:17:16.751484
28923	21	2013-08-02 16:06:02.686494	2013-08-03 18:17:16.755095
28903	21	2013-08-02 16:06:02.466948	2013-08-03 18:17:16.758642
28883	6	2013-08-02 16:06:02.418984	2013-08-03 18:17:16.780265
28863	16	2013-08-02 16:06:02.371375	2013-08-03 18:17:16.801839
28823	14	2013-08-02 16:06:02.273685	2013-08-03 18:17:16.830832
28803	4	2013-08-02 16:06:02.220238	2013-08-03 18:17:16.853411
15473	21	2013-08-02 16:05:33.764364	2013-08-04 17:02:13.526833
28763	11	2013-08-02 16:06:02.14841	2013-08-03 18:17:16.90156
28743	8	2013-08-02 16:06:02.123634	2013-08-03 18:17:16.9144
29423	21	2013-08-02 16:06:03.865321	2013-08-03 18:17:16.947978
29403	4	2013-08-02 16:06:03.813669	2013-08-03 18:17:16.958921
29383	4	2013-08-02 16:06:03.759363	2013-08-03 18:17:16.966252
29363	4	2013-08-02 16:06:03.711564	2013-08-03 18:17:16.974261
29343	4	2013-08-02 16:06:03.663672	2013-08-03 18:17:16.98091
29323	4	2013-08-02 16:06:03.61597	2013-08-03 18:17:16.98577
29303	4	2013-08-02 16:06:03.566613	2013-08-03 18:17:16.989808
29283	4	2013-08-02 16:06:03.518347	2013-08-03 18:17:16.994019
29263	4	2013-08-02 16:06:03.471082	2013-08-03 18:17:16.998138
29243	4	2013-08-02 16:06:03.422597	2013-08-03 18:17:17.001802
29223	2	2013-08-02 16:06:03.374593	2013-08-03 18:17:17.010056
29203	2	2013-08-02 16:06:03.321997	2013-08-03 18:17:17.014608
29183	2	2013-08-02 16:06:03.269716	2013-08-03 18:17:17.018571
29163	2	2013-08-02 16:06:03.216788	2013-08-03 18:17:17.022503
29143	2	2013-08-02 16:06:03.163153	2013-08-03 18:17:17.026355
29123	2	2013-08-02 16:06:03.109758	2013-08-03 18:17:17.03039
29103	2	2013-08-02 16:06:03.056426	2013-08-03 18:17:17.0339
29083	2	2013-08-02 16:06:03.002803	2013-08-03 18:17:17.037102
29063	2	2013-08-02 16:06:02.950181	2013-08-03 18:17:17.041716
29783	2	2013-08-02 16:06:04.85998	2013-08-04 17:07:42.430174
17420	11	2013-08-02 16:05:37.926737	2013-08-03 18:17:17.240287
9071	21	2013-08-02 16:05:21.406429	2013-08-03 18:17:17.319618
7420	21	2013-08-02 16:05:17.85011	2013-08-03 18:17:17.320937
8699	21	2013-08-02 16:05:20.519995	2013-08-03 18:17:17.322052
4738	21	2013-08-02 16:05:12.904154	2013-08-03 18:17:17.323114
4718	21	2013-08-02 16:05:12.887588	2013-08-03 18:17:17.324196
6046	21	2013-08-02 16:05:15.259311	2013-08-03 18:17:17.325151
9311	21	2013-08-02 16:05:22.037327	2013-08-03 18:17:17.326118
4818	21	2013-08-02 16:05:13.028139	2013-08-03 18:17:17.327178
4838	21	2013-08-02 16:05:13.043485	2013-08-03 18:17:17.328266
4858	16	2013-08-02 16:05:13.058846	2013-08-03 18:17:17.336513
31553	2	2013-08-02 16:06:09.215281	2013-08-04 17:56:51.232127
9651	6	2013-08-02 16:05:22.869142	2013-08-03 18:17:17.422558
9671	2	2013-08-02 16:05:22.890909	2013-08-03 18:17:17.445359
9691	4	2013-08-02 16:05:22.91038	2013-08-03 18:17:17.468703
31540	2	2013-08-02 16:06:09.183738	2013-08-04 17:56:51.244282
9731	11	2013-08-02 16:05:22.948447	2013-08-03 18:17:17.515387
6076	8	2013-08-02 16:05:15.318344	2013-08-03 18:17:17.538869
9471	14	2013-08-02 16:05:22.458521	2013-08-03 18:17:17.561769
4255	19	2013-08-02 16:05:12.273526	2013-08-03 18:17:17.584188
6170	16	2013-08-02 16:05:15.544693	2013-08-03 18:17:17.631118
6269	16	2013-08-02 16:05:15.794649	2013-08-03 18:17:17.642197
6249	16	2013-08-02 16:05:15.764273	2013-08-03 18:17:17.652978
6229	2	2013-08-02 16:05:15.740742	2013-08-03 18:17:17.669726
6209	2	2013-08-02 16:05:15.641459	2013-08-03 18:17:17.677194
6189	2	2013-08-02 16:05:15.590343	2013-08-03 18:17:17.68398
6169	4	2013-08-02 16:05:15.542272	2013-08-03 18:17:17.6934
6149	4	2013-08-02 16:05:15.493704	2013-08-03 18:17:17.697551
20928	4	2013-08-02 16:05:45.120901	2013-08-03 18:17:17.70213
6129	7	2013-08-02 16:05:15.446225	2013-08-03 18:17:17.712753
10870	7	2013-08-02 16:05:24.286104	2013-08-03 18:17:17.722412
4618	14	2013-08-02 16:05:12.801385	2013-08-03 18:17:17.820222
13395	6	2013-08-02 16:05:29.452432	2013-08-03 18:17:17.843096
13370	16	2013-08-02 16:05:29.432048	2013-08-03 18:17:17.850813
31533	2	2013-08-02 16:06:09.165181	2013-08-04 17:56:51.256055
14231	21	2013-08-02 16:05:31.262711	2013-08-03 18:17:18.052261
14211	21	2013-08-02 16:05:31.21476	2013-08-03 18:17:18.055505
14191	21	2013-08-02 16:05:31.165802	2013-08-03 18:17:18.058984
14171	21	2013-08-02 16:05:31.114723	2013-08-03 18:17:18.062454
14183	21	2013-08-02 16:05:31.145007	2013-08-03 18:17:18.065938
14151	16	2013-08-02 16:05:31.060654	2013-08-03 18:17:18.085373
14131	6	2013-08-02 16:05:31.01173	2013-08-03 18:17:18.10743
31513	2	2013-08-02 16:06:09.113158	2013-08-04 17:56:51.268044
17872	16	2013-08-02 16:05:38.75652	2013-08-03 18:17:18.370081
17777	6	2013-08-02 16:05:38.664978	2013-08-03 18:17:18.39203
31493	2	2013-08-02 16:06:09.062262	2013-08-04 17:56:51.276731
17797	4	2013-08-02 16:05:38.68499	2013-08-03 18:17:18.42641
31473	2	2013-08-02 16:06:09.013869	2013-08-04 17:56:51.281315
17812	2	2013-08-02 16:05:38.699957	2013-08-03 18:17:18.441366
17792	11	2013-08-02 16:05:38.679725	2013-08-03 18:17:18.449104
15493	16	2013-08-02 16:05:33.779415	2013-08-03 18:17:18.574065
15433	11	2013-08-02 16:05:33.730602	2013-08-03 18:17:18.630037
15413	11	2013-08-02 16:05:33.712074	2013-08-03 18:17:18.640973
15393	2	2013-08-02 16:05:33.685754	2013-08-03 18:17:18.663314
24177	19	2013-08-02 16:05:52.665722	2013-08-03 18:17:18.742781
1108	16	2013-08-02 16:05:05.768108	2013-08-03 18:17:18.921732
25817	6	2013-08-02 16:05:55.832264	2013-08-03 18:17:19.039586
31453	2	2013-08-02 16:06:08.965833	2013-08-04 17:56:51.287684
25777	2	2013-08-02 16:05:55.729552	2013-08-03 18:17:19.084455
25757	4	2013-08-02 16:05:55.679888	2013-08-03 18:17:19.106746
31430	2	2013-08-02 16:06:08.911153	2013-08-04 17:56:51.291988
8839	2	2013-08-02 16:05:20.857756	2013-08-03 18:17:19.373469
4377	11	2013-08-02 16:05:12.531969	2013-08-03 18:17:19.394725
22177	19	2013-08-02 16:05:47.980629	2013-08-03 18:17:19.41579
22197	14	2013-08-02 16:05:48.008685	2013-08-03 18:17:19.437222
19568	8	2013-08-02 16:05:42.328434	2013-08-03 18:17:19.458289
9239	7	2013-08-02 16:05:21.842595	2013-08-03 18:17:19.47921
22018	19	2013-08-02 16:05:47.58259	2013-08-03 18:17:19.569288
21998	14	2013-08-02 16:05:47.529092	2013-08-03 18:17:19.591003
21898	8	2013-08-02 16:05:47.297372	2013-08-03 18:17:19.700764
21878	2	2013-08-02 16:05:47.250229	2013-08-03 18:17:19.723146
21838	7	2013-08-02 16:05:47.155554	2013-08-03 18:17:19.743331
20740	6	2013-08-02 16:05:44.638242	2013-08-03 18:17:19.979024
20940	7	2013-08-02 16:05:45.134295	2013-08-03 18:17:20.465316
29503	16	2013-08-02 16:06:04.065541	2013-08-03 18:18:42.444485
29623	2	2013-08-02 16:06:04.371606	2013-08-04 02:30:52.354356
29543	14	2013-08-02 16:06:04.169618	2013-08-03 18:18:42.44757
29563	13	2013-08-02 16:06:04.222355	2013-08-03 18:18:42.449803
31433	2	2013-08-02 16:06:08.918281	2013-08-04 17:56:51.298512
29603	11	2013-08-02 16:06:04.320632	2013-08-03 18:18:42.453936
31521	2	2013-08-02 16:06:09.133462	2013-08-04 17:56:51.302892
29643	9	2013-08-02 16:06:04.420274	2013-08-03 18:18:42.459858
29663	8	2013-08-02 16:06:04.645745	2013-08-03 18:18:42.462403
29683	7	2013-08-02 16:06:04.670554	2013-08-03 18:18:42.465009
29703	6	2013-08-02 16:06:04.703431	2013-08-03 18:18:42.466908
29743	4	2013-08-02 16:06:04.780868	2013-08-03 18:18:42.470331
29763	2	2013-08-02 16:06:04.820348	2013-08-03 18:18:42.473367
13291	8	2013-08-02 16:05:29.363515	2013-08-03 21:06:15.165261
7266	2	2013-08-02 16:05:17.680978	2013-08-04 02:30:52.359204
25797	2	2013-08-02 16:05:55.782578	2013-08-04 02:30:52.363743
17832	2	2013-08-02 16:05:38.716678	2013-08-04 02:30:52.368717
6016	2	2013-08-02 16:05:15.210706	2013-08-04 02:30:52.372844
9631	2	2013-08-02 16:05:22.809364	2013-08-04 02:30:52.377046
17325	2	2013-08-02 16:05:37.691315	2013-08-04 02:30:52.381341
23437	11	2013-08-02 16:05:51.244224	2013-08-04 17:01:23.996378
23635	4	2013-08-02 16:05:51.73198	2013-08-03 18:18:42.538461
23675	2	2013-08-02 16:05:51.837695	2013-08-03 18:18:42.545325
14061	21	2013-08-02 16:05:30.838726	2013-08-04 00:50:53.565937
30063	21	2013-08-02 16:06:05.550297	2013-08-04 00:50:53.568235
17123	19	2013-08-02 16:05:37.134915	2013-08-03 18:18:42.574507
17563	16	2013-08-02 16:05:38.263182	2013-08-03 18:18:42.578092
22048	9	2013-08-02 16:05:47.662024	2013-08-03 22:29:28.966221
4364	14	2013-08-02 16:05:12.504125	2013-08-03 18:18:42.58018
4250	13	2013-08-02 16:05:12.264393	2013-08-03 18:18:42.581302
9211	9	2013-08-02 16:05:21.769347	2013-08-04 17:01:24.012156
4392	11	2013-08-02 16:05:12.552068	2013-08-03 18:18:42.58331
14398	8	2013-08-02 16:05:31.738566	2013-08-04 17:01:24.022937
1364	9	2013-08-02 16:05:06.417634	2013-08-03 18:18:42.587713
6600	8	2013-08-02 16:05:16.552692	2013-08-03 18:18:42.591396
6461	7	2013-08-02 16:05:16.198764	2013-08-03 18:18:42.593977
6318	6	2013-08-02 16:05:15.916578	2013-08-03 18:18:42.596015
24015	7	2013-08-02 16:05:52.51648	2013-08-04 17:01:24.027871
30123	6	2013-08-02 16:06:05.649697	2013-08-04 17:01:24.031941
16498	2	2013-08-02 16:05:35.600159	2013-08-03 18:18:42.603821
23695	21	2013-08-02 16:05:51.885878	2013-08-04 17:02:14.266411
31413	2	2013-08-02 16:06:08.869969	2013-08-04 17:56:51.306909
14411	9	2013-08-02 16:05:31.769869	2013-08-03 18:18:42.644333
14431	8	2013-08-02 16:05:31.817337	2013-08-03 18:18:42.645506
14417	7	2013-08-02 16:05:31.784165	2013-08-03 18:18:42.646436
14397	6	2013-08-02 16:05:31.736167	2013-08-03 18:18:42.647424
31415	2	2013-08-02 16:06:08.874923	2013-08-04 17:56:51.310726
14435	4	2013-08-02 16:05:31.826834	2013-08-03 18:18:42.650408
23943	21	2013-08-02 16:05:52.445196	2013-08-04 00:50:53.570062
23715	19	2013-08-02 16:05:51.917081	2013-08-03 18:19:02.906592
23755	16	2013-08-02 16:05:52.010517	2013-08-03 18:19:02.913764
23775	14	2013-08-02 16:05:52.066559	2013-08-03 18:19:02.917127
23795	13	2013-08-02 16:05:52.124208	2013-08-03 18:19:02.91991
21036	14	2013-08-02 16:05:45.25821	2013-08-04 17:56:51.481096
23835	11	2013-08-02 16:05:52.355089	2013-08-03 18:19:02.925131
21016	14	2013-08-02 16:05:45.235046	2013-08-04 17:56:51.490685
23895	8	2013-08-02 16:05:52.404517	2013-08-03 18:19:02.93393
23915	7	2013-08-02 16:05:52.421137	2013-08-03 18:19:02.937327
23935	6	2013-08-02 16:05:52.437521	2013-08-03 18:19:02.940404
20996	14	2013-08-02 16:05:45.20861	2013-08-04 17:56:51.495378
23955	4	2013-08-02 16:05:52.45867	2013-08-03 18:19:02.94733
23995	2	2013-08-02 16:05:52.498815	2013-08-03 18:19:02.95426
29843	16	2013-08-02 16:06:05.00209	2013-08-03 18:19:03.021119
20995	14	2013-08-02 16:05:45.207531	2013-08-04 17:56:51.56128
29883	14	2013-08-02 16:06:05.103959	2013-08-03 18:19:03.023555
29903	13	2013-08-02 16:06:05.157072	2013-08-03 18:19:03.025279
20970	14	2013-08-02 16:05:45.165698	2013-08-04 17:56:51.566787
29943	11	2013-08-02 16:06:05.254943	2013-08-03 18:19:03.028823
29983	9	2013-08-02 16:06:05.353212	2013-08-03 18:19:03.031115
30003	8	2013-08-02 16:06:05.401159	2013-08-03 18:19:03.032295
30023	7	2013-08-02 16:06:05.449772	2013-08-03 18:19:03.033532
30043	6	2013-08-02 16:06:05.500094	2013-08-03 18:19:03.034595
30083	4	2013-08-02 16:06:05.57918	2013-08-03 18:19:03.03756
30103	2	2013-08-02 16:06:05.61105	2013-08-03 18:19:03.040511
7537	14	2013-08-02 16:05:17.960594	2013-08-04 00:52:59.188002
10772	2	2013-08-02 16:05:24.201363	2013-08-03 18:19:03.087031
7557	13	2013-08-02 16:05:17.979805	2013-08-04 00:52:59.189539
17700	2	2013-08-02 16:05:38.569003	2013-08-03 18:19:03.122779
23655	2	2013-08-02 16:05:51.784973	2013-08-04 01:50:58.268047
10688	19	2013-08-02 16:05:24.089424	2013-08-03 18:19:03.133428
14101	21	2013-08-02 16:05:30.941638	2013-08-03 18:22:12.741987
9491	19	2013-08-02 16:05:22.485582	2013-08-03 18:22:12.766348
14081	6	2013-08-02 16:05:30.889238	2013-08-03 18:22:12.793032
14021	14	2013-08-02 16:05:30.74348	2013-08-03 18:22:12.867077
14001	2	2013-08-02 16:05:30.696137	2013-08-03 18:22:12.890748
30483	21	2013-08-02 16:06:06.58288	2013-08-03 18:22:13.038233
30463	21	2013-08-02 16:06:06.535976	2013-08-03 18:22:13.041655
30443	21	2013-08-02 16:06:06.482834	2013-08-03 18:22:13.045125
30423	21	2013-08-02 16:06:06.451412	2013-08-03 18:22:13.049039
30403	21	2013-08-02 16:06:06.427534	2013-08-03 18:22:13.053131
30383	21	2013-08-02 16:06:06.209059	2013-08-03 18:22:13.056986
30363	21	2013-08-02 16:06:06.156975	2013-08-03 18:22:13.060661
30343	21	2013-08-02 16:06:06.103331	2013-08-03 18:22:13.064392
30323	21	2013-08-02 16:06:06.062176	2013-08-03 18:22:13.067795
30303	19	2013-08-02 16:06:06.036185	2013-08-03 18:22:13.087963
30283	6	2013-08-02 16:06:06.005349	2013-08-03 18:22:13.101865
30223	14	2013-08-02 16:06:05.858984	2013-08-03 18:22:13.13462
30203	2	2013-08-02 16:06:05.806082	2013-08-03 18:22:13.143936
30183	8	2013-08-02 16:06:05.768946	2013-08-03 18:22:13.15321
30163	11	2013-08-02 16:06:05.729703	2013-08-03 18:22:13.16155
30863	21	2013-08-02 16:06:07.442777	2013-08-03 18:22:13.189137
30843	4	2013-08-02 16:06:07.395419	2013-08-03 18:22:13.197568
30823	4	2013-08-02 16:06:07.343414	2013-08-03 18:22:13.202457
30803	4	2013-08-02 16:06:07.29495	2013-08-03 18:22:13.208818
30783	4	2013-08-02 16:06:07.246536	2013-08-03 18:22:13.215231
30763	4	2013-08-02 16:06:07.197268	2013-08-03 18:22:13.222578
30743	4	2013-08-02 16:06:07.146947	2013-08-03 18:22:13.22999
30723	4	2013-08-02 16:06:07.094305	2013-08-03 18:22:13.237066
30703	4	2013-08-02 16:06:07.040836	2013-08-03 18:22:13.24615
30683	4	2013-08-02 16:06:06.991852	2013-08-03 18:22:13.251301
30663	2	2013-08-02 16:06:06.940348	2013-08-03 18:22:13.260458
30643	2	2013-08-02 16:06:06.892417	2013-08-03 18:22:13.26524
30623	2	2013-08-02 16:06:06.853673	2013-08-03 18:22:13.269482
30603	2	2013-08-02 16:06:06.830191	2013-08-03 18:22:13.274086
30583	2	2013-08-02 16:06:06.809354	2013-08-03 18:22:13.279224
30563	2	2013-08-02 16:06:06.769649	2013-08-03 18:22:13.284292
30543	2	2013-08-02 16:06:06.716746	2013-08-03 18:22:13.289993
30523	2	2013-08-02 16:06:06.66397	2013-08-03 18:22:13.294057
30503	2	2013-08-02 16:06:06.61098	2013-08-03 18:22:13.303254
8779	7	2013-08-02 16:05:20.710172	2013-08-03 18:22:13.480346
3998	7	2013-08-02 16:05:11.747192	2013-08-03 18:22:13.492225
9151	7	2013-08-02 16:05:21.679234	2013-08-03 18:22:13.503862
9371	7	2013-08-02 16:05:22.198245	2013-08-03 18:22:13.515457
17945	14	2013-08-02 16:05:38.983296	2013-08-03 18:22:13.610021
17925	2	2013-08-02 16:05:38.834035	2013-08-03 18:22:13.618353
17905	2	2013-08-02 16:05:38.799991	2013-08-03 18:22:13.622198
18237	7	2013-08-02 16:05:39.296544	2013-08-03 18:22:13.797023
18245	7	2013-08-02 16:05:39.305207	2013-08-03 18:22:13.807994
18225	7	2013-08-02 16:05:39.283636	2013-08-03 18:22:13.818867
18145	7	2013-08-02 16:05:39.203311	2013-08-03 18:22:13.886352
18125	7	2013-08-02 16:05:39.18278	2013-08-03 18:22:13.897762
3584	21	2013-08-02 16:05:10.766533	2013-08-03 18:22:13.927705
7697	19	2013-08-02 16:05:18.198164	2013-08-03 18:22:13.947144
9331	19	2013-08-02 16:05:22.092772	2013-08-03 18:22:13.952767
4597	6	2013-08-02 16:05:12.773013	2013-08-03 18:22:13.962893
9591	6	2013-08-02 16:05:22.699307	2013-08-03 18:22:13.967332
4555	8	2013-08-02 16:05:12.728905	2013-08-03 18:22:14.004431
9531	8	2013-08-02 16:05:22.554414	2013-08-03 18:22:14.008133
9099	11	2013-08-02 16:05:21.474174	2013-08-03 18:22:14.015281
9339	11	2013-08-02 16:05:22.114334	2013-08-03 18:22:14.019685
9319	4	2013-08-02 16:05:22.058708	2013-08-03 18:22:14.028013
9299	4	2013-08-02 16:05:22.0046	2013-08-03 18:22:14.032357
6350	14	2013-08-02 16:05:15.999787	2013-08-03 18:22:14.039568
4598	14	2013-08-02 16:05:12.773938	2013-08-03 18:22:14.044579
6406	7	2013-08-02 16:05:16.072734	2013-08-03 18:22:14.242107
6570	6	2013-08-02 16:05:16.475037	2013-08-03 18:22:14.282789
6449	6	2013-08-02 16:05:16.169757	2013-08-03 18:22:14.29369
6290	4	2013-08-02 16:05:15.839039	2013-08-03 18:22:14.340262
6381	11	2013-08-02 16:05:16.039919	2013-08-03 18:22:14.350026
6429	11	2013-08-02 16:05:16.117607	2013-08-03 18:22:14.356194
6409	11	2013-08-02 16:05:16.077539	2013-08-03 18:22:14.362816
6389	2	2013-08-02 16:05:16.049255	2013-08-03 18:22:14.385769
6369	2	2013-08-02 16:05:16.026891	2013-08-03 18:22:14.397024
6349	2	2013-08-02 16:05:15.997364	2013-08-03 18:22:14.408572
6329	14	2013-08-02 16:05:15.946052	2013-08-03 18:22:14.426604
16518	4	2013-08-02 16:05:35.652982	2013-08-03 21:06:15.171036
17725	4	2013-08-02 16:05:38.605764	2013-08-03 21:09:20.463967
10748	4	2013-08-02 16:05:24.180761	2013-08-03 21:09:20.467583
29923	2	2013-08-02 16:06:05.206911	2013-08-04 01:50:58.274786
23815	2	2013-08-02 16:05:52.336961	2013-08-04 01:50:58.282332
14391	2	2013-08-02 16:05:31.721832	2013-08-04 01:50:58.289615
12528	2	2013-08-02 16:05:28.198881	2013-08-04 01:50:58.296412
30263	21	2013-08-02 16:06:05.957634	2013-08-04 02:03:21.391949
23855	2	2013-08-02 16:05:52.37095	2013-08-04 02:30:52.335292
4929	2	2013-08-02 16:05:13.121781	2013-08-04 02:30:52.341825
4284	2	2013-08-02 16:05:12.330175	2013-08-04 02:30:52.346157
5757	2	2013-08-02 16:05:14.563527	2013-08-04 02:30:52.350094
30243	19	2013-08-02 16:06:05.909129	2013-08-04 02:33:55.449425
9511	16	2013-08-02 16:05:22.527725	2013-08-04 02:33:55.457042
29963	21	2013-08-02 16:06:05.304418	2013-08-04 02:35:41.018168
14041	2	2013-08-02 16:05:30.790969	2013-08-04 02:35:43.934177
18718	14	2013-08-02 16:05:40.242143	2013-08-03 18:22:14.430506
6309	14	2013-08-02 16:05:15.89281	2013-08-03 18:22:14.438147
6289	7	2013-08-02 16:05:15.836705	2013-08-03 18:22:14.447172
6386	7	2013-08-02 16:05:16.045663	2013-08-03 18:22:14.453545
13570	11	2013-08-02 16:05:29.742056	2013-08-03 18:22:14.581234
13550	11	2013-08-02 16:05:29.722986	2013-08-03 18:22:14.588704
13658	4	2013-08-02 16:05:29.913788	2013-08-03 18:22:14.601321
13530	4	2013-08-02 16:05:29.590423	2013-08-03 18:22:14.606982
13510	2	2013-08-02 16:05:29.560504	2013-08-03 18:22:14.614978
14631	7	2013-08-02 16:05:32.298709	2013-08-03 18:22:14.690605
14611	7	2013-08-02 16:05:32.250925	2013-08-03 18:22:14.694976
14491	7	2013-08-02 16:05:31.969925	2013-08-03 18:22:14.738971
18372	21	2013-08-02 16:05:39.456083	2013-08-03 18:22:14.830029
2348	21	2013-08-02 16:05:08.645394	2013-08-03 18:22:14.833491
18352	21	2013-08-02 16:05:39.41721	2013-08-03 18:22:14.837084
18337	21	2013-08-02 16:05:39.398052	2013-08-03 18:22:14.840474
18355	19	2013-08-02 16:05:39.422068	2013-08-03 18:22:14.857778
18323	6	2013-08-02 16:05:39.387654	2013-08-03 18:22:14.873563
24335	4	2013-08-02 16:05:52.827845	2013-08-04 17:01:24.075172
18292	14	2013-08-02 16:05:39.358567	2013-08-03 18:22:14.902505
18272	8	2013-08-02 16:05:39.335414	2013-08-03 18:22:14.919854
18252	11	2013-08-02 16:05:39.313928	2013-08-03 18:22:14.942821
18232	4	2013-08-02 16:05:39.291378	2013-08-03 18:22:15.018511
10451	2	2013-08-02 16:05:23.752259	2013-08-03 18:22:15.028821
18177	7	2013-08-02 16:05:39.234804	2013-08-03 18:22:15.040084
15773	2	2013-08-02 16:05:34.169104	2013-08-03 18:22:15.062621
15823	2	2013-08-02 16:05:34.219787	2013-08-03 18:22:15.067616
15753	2	2013-08-02 16:05:34.149347	2013-08-03 18:22:15.074345
15733	2	2013-08-02 16:05:34.018722	2013-08-03 18:22:15.080831
15713	2	2013-08-02 16:05:33.998997	2013-08-03 18:22:15.087601
15673	2	2013-08-02 16:05:33.953114	2013-08-03 18:22:15.106081
15653	2	2013-08-02 16:05:33.932092	2013-08-03 18:22:15.111988
15633	2	2013-08-02 16:05:33.916086	2013-08-03 18:22:15.119927
15558	2	2013-08-02 16:05:33.836226	2013-08-03 18:22:15.131606
15613	2	2013-08-02 16:05:33.897228	2013-08-03 18:22:15.143367
15593	2	2013-08-02 16:05:33.872358	2013-08-03 18:22:15.154355
15573	2	2013-08-02 16:05:33.850461	2013-08-03 18:22:15.164986
10811	2	2013-08-02 16:05:24.238512	2013-08-04 17:01:24.082359
22298	21	2013-08-02 16:05:48.255709	2013-08-03 18:22:15.543631
22638	21	2013-08-02 16:05:49.221243	2013-08-03 18:22:15.728016
22618	21	2013-08-02 16:05:49.173185	2013-08-03 18:22:15.731528
22357	8	2013-08-02 16:05:48.52206	2013-08-03 18:22:15.935285
22438	2	2013-08-02 16:05:48.71631	2013-08-03 18:22:15.958878
22418	7	2013-08-02 16:05:48.666079	2013-08-03 18:22:15.979233
21360	21	2013-08-02 16:05:45.859436	2013-08-03 18:22:16.239909
24055	16	2013-08-02 16:05:52.551851	2013-08-03 18:23:00.473149
24075	14	2013-08-02 16:05:52.572207	2013-08-03 18:23:00.476645
24095	13	2013-08-02 16:05:52.590947	2013-08-03 18:23:00.480344
31243	21	2013-08-02 16:06:08.500819	2013-08-04 17:02:13.489122
24135	11	2013-08-02 16:05:52.625518	2013-08-03 18:23:00.48791
24175	9	2013-08-02 16:05:52.664031	2013-08-03 18:23:00.495861
24215	7	2013-08-02 16:05:52.710222	2013-08-03 18:23:00.503969
24235	6	2013-08-02 16:05:52.731858	2013-08-03 18:23:00.507696
18625	9	2013-08-02 16:05:39.927779	2013-08-04 17:02:14.067795
24275	4	2013-08-02 16:05:52.767356	2013-08-03 18:23:00.515339
1361	21	2013-08-02 16:05:06.410018	2013-08-03 22:29:28.826952
24315	2	2013-08-02 16:05:52.807278	2013-08-03 18:23:00.523155
30963	16	2013-08-02 16:06:07.696103	2013-08-03 18:23:00.568279
4157	21	2013-08-02 16:05:12.111099	2013-08-03 22:29:28.827959
31003	14	2013-08-02 16:06:07.795774	2013-08-03 18:23:00.575641
31023	13	2013-08-02 16:06:07.843415	2013-08-03 18:23:00.579347
16188	8	2013-08-02 16:05:34.798307	2013-08-04 17:02:14.069446
31063	11	2013-08-02 16:06:07.94137	2013-08-03 18:23:00.586489
31503	7	2013-08-02 16:06:09.088784	2013-08-04 17:02:14.071149
31103	9	2013-08-02 16:06:08.036799	2013-08-03 18:23:00.593683
31123	8	2013-08-02 16:06:08.08884	2013-08-03 18:23:00.597035
31143	7	2013-08-02 16:06:08.308926	2013-08-03 18:23:00.600937
31163	6	2013-08-02 16:06:08.338842	2013-08-03 18:23:00.60516
2770	21	2013-08-02 16:05:09.148811	2013-08-04 17:02:14.269228
31203	4	2013-08-02 16:06:08.415612	2013-08-03 18:23:00.612983
31223	2	2013-08-02 16:06:08.456749	2013-08-03 18:23:00.616712
18312	11	2013-08-02 16:05:39.379368	2013-08-04 00:52:59.192586
20976	14	2013-08-02 16:05:45.17529	2013-08-04 17:56:51.571643
1270	21	2013-08-02 16:05:06.18179	2013-08-03 22:29:28.828896
10431	2	2013-08-02 16:05:23.72987	2013-08-03 18:23:00.697055
33610	14	2013-08-02 16:06:14.257465	2013-08-04 17:56:51.576687
31183	9	2013-08-02 16:06:08.375315	2013-08-04 00:52:59.195715
10871	8	2013-08-02 16:05:24.286865	2013-08-04 00:52:59.197867
31443	7	2013-08-02 16:06:08.941935	2013-08-04 00:52:59.199844
5639	4	2013-08-02 16:05:14.28296	2013-08-03 18:23:20.958745
6366	14	2013-08-02 16:05:16.02375	2013-08-03 22:29:28.842165
18565	4	2013-08-02 16:05:39.771835	2013-08-03 18:23:21.037292
9819	21	2013-08-02 16:05:23.022198	2013-08-03 22:31:29.900406
18605	2	2013-08-02 16:05:39.874917	2013-08-03 18:23:21.042001
20956	14	2013-08-02 16:05:45.148374	2013-08-04 17:56:51.582481
14471	9	2013-08-02 16:05:31.918279	2013-08-03 18:23:21.082494
22557	4	2013-08-02 16:05:49.018102	2013-08-03 23:42:07.148876
14741	2	2013-08-02 16:05:32.502969	2013-08-03 18:23:21.10419
14895	6	2013-08-02 16:05:32.855313	2013-08-04 00:52:59.202124
14901	4	2013-08-02 16:05:32.869934	2013-08-04 00:52:59.204202
9839	19	2013-08-02 16:05:23.041164	2013-08-03 18:23:21.126944
13991	16	2013-08-02 16:05:30.670691	2013-08-03 18:23:21.132461
31303	2	2013-08-02 16:06:08.631536	2013-08-04 01:50:58.235104
14501	13	2013-08-02 16:05:31.994578	2013-08-03 18:23:21.186046
24375	11	2013-08-02 16:05:52.864364	2013-08-03 18:23:21.189218
20936	14	2013-08-02 16:05:45.129631	2013-08-04 17:56:51.593164
24415	9	2013-08-02 16:05:52.908114	2013-08-03 18:23:21.191665
24435	8	2013-08-02 16:05:52.933773	2013-08-03 18:23:21.193893
24455	7	2013-08-02 16:05:52.951175	2013-08-03 18:23:21.19566
24475	6	2013-08-02 16:05:52.96788	2013-08-03 18:23:21.197304
31043	2	2013-08-02 16:06:07.893381	2013-08-04 01:50:58.246263
24115	2	2013-08-02 16:05:52.607854	2013-08-04 01:50:58.257128
20923	14	2013-08-02 16:05:45.114618	2013-08-04 17:56:51.604804
16148	19	2013-08-02 16:05:34.694411	2013-08-03 18:23:21.28801
21640	16	2013-08-02 16:05:46.664967	2013-08-03 18:23:21.289957
31263	14	2013-08-02 16:06:08.545708	2013-08-03 18:23:21.29206
31283	13	2013-08-02 16:06:08.589933	2013-08-03 18:23:21.293528
20916	14	2013-08-02 16:05:45.107273	2013-08-04 17:56:51.615603
31323	11	2013-08-02 16:06:08.670073	2013-08-03 18:23:21.357636
20886	14	2013-08-02 16:05:45.077058	2013-08-04 17:56:51.626671
31363	9	2013-08-02 16:06:08.743204	2013-08-03 18:23:21.362569
31383	8	2013-08-02 16:06:08.793596	2013-08-03 18:23:21.365919
31403	7	2013-08-02 16:06:08.846008	2013-08-03 18:23:21.369043
31423	6	2013-08-02 16:06:08.89452	2013-08-03 18:23:21.372286
20896	14	2013-08-02 16:05:45.084684	2013-08-04 17:56:51.638198
31463	4	2013-08-02 16:06:08.989505	2013-08-03 18:23:21.378951
31483	2	2013-08-02 16:06:09.037744	2013-08-03 18:23:21.382606
24795	6	2013-08-02 16:05:53.529354	2013-08-03 18:23:31.851429
14940	14	2013-08-02 16:05:32.968497	2013-08-03 18:27:12.935138
14941	14	2013-08-02 16:05:32.970856	2013-08-03 18:27:12.947593
14921	19	2013-08-02 16:05:32.921452	2013-08-03 18:27:12.970255
14955	19	2013-08-02 16:05:33.004249	2013-08-03 18:27:12.983358
45257	2	2013-08-02 16:06:40.122393	2013-08-04 17:56:51.752823
45237	2	2013-08-02 16:06:40.096589	2013-08-04 17:56:51.76451
45217	2	2013-08-02 16:06:40.072383	2013-08-04 17:56:51.775734
14865	11	2013-08-02 16:05:32.783775	2013-08-03 18:27:13.065801
14881	11	2013-08-02 16:05:32.822007	2013-08-03 18:27:13.070922
14861	8	2013-08-02 16:05:32.773862	2013-08-03 18:27:13.079919
14841	8	2013-08-02 16:05:32.725018	2013-08-03 18:27:13.084212
14821	2	2013-08-02 16:05:32.674826	2013-08-03 18:27:13.102667
14801	2	2013-08-02 16:05:32.630954	2013-08-03 18:27:13.108289
14781	4	2013-08-02 16:05:32.586777	2013-08-03 18:27:13.123164
14761	4	2013-08-02 16:05:32.543715	2013-08-03 18:27:13.128586
2802	7	2013-08-02 16:05:09.179479	2013-08-03 18:27:13.169045
2782	7	2013-08-02 16:05:09.158588	2013-08-03 18:27:13.175092
2762	7	2013-08-02 16:05:09.141027	2013-08-03 18:27:13.180405
2742	7	2013-08-02 16:05:09.122125	2013-08-03 18:27:13.185532
2722	7	2013-08-02 16:05:09.101368	2013-08-03 18:27:13.190527
2673	7	2013-08-02 16:05:09.062383	2013-08-03 18:27:13.194971
2670	7	2013-08-02 16:05:09.059352	2013-08-03 18:27:13.199371
2693	7	2013-08-02 16:05:09.077388	2013-08-03 18:27:13.203981
2713	7	2013-08-02 16:05:09.094078	2013-08-03 18:27:13.209131
2733	7	2013-08-02 16:05:09.112085	2013-08-03 18:27:13.214746
2753	7	2013-08-02 16:05:09.134294	2013-08-03 18:27:13.219404
14721	7	2013-08-02 16:05:32.466693	2013-08-03 21:09:20.433704
26077	14	2013-08-02 16:05:56.529519	2013-08-04 02:33:55.464516
20228	21	2013-08-02 16:05:44.122908	2013-08-03 23:45:51.985508
24155	13	2013-08-02 16:05:52.645179	2013-08-04 02:33:55.468215
24255	11	2013-08-02 16:05:52.750287	2013-08-04 02:33:55.475719
14601	9	2013-08-02 16:05:32.225437	2013-08-04 02:33:55.479454
24395	8	2013-08-02 16:05:52.886008	2013-08-04 02:33:55.483227
31343	7	2013-08-02 16:06:08.704522	2013-08-04 02:33:55.487008
18332	4	2013-08-02 16:05:39.393901	2013-08-04 02:35:42.990358
2773	7	2013-08-02 16:05:09.151153	2013-08-03 18:27:13.222963
2793	7	2013-08-02 16:05:09.168771	2013-08-03 18:27:13.227568
2702	7	2013-08-02 16:05:09.084304	2013-08-03 18:27:13.232551
2813	7	2013-08-02 16:05:09.195355	2013-08-03 18:27:13.237903
31863	21	2013-08-02 16:06:10.134198	2013-08-03 18:27:13.266174
19937	6	2013-08-02 16:05:43.265307	2013-08-04 17:02:14.073
22028	4	2013-08-02 16:05:47.608491	2013-08-04 17:02:14.07949
31783	11	2013-08-02 16:06:09.766993	2013-08-03 18:27:13.333528
31763	11	2013-08-02 16:06:09.714072	2013-08-03 18:27:13.34862
31743	11	2013-08-02 16:06:09.660672	2013-08-03 18:27:13.360529
31723	2	2013-08-02 16:06:09.625332	2013-08-03 18:27:13.381057
31703	2	2013-08-02 16:06:09.579204	2013-08-03 18:27:13.385691
31683	2	2013-08-02 16:06:09.530879	2013-08-03 18:27:13.390437
31663	8	2013-08-02 16:06:09.483513	2013-08-03 18:27:13.399219
31643	8	2013-08-02 16:06:09.433889	2013-08-03 18:27:13.40373
31623	8	2013-08-02 16:06:09.385111	2013-08-03 18:27:13.408543
31603	4	2013-08-02 16:06:09.337602	2013-08-03 18:27:13.417103
31583	4	2013-08-02 16:06:09.289955	2013-08-03 18:27:13.424756
31563	4	2013-08-02 16:06:09.241566	2013-08-03 18:27:13.430428
32243	14	2013-08-02 16:06:10.933227	2013-08-03 18:27:13.472374
32223	14	2013-08-02 16:06:10.885905	2013-08-03 18:27:13.477074
32203	14	2013-08-02 16:06:10.836867	2013-08-03 18:27:13.481381
32183	14	2013-08-02 16:06:10.785711	2013-08-03 18:27:13.486086
32163	14	2013-08-02 16:06:10.732908	2013-08-03 18:27:13.490131
32143	14	2013-08-02 16:06:10.681315	2013-08-03 18:27:13.494409
32123	14	2013-08-02 16:06:10.63751	2013-08-03 18:27:13.499033
32103	14	2013-08-02 16:06:10.594573	2013-08-03 18:27:13.50365
32083	14	2013-08-02 16:06:10.551088	2013-08-03 18:27:13.50798
32063	14	2013-08-02 16:06:10.508192	2013-08-03 18:27:13.512408
32043	14	2013-08-02 16:06:10.464864	2013-08-03 18:27:13.517719
32023	14	2013-08-02 16:06:10.420588	2013-08-03 18:27:13.522169
32003	14	2013-08-02 16:06:10.375803	2013-08-03 18:27:13.526695
31983	14	2013-08-02 16:06:10.33359	2013-08-03 18:27:13.530893
31963	14	2013-08-02 16:06:10.294218	2013-08-03 18:27:13.534924
31943	14	2013-08-02 16:06:10.254769	2013-08-03 18:27:13.539191
31923	14	2013-08-02 16:06:10.215801	2013-08-03 18:27:13.543728
31903	14	2013-08-02 16:06:10.183268	2013-08-03 18:27:13.548298
31883	14	2013-08-02 16:06:10.156219	2013-08-03 18:27:13.552624
19005	7	2013-08-02 16:05:40.855891	2013-08-03 18:27:13.734279
18925	7	2013-08-02 16:05:40.660696	2013-08-03 18:27:13.811545
18905	7	2013-08-02 16:05:40.608207	2013-08-03 18:27:13.819226
18885	7	2013-08-02 16:05:40.555245	2013-08-03 18:27:13.826899
5395	21	2013-08-02 16:05:13.795561	2013-08-03 18:27:13.857957
5415	21	2013-08-02 16:05:13.849601	2013-08-03 18:27:13.861784
5435	21	2013-08-02 16:05:13.869805	2013-08-03 18:27:13.86504
10271	21	2013-08-02 16:05:23.546509	2013-08-03 18:27:13.868367
10291	21	2013-08-02 16:05:23.567666	2013-08-03 18:27:13.871734
10311	21	2013-08-02 16:05:23.595582	2013-08-03 18:27:13.87538
10331	21	2013-08-02 16:05:23.616314	2013-08-03 18:27:13.879108
10351	21	2013-08-02 16:05:23.636474	2013-08-03 18:27:13.882839
10371	21	2013-08-02 16:05:23.656614	2013-08-03 18:27:13.886546
5198	19	2013-08-02 16:05:13.476185	2013-08-03 18:27:13.90656
5218	16	2013-08-02 16:05:13.494543	2013-08-03 18:27:13.930005
1462	21	2013-08-02 16:05:06.648966	2013-08-04 17:07:40.686258
5278	11	2013-08-02 16:05:13.565976	2013-08-03 18:27:13.964508
5298	8	2013-08-02 16:05:13.590746	2013-08-03 18:27:13.972537
5035	14	2013-08-02 16:05:13.232462	2013-08-03 18:27:13.981108
5055	4	2013-08-02 16:05:13.254128	2013-08-03 18:27:13.988684
18832	21	2013-08-02 16:05:40.453452	2013-08-04 17:07:40.687395
6649	16	2013-08-02 16:05:16.682016	2013-08-03 18:27:14.242258
6629	16	2013-08-02 16:05:16.628944	2013-08-03 18:27:14.247364
6609	16	2013-08-02 16:05:16.576441	2013-08-03 18:27:14.252352
6626	14	2013-08-02 16:05:16.62088	2013-08-03 18:27:14.262203
6563	11	2013-08-02 16:05:16.456307	2013-08-03 18:27:14.294449
6589	2	2013-08-02 16:05:16.523379	2013-08-03 18:27:14.305191
6569	2	2013-08-02 16:05:16.472387	2013-08-03 18:27:14.310265
6549	2	2013-08-02 16:05:16.419363	2013-08-03 18:27:14.3151
6529	4	2013-08-02 16:05:16.369924	2013-08-03 18:27:14.324651
6509	4	2013-08-02 16:05:16.31836	2013-08-03 18:27:14.331044
6489	4	2013-08-02 16:05:16.267278	2013-08-03 18:27:14.336439
22657	7	2013-08-02 16:05:49.266077	2013-08-03 18:27:14.355822
13710	19	2013-08-02 16:05:30.041864	2013-08-03 18:27:14.388047
13715	16	2013-08-02 16:05:30.054423	2013-08-03 18:27:14.401174
25575	21	2013-08-02 16:05:55.22919	2013-08-04 17:07:40.688446
18612	21	2013-08-02 16:05:39.892404	2013-08-03 18:27:14.563056
18592	21	2013-08-02 16:05:39.841749	2013-08-03 18:27:14.566995
18572	21	2013-08-02 16:05:39.790596	2013-08-03 18:27:14.570541
18552	21	2013-08-02 16:05:39.73954	2013-08-03 18:27:14.573958
18532	21	2013-08-02 16:05:39.704364	2013-08-03 18:27:14.57744
15913	16	2013-08-02 16:05:34.328084	2013-08-03 18:27:14.72634
15893	16	2013-08-02 16:05:34.305005	2013-08-03 18:27:14.730428
15873	16	2013-08-02 16:05:34.28249	2013-08-03 18:27:14.734167
15793	2	2013-08-02 16:05:34.185336	2013-08-03 18:27:14.787785
7226	2	2013-08-02 16:05:17.647841	2013-08-03 18:27:14.878097
12548	16	2013-08-02 16:05:28.238629	2013-08-03 18:27:14.936727
7050	16	2013-08-02 16:05:17.480327	2013-08-03 18:27:14.943477
1266	16	2013-08-02 16:05:06.175044	2013-08-03 18:27:14.947567
9571	16	2013-08-02 16:05:22.662622	2013-08-03 18:27:14.951701
7239	16	2013-08-02 16:05:17.657373	2013-08-03 18:27:14.95653
14943	16	2013-08-02 16:05:32.975569	2013-08-03 18:27:14.962349
1387	16	2013-08-02 16:05:06.471948	2013-08-03 18:27:14.971657
1407	16	2013-08-02 16:05:06.51932	2013-08-03 18:27:14.981758
1267	16	2013-08-02 16:05:06.176769	2013-08-03 18:27:14.994382
1287	16	2013-08-02 16:05:06.22079	2013-08-03 18:27:15.005751
1307	16	2013-08-02 16:05:06.273353	2013-08-03 18:27:15.013382
1327	16	2013-08-02 16:05:06.325019	2013-08-03 18:27:15.016625
1390	16	2013-08-02 16:05:06.479005	2013-08-03 18:27:15.027332
26257	21	2013-08-02 16:05:56.732096	2013-08-03 18:27:15.077837
32523	2	2013-08-02 16:06:11.593273	2013-08-04 17:07:40.763807
2684	16	2013-08-02 16:05:09.07085	2013-08-04 17:07:41.026222
22160	2	2013-08-02 16:05:47.946989	2013-08-03 18:27:16.186754
22140	4	2013-08-02 16:05:47.898008	2013-08-03 18:27:16.199923
22620	7	2013-08-02 16:05:49.178115	2013-08-03 18:27:16.339152
22480	7	2013-08-02 16:05:48.820125	2013-08-03 18:27:16.375907
22460	7	2013-08-02 16:05:48.772592	2013-08-03 18:27:16.382855
22420	7	2013-08-02 16:05:48.671117	2013-08-03 18:27:16.402996
13848	4	2013-08-02 16:05:30.353901	2013-08-03 18:29:57.581761
13830	2	2013-08-02 16:05:30.311039	2013-08-03 23:42:07.152201
45170	2	2013-08-02 16:06:40.024498	2013-08-04 17:56:51.786764
25095	8	2013-08-02 16:05:53.989246	2013-08-03 18:29:57.61215
25115	7	2013-08-02 16:05:54.044594	2013-08-03 18:29:57.613659
32303	16	2013-08-02 16:06:11.050626	2013-08-03 18:29:57.638399
2736	8	2013-08-02 16:05:09.115386	2013-08-03 23:45:51.898311
32343	14	2013-08-02 16:06:11.135101	2013-08-03 18:29:57.640142
32363	13	2013-08-02 16:06:11.187285	2013-08-03 18:29:57.641018
45197	2	2013-08-02 16:06:40.050982	2013-08-04 17:56:51.798121
32403	11	2013-08-02 16:06:11.29334	2013-08-03 18:29:57.642732
45177	2	2013-08-02 16:06:40.030681	2013-08-04 17:56:51.809097
32443	9	2013-08-02 16:06:11.389686	2013-08-03 18:29:57.644376
32463	8	2013-08-02 16:06:11.439053	2013-08-03 18:29:57.64521
32483	7	2013-08-02 16:06:11.491955	2013-08-03 18:29:57.646077
32503	6	2013-08-02 16:06:11.541873	2013-08-03 18:29:57.646904
45157	2	2013-08-02 16:06:40.00961	2013-08-04 17:56:51.820073
32543	4	2013-08-02 16:06:11.643384	2013-08-03 18:29:57.64908
32563	2	2013-08-02 16:06:11.687806	2013-08-03 18:29:57.649999
31823	2	2013-08-02 16:06:09.85437	2013-08-04 00:52:59.210513
25415	9	2013-08-02 16:05:54.813758	2013-08-03 18:30:16.984277
25555	2	2013-08-02 16:05:55.180097	2013-08-03 18:30:16.995501
2675	16	2013-08-02 16:05:09.063797	2013-08-03 18:30:17.017703
19305	7	2013-08-02 16:05:41.614404	2013-08-03 18:30:17.02607
45172	2	2013-08-02 16:06:40.026273	2013-08-04 17:56:51.836835
2806	19	2013-08-02 16:05:09.183671	2013-08-03 18:30:17.039604
18812	2	2013-08-02 16:05:40.403954	2013-08-03 18:30:17.057148
22920	7	2013-08-02 16:05:49.871475	2013-08-03 18:30:17.080594
22848	6	2013-08-02 16:05:49.687279	2013-08-03 18:30:17.083294
1482	11	2013-08-02 16:05:06.696248	2013-08-03 18:30:17.113172
45137	2	2013-08-02 16:06:39.984905	2013-08-04 17:56:51.848258
1442	9	2013-08-02 16:05:06.602202	2013-08-03 18:30:17.11492
7210	8	2013-08-02 16:05:17.635583	2013-08-03 18:30:17.115753
1422	7	2013-08-02 16:05:06.554973	2013-08-03 18:30:17.116726
13857	7	2013-08-02 16:05:30.375692	2013-08-03 21:09:20.428745
5075	13	2013-08-02 16:05:13.27811	2013-08-04 00:55:55.463644
31843	2	2013-08-02 16:06:09.892485	2013-08-04 01:00:53.215869
32383	2	2013-08-02 16:06:11.240856	2013-08-04 01:50:58.196346
23258	2	2013-08-02 16:05:50.797435	2013-08-04 01:50:58.202689
13690	2	2013-08-02 16:05:29.99283	2013-08-04 01:50:58.213027
13970	21	2013-08-02 16:05:30.620894	2013-08-04 02:03:21.395045
5258	4	2013-08-02 16:05:13.541174	2013-08-04 02:33:55.498275
45117	2	2013-08-02 16:06:39.959956	2013-08-04 17:56:51.859583
32423	2	2013-08-02 16:06:11.340965	2013-08-04 02:33:55.505906
23238	21	2013-08-02 16:05:50.747134	2013-08-04 02:34:04.756688
45097	2	2013-08-02 16:06:39.945305	2013-08-04 17:56:51.865129
45077	2	2013-08-02 16:06:39.926892	2013-08-04 17:56:51.868842
1540	6	2013-08-02 16:05:06.878644	2013-08-03 18:30:17.117583
11157	21	2013-08-02 16:05:24.836262	2013-08-04 17:07:40.684552
1469	4	2013-08-02 16:05:06.665595	2013-08-03 18:30:17.119847
13028	21	2013-08-02 16:05:29.084315	2013-08-03 22:29:28.819824
1479	2	2013-08-02 16:05:06.689168	2013-08-03 18:30:17.122962
19468	21	2013-08-02 16:05:42.089994	2013-08-04 00:55:55.227029
32903	14	2013-08-02 16:06:12.657699	2013-08-04 00:55:55.235353
11426	7	2013-08-02 16:05:25.591613	2013-08-03 18:30:17.16734
16093	19	2013-08-02 16:05:34.563154	2013-08-04 17:08:57.950359
11341	4	2013-08-02 16:05:25.385698	2013-08-03 18:30:17.171227
11566	21	2013-08-02 16:05:25.947691	2013-08-03 22:29:28.821599
11446	2	2013-08-02 16:05:25.644385	2013-08-03 18:30:17.17671
2811	19	2013-08-02 16:05:09.190913	2013-08-03 18:30:17.202722
15041	9	2013-08-02 16:05:33.283415	2013-08-03 18:30:17.226543
14958	8	2013-08-02 16:05:33.011416	2013-08-03 18:30:17.228824
15061	7	2013-08-02 16:05:33.3101	2013-08-03 18:30:17.231385
14977	6	2013-08-02 16:05:33.057031	2013-08-03 18:30:17.234283
15121	2	2013-08-02 16:05:33.424826	2013-08-03 18:30:17.246643
2731	19	2013-08-02 16:05:09.10978	2013-08-03 18:30:17.270481
11306	13	2013-08-02 16:05:25.202985	2013-08-03 18:30:17.280309
16013	7	2013-08-02 16:05:34.438173	2013-08-03 18:30:24.017137
15937	6	2013-08-02 16:05:34.348134	2013-08-03 18:30:24.020435
5618	16	2013-08-02 16:05:14.249875	2013-08-04 17:08:57.954736
16073	2	2013-08-02 16:05:34.532784	2013-08-03 18:30:24.032228
25735	4	2013-08-02 16:05:55.62572	2013-08-03 18:30:24.072585
15281	14	2013-08-02 16:05:33.579541	2013-08-03 18:32:14.103486
15261	19	2013-08-02 16:05:33.560498	2013-08-03 18:32:14.115134
15241	2	2013-08-02 16:05:33.542019	2013-08-03 18:32:14.126415
15141	11	2013-08-02 16:05:33.446159	2013-08-03 18:32:14.206718
15220	8	2013-08-02 16:05:33.524019	2013-08-03 18:32:14.223875
19505	6	2013-08-02 16:05:42.17673	2013-08-03 18:32:14.429022
19485	19	2013-08-02 16:05:42.126614	2013-08-03 18:32:14.437098
19475	14	2013-08-02 16:05:42.103951	2013-08-03 18:32:14.445061
15221	11	2013-08-02 16:05:33.525997	2013-08-03 18:32:14.5382
15081	8	2013-08-02 16:05:33.343918	2013-08-03 18:32:14.552005
19805	7	2013-08-02 16:05:42.917753	2013-08-03 18:32:14.694558
19803	7	2013-08-02 16:05:42.913013	2013-08-03 18:32:14.699226
19785	7	2013-08-02 16:05:42.869802	2013-08-03 18:32:14.704881
7699	21	2013-08-02 16:05:18.200165	2013-08-03 18:32:14.738027
10099	21	2013-08-02 16:05:23.364076	2013-08-03 18:32:14.740705
10079	21	2013-08-02 16:05:23.345815	2013-08-03 18:32:14.742417
15983	21	2013-08-02 16:05:34.407934	2013-08-03 18:32:14.743641
5815	21	2013-08-02 16:05:14.70333	2013-08-03 18:32:14.745109
10531	21	2013-08-02 16:05:23.837679	2013-08-03 18:32:14.74706
10551	21	2013-08-02 16:05:23.859053	2013-08-03 18:32:14.749269
10571	21	2013-08-02 16:05:23.875853	2013-08-03 18:32:14.751854
10591	21	2013-08-02 16:05:23.895441	2013-08-03 18:32:14.753936
10611	16	2013-08-02 16:05:23.914927	2013-08-03 18:32:14.766038
10631	6	2013-08-02 16:05:24.026571	2013-08-03 18:32:14.783256
5498	19	2013-08-02 16:05:14.012015	2013-08-03 18:32:14.800143
22597	4	2013-08-02 16:05:49.122484	2013-08-03 18:32:14.817043
32963	14	2013-08-02 16:06:12.803035	2013-08-04 17:08:57.95925
26675	13	2013-08-02 16:05:57.691007	2013-08-04 17:08:57.961469
5598	14	2013-08-02 16:05:14.225348	2013-08-03 18:32:14.860105
5355	11	2013-08-02 16:05:13.694133	2013-08-03 18:32:14.893958
5375	8	2013-08-02 16:05:13.742232	2013-08-03 18:32:14.902059
6889	21	2013-08-02 16:05:17.216062	2013-08-03 18:32:15.027239
6869	16	2013-08-02 16:05:17.162057	2013-08-03 18:32:15.034569
6849	16	2013-08-02 16:05:17.108641	2013-08-03 18:32:15.038898
6829	14	2013-08-02 16:05:17.054495	2013-08-03 18:32:15.047653
6809	14	2013-08-02 16:05:17.010949	2013-08-03 18:32:15.051389
6789	6	2013-08-02 16:05:16.973514	2013-08-03 18:32:15.057499
6769	6	2013-08-02 16:05:16.940292	2013-08-03 18:32:15.060724
6856	2	2013-08-02 16:05:17.126979	2013-08-03 18:32:15.07042
6846	2	2013-08-02 16:05:17.100659	2013-08-03 18:32:15.077031
6786	8	2013-08-02 16:05:16.968017	2013-08-03 18:32:15.093821
32743	21	2013-08-02 16:06:12.269006	2013-08-04 17:10:54.426322
45017	2	2013-08-02 16:06:39.600486	2013-08-04 17:56:51.881825
14020	14	2013-08-02 16:05:30.741116	2013-08-03 18:32:15.287964
6850	2	2013-08-02 16:05:17.111139	2013-08-03 18:32:15.496633
15181	14	2013-08-02 16:05:33.493641	2013-08-03 18:32:15.54912
14070	7	2013-08-02 16:05:30.860364	2013-08-03 18:32:15.622879
14010	2	2013-08-02 16:05:30.717525	2013-08-03 18:32:15.797504
26537	11	2013-08-02 16:05:57.344063	2013-08-03 18:32:16.060168
44997	2	2013-08-02 16:06:39.567552	2013-08-04 17:56:51.892224
23620	21	2013-08-02 16:05:51.689973	2013-08-03 18:32:16.827636
23600	7	2013-08-02 16:05:51.635395	2013-08-03 18:32:16.835172
23580	7	2013-08-02 16:05:51.581238	2013-08-03 18:32:16.839
23560	7	2013-08-02 16:05:51.528472	2013-08-03 18:32:16.842224
23540	7	2013-08-02 16:05:51.475084	2013-08-03 18:32:16.845475
23520	7	2013-08-02 16:05:51.426667	2013-08-03 18:32:16.848716
23500	7	2013-08-02 16:05:51.396643	2013-08-03 18:32:16.852951
44977	2	2013-08-02 16:06:39.53992	2013-08-04 17:56:51.8999
44938	2	2013-08-02 16:06:39.495055	2013-08-04 17:56:51.910805
44957	2	2013-08-02 16:06:39.512104	2013-08-04 17:56:51.922603
3019	14	2013-08-02 16:05:09.47723	2013-08-04 17:56:52.007022
26499	14	2013-08-02 16:05:57.244154	2013-08-04 17:56:52.012071
23300	2	2013-08-02 16:05:50.899156	2013-08-03 18:32:16.954699
23880	7	2013-08-02 16:05:52.392371	2013-08-03 18:32:17.013811
23860	7	2013-08-02 16:05:52.375593	2013-08-03 18:32:17.018416
23840	7	2013-08-02 16:05:52.359207	2013-08-03 18:32:17.0223
23820	7	2013-08-02 16:05:52.342154	2013-08-03 18:32:17.027002
23800	7	2013-08-02 16:05:52.138195	2013-08-03 18:32:17.031467
23780	7	2013-08-02 16:05:52.080092	2013-08-03 18:32:17.03752
23760	7	2013-08-02 16:05:52.023552	2013-08-03 18:32:17.041864
23740	7	2013-08-02 16:05:51.963254	2013-08-03 18:32:17.045997
23720	7	2013-08-02 16:05:51.925589	2013-08-03 18:32:17.050104
23700	7	2013-08-02 16:05:51.897982	2013-08-03 18:32:17.05491
23680	7	2013-08-02 16:05:51.851129	2013-08-03 18:32:17.061223
23660	7	2013-08-02 16:05:51.798627	2013-08-03 18:32:17.066349
23640	7	2013-08-02 16:05:51.745442	2013-08-03 18:32:17.070504
11478	2	2013-08-02 16:05:25.726332	2013-08-03 18:33:05.656995
11463	19	2013-08-02 16:05:25.688204	2013-08-03 18:33:05.667987
32663	6	2013-08-02 16:06:12.069652	2013-08-03 18:33:05.683147
37421	14	2013-08-02 16:06:22.483421	2013-08-04 17:56:52.016948
32703	4	2013-08-02 16:06:12.174283	2013-08-03 18:33:05.685832
32723	2	2013-08-02 16:06:12.22182	2013-08-03 18:33:05.68768
26479	14	2013-08-02 16:05:57.192711	2013-08-04 17:56:52.022635
26015	7	2013-08-02 16:05:56.460678	2013-08-03 18:33:05.711481
26035	6	2013-08-02 16:05:56.495606	2013-08-03 18:33:05.7134
21165	2	2013-08-02 16:05:45.417201	2013-08-04 17:56:52.041495
32683	19	2013-08-02 16:06:12.122902	2013-08-04 00:55:55.285911
8799	4	2013-08-02 16:05:20.759649	2013-08-03 18:33:05.763306
2809	7	2013-08-02 16:05:09.188159	2013-08-03 23:45:51.89963
14357	2	2013-08-02 16:05:31.636783	2013-08-03 18:33:05.768515
26335	7	2013-08-02 16:05:56.860893	2013-08-03 18:33:25.001029
26355	6	2013-08-02 16:05:56.900458	2013-08-03 18:33:25.002373
26459	2	2013-08-02 16:05:57.139858	2013-08-04 17:56:52.052722
20365	11	2013-08-02 16:05:44.269676	2013-08-03 18:33:25.03551
21152	2	2013-08-02 16:05:45.402059	2013-08-04 17:56:52.063249
20405	9	2013-08-02 16:05:44.310265	2013-08-03 18:33:25.042919
7370	6	2013-08-02 16:05:17.801771	2013-08-03 23:45:51.902721
32823	9	2013-08-02 16:06:12.46371	2013-08-03 18:33:25.27939
32843	8	2013-08-02 16:06:12.511891	2013-08-03 18:33:25.281783
32863	7	2013-08-02 16:06:12.561605	2013-08-03 18:33:25.283718
32883	6	2013-08-02 16:06:12.609742	2013-08-03 18:33:25.285732
32923	4	2013-08-02 16:06:12.702667	2013-08-03 18:33:25.289161
32943	2	2013-08-02 16:06:12.752664	2013-08-03 18:33:25.290549
26375	2	2013-08-02 16:05:56.940002	2013-08-04 01:00:53.212314
5558	2	2013-08-02 16:05:14.15019	2013-08-04 01:50:58.191296
1247	2	2013-08-02 16:05:06.146009	2013-08-03 18:37:37.207305
8491	14	2013-08-02 16:05:20.022186	2013-08-03 18:37:37.367631
8531	8	2013-08-02 16:05:20.120324	2013-08-03 18:37:37.38945
3732	13	2013-08-02 16:05:11.083857	2013-08-03 18:37:37.410964
4099	7	2013-08-02 16:05:11.985727	2013-08-03 18:37:37.432801
4119	19	2013-08-02 16:05:12.02842	2013-08-03 18:37:37.454694
11711	6	2013-08-02 16:05:26.252118	2013-08-03 18:37:37.476646
20605	13	2013-08-02 16:05:44.508021	2013-08-03 18:37:37.567081
20585	19	2013-08-02 16:05:44.487204	2013-08-03 18:37:37.590145
1167	4	2013-08-02 16:05:05.924483	2013-08-03 18:37:37.753826
17838	7	2013-08-02 16:05:38.722026	2013-08-03 18:37:37.772031
20905	7	2013-08-02 16:05:45.094917	2013-08-03 18:37:37.887048
20885	7	2013-08-02 16:05:45.076259	2013-08-03 18:37:37.897622
20755	7	2013-08-02 16:05:44.655758	2013-08-03 18:37:37.98157
20745	7	2013-08-02 16:05:44.644187	2013-08-03 18:37:37.992161
20763	7	2013-08-02 16:05:44.665484	2013-08-03 18:37:38.04087
14321	2	2013-08-02 16:05:31.551084	2013-08-03 21:09:20.408202
23400	9	2013-08-02 16:05:51.149055	2013-08-04 01:55:50.082747
23420	11	2013-08-02 16:05:51.200615	2013-08-04 01:55:50.105526
23440	13	2013-08-02 16:05:51.251477	2013-08-04 01:55:50.128751
23480	8	2013-08-02 16:05:51.349028	2013-08-04 01:55:50.176495
23460	2	2013-08-02 16:05:51.299265	2013-08-04 01:55:52.409601
26055	4	2013-08-02 16:05:56.511258	2013-08-04 02:35:42.316699
20385	4	2013-08-02 16:05:44.29042	2013-08-04 02:35:42.321728
23718	4	2013-08-02 16:05:51.920979	2013-08-04 02:35:42.329039
9779	21	2013-08-02 16:05:22.991735	2013-08-03 18:37:38.050546
16003	16	2013-08-02 16:05:34.42805	2013-08-03 18:37:38.060839
10831	16	2013-08-02 16:05:24.256439	2013-08-03 18:37:38.067036
20488	19	2013-08-02 16:05:44.3876	2013-08-03 18:37:38.080358
10851	19	2013-08-02 16:05:24.271893	2013-08-03 18:37:38.087034
5518	14	2013-08-02 16:05:14.05073	2013-08-03 18:37:38.10096
4398	14	2013-08-02 16:05:12.556756	2013-08-03 18:37:38.108301
5855	11	2013-08-02 16:05:14.79884	2013-08-04 17:08:57.9658
5875	11	2013-08-02 16:05:14.853508	2013-08-03 18:37:38.161386
6095	11	2013-08-02 16:05:15.363498	2013-08-03 18:37:38.165178
5478	8	2013-08-02 16:05:13.98484	2013-08-03 18:37:38.171787
10391	8	2013-08-02 16:05:23.675828	2013-08-03 18:37:38.176078
6799	6	2013-08-02 16:05:16.991336	2013-08-03 18:37:38.192004
8979	6	2013-08-02 16:05:21.176812	2013-08-03 18:37:38.201684
6035	4	2013-08-02 16:05:15.247432	2013-08-03 18:37:38.222894
6015	4	2013-08-02 16:05:15.208318	2013-08-03 18:37:38.232802
1107	6	2013-08-02 16:05:05.765556	2013-08-03 18:37:38.491644
18628	7	2013-08-02 16:05:39.936287	2013-08-03 18:37:38.513354
7049	16	2013-08-02 16:05:17.479448	2013-08-03 18:37:38.569464
7029	13	2013-08-02 16:05:17.458	2013-08-03 18:37:38.592442
7009	13	2013-08-02 16:05:17.43653	2013-08-03 18:37:38.602965
6989	2	2013-08-02 16:05:17.416556	2013-08-03 18:37:38.654875
6969	2	2013-08-02 16:05:17.398178	2013-08-03 18:37:38.659941
6949	8	2013-08-02 16:05:17.37686	2013-08-03 18:37:38.681121
6929	8	2013-08-02 16:05:17.287854	2013-08-03 18:37:38.691722
6909	6	2013-08-02 16:05:17.269059	2013-08-03 18:37:38.714473
1780	7	2013-08-02 16:05:07.405842	2013-08-03 18:37:38.75027
15728	4	2013-08-02 16:05:34.014286	2013-08-03 18:37:38.758493
8656	4	2013-08-02 16:05:20.41276	2013-08-03 18:37:38.762141
14510	11	2013-08-02 16:05:32.016605	2013-08-03 18:37:38.8546
14490	6	2013-08-02 16:05:31.967275	2013-08-03 18:37:38.87431
14470	6	2013-08-02 16:05:31.915825	2013-08-03 18:37:38.884887
3875	4	2013-08-02 16:05:11.447857	2013-08-03 18:37:38.950767
1739	7	2013-08-02 16:05:07.305428	2013-08-03 18:37:38.972322
4759	7	2013-08-02 16:05:12.983009	2013-08-03 18:37:38.983231
10808	13	2013-08-02 16:05:24.235898	2013-08-03 18:37:39.147946
15608	13	2013-08-02 16:05:33.888178	2013-08-03 18:37:39.158751
5439	2	2013-08-02 16:05:13.873269	2013-08-03 18:37:39.21872
8471	2	2013-08-02 16:05:19.971044	2013-08-03 18:37:39.226887
19252	19	2013-08-02 16:05:41.477639	2013-08-03 18:37:39.286943
19232	14	2013-08-02 16:05:41.424779	2013-08-03 18:37:39.299632
19212	4	2013-08-02 16:05:41.372329	2013-08-03 18:37:39.32063
19192	2	2013-08-02 16:05:41.319588	2013-08-03 18:37:39.343318
15521	11	2013-08-02 16:05:33.803699	2013-08-03 18:37:39.388672
14550	8	2013-08-02 16:05:32.112486	2013-08-03 18:37:39.433515
1819	7	2013-08-02 16:05:07.509054	2013-08-03 18:37:39.47817
16673	16	2013-08-02 16:05:36.030693	2013-08-03 18:37:39.583411
16653	16	2013-08-02 16:05:35.991233	2013-08-03 18:37:39.593841
15477	2	2013-08-02 16:05:33.767228	2013-08-03 18:37:39.648968
1832	16	2013-08-02 16:05:07.544753	2013-08-03 18:37:39.785328
10723	16	2013-08-02 16:05:24.148518	2013-08-03 18:37:39.790859
15708	16	2013-08-02 16:05:33.994615	2013-08-03 18:37:39.795396
5576	16	2013-08-02 16:05:14.192765	2013-08-03 18:37:39.802844
15848	13	2013-08-02 16:05:34.251869	2013-08-03 18:37:39.822813
12577	13	2013-08-02 16:05:28.296675	2013-08-03 18:37:39.833506
10643	13	2013-08-02 16:05:24.037835	2013-08-03 18:37:39.844282
15648	13	2013-08-02 16:05:33.928178	2013-08-03 18:37:39.853193
10375	13	2013-08-02 16:05:23.660613	2013-08-03 18:37:39.860009
9259	13	2013-08-02 16:05:21.894902	2013-08-03 18:37:39.86964
1749	13	2013-08-02 16:05:07.329705	2013-08-03 18:37:39.880332
1809	13	2013-08-02 16:05:07.482098	2013-08-03 18:37:39.890934
9379	13	2013-08-02 16:05:22.21926	2013-08-03 18:37:39.901413
4186	4	2013-08-02 16:05:12.178475	2013-08-03 18:37:40.096606
9171	9	2013-08-02 16:05:21.698709	2013-08-04 17:08:57.971228
6741	11	2013-08-02 16:05:16.903337	2013-08-03 18:37:40.169694
6358	8	2013-08-02 16:05:16.012065	2013-08-03 18:37:40.184974
6378	6	2013-08-02 16:05:16.036411	2013-08-03 18:37:40.23251
11691	2	2013-08-02 16:05:26.199615	2013-08-03 18:37:40.255192
905	7	2013-08-02 16:05:05.402848	2013-08-03 18:37:40.273875
24520	8	2013-08-02 16:05:53.015634	2013-08-04 17:08:57.973826
6706	6	2013-08-02 16:05:16.831063	2013-08-03 18:37:40.760101
11791	7	2013-08-02 16:05:26.452952	2013-08-03 18:37:40.766575
24360	21	2013-08-02 16:05:52.849794	2013-08-03 18:37:40.788157
24340	21	2013-08-02 16:05:52.833094	2013-08-03 18:37:40.789382
24320	21	2013-08-02 16:05:52.812582	2013-08-03 18:37:40.790651
24300	16	2013-08-02 16:05:52.791379	2013-08-03 18:37:40.797897
24280	13	2013-08-02 16:05:52.772089	2013-08-03 18:37:40.806554
24260	19	2013-08-02 16:05:52.754481	2013-08-03 18:37:40.817191
24240	14	2013-08-02 16:05:52.736682	2013-08-03 18:37:40.829682
24220	4	2013-08-02 16:05:52.715405	2013-08-03 18:37:40.851818
24500	7	2013-08-02 16:05:52.990948	2013-08-04 17:08:57.976603
11551	6	2013-08-02 16:05:25.908826	2013-08-03 18:37:41.021701
8411	2	2013-08-02 16:05:19.8739	2013-08-03 18:37:41.036929
7671	7	2013-08-02 16:05:18.092892	2013-08-03 18:37:41.208908
24480	7	2013-08-02 16:05:52.972661	2013-08-03 18:37:41.213599
24460	7	2013-08-02 16:05:52.954606	2013-08-03 18:37:41.217706
14538	21	2013-08-02 16:05:32.083756	2013-08-04 00:55:55.224366
26955	21	2013-08-02 16:05:58.526343	2013-08-04 00:59:28.486907
33223	6	2013-08-02 16:06:13.454027	2013-08-04 17:08:57.97942
26835	11	2013-08-02 16:05:58.232412	2013-08-03 18:37:53.657359
26975	4	2013-08-02 16:05:58.579527	2013-08-03 18:37:53.679458
1147	21	2013-08-02 16:05:05.871995	2013-08-03 22:31:29.902692
33163	21	2013-08-02 16:06:13.311095	2013-08-04 00:59:28.489148
1802	21	2013-08-02 16:05:07.462799	2013-08-04 00:59:28.491041
32983	14	2013-08-02 16:06:12.855471	2013-08-03 18:37:53.716303
33003	13	2013-08-02 16:06:12.908762	2013-08-03 18:37:53.718692
1227	4	2013-08-02 16:05:06.121385	2013-08-04 17:08:57.984988
33043	11	2013-08-02 16:06:13.009144	2013-08-03 18:37:53.722217
5579	21	2013-08-02 16:05:14.199812	2013-08-04 17:11:51.449161
33083	9	2013-08-02 16:06:13.108758	2013-08-03 18:37:53.725458
33103	8	2013-08-02 16:06:13.161677	2013-08-03 18:37:53.727012
33123	7	2013-08-02 16:06:13.212321	2013-08-03 18:37:53.728352
33143	6	2013-08-02 16:06:13.261116	2013-08-03 18:37:53.729878
19172	21	2013-08-02 16:05:41.268583	2013-08-04 17:11:51.613778
33183	4	2013-08-02 16:06:13.358802	2013-08-03 18:37:53.733074
33203	2	2013-08-02 16:06:13.406695	2013-08-03 18:37:53.734688
15738	21	2013-08-02 16:05:34.022595	2013-08-04 00:59:28.492912
14652	21	2013-08-02 16:05:32.34928	2013-08-04 00:59:28.495107
22977	19	2013-08-02 16:05:50.017283	2013-08-03 18:37:53.743984
22697	16	2013-08-02 16:05:49.360047	2013-08-03 18:37:53.746188
1207	21	2013-08-02 16:05:06.073877	2013-08-03 22:31:29.904471
11071	14	2013-08-02 16:05:24.631523	2013-08-03 18:37:53.748795
11091	13	2013-08-02 16:05:24.679418	2013-08-03 18:37:53.749794
10671	14	2013-08-02 16:05:24.06785	2013-08-04 17:11:55.158899
10235	11	2013-08-02 16:05:23.505425	2013-08-03 18:37:53.751931
26439	2	2013-08-02 16:05:57.086383	2013-08-04 17:56:52.073833
23397	9	2013-08-02 16:05:51.14095	2013-08-03 18:38:09.146008
15548	8	2013-08-02 16:05:33.827653	2013-08-03 18:38:09.149102
10363	7	2013-08-02 16:05:23.648019	2013-08-03 18:38:09.152242
1822	6	2013-08-02 16:05:07.517213	2013-08-03 18:38:09.155471
26498	2	2013-08-02 16:05:57.241738	2013-08-04 17:56:52.084416
3832	21	2013-08-02 16:05:11.342807	2013-08-03 22:31:29.906915
3624	2	2013-08-02 16:05:10.827257	2013-08-03 18:38:09.164935
1785	21	2013-08-02 16:05:07.418536	2013-08-04 01:55:49.999639
15748	13	2013-08-02 16:05:34.145613	2013-08-03 18:38:19.7367
26419	2	2013-08-02 16:05:57.035312	2013-08-04 17:56:52.095101
6540	21	2013-08-02 16:05:16.396495	2013-08-03 22:31:29.909553
11051	21	2013-08-02 16:05:24.579312	2013-08-04 01:55:50.002365
15801	6	2013-08-02 16:05:34.193125	2013-08-03 18:38:19.890565
36803	4	2013-08-02 16:06:21.392408	2013-08-04 17:56:52.178711
15821	4	2013-08-02 16:05:34.217448	2013-08-03 18:38:19.896692
1799	4	2013-08-02 16:05:07.454352	2013-08-03 23:45:51.908215
15760	2	2013-08-02 16:05:34.15553	2013-08-03 18:38:19.89919
33023	21	2013-08-02 16:06:12.961375	2013-08-04 01:55:50.003956
15788	13	2013-08-02 16:05:34.181603	2013-08-03 18:38:19.91302
26815	21	2013-08-02 16:05:58.181588	2013-08-04 01:55:50.005801
1244	19	2013-08-02 16:05:06.141767	2013-08-03 18:38:19.97818
24200	21	2013-08-02 16:05:52.691005	2013-08-04 01:55:50.007354
11788	14	2013-08-02 16:05:26.445021	2013-08-03 18:38:19.98661
14750	6	2013-08-02 16:05:32.520772	2013-08-03 18:38:20.149467
2406	4	2013-08-02 16:05:08.716116	2013-08-04 17:56:52.189504
14758	4	2013-08-02 16:05:32.537145	2013-08-03 18:38:20.155648
15841	2	2013-08-02 16:05:34.244294	2013-08-03 21:09:20.386626
22937	2	2013-08-02 16:05:49.91282	2013-08-03 23:45:51.913412
1829	21	2013-08-02 16:05:07.536418	2013-08-03 23:45:51.988589
47723	4	2013-08-02 16:06:45.331116	2013-08-04 17:56:52.200083
11511	4	2013-08-02 16:05:25.805376	2013-08-04 02:35:42.296512
33063	4	2013-08-02 16:06:13.056423	2013-08-04 02:35:42.306023
17210	4	2013-08-02 16:05:37.460736	2013-08-04 17:56:52.210513
10731	14	2013-08-02 16:05:24.156604	2013-08-04 17:56:52.617187
5047	4	2013-08-02 16:05:13.243182	2013-08-04 17:56:52.624553
9116	4	2013-08-02 16:05:21.515337	2013-08-04 17:56:52.628203
33323	9	2013-08-02 16:06:13.694155	2013-08-03 18:38:20.295384
33343	8	2013-08-02 16:06:13.916746	2013-08-03 18:38:20.298559
33363	7	2013-08-02 16:06:13.966476	2013-08-03 18:38:20.301595
33383	6	2013-08-02 16:06:14.010329	2013-08-03 18:38:20.304715
19488	2	2013-08-02 16:05:42.134524	2013-08-04 17:08:57.990811
33423	4	2013-08-02 16:06:14.050459	2013-08-03 18:38:20.310618
33443	2	2013-08-02 16:06:14.072762	2013-08-03 18:38:20.313434
3664	21	2013-08-02 16:05:10.915812	2013-08-03 22:31:29.915357
28255	21	2013-08-02 16:06:01.548268	2013-08-04 17:11:51.220796
15900	4	2013-08-02 16:05:34.313352	2013-08-03 18:42:34.733394
15901	8	2013-08-02 16:05:34.314286	2013-08-03 18:42:34.756727
15881	14	2013-08-02 16:05:34.289556	2013-08-03 18:42:34.780965
15861	11	2013-08-02 16:05:34.268093	2013-08-03 18:42:34.803517
33803	21	2013-08-02 16:06:14.437627	2013-08-03 18:42:34.930646
33783	14	2013-08-02 16:06:14.420944	2013-08-03 18:42:34.950667
33763	14	2013-08-02 16:06:14.402208	2013-08-03 18:42:34.961156
33743	14	2013-08-02 16:06:14.380775	2013-08-03 18:42:34.971283
33723	14	2013-08-02 16:06:14.361962	2013-08-03 18:42:34.981878
33703	14	2013-08-02 16:06:14.340702	2013-08-03 18:42:34.992163
33683	14	2013-08-02 16:06:14.322653	2013-08-03 18:42:35.002414
33663	14	2013-08-02 16:06:14.307742	2013-08-03 18:42:35.012684
33643	14	2013-08-02 16:06:14.287795	2013-08-03 18:42:35.022928
33623	14	2013-08-02 16:06:14.269169	2013-08-03 18:42:35.033402
33603	2	2013-08-02 16:06:14.249422	2013-08-03 18:42:35.048505
33563	2	2013-08-02 16:06:14.197434	2013-08-03 18:42:35.069497
33543	2	2013-08-02 16:06:14.173312	2013-08-03 18:42:35.079811
33523	2	2013-08-02 16:06:14.151793	2013-08-03 18:42:35.090038
33503	2	2013-08-02 16:06:14.129121	2013-08-03 18:42:35.100399
33483	2	2013-08-02 16:06:14.110272	2013-08-03 18:42:35.110632
7310	21	2013-08-02 16:05:17.730456	2013-08-03 18:42:35.149498
13091	21	2013-08-02 16:05:29.160078	2013-08-03 18:42:35.15253
18608	21	2013-08-02 16:05:39.882223	2013-08-03 18:42:35.155683
6441	21	2013-08-02 16:05:16.148747	2013-08-03 18:42:35.158642
23297	21	2013-08-02 16:05:50.891725	2013-08-03 18:42:35.161776
23677	21	2013-08-02 16:05:51.843066	2013-08-03 18:42:35.16486
23317	21	2013-08-02 16:05:50.940717	2013-08-03 18:42:35.167965
23697	16	2013-08-02 16:05:51.890537	2013-08-03 18:42:35.186671
34163	21	2013-08-02 16:06:15.032367	2013-08-04 17:11:51.224213
11948	19	2013-08-02 16:05:26.851291	2013-08-03 18:42:35.219978
18568	8	2013-08-02 16:05:39.779826	2013-08-03 18:42:35.238201
5559	14	2013-08-02 16:05:14.152554	2013-08-03 18:42:35.27385
9096	11	2013-08-02 16:05:21.46695	2013-08-03 18:42:35.293226
7041	7	2013-08-02 16:05:17.470906	2013-08-03 18:42:35.301102
15078	6	2013-08-02 16:05:33.338389	2013-08-03 18:42:35.311497
965	21	2013-08-02 16:05:05.490318	2013-08-04 17:11:51.227572
7150	13	2013-08-02 16:05:17.575058	2013-08-03 18:42:35.360038
21405	2	2013-08-02 16:05:45.983029	2013-08-03 18:42:35.445035
21385	8	2013-08-02 16:05:45.926144	2013-08-03 18:42:35.457069
10991	21	2013-08-02 16:05:24.439136	2013-08-03 18:42:35.614935
11011	21	2013-08-02 16:05:24.4754	2013-08-03 18:42:35.616769
10325	21	2013-08-02 16:05:23.610831	2013-08-03 18:42:35.618245
17878	21	2013-08-02 16:05:38.763615	2013-08-03 18:42:35.619794
6666	21	2013-08-02 16:05:16.726843	2013-08-03 18:42:35.621428
10298	21	2013-08-02 16:05:23.576426	2013-08-03 18:42:35.623114
6200	21	2013-08-02 16:05:15.617395	2013-08-03 18:42:35.624447
5698	21	2013-08-02 16:05:14.424264	2013-08-03 18:42:35.626041
5718	21	2013-08-02 16:05:14.471852	2013-08-03 18:42:35.627596
5738	16	2013-08-02 16:05:14.51881	2013-08-03 18:42:35.639319
22577	21	2013-08-02 16:05:49.070401	2013-08-04 17:11:51.230907
5818	19	2013-08-02 16:05:14.711137	2013-08-03 18:42:35.676925
5838	4	2013-08-02 16:05:14.758691	2013-08-03 18:42:35.698515
5858	8	2013-08-02 16:05:14.806738	2013-08-03 18:42:35.720188
10771	14	2013-08-02 16:05:24.200327	2013-08-03 18:42:35.755735
9499	11	2013-08-02 16:05:22.506717	2013-08-03 18:42:35.768882
22417	6	2013-08-02 16:05:48.6634	2013-08-03 18:42:35.784248
10791	13	2013-08-02 16:05:24.21842	2013-08-03 18:42:35.80331
7269	16	2013-08-02 16:05:17.683532	2013-08-03 18:42:36.134248
7249	4	2013-08-02 16:05:17.665792	2013-08-03 18:42:36.156321
7229	4	2013-08-02 16:05:17.649896	2013-08-03 18:42:36.16687
7129	7	2013-08-02 16:05:17.556156	2013-08-03 18:42:36.287116
7109	7	2013-08-02 16:05:17.5381	2013-08-03 18:42:36.290445
7089	6	2013-08-02 16:05:17.520892	2013-08-03 18:42:36.297932
7098	6	2013-08-02 16:05:17.528114	2013-08-03 18:42:36.303057
7149	2	2013-08-02 16:05:17.574172	2013-08-03 18:42:36.466285
7169	2	2013-08-02 16:05:17.595552	2013-08-03 18:42:36.477132
16248	13	2013-08-02 16:05:34.944794	2013-08-03 18:42:37.161858
1940	13	2013-08-02 16:05:07.82524	2013-08-03 18:42:37.171844
2029	13	2013-08-02 16:05:07.999258	2013-08-03 18:42:37.182057
20908	13	2013-08-02 16:05:45.098395	2013-08-03 18:42:37.22263
16872	8	2013-08-02 16:05:36.494602	2013-08-03 18:42:37.336487
23257	4	2013-08-02 16:05:50.795023	2013-08-03 18:42:37.35167
13620	2	2013-08-02 16:05:29.811165	2013-08-03 18:42:37.370327
13640	14	2013-08-02 16:05:29.864439	2013-08-03 18:42:37.380876
13211	11	2013-08-02 16:05:29.282863	2013-08-03 18:42:37.419016
13231	6	2013-08-02 16:05:29.301738	2013-08-03 18:42:37.441149
22008	13	2013-08-02 16:05:47.556093	2013-08-03 18:42:37.462625
9768	7	2013-08-02 16:05:22.982347	2013-08-03 18:42:37.484393
24658	2	2013-08-02 16:05:53.353141	2013-08-03 18:42:37.601721
24538	7	2013-08-02 16:05:53.035483	2013-08-03 18:42:37.733921
1964	21	2013-08-02 16:05:07.867089	2013-08-03 18:42:37.776784
1918	16	2013-08-02 16:05:07.802152	2013-08-03 18:42:37.797198
21365	21	2013-08-02 16:05:45.872084	2013-08-04 17:11:51.234353
2011	8	2013-08-02 16:05:07.973104	2013-08-03 18:42:37.844629
18638	4	2013-08-02 16:05:39.961975	2013-08-03 18:42:37.868013
18778	2	2013-08-02 16:05:40.317337	2013-08-03 18:42:37.891425
7120	6	2013-08-02 16:05:17.549084	2013-08-03 18:42:37.984142
12631	7	2013-08-02 16:05:28.391956	2013-08-03 18:42:38.0077
13331	13	2013-08-02 16:05:29.398897	2013-08-03 18:42:38.031474
25140	8	2013-08-02 16:05:54.10722	2013-08-03 18:42:38.210092
7739	13	2013-08-02 16:05:18.236833	2013-08-03 18:42:38.31659
25340	7	2013-08-02 16:05:54.666161	2013-08-03 18:42:38.56164
33403	21	2013-08-02 16:06:14.02879	2013-08-04 00:59:28.497535
1978	16	2013-08-02 16:05:07.90282	2013-08-03 18:43:05.383045
33883	16	2013-08-02 16:06:14.519616	2013-08-03 18:43:05.414477
1187	21	2013-08-02 16:05:06.022201	2013-08-03 23:58:34.543909
33923	14	2013-08-02 16:06:14.5619	2013-08-03 18:43:05.418689
33943	13	2013-08-02 16:06:14.58351	2013-08-03 18:43:05.421085
33463	14	2013-08-02 16:06:14.091536	2013-08-04 17:11:53.191051
33983	11	2013-08-02 16:06:14.628752	2013-08-03 18:43:05.425956
32721	4	2013-08-02 16:06:12.217051	2013-08-04 17:56:52.632274
34023	9	2013-08-02 16:06:14.662363	2013-08-03 18:43:05.433037
34043	8	2013-08-02 16:06:14.686312	2013-08-03 18:43:05.436119
34063	7	2013-08-02 16:06:14.713502	2013-08-03 18:43:05.437367
34083	6	2013-08-02 16:06:14.944349	2013-08-03 18:43:05.438561
18477	11	2013-08-02 16:05:39.624173	2013-08-04 17:56:52.650986
34123	4	2013-08-02 16:06:14.981463	2013-08-03 18:43:05.440926
34143	2	2013-08-02 16:06:14.998787	2013-08-03 18:43:05.441989
21805	4	2013-08-02 16:05:47.076584	2013-08-03 18:43:05.477427
3724	21	2013-08-02 16:05:11.061602	2013-08-04 00:59:28.49933
34103	21	2013-08-02 16:06:14.960776	2013-08-04 00:59:28.500865
27775	7	2013-08-02 16:06:00.606995	2013-08-03 18:43:05.535733
22125	4	2013-08-02 16:05:47.858403	2013-08-03 18:43:29.897262
1027	21	2013-08-02 16:05:05.621707	2013-08-03 23:58:34.547303
25900	21	2013-08-02 16:05:56.037741	2013-08-04 00:59:28.50204
28055	11	2013-08-02 16:06:01.164442	2013-08-03 18:43:29.957771
4397	11	2013-08-02 16:05:12.555969	2013-08-04 17:56:52.662238
28095	9	2013-08-02 16:06:01.211362	2013-08-03 18:43:29.964306
28235	2	2013-08-02 16:06:01.52687	2013-08-03 18:43:29.98727
10043	2	2013-08-02 16:05:23.31235	2013-08-04 01:55:51.552535
33963	2	2013-08-02 16:06:14.609679	2013-08-04 01:55:51.557487
986	19	2013-08-02 16:05:05.530594	2013-08-03 18:43:40.641168
10552	13	2013-08-02 16:05:23.859945	2013-08-03 18:43:40.649847
5027	11	2013-08-02 16:05:13.224073	2013-08-04 17:56:52.673397
1898	11	2013-08-02 16:05:07.716533	2013-08-03 18:43:40.653108
4886	19	2013-08-02 16:05:13.082831	2013-08-04 17:56:52.69566
2015	9	2013-08-02 16:05:07.981563	2013-08-03 18:43:40.656658
2038	8	2013-08-02 16:05:08.014906	2013-08-03 18:43:40.65842
28415	11	2013-08-02 16:06:01.722957	2013-08-03 18:43:40.723483
28555	4	2013-08-02 16:06:01.903719	2013-08-03 18:43:40.752648
23277	21	2013-08-02 16:05:50.843275	2013-08-03 23:58:34.549676
1958	2	2013-08-02 16:05:07.852471	2013-08-04 01:55:51.561965
1941	16	2013-08-02 16:05:07.826328	2013-08-03 18:43:40.846984
5758	2	2013-08-02 16:05:14.565895	2013-08-04 01:55:51.565992
13711	19	2013-08-02 16:05:30.04438	2013-08-03 18:43:40.923328
4996	19	2013-08-02 16:05:13.187901	2013-08-04 17:56:52.70728
23637	2	2013-08-02 16:05:51.737404	2013-08-04 01:55:51.569935
22445	2	2013-08-02 16:05:48.733707	2013-08-03 18:43:41.045658
22037	21	2013-08-02 16:05:47.632583	2013-08-03 21:09:20.368569
28443	21	2013-08-02 16:06:01.750373	2013-08-03 21:11:12.148071
15921	2	2013-08-02 16:05:34.333804	2013-08-04 01:55:51.573451
15928	4	2013-08-02 16:05:34.339186	2013-08-04 02:35:42.250627
28075	4	2013-08-02 16:06:01.188611	2013-08-04 02:35:42.26203
34003	4	2013-08-02 16:06:14.645328	2013-08-04 02:35:42.273108
33303	4	2013-08-02 16:06:13.657569	2013-08-04 02:35:42.283978
21116	2	2013-08-02 16:05:45.361653	2013-08-04 19:47:26.835647
34283	21	2013-08-02 16:06:15.318766	2013-08-04 00:59:28.50341
34343	21	2013-08-02 16:06:15.462309	2013-08-04 17:11:51.213483
13777	19	2013-08-02 16:05:30.176648	2013-08-03 18:43:41.064109
10197	16	2013-08-02 16:05:23.472152	2013-08-03 18:43:41.06559
1885	14	2013-08-02 16:05:07.695816	2013-08-03 18:43:41.06858
1910	13	2013-08-02 16:05:07.738677	2013-08-03 18:43:41.070315
18300	21	2013-08-02 16:05:39.368373	2013-08-04 17:11:51.217379
4956	19	2013-08-02 16:05:13.148407	2013-08-04 17:56:52.717961
22425	14	2013-08-02 16:05:48.684413	2013-08-03 18:43:41.127837
34243	7	2013-08-02 16:06:15.21863	2013-08-03 18:43:41.146511
34263	6	2013-08-02 16:06:15.27093	2013-08-03 18:43:41.148431
34303	4	2013-08-02 16:06:15.366789	2013-08-03 18:43:41.150188
34323	2	2013-08-02 16:06:15.414222	2013-08-03 18:43:41.150981
12311	21	2013-08-02 16:05:27.735086	2013-08-03 22:31:29.924804
1926	14	2013-08-02 16:05:07.810168	2013-08-03 18:43:49.381594
6146	21	2013-08-02 16:05:15.486604	2013-08-03 22:31:29.926768
1980	7	2013-08-02 16:05:07.908165	2013-08-03 20:59:20.638928
13531	21	2013-08-02 16:05:29.592398	2013-08-03 22:31:29.928743
7578	21	2013-08-02 16:05:18.000801	2013-08-03 23:58:34.552404
22897	21	2013-08-02 16:05:49.81578	2013-08-03 23:58:34.555146
1351	21	2013-08-02 16:05:06.384662	2013-08-03 23:58:34.55825
4870	2	2013-08-02 16:05:13.069069	2013-08-04 17:56:52.775617
4878	2	2013-08-02 16:05:13.076332	2013-08-04 17:56:52.786934
4898	2	2013-08-02 16:05:13.093125	2013-08-04 17:56:52.801766
5050	21	2013-08-02 16:05:13.248961	2013-08-04 17:56:52.822693
5095	4	2013-08-02 16:05:13.302073	2013-08-04 17:56:52.843176
5115	4	2013-08-02 16:05:13.327277	2013-08-04 17:56:52.855237
5135	4	2013-08-02 16:05:13.359827	2013-08-04 17:56:52.863896
5155	4	2013-08-02 16:05:13.397124	2013-08-04 17:56:52.869254
5175	4	2013-08-02 16:05:13.450289	2013-08-04 17:56:52.875947
5140	4	2013-08-02 16:05:13.367559	2013-08-04 17:56:52.883819
5160	19	2013-08-02 16:05:13.409885	2013-08-04 17:56:52.893499
5180	19	2013-08-02 16:05:13.457821	2013-08-04 17:56:52.904136
5032	19	2013-08-02 16:05:13.229176	2013-08-04 17:56:52.915285
5052	19	2013-08-02 16:05:13.251488	2013-08-04 17:56:52.926778
5072	19	2013-08-02 16:05:13.274837	2013-08-04 17:56:52.937562
5048	19	2013-08-02 16:05:13.24571	2013-08-04 17:56:52.949143
5167	8	2013-08-02 16:05:13.42641	2013-08-04 17:56:52.971511
5147	8	2013-08-02 16:05:13.380363	2013-08-04 17:56:52.980299
5127	8	2013-08-02 16:05:13.350112	2013-08-04 17:56:52.987866
5107	8	2013-08-02 16:05:13.313498	2013-08-04 17:56:52.993992
17970	8	2013-08-02 16:05:39.002678	2013-08-04 17:56:52.999449
5087	8	2013-08-02 16:05:13.294996	2013-08-04 17:56:53.003048
33308	9	2013-08-02 16:06:13.664863	2013-08-04 17:56:53.022762
33288	9	2013-08-02 16:06:13.621762	2013-08-04 17:56:53.029415
33278	9	2013-08-02 16:06:13.594979	2013-08-04 17:56:53.034391
19325	9	2013-08-02 16:05:41.6679	2013-08-04 17:56:53.039606
17111	9	2013-08-02 16:05:37.104949	2013-08-04 17:56:53.045066
33268	9	2013-08-02 16:06:13.568605	2013-08-04 17:56:53.049365
19466	9	2013-08-02 16:05:42.086008	2013-08-04 17:56:53.053603
33248	9	2013-08-02 16:06:13.514588	2013-08-04 17:56:53.058301
33228	9	2013-08-02 16:06:13.465871	2013-08-04 17:56:53.062434
33208	9	2013-08-02 16:06:13.418514	2013-08-04 17:56:53.135138
33188	9	2013-08-02 16:06:13.370701	2013-08-04 17:56:53.140107
33168	9	2013-08-02 16:06:13.323055	2013-08-04 17:56:53.14391
25460	9	2013-08-02 16:05:54.930087	2013-08-04 17:56:53.147559
33150	9	2013-08-02 16:06:13.278104	2013-08-04 17:56:53.151532
33148	9	2013-08-02 16:06:13.273093	2013-08-04 17:56:53.155176
33128	9	2013-08-02 16:06:13.224288	2013-08-04 17:56:53.158546
33060	9	2013-08-02 16:06:13.049395	2013-08-04 17:56:53.161635
33108	9	2013-08-02 16:06:13.174778	2013-08-04 17:56:53.165516
33088	9	2013-08-02 16:06:13.121476	2013-08-04 17:56:53.169532
33548	4	2013-08-02 16:06:14.177509	2013-08-04 17:56:53.198041
33528	4	2013-08-02 16:06:14.158126	2013-08-04 17:56:53.203627
33508	4	2013-08-02 16:06:14.133508	2013-08-04 17:56:53.20822
33521	4	2013-08-02 16:06:14.149332	2013-08-04 17:56:53.215866
33488	4	2013-08-02 16:06:14.115079	2013-08-04 17:56:53.219841
33468	4	2013-08-02 16:06:14.096424	2013-08-04 17:56:53.225192
33477	4	2013-08-02 16:06:14.104736	2013-08-04 17:56:53.230259
33448	4	2013-08-02 16:06:14.077552	2013-08-04 17:56:53.236851
17425	4	2013-08-02 16:05:37.940159	2013-08-04 17:56:53.244477
33378	4	2013-08-02 16:06:14.005483	2013-08-04 17:56:53.253044
33428	4	2013-08-02 16:06:14.057592	2013-08-04 17:56:53.263763
33408	4	2013-08-02 16:06:14.034072	2013-08-04 17:56:53.274975
17140	4	2013-08-02 16:05:37.175645	2013-08-04 17:56:53.283153
33388	4	2013-08-02 16:06:14.015013	2013-08-04 17:56:53.288714
33375	4	2013-08-02 16:06:13.999025	2013-08-04 17:56:53.297403
33368	4	2013-08-02 16:06:13.980133	2013-08-04 17:56:53.30488
33295	4	2013-08-02 16:06:13.640746	2013-08-04 17:56:53.313471
33348	4	2013-08-02 16:06:13.927056	2013-08-04 17:56:53.317981
33328	4	2013-08-02 16:06:13.699097	2013-08-04 17:56:53.321429
10849	4	2013-08-02 16:05:24.270511	2013-08-04 17:56:53.343935
10798	4	2013-08-02 16:05:24.226382	2013-08-04 17:56:53.348226
10703	4	2013-08-02 16:05:24.110345	2013-08-04 17:56:53.353543
10712	4	2013-08-02 16:05:24.130547	2013-08-04 17:56:53.360831
10757	4	2013-08-02 16:05:24.189068	2013-08-04 17:56:53.364602
10708	4	2013-08-02 16:05:24.122642	2013-08-04 17:56:53.369639
10829	4	2013-08-02 16:05:24.2544	2013-08-04 17:56:53.376462
10809	4	2013-08-02 16:05:24.236816	2013-08-04 17:56:53.380938
10521	4	2013-08-02 16:05:23.827515	2013-08-04 17:56:53.385033
10789	4	2013-08-02 16:05:24.216731	2013-08-04 17:56:53.391329
10795	4	2013-08-02 16:05:24.222802	2013-08-04 17:56:53.396009
10769	4	2013-08-02 16:05:24.1986	2013-08-04 17:56:53.40065
10749	4	2013-08-02 16:05:24.181653	2013-08-04 17:56:53.405546
10729	4	2013-08-02 16:05:24.15422	2013-08-04 17:56:53.410025
23577	4	2013-08-02 16:05:51.573185	2013-08-04 17:56:53.417823
10790	4	2013-08-02 16:05:24.217555	2013-08-04 17:56:53.425574
10745	4	2013-08-02 16:05:24.174774	2013-08-04 17:56:53.431518
10709	4	2013-08-02 16:05:24.124919	2013-08-04 17:56:53.437669
45497	21	2013-08-02 16:06:40.665465	2013-08-04 17:56:53.737637
45477	11	2013-08-02 16:06:40.641899	2013-08-04 17:56:53.756336
45457	11	2013-08-02 16:06:40.6227	2013-08-04 17:56:53.763126
45437	11	2013-08-02 16:06:40.598938	2013-08-04 17:56:53.772452
45498	11	2013-08-02 16:06:40.666762	2013-08-04 17:56:53.782078
45417	11	2013-08-02 16:06:40.569693	2013-08-04 17:56:53.790173
45397	11	2013-08-02 16:06:40.516066	2013-08-04 17:56:53.796433
45377	11	2013-08-02 16:06:40.461256	2013-08-04 17:56:53.801522
45325	11	2013-08-02 16:06:40.311516	2013-08-04 17:56:53.807269
45245	11	2013-08-02 16:06:40.106679	2013-08-04 17:56:53.817441
26539	4	2013-08-02 16:05:57.349449	2013-08-04 17:56:54.000648
26478	4	2013-08-02 16:05:57.190024	2013-08-04 17:56:54.004103
4945	21	2013-08-02 16:05:13.136383	2013-08-04 17:58:06.553576
4965	21	2013-08-02 16:05:13.156805	2013-08-04 17:58:06.554933
4916	21	2013-08-02 16:05:13.109337	2013-08-04 17:58:06.555964
45357	21	2013-08-02 16:06:40.402443	2013-08-04 17:58:06.557604
45337	21	2013-08-02 16:06:40.345581	2013-08-04 17:58:06.559101
45241	21	2013-08-02 16:06:40.101897	2013-08-04 17:58:06.559989
45317	21	2013-08-02 16:06:40.287892	2013-08-04 17:58:06.56087
45340	21	2013-08-02 16:06:40.35636	2013-08-04 17:58:06.561743
45297	21	2013-08-02 16:06:40.231054	2013-08-04 17:58:06.562578
45372	21	2013-08-02 16:06:40.447516	2013-08-04 17:58:06.564475
45277	21	2013-08-02 16:06:40.173767	2013-08-04 17:58:06.566849
45258	21	2013-08-02 16:06:40.124293	2013-08-04 17:58:06.569061
21096	19	2013-08-02 16:05:45.34075	2013-08-04 17:58:54.463681
46363	14	2013-08-02 16:06:42.260822	2013-08-04 17:58:54.467725
36421	13	2013-08-02 16:06:20.84825	2013-08-04 17:58:54.469627
21176	11	2013-08-02 16:05:45.4285	2013-08-04 17:58:54.473535
46263	9	2013-08-02 16:06:42.023555	2013-08-04 17:58:54.475709
21136	21	2013-08-02 16:05:45.384818	2013-08-04 17:58:54.506893
21076	21	2013-08-02 16:05:45.308145	2013-08-04 17:59:05.764593
21117	21	2013-08-02 16:05:45.362787	2013-08-04 18:01:49.922707
21056	21	2013-08-02 16:05:45.282985	2013-08-04 18:01:50.377577
31586	2	2013-08-02 16:06:09.296989	2013-08-04 18:01:50.678365
31566	2	2013-08-02 16:06:09.249506	2013-08-04 18:01:50.68189
11000	2	2013-08-02 16:05:24.450591	2013-08-04 18:01:50.707617
7250	2	2013-08-02 16:05:17.66662	2013-08-04 18:01:50.713242
11009	2	2013-08-02 16:05:24.46987	2013-08-04 18:01:50.718145
16208	2	2013-08-02 16:05:34.846471	2013-08-04 18:01:50.724042
11013	2	2013-08-02 16:05:24.480701	2013-08-04 18:01:50.731445
10957	2	2013-08-02 16:05:24.379626	2013-08-04 18:01:50.751155
10989	2	2013-08-02 16:05:24.435186	2013-08-04 18:01:50.756317
10969	2	2013-08-02 16:05:24.401518	2013-08-04 18:01:50.760505
10949	2	2013-08-02 16:05:24.369278	2013-08-04 18:01:50.764738
10929	2	2013-08-02 16:05:24.348939	2013-08-04 18:01:50.768924
10909	2	2013-08-02 16:05:24.325958	2013-08-04 18:01:50.772935
10950	2	2013-08-02 16:05:24.370203	2013-08-04 18:01:50.778074
10889	2	2013-08-02 16:05:24.304762	2013-08-04 18:01:50.782601
10880	2	2013-08-02 16:05:24.294722	2013-08-04 18:01:50.787499
10869	2	2013-08-02 16:05:24.285334	2013-08-04 18:01:50.792689
1890	2	2013-08-02 16:05:07.703934	2013-08-04 18:01:50.79779
21156	14	2013-08-02 16:05:45.40608	2013-08-04 18:01:50.820111
12996	4	2013-08-02 16:05:29.05399	2013-08-04 18:01:51.108781
15766	4	2013-08-02 16:05:34.161423	2013-08-04 18:01:51.11354
37543	4	2013-08-02 16:06:22.800665	2013-08-04 18:01:51.118039
22826	4	2013-08-02 16:05:49.629524	2013-08-04 18:01:51.123324
48023	4	2013-08-02 16:06:46.09697	2013-08-04 18:01:51.131068
32975	4	2013-08-02 16:06:12.832058	2013-08-04 18:01:51.141325
5981	4	2013-08-02 16:05:15.122524	2013-08-04 18:01:51.152415
29418	4	2013-08-02 16:06:03.852004	2013-08-04 18:01:51.163646
37263	4	2013-08-02 16:06:22.130339	2013-08-04 18:01:51.170755
15570	4	2013-08-02 16:05:33.847872	2013-08-04 18:01:51.179847
15566	4	2013-08-02 16:05:33.84376	2013-08-04 18:01:51.185026
41775	4	2013-08-02 16:06:31.993496	2013-08-04 18:01:51.189658
49875	4	2013-08-02 16:06:50.320699	2013-08-04 18:01:51.193693
36363	4	2013-08-02 16:06:20.722653	2013-08-04 18:01:51.197734
6319	14	2013-08-02 16:05:15.919198	2013-08-04 18:01:51.517708
6299	14	2013-08-02 16:05:15.862879	2013-08-04 18:01:51.522821
5187	14	2013-08-02 16:05:13.465216	2013-08-04 18:01:51.527779
1284	21	2013-08-02 16:05:06.213415	2013-08-04 18:01:51.617261
2471	4	2013-08-02 16:05:08.783652	2013-08-04 18:01:51.62687
5195	4	2013-08-02 16:05:13.473138	2013-08-04 18:01:51.631118
5200	4	2013-08-02 16:05:13.478797	2013-08-04 18:01:51.6349
5220	4	2013-08-02 16:05:13.496137	2013-08-04 18:01:51.639047
5240	4	2013-08-02 16:05:13.517453	2013-08-04 18:01:51.643059
5260	4	2013-08-02 16:05:13.543943	2013-08-04 18:01:51.647082
5280	19	2013-08-02 16:05:13.568047	2013-08-04 18:01:51.655543
5300	19	2013-08-02 16:05:13.593433	2013-08-04 18:01:51.663801
5265	19	2013-08-02 16:05:13.550176	2013-08-04 18:01:51.669028
1589	19	2013-08-02 16:05:06.95031	2013-08-04 18:01:51.673967
2432	19	2013-08-02 16:05:08.746365	2013-08-04 18:01:51.678173
5327	19	2013-08-02 16:05:13.646202	2013-08-04 18:01:51.682171
31252	8	2013-08-02 16:06:08.520968	2013-08-04 18:01:51.693533
5307	8	2013-08-02 16:05:13.603198	2013-08-04 18:01:51.703337
5255	8	2013-08-02 16:05:13.537383	2013-08-04 18:01:51.711554
5287	8	2013-08-02 16:05:13.574847	2013-08-04 18:01:51.722635
5301	8	2013-08-02 16:05:13.594707	2013-08-04 18:01:51.733842
5241	8	2013-08-02 16:05:13.51873	2013-08-04 18:01:51.744992
19528	9	2013-08-02 16:05:42.231562	2013-08-04 18:01:51.783598
33748	9	2013-08-02 16:06:14.386008	2013-08-04 18:01:51.78829
17373	9	2013-08-02 16:05:37.808081	2013-08-04 18:01:51.792783
33728	9	2013-08-02 16:06:14.366411	2013-08-04 18:01:51.796928
33708	9	2013-08-02 16:06:14.345808	2013-08-04 18:01:51.80097
33715	9	2013-08-02 16:06:14.354262	2013-08-04 18:01:51.805097
33688	9	2013-08-02 16:06:14.327516	2013-08-04 18:01:51.810382
33635	9	2013-08-02 16:06:14.280257	2013-08-04 18:01:51.814909
33668	9	2013-08-02 16:06:14.311487	2013-08-04 18:01:51.818645
33648	9	2013-08-02 16:06:14.292294	2013-08-04 18:01:51.82283
33650	9	2013-08-02 16:06:14.29404	2013-08-04 18:01:51.829117
33628	9	2013-08-02 16:06:14.274232	2013-08-04 18:01:51.840169
33608	9	2013-08-02 16:06:14.255383	2013-08-04 18:01:51.851977
33617	9	2013-08-02 16:06:14.263907	2013-08-04 18:01:51.863578
33995	4	2013-08-02 16:06:14.639364	2013-08-04 18:01:51.963324
33988	4	2013-08-02 16:06:14.633433	2013-08-04 18:01:51.967872
33968	4	2013-08-02 16:06:14.614656	2013-08-04 18:01:51.974953
33948	4	2013-08-02 16:06:14.587822	2013-08-04 18:01:51.981195
33928	4	2013-08-02 16:06:14.567617	2013-08-04 18:01:51.990496
33840	4	2013-08-02 16:06:14.472669	2013-08-04 18:01:52.00142
33818	4	2013-08-02 16:06:14.451542	2013-08-04 18:01:52.013116
33908	4	2013-08-02 16:06:14.544587	2013-08-04 18:01:52.025306
33888	4	2013-08-02 16:06:14.524423	2013-08-04 18:01:52.038121
33832	4	2013-08-02 16:06:14.46554	2013-08-04 18:01:52.050131
33868	4	2013-08-02 16:06:14.502548	2013-08-04 18:01:52.062219
33848	4	2013-08-02 16:06:14.480328	2013-08-04 18:01:52.073997
33890	4	2013-08-02 16:06:14.526916	2013-08-04 18:01:52.086007
33792	4	2013-08-02 16:06:14.427587	2013-08-04 18:01:52.097243
33828	4	2013-08-02 16:06:14.462088	2013-08-04 18:01:52.108476
33808	4	2013-08-02 16:06:14.442322	2013-08-04 18:01:52.120077
33788	4	2013-08-02 16:06:14.424847	2013-08-04 18:01:52.131957
33768	4	2013-08-02 16:06:14.40654	2013-08-04 18:01:52.143089
17098	4	2013-08-02 16:05:37.073294	2013-08-04 18:01:52.154029
11229	4	2013-08-02 16:05:25.004067	2013-08-04 18:01:52.197151
11209	4	2013-08-02 16:05:24.968892	2013-08-04 18:01:52.209857
2079	4	2013-08-02 16:05:08.119865	2013-08-04 18:01:52.217872
11189	4	2013-08-02 16:05:24.917028	2013-08-04 18:01:52.226001
11200	4	2013-08-02 16:05:24.944685	2013-08-04 18:01:52.232197
34923	4	2013-08-02 16:06:17.020824	2013-08-04 18:01:52.237421
40492	4	2013-08-02 16:06:28.857173	2013-08-04 18:01:52.242064
11169	4	2013-08-02 16:05:24.864206	2013-08-04 18:01:52.246843
11235	4	2013-08-02 16:05:25.01326	2013-08-04 18:01:52.255091
11149	4	2013-08-02 16:05:24.817254	2013-08-04 18:01:52.265419
11010	4	2013-08-02 16:05:24.472696	2013-08-04 18:01:52.272179
11129	4	2013-08-02 16:05:24.769701	2013-08-04 18:01:52.275553
11109	4	2013-08-02 16:05:24.722247	2013-08-04 18:01:52.279483
11089	4	2013-08-02 16:05:24.674717	2013-08-04 18:01:52.285069
11069	4	2013-08-02 16:05:24.626374	2013-08-04 18:01:52.289299
11105	4	2013-08-02 16:05:24.712752	2013-08-04 18:01:52.293589
11049	4	2013-08-02 16:05:24.574023	2013-08-04 18:01:52.297998
11029	4	2013-08-02 16:05:24.522035	2013-08-04 18:01:52.302564
3254	4	2013-08-02 16:05:09.937298	2013-08-04 18:01:52.30704
45812	21	2013-08-02 16:06:41.279207	2013-08-04 18:01:52.672257
45757	11	2013-08-02 16:06:40.961047	2013-08-04 18:01:52.680507
45737	11	2013-08-02 16:06:40.942823	2013-08-04 18:01:52.684746
45717	11	2013-08-02 16:06:40.922787	2013-08-04 18:01:52.689188
45697	11	2013-08-02 16:06:40.899551	2013-08-04 18:01:52.693502
45605	11	2013-08-02 16:06:40.79554	2013-08-04 18:01:52.698088
45621	11	2013-08-02 16:06:40.810439	2013-08-04 18:01:52.704822
45677	11	2013-08-02 16:06:40.877896	2013-08-04 18:01:52.709775
45657	11	2013-08-02 16:06:40.854061	2013-08-04 18:01:52.719856
45637	11	2013-08-02 16:06:40.830726	2013-08-04 18:01:52.799101
27179	4	2013-08-02 16:05:59.071011	2013-08-04 18:01:52.923418
27159	4	2013-08-02 16:05:59.015894	2013-08-04 18:01:52.92709
27139	4	2013-08-02 16:05:58.962874	2013-08-04 18:01:52.931075
27119	4	2013-08-02 16:05:58.909817	2013-08-04 18:01:52.935109
27099	4	2013-08-02 16:05:58.858665	2013-08-04 18:01:52.938906
27146	4	2013-08-02 16:05:58.981142	2013-08-04 18:01:52.943641
27079	4	2013-08-02 16:05:58.809604	2013-08-04 18:01:52.947586
27026	4	2013-08-02 16:05:58.695501	2013-08-04 18:01:52.952749
27070	4	2013-08-02 16:05:58.787003	2013-08-04 18:01:52.956529
27059	4	2013-08-02 16:05:58.758859	2013-08-04 18:01:52.960316
5207	21	2013-08-02 16:05:13.485819	2013-08-04 18:02:38.590139
2493	21	2013-08-02 16:05:08.837666	2013-08-04 18:02:38.593003
32401	21	2013-08-02 16:06:11.288142	2013-08-04 18:02:38.595818
45617	21	2013-08-02 16:06:40.806957	2013-08-04 18:02:38.598663
45597	21	2013-08-02 16:06:40.785711	2013-08-04 18:02:38.601439
45577	21	2013-08-02 16:06:40.765034	2013-08-04 18:02:38.604311
45557	21	2013-08-02 16:06:40.738978	2013-08-04 18:02:38.60694
45537	21	2013-08-02 16:06:40.715253	2013-08-04 18:02:38.609479
34068	14	2013-08-02 16:06:14.931747	2013-08-04 18:03:13.37877
15432	13	2013-08-02 16:05:33.72992	2013-08-04 18:03:13.382628
34070	11	2013-08-02 16:06:14.933636	2013-08-04 18:03:13.392666
34088	9	2013-08-02 16:06:14.948195	2013-08-04 18:03:13.397491
34108	7	2013-08-02 16:06:14.965945	2013-08-04 18:03:13.398995
34128	6	2013-08-02 16:06:14.985626	2013-08-04 18:03:13.400307
34148	4	2013-08-02 16:06:15.003014	2013-08-04 18:03:13.402934
34188	2	2013-08-02 16:06:15.073495	2013-08-04 18:03:13.406848
34008	21	2013-08-02 16:06:14.648794	2013-08-04 18:03:13.430543
5584	21	2013-08-02 16:05:14.209681	2013-08-04 18:03:13.513976
33932	21	2013-08-02 16:06:14.573493	2013-08-04 18:03:36.97785
45763	11	2013-08-02 16:06:40.965945	2013-08-04 18:03:37.057414
45877	9	2013-08-02 16:06:41.343447	2013-08-04 18:03:37.064228
45897	8	2013-08-02 16:06:41.367602	2013-08-04 18:03:37.067766
45917	7	2013-08-02 16:06:41.39701	2013-08-04 18:03:37.071226
45937	6	2013-08-02 16:06:41.431911	2013-08-04 18:03:37.074674
45977	4	2013-08-02 16:06:41.484966	2013-08-04 18:03:37.082222
45965	2	2013-08-02 16:06:41.469409	2013-08-04 18:03:37.089183
45797	21	2013-08-02 16:06:41.264018	2013-08-04 18:03:37.119622
45957	21	2013-08-02 16:06:41.459574	2013-08-04 18:06:48.467299
45857	21	2013-08-02 16:06:41.321764	2013-08-04 18:06:48.598648
34077	21	2013-08-02 16:06:14.939066	2013-08-04 18:06:48.600274
5339	14	2013-08-02 16:05:13.662109	2013-08-04 18:06:49.415729
1990	14	2013-08-02 16:05:07.925747	2013-08-04 18:06:49.428247
5507	14	2013-08-02 16:05:14.024768	2013-08-04 18:06:49.440912
3881	14	2013-08-02 16:05:11.462413	2013-08-04 18:06:49.445885
28638	14	2013-08-02 16:06:02.019564	2013-08-04 18:06:49.450321
4977	14	2013-08-02 16:05:13.169105	2013-08-04 18:06:49.455528
34448	14	2013-08-02 16:06:15.72093	2013-08-04 18:06:49.527995
34428	14	2013-08-02 16:06:15.667051	2013-08-04 18:06:49.532237
34408	14	2013-08-02 16:06:15.61787	2013-08-04 18:06:49.538961
34481	14	2013-08-02 16:06:15.80822	2013-08-04 18:06:49.543343
34388	14	2013-08-02 16:06:15.569983	2013-08-04 18:06:49.547869
34208	21	2013-08-02 16:06:15.125062	2013-08-04 18:07:49.978822
45930	21	2013-08-02 16:06:41.420396	2013-08-04 18:07:49.981109
2276	14	2013-08-02 16:05:08.558747	2013-08-04 18:06:49.556665
34368	14	2013-08-02 16:06:15.521799	2013-08-04 18:06:49.569233
17565	14	2013-08-02 16:05:38.26819	2013-08-04 18:06:49.580554
34348	14	2013-08-02 16:06:15.474222	2013-08-04 18:06:49.592433
34328	14	2013-08-02 16:06:15.426083	2013-08-04 18:06:49.604541
34308	14	2013-08-02 16:06:15.378612	2013-08-04 18:06:49.616777
34288	14	2013-08-02 16:06:15.330695	2013-08-04 18:06:49.631646
34268	14	2013-08-02 16:06:15.282908	2013-08-04 18:06:49.638809
34248	14	2013-08-02 16:06:15.231931	2013-08-04 18:06:49.645344
34228	14	2013-08-02 16:06:15.178967	2013-08-04 18:06:49.65106
11449	14	2013-08-02 16:05:25.652334	2013-08-04 18:06:49.68753
11429	14	2013-08-02 16:05:25.599476	2013-08-04 18:06:49.692923
11409	14	2013-08-02 16:05:25.548405	2013-08-04 18:06:49.697744
34101	14	2013-08-02 16:06:14.958798	2013-08-04 18:06:49.702638
11389	14	2013-08-02 16:05:25.495022	2013-08-04 18:06:49.707924
11369	14	2013-08-02 16:05:25.442373	2013-08-04 18:06:49.713384
11349	14	2013-08-02 16:05:25.394164	2013-08-04 18:06:49.721426
11380	14	2013-08-02 16:05:25.471768	2013-08-04 18:06:49.727794
11401	14	2013-08-02 16:05:25.527316	2013-08-04 18:06:49.738815
11329	14	2013-08-02 16:05:25.259845	2013-08-04 18:06:49.749906
18700	14	2013-08-02 16:05:40.208271	2013-08-04 18:06:49.760931
11330	14	2013-08-02 16:05:25.262254	2013-08-04 18:06:49.772595
11309	14	2013-08-02 16:05:25.21109	2013-08-04 18:06:49.784755
21496	14	2013-08-02 16:05:46.279746	2013-08-04 18:06:50.265798
21476	14	2013-08-02 16:05:46.247023	2013-08-04 18:06:50.272477
18406	14	2013-08-02 16:05:39.510529	2013-08-04 18:06:50.278156
21456	14	2013-08-02 16:05:46.221288	2013-08-04 18:06:50.287331
21436	14	2013-08-02 16:05:46.056309	2013-08-04 18:06:50.297849
21410	14	2013-08-02 16:05:45.996232	2013-08-04 18:06:50.308842
24550	14	2013-08-02 16:05:53.219146	2013-08-04 18:06:50.319825
21503	14	2013-08-02 16:05:46.292725	2013-08-04 18:06:50.330889
21416	14	2013-08-02 16:05:46.009782	2013-08-04 18:06:50.3416
4508	14	2013-08-02 16:05:12.684484	2013-08-04 18:06:50.352628
21396	14	2013-08-02 16:05:45.958589	2013-08-04 18:06:50.363568
46583	14	2013-08-02 16:06:43.035735	2013-08-04 18:06:50.375344
21376	14	2013-08-02 16:05:45.901713	2013-08-04 18:06:50.386937
21356	14	2013-08-02 16:05:45.848745	2013-08-04 18:06:50.398622
46238	2	2013-08-02 16:06:41.978068	2013-08-04 18:06:50.489358
46297	2	2013-08-02 16:06:42.092765	2013-08-04 18:06:50.493779
46277	2	2013-08-02 16:06:42.047458	2013-08-04 18:06:50.499861
46257	2	2013-08-02 16:06:42.015945	2013-08-04 18:06:50.504632
46237	2	2013-08-02 16:06:41.975441	2013-08-04 18:06:50.510402
46217	2	2013-08-02 16:06:41.922413	2013-08-04 18:06:50.51521
46197	2	2013-08-02 16:06:41.869752	2013-08-04 18:06:50.519129
46177	2	2013-08-02 16:06:41.821574	2013-08-04 18:06:50.523105
46175	2	2013-08-02 16:06:41.816738	2013-08-04 18:06:50.527463
46101	2	2013-08-02 16:06:41.68987	2013-08-04 18:06:50.531969
46080	2	2013-08-02 16:06:41.669818	2013-08-04 18:06:50.536216
46157	2	2013-08-02 16:06:41.773636	2013-08-04 18:06:50.539792
46137	2	2013-08-02 16:06:41.741225	2013-08-04 18:06:50.543603
46117	2	2013-08-02 16:06:41.709777	2013-08-04 18:06:50.548574
46097	2	2013-08-02 16:06:41.685716	2013-08-04 18:06:50.553453
46077	2	2013-08-02 16:06:41.667167	2013-08-04 18:06:50.558089
46057	2	2013-08-02 16:06:41.643222	2013-08-04 18:06:50.561426
46037	2	2013-08-02 16:06:41.601107	2013-08-04 18:06:50.56474
46017	2	2013-08-02 16:06:41.556762	2013-08-04 18:06:50.568361
27399	14	2013-08-02 16:05:59.609914	2013-08-04 18:06:50.654097
27368	14	2013-08-02 16:05:59.535395	2013-08-04 18:06:50.665241
27388	14	2013-08-02 16:05:59.583856	2013-08-04 18:06:50.676577
27470	14	2013-08-02 16:05:59.912183	2013-08-04 18:06:50.687455
27379	14	2013-08-02 16:05:59.562024	2013-08-04 18:06:50.701562
27359	14	2013-08-02 16:05:59.513173	2013-08-04 18:06:50.712914
27339	14	2013-08-02 16:05:59.464659	2013-08-04 18:06:50.71765
26458	14	2013-08-02 16:05:57.137232	2013-08-04 18:06:50.723022
27319	14	2013-08-02 16:05:59.413881	2013-08-04 18:06:50.729027
45997	14	2013-08-02 16:06:41.518459	2013-08-04 18:06:50.960795
5600	21	2013-08-02 16:05:14.227461	2013-08-04 18:06:51.156431
5620	19	2013-08-02 16:05:14.252711	2013-08-04 18:06:51.178178
5640	19	2013-08-02 16:05:14.284794	2013-08-04 18:06:51.190993
5543	19	2013-08-02 16:05:14.113799	2013-08-04 18:06:51.202831
5588	19	2013-08-02 16:05:14.212591	2013-08-04 18:06:51.214781
5608	19	2013-08-02 16:05:14.236565	2013-08-04 18:06:51.226173
5628	19	2013-08-02 16:05:14.264406	2013-08-04 18:06:51.237673
5648	4	2013-08-02 16:05:14.299711	2013-08-04 18:06:51.261894
5497	4	2013-08-02 16:05:14.01064	2013-08-04 18:06:51.273558
5517	4	2013-08-02 16:05:14.048377	2013-08-04 18:06:51.285734
5647	4	2013-08-02 16:05:14.29754	2013-08-04 18:06:51.297195
5627	4	2013-08-02 16:05:14.262886	2013-08-04 18:06:51.30847
5607	4	2013-08-02 16:05:14.235293	2013-08-04 18:06:51.321291
5587	8	2013-08-02 16:05:14.21185	2013-08-04 18:06:51.400029
28838	8	2013-08-02 16:06:02.310942	2013-08-04 18:06:51.405432
5567	8	2013-08-02 16:05:14.171446	2013-08-04 18:06:51.409586
7825	8	2013-08-02 16:05:18.394768	2013-08-04 18:06:51.413143
5547	8	2013-08-02 16:05:14.124027	2013-08-04 18:06:51.416714
1215	8	2013-08-02 16:05:06.095323	2013-08-04 18:06:51.420478
34768	9	2013-08-02 16:06:16.509771	2013-08-04 18:06:51.438057
34748	9	2013-08-02 16:06:16.456262	2013-08-04 18:06:51.444673
34728	9	2013-08-02 16:06:16.402999	2013-08-04 18:06:51.452584
34708	9	2013-08-02 16:06:16.350978	2013-08-04 18:06:51.461047
34741	9	2013-08-02 16:06:16.437475	2013-08-04 18:06:51.471237
34632	9	2013-08-02 16:06:16.159285	2013-08-04 18:06:51.482365
34688	9	2013-08-02 16:06:16.302393	2013-08-04 18:06:51.493382
34668	9	2013-08-02 16:06:16.253365	2013-08-04 18:06:51.504485
34648	9	2013-08-02 16:06:16.201371	2013-08-04 18:06:51.516038
34628	9	2013-08-02 16:06:16.149044	2013-08-04 18:06:51.527113
34608	9	2013-08-02 16:06:16.094997	2013-08-04 18:06:51.532256
34588	9	2013-08-02 16:06:16.042975	2013-08-04 18:06:51.53786
34568	9	2013-08-02 16:06:16.012083	2013-08-04 18:06:51.542399
34683	9	2013-08-02 16:06:16.290406	2013-08-04 18:06:51.547506
34548	9	2013-08-02 16:06:15.968223	2013-08-04 18:06:51.552571
34528	9	2013-08-02 16:06:15.918362	2013-08-04 18:06:51.556954
34508	9	2013-08-02 16:06:15.876961	2013-08-04 18:06:51.561413
34488	9	2013-08-02 16:06:15.825096	2013-08-04 18:06:51.56693
34468	9	2013-08-02 16:06:15.773854	2013-08-04 18:06:51.573484
11609	4	2013-08-02 16:05:26.049942	2013-08-04 18:06:51.598845
11589	4	2013-08-02 16:05:26.006395	2013-08-04 18:06:51.609712
18250	4	2013-08-02 16:05:39.311355	2013-08-04 18:06:51.621445
11470	4	2013-08-02 16:05:25.706701	2013-08-04 18:06:51.633453
11569	4	2013-08-02 16:05:25.955734	2013-08-04 18:06:51.644717
11565	4	2013-08-02 16:05:25.945058	2013-08-04 18:06:51.655591
11605	4	2013-08-02 16:05:26.039327	2013-08-04 18:06:51.666667
11549	4	2013-08-02 16:05:25.903485	2013-08-04 18:06:51.677843
11529	4	2013-08-02 16:05:25.848275	2013-08-04 18:06:51.684536
11509	4	2013-08-02 16:05:25.800633	2013-08-04 18:06:51.688107
14552	4	2013-08-02 16:05:32.117308	2013-08-04 18:06:51.691616
11489	4	2013-08-02 16:05:25.752599	2013-08-04 18:06:51.694826
11593	4	2013-08-02 16:05:26.017831	2013-08-04 18:06:51.697909
22615	4	2013-08-02 16:05:49.16609	2013-08-04 18:06:51.701178
11469	4	2013-08-02 16:05:25.70401	2013-08-04 18:06:51.704708
11400	4	2013-08-02 16:05:25.524711	2013-08-04 18:06:51.708387
11406	4	2013-08-02 16:05:25.540434	2013-08-04 18:06:51.71189
11403	4	2013-08-02 16:05:25.532691	2013-08-04 18:06:51.71549
11421	4	2013-08-02 16:05:25.578703	2013-08-04 18:06:51.719204
46537	21	2013-08-02 16:06:42.922182	2013-08-04 18:06:52.214559
46620	11	2013-08-02 16:06:43.132695	2013-08-04 18:06:52.234585
46517	11	2013-08-02 16:06:42.897208	2013-08-04 18:06:52.244631
46497	11	2013-08-02 16:06:42.592573	2013-08-04 18:06:52.254116
46477	11	2013-08-02 16:06:42.543385	2013-08-04 18:06:52.26018
46450	11	2013-08-02 16:06:42.474499	2013-08-04 18:06:52.266518
46343	11	2013-08-02 16:06:42.206397	2013-08-04 18:06:52.271777
46421	11	2013-08-02 16:06:42.405274	2013-08-04 18:06:52.275773
46457	11	2013-08-02 16:06:42.492473	2013-08-04 18:06:52.279454
46345	11	2013-08-02 16:06:42.21202	2013-08-04 18:06:52.283221
27579	4	2013-08-02 16:06:00.128007	2013-08-04 18:06:52.518323
27559	4	2013-08-02 16:06:00.078377	2013-08-04 18:06:52.524647
27539	4	2013-08-02 16:06:00.025136	2013-08-04 18:06:52.528382
13277	4	2013-08-02 16:05:29.349681	2013-08-04 18:06:52.531756
27519	4	2013-08-02 16:05:59.980445	2013-08-04 18:06:52.535189
13179	4	2013-08-02 16:05:29.258155	2013-08-04 18:06:52.538783
27499	4	2013-08-02 16:05:59.941676	2013-08-04 18:06:52.542316
34168	21	2013-08-02 16:06:15.041401	2013-08-04 18:07:49.983946
46437	21	2013-08-02 16:06:42.443499	2013-08-04 18:07:49.986526
46417	21	2013-08-02 16:06:42.395749	2013-08-04 18:07:49.98911
46397	21	2013-08-02 16:06:42.345062	2013-08-04 18:07:49.991985
46377	21	2013-08-02 16:06:42.294554	2013-08-04 18:07:49.994562
46332	21	2013-08-02 16:06:42.177421	2013-08-04 18:07:49.995471
46357	21	2013-08-02 16:06:42.245595	2013-08-04 18:07:49.996347
46337	21	2013-08-02 16:06:42.190756	2013-08-04 18:07:49.997175
46317	21	2013-08-02 16:06:42.138431	2013-08-04 18:07:49.998052
46170	21	2013-08-02 16:06:41.803777	2013-08-04 18:07:49.998948
1996	8	2013-08-02 16:05:07.93177	2013-08-04 18:08:12.104834
5687	6	2013-08-02 16:05:14.398201	2013-08-04 18:08:12.108418
2960	2	2013-08-02 16:05:09.41084	2013-08-04 19:47:26.831152
5712	4	2013-08-02 16:05:14.457722	2013-08-04 18:08:12.115004
5808	2	2013-08-02 16:05:14.686315	2013-08-04 18:08:12.122035
5809	21	2013-08-02 16:05:14.688719	2013-08-04 18:08:24.799075
5707	21	2013-08-02 16:05:14.44586	2013-08-04 18:08:31.149321
46637	11	2013-08-02 16:06:43.174848	2013-08-04 18:08:42.447128
46672	9	2013-08-02 16:06:43.270238	2013-08-04 18:08:42.451504
46677	8	2013-08-02 16:06:43.28273	2013-08-04 18:08:42.453336
46697	7	2013-08-02 16:06:43.336006	2013-08-04 18:08:42.455162
46717	6	2013-08-02 16:06:43.389763	2013-08-04 18:08:42.456889
46757	4	2013-08-02 16:06:43.490316	2013-08-04 18:08:42.461124
46730	2	2013-08-02 16:06:43.423039	2013-08-04 18:08:42.46588
46577	21	2013-08-02 16:06:43.019727	2013-08-04 18:08:42.558663
46737	21	2013-08-02 16:06:43.441674	2013-08-04 18:11:48.131479
46657	21	2013-08-02 16:06:43.23033	2013-08-04 18:11:48.300679
46797	14	2013-08-02 16:06:43.589383	2013-08-04 18:11:48.997815
5791	14	2013-08-02 16:05:14.644503	2013-08-04 18:11:49.005369
46777	14	2013-08-02 16:06:43.540458	2013-08-04 18:11:49.063559
5760	14	2013-08-02 16:05:14.57066	2013-08-04 18:11:49.226469
5767	14	2013-08-02 16:05:14.587145	2013-08-04 18:11:49.231223
9418	14	2013-08-02 16:05:22.321329	2013-08-04 18:11:49.234563
39155	14	2013-08-02 16:06:26.502545	2013-08-04 18:11:49.241263
5747	14	2013-08-02 16:05:14.540073	2013-08-04 18:11:49.247001
18068	14	2013-08-02 16:05:39.107219	2013-08-04 18:11:49.251345
5727	14	2013-08-02 16:05:14.493051	2013-08-04 18:11:49.25476
34948	14	2013-08-02 16:06:17.083977	2013-08-04 18:11:49.300272
34928	14	2013-08-02 16:06:17.033965	2013-08-04 18:11:49.308297
34908	14	2013-08-02 16:06:16.982006	2013-08-04 18:11:49.311964
34970	14	2013-08-02 16:06:17.141971	2013-08-04 18:11:49.315663
34888	14	2013-08-02 16:06:16.932904	2013-08-04 18:11:49.320476
34868	14	2013-08-02 16:06:16.908667	2013-08-04 18:11:49.324432
34828	14	2013-08-02 16:06:16.833608	2013-08-04 18:11:49.365582
15139	14	2013-08-02 16:05:33.44385	2013-08-04 18:11:49.376589
17586	14	2013-08-02 16:05:38.323608	2013-08-04 18:11:49.387587
34808	14	2013-08-02 16:06:16.81034	2013-08-04 18:11:49.39906
34788	14	2013-08-02 16:06:16.561599	2013-08-04 18:11:49.410859
11729	14	2013-08-02 16:05:26.296774	2013-08-04 18:11:49.478333
11728	14	2013-08-02 16:05:26.294098	2013-08-04 18:11:49.489801
11770	14	2013-08-02 16:05:26.397151	2013-08-04 18:11:49.500456
11709	14	2013-08-02 16:05:26.247125	2013-08-04 18:11:49.511361
32275	14	2013-08-02 16:06:11.010146	2013-08-04 18:11:49.522335
11689	14	2013-08-02 16:05:26.194445	2013-08-04 18:11:49.533105
19481	14	2013-08-02 16:05:42.11585	2013-08-04 18:11:49.543982
43043	14	2013-08-02 16:06:34.997062	2013-08-04 18:11:49.555009
11669	14	2013-08-02 16:05:26.147855	2013-08-04 18:11:49.565998
11649	14	2013-08-02 16:05:26.095147	2013-08-04 18:11:49.576943
11629	14	2013-08-02 16:05:26.07137	2013-08-04 18:11:49.588058
11619	14	2013-08-02 16:05:26.061761	2013-08-04 18:11:49.599411
12558	14	2013-08-02 16:05:28.258452	2013-08-04 18:11:49.648393
29801	14	2013-08-02 16:06:04.895779	2013-08-04 18:11:49.653122
21536	14	2013-08-02 16:05:46.347067	2013-08-04 18:11:50.067345
21516	14	2013-08-02 16:05:46.315632	2013-08-04 18:11:50.070847
32905	14	2013-08-02 16:06:12.66134	2013-08-04 18:11:50.225683
20481	4	2013-08-02 16:05:44.380944	2013-08-04 18:11:50.248083
7110	4	2013-08-02 16:05:17.538919	2013-08-04 18:11:50.252543
47583	4	2013-08-02 16:06:45.11996	2013-08-04 18:11:50.256685
48043	4	2013-08-02 16:06:46.118346	2013-08-04 18:11:50.260802
24277	4	2013-08-02 16:05:52.769082	2013-08-04 18:11:50.265437
37063	4	2013-08-02 16:06:21.872469	2013-08-04 18:11:50.271659
17370	4	2013-08-02 16:05:37.800917	2013-08-04 18:11:50.277207
11701	4	2013-08-02 16:05:26.226118	2013-08-04 18:11:50.28181
37243	4	2013-08-02 16:06:22.107863	2013-08-04 18:11:50.285465
35823	4	2013-08-02 16:06:19.220272	2013-08-04 18:11:50.288952
35643	4	2013-08-02 16:06:18.846998	2013-08-04 18:11:50.29288
35703	4	2013-08-02 16:06:18.905994	2013-08-04 18:11:50.297364
37623	4	2013-08-02 16:06:22.99564	2013-08-04 18:11:50.301005
15175	4	2013-08-02 16:05:33.488428	2013-08-04 18:11:50.304565
23517	4	2013-08-02 16:05:51.423056	2013-08-04 18:11:50.309121
7741	4	2013-08-02 16:05:18.238664	2013-08-04 18:11:50.315719
29172	4	2013-08-02 16:06:03.240307	2013-08-04 18:11:50.319371
35958	4	2013-08-02 16:06:19.547323	2013-08-04 18:11:50.322575
16061	4	2013-08-02 16:05:34.509545	2013-08-04 18:11:50.32587
5907	21	2013-08-02 16:05:14.933803	2013-08-04 18:11:50.604304
5861	9	2013-08-02 16:05:14.81693	2013-08-04 18:11:50.624916
5901	9	2013-08-02 16:05:14.91788	2013-08-04 18:11:50.636298
5887	9	2013-08-02 16:05:14.88022	2013-08-04 18:11:50.64734
5949	9	2013-08-02 16:05:15.038237	2013-08-04 18:11:50.659103
5867	4	2013-08-02 16:05:14.832975	2013-08-04 18:11:50.679769
14945	4	2013-08-02 16:05:32.980291	2013-08-04 18:11:50.685772
5847	4	2013-08-02 16:05:14.780026	2013-08-04 18:11:50.691542
5827	4	2013-08-02 16:05:14.732652	2013-08-04 18:11:50.696002
39563	19	2013-08-02 16:06:27.265462	2013-08-04 18:11:50.702425
14897	19	2013-08-02 16:05:32.860103	2013-08-04 18:11:50.705348
5690	19	2013-08-02 16:05:14.405352	2013-08-04 18:11:50.70811
5685	19	2013-08-02 16:05:14.393435	2013-08-04 18:11:50.711908
5745	8	2013-08-02 16:05:14.535308	2013-08-04 18:11:50.731077
5778	8	2013-08-02 16:05:14.613168	2013-08-04 18:11:50.742057
5798	8	2013-08-02 16:05:14.661067	2013-08-04 18:11:50.752884
5715	8	2013-08-02 16:05:14.464806	2013-08-04 18:11:50.763433
42085	7	2013-08-02 16:06:32.778063	2013-08-04 18:11:50.825816
11869	7	2013-08-02 16:05:26.655489	2013-08-04 18:11:50.836621
11796	7	2013-08-02 16:05:26.465534	2013-08-04 18:11:50.847456
11849	7	2013-08-02 16:05:26.603988	2013-08-04 18:11:50.858643
11829	7	2013-08-02 16:05:26.551855	2013-08-04 18:11:50.869716
11920	7	2013-08-02 16:05:26.781263	2013-08-04 18:11:50.880393
11900	7	2013-08-02 16:05:26.732755	2013-08-04 18:11:50.891044
11809	4	2013-08-02 16:05:26.500703	2013-08-04 18:11:50.913707
2175	4	2013-08-02 16:05:08.364882	2013-08-04 18:11:50.924668
11799	4	2013-08-02 16:05:26.473695	2013-08-04 18:11:50.935956
11789	4	2013-08-02 16:05:26.447632	2013-08-04 18:11:50.947701
11675	4	2013-08-02 16:05:26.163617	2013-08-04 18:11:50.959377
11692	4	2013-08-02 16:05:26.202094	2013-08-04 18:11:50.970534
11769	4	2013-08-02 16:05:26.394656	2013-08-04 18:11:50.981516
11749	4	2013-08-02 16:05:26.345133	2013-08-04 18:11:50.993382
11641	4	2013-08-02 16:05:26.084131	2013-08-04 18:11:51.001619
47077	21	2013-08-02 16:06:44.233911	2013-08-04 18:11:51.506475
47057	11	2013-08-02 16:06:44.175452	2013-08-04 18:11:51.526538
47037	11	2013-08-02 16:06:44.132782	2013-08-04 18:11:51.537685
46961	11	2013-08-02 16:06:44.000303	2013-08-04 18:11:51.548661
47017	11	2013-08-02 16:06:44.093489	2013-08-04 18:11:51.555698
47100	11	2013-08-02 16:06:44.296055	2013-08-04 18:11:51.55905
46997	11	2013-08-02 16:06:44.062245	2013-08-04 18:11:51.562247
46977	11	2013-08-02 16:06:44.037052	2013-08-04 18:11:51.566494
46957	11	2013-08-02 16:06:43.990823	2013-08-04 18:11:51.571
46918	21	2013-08-02 16:06:43.897899	2013-08-04 18:14:30.564139
46937	21	2013-08-02 16:06:43.942879	2013-08-04 18:14:30.565942
46917	21	2013-08-02 16:06:43.895505	2013-08-04 18:14:30.568691
46897	21	2013-08-02 16:06:43.844851	2013-08-04 18:14:30.57142
46877	21	2013-08-02 16:06:43.795629	2013-08-04 18:14:30.574129
46857	21	2013-08-02 16:06:43.74546	2013-08-04 18:14:30.576308
46837	21	2013-08-02 16:06:43.692147	2013-08-04 18:14:30.577562
46817	21	2013-08-02 16:06:43.639395	2013-08-04 18:14:30.578747
12066	19	2013-08-02 16:05:27.157281	2013-08-04 18:14:30.605066
11969	16	2013-08-02 16:05:26.909435	2013-08-04 18:14:30.611614
12009	14	2013-08-02 16:05:27.013755	2013-08-04 18:14:30.617771
12029	13	2013-08-02 16:05:27.062423	2013-08-04 18:14:30.621151
12049	11	2013-08-02 16:05:27.114873	2013-08-04 18:14:30.627435
12089	8	2013-08-02 16:05:27.287676	2013-08-04 18:14:30.63374
11983	7	2013-08-02 16:05:26.94603	2013-08-04 18:14:30.636126
12206	6	2013-08-02 16:05:27.479983	2013-08-04 18:14:30.638684
12129	4	2013-08-02 16:05:27.351581	2013-08-04 18:14:30.64496
11949	21	2013-08-02 16:05:26.853962	2013-08-04 18:15:51.58462
11989	21	2013-08-02 16:05:26.96182	2013-08-04 18:15:51.605173
11946	21	2013-08-02 16:05:26.845945	2013-08-04 18:16:28.464217
12149	14	2013-08-02 16:05:27.379953	2013-08-04 18:17:48.09284
12109	14	2013-08-02 16:05:27.316227	2013-08-04 18:17:48.275953
12069	7	2013-08-02 16:05:27.164677	2013-08-04 18:17:48.698146
12169	2	2013-08-02 16:05:27.403986	2013-08-04 18:14:30.652065
12449	2	2013-08-02 16:05:28.069854	2013-08-04 19:47:26.826311
6346	11	2013-08-02 16:05:15.990164	2013-08-04 18:15:38.141194
12289	8	2013-08-02 16:05:27.681348	2013-08-04 18:15:38.148637
12309	7	2013-08-02 16:05:27.730308	2013-08-04 18:15:38.152006
12329	6	2013-08-02 16:05:27.777768	2013-08-04 18:15:38.155456
12369	4	2013-08-02 16:05:27.876979	2013-08-04 18:15:38.162833
12389	2	2013-08-02 16:05:27.927642	2013-08-04 18:15:38.170374
33960	19	2013-08-02 16:06:14.605109	2013-08-04 18:15:51.623698
12469	16	2013-08-02 16:05:28.092315	2013-08-04 18:15:51.625614
12470	14	2013-08-02 16:05:28.093754	2013-08-04 18:15:51.627546
12489	13	2013-08-02 16:05:28.124008	2013-08-04 18:15:51.628402
12529	11	2013-08-02 16:05:28.201048	2013-08-04 18:15:51.630136
12549	8	2013-08-02 16:05:28.240707	2013-08-04 18:15:51.632926
12408	7	2013-08-02 16:05:27.978558	2013-08-04 18:15:51.634434
12575	6	2013-08-02 16:05:28.292686	2013-08-04 18:15:51.635601
12596	4	2013-08-02 16:05:28.334449	2013-08-04 18:15:51.639125
12666	2	2013-08-02 16:05:28.445835	2013-08-04 18:15:51.642461
1904	21	2013-08-02 16:05:07.727454	2013-08-04 18:16:05.364843
28139	21	2013-08-02 16:06:01.254681	2013-08-04 18:16:05.366199
12429	21	2013-08-02 16:05:28.032493	2013-08-04 18:16:05.367563
12709	13	2013-08-02 16:05:28.53428	2013-08-04 18:16:05.388533
12563	11	2013-08-02 16:05:28.268737	2013-08-04 18:16:05.392833
34340	8	2013-08-02 16:06:15.454967	2013-08-04 18:16:05.397138
12749	7	2013-08-02 16:05:28.628895	2013-08-04 18:16:05.399782
12769	6	2013-08-02 16:05:28.678026	2013-08-04 18:16:05.402671
12796	4	2013-08-02 16:05:28.745503	2013-08-04 18:16:05.408584
12829	2	2013-08-02 16:05:28.883693	2013-08-04 18:16:05.41394
12889	16	2013-08-02 16:05:28.950449	2013-08-04 18:16:17.401068
11290	14	2013-08-02 16:05:25.159284	2013-08-04 18:16:17.408531
12929	13	2013-08-02 16:05:28.993207	2013-08-04 18:16:17.412242
12949	11	2013-08-02 16:05:29.011694	2013-08-04 18:16:17.419682
12972	8	2013-08-02 16:05:29.032365	2013-08-04 18:16:17.427138
12969	7	2013-08-02 16:05:29.029871	2013-08-04 18:16:17.430686
12959	6	2013-08-02 16:05:29.020581	2013-08-04 18:16:17.434027
13009	4	2013-08-02 16:05:29.066732	2013-08-04 18:16:17.441819
13029	2	2013-08-02 16:05:29.085128	2013-08-04 18:16:17.449818
5987	13	2013-08-02 16:05:15.138527	2013-08-04 18:16:28.421779
6050	11	2013-08-02 16:05:15.263802	2013-08-04 18:16:28.42854
6089	9	2013-08-02 16:05:15.349271	2013-08-04 18:16:28.435353
6109	8	2013-08-02 16:05:15.397626	2013-08-04 18:16:28.438592
6084	6	2013-08-02 16:05:15.337423	2013-08-04 18:16:28.441667
6064	4	2013-08-02 16:05:15.287313	2013-08-04 18:16:28.444544
6027	2	2013-08-02 16:05:15.237187	2013-08-04 18:16:28.446698
12269	21	2013-08-02 16:05:27.632436	2013-08-04 18:16:28.465062
12509	21	2013-08-02 16:05:28.160859	2013-08-04 18:16:28.465984
12612	21	2013-08-02 16:05:28.366538	2013-08-04 18:16:28.466899
40972	21	2013-08-02 16:06:29.908614	2013-08-04 18:16:28.467781
7364	21	2013-08-02 16:05:17.794645	2013-08-04 18:16:28.468664
40015	4	2013-08-02 16:06:28.380423	2013-08-04 18:16:28.534015
13086	16	2013-08-02 16:05:29.149617	2013-08-04 18:16:28.581151
13135	14	2013-08-02 16:05:29.208206	2013-08-04 18:16:28.584926
13069	13	2013-08-02 16:05:29.134351	2013-08-04 18:16:28.587344
13089	11	2013-08-02 16:05:29.154951	2013-08-04 18:16:28.59139
13109	8	2013-08-02 16:05:29.179289	2013-08-04 18:16:28.594464
13129	7	2013-08-02 16:05:29.202459	2013-08-04 18:16:28.595719
13072	6	2013-08-02 16:05:29.136743	2013-08-04 18:16:28.597456
3435	4	2013-08-02 16:05:10.377496	2013-08-04 18:16:28.600668
23617	2	2013-08-02 16:05:51.681993	2013-08-04 18:16:28.603208
17461	4	2013-08-02 16:05:38.033046	2013-08-04 18:17:47.957815
19500	4	2013-08-02 16:05:42.164215	2013-08-04 18:17:47.964169
48083	4	2013-08-02 16:06:46.159165	2013-08-04 18:17:47.968564
11411	4	2013-08-02 16:05:25.553746	2013-08-04 18:17:47.972712
15825	4	2013-08-02 16:05:34.223501	2013-08-04 18:17:47.977556
15846	4	2013-08-02 16:05:34.249437	2013-08-04 18:17:47.982344
22986	4	2013-08-02 16:05:50.040603	2013-08-04 18:17:47.986792
8900	4	2013-08-02 16:05:21.010197	2013-08-04 18:17:47.99211
17401	4	2013-08-02 16:05:37.876172	2013-08-04 18:17:47.999819
10223	4	2013-08-02 16:05:23.495133	2013-08-04 18:17:48.005569
22966	4	2013-08-02 16:05:49.989782	2013-08-04 18:17:48.010186
13760	4	2013-08-02 16:05:30.132778	2013-08-04 18:17:48.015927
13169	21	2013-08-02 16:05:29.248296	2013-08-04 18:17:48.059218
10720	21	2013-08-02 16:05:24.145211	2013-08-04 18:17:48.060487
12589	9	2013-08-02 16:05:28.320484	2013-08-04 18:17:48.079731
12296	9	2013-08-02 16:05:27.698587	2013-08-04 18:17:48.083984
13149	2	2013-08-02 16:05:29.226433	2013-08-04 18:17:48.168854
15119	2	2013-08-02 16:05:33.420613	2013-08-04 18:17:48.179376
12789	9	2013-08-02 16:05:28.727672	2013-08-04 18:17:48.233197
12569	9	2013-08-02 16:05:28.280743	2013-08-04 18:17:48.243868
12349	14	2013-08-02 16:05:27.825228	2013-08-04 18:17:48.265638
6087	8	2013-08-02 16:05:15.344522	2013-08-04 18:17:48.510424
6071	8	2013-08-02 16:05:15.305625	2013-08-04 18:17:48.516134
6067	8	2013-08-02 16:05:15.29536	2013-08-04 18:17:48.522385
13409	21	2013-08-02 16:05:29.465376	2013-08-04 18:17:48.533568
13389	4	2013-08-02 16:05:29.44721	2013-08-04 18:17:48.542222
31820	4	2013-08-02 16:06:09.84905	2013-08-04 18:17:48.546648
13369	4	2013-08-02 16:05:29.431229	2013-08-04 18:17:48.551609
13466	4	2013-08-02 16:05:29.516398	2013-08-04 18:17:48.557585
13349	4	2013-08-02 16:05:29.414734	2013-08-04 18:17:48.563654
13329	4	2013-08-02 16:05:29.39684	2013-08-04 18:17:48.571315
19408	4	2013-08-02 16:05:41.99697	2013-08-04 18:17:48.584123
13309	4	2013-08-02 16:05:29.381163	2013-08-04 18:17:48.595883
13289	4	2013-08-02 16:05:29.361651	2013-08-04 18:17:48.601292
13269	7	2013-08-02 16:05:29.340658	2013-08-04 18:17:48.60836
13249	7	2013-08-02 16:05:29.321596	2013-08-04 18:17:48.612308
10377	7	2013-08-02 16:05:23.662392	2013-08-04 18:17:48.616126
13229	7	2013-08-02 16:05:29.299802	2013-08-04 18:17:48.62155
13192	7	2013-08-02 16:05:29.268276	2013-08-04 18:17:48.628239
13209	7	2013-08-02 16:05:29.281251	2013-08-04 18:17:48.632393
12860	7	2013-08-02 16:05:28.917246	2013-08-04 18:17:48.636816
13189	7	2013-08-02 16:05:29.266051	2013-08-04 18:17:48.642543
13096	21	2013-08-02 16:05:29.167096	2013-08-04 18:17:48.659964
6007	21	2013-08-02 16:05:15.189269	2013-08-04 18:17:48.661153
12900	4	2013-08-02 16:05:28.964203	2013-08-04 18:17:48.668774
12729	4	2013-08-02 16:05:28.580097	2013-08-04 18:17:48.673581
12456	19	2013-08-02 16:05:28.076946	2013-08-04 18:17:48.682677
12346	19	2013-08-02 16:05:27.818114	2013-08-04 18:17:48.687591
13133	21	2013-08-02 16:05:29.206459	2013-08-04 18:17:48.73178
13049	19	2013-08-02 16:05:29.114652	2013-08-04 18:17:49.220378
12909	19	2013-08-02 16:05:28.974584	2013-08-04 18:17:49.225006
12517	19	2013-08-02 16:05:28.176716	2013-08-04 18:17:49.231393
8736	8	2013-08-02 16:05:20.60856	2013-08-04 18:17:49.261209
6011	7	2013-08-02 16:05:15.198845	2013-08-04 18:17:49.347747
6092	7	2013-08-02 16:05:15.35637	2013-08-04 18:17:49.351358
6072	7	2013-08-02 16:05:15.308252	2013-08-04 18:17:49.355652
6052	7	2013-08-02 16:05:15.266307	2013-08-04 18:17:49.35962
6032	7	2013-08-02 16:05:15.244431	2013-08-04 18:17:49.363337
6012	7	2013-08-02 16:05:15.20122	2013-08-04 18:17:49.369716
9540	21	2013-08-02 16:05:22.576426	2013-08-04 18:17:49.425778
12989	14	2013-08-02 16:05:29.047788	2013-08-04 18:17:50.435867
6121	14	2013-08-02 16:05:15.426975	2013-08-04 18:17:50.43942
12809	14	2013-08-02 16:05:28.864466	2013-08-04 18:17:50.445915
13017	14	2013-08-02 16:05:29.07382	2013-08-04 18:17:50.450377
13083	14	2013-08-02 16:05:29.146796	2013-08-04 18:17:50.454299
6047	14	2013-08-02 16:05:15.260431	2013-08-04 18:17:50.458099
13008	14	2013-08-02 16:05:29.065839	2013-08-04 18:17:50.461988
12849	14	2013-08-02 16:05:28.90614	2013-08-04 18:17:50.466396
12609	14	2013-08-02 16:05:28.360597	2013-08-04 18:17:50.470505
12409	14	2013-08-02 16:05:27.98121	2013-08-04 18:17:50.474149
12141	14	2013-08-02 16:05:27.371248	2013-08-04 18:17:50.477404
17430	14	2013-08-02 16:05:37.95326	2013-08-04 18:17:50.568831
19861	14	2013-08-02 16:05:43.06627	2013-08-04 18:17:50.572071
33181	14	2013-08-02 16:06:13.354015	2013-08-04 18:17:50.61913
6130	14	2013-08-02 16:05:15.448604	2013-08-04 18:17:50.624556
6167	14	2013-08-02 16:05:15.537499	2013-08-04 18:17:50.631085
6147	14	2013-08-02 16:05:15.488971	2013-08-04 18:17:50.638259
2725	14	2013-08-02 16:05:09.104018	2013-08-04 18:17:50.645251
5826	14	2013-08-02 16:05:14.730279	2013-08-04 18:17:50.651966
38203	14	2013-08-02 16:06:24.597576	2013-08-04 18:17:50.65653
40683	14	2013-08-02 16:06:29.297045	2013-08-04 18:17:50.662226
6127	14	2013-08-02 16:05:15.441441	2013-08-04 18:17:50.669504
13737	14	2013-08-02 16:05:30.096363	2013-08-04 18:17:50.675367
4446	14	2013-08-02 16:05:12.608945	2013-08-04 18:17:50.68014
6090	14	2013-08-02 16:05:15.35164	2013-08-04 18:17:50.684008
6056	14	2013-08-02 16:05:15.271383	2013-08-04 18:17:50.688078
6078	14	2013-08-02 16:05:15.32313	2013-08-04 18:17:50.693299
1966	14	2013-08-02 16:05:07.871372	2013-08-04 18:17:50.710147
32273	14	2013-08-02 16:06:11.005384	2013-08-04 18:17:50.772319
32293	14	2013-08-02 16:06:11.040017	2013-08-04 18:17:50.782199
32292	14	2013-08-02 16:06:11.039018	2013-08-04 18:17:50.79257
32313	14	2013-08-02 16:06:11.062309	2013-08-04 18:17:50.80313
32333	14	2013-08-02 16:06:11.110219	2013-08-04 18:17:50.813824
2417	14	2013-08-02 16:05:08.727718	2013-08-04 18:17:50.824107
6051	14	2013-08-02 16:05:15.26504	2013-08-04 18:17:50.886106
6107	14	2013-08-02 16:05:15.392227	2013-08-04 18:17:50.896389
6031	14	2013-08-02 16:05:15.243433	2013-08-04 18:17:50.907378
39143	14	2013-08-02 16:06:26.491883	2013-08-04 18:17:50.918317
2000	14	2013-08-02 16:05:07.944064	2013-08-04 18:17:50.927298
15668	14	2013-08-02 16:05:33.946914	2013-08-04 18:17:50.930429
10917	14	2013-08-02 16:05:24.336844	2013-08-04 18:17:50.949368
13569	14	2013-08-02 16:05:29.740328	2013-08-04 18:17:50.954589
40795	14	2013-08-02 16:06:29.496311	2013-08-04 18:17:50.959506
13549	14	2013-08-02 16:05:29.721337	2013-08-04 18:17:50.965267
13529	14	2013-08-02 16:05:29.588196	2013-08-04 18:17:50.971145
13536	14	2013-08-02 16:05:29.597814	2013-08-04 18:17:50.979825
13509	14	2013-08-02 16:05:29.559085	2013-08-04 18:17:50.987129
13489	14	2013-08-02 16:05:29.538109	2013-08-04 18:17:50.991468
13440	14	2013-08-02 16:05:29.494489	2013-08-04 18:17:50.994805
13469	14	2013-08-02 16:05:29.51868	2013-08-04 18:17:50.998081
13449	14	2013-08-02 16:05:29.503112	2013-08-04 18:17:51.001799
2340	14	2013-08-02 16:05:08.636942	2013-08-04 18:17:51.00575
13352	14	2013-08-02 16:05:29.417355	2013-08-04 18:17:51.009464
13429	14	2013-08-02 16:05:29.485014	2013-08-04 18:17:51.01639
30497	14	2013-08-02 16:06:06.601306	2013-08-04 18:17:51.235342
30491	14	2013-08-02 16:06:06.592738	2013-08-04 18:17:51.245253
30471	14	2013-08-02 16:06:06.557462	2013-08-04 18:17:51.255342
1899	14	2013-08-02 16:05:07.718355	2013-08-04 18:17:51.278967
18517	14	2013-08-02 16:05:39.681477	2013-08-04 18:17:51.674108
15246	14	2013-08-02 16:05:33.545723	2013-08-04 18:17:51.68479
1965	14	2013-08-02 16:05:07.869484	2013-08-04 18:17:51.689996
12718	6	2013-08-02 16:05:28.553965	2013-08-04 18:19:03.573047
40783	2	2013-08-02 16:06:29.464685	2013-08-04 18:19:03.577221
15771	9	2013-08-02 16:05:34.166541	2013-08-04 18:19:12.318313
32613	8	2013-08-02 16:06:11.990229	2013-08-04 18:19:12.319871
32633	7	2013-08-02 16:06:12.017327	2013-08-04 18:19:12.321404
32653	6	2013-08-02 16:06:12.050595	2013-08-04 18:19:12.322863
16991	4	2013-08-02 16:05:36.80044	2013-08-04 18:19:12.325403
13669	11	2013-08-02 16:05:29.938414	2013-08-04 18:19:17.412225
13736	8	2013-08-02 16:05:30.093849	2013-08-04 18:19:17.414559
13689	7	2013-08-02 16:05:29.990408	2013-08-04 18:19:17.415856
13709	6	2013-08-02 16:05:30.039021	2013-08-04 18:19:17.417174
13729	4	2013-08-02 16:05:30.08685	2013-08-04 18:19:17.419811
13769	2	2013-08-02 16:05:30.156836	2013-08-04 18:19:17.421887
21976	8	2013-08-02 16:05:47.470788	2013-08-04 18:19:17.461914
21925	7	2013-08-02 16:05:47.361509	2013-08-04 18:19:17.463503
21825	6	2013-08-02 16:05:47.124654	2013-08-04 18:19:17.46502
13678	21	2013-08-02 16:05:29.961162	2013-08-04 18:19:28.684529
6337	14	2013-08-02 16:05:15.967306	2013-08-04 18:19:28.698461
6317	13	2013-08-02 16:05:15.914003	2013-08-04 18:19:28.699607
6300	11	2013-08-02 16:05:15.865933	2013-08-04 18:19:28.701446
6330	9	2013-08-02 16:05:15.948778	2013-08-04 18:19:28.703347
6310	8	2013-08-02 16:05:15.895443	2013-08-04 18:19:28.704237
7978	6	2013-08-02 16:05:18.777388	2013-08-04 18:19:28.705121
5637	2	2013-08-02 16:05:14.279336	2013-08-04 18:19:28.711325
6347	21	2013-08-02 16:05:15.992559	2013-08-04 18:19:28.860827
21885	21	2013-08-02 16:05:47.266705	2013-08-04 18:22:27.123087
13735	21	2013-08-02 16:05:30.092189	2013-08-04 18:22:27.126573
32612	21	2013-08-02 16:06:11.989132	2013-08-04 18:22:27.129439
6421	21	2013-08-02 16:05:16.097275	2013-08-04 18:22:27.336898
5677	21	2013-08-02 16:05:14.373881	2013-08-04 18:22:27.338578
32572	21	2013-08-02 16:06:11.711814	2013-08-04 18:22:27.341021
3671	14	2013-08-02 16:05:10.933315	2013-08-04 18:22:28.006826
24303	14	2013-08-02 16:05:52.794641	2013-08-04 18:22:28.010483
6327	14	2013-08-02 16:05:15.940718	2013-08-04 18:22:28.013942
13749	14	2013-08-02 16:05:30.110547	2013-08-04 18:22:28.057458
6535	14	2013-08-02 16:05:16.384658	2013-08-04 18:22:28.15547
6555	14	2013-08-02 16:05:16.435329	2013-08-04 18:22:28.166617
6575	14	2013-08-02 16:05:16.488094	2013-08-04 18:22:28.17759
6587	14	2013-08-02 16:05:16.518673	2013-08-04 18:22:28.188542
6567	14	2013-08-02 16:05:16.467109	2013-08-04 18:22:28.199458
6547	14	2013-08-02 16:05:16.41426	2013-08-04 18:22:28.209689
6527	14	2013-08-02 16:05:16.364849	2013-08-04 18:22:28.219912
6551	14	2013-08-02 16:05:16.424705	2013-08-04 18:22:28.230858
6507	14	2013-08-02 16:05:16.313338	2013-08-04 18:22:28.241828
6571	14	2013-08-02 16:05:16.47758	2013-08-04 18:22:28.252669
4766	14	2013-08-02 16:05:12.988861	2013-08-04 18:22:28.263454
6487	14	2013-08-02 16:05:16.262593	2013-08-04 18:22:28.274257
6591	14	2013-08-02 16:05:16.52836	2013-08-04 18:22:28.285198
40843	14	2013-08-02 16:06:29.619766	2013-08-04 18:22:28.296295
6467	14	2013-08-02 16:05:16.21382	2013-08-04 18:22:28.307347
9961	14	2013-08-02 16:05:23.237569	2013-08-04 18:22:28.318155
35055	14	2013-08-02 16:06:17.363473	2013-08-04 18:22:28.361486
35168	14	2013-08-02 16:06:17.646729	2013-08-04 18:22:28.372347
35148	14	2013-08-02 16:06:17.593729	2013-08-04 18:22:28.383031
15557	14	2013-08-02 16:05:33.835333	2013-08-04 18:22:28.393554
35128	14	2013-08-02 16:06:17.54337	2013-08-04 18:22:28.404371
35108	14	2013-08-02 16:06:17.492758	2013-08-04 18:22:28.415297
19686	14	2013-08-02 16:05:42.620276	2013-08-04 18:22:28.419738
35088	14	2013-08-02 16:06:17.442138	2013-08-04 18:22:28.425964
35068	14	2013-08-02 16:06:17.394255	2013-08-04 18:22:28.430424
35048	14	2013-08-02 16:06:17.345907	2013-08-04 18:22:28.434519
35158	14	2013-08-02 16:06:17.620236	2013-08-04 18:22:28.439417
35028	14	2013-08-02 16:06:17.296049	2013-08-04 18:22:28.443487
13890	14	2013-08-02 16:05:30.425977	2013-08-04 18:22:28.571008
8679	14	2013-08-02 16:05:20.472592	2013-08-04 18:22:28.577418
13877	14	2013-08-02 16:05:30.403407	2013-08-04 18:22:28.58451
13868	14	2013-08-02 16:05:30.392299	2013-08-04 18:22:28.593587
13969	14	2013-08-02 16:05:30.618494	2013-08-04 18:22:28.604364
13949	14	2013-08-02 16:05:30.570631	2013-08-04 18:22:28.615146
13929	14	2013-08-02 16:05:30.523174	2013-08-04 18:22:28.625871
13909	14	2013-08-02 16:05:30.475582	2013-08-04 18:22:28.637874
13889	14	2013-08-02 16:05:30.423522	2013-08-04 18:22:28.65011
13955	14	2013-08-02 16:05:30.584895	2013-08-04 18:22:28.66237
13869	14	2013-08-02 16:05:30.393468	2013-08-04 18:22:28.677205
13956	14	2013-08-02 16:05:30.58736	2013-08-04 18:22:28.683098
13849	14	2013-08-02 16:05:30.356289	2013-08-04 18:22:28.688412
43583	14	2013-08-02 16:06:36.176065	2013-08-04 18:22:28.693191
13829	14	2013-08-02 16:05:30.30865	2013-08-04 18:22:28.698145
34561	14	2013-08-02 16:06:16.002245	2013-08-04 18:22:28.702842
6297	2	2013-08-02 16:05:15.857542	2013-08-04 18:22:28.762856
6427	14	2013-08-02 16:05:16.112367	2013-08-04 18:22:29.003651
47157	2	2013-08-02 16:06:44.414438	2013-08-04 18:22:29.103821
47137	2	2013-08-02 16:06:44.388625	2013-08-04 18:22:29.11581
47117	2	2013-08-02 16:06:44.338887	2013-08-04 18:22:29.123653
23548	4	2013-08-02 16:05:51.496343	2013-08-04 18:22:29.461101
48103	4	2013-08-02 16:06:46.179465	2013-08-04 18:22:29.466107
5129	4	2013-08-02 16:05:13.352982	2013-08-04 18:22:29.470874
39552	4	2013-08-02 16:06:27.246003	2013-08-04 18:22:29.741689
6667	4	2013-08-02 16:05:16.729282	2013-08-04 18:22:29.748145
33441	4	2013-08-02 16:06:14.070775	2013-08-04 18:22:29.753399
6647	19	2013-08-02 16:05:16.676694	2013-08-04 18:22:29.764901
6627	19	2013-08-02 16:05:16.62361	2013-08-04 18:22:29.768942
6729	19	2013-08-02 16:05:16.888427	2013-08-04 18:22:29.772307
6749	19	2013-08-02 16:05:16.915204	2013-08-04 18:22:29.775567
3981	19	2013-08-02 16:05:11.705313	2013-08-04 18:22:29.778855
3961	19	2013-08-02 16:05:11.656017	2013-08-04 18:22:29.782243
6607	8	2013-08-02 16:05:16.571177	2013-08-04 18:22:29.790791
14960	8	2013-08-02 16:05:33.016235	2013-08-04 18:22:29.798072
6630	8	2013-08-02 16:05:16.631567	2013-08-04 18:22:29.806129
9941	8	2013-08-02 16:05:23.221597	2013-08-04 18:22:29.817407
20888	8	2013-08-02 16:05:45.078628	2013-08-04 18:22:29.828797
4817	8	2013-08-02 16:05:13.027438	2013-08-04 18:22:29.905925
18630	7	2013-08-02 16:05:39.941675	2013-08-04 18:22:29.94792
14189	7	2013-08-02 16:05:31.160914	2013-08-04 18:22:29.957788
14223	7	2013-08-02 16:05:31.24364	2013-08-04 18:22:29.967857
14169	7	2013-08-02 16:05:31.109303	2013-08-04 18:22:29.977661
14149	7	2013-08-02 16:05:31.055425	2013-08-04 18:22:29.987874
14136	7	2013-08-02 16:05:31.020801	2013-08-04 18:22:29.998472
7306	7	2013-08-02 16:05:17.725234	2013-08-04 18:22:30.020918
14129	4	2013-08-02 16:05:31.010372	2013-08-04 18:22:30.043593
14109	4	2013-08-02 16:05:30.963023	2013-08-04 18:22:30.054615
14089	4	2013-08-02 16:05:30.910466	2013-08-04 18:22:30.065343
14069	4	2013-08-02 16:05:30.857973	2013-08-04 18:22:30.076291
14049	4	2013-08-02 16:05:30.809942	2013-08-04 18:22:30.087201
14029	4	2013-08-02 16:05:30.762451	2013-08-04 18:22:30.098317
14040	4	2013-08-02 16:05:30.788639	2013-08-04 18:22:30.10921
14009	4	2013-08-02 16:05:30.715157	2013-08-04 18:22:30.119855
13989	4	2013-08-02 16:05:30.665959	2013-08-04 18:22:30.129865
32973	8	2013-08-02 16:06:12.826892	2013-08-04 18:22:30.39445
47500	21	2013-08-02 16:06:45.023302	2013-08-04 18:22:30.683234
47437	11	2013-08-02 16:06:44.96139	2013-08-04 18:22:30.703462
47452	11	2013-08-02 16:06:44.976399	2013-08-04 18:22:30.714802
47417	11	2013-08-02 16:06:44.940276	2013-08-04 18:22:30.725603
47301	11	2013-08-02 16:06:44.815093	2013-08-04 18:22:30.736435
47397	11	2013-08-02 16:06:44.918637	2013-08-04 18:22:30.747424
47377	11	2013-08-02 16:06:44.8972	2013-08-04 18:22:30.758723
47357	11	2013-08-02 16:06:44.873811	2013-08-04 18:22:30.773423
47337	11	2013-08-02 16:06:44.848104	2013-08-04 18:22:30.781583
47317	11	2013-08-02 16:06:44.829136	2013-08-04 18:22:30.786221
28981	7	2013-08-02 16:06:02.76083	2013-08-04 18:22:31.008719
3665	7	2013-08-02 16:05:10.918508	2013-08-04 18:22:31.01995
28899	7	2013-08-02 16:06:02.457172	2013-08-04 18:22:31.025184
15006	7	2013-08-02 16:05:33.128456	2013-08-04 18:22:31.034195
47297	21	2013-08-02 16:06:44.811993	2013-08-04 18:23:52.552098
47277	21	2013-08-02 16:06:44.797091	2013-08-04 18:23:52.553263
47257	21	2013-08-02 16:06:44.778588	2013-08-04 18:23:52.554093
47237	21	2013-08-02 16:06:44.48312	2013-08-04 18:23:52.554982
47165	21	2013-08-02 16:06:44.421629	2013-08-04 18:23:52.555818
47217	21	2013-08-02 16:06:44.46353	2013-08-04 18:23:52.556554
47197	21	2013-08-02 16:06:44.446911	2013-08-04 18:23:52.557267
47177	21	2013-08-02 16:06:44.43081	2013-08-04 18:23:52.557979
47175	21	2013-08-02 16:06:44.429456	2013-08-04 18:23:52.558762
4021	2	2013-08-02 16:05:11.857816	2013-08-04 18:24:12.273955
14329	8	2013-08-02 16:05:31.565939	2013-08-04 18:24:27.795902
14349	7	2013-08-02 16:05:31.615418	2013-08-04 18:24:27.799497
14369	6	2013-08-02 16:05:31.669019	2013-08-04 18:24:27.803209
14389	4	2013-08-02 16:05:31.717072	2013-08-04 18:24:27.810238
49075	2	2013-08-02 16:06:48.09328	2013-08-04 18:24:27.816255
6787	14	2013-08-02 16:05:16.969823	2013-08-04 18:24:39.323629
6792	13	2013-08-02 16:05:16.978654	2013-08-04 18:24:39.327233
6827	11	2013-08-02 16:05:17.049124	2013-08-04 18:24:39.334756
6847	9	2013-08-02 16:05:17.10333	2013-08-04 18:24:39.342076
6867	8	2013-08-02 16:05:17.156709	2013-08-04 18:24:39.345789
6887	6	2013-08-02 16:05:17.210653	2013-08-04 18:24:39.349477
6793	4	2013-08-02 16:05:16.980464	2013-08-04 18:24:39.356729
6830	2	2013-08-02 16:05:17.057275	2013-08-04 18:24:39.363882
4024	21	2013-08-02 16:05:11.861175	2013-08-04 18:24:39.494747
14409	2	2013-08-02 16:05:31.765169	2013-08-04 18:27:18.349028
6836	2	2013-08-02 16:05:17.07358	2013-08-04 18:27:18.354388
6907	21	2013-08-02 16:05:17.264338	2013-08-04 18:27:18.395981
7717	21	2013-08-02 16:05:18.216737	2013-08-04 18:27:18.399192
35348	2	2013-08-02 16:06:18.070424	2013-08-04 18:27:18.747545
35328	2	2013-08-02 16:06:18.019987	2013-08-04 18:27:18.752293
45683	2	2013-08-02 16:06:40.883507	2013-08-04 18:27:18.757996
35252	2	2013-08-02 16:06:17.863668	2013-08-04 18:27:18.764918
35308	2	2013-08-02 16:06:17.967932	2013-08-04 18:27:18.771871
35288	2	2013-08-02 16:06:17.927672	2013-08-04 18:27:18.782069
35268	2	2013-08-02 16:06:17.905124	2013-08-04 18:27:18.791728
35290	2	2013-08-02 16:06:17.930644	2013-08-04 18:27:18.802766
35248	2	2013-08-02 16:06:17.853039	2013-08-04 18:27:18.807859
35228	2	2013-08-02 16:06:17.801177	2013-08-04 18:27:18.813469
35208	2	2013-08-02 16:06:17.752297	2013-08-04 18:27:18.820135
35188	2	2013-08-02 16:06:17.700154	2013-08-04 18:27:18.826724
6808	21	2013-08-02 16:05:17.009005	2013-08-04 18:27:18.867625
6807	2	2013-08-02 16:05:17.007018	2013-08-04 18:27:18.944985
6770	2	2013-08-02 16:05:16.941806	2013-08-04 18:27:19.437468
14429	2	2013-08-02 16:05:31.812593	2013-08-04 18:27:19.445757
4064	2	2013-08-02 16:05:11.918112	2013-08-04 18:27:19.455847
35535	2	2013-08-02 16:06:18.734925	2013-08-04 18:27:19.680297
35628	2	2013-08-02 16:06:18.834065	2013-08-04 18:27:19.688071
35608	2	2013-08-02 16:06:18.820813	2013-08-04 18:27:19.692469
35588	2	2013-08-02 16:06:18.80702	2013-08-04 18:27:19.695544
35568	2	2013-08-02 16:06:18.792999	2013-08-04 18:27:19.69852
35630	2	2013-08-02 16:06:18.835462	2013-08-04 18:27:19.702542
35548	2	2013-08-02 16:06:18.769385	2013-08-04 18:27:19.706581
35528	2	2013-08-02 16:06:18.508947	2013-08-04 18:27:19.711365
35508	2	2013-08-02 16:06:18.46109	2013-08-04 18:27:19.716726
35488	2	2013-08-02 16:06:18.41331	2013-08-04 18:27:19.722243
35355	2	2013-08-02 16:06:18.087269	2013-08-04 18:27:19.727503
35468	2	2013-08-02 16:06:18.36582	2013-08-04 18:27:19.733991
35400	2	2013-08-02 16:06:18.202834	2013-08-04 18:27:19.742492
35448	2	2013-08-02 16:06:18.317767	2013-08-04 18:27:19.750832
35428	2	2013-08-02 16:06:18.270664	2013-08-04 18:27:19.756817
35408	2	2013-08-02 16:06:18.222315	2013-08-04 18:27:19.761303
35438	2	2013-08-02 16:06:18.294192	2013-08-04 18:27:19.765224
35388	2	2013-08-02 16:06:18.173362	2013-08-04 18:27:19.769008
35368	2	2013-08-02 16:06:18.122815	2013-08-04 18:27:19.772743
14581	2	2013-08-02 16:05:32.178747	2013-08-04 18:27:19.86704
14529	2	2013-08-02 16:05:32.062305	2013-08-04 18:27:19.87087
16366	2	2013-08-02 16:05:35.206605	2013-08-04 18:27:19.87433
14509	2	2013-08-02 16:05:32.013947	2013-08-04 18:27:19.877569
23165	2	2013-08-02 16:05:50.580895	2013-08-04 18:27:19.880638
14489	2	2013-08-02 16:05:31.964814	2013-08-04 18:27:19.884283
14469	2	2013-08-02 16:05:31.913338	2013-08-04 18:27:19.889387
14449	2	2013-08-02 16:05:31.860596	2013-08-04 18:27:19.893295
22076	2	2013-08-02 16:05:47.73525	2013-08-04 18:27:20.387242
22123	2	2013-08-02 16:05:47.853683	2013-08-04 18:27:20.391747
47657	2	2013-08-02 16:06:45.216137	2013-08-04 18:27:20.425742
47637	2	2013-08-02 16:06:45.181774	2013-08-04 18:27:20.432046
47617	2	2013-08-02 16:06:45.157037	2013-08-04 18:27:20.439538
47597	2	2013-08-02 16:06:45.136964	2013-08-04 18:27:20.448134
47577	2	2013-08-02 16:06:45.112686	2013-08-04 18:27:20.453271
47545	2	2013-08-02 16:06:45.074179	2013-08-04 18:27:20.485765
47537	2	2013-08-02 16:06:45.064979	2013-08-04 18:27:20.498726
47517	2	2013-08-02 16:06:45.04442	2013-08-04 18:27:20.510589
47497	2	2013-08-02 16:06:45.020289	2013-08-04 18:27:20.521697
47477	2	2013-08-02 16:06:45.002157	2013-08-04 18:27:20.533596
47457	2	2013-08-02 16:06:44.982015	2013-08-04 18:27:20.543626
32615	4	2013-08-02 16:06:11.992463	2013-08-04 18:27:20.770179
17560	4	2013-08-02 16:05:38.255616	2013-08-04 18:27:20.773652
37103	4	2013-08-02 16:06:21.924325	2013-08-04 18:27:20.776976
37383	4	2013-08-02 16:06:22.38851	2013-08-04 18:27:20.782545
35763	4	2013-08-02 16:06:19.059327	2013-08-04 18:27:20.786901
32595	4	2013-08-02 16:06:11.772269	2013-08-04 18:27:20.790146
7270	4	2013-08-02 16:05:17.684853	2013-08-04 18:27:20.793277
20672	4	2013-08-02 16:05:44.567997	2013-08-04 18:27:20.796499
7130	4	2013-08-02 16:05:17.556904	2013-08-04 18:27:20.799576
33453	4	2013-08-02 16:06:14.08171	2013-08-04 18:27:21.125023
47937	11	2013-08-02 16:06:45.733651	2013-08-04 18:27:21.540657
48038	11	2013-08-02 16:06:46.113323	2013-08-04 18:27:21.551144
47952	11	2013-08-02 16:06:45.747183	2013-08-04 18:27:21.554852
47917	11	2013-08-02 16:06:45.7108	2013-08-04 18:27:21.567956
47897	11	2013-08-02 16:06:45.691001	2013-08-04 18:27:21.57899
47821	11	2013-08-02 16:06:45.517725	2013-08-04 18:27:21.611865
47837	11	2013-08-02 16:06:45.555119	2013-08-04 18:27:21.623006
47817	2	2013-08-02 16:06:45.509298	2013-08-04 18:27:21.645579
47797	2	2013-08-02 16:06:45.466915	2013-08-04 18:27:21.65752
47777	2	2013-08-02 16:06:45.434095	2013-08-04 18:27:21.662295
47798	2	2013-08-02 16:06:45.468797	2013-08-04 18:27:21.669923
47757	2	2013-08-02 16:06:45.413835	2013-08-04 18:27:21.679805
47737	2	2013-08-02 16:06:45.367554	2013-08-04 18:27:21.690934
47717	2	2013-08-02 16:06:45.317486	2013-08-04 18:27:21.700457
47697	2	2013-08-02 16:06:45.280399	2013-08-04 18:27:21.711174
47677	2	2013-08-02 16:06:45.245233	2013-08-04 18:27:21.726822
35918	2	2013-08-02 16:06:19.451447	2013-08-04 18:32:17.805078
35808	2	2013-08-02 16:06:19.180592	2013-08-04 18:32:17.816826
35772	2	2013-08-02 16:06:19.082584	2013-08-04 18:32:17.827397
17771	2	2013-08-02 16:05:38.65593	2013-08-04 18:32:17.838319
35788	2	2013-08-02 16:06:19.126412	2013-08-04 18:32:17.849296
35768	2	2013-08-02 16:06:19.072015	2013-08-04 18:32:17.860147
35748	2	2013-08-02 16:06:19.019244	2013-08-04 18:32:17.871144
35728	2	2013-08-02 16:06:18.966081	2013-08-04 18:32:17.882646
35690	2	2013-08-02 16:06:18.88959	2013-08-04 18:32:17.893724
35708	2	2013-08-02 16:06:18.914874	2013-08-04 18:32:17.905722
35688	2	2013-08-02 16:06:18.887477	2013-08-04 18:32:17.916775
35668	2	2013-08-02 16:06:18.869841	2013-08-04 18:32:17.927573
35677	2	2013-08-02 16:06:18.877071	2013-08-04 18:32:17.938363
35648	2	2013-08-02 16:06:18.851362	2013-08-04 18:32:17.949336
32126	2	2013-08-02 16:06:10.643945	2013-08-04 18:32:19.138777
6952	14	2013-08-02 16:05:17.381421	2013-08-04 18:32:19.153084
6972	14	2013-08-02 16:05:17.401645	2013-08-04 18:32:19.160212
6992	14	2013-08-02 16:05:17.418844	2013-08-04 18:32:19.165039
7012	14	2013-08-02 16:05:17.44008	2013-08-04 18:32:19.17243
7032	14	2013-08-02 16:05:17.462264	2013-08-04 18:32:19.182707
7052	14	2013-08-02 16:05:17.482274	2013-08-04 18:32:19.193825
7047	14	2013-08-02 16:05:17.477684	2013-08-04 18:32:19.204885
7027	14	2013-08-02 16:05:17.455676	2013-08-04 18:32:19.215913
7007	14	2013-08-02 16:05:17.433893	2013-08-04 18:32:19.226951
6987	14	2013-08-02 16:05:17.415114	2013-08-04 18:32:19.238603
6970	14	2013-08-02 16:05:17.399385	2013-08-04 18:32:19.248056
6967	14	2013-08-02 16:05:17.396317	2013-08-04 18:32:19.252534
6947	14	2013-08-02 16:05:17.368608	2013-08-04 18:32:19.256394
1922	14	2013-08-02 16:05:07.806159	2013-08-04 18:32:19.259878
4229	14	2013-08-02 16:05:12.231366	2013-08-04 18:32:19.263307
6926	14	2013-08-02 16:05:17.285347	2013-08-04 18:32:19.268265
6927	14	2013-08-02 16:05:17.286241	2013-08-04 18:32:19.273681
20268	14	2013-08-02 16:05:44.168295	2013-08-04 18:32:19.278454
35995	21	2013-08-02 16:06:19.643331	2013-08-04 18:32:19.293195
36108	2	2013-08-02 16:06:19.934998	2013-08-04 18:32:19.30539
36088	2	2013-08-02 16:06:19.884958	2013-08-04 18:32:19.31687
36068	2	2013-08-02 16:06:19.834821	2013-08-04 18:32:19.327759
36048	2	2013-08-02 16:06:19.784336	2013-08-04 18:32:19.338579
36028	2	2013-08-02 16:06:19.730535	2013-08-04 18:32:19.349285
36008	2	2013-08-02 16:06:19.677787	2013-08-04 18:32:19.363704
36021	2	2013-08-02 16:06:19.711823	2013-08-04 18:32:19.372383
35988	2	2013-08-02 16:06:19.624812	2013-08-04 18:32:19.377346
35968	2	2013-08-02 16:06:19.571843	2013-08-04 18:32:19.382996
35920	14	2013-08-02 16:06:19.456728	2013-08-04 18:32:19.393138
35948	14	2013-08-02 16:06:19.523653	2013-08-04 18:32:19.398319
35928	14	2013-08-02 16:06:19.476464	2013-08-04 18:32:19.404225
35908	14	2013-08-02 16:06:19.427377	2013-08-04 18:32:19.412966
35888	14	2013-08-02 16:06:19.379816	2013-08-04 18:32:19.422943
35832	14	2013-08-02 16:06:19.242269	2013-08-04 18:32:19.431321
35868	14	2013-08-02 16:06:19.328524	2013-08-04 18:32:19.436516
35848	14	2013-08-02 16:06:19.280177	2013-08-04 18:32:19.440601
35828	14	2013-08-02 16:06:19.232669	2013-08-04 18:32:19.444119
14809	14	2013-08-02 16:05:32.648418	2013-08-04 18:32:19.482234
14789	14	2013-08-02 16:05:32.604317	2013-08-04 18:32:19.486424
14783	14	2013-08-02 16:05:32.591244	2013-08-04 18:32:19.490761
14769	14	2013-08-02 16:05:32.56093	2013-08-04 18:32:19.494831
14749	2	2013-08-02 16:05:32.518774	2013-08-04 18:32:19.531152
14729	2	2013-08-02 16:05:32.480311	2013-08-04 18:32:19.542794
14709	2	2013-08-02 16:05:32.448525	2013-08-04 18:32:19.55433
14689	2	2013-08-02 16:05:32.423064	2013-08-04 18:32:19.5579
14669	2	2013-08-02 16:05:32.390319	2013-08-04 18:32:19.565463
14649	2	2013-08-02 16:05:32.342184	2013-08-04 18:32:19.571212
22236	2	2013-08-02 16:05:48.105992	2013-08-04 18:32:19.954416
22216	2	2013-08-02 16:05:48.05824	2013-08-04 18:32:19.959352
48237	2	2013-08-02 16:06:46.311307	2013-08-04 18:32:19.992629
48217	2	2013-08-02 16:06:46.295336	2013-08-04 18:32:20.004475
48183	2	2013-08-02 16:06:46.25858	2013-08-04 18:32:20.016284
48197	2	2013-08-02 16:06:46.27108	2013-08-04 18:32:20.027962
48070	2	2013-08-02 16:06:46.145658	2013-08-04 18:32:20.04
48177	2	2013-08-02 16:06:46.252528	2013-08-04 18:32:20.052289
48157	2	2013-08-02 16:06:46.233922	2013-08-04 18:32:20.1333
48137	2	2013-08-02 16:06:46.214139	2013-08-04 18:32:20.138941
48117	2	2013-08-02 16:06:46.194476	2013-08-04 18:32:20.143557
48061	2	2013-08-02 16:06:46.136102	2013-08-04 18:32:20.149429
48097	2	2013-08-02 16:06:46.173882	2013-08-04 18:32:20.155611
48077	2	2013-08-02 16:06:46.151575	2013-08-04 18:32:20.166268
48057	2	2013-08-02 16:06:46.132	2013-08-04 18:32:20.176738
48537	21	2013-08-02 16:06:46.698865	2013-08-04 18:32:21.41422
48417	11	2013-08-02 16:06:46.522186	2013-08-04 18:32:21.535673
48512	11	2013-08-02 16:06:46.671269	2013-08-04 18:32:21.541575
48397	11	2013-08-02 16:06:46.498942	2013-08-04 18:32:21.547396
48498	11	2013-08-02 16:06:46.65488	2013-08-04 18:32:21.553647
48377	11	2013-08-02 16:06:46.466874	2013-08-04 18:32:21.560322
48357	11	2013-08-02 16:06:46.436118	2013-08-04 18:32:21.568522
48285	2	2013-08-02 16:06:46.356964	2013-08-04 18:32:21.590697
48337	2	2013-08-02 16:06:46.407719	2013-08-04 18:32:21.601806
48317	2	2013-08-02 16:06:46.388776	2013-08-04 18:32:21.612483
48297	2	2013-08-02 16:06:46.366704	2013-08-04 18:32:21.623411
48277	2	2013-08-02 16:06:46.350708	2013-08-04 18:32:21.634266
48257	2	2013-08-02 16:06:46.330323	2013-08-04 18:32:21.645218
48517	21	2013-08-02 16:06:46.675832	2013-08-04 18:33:19.422942
48497	21	2013-08-02 16:06:46.65402	2013-08-04 18:33:19.424686
48477	21	2013-08-02 16:06:46.631661	2013-08-04 18:33:19.425805
48457	21	2013-08-02 16:06:46.589193	2013-08-04 18:33:19.426991
48437	21	2013-08-02 16:06:46.551418	2013-08-04 18:33:19.428172
48461	21	2013-08-02 16:06:46.596417	2013-08-04 18:33:19.429596
34053	21	2013-08-02 16:06:14.699553	2013-08-04 18:33:43.587359
36308	2	2013-08-02 16:06:20.590766	2013-08-04 18:37:38.926442
36398	2	2013-08-02 16:06:20.786982	2013-08-04 18:37:38.937773
36288	2	2013-08-02 16:06:20.541728	2013-08-04 18:37:38.948785
36268	2	2013-08-02 16:06:20.29911	2013-08-04 18:37:38.959343
15839	2	2013-08-02 16:05:34.240727	2013-08-04 18:37:38.970088
36248	2	2013-08-02 16:06:20.250718	2013-08-04 18:37:39.038648
36228	2	2013-08-02 16:06:20.200566	2013-08-04 18:37:39.044576
36208	2	2013-08-02 16:06:20.148856	2013-08-04 18:37:39.049569
36188	2	2013-08-02 16:06:20.111942	2013-08-04 18:37:39.054299
36168	2	2013-08-02 16:06:20.063692	2013-08-04 18:37:39.059348
36121	2	2013-08-02 16:06:19.949518	2013-08-04 18:37:39.065122
36148	2	2013-08-02 16:06:20.014891	2013-08-04 18:37:39.071013
36128	2	2013-08-02 16:06:19.962485	2013-08-04 18:37:39.07802
36192	2	2013-08-02 16:06:20.119608	2013-08-04 18:37:39.086142
25151	14	2013-08-02 16:05:54.133611	2013-08-04 18:37:40.054319
25158	14	2013-08-02 16:05:54.150271	2013-08-04 18:37:40.065522
25125	14	2013-08-02 16:05:54.069802	2013-08-04 18:37:40.076665
25171	14	2013-08-02 16:05:54.181086	2013-08-04 18:37:40.088074
25191	14	2013-08-02 16:05:54.230084	2013-08-04 18:37:40.099489
25250	14	2013-08-02 16:05:54.53509	2013-08-04 18:37:40.111165
17176	14	2013-08-02 16:05:37.270388	2013-08-04 18:37:40.117081
21321	14	2013-08-02 16:05:45.75803	2013-08-04 18:37:40.120682
21081	14	2013-08-02 16:05:45.317546	2013-08-04 18:37:40.123974
2178	14	2013-08-02 16:05:08.373072	2013-08-04 18:37:40.127347
2046	14	2013-08-02 16:05:08.033256	2013-08-04 18:37:40.13101
19881	14	2013-08-02 16:05:43.119393	2013-08-04 18:37:40.135025
32695	2	2013-08-02 16:06:12.154587	2013-08-04 18:37:40.263341
32670	2	2013-08-02 16:06:12.088723	2013-08-04 18:37:40.267546
32666	2	2013-08-02 16:06:12.077916	2013-08-04 18:37:40.271671
7128	14	2013-08-02 16:05:17.555424	2013-08-04 18:37:40.375904
7147	14	2013-08-02 16:05:17.572329	2013-08-04 18:37:40.379666
7209	14	2013-08-02 16:05:17.634762	2013-08-04 18:37:40.383948
3684	14	2013-08-02 16:05:10.964678	2013-08-04 18:37:40.388624
13031	14	2013-08-02 16:05:29.086693	2013-08-04 18:37:40.39467
7127	14	2013-08-02 16:05:17.554694	2013-08-04 18:37:40.402484
7107	14	2013-08-02 16:05:17.536343	2013-08-04 18:37:40.409148
7087	14	2013-08-02 16:05:17.519361	2013-08-04 18:37:40.415394
1956	14	2013-08-02 16:05:07.849388	2013-08-04 18:37:40.419387
7121	14	2013-08-02 16:05:17.54993	2013-08-04 18:37:40.4234
1936	14	2013-08-02 16:05:07.81987	2013-08-04 18:37:40.427479
7067	14	2013-08-02 16:05:17.502076	2013-08-04 18:37:40.431778
36528	14	2013-08-02 16:06:21.091063	2013-08-04 18:37:40.481107
36508	14	2013-08-02 16:06:21.038327	2013-08-04 18:37:40.486268
36488	14	2013-08-02 16:06:20.989983	2013-08-04 18:37:40.490802
3460	14	2013-08-02 16:05:10.492253	2013-08-04 18:37:40.49529
3587	14	2013-08-02 16:05:10.774176	2013-08-04 18:37:40.500774
36468	14	2013-08-02 16:06:20.956233	2013-08-04 18:37:40.504892
3607	14	2013-08-02 16:05:10.810549	2013-08-04 18:37:40.509044
3570	14	2013-08-02 16:05:10.732464	2013-08-04 18:37:40.514182
36448	14	2013-08-02 16:06:20.921173	2013-08-04 18:37:40.521354
36428	14	2013-08-02 16:06:20.867587	2013-08-04 18:37:40.529204
18066	14	2013-08-02 16:05:39.105518	2013-08-04 18:37:40.536709
36370	14	2013-08-02 16:06:20.737664	2013-08-04 18:37:40.54118
36408	14	2013-08-02 16:06:20.813599	2013-08-04 18:37:40.544726
36388	14	2013-08-02 16:06:20.764248	2013-08-04 18:37:40.548125
36320	14	2013-08-02 16:06:20.619868	2013-08-04 18:37:40.551348
36368	14	2013-08-02 16:06:20.734798	2013-08-04 18:37:40.554474
36348	14	2013-08-02 16:06:20.687031	2013-08-04 18:37:40.559214
36328	14	2013-08-02 16:06:20.639157	2013-08-04 18:37:40.5639
36412	14	2013-08-02 16:06:20.824087	2013-08-04 18:37:40.568414
14989	14	2013-08-02 16:05:33.086367	2013-08-04 18:37:40.653033
15020	14	2013-08-02 16:05:33.259717	2013-08-04 18:37:40.664753
40023	14	2013-08-02 16:06:28.390085	2013-08-04 18:37:40.676866
14969	14	2013-08-02 16:05:33.037771	2013-08-04 18:37:40.688864
17476	2	2013-08-02 16:05:38.071797	2013-08-04 18:37:40.708624
14949	2	2013-08-02 16:05:32.989884	2013-08-04 18:37:40.712733
14929	2	2013-08-02 16:05:32.941946	2013-08-04 18:37:40.71764
12856	21	2013-08-02 16:05:28.914008	2013-08-04 18:37:40.961666
29321	2	2013-08-02 16:06:03.611031	2013-08-04 18:37:40.969455
19821	2	2013-08-02 16:05:42.961566	2013-08-04 18:37:40.973671
36603	2	2013-08-02 16:06:21.189992	2013-08-04 18:37:40.977782
34603	2	2013-08-02 16:06:16.081145	2013-08-04 18:37:40.982239
48837	2	2013-08-02 16:06:47.542674	2013-08-04 18:37:41.192547
48703	2	2013-08-02 16:06:47.02313	2013-08-04 18:37:41.198501
48817	2	2013-08-02 16:06:47.50296	2013-08-04 18:37:41.202717
48797	2	2013-08-02 16:06:47.46273	2013-08-04 18:37:41.206672
48741	2	2013-08-02 16:06:47.362075	2013-08-04 18:37:41.211963
48777	2	2013-08-02 16:06:47.423073	2013-08-04 18:37:41.218905
48757	2	2013-08-02 16:06:47.385855	2013-08-04 18:37:41.227628
48737	2	2013-08-02 16:06:47.35674	2013-08-04 18:37:41.23918
48717	2	2013-08-02 16:06:47.059976	2013-08-04 18:37:41.250816
48697	2	2013-08-02 16:06:47.006374	2013-08-04 18:37:41.257723
48677	2	2013-08-02 16:06:46.953343	2013-08-04 18:37:41.264481
48637	2	2013-08-02 16:06:46.853036	2013-08-04 18:37:41.281457
48617	2	2013-08-02 16:06:46.80554	2013-08-04 18:37:41.288276
48597	2	2013-08-02 16:06:46.770421	2013-08-04 18:37:41.295726
48577	2	2013-08-02 16:06:46.747227	2013-08-04 18:37:41.303469
48557	2	2013-08-02 16:06:46.722127	2013-08-04 18:37:41.313647
34140	7	2013-08-02 16:06:14.995699	2013-08-04 18:37:42.233591
34113	8	2013-08-02 16:06:14.970858	2013-08-04 18:37:42.255849
34093	8	2013-08-02 16:06:14.951924	2013-08-04 18:37:42.267093
34073	8	2013-08-02 16:06:14.935927	2013-08-04 18:37:42.278163
49137	21	2013-08-02 16:06:48.260093	2013-08-04 18:37:42.612367
49072	11	2013-08-02 16:06:48.087454	2013-08-04 18:37:42.623707
49117	11	2013-08-02 16:06:48.205536	2013-08-04 18:37:42.628131
49097	11	2013-08-02 16:06:48.151574	2013-08-04 18:37:42.632554
49077	11	2013-08-02 16:06:48.097999	2013-08-04 18:37:42.63806
49057	11	2013-08-02 16:06:48.050826	2013-08-04 18:37:42.643518
49037	11	2013-08-02 16:06:48.003493	2013-08-04 18:37:42.65025
49017	2	2013-08-02 16:06:47.956009	2013-08-04 18:37:42.662249
48997	2	2013-08-02 16:06:47.908305	2013-08-04 18:37:42.66784
48977	2	2013-08-02 16:06:47.859013	2013-08-04 18:37:42.672032
48957	2	2013-08-02 16:06:47.809925	2013-08-04 18:37:42.676245
48937	2	2013-08-02 16:06:47.759076	2013-08-04 18:37:42.681283
48840	2	2013-08-02 16:06:47.548595	2013-08-04 18:37:42.685708
30459	9	2013-08-02 16:06:06.525098	2013-08-04 18:37:42.9387
48981	21	2013-08-02 16:06:47.868471	2013-08-04 18:39:43.50808
48917	21	2013-08-02 16:06:47.705417	2013-08-04 18:39:43.509478
48897	21	2013-08-02 16:06:47.655454	2013-08-04 18:39:43.510693
48877	21	2013-08-02 16:06:47.62149	2013-08-04 18:39:43.511955
48918	21	2013-08-02 16:06:47.708129	2013-08-04 18:39:43.51319
48857	21	2013-08-02 16:06:47.582073	2013-08-04 18:39:43.514325
36588	14	2013-08-02 16:06:21.168028	2013-08-04 18:40:09.378924
3480	13	2013-08-02 16:05:10.513943	2013-08-04 18:40:09.382817
3567	11	2013-08-02 16:05:10.725251	2013-08-04 18:40:09.389912
36648	9	2013-08-02 16:06:21.235565	2013-08-04 18:40:09.397252
36668	7	2013-08-02 16:06:21.258359	2013-08-04 18:40:09.4013
36688	6	2013-08-02 16:06:21.277738	2013-08-04 18:40:09.405185
36728	4	2013-08-02 16:06:21.318227	2013-08-04 18:40:09.412562
36748	2	2013-08-02 16:06:21.339719	2013-08-04 18:40:09.419538
36608	21	2013-08-02 16:06:21.196757	2013-08-04 18:40:16.988941
36590	2	2013-08-02 16:06:21.169994	2013-08-04 18:42:32.50656
36708	21	2013-08-02 16:06:21.298264	2013-08-04 18:42:32.558534
32846	2	2013-08-02 16:06:12.519596	2013-08-04 18:42:32.826216
32833	2	2013-08-02 16:06:12.487706	2013-08-04 18:42:32.834017
32826	2	2013-08-02 16:06:12.471038	2013-08-04 18:42:32.843377
4059	2	2013-08-02 16:05:11.909822	2013-08-04 18:42:32.921353
11831	2	2013-08-02 16:05:26.556641	2013-08-04 18:42:32.929958
9560	2	2013-08-02 16:05:22.633356	2013-08-04 18:42:32.938187
10358	2	2013-08-02 16:05:23.642979	2013-08-04 18:42:32.942824
7247	2	2013-08-02 16:05:17.664134	2013-08-04 18:42:32.947234
2004	2	2013-08-02 16:05:07.954699	2013-08-04 18:42:32.951359
16468	2	2013-08-02 16:05:35.431564	2013-08-04 18:42:32.955497
7241	2	2013-08-02 16:05:17.658953	2013-08-04 18:42:32.959731
7227	2	2013-08-02 16:05:17.648515	2013-08-04 18:42:32.964792
37028	2	2013-08-02 16:06:21.839863	2013-08-04 18:42:33.076505
37008	2	2013-08-02 16:06:21.822254	2013-08-04 18:42:33.082009
36930	2	2013-08-02 16:06:21.513888	2013-08-04 18:42:33.088416
36998	2	2013-08-02 16:06:21.585791	2013-08-04 18:42:33.096248
36988	2	2013-08-02 16:06:21.57555	2013-08-04 18:42:33.104083
36968	2	2013-08-02 16:06:21.552789	2013-08-04 18:42:33.114736
36948	2	2013-08-02 16:06:21.533173	2013-08-04 18:42:33.124793
36928	2	2013-08-02 16:06:21.511417	2013-08-04 18:42:33.130246
36908	2	2013-08-02 16:06:21.491252	2013-08-04 18:42:33.136286
36952	2	2013-08-02 16:06:21.536608	2013-08-04 18:42:33.141348
36888	2	2013-08-02 16:06:21.467581	2013-08-04 18:42:33.160808
36868	2	2013-08-02 16:06:21.449624	2013-08-04 18:42:33.169443
36750	2	2013-08-02 16:06:21.342221	2013-08-04 18:42:33.181643
36848	2	2013-08-02 16:06:21.431016	2013-08-04 18:42:33.186555
36828	2	2013-08-02 16:06:21.415149	2013-08-04 18:42:33.190807
36808	2	2013-08-02 16:06:21.396748	2013-08-04 18:42:33.19618
36788	2	2013-08-02 16:06:21.378877	2013-08-04 18:42:33.200002
36628	21	2013-08-02 16:06:21.214898	2013-08-04 18:42:33.216124
7232	14	2013-08-02 16:05:17.651946	2013-08-04 18:42:34.214049
7252	14	2013-08-02 16:05:17.668414	2013-08-04 18:42:34.218421
7272	14	2013-08-02 16:05:17.686835	2013-08-04 18:42:34.222811
7292	14	2013-08-02 16:05:17.708953	2013-08-04 18:42:34.226873
7312	14	2013-08-02 16:05:17.733361	2013-08-04 18:42:34.231202
7357	14	2013-08-02 16:05:17.787502	2013-08-04 18:42:34.235779
7288	14	2013-08-02 16:05:17.704533	2013-08-04 18:42:34.245813
7308	14	2013-08-02 16:05:17.727697	2013-08-04 18:42:34.256447
7328	14	2013-08-02 16:05:17.754394	2013-08-04 18:42:34.26775
7348	14	2013-08-02 16:05:17.778606	2013-08-04 18:42:34.279409
7368	14	2013-08-02 16:05:17.799211	2013-08-04 18:42:34.291
7367	14	2013-08-02 16:05:17.798329	2013-08-04 18:42:34.295554
7347	14	2013-08-02 16:05:17.777562	2013-08-04 18:42:34.299293
7377	14	2013-08-02 16:05:17.81058	2013-08-04 18:42:34.302727
7327	14	2013-08-02 16:05:17.752296	2013-08-04 18:42:34.307148
3257	14	2013-08-02 16:05:09.944679	2013-08-04 18:42:34.312328
7307	14	2013-08-02 16:05:17.726803	2013-08-04 18:42:34.317098
2660	14	2013-08-02 16:05:09.051818	2013-08-04 18:42:34.325987
7287	14	2013-08-02 16:05:17.703632	2013-08-04 18:42:34.335717
37260	14	2013-08-02 16:06:22.127444	2013-08-04 18:42:34.365558
37308	14	2013-08-02 16:06:22.20781	2013-08-04 18:42:34.370674
37288	14	2013-08-02 16:06:22.173046	2013-08-04 18:42:34.378775
37268	14	2013-08-02 16:06:22.136827	2013-08-04 18:42:34.389181
37332	14	2013-08-02 16:06:22.264774	2013-08-04 18:42:34.399973
37248	14	2013-08-02 16:06:22.115971	2013-08-04 18:42:34.41056
37228	14	2013-08-02 16:06:22.092772	2013-08-04 18:42:34.416855
37170	14	2013-08-02 16:06:22.007711	2013-08-04 18:42:34.420714
37208	14	2013-08-02 16:06:22.062931	2013-08-04 18:42:34.42454
37188	14	2013-08-02 16:06:22.029587	2013-08-04 18:42:34.428607
37168	14	2013-08-02 16:06:22.004293	2013-08-04 18:42:34.433026
37181	14	2013-08-02 16:06:22.022832	2013-08-04 18:42:34.43839
37148	14	2013-08-02 16:06:21.972011	2013-08-04 18:42:34.449095
37128	14	2013-08-02 16:06:21.953084	2013-08-04 18:42:34.458488
37108	14	2013-08-02 16:06:21.929844	2013-08-04 18:42:34.465113
37172	14	2013-08-02 16:06:22.01051	2013-08-04 18:42:34.46916
37088	14	2013-08-02 16:06:21.903709	2013-08-04 18:42:34.478909
37068	14	2013-08-02 16:06:21.879477	2013-08-04 18:42:34.489609
37048	14	2013-08-02 16:06:21.856072	2013-08-04 18:42:34.499331
14677	14	2013-08-02 16:05:32.407936	2013-08-04 18:42:34.550848
15283	14	2013-08-02 16:05:33.581803	2013-08-04 18:42:34.555335
15249	14	2013-08-02 16:05:33.547967	2013-08-04 18:42:34.560795
36768	21	2013-08-02 16:06:21.360628	2013-08-04 18:44:17.465918
15129	14	2013-08-02 16:05:33.432932	2013-08-04 18:42:34.607112
15109	14	2013-08-02 16:05:33.403457	2013-08-04 18:42:34.618261
15089	14	2013-08-02 16:05:33.359199	2013-08-04 18:42:34.629017
31271	14	2013-08-02 16:06:08.563111	2013-08-04 18:42:34.781162
31251	14	2013-08-02 16:06:08.518708	2013-08-04 18:42:34.79053
15506	2	2013-08-02 16:05:33.79124	2013-08-04 18:42:34.856045
47783	2	2013-08-02 16:06:45.4432	2013-08-04 18:42:34.860651
40950	2	2013-08-02 16:06:29.87916	2013-08-04 18:42:34.86472
22706	2	2013-08-02 16:05:49.381122	2013-08-04 18:42:34.868816
41321	2	2013-08-02 16:06:30.640382	2013-08-04 18:42:34.873441
12716	2	2013-08-02 16:05:28.549624	2013-08-04 18:42:34.877999
49417	2	2013-08-02 16:06:48.978201	2013-08-04 18:42:35.09338
49397	2	2013-08-02 16:06:48.92833	2013-08-04 18:42:35.099668
49377	2	2013-08-02 16:06:48.877971	2013-08-04 18:42:35.103824
49357	2	2013-08-02 16:06:48.82677	2013-08-04 18:42:35.107882
49337	2	2013-08-02 16:06:48.774063	2013-08-04 18:42:35.111765
49317	2	2013-08-02 16:06:48.721364	2013-08-04 18:42:35.115618
49230	2	2013-08-02 16:06:48.491846	2013-08-04 18:42:35.118831
49161	2	2013-08-02 16:06:48.321483	2013-08-04 18:42:35.121874
49297	2	2013-08-02 16:06:48.668679	2013-08-04 18:42:35.126513
49277	2	2013-08-02 16:06:48.615723	2013-08-04 18:42:35.13118
49257	2	2013-08-02 16:06:48.562971	2013-08-04 18:42:35.136563
49237	2	2013-08-02 16:06:48.51049	2013-08-04 18:42:35.142774
49217	2	2013-08-02 16:06:48.459156	2013-08-04 18:42:35.147957
49197	2	2013-08-02 16:06:48.407611	2013-08-04 18:42:35.151545
49177	2	2013-08-02 16:06:48.359487	2013-08-04 18:42:35.155088
49198	2	2013-08-02 16:06:48.41033	2013-08-04 18:42:35.159494
49157	2	2013-08-02 16:06:48.311958	2013-08-04 18:42:35.163462
34333	7	2013-08-02 16:06:15.437998	2013-08-04 18:42:35.876905
11479	7	2013-08-02 16:05:25.728773	2013-08-04 18:42:35.881972
34313	8	2013-08-02 16:06:15.390572	2013-08-04 18:42:35.888505
34255	8	2013-08-02 16:06:15.250723	2013-08-04 18:42:35.891729
16375	2	2013-08-02 16:05:35.219779	2013-08-04 19:52:27.729452
6286	2	2013-08-02 16:05:15.829487	2013-08-04 18:44:43.993603
34635	4	2013-08-02 16:06:16.167316	2013-08-04 18:44:44.081488
47538	2	2013-08-02 16:06:45.065788	2013-08-04 18:44:44.089014
34633	19	2013-08-02 16:06:16.161782	2013-08-04 18:44:44.137001
37368	14	2013-08-02 16:06:22.351296	2013-08-04 18:44:44.150907
37388	13	2013-08-02 16:06:22.400423	2013-08-04 18:44:44.154698
37428	11	2013-08-02 16:06:22.502265	2013-08-04 18:44:44.162058
37448	9	2013-08-02 16:06:22.55335	2013-08-04 18:44:44.169352
37468	7	2013-08-02 16:06:22.60499	2013-08-04 18:44:44.172897
37488	6	2013-08-02 16:06:22.657822	2013-08-04 18:44:44.176559
37508	4	2013-08-02 16:06:22.710783	2013-08-04 18:44:44.183812
18495	2	2013-08-02 16:05:39.649042	2013-08-04 18:44:44.190883
33346	21	2013-08-02 16:06:13.921689	2013-08-04 18:44:55.99206
49935	4	2013-08-02 16:06:50.465261	2013-08-04 18:47:29.47219
37375	2	2013-08-02 16:06:22.368696	2013-08-04 18:47:29.516703
34552	2	2013-08-02 16:06:15.978871	2013-08-04 18:47:29.520373
4890	2	2013-08-02 16:05:13.08604	2013-08-04 18:47:29.523544
37390	21	2013-08-02 16:06:22.405154	2013-08-04 18:47:29.550679
34693	21	2013-08-02 16:06:16.314285	2013-08-04 18:47:29.552973
2227	21	2013-08-02 16:05:08.50849	2013-08-04 18:47:29.555021
33566	2	2013-08-02 16:06:14.201727	2013-08-04 18:47:29.788313
33546	2	2013-08-02 16:06:14.175813	2013-08-04 18:47:29.793367
33530	2	2013-08-02 16:06:14.161105	2013-08-04 18:47:29.798623
33526	2	2013-08-02 16:06:14.155901	2013-08-04 18:47:29.803677
7407	2	2013-08-02 16:05:17.839797	2013-08-04 18:47:29.847864
14712	2	2013-08-02 16:05:32.45269	2013-08-04 18:47:29.854346
15085	2	2013-08-02 16:05:33.351225	2013-08-04 18:47:29.858223
15100	2	2013-08-02 16:05:33.383128	2013-08-04 18:47:29.861634
7509	2	2013-08-02 16:05:17.928475	2013-08-04 18:47:29.864873
10583	2	2013-08-02 16:05:23.888028	2013-08-04 18:47:29.868271
1984	2	2013-08-02 16:05:07.918163	2013-08-04 18:47:29.871718
7481	2	2013-08-02 16:05:17.903329	2013-08-04 18:47:29.875159
7529	2	2013-08-02 16:05:17.950779	2013-08-04 18:47:29.878624
7387	2	2013-08-02 16:05:17.819665	2013-08-04 18:47:29.882568
37768	2	2013-08-02 16:06:23.546227	2013-08-04 18:47:29.949045
37681	2	2013-08-02 16:06:23.139619	2013-08-04 18:47:29.953331
37748	2	2013-08-02 16:06:23.522104	2013-08-04 18:47:29.956895
37728	2	2013-08-02 16:06:23.265045	2013-08-04 18:47:29.960608
37732	2	2013-08-02 16:06:23.275666	2013-08-04 18:47:29.964695
37708	2	2013-08-02 16:06:23.21184	2013-08-04 18:47:29.968555
37688	2	2013-08-02 16:06:23.158129	2013-08-04 18:47:29.972633
12799	2	2013-08-02 16:05:28.752348	2013-08-04 18:47:29.977584
37610	2	2013-08-02 16:06:22.964659	2013-08-04 18:47:30.038984
37668	2	2013-08-02 16:06:23.105568	2013-08-04 18:47:30.042806
37648	2	2013-08-02 16:06:23.057935	2013-08-04 18:47:30.046052
37628	2	2013-08-02 16:06:23.008918	2013-08-04 18:47:30.050973
37608	2	2013-08-02 16:06:22.959707	2013-08-04 18:47:30.055589
37588	2	2013-08-02 16:06:22.911052	2013-08-04 18:47:30.061647
37568	2	2013-08-02 16:06:22.863016	2013-08-04 18:47:30.067749
37548	2	2013-08-02 16:06:22.814024	2013-08-04 18:47:30.074899
37528	2	2013-08-02 16:06:22.760763	2013-08-04 18:47:30.085484
37378	14	2013-08-02 16:06:22.376254	2013-08-04 18:47:30.11606
37408	2	2013-08-02 16:06:22.448933	2013-08-04 18:47:30.358847
2272	21	2013-08-02 16:05:08.554066	2013-08-04 18:47:30.714481
27980	21	2013-08-02 16:06:01.074351	2013-08-04 18:47:30.71553
33255	2	2013-08-02 16:06:13.533343	2013-08-04 18:47:30.93328
2339	2	2013-08-02 16:05:08.636004	2013-08-04 18:47:30.943209
2311	2	2013-08-02 16:05:08.609028	2013-08-04 18:47:30.953446
19981	2	2013-08-02 16:05:43.372381	2013-08-04 18:47:30.964283
2351	2	2013-08-02 16:05:08.648248	2013-08-04 18:47:30.975143
2260	2	2013-08-02 16:05:08.541635	2013-08-04 18:47:30.98601
2207	2	2013-08-02 16:05:08.444463	2013-08-04 18:47:30.997115
28692	2	2013-08-02 16:06:02.078644	2013-08-04 18:47:31.00846
47503	2	2013-08-02 16:06:45.027912	2013-08-04 18:47:31.018958
33806	2	2013-08-02 16:06:14.440073	2013-08-04 18:47:31.199259
33786	2	2013-08-02 16:06:14.42345	2013-08-04 18:47:31.204317
33766	2	2013-08-02 16:06:14.404802	2013-08-04 18:47:31.207606
4329	14	2013-08-02 16:05:12.427064	2013-08-04 18:47:31.24154
47741	14	2013-08-02 16:06:45.37848	2013-08-04 18:47:31.250746
7621	14	2013-08-02 16:05:18.04885	2013-08-04 18:47:31.261273
7547	14	2013-08-02 16:05:17.970716	2013-08-04 18:47:31.271906
7278	14	2013-08-02 16:05:17.694554	2013-08-04 18:47:31.282689
1905	14	2013-08-02 16:05:07.729322	2013-08-04 18:47:31.293802
7510	14	2013-08-02 16:05:17.929247	2013-08-04 18:47:31.30481
7385	14	2013-08-02 16:05:17.818017	2013-08-04 18:47:31.315669
7458	2	2013-08-02 16:05:17.88405	2013-08-04 18:47:31.332979
7388	2	2013-08-02 16:05:17.82102	2013-08-04 18:47:31.343956
7527	2	2013-08-02 16:05:17.948783	2013-08-04 18:47:31.35431
7507	2	2013-08-02 16:05:17.926796	2013-08-04 18:47:31.36027
7487	2	2013-08-02 16:05:17.908633	2013-08-04 18:47:31.365273
7467	2	2013-08-02 16:05:17.892402	2013-08-04 18:47:31.36937
7425	2	2013-08-02 16:05:17.854471	2013-08-04 18:47:31.372846
7447	2	2013-08-02 16:05:17.87526	2013-08-04 18:47:31.376705
7503	2	2013-08-02 16:05:17.923953	2013-08-04 18:47:31.38058
37988	2	2013-08-02 16:06:24.072055	2013-08-04 18:47:31.413583
37968	2	2013-08-02 16:06:24.018608	2013-08-04 18:47:31.421738
37912	2	2013-08-02 16:06:23.867876	2013-08-04 18:47:31.431367
37948	2	2013-08-02 16:06:23.964781	2013-08-04 18:47:31.439143
37928	2	2013-08-02 16:06:23.91088	2013-08-04 18:47:31.448168
37840	2	2013-08-02 16:06:23.70706	2013-08-04 18:47:31.456483
37908	2	2013-08-02 16:06:23.857176	2013-08-04 18:47:31.46621
37888	2	2013-08-02 16:06:23.807797	2013-08-04 18:47:31.474655
37940	2	2013-08-02 16:06:23.943008	2013-08-04 18:47:31.484895
37938	2	2013-08-02 16:06:23.937645	2013-08-04 18:47:31.494981
37868	2	2013-08-02 16:06:23.777713	2013-08-04 18:47:31.504278
37848	2	2013-08-02 16:06:23.727391	2013-08-04 18:47:31.512797
37830	2	2013-08-02 16:06:23.682651	2013-08-04 18:47:31.52351
37735	2	2013-08-02 16:06:23.283783	2013-08-04 18:47:31.533479
37718	2	2013-08-02 16:06:23.238084	2013-08-04 18:47:31.538447
37828	2	2013-08-02 16:06:23.677735	2013-08-04 18:47:31.542953
37808	2	2013-08-02 16:06:23.625379	2013-08-04 18:47:31.547231
37788	2	2013-08-02 16:06:23.577111	2013-08-04 18:47:31.551299
18750	21	2013-08-02 16:05:40.278132	2013-08-04 18:47:31.568823
15489	14	2013-08-02 16:05:33.776457	2013-08-04 18:47:31.58253
15469	14	2013-08-02 16:05:33.761432	2013-08-04 18:47:31.587093
15449	14	2013-08-02 16:05:33.743783	2013-08-04 18:47:31.591375
15096	14	2013-08-02 16:05:33.374269	2013-08-04 18:47:31.597128
15429	14	2013-08-02 16:05:33.727769	2013-08-04 18:47:31.602677
15490	14	2013-08-02 16:05:33.777245	2013-08-04 18:47:31.6087
15409	14	2013-08-02 16:05:33.708895	2013-08-04 18:47:31.61293
14936	14	2013-08-02 16:05:32.959019	2013-08-04 18:47:31.617224
15389	14	2013-08-02 16:05:33.68106	2013-08-04 18:47:31.621754
2235	2	2013-08-02 16:05:08.516259	2013-08-04 18:47:31.670132
2267	14	2013-08-02 16:05:08.548514	2013-08-04 18:47:31.873802
49677	2	2013-08-02 16:06:49.814261	2013-08-04 18:47:32.22789
49657	2	2013-08-02 16:06:49.763304	2013-08-04 18:47:32.233131
49637	2	2013-08-02 16:06:49.714995	2013-08-04 18:47:32.237846
49617	2	2013-08-02 16:06:49.667268	2013-08-04 18:47:32.242547
49597	2	2013-08-02 16:06:49.617989	2013-08-04 18:47:32.246572
49577	2	2013-08-02 16:06:49.570026	2013-08-04 18:47:32.250634
49557	2	2013-08-02 16:06:49.518308	2013-08-04 18:47:32.25477
49537	2	2013-08-02 16:06:49.467201	2013-08-04 18:47:32.259818
49517	2	2013-08-02 16:06:49.429361	2013-08-04 18:47:32.265449
49497	2	2013-08-02 16:06:49.3961	2013-08-04 18:47:32.271858
49477	2	2013-08-02 16:06:49.369506	2013-08-04 18:47:32.28219
49457	2	2013-08-02 16:06:49.348706	2013-08-04 18:47:32.292183
7672	19	2013-08-02 16:05:18.093806	2013-08-04 18:47:32.707708
7648	19	2013-08-02 16:05:18.07264	2013-08-04 18:47:32.712635
7668	19	2013-08-02 16:05:18.090114	2013-08-04 18:47:32.717209
7688	19	2013-08-02 16:05:18.189603	2013-08-04 18:47:32.721387
7687	19	2013-08-02 16:05:18.187971	2013-08-04 18:47:32.725635
7667	19	2013-08-02 16:05:18.089014	2013-08-04 18:47:32.729336
7647	19	2013-08-02 16:05:18.071844	2013-08-04 18:47:32.733207
7627	19	2013-08-02 16:05:18.054175	2013-08-04 18:47:32.736936
17597	19	2013-08-02 16:05:38.351793	2013-08-04 18:47:32.740827
29298	19	2013-08-02 16:06:03.554264	2013-08-04 18:47:32.744832
7607	19	2013-08-02 16:05:18.035879	2013-08-04 18:47:32.74956
7683	19	2013-08-02 16:05:18.184493	2013-08-04 18:47:32.75376
7569	19	2013-08-02 16:05:17.991463	2013-08-04 18:47:32.757756
7587	19	2013-08-02 16:05:18.009405	2013-08-04 18:47:32.761602
4269	19	2013-08-02 16:05:12.300801	2013-08-04 18:47:32.765922
3678	19	2013-08-02 16:05:10.950185	2013-08-04 18:47:32.770591
4289	19	2013-08-02 16:05:12.339985	2013-08-04 18:47:32.774645
34797	19	2013-08-02 16:06:16.585617	2013-08-04 18:47:32.778617
7686	19	2013-08-02 16:05:18.187078	2013-08-04 18:47:32.784058
34890	19	2013-08-02 16:06:16.937409	2013-08-04 18:47:32.958912
34873	9	2013-08-02 16:06:16.913405	2013-08-04 18:47:32.981144
34733	7	2013-08-02 16:06:16.416282	2013-08-04 18:47:33.112935
31319	7	2013-08-02 16:06:08.665801	2013-08-04 18:47:33.74568
23236	8	2013-08-02 16:05:50.741703	2013-08-04 18:48:30.561036
23140	7	2013-08-02 16:05:50.527429	2013-08-04 18:48:30.562836
14871	4	2013-08-02 16:05:32.798209	2013-08-04 18:48:45.046129
5197	2	2013-08-02 16:05:13.475349	2013-08-04 18:48:45.053015
38048	14	2013-08-02 16:06:24.227082	2013-08-04 18:48:45.114745
38068	13	2013-08-02 16:06:24.275161	2013-08-04 18:48:45.11841
38108	11	2013-08-02 16:06:24.371846	2013-08-04 18:48:45.125609
38148	9	2013-08-02 16:06:24.466791	2013-08-04 18:48:45.132965
16639	7	2013-08-02 16:05:35.95513	2013-08-04 18:48:45.136677
38218	2	2013-08-02 16:06:24.632801	2013-08-04 18:48:45.15447
23511	2	2013-08-02 16:05:51.41681	2013-08-04 18:52:28.480146
34025	2	2013-08-02 16:06:14.664208	2013-08-04 18:52:28.746261
33986	2	2013-08-02 16:06:14.631697	2013-08-04 18:52:28.752583
33966	2	2013-08-02 16:06:14.612254	2013-08-04 18:52:28.758969
33946	2	2013-08-02 16:06:14.586017	2013-08-04 18:52:28.768978
33926	2	2013-08-02 16:06:14.565477	2013-08-04 18:52:28.779863
7747	2	2013-08-02 16:05:18.244707	2013-08-04 18:52:28.851385
14283	2	2013-08-02 16:05:31.495439	2013-08-04 18:52:28.864129
7727	2	2013-08-02 16:05:18.226036	2013-08-04 18:52:28.876792
7781	2	2013-08-02 16:05:18.293497	2013-08-04 18:52:28.889275
7707	2	2013-08-02 16:05:18.207948	2013-08-04 18:52:28.902678
2008	2	2013-08-02 16:05:07.965327	2013-08-04 18:52:28.909429
4249	2	2013-08-02 16:05:12.262686	2013-08-04 18:52:28.91368
4357	2	2013-08-02 16:05:12.489051	2013-08-04 18:52:28.91835
7730	2	2013-08-02 16:05:18.229056	2013-08-04 18:52:28.922922
38332	2	2013-08-02 16:06:24.913457	2013-08-04 18:52:29.052784
38428	2	2013-08-02 16:06:25.132833	2013-08-04 18:52:29.057854
38408	2	2013-08-02 16:06:25.081943	2013-08-04 18:52:29.063247
38340	2	2013-08-02 16:06:24.932914	2013-08-04 18:52:29.067749
38388	2	2013-08-02 16:06:25.030447	2013-08-04 18:52:29.071916
38368	2	2013-08-02 16:06:25.001953	2013-08-04 18:52:29.076307
29946	2	2013-08-02 16:06:05.262374	2013-08-04 18:52:29.081152
38348	2	2013-08-02 16:06:24.95381	2013-08-04 18:52:29.086899
38390	2	2013-08-02 16:06:25.034735	2013-08-04 18:52:29.093181
38328	2	2013-08-02 16:06:24.903772	2013-08-04 18:52:29.100055
38325	2	2013-08-02 16:06:24.895898	2013-08-04 18:52:29.165103
38248	2	2013-08-02 16:06:24.703313	2013-08-04 18:52:29.194349
38088	2	2013-08-02 16:06:24.32374	2013-08-04 18:52:29.370057
23516	21	2013-08-02 16:05:51.422174	2013-08-04 18:52:29.677951
38228	2	2013-08-02 16:06:24.65627	2013-08-04 18:52:29.843311
38128	21	2013-08-02 16:06:24.418745	2013-08-04 18:52:29.896575
34106	2	2013-08-02 16:06:14.964018	2013-08-04 18:52:30.361812
34117	2	2013-08-02 16:06:14.975538	2013-08-04 18:52:30.373053
15740	2	2013-08-02 16:05:34.023959	2013-08-04 18:52:30.413981
15729	2	2013-08-02 16:05:34.015124	2013-08-04 18:52:30.421807
15721	2	2013-08-02 16:05:34.006983	2013-08-04 18:52:30.431436
15710	2	2013-08-02 16:05:33.996363	2013-08-04 18:52:30.436367
15709	2	2013-08-02 16:05:33.995498	2013-08-04 18:52:30.441026
15638	2	2013-08-02 16:05:33.920834	2013-08-04 18:52:30.470218
15649	2	2013-08-02 16:05:33.928898	2013-08-04 18:52:30.481446
23395	2	2013-08-02 16:05:51.135504	2013-08-04 18:52:30.492623
15629	2	2013-08-02 16:05:33.912247	2013-08-04 18:52:30.50463
15609	2	2013-08-02 16:05:33.890035	2013-08-04 18:52:30.517683
15589	2	2013-08-02 16:05:33.868035	2013-08-04 18:52:30.529999
15569	2	2013-08-02 16:05:33.847002	2013-08-04 18:52:30.541701
15549	2	2013-08-02 16:05:33.82845	2013-08-04 18:52:30.552654
38028	21	2013-08-02 16:06:24.179865	2013-08-04 18:52:31.032961
23616	14	2013-08-02 16:05:51.679205	2013-08-04 18:52:31.167971
23596	14	2013-08-02 16:05:51.624248	2013-08-04 18:52:31.174482
23576	14	2013-08-02 16:05:51.570522	2013-08-04 18:52:31.181673
49917	2	2013-08-02 16:06:50.422198	2013-08-04 18:52:31.214991
49897	2	2013-08-02 16:06:50.374802	2013-08-04 18:52:31.226186
49877	2	2013-08-02 16:06:50.325933	2013-08-04 18:52:31.237582
49857	2	2013-08-02 16:06:50.273055	2013-08-04 18:52:31.247792
49837	2	2013-08-02 16:06:50.218346	2013-08-04 18:52:31.258899
49817	2	2013-08-02 16:06:50.163687	2013-08-04 18:52:31.269756
49797	2	2013-08-02 16:06:50.110952	2013-08-04 18:52:31.275777
49777	2	2013-08-02 16:06:50.057843	2013-08-04 18:52:31.284205
49632	2	2013-08-02 16:06:49.70313	2013-08-04 18:52:31.313656
49717	2	2013-08-02 16:06:49.909656	2013-08-04 18:52:31.318447
49697	2	2013-08-02 16:06:49.861799	2013-08-04 18:52:31.322932
31699	14	2013-08-02 16:06:09.569351	2013-08-04 18:52:31.496746
27241	14	2013-08-02 16:05:59.228637	2013-08-04 18:52:31.508049
31679	14	2013-08-02 16:06:09.521451	2013-08-04 18:52:31.519344
31712	2	2013-08-02 16:06:09.600685	2013-08-04 18:52:31.542688
31659	2	2013-08-02 16:06:09.474025	2013-08-04 18:52:31.555315
31639	2	2013-08-02 16:06:09.422889	2013-08-04 18:52:31.567203
31619	2	2013-08-02 16:06:09.375301	2013-08-04 18:52:31.578533
31599	2	2013-08-02 16:06:09.327507	2013-08-04 18:52:31.589983
31579	2	2013-08-02 16:06:09.280599	2013-08-04 18:52:31.599812
7975	2	2013-08-02 16:05:18.770173	2013-08-04 18:52:31.871128
7700	2	2013-08-02 16:05:18.201243	2013-08-04 18:52:31.876657
7720	2	2013-08-02 16:05:18.219404	2013-08-04 18:52:31.883184
7740	2	2013-08-02 16:05:18.237609	2013-08-04 18:52:31.890594
7760	2	2013-08-02 16:05:18.265121	2013-08-04 18:52:31.896908
7723	2	2013-08-02 16:05:18.222206	2013-08-04 18:52:31.902341
7708	2	2013-08-02 16:05:18.208838	2013-08-04 18:52:31.908117
7728	2	2013-08-02 16:05:18.227007	2013-08-04 18:52:31.911957
7748	2	2013-08-02 16:05:18.246245	2013-08-04 18:52:31.915881
7847	2	2013-08-02 16:05:18.448486	2013-08-04 18:52:31.920063
7827	2	2013-08-02 16:05:18.39964	2013-08-04 18:52:31.924144
7807	2	2013-08-02 16:05:18.348472	2013-08-04 18:52:31.928356
7787	2	2013-08-02 16:05:18.305905	2013-08-04 18:52:31.932959
41463	2	2013-08-02 16:06:31.21989	2013-08-04 18:52:31.937332
41523	2	2013-08-02 16:06:31.371302	2013-08-04 18:52:31.942348
7767	2	2013-08-02 16:05:18.273143	2013-08-04 18:52:31.946505
7801	2	2013-08-02 16:05:18.334451	2013-08-04 18:52:31.950695
31839	7	2013-08-02 16:06:09.883965	2013-08-04 18:52:32.600407
31819	7	2013-08-02 16:06:09.847169	2013-08-04 18:52:32.609988
31799	7	2013-08-02 16:06:09.809077	2013-08-04 18:52:32.61995
31833	7	2013-08-02 16:06:09.872686	2013-08-04 18:52:32.629905
38588	7	2013-08-02 16:06:25.6362	2013-08-04 18:55:34.966238
38608	6	2013-08-02 16:06:25.676181	2013-08-04 18:55:34.967662
38628	4	2013-08-02 16:06:25.72828	2013-08-04 18:55:34.970186
38648	2	2013-08-02 16:06:25.780505	2013-08-04 18:55:34.97325
38468	21	2013-08-02 16:06:25.406612	2013-08-04 18:55:34.990059
34412	2	2013-08-02 16:06:15.627432	2013-08-04 18:55:49.191735
31937	2	2013-08-02 16:06:10.24284	2013-08-04 18:56:00.970066
34395	2	2013-08-02 16:06:15.586555	2013-08-04 18:57:36.169619
38630	2	2013-08-02 16:06:25.733749	2013-08-04 18:57:36.181357
38575	21	2013-08-02 16:06:25.609804	2013-08-04 18:57:36.252838
7927	2	2013-08-02 16:05:18.646303	2013-08-04 18:57:36.679967
7907	2	2013-08-02 16:05:18.594768	2013-08-04 18:57:36.685297
8231	2	2013-08-02 16:05:19.350741	2013-08-04 18:57:36.689519
8211	2	2013-08-02 16:05:19.302919	2013-08-04 18:57:36.694101
8191	2	2013-08-02 16:05:19.253382	2013-08-04 18:57:36.698732
7921	2	2013-08-02 16:05:18.63071	2013-08-04 18:57:36.703829
18150	2	2013-08-02 16:05:39.209493	2013-08-04 18:57:36.708121
8171	2	2013-08-02 16:05:19.204804	2013-08-04 18:57:36.712386
8151	2	2013-08-02 16:05:19.153775	2013-08-04 18:57:36.718606
7887	2	2013-08-02 16:05:18.546266	2013-08-04 18:57:36.722652
8131	2	2013-08-02 16:05:19.101692	2013-08-04 18:57:36.726596
7941	2	2013-08-02 16:05:18.681832	2013-08-04 18:57:36.736358
8111	2	2013-08-02 16:05:19.04873	2013-08-04 18:57:36.747341
3658	2	2013-08-02 16:05:10.899535	2013-08-04 18:57:36.758548
7946	2	2013-08-02 16:05:18.69534	2013-08-04 18:57:36.770504
38888	2	2013-08-02 16:06:26.188884	2013-08-04 18:57:36.828048
38800	2	2013-08-02 16:06:26.046088	2013-08-04 18:57:36.839054
38868	2	2013-08-02 16:06:26.168061	2013-08-04 18:57:36.851839
38848	2	2013-08-02 16:06:26.125699	2013-08-04 18:57:36.863743
38828	2	2013-08-02 16:06:26.088057	2013-08-04 18:57:36.876781
38925	2	2013-08-02 16:06:26.23165	2013-08-04 18:57:36.891316
38808	2	2013-08-02 16:06:26.056147	2013-08-04 18:57:36.90125
38788	2	2013-08-02 16:06:26.033341	2013-08-04 18:57:36.906439
38715	2	2013-08-02 16:06:25.887636	2013-08-04 18:57:36.930806
38708	2	2013-08-02 16:06:25.87477	2013-08-04 18:57:36.936543
38688	2	2013-08-02 16:06:25.841256	2013-08-04 18:57:36.941338
31835	21	2013-08-02 16:06:09.876373	2013-08-04 18:57:37.004417
31859	21	2013-08-02 16:06:09.93529	2013-08-04 18:57:37.007467
31760	19	2013-08-02 16:06:09.706	2013-08-04 18:57:37.026499
31858	21	2013-08-02 16:06:09.932637	2013-08-04 18:57:37.307089
32011	21	2013-08-02 16:06:10.39438	2013-08-04 18:57:37.961412
38668	2	2013-08-02 16:06:25.81727	2013-08-04 18:57:37.968973
8147	14	2013-08-02 16:05:19.143871	2013-08-04 18:57:38.164566
8127	14	2013-08-02 16:05:19.091202	2013-08-04 18:57:38.172334
8107	14	2013-08-02 16:05:19.038068	2013-08-04 18:57:38.175978
8087	14	2013-08-02 16:05:18.987728	2013-08-04 18:57:38.179547
8129	14	2013-08-02 16:05:19.096326	2013-08-04 18:57:38.183189
39760	14	2013-08-02 16:06:27.725347	2013-08-04 18:57:38.186519
8067	14	2013-08-02 16:05:18.951588	2013-08-04 18:57:38.190321
8047	14	2013-08-02 16:05:18.926837	2013-08-04 18:57:38.194398
8081	14	2013-08-02 16:05:18.975221	2013-08-04 18:57:38.199282
3569	2	2013-08-02 16:05:10.730095	2013-08-04 18:57:38.21998
8027	2	2013-08-02 16:05:18.901307	2013-08-04 18:57:38.230812
12912	2	2013-08-02 16:05:28.978625	2013-08-04 18:57:38.24207
7938	2	2013-08-02 16:05:18.674046	2013-08-04 18:57:38.253867
7960	2	2013-08-02 16:05:18.732379	2013-08-04 18:57:38.264995
7980	2	2013-08-02 16:05:18.78214	2013-08-04 18:57:38.276435
8000	2	2013-08-02 16:05:18.832935	2013-08-04 18:57:38.287427
7997	2	2013-08-02 16:05:18.824735	2013-08-04 18:57:38.298108
8007	2	2013-08-02 16:05:18.850455	2013-08-04 18:57:38.375324
15886	21	2013-08-02 16:05:34.295686	2013-08-04 18:57:38.393849
15889	14	2013-08-02 16:05:34.299934	2013-08-04 18:57:38.404204
15903	14	2013-08-02 16:05:34.316622	2013-08-04 18:57:38.413027
15869	14	2013-08-02 16:05:34.276129	2013-08-04 18:57:38.422686
15829	14	2013-08-02 16:05:34.228877	2013-08-04 18:57:38.494938
23821	2	2013-08-02 16:05:52.342997	2013-08-04 18:57:38.519467
15820	2	2013-08-02 16:05:34.215591	2013-08-04 18:57:38.531185
15809	2	2013-08-02 16:05:34.201512	2013-08-04 18:57:38.542675
4246	2	2013-08-02 16:05:12.257559	2013-08-04 18:57:38.553962
15789	2	2013-08-02 16:05:34.18229	2013-08-04 18:57:38.566491
44443	2	2013-08-02 16:06:38.473965	2013-08-04 18:57:38.578266
15769	2	2013-08-02 16:05:34.164831	2013-08-04 18:57:38.591281
15749	2	2013-08-02 16:05:34.146362	2013-08-04 18:57:38.603741
2683	2	2013-08-02 16:05:09.070129	2013-08-04 18:57:38.991545
2303	2	2013-08-02 16:05:08.595594	2013-08-04 18:57:38.997666
1923	2	2013-08-02 16:05:07.80716	2013-08-04 18:57:39.003452
1543	2	2013-08-02 16:05:06.882007	2013-08-04 18:57:39.007526
49941	2	2013-08-02 16:06:50.479493	2013-08-04 18:57:39.011269
1163	2	2013-08-02 16:05:05.9137	2013-08-04 18:57:39.0167
443	2	2013-08-02 16:05:04.783092	2013-08-04 18:57:39.026581
60	2	2013-08-02 16:05:04.369341	2013-08-04 18:57:39.038673
49997	2	2013-08-02 16:06:50.614299	2013-08-04 18:57:39.050465
49938	2	2013-08-02 16:06:50.472322	2013-08-04 18:57:39.06165
49977	2	2013-08-02 16:06:50.56702	2013-08-04 18:57:39.072845
49957	2	2013-08-02 16:06:50.518351	2013-08-04 18:57:39.083933
49937	2	2013-08-02 16:06:50.469983	2013-08-04 18:57:39.095178
35193	8	2013-08-02 16:06:17.713424	2013-08-04 18:57:39.905932
32139	9	2013-08-02 16:06:10.672611	2013-08-04 18:57:40.338435
32119	9	2013-08-02 16:06:10.629361	2013-08-04 18:57:40.343562
32152	9	2013-08-02 16:06:10.70406	2013-08-04 18:57:40.348143
32099	9	2013-08-02 16:06:10.585614	2013-08-04 18:57:40.352393
32093	7	2013-08-02 16:06:10.572696	2013-08-04 18:57:40.359889
32079	7	2013-08-02 16:06:10.542427	2013-08-04 18:57:40.364019
34986	2	2013-08-02 16:06:17.184604	2013-08-04 19:00:36.04869
35010	16	2013-08-02 16:06:17.248445	2013-08-04 19:00:36.078123
38968	9	2013-08-02 16:06:26.302029	2013-08-04 19:00:36.086485
38988	7	2013-08-02 16:06:26.322125	2013-08-04 19:00:36.087539
39008	6	2013-08-02 16:06:26.3379	2013-08-04 19:00:36.088525
39048	4	2013-08-02 16:06:26.389028	2013-08-04 19:00:36.090673
39088	2	2013-08-02 16:06:26.432755	2013-08-04 19:00:36.093682
39068	2	2013-08-02 16:06:26.411474	2013-08-04 19:02:38.825248
39028	21	2013-08-02 16:06:26.361104	2013-08-04 19:02:38.837477
8270	2	2013-08-02 16:05:19.445583	2013-08-04 19:02:39.1296
8167	2	2013-08-02 16:05:19.195017	2013-08-04 19:02:39.134519
8181	2	2013-08-02 16:05:19.229441	2013-08-04 19:02:39.13839
38948	21	2013-08-02 16:06:26.267182	2013-08-04 19:02:39.212995
38995	2	2013-08-02 16:06:26.327506	2013-08-04 19:02:40.003395
35006	2	2013-08-02 16:06:17.238182	2013-08-04 19:02:40.013548
35233	2	2013-08-02 16:06:17.813068	2013-08-04 19:02:40.056958
35326	2	2013-08-02 16:06:18.014896	2013-08-04 19:02:40.260189
35292	2	2013-08-02 16:06:17.933563	2013-08-04 19:02:40.264158
35205	2	2013-08-02 16:06:17.744586	2013-08-04 19:02:40.268141
8295	21	2013-08-02 16:05:19.509784	2013-08-04 19:02:40.277245
8315	2	2013-08-02 16:05:19.560417	2013-08-04 19:02:40.287492
8312	2	2013-08-02 16:05:19.552524	2013-08-04 19:02:40.293938
8172	2	2013-08-02 16:05:19.207182	2013-08-04 19:02:40.300855
8257	2	2013-08-02 16:05:19.414233	2013-08-04 19:02:40.309778
8277	2	2013-08-02 16:05:19.463218	2013-08-04 19:02:40.320086
8297	2	2013-08-02 16:05:19.514816	2013-08-04 19:02:40.330911
8317	2	2013-08-02 16:05:19.565598	2013-08-04 19:02:40.341874
8307	2	2013-08-02 16:05:19.539309	2013-08-04 19:02:40.352682
8287	2	2013-08-02 16:05:19.488751	2013-08-04 19:02:40.362902
8267	14	2013-08-02 16:05:19.43805	2013-08-04 19:02:40.379407
38115	14	2013-08-02 16:06:24.388229	2013-08-04 19:02:40.383478
8247	14	2013-08-02 16:05:19.390182	2013-08-04 19:02:40.386586
38135	14	2013-08-02 16:06:24.435433	2013-08-04 19:02:40.391406
17726	14	2013-08-02 16:05:38.606633	2013-08-04 19:02:40.400615
8227	14	2013-08-02 16:05:19.341251	2013-08-04 19:02:40.408111
9899	14	2013-08-02 16:05:23.183659	2013-08-04 19:02:40.415186
8207	14	2013-08-02 16:05:19.293274	2013-08-04 19:02:40.423384
3589	14	2013-08-02 16:05:10.779855	2013-08-04 19:02:40.429096
16069	21	2013-08-02 16:05:34.528439	2013-08-04 19:02:40.436749
16040	14	2013-08-02 16:05:34.469166	2013-08-04 19:02:40.443434
16049	14	2013-08-02 16:05:34.484223	2013-08-04 19:02:40.447326
16029	14	2013-08-02 16:05:34.455357	2013-08-04 19:02:40.451223
16005	14	2013-08-02 16:05:34.429897	2013-08-04 19:02:40.484967
16009	14	2013-08-02 16:05:34.434315	2013-08-04 19:02:40.493241
15989	2	2013-08-02 16:05:34.414558	2013-08-04 19:02:40.511509
16011	2	2013-08-02 16:05:34.43634	2013-08-04 19:02:40.522255
15969	2	2013-08-02 16:05:34.394602	2013-08-04 19:02:40.533081
30945	2	2013-08-02 16:06:07.647887	2013-08-04 19:02:40.543821
15949	2	2013-08-02 16:05:34.359108	2013-08-04 19:02:40.554706
15929	2	2013-08-02 16:05:34.340136	2013-08-04 19:02:40.565214
15909	2	2013-08-02 16:05:34.324986	2013-08-04 19:02:40.576206
16010	2	2013-08-02 16:05:34.435239	2013-08-04 19:02:40.587155
370	2	2013-08-02 16:05:04.710742	2013-08-04 19:02:40.895611
65	2	2013-08-02 16:05:04.374488	2013-08-04 19:02:40.906649
259	2	2013-08-02 16:05:04.575426	2013-08-04 19:02:40.914516
184	2	2013-08-02 16:05:04.503936	2013-08-04 19:02:40.922662
4583	2	2013-08-02 16:05:12.755052	2013-08-04 19:02:40.932711
45	2	2013-08-02 16:05:04.354298	2013-08-04 19:02:40.943878
124	2	2013-08-02 16:05:04.432151	2013-08-04 19:02:40.955106
206	2	2013-08-02 16:05:04.522199	2013-08-04 19:02:40.966657
284	2	2013-08-02 16:05:04.593783	2013-08-04 19:02:40.979163
272	2	2013-08-02 16:05:04.585231	2013-08-04 19:02:40.985699
32385	14	2013-08-02 16:06:11.246208	2013-08-04 19:02:41.201236
32379	14	2013-08-02 16:06:11.230117	2013-08-04 19:02:41.212239
32359	14	2013-08-02 16:06:11.17688	2013-08-04 19:02:41.222597
32299	2	2013-08-02 16:06:11.045998	2013-08-04 19:02:41.28825
6264	2	2013-08-02 16:05:15.786313	2013-08-04 19:02:41.294381
35513	19	2013-08-02 16:06:18.473252	2013-08-04 19:02:41.674228
35493	19	2013-08-02 16:06:18.425041	2013-08-04 19:02:41.68503
5036	4	2013-08-02 16:05:13.233345	2013-08-04 19:02:41.706894
35432	4	2013-08-02 16:06:18.280141	2013-08-04 19:02:41.713261
35473	4	2013-08-02 16:06:18.377793	2013-08-04 19:02:41.720732
35453	9	2013-08-02 16:06:18.330079	2013-08-04 19:02:41.730099
35433	9	2013-08-02 16:06:18.282427	2013-08-04 19:02:41.735939
35413	9	2013-08-02 16:06:18.234742	2013-08-04 19:02:41.742971
35393	7	2013-08-02 16:06:18.185779	2013-08-04 19:02:41.763593
35390	7	2013-08-02 16:06:18.178513	2013-08-04 19:02:41.774164
6184	8	2013-08-02 16:05:15.578274	2013-08-04 19:02:41.793743
6224	8	2013-08-02 16:05:15.735395	2013-08-04 19:02:41.797587
32619	4	2013-08-02 16:06:11.997643	2013-08-04 19:02:42.026469
32599	4	2013-08-02 16:06:11.975093	2013-08-04 19:02:42.031921
32579	4	2013-08-02 16:06:11.730612	2013-08-04 19:02:42.037712
32559	4	2013-08-02 16:06:11.677451	2013-08-04 19:02:42.043081
32512	9	2013-08-02 16:06:11.564638	2013-08-04 19:02:42.117627
32539	9	2013-08-02 16:06:11.634828	2013-08-04 19:02:42.125435
32513	9	2013-08-02 16:06:11.567149	2013-08-04 19:02:42.131005
32519	9	2013-08-02 16:06:11.582366	2013-08-04 19:02:42.137006
32521	7	2013-08-02 16:06:11.587881	2013-08-04 19:02:42.146734
32371	7	2013-08-02 16:06:11.208678	2013-08-04 19:02:42.151097
32358	7	2013-08-02 16:06:11.174241	2013-08-04 19:02:42.154919
32480	7	2013-08-02 16:06:11.484127	2013-08-04 19:02:42.159821
32639	21	2013-08-02 16:06:12.026406	2013-08-04 19:07:36.850906
15711	21	2013-08-02 16:05:33.997269	2013-08-04 19:07:36.852145
\.


--
-- Name: flags_id_seq; Type: SEQUENCE SET; Schema: public; Owner: scorebot
--

SELECT pg_catalog.setval('flags_id_seq', 50000, true);


--
-- Data for Name: instances; Type: TABLE DATA; Schema: public; Owner: scorebot
--

COPY instances (id, team_id, service_id, created_at, updated_at) FROM stdin;
1	1	1	2013-08-02 16:05:03.512865	2013-08-02 16:05:03.512865
2	1	2	2013-08-02 16:05:03.524688	2013-08-02 16:05:03.524688
3	1	3	2013-08-02 16:05:03.531985	2013-08-02 16:05:03.531985
4	2	1	2013-08-02 16:05:03.542275	2013-08-02 16:05:03.542275
5	2	2	2013-08-02 16:05:03.558177	2013-08-02 16:05:03.558177
6	2	3	2013-08-02 16:05:03.56571	2013-08-02 16:05:03.56571
7	3	1	2013-08-02 16:05:03.575221	2013-08-02 16:05:03.575221
8	3	2	2013-08-02 16:05:03.591451	2013-08-02 16:05:03.591451
9	3	3	2013-08-02 16:05:03.598846	2013-08-02 16:05:03.598846
10	4	1	2013-08-02 16:05:03.60839	2013-08-02 16:05:03.60839
11	4	2	2013-08-02 16:05:03.615375	2013-08-02 16:05:03.615375
12	4	3	2013-08-02 16:05:03.622998	2013-08-02 16:05:03.622998
13	5	1	2013-08-02 16:05:03.63273	2013-08-02 16:05:03.63273
14	5	2	2013-08-02 16:05:03.639574	2013-08-02 16:05:03.639574
15	5	3	2013-08-02 16:05:03.647495	2013-08-02 16:05:03.647495
16	6	1	2013-08-02 16:05:03.657562	2013-08-02 16:05:03.657562
17	6	2	2013-08-02 16:05:03.664778	2013-08-02 16:05:03.664778
18	6	3	2013-08-02 16:05:03.6735	2013-08-02 16:05:03.6735
19	7	1	2013-08-02 16:05:03.683669	2013-08-02 16:05:03.683669
20	7	2	2013-08-02 16:05:03.698582	2013-08-02 16:05:03.698582
21	7	3	2013-08-02 16:05:03.706149	2013-08-02 16:05:03.706149
22	8	1	2013-08-02 16:05:03.714596	2013-08-02 16:05:03.714596
23	8	2	2013-08-02 16:05:03.722051	2013-08-02 16:05:03.722051
24	8	3	2013-08-02 16:05:03.730915	2013-08-02 16:05:03.730915
25	9	1	2013-08-02 16:05:03.739227	2013-08-02 16:05:03.739227
26	9	2	2013-08-02 16:05:03.747266	2013-08-02 16:05:03.747266
27	9	3	2013-08-02 16:05:03.755553	2013-08-02 16:05:03.755553
28	10	1	2013-08-02 16:05:03.763852	2013-08-02 16:05:03.763852
29	10	2	2013-08-02 16:05:03.771186	2013-08-02 16:05:03.771186
30	10	3	2013-08-02 16:05:03.779751	2013-08-02 16:05:03.779751
31	11	1	2013-08-02 16:05:03.788701	2013-08-02 16:05:03.788701
32	11	2	2013-08-02 16:05:03.831752	2013-08-02 16:05:03.831752
33	11	3	2013-08-02 16:05:03.846897	2013-08-02 16:05:03.846897
34	12	1	2013-08-02 16:05:03.856307	2013-08-02 16:05:03.856307
35	12	2	2013-08-02 16:05:03.872412	2013-08-02 16:05:03.872412
36	12	3	2013-08-02 16:05:03.88953	2013-08-02 16:05:03.88953
37	13	1	2013-08-02 16:05:03.906503	2013-08-02 16:05:03.906503
38	13	2	2013-08-02 16:05:03.921927	2013-08-02 16:05:03.921927
39	13	3	2013-08-02 16:05:03.939018	2013-08-02 16:05:03.939018
40	14	1	2013-08-02 16:05:03.957972	2013-08-02 16:05:03.957972
41	14	2	2013-08-02 16:05:03.96955	2013-08-02 16:05:03.96955
42	14	3	2013-08-02 16:05:03.97923	2013-08-02 16:05:03.97923
43	15	1	2013-08-02 16:05:03.988715	2013-08-02 16:05:03.988715
44	15	2	2013-08-02 16:05:04.003524	2013-08-02 16:05:04.003524
45	15	3	2013-08-02 16:05:04.010307	2013-08-02 16:05:04.010307
46	16	1	2013-08-02 16:05:04.020312	2013-08-02 16:05:04.020312
47	16	2	2013-08-02 16:05:04.027823	2013-08-02 16:05:04.027823
48	16	3	2013-08-02 16:05:04.036747	2013-08-02 16:05:04.036747
49	17	1	2013-08-02 16:05:04.046328	2013-08-02 16:05:04.046328
50	17	2	2013-08-02 16:05:04.060375	2013-08-02 16:05:04.060375
51	17	3	2013-08-02 16:05:04.069674	2013-08-02 16:05:04.069674
52	18	1	2013-08-02 16:05:04.07816	2013-08-02 16:05:04.07816
53	18	2	2013-08-02 16:05:04.086142	2013-08-02 16:05:04.086142
54	18	3	2013-08-02 16:05:04.093338	2013-08-02 16:05:04.093338
55	19	1	2013-08-02 16:05:04.104941	2013-08-02 16:05:04.104941
56	19	2	2013-08-02 16:05:04.118889	2013-08-02 16:05:04.118889
57	19	3	2013-08-02 16:05:04.126557	2013-08-02 16:05:04.126557
58	20	1	2013-08-02 16:05:04.135815	2013-08-02 16:05:04.135815
59	20	2	2013-08-02 16:05:04.144009	2013-08-02 16:05:04.144009
60	20	3	2013-08-02 16:05:04.152001	2013-08-02 16:05:04.152001
61	21	1	2013-08-02 16:05:04.161695	2013-08-02 16:05:04.161695
62	21	2	2013-08-02 16:05:04.167756	2013-08-02 16:05:04.167756
63	21	3	2013-08-02 16:05:04.176433	2013-08-02 16:05:04.176433
64	1	4	2013-08-03 01:44:46.93341	2013-08-03 01:44:46.93341
65	2	4	2013-08-03 01:44:46.975262	2013-08-03 01:44:46.975262
66	3	4	2013-08-03 01:44:47.01625	2013-08-03 01:44:47.01625
67	4	4	2013-08-03 01:44:47.057871	2013-08-03 01:44:47.057871
68	5	4	2013-08-03 01:44:47.099265	2013-08-03 01:44:47.099265
69	6	4	2013-08-03 01:44:47.14062	2013-08-03 01:44:47.14062
70	7	4	2013-08-03 01:44:47.181039	2013-08-03 01:44:47.181039
71	8	4	2013-08-03 01:44:47.22379	2013-08-03 01:44:47.22379
72	9	4	2013-08-03 01:44:47.292922	2013-08-03 01:44:47.292922
73	10	4	2013-08-03 01:44:47.349461	2013-08-03 01:44:47.349461
74	11	4	2013-08-03 01:44:47.398508	2013-08-03 01:44:47.398508
75	12	4	2013-08-03 01:44:47.455531	2013-08-03 01:44:47.455531
76	13	4	2013-08-03 01:44:47.497843	2013-08-03 01:44:47.497843
77	14	4	2013-08-03 01:44:47.538894	2013-08-03 01:44:47.538894
78	15	4	2013-08-03 01:44:47.596957	2013-08-03 01:44:47.596957
79	16	4	2013-08-03 01:44:47.655026	2013-08-03 01:44:47.655026
80	17	4	2013-08-03 01:44:47.687727	2013-08-03 01:44:47.687727
81	18	4	2013-08-03 01:44:47.72095	2013-08-03 01:44:47.72095
82	19	4	2013-08-03 01:44:47.753804	2013-08-03 01:44:47.753804
83	20	4	2013-08-03 01:44:47.786799	2013-08-03 01:44:47.786799
84	21	4	2013-08-03 01:44:47.827034	2013-08-03 01:44:47.827034
85	1	5	2013-08-03 18:34:57.234831	2013-08-03 18:34:57.234831
86	1	6	2013-08-03 18:34:57.264196	2013-08-03 18:34:57.264196
87	2	5	2013-08-03 18:34:57.272832	2013-08-03 18:34:57.272832
88	2	6	2013-08-03 18:34:57.279577	2013-08-03 18:34:57.279577
89	3	5	2013-08-03 18:34:57.287998	2013-08-03 18:34:57.287998
90	3	6	2013-08-03 18:34:57.29667	2013-08-03 18:34:57.29667
91	4	5	2013-08-03 18:34:57.305973	2013-08-03 18:34:57.305973
92	4	6	2013-08-03 18:34:57.313956	2013-08-03 18:34:57.313956
93	5	5	2013-08-03 18:34:57.322629	2013-08-03 18:34:57.322629
94	5	6	2013-08-03 18:34:57.338715	2013-08-03 18:34:57.338715
95	6	5	2013-08-03 18:34:57.345633	2013-08-03 18:34:57.345633
96	6	6	2013-08-03 18:34:57.355209	2013-08-03 18:34:57.355209
97	7	5	2013-08-03 18:34:57.364163	2013-08-03 18:34:57.364163
98	7	6	2013-08-03 18:34:57.380236	2013-08-03 18:34:57.380236
99	8	5	2013-08-03 18:34:57.39704	2013-08-03 18:34:57.39704
100	8	6	2013-08-03 18:34:57.413101	2013-08-03 18:34:57.413101
101	9	5	2013-08-03 18:34:57.420774	2013-08-03 18:34:57.420774
102	9	6	2013-08-03 18:34:57.428288	2013-08-03 18:34:57.428288
103	10	5	2013-08-03 18:34:57.436759	2013-08-03 18:34:57.436759
104	10	6	2013-08-03 18:34:57.496296	2013-08-03 18:34:57.496296
105	11	5	2013-08-03 18:34:57.537383	2013-08-03 18:34:57.537383
106	11	6	2013-08-03 18:34:57.578617	2013-08-03 18:34:57.578617
107	12	5	2013-08-03 18:34:57.635252	2013-08-03 18:34:57.635252
108	12	6	2013-08-03 18:34:57.686094	2013-08-03 18:34:57.686094
109	13	5	2013-08-03 18:34:57.726099	2013-08-03 18:34:57.726099
110	13	6	2013-08-03 18:34:57.765816	2013-08-03 18:34:57.765816
111	14	5	2013-08-03 18:34:57.810268	2013-08-03 18:34:57.810268
112	14	6	2013-08-03 18:34:57.850974	2013-08-03 18:34:57.850974
113	15	5	2013-08-03 18:34:57.892189	2013-08-03 18:34:57.892189
114	15	6	2013-08-03 18:34:57.941428	2013-08-03 18:34:57.941428
115	16	5	2013-08-03 18:34:57.981771	2013-08-03 18:34:57.981771
116	16	6	2013-08-03 18:34:58.022763	2013-08-03 18:34:58.022763
117	17	5	2013-08-03 18:34:58.074062	2013-08-03 18:34:58.074062
118	17	6	2013-08-03 18:34:58.123165	2013-08-03 18:34:58.123165
119	19	5	2013-08-03 18:34:58.16857	2013-08-03 18:34:58.16857
120	19	6	2013-08-03 18:34:58.209419	2013-08-03 18:34:58.209419
121	20	5	2013-08-03 18:34:58.254083	2013-08-03 18:34:58.254083
122	20	6	2013-08-03 18:34:58.29513	2013-08-03 18:34:58.29513
123	21	5	2013-08-03 18:34:58.337264	2013-08-03 18:34:58.337264
124	21	6	2013-08-03 18:34:58.377606	2013-08-03 18:34:58.377606
125	18	5	2013-08-03 18:34:58.420782	2013-08-03 18:34:58.420782
126	18	6	2013-08-03 18:34:58.477816	2013-08-03 18:34:58.477816
\.


--
-- Name: instances_id_seq; Type: SEQUENCE SET; Schema: public; Owner: scorebot
--

SELECT pg_catalog.setval('instances_id_seq', 126, true);


--
-- Data for Name: messages; Type: TABLE DATA; Schema: public; Owner: scorebot
--

COPY messages (id, team_id, body, created_at, updated_at) FROM stdin;
1	\N	Welcome to DEF CON CTF 2013.	2013-08-02 16:06:52.184828	2013-08-02 16:06:52.184828
\.


--
-- Name: messages_id_seq; Type: SEQUENCE SET; Schema: public; Owner: scorebot
--

SELECT pg_catalog.setval('messages_id_seq', 1, true);


--
-- Data for Name: redemptions; Type: TABLE DATA; Schema: public; Owner: scorebot
--

COPY redemptions (id, team_id, token_id, created_at, updated_at, round_id, uuid) FROM stdin;
1	7	20	2013-08-02 17:15:44.290777	2013-08-02 17:15:44.290777	\N	5b918581-f2d3-412a-9309-a22a90059d2a
2	7	83	2013-08-02 17:17:07.257019	2013-08-02 17:17:07.257019	\N	f48c5bf0-16e1-4366-824c-a6d7c22a7d96
3	1	1765	2013-08-02 21:02:47.986323	2013-08-02 21:02:47.986323	\N	1a846ba6-ee28-4754-be7e-6e09758a92be
4	1	1766	2013-08-02 21:03:14.148864	2013-08-02 21:03:14.148864	\N	6a4bee1e-d04c-4bcb-b077-57b415e11a90
5	14	3563	2013-08-02 23:27:56.324604	2013-08-02 23:27:56.324604	\N	35964c49-1685-40b8-a81f-c12cc6272926
6	14	3626	2013-08-02 23:29:44.839007	2013-08-02 23:29:44.839007	\N	41161924-7b20-4c42-8df5-c2263897cbfa
1200	4	3893	2013-08-02 23:52:48.284587	2013-08-02 23:52:48.284587	\N	66e43d6b-ff19-4d94-bfa3-8998090c3d75
1201	4	3896	2013-08-02 23:52:48.343067	2013-08-02 23:52:48.343067	\N	314b40f9-1630-4358-8057-38f94d600ca5
9	4	3773	2013-08-02 23:38:38.96478	2013-08-02 23:38:38.96478	\N	05cc155d-10e0-4392-93da-647ad911da2d
10	4	3770	2013-08-02 23:39:09.805684	2013-08-02 23:39:09.805684	\N	ed09de96-4fed-499c-91cd-b82c1e89f1d7
11	4	3728	2013-08-02 23:41:27.5024	2013-08-02 23:41:27.5024	\N	f65c6eb2-3cce-49ab-97fc-933689d26fc7
12	4	3785	2013-08-02 23:43:49.545801	2013-08-02 23:43:49.545801	\N	06921909-c9d2-4095-b77d-54d1f84eec51
13	2	3804	2013-08-02 23:46:12.166677	2013-08-02 23:46:12.166677	\N	27eba416-75fe-4123-be02-a01ef1111928
14	2	3816	2013-08-02 23:46:12.262167	2013-08-02 23:46:12.262167	\N	edd25620-2d7b-4a72-bd14-5e13ab7b140d
15	2	3828	2013-08-02 23:46:12.297012	2013-08-02 23:46:12.297012	\N	a3cc863d-9a43-4601-ad80-b5c3d75bd30b
16	2	3813	2013-08-02 23:46:21.778921	2013-08-02 23:46:21.778921	\N	83ac4ae8-cf33-4abf-87d8-f9dcda52d1ca
17	2	3837	2013-08-02 23:46:21.863365	2013-08-02 23:46:21.863365	\N	019e3f14-d8f4-47e5-8836-25ec79630b10
1202	4	3899	2013-08-02 23:52:48.36701	2013-08-02 23:52:48.36701	\N	c5183bf6-459c-452f-9956-c3fb45184f51
19	2	3855	2013-08-02 23:49:10.822029	2013-08-02 23:49:10.822029	\N	8c42d22c-d6a8-4097-ab2e-b7216edc8e7d
20	2	3882	2013-08-02 23:49:10.918107	2013-08-02 23:49:10.918107	\N	e5acf997-05ec-481b-829e-5b943116a8e1
21	2	3876	2013-08-02 23:49:10.955041	2013-08-02 23:49:10.955041	\N	97d0c181-83c6-4cd6-807d-69c54924e039
22	2	3900	2013-08-02 23:49:10.992867	2013-08-02 23:49:10.992867	\N	d8a3f04f-f191-454c-a3a9-0daaaa5b27b9
1207	4	3845	2013-08-02 23:53:03.321844	2013-08-02 23:53:03.321844	\N	978fc082-a8a1-4285-869d-90fe17c5321d
1208	4	3854	2013-08-02 23:53:03.380342	2013-08-02 23:53:03.380342	\N	e1837ee4-ecfb-436a-a6f9-fc09619b5c07
2341	14	4013	2013-08-03 00:01:23.017015	2013-08-03 00:01:23.017015	\N	690ce482-f513-4522-851b-9cb1244d5851
1214	2	3963	2013-08-02 23:54:14.779352	2013-08-02 23:54:14.779352	\N	28cb65ab-629e-4049-b1d2-59587896f194
27	2	3867	2013-08-02 23:49:12.157798	2013-08-02 23:49:12.157798	\N	34bb5300-3a1d-4ab2-84fe-dbaa4f5a62a9
1216	14	3941	2013-08-02 23:54:30.177248	2013-08-02 23:54:30.177248	\N	e0193486-2b6c-4a67-adbe-98c2def4153b
2342	14	3980	2013-08-03 00:01:23.059844	2013-08-03 00:01:23.059844	\N	103d76a2-304b-4fd1-bdf9-06148c54cf42
2343	14	4028	2013-08-03 00:01:23.091865	2013-08-03 00:01:23.091865	\N	0fe65da6-5f05-450e-a86e-d7bb0668609e
2344	14	4022	2013-08-03 00:01:23.135298	2013-08-03 00:01:23.135298	\N	ad786e8c-d9ba-4c6f-bde2-5562a035f01d
2345	14	4019	2013-08-03 00:01:23.17244	2013-08-03 00:01:23.17244	\N	e3c625fb-eb76-4d4c-be54-ab1c274bf5e2
2346	14	4025	2013-08-03 00:01:23.216201	2013-08-03 00:01:23.216201	\N	590690f6-5c8c-4fe6-bf69-c1f6b58d6098
2347	14	3974	2013-08-03 00:01:23.248362	2013-08-03 00:01:23.248362	\N	41c7c404-e525-452d-84cb-89a66db20c5e
2348	14	3989	2013-08-03 00:01:23.278579	2013-08-03 00:01:23.278579	\N	8a039e66-9114-45f7-a35d-f86a2b2004c8
2349	14	3992	2013-08-03 00:01:23.323694	2013-08-03 00:01:23.323694	\N	430196e0-0ba9-42bf-96e9-a7e881b1b309
2350	14	4004	2013-08-03 00:01:23.358465	2013-08-03 00:01:23.358465	\N	e75ba8e5-4712-441c-94c3-b2404c342fe7
2351	14	4001	2013-08-03 00:01:23.386805	2013-08-03 00:01:23.386805	\N	be2c2ae0-192d-472f-9942-d2d609ff85cf
2352	14	3971	2013-08-03 00:01:23.420104	2013-08-03 00:01:23.420104	\N	188098b0-7a47-4ba1-a5ef-ff3fa9d2801b
2355	2	4044	2013-08-03 00:02:10.63547	2013-08-03 00:02:10.63547	\N	e0a81c41-a249-4bad-86bb-4f828ea6fdc5
2356	4	3980	2013-08-03 00:02:35.770706	2013-08-03 00:02:35.770706	\N	5da44cda-5915-476b-8bc5-71639e386ad2
2585	7	4211	2013-08-03 00:12:37.507831	2013-08-03 00:12:37.507831	\N	612c0219-02fe-497f-97d4-22641841ebde
2362	4	4043	2013-08-03 00:04:49.753715	2013-08-03 00:04:49.753715	\N	e0a85cc1-6557-4384-ac87-4fdfa796da90
2363	4	4034	2013-08-03 00:04:49.809325	2013-08-03 00:04:49.809325	\N	7b186eff-6ace-4e91-ace2-0c599c1b2097
1243	2	3918	2013-08-02 23:54:46.757618	2013-08-02 23:54:46.757618	\N	83da6332-f096-4c27-acb2-8805067f0875
1244	2	3945	2013-08-02 23:54:46.786648	2013-08-02 23:54:46.786648	\N	e2db5d07-dfb7-49f7-a463-00b76f0d9355
2586	7	4217	2013-08-03 00:12:40.403056	2013-08-03 00:12:40.403056	\N	06970c44-e1db-4f76-b488-3473a0e6a7a8
3135	4	4415	2013-08-03 00:32:38.73802	2013-08-03 00:32:38.73802	\N	08b23663-1ef7-4b71-8e3b-67fb6bf0b655
1247	2	3939	2013-08-02 23:54:46.882176	2013-08-02 23:54:46.882176	\N	66220671-4cc2-4dbe-a7cf-d0491caa2406
3007	2	4317	2013-08-03 00:24:00.241836	2013-08-03 00:24:00.241836	\N	cff549a4-25e3-4a99-af46-20bdc415f82e
2396	7	4100	2013-08-03 00:07:21.927055	2013-08-03 00:07:21.927055	\N	f20834ef-540d-4e76-8e03-e6f5077bef47
2400	14	4130	2013-08-03 00:07:41.378019	2013-08-03 00:07:41.378019	\N	e553ac7b-baca-47d8-943b-af6f48a4d9a4
2401	14	4118	2013-08-03 00:07:41.386003	2013-08-03 00:07:41.386003	\N	9e329060-1b5a-4138-a2ce-de4e7130bc99
2404	14	4151	2013-08-03 00:07:41.486525	2013-08-03 00:07:41.486525	\N	3ddfb57a-ef44-47fc-aa98-995eadc0fcf9
2406	14	4148	2013-08-03 00:07:41.529792	2013-08-03 00:07:41.529792	\N	6ca4dd86-05b5-4298-9a1c-dfe555b45fd4
3008	2	4341	2013-08-03 00:24:00.32386	2013-08-03 00:24:00.32386	\N	5c4d9fc0-02dc-41d2-8270-cf986b645361
6820	12	4856	2013-08-03 01:12:36.63332	2013-08-03 01:12:36.63332	\N	073393f6-e59b-4762-832c-251fbbc3f0c4
3137	4	4412	2013-08-03 00:32:38.93161	2013-08-03 00:32:38.93161	\N	98955be0-7106-41c5-85cc-108e7ce90861
1553	2	3954	2013-08-02 23:55:36.157712	2013-08-02 23:55:36.157712	\N	2b79da60-f97c-4f39-8676-3b647fd62ce9
2863	2	4233	2013-08-03 00:19:09.912354	2013-08-03 00:19:09.912354	\N	df774545-3534-4f41-97f4-625e6053e263
2864	2	4254	2013-08-03 00:19:10.015747	2013-08-03 00:19:10.015747	\N	959a9454-a1dc-4e5c-89ab-5182e30718bb
2865	2	4278	2013-08-03 00:19:11.065734	2013-08-03 00:19:11.065734	\N	ff8583ed-7f00-4faa-848c-ad2c0813003e
2866	2	4260	2013-08-03 00:19:11.150663	2013-08-03 00:19:11.150663	\N	802d4fe3-be26-4bb9-9c3a-370ac964b7f4
3178	14	4454	2013-08-03 00:33:42.782521	2013-08-03 00:33:42.782521	\N	98587f83-9ac1-42e4-8e33-af352fd3a01b
3179	14	4460	2013-08-03 00:33:42.821524	2013-08-03 00:33:42.821524	\N	facfb8b9-6fd6-4c4d-9954-7b419eea1e42
3442	14	4586	2013-08-03 00:43:43.174497	2013-08-03 00:43:43.174497	\N	dbb326df-ce12-4825-8ab4-13d9608cc0d4
3305	2	4512	2013-08-03 00:39:39.986663	2013-08-03 00:39:39.986663	\N	260f513a-c93d-498a-a600-88b877979414
3191	7	4433	2013-08-03 00:36:27.683123	2013-08-03 00:36:27.683123	\N	0c7e57e4-a332-4cb7-a0b9-7903eb7a1c54
3020	2	4380	2013-08-03 00:27:40.137837	2013-08-03 00:27:40.137837	\N	dbbab52a-f5cd-4f14-9365-bd1d67e129e4
3021	4	4352	2013-08-03 00:27:53.083199	2013-08-03 00:27:53.083199	\N	eb76b0af-e912-4480-a41d-73534a4de700
3022	4	4391	2013-08-03 00:27:53.24162	2013-08-03 00:27:53.24162	\N	81dc8943-df5a-4f4d-bbdc-bcabfb19d161
3025	4	4349	2013-08-03 00:27:53.274085	2013-08-03 00:27:53.274085	\N	ea4d254c-7093-4da7-b161-b83712be0069
3446	14	4568	2013-08-03 00:43:43.206376	2013-08-03 00:43:43.206376	\N	68686d7e-a41e-44c0-994b-4971f8bcd208
2526	7	4118	2013-08-03 00:11:08.353248	2013-08-03 00:11:08.353248	\N	efbd0944-59e2-4ed3-ae79-4cf47c0efd97
3447	14	4580	2013-08-03 00:43:43.294645	2013-08-03 00:43:43.294645	\N	f70cec40-cfd1-4f63-b824-a1fef29ede78
9207	7	4982	2013-08-03 01:19:36.993741	2013-08-03 01:19:36.993741	\N	67bbc4ed-fb22-4a23-8437-e3faef6a9946
7875	1	4973	2013-08-03 01:15:37.200363	2013-08-03 01:15:37.200363	\N	eea4a1cf-57c2-49f5-8ae7-d6ab0e71fc30
3207	7	4532	2013-08-03 00:37:13.84633	2013-08-03 00:37:13.84633	\N	18dfe294-fa47-4866-8bf7-b19b2cb59d2d
2537	7	4127	2013-08-03 00:11:19.894048	2013-08-03 00:11:19.894048	\N	dbe1aba3-553c-49ed-88b4-4e4116d964fa
2538	7	4130	2013-08-03 00:11:22.628021	2013-08-03 00:11:22.628021	\N	0fb761f8-0e0b-4135-b453-58cb97954f77
3208	7	4496	2013-08-03 00:37:17.233264	2013-08-03 00:37:17.233264	\N	a6e70691-bbf9-473a-aee2-7d2be2254876
3209	7	4508	2013-08-03 00:37:20.344646	2013-08-03 00:37:20.344646	\N	56f03f6d-b4ff-414c-a40c-8b608ec221a5
3210	7	4517	2013-08-03 00:37:22.454619	2013-08-03 00:37:22.454619	\N	2fd9724f-35a3-49d2-a2aa-07c0486c3cf0
2751	2	4206	2013-08-03 00:16:17.380443	2013-08-03 00:16:17.380443	\N	474bb1f1-79b2-42e9-b28c-fe7b97438285
9208	7	5027	2013-08-03 01:19:37.10388	2013-08-03 01:19:37.10388	\N	c17f0644-35db-41de-9bed-5ae29d6afc58
3213	7	4526	2013-08-03 00:37:30.437358	2013-08-03 00:37:30.437358	\N	019c0a4e-f8cc-4012-93ce-4a1a5174c8b6
3934	2	4764	2013-08-03 01:00:40.299332	2013-08-03 01:00:40.299332	\N	f77a1bf4-bb46-429e-a147-7b9a248fd6e5
2546	7	4145	2013-08-03 00:11:38.128922	2013-08-03 00:11:38.128922	\N	55b1b9b1-44db-437d-92c8-bd229da41bfc
2547	7	4148	2013-08-03 00:11:41.395925	2013-08-03 00:11:41.395925	\N	5ea16487-4f1b-449f-a4e0-f6680b803253
2772	7	4280	2013-08-03 00:17:21.405947	2013-08-03 00:17:21.405947	\N	71f0b34b-9397-42eb-9b8c-368191c86dfc
2773	7	4265	2013-08-03 00:17:25.532692	2013-08-03 00:17:25.532692	\N	46116347-1420-4982-8d92-17080ce3d25e
2774	14	4277	2013-08-03 00:17:30.092552	2013-08-03 00:17:30.092552	\N	720630db-cef9-465b-81a7-90a40c8fbb28
93	14	3878	2013-08-02 23:49:27.54706	2013-08-02 23:49:27.54706	\N	0c39dfaa-cb59-42c7-a2a3-38c4b547ae7b
2775	14	4223	2013-08-03 00:17:30.263649	2013-08-03 00:17:30.263649	\N	6009bbb2-ce8b-481a-a59d-8dc8bc9e9899
2558	7	4154	2013-08-03 00:11:44.356533	2013-08-03 00:11:44.356533	\N	96615a51-9efb-4fe3-8e56-efa55ffd1d7b
2778	14	4265	2013-08-03 00:17:30.335025	2013-08-03 00:17:30.335025	\N	d98d025a-5d8c-4bd2-92c0-09400fb61540
2779	14	4253	2013-08-03 00:17:30.340907	2013-08-03 00:17:30.340907	\N	37d034a8-e931-48a9-9be1-2a43754ab725
2783	14	4280	2013-08-03 00:17:30.433337	2013-08-03 00:17:30.433337	\N	b3ff08cc-b47f-45c0-9f18-f79c889ec98e
2784	4	4226	2013-08-03 00:17:53.138351	2013-08-03 00:17:53.138351	\N	d72893f9-c915-49a0-b7b7-6069398eb425
2785	4	4265	2013-08-03 00:17:53.311661	2013-08-03 00:17:53.311661	\N	4cba4a65-2d63-45fa-a31b-70ff22560bf4
488	2	3891	2013-08-02 23:50:46.337862	2013-08-02 23:50:46.337862	\N	2f8514a0-bdee-4759-bb2e-4a15668c6502
2788	4	4223	2013-08-03 00:17:53.353849	2013-08-03 00:17:53.353849	\N	c4dbffbc-3f65-4ac7-a1a2-8c15b5178cca
3217	2	4521	2013-08-03 00:37:40.594722	2013-08-03 00:37:40.594722	\N	71af48d8-bf9d-47bf-911b-b06a56b47bd6
2566	14	4160	2013-08-03 00:12:12.776336	2013-08-03 00:12:12.776336	\N	d68b1eba-45d0-4327-8472-5d64c3c49cae
2568	14	4208	2013-08-03 00:12:12.809442	2013-08-03 00:12:12.809442	\N	016eaf10-b7ca-4135-8bf6-cd562adc3326
2569	14	4211	2013-08-03 00:12:12.818597	2013-08-03 00:12:12.818597	\N	19ab0248-7687-4ba1-aef6-25e700ca705a
1909	2	4026	2013-08-02 23:57:13.017585	2013-08-02 23:57:13.017585	\N	6f4fbab4-0a99-41ac-a84f-acec1774262b
1203	4	3866	2013-08-02 23:52:57.508303	2013-08-02 23:52:57.508303	\N	4362e8c8-75cd-488f-a835-8ed4edf4334c
1204	4	3875	2013-08-02 23:52:57.611194	2013-08-02 23:52:57.611194	\N	5855432d-f858-4166-8f4e-62486414688e
1205	4	3878	2013-08-02 23:52:57.649639	2013-08-02 23:52:57.649639	\N	99a03ccc-be69-40bf-866c-a974908626c7
2353	4	3974	2013-08-03 00:01:46.911597	2013-08-03 00:01:46.911597	\N	d0abc175-96e1-4172-9008-3f54a6a79409
2357	4	4037	2013-08-03 00:04:15.469202	2013-08-03 00:04:15.469202	\N	163a694c-2d9e-4a7d-bd06-02e64b7bdb68
2358	4	4076	2013-08-03 00:04:15.511402	2013-08-03 00:04:15.511402	\N	794b324a-035e-454f-9e18-1073ff382381
1215	2	3930	2013-08-02 23:54:25.543857	2013-08-02 23:54:25.543857	\N	1bb8b12f-ab9a-4539-a233-acda9b609705
1217	14	3950	2013-08-02 23:54:30.216974	2013-08-02 23:54:30.216974	\N	3059e1e1-804b-49ea-93df-4d665cb5f2a7
1218	14	3911	2013-08-02 23:54:30.338057	2013-08-02 23:54:30.338057	\N	06cb4c75-259a-485f-9787-dcd0c486b9a3
1219	14	3926	2013-08-02 23:54:30.382264	2013-08-02 23:54:30.382264	\N	460b9d73-afe9-4a93-b17f-866ac86ab142
1220	14	3908	2013-08-02 23:54:30.427003	2013-08-02 23:54:30.427003	\N	1600795e-9e93-4430-9274-08bfb3082199
1221	14	3938	2013-08-02 23:54:30.458921	2013-08-02 23:54:30.458921	\N	ad872a50-c150-4a78-9cb3-38f2f5763f9f
1222	14	3956	2013-08-02 23:54:30.492394	2013-08-02 23:54:30.492394	\N	f952058d-b73e-4d4c-866c-8603c58756c2
1223	14	3929	2013-08-02 23:54:30.525584	2013-08-02 23:54:30.525584	\N	e297fe65-2456-4b24-88d3-0b9ae38ff09a
1224	14	3962	2013-08-02 23:54:30.560877	2013-08-02 23:54:30.560877	\N	744697a9-3f69-4ce9-93cd-8ee14532af2f
1225	14	3965	2013-08-02 23:54:30.596731	2013-08-02 23:54:30.596731	\N	98ee16b5-629d-4c27-b956-3910827af17e
1226	14	3959	2013-08-02 23:54:30.633973	2013-08-02 23:54:30.633973	\N	79c7f4be-9ba4-4acc-9dfa-e85c4108ff72
2360	14	4043	2013-08-03 00:04:42.902426	2013-08-03 00:04:42.902426	\N	c3fce130-e549-4ffd-9360-de545ceaf53d
2367	4	4052	2013-08-03 00:05:08.910287	2013-08-03 00:05:08.910287	\N	70e7869e-29a8-4710-8974-e18f4fc93c41
2339	2	4002	2013-08-02 23:58:37.620812	2013-08-02 23:58:37.620812	\N	b54550fd-4d9c-4c08-bacb-b313b61cf109
2368	4	4055	2013-08-03 00:05:08.998413	2013-08-03 00:05:08.998413	\N	66934e5e-0168-4688-8462-b1a44ea6c5b5
2369	4	4064	2013-08-03 00:05:09.047652	2013-08-03 00:05:09.047652	\N	2b2e1d1c-6395-4117-9d27-9fb88b73089f
2587	4	4163	2013-08-03 00:12:41.348267	2013-08-03 00:12:41.348267	\N	6ae0d83e-a576-49a2-af4d-ee03dcb7495e
2371	2	4065	2013-08-03 00:05:10.081303	2013-08-03 00:05:10.081303	\N	daa3ee95-f57d-4ee2-b653-bac759d32832
2373	2	4089	2013-08-03 00:05:10.113392	2013-08-03 00:05:10.113392	\N	5b6c94f8-2358-49a8-8362-f85383fa0724
2385	4	4088	2013-08-03 00:05:36.228438	2013-08-03 00:05:36.228438	\N	c67a4872-e99d-45d4-844f-5cd08da98be0
3009	2	4332	2013-08-03 00:24:01.406874	2013-08-03 00:24:01.406874	\N	13f13347-460d-4800-af42-89d3fc926394
2589	4	4160	2013-08-03 00:12:41.462624	2013-08-03 00:12:41.462624	\N	2e53e82a-d780-4853-babe-858d88a12611
2596	14	4193	2013-08-03 00:12:43.194009	2013-08-03 00:12:43.194009	\N	94edc84d-914c-4b4c-9018-9e47ad63bcc1
2397	14	4139	2013-08-03 00:07:41.243372	2013-08-03 00:07:41.243372	\N	007a9ae8-2f70-4406-b979-a799ae904081
2398	14	4115	2013-08-03 00:07:41.372334	2013-08-03 00:07:41.372334	\N	2baa7992-756e-4674-bd31-f237978d6e0e
2402	14	4097	2013-08-03 00:07:41.4013	2013-08-03 00:07:41.4013	\N	269c1285-9aed-4774-9800-dd54d809f513
2403	14	4154	2013-08-03 00:07:41.480358	2013-08-03 00:07:41.480358	\N	9fbbe4b1-13fd-4eb3-880c-df6ab2453791
2405	14	4127	2013-08-03 00:07:41.516943	2013-08-03 00:07:41.516943	\N	cbf654aa-dcc0-4803-b137-31d4a1b9efde
2408	4	4100	2013-08-03 00:07:48.625827	2013-08-03 00:07:48.625827	\N	84ecf33d-ca6a-4145-902a-ef78152641d3
2409	4	4139	2013-08-03 00:07:48.732945	2013-08-03 00:07:48.732945	\N	fd2b77a9-d664-43a1-9575-64b825c1aaef
2410	4	4097	2013-08-03 00:07:48.770753	2013-08-03 00:07:48.770753	\N	26aaa854-d792-4151-ae20-a4881d6b7c9e
20573	7	5420	2013-08-03 01:50:51.107021	2013-08-03 01:50:51.107021	\N	bf373691-2bd7-4eb1-b3a7-321d0707214c
7214	7	4967	2013-08-03 01:13:43.84737	2013-08-03 01:13:43.84737	\N	89682e4b-b2d9-455e-b7b4-475a0e0b8de3
2603	4	4181	2013-08-03 00:12:55.760578	2013-08-03 00:12:55.760578	\N	bd35ace1-e9f9-4405-af9f-c593eca5a183
3443	14	4559	2013-08-03 00:43:43.195249	2013-08-03 00:43:43.195249	\N	cb529c51-3b75-4e20-9022-29d5e718e89d
3048	4	4397	2013-08-03 00:28:23.520304	2013-08-03 00:28:23.520304	\N	911abcb7-8ea4-4e80-af9f-88343277d39f
3049	4	4400	2013-08-03 00:28:23.57609	2013-08-03 00:28:23.57609	\N	8870249e-63eb-4e50-b532-3677061339dc
3050	4	4403	2013-08-03 00:28:23.615817	2013-08-03 00:28:23.615817	\N	5f701e4a-c2c0-4560-9cab-aba87441d682
3141	2	4422	2013-08-03 00:32:40.342809	2013-08-03 00:32:40.342809	\N	822a79ee-dc27-49c3-a8e3-0c6da6bd18e0
3142	2	4467	2013-08-03 00:32:40.378264	2013-08-03 00:32:40.378264	\N	8bc77f71-9cfd-40ba-8c18-ffc4462cbd3f
3462	7	4595	2013-08-03 00:44:44.85577	2013-08-03 00:44:44.85577	\N	938560f9-fdf0-406b-a9a6-277f4ce8c786
7216	14	4964	2013-08-03 01:13:43.952643	2013-08-03 01:13:43.952643	\N	7b1ac606-faa3-4b82-bc62-43886f04bb3e
7217	7	4949	2013-08-03 01:13:44.41676	2013-08-03 01:13:44.41676	\N	36a5a89d-4933-4dd7-b37a-c48f288cb6d2
7218	7	4964	2013-08-03 01:13:44.505426	2013-08-03 01:13:44.505426	\N	b05aa7e4-1c0f-439b-a501-be0cb28edbeb
2436	4	4115	2013-08-03 00:08:03.551186	2013-08-03 00:08:03.551186	\N	ba7da475-7e65-497d-9f28-1c37a16d91fb
2437	4	4118	2013-08-03 00:08:03.599252	2013-08-03 00:08:03.599252	\N	aca59f98-34f0-4880-a567-42438a85d497
2438	4	4127	2013-08-03 00:08:03.645852	2013-08-03 00:08:03.645852	\N	3b1a269e-c5be-4aff-b660-b438225672fe
3808	7	4778	2013-08-03 00:57:07.868897	2013-08-03 00:57:07.868897	\N	364313e6-5d66-43c0-a114-3c12f732e299
3190	7	4442	2013-08-03 00:36:25.848341	2013-08-03 00:36:25.848341	\N	eed83ce4-7fb7-44c0-96ec-a5c1e2637ab8
3193	7	4463	2013-08-03 00:36:33.287017	2013-08-03 00:36:33.287017	\N	6df2afd7-4f48-4a66-947f-ee713763843a
3809	2	4770	2013-08-03 00:57:09.852042	2013-08-03 00:57:09.852042	\N	3feee62b-01a3-4cc4-aabf-bb2bf59ff8c5
2513	7	4097	2013-08-03 00:10:26.770671	2013-08-03 00:10:26.770671	\N	37bb4793-54ed-4fc0-bdd5-bc15f93c9465
2930	14	4337	2013-08-03 00:22:30.457041	2013-08-03 00:22:30.457041	\N	d7715a77-4eb4-4d51-aad6-174f738b1512
2931	14	4334	2013-08-03 00:22:30.489808	2013-08-03 00:22:30.489808	\N	6b486c61-a2a4-483f-9ee5-c8cc3258bafe
2933	14	4319	2013-08-03 00:22:30.55932	2013-08-03 00:22:30.55932	\N	7d6deab9-94f1-4cc4-a244-0c249bcb0626
2934	14	4328	2013-08-03 00:22:30.569875	2013-08-03 00:22:30.569875	\N	81330795-4be8-4b00-8f7d-aaa53a0b3e4b
2935	14	4340	2013-08-03 00:22:30.684224	2013-08-03 00:22:30.684224	\N	32b4c488-f154-4d04-8a65-2a0a1defe853
2936	14	4316	2013-08-03 00:22:30.75381	2013-08-03 00:22:30.75381	\N	4b9aadb4-2b83-4869-9f91-52b521761606
2630	2	4170	2013-08-03 00:13:10.293601	2013-08-03 00:13:10.293601	\N	b0cfd956-8651-4fbe-ae86-cdcb0d1d14db
2451	2	4128	2013-08-03 00:08:10.533008	2013-08-03 00:08:10.533008	\N	9103dc34-ff41-4669-bb5f-f703f9be4d6e
2452	2	4119	2013-08-03 00:08:10.616598	2013-08-03 00:08:10.616598	\N	4d7308dd-1574-4cc8-9f3b-8ef680b89476
2453	4	4130	2013-08-03 00:08:18.442708	2013-08-03 00:08:18.442708	\N	5cfd2f60-3363-4aad-af0e-6f46845b1b7a
2454	4	4145	2013-08-03 00:08:18.516146	2013-08-03 00:08:18.516146	\N	30c2538b-568f-4542-9e95-d7eb74219f96
2455	4	4148	2013-08-03 00:08:18.555397	2013-08-03 00:08:18.555397	\N	0b034de9-8cae-4c8b-a265-362f4281aca7
2631	2	4182	2013-08-03 00:13:10.33919	2013-08-03 00:13:10.33919	\N	165bc122-cc78-4cba-a129-68411fbd6ccf
2632	2	4197	2013-08-03 00:13:10.374241	2013-08-03 00:13:10.374241	\N	5d27b894-985a-44c3-a57e-7fcc92205ed2
2633	2	4191	2013-08-03 00:13:10.415242	2013-08-03 00:13:10.415242	\N	4d684d1e-c203-475b-8bb1-d5c33b318ed1
2634	2	4215	2013-08-03 00:13:10.451781	2013-08-03 00:13:10.451781	\N	64721528-15db-4441-983b-08b5400ba295
2938	14	4307	2013-08-03 00:22:30.780361	2013-08-03 00:22:30.780361	\N	60892cf3-5ca6-4743-9929-8018c30edc94
2939	14	4289	2013-08-03 00:22:31.24338	2013-08-03 00:22:31.24338	\N	9263ab18-352d-47fb-b815-6b81ccf2d685
2940	4	4289	2013-08-03 00:22:39.806563	2013-08-03 00:22:39.806563	\N	32af05d8-7974-42d3-9174-9a9df6d71079
2941	4	4328	2013-08-03 00:22:39.911117	2013-08-03 00:22:39.911117	\N	bc934dcb-f7ca-471a-a540-e97bf8a3c812
2942	4	4286	2013-08-03 00:22:39.941654	2013-08-03 00:22:39.941654	\N	b39a7027-ddfb-4eb8-86cf-eb5ee9fd0775
2955	4	4307	2013-08-03 00:22:53.527741	2013-08-03 00:22:53.527741	\N	475f2c13-f7f4-4cdf-ac8b-dd60b0342e5b
2570	14	4202	2013-08-03 00:12:12.820032	2013-08-03 00:12:12.820032	\N	f52c39d2-23de-4493-9a8c-0061d17dd2bf
2572	14	4217	2013-08-03 00:12:12.856397	2013-08-03 00:12:12.856397	\N	39052a83-ace7-4763-851a-27dc9968ad9b
2573	14	4181	2013-08-03 00:12:12.937555	2013-08-03 00:12:12.937555	\N	b6456a20-d9d5-4c95-8cf4-c01217584bb1
2574	7	4181	2013-08-03 00:12:16.310063	2013-08-03 00:12:16.310063	\N	64725328-4985-4a20-9458-8297af1021d3
1868	2	4017	2013-08-02 23:57:10.90128	2013-08-02 23:57:10.90128	\N	96faeb5e-fb87-4434-bc5c-a68a2257bf3b
1869	2	3993	2013-08-02 23:57:10.942097	2013-08-02 23:57:10.942097	\N	9db28223-1d52-46d1-8498-5060bd1400c7
1870	2	4008	2013-08-02 23:57:10.982566	2013-08-02 23:57:10.982566	\N	1d0d0250-faf8-49e5-ac87-bfc537442fd8
2584	7	4208	2013-08-03 00:12:34.138152	2013-08-03 00:12:34.138152	\N	b53fc185-e4ef-42b0-ac95-142c5ab6aa21
2956	4	4316	2013-08-03 00:22:53.567202	2013-08-03 00:22:53.567202	\N	572b62e4-0bf7-4508-aaf0-843d93a0f0df
2769	7	4271	2013-08-03 00:17:13.249446	2013-08-03 00:17:13.249446	\N	cde27d28-2530-4d4f-9697-d43430f38950
2776	14	4271	2013-08-03 00:17:30.317129	2013-08-03 00:17:30.317129	\N	2abc4969-d907-48fc-91e1-cba19597a434
2780	14	4226	2013-08-03 00:17:30.350083	2013-08-03 00:17:30.350083	\N	699fd9cd-251f-4045-95e0-5c5a012c146d
2781	14	4244	2013-08-03 00:17:30.447492	2013-08-03 00:17:30.447492	\N	00791f84-5cf2-4f2d-a531-40662a44f38a
2957	4	4319	2013-08-03 00:22:53.603332	2013-08-03 00:22:53.603332	\N	6cf5e7be-f946-45df-b877-78af3e69540d
3333	14	4532	2013-08-03 00:40:23.494478	2013-08-03 00:40:23.494478	\N	ffe446d6-c04f-4a6c-bf59-1ebe1fd97d56
3334	14	4505	2013-08-03 00:40:23.501615	2013-08-03 00:40:23.501615	\N	264489f6-424d-44fc-94bc-ceb863fa20f1
3811	7	4760	2013-08-03 00:57:13.815619	2013-08-03 00:57:13.815619	\N	8b782102-915d-4995-9550-215940509d8a
3611	14	4652	2013-08-03 00:50:23.07212	2013-08-03 00:50:23.07212	\N	a494a31f-2b5e-4f63-bb1b-9fd48e18bcbe
7220	7	4958	2013-08-03 01:13:44.73135	2013-08-03 01:13:44.73135	\N	f5393b22-7364-4a61-bd84-e6aba38a4f43
3816	7	4775	2013-08-03 00:57:26.063417	2013-08-03 00:57:26.063417	\N	f3c566ae-ff3e-42c3-a140-b25aa37cfcbb
7221	7	4937	2013-08-03 01:13:44.824262	2013-08-03 01:13:44.824262	\N	260a1b03-df73-4f4c-bb82-8d32630947dd
7222	7	4946	2013-08-03 01:13:44.920494	2013-08-03 01:13:44.920494	\N	b9887c7a-f9f1-4b15-be3c-621610e81af2
3075	7	4391	2013-08-03 00:30:14.438392	2013-08-03 00:30:14.438392	\N	b8c71dbe-a8a7-4c07-89ff-4299ed7ce536
3077	14	4403	2013-08-03 00:30:22.704025	2013-08-03 00:30:22.704025	\N	3aa1a6d9-137a-4e63-86ee-b9965ef62d98
3079	14	4400	2013-08-03 00:30:22.891613	2013-08-03 00:30:22.891613	\N	af4b147f-a6b2-4383-b909-df19f1d1fe4a
3086	7	4370	2013-08-03 00:30:40.282373	2013-08-03 00:30:40.282373	\N	e5fd1c88-56e3-4e39-b353-e99d15d609d4
27971	7	5933	2013-08-03 02:21:49.404728	2013-08-03 02:21:49.404728	\N	45cc8880-2e04-4e80-a2bd-e5acdf6d1a9e
3143	4	4433	2013-08-03 00:32:52.473399	2013-08-03 00:32:52.473399	\N	2645e33c-e0eb-415d-8643-3efdcac9b191
3144	4	4442	2013-08-03 00:32:52.568558	2013-08-03 00:32:52.568558	\N	9ae5f2ac-70b1-4ce4-b150-3d747ae9158f
2598	14	4214	2013-08-03 00:12:43.211562	2013-08-03 00:12:43.211562	\N	9a3fe41a-7890-4364-91cc-121936d85b21
3145	4	4445	2013-08-03 00:32:52.604186	2013-08-03 00:32:52.604186	\N	a7f911f9-bd83-40d0-931b-702801a95018
3444	14	4595	2013-08-03 00:43:43.195384	2013-08-03 00:43:43.195384	\N	e713190a-12eb-44a4-a51f-94d63c1ce619
3935	2	4734	2013-08-03 01:00:40.356079	2013-08-03 01:00:40.356079	\N	68a2752a-bbb9-4315-9cc9-240ad28bb788
3751	19	4715	2013-08-03 00:54:55.656708	2013-08-03 00:54:55.656708	\N	3932c37d-b677-45bc-9adc-45c1b20fa433
2379	4	4067	2013-08-03 00:05:24.096267	2013-08-03 00:05:24.096267	\N	c22bc9d9-215d-4e10-a332-59d216cc2046
2380	4	4082	2013-08-03 00:05:24.193774	2013-08-03 00:05:24.193774	\N	bfbddde6-24ee-4c09-b4cb-795bf5802bf2
2381	4	4085	2013-08-03 00:05:24.216842	2013-08-03 00:05:24.216842	\N	0f0aabf6-a509-4550-a756-791b70a5cf5d
3609	14	4631	2013-08-03 00:50:23.03796	2013-08-03 00:50:23.03796	\N	f5a746ec-f628-4ed5-9dc8-164ea3ed40c9
3322	7	4478	2013-08-03 00:40:00.9423	2013-08-03 00:40:00.9423	\N	26930b77-aaf4-4ac8-ad57-6cc145f68846
3332	14	4517	2013-08-03 00:40:23.489399	2013-08-03 00:40:23.489399	\N	481dc877-eeae-4bfb-b714-948680a4c20a
2389	14	4076	2013-08-03 00:06:24.940013	2013-08-03 00:06:24.940013	\N	3d631e43-75a5-4670-b03d-4dcbec6b66f1
2390	14	4091	2013-08-03 00:06:25.040977	2013-08-03 00:06:25.040977	\N	95b58082-6d2b-4dd4-a4c0-d7d3b45ab372
2391	14	4064	2013-08-03 00:06:25.076806	2013-08-03 00:06:25.076806	\N	49497858-06d4-4df6-9069-7f1faddbb19b
2392	14	4034	2013-08-03 00:06:25.113166	2013-08-03 00:06:25.113166	\N	58551e84-d52a-446f-9a16-8055213fc022
2393	14	4088	2013-08-03 00:06:25.135333	2013-08-03 00:06:25.135333	\N	a9cd1e7f-5d32-4346-967d-a12d5f3a883d
2394	14	4082	2013-08-03 00:06:25.173198	2013-08-03 00:06:25.173198	\N	99915eab-0b7f-40a9-a396-f30116a9c0a9
2395	14	4085	2013-08-03 00:06:25.220415	2013-08-03 00:06:25.220415	\N	4073743d-6108-48ff-b38d-cb06a91230e2
2399	14	4100	2013-08-03 00:07:41.374853	2013-08-03 00:07:41.374853	\N	443d9708-a8e1-4d20-bb04-61f220e8ea17
2407	14	4145	2013-08-03 00:07:41.531569	2013-08-03 00:07:41.531569	\N	07135eac-7056-4ee1-8650-476531f2de60
2567	14	4163	2013-08-03 00:12:12.804213	2013-08-03 00:12:12.804213	\N	54389604-1e06-4a32-bd14-305618d165b0
2571	14	4190	2013-08-03 00:12:12.850592	2013-08-03 00:12:12.850592	\N	e8778884-26e1-4bdb-b5e8-d8caefe280e4
2575	7	4190	2013-08-03 00:12:23.924434	2013-08-03 00:12:23.924434	\N	09ffa205-7cf6-4e32-9cbd-b4979b2c6c8d
2576	7	4193	2013-08-03 00:12:26.596909	2013-08-03 00:12:26.596909	\N	3ce6ca81-42e2-4105-acbb-d1f45c753795
3033	14	4352	2013-08-03 00:28:04.170084	2013-08-03 00:28:04.170084	\N	b43d330d-4c70-4ece-af7b-57e227042c4e
3034	14	4382	2013-08-03 00:28:04.270097	2013-08-03 00:28:04.270097	\N	5e77fd80-5fac-4005-a424-0a0670305267
3035	14	4370	2013-08-03 00:28:04.321137	2013-08-03 00:28:04.321137	\N	e258892b-e047-4949-b96f-f18af3a3916d
3036	4	4370	2013-08-03 00:28:07.391626	2013-08-03 00:28:07.391626	\N	1ca3da34-aeeb-4bff-9b8a-0ba648c37784
2435	7	4139	2013-08-03 00:07:57.252275	2013-08-03 00:07:57.252275	\N	b2c50bcd-7cd9-46a6-a47c-bfb525384f1b
2465	4	4151	2013-08-03 00:08:27.490469	2013-08-03 00:08:27.490469	\N	a433955a-ac7f-48f4-93d1-88414031696d
2770	7	4274	2013-08-03 00:17:16.161867	2013-08-03 00:17:16.161867	\N	49e6a600-e121-4b89-82c6-bfc197323688
2771	7	4277	2013-08-03 00:17:18.544139	2013-08-03 00:17:18.544139	\N	9e586f06-bacf-4388-9d6a-f5359d1abafc
2777	14	4274	2013-08-03 00:17:30.320519	2013-08-03 00:17:30.320519	\N	be786b0b-bf23-478c-a83b-ce52636e1d87
2782	14	4256	2013-08-03 00:17:30.45042	2013-08-03 00:17:30.45042	\N	ced3f909-b387-4e04-b2fd-992a50bde5cd
3037	4	4379	2013-08-03 00:28:07.498068	2013-08-03 00:28:07.498068	\N	eb635d57-7ff3-43bd-a48a-3ed2922f4ddf
3038	4	4382	2013-08-03 00:28:07.543719	2013-08-03 00:28:07.543719	\N	856ad6e6-7ec1-408f-bf05-d1e6138892bb
3078	14	4391	2013-08-03 00:30:22.860042	2013-08-03 00:30:22.860042	\N	ae8a19ba-4d74-4486-b834-1286de01b63d
3336	14	4523	2013-08-03 00:40:23.545484	2013-08-03 00:40:23.545484	\N	65b36cb1-91ad-47e8-b7ac-be162b9fa076
3089	7	4382	2013-08-03 00:30:53.114821	2013-08-03 00:30:53.114821	\N	16b89add-a8c7-4a1a-9aa5-7cd1b980bba6
3338	14	4526	2013-08-03 00:40:23.5462	2013-08-03 00:40:23.5462	\N	93f50e02-41f3-42d2-8d5c-98341ff498f0
4135	2	4812	2013-08-03 01:04:40.331217	2013-08-03 01:04:40.331217	\N	332cd7d4-3fe5-46ae-a33c-b787f4f0af84
7215	14	4919	2013-08-03 01:13:43.931247	2013-08-03 01:13:43.931247	\N	0b0037e6-c238-4207-9c17-176aa914a8c2
7219	7	4919	2013-08-03 01:13:44.627129	2013-08-03 01:13:44.627129	\N	90333250-64e4-4680-9961-a1ec0893656c
3157	14	4415	2013-08-03 00:33:06.410895	2013-08-03 00:33:06.410895	\N	a15e61f0-3c47-4e79-9298-2b22ec08dc52
2812	4	4244	2013-08-03 00:18:07.943622	2013-08-03 00:18:07.943622	\N	e92458bc-6c15-4f6b-893b-f79ed24c96e4
2813	4	4253	2013-08-03 00:18:08.029061	2013-08-03 00:18:08.029061	\N	37ea9905-3217-4a31-832e-209c76b78db2
2814	4	4256	2013-08-03 00:18:08.056448	2013-08-03 00:18:08.056448	\N	a0f6891d-c2d8-4764-b766-fdc6beaddc52
3158	14	4445	2013-08-03 00:33:06.506174	2013-08-03 00:33:06.506174	\N	bfafd948-a629-4db1-87a3-2028b0cb3efa
3159	14	4433	2013-08-03 00:33:06.538605	2013-08-03 00:33:06.538605	\N	c7b462c2-b727-4a9b-96c5-3c4426493ba3
3160	4	4460	2013-08-03 00:33:06.650815	2013-08-03 00:33:06.650815	\N	f67df84d-c873-4326-bdbd-c7b2fa501216
11049	2	5084	2013-08-03 01:25:38.914642	2013-08-03 01:25:38.914642	\N	009ee3a5-4b9c-41fd-bd93-de01027a0181
11050	2	5075	2013-08-03 01:25:39.001077	2013-08-03 01:25:39.001077	\N	de4e0b0d-720c-45b0-b26f-445bef001d69
11051	2	5093	2013-08-03 01:25:39.043342	2013-08-03 01:25:39.043342	\N	4179987a-3ad8-43af-accd-f81039d54859
3953	2	4737	2013-08-03 01:01:10.666361	2013-08-03 01:01:10.666361	\N	c2113ae2-bd27-4c13-910b-1aaee7570fcc
2932	14	4343	2013-08-03 00:22:30.55058	2013-08-03 00:22:30.55058	\N	9e670ceb-93ad-4f53-9819-c1bd4685c4cc
2937	14	4286	2013-08-03 00:22:30.762383	2013-08-03 00:22:30.762383	\N	b96392b2-be54-4f01-a40a-ff27ad641784
2824	2	4269	2013-08-03 00:18:11.724986	2013-08-03 00:18:11.724986	\N	a7e21dbf-89e1-4136-86a6-007d674a6ded
2825	4	4274	2013-08-03 00:18:18.835856	2013-08-03 00:18:18.835856	\N	92ad6a84-506e-49e4-a244-aafbd55f91e1
2826	4	4277	2013-08-03 00:18:18.935608	2013-08-03 00:18:18.935608	\N	d193d99b-a427-436e-84cc-a65ec844193e
3643	2	4707	2013-08-03 00:52:10.63839	2013-08-03 00:52:10.63839	\N	6bbb48e6-2a09-4234-9cf7-3735cd4228e9
3644	2	4701	2013-08-03 00:52:10.722069	2013-08-03 00:52:10.722069	\N	003ebd6b-ea35-4206-84e0-bef14b7b3cb7
3645	7	4697	2013-08-03 00:52:10.796392	2013-08-03 00:52:10.796392	\N	0dada637-7eba-44f3-83ee-55d9b6b4ad2b
3646	7	4667	2013-08-03 00:52:13.644087	2013-08-03 00:52:13.644087	\N	f1578d43-dd3b-4cf8-9b47-c587cf7de798
3647	7	4712	2013-08-03 00:52:16.331244	2013-08-03 00:52:16.331244	\N	db84a911-c58a-4330-a140-c7f4da304395
3662	7	4685	2013-08-03 00:52:39.428793	2013-08-03 00:52:39.428793	\N	45317ccf-4f21-4250-b67f-8f201f642fcc
9279	1	5000	2013-08-03 01:19:51.436705	2013-08-03 01:19:51.436705	\N	13a643e1-0d24-424c-b915-7c975e4940a7
3180	14	4466	2013-08-03 00:33:42.83329	2013-08-03 00:33:42.83329	\N	a00e0080-a27f-46b7-af07-8329dbedbbc7
3768	2	4674	2013-08-03 00:55:40.365309	2013-08-03 00:55:40.365309	\N	559217a3-fee9-4164-83ec-1a070869ac2f
3184	14	4463	2013-08-03 00:33:43.343771	2013-08-03 00:33:43.343771	\N	32235be8-5efa-4e99-9158-94d5afc23539
3206	7	4523	2013-08-03 00:37:10.860094	2013-08-03 00:37:10.860094	\N	e9f7538d-5c68-4faa-9b76-931351827420
20574	7	5429	2013-08-03 01:50:51.107046	2013-08-03 01:50:51.107046	\N	be3b7f55-f97d-4975-a620-65c1d3f58b92
3956	2	4758	2013-08-03 01:01:10.737533	2013-08-03 01:01:10.737533	\N	78245aec-f022-490b-9cbf-cede50349897
3485	2	4575	2013-08-03 00:46:10.246759	2013-08-03 00:46:10.246759	\N	517f390c-fd08-46fd-a246-d1a64f5b5d37
3133	7	4469	2013-08-03 00:32:16.737369	2013-08-03 00:32:16.737369	\N	7018ca30-972c-4e5e-8ddf-6785300956d7
3218	7	4505	2013-08-03 00:37:41.927233	2013-08-03 00:37:41.927233	\N	a9ccf6cf-f464-44bd-9426-b94a329626a4
3677	4	4694	2013-08-03 00:52:59.566753	2013-08-03 00:52:59.566753	\N	55200fb8-c3fb-44d6-95e7-a71e5bfe9054
3222	4	4478	2013-08-03 00:37:52.432045	2013-08-03 00:37:52.432045	\N	fbcee729-d286-4379-b2fc-ca42ed97f796
3223	4	4454	2013-08-03 00:37:52.534928	2013-08-03 00:37:52.534928	\N	47c16c53-e6ae-4417-91e0-943a3f5cfa52
3224	4	4496	2013-08-03 00:37:52.568142	2013-08-03 00:37:52.568142	\N	19fab461-a4e7-46b1-945e-2481646d64ba
1195	4	3848	2013-08-02 23:52:20.97216	2013-08-02 23:52:20.97216	\N	d35d15c8-e137-4fac-82c4-f19032d69f89
1196	4	3887	2013-08-02 23:52:21.061163	2013-08-02 23:52:21.061163	\N	77070838-2bae-4df0-aeac-4871549d4d20
3678	4	4697	2013-08-03 00:52:59.65111	2013-08-03 00:52:59.65111	\N	9fa04a4a-8b8f-4d7d-81ac-792eba5f5a23
3679	4	4712	2013-08-03 00:52:59.685637	2013-08-03 00:52:59.685637	\N	77a28a09-f4a1-48cd-aa6f-0d83c401e326
3387	2	4548	2013-08-03 00:42:10.688567	2013-08-03 00:42:10.688567	\N	08aabc22-4b97-4e6a-b839-474d64a60f3d
20575	1	5381	2013-08-03 01:50:51.193155	2013-08-03 01:50:51.193155	\N	c3db4c29-5f61-4aa3-8c45-a8a4734f1c05
3389	7	4568	2013-08-03 00:42:14.266819	2013-08-03 00:42:14.266819	\N	39b7ae06-daa2-4f45-8231-e4124be6d9f5
3390	7	4589	2013-08-03 00:42:23.98819	2013-08-03 00:42:23.98819	\N	bd0752e6-b6de-4a25-86c8-c38cf1539747
3391	7	4580	2013-08-03 00:42:26.5195	2013-08-03 00:42:26.5195	\N	2f9d34e5-e23f-4cce-8e43-d5d8a449efb5
15286	1	5252	2013-08-03 01:39:38.090269	2013-08-03 01:39:38.090269	\N	90031c41-2f8c-493a-99ac-91e307aa44dc
3393	7	4541	2013-08-03 00:42:36.768192	2013-08-03 00:42:36.768192	\N	88a0548c-2eb7-4edb-9b19-50308f8edde6
2986	4	4337	2013-08-03 00:23:05.157724	2013-08-03 00:23:05.157724	\N	aaa15287-19b5-4b6d-b89a-2f40ab55706e
27972	7	5924	2013-08-03 02:21:49.496862	2013-08-03 02:21:49.496862	\N	aabb3f51-5021-41be-943f-6f442b40f6f2
3395	4	4541	2013-08-03 00:42:44.659502	2013-08-03 00:42:44.659502	\N	919b044c-cc58-4b98-a618-e2641b4f1940
3396	4	4580	2013-08-03 00:42:44.718155	2013-08-03 00:42:44.718155	\N	758e0031-cf15-45e1-8ba0-2330c2ff0144
3397	4	4559	2013-08-03 00:42:44.759538	2013-08-03 00:42:44.759538	\N	d78b9274-5fa4-46f5-a6a2-9efc94666923
3788	2	4695	2013-08-03 00:56:10.563975	2013-08-03 00:56:10.563975	\N	9aee14f9-ed4d-4fc0-821b-eb7757fb1479
3239	14	4478	2013-08-03 00:38:15.801496	2013-08-03 00:38:15.801496	\N	1781d18f-155f-41da-952b-68b5adbe4150
3240	14	4508	2013-08-03 00:38:15.896712	2013-08-03 00:38:15.896712	\N	102a886c-63a3-4ffa-a673-d3c423751ccd
3241	14	4496	2013-08-03 00:38:15.936479	2013-08-03 00:38:15.936479	\N	71cf7d56-c2ed-4ecc-beac-515f6ec7dca6
11062	11	5045	2013-08-03 01:25:44.699965	2013-08-03 01:25:44.699965	\N	323e1c77-605d-4db0-a712-7f70c556b6cb
3686	4	4715	2013-08-03 00:53:07.368027	2013-08-03 00:53:07.368027	\N	6443dbf0-b535-48c1-889b-17e22a4bc303
3687	4	4721	2013-08-03 00:53:07.466344	2013-08-03 00:53:07.466344	\N	7fb57dff-36b3-4df9-9c60-bdc7b7beec82
11066	11	5084	2013-08-03 01:25:44.843931	2013-08-03 01:25:44.843931	\N	af72d9af-64e1-444d-8180-b8f1ef0272cb
15580	2	5253	2013-08-03 01:40:39.769067	2013-08-03 01:40:39.769067	\N	4bc63b36-766b-4ca4-9204-5ddaa8e4c71f
27973	7	5885	2013-08-03 02:21:49.595093	2013-08-03 02:21:49.595093	\N	2ba4a729-fc49-4690-943b-55eb6763a183
3069	2	4386	2013-08-03 00:28:40.385391	2013-08-03 00:28:40.385391	\N	58479881-3f17-42a3-9920-76148ce894fa
3004	2	4296	2013-08-03 00:23:09.958045	2013-08-03 00:23:09.958045	\N	2ce39e22-03aa-4324-a2d6-f85f0a9e1aef
3005	2	4323	2013-08-03 00:23:10.030985	2013-08-03 00:23:10.030985	\N	cbbffbba-65dd-4d40-929b-cf1ec3be98bd
3176	14	4469	2013-08-03 00:33:42.600562	2013-08-03 00:33:42.600562	\N	4d1ed323-28ca-4695-9fb3-c21fa08e8c28
3072	2	4404	2013-08-03 00:30:10.797872	2013-08-03 00:30:10.797872	\N	a7310830-6eaa-49af-92f1-5fdfc6b354da
3073	2	4359	2013-08-03 00:30:10.844435	2013-08-03 00:30:10.844435	\N	d0ffa153-15f7-4201-8f5d-664dea75de75
3074	2	4395	2013-08-03 00:30:11.924334	2013-08-03 00:30:11.924334	\N	295a8b77-800b-483b-9d72-5a3005991f17
3076	14	4406	2013-08-03 00:30:22.695514	2013-08-03 00:30:22.695514	\N	389888d2-9da2-4342-9e01-c54694d2b9aa
3083	14	4349	2013-08-03 00:30:22.944132	2013-08-03 00:30:22.944132	\N	9a1532eb-fac7-4a4a-9bfd-78399450f098
3084	14	4379	2013-08-03 00:30:22.946357	2013-08-03 00:30:22.946357	\N	f85cfed7-87ca-4bcc-a066-3ce3d775deab
3085	14	4397	2013-08-03 00:30:23.225227	2013-08-03 00:30:23.225227	\N	05e93b24-e541-4fd8-99e0-4ee995c8a5ad
3177	14	4442	2013-08-03 00:33:42.76039	2013-08-03 00:33:42.76039	\N	458d0bd7-fabb-49b2-8653-3eede0f5f392
3445	14	4589	2013-08-03 00:43:43.201627	2013-08-03 00:43:43.201627	\N	c158a55c-9d07-4d6f-8a6a-04a6957920af
9212	7	5012	2013-08-03 01:19:37.412432	2013-08-03 01:19:37.412432	\N	0f990337-0060-48d2-aeb6-9e26d7055f25
3186	2	4449	2013-08-03 00:34:10.711521	2013-08-03 00:34:10.711521	\N	319d7529-8318-495e-89ce-afcf17269845
3187	2	4434	2013-08-03 00:34:10.814359	2013-08-03 00:34:10.814359	\N	8e10cacd-7489-4aea-89dd-6f4288723696
3205	2	4485	2013-08-03 00:37:10.407769	2013-08-03 00:37:10.407769	\N	644c4ba1-827c-4e92-a5da-9cf26eca9e83
3613	14	4649	2013-08-03 00:50:23.10538	2013-08-03 00:50:23.10538	\N	00e246d6-ffba-4e1f-b22d-ed5d6e6453cd
9213	7	5030	2013-08-03 01:19:37.538469	2013-08-03 01:19:37.538469	\N	ea74c1d7-1bd0-4c08-b86e-86e0247f2dea
9214	7	5021	2013-08-03 01:19:37.640126	2013-08-03 01:19:37.640126	\N	13e075b9-5ee2-4e79-ad57-d72ff614f84b
27974	7	5930	2013-08-03 02:21:49.690138	2013-08-03 02:21:49.690138	\N	6558e4a5-5bcf-4e86-8952-538f8c962225
3502	4	4604	2013-08-03 00:47:36.163326	2013-08-03 00:47:36.163326	\N	5a071dd9-954d-4b21-886e-6e7e5265ee7b
3503	4	4643	2013-08-03 00:47:36.215966	2013-08-03 00:47:36.215966	\N	f38cf225-389f-4e53-84b5-a39288267850
3254	4	4505	2013-08-03 00:38:49.88564	2013-08-03 00:38:49.88564	\N	683b2460-b14f-4b85-b630-4576e972fe8a
3255	4	4508	2013-08-03 00:38:49.971236	2013-08-03 00:38:49.971236	\N	cc6fe387-99f5-46a1-8cea-81af1983b821
3504	4	4622	2013-08-03 00:47:36.250317	2013-08-03 00:47:36.250317	\N	6d16f5e5-b677-4825-b943-b4792d80e2ba
13254	19	5156	2013-08-03 01:32:37.304149	2013-08-03 01:32:37.304149	\N	b20157ab-a9e8-42b2-b2ca-826271412870
3508	7	4604	2013-08-03 00:47:47.672095	2013-08-03 00:47:47.672095	\N	1e0682bc-4e5d-4d18-9d77-69f37e9c29e2
3509	7	4649	2013-08-03 00:47:50.508794	2013-08-03 00:47:50.508794	\N	a6120dcc-1924-483c-a426-d1bcc8dd2a65
3134	7	4415	2013-08-03 00:32:21.348779	2013-08-03 00:32:21.348779	\N	61dd1386-91d9-4593-8edc-a3fb725079f4
3510	4	4631	2013-08-03 00:47:52.044275	2013-08-03 00:47:52.044275	\N	aaf44a01-35ec-4ea0-a95e-20427e7b9934
3511	4	4634	2013-08-03 00:47:52.137307	2013-08-03 00:47:52.137307	\N	31012444-3c8d-4e97-a13c-7186ae1b5af0
15173	7	5234	2013-08-03 01:39:16.463982	2013-08-03 01:39:16.463982	\N	7cfb7040-055d-4dec-a69c-2773ab1a4c4a
3513	7	4622	2013-08-03 00:47:52.896618	2013-08-03 00:47:52.896618	\N	5416c970-5121-47e8-8af9-c3b98a190f0d
11676	1	5090	2013-08-03 01:27:37.352785	2013-08-03 01:27:37.352785	\N	aa934460-ca15-4df1-af99-bf66c04ccd98
15175	7	5273	2013-08-03 01:39:19.439287	2013-08-03 01:39:19.439287	\N	84fd46c1-b87d-431d-ba75-f150e62975ca
6846	19	4895	2013-08-03 01:12:39.758576	2013-08-03 01:12:39.758576	\N	74d5d33c-747a-41fe-8034-2dd0e6a4e7c1
7236	7	4973	2013-08-03 01:13:45.982373	2013-08-03 01:13:45.982373	\N	90d799fe-0e97-4812-ba7e-cf900edd0390
15176	7	5264	2013-08-03 01:39:19.562313	2013-08-03 01:39:19.562313	\N	41069a2f-98cd-4111-a2f4-ab9b15bfa26b
3648	2	4706	2013-08-03 00:52:16.426224	2013-08-03 00:52:16.426224	\N	fae82084-4055-4fb9-a1ea-517324c1f92b
3649	7	4706	2013-08-03 00:52:18.82764	2013-08-03 00:52:18.82764	\N	ab09efda-de6c-4ea7-a26b-05995c4c73a2
3521	7	4634	2013-08-03 00:48:06.885807	2013-08-03 00:48:06.885807	\N	de55b023-074f-4d8b-bedf-952f700c2a63
3522	7	4631	2013-08-03 00:48:09.383506	2013-08-03 00:48:09.383506	\N	536b7065-b277-4b36-bde7-f34ae68aaf5b
27975	7	5903	2013-08-03 02:21:49.777346	2013-08-03 02:21:49.777346	\N	3d2286bf-3b96-4006-b76d-f335991265ec
3274	4	4463	2013-08-03 00:39:00.993029	2013-08-03 00:39:00.993029	\N	6b2da6c9-0284-423f-a07f-a71e157eb168
15178	7	5279	2013-08-03 01:39:19.764586	2013-08-03 01:39:19.764586	\N	3cfda843-3ec9-4247-8750-4a1eaa39aa8c
3974	2	4749	2013-08-03 01:01:40.098591	2013-08-03 01:01:40.098591	\N	fe323361-0245-4c24-a750-2a178533e5aa
3526	2	4611	2013-08-03 00:48:10.594896	2013-08-03 00:48:10.594896	\N	ec54cd74-faff-4e20-b9cf-0212a7a968fa
3653	14	4694	2013-08-03 00:52:22.004638	2013-08-03 00:52:22.004638	\N	e6a8efeb-2179-4bd6-8cc3-d753abde11e9
15179	7	5252	2013-08-03 01:39:19.869651	2013-08-03 01:39:19.869651	\N	3c26b3d2-c3e8-487c-b07e-dc1c32b5aba2
8386	14	4958	2013-08-03 01:17:04.083447	2013-08-03 01:17:04.083447	\N	54b6453e-3bdf-4de0-948f-d74fffd861b7
9226	2	5000	2013-08-03 01:19:38.885839	2013-08-03 01:19:38.885839	\N	604fdea6-7a6c-40d2-99bc-9431ed7412ad
9227	2	5012	2013-08-03 01:19:38.943877	2013-08-03 01:19:38.943877	\N	dc4733f5-3754-4ac7-8626-d8cde3a052f0
3658	19	4658	2013-08-03 00:52:32.579452	2013-08-03 00:52:32.579452	\N	a8d4834f-323b-45db-880a-451f2576a1ca
3659	7	4694	2013-08-03 00:52:33.753105	2013-08-03 00:52:33.753105	\N	8ec5423d-97a0-4dac-8b47-b9a5d59696d3
3983	2	4820	2013-08-03 01:02:09.324852	2013-08-03 01:02:09.324852	\N	605651b6-6a8c-40a0-97a6-5523867b10d7
3984	2	4823	2013-08-03 01:02:09.407508	2013-08-03 01:02:09.407508	\N	8f691b51-10f1-432c-a79e-c818f4166aa5
3985	2	4811	2013-08-03 01:02:09.442594	2013-08-03 01:02:09.442594	\N	94ee2022-1d51-4493-ac98-58f77398b881
3416	7	4559	2013-08-03 00:42:47.518631	2013-08-03 00:42:47.518631	\N	cf962b6d-4fe7-4b2b-87cb-c2df311e8c17
3986	2	4832	2013-08-03 01:02:09.475211	2013-08-03 01:02:09.475211	\N	0a8d43da-c532-4fd6-8bb5-a76ac700fe55
3290	4	4532	2013-08-03 00:39:31.658014	2013-08-03 00:39:31.658014	\N	2a673169-2d41-464d-9d10-e3a1353c417d
3291	4	4526	2013-08-03 00:39:31.711912	2013-08-03 00:39:31.711912	\N	2618ea92-2de8-41a6-bd24-e60deb2e912b
3292	4	4523	2013-08-03 00:39:31.747691	2013-08-03 00:39:31.747691	\N	51a507b0-ca88-4f55-aa70-16d5e7abdd80
3418	4	4568	2013-08-03 00:43:02.072289	2013-08-03 00:43:02.072289	\N	808ea142-6b5e-4eaf-b556-28235d0df3ed
3419	4	4571	2013-08-03 00:43:02.112115	2013-08-03 00:43:02.112115	\N	d0d62f4e-d16d-4254-9c3b-7daf72f446bb
3420	4	4586	2013-08-03 00:43:02.172461	2013-08-03 00:43:02.172461	\N	138547f6-093b-4638-9de7-a1221ceb4c94
3987	2	4841	2013-08-03 01:02:09.501672	2013-08-03 01:02:09.501672	\N	3c6b4cc5-8942-4391-b1ca-e360382a254b
3995	7	4841	2013-08-03 01:02:21.382524	2013-08-03 01:02:21.382524	\N	e1a982cd-c43d-4bc5-85a6-6226245087b5
9228	2	5030	2013-08-03 01:19:39.009677	2013-08-03 01:19:39.009677	\N	e5d66b6c-6fa2-4da3-96ce-2cc11c45b587
9229	2	5021	2013-08-03 01:19:40.123411	2013-08-03 01:19:40.123411	\N	b650aed8-9615-4975-941e-1d726b1545db
3425	7	4586	2013-08-03 00:43:06.961955	2013-08-03 00:43:06.961955	\N	3066cd16-9dae-42dc-a125-c5b1d3a7bd31
9230	2	5016	2013-08-03 01:19:40.17411	2013-08-03 01:19:40.17411	\N	7f0c08ff-747d-48b0-84a4-01dc04d8a05e
3427	7	4571	2013-08-03 00:43:13.970014	2013-08-03 00:43:13.970014	\N	6c6c8155-db87-4b12-b183-5b187ca3b493
3428	4	4589	2013-08-03 00:43:15.729806	2013-08-03 00:43:15.729806	\N	eff30332-b590-4ea6-8122-bce8a7e2341f
3429	4	4595	2013-08-03 00:43:15.814101	2013-08-03 00:43:15.814101	\N	500a609e-9fc9-4429-97ff-37267c8a4335
27127	2	5811	2013-08-03 02:17:39.748051	2013-08-03 02:17:39.748051	\N	65ce3ddd-1e38-41da-916f-6d5192bf13bf
11073	11	5075	2013-08-03 01:25:45.184152	2013-08-03 01:25:45.184152	\N	c97d983b-6310-4904-9dde-598c86cee3bc
11079	11	5093	2013-08-03 01:25:45.516665	2013-08-03 01:25:45.516665	\N	78ea758f-b103-4644-9616-031b063d4dd9
3433	14	4541	2013-08-03 00:43:17.891987	2013-08-03 00:43:17.891987	\N	88ee75e6-47d2-4afa-8836-73139cde046d
3434	14	4571	2013-08-03 00:43:17.989703	2013-08-03 00:43:17.989703	\N	37f50e50-1f64-4224-8455-d9849dda8c62
3712	14	4712	2013-08-03 00:53:43.832655	2013-08-03 00:53:43.832655	\N	173c3e2d-2985-49ee-933d-923d0c6b4b53
3713	14	4697	2013-08-03 00:53:43.836822	2013-08-03 00:53:43.836822	\N	011784b7-c427-4804-a362-343eb4fd21a8
3714	14	4706	2013-08-03 00:53:43.838118	2013-08-03 00:53:43.838118	\N	ea4d566e-1f0d-4fd1-a49a-328c69731a1f
3549	7	4658	2013-08-03 00:48:16.606975	2013-08-03 00:48:16.606975	\N	9fc6fca3-c71e-45f6-a934-c3d0558d2741
3716	14	4715	2013-08-03 00:53:43.942956	2013-08-03 00:53:43.942956	\N	c3210b07-aebc-43d8-b6d8-3490315e0d66
14144	12	5108	2013-08-03 01:35:40.178785	2013-08-03 01:35:40.178785	\N	e213b465-910f-46a9-9251-db9faf05d812
3552	7	4643	2013-08-03 00:48:23.723856	2013-08-03 00:48:23.723856	\N	59bfdff8-771c-4b35-872a-1586a16e94c5
3807	19	4712	2013-08-03 00:56:54.383779	2013-08-03 00:56:54.383779	\N	733d0b19-bab7-41e6-bd90-653cc4201a53
4018	4	4784	2013-08-03 01:02:31.761259	2013-08-03 01:02:31.761259	\N	4dd94a2a-0eee-4c86-a8c2-025cccb0e27d
3555	7	4652	2013-08-03 00:48:31.89912	2013-08-03 00:48:31.89912	\N	88f44392-e916-4f78-a1ff-bdf56112c620
9570	19	5027	2013-08-03 01:20:47.162905	2013-08-03 01:20:47.162905	\N	01fe8f21-fba8-4fa9-b4bb-8dd22273ec89
4020	7	4838	2013-08-03 01:02:34.545029	2013-08-03 01:02:34.545029	\N	41dcf93a-6942-41ff-b51e-51a022e3edef
3558	14	4604	2013-08-03 00:48:50.1716	2013-08-03 00:48:50.1716	\N	421e57dc-5d5b-4215-b337-5c03c9bf5fb2
3559	14	4634	2013-08-03 00:48:50.252793	2013-08-03 00:48:50.252793	\N	67a9eb1d-e874-40c7-a198-1d94cfbfd9fc
3560	14	4622	2013-08-03 00:48:50.289125	2013-08-03 00:48:50.289125	\N	17c66fb7-8543-45ec-a805-d44100e03046
15293	2	5273	2013-08-03 01:39:39.013275	2013-08-03 01:39:39.013275	\N	a1b1defd-eb18-45b6-9ffc-9bf4e01e83e8
3863	19	4760	2013-08-03 00:58:39.116108	2013-08-03 00:58:39.116108	\N	d86f7758-24d2-4072-b1a4-6e1b54c4fa37
9576	4	4982	2013-08-03 01:20:47.567592	2013-08-03 01:20:47.567592	\N	703ed973-fcdd-4867-8a23-ceb772fbd449
9577	4	5021	2013-08-03 01:20:47.602034	2013-08-03 01:20:47.602034	\N	9aa8b703-5322-4f40-b667-357087933c66
4058	2	4833	2013-08-03 01:03:10.22118	2013-08-03 01:03:10.22118	\N	f7e3bcea-ef94-4c15-b82e-e612506efe4f
9579	4	5000	2013-08-03 01:20:47.636378	2013-08-03 01:20:47.636378	\N	2aeb2ca6-1132-4163-8c3b-23236c23bac4
3873	14	4730	2013-08-03 00:59:01.656025	2013-08-03 00:59:01.656025	\N	6d8fcd05-5669-40c5-8550-df4af15b7525
3874	14	4760	2013-08-03 00:59:01.693106	2013-08-03 00:59:01.693106	\N	065d7ffd-fa4e-40d4-9a6a-a5da7e9e22eb
3875	14	4748	2013-08-03 00:59:01.738661	2013-08-03 00:59:01.738661	\N	2903df90-f8b7-4e48-ab5a-12f95593290f
9581	4	5012	2013-08-03 01:20:47.67523	2013-08-03 01:20:47.67523	\N	1080fd02-dd10-46c2-820b-fc942d90b3f2
9582	4	5027	2013-08-03 01:20:47.699025	2013-08-03 01:20:47.699025	\N	f597eaa5-a433-4e79-b41a-07fe5f6f29bf
3572	2	4638	2013-08-03 00:49:09.779442	2013-08-03 00:49:09.779442	\N	6bbb80ec-765a-41ab-9d5e-6c5f769af9f7
3573	2	4644	2013-08-03 00:49:09.87825	2013-08-03 00:49:09.87825	\N	379cb96d-f37d-4ea7-9e48-8fb1b07780ec
11069	11	5063	2013-08-03 01:25:45.013918	2013-08-03 01:25:45.013918	\N	0f81df28-ff45-468c-9750-92bc1371abe5
3606	14	4643	2013-08-03 00:50:22.958252	2013-08-03 00:50:22.958252	\N	373b726e-65d5-4379-8750-81e5642c5385
3608	14	4658	2013-08-03 00:50:23.022124	2013-08-03 00:50:23.022124	\N	d2bd04a9-5835-4bec-9220-d47ec8fe10df
3810	7	4784	2013-08-03 00:57:10.823391	2013-08-03 00:57:10.823391	\N	addcd99c-f8f7-43a3-bf07-5bbbe2be9c8d
3812	7	4769	2013-08-03 00:57:16.405985	2013-08-03 00:57:16.405985	\N	ca508beb-118d-42c8-83f9-06d88106fdea
5708	2	4875	2013-08-03 01:09:40.621316	2013-08-03 01:09:40.621316	\N	b9640e8d-af71-49af-af10-9aa162cf9d2b
5710	2	4860	2013-08-03 01:09:40.649362	2013-08-03 01:09:40.649362	\N	00ad22bc-2050-414e-80d9-77c59fe64c07
3817	4	4730	2013-08-03 00:57:26.699516	2013-08-03 00:57:26.699516	\N	c3337edf-fac3-42b8-a96b-44cb36b45958
13257	1	5126	2013-08-03 01:32:37.40842	2013-08-03 01:32:37.40842	\N	304d6ede-a005-4840-bf6b-b5ca58b42d3a
3819	4	4748	2013-08-03 00:57:26.768701	2013-08-03 00:57:26.768701	\N	f47a57d7-56c6-4566-952c-9648b07138d5
3820	4	4757	2013-08-03 00:57:26.79605	2013-08-03 00:57:26.79605	\N	98380650-79a8-41b9-bf83-3ace3648db33
3821	4	4760	2013-08-03 00:57:26.838711	2013-08-03 00:57:26.838711	\N	3c0a3430-a8ee-4512-9975-54bb7e2a4b80
3667	4	4667	2013-08-03 00:52:49.105227	2013-08-03 00:52:49.105227	\N	4a28604a-01a0-4751-9c94-8c9e4c731f1a
3668	4	4706	2013-08-03 00:52:49.188161	2013-08-03 00:52:49.188161	\N	a5c3f10f-1687-46db-b160-9f09356b3068
3669	4	4685	2013-08-03 00:52:49.223116	2013-08-03 00:52:49.223116	\N	80a3a2ae-7dea-4d24-89ff-9908eba9b2f0
3670	7	4715	2013-08-03 00:52:49.668085	2013-08-03 00:52:49.668085	\N	e84cff6d-fab5-4c21-a115-854416a76025
3822	4	4775	2013-08-03 00:57:26.871111	2013-08-03 00:57:26.871111	\N	5164fa3a-9500-43ba-af62-c1caf84232d0
20580	7	5381	2013-08-03 01:50:51.493379	2013-08-03 01:50:51.493379	\N	94dd1406-37fb-4535-bc40-9c5ef2b9a9da
5332	2	4896	2013-08-03 01:08:39.896718	2013-08-03 01:08:39.896718	\N	2377441f-afa1-48de-ad88-dd9e65144d3f
3674	7	4721	2013-08-03 00:52:51.937523	2013-08-03 00:52:51.937523	\N	cc658583-5d4c-4bef-affd-5a57065282dc
5333	19	4886	2013-08-03 01:08:40.607516	2013-08-03 01:08:40.607516	\N	09bc0abb-ff04-4236-a122-81e9d581e49e
3826	14	4784	2013-08-03 00:57:29.963221	2013-08-03 00:57:29.963221	\N	5bc48fb0-6b36-461a-b01d-55c8c476be18
3827	14	4778	2013-08-03 00:57:30.043443	2013-08-03 00:57:30.043443	\N	13b2af28-6c09-472c-bfa8-ae2ff46a405d
3828	14	4757	2013-08-03 00:57:30.081721	2013-08-03 00:57:30.081721	\N	e8f57e0b-182f-4e19-8c72-4f4d02afdb00
3829	14	4775	2013-08-03 00:57:30.127638	2013-08-03 00:57:30.127638	\N	af5b12d5-d9c5-425e-9a3b-6951a8e6d77e
3830	7	4730	2013-08-03 00:57:31.966643	2013-08-03 00:57:31.966643	\N	7cfd7ae6-1a50-42d8-ac9a-0165e26187c5
9539	19	5012	2013-08-03 01:20:38.556306	2013-08-03 01:20:38.556306	\N	bdf0cb17-07fc-41ff-a377-c81c70518794
3988	7	4793	2013-08-03 01:02:09.512917	2013-08-03 01:02:09.512917	\N	e9f5fc01-062d-4ca0-8fa9-c6a62509f9bb
3989	14	4832	2013-08-03 01:02:10.609444	2013-08-03 01:02:10.609444	\N	ea02409f-f3c8-40b5-85c4-ef6450022bd4
3990	19	4823	2013-08-03 01:02:11.131579	2013-08-03 01:02:11.131579	\N	72f9eb95-5d95-434d-a3d7-1d202b83d948
3991	7	4823	2013-08-03 01:02:12.642907	2013-08-03 01:02:12.642907	\N	94486bc0-aedb-470c-bda2-0325177fed7c
3709	19	4721	2013-08-03 00:53:42.359781	2013-08-03 00:53:42.359781	\N	24b3fb8a-2633-4c13-b12d-62c17fce452c
3992	7	4811	2013-08-03 01:02:15.745175	2013-08-03 01:02:15.745175	\N	e6f97413-64ae-4b17-bc12-bfa18c480bf0
3711	14	4685	2013-08-03 00:53:43.827883	2013-08-03 00:53:43.827883	\N	b4a0084d-5399-4beb-a773-339676c965de
3715	14	4667	2013-08-03 00:53:43.845333	2013-08-03 00:53:43.845333	\N	8877d2cd-6e6a-43c3-a9a6-ab7c9704a2a0
3717	14	4721	2013-08-03 00:53:43.968957	2013-08-03 00:53:43.968957	\N	440ccd92-b221-4ced-b3c8-0b4efe0873d9
3993	12	4820	2013-08-03 01:02:18.449637	2013-08-03 01:02:18.449637	\N	5852917a-a7c6-42f1-bae1-c382e1421481
3994	7	4832	2013-08-03 01:02:18.674498	2013-08-03 01:02:18.674498	\N	0efdf5e8-2fdd-4819-8098-121e6563ade5
26304	10	5765	2013-08-03 02:13:37.656956	2013-08-03 02:13:37.656956	\N	d0cb387b-ca21-4219-b747-8c5d91cdf20a
10837	2	5001	2013-08-03 01:24:40.619412	2013-08-03 01:24:40.619412	\N	358a2e37-734e-4253-9c5d-710ddf776b89
28438	12	5930	2013-08-03 02:23:37.923296	2013-08-03 02:23:37.923296	\N	8466310c-8b06-445c-8f82-6ad72483ecb4
3999	4	4793	2013-08-03 01:02:24.993242	2013-08-03 01:02:24.993242	\N	30751162-433a-47b9-9694-809f8c89b4e3
3844	7	4748	2013-08-03 00:57:47.68793	2013-08-03 00:57:47.68793	\N	ea2acd8c-35f6-45a5-8d0d-531c2e210edb
4000	4	4832	2013-08-03 01:02:25.074691	2013-08-03 01:02:25.074691	\N	7e948a78-f78b-4605-8dbc-2b6445b48491
4001	4	4811	2013-08-03 01:02:25.111634	2013-08-03 01:02:25.111634	\N	2234b62d-ff23-4ee7-8592-d7615cfeea98
4002	4	4820	2013-08-03 01:02:25.139172	2013-08-03 01:02:25.139172	\N	10ad7866-7cc8-45d8-9db7-545c9b8dc6d1
4003	4	4823	2013-08-03 01:02:25.182267	2013-08-03 01:02:25.182267	\N	d18502ac-3dd9-44f6-9216-c6050df9233b
4004	4	4838	2013-08-03 01:02:25.212459	2013-08-03 01:02:25.212459	\N	e43caa45-1083-4156-9555-49a7ebcaaac0
4005	4	4841	2013-08-03 01:02:25.247144	2013-08-03 01:02:25.247144	\N	1fc6479f-6f97-4dcb-941b-eebef97c5d37
13261	11	5108	2013-08-03 01:32:37.785945	2013-08-03 01:32:37.785945	\N	3a4c215c-d9b3-47eb-8ecf-2053c5e100d3
3854	7	4757	2013-08-03 00:58:14.775355	2013-08-03 00:58:14.775355	\N	a2e4a028-cbd4-464d-aaa2-5ee7bbe09c9b
30420	1	6185	2013-08-03 02:37:39.061887	2013-08-03 02:37:39.061887	\N	cf5e3283-9ec7-4f65-b54b-f0f4656fb95c
7591	1	4937	2013-08-03 01:14:47.471324	2013-08-03 01:14:47.471324	\N	53daa037-983a-48db-9579-8ac69411c8b3
13264	11	5147	2013-08-03 01:32:37.930263	2013-08-03 01:32:37.930263	\N	e81c4021-4fd2-4cdf-ab74-ee5e345c576a
9146	4	4958	2013-08-03 01:19:15.289273	2013-08-03 01:19:15.289273	\N	6eee3fc5-1ec0-4a68-83c1-46929e5759cc
7909	19	4967	2013-08-03 01:15:42.063498	2013-08-03 01:15:42.063498	\N	16a91692-b499-46ba-aa4d-c97f45b43821
15196	19	5273	2013-08-03 01:39:23.377603	2013-08-03 01:39:23.377603	\N	a1ef0d96-fc6c-46ab-8370-22b8f1a075c1
9149	4	4949	2013-08-03 01:19:15.355752	2013-08-03 01:19:15.355752	\N	19f75a90-d633-47a2-9f5f-9b5dfb44daa6
9151	4	4964	2013-08-03 01:19:15.38238	2013-08-03 01:19:15.38238	\N	45bc918d-0818-4cc7-91fe-ff285ac3e008
9152	4	4967	2013-08-03 01:19:15.43272	2013-08-03 01:19:15.43272	\N	46176927-68ea-4587-8d36-43a7ad1e2e9b
4026	2	4847	2013-08-03 01:02:39.766292	2013-08-03 01:02:39.766292	\N	7ad1a53d-3d03-4d7c-9008-72b76dcc3785
5007	14	4895	2013-08-03 01:07:51.97376	2013-08-03 01:07:51.97376	\N	a1b36ace-ee89-427b-9d46-ca51edaf7dbd
4028	2	4797	2013-08-03 01:02:40.897307	2013-08-03 01:02:40.897307	\N	5ae89209-3212-44ee-896d-29b2666b4224
4029	2	4821	2013-08-03 01:02:40.935841	2013-08-03 01:02:40.935841	\N	8cb4f03b-2c4f-4847-a1a8-be04fe022dec
5009	14	4910	2013-08-03 01:07:52.020045	2013-08-03 01:07:52.020045	\N	3e514902-f1db-405e-8a30-2cdd5dcdced3
5011	14	4904	2013-08-03 01:07:52.064105	2013-08-03 01:07:52.064105	\N	b40694ec-e86d-4eae-8ae3-64e166add4f5
5012	14	4901	2013-08-03 01:07:52.101367	2013-08-03 01:07:52.101367	\N	88a6d495-5fc0-43e6-986b-94c4acb4fba8
5013	14	4883	2013-08-03 01:07:52.135512	2013-08-03 01:07:52.135512	\N	a6663441-4370-4e60-9c68-2780e30f6c57
9154	4	4973	2013-08-03 01:19:15.492862	2013-08-03 01:19:15.492862	\N	a3dc9468-ac4f-49b7-85b8-967c643e4b60
9250	1	4982	2013-08-03 01:19:43.856271	2013-08-03 01:19:43.856271	\N	fed3fc9a-8331-4055-9ef7-ca43ef20ea80
5426	19	4901	2013-08-03 01:08:55.163532	2013-08-03 01:08:55.163532	\N	6061c9c3-aab9-4301-b29c-8098bbb27657
15197	19	5252	2013-08-03 01:39:23.887124	2013-08-03 01:39:23.887124	\N	b25bdece-5f33-4fc2-9654-682d0ed9587f
4038	7	4820	2013-08-03 01:02:43.612158	2013-08-03 01:02:43.612158	\N	a857c887-8cb2-4a86-9fef-da4a26756539
33408	2	6512	2013-08-03 02:58:39.100935	2013-08-03 02:58:39.100935	\N	b643a169-e0ea-4bd3-8d95-50f933da00e6
4040	14	4847	2013-08-03 01:02:47.806723	2013-08-03 01:02:47.806723	\N	a215692b-0fa9-4f94-808e-9f9f66a6a703
4041	14	4841	2013-08-03 01:02:47.850042	2013-08-03 01:02:47.850042	\N	0e8303a2-ad90-4e71-8d95-df7deecba833
4042	14	4820	2013-08-03 01:02:47.882734	2013-08-03 01:02:47.882734	\N	2fa42769-542b-4e42-8d8d-f0b8de7acdb6
4043	14	4838	2013-08-03 01:02:47.924358	2013-08-03 01:02:47.924358	\N	051b4354-5a5d-4e2f-86e7-10a92f346371
4045	7	4847	2013-08-03 01:02:51.43158	2013-08-03 01:02:51.43158	\N	244cbd64-9674-4098-a108-47ca50209acf
13274	1	5138	2013-08-03 01:32:39.638153	2013-08-03 01:32:39.638153	\N	7e5554b5-9417-4836-bcfc-409e7079933a
33409	2	6491	2013-08-03 02:58:39.202515	2013-08-03 02:58:39.202515	\N	ecf3dfea-3c37-4118-9d57-a8fd0a619d0f
3899	2	4760	2013-08-03 01:00:04.521034	2013-08-03 01:00:04.521034	\N	67484523-0ba5-4e0d-9f54-49cda3f13de5
3900	2	4769	2013-08-03 01:00:04.584382	2013-08-03 01:00:04.584382	\N	61b4b7de-f213-444f-a7e7-03ef689b166f
3901	2	4757	2013-08-03 01:00:04.652502	2013-08-03 01:00:04.652502	\N	123f5545-e3dd-4618-ad59-8b20bdf19be9
3902	2	4748	2013-08-03 01:00:04.714972	2013-08-03 01:00:04.714972	\N	381512d4-5c10-48c5-9c1e-f0c4dab4d95e
3903	2	4778	2013-08-03 01:00:04.786986	2013-08-03 01:00:04.786986	\N	1777fab1-4833-47a3-9b80-6ae3d21b117d
3904	2	4784	2013-08-03 01:00:04.860214	2013-08-03 01:00:04.860214	\N	659918e3-7e86-443f-a826-50767237b00c
33410	2	6521	2013-08-03 02:58:39.249984	2013-08-03 02:58:39.249984	\N	bb9fa64d-79c5-4842-aa55-3924844414bc
19577	19	5336	2013-08-03 01:48:49.802888	2013-08-03 01:48:49.802888	\N	c00b28ee-09c4-4e8e-9d0f-1e1057dce4d9
4796	7	4856	2013-08-03 01:07:10.240551	2013-08-03 01:07:10.240551	\N	ba7f368a-d179-4352-87df-35ef24a2bac1
6529	11	4883	2013-08-03 01:11:48.576794	2013-08-03 01:11:48.576794	\N	55498595-ba31-464d-b15b-dafaf91c9408
20634	1	5411	2013-08-03 01:50:57.452304	2013-08-03 01:50:57.452304	\N	61a5c097-5775-40a3-b9ad-b1980106bf80
33417	17	6473	2013-08-03 02:58:55.439624	2013-08-03 02:58:55.439624	\N	c44d02d1-3f97-4747-a2da-722a5e290a12
9272	1	5021	2013-08-03 01:19:48.55226	2013-08-03 01:19:48.55226	\N	052036a3-178d-47eb-a5ba-07e790a347bc
27147	16	5814	2013-08-03 02:17:49.426622	2013-08-03 02:17:49.426622	\N	a61dde91-1de1-48d0-9cfe-c971bc826aa3
25510	4	5651	2013-08-03 02:09:39.304604	2013-08-03 02:09:39.304604	\N	06ee0870-4ca9-45c6-8ac6-d9b6ccfb2e71
5140	2	4890	2013-08-03 01:08:10.597037	2013-08-03 01:08:10.597037	\N	2629158b-d352-4472-b632-dc65e54f15e2
5141	2	4866	2013-08-03 01:08:10.634518	2013-08-03 01:08:10.634518	\N	844a9b66-84d5-4328-a62c-849e29a47329
3916	14	4769	2013-08-03 01:00:25.115922	2013-08-03 01:00:25.115922	\N	52a068be-5012-4060-8ddf-4892ad1c08d2
29620	17	6008	2013-08-03 02:30:49.702073	2013-08-03 02:30:49.702073	\N	f0d34d7c-8d00-44d2-b175-c0d8a14aaed9
23167	2	5504	2013-08-03 01:56:09.194486	2013-08-03 01:56:09.194486	\N	30130c8e-e6c1-49f4-8fef-90a6787eb0bf
23168	2	5483	2013-08-03 01:56:09.242124	2013-08-03 01:56:09.242124	\N	a280bc73-d73b-41de-9a0a-31e36f0bd56a
23169	2	5513	2013-08-03 01:56:09.28945	2013-08-03 01:56:09.28945	\N	2d9b10f3-f2fc-4936-af99-24ab6e28f2b4
23170	2	5510	2013-08-03 01:56:09.332834	2013-08-03 01:56:09.332834	\N	18c718a3-09b3-41ac-8753-54364eb6ce13
23171	2	5472	2013-08-03 01:56:10.415922	2013-08-03 01:56:10.415922	\N	b2a78d4d-df89-41fb-8d7a-7b328a44f16e
4071	12	4793	2013-08-03 01:03:36.68539	2013-08-03 01:03:36.68539	\N	a73116c5-559a-451c-99a5-dcf33abbebd5
11076	11	5090	2013-08-03 01:25:45.352763	2013-08-03 01:25:45.352763	\N	4279d583-2143-4455-ade1-0fbf44761639
15295	2	5264	2013-08-03 01:39:39.047211	2013-08-03 01:39:39.047211	\N	9cbecca4-66f7-4832-b2c4-20e21e0de1e0
15296	2	5252	2013-08-03 01:39:39.084324	2013-08-03 01:39:39.084324	\N	919347b5-3181-4d2c-ae41-324fc14eafa8
13267	11	5126	2013-08-03 01:32:38.097171	2013-08-03 01:32:38.097171	\N	6c0699b7-8532-4a28-b9d8-16d368ef6edf
13270	11	5138	2013-08-03 01:32:38.263335	2013-08-03 01:32:38.263335	\N	7bd85c05-30cd-4090-a6e0-1ccd5f3d05fe
4951	2	4886	2013-08-03 01:07:39.263121	2013-08-03 01:07:39.263121	\N	e679ccb8-6c42-4bac-bb91-538628bf678b
13271	11	5153	2013-08-03 01:32:38.422768	2013-08-03 01:32:38.422768	\N	8117f853-edab-49a1-bc6a-154fc43b8691
13272	11	5156	2013-08-03 01:32:38.594069	2013-08-03 01:32:38.594069	\N	89529208-ed5f-4df0-b2d3-9ec713e5ca3d
13275	2	5126	2013-08-03 01:32:39.639027	2013-08-03 01:32:39.639027	\N	54c35b96-6de9-4b33-a56e-a064f4fb3a16
13276	2	5138	2013-08-03 01:32:39.673112	2013-08-03 01:32:39.673112	\N	9051444b-dacc-4ae7-95af-9b6b72575343
13278	2	5156	2013-08-03 01:32:39.720288	2013-08-03 01:32:39.720288	\N	6906dc68-74ba-49f5-a79c-a8c6638f62f9
13279	2	5147	2013-08-03 01:32:39.756906	2013-08-03 01:32:39.756906	\N	73ab471a-81dd-4e29-ab61-d63121dfaf8d
13280	4	5108	2013-08-03 01:32:40.734763	2013-08-03 01:32:40.734763	\N	eb246eb6-1f1e-4007-b016-d022d77d5765
13281	4	5147	2013-08-03 01:32:40.779357	2013-08-03 01:32:40.779357	\N	14757f16-e88f-42c8-9470-d124333dbf02
7614	19	4919	2013-08-03 01:14:53.685598	2013-08-03 01:14:53.685598	\N	58bf56cc-644a-4435-aa84-c53504c72fe5
9628	19	5030	2013-08-03 01:20:56.408844	2013-08-03 01:20:56.408844	\N	f9d04164-6026-41bb-b280-ef392fe39f51
13282	4	5126	2013-08-03 01:32:40.820324	2013-08-03 01:32:40.820324	\N	41993dfb-cebb-4461-aa04-384fe7d780b7
13283	4	5138	2013-08-03 01:32:40.856683	2013-08-03 01:32:40.856683	\N	f2dcb99b-43f6-49e1-b667-06fd315de054
13284	4	5153	2013-08-03 01:32:40.887487	2013-08-03 01:32:40.887487	\N	396bde37-f7e6-432d-a11a-52fbc72856ce
13285	4	5156	2013-08-03 01:32:40.930601	2013-08-03 01:32:40.930601	\N	5707c23d-8779-475d-aa55-38b98a064094
11197	2	5063	2013-08-03 01:26:09.238923	2013-08-03 01:26:09.238923	\N	3d8df682-cc45-4c36-bb37-b7ff875ca758
4789	2	4874	2013-08-03 01:07:09.897797	2013-08-03 01:07:09.897797	\N	417b3a3e-d5c2-4ee6-8205-80bb707fc0d2
4790	2	4895	2013-08-03 01:07:09.933733	2013-08-03 01:07:09.933733	\N	d9ca459a-a7d8-450d-8609-96b147a24829
4791	2	4883	2013-08-03 01:07:09.9704	2013-08-03 01:07:09.9704	\N	28843374-bf2e-4e5e-817f-5b58ba915be8
4792	2	4910	2013-08-03 01:07:10.009896	2013-08-03 01:07:10.009896	\N	5fadbdca-fa80-4ecd-b33b-6d76c70dd954
4793	2	4904	2013-08-03 01:07:10.04173	2013-08-03 01:07:10.04173	\N	82d921be-d406-43bd-ba35-551d2d1b87bb
4804	7	4874	2013-08-03 01:07:11.102059	2013-08-03 01:07:11.102059	\N	cac5d2e3-5d75-4f4e-af8a-12af72586901
11695	1	5093	2013-08-03 01:27:40.678496	2013-08-03 01:27:40.678496	\N	6feb8b56-2a66-4689-8d2d-199b828dbda1
5075	19	4874	2013-08-03 01:08:02.167196	2013-08-03 01:08:02.167196	\N	f29377e1-4183-4e4b-9e8f-8a0c6b340af5
15297	2	5282	2013-08-03 01:39:39.128881	2013-08-03 01:39:39.128881	\N	a36e0fe9-8135-4194-adcb-ce1ff5a7dabe
13287	1	5153	2013-08-03 01:32:42.513668	2013-08-03 01:32:42.513668	\N	e986c6dc-9aa5-4228-8978-acd06b9b75ea
20585	7	5399	2013-08-03 01:50:51.862495	2013-08-03 01:50:51.862495	\N	79e0ec55-14bf-4e4a-8d9d-a2786c221bdd
28439	12	5933	2013-08-03 02:23:38.419878	2013-08-03 02:23:38.419878	\N	9a2a9903-f7cd-4ff5-b2a3-6852f02c2cae
27979	1	5885	2013-08-03 02:21:50.089132	2013-08-03 02:21:50.089132	\N	5540ae80-1799-426c-89f7-4613307b570f
13304	1	5156	2013-08-03 01:32:44.35704	2013-08-03 01:32:44.35704	\N	fe888f0b-837c-4238-818f-2ff9bf584fee
28053	11	5933	2013-08-03 02:22:10.859936	2013-08-03 02:22:10.859936	\N	a896b3da-f465-47c6-a617-f698a94dd052
11209	2	5064	2013-08-03 01:26:10.394659	2013-08-03 01:26:10.394659	\N	4afc9ea1-27ab-4fff-a14f-cc13819dbbf2
11210	2	5049	2013-08-03 01:26:10.456491	2013-08-03 01:26:10.456491	\N	67867ac7-cea2-4974-9c78-b292dd78ff49
11211	2	5079	2013-08-03 01:26:10.519824	2013-08-03 01:26:10.519824	\N	944563a0-868b-4d9d-a9de-47b9dbd2542a
28054	2	5895	2013-08-03 02:22:11.075353	2013-08-03 02:22:11.075353	\N	f6f1a3b1-4a06-464d-bbd6-9708421ef7a9
25127	2	5676	2013-08-03 02:07:40.228799	2013-08-03 02:07:40.228799	\N	789fdadf-e0d8-4ebb-a22c-5ee000b66941
28055	2	5904	2013-08-03 02:22:11.108465	2013-08-03 02:22:11.108465	\N	a5776418-5c34-4e2e-a4ac-69f5649e946b
30063	2	6096	2013-08-03 02:34:40.64628	2013-08-03 02:34:40.64628	\N	86d14537-700e-421b-b3f4-3f2557f27c8e
30421	2	6155	2013-08-03 02:37:39.10898	2013-08-03 02:37:39.10898	\N	66955c41-9967-49f1-989d-4a962d73ec95
13312	19	5153	2013-08-03 01:32:45.566153	2013-08-03 01:32:45.566153	\N	e79be821-3a00-4f25-ab86-75fd4cbdf575
17760	2	5336	2013-08-03 01:45:39.312341	2013-08-03 01:45:39.312341	\N	883561e7-98c4-4e53-90be-33261f3e0a6a
17762	2	5315	2013-08-03 01:45:39.35751	2013-08-03 01:45:39.35751	\N	9c60e6c2-af89-41bf-9b53-123e3bff4ef5
17764	2	5327	2013-08-03 01:45:39.380591	2013-08-03 01:45:39.380591	\N	ac15cc13-db4a-4f11-bd5c-c4f6c7e33da5
17766	2	5345	2013-08-03 01:45:39.422224	2013-08-03 01:45:39.422224	\N	64afe6cc-a941-404e-ac0f-bfa4127d9ff9
7342	4	4919	2013-08-03 01:14:04.601837	2013-08-03 01:14:04.601837	\N	c15477f8-2412-4223-9873-26e3ece35632
25088	12	5633	2013-08-03 02:07:28.213624	2013-08-03 02:07:28.213624	\N	f2c6c542-0b22-4679-84e3-74706d8566ca
7344	4	4937	2013-08-03 01:14:04.708896	2013-08-03 01:14:04.708896	\N	81fd5abb-0aef-4fac-88c3-4b7092c95f3b
23149	11	5465	2013-08-03 01:56:04.064373	2013-08-03 01:56:04.064373	\N	55e46464-9fef-42ef-83e1-301b2c6db63b
11464	19	5045	2013-08-03 01:26:56.783101	2013-08-03 01:26:56.783101	\N	d5806731-827e-4dd1-81e6-fa9a59918366
19468	2	5340	2013-08-03 01:48:40.104521	2013-08-03 01:48:40.104521	\N	76d07be6-e8cc-415c-b0f6-f8a9914afc01
15256	11	5252	2013-08-03 01:39:32.19212	2013-08-03 01:39:32.19212	\N	b596f250-fd58-436c-a7f4-c216e76c6902
19469	2	5307	2013-08-03 01:48:40.139258	2013-08-03 01:48:40.139258	\N	2ad351e8-7ea0-4f0f-9dfd-93fb915d36d7
23152	7	5465	2013-08-03 01:56:04.442927	2013-08-03 01:56:04.442927	\N	318652d2-bf77-42c4-86d8-2e63a32b2987
30422	2	6185	2013-08-03 02:37:39.170459	2013-08-03 02:37:39.170459	\N	c58d0f04-a4a5-4860-b951-c4583a98e61c
15270	1	5273	2013-08-03 01:39:35.330091	2013-08-03 01:39:35.330091	\N	86e3aa1b-c58b-41f8-ab7b-a5098f89d98b
30423	2	6182	2013-08-03 02:37:39.214927	2013-08-03 02:37:39.214927	\N	54396c12-4c96-413f-b58d-d5b759e6a4f4
30424	2	6176	2013-08-03 02:37:39.251353	2013-08-03 02:37:39.251353	\N	76cbd0c5-c77f-4f76-acb8-1d85f3f5ebf0
13454	2	5115	2013-08-03 01:33:10.020112	2013-08-03 01:33:10.020112	\N	dd542716-7bcf-4a71-9e23-63f617e1fb06
13456	2	5142	2013-08-03 01:33:10.104833	2013-08-03 01:33:10.104833	\N	9b853867-16e4-4de5-8817-fd92ea3fa182
13639	8	5108	2013-08-03 01:33:43.357175	2013-08-03 01:33:43.357175	\N	97a7ea95-8b2e-4e41-b638-420cf0932196
30425	2	6141	2013-08-03 02:37:40.342442	2013-08-03 02:37:40.342442	\N	26f8dc56-45c0-47aa-9b79-8172d51460df
26319	10	5756	2013-08-03 02:13:44.231602	2013-08-03 02:13:44.231602	\N	912949c2-280f-4b9b-912b-b74d8eb06d78
30426	2	6144	2013-08-03 02:37:40.439172	2013-08-03 02:37:40.439172	\N	9315abe5-304b-4973-b49a-1c2bab6e4c1b
11027	7	5045	2013-08-03 01:25:27.577768	2013-08-03 01:25:27.577768	\N	9a5f8cf9-e868-44ac-947b-e57d9d94510a
11028	7	5090	2013-08-03 01:25:27.668088	2013-08-03 01:25:27.668088	\N	d63294c0-1ced-41e4-9b04-4c3c7898bdb2
25904	19	5717	2013-08-03 02:11:54.568215	2013-08-03 02:11:54.568215	\N	0921206a-dbfb-486e-8944-776a8059dd82
25908	19	5756	2013-08-03 02:11:54.945018	2013-08-03 02:11:54.945018	\N	bfeac005-9a7f-4503-94e6-989fa15a90d2
30427	2	6180	2013-08-03 02:37:40.474218	2013-08-03 02:37:40.474218	\N	b0c3bd9c-60b7-4b2b-b47f-fe902c8bdeaf
7373	2	4937	2013-08-03 01:14:09.094471	2013-08-03 01:14:09.094471	\N	365c9030-1475-4f55-9a2f-f6e33631dd90
7374	2	4958	2013-08-03 01:14:09.242855	2013-08-03 01:14:09.242855	\N	45c094a2-c4dd-47d9-8797-400aa99f4f69
7375	2	4967	2013-08-03 01:14:09.274017	2013-08-03 01:14:09.274017	\N	2d13ed22-ec9d-4ea3-bf3e-aebd820a0d0e
7376	2	4973	2013-08-03 01:14:09.318118	2013-08-03 01:14:09.318118	\N	92d6254e-e5e7-49c9-999f-2c38156be741
7377	2	4947	2013-08-03 01:14:10.40252	2013-08-03 01:14:10.40252	\N	49f8c428-1375-4bd0-b5eb-2f19e0680805
7378	2	4949	2013-08-03 01:14:10.460739	2013-08-03 01:14:10.460739	\N	eb5d8e40-8cf5-42dc-8592-50a142da9684
30428	2	6156	2013-08-03 02:37:40.50446	2013-08-03 02:37:40.50446	\N	55e1d804-8a83-4586-98ea-236eb7c0147a
30429	2	6171	2013-08-03 02:37:40.535682	2013-08-03 02:37:40.535682	\N	1b8333e9-4595-4d0d-bb44-c3a01295400a
30833	19	6137	2013-08-03 02:40:38.843148	2013-08-03 02:40:38.843148	\N	a453e230-f0c5-4d30-b6de-fb4c726686df
30839	19	6176	2013-08-03 02:40:39.212239	2013-08-03 02:40:39.212239	\N	3b6558e7-65de-4229-92e8-a53a30e19d94
20749	2	5420	2013-08-03 01:51:09.173176	2013-08-03 01:51:09.173176	\N	426cf04c-e1a4-4cef-afad-20725963f722
13481	8	5138	2013-08-03 01:33:14.270254	2013-08-03 01:33:14.270254	\N	cd293e5e-b241-471a-b597-a6e0186e8540
20750	2	5399	2013-08-03 01:51:09.1951	2013-08-03 01:51:09.1951	\N	d81f3e3c-9a5b-49d7-8c79-c9ec5e652063
20752	2	5411	2013-08-03 01:51:09.225208	2013-08-03 01:51:09.225208	\N	1994b4b4-2ea8-4c9d-852e-06f1a4867b91
20753	2	5429	2013-08-03 01:51:09.276408	2013-08-03 01:51:09.276408	\N	6b66cc68-be6a-4862-9788-28459d8bb361
20755	2	5426	2013-08-03 01:51:09.313885	2013-08-03 01:51:09.313885	\N	12d2b98a-9646-422b-89b9-f4b8013ff62d
23280	1	5504	2013-08-03 01:56:24.433455	2013-08-03 01:56:24.433455	\N	07097e9a-0eb5-451c-a225-acf19d392fb7
13497	19	5108	2013-08-03 01:33:16.20209	2013-08-03 01:33:16.20209	\N	f981698a-8360-494d-a344-396b0da13f55
24201	14	5567	2013-08-03 02:01:55.593921	2013-08-03 02:01:55.593921	\N	ea42abb4-d435-40c7-8229-406af86b0a4c
24202	14	5597	2013-08-03 02:01:55.703024	2013-08-03 02:01:55.703024	\N	244050a1-ac25-4db7-940f-e21fe7e1117f
15491	11	5279	2013-08-03 01:40:13.898148	2013-08-03 01:40:13.898148	\N	1db65160-96da-4743-9ec7-23089641d8a9
24046	12	5594	2013-08-03 02:01:17.066559	2013-08-03 02:01:17.066559	\N	205bff62-47b3-4cf0-8ffe-d292465395ea
24047	12	5597	2013-08-03 02:01:17.591137	2013-08-03 02:01:17.591137	\N	1225de57-452d-4c30-adfe-861e491837c5
24048	1	5567	2013-08-03 02:01:19.347681	2013-08-03 02:01:19.347681	\N	2ef318a8-8272-49d3-810a-064ca0b8785f
24203	14	5588	2013-08-03 02:01:55.783498	2013-08-03 02:01:55.783498	\N	51f2c904-fa22-41b2-a5cd-939ce3c60caa
24204	14	5594	2013-08-03 02:01:55.835079	2013-08-03 02:01:55.835079	\N	1d5be14c-9e6b-472d-9e45-b958ca1b3590
29662	16	6000	2013-08-03 02:31:10.520299	2013-08-03 02:31:10.520299	\N	daccbf6d-1fa1-4a1f-9d66-fef4ab0bdadc
5600	14	4856	2013-08-03 01:09:24.632796	2013-08-03 01:09:24.632796	\N	439cf407-fbbc-4478-8f46-fb754ca39a50
5601	14	4886	2013-08-03 01:09:24.669197	2013-08-03 01:09:24.669197	\N	654a0d8b-9019-4c0e-a065-d2594b4295cb
5602	14	4874	2013-08-03 01:09:24.705207	2013-08-03 01:09:24.705207	\N	4b1625e2-ae19-43ac-b429-65240bebe75f
23315	1	5510	2013-08-03 01:56:41.079253	2013-08-03 01:56:41.079253	\N	2bae79d0-285d-4497-9477-f3a64bcc2c3f
11516	14	5090	2013-08-03 01:27:04.597367	2013-08-03 01:27:04.597367	\N	4296016f-682d-4e23-9433-cbea2d78384a
11518	14	5093	2013-08-03 01:27:04.615305	2013-08-03 01:27:04.615305	\N	b476c6cc-90c3-493e-82f4-adc5cf0908fe
23113	12	5399	2013-08-03 01:55:29.660749	2013-08-03 01:55:29.660749	\N	9117b66f-b0c2-495c-aa4a-5e770d62016e
9583	4	5030	2013-08-03 01:20:47.721798	2013-08-03 01:20:47.721798	\N	cc7c1e31-1c02-415b-9a53-f40bace12332
15311	2	5238	2013-08-03 01:39:40.20668	2013-08-03 01:39:40.20668	\N	6a90617a-9fd0-4aeb-ab26-ceab26f4ee8f
4801	7	4904	2013-08-03 01:07:10.812456	2013-08-03 01:07:10.812456	\N	9891c6c3-67e7-435d-86af-8eedcbaef19c
15312	2	5268	2013-08-03 01:39:40.22765	2013-08-03 01:39:40.22765	\N	f50916fc-d027-4ea9-b91b-204667b76de4
15313	2	5244	2013-08-03 01:39:40.254309	2013-08-03 01:39:40.254309	\N	cee8e8a0-55f4-45b7-b331-fd4dea70b75c
15314	2	5277	2013-08-03 01:39:40.277471	2013-08-03 01:39:40.277471	\N	94d50bb0-beb7-49e4-96ad-2d19cd65e293
13192	7	5108	2013-08-03 01:32:15.480146	2013-08-03 01:32:15.480146	\N	10e9be1a-29a9-4394-b400-8ebe2cb81e90
13193	7	5153	2013-08-03 01:32:15.583125	2013-08-03 01:32:15.583125	\N	d56ae3c3-51bf-41d5-9570-f66d59df5631
13194	7	5156	2013-08-03 01:32:15.692466	2013-08-03 01:32:15.692466	\N	36d7a5b3-c749-4fec-9fb3-d31c500d875b
13195	7	5138	2013-08-03 01:32:17.829699	2013-08-03 01:32:17.829699	\N	7800e2a7-6845-4db7-b983-1195160fc855
20589	1	5420	2013-08-03 01:50:53.424424	2013-08-03 01:50:53.424424	\N	7a6c083f-5ac9-463c-a6eb-0206e21f98e3
5472	12	4895	2013-08-03 01:09:03.444334	2013-08-03 01:09:03.444334	\N	3b479e16-a9e0-4226-b25a-32be9fce4077
20590	7	5411	2013-08-03 01:50:54.082393	2013-08-03 01:50:54.082393	\N	13b80fb6-f54e-4032-bd78-567d3eaa832f
10886	12	4982	2013-08-03 01:24:51.354899	2013-08-03 01:24:51.354899	\N	43d36467-b52d-4166-85e6-726848843f6d
23523	2	5508	2013-08-03 01:57:40.245893	2013-08-03 01:57:40.245893	\N	28901c89-c3da-4541-aeaa-8240e263f394
25512	4	5681	2013-08-03 02:09:39.3947	2013-08-03 02:09:39.3947	\N	d50ae5d8-002e-4bc5-b56e-222eabb2d1ab
23525	2	5469	2013-08-03 01:57:40.376633	2013-08-03 01:57:40.376633	\N	26bd53c1-633a-4758-832d-9f36ef79d844
15664	2	5241	2013-08-03 01:41:10.027595	2013-08-03 01:41:10.027595	\N	8a8c6fe3-0fc4-44a1-a1da-f721551e59d6
23526	2	5475	2013-08-03 01:57:40.413936	2013-08-03 01:57:40.413936	\N	69d50d4b-14ff-486a-9015-bb8ab7042337
20598	7	5426	2013-08-03 01:50:54.248759	2013-08-03 01:50:54.248759	\N	59b4c9e4-6324-4f45-b82e-74d712197324
9302	1	5012	2013-08-03 01:19:54.513748	2013-08-03 01:19:54.513748	\N	fb7b7e9e-af46-4ae3-90ae-441cfeb26195
23827	2	5499	2013-08-03 01:59:40.433052	2013-08-03 01:59:40.433052	\N	5309fef4-7310-49fe-9b2a-54f6bc8f3cdb
4275	2	4800	2013-08-03 01:05:39.993827	2013-08-03 01:05:39.993827	\N	9fa051b9-02f0-493f-9c70-f43307935e3a
25900	11	5756	2013-08-03 02:11:52.279992	2013-08-03 02:11:52.279992	\N	c8716f08-1b45-4ce2-9688-4072c25ffc7c
17966	1	5345	2013-08-03 01:45:57.660637	2013-08-03 01:45:57.660637	\N	3762e8da-1ea9-45b2-96d0-be81f7cefb55
23304	12	5510	2013-08-03 01:56:39.523517	2013-08-03 01:56:39.523517	\N	22188800-79b8-4ba0-8c06-283fd9ae3b93
7371	1	4919	2013-08-03 01:14:07.188121	2013-08-03 01:14:07.188121	\N	2cc8988a-1692-4db8-a04e-3b61ae1c21ad
23394	14	5510	2013-08-03 01:56:54.706207	2013-08-03 01:56:54.706207	\N	c331dcc9-248c-42fc-8a42-450ec850f096
7840	19	4964	2013-08-03 01:15:32.083779	2013-08-03 01:15:32.083779	\N	623ff39c-4d0c-4f52-a03c-01273ff5bdf8
8090	2	4926	2013-08-03 01:16:10.43243	2013-08-03 01:16:10.43243	\N	f19baa0d-0236-4a0f-b1f1-c54b5b978268
23395	14	5504	2013-08-03 01:56:54.790683	2013-08-03 01:56:54.790683	\N	665ce2d1-6284-4013-baf3-ff9e85fd576f
6371	1	4901	2013-08-03 01:11:24.058344	2013-08-03 01:11:24.058344	\N	14c27154-e708-4949-847f-33e579ebac07
13224	1	5108	2013-08-03 01:32:30.394139	2013-08-03 01:32:30.394139	\N	faa03cf5-ca2d-4384-9bd9-8ba26f2bddd9
23396	14	5465	2013-08-03 01:56:54.834129	2013-08-03 01:56:54.834129	\N	d9cf0632-b2fa-4e17-b7bc-aa3791af1b49
23397	14	5513	2013-08-03 01:56:54.875267	2013-08-03 01:56:54.875267	\N	c7780166-c2e6-48d4-911b-c85bd8cee202
7846	1	4967	2013-08-03 01:15:32.806363	2013-08-03 01:15:32.806363	\N	a1cea70b-b48c-495d-9509-e6dd179b9608
20622	1	5399	2013-08-03 01:50:55.879941	2013-08-03 01:50:55.879941	\N	1135e2ff-1892-4052-8ae3-6753321f9a6b
8387	14	4967	2013-08-03 01:17:04.084604	2013-08-03 01:17:04.084604	\N	84b38fd8-fc0d-47c9-b3e7-95e910d92062
9328	11	4982	2013-08-03 01:19:59.470979	2013-08-03 01:19:59.470979	\N	33d46e46-a1f9-4176-ad30-c8a4858ce332
9333	11	5030	2013-08-03 01:20:00.338224	2013-08-03 01:20:00.338224	\N	b1d6e7b2-185d-4ea7-a1ab-1f606d827cbf
23398	14	5483	2013-08-03 01:56:54.904871	2013-08-03 01:56:54.904871	\N	aac68445-141e-4ef2-a1be-257a2f796fe2
25902	11	5762	2013-08-03 02:11:52.673733	2013-08-03 02:11:52.673733	\N	229b8d27-fb3a-43b6-a86a-af2078891a26
26320	12	5717	2013-08-03 02:13:46.228051	2013-08-03 02:13:46.228051	\N	cfdfa8ea-1b77-4961-a4c2-62a0617f9590
29621	17	5987	2013-08-03 02:30:49.941765	2013-08-03 02:30:49.941765	\N	15ab964d-061a-4f50-999b-2f9d46b8c698
32457	1	6437	2013-08-03 02:53:41.748689	2013-08-03 02:53:41.748689	\N	e018dd8f-f087-405f-ad09-0d464fb834ad
31963	2	6315	2013-08-03 02:49:40.212093	2013-08-03 02:49:40.212093	\N	c71d6c14-8ef6-4c30-8a98-c168835f0df6
26022	1	5717	2013-08-03 02:12:20.54947	2013-08-03 02:12:20.54947	\N	de894b91-201e-4f36-9377-daa54b1aef01
11521	14	5084	2013-08-03 01:27:04.648624	2013-08-03 01:27:04.648624	\N	aa2f3719-dbc9-4bc6-a1f0-fa1a9a009e31
15375	1	5279	2013-08-03 01:39:50.04001	2013-08-03 01:39:50.04001	\N	0873b2d4-ae01-4e31-a2db-8737e6b5523f
32501	14	6437	2013-08-03 02:54:11.156498	2013-08-03 02:54:11.156498	\N	1bd7a399-2bb5-4bd6-9c4a-981656a39b14
32502	14	6389	2013-08-03 02:54:11.198736	2013-08-03 02:54:11.198736	\N	6368e02c-ecec-4bc1-a144-5ae703f9ea42
32503	14	6428	2013-08-03 02:54:11.241433	2013-08-03 02:54:11.241433	\N	0d83155c-185a-4239-86bf-2e14ede7e1dc
7869	11	4919	2013-08-03 01:15:35.208214	2013-08-03 01:15:35.208214	\N	2d2f30ac-c258-4be0-a07f-649fc1dccfd1
31227	2	6264	2013-08-03 02:43:40.230157	2013-08-03 02:43:40.230157	\N	92aee5f1-2aca-4965-b70c-10e2bff986ec
7873	11	4937	2013-08-03 01:15:35.447334	2013-08-03 01:15:35.447334	\N	fee9f6a1-4451-4728-8bd6-d53111889bc0
27992	1	5924	2013-08-03 02:21:54.059479	2013-08-03 02:21:54.059479	\N	eb71ff4e-469e-49e1-a927-d16bceae91fe
11529	19	5063	2013-08-03 01:27:07.555786	2013-08-03 01:27:07.555786	\N	aa50a495-743c-4d30-8423-ca254dde7f21
31228	2	6231	2013-08-03 02:43:40.329436	2013-08-03 02:43:40.329436	\N	97558f96-6a52-4ecc-b17e-381863ef5086
24852	10	5588	2013-08-03 02:05:44.851963	2013-08-03 02:05:44.851963	\N	a4594f33-9abe-4cb5-bf56-245842fb0717
33411	2	6477	2013-08-03 02:58:40.357878	2013-08-03 02:58:40.357878	\N	4304eab5-4e2d-48e7-a9de-6bda3baf7798
15387	1	5282	2013-08-03 01:39:52.560997	2013-08-03 01:39:52.560997	\N	0e0dbef7-0cf0-4395-9a22-87dd3720a015
35169	15	6857	2013-08-03 17:19:52.489058	2013-08-03 17:19:52.489058	\N	eeba5846-d9c5-4d70-92b9-c4a0f09e8dcf
32513	1	6389	2013-08-03 02:54:26.598066	2013-08-03 02:54:26.598066	\N	4e84e0c7-76c8-43ad-a5ae-4d4553ad9c02
30451	17	6176	2013-08-03 02:37:57.646584	2013-08-03 02:37:57.646584	\N	96852765-2f46-42eb-83bc-e34968eb6ca2
26340	12	5735	2013-08-03 02:13:50.09874	2013-08-03 02:13:50.09874	\N	0b8f0419-c597-46b5-934d-9614cee1d890
9359	1	5027	2013-08-03 01:20:04.366509	2013-08-03 01:20:04.366509	\N	ace55240-e6a3-4fcc-b786-dceb8c382137
30452	11	6176	2013-08-03 02:37:57.81334	2013-08-03 02:37:57.81334	\N	41c0924b-16d2-436f-aff1-07134c4105d3
30453	17	6155	2013-08-03 02:37:57.960064	2013-08-03 02:37:57.960064	\N	296cfc27-b91b-4b4c-b9c5-2034d1d33f74
27166	4	5849	2013-08-03 02:17:52.112956	2013-08-03 02:17:52.112956	\N	2f2fcc42-4ad4-4490-9678-4ccac467090c
11615	19	5093	2013-08-03 01:27:22.737007	2013-08-03 01:27:22.737007	\N	6935a2c0-6849-4487-a456-e722c2c99a07
30496	8	6176	2013-08-03 02:38:06.444224	2013-08-03 02:38:06.444224	\N	b06d4fff-78ac-49c8-8332-fb7fcc57ec87
30506	8	6182	2013-08-03 02:38:10.810506	2013-08-03 02:38:10.810506	\N	e26a0e3a-50d4-400a-9f66-f412de40fb14
31725	17	6305	2013-08-03 02:48:11.8019	2013-08-03 02:48:11.8019	\N	a70afc01-ae2b-4b9e-aec8-16296c649cd4
11023	7	5063	2013-08-03 01:25:26.12337	2013-08-03 01:25:26.12337	\N	7d39d112-3ac9-4a98-aec7-31be95807157
11024	7	5093	2013-08-03 01:25:27.272904	2013-08-03 01:25:27.272904	\N	ddaf98c9-3814-4a70-8a54-d277c4d6e8a8
11025	7	5084	2013-08-03 01:25:27.415741	2013-08-03 01:25:27.415741	\N	5fe1d556-6b17-482c-a6c3-4513a77cb878
11026	7	5075	2013-08-03 01:25:27.490023	2013-08-03 01:25:27.490023	\N	da1d64d0-cdea-4fc4-ba43-241fdf2f9f36
25073	8	5597	2013-08-03 02:07:23.850364	2013-08-03 02:07:23.850364	\N	8a5e0097-d15f-4174-a35a-2af3a89989e9
30858	19	6182	2013-08-03 02:40:43.826022	2013-08-03 02:40:43.826022	\N	80d0b30c-ebbd-4c76-860c-54613a7f3bd0
9392	1	5030	2013-08-03 01:20:10.616717	2013-08-03 01:20:10.616717	\N	030eb2eb-d12e-4ece-9cfd-f195cc9b9e59
30859	19	6185	2013-08-03 02:40:44.32726	2013-08-03 02:40:44.32726	\N	91f6da60-1de1-4c9a-99bf-696ceeac0be7
25803	7	5717	2013-08-03 02:11:10.697172	2013-08-03 02:11:10.697172	\N	834dc2b9-9347-4261-9e45-eb932870fe01
31728	8	6305	2013-08-03 02:48:14.181713	2013-08-03 02:48:14.181713	\N	5ffa14b6-26d6-4e2c-9672-9c38c0d47d01
25089	12	5672	2013-08-03 02:07:29.170265	2013-08-03 02:07:29.170265	\N	e481d088-8e11-407a-814c-d9f1c0a2cf02
31251	8	6260	2013-08-03 02:43:46.800983	2013-08-03 02:43:46.800983	\N	b9fcbbb8-e076-465d-b29f-1b8fac83d8b9
11626	1	5084	2013-08-03 01:27:24.744994	2013-08-03 01:27:24.744994	\N	68b23076-aaba-409e-b1ae-b0f81376c934
25806	11	5717	2013-08-03 02:11:10.908629	2013-08-03 02:11:10.908629	\N	87b8f812-dc12-4a94-b46e-da78538787b4
7503	14	4949	2013-08-03 01:14:32.792779	2013-08-03 01:14:32.792779	\N	359c4039-2e98-48b9-ad47-21942c0fa3cc
7504	14	4937	2013-08-03 01:14:32.860505	2013-08-03 01:14:32.860505	\N	f798573f-0227-42da-bb59-44f91ec98ca4
31731	11	6344	2013-08-03 02:48:15.304228	2013-08-03 02:48:15.304228	\N	b442b3ee-0fba-4372-8c6a-91daf30d6726
9467	14	5030	2013-08-03 01:20:23.991954	2013-08-03 01:20:23.991954	\N	9e66b37f-5e52-4a7a-9aea-22b7b6cc4ede
9469	14	5027	2013-08-03 01:20:24.054109	2013-08-03 01:20:24.054109	\N	d3c84c36-f1b6-4759-919a-4bfc300c8983
9470	14	5021	2013-08-03 01:20:24.152779	2013-08-03 01:20:24.152779	\N	0c635cc1-0def-4f13-865d-bd2959a51e49
31732	11	6323	2013-08-03 02:48:15.482197	2013-08-03 02:48:15.482197	\N	8138fea8-84e3-48cd-b5cb-a0ee14419d90
15187	7	5282	2013-08-03 01:39:20.669589	2013-08-03 01:39:20.669589	\N	f55bc6d8-0420-4693-bcc4-c1033e3cf09b
29131	1	6014	2013-08-03 02:27:42.499863	2013-08-03 02:27:42.499863	\N	90c5e99b-e351-4836-a61b-05191e74f8fd
29132	16	5982	2013-08-03 02:27:43.646812	2013-08-03 02:27:43.646812	\N	718024c0-7194-4fe3-83aa-fc3d774ae48d
29133	1	6017	2013-08-03 02:27:44.486785	2013-08-03 02:27:44.486785	\N	9dc26ecf-c73c-4a9c-85fc-a00e954f7a5c
10682	2	4992	2013-08-03 01:24:10.229402	2013-08-03 01:24:10.229402	\N	03fe276f-f6aa-47c7-bad3-c0b5f1332472
31733	11	6350	2013-08-03 02:48:15.674284	2013-08-03 02:48:15.674284	\N	492198ac-e35c-47a7-b127-82d43c822265
15195	19	5234	2013-08-03 01:39:22.98795	2013-08-03 01:39:22.98795	\N	c78d4b7f-c2f8-456e-a720-96b6fa102bd5
15202	19	5264	2013-08-03 01:39:24.804795	2013-08-03 01:39:24.804795	\N	6584f607-d6c7-4476-8a2a-1fd5f08401df
15208	19	5279	2013-08-03 01:39:25.177957	2013-08-03 01:39:25.177957	\N	35e7abec-0fa3-4607-b711-471cb71de188
31734	11	6353	2013-08-03 02:48:15.853719	2013-08-03 02:48:15.853719	\N	42c042c6-688a-4c83-a6e7-567746bafc36
28676	19	5924	2013-08-03 02:24:25.922814	2013-08-03 02:24:25.922814	\N	116d4ed4-a477-4364-9a9e-fc9f5af37ae0
9206	7	5000	2013-08-03 01:19:35.970079	2013-08-03 01:19:35.970079	\N	84166a2e-7c40-4649-9505-257fe0c966db
15211	19	5282	2013-08-03 01:39:25.430224	2013-08-03 01:39:25.430224	\N	85ace53d-6018-4490-93a8-b35f5c4af944
4088	14	4811	2013-08-03 01:03:43.501317	2013-08-03 01:03:43.501317	\N	ae588e47-86de-42ee-8b01-6048ac031ec3
23153	7	5504	2013-08-03 01:56:04.526726	2013-08-03 01:56:04.526726	\N	d1bc22b5-dc21-4c82-b0b9-85164faa6f03
23154	7	5510	2013-08-03 01:56:04.595113	2013-08-03 01:56:04.595113	\N	9658392f-3b5f-4c4a-929c-cc37bb4bb317
23156	7	5483	2013-08-03 01:56:04.687622	2013-08-03 01:56:04.687622	\N	dc161a4a-ff3c-4687-874b-f7a264357287
20696	1	5426	2013-08-03 01:51:04.128791	2013-08-03 01:51:04.128791	\N	7a70b3b1-6bc4-4e3f-82fb-992a460218bc
25901	11	5735	2013-08-03 02:11:52.482603	2013-08-03 02:11:52.482603	\N	f5e3c51a-4648-4bd5-95b5-94ffc71e728a
7428	1	4958	2013-08-03 01:14:19.135459	2013-08-03 01:14:19.135459	\N	3fb1cd93-9004-4406-9a74-3adeaada8bd1
17781	2	5331	2013-08-03 01:45:40.502105	2013-08-03 01:45:40.502105	\N	37ffcff2-7892-432c-8132-5f7fb3e8c552
17782	2	5316	2013-08-03 01:45:40.545389	2013-08-03 01:45:40.545389	\N	5f20b73d-6e1f-4668-97e0-c574ad15d44f
11519	14	5075	2013-08-03 01:27:04.624359	2013-08-03 01:27:04.624359	\N	dbaa5755-7dd0-4b3c-95f4-0bbda591edfc
7663	19	4958	2013-08-03 01:15:02.663159	2013-08-03 01:15:02.663159	\N	c2453924-05be-4f81-8d3b-6300f70be9ed
25903	11	5765	2013-08-03 02:11:52.848091	2013-08-03 02:11:52.848091	\N	b9f13bd7-b0ea-4871-95f8-5377bef33c3f
17794	1	5297	2013-08-03 01:45:42.5145	2013-08-03 01:45:42.5145	\N	1c049dc1-e6ac-498b-8ca2-32724fa8c7c1
19604	19	5342	2013-08-03 01:48:53.939456	2013-08-03 01:48:53.939456	\N	e9a0639b-aa20-4c04-abb0-f19acf784d67
4798	7	4901	2013-08-03 01:07:10.449921	2013-08-03 01:07:10.449921	\N	d1bc0c36-f3a2-4cd5-b1a3-5bd8b2238981
20701	4	5381	2013-08-03 01:51:04.329507	2013-08-03 01:51:04.329507	\N	68dde16a-20cc-4df3-b069-65f3d4ba08ff
18966	2	5304	2013-08-03 01:47:40.380815	2013-08-03 01:47:40.380815	\N	346d0152-37c1-42df-97ad-a9db4366de8c
9329	11	5021	2013-08-03 01:19:59.687805	2013-08-03 01:19:59.687805	\N	8181eaf9-8ad4-43c2-8fa4-862e34df47eb
9330	11	5000	2013-08-03 01:19:59.839764	2013-08-03 01:19:59.839764	\N	802a5e88-cbc5-4af9-927b-f40c336afef0
9331	11	5012	2013-08-03 01:19:59.997131	2013-08-03 01:19:59.997131	\N	325646c7-702b-4748-b3e3-6e00602218a2
9332	11	5027	2013-08-03 01:20:00.156832	2013-08-03 01:20:00.156832	\N	bf8bc24c-71ed-421a-a44e-fbbf6835ece6
20702	4	5420	2013-08-03 01:51:04.353068	2013-08-03 01:51:04.353068	\N	102b038d-c920-4d31-8f42-0d6b940e5da8
20703	4	5399	2013-08-03 01:51:04.380647	2013-08-03 01:51:04.380647	\N	d05ddf8a-f829-40ad-af7b-57221feea71a
9360	14	4982	2013-08-03 01:20:04.962647	2013-08-03 01:20:04.962647	\N	c3d86203-69fd-4a1c-80ce-d58359c2aa54
9361	14	5012	2013-08-03 01:20:05.064183	2013-08-03 01:20:05.064183	\N	e9f1f550-e2ff-42a4-9299-d800a1d21b7d
9362	14	5000	2013-08-03 01:20:05.097683	2013-08-03 01:20:05.097683	\N	ac9f7256-f3fd-4ae6-94df-923ad4022a37
20704	4	5411	2013-08-03 01:51:04.413634	2013-08-03 01:51:04.413634	\N	a7c3b894-f8b5-46b9-be1e-b2b38f871185
4848	7	4886	2013-08-03 01:07:27.396169	2013-08-03 01:07:27.396169	\N	d134eb0e-dc56-409d-b241-0eb40f84c91d
20705	4	5426	2013-08-03 01:51:04.446375	2013-08-03 01:51:04.446375	\N	ca4e524b-b1a2-4b60-b6c9-1b9545c63845
20706	4	5429	2013-08-03 01:51:04.477772	2013-08-03 01:51:04.477772	\N	105245d0-0633-43b6-b081-6d0a519d40f9
15253	1	5234	2013-08-03 01:39:31.368089	2013-08-03 01:39:31.368089	\N	d1f49843-de55-4ea1-b5d7-797bb39ffe17
15254	11	5234	2013-08-03 01:39:31.869436	2013-08-03 01:39:31.869436	\N	fc85f79d-9cb2-40aa-8898-bc8b019018c3
15255	11	5273	2013-08-03 01:39:32.026387	2013-08-03 01:39:32.026387	\N	6aaa8b3c-2491-4dc7-97f8-3c444d9748fb
14304	8	5156	2013-08-03 01:36:16.721097	2013-08-03 01:36:16.721097	\N	849ffbdd-c2d9-4a11-9f7f-c12728e3aa57
11131	4	5045	2013-08-03 01:25:57.046762	2013-08-03 01:25:57.046762	\N	307edd0f-6ebe-4919-bf72-904e7eef2efe
11132	4	5084	2013-08-03 01:25:57.133256	2013-08-03 01:25:57.133256	\N	77b9eebb-9803-4bde-968a-aa35751ff2af
9706	2	4986	2013-08-03 01:21:10.030782	2013-08-03 01:21:10.030782	\N	056dd52c-ca74-450d-b531-296467e86a91
11133	4	5063	2013-08-03 01:25:57.163077	2013-08-03 01:25:57.163077	\N	aa8852cb-0484-4cce-a823-b4dc016a70ab
5551	19	4910	2013-08-03 01:09:16.150804	2013-08-03 01:09:16.150804	\N	48118e3c-c4af-4aec-bc88-d287bd1e63d6
11134	4	5075	2013-08-03 01:25:57.208191	2013-08-03 01:25:57.208191	\N	57e5feee-17c6-4ff0-bc85-7da74e381d78
11135	4	5090	2013-08-03 01:25:57.237662	2013-08-03 01:25:57.237662	\N	1f19fbd4-9fa2-4f86-8a3b-f28c6f10ac8e
6411	11	4901	2013-08-03 01:11:28.644256	2013-08-03 01:11:28.644256	\N	d7adfc1d-b9c9-4b45-9719-626f7f4c947e
11136	4	5093	2013-08-03 01:25:57.278375	2013-08-03 01:25:57.278375	\N	e2b0effb-021c-47fc-9003-a456e1507dc8
15257	11	5264	2013-08-03 01:39:32.363676	2013-08-03 01:39:32.363676	\N	1507f1a4-fc9c-45c1-a37a-a458f9946bac
7505	11	4946	2013-08-03 01:14:33.487244	2013-08-03 01:14:33.487244	\N	0678b3bb-07f5-4f04-8f8d-0c9edaca2ffe
7506	11	4949	2013-08-03 01:14:33.712534	2013-08-03 01:14:33.712534	\N	639f5271-1b21-4550-af00-4d7cd598ffc4
26321	12	5756	2013-08-03 02:13:47.191741	2013-08-03 02:13:47.191741	\N	b78f9cad-f5f5-4eb5-a22e-43d9110077b8
27993	1	5903	2013-08-03 02:21:56.748984	2013-08-03 02:21:56.748984	\N	3d512efe-d7ba-4e6f-8e53-3b48a4ac0010
15349	1	5264	2013-08-03 01:39:47.424295	2013-08-03 01:39:47.424295	\N	481726e4-5484-4df1-9588-4c24b42235b9
9419	19	4982	2013-08-03 01:20:15.155764	2013-08-03 01:20:15.155764	\N	a56d531e-417d-43c9-bde6-0aa4450ef773
14020	2	5151	2013-08-03 01:35:10.078189	2013-08-03 01:35:10.078189	\N	127cd198-e10e-406b-ac6e-6e19b3841987
32458	11	6389	2013-08-03 02:53:44.024281	2013-08-03 02:53:44.024281	\N	1a2ac666-eff0-4b42-a434-3e70ace7932a
22773	12	5381	2013-08-03 01:54:38.683918	2013-08-03 01:54:38.683918	\N	ac7147af-92cc-4f4e-b4bf-ebb496fd2406
24870	7	5633	2013-08-03 02:06:07.198463	2013-08-03 02:06:07.198463	\N	54c7d3a5-7d30-4a0f-9c81-44daba38baeb
11561	2	5052	2013-08-03 01:27:10.092091	2013-08-03 01:27:10.092091	\N	31139a74-efcd-41d2-8b27-f7e079b39781
13362	19	5138	2013-08-03 01:32:53.735591	2013-08-03 01:32:53.735591	\N	a2b5a2c4-39bc-41af-8621-cd5ce2230e88
4896	4	4856	2013-08-03 01:07:34.870063	2013-08-03 01:07:34.870063	\N	76289454-d369-4386-81ae-b3b73d25ee64
4897	4	4895	2013-08-03 01:07:34.90834	2013-08-03 01:07:34.90834	\N	efbf2d93-83be-4734-91c5-8e40486bfb59
4898	4	4874	2013-08-03 01:07:34.933029	2013-08-03 01:07:34.933029	\N	efc6bbfc-596b-41bd-a36d-8d030c1a4553
4900	4	4883	2013-08-03 01:07:34.959184	2013-08-03 01:07:34.959184	\N	3eee4e21-c642-46f6-8f2d-dfdbe6a6962b
4901	4	4886	2013-08-03 01:07:34.981752	2013-08-03 01:07:34.981752	\N	18806675-fa5a-4aad-bfb8-1539170c91e5
4902	4	4901	2013-08-03 01:07:35.006979	2013-08-03 01:07:35.006979	\N	5edd6cfb-058f-4844-ab01-efb873ab0678
4904	4	4904	2013-08-03 01:07:35.040075	2013-08-03 01:07:35.040075	\N	4f8b9784-7d09-4c53-a67d-2af589ba4c7e
4905	4	4910	2013-08-03 01:07:35.075714	2013-08-03 01:07:35.075714	\N	7f3e09f3-d70a-49f4-abbe-d6296cad0139
13363	2	5118	2013-08-03 01:32:53.939412	2013-08-03 01:32:53.939412	\N	1094ced6-a7b2-4c24-a22e-01b95364bbd8
17822	11	5345	2013-08-03 01:45:45.033566	2013-08-03 01:45:45.033566	\N	4949aca1-06ca-4f81-83f6-6a258a1c6db4
32459	11	6428	2013-08-03 02:53:44.268321	2013-08-03 02:53:44.268321	\N	cf369e23-619e-43c3-bc0d-1003aa7a5a83
32460	11	6407	2013-08-03 02:53:44.447325	2013-08-03 02:53:44.447325	\N	71ef034f-3ad9-4192-bdb6-24d89d27212e
6435	19	4856	2013-08-03 01:11:33.358833	2013-08-03 01:11:33.358833	\N	c620e0c2-5d0b-4df2-8d20-ea7ccfb784ed
17835	1	5336	2013-08-03 01:45:45.752449	2013-08-03 01:45:45.752449	\N	2a2f4ab6-bcda-4034-afe0-079a2059be5d
9495	19	5000	2013-08-03 01:20:31.232973	2013-08-03 01:20:31.232973	\N	4bf89248-94f5-41e8-bb4b-ea0332eda5fd
5614	11	4886	2013-08-03 01:09:25.83717	2013-08-03 01:09:25.83717	\N	6aa7b181-8b2c-419b-8668-346333cc1293
8388	14	4973	2013-08-03 01:17:04.086803	2013-08-03 01:17:04.086803	\N	d12b669f-6b18-4567-a8c7-abbe292f3fc3
7739	19	4937	2013-08-03 01:15:13.198258	2013-08-03 01:15:13.198258	\N	4f13e13e-9b50-44c7-9182-346640fe70f0
13445	19	5147	2013-08-03 01:33:08.469477	2013-08-03 01:33:08.469477	\N	1a5a2ec5-c75f-43c3-b510-455b35434342
11570	19	5075	2013-08-03 01:27:12.346212	2013-08-03 01:27:12.346212	\N	e2d545d5-f9db-482c-a891-e8f9d7d2ff2c
24873	7	5681	2013-08-03 02:06:07.455022	2013-08-03 02:06:07.455022	\N	0f77f802-8581-4938-870a-2cd544154124
26339	10	5762	2013-08-03 02:13:50.084212	2013-08-03 02:13:50.084212	\N	eeb3ac06-4910-442a-a2e9-053ebfe64797
30449	17	6137	2013-08-03 02:37:57.478249	2013-08-03 02:37:57.478249	\N	1b68e1a9-143e-478c-a604-56a8b025395d
30450	11	6137	2013-08-03 02:37:57.621367	2013-08-03 02:37:57.621367	\N	0af89809-a12f-4838-819e-ea02953cf3ff
6780	11	4895	2013-08-03 01:12:30.087248	2013-08-03 01:12:30.087248	\N	ead6bb17-adfd-47c9-ae39-ea051b479412
24878	7	5672	2013-08-03 02:06:07.880711	2013-08-03 02:06:07.880711	\N	7613e1ae-b755-4f38-a3ac-94110b0751f7
24900	1	5678	2013-08-03 02:06:17.878137	2013-08-03 02:06:17.878137	\N	2acb66ee-f63c-47bc-8d4f-548e4660fa2c
11860	2	5055	2013-08-03 01:28:10.621742	2013-08-03 01:28:10.621742	\N	2fe6b905-b588-426b-aa04-1c60829a16c0
24906	1	5681	2013-08-03 02:06:21.106191	2013-08-03 02:06:21.106191	\N	429dfa5b-dd1c-4d26-921e-9f44ab724ff6
24907	11	5633	2013-08-03 02:06:22.281561	2013-08-03 02:06:22.281561	\N	6fe63feb-3da2-4f2b-b6c4-577e970567a1
24908	11	5672	2013-08-03 02:06:22.511565	2013-08-03 02:06:22.511565	\N	8f8c67e1-5e23-463a-8973-f6318280ae34
11582	1	5045	2013-08-03 01:27:13.213453	2013-08-03 01:27:13.213453	\N	f1003276-7bec-42e7-a2ed-44eddf32b670
7772	19	4949	2013-08-03 01:15:22.004832	2013-08-03 01:15:22.004832	\N	4a77a4ab-3cd9-4fac-92f0-9db348f64e43
24909	11	5651	2013-08-03 02:06:22.701078	2013-08-03 02:06:22.701078	\N	d7b93bec-e49d-4661-8e5c-6b7374e2d583
24910	11	5678	2013-08-03 02:06:22.87165	2013-08-03 02:06:22.87165	\N	ba79a07b-90bd-4aef-b2a3-d733e480ef5e
24911	11	5681	2013-08-03 02:06:23.029036	2013-08-03 02:06:23.029036	\N	331d6ec8-9c5d-4896-84ba-d862f63978c3
30454	11	6155	2013-08-03 02:37:58.004625	2013-08-03 02:37:58.004625	\N	36423113-f952-4c23-8258-f0e370b76c21
30380	7	6182	2013-08-03 02:37:22.084044	2013-08-03 02:37:22.084044	\N	c6494d78-0511-4d79-83a5-155d97f9b0fc
30381	4	6137	2013-08-03 02:37:23.245168	2013-08-03 02:37:23.245168	\N	3ffb087b-37ec-4e8d-9f27-30f21bb52f3b
30382	4	6176	2013-08-03 02:37:23.329326	2013-08-03 02:37:23.329326	\N	bb1e5ee7-e5b1-4636-8c0d-82bb63bbd2d1
30383	4	6155	2013-08-03 02:37:23.363148	2013-08-03 02:37:23.363148	\N	eda9daa0-62e8-427b-94c6-cda09baebea0
20819	11	5381	2013-08-03 01:51:15.276974	2013-08-03 01:51:15.276974	\N	0d93a5da-5515-42c2-8934-d344dc693eac
26079	1	5765	2013-08-03 02:12:34.60111	2013-08-03 02:12:34.60111	\N	9aca9411-868c-4feb-bbc6-1a46b72fe9c8
30384	4	6185	2013-08-03 02:37:23.398403	2013-08-03 02:37:23.398403	\N	6cfbf304-8669-495c-a40f-d284216108df
20825	11	5399	2013-08-03 01:51:15.610755	2013-08-03 01:51:15.610755	\N	177830d9-b7d1-4695-bd1c-ee575a0626c2
32461	11	6437	2013-08-03 02:53:44.638419	2013-08-03 02:53:44.638419	\N	713a3223-4a10-4e13-bb7b-e8cd59a14214
14105	12	5147	2013-08-03 01:35:35.253538	2013-08-03 01:35:35.253538	\N	80d3d8ad-2978-4012-9a10-70f1da4757be
32462	4	6389	2013-08-03 02:53:50.313083	2013-08-03 02:53:50.313083	\N	fea0d920-8565-46ef-96de-1952f6f4ed72
11598	19	5090	2013-08-03 01:27:16.775802	2013-08-03 01:27:16.775802	\N	648d82ed-d8f8-451c-acbf-d33e19ff4d6f
32463	4	6428	2013-08-03 02:53:50.470711	2013-08-03 02:53:50.470711	\N	69ed9c8e-e67c-4cef-9cb6-8754e6d01a14
30395	1	6176	2013-08-03 02:37:32.000456	2013-08-03 02:37:32.000456	\N	ea9da2a3-26d0-4fd1-b9f8-4fe32f662e0e
4089	14	4823	2013-08-03 01:03:43.506297	2013-08-03 01:03:43.506297	\N	471a069d-bad6-42c4-8ed6-1ad051ebf82d
4093	14	4793	2013-08-03 01:03:43.538638	2013-08-03 01:03:43.538638	\N	ddac4ad9-7077-4962-a36d-e343466920ea
23158	7	5513	2013-08-03 01:56:04.775907	2013-08-03 01:56:04.775907	\N	f7ba9a25-06a8-4b08-bd8b-4451abb70201
29663	16	5976	2013-08-03 02:31:10.591407	2013-08-03 02:31:10.591407	\N	5dd40b67-5c0a-461c-9637-5f8d8b079d48
30455	11	6182	2013-08-03 02:37:58.201805	2013-08-03 02:37:58.201805	\N	6de4fba0-25d3-46df-ba27-f27004b2f62d
4103	19	4838	2013-08-03 01:04:04.221978	2013-08-03 01:04:04.221978	\N	9e5ee118-52c6-4d92-ad38-77bdfa8dd182
32464	4	6407	2013-08-03 02:53:50.504956	2013-08-03 02:53:50.504956	\N	229ef2d4-4422-4a4d-bc08-5e1cdb1b2aec
30457	11	6185	2013-08-03 02:37:58.387312	2013-08-03 02:37:58.387312	\N	b9728353-1023-45c3-aeab-974f7a358081
32465	4	6437	2013-08-03 02:53:50.553045	2013-08-03 02:53:50.553045	\N	9f3293ae-c43b-4292-90e5-85455cb28c96
13191	7	5147	2013-08-03 01:32:15.370038	2013-08-03 01:32:15.370038	\N	885d5a91-f0a6-4e0d-b5e7-a1c7e7eed93b
4794	7	4895	2013-08-03 01:07:10.078307	2013-08-03 01:07:10.078307	\N	4d9220bc-ae7c-4a4c-88a1-ec3485eb81b6
4795	7	4910	2013-08-03 01:07:10.167512	2013-08-03 01:07:10.167512	\N	67a2924a-a34c-49ca-9a05-239d62ddeddb
4797	7	4883	2013-08-03 01:07:10.342304	2013-08-03 01:07:10.342304	\N	d78360ea-540d-4bfb-93e8-307532c52647
5489	19	4904	2013-08-03 01:09:06.158624	2013-08-03 01:09:06.158624	\N	189cdfd9-e49b-4f5a-8382-30904e399c92
22782	12	5420	2013-08-03 01:54:39.609322	2013-08-03 01:54:39.609322	\N	75037880-63e9-4925-aa38-0f053ddd5032
11498	19	5084	2013-08-03 01:27:02.760822	2013-08-03 01:27:02.760822	\N	a043b308-01ea-45e4-a5fd-6adfaec4d292
4114	2	4827	2013-08-03 01:04:09.973863	2013-08-03 01:04:09.973863	\N	5249eceb-41d6-464b-8fa8-d52bdc4b3deb
11517	14	5063	2013-08-03 01:27:04.604609	2013-08-03 01:27:04.604609	\N	91a22f29-3ad6-4bce-bceb-9c5ca2665143
7754	1	4949	2013-08-03 01:15:17.511703	2013-08-03 01:15:17.511703	\N	2c8faaff-f072-4859-8640-9be3a43c161f
11520	14	5045	2013-08-03 01:27:04.646711	2013-08-03 01:27:04.646711	\N	4b4207d2-322f-4182-a97e-81cf5cc02425
5896	2	4884	2013-08-03 01:10:09.937203	2013-08-03 01:10:09.937203	\N	14987931-62ba-4460-a188-d945b507facb
32466	1	6407	2013-08-03 02:53:56.553745	2013-08-03 02:53:56.553745	\N	43283f48-7f46-4e9e-8a1c-f73c725d0eda
13204	7	5126	2013-08-03 01:32:20.807939	2013-08-03 01:32:20.807939	\N	60ec4333-7938-4c7b-b4fb-805f439ebb54
33413	1	6491	2013-08-03 02:58:41.67341	2013-08-03 02:58:41.67341	\N	f6660c07-86da-451f-95f9-8b96288c492f
13387	19	5126	2013-08-03 01:33:00.783311	2013-08-03 01:33:00.783311	\N	32e70a6f-6fb5-472c-99ea-842416654e1a
25101	12	5651	2013-08-03 02:07:32.098367	2013-08-03 02:07:32.098367	\N	bb3924ac-fe32-4d90-9a89-d9490340e637
33414	1	6512	2013-08-03 02:58:41.891459	2013-08-03 02:58:41.891459	\N	0d50600e-e834-41bc-9b0f-eecba68e31b5
51059	10	7615	2013-08-03 18:00:53.422994	2013-08-03 18:00:53.422994	\N	09a25e4d-854d-4d8e-8e9d-035a76c79bde
9471	19	5021	2013-08-03 01:20:24.673856	2013-08-03 01:20:24.673856	\N	e81b4593-2aaf-471a-b6a5-80aa1621529d
26025	1	5756	2013-08-03 02:12:25.752752	2013-08-03 02:12:25.752752	\N	0c906a4e-d10b-4e0e-804f-3faa7eadeb2c
26875	1	5840	2013-08-03 02:16:36.502645	2013-08-03 02:16:36.502645	\N	de6a1951-71f1-4d04-af79-a4a827aa3d5e
26880	2	5846	2013-08-03 02:16:39.947744	2013-08-03 02:16:39.947744	\N	d7c8b2f0-d7b7-4cfd-a03f-53a96a58c927
26881	2	5820	2013-08-03 02:16:39.996005	2013-08-03 02:16:39.996005	\N	f2f9cda9-df2e-4fcd-859d-e18704da3807
11604	12	5045	2013-08-03 01:27:18.49532	2013-08-03 01:27:18.49532	\N	b9120435-7b65-4ef5-aa1b-bd8974168d89
26882	2	5835	2013-08-03 02:16:40.042699	2013-08-03 02:16:40.042699	\N	f3cc218e-534d-4e3b-8d66-8c933bf290c7
26883	11	5801	2013-08-03 02:16:40.820409	2013-08-03 02:16:40.820409	\N	5eeda742-0493-427e-a4fe-afd697e66616
11641	1	5063	2013-08-03 01:27:29.460685	2013-08-03 01:27:29.460685	\N	8be1bdd2-fac1-4e5c-857e-02f055852be2
24017	2	5588	2013-08-03 02:01:09.046558	2013-08-03 02:01:09.046558	\N	3666a9d6-0ed0-431b-9781-f070a1fcb5bb
23284	12	5465	2013-08-03 01:56:33.069919	2013-08-03 01:56:33.069919	\N	48bcea65-ee39-431d-8afa-35408bc2587b
23285	12	5504	2013-08-03 01:56:34.027836	2013-08-03 01:56:34.027836	\N	3eb6338e-61c9-40a0-ab1b-16ae41290d3c
15492	11	5282	2013-08-03 01:40:14.077859	2013-08-03 01:40:14.077859	\N	a97cb6b4-f330-4428-b4e0-8b8b31c2b8fe
5224	19	4883	2013-08-03 01:08:23.25241	2013-08-03 01:08:23.25241	\N	9ed027f7-d51b-45ef-9abc-095b7b84b781
23286	12	5483	2013-08-03 01:56:36.919925	2013-08-03 01:56:36.919925	\N	32bbb9ef-7ca6-47bf-8cb2-517619abc6f1
17814	11	5297	2013-08-03 01:45:44.200325	2013-08-03 01:45:44.200325	\N	5139eaf1-3f69-4263-9c2f-cbb4a7298fc8
24018	2	5567	2013-08-03 02:01:09.085542	2013-08-03 02:01:09.085542	\N	43f3bb7d-2a34-4897-a918-6af92c34ad68
4568	11	4811	2013-08-03 01:06:21.644953	2013-08-03 01:06:21.644953	\N	d3f440ef-b739-4571-9297-2587093797ba
17816	11	5336	2013-08-03 01:45:44.383489	2013-08-03 01:45:44.383489	\N	82670e2f-d26b-4f99-a82a-1723efe17ea0
4570	11	4838	2013-08-03 01:06:21.807845	2013-08-03 01:06:21.807845	\N	690a2710-1b22-4f42-b585-40b49994f0fe
17817	11	5315	2013-08-03 01:45:44.554319	2013-08-03 01:45:44.554319	\N	fd36702e-7e69-44a0-9104-7df91abddfb7
11651	1	5075	2013-08-03 01:27:33.124311	2013-08-03 01:27:33.124311	\N	a86e94ab-4d3c-4ef0-9560-25f4eaef5aa9
17818	11	5327	2013-08-03 01:45:44.722907	2013-08-03 01:45:44.722907	\N	6bfc4819-00f6-42cf-b992-84832c3c12a9
17819	11	5342	2013-08-03 01:45:44.891834	2013-08-03 01:45:44.891834	\N	a7895f67-8a72-4b02-b0f5-610c7054ae68
24020	2	5597	2013-08-03 02:01:09.109762	2013-08-03 02:01:09.109762	\N	4d67e2fe-6563-4735-88c1-3bb81e5123bc
24021	2	5594	2013-08-03 02:01:09.144018	2013-08-03 02:01:09.144018	\N	6d0b582a-51bc-40d1-afe1-04f5f81dc91c
26884	11	5840	2013-08-03 02:16:41.024416	2013-08-03 02:16:41.024416	\N	fe625a59-9153-4583-a3b3-cb8cce87361a
26885	11	5819	2013-08-03 02:16:41.187732	2013-08-03 02:16:41.187732	\N	63785c21-3a55-448f-916a-81b90d947a50
7819	1	4964	2013-08-03 01:15:28.305477	2013-08-03 01:15:28.305477	\N	0c5db8ac-3fcd-4d06-89dd-89fed1c53039
13247	1	5147	2013-08-03 01:32:34.015441	2013-08-03 01:32:34.015441	\N	8c220867-2298-464f-b9dd-f095fee824ad
26886	11	5846	2013-08-03 02:16:41.355538	2013-08-03 02:16:41.355538	\N	6a8262c3-a7a5-44b5-8e82-a38ba65d13f1
26888	1	5846	2013-08-03 02:16:41.655552	2013-08-03 02:16:41.655552	\N	e422bbd3-80de-400f-8511-2d47afcabaf2
24045	1	5588	2013-08-03 02:01:15.318835	2013-08-03 02:01:15.318835	\N	0d6dcc11-6230-4e29-a671-bd583ce70fdc
23313	12	5513	2013-08-03 01:56:40.015912	2013-08-03 01:56:40.015912	\N	047bf8ac-8eef-4ce9-b93d-8b02f1e7e125
23314	19	5504	2013-08-03 01:56:40.06955	2013-08-03 01:56:40.06955	\N	40418b28-8ec6-4898-8118-99a7da034749
23316	19	5483	2013-08-03 01:56:41.913008	2013-08-03 01:56:41.913008	\N	690a7c7e-40a5-45aa-8ceb-2ec8aa5f0f94
23317	19	5510	2013-08-03 01:56:43.04176	2013-08-03 01:56:43.04176	\N	11a2f52d-109e-4eb9-9baf-d397bfa08691
34221	12	6605	2013-08-03 17:00:32.375062	2013-08-03 17:00:32.375062	\N	3874816f-9394-4acc-a1ac-6a9d20aa5dce
15518	4	5234	2013-08-03 01:40:19.840378	2013-08-03 01:40:19.840378	\N	c8e2ab58-7da5-4dd1-81c4-94cec076dbef
15519	4	5273	2013-08-03 01:40:19.944693	2013-08-03 01:40:19.944693	\N	951feaa4-5000-4a49-b265-2630378562eb
15520	4	5252	2013-08-03 01:40:19.987246	2013-08-03 01:40:19.987246	\N	d0aa5286-00ff-4767-a340-870b194b575c
15521	4	5264	2013-08-03 01:40:20.025195	2013-08-03 01:40:20.025195	\N	86c5dc63-0cc4-40c7-828c-7c10f97deff6
15522	4	5279	2013-08-03 01:40:20.058571	2013-08-03 01:40:20.058571	\N	2570db60-f408-4401-9320-fcf86915943d
15523	4	5282	2013-08-03 01:40:20.088678	2013-08-03 01:40:20.088678	\N	9e5f1e3e-8cd2-4b8d-9a6c-601c4068988d
15524	14	5234	2013-08-03 01:40:21.481059	2013-08-03 01:40:21.481059	\N	4557711c-e328-4c7b-808a-1c3de6b37baa
15525	14	5282	2013-08-03 01:40:21.567813	2013-08-03 01:40:21.567813	\N	e8f25b48-0c60-4e7e-babf-960d5d5a90a9
15526	14	5279	2013-08-03 01:40:21.596053	2013-08-03 01:40:21.596053	\N	e5d8155f-d900-4e7c-b169-6109e26e6a73
15527	14	5273	2013-08-03 01:40:21.625881	2013-08-03 01:40:21.625881	\N	c003a7ef-439e-43fd-aa46-40bdc2b05078
15528	14	5252	2013-08-03 01:40:21.663376	2013-08-03 01:40:21.663376	\N	a850a6fc-87c3-482c-8bcb-85be897bc6dc
15529	14	5264	2013-08-03 01:40:21.704315	2013-08-03 01:40:21.704315	\N	35db28db-ad86-456b-8cfc-e4741acf4e6d
36063	17	6932	2013-08-03 17:22:53.405881	2013-08-03 17:22:53.405881	\N	e4623985-a07b-4fc5-b151-a027b5ecbe76
34224	2	6605	2013-08-03 17:00:41.552986	2013-08-03 17:00:41.552986	\N	22cd8d90-31a0-4a6d-ab6d-726a6837f880
91532	15	11687	2013-08-03 20:52:57.873922	2013-08-03 20:52:57.873922	\N	353a30af-fd21-44e6-8a70-da6357911048
23341	11	5504	2013-08-03 01:56:45.491108	2013-08-03 01:56:45.491108	\N	7b37789a-a6ff-417b-a1db-c3527d76b37a
23344	11	5483	2013-08-03 01:56:45.657334	2013-08-03 01:56:45.657334	\N	b67ef439-932d-4de4-b15b-1dc469e4b8f7
21224	14	5381	2013-08-03 01:51:53.697089	2013-08-03 01:51:53.697089	\N	cc5207ad-8eac-4456-a90e-7870b85ab5e0
21225	14	5411	2013-08-03 01:51:53.738812	2013-08-03 01:51:53.738812	\N	890bba14-22d6-4ffb-a9f4-8e05429a717b
21226	14	5420	2013-08-03 01:51:53.782488	2013-08-03 01:51:53.782488	\N	180d3055-7c91-43cf-bf26-35af18c666c5
21227	14	5426	2013-08-03 01:51:53.819365	2013-08-03 01:51:53.819365	\N	c17109fe-c3fe-4081-8cec-78f103fed8ed
21228	14	5399	2013-08-03 01:51:53.866332	2013-08-03 01:51:53.866332	\N	8dff6bdf-d4cc-4f90-a361-c8f3edeeeaea
21229	14	5429	2013-08-03 01:51:53.930734	2013-08-03 01:51:53.930734	\N	e4ba124a-90c8-4474-9cc5-439909bdcacb
34228	19	6605	2013-08-03 17:00:58.976381	2013-08-03 17:00:58.976381	\N	9b619837-a54b-4425-94ca-0c36c672cfba
71977	9	10009	2013-08-03 19:47:29.525016	2013-08-03 19:47:29.525016	\N	784ec950-1582-425e-bf4a-20a4fedf614a
34251	2	6591	2013-08-03 17:01:11.911517	2013-08-03 17:01:11.911517	\N	7fbc85a6-e48b-4a56-bcce-9b5504bc9f74
25216	10	5672	2013-08-03 02:08:12.46753	2013-08-03 02:08:12.46753	\N	ed970293-8a72-4693-998b-7ce45e06886e
23350	11	5513	2013-08-03 01:56:46.006935	2013-08-03 01:56:46.006935	\N	c142b57b-d04e-4362-9947-a0c928f9cd85
34252	11	6596	2013-08-03 17:01:24.420503	2013-08-03 17:01:24.420503	\N	99ab641c-2f57-4b87-8c25-6947e9a8d04a
34253	11	6605	2013-08-03 17:01:24.655914	2013-08-03 17:01:24.655914	\N	0c5d857d-df63-4d65-be9a-c9323e3f7e58
35176	10	6857	2013-08-03 17:20:02.622186	2013-08-03 17:20:02.622186	\N	49e86692-e679-4170-b08f-cbe59898594b
33461	7	6474	2013-08-03 02:59:01.49694	2013-08-03 02:59:01.49694	\N	942f98a9-b070-409b-9bd3-f45af265da41
72001	8	10054	2013-08-03 19:47:36.88194	2013-08-03 19:47:36.88194	\N	d723632b-78ee-4d11-a64a-a7da409c677c
43328	10	7361	2013-08-03 17:42:20.894026	2013-08-03 17:42:20.894026	\N	53a3ffcf-4279-4209-b9a4-43752309502f
57222	14	8158	2013-08-03 18:32:58.456944	2013-08-03 18:32:58.456944	\N	c8fec82d-02ed-41fb-8f1b-2806eac40ca7
31250	8	6221	2013-08-03 02:43:46.046801	2013-08-03 02:43:46.046801	\N	f60632d2-c031-40b5-9cdb-97793a2cfd8f
69246	19	9631	2013-08-03 19:36:05.091168	2013-08-03 19:36:05.091168	\N	91d4ef61-bac5-4cc3-a902-e551b7836f1d
57244	7	8149	2013-08-03 18:33:09.990179	2013-08-03 18:33:09.990179	\N	53581b81-eff2-4dcc-9cc3-116330e4fede
28994	7	6017	2013-08-03 02:26:56.899683	2013-08-03 02:26:56.899683	\N	be87576e-2590-4841-ad00-a6019c0efb65
28995	7	5987	2013-08-03 02:26:57.016776	2013-08-03 02:26:57.016776	\N	98bc220f-c39c-4334-9e84-abc3abf7fdd4
28996	11	5969	2013-08-03 02:26:58.162297	2013-08-03 02:26:58.162297	\N	2b9e7483-c1ac-4ee3-97fd-55cdd8db1442
23172	2	5484	2013-08-03 01:56:10.509122	2013-08-03 01:56:10.509122	\N	44650a1b-1fa1-483f-bd7f-eb400f6499b7
24866	7	5678	2013-08-03 02:06:06.957978	2013-08-03 02:06:06.957978	\N	d0e1899e-595b-41d8-9f79-d5e4e5c585c7
24867	1	5633	2013-08-03 02:06:07.02086	2013-08-03 02:06:07.02086	\N	455b7152-ec4d-4228-8c4a-5f6a66df6913
30854	19	6155	2013-08-03 02:40:42.849448	2013-08-03 02:40:42.849448	\N	ff6707fe-c798-41eb-9a90-1ad413f2aab6
24874	7	5651	2013-08-03 02:06:07.552403	2013-08-03 02:06:07.552403	\N	312475eb-e2f4-455e-90d8-93e15a7f6ffb
24879	4	5633	2013-08-03 02:06:08.540793	2013-08-03 02:06:08.540793	\N	557d993e-0e9a-4942-b437-dfba6fa364d7
24880	4	5672	2013-08-03 02:06:08.675971	2013-08-03 02:06:08.675971	\N	bfae2081-ebcf-4489-8143-23c0f3983743
17873	1	5315	2013-08-03 01:45:49.4619	2013-08-03 01:45:49.4619	\N	496f711b-5a2b-468e-939e-e4dde36e660d
23115	12	5426	2013-08-03 01:55:32.185868	2013-08-03 01:55:32.185868	\N	7ba8d5e5-bf6f-411f-aa57-9e423d0c80d5
23116	12	5429	2013-08-03 01:55:32.691797	2013-08-03 01:55:32.691797	\N	f64b4975-0958-4a87-af2e-5ea023ca9751
24881	4	5678	2013-08-03 02:06:08.714379	2013-08-03 02:06:08.714379	\N	f1fade3b-7568-4d78-8250-0daa0650f8b5
24882	2	5651	2013-08-03 02:06:09.098471	2013-08-03 02:06:09.098471	\N	5f47fd67-8230-4b07-b984-3036add19e23
24883	2	5672	2013-08-03 02:06:09.13917	2013-08-03 02:06:09.13917	\N	3955eb79-7bda-4b48-a340-3f256cbb6bfd
24884	2	5678	2013-08-03 02:06:09.161082	2013-08-03 02:06:09.161082	\N	46ffd085-7de5-4196-a830-87ca6a5ec839
24885	2	5681	2013-08-03 02:06:09.188666	2013-08-03 02:06:09.188666	\N	17543566-4650-45f4-a9df-ba0ccf4416b2
24886	2	5652	2013-08-03 02:06:10.269136	2013-08-03 02:06:10.269136	\N	64e7286e-5553-4b8d-876d-03f6e7ce4af4
24887	1	5672	2013-08-03 02:06:10.475231	2013-08-03 02:06:10.475231	\N	77dc2a3d-c149-4a16-8ad4-a28ecc04b30d
24888	1	5651	2013-08-03 02:06:14.368553	2013-08-03 02:06:14.368553	\N	14030fa4-3e10-420b-bbe5-91c52570374f
33415	12	6521	2013-08-03 02:58:47.782391	2013-08-03 02:58:47.782391	\N	fa6265b0-91e5-462d-a50c-a9dad69bb7a0
17699	7	5336	2013-08-03 01:45:32.995106	2013-08-03 01:45:32.995106	\N	26ea246f-9479-44c4-abf0-651c9d4510fc
28010	1	5930	2013-08-03 02:21:59.668937	2013-08-03 02:21:59.668937	\N	2006f79e-33a4-4526-aa4a-aaf40ef1d0a7
19572	19	5297	2013-08-03 01:48:49.405095	2013-08-03 01:48:49.405095	\N	735a2e22-8179-42c4-8af6-f88ca9c81d63
43212	7	7312	2013-08-03 17:42:06.212381	2013-08-03 17:42:06.212381	\N	0819c3ba-11db-4dfd-94d3-3de9df4fc71a
20729	1	5429	2013-08-03 01:51:06.575609	2013-08-03 01:51:06.575609	\N	a80971e7-8b97-4af2-870a-35ad966d641f
17910	1	5327	2013-08-03 01:45:52.155185	2013-08-03 01:45:52.155185	\N	ed93910a-6921-479b-b8d6-74311afbbb95
34215	2	6567	2013-08-03 17:00:12.22249	2013-08-03 17:00:12.22249	\N	8b8a7b10-09c1-476b-a93e-a9caa9f0d9c7
25257	8	5633	2013-08-03 02:08:26.220227	2013-08-03 02:08:26.220227	\N	58588007-ece2-4fe9-a5df-ae17c8bc0675
29424	14	5969	2013-08-03 02:29:03.421784	2013-08-03 02:29:03.421784	\N	0119dcbf-5126-4927-bd5a-ae17c243caa8
19599	19	5327	2013-08-03 01:48:53.494848	2013-08-03 01:48:53.494848	\N	cb8888c7-bf44-4396-aadf-0d5eb68ba44e
26848	8	5801	2013-08-03 02:16:27.568265	2013-08-03 02:16:27.568265	\N	422e9abb-77a3-4db8-91b3-2d93ab6ac53c
26849	8	5840	2013-08-03 02:16:28.646065	2013-08-03 02:16:28.646065	\N	5d63307c-64fb-4930-878a-110889789f70
26851	1	5801	2013-08-03 02:16:32.985951	2013-08-03 02:16:32.985951	\N	41251005-aba0-4ba0-9cc5-387c62595afe
26852	7	5846	2013-08-03 02:16:33.119512	2013-08-03 02:16:33.119512	\N	615bb451-35eb-43c4-a477-0ab7243a2e8b
26853	8	5849	2013-08-03 02:16:33.226161	2013-08-03 02:16:33.226161	\N	b5a21a96-c267-4285-95f4-f256bf307a4c
29426	14	6014	2013-08-03 02:29:03.562216	2013-08-03 02:29:03.562216	\N	9d2f97e8-50e7-4eb5-8af2-61ed3a696b6c
29427	14	6008	2013-08-03 02:29:03.61034	2013-08-03 02:29:03.61034	\N	76e1dfa1-63ea-4d38-8ef4-eede092df888
29428	14	6017	2013-08-03 02:29:03.642904	2013-08-03 02:29:03.642904	\N	81fd6f2e-8542-4863-aa23-91c34d3e0ad8
20829	11	5411	2013-08-03 01:51:15.750907	2013-08-03 01:51:15.750907	\N	d2ee8ff8-9934-4e45-b098-619db8f67966
20832	11	5426	2013-08-03 01:51:15.907619	2013-08-03 01:51:15.907619	\N	79b41def-dad9-4f04-9742-a0788b924112
34216	2	6561	2013-08-03 17:00:12.264857	2013-08-03 17:00:12.264857	\N	3dfa2378-72b0-4b30-a1f0-1122cba4a4bc
20834	11	5429	2013-08-03 01:51:16.059999	2013-08-03 01:51:16.059999	\N	4c77312b-21b6-4b37-b28e-fc26d51f15ae
28018	14	5903	2013-08-03 02:22:01.678976	2013-08-03 02:22:01.678976	\N	0dc5e76f-e890-4ee0-944f-7b427eb5f857
26937	14	5819	2013-08-03 02:16:59.815177	2013-08-03 02:16:59.815177	\N	38cfa9e8-1c3a-4b53-97aa-6dd92e80b018
26938	14	5849	2013-08-03 02:16:59.879376	2013-08-03 02:16:59.879376	\N	790bb6d8-62ef-4782-9352-5cb8ed23fa15
26939	14	5840	2013-08-03 02:16:59.940323	2013-08-03 02:16:59.940323	\N	d32bda09-2793-407b-908c-757d9ef0fb21
17935	1	5342	2013-08-03 01:45:54.814138	2013-08-03 01:45:54.814138	\N	84d96880-ff46-4fbb-8f68-a47d170ac6e4
26940	14	5846	2013-08-03 02:17:00.009753	2013-08-03 02:17:00.009753	\N	9bc07ad0-3b21-4c17-b9a7-5435bb294136
28019	1	5933	2013-08-03 02:22:01.777495	2013-08-03 02:22:01.777495	\N	8a1a7059-f3bf-42df-a046-72f3ea802d0a
40925	5	7264	2013-08-03 17:35:54.810806	2013-08-03 17:35:54.810806	\N	0e154e66-9ea8-4254-b6f7-b04ed9a5e653
24435	2	5556	2013-08-03 02:03:10.367752	2013-08-03 02:03:10.367752	\N	03b09747-7c59-4439-aa2d-3c170730f831
35193	7	6946	2013-08-03 17:20:39.118856	2013-08-03 17:20:39.118856	\N	c992ed9a-41b9-42f9-9050-03fbca1bdfa6
34220	19	6596	2013-08-03 17:00:25.891541	2013-08-03 17:00:25.891541	\N	e32a1616-8d9b-4d81-bea2-ca692ddfb41d
34222	8	6596	2013-08-03 17:00:38.198721	2013-08-03 17:00:38.198721	\N	7d1a65a0-8726-4fb8-83a0-c515c0d956dc
29001	4	5969	2013-08-03 02:27:02.616213	2013-08-03 02:27:02.616213	\N	ccd31f7f-67da-4343-99f2-8078da1e73e5
25376	19	5651	2013-08-03 02:09:04.05556	2013-08-03 02:09:04.05556	\N	de61fa65-113e-44f0-992d-c376feaaed7e
24043	1	5549	2013-08-03 02:01:11.697189	2013-08-03 02:01:11.697189	\N	3c3578f0-cd06-48ee-b956-1f3dc573c0ea
29002	4	6008	2013-08-03 02:27:02.711958	2013-08-03 02:27:02.711958	\N	37ccbc59-9926-4505-beda-b543c91515df
20418	8	5345	2013-08-03 01:50:15.803124	2013-08-03 01:50:15.803124	\N	b2760228-0f7f-450e-a78f-16c3a476eb8e
29003	4	6017	2013-08-03 02:27:02.749942	2013-08-03 02:27:02.749942	\N	eb32b79d-bcc7-4baf-863b-8985c847b35f
29004	14	5987	2013-08-03 02:27:02.893579	2013-08-03 02:27:02.893579	\N	cb4c7d71-6838-4940-8364-9c785e2fdab1
29005	7	6014	2013-08-03 02:27:03.186431	2013-08-03 02:27:03.186431	\N	aad4f6ea-3531-4da6-8803-48f4822f486a
29006	7	5969	2013-08-03 02:27:03.28973	2013-08-03 02:27:03.28973	\N	85c08223-3a48-4224-ac6d-ab92d1030c8a
35194	7	6941	2013-08-03 17:20:39.239539	2013-08-03 17:20:39.239539	\N	68407397-6c01-44c6-8801-0509b53e9229
35195	7	6943	2013-08-03 17:20:39.299912	2013-08-03 17:20:39.299912	\N	cb5af0fc-cf01-428c-b05b-8137f59e7059
23298	19	5465	2013-08-03 01:56:39.149888	2013-08-03 01:56:39.149888	\N	8d3b45be-cc1f-4589-8f3f-91b2a4d2df70
25969	2	5727	2013-08-03 02:12:10.240891	2013-08-03 02:12:10.240891	\N	bb4b7fec-7fc4-4467-b072-6760764224b4
28041	2	5903	2013-08-03 02:22:09.523939	2013-08-03 02:22:09.523939	\N	5274f4e8-c48d-470e-8382-857bdf65d3b3
28042	2	5924	2013-08-03 02:22:09.589783	2013-08-03 02:22:09.589783	\N	935516be-8891-4654-9eb9-cca9f5874ecb
27706	19	5819	2013-08-03 02:20:23.107532	2013-08-03 02:20:23.107532	\N	379d4fe2-86c7-4143-a5eb-e69ab7990787
28043	2	5930	2013-08-03 02:22:09.646049	2013-08-03 02:22:09.646049	\N	7b596782-ce73-4ca0-81b0-e3e9595dd38b
28044	2	5933	2013-08-03 02:22:09.717893	2013-08-03 02:22:09.717893	\N	22309e05-64a1-42d0-b269-4f66f4502bef
27022	12	5846	2013-08-03 02:17:21.084355	2013-08-03 02:17:21.084355	\N	b4b57da1-4a62-4d5c-920e-4d2fe300437f
28045	2	5889	2013-08-03 02:22:09.779607	2013-08-03 02:22:09.779607	\N	6bffec0c-ad29-4be1-a015-5197442bd9d5
28046	2	5892	2013-08-03 02:22:09.851152	2013-08-03 02:22:09.851152	\N	b561ba5a-bedc-4ae0-91ac-529ca99e10a8
28047	2	5919	2013-08-03 02:22:09.914145	2013-08-03 02:22:09.914145	\N	2ab59eff-1f15-4acc-ad9a-446415d3bb96
24978	14	5672	2013-08-03 02:06:56.829209	2013-08-03 02:06:56.829209	\N	e8be6d7e-df80-467c-b5a3-da9160bc8c00
24979	14	5651	2013-08-03 02:06:56.924458	2013-08-03 02:06:56.924458	\N	aaa20216-5c62-40b3-ae36-5a47504e8786
24980	14	5681	2013-08-03 02:06:56.964355	2013-08-03 02:06:56.964355	\N	96adf0c9-132a-49c1-b8dd-60b01e674534
24982	14	5678	2013-08-03 02:06:57.000224	2013-08-03 02:06:57.000224	\N	db424b02-d7c4-4136-aef3-644609bcbfe4
27725	19	5846	2013-08-03 02:20:24.560799	2013-08-03 02:20:24.560799	\N	6964f598-859e-466a-b74d-2a202e8a0196
27727	19	5849	2013-08-03 02:20:24.937706	2013-08-03 02:20:24.937706	\N	5068d475-9961-4185-ab0b-bd359106fe81
28048	2	5928	2013-08-03 02:22:09.990337	2013-08-03 02:22:09.990337	\N	6cd12f77-6554-4736-a0fa-f5d59fb59009
28049	11	5885	2013-08-03 02:22:10.163352	2013-08-03 02:22:10.163352	\N	811f0504-3584-4c76-9120-3d7d73b81594
28050	11	5924	2013-08-03 02:22:10.359731	2013-08-03 02:22:10.359731	\N	51b36660-2cb1-4f54-a89a-ce143d8ef568
21511	19	5381	2013-08-03 01:52:22.189975	2013-08-03 01:52:22.189975	\N	838fa621-ff18-4962-bbdb-324600b7a6ff
28051	11	5903	2013-08-03 02:22:10.523439	2013-08-03 02:22:10.523439	\N	a469e2a3-5376-40b0-b865-a3edd754ab2f
28052	11	5930	2013-08-03 02:22:10.689946	2013-08-03 02:22:10.689946	\N	e9a1b81b-dad4-4fae-8332-872d3a9b8a9b
27088	10	5840	2013-08-03 02:17:32.068674	2013-08-03 02:17:32.068674	\N	5f882764-0a01-43b9-b85a-8347a6c9c5e0
35196	7	6928	2013-08-03 17:20:39.356212	2013-08-03 17:20:39.356212	\N	e3336d40-0999-4b15-b561-6279f81f1d83
21516	19	5420	2013-08-03 01:52:22.546627	2013-08-03 01:52:22.546627	\N	42b1c43f-e36c-45a6-8d72-3ae4e08d3f97
28079	8	5885	2013-08-03 02:22:18.575217	2013-08-03 02:22:18.575217	\N	25a64ad1-cc3e-4f79-bbfb-8d009c2f8328
28080	8	5924	2013-08-03 02:22:19.546757	2013-08-03 02:22:19.546757	\N	b12321f4-aab8-4d92-b23c-61e60eda9fa7
24106	11	5549	2013-08-03 02:01:33.683625	2013-08-03 02:01:33.683625	\N	a1dd00db-6208-4206-9aae-50c35639830d
24107	11	5588	2013-08-03 02:01:33.898236	2013-08-03 02:01:33.898236	\N	ac51593b-036b-4c0d-819f-db6c69ae8a1d
24108	11	5567	2013-08-03 02:01:34.054189	2013-08-03 02:01:34.054189	\N	4195044d-5da9-452e-ad7a-7cb69cea07f8
24109	11	5594	2013-08-03 02:01:34.21148	2013-08-03 02:01:34.21148	\N	800ff726-854f-454e-aef0-88aafbae7980
29021	2	5987	2013-08-03 02:27:09.181854	2013-08-03 02:27:09.181854	\N	fe303818-7400-4606-9627-0406f75b97c7
29022	2	6008	2013-08-03 02:27:09.273028	2013-08-03 02:27:09.273028	\N	d42c62da-cca5-4e54-91a7-ecd7bb019ecc
29023	2	6014	2013-08-03 02:27:09.308651	2013-08-03 02:27:09.308651	\N	b5430a08-c8d3-4649-bdda-805530bce142
26041	1	5735	2013-08-03 02:12:30.332585	2013-08-03 02:12:30.332585	\N	7ac7bc11-be26-48f4-93e8-fe74c4974f10
29024	2	6017	2013-08-03 02:27:09.34563	2013-08-03 02:27:09.34563	\N	f6259d48-9cfe-4e92-aa4a-63f6db69a4c8
34294	4	6591	2013-08-03 17:02:36.312089	2013-08-03 17:02:36.312089	\N	a8961f97-30ec-49a3-9a6f-1c28726610a5
27771	17	5846	2013-08-03 02:20:33.926193	2013-08-03 02:20:33.926193	\N	88210c39-b978-41c2-b112-1f1448a06422
29033	8	6014	2013-08-03 02:27:11.6488	2013-08-03 02:27:11.6488	\N	515e48f9-ec96-4d4f-86df-d2d864c4207a
29441	2	5979	2013-08-03 02:29:09.684343	2013-08-03 02:29:09.684343	\N	5325d9e3-b5ab-4115-b222-89af559307c9
28692	19	5903	2013-08-03 02:24:28.310202	2013-08-03 02:24:28.310202	\N	ee44323b-de7f-40ff-80c6-7a2d37503275
28693	19	5930	2013-08-03 02:24:29.40101	2013-08-03 02:24:29.40101	\N	0501c115-bcdf-4094-85ae-83dea2268b3f
23257	1	5465	2013-08-03 01:56:21.749063	2013-08-03 01:56:21.749063	\N	48c60e37-3055-4b2b-b9c5-b09063efd40d
31992	10	6353	2013-08-03 02:50:09.936331	2013-08-03 02:50:09.936331	\N	d52210d1-0577-40b5-a8be-6fecb45bb0d7
34219	8	6605	2013-08-03 17:00:22.029547	2013-08-03 17:00:22.029547	\N	25a66f46-be86-416f-a256-705ba521efd9
19593	19	5315	2013-08-03 01:48:51.478461	2013-08-03 01:48:51.478461	\N	5ac7175c-d9f3-41e1-be74-932f9c7d9515
25926	19	5735	2013-08-03 02:11:56.553761	2013-08-03 02:11:56.553761	\N	00f1ade4-4f1d-4cab-a819-ae507d0d5939
19610	19	5345	2013-08-03 01:48:54.224882	2013-08-03 01:48:54.224882	\N	24f6e223-3781-4fe3-9ff8-3901d58b8961
20761	2	5388	2013-08-03 01:51:10.388933	2013-08-03 01:51:10.388933	\N	26d2a94d-df19-480a-8eeb-f65050d68e62
20763	2	5385	2013-08-03 01:51:10.421479	2013-08-03 01:51:10.421479	\N	dc7e789d-1d38-449c-8897-e09fcbd07287
20764	2	5391	2013-08-03 01:51:10.458516	2013-08-03 01:51:10.458516	\N	e89f7668-5036-4d8a-abf9-36107f588430
20766	2	5400	2013-08-03 01:51:10.485409	2013-08-03 01:51:10.485409	\N	edc95cdc-bc8d-43bc-8f19-a59f685acfc8
20767	2	5424	2013-08-03 01:51:10.517894	2013-08-03 01:51:10.517894	\N	a224a9c3-60a1-4be4-b02f-e327c88bee61
20769	2	5415	2013-08-03 01:51:10.541899	2013-08-03 01:51:10.541899	\N	18ef8f87-6b76-44fa-b4a8-a80461c7655a
25927	4	5717	2013-08-03 02:11:57.157578	2013-08-03 02:11:57.157578	\N	46c246b1-4ef2-476a-8d06-5c54219224c3
25928	4	5756	2013-08-03 02:11:57.264197	2013-08-03 02:11:57.264197	\N	f8b901ba-3be2-412d-b7cf-94d44f22942c
25929	4	5765	2013-08-03 02:11:57.383834	2013-08-03 02:11:57.383834	\N	5b762fb1-9162-4437-b2dd-5f4ab16a46af
24956	2	5667	2013-08-03 02:06:40.589141	2013-08-03 02:06:40.589141	\N	56e2e713-ba98-4812-b4de-39a7a975c0b8
25930	14	5735	2013-08-03 02:11:58.126932	2013-08-03 02:11:58.126932	\N	f0a21d1c-6029-435c-ab45-2e281ec8f2dd
25931	14	5756	2013-08-03 02:11:58.191411	2013-08-03 02:11:58.191411	\N	d28c4904-00cc-4df9-9a11-f81e0475c010
25932	14	5765	2013-08-03 02:11:58.259379	2013-08-03 02:11:58.259379	\N	9de629e2-3075-47b3-b421-b431913548d6
23283	1	5483	2013-08-03 01:56:27.90954	2013-08-03 01:56:27.90954	\N	474e539c-6e02-40c9-9253-62cd1b8f6720
25933	14	5762	2013-08-03 02:11:58.332413	2013-08-03 02:11:58.332413	\N	e29c38c0-0a4b-4c52-9bee-9626ebd41a7e
25934	19	5762	2013-08-03 02:11:59.592718	2013-08-03 02:11:59.592718	\N	3e751cda-8ecc-4ae5-ace0-a58c0ffacc43
25935	19	5765	2013-08-03 02:12:00.130967	2013-08-03 02:12:00.130967	\N	29ef282d-3a8b-4c9f-8eab-228ed078eaee
40926	5	7234	2013-08-03 17:35:54.908997	2013-08-03 17:35:54.908997	\N	5e7f703c-bc19-444d-8a71-637f3acb8d33
28120	4	5924	2013-08-03 02:22:26.823107	2013-08-03 02:22:26.823107	\N	1d6db581-dbf9-4e32-9d00-cd76925829d3
35178	7	6829	2013-08-03 17:20:05.949508	2013-08-03 17:20:05.949508	\N	e6308092-a977-4714-9048-599a7d447658
24723	19	5594	2013-08-03 02:04:59.149121	2013-08-03 02:04:59.149121	\N	a1ecad03-3d07-41d3-8164-1c798256ed7a
28557	14	5933	2013-08-03 02:24:02.016946	2013-08-03 02:24:02.016946	\N	85fec5ca-7f1b-4ac0-8b44-e6c2611f89dc
28558	14	5924	2013-08-03 02:24:02.065015	2013-08-03 02:24:02.065015	\N	e3e3f2b6-b815-4dd2-b51d-079e7e08fdd3
28560	14	5885	2013-08-03 02:24:02.087369	2013-08-03 02:24:02.087369	\N	bf0c3eb3-2089-441c-a4d4-b2a5d5832c84
26421	12	5765	2013-08-03 02:14:13.209792	2013-08-03 02:14:13.209792	\N	9fca2ff0-f009-46bb-ab78-6dbf7945c0cc
28561	14	5930	2013-08-03 02:24:02.123739	2013-08-03 02:24:02.123739	\N	bf820be6-536d-4bf7-bba4-cc82525f1630
34229	4	6556	2013-08-03 17:01:07.240747	2013-08-03 17:01:07.240747	\N	df8da871-95b5-4418-9d9b-aa6bbdb9f40b
29768	2	6092	2013-08-03 02:32:09.520129	2013-08-03 02:32:09.520129	\N	7b9db617-068f-47b6-976f-0fbb795b9dcf
28991	7	6008	2013-08-03 02:26:56.636129	2013-08-03 02:26:56.636129	\N	c0e3778c-9b74-4a58-aec1-bd1d2a3f3199
29770	2	6071	2013-08-03 02:32:09.547106	2013-08-03 02:32:09.547106	\N	eb2eba2a-7ca1-4573-945d-9b81b0828a6b
20822	11	5420	2013-08-03 01:51:15.450399	2013-08-03 01:51:15.450399	\N	f7221538-7657-43de-9073-1e966b511617
25262	8	5672	2013-08-03 02:08:26.806314	2013-08-03 02:08:26.806314	\N	4b3bcc49-5149-4676-b803-678e87aa0593
25263	14	5633	2013-08-03 02:08:27.38525	2013-08-03 02:08:27.38525	\N	5d5a4ebb-2717-4971-b878-a035c7088ca8
29026	2	6003	2013-08-03 02:27:10.427291	2013-08-03 02:27:10.427291	\N	ba013bf7-4bd0-4471-9759-e0cf950baa12
29771	2	6101	2013-08-03 02:32:09.57483	2013-08-03 02:32:09.57483	\N	b560a265-fae5-4787-9518-25d818dff7ac
25266	8	5651	2013-08-03 02:08:28.639704	2013-08-03 02:08:28.639704	\N	f7eb8664-9af3-468a-b042-ea1837c38593
29772	2	6098	2013-08-03 02:32:09.6129	2013-08-03 02:32:09.6129	\N	6ca41c74-6df4-42b7-a785-9d2fc2dcc9e4
24035	2	5553	2013-08-03 02:01:10.206307	2013-08-03 02:01:10.206307	\N	44ad14db-6593-4fe0-a83b-d9f8a2102977
24036	2	5568	2013-08-03 02:01:10.23486	2013-08-03 02:01:10.23486	\N	527101a1-9a61-4de3-a9a4-753fc26a3de3
24038	2	5583	2013-08-03 02:01:10.280484	2013-08-03 02:01:10.280484	\N	60f1da40-c504-44e1-a538-a369577d18ec
24039	2	5592	2013-08-03 02:01:10.319907	2013-08-03 02:01:10.319907	\N	b68213d6-6f10-47d6-8317-439c026301ad
24040	2	5559	2013-08-03 02:01:10.367071	2013-08-03 02:01:10.367071	\N	44e2cc86-e1f8-49a8-b2cd-ca1108f254b4
24041	12	5549	2013-08-03 02:01:10.622751	2013-08-03 02:01:10.622751	\N	cffeb502-29db-4a52-94c5-1b5a7bd9a487
20858	12	5297	2013-08-03 01:51:18.616352	2013-08-03 01:51:18.616352	\N	ad62d616-35be-49c2-a4b0-459d6ff2be60
24044	12	5567	2013-08-03 02:01:14.501661	2013-08-03 02:01:14.501661	\N	d847b299-06e2-4bb0-9907-ae5a9e484c53
25270	8	5678	2013-08-03 02:08:31.235118	2013-08-03 02:08:31.235118	\N	cf5ac785-96b8-4d4f-b60f-7a6dda76f735
29773	2	6072	2013-08-03 02:32:09.644645	2013-08-03 02:32:09.644645	\N	2670acdb-7878-4437-a945-e41d491878ff
29774	2	6087	2013-08-03 02:32:09.687778	2013-08-03 02:32:09.687778	\N	61798ae6-53f2-4bcd-b1bc-a1df619aff49
29777	1	6053	2013-08-03 02:32:22.284252	2013-08-03 02:32:22.284252	\N	be4aeedf-9946-4dce-9316-1d468cdb75ca
24750	10	5594	2013-08-03 02:05:08.184143	2013-08-03 02:05:08.184143	\N	f7dba7c5-fb68-43d7-9d1d-f669ac49785c
24316	4	5549	2013-08-03 02:02:36.955603	2013-08-03 02:02:36.955603	\N	ecfee744-31d9-4a7e-882a-4d510c78b79d
24317	4	5588	2013-08-03 02:02:37.046099	2013-08-03 02:02:37.046099	\N	5e2754c0-a11c-4218-b5c8-45863ef99ada
29778	1	6092	2013-08-03 02:32:25.908372	2013-08-03 02:32:25.908372	\N	8b912db8-899a-4254-a301-3f3797620e93
29779	11	6053	2013-08-03 02:32:27.73017	2013-08-03 02:32:27.73017	\N	fbda6a59-a386-4a17-8050-7fe7bad3b4f4
29782	1	6071	2013-08-03 02:32:28.152663	2013-08-03 02:32:28.152663	\N	063c6a4f-2443-4248-975a-e3eda770771a
29783	11	6098	2013-08-03 02:32:28.304351	2013-08-03 02:32:28.304351	\N	6588551d-1ca7-4e90-8bcf-302a7f7662cb
27384	2	5844	2013-08-03 02:19:09.955611	2013-08-03 02:19:09.955611	\N	5b4bf8a7-41a1-4f2b-93c3-5c3b2bcf593f
29784	11	6101	2013-08-03 02:32:28.450014	2013-08-03 02:32:28.450014	\N	072f8a7c-a345-4782-af2a-ba66558d5c78
29786	19	6053	2013-08-03 02:32:33.321771	2013-08-03 02:32:33.321771	\N	c836c4bb-aed8-44e7-9c2a-541c169c319c
29787	1	6101	2013-08-03 02:32:33.671007	2013-08-03 02:32:33.671007	\N	afcb9c74-bd89-4259-96d1-d45b515cc95d
29788	19	6092	2013-08-03 02:32:33.757051	2013-08-03 02:32:33.757051	\N	87a89526-c3bd-4cc4-ab6a-0c42c4120a07
21573	19	5426	2013-08-03 01:52:27.179471	2013-08-03 01:52:27.179471	\N	80be952f-622c-473f-ba1a-88a273d9d95a
21577	19	5429	2013-08-03 01:52:27.503514	2013-08-03 01:52:27.503514	\N	72504f43-d3ef-4fc9-9d90-9ef5350c43a0
29789	19	6071	2013-08-03 02:32:34.427806	2013-08-03 02:32:34.427806	\N	2197f678-c4c1-4588-8536-ce4a6418b66d
24079	1	5594	2013-08-03 02:01:25.714248	2013-08-03 02:01:25.714248	\N	7fb7d212-b9b7-41b7-b43a-7c2e7ddb77bd
29790	19	6098	2013-08-03 02:32:35.528081	2013-08-03 02:32:35.528081	\N	9640b11c-1807-4ca3-8428-4c963d74f5fb
30630	14	6185	2013-08-03 02:39:05.936613	2013-08-03 02:39:05.936613	\N	b9768053-6fe4-4ed3-b751-14fd579e0237
24089	4	5567	2013-08-03 02:01:27.44332	2013-08-03 02:01:27.44332	\N	1e388bc0-aca2-4a8f-bc2e-fb1cf86b0069
24090	1	5597	2013-08-03 02:01:27.839106	2013-08-03 02:01:27.839106	\N	636c2d0e-421c-4dc0-b9c7-2d261d62ac8e
30631	14	6137	2013-08-03 02:39:06.028697	2013-08-03 02:39:06.028697	\N	f609b2a7-1a12-4567-8b9b-6a55d24d40f0
30632	14	6176	2013-08-03 02:39:06.055285	2013-08-03 02:39:06.055285	\N	343bc31f-0258-4880-aef3-5eee679c82de
24110	11	5597	2013-08-03 02:01:34.380274	2013-08-03 02:01:34.380274	\N	07d9bc92-b91d-40a4-a777-9801823f38c3
29825	12	6071	2013-08-03 02:33:00.1179	2013-08-03 02:33:00.1179	\N	be8f1508-eac5-4e24-bcbb-dba59cf28cf1
29826	10	6098	2013-08-03 02:33:00.5731	2013-08-03 02:33:00.5731	\N	067f94bf-5395-4579-876e-53573b8c7324
29827	12	6098	2013-08-03 02:33:02.731143	2013-08-03 02:33:02.731143	\N	c92b3fb2-46e9-444e-bc59-5e83d2e8bd7b
26063	1	5762	2013-08-03 02:12:32.66394	2013-08-03 02:12:32.66394	\N	3be75d83-7b08-4c10-8e67-ac880cf32373
29828	12	6101	2013-08-03 02:33:03.275024	2013-08-03 02:33:03.275024	\N	f238bcf2-52e8-4dab-85e1-91797f7b4545
30633	14	6182	2013-08-03 02:39:06.091489	2013-08-03 02:39:06.091489	\N	632aaef3-ab88-44d4-a52b-bca487656782
34230	4	6559	2013-08-03 17:01:07.275648	2013-08-03 17:01:07.275648	\N	8c7ea24a-8477-461d-9541-3ec303446750
34231	4	6595	2013-08-03 17:01:07.304759	2013-08-03 17:01:07.304759	\N	51086df4-2727-4ece-b0a7-7ad9a14c3b2d
18275	4	5297	2013-08-03 01:46:30.130096	2013-08-03 01:46:30.130096	\N	967c2e48-aafd-4a57-8012-3d9b58f130a7
18276	4	5336	2013-08-03 01:46:30.176162	2013-08-03 01:46:30.176162	\N	cd03699d-a202-44e2-a270-bc553204f397
29117	11	6014	2013-08-03 02:27:39.838948	2013-08-03 02:27:39.838948	\N	515ebe91-5699-42e9-8ce0-c0428036a8e8
18278	4	5315	2013-08-03 01:46:30.210235	2013-08-03 01:46:30.210235	\N	cedd7c14-9265-4a03-bb7d-a19afefd3138
18279	4	5327	2013-08-03 01:46:30.254845	2013-08-03 01:46:30.254845	\N	513d618d-09fe-4ca7-bf82-668e8d76e204
18280	4	5342	2013-08-03 01:46:30.289601	2013-08-03 01:46:30.289601	\N	06b1dceb-b9d6-4d55-9dac-c4523597cdbf
18281	4	5345	2013-08-03 01:46:30.317316	2013-08-03 01:46:30.317316	\N	6bb1680b-cdb5-4e70-a766-ba13bf4b68d1
25031	2	5643	2013-08-03 02:07:09.88941	2013-08-03 02:07:09.88941	\N	ddf6a9d5-be21-40fd-9f0d-20d99e2e6ab5
34232	4	6562	2013-08-03 17:01:07.342287	2013-08-03 17:01:07.342287	\N	01f9f198-5520-44ec-bc70-9811a6ea5f4f
32000	10	6350	2013-08-03 02:50:20.954144	2013-08-03 02:50:20.954144	\N	e60d7981-3687-4fdf-952a-7aec1ae1c5ef
26850	8	5846	2013-08-03 02:16:32.613008	2013-08-03 02:16:32.613008	\N	393420fa-6296-4e3c-9c9e-d22605569167
26854	7	5840	2013-08-03 02:16:33.232519	2013-08-03 02:16:33.232519	\N	78e9f5cc-1491-4f64-b32c-6b25e1d48a7e
26855	7	5801	2013-08-03 02:16:33.324119	2013-08-03 02:16:33.324119	\N	4346a5ec-b6ad-4c1e-bf55-0f3887ae7f70
26856	7	5849	2013-08-03 02:16:33.415745	2013-08-03 02:16:33.415745	\N	fb5cab36-1976-470d-871e-ebc6bb6f890e
26857	7	5819	2013-08-03 02:16:33.511022	2013-08-03 02:16:33.511022	\N	0c46006d-a791-4fab-9ca0-505ce55871e9
34233	4	6565	2013-08-03 17:01:07.375041	2013-08-03 17:01:07.375041	\N	2c5b61e4-6d05-4b21-b8f9-289cd4b480bf
34234	4	6553	2013-08-03 17:01:07.410696	2013-08-03 17:01:07.410696	\N	1830342a-9389-4b0b-b86c-0f19e880056f
34235	4	6568	2013-08-03 17:01:07.44875	2013-08-03 17:01:07.44875	\N	c7e1d350-e883-41f5-8a21-f5591f7236ea
27703	19	5801	2013-08-03 02:20:21.503467	2013-08-03 02:20:21.503467	\N	ccc51d96-43e1-4cf3-92de-374bcfe0702c
27704	19	5840	2013-08-03 02:20:21.89175	2013-08-03 02:20:21.89175	\N	9ac6b96e-f6d6-4cbf-a7d1-e8647421d984
31287	14	6269	2013-08-03 02:44:06.959374	2013-08-03 02:44:06.959374	\N	30dc67fa-b304-469b-a0e8-6a84dffc5357
23318	1	5513	2013-08-03 01:56:43.041764	2013-08-03 01:56:43.041764	\N	462277e4-8f15-4c63-83cb-31f5ed2fa67b
24633	10	5597	2013-08-03 02:04:22.172859	2013-08-03 02:04:22.172859	\N	9b86b15e-6edc-4e5c-bd12-10db035946ef
23320	19	5513	2013-08-03 01:56:43.363772	2013-08-03 01:56:43.363772	\N	e2285b61-5686-4fa7-918d-d0506fcd6980
23985	7	5567	2013-08-03 02:01:03.091641	2013-08-03 02:01:03.091641	\N	e4529fd7-4fe8-4006-a288-60b9ed5a0466
23986	7	5597	2013-08-03 02:01:03.238016	2013-08-03 02:01:03.238016	\N	e2ae30e1-ddbc-4ba8-9f6c-b857e86f1726
23987	7	5594	2013-08-03 02:01:03.325771	2013-08-03 02:01:03.325771	\N	3b99de0d-60d8-4951-8cf4-cde6e2ae31d5
23988	7	5549	2013-08-03 02:01:03.409152	2013-08-03 02:01:03.409152	\N	d684b425-14eb-464c-8bbf-e69b5366ec3b
23989	7	5588	2013-08-03 02:01:03.504336	2013-08-03 02:01:03.504336	\N	677a68c9-16d9-48e0-a531-f9bb1e3228c7
25275	8	5681	2013-08-03 02:08:31.557936	2013-08-03 02:08:31.557936	\N	4ce3c5bf-f3c2-4add-b588-d0a21f587140
33418	17	6512	2013-08-03 02:58:55.642675	2013-08-03 02:58:55.642675	\N	0cf46a40-5049-442b-9d4a-1be347999533
32497	2	6437	2013-08-03 02:54:08.765301	2013-08-03 02:54:08.765301	\N	61508fe7-f862-4bf4-8e18-f0b31c47986d
29010	2	5973	2013-08-03 02:27:03.765143	2013-08-03 02:27:03.765143	\N	0449bdb5-4df8-411a-aeb0-541d3e574a49
33419	17	6491	2013-08-03 02:58:55.940493	2013-08-03 02:58:55.940493	\N	0b140b04-3b21-41e8-a238-2780f0aa801b
29387	10	6008	2013-08-03 02:28:53.760863	2013-08-03 02:28:53.760863	\N	edfa8df8-7e40-454a-93eb-876f802e285d
31684	1	6353	2013-08-03 02:47:53.231543	2013-08-03 02:47:53.231543	\N	d1135faa-2a41-4f1e-a0ee-9b3e89159012
31685	7	6350	2013-08-03 02:48:03.278877	2013-08-03 02:48:03.278877	\N	f04df9f0-fec4-4b9f-96f5-258753c6717c
29405	10	6014	2013-08-03 02:28:59.343959	2013-08-03 02:28:59.343959	\N	e0de89da-6a49-451f-8fde-c40a65a7908b
31686	7	6353	2013-08-03 02:48:03.786779	2013-08-03 02:48:03.786779	\N	523d0dd6-326b-454d-ab79-df454a197c8b
32499	2	6393	2013-08-03 02:54:09.903166	2013-08-03 02:54:09.903166	\N	36d42b71-d7dc-48e2-a6d7-eb3fb26eb421
30495	8	6137	2013-08-03 02:38:05.500002	2013-08-03 02:38:05.500002	\N	f95669af-dbd7-4494-9691-4ed498b86c09
24042	12	5588	2013-08-03 02:01:11.500645	2013-08-03 02:01:11.500645	\N	5682b1e8-25de-4e68-87b1-e5403a22ccb3
23347	11	5510	2013-08-03 01:56:45.819414	2013-08-03 01:56:45.819414	\N	862f175e-b834-4ab9-bf3c-49ab513ea5ea
29019	8	5969	2013-08-03 02:27:05.856446	2013-08-03 02:27:05.856446	\N	0d7a92b8-2bfe-4712-bd45-479de2db5bdb
29020	8	6008	2013-08-03 02:27:06.563022	2013-08-03 02:27:06.563022	\N	9616a4a3-6f4a-4191-9721-ef3beb073f4b
28110	8	5933	2013-08-03 02:22:25.657382	2013-08-03 02:22:25.657382	\N	66301755-d6e7-4782-b3fe-6bf9cf771af8
34236	4	6571	2013-08-03 17:01:07.485846	2013-08-03 17:01:07.485846	\N	3eb75c29-62f0-4d62-9d1e-630aab5d9566
30593	6	6137	2013-08-03 02:38:55.655416	2013-08-03 02:38:55.655416	\N	cd64c4e7-6c8a-44b7-a20a-e484b0a5378b
34237	4	6574	2013-08-03 17:01:07.547137	2013-08-03 17:01:07.547137	\N	f303cccc-2d15-4c4f-90c0-9f06c849587b
26416	12	5762	2013-08-03 02:14:12.741354	2013-08-03 02:14:12.741354	\N	98d5b1a1-0bc0-456a-aaa3-228e1a98a4bf
34238	4	6577	2013-08-03 17:01:07.583148	2013-08-03 17:01:07.583148	\N	34f929d8-691b-4f13-a3d3-768254ff23ab
31722	6	6353	2013-08-03 02:48:10.971851	2013-08-03 02:48:10.971851	\N	8d7b3af9-411d-4e51-b67b-7482a613678f
31299	2	6240	2013-08-03 02:44:09.610514	2013-08-03 02:44:09.610514	\N	e2ff7004-df05-459d-93b4-acf050c26373
25106	12	5678	2013-08-03 02:07:36.054086	2013-08-03 02:07:36.054086	\N	1e736b5e-66d8-41c5-a62e-115930d59ccf
25107	12	5681	2013-08-03 02:07:36.653967	2013-08-03 02:07:36.653967	\N	17b073db-f43a-45b6-a5d0-bf93733d983c
31723	1	6305	2013-08-03 02:48:11.566682	2013-08-03 02:48:11.566682	\N	a0c6945f-280f-48fc-a363-4be9fb5af41d
17694	7	5297	2013-08-03 01:45:32.434268	2013-08-03 01:45:32.434268	\N	d85ca455-4c3b-4797-bd88-2008d7209bc5
17695	7	5342	2013-08-03 01:45:32.646687	2013-08-03 01:45:32.646687	\N	30beef20-ad1c-4a17-b6e8-dab557e63915
17696	7	5345	2013-08-03 01:45:32.724661	2013-08-03 01:45:32.724661	\N	37dbd690-32ac-4e25-8f84-faf1f05e6d42
34239	4	6580	2013-08-03 17:01:07.608275	2013-08-03 17:01:07.608275	\N	39b08ab5-ee24-4ae9-ab48-ed4e613fea25
30663	12	6182	2013-08-03 02:39:19.305783	2013-08-03 02:39:19.305783	\N	111c2f1f-24b9-4e1a-9812-927a13156f7b
34240	4	6583	2013-08-03 17:01:07.635383	2013-08-03 17:01:07.635383	\N	ba58fc7c-eddc-41d0-b716-e2aadd30f6f7
30665	12	6185	2013-08-03 02:39:19.797536	2013-08-03 02:39:19.797536	\N	e2e81a2d-ec51-4be4-93a3-3d867d210494
32022	10	6344	2013-08-03 02:50:26.973547	2013-08-03 02:50:26.973547	\N	0207c046-785a-4e05-8a76-58301356d8b6
17704	7	5315	2013-08-03 01:45:33.409834	2013-08-03 01:45:33.409834	\N	b15e957c-f29d-421f-b341-73806c04286b
29444	10	6017	2013-08-03 02:29:10.345463	2013-08-03 02:29:10.345463	\N	58d8592d-c2e1-49c5-adc5-3dce77c4a7f2
17706	7	5327	2013-08-03 01:45:33.583635	2013-08-03 01:45:33.583635	\N	07c65cc8-4378-4dcc-88d3-577e440e555e
29110	2	5976	2013-08-03 02:27:39.689805	2013-08-03 02:27:39.689805	\N	62897625-789a-43cd-88c6-50fec0058dc3
32023	6	6323	2013-08-03 02:50:28.870076	2013-08-03 02:50:28.870076	\N	5f9a0f5d-1f31-425f-8f38-9893d2c6e919
34241	4	6586	2013-08-03 17:01:07.666063	2013-08-03 17:01:07.666063	\N	800e8206-cc2b-45f0-b5ad-f8bff5e36fa3
34242	4	6589	2013-08-03 17:01:07.699475	2013-08-03 17:01:07.699475	\N	509faa1f-8b7e-4951-95a2-3b4b43e928f1
33430	7	6483	2013-08-03 02:58:57.912561	2013-08-03 02:58:57.912561	\N	7fe7ef41-e8ac-406f-9c76-045d56394131
31821	12	6323	2013-08-03 02:48:40.905775	2013-08-03 02:48:40.905775	\N	28448ff7-36ad-4703-86ac-5fd8aa64ad58
34243	4	6592	2013-08-03 17:01:07.738504	2013-08-03 17:01:07.738504	\N	e3e3da41-40e2-4e7b-8e0b-148afa99119a
34244	4	6601	2013-08-03 17:01:07.774455	2013-08-03 17:01:07.774455	\N	9e3f3d32-5ebd-48c9-977e-42104ab579d7
24428	4	5594	2013-08-03 02:03:03.569331	2013-08-03 02:03:03.569331	\N	c15ad7e3-7ac6-435e-88fb-10b729326041
24429	4	5597	2013-08-03 02:03:03.646299	2013-08-03 02:03:03.646299	\N	cfeb34fb-4af6-4a58-814c-39407c438ea0
26992	2	5805	2013-08-03 02:17:11.389628	2013-08-03 02:17:11.389628	\N	d6139188-d1a0-40c2-95d7-ad523e71a9d3
26993	12	5801	2013-08-03 02:17:14.515892	2013-08-03 02:17:14.515892	\N	c1f5ef80-d7a1-4523-b470-bcde1c03fc4b
26994	12	5840	2013-08-03 02:17:15.465882	2013-08-03 02:17:15.465882	\N	64a38268-04cf-48c2-8596-748987334eaf
25400	19	5678	2013-08-03 02:09:09.226533	2013-08-03 02:09:09.226533	\N	46b8fa0c-ba18-4b08-a24d-e4b626f518f2
25401	19	5681	2013-08-03 02:09:09.563769	2013-08-03 02:09:09.563769	\N	1d601fc1-a8b5-43f6-8b78-9bc17febefed
26995	10	5849	2013-08-03 02:17:15.795586	2013-08-03 02:17:15.795586	\N	cb3aa4f4-2e62-4b3c-8b70-85917d4fbb48
34245	4	6604	2013-08-03 17:01:07.808023	2013-08-03 17:01:07.808023	\N	832b11da-42e6-4a32-a690-bf6bf2978b28
25404	2	5637	2013-08-03 02:09:10.191077	2013-08-03 02:09:10.191077	\N	da23d9e7-ab00-48a4-8e04-2d067ab8ef8d
34246	4	6607	2013-08-03 17:01:07.84236	2013-08-03 17:01:07.84236	\N	b36416bc-e7bd-40c6-b4e9-e59dddf8ed9e
24479	14	5549	2013-08-03 02:03:26.319152	2013-08-03 02:03:26.319152	\N	5698afd0-8ebb-4676-80b8-406777a04096
25798	2	5724	2013-08-03 02:11:10.550905	2013-08-03 02:11:10.550905	\N	da07ca1e-e396-467a-b90a-bb3b230c6579
25799	2	5751	2013-08-03 02:11:10.595104	2013-08-03 02:11:10.595104	\N	8b99d6cb-6566-4abe-97de-881b918de1b8
25801	2	5721	2013-08-03 02:11:10.626649	2013-08-03 02:11:10.626649	\N	78c2ee63-4428-418d-b792-db130423b317
25802	2	5736	2013-08-03 02:11:10.671207	2013-08-03 02:11:10.671207	\N	0714fc43-ca3c-4bc4-b866-ad15ee62e77b
26218	4	5735	2013-08-03 02:13:13.966424	2013-08-03 02:13:13.966424	\N	926f75cd-d3f5-4ad4-8cb5-bc5698cf1332
26219	4	5762	2013-08-03 02:13:14.030637	2013-08-03 02:13:14.030637	\N	a9ffbec3-ba96-4778-839b-87395fdcf6ab
25821	8	5717	2013-08-03 02:11:12.383605	2013-08-03 02:11:12.383605	\N	b747f0da-7334-4122-8484-c055ac4f3d4f
25822	8	5756	2013-08-03 02:11:13.395792	2013-08-03 02:11:13.395792	\N	e0fa90c1-de05-4d86-b71e-10d8e56d1ddb
25823	8	5735	2013-08-03 02:11:15.969972	2013-08-03 02:11:15.969972	\N	01869eda-bf2d-496e-98b3-a857e8f89e27
34247	4	6610	2013-08-03 17:01:07.871997	2013-08-03 17:01:07.871997	\N	3556e163-ba23-48a0-9571-c785301d4423
34248	2	6596	2013-08-03 17:01:10.74182	2013-08-03 17:01:10.74182	\N	fadd6d4c-115b-4a43-850b-cfd8beed2b37
21545	19	5399	2013-08-03 01:52:24.842792	2013-08-03 01:52:24.842792	\N	d2c21636-6e79-49a7-a9aa-2dbafa993dc7
40927	5	7261	2013-08-03 17:35:54.956988	2013-08-03 17:35:54.956988	\N	dc4ead5d-dea5-4857-97b9-6c9160b39870
34273	17	6596	2013-08-03 17:01:33.959893	2013-08-03 17:01:33.959893	\N	98a170c0-3037-4a3f-be12-c481fba2d8eb
35182	7	6835	2013-08-03 17:20:13.324085	2013-08-03 17:20:13.324085	\N	1010c5fa-930c-40cd-ae56-ca2fc8a6441c
35183	7	6832	2013-08-03 17:20:13.428571	2013-08-03 17:20:13.428571	\N	cccbcbae-3c54-4bc5-89a7-b077da07f3ba
27031	12	5849	2013-08-03 02:17:21.578058	2013-08-03 02:17:21.578058	\N	a337e691-9aec-4acc-b645-c31738f796b2
21557	19	5411	2013-08-03 01:52:25.762677	2013-08-03 01:52:25.762677	\N	29716d6d-b3d3-4b7c-b0a9-60ddc58786e8
35184	7	6838	2013-08-03 17:20:13.573201	2013-08-03 17:20:13.573201	\N	06fd394a-5b14-4e26-b76c-919ebeb19b04
35185	7	6856	2013-08-03 17:20:13.679597	2013-08-03 17:20:13.679597	\N	58d54c2c-af30-4cb0-b167-f5f692dfe80c
35186	7	6826	2013-08-03 17:20:13.756955	2013-08-03 17:20:13.756955	\N	b8768a1b-4cd0-44b6-af39-60abf354c410
35187	7	6844	2013-08-03 17:20:13.85766	2013-08-03 17:20:13.85766	\N	48c7e671-611a-4d53-b754-ad0a439edb7a
35188	7	6862	2013-08-03 17:20:13.966185	2013-08-03 17:20:13.966185	\N	91d943c0-b3e1-4ecb-85be-20ee35d3316a
31068	6	6155	2013-08-03 02:42:11.209185	2013-08-03 02:42:11.209185	\N	b7381157-2e02-40b4-8f07-9fa8f153cf7e
34764	8	6764	2013-08-03 17:10:46.980554	2013-08-03 17:10:46.980554	\N	f8fac30c-5e87-4e20-bd05-26a67faf693f
35189	7	6859	2013-08-03 17:20:14.064873	2013-08-03 17:20:14.064873	\N	ad172dea-28c0-438f-9000-e2757612b560
26259	14	5717	2013-08-03 02:13:28.701581	2013-08-03 02:13:28.701581	\N	d19f93b0-de17-4101-96dc-40e961868e5c
35314	4	6897	2013-08-03 17:20:50.886467	2013-08-03 17:20:50.886467	\N	62761bc5-829e-4957-b446-c4c386f0bbd0
48729	5	7510	2013-08-03 17:54:54.276572	2013-08-03 17:54:54.276572	\N	a75031ab-7170-4e01-8e0e-aa6cbda52bc2
43214	7	7330	2013-08-03 17:42:06.44423	2013-08-03 17:42:06.44423	\N	8033d6ec-2f12-49ae-9e3a-5b8f1a91513d
43215	7	7342	2013-08-03 17:42:06.548226	2013-08-03 17:42:06.548226	\N	7efcc1f1-c483-4b1a-99d5-6b0e6b605422
35339	8	6941	2013-08-03 17:21:03.083842	2013-08-03 17:21:03.083842	\N	552d8f0b-ae92-4ca1-9077-8988949cc701
43216	7	7321	2013-08-03 17:42:06.6322	2013-08-03 17:42:06.6322	\N	a7a41e66-1c96-4273-bb54-bcfede7075ca
31080	14	6155	2013-08-03 02:42:36.637365	2013-08-03 02:42:36.637365	\N	c87b4440-ad11-445b-975d-14e0ced106f9
43217	7	7345	2013-08-03 17:42:06.730014	2013-08-03 17:42:06.730014	\N	075cecd1-17c5-4dc2-84f9-6e8a1e29cd63
43218	7	7360	2013-08-03 17:42:06.827138	2013-08-03 17:42:06.827138	\N	bcd8a427-83ee-44f0-aec6-088fd1e0f027
29564	12	5987	2013-08-03 02:29:51.755023	2013-08-03 02:29:51.755023	\N	c422e7f9-dced-46bd-9313-a97931cfd5ee
29566	12	6017	2013-08-03 02:29:54.840557	2013-08-03 02:29:54.840557	\N	cd22c576-96de-4fe5-aa7c-61f00b1941a6
48730	5	7504	2013-08-03 17:54:54.311122	2013-08-03 17:54:54.311122	\N	3fec6511-06fa-4de1-bdbd-03efa8ddcaaf
34350	14	6605	2013-08-03 17:04:33.406848	2013-08-03 17:04:33.406848	\N	09f64815-67f5-43d3-9294-47447c690c8e
34351	14	6596	2013-08-03 17:04:33.453173	2013-08-03 17:04:33.453173	\N	fc255a55-8446-4033-bd56-b1f7eadc47ce
31288	14	6221	2013-08-03 02:44:07.063779	2013-08-03 02:44:07.063779	\N	828a929e-6a82-4662-ab13-d1596808089c
20572	8	5342	2013-08-03 01:50:34.859383	2013-08-03 01:50:34.859383	\N	5211d378-34c8-4897-adb3-faa4d8fc2db8
30514	8	6185	2013-08-03 02:38:12.152399	2013-08-03 02:38:12.152399	\N	84210b03-d4e0-482f-83a4-198d8a2f26c2
31289	14	6260	2013-08-03 02:44:07.10368	2013-08-03 02:44:07.10368	\N	1715563b-2a9e-4fd3-bafe-d4498b8a54c3
29039	8	6017	2013-08-03 02:27:12.061338	2013-08-03 02:27:12.061338	\N	bb4701bb-d873-475a-ac15-d1aec34dfd0f
31290	14	6266	2013-08-03 02:44:07.138346	2013-08-03 02:44:07.138346	\N	0326759c-630f-4e41-9f62-f3f5e0524c6c
35180	7	6841	2013-08-03 17:20:12.965984	2013-08-03 17:20:12.965984	\N	8ab0d71e-15b1-45c4-a076-717c7b9bfc2a
34765	8	6773	2013-08-03 17:10:47.722347	2013-08-03 17:10:47.722347	\N	256c1d7e-5639-44f8-a7ce-f5fed815d9c5
26876	1	5819	2013-08-03 02:16:38.614693	2013-08-03 02:16:38.614693	\N	3cbea699-f3d4-460c-862b-bb7e0813bd44
26877	2	5840	2013-08-03 02:16:38.773096	2013-08-03 02:16:38.773096	\N	ba026919-9076-45df-9ba2-dd7d9688dd75
26878	2	5819	2013-08-03 02:16:38.816895	2013-08-03 02:16:38.816895	\N	3b4207c5-ccc6-4a42-bc63-b1e043e10f04
23380	4	5465	2013-08-03 01:56:48.9026	2013-08-03 01:56:48.9026	\N	ad0d67e3-290f-4e40-ab55-57ef7046f4b9
23381	4	5504	2013-08-03 01:56:48.926795	2013-08-03 01:56:48.926795	\N	8c6a210d-da49-4806-b087-e448ba46556c
23383	4	5483	2013-08-03 01:56:48.961133	2013-08-03 01:56:48.961133	\N	bd752596-5e42-47ef-8d76-c1d7ab6abacf
23384	4	5510	2013-08-03 01:56:48.995734	2013-08-03 01:56:48.995734	\N	5315ccd5-93ab-4e35-8907-b639cc8f1034
23385	4	5513	2013-08-03 01:56:49.044022	2013-08-03 01:56:49.044022	\N	34b649c0-bed6-4539-8285-bd38f6871cbe
26879	2	5849	2013-08-03 02:16:38.859999	2013-08-03 02:16:38.859999	\N	611643c4-7624-48c1-94ba-5e7c6f1e3793
26887	11	5849	2013-08-03 02:16:41.520655	2013-08-03 02:16:41.520655	\N	70f761c2-3058-4817-b820-9f1c3b765473
25355	19	5633	2013-08-03 02:09:01.460485	2013-08-03 02:09:01.460485	\N	7476a1f8-5055-4493-bd26-d6fd40d77699
25786	8	5762	2013-08-03 02:11:07.048357	2013-08-03 02:11:07.048357	\N	a3e0c9d1-3996-49aa-b10c-074d345e9bb9
25787	8	5765	2013-08-03 02:11:07.547272	2013-08-03 02:11:07.547272	\N	71b916fa-17ce-46fb-a0b6-57c4b6b9aa23
25359	19	5672	2013-08-03 02:09:02.134726	2013-08-03 02:09:02.134726	\N	102b92cb-033f-4aa6-87b1-27198c382fab
25788	2	5756	2013-08-03 02:11:09.344181	2013-08-03 02:11:09.344181	\N	7b6a26ce-956c-48cb-bd56-aadef5a57574
25789	2	5735	2013-08-03 02:11:09.394187	2013-08-03 02:11:09.394187	\N	d66bd37c-50a6-47d2-917d-635e20450b76
25790	2	5765	2013-08-03 02:11:09.424733	2013-08-03 02:11:09.424733	\N	8b0da219-a0a8-4da7-addc-2b00ab430f7f
25791	2	5762	2013-08-03 02:11:09.464366	2013-08-03 02:11:09.464366	\N	2e955dd8-6efb-483c-a327-35e919a585db
25792	7	5762	2013-08-03 02:11:10.020949	2013-08-03 02:11:10.020949	\N	84b9b1c5-257e-461f-bc23-e3ff8dfcbed0
25793	7	5735	2013-08-03 02:11:10.219936	2013-08-03 02:11:10.219936	\N	537c1eab-716b-4ada-9347-ca3aa21f574e
25794	7	5756	2013-08-03 02:11:10.291787	2013-08-03 02:11:10.291787	\N	aa960098-e903-4244-a277-388f82eaad79
35181	7	6847	2013-08-03 17:20:13.142149	2013-08-03 17:20:13.142149	\N	76f9686e-db70-4f6c-afc2-cd0a92e4ebfe
27273	14	5801	2013-08-03 02:18:31.148377	2013-08-03 02:18:31.148377	\N	7e175e99-2292-4abf-8d2d-94b6768e5cff
25797	7	5765	2013-08-03 02:11:10.546906	2013-08-03 02:11:10.546906	\N	a94773b5-0b4e-4823-b5ed-2bda092b1063
48731	5	7531	2013-08-03 17:54:54.358114	2013-08-03 17:54:54.358114	\N	046bdcb2-41b0-40ae-8809-713c7daf311e
43221	7	7318	2013-08-03 17:42:06.977195	2013-08-03 17:42:06.977195	\N	ea94431f-e41c-49cb-9583-e2dec58a9f17
35218	7	6901	2013-08-03 17:20:39.928486	2013-08-03 17:20:39.928486	\N	3ce536dd-ae55-431a-ba7f-abb7ab4f582d
24717	19	5549	2013-08-03 02:04:55.924815	2013-08-03 02:04:55.924815	\N	c0fd6d88-0bef-4479-bfa9-3b76c87a6d6d
24718	19	5588	2013-08-03 02:04:56.315072	2013-08-03 02:04:56.315072	\N	e532d693-f44c-4afb-8147-431f92ad5dd0
24719	19	5567	2013-08-03 02:04:57.054875	2013-08-03 02:04:57.054875	\N	a4f1ab34-6e1a-481b-92c0-fdcf922f0e48
29094	1	6008	2013-08-03 02:27:35.279147	2013-08-03 02:27:35.279147	\N	e7c5f9c2-c81e-47e0-b2be-de96db0c3dc3
26905	4	5801	2013-08-03 02:16:43.401453	2013-08-03 02:16:43.401453	\N	605cb803-86ad-4adc-9d8a-62f1b23532eb
26906	4	5840	2013-08-03 02:16:43.442499	2013-08-03 02:16:43.442499	\N	1ecf85e4-d4f2-428b-b225-7ff800a6e625
24724	19	5597	2013-08-03 02:04:59.78478	2013-08-03 02:04:59.78478	\N	b3d2e7d1-5982-4f0f-852e-d7e65e389a47
26908	4	5819	2013-08-03 02:16:43.485465	2013-08-03 02:16:43.485465	\N	056f2f2d-a025-4310-943c-5610f7c4395d
26913	1	5849	2013-08-03 02:16:46.248331	2013-08-03 02:16:46.248331	\N	1acaa820-4adf-47e3-9281-5f9b31ea35cc
29095	2	5988	2013-08-03 02:27:35.790014	2013-08-03 02:27:35.790014	\N	1af60cc9-92c7-4962-a9a1-a2131b3e0c61
29096	1	5987	2013-08-03 02:27:38.554826	2013-08-03 02:27:38.554826	\N	efd19881-186c-4ed6-9a87-bba95a6b0000
43223	7	7361	2013-08-03 17:42:07.06701	2013-08-03 17:42:07.06701	\N	576a8a1a-306b-46e4-b631-e7aed8f7db20
28106	8	5930	2013-08-03 02:22:25.140118	2013-08-03 02:22:25.140118	\N	98c316c5-17bb-4b01-8499-66f5e3011481
35221	7	6904	2013-08-03 17:20:39.982987	2013-08-03 17:20:39.982987	\N	970f5d11-c21e-42a0-b496-f071610041f4
43224	7	7309	2013-08-03 17:42:07.125377	2013-08-03 17:42:07.125377	\N	c3ed2973-8b18-453e-8e1e-0f887e261edb
29101	11	6008	2013-08-03 02:27:39.537573	2013-08-03 02:27:39.537573	\N	f5a6ee04-42d0-402b-a64b-ee15f33a3fdf
26192	2	5760	2013-08-03 02:13:09.804811	2013-08-03 02:13:09.804811	\N	66623cec-8dc2-4954-bb1f-499c7e4197a5
30920	2	6147	2013-08-03 02:41:09.686928	2013-08-03 02:41:09.686928	\N	6716848c-5237-48c0-9d7f-7a3a9e0f8d53
29108	11	5987	2013-08-03 02:27:39.680007	2013-08-03 02:27:39.680007	\N	9e13df4f-f056-4a9a-9d87-62050560cfc0
35224	7	6889	2013-08-03 17:20:40.06382	2013-08-03 17:20:40.06382	\N	6eaa047c-4d3a-4f61-a80e-c4581c6105fb
35226	7	6892	2013-08-03 17:20:40.104524	2013-08-03 17:20:40.104524	\N	190a0c15-a299-43ae-89ed-a154d53674ab
21423	8	5315	2013-08-03 01:52:12.516414	2013-08-03 01:52:12.516414	\N	493bd411-449a-4eb3-8c98-72838ebcb193
55470	19	7918	2013-08-03 18:19:55.505084	2013-08-03 18:19:55.505084	\N	2b04c67b-fabb-4acc-8c1d-1acc2ba7ce4a
50261	19	7591	2013-08-03 17:58:57.036833	2013-08-03 17:58:57.036833	\N	d85551f0-b3cb-4b2f-9599-423cf1b148c2
29822	10	6092	2013-08-03 02:32:54.970936	2013-08-03 02:32:54.970936	\N	5b4b9655-cbd1-4683-8640-856032f877a2
29823	12	6053	2013-08-03 02:32:56.180238	2013-08-03 02:32:56.180238	\N	aae79c74-c34f-41d6-b1ed-86249a049bbe
29824	12	6092	2013-08-03 02:32:57.141689	2013-08-03 02:32:57.141689	\N	50ec6fdd-6e52-44e7-b27e-6ebb7fcf474f
27004	12	5819	2013-08-03 02:17:18.513793	2013-08-03 02:17:18.513793	\N	1c0869da-38fb-4c1f-bff5-7a684cb89922
29829	10	6101	2013-08-03 02:33:06.610087	2013-08-03 02:33:06.610087	\N	157a15c9-0437-4be2-827c-111807556586
34816	12	6764	2013-08-03 17:12:12.864704	2013-08-03 17:12:12.864704	\N	c99b0663-3a59-4b86-9615-69ed0b5da440
28215	19	5885	2013-08-03 02:22:52.210978	2013-08-03 02:22:52.210978	\N	7f3084a7-ee66-4347-b59a-d6af11c6c4e7
27306	2	5808	2013-08-03 02:18:40.526507	2013-08-03 02:18:40.526507	\N	bf7d813f-ee10-4f88-b1ca-194f1a381cad
29175	10	5924	2013-08-03 02:28:03.323268	2013-08-03 02:28:03.323268	\N	bb154aec-0780-489b-b2d9-b062742d84ea
53993	7	7827	2013-08-03 18:12:54.948402	2013-08-03 18:12:54.948402	\N	b1444676-961b-4bce-856e-92ded8ca429a
34820	10	6773	2013-08-03 17:12:20.123788	2013-08-03 17:12:20.123788	\N	1b3cb9e7-f9ba-46d0-ab9b-d6f7491a59b2
33493	2	6516	2013-08-03 02:59:09.733214	2013-08-03 02:59:09.733214	\N	37b8dbb6-6427-4d27-9c7e-2bea6d151e98
47799	2	7531	2013-08-03 17:52:55.176097	2013-08-03 17:52:55.176097	\N	7678efae-7675-4c84-9d3b-d9facf64b8d1
33495	1	6473	2013-08-03 02:59:11.603263	2013-08-03 02:59:11.603263	\N	3ce5387a-586d-41f2-8c25-811084486249
45666	10	7411	2013-08-03 17:47:55.190665	2013-08-03 17:47:55.190665	\N	d6985d77-129f-47c4-a9e6-c7adfcc9728f
51064	10	7618	2013-08-03 18:00:53.923143	2013-08-03 18:00:53.923143	\N	62792573-6cc3-4e79-a68d-4a553097c6c1
29206	4	5987	2013-08-03 02:28:11.387759	2013-08-03 02:28:11.387759	\N	8d385f2f-9e9e-458e-97fc-a2f004c2b951
31402	12	6260	2013-08-03 02:45:30.059628	2013-08-03 02:45:30.059628	\N	b8e22d5d-c03d-4bd2-84fa-0d72afda2a27
64042	5	9004	2013-08-03 19:10:58.404964	2013-08-03 19:10:58.404964	\N	0c29576f-b12a-4b6f-a667-2dfac503cf9f
29210	10	5933	2013-08-03 02:28:15.847675	2013-08-03 02:28:15.847675	\N	3ef62dc4-63b1-4a6c-b841-a1f5d76a39b5
54736	1	7870	2013-08-03 18:15:58.714006	2013-08-03 18:15:58.714006	\N	3eba7c13-d387-4f93-95ce-0e740ba6fe37
31129	6	6239	2013-08-03 02:42:58.78467	2013-08-03 02:42:58.78467	\N	62990102-22a2-4ec8-ab7b-310743358935
93286	1	11939	2013-08-03 20:59:58.287022	2013-08-03 20:59:58.287022	\N	5426a512-939e-4153-8a7b-3996de7b30b4
48745	6	7534	2013-08-03 17:54:55.255335	2013-08-03 17:54:55.255335	\N	c1d117ad-cb21-45ed-9ee6-f502c4c75f42
32292	7	6428	2013-08-03 02:53:05.657982	2013-08-03 02:53:05.657982	\N	723f9311-3b72-4be0-9a9a-c5a82cb83c66
32293	7	6437	2013-08-03 02:53:05.755428	2013-08-03 02:53:05.755428	\N	271d3dd5-206d-4619-a451-a7bc2a3c24e1
104788	6	12821	2013-08-03 21:34:59.591145	2013-08-03 21:34:59.591145	\N	3c7450d4-9d69-4e5f-9f6a-9ff2c148828f
32301	7	6389	2013-08-03 02:53:07.744327	2013-08-03 02:53:07.744327	\N	1d048d62-d535-41dd-b010-bd85768afef7
61820	5	8737	2013-08-03 19:00:02.660424	2013-08-03 19:00:02.660424	\N	2026dd62-cf99-43f9-bf68-584265d2c38b
34349	10	6596	2013-08-03 17:04:30.504467	2013-08-03 17:04:30.504467	\N	1864ac61-f067-429b-8855-aea24061c651
57225	14	8182	2013-08-03 18:32:58.579282	2013-08-03 18:32:58.579282	\N	2f664f11-c44c-46cc-ac26-cfb9351e3c4b
55495	19	7915	2013-08-03 18:20:04.889459	2013-08-03 18:20:04.889459	\N	6cc78991-5a11-4171-ba36-a17e0b2ac105
31148	4	6221	2013-08-03 02:43:05.889488	2013-08-03 02:43:05.889488	\N	061d839e-2831-4a7d-bb42-d1a251d38421
31149	4	6260	2013-08-03 02:43:05.978758	2013-08-03 02:43:05.978758	\N	c8bf4e48-e3f1-439e-88aa-fb02aa099c50
31150	4	6239	2013-08-03 02:43:06.012964	2013-08-03 02:43:06.012964	\N	436095b6-40da-4134-9d1b-0616f312a6da
31151	4	6269	2013-08-03 02:43:06.038218	2013-08-03 02:43:06.038218	\N	b11a2b13-8934-4bd1-97c0-e8654e8652c3
31153	2	6239	2013-08-03 02:43:09.718193	2013-08-03 02:43:09.718193	\N	d6c35b41-1f80-44c2-aa8c-acc351427b03
27067	10	5846	2013-08-03 02:17:26.469892	2013-08-03 02:17:26.469892	\N	bd1e2e1f-a55c-4b81-ba73-2746ccf5d317
30385	7	6185	2013-08-03 02:37:28.807998	2013-08-03 02:37:28.807998	\N	db98267a-0aa9-442c-aa68-2dfcf648bcd2
30386	1	6137	2013-08-03 02:37:28.943208	2013-08-03 02:37:28.943208	\N	864a4bd1-9865-4c9a-978b-8c8290043b4a
31154	2	6266	2013-08-03 02:43:09.814899	2013-08-03 02:43:09.814899	\N	e17b0902-00dd-4a98-95ff-baee33b5d11e
30391	7	6137	2013-08-03 02:37:29.294021	2013-08-03 02:37:29.294021	\N	5a0eda1b-2b03-4d1d-a2ed-ee8cb60b4de9
30392	7	6176	2013-08-03 02:37:29.443865	2013-08-03 02:37:29.443865	\N	213410e8-d478-4583-b53a-504337a2918b
30393	7	6155	2013-08-03 02:37:29.532283	2013-08-03 02:37:29.532283	\N	41581099-2f8e-4c8c-89a9-aabeae1602c9
31155	2	6269	2013-08-03 02:43:09.847877	2013-08-03 02:43:09.847877	\N	bfe7dee2-8230-49fd-a87f-c296ef254ba3
31156	2	6225	2013-08-03 02:43:09.887181	2013-08-03 02:43:09.887181	\N	28e5ba20-673d-45b9-ab1b-704c420eb4f7
31157	2	6255	2013-08-03 02:43:09.928331	2013-08-03 02:43:09.928331	\N	4483c914-d663-4ca7-a61f-a956ea6caea6
34354	10	6605	2013-08-03 17:04:40.519916	2013-08-03 17:04:40.519916	\N	ae67db6b-72aa-413c-8bdc-57226c71bebe
34281	12	6596	2013-08-03 17:01:59.680107	2013-08-03 17:01:59.680107	\N	cda4e0e8-20d3-40fe-932a-9a2364bd8a5b
53272	1	7750	2013-08-03 18:09:58.691112	2013-08-03 18:09:58.691112	\N	13b52868-d124-4684-b957-7f9d87861ac0
36085	12	6941	2013-08-03 17:22:57.239543	2013-08-03 17:22:57.239543	\N	3c7bbf78-75b1-4e4e-b531-a09bf98060de
43225	7	7363	2013-08-03 17:42:07.142256	2013-08-03 17:42:07.142256	\N	0f3d1e76-b114-41fe-9593-5288047c3ba9
35205	14	6941	2013-08-03 17:20:39.681479	2013-08-03 17:20:39.681479	\N	2921f680-7001-4905-a304-6cb02f1a48a5
36107	8	6932	2013-08-03 17:23:05.311017	2013-08-03 17:23:05.311017	\N	50963a74-7701-4d29-8477-f88a3ec72f0b
31355	19	6239	2013-08-03 02:44:49.504828	2013-08-03 02:44:49.504828	\N	dbf4c759-d747-43c1-8b06-b05efc249a46
43227	7	7348	2013-08-03 17:42:07.224021	2013-08-03 17:42:07.224021	\N	83ce98ea-a6cb-4ba1-b59d-f2256242b7d0
43228	7	7333	2013-08-03 17:42:07.333247	2013-08-03 17:42:07.333247	\N	71123e0f-9608-4b05-8690-8f83354902e0
34295	7	6558	2013-08-03 17:02:36.393234	2013-08-03 17:02:36.393234	\N	ffcbc07a-1a84-45fd-989a-59b2034a8e1a
32584	2	6399	2013-08-03 02:54:40.191822	2013-08-03 02:54:40.191822	\N	f8042f99-5a85-4878-92e1-459b376c082c
36117	9	6932	2013-08-03 17:23:12.114404	2013-08-03 17:23:12.114404	\N	e9f72af1-2df5-4cd6-a73c-19456084bf9e
43229	7	7336	2013-08-03 17:42:07.427903	2013-08-03 17:42:07.427903	\N	dc41d6c3-c0ba-43ad-b88a-14c1e79adcea
34304	4	6596	2013-08-03 17:03:07.067211	2013-08-03 17:03:07.067211	\N	f2657e02-6a13-4ed9-b56e-40a54f11dc79
29092	1	5969	2013-08-03 02:27:28.776469	2013-08-03 02:27:28.776469	\N	033ec71c-003e-4c60-8951-c3af79d31704
29093	2	6012	2013-08-03 02:27:30.502546	2013-08-03 02:27:30.502546	\N	3c3f16e7-f023-4b04-a408-733d7ad8ffe7
29120	11	6017	2013-08-03 02:27:39.996596	2013-08-03 02:27:39.996596	\N	ea413b2f-8984-4864-a3a4-275d727cecc3
34305	4	6605	2013-08-03 17:03:07.151971	2013-08-03 17:03:07.151971	\N	6e276c7b-e959-4195-9a76-1c56793096e2
59265	3	8392	2013-08-03 18:44:55.634892	2013-08-03 18:44:55.634892	\N	b401d5f0-9048-4d33-bf2d-850c1a1c243b
37100	2	6987	2013-08-03 17:25:41.748219	2013-08-03 17:25:41.748219	\N	aed12b40-f433-4165-8d7a-0aae934c7bee
28376	17	5924	2013-08-03 02:23:29.673366	2013-08-03 02:23:29.673366	\N	0e7f9492-2c61-4adc-a4ef-d6ad553d3cf8
37227	11	7025	2013-08-03 17:25:55.056923	2013-08-03 17:25:55.056923	\N	9463ce1f-cfae-427d-a01c-4df625fef2a8
35244	2	6941	2013-08-03 17:20:40.865683	2013-08-03 17:20:40.865683	\N	44e44701-ce57-45e3-8489-f69461dab952
57223	14	8167	2013-08-03 18:32:58.542715	2013-08-03 18:32:58.542715	\N	9a2dbd9f-6386-4cab-8d46-52f22da95457
34312	7	6596	2013-08-03 17:03:20.923064	2013-08-03 17:03:20.923064	\N	13a56665-60e4-47f5-9479-f4d699a1048d
31676	14	6239	2013-08-03 02:47:38.17261	2013-08-03 02:47:38.17261	\N	d4562462-5ce9-4d8c-bd41-4d87b3b3ffd7
43234	7	7366	2013-08-03 17:42:07.66282	2013-08-03 17:42:07.66282	\N	f4306847-390a-49ad-85ab-8ac696e1f56d
54001	2	7867	2013-08-03 18:12:55.752455	2013-08-03 18:12:55.752455	\N	4b7119e2-fdd6-449a-8564-8a7b2973e8b0
45684	6	7450	2013-08-03 17:47:56.661043	2013-08-03 17:47:56.661043	\N	006cc00d-be49-47fe-a433-b1a6f28053df
31683	6	6266	2013-08-03 02:47:46.484858	2013-08-03 02:47:46.484858	\N	866520c2-da3c-47a3-9036-fc14dfd00540
30657	12	6176	2013-08-03 02:39:13.465813	2013-08-03 02:39:13.465813	\N	7dfc05a6-6036-450f-bb65-aee46c32d746
45685	6	7405	2013-08-03 17:47:56.847905	2013-08-03 17:47:56.847905	\N	722f64f1-428e-453d-ad20-72ccb3cc3873
28408	12	5924	2013-08-03 02:23:32.416204	2013-08-03 02:23:32.416204	\N	8445fb37-8ceb-476d-99eb-f1f74ea98605
30661	12	6155	2013-08-03 02:39:16.739102	2013-08-03 02:39:16.739102	\N	42a24a10-a08a-4bc4-bccf-f41de593a3b0
31692	7	6323	2013-08-03 02:48:04.265887	2013-08-03 02:48:04.265887	\N	917d47f9-43d1-4c52-b9ae-d0d905136d5f
44880	6	7312	2013-08-03 17:46:03.414497	2013-08-03 17:46:03.414497	\N	8a534256-b202-4daf-83ec-6bf7db6f7618
29267	19	5969	2013-08-03 02:28:30.442096	2013-08-03 02:28:30.442096	\N	b10cd543-30e6-49c7-9109-c847afcb6042
45686	10	7414	2013-08-03 17:47:57.150926	2013-08-03 17:47:57.150926	\N	75aed9bf-7820-4ee2-b66c-ad2575387d58
29269	19	6008	2013-08-03 02:28:30.819339	2013-08-03 02:28:30.819339	\N	714581dd-4cdc-453f-900f-61efa1c0c461
34412	11	6689	2013-08-03 17:06:09.565407	2013-08-03 17:06:09.565407	\N	f0e7ec89-b7f8-414a-99f4-529e5ece5832
29271	19	5987	2013-08-03 02:28:31.435451	2013-08-03 02:28:31.435451	\N	4e8b2b93-1271-4b64-94eb-19e0da6afc26
34415	10	6689	2013-08-03 17:06:10.762551	2013-08-03 17:06:10.762551	\N	e95dc7f5-845c-4ec5-94b6-bbb0643f5253
34441	4	6645	2013-08-03 17:06:25.693972	2013-08-03 17:06:25.693972	\N	f2688b87-5af3-450e-af74-b22776e9dfef
31726	17	6344	2013-08-03 02:48:11.949429	2013-08-03 02:48:11.949429	\N	43e55a34-970d-47b6-a50c-9d37992e4bb7
31727	17	6323	2013-08-03 02:48:12.263077	2013-08-03 02:48:12.263077	\N	958c36ae-f93f-4b00-9178-610ea0f5ae37
31085	7	6260	2013-08-03 02:42:41.721407	2013-08-03 02:42:41.721407	\N	9f05b0f9-ad7f-4d83-ac9a-aa3e84e5aedb
31087	7	6221	2013-08-03 02:42:41.882807	2013-08-03 02:42:41.882807	\N	bd4e6ef9-42f4-4c99-9212-55761641d39e
31093	7	6269	2013-08-03 02:42:42.272854	2013-08-03 02:42:42.272854	\N	24d7cad7-058f-4bab-8d27-23caa3c8249d
31094	8	6266	2013-08-03 02:42:44.089198	2013-08-03 02:42:44.089198	\N	80d8613f-8676-437f-aac6-5f8a1ee8ed16
30276	17	6092	2013-08-03 02:36:18.588901	2013-08-03 02:36:18.588901	\N	36a7ba8b-b1b0-4639-af7c-54c7ffd917af
31096	8	6269	2013-08-03 02:42:44.845783	2013-08-03 02:42:44.845783	\N	caa81d68-d8b7-4940-bae7-119c5f9049d7
31097	11	6221	2013-08-03 02:42:46.141572	2013-08-03 02:42:46.141572	\N	137ce814-1b30-43ff-bf1d-e702922c0086
31729	8	6344	2013-08-03 02:48:14.905967	2013-08-03 02:48:14.905967	\N	690841c8-7b98-4103-8de0-aba1d20763bb
31099	11	6239	2013-08-03 02:42:46.546933	2013-08-03 02:42:46.546933	\N	96f75661-416c-4cec-91c6-8dffbc714aec
31730	11	6305	2013-08-03 02:48:15.139821	2013-08-03 02:48:15.139821	\N	14695afd-f561-4c6a-a1c7-396f5cddf555
31101	1	6260	2013-08-03 02:42:47.242958	2013-08-03 02:42:47.242958	\N	1015f1ad-6a0b-4c9e-8cac-118bb36dc967
37693	10	7025	2013-08-03 17:27:01.684334	2013-08-03 17:27:01.684334	\N	53ea247c-fd17-4f75-bf80-ecfacd49d31d
34818	10	6764	2013-08-03 17:12:16.050957	2013-08-03 17:12:16.050957	\N	e82d06f0-4511-405b-85e8-0c6316a17329
31106	7	6239	2013-08-03 02:42:50.300216	2013-08-03 02:42:50.300216	\N	d4b47c1a-1641-4574-a516-322aadc107b1
44882	6	7321	2013-08-03 17:46:04.363368	2013-08-03 17:46:04.363368	\N	bd2ded56-cd93-4680-9da0-48d1e884dfbe
34833	12	6773	2013-08-03 17:12:38.625552	2013-08-03 17:12:38.625552	\N	a6e338d7-00f6-48bb-844d-6f429d298da1
34478	7	6680	2013-08-03 17:07:08.048961	2013-08-03 17:07:08.048961	\N	49de704a-c3ae-4ae1-8795-46bea8e36ef6
34479	7	6689	2013-08-03 17:07:08.142936	2013-08-03 17:07:08.142936	\N	00372ef9-5b4f-4d11-bf78-6ab49beab046
45687	14	7445	2013-08-03 17:47:57.853442	2013-08-03 17:47:57.853442	\N	34b9edbc-e738-4858-b122-5730ae19cd7c
32310	2	6407	2013-08-03 02:53:09.13212	2013-08-03 02:53:09.13212	\N	3abf107a-1ce4-412e-87df-d30410072d28
32311	2	6428	2013-08-03 02:53:09.227284	2013-08-03 02:53:09.227284	\N	9eeae953-7189-422e-9ba4-4e813d3ca6cd
31118	1	6266	2013-08-03 02:42:52.087061	2013-08-03 02:42:52.087061	\N	10440c6f-2a2e-4525-8127-74b9b3348d0f
44884	6	7348	2013-08-03 17:46:04.915002	2013-08-03 17:46:04.915002	\N	d5ccad61-69d2-47b2-aaba-39366d22c3e5
45694	10	7420	2013-08-03 17:48:00.904789	2013-08-03 17:48:00.904789	\N	37186786-6e07-4740-87e2-bac4ead7860e
54003	2	7864	2013-08-03 18:12:55.800234	2013-08-03 18:12:55.800234	\N	886a0b87-9450-4642-b73e-866f1b13fa66
54006	1	7865	2013-08-03 18:12:58.877452	2013-08-03 18:12:58.877452	\N	4cef6331-3d33-4062-a0c9-31a9ab638961
31125	1	6269	2013-08-03 02:42:54.517573	2013-08-03 02:42:54.517573	\N	dd2beb7f-02c0-4747-9309-c88694a287da
49546	14	7528	2013-08-03 17:57:03.337477	2013-08-03 17:57:03.337477	\N	342ce093-2b2c-428c-b046-2f8739502da6
33230	14	6407	2013-08-03 02:57:41.783307	2013-08-03 02:57:41.783307	\N	133dd360-cab4-4436-905d-134273e196be
44094	4	7317	2013-08-03 17:44:08.40949	2013-08-03 17:44:08.40949	\N	5c5f7801-9132-4720-9f5f-ffaf71832719
34851	19	6764	2013-08-03 17:12:52.569221	2013-08-03 17:12:52.569221	\N	54179c6e-011f-4f4b-850f-adcc033515de
49547	14	7513	2013-08-03 17:57:03.45308	2013-08-03 17:57:03.45308	\N	8efd6ec4-ee4b-4000-95cb-d15caee1081d
49548	14	7501	2013-08-03 17:57:03.501245	2013-08-03 17:57:03.501245	\N	b196ac75-9204-4da6-9c22-e0238c179203
49549	14	7531	2013-08-03 17:57:03.614322	2013-08-03 17:57:03.614322	\N	e943f8cb-f24c-432a-8c95-4f85fa1f12a0
49550	14	7534	2013-08-03 17:57:03.658599	2013-08-03 17:57:03.658599	\N	8a867c82-a4f1-4131-89af-ecc8d8b6e4ff
57227	14	8200	2013-08-03 18:32:58.630598	2013-08-03 18:32:58.630598	\N	7ea53984-15a9-487c-af74-d6c8c7e96cc6
32343	8	6428	2013-08-03 02:53:14.282058	2013-08-03 02:53:14.282058	\N	05002068-c363-4f95-ba08-1d4ae9f9170e
32349	19	6428	2013-08-03 02:53:16.707039	2013-08-03 02:53:16.707039	\N	924a31ed-4e8e-44c6-9a2e-1665dd910eb0
42195	5	7225	2013-08-03 17:39:07.026629	2013-08-03 17:39:07.026629	\N	2476d6f1-8258-47d8-9db2-be9e18b2f6dc
32704	12	6389	2013-08-03 02:55:13.115898	2013-08-03 02:55:13.115898	\N	99679bdc-90aa-4d08-95b3-f8e41d418f3c
32705	12	6428	2013-08-03 02:55:14.075745	2013-08-03 02:55:14.075745	\N	b5dbee3e-1f79-4d23-8f92-d422d6d5a7bc
33741	10	6512	2013-08-03 02:59:52.487628	2013-08-03 02:59:52.487628	\N	6fa5851f-ffe4-49b8-ac30-3e1cbf895159
42196	5	7231	2013-08-03 17:39:07.0569	2013-08-03 17:39:07.0569	\N	89bb64e3-e432-4f34-b6f5-289a95396884
53315	6	7750	2013-08-03 18:10:07.245486	2013-08-03 18:10:07.245486	\N	0b7df84c-1203-4e6c-be21-d2eb8d05de34
52420	2	7693	2013-08-03 18:05:55.523967	2013-08-03 18:05:55.523967	\N	08ad12af-dfc8-45e9-bed5-eaf0f74ef779
53317	6	7729	2013-08-03 18:10:07.299657	2013-08-03 18:10:07.299657	\N	7a7f97fb-3247-4ef5-aa96-5e763e9825de
33752	11	6521	2013-08-03 02:59:53.124424	2013-08-03 02:59:53.124424	\N	296fffb6-65f2-4eb6-a3fe-82ce0c0c578b
44107	6	7230	2013-08-03 17:44:10.271966	2013-08-03 17:44:10.271966	\N	24c15d7d-df22-4721-8de7-cbc828e37a6b
57228	5	8200	2013-08-03 18:32:58.809388	2013-08-03 18:32:58.809388	\N	91d29806-544d-42d6-bfeb-fac7a0be564f
61821	5	8749	2013-08-03 19:00:02.722861	2013-08-03 19:00:02.722861	\N	615b575c-3832-41a0-9f84-c0d1f7b7cb63
32730	12	6437	2013-08-03 02:55:19.78733	2013-08-03 02:55:19.78733	\N	cc09f269-3743-4a16-bd16-ed7a9b45f6c8
49742	11	7594	2013-08-03 17:57:43.74832	2013-08-03 17:57:43.74832	\N	000a260d-5a86-4c22-8a22-a0673488a8a3
31803	1	6323	2013-08-03 02:48:30.573499	2013-08-03 02:48:30.573499	\N	13a87e3f-ccf0-4829-9ebf-dd02d5fde51d
32388	10	6437	2013-08-03 02:53:19.797517	2013-08-03 02:53:19.797517	\N	193be3ba-e33d-417e-b48a-8a39fed4d582
31805	1	6344	2013-08-03 02:48:33.025476	2013-08-03 02:48:33.025476	\N	5ba804c1-bf86-4de5-9e9b-a4e7561f378e
31806	8	6350	2013-08-03 02:48:33.996967	2013-08-03 02:48:33.996967	\N	88371313-503f-44e3-a004-4d456b029a72
51701	2	7678	2013-08-03 18:03:10.412074	2013-08-03 18:03:10.412074	\N	f19f3741-e5a1-4e60-9a30-7e0a063f9734
50299	19	7594	2013-08-03 17:59:01.971515	2013-08-03 17:59:01.971515	\N	512cac09-2a2b-449f-bca0-cc10e07d336d
48829	5	7528	2013-08-03 17:55:07.0251	2013-08-03 17:55:07.0251	\N	c4eeebe2-dbcb-4fdc-bb25-8a6c2a1f2c2b
48830	5	7477	2013-08-03 17:55:07.081514	2013-08-03 17:55:07.081514	\N	cc95b55b-bda4-40b8-a12d-0fd8b6e8f7d2
30805	10	6182	2013-08-03 02:40:19.198209	2013-08-03 02:40:19.198209	\N	4867526c-b180-4cf0-a256-7b293a423c96
31854	19	6344	2013-08-03 02:48:53.600869	2013-08-03 02:48:53.600869	\N	6fada81c-8782-49f4-95de-cb886d118b1d
31687	7	6305	2013-08-03 02:48:03.79502	2013-08-03 02:48:03.79502	\N	b4d684e7-ce77-482d-b9d9-01d5bf0942b0
32582	7	6396	2013-08-03 02:54:40.099737	2013-08-03 02:54:40.099737	\N	603e8bc6-f0b4-4930-821d-69d3ca1440a3
35197	7	6910	2013-08-03 17:20:39.398043	2013-08-03 17:20:39.398043	\N	0442aa22-cc83-4f7d-9ab0-1999fd750c52
29502	17	5969	2013-08-03 02:29:26.300582	2013-08-03 02:29:26.300582	\N	68ade8e0-e287-4ea4-bb1b-c8975f383400
31694	7	6344	2013-08-03 02:48:04.525381	2013-08-03 02:48:04.525381	\N	8ff37ad2-6a77-42c7-84ea-5dbfe4c505fc
29769	7	6098	2013-08-03 02:32:09.538059	2013-08-03 02:32:09.538059	\N	8a1fca22-d008-498e-871a-98c1b127250d
35198	7	6922	2013-08-03 17:20:39.438759	2013-08-03 17:20:39.438759	\N	61809b5f-7673-4ff8-a3d4-2064ab1ea4fd
35199	7	6916	2013-08-03 17:20:39.502785	2013-08-03 17:20:39.502785	\N	6f07b269-1c5c-4989-9eba-5b5e12242fe0
29780	11	6092	2013-08-03 02:32:27.964896	2013-08-03 02:32:27.964896	\N	9a3e244c-4318-41d2-95e0-d26ea01efbdb
29781	11	6071	2013-08-03 02:32:28.133303	2013-08-03 02:32:28.133303	\N	675b6888-610b-4d95-9d9c-093fd77e7df1
29785	1	6098	2013-08-03 02:32:31.774932	2013-08-03 02:32:31.774932	\N	e9541bf3-a838-42fd-92ce-c3a3f53b5cc8
29791	19	6101	2013-08-03 02:32:35.937924	2013-08-03 02:32:35.937924	\N	83c10487-0ab6-47a6-a492-efe441c95fce
28334	17	5885	2013-08-03 02:23:16.759636	2013-08-03 02:23:16.759636	\N	54d7cb45-467f-452d-b852-5c874b0d1878
29792	8	6053	2013-08-03 02:32:36.12942	2013-08-03 02:32:36.12942	\N	10866999-2d6b-4297-b3c8-9f4c3e0dee22
29793	8	6092	2013-08-03 02:32:36.754143	2013-08-03 02:32:36.754143	\N	4a0ebad5-d8a5-4a53-9f05-2927e393c04e
30357	6	6053	2013-08-03 02:36:58.316042	2013-08-03 02:36:58.316042	\N	df5761a3-9648-4c9a-90fd-77f732db71f1
31699	1	6350	2013-08-03 02:48:04.854485	2013-08-03 02:48:04.854485	\N	ce154dad-a18c-4415-af8e-e7f8417871b4
35200	7	6940	2013-08-03 17:20:39.538421	2013-08-03 17:20:39.538421	\N	f554799b-625a-496b-b451-a06a849d818e
30592	16	6144	2013-08-03 02:38:51.1917	2013-08-03 02:38:51.1917	\N	fc36839a-d1d2-4f44-baf1-fec04795f3d5
29798	2	6063	2013-08-03 02:32:39.95879	2013-08-03 02:32:39.95879	\N	1adf2bbc-c867-4735-9273-e7d125c21d94
29799	2	6057	2013-08-03 02:32:40.042163	2013-08-03 02:32:40.042163	\N	f857f338-9304-40a5-ba70-6c925eb480f7
29800	8	6098	2013-08-03 02:32:40.244167	2013-08-03 02:32:40.244167	\N	ed5f6e95-89d9-465d-a8cf-d9f1327439e7
29801	8	6101	2013-08-03 02:32:40.654266	2013-08-03 02:32:40.654266	\N	1f67f90d-5cb4-4a60-8fc0-74b746b4fe1e
29802	7	6071	2013-08-03 02:32:44.695411	2013-08-03 02:32:44.695411	\N	90134089-eb4c-4a5c-bd8e-3826fff1cde5
29803	7	6101	2013-08-03 02:32:44.891847	2013-08-03 02:32:44.891847	\N	cb4f8db6-bd60-4285-82e6-fa3b7a13bf0b
29804	7	6092	2013-08-03 02:32:45.021168	2013-08-03 02:32:45.021168	\N	7e881c74-3fee-4709-950f-b6f2b206e512
29805	7	6053	2013-08-03 02:32:45.096906	2013-08-03 02:32:45.096906	\N	2b32d5f5-815f-4178-89c9-bd83237f0977
34750	2	6764	2013-08-03 17:10:40.953676	2013-08-03 17:10:40.953676	\N	9c9a86ff-b404-438b-8033-f7b4bf9b0901
34751	2	6729	2013-08-03 17:10:41.050532	2013-08-03 17:10:41.050532	\N	b57dff99-97f3-4336-b7b8-88e033e92892
28395	12	5885	2013-08-03 02:23:31.523746	2013-08-03 02:23:31.523746	\N	d2cac8cb-0909-4024-9ba3-7235cad133bc
31705	2	6323	2013-08-03 02:48:08.893317	2013-08-03 02:48:08.893317	\N	5a21d7e6-9e72-498a-9268-4313d3bf6c5f
31707	2	6344	2013-08-03 02:48:08.939844	2013-08-03 02:48:08.939844	\N	53cf1fdd-41fa-46a9-9229-e581eb9b92ec
31708	2	6350	2013-08-03 02:48:08.985373	2013-08-03 02:48:08.985373	\N	f782f7d7-d509-443e-94a5-6e1fdf0ac7d1
31710	2	6353	2013-08-03 02:48:09.077345	2013-08-03 02:48:09.077345	\N	e77ed522-2405-49da-ba52-23360d7809e5
34752	2	6735	2013-08-03 17:10:41.091455	2013-08-03 17:10:41.091455	\N	39a06d2d-e5b6-4430-b6d8-bd6edc5e2981
29815	4	6053	2013-08-03 02:32:45.73292	2013-08-03 02:32:45.73292	\N	502a9800-45b5-4947-9010-92e5d7a13277
29816	4	6092	2013-08-03 02:32:45.779457	2013-08-03 02:32:45.779457	\N	67beb463-6027-4837-88b1-6094ca37b871
29818	4	6071	2013-08-03 02:32:45.818211	2013-08-03 02:32:45.818211	\N	a077f6b5-235e-48be-8510-6e8de0178295
29819	4	6101	2013-08-03 02:32:45.860313	2013-08-03 02:32:45.860313	\N	b596e89a-c946-420d-b521-8026414aaf54
34753	7	6726	2013-08-03 17:10:41.653602	2013-08-03 17:10:41.653602	\N	ed8d042f-1a30-4583-b106-79ad4d3ccd2e
35201	7	6931	2013-08-03 17:20:39.570407	2013-08-03 17:20:39.570407	\N	aa53e2b5-0a25-4dd9-9cff-8a694e02b660
35202	7	6925	2013-08-03 17:20:39.604474	2013-08-03 17:20:39.604474	\N	721c3dbe-f0b2-4a20-a2bc-aded924cdfca
28419	4	5885	2013-08-03 02:23:35.230015	2013-08-03 02:23:35.230015	\N	f781303f-85c9-4451-a4e2-e7bc1f9f9312
31353	19	6221	2013-08-03 02:44:44.914284	2013-08-03 02:44:44.914284	\N	a6b1b55e-aa19-49ef-951f-455593edf880
28423	4	5903	2013-08-03 02:23:35.32723	2013-08-03 02:23:35.32723	\N	f5dbc12e-5c83-4e60-b924-f3e281e7a285
28424	4	5933	2013-08-03 02:23:35.374757	2013-08-03 02:23:35.374757	\N	9c4a1371-4b98-49fd-9666-67d6be5506fa
31354	19	6260	2013-08-03 02:44:45.4783	2013-08-03 02:44:45.4783	\N	60debcd1-c65e-421f-b21d-2bd440971e8a
31720	2	6309	2013-08-03 02:48:10.142945	2013-08-03 02:48:10.142945	\N	3ee00f81-3b58-45f1-a09a-4f3e04a743ef
29860	2	6060	2013-08-03 02:33:10.348625	2013-08-03 02:33:10.348625	\N	fa61fcd0-ca44-4e54-a5e5-f608098d1a1f
30654	12	6137	2013-08-03 02:39:12.569849	2013-08-03 02:39:12.569849	\N	9c8af9e9-d651-4829-b56b-d994a40fc797
31721	2	6339	2013-08-03 02:48:10.16688	2013-08-03 02:48:10.16688	\N	55dbcc78-3bea-46a4-ba6c-4b69b0c6f9be
31361	19	6266	2013-08-03 02:44:51.875406	2013-08-03 02:44:51.875406	\N	14ccb415-aff3-415e-9893-3e8b8a1c433b
31362	19	6269	2013-08-03 02:44:52.612435	2013-08-03 02:44:52.612435	\N	b569056f-47ad-42f2-be50-3a85bfad63ba
35203	7	6919	2013-08-03 17:20:39.636004	2013-08-03 17:20:39.636004	\N	283fc773-c0a3-41af-bee2-c7417608ef55
35204	7	6913	2013-08-03 17:20:39.669055	2013-08-03 17:20:39.669055	\N	0e1223ae-6b77-4ac3-86f9-b034e1235687
35206	7	6894	2013-08-03 17:20:39.698753	2013-08-03 17:20:39.698753	\N	b01f8807-9b50-4568-9f33-552b01a58f7e
43238	19	7360	2013-08-03 17:42:07.890119	2013-08-03 17:42:07.890119	\N	f4122bf3-b534-4303-b547-0c7e46d267d0
40982	4	7277	2013-08-03 17:36:02.213608	2013-08-03 17:36:02.213608	\N	b256f7a2-94c0-4b91-8c57-96e9adec9331
54009	11	7819	2013-08-03 18:13:03.98285	2013-08-03 18:13:03.98285	\N	353b848d-8235-4a3a-98b9-868124606db7
43999	6	7233	2013-08-03 17:43:53.827287	2013-08-03 17:43:53.827287	\N	f9792215-bf82-4bcc-ac61-730b6169722c
48751	19	7480	2013-08-03 17:54:55.764383	2013-08-03 17:54:55.764383	\N	60d471d3-f969-471b-bc1d-7e7aed24515b
31814	2	6312	2013-08-03 02:48:40.424158	2013-08-03 02:48:40.424158	\N	d8735013-66dc-4eec-834d-6311199401a8
34784	2	6773	2013-08-03 17:11:10.279327	2013-08-03 17:11:10.279327	\N	e2841722-be1e-4f6f-b0ef-caa7eea904f1
31816	2	6324	2013-08-03 02:48:40.529634	2013-08-03 02:48:40.529634	\N	fb129608-7c3e-4169-88c4-7df4e67475e7
34834	4	6735	2013-08-03 17:12:39.818476	2013-08-03 17:12:39.818476	\N	cee3c952-ee04-4622-947d-3eb19adb0981
49570	7	7597	2013-08-03 17:57:16.847925	2013-08-03 17:57:16.847925	\N	6e9af465-501e-4e14-9217-102ddbd8f164
35213	7	6898	2013-08-03 17:20:39.853521	2013-08-03 17:20:39.853521	\N	8c4a0d14-8d39-496e-8082-b60061499a4c
54013	11	7831	2013-08-03 18:13:05.145849	2013-08-03 18:13:05.145849	\N	0700141a-fe21-452a-8865-30b4dd107a7d
49573	7	7594	2013-08-03 17:57:17.054833	2013-08-03 17:57:17.054833	\N	45fda7f6-c3e6-49ac-a606-496f43278426
54014	11	7834	2013-08-03 18:13:05.323053	2013-08-03 18:13:05.323053	\N	8fbccfff-abd8-44d1-a701-887aaea014c0
36113	11	6932	2013-08-03 17:23:10.472532	2013-08-03 17:23:10.472532	\N	6a1bcd41-0a62-4fc6-bb67-f3158e6487fa
54015	11	7837	2013-08-03 18:13:05.493066	2013-08-03 18:13:05.493066	\N	ca8067ef-18fd-458c-ab91-71925af84228
35341	4	6892	2013-08-03 17:21:04.093683	2013-08-03 17:21:04.093683	\N	2a7e2d5b-649f-450b-87b9-849c90a68878
35342	4	6931	2013-08-03 17:21:04.132915	2013-08-03 17:21:04.132915	\N	dbf90218-806f-4144-a909-5bc286419329
35343	4	6898	2013-08-03 17:21:04.161495	2013-08-03 17:21:04.161495	\N	7f18ff64-a5b6-4974-9e3f-c9d4c81df89f
35344	4	6901	2013-08-03 17:21:04.196382	2013-08-03 17:21:04.196382	\N	498219a5-2ced-48ba-a98d-0a00d65b9c34
34971	9	6764	2013-08-03 17:14:55.316336	2013-08-03 17:14:55.316336	\N	f859ae3c-b47b-45d2-bc85-bc5e742d4943
34982	7	6729	2013-08-03 17:15:04.090351	2013-08-03 17:15:04.090351	\N	05e8b97c-0672-4037-b0c8-191ffbbbb2d3
35345	4	6889	2013-08-03 17:21:04.236246	2013-08-03 17:21:04.236246	\N	3571094e-9621-4aeb-94ca-6670c2fbea0d
35346	4	6904	2013-08-03 17:21:04.285137	2013-08-03 17:21:04.285137	\N	54e23bdd-f1c7-47de-aa37-6d234b10ab23
35347	4	6907	2013-08-03 17:21:04.324442	2013-08-03 17:21:04.324442	\N	1e44fb10-cc09-466c-8f89-27e9ded8797c
35348	4	6910	2013-08-03 17:21:04.376023	2013-08-03 17:21:04.376023	\N	23fced39-55f8-44cc-bcb2-04e773631865
35349	4	6913	2013-08-03 17:21:04.424631	2013-08-03 17:21:04.424631	\N	23a9ce7d-1fb1-474d-aa0c-d7cf9f290b8f
35350	4	6916	2013-08-03 17:21:04.477119	2013-08-03 17:21:04.477119	\N	b546d660-6847-47f0-882e-5da77e9c763d
35351	4	6919	2013-08-03 17:21:04.523774	2013-08-03 17:21:04.523774	\N	808e0378-999d-4da3-bac9-6734abb7d900
34177	2	6483	2013-08-03 03:01:09.848136	2013-08-03 03:01:09.848136	\N	a5102b44-aec4-4ee7-8105-745e9cbf723b
33153	15	6389	2013-08-03 02:57:10.798432	2013-08-03 02:57:10.798432	\N	5896f43a-2088-4ff8-802b-507785b55519
35352	4	6922	2013-08-03 17:21:04.579778	2013-08-03 17:21:04.579778	\N	fa3252e7-bab9-464d-9164-a75f9065ff94
35353	4	6925	2013-08-03 17:21:04.617144	2013-08-03 17:21:04.617144	\N	992d0044-5604-4aac-a57d-016f388b60a3
35007	8	6857	2013-08-03 17:15:56.120644	2013-08-03 17:15:56.120644	\N	54108232-f22c-413f-9549-ec8ae393e605
35009	9	6848	2013-08-03 17:16:05.062549	2013-08-03 17:16:05.062549	\N	45cbb677-4d92-4d3f-95f7-7863f12ba26f
32322	2	6432	2013-08-03 02:53:10.295722	2013-08-03 02:53:10.295722	\N	e54a2c4d-d9bf-428c-b504-e94f957cdf5f
32323	2	6408	2013-08-03 02:53:10.342343	2013-08-03 02:53:10.342343	\N	6a4336e6-278b-4029-b2fe-ed5529ebd93b
32324	2	6423	2013-08-03 02:53:10.379986	2013-08-03 02:53:10.379986	\N	b28eed0d-8990-4677-816e-f9ec9bb10f38
35354	4	6928	2013-08-03 17:21:04.66197	2013-08-03 17:21:04.66197	\N	b822625c-3383-44f3-bd4e-24a67ec6d4b5
47034	8	7411	2013-08-03 17:50:57.130436	2013-08-03 17:50:57.130436	\N	cff5ba0d-3d51-4e5f-93ba-d73ad140432e
54019	11	7861	2013-08-03 18:13:06.021051	2013-08-03 18:13:06.021051	\N	072298d9-e108-4ef8-9085-b6ca198b548a
54020	11	7865	2013-08-03 18:13:06.201899	2013-08-03 18:13:06.201899	\N	a1327e57-0f4e-4efd-bd60-24c73c1e092a
35358	11	6941	2013-08-03 17:21:07.703292	2013-08-03 17:21:07.703292	\N	31f4900d-93d6-4bea-8b5a-92bb6849d03c
32331	8	6389	2013-08-03 02:53:12.550884	2013-08-03 02:53:12.550884	\N	4cabce5b-99f9-4399-b982-cf8a51ebc5f5
32332	10	6428	2013-08-03 02:53:13.070824	2013-08-03 02:53:13.070824	\N	6bbce371-0f2c-4334-81f3-f9417acaa7aa
35361	2	6897	2013-08-03 17:21:15.122978	2013-08-03 17:21:15.122978	\N	502bbbc5-57d4-4666-844a-a1fb33aa2b2a
45868	19	7393	2013-08-03 17:48:21.615611	2013-08-03 17:48:21.615611	\N	dd7ed0c5-2e43-4990-a6f8-107afcdf3ada
53297	5	7735	2013-08-03 18:10:01.59303	2013-08-03 18:10:01.59303	\N	f277e79d-4ed2-4b11-823b-e3c119598dc0
33796	6	6473	2013-08-03 02:59:57.453675	2013-08-03 02:59:57.453675	\N	818148ed-f79f-49a8-a925-6fc4dbadb137
34190	7	6477	2013-08-03 03:01:12.714437	2013-08-03 03:01:12.714437	\N	ef0e2783-d1e5-4951-962a-996d99298e9b
43274	2	7361	2013-08-03 17:42:10.881496	2013-08-03 17:42:10.881496	\N	daf98602-33fd-4068-8c4a-633c8b6e3985
28694	19	5933	2013-08-03 02:24:29.736743	2013-08-03 02:24:29.736743	\N	3ef094ec-bfda-4cd0-931b-fd9139297508
34748	7	6764	2013-08-03 17:10:38.312049	2013-08-03 17:10:38.312049	\N	9ce71e38-0fa1-450b-9848-922c1bfa544b
34749	7	6773	2013-08-03 17:10:38.436349	2013-08-03 17:10:38.436349	\N	063be145-e2c5-415c-81c8-85e35f8eb0cd
29546	12	5969	2013-08-03 02:29:47.808788	2013-08-03 02:29:47.808788	\N	9ff5d138-60ca-47ed-b54a-73e18e573efb
29547	12	6008	2013-08-03 02:29:48.78041	2013-08-03 02:29:48.78041	\N	a5785b74-6096-4e49-9105-0b70484225e7
57221	14	8161	2013-08-03 18:32:58.449596	2013-08-03 18:32:58.449596	\N	20c31a55-26bb-4bd4-906b-27bbdc9f5a1d
29176	10	5930	2013-08-03 02:28:07.999489	2013-08-03 02:28:07.999489	\N	423d7922-f58c-48be-bb35-beb8f6616ab5
34766	11	6764	2013-08-03 17:10:54.362174	2013-08-03 17:10:54.362174	\N	649be8e9-e17c-4ba2-9251-b78dd231b1c1
33563	19	6473	2013-08-03 02:59:24.707178	2013-08-03 02:59:24.707178	\N	83d72bc9-c2ca-4cc8-942f-e4b23002173a
34767	11	6773	2013-08-03 17:10:54.595615	2013-08-03 17:10:54.595615	\N	101ce04e-23ff-4aa1-b7ee-d262a6f4db61
54011	11	7825	2013-08-03 18:13:04.811552	2013-08-03 18:13:04.811552	\N	b42853ac-834e-43e6-a3fb-48f51647e262
34782	17	6764	2013-08-03 17:11:08.076512	2013-08-03 17:11:08.076512	\N	274f0d22-9574-4038-9746-b81f2606e3d9
29565	12	6014	2013-08-03 02:29:54.321991	2013-08-03 02:29:54.321991	\N	47c6b3cc-9446-4618-a6b2-31abb263c080
29289	19	6014	2013-08-03 02:28:32.512856	2013-08-03 02:28:32.512856	\N	35df9db4-c894-4ca8-9911-277e7238eefb
54012	11	7813	2013-08-03 18:13:04.977184	2013-08-03 18:13:04.977184	\N	873d7348-ffc5-4926-9465-20a370768ae9
33569	19	6512	2013-08-03 02:59:25.08103	2013-08-03 02:59:25.08103	\N	f9df94a4-0a2d-4d6b-858c-069008b65444
49552	7	7573	2013-08-03 17:57:13.536063	2013-08-03 17:57:13.536063	\N	4de73f12-b493-4f78-98db-e9a487ab39c1
47080	5	7417	2013-08-03 17:51:04.069018	2013-08-03 17:51:04.069018	\N	5204647e-7127-4a5b-b312-80dbd0447464
51684	4	7697	2013-08-03 18:03:04.303875	2013-08-03 18:03:04.303875	\N	c8d760a5-1a04-4de5-b661-d55f82948a18
54016	11	7840	2013-08-03 18:13:05.660236	2013-08-03 18:13:05.660236	\N	d277473d-bec6-41d6-807b-8510d0aadea8
47847	1	7480	2013-08-03 17:52:58.711915	2013-08-03 17:52:58.711915	\N	b4ebe939-3c33-4aae-9d3d-3cfdc40fe469
34403	2	6680	2013-08-03 17:05:40.26734	2013-08-03 17:05:40.26734	\N	e96651a4-ad19-4a42-8b5e-5ed30a6fb117
34404	2	6689	2013-08-03 17:05:40.366072	2013-08-03 17:05:40.366072	\N	5bdddadd-e961-45a8-bd81-aeac0291e370
34410	10	6680	2013-08-03 17:06:01.471795	2013-08-03 17:06:01.471795	\N	ac25243b-79db-4410-9a6a-37ef24beb117
31152	2	6260	2013-08-03 02:43:08.57868	2013-08-03 02:43:08.57868	\N	b6abc0fe-5475-4971-b614-225fd5d95d27
31807	8	6353	2013-08-03 02:48:34.594668	2013-08-03 02:48:34.594668	\N	2d63a5d9-5ba7-4c09-a27f-3d96b1e30927
34411	11	6680	2013-08-03 17:06:09.35966	2013-08-03 17:06:09.35966	\N	d0a05b3f-2e8b-49db-a4e3-26947c1941c7
31809	12	6305	2013-08-03 02:48:37.032495	2013-08-03 02:48:37.032495	\N	162c5db1-1919-46f7-b937-946a6229f21f
31810	12	6344	2013-08-03 02:48:37.999374	2013-08-03 02:48:37.999374	\N	9a9cb7d3-622a-4b33-8281-ff38859dfb72
33275	16	6396	2013-08-03 02:58:04.741421	2013-08-03 02:58:04.741421	\N	c03c4167-a8d0-43f6-96b3-1a01d6ed1abc
34413	4	6680	2013-08-03 17:06:09.568817	2013-08-03 17:06:09.568817	\N	8ffdc766-6bf6-412d-83d1-bc6edae08a99
34414	4	6689	2013-08-03 17:06:09.693532	2013-08-03 17:06:09.693532	\N	3581de40-1d97-4445-8bce-546163422e44
34794	4	6729	2013-08-03 17:11:21.476435	2013-08-03 17:11:21.476435	\N	e09df115-28b2-413d-8509-d433a1f3009c
45663	6	7399	2013-08-03 17:47:55.104547	2013-08-03 17:47:55.104547	\N	6e64c251-7de3-4bfb-ae49-24c26900c789
31172	10	6266	2013-08-03 02:43:25.436517	2013-08-03 02:43:25.436517	\N	2da7241a-1751-4ba8-b51b-35f75fc4ceaf
47849	1	7483	2013-08-03 17:52:58.798679	2013-08-03 17:52:58.798679	\N	009b8b4b-728c-441a-ad23-3476c9a03e0d
29966	14	6092	2013-08-03 02:34:04.641917	2013-08-03 02:34:04.641917	\N	daa639d2-4d14-4986-bcc4-d5bb5175fd56
29967	14	6053	2013-08-03 02:34:04.752843	2013-08-03 02:34:04.752843	\N	af0a447d-7d5f-46a6-ad04-165de04117dc
29968	14	6101	2013-08-03 02:34:04.799062	2013-08-03 02:34:04.799062	\N	80cee7c5-fb74-4323-95d5-a5a584627156
29969	14	6098	2013-08-03 02:34:04.833823	2013-08-03 02:34:04.833823	\N	f6092698-08e4-44d9-9b83-2f54b3828c89
33287	7	6491	2013-08-03 02:58:09.551074	2013-08-03 02:58:09.551074	\N	2f9c0765-ae9c-4041-bfe9-b850e93fe492
31836	6	6305	2013-08-03 02:48:45.565504	2013-08-03 02:48:45.565504	\N	f2d9901d-c6b1-4299-9d40-d63cab7a79e7
30743	6	6176	2013-08-03 02:39:57.13226	2013-08-03 02:39:57.13226	\N	21e62cf1-caa8-426e-91bb-73c76e4d0d29
31838	7	6228	2013-08-03 02:48:50.555834	2013-08-03 02:48:50.555834	\N	55caed65-abc9-420b-8de0-b848d434c3ab
49555	7	7561	2013-08-03 17:57:13.831126	2013-08-03 17:57:13.831126	\N	776aeac1-0e21-4348-a54c-48b9b01118e5
33289	7	6521	2013-08-03 02:58:09.731437	2013-08-03 02:58:09.731437	\N	5fdbc3eb-18b1-4c8c-a386-af11a4ddf27d
104789	13	12790	2013-08-03 21:34:59.637729	2013-08-03 21:34:59.637729	\N	ffc98a49-a281-416e-bd1c-7ec80bf6f6dc
54018	11	7846	2013-08-03 18:13:05.83893	2013-08-03 18:13:05.83893	\N	a15c4484-4c87-405e-8d78-2feb25bf51df
33292	2	6507	2013-08-03 02:58:09.953334	2013-08-03 02:58:09.953334	\N	4d4a80e1-c194-4c64-bce3-6750efb12e70
31848	19	6305	2013-08-03 02:48:53.193896	2013-08-03 02:48:53.193896	\N	f9955776-9a37-4d40-a34d-59bc1829ac53
33293	7	6473	2013-08-03 02:58:09.95695	2013-08-03 02:58:09.95695	\N	2010c022-730d-42f0-819d-b941f943f9a5
34422	4	6640	2013-08-03 17:06:12.082357	2013-08-03 17:06:12.082357	\N	83b065da-5fae-48ae-86f5-28b4d6e740db
33648	14	6521	2013-08-03 02:59:42.117095	2013-08-03 02:59:42.117095	\N	e8988eef-42ed-45d3-a9e5-fb08f5d5016a
33649	14	6512	2013-08-03 02:59:42.15532	2013-08-03 02:59:42.15532	\N	e84027c9-5d24-4c30-b6bd-0019350bb1c6
33297	7	6512	2013-08-03 02:58:10.352388	2013-08-03 02:58:10.352388	\N	6d379310-20fb-4312-9a15-80f5f768b7bf
33650	14	6473	2013-08-03 02:59:42.191234	2013-08-03 02:59:42.191234	\N	0fe49c99-d3f3-4005-b0d1-f9c4fc158887
34423	4	6643	2013-08-03 17:06:12.178071	2013-08-03 17:06:12.178071	\N	affcf338-68d0-449a-b644-e80eac235edf
34424	4	6679	2013-08-03 17:06:12.285182	2013-08-03 17:06:12.285182	\N	da1154fa-9f6e-4e2c-9b08-f88ff4f17454
34425	4	6646	2013-08-03 17:06:12.370074	2013-08-03 17:06:12.370074	\N	ef5c29e6-dc1a-4369-992e-a4835e548d7e
34426	4	6649	2013-08-03 17:06:12.471264	2013-08-03 17:06:12.471264	\N	27ebdcbe-497d-4a0e-96fc-5d8ba665b745
31871	12	6350	2013-08-03 02:49:03.241821	2013-08-03 02:49:03.241821	\N	fc3df761-7248-4410-8b4f-d6afe7c2572a
31872	12	6353	2013-08-03 02:49:03.78248	2013-08-03 02:49:03.78248	\N	a8124205-ec2b-4763-825e-5a3b529a49c1
31880	6	6344	2013-08-03 02:49:06.03503	2013-08-03 02:49:06.03503	\N	58dd4526-b982-468d-be86-3db13b394012
34427	4	6637	2013-08-03 17:06:12.552511	2013-08-03 17:06:12.552511	\N	90bd9a41-86f7-4050-a9ee-a24bec4cffbc
34428	4	6652	2013-08-03 17:06:12.630777	2013-08-03 17:06:12.630777	\N	c90c474e-db1f-4c77-aced-c0dd5c1cd8fd
34429	4	6655	2013-08-03 17:06:12.716639	2013-08-03 17:06:12.716639	\N	25ae2539-b6fc-4d28-b0af-739d6fe5c82a
34430	4	6658	2013-08-03 17:06:12.779347	2013-08-03 17:06:12.779347	\N	3e09a43e-a6e7-4f7b-8632-4902978ec96a
30800	10	6176	2013-08-03 02:40:13.473855	2013-08-03 02:40:13.473855	\N	70b171b4-861d-4b39-811f-c2a461a5abd0
31903	14	6353	2013-08-03 02:49:08.772348	2013-08-03 02:49:08.772348	\N	75fab9ab-dc82-4837-a554-f06e7654f274
31904	14	6305	2013-08-03 02:49:08.866155	2013-08-03 02:49:08.866155	\N	8f5df21f-6911-45ce-b77d-783b3a0d261e
31905	14	6344	2013-08-03 02:49:08.903609	2013-08-03 02:49:08.903609	\N	6191d3ea-c3d5-4383-a877-df0c6d2baeb6
31906	14	6350	2013-08-03 02:49:08.937473	2013-08-03 02:49:08.937473	\N	828f0a37-05d1-42e7-a7f2-458ed45e26cf
34431	4	6661	2013-08-03 17:06:12.85316	2013-08-03 17:06:12.85316	\N	f707f80c-2141-4428-978a-5253287888e7
34432	4	6664	2013-08-03 17:06:12.907073	2013-08-03 17:06:12.907073	\N	bf68afb5-3978-4b57-866f-da35a8b3c75e
34433	4	6667	2013-08-03 17:06:12.966339	2013-08-03 17:06:12.966339	\N	210de4a8-b606-44a2-8d6b-96f3c3f3048a
34434	4	6670	2013-08-03 17:06:13.029941	2013-08-03 17:06:13.029941	\N	623ca4b4-62ba-49c5-868e-90e7491782f4
32727	12	6407	2013-08-03 02:55:17.041042	2013-08-03 02:55:17.041042	\N	6aa3766d-d6dd-4c83-b761-60d531c7b41c
33360	12	6473	2013-08-03 02:58:21.098503	2013-08-03 02:58:21.098503	\N	71e12b41-0989-45d5-a35d-90172da8c142
34435	4	6673	2013-08-03 17:06:13.091743	2013-08-03 17:06:13.091743	\N	c80e16ab-9e20-49cc-b59d-acd5bc9ae7b7
34436	4	6676	2013-08-03 17:06:13.16005	2013-08-03 17:06:13.16005	\N	5fb870cb-4d57-4df8-a2a2-ad0e60aa7bd3
34437	4	6685	2013-08-03 17:06:13.225073	2013-08-03 17:06:13.225073	\N	2a6a7a87-4615-474d-be6b-303c5caf9769
34438	4	6688	2013-08-03 17:06:13.296931	2013-08-03 17:06:13.296931	\N	1760d23d-b063-47ac-85b8-4c543870ce31
34439	4	6691	2013-08-03 17:06:13.377491	2013-08-03 17:06:13.377491	\N	440d7d39-be71-477b-80e6-92cca76c4742
34440	4	6694	2013-08-03 17:06:13.476119	2013-08-03 17:06:13.476119	\N	d802f233-0281-4b31-8f7f-6bb4deadc706
49558	7	7612	2013-08-03 17:57:14.092728	2013-08-03 17:57:14.092728	\N	dc2f1d3a-14c7-4613-b74b-1e1c1807baa2
33390	4	6473	2013-08-03 02:58:31.724941	2013-08-03 02:58:31.724941	\N	49fdbe95-1752-46c6-a741-38585f113c14
33391	4	6512	2013-08-03 02:58:31.765681	2013-08-03 02:58:31.765681	\N	3fe5be02-34c6-48b2-89a4-45fddb786acb
33392	4	6491	2013-08-03 02:58:31.81084	2013-08-03 02:58:31.81084	\N	f083d52a-9628-47e8-a4dc-ccbe0f9ebced
33394	4	6521	2013-08-03 02:58:31.836813	2013-08-03 02:58:31.836813	\N	71146ac7-3ad0-4aef-bd75-2de8aa58bc91
44878	19	7361	2013-08-03 17:46:02.605025	2013-08-03 17:46:02.605025	\N	6695740f-b463-4910-b491-88915aed648a
54021	11	7864	2013-08-03 18:13:06.384507	2013-08-03 18:13:06.384507	\N	ffb3e511-6c93-47d1-bb1b-b6946dbe3718
54023	11	7867	2013-08-03 18:13:06.548489	2013-08-03 18:13:06.548489	\N	1e43d42e-64c5-4952-8991-82f1479b260a
49561	7	7588	2013-08-03 17:57:14.358155	2013-08-03 17:57:14.358155	\N	41c8d9ea-ed2e-4086-b341-fa5a22e8438a
45953	10	7450	2013-08-03 17:48:33.225493	2013-08-03 17:48:33.225493	\N	a276f6bc-fb3a-4f14-b695-b94d43b00a42
49562	7	7566	2013-08-03 17:57:15.033355	2013-08-03 17:57:15.033355	\N	906876a0-fdea-4162-b51e-70849938293f
49563	7	7570	2013-08-03 17:57:15.488742	2013-08-03 17:57:15.488742	\N	c2b692bd-5694-4f35-a8a6-1dead4568d2d
54024	11	7871	2013-08-03 18:13:06.71857	2013-08-03 18:13:06.71857	\N	e0008082-97cb-4573-9f5e-2e2216caa3f3
49565	7	7613	2013-08-03 17:57:16.399687	2013-08-03 17:57:16.399687	\N	1dab5463-9bf7-4a19-a1d7-e047ba7dea0b
194478	10	24625	2013-08-04 19:33:54.906949	2013-08-04 19:33:54.906949	\N	ad121380-dd50-43a9-a710-d9f383425977
46576	6	7414	2013-08-03 17:50:04.57398	2013-08-03 17:50:04.57398	\N	67b5551f-5d65-472c-ac75-c393597ca36a
33406	16	6480	2013-08-03 02:58:34.294055	2013-08-03 02:58:34.294055	\N	c306edaf-90bd-4b21-8c21-e68da1675e51
46577	6	7393	2013-08-03 17:50:05.106424	2013-08-03 17:50:05.106424	\N	139e35d6-23b4-472f-8933-0c840f5b2bfe
33702	8	6473	2013-08-03 02:59:48.37325	2013-08-03 02:59:48.37325	\N	aa4a18a5-00e5-4723-a3a5-67d3b1d0d895
46578	6	7426	2013-08-03 17:50:05.242246	2013-08-03 17:50:05.242246	\N	c7035846-385e-4b8e-9095-55f21094cf63
60331	11	8500	2013-08-03 18:50:56.726685	2013-08-03 18:50:56.726685	\N	47290dc5-c4db-43df-a046-ffd91cb47f75
53334	6	7735	2013-08-03 18:10:08.995778	2013-08-03 18:10:08.995778	\N	9b9cb7a5-d734-487c-a3c2-2ffab5085659
49569	7	7615	2013-08-03 17:57:16.82295	2013-08-03 17:57:16.82295	\N	efcdf961-8da3-4303-bb66-c4acf76a5407
31399	12	6221	2013-08-03 02:45:29.097214	2013-08-03 02:45:29.097214	\N	fbe2cfd8-d65f-4d1b-b00b-30ccbae23845
31095	1	6221	2013-08-03 02:42:44.089235	2013-08-03 02:42:44.089235	\N	3342d950-4884-4b90-989e-548c52aec571
31102	7	6266	2013-08-03 02:42:48.742026	2013-08-03 02:42:48.742026	\N	c8f65b3e-a24b-4330-9c9e-d8e68e3e2180
31104	1	6239	2013-08-03 02:42:49.225599	2013-08-03 02:42:49.225599	\N	d4862382-0aa3-4571-b705-38f0a57d1f2d
30400	1	6155	2013-08-03 02:37:34.885937	2013-08-03 02:37:34.885937	\N	1e35973a-f414-4b1f-b63d-b3f4bac9ded6
49572	7	7585	2013-08-03 17:57:16.936623	2013-08-03 17:57:16.936623	\N	90358fd7-ac1d-47d8-86d9-f387b3ad63da
57226	14	8203	2013-08-03 18:32:58.627799	2013-08-03 18:32:58.627799	\N	819ee35e-46b3-46eb-bd25-75bd3379a2da
29292	19	6017	2013-08-03 02:28:32.797693	2013-08-03 02:28:32.797693	\N	4e48b298-fc76-4142-a4c9-640e51c2cb4e
41035	10	7277	2013-08-03 17:36:10.179209	2013-08-03 17:36:10.179209	\N	9b1523a0-3a06-4b7c-a416-597bf89c31ab
34360	4	6567	2013-08-03 17:04:44.459001	2013-08-03 17:04:44.459001	\N	71b6c75f-f231-4337-85e8-ce209e1c8819
49575	7	7618	2013-08-03 17:57:17.196032	2013-08-03 17:57:17.196032	\N	5e2c30c1-0597-493f-b45e-26eefbc6ba9b
57248	1	8182	2013-08-03 18:33:13.624264	2013-08-03 18:33:13.624264	\N	a23900b2-bc2d-4a35-930b-3fbd32ddf14d
31126	17	6221	2013-08-03 02:42:55.420461	2013-08-03 02:42:55.420461	\N	6018c3fd-37cd-4093-928c-e85f07ef3a9d
30419	1	6182	2013-08-03 02:37:37.381459	2013-08-03 02:37:37.381459	\N	2743c47d-4f4a-444c-bb59-ab62b09c0d57
28874	16	5898	2013-08-03 02:25:22.822324	2013-08-03 02:25:22.822324	\N	e1d08c1b-2ee3-49ee-983f-60bcf1d7f6dd
31127	17	6260	2013-08-03 02:42:55.629182	2013-08-03 02:42:55.629182	\N	66f158a0-7f7b-4819-94c7-352d457875dd
31128	17	6239	2013-08-03 02:42:55.929632	2013-08-03 02:42:55.929632	\N	20efc62a-391d-4235-bb36-5b79d6110477
31861	19	6323	2013-08-03 02:48:54.371221	2013-08-03 02:48:54.371221	\N	73d368aa-a308-468f-99fc-19451c470f72
69213	5	9640	2013-08-03 19:35:57.556502	2013-08-03 19:35:57.556502	\N	53cfbabc-b4ec-4658-a9c0-c241668747b2
31430	12	6266	2013-08-03 02:45:35.182388	2013-08-03 02:45:35.182388	\N	dc8ed1f0-ab0a-4d01-82b7-fb19281bd78f
31431	12	6269	2013-08-03 02:45:35.73385	2013-08-03 02:45:35.73385	\N	04ef9de1-79dd-4513-adf0-578021531a74
33577	19	6491	2013-08-03 02:59:25.646997	2013-08-03 02:59:25.646997	\N	1f4a3014-32fe-420f-9a87-89005d69f1aa
29970	17	6053	2013-08-03 02:34:06.407618	2013-08-03 02:34:06.407618	\N	6b0b6b05-7f4c-4494-ba24-0906f8549d54
29971	17	6071	2013-08-03 02:34:06.888673	2013-08-03 02:34:06.888673	\N	8689554d-42b0-4a7a-8413-5ba0b297cbc8
42649	19	7234	2013-08-03 17:40:08.17032	2013-08-03 17:40:08.17032	\N	04f82518-22d7-4a41-a2e6-1c43e5156d0f
33587	7	6504	2013-08-03 02:59:30.895244	2013-08-03 02:59:30.895244	\N	e94e0829-b3f1-4fb3-85bd-85a46d1ed9de
45689	10	7417	2013-08-03 17:47:59.234442	2013-08-03 17:47:59.234442	\N	eddc8e13-7b9c-4c98-b451-b75756868a4d
69214	5	9667	2013-08-03 19:35:57.619284	2013-08-03 19:35:57.619284	\N	d67ce301-8d68-405f-a657-3a58184a516f
46707	19	7405	2013-08-03 17:50:21.496921	2013-08-03 17:50:21.496921	\N	258d6039-143c-457f-891d-53d31c028339
91536	11	11671	2013-08-03 20:52:58.100656	2013-08-03 20:52:58.100656	\N	e1533d42-0a84-4276-9d4b-8d60a53853d8
55510	19	7949	2013-08-03 18:20:10.478665	2013-08-03 18:20:10.478665	\N	d4fd420a-6b13-4898-8a30-97ae7716795e
32241	14	6323	2013-08-03 02:52:40.80821	2013-08-03 02:52:40.80821	\N	04a1125b-4412-40e2-a8cd-6576ed3b0450
104790	13	12799	2013-08-03 21:35:00.957202	2013-08-03 21:35:00.957202	\N	9c71e7ce-8a5d-441d-84cc-e35f7adcdf8d
32835	7	6402	2013-08-03 02:55:55.464324	2013-08-03 02:55:55.464324	\N	99ef476b-7b55-4ef2-a48b-800b06025713
44854	6	7342	2013-08-03 17:46:00.109111	2013-08-03 17:46:00.109111	\N	b8277150-1718-428a-ae61-6d5e8b237d13
33608	15	6491	2013-08-03 02:59:37.254225	2013-08-03 02:59:37.254225	\N	520dcfa6-3a8a-458b-9443-ddfb434aae03
57266	2	8149	2013-08-03 18:33:20.107683	2013-08-03 18:33:20.107683	\N	52a30d5f-eee6-4002-8a73-a103e89cdb31
54759	11	7870	2013-08-03 18:16:01.981551	2013-08-03 18:16:01.981551	\N	9a3278dd-301e-405b-a504-d6f4aee04468
67795	15	9550	2013-08-03 19:31:04.566821	2013-08-03 19:31:04.566821	\N	c24ebb1d-df9c-4fd3-a6bd-4be3f1400015
48785	6	7489	2013-08-03 17:55:01.548746	2013-08-03 17:55:01.548746	\N	379975c9-282c-4b03-9868-29b69417c2fe
69221	20	9667	2013-08-03 19:36:00.504284	2013-08-03 19:36:00.504284	\N	326c00e5-eadb-46f4-8b0a-e0eb0565f19a
78146	16	10654	2013-08-03 20:14:00.625126	2013-08-03 20:14:00.625126	\N	8ea1ba3d-b3e5-45df-9baf-c5e6f7b52bdc
67821	15	9499	2013-08-03 19:31:08.11271	2013-08-03 19:31:08.11271	\N	1cf9d8ee-bea3-4c1f-b752-571a371c1a2b
53418	8	7738	2013-08-03 18:10:30.3231	2013-08-03 18:10:30.3231	\N	89ebfa04-02b5-4ed9-9eb7-3061f14f123a
31896	4	6305	2013-08-03 02:49:07.52147	2013-08-03 02:49:07.52147	\N	e8eed8b9-e8ac-4d95-b496-89d93514d289
31897	4	6344	2013-08-03 02:49:07.570217	2013-08-03 02:49:07.570217	\N	2198aa2b-b5a8-42cb-85c3-58c8c56f8c5c
31898	4	6323	2013-08-03 02:49:07.620242	2013-08-03 02:49:07.620242	\N	f05d3670-d69d-4560-b5f7-922c369d3969
31899	4	6353	2013-08-03 02:49:07.656834	2013-08-03 02:49:07.656834	\N	229022ab-c6f0-429c-a599-ecc627ce55da
47932	2	7528	2013-08-03 17:53:12.495464	2013-08-03 17:53:12.495464	\N	ae08ea22-2c37-4b66-b2cf-9f21819e366e
47933	2	7483	2013-08-03 17:53:12.598336	2013-08-03 17:53:12.598336	\N	1a809309-1eb1-42d7-baba-33574422a996
58359	17	8260	2013-08-03 18:40:19.666232	2013-08-03 18:40:19.666232	\N	59644be1-d43f-4582-90db-352ecf8339db
45720	19	7420	2013-08-03 17:48:03.467031	2013-08-03 17:48:03.467031	\N	a053d550-3cc9-44d4-bbfb-3a02cff07f25
31927	19	6350	2013-08-03 02:49:15.237052	2013-08-03 02:49:15.237052	\N	8ff43b14-3232-4623-a3e7-22cf26636d48
31928	19	6353	2013-08-03 02:49:15.753229	2013-08-03 02:49:15.753229	\N	7a07fae4-c48b-4517-aad5-2205829006a1
44872	6	7360	2013-08-03 17:46:01.564543	2013-08-03 17:46:01.564543	\N	b494aa23-5187-441f-8190-0438919d41bc
52671	7	7781	2013-08-03 18:07:24.026941	2013-08-03 18:07:24.026941	\N	f5893584-60fb-452c-a6b7-781d7da94202
34401	8	6680	2013-08-03 17:05:38.991484	2013-08-03 17:05:38.991484	\N	b0bd5ce5-c2e6-4e99-870c-4ff00efba90e
34402	8	6689	2013-08-03 17:05:39.5388	2013-08-03 17:05:39.5388	\N	b20b5a1d-f63e-4c07-a45c-56a652a061d1
34405	7	6642	2013-08-03 17:05:41.288687	2013-08-03 17:05:41.288687	\N	988cc373-dcd7-4d31-9d7c-30fdf5467ca1
34409	12	6689	2013-08-03 17:05:47.91614	2013-08-03 17:05:47.91614	\N	be2c1099-14c0-4f5a-94fb-d227156f999e
55556	19	7954	2013-08-03 18:20:31.018911	2013-08-03 18:20:31.018911	\N	c06b5191-be1c-4e2a-ae18-066c558f7491
47938	19	7529	2013-08-03 17:53:13.463187	2013-08-03 17:53:13.463187	\N	818f62b3-4bb3-4432-8533-369092b34501
202771	19	25734	2013-08-04 20:13:55.406571	2013-08-04 20:13:55.406571	\N	6b3072ec-0c28-4b9e-b043-fb31c1fe5a01
52683	7	7729	2013-08-03 18:07:28.879997	2013-08-03 18:07:28.879997	\N	3c161a63-53e6-456c-83de-d9337cbd325c
32295	7	6407	2013-08-03 02:53:07.211567	2013-08-03 02:53:07.211567	\N	38a8986c-310d-41c5-8e14-862b67e087b9
73517	13	10138	2013-08-03 19:55:04.262746	2013-08-03 19:55:04.262746	\N	6e5189cf-dd8d-4a96-9291-181800c296ac
51742	10	7657	2013-08-03 18:03:17.435285	2013-08-03 18:03:17.435285	\N	6b6980c8-6ab2-4ba9-ad4f-0eab13f71247
45731	12	7445	2013-08-03 17:48:04.142256	2013-08-03 17:48:04.142256	\N	45fca842-33d6-4f91-b67b-d30e6d34c473
51743	10	7699	2013-08-03 18:03:17.55121	2013-08-03 18:03:17.55121	\N	436e8b8d-badd-49a3-b836-08f00cd2615d
51744	10	7675	2013-08-03 18:03:17.658368	2013-08-03 18:03:17.658368	\N	4cf305ae-c5c5-4154-bff9-902a63409fcc
51745	10	7696	2013-08-03 18:03:17.772024	2013-08-03 18:03:17.772024	\N	5eea6521-b694-4f8c-96b8-51940b877f15
32348	19	6389	2013-08-03 02:53:16.320216	2013-08-03 02:53:16.320216	\N	d71b7fe1-1ca8-42f6-baac-b8520befca2d
32353	19	6407	2013-08-03 02:53:17.323564	2013-08-03 02:53:17.323564	\N	64ecfa38-905f-4c04-9aa9-08363d40ddb8
51746	10	7678	2013-08-03 18:03:17.886409	2013-08-03 18:03:17.886409	\N	247f2991-f458-4438-a354-e297a8376827
47104	8	7393	2013-08-03 17:51:06.444879	2013-08-03 17:51:06.444879	\N	2b15c519-3412-470b-a570-1131ce2b6060
33797	10	6521	2013-08-03 02:59:57.681961	2013-08-03 02:59:57.681961	\N	c11f4dfd-d86b-45a1-9c8e-05a14f6bb44e
52686	7	7753	2013-08-03 18:07:29.426142	2013-08-03 18:07:29.426142	\N	d6d4d6cc-6c6c-4863-9197-ce4b9ca7b941
32364	17	6389	2013-08-03 02:53:18.153722	2013-08-03 02:53:18.153722	\N	47355296-8d07-4f58-9bb9-6d7692cf3e97
51748	10	7651	2013-08-03 18:03:18.076985	2013-08-03 18:03:18.076985	\N	7c141241-9118-47f8-a133-f7a8f06fb278
32367	17	6428	2013-08-03 02:53:18.300172	2013-08-03 02:53:18.300172	\N	82078d6a-1a2a-4488-aefb-229d735a9652
51749	10	7645	2013-08-03 18:03:18.201543	2013-08-03 18:03:18.201543	\N	dfbfa70f-0697-49d4-9ce2-9914712439b9
41740	4	7249	2013-08-03 17:38:10.699517	2013-08-03 17:38:10.699517	\N	ce3fe69e-3533-4581-ba47-a7310936b9e6
51750	10	7702	2013-08-03 18:03:18.319517	2013-08-03 18:03:18.319517	\N	e5559b50-25f6-4760-9934-3eb0e23c95b0
32372	19	6437	2013-08-03 02:53:18.610446	2013-08-03 02:53:18.610446	\N	fc0b2b5d-d724-4b77-b660-c27c0ea7a238
32373	17	6407	2013-08-03 02:53:18.619242	2013-08-03 02:53:18.619242	\N	0d9f96c6-9e08-4fb6-8fbe-c199ebada6f9
78152	16	10684	2013-08-03 20:14:01.496875	2013-08-03 20:14:01.496875	\N	12ab91c2-8353-4e32-a732-9201565416f6
46975	6	7444	2013-08-03 17:50:50.674626	2013-08-03 17:50:50.674626	\N	134eb1ab-95ce-4fa5-bc65-f1a7404e9f70
34954	14	6729	2013-08-03 17:14:30.004062	2013-08-03 17:14:30.004062	\N	e354fab5-b173-4db8-8b09-eace9c4cdc27
60389	6	8494	2013-08-03 18:51:04.655495	2013-08-03 18:51:04.655495	\N	272effb5-9749-483b-9646-0f61c5439381
57294	4	8201	2013-08-03 18:33:32.417678	2013-08-03 18:33:32.417678	\N	8ac53e98-20a3-4c27-9bd5-ec35d417b7aa
41107	14	7277	2013-08-03 17:36:18.544577	2013-08-03 17:36:18.544577	\N	715b13fd-279f-4dda-a802-5296de119b85
39965	17	7025	2013-08-03 17:32:57.236181	2013-08-03 17:32:57.236181	\N	994b4834-d9ee-431a-89fa-16029acdffc4
43578	5	7318	2013-08-03 17:42:58.45359	2013-08-03 17:42:58.45359	\N	aaeccb83-d098-447e-a81b-0bee8ef5782a
43579	5	7345	2013-08-03 17:42:58.501255	2013-08-03 17:42:58.501255	\N	a641c9e5-1b3d-4f0c-ae8d-f0ccd35f4378
43580	5	7330	2013-08-03 17:42:58.569153	2013-08-03 17:42:58.569153	\N	9019b1d0-a01d-4840-b462-bcf1db5937f1
33350	15	6473	2013-08-03 02:58:18.502012	2013-08-03 02:58:18.502012	\N	d8583b6a-df94-4bb1-a88a-905f308c9e6e
32397	8	6437	2013-08-03 02:53:20.439103	2013-08-03 02:53:20.439103	\N	09f79673-f031-4d99-a0b0-464401147042
52692	3	7645	2013-08-03 18:07:33.131405	2013-08-03 18:07:33.131405	\N	ff770adc-545b-4ed7-b96c-dc459321b708
72050	17	10003	2013-08-03 19:47:46.545917	2013-08-03 19:47:46.545917	\N	3dbf11a2-0fe7-4582-998f-35f036d973b7
42874	19	7243	2013-08-03 17:40:57.799324	2013-08-03 17:40:57.799324	\N	eead4365-75c7-4cf8-b7cd-91b03cbf5228
54109	17	7871	2013-08-03 18:13:19.868834	2013-08-03 18:13:19.868834	\N	8994e4c3-37d3-48b5-8761-2694bf352108
76445	8	10534	2013-08-03 20:07:31.703026	2013-08-03 20:07:31.703026	\N	32544530-e25c-4a8f-ae18-8cd7dc9da40e
33366	12	6491	2013-08-03 02:58:25.016823	2013-08-03 02:58:25.016823	\N	0e75ca5e-6c88-4654-9263-63836a5a188a
35487	2	6903	2013-08-03 17:21:41.364197	2013-08-03 17:21:41.364197	\N	1f6def07-a2af-478e-8ea9-794d4cb6c0d6
91543	11	11686	2013-08-03 20:52:58.893592	2013-08-03 20:52:58.893592	\N	5955a7d0-021b-40fd-8b54-251c1cfe8dc0
63090	12	8887	2013-08-03 19:06:32.597067	2013-08-03 19:06:32.597067	\N	698a739a-6122-4b97-aa3c-7bea4c5af1fa
42250	19	7228	2013-08-03 17:39:12.513771	2013-08-03 17:39:12.513771	\N	e1c32410-dcc7-4b04-94e2-582273b270f3
30809	10	6185	2013-08-03 02:40:24.716477	2013-08-03 02:40:24.716477	\N	8015f071-e580-4092-8f5d-579a5cff644f
34406	2	6645	2013-08-03 17:05:41.519335	2013-08-03 17:05:41.519335	\N	5765f3a1-a72e-438f-bcce-00ba869fdac9
34407	2	6651	2013-08-03 17:05:41.589625	2013-08-03 17:05:41.589625	\N	ddbd9dfa-d57a-46e0-b4cd-60e980ca0b87
34408	2	6675	2013-08-03 17:05:41.636807	2013-08-03 17:05:41.636807	\N	ba5427e6-41d4-46ff-b4c3-154073b65bc0
28422	12	5903	2013-08-03 02:23:35.310426	2013-08-03 02:23:35.310426	\N	a33068f5-84ba-4121-85bb-fc7d3336268f
31170	10	6260	2013-08-03 02:43:19.549902	2013-08-03 02:43:19.549902	\N	04ed9b38-4308-4bfd-bdd7-3141cbfc3fcf
44879	6	7336	2013-08-03 17:46:03.107074	2013-08-03 17:46:03.107074	\N	51b79822-f182-4610-a8e7-87797abe80c0
42716	19	7225	2013-08-03 17:40:26.194712	2013-08-03 17:40:26.194712	\N	5112011f-702b-4053-944e-95253b6f6cb6
34991	17	6848	2013-08-03 17:15:33.070683	2013-08-03 17:15:33.070683	\N	0b5f5b19-949b-493b-978b-339fd0cf9f2b
31428	12	6239	2013-08-03 02:45:32.589203	2013-08-03 02:45:32.589203	\N	8725522c-4b81-45f9-967a-2fbd72cfdace
31432	6	6221	2013-08-03 02:45:38.89097	2013-08-03 02:45:38.89097	\N	be44500e-7144-4bba-9c8b-39865bb66bec
31433	6	6260	2013-08-03 02:45:38.990166	2013-08-03 02:45:38.990166	\N	685a3e41-8ee7-4a90-99d6-ec035008510c
34450	17	6680	2013-08-03 17:06:43.094505	2013-08-03 17:06:43.094505	\N	0253793a-ec80-4904-b49b-e5eeb25d67d4
33712	8	6512	2013-08-03 02:59:49.246622	2013-08-03 02:59:49.246622	\N	96449e56-9856-436a-bd49-6863df0b0aee
34992	14	6773	2013-08-03 17:15:36.23859	2013-08-03 17:15:36.23859	\N	2701ea2f-acde-4f72-93f7-04d54895e6d4
34993	14	6764	2013-08-03 17:15:36.323904	2013-08-03 17:15:36.323904	\N	d23aae65-6417-438b-bb75-be1827dd4ecc
34476	4	6651	2013-08-03 17:07:05.91844	2013-08-03 17:07:05.91844	\N	06b3b612-1b11-4026-afb9-ee6e9fc19516
34994	14	6810	2013-08-03 17:15:36.350551	2013-08-03 17:15:36.350551	\N	268958e2-ebde-4521-a494-d46cac7a792d
50309	17	7613	2013-08-03 17:59:02.825594	2013-08-03 17:59:02.825594	\N	e8178413-be91-48e6-b8e7-4e736a4b6486
35002	7	6848	2013-08-03 17:15:52.630042	2013-08-03 17:15:52.630042	\N	de744404-0038-4991-8285-bb0fa35bc023
35003	7	6857	2013-08-03 17:15:52.75244	2013-08-03 17:15:52.75244	\N	81dd73da-dc64-406d-9527-c2574ac3f8dd
31195	11	6260	2013-08-03 02:43:27.457347	2013-08-03 02:43:27.457347	\N	d6e76edb-e6ae-4d83-9a66-cd8c190a286c
35008	4	6819	2013-08-03 17:16:00.730155	2013-08-03 17:16:00.730155	\N	88bea109-cab0-4b75-91c2-7956aa6a9ee8
31197	11	6266	2013-08-03 02:43:27.803595	2013-08-03 02:43:27.803595	\N	96b2dedb-7789-4c96-ab07-f603d761cea8
31198	11	6269	2013-08-03 02:43:27.982615	2013-08-03 02:43:27.982615	\N	e92c3249-5093-4c80-95e9-63668d2c7549
35014	11	6857	2013-08-03 17:16:20.269011	2013-08-03 17:16:20.269011	\N	2ee2b3af-a33b-41bb-960c-08e23fd0fed6
43281	7	7314	2013-08-03 17:42:13.606211	2013-08-03 17:42:13.606211	\N	85f2016e-11ca-4db7-aaab-839f527ac088
52434	6	7657	2013-08-03 18:05:57.703378	2013-08-03 18:05:57.703378	\N	8600c16a-7111-40df-80e1-ae317f6c27f3
44888	7	7315	2013-08-03 17:46:06.778923	2013-08-03 17:46:06.778923	\N	bb513d4c-c6ce-4576-ab43-c300381ce61a
31203	10	6269	2013-08-03 02:43:32.335904	2013-08-03 02:43:32.335904	\N	90fc0cce-03b4-499a-821a-2d40832de601
49595	5	7570	2013-08-03 17:57:19.019159	2013-08-03 17:57:19.019159	\N	02228240-4e6e-4fc6-b79d-0738fac68a70
49596	5	7597	2013-08-03 17:57:19.066369	2013-08-03 17:57:19.066369	\N	5f495a6d-a909-4d73-80f0-d560734c228e
49598	5	7588	2013-08-03 17:57:19.090332	2013-08-03 17:57:19.090332	\N	cbcb1d47-b2fd-4f48-a6a0-e78058a11798
51706	2	7696	2013-08-03 18:03:10.545373	2013-08-03 18:03:10.545373	\N	3cf0b3d8-ee9e-40d8-9719-726246c3338a
33755	8	6521	2013-08-03 02:59:53.303453	2013-08-03 02:59:53.303453	\N	ffdab332-f6ba-4c6a-843d-b4152a12efc2
37042	7	7012	2013-08-03 17:25:32.853188	2013-08-03 17:25:32.853188	\N	050891de-cc32-4f30-bf38-30d9b81dbb10
52435	6	7678	2013-08-03 18:05:57.86126	2013-08-03 18:05:57.86126	\N	17e64411-7545-43a8-9eba-deffc59cef24
35334	19	6941	2013-08-03 17:20:55.467419	2013-08-03 17:20:55.467419	\N	7a57ccad-801c-4575-b011-6a9cac94e803
37045	7	6994	2013-08-03 17:25:33.093346	2013-08-03 17:25:33.093346	\N	92e901c9-49ab-448d-98c2-a7308f42d367
57229	14	8206	2013-08-03 18:32:58.833428	2013-08-03 18:32:58.833428	\N	0bb30b43-6459-40b0-bacd-4ef7c5721a58
55523	19	7897	2013-08-03 18:20:16.541987	2013-08-03 18:20:16.541987	\N	ec31d59e-0e9b-43bf-845b-884c4a91c477
37048	7	7027	2013-08-03 17:25:33.392311	2013-08-03 17:25:33.392311	\N	730e2b5a-94f3-4936-be2b-71e3deb35c0f
33361	12	6512	2013-08-03 02:58:22.056718	2013-08-03 02:58:22.056718	\N	d09ab05f-3001-4d97-887c-cc91cea84af0
34558	4	6675	2013-08-03 17:08:07.303407	2013-08-03 17:08:07.303407	\N	3a034076-417e-4da2-a701-547c62e479c8
33375	1	6521	2013-08-03 02:58:26.781712	2013-08-03 02:58:26.781712	\N	3bc0a953-cdbb-4336-8c69-088d20b58613
33380	11	6473	2013-08-03 02:58:30.865576	2013-08-03 02:58:30.865576	\N	d37b6f6c-0e83-49c2-a804-9db57d548554
33381	11	6512	2013-08-03 02:58:31.030476	2013-08-03 02:58:31.030476	\N	a5a5c3bb-4e14-44db-83ed-b7cbee8e4e1a
33382	11	6491	2013-08-03 02:58:31.190755	2013-08-03 02:58:31.190755	\N	d5e06089-4500-4e98-a627-9b1b7e4c3788
91538	17	11668	2013-08-03 20:52:58.176741	2013-08-03 20:52:58.176741	\N	a5e91e12-7b83-447f-9569-07ef592ce10e
32438	1	6428	2013-08-03 02:53:26.839559	2013-08-03 02:53:26.839559	\N	9877b372-de7a-452f-9a48-d5cdd768686e
84808	5	11152	2013-08-03 20:33:57.641875	2013-08-03 20:33:57.641875	\N	c099d9ab-e645-4260-a56f-d7248ff88145
37051	7	7009	2013-08-03 17:25:33.646773	2013-08-03 17:25:33.646773	\N	91a6d374-ada0-4437-97ae-d74f6efddf02
57236	8	8201	2013-08-03 18:33:03.872618	2013-08-03 18:33:03.872618	\N	efa13f4c-8ce7-4845-be14-8e3bdba31912
57237	12	8201	2013-08-03 18:33:05.131576	2013-08-03 18:33:05.131576	\N	6b327240-d51d-4ad0-9b8d-8471465ba78c
37054	7	6985	2013-08-03 17:25:33.911602	2013-08-03 17:25:33.911602	\N	2dca091a-793f-4f21-96e1-dd824ec767cd
37056	9	7016	2013-08-03 17:25:34.512634	2013-08-03 17:25:34.512634	\N	378c5c36-75bf-4257-aa99-2d79afd780d4
37057	7	7030	2013-08-03 17:25:35.269389	2013-08-03 17:25:35.269389	\N	16e1d320-94c1-4e84-b047-c6758c456dbb
104791	13	12820	2013-08-03 21:35:01.986553	2013-08-03 21:35:01.986553	\N	f2c5c132-ea9e-48fa-916d-f8961e4a190f
49699	7	7591	2013-08-03 17:57:38.648496	2013-08-03 17:57:38.648496	\N	fe77eb81-bdc5-47e3-99f5-cd654d436c56
45766	10	7426	2013-08-03 17:48:08.477309	2013-08-03 17:48:08.477309	\N	743903bf-4e99-4f09-ae0e-174561ff1ac5
45767	19	7414	2013-08-03 17:48:09.470611	2013-08-03 17:48:09.470611	\N	ff70b9dd-b520-4c17-8293-835fa5f7d184
34621	12	6680	2013-08-03 17:08:50.101304	2013-08-03 17:08:50.101304	\N	7c172d19-7d93-4e3b-a9c5-7b5769466139
57247	7	8200	2013-08-03 18:33:13.620409	2013-08-03 18:33:13.620409	\N	8dd4e62f-c355-4d34-a372-515082d87660
51727	10	7697	2013-08-03 18:03:14.529314	2013-08-03 18:03:14.529314	\N	1f7f3aaa-758a-421e-b79e-70f623e6b068
49937	2	7597	2013-08-03 17:58:12.762147	2013-08-03 17:58:12.762147	\N	ad3751d1-bf18-4f6b-893e-42134940c057
45771	10	7429	2013-08-03 17:48:10.746403	2013-08-03 17:48:10.746403	\N	267543dc-987e-441e-b1be-423452ff86ff
53446	19	7735	2013-08-03 18:10:36.942946	2013-08-03 18:10:36.942946	\N	fcf901c4-0a5a-4df7-9308-4b2d6ece864c
54841	10	7870	2013-08-03 18:16:27.921862	2013-08-03 18:16:27.921862	\N	13c235f2-4b59-4ac0-a525-4e2a01c611d1
46698	8	7396	2013-08-03 17:50:21.009049	2013-08-03 17:50:21.009049	\N	4acd8486-888d-49c3-833e-c2f694e9b4b2
57249	1	8200	2013-08-03 18:33:13.801477	2013-08-03 18:33:13.801477	\N	f32ac2b8-a003-46e7-b025-b2000da1a9e1
37097	14	7025	2013-08-03 17:25:41.613663	2013-08-03 17:25:41.613663	\N	8c6c708c-cb35-44e6-951f-65253fadca84
59300	13	8377	2013-08-03 18:45:04.83801	2013-08-03 18:45:04.83801	\N	fe5b9958-814f-4fac-9ee2-e92c08032dac
45789	10	7432	2013-08-03 17:48:12.69256	2013-08-03 17:48:12.69256	\N	23c0b787-de61-49d2-8d80-c4b2e2a5c94c
59305	13	8383	2013-08-03 18:45:05.412423	2013-08-03 18:45:05.412423	\N	3c925a26-d241-4f0b-ac50-f189166288a1
50332	14	7567	2013-08-03 17:59:04.982804	2013-08-03 17:59:04.982804	\N	50a55100-2af5-4888-a172-5031c4ae0dd0
40469	1	7025	2013-08-03 17:34:32.212355	2013-08-03 17:34:32.212355	\N	a8a0f80f-b4f0-4cae-8716-61fad976740b
57276	7	8161	2013-08-03 18:33:26.052122	2013-08-03 18:33:26.052122	\N	d55d7d3c-f347-4661-9df6-0fb713281b4c
47142	8	7405	2013-08-03 17:51:11.668687	2013-08-03 17:51:11.668687	\N	0a302357-7f5a-4aa0-8e67-281a2e287463
50334	19	7597	2013-08-03 17:59:06.779114	2013-08-03 17:59:06.779114	\N	7d625c2a-3bbe-471e-be1d-b836da1c2b00
61827	10	8761	2013-08-03 19:00:04.213712	2013-08-03 19:00:04.213712	\N	ceb02552-9f72-4f3a-a367-3bd0ff9cf2e4
72029	13	10009	2013-08-03 19:47:42.8722	2013-08-03 19:47:42.8722	\N	1407a059-e998-436c-9459-e4caec084d18
45039	19	7312	2013-08-03 17:46:22.573032	2013-08-03 17:46:22.573032	\N	09e0b269-36ce-417a-ad59-ab02a7fb4d68
67796	15	9505	2013-08-03 19:31:04.581543	2013-08-03 19:31:04.581543	\N	4d8e1b97-6561-4817-86b5-345ede7ffbe8
57295	7	8173	2013-08-03 18:33:34.894283	2013-08-03 18:33:34.894283	\N	684c92de-b059-4a29-a0f2-c00d5e4a0102
38908	19	7025	2013-08-03 17:29:45.877846	2013-08-03 17:29:45.877846	\N	dedd365b-cc06-4cd3-bcb7-7f115ac2f432
53459	14	7738	2013-08-03 18:10:39.211851	2013-08-03 18:10:39.211851	\N	cda0a7bc-4c00-4e34-8f43-9a9fdfe3e49a
53460	14	7750	2013-08-03 18:10:39.263219	2013-08-03 18:10:39.263219	\N	9d4f8841-4399-462b-8b65-2ff4b2dd1e34
32896	2	6396	2013-08-03 02:56:09.991173	2013-08-03 02:56:09.991173	\N	d106b240-da49-4f85-9bf4-e188d8aa0bed
46724	7	7423	2013-08-03 17:50:23.29322	2013-08-03 17:50:23.29322	\N	6f18c301-4a57-4eff-80fa-bb3a8bdedd7e
45050	5	7315	2013-08-03 17:46:25.606386	2013-08-03 17:46:25.606386	\N	de675bf9-b0d1-4f69-bc71-79dab7f86a05
53462	14	7777	2013-08-03 18:10:39.296851	2013-08-03 18:10:39.296851	\N	d3705a83-c7dc-4835-b233-6cde36c8eaa8
53464	14	7781	2013-08-03 18:10:39.32068	2013-08-03 18:10:39.32068	\N	cbee7773-3b24-4f46-9b2a-673a755f8885
53465	14	7787	2013-08-03 18:10:39.359867	2013-08-03 18:10:39.359867	\N	1990a0b0-48a0-4117-9a56-065f24b3f641
51764	1	7681	2013-08-03 18:03:26.159638	2013-08-03 18:03:26.159638	\N	43a66b21-017f-4d4a-8711-c6452301ae64
56425	4	7990	2013-08-03 18:27:01.872816	2013-08-03 18:27:01.872816	\N	fe1d223d-1675-40c9-a48b-3c4f9fa3acfb
40543	7	7231	2013-08-03 17:35:06.038371	2013-08-03 17:35:06.038371	\N	7279f9d8-53c6-4e04-a45b-2f95ac0f7417
48855	2	7477	2013-08-03 17:55:11.33501	2013-08-03 17:55:11.33501	\N	8a523057-846f-4aa5-b8a6-a74c12f23400
48859	1	7396	2013-08-03 17:55:12.234247	2013-08-03 17:55:12.234247	\N	7d22680d-1c56-4cd8-a03b-39a8acb2b06b
38318	4	6976	2013-08-03 17:28:24.35742	2013-08-03 17:28:24.35742	\N	0a99f9e0-cec6-4aaa-9076-0d13fcad987f
37137	4	7025	2013-08-03 17:25:44.492031	2013-08-03 17:25:44.492031	\N	8fa5a809-f5c6-4b51-a48d-824ee083236f
38320	4	6982	2013-08-03 17:28:24.408228	2013-08-03 17:28:24.408228	\N	ccc9363d-9bb7-46f9-96de-0e5ec4a02dd5
38322	4	6985	2013-08-03 17:28:24.456945	2013-08-03 17:28:24.456945	\N	639978c5-a81c-4be0-a32d-d924908008f9
38324	4	6973	2013-08-03 17:28:24.504044	2013-08-03 17:28:24.504044	\N	1c2ee7b9-92d2-4ca1-8a67-07375bb4faf4
38325	4	6991	2013-08-03 17:28:24.531461	2013-08-03 17:28:24.531461	\N	e651f54f-a662-421f-82ba-ebde56943f75
38327	4	6994	2013-08-03 17:28:24.571086	2013-08-03 17:28:24.571086	\N	3a6bf33e-067d-4a43-838c-3f9e4a67ed4a
38329	4	6997	2013-08-03 17:28:24.619259	2013-08-03 17:28:24.619259	\N	171e123e-d69d-42d0-ba68-970616b85758
38330	4	7000	2013-08-03 17:28:24.662577	2013-08-03 17:28:24.662577	\N	7024a39e-fea3-4cbe-97cc-204889bf01f6
35368	4	6903	2013-08-03 17:21:17.841993	2013-08-03 17:21:17.841993	\N	6ba61f85-74f4-45da-b8f4-90f3f042a0af
48831	5	7534	2013-08-03 17:55:07.140085	2013-08-03 17:55:07.140085	\N	1836a439-e6f2-4168-9254-b4e86566894f
51119	14	7594	2013-08-03 18:01:05.69907	2013-08-03 18:01:05.69907	\N	015c3f1d-85fe-4477-a911-2a2b5c2c8844
53299	5	7729	2013-08-03 18:10:01.646603	2013-08-03 18:10:01.646603	\N	b6b93341-15bc-42f7-a534-9eadefdd2158
54769	8	7870	2013-08-03 18:16:03.335608	2013-08-03 18:16:03.335608	\N	833e141d-51aa-473e-985a-b7f1f09c2c8a
59289	13	8371	2013-08-03 18:45:03.672081	2013-08-03 18:45:03.672081	\N	b1b5dd05-4c56-4c04-b499-2962990b656f
56344	11	7990	2013-08-03 18:26:13.335844	2013-08-03 18:26:13.335844	\N	fb0d0a01-810f-4b9c-9306-0c69d0d68b5b
113287	8	13576	2013-08-03 22:04:23.117198	2013-08-03 22:04:23.117198	\N	f13756e9-11d6-4645-98eb-3772be958692
57250	1	8203	2013-08-03 18:33:13.881628	2013-08-03 18:33:13.881628	\N	2af37ccb-8a70-4b75-a5ea-6156ddc19326
36283	19	6932	2013-08-03 17:23:30.631839	2013-08-03 17:23:30.631839	\N	252c3a29-41b3-4dc0-b990-5a41be612eae
36360	4	6932	2013-08-03 17:23:40.581226	2013-08-03 17:23:40.581226	\N	a56b89a7-d0b6-400f-a2c6-77843aacb281
36361	4	6941	2013-08-03 17:23:40.629712	2013-08-03 17:23:40.629712	\N	4a79418b-1daf-40b0-9324-b3197c3857f4
43325	19	7366	2013-08-03 17:42:19.651139	2013-08-03 17:42:19.651139	\N	e22a76c2-40f9-4382-bd31-ec37a4d7d955
59293	13	8359	2013-08-03 18:45:03.983932	2013-08-03 18:45:03.983932	\N	d5e7d569-5726-4263-aa61-9fc01bb223de
59307	13	8386	2013-08-03 18:45:05.672059	2013-08-03 18:45:05.672059	\N	76f7c8aa-f2e7-41e2-ba20-bdccb89c1f9c
49634	2	7618	2013-08-03 17:57:26.841698	2013-08-03 17:57:26.841698	\N	97e95805-d1e4-4408-9615-30f7077de88d
50561	6	7615	2013-08-03 17:59:37.124635	2013-08-03 17:59:37.124635	\N	c35570af-04c3-45ba-aa38-d43ca9c88f1c
59310	13	8398	2013-08-03 18:45:06.564229	2013-08-03 18:45:06.564229	\N	9c4dac17-de22-48e1-a977-c696cba1ff26
43430	7	7317	2013-08-03 17:42:37.775533	2013-08-03 17:42:37.775533	\N	ba97ab29-e9c3-4f1e-bb5a-a1d0e76124fa
71978	9	10030	2013-08-03 19:47:29.699926	2013-08-03 19:47:29.699926	\N	d4cdcdec-4b20-48db-b00a-a4915bdcabf7
59314	13	8410	2013-08-03 18:45:07.045893	2013-08-03 18:45:07.045893	\N	b7c7eb78-eebf-428d-971d-ef37f8df7c18
37040	7	7006	2013-08-03 17:25:32.685794	2013-08-03 17:25:32.685794	\N	a419b65d-e7d4-43b5-a69d-f1db61e43fd3
53350	11	7787	2013-08-03 18:10:10.79531	2013-08-03 18:10:10.79531	\N	ca36b168-0dbc-4133-a950-37bd48499c03
54221	10	7813	2013-08-03 18:13:46.754563	2013-08-03 18:13:46.754563	\N	0b861222-9ea8-4b55-987e-0bc321887cd7
37058	7	7025	2013-08-03 17:25:38.064914	2013-08-03 17:25:38.064914	\N	3b328630-96f6-4233-ba56-f0cf3dd6bb33
37059	7	6973	2013-08-03 17:25:38.171492	2013-08-03 17:25:38.171492	\N	86d3d78d-5c31-4549-b771-aa4efc9f616a
34953	14	6735	2013-08-03 17:14:29.840084	2013-08-03 17:14:29.840084	\N	b615098f-8f06-4b9b-ae4f-c59e29c04be9
42690	19	7237	2013-08-03 17:40:16.346533	2013-08-03 17:40:16.346533	\N	b18bdfe9-8d13-4311-af0b-46b4d30f8db9
34961	19	6773	2013-08-03 17:14:42.047652	2013-08-03 17:14:42.047652	\N	3ef6e31a-ee0e-4eda-bd76-ad04de11e01f
37061	7	6982	2013-08-03 17:25:39.259264	2013-08-03 17:25:39.259264	\N	7393a31f-5ffa-426b-9964-3d9ed18db405
71979	9	10049	2013-08-03 19:47:29.853413	2013-08-03 19:47:29.853413	\N	a50d6d70-3565-48c2-9235-4eda95e8aadb
56394	1	7990	2013-08-03 18:26:43.644718	2013-08-03 18:26:43.644718	\N	2f8e7398-4fb6-4f82-9bde-959f07c7dca8
43615	4	7312	2013-08-03 17:43:01.405668	2013-08-03 17:43:01.405668	\N	a8364f90-5124-472e-810f-2d83c3e0e763
41954	1	7261	2013-08-03 17:38:36.551469	2013-08-03 17:38:36.551469	\N	38a37ddf-ba8f-43dc-9651-e3c11f4da26b
43616	4	7318	2013-08-03 17:43:01.470352	2013-08-03 17:43:01.470352	\N	5c701670-6f37-4c56-98ac-78be55f96817
37067	7	6976	2013-08-03 17:25:39.608847	2013-08-03 17:25:39.608847	\N	bb745fb1-cc3e-4724-b524-c925aad9a6ca
37068	7	7024	2013-08-03 17:25:39.670447	2013-08-03 17:25:39.670447	\N	ca8c544a-79b1-433e-9133-b832bcbbc5cb
41237	17	7277	2013-08-03 17:36:44.166925	2013-08-03 17:36:44.166925	\N	2dece9e6-8359-4038-a516-4f54cef193e7
37071	7	6997	2013-08-03 17:25:39.766707	2013-08-03 17:25:39.766707	\N	28356c4d-d4d3-4600-8679-36365082e923
43617	4	7321	2013-08-03 17:43:01.558141	2013-08-03 17:43:01.558141	\N	ae261200-7695-43a2-9018-765b02a616c7
43618	4	7309	2013-08-03 17:43:01.597755	2013-08-03 17:43:01.597755	\N	946104de-8243-4ad1-9bca-226367f6946a
37074	7	7003	2013-08-03 17:25:39.917879	2013-08-03 17:25:39.917879	\N	d085d565-cf02-4545-9578-e4c426baf584
37075	7	7000	2013-08-03 17:25:39.972334	2013-08-03 17:25:39.972334	\N	f2e020d0-637b-4026-bc8d-921e65e25d13
43619	4	7327	2013-08-03 17:43:01.66948	2013-08-03 17:43:01.66948	\N	4bd20b9e-239a-46c8-acba-a9cad536cca3
35032	2	6819	2013-08-03 17:16:41.145664	2013-08-03 17:16:41.145664	\N	112d1c57-dda0-4e1a-826a-4ae03ad0770b
34681	14	6680	2013-08-03 17:09:34.659669	2013-08-03 17:09:34.659669	\N	17ab2ffc-a86c-41f0-b804-fcb138a42f6b
34682	14	6689	2013-08-03 17:09:34.744829	2013-08-03 17:09:34.744829	\N	3d5d8fb7-e954-4b2f-9432-2631a96c6d69
43620	4	7330	2013-08-03 17:43:01.720819	2013-08-03 17:43:01.720819	\N	c7efc465-8d91-4277-84b1-a52a86e03923
43621	4	7333	2013-08-03 17:43:01.775798	2013-08-03 17:43:01.775798	\N	3f1c18ab-7c05-4047-91d7-933ac3ef3c22
43622	4	7336	2013-08-03 17:43:01.82525	2013-08-03 17:43:01.82525	\N	539a4430-91f6-48dc-8c17-e976d2f7daa5
40546	7	7282	2013-08-03 17:35:06.296271	2013-08-03 17:35:06.296271	\N	557903e7-61a5-4322-9bd5-0ec5333b2d1d
43623	4	7342	2013-08-03 17:43:01.872532	2013-08-03 17:43:01.872532	\N	776a225b-410c-483f-aeea-d2113b09d1a3
43624	4	7345	2013-08-03 17:43:01.932394	2013-08-03 17:43:01.932394	\N	3d3e64f2-8da4-4bc8-af5b-66532d7957da
40553	7	7237	2013-08-03 17:35:09.130951	2013-08-03 17:35:09.130951	\N	c39592bd-aa0e-47d9-837b-15011d1723a5
40559	7	7264	2013-08-03 17:35:09.873846	2013-08-03 17:35:09.873846	\N	954e38c7-25d0-4b81-95d5-e6dd17ca216c
39251	2	7000	2013-08-03 17:30:43.510031	2013-08-03 17:30:43.510031	\N	084600aa-4db2-456d-8133-af4b933bc6a7
39252	2	7024	2013-08-03 17:30:43.617387	2013-08-03 17:30:43.617387	\N	aeab88ec-0078-4c68-a54e-68187823314d
43625	4	7348	2013-08-03 17:43:02.004731	2013-08-03 17:43:02.004731	\N	1431eb20-d0a4-44c1-92a1-48f182e02b0c
35134	19	6857	2013-08-03 17:19:16.904956	2013-08-03 17:19:16.904956	\N	cba9f670-8546-4f5b-b0d2-65f53f132cd5
43626	4	7360	2013-08-03 17:43:02.085299	2013-08-03 17:43:02.085299	\N	50093c00-b997-4ad3-9b96-8fdecb22dd86
38340	4	6987	2013-08-03 17:28:27.614163	2013-08-03 17:28:27.614163	\N	4f9f6f94-5992-459a-aa6c-f05b5be28002
43627	4	7363	2013-08-03 17:43:02.157438	2013-08-03 17:43:02.157438	\N	9e9aef25-da15-47f2-a585-160a4d0f403a
37113	7	6978	2013-08-03 17:25:42.460487	2013-08-03 17:25:42.460487	\N	12c11872-0f9d-4257-8fbc-973aae3891cc
43628	4	7366	2013-08-03 17:43:02.222167	2013-08-03 17:43:02.222167	\N	51f7bfe0-5d81-469a-bab6-958549c59de9
40566	2	7237	2013-08-03 17:35:10.316961	2013-08-03 17:35:10.316961	\N	40e233d1-44eb-45c3-8d53-eafb1cda3766
40569	2	7258	2013-08-03 17:35:10.385573	2013-08-03 17:35:10.385573	\N	69a829ab-91be-4310-8375-4b91764d7671
40570	2	7252	2013-08-03 17:35:10.428004	2013-08-03 17:35:10.428004	\N	3c76fdcb-4145-4f07-a127-ecb80b431067
40572	2	7270	2013-08-03 17:35:10.452701	2013-08-03 17:35:10.452701	\N	02849d7e-1793-4d30-bd8a-95550b80de97
40573	2	7277	2013-08-03 17:35:10.499544	2013-08-03 17:35:10.499544	\N	2ad84009-9cbe-4420-8186-52317ec3e0cd
40576	2	7261	2013-08-03 17:35:10.611497	2013-08-03 17:35:10.611497	\N	69e047b3-469c-4445-92f7-9d95d4f450b3
42889	19	7246	2013-08-03 17:41:05.914015	2013-08-03 17:41:05.914015	\N	45ffd747-94db-45af-9599-a0a09306fe16
59317	13	8413	2013-08-03 18:45:07.317803	2013-08-03 18:45:07.317803	\N	5ff042ab-fc48-4fca-8ba9-1fc10baf70a0
67810	15	9544	2013-08-03 19:31:06.273258	2013-08-03 19:31:06.273258	\N	32f6b267-8a0a-4adf-9a8b-19be5ad96fd0
71980	12	10003	2013-08-03 19:47:31.487857	2013-08-03 19:47:31.487857	\N	4f998e88-1ce7-4c93-8048-4d3ec95db9f7
57377	8	8149	2013-08-03 18:33:58.705075	2013-08-03 18:33:58.705075	\N	33522e9e-034a-4691-8488-2360f7034f01
40589	2	7276	2013-08-03 17:35:11.68859	2013-08-03 17:35:11.68859	\N	75d3111c-7534-4b8a-83b7-adb39d042374
56409	5	7990	2013-08-03 18:26:51.513245	2013-08-03 18:26:51.513245	\N	0925d9bd-e2de-42d2-9bba-c517b16b558d
40594	7	7230	2013-08-03 17:35:13.003928	2013-08-03 17:35:13.003928	\N	b14a0594-6c3a-403b-a290-cb8c8b1d384b
71989	12	10030	2013-08-03 19:47:32.496452	2013-08-03 19:47:32.496452	\N	aaf743d0-7c09-4cd9-a88f-5dc35aec8018
71991	14	10012	2013-08-03 19:47:33.379713	2013-08-03 19:47:33.379713	\N	76402d38-4c93-4555-961f-4367d19c0e95
71992	8	10003	2013-08-03 19:47:33.803912	2013-08-03 19:47:33.803912	\N	50fc2d26-1dce-4711-8e3a-0e5943a4432c
71993	8	10049	2013-08-03 19:47:33.870884	2013-08-03 19:47:33.870884	\N	5656fd71-5e7e-45ed-aed1-5856fafe763d
57393	8	8170	2013-08-03 18:34:00.912298	2013-08-03 18:34:00.912298	\N	d5e1c5c5-f062-44ad-bfb0-cb16ca765493
42019	1	7282	2013-08-03 17:38:43.75177	2013-08-03 17:38:43.75177	\N	a3bb30f3-5b0f-450e-8b90-319deabf84e7
51816	5	7663	2013-08-03 18:03:37.400031	2013-08-03 18:03:37.400031	\N	d29d17b5-9489-49be-b08f-3ee722c657df
43046	14	7237	2013-08-03 17:41:23.16976	2013-08-03 17:41:23.16976	\N	ba205bcf-4d6e-453e-ab09-ceefbb5b2aba
40604	7	7234	2013-08-03 17:35:14.39048	2013-08-03 17:35:14.39048	\N	b1eec892-4076-44f0-a7f6-4dea4a1d1a11
43047	14	7279	2013-08-03 17:41:23.250829	2013-08-03 17:41:23.250829	\N	e9af3e61-1d1f-4514-bec6-14acf3debae3
43049	14	7249	2013-08-03 17:41:23.290477	2013-08-03 17:41:23.290477	\N	2de9fa2b-ae99-497b-83ce-3e28566120a9
43051	14	7261	2013-08-03 17:41:23.319374	2013-08-03 17:41:23.319374	\N	c1f3d5d0-ce70-4660-bbd1-6acd9c2b8517
43052	14	7243	2013-08-03 17:41:23.362339	2013-08-03 17:41:23.362339	\N	f91d0c89-0a56-419f-ac35-3fdb98673a41
43055	14	7234	2013-08-03 17:41:23.439294	2013-08-03 17:41:23.439294	\N	db6ee9ef-7fd7-4d1b-9446-c1cdec510e0a
43056	14	7246	2013-08-03 17:41:23.480443	2013-08-03 17:41:23.480443	\N	972019ba-e763-4549-8b6b-afa0078fb273
49727	2	7612	2013-08-03 17:57:42.25254	2013-08-03 17:57:42.25254	\N	77aaf9b1-7e6e-4dbe-9f88-3489b9bea656
40617	7	7249	2013-08-03 17:35:15.217082	2013-08-03 17:35:15.217082	\N	46aab8ab-24ae-4055-8b17-30d70ecc2a47
51817	5	7675	2013-08-03 18:03:37.490423	2013-08-03 18:03:37.490423	\N	984259cd-95e2-4fbc-a11c-082d16bfbfc8
40619	7	7225	2013-08-03 17:35:16.022526	2013-08-03 17:35:16.022526	\N	6c175104-f002-466e-9566-35488621804f
66607	11	9373	2013-08-03 19:26:18.283469	2013-08-03 19:26:18.283469	\N	78b5e056-f03e-4c85-861e-88be2a34e013
49739	11	7585	2013-08-03 17:57:43.426759	2013-08-03 17:57:43.426759	\N	24205c9a-8329-408b-b586-b859b62bc760
49740	11	7588	2013-08-03 17:57:43.596228	2013-08-03 17:57:43.596228	\N	0c59f785-5409-4563-8184-ce9e874199f7
45924	10	7447	2013-08-03 17:48:26.462686	2013-08-03 17:48:26.462686	\N	af6ba916-c70d-4bf0-a0d8-eaa69475695b
49741	1	7612	2013-08-03 17:57:43.724399	2013-08-03 17:57:43.724399	\N	c4cc535f-5ebf-4ef7-87cc-cd2369e6d84a
37309	2	7025	2013-08-03 17:26:10.863942	2013-08-03 17:26:10.863942	\N	ef11d658-2dc8-49e4-8aeb-4a82d13424bf
49745	1	7618	2013-08-03 17:57:43.924438	2013-08-03 17:57:43.924438	\N	0a0e7661-492d-4977-b3ea-7f7d0926dfa2
45927	2	7450	2013-08-03 17:48:27.743639	2013-08-03 17:48:27.743639	\N	68d82770-5764-47fd-9fa4-0b84edfacb3d
49747	1	7613	2013-08-03 17:57:44.172284	2013-08-03 17:57:44.172284	\N	223efd8f-01c3-4d4a-a3bd-e6f62448cbe2
49748	11	7612	2013-08-03 17:57:44.253925	2013-08-03 17:57:44.253925	\N	921786df-bd94-4017-b9a8-79f7835b50cb
47120	2	7423	2013-08-03 17:51:10.668231	2013-08-03 17:51:10.668231	\N	978fccd1-6930-4882-8882-ab48fc48719d
67797	15	9526	2013-08-03 19:31:04.619796	2013-08-03 19:31:04.619796	\N	8ed97272-810a-4e49-b269-3dd14d0a253f
34997	2	6848	2013-08-03 17:15:40.522729	2013-08-03 17:15:40.522729	\N	285cf826-19c2-41bd-a9af-38f7f1523d1d
34998	2	6857	2013-08-03 17:15:40.593988	2013-08-03 17:15:40.593988	\N	e7add6c5-87a5-4656-b17f-761802c9c0ab
34999	12	6848	2013-08-03 17:15:40.733123	2013-08-03 17:15:40.733123	\N	e3f9e2c7-ba0d-4029-8219-5c18552a7991
35000	4	6848	2013-08-03 17:15:42.607716	2013-08-03 17:15:42.607716	\N	124f605f-c593-438a-a274-35cf80c4eaa2
35001	4	6857	2013-08-03 17:15:42.661248	2013-08-03 17:15:42.661248	\N	9114c313-f534-4162-b736-21bebc7de80e
35004	7	6810	2013-08-03 17:15:52.861602	2013-08-03 17:15:52.861602	\N	3532d098-4e14-4b7e-b96d-3801f79b1576
35006	8	6848	2013-08-03 17:15:55.269996	2013-08-03 17:15:55.269996	\N	5af1eaf3-8981-473d-a559-4c2f891f994c
35010	12	6857	2013-08-03 17:16:06.420063	2013-08-03 17:16:06.420063	\N	29c6b816-3d9f-492e-a3a9-f366955a6df8
71981	2	10003	2013-08-03 19:47:31.778781	2013-08-03 19:47:31.778781	\N	db45cfed-b141-46c3-af82-4f26d1b1a52d
35012	2	6813	2013-08-03 17:16:12.841293	2013-08-03 17:16:12.841293	\N	ea0c7f58-e2e0-4bbc-a56a-677df5f2be15
35013	11	6848	2013-08-03 17:16:20.084173	2013-08-03 17:16:20.084173	\N	313acc41-3a81-4a00-b024-15574e401955
65420	17	9292	2013-08-03 19:20:02.949602	2013-08-03 19:20:02.949602	\N	ec77cf9a-2ed0-4d4e-82d4-4252ed84162a
51774	7	7669	2013-08-03 18:03:30.33737	2013-08-03 18:03:30.33737	\N	40a8db97-0db2-452e-b269-9f54ce66da47
53326	6	7780	2013-08-03 18:10:08.058539	2013-08-03 18:10:08.058539	\N	8d7ca1fd-4ac6-40cf-927d-a3098a2421d3
49616	12	7613	2013-08-03 17:57:24.808234	2013-08-03 17:57:24.808234	\N	3b7a71bf-4d82-4b0b-a308-a8deb0c8fdf5
45821	19	7411	2013-08-03 17:48:15.164816	2013-08-03 17:48:15.164816	\N	a68166f2-8c2e-407b-971c-b2ac4f0f5136
57252	7	8201	2013-08-03 18:33:15.226744	2013-08-03 18:33:15.226744	\N	3100ce96-5255-45f9-87a9-f8c3100a7f08
39115	6	6978	2013-08-03 17:30:15.955378	2013-08-03 17:30:15.955378	\N	fcbb0975-93c5-46b9-8d37-83095120ba9f
59308	13	8389	2013-08-03 18:45:05.962499	2013-08-03 18:45:05.962499	\N	7a9f2960-2463-4002-bd02-755e5e8efe0a
53330	6	7756	2013-08-03 18:10:08.435711	2013-08-03 18:10:08.435711	\N	7066ab81-c34a-44ef-a163-03b75b217c22
53331	6	7741	2013-08-03 18:10:08.625332	2013-08-03 18:10:08.625332	\N	e8422e8f-8504-4f6c-9970-902e73c28563
53332	6	7747	2013-08-03 18:10:08.749308	2013-08-03 18:10:08.749308	\N	441e2f5a-adda-4306-83e2-500e16f3464b
53333	6	7762	2013-08-03 18:10:08.864322	2013-08-03 18:10:08.864322	\N	2054af7d-f3d1-491b-b3c5-8fa1d2a38013
35088	15	6848	2013-08-03 17:18:24.969355	2013-08-03 17:18:24.969355	\N	7cda22f1-a638-48f4-8e82-e2e3d82f5574
44157	12	7361	2013-08-03 17:44:16.534807	2013-08-03 17:44:16.534807	\N	f3484071-d0c5-40a1-add6-ea7516b46163
70580	20	9778	2013-08-03 19:40:58.449375	2013-08-03 19:40:58.449375	\N	4e5029a3-fb2e-454d-a4f0-b0a14f5ce2ae
69239	8	9662	2013-08-03 19:36:01.848958	2013-08-03 19:36:01.848958	\N	5f178fa7-7cf8-4bbc-8ff0-c6a57acdd15a
71982	2	10051	2013-08-03 19:47:31.81019	2013-08-03 19:47:31.81019	\N	f05c06ba-a147-4b4e-b31d-8a0ba95bee27
45153	6	7327	2013-08-03 17:46:36.659632	2013-08-03 17:46:36.659632	\N	eedad626-7b03-4c9e-a43b-a0dacc163016
50503	7	7581	2013-08-03 17:59:27.822733	2013-08-03 17:59:27.822733	\N	5cef14f8-73ed-4c0a-a6cc-1183d877b471
56355	7	7995	2013-08-03 18:26:14.608501	2013-08-03 18:26:14.608501	\N	c1ac681c-1afa-44ac-a007-6b1d509fa5f1
71983	2	10054	2013-08-03 19:47:31.838769	2013-08-03 19:47:31.838769	\N	3cfec8fa-5ae9-493e-b883-8566fdd1b10a
50506	10	7613	2013-08-03 17:59:28.566614	2013-08-03 17:59:28.566614	\N	f4d083ee-2ab6-4937-8834-a2e5909e8476
54104	5	7819	2013-08-03 18:13:17.876928	2013-08-03 18:13:17.876928	\N	804ec091-ec0d-47d5-af8a-af46ab9d6157
55526	19	7909	2013-08-03 18:20:19.58216	2013-08-03 18:20:19.58216	\N	64b6ccee-acf5-439e-8761-2eb02dfbd48b
54108	17	7865	2013-08-03 18:13:19.629519	2013-08-03 18:13:19.629519	\N	083d9a6a-8278-4221-adf6-9c42b2e43501
57303	7	8176	2013-08-03 18:33:38.454549	2013-08-03 18:33:38.454549	\N	ee58e370-c380-4ee8-a47e-c2d835f44a71
49668	6	7561	2013-08-03 17:57:32.960831	2013-08-03 17:57:32.960831	\N	13b8c8b6-487b-4883-8e5b-31f52c7e87c0
41952	1	7258	2013-08-03 17:38:36.441878	2013-08-03 17:38:36.441878	\N	4f82a1d2-23d0-4132-931d-a62ee65d3d0f
35137	4	6808	2013-08-03 17:19:21.822064	2013-08-03 17:19:21.822064	\N	d9a32527-9051-4568-a5db-18e83fc79cb5
35139	4	6847	2013-08-03 17:19:21.85112	2013-08-03 17:19:21.85112	\N	810fc6c8-ada7-4291-97e0-d384375b4b0f
35141	4	6814	2013-08-03 17:19:21.945765	2013-08-03 17:19:21.945765	\N	0a93fa18-0a70-487b-a941-4cc6fcd7971c
35143	4	6817	2013-08-03 17:19:21.971061	2013-08-03 17:19:21.971061	\N	4006ff29-3e51-4c1f-8188-50e64f4ebc21
35144	4	6805	2013-08-03 17:19:22.015094	2013-08-03 17:19:22.015094	\N	de32ec62-5261-4fcd-a487-e3b4ecba5d0e
35145	4	6820	2013-08-03 17:19:22.046665	2013-08-03 17:19:22.046665	\N	3dd11fef-acd9-4487-8b6e-dcfa431843ce
35147	4	6823	2013-08-03 17:19:22.079549	2013-08-03 17:19:22.079549	\N	c63717ef-002c-4a2e-926b-431e8f377667
35148	4	6826	2013-08-03 17:19:22.109925	2013-08-03 17:19:22.109925	\N	fa0250fb-f5d9-4876-8ffe-8cde66356bb0
35150	4	6829	2013-08-03 17:19:22.14933	2013-08-03 17:19:22.14933	\N	983a6ec3-ede7-4318-8a46-5c72b7dd9cea
35152	4	6832	2013-08-03 17:19:22.208763	2013-08-03 17:19:22.208763	\N	5932195e-9626-4c72-8f04-c0ac58465a8f
35153	4	6835	2013-08-03 17:19:22.316974	2013-08-03 17:19:22.316974	\N	ce7e808e-a983-45e2-8742-0bdfe05a1eff
35155	4	6838	2013-08-03 17:19:22.381368	2013-08-03 17:19:22.381368	\N	49cd6ca6-12dd-4004-8471-ea095888dd79
35157	4	6841	2013-08-03 17:19:22.425322	2013-08-03 17:19:22.425322	\N	2f8bd45d-721a-4f50-a32a-eee51b022929
35158	4	6844	2013-08-03 17:19:22.473712	2013-08-03 17:19:22.473712	\N	d8d801ad-b80d-48d9-aace-38e1a16836ea
35159	4	6856	2013-08-03 17:19:22.534366	2013-08-03 17:19:22.534366	\N	f5f28b2a-637f-4b6b-b340-1e247b4e24d8
35160	4	6859	2013-08-03 17:19:22.571484	2013-08-03 17:19:22.571484	\N	9128d255-3e24-4cf8-804e-6367b2c53137
35161	4	6862	2013-08-03 17:19:22.617436	2013-08-03 17:19:22.617436	\N	e8cd4bb8-fdf2-473f-92c5-a87760e69e40
47931	4	7529	2013-08-03 17:53:11.158186	2013-08-03 17:53:11.158186	\N	c4231dc8-0b2e-4079-b556-fbb36f413cf8
60377	7	8494	2013-08-03 18:51:04.029278	2013-08-03 18:51:04.029278	\N	0e49561e-2e05-49a4-98d8-f70dc5a26de7
41956	1	7264	2013-08-03 17:38:36.668312	2013-08-03 17:38:36.668312	\N	5040efb6-7534-42a0-98e1-4df35816d4c8
41957	1	7276	2013-08-03 17:38:36.793687	2013-08-03 17:38:36.793687	\N	cbf370fb-968a-450a-b9d7-2d2ad2bbba98
41958	1	7279	2013-08-03 17:38:36.912662	2013-08-03 17:38:36.912662	\N	8fba4fa0-2d5b-4462-920c-ab98d7d295d7
69244	19	9661	2013-08-03 19:36:03.932338	2013-08-03 19:36:03.932338	\N	83e5e1ad-e340-481d-b11e-098ca2d1c7e4
69245	19	9628	2013-08-03 19:36:04.353054	2013-08-03 19:36:04.353054	\N	039b722a-c2e4-4abc-ad7f-3bbd4a714450
53372	4	7750	2013-08-03 18:10:18.385267	2013-08-03 18:10:18.385267	\N	f4b48de0-afad-4987-9b44-24b88f7138a4
71984	2	10048	2013-08-03 19:47:31.884689	2013-08-03 19:47:31.884689	\N	3f718ff9-c388-4ee1-a11d-3a69589fecc4
71985	2	10040	2013-08-03 19:47:31.92513	2013-08-03 19:47:31.92513	\N	8e75bc0c-0007-4b56-ac43-7012ed3193c5
41340	12	7277	2013-08-03 17:37:02.004249	2013-08-03 17:37:02.004249	\N	03a9ced4-9e10-4e48-8b21-b0c63029fed5
46148	6	7447	2013-08-03 17:49:08.349396	2013-08-03 17:49:08.349396	\N	cea94c0e-e920-4c58-908a-02b35059a27e
39329	2	7027	2013-08-03 17:30:58.764203	2013-08-03 17:30:58.764203	\N	62b17286-57d5-4fab-bbc5-0a5d29a58ec6
39332	2	7030	2013-08-03 17:30:58.896354	2013-08-03 17:30:58.896354	\N	0db71cb5-315c-4004-b2f5-788e79b0fec0
46651	2	7444	2013-08-03 17:50:13.117421	2013-08-03 17:50:13.117421	\N	eb0e7b9b-1a51-4a32-b963-23fe58e997f4
50530	6	7573	2013-08-03 17:59:32.94472	2013-08-03 17:59:32.94472	\N	81f678e0-2d52-4976-93a6-98d21b96f25f
71986	2	10012	2013-08-03 19:47:31.980645	2013-08-03 19:47:31.980645	\N	caec7a21-f019-4f38-9fb1-69889dc00a72
42827	14	7258	2013-08-03 17:40:52.4687	2013-08-03 17:40:52.4687	\N	f3175638-b7a9-4e1a-8d4e-9bbb054eb08b
81127	4	10887	2013-08-03 20:24:57.823694	2013-08-03 20:24:57.823694	\N	7e6b7192-ece0-4263-8678-ed295057b565
57339	12	8161	2013-08-03 18:33:46.81592	2013-08-03 18:33:46.81592	\N	781b3e8a-18e1-415a-9bbf-0ce598b666a6
57341	12	8170	2013-08-03 18:33:47.815485	2013-08-03 18:33:47.815485	\N	fadc1b2c-79d3-40c2-b6be-1ed2551b72a7
57342	12	8173	2013-08-03 18:33:48.12981	2013-08-03 18:33:48.12981	\N	f2bfc458-6554-4423-8567-272297d0fae6
57350	9	8201	2013-08-03 18:33:51.934585	2013-08-03 18:33:51.934585	\N	688ff519-2cb5-4fd0-a0d9-da26cefe55e9
45202	19	7318	2013-08-03 17:46:42.093228	2013-08-03 17:46:42.093228	\N	1f8ccd1e-87f3-4f90-8037-fd16ab1f53aa
113288	8	13537	2013-08-03 22:04:23.117374	2013-08-03 22:04:23.117374	\N	ce8a5f42-2aaf-40ba-8aa5-24b52067f78d
71990	8	10040	2013-08-03 19:47:32.951301	2013-08-03 19:47:32.951301	\N	f843e0cc-d112-4220-afc1-4b757edea510
71996	8	10030	2013-08-03 19:47:35.080092	2013-08-03 19:47:35.080092	\N	e3c153d3-605a-4a79-a242-1b3e29d40a9a
51910	1	7693	2013-08-03 18:03:58.70668	2013-08-03 18:03:58.70668	\N	352ff999-8f3e-4d99-95d0-87aa7f4d6f86
60444	17	8494	2013-08-03 18:51:16.202478	2013-08-03 18:51:16.202478	\N	061053b9-9555-48c9-a982-ac5c8b511c83
45220	6	7309	2013-08-03 17:46:45.311287	2013-08-03 17:46:45.311287	\N	cf4473f6-78cb-4120-8e52-52bead41c30b
49716	2	7613	2013-08-03 17:57:39.957499	2013-08-03 17:57:39.957499	\N	ef74005b-9201-4c37-8322-26eec859f9da
49717	2	7594	2013-08-03 17:57:40.005932	2013-08-03 17:57:40.005932	\N	8bf4b36e-7bbb-4676-a41b-13b32acb19af
91544	11	11687	2013-08-03 20:52:59.064576	2013-08-03 20:52:59.064576	\N	eed9f703-5747-4351-9640-6aac4fd3ac0e
49719	2	7561	2013-08-03 17:57:41.103349	2013-08-03 17:57:41.103349	\N	1a77949f-c75b-4c11-bdcb-253e86d8c23b
60465	9	8500	2013-08-03 18:51:22.713394	2013-08-03 18:51:22.713394	\N	f13212a3-0789-477b-b298-984cf3eb5543
43708	1	7361	2013-08-03 17:43:13.727145	2013-08-03 17:43:13.727145	\N	2b85de19-ecec-4350-a075-17e27b735e82
67852	19	9499	2013-08-03 19:31:15.902324	2013-08-03 19:31:15.902324	\N	6f811437-ede4-4fc7-ae15-768d2e55a83e
72030	11	10012	2013-08-03 19:47:43.186844	2013-08-03 19:47:43.186844	\N	20976acf-ff78-4a15-aa08-ac7aec274bc3
57363	2	8176	2013-08-03 18:33:55.457952	2013-08-03 18:33:55.457952	\N	7295b535-ef9e-42c4-9e16-6712c38d75b1
45236	5	7336	2013-08-03 17:46:50.867531	2013-08-03 17:46:50.867531	\N	529850e3-b201-419e-9ef3-c214b9ab99cd
72033	11	10018	2013-08-03 19:47:44.16946	2013-08-03 19:47:44.16946	\N	26d90052-cee3-4d94-b41a-86a68f50a511
49731	11	7570	2013-08-03 17:57:42.489786	2013-08-03 17:57:42.489786	\N	6b9c0486-90e0-4c4b-8b03-dd4c5fdf4051
48985	6	7486	2013-08-03 17:55:31.067704	2013-08-03 17:55:31.067704	\N	ff55ec43-d356-42df-9a79-dbfc60634254
35763	7	6932	2013-08-03 17:22:15.120549	2013-08-03 17:22:15.120549	\N	0892c796-f9ab-46d0-8ed0-e96930c1373c
45244	7	7444	2013-08-03 17:47:08.757515	2013-08-03 17:47:08.757515	\N	2097eb3e-1aa2-44d5-bfb9-60f2d1d4ad99
45251	7	7399	2013-08-03 17:47:09.369868	2013-08-03 17:47:09.369868	\N	db2a3012-6bca-401c-94b2-b3b8e6175179
37244	15	7025	2013-08-03 17:26:01.762968	2013-08-03 17:26:01.762968	\N	3877c0c0-6278-41eb-bd17-baaeb219c3c1
60504	16	8521	2013-08-03 18:51:33.664114	2013-08-03 18:51:33.664114	\N	6a51f735-8ca3-4ffd-8747-2dad2ee0652a
49734	11	7573	2013-08-03 17:57:42.670049	2013-08-03 17:57:42.670049	\N	b050e02d-5568-468f-a7d0-6ebe57bead71
38332	4	7003	2013-08-03 17:28:24.707325	2013-08-03 17:28:24.707325	\N	61d10d79-8f72-4498-8a11-31835570e935
38334	4	7006	2013-08-03 17:28:24.763839	2013-08-03 17:28:24.763839	\N	b20f7030-c961-41ed-9ab0-c2ca7a4d34ea
38335	4	7009	2013-08-03 17:28:24.81413	2013-08-03 17:28:24.81413	\N	a16c35a3-564a-4038-ab1f-6aa51e5a0ebd
38336	4	7012	2013-08-03 17:28:24.869738	2013-08-03 17:28:24.869738	\N	9b307280-c1d0-40cd-879d-c0862517ba52
38337	4	7024	2013-08-03 17:28:24.922356	2013-08-03 17:28:24.922356	\N	320a6598-fb2c-466e-92b3-48e1d8ace8f6
38338	4	7027	2013-08-03 17:28:24.969874	2013-08-03 17:28:24.969874	\N	1e117786-b042-4eb5-a610-f073fb2fe927
38339	4	7030	2013-08-03 17:28:25.016689	2013-08-03 17:28:25.016689	\N	389e2db7-43ea-47ed-86f4-a517c5795ee1
57245	7	8206	2013-08-03 18:33:11.110854	2013-08-03 18:33:11.110854	\N	a01b48c6-d0f9-4868-a705-ea70af52d49f
51820	1	7675	2013-08-03 18:03:38.384531	2013-08-03 18:03:38.384531	\N	a7566986-b8e3-4b02-a2c0-23b82bf39cd6
51821	7	7703	2013-08-03 18:03:38.646695	2013-08-03 18:03:38.646695	\N	dea63384-79f7-45e3-ae32-9a258398bccc
71994	8	10009	2013-08-03 19:47:34.41645	2013-08-03 19:47:34.41645	\N	6aef1240-c906-4229-8cd2-51b56e2a252d
35066	14	6819	2013-08-03 17:17:27.143636	2013-08-03 17:17:27.143636	\N	93a052f8-b6ab-4e64-bc99-a475fc33742a
60349	2	8500	2013-08-03 18:50:59.211362	2013-08-03 18:50:59.211362	\N	ca6c69c7-bf41-43d2-bf05-6504a0a9b5f5
71995	12	10048	2013-08-03 19:47:34.833177	2013-08-03 19:47:34.833177	\N	3c785567-3373-4399-b7e1-3dd009f4ac97
35655	15	6941	2013-08-03 17:22:02.585997	2013-08-03 17:22:02.585997	\N	fb57748f-6e7b-4bf5-ad09-7d9afbd1e3b6
43485	1	7312	2013-08-03 17:42:43.896013	2013-08-03 17:42:43.896013	\N	1a464db4-ba8f-4ef6-b392-bffd2f2174f4
54058	5	7864	2013-08-03 18:13:09.404874	2013-08-03 18:13:09.404874	\N	6ec58207-6aa3-44ce-9947-00ff2f166c9b
46671	19	7402	2013-08-03 17:50:16.386608	2013-08-03 17:50:16.386608	\N	0a4ae5a9-9661-416b-a045-9faa972ccff9
54059	5	7861	2013-08-03 18:13:09.513796	2013-08-03 18:13:09.513796	\N	8940367d-0523-4e89-9507-1b43f43da343
54060	5	7813	2013-08-03 18:13:09.57531	2013-08-03 18:13:09.57531	\N	bcebc8f8-819b-4b78-930f-89ebdce8fdb8
48979	6	7513	2013-08-03 17:55:30.048305	2013-08-03 17:55:30.048305	\N	e762baad-256e-4a09-bad8-8a9c5b82b6fc
48980	6	7504	2013-08-03 17:55:30.296615	2013-08-03 17:55:30.296615	\N	c00392bf-23bd-4614-ae91-d64257f302aa
49743	1	7615	2013-08-03 17:57:43.833375	2013-08-03 17:57:43.833375	\N	0d5213a6-f4d3-4f0a-bff3-35d2a38c9962
48983	6	7516	2013-08-03 17:55:30.958462	2013-08-03 17:55:30.958462	\N	9cf8e4ef-56ba-4e88-889c-d064fc9a4a64
48991	6	7495	2013-08-03 17:55:31.924322	2013-08-03 17:55:31.924322	\N	9e6f33bb-1627-4c0a-afbd-e1bb6d332629
49744	11	7597	2013-08-03 17:57:43.924312	2013-08-03 17:57:43.924312	\N	d757041a-2581-4c40-81e9-a833859af5ac
49746	11	7613	2013-08-03 17:57:44.078918	2013-08-03 17:57:44.078918	\N	5ac357aa-c7a5-4979-b658-d5cfb5019c7b
49749	6	7566	2013-08-03 17:57:44.339733	2013-08-03 17:57:44.339733	\N	1c71f7af-d456-4f84-b31b-2a12225da08a
53344	2	7750	2013-08-03 18:10:10.556667	2013-08-03 18:10:10.556667	\N	5d4e1c74-daa4-43aa-8484-db4080cf269e
49752	11	7618	2013-08-03 17:57:44.614421	2013-08-03 17:57:44.614421	\N	51d214ac-cbe0-4547-8720-def0d54d7120
113289	8	13525	2013-08-03 22:04:23.117886	2013-08-03 22:04:23.117886	\N	d48bd3f7-2039-4ab2-83fa-65d5587a99bc
35098	19	6848	2013-08-03 17:18:34.797052	2013-08-03 17:18:34.797052	\N	4c4e8401-85c3-4561-8bee-29dc713fb670
49754	4	7613	2013-08-03 17:57:45.671538	2013-08-03 17:57:45.671538	\N	bcedec26-bbc0-4fe8-83a2-b0eec07811fe
49755	7	7567	2013-08-03 17:57:46.075851	2013-08-03 17:57:46.075851	\N	5e5c06e4-999b-4981-bf72-79fe01b4cf77
45869	8	7445	2013-08-03 17:48:21.620873	2013-08-03 17:48:21.620873	\N	c4090d03-aa6b-44dd-a307-de1d76da02c0
40592	7	7277	2013-08-03 17:35:12.297533	2013-08-03 17:35:12.297533	\N	c99153b6-2ab7-46ac-b619-4cc3b01139f0
40593	19	7277	2013-08-03 17:35:12.989149	2013-08-03 17:35:12.989149	\N	17d09b28-087f-47c3-8377-3fe52951fff5
57264	7	8170	2013-08-03 18:33:20.012507	2013-08-03 18:33:20.012507	\N	9d309c45-48bd-4111-97a0-919b441a25d1
41337	4	7239	2013-08-03 17:37:00.767208	2013-08-03 17:37:00.767208	\N	1de602d7-554b-42fc-bf6f-3870a1064364
57271	7	8203	2013-08-03 18:33:20.680229	2013-08-03 18:33:20.680229	\N	d66723b9-19de-4af3-aab1-28e91ec642be
51833	2	7672	2013-08-03 18:03:39.942322	2013-08-03 18:03:39.942322	\N	b481b96f-7640-4f3f-8319-2e1e94da3f88
43127	3	7246	2013-08-03 17:41:35.4277	2013-08-03 17:41:35.4277	\N	9574d8b1-5544-40cb-9d65-3cc3d4abe0d4
53433	19	7781	2013-08-03 18:10:32.014916	2013-08-03 18:10:32.014916	\N	9006a2a1-4eb8-499a-a096-9cf163862fd3
53434	19	7787	2013-08-03 18:10:32.301875	2013-08-03 18:10:32.301875	\N	97eb67fc-ddc5-47ef-b94b-1b31b2c773ca
57272	7	8182	2013-08-03 18:33:20.961019	2013-08-03 18:33:20.961019	\N	1f05a6a3-7d65-417e-9418-e35578788768
72002	8	10048	2013-08-03 19:47:36.882643	2013-08-03 19:47:36.882643	\N	d52f64a1-fd61-41db-be62-cab02a1225bb
51839	2	7703	2013-08-03 18:03:42.104899	2013-08-03 18:03:42.104899	\N	eb372afc-67ec-49ad-b58b-5995a7e85529
41918	1	7277	2013-08-03 17:38:33.828339	2013-08-03 17:38:33.828339	\N	8b65de4d-ebcb-4012-bc91-84284cd4e421
57278	7	8158	2013-08-03 18:33:27.903403	2013-08-03 18:33:27.903403	\N	2f508db0-ece7-4033-b3ae-29810b1aee03
59320	13	8416	2013-08-03 18:45:07.59305	2013-08-03 18:45:07.59305	\N	d4e83176-9514-467b-bada-37eb6acd291a
51842	2	7653	2013-08-03 18:03:43.328955	2013-08-03 18:03:43.328955	\N	cf1e8062-1809-468c-b621-1dbb3451e255
47431	2	7498	2013-08-03 17:52:10.328554	2013-08-03 17:52:10.328554	\N	f81810d2-81f0-49a9-868e-fb44e19f4b1c
41935	1	7234	2013-08-03 17:38:35.725665	2013-08-03 17:38:35.725665	\N	4d588c6a-9e29-4f78-a42c-9a09469fb3e3
41937	1	7237	2013-08-03 17:38:35.843551	2013-08-03 17:38:35.843551	\N	44207714-485c-459e-a0b3-ae43fd51cfb6
47432	2	7510	2013-08-03 17:52:10.426367	2013-08-03 17:52:10.426367	\N	a23080ff-b585-4ea4-95f6-d22da5a89cac
47433	2	7522	2013-08-03 17:52:10.477246	2013-08-03 17:52:10.477246	\N	8ff6cee8-2702-40b6-9ead-ce7bf69d7f13
41944	1	7246	2013-08-03 17:38:36.071918	2013-08-03 17:38:36.071918	\N	8779e511-a0e6-4ec1-ab59-20d056e6fdad
40671	11	7277	2013-08-03 17:35:22.453849	2013-08-03 17:35:22.453849	\N	a0d5c1ad-76f2-4088-a935-4b3c7774e5db
41947	1	7252	2013-08-03 17:38:36.185791	2013-08-03 17:38:36.185791	\N	c01d6c8c-5da7-4723-9592-24fbff0d7d21
41949	1	7255	2013-08-03 17:38:36.33486	2013-08-03 17:38:36.33486	\N	8e1b6ac9-6d76-4a4e-bf38-afde77329723
43557	14	7361	2013-08-03 17:42:54.379804	2013-08-03 17:42:54.379804	\N	b4e6fa15-1a07-480e-9f34-bb826998f791
45134	5	7321	2013-08-03 17:46:33.396758	2013-08-03 17:46:33.396758	\N	e92cbc9f-fb39-447c-8551-41ca90198ea8
47434	2	7513	2013-08-03 17:52:10.569231	2013-08-03 17:52:10.569231	\N	679efd6a-9bce-4846-80a0-1ad7e147028c
47435	2	7489	2013-08-03 17:52:10.631614	2013-08-03 17:52:10.631614	\N	db62220a-f05f-4460-b9a3-67ffa1b04bb6
40678	2	7279	2013-08-03 17:35:23.159601	2013-08-03 17:35:23.159601	\N	cce535f2-8906-4843-8e20-cf33e44889f6
47436	2	7529	2013-08-03 17:52:10.677959	2013-08-03 17:52:10.677959	\N	d7fbeff1-8cf1-478c-9b0c-69e6c30179f9
111119	15	13399	2013-08-03 21:59:24.574892	2013-08-03 21:59:24.574892	\N	f043a0f8-3b16-4c6e-9015-e392c432e370
72012	13	10003	2013-08-03 19:47:41.420756	2013-08-03 19:47:41.420756	\N	1edcf9e0-5e28-44bf-b2a9-4a3bb9750ef4
51850	4	7651	2013-08-03 18:03:46.523697	2013-08-03 18:03:46.523697	\N	2a402b54-ba57-48de-8af6-997933c5ee1a
39416	2	7006	2013-08-03 17:31:13.339968	2013-08-03 17:31:13.339968	\N	4df9d86a-8b59-4bec-bd02-71567dbd28ec
39418	2	7009	2013-08-03 17:31:13.376509	2013-08-03 17:31:13.376509	\N	958e8215-eb9a-4e2f-8738-ee311645152b
43195	19	7264	2013-08-03 17:41:43.151851	2013-08-03 17:41:43.151851	\N	1d8a4de3-b376-4b58-85bb-5a681a593877
51852	4	7657	2013-08-03 18:03:46.554066	2013-08-03 18:03:46.554066	\N	2c1ce3be-a595-4a3b-b41c-4b87e5f0a910
45901	10	7444	2013-08-03 17:48:24.210025	2013-08-03 17:48:24.210025	\N	e74e66db-7400-4e2b-b613-a9b74e10d725
51853	4	7645	2013-08-03 18:03:46.578329	2013-08-03 18:03:46.578329	\N	dfd30fba-325d-4794-898f-cbb2b801dfe9
51855	4	7663	2013-08-03 18:03:46.60325	2013-08-03 18:03:46.60325	\N	f150a883-0a1d-4cbe-8067-c6b23980bfed
51856	4	7669	2013-08-03 18:03:46.65643	2013-08-03 18:03:46.65643	\N	53a29b17-51df-43c5-8fb4-a9aae8abc7c3
51858	4	7672	2013-08-03 18:03:46.704569	2013-08-03 18:03:46.704569	\N	de030024-390c-48ff-b6d8-20d663b5d27d
51859	4	7675	2013-08-03 18:03:46.748428	2013-08-03 18:03:46.748428	\N	dbf87f7c-01e0-473d-a619-dff3f9e2e157
51861	4	7678	2013-08-03 18:03:46.795265	2013-08-03 18:03:46.795265	\N	4ddbfb57-cb3e-48d3-8130-9bdd1319b4d6
51862	4	7696	2013-08-03 18:03:46.836361	2013-08-03 18:03:46.836361	\N	8e393929-36ca-4706-9379-dede52a38f21
40701	7	7233	2013-08-03 17:35:25.873952	2013-08-03 17:35:25.873952	\N	1fc6b128-f11b-4b40-a8d4-95fd6ee8283e
51864	4	7699	2013-08-03 18:03:46.888533	2013-08-03 18:03:46.888533	\N	69380b2b-3d10-47ba-a28c-15224c38e0ad
51424	8	7591	2013-08-03 18:01:55.005368	2013-08-03 18:01:55.005368	\N	4275992f-6bfe-4ec3-b42d-83efaa0c2d2b
51429	8	7618	2013-08-03 18:01:55.042781	2013-08-03 18:01:55.042781	\N	1e25612c-1056-4fe8-8eea-77b66be3d71d
35776	4	6940	2013-08-03 17:22:15.463163	2013-08-03 17:22:15.463163	\N	374dd596-1529-4f17-b7cb-5ef7786ad39d
35777	4	6943	2013-08-03 17:22:15.502229	2013-08-03 17:22:15.502229	\N	f6a34dd7-84aa-4ecc-ba94-165f73e06f9a
35778	4	6946	2013-08-03 17:22:15.548176	2013-08-03 17:22:15.548176	\N	0ac1cfae-90d5-4e8d-ad6d-0bd894cfd6d2
45237	6	7314	2013-08-03 17:46:51.599082	2013-08-03 17:46:51.599082	\N	e096b4a8-3060-4be8-9957-daf3a72dcedc
51865	4	7702	2013-08-03 18:03:46.933611	2013-08-03 18:03:46.933611	\N	3c112d03-5d87-45a8-8ee8-2b6c42b84541
45243	7	7420	2013-08-03 17:47:08.109804	2013-08-03 17:47:08.109804	\N	64a2be04-36b7-42d2-acd0-4fad3fb45b41
45245	7	7450	2013-08-03 17:47:08.86891	2013-08-03 17:47:08.86891	\N	c546026d-7d33-450b-8b90-d669c8c9f2e7
61888	5	8791	2013-08-03 19:00:21.141758	2013-08-03 19:00:21.141758	\N	625c0763-b5b3-45ed-b9c4-dd206bdbfb98
45262	7	7429	2013-08-03 17:47:10.536558	2013-08-03 17:47:10.536558	\N	665352fb-c6d9-4e92-b0af-6130c3aab203
45263	7	7445	2013-08-03 17:47:10.883845	2013-08-03 17:47:10.883845	\N	65723380-2cec-4c9f-ab3d-ccf9aaba63ea
45264	7	7432	2013-08-03 17:47:10.93256	2013-08-03 17:47:10.93256	\N	9c0ddd8a-083f-4f72-9572-1f3451b7d9c5
45276	7	7405	2013-08-03 17:47:12.38749	2013-08-03 17:47:12.38749	\N	09058142-0357-491e-9945-6c61b6ef8496
72013	7	10049	2013-08-03 19:47:41.728086	2013-08-03 19:47:41.728086	\N	389a13d8-d5b7-47b8-8139-029d18f322b1
56456	7	8065	2013-08-03 18:27:20.664297	2013-08-03 18:27:20.664297	\N	11c79527-8201-4743-9976-29a6322c5fc0
56459	2	8065	2013-08-03 18:27:23.251226	2013-08-03 18:27:23.251226	\N	814efc95-4bb4-4232-a2e6-46900f1ef2dd
47589	2	7534	2013-08-03 17:52:27.810926	2013-08-03 17:52:27.810926	\N	d153cd0a-727e-43c8-ba0c-d523f437e9d7
56474	13	8119	2013-08-03 18:27:27.215345	2013-08-03 18:27:27.215345	\N	6436a0ff-9c27-466a-acc0-6cd4e81c2ba7
60357	2	8542	2013-08-03 18:50:59.438016	2013-08-03 18:50:59.438016	\N	c097f79d-593f-46af-96ca-e495e51b66a2
53888	9	7865	2013-08-03 18:12:33.430901	2013-08-03 18:12:33.430901	\N	218dc39f-6050-49b3-9860-b21ab7fb37e6
49234	10	7501	2013-08-03 17:56:07.062084	2013-08-03 17:56:07.062084	\N	54280fe5-44c5-4274-97df-14888a5d970f
52631	10	7663	2013-08-03 18:06:50.496571	2013-08-03 18:06:50.496571	\N	79aa0e88-a6d6-4313-855c-ee44d3c65e8d
72015	11	10009	2013-08-03 19:47:41.988768	2013-08-03 19:47:41.988768	\N	b9e9b53e-6ba7-48c6-97ec-ff3e5d73f4fd
40549	7	7228	2013-08-03 17:35:06.559648	2013-08-03 17:35:06.559648	\N	b50c90a8-fea3-4618-a6ca-b0a7a1968e22
40550	7	7255	2013-08-03 17:35:07.004116	2013-08-03 17:35:07.004116	\N	aabcaa6a-8028-4a28-a5de-d5250f68d4b5
33895	7	6486	2013-08-03 03:00:12.562169	2013-08-03 03:00:12.562169	\N	112ed8e6-a8fd-4caf-9c7f-4076b46af9d4
40551	7	7276	2013-08-03 17:35:08.408742	2013-08-03 17:35:08.408742	\N	e97c25a9-141a-4a4f-aeb7-73a80c665a24
40552	7	7246	2013-08-03 17:35:08.794202	2013-08-03 17:35:08.794202	\N	3ecb0d6f-0c2a-4af8-8288-bb531675ac87
40554	7	7258	2013-08-03 17:35:09.338695	2013-08-03 17:35:09.338695	\N	9761788e-89a2-4783-83c7-d878f4095f1b
40555	7	7252	2013-08-03 17:35:09.680882	2013-08-03 17:35:09.680882	\N	d54b9df0-881f-4dac-b216-92510d581e58
40556	7	7261	2013-08-03 17:35:09.733165	2013-08-03 17:35:09.733165	\N	8b991016-12b8-4e0a-a85a-79deda9cec09
49736	11	7561	2013-08-03 17:57:42.859034	2013-08-03 17:57:42.859034	\N	7c0b017a-7881-4ec7-9056-914cc53eb60f
49737	11	7579	2013-08-03 17:57:43.015329	2013-08-03 17:57:43.015329	\N	61419ba9-4dfc-42df-8abf-e68ac3880076
45051	14	7360	2013-08-03 17:46:25.615447	2013-08-03 17:46:25.615447	\N	a66f4044-6a96-4024-902e-9e66205e0994
40564	7	7279	2013-08-03 17:35:10.201021	2013-08-03 17:35:10.201021	\N	1341c058-a6da-41d0-817a-680b7792ebc2
45053	14	7336	2013-08-03 17:46:25.719675	2013-08-03 17:46:25.719675	\N	305dbbd5-d101-4d7d-b033-8ef3361499a7
45055	14	7345	2013-08-03 17:46:25.745427	2013-08-03 17:46:25.745427	\N	55673333-0158-4e56-ab26-40f931e85687
45056	14	7363	2013-08-03 17:46:25.783406	2013-08-03 17:46:25.783406	\N	dc1af103-6a60-4249-a105-fe9824d1ac3d
45057	14	7312	2013-08-03 17:46:25.832754	2013-08-03 17:46:25.832754	\N	219308fd-deeb-40e2-9202-5fc0ddc3f69e
45059	14	7321	2013-08-03 17:46:25.872526	2013-08-03 17:46:25.872526	\N	543497cb-cebc-430f-afe2-f594eb278a6d
41235	4	7228	2013-08-03 17:36:44.08828	2013-08-03 17:36:44.08828	\N	4d4a13b4-a21d-4438-bc82-bb86af8d4aae
41236	4	7231	2013-08-03 17:36:44.135299	2013-08-03 17:36:44.135299	\N	aa9abb6a-b3dd-44f9-ae19-7c6ba5ec472c
41238	4	7234	2013-08-03 17:36:44.173702	2013-08-03 17:36:44.173702	\N	8b3fc7ed-d31b-4a6d-93db-3e04b077b24a
41239	4	7237	2013-08-03 17:36:44.219809	2013-08-03 17:36:44.219809	\N	9bc5b30c-0287-4f28-bcaa-22408db1246f
41240	4	7225	2013-08-03 17:36:44.265911	2013-08-03 17:36:44.265911	\N	7e4c9276-280a-4aa6-b42c-dd2e08242f04
37531	12	7025	2013-08-03 17:26:39.526305	2013-08-03 17:26:39.526305	\N	3985e5bc-b0c3-4806-ac0b-ddabbb5a9d26
41241	4	7243	2013-08-03 17:36:44.304766	2013-08-03 17:36:44.304766	\N	1d5cab98-1a38-40bd-badb-5e7a1b0a2c4a
41242	4	7246	2013-08-03 17:36:44.335809	2013-08-03 17:36:44.335809	\N	de82f137-3d12-429c-bfed-29f394c8d755
41243	4	7252	2013-08-03 17:36:44.366176	2013-08-03 17:36:44.366176	\N	ae3128b5-7352-4c96-b0cc-a3f3b30f46c1
41244	4	7255	2013-08-03 17:36:44.393541	2013-08-03 17:36:44.393541	\N	5ba55cfa-4f8b-4d64-a021-25d44a1a11fc
41245	4	7258	2013-08-03 17:36:44.418566	2013-08-03 17:36:44.418566	\N	c1772c72-996b-4269-a5f0-42965dd43b50
41246	4	7261	2013-08-03 17:36:44.442838	2013-08-03 17:36:44.442838	\N	e4103d0c-a30d-4a32-822a-553354ebf7c1
41247	4	7264	2013-08-03 17:36:44.46701	2013-08-03 17:36:44.46701	\N	0ca8a94c-8818-4fca-9d7d-f7261fd86651
41248	4	7276	2013-08-03 17:36:44.507836	2013-08-03 17:36:44.507836	\N	c9ead222-437d-4840-add2-f23adbce8fb1
41249	4	7279	2013-08-03 17:36:44.552403	2013-08-03 17:36:44.552403	\N	78d0709a-c362-4b4b-af86-19d6f4efc349
41250	4	7282	2013-08-03 17:36:44.590106	2013-08-03 17:36:44.590106	\N	4a89f205-eb8a-4f9f-818b-5c2c060d901e
43522	2	7317	2013-08-03 17:42:50.093227	2013-08-03 17:42:50.093227	\N	a32f3cbc-47d2-46f4-bad7-4696ef943fb1
45060	14	7330	2013-08-03 17:46:25.91774	2013-08-03 17:46:25.91774	\N	3e45ee1f-1df4-40bd-8072-e6c66e335492
45061	14	7327	2013-08-03 17:46:25.966405	2013-08-03 17:46:25.966405	\N	ebea81a4-5b06-4259-8144-a7e399c13d36
45062	14	7342	2013-08-03 17:46:26.046166	2013-08-03 17:46:26.046166	\N	59fd0926-e296-4541-8e37-00dd2bdfbea8
45063	14	7318	2013-08-03 17:46:26.085841	2013-08-03 17:46:26.085841	\N	e40e6504-b037-416f-b1a3-5f843efcb14e
45064	14	7333	2013-08-03 17:46:26.122904	2013-08-03 17:46:26.122904	\N	be475e4d-2ac5-4f5b-a670-3ee7dc635553
45066	14	7309	2013-08-03 17:46:26.160343	2013-08-03 17:46:26.160343	\N	51e20b15-2df5-4063-b6c8-e08f9e474adc
45067	14	7366	2013-08-03 17:46:26.21824	2013-08-03 17:46:26.21824	\N	437cc486-4bb6-4822-85e9-58f52bd3fc8d
45068	14	7315	2013-08-03 17:46:26.291715	2013-08-03 17:46:26.291715	\N	a2b1bcdf-cff4-4949-98e6-ffc9bb52488a
64076	12	9022	2013-08-03 19:11:14.615127	2013-08-03 19:11:14.615127	\N	b51b5fd7-4bd0-4eac-be7a-06cd65da6e7e
67800	15	9541	2013-08-03 19:31:04.792253	2013-08-03 19:31:04.792253	\N	0bcffa38-c99f-4c49-bc35-f478dd41c6e5
54080	2	7846	2013-08-03 18:13:11.095941	2013-08-03 18:13:11.095941	\N	ad1b6bb0-0ee0-481b-8f85-a3a39bcb4732
57301	6	8176	2013-08-03 18:33:37.121223	2013-08-03 18:33:37.121223	\N	acd42bac-3cbc-433b-aae8-0caf16ec6480
41932	1	7231	2013-08-03 17:38:35.62526	2013-08-03 17:38:35.62526	\N	14894f97-6454-4079-80a4-3031faf42fdc
54082	2	7840	2013-08-03 18:13:11.176587	2013-08-03 18:13:11.176587	\N	bfda7718-5a5b-4994-ae35-73c525f2a201
39392	2	7003	2013-08-03 17:31:10.052621	2013-08-03 17:31:10.052621	\N	44a2d676-a279-4862-8244-404f11c31243
39393	2	7018	2013-08-03 17:31:10.090807	2013-08-03 17:31:10.090807	\N	17d323cb-c6f7-4f89-b572-784a96c4c2ae
39394	2	6994	2013-08-03 17:31:10.13776	2013-08-03 17:31:10.13776	\N	41603ccb-5c71-40c2-8817-8860b426a019
55612	6	7921	2013-08-03 18:20:50.388304	2013-08-03 18:20:50.388304	\N	0da610fb-1902-406b-b1be-1c034ff16d9e
111118	15	13411	2013-08-03 21:59:24.565027	2013-08-03 21:59:24.565027	\N	5a9ce3a1-6869-4076-9fd3-f0841131ee17
57309	14	8176	2013-08-03 18:33:38.973725	2013-08-03 18:33:38.973725	\N	b0478d3f-168b-4d7b-a69f-b0fef527603d
48073	1	7486	2013-08-03 17:53:28.695883	2013-08-03 17:53:28.695883	\N	8b572579-3cf1-43be-8e99-c3ed5117dd58
48074	1	7489	2013-08-03 17:53:28.952906	2013-08-03 17:53:28.952906	\N	779b4ae4-eada-4713-a4e7-681b6e1a1086
48075	1	7495	2013-08-03 17:53:29.038355	2013-08-03 17:53:29.038355	\N	20ed3605-60ad-46a1-b28d-9f8c9f8fe55f
48076	1	7498	2013-08-03 17:53:29.133212	2013-08-03 17:53:29.133212	\N	a10344db-6a15-457d-950a-f42db36ef73c
48077	1	7504	2013-08-03 17:53:29.229518	2013-08-03 17:53:29.229518	\N	b5027545-8a5e-4ec8-932c-9a6ab905e408
43002	19	7252	2013-08-03 17:41:16.259299	2013-08-03 17:41:16.259299	\N	c3266486-f6f8-43ea-ae2a-709254daeb73
66596	5	9373	2013-08-03 19:26:13.186886	2013-08-03 19:26:13.186886	\N	23b57d12-fcec-4b6e-811d-a7c0a716ba45
59304	13	8380	2013-08-03 18:45:05.123384	2013-08-03 18:45:05.123384	\N	3c0cb585-d3b4-45c7-8930-b5fafa444a4d
48084	1	7516	2013-08-03 17:53:29.516034	2013-08-03 17:53:29.516034	\N	dfe7cc1b-1175-483b-bf21-b6ba0a628782
45942	1	7399	2013-08-03 17:48:28.834707	2013-08-03 17:48:28.834707	\N	3c4dcabd-61f9-49f3-8779-735edd8c1ed5
41360	5	7249	2013-08-03 17:37:04.706878	2013-08-03 17:37:04.706878	\N	e725b8ef-8a1e-487f-9b87-c52283bc85d2
41361	5	7246	2013-08-03 17:37:04.739704	2013-08-03 17:37:04.739704	\N	581ae68b-1847-4af8-bcd2-8e169ba0fb51
41364	5	7279	2013-08-03 17:37:04.769909	2013-08-03 17:37:04.769909	\N	5366f5df-aec8-4023-9888-80eb080dbf22
43553	5	7366	2013-08-03 17:42:53.397329	2013-08-03 17:42:53.397329	\N	5a37912d-a281-405c-96b7-cf77131003f0
41511	5	7258	2013-08-03 17:37:36.441905	2013-08-03 17:37:36.441905	\N	1ced94c5-b654-4d32-ad93-72ef15225810
41514	5	7276	2013-08-03 17:37:36.513575	2013-08-03 17:37:36.513575	\N	60edfb80-e478-4567-a19f-f1173c18beee
41517	5	7282	2013-08-03 17:37:36.576407	2013-08-03 17:37:36.576407	\N	4c078658-1ba9-46b7-b549-7947d2c52c70
43554	5	7309	2013-08-03 17:42:53.433885	2013-08-03 17:42:53.433885	\N	db5eceb8-0878-4cfe-ad81-f94ae7755678
59309	13	8392	2013-08-03 18:45:06.287399	2013-08-03 18:45:06.287399	\N	d3106b96-de2b-4233-ad00-56ad521c3265
69240	19	9625	2013-08-03 19:36:02.316636	2013-08-03 19:36:02.316636	\N	ae94448b-499d-47b9-ba73-6c4e98dedda8
45945	4	7445	2013-08-03 17:48:31.811341	2013-08-03 17:48:31.811341	\N	85aac7b9-d632-464c-84c0-dd684a4d7779
48109	14	7529	2013-08-03 17:53:31.442077	2013-08-03 17:53:31.442077	\N	aa9a7d44-333d-4a1c-ae11-a91c6c87aab7
72004	9	10048	2013-08-03 19:47:37.052813	2013-08-03 19:47:37.052813	\N	a614e883-27e0-482b-9b1a-9d6261a1b0c3
72005	9	10054	2013-08-03 19:47:37.242621	2013-08-03 19:47:37.242621	\N	987095db-762f-40a8-94f8-e8220c971ede
57340	12	8149	2013-08-03 18:33:47.098477	2013-08-03 18:33:47.098477	\N	7a668301-0aa6-4a86-88fa-9319576a5adb
76443	8	10513	2013-08-03 20:07:31.701226	2013-08-03 20:07:31.701226	\N	f2d5fb43-1e63-4beb-bbf8-c760cf4a308f
43588	5	7360	2013-08-03 17:42:59.647914	2013-08-03 17:42:59.647914	\N	1507bc14-094f-42c3-838c-21e2f9eb3788
60473	14	8494	2013-08-03 18:51:25.628313	2013-08-03 18:51:25.628313	\N	b29a36c5-df98-4ff4-897d-6eeee53c4057
60493	16	8494	2013-08-03 18:51:32.72796	2013-08-03 18:51:32.72796	\N	b0d7291a-83c1-4cf5-816c-d88cbfe121c7
51876	7	7693	2013-08-03 18:03:50.933084	2013-08-03 18:03:50.933084	\N	113f8c81-10c4-4298-a121-eee8a4e4c5fe
46871	8	7420	2013-08-03 17:50:41.543574	2013-08-03 17:50:41.543574	\N	163e02d6-63d2-42fe-af5b-325709ce0f79
45098	19	7315	2013-08-03 17:46:28.909111	2013-08-03 17:46:28.909111	\N	987661c8-df45-4e82-8bf9-c44ab6975fac
46872	5	7396	2013-08-03 17:50:41.840088	2013-08-03 17:50:41.840088	\N	2c41932f-8c51-4e5e-b101-04d87a1bd125
46874	5	7402	2013-08-03 17:50:41.874566	2013-08-03 17:50:41.874566	\N	b471f566-7cc9-437e-b0b6-8a940e168b13
45259	7	7402	2013-08-03 17:47:10.187092	2013-08-03 17:47:10.187092	\N	4aa82a76-d1ff-435e-8b12-d21b0a85d0c3
46875	5	7411	2013-08-03 17:50:41.926351	2013-08-03 17:50:41.926351	\N	20fb779c-ae0c-4503-99ba-0373ade11cf9
45357	10	7396	2013-08-03 17:47:22.159731	2013-08-03 17:47:22.159731	\N	49951425-2059-4664-8568-b0746e6f9fb5
60494	16	8497	2013-08-03 18:51:32.831809	2013-08-03 18:51:32.831809	\N	87fe9fe5-ba7e-4735-870e-ec67a8447ae5
48231	10	7486	2013-08-03 17:53:48.293992	2013-08-03 17:53:48.293992	\N	6e1757b5-b123-41da-8ba9-b2fee3643020
53440	8	7750	2013-08-03 18:10:34.269118	2013-08-03 18:10:34.269118	\N	cce0aad8-f2dc-4ce2-9a74-fe8cb8acd8c4
48233	10	7489	2013-08-03 17:53:48.423637	2013-08-03 17:53:48.423637	\N	10ec4793-cb51-482d-9726-d4c245eac0cc
60495	16	8485	2013-08-03 18:51:32.940034	2013-08-03 18:51:32.940034	\N	26878ab9-cf74-4b11-afed-032c00ac36e5
56460	7	8122	2013-08-03 18:27:23.297226	2013-08-03 18:27:23.297226	\N	02853791-a52e-4b07-abe2-fb93501db3b9
56475	13	8122	2013-08-03 18:27:27.472682	2013-08-03 18:27:27.472682	\N	4a54d853-c9f8-4870-8b5c-b99094e2a687
60497	16	8500	2013-08-03 18:51:33.040015	2013-08-03 18:51:33.040015	\N	7da30b84-8f44-4d46-85f2-e08a101ece04
45475	11	7432	2013-08-03 17:47:36.716835	2013-08-03 17:47:36.716835	\N	28d5436b-d021-4241-9ae7-88b615ac0e36
47416	5	7444	2013-08-03 17:51:55.234522	2013-08-03 17:51:55.234522	\N	bfc4d572-d2eb-4816-8c33-5153b102e640
47418	5	7414	2013-08-03 17:51:55.292807	2013-08-03 17:51:55.292807	\N	bf232386-c464-46a8-a782-4768d7bd747d
45565	10	7405	2013-08-03 17:47:44.543436	2013-08-03 17:47:44.543436	\N	a7dfd4ce-2b34-4102-96fe-c2b9a8f5195a
47419	5	7423	2013-08-03 17:51:55.377702	2013-08-03 17:51:55.377702	\N	3d381cfe-cbb6-4717-9fcd-daec0b602b2a
56490	7	8089	2013-08-03 18:27:34.644104	2013-08-03 18:27:34.644104	\N	baa38141-4925-430a-ac37-4242a656fa47
56492	7	8098	2013-08-03 18:27:34.754157	2013-08-03 18:27:34.754157	\N	1469c286-f6bf-42f4-b303-4c35255a22e2
47452	7	7483	2013-08-03 17:52:14.627248	2013-08-03 17:52:14.627248	\N	1c78de12-eb3e-4b53-8153-ca458b0fd600
48987	10	7529	2013-08-03 17:55:31.283131	2013-08-03 17:55:31.283131	\N	f025cbde-722d-415b-a47e-452f71b61432
49751	11	7615	2013-08-03 17:57:44.429489	2013-08-03 17:57:44.429489	\N	4434f858-d80d-45d0-8a17-2a4805b29e0f
69247	19	9652	2013-08-03 19:36:05.891968	2013-08-03 19:36:05.891968	\N	0e69025a-0172-4bef-8b1f-53ff4db541a7
67830	2	9528	2013-08-03 19:31:12.754104	2013-08-03 19:31:12.754104	\N	7b7d0e80-21f7-4e26-b4be-05d93fb8d4d2
72007	11	10003	2013-08-03 19:47:40.440649	2013-08-03 19:47:40.440649	\N	1f49f1ac-5b16-4332-9760-ab5739c499ea
55599	14	7918	2013-08-03 18:20:44.303938	2013-08-03 18:20:44.303938	\N	c9002481-4ce8-4ea8-9fe5-d99e0d69dfb9
55600	14	7897	2013-08-03 18:20:44.386574	2013-08-03 18:20:44.386574	\N	c6c29e35-13d5-4cbf-b453-07f9dba5361b
55601	14	7954	2013-08-03 18:20:44.446178	2013-08-03 18:20:44.446178	\N	e1b1d781-53f4-4a51-a8de-a4a02d854c22
64122	14	9041	2013-08-03 19:11:35.416611	2013-08-03 19:11:35.416611	\N	c31e3686-2886-4a4f-8680-8493031cc206
54966	8	7918	2013-08-03 18:17:20.689056	2013-08-03 18:17:20.689056	\N	43c54072-2dcd-4b97-82c9-ffc0b37e07ed
54971	8	7954	2013-08-03 18:17:20.725373	2013-08-03 18:17:20.725373	\N	cf760559-c74a-476a-8fa2-321530e56e14
54997	11	7951	2013-08-03 18:17:29.817561	2013-08-03 18:17:29.817561	\N	e06a7776-538b-4ef3-a9de-ee5d58ec1589
54999	11	7954	2013-08-03 18:17:29.977273	2013-08-03 18:17:29.977273	\N	c4bddba6-b599-455f-b7ba-a2721cf5cb55
48066	6	7498	2013-08-03 17:53:27.057789	2013-08-03 17:53:27.057789	\N	ce7f417e-1655-4fd5-8cca-d8dbd9dc0d65
46820	8	7399	2013-08-03 17:50:34.642234	2013-08-03 17:50:34.642234	\N	8e469b03-f4e9-489e-90cd-36f7095d8532
59353	17	8284	2013-08-03 18:45:16.498892	2013-08-03 18:45:16.498892	\N	4ec1658e-d38d-4663-92de-80041ef0ffe4
41929	1	7228	2013-08-03 17:38:35.461892	2013-08-03 17:38:35.461892	\N	4d467dd4-b5ff-4780-95e5-d79c0c7fefca
47287	14	7420	2013-08-03 17:51:29.415717	2013-08-03 17:51:29.415717	\N	af30e874-9861-4234-adaa-6847b8651d2f
47288	14	7444	2013-08-03 17:51:29.45705	2013-08-03 17:51:29.45705	\N	d5ac9fc8-ba7e-487f-a85c-522ff9be2e96
47289	14	7447	2013-08-03 17:51:29.494845	2013-08-03 17:51:29.494845	\N	fc3b8e61-db2d-4f50-bfa5-56577c511e7e
47290	14	7429	2013-08-03 17:51:29.543293	2013-08-03 17:51:29.543293	\N	7fc9cf61-8048-452b-8145-1a3a26fc4af0
41940	1	7243	2013-08-03 17:38:35.949656	2013-08-03 17:38:35.949656	\N	dd9299ba-3cfa-4fcd-8718-f76db5253527
47292	14	7405	2013-08-03 17:51:29.665252	2013-08-03 17:51:29.665252	\N	7be964ef-8519-4af2-b96b-3e48631b3f72
47293	14	7396	2013-08-03 17:51:29.697591	2013-08-03 17:51:29.697591	\N	e81bdb80-f7e7-4267-bd28-d878bfbfa624
47294	14	7402	2013-08-03 17:51:29.732917	2013-08-03 17:51:29.732917	\N	0793da4b-7e0e-493b-8570-11d473697e69
43674	5	7333	2013-08-03 17:43:10.373497	2013-08-03 17:43:10.373497	\N	4e583273-5a1a-494d-8b17-f6abe93de571
40666	8	7277	2013-08-03 17:35:21.49877	2013-08-03 17:35:21.49877	\N	ea94fcf2-2475-4511-bd8c-59d4d2b7d17a
43676	5	7342	2013-08-03 17:43:10.463814	2013-08-03 17:43:10.463814	\N	fc82b042-5611-47ab-a671-baa8c55d6ade
43678	5	7312	2013-08-03 17:43:10.537145	2013-08-03 17:43:10.537145	\N	273e242c-325a-42d6-aa92-2d372b8c9d05
47295	14	7411	2013-08-03 17:51:29.769451	2013-08-03 17:51:29.769451	\N	e2b497b0-2386-4d5d-9c91-770e11794845
47296	14	7426	2013-08-03 17:51:29.84037	2013-08-03 17:51:29.84037	\N	93cbd99f-6711-4153-8cf7-0cf21d920ce9
45216	6	7363	2013-08-03 17:46:44.950142	2013-08-03 17:46:44.950142	\N	0949a3e8-9a9f-48e1-bb4e-c255a058e85a
47297	14	7450	2013-08-03 17:51:29.871969	2013-08-03 17:51:29.871969	\N	ba07edf8-8d0e-48ab-b989-dc94599abac0
45248	7	7393	2013-08-03 17:47:09.10019	2013-08-03 17:47:09.10019	\N	cbe64dc8-7095-4468-a9fc-fadb60157989
47298	14	7393	2013-08-03 17:51:29.912894	2013-08-03 17:51:29.912894	\N	890153e9-8b6a-4e0d-a4ca-31d81ad47b62
40700	2	7282	2013-08-03 17:35:25.86824	2013-08-03 17:35:25.86824	\N	ea7b4b51-4aef-4bfc-a1a6-2bc6b21e6393
45258	7	7417	2013-08-03 17:47:10.141169	2013-08-03 17:47:10.141169	\N	5cfdaac8-b899-42cd-8468-1a20270b19ed
47299	14	7414	2013-08-03 17:51:29.9525	2013-08-03 17:51:29.9525	\N	e6297f3a-f55a-4237-93ca-f251ca0afff6
47300	14	7399	2013-08-03 17:51:29.991317	2013-08-03 17:51:29.991317	\N	e8cf83ee-5981-4178-8728-e9758c7f0da3
67837	19	9545	2013-08-03 19:31:13.269978	2013-08-03 19:31:13.269978	\N	c5cffa49-8164-4597-a997-9aac498b922e
47306	5	7420	2013-08-03 17:51:31.963299	2013-08-03 17:51:31.963299	\N	9359d950-25d7-486d-a56b-915eab018b96
47307	5	7426	2013-08-03 17:51:32.030705	2013-08-03 17:51:32.030705	\N	0782b3a3-a917-474b-baab-a5a52b1c5719
55047	8	7949	2013-08-03 18:18:01.741128	2013-08-03 18:18:01.741128	\N	2b4901d7-63c4-4e80-a934-da47fde8174e
111120	2	13399	2013-08-03 21:59:25.849838	2013-08-03 21:59:25.849838	\N	bffa8903-c912-4f90-849a-e8ce55f3e7a9
49781	2	7569	2013-08-03 17:57:48.334537	2013-08-03 17:57:48.334537	\N	6f3a0d85-41c0-436a-9d2b-ac7adf72a33b
53500	19	7747	2013-08-03 18:10:46.476139	2013-08-03 18:10:46.476139	\N	f6e8364d-380f-454e-a269-2ef6ac6d476f
48079	1	7510	2013-08-03 17:53:29.325441	2013-08-03 17:53:29.325441	\N	db8e5346-7227-4196-867d-bcfe12d0533f
43774	8	7361	2013-08-03 17:43:22.917101	2013-08-03 17:43:22.917101	\N	273a257a-30ae-4c49-a68d-2bdaba313cc6
48082	1	7513	2013-08-03 17:53:29.428235	2013-08-03 17:53:29.428235	\N	18dc403e-5e73-4667-ab95-ac2e7c81f3ef
64129	11	9004	2013-08-03 19:11:36.166187	2013-08-03 19:11:36.166187	\N	b093c460-90ac-4911-99d0-6c4ec26366cc
52739	8	7781	2013-08-03 18:07:44.313401	2013-08-03 18:07:44.313401	\N	8483fbad-08c8-436f-afeb-f1a17a3bfcb0
53867	7	7840	2013-08-03 18:12:31.940278	2013-08-03 18:12:31.940278	\N	dc9f097b-ab7a-483b-87f2-a7912a867987
57324	6	8173	2013-08-03 18:33:42.713271	2013-08-03 18:33:42.713271	\N	840407ce-4918-4d25-9d74-7ebd75e202c9
45406	1	7450	2013-08-03 17:47:28.989221	2013-08-03 17:47:28.989221	\N	2d116a1d-e3fc-4305-9753-142a5864fa92
45469	11	7417	2013-08-03 17:47:36.054632	2013-08-03 17:47:36.054632	\N	033dcd6f-c8b3-4197-a7e1-da64545819fc
53934	8	7825	2013-08-03 18:12:42.556614	2013-08-03 18:12:42.556614	\N	63756190-1a3e-461b-8393-020219f84df5
52744	4	7781	2013-08-03 18:07:46.548759	2013-08-03 18:07:46.548759	\N	9db86e51-4af6-4bdf-b923-daa707182473
45528	10	7402	2013-08-03 17:47:42.036209	2013-08-03 17:47:42.036209	\N	e6e12e33-6bf7-4f38-859c-e71fae218d1e
53938	8	7834	2013-08-03 18:12:42.582989	2013-08-03 18:12:42.582989	\N	03ec62e4-13af-405a-9890-e39ded49ffc3
72011	11	10040	2013-08-03 19:47:41.029061	2013-08-03 19:47:41.029061	\N	448eec7f-d3ff-4c84-bf75-65712ab9c83c
43800	5	7327	2013-08-03 17:43:26.476549	2013-08-03 17:43:26.476549	\N	d3060710-a409-479d-bf5b-5660c19673bf
43801	5	7363	2013-08-03 17:43:26.529061	2013-08-03 17:43:26.529061	\N	d893b12e-81aa-471d-8c14-15089c20a639
43803	5	7348	2013-08-03 17:43:26.560291	2013-08-03 17:43:26.560291	\N	f0e66bf4-5f40-42c4-89cb-34e7931fffbd
45560	1	7445	2013-08-03 17:47:43.967216	2013-08-03 17:47:43.967216	\N	3030b549-820c-4949-a82e-95bceb14aeb9
57333	5	8176	2013-08-03 18:33:44.432006	2013-08-03 18:33:44.432006	\N	4e009ebc-2184-4a53-b330-3b05b6656c76
45562	2	7399	2013-08-03 17:47:44.167249	2013-08-03 17:47:44.167249	\N	f965ec86-4434-4ecf-a74f-e8469818473f
45563	2	7414	2013-08-03 17:47:44.262534	2013-08-03 17:47:44.262534	\N	47dadfa5-466a-4c98-8200-b726c730c8aa
63089	14	8872	2013-08-03 19:06:32.519684	2013-08-03 19:06:32.519684	\N	f35cbda5-8f1f-41b2-bce4-d3f02b6035ab
55063	12	7945	2013-08-03 18:18:06.636131	2013-08-03 18:18:06.636131	\N	0156b9f4-e753-4567-902b-af9c2b901fa5
52760	3	7657	2013-08-03 18:07:51.932139	2013-08-03 18:07:51.932139	\N	8e8e8344-2f16-4f19-b6a2-be9be1d24d0e
55065	12	7951	2013-08-03 18:18:07.230737	2013-08-03 18:18:07.230737	\N	db77d3b8-7311-4dcd-aa1c-6e506adf3ebc
43813	11	7361	2013-08-03 17:43:29.385786	2013-08-03 17:43:29.385786	\N	7ced3799-13ff-4db0-8e35-4db13ab37d09
57337	12	8158	2013-08-03 18:33:46.517813	2013-08-03 18:33:46.517813	\N	3fa75a59-24a3-4f9b-a107-3b127d3dfd5c
45574	7	7401	2013-08-03 17:47:46.133732	2013-08-03 17:47:46.133732	\N	78eb170d-6f07-41d9-84d8-3ebdf5a4732c
56501	6	8074	2013-08-03 18:27:36.265132	2013-08-03 18:27:36.265132	\N	b1e55e3a-a800-4cdc-bd20-bb216d26ef90
56502	6	8083	2013-08-03 18:27:36.464294	2013-08-03 18:27:36.464294	\N	ace32360-0293-40ea-8959-a72cef9c4e52
56506	6	8119	2013-08-03 18:27:37.01733	2013-08-03 18:27:37.01733	\N	8c00ff5e-a3bb-41ea-a2fb-5272b7fe4c27
51425	8	7573	2013-08-03 18:01:55.00645	2013-08-03 18:01:55.00645	\N	3d07a225-cfce-4c9a-960c-9b0325323895
51431	8	7615	2013-08-03 18:01:55.047162	2013-08-03 18:01:55.047162	\N	c9630265-8c19-479a-a174-47114a524e85
55084	4	7906	2013-08-03 18:18:10.72755	2013-08-03 18:18:10.72755	\N	91f6c92b-cc7c-464e-9143-52748b75c4ab
55085	4	7909	2013-08-03 18:18:10.75908	2013-08-03 18:18:10.75908	\N	5fac29e4-9a1f-408a-ad45-c535e0226b2e
55086	4	7897	2013-08-03 18:18:10.796366	2013-08-03 18:18:10.796366	\N	80e66aa0-940e-4b20-b8d1-8581a447f0c8
55088	4	7915	2013-08-03 18:18:10.830578	2013-08-03 18:18:10.830578	\N	22d3dba6-b230-43b5-8ad9-198df402e2ef
55089	4	7918	2013-08-03 18:18:10.878518	2013-08-03 18:18:10.878518	\N	f24cd079-27c2-432e-9ed7-8c6049cea248
55090	4	7921	2013-08-03 18:18:10.927719	2013-08-03 18:18:10.927719	\N	67095965-25a8-44ed-ab96-912440a26a43
43112	19	7258	2013-08-03 17:41:28.667834	2013-08-03 17:41:28.667834	\N	415614aa-b7fe-4bb9-8ed8-a7e5aed22e44
52792	11	7729	2013-08-03 18:07:57.74649	2013-08-03 18:07:57.74649	\N	393cf145-158d-4170-b7be-8c64bb281b18
54191	10	7831	2013-08-03 18:13:35.856493	2013-08-03 18:13:35.856493	\N	99dd286a-4bdb-4f49-8e82-c36e0793c8ff
47383	6	7423	2013-08-03 17:51:42.690812	2013-08-03 17:51:42.690812	\N	f32de247-0e89-4704-b503-db43c46c5a96
54192	10	7846	2013-08-03 18:13:36.034944	2013-08-03 18:13:36.034944	\N	abd9151a-ed09-42a5-92c2-8384decb1cc0
54193	10	7825	2013-08-03 18:13:36.139548	2013-08-03 18:13:36.139548	\N	e7c6b0d9-49ec-4c1d-b287-daaeeb17ab9e
54194	10	7867	2013-08-03 18:13:36.249099	2013-08-03 18:13:36.249099	\N	1cbad1ce-df1c-43b6-8b65-9c1c6a5ceead
54195	10	7864	2013-08-03 18:13:36.349008	2013-08-03 18:13:36.349008	\N	69bbc7c9-c544-4afa-994c-fc82cbcc5e52
52800	11	7753	2013-08-03 18:07:58.287192	2013-08-03 18:07:58.287192	\N	252f969a-cdd3-42bc-89bf-348a2af801e8
47396	5	7432	2013-08-03 17:51:44.458792	2013-08-03 17:51:44.458792	\N	2d025365-99ba-4327-8417-5247e33e25bb
43133	19	7261	2013-08-03 17:41:36.210652	2013-08-03 17:41:36.210652	\N	a9f370c9-fecb-472e-ab16-5386e8873518
47397	5	7429	2013-08-03 17:51:44.520836	2013-08-03 17:51:44.520836	\N	8aeecdff-e78b-4979-a1ea-951a22101022
45608	6	7432	2013-08-03 17:47:49.626288	2013-08-03 17:47:49.626288	\N	cf082dc5-17a6-4404-8876-8771ab612324
45609	6	7420	2013-08-03 17:47:49.891727	2013-08-03 17:47:49.891727	\N	0b1124c9-63e3-421d-a981-dc35291349e4
47398	5	7447	2013-08-03 17:51:44.560029	2013-08-03 17:51:44.560029	\N	f8b0a141-98b1-444a-bea1-6423af5c1abd
54196	10	7861	2013-08-03 18:13:36.444827	2013-08-03 18:13:36.444827	\N	053394d9-02b7-4a10-9c4a-a7d01fc14ac9
55092	4	7924	2013-08-03 18:18:10.965843	2013-08-03 18:18:10.965843	\N	512081c8-8ebd-420f-8f37-d8ffe787bb60
49163	6	7531	2013-08-03 17:55:55.246399	2013-08-03 17:55:55.246399	\N	3969d37b-96f0-43d4-9feb-e18dadfd9276
55093	4	7930	2013-08-03 18:18:11.017098	2013-08-03 18:18:11.017098	\N	e98c5522-2d22-4449-827f-19e9cdc41f39
47407	8	7402	2013-08-03 17:51:52.762943	2013-08-03 17:51:52.762943	\N	8688fbb0-312b-4abb-9075-5c5de41a3458
47428	5	7393	2013-08-03 17:52:07.882264	2013-08-03 17:52:07.882264	\N	752d9758-9225-459d-8008-38216300e999
47429	5	7450	2013-08-03 17:52:07.98163	2013-08-03 17:52:07.98163	\N	d892b331-3813-44bf-9785-7c409a4297f1
49809	5	7594	2013-08-03 17:57:52.606223	2013-08-03 17:57:52.606223	\N	c9e853c1-7f14-4ea1-ae2c-e086537183d9
49810	5	7585	2013-08-03 17:57:52.760454	2013-08-03 17:57:52.760454	\N	5c8351ed-42f0-4cdf-aa19-7761ae28d2c3
49811	5	7612	2013-08-03 17:57:52.797608	2013-08-03 17:57:52.797608	\N	d088ad3f-3632-45e0-9e6d-adcfdbc9f8b3
51888	17	7697	2013-08-03 18:03:51.974142	2013-08-03 18:03:51.974142	\N	bdf0fd53-aaf6-4de3-b098-8ce8354b15f4
40802	2	7246	2013-08-03 17:35:39.971861	2013-08-03 17:35:39.971861	\N	0ea7518d-2de7-4bcd-a40a-5d5c63e896f4
40803	2	7255	2013-08-03 17:35:40.020539	2013-08-03 17:35:40.020539	\N	c07743c2-bdd2-4fbe-836e-b53504447c13
56452	14	8089	2013-08-03 18:27:16.648252	2013-08-03 18:27:16.648252	\N	89f98dc3-6ce0-4856-b0dc-6d53896dc648
56458	13	8074	2013-08-03 18:27:22.942992	2013-08-03 18:27:22.942992	\N	e8a7bf06-5b7d-47ae-8451-69153d5d1c5a
45203	6	7366	2013-08-03 17:46:42.149274	2013-08-03 17:46:42.149274	\N	44317161-2dce-4f11-a916-22f864a2337e
56462	13	8065	2013-08-03 18:27:23.649755	2013-08-03 18:27:23.649755	\N	5e4ad949-7b14-4e83-afd6-ba4e4f93c9fd
72014	7	10040	2013-08-03 19:47:41.978103	2013-08-03 19:47:41.978103	\N	c5491eaf-b283-47cc-8188-e5ff4735140d
49942	5	7615	2013-08-03 17:58:15.541413	2013-08-03 17:58:15.541413	\N	4fc29cf7-90da-4f86-bf4e-31c2b10b0368
48114	8	7529	2013-08-03 17:53:31.858257	2013-08-03 17:53:31.858257	\N	26fa57a5-f3e2-4bf5-8222-d418b84ab30c
43734	17	7361	2013-08-03 17:43:17.730778	2013-08-03 17:43:17.730778	\N	a98cef0d-b91b-4443-b495-aea3b293f86c
47439	7	7498	2013-08-03 17:52:13.260238	2013-08-03 17:52:13.260238	\N	77476037-31d4-448e-9bb3-e2e045fca6d7
47445	7	7531	2013-08-03 17:52:14.156909	2013-08-03 17:52:14.156909	\N	7efdb59f-0454-449e-bdec-06a3b107f117
45214	6	7318	2013-08-03 17:46:44.558576	2013-08-03 17:46:44.558576	\N	031eb356-a6a2-4edb-9802-60cf1f2f218f
49943	5	7579	2013-08-03 17:58:15.596027	2013-08-03 17:58:15.596027	\N	83be7542-2cbb-40e0-a3da-dad1443df9f1
49945	5	7561	2013-08-03 17:58:15.637596	2013-08-03 17:58:15.637596	\N	fdc2bc0a-0dd4-4106-9c0a-4a89d90a449f
56466	13	8086	2013-08-03 18:27:24.83048	2013-08-03 18:27:24.83048	\N	35ae980c-427d-4144-89e1-e0ee959cafe8
45254	7	7396	2013-08-03 17:47:09.633111	2013-08-03 17:47:09.633111	\N	334a847f-b491-453b-a63d-f4f0fc799f62
53477	19	7741	2013-08-03 18:10:41.495422	2013-08-03 18:10:41.495422	\N	2dc750be-3eac-4cbd-af0c-c899b70f82a6
56467	13	8089	2013-08-03 18:27:25.117889	2013-08-03 18:27:25.117889	\N	e7fc3c5d-766d-452b-8c79-bc6e57cc28ba
51904	17	7703	2013-08-03 18:03:53.588669	2013-08-03 18:03:53.588669	\N	f5036392-56cf-4688-9a5d-2c7d6cdb378a
51905	5	7678	2013-08-03 18:03:53.842242	2013-08-03 18:03:53.842242	\N	9f413ebd-89b5-44e7-a027-8dbcc61ea7e4
51906	5	7696	2013-08-03 18:03:53.886045	2013-08-03 18:03:53.886045	\N	fe717435-cd6d-4653-951a-bdc08db3e9fd
51907	5	7699	2013-08-03 18:03:53.92824	2013-08-03 18:03:53.92824	\N	f5a6ebb5-ed3f-4fe8-bc0f-305549728f5c
40867	2	7231	2013-08-03 17:35:47.011231	2013-08-03 17:35:47.011231	\N	83afbf79-bca2-4c5c-8f40-4122ab9093e7
56469	13	8095	2013-08-03 18:27:25.66763	2013-08-03 18:27:25.66763	\N	8d7041ef-1d51-4405-bb0d-cdc6376dcd88
54190	10	7865	2013-08-03 18:13:35.794306	2013-08-03 18:13:35.794306	\N	b222944e-819f-46f6-b357-b3b6b75c5a7e
57344	12	8176	2013-08-03 18:33:48.442536	2013-08-03 18:33:48.442536	\N	da19ae14-93af-4654-8ad4-d96866e1f3ea
50018	11	7567	2013-08-03 17:58:25.992722	2013-08-03 17:58:25.992722	\N	383c2aa7-d797-497a-b8fe-798f27d79fdd
48130	17	7529	2013-08-03 17:53:36.361446	2013-08-03 17:53:36.361446	\N	941648eb-3138-4dcb-ac70-1417433efd00
56497	7	8086	2013-08-03 18:27:35.34827	2013-08-03 18:27:35.34827	\N	be912171-1a5d-407a-8d19-ba090c24427e
60413	4	8491	2013-08-03 18:51:08.183604	2013-08-03 18:51:08.183604	\N	7a5e6060-14fd-4efe-a190-2cfec7ff787a
57347	12	8203	2013-08-03 18:33:49.849694	2013-08-03 18:33:49.849694	\N	81d2ff6b-cfd2-41e6-bffe-fe749b2a2083
50022	19	7570	2013-08-03 17:58:26.227656	2013-08-03 17:58:26.227656	\N	164b3dd9-5935-4a33-8ea4-5242d648e510
56508	6	8116	2013-08-03 18:27:37.219576	2013-08-03 18:27:37.219576	\N	31ceece2-dc69-402e-983c-a50a506256b2
54202	2	7849	2013-08-03 18:13:40.615002	2013-08-03 18:13:40.615002	\N	3e59a34a-20f8-4ea3-b47e-a710195576f8
36548	14	6932	2013-08-03 17:24:11.240847	2013-08-03 17:24:11.240847	\N	82672f49-0fb5-4af8-b9df-d5e12896a0a6
57348	12	8206	2013-08-03 18:33:50.156744	2013-08-03 18:33:50.156744	\N	0be9c172-d7da-4320-9c7e-638780171873
35944	12	6932	2013-08-03 17:22:36.311269	2013-08-03 17:22:36.311269	\N	2e1ef0a1-5f49-4dc3-96af-5b173e92e395
53897	8	7865	2013-08-03 18:12:35.884882	2013-08-03 18:12:35.884882	\N	e3fc8678-5c5d-46e8-8553-381fc4509f60
53898	4	7819	2013-08-03 18:12:38.179563	2013-08-03 18:12:38.179563	\N	148c8a72-3bde-4146-b527-633dcd22f57b
53899	4	7825	2013-08-03 18:12:38.288481	2013-08-03 18:12:38.288481	\N	fc5bb59a-a84d-4381-9ff4-bd7db4fd327f
53900	4	7813	2013-08-03 18:12:38.339218	2013-08-03 18:12:38.339218	\N	ad11fb5a-de8f-4001-a112-ab692756fd01
53901	4	7831	2013-08-03 18:12:38.376137	2013-08-03 18:12:38.376137	\N	6c25cb3e-5495-4421-9024-b489d99013bb
53902	4	7834	2013-08-03 18:12:38.42311	2013-08-03 18:12:38.42311	\N	65b1c377-a9e3-4acc-b039-6b5aaa272128
53903	4	7837	2013-08-03 18:12:38.469984	2013-08-03 18:12:38.469984	\N	52ab8d37-18f1-43d6-a238-7bf09ae63a2b
46941	4	7423	2013-08-03 17:50:47.41339	2013-08-03 17:50:47.41339	\N	7e7a622c-ba76-4017-905d-31da5a0dc340
53904	4	7840	2013-08-03 18:12:38.506905	2013-08-03 18:12:38.506905	\N	f57d563c-d8fc-4724-9195-fb7845e0f0e8
41575	7	7239	2013-08-03 17:37:48.299036	2013-08-03 17:37:48.299036	\N	c3fc7c49-3b30-4159-9c44-33cb4f9fee05
51938	14	7651	2013-08-03 18:04:07.198396	2013-08-03 18:04:07.198396	\N	ea58c59d-2fca-4262-9ba8-da0fd535269d
47592	1	7528	2013-08-03 17:52:28.862471	2013-08-03 17:52:28.862471	\N	fadd51ff-d689-46e9-b805-83578ad0f34f
51939	14	7693	2013-08-03 18:04:07.245536	2013-08-03 18:04:07.245536	\N	8b216177-6f2c-4fe2-8b22-14f1c6fa1009
51940	14	7675	2013-08-03 18:04:07.275867	2013-08-03 18:04:07.275867	\N	b928d438-10e9-4b49-892c-2876fd46ad21
51942	14	7697	2013-08-03 18:04:07.31173	2013-08-03 18:04:07.31173	\N	75124b65-b7a0-415e-aa12-4bcb567f1f2f
49241	10	7477	2013-08-03 17:56:08.233403	2013-08-03 17:56:08.233403	\N	b25d7bdb-f511-4a2f-a26a-64e7f1ef1f38
51949	14	7703	2013-08-03 18:04:07.341402	2013-08-03 18:04:07.341402	\N	754a0c3e-0cc9-481b-9a0e-1b6cd5232cdd
45453	11	7399	2013-08-03 17:47:35.004836	2013-08-03 17:47:35.004836	\N	6bf22c88-3dfe-44cc-9499-0bad77d79a13
46956	8	7414	2013-08-03 17:50:48.873225	2013-08-03 17:50:48.873225	\N	7c896f73-4229-4fea-8b84-1cc8e4c1c166
53905	4	7846	2013-08-03 18:12:38.553441	2013-08-03 18:12:38.553441	\N	62490f16-180a-43a1-a309-228a0809f5c0
53906	4	7861	2013-08-03 18:12:38.589925	2013-08-03 18:12:38.589925	\N	094d56ef-0695-4b4f-8e0d-73b07f687157
53907	4	7864	2013-08-03 18:12:38.637893	2013-08-03 18:12:38.637893	\N	4d4b2e45-0590-482f-a860-3c648318ec90
53908	4	7867	2013-08-03 18:12:38.673039	2013-08-03 18:12:38.673039	\N	3240fc8a-6a4e-40d0-95a7-e3a1c10271ce
56516	11	8074	2013-08-03 18:27:40.234955	2013-08-03 18:27:40.234955	\N	439a666c-617e-4567-8338-c82125a75f59
45468	11	7414	2013-08-03 17:47:35.877611	2013-08-03 17:47:35.877611	\N	4674dc7e-9865-44ee-995d-10c7a4a86027
45470	11	7420	2013-08-03 17:47:36.22542	2013-08-03 17:47:36.22542	\N	50468166-8bad-427b-bcf7-fc36c2c46efb
50054	6	7597	2013-08-03 17:58:28.307684	2013-08-03 17:58:28.307684	\N	fecb3fa7-58f4-44a0-96ff-8d10754d524e
45472	11	7426	2013-08-03 17:47:36.384122	2013-08-03 17:47:36.384122	\N	29645c3d-28e6-46ff-82dc-3f5c10ee7f05
50055	6	7612	2013-08-03 17:58:28.384346	2013-08-03 17:58:28.384346	\N	1ff57415-0733-4a3a-8d1a-2d13c958d271
45474	11	7429	2013-08-03 17:47:36.560443	2013-08-03 17:47:36.560443	\N	0b1d921b-51ac-4d98-b456-082cee362250
45476	11	7445	2013-08-03 17:47:36.888233	2013-08-03 17:47:36.888233	\N	10cbb769-c871-463c-a896-7444a3153385
45479	11	7450	2013-08-03 17:47:37.377839	2013-08-03 17:47:37.377839	\N	c1c7734f-7f2a-48e5-a443-c45f74325076
56518	6	8098	2013-08-03 18:27:40.361013	2013-08-03 18:27:40.361013	\N	cb7a5443-5654-4152-90c6-a4841edb47df
50057	1	7570	2013-08-03 17:58:28.681004	2013-08-03 17:58:28.681004	\N	2e032e09-8d73-4fb3-b17f-cd43b09ad895
48269	4	7495	2013-08-03 17:53:53.30316	2013-08-03 17:53:53.30316	\N	0c7d5b0f-a052-4fe5-87a2-3e99e4057bb0
48271	4	7498	2013-08-03 17:53:53.325856	2013-08-03 17:53:53.325856	\N	3d4533a2-98e6-4d19-b95d-75ee3808010e
48272	4	7504	2013-08-03 17:53:53.350591	2013-08-03 17:53:53.350591	\N	82449044-9130-4b24-8bd4-04eb35e10fa7
45502	4	7396	2013-08-03 17:47:40.822113	2013-08-03 17:47:40.822113	\N	d625c66d-bf0d-4a8c-b0d6-495506dd14ef
45503	4	7399	2013-08-03 17:47:40.874924	2013-08-03 17:47:40.874924	\N	8bb94273-98ae-429c-a84d-cb18c5a7bd42
45505	4	7402	2013-08-03 17:47:40.903772	2013-08-03 17:47:40.903772	\N	53fc8e3a-ee6a-4204-a575-7abad2461b8d
45506	4	7405	2013-08-03 17:47:40.936725	2013-08-03 17:47:40.936725	\N	a8cb6264-956a-4223-9ca6-0745dcf2c8b8
45508	4	7393	2013-08-03 17:47:40.970446	2013-08-03 17:47:40.970446	\N	f905f381-0848-4866-ac9e-2db6c2e1fc7d
45509	4	7411	2013-08-03 17:47:41.002625	2013-08-03 17:47:41.002625	\N	8055e0a1-83be-4ed6-afa5-003e826a0de4
45510	4	7414	2013-08-03 17:47:41.037392	2013-08-03 17:47:41.037392	\N	47faa9c5-0716-45d6-acdd-e93f56ff7cd1
45512	4	7417	2013-08-03 17:47:41.066559	2013-08-03 17:47:41.066559	\N	1397ce22-7f0f-4a3f-90cd-a7fae6c2f05b
45513	4	7420	2013-08-03 17:47:41.103041	2013-08-03 17:47:41.103041	\N	154ca6b2-322a-41ce-9f12-43efb0902018
45514	4	7426	2013-08-03 17:47:41.14242	2013-08-03 17:47:41.14242	\N	984b002d-1d54-4569-b4d4-a73a5f813509
45515	4	7429	2013-08-03 17:47:41.179816	2013-08-03 17:47:41.179816	\N	1bb4fa9a-74cd-40d3-9847-ce7fa55a3e43
45516	4	7432	2013-08-03 17:47:41.230928	2013-08-03 17:47:41.230928	\N	03825304-c434-415d-aae7-3ede26a5e10a
45517	4	7444	2013-08-03 17:47:41.279735	2013-08-03 17:47:41.279735	\N	1eaacb27-9618-4cf4-97ed-8b10ce0ce56b
45518	4	7447	2013-08-03 17:47:41.329699	2013-08-03 17:47:41.329699	\N	74fcc12c-aad5-4d21-b6b7-445241e15ac9
45519	4	7450	2013-08-03 17:47:41.377294	2013-08-03 17:47:41.377294	\N	05793d53-f4e2-4fc8-88f0-bd33d4b83e8b
48273	4	7510	2013-08-03 17:53:53.375896	2013-08-03 17:53:53.375896	\N	e56fd346-adba-424d-a475-7b0036298994
48275	4	7513	2013-08-03 17:53:53.399914	2013-08-03 17:53:53.399914	\N	3ca3af23-bba3-43a9-949a-97d12eb181a3
48276	4	7516	2013-08-03 17:53:53.425542	2013-08-03 17:53:53.425542	\N	bd7dd6d2-02de-41da-ab83-7795319cdad7
48278	4	7528	2013-08-03 17:53:53.449376	2013-08-03 17:53:53.449376	\N	c46a3d69-958c-49cc-a655-0fe2673f2966
48279	4	7531	2013-08-03 17:53:53.474438	2013-08-03 17:53:53.474438	\N	da52ec23-bb5b-4874-8940-c9745d8e62a6
48281	4	7534	2013-08-03 17:53:53.500058	2013-08-03 17:53:53.500058	\N	1249d3ea-c394-421e-b0a9-d80214da159c
50058	1	7573	2013-08-03 17:58:28.740598	2013-08-03 17:58:28.740598	\N	cfdb654f-ecea-4376-ad33-5dad3a8554e7
50059	1	7579	2013-08-03 17:58:28.877801	2013-08-03 17:58:28.877801	\N	3c42af33-2388-468a-9dea-c03b772c96ab
50063	1	7588	2013-08-03 17:58:28.973691	2013-08-03 17:58:28.973691	\N	0233c6fd-f1ae-4ff2-bfa4-f0cad83da88b
50066	1	7591	2013-08-03 17:58:29.03968	2013-08-03 17:58:29.03968	\N	d8106b81-45bb-4757-bfeb-c92a0d44d4a0
50070	1	7594	2013-08-03 17:58:29.107953	2013-08-03 17:58:29.107953	\N	31a0f0b2-e970-4922-b124-a0588a191293
50072	1	7597	2013-08-03 17:58:29.17891	2013-08-03 17:58:29.17891	\N	f075cd87-4762-478b-b347-a7c8e2287a2c
47649	10	7504	2013-08-03 17:52:36.751047	2013-08-03 17:52:36.751047	\N	aed59d27-1a49-4900-b342-2bf3c4c48820
37425	8	7025	2013-08-03 17:26:24.877915	2013-08-03 17:26:24.877915	\N	3c726244-883b-4694-9c6c-fdd761e532f9
49874	19	7567	2013-08-03 17:58:04.380418	2013-08-03 17:58:04.380418	\N	37be3d90-efa4-4312-946b-f37b35abd0c8
45260	7	7414	2013-08-03 17:47:10.453275	2013-08-03 17:47:10.453275	\N	13cb3920-1063-44e8-ac6e-eadf00731832
45261	2	7445	2013-08-03 17:47:10.522741	2013-08-03 17:47:10.522741	\N	c53e5da4-87a1-4bdf-b5ff-a395d76de236
45265	7	7426	2013-08-03 17:47:11.126931	2013-08-03 17:47:11.126931	\N	44322e4e-74b4-49a0-b66a-ee2eaf8ddea6
45266	7	7447	2013-08-03 17:47:11.494272	2013-08-03 17:47:11.494272	\N	cc0d6a64-4bf3-477b-98a3-56b5f9b99c68
56461	13	8077	2013-08-03 18:27:23.29978	2013-08-03 18:27:23.29978	\N	cb302e30-edf3-45d9-90bf-92201af0f212
56464	13	8083	2013-08-03 18:27:24.549201	2013-08-03 18:27:24.549201	\N	6479611e-4fcc-407a-a019-10abd8d3b894
53483	10	7750	2013-08-03 18:10:43.95984	2013-08-03 18:10:43.95984	\N	0a0265bb-c6c3-4843-80f6-70f892dbc4b9
56465	5	8074	2013-08-03 18:27:24.824867	2013-08-03 18:27:24.824867	\N	f2378760-5eb9-4e8a-83fa-f77aad5196be
47440	8	7486	2013-08-03 17:52:13.276037	2013-08-03 17:52:13.276037	\N	9ba0b70c-e423-436c-bac0-a8d4898b7e76
47441	7	7516	2013-08-03 17:52:13.544396	2013-08-03 17:52:13.544396	\N	0adc5306-b8c8-4636-b7ce-0845903c62a8
47442	7	7513	2013-08-03 17:52:13.729632	2013-08-03 17:52:13.729632	\N	da83fa85-9948-4029-a948-963818fc71c1
45292	7	7398	2013-08-03 17:47:13.921962	2013-08-03 17:47:13.921962	\N	ce37f3a4-3a5a-478d-bb0e-24f1081c442e
47443	7	7510	2013-08-03 17:52:13.869938	2013-08-03 17:52:13.869938	\N	37462a8b-94d0-4219-a648-4ef6675ff01c
45294	1	7402	2013-08-03 17:47:14.109006	2013-08-03 17:47:14.109006	\N	76f0c40c-7419-4278-bdea-80d64be94a0b
45295	1	7405	2013-08-03 17:47:14.204792	2013-08-03 17:47:14.204792	\N	b698312d-876f-4970-b44c-2c349ca0f135
45296	1	7411	2013-08-03 17:47:14.315068	2013-08-03 17:47:14.315068	\N	c42498bd-16b8-4d09-8d85-7e976b911354
45297	1	7414	2013-08-03 17:47:14.431128	2013-08-03 17:47:14.431128	\N	2076d3dd-62f8-47f3-a3a7-39927210f0b9
45298	1	7420	2013-08-03 17:47:14.530903	2013-08-03 17:47:14.530903	\N	17b279e7-c207-489d-a699-44e601a82cce
45299	1	7426	2013-08-03 17:47:14.624804	2013-08-03 17:47:14.624804	\N	8b00702e-6f5d-4879-bf0d-34e3546fc64d
45300	1	7429	2013-08-03 17:47:14.734611	2013-08-03 17:47:14.734611	\N	5f025cdb-0cda-4a39-8b2b-df9e0d7ae436
45301	1	7432	2013-08-03 17:47:14.818423	2013-08-03 17:47:14.818423	\N	7075b206-d84e-45db-877b-8323bb086356
45302	1	7444	2013-08-03 17:47:14.914425	2013-08-03 17:47:14.914425	\N	88955714-2691-4da8-9c8e-8fa39543fb6b
46977	6	7429	2013-08-03 17:50:50.783589	2013-08-03 17:50:50.783589	\N	a95bd0d6-8ce8-4cf4-95f6-9452c2245da8
47444	7	7529	2013-08-03 17:52:13.93103	2013-08-03 17:52:13.93103	\N	1d1f851b-9422-4bb1-84a1-e7281c4a91f0
47446	7	7501	2013-08-03 17:52:14.158816	2013-08-03 17:52:14.158816	\N	d6a4e5d7-51ce-41fc-bc18-61627a6f977c
47450	7	7482	2013-08-03 17:52:14.5194	2013-08-03 17:52:14.5194	\N	adcd80ec-54fc-4628-83f7-acb4a4d8d356
56468	7	8116	2013-08-03 18:27:25.448374	2013-08-03 18:27:25.448374	\N	28711aca-04e6-4ad6-bef3-73ba74fd3c2e
52702	14	7756	2013-08-03 18:07:37.910123	2013-08-03 18:07:37.910123	\N	0687b1c4-dd21-4a15-8266-03ab43dd601a
52703	14	7753	2013-08-03 18:07:37.971188	2013-08-03 18:07:37.971188	\N	8286b060-211e-4fca-b388-1f86a24793c7
46137	6	7411	2013-08-03 17:49:06.908237	2013-08-03 17:49:06.908237	\N	21e1aceb-dcab-49c5-95c8-a5851326acd8
46993	6	7396	2013-08-03 17:50:52.559837	2013-08-03 17:50:52.559837	\N	e523fdcd-3649-450b-9436-93395397e2cf
52704	14	7783	2013-08-03 18:07:38.035952	2013-08-03 18:07:38.035952	\N	ca85adc3-a7b4-4fb5-a3b4-2c41108c1e10
51951	8	7693	2013-08-03 18:04:07.359785	2013-08-03 18:04:07.359785	\N	c5771fc3-63d7-4a47-82dd-7d9a4a2212d1
52705	14	7747	2013-08-03 18:07:38.099047	2013-08-03 18:07:38.099047	\N	f8513451-29ee-445a-99ee-55224dd6d5d6
53920	14	7840	2013-08-03 18:12:40.330206	2013-08-03 18:12:40.330206	\N	0f4d1259-026c-47fc-9b5f-57c3050b0a25
51428	8	7597	2013-08-03 18:01:55.012024	2013-08-03 18:01:55.012024	\N	6be62a2c-9c2b-4405-82df-39b536749e5d
51432	8	7588	2013-08-03 18:01:55.049973	2013-08-03 18:01:55.049973	\N	5a528445-8df4-4586-9a78-b293687317b7
49919	2	7591	2013-08-03 17:58:10.557838	2013-08-03 17:58:10.557838	\N	be8763e8-e015-469e-92a0-c131d88d6d71
53921	14	7867	2013-08-03 18:12:40.390157	2013-08-03 18:12:40.390157	\N	83c96dd7-d349-469d-bcfc-a1df7b7cde27
49922	2	7588	2013-08-03 17:58:10.627335	2013-08-03 17:58:10.627335	\N	d52727b9-7b00-40a5-a1d4-5f2cb23329e3
53923	14	7831	2013-08-03 18:12:40.423813	2013-08-03 18:12:40.423813	\N	1d4ee187-3450-44f0-b5a2-37321dd46064
53924	14	7821	2013-08-03 18:12:40.470062	2013-08-03 18:12:40.470062	\N	0e3711d4-c857-4b5e-a175-c52e6e45ed6c
56470	13	8098	2013-08-03 18:27:25.938886	2013-08-03 18:27:25.938886	\N	feaf2e74-6cf1-4409-9260-cfa8f1bcba86
56471	6	8089	2013-08-03 18:27:26.063378	2013-08-03 18:27:26.063378	\N	5a0d5570-6303-4858-92da-2a416c19d65e
47603	19	7426	2013-08-03 17:52:32.251978	2013-08-03 17:52:32.251978	\N	999b3fee-cc77-4ae9-ba49-beb3fce7bd0f
56472	13	8104	2013-08-03 18:27:26.262921	2013-08-03 18:27:26.262921	\N	adf41dc2-d848-4ad0-b7b4-778e0e097282
53931	2	7861	2013-08-03 18:12:41.338433	2013-08-03 18:12:41.338433	\N	cd622384-6673-49b0-a4a4-c082c2e6e2e5
53932	2	7813	2013-08-03 18:12:41.419856	2013-08-03 18:12:41.419856	\N	799daaf1-7069-44a2-900b-1577893d8a40
53933	2	7837	2013-08-03 18:12:42.490375	2013-08-03 18:12:42.490375	\N	88ae5e86-3142-484d-a6a1-452ad25df8f9
53937	2	7819	2013-08-03 18:12:42.573646	2013-08-03 18:12:42.573646	\N	91a978ab-e556-4658-85ab-345dddc0d9a8
53944	8	7861	2013-08-03 18:12:42.646643	2013-08-03 18:12:42.646643	\N	c5da95cb-8aec-41af-87d2-3cf955a6d8a7
51538	19	7678	2013-08-03 18:02:24.367895	2013-08-03 18:02:24.367895	\N	1f2ee6fc-5e32-4e64-b445-4380d05d4278
52917	1	7781	2013-08-03 18:08:28.698621	2013-08-03 18:08:28.698621	\N	e25cd58b-48e2-40cc-b256-e4fd81d3e8c3
51540	2	7702	2013-08-03 18:02:26.828975	2013-08-03 18:02:26.828975	\N	6610f606-b480-4f74-954b-a17e9670470a
51590	8	7645	2013-08-03 18:02:45.000479	2013-08-03 18:02:45.000479	\N	2d293b9e-a995-4040-9e0b-6e4c2724a339
56473	13	8116	2013-08-03 18:27:26.869601	2013-08-03 18:27:26.869601	\N	f905151d-ead0-47e1-8c6a-a9ed1dffd0b1
54964	8	7909	2013-08-03 18:17:20.673755	2013-08-03 18:17:20.673755	\N	e7f5220b-6847-4bea-bf35-57f0da51bbaa
54969	8	7930	2013-08-03 18:17:20.714788	2013-08-03 18:17:20.714788	\N	e478544a-698b-4179-be8a-b6c6fadd51df
54985	1	7915	2013-08-03 18:17:28.856166	2013-08-03 18:17:28.856166	\N	ce12048f-38bd-4240-8549-0be07032241a
54988	1	7924	2013-08-03 18:17:29.039577	2013-08-03 18:17:29.039577	\N	bc64d4a2-3e1b-421f-8970-454ec9f205f6
45401	10	7399	2013-08-03 17:47:27.860983	2013-08-03 17:47:27.860983	\N	9e6bbad7-cf8f-424c-843b-b53f2cbf4939
45402	2	7426	2013-08-03 17:47:28.654954	2013-08-03 17:47:28.654954	\N	fc13798b-a654-4456-9eb2-175da5c8e34d
45403	2	7429	2013-08-03 17:47:28.713756	2013-08-03 17:47:28.713756	\N	e9473735-9cf4-4c94-a7f9-500df6f3e233
45404	2	7420	2013-08-03 17:47:28.76389	2013-08-03 17:47:28.76389	\N	913757b8-4bcc-4a9d-8b3b-6ba15ba77287
45405	1	7447	2013-08-03 17:47:28.895596	2013-08-03 17:47:28.895596	\N	4790d97d-2ca9-4b65-bb67-91df3c44d7d2
54989	1	7930	2013-08-03 18:17:29.127988	2013-08-03 18:17:29.127988	\N	f5253109-eeee-4445-adc8-ba3f75fd702f
47712	1	7529	2013-08-03 17:52:44.085521	2013-08-03 17:52:44.085521	\N	8f1099e7-1f15-429d-bb49-0784c5657a56
54990	11	7945	2013-08-03 18:17:29.208075	2013-08-03 18:17:29.208075	\N	fa0421c2-2de0-4285-9a10-ce229781b938
54993	11	7949	2013-08-03 18:17:29.429855	2013-08-03 18:17:29.429855	\N	7bf8512e-d9c1-4122-b403-d301d71c1819
52956	2	7765	2013-08-03 18:08:41.117256	2013-08-03 18:08:41.117256	\N	a3df39d9-d3f7-4aa2-8057-aa618fdf43dc
54996	1	7954	2013-08-03 18:17:29.661381	2013-08-03 18:17:29.661381	\N	c8ceea6c-14d5-45e7-8d33-c12f193eb896
57346	12	8200	2013-08-03 18:33:49.544411	2013-08-03 18:33:49.544411	\N	fc82d943-13d8-4f24-a882-6af6265c5e14
52959	4	7738	2013-08-03 18:08:41.569144	2013-08-03 18:08:41.569144	\N	c5719b95-9a1c-4115-97dd-c4972823ee7c
55006	9	7949	2013-08-03 18:17:40.832159	2013-08-03 18:17:40.832159	\N	ffe73291-811f-4fae-9b15-d8c5a03205e9
56489	7	8077	2013-08-03 18:27:34.466446	2013-08-03 18:27:34.466446	\N	8b4192a4-ae4e-4107-be2d-4ed559baa69d
72016	2	10009	2013-08-03 19:47:42.15256	2013-08-03 19:47:42.15256	\N	4c4df732-d013-44be-ae50-e078f830681c
56503	6	8122	2013-08-03 18:27:36.875432	2013-08-03 18:27:36.875432	\N	b4001dd2-03b8-4e02-b857-25abf56aebe6
55048	12	7909	2013-08-03 18:18:03.717787	2013-08-03 18:18:03.717787	\N	e6c8295c-8d6d-4934-8708-2986107d997a
55049	12	7897	2013-08-03 18:18:04.056652	2013-08-03 18:18:04.056652	\N	e6b94b4b-f04e-4cef-92a8-966687824187
55050	12	7915	2013-08-03 18:18:04.838558	2013-08-03 18:18:04.838558	\N	e970cf08-81b4-48f8-b04a-4c580e21305a
55051	12	7918	2013-08-03 18:18:05.199226	2013-08-03 18:18:05.199226	\N	98085bfb-9ac6-4d25-9a9d-269370bf85d9
49419	14	7504	2013-08-03 17:56:33.114307	2013-08-03 17:56:33.114307	\N	7ea181c8-eff4-4290-bbfc-b6ec72ffc445
56514	7	8074	2013-08-03 18:27:39.062603	2013-08-03 18:27:39.062603	\N	d8f6a424-c231-4b11-afcd-f5b4b8155570
55053	12	7924	2013-08-03 18:18:05.72184	2013-08-03 18:18:05.72184	\N	5236c180-7e57-4f2c-82d2-abd0bb84d4c1
55055	7	7921	2013-08-03 18:18:05.817638	2013-08-03 18:18:05.817638	\N	b77bc333-e0a0-4262-ab58-d33e039b2bc6
56517	6	8065	2013-08-03 18:27:40.269163	2013-08-03 18:27:40.269163	\N	34362739-3f45-45f3-931c-170e60ee4b87
59344	17	8383	2013-08-03 18:45:10.398406	2013-08-03 18:45:10.398406	\N	2352d7ae-5da7-4070-9e5d-cd7b07752d84
55064	12	7948	2013-08-03 18:18:06.92024	2013-08-03 18:18:06.92024	\N	2e0e0e65-b627-43ce-9e39-496a17c52ab4
55066	12	7954	2013-08-03 18:18:07.543488	2013-08-03 18:18:07.543488	\N	2733ee75-2c35-4865-bf0c-98733df441a6
45449	11	7396	2013-08-03 17:47:34.831742	2013-08-03 17:47:34.831742	\N	0cd4c552-9157-40f9-b378-01efcdad3e5c
52978	2	7735	2013-08-03 18:08:43.282199	2013-08-03 18:08:43.282199	\N	f7ff9d3b-6351-40ac-a005-5ff15e6e9b4d
55067	12	7949	2013-08-03 18:18:09.529558	2013-08-03 18:18:09.529558	\N	616d6dda-3d98-4f5e-b155-600cbad5d1ad
45456	11	7402	2013-08-03 17:47:35.181288	2013-08-03 17:47:35.181288	\N	60cc6bd0-1a99-482b-988b-26359e3e577b
52980	16	7675	2013-08-03 18:08:43.619529	2013-08-03 18:08:43.619529	\N	2e3a4c43-01d7-487e-b7c5-d21d87c7be7c
45458	11	7405	2013-08-03 17:47:35.338064	2013-08-03 17:47:35.338064	\N	adb3f07e-bc9e-4f23-9b72-70c9df4da236
45462	11	7393	2013-08-03 17:47:35.508122	2013-08-03 17:47:35.508122	\N	f11fcebe-7c1f-4733-bad9-bdd4c2d70c5e
52981	16	7678	2013-08-03 18:08:43.674319	2013-08-03 18:08:43.674319	\N	53514b82-9521-41f7-a2ed-dfc6d3f4d722
45465	11	7411	2013-08-03 17:47:35.687499	2013-08-03 17:47:35.687499	\N	d453802c-b821-402d-8f1b-79d456335326
52983	16	7681	2013-08-03 18:08:43.7112	2013-08-03 18:08:43.7112	\N	21e0ad60-553a-46de-bddc-2eeec42406af
56528	11	8116	2013-08-03 18:27:41.819707	2013-08-03 18:27:41.819707	\N	48bd869e-cc14-4337-b4b0-37d94bec051e
53003	2	7737	2013-08-03 18:08:50.450537	2013-08-03 18:08:50.450537	\N	4e342883-cf82-4097-be29-6af037bf0ee8
45511	6	7345	2013-08-03 17:47:41.063373	2013-08-03 17:47:41.063373	\N	765f6936-db16-49e8-b8d5-0e482699776b
66609	13	9373	2013-08-03 19:26:18.756835	2013-08-03 19:26:18.756835	\N	cae5635c-64a2-4462-b650-cf020f262344
48424	2	7504	2013-08-03 17:54:10.275945	2013-08-03 17:54:10.275945	\N	f4e5f114-1481-4d37-a8bc-36bc21e169db
72018	2	10030	2013-08-03 19:47:42.183035	2013-08-03 19:47:42.183035	\N	c2d6999a-e5d3-4802-a9cf-df96e0db0baa
47430	5	7399	2013-08-03 17:52:08.022119	2013-08-03 17:52:08.022119	\N	cd272f8c-2dbd-463b-9a8b-db3eb21e64cd
59356	9	8413	2013-08-03 18:45:20.456785	2013-08-03 18:45:20.456785	\N	dae824c6-9d10-4845-8d12-8947a321f5b2
52634	10	7693	2013-08-03 18:06:50.819394	2013-08-03 18:06:50.819394	\N	1591e661-4342-4af0-86ef-36cb513e03f3
67842	20	9544	2013-08-03 19:31:13.643235	2013-08-03 19:31:13.643235	\N	d76bae04-95e6-4f87-b4de-10cba11970e3
84818	5	11161	2013-08-03 20:33:58.152821	2013-08-03 20:33:58.152821	\N	012e02a0-8495-47e7-984b-3b41985ddedb
66619	13	9409	2013-08-03 19:26:19.051606	2013-08-03 19:26:19.051606	\N	8f44e489-f62f-42d0-8fca-b0b23af82cdf
66622	13	9376	2013-08-03 19:26:19.330806	2013-08-03 19:26:19.330806	\N	1693d4a8-4ee0-439c-a6b2-4bfe77a10b64
56510	6	8086	2013-08-03 18:27:37.462151	2013-08-03 18:27:37.462151	\N	f4e8eb69-41fe-4a4a-b9a5-f1931b9f6a2e
84819	13	11164	2013-08-03 20:33:58.246756	2013-08-03 20:33:58.246756	\N	cdcde0c0-20b9-4a9b-af4d-b8d24b3b7fa5
76456	7	10534	2013-08-03 20:07:37.959687	2013-08-03 20:07:37.959687	\N	531438bf-c430-461b-b4e0-63d69ba0be66
51970	19	7697	2013-08-03 18:04:10.321006	2013-08-03 18:04:10.321006	\N	28eeeab0-56b6-4c3e-8d44-7acf0c555b5e
53519	19	7750	2013-08-03 18:10:50.277627	2013-08-03 18:10:50.277627	\N	c688c323-2183-4dfe-bff1-81c29f60783f
51972	2	7675	2013-08-03 18:04:10.596328	2013-08-03 18:04:10.596328	\N	49e5a7ac-b653-463a-b2ef-491eeae4ae5d
35973	2	6932	2013-08-03 17:22:41.651062	2013-08-03 17:22:41.651062	\N	15037781-59e3-4d75-ad7c-02e0ae156cc4
56530	11	8122	2013-08-03 18:27:42.164491	2013-08-03 18:27:42.164491	\N	e37c5d3a-649d-4d7f-b487-d37aaad48515
46143	6	7402	2013-08-03 17:49:08.049286	2013-08-03 17:49:08.049286	\N	33d2de3e-660e-4c35-8467-3afb499fa475
56535	17	8089	2013-08-03 18:27:47.890029	2013-08-03 18:27:47.890029	\N	2effc53e-1a1d-46e4-a368-adf6380be753
66626	13	9379	2013-08-03 19:26:19.61819	2013-08-03 19:26:19.61819	\N	b0207b65-ba23-4de8-9247-ba56ff03f948
55686	14	7921	2013-08-03 18:21:26.803824	2013-08-03 18:21:26.803824	\N	6d359ccd-1468-48dd-83fa-d4e4a383eb36
46322	19	7399	2013-08-03 17:49:31.341352	2013-08-03 17:49:31.341352	\N	50aec737-e16a-494f-a005-a3ad78fdb099
67870	19	9502	2013-08-03 19:31:17.370992	2013-08-03 19:31:17.370992	\N	6386d0f5-4f7a-47bd-92a5-1bf1c40285ad
51426	8	7594	2013-08-03 18:01:55.006972	2013-08-03 18:01:55.006972	\N	4442affd-6dec-4411-8073-bc0104b2469b
47593	1	7531	2013-08-03 17:52:28.953768	2013-08-03 17:52:28.953768	\N	660bb434-e80d-4e7b-93f2-8a5444df46d5
47595	1	7534	2013-08-03 17:52:29.02105	2013-08-03 17:52:29.02105	\N	a7333356-7d75-4ede-9e45-7ba5b495de3d
51433	8	7612	2013-08-03 18:01:55.04999	2013-08-03 18:01:55.04999	\N	5f83e863-2f5e-48a1-b5a5-7d8aecea718f
43984	4	7361	2013-08-03 17:43:52.740571	2013-08-03 17:43:52.740571	\N	bdd97bfa-3c0b-4e2f-a59c-00d35b99eb58
53526	19	7756	2013-08-03 18:10:51.074622	2013-08-03 18:10:51.074622	\N	892886e4-9907-4a60-81cb-6fa13f423057
70609	5	9760	2013-08-03 19:41:06.450414	2013-08-03 19:41:06.450414	\N	df624d52-59e7-47f6-8728-135ca700288f
52757	12	7781	2013-08-03 18:07:47.530024	2013-08-03 18:07:47.530024	\N	f5374261-ee98-4e11-ba81-0132620a37ce
48357	10	7495	2013-08-03 17:54:03.95485	2013-08-03 17:54:03.95485	\N	f26bfc22-915d-4c20-a015-3b597df129b2
45477	11	7444	2013-08-03 17:47:37.04431	2013-08-03 17:47:37.04431	\N	7ef908b9-91bf-402f-ab28-f9aa3ef64933
45478	11	7447	2013-08-03 17:47:37.218464	2013-08-03 17:47:37.218464	\N	f8a36ce1-0f5f-4bd2-9c50-a29c63159ca3
48358	10	7498	2013-08-03 17:54:04.07603	2013-08-03 17:54:04.07603	\N	8858fda0-e029-4406-98c8-2838d653ffd9
51989	2	7699	2013-08-03 18:04:11.681623	2013-08-03 18:04:11.681623	\N	d4001ed2-0fbb-408b-8867-240d88194c7c
47663	11	7480	2013-08-03 17:52:37.694118	2013-08-03 17:52:37.694118	\N	0b2e2cc9-aefa-46fc-a396-8ae842b4aee7
53528	19	7729	2013-08-03 18:10:52.595101	2013-08-03 18:10:52.595101	\N	471cfbb1-fda5-4318-8f58-424fcf43c155
54906	4	7870	2013-08-03 18:16:42.503488	2013-08-03 18:16:42.503488	\N	fc077bdf-e2da-468f-aaf3-0d876f5e3fb7
52762	4	7735	2013-08-03 18:07:52.50924	2013-08-03 18:07:52.50924	\N	88a6527f-6134-4801-a265-cf26638e14ba
47678	11	7501	2013-08-03 17:52:38.995855	2013-08-03 17:52:38.995855	\N	e7d9dc5d-3b20-46d6-bddc-933f96c837d7
52763	4	7741	2013-08-03 18:07:52.558039	2013-08-03 18:07:52.558039	\N	b52dfc7b-0cd5-4125-ab96-e533c922d7b9
47680	11	7504	2013-08-03 17:52:39.165188	2013-08-03 17:52:39.165188	\N	6947cfe0-1f59-4e6d-a7f7-3004cad8e1b0
52764	4	7729	2013-08-03 18:07:52.602492	2013-08-03 18:07:52.602492	\N	07473f5c-4d4e-48e3-a5f3-01bd2da4bffc
47683	11	7510	2013-08-03 17:52:39.318367	2013-08-03 17:52:39.318367	\N	b9a3376b-3051-4279-a5a9-2d34999355ef
52765	4	7747	2013-08-03 18:07:52.643809	2013-08-03 18:07:52.643809	\N	02e06be0-d191-4a33-b8f3-45056c202873
47689	11	7516	2013-08-03 17:52:39.668737	2013-08-03 17:52:39.668737	\N	05d63e54-aea0-4ced-a26e-d56c52b24aa1
47692	11	7529	2013-08-03 17:52:39.848116	2013-08-03 17:52:39.848116	\N	1c50da39-d1a9-4a21-8a6d-74e7fbced3b8
52766	4	7756	2013-08-03 18:07:52.700784	2013-08-03 18:07:52.700784	\N	7cc9f382-330a-4c02-bc20-736453c90e50
47698	11	7528	2013-08-03 17:52:39.982026	2013-08-03 17:52:39.982026	\N	c7ee727d-d2cf-47a2-82ca-3fd2e3e4df9d
45499	6	7330	2013-08-03 17:47:39.995084	2013-08-03 17:47:39.995084	\N	def891d5-1a8d-4a46-81a1-8d9051f3e062
47701	11	7531	2013-08-03 17:52:40.127824	2013-08-03 17:52:40.127824	\N	a74d2c74-823f-44d4-bc87-b530eb9c558d
52012	1	7703	2013-08-03 18:04:13.762926	2013-08-03 18:04:13.762926	\N	d1195203-1b87-481b-96d1-783f3db29d54
47704	11	7534	2013-08-03 17:52:40.303315	2013-08-03 17:52:40.303315	\N	b33e35e3-783f-4083-b30f-4a4551476ea3
52013	19	7703	2013-08-03 18:04:14.109291	2013-08-03 18:04:14.109291	\N	38fccf02-e47a-46c9-9aeb-b6a8d187cb8c
47706	19	7429	2013-08-03 17:52:40.640081	2013-08-03 17:52:40.640081	\N	00ff6a68-49d7-48e4-9d14-e12e34a9af9c
47707	10	7480	2013-08-03 17:52:41.008494	2013-08-03 17:52:41.008494	\N	824fdae4-65de-4190-b50c-283518a13776
52014	16	7651	2013-08-03 18:04:15.249485	2013-08-03 18:04:15.249485	\N	453d5834-4394-4ada-a73f-21a8b50ae5f8
52015	16	7672	2013-08-03 18:04:15.335093	2013-08-03 18:04:15.335093	\N	dbc5c671-878c-4718-a1d8-6977860e9a1f
52767	4	7762	2013-08-03 18:07:52.748762	2013-08-03 18:07:52.748762	\N	8677450d-c76d-4096-8ad0-44d58764cff0
52768	4	7777	2013-08-03 18:07:52.794192	2013-08-03 18:07:52.794192	\N	2f6db694-a677-40fe-9234-121922c16c1f
52769	4	7780	2013-08-03 18:07:52.845709	2013-08-03 18:07:52.845709	\N	38100ff0-145c-4596-8ed7-87054f7495a3
52770	4	7783	2013-08-03 18:07:52.897286	2013-08-03 18:07:52.897286	\N	337b7d27-7930-4373-ab07-effc4e390e30
70611	5	9766	2013-08-03 19:41:06.510457	2013-08-03 19:41:06.510457	\N	bc944d4b-98ea-42be-bbf2-e1c3f3315c4c
52025	11	7693	2013-08-03 18:04:18.642302	2013-08-03 18:04:18.642302	\N	bc503282-f753-41d0-8508-3a1029124347
51617	11	7645	2013-08-03 18:02:49.438899	2013-08-03 18:02:49.438899	\N	fa4cde42-81dc-41b6-a743-06de813d77c0
58523	9	8260	2013-08-03 18:41:00.287147	2013-08-03 18:41:00.287147	\N	863d4988-6652-4e39-8894-e9d679ef0353
51620	11	7663	2013-08-03 18:02:49.615304	2013-08-03 18:02:49.615304	\N	009061f2-42e2-4d3a-b644-68d3138eee38
53532	11	7750	2013-08-03 18:10:53.337394	2013-08-03 18:10:53.337394	\N	6fc72ee5-ff6b-415d-a48d-c90a6d40413e
51625	11	7669	2013-08-03 18:02:50.029936	2013-08-03 18:02:50.029936	\N	ba29ff4a-42e9-44c0-a10e-1e31a200a11c
76457	7	10513	2013-08-03 20:07:38.04054	2013-08-03 20:07:38.04054	\N	79eb7807-86bb-406e-9659-6bf2db3dfa84
55728	2	7955	2013-08-03 18:21:40.524956	2013-08-03 18:21:40.524956	\N	54e9146a-1e90-46e2-bf83-776dc74eab05
51641	11	7696	2013-08-03 18:02:50.861177	2013-08-03 18:02:50.861177	\N	9f16ddf1-54c3-4b81-8ced-51bacdf8220c
58525	9	8266	2013-08-03 18:41:00.45371	2013-08-03 18:41:00.45371	\N	cca0374d-fb8f-400a-aa8f-529dae2af0ea
52784	11	7735	2013-08-03 18:07:56.892819	2013-08-03 18:07:56.892819	\N	de432214-816f-4b3f-aa63-2f0324e1364e
52789	11	7741	2013-08-03 18:07:57.574663	2013-08-03 18:07:57.574663	\N	86d5732f-befc-4b01-9d48-f6f973fce32f
56569	14	8083	2013-08-03 18:28:00.796956	2013-08-03 18:28:00.796956	\N	12acaed8-8815-49a7-901d-7d249f365257
58526	13	8284	2013-08-03 18:41:00.526112	2013-08-03 18:41:00.526112	\N	54faa324-0ffc-4c04-b7cc-8f2f4bec4c51
51047	10	7594	2013-08-03 18:00:52.860985	2013-08-03 18:00:52.860985	\N	b515132b-60f8-4ded-8eca-f313acd8286f
52795	11	7747	2013-08-03 18:07:57.911783	2013-08-03 18:07:57.911783	\N	b118a056-15d5-441a-88d8-29bf8891a8d8
54442	12	7865	2013-08-03 18:14:43.466283	2013-08-03 18:14:43.466283	\N	ff496926-30d8-4cf1-a00f-bf544b95c79b
52803	11	7756	2013-08-03 18:07:58.445212	2013-08-03 18:07:58.445212	\N	8fa0f6ba-a1e9-4924-988c-9feecb94b620
52807	11	7781	2013-08-03 18:07:59.085847	2013-08-03 18:07:59.085847	\N	128c0e6f-f085-45cd-bdd5-526c8f83e109
52808	11	7780	2013-08-03 18:07:59.270154	2013-08-03 18:07:59.270154	\N	5572aee6-d8fb-4555-8d44-3f343fa788a1
52809	11	7783	2013-08-03 18:07:59.468724	2013-08-03 18:07:59.468724	\N	b2341782-175b-4c0b-9504-ec4b7cdb2803
50008	5	7618	2013-08-03 17:58:25.644273	2013-08-03 17:58:25.644273	\N	0a3c8a0d-173c-47e8-96cf-e13bad35b454
47749	10	7483	2013-08-03 17:52:46.510058	2013-08-03 17:52:46.510058	\N	9737e943-4f05-43ae-9197-7e62d60e1eee
52812	8	7735	2013-08-03 18:08:02.949339	2013-08-03 18:08:02.949339	\N	6a4857d3-7aeb-40ee-97f1-7c740080c280
47756	19	7432	2013-08-03 17:52:47.103694	2013-08-03 17:52:47.103694	\N	5f5c252d-8a15-4513-ac27-fb58e6876e45
58527	13	8287	2013-08-03 18:41:00.811528	2013-08-03 18:41:00.811528	\N	bdcefe65-00c8-4648-9af8-5138ae0045ff
54469	12	7825	2013-08-03 18:14:48.786075	2013-08-03 18:14:48.786075	\N	66538689-10a8-42c8-a5ae-deed2dec5305
55742	7	7955	2013-08-03 18:21:46.245581	2013-08-03 18:21:46.245581	\N	f85fa60e-d068-48a5-8136-6295534b34f8
57480	19	8161	2013-08-03 18:34:38.275953	2013-08-03 18:34:38.275953	\N	295be62b-edea-43bb-b7d8-442cb8e24fd3
55765	16	7930	2013-08-03 18:22:06.787431	2013-08-03 18:22:06.787431	\N	f03dfbf3-57d8-4f4b-973e-b310e53ba20b
55767	16	7936	2013-08-03 18:22:07.365074	2013-08-03 18:22:07.365074	\N	84990346-f5a7-4b50-a15f-c9dd202e9e38
52835	8	7741	2013-08-03 18:08:09.967925	2013-08-03 18:08:09.967925	\N	d78337de-8ece-4198-b6fe-7c865be81a97
52836	2	7741	2013-08-03 18:08:10.450974	2013-08-03 18:08:10.450974	\N	8bfbc0e9-2b54-4993-a30a-c9a82b3dc830
52137	6	7699	2013-08-03 18:04:38.425062	2013-08-03 18:04:38.425062	\N	f226de4e-eb87-4838-a814-60886ddf9ccb
50060	4	7567	2013-08-03 17:58:28.914782	2013-08-03 17:58:28.914782	\N	6e7bf275-c043-4d96-bbb3-834c1c8f0978
50061	4	7570	2013-08-03 17:58:28.945435	2013-08-03 17:58:28.945435	\N	1eea1d92-9a88-4e4e-a16a-cd2efb45d9cc
50062	4	7573	2013-08-03 17:58:28.97053	2013-08-03 17:58:28.97053	\N	916b05a7-af34-4c8c-a0fd-7829af2afdf4
50064	4	7561	2013-08-03 17:58:28.994769	2013-08-03 17:58:28.994769	\N	6e1720a6-e0d6-489b-b3f8-041a3269c65a
50065	4	7579	2013-08-03 17:58:29.019342	2013-08-03 17:58:29.019342	\N	f00d1964-0900-43c0-9d0f-24450b53e6b0
50067	4	7585	2013-08-03 17:58:29.044772	2013-08-03 17:58:29.044772	\N	fd8687ed-3a0d-460e-b808-e246c1965b3a
50068	4	7588	2013-08-03 17:58:29.077095	2013-08-03 17:58:29.077095	\N	8c3a10c5-a83f-4a6a-9d18-14ed2ecbf5c3
50069	4	7591	2013-08-03 17:58:29.102355	2013-08-03 17:58:29.102355	\N	1258756a-0c10-488e-9c3f-f1310b72df69
50071	4	7594	2013-08-03 17:58:29.151205	2013-08-03 17:58:29.151205	\N	8e27a663-4a90-4297-94b7-ebc60fb7fd8b
50073	4	7597	2013-08-03 17:58:29.179075	2013-08-03 17:58:29.179075	\N	e43156e7-f133-459a-8440-6389b7b667bd
50074	4	7612	2013-08-03 17:58:29.211188	2013-08-03 17:58:29.211188	\N	52427222-3e7c-4082-a97d-5f90f726c73a
47453	7	7489	2013-08-03 17:52:14.731856	2013-08-03 17:52:14.731856	\N	717484e4-12a4-4364-bc31-4915084ad7c4
47454	7	7534	2013-08-03 17:52:14.829622	2013-08-03 17:52:14.829622	\N	e58abbb1-db9e-4aaf-ac4d-4fc9301e8dd5
47455	7	7480	2013-08-03 17:52:14.960122	2013-08-03 17:52:14.960122	\N	49768dbb-c261-4733-be22-1c4679d596e9
46185	19	7396	2013-08-03 17:49:14.543766	2013-08-03 17:49:14.543766	\N	12467034-2cfd-4407-9aa3-8152fa65bb66
47456	7	7477	2013-08-03 17:52:15.068677	2013-08-03 17:52:15.068677	\N	663f735b-2a21-451d-b777-d604726bd82a
45543	2	7447	2013-08-03 17:47:42.983008	2013-08-03 17:47:42.983008	\N	acf300ee-13ef-4acf-b66d-2c605a992ed3
45545	2	7405	2013-08-03 17:47:43.031733	2013-08-03 17:47:43.031733	\N	0d0efb9b-3370-409f-b75f-b04104a9dcf3
45547	2	7438	2013-08-03 17:47:43.077104	2013-08-03 17:47:43.077104	\N	b086a41a-fe35-464e-ba32-8fb9f6458134
47457	7	7528	2013-08-03 17:52:15.158691	2013-08-03 17:52:15.158691	\N	542a1adf-a05f-4d51-877f-6ed1e886983a
47458	7	7504	2013-08-03 17:52:15.238634	2013-08-03 17:52:15.238634	\N	bce79bd9-9e5d-426d-af50-35ec198d3ac7
49938	1	7567	2013-08-03 17:58:13.729826	2013-08-03 17:58:13.729826	\N	c5144103-d2f9-4cbb-92ea-86494e9c7d7a
47460	7	7486	2013-08-03 17:52:15.443342	2013-08-03 17:52:15.443342	\N	2770f788-f1a6-4abd-a4a2-b23baa38d734
56493	7	8119	2013-08-03 18:27:34.889597	2013-08-03 18:27:34.889597	\N	4e7e86de-1607-4f36-bc38-55344a916362
56495	7	8117	2013-08-03 18:27:34.994708	2013-08-03 18:27:34.994708	\N	3583cf3e-fe0a-43f3-b7cf-6fef246853a3
70602	19	9796	2013-08-03 19:41:03.624447	2013-08-03 19:41:03.624447	\N	f384ab4b-6934-471b-ae1c-8c9e4af07b03
66632	13	9382	2013-08-03 19:26:20.20662	2013-08-03 19:26:20.20662	\N	dc65247f-a363-4a42-a635-47e3a8a86cbe
52664	7	7741	2013-08-03 18:07:23.33053	2013-08-03 18:07:23.33053	\N	5c78f092-170c-439e-a155-fce0229d0e35
56519	11	8077	2013-08-03 18:27:40.383017	2013-08-03 18:27:40.383017	\N	1a7abff4-9db9-4fef-a21a-dd3926389c51
45605	10	7393	2013-08-03 17:47:48.055006	2013-08-03 17:47:48.055006	\N	439ea4f3-8adb-45a2-96e8-e54d5dd9401b
47468	7	7485	2013-08-03 17:52:16.150357	2013-08-03 17:52:16.150357	\N	a6e24e52-8b66-4999-9922-4358dab2b548
52666	7	7756	2013-08-03 18:07:23.540682	2013-08-03 18:07:23.540682	\N	40469c5e-e6c3-4bd3-85ae-1490b6e0b2e0
56521	11	8083	2013-08-03 18:27:40.687186	2013-08-03 18:27:40.687186	\N	efe79611-72d3-48f1-8cfb-9b27dc203d4b
54956	2	7870	2013-08-03 18:16:55.663254	2013-08-03 18:16:55.663254	\N	17d0bf7c-bb14-4348-a860-af403e046e61
52669	7	7734	2013-08-03 18:07:23.881457	2013-08-03 18:07:23.881457	\N	b3d088d4-4505-411b-bb35-afc3414e2db0
52670	7	7777	2013-08-03 18:07:23.97849	2013-08-03 18:07:23.97849	\N	6a8767aa-e12a-43d4-ba48-fd652b1043e2
56523	11	8089	2013-08-03 18:27:41.012724	2013-08-03 18:27:41.012724	\N	f8b58d20-27ec-450d-b9eb-295ee4a81dca
50085	6	7588	2013-08-03 17:58:29.918994	2013-08-03 17:58:29.918994	\N	e2a773d6-a290-4ed8-8579-a4171389a138
36052	6	6897	2013-08-03 17:22:50.32774	2013-08-03 17:22:50.32774	\N	97a61059-0e33-49e1-b932-b15eba761a8e
54963	8	7897	2013-08-03 18:17:20.673598	2013-08-03 18:17:20.673598	\N	dcd22247-052b-41d2-9e24-9972ec2a73f5
51427	8	7567	2013-08-03 18:01:55.008963	2013-08-03 18:01:55.008963	\N	0649fe15-0f91-47db-9cc4-bf2b3a9f1dab
51430	8	7561	2013-08-03 18:01:55.047167	2013-08-03 18:01:55.047167	\N	880f07db-495e-4b89-b645-b286d747fe7c
46244	17	7445	2013-08-03 17:49:19.150336	2013-08-03 17:49:19.150336	\N	d47525db-de79-409b-9ce7-1e998b54f0f2
52674	7	7759	2013-08-03 18:07:24.282854	2013-08-03 18:07:24.282854	\N	fa45c03e-5858-4c36-9181-455b86805f73
52009	5	7672	2013-08-03 18:04:13.462221	2013-08-03 18:04:13.462221	\N	00a1df48-1a77-4485-bf0b-e0025a5bef86
47509	4	7480	2013-08-03 17:52:20.156909	2013-08-03 17:52:20.156909	\N	ddd930e6-2c7a-4933-8112-56a250890de8
47510	4	7483	2013-08-03 17:52:20.217868	2013-08-03 17:52:20.217868	\N	6d6c2b2c-28d7-4339-968d-7d64869c9bb3
47511	4	7486	2013-08-03 17:52:20.274187	2013-08-03 17:52:20.274187	\N	c73fc7cb-de31-470d-be9c-79a13dbbc680
47512	4	7489	2013-08-03 17:52:20.337702	2013-08-03 17:52:20.337702	\N	aa156a98-ae9f-44ab-b0ba-ce559780863c
47513	4	7477	2013-08-03 17:52:20.412651	2013-08-03 17:52:20.412651	\N	f69c6694-323f-404b-ab79-c3157559ba8c
52010	5	7651	2013-08-03 18:04:13.486662	2013-08-03 18:04:13.486662	\N	ed71c678-9674-4c95-b2e2-5c4af663a07e
52011	5	7645	2013-08-03 18:04:13.520715	2013-08-03 18:04:13.520715	\N	ee0bdc8b-a6b8-470d-884f-dfa50f5651bb
46280	4	7401	2013-08-03 17:49:26.490547	2013-08-03 17:49:26.490547	\N	336e1656-ffba-4ee6-b95b-e0a662d703cc
50095	6	7618	2013-08-03 17:58:30.343591	2013-08-03 17:58:30.343591	\N	52ff7908-b167-4c27-9466-b2975f0cc9c5
52675	7	7780	2013-08-03 18:07:24.368205	2013-08-03 18:07:24.368205	\N	a29fafef-1a39-4f6b-a041-85b7a7ea2fff
50097	6	7591	2013-08-03 17:58:31.102683	2013-08-03 17:58:31.102683	\N	53a865ed-add0-4a90-87d0-7a489948adac
50098	4	7569	2013-08-03 17:58:31.288939	2013-08-03 17:58:31.288939	\N	0d509ab1-a37c-43fb-8938-f3841634ca33
50099	19	7573	2013-08-03 17:58:31.498944	2013-08-03 17:58:31.498944	\N	04c6841d-efbf-4791-b5a5-661f86120462
52018	1	7657	2013-08-03 18:04:16.993267	2013-08-03 18:04:16.993267	\N	b93c1014-48f1-4983-b4c1-ab1bf7f450d9
50104	19	7613	2013-08-03 17:58:32.223676	2013-08-03 17:58:32.223676	\N	1ef67d0d-44f7-46d9-82ad-32bf6fea034a
54968	8	7951	2013-08-03 18:17:20.708765	2013-08-03 18:17:20.708765	\N	d9c191eb-61d2-4f78-82a1-60e526f664ee
52677	7	7783	2013-08-03 18:07:24.564357	2013-08-03 18:07:24.564357	\N	54dce955-8b6a-44d9-8f11-816c6ca0ae1b
52678	7	7762	2013-08-03 18:07:24.657977	2013-08-03 18:07:24.657977	\N	ffc7671c-698b-41ed-a667-a3cfeba7c1b1
52681	2	7780	2013-08-03 18:07:25.772561	2013-08-03 18:07:25.772561	\N	90cdb92b-d417-4658-a80b-943b6e1ac9c6
52032	12	7697	2013-08-03 18:04:21.060415	2013-08-03 18:04:21.060415	\N	ada204a7-3680-4bef-a7aa-9b96ee802bae
52682	6	7693	2013-08-03 18:07:26.328377	2013-08-03 18:07:26.328377	\N	34b28907-f0c4-4b6d-93eb-95881714b78b
50128	19	7561	2013-08-03 17:58:36.396266	2013-08-03 17:58:36.396266	\N	afd6d2d3-97e4-457b-8ed1-2d1ab7793dd5
56526	11	8117	2013-08-03 18:27:41.461413	2013-08-03 18:27:41.461413	\N	79fbca5a-edbf-4b6d-a6fc-5a7c56b4347c
56527	6	8077	2013-08-03 18:27:41.614497	2013-08-03 18:27:41.614497	\N	f4385e72-3c02-4fa6-8748-4c4b30fef98b
55002	2	7918	2013-08-03 18:17:40.249629	2013-08-03 18:17:40.249629	\N	05a2e038-257c-4f10-9d35-aa2884f241d3
55003	2	7949	2013-08-03 18:17:40.297811	2013-08-03 18:17:40.297811	\N	9f604bf3-9b78-4371-b541-1a3adc44fe0c
48449	10	7510	2013-08-03 17:54:14.944954	2013-08-03 17:54:14.944954	\N	6604cf81-c998-49bd-b22b-8e71ff1fe4d5
48450	10	7513	2013-08-03 17:54:15.081674	2013-08-03 17:54:15.081674	\N	fb466f12-e4e3-4fc2-ab02-15cfd68c4cce
48451	10	7516	2013-08-03 17:54:15.215279	2013-08-03 17:54:15.215279	\N	650e2ba8-b997-48ac-9c97-b09667ff34dc
51550	19	7672	2013-08-03 18:02:34.27999	2013-08-03 18:02:34.27999	\N	4315c173-8611-40a8-8f7a-fd5973af7421
51551	8	7696	2013-08-03 18:02:34.663717	2013-08-03 18:02:34.663717	\N	a463951f-fee1-4ae7-b9ad-0c7b8972eddf
55004	2	7930	2013-08-03 18:17:40.344095	2013-08-03 18:17:40.344095	\N	0ad66d50-c813-44bd-b977-ee5d4f32d18c
51560	19	7663	2013-08-03 18:02:36.200504	2013-08-03 18:02:36.200504	\N	ba84d364-9d03-4323-b024-5ee32388709c
51568	19	7645	2013-08-03 18:02:38.890345	2013-08-03 18:02:38.890345	\N	a7a96828-a1ad-40a2-b744-6b8e76ecce11
51570	2	7697	2013-08-03 18:02:39.967091	2013-08-03 18:02:39.967091	\N	538a27fc-6011-4d51-b4ae-7355eaf5f528
51571	2	7681	2013-08-03 18:02:40.043932	2013-08-03 18:02:40.043932	\N	d800539d-91c8-4a1d-b469-ffb8882e216d
57369	2	8206	2013-08-03 18:33:55.70365	2013-08-03 18:33:55.70365	\N	32051597-c226-4c1a-8f4e-feb7240e64c8
53604	6	7753	2013-08-03 18:11:10.032869	2013-08-03 18:11:10.032869	\N	d8cfbbb4-7fd3-49ab-bb39-9a077503312f
51585	8	7663	2013-08-03 18:02:44.516637	2013-08-03 18:02:44.516637	\N	95e94663-108a-48c8-8281-c4c15e7ae31c
50173	19	7579	2013-08-03 17:58:41.051462	2013-08-03 17:58:41.051462	\N	f36d4740-9814-4baa-9f83-e96c79355872
52699	7	7735	2013-08-03 18:07:37.775048	2013-08-03 18:07:37.775048	\N	eff42928-efd6-4072-971b-5a723cfa083b
51588	8	7651	2013-08-03 18:02:44.987612	2013-08-03 18:02:44.987612	\N	384dd458-e68a-4743-a983-17d0c447cb66
55009	14	7924	2013-08-03 18:17:42.561741	2013-08-03 18:17:42.561741	\N	bf668b93-038f-413b-968a-84095482c598
51598	8	7702	2013-08-03 18:02:45.041172	2013-08-03 18:02:45.041172	\N	6756945a-41eb-4192-a0dd-85ec9e620de5
55010	14	7951	2013-08-03 18:17:42.659771	2013-08-03 18:17:42.659771	\N	c2b371a9-3984-4a0c-999e-c72ba258cef1
50180	8	7613	2013-08-03 17:58:41.821148	2013-08-03 17:58:41.821148	\N	447a9f26-dd6d-42cd-8a65-9b3b102bf52e
55011	14	7915	2013-08-03 18:17:42.706882	2013-08-03 18:17:42.706882	\N	71de41a7-5f0c-4be3-bf65-a1eb4b20666a
66635	4	9373	2013-08-03 19:26:20.723672	2013-08-03 19:26:20.723672	\N	4bc6d856-266c-4119-bd4e-a6d06b755142
55760	16	7909	2013-08-03 18:22:05.323611	2013-08-03 18:22:05.323611	\N	285721bd-c6c2-4e3c-894f-913ce121ad05
70603	19	9802	2013-08-03 19:41:04.311491	2013-08-03 19:41:04.311491	\N	65670c11-2603-40ea-92a5-5f907020f1a0
52049	5	7702	2013-08-03 18:04:22.630395	2013-08-03 18:04:22.630395	\N	0ffbed60-dc16-4ba8-b2f2-a16ace869b5f
55781	7	8008	2013-08-03 18:22:19.118006	2013-08-03 18:22:19.118006	\N	8c978c5f-0f31-4f03-bcf9-1cbd04d5f40d
55798	6	8002	2013-08-03 18:22:30.395481	2013-08-03 18:22:30.395481	\N	b70ed73f-d69e-4072-8b9a-d16eff4726f0
52720	2	7753	2013-08-03 18:07:39.95651	2013-08-03 18:07:39.95651	\N	52beabe0-5aa2-417d-a85b-16a3cd9e8e11
47667	11	7483	2013-08-03 17:52:37.858602	2013-08-03 17:52:37.858602	\N	b6cb88b2-447f-4254-981b-066222cc9803
51614	11	7657	2013-08-03 18:02:49.259126	2013-08-03 18:02:49.259126	\N	b64a9caa-b164-4d1e-be64-8b8eb301f146
52053	4	7653	2013-08-03 18:04:23.040071	2013-08-03 18:04:23.040071	\N	1d273f05-7eb2-473a-ae2f-4fac8ea39ffb
52721	2	7781	2013-08-03 18:07:39.992576	2013-08-03 18:07:39.992576	\N	1fe59f66-b6e2-4255-b89f-e62f8e9562f7
47671	11	7486	2013-08-03 17:52:38.17087	2013-08-03 17:52:38.17087	\N	789ad65f-3cb1-4918-89a7-999392510cc9
47673	11	7489	2013-08-03 17:52:38.326828	2013-08-03 17:52:38.326828	\N	c406306f-4e08-4c08-abf0-afeee3649373
52082	4	7703	2013-08-03 18:04:32.341	2013-08-03 18:04:32.341	\N	ac20b5de-9bfc-4b51-849d-65d67a8d9838
47675	11	7477	2013-08-03 17:52:38.504286	2013-08-03 17:52:38.504286	\N	37c3a7aa-c532-4b8d-9025-6d1083e7540c
47676	11	7495	2013-08-03 17:52:38.66204	2013-08-03 17:52:38.66204	\N	056acb3b-f3a6-417a-bb83-7a010b8ad818
47677	11	7498	2013-08-03 17:52:38.817572	2013-08-03 17:52:38.817572	\N	584099cc-945f-4636-8bdb-4541da31bd56
46475	19	7445	2013-08-03 17:49:50.831323	2013-08-03 17:49:50.831323	\N	9728ef65-1d08-400c-8048-1b5bf5d0810d
55802	6	8035	2013-08-03 18:22:30.810045	2013-08-03 18:22:30.810045	\N	739a3751-f3a6-4673-8661-4d9599e69e88
52723	2	7762	2013-08-03 18:07:41.087816	2013-08-03 18:07:41.087816	\N	19d3b276-c434-46f5-b5ad-c512fc21c98a
51635	11	7681	2013-08-03 18:02:50.50843	2013-08-03 18:02:50.50843	\N	98262b80-4e00-494d-8d3f-5c1908b67a1e
47686	11	7513	2013-08-03 17:52:39.492958	2013-08-03 17:52:39.492958	\N	4a3f2a63-9a04-465a-a579-49bd1704d899
52724	2	7756	2013-08-03 18:07:41.176996	2013-08-03 18:07:41.176996	\N	bd195ee2-2f84-4ca4-b2db-426c475f9080
52725	2	7777	2013-08-03 18:07:41.203389	2013-08-03 18:07:41.203389	\N	c5b8775d-51fc-428f-be30-02a2e86031fe
55811	6	8032	2013-08-03 18:22:30.995036	2013-08-03 18:22:30.995036	\N	10a9bf58-ac31-417c-852a-72cbd504a1f8
48487	6	7510	2013-08-03 17:54:19.396832	2013-08-03 17:54:19.396832	\N	ed2dea60-6a38-4ae0-99f2-3331006d7f8e
53535	19	7762	2013-08-03 18:10:53.673855	2013-08-03 18:10:53.673855	\N	78017c9e-fe47-494b-8dcf-b9b60c1fc906
56520	11	8065	2013-08-03 18:27:40.538755	2013-08-03 18:27:40.538755	\N	7381b34c-6181-4ac8-bcf8-f7e0795d358f
56522	11	8086	2013-08-03 18:27:40.836873	2013-08-03 18:27:40.836873	\N	5cf82198-4130-4f1c-bebb-3ee32d75854c
54967	8	7948	2013-08-03 18:17:20.690666	2013-08-03 18:17:20.690666	\N	34e9db83-2930-48d6-a811-8432fdc0d393
50015	2	7615	2013-08-03 17:58:25.868791	2013-08-03 17:58:25.868791	\N	d3abadb1-91dd-456c-b80a-2cca76fe5be9
50160	2	7567	2013-08-03 17:58:39.953639	2013-08-03 17:58:39.953639	\N	c5cdf8d3-7cdc-4981-a099-6ba92dd47247
48496	6	7528	2013-08-03 17:54:20.1339	2013-08-03 17:54:20.1339	\N	51f93e17-dd79-4139-8a9d-e09ddf5099ca
48497	6	7480	2013-08-03 17:54:20.613635	2013-08-03 17:54:20.613635	\N	21345f2a-0d5c-430d-a86b-520c00dfa1ba
48498	6	7483	2013-08-03 17:54:21.319091	2013-08-03 17:54:21.319091	\N	927d249a-f2be-4593-bb57-a2e7b6fe633d
54972	8	7924	2013-08-03 18:17:20.733995	2013-08-03 18:17:20.733995	\N	4dadbfeb-4ec3-423b-9eab-b4ef92bed375
56524	11	8098	2013-08-03 18:27:41.161385	2013-08-03 18:27:41.161385	\N	3fbda9f6-3123-45df-b0ca-9dd15ff36376
54982	1	7906	2013-08-03 18:17:28.677158	2013-08-03 18:17:28.677158	\N	e2bed9ab-04a1-4c70-a0a1-98154bf76f47
54983	1	7909	2013-08-03 18:17:28.78252	2013-08-03 18:17:28.78252	\N	19a76046-f8fb-4083-aa0a-c879062a454c
54984	11	7924	2013-08-03 18:17:28.846655	2013-08-03 18:17:28.846655	\N	932ca3e0-5439-48d3-88fb-67aaee3be9d3
54998	1	7949	2013-08-03 18:17:29.964934	2013-08-03 18:17:29.964934	\N	275715d2-fa7d-44d9-b94d-85eaa312da3d
57374	8	8158	2013-08-03 18:33:56.843823	2013-08-03 18:33:56.843823	\N	d7c37021-6269-443e-bb2e-05b43f0d45a3
53551	19	7780	2013-08-03 18:10:59.470185	2013-08-03 18:10:59.470185	\N	51cc4ef1-28b2-4f0e-8cdd-b362c5b2a5c4
57375	8	8161	2013-08-03 18:33:57.754307	2013-08-03 18:33:57.754307	\N	beb74660-181b-44fc-8cee-f9ed46f3dfad
61892	5	8761	2013-08-03 19:00:22.790387	2013-08-03 19:00:22.790387	\N	c95e97d9-b261-4171-92ed-4e46dd1cbd8c
51517	19	7681	2013-08-03 18:02:19.248167	2013-08-03 18:02:19.248167	\N	e3b1b26e-9bb5-461b-870f-6c235e374708
50196	19	7585	2013-08-03 17:58:45.912513	2013-08-03 17:58:45.912513	\N	eb98b36f-b230-483f-a259-4cc01b970aea
55017	7	7918	2013-08-03 18:17:48.656633	2013-08-03 18:17:48.656633	\N	8087a268-ca89-47b3-9aff-6aa00bb997ee
51525	7	7696	2013-08-03 18:02:21.584623	2013-08-03 18:02:21.584623	\N	243859cf-d9d9-4997-9104-7ed9829873bb
51526	7	7702	2013-08-03 18:02:21.681325	2013-08-03 18:02:21.681325	\N	d05d2372-7af0-41fe-9d9c-a481cb64bfe5
51527	7	7699	2013-08-03 18:02:21.786572	2013-08-03 18:02:21.786572	\N	7f8d118a-ee44-41ae-b725-4d87240a40e9
51528	7	7645	2013-08-03 18:02:21.894657	2013-08-03 18:02:21.894657	\N	f060c430-6e3c-46c4-9aed-e9bf86f35f31
51529	7	7681	2013-08-03 18:02:22.034867	2013-08-03 18:02:22.034867	\N	6092da23-dea8-4848-936f-55e2a256eb68
55018	7	7951	2013-08-03 18:17:48.805366	2013-08-03 18:17:48.805366	\N	c338ce92-3034-44d0-95a5-6bb60b79af5d
55019	7	7930	2013-08-03 18:17:48.906869	2013-08-03 18:17:48.906869	\N	c7d9c29b-b34e-48e6-ae6f-e9654b298865
55022	7	7945	2013-08-03 18:17:49.145546	2013-08-03 18:17:49.145546	\N	8bab26b2-1f93-40da-a7d2-57949e864243
55023	7	7949	2013-08-03 18:17:49.238128	2013-08-03 18:17:49.238128	\N	6b4a3f43-91cb-4133-b76c-fdd67c565a11
51537	19	7651	2013-08-03 18:02:23.419497	2013-08-03 18:02:23.419497	\N	ec0b3124-f2b9-45bb-b982-b606db857fb7
50762	2	7573	2013-08-03 18:00:10.435657	2013-08-03 18:00:10.435657	\N	756d32a1-70f5-441e-97a3-a515034bc7e6
55024	7	7954	2013-08-03 18:17:49.352286	2013-08-03 18:17:49.352286	\N	56771dee-48fb-4a15-8f49-e765a6c157cd
55025	7	7948	2013-08-03 18:17:49.444844	2013-08-03 18:17:49.444844	\N	eaebdccf-3072-4733-b39a-4cd258f820f4
55026	7	7924	2013-08-03 18:17:49.518893	2013-08-03 18:17:49.518893	\N	b3d3c7dd-b4ad-4c5f-8de8-a9763503d80e
51602	11	7651	2013-08-03 18:02:48.554975	2013-08-03 18:02:48.554975	\N	e496c054-ffc9-4832-8060-742c26de82e9
51603	7	7657	2013-08-03 18:02:48.663621	2013-08-03 18:02:48.663621	\N	d51d8ce1-4bfa-42fe-9fd6-f2d4166466f6
51629	11	7672	2013-08-03 18:02:50.168066	2013-08-03 18:02:50.168066	\N	6e033885-8d31-4215-ad4a-ab3b7a706391
55027	7	7909	2013-08-03 18:17:49.63568	2013-08-03 18:17:49.63568	\N	3d50fcb1-1b16-40cd-a5fe-6a4d0c543a7a
51632	11	7678	2013-08-03 18:02:50.340197	2013-08-03 18:02:50.340197	\N	9aa97e1b-6e26-477f-841b-439a4e7a4493
76441	9	10558	2013-08-03 20:07:29.806656	2013-08-03 20:07:29.806656	\N	6c59781b-5763-4b66-8ec3-f9ef0d876bc7
52846	8	7756	2013-08-03 18:08:13.486601	2013-08-03 18:08:13.486601	\N	b62e6437-7a69-4a40-83d9-ce098f96ce41
51638	11	7697	2013-08-03 18:02:50.669158	2013-08-03 18:02:50.669158	\N	190cefc9-e6d1-4fd2-8051-0a49b191375a
52122	4	7693	2013-08-03 18:04:35.385889	2013-08-03 18:04:35.385889	\N	c989b920-d0ac-4879-9e95-cbcf20d73976
52849	2	7729	2013-08-03 18:08:13.667232	2013-08-03 18:08:13.667232	\N	3803262e-160c-4b7d-8a81-33d4495d1e1d
56554	1	8098	2013-08-03 18:27:58.636086	2013-08-03 18:27:58.636086	\N	dcff692b-a6c1-4644-9083-46a5d1ff145b
56571	14	8065	2013-08-03 18:28:00.802348	2013-08-03 18:28:00.802348	\N	b9f7a3cf-46a4-47e4-9927-a087f9958a81
56575	14	8122	2013-08-03 18:28:00.973134	2013-08-03 18:28:00.973134	\N	9a52fbff-dbe0-40e0-8402-5b3c55e7f65c
56578	14	8119	2013-08-03 18:28:01.125272	2013-08-03 18:28:01.125272	\N	34054520-6a87-4072-ab55-848319b70bac
52143	6	7696	2013-08-03 18:04:40.593074	2013-08-03 18:04:40.593074	\N	5c3a7946-f80c-4447-b81d-1ca561b99a1c
52144	6	7645	2013-08-03 18:04:40.713906	2013-08-03 18:04:40.713906	\N	d51d75f6-2293-44dc-80f7-85ba1f9f68e9
72020	2	10018	2013-08-03 19:47:42.252396	2013-08-03 19:47:42.252396	\N	93c1e836-4264-4fc9-aadf-eb058d525ea5
56612	1	8074	2013-08-03 18:28:28.668141	2013-08-03 18:28:28.668141	\N	db82d2a4-f9df-49a2-bff4-8de0fb56a5ae
55081	2	7909	2013-08-03 18:18:10.602227	2013-08-03 18:18:10.602227	\N	9eca17c2-6744-4aa4-9ccb-47c23d8235d2
55082	2	7933	2013-08-03 18:18:10.650799	2013-08-03 18:18:10.650799	\N	9eb4e097-e34d-4113-b5ff-391a34372fea
56614	1	8083	2013-08-03 18:28:28.903471	2013-08-03 18:28:28.903471	\N	5506eb13-2a2c-4d06-be31-5a88d2108378
55764	16	7927	2013-08-03 18:22:06.500396	2013-08-03 18:22:06.500396	\N	cc1b45c9-c3f7-4559-9205-2a30bb8d87ab
66649	13	9397	2013-08-03 19:26:21.851487	2013-08-03 19:26:21.851487	\N	c84b9d16-1e39-40ea-a6bc-f7b29f25f554
55778	7	8032	2013-08-03 18:22:18.229941	2013-08-03 18:22:18.229941	\N	dc3776c1-f198-4abb-84c8-ee02ebbad58e
55799	6	8014	2013-08-03 18:22:30.504086	2013-08-03 18:22:30.504086	\N	0ccd9337-48d4-4b58-a3ea-bcb41f585a2b
55800	7	8033	2013-08-03 18:22:30.766156	2013-08-03 18:22:30.766156	\N	c63024c0-4e46-483f-a492-5cd173732b9c
55103	5	7918	2013-08-03 18:18:11.73271	2013-08-03 18:18:11.73271	\N	fa4bedac-5749-4b45-b2fc-dba88aafcb1e
55105	5	7930	2013-08-03 18:18:11.76961	2013-08-03 18:18:11.76961	\N	04d1750d-a363-4073-a5ec-1ffb4563bd51
55106	5	7948	2013-08-03 18:18:11.81966	2013-08-03 18:18:11.81966	\N	8a57b898-cdb0-4b06-be36-bb93a617f57b
55820	8	8035	2013-08-03 18:22:32.768913	2013-08-03 18:22:32.768913	\N	5eba9a09-7160-465c-9f4c-9458130c3d49
55826	6	7981	2013-08-03 18:22:32.879158	2013-08-03 18:22:32.879158	\N	6d9f7675-ef1b-4e56-980e-cc6caf6a155f
57395	8	8176	2013-08-03 18:34:01.857182	2013-08-03 18:34:01.857182	\N	e57aec5d-4723-4042-b938-9cc558b2f876
55830	6	7993	2013-08-03 18:22:33.270871	2013-08-03 18:22:33.270871	\N	c33b66b3-2ecc-4341-8649-01accac2d08a
72021	2	10027	2013-08-03 19:47:42.283579	2013-08-03 19:47:42.283579	\N	765a6504-365c-4ccb-abfd-466d892b466b
55834	11	7993	2013-08-03 18:22:35.087052	2013-08-03 18:22:35.087052	\N	9314182c-0bbf-4560-ae03-2e5c9ac715b7
55836	11	7999	2013-08-03 18:22:35.500472	2013-08-03 18:22:35.500472	\N	17ffe052-0a5c-430e-a31c-abbe2beb1350
72023	2	10049	2013-08-03 19:47:42.31583	2013-08-03 19:47:42.31583	\N	a56f9481-3ef5-4558-9ca8-0b36ae9e4b22
55840	11	8005	2013-08-03 18:22:35.891079	2013-08-03 18:22:35.891079	\N	77addeb0-e8c2-4026-9920-44bfe201eff6
55841	11	8008	2013-08-03 18:22:36.091935	2013-08-03 18:22:36.091935	\N	853d4d5e-8bcc-4e82-9e5c-d9b8a06c94bf
55842	11	8014	2013-08-03 18:22:36.293145	2013-08-03 18:22:36.293145	\N	e74bf994-e9f0-4fba-aa21-31bd2951bbef
55849	11	8038	2013-08-03 18:22:37.415516	2013-08-03 18:22:37.415516	\N	e33eb3a9-380b-49d4-bcb4-b194581ed5bf
54443	12	7871	2013-08-03 18:14:44.370234	2013-08-03 18:14:44.370234	\N	07f5a4a4-1b5d-40ae-89a3-624e3e668edf
57414	11	8176	2013-08-03 18:34:11.93392	2013-08-03 18:34:11.93392	\N	b019c42c-6530-4a77-9975-d5ef752729d2
73506	13	10135	2013-08-03 19:55:03.051038	2013-08-03 19:55:03.051038	\N	0d275a67-304f-4f6a-b1fc-bae2cfd542e5
59382	12	8383	2013-08-03 18:45:36.163532	2013-08-03 18:45:36.163532	\N	2c963f87-9653-4524-9ff4-355fbd1bbd04
53059	16	7684	2013-08-03 18:09:06.148376	2013-08-03 18:09:06.148376	\N	2dfa6e47-f391-4c0f-adaf-21af715f785a
53060	16	7693	2013-08-03 18:09:06.232812	2013-08-03 18:09:06.232812	\N	26c8502d-1b77-40ba-a08f-17fd865447aa
53063	16	7696	2013-08-03 18:09:06.266385	2013-08-03 18:09:06.266385	\N	76414cb6-6d15-431c-9986-bcd0e1538762
57424	1	8206	2013-08-03 18:34:13.814745	2013-08-03 18:34:13.814745	\N	eb461af7-a6e2-408c-931c-571c426accfa
67863	19	9535	2013-08-03 19:31:16.712229	2013-08-03 19:31:16.712229	\N	f71bfccf-e1c9-47bc-a498-ce7ff77d02b3
53159	5	7747	2013-08-03 18:09:29.373895	2013-08-03 18:09:29.373895	\N	0dcccbe4-d0bb-46a0-9af2-2d31f0e489e7
53160	5	7762	2013-08-03 18:09:29.443183	2013-08-03 18:09:29.443183	\N	60771b11-d1f9-47ec-874a-de1ed588ee97
53161	5	7780	2013-08-03 18:09:29.499674	2013-08-03 18:09:29.499674	\N	83693002-95bb-476e-8e2a-261c42c2fb1f
55172	2	7948	2013-08-03 18:18:25.801511	2013-08-03 18:18:25.801511	\N	8b49cc0c-e8b2-4f2e-bdfd-1b91b40a5036
55173	2	7951	2013-08-03 18:18:25.836333	2013-08-03 18:18:25.836333	\N	04a47c2b-dc5c-4b5a-a180-e3ac582f37b6
64195	9	9041	2013-08-03 19:12:00.88598	2013-08-03 19:12:00.88598	\N	778cecd2-552f-4f71-94e0-d04e1b737f3f
60463	9	8497	2013-08-03 18:51:22.234186	2013-08-03 18:51:22.234186	\N	6d582814-3746-48c5-9659-5b765ce2e2fb
53166	4	7753	2013-08-03 18:09:30.429115	2013-08-03 18:09:30.429115	\N	abc4bb16-7193-413f-9299-e7934edf56ce
53854	7	7865	2013-08-03 18:12:28.447894	2013-08-03 18:12:28.447894	\N	25a96c1c-fb65-4541-b42a-91fd85360a9e
53855	1	7825	2013-08-03 18:12:28.674224	2013-08-03 18:12:28.674224	\N	642fe07f-7034-4cfd-950b-bf450d543df4
53856	1	7831	2013-08-03 18:12:28.772227	2013-08-03 18:12:28.772227	\N	37fa5912-162d-4ca4-a9c2-139fd0cfc80c
53863	1	7871	2013-08-03 18:12:29.688685	2013-08-03 18:12:29.688685	\N	a993f2d9-eec3-4262-8111-6676b6276383
53865	7	7864	2013-08-03 18:12:31.754403	2013-08-03 18:12:31.754403	\N	f319c874-d2b8-4013-ad69-69e119a4f3a3
53172	10	7781	2013-08-03 18:09:31.397104	2013-08-03 18:09:31.397104	\N	fdb6f920-be14-46f9-b2aa-29e8acf5ceb9
53173	10	7762	2013-08-03 18:09:32.206394	2013-08-03 18:09:32.206394	\N	01b843a2-b52e-4961-8a6a-982d9fa891b1
53174	10	7783	2013-08-03 18:09:32.291898	2013-08-03 18:09:32.291898	\N	dc57b073-bd39-44e7-a9c2-a260d566a19e
53175	10	7780	2013-08-03 18:09:32.387018	2013-08-03 18:09:32.387018	\N	2d2a220a-1b51-46e4-a367-a1c18085394a
53176	10	7747	2013-08-03 18:09:32.462228	2013-08-03 18:09:32.462228	\N	e6c93675-35a6-4177-a1e4-ef51a75b025b
52383	6	7675	2013-08-03 18:05:51.320275	2013-08-03 18:05:51.320275	\N	67164209-14bf-4a70-a373-31aae5b5b27e
52384	6	7672	2013-08-03 18:05:51.704929	2013-08-03 18:05:51.704929	\N	e042269e-0429-48be-99f1-77c3578761c6
52385	6	7651	2013-08-03 18:05:52.184392	2013-08-03 18:05:52.184392	\N	534ffb8f-c96a-422e-b0a9-6550f45301b3
48489	6	7477	2013-08-03 17:54:19.519491	2013-08-03 17:54:19.519491	\N	0cef5566-2114-4c2f-b7d9-ca375d337a8d
50075	4	7615	2013-08-03 17:58:29.235365	2013-08-03 17:58:29.235365	\N	091edd7e-4e45-4f92-93aa-131e15c019fd
50076	4	7618	2013-08-03 17:58:29.259376	2013-08-03 17:58:29.259376	\N	857ac162-b173-4a89-b496-6d322060f07c
52138	2	7657	2013-08-03 18:04:39.934328	2013-08-03 18:04:39.934328	\N	f8bd34ba-2099-4b30-8201-6bb62b9c227c
52805	11	7762	2013-08-03 18:07:58.630394	2013-08-03 18:07:58.630394	\N	28a4d3e3-46a9-4529-a04e-48d4a41d4f15
52806	11	7777	2013-08-03 18:07:58.883169	2013-08-03 18:07:58.883169	\N	c0117eb6-5479-4602-b274-bcbc44bd8c06
51519	7	7675	2013-08-03 18:02:20.952132	2013-08-03 18:02:20.952132	\N	3feca4a4-091b-4869-96fd-b0dfd77d89d5
52874	8	7780	2013-08-03 18:08:17.415281	2013-08-03 18:08:17.415281	\N	cbc597c1-59de-4575-beae-c76a14cd98c6
52876	8	7783	2013-08-03 18:08:18.155366	2013-08-03 18:08:18.155366	\N	a90da877-d3d9-49ec-a565-edc8f45c7d44
51522	7	7678	2013-08-03 18:02:21.283579	2013-08-03 18:02:21.283579	\N	a71cafed-4376-441b-8313-eb584cb5aab5
56529	11	8119	2013-08-03 18:27:42.010887	2013-08-03 18:27:42.010887	\N	420dd783-eefa-43ad-aed3-d44581ec6482
51524	7	7672	2013-08-03 18:02:21.476882	2013-08-03 18:02:21.476882	\N	bff2b8e4-73a1-40a2-88c6-6c14e9dce8cf
51530	7	7697	2013-08-03 18:02:22.211113	2013-08-03 18:02:22.211113	\N	a4d0919b-6674-4227-bf79-fb10a8cc328c
51531	7	7651	2013-08-03 18:02:22.314165	2013-08-03 18:02:22.314165	\N	554b6075-71f3-4129-a6f0-5aa59c111e28
51532	7	7650	2013-08-03 18:02:22.399687	2013-08-03 18:02:22.399687	\N	c945f75d-4477-4159-91d5-53a51f4a15af
51541	1	7697	2013-08-03 18:02:28.714882	2013-08-03 18:02:28.714882	\N	f3b59abc-776a-4c5b-acb8-61c0c07b3895
51542	19	7675	2013-08-03 18:02:29.216399	2013-08-03 18:02:29.216399	\N	18975354-e63f-4a42-9227-32ce081385a5
51543	8	7657	2013-08-03 18:02:29.418773	2013-08-03 18:02:29.418773	\N	11a82e6a-9459-40d8-b3a5-63ca2bc0d7ec
54965	8	7915	2013-08-03 18:17:20.673708	2013-08-03 18:17:20.673708	\N	90b7ec54-bfbc-4964-9662-8931a0b29003
51545	19	7657	2013-08-03 18:02:31.291229	2013-08-03 18:02:31.291229	\N	3432f51c-2abe-4c48-be21-18f0a3900adc
51546	8	7672	2013-08-03 18:02:32.157841	2013-08-03 18:02:32.157841	\N	97ef08d9-7a14-42c7-9ab6-5844d33e34e6
51547	8	7675	2013-08-03 18:02:32.306638	2013-08-03 18:02:32.306638	\N	d4b583ae-60d0-49af-9b83-1b97ce71d573
51548	8	7678	2013-08-03 18:02:32.424415	2013-08-03 18:02:32.424415	\N	bb138ccc-267b-4423-8ca8-30c5e13126d3
51549	8	7681	2013-08-03 18:02:32.526878	2013-08-03 18:02:32.526878	\N	0cfb155b-90ea-4fa5-aa0b-9330acb7f48c
51553	8	7699	2013-08-03 18:02:34.754323	2013-08-03 18:02:34.754323	\N	7513f8e3-84da-4b65-a5aa-0b78329c3a56
51554	14	7678	2013-08-03 18:02:36.019266	2013-08-03 18:02:36.019266	\N	5e9a69be-1f50-4795-bc83-d43792bb0a63
51555	14	7672	2013-08-03 18:02:36.099585	2013-08-03 18:02:36.099585	\N	8ab90b85-825e-4201-972a-02e156b728e5
51556	14	7657	2013-08-03 18:02:36.124333	2013-08-03 18:02:36.124333	\N	ea68ec5c-90d1-4764-a623-9eeea922f626
51557	14	7699	2013-08-03 18:02:36.149308	2013-08-03 18:02:36.149308	\N	68165b89-a040-4334-aab3-f9a4b4b7e22a
51558	14	7669	2013-08-03 18:02:36.174097	2013-08-03 18:02:36.174097	\N	d87da9b5-db19-4541-93e7-bfd20f3acb14
51559	14	7696	2013-08-03 18:02:36.199319	2013-08-03 18:02:36.199319	\N	f3bf09d3-ccc2-4089-b846-fa3bd114ca93
51561	14	7681	2013-08-03 18:02:36.224072	2013-08-03 18:02:36.224072	\N	c02b13f0-3936-4131-b6e6-c3b0df503f8c
51562	14	7663	2013-08-03 18:02:36.273699	2013-08-03 18:02:36.273699	\N	01cfe243-9cc7-4869-814f-72d5b501ef15
51563	14	7645	2013-08-03 18:02:36.298206	2013-08-03 18:02:36.298206	\N	0ad8385c-429a-44f5-84f5-4fc3f96a7254
48546	10	7528	2013-08-03 17:54:27.399602	2013-08-03 17:54:27.399602	\N	5b9cf517-3996-4b44-86e9-1e5372206acc
48547	10	7531	2013-08-03 17:54:27.54099	2013-08-03 17:54:27.54099	\N	28d2381c-38f4-4b35-b18a-07396ed37f66
51564	14	7702	2013-08-03 18:02:36.325685	2013-08-03 18:02:36.325685	\N	ebd1461b-e244-4307-9b43-3df2497bd68b
54970	8	7945	2013-08-03 18:17:20.716286	2013-08-03 18:17:20.716286	\N	be4d59c5-5684-4d1b-9da2-63de4d719a53
55710	6	7915	2013-08-03 18:21:30.404192	2013-08-03 18:21:30.404192	\N	bcac4b6d-c4cb-41fb-950c-3243ac6dec6a
54975	2	7945	2013-08-03 18:17:25.08971	2013-08-03 18:17:25.08971	\N	8848b796-ac82-4ded-9284-f1938fcedcd0
72025	2	10032	2013-08-03 19:47:42.385003	2013-08-03 19:47:42.385003	\N	d349b2ad-2ebb-404e-bf03-9d46b6650815
51572	8	7697	2013-08-03 18:02:40.286296	2013-08-03 18:02:40.286296	\N	0f713788-b56b-47e1-9aa3-8ede8e872676
51573	2	7651	2013-08-03 18:02:41.097688	2013-08-03 18:02:41.097688	\N	947ff6fd-682f-482d-9a3a-33854758ac4e
55712	6	7948	2013-08-03 18:21:30.958685	2013-08-03 18:21:30.958685	\N	5cafc8a5-690c-4610-a79b-505f95d1b44a
54978	11	7909	2013-08-03 18:17:27.930712	2013-08-03 18:17:27.930712	\N	5b52c75b-2725-4a66-8ec8-35dd40014a3c
51576	2	7645	2013-08-03 18:02:42.200949	2013-08-03 18:02:42.200949	\N	bff44b0e-c64e-4c5c-862f-935a45104076
54979	11	7897	2013-08-03 18:17:28.14727	2013-08-03 18:17:28.14727	\N	e3a3c7f5-328d-4f96-b885-046fa6efe102
52918	16	7663	2013-08-03 18:08:29.481506	2013-08-03 18:08:29.481506	\N	735d3c45-8c13-4f87-b4b3-70ab1bdeed40
52919	16	7669	2013-08-03 18:08:29.544717	2013-08-03 18:08:29.544717	\N	3e3bea71-813e-4a87-a249-d52f86722322
54980	11	7915	2013-08-03 18:17:28.350665	2013-08-03 18:17:28.350665	\N	edddeb5f-117e-4c69-992c-7855f8de9d3c
52921	7	7738	2013-08-03 18:08:30.106381	2013-08-03 18:08:30.106381	\N	4d88b552-cfa2-41a7-9076-1483ebb68eaf
54981	11	7921	2013-08-03 18:17:28.676551	2013-08-03 18:17:28.676551	\N	c15149d6-413f-4e11-a654-1ebcc51a6944
51587	19	7696	2013-08-03 18:02:44.833251	2013-08-03 18:02:44.833251	\N	6efde484-70dc-4d94-848e-9430875dcb46
54986	1	7918	2013-08-03 18:17:28.943649	2013-08-03 18:17:28.943649	\N	3122b919-1891-45fc-b5b7-102fbc0a7573
54987	11	7930	2013-08-03 18:17:29.03495	2013-08-03 18:17:29.03495	\N	b4862c5e-599d-4789-a877-4354d09c7bef
54991	1	7945	2013-08-03 18:17:29.215207	2013-08-03 18:17:29.215207	\N	cbf93a39-d944-4ba1-a91f-f1f58d34da64
54992	1	7948	2013-08-03 18:17:29.42121	2013-08-03 18:17:29.42121	\N	f29be2c5-fd1a-455c-ab1f-cff7c5c91e58
54994	1	7951	2013-08-03 18:17:29.559794	2013-08-03 18:17:29.559794	\N	6e86c4dc-bc8b-41e0-9fad-c93ef4411508
54995	11	7948	2013-08-03 18:17:29.658541	2013-08-03 18:17:29.658541	\N	89c37053-0d05-4590-b7c3-36df761f6f4f
55714	6	7897	2013-08-03 18:21:31.389576	2013-08-03 18:21:31.389576	\N	100f2109-fc34-40f2-a597-daf5b4f19e62
54330	14	7846	2013-08-03 18:14:10.941278	2013-08-03 18:14:10.941278	\N	aa4d0fcd-bcd2-44e8-a79e-c9bceef3c88d
54331	14	7825	2013-08-03 18:14:11.002398	2013-08-03 18:14:11.002398	\N	9ba549e4-e71d-46fa-842d-5293b91a9847
54332	14	7864	2013-08-03 18:14:11.040179	2013-08-03 18:14:11.040179	\N	19cd2de0-4dc4-4fc2-83e7-074010e3b508
52938	4	7787	2013-08-03 18:08:37.78333	2013-08-03 18:08:37.78333	\N	e298aa83-d761-4ed0-9eff-c9dfc83b0166
54333	14	7837	2013-08-03 18:14:11.081341	2013-08-03 18:14:11.081341	\N	b5a48587-25af-49ec-89bc-6347914dab31
55020	7	7897	2013-08-03 18:17:48.978126	2013-08-03 18:17:48.978126	\N	8ba827cd-2c39-4140-9418-812bfb27ae60
55021	7	7911	2013-08-03 18:17:49.067815	2013-08-03 18:17:49.067815	\N	72786809-70bf-47fe-b9d0-0c43c7effdd4
55716	6	7930	2013-08-03 18:21:32.089839	2013-08-03 18:21:32.089839	\N	99978305-531b-4cd4-a24c-811ca13359d2
59390	4	8383	2013-08-03 18:45:38.954278	2013-08-03 18:45:38.954278	\N	cd415322-997d-445b-bdae-e7371b36dfef
72026	11	10030	2013-08-03 19:47:42.436019	2013-08-03 19:47:42.436019	\N	70385d00-30da-4f23-9f9f-b55f7b64154e
55034	5	7921	2013-08-03 18:17:55.869953	2013-08-03 18:17:55.869953	\N	83b6747b-7798-400a-963f-03127f3b3d9b
55035	5	7924	2013-08-03 18:17:55.906129	2013-08-03 18:17:55.906129	\N	a351c616-a7b3-4f55-8a7b-05e81bef07e8
53178	10	7741	2013-08-03 18:09:32.539714	2013-08-03 18:09:32.539714	\N	e25508b8-c3c9-44bd-94aa-478023884b95
53672	4	7737	2013-08-03 18:11:23.366956	2013-08-03 18:11:23.366956	\N	0d607024-8e53-4f43-972b-eba3667aa022
55036	5	7915	2013-08-03 18:17:55.942247	2013-08-03 18:17:55.942247	\N	73e179d3-ed97-4751-afc1-6cb8bc445aba
55722	6	7918	2013-08-03 18:21:37.194213	2013-08-03 18:21:37.194213	\N	b24a0912-8844-4097-9131-7fbb062fa11b
66629	13	9400	2013-08-03 19:26:19.945895	2013-08-03 19:26:19.945895	\N	7099b05c-9e47-4186-b6ff-d2e7f1487c29
56570	14	8086	2013-08-03 18:28:00.802086	2013-08-03 18:28:00.802086	\N	68192d5c-0f31-43f0-b122-9da67d344a88
53212	2	7787	2013-08-03 18:09:40.127974	2013-08-03 18:09:40.127974	\N	b62b1380-7187-4a11-8bb0-3a631938de01
56576	14	8116	2013-08-03 18:28:00.976077	2013-08-03 18:28:00.976077	\N	bac42f1a-7c18-47cc-9be0-c36edf2a6972
56577	14	8098	2013-08-03 18:28:01.102431	2013-08-03 18:28:01.102431	\N	03b69961-8c9a-4202-b32a-fb88e9b4eeb7
57401	8	8200	2013-08-03 18:34:04.786955	2013-08-03 18:34:04.786955	\N	3a0c890c-756a-4493-b5d4-d6739fa588e0
57402	8	8203	2013-08-03 18:34:05.69813	2013-08-03 18:34:05.69813	\N	ad0b113d-3f2f-44df-a069-77fbbf13ed84
57420	1	8176	2013-08-03 18:34:13.708433	2013-08-03 18:34:13.708433	\N	d145cfe1-a725-452d-b2ed-5892a7a88843
69283	5	9634	2013-08-03 19:36:14.289941	2013-08-03 19:36:14.289941	\N	5e6cc0da-51a7-44ad-8e5d-6f6a32c1a0a9
55761	16	7897	2013-08-03 18:22:05.612276	2013-08-03 18:22:05.612276	\N	ca8c39c9-9f0b-4299-87c4-adeb3c286924
55763	16	7921	2013-08-03 18:22:06.204737	2013-08-03 18:22:06.204737	\N	b0a783cd-ac15-4086-ba3f-0a9952db2213
55766	16	7933	2013-08-03 18:22:07.081238	2013-08-03 18:22:07.081238	\N	9524a334-5275-4517-9f77-54f12e1f3ebb
55771	16	7954	2013-08-03 18:22:08.23881	2013-08-03 18:22:08.23881	\N	c951078c-fefe-4559-9099-322a78c0751b
76442	9	10553	2013-08-03 20:07:29.974956	2013-08-03 20:07:29.974956	\N	d89376ad-befb-4d91-bda0-4f8665d78f74
72034	7	10054	2013-08-03 19:47:44.169565	2013-08-03 19:47:44.169565	\N	71d9a92a-79da-4316-92b6-28917b6c1b18
55782	2	7981	2013-08-03 18:22:24.078417	2013-08-03 18:22:24.078417	\N	cb8493b4-84b1-4e45-ba58-b52965259da9
55791	7	8039	2013-08-03 18:22:26.664249	2013-08-03 18:22:26.664249	\N	d8981b6e-6e6a-4d56-b648-10b643c0c4aa
55792	1	8039	2013-08-03 18:22:28.762651	2013-08-03 18:22:28.762651	\N	60a0c45d-bb19-42b7-981c-d6967d963ecf
55793	17	8033	2013-08-03 18:22:29.328463	2013-08-03 18:22:29.328463	\N	37e29c50-3a60-4888-8f64-e961bd218cc1
53229	10	7729	2013-08-03 18:09:42.833972	2013-08-03 18:09:42.833972	\N	429515eb-dd13-421f-8fb5-04c037e9f40f
53230	10	7735	2013-08-03 18:09:43.024238	2013-08-03 18:09:43.024238	\N	b21e2fc2-0181-441b-9f5f-b5b3f154fe68
56613	1	8077	2013-08-03 18:28:28.78876	2013-08-03 18:28:28.78876	\N	8522223a-7f97-4954-9170-f5d2b5ed928c
57493	19	8176	2013-08-03 18:34:40.884818	2013-08-03 18:34:40.884818	\N	69112a51-dc79-42fc-ac97-b4759d88cffc
60448	17	8500	2013-08-03 18:51:17.905911	2013-08-03 18:51:17.905911	\N	1eac1e4b-ca7d-4aa3-af6d-bc7693545499
53234	5	7783	2013-08-03 18:09:46.671736	2013-08-03 18:09:46.671736	\N	21b2f4be-f791-4b7f-a200-f0993bf79490
51057	10	7612	2013-08-03 18:00:53.292293	2013-08-03 18:00:53.292293	\N	a3773e67-4da9-4ae0-b4bb-3454c99d656c
55807	6	7999	2013-08-03 18:22:30.922511	2013-08-03 18:22:30.922511	\N	140ebf61-7899-41d3-968c-a0ca3529e04c
53236	5	7777	2013-08-03 18:09:46.725668	2013-08-03 18:09:46.725668	\N	f8af6f99-3cd2-42db-a579-64f413846007
52337	2	7669	2013-08-03 18:05:40.090572	2013-08-03 18:05:40.090572	\N	68a17c9c-0560-4967-8c96-92556547e699
55815	6	8038	2013-08-03 18:22:31.980691	2013-08-03 18:22:31.980691	\N	ae2c79e8-4e62-417c-9a44-9b8cce92f70d
55821	8	8008	2013-08-03 18:22:32.779345	2013-08-03 18:22:32.779345	\N	eb1b4b96-ddd3-48f4-8f53-3934a2ebfeee
51644	11	7699	2013-08-03 18:02:51.038678	2013-08-03 18:02:51.038678	\N	f9d7f4db-9f16-47e1-b626-622384ddb2e5
50078	6	7594	2013-08-03 17:58:29.482072	2013-08-03 17:58:29.482072	\N	60438374-cda0-4331-ae50-0c3e0118e7c9
57404	8	8206	2013-08-03 18:34:06.500957	2013-08-03 18:34:06.500957	\N	ed06e238-246d-4a96-8de3-619935faefa2
55713	6	7924	2013-08-03 18:21:31.283161	2013-08-03 18:21:31.283161	\N	fcb3b657-f491-48cc-8a0a-41b2d8710196
51647	11	7702	2013-08-03 18:02:51.214427	2013-08-03 18:02:51.214427	\N	991b372f-fc43-47f9-99e4-cbe5de72d2af
48632	5	7516	2013-08-03 17:54:42.731769	2013-08-03 17:54:42.731769	\N	5d7eca67-ca61-4c8c-ad19-3b5c4cc58fea
48633	5	7513	2013-08-03 17:54:42.787635	2013-08-03 17:54:42.787635	\N	db09f9bd-1f10-4a3a-9683-5b84b907d2c9
48634	5	7495	2013-08-03 17:54:42.850423	2013-08-03 17:54:42.850423	\N	e9825357-d81a-472a-82ce-b690dba194fb
52840	8	7729	2013-08-03 18:08:11.643209	2013-08-03 18:08:11.643209	\N	71bb1be5-0444-4064-8176-d92e77e04aee
52841	7	7787	2013-08-03 18:08:12.27683	2013-08-03 18:08:12.27683	\N	361d7221-2da8-4a09-b748-aeb8ecc89d1e
51651	19	7702	2013-08-03 18:02:53.194539	2013-08-03 18:02:53.194539	\N	16d09f20-30cc-486d-bc2a-db844b121dcc
55715	6	7951	2013-08-03 18:21:31.798957	2013-08-03 18:21:31.798957	\N	6a365db2-dcea-4004-93d3-e16bb40d1854
52843	8	7747	2013-08-03 18:08:12.543013	2013-08-03 18:08:12.543013	\N	543697ba-0693-4052-966a-2b8160f1225e
50100	6	7570	2013-08-03 17:58:31.519994	2013-08-03 17:58:31.519994	\N	4cd94d4f-a887-4088-9ee9-7abb97dd6e19
50101	6	7567	2013-08-03 17:58:31.59924	2013-08-03 17:58:31.59924	\N	135a2865-0889-409d-938e-4d76437aeb31
50102	6	7579	2013-08-03 17:58:31.677892	2013-08-03 17:58:31.677892	\N	5b4494de-e455-48a6-981d-79204d3edda8
55717	6	7954	2013-08-03 18:21:32.855267	2013-08-03 18:21:32.855267	\N	190a0fb4-3164-4c42-bf23-2c2ed4aeefb9
66637	13	9385	2013-08-03 19:26:20.76723	2013-08-03 19:26:20.76723	\N	3a9a805a-f705-4cbf-aab6-5eca56d1b8c7
48660	6	7398	2013-08-03 17:54:45.715762	2013-08-03 17:54:45.715762	\N	32b2c83c-da80-4b9b-90cd-327a71228d19
52217	2	7663	2013-08-03 18:05:10.463662	2013-08-03 18:05:10.463662	\N	0386d095-1630-4c04-95ae-11a7ce58d11e
55724	6	7909	2013-08-03 18:21:39.216457	2013-08-03 18:21:39.216457	\N	bbad3462-965e-48f6-8c63-834dfe3c9065
72032	13	10030	2013-08-03 19:47:43.558119	2013-08-03 19:47:43.558119	\N	0129fed5-3d0a-470b-b3fd-577424baaf6f
55119	11	7918	2013-08-03 18:18:12.599697	2013-08-03 18:18:12.599697	\N	64af57df-e034-47a1-a224-7b2d46bfaa03
56555	1	8116	2013-08-03 18:27:58.72866	2013-08-03 18:27:58.72866	\N	187dab8a-c4f5-4ed1-97a6-2046df0dbacf
56557	1	8119	2013-08-03 18:27:58.826655	2013-08-03 18:27:58.826655	\N	d2a4e704-aebc-4a2e-8d12-266fdb59c539
52854	1	7787	2013-08-03 18:08:14.029325	2013-08-03 18:08:14.029325	\N	63f9b486-2275-460f-a866-83e05cc9fac0
52855	8	7762	2013-08-03 18:08:14.579675	2013-08-03 18:08:14.579675	\N	9089d24c-235b-4053-81a0-fffa4cc1c337
51050	10	7597	2013-08-03 18:00:53.006268	2013-08-03 18:00:53.006268	\N	b51e4b2c-72a1-4d35-8622-ceb9de634483
55741	12	7955	2013-08-03 18:21:45.813036	2013-08-03 18:21:45.813036	\N	d63eb9a3-2981-4196-9dad-50a820659992
56558	1	8122	2013-08-03 18:27:58.931038	2013-08-03 18:27:58.931038	\N	9eccb7fa-533e-44b6-90d7-8493ced1cd68
52860	16	7657	2013-08-03 18:08:16.41552	2013-08-03 18:08:16.41552	\N	3488f5d6-303c-4df2-9321-c1b36b013175
52242	1	7696	2013-08-03 18:05:13.139027	2013-08-03 18:05:13.139027	\N	2bf32fbe-449a-44f5-bb19-8d2e7c2bc38e
50124	14	7613	2013-08-03 17:58:34.696977	2013-08-03 17:58:34.696977	\N	4054c199-c89c-47b3-b5d3-4603df8ab79d
50125	14	7591	2013-08-03 17:58:34.720595	2013-08-03 17:58:34.720595	\N	d3b365d3-cc13-4a57-ab91-87b10555b232
52861	16	7645	2013-08-03 18:08:16.458261	2013-08-03 18:08:16.458261	\N	f166ddcf-5f3f-4b05-871c-d14e6c4ff27e
52863	8	7777	2013-08-03 18:08:16.50789	2013-08-03 18:08:16.50789	\N	27fa6309-686c-4414-b825-41fa2c6e7274
66658	13	9421	2013-08-03 19:26:23.362587	2013-08-03 19:26:23.362587	\N	52d4ddb5-001c-40ef-83d6-7172e05f2460
52893	2	7783	2013-08-03 18:08:25.830554	2013-08-03 18:08:25.830554	\N	f087a414-9c77-42af-8bc0-deb50471318d
60456	9	8494	2013-08-03 18:51:21.018411	2013-08-03 18:51:21.018411	\N	87cbc9b0-c055-42db-9165-dc7c7e3d298d
55762	16	7915	2013-08-03 18:22:05.897644	2013-08-03 18:22:05.897644	\N	5a182752-3091-46f8-ab68-c2e21f5f9e04
66660	13	9424	2013-08-03 19:26:23.622938	2013-08-03 19:26:23.622938	\N	248f98ba-90a3-4c69-a6a9-11a801d341ba
56568	14	8074	2013-08-03 18:28:00.778812	2013-08-03 18:28:00.778812	\N	351be71f-49c9-48e6-bfc3-0d769406854e
60469	9	8512	2013-08-03 18:51:23.931184	2013-08-03 18:51:23.931184	\N	89114df8-2f89-4b8a-b305-fdcea53096b2
60470	9	8518	2013-08-03 18:51:24.106475	2013-08-03 18:51:24.106475	\N	c5715504-e96e-486a-896c-bec41323d7fa
55145	8	7921	2013-08-03 18:18:22.149656	2013-08-03 18:18:22.149656	\N	f52ccd03-e45b-4467-ab4a-75819f73c06e
55146	5	7951	2013-08-03 18:18:22.214436	2013-08-03 18:18:22.214436	\N	50936d12-db16-4ee6-9058-73b1e4b488d2
55148	5	7954	2013-08-03 18:18:22.248381	2013-08-03 18:18:22.248381	\N	6e07a638-f6d3-466a-a1b6-83e89066578d
55149	5	7945	2013-08-03 18:18:22.274146	2013-08-03 18:18:22.274146	\N	b616a0e1-2cc9-4c56-bc66-4e363011c8e7
55788	7	7993	2013-08-03 18:22:26.227484	2013-08-03 18:22:26.227484	\N	b20be6e8-589f-4252-8675-b5282412e532
55789	7	8035	2013-08-03 18:22:26.470813	2013-08-03 18:22:26.470813	\N	4b94b1c1-8851-4bf8-8912-eabceb33feb3
55790	7	8014	2013-08-03 18:22:26.564839	2013-08-03 18:22:26.564839	\N	01b8f8d4-1a6f-4103-be8c-4be25268e7a7
55795	17	8039	2013-08-03 18:22:29.515	2013-08-03 18:22:29.515	\N	3215cef0-caef-456b-a652-41f602e39330
55154	17	7949	2013-08-03 18:18:23.100222	2013-08-03 18:18:23.100222	\N	31f67795-f7bf-471e-b178-f67e2344b3d4
55801	4	7993	2013-08-03 18:22:30.798013	2013-08-03 18:22:30.798013	\N	fd63d528-fa3e-4c31-97f4-917f6e058b6f
55803	4	7981	2013-08-03 18:22:30.823037	2013-08-03 18:22:30.823037	\N	20f479c9-26f8-425b-af37-de76fb3fafea
55804	4	7999	2013-08-03 18:22:30.847613	2013-08-03 18:22:30.847613	\N	471ac4d7-61c8-4fed-9377-9890391c115a
55805	4	8002	2013-08-03 18:22:30.87418	2013-08-03 18:22:30.87418	\N	38c1624b-aa9e-41e8-9bec-57b45ca77dd2
55806	4	8005	2013-08-03 18:22:30.909614	2013-08-03 18:22:30.909614	\N	f5db4063-a2eb-4771-a7e3-9cd7f9a92175
55808	4	8008	2013-08-03 18:22:30.938651	2013-08-03 18:22:30.938651	\N	6d21fdfa-a7d2-4e81-a2a0-83b2d7ceddd1
53065	14	7762	2013-08-03 18:09:08.463818	2013-08-03 18:09:08.463818	\N	1751f228-e8cb-4b69-80b3-a6b414c2cb7f
53067	14	7741	2013-08-03 18:09:08.53595	2013-08-03 18:09:08.53595	\N	cca9b415-3d48-4b44-aaf5-f367e104deef
53069	14	7780	2013-08-03 18:09:08.562346	2013-08-03 18:09:08.562346	\N	e3c3e604-489a-4258-aaf2-c2ff420fe626
53070	14	7729	2013-08-03 18:09:08.584689	2013-08-03 18:09:08.584689	\N	6a08c48d-275e-4c4b-8d5f-8fcfd70c1128
53072	14	7735	2013-08-03 18:09:08.610094	2013-08-03 18:09:08.610094	\N	ae1dd121-64e3-424f-9f96-242f2b979ecb
60471	14	8509	2013-08-03 18:51:25.620098	2013-08-03 18:51:25.620098	\N	bdabaff4-736a-4226-83c2-f9e0ec94aa58
56585	4	8117	2013-08-03 18:28:10.092442	2013-08-03 18:28:10.092442	\N	e6234057-4608-4325-bac7-9a198ae18c9b
76444	8	10507	2013-08-03 20:07:31.700836	2013-08-03 20:07:31.700836	\N	5db27a33-272e-43d9-ae73-370af2c4d2ed
53691	6	7777	2013-08-03 18:11:27.941074	2013-08-03 18:11:27.941074	\N	34b8a4f4-cde7-47c2-9318-7472b4e585e4
76451	7	10555	2013-08-03 20:07:37.23598	2013-08-03 20:07:37.23598	\N	619496df-7a81-4f89-a979-24fc21d2a24e
76452	7	10516	2013-08-03 20:07:37.305176	2013-08-03 20:07:37.305176	\N	1b306f91-560c-421a-8449-548c02978cc6
55822	8	8014	2013-08-03 18:22:32.783019	2013-08-03 18:22:32.783019	\N	8cdf6fbc-e60d-4246-87eb-6bd4b8fecb72
55824	8	8038	2013-08-03 18:22:32.874297	2013-08-03 18:22:32.874297	\N	c0bd4486-fdcc-4ba7-8713-72a350daf284
55832	5	8014	2013-08-03 18:22:34.751023	2013-08-03 18:22:34.751023	\N	e7e82b44-2b07-4da6-bf11-059f2f6494ea
60501	16	8512	2013-08-03 18:51:33.365557	2013-08-03 18:51:33.365557	\N	c4760e86-fa27-46fb-83fe-2884b637cff3
57465	19	8201	2013-08-03 18:34:28.081589	2013-08-03 18:34:28.081589	\N	879954e5-ca6d-47c9-b3d4-64dc091ebdb0
89932	2	11563	2013-08-03 20:48:59.434621	2013-08-03 20:48:59.434621	\N	94769bd4-d31d-404d-859b-be2b3ad129d0
72045	11	10033	2013-08-03 19:47:45.454005	2013-08-03 19:47:45.454005	\N	f884fb9a-56be-48b3-afff-6b3248429aa6
76469	7	10553	2013-08-03 20:07:40.615927	2013-08-03 20:07:40.615927	\N	bdbac87e-24a0-4ed6-9aec-91568f119a9e
55857	2	7993	2013-08-03 18:22:40.440786	2013-08-03 18:22:40.440786	\N	4a881402-f51e-40db-974a-5d993c8932ce
55858	2	8033	2013-08-03 18:22:40.482691	2013-08-03 18:22:40.482691	\N	8cc898b3-df51-4b08-8961-925a4adc0c18
55859	2	8011	2013-08-03 18:22:40.507117	2013-08-03 18:22:40.507117	\N	ac97203e-8f3d-4d5c-bf95-191dc92efafa
56617	8	8077	2013-08-03 18:28:32.591395	2013-08-03 18:28:32.591395	\N	0456e18c-c403-4dcc-a9a7-54926f45af1e
72063	15	10009	2013-08-03 19:47:48.541656	2013-08-03 19:47:48.541656	\N	22fe954a-2e95-4064-a540-befbb77cdfef
78144	16	10642	2013-08-03 20:14:00.262523	2013-08-03 20:14:00.262523	\N	b24f458b-b062-43c6-9595-cf23344df1e6
58614	16	8260	2013-08-03 18:41:23.338553	2013-08-03 18:41:23.338553	\N	913d31e5-1f79-468e-9f14-c7d4bff651e5
55461	19	7924	2013-08-03 18:19:46.538082	2013-08-03 18:19:46.538082	\N	c6da3d02-61aa-4c22-add3-6135ea0b9564
58615	16	8263	2013-08-03 18:41:23.468809	2013-08-03 18:41:23.468809	\N	cf051f03-df88-451f-b6bc-897c114cf75b
78145	16	10645	2013-08-03 20:14:00.441841	2013-08-03 20:14:00.441841	\N	c8cdfdb7-e50f-4797-9bb3-1c5ca7a2ba6e
91550	11	11689	2013-08-03 20:52:59.54541	2013-08-03 20:52:59.54541	\N	7a37e99f-533a-41d4-9d68-5b9838c6a732
57490	19	8170	2013-08-03 18:34:40.112378	2013-08-03 18:34:40.112378	\N	fe0966b4-379f-447e-a971-7b0fce8c4159
72075	20	10003	2013-08-03 19:47:53.963561	2013-08-03 19:47:53.963561	\N	e432ce20-55a5-41d9-ad84-d6046c55e027
56684	4	8074	2013-08-03 18:28:51.067716	2013-08-03 18:28:51.067716	\N	9f7c1640-1336-4283-b767-72c52b224693
56685	4	8077	2013-08-03 18:28:51.120344	2013-08-03 18:28:51.120344	\N	642d3f87-9c98-4a89-a640-a0a0f0449e12
56686	4	8065	2013-08-03 18:28:51.169102	2013-08-03 18:28:51.169102	\N	dd16b9fb-c24c-4ddf-a812-a65da34bc5f6
56687	4	8083	2013-08-03 18:28:51.225652	2013-08-03 18:28:51.225652	\N	68fd59be-0304-4c58-adc1-557b03a49bbe
56688	4	8086	2013-08-03 18:28:51.276214	2013-08-03 18:28:51.276214	\N	bda030e2-1ff3-411a-b344-c3b9746a819a
53871	7	7867	2013-08-03 18:12:32.292232	2013-08-03 18:12:32.292232	\N	da271718-7726-4f16-9ab7-37a71a621399
53873	7	7846	2013-08-03 18:12:32.366133	2013-08-03 18:12:32.366133	\N	0324089a-4117-43c9-8662-c42f5fc57a8b
53877	7	7861	2013-08-03 18:12:32.677774	2013-08-03 18:12:32.677774	\N	ba1d4c68-4252-47d7-9f6c-d72ebc47e1f3
54482	12	7834	2013-08-03 18:14:51.137474	2013-08-03 18:14:51.137474	\N	d473a4d8-3235-4d5c-8e79-515e6503a7a8
53883	7	7819	2013-08-03 18:12:33.112222	2013-08-03 18:12:33.112222	\N	aff0f169-cbb0-4b69-ac66-25f5954d2c12
53936	8	7831	2013-08-03 18:12:42.562279	2013-08-03 18:12:42.562279	\N	81d60f9d-5c9f-4f0e-b076-237b63b86fb9
53941	8	7840	2013-08-03 18:12:42.604147	2013-08-03 18:12:42.604147	\N	34221c19-922d-4c04-8f1a-9d5db901628f
53962	5	7834	2013-08-03 18:12:48.75435	2013-08-03 18:12:48.75435	\N	0dfc39d6-6ba0-4e8c-bd76-e67efa74bcb9
53963	5	7846	2013-08-03 18:12:48.839097	2013-08-03 18:12:48.839097	\N	78e1383c-cf44-4c8c-8b1b-6ba8aaf77eb8
53964	5	7867	2013-08-03 18:12:48.884572	2013-08-03 18:12:48.884572	\N	824596b8-bb98-442a-880b-694b5d995d5a
53182	10	7777	2013-08-03 18:09:32.679437	2013-08-03 18:09:32.679437	\N	d453801e-68b3-41c8-9c0b-d07fd3266ede
54478	12	7831	2013-08-03 18:14:50.84022	2013-08-03 18:14:50.84022	\N	85487965-1b8c-429a-b867-c5680da15f7f
55095	4	7945	2013-08-03 18:18:11.050045	2013-08-03 18:18:11.050045	\N	35a4f645-f9f8-4b69-bd18-2c2eae26f725
55096	4	7948	2013-08-03 18:18:11.084216	2013-08-03 18:18:11.084216	\N	abe9a371-0213-4aa8-b508-096bd2c2bdb7
54483	12	7840	2013-08-03 18:14:51.656091	2013-08-03 18:14:51.656091	\N	69dad9eb-bec0-42a8-a100-f69ebc224811
55098	4	7951	2013-08-03 18:18:11.174334	2013-08-03 18:18:11.174334	\N	ceb050bf-100c-4445-a21f-4662cdcbb931
55099	4	7954	2013-08-03 18:18:11.230212	2013-08-03 18:18:11.230212	\N	37f7f9e8-e001-4534-92b5-f5f0139b61e5
50241	19	7588	2013-08-03 17:58:52.234013	2013-08-03 17:58:52.234013	\N	9004ebc7-8104-4db9-81f2-cef61ddaff26
55768	16	7948	2013-08-03 18:22:07.654023	2013-08-03 18:22:07.654023	\N	6e78d89c-10f0-4215-99ae-3ac6275fcc17
55769	16	7951	2013-08-03 18:22:07.946884	2013-08-03 18:22:07.946884	\N	3dad75f4-0bab-4411-a535-e60a7575b109
66639	4	9376	2013-08-03 19:26:20.780929	2013-08-03 19:26:20.780929	\N	776d6c00-22a3-4ae1-ac8e-f891f1eec404
67875	19	9505	2013-08-03 19:31:18.036442	2013-08-03 19:31:18.036442	\N	c13420aa-8eb0-4889-a765-611294bd70f1
73512	13	10156	2013-08-03 19:55:03.994191	2013-08-03 19:55:03.994191	\N	2f9990aa-932b-42b9-8613-f8275b21ada3
55186	5	7897	2013-08-03 18:18:31.208186	2013-08-03 18:18:31.208186	\N	76957f52-dad1-4c36-9972-6afb80246a6c
53651	12	7787	2013-08-03 18:11:18.153313	2013-08-03 18:11:18.153313	\N	54c90dc1-39e0-48d6-8b14-6d8da0455ab5
52388	6	7663	2013-08-03 18:05:52.617803	2013-08-03 18:05:52.617803	\N	1753c0f3-9454-4268-8fea-466d821fd961
55784	2	8032	2013-08-03 18:22:25.209157	2013-08-03 18:22:25.209157	\N	4e33a041-dac3-4ca3-8f5d-71c10a612a48
55785	2	8038	2013-08-03 18:22:25.272172	2013-08-03 18:22:25.272172	\N	e72dff60-fe5d-4969-acb8-931aecf45720
55786	7	8002	2013-08-03 18:22:25.560623	2013-08-03 18:22:25.560623	\N	52fe574e-0ec4-4be2-aa9c-06576ea1da02
55816	8	7999	2013-08-03 18:22:32.543597	2013-08-03 18:22:32.543597	\N	62a015b6-ceca-4a61-8462-a82f41c1c3d7
55818	8	7993	2013-08-03 18:22:32.763115	2013-08-03 18:22:32.763115	\N	8ce7e39f-9cde-46a5-84f5-236394ee9db6
55823	8	8002	2013-08-03 18:22:32.856159	2013-08-03 18:22:32.856159	\N	78584592-7c9b-4c40-a0f0-cf19db1da017
52982	17	7781	2013-08-03 18:08:43.688552	2013-08-03 18:08:43.688552	\N	59555446-a5c9-4ab7-9940-0e20d385398e
52984	17	7787	2013-08-03 18:08:44.060323	2013-08-03 18:08:44.060323	\N	3dabc902-36cc-4b66-a120-3f15b70d6684
55831	6	8008	2013-08-03 18:22:33.532143	2013-08-03 18:22:33.532143	\N	9fa039dc-f055-4fda-bbc9-a97c682487f6
57410	10	8201	2013-08-03 18:34:11.257924	2013-08-03 18:34:11.257924	\N	0af22fa8-f091-4cd4-b16c-af0babfab8f0
57421	4	8158	2013-08-03 18:34:13.709844	2013-08-03 18:34:13.709844	\N	9b9eccd7-26e0-42a1-9e07-cd505a6fffde
57423	4	8161	2013-08-03 18:34:13.810247	2013-08-03 18:34:13.810247	\N	6bf7eb4c-b478-4184-ac2f-869deb6d6860
56572	14	8077	2013-08-03 18:28:00.82648	2013-08-03 18:28:00.82648	\N	7a818a8b-d0f4-4242-973f-6ef8ef0171e2
56582	9	8117	2013-08-03 18:28:03.312682	2013-08-03 18:28:03.312682	\N	aaff83ea-1b07-484a-a541-101273071044
56583	8	8117	2013-08-03 18:28:04.99261	2013-08-03 18:28:04.99261	\N	0d3bb825-9136-4960-8057-2c33a98858f9
76447	8	10552	2013-08-03 20:07:31.729291	2013-08-03 20:07:31.729291	\N	545eef52-854d-4100-a01a-a66b0c23a998
51039	10	7567	2013-08-03 18:00:52.316691	2013-08-03 18:00:52.316691	\N	6ebd65a2-c40f-4d0f-b206-3f9d2d8c4687
51040	10	7573	2013-08-03 18:00:52.459381	2013-08-03 18:00:52.459381	\N	c125e7cb-bf08-47b9-84f8-02655689e9ad
51041	10	7561	2013-08-03 18:00:52.564241	2013-08-03 18:00:52.564241	\N	94b548a8-4815-48f3-90b3-a86235fa643b
51043	10	7579	2013-08-03 18:00:52.660409	2013-08-03 18:00:52.660409	\N	d564a68c-b98f-49fe-8b2f-62a905bed672
51045	10	7591	2013-08-03 18:00:52.765716	2013-08-03 18:00:52.765716	\N	549f4bcf-3d55-4289-9198-a19902b1e1c0
55911	4	8033	2013-08-03 18:23:12.533779	2013-08-03 18:23:12.533779	\N	4ed5af6b-a3a6-4b31-9e6f-2935d813083b
55912	4	8039	2013-08-03 18:23:12.599337	2013-08-03 18:23:12.599337	\N	9a1b5b7b-294c-4a3c-b057-e24f56203094
57426	4	8170	2013-08-03 18:34:13.857568	2013-08-03 18:34:13.857568	\N	5216b1cc-b393-4890-a1fa-65ee84685e6b
57427	4	8173	2013-08-03 18:34:13.885988	2013-08-03 18:34:13.885988	\N	4a2d4c87-fd74-4af2-bfab-81de97fd593a
57428	4	8182	2013-08-03 18:34:13.918879	2013-08-03 18:34:13.918879	\N	c4425e4e-1e5d-4b3c-a69d-3ab44db0fb33
55921	1	8038	2013-08-03 18:23:14.142442	2013-08-03 18:23:14.142442	\N	e54c2991-7a94-404c-a7de-b0250236ebfa
57430	4	8200	2013-08-03 18:34:13.950475	2013-08-03 18:34:13.950475	\N	52ac38db-5c95-4761-a265-fb6ba9045407
57431	4	8203	2013-08-03 18:34:13.986395	2013-08-03 18:34:13.986395	\N	d8c3b9e3-73df-41f1-a359-527d51022ed0
57432	4	8206	2013-08-03 18:34:14.064985	2013-08-03 18:34:14.064985	\N	fef46ef6-badd-46c1-bf7e-541b9c9e8995
72047	11	10036	2013-08-03 19:47:45.800301	2013-08-03 19:47:45.800301	\N	cb9cd559-15ed-407b-9c88-9a16007e42fa
72053	17	10009	2013-08-03 19:47:47.002317	2013-08-03 19:47:47.002317	\N	b1b825ab-995e-4600-b6bf-8dc7d2ee457e
66645	13	9388	2013-08-03 19:26:21.048561	2013-08-03 19:26:21.048561	\N	6bf3ab3c-e9d4-415c-9189-61c841806d68
55933	2	8002	2013-08-03 18:23:17.202418	2013-08-03 18:23:17.202418	\N	24f774b8-8bb3-4d7f-a13d-98b57d677e15
53015	9	7787	2013-08-03 18:08:56.152448	2013-08-03 18:08:56.152448	\N	511b8565-3929-4305-b7e7-b585ca3b2193
56616	8	8074	2013-08-03 18:28:31.990119	2013-08-03 18:28:31.990119	\N	4759eb8f-ef9c-4265-ab18-0c70d2e2e134
54596	19	7865	2013-08-03 18:15:23.327067	2013-08-03 18:15:23.327067	\N	c9587c14-aac0-4eb5-8e18-1179c23a3c1f
54597	16	7825	2013-08-03 18:15:23.526568	2013-08-03 18:15:23.526568	\N	af2ddf97-789e-4a6f-b9e7-a1f7fa461cc1
54600	19	7871	2013-08-03 18:15:23.659019	2013-08-03 18:15:23.659019	\N	4679017f-db9e-4011-9135-e6171e698f26
56620	8	8065	2013-08-03 18:28:33.286949	2013-08-03 18:28:33.286949	\N	798147f4-05b6-4f84-b760-4232d0278ea3
76450	19	10513	2013-08-03 20:07:37.113857	2013-08-03 20:07:37.113857	\N	28883d89-537b-4558-855b-483f435c5063
66655	13	9418	2013-08-03 19:26:22.957956	2013-08-03 19:26:22.957956	\N	5b5fb16a-aae5-44eb-9e3d-24a897fb3cde
56631	8	8086	2013-08-03 18:28:35.780716	2013-08-03 18:28:35.780716	\N	0241de43-a662-43b9-8a5f-fdcab938d8ff
76453	7	10531	2013-08-03 20:07:37.699871	2013-08-03 20:07:37.699871	\N	17fc112d-826c-4457-8cdd-786aea78b897
72074	17	10030	2013-08-03 19:47:52.977506	2013-08-03 19:47:52.977506	\N	d8859c75-fe94-4833-b1bb-384f92278c43
54610	16	7837	2013-08-03 18:15:23.794982	2013-08-03 18:15:23.794982	\N	d3aaa096-577e-4f80-83c4-138f165b2b15
54611	16	7840	2013-08-03 18:15:23.918116	2013-08-03 18:15:23.918116	\N	b30b2e53-85ef-49fd-a1e9-79b5c7bbe6c0
54612	16	7846	2013-08-03 18:15:24.056461	2013-08-03 18:15:24.056461	\N	16083045-f58f-444c-aa93-03724aec92e4
53857	1	7834	2013-08-03 18:12:28.889029	2013-08-03 18:12:28.889029	\N	d30dc57a-c79e-43c8-9695-e801d237f429
53858	1	7840	2013-08-03 18:12:28.988171	2013-08-03 18:12:28.988171	\N	c45ebd54-58d2-420a-90ce-5fd6ce6b201c
53859	1	7846	2013-08-03 18:12:29.085204	2013-08-03 18:12:29.085204	\N	68d62619-c550-484c-b298-b816beb89449
53860	1	7861	2013-08-03 18:12:29.174863	2013-08-03 18:12:29.174863	\N	703eb60d-7de9-4b34-bfe5-3f07c25a3533
53861	1	7864	2013-08-03 18:12:29.311392	2013-08-03 18:12:29.311392	\N	d44bd9ec-48c5-49dc-80dc-5c4be41c7741
53862	1	7867	2013-08-03 18:12:29.410508	2013-08-03 18:12:29.410508	\N	35b0a42c-9c4d-4410-9eb5-e1dbecd16aa7
53864	7	7834	2013-08-03 18:12:31.521207	2013-08-03 18:12:31.521207	\N	b15a3705-4cfe-4e34-9aca-6d7eb648dcc2
53866	7	7825	2013-08-03 18:12:31.855752	2013-08-03 18:12:31.855752	\N	bbb7fdd3-af51-4f82-a271-f26f79b0d082
53869	7	7818	2013-08-03 18:12:32.133792	2013-08-03 18:12:32.133792	\N	47e7feaa-5322-42e2-b023-bb9cf77b6639
54613	16	7849	2013-08-03 18:15:24.186858	2013-08-03 18:15:24.186858	\N	157f65e9-e03e-4ae0-b522-bfedabf9a118
54616	16	7864	2013-08-03 18:15:24.564962	2013-08-03 18:15:24.564962	\N	5b1c0aa5-b3b4-423b-9bc3-947f47cb9197
53874	7	7837	2013-08-03 18:12:32.366396	2013-08-03 18:12:32.366396	\N	cc164c5a-1433-416e-8abb-4fda77418d15
54617	16	7867	2013-08-03 18:15:24.709382	2013-08-03 18:15:24.709382	\N	7b6d0267-f747-4855-ab2c-0d7748f63b93
55423	7	7956	2013-08-03 18:19:37.52311	2013-08-03 18:19:37.52311	\N	1e1ba2e0-6afa-4289-b2d4-b6887d421072
57460	17	8206	2013-08-03 18:34:23.340139	2013-08-03 18:34:23.340139	\N	2a22b194-0a91-422a-bb82-de4456079d6a
54620	7	7870	2013-08-03 18:15:26.590614	2013-08-03 18:15:26.590614	\N	51862b1f-e0f7-46ba-a7e0-10e75ab69606
53881	5	7825	2013-08-03 18:12:33.035791	2013-08-03 18:12:33.035791	\N	e10c9fdc-5934-48c7-a9bd-830c623436da
53882	5	7831	2013-08-03 18:12:33.085604	2013-08-03 18:12:33.085604	\N	65ce3b44-636f-4355-ad01-4c35bf45c175
53884	5	7840	2013-08-03 18:12:33.118497	2013-08-03 18:12:33.118497	\N	d94e2fcf-6913-4899-9016-08a3a8207bfd
53885	7	7871	2013-08-03 18:12:33.218654	2013-08-03 18:12:33.218654	\N	39ec7e25-25ae-40b5-bf40-c66bce7fb76c
73550	13	10177	2013-08-03 19:55:07.728398	2013-08-03 19:55:07.728398	\N	0b9c42ef-6e37-4fbe-9271-1ade21c0e306
53887	7	7813	2013-08-03 18:12:33.420959	2013-08-03 18:12:33.420959	\N	d0f01ea9-a313-4df9-b735-751e513a3c96
76455	7	10522	2013-08-03 20:07:37.790391	2013-08-03 20:07:37.790391	\N	1e0660d8-e9e5-455d-834d-a15239399100
73553	13	10180	2013-08-03 19:55:08.022315	2013-08-03 19:55:08.022315	\N	eddbed80-c2c4-4587-8c05-0e05e45fc63b
53895	4	7865	2013-08-03 18:12:34.943689	2013-08-03 18:12:34.943689	\N	52520d65-3ca4-495f-a4de-ec080b925d35
53896	4	7871	2013-08-03 18:12:35.063401	2013-08-03 18:12:35.063401	\N	62cbd034-f0d9-4d58-a291-f47bed7fb161
76459	20	10553	2013-08-03 20:07:38.144453	2013-08-03 20:07:38.144453	\N	2c8c0f6e-c9e1-4c45-93a5-baff79a595ba
111121	2	13453	2013-08-03 21:59:25.908079	2013-08-03 21:59:25.908079	\N	5b469c8a-ad1b-4857-94b9-65c1825f33a5
72116	20	10048	2013-08-03 19:48:05.711164	2013-08-03 19:48:05.711164	\N	f1c9dd94-d78f-4e90-8db9-7dca0211f9e3
53913	2	7834	2013-08-03 18:12:40.126317	2013-08-03 18:12:40.126317	\N	98146d01-3a75-4193-9ad8-455f6c3e588a
53915	2	7825	2013-08-03 18:12:40.155642	2013-08-03 18:12:40.155642	\N	57595aa4-4f11-4b5a-9a5d-ced905859cf5
53916	2	7865	2013-08-03 18:12:40.19574	2013-08-03 18:12:40.19574	\N	94a69072-228c-468d-80e5-a21ec4ba55dd
53917	2	7871	2013-08-03 18:12:40.223728	2013-08-03 18:12:40.223728	\N	ea3b12e9-dc6b-4670-b401-62acb592af85
66729	14	9373	2013-08-03 19:26:33.263762	2013-08-03 19:26:33.263762	\N	5a84e777-9da0-487f-89c2-4c5a06aefc20
60500	16	8509	2013-08-03 18:51:33.248282	2013-08-03 18:51:33.248282	\N	ba6a2d9d-db62-47db-a5fb-2bffc0ff81f4
55444	2	7927	2013-08-03 18:19:40.867082	2013-08-03 18:19:40.867082	\N	340a94a6-b3cb-401a-8b04-9ee291d51bfc
60534	11	8494	2013-08-03 18:51:40.149609	2013-08-03 18:51:40.149609	\N	50e64ab2-f9b1-4643-85ab-72026dccbdec
64212	7	9166	2013-08-03 19:12:37.759327	2013-08-03 19:12:37.759327	\N	b5b48bc8-7359-4aa2-8ebb-c8aad5336803
53939	8	7813	2013-08-03 18:12:42.58273	2013-08-03 18:12:42.58273	\N	57cf3397-2101-4f33-9ef9-f42a9d20f640
53942	8	7867	2013-08-03 18:12:42.644629	2013-08-03 18:12:42.644629	\N	bba88fc4-41d8-49d5-80a6-be95129c141f
56784	8	8116	2013-08-03 18:29:38.363431	2013-08-03 18:29:38.363431	\N	d971e1d6-28b1-4c2f-aee8-e9677172cd8d
58498	13	8254	2013-08-03 18:40:58.497397	2013-08-03 18:40:58.497397	\N	d9070b9a-a1ed-42f3-a870-01258e774624
64218	19	9148	2013-08-03 19:12:38.062096	2013-08-03 19:12:38.062096	\N	73c566ce-569f-4d48-9e9f-a2bc4b82f1e8
56815	16	7993	2013-08-03 18:29:49.372238	2013-08-03 18:29:49.372238	\N	4a691f41-d840-44ec-ba53-ca57cbf16aec
52386	6	7702	2013-08-03 18:05:52.292931	2013-08-03 18:05:52.292931	\N	1f96afe3-5f06-466e-991f-7fdce49ea744
53009	7	7743	2013-08-03 18:08:50.86346	2013-08-03 18:08:50.86346	\N	9f25a402-d80f-48b1-ae7c-122880d707ed
54484	12	7864	2013-08-03 18:14:52.827583	2013-08-03 18:14:52.827583	\N	5b615854-a129-4240-af36-f49b493575cc
48559	10	7534	2013-08-03 17:54:29.813687	2013-08-03 17:54:29.813687	\N	7b3839b3-4f1e-4209-a541-3ebd68c2bc51
54485	12	7867	2013-08-03 18:14:53.136147	2013-08-03 18:14:53.136147	\N	d1de3a1b-f7ab-4cdc-89e6-1736225ec4e3
53690	6	7783	2013-08-03 18:11:27.764009	2013-08-03 18:11:27.764009	\N	eb9d73d3-3962-444b-8bd8-242b4614432f
55814	7	8005	2013-08-03 18:22:31.713787	2013-08-03 18:22:31.713787	\N	47cdb778-5e37-46b2-b019-b62fc6e9ee46
48568	5	7480	2013-08-03 17:54:30.81697	2013-08-03 17:54:30.81697	\N	8061f44a-e957-4703-b84e-1fbbee01c892
48569	5	7486	2013-08-03 17:54:30.862833	2013-08-03 17:54:30.862833	\N	aacccba7-3b9a-44ec-9bea-e637d6bb92a5
48570	5	7498	2013-08-03 17:54:30.909041	2013-08-03 17:54:30.909041	\N	9e4e1a31-c887-44ed-a6df-137024bf66e7
55819	8	7981	2013-08-03 18:22:32.76596	2013-08-03 18:22:32.76596	\N	80ec6579-0e0b-4d89-911d-4ed24e4872ab
56588	1	8117	2013-08-03 18:28:13.72839	2013-08-03 18:28:13.72839	\N	ae4fce86-853c-4e9c-a28f-ab0364ecf745
55828	7	7981	2013-08-03 18:22:32.996487	2013-08-03 18:22:32.996487	\N	33ffb80c-40b8-482b-8612-4d731ac95d9d
55835	11	7981	2013-08-03 18:22:35.288259	2013-08-03 18:22:35.288259	\N	19f6bd4d-945f-4d86-961c-bc96770d8327
56615	1	8086	2013-08-03 18:28:29.016957	2013-08-03 18:28:29.016957	\N	825eaa41-fad3-4932-869b-c667c17a8164
55838	11	8002	2013-08-03 18:22:35.678334	2013-08-03 18:22:35.678334	\N	e86ae4d2-27ab-439c-88c0-91949b6b7ce3
55843	11	8033	2013-08-03 18:22:36.600731	2013-08-03 18:22:36.600731	\N	94c04b9f-232d-4155-83e1-eb5e5352fdd5
55845	11	8032	2013-08-03 18:22:36.791826	2013-08-03 18:22:36.791826	\N	01f64f09-b8d2-498e-893c-efd5e3cc35e1
55846	11	8035	2013-08-03 18:22:36.996082	2013-08-03 18:22:36.996082	\N	bc87e34c-c337-485c-97d3-d466d0987c93
60464	9	8485	2013-08-03 18:51:22.49696	2013-08-03 18:51:22.49696	\N	9201357b-9e77-4088-984f-c1c8b4be7830
55209	2	7921	2013-08-03 18:18:39.944359	2013-08-03 18:18:39.944359	\N	99e1dfbb-174e-4dce-817d-cee3a77b35d5
76448	8	10558	2013-08-03 20:07:31.766409	2013-08-03 20:07:31.766409	\N	1c8a4d70-a75f-49ab-889b-7baf2c91da08
56637	2	8086	2013-08-03 18:28:36.777813	2013-08-03 18:28:36.777813	\N	79bd6c64-113c-49c0-af56-d3622be34873
56638	2	8089	2013-08-03 18:28:36.818739	2013-08-03 18:28:36.818739	\N	b3dbc68a-199b-46a7-a3eb-31e3ba79a030
56639	2	8117	2013-08-03 18:28:36.873802	2013-08-03 18:28:36.873802	\N	337b3a6d-457f-4c59-9d47-0b188e7ab244
55980	12	7993	2013-08-03 18:23:35.509852	2013-08-03 18:23:35.509852	\N	f190dfe7-a221-428a-b4fb-58c5a467d24c
56640	2	8095	2013-08-03 18:28:36.921949	2013-08-03 18:28:36.921949	\N	7ab668ec-cddf-4534-bcab-7816374b061d
56641	2	8077	2013-08-03 18:28:36.971388	2013-08-03 18:28:36.971388	\N	2f951bd0-157f-4a13-865e-ef780dbc93a0
56643	2	8098	2013-08-03 18:28:37.009404	2013-08-03 18:28:37.009404	\N	97ca2d83-4ee0-4624-bb96-b786ebfbcd82
56644	2	8101	2013-08-03 18:28:37.036332	2013-08-03 18:28:37.036332	\N	e5b32d0a-a1c6-41fc-9167-3899addcfb82
55987	12	7999	2013-08-03 18:23:36.601923	2013-08-03 18:23:36.601923	\N	816bf99b-c926-4bcf-a1df-2638c18e8091
55988	12	8002	2013-08-03 18:23:36.921987	2013-08-03 18:23:36.921987	\N	4931e75d-d536-4421-9222-a2bea7582153
55223	2	7924	2013-08-03 18:18:41.062821	2013-08-03 18:18:41.062821	\N	5fc225c8-d1e1-4a01-8f03-b51f5a09e756
55993	12	8032	2013-08-03 18:23:38.518821	2013-08-03 18:23:38.518821	\N	01158ead-c86e-4c1a-b968-8cffa6d3192b
56645	2	8119	2013-08-03 18:28:37.078544	2013-08-03 18:28:37.078544	\N	08bfadd3-06bd-4c26-a112-f369a0fba47e
56646	2	8122	2013-08-03 18:28:37.127051	2013-08-03 18:28:37.127051	\N	e1dd1ceb-aae1-4c99-930d-77d340cd9485
66653	13	9406	2013-08-03 19:26:22.41413	2013-08-03 19:26:22.41413	\N	e8d2d133-d8dc-4621-93a1-067cb4978170
76449	7	10507	2013-08-03 20:07:32.308008	2013-08-03 20:07:32.308008	\N	2e1d1b78-682b-4843-b097-94797659e67f
72057	11	10054	2013-08-03 19:47:47.354827	2013-08-03 19:47:47.354827	\N	b1c149a0-7a56-4174-9686-b80ede0c7a14
69317	5	9625	2013-08-03 19:36:18.972597	2013-08-03 19:36:18.972597	\N	55a7b8d2-bb1a-4dac-b86a-538967888cf8
93299	17	11908	2013-08-03 21:00:02.462367	2013-08-03 21:00:02.462367	\N	f1519414-66b0-4594-b489-1c7e96b74e13
57485	14	8173	2013-08-03 18:34:39.654528	2013-08-03 18:34:39.654528	\N	aac14978-4139-45a0-ac00-965a3da5ad0b
53205	16	7699	2013-08-03 18:09:38.143937	2013-08-03 18:09:38.143937	\N	8fe19289-05d7-4590-8da5-f89cde88842c
53206	16	7702	2013-08-03 18:09:38.197731	2013-08-03 18:09:38.197731	\N	aa483aff-633f-48c1-86d3-81b8558f091d
72060	15	10054	2013-08-03 19:47:48.323414	2013-08-03 19:47:48.323414	\N	e9135abe-d78f-493e-ac95-f5f3dd86b650
58492	13	8245	2013-08-03 18:40:57.055828	2013-08-03 18:40:57.055828	\N	82194e3a-6222-460c-a903-ad66b79d42aa
58493	13	8233	2013-08-03 18:40:57.380923	2013-08-03 18:40:57.380923	\N	11c79176-3b4f-4523-af10-2576157e8d2e
58494	13	8251	2013-08-03 18:40:58.16249	2013-08-03 18:40:58.16249	\N	dbbf1f57-19f1-4dcf-82c9-1f3ec2bad688
55245	4	7949	2013-08-03 18:18:52.441528	2013-08-03 18:18:52.441528	\N	a1866409-792a-4ff1-963e-5e255f934134
56042	4	8014	2013-08-03 18:23:54.087351	2013-08-03 18:23:54.087351	\N	09d14bdc-db93-4291-890a-0f1db7c43c2c
56043	4	8032	2013-08-03 18:23:54.160944	2013-08-03 18:23:54.160944	\N	5dbf9d30-b1e2-4174-8d45-72e15a8eb2b6
56044	4	8035	2013-08-03 18:23:54.31825	2013-08-03 18:23:54.31825	\N	f183fa78-5105-4fff-a256-5b6703a24f69
56045	4	8038	2013-08-03 18:23:54.403199	2013-08-03 18:23:54.403199	\N	d39aa5f1-e6ca-4d3f-b0f3-b9f56b1b7b58
58499	13	8257	2013-08-03 18:40:58.741376	2013-08-03 18:40:58.741376	\N	cf105d89-e667-4a8f-939e-4102c514b769
56661	2	8116	2013-08-03 18:28:37.497893	2013-08-03 18:28:37.497893	\N	cc09f52f-800a-48c6-9c39-c12956c80641
54599	16	7831	2013-08-03 18:15:23.649048	2013-08-03 18:15:23.649048	\N	3e81eea2-5f08-4224-8ef1-22829bb3c546
58500	13	8260	2013-08-03 18:40:58.982955	2013-08-03 18:40:58.982955	\N	a86c4de4-1deb-4a59-8d72-87d93d3c30f8
58501	13	8263	2013-08-03 18:40:59.241573	2013-08-03 18:40:59.241573	\N	786f73e7-3740-43c9-8e85-9e14119a412a
61963	5	8767	2013-08-03 19:00:37.320789	2013-08-03 19:00:37.320789	\N	15b04a62-4026-447e-93fb-50f29ba3586c
54614	16	7852	2013-08-03 18:15:24.323013	2013-08-03 18:15:24.323013	\N	22d0ea7b-15aa-41f8-afbc-e652c44bef31
54615	16	7861	2013-08-03 18:15:24.440844	2013-08-03 18:15:24.440844	\N	38964d5f-db2b-4dc6-9882-a9fc3d53054e
56670	17	8117	2013-08-03 18:28:38.821243	2013-08-03 18:28:38.821243	\N	f7cd962e-47db-450b-99c7-ec6447ee73c7
53935	8	7819	2013-08-03 18:12:42.557147	2013-08-03 18:12:42.557147	\N	335a8903-db7e-4a4c-8afe-9931182d92ea
53254	7	7750	2013-08-03 18:09:50.28969	2013-08-03 18:09:50.28969	\N	0b32da05-4ec9-4da5-bb0f-736bb7ca4f40
53940	8	7846	2013-08-03 18:12:42.592696	2013-08-03 18:12:42.592696	\N	f93286d7-3f44-4aab-8a64-bea79c905fac
53943	8	7864	2013-08-03 18:12:42.644678	2013-08-03 18:12:42.644678	\N	0d88d681-a2d4-45c4-981c-366b0aaf2368
61964	5	8773	2013-08-03 19:00:37.377891	2013-08-03 19:00:37.377891	\N	abfbb8fa-e3ca-4252-9b4d-7b09916c55ed
72066	13	10048	2013-08-03 19:47:49.515608	2013-08-03 19:47:49.515608	\N	71348a5f-850a-4b24-b01a-ee275d424bf6
69351	19	9670	2013-08-03 19:36:25.823682	2013-08-03 19:36:25.823682	\N	f6811296-44ab-4f3c-8c35-7f9e90b67377
59469	9	8416	2013-08-03 18:45:57.933927	2013-08-03 18:45:57.933927	\N	45667a50-816c-4b60-98ce-d523ed0fcc0b
72067	13	10054	2013-08-03 19:47:50.822191	2013-08-03 19:47:50.822191	\N	883de50a-294d-4ec0-923f-760e71e4c052
69354	19	9676	2013-08-03 19:36:25.989644	2013-08-03 19:36:25.989644	\N	14897858-da55-42a9-918d-8553b631b03b
76477	6	10534	2013-08-03 20:07:41.843995	2013-08-03 20:07:41.843995	\N	43b18633-79ac-4e1d-ac49-ba5ce7a39c3f
58528	13	8290	2013-08-03 18:41:01.068521	2013-08-03 18:41:01.068521	\N	52b7e6cd-2efe-4170-97f8-57b3dda68d86
64242	8	9166	2013-08-03 19:12:50.276344	2013-08-03 19:12:50.276344	\N	2823aeb6-f8a5-4375-afe7-ce24a877974b
58531	9	8284	2013-08-03 18:41:01.617891	2013-08-03 18:41:01.617891	\N	f138d9d3-c129-4195-af3c-6deff7ffc0d4
58532	9	8287	2013-08-03 18:41:01.76834	2013-08-03 18:41:01.76834	\N	a70eb02f-f8a1-4e19-8e0b-8f37c2f40c1b
78141	16	10633	2013-08-03 20:13:59.722341	2013-08-03 20:13:59.722341	\N	875ab55e-7350-424b-82d7-d6b80bf0b920
76485	1	10553	2013-08-03 20:07:43.469261	2013-08-03 20:07:43.469261	\N	9a35eab7-45cc-4fa8-af63-dd6f86f18c62
60626	9	8371	2013-08-03 18:52:03.495945	2013-08-03 18:52:03.495945	\N	311f034d-8000-4a0d-be47-0d7c04d4fa84
63273	17	9001	2013-08-03 19:07:38.336756	2013-08-03 19:07:38.336756	\N	ff2e7753-4658-44f9-81c7-7ec3d5f6cfed
58603	16	8245	2013-08-03 18:41:22.851218	2013-08-03 18:41:22.851218	\N	b4289ee9-4d19-4503-9ff3-c53925bee81f
63274	17	8989	2013-08-03 19:07:38.504781	2013-08-03 19:07:38.504781	\N	4a981740-cf22-42f7-8a77-17893cbb1dc8
58605	16	8233	2013-08-03 18:41:22.978542	2013-08-03 18:41:22.978542	\N	9dbe2177-2aa2-419f-8ed4-b5705ce94e11
54647	19	7825	2013-08-03 18:15:32.652805	2013-08-03 18:15:32.652805	\N	b40864f7-dfdc-4f74-989b-593a85a422ef
54648	7	7872	2013-08-03 18:15:33.007316	2013-08-03 18:15:33.007316	\N	7fa279c5-42b9-4646-8f34-b63c4038793a
58608	16	8251	2013-08-03 18:41:23.103371	2013-08-03 18:41:23.103371	\N	9bf383d1-32ca-49f5-a994-a4c1d83d84a4
78142	16	10639	2013-08-03 20:13:59.900652	2013-08-03 20:13:59.900652	\N	e56ba839-fcee-49af-885b-d3df6f7e063a
63279	7	9040	2013-08-03 19:07:38.85184	2013-08-03 19:07:38.85184	\N	c4de5605-dca9-4592-9195-d1a845c33856
54660	19	7831	2013-08-03 18:15:37.729027	2013-08-03 18:15:37.729027	\N	dd07b0ef-a41b-4a2c-8b05-a93a799f99eb
54661	19	7834	2013-08-03 18:15:38.483253	2013-08-03 18:15:38.483253	\N	cff5c76b-0669-48d2-a61a-e22e36de7b86
54662	19	7813	2013-08-03 18:15:39.081515	2013-08-03 18:15:39.081515	\N	29416f6a-9381-4ddf-bda2-04371efc1d6c
54663	19	7840	2013-08-03 18:15:39.381871	2013-08-03 18:15:39.381871	\N	d10bd4e9-c294-4d02-8268-47cbff442c0d
59511	2	8367	2013-08-03 18:46:15.742695	2013-08-03 18:46:15.742695	\N	8b482174-491a-4167-8409-df7e1669f15b
60663	12	8611	2013-08-03 18:52:39.014582	2013-08-03 18:52:39.014582	\N	26f36dc0-68d7-4d54-bef9-519f4b265075
60668	7	8644	2013-08-03 18:52:40.366365	2013-08-03 18:52:40.366365	\N	0ca3e8b7-c571-4764-a183-c5c8772d4bd6
55418	19	7930	2013-08-03 18:19:36.286617	2013-08-03 18:19:36.286617	\N	d5df3311-52b5-4f33-acd7-ed7333399964
60673	8	8644	2013-08-03 18:52:40.90057	2013-08-03 18:52:40.90057	\N	d4446547-eaa2-4b86-8ca9-6b98e0f1bd67
60676	8	8668	2013-08-03 18:52:40.93149	2013-08-03 18:52:40.93149	\N	d7c47d65-cb9f-4576-865a-6ac1fcc29c63
56102	17	8032	2013-08-03 18:24:27.912031	2013-08-03 18:24:27.912031	\N	ccf4c1c8-11ac-45fc-b9ac-e31250941282
54671	19	7846	2013-08-03 18:15:40.688282	2013-08-03 18:15:40.688282	\N	f0a0c8f9-69a3-459d-9230-1e8ae3dd42fa
54672	14	7861	2013-08-03 18:15:41.684947	2013-08-03 18:15:41.684947	\N	241b3e6f-a0e3-41f5-a908-342369448be4
54673	14	7834	2013-08-03 18:15:41.779902	2013-08-03 18:15:41.779902	\N	f6087302-5c92-492b-a2a2-7b0d5d5a4fb9
54674	14	7813	2013-08-03 18:15:41.817597	2013-08-03 18:15:41.817597	\N	6dca4cf1-25d5-47ac-be80-f60e09902f0d
54675	14	7870	2013-08-03 18:15:41.853524	2013-08-03 18:15:41.853524	\N	ed6913ec-2d83-4d2a-8faf-de91077c98ff
54676	14	7865	2013-08-03 18:15:41.900129	2013-08-03 18:15:41.900129	\N	3f6f7661-e80a-4889-989a-4cfe37eb9b0e
60683	7	8635	2013-08-03 18:52:43.319911	2013-08-03 18:52:43.319911	\N	d9c0ecd1-8828-4e77-9cca-34ac3e39d850
55825	8	8032	2013-08-03 18:22:32.875218	2013-08-03 18:22:32.875218	\N	72bc577e-b50f-4775-bed6-ed2e0030e617
55844	7	8038	2013-08-03 18:22:36.777594	2013-08-03 18:22:36.777594	\N	01123c96-54d2-41ea-9a26-005ef5c3921b
55847	11	8039	2013-08-03 18:22:37.217729	2013-08-03 18:22:37.217729	\N	5349db2e-e856-42f4-be0d-68e93bd873cb
56625	8	8083	2013-08-03 18:28:35.12655	2013-08-03 18:28:35.12655	\N	82bea911-565b-4524-89ea-5b932469a08a
57481	19	8149	2013-08-03 18:34:39.032227	2013-08-03 18:34:39.032227	\N	c111f023-dcea-429f-bf95-536b7278e9ee
55271	2	7954	2013-08-03 18:18:55.291216	2013-08-03 18:18:55.291216	\N	df1c01f8-5ed7-41d8-a5d2-9c4fa54c8e7d
58505	13	8266	2013-08-03 18:40:59.508299	2013-08-03 18:40:59.508299	\N	153e8c78-8727-40cc-915d-308b9e654b88
54693	6	7867	2013-08-03 18:15:43.94415	2013-08-03 18:15:43.94415	\N	ee20bf49-1419-4511-935d-44a83dbee4fa
66685	5	9382	2013-08-03 19:26:28.451299	2013-08-03 19:26:28.451299	\N	22299622-1184-4e06-89f4-9521b3212cb9
55283	19	7948	2013-08-03 18:18:58.49843	2013-08-03 18:18:58.49843	\N	4645dd12-b68d-491d-a6e7-b961c0800d18
60499	16	8503	2013-08-03 18:51:33.136761	2013-08-03 18:51:33.136761	\N	5a37ff30-b52a-4f31-aafb-feede0d134d8
60502	16	8515	2013-08-03 18:51:33.466364	2013-08-03 18:51:33.466364	\N	e15b1545-35e0-4138-bb02-5d29577cd326
55873	8	8033	2013-08-03 18:22:50.989977	2013-08-03 18:22:50.989977	\N	ef136d8f-6a2c-4e85-8b90-faeb4fedf423
57495	19	8182	2013-08-03 18:34:42.0101	2013-08-03 18:34:42.0101	\N	3a46882f-3f52-4c8e-8cd7-51c631fd8072
58510	13	8272	2013-08-03 18:40:59.854655	2013-08-03 18:40:59.854655	\N	afc8c8b7-0dc3-46a6-a8b6-795a610555c7
60503	16	8518	2013-08-03 18:51:33.565056	2013-08-03 18:51:33.565056	\N	940ac65b-1d13-4ca8-83c1-fda5b1d3fd9b
60506	16	8536	2013-08-03 18:51:33.864874	2013-08-03 18:51:33.864874	\N	5c47a85a-e264-45ae-9564-4d5737443a15
60507	16	8539	2013-08-03 18:51:33.962765	2013-08-03 18:51:33.962765	\N	e7ae2e2a-fb0a-4d0f-9359-ca4acb613b7e
55906	6	8005	2013-08-03 18:23:10.547636	2013-08-03 18:23:10.547636	\N	ffb76cb0-5f76-4401-b05f-f4d3efad1fb8
76458	7	10552	2013-08-03 20:07:38.124161	2013-08-03 20:07:38.124161	\N	d03ce2a2-08b7-40a7-8c3b-9f9a11c9b8a1
60509	16	8542	2013-08-03 18:51:34.065177	2013-08-03 18:51:34.065177	\N	c5bbfab2-9290-4285-90ee-873f1c66099b
66687	5	9388	2013-08-03 19:26:28.510138	2013-08-03 19:26:28.510138	\N	480c9fe6-fa60-4c3b-82c9-7170d7688e21
67884	19	9526	2013-08-03 19:31:18.804159	2013-08-03 19:31:18.804159	\N	cc4d26ee-5f3e-4713-aa65-007e9226d939
55918	1	8032	2013-08-03 18:23:13.873739	2013-08-03 18:23:13.873739	\N	86f3dc21-2d10-4109-84a3-a3505c5562c9
55919	1	8035	2013-08-03 18:23:14.005863	2013-08-03 18:23:14.005863	\N	a35ddf83-e96e-49d3-b52a-7007a2a817c9
56735	12	8117	2013-08-03 18:29:12.448472	2013-08-03 18:29:12.448472	\N	aa282f8d-87e9-485e-b012-2be4b7a91711
58533	9	8290	2013-08-03 18:41:01.931952	2013-08-03 18:41:01.931952	\N	857c49ad-4ee5-4ffe-b17f-a4f3e75ae1d2
55961	1	8033	2013-08-03 18:23:28.752207	2013-08-03 18:23:28.752207	\N	a3e54d65-96cd-4b73-8fa1-cad1b4380cb9
61951	3	8770	2013-08-03 19:00:32.767086	2013-08-03 19:00:32.767086	\N	3243df1f-1eba-4b8f-a41e-a445c29c8b89
78143	16	10627	2013-08-03 20:14:00.105259	2013-08-03 20:14:00.105259	\N	248193b3-4c13-4ec7-a773-a71879c70103
69321	19	9667	2013-08-03 19:36:21.179971	2013-08-03 19:36:21.179971	\N	b0450616-ed03-4c36-8c68-15019097b6af
72049	11	10048	2013-08-03 19:47:46.390464	2013-08-03 19:47:46.390464	\N	96a2f15b-b7b8-4de1-902c-450ec34e58ca
55323	14	7930	2013-08-03 18:19:13.321065	2013-08-03 18:19:13.321065	\N	61ddc94f-d575-4a7e-a834-466f2956d892
55324	14	7909	2013-08-03 18:19:13.422911	2013-08-03 18:19:13.422911	\N	7b7bc04e-03fe-4096-b128-9d8efa5ec426
55325	14	7948	2013-08-03 18:19:13.473885	2013-08-03 18:19:13.473885	\N	5d9c0d92-de8a-4b31-be2e-e326c5ae8d54
64213	2	9123	2013-08-03 19:12:37.845542	2013-08-03 19:12:37.845542	\N	1cafa0d7-497b-4369-ac09-b426bdc74fb2
64214	2	9166	2013-08-03 19:12:37.927054	2013-08-03 19:12:37.927054	\N	05172506-c2a4-421d-a42c-fa9997d280c9
64215	2	9130	2013-08-03 19:12:37.976766	2013-08-03 19:12:37.976766	\N	b86b3a1c-2c6b-45b2-894f-31f74d50b37f
59532	16	8359	2013-08-03 18:46:27.919153	2013-08-03 18:46:27.919153	\N	11d946aa-d6fe-4dd8-aa5e-dd15f1d25d2a
59535	16	8386	2013-08-03 18:46:28.390559	2013-08-03 18:46:28.390559	\N	7b9cfcdd-5fb6-4c4e-8c92-fbf0031dc896
55983	12	7981	2013-08-03 18:23:35.849128	2013-08-03 18:23:35.849128	\N	d2569579-4436-4b11-b58d-5212fb76c6dd
59538	16	8395	2013-08-03 18:46:28.80954	2013-08-03 18:46:28.80954	\N	271996a4-febc-4aad-b62d-c6d0838d86af
59540	16	8410	2013-08-03 18:46:29.095432	2013-08-03 18:46:29.095432	\N	f7da4f81-cb80-4998-afd0-c8265ef3ecb0
56021	1	8008	2013-08-03 18:23:43.652207	2013-08-03 18:23:43.652207	\N	edbb1874-aefc-4575-849e-d1080f0104c4
59542	16	8413	2013-08-03 18:46:29.214206	2013-08-03 18:46:29.214206	\N	f93bf93e-18e1-4406-afa3-563e393e6bd2
64216	2	9167	2013-08-03 19:12:38.006564	2013-08-03 19:12:38.006564	\N	1946632f-bc12-4e1d-9123-d7efdaef3c6f
64217	2	9136	2013-08-03 19:12:38.053499	2013-08-03 19:12:38.053499	\N	6c8857ab-3992-44bc-8d1d-0797af64c7f7
64219	2	9148	2013-08-03 19:12:38.08902	2013-08-03 19:12:38.08902	\N	20c08608-3c7c-4a6d-b496-3ae17db709bf
64220	2	9172	2013-08-03 19:12:38.142608	2013-08-03 19:12:38.142608	\N	0aefdcfa-2cdf-428e-b7b6-264493d948de
64221	7	9148	2013-08-03 19:12:38.482844	2013-08-03 19:12:38.482844	\N	7c8e75f6-2264-444b-80c4-a40532506bbc
56824	16	8014	2013-08-03 18:29:50.050106	2013-08-03 18:29:50.050106	\N	09344342-5673-4083-a3a1-257488e7c879
56825	16	8017	2013-08-03 18:29:50.18264	2013-08-03 18:29:50.18264	\N	86b6d9dd-ef8c-4d6f-88c5-a80e8c1c5701
72051	11	10049	2013-08-03 19:47:46.558901	2013-08-03 19:47:46.558901	\N	8969491e-5693-4216-ad4f-de54a881e84b
72054	11	10051	2013-08-03 19:47:47.014412	2013-08-03 19:47:47.014412	\N	369d9766-6a67-44d9-85d8-780be277467a
56846	19	8083	2013-08-03 18:29:55.275911	2013-08-03 18:29:55.275911	\N	03c085df-5a90-415e-a903-e8d003b29e66
56847	19	8086	2013-08-03 18:29:55.907494	2013-08-03 18:29:55.907494	\N	a5a8c202-6723-4359-9ca8-0687e49e380d
72061	15	10003	2013-08-03 19:47:48.333133	2013-08-03 19:47:48.333133	\N	9d3f41ab-e216-455e-9492-1b27863be01d
72062	15	10030	2013-08-03 19:47:48.488832	2013-08-03 19:47:48.488832	\N	acbb5a8d-def1-4bb6-953b-7ae00f8533a5
72065	15	10048	2013-08-03 19:47:48.648965	2013-08-03 19:47:48.648965	\N	de721954-46d8-4f82-a761-736c790a8fd7
57661	10	8182	2013-08-03 18:36:02.492953	2013-08-03 18:36:02.492953	\N	afd985bc-ced5-449e-9b6b-5fa6a36499a9
55414	5	7870	2013-08-03 18:19:35.278521	2013-08-03 18:19:35.278521	\N	87a0e18d-8c56-4d26-991f-08fb85707fc3
57663	8	8182	2013-08-03 18:36:02.60875	2013-08-03 18:36:02.60875	\N	450db637-735a-4448-bba9-f2119a5afc27
56108	14	8002	2013-08-03 18:24:31.540957	2013-08-03 18:24:31.540957	\N	5aed882d-83c8-4c51-80ab-c9286d273e3e
56109	14	7993	2013-08-03 18:24:31.559135	2013-08-03 18:24:31.559135	\N	d28071b6-fbdf-4890-b8c5-dc146ae216b3
69347	5	9670	2013-08-03 19:36:25.430083	2013-08-03 19:36:25.430083	\N	c42b4a31-c4cb-451a-bdb4-0c402343bea6
56115	14	7999	2013-08-03 18:24:31.742169	2013-08-03 18:24:31.742169	\N	dc5b5e6a-ceff-4542-bd58-73135647be61
56117	14	7981	2013-08-03 18:24:31.761279	2013-08-03 18:24:31.761279	\N	7950867c-77df-4d9e-80f1-b6f7e887b7d5
56120	14	8035	2013-08-03 18:24:31.991326	2013-08-03 18:24:31.991326	\N	9e46dab4-75a3-4ffd-a9b3-b1fc09247e5a
56859	19	8116	2013-08-03 18:30:03.384224	2013-08-03 18:30:03.384224	\N	3337c934-9fd7-4ec5-9c9b-ed8d98ef1d85
56871	12	8116	2013-08-03 18:30:09.231643	2013-08-03 18:30:09.231643	\N	5c666c6d-2e3f-4ae3-b113-66f3bc7edb26
56872	12	8119	2013-08-03 18:30:09.511629	2013-08-03 18:30:09.511629	\N	777bafe9-0b03-4c88-b9b9-6e89e7c747fe
56873	12	8122	2013-08-03 18:30:09.779349	2013-08-03 18:30:09.779349	\N	68275fb6-b155-4ab6-be22-6969da0ac698
57665	10	8161	2013-08-03 18:36:02.806999	2013-08-03 18:36:02.806999	\N	3bf8c3fe-0d0c-448d-9f48-702fbf5bea8a
91553	11	11692	2013-08-03 20:53:00.118102	2013-08-03 20:53:00.118102	\N	556c2f84-927c-448d-a2af-97be19ec282f
64241	8	9172	2013-08-03 19:12:50.271953	2013-08-03 19:12:50.271953	\N	8023511b-4ded-4112-be0e-ac37d801de4a
63197	14	8887	2013-08-03 19:07:03.933301	2013-08-03 19:07:03.933301	\N	bb653ba2-4e7f-45a4-a1a8-72e93e752bc5
76471	7	10558	2013-08-03 20:07:40.806809	2013-08-03 20:07:40.806809	\N	bc0da45c-b04f-43f6-9b87-9552afb94622
104801	13	12823	2013-08-03 21:35:02.315514	2013-08-03 21:35:02.315514	\N	79e0267b-527a-4388-bdc1-0ebc48d68e3a
72086	17	10049	2013-08-03 19:47:58.461596	2013-08-03 19:47:58.461596	\N	9ecee980-b0d2-4f48-99d6-3d8d00b923e2
58611	16	8257	2013-08-03 18:41:23.22836	2013-08-03 18:41:23.22836	\N	76918c52-34d9-4937-a6bb-e7a60eb79422
58622	16	8284	2013-08-03 18:41:23.981845	2013-08-03 18:41:23.981845	\N	57a8680f-bd79-4daa-99d5-9baa5fda87b4
57738	2	8157	2013-08-03 18:36:52.322225	2013-08-03 18:36:52.322225	\N	f744c1ce-ef2d-4f2c-adc3-3cccd22bcaae
58626	16	8287	2013-08-03 18:41:24.103956	2013-08-03 18:41:24.103956	\N	1c4d7438-7bbf-419e-90f6-8a98cfd71f1e
64955	11	9280	2013-08-03 19:18:11.098081	2013-08-03 19:18:11.098081	\N	8f4dfb55-a950-4f16-ad63-7ab9c3d749c0
64957	13	9295	2013-08-03 19:18:11.513775	2013-08-03 19:18:11.513775	\N	04b847ad-1eb6-4991-bdd3-c9b3b1fab832
64960	11	9293	2013-08-03 19:18:12.033896	2013-08-03 19:18:12.033896	\N	aed38f45-c89a-4889-a9f6-b16ac4cf61ad
72089	1	10040	2013-08-03 19:47:58.679513	2013-08-03 19:47:58.679513	\N	fa732951-46a1-4c64-913c-c94ca0a0c255
111122	2	13456	2013-08-03 21:59:25.952592	2013-08-03 21:59:25.952592	\N	3536edad-5c5b-4e3c-b2c3-2025c64ca76e
76479	2	10553	2013-08-03 20:07:42.910519	2013-08-03 20:07:42.910519	\N	01a62c0f-58da-47a5-bfac-b99d7ef98141
56996	16	8074	2013-08-03 18:31:12.826445	2013-08-03 18:31:12.826445	\N	031d23d9-d4e7-40fe-8e59-b6288d57a28f
56997	16	8077	2013-08-03 18:31:13.171193	2013-08-03 18:31:13.171193	\N	2f095813-882b-48af-9c93-61d5ec09e392
56998	16	8065	2013-08-03 18:31:13.463375	2013-08-03 18:31:13.463375	\N	d0f11ead-238f-412e-bb1f-64e855094699
67962	19	9541	2013-08-03 19:31:27.186477	2013-08-03 19:31:27.186477	\N	d93eb014-725b-44f8-8c51-9e38b5048ed7
57002	16	8095	2013-08-03 18:31:14.248673	2013-08-03 18:31:14.248673	\N	e7c39ea3-3524-4ca7-b001-a276afe2da3b
76481	2	10531	2013-08-03 20:07:43.018341	2013-08-03 20:07:43.018341	\N	d796326c-caa3-4e40-a090-98ec12c670b5
59675	10	8537	2013-08-03 18:47:38.667115	2013-08-03 18:47:38.667115	\N	0966ce39-b257-4806-a7f6-1a8db29b0365
59685	7	8512	2013-08-03 18:47:39.530392	2013-08-03 18:47:39.530392	\N	7cd0d5f4-5383-4faf-a8ce-a7a1ac11e4c6
66764	19	9409	2013-08-03 19:26:41.432345	2013-08-03 19:26:41.432345	\N	7dc7763b-230e-45b7-ace1-42d4b45655c2
66765	19	9376	2013-08-03 19:26:42.156209	2013-08-03 19:26:42.156209	\N	a81f6b8b-f02b-4e46-9c22-0cd4ce3444ee
59696	7	8485	2013-08-03 18:47:44.109632	2013-08-03 18:47:44.109632	\N	a7ec6373-2eb8-4655-bee7-e32cefc658a3
59701	8	8542	2013-08-03 18:47:46.620156	2013-08-03 18:47:46.620156	\N	47d146df-e4e3-4ff4-afab-371f282bc02e
64975	8	9253	2013-08-03 19:18:16.173158	2013-08-03 19:18:16.173158	\N	893c11c9-9641-47b4-801a-ad41d6986bb0
58771	8	8413	2013-08-03 18:42:40.459307	2013-08-03 18:42:40.459307	\N	52f7d107-eedf-4a03-aa57-7bf3ea84b761
58802	14	8413	2013-08-03 18:42:45.137808	2013-08-03 18:42:45.137808	\N	ea917bdc-d038-45e0-a4b1-c04456d4c202
59725	6	8518	2013-08-03 18:47:57.231139	2013-08-03 18:47:57.231139	\N	bafc6e83-e3f6-4acf-b411-10b6d35026d0
59726	7	8500	2013-08-03 18:47:57.541224	2013-08-03 18:47:57.541224	\N	7514b9bd-ab46-4686-b679-3c537eedd16f
59727	6	8497	2013-08-03 18:47:57.62535	2013-08-03 18:47:57.62535	\N	6b054300-6279-4efb-87da-e25a2e15adbc
55879	2	8039	2013-08-03 18:22:54.501176	2013-08-03 18:22:54.501176	\N	3a8910a5-f8ac-498f-8a0b-d24c6cb0f833
56689	4	8089	2013-08-03 18:28:51.324403	2013-08-03 18:28:51.324403	\N	f98af888-970b-4a36-9841-1d53436c74af
56691	4	8098	2013-08-03 18:28:51.353122	2013-08-03 18:28:51.353122	\N	47873fbf-d519-4d9d-89b3-159cd1864cf5
56693	4	8116	2013-08-03 18:28:51.378332	2013-08-03 18:28:51.378332	\N	0887f679-d4dc-40a8-a519-c299460403d1
55886	2	8035	2013-08-03 18:22:55.612218	2013-08-03 18:22:55.612218	\N	56acd465-92f3-42a2-936e-3249c208e7e4
56694	4	8119	2013-08-03 18:28:51.419499	2013-08-03 18:28:51.419499	\N	503c2367-ffaf-41a4-b1f6-e82c9322fd64
55889	1	7993	2013-08-03 18:22:58.637644	2013-08-03 18:22:58.637644	\N	bb39d7f6-27aa-4127-a8c3-d30ae014822a
55890	1	7999	2013-08-03 18:22:58.759143	2013-08-03 18:22:58.759143	\N	bd2d7e31-7076-48df-a83f-ec3f0e916727
54694	6	7861	2013-08-03 18:15:44.072025	2013-08-03 18:15:44.072025	\N	7daaad14-d3ae-4b45-afb3-1a098aa84540
54695	19	7864	2013-08-03 18:15:46.381127	2013-08-03 18:15:46.381127	\N	7484db95-89e8-4503-835f-0d21b8dffed5
54698	19	7870	2013-08-03 18:15:48.345065	2013-08-03 18:15:48.345065	\N	eb56ead9-3445-470a-890d-6a72641d8d8d
56696	4	8122	2013-08-03 18:28:51.481631	2013-08-03 18:28:51.481631	\N	cb34b99c-3f24-4a92-bc54-51a500827859
60505	16	8524	2013-08-03 18:51:33.766111	2013-08-03 18:51:33.766111	\N	68a448b1-19a7-4a91-b3a2-c1ba3b45047a
73535	13	10144	2013-08-03 19:55:05.16734	2013-08-03 19:55:05.16734	\N	7b446b7d-bc75-4b6a-97c6-00ff9a170330
78147	16	10657	2013-08-03 20:14:00.800998	2013-08-03 20:14:00.800998	\N	bf66aaab-aa98-4cec-be5e-330404ea8b41
72082	17	10040	2013-08-03 19:47:57.248643	2013-08-03 19:47:57.248643	\N	db5b7348-b42a-45fb-8349-c4da8a6afc29
78149	16	10663	2013-08-03 20:14:00.985622	2013-08-03 20:14:00.985622	\N	c272d8e1-4aea-49a0-8b15-eef437feb96e
64237	5	9148	2013-08-03 19:12:45.79131	2013-08-03 19:12:45.79131	\N	911cb413-64f3-4479-9ce4-b4aa35900fa7
55915	1	8002	2013-08-03 18:23:13.654523	2013-08-03 18:23:13.654523	\N	302614f4-0db9-4914-989c-72a0c1fb7e95
55916	1	8014	2013-08-03 18:23:13.773181	2013-08-03 18:23:13.773181	\N	9c5065b3-4459-43f3-b0c3-014c9fd1e700
64240	8	9148	2013-08-03 19:12:50.270399	2013-08-03 19:12:50.270399	\N	000e4a99-bc0e-423a-b6aa-b910263f7959
64249	14	9123	2013-08-03 19:12:55.035284	2013-08-03 19:12:55.035284	\N	5294969a-64d1-4295-b841-3ca7b1e72cfb
64972	1	9293	2013-08-03 19:18:13.583495	2013-08-03 19:18:13.583495	\N	358b5bc2-c2fe-4154-8de6-6e739e6c2064
58616	16	8266	2013-08-03 18:41:23.589872	2013-08-03 18:41:23.589872	\N	83efb5d5-b2b2-413e-8bf7-6a9c65bffa0f
58617	16	8269	2013-08-03 18:41:23.726608	2013-08-03 18:41:23.726608	\N	092b5ea5-ad8a-4707-8c1d-d079023cbfad
64974	8	9283	2013-08-03 19:18:15.354575	2013-08-03 19:18:15.354575	\N	0d2c8343-6931-40d7-80a5-ceac96893f11
55305	19	7951	2013-08-03 18:19:05.261167	2013-08-03 18:19:05.261167	\N	a6d665f9-000c-4a33-b429-64c459750c6c
58619	16	8272	2013-08-03 18:41:23.86579	2013-08-03 18:41:23.86579	\N	69dff128-0fa1-4b92-82f3-c1f28a6d55e2
70687	12	9796	2013-08-03 19:41:18.825894	2013-08-03 19:41:18.825894	\N	474e6259-c401-46a7-9c6f-84fb07ae428e
55309	10	7949	2013-08-03 18:19:09.278556	2013-08-03 18:19:09.278556	\N	2a75c1c3-1239-4c18-8594-16ab6a75f9fa
55313	2	7897	2013-08-03 18:19:10.408865	2013-08-03 18:19:10.408865	\N	01d1ef76-ed68-40bf-8bef-24b095778df8
57657	10	8200	2013-08-03 18:36:02.056759	2013-08-03 18:36:02.056759	\N	af4adbf2-a5ba-403a-88a6-b3e779e591a1
57658	10	8149	2013-08-03 18:36:02.167438	2013-08-03 18:36:02.167438	\N	c436a94b-e7e8-464c-9bba-0e6b03400409
72087	1	10049	2013-08-03 19:47:58.484788	2013-08-03 19:47:58.484788	\N	f9d486d3-fa38-4d98-af3b-0b81b2dcce77
59496	9	8392	2013-08-03 18:46:13.133235	2013-08-03 18:46:13.133235	\N	38e95872-4263-4953-9e33-f4475a188808
64984	8	9292	2013-08-03 19:18:20.256668	2013-08-03 19:18:20.256668	\N	e81fe0dc-1815-4580-a8f0-8abc215c8487
72088	14	10040	2013-08-03 19:47:58.67368	2013-08-03 19:47:58.67368	\N	0c760303-2b25-4392-a1d7-ea4eafb092e6
72090	7	10003	2013-08-03 19:47:59.172427	2013-08-03 19:47:59.172427	\N	39a4b96d-06e2-4d22-a8b5-ed397ebbef7b
65548	20	9274	2013-08-03 19:20:41.919808	2013-08-03 19:20:41.919808	\N	128d53fa-9274-48dc-88f6-90c2a73e74a7
56822	16	8011	2013-08-03 18:29:49.923473	2013-08-03 18:29:49.923473	\N	664b4bc4-7af8-4508-9f79-b60e85a04af2
55990	12	8008	2013-08-03 18:23:37.410803	2013-08-03 18:23:37.410803	\N	9c6be4cb-d7b7-4b73-9684-5fb1b30df8c1
64995	17	9253	2013-08-03 19:18:21.477644	2013-08-03 19:18:21.477644	\N	233ccaaf-557e-4935-9280-eb669c621fd2
56854	19	8098	2013-08-03 18:29:57.780939	2013-08-03 18:29:57.780939	\N	8ae991d9-395f-4ab8-a746-586efbbf81c0
60634	9	8411	2013-08-03 18:52:07.05918	2013-08-03 18:52:07.05918	\N	ad031ec1-f93c-4f60-81c6-7c3696c6686a
57685	16	8161	2013-08-03 18:36:18.515436	2013-08-03 18:36:18.515436	\N	235b0b23-f477-4851-b6e2-7a43932f11ea
56000	8	8005	2013-08-03 18:23:38.664226	2013-08-03 18:23:38.664226	\N	acb11a41-08a5-4d13-ab80-a37f89cfac0c
57686	16	8149	2013-08-03 18:36:18.657662	2013-08-03 18:36:18.657662	\N	7783846f-00ef-4ec6-a688-9ade0d1cc61d
56865	12	8074	2013-08-03 18:30:06.493215	2013-08-03 18:30:06.493215	\N	27dd988e-f67f-45d6-846c-37ee2d666b34
56005	12	8035	2013-08-03 18:23:38.881242	2013-08-03 18:23:38.881242	\N	0181aa9c-63b6-4e6e-becc-438700fed0fc
56006	12	8038	2013-08-03 18:23:39.178537	2013-08-03 18:23:39.178537	\N	76bcaf07-e016-4268-b0da-2b7425d72a70
56870	12	8086	2013-08-03 18:30:07.74648	2013-08-03 18:30:07.74648	\N	0cd4a644-fb6e-493c-aac7-71d529ccf26e
56009	2	8005	2013-08-03 18:23:40.123655	2013-08-03 18:23:40.123655	\N	8d153cef-7d17-4ff0-bb0a-20f77943746b
57687	16	8167	2013-08-03 18:36:18.800581	2013-08-03 18:36:18.800581	\N	76ed213a-664a-46bd-965b-1023c40ef0fe
57688	16	8173	2013-08-03 18:36:18.931895	2013-08-03 18:36:18.931895	\N	59faecc6-ec6d-42d1-93c2-67402c318fc2
56013	2	8008	2013-08-03 18:23:40.192005	2013-08-03 18:23:40.192005	\N	43bd938e-0aac-44cd-8578-75260f52ef33
57690	16	8179	2013-08-03 18:36:19.213562	2013-08-03 18:36:19.213562	\N	fc13b4ee-0c49-4c0b-aa0b-047191474e20
57691	16	8182	2013-08-03 18:36:19.356087	2013-08-03 18:36:19.356087	\N	a1a36e28-ae9d-4b5e-a3c4-f507ea209b9d
56016	2	8014	2013-08-03 18:23:40.289265	2013-08-03 18:23:40.289265	\N	73cf3dc4-c282-4c12-bcf5-0cb27db0d6e9
56017	2	8017	2013-08-03 18:23:40.321322	2013-08-03 18:23:40.321322	\N	8db1b0b6-b00b-4607-87cf-6ad3a6f31279
57692	16	8185	2013-08-03 18:36:19.487511	2013-08-03 18:36:19.487511	\N	3e11c6a0-44a6-48ee-922f-e16eb9d7001b
57693	16	8188	2013-08-03 18:36:19.641035	2013-08-03 18:36:19.641035	\N	292c8dd2-36d8-401e-9c79-e9933e34455b
57694	16	8200	2013-08-03 18:36:19.816313	2013-08-03 18:36:19.816313	\N	2c73210a-6f0d-44fa-a1cc-35c6c0e8f98c
72091	7	10027	2013-08-03 19:47:59.27757	2013-08-03 19:47:59.27757	\N	d96d767a-ba40-483d-aa63-da86320c571f
57769	14	8245	2013-08-03 18:37:41.626617	2013-08-03 18:37:41.626617	\N	64c575f1-970d-4d73-97f7-32d4cc2ae402
57793	11	8266	2013-08-03 18:37:50.429769	2013-08-03 18:37:50.429769	\N	3ff05595-a68e-4a6b-b0e1-4db85e5e767a
60660	9	8662	2013-08-03 18:52:38.697855	2013-08-03 18:52:38.697855	\N	eac6c29e-1353-4221-b3bf-a826d2f8d645
57812	2	8245	2013-08-03 18:38:03.036765	2013-08-03 18:38:03.036765	\N	65d2bbac-d654-4492-8941-7a29ffb6287b
57813	2	8284	2013-08-03 18:38:03.158237	2013-08-03 18:38:03.158237	\N	1722395d-388c-49e5-ac59-a4c2f1094871
57814	2	8287	2013-08-03 18:38:03.205114	2013-08-03 18:38:03.205114	\N	3f22b5ee-569c-4e3c-9194-b67a4c642100
57815	2	8290	2013-08-03 18:38:03.259676	2013-08-03 18:38:03.259676	\N	8af88b7e-4ffd-4322-bdf3-6e36dea1a4f8
57816	2	8285	2013-08-03 18:38:03.313935	2013-08-03 18:38:03.313935	\N	c05cc94d-e774-485e-8163-b035349ad18f
57817	2	8266	2013-08-03 18:38:03.368778	2013-08-03 18:38:03.368778	\N	825700e3-a8d4-4f48-9ed9-d5001399c61f
57818	2	8257	2013-08-03 18:38:03.418985	2013-08-03 18:38:03.418985	\N	0c972b4f-209e-4192-84f9-347991c3dc7a
57819	8	8245	2013-08-03 18:38:07.571898	2013-08-03 18:38:07.571898	\N	cbb2fa57-652c-45f5-9a96-7582c9b93cba
57820	8	8233	2013-08-03 18:38:08.56891	2013-08-03 18:38:08.56891	\N	0011900d-c6d5-4319-b132-032b5854a145
57821	8	8254	2013-08-03 18:38:11.149608	2013-08-03 18:38:11.149608	\N	3388d2d0-ef2c-44de-b4ea-cbd1b898b394
57822	8	8260	2013-08-03 18:38:12.158288	2013-08-03 18:38:12.158288	\N	e7528109-cdf7-4183-84ed-0ba1599b363c
60661	9	8665	2013-08-03 18:52:38.877206	2013-08-03 18:52:38.877206	\N	865a86a0-c307-432a-9a4f-dc1e0ff7ddaa
57838	12	8287	2013-08-03 18:38:15.965213	2013-08-03 18:38:15.965213	\N	454a29c3-8066-4953-abf5-d4722f9d3e8b
57839	12	8290	2013-08-03 18:38:16.247005	2013-08-03 18:38:16.247005	\N	812954fd-7486-4f53-a7b3-cd30467c51ec
56111	14	8014	2013-08-03 18:24:31.641971	2013-08-03 18:24:31.641971	\N	6950689c-8cc2-41aa-98b9-9d87d60fff8d
56112	14	8008	2013-08-03 18:24:31.649163	2013-08-03 18:24:31.649163	\N	97175a4a-0df0-4f45-8877-f447108b5c56
60672	8	8623	2013-08-03 18:52:40.898372	2013-08-03 18:52:40.898372	\N	afc5a202-7016-4953-a456-91f8e397076c
56116	14	8032	2013-08-03 18:24:31.744013	2013-08-03 18:24:31.744013	\N	7961715b-0e59-4e0c-bfa8-1bb0d3a37fbe
60677	8	8638	2013-08-03 18:52:40.931716	2013-08-03 18:52:40.931716	\N	eafc85d2-6e73-47d5-a2f5-606c3b0d7266
56119	14	8038	2013-08-03 18:24:31.83204	2013-08-03 18:24:31.83204	\N	255a1164-e947-4f0b-9644-eae72c1f7593
58767	8	8380	2013-08-03 18:42:40.454317	2013-08-03 18:42:40.454317	\N	c2bf3016-646d-4fdb-b643-214005133816
58772	8	8359	2013-08-03 18:42:40.548694	2013-08-03 18:42:40.548694	\N	fd1d3948-6543-47f6-b612-6e081a95dfb9
58788	2	8359	2013-08-03 18:42:42.73334	2013-08-03 18:42:42.73334	\N	c18c0c68-dc67-494e-a759-b9df51855ada
58789	2	8380	2013-08-03 18:42:42.817406	2013-08-03 18:42:42.817406	\N	a58f0984-8e8d-40c2-879d-cafaf6858115
58790	2	8386	2013-08-03 18:42:42.920337	2013-08-03 18:42:42.920337	\N	f8ce4f6f-f69b-4421-a168-9b42be1d55ca
57003	16	8098	2013-08-03 18:31:14.532031	2013-08-03 18:31:14.532031	\N	1253a14d-b023-4e9c-86a9-bbab64224a13
57004	16	8101	2013-08-03 18:31:14.813852	2013-08-03 18:31:14.813852	\N	d7d58112-0f0d-4205-8803-b6bb21d649a3
57007	16	8119	2013-08-03 18:31:15.560743	2013-08-03 18:31:15.560743	\N	b08f6ddc-7f73-4445-b4a8-f20f5cfbc965
58791	2	8411	2013-08-03 18:42:42.992459	2013-08-03 18:42:42.992459	\N	e8bcc6ec-82ec-498f-9b7d-40057899937c
58792	2	8392	2013-08-03 18:42:43.06963	2013-08-03 18:42:43.06963	\N	1ddfd39a-0f52-4e94-bfca-5b6c2fae63d3
58793	2	8371	2013-08-03 18:42:43.137523	2013-08-03 18:42:43.137523	\N	f5018e73-9862-48b9-8116-8936ded66224
57886	7	8247	2013-08-03 18:38:35.953876	2013-08-03 18:38:35.953876	\N	728af98e-0111-48bd-83cf-ceba61f5d1d5
58794	2	8413	2013-08-03 18:42:43.223454	2013-08-03 18:42:43.223454	\N	04411354-75f0-478c-bb67-911b137a7615
58795	2	8416	2013-08-03 18:42:43.294148	2013-08-03 18:42:43.294148	\N	a2a0cbf4-4998-4aad-8292-726cc701b6e6
65002	6	9283	2013-08-03 19:18:27.013489	2013-08-03 19:18:27.013489	\N	051db979-b086-4869-8c88-0cd69dbadfd1
72092	7	10009	2013-08-03 19:47:59.364069	2013-08-03 19:47:59.364069	\N	4acf0232-1ddb-4f2a-89b8-bcedfc120a36
72093	7	10018	2013-08-03 19:47:59.414934	2013-08-03 19:47:59.414934	\N	f56e4f5d-b190-4255-b89a-1819f07067dd
58799	14	8392	2013-08-03 18:42:45.057864	2013-08-03 18:42:45.057864	\N	f3e5a939-64b7-4a4d-8324-fffd79985c64
72094	7	10048	2013-08-03 19:47:59.531351	2013-08-03 19:47:59.531351	\N	48beeb8b-abff-4249-bb0d-5fd4d7487c04
72103	7	10051	2013-08-03 19:47:59.922762	2013-08-03 19:47:59.922762	\N	0337f278-d23b-44c9-94bf-528573f6e414
65009	6	9292	2013-08-03 19:18:28.507083	2013-08-03 19:18:28.507083	\N	79c301dc-55ac-4c71-8a5a-3d0580ac9044
66689	5	9397	2013-08-03 19:26:28.778386	2013-08-03 19:26:28.778386	\N	587e0225-be15-4cc8-98bb-b156f95f75c2
72076	20	10009	2013-08-03 19:47:54.061611	2013-08-03 19:47:54.061611	\N	7332f2b5-b692-40d3-abb7-c88dbe7da7a6
56189	19	7990	2013-08-03 18:25:06.718949	2013-08-03 18:25:06.718949	\N	846d3027-2c12-469c-aadd-fc38fbbd0056
56198	19	8014	2013-08-03 18:25:11.871314	2013-08-03 18:25:11.871314	\N	fdc2da33-676e-4987-b321-051e6235beeb
57515	17	8203	2013-08-03 18:34:46.321792	2013-08-03 18:34:46.321792	\N	ebbb7824-b5fd-4f1a-a844-e19d7ac735af
56200	7	7990	2013-08-03 18:25:13.021407	2013-08-03 18:25:13.021407	\N	bf164478-16bc-41d6-991d-e713b3a6e8c9
72077	20	10030	2013-08-03 19:47:54.105686	2013-08-03 19:47:54.105686	\N	a94150bf-2115-4bee-8fc8-449527640865
56215	19	8038	2013-08-03 18:25:20.318464	2013-08-03 18:25:20.318464	\N	a9f6b2ac-606e-470c-8c5f-9c76b9567c7c
60575	10	8500	2013-08-03 18:51:50.621687	2013-08-03 18:51:50.621687	\N	57f68709-4b81-4049-a355-33403200d6ff
60577	10	8494	2013-08-03 18:51:50.722334	2013-08-03 18:51:50.722334	\N	c6115a52-ed30-43e8-bb46-035572da9f63
57520	19	8200	2013-08-03 18:34:47.720132	2013-08-03 18:34:47.720132	\N	2def84cc-debd-4737-bc1e-df0c4d6d867d
60580	8	8494	2013-08-03 18:51:51.062292	2013-08-03 18:51:51.062292	\N	f9cd0a06-f2d0-46cd-9c22-4579cc6d099b
72078	17	10048	2013-08-03 19:47:54.21398	2013-08-03 19:47:54.21398	\N	d5237957-de1c-4792-8c37-aa4d6548105a
72079	17	10054	2013-08-03 19:47:54.802255	2013-08-03 19:47:54.802255	\N	104aeee3-15d8-4012-a9d4-014fe33d5f32
76466	20	10507	2013-08-03 20:07:39.493767	2013-08-03 20:07:39.493767	\N	a44f4e66-a7fe-4723-b5fa-5008a7dc49e9
64211	7	9167	2013-08-03 19:12:37.485276	2013-08-03 19:12:37.485276	\N	915c09cf-b2b5-4aaf-a342-d469826b5a9e
64228	7	9172	2013-08-03 19:12:43.700568	2013-08-03 19:12:43.700568	\N	8f39ed5a-acc5-4e30-9cac-b535cfa1fa9b
56265	13	7981	2013-08-03 18:25:42.414668	2013-08-03 18:25:42.414668	\N	fd238d78-f766-4e82-83d4-570d419a334e
56276	13	8011	2013-08-03 18:25:45.324422	2013-08-03 18:25:45.324422	\N	3a167bf3-7fda-4a2f-bac5-dd88b92092d8
56288	13	8032	2013-08-03 18:25:46.529431	2013-08-03 18:25:46.529431	\N	e9e0a378-f19f-4cd0-91d1-01a54bdd054d
64238	19	9166	2013-08-03 19:12:50.194311	2013-08-03 19:12:50.194311	\N	829c83aa-e1fb-44f9-a707-c5840dbb11fc
56779	8	8098	2013-08-03 18:29:36.844266	2013-08-03 18:29:36.844266	\N	03270e80-7e85-44a0-b9ee-09be68efce3c
76467	20	10513	2013-08-03 20:07:39.56498	2013-08-03 20:07:39.56498	\N	fafd3fc2-9300-4fb8-b143-7b2f806422fb
56789	8	8122	2013-08-03 18:29:39.701075	2013-08-03 18:29:39.701075	\N	1a78af24-193e-4057-a486-84ab1fb9600d
57568	20	8200	2013-08-03 18:35:06.261992	2013-08-03 18:35:06.261992	\N	86f3ed83-02a2-41a6-a557-d5987bd14bf9
64977	8	9274	2013-08-03 19:18:16.763225	2013-08-03 19:18:16.763225	\N	bd60cc60-ad0b-4e19-999f-46dc3a3bfa2d
56794	19	8117	2013-08-03 18:29:41.5746	2013-08-03 18:29:41.5746	\N	b2782709-16d2-4d0f-9232-59ee824eaa3d
64979	3	9283	2013-08-03 19:18:17.738898	2013-08-03 19:18:17.738898	\N	de1ed7aa-365a-43b6-b4ec-6022c698dac2
64980	3	9292	2013-08-03 19:18:17.809182	2013-08-03 19:18:17.809182	\N	c232ff1f-459e-4fb2-97bc-9777e9915733
60662	9	8668	2013-08-03 18:52:39.025329	2013-08-03 18:52:39.025329	\N	bad8be48-d829-4388-b2d6-b6db33b8533f
60664	7	8623	2013-08-03 18:52:39.303827	2013-08-03 18:52:39.303827	\N	f8f2f00d-c8b3-440c-bc64-12b7974d0ef6
58630	16	8290	2013-08-03 18:41:24.238062	2013-08-03 18:41:24.238062	\N	a304b798-eb26-48a2-a434-a2bfd79bcbf9
59594	14	8383	2013-08-03 18:46:55.336375	2013-08-03 18:46:55.336375	\N	4c7f4ad0-d20c-4293-a949-5ba2e320df75
60665	7	8617	2013-08-03 18:52:39.367107	2013-08-03 18:52:39.367107	\N	884498d5-06e7-40c2-b227-33880227179a
56809	2	8073	2013-08-03 18:29:48.214982	2013-08-03 18:29:48.214982	\N	0d05ade1-203c-4996-874d-e4cbc51b7f22
59600	8	8374	2013-08-03 18:46:56.162128	2013-08-03 18:46:56.162128	\N	13894cc5-1b62-4d72-a33e-79de21b61986
56814	16	7990	2013-08-03 18:29:49.247938	2013-08-03 18:29:49.247938	\N	7ca804a1-4b19-4141-abfa-52998898b69b
56816	19	8074	2013-08-03 18:29:49.431221	2013-08-03 18:29:49.431221	\N	12692f2f-2ce3-492a-9f9f-67cd252d4b68
60666	7	8665	2013-08-03 18:52:39.561489	2013-08-03 18:52:39.561489	\N	4269d8b9-163a-40f5-8fba-53e9aa33fb5b
60667	12	8638	2013-08-03 18:52:40.340791	2013-08-03 18:52:40.340791	\N	3ffbab81-6fce-46fb-8d65-6b91ffaa3c70
57673	4	8176	2013-08-03 18:36:14.063843	2013-08-03 18:36:14.063843	\N	eb30d979-a724-4460-a8a3-7690a849bf4a
60674	8	8662	2013-08-03 18:52:40.903513	2013-08-03 18:52:40.903513	\N	6414786c-7f30-4e60-b444-08fdd6907608
56862	19	8122	2013-08-03 18:30:04.093937	2013-08-03 18:30:04.093937	\N	fd764d97-8a5c-4c62-9b27-11f45de05efc
64981	3	9274	2013-08-03 19:18:17.893435	2013-08-03 19:18:17.893435	\N	91d9021e-d5a7-4cd9-a912-1012265947f3
56882	14	8073	2013-08-03 18:30:17.371968	2013-08-03 18:30:17.371968	\N	881b984c-683e-42c0-b37e-647e2700c547
64982	3	9253	2013-08-03 19:18:17.941222	2013-08-03 19:18:17.941222	\N	0b7e2a02-5e50-48de-af25-2c8f20940114
67965	19	9544	2013-08-03 19:31:28.850509	2013-08-03 19:31:28.850509	\N	decf4e8e-6d51-44e1-acd1-1a357ec387c6
57689	16	8176	2013-08-03 18:36:19.065261	2013-08-03 18:36:19.065261	\N	29dc82d6-e1ee-4e9d-ae1c-2920107d9485
64997	6	9274	2013-08-03 19:18:25.080431	2013-08-03 19:18:25.080431	\N	b4392ea0-fdc1-4208-a3fd-5b11d739d58a
69365	14	9662	2013-08-03 19:36:28.723479	2013-08-03 19:36:28.723479	\N	cfe42703-6d66-4257-bc21-35b42308bbaa
65000	6	9253	2013-08-03 19:18:26.229059	2013-08-03 19:18:26.229059	\N	06180337-4e07-4fc9-91f6-3b9c972b2c61
57861	17	8176	2013-08-03 18:38:23.124113	2013-08-03 18:38:23.124113	\N	7e8690a5-dcc3-4cf2-bf2e-a0e661a1c144
57862	8	8285	2013-08-03 18:38:24.90728	2013-08-03 18:38:24.90728	\N	c7cf6cf8-c3fc-49e4-a747-8b264f67d860
57870	9	8285	2013-08-03 18:38:30.006942	2013-08-03 18:38:30.006942	\N	215f2072-094c-4119-81b6-0eb1c341d939
57880	7	8233	2013-08-03 18:38:34.866255	2013-08-03 18:38:34.866255	\N	aa92cd74-f67b-4dbe-b3c6-a14b324855f3
73542	13	10153	2013-08-03 19:55:06.397189	2013-08-03 19:55:06.397189	\N	732bb913-b3e3-4380-b940-53e7af7050eb
57882	7	8290	2013-08-03 18:38:35.128467	2013-08-03 18:38:35.128467	\N	da923532-52d1-4955-b380-277b6021c84a
57883	7	8284	2013-08-03 18:38:35.194376	2013-08-03 18:38:35.194376	\N	6ba26754-42e8-4cc5-a838-61d8b1fd85d1
57884	2	8269	2013-08-03 18:38:35.290933	2013-08-03 18:38:35.290933	\N	bc26c81e-fd5c-4961-9b29-c1792370ee57
57001	16	8089	2013-08-03 18:31:13.993711	2013-08-03 18:31:13.993711	\N	6796ac23-b719-45a4-8921-272d3e377957
57008	16	8122	2013-08-03 18:31:15.83703	2013-08-03 18:31:15.83703	\N	b508dfa1-77f3-4de3-b5df-b8f85c7a1cfb
61059	17	8644	2013-08-03 18:55:54.435449	2013-08-03 18:55:54.435449	\N	1609bc90-c17b-4ac2-a003-65398ec1023e
72124	4	10003	2013-08-03 19:48:09.117742	2013-08-03 19:48:09.117742	\N	b1982ec0-5eee-4325-a878-ba6d97725e7e
72125	4	10009	2013-08-03 19:48:09.193848	2013-08-03 19:48:09.193848	\N	bf6ed7f6-9c51-41b1-9160-ee9e9f971b54
59666	4	8497	2013-08-03 18:47:38.349043	2013-08-03 18:47:38.349043	\N	53d99847-942e-4cdc-b035-774e2e3e8d1a
59668	4	8485	2013-08-03 18:47:38.411907	2013-08-03 18:47:38.411907	\N	716f588e-2565-4e69-996f-b3fec4d03821
59669	4	8500	2013-08-03 18:47:38.477784	2013-08-03 18:47:38.477784	\N	d3ba7413-4788-4bf8-a6e1-2091190ff6ba
59670	4	8509	2013-08-03 18:47:38.539293	2013-08-03 18:47:38.539293	\N	23f2a7e4-3ce1-4daa-8514-2030cea18ec8
59672	4	8512	2013-08-03 18:47:38.589675	2013-08-03 18:47:38.589675	\N	6d4b8542-b6f9-4b01-bd95-af5565a20fcf
59674	4	8518	2013-08-03 18:47:38.65779	2013-08-03 18:47:38.65779	\N	1d558471-d482-4fc7-8643-0d466662cefe
59676	4	8536	2013-08-03 18:47:38.715092	2013-08-03 18:47:38.715092	\N	e8ee3e8a-562d-4b9f-8235-13660e78e981
59679	4	8539	2013-08-03 18:47:38.777371	2013-08-03 18:47:38.777371	\N	7c07cc5b-604b-4dc8-808b-f3149ae60663
59681	4	8542	2013-08-03 18:47:38.824424	2013-08-03 18:47:38.824424	\N	ba8dfdc8-a851-422b-bedf-5bfbec3f4b85
72126	4	10030	2013-08-03 19:48:09.262137	2013-08-03 19:48:09.262137	\N	b27de7af-4d06-45c5-926a-6297ac4bc25a
59697	8	8485	2013-08-03 18:47:46.610585	2013-08-03 18:47:46.610585	\N	ff5061bc-2b4c-4b93-860b-84e73d65d08c
59702	8	8518	2013-08-03 18:47:46.716486	2013-08-03 18:47:46.716486	\N	2088cc8c-261a-4117-9395-510005ae7a90
57108	1	8123	2013-08-03 18:31:58.636335	2013-08-03 18:31:58.636335	\N	146481ac-551f-4f9f-8670-dafb8b1ab151
59715	12	8512	2013-08-03 18:47:52.965554	2013-08-03 18:47:52.965554	\N	ac7f0b23-df13-4421-bd30-35deb18cf411
59717	14	8542	2013-08-03 18:47:53.71825	2013-08-03 18:47:53.71825	\N	14a17ec1-149c-4018-aed1-3a7bca7ad9df
57125	11	8123	2013-08-03 18:32:02.373589	2013-08-03 18:32:02.373589	\N	079c6145-068f-4035-83d3-e2df890637ef
76468	20	10534	2013-08-03 20:07:39.62518	2013-08-03 20:07:39.62518	\N	6546f7a2-7e40-41a3-9f0b-4290fcf964f3
66763	19	9373	2013-08-03 19:26:41.097824	2013-08-03 19:26:41.097824	\N	3878dd6f-725a-4492-a808-7a083961aa7f
59732	7	8509	2013-08-03 18:47:58.088128	2013-08-03 18:47:58.088128	\N	a97cb873-2703-483f-ab70-8554155aa376
72128	4	10048	2013-08-03 19:48:09.342799	2013-08-03 19:48:09.342799	\N	4622691b-52f7-4763-b498-522dc6713d0a
57169	13	8158	2013-08-03 18:32:42.526274	2013-08-03 18:32:42.526274	\N	341a389e-cd40-479a-ae0b-f10a45d8c8d4
72129	4	10054	2013-08-03 19:48:09.428815	2013-08-03 19:48:09.428815	\N	2b373ce5-f103-4726-a238-200ab63bd418
59739	11	8497	2013-08-03 18:48:01.448801	2013-08-03 18:48:01.448801	\N	e55650e9-5bee-4a06-b554-0875a13fe2f6
57178	13	8170	2013-08-03 18:32:44.182838	2013-08-03 18:32:44.182838	\N	10bbd9ae-b545-48fa-bc0a-90f1e3e1ec64
57180	11	8161	2013-08-03 18:32:44.397885	2013-08-03 18:32:44.397885	\N	33af6b20-4249-4e09-90f5-7cd13faa06a9
57181	13	8173	2013-08-03 18:32:44.466857	2013-08-03 18:32:44.466857	\N	90deeb4b-b49b-4b3c-94cc-39e9ec4a26b6
59757	11	8536	2013-08-03 18:48:02.932837	2013-08-03 18:48:02.932837	\N	f940fd68-2544-475d-b36b-03fed796592e
59758	11	8539	2013-08-03 18:48:03.111797	2013-08-03 18:48:03.111797	\N	5e01dfc0-8f31-4257-86bd-4c389e27cfe8
66779	8	9415	2013-08-03 19:26:48.567527	2013-08-03 19:26:48.567527	\N	f46d743c-b24b-4933-911c-1e7954ed4838
66780	10	9376	2013-08-03 19:26:50.19151	2013-08-03 19:26:50.19151	\N	af748f93-27f3-4506-8796-ddd54e11edb7
76488	19	10501	2013-08-03 20:07:46.345663	2013-08-03 20:07:46.345663	\N	b7240f88-71f8-4578-889c-1601384cc485
66783	10	9415	2013-08-03 19:26:50.445479	2013-08-03 19:26:50.445479	\N	e87dcf64-a6ae-4cb7-9a05-efd251e3f869
59794	1	8537	2013-08-03 18:48:13.664491	2013-08-03 18:48:13.664491	\N	d6e64e4c-4f56-4136-a317-26ecaf7f6bd3
78150	16	10678	2013-08-03 20:14:01.150992	2013-08-03 20:14:01.150992	\N	1355900f-18ec-4b35-8b7b-2569e816b1f3
76500	15	10552	2013-08-03 20:07:49.283873	2013-08-03 20:07:49.283873	\N	d664f783-3021-4ff0-8feb-72ecd48f76aa
65078	9	9298	2013-08-03 19:18:49.137292	2013-08-03 19:18:49.137292	\N	83b69d9e-0135-4d90-acc9-314cf569ed67
78151	16	10681	2013-08-03 20:14:01.315425	2013-08-03 20:14:01.315425	\N	8a8894c6-51d1-4ade-bb67-4d6f6e07745a
69447	4	9662	2013-08-03 19:36:59.052129	2013-08-03 19:36:59.052129	\N	fa793139-5428-4724-b810-313c0c03fa7b
59864	19	8497	2013-08-03 18:48:41.11229	2013-08-03 18:48:41.11229	\N	19e52bce-cfac-4b41-94cc-7f3d5b1d23a6
76509	8	10555	2013-08-03 20:07:53.001084	2013-08-03 20:07:53.001084	\N	451ce5d3-2d36-4334-9afd-dd45b3d8bdc4
61171	14	8662	2013-08-03 18:56:40.713299	2013-08-03 18:56:40.713299	\N	d3b0515b-f536-45ec-9955-a120472ec3b0
62118	17	8749	2013-08-03 19:01:28.366739	2013-08-03 19:01:28.366739	\N	74f09396-96f3-42eb-ba66-20d04734f4c2
76510	16	10507	2013-08-03 20:07:54.359939	2013-08-03 20:07:54.359939	\N	b0958bd0-553f-4215-8498-403ddbed9d9f
59533	16	8377	2013-08-03 18:46:28.058782	2013-08-03 18:46:28.058782	\N	60454e14-7ab0-4134-9679-5665b7177ceb
59534	16	8383	2013-08-03 18:46:28.228115	2013-08-03 18:46:28.228115	\N	7da09636-ba5b-4946-8fb6-cdf1c6d6bc83
59536	16	8389	2013-08-03 18:46:28.522188	2013-08-03 18:46:28.522188	\N	136d7a94-773c-46f6-8089-906ec328f4f7
57523	19	8206	2013-08-03 18:34:48.434032	2013-08-03 18:34:48.434032	\N	4169541f-d060-4b08-980a-ab2b1e17c31b
59537	16	8392	2013-08-03 18:46:28.663495	2013-08-03 18:46:28.663495	\N	e78a1c9d-fde2-48e5-b194-b1632832fb7b
56204	19	8032	2013-08-03 18:25:19.620062	2013-08-03 18:25:19.620062	\N	a0c0b5db-c554-478b-9138-1f4ca04b7d1a
56787	8	8119	2013-08-03 18:29:39.008625	2013-08-03 18:29:39.008625	\N	c694cd58-1e2c-412e-b5d6-dfce53714468
59539	16	8398	2013-08-03 18:46:28.977725	2013-08-03 18:46:28.977725	\N	8bbb07a1-ecce-4fa1-92cf-c3bbeed02aab
59543	16	8416	2013-08-03 18:46:29.349887	2013-08-03 18:46:29.349887	\N	04f07855-53ef-407e-b5d7-d66f41030ad8
60556	1	8494	2013-08-03 18:51:43.590939	2013-08-03 18:51:43.590939	\N	8c467636-1f08-4e5c-81ec-938e1c9c776a
56831	16	8032	2013-08-03 18:29:50.470047	2013-08-03 18:29:50.470047	\N	ebbaa87c-f51e-4508-953b-e19a917fbee3
56832	16	8035	2013-08-03 18:29:50.605552	2013-08-03 18:29:50.605552	\N	d04cb177-caac-4d6b-b3c4-11b4f2efaa8b
56251	12	8033	2013-08-03 18:25:34.265005	2013-08-03 18:25:34.265005	\N	15573708-91d7-4d26-ac4e-f6bc6563847e
64223	7	9127	2013-08-03 19:12:40.006681	2013-08-03 19:12:40.006681	\N	50a84c70-d1e1-432a-bac4-2b1f79ab5214
72104	7	10030	2013-08-03 19:47:59.995531	2013-08-03 19:47:59.995531	\N	6568f2ef-f7a3-4d82-a18e-52150cb91fb4
64239	8	9127	2013-08-03 19:12:50.270574	2013-08-03 19:12:50.270574	\N	d13c57b1-aca4-4c77-8317-6b95e561c34a
64247	19	9172	2013-08-03 19:12:50.889333	2013-08-03 19:12:50.889333	\N	5ad96be0-daa5-47d6-a62a-011675a5758c
64248	17	9167	2013-08-03 19:12:52.3804	2013-08-03 19:12:52.3804	\N	12e2a43f-f0bd-4053-aa3f-5c65ad67a2c5
56272	8	7990	2013-08-03 18:25:44.184782	2013-08-03 18:25:44.184782	\N	282f8847-151c-4238-bea7-c7d29d057672
56273	13	8002	2013-08-03 18:25:44.481244	2013-08-03 18:25:44.481244	\N	58c99332-631f-4f68-ae9a-6a43ca9fb2c4
63315	17	9046	2013-08-03 19:07:46.893778	2013-08-03 19:07:46.893778	\N	3c4a74a9-9f55-459d-971d-c220fc30d85b
56281	14	7990	2013-08-03 18:25:45.597245	2013-08-03 18:25:45.597245	\N	e9925acd-e0c1-4438-9ee6-30c38fcc7c7e
60566	3	8500	2013-08-03 18:51:45.204918	2013-08-03 18:51:45.204918	\N	65cc6ca1-f7bd-4638-94cd-4b376b0bfdc5
63316	19	8998	2013-08-03 19:07:47.38711	2013-08-03 19:07:47.38711	\N	e54dd230-0132-4b7d-961b-dca696df3873
63317	8	9040	2013-08-03 19:07:47.709676	2013-08-03 19:07:47.709676	\N	5eef3602-4c1b-4096-bd6f-acf47a1c6c03
56869	12	8083	2013-08-03 18:30:07.476331	2013-08-03 18:30:07.476331	\N	4aac76e4-8f3a-4aad-a896-99076881de7a
56286	14	8033	2013-08-03 18:25:45.71104	2013-08-03 18:25:45.71104	\N	7296eb38-09a4-4482-bbe4-2653b74e1425
56287	13	8020	2013-08-03 18:25:45.853703	2013-08-03 18:25:45.853703	\N	f6cb0486-c8ed-4314-b2af-b4226858ba6e
56290	13	8038	2013-08-03 18:25:47.147119	2013-08-03 18:25:47.147119	\N	4d6e5bd6-a026-4626-892e-dc3371ca55fe
63319	19	9001	2013-08-03 19:07:48.709359	2013-08-03 19:07:48.709359	\N	a1554fa6-1f33-4d82-af51-5b24390e9c21
63320	7	9013	2013-08-03 19:07:48.850202	2013-08-03 19:07:48.850202	\N	239a38c6-757f-4d92-8c11-3d77fbdac8cb
63321	19	8989	2013-08-03 19:07:49.364501	2013-08-03 19:07:49.364501	\N	33d7c3f8-3811-4211-9324-46333c37d715
65031	10	9298	2013-08-03 19:18:35.056669	2013-08-03 19:18:35.056669	\N	2c107968-3dd1-4a62-9eb7-cd01bf9516d6
72105	7	10036	2013-08-03 19:48:00.049823	2013-08-03 19:48:00.049823	\N	0c6a163d-d08f-4cc3-9955-14d37a989e4b
58770	8	8371	2013-08-03 18:42:40.456521	2013-08-03 18:42:40.456521	\N	9cfd133b-16f9-4cf7-a30c-fd67d9d4bc29
58773	8	8386	2013-08-03 18:42:40.551689	2013-08-03 18:42:40.551689	\N	8814b57a-7d61-4245-9fa3-da7adec41741
57600	17	8201	2013-08-03 18:35:30.41427	2013-08-03 18:35:30.41427	\N	f583d8b1-4a8e-454e-a6a8-cda2191d270d
72106	7	10012	2013-08-03 19:48:00.141756	2013-08-03 19:48:00.141756	\N	5843cdce-2b68-44f2-932f-760b5c9c3de4
58781	7	8392	2013-08-03 18:42:41.660791	2013-08-03 18:42:41.660791	\N	3c0ff5fd-716b-43dc-8f72-0600c86cde84
72107	7	10033	2013-08-03 19:48:00.216891	2013-08-03 19:48:00.216891	\N	5b030a35-b39e-4351-9a20-0555680568e1
91554	17	11671	2013-08-03 20:53:00.253501	2013-08-03 20:53:00.253501	\N	2ec4067e-e09c-4f77-8cb0-4aa9b04a78bf
58803	14	8416	2013-08-03 18:42:45.138198	2013-08-03 18:42:45.138198	\N	8c66e128-a8b7-4c3e-9db1-a9a434403e1d
58805	7	8371	2013-08-03 18:42:45.24121	2013-08-03 18:42:45.24121	\N	d0665f1c-e409-43f7-be73-2a3c1d54ff92
111123	2	13450	2013-08-03 21:59:26.001393	2013-08-03 21:59:26.001393	\N	7b7d2de9-7b94-4f2e-8883-5c0fe04660cd
59667	9	8536	2013-08-03 18:47:38.362373	2013-08-03 18:47:38.362373	\N	bf3c8e9d-a163-42b4-aa61-aa75c148e63d
59671	9	8539	2013-08-03 18:47:38.567263	2013-08-03 18:47:38.567263	\N	6af7dabc-1ee6-4ee0-8327-2c28d8c146f2
59677	9	8542	2013-08-03 18:47:38.730897	2013-08-03 18:47:38.730897	\N	29714ba4-720f-41d7-a8fa-8c3169e5b5ed
91576	17	11686	2013-08-03 20:53:04.31848	2013-08-03 20:53:04.31848	\N	573bd556-3808-415a-aa2b-6fedfc4bf774
73548	13	10174	2013-08-03 19:55:07.46372	2013-08-03 19:55:07.46372	\N	cf848529-8de3-40d2-8c64-71635a195403
57659	10	8170	2013-08-03 18:36:02.268929	2013-08-03 18:36:02.268929	\N	163f947b-96dc-41f4-99d5-04840eb1d086
57660	10	8203	2013-08-03 18:36:02.375939	2013-08-03 18:36:02.375939	\N	6c68860b-8091-46b0-8446-dcba69d76ad2
59695	7	8537	2013-08-03 18:47:43.858923	2013-08-03 18:47:43.858923	\N	4a5da56a-26f8-4934-8383-0c8ec9ce5607
58818	7	8386	2013-08-03 18:42:45.839549	2013-08-03 18:42:45.839549	\N	ce194f69-647e-40a2-93f3-7cacd041fec0
59698	8	8497	2013-08-03 18:47:46.611956	2013-08-03 18:47:46.611956	\N	65c9b289-0857-4981-a817-def4c3cfe1ef
59704	7	8542	2013-08-03 18:47:47.730416	2013-08-03 18:47:47.730416	\N	d61acac8-f9b0-4466-a38d-74ba9c0cb864
76518	16	10519	2013-08-03 20:07:54.957971	2013-08-03 20:07:54.957971	\N	baabb947-ac34-4989-94b7-fc5574f3b00a
59731	6	8512	2013-08-03 18:47:58.086595	2013-08-03 18:47:58.086595	\N	9f959568-0811-4955-8006-711234775bb1
104803	13	12826	2013-08-03 21:35:02.592357	2013-08-03 21:35:02.592357	\N	2421a560-3984-47fa-ae29-b2ccf74cc042
76524	16	10555	2013-08-03 20:07:55.594567	2013-08-03 20:07:55.594567	\N	be1d0044-10eb-4834-891f-6f6dfcf784ed
63355	19	9040	2013-08-03 19:07:58.522187	2013-08-03 19:07:58.522187	\N	55638a14-4dce-4230-a91e-848a8d9f4127
59738	6	8485	2013-08-03 18:48:01.260176	2013-08-03 18:48:01.260176	\N	c18dc42a-63b7-45fb-95ef-708cb730f3b1
59741	11	8485	2013-08-03 18:48:01.616485	2013-08-03 18:48:01.616485	\N	a9f3cf5a-f5ee-45ed-a769-27f5adab9f61
60624	9	8359	2013-08-03 18:52:02.346656	2013-08-03 18:52:02.346656	\N	7daac8f5-cd83-414b-ac15-c2fea66be586
59753	11	8512	2013-08-03 18:48:02.296265	2013-08-03 18:48:02.296265	\N	ae2c0818-5e21-41d3-8174-4e5f822d499e
59756	6	8539	2013-08-03 18:48:02.901872	2013-08-03 18:48:02.901872	\N	a73ec412-5712-4072-ad28-c6e7e0832cb0
59759	11	8542	2013-08-03 18:48:03.270797	2013-08-03 18:48:03.270797	\N	8f51c9fe-c50c-4625-8bea-cb30618af5f3
66749	19	9419	2013-08-03 19:26:36.486687	2013-08-03 19:26:36.486687	\N	c3204cb3-6734-4fe8-ad78-ba356e8c0807
58887	6	8383	2013-08-03 18:42:57.035775	2013-08-03 18:42:57.035775	\N	b4e72a12-7ebd-47da-bf3b-79cd54bbee73
57061	7	8123	2013-08-03 18:31:35.978247	2013-08-03 18:31:35.978247	\N	f8b0cc3f-d0b4-46d9-ac5c-dcea4ecf3049
58888	11	8413	2013-08-03 18:42:57.17957	2013-08-03 18:42:57.17957	\N	797127cf-8e0e-49ab-9243-ec0dafcd4b9e
58889	11	8416	2013-08-03 18:42:57.330258	2013-08-03 18:42:57.330258	\N	747d5edb-ae97-44d5-aecd-27519c06f3ba
57734	13	8176	2013-08-03 18:36:52.027875	2013-08-03 18:36:52.027875	\N	fc1e5713-0026-4a82-aa1b-aa3ecd100619
60629	9	8386	2013-08-03 18:52:03.694222	2013-08-03 18:52:03.694222	\N	cbe5ffd0-281d-4d79-aedf-35cb40b4d84b
68016	17	9505	2013-08-03 19:31:47.263309	2013-08-03 19:31:47.263309	\N	3e61b005-f99a-4a9c-8d74-aaa55ff5ccf1
60644	9	8638	2013-08-03 18:52:36.374295	2013-08-03 18:52:36.374295	\N	7873d7e6-e0ea-4130-b29a-dd7d1854c142
60645	9	8644	2013-08-03 18:52:36.526176	2013-08-03 18:52:36.526176	\N	0ced3eb4-d502-458b-92cd-20a5b999bd47
60646	2	8647	2013-08-03 18:52:37.390932	2013-08-03 18:52:37.390932	\N	caf77d13-71c3-4b03-811e-0a9976acf653
60647	2	8611	2013-08-03 18:52:37.502309	2013-08-03 18:52:37.502309	\N	3ed8f9d0-718c-4e06-b2b7-17b9da9b3dc5
57767	14	8260	2013-08-03 18:37:41.543359	2013-08-03 18:37:41.543359	\N	991d6973-a319-47df-867a-65438f707788
57771	14	8284	2013-08-03 18:37:41.655859	2013-08-03 18:37:41.655859	\N	db6dde7e-b101-41bd-bfa1-d82e2867198a
57095	14	8117	2013-08-03 18:31:48.898907	2013-08-03 18:31:48.898907	\N	c6d3f683-6dc2-4253-9dd5-728679fd9fc7
57773	14	8254	2013-08-03 18:37:41.729307	2013-08-03 18:37:41.729307	\N	e09cf840-a1a9-40e0-b805-256182b6863c
57774	14	8290	2013-08-03 18:37:41.890809	2013-08-03 18:37:41.890809	\N	07f86cb0-bbbc-45cf-ac16-56ea631ccf29
57098	14	8123	2013-08-03 18:31:48.992052	2013-08-03 18:31:48.992052	\N	b8351a02-a2f4-446c-a600-f2e6946a3294
57777	1	8260	2013-08-03 18:37:43.898909	2013-08-03 18:37:43.898909	\N	0dd7a8f8-c09c-4395-9d5a-9b6c9e4ee31a
57778	1	8266	2013-08-03 18:37:44.010696	2013-08-03 18:37:44.010696	\N	0e7024fe-4626-485e-99f9-17063cde10aa
57779	1	8284	2013-08-03 18:37:44.085886	2013-08-03 18:37:44.085886	\N	462bc3f1-8e6a-4725-8944-a77aea06361e
57780	1	8287	2013-08-03 18:37:44.159305	2013-08-03 18:37:44.159305	\N	4e0c2a05-d423-48d4-8c9a-996d64cfda30
57784	6	8266	2013-08-03 18:37:47.594074	2013-08-03 18:37:47.594074	\N	c6d2b320-cc8b-4bd7-929b-ccf33c694b83
57785	6	8290	2013-08-03 18:37:47.921592	2013-08-03 18:37:47.921592	\N	66f8e74f-8174-4e69-862b-d4edc915e127
57786	6	8245	2013-08-03 18:37:49.126537	2013-08-03 18:37:49.126537	\N	a75f6f02-d9d4-4fd6-800e-82aa97035e56
57787	11	8245	2013-08-03 18:37:49.292816	2013-08-03 18:37:49.292816	\N	1bd06806-1199-45c2-afeb-da5c3e855652
57792	17	8182	2013-08-03 18:37:50.418206	2013-08-03 18:37:50.418206	\N	a2e2d3f6-e42c-4181-8c3d-fec935066186
57797	6	8284	2013-08-03 18:37:50.898538	2013-08-03 18:37:50.898538	\N	4f8a39da-5f11-460b-b3b6-fdcc28035cfc
57155	5	8203	2013-08-03 18:32:27.861959	2013-08-03 18:32:27.861959	\N	c89646b4-5401-4ea5-806f-9248ebdee8f2
57157	5	8182	2013-08-03 18:32:28.271568	2013-08-03 18:32:28.271568	\N	4fb1288d-ab5a-4a8d-bd45-d4fdbd56ab25
57798	11	8287	2013-08-03 18:37:51.06164	2013-08-03 18:37:51.06164	\N	7286e4e8-e329-4958-8715-ca8d8e07dc9b
57799	11	8290	2013-08-03 18:37:51.262493	2013-08-03 18:37:51.262493	\N	f8188a6d-86ef-48ec-acac-77a0d0ccc5cb
57801	6	8254	2013-08-03 18:37:54.019183	2013-08-03 18:37:54.019183	\N	8ec65fe5-c61f-4e3a-a64d-8c3ac4d790fe
57831	8	8287	2013-08-03 18:38:14.395814	2013-08-03 18:38:14.395814	\N	cc54eeb8-4e95-4ad6-8c16-4971f47d2a5f
57835	12	8260	2013-08-03 18:38:14.614917	2013-08-03 18:38:14.614917	\N	603e5c50-ee38-42c5-bd0b-8dd621c695e7
59774	7	8499	2013-08-03 18:48:08.244127	2013-08-03 18:48:08.244127	\N	dc3ff752-6f9f-4410-8a1f-5c2cc42c04a5
57837	12	8284	2013-08-03 18:38:15.692166	2013-08-03 18:38:15.692166	\N	fc29e335-445a-447f-b245-61c55cff2729
60648	2	8617	2013-08-03 18:52:37.53214	2013-08-03 18:52:37.53214	\N	dce11d61-2200-4646-9dbf-65ce954b4413
57842	4	8245	2013-08-03 18:38:17.967303	2013-08-03 18:38:17.967303	\N	5792d707-1e58-4d13-9a0d-e6d11d4d9d1e
57843	4	8233	2013-08-03 18:38:18.013349	2013-08-03 18:38:18.013349	\N	0a0d4d0b-e6bc-4606-a63c-0e96d79947d7
57844	4	8254	2013-08-03 18:38:18.040873	2013-08-03 18:38:18.040873	\N	e1af91ec-63e7-45c1-8e2d-3e75d7f55bbe
56817	16	7981	2013-08-03 18:29:49.542093	2013-08-03 18:29:49.542093	\N	7485426a-eddc-47c9-8543-c5705f7c55c1
56188	6	7990	2013-08-03 18:25:04.88175	2013-08-03 18:25:04.88175	\N	6e66261e-494a-4579-abba-c22180fff262
56818	16	7999	2013-08-03 18:29:49.663224	2013-08-03 18:29:49.663224	\N	39c53663-f23e-44c9-9bc3-340b03961cbb
56196	19	8002	2013-08-03 18:25:10.098803	2013-08-03 18:25:10.098803	\N	be353e2b-f3a8-4693-9968-47b0c277e0b1
56819	16	8005	2013-08-03 18:29:49.795591	2013-08-03 18:29:49.795591	\N	4005a05e-b0ac-4ed7-a2d9-dfd03b4b2772
56218	9	8033	2013-08-03 18:25:23.065925	2013-08-03 18:25:23.065925	\N	b900aae1-a2cb-4715-8581-4e543c959fb0
76483	2	10534	2013-08-03 20:07:43.233197	2013-08-03 20:07:43.233197	\N	fe7543c3-49cc-460a-9cd2-68a5976cf2eb
56827	16	8020	2013-08-03 18:29:50.305554	2013-08-03 18:29:50.305554	\N	70874fc2-9cf4-4796-a1bb-0cf841dbdef6
56266	17	8014	2013-08-03 18:25:42.439687	2013-08-03 18:25:42.439687	\N	d24f1725-648c-437a-b8c3-9a192b190e21
64252	5	9166	2013-08-03 19:13:01.461425	2013-08-03 19:13:01.461425	\N	34a9add2-be36-4dd2-b14d-8934a00dfd00
56829	19	8077	2013-08-03 18:29:50.450833	2013-08-03 18:29:50.450833	\N	e9a7d81f-eafc-4b75-98f9-fa8802bc5336
56833	16	8038	2013-08-03 18:29:50.730642	2013-08-03 18:29:50.730642	\N	c042629d-ba6a-40a2-b757-3b27937e24ef
57627	2	8203	2013-08-03 18:35:41.727057	2013-08-03 18:35:41.727057	\N	90f18817-ba7b-4df7-a85c-1b27198c19ee
76484	2	10522	2013-08-03 20:07:43.406354	2013-08-03 20:07:43.406354	\N	35ba0203-5e4b-477a-8d36-1193e64e144f
56867	12	8065	2013-08-03 18:30:06.978673	2013-08-03 18:30:06.978673	\N	27398ae2-c114-48f1-a30c-dfdc23a143c6
64256	4	9127	2013-08-03 19:13:03.609578	2013-08-03 19:13:03.609578	\N	996b47d0-c576-4be0-8e44-7020d2204be9
64257	4	9148	2013-08-03 19:13:03.672148	2013-08-03 19:13:03.672148	\N	25144b59-9c0a-457b-96d7-28309c68a1a1
111124	2	13411	2013-08-03 21:59:26.106982	2013-08-03 21:59:26.106982	\N	a732e6dd-ed96-449a-a838-5c019fd2e132
60671	8	8620	2013-08-03 18:52:40.894898	2013-08-03 18:52:40.894898	\N	9660bb9a-8b36-46fc-9771-236b5254084c
60678	8	8665	2013-08-03 18:52:40.931686	2013-08-03 18:52:40.931686	\N	34e30ba0-0a79-4523-8d28-679260f0b7d6
60679	12	8662	2013-08-03 18:52:41.493394	2013-08-03 18:52:41.493394	\N	f75d7d3b-3466-46c2-9592-213ffcccb193
60680	7	8638	2013-08-03 18:52:41.793637	2013-08-03 18:52:41.793637	\N	3f8a08f3-ccaf-433a-8542-290f124bb32e
60681	12	8665	2013-08-03 18:52:41.900176	2013-08-03 18:52:41.900176	\N	202e307e-2b61-4fe2-9a48-35ea498bc0fe
60682	12	8668	2013-08-03 18:52:42.214451	2013-08-03 18:52:42.214451	\N	d7c0142d-d2c6-407a-b961-56c63fd915d5
60686	9	8620	2013-08-03 18:52:44.553133	2013-08-03 18:52:44.553133	\N	7e4271d8-5cca-4967-946f-e7e9b9bce5e6
60699	9	8617	2013-08-03 18:52:47.070949	2013-08-03 18:52:47.070949	\N	8a31074e-24ce-439f-a929-5025b40633c9
60700	17	8620	2013-08-03 18:52:47.651147	2013-08-03 18:52:47.651147	\N	0662b3f8-61f4-4377-9d48-fa590b96e2f4
58768	8	8392	2013-08-03 18:42:40.454556	2013-08-03 18:42:40.454556	\N	9502ea7c-2112-4331-b934-3e8cbfe297a9
58774	8	8416	2013-08-03 18:42:40.551653	2013-08-03 18:42:40.551653	\N	a94871b7-c2bf-46d8-a21e-03c3ebcebc4e
57662	10	8206	2013-08-03 18:36:02.602207	2013-08-03 18:36:02.602207	\N	ed625f3c-948f-4e5b-a7d9-51e1becfc6a2
57695	16	8203	2013-08-03 18:36:19.946163	2013-08-03 18:36:19.946163	\N	d776d387-636e-4b78-be5d-c3afed01a786
57696	16	8206	2013-08-03 18:36:20.084632	2013-08-03 18:36:20.084632	\N	915a403d-a072-49c8-ae52-4e518f697d69
58775	7	8416	2013-08-03 18:42:40.656491	2013-08-03 18:42:40.656491	\N	e04b3b8a-106e-41af-a405-0791c5dd0c4b
58776	7	8410	2013-08-03 18:42:40.713603	2013-08-03 18:42:40.713603	\N	573df187-ad54-4d01-b885-b390df372f82
58777	7	8359	2013-08-03 18:42:40.940552	2013-08-03 18:42:40.940552	\N	67548c44-9b59-4fb9-8f02-a20b63c589fc
58778	7	8413	2013-08-03 18:42:41.42037	2013-08-03 18:42:41.42037	\N	92a7bdc7-1824-4b2c-9dff-b5645f76e788
57725	17	8173	2013-08-03 18:36:47.321879	2013-08-03 18:36:47.321879	\N	fbf92863-3758-4e31-a0ea-9a12ff7f8e82
60701	7	8663	2013-08-03 18:52:48.229086	2013-08-03 18:52:48.229086	\N	ab045b1d-0a92-4496-8d14-3a1689e2a04b
58784	7	8411	2013-08-03 18:42:41.854932	2013-08-03 18:42:41.854932	\N	db18f435-362c-4db5-a063-febc220e2847
58801	14	8410	2013-08-03 18:42:45.085724	2013-08-03 18:42:45.085724	\N	8743bc52-4ad2-4370-8027-f278a5776905
58807	14	8380	2013-08-03 18:42:45.259142	2013-08-03 18:42:45.259142	\N	07f51516-c928-44da-bf00-0b76f9e676b9
64259	4	9166	2013-08-03 19:13:03.764653	2013-08-03 19:13:03.764653	\N	b89f9c0c-2c36-41bf-bbf1-865f663a015b
64260	4	9172	2013-08-03 19:13:03.804094	2013-08-03 19:13:03.804094	\N	91d4ce94-f820-4d57-9112-5ff2e70553a1
58848	6	8359	2013-08-03 18:42:48.357412	2013-08-03 18:42:48.357412	\N	c52cc153-10ec-405e-a9b5-e2fcf34df8d0
57000	16	8083	2013-08-03 18:31:13.726052	2013-08-03 18:31:13.726052	\N	46b754b5-8a72-40ab-abae-d680646b95a9
57005	16	8104	2013-08-03 18:31:15.086341	2013-08-03 18:31:15.086341	\N	e4d89347-6d94-4f6b-9b53-d380ad025f1b
57006	16	8116	2013-08-03 18:31:15.369768	2013-08-03 18:31:15.369768	\N	bc39321b-5713-42cd-b1a1-1262372ba2ce
64261	8	9167	2013-08-03 19:13:03.946991	2013-08-03 19:13:03.946991	\N	6781bb89-a0fb-4d52-b86c-d0b1333ea9e2
63275	19	9041	2013-08-03 19:07:38.509325	2013-08-03 19:07:38.509325	\N	ba23e9aa-c8d3-469b-9650-ea5b82f3cb6d
58853	6	8410	2013-08-03 18:42:50.575582	2013-08-03 18:42:50.575582	\N	cf7d71dd-a22d-4023-b76d-2f2aed84647a
63276	7	8989	2013-08-03 19:07:38.582733	2013-08-03 19:07:38.582733	\N	77b9cc97-25f9-4b75-b0c3-7d1ee505bf4f
57768	14	8266	2013-08-03 18:37:41.604109	2013-08-03 18:37:41.604109	\N	c5063e16-4a76-43b3-bde7-028d4bbae203
57770	14	8287	2013-08-03 18:37:41.643225	2013-08-03 18:37:41.643225	\N	43c63eb6-cdf4-4818-94ac-51d72525d7a3
57772	14	8233	2013-08-03 18:37:41.708013	2013-08-03 18:37:41.708013	\N	d675bb8e-7322-43bc-a594-0d6373357399
57775	1	8245	2013-08-03 18:37:43.645068	2013-08-03 18:37:43.645068	\N	df924c00-b1ff-4ca3-877c-e2459be4f601
57776	1	8254	2013-08-03 18:37:43.809382	2013-08-03 18:37:43.809382	\N	ad919ff5-0c90-426c-b0e7-1c55aebc9ca6
57781	1	8290	2013-08-03 18:37:44.243464	2013-08-03 18:37:44.243464	\N	84370dfc-d94b-44be-9c07-7751782b5379
57782	6	8233	2013-08-03 18:37:45.612805	2013-08-03 18:37:45.612805	\N	3f1073f9-ee71-46aa-8022-fe852b41c970
57783	6	8260	2013-08-03 18:37:46.822775	2013-08-03 18:37:46.822775	\N	4725d759-e2b0-428d-9007-bc4e54fca454
57788	11	8233	2013-08-03 18:37:49.464604	2013-08-03 18:37:49.464604	\N	cb3bdbfb-f8dc-41a4-a6d3-c3f04a00ec44
57789	11	8254	2013-08-03 18:37:49.942627	2013-08-03 18:37:49.942627	\N	0862eab9-81ec-4e23-a398-22182db8c303
57790	11	8257	2013-08-03 18:37:50.111928	2013-08-03 18:37:50.111928	\N	b5f2c800-191c-4a5f-93e7-746b2ad01db6
57791	11	8260	2013-08-03 18:37:50.277494	2013-08-03 18:37:50.277494	\N	e58940ea-201a-4ca2-85cd-08aad3f0fce5
57794	6	8287	2013-08-03 18:37:50.640522	2013-08-03 18:37:50.640522	\N	624cbb5e-4985-4f49-a632-af3952c2f7dc
57795	11	8285	2013-08-03 18:37:50.722809	2013-08-03 18:37:50.722809	\N	88b973c6-01ff-4c5c-8c97-87376f403c79
57796	11	8284	2013-08-03 18:37:50.892047	2013-08-03 18:37:50.892047	\N	7d4c5489-53cd-4cad-a607-fe9e304f4239
57800	6	8257	2013-08-03 18:37:53.709106	2013-08-03 18:37:53.709106	\N	838f0501-fc15-41af-a9c7-7967d75e31d5
57845	4	8257	2013-08-03 18:38:18.062453	2013-08-03 18:38:18.062453	\N	6cbf5006-abe5-4868-9873-0cd179a9cad9
57846	4	8260	2013-08-03 18:38:18.097294	2013-08-03 18:38:18.097294	\N	c5c52ef3-d228-4d78-ab03-6eb6e70edb99
57141	4	8149	2013-08-03 18:32:22.289653	2013-08-03 18:32:22.289653	\N	983eefd2-65ef-4715-b549-7c1fb5f3f81f
57847	4	8266	2013-08-03 18:38:18.130144	2013-08-03 18:38:18.130144	\N	2eea82fd-e8ad-407c-8be4-fd26c27080d1
57848	4	8284	2013-08-03 18:38:18.163446	2013-08-03 18:38:18.163446	\N	066a8848-d6b3-4fe2-9c2c-1bf9b8255c1f
57849	4	8287	2013-08-03 18:38:18.19624	2013-08-03 18:38:18.19624	\N	965097f9-caf4-4a27-9148-a92df3ae01b1
57850	4	8290	2013-08-03 18:38:18.291556	2013-08-03 18:38:18.291556	\N	63f51697-360a-487c-b6a9-328b6c1245d5
76502	15	10513	2013-08-03 20:07:49.393393	2013-08-03 20:07:49.393393	\N	b58f166a-2257-43c2-9dd2-210cde15871f
63280	2	8989	2013-08-03 19:07:38.861248	2013-08-03 19:07:38.861248	\N	94c6cbfa-297a-4b07-a7ba-ab3cece65d3d
59621	17	8416	2013-08-03 18:47:08.866513	2013-08-03 18:47:08.866513	\N	8230bb91-db6f-4d2a-bcb8-5a8387e53fae
63281	2	9043	2013-08-03 19:07:38.914423	2013-08-03 19:07:38.914423	\N	28107a4e-4981-409e-8303-8ead673b6a80
63283	2	9010	2013-08-03 19:07:38.951207	2013-08-03 19:07:38.951207	\N	6ab5a08e-d497-4e9a-86fb-390b4efff19a
57163	6	8167	2013-08-03 18:32:41.211024	2013-08-03 18:32:41.211024	\N	1cc4f482-b3c4-4089-beee-a87cd110c439
57164	6	8149	2013-08-03 18:32:41.375921	2013-08-03 18:32:41.375921	\N	d35e6fa2-449f-450f-9daf-8b127a7d785a
57167	6	8182	2013-08-03 18:32:42.225261	2013-08-03 18:32:42.225261	\N	71a82d1f-c833-4103-9187-ad1c895e256f
57176	13	8167	2013-08-03 18:32:43.908374	2013-08-03 18:32:43.908374	\N	57b2febf-7bfd-41f1-81d8-4964920965df
57177	1	8201	2013-08-03 18:32:43.951115	2013-08-03 18:32:43.951115	\N	05ebfe97-f98d-4f77-9a30-f2ed72eb1073
57179	11	8158	2013-08-03 18:32:44.21716	2013-08-03 18:32:44.21716	\N	dd46c66d-52eb-4425-b032-5cbadf522fa9
57182	2	8173	2013-08-03 18:32:44.469084	2013-08-03 18:32:44.469084	\N	487040b4-3159-4fba-b4df-3b27e3a081a0
57183	2	8170	2013-08-03 18:32:44.517279	2013-08-03 18:32:44.517279	\N	d6fec1e8-8cb8-4c1d-87ac-5b615fc284bb
57184	2	8161	2013-08-03 18:32:44.566912	2013-08-03 18:32:44.566912	\N	aa9f2b63-6b2c-4424-a562-baa2ecd6ab46
57186	2	8179	2013-08-03 18:32:44.613417	2013-08-03 18:32:44.613417	\N	f840e48b-d291-436c-aad1-3bc95cb9ad65
57187	2	8182	2013-08-03 18:32:44.659214	2013-08-03 18:32:44.659214	\N	bf305c99-e9f9-4ef7-b820-3f1b05983a4d
57188	2	8201	2013-08-03 18:32:44.699215	2013-08-03 18:32:44.699215	\N	3006865e-1e0f-41a0-9d12-17a827f22eed
57190	2	8207	2013-08-03 18:32:44.730421	2013-08-03 18:32:44.730421	\N	bdce6338-0086-4496-93d0-69eaf22e01c7
57191	2	8200	2013-08-03 18:32:44.808218	2013-08-03 18:32:44.808218	\N	4c46d894-0d40-449a-9098-93d163f62ecc
63284	2	9013	2013-08-03 19:07:38.990284	2013-08-03 19:07:38.990284	\N	948d2fa2-09ec-458e-a19b-3c19ddf7dbe1
64263	3	9166	2013-08-03 19:13:05.36518	2013-08-03 19:13:05.36518	\N	0b12600f-8005-49f7-990a-4400b5b0ba1e
63287	2	9041	2013-08-03 19:07:39.070376	2013-08-03 19:07:39.070376	\N	3c8dc31c-72d0-41ae-8a40-86a17796665c
63289	2	9019	2013-08-03 19:07:39.110897	2013-08-03 19:07:39.110897	\N	11d132f2-8517-4f9c-bc2f-f58f3aa4f6d2
57197	2	8185	2013-08-03 18:32:44.937011	2013-08-03 18:32:44.937011	\N	0770daa5-ccb2-4756-806e-3c77234d3849
57201	13	8182	2013-08-03 18:32:45.214462	2013-08-03 18:32:45.214462	\N	5ab83ebd-f125-4951-92af-10bf29028166
58868	11	8383	2013-08-03 18:42:56.172223	2013-08-03 18:42:56.172223	\N	5e9a86de-2a61-414b-946c-688901d07fca
57204	11	8201	2013-08-03 18:32:45.47686	2013-08-03 18:32:45.47686	\N	2681026b-05f4-43dd-b331-074f8e67264d
57207	11	8203	2013-08-03 18:32:45.839164	2013-08-03 18:32:45.839164	\N	a12fa225-bf04-411a-9cc6-65f03497a41c
57209	13	8200	2013-08-03 18:32:46.029364	2013-08-03 18:32:46.029364	\N	ad507213-4729-45ca-9137-7060443f453b
58869	6	8380	2013-08-03 18:42:56.283707	2013-08-03 18:42:56.283707	\N	f8bf8bbb-16f6-4272-ac58-239fd9414f12
58871	6	8416	2013-08-03 18:42:56.368695	2013-08-03 18:42:56.368695	\N	8bf9ecfd-f411-477a-8361-5886f8a7ac2f
58872	6	8392	2013-08-03 18:42:56.456754	2013-08-03 18:42:56.456754	\N	d490a005-2933-45bf-a90b-71ffdbb933ec
58874	6	8413	2013-08-03 18:42:56.549059	2013-08-03 18:42:56.549059	\N	b77a61a6-69bf-4f63-9888-6b57211cd3b9
56187	19	8033	2013-08-03 18:24:57.441465	2013-08-03 18:24:57.441465	\N	2951c810-52f3-4f70-b8a7-4d2530f8cf53
56191	19	7993	2013-08-03 18:25:07.649872	2013-08-03 18:25:07.649872	\N	514a5ee9-2f19-43d8-9d7e-7f6d877a2e00
56192	19	7981	2013-08-03 18:25:08.39584	2013-08-03 18:25:08.39584	\N	9d623e41-aa98-4612-bc90-bd692dff46df
57802	1	8285	2013-08-03 18:37:58.641871	2013-08-03 18:37:58.641871	\N	7d0fc2b3-8146-4da9-bcec-2aac6e327a13
72117	6	10030	2013-08-03 19:48:06.969444	2013-08-03 19:48:06.969444	\N	25f2398f-c951-4c20-b600-77c17929efea
60650	2	8662	2013-08-03 18:52:37.636036	2013-08-03 18:52:37.636036	\N	6ef75ec7-6bbc-4255-b519-b6e4dda724b4
57833	8	8284	2013-08-03 18:38:14.408065	2013-08-03 18:38:14.408065	\N	4cac6bec-0b29-4d5c-84a6-dcaa82544ce9
60651	2	8663	2013-08-03 18:52:37.674241	2013-08-03 18:52:37.674241	\N	f107573a-ae7d-4491-aed4-547435be0418
60652	2	8623	2013-08-03 18:52:37.714376	2013-08-03 18:52:37.714376	\N	7b3a509d-615a-4ae6-8d2a-e84102fc7e99
60653	2	8632	2013-08-03 18:52:37.750522	2013-08-03 18:52:37.750522	\N	6ee41805-5713-4ad2-977b-60a373db7386
60654	2	8638	2013-08-03 18:52:37.832431	2013-08-03 18:52:37.832431	\N	3b18124e-a0f4-401d-ba33-3c469b2c2374
60655	2	8644	2013-08-03 18:52:37.878722	2013-08-03 18:52:37.878722	\N	3f3804e0-5a93-4427-8fb8-be3322a86ba1
60656	2	8641	2013-08-03 18:52:37.917624	2013-08-03 18:52:37.917624	\N	cb9ff33c-a145-49e1-be54-66eeaa9e8f44
60657	2	8665	2013-08-03 18:52:37.965811	2013-08-03 18:52:37.965811	\N	16557abf-22a4-40db-870d-c7df7038eb80
60658	2	8668	2013-08-03 18:52:38.011622	2013-08-03 18:52:38.011622	\N	e53f8cb6-e02e-40e2-8024-837435794227
60659	12	8620	2013-08-03 18:52:38.299825	2013-08-03 18:52:38.299825	\N	24f1ee65-dc67-4552-8545-4d86e70cc86c
60669	6	8635	2013-08-03 18:52:40.448671	2013-08-03 18:52:40.448671	\N	bd531b5e-4651-45b8-b35a-d8ddbff6b5c7
59688	7	8497	2013-08-03 18:47:39.922153	2013-08-03 18:47:39.922153	\N	6ae75917-5328-4971-8b8f-92ec2d1a9570
57904	2	8254	2013-08-03 18:38:38.684091	2013-08-03 18:38:38.684091	\N	79bfe335-c808-4bd9-932e-175eca49ac6d
57137	14	8149	2013-08-03 18:32:19.834174	2013-08-03 18:32:19.834174	\N	52304b7d-73f4-476a-8f09-029c89ad7ab7
57138	14	8170	2013-08-03 18:32:19.913075	2013-08-03 18:32:19.913075	\N	6fca6995-e985-495d-879b-4f223216231a
58769	8	8410	2013-08-03 18:42:40.455966	2013-08-03 18:42:40.455966	\N	0533b0ff-1eb3-44c9-bc59-57bff8688ad5
57906	7	8254	2013-08-03 18:38:39.565461	2013-08-03 18:38:39.565461	\N	a2c3d877-a9e8-42d3-b43d-30091fe933c2
57162	6	8203	2013-08-03 18:32:40.463952	2013-08-03 18:32:40.463952	\N	551fe4c7-c31b-4b02-b731-08d27ddb20fe
57165	6	8200	2013-08-03 18:32:41.516203	2013-08-03 18:32:41.516203	\N	04c37af8-9348-42c0-8f0e-6588b5bb30ab
57166	6	8170	2013-08-03 18:32:42.105341	2013-08-03 18:32:42.105341	\N	62d5d0ee-1128-4a32-a50e-a70781c63e2f
57907	7	8260	2013-08-03 18:38:39.889506	2013-08-03 18:38:39.889506	\N	ed7de01a-74b9-407d-983d-c6609528083a
56263	13	7990	2013-08-03 18:25:41.729661	2013-08-03 18:25:41.729661	\N	5f75a565-5341-4b62-bde0-467fa92e6b7f
56264	13	7993	2013-08-03 18:25:42.155974	2013-08-03 18:25:42.155974	\N	41dba7ea-6895-4eb9-8a40-2fd7292fc93c
57173	13	8149	2013-08-03 18:32:43.073147	2013-08-03 18:32:43.073147	\N	7747daef-47b6-4821-9169-24f9d7d91f5e
57185	11	8149	2013-08-03 18:32:44.579798	2013-08-03 18:32:44.579798	\N	f2e0b0a0-9a8d-46d5-92fb-4e84655b7e84
57189	11	8167	2013-08-03 18:32:44.736126	2013-08-03 18:32:44.736126	\N	af0fc8ee-f268-49e9-baf0-4d05d65f2ce1
56289	13	8035	2013-08-03 18:25:46.868711	2013-08-03 18:25:46.868711	\N	203122b1-636f-4da8-8c80-9de05ac1cd3c
57194	11	8170	2013-08-03 18:32:44.867171	2013-08-03 18:32:44.867171	\N	3e708811-5724-4d79-b44b-9bc7b094557d
57198	13	8179	2013-08-03 18:32:44.948141	2013-08-03 18:32:44.948141	\N	a4d69bd1-cd26-428a-971b-0746a6ff1c7f
57199	11	8173	2013-08-03 18:32:45.024403	2013-08-03 18:32:45.024403	\N	66cc9bd2-59f6-480f-b00d-1dc55fba1a15
57200	11	8182	2013-08-03 18:32:45.167968	2013-08-03 18:32:45.167968	\N	f897ea03-850a-43e9-9911-03d66fba233e
57202	6	8158	2013-08-03 18:32:45.259879	2013-08-03 18:32:45.259879	\N	37d7c388-1474-4424-9bd2-c45cc2422ed6
57205	13	8188	2013-08-03 18:32:45.483637	2013-08-03 18:32:45.483637	\N	e9feef32-a511-4805-8a93-2bcc2f530337
57206	11	8200	2013-08-03 18:32:45.65524	2013-08-03 18:32:45.65524	\N	23016423-ae8c-4578-b711-2908905f7eb7
57208	11	8206	2013-08-03 18:32:46.017549	2013-08-03 18:32:46.017549	\N	1bd5c31d-268d-4b40-9570-94283b321308
57210	13	8203	2013-08-03 18:32:46.289973	2013-08-03 18:32:46.289973	\N	2ae9e7f0-b5a0-4592-8ece-b76c4b637edb
57211	13	8206	2013-08-03 18:32:46.56684	2013-08-03 18:32:46.56684	\N	c0711c57-4332-4b14-9cfa-ce05728a57a6
57908	7	8257	2013-08-03 18:38:39.946557	2013-08-03 18:38:39.946557	\N	9ac88784-0517-4645-8aa8-9ba8557a8b40
57909	7	8287	2013-08-03 18:38:40.857202	2013-08-03 18:38:40.857202	\N	21fa3cec-8ab6-43fd-acc2-08696fa0aa51
57910	7	8285	2013-08-03 18:38:40.965166	2013-08-03 18:38:40.965166	\N	29c96ce3-3f0c-45af-9893-4b7d796e4fec
57912	7	8266	2013-08-03 18:38:41.052424	2013-08-03 18:38:41.052424	\N	564907b6-2e75-4387-b1e5-9da791aed09d
58785	7	8373	2013-08-03 18:42:41.931133	2013-08-03 18:42:41.931133	\N	10f81675-4381-48d8-a860-9587b5b7eb30
59699	8	8539	2013-08-03 18:47:46.613515	2013-08-03 18:47:46.613515	\N	cc2f6e82-de7a-43a2-946f-4bb0a837880f
59703	8	8512	2013-08-03 18:47:46.719543	2013-08-03 18:47:46.719543	\N	213f6b73-c480-4272-94ec-9590def77233
58800	7	8380	2013-08-03 18:42:45.062168	2013-08-03 18:42:45.062168	\N	1c48e32b-1dca-403e-92de-81544877bcd4
58804	14	8386	2013-08-03 18:42:45.159342	2013-08-03 18:42:45.159342	\N	c95c8ee7-87f7-418d-8db3-6bc414d19f86
58806	14	8359	2013-08-03 18:42:45.255031	2013-08-03 18:42:45.255031	\N	52ccff55-3dda-44c7-9152-1d84d3d1bd20
57932	10	8285	2013-08-03 18:38:43.940699	2013-08-03 18:38:43.940699	\N	91e444a9-f937-4604-8692-ad4e1b2eb41c
60670	8	8617	2013-08-03 18:52:40.892931	2013-08-03 18:52:40.892931	\N	d8857b74-7c59-4932-9eee-2992290b51d0
60675	8	8611	2013-08-03 18:52:40.925276	2013-08-03 18:52:40.925276	\N	bd14fc10-75e9-425a-9278-22b75cc0c241
58810	14	8371	2013-08-03 18:42:45.504275	2013-08-03 18:42:45.504275	\N	868744bf-db31-4577-b293-1613a910cc33
59714	7	8539	2013-08-03 18:47:52.883531	2013-08-03 18:47:52.883531	\N	6cea1879-0881-4ee4-9d38-8cecc72fa4dd
62122	14	8745	2013-08-03 19:01:29.365567	2013-08-03 19:01:29.365567	\N	151ce019-6cb9-4d9a-a9f8-1af7b30aacf5
59730	6	8542	2013-08-03 18:47:57.863018	2013-08-03 18:47:57.863018	\N	e23ff726-782c-4e85-bd06-240ae82affa9
60697	9	8623	2013-08-03 18:52:45.709938	2013-08-03 18:52:45.709938	\N	5374e661-4f76-4fa2-97c1-5919d23398bf
60698	9	8611	2013-08-03 18:52:45.875226	2013-08-03 18:52:45.875226	\N	fdc5f1ef-7d6c-41cd-b1a8-21e67bdd24f8
60702	17	8623	2013-08-03 18:52:48.717719	2013-08-03 18:52:48.717719	\N	8e1adf9a-dd6a-4e61-91b8-036221c834de
64253	5	9169	2013-08-03 19:13:01.978951	2013-08-03 19:13:01.978951	\N	c0902ce4-cf6e-4ad8-9bbe-cecb4170242e
64255	5	9130	2013-08-03 19:13:02.37335	2013-08-03 19:13:02.37335	\N	4a05a346-3b50-452d-8fd9-78da6cde26b7
61166	14	8623	2013-08-03 18:56:40.693051	2013-08-03 18:56:40.693051	\N	11e20ed7-18b3-42fe-8961-4f54bde6e815
67961	20	9541	2013-08-03 19:31:26.290046	2013-08-03 19:31:26.290046	\N	1bbd67e1-9be0-47be-a7bb-bc63a40a7c5b
64283	11	9136	2013-08-03 19:13:15.393614	2013-08-03 19:13:15.393614	\N	15aff903-aea4-4933-a677-36a46a9e26e8
58886	11	8410	2013-08-03 18:42:56.998803	2013-08-03 18:42:56.998803	\N	fa4333da-51ae-4eeb-ac6b-a12b57e886c4
67967	19	9550	2013-08-03 19:31:29.557064	2013-08-03 19:31:29.557064	\N	ff85376f-7be6-41e6-925d-fd1be1fe56e0
76487	7	10501	2013-08-03 20:07:46.307146	2013-08-03 20:07:46.307146	\N	be66d7c9-751d-422e-bdb7-41946740a559
59804	8	8537	2013-08-03 18:48:21.71932	2013-08-03 18:48:21.71932	\N	a64f5035-0ae1-43a3-a1a6-60c686280ebe
64288	11	9154	2013-08-03 19:13:16.712685	2013-08-03 19:13:16.712685	\N	841f7659-2d6c-4f11-9313-ef1335d5dddf
84830	13	11182	2013-08-03 20:34:00.53906	2013-08-03 20:34:00.53906	\N	2285369b-87fa-4a4e-9640-bddd5f061a8f
76495	20	10552	2013-08-03 20:07:46.741101	2013-08-03 20:07:46.741101	\N	4893a17c-b003-4ef8-898c-2d7e46a850c1
64322	2	9169	2013-08-03 19:13:28.617406	2013-08-03 19:13:28.617406	\N	9ccc642d-5d6e-494d-8fbd-1da1853317e8
66768	6	9415	2013-08-03 19:26:43.748779	2013-08-03 19:26:43.748779	\N	6b1c2648-fca3-4172-91b2-ce348782d0e3
64332	17	9148	2013-08-03 19:13:30.042405	2013-08-03 19:13:30.042405	\N	2f387a70-8185-467a-9aad-4a8bddc89623
63272	7	8998	2013-08-03 19:07:37.989876	2013-08-03 19:07:37.989876	\N	4a400d7d-07df-4c47-a1a7-fc9c564d8ffd
59836	4	8537	2013-08-03 18:48:32.221082	2013-08-03 18:48:32.221082	\N	c9ba42a5-c931-49d1-a06a-8487ac3acc82
59837	3	8485	2013-08-03 18:48:33.251888	2013-08-03 18:48:33.251888	\N	3b3dfd5d-b825-45d5-86db-c78e446064aa
59838	3	8497	2013-08-03 18:48:33.360431	2013-08-03 18:48:33.360431	\N	c5a727e4-f813-4061-b570-27e831ebfdf2
59839	3	8539	2013-08-03 18:48:33.406622	2013-08-03 18:48:33.406622	\N	7be01771-fe0f-401f-92c9-9b01d7e475c1
59840	3	8512	2013-08-03 18:48:33.436733	2013-08-03 18:48:33.436733	\N	885a8b35-dfd7-48e5-88e1-5e22a86731b5
59841	3	8518	2013-08-03 18:48:33.48007	2013-08-03 18:48:33.48007	\N	571d5c1f-4cf1-4b92-9255-87a69503d6a5
62187	13	8761	2013-08-03 19:01:39.862136	2013-08-03 19:01:39.862136	\N	8bf6c17c-e1c6-4803-907d-fcebc7bced86
61214	7	8737	2013-08-03 18:57:39.589926	2013-08-03 18:57:39.589926	\N	ca69ed4b-77a6-4f7d-aabb-b5e1a352876d
61215	17	8761	2013-08-03 18:57:41.324786	2013-08-03 18:57:41.324786	\N	7629d210-798a-4ad5-85cd-12265c14c0c0
59865	19	8485	2013-08-03 18:48:41.81618	2013-08-03 18:48:41.81618	\N	c8654e89-abcc-4680-bcf0-7027404bd80a
59867	6	8491	2013-08-03 18:48:42.669892	2013-08-03 18:48:42.669892	\N	5830ade6-7b29-4e37-96cd-813d897d55ca
61217	14	8764	2013-08-03 18:57:42.187165	2013-08-03 18:57:42.187165	\N	4c16135b-90f1-4093-be75-9eabe1d3e79a
58996	12	8410	2013-08-03 18:43:22.480895	2013-08-03 18:43:22.480895	\N	77df47df-7d0a-4c56-98d7-b7f31c488172
59003	12	8413	2013-08-03 18:43:22.749587	2013-08-03 18:43:22.749587	\N	2e2e9673-1a45-4393-8ec9-d30a5b9dbc91
59872	17	8509	2013-08-03 18:48:44.123164	2013-08-03 18:48:44.123164	\N	78251d05-bd48-480f-8a28-408062abc3e7
59873	17	8512	2013-08-03 18:48:44.291478	2013-08-03 18:48:44.291478	\N	211cb1f6-4c0e-4b88-b5e8-d021ccd8fbbc
61219	17	8770	2013-08-03 18:57:42.195931	2013-08-03 18:57:42.195931	\N	9d69e1ec-f122-4b6a-8567-b5f0ad79815d
61220	14	8794	2013-08-03 18:57:42.284899	2013-08-03 18:57:42.284899	\N	dbd5ad37-3000-422e-b039-1846a8537b3a
61224	17	8788	2013-08-03 18:57:43.326243	2013-08-03 18:57:43.326243	\N	4320379b-7269-415c-be85-f9353c4faec5
59882	17	8536	2013-08-03 18:48:46.340189	2013-08-03 18:48:46.340189	\N	d7cbb573-f4ea-44b1-872f-84d8f1ab3799
59884	7	8491	2013-08-03 18:48:46.49453	2013-08-03 18:48:46.49453	\N	b2e60691-20d3-483a-8dbb-d669d2cd99b6
59885	17	8542	2013-08-03 18:48:46.627869	2013-08-03 18:48:46.627869	\N	78e7f90a-f6fc-4536-87fc-1b59e5bc16de
62189	13	8770	2013-08-03 19:01:40.79392	2013-08-03 19:01:40.79392	\N	00690e53-5d73-4ee4-a124-96fda52ad49a
63306	17	9013	2013-08-03 19:07:43.941586	2013-08-03 19:07:43.941586	\N	bee0c624-b4df-44ae-bcd8-bdeb6f8b6494
59054	10	8392	2013-08-03 18:43:36.097269	2013-08-03 18:43:36.097269	\N	af233f74-b734-4ba7-ac3e-b2418635a800
59059	10	8410	2013-08-03 18:43:36.648573	2013-08-03 18:43:36.648573	\N	53007e3a-1120-4a05-a4b7-62c9b4d054a5
59062	10	8411	2013-08-03 18:43:36.827559	2013-08-03 18:43:36.827559	\N	cd3d819a-fd52-41db-b1bc-6b7bdc444f7f
64340	12	9172	2013-08-03 19:13:32.362041	2013-08-03 19:13:32.362041	\N	d934da5f-c6f9-4f78-b95c-66f27a569771
60684	4	8617	2013-08-03 18:52:44.4476	2013-08-03 18:52:44.4476	\N	6aeeb810-7fbb-4386-a775-ec88bec2b146
56193	19	7999	2013-08-03 18:25:09.345775	2013-08-03 18:25:09.345775	\N	07b464b9-8bc7-4a0a-a127-c7db4dbaddc9
58851	6	8386	2013-08-03 18:42:50.489638	2013-08-03 18:42:50.489638	\N	d2d702a2-ec6e-4bb0-9002-918d7dbf639c
60685	4	8620	2013-08-03 18:52:44.544764	2013-08-03 18:52:44.544764	\N	52499ee0-e3f9-44a5-95bd-acd93b9a657f
57823	12	8245	2013-08-03 18:38:13.073671	2013-08-03 18:38:13.073671	\N	1bed1e36-c7cc-4470-a641-f850b176b720
57824	8	8266	2013-08-03 18:38:13.296544	2013-08-03 18:38:13.296544	\N	33300b1c-0905-4904-9738-d6a27462f982
57825	12	8233	2013-08-03 18:38:13.403589	2013-08-03 18:38:13.403589	\N	24a40c92-856d-4c4d-86e9-40930ef0235a
57826	12	8254	2013-08-03 18:38:14.083182	2013-08-03 18:38:14.083182	\N	5ecde246-920c-45d9-a54d-7618d2f1effa
60687	4	8623	2013-08-03 18:52:44.572094	2013-08-03 18:52:44.572094	\N	a6585145-1402-4ee8-b655-a6f4c065e9d5
57832	8	8290	2013-08-03 18:38:14.408056	2013-08-03 18:38:14.408056	\N	5b1711c5-d538-429c-92ef-524736011731
58865	11	8371	2013-08-03 18:42:55.43872	2013-08-03 18:42:55.43872	\N	5a29f19d-1e06-4466-b4f1-6e140416040c
57858	12	8285	2013-08-03 18:38:22.269964	2013-08-03 18:38:22.269964	\N	eb1b6d1d-6392-4cca-af3d-c70d7a49b41b
58866	11	8359	2013-08-03 18:42:55.639133	2013-08-03 18:42:55.639133	\N	ac3f489e-4a88-44d2-b4b8-317de4d1148c
57133	2	8123	2013-08-03 18:32:09.26496	2013-08-03 18:32:09.26496	\N	95450901-ed2b-49a0-b79a-5e2e09d763ff
58867	11	8380	2013-08-03 18:42:56.01379	2013-08-03 18:42:56.01379	\N	546b2444-2d8a-4b36-8096-bf66959141a8
56274	13	8005	2013-08-03 18:25:44.785245	2013-08-03 18:25:44.785245	\N	83d1fc01-885d-4b88-9d07-d25283011060
58870	11	8386	2013-08-03 18:42:56.328716	2013-08-03 18:42:56.328716	\N	d28de647-80ff-4fa2-9a49-d658243e0262
56279	13	8014	2013-08-03 18:25:45.577347	2013-08-03 18:25:45.577347	\N	d145dfbe-e517-40b9-a335-5f40fae36e57
58873	11	8392	2013-08-03 18:42:56.500186	2013-08-03 18:42:56.500186	\N	215f6102-2545-4926-bf48-a8d2f86cdf4a
57168	6	8161	2013-08-03 18:32:42.303508	2013-08-03 18:32:42.303508	\N	a2b64638-1d54-40ec-8cdb-11b5e4365b59
57172	13	8161	2013-08-03 18:32:42.815196	2013-08-03 18:32:42.815196	\N	a5590596-19d6-4312-a317-8f36dcbcc49a
57174	6	8206	2013-08-03 18:32:43.26094	2013-08-03 18:32:43.26094	\N	3ffa3703-d92b-4a48-b3fa-b1cfd01fa950
60688	4	8611	2013-08-03 18:52:44.60848	2013-08-03 18:52:44.60848	\N	271fd948-6a86-4faa-a916-666f098b4281
60689	4	8635	2013-08-03 18:52:44.66124	2013-08-03 18:52:44.66124	\N	01b7f046-7ad8-4fbd-a8df-18613a386287
60690	4	8638	2013-08-03 18:52:44.950147	2013-08-03 18:52:44.950147	\N	6fbfff9c-0e1f-4059-a3fa-7879925037a3
60691	4	8644	2013-08-03 18:52:44.998714	2013-08-03 18:52:44.998714	\N	8ce07ea6-c7c8-46db-91b4-ef5c2bd36fb8
57901	7	8245	2013-08-03 18:38:36.588832	2013-08-03 18:38:36.588832	\N	0567b057-ce2e-4fac-9695-14831517869a
60692	4	8662	2013-08-03 18:52:45.03433	2013-08-03 18:52:45.03433	\N	27a04808-1006-4766-a2da-6c0838509825
60693	4	8665	2013-08-03 18:52:45.068747	2013-08-03 18:52:45.068747	\N	90a115fd-91a1-4014-a235-53bfa0a32eb8
59700	8	8536	2013-08-03 18:47:46.615153	2013-08-03 18:47:46.615153	\N	02bfd5ac-b5cf-41a7-988f-29497492043d
59705	7	8536	2013-08-03 18:47:48.118651	2013-08-03 18:47:48.118651	\N	ea3fda95-f0fc-455e-aebb-3954f1b7a6d6
60694	4	8668	2013-08-03 18:52:45.116438	2013-08-03 18:52:45.116438	\N	e5c07b2a-3879-4162-95d5-c5d01f249313
64264	3	9127	2013-08-03 19:13:05.422351	2013-08-03 19:13:05.422351	\N	339dfab2-20a3-453b-95b5-f5744af2127b
59711	12	8485	2013-08-03 18:47:51.661523	2013-08-03 18:47:51.661523	\N	0027ff97-2342-4450-8546-a8de5fe7ac1b
60706	7	8620	2013-08-03 18:52:51.183502	2013-08-03 18:52:51.183502	\N	df0aed13-5f88-479f-9e45-d5fa30df2125
59716	7	8518	2013-08-03 18:47:53.708325	2013-08-03 18:47:53.708325	\N	adf1d06b-da16-41c4-af48-9f3b14cfe28c
59719	12	8536	2013-08-03 18:47:54.106161	2013-08-03 18:47:54.106161	\N	7abbf7fd-0119-457c-9b86-9b5d0a2518c5
59721	12	8539	2013-08-03 18:47:54.391424	2013-08-03 18:47:54.391424	\N	2e0d20b4-c8fb-4d7d-9b21-2dc45d26ab94
59722	12	8542	2013-08-03 18:47:54.685717	2013-08-03 18:47:54.685717	\N	da71fd00-2ecd-4749-b257-f92ccc5fb815
61162	7	8625	2013-08-03 18:56:30.921013	2013-08-03 18:56:30.921013	\N	bbb5cb61-2829-4636-ac5a-950469a53067
62131	17	8737	2013-08-03 19:01:30.014205	2013-08-03 19:01:30.014205	\N	e4967c7c-818b-4a56-8b17-25ce94d29268
59742	2	8521	2013-08-03 18:48:01.717188	2013-08-03 18:48:01.717188	\N	eb3875b9-9260-4492-9943-96d49349f64b
59743	2	8536	2013-08-03 18:48:01.755046	2013-08-03 18:48:01.755046	\N	be412452-ee62-40fb-b1d8-668ea1c8c408
59744	2	8539	2013-08-03 18:48:01.797821	2013-08-03 18:48:01.797821	\N	fc1cdf1d-1d5c-4f1f-94c7-96a0a5a822fa
59745	2	8537	2013-08-03 18:48:01.85246	2013-08-03 18:48:01.85246	\N	2fd03263-5062-4823-98ce-06bd4de7e4d5
64265	3	9148	2013-08-03 19:13:05.472256	2013-08-03 19:13:05.472256	\N	b11c7a21-65a9-43f7-84fb-f4c29a43721d
59747	2	8485	2013-08-03 18:48:01.901516	2013-08-03 18:48:01.901516	\N	ee5738a4-e9ae-4205-9506-2a4abd15ca21
59748	2	8509	2013-08-03 18:48:01.925851	2013-08-03 18:48:01.925851	\N	fcda2c45-e6d7-4859-ac71-5c94a5ed969e
59749	2	8518	2013-08-03 18:48:01.956662	2013-08-03 18:48:01.956662	\N	0f291601-f03e-4e6c-bc9b-d3fea0912459
59750	2	8497	2013-08-03 18:48:01.985153	2013-08-03 18:48:01.985153	\N	9f79744d-30c8-45c5-b237-add123d61d00
59752	11	8509	2013-08-03 18:48:02.146139	2013-08-03 18:48:02.146139	\N	c8c79498-449f-44d1-8844-d9e23561b680
59754	11	8518	2013-08-03 18:48:02.468551	2013-08-03 18:48:02.468551	\N	afc176c1-8fde-41fc-92e1-b5e38173a748
66766	19	9379	2013-08-03 19:26:42.934508	2013-08-03 19:26:42.934508	\N	5c897c76-71ca-4c17-a793-a698c06455b3
84831	13	11188	2013-08-03 20:34:01.872377	2013-08-03 20:34:01.872377	\N	99d2ce0d-c05b-48b5-be60-9e60c2d4c969
64268	14	9166	2013-08-03 19:13:08.753143	2013-08-03 19:13:08.753143	\N	ba7feff9-964a-444b-a61b-b7976f6f855f
111125	2	13441	2013-08-03 21:59:26.153109	2013-08-03 21:59:26.153109	\N	b61fa8cc-2fda-44c5-b688-864fb47c7293
66786	19	9415	2013-08-03 19:26:51.816543	2013-08-03 19:26:51.816543	\N	4d18c08f-8408-4d73-b8ab-f4a72315eb51
113290	8	13567	2013-08-03 22:04:23.120349	2013-08-03 22:04:23.120349	\N	ce85f1af-daf7-4e5f-a587-6e51325a944c
76499	15	10534	2013-08-03 20:07:49.175235	2013-08-03 20:07:49.175235	\N	e5c26c1c-bb90-489f-b553-c70c3d8858f7
64277	1	9172	2013-08-03 19:13:13.666457	2013-08-03 19:13:13.666457	\N	128731f4-2552-4885-b1d1-4cf77005ffd3
64279	11	9130	2013-08-03 19:13:14.076374	2013-08-03 19:13:14.076374	\N	4ee20506-8291-477b-9d45-736e26e5ce4c
76501	15	10507	2013-08-03 20:07:49.392274	2013-08-03 20:07:49.392274	\N	1835dc8f-e605-43ab-acbd-e2346a53d114
74948	9	10249	2013-08-03 20:01:35.9885	2013-08-03 20:01:35.9885	\N	d2515df8-c6c2-45e8-9692-4e6dc84cfcd6
66822	14	9415	2013-08-03 19:27:03.985768	2013-08-03 19:27:03.985768	\N	5a5c4897-b562-4931-8a02-4dcb6c2e0dc4
64304	6	9172	2013-08-03 19:13:25.296697	2013-08-03 19:13:25.296697	\N	a2f6e4ae-ae8d-42b5-bb0c-5d0997a97cef
76514	16	10501	2013-08-03 20:07:54.678182	2013-08-03 20:07:54.678182	\N	9cf5a6f9-1cb1-46a2-90b2-4fdd191c1274
76519	16	10531	2013-08-03 20:07:55.101155	2013-08-03 20:07:55.101155	\N	fee7344f-7388-49ab-b0c6-29e2387a0e76
76521	16	10534	2013-08-03 20:07:55.218782	2013-08-03 20:07:55.218782	\N	a9633aba-8d31-42b5-a7bd-c9e8c6001fa3
59844	19	8537	2013-08-03 18:48:34.989761	2013-08-03 18:48:34.989761	\N	e0b5b3aa-3331-4e93-a04a-01b8b2087722
59846	2	8506	2013-08-03 18:48:37.356724	2013-08-03 18:48:37.356724	\N	15d5ba5f-7195-4830-8c83-acce5a4f01d3
61216	17	8764	2013-08-03 18:57:41.504909	2013-08-03 18:57:41.504909	\N	b6dd08eb-97c1-48ae-8c42-51813138a7f0
61218	14	8770	2013-08-03 18:57:42.19395	2013-08-03 18:57:42.19395	\N	fe7761ff-4289-4f24-bc85-f4580f1ea0a5
59849	2	8512	2013-08-03 18:48:37.531904	2013-08-03 18:48:37.531904	\N	1de29c99-811d-4970-ae4b-e0a6b929eeed
61221	14	8791	2013-08-03 18:57:42.432145	2013-08-03 18:57:42.432145	\N	a32d02b7-5394-45fd-8946-6d310dd541e2
61222	7	8743	2013-08-03 18:57:42.587173	2013-08-03 18:57:42.587173	\N	8b132683-c2f2-40f8-aa45-1eff0978a6f0
61223	14	8749	2013-08-03 18:57:42.958974	2013-08-03 18:57:42.958974	\N	cbe468a0-1fc6-40e4-9cb5-c9984b5f519a
61225	17	8791	2013-08-03 18:57:43.459187	2013-08-03 18:57:43.459187	\N	ec77cf69-5366-4175-aa87-0c26b974cea9
61226	14	8788	2013-08-03 18:57:43.472746	2013-08-03 18:57:43.472746	\N	7dd5697e-ade0-439c-adec-7d3b2d357f3c
59866	12	8537	2013-08-03 18:48:42.660475	2013-08-03 18:48:42.660475	\N	1a4f75e5-2447-4f31-a07d-a16b4072fa72
59868	17	8497	2013-08-03 18:48:43.102648	2013-08-03 18:48:43.102648	\N	7c9bf599-c757-4aef-a9fd-93f20281c48c
59869	17	8485	2013-08-03 18:48:43.24714	2013-08-03 18:48:43.24714	\N	458307aa-40c4-4d35-b9fb-fa1cda940e18
59870	19	8512	2013-08-03 18:48:43.392755	2013-08-03 18:48:43.392755	\N	ff5395fa-9703-49b3-bdf7-d4a73aeb9fea
59874	19	8518	2013-08-03 18:48:44.530532	2013-08-03 18:48:44.530532	\N	80c61e39-8b57-460b-90f5-0f14909e9f33
61227	1	8794	2013-08-03 18:57:43.597282	2013-08-03 18:57:43.597282	\N	eb997757-11d7-476c-a69e-d6ee67962005
59114	19	8411	2013-08-03 18:43:55.846542	2013-08-03 18:43:55.846542	\N	9391b1a5-0e1a-4a6c-ba57-f9fa7f41106f
59116	4	8371	2013-08-03 18:43:56.558144	2013-08-03 18:43:56.558144	\N	3f4c9ac3-6169-4d39-99b6-538efb4e158d
59117	4	8359	2013-08-03 18:43:56.603116	2013-08-03 18:43:56.603116	\N	296e1cbe-7e57-4190-9c34-8be33b09a510
59118	4	8380	2013-08-03 18:43:56.653098	2013-08-03 18:43:56.653098	\N	991d6db3-2903-43ee-87cf-a035f1b16842
59119	4	8386	2013-08-03 18:43:56.701313	2013-08-03 18:43:56.701313	\N	33984e1b-a0b3-4f77-989d-0537344009c7
59120	4	8392	2013-08-03 18:43:56.745799	2013-08-03 18:43:56.745799	\N	67736148-b598-4d3d-9d27-4aaed75e6cad
59121	4	8410	2013-08-03 18:43:56.783262	2013-08-03 18:43:56.783262	\N	b7ab9a27-20a3-44d2-95a2-8a39368d772c
59122	4	8413	2013-08-03 18:43:56.828438	2013-08-03 18:43:56.828438	\N	fd4d5c44-bd9a-454e-8976-6a861af08282
59123	4	8416	2013-08-03 18:43:56.854283	2013-08-03 18:43:56.854283	\N	747555ff-7fa8-45fb-addf-79056f5927bc
61228	17	8794	2013-08-03 18:57:43.618254	2013-08-03 18:57:43.618254	\N	064cd462-8712-44a0-96f0-eca465de9366
61229	14	8737	2013-08-03 18:57:44.026061	2013-08-03 18:57:44.026061	\N	8984fa19-30c9-4f68-a74c-3a04304f1908
59883	17	8539	2013-08-03 18:48:46.48612	2013-08-03 18:48:46.48612	\N	c30a2aea-dd88-4250-b689-2879f15cc7e5
61230	7	8789	2013-08-03 18:57:44.303072	2013-08-03 18:57:44.303072	\N	6b8b889f-cdf6-4d40-b7fe-29e6b569c0c9
61231	14	8743	2013-08-03 18:57:44.830646	2013-08-03 18:57:44.830646	\N	294ee05c-5221-44be-8c51-3ee3d64a535a
61232	7	8761	2013-08-03 18:57:46.234879	2013-08-03 18:57:46.234879	\N	6921ec9d-105c-4beb-ba4d-2227fa2c276a
61233	7	8770	2013-08-03 18:57:48.898177	2013-08-03 18:57:48.898177	\N	01ac2ed2-8ac7-4a48-9e23-9a2d1166be0e
61234	7	8791	2013-08-03 18:57:49.055324	2013-08-03 18:57:49.055324	\N	314b6fdd-9446-4b65-a80a-ffa1dfd3d5c6
59900	19	8542	2013-08-03 18:48:50.946924	2013-08-03 18:48:50.946924	\N	52e56bb3-2736-417b-ba3b-59ea2ab6e56b
61235	7	8746	2013-08-03 18:57:49.21376	2013-08-03 18:57:49.21376	\N	48a54393-624b-4126-b682-2297d48cbc8d
61236	7	8764	2013-08-03 18:57:49.264112	2013-08-03 18:57:49.264112	\N	b5d538b7-8d27-4dad-989d-d1a1155833bb
61237	7	8794	2013-08-03 18:57:49.364702	2013-08-03 18:57:49.364702	\N	ca9e6860-f658-45d4-9f57-d4b52ea3eaa1
61238	7	8788	2013-08-03 18:57:49.627522	2013-08-03 18:57:49.627522	\N	90160b05-f372-4ec2-8bd2-ea9a8601d724
76523	16	10552	2013-08-03 20:07:55.450305	2013-08-03 20:07:55.450305	\N	54068ff3-4d35-4092-9ae8-cb2426494d29
60707	7	8668	2013-08-03 18:52:54.886593	2013-08-03 18:52:54.886593	\N	3d091f2f-ccfb-43c5-bee8-359f438cfad7
59755	11	8537	2013-08-03 18:48:02.782613	2013-08-03 18:48:02.782613	\N	e91aa791-096a-4879-abdf-1b4986f46ac1
58885	6	8371	2013-08-03 18:42:56.914	2013-08-03 18:42:56.914	\N	14e09343-772d-43cb-9a3d-36de4fb644a3
64269	11	9127	2013-08-03 19:13:12.876622	2013-08-03 19:13:12.876622	\N	12404df9-cad7-485f-b262-9d6b30fd740d
58106	7	8163	2013-08-03 18:39:08.099111	2013-08-03 18:39:08.099111	\N	1f747f84-4e40-4a59-af2a-257c6009fa43
59761	6	8536	2013-08-03 18:48:04.28414	2013-08-03 18:48:04.28414	\N	952609a7-556f-401c-8b4a-cc87d3a30e3f
60739	11	8620	2013-08-03 18:53:07.3553	2013-08-03 18:53:07.3553	\N	d4d0a76a-4744-406e-aeb0-08ab70e0de69
64291	11	9167	2013-08-03 19:13:17.461723	2013-08-03 19:13:17.461723	\N	53f39eed-ce5e-4782-9a08-57458534b7d7
60741	11	8623	2013-08-03 18:53:07.545997	2013-08-03 18:53:07.545997	\N	1100c09e-0415-4c2a-97ff-0d085fd8ee7c
63288	7	9046	2013-08-03 19:07:39.074512	2013-08-03 19:07:39.074512	\N	fc909c2c-6e79-4e6b-9d26-cbae46cfaeaf
63294	3	9022	2013-08-03 19:07:39.239556	2013-08-03 19:07:39.239556	\N	3328c0cb-881a-4d44-869a-ecf408b1a423
59791	6	8509	2013-08-03 18:48:12.273789	2013-08-03 18:48:12.273789	\N	b66d6eab-714e-4a34-b0f5-d1533ab95ea5
63296	3	8989	2013-08-03 19:07:39.293688	2013-08-03 19:07:39.293688	\N	8adc1f41-e9f3-427a-ac5d-76b8c0838842
58974	2	8389	2013-08-03 18:43:18.571505	2013-08-03 18:43:18.571505	\N	a63238ef-9c47-4805-8e25-f17ba2ddcb6b
60761	6	8665	2013-08-03 18:53:12.027618	2013-08-03 18:53:12.027618	\N	0135bbca-b881-400b-8144-134bccd91bf2
58976	2	8395	2013-08-03 18:43:18.665284	2013-08-03 18:43:18.665284	\N	decc6b31-2ecc-4bbc-b842-1a2a0d9b1c83
60785	13	8617	2013-08-03 18:53:17.155229	2013-08-03 18:53:17.155229	\N	6e19ed68-a7b0-4d18-bae2-bd40a0a55a6f
60787	17	8663	2013-08-03 18:53:18.288234	2013-08-03 18:53:18.288234	\N	0a482390-d735-4aad-8883-248f3c81e144
60819	19	8644	2013-08-03 18:53:29.902046	2013-08-03 18:53:29.902046	\N	2f55c942-0df0-4b13-9ee8-ddfec6769616
63297	3	9001	2013-08-03 19:07:39.342452	2013-08-03 19:07:39.342452	\N	f4c3c4fb-ad46-4525-bdc4-3ab2d7bf3573
66767	19	9400	2013-08-03 19:26:43.705228	2013-08-03 19:26:43.705228	\N	9df097b8-2c6a-4a76-a8c6-c565289b239e
58169	17	8245	2013-08-03 18:39:12.835256	2013-08-03 18:39:12.835256	\N	fb84c811-be05-4202-b3cc-07fbb0381f7e
62291	5	8617	2013-08-03 19:02:22.96764	2013-08-03 19:02:22.96764	\N	55d4e729-946b-4a68-895e-de93d22e7cc2
59818	14	8537	2013-08-03 18:48:26.350076	2013-08-03 18:48:26.350076	\N	5478e097-b3a4-4574-a581-4a265babaa88
59819	14	8518	2013-08-03 18:48:26.397676	2013-08-03 18:48:26.397676	\N	a52ed3e5-a3d1-44c4-b12e-be354a5f1355
62292	5	8611	2013-08-03 19:02:23.503765	2013-08-03 19:02:23.503765	\N	145dc9a8-dca9-4c22-960f-0a42e86e37bb
59100	2	8410	2013-08-03 18:43:53.954577	2013-08-03 18:43:53.954577	\N	b8d32655-fe4e-4139-82a7-38a082e49bf2
88250	11	11435	2013-08-03 20:44:00.828456	2013-08-03 20:44:00.828456	\N	e43444c7-e4f1-4325-879b-a785479777b8
81154	14	10930	2013-08-03 20:25:02.333957	2013-08-03 20:25:02.333957	\N	7751a4b4-fd5c-4741-9966-fed8aca93f0d
60857	17	8635	2013-08-03 18:53:49.88089	2013-08-03 18:53:49.88089	\N	561e109b-ce0e-433c-9365-6c616b50cb26
58182	19	8285	2013-08-03 18:39:13.713306	2013-08-03 18:39:13.713306	\N	0f2a4257-b23a-4929-97d1-ee46152ca5d4
64343	6	9127	2013-08-03 19:13:35.530623	2013-08-03 19:13:35.530623	\N	f3804d0f-977b-439a-a4d9-0a17cf1c0f55
62314	7	8917	2013-08-03 19:02:39.333511	2013-08-03 19:02:39.333511	\N	45e83678-5286-440b-b526-be823e906623
59893	19	8536	2013-08-03 18:48:50.121934	2013-08-03 18:48:50.121934	\N	a4308ecf-3560-4b00-a579-c72f29b138a7
60876	14	8638	2013-08-03 18:53:58.582824	2013-08-03 18:53:58.582824	\N	e188151c-5267-454f-9586-e95063f02c25
60877	14	8617	2013-08-03 18:53:58.671157	2013-08-03 18:53:58.671157	\N	e812b532-59bf-4ee0-9fc5-cfeb124a0e17
60879	14	8663	2013-08-03 18:53:58.821096	2013-08-03 18:53:58.821096	\N	cace4905-e5d9-4fe5-b402-e47ae44f03ab
62316	7	8896	2013-08-03 19:02:39.526259	2013-08-03 19:02:39.526259	\N	23e6e076-3d08-43c8-a6b8-b23d8c729c33
62317	2	8915	2013-08-03 19:02:42.047049	2013-08-03 19:02:42.047049	\N	8804a3cd-2391-4839-a410-f3eae53ea5e1
62318	2	8884	2013-08-03 19:02:42.135743	2013-08-03 19:02:42.135743	\N	18216315-2fba-4a81-8f88-7cc9652b375c
59168	17	8392	2013-08-03 18:44:26.233457	2013-08-03 18:44:26.233457	\N	33e650d0-d473-42b0-bae0-be5816c0d7ec
62319	2	8863	2013-08-03 19:02:42.191144	2013-08-03 19:02:42.191144	\N	1e5135c3-670a-4b08-a28c-0e71bab7bb98
62320	2	8914	2013-08-03 19:02:42.228608	2013-08-03 19:02:42.228608	\N	a3fe292d-1aa7-4748-9170-458740e31753
59954	13	8497	2013-08-03 18:49:11.680838	2013-08-03 18:49:11.680838	\N	bc5af686-0ebc-4bc0-9fb7-9a597cefecf6
59955	13	8485	2013-08-03 18:49:11.940437	2013-08-03 18:49:11.940437	\N	26f7392d-2927-43f5-a551-fb601cf5bb57
58253	19	8254	2013-08-03 18:39:25.09376	2013-08-03 18:39:25.09376	\N	d9f8fe09-c5d5-490e-acd3-535da5c664fa
58255	19	8266	2013-08-03 18:39:28.200127	2013-08-03 18:39:28.200127	\N	0235f436-a354-46b6-9808-4fe55f049a68
62321	2	8917	2013-08-03 19:02:42.253355	2013-08-03 19:02:42.253355	\N	a1aa94fe-5ddf-4459-a2f8-32abb019f3c1
81155	14	10931	2013-08-03 20:25:02.405984	2013-08-03 20:25:02.405984	\N	1a852a0c-036a-4c91-8af0-ecfd26ce7822
62323	2	8893	2013-08-03 19:02:42.335201	2013-08-03 19:02:42.335201	\N	89df833c-0429-44f8-85e4-024862fff5a7
60976	12	8623	2013-08-03 18:55:02.975004	2013-08-03 18:55:02.975004	\N	fd3297b7-bb03-441a-a286-f1d14cdd0761
59972	13	8506	2013-08-03 18:49:12.969016	2013-08-03 18:49:12.969016	\N	93cd944d-56c5-49c3-8b06-9a4e653d3fc8
59974	13	8509	2013-08-03 18:49:13.218602	2013-08-03 18:49:13.218602	\N	7eee10ed-b20e-44c4-ab8d-c5f65dbe86b3
59975	13	8512	2013-08-03 18:49:13.463423	2013-08-03 18:49:13.463423	\N	aba2cfcd-1cf6-49ca-9182-fb5f6dab361c
76505	15	10501	2013-08-03 20:07:50.862552	2013-08-03 20:07:50.862552	\N	3525de4c-f240-4be1-bcc4-54d623415d41
62325	2	8896	2013-08-03 19:02:42.434215	2013-08-03 19:02:42.434215	\N	ccb2da1f-df01-4975-b143-9db78b1a6366
60982	12	8635	2013-08-03 18:55:04.369874	2013-08-03 18:55:04.369874	\N	8ee86c20-c6e5-47e2-a1d6-54b6e0521e54
62326	2	8875	2013-08-03 19:02:42.474487	2013-08-03 19:02:42.474487	\N	b965aefd-b928-4923-abc9-23a5d635f3a9
76506	15	10558	2013-08-03 20:07:51.96857	2013-08-03 20:07:51.96857	\N	93d903ad-50bc-487d-9ef1-4ad2c2612e16
64372	9	9166	2013-08-03 19:13:49.234063	2013-08-03 19:13:49.234063	\N	59660b75-4ee3-4d67-bd87-6f451ee673bd
62370	7	8914	2013-08-03 19:02:53.007803	2013-08-03 19:02:53.007803	\N	2184b093-be05-4fd8-9208-a77a23238669
62406	19	8875	2013-08-03 19:03:00.242595	2013-08-03 19:03:00.242595	\N	cbef6e06-5962-4eb6-8fac-a780a5ee0b61
62414	19	8863	2013-08-03 19:03:02.44335	2013-08-03 19:03:02.44335	\N	efaee393-4efb-4321-b1f5-cc88c64122c1
74943	14	10301	2013-08-03 20:01:34.804485	2013-08-03 20:01:34.804485	\N	2400f83d-62a7-4b3c-ada4-5467d2d271c1
60052	11	8491	2013-08-03 18:49:28.460912	2013-08-03 18:49:28.460912	\N	b5023e4c-cab0-4386-9a6a-4d7d7b6a601a
64392	13	9157	2013-08-03 19:14:00.072541	2013-08-03 19:14:00.072541	\N	4d01df85-9684-4c4f-9a9f-1902f24aca0e
64397	13	9130	2013-08-03 19:14:02.027063	2013-08-03 19:14:02.027063	\N	890ef4f0-5ad4-48a3-a36f-8927421358ca
64402	13	9136	2013-08-03 19:14:02.824583	2013-08-03 19:14:02.824583	\N	9f4caff2-d50e-4e4d-81f3-2fdf569bfab7
62432	8	8875	2013-08-03 19:03:08.283196	2013-08-03 19:03:08.283196	\N	1af9d7d2-31e4-4f81-b67b-ecff984e5366
76517	15	10553	2013-08-03 20:07:54.872318	2013-08-03 20:07:54.872318	\N	457ee580-5b00-4969-89e3-291720fb2f4e
72172	14	10051	2013-08-03 19:48:22.538198	2013-08-03 19:48:22.538198	\N	c5999c5b-afee-41a5-8f47-2d0046d533e5
62450	2	8899	2013-08-03 19:03:12.720679	2013-08-03 19:03:12.720679	\N	a2d76fe1-be5e-45a5-b389-39265688a4df
60094	9	8537	2013-08-03 18:49:45.895886	2013-08-03 18:49:45.895886	\N	e048befd-5959-4260-9eef-8b4029bb7d38
76522	6	10507	2013-08-03 20:07:55.409085	2013-08-03 20:07:55.409085	\N	9f35c695-28ae-4dd8-81ed-c15962440efd
72176	14	10027	2013-08-03 19:48:22.724143	2013-08-03 19:48:22.724143	\N	69edbb8f-0d7b-43cd-a716-9ad47246c38b
76528	8	10501	2013-08-03 20:07:56.110346	2013-08-03 20:07:56.110346	\N	a79864b8-21ff-4679-bf01-290fab96b4a8
63512	11	9001	2013-08-03 19:08:18.808172	2013-08-03 19:08:18.808172	\N	4f5d65f5-451e-4a56-80c0-309662622b5e
76542	8	10553	2013-08-03 20:07:58.65107	2013-08-03 20:07:58.65107	\N	6a13e43a-bdb2-4cce-88da-6aa0df7b2e92
66879	5	9400	2013-08-03 19:27:30.416505	2013-08-03 19:27:30.416505	\N	1e794f15-3a25-4327-a9e5-07b4c439c843
63554	11	9046	2013-08-03 19:08:24.333587	2013-08-03 19:08:24.333587	\N	8e61c8bd-087e-4b5b-a9d5-61b85ef454a7
72185	10	10003	2013-08-03 19:48:23.658029	2013-08-03 19:48:23.658029	\N	58285492-cc74-4759-aafd-e49bb329e85f
66906	8	9544	2013-08-03 19:27:45.103627	2013-08-03 19:27:45.103627	\N	659007e3-ab95-4aa7-b492-2963bf081be0
63558	9	9040	2013-08-03 19:08:27.707671	2013-08-03 19:08:27.707671	\N	bb89a8f9-aae9-4081-a937-af839b05f9a0
63559	9	9046	2013-08-03 19:08:27.892256	2013-08-03 19:08:27.892256	\N	5c5b7c6f-e954-4077-9401-8fc3c6b7dcb7
60147	12	8497	2013-08-03 18:49:58.341779	2013-08-03 18:49:58.341779	\N	045b8ff0-27f2-4f77-a583-064a20c55453
66911	8	9505	2013-08-03 19:27:45.980107	2013-08-03 19:27:45.980107	\N	5e23453d-b98a-4ee0-8d35-64a850d40cd1
72186	10	10030	2013-08-03 19:48:23.760782	2013-08-03 19:48:23.760782	\N	0bf2948c-0b42-46a5-93c5-eff85e9ca083
81156	14	10936	2013-08-03 20:25:02.481693	2013-08-03 20:25:02.481693	\N	731181eb-6530-48e9-ab65-5439cf7f8c14
76562	10	10534	2013-08-03 20:08:05.640518	2013-08-03 20:08:05.640518	\N	2d73d6fa-a85a-48f2-879b-87b6073a44b8
66924	8	9545	2013-08-03 19:27:47.529983	2013-08-03 19:27:47.529983	\N	fd67496a-fb94-46ce-89ea-df9f85924208
76564	10	10501	2013-08-03 20:08:05.880654	2013-08-03 20:08:05.880654	\N	00b64fee-4be8-439f-a8e2-ffdaa469e911
76565	10	10552	2013-08-03 20:08:06.001541	2013-08-03 20:08:06.001541	\N	bdb6c93e-371a-4917-afae-7b8dfe544471
61169	14	8611	2013-08-03 18:56:40.697287	2013-08-03 18:56:40.697287	\N	bd0b5df3-f6ee-4b7e-9655-f6c53a030ab9
66970	11	9535	2013-08-03 19:27:57.870977	2013-08-03 19:27:57.870977	\N	d6f1a827-1642-4da1-9af6-935a74c1d431
81157	14	10891	2013-08-03 20:25:02.578642	2013-08-03 20:25:02.578642	\N	adb66cfe-8928-4417-9e9e-7394f075aaa6
76572	19	10519	2013-08-03 20:08:07.535886	2013-08-03 20:08:07.535886	\N	b441326c-2e6d-43ea-a209-5ebb35ef155f
61178	14	8620	2013-08-03 18:56:41.750065	2013-08-03 18:56:41.750065	\N	5ccec0e2-23c2-4fc6-86a8-dd92ade8a6ac
66989	7	9532	2013-08-03 19:27:59.173253	2013-08-03 19:27:59.173253	\N	56a804b3-0847-4bd3-9f7f-ae2036d009c0
66992	7	9514	2013-08-03 19:27:59.264697	2013-08-03 19:27:59.264697	\N	6145cec1-2fa8-49d5-803c-71acb7c78135
66993	7	9550	2013-08-03 19:27:59.343142	2013-08-03 19:27:59.343142	\N	7ac7e0f1-ab05-4390-897f-cbee17f80c69
66996	7	9505	2013-08-03 19:27:59.453807	2013-08-03 19:27:59.453807	\N	f9abe473-bd53-4194-a9ba-bcdfbc08e8e8
66998	7	9499	2013-08-03 19:27:59.602388	2013-08-03 19:27:59.602388	\N	76a3a10e-dc57-451a-8711-d343cbd04020
67001	11	9508	2013-08-03 19:27:59.940941	2013-08-03 19:27:59.940941	\N	bec829fd-e3b4-475f-8e33-71db08826e5e
63584	14	9022	2013-08-03 19:08:38.987844	2013-08-03 19:08:38.987844	\N	415a298a-0dba-4eda-a1a9-242518a2eb78
63585	14	9046	2013-08-03 19:08:39.036852	2013-08-03 19:08:39.036852	\N	f545d52f-4947-43fd-9b8b-e65607c3a0d5
63587	14	9001	2013-08-03 19:08:39.064182	2013-08-03 19:08:39.064182	\N	4b1ee539-d75e-4618-8baf-7851bb21bc77
81158	14	10879	2013-08-03 20:25:02.650029	2013-08-03 20:25:02.650029	\N	d93b091a-2697-45f9-bee8-336ae0755902
60708	7	8662	2013-08-03 18:52:55.05211	2013-08-03 18:52:55.05211	\N	9b112d9c-a373-469e-8dbc-37a9ee8d3de2
58883	11	8411	2013-08-03 18:42:56.818772	2013-08-03 18:42:56.818772	\N	2ca4d080-16aa-4025-9d64-1d23341f9e64
58890	1	8411	2013-08-03 18:42:59.006231	2013-08-03 18:42:59.006231	\N	07dc2ca0-0be0-4577-afc2-e5fe05731b8e
63290	2	9022	2013-08-03 19:07:39.144076	2013-08-03 19:07:39.144076	\N	09e150fc-9694-4696-809b-2b51a92ecbb1
63292	2	9046	2013-08-03 19:07:39.181329	2013-08-03 19:07:39.181329	\N	e7b7313b-4d3d-4079-aec2-874be2baa61a
62162	13	8746	2013-08-03 19:01:36.562934	2013-08-03 19:01:36.562934	\N	524c1509-c48b-47f4-b9d8-81e265352c44
60732	6	8662	2013-08-03 18:53:06.175999	2013-08-03 18:53:06.175999	\N	82cd2680-cd2d-4d7f-9112-369745c31cfb
62163	13	8749	2013-08-03 19:01:36.966742	2013-08-03 19:01:36.966742	\N	9bf6c3c7-5d78-4c3a-a879-7c39033dc3d8
60735	6	8611	2013-08-03 18:53:06.847804	2013-08-03 18:53:06.847804	\N	46461279-9e82-40d2-bbd9-093a2bf5f6d4
60736	6	8623	2013-08-03 18:53:06.930688	2013-08-03 18:53:06.930688	\N	c260ec3f-8552-4ab2-bec0-1588bc74be78
60745	11	8635	2013-08-03 18:53:08.299981	2013-08-03 18:53:08.299981	\N	91e73a2c-2297-41b1-97f7-8bf0f957901c
60748	11	8663	2013-08-03 18:53:08.970874	2013-08-03 18:53:08.970874	\N	c9d30457-7490-43dd-abb9-632ec804733f
76503	8	10531	2013-08-03 20:07:49.78771	2013-08-03 20:07:49.78771	\N	6492da3c-c918-4a4d-a8ff-c18dff384a40
63302	8	9001	2013-08-03 19:07:43.125373	2013-08-03 19:07:43.125373	\N	d9e4822c-6a85-4a68-8c10-64f2f937ec69
63305	8	8989	2013-08-03 19:07:43.930208	2013-08-03 19:07:43.930208	\N	0e8fc01d-0a93-4dbc-97cc-45016b7a76ed
59906	14	8491	2013-08-03 18:48:56.56278	2013-08-03 18:48:56.56278	\N	2655dbee-71f4-4581-8124-c1c347c16d47
58970	4	8411	2013-08-03 18:43:15.319388	2013-08-03 18:43:15.319388	\N	e6baf603-3fa5-4355-9ff6-5e0a53f1f306
58971	8	8411	2013-08-03 18:43:15.492236	2013-08-03 18:43:15.492236	\N	7b7760fb-7688-4505-b522-dc4908d70366
58972	10	8371	2013-08-03 18:43:15.798062	2013-08-03 18:43:15.798062	\N	ce9920bf-eae4-49e1-b898-d26a26b64855
58978	12	8371	2013-08-03 18:43:19.853793	2013-08-03 18:43:19.853793	\N	90eb55e8-be86-4525-9e32-fd514479fd44
58979	12	8359	2013-08-03 18:43:20.128379	2013-08-03 18:43:20.128379	\N	0d62c97c-4ea4-48fb-a56e-d1adf8abf5b3
58980	12	8380	2013-08-03 18:43:20.806498	2013-08-03 18:43:20.806498	\N	6bd799d8-75f9-441d-9f2f-75fcefa0fb1e
59907	14	8512	2013-08-03 18:48:56.642354	2013-08-03 18:48:56.642354	\N	6844a2bf-7fa3-4199-b802-993372313cee
59909	5	8491	2013-08-03 18:48:56.816435	2013-08-03 18:48:56.816435	\N	4826b083-cf08-4a64-91e8-1f65f6ffa680
64271	11	9148	2013-08-03 19:13:13.424916	2013-08-03 19:13:13.424916	\N	241465e2-a69c-4c07-9112-6dd6b2cb0a53
60769	2	8635	2013-08-03 18:53:13.295811	2013-08-03 18:53:13.295811	\N	0198398c-1019-43e2-b561-a56d80ac7e5d
64275	1	9166	2013-08-03 19:13:13.537935	2013-08-03 19:13:13.537935	\N	3a105718-1d9e-4ee7-8d81-034b17a99b2a
76507	9	10544	2013-08-03 20:07:52.282697	2013-08-03 20:07:52.282697	\N	90e66eb8-75e2-44f1-a7f2-d8424a6df1b9
59021	3	8371	2013-08-03 18:43:24.574777	2013-08-03 18:43:24.574777	\N	eadfaf3f-f221-4222-ad78-219afd561df0
59022	3	8386	2013-08-03 18:43:24.838484	2013-08-03 18:43:24.838484	\N	0079471c-fb14-4da0-851f-d072a2b02abf
59023	3	8359	2013-08-03 18:43:24.875039	2013-08-03 18:43:24.875039	\N	2e761d3e-8943-467e-9d8b-247ee1bc641a
59024	3	8410	2013-08-03 18:43:24.909075	2013-08-03 18:43:24.909075	\N	51f90967-a97a-435e-af60-6de945829256
65643	2	9276	2013-08-03 19:21:14.624782	2013-08-03 19:21:14.624782	\N	ee2dce0e-70d2-4ffb-9ef4-75a531ed7a18
64281	11	9133	2013-08-03 19:13:14.700511	2013-08-03 19:13:14.700511	\N	b03aa67f-41b6-4bd9-847e-b29c65cedc88
64290	11	9166	2013-08-03 19:13:17.30081	2013-08-03 19:13:17.30081	\N	df2d33f1-179c-4c01-9e84-b1bbbb122045
66787	19	9418	2013-08-03 19:26:52.523788	2013-08-03 19:26:52.523788	\N	3322be9a-638d-4a48-afce-1984139822e0
66788	5	9409	2013-08-03 19:26:52.797458	2013-08-03 19:26:52.797458	\N	87b4d1ce-a89e-4fd9-98af-d30e43e25154
64295	11	9169	2013-08-03 19:13:17.974953	2013-08-03 19:13:17.974953	\N	1efd1a9d-6a38-46c7-bab6-c488ab38c2d2
68007	20	9526	2013-08-03 19:31:39.637287	2013-08-03 19:31:39.637287	\N	89a05903-f135-4016-8bf8-2c3eb85cc05b
64297	11	9172	2013-08-03 19:13:18.322974	2013-08-03 19:13:18.322974	\N	9bb2a8f0-643f-41e2-8abd-bd1e7844f143
60781	19	8663	2013-08-03 18:53:15.83746	2013-08-03 18:53:15.83746	\N	3edbe40d-3244-4278-9923-4c19ab8bd8bd
64298	6	9148	2013-08-03 19:13:18.408235	2013-08-03 19:13:18.408235	\N	2ddf6b89-d7be-4a9c-b5d7-674f31de8f7b
66790	5	9385	2013-08-03 19:26:52.865766	2013-08-03 19:26:52.865766	\N	8c4a1a23-a293-4bcf-947e-ddc2ea06d0d9
60791	13	8611	2013-08-03 18:53:20.354299	2013-08-03 18:53:20.354299	\N	9a2b9a7d-4adc-4a8d-a310-601dbc3ce96d
59966	2	8491	2013-08-03 18:49:12.853675	2013-08-03 18:49:12.853675	\N	71fb5d90-3a6f-4026-8252-259ecadb111f
64303	6	9157	2013-08-03 19:13:25.113445	2013-08-03 19:13:25.113445	\N	45803358-63cf-42d9-a8b0-505e98436594
66791	19	9424	2013-08-03 19:26:53.180609	2013-08-03 19:26:53.180609	\N	eecc40b6-2a30-4b32-8d58-b56a42517530
69407	2	9662	2013-08-03 19:36:43.22327	2013-08-03 19:36:43.22327	\N	fcfebbbf-e9e4-4225-ad01-28be0e420b8f
64313	9	9167	2013-08-03 19:13:27.420664	2013-08-03 19:13:27.420664	\N	2c00b9e3-9a1e-4aeb-afa9-ba5b2835ba39
60800	13	8641	2013-08-03 18:53:23.411339	2013-08-03 18:53:23.411339	\N	e04c2c30-07e6-47c5-a4ac-e57aac94e20c
88251	12	11395	2013-08-03 20:44:00.910759	2013-08-03 20:44:00.910759	\N	acc12171-62a5-4936-895a-8735a1643282
60802	13	8644	2013-08-03 18:53:23.685279	2013-08-03 18:53:23.685279	\N	1aef60c9-6067-40e1-a270-8acbe365a7b5
60803	19	8620	2013-08-03 18:53:23.937356	2013-08-03 18:53:23.937356	\N	249c5117-d8d3-4551-88d6-2f2f08a24c32
60806	13	8665	2013-08-03 18:53:24.852621	2013-08-03 18:53:24.852621	\N	64a2bb20-4237-467f-b597-acb501e48e22
60808	13	8668	2013-08-03 18:53:25.316839	2013-08-03 18:53:25.316839	\N	1f661757-1c16-4ef9-9b64-c1945c9466e9
59126	19	8371	2013-08-03 18:44:01.49562	2013-08-03 18:44:01.49562	\N	4c0290c3-ccbb-4362-bf95-00db6c86b38c
59127	19	8359	2013-08-03 18:44:02.366761	2013-08-03 18:44:02.366761	\N	b68fdfeb-eb42-45c0-bbe3-268a356c5bd6
60810	3	8644	2013-08-03 18:53:27.022177	2013-08-03 18:53:27.022177	\N	2f4fc25e-4a15-43f1-8d6f-0b9aa7786e13
60811	3	8662	2013-08-03 18:53:27.116292	2013-08-03 18:53:27.116292	\N	0c1a33ca-4383-40fc-b75e-22d325e37ef8
60812	3	8638	2013-08-03 18:53:27.205712	2013-08-03 18:53:27.205712	\N	09bd9bf0-b49a-4a09-87a8-af985f183bf7
60813	3	8665	2013-08-03 18:53:27.358659	2013-08-03 18:53:27.358659	\N	701e1140-0823-4e02-820d-41482611e8a6
60814	3	8611	2013-08-03 18:53:27.588554	2013-08-03 18:53:27.588554	\N	1a8f953d-fa1d-4dae-8dd4-6ebb03dc54d0
60816	3	8623	2013-08-03 18:53:27.672132	2013-08-03 18:53:27.672132	\N	b992a78f-f1e6-434f-ac1f-4cb6f7655477
60040	14	8485	2013-08-03 18:49:24.335181	2013-08-03 18:49:24.335181	\N	a7051882-5e38-4952-ba15-74b2cf6a99b6
60817	14	8644	2013-08-03 18:53:28.322034	2013-08-03 18:53:28.322034	\N	bc38260c-9d75-4218-8e7c-8103bb394a68
64325	12	9127	2013-08-03 19:13:28.96599	2013-08-03 19:13:28.96599	\N	36c8d1fa-88e1-4231-8294-dd443b14fde8
76513	19	10516	2013-08-03 20:07:54.648093	2013-08-03 20:07:54.648093	\N	67066cfe-786a-4c01-92b7-262e97b0a25b
76516	16	10516	2013-08-03 20:07:54.816494	2013-08-03 20:07:54.816494	\N	3e6dbb97-108b-45f3-a8bb-ab1d214d2edc
60833	19	8662	2013-08-03 18:53:35.541798	2013-08-03 18:53:35.541798	\N	524cef04-7b31-40a1-af58-c73a04517941
91557	9	11687	2013-08-03 20:53:00.84188	2013-08-03 20:53:00.84188	\N	98a22cf6-4739-418a-933f-7b3573778da9
88257	17	11398	2013-08-03 20:44:02.734928	2013-08-03 20:44:02.734928	\N	1a25b630-f3b5-4bd9-9f70-3df20cbbd5c2
70841	8	9923	2013-08-03 19:42:25.976474	2013-08-03 19:42:25.976474	\N	b8e59225-f6d0-446f-af4f-967b146aaaa0
70842	5	9904	2013-08-03 19:42:27.232746	2013-08-03 19:42:27.232746	\N	61d4c333-af8b-4e38-8fbe-e54598132cde
70858	8	9922	2013-08-03 19:42:30.302964	2013-08-03 19:42:30.302964	\N	36df081b-04df-4d07-a327-59bcf1d99651
60848	4	8663	2013-08-03 18:53:46.642543	2013-08-03 18:53:46.642543	\N	b1bb7abc-e43b-4260-8523-e4976ecda315
60858	17	8638	2013-08-03 18:53:50.064077	2013-08-03 18:53:50.064077	\N	85a2d907-65d4-4919-9700-047acf3f12a2
60117	9	8491	2013-08-03 18:49:53.118879	2013-08-03 18:49:53.118879	\N	9bb93cd5-0cdf-4395-9094-f4001e37dd68
113291	11	13525	2013-08-03 22:04:23.140838	2013-08-03 22:04:23.140838	\N	0d4dd62c-0bbf-4dac-840c-ee18dcc4389c
76541	2	10555	2013-08-03 20:07:58.639899	2013-08-03 20:07:58.639899	\N	ccc4e09f-a21a-48ab-af2c-7c418819f297
95183	16	12055	2013-08-03 21:06:02.216152	2013-08-03 21:06:02.216152	\N	ab8aa2ed-dbad-4f71-a3cc-3cba3aa26a43
60151	12	8509	2013-08-03 18:49:59.745009	2013-08-03 18:49:59.745009	\N	75193e01-7b9b-454e-9b1f-bdd8a8dd2b8d
63557	2	9040	2013-08-03 19:08:24.78049	2013-08-03 19:08:24.78049	\N	11e32a85-409c-4de1-9161-60c2a8f21f7c
62305	5	8743	2013-08-03 19:02:34.456881	2013-08-03 19:02:34.456881	\N	94ce525b-1dd9-4bc8-aa1e-29453c2bb8c4
62328	1	8915	2013-08-03 19:02:43.983957	2013-08-03 19:02:43.983957	\N	163b9574-a06b-48c2-acfd-dca3fe262e59
62347	11	8875	2013-08-03 19:02:48.973361	2013-08-03 19:02:48.973361	\N	efb35e38-9e45-4f49-8617-ec0922c3c9bc
63560	6	8998	2013-08-03 19:08:28.024865	2013-08-03 19:08:28.024865	\N	a8f388f5-676e-4b63-8a4f-ab73b2e81e23
62350	11	8863	2013-08-03 19:02:49.279613	2013-08-03 19:02:49.279613	\N	2e076bec-d21a-4827-8fa0-68f5507fbb0e
95186	16	12025	2013-08-03 21:06:02.384166	2013-08-03 21:06:02.384166	\N	c332046a-4c5a-4a35-84e9-931f0476c2bd
64383	14	9157	2013-08-03 19:13:57.6244	2013-08-03 19:13:57.6244	\N	f56ace10-d92f-4881-a023-6e7787b087a5
88269	12	11440	2013-08-03 20:44:04.260257	2013-08-03 20:44:04.260257	\N	468364cd-0e8a-4ea0-9cd1-8710d530046f
70892	7	9928	2013-08-03 19:42:38.400123	2013-08-03 19:42:38.400123	\N	428da615-7b23-4434-a122-1462015da05e
95187	16	12043	2013-08-03 21:06:02.520019	2013-08-03 21:06:02.520019	\N	8f310803-256e-4132-ab4c-a901caeeff08
62411	12	8917	2013-08-03 19:03:02.137314	2013-08-03 19:03:02.137314	\N	4c7a3d3c-7c78-459c-8ef5-b8e46cbd145a
62413	12	8920	2013-08-03 19:03:02.431292	2013-08-03 19:03:02.431292	\N	1989dca9-ede5-4dec-ae8e-7bc1fbcd0a6e
111128	15	13450	2013-08-03 21:59:28.823158	2013-08-03 21:59:28.823158	\N	bf5da329-6acc-43d9-889f-1b32e17eeecd
76566	10	10553	2013-08-03 20:08:06.118308	2013-08-03 20:08:06.118308	\N	8e3c9547-2d23-475d-8389-509542c9f610
62433	8	8914	2013-08-03 19:03:08.327958	2013-08-03 19:03:08.327958	\N	2d4a31a3-20a7-482c-971b-0bc7ad697f22
62434	6	8872	2013-08-03 19:03:08.492105	2013-08-03 19:03:08.492105	\N	3d71e67d-5ef5-4ca6-9b01-42993eb34ffa
95194	16	12064	2013-08-03 21:06:02.848353	2013-08-03 21:06:02.848353	\N	2a9d8764-6b8c-4c23-ab28-3c97b243125f
64410	13	9154	2013-08-03 19:14:04.090738	2013-08-03 19:14:04.090738	\N	3e20bbc9-98e1-4a24-9860-092088908eac
64415	13	9166	2013-08-03 19:14:04.587488	2013-08-03 19:14:04.587488	\N	f2e7703a-16a2-447b-a97d-fadd9e3e44de
76570	11	10507	2013-08-03 20:08:07.258211	2013-08-03 20:08:07.258211	\N	09feb616-1257-4326-82f8-4e385eb96995
95198	16	12070	2013-08-03 21:06:03.096367	2013-08-03 21:06:03.096367	\N	e93f7b46-0735-49b3-a63a-c45a9107efcf
62486	6	8863	2013-08-03 19:03:17.308654	2013-08-03 19:03:17.308654	\N	6504ca08-feb1-4b5b-a6be-fc75ce80faa9
62488	6	8875	2013-08-03 19:03:17.856929	2013-08-03 19:03:17.856929	\N	77f1746c-371f-497d-9020-04024bcd0cc4
76577	8	10516	2013-08-03 20:08:08.067661	2013-08-03 20:08:08.067661	\N	513d5d65-0d04-42cc-9c44-6ca6df7200ec
64440	4	9167	2013-08-03 19:14:12.322411	2013-08-03 19:14:12.322411	\N	730ce2f9-8433-49c7-befe-fc7eb278df72
60713	7	8611	2013-08-03 18:52:57.806696	2013-08-03 18:52:57.806696	\N	2d715597-1712-4103-b93b-9833ac075c3f
58981	7	8383	2013-08-03 18:43:20.88582	2013-08-03 18:43:20.88582	\N	c9f2f50c-969f-4059-a0e1-ae4dc2273c4b
58982	12	8386	2013-08-03 18:43:21.392709	2013-08-03 18:43:21.392709	\N	d7ea6238-dda5-49f2-a7a2-3c6d54370474
76512	16	10513	2013-08-03 20:07:54.562335	2013-08-03 20:07:54.562335	\N	0f82a44d-bc3a-4edf-80df-7337dd605957
59979	1	8491	2013-08-03 18:49:13.58202	2013-08-03 18:49:13.58202	\N	87c72339-0fb9-439c-a245-06b8bf00126e
63295	7	9022	2013-08-03 19:07:39.265077	2013-08-03 19:07:39.265077	\N	7b47975c-6520-4df5-bc62-41c433c23c4b
68028	17	9550	2013-08-03 19:31:49.283966	2013-08-03 19:31:49.283966	\N	987a3aec-83df-47a0-8e75-389859a2f2d0
63301	8	8998	2013-08-03 19:07:42.428194	2013-08-03 19:07:42.428194	\N	9dbdd575-8a46-4519-aaa1-766ec68f389c
60725	8	8663	2013-08-03 18:53:02.046746	2013-08-03 18:53:02.046746	\N	ad810b17-a77f-4f74-b9cf-eb08f78d2f0b
60728	6	8668	2013-08-03 18:53:05.642322	2013-08-03 18:53:05.642322	\N	1f48171f-4a09-4a11-965b-eebc75a93eff
60749	11	8662	2013-08-03 18:53:09.16332	2013-08-03 18:53:09.16332	\N	10d9f736-c275-4424-8522-467be3c9e9b6
60804	13	8650	2013-08-03 18:53:23.949765	2013-08-03 18:53:23.949765	\N	969931d9-c565-41e8-a4b7-43687cc6c4ce
60805	13	8662	2013-08-03 18:53:24.535757	2013-08-03 18:53:24.535757	\N	81b7dcdd-187f-43fa-a44c-83f0184b7dbb
63303	1	9046	2013-08-03 19:07:43.583518	2013-08-03 19:07:43.583518	\N	1ba99575-31ad-4f09-a6f7-02a3b7d8a495
63304	1	9041	2013-08-03 19:07:43.727598	2013-08-03 19:07:43.727598	\N	e62109cb-f293-481e-bc21-d6e254abd865
59009	12	8416	2013-08-03 18:43:23.013834	2013-08-03 18:43:23.013834	\N	4d7b13f1-9765-4987-9062-e4b2e0900463
64321	1	9167	2013-08-03 19:13:28.605278	2013-08-03 19:13:28.605278	\N	3037cfd1-6eb7-4fcc-adb5-5ec3b6c1c562
62185	13	8755	2013-08-03 19:01:39.321153	2013-08-03 19:01:39.321153	\N	0c065df1-c707-4eb4-8dde-c9cd1a3e1bea
60835	19	8668	2013-08-03 18:53:36.274388	2013-08-03 18:53:36.274388	\N	ed89030f-d120-4520-8b36-a0dda46cc5af
62186	13	8758	2013-08-03 19:01:39.583781	2013-08-03 19:01:39.583781	\N	fbea7231-d29e-421e-af9e-1e3087871468
59055	10	8416	2013-08-03 18:43:36.263815	2013-08-03 18:43:36.263815	\N	265f10c5-b16d-4268-9513-c649b6f11011
59056	10	8413	2013-08-03 18:43:36.3536	2013-08-03 18:43:36.3536	\N	6d81d753-1ae9-4124-9167-128a1c5b759b
59057	10	8380	2013-08-03 18:43:36.465237	2013-08-03 18:43:36.465237	\N	e9bd17b2-d03c-4ce2-ac45-95b7b889653c
59058	10	8359	2013-08-03 18:43:36.551846	2013-08-03 18:43:36.551846	\N	81677457-9c23-4583-b840-0c7c1fc695ec
58251	19	8245	2013-08-03 18:39:23.363295	2013-08-03 18:39:23.363295	\N	98612ee1-554a-4b35-972b-aa86efba4b54
62188	13	8767	2013-08-03 19:01:40.490187	2013-08-03 19:01:40.490187	\N	7a1e54d8-11cf-455f-b024-994d870915c2
60865	17	8665	2013-08-03 18:53:52.29099	2013-08-03 18:53:52.29099	\N	1fa96f87-98f4-47ac-a31d-3a2747927cff
59065	12	8411	2013-08-03 18:43:38.877292	2013-08-03 18:43:38.877292	\N	fecefb33-6c0d-4f12-ae9e-e377ef33abfe
60866	17	8668	2013-08-03 18:53:52.426407	2013-08-03 18:53:52.426407	\N	2aaf5b4c-4ce6-43b0-a4f4-e0e17822db07
62190	13	8776	2013-08-03 19:01:41.065967	2013-08-03 19:01:41.065967	\N	ceba8c1e-e8bc-4101-a180-9b0b2f22a1d7
62191	13	8788	2013-08-03 19:01:41.698067	2013-08-03 19:01:41.698067	\N	b8a6660f-fe3d-4e19-8d38-5059d59c499f
62192	13	8791	2013-08-03 19:01:42.034274	2013-08-03 19:01:42.034274	\N	a958d77c-c7aa-4b5a-b6f7-2f3c3e114bfd
59129	19	8386	2013-08-03 18:44:04.331339	2013-08-03 18:44:04.331339	\N	fdb4558c-6729-414d-bf22-32410892c164
59130	19	8392	2013-08-03 18:44:05.516843	2013-08-03 18:44:05.516843	\N	1aa7f2a8-82fc-4877-b1b7-95a91ce0b2ff
59145	19	8416	2013-08-03 18:44:12.039825	2013-08-03 18:44:12.039825	\N	39dd973a-142c-4eed-bb07-f4940875bdcb
59146	9	8380	2013-08-03 18:44:12.344712	2013-08-03 18:44:12.344712	\N	97a728ff-eb56-4cf9-8059-f40f38897c96
62193	13	8794	2013-08-03 19:01:42.323396	2013-08-03 19:01:42.323396	\N	5c216627-6b6e-4059-aeb4-4f903be04862
63329	7	9001	2013-08-03 19:07:56.414516	2013-08-03 19:07:56.414516	\N	bc9e7925-a634-4596-ba26-81346d3116c1
64326	12	9148	2013-08-03 19:13:29.268305	2013-08-03 19:13:29.268305	\N	8aab7598-3b82-40d7-8f1a-d81a02d40e27
111129	5	13453	2013-08-03 21:59:28.954458	2013-08-03 21:59:28.954458	\N	b83e44f8-0506-43a9-a7d1-8af2c086b21d
60888	12	8663	2013-08-03 18:54:04.022946	2013-08-03 18:54:04.022946	\N	4f47b6e5-6efc-48e8-be5e-03b5bfdb3fd4
66807	1	9415	2013-08-03 19:26:58.571044	2013-08-03 19:26:58.571044	\N	3237c3d5-aa84-48c3-886c-4b902652fdda
72168	14	10003	2013-08-03 19:48:22.375025	2013-08-03 19:48:22.375025	\N	54cc1247-031b-42a9-8ce3-a39f89b2616b
59217	9	8410	2013-08-03 18:44:42.97096	2013-08-03 18:44:42.97096	\N	b2ded700-d52e-4aad-a222-94f87230de95
72171	14	10018	2013-08-03 19:48:22.535773	2013-08-03 19:48:22.535773	\N	047cdc42-950a-45c9-89bf-34b3c20a087f
83106	5	11056	2013-08-03 20:30:01.188172	2013-08-03 20:30:01.188172	\N	4b958feb-0fea-4b40-b70d-c353d7c93918
64349	14	9127	2013-08-03 19:13:37.444879	2013-08-03 19:13:37.444879	\N	bf7ce78f-19ea-49e5-9040-bdd863960356
108906	12	13189	2013-08-03 21:52:03.33396	2013-08-03 21:52:03.33396	\N	aec7ceea-8089-4d98-bb18-186b33b8e32c
72191	3	10009	2013-08-03 19:48:24.801604	2013-08-03 19:48:24.801604	\N	348d6714-0186-48e1-9872-0a6adf391ff1
72192	3	10048	2013-08-03 19:48:24.911886	2013-08-03 19:48:24.911886	\N	c3870c35-cd1c-4e68-84a4-73eb1b137274
64365	5	9157	2013-08-03 19:13:47.935931	2013-08-03 19:13:47.935931	\N	412449be-e12e-430a-ab59-5528dee6666a
72194	3	10030	2013-08-03 19:48:24.958553	2013-08-03 19:48:24.958553	\N	30042def-ea51-4a44-a375-bd9e3c43dbb3
91571	9	11677	2013-08-03 20:53:04.034767	2013-08-03 20:53:04.034767	\N	034b264b-463b-47b2-b84b-5b2db6e1e128
91573	9	11647	2013-08-03 20:53:04.241304	2013-08-03 20:53:04.241304	\N	101192f4-4b9b-4fd4-9029-9550945adcc7
66888	2	9499	2013-08-03 19:27:41.873221	2013-08-03 19:27:41.873221	\N	01207652-12f2-48d1-b0b6-5dbbca4b0ac9
59244	17	8266	2013-08-03 18:44:47.818682	2013-08-03 18:44:47.818682	\N	2a90492e-b2d2-4980-bafc-d583ca3746d9
62301	5	8644	2013-08-03 19:02:27.223768	2013-08-03 19:02:27.223768	\N	10d46a8a-6793-4611-82e4-b1ef7f8d148a
64393	13	9127	2013-08-03 19:14:01.41267	2013-08-03 19:14:01.41267	\N	5c0a1a5f-aad5-44ff-a4d9-2ac81ae63058
63367	8	9041	2013-08-03 19:07:59.327968	2013-08-03 19:07:59.327968	\N	886a5ed1-29d5-48c0-9293-d3e569edbc35
62334	14	8914	2013-08-03 19:02:47.140965	2013-08-03 19:02:47.140965	\N	8074f621-ddcf-4a7c-b917-6b7e189402a0
66889	2	9505	2013-08-03 19:27:41.927329	2013-08-03 19:27:41.927329	\N	242a0c5f-8ff9-4ea5-a2ff-561b6b86022a
62353	11	8884	2013-08-03 19:02:50.01456	2013-08-03 19:02:50.01456	\N	f49d2c7e-49a2-4e73-b602-f0d6e5384434
64396	13	9148	2013-08-03 19:14:01.762381	2013-08-03 19:14:01.762381	\N	d4f3f2f6-2356-46c6-a41b-33424bcf0b66
62358	11	8914	2013-08-03 19:02:51.110898	2013-08-03 19:02:51.110898	\N	8c56ce56-862e-4502-848b-d2f072f9fbc7
62362	11	8917	2013-08-03 19:02:51.714714	2013-08-03 19:02:51.714714	\N	66d03a49-b4fa-40e9-a173-74678ef6f394
66890	2	9526	2013-08-03 19:27:41.978507	2013-08-03 19:27:41.978507	\N	8d225ed1-e8fe-4024-80a2-963969c63a97
66891	2	9545	2013-08-03 19:27:42.023271	2013-08-03 19:27:42.023271	\N	29e782a5-8a03-4bfe-a61c-482a89bdab9a
66892	2	9523	2013-08-03 19:27:42.048756	2013-08-03 19:27:42.048756	\N	9649b413-af20-418c-92df-9bea48cc4fd1
66893	2	9514	2013-08-03 19:27:42.08397	2013-08-03 19:27:42.08397	\N	84fc4b0d-f156-499a-ba55-b20a17216164
60256	17	8537	2013-08-03 18:50:30.2352	2013-08-03 18:50:30.2352	\N	45da3cc5-9dc7-49e6-b009-331708adc530
66894	2	9508	2013-08-03 19:27:42.132222	2013-08-03 19:27:42.132222	\N	c5950e82-f2d4-4a9d-9ddd-3f8bb6915e27
84890	10	11183	2013-08-03 20:34:08.591844	2013-08-03 20:34:08.591844	\N	e9410dbe-cda9-4a7c-ab4b-c3b3076d43d5
66896	2	9550	2013-08-03 19:27:42.215019	2013-08-03 19:27:42.215019	\N	2d0f46ec-4ca9-43b3-981c-48fbc7d2bbea
111130	8	13420	2013-08-03 21:59:29.108069	2013-08-03 21:59:29.108069	\N	21c6cf2e-e107-41d8-89db-3dadecf70bf9
111135	8	13450	2013-08-03 21:59:29.143202	2013-08-03 21:59:29.143202	\N	c260ab7a-b7dc-4e2a-a5a9-2a8c88615c59
62400	2	8920	2013-08-03 19:02:57.573714	2013-08-03 19:02:57.573714	\N	4de0e01e-4957-4fd1-ab5d-dba9bcd12aff
76550	4	10553	2013-08-03 20:08:01.03596	2013-08-03 20:08:01.03596	\N	566a9c81-bef4-4c97-9122-5bfd544211dc
62404	12	8875	2013-08-03 19:02:58.420134	2013-08-03 19:02:58.420134	\N	23e8b19d-3836-4f42-93b6-e0fd9a403d77
62408	9	8896	2013-08-03 19:03:01.188237	2013-08-03 19:03:01.188237	\N	db7d732d-d4b7-4285-a4ce-ab8555648d7a
62409	12	8914	2013-08-03 19:03:01.840161	2013-08-03 19:03:01.840161	\N	5b036071-77bd-4b03-86de-42f6207ae57a
66903	8	9541	2013-08-03 19:27:43.23552	2013-08-03 19:27:43.23552	\N	8eb9de38-ac37-41b2-b6ef-74d262b3844d
62428	8	8872	2013-08-03 19:03:08.164702	2013-08-03 19:03:08.164702	\N	cc3f029e-1a4f-466d-bdb1-58076d76f845
62431	8	8863	2013-08-03 19:03:08.282939	2013-08-03 19:03:08.282939	\N	31a95622-b95b-4576-8d3e-f27ee3aeefbf
66908	8	9535	2013-08-03 19:27:45.975178	2013-08-03 19:27:45.975178	\N	e5fdf25b-7e45-42ea-86a9-370f38b23d41
62437	4	8872	2013-08-03 19:03:10.031096	2013-08-03 19:03:10.031096	\N	cb57de4b-e086-4cbb-8906-321c161bde16
62438	4	8875	2013-08-03 19:03:10.116991	2013-08-03 19:03:10.116991	\N	8a32c20e-c8f9-4253-be7d-aef0ea678307
62439	4	8863	2013-08-03 19:03:10.18454	2013-08-03 19:03:10.18454	\N	1e536db6-fd2b-4ed1-b88e-b28eee602a5b
62440	4	8896	2013-08-03 19:03:10.257186	2013-08-03 19:03:10.257186	\N	a5d39179-99a6-4d2a-8994-95277321974b
62441	4	8914	2013-08-03 19:03:10.311716	2013-08-03 19:03:10.311716	\N	1661b42c-76bf-4ef9-8067-6de9644e8925
62442	4	8917	2013-08-03 19:03:10.370054	2013-08-03 19:03:10.370054	\N	3004d577-d268-4c67-aa62-b0860d6cb747
62443	4	8920	2013-08-03 19:03:10.423377	2013-08-03 19:03:10.423377	\N	a4db68c4-ab89-46ea-b5de-7ae5732b619c
93320	17	11914	2013-08-03 21:00:06.555627	2013-08-03 21:00:06.555627	\N	d6888ea0-9e86-4340-acf5-658b9012a7ae
76569	6	10513	2013-08-03 20:08:07.229095	2013-08-03 20:08:07.229095	\N	0883e1c7-ed42-4a67-b2d5-095a0fbfbfe1
95189	16	12046	2013-08-03 21:06:02.637935	2013-08-03 21:06:02.637935	\N	6ad0ee53-5458-47fd-b5a7-2abfa26845b7
62485	6	8920	2013-08-03 19:03:17.127079	2013-08-03 19:03:17.127079	\N	35a092eb-53d7-40af-90ba-21b41a1149e7
111155	11	13411	2013-08-03 21:59:31.881634	2013-08-03 21:59:31.881634	\N	b0c11a59-44fd-4741-85ea-17ad8f9754ce
78264	19	10679	2013-08-03 20:14:27.242758	2013-08-03 20:14:27.242758	\N	ab771193-609b-4082-897d-e5df1b36b3ba
76590	19	10507	2013-08-03 20:08:09.328928	2013-08-03 20:08:09.328928	\N	1a503307-91ec-4952-ac8b-593be2afcf0c
113302	9	13537	2013-08-03 22:04:24.994455	2013-08-03 22:04:24.994455	\N	7e406789-1352-4a98-9960-e78408bee46b
90069	2	11509	2013-08-03 20:49:14.701631	2013-08-03 20:49:14.701631	\N	59fe177e-cee9-43af-8d0b-ff22f33c9780
62581	17	8920	2013-08-03 19:03:48.643967	2013-08-03 19:03:48.643967	\N	7b002307-76cf-4912-92bd-4ac5b199cf8d
76597	11	10519	2013-08-03 20:08:10.183548	2013-08-03 20:08:10.183548	\N	318c230e-f569-4f8a-ba57-ef73589a9b6a
64507	10	9166	2013-08-03 19:14:42.86484	2013-08-03 19:14:42.86484	\N	725ae206-2123-46ea-b273-2ba1dda5554e
64508	10	9172	2013-08-03 19:14:42.972111	2013-08-03 19:14:42.972111	\N	bc688551-6a74-4a35-ac0b-25e3e14886e4
70843	2	9877	2013-08-03 19:42:27.574523	2013-08-03 19:42:27.574523	\N	c5ad07be-79d0-49e7-a91d-265dd441d47a
58140	9	8245	2013-08-03 18:39:10.780829	2013-08-03 18:39:10.780829	\N	ef9163c2-7764-4a07-a644-42dad2791ffe
60714	1	8663	2013-08-03 18:52:58.608306	2013-08-03 18:52:58.608306	\N	89bff6c7-8a15-430f-b236-7462daa77f3c
111131	8	13453	2013-08-03 21:59:29.110864	2013-08-03 21:59:29.110864	\N	3ce28fc0-3417-4cab-a738-416631a61b7c
88268	12	11434	2013-08-03 20:44:03.754868	2013-08-03 20:44:03.754868	\N	df9ed3c7-6789-4e84-9dc3-74363f7044c7
88270	17	11404	2013-08-03 20:44:07.213272	2013-08-03 20:44:07.213272	\N	e7dfe279-93fc-43bf-b98b-17674e8e614f
63311	2	9001	2013-08-03 19:07:44.374776	2013-08-03 19:07:44.374776	\N	82ead3ad-45cd-47dc-ad1f-c7e1eece63c3
63312	17	9022	2013-08-03 19:07:45.191455	2013-08-03 19:07:45.191455	\N	64041610-592f-4307-b704-40493251ec96
63313	8	9022	2013-08-03 19:07:45.981573	2013-08-03 19:07:45.981573	\N	52e90d1f-44cb-4969-8539-541c23209198
60746	11	8638	2013-08-03 18:53:08.508094	2013-08-03 18:53:08.508094	\N	d602b511-aec3-4901-8ba7-bd0506cb7ed0
60747	11	8644	2013-08-03 18:53:08.685293	2013-08-03 18:53:08.685293	\N	150cdf44-58cd-4ade-9bc7-22f9d04be6d5
59128	19	8380	2013-08-03 18:44:03.42152	2013-08-03 18:44:03.42152	\N	2302a118-254f-40db-94cc-475f64a7356b
59131	17	8371	2013-08-03 18:44:05.581573	2013-08-03 18:44:05.581573	\N	6be88ce7-06fb-47fc-95ad-cae1f6061f05
59132	17	8359	2013-08-03 18:44:05.781908	2013-08-03 18:44:05.781908	\N	1dc670a8-0d67-4f75-b05b-a4a6ca77900e
58188	2	8233	2013-08-03 18:39:13.912028	2013-08-03 18:39:13.912028	\N	58cd986f-38b2-4087-bcbe-72a31d6604a1
59133	17	8386	2013-08-03 18:44:06.680772	2013-08-03 18:44:06.680772	\N	fd77af98-023e-4779-a9c0-029315fa0e4d
58192	2	8263	2013-08-03 18:39:14.024547	2013-08-03 18:39:14.024547	\N	7e4856c8-065f-4187-b8c6-67a9847dfa54
58194	2	8260	2013-08-03 18:39:14.085226	2013-08-03 18:39:14.085226	\N	93ab5249-0255-4706-9840-ee494ead26b0
59134	17	8410	2013-08-03 18:44:08.685135	2013-08-03 18:44:08.685135	\N	4f3c1631-1f80-4958-b262-f491b4cef931
59135	17	8413	2013-08-03 18:44:08.868961	2013-08-03 18:44:08.868961	\N	5eafa7fe-1561-4093-ab85-afee167a760c
60752	11	8668	2013-08-03 18:53:09.552668	2013-08-03 18:53:09.552668	\N	027ee8c2-06f8-4c43-acfa-6c2b668933a8
63314	17	9040	2013-08-03 19:07:46.270829	2013-08-03 19:07:46.270829	\N	e9f3a689-2ec2-42aa-8488-f06a91e0ab7c
63318	8	9046	2013-08-03 19:07:48.633656	2013-08-03 19:07:48.633656	\N	23d4534a-6f3f-4fd8-b9da-bc0e6ce2af76
60762	6	8620	2013-08-03 18:53:12.167212	2013-08-03 18:53:12.167212	\N	fd808b51-0c45-4ed4-8282-75dea2f316fc
60764	6	8617	2013-08-03 18:53:12.851174	2013-08-03 18:53:12.851174	\N	b31ee8a0-6e45-4c1b-8b25-a653d96c4eff
59144	19	8410	2013-08-03 18:44:11.230808	2013-08-03 18:44:11.230808	\N	7f7e187b-a958-4583-8d77-1558659a5aa8
59958	13	8503	2013-08-03 18:49:12.720072	2013-08-03 18:49:12.720072	\N	2e8daba3-7483-4319-9228-f961281b7bab
58208	9	8233	2013-08-03 18:39:14.972654	2013-08-03 18:39:14.972654	\N	4cc3519a-eebd-4c78-be05-d343b0570a60
59988	13	8515	2013-08-03 18:49:13.766454	2013-08-03 18:49:13.766454	\N	0e9cbf11-862c-4050-9fde-1345bbd9f336
59991	13	8518	2013-08-03 18:49:14.060257	2013-08-03 18:49:14.060257	\N	2ce19650-8141-4abe-acec-0aa5d9d55e1a
63322	19	9022	2013-08-03 19:07:52.672253	2013-08-03 19:07:52.672253	\N	4a30e2cc-6c45-43ae-beb9-7e515c525199
59994	13	8524	2013-08-03 18:49:14.400422	2013-08-03 18:49:14.400422	\N	28ac7492-0c11-4bd6-9f4b-5a543057a419
59996	13	8536	2013-08-03 18:49:15.046928	2013-08-03 18:49:15.046928	\N	41be28be-4344-4f8f-9906-11310a2505c8
60788	13	8620	2013-08-03 18:53:18.697895	2013-08-03 18:53:18.697895	\N	cdbd2a1e-959a-4480-817b-62a714733f0a
72174	14	10048	2013-08-03 19:48:22.640037	2013-08-03 19:48:22.640037	\N	82af9193-77c1-4faf-955a-c01bb9e9c322
60790	19	8617	2013-08-03 18:53:19.186042	2013-08-03 18:53:19.186042	\N	8f1a804e-3d0a-4f46-9056-f75c3c9bf99c
60807	19	8623	2013-08-03 18:53:25.304336	2013-08-03 18:53:25.304336	\N	b903f678-4faa-449c-ae3b-25adf4142854
60809	19	8611	2013-08-03 18:53:26.759871	2013-08-03 18:53:26.759871	\N	14ea88ed-3fb2-4aff-8816-8768a013507e
72177	14	10054	2013-08-03 19:48:22.834282	2013-08-03 19:48:22.834282	\N	30c47d26-8de5-4cdc-8528-17c18f16812f
60818	19	8638	2013-08-03 18:53:28.760992	2013-08-03 18:53:28.760992	\N	3fff61f6-e15b-4015-867b-9f5c69e3f0d5
63331	7	9041	2013-08-03 19:07:56.686173	2013-08-03 19:07:56.686173	\N	f20c8755-221a-4bc5-a2ea-22edf9d87a63
58224	9	8254	2013-08-03 18:39:20.185269	2013-08-03 18:39:20.185269	\N	ac8be90d-7c47-49dd-aca5-961eaecd923d
59173	2	8383	2013-08-03 18:44:29.375313	2013-08-03 18:44:29.375313	\N	994ca488-c1d5-432c-adbd-64b9bb1a33ec
64324	7	9157	2013-08-03 19:13:28.739827	2013-08-03 19:13:28.739827	\N	d9193b41-4b87-4cd4-ac0b-1541812464ab
60015	10	8497	2013-08-03 18:49:19.446882	2013-08-03 18:49:19.446882	\N	0824392a-49ed-48ad-ba2e-ab57e01e08b2
60016	10	8491	2013-08-03 18:49:19.518512	2013-08-03 18:49:19.518512	\N	4e6f7e98-336a-4240-b575-c72ca4d8f187
64338	12	9166	2013-08-03 19:13:31.809526	2013-08-03 19:13:31.809526	\N	89fd8100-9811-4dcf-8baf-91d5663857c7
72184	10	10009	2013-08-03 19:48:23.539071	2013-08-03 19:48:23.539071	\N	03827f35-faa4-4676-9dc8-2c0e49021422
64341	14	9148	2013-08-03 19:13:32.844168	2013-08-03 19:13:32.844168	\N	c879138a-721a-4a8c-a277-907c24340b94
64342	14	9172	2013-08-03 19:13:32.914877	2013-08-03 19:13:32.914877	\N	355acc1e-ff20-4097-a2a9-444d182254b4
64351	9	9127	2013-08-03 19:13:37.806916	2013-08-03 19:13:37.806916	\N	a1575fa4-8e09-46e2-8b82-dc9ad16d0185
58236	4	8285	2013-08-03 18:39:21.7901	2013-08-03 18:39:21.7901	\N	7b6d0e62-0929-4b7d-a749-12750812a88d
64353	9	9148	2013-08-03 19:13:37.987552	2013-08-03 19:13:37.987552	\N	62dedfd6-b4ed-4dde-b1a5-6110b6b5ea5d
72188	10	10048	2013-08-03 19:48:23.845638	2013-08-03 19:48:23.845638	\N	15654a00-8309-4c4b-8ec4-2b05c2123b66
72189	10	10049	2013-08-03 19:48:23.948243	2013-08-03 19:48:23.948243	\N	2532668a-104c-4cbc-935b-84a6a0b873fd
60863	17	8662	2013-08-03 18:53:52.145854	2013-08-03 18:53:52.145854	\N	ef0334c5-88d8-45d1-8df5-520d38b66112
64356	2	9127	2013-08-03 19:13:43.807113	2013-08-03 19:13:43.807113	\N	63936823-35b5-44ae-977a-24d2934bb547
84888	10	11143	2013-08-03 20:34:08.492955	2013-08-03 20:34:08.492955	\N	b780a0d4-2557-43cc-982e-fe0d4555b671
64358	2	9150	2013-08-03 19:13:43.94566	2013-08-03 19:13:43.94566	\N	7f4675bc-9d14-4fba-9a45-7572a0dc1c75
60031	8	8491	2013-08-03 18:49:23.794138	2013-08-03 18:49:23.794138	\N	e06d00e1-b89f-4430-bf59-6bd03943863b
74989	8	10249	2013-08-03 20:01:42.014107	2013-08-03 20:01:42.014107	\N	82fd3fc3-756f-497e-a3ce-661b15aa2115
58279	19	8290	2013-08-03 18:39:34.817542	2013-08-03 18:39:34.817542	\N	062194c3-d314-4716-a268-b263c485dd37
60044	14	8536	2013-08-03 18:49:24.409234	2013-08-03 18:49:24.409234	\N	85a806e1-11a8-4786-938d-07eb31e401b6
64375	8	9157	2013-08-03 19:13:51.431713	2013-08-03 19:13:51.431713	\N	1cc3f4a1-76d3-4cf5-af08-9d9318047ff1
60916	8	8635	2013-08-03 18:54:24.966302	2013-08-03 18:54:24.966302	\N	5d02267e-d3de-4c5f-a2f7-a5582cdb0c4b
60097	17	8491	2013-08-03 18:49:48.130817	2013-08-03 18:49:48.130817	\N	2dc587f8-97fd-457e-a68d-6acfb8d3c1b8
60921	14	8668	2013-08-03 18:54:25.673368	2013-08-03 18:54:25.673368	\N	ea4642aa-ed38-4c82-911f-c90a5d667157
60960	17	8617	2013-08-03 18:54:54.463739	2013-08-03 18:54:54.463739	\N	8c1cd2bc-fd7d-4615-a5a6-ffad0cbbd84c
95192	16	12049	2013-08-03 21:06:02.744189	2013-08-03 21:06:02.744189	\N	d7453c9c-d624-44fe-bb7c-cab86e215dc2
111136	8	13408	2013-08-03 21:59:29.15131	2013-08-03 21:59:29.15131	\N	3072a3fa-9f07-4cce-ac3b-55c2117ef251
63519	14	8997	2013-08-03 19:08:19.24626	2013-08-03 19:08:19.24626	\N	449fe084-177d-4507-8551-8f6069a6c917
63521	11	8989	2013-08-03 19:08:19.317835	2013-08-03 19:08:19.317835	\N	d63c9009-2691-4e70-a09f-0d0eeae657c8
76545	6	10558	2013-08-03 20:07:59.57868	2013-08-03 20:07:59.57868	\N	74e58195-646c-47c2-95c1-90caed2d5498
64394	11	9157	2013-08-03 19:14:01.427578	2013-08-03 19:14:01.427578	\N	3b582287-cdb5-47e7-844d-3309dfd1a6a0
64419	13	9169	2013-08-03 19:14:04.844861	2013-08-03 19:14:04.844861	\N	72324c6e-b685-4e00-bdbd-874e34a048c0
64420	13	9172	2013-08-03 19:14:05.113313	2013-08-03 19:14:05.113313	\N	3b68bb7c-a1de-49e7-b35d-e68b082afa10
69555	15	9802	2013-08-03 19:37:47.9269	2013-08-03 19:37:47.9269	\N	dd10cdea-f31f-4720-9156-4b05680bdee9
63532	11	9007	2013-08-03 19:08:20.193966	2013-08-03 19:08:20.193966	\N	47fbc1a0-3a08-4327-bb00-cc18eb5d4f09
69557	15	9793	2013-08-03 19:37:48.080039	2013-08-03 19:37:48.080039	\N	803e919b-2396-4863-a013-17ab28f47bf4
63535	11	9010	2013-08-03 19:08:20.795399	2013-08-03 19:08:20.795399	\N	e2bd05cc-c10b-434b-8975-72b272dddd5e
63538	11	9013	2013-08-03 19:08:21.121109	2013-08-03 19:08:21.121109	\N	aeeeb24b-2715-4ae4-8793-e6bbb9bdc6d4
69560	17	9788	2013-08-03 19:37:48.284668	2013-08-03 19:37:48.284668	\N	fe61108a-00eb-4ae7-b8f2-7eb8a970bbc8
69561	7	9796	2013-08-03 19:37:48.376655	2013-08-03 19:37:48.376655	\N	68488d0f-f086-4c71-b041-63c0477fe11a
60252	1	8500	2013-08-03 18:50:28.594904	2013-08-03 18:50:28.594904	\N	c79cd409-fd87-48e6-954d-e916e227863f
63541	11	9022	2013-08-03 19:08:21.754253	2013-08-03 19:08:21.754253	\N	0a6da6c2-3281-4790-9bf7-6046f8f8a0e1
63544	11	9025	2013-08-03 19:08:22.273051	2013-08-03 19:08:22.273051	\N	8552c6b8-d559-4a34-87a1-7b737f3ea0ff
63549	11	9041	2013-08-03 19:08:23.519616	2013-08-03 19:08:23.519616	\N	31213f93-aaca-4c15-badf-56c069b01ba3
62313	7	8875	2013-08-03 19:02:39.201495	2013-08-03 19:02:39.201495	\N	e59696a5-a7ff-4fb5-87d2-2a4169e26a32
60277	8	8500	2013-08-03 18:50:37.341541	2013-08-03 18:50:37.341541	\N	58c908f6-e8b0-444a-8d53-c2959ec1aef3
62315	7	8920	2013-08-03 19:02:39.428162	2013-08-03 19:02:39.428162	\N	e083593c-6266-4850-91f4-974e871380ed
62329	7	8877	2013-08-03 19:02:45.820836	2013-08-03 19:02:45.820836	\N	899ca055-3c65-489d-9afb-61b9d317caae
69565	8	9754	2013-08-03 19:37:48.559784	2013-08-03 19:37:48.559784	\N	4faac8ab-5347-4f9a-ad90-b8d0b5b03012
113293	7	13577	2013-08-03 22:04:23.678521	2013-08-03 22:04:23.678521	\N	b9cae619-26e8-4eec-989a-d98725bcfaff
62332	14	8635	2013-08-03 19:02:47.047122	2013-08-03 19:02:47.047122	\N	560620ee-b2ff-4d49-8e8f-3eedf346287d
69586	9	9751	2013-08-03 19:37:50.836371	2013-08-03 19:37:50.836371	\N	bb6a4c6d-b141-48ac-8dc5-c182d8750850
69587	11	9754	2013-08-03 19:37:51.055877	2013-08-03 19:37:51.055877	\N	69f3395f-4edb-4801-aee0-c73033cd302a
68151	6	9631	2013-08-03 19:32:40.246161	2013-08-03 19:32:40.246161	\N	97116be3-8ad9-4a6e-9ee5-7f18d978b0b1
66907	8	9499	2013-08-03 19:27:45.944641	2013-08-03 19:27:45.944641	\N	6d0f522e-2049-4309-82da-889a1507f5a5
68162	12	9628	2013-08-03 19:32:43.431044	2013-08-03 19:32:43.431044	\N	7c4934f5-24a3-4a10-8969-29a5285c5665
62340	14	8789	2013-08-03 19:02:47.255267	2013-08-03 19:02:47.255267	\N	f6e36432-6a7e-492c-b1b3-fa031ea747ec
68163	12	9631	2013-08-03 19:32:43.736857	2013-08-03 19:32:43.736857	\N	e1b0eee2-f84a-4579-bf0c-b45432ce6153
68164	12	9652	2013-08-03 19:32:44.028399	2013-08-03 19:32:44.028399	\N	97790fdc-76c5-4d48-88fd-65c090724573
62344	14	8761	2013-08-03 19:02:47.348837	2013-08-03 19:02:47.348837	\N	a2c72db6-bee7-4f35-8fda-92f37ffff0e2
62345	11	8872	2013-08-03 19:02:48.635364	2013-08-03 19:02:48.635364	\N	a4e457f4-3b04-4e0f-9346-ce8773aa5c48
62348	7	8863	2013-08-03 19:02:49.02555	2013-08-03 19:02:49.02555	\N	5d05f48a-a194-4271-b2c0-02c70655b9df
62351	19	8915	2013-08-03 19:02:49.376828	2013-08-03 19:02:49.376828	\N	3128b59f-f38d-4586-96ff-c03cd79ba0c9
62352	11	8881	2013-08-03 19:02:49.571137	2013-08-03 19:02:49.571137	\N	664e100b-b423-4319-967e-46a9086b40fe
62363	9	8875	2013-08-03 19:02:51.799438	2013-08-03 19:02:51.799438	\N	6fa1f587-eb8e-4bc3-8029-a65875fc5ad9
62295	5	8662	2013-08-03 19:02:24.130095	2013-08-03 19:02:24.130095	\N	095b294d-d954-4c2e-950b-fffbd49ff3e7
58252	19	8233	2013-08-03 18:39:24.055265	2013-08-03 18:39:24.055265	\N	9e6fa442-ba72-4173-9bb6-b4fd0c8fc539
58254	19	8260	2013-08-03 18:39:27.012391	2013-08-03 18:39:27.012391	\N	cef1d0d3-9e4c-4950-b054-cf3874cbfb41
62296	5	8665	2013-08-03 19:02:24.821804	2013-08-03 19:02:24.821804	\N	643987a7-3378-4279-ba14-f22b89e31c53
62297	5	8626	2013-08-03 19:02:25.308578	2013-08-03 19:02:25.308578	\N	ae91bb96-e3e5-4e01-af10-26e3ba79ea4b
60729	6	8644	2013-08-03 18:53:05.807068	2013-08-03 18:53:05.807068	\N	538b38e4-7bcd-4d18-b7d4-3e0c39118539
62298	5	8668	2013-08-03 19:02:25.707099	2013-08-03 19:02:25.707099	\N	e83301f0-c065-4ae7-ac5f-6616f71864aa
60734	6	8638	2013-08-03 18:53:06.73146	2013-08-03 18:53:06.73146	\N	e6b18626-cf00-41bd-b9fb-ae04e1da12a5
59940	13	8491	2013-08-03 18:49:09.120073	2013-08-03 18:49:09.120073	\N	3c9c0ac1-618c-4559-8de0-2bd1ac9e58df
60737	11	8617	2013-08-03 18:53:07.06041	2013-08-03 18:53:07.06041	\N	37857da3-8e17-47a7-ac4e-6aa27e563262
62299	5	8620	2013-08-03 19:02:26.34096	2013-08-03 19:02:26.34096	\N	32053769-01c0-4dc3-ab07-f208007ad84f
59997	13	8539	2013-08-03 18:49:15.319424	2013-08-03 18:49:15.319424	\N	ac79e00a-2afd-4d01-9683-54f566712d16
59998	13	8542	2013-08-03 18:49:15.609325	2013-08-03 18:49:15.609325	\N	decb7dc9-11c4-4e1b-88b2-686ea67127fe
60742	11	8611	2013-08-03 18:53:07.727408	2013-08-03 18:53:07.727408	\N	0034bc97-d6c7-4d86-855e-00d44ff8b2a8
60750	11	8665	2013-08-03 18:53:09.36729	2013-08-03 18:53:09.36729	\N	c958d1ab-76af-4f9f-951c-e0d6d361bd52
62300	5	8638	2013-08-03 19:02:26.748888	2013-08-03 19:02:26.748888	\N	447dc214-cebe-4bfe-86d2-dd82448576bb
62311	5	8764	2013-08-03 19:02:37.208349	2013-08-03 19:02:37.208349	\N	3489849f-ecbd-4143-8ded-f3d81dff454b
58277	17	8233	2013-08-03 18:39:29.50885	2013-08-03 18:39:29.50885	\N	107448cf-56fa-47d8-999a-b91b6b6aa75d
58278	19	8284	2013-08-03 18:39:34.100111	2013-08-03 18:39:34.100111	\N	64c8c025-2e5d-444a-b1f7-0741d4a4151c
58280	17	8254	2013-08-03 18:39:38.710721	2013-08-03 18:39:38.710721	\N	d9fa21cf-657c-483f-bb51-39da43dcc54d
58281	14	8257	2013-08-03 18:39:42.730258	2013-08-03 18:39:42.730258	\N	5a177c84-8228-45fc-bf1a-546d9df8ce36
63364	19	9046	2013-08-03 19:07:59.174451	2013-08-03 19:07:59.174451	\N	53c3693d-aa3f-450a-8dc4-9a941ba51633
62327	17	8863	2013-08-03 19:02:43.820933	2013-08-03 19:02:43.820933	\N	ed50c3fa-e84f-4b93-91e6-df7fc48270b8
62336	14	8917	2013-08-03 19:02:47.166391	2013-08-03 19:02:47.166391	\N	9a3f11b8-ef09-4941-881d-21470ee88cb9
62341	14	8896	2013-08-03 19:02:47.291046	2013-08-03 19:02:47.291046	\N	5bbbda4a-5e2c-4ef0-93b1-b2b745e359b3
62354	11	8896	2013-08-03 19:02:50.322042	2013-08-03 19:02:50.322042	\N	5978a6bf-70d1-4719-adfb-a27042e3ba58
62356	11	8899	2013-08-03 19:02:50.626816	2013-08-03 19:02:50.626816	\N	6fee746b-0f1a-4297-91d9-ea8afef3b594
62357	11	8902	2013-08-03 19:02:50.801741	2013-08-03 19:02:50.801741	\N	dc129e77-8856-4c5f-adee-64312b28d383
60042	14	8539	2013-08-03 18:49:24.391061	2013-08-03 18:49:24.391061	\N	cdb2587a-6742-43f3-a871-b92a41ef1c68
60793	13	8629	2013-08-03 18:53:22.248351	2013-08-03 18:53:22.248351	\N	3d8021ce-86aa-40b2-b732-673ab58acb5d
60046	14	8497	2013-08-03 18:49:25.363995	2013-08-03 18:49:25.363995	\N	bdb4fbe6-089f-458b-8654-92278c6fdd47
60794	13	8632	2013-08-03 18:53:22.567852	2013-08-03 18:53:22.567852	\N	e1d0e327-2c0f-4709-8a79-5ee31b99a6ae
60795	13	8635	2013-08-03 18:53:22.856774	2013-08-03 18:53:22.856774	\N	298d5a6a-b90e-4326-95f1-85ce1d895c2f
60796	13	8638	2013-08-03 18:53:23.124402	2013-08-03 18:53:23.124402	\N	ab9222d8-d77e-476b-82c5-ce932d7d080e
62359	11	8915	2013-08-03 19:02:51.315039	2013-08-03 19:02:51.315039	\N	ce776b16-0bc8-48c2-976a-109e801b558f
64344	6	9166	2013-08-03 19:13:35.667113	2013-08-03 19:13:35.667113	\N	fc59b7d5-edd0-4440-b2ff-103f42a2e967
62361	9	8872	2013-08-03 19:02:51.601277	2013-08-03 19:02:51.601277	\N	261dcca5-1794-4162-a046-0c56303f9be2
72167	14	10030	2013-08-03 19:48:22.362982	2013-08-03 19:48:22.362982	\N	1f696f87-805b-4261-a026-ec405c6e2a6e
64346	9	9157	2013-08-03 19:13:36.634998	2013-08-03 19:13:36.634998	\N	cb573e5e-0cdc-4c66-97e8-04628710625c
72169	14	10033	2013-08-03 19:48:22.426808	2013-08-03 19:48:22.426808	\N	3f60dab5-c6a0-4142-bf76-18d39c6aeb28
72170	14	10009	2013-08-03 19:48:22.498149	2013-08-03 19:48:22.498149	\N	0f260d7e-5a59-4ba6-96e9-1aad2219490d
76526	16	10558	2013-08-03 20:07:55.733591	2013-08-03 20:07:55.733591	\N	cb279aae-8dde-4c23-a48d-aaa9761c394a
63493	4	9041	2013-08-03 19:08:11.929723	2013-08-03 19:08:11.929723	\N	83e1b1d3-6f5c-412f-91f9-d36c6406fcc4
63494	17	9041	2013-08-03 19:08:14.089593	2013-08-03 19:08:14.089593	\N	ab846aef-d02e-4ce1-9a3a-06db8b8a8293
91567	6	11689	2013-08-03 20:53:02.224388	2013-08-03 20:53:02.224388	\N	5848693a-09bb-461b-bdc2-1f6f5164c118
60093	17	8518	2013-08-03 18:49:45.892523	2013-08-03 18:49:45.892523	\N	0e0cb60a-b1b2-48be-a13a-c316a2f60914
64374	9	9172	2013-08-03 19:13:49.400479	2013-08-03 19:13:49.400479	\N	84126940-b7c6-498d-924a-5d275d9fd7f0
95196	16	12067	2013-08-03 21:06:02.972207	2013-08-03 21:06:02.972207	\N	2f15a468-a3b4-4d47-8688-838b7da0fcff
63498	9	8998	2013-08-03 19:08:15.129382	2013-08-03 19:08:15.129382	\N	59299214-6186-4fa6-8aa4-7986ea7e9660
63502	6	9046	2013-08-03 19:08:17.696074	2013-08-03 19:08:17.696074	\N	6d4cdcf1-a92f-4ac9-9970-1b236e5f39fb
60101	2	8515	2013-08-03 18:49:48.340064	2013-08-03 18:49:48.340064	\N	8808cc00-ee7c-40e8-8db9-53dca6e38f03
63508	11	8998	2013-08-03 19:08:18.324829	2013-08-03 19:08:18.324829	\N	1468c11a-49b1-4b80-a3b1-f3041da56550
111132	8	13441	2013-08-03 21:59:29.113156	2013-08-03 21:59:29.113156	\N	0bc731ba-dc5e-4d92-816d-937c2db5510b
62402	12	8872	2013-08-03 19:02:58.093709	2013-08-03 19:02:58.093709	\N	49635677-df17-409a-944e-eeb5f7d5c3b3
60920	14	8665	2013-08-03 18:54:25.661333	2013-08-03 18:54:25.661333	\N	3dfd44ed-1973-4550-8781-673f4ca7cec8
62407	14	8871	2013-08-03 19:03:01.124621	2013-08-03 19:03:01.124621	\N	c4863634-10ad-481c-83a7-782f4d9b8023
89954	4	11509	2013-08-03 20:49:01.36936	2013-08-03 20:49:01.36936	\N	b96c6028-3281-45fe-914c-91d8a4d034ad
62421	9	8914	2013-08-03 19:03:03.389607	2013-08-03 19:03:03.389607	\N	74b463b7-289e-4725-bca0-9d6df606c4b2
62422	9	8917	2013-08-03 19:03:03.563821	2013-08-03 19:03:03.563821	\N	f2b16cb0-8906-4f85-9c4c-a92339045777
62430	8	8917	2013-08-03 19:03:08.282214	2013-08-03 19:03:08.282214	\N	0d75ec17-13ab-4ac9-a618-154fce50aeac
111137	8	13411	2013-08-03 21:59:29.151562	2013-08-03 21:59:29.151562	\N	59b999e9-43d3-4646-9724-4a0377c5f3fe
63536	6	9040	2013-08-03 19:08:20.805591	2013-08-03 19:08:20.805591	\N	416cdf42-5d5e-48f3-8105-82c0ef220dfe
64400	13	9133	2013-08-03 19:14:02.559301	2013-08-03 19:14:02.559301	\N	c91e6812-086e-4be5-8c43-8672d33b11aa
66887	8	9526	2013-08-03 19:27:41.81966	2013-08-03 19:27:41.81966	\N	87bd369b-4ae3-4a7b-be45-3d89c4fc8296
66900	5	9502	2013-08-03 19:27:42.732025	2013-08-03 19:27:42.732025	\N	0ead3ea3-6d52-4577-a19d-8aacae8db8a3
64406	13	9145	2013-08-03 19:14:03.534709	2013-08-03 19:14:03.534709	\N	6b033354-a02f-4242-99ed-a2c4732e2bb8
60143	3	8536	2013-08-03 18:49:57.298972	2013-08-03 18:49:57.298972	\N	ad2382b9-ea4b-448c-8029-e2afc0fadc5b
66901	5	9535	2013-08-03 19:27:42.776158	2013-08-03 19:27:42.776158	\N	f880d01d-0b0c-488b-b995-a0a568a517d1
62494	8	8896	2013-08-03 19:03:19.738949	2013-08-03 19:03:19.738949	\N	e42cc819-3f3e-4fba-85fd-6f39040a6819
66902	5	9505	2013-08-03 19:27:42.814079	2013-08-03 19:27:42.814079	\N	34f3d957-6aa8-4cf6-9021-b8f188a5ddc8
76579	19	10553	2013-08-03 20:08:08.293768	2013-08-03 20:08:08.293768	\N	c89d1ad4-102f-4ad6-ad0f-21161cf0c68b
69553	10	9802	2013-08-03 19:37:47.786449	2013-08-03 19:37:47.786449	\N	b3794409-0e8d-4e29-ac93-ef08ba4a58c5
60995	3	8620	2013-08-03 18:55:10.927199	2013-08-03 18:55:10.927199	\N	4c3d33a9-e945-48df-9292-8164587ece8a
66910	8	9502	2013-08-03 19:27:45.976616	2013-08-03 19:27:45.976616	\N	592e110f-7ae1-411e-b44a-d46038298c0b
69559	15	9757	2013-08-03 19:37:48.116093	2013-08-03 19:37:48.116093	\N	3ba71970-2f26-40f4-a2eb-096c2f53f27a
62507	7	8887	2013-08-03 19:03:28.389226	2013-08-03 19:03:28.389226	\N	49f6cbb3-de24-4c0c-9dad-e0f7ae45713f
69562	6	9751	2013-08-03 19:37:48.505459	2013-08-03 19:37:48.505459	\N	b4b48491-402d-437d-b5b2-49a73438122f
64444	2	9145	2013-08-03 19:14:14.233689	2013-08-03 19:14:14.233689	\N	ee696ba9-53a3-432d-8f9a-a3f7c6cd0d1c
69563	8	9757	2013-08-03 19:37:48.559232	2013-08-03 19:37:48.559232	\N	0444a861-2b2e-4f68-bada-75063c3037c5
69584	11	9787	2013-08-03 19:37:50.62693	2013-08-03 19:37:50.62693	\N	ae811e82-f109-49e1-ab2b-7588556db258
76580	8	10522	2013-08-03 20:08:08.407885	2013-08-03 20:08:08.407885	\N	7d67be8a-dfeb-47a3-b73f-4a189049fc86
69590	15	9751	2013-08-03 19:37:51.465937	2013-08-03 19:37:51.465937	\N	f71f6f77-5f31-4e6d-96a9-7bd99f8930fc
65880	7	9409	2013-08-03 19:22:41.592363	2013-08-03 19:22:41.592363	\N	718ecdcc-c697-4936-92b6-f6757aa8d865
65893	14	9418	2013-08-03 19:22:54.347638	2013-08-03 19:22:54.347638	\N	da8b7cb5-8b6d-4f95-8386-181488d22a42
65894	14	9419	2013-08-03 19:22:54.405948	2013-08-03 19:22:54.405948	\N	6d4a6ef3-92a1-446f-8413-7d562adee427
65905	7	9418	2013-08-03 19:22:55.924044	2013-08-03 19:22:55.924044	\N	6362a7f7-501c-4a3d-abb7-7e77cb880310
69596	11	9778	2013-08-03 19:37:52.020921	2013-08-03 19:37:52.020921	\N	63397ed1-2f9f-4bf6-a8d0-7cb09fe41a39
68152	6	9652	2013-08-03 19:32:40.558582	2013-08-03 19:32:40.558582	\N	48920e60-ad93-47ba-85e8-6d78ac884cf3
62563	17	8872	2013-08-03 19:03:41.53423	2013-08-03 19:03:41.53423	\N	63f5b1cc-05a1-4234-bcac-d1d466d0e8fc
68155	9	9671	2013-08-03 19:32:41.083942	2013-08-03 19:32:41.083942	\N	96f4c870-2bb4-4bfe-a8ce-e6d22342a3b0
62570	14	8863	2013-08-03 19:03:44.856687	2013-08-03 19:03:44.856687	\N	13f6a8ed-73a8-45d0-9241-bcd49b448427
62571	14	8920	2013-08-03 19:03:44.933228	2013-08-03 19:03:44.933228	\N	25b6fafd-ea8d-4dc0-9cbc-bdd91f13c4ef
62572	14	8875	2013-08-03 19:03:44.988086	2013-08-03 19:03:44.988086	\N	b3f0970b-4c6d-4523-816d-71e7c51679ac
65937	11	9382	2013-08-03 19:23:03.264774	2013-08-03 19:23:03.264774	\N	2ff93edf-d167-4dee-bec1-8a1065caae28
65950	11	9418	2013-08-03 19:23:06.697257	2013-08-03 19:23:06.697257	\N	e83a80d8-2ff6-4eda-bb29-ec799cc53333
62576	17	8896	2013-08-03 19:03:47.162588	2013-08-03 19:03:47.162588	\N	e68dbed4-006a-48c1-a401-9a985a6735d0
65977	9	9400	2013-08-03 19:23:21.819094	2013-08-03 19:23:21.819094	\N	7f05b106-8d26-44a6-927a-fce6a6ffdd9f
62579	17	8914	2013-08-03 19:03:48.251417	2013-08-03 19:03:48.251417	\N	a5f1aa6c-d253-4498-890e-36a22ee6398b
62580	17	8917	2013-08-03 19:03:48.425879	2013-08-03 19:03:48.425879	\N	64c86e5b-d4df-4017-859e-26852597e591
60298	14	8500	2013-08-03 18:50:45.236427	2013-08-03 18:50:45.236427	\N	06f697ac-ee41-4a1b-8832-ab80c27935de
63855	13	8998	2013-08-03 19:09:53.093269	2013-08-03 19:09:53.093269	\N	464bce46-b4d3-4ee1-9861-d340604db756
63856	13	9001	2013-08-03 19:09:53.661999	2013-08-03 19:09:53.661999	\N	e2802e64-a2b8-4d4f-8905-f061b32ab25d
64505	10	9148	2013-08-03 19:14:42.598182	2013-08-03 19:14:42.598182	\N	290688ea-ea8b-4535-8408-3cdc1298c1e9
68158	6	9670	2013-08-03 19:32:41.590341	2013-08-03 19:32:41.590341	\N	a179f52b-0568-411d-89b2-52a0cc17ee31
64509	10	9167	2013-08-03 19:14:43.050119	2013-08-03 19:14:43.050119	\N	dcf690a2-2ed6-4e2b-a7e6-c5af0e916fdf
62616	3	8872	2013-08-03 19:04:10.487134	2013-08-03 19:04:10.487134	\N	819a2a4e-3acc-41eb-b3d3-fa6c8016f1a5
62617	3	8863	2013-08-03 19:04:10.635389	2013-08-03 19:04:10.635389	\N	7891fafc-a38a-459c-a535-c145e02e16c2
111134	8	13399	2013-08-03 21:59:29.117561	2013-08-03 21:59:29.117561	\N	ff9984b5-c1f0-4095-aca8-c343eceec468
62365	9	8863	2013-08-03 19:02:51.96329	2013-08-03 19:02:51.96329	\N	a8ba1a15-188f-4284-86a4-c2901982b7ef
62366	11	8920	2013-08-03 19:02:52.043225	2013-08-03 19:02:52.043225	\N	bc64b988-d7a1-4c01-a3bb-4fd695f77e0f
62376	7	8872	2013-08-03 19:02:53.519727	2013-08-03 19:02:53.519727	\N	0d1e5416-1c23-4842-92b7-6766cd80a74f
76561	10	10513	2013-08-03 20:08:05.542163	2013-08-03 20:08:05.542163	\N	fe957810-b623-4d21-a8fd-466e7a27de4a
76563	10	10507	2013-08-03 20:08:05.739651	2013-08-03 20:08:05.739651	\N	0ffa40a6-8b11-4fba-9062-95eebe9c83fd
62379	7	8915	2013-08-03 19:02:54.184419	2013-08-03 19:02:54.184419	\N	70f79c6b-1e4c-4f04-b34c-4f38baee9c12
62403	19	8872	2013-08-03 19:02:58.362058	2013-08-03 19:02:58.362058	\N	791d13eb-5fb8-4e8b-8e14-b7550cd0ec0c
76567	10	10558	2013-08-03 20:08:06.198869	2013-08-03 20:08:06.198869	\N	12ffcc74-fb27-4cc7-a7d4-dc1c0ba899ca
62416	17	8915	2013-08-03 19:03:03.044834	2013-08-03 19:03:03.044834	\N	4d8983fe-e82b-4f6b-b1b2-3089ae699fb2
62423	9	8920	2013-08-03 19:03:03.740542	2013-08-03 19:03:03.740542	\N	352cb434-55c1-48ba-99c9-4b9ee828e93f
62427	19	8896	2013-08-03 19:03:05.621215	2013-08-03 19:03:05.621215	\N	722fae2c-b105-45f7-b41a-0070de605f1c
62429	8	8920	2013-08-03 19:03:08.265772	2013-08-03 19:03:08.265772	\N	899f8485-4cfa-4790-8293-b291fa143653
62436	8	8915	2013-08-03 19:03:09.984229	2013-08-03 19:03:09.984229	\N	4bd53d75-ef5b-4da8-834e-c89e96410ffa
62444	6	8914	2013-08-03 19:03:11.17339	2013-08-03 19:03:11.17339	\N	d812463a-a92b-4f78-a327-66981b1c7111
62445	6	8917	2013-08-03 19:03:11.293877	2013-08-03 19:03:11.293877	\N	22f9967a-4391-4ae5-9716-5427e75afe66
62446	19	8914	2013-08-03 19:03:11.411524	2013-08-03 19:03:11.411524	\N	856bfcc2-eeb4-442c-8d0d-abb1f757edbb
62447	19	8920	2013-08-03 19:03:12.114015	2013-08-03 19:03:12.114015	\N	f4d00dcc-e492-4b29-9ddc-2548dc922c65
76581	11	10513	2013-08-03 20:08:08.544743	2013-08-03 20:08:08.544743	\N	ea62b923-54c0-4493-bcd7-45d7b5e2ea10
113294	2	13579	2013-08-03 22:04:24.251648	2013-08-03 22:04:24.251648	\N	48814817-2b2d-4379-8804-f8b1e8c76223
61263	2	8788	2013-08-03 18:57:54.800339	2013-08-03 18:57:54.800339	\N	dce09ff2-eb1d-4baf-8a2a-0447f53d6ff1
61264	2	8791	2013-08-03 18:57:54.853826	2013-08-03 18:57:54.853826	\N	d0ed99de-b78d-43b0-8d3e-8693a19d0b23
61265	2	8794	2013-08-03 18:57:54.912798	2013-08-03 18:57:54.912798	\N	bc670226-49e2-4e3a-b1fc-5b27a92e18e4
61266	2	8758	2013-08-03 18:57:54.970556	2013-08-03 18:57:54.970556	\N	4f02b2fb-0414-444b-a211-e7087d6299e2
61267	2	8761	2013-08-03 18:57:55.009555	2013-08-03 18:57:55.009555	\N	84ee6a09-b243-4ce4-8154-8a9724b5169c
61268	2	8789	2013-08-03 18:57:55.038645	2013-08-03 18:57:55.038645	\N	b9f8299e-6f00-4960-a818-f69356296cfa
61269	2	8764	2013-08-03 18:57:55.090061	2013-08-03 18:57:55.090061	\N	89f80958-0407-44cf-a1cb-ad178f91ccd8
61270	2	8737	2013-08-03 18:57:55.132782	2013-08-03 18:57:55.132782	\N	8092ab5b-4c2e-4d60-8545-0a9da1a97843
61271	2	8743	2013-08-03 18:57:55.186967	2013-08-03 18:57:55.186967	\N	cf3c2378-290d-4f93-8fe0-f51092fc4e73
66913	8	9550	2013-08-03 19:27:46.042343	2013-08-03 19:27:46.042343	\N	4d1c91ad-21dd-4da8-a315-4549328274ac
70852	9	9923	2013-08-03 19:42:28.11434	2013-08-03 19:42:28.11434	\N	536332a8-0d20-4cfe-850d-b5607b9e3feb
70855	8	9883	2013-08-03 19:42:30.291465	2013-08-03 19:42:30.291465	\N	f62dfc57-0b74-489b-976b-ee815bc6516d
63440	14	9040	2013-08-03 19:08:07.32363	2013-08-03 19:08:07.32363	\N	8be1b7c5-9394-438b-adf1-9a3fb80b245e
113296	2	13567	2013-08-03 22:04:24.370803	2013-08-03 22:04:24.370803	\N	6061c424-0b90-4d59-a498-66af72807de4
61277	2	8749	2013-08-03 18:57:55.362861	2013-08-03 18:57:55.362861	\N	d59d8870-b1e1-41e9-9785-fe2ff1e125a9
66941	7	9545	2013-08-03 19:27:51.383924	2013-08-03 19:27:51.383924	\N	65c93334-f6bf-4b1c-86a6-32bb18029155
61279	2	8745	2013-08-03 18:57:55.44049	2013-08-03 18:57:55.44049	\N	245aa470-9d0e-4edb-953d-c0faccf06fee
61280	7	8749	2013-08-03 18:57:57.646636	2013-08-03 18:57:57.646636	\N	f1772c25-c542-43ec-b341-9b4cdb516e34
61281	1	8789	2013-08-03 18:57:58.646972	2013-08-03 18:57:58.646972	\N	4dcb6f6a-a101-4f2f-bdae-7d2641d60630
76600	11	10522	2013-08-03 20:08:10.796217	2013-08-03 20:08:10.796217	\N	b30e8f58-ce20-4580-95dc-fa2e8ea70bc2
61292	19	8743	2013-08-03 18:58:03.131941	2013-08-03 18:58:03.131941	\N	a1c8e636-5a55-49e3-9d32-6db9b9ba0d9d
75028	3	10249	2013-08-03 20:02:11.170337	2013-08-03 20:02:11.170337	\N	9b2225a9-a0da-4dfd-9e85-1cbf0d3d88a2
108913	12	13147	2013-08-03 21:52:04.180033	2013-08-03 21:52:04.180033	\N	b72389b7-b0d5-47ec-8d39-2c2d9a94d5a9
113298	2	13546	2013-08-03 22:04:24.507591	2013-08-03 22:04:24.507591	\N	793e960d-46fe-4f17-997c-86308fa8c514
61300	8	8749	2013-08-03 18:58:05.356332	2013-08-03 18:58:05.356332	\N	59965160-e463-44ec-a9d9-85e5bce5bd66
61305	8	8788	2013-08-03 18:58:05.61158	2013-08-03 18:58:05.61158	\N	3d6ab697-04ec-4155-9264-b4d0e1dddfc6
61329	6	8743	2013-08-03 18:58:10.478356	2013-08-03 18:58:10.478356	\N	24e59316-2d2c-499b-b75d-837b2a6bc4f4
113299	2	13561	2013-08-03 22:04:24.680251	2013-08-03 22:04:24.680251	\N	16b39449-4ca6-40f0-bf01-03202745e2f8
76606	17	10553	2013-08-03 20:08:12.313783	2013-08-03 20:08:12.313783	\N	7d689be0-db15-43cb-9f77-f705e70504a8
64567	4	9157	2013-08-03 19:15:01.595908	2013-08-03 19:15:01.595908	\N	daae8afb-0a7a-43f3-ab92-96962257c715
66967	2	9541	2013-08-03 19:27:57.558403	2013-08-03 19:27:57.558403	\N	7da7b697-e59f-43b7-922d-178c6c60a03f
66969	2	9544	2013-08-03 19:27:57.680002	2013-08-03 19:27:57.680002	\N	6cd80ce3-c42b-4bd7-a41d-c0029b878c12
61372	8	8789	2013-08-03 18:58:24.240688	2013-08-03 18:58:24.240688	\N	8dadf11c-bd0f-46fc-a8d9-850ed2305b62
72302	4	10040	2013-08-03 19:48:43.93117	2013-08-03 19:48:43.93117	\N	72b8ac1a-a4aa-4d59-a1cc-36e795b19ba1
61375	6	8761	2013-08-03 18:58:26.317724	2013-08-03 18:58:26.317724	\N	acf502c7-7adf-40a6-872a-32c9cdb63973
66975	11	9502	2013-08-03 19:27:58.391727	2013-08-03 19:27:58.391727	\N	30958468-59e5-4080-b3db-02aa17c9840b
66976	7	9502	2013-08-03 19:27:58.573414	2013-08-03 19:27:58.573414	\N	b438a1c1-81dc-4463-866d-6f55e0e60810
72303	4	10049	2013-08-03 19:48:44.001557	2013-08-03 19:48:44.001557	\N	47ae1975-c919-4809-a919-f971e60ae7d5
75035	1	10418	2013-08-03 20:02:28.437901	2013-08-03 20:02:28.437901	\N	5ba80cf1-3608-4eaf-834e-1066ac85e6ad
113301	2	13525	2013-08-03 22:04:24.798794	2013-08-03 22:04:24.798794	\N	f5d27ccd-6f6d-4e66-9027-d97644421c4e
67000	7	9535	2013-08-03 19:27:59.915274	2013-08-03 19:27:59.915274	\N	36821c54-6372-4a4c-a9e5-12d5f12d8a18
68161	12	9661	2013-08-03 19:32:43.150186	2013-08-03 19:32:43.150186	\N	8ff0b9f5-065e-4b78-b6c2-83168356e546
61450	17	8789	2013-08-03 18:58:58.83708	2013-08-03 18:58:58.83708	\N	718bc8a7-3a0f-4962-ad8f-afc89c89def6
67004	11	9511	2013-08-03 19:28:00.52695	2013-08-03 19:28:00.52695	\N	22439eb6-6be2-4a51-b9cf-e6a8570946af
61452	11	8755	2013-08-03 18:58:59.279205	2013-08-03 18:58:59.279205	\N	ca157bda-1161-4396-a26a-92502fee828a
61453	11	8758	2013-08-03 18:58:59.685297	2013-08-03 18:58:59.685297	\N	62c1ec46-332f-48d7-90ee-ce0474e9dabf
68178	15	9628	2013-08-03 19:32:45.936042	2013-08-03 19:32:45.936042	\N	ea1095c9-7c52-441d-bb25-631229e005f8
68180	12	9667	2013-08-03 19:32:46.162536	2013-08-03 19:32:46.162536	\N	21d57aba-b936-491e-88e1-7619d0002556
67019	9	9499	2013-08-03 19:28:02.481241	2013-08-03 19:28:02.481241	\N	c13f430b-ee18-41e7-8bcf-488c5abdf564
68189	9	9661	2013-08-03 19:32:47.448546	2013-08-03 19:32:47.448546	\N	05812332-bcb0-4b4e-9a09-623d929cc87c
68190	9	9628	2013-08-03 19:32:47.629061	2013-08-03 19:32:47.629061	\N	76b48d35-862b-4d97-a00d-eeff8c07f851
67043	11	9550	2013-08-03 19:28:04.691079	2013-08-03 19:28:04.691079	\N	27244201-6ae1-429b-839e-1e64b6d77ee5
68199	8	9652	2013-08-03 19:32:49.697103	2013-08-03 19:32:49.697103	\N	29a33b9b-740b-496e-9fd5-0b63a412f201
68203	8	9670	2013-08-03 19:32:49.79114	2013-08-03 19:32:49.79114	\N	76d85d08-d96c-451c-b585-52dc0a0cadf1
67048	5	9541	2013-08-03 19:28:05.79243	2013-08-03 19:28:05.79243	\N	b0863de8-7126-4446-864d-b517c7bb8aaa
62661	4	8915	2013-08-03 19:04:20.333738	2013-08-03 19:04:20.333738	\N	7822e12a-5089-4a0c-aa89-c974ecf94601
67049	5	9550	2013-08-03 19:28:05.842855	2013-08-03 19:28:05.842855	\N	ce6e4169-8362-48ca-9542-7ecc024b75b3
67050	5	9544	2013-08-03 19:28:05.891413	2013-08-03 19:28:05.891413	\N	b9ed7cc6-0e20-48af-a52f-680d4653db79
67059	16	9523	2013-08-03 19:28:09.64807	2013-08-03 19:28:09.64807	\N	35a7f2d3-0455-418e-9fe2-43a80f60f35f
63500	6	9022	2013-08-03 19:08:17.059558	2013-08-03 19:08:17.059558	\N	1cd16221-7988-4d2f-990e-2f1d2eb80e0a
63501	6	9001	2013-08-03 19:08:17.481874	2013-08-03 19:08:17.481874	\N	9d58dee7-deeb-40ba-8e5c-4249347f7b4d
64781	3	9157	2013-08-03 19:16:34.783561	2013-08-03 19:16:34.783561	\N	56423f91-8f8d-453a-ac49-1a1490c1eea4
70956	11	9904	2013-08-03 19:42:46.496785	2013-08-03 19:42:46.496785	\N	e9c53f12-d17e-4b2b-a8d4-d046ac50febd
67068	9	9550	2013-08-03 19:28:10.626569	2013-08-03 19:28:10.626569	\N	456a31da-981e-4a91-a988-b01108a2a51a
68242	11	9625	2013-08-03 19:32:54.654382	2013-08-03 19:32:54.654382	\N	5c15d363-4583-4cd9-9ea5-eab968bd45c0
63507	9	9001	2013-08-03 19:08:18.319059	2013-08-03 19:08:18.319059	\N	313600ba-ad0e-4659-9f3a-743f2de046c9
70957	9	9883	2013-08-03 19:42:46.656598	2013-08-03 19:42:46.656598	\N	2a9cdb77-25cf-4ddd-864c-4b20ea4de580
62697	9	8915	2013-08-03 19:04:30.56631	2013-08-03 19:04:30.56631	\N	fc1d7a87-3b70-497c-9a0c-05da1a0207b4
113304	15	13537	2013-08-03 22:04:25.016452	2013-08-03 22:04:25.016452	\N	55702a47-69e6-463f-8c39-c0a3bc211647
67089	4	9499	2013-08-03 19:28:17.753206	2013-08-03 19:28:17.753206	\N	83a69eab-9b01-4731-b3ca-dd628fcf1340
61769	12	8791	2013-08-03 18:59:47.680105	2013-08-03 18:59:47.680105	\N	825358a0-9729-42cf-9ffc-183481738775
65881	8	9419	2013-08-03 19:22:42.223384	2013-08-03 19:22:42.223384	\N	3b397573-339d-4bd2-b4ae-2956352cb84c
61771	12	8794	2013-08-03 18:59:47.985605	2013-08-03 18:59:47.985605	\N	8095748b-8612-47a2-9266-151819102ee2
65882	7	9419	2013-08-03 19:22:51.167266	2013-08-03 19:22:51.167266	\N	ce6cb204-d5cb-49f6-a81c-dc2a6152421c
63524	9	9022	2013-08-03 19:08:19.483548	2013-08-03 19:08:19.483548	\N	bc3e63ae-3fcb-4140-9ac6-3c9f2fb185eb
67091	4	9535	2013-08-03 19:28:17.783385	2013-08-03 19:28:17.783385	\N	78477615-1188-4466-af09-75e5ee90b2aa
65884	17	9419	2013-08-03 19:22:51.943195	2013-08-03 19:22:51.943195	\N	e36244a0-19c8-45fd-b86a-bb081f98e543
65904	5	9421	2013-08-03 19:22:55.90618	2013-08-03 19:22:55.90618	\N	7f5b0cac-1cf0-4610-8b9b-118bd54e36f9
65906	20	9419	2013-08-03 19:22:56.306849	2013-08-03 19:22:56.306849	\N	bd3c4610-7e01-472a-bc35-e9d2ff4546f4
63546	11	9028	2013-08-03 19:08:22.597375	2013-08-03 19:08:22.597375	\N	cd7f7f1e-b134-4dcc-82d1-381587205b9b
65907	2	9421	2013-08-03 19:22:56.449359	2013-08-03 19:22:56.449359	\N	891130ee-711f-457d-be36-15e69cd4654c
62736	2	8887	2013-08-03 19:04:43.612046	2013-08-03 19:04:43.612046	\N	e7e8d533-588d-445d-b4d4-18b60eb337fa
63548	11	9040	2013-08-03 19:08:23.335663	2013-08-03 19:08:23.335663	\N	595593d8-3c25-4386-be98-f615e4452bab
63552	11	9043	2013-08-03 19:08:24.035433	2013-08-03 19:08:24.035433	\N	6647e376-cce5-43cc-8c52-c26c8de1b6b4
62743	10	8863	2013-08-03 19:04:46.214303	2013-08-03 19:04:46.214303	\N	181ac9a8-e5fe-4df9-bc49-ad3859c972c4
62744	10	8896	2013-08-03 19:04:46.393106	2013-08-03 19:04:46.393106	\N	85f99e40-0d8b-44c6-9016-1d5aa0f941e1
62745	10	8920	2013-08-03 19:04:46.563347	2013-08-03 19:04:46.563347	\N	b603bc2e-d4d7-481a-9aca-e245c7f598e7
61282	19	8789	2013-08-03 18:58:00.520226	2013-08-03 18:58:00.520226	\N	20ffcc36-ff01-46ee-b20c-e69a8210009b
62492	6	8896	2013-08-03 19:03:18.999799	2013-08-03 19:03:18.999799	\N	8012b36e-27f5-443d-ab07-d6b0e5c8bfcd
61287	14	8746	2013-08-03 18:58:02.543057	2013-08-03 18:58:02.543057	\N	81347a61-6300-4036-8d98-5e0d66997e0a
76578	8	10519	2013-08-03 20:08:08.262619	2013-08-03 20:08:08.262619	\N	84dbfbba-b686-44ba-b2fd-ee2fb44e7ea5
61302	8	8770	2013-08-03 18:58:05.359988	2013-08-03 18:58:05.359988	\N	27014332-f899-47ea-b3e7-ae3672c08277
61307	8	8791	2013-08-03 18:58:05.615302	2013-08-03 18:58:05.615302	\N	a23b0d4e-5cd6-4e33-b3f2-8d2e3965c2b5
76587	11	10534	2013-08-03 20:08:08.995529	2013-08-03 20:08:08.995529	\N	6ba7ff6e-93fc-4d6a-9c02-b5816b447d71
61310	4	8743	2013-08-03 18:58:08.826571	2013-08-03 18:58:08.826571	\N	e694e9c0-c440-449e-912e-87b293a11157
61311	4	8746	2013-08-03 18:58:08.935627	2013-08-03 18:58:08.935627	\N	c8352023-8a2a-4120-abbf-dfbebc64b6a0
61312	4	8749	2013-08-03 18:58:08.973943	2013-08-03 18:58:08.973943	\N	fefa4735-86da-4b5a-ba08-3b658e813ffa
61313	4	8737	2013-08-03 18:58:09.020165	2013-08-03 18:58:09.020165	\N	6c858199-1bc1-4e75-b908-bf768cf4c807
61314	4	8761	2013-08-03 18:58:09.070392	2013-08-03 18:58:09.070392	\N	cfb0ef01-5580-4d3b-98c2-532476d2c4fb
61315	4	8764	2013-08-03 18:58:09.120982	2013-08-03 18:58:09.120982	\N	b028c3d5-a31f-493a-a9c4-971034f01091
61316	4	8770	2013-08-03 18:58:09.168948	2013-08-03 18:58:09.168948	\N	c7158ba8-9be6-4da6-93ca-de17fb1a5d77
61317	4	8788	2013-08-03 18:58:09.215423	2013-08-03 18:58:09.215423	\N	d7bc0bf3-b7d8-41ad-9f76-69225640d429
61318	4	8791	2013-08-03 18:58:09.272857	2013-08-03 18:58:09.272857	\N	de27ad50-93aa-44ec-9722-0a4ea868a738
61320	4	8794	2013-08-03 18:58:09.307578	2013-08-03 18:58:09.307578	\N	4590360c-b94b-4dba-abbc-2b09ecc12377
91583	9	11635	2013-08-03 20:53:04.38082	2013-08-03 20:53:04.38082	\N	1f6de3d2-bbb7-4782-951e-98e146b1ed3c
66961	5	9424	2013-08-03 19:27:56.587939	2013-08-03 19:27:56.587939	\N	81a211ee-fac1-4f03-8217-ce274b8c113b
62510	6	8887	2013-08-03 19:03:30.899301	2013-08-03 19:03:30.899301	\N	2110f621-04b1-431e-80a7-b817f75615e2
111133	8	13435	2013-08-03 21:59:29.117521	2013-08-03 21:59:29.117521	\N	db742ead-43ae-42e8-a8ba-5e0bd3689bd8
61327	6	8737	2013-08-03 18:58:10.380947	2013-08-03 18:58:10.380947	\N	d8c5390d-22e4-43a6-b99e-5ad621e5719b
70837	20	9797	2013-08-03 19:42:22.011576	2013-08-03 19:42:22.011576	\N	60c20858-bcde-4e1c-aab2-9791417c1e70
61341	11	8746	2013-08-03 18:58:13.703514	2013-08-03 18:58:13.703514	\N	901123d9-7049-4062-8df0-ff46ef497b0e
61342	11	8749	2013-08-03 18:58:13.870979	2013-08-03 18:58:13.870979	\N	45a98c15-2ab7-40a1-90b1-7db8608075a8
61343	11	8737	2013-08-03 18:58:14.004275	2013-08-03 18:58:14.004275	\N	12de22e1-e12c-4b36-8f1f-53c04742ce5d
61345	11	8764	2013-08-03 18:58:14.855468	2013-08-03 18:58:14.855468	\N	bed066de-e879-4d00-ba5a-2458895385d5
61347	11	8789	2013-08-03 18:58:15.277919	2013-08-03 18:58:15.277919	\N	1e212c07-91e5-4f97-ad63-4827531802b0
61348	11	8788	2013-08-03 18:58:15.490434	2013-08-03 18:58:15.490434	\N	f49b7c50-3d89-4dc7-9828-1bab5589bf59
61349	11	8791	2013-08-03 18:58:15.667999	2013-08-03 18:58:15.667999	\N	565ab623-9e81-4e88-bc59-1176c6ccf066
61350	11	8794	2013-08-03 18:58:15.835834	2013-08-03 18:58:15.835834	\N	f5479340-3e6c-4970-8e86-b808222a37de
63611	12	8998	2013-08-03 19:08:53.643786	2013-08-03 19:08:53.643786	\N	4ac1e5b2-9062-470e-a8c0-2d4a63bcb2d4
63628	12	9046	2013-08-03 19:08:57.012576	2013-08-03 19:08:57.012576	\N	44d677f7-b5a0-4dda-beac-d4b0077bebe6
76594	11	10516	2013-08-03 20:08:09.605737	2013-08-03 20:08:09.605737	\N	9bada940-004f-4340-b2cd-f0249bb90a4b
70860	17	9914	2013-08-03 19:42:33.298212	2013-08-03 19:42:33.298212	\N	b6ea6c11-e69c-47e4-9be7-912600e4973e
70861	5	9925	2013-08-03 19:42:34.892367	2013-08-03 19:42:34.892367	\N	c30bb997-c964-409a-954c-358ae7437f27
64490	17	9166	2013-08-03 19:14:32.778568	2013-08-03 19:14:32.778568	\N	868a788e-7778-4191-af35-149169fdcab5
61407	9	8737	2013-08-03 18:58:46.994954	2013-08-03 18:58:46.994954	\N	ae0aa2de-ffd1-4b05-8450-6e1600c434dc
66991	9	9545	2013-08-03 19:27:59.261446	2013-08-03 19:27:59.261446	\N	b9085139-4fe3-460d-910b-0573e0122e10
64493	17	9172	2013-08-03 19:14:33.384787	2013-08-03 19:14:33.384787	\N	7ffab457-39ae-4b86-9569-ee9aaf20357d
66994	11	9526	2013-08-03 19:27:59.353052	2013-08-03 19:27:59.353052	\N	19d0a9d7-3df5-4c7e-86c3-21c9e8e96a01
67007	11	9514	2013-08-03 19:28:01.113301	2013-08-03 19:28:01.113301	\N	7d72b269-7d22-4ea2-83fe-1adeee7a75ef
65886	7	9379	2013-08-03 19:22:52.555292	2013-08-03 19:22:52.555292	\N	ab281fc2-529d-48bf-8a80-ad9f245b2e55
65887	7	9406	2013-08-03 19:22:52.677909	2013-08-03 19:22:52.677909	\N	6cb1b74c-cd77-4953-a69d-e511cc71767d
65888	7	9388	2013-08-03 19:22:52.792724	2013-08-03 19:22:52.792724	\N	e720dcc3-0875-4161-b3d4-da822a9b9d30
64612	1	9157	2013-08-03 19:15:28.559155	2013-08-03 19:15:28.559155	\N	6bae49b1-1ddf-405a-9048-15dd86a4152a
65889	7	9400	2013-08-03 19:22:52.92957	2013-08-03 19:22:52.92957	\N	9c0e00ae-ac5e-4ff2-8bf7-e411fecc89e6
63649	4	8998	2013-08-03 19:09:03.034858	2013-08-03 19:09:03.034858	\N	debdfc4c-22fd-4c1e-9f38-a119789e2d6a
63650	4	9001	2013-08-03 19:09:03.141797	2013-08-03 19:09:03.141797	\N	c8915d02-271d-4963-9bb5-d87273c086f6
63651	4	9022	2013-08-03 19:09:03.187946	2013-08-03 19:09:03.187946	\N	265067a6-3b74-4963-99c9-6600a7f44324
63652	4	9013	2013-08-03 19:09:03.250796	2013-08-03 19:09:03.250796	\N	a15d2248-8a72-447e-99e2-dcc7b65eaf7a
61444	9	8788	2013-08-03 18:58:58.44056	2013-08-03 18:58:58.44056	\N	c0d4f91c-7d28-42d3-890b-97286143e768
62672	11	8887	2013-08-03 19:04:22.289739	2013-08-03 19:04:22.289739	\N	6493b556-f861-4390-83c3-108f3d586b23
61446	9	8791	2013-08-03 18:58:58.606297	2013-08-03 18:58:58.606297	\N	c710ad22-e9fd-428d-befc-5a719db0970c
65890	7	9382	2013-08-03 19:22:53.012323	2013-08-03 19:22:53.012323	\N	b19459b6-a055-4992-93e1-84fe99106473
61448	9	8794	2013-08-03 18:58:58.751714	2013-08-03 18:58:58.751714	\N	49f3b42a-f897-4471-a72a-e2e158a91a66
63655	4	9040	2013-08-03 19:09:03.332276	2013-08-03 19:09:03.332276	\N	14fea830-8617-41ff-9bc0-c782e4108d2c
63656	4	9046	2013-08-03 19:09:03.380419	2013-08-03 19:09:03.380419	\N	42e79121-219e-4664-8991-b11cc1e7f8c3
65891	7	9397	2013-08-03 19:22:53.12095	2013-08-03 19:22:53.12095	\N	b552ec23-3a78-4d9d-bf7d-e0a25ba74708
67010	10	9544	2013-08-03 19:28:01.373619	2013-08-03 19:28:01.373619	\N	c60c29f6-0f60-4936-9550-a2dcf98e3f58
61471	7	8751	2013-08-03 18:59:02.639688	2013-08-03 18:59:02.639688	\N	600965b9-93c3-4df0-99c9-341eb4d6f3a0
65897	7	9424	2013-08-03 19:22:55.522099	2013-08-03 19:22:55.522099	\N	d5a88f72-7b84-4cf0-b951-97cdabd0b203
67012	10	9535	2013-08-03 19:28:01.463397	2013-08-03 19:28:01.463397	\N	84d40146-bb1e-4d32-b25f-f4e4580004bd
70863	17	9923	2013-08-03 19:42:36.766258	2013-08-03 19:42:36.766258	\N	233caf95-2b54-49a4-a863-4d00fc4a5b6f
69551	6	9802	2013-08-03 19:37:46.72304	2013-08-03 19:37:46.72304	\N	9cc59a1e-2a6f-4101-ae59-f282d00776a7
67025	11	9541	2013-08-03 19:28:03.225799	2013-08-03 19:28:03.225799	\N	347967c7-c34c-4ca0-a177-2e779a2eb1c3
65920	11	9409	2013-08-03 19:23:01.222826	2013-08-03 19:23:01.222826	\N	bdcdf283-af5e-4888-b1e6-5b72262e389a
67031	9	9526	2013-08-03 19:28:04.128134	2013-08-03 19:28:04.128134	\N	0b5e1559-9669-4d10-acbc-4a0e77eb9b21
69558	15	9754	2013-08-03 19:37:48.080104	2013-08-03 19:37:48.080104	\N	291bf3f5-d803-4817-8736-2e0d72d78969
69567	8	9793	2013-08-03 19:37:48.570728	2013-08-03 19:37:48.570728	\N	042fa9b6-ea3f-4a71-b268-751684cb6c7e
65928	8	9424	2013-08-03 19:23:01.825953	2013-08-03 19:23:01.825953	\N	fd691847-2ff8-4d65-a668-aea726fe57eb
65929	11	9379	2013-08-03 19:23:02.147111	2013-08-03 19:23:02.147111	\N	e8aa496d-cf2d-4539-ae19-d055e8705f52
67062	16	9541	2013-08-03 19:28:10.105906	2013-08-03 19:28:10.105906	\N	c6aea546-403b-4335-8164-815071453a31
67063	16	9544	2013-08-03 19:28:10.25779	2013-08-03 19:28:10.25779	\N	f1e0843f-d3e6-4b4d-b8d8-d20d3362d7f9
65948	11	9406	2013-08-03 19:23:06.128321	2013-08-03 19:23:06.128321	\N	0850f98e-6ae2-4bec-8741-60e6d8267f55
67065	16	9547	2013-08-03 19:28:10.377664	2013-08-03 19:28:10.377664	\N	707428dc-a58d-43bf-aea8-8ca12a37d4db
68153	6	9661	2013-08-03 19:32:40.675198	2013-08-03 19:32:40.675198	\N	64ddf65e-98e7-43de-accb-91be9806c226
68154	20	9661	2013-08-03 19:32:40.91168	2013-08-03 19:32:40.91168	\N	d19403b4-4f6e-406d-b82c-7bb7ffdd3247
65981	14	9400	2013-08-03 19:23:25.621121	2013-08-03 19:23:25.621121	\N	4e00d456-5c1b-42b0-813f-8302d3a2e490
65982	14	9424	2013-08-03 19:23:25.689267	2013-08-03 19:23:25.689267	\N	debfb71f-6cb9-444c-9e65-adf66ebc4beb
63876	13	9028	2013-08-03 19:09:57.138794	2013-08-03 19:09:57.138794	\N	3c8227a8-81e3-43b6-a611-4bbe55d89f35
65994	6	9424	2013-08-03 19:23:31.654367	2013-08-03 19:23:31.654367	\N	1d4ab68b-4693-4d99-9cab-b6d677ca1138
68156	6	9676	2013-08-03 19:32:41.125321	2013-08-03 19:32:41.125321	\N	5c393560-4878-4be6-94f4-d8c02d1d5c99
63880	13	9040	2013-08-03 19:09:57.612572	2013-08-03 19:09:57.612572	\N	2e8079e5-ad25-47e3-b280-151f3eb65c8b
63882	13	9043	2013-08-03 19:09:57.872172	2013-08-03 19:09:57.872172	\N	60ab0ef0-3b09-4e81-944b-949e4d6d3921
65997	6	9379	2013-08-03 19:23:32.917143	2013-08-03 19:23:32.917143	\N	bd86e14b-cb9b-4168-af57-69044d158a4e
68182	15	9631	2013-08-03 19:32:46.219251	2013-08-03 19:32:46.219251	\N	abe25727-07d2-47e2-abe3-7759cec260eb
68185	17	9652	2013-08-03 19:32:46.775526	2013-08-03 19:32:46.775526	\N	b72fb092-4eca-47a5-b647-ec8f1f7357ac
68187	12	9676	2013-08-03 19:32:46.885633	2013-08-03 19:32:46.885633	\N	f6bab667-ec3e-4133-9686-1438d458fac4
67116	10	9499	2013-08-03 19:28:24.76699	2013-08-03 19:28:24.76699	\N	582f2be9-2849-446c-b6a9-d2d0ffc5c278
68192	15	9625	2013-08-03 19:32:47.893467	2013-08-03 19:32:47.893467	\N	9fead66d-00b9-40ab-8a20-ef9abbe6c718
63921	14	9024	2013-08-03 19:10:02.310355	2013-08-03 19:10:02.310355	\N	8ee28563-e788-4437-91e8-3883c235b524
68198	8	9628	2013-08-03 19:32:49.696506	2013-08-03 19:32:49.696506	\N	8d70349d-22ae-4f7d-bd7f-3357312b381d
69569	2	9757	2013-08-03 19:37:48.993475	2013-08-03 19:37:48.993475	\N	8bf4b200-3fad-4f7f-9c2a-92dfe2eae252
64820	14	9167	2013-08-03 19:17:03.523606	2013-08-03 19:17:03.523606	\N	77d7de54-843a-4703-ae90-b41a06b9175a
67180	6	9544	2013-08-03 19:28:37.085801	2013-08-03 19:28:37.085801	\N	c9d3a560-84df-44a2-9073-bef5bbca5b04
69570	2	9766	2013-08-03 19:37:49.040947	2013-08-03 19:37:49.040947	\N	045f1d03-63db-4fd3-9f22-eed6648353cd
68245	11	9661	2013-08-03 19:32:54.993194	2013-08-03 19:32:54.993194	\N	abc3754c-7547-469c-8088-d0ade01ecfb0
69571	2	9778	2013-08-03 19:37:49.093203	2013-08-03 19:37:49.093203	\N	dabedad7-0e10-4c76-90c2-1d62c54bc0de
69572	2	9793	2013-08-03 19:37:49.151678	2013-08-03 19:37:49.151678	\N	49659ee1-96b7-47a6-ac89-4fea8c26cfd8
64887	7	9292	2013-08-03 19:17:45.178586	2013-08-03 19:17:45.178586	\N	8ee53b79-61d6-4649-9196-6b566f8378e8
69573	2	9751	2013-08-03 19:37:49.198589	2013-08-03 19:37:49.198589	\N	9e2aeb90-b077-4c08-bf75-809a6425bd3d
61714	5	8746	2013-08-03 18:59:26.730375	2013-08-03 18:59:26.730375	\N	54551290-eaf8-4bf1-b7b6-28496eb6eb9b
61715	5	8788	2013-08-03 18:59:26.79917	2013-08-03 18:59:26.79917	\N	2b59fc9d-7db1-4685-b4e0-9a3276ce5c84
61716	5	8755	2013-08-03 18:59:26.850059	2013-08-03 18:59:26.850059	\N	7981cf27-f029-42cb-ba7e-2dd91d8f8d62
68256	5	9676	2013-08-03 19:32:55.56376	2013-08-03 19:32:55.56376	\N	42ef3504-1536-4457-b7a7-fffbd4be2d10
64902	2	9292	2013-08-03 19:17:57.178437	2013-08-03 19:17:57.178437	\N	82b11540-88f2-424d-b1ae-5dfd0fa5b695
64510	10	9157	2013-08-03 19:14:43.168548	2013-08-03 19:14:43.168548	\N	5cfc1658-0ab3-48e1-8b93-e8d501819364
64511	10	9127	2013-08-03 19:14:43.271803	2013-08-03 19:14:43.271803	\N	04e30946-5aef-41d0-a814-b031e68c3807
62564	17	8875	2013-08-03 19:03:41.814202	2013-08-03 19:03:41.814202	\N	56c7e949-70bf-4c9f-82ae-bc9cd7cd7104
111138	8	13456	2013-08-03 21:59:29.152904	2013-08-03 21:59:29.152904	\N	aa985f0f-5568-4abb-9cd6-aa067acb08ed
61299	8	8743	2013-08-03 18:58:05.352329	2013-08-03 18:58:05.352329	\N	e5c67e33-962d-4b4a-b917-13126a7e4693
61306	8	8794	2013-08-03 18:58:05.615237	2013-08-03 18:58:05.615237	\N	43eb0306-da47-4157-b264-8d289bf7e6fe
61309	19	8746	2013-08-03 18:58:07.811984	2013-08-03 18:58:07.811984	\N	67d228ca-3450-4fc2-8862-23935e0822ac
61319	19	8749	2013-08-03 18:58:09.280043	2013-08-03 18:58:09.280043	\N	40ff36e3-af78-4ad7-8e92-05ac0ee6be86
61325	6	8746	2013-08-03 18:58:10.093791	2013-08-03 18:58:10.093791	\N	d7398839-511e-405b-942a-9aa12c9b2890
61326	6	8788	2013-08-03 18:58:10.282193	2013-08-03 18:58:10.282193	\N	2b80e9a2-f08f-4505-ad95-45d4d3362179
113295	11	13546	2013-08-03 22:04:24.300533	2013-08-03 22:04:24.300533	\N	2d5d5761-41eb-43ea-b932-146c42b27105
75036	11	10426	2013-08-03 20:02:28.570513	2013-08-03 20:02:28.570513	\N	ba38726c-83d6-4af1-b084-7fdf264e30b1
65837	4	9249	2013-08-03 19:22:04.018825	2013-08-03 19:22:04.018825	\N	cdbe2d2c-ddbf-4e08-a2f2-9bd435df5772
62574	17	8887	2013-08-03 19:03:45.910626	2013-08-03 19:03:45.910626	\N	cda75477-beae-4a4d-8453-bd1b5c540ccf
113311	8	13534	2013-08-03 22:04:25.563654	2013-08-03 22:04:25.563654	\N	c41a3aeb-195f-402e-85ba-86953e110140
68159	7	9661	2013-08-03 19:32:42.420685	2013-08-03 19:32:42.420685	\N	a1958788-7ec0-4068-97a7-b0bd231a7a81
66966	11	9499	2013-08-03 19:27:57.547298	2013-08-03 19:27:57.547298	\N	fd8d6a29-1d33-45b8-9434-4ad3eb2da636
61402	9	8746	2013-08-03 18:58:46.669147	2013-08-03 18:58:46.669147	\N	7ffc0773-f9d8-4fdd-9181-2a849052b661
66979	7	9544	2013-08-03 19:27:58.679931	2013-08-03 19:27:58.679931	\N	3a7f5785-606a-4e9b-bf71-eb8fe472ba00
66981	7	9523	2013-08-03 19:27:58.748222	2013-08-03 19:27:58.748222	\N	ccb086f6-1e36-4cd6-b930-f6be031d5ea6
66983	7	9541	2013-08-03 19:27:58.82533	2013-08-03 19:27:58.82533	\N	b9c4eb2b-1113-42a8-b416-4b93bd5d270d
66985	7	9526	2013-08-03 19:27:58.9368	2013-08-03 19:27:58.9368	\N	cbe414b3-ec0e-4f93-83bb-114bf3973bbe
66986	7	9547	2013-08-03 19:27:59.00803	2013-08-03 19:27:59.00803	\N	f3637da7-1b26-4d6c-88b5-78505555cfd8
63627	12	9040	2013-08-03 19:08:56.503475	2013-08-03 19:08:56.503475	\N	15f6dbb0-8729-438d-9f13-19d9098c4d15
66988	7	9508	2013-08-03 19:27:59.098369	2013-08-03 19:27:59.098369	\N	00944692-6690-4871-9fa2-d7a9b33104cf
61556	4	8789	2013-08-03 18:59:08.207518	2013-08-03 18:59:08.207518	\N	a4496efc-9028-41e7-88f9-8be8c6217d38
68160	7	9670	2013-08-03 19:32:42.643961	2013-08-03 19:32:42.643961	\N	777b3e76-7127-4e47-8341-fd4e56ab4f71
67008	10	9505	2013-08-03 19:28:01.186593	2013-08-03 19:28:01.186593	\N	489a9cd9-25a0-4a94-bbb3-fe0f61ef2e5e
67013	10	9526	2013-08-03 19:28:01.570129	2013-08-03 19:28:01.570129	\N	a7595c90-c67f-42b4-8238-05a0944fe43c
67014	10	9545	2013-08-03 19:28:01.664837	2013-08-03 19:28:01.664837	\N	fb6155e8-a30f-46d2-a28a-762601ac1d7a
64545	11	9151	2013-08-03 19:14:54.996028	2013-08-03 19:14:54.996028	\N	b55618e8-cd54-41e9-811d-29ff2e5e5066
67028	11	9544	2013-08-03 19:28:03.722019	2013-08-03 19:28:03.722019	\N	2b42b001-1a12-416d-8723-e31a2041aafe
65875	2	9379	2013-08-03 19:22:40.960613	2013-08-03 19:22:40.960613	\N	5f8fb3d6-1580-40fb-bccc-1f366b6076cf
65876	2	9382	2013-08-03 19:22:41.135829	2013-08-03 19:22:41.135829	\N	31bfc674-eba5-411a-908f-ea8707dca596
65877	2	9419	2013-08-03 19:22:41.176716	2013-08-03 19:22:41.176716	\N	5ad34dc4-6db2-408f-9b8e-b7f2c3806ff7
68179	15	9676	2013-08-03 19:32:45.9769	2013-08-03 19:32:45.9769	\N	0aae695a-12ef-4900-8c3d-3e4cf2203b7a
68181	15	9667	2013-08-03 19:32:46.211836	2013-08-03 19:32:46.211836	\N	e30b541d-38d7-4915-a7ee-a80b772d461a
67041	11	9547	2013-08-03 19:28:04.378549	2013-08-03 19:28:04.378549	\N	cd45f13f-4707-40f4-aad6-e3476ffb53cf
65896	5	9418	2013-08-03 19:22:55.493765	2013-08-03 19:22:55.493765	\N	355c32fe-4cf9-405a-b03e-d0306abe0bae
67046	5	9532	2013-08-03 19:28:05.097878	2013-08-03 19:28:05.097878	\N	878ef215-86d5-481a-bed3-631be8d87359
63786	10	9022	2013-08-03 19:09:29.710161	2013-08-03 19:09:29.710161	\N	8da81f06-30f1-4fed-9004-2b97402e603c
63787	10	9001	2013-08-03 19:09:29.877275	2013-08-03 19:09:29.877275	\N	8da2371e-a00c-4a9a-a545-9d443dfb91a3
62746	10	8887	2013-08-03 19:04:46.792449	2013-08-03 19:04:46.792449	\N	6c5a2e9b-2c3d-41d1-b0ce-9ee3124f87da
62750	10	8914	2013-08-03 19:04:46.988188	2013-08-03 19:04:46.988188	\N	cde46daf-716d-4f08-8f27-23da259a0579
63788	10	8998	2013-08-03 19:09:29.975365	2013-08-03 19:09:29.975365	\N	3b392fb7-5b20-406c-898e-a753e50e7ba3
62753	10	8875	2013-08-03 19:04:47.146258	2013-08-03 19:04:47.146258	\N	fa2c2d1e-c6a6-47ac-a081-f1da41e67e81
65902	7	9421	2013-08-03 19:22:55.793102	2013-08-03 19:22:55.793102	\N	ee5491bd-d289-401f-b365-ad87194f55ff
67047	15	9376	2013-08-03 19:28:05.386155	2013-08-03 19:28:05.386155	\N	2cf2b188-fb2c-4c16-bfec-79b29c7d16cf
65913	8	9379	2013-08-03 19:22:58.825348	2013-08-03 19:22:58.825348	\N	72f9778c-1c31-43d9-a5eb-a95e1b4a4010
67052	16	9499	2013-08-03 19:28:08.663775	2013-08-03 19:28:08.663775	\N	be62ade4-6ef4-4305-af53-d61bb6f9a9cb
67053	16	9535	2013-08-03 19:28:08.864424	2013-08-03 19:28:08.864424	\N	2d8bcbd1-553d-4186-b49c-ba77e203e6c9
63859	13	9022	2013-08-03 19:09:54.13416	2013-08-03 19:09:54.13416	\N	a3578d85-b89b-4000-88be-fd90fa769ab1
65932	11	9400	2013-08-03 19:23:02.66114	2013-08-03 19:23:02.66114	\N	e6b5a24e-695d-4e28-aa12-2657b28d61c8
67054	16	9502	2013-08-03 19:28:08.980311	2013-08-03 19:28:08.980311	\N	f4f3b59d-c3ae-43cb-a3d5-4a447db0d381
65960	2	9388	2013-08-03 19:23:11.679706	2013-08-03 19:23:11.679706	\N	c659af10-8b4b-4594-85c9-37863085a3f5
68186	15	9670	2013-08-03 19:32:46.781827	2013-08-03 19:32:46.781827	\N	cf5b18b5-2dc8-4944-b39e-3645739bb033
64670	17	9127	2013-08-03 19:15:46.441034	2013-08-03 19:15:46.441034	\N	83f32329-d6a8-4313-985e-546dc4c3c476
65962	2	9400	2013-08-03 19:23:11.811043	2013-08-03 19:23:11.811043	\N	c15e299a-24d7-4f9c-9b7e-9182a8ceac7c
65963	2	9397	2013-08-03 19:23:11.856494	2013-08-03 19:23:11.856494	\N	ea9baffb-186d-4752-abeb-44b10dce1308
68188	9	9625	2013-08-03 19:32:47.281655	2013-08-03 19:32:47.281655	\N	660f368d-9a17-4f68-ae03-9d04973e26da
61732	12	8746	2013-08-03 18:59:42.852328	2013-08-03 18:59:42.852328	\N	05ce3a3d-1fb0-4098-9752-b45e6ee20305
68191	9	9631	2013-08-03 19:32:47.774052	2013-08-03 19:32:47.774052	\N	53d54c13-391a-494a-9668-5ba8e7eed483
68193	9	9652	2013-08-03 19:32:47.954009	2013-08-03 19:32:47.954009	\N	c56d61ca-0697-4d95-94b0-b8adf323e4ed
68194	5	9652	2013-08-03 19:32:48.4549	2013-08-03 19:32:48.4549	\N	9a6337ea-f27f-4ce1-84ad-b7d9bc6a41b3
61737	2	8770	2013-08-03 18:59:43.415529	2013-08-03 18:59:43.415529	\N	91ba6899-c17a-4b7d-b0ef-94108f3c6c1d
75040	11	10429	2013-08-03 20:02:29.253023	2013-08-03 20:02:29.253023	\N	37bf0c8f-d57e-449c-84e8-b584264623a3
75042	2	10426	2013-08-03 20:02:29.436579	2013-08-03 20:02:29.436579	\N	28f72cc9-e780-42db-a782-645c9a0eb6eb
68201	8	9667	2013-08-03 19:32:49.723148	2013-08-03 19:32:49.723148	\N	87f6d6ed-c240-406c-a34f-3f00c6bb5bbc
67118	2	9547	2013-08-03 19:28:28.18675	2013-08-03 19:28:28.18675	\N	7bf54f13-4c54-49e1-9f7c-4ac3753f8272
75043	2	10390	2013-08-03 20:02:29.507985	2013-08-03 20:02:29.507985	\N	e35bdc8d-92a5-46fc-a548-910699596629
65975	9	9409	2013-08-03 19:23:21.496979	2013-08-03 19:23:21.496979	\N	3a03ae62-f461-4e0a-a727-a1f042f5ced9
65983	2	9418	2013-08-03 19:23:27.060187	2013-08-03 19:23:27.060187	\N	38e6c521-a443-4f15-8fb2-0c6ca8a66992
69564	8	9778	2013-08-03 19:37:48.55938	2013-08-03 19:37:48.55938	\N	aa64c46b-dd88-45e0-a237-1ac8437f2a49
69568	8	9802	2013-08-03 19:37:48.590302	2013-08-03 19:37:48.590302	\N	3afccdde-0ce2-40b3-8716-3cb557990b40
68209	3	9661	2013-08-03 19:32:50.293266	2013-08-03 19:32:50.293266	\N	be35eded-799c-4271-92a2-367a3311f584
65988	9	9418	2013-08-03 19:23:28.038209	2013-08-03 19:23:28.038209	\N	eb712c33-1522-48db-8961-220e5a130371
65996	6	9409	2013-08-03 19:23:32.762581	2013-08-03 19:23:32.762581	\N	16eb3724-fa59-428c-977f-7fe8722061a1
68210	3	9652	2013-08-03 19:32:50.32522	2013-08-03 19:32:50.32522	\N	6ab28805-1ee6-46c9-bb9f-c3a15b25983f
68211	3	9631	2013-08-03 19:32:50.355393	2013-08-03 19:32:50.355393	\N	56488dda-99b2-48f0-859f-039334be80a0
68212	3	9628	2013-08-03 19:32:50.385494	2013-08-03 19:32:50.385494	\N	5da8d07f-1df4-486f-8928-ed8076845db8
68213	3	9670	2013-08-03 19:32:50.421506	2013-08-03 19:32:50.421506	\N	75d31233-10b6-45b0-902c-bf727af2e647
67152	12	9505	2013-08-03 19:28:32.046336	2013-08-03 19:28:32.046336	\N	ac967b86-0bca-48e0-9c55-a8375c9f8323
68214	3	9667	2013-08-03 19:32:50.468949	2013-08-03 19:32:50.468949	\N	012830ba-0ebd-4421-9f73-2ada4f5c67b9
67156	12	9526	2013-08-03 19:28:32.36213	2013-08-03 19:28:32.36213	\N	88ce1c1d-50e8-4f05-915d-b669293e1684
70856	8	9904	2013-08-03 19:42:30.301407	2013-08-03 19:42:30.301407	\N	6211af1f-8c31-4d2b-9662-d3cea7649fe5
69605	9	9787	2013-08-03 19:37:54.013812	2013-08-03 19:37:54.013812	\N	fb0eb825-f384-4815-95d4-f680e51d0d61
67166	12	9544	2013-08-03 19:28:34.825582	2013-08-03 19:28:34.825582	\N	dfaf24bc-e958-4563-931a-5a91697a0e7c
66052	10	9424	2013-08-03 19:23:53.411823	2013-08-03 19:23:53.411823	\N	868209ee-50d2-4f56-b2c8-2b3671efd496
67168	12	9550	2013-08-03 19:28:35.363453	2013-08-03 19:28:35.363453	\N	aac0f264-e073-4b05-9a34-61f839bc8942
67171	6	9535	2013-08-03 19:28:36.179368	2013-08-03 19:28:36.179368	\N	bd754b7a-230d-4f59-98b6-b804d1a621f6
75044	2	10418	2013-08-03 20:02:29.566185	2013-08-03 20:02:29.566185	\N	f39a4cd7-29bd-4d3d-9a3a-e8e052564d3c
69625	7	9751	2013-08-03 19:37:58.485707	2013-08-03 19:37:58.485707	\N	69a9e9a3-cb9d-4357-8ca0-06fb5be409b1
69630	1	9797	2013-08-03 19:37:58.753869	2013-08-03 19:37:58.753869	\N	ff91a055-a3b2-480d-8552-bb3f7091cea2
67203	6	9499	2013-08-03 19:28:40.475994	2013-08-03 19:28:40.475994	\N	cf80fe76-fbd0-4f00-8826-998ab2a56ed4
69631	1	9788	2013-08-03 19:37:58.833311	2013-08-03 19:37:58.833311	\N	3729fbf0-7577-4789-bf53-4ee3990c0c9d
75047	2	10375	2013-08-03 20:02:29.637286	2013-08-03 20:02:29.637286	\N	763be3ad-b694-40c7-90f1-ed5b434c80ce
75049	2	10429	2013-08-03 20:02:29.682535	2013-08-03 20:02:29.682535	\N	99d852ad-33a0-420c-b844-9e23bd4f9fae
66136	2	9402	2013-08-03 19:24:12.83484	2013-08-03 19:24:12.83484	\N	c8d5c6ae-fde5-49f0-8550-0c4cdd4ef84e
68239	7	9625	2013-08-03 19:32:54.418664	2013-08-03 19:32:54.418664	\N	99041849-af9c-4ab8-bb5a-7886c86c6f76
68688	16	9634	2013-08-03 19:34:16.662438	2013-08-03 19:34:16.662438	\N	03dc89c9-1be3-496d-a236-7868f9262077
75051	2	10432	2013-08-03 20:02:29.767777	2013-08-03 20:02:29.767777	\N	2537fba1-3b3d-4758-8c8e-3fa5e4087c29
68690	16	9649	2013-08-03 19:34:16.775928	2013-08-03 19:34:16.775928	\N	eb3bd631-d0a3-4852-9d7d-98154f6286c9
69665	3	9778	2013-08-03 19:38:10.30254	2013-08-03 19:38:10.30254	\N	07212ed5-aabd-42c7-99fd-6ff1e5f05e89
69666	3	9796	2013-08-03 19:38:10.379058	2013-08-03 19:38:10.379058	\N	15fb8d44-fd76-4525-b102-81a8605fd19c
64909	14	9253	2013-08-03 19:17:58.996462	2013-08-03 19:17:58.996462	\N	60716f48-442c-4b4f-8216-42a7b7df7e3e
66175	8	9376	2013-08-03 19:24:24.454177	2013-08-03 19:24:24.454177	\N	a4894bcc-da65-4cce-8cad-0dc3f430605c
64943	11	9262	2013-08-03 19:18:09.803483	2013-08-03 19:18:09.803483	\N	358b647c-385e-4faa-8785-d2d81b8ccb48
62618	3	8914	2013-08-03 19:04:10.707489	2013-08-03 19:04:10.707489	\N	6cb01eda-cdbc-4142-9ec7-5a8a452ef96b
62619	3	8875	2013-08-03 19:04:10.776266	2013-08-03 19:04:10.776266	\N	e26d7187-42a1-471c-9809-5e5e2144574a
61301	8	8746	2013-08-03 18:58:05.359155	2013-08-03 18:58:05.359155	\N	201abf80-25eb-460d-80b3-142167598e46
68165	2	9640	2013-08-03 19:32:44.086997	2013-08-03 19:32:44.086997	\N	3180e1f3-8e29-45b5-a42c-6c106ea3b2d8
61330	6	8749	2013-08-03 18:58:10.809162	2013-08-03 18:58:10.809162	\N	e52488f1-ee20-48b4-8428-487d8b77d1af
61340	19	8737	2013-08-03 18:58:13.245332	2013-08-03 18:58:13.245332	\N	aa21f49d-55fe-49f9-bc5e-8ad3000d452a
61344	11	8761	2013-08-03 18:58:14.603572	2013-08-03 18:58:14.603572	\N	13863645-6741-4a2a-994f-281ddd846f28
61346	11	8770	2013-08-03 18:58:15.008211	2013-08-03 18:58:15.008211	\N	12ae9722-9d1e-47dc-ad32-3226918ca361
61353	19	8770	2013-08-03 18:58:16.191083	2013-08-03 18:58:16.191083	\N	e0e51507-8fcd-4be6-9c9c-411c97258615
61355	6	8791	2013-08-03 18:58:20.955451	2013-08-03 18:58:20.955451	\N	f828ead7-aa06-440a-b250-ecfc4e43e055
61356	19	8788	2013-08-03 18:58:21.908171	2013-08-03 18:58:21.908171	\N	9d1c81b9-4cbe-4b39-8490-ec058e079468
61359	19	8794	2013-08-03 18:58:22.603068	2013-08-03 18:58:22.603068	\N	e73385ed-1bb1-4bde-99f1-801bdb285b7c
68166	2	9631	2013-08-03 19:32:44.133408	2013-08-03 19:32:44.133408	\N	7531eca3-04a7-4883-aa76-f80a05f928bb
63602	2	9025	2013-08-03 19:08:45.001895	2013-08-03 19:08:45.001895	\N	713d5818-c6b0-46fd-8467-a98f15f71d8f
65915	8	9400	2013-08-03 19:22:59.37676	2013-08-03 19:22:59.37676	\N	1ad8fcac-f504-4534-99bf-5ba78f758677
66984	11	9505	2013-08-03 19:27:58.900094	2013-08-03 19:27:58.900094	\N	9698939a-5903-4735-a959-a94b9565db85
63612	2	8997	2013-08-03 19:08:55.258133	2013-08-03 19:08:55.258133	\N	2f9a77be-9441-4a0e-9a90-f0853e1250b5
65926	8	9418	2013-08-03 19:23:01.813745	2013-08-03 19:23:01.813745	\N	a6cf6a2c-1e8b-469f-9938-38dd7290309a
68167	2	9649	2013-08-03 19:32:44.172231	2013-08-03 19:32:44.172231	\N	16d12220-fa74-41b7-9cb2-58f532d8c543
68168	2	9625	2013-08-03 19:32:44.211976	2013-08-03 19:32:44.211976	\N	44318d3d-1698-4a20-b06a-8513838c1f69
68170	2	9652	2013-08-03 19:32:44.240879	2013-08-03 19:32:44.240879	\N	5ec61b78-db71-4f69-b551-c344dd7ad7f0
61393	3	8749	2013-08-03 18:58:43.319333	2013-08-03 18:58:43.319333	\N	0f3ded99-f7b0-4156-943a-d7400be6657a
61394	3	8788	2013-08-03 18:58:43.412592	2013-08-03 18:58:43.412592	\N	8fc0d09a-f1dc-4ed6-9c3d-c65011812125
61395	3	8746	2013-08-03 18:58:43.447243	2013-08-03 18:58:43.447243	\N	483d1a3c-7bd8-43aa-b83a-838e348d69d8
61396	3	8737	2013-08-03 18:58:43.481836	2013-08-03 18:58:43.481836	\N	8b3121fe-6e01-47fa-bc46-01d59c0cb8d5
61397	3	8791	2013-08-03 18:58:43.522101	2013-08-03 18:58:43.522101	\N	1a515bf4-69cd-4638-a8b9-e97be0d9e89e
65943	11	9388	2013-08-03 19:23:04.510315	2013-08-03 19:23:04.510315	\N	cc98daf4-1249-4dbe-83fc-3d260e6533fd
67020	9	9535	2013-08-03 19:28:02.643414	2013-08-03 19:28:02.643414	\N	22ac3b20-7d5c-4e93-93cf-388189ce2ef5
68171	2	9654	2013-08-03 19:32:44.274364	2013-08-03 19:32:44.274364	\N	d1bdc15b-9989-4dc2-a707-8dc85644ff68
61406	9	8749	2013-08-03 18:58:46.836203	2013-08-03 18:58:46.836203	\N	b8153f1c-ea7d-4ca5-83fa-b568c929a51c
65954	11	9421	2013-08-03 19:23:07.375613	2013-08-03 19:23:07.375613	\N	974b0283-a35f-4b28-a499-f0de1ccc738e
68172	2	9634	2013-08-03 19:32:44.314229	2013-08-03 19:32:44.314229	\N	3d006aff-c4fd-46f7-8f3c-b409cf6f4191
67051	14	9544	2013-08-03 19:28:06.732488	2013-08-03 19:28:06.732488	\N	2ed23191-d7e2-4542-8a30-9f61eabb5fd3
67058	16	9511	2013-08-03 19:28:09.496797	2013-08-03 19:28:09.496797	\N	25b3da16-54d0-4fb9-ab58-16c174756943
67061	16	9532	2013-08-03 19:28:09.988025	2013-08-03 19:28:09.988025	\N	aa96a3dd-5dd7-4dca-8243-6abb40838f0c
67064	9	9541	2013-08-03 19:28:10.342954	2013-08-03 19:28:10.342954	\N	076df532-9644-483f-ab5f-3b34d101083b
62761	8	8887	2013-08-03 19:04:51.978573	2013-08-03 19:04:51.978573	\N	caff7a86-101f-4088-82b6-a0e33b801ff6
67066	9	9544	2013-08-03 19:28:10.489073	2013-08-03 19:28:10.489073	\N	9983c138-a883-415a-a3ed-2b459e9e3f7b
67067	16	9550	2013-08-03 19:28:10.564543	2013-08-03 19:28:10.564543	\N	238904c3-5932-42ba-9878-011382b4b006
66001	3	9379	2013-08-03 19:23:34.605482	2013-08-03 19:23:34.605482	\N	17b8cc65-289a-4ae4-b59d-4ee1f1a407b3
66002	3	9400	2013-08-03 19:23:34.667812	2013-08-03 19:23:34.667812	\N	c24b6391-3cac-40a1-b08a-a0cae3998755
66003	3	9418	2013-08-03 19:23:34.725078	2013-08-03 19:23:34.725078	\N	5bc3341f-6bfe-48e8-8cbb-76f4ab68c758
64666	17	9157	2013-08-03 19:15:46.076234	2013-08-03 19:15:46.076234	\N	4d530922-63b4-441a-a435-7ea1218e8252
66004	3	9409	2013-08-03 19:23:34.767976	2013-08-03 19:23:34.767976	\N	fc20234c-de3f-4f91-a206-0c0b0888bef6
68173	2	9667	2013-08-03 19:32:44.340199	2013-08-03 19:32:44.340199	\N	8c850c38-0125-46bd-ac59-e00ddd9ed37c
68174	2	9670	2013-08-03 19:32:44.378535	2013-08-03 19:32:44.378535	\N	09d8e62e-a169-449f-98ca-8f8dc9debb53
70844	2	9922	2013-08-03 19:42:27.636573	2013-08-03 19:42:27.636573	\N	6f2ce17d-c17e-4633-ae46-c22a90adde58
61440	9	8770	2013-08-03 18:58:57.218749	2013-08-03 18:58:57.218749	\N	74cf2c2e-38a2-4a5d-877b-8d65850fac77
70845	2	9925	2013-08-03 19:42:27.705805	2013-08-03 19:42:27.705805	\N	78a2e42b-fc58-43cf-8947-8ac9767f4fda
70846	2	9928	2013-08-03 19:42:27.76542	2013-08-03 19:42:27.76542	\N	7955e4d3-9f67-4b30-bc59-386b2976da90
62807	14	8915	2013-08-03 19:05:06.979973	2013-08-03 19:05:06.979973	\N	e5aeb973-0d24-4c5b-8dd5-5e4bb1150dc3
66031	20	9379	2013-08-03 19:23:44.385992	2013-08-03 19:23:44.385992	\N	ba628eec-50b1-43fa-925e-9274fa237688
67121	1	9545	2013-08-03 19:28:28.522179	2013-08-03 19:28:28.522179	\N	f3f735a1-3776-4d67-9a58-0798ad5b6952
69552	15	9778	2013-08-03 19:37:47.787665	2013-08-03 19:37:47.787665	\N	28e01246-f49e-4532-9257-c276105d5a3b
68200	8	9661	2013-08-03 19:32:49.699388	2013-08-03 19:32:49.699388	\N	d102cde1-b1cd-44d6-a6a1-b1579a75995e
68204	8	9676	2013-08-03 19:32:49.791718	2013-08-03 19:32:49.791718	\N	3c094cc6-3f57-4943-be2d-507bf6884954
69554	5	9799	2013-08-03 19:37:47.923262	2013-08-03 19:37:47.923262	\N	530a32d3-47be-4f26-832f-2946471da9ef
70847	2	9892	2013-08-03 19:42:27.835087	2013-08-03 19:42:27.835087	\N	6066f5d9-0e05-4db5-be6e-65d0eb464911
62905	13	8872	2013-08-03 19:05:45.183119	2013-08-03 19:05:45.183119	\N	e18a4dbb-561f-42f5-ba0f-81d69ebfac47
68693	16	9658	2013-08-03 19:34:17.058551	2013-08-03 19:34:17.058551	\N	7de05508-4fc7-4898-b96d-115a1257d257
62907	13	8875	2013-08-03 19:05:45.457611	2013-08-03 19:05:45.457611	\N	a5ccf66c-7902-4f3c-a1e8-48aa73679540
62908	13	8863	2013-08-03 19:05:45.751956	2013-08-03 19:05:45.751956	\N	1713f993-c652-4a3a-9a27-c805f3d48a15
68694	16	9667	2013-08-03 19:34:17.204535	2013-08-03 19:34:17.204535	\N	461bf10a-8605-427c-bfbd-726feb53719c
70848	2	9904	2013-08-03 19:42:27.910812	2013-08-03 19:42:27.910812	\N	51f49228-ec08-4632-bede-561a9f02dcf6
68698	16	9676	2013-08-03 19:34:17.625449	2013-08-03 19:34:17.625449	\N	d8d4b5a2-5b41-4438-87ef-a989f1200979
67143	12	9535	2013-08-03 19:28:31.413564	2013-08-03 19:28:31.413564	\N	42852cd5-32a2-45b8-ad34-ca0675b33bd5
69583	6	9796	2013-08-03 19:37:50.40483	2013-08-03 19:37:50.40483	\N	adec3231-35b6-437f-a2b2-e3e0fc78bcc7
67148	12	9502	2013-08-03 19:28:31.723607	2013-08-03 19:28:31.723607	\N	6bfa825e-a8be-4c5c-b4b4-52d9bf0d5613
70849	2	9914	2013-08-03 19:42:27.986729	2013-08-03 19:42:27.986729	\N	f87dfc82-4e69-4404-a991-f2c600e95ca1
113300	9	13567	2013-08-03 22:04:24.792337	2013-08-03 22:04:24.792337	\N	8ee9540a-f5cb-407b-95e9-58de2241f44e
73678	14	10158	2013-08-03 19:55:48.022829	2013-08-03 19:55:48.022829	\N	59150ff7-1fd7-4f2a-96d3-6e85eec6b7cd
69597	15	9796	2013-08-03 19:37:52.109716	2013-08-03 19:37:52.109716	\N	66926130-9cba-42f8-b5dd-e66be6e2ef3a
70853	17	9904	2013-08-03 19:42:29.182275	2013-08-03 19:42:29.182275	\N	debab00f-4523-4e07-9e10-069d104f6944
66127	9	9419	2013-08-03 19:24:10.700371	2013-08-03 19:24:10.700371	\N	7fb7c378-b0b3-45dc-97ec-e987d9323be7
67182	6	9541	2013-08-03 19:28:37.20139	2013-08-03 19:28:37.20139	\N	139f78e5-d455-4e3f-8cf8-aca43fb7eb8b
69602	11	9766	2013-08-03 19:37:53.645432	2013-08-03 19:37:53.645432	\N	a5734b14-8d47-455c-923b-06a1cce4f5bf
69626	1	9787	2013-08-03 19:37:58.497216	2013-08-03 19:37:58.497216	\N	030c1a01-2c1f-46a2-ae46-49843ac778cf
69632	2	9802	2013-08-03 19:37:59.53084	2013-08-03 19:37:59.53084	\N	2bff05a3-4a86-40bd-9757-07441ddfbfbd
66165	12	9409	2013-08-03 19:24:21.429877	2013-08-03 19:24:21.429877	\N	3edbc46c-c8cc-441a-8d5a-2e6bf1783cdb
66168	12	9400	2013-08-03 19:24:22.352909	2013-08-03 19:24:22.352909	\N	25c21cae-9090-4d8a-a561-784d43e53bd6
70854	8	9877	2013-08-03 19:42:30.288775	2013-08-03 19:42:30.288775	\N	de53e6fd-6f67-4916-b04a-6ea3a80812b8
70859	8	9928	2013-08-03 19:42:30.369054	2013-08-03 19:42:30.369054	\N	129bbe4b-c0fb-41fc-a9a4-fd78638076db
66182	12	9418	2013-08-03 19:24:24.692156	2013-08-03 19:24:24.692156	\N	cd63fa7e-f675-4e4d-914e-9dd659c34118
70862	7	9922	2013-08-03 19:42:35.932061	2013-08-03 19:42:35.932061	\N	e229fcf5-ccce-4a53-93f0-0d3319578c98
68751	13	9652	2013-08-03 19:34:32.612166	2013-08-03 19:34:32.612166	\N	347257f1-e36a-43d2-ba15-ee1a6f2c8fe5
69642	14	9796	2013-08-03 19:38:01.60376	2013-08-03 19:38:01.60376	\N	b96f08cb-5d6a-4336-98fd-b5d255c0196c
69643	14	9793	2013-08-03 19:38:01.65562	2013-08-03 19:38:01.65562	\N	dabc42f5-2c9a-44ba-adc2-92c3043a17c9
69644	14	9751	2013-08-03 19:38:01.704379	2013-08-03 19:38:01.704379	\N	39e31cf9-c62c-4154-9b59-9bcb0c8ccc01
69645	5	9784	2013-08-03 19:38:02.175932	2013-08-03 19:38:02.175932	\N	15f1489e-e4de-4912-85e8-3fcaebfceda5
70864	7	9883	2013-08-03 19:42:37.223482	2013-08-03 19:42:37.223482	\N	9752231b-1838-41bd-b813-a4b7cfe846d0
68781	13	9667	2013-08-03 19:34:35.556475	2013-08-03 19:34:35.556475	\N	86e300a3-77b8-4f72-8380-9a1002b9f5d3
68787	13	9676	2013-08-03 19:34:36.644334	2013-08-03 19:34:36.644334	\N	ffb718be-dc31-49db-9c58-f65b06eef569
70865	7	9892	2013-08-03 19:42:37.303463	2013-08-03 19:42:37.303463	\N	7bfa847a-56af-405b-b0e4-a8aa9d74ae6a
69736	14	9757	2013-08-03 19:38:20.694398	2013-08-03 19:38:20.694398	\N	900ca9d3-a536-4236-b00e-1cd51f153ed5
64881	7	9298	2013-08-03 19:17:44.376249	2013-08-03 19:17:44.376249	\N	213cd85b-24c9-45fd-a90b-a83a8def7242
70866	7	9914	2013-08-03 19:42:37.367355	2013-08-03 19:42:37.367355	\N	a36e3fbd-ed64-4de1-bd1d-f9cc6e852b89
70868	7	9901	2013-08-03 19:42:37.430293	2013-08-03 19:42:37.430293	\N	eb1108c8-a8e6-468b-b72b-69d52cabcfd4
64908	14	9283	2013-08-03 19:17:58.987967	2013-08-03 19:17:58.987967	\N	08402249-0c29-498e-a51a-7f8bcb5a2cf8
64910	14	9274	2013-08-03 19:17:59.144275	2013-08-03 19:17:59.144275	\N	60aa941b-7e46-4fe3-ac6f-735380537495
64918	11	9283	2013-08-03 19:18:06.646221	2013-08-03 19:18:06.646221	\N	6dbd9afb-ddb8-40d8-bf68-364516e30205
70869	7	9904	2013-08-03 19:42:37.491096	2013-08-03 19:42:37.491096	\N	d69d2294-63d0-4161-ac00-daafd72533b6
75046	11	10432	2013-08-03 20:02:29.578779	2013-08-03 20:02:29.578779	\N	f9ac7c2e-1524-4d22-afc5-569bcea89bde
64928	11	9274	2013-08-03 19:18:07.997639	2013-08-03 19:18:07.997639	\N	66b74fbd-8655-451b-88da-ccc72d9dee01
64930	13	9256	2013-08-03 19:18:08.262202	2013-08-03 19:18:08.262202	\N	e0b7dc53-2b64-45f3-93da-87b66aebc3ba
64934	13	9259	2013-08-03 19:18:08.85281	2013-08-03 19:18:08.85281	\N	d2b65c51-286c-46f0-ac08-28045f349b7c
64937	13	9262	2013-08-03 19:18:09.120545	2013-08-03 19:18:09.120545	\N	b00bf306-6975-4e03-98ad-f2ed89b500f9
64939	12	9292	2013-08-03 19:18:09.285915	2013-08-03 19:18:09.285915	\N	ef9a3659-df9d-4b82-86a2-5312b4f0626a
61293	6	8770	2013-08-03 18:58:03.237812	2013-08-03 18:58:03.237812	\N	8626224b-77fa-4f5e-8d91-05bd0c384e72
65908	2	9424	2013-08-03 19:22:56.497058	2013-08-03 19:22:56.497058	\N	d9db0a80-2544-4d02-a131-330e5523bda3
61304	8	8737	2013-08-03 18:58:05.611573	2013-08-03 18:58:05.611573	\N	a69a6bf1-7be2-4bdd-b6c2-abcab7105a16
68169	6	9625	2013-08-03 19:32:44.220641	2013-08-03 19:32:44.220641	\N	899f20a1-37ba-4b5d-925a-5313aec25291
65910	8	9409	2013-08-03 19:22:58.144263	2013-08-03 19:22:58.144263	\N	a4ffd14e-c797-47fb-8b79-84b483c10555
67006	14	9528	2013-08-03 19:28:00.98442	2013-08-03 19:28:00.98442	\N	7b93c7f6-e0c4-484d-9306-a7ea8d2a09f1
68183	15	9652	2013-08-03 19:32:46.318799	2013-08-03 19:32:46.318799	\N	b25fac49-b775-4012-9327-9118f9ac9a8a
61335	2	8767	2013-08-03 18:58:11.001116	2013-08-03 18:58:11.001116	\N	e0d6feb9-7d64-41cc-b938-eb78c13cd4a8
61336	6	8794	2013-08-03 18:58:11.33655	2013-08-03 18:58:11.33655	\N	3b71aabb-313e-4360-8376-857f636be7e4
61338	11	8743	2013-08-03 18:58:13.218844	2013-08-03 18:58:13.218844	\N	1a6205e9-7f60-4950-9c07-2b73d77dd0bd
68197	8	9625	2013-08-03 19:32:49.688559	2013-08-03 19:32:49.688559	\N	f808e258-d036-469c-b317-597a1a75e00d
62630	12	8863	2013-08-03 19:04:12.50922	2013-08-03 19:04:12.50922	\N	f3281bd0-5646-49bb-ae16-a8c8d2a50ca2
67021	9	9502	2013-08-03 19:28:02.80541	2013-08-03 19:28:02.80541	\N	f77f9cd9-fc7e-4d14-bede-fddd23868df2
67022	11	9532	2013-08-03 19:28:02.877198	2013-08-03 19:28:02.877198	\N	39f9bb81-ffc3-44a1-8cd4-52499c452ee1
67023	9	9505	2013-08-03 19:28:02.973331	2013-08-03 19:28:02.973331	\N	a6764c7d-ef76-499c-b610-a339a389596a
61378	2	8773	2013-08-03 18:58:26.38608	2013-08-03 18:58:26.38608	\N	3b6f7a3a-91dc-4a32-a2f0-b70ef913cda8
68202	8	9631	2013-08-03 19:32:49.782784	2013-08-03 19:32:49.782784	\N	b49a7d19-24cb-458a-bafa-d695d7f8eb47
69574	2	9788	2013-08-03 19:37:49.247008	2013-08-03 19:37:49.247008	\N	24beb360-5edd-4062-b657-9bc19f75444c
65940	11	9385	2013-08-03 19:23:03.904208	2013-08-03 19:23:03.904208	\N	c8644249-6866-4644-a515-630794fd4ca0
67029	11	9545	2013-08-03 19:28:03.911076	2013-08-03 19:28:03.911076	\N	23a31aa6-dfeb-46f1-a3df-2326f6f1020c
91592	17	11689	2013-08-03 20:53:06.383412	2013-08-03 20:53:06.383412	\N	b3713012-b0c7-44d7-8859-1d30b88691b0
65951	11	9419	2013-08-03 19:23:06.908454	2013-08-03 19:23:06.908454	\N	25505913-a27a-4996-b646-e6433ea1ef7c
68219	8	9671	2013-08-03 19:32:51.476268	2013-08-03 19:32:51.476268	\N	734891c5-798f-4ad4-8808-0b242a553435
113303	7	13567	2013-08-03 22:04:25.000763	2013-08-03 22:04:25.000763	\N	34f74198-ada0-4d64-9056-e12551a34531
67055	16	9505	2013-08-03 19:28:09.091187	2013-08-03 19:28:09.091187	\N	95e3f926-254c-43d1-a9f7-0b9319f50d4e
65956	11	9424	2013-08-03 19:23:07.701433	2013-08-03 19:23:07.701433	\N	b2dc8d7f-d50a-4d98-8728-caa2d5e437df
61459	11	8773	2013-08-03 18:59:00.560835	2013-08-03 18:59:00.560835	\N	8f350607-766d-486b-8c30-e3fcbb50181e
61460	11	8776	2013-08-03 18:59:00.746185	2013-08-03 18:59:00.746185	\N	fac0670a-0d00-47d9-a11e-c4f52aac12f0
67056	16	9526	2013-08-03 19:28:09.223853	2013-08-03 19:28:09.223853	\N	29eaad3f-a6d7-41fe-a55b-8230eaf4cf5e
65964	1	9419	2013-08-03 19:23:13.850265	2013-08-03 19:23:13.850265	\N	9a7e8d49-b174-4dfe-8cf0-5510457d8169
65976	9	9379	2013-08-03 19:23:21.669129	2013-08-03 19:23:21.669129	\N	9f0d5409-b74d-4cac-b7f1-19cca3e91f1c
67057	16	9508	2013-08-03 19:28:09.371999	2013-08-03 19:28:09.371999	\N	de9f920d-4c4c-4830-a048-77773a932ae1
65991	6	9418	2013-08-03 19:23:29.757154	2013-08-03 19:23:29.757154	\N	15a17a74-d63a-4302-81e5-79a1d833f1fc
69577	2	9775	2013-08-03 19:37:49.349689	2013-08-03 19:37:49.349689	\N	3f57fb19-ecfd-4955-8e24-1da310ad824a
70871	7	9877	2013-08-03 19:42:37.561579	2013-08-03 19:42:37.561579	\N	ab5946c3-34c4-4ee0-985d-4557904f7970
152245	16	20341	2013-08-04 02:38:07.665914	2013-08-04 02:38:07.665914	\N	4d3c6f87-362d-4c9a-b6fc-351be1f4c0a7
69580	11	9751	2013-08-03 19:37:50.023262	2013-08-03 19:37:50.023262	\N	5d97a47e-05b7-491b-84b5-783126460232
69609	9	9778	2013-08-03 19:37:54.49936	2013-08-03 19:37:54.49936	\N	0dfaafce-ced4-478e-a210-e053e0898601
66037	4	9419	2013-08-03 19:23:49.967476	2013-08-03 19:23:49.967476	\N	9979a450-00ec-44e3-8b88-26a4f7f097e9
69611	7	9787	2013-08-03 19:37:54.668131	2013-08-03 19:37:54.668131	\N	c2072752-4d54-4b86-9e36-f0874775c607
69615	11	9793	2013-08-03 19:37:55.510003	2013-08-03 19:37:55.510003	\N	a7499093-3795-48c6-89a9-3cc9f8d050b2
68235	7	9671	2013-08-03 19:32:54.031134	2013-08-03 19:32:54.031134	\N	1d7d2795-6ec7-4bab-85e6-48e0a15d5534
70876	7	9910	2013-08-03 19:42:37.724031	2013-08-03 19:42:37.724031	\N	f68d5a09-95b3-4745-9f21-9c78f24cd6a9
69621	11	9802	2013-08-03 19:37:56.709591	2013-08-03 19:37:56.709591	\N	92b34815-930d-49c0-8151-880529ccb52e
69624	8	9796	2013-08-03 19:37:57.608417	2013-08-03 19:37:57.608417	\N	199200f4-4356-424b-822c-1b5c506badd4
68695	16	9670	2013-08-03 19:34:17.317457	2013-08-03 19:34:17.317457	\N	36afd029-7ea2-495a-8b69-2e35af57437e
68696	16	9673	2013-08-03 19:34:17.442141	2013-08-03 19:34:17.442141	\N	12cdbd9a-1fb4-4d9c-84ef-a3bd87a1e69a
76614	11	10552	2013-08-03 20:08:12.747397	2013-08-03 20:08:12.747397	\N	2d20af02-6a4a-4bd5-b785-47fddaff8a47
76615	11	10553	2013-08-03 20:08:12.91007	2013-08-03 20:08:12.91007	\N	3a7f546d-f0cf-4c5d-8950-c9866fda792d
63767	3	9040	2013-08-03 19:09:21.438095	2013-08-03 19:09:21.438095	\N	ce851060-cb89-45e9-a264-aa7ca112e8ec
69648	7	9778	2013-08-03 19:38:02.750286	2013-08-03 19:38:02.750286	\N	4e394758-5ffb-43f5-bdb4-c1ba1741a34c
67165	12	9541	2013-08-03 19:28:34.52423	2013-08-03 19:28:34.52423	\N	825f3c7c-ab6c-4110-a510-d358e46468f1
67173	6	9526	2013-08-03 19:28:36.358951	2013-08-03 19:28:36.358951	\N	7ab99a7d-864d-4837-ad36-3cfe20ba81c3
67175	6	9505	2013-08-03 19:28:36.554055	2013-08-03 19:28:36.554055	\N	2746bba2-e771-4230-8f88-133faedb1df6
69649	7	9799	2013-08-03 19:38:02.816887	2013-08-03 19:38:02.816887	\N	fcd03a13-bb7c-4fd7-a7ab-27f292038331
69651	7	9802	2013-08-03 19:38:02.879069	2013-08-03 19:38:02.879069	\N	1b55c845-10d9-483b-9b24-4d2592a11ed1
69652	7	9775	2013-08-03 19:38:02.919432	2013-08-03 19:38:02.919432	\N	e698886d-0602-4507-81d5-12c2d3031127
66121	10	9419	2013-08-03 19:24:08.985979	2013-08-03 19:24:08.985979	\N	df39daf1-5852-4501-96b3-815c25a6a130
63789	10	9040	2013-08-03 19:09:30.055119	2013-08-03 19:09:30.055119	\N	0593aca9-ef77-4e5b-a8fe-39e9f46b8046
63790	10	9046	2013-08-03 19:09:30.164299	2013-08-03 19:09:30.164299	\N	cde4d009-1261-4256-9d5f-66a0ded90b45
67186	14	9545	2013-08-03 19:28:37.610979	2013-08-03 19:28:37.610979	\N	8b883c49-9a00-438d-92d9-a7eb19dcf3d0
63792	10	9041	2013-08-03 19:09:30.37027	2013-08-03 19:09:30.37027	\N	4d839d54-4c50-497d-8192-bb85a51b9252
67188	14	9526	2013-08-03 19:28:37.690208	2013-08-03 19:28:37.690208	\N	90646d52-72c7-46a1-9c78-06f31224b800
67191	14	9550	2013-08-03 19:28:37.741808	2013-08-03 19:28:37.741808	\N	bb78426c-53eb-4727-b519-a878fe1e861e
63811	17	8998	2013-08-03 19:09:36.713539	2013-08-03 19:09:36.713539	\N	58bd38d1-1ba6-46c3-b69d-8a5018440953
67192	14	9501	2013-08-03 19:28:37.79678	2013-08-03 19:28:37.79678	\N	32e7d5ec-7678-4ad3-9e32-d39ef43151b9
69653	7	9793	2013-08-03 19:38:02.968202	2013-08-03 19:38:02.968202	\N	c2e2fb10-784d-4940-bb75-16e6709b296d
69654	7	9784	2013-08-03 19:38:03.046881	2013-08-03 19:38:03.046881	\N	fac73128-cbf2-4000-bbda-d3feff99f1e8
69655	7	9797	2013-08-03 19:38:03.07639	2013-08-03 19:38:03.07639	\N	a0e04ab3-7e27-454f-8b3f-518d8f6f868b
68766	13	9649	2013-08-03 19:34:34.765925	2013-08-03 19:34:34.765925	\N	eadf8e30-da56-416f-9b6d-8c291c2c07e9
69656	7	9757	2013-08-03 19:38:03.109564	2013-08-03 19:38:03.109564	\N	8e0b3df8-b2f0-499b-af5c-e236fd69713c
66186	1	9376	2013-08-03 19:24:28.536017	2013-08-03 19:24:28.536017	\N	9656e825-e9f5-4e93-bd3a-6297ca5db3a1
69657	7	9766	2013-08-03 19:38:03.155384	2013-08-03 19:38:03.155384	\N	1a1cda10-7e83-4fb0-9699-73c07dd54fba
68783	13	9670	2013-08-03 19:34:36.086955	2013-08-03 19:34:36.086955	\N	353f7679-37a9-4dbe-aa25-44ac71b70538
64726	20	9148	2013-08-03 19:16:25.537272	2013-08-03 19:16:25.537272	\N	3e0cad94-2799-4b11-8992-095368fc5559
69658	7	9760	2013-08-03 19:38:03.268472	2013-08-03 19:38:03.268472	\N	7bd43126-396e-4682-b376-aade41a78f2e
69659	7	9788	2013-08-03 19:38:03.600157	2013-08-03 19:38:03.600157	\N	4effe23b-2722-4b1f-a988-a0a68c8fa007
69661	9	9796	2013-08-03 19:38:03.985148	2013-08-03 19:38:03.985148	\N	541108a3-8252-41ef-a6f2-c13895151bda
190772	18	24388	2013-08-04 19:14:57.382495	2013-08-04 19:14:57.382495	\N	c4df564c-4909-4540-9c3f-3a0c4d4bcdb4
111158	11	13399	2013-08-03 21:59:32.325032	2013-08-03 21:59:32.325032	\N	53316b1f-a66f-41ad-aa25-5ad95b67d3b2
76629	6	10501	2013-08-03 20:08:15.511225	2013-08-03 20:08:15.511225	\N	c7688207-8d6b-48af-9a6b-f696d188056c
89998	5	11530	2013-08-03 20:49:06.731303	2013-08-03 20:49:06.731303	\N	5a7ab38a-7199-4bac-bd06-f6868466185b
104840	8	12821	2013-08-03 21:35:10.363405	2013-08-03 21:35:10.363405	\N	5a7e7fa9-6e98-435e-aa5e-a1723036d921
76641	19	10534	2013-08-03 20:08:19.086461	2013-08-03 20:08:19.086461	\N	e015dabe-f29f-4bac-8d82-5f5a66551af2
152248	16	20356	2013-08-04 02:38:07.904048	2013-08-04 02:38:07.904048	\N	4d39fc4a-1e61-46e4-bf3e-8d9989d17f78
70942	1	9923	2013-08-03 19:42:43.541382	2013-08-03 19:42:43.541382	\N	d228d97e-2560-4e49-99b3-89bfe85e5975
70943	11	9877	2013-08-03 19:42:44.507832	2013-08-03 19:42:44.507832	\N	e82a29a1-3fc9-493d-8998-3dbff1fcb4ba
67380	14	9541	2013-08-03 19:29:26.589132	2013-08-03 19:29:26.589132	\N	b651e3e8-4768-40d3-a9c2-f71870f5da8f
70948	13	9877	2013-08-03 19:42:45.112432	2013-08-03 19:42:45.112432	\N	4d805850-50de-4f53-a13a-680c03ff49d9
111162	9	13451	2013-08-03 21:59:33.361795	2013-08-03 21:59:33.361795	\N	f2f28a71-c4d4-4a2e-8e21-44015468ad33
66341	16	9382	2013-08-03 19:25:05.731979	2013-08-03 19:25:05.731979	\N	61b713d7-1f07-490d-8e3c-7f77ae60536e
66343	16	9397	2013-08-03 19:25:05.998583	2013-08-03 19:25:05.998583	\N	3a114ae0-da84-42ae-a6a3-f9d918e6f95c
75034	17	10427	2013-08-03 20:02:28.184381	2013-08-03 20:02:28.184381	\N	b1d375ea-9ca3-49e9-9afe-86cf3440330f
70980	13	9901	2013-08-03 19:42:48.413394	2013-08-03 19:42:48.413394	\N	18b7ec7a-1f99-4e56-b09f-1119f77fdd69
70983	13	9910	2013-08-03 19:42:48.873763	2013-08-03 19:42:48.873763	\N	bdbf8a31-5d00-477c-9ab4-75ae8f603871
75037	11	10427	2013-08-03 20:02:28.735066	2013-08-03 20:02:28.735066	\N	00703f50-07fc-499d-8bf5-af60cd505bb7
67396	14	9499	2013-08-03 19:29:28.880421	2013-08-03 19:29:28.880421	\N	ea0b7b48-0b39-4811-9174-b39f3210739d
72327	5	10003	2013-08-03 19:48:48.684103	2013-08-03 19:48:48.684103	\N	3c3acbc9-2b67-4a6b-aadd-92fba3d70483
70987	11	9910	2013-08-03 19:42:49.445149	2013-08-03 19:42:49.445149	\N	3693cfc6-67b6-4ea7-b553-85caccd76e3d
91654	6	11647	2013-08-03 20:53:16.900696	2013-08-03 20:53:16.900696	\N	ed69088a-3e1e-440f-9885-46f8ec8a0f34
70990	11	9922	2013-08-03 19:42:50.002669	2013-08-03 19:42:50.002669	\N	f970cf40-d509-464e-8cdf-4a51e032781b
90011	5	11536	2013-08-03 20:49:07.634344	2013-08-03 20:49:07.634344	\N	66bed2df-fae4-440e-bbc9-4d04afdea45f
69775	14	9780	2013-08-03 19:38:36.190653	2013-08-03 19:38:36.190653	\N	677c1f6b-6089-4a7d-980c-f2ae3a224d4c
75045	7	10418	2013-08-03 20:02:29.569554	2013-08-03 20:02:29.569554	\N	1bad7bfc-f160-4be1-a0b4-3db83788e025
69777	13	9751	2013-08-03 19:38:37.145084	2013-08-03 19:38:37.145084	\N	49900c1f-792e-42ac-bdab-50b5dc1f8ae2
61637	1	8749	2013-08-03 18:59:13.58731	2013-08-03 18:59:13.58731	\N	ebe31147-836e-4897-a5bb-ab9d81e300ce
75048	7	10427	2013-08-03 20:02:29.673908	2013-08-03 20:02:29.673908	\N	0982d452-1de2-4388-9592-eed3be2b9c83
65990	9	9424	2013-08-03 19:23:29.207	2013-08-03 19:23:29.207	\N	a8679e17-175c-43c7-9afe-ad61454ff12e
62748	10	8872	2013-08-03 19:04:46.905002	2013-08-03 19:04:46.905002	\N	7ce4164c-fe8d-4b85-b097-9c9cf21b5a38
65992	6	9400	2013-08-03 19:23:30.577017	2013-08-03 19:23:30.577017	\N	5e3dbdc6-61d8-41e4-8c73-a54363fd339d
62752	10	8915	2013-08-03 19:04:47.064933	2013-08-03 19:04:47.064933	\N	0a5d51ed-f042-4c71-9fb5-7530a45dd006
67093	4	9502	2013-08-03 19:28:17.833096	2013-08-03 19:28:17.833096	\N	8e11ea82-0133-4c58-870f-434342320b7d
67094	4	9505	2013-08-03 19:28:17.888942	2013-08-03 19:28:17.888942	\N	a3b4d5d7-b203-4e50-92d8-ffa92421bb43
67095	4	9526	2013-08-03 19:28:17.937874	2013-08-03 19:28:17.937874	\N	59805130-7b3a-4cd2-b4d9-b035e2c8ffb8
63869	13	9007	2013-08-03 19:09:55.592842	2013-08-03 19:09:55.592842	\N	f5ce7072-5de2-4851-9ecd-ece9e6d7af61
63870	13	9010	2013-08-03 19:09:55.850384	2013-08-03 19:09:55.850384	\N	006234ba-8b98-4e57-a267-19a58380b80c
61729	5	8758	2013-08-03 18:59:41.004084	2013-08-03 18:59:41.004084	\N	aa38c6f4-f393-4fdb-a969-1e536af51fd3
61730	5	8776	2013-08-03 18:59:41.094392	2013-08-03 18:59:41.094392	\N	93d47eb0-1b62-4d56-b345-dcdb241654f6
61731	5	8794	2013-08-03 18:59:41.137527	2013-08-03 18:59:41.137527	\N	f4571169-eda8-45e9-af48-123efb36dae8
68247	5	9628	2013-08-03 19:32:55.071875	2013-08-03 19:32:55.071875	\N	b132282e-8ebd-45d4-a93d-bb5817a9ad3b
67098	4	9541	2013-08-03 19:28:18.005349	2013-08-03 19:28:18.005349	\N	182c9b9b-27d7-4f46-88b7-75fb62308b7c
61749	12	8737	2013-08-03 18:59:45.074841	2013-08-03 18:59:45.074841	\N	867c92a7-fad8-4537-9419-3241f550d84a
63886	13	9046	2013-08-03 19:09:58.127378	2013-08-03 19:09:58.127378	\N	273351ff-9831-4b57-947a-69e8e9824f50
64884	7	9274	2013-08-03 19:17:44.832385	2013-08-03 19:17:44.832385	\N	f1b1e2e8-53b8-4228-939a-ba05e5a19007
61766	12	8788	2013-08-03 18:59:47.385468	2013-08-03 18:59:47.385468	\N	fb095fbb-09e2-48d6-840c-c668ca491d9b
67100	4	9544	2013-08-03 19:28:18.048192	2013-08-03 19:28:18.048192	\N	1f5e2f81-de72-485f-947e-10580a04680a
67101	4	9550	2013-08-03 19:28:18.094016	2013-08-03 19:28:18.094016	\N	1642218d-0187-4cef-9eb7-2b6e54649a8b
67102	5	9526	2013-08-03 19:28:18.81309	2013-08-03 19:28:18.81309	\N	acfdd3b6-08b7-498e-9012-74b3a6878754
64894	7	9283	2013-08-03 19:17:48.696787	2013-08-03 19:17:48.696787	\N	5e92cf1e-0b4b-4b98-ab4d-e836669f34ce
64907	8	9293	2013-08-03 19:17:58.499638	2013-08-03 19:17:58.499638	\N	b815ccfd-e485-48f0-8207-ddbc7ed05362
64913	14	9298	2013-08-03 19:17:59.402678	2013-08-03 19:17:59.402678	\N	0b59d490-c630-49f0-bb47-e759426264e1
67103	5	9499	2013-08-03 19:28:18.910286	2013-08-03 19:28:18.910286	\N	476597d9-27be-48f0-b45b-03e6dc2037f5
70873	7	9925	2013-08-03 19:42:37.621849	2013-08-03 19:42:37.621849	\N	e090e489-2de6-41dc-8eee-c8a25312dc99
64916	14	9276	2013-08-03 19:18:06.07398	2013-08-03 19:18:06.07398	\N	9aeaba16-f402-4647-9875-a1bb111500ac
62798	4	8887	2013-08-03 19:05:02.729284	2013-08-03 19:05:02.729284	\N	d1816540-4169-4e16-a552-fa5f1ea5d611
64923	11	9253	2013-08-03 19:18:07.512312	2013-08-03 19:18:07.512312	\N	67a2c487-cbc1-4d30-8124-7f4d6137fd91
69592	11	9757	2013-08-03 19:37:51.518296	2013-08-03 19:37:51.518296	\N	eb9d14e0-92bf-41c3-a638-8b43c788ae20
69593	5	9787	2013-08-03 19:37:51.657822	2013-08-03 19:37:51.657822	\N	43b50e46-9901-47b4-a6a2-b1e03ce98deb
64936	17	9293	2013-08-03 19:18:09.114422	2013-08-03 19:18:09.114422	\N	b5c0fb58-975d-42a0-a98a-8fbde6ba2790
64938	11	9259	2013-08-03 19:18:09.214319	2013-08-03 19:18:09.214319	\N	22b2b419-795b-4990-82cd-56f45cf90a30
64942	12	9298	2013-08-03 19:18:09.791211	2013-08-03 19:18:09.791211	\N	61f298bf-d7d1-4d8e-b590-be67737c6940
69603	6	9787	2013-08-03 19:37:53.686009	2013-08-03 19:37:53.686009	\N	8e269bc4-718f-48d8-acc7-8b7b2e492212
64950	13	9280	2013-08-03 19:18:10.476033	2013-08-03 19:18:10.476033	\N	65c6f3f8-3833-4074-ad8d-6bd172796503
64958	13	9298	2013-08-03 19:18:11.763037	2013-08-03 19:18:11.763037	\N	684f9584-f9bf-4123-b197-c5dd93c198bb
64959	11	9292	2013-08-03 19:18:11.844453	2013-08-03 19:18:11.844453	\N	34cb74f5-18d8-4bb5-9413-513a709346a1
64965	11	9295	2013-08-03 19:18:12.466867	2013-08-03 19:18:12.466867	\N	8520775b-c322-4375-8608-24444b96d71a
64969	11	9298	2013-08-03 19:18:12.802458	2013-08-03 19:18:12.802458	\N	4d366b27-8d82-47fd-b03a-4ac6f0f8e75c
68254	11	9628	2013-08-03 19:32:55.488715	2013-08-03 19:32:55.488715	\N	112d80fd-c37e-4ea8-9899-4334f1357eeb
70875	7	9923	2013-08-03 19:42:37.702275	2013-08-03 19:42:37.702275	\N	f98f109d-2a66-4f8f-abeb-c2431f7e4704
69613	11	9784	2013-08-03 19:37:55.208058	2013-08-03 19:37:55.208058	\N	33c1b38e-500d-4614-97f7-adbdd26b0d4e
70878	7	9886	2013-08-03 19:42:37.821996	2013-08-03 19:42:37.821996	\N	48b40899-65f2-4ec7-a110-e4852505c245
113305	7	13525	2013-08-03 22:04:25.170733	2013-08-03 22:04:25.170733	\N	ec4a1859-56b3-4c43-933b-40841d973ba7
69618	11	9796	2013-08-03 19:37:56.038387	2013-08-03 19:37:56.038387	\N	01f361e7-358b-49e5-94b5-1b36e14d9de3
69619	11	9799	2013-08-03 19:37:56.363059	2013-08-03 19:37:56.363059	\N	c6657fbf-0010-43ff-b5c2-7131d0f0de90
65029	9	9283	2013-08-03 19:18:34.329481	2013-08-03 19:18:34.329481	\N	a74ed0d8-45fb-401d-bc5c-786f03a2db3c
65033	10	9274	2013-08-03 19:18:35.272116	2013-08-03 19:18:35.272116	\N	d06ba0e7-a7e6-4d4b-8d72-6333217da350
84876	10	11131	2013-08-03 20:34:08.073287	2013-08-03 20:34:08.073287	\N	e5dec802-295d-4b70-86d7-7a6fef1242c3
75058	7	10390	2013-08-03 20:02:29.981613	2013-08-03 20:02:29.981613	\N	fa7a313d-c224-4922-a2e6-a7d639b98e0a
62910	13	8881	2013-08-03 19:05:47.422973	2013-08-03 19:05:47.422973	\N	1b595575-41de-44b2-b674-b6beddac85e4
62911	13	8884	2013-08-03 19:05:47.703685	2013-08-03 19:05:47.703685	\N	a1a6a013-b267-4df4-9491-6be74d4ecb9c
62912	13	8887	2013-08-03 19:05:47.971543	2013-08-03 19:05:47.971543	\N	5e607c55-55ca-474c-bdfe-1a39bb19b1c6
67169	6	9550	2013-08-03 19:28:35.784232	2013-08-03 19:28:35.784232	\N	cfec57cb-0a3a-46fc-ba29-cb13ae41a9f7
65069	7	9280	2013-08-03 19:18:47.917113	2013-08-03 19:18:47.917113	\N	8b264a0c-f96e-438c-bce7-d98852c77da9
62918	13	8893	2013-08-03 19:05:48.470348	2013-08-03 19:05:48.470348	\N	fd4b4bd8-df30-4b97-a6b4-16affbf73fd2
62919	13	8896	2013-08-03 19:05:48.750731	2013-08-03 19:05:48.750731	\N	9bb66d3a-51a0-4320-a823-c20c02af3e18
62920	13	8902	2013-08-03 19:05:49.031617	2013-08-03 19:05:49.031617	\N	ba8da919-27d9-4941-9c70-24b1e1083acf
62922	13	8914	2013-08-03 19:05:49.530875	2013-08-03 19:05:49.530875	\N	648b7ebe-b54a-40eb-b238-948bacad6f48
62923	13	8917	2013-08-03 19:05:49.810358	2013-08-03 19:05:49.810358	\N	179eb17a-ace0-4017-b1cb-7106998e9eeb
62924	13	8920	2013-08-03 19:05:50.100636	2013-08-03 19:05:50.100636	\N	c5b022c6-7869-4a5e-bdd5-be27320e2b30
65070	9	9292	2013-08-03 19:18:47.975947	2013-08-03 19:18:47.975947	\N	5395efbc-e3e2-4c68-9c3c-5163e619a482
67170	3	9544	2013-08-03 19:28:36.170336	2013-08-03 19:28:36.170336	\N	1e2e791f-1b71-43c1-977e-da0e09749655
67172	3	9541	2013-08-03 19:28:36.250211	2013-08-03 19:28:36.250211	\N	18483019-3559-4bfc-8f11-b037313456af
67174	3	9526	2013-08-03 19:28:36.390079	2013-08-03 19:28:36.390079	\N	40281f2d-284e-43e7-aeba-39c4b292f4a9
67176	6	9502	2013-08-03 19:28:36.898202	2013-08-03 19:28:36.898202	\N	9e477a32-3aa1-4f5b-acb0-6c2338943039
75060	7	10405	2013-08-03 20:02:30.094368	2013-08-03 20:02:30.094368	\N	1dfb4fe5-cf77-4536-b344-5c6471d46833
75061	7	10429	2013-08-03 20:02:30.167094	2013-08-03 20:02:30.167094	\N	96ff0dbd-6cf4-4dee-872f-f7861c35e1a4
69629	17	9797	2013-08-03 19:37:58.618324	2013-08-03 19:37:58.618324	\N	2d96b87d-1840-4769-98d8-3a8970fe5928
68740	10	9661	2013-08-03 19:34:25.543252	2013-08-03 19:34:25.543252	\N	9d672168-3cd1-4904-9ac3-2a9287e9d80d
66116	10	9409	2013-08-03 19:24:08.617307	2013-08-03 19:24:08.617307	\N	cb73b7e3-71e3-430c-8404-9c7ef845b428
68743	10	9670	2013-08-03 19:34:25.759817	2013-08-03 19:34:25.759817	\N	0b95711d-f28c-4e27-880d-02a081e1bc20
66118	10	9418	2013-08-03 19:24:08.80884	2013-08-03 19:24:08.80884	\N	11072bc0-791f-4284-84d1-b40484c203ef
70936	2	9883	2013-08-03 19:42:43.159839	2013-08-03 19:42:43.159839	\N	c8411b1b-2f33-4319-ad6e-75285921b075
68746	20	9652	2013-08-03 19:34:29.638951	2013-08-03 19:34:29.638951	\N	613ceeff-7f0e-4154-848b-5ba46a23cc12
68753	13	9634	2013-08-03 19:34:32.944359	2013-08-03 19:34:32.944359	\N	dc724b3b-f11e-46d7-a4de-e7594131dbef
68758	13	9640	2013-08-03 19:34:33.790489	2013-08-03 19:34:33.790489	\N	5564e83f-7378-4c74-ba8c-ee17471e397b
62945	3	8896	2013-08-03 19:05:55.074896	2013-08-03 19:05:55.074896	\N	a867361e-f845-4609-989e-2e97dd171f6d
69662	9	9802	2013-08-03 19:38:05.205681	2013-08-03 19:38:05.205681	\N	802a991a-2cc9-4ebd-81ae-4764929ad69d
84877	10	11164	2013-08-03 20:34:08.180093	2013-08-03 20:34:08.180093	\N	158a16a9-a01e-412e-8c4b-be0c06abde2d
70938	2	9901	2013-08-03 19:42:43.285141	2013-08-03 19:42:43.285141	\N	de892701-b8bd-4e46-b3c4-4192afaa65ce
70939	2	9923	2013-08-03 19:42:43.324129	2013-08-03 19:42:43.324129	\N	d4233881-c3e3-4e58-a464-95cd9193242e
75064	7	10375	2013-08-03 20:02:30.255415	2013-08-03 20:02:30.255415	\N	beb7a1b9-1b62-4591-9542-2c3fbd70391b
70941	2	9886	2013-08-03 19:42:43.388072	2013-08-03 19:42:43.388072	\N	36fbc376-09fa-4345-b3de-6fe0e5ff23fe
69695	2	9780	2013-08-03 19:38:14.800164	2013-08-03 19:38:14.800164	\N	058bc1ce-acbc-4be3-9f3e-59104305a901
84878	10	11188	2013-08-03 20:34:08.289873	2013-08-03 20:34:08.289873	\N	6ad26181-e0ed-4340-9ba5-9798a55269ab
84879	10	11182	2013-08-03 20:34:08.398288	2013-08-03 20:34:08.398288	\N	832b8355-dcec-4185-b5e8-24ffa61b2325
70947	11	9914	2013-08-03 19:42:45.088159	2013-08-03 19:42:45.088159	\N	f27645a0-e2b1-4794-926c-d48f27a6ebe1
66160	7	9376	2013-08-03 19:24:16.786536	2013-08-03 19:24:16.786536	\N	86fa15d6-fcd9-41ff-a184-d6f82770a782
66161	6	9376	2013-08-03 19:24:18.898628	2013-08-03 19:24:18.898628	\N	4c308029-c394-49c1-8aef-67b6c507c533
66166	12	9376	2013-08-03 19:24:21.741575	2013-08-03 19:24:21.741575	\N	c4c4584c-2433-4589-8ad3-80226085cb16
66167	12	9379	2013-08-03 19:24:22.035498	2013-08-03 19:24:22.035498	\N	001f04e8-67d5-4f53-960d-e9fbcf839587
70949	13	9883	2013-08-03 19:42:45.945466	2013-08-03 19:42:45.945466	\N	af74fafb-7b06-46a8-804a-1fe3af72127e
70952	13	9904	2013-08-03 19:42:46.254772	2013-08-03 19:42:46.254772	\N	5ed1c7de-523d-4b54-a1b4-9141fd207c93
152246	16	20329	2013-08-04 02:38:07.802109	2013-08-04 02:38:07.802109	\N	0928f939-4998-4408-810c-98ea35d10a86
70954	9	9877	2013-08-03 19:42:46.447123	2013-08-03 19:42:46.447123	\N	7af6fc65-7fba-4c96-b1e6-4e9bd071d761
68832	10	9628	2013-08-03 19:34:46.043317	2013-08-03 19:34:46.043317	\N	0bb256db-9dd7-4b69-ac1a-33a02ced2bb0
76624	11	10558	2013-08-03 20:08:13.770035	2013-08-03 20:08:13.770035	\N	25dc1fab-f1cf-4d6b-8cd7-8e76b83445b1
71003	15	9928	2013-08-03 19:42:52.796031	2013-08-03 19:42:52.796031	\N	1691f991-8cd8-4549-8291-48f6ec7006c8
67277	17	9545	2013-08-03 19:28:54.383293	2013-08-03 19:28:54.383293	\N	1a5551fe-5676-4622-85ed-aa69ee2f0a35
104841	17	12821	2013-08-03 21:35:11.207395	2013-08-03 21:35:11.207395	\N	9b780878-a6cf-4325-b6c0-98da324dad2b
91605	6	11668	2013-08-03 20:53:07.163034	2013-08-03 20:53:07.163034	\N	f9b9720c-8164-47fb-b3c1-f5dfd880cc10
75098	8	10432	2013-08-03 20:02:32.870206	2013-08-03 20:02:32.870206	\N	263a9f82-21c4-459e-9d79-864aef943282
91606	17	11692	2013-08-03 20:53:08.482678	2013-08-03 20:53:08.482678	\N	1e22acbe-d419-4df0-b34f-e1ea1fc012e8
84899	2	11161	2013-08-03 20:34:10.01423	2013-08-03 20:34:10.01423	\N	8d47cacf-cc64-41b8-8331-32c82324cff5
69724	10	9757	2013-08-03 19:38:18.17986	2013-08-03 19:38:18.17986	\N	f57e59d1-437c-48ee-a5e1-5cd2b89fb31c
75050	7	10426	2013-08-03 20:02:29.740405	2013-08-03 20:02:29.740405	\N	746b83d8-dcd8-40b8-8a8d-704dda9ef1af
69600	11	9760	2013-08-03 19:37:52.610367	2013-08-03 19:37:52.610367	\N	a536e449-eb82-42ac-b57c-01ab3c87a111
75053	7	10432	2013-08-03 20:02:29.812274	2013-08-03 20:02:29.812274	\N	5a5360f3-1dcf-4dbf-a474-cec0687eae0b
75054	7	10387	2013-08-03 20:02:29.870384	2013-08-03 20:02:29.870384	\N	6c5a6e33-be6a-4d6e-aa70-840bab886eb2
61690	17	8746	2013-08-03 18:59:17.539924	2013-08-03 18:59:17.539924	\N	252c803d-85e8-4e3d-b9a3-f6353c310597
69606	9	9754	2013-08-03 19:37:54.177374	2013-08-03 19:37:54.177374	\N	0046d013-fcdd-4c77-9aac-7c45310398d3
66114	10	9400	2013-08-03 19:24:08.348375	2013-08-03 19:24:08.348375	\N	259975c5-db06-42e3-9043-fbb56993f0b2
66115	10	9379	2013-08-03 19:24:08.492355	2013-08-03 19:24:08.492355	\N	8c1ce5cd-bf96-4f38-b862-07c3f0785a54
69607	9	9757	2013-08-03 19:37:54.347567	2013-08-03 19:37:54.347567	\N	39bd3117-b881-4b27-a020-8624ac0362e2
72321	5	10048	2013-08-03 19:48:48.186189	2013-08-03 19:48:48.186189	\N	d577f7c5-2d29-4ec4-81f0-94de9989aacb
64873	2	9262	2013-08-03 19:17:41.694096	2013-08-03 19:17:41.694096	\N	0c436a21-6171-4be2-9613-310e0410e53c
64874	2	9274	2013-08-03 19:17:41.808562	2013-08-03 19:17:41.808562	\N	60c2db20-d502-40c0-be58-25753ecf76e3
64875	2	9293	2013-08-03 19:17:41.86524	2013-08-03 19:17:41.86524	\N	8789ca9f-3fbb-4137-b7ce-b3a941c3aee2
64876	2	9295	2013-08-03 19:17:41.914702	2013-08-03 19:17:41.914702	\N	1506c7bf-cba2-4db1-a85e-46526b4b9c36
64877	2	9253	2013-08-03 19:17:41.968649	2013-08-03 19:17:41.968649	\N	8b257f6f-ffc1-4e52-a20a-f819d9d2e876
64878	2	9256	2013-08-03 19:17:42.013007	2013-08-03 19:17:42.013007	\N	9a7d0eaa-df88-43cc-bcb2-df7ab4a33453
61759	5	8494	2013-08-03 18:59:46.850576	2013-08-03 18:59:46.850576	\N	7daa7a35-98b2-42d8-9f50-5e5a6246b3ed
69627	14	9753	2013-08-03 19:37:58.571807	2013-08-03 19:37:58.571807	\N	8e8bbc8f-4fed-4faa-9c76-d036c1aedcdf
69633	9	9797	2013-08-03 19:37:59.66703	2013-08-03 19:37:59.66703	\N	f6d6f59e-ba93-4f1b-9347-78fa58dd181a
70944	14	9914	2013-08-03 19:42:44.746225	2013-08-03 19:42:44.746225	\N	d07a5091-1f4b-420c-8147-8ae466a6d83d
66183	12	9424	2013-08-03 19:24:25.210445	2013-08-03 19:24:25.210445	\N	2f450d4b-7336-4eca-a9b8-ac63453a4993
64891	7	9253	2013-08-03 19:17:45.8055	2013-08-03 19:17:45.8055	\N	2f2219b8-9f02-4db7-abe1-9115ef2f68b8
70950	11	9883	2013-08-03 19:42:46.020309	2013-08-03 19:42:46.020309	\N	23418fbb-b7c8-4770-90b7-ef9b0f735e51
69650	9	9793	2013-08-03 19:38:02.836126	2013-08-03 19:38:02.836126	\N	e3f1cb03-5be9-4da6-aa1e-b09cdc046faa
75056	7	10408	2013-08-03 20:02:29.947645	2013-08-03 20:02:29.947645	\N	19d70ca1-6031-46b4-9670-01e88bfb5a7d
64905	7	9293	2013-08-03 19:17:58.105062	2013-08-03 19:17:58.105062	\N	132fd52e-f546-4472-815a-727d1bfead55
69671	8	9788	2013-08-03 19:38:10.7034	2013-08-03 19:38:10.7034	\N	18343a91-d4b6-4e41-9a9e-d5b584cdd8c6
64912	14	9292	2013-08-03 19:17:59.15202	2013-08-03 19:17:59.15202	\N	dc31353d-4fbc-47cb-a035-dd9e5b1de0cb
64917	12	9283	2013-08-03 19:18:06.172419	2013-08-03 19:18:06.172419	\N	afc3c1e1-5165-4796-b187-abf7ae02ec25
64927	13	9274	2013-08-03 19:18:07.990135	2013-08-03 19:18:07.990135	\N	eed453aa-54d6-4052-9824-53d201a0827c
70955	13	9886	2013-08-03 19:42:46.481784	2013-08-03 19:42:46.481784	\N	d2228571-4d77-494d-8b7e-b3f911a7fb2e
63990	2	9004	2013-08-03 19:10:41.253043	2013-08-03 19:10:41.253043	\N	22e1af25-151a-4d00-9813-f8370ff901fa
70960	9	9904	2013-08-03 19:42:46.811267	2013-08-03 19:42:46.811267	\N	5934e77a-dbb9-4955-a34c-ba438a181dab
64932	4	9293	2013-08-03 19:18:08.44658	2013-08-03 19:18:08.44658	\N	8024ace1-4c62-469c-a5eb-eb16b6d4ed44
64933	11	9256	2013-08-03 19:18:08.602065	2013-08-03 19:18:08.602065	\N	023daf65-e038-4a01-872e-bb4600fea9c8
63994	2	9024	2013-08-03 19:10:41.400173	2013-08-03 19:10:41.400173	\N	9e7ef199-94aa-40d3-8af2-6331aee6ea16
64945	13	9271	2013-08-03 19:18:09.948842	2013-08-03 19:18:09.948842	\N	a0c52baa-ab06-4b4e-a3bc-dbabb995f3cc
75059	7	10396	2013-08-03 20:02:30.010546	2013-08-03 20:02:30.010546	\N	d18ee061-21b3-4d81-899e-6ff58e420798
93348	17	11917	2013-08-03 21:00:08.64591	2013-08-03 21:00:08.64591	\N	89982d9a-2490-4c24-8d7a-49c39c4e88db
124708	16	15301	2013-08-03 23:17:05.942905	2013-08-03 23:17:05.942905	\N	389cc2c8-a91d-4a76-994d-26a9276f02a3
75124	9	10375	2013-08-03 20:02:44.362255	2013-08-03 20:02:44.362255	\N	2a5a2bfa-39ba-4a61-8222-193ee7aa1c1b
113307	7	13576	2013-08-03 22:04:25.366248	2013-08-03 22:04:25.366248	\N	f581df33-f7b8-46bb-84ea-5d3dd170086f
70976	15	9904	2013-08-03 19:42:48.212407	2013-08-03 19:42:48.212407	\N	25ca2b3e-75e9-4da6-808d-1208a023d799
64990	8	9298	2013-08-03 19:18:20.748684	2013-08-03 19:18:20.748684	\N	c46faa74-e0fb-4a7c-89fb-714a96b66cd6
70989	13	9925	2013-08-03 19:42:49.681349	2013-08-03 19:42:49.681349	\N	e4a8314a-d3cc-451f-836b-df819f2853e0
69725	10	9796	2013-08-03 19:38:18.301378	2013-08-03 19:38:18.301378	\N	6b3f21cb-ffb5-490e-b3c4-e33b1d5cdd4b
70991	11	9923	2013-08-03 19:42:50.148822	2013-08-03 19:42:50.148822	\N	68397b99-9ec5-4bea-b574-84e127445e1f
65030	10	9253	2013-08-03 19:18:34.955092	2013-08-03 19:18:34.955092	\N	8d21764f-034a-49cb-8de7-54ff76982044
65037	9	9274	2013-08-03 19:18:36.729419	2013-08-03 19:18:36.729419	\N	8a115529-7f5b-4767-a047-70b7d67baf99
69734	14	9802	2013-08-03 19:38:20.610326	2013-08-03 19:38:20.610326	\N	1c301c84-c4f2-4274-83ff-d41c77ccfb99
69735	14	9799	2013-08-03 19:38:20.684503	2013-08-03 19:38:20.684503	\N	d6244aa8-3b1e-428a-926f-f72c9f2d17c0
72337	5	10027	2013-08-03 19:48:50.13589	2013-08-03 19:48:50.13589	\N	9910af65-abd0-4b4e-b35d-043a4a19e1f8
75126	9	10408	2013-08-03 20:02:48.524718	2013-08-03 20:02:48.524718	\N	d2a05f3d-809b-4e61-bf53-1317e5e07e64
70994	13	9928	2013-08-03 19:42:50.467171	2013-08-03 19:42:50.467171	\N	7e159f43-8331-41fa-955f-52312527087d
70995	11	9925	2013-08-03 19:42:50.585232	2013-08-03 19:42:50.585232	\N	27cffe12-4cd8-4f0a-b7ac-df958ab3502e
65051	2	9271	2013-08-03 19:18:42.76991	2013-08-03 19:18:42.76991	\N	8905566f-b0eb-4a1e-9382-df462c342a9c
75129	15	10387	2013-08-03 20:02:49.111999	2013-08-03 20:02:49.111999	\N	6c3179e6-7310-4c1f-9d41-58a2f5880d25
69762	14	9787	2013-08-03 19:38:23.794662	2013-08-03 19:38:23.794662	\N	cba94b18-185a-4388-9b43-0e785052a6d5
65079	4	9283	2013-08-03 19:18:51.358898	2013-08-03 19:18:51.358898	\N	1cc4553a-4da2-4c84-94d6-9385b273c78d
65080	4	9253	2013-08-03 19:18:51.389681	2013-08-03 19:18:51.389681	\N	ce5cdc7e-4840-4f2a-aa04-fb884c141d5b
65081	4	9274	2013-08-03 19:18:51.427211	2013-08-03 19:18:51.427211	\N	48de813b-7232-4e15-a0a1-5521b435c0ed
70997	11	9928	2013-08-03 19:42:50.853569	2013-08-03 19:42:50.853569	\N	5a5b9df6-e23c-4240-ae13-10e16292b754
65083	4	9292	2013-08-03 19:18:51.515825	2013-08-03 19:18:51.515825	\N	33b5c11d-e5e7-46ab-907e-c4ad837f8f63
65084	4	9298	2013-08-03 19:18:51.564302	2013-08-03 19:18:51.564302	\N	d164a4d0-353a-433f-8cc0-c3ed02866137
70998	5	9928	2013-08-03 19:42:50.901419	2013-08-03 19:42:50.901419	\N	16e16aeb-e909-4667-ba81-4f9314a48fdc
75132	15	10426	2013-08-03 20:02:50.184999	2013-08-03 20:02:50.184999	\N	eb477f6a-dbf5-4bce-aad1-60f07c43ed10
75133	15	10375	2013-08-03 20:02:50.603172	2013-08-03 20:02:50.603172	\N	19e16ef3-713b-4f30-94d6-3f0ceac110ef
69778	4	9788	2013-08-03 19:38:38.038866	2013-08-03 19:38:38.038866	\N	638a2072-82cf-4c86-a569-13331131a508
69780	4	9797	2013-08-03 19:38:38.13673	2013-08-03 19:38:38.13673	\N	96c38371-085f-4b1f-b5db-77e6d4fb4314
69781	13	9787	2013-08-03 19:38:38.193845	2013-08-03 19:38:38.193845	\N	9fd9e759-df15-47ec-af15-989d44f38189
71001	5	9901	2013-08-03 19:42:51.308386	2013-08-03 19:42:51.308386	\N	fd74e2d2-0712-49e7-a45c-49d935e0bd02
67358	2	9501	2013-08-03 19:29:19.271254	2013-08-03 19:29:19.271254	\N	8631dcb7-e5cb-4051-b3fd-0ff1aa5707d6
67359	6	9545	2013-08-03 19:29:19.777935	2013-08-03 19:29:19.777935	\N	cd40cf26-9605-4d9e-a2a3-110710f39816
69784	13	9754	2013-08-03 19:38:38.48139	2013-08-03 19:38:38.48139	\N	7357a949-0dbd-457b-a04d-f52f611df1a8
69785	13	9757	2013-08-03 19:38:38.745266	2013-08-03 19:38:38.745266	\N	37b01d81-ea2c-4ea5-aa0c-68cc5546da61
66324	14	9376	2013-08-03 19:24:59.037697	2013-08-03 19:24:59.037697	\N	9c3cbc66-f4fb-48f4-a8dd-3970d91131a6
66325	14	9379	2013-08-03 19:24:59.088921	2013-08-03 19:24:59.088921	\N	c6c4d1cb-b905-4179-8d02-b98fe47ead26
66326	14	9409	2013-08-03 19:24:59.136356	2013-08-03 19:24:59.136356	\N	f658f495-7a30-4faa-942f-4e165866be46
69786	13	9778	2013-08-03 19:38:39.094771	2013-08-03 19:38:39.094771	\N	121eaec0-835f-4588-b650-3d4b69a09395
69787	13	9760	2013-08-03 19:38:39.373803	2013-08-03 19:38:39.373803	\N	80ee331a-b4d5-4dcc-b7bb-4d2af990cefd
76625	2	10513	2013-08-03 20:08:13.787502	2013-08-03 20:08:13.787502	\N	999e1c81-e544-4afd-96d8-f961f5d9d70f
66339	16	9379	2013-08-03 19:25:05.443856	2013-08-03 19:25:05.443856	\N	152e1bf3-2ad6-4789-bbc0-be5dc267cdac
66347	16	9421	2013-08-03 19:25:06.624281	2013-08-03 19:25:06.624281	\N	7bf54f04-03c9-44f4-8bd4-984d4a7bbca1
91610	9	11662	2013-08-03 20:53:10.593578	2013-08-03 20:53:10.593578	\N	cceb4207-8abb-473a-abb3-fc529cb599ff
66365	8	9373	2013-08-03 19:25:15.869366	2013-08-03 19:25:15.869366	\N	ee1e6a52-c3fa-4ad7-9d66-b948d45fa724
124709	16	15289	2013-08-03 23:17:06.13119	2013-08-03 23:17:06.13119	\N	013e9caa-7658-4adf-aa04-5adffc57920f
69792	2	9760	2013-08-03 19:38:39.974395	2013-08-03 19:38:39.974395	\N	985fca47-c260-414c-85de-c96860aea577
67376	14	9505	2013-08-03 19:29:26.542736	2013-08-03 19:29:26.542736	\N	5a4bd8b6-667a-4445-9912-a4498af13a15
79628	17	10648	2013-08-03 20:20:52.122571	2013-08-03 20:20:52.122571	\N	5a48f41d-5092-41f7-9d35-b34f1ae4fb7b
90007	5	11560	2013-08-03 20:49:07.215807	2013-08-03 20:49:07.215807	\N	4e486b8f-644f-43d1-9ab4-1beee84a8cc7
93370	2	11914	2013-08-03 21:00:14.46999	2013-08-03 21:00:14.46999	\N	3a25777e-e30e-4457-ba97-7bcf01b85c22
69797	13	9766	2013-08-03 19:38:40.187239	2013-08-03 19:38:40.187239	\N	a57ea4b1-9795-409a-859b-5fb8086444d1
76687	19	10558	2013-08-03 20:08:27.886519	2013-08-03 20:08:27.886519	\N	3e7aea25-c45e-44a1-9b0e-9cd0248a2e58
83170	5	11032	2013-08-03 20:30:09.316772	2013-08-03 20:30:09.316772	\N	eda5ca78-a3a9-48f9-96d8-5ac02e6578b7
113312	8	13546	2013-08-03 22:04:25.563945	2013-08-03 22:04:25.563945	\N	48c963ad-b229-4106-bf8b-989f0fded09a
111186	11	13435	2013-08-03 21:59:34.930818	2013-08-03 21:59:34.930818	\N	e946dc22-ab38-421d-9bcc-c67995f98fe9
90026	5	11566	2013-08-03 20:49:08.524082	2013-08-03 20:49:08.524082	\N	f1dabe06-66a7-41ca-97c7-2a52bc860fbe
67457	10	9550	2013-08-03 19:29:42.471972	2013-08-03 19:29:42.471972	\N	cf9c4843-f489-4e66-b8a8-5ccb17c5d7ea
65184	17	9274	2013-08-03 19:19:23.18417	2013-08-03 19:19:23.18417	\N	993bf517-ceef-40a3-a660-44e8e0e213be
65185	17	9298	2013-08-03 19:19:25.270527	2013-08-03 19:19:25.270527	\N	9633940d-5fc7-45de-96c2-529c2976fcf8
69844	13	9802	2013-08-03 19:38:44.489711	2013-08-03 19:38:44.489711	\N	ccf3ae13-ee31-4f53-8536-8199568d9fc5
69848	2	9796	2013-08-03 19:38:45.086627	2013-08-03 19:38:45.086627	\N	65850daa-1e54-4131-9706-c26afa56c380
69850	6	9778	2013-08-03 19:38:45.160148	2013-08-03 19:38:45.160148	\N	b241c990-8f9d-4ca7-b4cd-1ac76463bc59
91640	6	11692	2013-08-03 20:53:14.015222	2013-08-03 20:53:14.015222	\N	3c881527-36aa-4417-bc91-e5b6e77722bf
113317	8	13579	2013-08-03 22:04:25.603901	2013-08-03 22:04:25.603901	\N	b321dbbb-23d0-4530-a847-fdce60c76965
69860	8	9787	2013-08-03 19:38:45.551346	2013-08-03 19:38:45.551346	\N	f18124e6-9921-4275-b146-45ed30dea188
69867	6	9757	2013-08-03 19:38:46.060283	2013-08-03 19:38:46.060283	\N	c63a3647-2cd9-46d5-aac5-57d8788b816c
69667	3	9757	2013-08-03 19:38:10.42578	2013-08-03 19:38:10.42578	\N	44c72c5b-a5b6-4fd3-97ac-1d80534eac1f
64904	2	9298	2013-08-03 19:17:57.331543	2013-08-03 19:17:57.331543	\N	bfbdd1ae-c7ed-44a4-8e36-7dd81136a181
68262	5	9649	2013-08-03 19:32:56.058998	2013-08-03 19:32:56.058998	\N	e0629c9a-6100-4757-a318-0ed966ef3037
64919	12	9253	2013-08-03 19:18:06.657557	2013-08-03 19:18:06.657557	\N	619d9db1-b0fa-40bc-9064-33ca088409b0
64921	12	9274	2013-08-03 19:18:06.967612	2013-08-03 19:18:06.967612	\N	1389f4a7-6118-4a97-adb3-2655d83e0902
64922	13	9283	2013-08-03 19:18:07.138692	2013-08-03 19:18:07.138692	\N	0304323c-0134-4e67-9a49-468b90b8961e
64925	13	9253	2013-08-03 19:18:07.709111	2013-08-03 19:18:07.709111	\N	700e0eda-d015-4d06-bc50-41e796acbd72
66189	9	9376	2013-08-03 19:24:30.021098	2013-08-03 19:24:30.021098	\N	0d4000c0-c042-4ca4-b95b-ba1b6e694fa5
61761	5	8770	2013-08-03 18:59:46.968598	2013-08-03 18:59:46.968598	\N	6009deed-e1d6-4cf9-a3e7-e73a0f300f40
69668	3	9793	2013-08-03 19:38:10.474644	2013-08-03 19:38:10.474644	\N	2602afce-bb9e-4813-a331-5b5e4cd7110e
66191	4	9409	2013-08-03 19:24:30.658788	2013-08-03 19:24:30.658788	\N	ca562277-28a4-4750-b7df-acb36c1ff7f0
64954	13	9292	2013-08-03 19:18:11.00414	2013-08-03 19:18:11.00414	\N	5a63e7a1-7365-440e-a819-acdc4b2e562d
66192	4	9379	2013-08-03 19:24:30.709081	2013-08-03 19:24:30.709081	\N	23040d8b-521b-46f6-9c80-779df3a1ada6
64992	17	9283	2013-08-03 19:18:21.215866	2013-08-03 19:18:21.215866	\N	1eb8d71b-216a-418c-8f19-d6a80e4633b4
64996	6	9298	2013-08-03 19:18:23.506707	2013-08-03 19:18:23.506707	\N	d3791ac2-cee3-4b7e-8c21-63d1eb7e7f8e
66193	4	9400	2013-08-03 19:24:30.764755	2013-08-03 19:24:30.764755	\N	e3df9d76-49a4-41ae-b50c-9913743ea72b
68270	11	9640	2013-08-03 19:32:58.126243	2013-08-03 19:32:58.126243	\N	5c96f2e5-965f-4f1f-a567-e0508fb7434f
66195	4	9418	2013-08-03 19:24:30.825385	2013-08-03 19:24:30.825385	\N	e8f777e4-c925-46fc-87c7-30fd0e9099f6
66196	4	9424	2013-08-03 19:24:30.884411	2013-08-03 19:24:30.884411	\N	bfa373e1-5fe3-4e9c-9467-a1c9a2a6d224
68273	9	9670	2013-08-03 19:32:58.351446	2013-08-03 19:32:58.351446	\N	437a57aa-229c-4384-a9a5-e4e917063e79
68274	20	9625	2013-08-03 19:32:58.405296	2013-08-03 19:32:58.405296	\N	bfb84e3b-f03b-4990-a7ff-73cef40c62b7
69669	3	9787	2013-08-03 19:38:10.507657	2013-08-03 19:38:10.507657	\N	30457cb4-995f-44cb-b381-d68ebe23064f
65032	10	9292	2013-08-03 19:18:35.182871	2013-08-03 19:18:35.182871	\N	acaecbfc-27c0-4d33-ad15-40e8c068e999
65034	10	9283	2013-08-03 19:18:35.387677	2013-08-03 19:18:35.387677	\N	88f4266f-2b74-4441-80bd-052b7b8fdf7c
65035	10	9293	2013-08-03 19:18:35.48152	2013-08-03 19:18:35.48152	\N	9c60e3a1-f271-4868-bf22-15726f2d3789
65036	9	9253	2013-08-03 19:18:35.542515	2013-08-03 19:18:35.542515	\N	e756af38-0c6e-450a-96e0-8e2aa4e8e7a5
69670	3	9754	2013-08-03 19:38:10.557028	2013-08-03 19:38:10.557028	\N	f23ca0c3-4136-4c87-b912-f76216e859cc
68299	7	9634	2013-08-03 19:32:59.658419	2013-08-03 19:32:59.658419	\N	874c4fd0-5b1d-4019-a382-25c333cc0405
68300	7	9652	2013-08-03 19:32:59.736391	2013-08-03 19:32:59.736391	\N	286dda3d-a612-4266-b164-2c8244be45a5
68301	7	9667	2013-08-03 19:32:59.790938	2013-08-03 19:32:59.790938	\N	e8114302-bfdc-4c47-8298-a854081d7840
68306	17	9625	2013-08-03 19:32:59.928449	2013-08-03 19:32:59.928449	\N	c5688bbb-1b10-4762-9ea2-ac9e75f4fb46
111150	11	13441	2013-08-03 21:59:30.911537	2013-08-03 21:59:30.911537	\N	81d96edb-5f1b-44b1-8f09-9aa5ae028edd
76620	11	10555	2013-08-03 20:08:13.387563	2013-08-03 20:08:13.387563	\N	4c398f4e-280c-4414-99c4-02d799db927e
76630	19	10522	2013-08-03 20:08:16.139213	2013-08-03 20:08:16.139213	\N	4c26348b-0e84-4398-9339-68eb392d3812
69688	8	9797	2013-08-03 19:38:13.940529	2013-08-03 19:38:13.940529	\N	4dabe6bc-40e8-462d-a6b4-d9e5b76e2a14
68343	2	9671	2013-08-03 19:33:09.89815	2013-08-03 19:33:09.89815	\N	9d3f165a-0466-41c0-af86-47eade9b4fcc
76652	12	10501	2013-08-03 20:08:20.523299	2013-08-03 20:08:20.523299	\N	e6568b3b-b887-4da1-bb31-b45f84fe36e0
65071	7	9295	2013-08-03 19:18:47.975963	2013-08-03 19:18:47.975963	\N	c18f1f23-ce16-47b2-851b-c0519f345128
93350	8	11939	2013-08-03 21:00:08.940518	2013-08-03 21:00:08.940518	\N	2821ff4e-7446-4a31-b673-2b3c2fe81c5d
65073	7	9256	2013-08-03 19:18:48.070892	2013-08-03 19:18:48.070892	\N	e302ac4a-4774-4aa3-9864-d161315a482a
65074	7	9262	2013-08-03 19:18:48.102865	2013-08-03 19:18:48.102865	\N	6880e3ce-21d5-464e-8b93-6a4d58e75acd
93353	17	11920	2013-08-03 21:00:10.73494	2013-08-03 21:00:10.73494	\N	40c90054-d000-4973-adac-a3f48d52704b
65076	7	9271	2013-08-03 19:18:48.201328	2013-08-03 19:18:48.201328	\N	66f0ae15-f50e-410e-becf-87abf9720160
68354	1	9671	2013-08-03 19:33:13.584445	2013-08-03 19:33:13.584445	\N	7f8a23de-38e4-4f6d-afa5-f33e91c8023b
111153	11	13408	2013-08-03 21:59:31.430946	2013-08-03 21:59:31.430946	\N	5e621f8d-0ba4-4312-843a-0292665ef702
72318	5	10018	2013-08-03 19:48:47.20302	2013-08-03 19:48:47.20302	\N	e74566eb-a7b2-4cdb-a178-f87271e3e62b
75096	8	10408	2013-08-03 20:02:32.857537	2013-08-03 20:02:32.857537	\N	4622d267-2bce-4fdc-88f0-4d6ee6e35d69
76674	14	10531	2013-08-03 20:08:26.941618	2013-08-03 20:08:26.941618	\N	7e609ae5-b597-4b52-8545-c8617014cc15
75123	9	10387	2013-08-03 20:02:44.169556	2013-08-03 20:02:44.169556	\N	f7f16ae9-9838-4a99-9641-1a29ef3c1ee3
75127	15	10408	2013-08-03 20:02:48.956314	2013-08-03 20:02:48.956314	\N	d3646cb9-a8b9-4e9c-8eb0-494245cda3a0
69729	14	9775	2013-08-03 19:38:20.359001	2013-08-03 19:38:20.359001	\N	64a4ce5d-e5a8-4142-82b2-897e570154ed
68403	2	9627	2013-08-03 19:33:21.119063	2013-08-03 19:33:21.119063	\N	6548e548-606d-461d-ad80-53a057692563
68404	10	9625	2013-08-03 19:33:21.403288	2013-08-03 19:33:21.403288	\N	94e114b3-91b1-4801-afa6-53d8c9da5dfe
70962	11	9886	2013-08-03 19:42:47.151257	2013-08-03 19:42:47.151257	\N	7106352b-f108-4eb7-a981-ac356211b1b0
70963	13	9892	2013-08-03 19:42:47.197115	2013-08-03 19:42:47.197115	\N	0895dcd1-256f-40a2-8d3f-761da57d3412
75128	15	10432	2013-08-03 20:02:49.10972	2013-08-03 20:02:49.10972	\N	342d6263-0895-410b-b9f5-4c1ce5898165
70972	15	9877	2013-08-03 19:42:47.987029	2013-08-03 19:42:47.987029	\N	f1bba52c-9f03-49ce-bc06-1ef91c5cdf2b
72371	6	10009	2013-08-03 19:49:03.826063	2013-08-03 19:49:03.826063	\N	be547955-3314-4cbb-83c1-e7b15f03511b
70974	11	9892	2013-08-03 19:42:48.061632	2013-08-03 19:42:48.061632	\N	9c4c404e-b1a2-476d-a2ab-ca1f365874b9
76678	14	10519	2013-08-03 20:08:27.094536	2013-08-03 20:08:27.094536	\N	29a554a1-d347-4cba-9fad-0bc1d522bf6b
75139	9	10418	2013-08-03 20:02:51.154651	2013-08-03 20:02:51.154651	\N	9088db9c-77cf-4794-9759-3dceac4682d8
70978	15	9883	2013-08-03 19:42:48.301207	2013-08-03 19:42:48.301207	\N	236fa60d-e0dc-40c0-9ba3-c57e07cd41d6
70979	15	9922	2013-08-03 19:42:48.403971	2013-08-03 19:42:48.403971	\N	9a7fa386-67d0-443b-a49a-43c04b2843dd
76680	14	10516	2013-08-03 20:08:27.240308	2013-08-03 20:08:27.240308	\N	8ff0f0e2-b9af-41cd-9294-80671d428646
76683	14	10513	2013-08-03 20:08:27.278924	2013-08-03 20:08:27.278924	\N	0582c4fc-a7e2-4459-81f3-ceeaae617283
69811	13	9775	2013-08-03 19:38:41.898873	2013-08-03 19:38:41.898873	\N	a7fe5494-d5f2-4098-9ef2-0a8af9502d83
66358	6	9373	2013-08-03 19:25:12.927205	2013-08-03 19:25:12.927205	\N	a25a7e43-51d2-45fa-a0d3-5cbc862b33ac
70986	13	9922	2013-08-03 19:42:49.445125	2013-08-03 19:42:49.445125	\N	0af141d6-5572-4320-92d7-3acd4c66b41e
76684	14	10558	2013-08-03 20:08:27.349145	2013-08-03 20:08:27.349145	\N	f4a22238-fb99-46b8-95ef-5c35d40f6dc0
71005	9	9922	2013-08-03 19:42:56.020223	2013-08-03 19:42:56.020223	\N	92d4a80c-0126-4133-889c-c3837f5a6393
68540	17	9671	2013-08-03 19:33:45.881671	2013-08-03 19:33:45.881671	\N	67d07db6-afaa-4f19-b56e-d537d6ed84f6
66364	2	9373	2013-08-03 19:25:13.950549	2013-08-03 19:25:13.950549	\N	728128f3-18cc-432e-aae2-d82216d049a0
69825	13	9793	2013-08-03 19:38:42.698157	2013-08-03 19:38:42.698157	\N	6ffb7a73-1369-4b60-b410-255d5cb74e25
69826	6	9793	2013-08-03 19:38:43.175539	2013-08-03 19:38:43.175539	\N	9b8b819f-8827-41d0-a72b-6cb7a7748693
76685	14	10555	2013-08-03 20:08:27.410097	2013-08-03 20:08:27.410097	\N	a673cbb9-e876-4fe9-8678-b0f0c5227b73
113314	8	13582	2013-08-03 22:04:25.58565	2013-08-03 22:04:25.58565	\N	1dcbcde1-595c-449a-9539-1d935f83409c
90023	5	11551	2013-08-03 20:49:08.104108	2013-08-03 20:49:08.104108	\N	3c3b9822-46d2-4b56-8116-463df79e59a6
113332	11	13579	2013-08-03 22:04:27.10947	2013-08-03 22:04:27.10947	\N	67acdd90-3d0a-4cbd-9f83-ece5b595b419
90032	5	11542	2013-08-03 20:49:09.005546	2013-08-03 20:49:09.005546	\N	13846160-8d80-4b1a-bdfd-bb59c9177fb2
75163	4	10418	2013-08-03 20:02:56.322855	2013-08-03 20:02:56.322855	\N	4aa0c5b0-2926-49ec-ade4-f88e4d23cc69
75165	4	10427	2013-08-03 20:02:56.369873	2013-08-03 20:02:56.369873	\N	ff2b24c0-facc-4e40-82c3-2ae360a3fe3b
76729	13	10501	2013-08-03 20:08:38.023764	2013-08-03 20:08:38.023764	\N	7d25be51-04c3-4f18-9516-d3d8f60752e0
75238	11	10375	2013-08-03 20:03:14.254109	2013-08-03 20:03:14.254109	\N	3f47a6f7-bc74-4d8f-b808-506cb5447f74
71039	9	9928	2013-08-03 19:42:58.191811	2013-08-03 19:42:58.191811	\N	b41cd7f6-122b-48d0-ad66-02e260c185c5
75243	11	10393	2013-08-03 20:03:15.367379	2013-08-03 20:03:15.367379	\N	aaafe242-0eff-4d48-95ae-cba7fd3a3aa4
76746	13	10534	2013-08-03 20:08:42.02187	2013-08-03 20:08:42.02187	\N	f3d2a159-e9fa-41b5-b8bc-1ece5bd91f45
106796	13	12904	2013-08-03 21:42:15.560454	2013-08-03 21:42:15.560454	\N	0f5a1d9e-d410-4598-8d35-b9ec663bf6f6
66430	7	9373	2013-08-03 19:25:25.086944	2013-08-03 19:25:25.086944	\N	fbf8abc6-7e43-4b04-9535-108b1d6ccb86
69903	12	9751	2013-08-03 19:39:01.132952	2013-08-03 19:39:01.132952	\N	92abc5ff-1571-4a14-b416-22f6d59cc3cc
67649	13	9550	2013-08-03 19:30:29.962624	2013-08-03 19:30:29.962624	\N	a39da71b-4158-403f-a6e2-ecc4aea557d1
66459	14	9402	2013-08-03 19:25:30.931972	2013-08-03 19:25:30.931972	\N	1c3e4d70-afab-40cf-892e-33895d86a727
76757	2	10501	2013-08-03 20:08:43.990956	2013-08-03 20:08:43.990956	\N	a67ca849-d77b-454b-9601-d1898338a047
65232	20	9293	2013-08-03 19:19:31.523805	2013-08-03 19:19:31.523805	\N	9887a255-8c36-45be-85bf-68e11208ea56
71054	6	9922	2013-08-03 19:42:59.142375	2013-08-03 19:42:59.142375	\N	33845b1d-03c0-4dc1-b4fc-275ee408ee7c
76758	2	10507	2013-08-03 20:08:44.050038	2013-08-03 20:08:44.050038	\N	7a14782a-32b6-4f45-9456-00498ba88e0d
104854	2	12790	2013-08-03 21:35:12.845806	2013-08-03 21:35:12.845806	\N	53c1cc62-3157-49ea-9eaf-670f04f1f79c
78263	2	10645	2013-08-03 20:14:25.673085	2013-08-03 20:14:25.673085	\N	3d519d7f-2906-427c-b3ca-600c58319888
78267	19	10633	2013-08-03 20:14:28.927163	2013-08-03 20:14:28.927163	\N	6ff038a9-3baf-4852-a09e-2caa258de7f1
78268	19	10639	2013-08-03 20:14:30.242817	2013-08-03 20:14:30.242817	\N	01c6ee82-d345-4c29-bb53-bf8d973be56c
75263	11	10408	2013-08-03 20:03:16.666091	2013-08-03 20:03:16.666091	\N	1fc89178-3e48-4ed5-ba9b-560bf4745401
113335	7	13546	2013-08-03 22:04:27.452267	2013-08-03 22:04:27.452267	\N	b66837a0-8dd8-4321-9aab-31b79f4c96b9
124710	16	15325	2013-08-03 23:17:06.323606	2013-08-03 23:17:06.323606	\N	e1682c84-a06d-47f7-9b97-09d4167c7730
91684	9	11686	2013-08-03 20:53:22.675846	2013-08-03 20:53:22.675846	\N	a9d25a20-7297-49ec-9b09-2c2b0a65aa3e
106806	13	12916	2013-08-03 21:42:18.948228	2013-08-03 21:42:18.948228	\N	3e300496-a9c2-4720-8bf5-b6ac410a9b56
69995	4	9751	2013-08-03 19:39:18.7285	2013-08-03 19:39:18.7285	\N	03f56b29-ddcb-480e-9a0f-3ac0f78f0312
70002	4	9787	2013-08-03 19:39:18.777712	2013-08-03 19:39:18.777712	\N	2d63034f-f479-4705-95b3-7ea603b15274
70003	4	9754	2013-08-03 19:39:18.885228	2013-08-03 19:39:18.885228	\N	2443dd4e-0057-41f5-999f-2d679f25a238
69727	14	9760	2013-08-03 19:38:20.273856	2013-08-03 19:38:20.273856	\N	b9856cb8-23ba-443c-b8a1-82a33a4144b6
68261	11	9631	2013-08-03 19:32:55.964986	2013-08-03 19:32:55.964986	\N	ab6a955f-4ef8-45bc-8b57-a03b661e3619
69728	14	9754	2013-08-03 19:38:20.351799	2013-08-03 19:38:20.351799	\N	186e3793-2d1a-4924-bc12-45e921658186
69730	14	9766	2013-08-03 19:38:20.419575	2013-08-03 19:38:20.419575	\N	35202a4f-a2b5-48f6-8a95-18789305a9b2
68265	11	9652	2013-08-03 19:32:56.471617	2013-08-03 19:32:56.471617	\N	5486a5a2-7c2f-4e35-9328-96338552d849
69731	14	9778	2013-08-03 19:38:20.485617	2013-08-03 19:38:20.485617	\N	09e5e08c-da48-4ce7-9571-2dbcd98e8970
68268	11	9634	2013-08-03 19:32:57.109916	2013-08-03 19:32:57.109916	\N	720e7b28-059c-455f-9104-28bd32692bb2
75055	9	10427	2013-08-03 20:02:29.87777	2013-08-03 20:02:29.87777	\N	bb0f3ea7-3341-4de4-9c63-598de7b7c7cd
113316	8	13561	2013-08-03 22:04:25.589319	2013-08-03 22:04:25.589319	\N	ece14921-23a9-441b-933a-7ad6b47f6ffa
71040	6	9883	2013-08-03 19:42:58.211505	2013-08-03 19:42:58.211505	\N	cdcf9967-c1df-4e3e-bab9-c1e7b0f802ec
69754	8	9751	2013-08-03 19:38:23.758388	2013-08-03 19:38:23.758388	\N	89f95762-1a1f-4675-972d-3acfac8e3211
68293	9	9676	2013-08-03 19:32:59.486617	2013-08-03 19:32:59.486617	\N	f2a2170d-99c7-4bee-b4cf-4e5ea2875c37
72328	5	10051	2013-08-03 19:48:49.114499	2013-08-03 19:48:49.114499	\N	04f57524-c0df-4857-bb63-ffb43d871f1e
68312	17	9631	2013-08-03 19:33:00.362342	2013-08-03 19:33:00.362342	\N	347e7b12-2a3a-4579-a5b9-c3eee423d59f
72340	5	10012	2013-08-03 19:48:50.542178	2013-08-03 19:48:50.542178	\N	e7ba1c7f-3633-4bd0-9e0c-d47d6ba9dc09
111161	14	13411	2013-08-03 21:59:33.28844	2013-08-03 21:59:33.28844	\N	25f64713-9757-4aa9-a02f-8e10d4891eeb
79625	17	10645	2013-08-03 20:20:50.038104	2013-08-03 20:20:50.038104	\N	46d1e027-1387-4e46-bd7c-484e62077189
72362	6	10048	2013-08-03 19:49:02.578692	2013-08-03 19:49:02.578692	\N	f9ec2342-deb7-4233-b503-acb683d26baa
67375	14	9502	2013-08-03 19:29:26.340084	2013-08-03 19:29:26.340084	\N	fd5e751a-4c7f-403a-87e8-7424fd3d71f1
111163	14	13451	2013-08-03 21:59:33.478743	2013-08-03 21:59:33.478743	\N	aad0b91f-ad07-42ed-a4a0-ffd90d535a62
113319	11	13561	2013-08-03 22:04:25.642267	2013-08-03 22:04:25.642267	\N	986d77b3-b802-4b22-936f-5cc88b95da59
66337	16	9409	2013-08-03 19:25:05.142309	2013-08-03 19:25:05.142309	\N	c2706ec5-9be4-4ff3-b597-0f039f1c6244
66338	16	9376	2013-08-03 19:25:05.305666	2013-08-03 19:25:05.305666	\N	7f198663-2e8b-47a9-9920-6485b9b768cb
68370	14	9631	2013-08-03 19:33:19.192495	2013-08-03 19:33:19.192495	\N	226caef0-292e-4499-ad4e-16c6dc52a664
76665	14	10553	2013-08-03 20:08:24.069984	2013-08-03 20:08:24.069984	\N	3d45f17b-a5df-4184-8dc3-271a190853e6
68376	14	9649	2013-08-03 19:33:19.460767	2013-08-03 19:33:19.460767	\N	5d175aa1-f2cd-410c-97ad-de45020cce26
66378	3	9376	2013-08-03 19:25:16.676752	2013-08-03 19:25:16.676752	\N	16b83ab8-859e-4d44-8b79-4e50a950e4d0
68386	14	9667	2013-08-03 19:33:19.710973	2013-08-03 19:33:19.710973	\N	61bad795-cb18-4fca-ab42-c4a892c6de97
67409	4	9545	2013-08-03 19:29:30.57048	2013-08-03 19:29:30.57048	\N	dd8cc134-df1b-4713-9c2e-abd8e325b455
69883	2	9799	2013-08-03 19:38:55.179425	2013-08-03 19:38:55.179425	\N	68f284a4-d663-4e42-aa4f-d53af7475c8b
91629	2	11668	2013-08-03 20:53:12.579374	2013-08-03 20:53:12.579374	\N	b5588c1d-970a-46d3-bef0-7fc89ece1570
78275	19	10627	2013-08-03 20:14:31.991468	2013-08-03 20:14:31.991468	\N	dded40c6-ab80-4640-84c1-abf2181e9782
72404	9	10040	2013-08-03 19:49:20.872602	2013-08-03 19:49:20.872602	\N	831f5be1-01c7-4c3e-a66f-3d038643ae32
93369	17	11923	2013-08-03 21:00:12.816373	2013-08-03 21:00:12.816373	\N	e49e188c-5263-4b97-8279-8b8aeaf5c878
78280	14	10678	2013-08-03 20:14:38.314324	2013-08-03 20:14:38.314324	\N	c168bccd-9692-446b-9a01-32dbd83268dc
66394	6	9419	2013-08-03 19:25:17.425953	2013-08-03 19:25:17.425953	\N	043cbd1b-cef7-4b04-aa6e-4fd4b601aed6
69961	17	9754	2013-08-03 19:39:10.441512	2013-08-03 19:39:10.441512	\N	b06cffb9-e8b7-4b7b-b844-eae7f2505d0f
76696	17	10501	2013-08-03 20:08:30.491984	2013-08-03 20:08:30.491984	\N	f9d98985-b4f0-4794-8495-19f45ae88c1d
90043	5	11509	2013-08-03 20:49:09.813461	2013-08-03 20:49:09.813461	\N	fc4505b6-f14a-4742-ac69-9986d748a676
76720	13	10513	2013-08-03 20:08:36.65914	2013-08-03 20:08:36.65914	\N	c8a3c35e-ebf0-457b-8dcc-49214db77b8a
99001	7	12265	2013-08-03 21:17:15.925528	2013-08-03 21:17:15.925528	\N	89875e9e-bd95-433e-bc6d-39b8846054b0
152249	16	20380	2013-08-04 02:38:08.109518	2013-08-04 02:38:08.109518	\N	d454c4e4-9ced-4ae9-84fd-526968616f32
70030	13	9796	2013-08-03 19:39:25.413743	2013-08-03 19:39:25.413743	\N	54b5489d-d00a-420f-bfdf-34c18f3a7e80
75094	8	10387	2013-08-03 20:02:32.855322	2013-08-03 20:02:32.855322	\N	2fe81fbe-08b7-465e-9be7-8cac5fa5e263
90046	5	11545	2013-08-03 20:49:10.224261	2013-08-03 20:49:10.224261	\N	39f53cfc-04f8-4188-89e7-cf7fa522e44e
90047	5	11563	2013-08-03 20:49:10.664537	2013-08-03 20:49:10.664537	\N	5e1ed617-9411-409e-840e-4e82ff543f36
72494	16	10033	2013-08-03 19:49:37.550785	2013-08-03 19:49:37.550785	\N	4fe89d0c-c26c-447f-a59f-6a0e00584d73
88415	13	11395	2013-08-03 20:44:28.366221	2013-08-03 20:44:28.366221	\N	e9e63ba3-6aad-425d-bd6b-3dfa7b54b947
76773	13	10558	2013-08-03 20:08:45.932447	2013-08-03 20:08:45.932447	\N	dcd9519d-7a05-4254-a5d3-b88be3108810
113338	17	13577	2013-08-03 22:04:28.147977	2013-08-03 22:04:28.147977	\N	aa20a53a-9d13-4a7d-a78c-a4aa1b7d2b00
79731	17	10753	2013-08-03 20:21:40.222937	2013-08-03 20:21:40.222937	\N	c06f44e5-8a06-4d23-8c17-9ffe19258563
75130	9	10426	2013-08-03 20:02:49.763587	2013-08-03 20:02:49.763587	\N	9de79606-b736-41de-8c61-6b01432b0253
72525	19	10040	2013-08-03 19:49:48.049651	2013-08-03 19:49:48.049651	\N	f445c7a2-bc71-420a-a7ad-52eeb4598bb7
75131	9	10432	2013-08-03 20:02:49.987706	2013-08-03 20:02:49.987706	\N	a1073879-e61e-4a68-8515-5e2f437df199
71164	12	9883	2013-08-03 19:43:20.576166	2013-08-03 19:43:20.576166	\N	d78ee8c4-5e3b-4755-a637-ddf556c3dd00
71166	12	9904	2013-08-03 19:43:20.902287	2013-08-03 19:43:20.902287	\N	b37a0137-6a87-48a4-901d-b73e83d15f6b
66508	9	9373	2013-08-03 19:25:41.36311	2013-08-03 19:25:41.36311	\N	2ae827c7-ea66-456d-83e9-16db95401d88
71170	14	9922	2013-08-03 19:43:21.561349	2013-08-03 19:43:21.561349	\N	2740f619-4334-4b02-9d9d-6842ea9ad612
72539	19	10009	2013-08-03 19:49:55.559651	2013-08-03 19:49:55.559651	\N	4fca44dc-ccb9-465f-885d-68126802ecd6
71173	14	9892	2013-08-03 19:43:21.673348	2013-08-03 19:43:21.673348	\N	fca4beaf-697a-4bdf-9aee-d15b800044ba
72541	19	10030	2013-08-03 19:49:56.37126	2013-08-03 19:49:56.37126	\N	f746aa92-7259-4667-9669-2863e67a702d
79739	7	10807	2013-08-03 20:21:41.141597	2013-08-03 20:21:41.141597	\N	f1cd6d03-6892-4fe2-ba16-442b40b68049
75140	8	10418	2013-08-03 20:02:52.871665	2013-08-03 20:02:52.871665	\N	c77b0e80-cebb-486b-9f3d-4727d2b91c95
75141	8	10427	2013-08-03 20:02:53.315138	2013-08-03 20:02:53.315138	\N	8e4c8471-c146-4d04-bfc4-5fe8b4676291
75142	15	10427	2013-08-03 20:02:54.5632	2013-08-03 20:02:54.5632	\N	2acae468-b423-4a36-8c2e-bbee56324b78
68747	13	9625	2013-08-03 19:34:31.453948	2013-08-03 19:34:31.453948	\N	709be1be-6850-4951-9425-83b41c96069d
68748	13	9661	2013-08-03 19:34:31.753831	2013-08-03 19:34:31.753831	\N	a16eead3-b239-45a5-beb7-fb4e54346d99
68749	13	9628	2013-08-03 19:34:31.995397	2013-08-03 19:34:31.995397	\N	98f5c6fe-170f-4f51-aab4-db5b93b0efe6
68750	13	9631	2013-08-03 19:34:32.283194	2013-08-03 19:34:32.283194	\N	ea28ed89-f2d8-4ccf-90ca-ebc50c534ed8
79742	7	10774	2013-08-03 20:21:41.397775	2013-08-03 20:21:41.397775	\N	4be7c9f2-6e3d-40a6-89e7-9bedb37f3fd9
67638	13	9523	2013-08-03 19:30:28.367444	2013-08-03 19:30:28.367444	\N	093257c7-664f-4d92-a591-a62879b6783d
97147	3	12151	2013-08-03 21:11:17.129535	2013-08-03 21:11:17.129535	\N	1d33b374-7ea4-4952-a70e-b13a1e12d2c8
113349	7	13561	2013-08-03 22:04:33.093466	2013-08-03 22:04:33.093466	\N	2ed4d2ac-3a74-4080-8a93-3f3d0fcb2723
68785	13	9673	2013-08-03 19:34:36.349134	2013-08-03 19:34:36.349134	\N	9fc6ecf8-8046-4761-a124-2ce02ffe43f2
93400	17	11938	2013-08-03 21:00:16.914765	2013-08-03 21:00:16.914765	\N	3abd4262-fea0-4bdf-911d-6bc2f4f14544
88431	13	11413	2013-08-03 20:44:31.909164	2013-08-03 20:44:31.909164	\N	11084b8e-1f03-40d5-a2fb-79ea4e733b27
88435	16	11398	2013-08-03 20:44:32.325604	2013-08-03 20:44:32.325604	\N	52102a7b-1943-4b5b-9779-e8218f864033
73988	7	10292	2013-08-03 19:57:26.348272	2013-08-03 19:57:26.348272	\N	ef3cd449-a429-4dd3-b6b5-41de0a16770d
76815	2	10552	2013-08-03 20:08:59.334536	2013-08-03 20:08:59.334536	\N	9a71a6d5-f657-434e-855d-7bbf99a8b64a
79772	17	10771	2013-08-03 20:21:44.712452	2013-08-03 20:21:44.712452	\N	a4544353-2b34-4526-95a8-23338f649954
88437	16	11413	2013-08-03 20:44:32.655972	2013-08-03 20:44:32.655972	\N	7e248930-4669-45e2-916e-086d9ecb3927
74000	11	10292	2013-08-03 19:57:28.597208	2013-08-03 19:57:28.597208	\N	c26192c2-11f3-4976-911b-b0a3af886cfb
74005	8	10261	2013-08-03 19:57:28.668267	2013-08-03 19:57:28.668267	\N	8e9d9a1d-cdab-40a1-b3fc-eabaa5a4caa1
88440	13	11434	2013-08-03 20:44:32.922748	2013-08-03 20:44:32.922748	\N	3d091a21-b8d4-4b12-9f1a-169c7a1ac4f8
74009	10	10282	2013-08-03 19:57:28.837134	2013-08-03 19:57:28.837134	\N	66ce205e-f153-4e11-ad95-e622e3815aeb
74021	9	10301	2013-08-03 19:57:30.243593	2013-08-03 19:57:30.243593	\N	1884f1b3-dc23-4f36-acf1-d49808452190
68833	10	9667	2013-08-03 19:34:46.162798	2013-08-03 19:34:46.162798	\N	ecdc512b-96ef-4863-8656-896439d05451
79795	8	10771	2013-08-03 20:21:50.481956	2013-08-03 20:21:50.481956	\N	4a136051-ff85-43c5-b0ce-76b96f040473
70308	17	9802	2013-08-03 19:40:16.896945	2013-08-03 19:40:16.896945	\N	e9c70d40-00eb-4a7e-9511-dc8340e246ae
88441	16	11434	2013-08-03 20:44:33.042857	2013-08-03 20:44:33.042857	\N	4a83e878-e5ec-4afe-a90d-f6da99e52f73
79811	9	10796	2013-08-03 20:21:52.233136	2013-08-03 20:21:52.233136	\N	4e8ea084-f228-4e8c-ada7-9aae539acb0f
88442	16	11440	2013-08-03 20:44:33.149793	2013-08-03 20:44:33.149793	\N	fb780986-815c-4c44-ba4a-92a9bd9f5605
124714	4	15341	2013-08-03 23:17:06.946357	2013-08-03 23:17:06.946357	\N	450b44a7-8f64-4ef8-8a58-5fc9c41513d3
75169	6	10387	2013-08-03 20:02:56.498517	2013-08-03 20:02:56.498517	\N	f24fa413-2df6-4d8b-a66b-919958f916ce
71361	17	9883	2013-08-03 19:43:55.079412	2013-08-03 19:43:55.079412	\N	230fbc8d-a5dc-4be4-9acc-f9d97b10d938
115483	19	13672	2013-08-03 22:13:06.372635	2013-08-03 22:13:06.372635	\N	36241a9b-b607-487f-8943-27db5edca9cd
74049	11	10301	2013-08-03 19:57:34.272537	2013-08-03 19:57:34.272537	\N	caac1c0e-a29b-4f22-852b-2b22f55e50e4
79832	11	10768	2013-08-03 20:22:02.926173	2013-08-03 20:22:02.926173	\N	bab22135-e060-49f2-b0e8-af6a91020c64
106856	11	12904	2013-08-03 21:42:32.003174	2013-08-03 21:42:32.003174	\N	799fba5c-1248-45bd-a07b-f36c94b44f10
79834	11	10771	2013-08-03 20:22:03.528321	2013-08-03 20:22:03.528321	\N	ee68fecb-47c3-48af-adf7-9f10184197ec
74097	8	10292	2013-08-03 19:57:47.115055	2013-08-03 19:57:47.115055	\N	3dbac5a9-57df-4012-ad9c-d6da16639432
74098	17	10292	2013-08-03 19:57:47.411573	2013-08-03 19:57:47.411573	\N	9823b9f7-af2f-425d-b089-237995d0989d
74099	4	10292	2013-08-03 19:57:47.648081	2013-08-03 19:57:47.648081	\N	555965a2-232b-46eb-a7ab-4416bb3db8a4
74100	4	10301	2013-08-03 19:57:47.699479	2013-08-03 19:57:47.699479	\N	394cdcfe-1781-4892-8be8-c80f4e645511
74101	8	10301	2013-08-03 19:57:48.060976	2013-08-03 19:57:48.060976	\N	66ae8b1f-d973-4f4b-9c80-734a784a458f
68271	9	9667	2013-08-03 19:32:58.207652	2013-08-03 19:32:58.207652	\N	cfd6ac2f-a6de-44f5-b651-65c49ad43c06
66340	16	9400	2013-08-03 19:25:05.588452	2013-08-03 19:25:05.588452	\N	1a888f53-d69c-44dc-b9e6-0fbdd00ef836
66342	16	9385	2013-08-03 19:25:05.835496	2013-08-03 19:25:05.835496	\N	44872771-0f57-402a-b723-8ab980534246
66345	16	9406	2013-08-03 19:25:06.331712	2013-08-03 19:25:06.331712	\N	c2d99845-ee26-4b4a-91f9-8fabcc8bb9c3
66346	16	9418	2013-08-03 19:25:06.472085	2013-08-03 19:25:06.472085	\N	f7f4c3f3-564e-4e7e-8281-d00f9da38666
66348	16	9424	2013-08-03 19:25:06.767352	2013-08-03 19:25:06.767352	\N	f638ca73-5651-43fd-9a4a-ccb7cff34067
72320	5	10030	2013-08-03 19:48:47.705007	2013-08-03 19:48:47.705007	\N	df1d34c0-47e2-4d1f-b81d-9d0444f2d140
66357	5	9376	2013-08-03 19:25:11.562868	2013-08-03 19:25:11.562868	\N	e04333ce-9500-4af6-a2be-038305bcd412
66359	1	9373	2013-08-03 19:25:13.497569	2013-08-03 19:25:13.497569	\N	6448c8ae-a35f-4afa-beba-dfc8c7cb4c0c
68275	1	9670	2013-08-03 19:32:58.531279	2013-08-03 19:32:58.531279	\N	4a283985-46f7-46ed-a81a-5225087fe5f6
75073	8	10375	2013-08-03 20:02:30.872056	2013-08-03 20:02:30.872056	\N	d5a1d2b4-0fad-4056-b22c-c4bc1e56290d
68287	7	9676	2013-08-03 19:32:59.261756	2013-08-03 19:32:59.261756	\N	bb20c0c8-2561-4982-876b-9758a4fdb85a
68289	7	9640	2013-08-03 19:32:59.312235	2013-08-03 19:32:59.312235	\N	bc080920-94f9-4f65-a5f4-b6a6f11de2e5
68291	7	9631	2013-08-03 19:32:59.374554	2013-08-03 19:32:59.374554	\N	3be1a9ee-109d-479b-81cf-579e5314015e
75095	8	10426	2013-08-03 20:02:32.856757	2013-08-03 20:02:32.856757	\N	e9018c03-2b2c-49d6-9003-6b007b16ca29
68296	2	9673	2013-08-03 19:32:59.629119	2013-08-03 19:32:59.629119	\N	7808f10f-7e77-4720-aff7-ed4e6ecb3e51
67378	14	9535	2013-08-03 19:29:26.576704	2013-08-03 19:29:26.576704	\N	403ca2e1-1f42-4769-bf8e-9feedb51bfb5
68298	2	9676	2013-08-03 19:32:59.655659	2013-08-03 19:32:59.655659	\N	64808678-e5b3-46e8-a315-768c361d2d4f
72334	5	10054	2013-08-03 19:48:49.736613	2013-08-03 19:48:49.736613	\N	018c274f-04fd-49f0-9de4-938985d6d3bc
79620	17	10642	2013-08-03 20:20:47.641792	2013-08-03 20:20:47.641792	\N	93cfe4f2-c9b4-4d01-869c-22fee95f4e08
71089	6	9928	2013-08-03 19:43:05.114735	2013-08-03 19:43:05.114735	\N	0f365947-3a2b-4f21-82d0-de7883da79df
97109	2	12172	2013-08-03 21:11:12.776951	2013-08-03 21:11:12.776951	\N	14bb506b-6d37-46af-b5e0-aa91fc7bc7a4
111164	11	13420	2013-08-03 21:59:33.561234	2013-08-03 21:59:33.561234	\N	037dd24a-3aaf-4183-b358-657b0d97f4bc
76648	12	10507	2013-08-03 20:08:19.567121	2013-08-03 20:08:19.567121	\N	3d3df0e6-98ec-4e0d-afb4-2bfc908ed6b9
68331	10	9652	2013-08-03 19:33:04.310761	2013-08-03 19:33:04.310761	\N	0fca4b90-4172-479f-8f35-0d9c9b624b91
91650	17	11662	2013-08-03 20:53:14.824874	2013-08-03 20:53:14.824874	\N	186b9c99-4ea7-4bf9-8ff7-c0dd7f9daaa4
76651	12	10513	2013-08-03 20:08:20.24289	2013-08-03 20:08:20.24289	\N	d5d39720-6f7e-4340-bc63-6d6f3d9c7dae
117732	14	13912	2013-08-03 22:23:04.259295	2013-08-03 22:23:04.259295	\N	8eeaa606-7899-4149-80c4-c64b0da5620e
75217	5	10375	2013-08-03 20:03:01.212757	2013-08-03 20:03:01.212757	\N	d2b909f8-70fe-4e99-a06d-d9e8ace2380d
75220	10	10426	2013-08-03 20:03:02.04033	2013-08-03 20:03:02.04033	\N	0edaa9a6-58cc-40a3-a9d4-f5c2495a258b
75222	10	10427	2013-08-03 20:03:02.128574	2013-08-03 20:03:02.128574	\N	9c4dacae-ea2b-499b-ba88-91d9a5f20d15
68377	14	9628	2013-08-03 19:33:19.459073	2013-08-03 19:33:19.459073	\N	1fad58f7-c5fb-4675-a135-d89e4d4e94ec
69821	13	9784	2013-08-03 19:38:42.439255	2013-08-03 19:38:42.439255	\N	5d305172-1a15-488e-854e-2c7a8e2a2855
71169	14	9877	2013-08-03 19:43:21.52437	2013-08-03 19:43:21.52437	\N	a78d0ae8-4412-4e8f-9c36-db3e21bc5aec
71174	14	9901	2013-08-03 19:43:21.700582	2013-08-03 19:43:21.700582	\N	3cd6c8c9-232b-45c0-9c8d-e96a8720426a
68384	14	9625	2013-08-03 19:33:19.674924	2013-08-03 19:33:19.674924	\N	3e198e7c-ca3d-4acd-b849-5aaa0edeaae9
68388	14	9673	2013-08-03 19:33:19.973151	2013-08-03 19:33:19.973151	\N	1f713806-08a4-4473-84ec-fc3614794bad
68389	4	9671	2013-08-03 19:33:20.056342	2013-08-03 19:33:20.056342	\N	d562225d-a1f6-4eb7-8b9a-9ba0a841057f
71175	14	9886	2013-08-03 19:43:21.79265	2013-08-03 19:43:21.79265	\N	9a8e8f4a-57f7-4c95-ac7b-e258b379c835
71179	14	9928	2013-08-03 19:43:22.234001	2013-08-03 19:43:22.234001	\N	1bbb87b1-ef27-46f5-92c5-c9a10b984b94
75223	5	10393	2013-08-03 20:03:02.537159	2013-08-03 20:03:02.537159	\N	a59f9888-6125-40b6-8769-014de9a4c605
75224	5	10408	2013-08-03 20:03:03.032314	2013-08-03 20:03:03.032314	\N	e19e18ba-8caa-4369-81fe-0922fd666a0c
76672	19	10552	2013-08-03 20:08:26.155031	2013-08-03 20:08:26.155031	\N	7c7bcd62-49fc-41de-bbed-d29166313abf
91660	6	11635	2013-08-03 20:53:19.055391	2013-08-03 20:53:19.055391	\N	2038bc5d-36d9-4dda-aa5b-37ef6e3f5dbd
72377	6	10054	2013-08-03 19:49:09.565059	2013-08-03 19:49:09.565059	\N	a7217ccb-2adf-4fa2-913e-5e4b308a314a
76675	14	10501	2013-08-03 20:08:26.966266	2013-08-03 20:08:26.966266	\N	d736db2f-fb2e-4a46-99e6-cbc320fed017
75233	2	10387	2013-08-03 20:03:10.434405	2013-08-03 20:03:10.434405	\N	0702663d-8907-4a88-a730-eb4ff91001ae
75235	11	10387	2013-08-03 20:03:13.735808	2013-08-03 20:03:13.735808	\N	58c9c87f-1b38-42bf-ada1-ed4c906da59f
69865	6	9754	2013-08-03 19:38:45.881303	2013-08-03 19:38:45.881303	\N	244d0750-21cc-48e6-a6e6-b60b7d3197fa
190775	6	24388	2013-08-04 19:14:59.634202	2013-08-04 19:14:59.634202	\N	dc3e569b-05f7-488d-817c-2e66776afa82
76682	14	10552	2013-08-03 20:08:27.260455	2013-08-03 20:08:27.260455	\N	bb50ebbd-e811-4442-b7d9-b79692d4078a
76688	3	10501	2013-08-03 20:08:28.883733	2013-08-03 20:08:28.883733	\N	d1842040-6f75-4291-992f-fb8f9c3e7369
76689	3	10513	2013-08-03 20:08:28.925332	2013-08-03 20:08:28.925332	\N	63585e26-33e4-4a76-8839-e77cc18a5457
76690	3	10552	2013-08-03 20:08:28.949969	2013-08-03 20:08:28.949969	\N	a6040b87-82b6-478b-b30c-60b1f30af60c
76691	19	10531	2013-08-03 20:08:29.033086	2013-08-03 20:08:29.033086	\N	d36b8c41-aa1d-4b97-879b-29091919a938
76692	17	10507	2013-08-03 20:08:29.224239	2013-08-03 20:08:29.224239	\N	413fe0c4-d86f-45b6-882f-f8ec6b8cc3d0
76694	17	10513	2013-08-03 20:08:29.551079	2013-08-03 20:08:29.551079	\N	8bc0b174-f1ed-4356-9e87-1c2c94911539
76698	9	10507	2013-08-03 20:08:30.738525	2013-08-03 20:08:30.738525	\N	ff078da1-ff8d-4438-b375-94d660a3d97c
76699	9	10513	2013-08-03 20:08:30.893221	2013-08-03 20:08:30.893221	\N	0b0252a0-8b5e-4d7c-9976-6b168c232859
67593	3	9535	2013-08-03 19:30:17.187901	2013-08-03 19:30:17.187901	\N	78d7d8fd-93a5-4c26-844d-5c95bd77c950
67594	3	9502	2013-08-03 19:30:17.24637	2013-08-03 19:30:17.24637	\N	b65a90e7-1e23-4b96-9eb2-47f07f40faa9
67595	3	9505	2013-08-03 19:30:17.316149	2013-08-03 19:30:17.316149	\N	f6f168cd-5b3e-4cc1-9706-9cf11299ec29
95271	1	12064	2013-08-03 21:06:13.522787	2013-08-03 21:06:13.522787	\N	9153da83-79e6-4bc0-8b57-9df52c97d495
67616	13	9526	2013-08-03 19:30:26.520244	2013-08-03 19:30:26.520244	\N	9add8f79-43c6-423f-afba-09f2a309751c
67646	13	9547	2013-08-03 19:30:29.703256	2013-08-03 19:30:29.703256	\N	c31ce286-37e3-435c-a2ae-b691379ef9d6
76719	9	10534	2013-08-03 20:08:36.265666	2013-08-03 20:08:36.265666	\N	f3615847-b948-4992-bf8d-fc64f3470c3b
75315	13	10426	2013-08-03 20:03:19.855079	2013-08-03 20:03:19.855079	\N	b95094ce-1c3e-4eee-a11d-246c277a6c13
69969	12	9802	2013-08-03 19:39:12.683671	2013-08-03 19:39:12.683671	\N	3282ad5f-97d4-4260-b223-aa54a9c1f828
113328	11	13576	2013-08-03 22:04:26.409217	2013-08-03 22:04:26.409217	\N	f1837862-1f78-4793-b446-fa4e68d589b2
75320	13	10429	2013-08-03 20:03:20.208202	2013-08-03 20:03:20.208202	\N	f3def485-2706-499f-b516-079a483df565
72480	12	10009	2013-08-03 19:49:36.633176	2013-08-03 19:49:36.633176	\N	6bdb00e4-6400-4f81-ad27-2362d515d1ed
113339	9	13525	2013-08-03 22:04:28.166266	2013-08-03 22:04:28.166266	\N	3479e44a-1fe7-4362-9375-d7c77f0e8d8c
91686	9	11689	2013-08-03 20:53:22.975003	2013-08-03 20:53:22.975003	\N	06ccc286-1dc5-49d8-9691-4952d31cb697
72498	16	10054	2013-08-03 19:49:37.980403	2013-08-03 19:49:37.980403	\N	ee53f853-ed9f-4e8f-a07c-a862b119e1bf
72500	12	10054	2013-08-03 19:49:40.343984	2013-08-03 19:49:40.343984	\N	508ad2dc-fbd3-4bdc-8e48-c4b4ded12e27
91691	6	11686	2013-08-03 20:53:23.616169	2013-08-03 20:53:23.616169	\N	0c808826-86ea-401e-8563-74c5c4beac9c
75325	13	10432	2013-08-03 20:03:20.830423	2013-08-03 20:03:20.830423	\N	27fe17c1-1651-4a5f-a26d-d79c3859ceec
71334	4	9914	2013-08-03 19:43:44.359157	2013-08-03 19:43:44.359157	\N	155e5f1d-ea27-47db-9182-70ce63f05972
71335	4	9923	2013-08-03 19:43:44.398707	2013-08-03 19:43:44.398707	\N	7d80ef7d-8a58-4e4e-b5a7-20c09668b26b
75345	14	10405	2013-08-03 20:03:25.988671	2013-08-03 20:03:25.988671	\N	310ef8aa-1608-438f-9c7e-bc0c60dc1778
78371	19	10648	2013-08-03 20:14:49.649875	2013-08-03 20:14:49.649875	\N	5317a555-aecf-4ba2-a093-c2b5965d62f3
83242	14	11062	2013-08-03 20:30:16.971138	2013-08-03 20:30:16.971138	\N	df264049-fc60-44cb-98c3-87237af1d586
83243	14	11005	2013-08-03 20:30:17.028936	2013-08-03 20:30:17.028936	\N	cea69145-4c1b-4730-9e36-8607186e1769
91692	10	11647	2013-08-03 20:53:23.700025	2013-08-03 20:53:23.700025	\N	72c1d432-3adc-4cfa-89e4-6eff265c7ab2
71354	17	9877	2013-08-03 19:43:54.443116	2013-08-03 19:43:54.443116	\N	4302c82a-3d2a-4ffb-bc3b-324a9ed5f1dc
72531	19	10049	2013-08-03 19:49:50.470885	2013-08-03 19:49:50.470885	\N	ba08a1d4-7507-49f7-b0c5-d8f74895b74b
91695	10	11686	2013-08-03 20:53:23.781084	2013-08-03 20:53:23.781084	\N	ea3b846e-cc19-4c42-a4e6-9760663f3530
113340	1	13577	2013-08-03 22:04:28.356724	2013-08-03 22:04:28.356724	\N	a5da48f1-46de-4042-ba8e-b885278bd051
106821	13	12949	2013-08-03 21:42:22.43929	2013-08-03 21:42:22.43929	\N	1ed3d3f2-e4cd-4694-8a68-c4b8e1613936
111191	11	13450	2013-08-03 21:59:35.660795	2013-08-03 21:59:35.660795	\N	df23ef42-73bb-4866-9828-25b7995c626f
111192	11	13451	2013-08-03 21:59:35.843034	2013-08-03 21:59:35.843034	\N	a0d7b966-f2a1-432b-a211-4428ef36e732
67736	10	9502	2013-08-03 19:30:43.053255	2013-08-03 19:30:43.053255	\N	7a22c176-5416-47b8-8736-81c1739a8a91
113341	5	13546	2013-08-03 22:04:28.424742	2013-08-03 22:04:28.424742	\N	1c5373a3-eb7a-4623-a39c-edd42c71c4c1
111201	7	13456	2013-08-03 21:59:38.639325	2013-08-03 21:59:38.639325	\N	2a3f8436-8ecd-4a46-9581-4e0071909c97
72575	19	10048	2013-08-03 19:50:09.862264	2013-08-03 19:50:09.862264	\N	1c1c4262-85a0-43ef-86aa-2e79d63bcf39
93439	9	11899	2013-08-03 21:00:21.229958	2013-08-03 21:00:21.229958	\N	97606b24-ce4b-43e0-b472-18aad72e45c8
72585	19	10054	2013-08-03 19:50:10.903346	2013-08-03 19:50:10.903346	\N	7dd76cb6-6343-4eb9-9d76-3402139fbc09
76832	5	10519	2013-08-03 20:09:01.941365	2013-08-03 20:09:01.941365	\N	8c6853e3-73b1-42b1-92bf-14384862796d
67761	15	9502	2013-08-03 19:30:49.281226	2013-08-03 19:30:49.281226	\N	9de7ccb5-5e35-4f92-8da8-565453ac7226
68568	11	9671	2013-08-03 19:33:49.283386	2013-08-03 19:33:49.283386	\N	a7cfbf7d-70e8-440d-b485-a9794daada22
78435	14	10684	2013-08-03 20:15:09.498881	2013-08-03 20:15:09.498881	\N	08042d3a-07de-420e-9f4b-0d4560a19219
74003	8	10282	2013-08-03 19:57:28.665973	2013-08-03 19:57:28.665973	\N	1851af1c-ef7f-4c23-9e48-60bc3cdc1607
74010	2	10300	2013-08-03 19:57:29.659949	2013-08-03 19:57:29.659949	\N	8e78a3e1-bd1a-4df3-9a60-9ac7577388a9
74012	2	10303	2013-08-03 19:57:29.760411	2013-08-03 19:57:29.760411	\N	a359d230-421b-4872-a072-feef7c99cf8d
74013	2	10264	2013-08-03 19:57:29.83344	2013-08-03 19:57:29.83344	\N	90470166-8886-470b-8d31-4e528a361279
74015	2	10292	2013-08-03 19:57:29.867534	2013-08-03 19:57:29.867534	\N	29bd41bd-6ea6-439c-9a98-fcda839745e0
68684	16	9661	2013-08-03 19:34:16.107905	2013-08-03 19:34:16.107905	\N	176fa3f3-d824-4dc6-842d-9877ce420ef9
113320	7	13537	2013-08-03 22:04:25.669538	2013-08-03 22:04:25.669538	\N	c79e5744-9a99-44f4-8195-9af69311afe0
71045	1	9914	2013-08-03 19:42:58.524121	2013-08-03 19:42:58.524121	\N	72ffab11-df33-4b57-a374-1df2ebdcc210
95273	1	12067	2013-08-03 21:06:13.598278	2013-08-03 21:06:13.598278	\N	4b5314bf-67b1-42ca-96fd-4330d8a429dd
66443	11	9376	2013-08-03 19:25:29.434861	2013-08-03 19:25:29.434861	\N	a12cc424-c6ab-4b51-8438-cafc7928081f
86665	2	11257	2013-08-03 20:39:13.353755	2013-08-03 20:39:13.353755	\N	723da3aa-b8cf-4f18-964a-2c9cc018cfc5
76662	12	10552	2013-08-03 20:08:22.827361	2013-08-03 20:08:22.827361	\N	bc23d8d9-64cf-4431-8695-f07c5487b63b
76663	12	10558	2013-08-03 20:08:23.307735	2013-08-03 20:08:23.307735	\N	4f56b05d-a9d1-464c-ad7e-a062425fb702
95275	1	12070	2013-08-03 21:06:13.687528	2013-08-03 21:06:13.687528	\N	229f0949-2fa3-4743-930a-4e8ec78f40d5
68303	7	9658	2013-08-03 19:32:59.825735	2013-08-03 19:32:59.825735	\N	93a62501-0c4d-4df5-90c1-96cc48c292c3
68304	7	9649	2013-08-03 19:32:59.873568	2013-08-03 19:32:59.873568	\N	25a29c9f-02a1-40e5-a9d3-522bc2e215ea
68305	7	9628	2013-08-03 19:32:59.907121	2013-08-03 19:32:59.907121	\N	6b1cecd4-ecae-4945-b250-1afe24936a56
68308	17	9661	2013-08-03 19:33:00.091323	2013-08-03 19:33:00.091323	\N	4c9a8a34-14e9-47e8-b15e-fc4531c9a06f
68313	11	9670	2013-08-03 19:33:00.431764	2013-08-03 19:33:00.431764	\N	4ce1ef67-ac1f-4d5c-8246-6c41b3fdb484
90038	5	11539	2013-08-03 20:49:09.429016	2013-08-03 20:49:09.429016	\N	cd529e2e-1b92-413c-88a3-57604f18f780
68319	11	9676	2013-08-03 19:33:01.226486	2013-08-03 19:33:01.226486	\N	1f31ce3a-579e-44b2-a4b9-422d74a6d84b
66509	5	9406	2013-08-03 19:25:42.550423	2013-08-03 19:25:42.550423	\N	de4c18e8-92b5-4e84-96cd-efee6c1d48b9
75114	2	10396	2013-08-03 20:02:39.921809	2013-08-03 20:02:39.921809	\N	39fa6d17-e03f-4b10-b434-8425b915a5b8
106815	17	12904	2013-08-03 21:42:20.708017	2013-08-03 21:42:20.708017	\N	973038b8-f71b-4d09-ad6b-67369e37680a
75116	2	10427	2013-08-03 20:02:40.049297	2013-08-03 20:02:40.049297	\N	dc5edcc6-e45d-4d3e-9a24-fb32403fa70e
69841	13	9799	2013-08-03 19:38:44.178753	2013-08-03 19:38:44.178753	\N	9fc9d672-78c2-4fa9-9b20-59d34b55a858
73811	14	10175	2013-08-03 19:56:19.882955	2013-08-03 19:56:19.882955	\N	06472a57-1d79-4491-95a2-930944caa135
75117	2	10408	2013-08-03 20:02:40.104095	2013-08-03 20:02:40.104095	\N	6edcec76-0927-4505-8ef6-7d28121b45f8
76676	14	10507	2013-08-03 20:08:26.993934	2013-08-03 20:08:26.993934	\N	2239f267-75a8-428b-a071-6c92b291cf1b
68372	14	9670	2013-08-03 19:33:19.379942	2013-08-03 19:33:19.379942	\N	4235528b-e8f2-40c8-86ae-38ffa7959d44
68378	14	9661	2013-08-03 19:33:19.474816	2013-08-03 19:33:19.474816	\N	1afff0e8-9014-4a1d-a281-7631fe48f2dd
68379	14	9676	2013-08-03 19:33:19.531444	2013-08-03 19:33:19.531444	\N	22dd84a3-8dc6-47d0-b267-7b3b4fe8d05a
76679	14	10534	2013-08-03 20:08:27.218335	2013-08-03 20:08:27.218335	\N	e2b408a5-2e2c-43ab-9d75-3f377251ba1e
76681	14	10522	2013-08-03 20:08:27.253526	2013-08-03 20:08:27.253526	\N	d70b6e5f-28f7-4c32-8a5b-be6fbe8671ea
72489	16	10030	2013-08-03 19:49:37.031556	2013-08-03 19:49:37.031556	\N	0ca038dc-a191-4a05-9f03-f8cb06e7ba7a
72490	16	10012	2013-08-03 19:49:37.174693	2013-08-03 19:49:37.174693	\N	9c706685-8131-4d45-a478-a33067fd217b
72491	16	10027	2013-08-03 19:49:37.29463	2013-08-03 19:49:37.29463	\N	4beb2731-2eb1-48ca-b1f1-96810eb29822
69908	12	9757	2013-08-03 19:39:03.264442	2013-08-03 19:39:03.264442	\N	0d5adba2-119b-43ba-8184-fd51053778fb
68478	6	9628	2013-08-03 19:33:39.898704	2013-08-03 19:33:39.898704	\N	b8a51c98-088a-4cbc-816a-97b76e4fdffa
69916	12	9778	2013-08-03 19:39:03.557808	2013-08-03 19:39:03.557808	\N	ce97108e-4c3a-4fcd-9d15-4f4d02a3bc2c
111198	5	13441	2013-08-03 21:59:36.765567	2013-08-03 21:59:36.765567	\N	075e7bd8-617d-4e96-aaaf-909f5bf52ae5
72497	16	10051	2013-08-03 19:49:37.856595	2013-08-03 19:49:37.856595	\N	7d180809-549d-4310-84d9-e54b3cb49295
71075	6	9877	2013-08-03 19:43:01.285146	2013-08-03 19:43:01.285146	\N	373954c2-ed81-4459-8b68-bec107e7da9d
71076	6	9904	2013-08-03 19:43:02.004901	2013-08-03 19:43:02.004901	\N	ae7d7c58-b589-41c9-a7ce-d5e931af3875
71077	4	9877	2013-08-03 19:43:03.456103	2013-08-03 19:43:03.456103	\N	f419d0b4-8ce7-4cbf-b353-93b87adabd87
71078	4	9883	2013-08-03 19:43:03.559422	2013-08-03 19:43:03.559422	\N	8b5680da-fee9-4052-849e-eccb7fe39a58
71080	4	9904	2013-08-03 19:43:03.60075	2013-08-03 19:43:03.60075	\N	82aad9ca-d9db-49d3-830a-baa2b912d1c0
76700	9	10501	2013-08-03 20:08:31.068101	2013-08-03 20:08:31.068101	\N	3b1501b3-a41b-4325-8915-0c8dabb2dc3f
71082	4	9922	2013-08-03 19:43:03.675281	2013-08-03 19:43:03.675281	\N	2c5fab9c-9c9c-462e-8223-54b843a95369
69963	17	9757	2013-08-03 19:39:10.585118	2013-08-03 19:39:10.585118	\N	90c2445e-4e53-4c30-8106-7d8e9b42e3f8
71083	4	9928	2013-08-03 19:43:03.711325	2013-08-03 19:43:03.711325	\N	4b59d5d3-aeb0-41d5-bcf0-fe8d3116b2a0
69965	17	9778	2013-08-03 19:39:10.687992	2013-08-03 19:39:10.687992	\N	889af6ec-9396-41bf-bf28-90bc0ab7065f
111200	5	13456	2013-08-03 21:59:37.426671	2013-08-03 21:59:37.426671	\N	0e6a9b77-e8ae-4b5a-8053-c7ca46e53619
100876	2	12399	2013-08-03 21:22:13.556613	2013-08-03 21:22:13.556613	\N	cb660d06-0ffe-4c93-ba16-4ef5c296ae72
135028	8	17734	2013-08-04 00:50:56.376061	2013-08-04 00:50:56.376061	\N	d5f8a766-6ff7-4d82-be9a-f5c7bf94ff81
67614	13	9505	2013-08-03 19:30:26.179967	2013-08-03 19:30:26.179967	\N	ec3c3423-a7fb-495f-9bf4-a2c977b13e15
69977	2	9797	2013-08-03 19:39:15.419334	2013-08-03 19:39:15.419334	\N	b30a2b33-ba85-40a4-9e41-6f18a11733a8
71168	14	9904	2013-08-03 19:43:21.480395	2013-08-03 19:43:21.480395	\N	dc7d37e8-c899-4951-b933-c7122658d110
71176	14	9925	2013-08-03 19:43:21.803322	2013-08-03 19:43:21.803322	\N	9934010d-b829-4056-8ecc-71fe869eab3e
71177	5	9886	2013-08-03 19:43:21.976864	2013-08-03 19:43:21.976864	\N	645148d5-584f-4a4c-9d32-9a64a2408886
71178	17	9922	2013-08-03 19:43:22.208872	2013-08-03 19:43:22.208872	\N	27333fab-e294-4b9d-81fc-56b1b056f46c
73869	11	10141	2013-08-03 19:56:42.303069	2013-08-03 19:56:42.303069	\N	c33ed3d5-8631-4f8e-a4d4-50fc2cd444d8
75241	11	10390	2013-08-03 20:03:14.767491	2013-08-03 20:03:14.767491	\N	4ec93d78-3d2d-45e2-a282-fe582ad2fc7a
67644	13	9541	2013-08-03 19:30:29.149578	2013-08-03 19:30:29.149578	\N	10ae53ad-ae5a-4513-84da-f59e36403aa7
67645	13	9544	2013-08-03 19:30:29.422307	2013-08-03 19:30:29.422307	\N	342b024b-d37e-41b0-b571-c2965d09de4b
111212	7	13411	2013-08-03 21:59:38.970528	2013-08-03 21:59:38.970528	\N	7d557838-4f87-4cb2-8254-ed48ec1c47b2
75245	13	10387	2013-08-03 20:03:15.811177	2013-08-03 20:03:15.811177	\N	fc6d623c-961b-4b75-9ede-40705bb32291
75247	11	10396	2013-08-03 20:03:15.973224	2013-08-03 20:03:15.973224	\N	6fccc613-9382-40e5-9dcc-8176d1d3e309
91688	9	11692	2013-08-03 20:53:23.145637	2013-08-03 20:53:23.145637	\N	c42e71ef-6e01-4ca7-ba4b-187436258521
91689	10	11692	2013-08-03 20:53:23.591276	2013-08-03 20:53:23.591276	\N	2d2fe833-834c-4d2a-a8d0-9521ed50d259
76707	17	10531	2013-08-03 20:08:32.872596	2013-08-03 20:08:32.872596	\N	cc3cc56b-9c4a-428e-b146-4321ede78e23
76714	17	10534	2013-08-03 20:08:32.984956	2013-08-03 20:08:32.984956	\N	e50d6ff7-6421-4dc9-be8d-779a1cf5e027
76715	17	10552	2013-08-03 20:08:33.049628	2013-08-03 20:08:33.049628	\N	5d0c8165-0b13-4937-8239-441298df6b23
76716	17	10555	2013-08-03 20:08:33.105454	2013-08-03 20:08:33.105454	\N	42a60f7a-fe28-4063-b71f-1075b52d69e5
76717	17	10558	2013-08-03 20:08:33.15447	2013-08-03 20:08:33.15447	\N	a4723881-eec0-42e2-a409-c5dc4147aa3b
76718	13	10507	2013-08-03 20:08:35.33949	2013-08-03 20:08:35.33949	\N	9b79b63c-3957-43a1-83f8-fa6b2110b5e9
111214	7	13450	2013-08-03 21:59:39.001215	2013-08-03 21:59:39.001215	\N	8980d31d-9b7a-4511-bf0c-cc3166554b04
111217	7	13399	2013-08-03 21:59:39.043027	2013-08-03 21:59:39.043027	\N	fdf1b6e7-b31b-4eb6-b8f9-919e29e2cabc
111218	7	13451	2013-08-03 21:59:39.076287	2013-08-03 21:59:39.076287	\N	ba740657-8b4a-4b34-a56b-2567e0622e44
75266	13	10375	2013-08-03 20:03:16.858502	2013-08-03 20:03:16.858502	\N	61c2d03c-84d7-4344-b092-881d9f3cfd64
75276	13	10390	2013-08-03 20:03:17.107336	2013-08-03 20:03:17.107336	\N	517e61bd-ff2a-484b-9b72-6c0b9e9c6a3d
111219	7	13435	2013-08-03 21:59:39.119705	2013-08-03 21:59:39.119705	\N	80a62164-10b1-42a6-9f86-8851db92f45f
76755	13	10552	2013-08-03 20:08:43.910361	2013-08-03 20:08:43.910361	\N	6438847a-90ea-4d2f-9861-a2cb608d00a2
67738	10	9541	2013-08-03 19:30:43.208626	2013-08-03 19:30:43.208626	\N	9313b6c7-b968-4565-9007-41a310c32ff3
135029	7	17683	2013-08-04 00:50:56.542068	2013-08-04 00:50:56.542068	\N	544fb32f-3715-474c-958b-97c873791545
75286	13	10393	2013-08-03 20:03:17.685406	2013-08-03 20:03:17.685406	\N	7f54ab3d-b9e6-47c9-b8f1-7b040a6b66ce
83357	8	11023	2013-08-03 20:30:43.002152	2013-08-03 20:30:43.002152	\N	cd010c5b-ff87-4b80-986e-ea8dea73ab50
135042	6	17695	2013-08-04 00:50:59.219441	2013-08-04 00:50:59.219441	\N	a8e20040-60be-4408-9e91-6ecda467889c
75291	13	10396	2013-08-03 20:03:17.93678	2013-08-03 20:03:17.93678	\N	5eababad-ff36-4894-93d5-7a556929643c
83367	1	11038	2013-08-03 20:30:43.400596	2013-08-03 20:30:43.400596	\N	792f202b-b9f9-4325-bd9c-a633c5ad9fd7
83368	6	11038	2013-08-03 20:30:43.57253	2013-08-03 20:30:43.57253	\N	6b9ee4e2-408f-4414-9bb2-2891caae99a5
111233	7	13420	2013-08-03 21:59:39.264351	2013-08-03 21:59:39.264351	\N	f47ddb41-d60a-414a-87e4-a782f5c75238
78343	19	10684	2013-08-03 20:14:46.555551	2013-08-03 20:14:46.555551	\N	b6bfeb1d-9055-4f3a-af7a-cf5fa2f3f98f
135047	15	17734	2013-08-04 00:51:00.132321	2013-08-04 00:51:00.132321	\N	19a17f62-58cb-4b01-97d2-13b745f2ecb8
113329	11	13577	2013-08-03 22:04:26.581701	2013-08-03 22:04:26.581701	\N	fb428dc7-b5b4-4d22-9ee5-ae1dd438f046
75351	3	10387	2013-08-03 20:03:27.645258	2013-08-03 20:03:27.645258	\N	30e85d07-05f2-4a4d-b1b2-52055792f1b4
75352	3	10375	2013-08-03 20:03:27.756153	2013-08-03 20:03:27.756153	\N	55ebe1c4-9749-4107-82b5-795d71b12aa4
72718	5	10033	2013-08-03 19:50:51.179624	2013-08-03 19:50:51.179624	\N	63678c32-a8ff-41e4-b8d9-05ba516c60d1
73947	5	10141	2013-08-03 19:56:56.377053	2013-08-03 19:56:56.377053	\N	278dbe69-6949-4b96-94c4-ecdf251a0ff8
75353	3	10426	2013-08-03 20:03:27.814493	2013-08-03 20:03:27.814493	\N	c4191f53-f3ce-4af2-b64a-1bcd6e548fe3
75354	3	10408	2013-08-03 20:03:27.866495	2013-08-03 20:03:27.866495	\N	faf6c9e0-93c9-433f-98b5-2a3537a420ca
97165	19	12191	2013-08-03 21:11:18.536187	2013-08-03 21:11:18.536187	\N	87912d51-1c3a-43eb-b749-c87dcd56752e
79732	7	10768	2013-08-03 20:21:40.390619	2013-08-03 20:21:40.390619	\N	d19337d6-8f4d-4ee0-a755-b9364c0f3772
72742	13	10027	2013-08-03 19:50:59.408581	2013-08-03 19:50:59.408581	\N	75573eab-bc8b-48c8-932e-b782ab645e19
75361	17	10418	2013-08-03 20:03:28.92111	2013-08-03 20:03:28.92111	\N	9837c619-dbf8-4e7c-94de-aff8070a5dd7
72754	13	10051	2013-08-03 19:51:00.779047	2013-08-03 19:51:00.779047	\N	d29efa47-8050-4090-8fbe-f5f9df8b9205
75362	6	10381	2013-08-03 20:03:30.071312	2013-08-03 20:03:30.071312	\N	f34f289e-fb43-4761-9aed-fad747c6ea0d
74007	8	10300	2013-08-03 19:57:28.68596	2013-08-03 19:57:28.68596	\N	d5234913-6bed-4c4f-bab2-52298c0291c1
75363	19	10418	2013-08-03 20:03:30.552445	2013-08-03 20:03:30.552445	\N	94df9336-1e12-4ab6-8952-df3a1a55269d
68685	16	9628	2013-08-03 19:34:16.252248	2013-08-03 19:34:16.252248	\N	2fe5bc6b-7174-47aa-a8b7-0e95b59c37f2
68686	16	9631	2013-08-03 19:34:16.397673	2013-08-03 19:34:16.397673	\N	d674d273-6656-47f4-8ad2-2bca26299609
68687	16	9652	2013-08-03 19:34:16.540313	2013-08-03 19:34:16.540313	\N	f520783e-2800-42db-bc0f-8cca7fd70608
117737	14	13939	2013-08-03 22:23:05.064464	2013-08-03 22:23:05.064464	\N	653a8db7-fdb0-43c8-a0f1-5369797c07f4
91657	9	11668	2013-08-03 20:53:18.410115	2013-08-03 20:53:18.410115	\N	7b35e3d4-c059-4b1a-967b-dd5f9f629e9b
68295	7	9673	2013-08-03 19:32:59.61825	2013-08-03 19:32:59.61825	\N	8de443e8-5578-4cdf-a3c3-bb41a6578a26
68297	11	9658	2013-08-03 19:32:59.652626	2013-08-03 19:32:59.652626	\N	b102c739-f082-4681-974d-25636106934a
68307	11	9667	2013-08-03 19:32:59.941829	2013-08-03 19:32:59.941829	\N	6b19cef4-8247-490c-b01b-1dadf29468c5
68310	17	9628	2013-08-03 19:33:00.226545	2013-08-03 19:33:00.226545	\N	e073b5ee-6eef-45de-81b0-c109565e14be
99022	8	12265	2013-08-03 21:17:19.93136	2013-08-03 21:17:19.93136	\N	4576f5be-4f89-40c3-ac09-098d4f02c845
68316	11	9673	2013-08-03 19:33:00.919695	2013-08-03 19:33:00.919695	\N	a0d90e02-6cc3-4f1d-be3e-e6fd6d17c33b
91661	7	11679	2013-08-03 20:53:19.37106	2013-08-03 20:53:19.37106	\N	c4edeac2-7aa5-42e0-82cc-63478225118e
68329	6	9671	2013-08-03 19:33:03.888599	2013-08-03 19:33:03.888599	\N	74226faf-f56f-448e-92d3-90af37c0dd51
76736	9	10552	2013-08-03 20:08:38.426256	2013-08-03 20:08:38.426256	\N	0f351bef-3a97-40fe-b6aa-aeadf1cca498
91665	6	11677	2013-08-03 20:53:20.494829	2013-08-03 20:53:20.494829	\N	9e72f592-3a25-4799-bc3e-57ec04eef7a4
106822	13	12952	2013-08-03 21:42:22.704061	2013-08-03 21:42:22.704061	\N	ff947f2a-e379-4c15-bf88-29f1e0cd46c7
69906	12	9754	2013-08-03 19:39:02.976089	2013-08-03 19:39:02.976089	\N	2f527b3e-3c70-4f90-9c5c-a4f7e3ab4d10
75218	5	10390	2013-08-03 20:03:01.631714	2013-08-03 20:03:01.631714	\N	38c08e2c-c102-4eff-953d-094d0c681c31
75219	10	10387	2013-08-03 20:03:01.945226	2013-08-03 20:03:01.945226	\N	9c3badbe-891b-44f8-8bf8-aad82db3237a
75221	5	10396	2013-08-03 20:03:02.122534	2013-08-03 20:03:02.122534	\N	4e890e74-0b20-4290-80b8-8711a4398d49
75225	5	10426	2013-08-03 20:03:03.501877	2013-08-03 20:03:03.501877	\N	2ddf80ac-ec74-41a2-bda0-32ce867621fc
76742	4	10507	2013-08-03 20:08:41.729018	2013-08-03 20:08:41.729018	\N	13c5d78e-401d-4b52-ada7-0c07a1a58e0e
76743	4	10513	2013-08-03 20:08:41.802367	2013-08-03 20:08:41.802367	\N	89b1a539-d012-48e3-9bce-1fbe8e54e7c3
76744	4	10501	2013-08-03 20:08:41.888683	2013-08-03 20:08:41.888683	\N	069f6dcf-6a37-4f91-8f7f-6f02bcd2b208
68369	14	9652	2013-08-03 19:33:19.188755	2013-08-03 19:33:19.188755	\N	26778b43-f5ef-4df7-a36c-7a3a95dfaa5f
67611	13	9535	2013-08-03 19:30:25.405226	2013-08-03 19:30:25.405226	\N	bd151990-31a7-4a8b-83a2-ebde02d4313e
67613	13	9502	2013-08-03 19:30:25.905481	2013-08-03 19:30:25.905481	\N	a7abc3ea-7ec5-4b4d-a0a9-1f4e5ed6e16e
67618	13	9508	2013-08-03 19:30:26.796264	2013-08-03 19:30:26.796264	\N	26bbffe3-077b-4959-879f-130308a4ff47
68371	14	9640	2013-08-03 19:33:19.352344	2013-08-03 19:33:19.352344	\N	8bad8f9e-cef7-423a-b143-e0c807df69e7
68373	14	9634	2013-08-03 19:33:19.384821	2013-08-03 19:33:19.384821	\N	dec8b2d8-9e66-4afe-b613-9a6f9e472bf2
76745	4	10534	2013-08-03 20:08:41.962563	2013-08-03 20:08:41.962563	\N	8038f5e0-3d3b-4ad3-969e-f178c928cdb8
76747	4	10552	2013-08-03 20:08:42.02612	2013-08-03 20:08:42.02612	\N	3e6592b2-b256-4e4c-8342-d8ff7ddfde3c
67628	13	9514	2013-08-03 19:30:27.632828	2013-08-03 19:30:27.632828	\N	e607988f-6bc5-43a2-8681-1993f7beae3e
75272	20	10418	2013-08-03 20:03:17.028183	2013-08-03 20:03:17.028183	\N	276a5c8d-83fd-4267-af1b-b15fa9087a5a
68387	14	9627	2013-08-03 19:33:19.959702	2013-08-03 19:33:19.959702	\N	38a51637-4e5a-4f19-a6a4-c64ea822e2a9
75274	20	10427	2013-08-03 20:03:17.075529	2013-08-03 20:03:17.075529	\N	a8a7e367-0a63-43e3-87c1-41c757318212
67642	13	9532	2013-08-03 19:30:28.913204	2013-08-03 19:30:28.913204	\N	913f17ef-0add-460a-a6dc-5944d941ef06
76748	4	10558	2013-08-03 20:08:42.106064	2013-08-03 20:08:42.106064	\N	d96b9dfa-33cc-4d3d-8695-5708637ea59a
68398	14	9654	2013-08-03 19:33:20.21992	2013-08-03 19:33:20.21992	\N	1630974e-1c0e-4311-864e-3c917f1dce5b
71172	14	9883	2013-08-03 19:43:21.655923	2013-08-03 19:43:21.655923	\N	f5b0bb49-46e9-4a07-9db1-9ce09614a56c
68402	14	9671	2013-08-03 19:33:20.267291	2013-08-03 19:33:20.267291	\N	faf6d207-ce89-4bb8-a0d1-ca854df23cac
88427	13	11404	2013-08-03 20:44:30.529914	2013-08-03 20:44:30.529914	\N	867bdaf1-ee87-4b81-bf7e-2cb239d72110
71188	17	9928	2013-08-03 19:43:25.246481	2013-08-03 19:43:25.246481	\N	9f217a52-524d-4434-a709-ad5dccf3dbea
111190	9	13450	2013-08-03 21:59:35.638756	2013-08-03 21:59:35.638756	\N	27d09a37-0bf5-4c84-bc0c-d2750868e629
75344	14	10390	2013-08-03 20:03:25.873201	2013-08-03 20:03:25.873201	\N	e4cdf2ad-498a-4ef9-8e7d-1c20e3756fc2
75347	14	10408	2013-08-03 20:03:25.994735	2013-08-03 20:03:25.994735	\N	af5b644d-6bbf-4c0f-bf6b-6b4c203f70a3
69931	17	9751	2013-08-03 19:39:07.511822	2013-08-03 19:39:07.511822	\N	3c53dbbe-cb11-416a-828b-7eee1d3a71ee
88429	13	11410	2013-08-03 20:44:31.655628	2013-08-03 20:44:31.655628	\N	41c08cc1-83c0-42e7-8a84-f434a784a74b
74011	11	10261	2013-08-03 19:57:29.662158	2013-08-03 19:57:29.662158	\N	d264fd6c-77d2-4465-ad7f-bd0bdcbe5a9d
91674	4	11687	2013-08-03 20:53:21.547681	2013-08-03 20:53:21.547681	\N	d0b7138f-51b1-4695-8569-00782395ff60
71195	12	9922	2013-08-03 19:43:25.944057	2013-08-03 19:43:25.944057	\N	9ebf454a-485d-483b-8d32-cef206937349
72537	10	10054	2013-08-03 19:49:54.662192	2013-08-03 19:49:54.662192	\N	bb2bb63a-0380-4136-bf9f-6354006a5f68
74036	7	10306	2013-08-03 19:57:32.84446	2013-08-03 19:57:32.84446	\N	ac89f060-7071-46f1-bc3d-d232cb86d4fc
74043	11	10285	2013-08-03 19:57:33.34585	2013-08-03 19:57:33.34585	\N	00e3b673-d984-4113-9af7-474c78091f43
95267	1	12025	2013-08-03 21:06:13.366105	2013-08-03 21:06:13.366105	\N	d0d09009-7c4d-4049-9497-ccfd216c0cb9
88453	13	11440	2013-08-03 20:44:33.787981	2013-08-03 20:44:33.787981	\N	942365e9-9e61-4745-b5aa-d9dec6f2fb3a
69957	17	9787	2013-08-03 19:39:10.271911	2013-08-03 19:39:10.271911	\N	3611be57-0563-418f-b8d6-fcc1f6481879
74052	11	10303	2013-08-03 19:57:34.729402	2013-08-03 19:57:34.729402	\N	ec5617ae-7025-4c05-b99e-d4650e48c80d
111194	11	13453	2013-08-03 21:59:36.298635	2013-08-03 21:59:36.298635	\N	a82cd239-4b00-44b8-a270-851487bf83fe
113334	11	13582	2013-08-03 22:04:27.423365	2013-08-03 22:04:27.423365	\N	f611f1ca-2aa4-4976-bbe2-f5b9d512febf
68468	6	9667	2013-08-03 19:33:39.178946	2013-08-03 19:33:39.178946	\N	838c9243-c756-4f03-b020-3f665dee5f0e
76807	11	10501	2013-08-03 20:08:58.461703	2013-08-03 20:08:58.461703	\N	4b9009fb-18d5-4b5a-99a2-22ce705c69bd
111196	11	13456	2013-08-03 21:59:36.61852	2013-08-03 21:59:36.61852	\N	684edd40-4f49-4a98-853b-06db9588732d
74069	2	10261	2013-08-03 19:57:40.099322	2013-08-03 19:57:40.099322	\N	1bae6ddf-4dc6-479b-9b31-26812f1ab6ac
74071	2	10270	2013-08-03 19:57:40.201913	2013-08-03 19:57:40.201913	\N	3b2fedc7-94ab-4f90-9676-a7073b4c3174
69985	10	9778	2013-08-03 19:39:17.467298	2013-08-03 19:39:17.467298	\N	1b963f9e-e2ca-478b-babb-e355aeba706d
74073	2	10301	2013-08-03 19:57:40.24937	2013-08-03 19:57:40.24937	\N	92d9e07c-f4a8-4876-ae0a-fcf5282eee47
71220	16	9877	2013-08-03 19:43:31.532999	2013-08-03 19:43:31.532999	\N	46a8d78b-34ea-47ae-a54f-148271e9fb84
71221	16	9883	2013-08-03 19:43:31.689396	2013-08-03 19:43:31.689396	\N	579c2d2c-38dd-45e7-b68b-04792687888b
71223	16	9886	2013-08-03 19:43:31.969251	2013-08-03 19:43:31.969251	\N	3701e990-aa03-4d18-9b47-f94f1ec98824
71225	16	9901	2013-08-03 19:43:32.089692	2013-08-03 19:43:32.089692	\N	17977998-6da7-4abd-882f-3885b54b8a78
113345	7	13579	2013-08-03 22:04:30.033771	2013-08-03 22:04:30.033771	\N	1c195794-7b77-46d1-acf1-2a0ac8795656
99047	15	12265	2013-08-03 21:17:22.560672	2013-08-03 21:17:22.560672	\N	79d0eb2b-ed51-4715-90aa-dd4b7d386951
113346	15	13525	2013-08-03 22:04:30.828166	2013-08-03 22:04:30.828166	\N	517b93d1-2b13-4233-876b-9f73ccd8ade6
70063	5	9775	2013-08-03 19:39:30.859966	2013-08-03 19:39:30.859966	\N	a4c0ba6c-6624-40d2-bda6-b71ac9af2b16
99054	17	12265	2013-08-03 21:17:23.297814	2013-08-03 21:17:23.297814	\N	72e9872f-b583-475e-96d0-d6b68575cfec
74114	9	10292	2013-08-03 19:57:51.955577	2013-08-03 19:57:51.955577	\N	c328de8d-2fd9-4147-9ba9-fac897600fe8
68590	10	9676	2013-08-03 19:33:55.087764	2013-08-03 19:33:55.087764	\N	5dccaa85-26a1-4ecd-83c9-b7375f35e316
68610	4	9625	2013-08-03 19:34:00.661679	2013-08-03 19:34:00.661679	\N	169e05e5-b479-41a2-b55a-286bd738e685
68613	4	9661	2013-08-03 19:34:00.696692	2013-08-03 19:34:00.696692	\N	8b4c918e-0db2-4aa9-bb35-38d62b8985fa
68615	4	9628	2013-08-03 19:34:00.730054	2013-08-03 19:34:00.730054	\N	a182678e-11d3-4bc3-8f92-4ca42f2e8b13
68616	4	9631	2013-08-03 19:34:00.763529	2013-08-03 19:34:00.763529	\N	50d1a0b1-50e6-40a8-ac7b-a923e8d8d7f2
68617	4	9652	2013-08-03 19:34:00.805844	2013-08-03 19:34:00.805844	\N	eb7fe23c-60b0-4340-8fe4-818c21f6be4c
113347	17	13576	2013-08-03 22:04:31.890019	2013-08-03 22:04:31.890019	\N	5c125722-9c7b-404a-8194-07d993f4fc11
68619	4	9667	2013-08-03 19:34:00.865695	2013-08-03 19:34:00.865695	\N	9266de36-cd75-4b63-a7b5-77372224cdc4
68620	4	9670	2013-08-03 19:34:00.902445	2013-08-03 19:34:00.902445	\N	6c05c51f-6754-43f3-b007-3277b202eb98
68621	4	9676	2013-08-03 19:34:00.935408	2013-08-03 19:34:00.935408	\N	027e65e2-22a9-4405-bf12-c81b40ddb909
79737	8	10810	2013-08-03 20:21:40.920359	2013-08-03 20:21:40.920359	\N	1bfc55b2-5f84-42dc-84d7-adea1904c3fd
79738	7	10783	2013-08-03 20:21:41.01549	2013-08-03 20:21:41.01549	\N	bb00d42b-0ecd-4615-abf8-9f4231031c8f
70078	11	9797	2013-08-03 19:39:33.888775	2013-08-03 19:39:33.888775	\N	44256a40-cc60-4c03-99c3-c3f0a77d80e9
74132	9	10261	2013-08-03 19:58:03.225052	2013-08-03 19:58:03.225052	\N	e8ed2431-dfd8-4e39-8d4c-9dd0f59ce63f
74139	9	10282	2013-08-03 19:58:04.394674	2013-08-03 19:58:04.394674	\N	2ce35c5b-8b94-4715-a81f-942484466b1e
79740	2	10753	2013-08-03 20:21:41.359641	2013-08-03 20:21:41.359641	\N	f7c19731-3f07-45cb-bc39-dd87d0dad79f
70083	14	9797	2013-08-03 19:39:35.371173	2013-08-03 19:39:35.371173	\N	10fbf588-95b4-4993-aa69-f60cc6a7d84d
111216	13	13408	2013-08-03 21:59:39.035142	2013-08-03 21:59:39.035142	\N	1d7cc351-3f07-4aba-a4dd-9b6b191b159a
74156	9	10300	2013-08-03 19:58:11.607208	2013-08-03 19:58:11.607208	\N	dc7ac356-e102-4207-b365-7b9b37713805
93442	9	11887	2013-08-03 21:00:21.404623	2013-08-03 21:00:21.404623	\N	a2535542-6022-4297-b842-717ff1c0d521
113348	7	13582	2013-08-03 22:04:32.593556	2013-08-03 22:04:32.593556	\N	f5b62eca-745e-414f-8872-aea173940ece
79746	2	10768	2013-08-03 20:21:41.445844	2013-08-03 20:21:41.445844	\N	5358bd71-6f42-4fc4-b366-d919dc5f131b
79747	2	10774	2013-08-03 20:21:41.47436	2013-08-03 20:21:41.47436	\N	144ba842-4cea-4e77-b4db-59766b0d45e2
79748	2	10805	2013-08-03 20:21:41.499084	2013-08-03 20:21:41.499084	\N	79d9c94d-8281-4e97-badf-c3618bd5b9db
79751	2	10780	2013-08-03 20:21:41.548019	2013-08-03 20:21:41.548019	\N	9339e5dd-8925-4d74-842a-90610b330a4e
79753	2	10810	2013-08-03 20:21:41.57345	2013-08-03 20:21:41.57345	\N	bd7cca4e-6d6c-4914-adc2-333eb2ac90f6
135024	8	17695	2013-08-04 00:50:55.514659	2013-08-04 00:50:55.514659	\N	3464eab0-f71e-4af8-a6d0-c45b1a067c6d
79756	2	10765	2013-08-03 20:21:41.684884	2013-08-03 20:21:41.684884	\N	b2fb6a0d-09fe-4578-a43b-c2ef92b2fe89
135025	13	17683	2013-08-04 00:50:56.28045	2013-08-04 00:50:56.28045	\N	02ab7505-d4d7-4740-9764-565d38af4535
75495	9	10381	2013-08-03 20:03:50.745205	2013-08-03 20:03:50.745205	\N	232ce0df-0e2e-4488-90e3-98f87ee0e539
75497	10	10381	2013-08-03 20:03:52.556932	2013-08-03 20:03:52.556932	\N	483bbc5b-c3b8-4cd9-a8c0-183a075cbf16
70004	4	9757	2013-08-03 19:39:18.937394	2013-08-03 19:39:18.937394	\N	aa534c70-e59b-4536-996e-b9b4185ed41c
70005	4	9778	2013-08-03 19:39:18.993653	2013-08-03 19:39:18.993653	\N	eb680f18-c7e7-4ba4-a9a4-78552ae06f24
71122	9	9914	2013-08-03 19:43:16.518323	2013-08-03 19:43:16.518323	\N	ce5c18bf-4688-4efc-a17f-790e8f1a4952
70008	4	9793	2013-08-03 19:39:19.109087	2013-08-03 19:39:19.109087	\N	5ef22ae9-cb03-4fb8-9ea0-16644e445b97
70009	4	9796	2013-08-03 19:39:19.195954	2013-08-03 19:39:19.195954	\N	f4d5db45-93f9-40f5-ad04-482a324cd2ef
70010	4	9802	2013-08-03 19:39:19.283606	2013-08-03 19:39:19.283606	\N	b70a54e6-73b1-4082-ba20-c7628ab9d0ce
111202	13	13441	2013-08-03 21:59:38.767731	2013-08-03 21:59:38.767731	\N	680596cd-3ec5-436c-839b-15bf2e46adaf
78333	19	10678	2013-08-03 20:14:44.686081	2013-08-03 20:14:44.686081	\N	d0ae1431-1066-4f11-a642-3b22d18fc2a8
113337	15	13576	2013-08-03 22:04:27.627584	2013-08-03 22:04:27.627584	\N	6ff088d4-2d6b-495d-838e-003e9a537799
68739	10	9631	2013-08-03 19:34:25.41031	2013-08-03 19:34:25.41031	\N	67623764-47d6-4102-81af-6055be11fa88
113343	5	13576	2013-08-03 22:04:29.946029	2013-08-03 22:04:29.946029	\N	287cb5cf-990c-4170-9251-7d410262b15e
68742	10	9671	2013-08-03 19:34:25.682327	2013-08-03 19:34:25.682327	\N	e0cfc9ea-f0f5-42aa-bbf5-8f353cc512ea
79735	8	10765	2013-08-03 20:21:40.894535	2013-08-03 20:21:40.894535	\N	441bb9ac-9c36-46e9-bcaf-d0f8f2441dd5
73845	6	10175	2013-08-03 19:56:30.033749	2013-08-03 19:56:30.033749	\N	908129c3-d0b6-40f2-8728-82b9cce9aa58
75194	1	10427	2013-08-03 20:02:58.560177	2013-08-03 20:02:58.560177	\N	98648e76-566a-4589-8e44-607a360ebcb0
79744	6	10805	2013-08-03 20:21:41.425195	2013-08-03 20:21:41.425195	\N	b66075ce-d7c9-4343-8f98-827dcafcee82
79759	7	10789	2013-08-03 20:21:42.313624	2013-08-03 20:21:42.313624	\N	2b08b1e9-fca0-456a-9400-53a920c270d6
71155	12	9877	2013-08-03 19:43:19.848812	2013-08-03 19:43:19.848812	\N	080d988a-287c-46b1-a367-3108e4404d64
72487	16	10009	2013-08-03 19:49:36.902167	2013-08-03 19:49:36.902167	\N	891398ad-2dc3-401f-a70c-1de4acfe648e
72496	16	10048	2013-08-03 19:49:37.69254	2013-08-03 19:49:37.69254	\N	3d3e2d15-efdb-4ae0-be89-0548c7a1b4b7
72514	15	10040	2013-08-03 19:49:44.979246	2013-08-03 19:49:44.979246	\N	6cc1542f-4691-48c9-90f0-90b384fb33bd
68778	13	9658	2013-08-03 19:34:35.277981	2013-08-03 19:34:35.277981	\N	b0f33b33-c6da-4625-ae94-ddcbefd6913e
79791	7	10810	2013-08-03 20:21:49.627969	2013-08-03 20:21:49.627969	\N	12d67c92-0570-4dde-bc5d-11221147921b
79796	8	10768	2013-08-03 20:21:50.482029	2013-08-03 20:21:50.482029	\N	f3037a3f-3cb1-452a-b629-109374034b1c
79805	17	10780	2013-08-03 20:21:50.970304	2013-08-03 20:21:50.970304	\N	84ed8915-a6b9-4956-bdb7-d617532c3571
68799	17	9676	2013-08-03 19:34:38.799543	2013-08-03 19:34:38.799543	\N	8e02ce2b-67c0-4aaa-a7a6-60d4db298831
71186	3	9904	2013-08-03 19:43:24.537194	2013-08-03 19:43:24.537194	\N	fbbb4ce5-1669-4c0f-8c80-7242c2132ba7
71187	3	9922	2013-08-03 19:43:24.587559	2013-08-03 19:43:24.587559	\N	9fd37e26-c158-4fa8-9aef-ac873b9c9a6b
71206	8	9914	2013-08-03 19:43:26.556169	2013-08-03 19:43:26.556169	\N	3b26f3e4-f0fe-470e-918c-15e9c87f7ba2
135022	18	17565	2013-08-04 00:50:43.613496	2013-08-04 00:50:43.613496	\N	1012a57a-c9ef-4e83-b3ae-6b8bd64627b2
73897	14	10141	2013-08-03 19:56:44.334151	2013-08-03 19:56:44.334151	\N	98eb3379-3279-4868-aae9-820a4edc8f2f
135056	5	17683	2013-08-04 00:51:03.789224	2013-08-04 00:51:03.789224	\N	e426884b-a23b-417c-9e9a-c52cb3463ed7
95266	1	12055	2013-08-03 21:06:13.283076	2013-08-03 21:06:13.283076	\N	a5127121-b8c6-40c7-bcc8-60fe1b334ae3
95270	1	12046	2013-08-03 21:06:13.444974	2013-08-03 21:06:13.444974	\N	6465a7e0-84b5-4c91-a9f8-f841d7e5b993
88433	16	11395	2013-08-03 20:44:32.180214	2013-08-03 20:44:32.180214	\N	e1fa508b-9850-456b-b44f-05c4f1eee912
104889	4	12811	2013-08-03 21:35:17.760704	2013-08-03 21:35:17.760704	\N	d4436824-4f49-437b-ad35-3c76a6f6b07f
75234	11	10418	2013-08-03 20:03:12.780557	2013-08-03 20:03:12.780557	\N	35b6a35c-f55f-4856-9004-5d95143ad28d
71222	16	9904	2013-08-03 19:43:31.835027	2013-08-03 19:43:31.835027	\N	5c56ec30-fbd4-4496-90ef-415b07b307b1
71224	20	9923	2013-08-03 19:43:31.97617	2013-08-03 19:43:31.97617	\N	a265238c-8c9c-4444-a118-265912a36fb9
71227	16	9910	2013-08-03 19:43:32.446817	2013-08-03 19:43:32.446817	\N	167709f5-ac4a-460a-94a3-1f6418a8fb96
71228	16	9922	2013-08-03 19:43:32.57921	2013-08-03 19:43:32.57921	\N	daac9558-14f8-44fb-9900-8aa65766f03f
71229	16	9925	2013-08-03 19:43:32.710188	2013-08-03 19:43:32.710188	\N	5f5a1f73-b902-4593-a880-40646ffdf18c
71230	16	9928	2013-08-03 19:43:32.852835	2013-08-03 19:43:32.852835	\N	36800744-3fd6-4cd0-985d-62c62c099863
79869	8	10885	2013-08-03 20:22:35.067964	2013-08-03 20:22:35.067964	\N	e70dfb51-d0a9-4e56-bff8-a2be54d8107c
79874	8	10879	2013-08-03 20:22:35.201697	2013-08-03 20:22:35.201697	\N	ae47e9ca-6d54-4a7e-8bbc-3e79077211b0
75312	13	10408	2013-08-03 20:03:18.973726	2013-08-03 20:03:18.973726	\N	2869547f-fb8c-41e9-9878-36a8e6e95b28
79877	8	10897	2013-08-03 20:22:35.247015	2013-08-03 20:22:35.247015	\N	cb92d770-c806-450f-90f2-41e047409259
104890	4	12781	2013-08-03 21:35:17.817342	2013-08-03 21:35:17.817342	\N	1c2252c2-1d14-4eba-aa3e-aa1f0e5a2b51
79888	2	10894	2013-08-03 20:22:37.199562	2013-08-03 20:22:37.199562	\N	57bec931-31a9-4560-9584-00bb618fe471
76867	5	10522	2013-08-03 20:09:07.508378	2013-08-03 20:09:07.508378	\N	d64d03ba-a266-4533-9a03-e151ef2bc7c1
68895	12	9670	2013-08-03 19:34:51.788023	2013-08-03 19:34:51.788023	\N	06994249-b37e-498c-83dc-c0b76a9a7ce0
74001	1	10292	2013-08-03 19:57:28.607676	2013-08-03 19:57:28.607676	\N	456b90cd-9531-415e-9d63-f4e4c9290748
74006	8	10306	2013-08-03 19:57:28.673482	2013-08-03 19:57:28.673482	\N	2664c091-b2f6-4e52-bdaa-ffb253b70a1c
76873	5	10558	2013-08-03 20:09:09.414519	2013-08-03 20:09:09.414519	\N	22632783-ecca-4eff-8afa-46f968f1534e
70156	5	9778	2013-08-03 19:39:44.748536	2013-08-03 19:39:44.748536	\N	af9cbff1-6c8c-40d7-871c-a4f49563c50e
79890	2	10891	2013-08-03 20:22:37.226816	2013-08-03 20:22:37.226816	\N	e67ebae6-247a-422c-b35a-3ff987da89ed
74025	11	10264	2013-08-03 19:57:30.740899	2013-08-03 19:57:30.740899	\N	3b40152b-a3f2-46da-ba72-386e935fa77d
79891	2	10879	2013-08-03 20:22:37.27293	2013-08-03 20:22:37.27293	\N	35a25413-c5ec-4bac-9675-82bb504184ae
79892	2	10931	2013-08-03 20:22:37.300018	2013-08-03 20:22:37.300018	\N	43e238fe-9a30-43e5-8358-77f3615a67b6
74031	11	10270	2013-08-03 19:57:32.029317	2013-08-03 19:57:32.029317	\N	22ef7896-1dcb-48a3-8ea3-0e92a9299ba8
74054	11	10306	2013-08-03 19:57:35.052629	2013-08-03 19:57:35.052629	\N	90f1fef1-4a66-465f-9d1a-fd232cd5690b
76881	5	10501	2013-08-03 20:09:10.231564	2013-08-03 20:09:10.231564	\N	d886196b-f7f9-4754-ac79-d009c93b0912
79893	2	10936	2013-08-03 20:22:37.325885	2013-08-03 20:22:37.325885	\N	ce394703-bd0a-4e5f-9736-ad6cd127d70b
74076	7	10270	2013-08-03 19:57:41.663505	2013-08-03 19:57:41.663505	\N	5bd27644-e2a6-47d9-9297-baf53a4a1a10
72719	5	10036	2013-08-03 19:50:51.668631	2013-08-03 19:50:51.668631	\N	607e8ec7-951f-4a31-adc8-696c054c9d70
104892	4	12769	2013-08-03 21:35:17.890505	2013-08-03 21:35:17.890505	\N	fa5eedcc-e5dc-4225-aa2f-f5c33528d4d1
74090	7	10301	2013-08-03 19:57:46.130483	2013-08-03 19:57:46.130483	\N	0db6c16f-5f8a-4b19-850e-1418fcd0f5ef
91744	3	11689	2013-08-03 20:53:30.877949	2013-08-03 20:53:30.877949	\N	f16e9eff-89e5-404d-b4ba-358bf951accf
71442	5	9907	2013-08-03 19:44:07.602793	2013-08-03 19:44:07.602793	\N	4c39709e-a4b0-4f76-86a3-b9238942918c
91745	3	11668	2013-08-03 20:53:30.977223	2013-08-03 20:53:30.977223	\N	3617abbc-6970-4027-a3fe-af96779cc939
76890	5	10534	2013-08-03 20:09:12.635462	2013-08-03 20:09:12.635462	\N	d20c10ae-173f-4c2c-a4b9-371ea7f55462
72734	13	10018	2013-08-03 19:50:58.642013	2013-08-03 19:50:58.642013	\N	b9e69830-c4c0-4626-ae05-ca0f8bbe37c2
71470	7	9907	2013-08-03 19:44:20.348597	2013-08-03 19:44:20.348597	\N	1796bb93-5498-4585-839b-dc9b204a9479
91746	3	11686	2013-08-03 20:53:31.026848	2013-08-03 20:53:31.026848	\N	15a4369b-7c1b-4310-b5e4-e7da66846a9b
74117	15	10301	2013-08-03 19:57:54.256375	2013-08-03 19:57:54.256375	\N	a9237bd0-e30e-474c-b99b-3d224b744b59
74119	2	10306	2013-08-03 19:57:55.560911	2013-08-03 19:57:55.560911	\N	1a9dc4f4-c097-45cd-9237-1fe728de09a0
91747	3	11647	2013-08-03 20:53:31.077844	2013-08-03 20:53:31.077844	\N	1d41b2d9-b193-494f-9ebf-3f70b7658314
74126	12	10282	2013-08-03 19:57:57.203896	2013-08-03 19:57:57.203896	\N	14e3025d-165b-437b-b838-229fea18676f
71485	10	9922	2013-08-03 19:44:21.566497	2013-08-03 19:44:21.566497	\N	2da8848a-f0b8-4576-8c2d-121760907ee2
71486	10	9923	2013-08-03 19:44:21.697318	2013-08-03 19:44:21.697318	\N	fc83950a-4f35-4c1d-ac58-a091cd8c3fda
91748	3	11677	2013-08-03 20:53:31.12548	2013-08-03 20:53:31.12548	\N	c5adfce8-267d-40b3-95c6-adcb92865318
91750	3	11635	2013-08-03 20:53:31.151657	2013-08-03 20:53:31.151657	\N	dd6e81ef-2d27-4ca3-a1e7-be3ef4777dd1
79952	6	10930	2013-08-03 20:22:47.587474	2013-08-03 20:22:47.587474	\N	cd6bee72-c272-4709-a074-c6e90e7f9d6e
79953	7	10931	2013-08-03 20:22:48.175153	2013-08-03 20:22:48.175153	\N	8ede3cca-16a1-4cc7-926c-ccdeec5c4e72
79954	7	10879	2013-08-03 20:22:48.357961	2013-08-03 20:22:48.357961	\N	094db6f5-eaf7-4966-a4a7-ba2286605e1e
75341	14	10375	2013-08-03 20:03:25.72559	2013-08-03 20:03:25.72559	\N	facdee5b-cd80-4bef-8d7f-580766305df0
75342	14	10387	2013-08-03 20:03:25.848181	2013-08-03 20:03:25.848181	\N	a70c13ed-c67f-4b41-9602-735c9208da12
75348	14	10396	2013-08-03 20:03:26.053539	2013-08-03 20:03:26.053539	\N	c76215c6-d147-4ee1-8979-6e7e98fa9f26
75349	14	10393	2013-08-03 20:03:26.209732	2013-08-03 20:03:26.209732	\N	137eb20d-14e4-44f9-a0d7-825a7b494231
72864	6	10006	2013-08-03 19:51:39.81956	2013-08-03 19:51:39.81956	\N	69a66a6c-a933-4ab0-ae19-f033c712cdb0
75350	14	10429	2013-08-03 20:03:26.390976	2013-08-03 20:03:26.390976	\N	d69fb773-0c3d-4382-b7e0-d48845f9dfeb
79955	7	10891	2013-08-03 20:22:48.614142	2013-08-03 20:22:48.614142	\N	492130e7-233b-4ab0-88a6-865ab87eca85
75366	6	10418	2013-08-03 20:03:32.518137	2013-08-03 20:03:32.518137	\N	6d7b16ba-8b87-4a57-9eeb-a3205e5a4f4b
104893	4	12820	2013-08-03 21:35:17.973262	2013-08-03 21:35:17.973262	\N	15ceb466-f293-4110-94d2-f84a9ee7caa3
75369	19	10381	2013-08-03 20:03:34.179755	2013-08-03 20:03:34.179755	\N	cc7064d3-acf0-4d6a-91c4-a5205e084695
75370	19	10387	2013-08-03 20:03:35.158815	2013-08-03 20:03:35.158815	\N	f51baf70-ee11-46d0-9397-14e1140e181c
93430	9	11929	2013-08-03 21:00:20.074228	2013-08-03 21:00:20.074228	\N	179af1b6-2ccc-4dd1-a550-ddd94cd5c676
122408	5	14947	2013-08-03 23:01:06.983712	2013-08-03 23:01:06.983712	\N	3810638b-af66-41b2-b393-7605526ca45b
135058	7	17695	2013-08-04 00:51:05.418837	2013-08-04 00:51:05.418837	\N	995b7ce4-2f0a-49c8-b474-6f04baaba23b
83361	8	11038	2013-08-03 20:30:43.022741	2013-08-03 20:30:43.022741	\N	da748298-f93d-404c-9dd0-465974c4adee
80014	11	10906	2013-08-03 20:22:54.597592	2013-08-03 20:22:54.597592	\N	2203d6af-11cc-4917-a703-e60ddbab0b8f
80016	11	10915	2013-08-03 20:22:55.357012	2013-08-03 20:22:55.357012	\N	d13635ff-fa72-45c7-9369-c4cde9463ac6
70501	19	9797	2013-08-03 19:40:42.894702	2013-08-03 19:40:42.894702	\N	27fb62f7-f816-4b69-bb99-d8f597e4f13b
80018	15	10931	2013-08-03 20:22:55.885685	2013-08-03 20:22:55.885685	\N	398f106c-7847-4e16-987e-c9c1dbe02de8
75455	7	10381	2013-08-03 20:03:41.782867	2013-08-03 20:03:41.782867	\N	58ddd922-ffa2-48e4-98e9-e196cdb5450d
70510	19	9754	2013-08-03 19:40:45.357334	2013-08-03 19:40:45.357334	\N	395311ae-69e9-41ef-952b-0239e455d394
74016	2	10279	2013-08-03 19:57:29.917497	2013-08-03 19:57:29.917497	\N	44ebe818-02b4-48d7-aec9-a665a666738c
74017	2	10282	2013-08-03 19:57:29.967155	2013-08-03 19:57:29.967155	\N	99567cc0-2e56-4776-85c9-74d87223901c
79734	8	10753	2013-08-03 20:21:40.894778	2013-08-03 20:21:40.894778	\N	fe11cbb6-502e-40c1-9d5c-9622dbc11163
74020	11	10282	2013-08-03 19:57:30.180214	2013-08-03 19:57:30.180214	\N	39db2cbe-f057-4532-9526-fb5492156abb
79758	17	10768	2013-08-03 20:21:42.31164	2013-08-03 20:21:42.31164	\N	304ed465-3b46-47fd-be32-bbb1f259e26e
78360	19	10642	2013-08-03 20:14:48.80508	2013-08-03 20:14:48.80508	\N	591aff52-118a-4a21-925f-123b785b71c2
111203	7	13453	2013-08-03 21:59:38.840293	2013-08-03 21:59:38.840293	\N	85d20393-63f4-4547-8474-4270e3f5c558
75305	13	10405	2013-08-03 20:03:18.720209	2013-08-03 20:03:18.720209	\N	38c3f624-3936-495e-b238-56d49f70c264
111204	7	13441	2013-08-03 21:59:38.900697	2013-08-03 21:59:38.900697	\N	2d56691c-7614-45c4-a6b1-c7d9c3713b8f
75343	14	10426	2013-08-03 20:03:25.87196	2013-08-03 20:03:25.87196	\N	4b5c86cd-8f01-476b-b92a-e6c0d5820fe1
74079	7	10300	2013-08-03 19:57:42.108094	2013-08-03 19:57:42.108094	\N	d6be9301-3ffa-4bab-9363-086dedc0e83a
70130	20	9796	2013-08-03 19:39:39.973019	2013-08-03 19:39:39.973019	\N	ac138eb3-f2d2-412d-9b6b-01683d50bc95
69108	1	9662	2013-08-03 19:35:28.627187	2013-08-03 19:35:28.627187	\N	933f279e-b542-4540-9aeb-c8fa6fb2d974
74080	7	10261	2013-08-03 19:57:42.201204	2013-08-03 19:57:42.201204	\N	c826995c-a8e9-43d4-9a8c-7561168fcb25
74081	7	10279	2013-08-03 19:57:42.296768	2013-08-03 19:57:42.296768	\N	04e37866-024b-485b-bee5-09076010a345
74083	7	10303	2013-08-03 19:57:42.381276	2013-08-03 19:57:42.381276	\N	61b149cb-3d54-4c98-9f7a-b7b31f0ca61a
74084	7	10282	2013-08-03 19:57:42.472797	2013-08-03 19:57:42.472797	\N	a3340a92-ace8-4af7-8c50-c3faf5e804a3
75346	14	10432	2013-08-03 20:03:25.994282	2013-08-03 20:03:25.994282	\N	0d43b66e-7847-4aa9-b352-96075ec629d9
74104	15	10300	2013-08-03 19:57:48.934241	2013-08-03 19:57:48.934241	\N	2ffeb16a-da09-4ec4-913b-3d64a0ad09fa
74106	10	10306	2013-08-03 19:57:49.079013	2013-08-03 19:57:49.079013	\N	c2c75ec4-256a-4cfc-8bfe-016ddac6866b
74109	20	10292	2013-08-03 19:57:50.443215	2013-08-03 19:57:50.443215	\N	d696c288-6fde-47f1-9de5-a5ad7d1578b0
74110	20	10301	2013-08-03 19:57:50.544501	2013-08-03 19:57:50.544501	\N	77545904-3559-4193-b755-0274cb2ff1ed
99019	6	12265	2013-08-03 21:17:19.666425	2013-08-03 21:17:19.666425	\N	96a1038c-9d2e-4510-a9c5-8fdeeff68eb2
78365	19	10645	2013-08-03 20:14:49.283926	2013-08-03 20:14:49.283926	\N	156f2377-2151-45fd-9097-b3693844f0d9
79779	7	10765	2013-08-03 20:21:47.377012	2013-08-03 20:21:47.377012	\N	3ddbef00-5e01-47eb-a190-d3993f745996
79781	7	10804	2013-08-03 20:21:47.520788	2013-08-03 20:21:47.520788	\N	e7be0950-ba80-428d-b867-c93d7cfeccba
79783	7	10753	2013-08-03 20:21:47.713608	2013-08-03 20:21:47.713608	\N	9b35e351-8cf6-470a-8350-c5908c438178
78375	19	10654	2013-08-03 20:14:50.280925	2013-08-03 20:14:50.280925	\N	2701b0e8-a95d-45b4-aa2e-2373453261a7
78376	19	10657	2013-08-03 20:14:50.6503	2013-08-03 20:14:50.6503	\N	3cfb7926-001a-4f75-a493-b1918d6312f9
72785	14	10049	2013-08-03 19:51:06.598962	2013-08-03 19:51:06.598962	\N	0f821f05-4ff6-448d-b5dd-28acb6abe96b
78380	19	10663	2013-08-03 20:14:51.169495	2013-08-03 20:14:51.169495	\N	3805642f-737d-4d7d-ba19-1fe8c1f7d3e7
70233	5	9796	2013-08-03 19:39:59.025033	2013-08-03 19:39:59.025033	\N	05ee897b-5cf5-4e49-8497-b8ec2873449e
135023	8	17683	2013-08-04 00:50:55.512672	2013-08-04 00:50:55.512672	\N	b8c43018-94f2-4c40-95e0-bfe399614737
79789	6	10804	2013-08-03 20:21:49.128215	2013-08-03 20:21:49.128215	\N	e9fd62a1-7935-41a1-b917-234006c29906
79793	6	10765	2013-08-03 20:21:50.35889	2013-08-03 20:21:50.35889	\N	9a0d29bf-24df-4c19-a7a9-2f52060998e1
75410	6	10426	2013-08-03 20:03:37.680787	2013-08-03 20:03:37.680787	\N	c970710b-39b4-4ba8-9692-e2c944c1802b
79794	8	10774	2013-08-03 20:21:50.458034	2013-08-03 20:21:50.458034	\N	26a10c3d-51e8-4f78-bbe3-dcd8f89bc725
78453	5	10627	2013-08-03 20:15:16.414334	2013-08-03 20:15:16.414334	\N	88da5c71-72f9-43ee-a954-fb9dd308f888
79799	8	10789	2013-08-03 20:21:50.531685	2013-08-03 20:21:50.531685	\N	ddc48fca-cb41-4129-84b9-38613ee6838a
79804	15	10804	2013-08-03 20:21:50.614535	2013-08-03 20:21:50.614535	\N	7ee962a0-7a2a-469b-b5bb-e9fa168917e0
91723	2	11692	2013-08-03 20:53:27.770234	2013-08-03 20:53:27.770234	\N	e825efdc-2ae7-4167-b80b-42abdbf7d07c
79810	15	10810	2013-08-03 20:21:51.336786	2013-08-03 20:21:51.336786	\N	67bfd86b-727c-4b0a-82f7-336a45e86089
75420	6	10432	2013-08-03 20:03:38.485539	2013-08-03 20:03:38.485539	\N	e9972c20-b5ff-4f7e-aa25-e894c07f57e0
113344	2	13582	2013-08-03 22:04:29.956211	2013-08-03 22:04:29.956211	\N	112c2b92-beb3-4438-b9e8-18b00b6f843a
79821	15	10805	2013-08-03 20:21:55.722263	2013-08-03 20:21:55.722263	\N	247af9c3-5c99-43d0-ba4e-67148b80a2c7
88426	13	11398	2013-08-03 20:44:29.648969	2013-08-03 20:44:29.648969	\N	112cb36c-c2b1-4a2d-9487-9d92503a20d7
93471	4	11929	2013-08-03 21:00:27.385367	2013-08-03 21:00:27.385367	\N	5fefe8b3-bb1d-4410-a05b-2eeb6bd86539
93472	4	11899	2013-08-03 21:00:27.455161	2013-08-03 21:00:27.455161	\N	e6c50d3b-ca43-4168-a61c-be9934157e15
79845	11	10807	2013-08-03 20:22:07.126334	2013-08-03 20:22:07.126334	\N	7fbae07f-1893-4299-9b65-95ef7571c91d
75430	20	10387	2013-08-03 20:03:40.37815	2013-08-03 20:03:40.37815	\N	fa839307-e976-4b40-b1ee-af2ed0d9d06b
75431	20	10375	2013-08-03 20:03:40.440619	2013-08-03 20:03:40.440619	\N	ff9791cb-34b2-4cf4-9a53-b563d1cd1017
75433	20	10408	2013-08-03 20:03:40.499625	2013-08-03 20:03:40.499625	\N	06a92bcb-fe0f-43ba-b091-88f07a607334
79861	3	10765	2013-08-03 20:22:21.028573	2013-08-03 20:22:21.028573	\N	36e386d5-0f4d-4595-b62b-2dcfb5f96afc
93473	4	11887	2013-08-03 21:00:27.492587	2013-08-03 21:00:27.492587	\N	d84176f8-cc1f-479d-b4d2-6b2907c03f0c
79866	8	10915	2013-08-03 20:22:34.477225	2013-08-03 20:22:34.477225	\N	3cee7cb2-274e-412d-82fc-798c5a331dfe
74243	14	10300	2013-08-03 19:58:25.04496	2013-08-03 19:58:25.04496	\N	50fa57d2-5a9a-411a-b9f4-2b9d5924c857
74245	14	10261	2013-08-03 19:58:25.112321	2013-08-03 19:58:25.112321	\N	0caed733-3d7b-4d96-ae6b-d0b278dff0a9
79868	8	10891	2013-08-03 20:22:35.067726	2013-08-03 20:22:35.067726	\N	84a309d4-05e8-44ee-8b91-f2e10263211b
93474	4	11920	2013-08-03 21:00:27.582726	2013-08-03 21:00:27.582726	\N	cbc02b96-4eb2-4945-9292-6b0564f0d1a7
74260	3	10300	2013-08-03 19:58:28.50861	2013-08-03 19:58:28.50861	\N	b3f89825-88b3-4ec0-bf06-1cdcd05fa1a4
74262	3	10261	2013-08-03 19:58:28.550298	2013-08-03 19:58:28.550298	\N	387a9295-2a56-49b2-bddb-83cf582ead49
74263	3	10282	2013-08-03 19:58:28.598601	2013-08-03 19:58:28.598601	\N	c3d231bb-8a98-4314-bad5-eaf823fa66f8
79876	8	10936	2013-08-03 20:22:35.234741	2013-08-03 20:22:35.234741	\N	f2e46614-0e35-4607-b771-48307802bc20
93475	4	11938	2013-08-03 21:00:27.612984	2013-08-03 21:00:27.612984	\N	d7e8ef60-eb3f-4ff6-accb-608591863b80
70293	17	9796	2013-08-03 19:40:15.621046	2013-08-03 19:40:15.621046	\N	e3933333-84c0-4696-a03b-aab1672b97e9
93476	4	11941	2013-08-03 21:00:27.643531	2013-08-03 21:00:27.643531	\N	d62c7515-9448-40fd-aea3-19282b60d6c7
93477	4	11944	2013-08-03 21:00:27.680728	2013-08-03 21:00:27.680728	\N	238bb39f-a36c-42b4-ab66-40055d0d9243
86831	7	11265	2013-08-03 20:39:38.276086	2013-08-03 20:39:38.276086	\N	e4cef4da-b51b-46ba-ae00-565aaed7390d
93478	3	11929	2013-08-03 21:00:27.802341	2013-08-03 21:00:27.802341	\N	5abb256c-92b7-44f4-80c7-6b2a54e1444c
79916	2	10909	2013-08-03 20:22:42.42342	2013-08-03 20:22:42.42342	\N	cc96a8f7-faab-4730-9adf-ba31537d718a
93479	3	11899	2013-08-03 21:00:27.848808	2013-08-03 21:00:27.848808	\N	9aab6a95-5fcc-4a00-b47c-7d7c4b003e0e
93480	3	11938	2013-08-03 21:00:27.88496	2013-08-03 21:00:27.88496	\N	d760a734-7776-4a0d-8593-7fb59fa936d6
74316	16	10279	2013-08-03 19:58:46.848062	2013-08-03 19:58:46.848062	\N	3d7f2e5c-1d20-4c5a-92c4-d22c3d71fce5
74319	16	10300	2013-08-03 19:58:47.21986	2013-08-03 19:58:47.21986	\N	5d4cda2b-8042-4186-bd3a-f202ccefd0f5
72968	9	10180	2013-08-03 19:52:30.939305	2013-08-03 19:52:30.939305	\N	5e9dcb43-219d-4072-a601-a879de0df01f
72985	11	10138	2013-08-03 19:52:37.343589	2013-08-03 19:52:37.343589	\N	1abc9a9d-c7f7-4aad-a16c-e2fbd2c4f9e5
72988	8	10135	2013-08-03 19:52:37.612413	2013-08-03 19:52:37.612413	\N	a093ac7d-a3fe-4a7e-8df8-585789770594
72991	11	10144	2013-08-03 19:52:38.309734	2013-08-03 19:52:38.309734	\N	c8ac94c5-c408-4f6a-bb4b-6a1ffa6151d9
74321	16	10306	2013-08-03 19:58:47.507592	2013-08-03 19:58:47.507592	\N	d77b6f53-720f-4a32-9277-a56be5d11b73
75454	19	10375	2013-08-03 20:03:41.494923	2013-08-03 20:03:41.494923	\N	13ea05a1-3158-4ad4-9c74-254949d8a01e
73039	2	10138	2013-08-03 19:52:46.848546	2013-08-03 19:52:46.848546	\N	59547b9c-4114-4c3c-938f-340b72bde20a
75462	19	10408	2013-08-03 20:03:46.548915	2013-08-03 20:03:46.548915	\N	07c80aba-a762-4892-bb28-309aa401a21f
73047	15	10156	2013-08-03 19:52:48.528119	2013-08-03 19:52:48.528119	\N	3163b0be-2f26-4288-8295-eb92cf572184
74343	14	10292	2013-08-03 19:58:56.709031	2013-08-03 19:58:56.709031	\N	1cdb18e8-3831-4b8b-bd1d-49bcea452bf1
74365	5	10300	2013-08-03 19:58:59.271105	2013-08-03 19:58:59.271105	\N	3d0895f2-019c-479f-9312-dd0c07669a2b
73072	17	10156	2013-08-03 19:53:00.897772	2013-08-03 19:53:00.897772	\N	4270ebdf-40dc-408f-a3f3-1c8f82f3c106
73076	17	10174	2013-08-03 19:53:01.947271	2013-08-03 19:53:01.947271	\N	6653ba8e-c10e-4f20-a601-5144eb4942ef
74366	20	10261	2013-08-03 19:58:59.576548	2013-08-03 19:58:59.576548	\N	024ed198-a9ac-4d98-9058-5f3dae304333
93481	3	11941	2013-08-03 21:00:27.916996	2013-08-03 21:00:27.916996	\N	3c4e45a7-3ae7-4086-a1d0-a1fa26e08e31
74369	20	10300	2013-08-03 19:58:59.632506	2013-08-03 19:58:59.632506	\N	a544a9a1-43fc-48a3-942b-b1f0059c3270
74373	10	10301	2013-08-03 19:58:59.94299	2013-08-03 19:58:59.94299	\N	1ec9ccf5-321a-46eb-8fb4-28071242e3c4
79920	2	10900	2013-08-03 20:22:42.572178	2013-08-03 20:22:42.572178	\N	12fe17b8-0aa1-4f52-b780-5dd60904a0d9
194488	4	24720	2013-08-04 19:34:00.081889	2013-08-04 19:34:00.081889	\N	cf87df32-3728-4295-b942-951bf72117db
74385	6	10284	2013-08-03 19:59:02.489305	2013-08-03 19:59:02.489305	\N	4aa998cc-1ad3-44b2-9f36-aad5e91c3e62
79923	17	10879	2013-08-03 20:22:42.980294	2013-08-03 20:22:42.980294	\N	f5234ac2-2ef8-459d-8750-3a483f0b797c
124731	9	15316	2013-08-03 23:17:19.02225	2013-08-03 23:17:19.02225	\N	4a7c2ea5-9726-4e19-adc5-19019f086f88
73110	4	10135	2013-08-03 19:53:18.686875	2013-08-03 19:53:18.686875	\N	d82c3a1e-a757-4ef4-948a-2c3a2c87ce36
73111	4	10156	2013-08-03 19:53:18.746711	2013-08-03 19:53:18.746711	\N	94f9b5dd-9356-467b-9538-2737b77ecbd7
70408	16	9751	2013-08-03 19:40:27.130486	2013-08-03 19:40:27.130486	\N	0329496f-0c33-4143-be39-9702e6cf415c
70409	16	9754	2013-08-03 19:40:27.277762	2013-08-03 19:40:27.277762	\N	56c91802-0844-448a-be9a-a8fc2acb8e62
70410	16	9757	2013-08-03 19:40:27.430824	2013-08-03 19:40:27.430824	\N	73c60180-743e-49de-b243-fb8c5a766143
70418	16	9796	2013-08-03 19:40:28.554142	2013-08-03 19:40:28.554142	\N	85183248-116a-416b-bfe0-d0c848e3dc49
70419	16	9799	2013-08-03 19:40:28.724393	2013-08-03 19:40:28.724393	\N	1ffa1b3d-d2d2-485a-aaf8-7b8b9843e030
74400	19	10282	2013-08-03 19:59:05.034797	2013-08-03 19:59:05.034797	\N	fe46dd24-ba93-4555-8e12-b9a542a2cd44
73114	4	10174	2013-08-03 19:53:18.826721	2013-08-03 19:53:18.826721	\N	8f415e0f-2682-4259-8e19-d633f4207d27
73115	4	10180	2013-08-03 19:53:18.86021	2013-08-03 19:53:18.86021	\N	408c7305-2fcc-4f7b-9214-5f677047d8b9
135030	15	17695	2013-08-04 00:50:57.216488	2013-08-04 00:50:57.216488	\N	9f751ffa-c242-4788-aa92-27c835dbdf7c
78439	14	10639	2013-08-03 20:15:09.555648	2013-08-03 20:15:09.555648	\N	329c7bc8-a5ab-471a-a511-71a1d301f4fe
70155	10	9751	2013-08-03 19:39:42.309788	2013-08-03 19:39:42.309788	\N	74746ed3-abeb-478c-8ef8-b2f5869dc022
74027	11	10267	2013-08-03 19:57:31.31888	2013-08-03 19:57:31.31888	\N	166c232b-ae0f-4f2b-b924-1ab69061b84e
78440	14	10633	2013-08-03 20:15:09.650568	2013-08-03 20:15:09.650568	\N	3aaecaa1-9996-49ac-904c-d0fcfea78054
74048	11	10300	2013-08-03 19:57:34.104553	2013-08-03 19:57:34.104553	\N	5d55eaaa-8da1-48d5-bd0e-e16487c80c37
75368	19	10427	2013-08-03 20:03:33.263086	2013-08-03 20:03:33.263086	\N	397c3bfb-d96f-4a66-bbde-9df0823e8315
78441	14	10627	2013-08-03 20:15:09.706348	2013-08-03 20:15:09.706348	\N	c52871ed-7c28-4847-8955-b5c557d1da2b
79736	8	10804	2013-08-03 20:21:40.902013	2013-08-03 20:21:40.902013	\N	9b83943c-5f79-4f02-ac78-9971227193ac
93454	15	11914	2013-08-03 21:00:23.90082	2013-08-03 21:00:23.90082	\N	c3bf9069-a7b7-4712-b9d8-af5ad4e7b0df
76864	5	10516	2013-08-03 20:09:07.090112	2013-08-03 20:09:07.090112	\N	778ca10c-24f3-44af-a971-e25112e3e793
69130	20	9670	2013-08-03 19:35:35.44924	2013-08-03 19:35:35.44924	\N	e1d4f71f-f113-48cd-ac7c-2845297f045d
76868	5	10552	2013-08-03 20:09:07.999703	2013-08-03 20:09:07.999703	\N	0230f987-4bee-4bea-8d43-9c542f707de9
71444	5	9910	2013-08-03 19:44:08.048642	2013-08-03 19:44:08.048642	\N	249502f2-a837-4d58-93f3-5e2d9748ac0c
75393	8	10381	2013-08-03 20:03:37.129638	2013-08-03 20:03:37.129638	\N	2383e49d-80a8-4c40-8d12-7a638997f21d
74070	6	10282	2013-08-03 19:57:40.136211	2013-08-03 19:57:40.136211	\N	a9b504ba-8af9-4fa8-b225-f3b28e616cc6
75399	4	10381	2013-08-03 20:03:37.228515	2013-08-03 20:03:37.228515	\N	a131fc67-7467-4f18-a38d-36c1a84fb9d9
75401	4	10387	2013-08-03 20:03:37.263377	2013-08-03 20:03:37.263377	\N	658ce814-8b1e-4eaa-b666-32f00368b218
74078	6	10306	2013-08-03 19:57:41.804612	2013-08-03 19:57:41.804612	\N	ad0738ad-ee47-404b-b9dc-df4d7a9becea
74082	20	10282	2013-08-03 19:57:42.309976	2013-08-03 19:57:42.309976	\N	d024c15d-690f-489c-8b45-f12ba760e846
74085	7	10264	2013-08-03 19:57:42.623176	2013-08-03 19:57:42.623176	\N	88726c1e-c329-4343-80b9-2d8d42562c3f
74086	7	10285	2013-08-03 19:57:43.239111	2013-08-03 19:57:43.239111	\N	6c54f786-bccf-4072-a198-2c3ab8ad35dd
71479	10	9928	2013-08-03 19:44:20.936385	2013-08-03 19:44:20.936385	\N	c9229247-e10c-4dbc-bab6-e419d5b995d4
71480	10	9877	2013-08-03 19:44:21.047245	2013-08-03 19:44:21.047245	\N	d4d4572e-7245-4969-b68f-ceb2441bab9d
71482	10	9904	2013-08-03 19:44:21.287158	2013-08-03 19:44:21.287158	\N	1fb1d804-bc2d-41b7-8aa4-a6d267dccd06
75402	4	10375	2013-08-03 20:03:37.302713	2013-08-03 20:03:37.302713	\N	aab1d3e9-672c-4fb8-9664-96922044a89b
74089	2	10284	2013-08-03 19:57:45.431994	2013-08-03 19:57:45.431994	\N	13f3e1c7-b68b-485a-b2b6-04ddbbc339af
75404	4	10408	2013-08-03 20:03:37.366406	2013-08-03 20:03:37.366406	\N	70feee74-e1ed-4d18-88ba-a56f7441c537
74103	15	10282	2013-08-03 19:57:48.924068	2013-08-03 19:57:48.924068	\N	94785523-4cb2-4bbc-a5c9-3ed43939a838
75406	4	10426	2013-08-03 20:03:37.401747	2013-08-03 20:03:37.401747	\N	dd7f40ce-2fda-43a4-b48a-417eaff7f8b1
74107	15	10306	2013-08-03 19:57:49.19696	2013-08-03 19:57:49.19696	\N	e6c11666-5853-4063-b1c1-764d9100787b
74108	17	10301	2013-08-03 19:57:49.25082	2013-08-03 19:57:49.25082	\N	755df8b9-d22a-4a41-a53d-df5c60cfb87a
75407	4	10432	2013-08-03 20:03:37.426873	2013-08-03 20:03:37.426873	\N	c1206327-59dd-4919-8496-6bc37da1d3d9
99036	2	12265	2013-08-03 21:17:20.492689	2013-08-03 21:17:20.492689	\N	94900804-44e5-478e-b19d-e3a76c0d4ecf
75510	19	10432	2013-08-03 20:03:55.927684	2013-08-03 20:03:55.927684	\N	7d234b43-1e19-4936-b4b1-ee0b477177c0
76870	5	10507	2013-08-03 20:09:08.409659	2013-08-03 20:09:08.409659	\N	45b33a02-b59a-43e8-9efc-8571fd8bac59
76871	5	10555	2013-08-03 20:09:08.904063	2013-08-03 20:09:08.904063	\N	526ad476-1ff6-4693-a0e8-f4721e5ae00b
135031	2	17695	2013-08-04 00:50:57.945354	2013-08-04 00:50:57.945354	\N	f425a54e-7fec-499b-b5cf-87f90366d877
70479	5	9793	2013-08-03 19:40:39.623103	2013-08-03 19:40:39.623103	\N	b20bff9d-191d-4465-af6d-9a5f56d5dddb
76876	5	10531	2013-08-03 20:09:09.813753	2013-08-03 20:09:09.813753	\N	d451ba11-3750-4149-99fb-3cb5e585a45e
70482	5	9751	2013-08-03 19:40:39.695454	2013-08-03 19:40:39.695454	\N	e4ea454a-54e5-4518-bec4-9405ea4f1ebf
91753	7	11643	2013-08-03 20:53:32.83544	2013-08-03 20:53:32.83544	\N	9883e762-24b3-4f48-be3a-3581c05ce857
88434	13	11416	2013-08-03 20:44:32.185963	2013-08-03 20:44:32.185963	\N	ed7283ee-b113-481d-b750-4a94de65981e
88436	16	11410	2013-08-03 20:44:32.509317	2013-08-03 20:44:32.509317	\N	4ca30cab-5376-4235-b546-fdf2a20bf96d
88438	16	11416	2013-08-03 20:44:32.793632	2013-08-03 20:44:32.793632	\N	8d0aa477-8ae4-453a-83da-9c27a7d16c9c
70502	19	9751	2013-08-03 19:40:43.78583	2013-08-03 19:40:43.78583	\N	56310f87-6e10-4591-ad2c-a2d1ec6ddd57
88439	16	11419	2013-08-03 20:44:32.920579	2013-08-03 20:44:32.920579	\N	386eb413-6e2e-42b5-8082-0dd121824c54
79792	15	10765	2013-08-03 20:21:50.01326	2013-08-03 20:21:50.01326	\N	eb9a0850-9ff3-42d3-888a-ccf0d6674176
70511	19	9757	2013-08-03 19:40:46.105109	2013-08-03 19:40:46.105109	\N	43c62bf2-c0da-4010-b2f7-91c23fc037f9
70512	19	9778	2013-08-03 19:40:46.84491	2013-08-03 19:40:46.84491	\N	ba11572e-5e6a-4d33-a518-740cd63d64cd
104918	7	12651	2013-08-03 21:35:20.374164	2013-08-03 21:35:20.374164	\N	597a3d54-f5f5-4550-a7ed-124b65961b46
93468	2	11941	2013-08-03 21:00:24.814631	2013-08-03 21:00:24.814631	\N	77706eeb-1b2e-4fe4-8e7f-b23c3cab3502
76893	2	10516	2013-08-03 20:09:14.471093	2013-08-03 20:09:14.471093	\N	380e5ca0-972f-4484-8d93-474b146ee748
79801	8	10807	2013-08-03 20:21:50.554392	2013-08-03 20:21:50.554392	\N	945739f5-423a-4340-9f4c-85c9fbd4589c
74242	14	10264	2013-08-03 19:58:24.956044	2013-08-03 19:58:24.956044	\N	dc78cd5f-1645-4248-8fe2-7d1cbcae5261
71578	14	9923	2013-08-03 19:44:50.796394	2013-08-03 19:44:50.796394	\N	dee305a7-e175-417a-98e3-23c283d72133
111234	13	13411	2013-08-03 21:59:39.304606	2013-08-03 21:59:39.304606	\N	d93a54fa-3dfe-42b2-8e3c-ec80db617160
135032	2	17734	2013-08-04 00:50:58.052295	2013-08-04 00:50:58.052295	\N	18e2d1a9-2443-4d12-9de8-769f32c09904
135033	2	17683	2013-08-04 00:50:58.197828	2013-08-04 00:50:58.197828	\N	99fde5bf-51b4-40f2-9708-c58f94cf31a1
72870	12	10006	2013-08-03 19:51:41.409542	2013-08-03 19:51:41.409542	\N	df423196-d619-4d27-8148-9021f126ce5f
79819	4	10805	2013-08-03 20:21:54.689983	2013-08-03 20:21:54.689983	\N	82e66b3f-3826-4291-8dfe-3033febdce66
79827	11	10765	2013-08-03 20:22:01.715494	2013-08-03 20:22:01.715494	\N	d3bb0a12-814d-4478-864a-903886bedb7b
97192	19	12181	2013-08-03 21:11:24.620643	2013-08-03 21:11:24.620643	\N	e89237d7-51da-4d82-8455-e9c1d5116203
79836	11	10774	2013-08-03 20:22:04.149556	2013-08-03 20:22:04.149556	\N	27a698ac-2cc0-4b8f-95b2-4871758a2d47
135034	2	17772	2013-08-04 00:50:58.259861	2013-08-04 00:50:58.259861	\N	c31953eb-1601-46d2-a161-e81ea9f3d223
79838	11	10780	2013-08-03 20:22:04.859682	2013-08-03 20:22:04.859682	\N	81c31481-355d-4779-88d6-589aa4fdcb98
75608	12	10387	2013-08-03 20:04:10.540318	2013-08-03 20:04:10.540318	\N	bce56434-8fed-4db4-af5a-e7a3d969cafe
71654	19	9914	2013-08-03 19:45:15.261233	2013-08-03 19:45:15.261233	\N	8e3eb404-5ca0-4b8d-af21-88ca69a10e6f
79839	11	10789	2013-08-03 20:22:05.614295	2013-08-03 20:22:05.614295	\N	0bf8cf7a-e14b-4911-847a-cbace86cd0a9
93502	9	11920	2013-08-03 21:00:28.798638	2013-08-03 21:00:28.798638	\N	89e2e0db-f631-47d1-a6e6-65e964996e89
79841	11	10804	2013-08-03 20:22:06.400623	2013-08-03 20:22:06.400623	\N	61fa5ba7-bf6c-4500-aca0-6a10b06b71e4
135035	2	17788	2013-08-04 00:50:58.289654	2013-08-04 00:50:58.289654	\N	e534c122-1541-4711-ae82-f2f5ebdf6230
93506	9	11938	2013-08-03 21:00:31.004378	2013-08-03 21:00:31.004378	\N	2c4eeae9-81d1-4776-b718-85e2cdd94d3c
71666	11	9907	2013-08-03 19:45:16.908731	2013-08-03 19:45:16.908731	\N	4d6edc95-e542-40dd-9946-1d525230b265
79867	13	10891	2013-08-03 20:22:35.016948	2013-08-03 20:22:35.016948	\N	3c051de6-4a3e-499c-8379-8a9e399f272c
79872	8	10930	2013-08-03 20:22:35.199581	2013-08-03 20:22:35.199581	\N	493984b8-3500-4ecf-83a0-20ca1dbcafd5
79879	8	10906	2013-08-03 20:22:35.266523	2013-08-03 20:22:35.266523	\N	d5ae903b-dd9b-4ced-8ab6-149da9bc627c
72946	20	10040	2013-08-03 19:52:14.864096	2013-08-03 19:52:14.864096	\N	50a2a428-9402-41cb-9503-353d853cd18c
79880	4	10885	2013-08-03 20:22:35.517396	2013-08-03 20:22:35.517396	\N	a686fc08-16f2-4284-b4d8-ad914e30e70a
79881	4	10891	2013-08-03 20:22:35.56758	2013-08-03 20:22:35.56758	\N	1b76fff5-6efd-4eeb-a475-44ac5ad309b1
79882	4	10879	2013-08-03 20:22:35.626766	2013-08-03 20:22:35.626766	\N	34e7f438-f60f-469f-8075-cb93610974ce
74351	5	10285	2013-08-03 19:58:57.35747	2013-08-03 19:58:57.35747	\N	c014cea5-26aa-421b-8aa6-7e99b69ca703
74353	5	10264	2013-08-03 19:58:57.765624	2013-08-03 19:58:57.765624	\N	73b2787d-6bd0-414c-899c-b3caf16b4673
79883	4	10804	2013-08-03 20:22:35.689964	2013-08-03 20:22:35.689964	\N	513e8080-f283-4c21-94ec-3cb985a3d8c4
72959	2	10174	2013-08-03 19:52:30.144281	2013-08-03 19:52:30.144281	\N	5e1b697a-658f-4a01-8e4f-d2a63e633507
71711	12	9928	2013-08-03 19:45:31.005643	2013-08-03 19:45:31.005643	\N	4708aa9a-3139-4c4c-b8c3-7d24e2c504ee
72960	2	10177	2013-08-03 19:52:30.31082	2013-08-03 19:52:30.31082	\N	712b7648-c747-4ef6-8b8a-acf2003bd3fa
72961	2	10180	2013-08-03 19:52:30.369623	2013-08-03 19:52:30.369623	\N	958e01c2-fac1-4304-af30-db5cdc85cba6
72962	2	10175	2013-08-03 19:52:30.396252	2013-08-03 19:52:30.396252	\N	e34dac86-66a2-4e10-b0c6-b414967e4070
72963	2	10153	2013-08-03 19:52:30.433483	2013-08-03 19:52:30.433483	\N	6be6bfd7-53de-4b46-a1fc-3fded8029e47
72964	2	10166	2013-08-03 19:52:30.462655	2013-08-03 19:52:30.462655	\N	c025b3e3-7b74-4e54-afd4-79d45a5c5f1a
72965	2	10135	2013-08-03 19:52:30.499347	2013-08-03 19:52:30.499347	\N	68d7951f-489d-457b-9bcb-d68af5a8c429
79884	4	10810	2013-08-03 20:22:35.722609	2013-08-03 20:22:35.722609	\N	3637eb04-40cc-480c-bf95-75ff7d5c048c
72972	9	10175	2013-08-03 19:52:33.463319	2013-08-03 19:52:33.463319	\N	84afa823-6c3e-4615-9ace-26568ef8d414
72973	4	10166	2013-08-03 19:52:35.005414	2013-08-03 19:52:35.005414	\N	b12bc5d0-da6e-4e54-9fd2-d66e543844d0
72974	4	10175	2013-08-03 19:52:35.109417	2013-08-03 19:52:35.109417	\N	f543b8f9-f2df-4fcb-be54-b1cba93ef8c5
72977	11	10135	2013-08-03 19:52:36.226731	2013-08-03 19:52:36.226731	\N	4c68a205-d722-48ed-b746-2cc8405a190e
74356	5	10267	2013-08-03 19:58:58.269022	2013-08-03 19:58:58.269022	\N	48891810-fe6a-4352-b5f0-5990ef02dec9
93507	9	11941	2013-08-03 21:00:31.181708	2013-08-03 21:00:31.181708	\N	8fcfe36e-dac6-4280-a28a-fa806f2919b2
72980	20	10175	2013-08-03 19:52:36.739609	2013-08-03 19:52:36.739609	\N	fd3fe0c2-1fa1-4b1b-8962-4ed3ac7203b7
95355	19	12065	2013-08-03 21:06:27.814525	2013-08-03 21:06:27.814525	\N	fe89f5e2-3b45-4960-8551-9d7634afa624
74360	5	10270	2013-08-03 19:58:58.753992	2013-08-03 19:58:58.753992	\N	7fe29c6c-3977-443b-94a9-fee4e58e00ef
74370	5	10303	2013-08-03 19:58:59.700171	2013-08-03 19:58:59.700171	\N	e8a06950-71ed-4910-9dc6-f039044316ef
72999	7	10144	2013-08-03 19:52:39.972183	2013-08-03 19:52:39.972183	\N	59024eb7-9bfa-4be4-8004-bb3dbcafb1f4
73002	11	10174	2013-08-03 19:52:40.33993	2013-08-03 19:52:40.33993	\N	b2575418-b467-4ed5-adfd-4416acdaa05c
73005	7	10177	2013-08-03 19:52:40.585396	2013-08-03 19:52:40.585396	\N	ee879c3f-8f22-46c6-b288-7a4db08e6202
122437	14	14947	2013-08-03 23:01:18.015201	2013-08-03 23:01:18.015201	\N	d31b4418-862d-495c-8560-ba30d737ada7
73013	16	10138	2013-08-03 19:52:40.977283	2013-08-03 19:52:40.977283	\N	a4ce82a5-7a01-412a-9887-27b730221442
74102	15	10261	2013-08-03 19:57:48.70582	2013-08-03 19:57:48.70582	\N	5e0db5bd-584f-4f49-a124-91a362696df8
69029	5	9658	2013-08-03 19:35:20.063297	2013-08-03 19:35:20.063297	\N	ecc16b3d-7e6a-4c41-bc51-b44b214d9651
69030	5	9661	2013-08-03 19:35:20.119536	2013-08-03 19:35:20.119536	\N	42f8d786-0909-4c03-9fe1-36b458899274
69031	5	9673	2013-08-03 19:35:20.15121	2013-08-03 19:35:20.15121	\N	40566629-2a13-4211-9ce4-e7ff5ac93d61
135036	2	17782	2013-08-04 00:50:58.315826	2013-08-04 00:50:58.315826	\N	068eb8d6-8555-46d9-86a9-3b7fcc3880b7
74125	12	10261	2013-08-03 19:57:56.887843	2013-08-03 19:57:56.887843	\N	94a58f37-40b0-46ce-9763-93acaf59f41b
74128	12	10300	2013-08-03 19:57:59.542667	2013-08-03 19:57:59.542667	\N	5eb9c524-9d6a-4946-b0f6-1ec255dd5504
72729	13	10012	2013-08-03 19:50:57.859637	2013-08-03 19:50:57.859637	\N	6947ccfe-e32a-489c-854f-a4ce22dc861b
74129	12	10306	2013-08-03 19:58:00.057435	2013-08-03 19:58:00.057435	\N	0ed19f92-6aa5-4019-ade5-86aa710692ba
75457	6	10408	2013-08-03 20:03:43.753867	2013-08-03 20:03:43.753867	\N	1088d30b-e223-4c8c-96b9-399b68b91ab8
75458	20	10426	2013-08-03 20:03:45.171236	2013-08-03 20:03:45.171236	\N	fcb46db9-6250-4fb6-b1ca-3be27ea8c544
83350	20	11038	2013-08-03 20:30:42.446091	2013-08-03 20:30:42.446091	\N	09037c4e-57f1-46f7-a72d-d4a8c4ec229d
74159	9	10306	2013-08-03 19:58:12.77929	2013-08-03 19:58:12.77929	\N	0d8c5078-a242-41ef-949b-3c1eedbb65f4
83351	17	11038	2013-08-03 20:30:42.566312	2013-08-03 20:30:42.566312	\N	8b296c4b-347a-4b5e-879f-355cfbb810af
79776	17	10774	2013-08-03 20:21:46.874402	2013-08-03 20:21:46.874402	\N	a30fa062-29a2-4a72-b24a-ba12396255b4
79777	7	10805	2013-08-03 20:21:47.255429	2013-08-03 20:21:47.255429	\N	72ea5ed7-5fd6-4f0d-9c28-3841412c63bc
97201	19	12151	2013-08-03 21:11:25.451627	2013-08-03 21:11:25.451627	\N	93556abc-79d2-4a0d-bc9e-e92e530e20b3
119939	7	13911	2013-08-03 22:34:28.262313	2013-08-03 22:34:28.262313	\N	a9352e18-ce37-4a18-9153-744a7b492b0b
119942	8	14335	2013-08-03 22:34:31.162377	2013-08-03 22:34:31.162377	\N	e78268a7-83e4-4824-90e1-5f96d994738d
95323	3	12025	2013-08-03 21:06:20.229898	2013-08-03 21:06:20.229898	\N	cb847d2a-0022-4634-b626-77ce2b37466d
79787	7	10780	2013-08-03 20:21:48.672597	2013-08-03 20:21:48.672597	\N	a72c65f2-9271-45ec-84d2-c4541b243f28
79797	8	10780	2013-08-03 20:21:50.482478	2013-08-03 20:21:50.482478	\N	10f364be-4667-45a4-8ad0-23c6d9cfb280
93508	9	11944	2013-08-03 21:00:31.368355	2013-08-03 21:00:31.368355	\N	45ec40a7-5228-4b05-bdc2-5b9fba78c155
79803	8	10783	2013-08-03 20:21:50.606993	2013-08-03 20:21:50.606993	\N	98412636-1918-4779-b4d2-78a1a64ebd65
111251	9	13411	2013-08-03 21:59:40.958581	2013-08-03 21:59:40.958581	\N	09bba384-bc16-40ce-9030-9677cc3a6131
81441	14	10887	2013-08-03 20:25:34.556578	2013-08-03 20:25:34.556578	\N	7d59990a-d586-4f3a-ada1-6332a744b3b8
74280	6	10261	2013-08-03 19:58:36.475248	2013-08-03 19:58:36.475248	\N	91824946-6443-43f5-8cbe-ab6d27798802
70421	16	9802	2013-08-03 19:40:28.877794	2013-08-03 19:40:28.877794	\N	a6d1f651-7fa2-4f5c-bbac-d05ff244ed20
119946	2	14293	2013-08-03 22:34:33.013381	2013-08-03 22:34:33.013381	\N	b43a49d9-7c7a-47c7-a32f-84e60f9ef913
75482	6	10375	2013-08-03 20:03:48.124637	2013-08-03 20:03:48.124637	\N	374cc3d2-fe15-40c0-bab0-fbb9afcb9304
79823	14	10753	2013-08-03 20:21:56.545885	2013-08-03 20:21:56.545885	\N	80049916-eed0-4bc7-823f-efd22639d2be
111253	9	13399	2013-08-03 21:59:41.110706	2013-08-03 21:59:41.110706	\N	52426242-0ec8-476a-a364-de977592c206
79830	11	10753	2013-08-03 20:22:02.303677	2013-08-03 20:22:02.303677	\N	f4d1497e-591d-4309-b65c-b63e478779a2
74307	16	10261	2013-08-03 19:58:46.090854	2013-08-03 19:58:46.090854	\N	4402140c-d97c-433e-a23d-89f28cfce757
74308	16	10282	2013-08-03 19:58:46.296138	2013-08-03 19:58:46.296138	\N	8d4c3e3a-3e07-4010-9ccd-7f5d70269dfb
69164	19	9662	2013-08-03 19:35:45.969146	2013-08-03 19:35:45.969146	\N	c329360c-fa42-4d45-9159-11a9038790e8
71617	14	9907	2013-08-03 19:45:01.903986	2013-08-03 19:45:01.903986	\N	e52c3261-f5ea-4a4f-9110-b058b64d0984
74309	16	10264	2013-08-03 19:58:46.42612	2013-08-03 19:58:46.42612	\N	e920328c-412e-45d1-b589-fb669baf5456
74315	16	10267	2013-08-03 19:58:46.727383	2013-08-03 19:58:46.727383	\N	3636f4c1-c2b7-4d0d-a462-7ff70e9c6fc6
75489	15	10381	2013-08-03 20:03:48.956592	2013-08-03 20:03:48.956592	\N	cb2f65a2-97ba-4051-9c74-97dbb0fae960
74318	16	10285	2013-08-03 19:58:47.085259	2013-08-03 19:58:47.085259	\N	6ed498ac-a1be-4c08-aad6-43bea93338a0
74320	16	10303	2013-08-03 19:58:47.363092	2013-08-03 19:58:47.363092	\N	ce356c71-917d-4543-b0cb-446ae0ba805a
119948	2	14323	2013-08-03 22:34:33.102939	2013-08-03 22:34:33.102939	\N	a8f8d4a3-fea3-4594-9c78-9b88767a7ffe
111258	2	13420	2013-08-03 21:59:41.387824	2013-08-03 21:59:41.387824	\N	ff222fd4-2cf7-4b8e-bbeb-c5f89d7f4467
79847	11	10810	2013-08-03 20:22:07.480765	2013-08-03 20:22:07.480765	\N	a6f3c690-e3dc-4a0a-a639-bb15d57ff286
83394	7	11038	2013-08-03 20:30:47.943048	2013-08-03 20:30:47.943048	\N	9f696172-a1b6-4d96-bd77-12b74bf63883
119949	2	14317	2013-08-03 22:34:33.14491	2013-08-03 22:34:33.14491	\N	b85d6762-799d-4e59-be8e-6db8fa64ddea
75500	10	10432	2013-08-03 20:03:52.869878	2013-08-03 20:03:52.869878	\N	939f9d92-009a-4eb9-8af0-ac45ab5b0eb4
111265	13	13420	2013-08-03 21:59:41.843337	2013-08-03 21:59:41.843337	\N	0a9d1186-80f3-4406-b66b-5f954a6cffc6
71687	19	9877	2013-08-03 19:45:20.269505	2013-08-03 19:45:20.269505	\N	7fab1e21-3fad-4c8a-8df2-96b4372f3f8e
75502	10	10375	2013-08-03 20:03:53.070783	2013-08-03 20:03:53.070783	\N	9a6d6d39-5e26-4e8e-b5fd-9d0fafeced8c
71693	14	9906	2013-08-03 19:45:23.04004	2013-08-03 19:45:23.04004	\N	eaf0f968-7b49-4ecb-bf1d-1079ef9cc39d
74395	19	10261	2013-08-03 19:59:03.83964	2013-08-03 19:59:03.83964	\N	6f86a1ed-dcdb-4e55-9bda-d0e2edf662db
104967	2	12823	2013-08-03 21:35:28.040003	2013-08-03 21:35:28.040003	\N	884c6cf0-2932-479c-9ea4-5030bf0fae94
104972	2	12820	2013-08-03 21:35:28.150449	2013-08-03 21:35:28.150449	\N	59ab76c9-3adb-4d37-b5a3-218a360d55b5
75505	19	10426	2013-08-03 20:03:53.900674	2013-08-03 20:03:53.900674	\N	27b15295-caf4-4bfb-b74c-fcae97980a71
79870	8	10900	2013-08-03 20:22:35.192282	2013-08-03 20:22:35.192282	\N	c8db5877-6f75-4148-a0a1-e258766c10cd
72989	8	10174	2013-08-03 19:52:37.612717	2013-08-03 19:52:37.612717	\N	238a1245-d269-4e5c-bc9c-dcfd2f35df30
73009	16	10156	2013-08-03 19:52:40.870821	2013-08-03 19:52:40.870821	\N	dd494ab3-f1fa-4f72-9316-01932ae1c54b
73010	7	10156	2013-08-03 19:52:40.912669	2013-08-03 19:52:40.912669	\N	2b398c47-4130-4bcf-8be1-6fc3c9222284
73011	7	10138	2013-08-03 19:52:40.968244	2013-08-03 19:52:40.968244	\N	1bc79c64-3b8d-4823-b6c3-40e7166ba275
71773	3	9883	2013-08-03 19:45:56.216312	2013-08-03 19:45:56.216312	\N	cd1a79d8-613a-485b-9909-767c1c847ed7
73021	16	10174	2013-08-03 19:52:41.494698	2013-08-03 19:52:41.494698	\N	2076e0ea-5d07-4712-bcec-005fd8aa60ee
73030	16	10180	2013-08-03 19:52:41.722938	2013-08-03 19:52:41.722938	\N	ed37f0c3-ec33-43f1-8352-79e53a379e21
71782	20	9877	2013-08-03 19:45:56.653474	2013-08-03 19:45:56.653474	\N	100eff6d-dafa-463f-81a8-93d24e64f152
71783	20	9883	2013-08-03 19:45:56.696503	2013-08-03 19:45:56.696503	\N	dc87951c-eafb-4f2e-9454-d21008d240f5
71784	20	9904	2013-08-03 19:45:56.745351	2013-08-03 19:45:56.745351	\N	70cade84-b39b-4f31-afed-c52aabd73d16
91839	16	11677	2013-08-03 20:53:44.937787	2013-08-03 20:53:44.937787	\N	1fd7fb4a-70f8-400b-ac7f-d79a9f48abb1
73044	8	10180	2013-08-03 19:52:48.424848	2013-08-03 19:52:48.424848	\N	7f1d8c14-39fc-417e-b8c1-a5313a5abb63
91841	16	11647	2013-08-03 20:53:45.105487	2013-08-03 20:53:45.105487	\N	a58f277a-3094-47b6-aa7d-6d5c3749b6e6
73054	5	10174	2013-08-03 19:52:52.714753	2013-08-03 19:52:52.714753	\N	f1a69a11-9cdd-46f5-b63d-86765f541f75
79910	7	10894	2013-08-03 20:22:40.69452	2013-08-03 20:22:40.69452	\N	07fa0a36-7e2e-4115-80e2-66229a7ad6ad
74426	13	10261	2013-08-03 19:59:09.901126	2013-08-03 19:59:09.901126	\N	bd112cee-520e-440f-840a-821d307863a3
90238	10	11566	2013-08-03 20:49:36.801764	2013-08-03 20:49:36.801764	\N	f4d5e1c4-cd30-48f4-b9ce-1dfc37285095
73141	14	10177	2013-08-03 19:53:24.316218	2013-08-03 19:53:24.316218	\N	33c96e6d-503b-4555-893f-f0f85a580fd0
79914	7	10933	2013-08-03 20:22:41.592134	2013-08-03 20:22:41.592134	\N	a15f5ec1-8e7b-4ee8-af52-38dffec827e5
74431	13	10264	2013-08-03 19:59:10.614886	2013-08-03 19:59:10.614886	\N	41e647e0-151f-4b4f-b5c1-af75df3ce8c1
75619	12	10426	2013-08-03 20:04:13.256569	2013-08-03 20:04:13.256569	\N	8cab18cd-755b-4d9b-a1cf-bbd48bb11fc7
79921	7	10915	2013-08-03 20:22:42.685249	2013-08-03 20:22:42.685249	\N	82f2ab4a-64fb-4d7c-a378-8722fb8f564f
75621	12	10432	2013-08-03 20:04:13.824723	2013-08-03 20:04:13.824723	\N	b8fd0ce3-6872-4b04-a726-e0aa0d17802b
91844	16	11668	2013-08-03 20:53:45.638259	2013-08-03 20:53:45.638259	\N	24afe8c2-fbbd-4044-80b3-71f8e0c6804f
79936	7	10930	2013-08-03 20:22:44.711108	2013-08-03 20:22:44.711108	\N	15982fd0-7f8d-4ad4-b9f6-4ed2e24dbe38
73184	3	10174	2013-08-03 19:53:31.452721	2013-08-03 19:53:31.452721	\N	84ca85fb-d8b5-4068-9316-66aa95879f56
73185	3	10135	2013-08-03 19:53:31.510197	2013-08-03 19:53:31.510197	\N	e0b92837-74a7-4933-9f15-c417632123c3
73186	3	10156	2013-08-03 19:53:31.558968	2013-08-03 19:53:31.558968	\N	c6a17138-26b1-471f-aec6-42f258e2109a
91845	16	11671	2013-08-03 20:53:45.81622	2013-08-03 20:53:45.81622	\N	03696b0d-fa0f-452a-8417-28786e6b2d84
73193	6	10180	2013-08-03 19:53:34.368448	2013-08-03 19:53:34.368448	\N	ff059707-1008-4a4a-af39-493da5c4a01b
73217	12	10156	2013-08-03 19:53:46.869403	2013-08-03 19:53:46.869403	\N	85c73ded-effe-4d7a-8dab-0f2d214e6d6e
113379	9	13577	2013-08-03 22:04:34.682845	2013-08-03 22:04:34.682845	\N	c2692e49-c91b-41e2-96fb-206e55e85a61
74454	13	10279	2013-08-03 19:59:12.342564	2013-08-03 19:59:12.342564	\N	ac1af235-d751-4843-baf7-299ef54521f3
91848	16	11686	2013-08-03 20:53:46.021336	2013-08-03 20:53:46.021336	\N	88bb0518-e98a-4c17-9612-be80e703627e
73249	6	10166	2013-08-03 19:53:53.084906	2013-08-03 19:53:53.084906	\N	fc7dc83c-d349-4787-89a6-bb87bdfd64c7
73252	15	10175	2013-08-03 19:53:54.060601	2013-08-03 19:53:54.060601	\N	4fbf95b3-6ff2-4158-92fb-bef7b0d8750e
74469	13	10303	2013-08-03 19:59:13.581427	2013-08-03 19:59:13.581427	\N	3d615834-4a76-424c-90fc-0a207bdeebf1
103017	1	12568	2013-08-03 21:28:34.822267	2013-08-03 21:28:34.822267	\N	02c58fd3-93de-40f6-987f-291e625786d9
74473	13	10306	2013-08-03 19:59:14.106063	2013-08-03 19:59:14.106063	\N	5706b9e1-093d-4d8e-918c-989c33684c92
73280	17	10175	2013-08-03 19:54:01.071292	2013-08-03 19:54:01.071292	\N	e2ad5a04-57f6-4257-b3a4-fe693a434bff
86896	12	11269	2013-08-03 20:39:52.046703	2013-08-03 20:39:52.046703	\N	25fb53ce-33c4-4661-be2e-1be3157798de
119950	2	14332	2013-08-03 22:34:33.192818	2013-08-03 22:34:33.192818	\N	b8ed201f-1bc9-46aa-8774-988dd144aeb2
135037	2	17776	2013-08-04 00:50:58.361103	2013-08-04 00:50:58.361103	\N	08c05dc0-06e3-42f2-853e-293e0edfbe9e
79975	15	10930	2013-08-03 20:22:50.696709	2013-08-03 20:22:50.696709	\N	ced00938-a453-4aa2-ac7b-924dbaf66890
113399	10	13537	2013-08-03 22:04:43.119223	2013-08-03 22:04:43.119223	\N	1b7dfa31-9970-4a7a-854a-0ab03f99846c
101093	5	12427	2013-08-03 21:22:41.539931	2013-08-03 21:22:41.539931	\N	79d32e9f-387f-46e7-81b0-13eca6520142
79982	7	10936	2013-08-03 20:22:51.457681	2013-08-03 20:22:51.457681	\N	14052d60-0832-4818-aa72-d8f5fc288fe6
74532	19	10267	2013-08-03 19:59:39.55528	2013-08-03 19:59:39.55528	\N	6991c9fe-891b-4bfb-b5cc-015b9d70216e
79989	15	10879	2013-08-03 20:22:52.271111	2013-08-03 20:22:52.271111	\N	bb1d9f8e-8273-4165-b880-a1f3a3f94ee7
88615	10	11416	2013-08-03 20:45:03.972675	2013-08-03 20:45:03.972675	\N	464af73f-ba71-4793-9a78-9ea7c9b61345
75498	10	10408	2013-08-03 20:03:52.668721	2013-08-03 20:03:52.668721	\N	da0acff3-2730-4f6d-830a-46a385e450ca
79842	11	10805	2013-08-03 20:22:06.590194	2013-08-03 20:22:06.590194	\N	383e183d-02a9-4c9a-b48b-0249a26713da
111237	13	13399	2013-08-03 21:59:39.596857	2013-08-03 21:59:39.596857	\N	edb1fa12-110d-4fdc-b8e4-b725b4c7dc60
111238	9	13441	2013-08-03 21:59:39.808357	2013-08-03 21:59:39.808357	\N	42ebc58b-d363-463e-b814-227d9d677990
194489	4	24738	2013-08-04 19:34:00.257573	2013-08-04 19:34:00.257573	\N	d9daa296-845d-42f8-8d39-7002873ba2e8
113366	20	13576	2013-08-03 22:04:33.725646	2013-08-03 22:04:33.725646	\N	8dbd327d-f2df-47df-a60b-defc452ff032
74237	14	10270	2013-08-03 19:58:24.826951	2013-08-03 19:58:24.826951	\N	d4cdfc52-c875-4b2f-87be-b375e8df2c1d
71481	10	9883	2013-08-03 19:44:21.166851	2013-08-03 19:44:21.166851	\N	1e292703-72cb-4242-b97b-0fbf4a4a800b
122422	14	14919	2013-08-03 23:01:13.861848	2013-08-03 23:01:13.861848	\N	2ac1f56d-0f61-4ca1-b7d5-1a54e1408291
74240	14	10282	2013-08-03 19:58:24.943884	2013-08-03 19:58:24.943884	\N	fdd5f4d5-031d-423f-8ec8-10e3a7d8d3f0
74247	14	10303	2013-08-03 19:58:25.198617	2013-08-03 19:58:25.198617	\N	8e152872-444c-4984-b0f8-96d581703f37
70401	5	9754	2013-08-03 19:40:25.984721	2013-08-03 19:40:25.984721	\N	e099c401-daf9-4298-9e56-e2e3035d3138
70403	5	9757	2013-08-03 19:40:26.064687	2013-08-03 19:40:26.064687	\N	fa6c685f-47d5-42ac-ad4c-46f8a0e55718
70405	5	9802	2013-08-03 19:40:26.134417	2013-08-03 19:40:26.134417	\N	1b4a07b1-b679-47f6-b040-7cc1780c2a27
79864	8	10909	2013-08-03 20:22:33.34355	2013-08-03 20:22:33.34355	\N	6b336503-a0a9-41a7-8ea3-6b9d5e0a4e45
70411	16	9778	2013-08-03 19:40:27.595095	2013-08-03 19:40:27.595095	\N	58e5e70b-d9c3-4d70-91df-60d215263576
70412	16	9760	2013-08-03 19:40:27.766687	2013-08-03 19:40:27.766687	\N	c88c79ec-09e2-48a8-83da-8e206a344a61
70413	16	9775	2013-08-03 19:40:27.932641	2013-08-03 19:40:27.932641	\N	d0b871bb-e7e5-4202-a9ea-2af1a5281601
69115	5	9631	2013-08-03 19:35:30.632902	2013-08-03 19:35:30.632902	\N	3651cd92-df2d-4b2e-89bf-87981204b667
79871	8	10894	2013-08-03 20:22:35.192379	2013-08-03 20:22:35.192379	\N	27a0f7dc-c2c6-4680-be6f-ba4658d07179
70415	16	9781	2013-08-03 19:40:28.236138	2013-08-03 19:40:28.236138	\N	af2a4729-24b9-436f-9688-cc688f3f7c99
70416	16	9784	2013-08-03 19:40:28.405875	2013-08-03 19:40:28.405875	\N	1d2cf7a6-c417-4963-a15e-e91daf15be5c
79875	8	10933	2013-08-03 20:22:35.232976	2013-08-03 20:22:35.232976	\N	7f7fc132-09fb-4e4c-ad93-cb64cdea8e71
119943	8	14317	2013-08-03 22:34:31.168138	2013-08-03 22:34:31.168138	\N	03c73057-f172-4dbb-b5f7-27e51e2c18d4
69129	7	9662	2013-08-03 19:35:35.373047	2013-08-03 19:35:35.373047	\N	93f46bfd-07a0-49f6-9b3b-51edcfae78d1
95365	12	12070	2013-08-03 21:06:30.933144	2013-08-03 21:06:30.933144	\N	9b74f8cb-5b67-456c-a543-452846c495bf
78577	13	10642	2013-08-03 20:15:35.087452	2013-08-03 20:15:35.087452	\N	2baf0b7e-09fd-4858-9a1d-92cff6324229
78580	13	10645	2013-08-03 20:15:35.601935	2013-08-03 20:15:35.601935	\N	6fed5710-698f-415b-9a98-f2a2ecc0f378
122423	14	14923	2013-08-03 23:01:13.921007	2013-08-03 23:01:13.921007	\N	bf38a0e3-8ba0-4518-8b62-bd842a53d9a7
72883	8	10006	2013-08-03 19:51:43.988938	2013-08-03 19:51:43.988938	\N	8f580b25-1fd0-44e0-b1cc-9ce2047d5aec
91782	17	11687	2013-08-03 20:53:37.739935	2013-08-03 20:53:37.739935	\N	ccd9094d-afba-4e51-a206-69d97ce2c434
78583	13	10648	2013-08-03 20:15:35.882764	2013-08-03 20:15:35.882764	\N	2b389089-3fa6-4687-987a-f87d70888704
135039	2	17790	2013-08-04 00:50:58.416821	2013-08-04 00:50:58.416821	\N	b380ad36-5ccc-4bcb-b539-20a164535227
69203	19	9671	2013-08-03 19:35:55.464638	2013-08-03 19:35:55.464638	\N	e02835c3-d53b-490c-b1a1-057e342798fb
74304	6	10300	2013-08-03 19:58:43.30577	2013-08-03 19:58:43.30577	\N	a074e807-59b9-400c-8bea-9610212beec6
135040	2	17792	2013-08-04 00:50:58.449041	2013-08-04 00:50:58.449041	\N	908af0d4-541f-4b9d-90f7-57ef0bd71f62
79915	7	10900	2013-08-03 20:22:41.749231	2013-08-03 20:22:41.749231	\N	d470013f-6742-4ec2-b28c-2d1aa32e7d54
70457	19	9788	2013-08-03 19:40:37.643725	2013-08-03 19:40:37.643725	\N	88cc9f6e-9df2-4a53-aa3e-5db5eba8a71f
111339	4	13441	2013-08-03 21:59:50.448783	2013-08-03 21:59:50.448783	\N	b9c48997-b40e-4905-b98c-ed0f7401f067
72969	9	10135	2013-08-03 19:52:32.110287	2013-08-03 19:52:32.110287	\N	59f5be1d-f854-4907-8fc6-620bdc9c5923
111340	4	13411	2013-08-03 21:59:50.570529	2013-08-03 21:59:50.570529	\N	0c84e3bd-bd68-4d07-bea2-f9780299ce96
72971	9	10156	2013-08-03 19:52:33.294989	2013-08-03 19:52:33.294989	\N	8bb616d1-d8c2-47cd-9116-a1ff0fddc5b8
72975	9	10166	2013-08-03 19:52:35.684357	2013-08-03 19:52:35.684357	\N	e8e34ed4-c7d1-4530-8117-591ff59c9691
72976	10	10156	2013-08-03 19:52:36.185367	2013-08-03 19:52:36.185367	\N	b81aff49-0617-4657-a690-c7db6b55d4df
72981	11	10156	2013-08-03 19:52:36.73995	2013-08-03 19:52:36.73995	\N	9163d9de-77b1-48df-86ff-c090de7bef14
111341	4	13399	2013-08-03 21:59:50.625283	2013-08-03 21:59:50.625283	\N	d63b257a-8290-4ad5-b65f-a888599b478e
74346	5	10282	2013-08-03 19:58:56.9387	2013-08-03 19:58:56.9387	\N	a67897f2-d482-4a02-953b-7a6988215825
79937	17	10894	2013-08-03 20:22:45.092994	2013-08-03 20:22:45.092994	\N	57805598-0698-430e-84a7-4b62bb8059d7
74350	19	10292	2013-08-03 19:58:57.150139	2013-08-03 19:58:57.150139	\N	5155a6e1-b957-4ddc-a4e6-2dfa27931bf7
93546	12	11887	2013-08-03 21:00:39.354288	2013-08-03 21:00:39.354288	\N	5e366965-dd51-4fda-858c-7fef3ba08ab7
72996	11	10159	2013-08-03 19:52:39.668132	2013-08-03 19:52:39.668132	\N	fa00e09e-00b0-4892-a0a1-02f06c8411b3
72997	7	10174	2013-08-03 19:52:39.814491	2013-08-03 19:52:39.814491	\N	4d167b4e-6cca-471a-92f7-5a0f4757563b
73000	7	10135	2013-08-03 19:52:40.291845	2013-08-03 19:52:40.291845	\N	21e52f5a-02ee-4328-95af-b3d79b73a66c
73001	7	10153	2013-08-03 19:52:40.337203	2013-08-03 19:52:40.337203	\N	2e9dd630-d5ef-4211-8962-99c99036f7e5
73003	8	10166	2013-08-03 19:52:40.466607	2013-08-03 19:52:40.466607	\N	6ffc1ca3-0d25-4d1c-a188-cd4d02d39c6b
73004	11	10175	2013-08-03 19:52:40.511767	2013-08-03 19:52:40.511767	\N	e8db84a9-dbf3-4829-bbf9-5cfbf21ba628
73007	16	10135	2013-08-03 19:52:40.762756	2013-08-03 19:52:40.762756	\N	6b147504-8254-4db3-a835-1fd00ac389e9
111342	4	13450	2013-08-03 21:59:50.688525	2013-08-03 21:59:50.688525	\N	59f8a278-5449-48ea-bcfd-ee790082d1d2
73012	11	10177	2013-08-03 19:52:40.969165	2013-08-03 19:52:40.969165	\N	0cc4211f-5f3f-456a-b870-e04679737c73
111343	17	13441	2013-08-03 21:59:53.904637	2013-08-03 21:59:53.904637	\N	ae1654d0-2d55-4b62-844e-afe91b801b9d
73018	11	10180	2013-08-03 19:52:41.335128	2013-08-03 19:52:41.335128	\N	4a579cf4-1cd6-470b-acfd-4ed8e6394a20
71684	19	9923	2013-08-03 19:45:19.339002	2013-08-03 19:45:19.339002	\N	007c9bb7-f14d-4495-9886-1c71b45806bf
74363	19	10301	2013-08-03 19:58:59.134495	2013-08-03 19:58:59.134495	\N	38fbe688-575a-4813-8f4d-a19faa73ebd5
74368	10	10300	2013-08-03 19:58:59.632354	2013-08-03 19:58:59.632354	\N	d95a326f-f994-4ec3-a06c-e2ec7aea0f8e
71691	19	9883	2013-08-03 19:45:21.899067	2013-08-03 19:45:21.899067	\N	7ee3c939-025d-4910-a3d1-3cfd1a7e3a00
71692	19	9904	2013-08-03 19:45:22.644702	2013-08-03 19:45:22.644702	\N	951d6b49-30b3-434c-8704-1b99ac2bd885
79959	15	10891	2013-08-03 20:22:49.967311	2013-08-03 20:22:49.967311	\N	ece263dd-4477-4a44-b50d-219f584d8a90
73028	2	10144	2013-08-03 19:52:41.683154	2013-08-03 19:52:41.683154	\N	340d322d-2270-493d-8dfd-d2e373c681a4
73029	2	10156	2013-08-03 19:52:41.720219	2013-08-03 19:52:41.720219	\N	e7849d39-8b32-41e3-acdc-1efac8e8dc3d
74372	10	10261	2013-08-03 19:58:59.841628	2013-08-03 19:58:59.841628	\N	e6494f13-93c1-4cff-955a-73f3db7f4d7b
73034	20	10135	2013-08-03 19:52:43.6454	2013-08-03 19:52:43.6454	\N	07b24fa4-4451-4dfe-9cab-e5d9cdb10279
73035	20	10156	2013-08-03 19:52:43.703529	2013-08-03 19:52:43.703529	\N	9ef6efbb-6fbd-4d80-9021-fb1a4407165b
73036	20	10174	2013-08-03 19:52:43.746028	2013-08-03 19:52:43.746028	\N	8276ba3e-350c-4b0f-a710-4f20179d5745
73040	7	10180	2013-08-03 19:52:47.786255	2013-08-03 19:52:47.786255	\N	9386e6e1-dced-4ec5-8928-e28310871e81
74374	5	10306	2013-08-03 19:59:00.108221	2013-08-03 19:59:00.108221	\N	1ce2c310-ff0b-41bc-b88a-24f25bf6f180
73055	5	10156	2013-08-03 19:52:53.21808	2013-08-03 19:52:53.21808	\N	0ef3cc0e-3040-4677-b61e-a79b4ad6b2fb
74375	5	10279	2013-08-03 19:59:00.506187	2013-08-03 19:59:00.506187	\N	3457989b-d395-4ee1-8893-3b3e4affb4b8
90240	10	11521	2013-08-03 20:49:36.889925	2013-08-03 20:49:36.889925	\N	1b0ddb6a-3cb6-430e-93f3-f7cccb4a798c
119971	6	14332	2013-08-03 22:34:41.324461	2013-08-03 22:34:41.324461	\N	57234037-e591-4c91-ae68-b19c49c7e0b8
91842	16	11635	2013-08-03 20:53:45.284459	2013-08-03 20:53:45.284459	\N	ba496d36-f400-4ab5-b803-ab8f49a1abe8
79972	7	10906	2013-08-03 20:22:50.25311	2013-08-03 20:22:50.25311	\N	ef5b4b16-97a3-418c-9188-bfcc9fb8eac0
79973	11	10885	2013-08-03 20:22:50.399445	2013-08-03 20:22:50.399445	\N	c8ad69c5-7835-4155-b0d6-8bcf80d1f1b6
74465	13	10300	2013-08-03 19:59:13.331966	2013-08-03 19:59:13.331966	\N	c167e749-16b7-45cc-9bcc-7f10d2f9161f
135041	6	17683	2013-08-04 00:50:59.052725	2013-08-04 00:50:59.052725	\N	b5c61277-c5d0-4357-94f8-1413b9f5f873
93560	12	11938	2013-08-03 21:00:42.003999	2013-08-03 21:00:42.003999	\N	437e90c2-f743-4842-9471-906e15a7a55e
135043	6	17734	2013-08-04 00:50:59.303236	2013-08-04 00:50:59.303236	\N	7c9aed11-973b-4205-9d73-2347f9e83885
74478	19	10300	2013-08-03 19:59:17.871289	2013-08-03 19:59:17.871289	\N	7acb22c5-7432-4a38-8159-26fdb3614606
79987	6	10885	2013-08-03 20:22:52.181889	2013-08-03 20:22:52.181889	\N	71a04daf-7af9-47a6-a05d-e9dbf9fa8a57
73361	19	10166	2013-08-03 19:54:22.498413	2013-08-03 19:54:22.498413	\N	90db8cc6-9ba8-42ea-b108-97ab46a19af8
79993	11	10894	2013-08-03 20:22:52.655221	2013-08-03 20:22:52.655221	\N	2f5cc9d4-aa70-4b93-a35e-3a44c00c2e24
79995	7	10885	2013-08-03 20:22:53.05631	2013-08-03 20:22:53.05631	\N	c476b51a-bce2-4851-aa6c-135cde29fa5f
172758	13	22861	2013-08-04 18:12:56.901592	2013-08-04 18:12:56.901592	\N	9ade7b6a-5dce-481e-98f3-b4e51e8ef58d
117815	19	13954	2013-08-03 22:23:23.986254	2013-08-03 22:23:23.986254	\N	6de1aa76-076c-44ed-84fe-8201f70c51bf
91867	2	11689	2013-08-03 20:53:48.045141	2013-08-03 20:53:48.045141	\N	0631dbc6-a398-42e3-a2da-a4dd497b20a4
88699	10	11434	2013-08-03 20:45:24.416843	2013-08-03 20:45:24.416843	\N	35b87291-a806-4917-8c05-7b9d264099f8
120010	15	14293	2013-08-03 22:34:56.517403	2013-08-03 22:34:56.517403	\N	43fdd55c-c435-4447-9939-c6c6205fca4c
120016	4	14333	2013-08-03 22:34:59.398756	2013-08-03 22:34:59.398756	\N	e82e81af-4d49-4e44-97da-e5ac01ac573b
135065	17	17735	2013-08-04 00:51:07.410776	2013-08-04 00:51:07.410776	\N	5b14ceba-6e64-4d3f-b55d-3d0174a486c4
120027	17	14293	2013-08-03 22:35:01.43722	2013-08-03 22:35:01.43722	\N	5ce34663-40dc-42ae-ae21-955687a57e8b
77308	2	10558	2013-08-03 20:10:25.214941	2013-08-03 20:10:25.214941	\N	be469a3c-7bac-40c7-b1de-c103fe599d35
71840	2	9906	2013-08-03 19:46:10.761277	2013-08-03 19:46:10.761277	\N	07d669c1-36b0-47d3-8f30-61da83f5b34c
86953	5	11278	2013-08-03 20:39:58.782976	2013-08-03 20:39:58.782976	\N	06260058-770d-4edc-93ff-0dc84834cc16
86959	5	11257	2013-08-03 20:39:59.569693	2013-08-03 20:39:59.569693	\N	e2d7c3d1-5fa4-4944-bb5a-902bcce16639
80042	11	10936	2013-08-03 20:22:56.864904	2013-08-03 20:22:56.864904	\N	5821a657-ec07-4ab6-8c64-e2cd7e410650
86960	5	11308	2013-08-03 20:39:59.995066	2013-08-03 20:39:59.995066	\N	1b91da1e-b36f-4ffc-9c3e-e15debc77781
135067	4	17735	2013-08-04 00:51:09.433923	2013-08-04 00:51:09.433923	\N	0b073c0c-881d-4b9d-b3f7-3dfcff4923ed
86962	5	11293	2013-08-03 20:40:00.393492	2013-08-03 20:40:00.393492	\N	dad7ded3-0765-423a-b049-1ebc01b37bd1
122430	3	14947	2013-08-03 23:01:17.714023	2013-08-03 23:01:17.714023	\N	81421661-a74c-4ded-86b1-3a4e03b00989
122431	3	14953	2013-08-03 23:01:17.819561	2013-08-03 23:01:17.819561	\N	b720005f-0a19-4890-989c-23e480368524
74238	14	10267	2013-08-03 19:58:24.874117	2013-08-03 19:58:24.874117	\N	c2d62177-23ae-4aa0-9404-5c79ae74de00
74241	14	10306	2013-08-03 19:58:24.945263	2013-08-03 19:58:24.945263	\N	d6c276a8-b115-4422-a8fb-60a182b67aaf
74246	14	10279	2013-08-03 19:58:25.1271	2013-08-03 19:58:25.1271	\N	45b74f6f-dfee-4e6b-9284-d2c0fc4d3966
74248	14	10285	2013-08-03 19:58:25.204139	2013-08-03 19:58:25.204139	\N	bb2a73dd-e10c-41fb-8e89-5bae03d0d3d7
74261	1	10301	2013-08-03 19:58:28.541927	2013-08-03 19:58:28.541927	\N	c7ca89e6-ce63-4bff-baa7-2f27a28885cf
71718	19	9922	2013-08-03 19:45:36.622614	2013-08-03 19:45:36.622614	\N	fa5715ea-e82c-42b1-a6e3-428b3d8b8cae
71719	19	9928	2013-08-03 19:45:37.34279	2013-08-03 19:45:37.34279	\N	0ed8fabf-6063-4653-a1d3-51bb69b2e533
122432	3	14923	2013-08-03 23:01:17.86078	2013-08-03 23:01:17.86078	\N	b4db74ed-64b6-403d-9e62-790f06684400
72967	9	10174	2013-08-03 19:52:30.780483	2013-08-03 19:52:30.780483	\N	c27f7cb9-c76b-4258-9ca7-afb1216e0897
74271	4	10261	2013-08-03 19:58:31.361583	2013-08-03 19:58:31.361583	\N	452b5569-2e6d-4893-938c-b2330eeef64b
72986	8	10156	2013-08-03 19:52:37.608915	2013-08-03 19:52:37.608915	\N	21e10ca7-80a1-49c9-bb56-c50c3b772075
73015	16	10153	2013-08-03 19:52:41.102934	2013-08-03 19:52:41.102934	\N	1a167308-ac93-4f9c-9fa4-def56531204f
73019	7	10159	2013-08-03 19:52:41.339904	2013-08-03 19:52:41.339904	\N	361eb04e-7261-4015-8784-23d75c5c5f8e
74272	4	10282	2013-08-03 19:58:31.470602	2013-08-03 19:58:31.470602	\N	6ad00ae8-cbed-469a-b9c9-34a17e83b163
73033	1	10175	2013-08-03 19:52:43.468408	2013-08-03 19:52:43.468408	\N	bf4b509d-881b-4262-86a2-9b10d45803cc
73037	7	10166	2013-08-03 19:52:46.114781	2013-08-03 19:52:46.114781	\N	4f16997d-3a51-4363-afde-d84e9f19eccf
73038	7	10175	2013-08-03 19:52:46.223687	2013-08-03 19:52:46.223687	\N	581d072e-fd4e-4d8a-8e93-cb851cab1580
79911	17	10891	2013-08-03 20:22:40.883905	2013-08-03 20:22:40.883905	\N	9c44f48f-8817-4fed-9675-f6013dfd9303
73046	15	10135	2013-08-03 19:52:48.492028	2013-08-03 19:52:48.492028	\N	fe8261c3-e50f-43ed-99eb-b6fbfddcd933
74274	4	10300	2013-08-03 19:58:31.536387	2013-08-03 19:58:31.536387	\N	b01cb772-8f26-4027-9f0a-7a9dd5639e24
74275	4	10306	2013-08-03 19:58:31.570976	2013-08-03 19:58:31.570976	\N	184771c5-5be4-4d67-9206-568d108a496b
73451	19	10180	2013-08-03 19:54:46.559172	2013-08-03 19:54:46.559172	\N	4e3bd39f-a488-4763-9ca9-14f15b66deb2
79913	7	10909	2013-08-03 20:22:41.327466	2013-08-03 20:22:41.327466	\N	ff737c3d-2c76-4d8c-a290-cd2faa76e712
104973	1	12821	2013-08-03 21:35:28.249663	2013-08-03 21:35:28.249663	\N	450acc04-2bac-4c5f-9360-d0bbd0c685d6
122434	3	14962	2013-08-03 23:01:17.900919	2013-08-03 23:01:17.900919	\N	353d2f5d-4c11-4f21-99cb-09d5022d45aa
100941	14	12391	2013-08-03 21:22:21.021087	2013-08-03 21:22:21.021087	\N	4620102b-fecc-407f-bbdd-e9543cc40e45
78587	13	10654	2013-08-03 20:15:36.406142	2013-08-03 20:15:36.406142	\N	bff8c664-dd0e-4599-b934-c5758851acfd
78589	13	10657	2013-08-03 20:15:36.68163	2013-08-03 20:15:36.68163	\N	510f7bc5-5f0e-4b45-abb5-bc1a153897b2
73475	5	10180	2013-08-03 19:54:54.371459	2013-08-03 19:54:54.371459	\N	23e05359-a18a-4e34-b767-62981679e92d
73477	5	10153	2013-08-03 19:54:54.828866	2013-08-03 19:54:54.828866	\N	a286f044-187f-473e-b1d2-6d1298e8c1af
78592	13	10681	2013-08-03 20:15:38.948504	2013-08-03 20:15:38.948504	\N	a8c16588-48d1-44e2-8902-901eeb69db52
100942	14	12433	2013-08-03 21:22:21.093062	2013-08-03 21:22:21.093062	\N	4429b37b-a30b-4102-8c04-10e099d77104
75553	11	10381	2013-08-03 20:04:01.753985	2013-08-03 20:04:01.753985	\N	c8ee22d6-b79a-4a14-b88a-f5846b737931
79951	17	10897	2013-08-03 20:22:47.498832	2013-08-03 20:22:47.498832	\N	c3844ac6-6a91-4eec-8fbc-74ed7bb78fa2
135044	3	17734	2013-08-04 00:50:59.624192	2013-08-04 00:50:59.624192	\N	bf397542-c965-40fb-94ee-e046368e1cf1
135045	3	17683	2013-08-04 00:50:59.664759	2013-08-04 00:50:59.664759	\N	a0baa387-16fe-44fb-aada-488117247576
124763	20	15316	2013-08-03 23:17:27.008044	2013-08-03 23:17:27.008044	\N	5f2556e2-56ea-4f1e-9697-f1a57de6b634
88589	3	11416	2013-08-03 20:44:58.21513	2013-08-03 20:44:58.21513	\N	3e3ebb52-91b2-4904-8764-ac902db73083
79983	11	10891	2013-08-03 20:22:51.655307	2013-08-03 20:22:51.655307	\N	4dfa3a21-d1ce-4cac-8dbf-77762c7fa38f
113401	10	13534	2013-08-03 22:04:43.211807	2013-08-03 22:04:43.211807	\N	aaee0f33-9dc7-49a4-8164-de8bfac82402
135046	3	17695	2013-08-04 00:50:59.737324	2013-08-04 00:50:59.737324	\N	aeb501ed-307c-4418-a5c6-b6e847846a75
111316	13	13453	2013-08-03 21:59:45.987088	2013-08-03 21:59:45.987088	\N	b36ed441-6f29-402c-bd46-94e5f255ae71
90209	3	11509	2013-08-03 20:49:32.6142	2013-08-03 20:49:32.6142	\N	bd749a68-62ad-4f5f-9cf9-23472e6d59b3
90210	3	11563	2013-08-03 20:49:32.671139	2013-08-03 20:49:32.671139	\N	5a365932-49a5-4e44-b202-e9085d81ee51
99115	20	12265	2013-08-03 21:17:28.927536	2013-08-03 21:17:28.927536	\N	1823961f-60f5-4efd-be81-4d384bfd8985
71892	16	9907	2013-08-03 19:46:34.652639	2013-08-03 19:46:34.652639	\N	16e9349f-af49-4f4d-85ca-8c8f8cc416a7
80010	17	10906	2013-08-03 20:22:53.764094	2013-08-03 20:22:53.764094	\N	5aa87d13-5840-40ad-8b17-cc895f414827
194490	17	24640	2013-08-04 19:34:00.4798	2013-08-04 19:34:00.4798	\N	20cb8fa0-23cb-4a68-baac-804abaf97bba
135060	7	17734	2013-08-04 00:51:06.369611	2013-08-04 00:51:06.369611	\N	564eed4e-e028-4cd0-acce-530be624157f
80019	17	10909	2013-08-03 20:22:55.933566	2013-08-03 20:22:55.933566	\N	490c891c-a8c5-4c43-911e-d99bc2246110
95409	19	12046	2013-08-03 21:06:40.617981	2013-08-03 21:06:40.617981	\N	1e6eebf7-3206-4aee-add0-00711afa48ec
74430	13	10282	2013-08-03 19:59:10.370453	2013-08-03 19:59:10.370453	\N	0007aded-125e-4220-bf54-6888ec876046
74443	13	10270	2013-08-03 19:59:11.480249	2013-08-03 19:59:11.480249	\N	5a7f4537-d2c3-4f0f-b56f-7ea6a8cf7b33
90242	10	11560	2013-08-03 20:49:36.992855	2013-08-03 20:49:36.992855	\N	9b28b5da-4f6e-4115-a437-a9e7f0abb677
80049	2	10933	2013-08-03 20:22:57.681774	2013-08-03 20:22:57.681774	\N	2a1a93cb-fda5-4e3f-be8f-0690a272dcb9
80050	2	10930	2013-08-03 20:22:57.757778	2013-08-03 20:22:57.757778	\N	7556715b-17a9-4414-a49a-f931a8cf9542
93561	12	11941	2013-08-03 21:00:42.330918	2013-08-03 21:00:42.330918	\N	be616a3d-b119-4495-9194-dfed9932952f
93562	12	11944	2013-08-03 21:00:42.661383	2013-08-03 21:00:42.661383	\N	c40736a8-1ce1-47dc-8568-83002fa040a8
119953	8	14332	2013-08-03 22:34:35.134687	2013-08-03 22:34:35.134687	\N	fadd2242-1f23-43b2-825d-13299d42ef04
135110	10	17734	2013-08-04 00:51:31.339722	2013-08-04 00:51:31.339722	\N	66feb078-4cbe-4eab-b4ea-09a95119a60e
117814	19	13912	2013-08-03 22:23:23.816249	2013-08-03 22:23:23.816249	\N	3d40d743-ec2f-432b-b6b7-ed6a3fd4458b
91960	10	11668	2013-08-03 20:54:04.720085	2013-08-03 20:54:04.720085	\N	7becef8f-75f5-449e-80f1-cff8f3ec9eb5
179761	14	23435	2013-08-04 18:37:06.886754	2013-08-04 18:37:06.886754	\N	38d1d2d4-3aa9-416f-8d2c-e550a5ae4512
103111	1	12529	2013-08-03 21:28:53.350937	2013-08-03 21:28:53.350937	\N	d9ca985b-19b7-4965-b214-773a24c083cb
119964	6	14317	2013-08-03 22:34:38.253353	2013-08-03 22:34:38.253353	\N	60fa97f3-c08b-4925-930f-44ff52c11770
111362	17	13408	2013-08-03 21:59:56.013153	2013-08-03 21:59:56.013153	\N	32441e06-1187-446f-ac72-92b8f6ff3566
111363	14	13282	2013-08-03 21:59:56.426174	2013-08-03 21:59:56.426174	\N	7ed04e41-c1bf-4cd1-8c2a-f3d189b002e8
119965	6	14293	2013-08-03 22:34:38.875171	2013-08-03 22:34:38.875171	\N	11fc0b20-6eaf-4ca2-ac90-ae3dccc1a5cc
97312	13	12190	2013-08-03 21:11:43.801799	2013-08-03 21:11:43.801799	\N	b8aa784c-e999-47ca-9ee2-fd015a458133
80143	16	10885	2013-08-03 20:23:08.974597	2013-08-03 20:23:08.974597	\N	f6427739-8429-47b5-a1c4-57723c0ec232
97314	19	12196	2013-08-03 21:11:44.277181	2013-08-03 21:11:44.277181	\N	42c3b614-18a4-409b-a2b3-179e605dcb85
80155	16	10879	2013-08-03 20:23:09.224301	2013-08-03 20:23:09.224301	\N	c9448c0a-23fb-4f52-a151-770ad0ea7b94
111369	17	13411	2013-08-03 21:59:58.094541	2013-08-03 21:59:58.094541	\N	28bd8ab6-a760-46db-bdfe-4c8c8b1a0db6
80163	16	10897	2013-08-03 20:23:09.457203	2013-08-03 20:23:09.457203	\N	8b567637-a8d9-4646-ac0b-57aa2631744a
103133	15	12655	2013-08-03 21:29:23.122431	2013-08-03 21:29:23.122431	\N	d833d11d-9690-471d-8517-32a01fe5f48e
80165	16	10906	2013-08-03 20:23:09.569552	2013-08-03 20:23:09.569552	\N	54fecd6f-cc51-4f9c-918f-dd9b0ded5db2
103136	8	12655	2013-08-03 21:29:23.289675	2013-08-03 21:29:23.289675	\N	7a73b12d-ec01-4084-bce4-af7637a5f655
80168	16	10915	2013-08-03 20:23:09.8113	2013-08-03 20:23:09.8113	\N	4afd0a02-b924-424f-a28c-752d73db003e
77169	6	10552	2013-08-03 20:10:00.609542	2013-08-03 20:10:00.609542	\N	1608924a-b1fb-4148-a7e1-050c86c1e2e5
80169	16	10930	2013-08-03 20:23:09.956246	2013-08-03 20:23:09.956246	\N	15300443-afd8-406d-898d-3b57b0e20b4f
103141	8	12670	2013-08-03 21:29:23.337464	2013-08-03 21:29:23.337464	\N	fd9e1ea2-8d65-4cd8-81a2-dc4c903551d1
92010	2	11643	2013-08-03 20:54:13.367798	2013-08-03 20:54:13.367798	\N	51c2f403-ee76-42f3-9ec7-281e0d5017a7
103145	8	12673	2013-08-03 21:29:23.412137	2013-08-03 21:29:23.412137	\N	573121fe-baf8-402c-bc69-c03f1e91ea68
103148	2	12697	2013-08-03 21:29:23.798896	2013-08-03 21:29:23.798896	\N	b71b524f-2351-4834-aaef-8adca6a5f76c
103149	2	12700	2013-08-03 21:29:23.875492	2013-08-03 21:29:23.875492	\N	0a9e8229-ce82-4956-af8c-cb2f90353c09
103151	2	12694	2013-08-03 21:29:23.932506	2013-08-03 21:29:23.932506	\N	75e5879d-a4a7-4308-936c-9e2efe02c9f3
103152	2	12655	2013-08-03 21:29:24.002211	2013-08-03 21:29:24.002211	\N	92f55166-38d2-4839-823d-819642cbf123
95543	19	12034	2013-08-03 21:06:56.944355	2013-08-03 21:06:56.944355	\N	1120133a-bafa-4f75-aad9-884484275130
103153	2	12679	2013-08-03 21:29:24.08019	2013-08-03 21:29:24.08019	\N	43fd6628-82e8-4396-9a9a-64edb2fa028e
92050	12	11677	2013-08-03 20:54:24.40156	2013-08-03 20:54:24.40156	\N	ae82cc6c-4604-4853-8302-f0f6ddf7ce48
92051	12	11647	2013-08-03 20:54:24.910694	2013-08-03 20:54:24.910694	\N	39424f97-a00f-49e4-b438-331b19c14a50
132475	8	17053	2013-08-04 00:25:50.746091	2013-08-04 00:25:50.746091	\N	de69cd94-3fa8-44d2-92eb-23d3c200518b
119986	20	14293	2013-08-03 22:34:45.268575	2013-08-03 22:34:45.268575	\N	be8b95ee-09b8-445d-8c95-44da62d2fa9b
80232	12	10885	2013-08-03 20:23:15.803519	2013-08-03 20:23:15.803519	\N	01a824f9-9395-49ad-9392-7389a754a9f0
75821	16	10393	2013-08-03 20:04:51.854928	2013-08-03 20:04:51.854928	\N	b567106d-4306-4efc-a7ae-504e49c5b78c
75822	16	10405	2013-08-03 20:04:51.993128	2013-08-03 20:04:51.993128	\N	834a211f-9797-4642-90d3-07c108f85aef
103159	17	12655	2013-08-03 21:29:26.899605	2013-08-03 21:29:26.899605	\N	1bcdde13-7d6d-48cf-98ad-0c318ed77c71
75824	16	10426	2013-08-03 20:04:52.357521	2013-08-03 20:04:52.357521	\N	3802e3e7-55a3-41a9-b76a-51bdf521f492
74613	14	10299	2013-08-03 19:59:59.640259	2013-08-03 19:59:59.640259	\N	e542e661-4217-41eb-961a-4251bf6bf95d
92071	12	11689	2013-08-03 20:54:28.268886	2013-08-03 20:54:28.268886	\N	3e7759cc-dffa-45aa-922b-659bf3b1854f
75826	16	10429	2013-08-03 20:04:52.496344	2013-08-03 20:04:52.496344	\N	8721117d-9f39-4f58-a8ff-9e47945c84a5
103161	9	12643	2013-08-03 21:29:27.061975	2013-08-03 21:29:27.061975	\N	a96b718b-3cd4-4a53-ab60-2c7e7fec2b07
92080	12	11692	2013-08-03 20:54:28.539783	2013-08-03 20:54:28.539783	\N	dd54f310-f499-41c7-9f3d-ea2f9e2dc0aa
101090	5	12442	2013-08-03 21:22:41.125497	2013-08-03 21:22:41.125497	\N	739aabb2-4e8d-4730-b738-31d7cfbb3b29
73014	8	10175	2013-08-03 19:52:41.094294	2013-08-03 19:52:41.094294	\N	13735be5-b7f5-4094-aa2b-a8cea1f23a01
104957	17	12820	2013-08-03 21:35:25.83434	2013-08-03 21:35:25.83434	\N	ef2a2d55-1109-439c-8a63-68638db9b8ce
73020	16	10159	2013-08-03 19:52:41.347187	2013-08-03 19:52:41.347187	\N	5b473c99-a370-493c-93f8-b284d81373e6
73023	16	10177	2013-08-03 19:52:41.617661	2013-08-03 19:52:41.617661	\N	bcb5f735-38a8-4740-a76f-299bcac669a4
95360	12	12064	2013-08-03 21:06:30.360068	2013-08-03 21:06:30.360068	\N	e7cd7efc-f7df-4b1c-923d-85c412daaeae
73049	15	10174	2013-08-03 19:52:48.966167	2013-08-03 19:52:48.966167	\N	fb89cdd2-2e18-4e78-a798-54b4a7d4ecf8
79956	17	10900	2013-08-03 20:22:49.641572	2013-08-03 20:22:49.641572	\N	6d26117d-e834-4d14-82fd-589e0623f4e0
73052	15	10180	2013-08-03 19:52:50.179446	2013-08-03 19:52:50.179446	\N	c722d161-63c4-4f39-ad81-2db042c1e2cd
73053	5	10144	2013-08-03 19:52:52.300093	2013-08-03 19:52:52.300093	\N	274bdd64-a301-43be-bd62-4a66d6380709
73056	5	10177	2013-08-03 19:52:53.623389	2013-08-03 19:52:53.623389	\N	91ecac13-dc16-4a5e-9555-ebd9c3501cd3
79958	15	10885	2013-08-03 20:22:49.84621	2013-08-03 20:22:49.84621	\N	f3c9c375-74b6-4172-bbcc-c34dc16f464e
135048	4	17695	2013-08-04 00:51:00.774867	2013-08-04 00:51:00.774867	\N	d210eda0-d9b2-4c0f-861b-ed875a5e2bb6
83421	15	11038	2013-08-03 20:30:50.305913	2013-08-03 20:30:50.305913	\N	c54778a2-1e62-4bbd-b14b-aa92b95e5286
119944	8	14293	2013-08-03 22:34:31.174241	2013-08-03 22:34:31.174241	\N	1fff6499-74ec-43de-8fef-498a7076c951
79984	9	10922	2013-08-03 20:22:51.751458	2013-08-03 20:22:51.751458	\N	fe59cdf4-ebde-4007-a449-180a07930241
79986	11	10879	2013-08-03 20:22:52.134852	2013-08-03 20:22:52.134852	\N	fe0b550b-a8fe-4739-aa8d-a8d7e1715a49
79990	15	10936	2013-08-03 20:22:52.275342	2013-08-03 20:22:52.275342	\N	ae0372ab-090c-45f3-a496-841fc8c81053
95379	19	12055	2013-08-03 21:06:33.106776	2013-08-03 21:06:33.106776	\N	8bfe35ed-2ae2-4fb0-97f5-3685315a1f9a
79996	11	10897	2013-08-03 20:22:53.245091	2013-08-03 20:22:53.245091	\N	0be0834d-3d84-40e3-9b76-1c6fd6ce6fbb
74436	13	10267	2013-08-03 19:59:11.208534	2013-08-03 19:59:11.208534	\N	81ccdf87-5b91-4ee3-bc2c-0c2fb2f096f0
106891	10	12904	2013-08-03 21:42:40.05643	2013-08-03 21:42:40.05643	\N	196ce990-cf7b-45eb-8947-d6bb952d1076
93538	12	11899	2013-08-03 21:00:39.061136	2013-08-03 21:00:39.061136	\N	72eaf864-b7fc-44cf-9c74-3e6088cb64da
75607	12	10381	2013-08-03 20:04:09.828435	2013-08-03 20:04:09.828435	\N	1ab3426b-887f-4dab-984f-8be50c6eee54
115519	19	13708	2013-08-03 22:13:16.995944	2013-08-03 22:13:16.995944	\N	c844038a-38b5-46e4-a984-afa2d9386350
80011	11	10900	2013-08-03 20:22:53.845295	2013-08-03 20:22:53.845295	\N	52285960-2a60-40d8-90d6-811d01928415
80021	11	10930	2013-08-03 20:22:56.082258	2013-08-03 20:22:56.082258	\N	6d8708f6-d244-4e94-8ac2-e3bf032c5da2
91843	16	11662	2013-08-03 20:53:45.467797	2013-08-03 20:53:45.467797	\N	2025ab08-5325-441a-b842-955c5c000419
91854	16	11692	2013-08-03 20:53:46.390998	2013-08-03 20:53:46.390998	\N	5ea11b1a-b774-4223-b2e9-853508380f7c
83468	9	11038	2013-08-03 20:30:58.519618	2013-08-03 20:30:58.519618	\N	b8decead-9f8b-4ecd-9e7d-5a3218ba33fa
99089	9	12265	2013-08-03 21:17:26.756331	2013-08-03 21:17:26.756331	\N	a75799ae-bad7-47a3-8464-69e0ba1b18c3
119945	7	14293	2013-08-03 22:34:32.085404	2013-08-03 22:34:32.085404	\N	261d09db-112e-420a-80f4-8e01d6d58c7e
74486	19	10306	2013-08-03 19:59:19.869739	2013-08-03 19:59:19.869739	\N	7c84180d-ed4a-425c-978b-ff9a6477675f
113409	9	13576	2013-08-03 22:04:43.907682	2013-08-03 22:04:43.907682	\N	6205e7c2-18bb-46c0-8894-057464d56d56
119952	7	14323	2013-08-03 22:34:33.925011	2013-08-03 22:34:33.925011	\N	e65f003b-383f-4f7e-9815-30ced395a509
86974	5	11287	2013-08-03 20:40:02.030072	2013-08-03 20:40:02.030072	\N	df55bd4c-9050-4c37-861b-b099f6d098cd
91899	10	11677	2013-08-03 20:53:53.579288	2013-08-03 20:53:53.579288	\N	d51d93f8-504a-43a5-bf66-3bf4bd6100e6
135049	4	17683	2013-08-04 00:51:00.858796	2013-08-04 00:51:00.858796	\N	526ab3c8-2e2f-46c2-8adb-daee63ede6a6
119968	9	14333	2013-08-03 22:34:39.029587	2013-08-03 22:34:39.029587	\N	2d43c606-d45d-41c0-8942-6fa66583504b
119970	20	14323	2013-08-03 22:34:41.077023	2013-08-03 22:34:41.077023	\N	f04992c6-f036-440f-a3df-a4eb56bb1941
99103	13	12265	2013-08-03 21:17:28.03978	2013-08-03 21:17:28.03978	\N	c9f0ce4b-37d4-4ba1-90ae-442a2dc1fe10
119972	7	14332	2013-08-03 22:34:41.52581	2013-08-03 22:34:41.52581	\N	1dc2252c-6899-4259-855e-05061f4a4e04
97316	13	12193	2013-08-03 21:11:44.519985	2013-08-03 21:11:44.519985	\N	36e5215a-23f8-45b7-a885-7062108be9bd
113415	15	13577	2013-08-03 22:04:44.593782	2013-08-03 22:04:44.593782	\N	9287ac03-c50d-4bd7-a621-899cc3c3d874
97318	19	12190	2013-08-03 21:11:44.787925	2013-08-03 21:11:44.787925	\N	8646d0a3-5122-4e80-989a-be51af94cdb1
135050	4	17734	2013-08-04 00:51:01.032548	2013-08-04 00:51:01.032548	\N	0015e231-51be-4017-a2eb-e929357e988f
91961	10	11687	2013-08-03 20:54:04.798577	2013-08-03 20:54:04.798577	\N	bceeabb6-ef90-431d-abf0-6d0a685145ff
80117	17	10933	2013-08-03 20:23:06.321342	2013-08-03 20:23:06.321342	\N	16710f61-7041-486f-af72-17f403181297
95461	19	12064	2013-08-03 21:06:47.300654	2013-08-03 21:06:47.300654	\N	558bce7a-5bb2-451b-a97a-abef8b386895
95465	19	12070	2013-08-03 21:06:48.082127	2013-08-03 21:06:48.082127	\N	818f9c52-d3b8-49bf-8b98-52a774a7649f
97320	13	12196	2013-08-03 21:11:45.321475	2013-08-03 21:11:45.321475	\N	336b84f3-4439-44fe-8158-f9c916e1376b
93651	13	11908	2013-08-03 21:00:58.977473	2013-08-03 21:00:58.977473	\N	de94cb4b-efba-43a3-9a82-2c4e8c1fcebb
74565	19	10270	2013-08-03 19:59:48.167892	2013-08-03 19:59:48.167892	\N	eaf35c54-d0f3-40c4-ac91-f9363e68b7d3
75753	2	10405	2013-08-03 20:04:41.218237	2013-08-03 20:04:41.218237	\N	68a5faec-7677-4812-b4e1-8e68fbb0eca0
93653	13	11914	2013-08-03 21:01:00.025276	2013-08-03 21:01:00.025276	\N	529bb3fa-5152-4bb8-b6ba-f3a3125c7c64
105030	19	12811	2013-08-03 21:35:40.225969	2013-08-03 21:35:40.225969	\N	e95ece57-2463-42c6-a704-fef6bb4c8e71
135053	15	17683	2013-08-04 00:51:01.810585	2013-08-04 00:51:01.810585	\N	ada35b6e-af4a-42bf-ace5-bf1d2d1fb0ef
135054	1	17695	2013-08-04 00:51:03.333676	2013-08-04 00:51:03.333676	\N	412ad122-3a79-4572-a4ab-5bc9d832f47f
75766	1	10381	2013-08-03 20:04:43.448869	2013-08-03 20:04:43.448869	\N	4214a7b0-ae77-4aab-9ce1-0848286090ad
75767	1	10387	2013-08-03 20:04:43.556652	2013-08-03 20:04:43.556652	\N	c7a10531-50ac-441f-8734-67c42c9aafc8
75768	1	10408	2013-08-03 20:04:43.663464	2013-08-03 20:04:43.663464	\N	ae160295-11ef-4ee2-9ddf-6303e361bd79
75769	1	10426	2013-08-03 20:04:43.773881	2013-08-03 20:04:43.773881	\N	50852d6e-5f19-456e-8e59-8b3f0257879e
75770	1	10432	2013-08-03 20:04:43.883381	2013-08-03 20:04:43.883381	\N	85743ebc-4da7-4f70-b36e-bcbc38d5604b
135055	2	17808	2013-08-04 00:51:03.564218	2013-08-04 00:51:03.564218	\N	0a30d768-4bb6-425d-abd9-740c130a8221
119999	13	14335	2013-08-03 22:34:50.829684	2013-08-03 22:34:50.829684	\N	f50009b2-5fe8-4925-9707-c73fcc0999c0
135057	13	17734	2013-08-04 00:51:05.228552	2013-08-04 00:51:05.228552	\N	9794c0b3-4db6-4522-8617-0c0130a2eada
88617	10	11435	2013-08-03 20:45:04.078696	2013-08-03 20:45:04.078696	\N	930cf7ec-c93b-4a97-bc15-3d5b121e4f58
75775	14	10381	2013-08-03 20:04:44.630111	2013-08-03 20:04:44.630111	\N	cfe4bf22-5859-4ce5-bd33-f077974376b8
135059	15	17735	2013-08-04 00:51:06.186467	2013-08-04 00:51:06.186467	\N	61942c7a-c4bb-4068-86d0-119f282024d8
135066	5	17734	2013-08-04 00:51:07.657053	2013-08-04 00:51:07.657053	\N	d31441d0-9fcf-48b7-a406-b1d9bba04b7e
103130	17	12685	2013-08-03 21:29:22.774318	2013-08-03 21:29:22.774318	\N	73bd87d3-584a-4c24-b2df-a1ce7dd6c80b
80243	12	10879	2013-08-03 20:23:16.725135	2013-08-03 20:23:16.725135	\N	7d4c5217-4d51-4a76-a82d-9a03d42caf0c
85356	2	11131	2013-08-03 20:35:10.619965	2013-08-03 20:35:10.619965	\N	8021eb9d-e6d4-45f0-938a-e3a9b6f6c809
103134	15	12643	2013-08-03 21:29:23.123232	2013-08-03 21:29:23.123232	\N	8e68825e-59b3-450d-b01f-942d7e7d0294
87093	13	11272	2013-08-03 20:40:22.089004	2013-08-03 20:40:22.089004	\N	9f80ddd9-2831-4e5d-ad62-47cf5c7fddde
103139	8	12664	2013-08-03 21:29:23.315575	2013-08-03 21:29:23.315575	\N	395cab9f-e790-465d-97ee-33f7fbfd7709
103144	8	12700	2013-08-03 21:29:23.412034	2013-08-03 21:29:23.412034	\N	dadc85f5-4f65-405f-b39e-8e7db8dfb04f
80275	12	10936	2013-08-03 20:23:19.567815	2013-08-03 20:23:19.567815	\N	f2f60275-9e12-46b4-9670-c97e9c160399
92054	12	11635	2013-08-03 20:54:25.185644	2013-08-03 20:54:25.185644	\N	7869df91-e87b-4f27-8b87-ccc3a4fb49d5
80282	17	10931	2013-08-03 20:23:20.161792	2013-08-03 20:23:20.161792	\N	07df734e-5344-4459-8873-115c6983a070
88643	2	11391	2013-08-03 20:45:12.333567	2013-08-03 20:45:12.333567	\N	6226722d-ea0a-46a7-a02e-4b2e4eaf0d75
115616	17	13708	2013-08-03 22:13:40.310602	2013-08-03 22:13:40.310602	\N	831d675d-2228-4307-aa39-574ed39faed6
80302	5	10780	2013-08-03 20:23:21.75371	2013-08-03 20:23:21.75371	\N	ddf684dc-40f5-485b-a25a-d323d0719d72
83683	4	11038	2013-08-03 20:31:23.493292	2013-08-03 20:31:23.493292	\N	cddae105-3b0a-4547-8647-f9f81708c775
103174	17	12643	2013-08-03 21:29:28.963209	2013-08-03 21:29:28.963209	\N	7d20b505-1b6c-47af-9614-aac17d52f472
80308	5	10936	2013-08-03 20:23:22.430199	2013-08-03 20:23:22.430199	\N	a71ccd5b-54c5-4330-98b6-d99e7da14960
80309	5	10909	2013-08-03 20:23:22.894058	2013-08-03 20:23:22.894058	\N	0a9effd8-22bb-47e8-852e-3063058577c5
95551	4	12040	2013-08-03 21:06:57.655783	2013-08-03 21:06:57.655783	\N	92097581-a504-400c-97a7-5db4db71b74e
120020	11	14293	2013-08-03 22:34:59.911675	2013-08-03 22:34:59.911675	\N	57f42328-d73e-47a2-953e-03cc87e09c1a
85417	16	11161	2013-08-03 20:35:21.11965	2013-08-03 20:35:21.11965	\N	008082b7-2355-4813-ab0c-328b64a0dfa1
85418	16	11164	2013-08-03 20:35:21.230566	2013-08-03 20:35:21.230566	\N	7ea262d0-3168-4b89-9d3c-0335c9c07ae0
93742	6	11920	2013-08-03 21:01:13.152067	2013-08-03 21:01:13.152067	\N	1d8bec19-3d8f-42a9-8aca-fd99749350aa
103180	7	12695	2013-08-03 21:29:29.270878	2013-08-03 21:29:29.270878	\N	1ac6aed2-1456-4674-bcc1-12ed3f4900c0
103182	7	12673	2013-08-03 21:29:29.484072	2013-08-03 21:29:29.484072	\N	fb9b299e-893a-494e-baf2-3839c756577d
95555	4	12070	2013-08-03 21:06:57.757495	2013-08-03 21:06:57.757495	\N	7e8261c5-8ddf-42ed-b00e-ec9bf329d0a1
87149	6	11309	2013-08-03 20:40:30.551817	2013-08-03 20:40:30.551817	\N	c580a96d-ff99-4ae4-a89c-f896bcf2514e
103183	7	12685	2013-08-03 21:29:29.535232	2013-08-03 21:29:29.535232	\N	8f483758-a849-4f2c-99b2-887fc2290571
105089	12	12820	2013-08-03 21:35:50.06428	2013-08-03 21:35:50.06428	\N	a94cb0ac-ca53-4fd0-b193-82ab3b9f0395
95567	19	12049	2013-08-03 21:07:00.59246	2013-08-03 21:07:00.59246	\N	39da1272-1129-4a2b-b1de-5a5e44d8da5f
103188	7	12700	2013-08-03 21:29:30.766482	2013-08-03 21:29:30.766482	\N	0f8cea74-725f-4e30-b885-10b4003b3784
135081	9	17735	2013-08-04 00:51:17.808	2013-08-04 00:51:17.808	\N	556b6167-64b0-4f4c-ab94-56339b38db33
113456	17	13537	2013-08-03 22:04:50.829849	2013-08-03 22:04:50.829849	\N	9a7a6f17-3d97-40c4-929b-25f206fdadbd
78982	20	10679	2013-08-03 20:16:42.809284	2013-08-03 20:16:42.809284	\N	f6b34146-ea75-47b8-9857-3a64d7ba74ef
103213	6	12685	2013-08-03 21:29:36.055595	2013-08-03 21:29:36.055595	\N	c1a7fc51-2291-4267-bbc2-53345998c8cd
113457	5	13582	2013-08-03 22:04:51.105305	2013-08-03 22:04:51.105305	\N	63d302e9-cc8b-4aaf-844c-175dc4f44417
93779	5	11908	2013-08-03 21:01:19.88153	2013-08-03 21:01:19.88153	\N	67b8c113-5f1a-4d36-8b92-7419a4c40295
73058	17	10166	2013-08-03 19:52:56.423239	2013-08-03 19:52:56.423239	\N	7cf05c65-7969-4d0e-978c-0c220907f4f5
202783	1	25709	2013-08-04 20:14:02.467278	2013-08-04 20:14:02.467278	\N	e49ba75f-43d2-4c51-ab9d-3e35dbe6cdaf
95381	19	12025	2013-08-03 21:06:33.920462	2013-08-03 21:06:33.920462	\N	3a17a4de-f03f-4701-bd97-447a1a7fc6c9
93537	12	11929	2013-08-03 21:00:38.558066	2013-08-03 21:00:38.558066	\N	9985d41a-d274-481e-8224-4393757c4b53
99140	13	12292	2013-08-03 21:17:31.940537	2013-08-03 21:17:31.940537	\N	3348d222-5e21-4d45-95c1-5d0f3bde9de6
119941	8	14323	2013-08-03 22:34:31.158292	2013-08-03 22:34:31.158292	\N	821243e7-9118-472e-812a-a3a0010d89a5
106907	14	12945	2013-08-03 21:42:43.140312	2013-08-03 21:42:43.140312	\N	9034963e-3b85-4b93-a814-796709865b01
119947	15	14332	2013-08-03 22:34:33.091412	2013-08-03 22:34:33.091412	\N	aa37f594-24bc-4f24-aa09-c5f27187bc95
143490	7	19321	2013-08-04 01:55:52.52293	2013-08-04 01:55:52.52293	\N	25084a51-d7e4-425a-8dea-31fabecac015
73139	14	10153	2013-08-03 19:53:24.113663	2013-08-03 19:53:24.113663	\N	2ebc04fa-7b09-44ff-810d-18fe46542a6f
73143	14	10180	2013-08-03 19:53:24.324407	2013-08-03 19:53:24.324407	\N	15ef24aa-6fa3-44c3-b4a4-001413a9a30c
91851	16	11689	2013-08-03 20:53:46.208115	2013-08-03 20:53:46.208115	\N	1fa13efe-bc47-4167-8475-fba3006d4709
111278	3	13453	2013-08-03 21:59:43.526096	2013-08-03 21:59:43.526096	\N	773289b8-6b11-4174-b2c8-2c7f5df571cc
80072	17	10915	2013-08-03 20:23:00.010254	2013-08-03 20:23:00.010254	\N	77ee5e23-7c62-459f-ba50-d86884da2a49
119954	7	14317	2013-08-03 22:34:35.233317	2013-08-03 22:34:35.233317	\N	afc82604-61e4-482d-9f6d-993ab3a52de0
80074	9	10931	2013-08-03 20:23:01.016412	2013-08-03 20:23:01.016412	\N	c38ec3d6-28f5-4325-a472-5c67fb820ef0
95408	10	12025	2013-08-03 21:06:40.544389	2013-08-03 21:06:40.544389	\N	af6338ff-f095-4168-b70b-7f19ebbc9e50
122459	14	14962	2013-08-03 23:01:20.900771	2013-08-03 23:01:20.900771	\N	cd6881d4-c34e-435e-a013-286735b6b13b
90301	11	11563	2013-08-03 20:49:42.297365	2013-08-03 20:49:42.297365	\N	7c995a43-897c-488b-8e39-55dd0a134228
111281	3	13435	2013-08-03 21:59:43.630123	2013-08-03 21:59:43.630123	\N	11cd2599-1947-409d-8c1b-56219e27609b
75691	13	10381	2013-08-03 20:04:24.405642	2013-08-03 20:04:24.405642	\N	07b191c3-e07f-4d8d-94db-2e983556b0d3
111282	3	13450	2013-08-03 21:59:43.663824	2013-08-03 21:59:43.663824	\N	bbb48bf6-9560-4ee5-bb97-de768640808e
73224	12	10174	2013-08-03 19:53:50.123569	2013-08-03 19:53:50.123569	\N	e931277f-5fe0-4ac4-ab53-e99e92fda78e
119973	6	14323	2013-08-03 22:34:42.526021	2013-08-03 22:34:42.526021	\N	329e3962-1852-4e43-b06a-f63d43004f22
113425	17	13567	2013-08-03 22:04:46.634706	2013-08-03 22:04:46.634706	\N	e487e839-ac44-4c8c-9e1a-1ba4ded61466
99209	14	12067	2013-08-03 21:17:43.449048	2013-08-03 21:17:43.449048	\N	1890c6fd-43c4-4c0a-8836-a7848485a4c5
99210	14	12025	2013-08-03 21:17:43.496421	2013-08-03 21:17:43.496421	\N	b688e113-bca3-43a5-bdb8-8fcce4e0b8ee
99211	14	12064	2013-08-03 21:17:43.533955	2013-08-03 21:17:43.533955	\N	1e60a0c4-9136-455e-babd-1e611fb34b52
74515	19	10264	2013-08-03 19:59:28.440294	2013-08-03 19:59:28.440294	\N	0da959ab-5a5f-43f9-9401-1f751ad50bea
99212	14	12065	2013-08-03 21:17:43.583328	2013-08-03 21:17:43.583328	\N	ed24789c-43ed-4305-a3ec-7f1be6ae8234
99213	14	12063	2013-08-03 21:17:43.630762	2013-08-03 21:17:43.630762	\N	85545641-b8fd-4d6d-951f-8ed3655ad6b7
99214	14	12055	2013-08-03 21:17:43.662162	2013-08-03 21:17:43.662162	\N	eecc2e54-9781-422d-94ea-36292f494ff0
99215	14	12070	2013-08-03 21:17:43.690366	2013-08-03 21:17:43.690366	\N	ca7783dd-a852-4058-8b9a-28e4fefd67a4
99216	14	12046	2013-08-03 21:17:43.720879	2013-08-03 21:17:43.720879	\N	9f80a39d-c08f-461a-a543-6f365083285e
80137	17	10936	2013-08-03 20:23:08.467949	2013-08-03 20:23:08.467949	\N	9dcb93d6-ce33-40cd-b24b-028b1fa6b474
99217	14	12193	2013-08-03 21:17:43.787375	2013-08-03 21:17:43.787375	\N	14c8d93f-82a9-41f5-8980-846a2fbaf384
99218	14	12151	2013-08-03 21:17:43.822938	2013-08-03 21:17:43.822938	\N	9bac75e6-a0de-44e3-b31d-fb500940e146
93639	13	11899	2013-08-03 21:00:56.552303	2013-08-03 21:00:56.552303	\N	89a8a25a-62fd-4f58-b54a-a97a354995c1
86973	5	11314	2013-08-03 20:40:01.541008	2013-08-03 20:40:01.541008	\N	d4eaf699-0346-4e95-8445-7a7c72563153
83597	2	11038	2013-08-03 20:31:13.135928	2013-08-03 20:31:13.135928	\N	bd95127e-30da-4bc2-9e73-f1d297c387da
99219	14	12190	2013-08-03 21:17:43.872127	2013-08-03 21:17:43.872127	\N	9c30e538-64fa-4130-9930-f9d94838fee4
80192	4	10931	2013-08-03 20:23:11.876997	2013-08-03 20:23:11.876997	\N	3457f6f5-369b-47e5-a989-c06c0172c70f
80193	9	10885	2013-08-03 20:23:12.263403	2013-08-03 20:23:12.263403	\N	4815fdc2-b93b-4c9b-9919-bb6de486c5d6
80194	9	10891	2013-08-03 20:23:12.414047	2013-08-03 20:23:12.414047	\N	9e2140b8-4924-4f68-a446-b0c63230f805
99221	14	12181	2013-08-03 21:17:43.914173	2013-08-03 21:17:43.914173	\N	e41e39da-a536-4133-b7f4-ac993d84fa59
88705	10	11440	2013-08-03 20:45:24.585398	2013-08-03 20:45:24.585398	\N	7b434d5c-1ec5-4b9d-a1fa-86cce8a9851e
99222	14	12196	2013-08-03 21:17:43.955978	2013-08-03 21:17:43.955978	\N	4b9aef34-563d-4fb5-a2bd-328e6c566394
99223	14	12191	2013-08-03 21:17:44.004897	2013-08-03 21:17:44.004897	\N	3e171045-8c84-4897-8902-f6a99746c145
99224	14	12315	2013-08-03 21:17:44.056519	2013-08-03 21:17:44.056519	\N	e7ad6cc0-273f-4573-a94f-b10304815949
80234	6	10891	2013-08-03 20:23:16.077645	2013-08-03 20:23:16.077645	\N	007ba8b1-7da6-438c-8244-cf68e5597323
99225	14	12319	2013-08-03 21:17:44.092952	2013-08-03 21:17:44.092952	\N	962302c4-430e-46e4-93e7-0c2d1f5632c2
99226	14	12277	2013-08-03 21:17:44.127537	2013-08-03 21:17:44.127537	\N	30153234-ae91-465e-93a2-c640b58ffa93
99227	14	12316	2013-08-03 21:17:44.168452	2013-08-03 21:17:44.168452	\N	796e9674-9924-4b5b-a892-0a87e21a39ae
80242	6	10931	2013-08-03 20:23:16.565459	2013-08-03 20:23:16.565459	\N	a2113516-5552-4511-af3f-bebcd4ba8ac1
80244	9	10936	2013-08-03 20:23:16.903399	2013-08-03 20:23:16.903399	\N	81b522f5-9c41-413a-828d-eb1b45045b52
99228	14	12265	2013-08-03 21:17:44.202108	2013-08-03 21:17:44.202108	\N	d58047b5-959e-4c33-abdb-1fd5e5e62a5f
80246	8	10931	2013-08-03 20:23:17.125512	2013-08-03 20:23:17.125512	\N	23ad2ad6-3b0e-4eae-92df-60a8a28b6435
99229	14	12307	2013-08-03 21:17:44.237386	2013-08-03 21:17:44.237386	\N	66be174d-7cb6-42f3-978e-643254d716f4
113426	5	13579	2013-08-03 22:04:47.252375	2013-08-03 22:04:47.252375	\N	8939428d-abc6-4ad0-b4b4-23cdc3c15584
119974	13	14323	2013-08-03 22:34:42.850861	2013-08-03 22:34:42.850861	\N	a31b6b5b-ad83-4ee8-a179-6011f0358c81
143494	8	19333	2013-08-04 01:55:52.896209	2013-08-04 01:55:52.896209	\N	49fad58d-bdb2-43a5-9908-22a32fa06a67
127191	7	15719	2013-08-03 23:33:33.665509	2013-08-03 23:33:33.665509	\N	4ce89a0c-7ebe-4590-9145-6677dd75f045
80273	12	10930	2013-08-03 20:23:19.056956	2013-08-03 20:23:19.056956	\N	1b662aef-8e3c-48c3-9687-0d18ef658e44
73450	19	10174	2013-08-03 19:54:45.92103	2013-08-03 19:54:45.92103	\N	21ed74c3-72a0-4839-a2c2-ccb4aa8ae9ca
73455	10	10135	2013-08-03 19:54:47.276016	2013-08-03 19:54:47.276016	\N	7a18128b-0d3c-4528-b510-75133fe1421d
73458	10	10174	2013-08-03 19:54:47.369516	2013-08-03 19:54:47.369516	\N	05e905a4-a3bf-40d7-ad2b-1c71dc5b51c8
75959	14	10418	2013-08-03 20:05:16.24612	2013-08-03 20:05:16.24612	\N	ab348b1c-a89c-40cb-a0d8-f64a00c0fa3c
80274	6	10879	2013-08-03 20:23:19.140103	2013-08-03 20:23:19.140103	\N	5d442004-0de2-4c8e-aedd-2979ac85b517
74681	1	10261	2013-08-03 20:00:13.518905	2013-08-03 20:00:13.518905	\N	eba1493e-a805-4026-ab6a-ae2fc3e8b2a7
91954	10	11635	2013-08-03 20:54:04.236696	2013-08-03 20:54:04.236696	\N	4dd8bb29-6b91-4571-bcfd-9ce32355719c
206975	7	26458	2013-08-04 20:42:28.481459	2013-08-04 20:42:28.481459	\N	9b9dc5a6-7540-4045-9320-aa126aa5089a
73481	5	10159	2013-08-03 19:54:55.750631	2013-08-03 19:54:55.750631	\N	ed297498-7718-4e68-b2bf-4643545754d9
91958	10	11689	2013-08-03 20:54:04.520166	2013-08-03 20:54:04.520166	\N	94257536-3563-435a-9ab8-c156666ddddd
119982	13	14293	2013-08-03 22:34:43.389925	2013-08-03 22:34:43.389925	\N	49cbfa6e-f61a-4271-b256-f821d35f9ace
111315	15	13451	2013-08-03 21:59:44.903493	2013-08-03 21:59:44.903493	\N	9e5aa358-3e7b-4499-91bb-48152e070d28
85405	16	11131	2013-08-03 20:35:20.857873	2013-08-03 20:35:20.857873	\N	5d57843f-421c-40c7-b0fe-4ff63b35dc75
109161	16	13147	2013-08-03 21:52:54.393162	2013-08-03 21:52:54.393162	\N	4a7d3762-1455-4203-945c-92089469d2a7
105071	12	12811	2013-08-03 21:35:46.478778	2013-08-03 21:35:46.478778	\N	a7368f51-1bf6-4e17-aec5-c3009850afdd
105072	12	12781	2013-08-03 21:35:46.995298	2013-08-03 21:35:46.995298	\N	f2311bd0-f4c3-4917-b9f4-c45d39f051bb
80347	5	10933	2013-08-03 20:23:25.065628	2013-08-03 20:23:25.065628	\N	d493ca37-7fba-414a-858d-9c1fdcc557e7
80348	5	10906	2013-08-03 20:23:25.46454	2013-08-03 20:23:25.46454	\N	cbf807ea-2eb0-4f9a-aa8a-0a933cb85fef
111317	13	13456	2013-08-03 21:59:46.261256	2013-08-03 21:59:46.261256	\N	81c497d4-a2dc-4171-a910-ecde2cdedff0
80351	5	10894	2013-08-03 20:23:25.848667	2013-08-03 20:23:25.848667	\N	f4c71863-9f10-473d-b6c1-198308da450a
97466	16	12181	2013-08-03 21:12:15.292738	2013-08-03 21:12:15.292738	\N	d97cff86-eed8-46bb-8b0e-29dcda02c435
80353	5	10915	2013-08-03 20:23:26.281701	2013-08-03 20:23:26.281701	\N	2623d9c4-4ae2-4a8e-805d-a03d8d5ffd69
80354	5	10897	2013-08-03 20:23:26.771399	2013-08-03 20:23:26.771399	\N	c483b612-03b6-4b0b-924f-5c53a65c1e83
111318	2	13435	2013-08-03 21:59:46.497998	2013-08-03 21:59:46.497998	\N	7c6ed253-9ebb-4631-8543-e2ef0b84619e
97468	16	12151	2013-08-03 21:12:15.431044	2013-08-03 21:12:15.431044	\N	5c02417f-9089-46a5-a51a-90630e211cdb
93780	5	11938	2013-08-03 21:01:20.38021	2013-08-03 21:01:20.38021	\N	f9c32727-6685-4b36-b52e-b3f958c74f11
97471	16	12175	2013-08-03 21:12:15.561521	2013-08-03 21:12:15.561521	\N	7c95bf95-bc23-49dc-8a7b-652188ff7241
198488	8	25352	2013-08-04 19:57:30.675324	2013-08-04 19:57:30.675324	\N	aeca8afb-4c59-4bea-9151-764373d18e3f
97473	16	12193	2013-08-03 21:12:15.704018	2013-08-03 21:12:15.704018	\N	8a4d3ed6-cb53-4889-9c7f-e7fa6e1c7661
92013	5	11656	2013-08-03 20:54:16.465582	2013-08-03 20:54:16.465582	\N	b8a5a1d3-7a55-4318-a322-9ec98adcf109
87098	13	11278	2013-08-03 20:40:22.869307	2013-08-03 20:40:22.869307	\N	79bcbb84-b398-4236-90a4-24dae0e1da19
97475	16	12196	2013-08-03 21:12:15.832761	2013-08-03 21:12:15.832761	\N	e3a8b196-2d67-48b8-9687-e406a07fe53e
103138	8	12679	2013-08-03 21:29:23.313587	2013-08-03 21:29:23.313587	\N	305cef02-b133-4256-a9fe-8069bb024169
103143	20	12655	2013-08-03 21:29:23.408051	2013-08-03 21:29:23.408051	\N	4e2eb167-f857-4701-82f7-5734c71a1d4f
76041	8	10390	2013-08-03 20:05:28.906209	2013-08-03 20:05:28.906209	\N	20d71151-6cb9-4665-bc03-7f5ead10384d
76042	8	10393	2013-08-03 20:05:29.112703	2013-08-03 20:05:29.112703	\N	6ed9f28f-e68a-4242-981e-da72ad67d714
76043	8	10396	2013-08-03 20:05:29.240051	2013-08-03 20:05:29.240051	\N	be8b0331-1962-46d6-be10-11013e2c06bc
87115	13	11287	2013-08-03 20:40:24.604321	2013-08-03 20:40:24.604321	\N	cb69a35b-7f7b-41d3-b586-2908eda50224
119988	17	14333	2013-08-03 22:34:47.616726	2013-08-03 22:34:47.616726	\N	71019818-a4b1-4f0b-8917-d295005b595b
103160	9	12655	2013-08-03 21:29:26.901609	2013-08-03 21:29:26.901609	\N	9c060e9e-6f42-482b-adba-1ee5c4907b2b
76053	8	10429	2013-08-03 20:05:30.404491	2013-08-03 20:05:30.404491	\N	da63e79d-6608-4ce4-b03a-06328662cea3
103162	15	12694	2013-08-03 21:29:27.202105	2013-08-03 21:29:27.202105	\N	f545a6db-74ba-4505-a139-4678ff25c8ed
103163	14	12655	2013-08-03 21:29:27.451893	2013-08-03 21:29:27.451893	\N	5aa15a45-0d69-43fc-b9e2-c1d56bb7cac4
104999	19	12821	2013-08-03 21:35:34.762587	2013-08-03 21:35:34.762587	\N	9f76c2ea-4249-452b-8957-66a4b6fe56f8
119963	17	14332	2013-08-03 22:34:37.484245	2013-08-03 22:34:37.484245	\N	9a99da7d-3423-4c4f-83ca-ffba03201f38
80038	11	10933	2013-08-03 20:22:56.556496	2013-08-03 20:22:56.556496	\N	25c0c60b-ec2a-4907-a62e-ff6c033ca67c
119967	7	14335	2013-08-03 22:34:39.021266	2013-08-03 22:34:39.021266	\N	659af548-68ee-47f7-af46-b060c4e44733
95411	10	12046	2013-08-03 21:06:40.65715	2013-08-03 21:06:40.65715	\N	71fd8ee8-e0eb-4ef1-8de6-258dca6a620d
95412	10	12070	2013-08-03 21:06:40.787944	2013-08-03 21:06:40.787944	\N	6bfb3618-8db9-4ea0-8bdd-f815968c2f65
119969	6	14335	2013-08-03 22:34:39.307225	2013-08-03 22:34:39.307225	\N	481f7c9c-1ef9-4d26-8d47-6aecfe165cbb
93626	13	11929	2013-08-03 21:00:56.039812	2013-08-03 21:00:56.039812	\N	be37dbb5-ade5-4179-9c9f-99b24a7bd989
86958	5	11290	2013-08-03 20:39:59.185548	2013-08-03 20:39:59.185548	\N	d5527acd-42b3-4838-addf-191a3e5410b9
86963	5	11272	2013-08-03 20:40:00.914047	2013-08-03 20:40:00.914047	\N	3ce9fa9b-f100-466d-a82b-65c3026e0219
80066	6	10936	2013-08-03 20:22:58.89406	2013-08-03 20:22:58.89406	\N	1a7d74e3-0a38-4110-91be-fe894832e8b1
73089	14	10166	2013-08-03 19:53:10.914071	2013-08-03 19:53:10.914071	\N	2116f7f5-0158-4b46-8072-c2e6208dc355
95415	10	12067	2013-08-03 21:06:40.948164	2013-08-03 21:06:40.948164	\N	115e8a78-1407-4b5f-854f-d42b9cc119bd
95416	10	12055	2013-08-03 21:06:41.095809	2013-08-03 21:06:41.095809	\N	0b5d1893-3b81-4913-8ceb-e69dc72d7baf
95417	10	12064	2013-08-03 21:06:41.2003	2013-08-03 21:06:41.2003	\N	acad10bb-a32c-4a54-a08b-3ef4259a05f6
93640	13	11887	2013-08-03 21:00:56.879624	2013-08-03 21:00:56.879624	\N	05b9f5cd-39d2-42fd-b5c5-61a624846ff1
83571	3	11038	2013-08-03 20:31:11.063573	2013-08-03 20:31:11.063573	\N	41c0dcc8-0af7-49b0-b9e0-39cf323bcd06
95418	10	12065	2013-08-03 21:06:41.31243	2013-08-03 21:06:41.31243	\N	12e7684b-cce5-4db5-91fd-7e356c12318b
135068	9	17734	2013-08-04 00:51:10.368364	2013-08-04 00:51:10.368364	\N	b3cd8638-5690-40be-942f-0e3f509e8105
73136	14	10156	2013-08-03 19:53:23.930219	2013-08-03 19:53:23.930219	\N	658c2e7c-1b82-4354-8b40-f190b2f661d6
73137	14	10135	2013-08-03 19:53:24.107647	2013-08-03 19:53:24.107647	\N	92a96105-308e-4c29-8c2b-94599c96a098
73142	14	10174	2013-08-03 19:53:24.322111	2013-08-03 19:53:24.322111	\N	16699ee5-ec75-46f6-be8a-c26ca94f12aa
176282	9	23208	2013-08-04 18:25:02.492968	2013-08-04 18:25:02.492968	\N	934dd6f5-9806-4bd8-b213-009c49f47f9b
103067	1	12559	2013-08-03 21:28:45.477136	2013-08-03 21:28:45.477136	\N	d2b59438-3b82-4f26-b891-64a2229cb88e
113443	17	13534	2013-08-03 22:04:48.728867	2013-08-03 22:04:48.728867	\N	4028c597-b3d2-4498-a14b-65849de54b93
105035	19	12781	2013-08-03 21:35:40.985828	2013-08-03 21:35:40.985828	\N	fb340da6-ab01-453b-97c4-24c19b458809
105038	19	12769	2013-08-03 21:35:41.687363	2013-08-03 21:35:41.687363	\N	e9c356ac-fa22-4a3b-a994-04324e882e69
99316	4	12265	2013-08-03 21:17:59.100667	2013-08-03 21:17:59.100667	\N	aa8fd26f-5390-4995-ada8-29d1cc9b4015
119989	9	14332	2013-08-03 22:34:48.286333	2013-08-03 22:34:48.286333	\N	8fbd11c7-c997-480f-bc6b-0749d4601651
73175	6	10174	2013-08-03 19:53:29.69745	2013-08-03 19:53:29.69745	\N	916c3c3e-eca0-468b-a62f-fc75e2ebae84
122469	19	14953	2013-08-03 23:01:23.867417	2013-08-03 23:01:23.867417	\N	a98f7627-37dd-4e20-a6a3-b80e40eed61b
119996	5	14332	2013-08-03 22:34:49.784483	2013-08-03 22:34:49.784483	\N	665fc6e3-b765-484c-a5f7-03c7d093fd8f
80161	16	10894	2013-08-03 20:23:09.353963	2013-08-03 20:23:09.353963	\N	6da8b072-d5a3-4404-b307-13137e7544a0
113455	5	13567	2013-08-03 22:04:50.434132	2013-08-03 22:04:50.434132	\N	0fd087dd-57f0-45da-9d67-8f54cb11393f
80167	16	10909	2013-08-03 20:23:09.67524	2013-08-03 20:23:09.67524	\N	8a65c016-90fd-45d0-b077-da8939581f8c
120000	14	14293	2013-08-03 22:34:51.290827	2013-08-03 22:34:51.290827	\N	0260c791-e8ed-46f9-869d-9844c6ef326d
80171	16	10933	2013-08-03 20:23:10.092009	2013-08-03 20:23:10.092009	\N	070dc967-a5bb-4dfd-92f5-81da4bfdef97
80174	16	10936	2013-08-03 20:23:10.213404	2013-08-03 20:23:10.213404	\N	ad569f97-fe71-4131-aeaf-56b3fd636d3d
103127	9	12686	2013-08-03 21:29:22.209878	2013-08-03 21:29:22.209878	\N	cc2227e0-8c3d-4196-96d8-a7163e41abcc
77496	7	10528	2013-08-03 20:11:02.466711	2013-08-03 20:11:02.466711	\N	920c7083-1941-487a-8109-1bb4afe04b66
73256	10	10180	2013-08-03 19:53:56.833447	2013-08-03 19:53:56.833447	\N	200adae4-9d1b-420e-8ed4-532461a603a6
140652	14	18742	2013-08-04 01:34:18.348099	2013-08-04 01:34:18.348099	\N	9bfe01a8-67f5-4f54-98a8-d38673fffff7
105073	12	12769	2013-08-03 21:35:47.443826	2013-08-03 21:35:47.443826	\N	82fd1c9c-3ed9-4863-90ed-9edc52248e19
80195	9	10879	2013-08-03 20:23:12.588768	2013-08-03 20:23:12.588768	\N	81a96001-0638-4fdf-aa8b-36158670d65a
97380	19	12160	2013-08-03 21:11:55.006013	2013-08-03 21:11:55.006013	\N	0239f6e5-68f8-42a8-abc0-ead200d1640a
103140	8	12685	2013-08-03 21:29:23.31863	2013-08-03 21:29:23.31863	\N	3d137575-98a1-4b25-86e2-e94711049618
103147	9	12694	2013-08-03 21:29:23.45248	2013-08-03 21:29:23.45248	\N	59d1f47b-d85b-4720-9122-1c3704e02863
103156	9	12685	2013-08-03 21:29:25.670085	2013-08-03 21:29:25.670085	\N	5216ea91-7720-4da5-abc0-570a60706e7d
120009	15	14333	2013-08-03 22:34:55.66437	2013-08-03 22:34:55.66437	\N	d8a15d6e-e515-466d-a054-b79061caccf2
88698	10	11395	2013-08-03 20:45:24.313065	2013-08-03 20:45:24.313065	\N	29d1f028-96b1-4e98-b1f6-35df20c93dce
77519	2	10528	2013-08-03 20:11:10.638381	2013-08-03 20:11:10.638381	\N	418fa966-d83d-487b-9caf-50d051cfbb30
113474	17	13546	2013-08-03 22:04:58.56432	2013-08-03 22:04:58.56432	\N	bdc92f95-6ee8-4d97-b74c-6664998ad45c
103192	12	12655	2013-08-03 21:29:31.773212	2013-08-03 21:29:31.773212	\N	2c399760-e6c9-44c6-977b-17e8fb944aed
103193	6	12655	2013-08-03 21:29:32.056155	2013-08-03 21:29:32.056155	\N	426e3361-a7c4-4ccd-892a-299b06e0f44d
93735	2	11899	2013-08-03 21:01:11.205441	2013-08-03 21:01:11.205441	\N	1c8e854b-a8a3-4f73-879d-cede2ea74a53
109165	14	13199	2013-08-03 21:52:55.146645	2013-08-03 21:52:55.146645	\N	44232610-849c-480c-b0c7-a0af2f233ad7
103205	6	12643	2013-08-03 21:29:34.250545	2013-08-03 21:29:34.250545	\N	e8414a1b-ec68-4f16-8a93-82ea532421da
120011	17	14323	2013-08-03 22:34:57.273839	2013-08-03 22:34:57.273839	\N	8c8c5347-3542-4ef0-b7a6-90af46724d21
120014	11	14323	2013-08-03 22:34:59.116966	2013-08-03 22:34:59.116966	\N	0b75646d-e696-4e69-8f4c-b4caed3ee015
95561	19	12040	2013-08-03 21:06:59.532465	2013-08-03 21:06:59.532465	\N	3ac1061c-f867-4e1c-b123-c6a1cf41c6d0
80277	5	10774	2013-08-03 20:23:19.74355	2013-08-03 20:23:19.74355	\N	a88216db-cf9a-4132-924c-5348667e723b
95562	19	12043	2013-08-03 21:06:59.89367	2013-08-03 21:06:59.89367	\N	ddb59db5-1f93-4de6-a56b-9c9b4ad02763
103209	11	12685	2013-08-03 21:29:35.329001	2013-08-03 21:29:35.329001	\N	e4eac1f3-6e20-49d7-8ea3-daa1c4de603a
111416	6	13411	2013-08-03 22:00:04.712949	2013-08-03 22:00:04.712949	\N	eca2a229-43af-4aa4-b6e8-4ce414320608
73376	19	10156	2013-08-03 19:54:32.04073	2013-08-03 19:54:32.04073	\N	b8291a2b-40b0-4282-a1c4-cbcf04fd7510
103224	11	12664	2013-08-03 21:29:38.050449	2013-08-03 21:29:38.050449	\N	3cde9ac5-ff0f-4227-88d9-cbb48b409eb0
97405	19	12175	2013-08-03 21:12:00.109662	2013-08-03 21:12:00.109662	\N	2b24e934-aa96-4e31-b85e-14be7ca4ef23
122492	19	14963	2013-08-03 23:01:31.055271	2013-08-03 23:01:31.055271	\N	04a55fe4-483e-46db-abac-2a57998b6e56
73464	10	10175	2013-08-03 19:54:47.468913	2013-08-03 19:54:47.468913	\N	8065cf67-fa33-4a16-ab07-e9185df7fcbd
80323	5	10900	2013-08-03 20:23:23.402902	2013-08-03 20:23:23.402902	\N	7cdc201c-c6eb-4878-87ac-5c6766aa98cb
80327	5	10930	2013-08-03 20:23:24.420868	2013-08-03 20:23:24.420868	\N	f06cbf4a-7271-4403-8b4f-1d990899bbcd
81850	14	10885	2013-08-03 20:26:36.549863	2013-08-03 20:26:36.549863	\N	3c071761-e644-4dd5-aac1-903771ae2906
103263	1	12695	2013-08-03 21:29:43.316389	2013-08-03 21:29:43.316389	\N	f6d5008e-e4e5-4cce-9490-7f8fd2ea1a73
73478	5	10138	2013-08-03 19:54:55.332822	2013-08-03 19:54:55.332822	\N	eecfae91-d966-4c2d-a631-ede43f6784a5
88769	7	11427	2013-08-03 20:45:35.857263	2013-08-03 20:45:35.857263	\N	d1040f07-0865-4710-b41a-56b53594ad69
132429	12	16962	2013-08-04 00:24:39.842785	2013-08-04 00:24:39.842785	\N	e5813c7d-a26a-4cce-8249-1478c8797aac
135091	17	17695	2013-08-04 00:51:21.29548	2013-08-04 00:51:21.29548	\N	d6cd4b4f-a5a5-4d35-bd79-c47e99defe0e
206982	7	26440	2013-08-04 20:42:28.715483	2013-08-04 20:42:28.715483	\N	a33dac34-ce17-4496-8ce9-c6f6016d48a4
143604	13	19333	2013-08-04 01:56:02.432589	2013-08-04 01:56:02.432589	\N	4851f8a1-389b-45b2-a51c-c016bd20edb2
129744	11	16333	2013-08-03 23:55:33.624337	2013-08-03 23:55:33.624337	\N	2748d4d3-0498-4c73-b8af-640e7d673a92
99532	16	12265	2013-08-03 21:18:29.763345	2013-08-03 21:18:29.763345	\N	2ea16d0d-24bd-4e1c-a1ae-bdaa2a745833
129759	8	16297	2013-08-03 23:55:41.447255	2013-08-03 23:55:41.447255	\N	ad95a2ac-edda-4320-902c-e678850002dc
105145	2	12826	2013-08-03 21:35:58.397746	2013-08-03 21:35:58.397746	\N	3c7d2a6a-2e9d-48fb-acf7-16ee851db1c6
103292	2	12670	2013-08-03 21:29:49.510311	2013-08-03 21:29:49.510311	\N	24a15b90-ca7c-410d-80e4-47285a620d9b
103293	1	12655	2013-08-03 21:29:49.774422	2013-08-03 21:29:49.774422	\N	fdf25729-4539-4bac-b54b-a03150ec8403
83778	10	11038	2013-08-03 20:31:36.865368	2013-08-03 20:31:36.865368	\N	0d37030a-29ae-4a06-9cb2-43720b1deca0
117910	19	13960	2013-08-03 22:23:40.747401	2013-08-03 22:23:40.747401	\N	e83f5446-7eae-4629-a040-5e6de849b640
93865	19	11939	2013-08-03 21:01:36.119457	2013-08-03 21:01:36.119457	\N	bfa9a102-8bef-4325-ba57-9f5434ae50a3
113538	11	13567	2013-08-03 22:05:10.320162	2013-08-03 22:05:10.320162	\N	3f729582-490b-4dda-9fcd-9b068c339f97
103306	13	12655	2013-08-03 21:29:51.261298	2013-08-03 21:29:51.261298	\N	95c1cf1d-ad71-43f2-b61f-3758b5609d87
122539	16	14953	2013-08-03 23:01:45.139676	2013-08-03 23:01:45.139676	\N	587502c8-9a14-4636-b7db-87690fa93995
122540	16	14923	2013-08-03 23:01:45.28275	2013-08-03 23:01:45.28275	\N	d0766160-53b7-4956-bff2-11c369d5f61c
80466	10	10936	2013-08-03 20:23:40.690455	2013-08-03 20:23:40.690455	\N	490540c4-0577-49a1-b679-1925379ebeee
80472	10	10879	2013-08-03 20:23:40.986123	2013-08-03 20:23:40.986123	\N	ceff6e52-6f20-4cbb-a2b7-468eeaa14d1a
77647	13	10522	2013-08-03 20:11:30.086267	2013-08-03 20:11:30.086267	\N	9c1d50b3-bbd3-49db-bd55-d4a970119d1f
113614	13	13525	2013-08-03 22:05:23.792206	2013-08-03 22:05:23.792206	\N	cd3af24f-e28e-4bc2-b611-b4a9db822d9f
77649	13	10528	2013-08-03 20:11:30.790925	2013-08-03 20:11:30.790925	\N	6ee81ada-65cc-4d55-8956-758df1011dc0
77651	13	10531	2013-08-03 20:11:31.077819	2013-08-03 20:11:31.077819	\N	c4fac146-e7bf-4dae-bf8d-42a07f4f572f
80475	10	10931	2013-08-03 20:23:41.168	2013-08-03 20:23:41.168	\N	0fcaa2d4-9d33-4ca2-968e-d981264dfa84
122541	16	14947	2013-08-03 23:01:45.42065	2013-08-03 23:01:45.42065	\N	ef8049d0-e2db-45bc-850d-e0a54c3d6a18
135108	10	17695	2013-08-04 00:51:31.098167	2013-08-04 00:51:31.098167	\N	7f4e91bb-a36c-4bac-942f-0ce414165f50
132436	2	16979	2013-08-04 00:24:43.434107	2013-08-04 00:24:43.434107	\N	cf91c6a4-a510-42f4-b053-5c7f80aa742b
129781	17	16333	2013-08-03 23:55:57.812601	2013-08-03 23:55:57.812601	\N	14380ebf-3765-4958-9984-5231b1e2f943
119991	8	14333	2013-08-03 22:34:48.54859	2013-08-03 22:34:48.54859	\N	98f51bef-0022-4aa8-9d66-13fa8690805f
101085	5	12418	2013-08-03 21:22:39.849527	2013-08-03 21:22:39.849527	\N	4a6ae076-5a9f-4ee8-b6ac-8d0cda722a90
101086	5	12433	2013-08-03 21:22:40.23394	2013-08-03 21:22:40.23394	\N	7592567f-0820-48d6-bf68-58caf3bcbedf
74579	6	10292	2013-08-03 19:59:53.13346	2013-08-03 19:59:53.13346	\N	2bbf9ca7-077d-4b19-a3ea-012b5ad42e52
75815	16	10381	2013-08-03 20:04:51.38411	2013-08-03 20:04:51.38411	\N	16016bbd-cfce-42af-a586-1d04051add4d
75816	16	10387	2013-08-03 20:04:51.51168	2013-08-03 20:04:51.51168	\N	8596c9c2-e674-417b-870d-8acd90193be2
75819	16	10408	2013-08-03 20:04:51.622189	2013-08-03 20:04:51.622189	\N	1d1fc996-0fb6-4bff-9cf9-b80f08dfa604
75820	16	10390	2013-08-03 20:04:51.724902	2013-08-03 20:04:51.724902	\N	2fcdf47f-c8cf-446e-8efa-67e5000f8004
73133	14	10138	2013-08-03 19:53:23.589192	2013-08-03 19:53:23.589192	\N	c27a10ff-bbf9-42b2-9ae1-b9f3f01399ef
73144	14	10159	2013-08-03 19:53:24.335139	2013-08-03 19:53:24.335139	\N	aeb8483a-4d00-4ad4-8fde-4453d0773630
73145	11	10166	2013-08-03 19:53:24.393794	2013-08-03 19:53:24.393794	\N	0aefc14c-5ade-463c-bc79-59eb0a0d9dda
75828	16	10432	2013-08-03 20:04:52.640016	2013-08-03 20:04:52.640016	\N	c49f525e-b91e-4835-954f-f8ea533c616a
74651	19	10279	2013-08-03 20:00:07.004676	2013-08-03 20:00:07.004676	\N	19ccf147-99d8-47f0-b305-94cb39a63f6b
80089	13	10879	2013-08-03 20:23:01.894663	2013-08-03 20:23:01.894663	\N	952a0a8d-647c-44fe-933f-1bd3834d1117
101087	5	12391	2013-08-03 21:22:40.656315	2013-08-03 21:22:40.656315	\N	e31e04a0-b1d9-494a-8c9a-1f8618daa2cb
80104	17	10930	2013-08-03 20:23:04.120595	2013-08-03 20:23:04.120595	\N	ef013304-9bba-4156-893d-37894b0fae05
119997	9	14323	2013-08-03 22:34:50.519942	2013-08-03 22:34:50.519942	\N	4498066f-4835-44d4-994b-fce8a0e0a76f
73181	17	10135	2013-08-03 19:53:30.713767	2013-08-03 19:53:30.713767	\N	289fea36-1365-4bab-86fa-82922f801ba9
119998	9	14293	2013-08-03 22:34:50.739277	2013-08-03 22:34:50.739277	\N	79cee08c-5b18-45e2-9c21-1d3ea360f34d
113487	2	13576	2013-08-03 22:05:00.259279	2013-08-03 22:05:00.259279	\N	d9049a73-7a34-4372-8db2-60a6df72a29c
176286	2	23168	2013-08-04 18:25:03.522521	2013-08-04 18:25:03.522521	\N	b077936c-0798-446b-bcba-1356e5379990
146189	19	19351	2013-08-04 01:59:09.068234	2013-08-04 01:59:09.068234	\N	1e59375d-21d7-4539-b009-e742c3fd046f
93654	13	11917	2013-08-03 21:01:00.31085	2013-08-03 21:01:00.31085	\N	8dee55be-2895-4153-bcd3-eb1edb1ab61f
73216	12	10135	2013-08-03 19:53:46.513678	2013-08-03 19:53:46.513678	\N	ea38fbb6-1789-4f13-80d1-51b8878bda26
135078	12	17695	2013-08-04 00:51:17.168324	2013-08-04 00:51:17.168324	\N	4506d515-552f-4ef9-a89b-fe41ee57bd51
93657	13	11920	2013-08-03 21:01:00.622223	2013-08-03 21:01:00.622223	\N	436f2645-c63d-4409-9e33-85615b0684ca
73227	12	10180	2013-08-03 19:53:50.645768	2013-08-03 19:53:50.645768	\N	b9080dbe-791f-45d7-b7a2-535dc6479c6c
80145	16	10891	2013-08-03 20:23:09.10717	2013-08-03 20:23:09.10717	\N	cba2c48c-16fe-42e1-a409-849063c6f6f9
75922	5	10429	2013-08-03 20:05:04.136443	2013-08-03 20:05:04.136443	\N	a234c498-e8e9-43f2-8c87-73172a63137b
120045	5	14323	2013-08-03 22:35:11.6097	2013-08-03 22:35:11.6097	\N	5df86936-67cf-4204-b46a-178d5c759cdc
93668	13	11938	2013-08-03 21:01:01.620016	2013-08-03 21:01:01.620016	\N	770a76b0-9531-484d-9a28-137e52404c7d
93669	13	11941	2013-08-03 21:01:01.895477	2013-08-03 21:01:01.895477	\N	2b01435f-fb43-4b1f-b941-bea9571ab0ae
93670	13	11944	2013-08-03 21:01:02.172404	2013-08-03 21:01:02.172404	\N	dcd807df-59a2-40f7-af12-22325c68783a
73266	1	10166	2013-08-03 19:53:58.448287	2013-08-03 19:53:58.448287	\N	09f3fe2b-450f-4ac7-8671-14208f733b09
75929	5	10432	2013-08-03 20:05:04.547257	2013-08-03 20:05:04.547257	\N	67f9a2cc-3c86-42e7-aaac-6bc2265718bb
75935	5	10405	2013-08-03 20:05:04.943459	2013-08-03 20:05:04.943459	\N	b60a88ba-1801-4a4c-820f-847d14ece658
113501	14	13561	2013-08-03 22:05:02.223544	2013-08-03 22:05:02.223544	\N	2f08613a-91ec-4054-a8b7-5ae218bfffcc
74739	19	10285	2013-08-03 20:00:22.858773	2013-08-03 20:00:22.858773	\N	5e36b84a-34dc-4063-993e-5c0048ab9871
113502	14	13525	2013-08-03 22:05:02.484565	2013-08-03 22:05:02.484565	\N	072e3e87-c714-42fb-b9bc-0be10e0b5fe6
198483	8	25294	2013-08-04 19:57:30.472806	2013-08-04 19:57:30.472806	\N	0de9ddd4-42f1-4d46-b7f8-4b9dec6bdfed
198494	19	25364	2013-08-04 19:57:30.879565	2013-08-04 19:57:30.879565	\N	7887c5f9-305c-41f6-8c0f-5429fc9d9483
206971	2	26400	2013-08-04 20:42:28.329446	2013-08-04 20:42:28.329446	\N	ea04deb2-f8c0-4fd0-b555-4fb36aea3c78
135115	11	17695	2013-08-04 00:51:33.286675	2013-08-04 00:51:33.286675	\N	8f0942a8-b174-4538-ac00-d44e9bcc73fd
88901	5	11410	2013-08-03 20:46:04.644436	2013-08-03 20:46:04.644436	\N	5435d398-1408-4c0b-aa2a-0fb50c9c353f
111408	17	13399	2013-08-03 22:00:00.217275	2013-08-03 22:00:00.217275	\N	3f438c0d-56cb-4c06-a2e2-383e297dfc8d
103129	4	12695	2013-08-03 21:29:22.745754	2013-08-03 21:29:22.745754	\N	4c2581fa-93ea-4ad3-bb33-e29619366c87
103132	20	12685	2013-08-03 21:29:23.05132	2013-08-03 21:29:23.05132	\N	279a2667-0f78-49b4-bce7-7cc61c9a6f40
77434	16	10528	2013-08-03 20:10:57.985579	2013-08-03 20:10:57.985579	\N	0a2c972c-44e6-41a2-bb5b-0f2c9d74b919
88905	5	11434	2013-08-03 20:46:05.074997	2013-08-03 20:46:05.074997	\N	4927f782-3c0f-4715-bc63-d4fbbd538b22
103137	8	12643	2013-08-03 21:29:23.311482	2013-08-03 21:29:23.311482	\N	6bff28b3-a881-41e0-8926-fa45b56ec84a
103142	8	12697	2013-08-03 21:29:23.375393	2013-08-03 21:29:23.375393	\N	13b9b810-edbc-42e7-9094-4c2e63b1f10d
80231	9	10930	2013-08-03 20:23:15.742772	2013-08-03 20:23:15.742772	\N	1f77e8f3-46fa-4e44-beda-ba63111292bc
73364	19	10175	2013-08-03 19:54:25.241531	2013-08-03 19:54:25.241531	\N	5f276379-d533-49ac-b63e-51087d72736e
90601	7	11517	2013-08-03 20:50:16.700853	2013-08-03 20:50:16.700853	\N	94b12cc1-d9b9-449b-9e1b-c5b967908a31
85416	16	11146	2013-08-03 20:35:20.972034	2013-08-03 20:35:20.972034	\N	1e7e0d1d-dcc9-4be1-9a9b-d11f5c547fd1
85419	16	11167	2013-08-03 20:35:21.36938	2013-08-03 20:35:21.36938	\N	ff7c20ec-ac34-42c0-acd6-a707be218c88
85421	16	11188	2013-08-03 20:35:21.637068	2013-08-03 20:35:21.637068	\N	ba744b68-dd0a-4ea6-83c0-69a547461e5f
103146	8	12694	2013-08-03 21:29:23.4492	2013-08-03 21:29:23.4492	\N	4093340c-f7d2-483c-8f2c-486d4dc48b7b
88913	5	11398	2013-08-03 20:46:05.984605	2013-08-03 20:46:05.984605	\N	67f4caac-041d-4822-941b-2dd9b2f25a15
206972	2	26397	2013-08-04 20:42:28.378334	2013-08-04 20:42:28.378334	\N	11bd0e9e-b35c-4300-9c3c-6ba075c03138
80285	5	10885	2013-08-03 20:23:20.768435	2013-08-03 20:23:20.768435	\N	9f6e42f1-ee03-417c-b568-0e91eef81065
93782	5	11914	2013-08-03 21:01:21.344531	2013-08-03 21:01:21.344531	\N	7cc03d09-5849-4014-9bee-2c848b32e472
135117	11	17683	2013-08-04 00:51:33.805781	2013-08-04 00:51:33.805781	\N	53a14715-3659-448b-af54-41bd53807de2
103191	12	12685	2013-08-03 21:29:31.262735	2013-08-03 21:29:31.262735	\N	4685266b-c763-4fd0-a318-78c754e9e666
80300	5	10807	2013-08-03 20:23:21.261637	2013-08-03 20:23:21.261637	\N	f33671e5-11b0-4dac-bbaa-37b58ae4d992
103194	12	12643	2013-08-03 21:29:32.219596	2013-08-03 21:29:32.219596	\N	c77ab333-f667-4902-b7cd-72f74cb71924
90609	4	11563	2013-08-03 20:50:17.257284	2013-08-03 20:50:17.257284	\N	98a65def-9f57-4be7-80b7-0d4d821138b7
92070	12	11686	2013-08-03 20:54:27.970554	2013-08-03 20:54:27.970554	\N	e8ce1629-cb8b-45a3-ab09-98a1da4d3f2d
103195	7	12655	2013-08-03 21:29:32.655276	2013-08-03 21:29:32.655276	\N	e14a97a4-cd70-4d40-9277-9ed687f16784
132470	14	16927	2013-08-04 00:25:07.586135	2013-08-04 00:25:07.586135	\N	a910a7ea-0d0a-446c-9815-64cae7de1340
135121	19	17735	2013-08-04 00:51:35.107648	2013-08-04 00:51:35.107648	\N	939e09d3-b79a-4981-8e0e-35c84a2728f0
93805	5	11920	2013-08-03 21:01:22.66611	2013-08-03 21:01:22.66611	\N	1c3915a8-c946-451d-b9ee-805a64db58c4
85471	14	11182	2013-08-03 20:35:31.435021	2013-08-03 20:35:31.435021	\N	341af008-40bb-48ac-af4f-82566a58677a
76101	2	10381	2013-08-03 20:05:41.960526	2013-08-03 20:05:41.960526	\N	847e90da-08f1-4054-a717-51d4e0ba73e8
85472	14	11131	2013-08-03 20:35:31.54707	2013-08-03 20:35:31.54707	\N	198e5821-913e-4b58-8c20-42dfec3eb8c8
85473	14	11188	2013-08-03 20:35:31.6101	2013-08-03 20:35:31.6101	\N	becd3f41-e952-4ede-bc07-534537494254
85474	14	11183	2013-08-03 20:35:31.670704	2013-08-03 20:35:31.670704	\N	a52da519-7ebe-4e55-8f05-05766b1386fc
103207	20	12694	2013-08-03 21:29:34.946739	2013-08-03 21:29:34.946739	\N	d2281386-07d9-4e0b-acce-062b537e878b
93807	5	11917	2013-08-03 21:01:23.074302	2013-08-03 21:01:23.074302	\N	30d270b0-bb84-41d6-8271-46f0d4d0a6d0
103210	17	12664	2013-08-03 21:29:35.351762	2013-08-03 21:29:35.351762	\N	df669b44-c6bf-4eca-bb24-a4565bf3be1b
103214	11	12655	2013-08-03 21:29:36.271955	2013-08-03 21:29:36.271955	\N	97d44ca8-27d1-4fa7-9ab7-1ae0fb193ded
132476	8	17104	2013-08-04 00:25:50.747838	2013-08-04 00:25:50.747838	\N	4e56d9ab-12a2-484c-92e1-cfa0532497b5
103217	20	12695	2013-08-03 21:29:36.623992	2013-08-03 21:29:36.623992	\N	e3980435-7e4e-439f-8158-29188ccbec64
103222	6	12694	2013-08-03 21:29:37.452321	2013-08-03 21:29:37.452321	\N	c5e03b29-e174-4a03-8629-53a211fd0916
124823	17	15316	2013-08-03 23:17:42.777978	2013-08-03 23:17:42.777978	\N	df94632f-f81b-41a4-b725-264215251c05
103228	3	12655	2013-08-03 21:29:38.94579	2013-08-03 21:29:38.94579	\N	afaffacf-b5aa-4cfa-b2c0-f68f61637031
77554	7	10537	2013-08-03 20:11:18.730118	2013-08-03 20:11:18.730118	\N	c1f2f338-3b80-408d-bce7-b29dcda89912
103231	3	12643	2013-08-03 21:29:39.048639	2013-08-03 21:29:39.048639	\N	07852528-c405-4e51-93b7-1d9baa9a099e
103232	3	12685	2013-08-03 21:29:39.097767	2013-08-03 21:29:39.097767	\N	a99955c2-2b96-4e24-a880-41f591c15fdc
89065	7	11425	2013-08-03 20:46:40.526886	2013-08-03 20:46:40.526886	\N	73ac0b20-3125-4336-a55f-2fafd2c4c7d7
103234	3	12694	2013-08-03 21:29:39.156063	2013-08-03 21:29:39.156063	\N	6515fc3e-252b-4886-9e12-0fcee239de92
129748	15	16348	2013-08-03 23:55:35.132601	2013-08-03 23:55:35.132601	\N	1a8155cf-841d-4e73-bc61-30b929614d1d
129751	14	16305	2013-08-03 23:55:37.397386	2013-08-03 23:55:37.397386	\N	f4c53cde-e305-4a73-bb8b-7b613a418bc7
105168	19	12826	2013-08-03 21:36:00.468075	2013-08-03 21:36:00.468075	\N	bd2d663b-3d00-4788-87d4-8e15f6fa9c56
103247	7	12643	2013-08-03 21:29:39.701476	2013-08-03 21:29:39.701476	\N	7254dd54-f536-461f-8c82-c75c826fd599
129752	14	16297	2013-08-03 23:55:37.519572	2013-08-03 23:55:37.519572	\N	dc4c3f1f-a7e8-46b4-8f6a-f551ffeadd71
103249	11	12694	2013-08-03 21:29:40.182832	2013-08-03 21:29:40.182832	\N	76a91d96-8378-4fb0-ae2b-fabb1ea880fc
129755	8	16349	2013-08-03 23:55:40.596863	2013-08-03 23:55:40.596863	\N	c1815375-955e-4e72-b1c5-55f4428582ec
132481	6	17053	2013-08-04 00:25:52.732198	2013-08-04 00:25:52.732198	\N	074008ee-0996-427a-a828-1da2d1f79753
115659	3	13660	2013-08-03 22:14:03.066646	2013-08-03 22:14:03.066646	\N	a221cdf6-8adb-487d-85f1-7884fcd8d61c
120145	12	14293	2013-08-03 22:35:53.098925	2013-08-03 22:35:53.098925	\N	4945e781-f9ec-4b9f-bd03-25350c7fa005
93927	19	11929	2013-08-03 21:01:48.055664	2013-08-03 21:01:48.055664	\N	47c0393e-a427-40eb-beb3-9b2af74d6bef
107118	5	12904	2013-08-03 21:43:59.202908	2013-08-03 21:43:59.202908	\N	9ad07465-5de6-426d-848f-86a2d3218f68
93933	19	11899	2013-08-03 21:01:48.836958	2013-08-03 21:01:48.836958	\N	beaccfd3-613b-42eb-aa5f-60c3f045b7b8
92049	5	11686	2013-08-03 20:54:24.297546	2013-08-03 20:54:24.297546	\N	90c5bf07-4bb0-4db5-a953-39495496949c
103164	14	12695	2013-08-03 21:29:27.501515	2013-08-03 21:29:27.501515	\N	cfe29f4a-2049-4024-8fac-4dc3e4b01682
73077	17	10180	2013-08-03 19:53:02.563136	2013-08-03 19:53:02.563136	\N	4bfd4a4f-2891-4dbc-b454-9d2acb413c11
105094	19	12820	2013-08-03 21:35:51.022186	2013-08-03 21:35:51.022186	\N	a9c938a6-9422-40ff-a0f6-2915267fc666
101096	5	12448	2013-08-03 21:22:42.453253	2013-08-03 21:22:42.453253	\N	0f6686e5-129a-4674-a78e-2b84ab13ec1c
206973	2	26385	2013-08-04 20:42:28.425791	2013-08-04 20:42:28.425791	\N	20430fc2-196c-41de-a13b-fe97ce31e39a
80284	5	10804	2013-08-03 20:23:20.26524	2013-08-03 20:23:20.26524	\N	59b39f69-212a-44d6-b407-331bd5c35966
93781	5	11941	2013-08-03 21:01:20.778841	2013-08-03 21:01:20.778841	\N	685ef8a8-5626-4043-a559-78a31330ef5f
93783	5	11929	2013-08-03 21:01:21.857359	2013-08-03 21:01:21.857359	\N	9e81fefd-bfba-4ce6-a60b-ab93b5be61b4
117861	4	13957	2013-08-03 22:23:30.151121	2013-08-03 22:23:30.151121	\N	e91c6ade-0d8b-42c3-90cf-90cb83c1e52c
93789	5	11944	2013-08-03 21:01:22.261948	2013-08-03 21:01:22.261948	\N	ea7d0b75-996a-4768-806f-b57c61e0ad20
77539	8	10528	2013-08-03 20:11:14.622451	2013-08-03 20:11:14.622451	\N	2128cc9b-8052-4d8e-bd16-2dbdd92e2f2d
73116	6	10135	2013-08-03 19:53:19.06166	2013-08-03 19:53:19.06166	\N	1b4bad32-0e84-434f-9e45-21595267efb5
206974	2	26389	2013-08-04 20:42:28.475481	2013-08-04 20:42:28.475481	\N	7c82d591-b65b-43e9-abcf-d07db55900aa
73119	20	10166	2013-08-03 19:53:19.533826	2013-08-03 19:53:19.533826	\N	25c08ee1-519c-43b1-b865-67e8bdbea833
140665	2	18742	2013-08-04 01:34:28.46527	2013-08-04 01:34:28.46527	\N	50f67e36-3a65-4f04-b7b3-6246644122be
179751	20	23239	2013-08-04 18:37:01.022712	2013-08-04 18:37:01.022712	\N	88452a4b-4ea8-4287-986d-932e2e5dcca7
80326	5	10879	2013-08-03 20:23:23.924917	2013-08-03 20:23:23.924917	\N	1f175564-5565-4ce1-be5c-75169202d4f3
198477	2	25278	2013-08-04 19:57:30.221065	2013-08-04 19:57:30.221065	\N	effff340-06d5-4c67-9928-19e659da099a
93808	5	11887	2013-08-03 21:01:23.569411	2013-08-03 21:01:23.569411	\N	cf920fde-ff00-4888-b208-d7f1a064e9fb
73135	14	10144	2013-08-03 19:53:23.892356	2013-08-03 19:53:23.892356	\N	47de8546-fd9e-40cc-b044-9b1f87fb786e
103184	7	12670	2013-08-03 21:29:30.119097	2013-08-03 21:29:30.119097	\N	9b24d756-51c4-486c-b94d-9794f6e3d4d2
135092	17	17683	2013-08-04 00:51:23.419256	2013-08-04 00:51:23.419256	\N	ab255bcf-b369-40f2-815a-13a4087de317
85403	16	11143	2013-08-03 20:35:20.736407	2013-08-03 20:35:20.736407	\N	8ce8cba2-32da-4b92-b9e4-004a09d02c26
129742	3	16348	2013-08-03 23:55:33.237046	2013-08-03 23:55:33.237046	\N	db9b5f6d-fdd5-4a46-912b-ba98b0bf1c3d
73160	6	10156	2013-08-03 19:53:26.957134	2013-08-03 19:53:26.957134	\N	9cfd3cc7-a9f5-4000-b03c-0704de344806
77660	13	10555	2013-08-03 20:11:32.46609	2013-08-03 20:11:32.46609	\N	bccff85c-c25e-419a-9bb5-d6584a800c4a
129743	3	16333	2013-08-03 23:55:33.360933	2013-08-03 23:55:33.360933	\N	4a296624-a27a-4c5a-af65-92a4c2b73723
75937	5	10381	2013-08-03 20:05:05.371708	2013-08-03 20:05:05.371708	\N	b6799e11-8161-4558-a7b9-a432b6e8af19
129758	8	16348	2013-08-03 23:55:41.447292	2013-08-03 23:55:41.447292	\N	bdbabe9a-66d6-47cc-8e9b-2bec0341da20
85420	16	11182	2013-08-03 20:35:21.478371	2013-08-03 20:35:21.478371	\N	dfe62573-0202-4a11-893f-d7a76a94a3cc
103221	7	12664	2013-08-03 21:29:37.435368	2013-08-03 21:29:37.435368	\N	317378c3-dd61-4d0f-a922-211a199e0716
105140	19	12790	2013-08-03 21:35:57.693972	2013-08-03 21:35:57.693972	\N	511264f6-e9a8-4fae-918b-195c7e36c9fc
127265	15	15844	2013-08-03 23:34:30.754659	2013-08-03 23:34:30.754659	\N	bcb45670-bc44-44da-9474-8b623f807c08
80401	17	10885	2013-08-03 20:23:31.54984	2013-08-03 20:23:31.54984	\N	a9c3e190-fa53-4e37-a64d-b20a5cb76156
103244	2	12643	2013-08-03 21:29:39.349363	2013-08-03 21:29:39.349363	\N	ccdfe053-b869-4b3e-806e-958bbf7bddad
103251	11	12697	2013-08-03 21:29:40.506439	2013-08-03 21:29:40.506439	\N	6a986c4a-5a46-4574-8b79-b4c060c5e5fe
90589	12	11509	2013-08-03 20:50:14.791649	2013-08-03 20:50:14.791649	\N	ff80d6c5-3d0d-41b5-9218-f6c486497d8f
113550	12	13567	2013-08-03 22:05:12.239014	2013-08-03 22:05:12.239014	\N	2e34c1c2-ba1e-418e-9d4e-0eaabadba8ab
105150	19	12799	2013-08-03 21:35:58.990201	2013-08-03 21:35:58.990201	\N	eb050b87-afce-4e7f-89ae-12a42671eafd
127269	11	15845	2013-08-03 23:34:31.072301	2013-08-03 23:34:31.072301	\N	685adce4-6f16-4a18-88bc-6da560d1db89
103260	7	12679	2013-08-03 21:29:41.255281	2013-08-03 21:29:41.255281	\N	8cbd9169-dc8c-4e75-88ff-2999e074fdac
103261	17	12673	2013-08-03 21:29:41.517924	2013-08-03 21:29:41.517924	\N	35eb667b-d274-4faf-a520-a18f2d13bf7e
129762	13	16297	2013-08-03 23:55:42.564397	2013-08-03 23:55:42.564397	\N	27a4457d-600b-4359-a5d2-f526a53a1826
111439	8	13451	2013-08-03 22:00:05.90072	2013-08-03 22:00:05.90072	\N	d73da70b-f950-40b2-aaea-6d4e28014437
127277	8	15793	2013-08-03 23:34:32.267909	2013-08-03 23:34:32.267909	\N	79d116fd-d9df-4360-a25e-0cf19eeff311
129763	8	16333	2013-08-03 23:55:42.931232	2013-08-03 23:55:42.931232	\N	e6d04886-c036-42ee-911a-93f7cd9c2f92
111442	17	13420	2013-08-03 22:00:06.622368	2013-08-03 22:00:06.622368	\N	079b3b7e-c064-4d04-b256-d6193aa091ce
77777	6	10633	2013-08-03 20:12:30.142339	2013-08-03 20:12:30.142339	\N	01d156d1-2492-444b-bacb-2fdf196fae5d
76050	8	10405	2013-08-03 20:05:29.774527	2013-08-03 20:05:29.774527	\N	38c25fe9-00d3-443d-be01-580066cb5e5f
77782	8	10684	2013-08-03 20:12:31.570801	2013-08-03 20:12:31.570801	\N	f6a4a682-a788-4ca3-84ca-bf7ca5ec4cb1
77783	8	10627	2013-08-03 20:12:31.612518	2013-08-03 20:12:31.612518	\N	c5542b5b-d055-4fb7-a925-cf8040eadb19
77785	12	10627	2013-08-03 20:12:32.187028	2013-08-03 20:12:32.187028	\N	448c9b1b-dc65-46b1-b345-aabbf7fd1505
77793	12	10684	2013-08-03 20:12:35.058766	2013-08-03 20:12:35.058766	\N	b4653020-369d-46f7-802a-723b1490ad92
95715	5	12043	2013-08-03 21:07:27.75661	2013-08-03 21:07:27.75661	\N	6cb0706b-8c69-4cf5-9914-9fb46c95ebc1
85527	12	11143	2013-08-03 20:35:42.993608	2013-08-03 20:35:42.993608	\N	31381f0e-36ca-4031-9b58-d4529378f483
77803	8	10645	2013-08-03 20:12:40.222725	2013-08-03 20:12:40.222725	\N	f2325569-91c4-4548-a171-4aa90f133568
77804	6	10627	2013-08-03 20:12:40.354284	2013-08-03 20:12:40.354284	\N	4d900f4b-787d-4837-b2b7-29506bb36605
90612	12	11563	2013-08-03 20:50:17.708893	2013-08-03 20:50:17.708893	\N	eb6f092a-35c6-44a8-8d2a-746eb3ac9909
77821	7	10684	2013-08-03 20:12:43.928825	2013-08-03 20:12:43.928825	\N	fe6e2fd3-7c18-4839-8287-fe375bf9d2b1
77822	7	10654	2013-08-03 20:12:43.972374	2013-08-03 20:12:43.972374	\N	f61cc3cf-ead7-4001-861b-b0c56c30fa99
77824	7	10663	2013-08-03 20:12:44.510627	2013-08-03 20:12:44.510627	\N	662347eb-da20-4dc3-8e99-fb179751c1dc
80529	11	10931	2013-08-03 20:23:45.343838	2013-08-03 20:23:45.343838	\N	858cc18b-0500-48f4-b2d9-bb711f1f1dc3
127288	19	15793	2013-08-03 23:34:37.301907	2013-08-03 23:34:37.301907	\N	31f3b31d-70ce-4a96-97d3-7db50e8b8523
77827	8	10663	2013-08-03 20:12:45.191866	2013-08-03 20:12:45.191866	\N	faefc910-5e36-4ed8-ac6e-de34edd2bed6
77828	7	10639	2013-08-03 20:12:46.320487	2013-08-03 20:12:46.320487	\N	4be97729-bba3-4b1f-a36d-687c8c75499d
103303	13	12685	2013-08-03 21:29:50.815745	2013-08-03 21:29:50.815745	\N	422fd4ee-dbe0-4dd8-bf96-17303b860452
129766	9	16349	2013-08-03 23:55:44.049698	2013-08-03 23:55:44.049698	\N	22005a54-d0ca-48c9-8be9-c4510b6b835c
77831	7	10678	2013-08-03 20:12:46.641221	2013-08-03 20:12:46.641221	\N	5d93892f-0edc-450e-966d-5ab1635f7a15
132494	17	17053	2013-08-04 00:25:56.507811	2013-08-04 00:25:56.507811	\N	8cd30789-4d9e-40fd-88ec-b4b52d3a32c4
83878	11	11023	2013-08-03 20:31:50.123088	2013-08-03 20:31:50.123088	\N	8ef4f4e8-7157-4025-a104-aae9459ba492
77837	7	10633	2013-08-03 20:12:47.044213	2013-08-03 20:12:47.044213	\N	91956232-ae7b-4dca-a1d3-14a4529405f1
77843	8	10681	2013-08-03 20:12:47.854373	2013-08-03 20:12:47.854373	\N	41cd88c6-bc80-4d44-9273-866b5c8fb3c2
77844	7	10627	2013-08-03 20:12:48.035031	2013-08-03 20:12:48.035031	\N	dc541c63-f30c-4565-a301-6e1f255d0d34
103310	13	12643	2013-08-03 21:29:51.517693	2013-08-03 21:29:51.517693	\N	e2fe810e-779e-46f3-95c3-26faabb62610
103311	17	12697	2013-08-03 21:29:51.731023	2013-08-03 21:29:51.731023	\N	0cc1b80a-4e46-4431-b323-6bf50e48a5c2
77849	7	10679	2013-08-03 20:12:49.323062	2013-08-03 20:12:49.323062	\N	21cff885-df63-4447-bcc3-942e9eb35f9d
117922	5	13939	2013-08-03 22:23:42.324287	2013-08-03 22:23:42.324287	\N	085fa031-50f7-4dd7-be3d-de92c46b2a3c
77867	15	10679	2013-08-03 20:12:55.150344	2013-08-03 20:12:55.150344	\N	ed403db5-51b4-4286-983f-6fb8232ba01f
120113	3	14335	2013-08-03 22:35:44.123979	2013-08-03 22:35:44.123979	\N	9421f324-3aa2-43c6-ab5f-117a8c21d903
99409	11	12265	2013-08-03 21:18:13.814216	2013-08-03 21:18:13.814216	\N	42c8713a-b47e-4450-b824-72c1bd52695a
120114	3	14317	2013-08-03 22:35:44.179089	2013-08-03 22:35:44.179089	\N	d32ce637-3856-4736-88cc-083ea9ca6ced
77898	8	10679	2013-08-03 20:13:02.649429	2013-08-03 20:13:02.649429	\N	e3399292-5265-4a5c-a7f5-fb5f0fdf6f24
89024	8	11425	2013-08-03 20:46:31.443134	2013-08-03 20:46:31.443134	\N	88cc25c3-f48b-4d78-9211-ab3f862ac60e
77902	9	10633	2013-08-03 20:13:03.009391	2013-08-03 20:13:03.009391	\N	0e45517b-9d40-47ca-b7d1-60a88a809583
120116	3	14293	2013-08-03 22:35:44.212278	2013-08-03 22:35:44.212278	\N	ad6af01a-f5fe-40c2-b77d-4303b1a872f5
73374	19	10135	2013-08-03 19:54:31.002625	2013-08-03 19:54:31.002625	\N	02355eae-1712-4c2e-959a-7373e47dabb9
77924	17	10627	2013-08-03 20:13:06.244512	2013-08-03 20:13:06.244512	\N	a7db1313-c906-4d33-bb25-5ec0629db86d
77929	11	10679	2013-08-03 20:13:07.222914	2013-08-03 20:13:07.222914	\N	c8b5864f-bd2a-4fd6-8aa6-cf6712123e58
120117	3	14332	2013-08-03 22:35:44.240056	2013-08-03 22:35:44.240056	\N	3beda128-642d-4c85-9031-9c4fcc6dceff
115710	8	13789	2013-08-03 22:14:27.995641	2013-08-03 22:14:27.995641	\N	589bc2ea-5b8a-4dd4-927a-d0bd207221fd
77950	5	10648	2013-08-03 20:13:12.369394	2013-08-03 20:13:12.369394	\N	76da0b65-8754-4eee-b976-3076e262ff4e
77954	5	10645	2013-08-03 20:13:13.273248	2013-08-03 20:13:13.273248	\N	7080b5a9-0529-46c6-b6f3-5e23a944216c
103351	17	12670	2013-08-03 21:30:00.237105	2013-08-03 21:30:00.237105	\N	3a7e3ca0-cc15-4c99-a511-3a8081fdf063
129769	2	16333	2013-08-03 23:55:46.293731	2013-08-03 23:55:46.293731	\N	4468e7ed-9670-40ef-8260-cf4138aeac43
81988	8	11017	2013-08-03 20:27:33.841523	2013-08-03 20:27:33.841523	\N	88647064-f208-451c-8839-39746cc0f427
81993	8	11035	2013-08-03 20:27:33.877049	2013-08-03 20:27:33.877049	\N	7eb90904-693c-4028-9373-33371f656338
80603	4	10930	2013-08-03 20:23:52.695122	2013-08-03 20:23:52.695122	\N	da467d96-2dad-4edc-add6-e85aef83cc43
80604	4	10936	2013-08-03 20:23:52.810878	2013-08-03 20:23:52.810878	\N	683b7d0b-a994-4c66-b319-272bc228cdc7
82002	7	11026	2013-08-03 20:27:34.672411	2013-08-03 20:27:34.672411	\N	e66c792e-760d-40e2-af80-2d090037acea
80614	19	10885	2013-08-03 20:23:54.810997	2013-08-03 20:23:54.810997	\N	c3367f0c-2c53-41a3-8497-4abb4ae1d4c0
82009	7	11062	2013-08-03 20:27:35.157612	2013-08-03 20:27:35.157612	\N	ce66bf6e-d1c9-4814-8366-31188dd29907
82013	17	11035	2013-08-03 20:27:35.618349	2013-08-03 20:27:35.618349	\N	9038b019-636d-46b0-a8cd-fe36d9ff36bf
115722	8	13798	2013-08-03 22:14:30.127259	2013-08-03 22:14:30.127259	\N	c42c97b2-45fd-42b3-a8f3-d63d28d0d3ad
107169	8	13042	2013-08-03 21:44:36.861764	2013-08-03 21:44:36.861764	\N	5759d291-96e8-4297-9d17-83d25db09db6
107174	2	13042	2013-08-03 21:44:39.838935	2013-08-03 21:44:39.838935	\N	020eaa4b-978d-4cc8-ae83-86ab6ea29210
107175	2	13072	2013-08-03 21:44:39.935882	2013-08-03 21:44:39.935882	\N	497ce014-e942-4e0b-8c55-edbe3f85268e
101094	5	12445	2013-08-03 21:22:42.035403	2013-08-03 21:22:42.035403	\N	0aee6c95-d6e5-4e53-aacb-0206af78a815
120028	11	14317	2013-08-03 22:35:02.806627	2013-08-03 22:35:02.806627	\N	1014458d-8ad9-492c-baa9-6c327c0e3b00
113505	14	13576	2013-08-03 22:05:03.155656	2013-08-03 22:05:03.155656	\N	b4fd222c-6b20-4b38-9012-c51bbd877d01
93810	5	11923	2013-08-03 21:01:23.973942	2013-08-03 21:01:23.973942	\N	a978db41-21d4-4b27-8f54-14bb59357a00
80435	3	10879	2013-08-03 20:23:35.239824	2013-08-03 20:23:35.239824	\N	916e7990-630f-44f5-a61e-416bf241312c
80436	3	10930	2013-08-03 20:23:35.294044	2013-08-03 20:23:35.294044	\N	bf1b06ac-2e24-4eab-a7cf-671aa9731964
120032	11	14332	2013-08-03 22:35:03.631937	2013-08-03 22:35:03.631937	\N	0b1ceb2c-2278-415f-8c0d-e038e8eea667
120034	11	14335	2013-08-03 22:35:04.13036	2013-08-03 22:35:04.13036	\N	129bd188-fc90-4168-ba0f-faecb9a728c4
103190	9	12695	2013-08-03 21:29:31.248747	2013-08-03 21:29:31.248747	\N	7182b4f2-bf33-4215-87c5-7cda993c3afe
122478	13	14962	2013-08-03 23:01:26.914664	2013-08-03 23:01:26.914664	\N	4214393f-a7bb-46d7-ac85-86d64ed459c8
120036	5	14335	2013-08-03 22:35:04.68426	2013-08-03 22:35:04.68426	\N	3f7ea77d-55f0-4c4e-b60c-96f3af3f2b89
202792	15	25633	2013-08-04 20:14:07.253013	2013-08-04 20:14:07.253013	\N	e2048da7-a63c-4532-b23e-b1926b95ba74
103223	7	12694	2013-08-03 21:29:37.919032	2013-08-03 21:29:37.919032	\N	03da83bd-199c-46e3-9714-6e8a69cf82ce
117907	19	13939	2013-08-03 22:23:37.809639	2013-08-03 22:23:37.809639	\N	64d77ecc-fb6e-4103-8d99-0d248357d2e1
103245	11	12679	2013-08-03 21:29:39.434133	2013-08-03 21:29:39.434133	\N	0bddb24d-61f9-4181-a283-138e6740b23f
93863	9	11914	2013-08-03 21:01:35.360837	2013-08-03 21:01:35.360837	\N	9a7c20e5-c713-46a4-b549-43de9b48f742
83888	11	11038	2013-08-03 20:31:51.761582	2013-08-03 20:31:51.761582	\N	76c6f5fe-36b3-4496-8d48-06d1ef087347
103250	7	12697	2013-08-03 21:29:40.497869	2013-08-03 21:29:40.497869	\N	40b6beb5-30d0-4417-9a02-e5809d2ab22a
103254	11	12700	2013-08-03 21:29:40.849355	2013-08-03 21:29:40.849355	\N	ddc1b2da-3610-41a7-b5d7-dbf9ff59cab6
105154	19	12805	2013-08-03 21:35:59.479218	2013-08-03 21:35:59.479218	\N	be90a808-6422-46d6-a97c-05e334605266
103262	15	12695	2013-08-03 21:29:41.831627	2013-08-03 21:29:41.831627	\N	66ad91e4-48ee-4901-851e-1b16020947c3
111414	6	13441	2013-08-03 22:00:01.934496	2013-08-03 22:00:01.934496	\N	34dbfe53-2f6a-4d93-8f44-a1b080301146
80503	2	10885	2013-08-03 20:23:43.100103	2013-08-03 20:23:43.100103	\N	4b177420-f601-4f06-a874-5b192c2a7541
80505	2	10906	2013-08-03 20:23:43.128187	2013-08-03 20:23:43.128187	\N	bad20a4c-f455-4e4e-bef7-c329982a0964
206976	2	26430	2013-08-04 20:42:28.507417	2013-08-04 20:42:28.507417	\N	4b5cbe60-8741-4dc3-bf79-c134f5afcb52
111417	6	13399	2013-08-03 22:00:05.447175	2013-08-03 22:00:05.447175	\N	98fa55b2-a5f3-462d-ab80-f2754179573b
113521	6	13537	2013-08-03 22:05:07.236871	2013-08-03 22:05:07.236871	\N	33723322-952c-4951-8ada-b67b9614f958
81989	8	11005	2013-08-03 20:27:33.842062	2013-08-03 20:27:33.842062	\N	9a9e2af2-ac26-452c-b566-936f97a6f0a6
81994	8	11020	2013-08-03 20:27:33.883597	2013-08-03 20:27:33.883597	\N	78e3b4de-31a3-4b54-afd4-7f39640fc519
82006	10	11057	2013-08-03 20:27:34.903974	2013-08-03 20:27:34.903974	\N	49e0f36e-55c2-4454-bb67-871515b63b85
107065	16	12904	2013-08-03 21:43:33.120219	2013-08-03 21:43:33.120219	\N	72e8ff28-69b5-49b4-9ec1-fe1520c1cf57
82022	9	11011	2013-08-03 20:27:35.713962	2013-08-03 20:27:35.713962	\N	f680bf9e-e794-487a-8c5b-83717942c794
82031	9	11005	2013-08-03 20:27:37.029439	2013-08-03 20:27:37.029439	\N	3203f05c-dfcc-4d55-8262-da289b93b940
77544	8	10537	2013-08-03 20:11:14.866328	2013-08-03 20:11:14.866328	\N	988ef1fa-e9cd-4a54-a08b-51c33b8fe2c6
82032	4	11011	2013-08-03 20:27:37.965323	2013-08-03 20:27:37.965323	\N	23a0a468-c6d2-45e9-91a2-ba7a026e6dd1
82033	4	11017	2013-08-03 20:27:38.073233	2013-08-03 20:27:38.073233	\N	86fdd7ee-843c-40c9-94d0-143eb2e2a68d
82036	4	11005	2013-08-03 20:27:38.100858	2013-08-03 20:27:38.100858	\N	dd41daeb-90a2-47dd-9d20-15471735afcf
82037	4	11056	2013-08-03 20:27:38.162482	2013-08-03 20:27:38.162482	\N	062b8255-1b6b-4a3d-a59e-ed589421c993
82038	4	11062	2013-08-03 20:27:38.194636	2013-08-03 20:27:38.194636	\N	d458d029-7bf6-4ab7-b330-f854c5421624
103280	17	12679	2013-08-03 21:29:45.624782	2013-08-03 21:29:45.624782	\N	ca771b86-3609-496e-a57f-f745b232a365
113527	17	13561	2013-08-03 22:05:08.676966	2013-08-03 22:05:08.676966	\N	263949f2-d413-4308-8598-b81d19043c61
82048	17	11041	2013-08-03 20:27:39.71398	2013-08-03 20:27:39.71398	\N	ef1d0188-42ae-4353-9341-0cb8d86a6e6f
82050	9	11056	2013-08-03 20:27:40.210599	2013-08-03 20:27:40.210599	\N	3d641f60-11c0-43e6-aa23-23a19151e90c
206979	2	26436	2013-08-04 20:42:28.610871	2013-08-04 20:42:28.610871	\N	a09feeec-b2c6-4355-92df-c6f3fbb6b9c1
122485	19	14923	2013-08-03 23:01:28.738493	2013-08-03 23:01:28.738493	\N	6a8fba04-98e8-489e-aea0-70f0b74d5b16
95718	5	12049	2013-08-03 21:07:28.250224	2013-08-03 21:07:28.250224	\N	cd5ba6a4-1727-4cec-aae0-14c83b1196e7
89019	6	11425	2013-08-03 20:46:28.938014	2013-08-03 20:46:28.938014	\N	3613164e-c850-4a3f-85e8-068082fc161a
165830	19	22063	2013-08-04 17:40:19.745835	2013-08-04 17:40:19.745835	\N	dcbef10c-5414-4856-b551-a3edb262f758
113542	11	13534	2013-08-03 22:05:10.806546	2013-08-03 22:05:10.806546	\N	0ac95cd3-34f2-4f05-82ce-819c1f2ffdb4
80612	19	10931	2013-08-03 20:23:53.782517	2013-08-03 20:23:53.782517	\N	1d43ab67-7589-4d78-a6f6-5273243a3433
113543	8	13577	2013-08-03 22:05:10.939407	2013-08-03 22:05:10.939407	\N	bd9adb21-68f0-4079-8de5-539474368e59
82095	11	11026	2013-08-03 20:27:47.067726	2013-08-03 20:27:47.067726	\N	7b295c5f-8992-42d9-beb3-ac5fd923ecc0
82097	11	11032	2013-08-03 20:27:47.77336	2013-08-03 20:27:47.77336	\N	3aded53c-58fe-4b34-8a6a-c32fb70d324b
82099	11	11041	2013-08-03 20:27:48.525648	2013-08-03 20:27:48.525648	\N	42a5e18b-d259-4371-a5cc-91ecf428dd45
113546	11	13537	2013-08-03 22:05:11.36401	2013-08-03 22:05:11.36401	\N	9887e161-1392-42cc-adbe-cb922a0150ef
113551	12	13537	2013-08-03 22:05:12.744042	2013-08-03 22:05:12.744042	\N	e83fde6c-0109-4a14-805d-d212cfc54325
95749	3	12055	2013-08-03 21:07:33.313685	2013-08-03 21:07:33.313685	\N	10716ff3-6ecf-4684-8e82-8a93f8caada3
101191	14	12399	2013-08-03 21:22:51.444656	2013-08-03 21:22:51.444656	\N	3dfc795a-ab07-49bc-9a53-0ca9ca2d0db5
80652	19	10879	2013-08-03 20:23:57.706362	2013-08-03 20:23:57.706362	\N	a1e5dcfa-a66b-419f-9083-0a9eeb778572
82118	15	11056	2013-08-03 20:27:50.147029	2013-08-03 20:27:50.147029	\N	c1c5d344-2dc9-4c02-9410-1cbeb4b7ad4e
83973	8	11131	2013-08-03 20:32:27.00311	2013-08-03 20:32:27.00311	\N	57a2f8bc-166e-44a9-9922-1176f7084089
83979	8	11164	2013-08-03 20:32:27.126041	2013-08-03 20:32:27.126041	\N	706892a4-7e03-4bdd-9c5d-08879b30e4d5
83980	8	11182	2013-08-03 20:32:27.159948	2013-08-03 20:32:27.159948	\N	04b8ff86-daf5-4ca9-948e-608d0c5639e7
83982	6	11131	2013-08-03 20:32:27.908845	2013-08-03 20:32:27.908845	\N	625af962-6ed1-4b5e-8a2b-e0380ca5d5c4
113554	6	13576	2013-08-03 22:05:13.053493	2013-08-03 22:05:13.053493	\N	866fa752-63be-4ac0-ae5c-7edc13fe6946
80681	13	10906	2013-08-03 20:23:59.053388	2013-08-03 20:23:59.053388	\N	275450df-babe-4331-9eb7-3a08157a3b27
82161	15	11057	2013-08-03 20:27:56.989051	2013-08-03 20:27:56.989051	\N	2016654b-faca-42eb-bc72-8258904a7df4
77762	11	10537	2013-08-03 20:12:17.048849	2013-08-03 20:12:17.048849	\N	a9e2c830-9d6a-44ef-9862-4b37d8c040ec
80683	13	10909	2013-08-03 20:23:59.346945	2013-08-03 20:23:59.346945	\N	cccc1e3a-abac-4139-bb36-c56561b01cd8
77778	12	10633	2013-08-03 20:12:31.074491	2013-08-03 20:12:31.074491	\N	c15fe946-7edf-4d57-9f7b-d651a6518799
77784	12	10639	2013-08-03 20:12:31.820167	2013-08-03 20:12:31.820167	\N	dc150563-8684-441a-92b6-cdd17146c423
77786	2	10681	2013-08-03 20:12:32.471593	2013-08-03 20:12:32.471593	\N	f3d56299-89b1-422b-8ad9-4a70da5b933c
77787	2	10648	2013-08-03 20:12:32.509218	2013-08-03 20:12:32.509218	\N	f5a1a86f-0ad4-46d5-bd4a-b2fd1fe24162
77788	2	10627	2013-08-03 20:12:32.561596	2013-08-03 20:12:32.561596	\N	539fa222-25c4-41f7-8c59-ff52198d880a
77789	2	10633	2013-08-03 20:12:32.634246	2013-08-03 20:12:32.634246	\N	1cb07c4e-17ae-47b7-b9b6-a6d7c0b32c86
83986	7	11158	2013-08-03 20:32:28.090864	2013-08-03 20:32:28.090864	\N	de99bdfc-5a17-41e2-a7a8-71fbbf8e807d
77791	2	10684	2013-08-03 20:12:32.720388	2013-08-03 20:12:32.720388	\N	774c21b7-853d-45a7-8f66-65b134f65729
103321	13	12664	2013-08-03 21:29:53.798819	2013-08-03 21:29:53.798819	\N	35f75143-a3e5-4ec4-b411-6796b5ed0036
77806	7	10642	2013-08-03 20:12:42.495364	2013-08-03 20:12:42.495364	\N	79c14c5a-e5a7-4f37-af51-40b53c7b78db
82174	9	11057	2013-08-03 20:28:00.861151	2013-08-03 20:28:00.861151	\N	c7e8578a-fdee-427c-b799-db2d0655df63
92318	5	11662	2013-08-03 20:55:12.733607	2013-08-03 20:55:12.733607	\N	70823381-a356-4276-96b6-151337938614
77810	2	10679	2013-08-03 20:12:42.877949	2013-08-03 20:12:42.877949	\N	f26111d5-8e1f-4631-b5db-5af1d0426411
127263	11	15829	2013-08-03 23:34:30.328209	2013-08-03 23:34:30.328209	\N	402c2dd6-628c-4655-a0ac-a6dbde0adda7
77813	2	10678	2013-08-03 20:12:42.933579	2013-08-03 20:12:42.933579	\N	40a7192a-2276-410c-b916-dfd7501cd8c0
77814	7	10681	2013-08-03 20:12:43.220772	2013-08-03 20:12:43.220772	\N	8a8f8b1c-1510-4403-a89b-8016ab8baa96
111487	1	13451	2013-08-03 22:00:13.168939	2013-08-03 22:00:13.168939	\N	552fbf89-9c95-44bb-a3a1-08c1d619edad
84011	7	11131	2013-08-03 20:32:29.224515	2013-08-03 20:32:29.224515	\N	e940a82e-0575-4fce-b13c-67f41a97e877
124802	15	15316	2013-08-03 23:17:35.914903	2013-08-03 23:17:35.914903	\N	3c43f78d-5ce6-4f2f-93ea-c655dab48299
103346	13	12697	2013-08-03 21:29:57.861314	2013-08-03 21:29:57.861314	\N	ba189212-1f8a-4509-9a29-6ea9a2de4ae3
127273	8	15844	2013-08-03 23:34:31.759975	2013-08-03 23:34:31.759975	\N	f89e4a2e-95dc-41b1-8ac3-d3a1f11f152e
77850	15	10639	2013-08-03 20:12:49.33338	2013-08-03 20:12:49.33338	\N	49e2a8c8-0d17-413d-918b-be1166612a6f
132477	8	17065	2013-08-04 00:25:50.793908	2013-08-04 00:25:50.793908	\N	2169b5bb-1b05-4da8-a5a7-2cc04d6c737b
77861	9	10670	2013-08-03 20:12:51.758332	2013-08-03 20:12:51.758332	\N	b4aed240-b497-4f87-8254-004998950287
77862	15	10627	2013-08-03 20:12:52.632627	2013-08-03 20:12:52.632627	\N	5be7a509-fb80-479b-8778-53e881d4bc95
127281	8	15845	2013-08-03 23:34:32.6248	2013-08-03 23:34:32.6248	\N	41c6aa01-7136-4af1-ae16-f8cef5785e2d
77873	13	10684	2013-08-03 20:12:56.395	2013-08-03 20:12:56.395	\N	9b1a3b61-4df3-4627-af24-e82d78f10467
77878	10	10639	2013-08-03 20:12:58.233033	2013-08-03 20:12:58.233033	\N	44fdcde4-0683-4a7d-88eb-76ef6c4749d4
77879	10	10684	2013-08-03 20:12:58.343847	2013-08-03 20:12:58.343847	\N	bef05db4-602f-4d6b-8be9-b06c5a539c72
85748	13	11152	2013-08-03 20:36:16.391201	2013-08-03 20:36:16.391201	\N	d3a26fc1-a273-4259-88ea-b58078019c6e
84055	17	11188	2013-08-03 20:32:31.276356	2013-08-03 20:32:31.276356	\N	4fcf318f-94bd-45b0-9e2c-049777ad92ce
85750	13	11161	2013-08-03 20:36:17.227406	2013-08-03 20:36:17.227406	\N	55356347-d1be-4484-970f-5248ed00acb7
107170	8	13072	2013-08-03 21:44:36.861964	2013-08-03 21:44:36.861964	\N	5e1ff5e9-edfb-43b7-a0e0-a64a0df60df8
82217	13	11056	2013-08-03 20:28:06.813307	2013-08-03 20:28:06.813307	\N	9a15ccd8-091d-4e87-9c4e-549dad955635
129746	11	16348	2013-08-03 23:55:34.427441	2013-08-03 23:55:34.427441	\N	41868db6-7b0b-4293-8dd2-f6967247ead8
118042	8	14086	2013-08-03 22:24:28.746164	2013-08-03 22:24:28.746164	\N	56f2dea7-33ed-48ea-af6e-f5c579e7a0a8
77920	20	10633	2013-08-03 20:13:05.672462	2013-08-03 20:13:05.672462	\N	bec2c8ef-867c-40c8-bd29-c1bc5a93f3b9
103218	11	12643	2013-08-03 21:29:36.737609	2013-08-03 21:29:36.737609	\N	36008e6b-2158-4803-931b-6bf1de2c4df8
206978	7	26442	2013-08-04 20:42:28.591163	2013-08-04 20:42:28.591163	\N	9bb37da5-8f9d-48be-afd7-614a4bdc762e
103226	11	12670	2013-08-03 21:29:38.820014	2013-08-03 21:29:38.820014	\N	e5f84aa7-164f-483a-a0fa-77bcd0474605
85541	12	11188	2013-08-03 20:35:46.383009	2013-08-03 20:35:46.383009	\N	6b30d1b1-5068-404a-a0bc-a2f3bec4002b
207011	8	26498	2013-08-04 20:42:36.642673	2013-08-04 20:42:36.642673	\N	8fbdb8b2-6b3f-40f3-a4ac-9acabbfb249d
93864	3	11887	2013-08-03 21:01:36.107271	2013-08-03 21:01:36.107271	\N	9c36a4fc-a4eb-4122-9aec-03c424d10c91
113539	6	13567	2013-08-03 22:05:10.376145	2013-08-03 22:05:10.376145	\N	a3fbde62-ded2-4237-bfa3-088c67cbbb8e
95721	5	12070	2013-08-03 21:07:28.752849	2013-08-03 21:07:28.752849	\N	da9c8077-c46d-4cd3-871f-b6f382f33b1d
80468	10	10930	2013-08-03 20:23:40.894161	2013-08-03 20:23:40.894161	\N	1ae954fb-70e8-4224-a203-9c398349ec92
120065	17	14317	2013-08-03 22:35:19.919189	2013-08-03 22:35:19.919189	\N	20781093-9823-4476-acc5-06cc950bc017
80473	10	10891	2013-08-03 20:23:41.089265	2013-08-03 20:23:41.089265	\N	aef2d054-9613-4195-bff2-6ce7f93819ce
93869	3	11920	2013-08-03 21:01:36.259492	2013-08-03 21:01:36.259492	\N	fe368408-a7c8-46be-b140-7773ce7c5bb2
113591	6	13525	2013-08-03 22:05:16.920996	2013-08-03 22:05:16.920996	\N	67dd15d5-108e-402b-9199-579a8ff14290
113594	16	13537	2013-08-03 22:05:18.635323	2013-08-03 22:05:18.635323	\N	53b6c7ac-f9ed-4a2a-86e8-3d3a88d9c0bd
113595	16	13561	2013-08-03 22:05:18.791454	2013-08-03 22:05:18.791454	\N	d81a68d2-7f23-41ce-9067-dfab43dc39d3
107070	16	12952	2013-08-03 21:43:34.464248	2013-08-03 21:43:34.464248	\N	44b527ca-54c9-41e5-873f-60f99fb89fa2
113596	16	13576	2013-08-03 22:05:18.932749	2013-08-03 22:05:18.932749	\N	4b62fc06-c0b3-4d23-aa33-83c0dc27bdd7
129760	8	16309	2013-08-03 23:55:41.447406	2013-08-03 23:55:41.447406	\N	36b9ce61-6c8a-4228-aae7-83116d0b98fb
113601	16	13582	2013-08-03 22:05:19.238123	2013-08-03 22:05:19.238123	\N	7147f948-1cd4-4bf0-bcd5-9a247d93bb57
103329	13	12673	2013-08-03 21:29:55.53675	2013-08-03 21:29:55.53675	\N	e085778c-cbec-4267-964f-2b3310b15c7d
81990	8	11026	2013-08-03 20:27:33.846591	2013-08-03 20:27:33.846591	\N	1e22bd01-00d0-41f0-83f0-0219f256e931
81995	8	11062	2013-08-03 20:27:33.887701	2013-08-03 20:27:33.887701	\N	9c577475-3854-4e10-b1e4-5d921480dbfc
81998	7	11020	2013-08-03 20:27:34.412891	2013-08-03 20:27:34.412891	\N	d3ef4383-121c-406a-b939-c96652b02fab
82000	10	11062	2013-08-03 20:27:34.592808	2013-08-03 20:27:34.592808	\N	017fe570-a4f7-41ec-9e41-d9190ab062bd
82003	10	11005	2013-08-03 20:27:34.685556	2013-08-03 20:27:34.685556	\N	861fe790-0600-45e7-9fcb-0a2f79a4ca88
82004	10	11017	2013-08-03 20:27:34.768923	2013-08-03 20:27:34.768923	\N	98224c05-6354-4666-bce7-a1106cae3770
82008	7	11041	2013-08-03 20:27:35.02942	2013-08-03 20:27:35.02942	\N	7266dc01-8f37-4cf2-b86b-d465be22298b
113605	13	13537	2013-08-03 22:05:22.808488	2013-08-03 22:05:22.808488	\N	bcafe7d7-56b7-432f-9227-8456cc284ba5
82027	7	11032	2013-08-03 20:27:36.300502	2013-08-03 20:27:36.300502	\N	bc51c873-bcc4-4de4-a607-b99ec2a5c8f8
129761	13	16309	2013-08-03 23:55:42.247246	2013-08-03 23:55:42.247246	\N	9153b7e1-1a70-42a5-b991-3dcf95e5b741
99435	14	12317	2013-08-03 21:18:16.800219	2013-08-03 21:18:16.800219	\N	f2b6d221-ed02-4410-84b3-80848818442f
194520	1	24640	2013-08-04 19:34:07.163042	2013-08-04 19:34:07.163042	\N	2fd8907e-2c56-40c1-959a-d59971b2f1ed
113610	10	13582	2013-08-03 22:05:23.694352	2013-08-03 22:05:23.694352	\N	9faa5d58-1123-4064-a22b-989e211137c1
113612	10	13579	2013-08-03 22:05:23.774054	2013-08-03 22:05:23.774054	\N	8e0cfa6d-0274-4c15-911c-eb4e2bc5202d
120079	2	14335	2013-08-03 22:35:28.633453	2013-08-03 22:35:28.633453	\N	a2fdfc89-8da6-4ed0-a432-d4a243c4c722
149248	10	19855	2013-08-04 02:17:36.589234	2013-08-04 02:17:36.589234	\N	02c8a48e-e8b4-4296-bcdc-a6fa62641ca9
143517	8	19354	2013-08-04 01:55:54.944988	2013-08-04 01:55:54.944988	\N	0c381345-1aeb-4a08-80b7-3ab3bd68b0a9
105203	14	12820	2013-08-03 21:36:05.693931	2013-08-03 21:36:05.693931	\N	b570bc60-8345-4663-ba67-facc5d47a281
80659	13	10900	2013-08-03 20:23:58.408015	2013-08-03 20:23:58.408015	\N	411590c5-df7f-4958-ba46-7196344fca6d
93942	19	11887	2013-08-03 21:01:49.666579	2013-08-03 21:01:49.666579	\N	08a80f0c-594e-4fd2-ab85-5b9e88876845
77631	11	10528	2013-08-03 20:11:27.336594	2013-08-03 20:11:27.336594	\N	60a49d9f-9cd8-4b46-b724-c2f8a9849030
76392	20	10381	2013-08-03 20:06:44.723309	2013-08-03 20:06:44.723309	\N	b4f6b5fc-2ff6-422d-8f07-346583afae71
127253	2	15793	2013-08-03 23:34:28.753013	2013-08-03 23:34:28.753013	\N	01dc3869-0def-4cab-904e-0e7c3119dfb4
115707	6	13777	2013-08-03 22:14:26.750527	2013-08-03 22:14:26.750527	\N	8de68d24-f9b7-45f7-abed-3d9ffa056821
115709	8	13786	2013-08-03 22:14:27.840356	2013-08-03 22:14:27.840356	\N	be2b0fea-a849-47c5-ad88-f9f121758e34
77645	13	10519	2013-08-03 20:11:29.803656	2013-08-03 20:11:29.803656	\N	f5ee1c56-00e3-45b8-8f68-b54c0c86867a
115713	8	13829	2013-08-03 22:14:29.321197	2013-08-03 22:14:29.321197	\N	25dc70ea-623a-4dce-b67c-b53410f01ac9
105216	11	12821	2013-08-03 21:36:07.881229	2013-08-03 21:36:07.881229	\N	ca727006-1843-40d1-8c81-f4ce3d1c6794
115715	7	13819	2013-08-03 22:14:29.657938	2013-08-03 22:14:29.657938	\N	6b07ef31-67c9-4d3b-aaa3-00e54611dc5a
135155	13	17695	2013-08-04 00:51:51.314813	2013-08-04 00:51:51.314813	\N	2bc25324-6929-428b-b987-028b5d55dbfc
80708	13	10936	2013-08-03 20:24:00.924728	2013-08-03 20:24:00.924728	\N	0a7df401-8e30-4c2f-9fb6-625abe9cd819
115721	8	13831	2013-08-03 22:14:30.119634	2013-08-03 22:14:30.119634	\N	88b9feb7-623b-434e-bfb4-301c14dd96e1
83977	8	11158	2013-08-03 20:32:27.122144	2013-08-03 20:32:27.122144	\N	bcbf933e-a85a-4abf-ab64-c85293cfc33d
83983	17	11164	2013-08-03 20:32:27.911309	2013-08-03 20:32:27.911309	\N	9df5e7dd-5ac5-47ce-ba6c-e666b52fb6ba
77720	14	10528	2013-08-03 20:11:47.672557	2013-08-03 20:11:47.672557	\N	f818060f-bf5d-4f76-8792-0765ef4cab1a
115723	7	13798	2013-08-03 22:14:30.409239	2013-08-03 22:14:30.409239	\N	c49dc63a-1d24-43b5-9218-ad87b2898662
92316	5	11689	2013-08-03 20:55:12.296723	2013-08-03 20:55:12.296723	\N	953703f5-de21-46a5-900c-382c2908e548
92319	5	11677	2013-08-03 20:55:13.126823	2013-08-03 20:55:13.126823	\N	173080ef-cd0c-4c02-a651-b0ff089581b8
127255	2	15805	2013-08-03 23:34:28.819136	2013-08-03 23:34:28.819136	\N	f973157c-c3c0-4f52-836d-d92dfaeb1dc6
92338	5	11635	2013-08-03 20:55:14.482008	2013-08-03 20:55:14.482008	\N	6b8dcc37-7e83-4d09-a058-4a987346be5b
82196	13	11035	2013-08-03 20:28:05.50605	2013-08-03 20:28:05.50605	\N	cdfa8c15-aee9-4ed1-8039-5c66e1a48372
127256	2	15820	2013-08-03 23:34:28.869533	2013-08-03 23:34:28.869533	\N	3d796460-1873-4e00-ba14-258cc716d808
127257	2	15829	2013-08-03 23:34:28.920612	2013-08-03 23:34:28.920612	\N	421ca04f-fc67-4250-a922-02486ff7889c
127258	2	15844	2013-08-03 23:34:28.951521	2013-08-03 23:34:28.951521	\N	8fafb4c4-8855-4829-9844-d2fe455aaa1b
77781	8	10639	2013-08-03 20:12:31.570551	2013-08-03 20:12:31.570551	\N	e11c1f7e-a8ef-47c6-a2fd-3bc6aa5653ae
127259	11	15820	2013-08-03 23:34:29.315957	2013-08-03 23:34:29.315957	\N	4a4b5178-2cb5-4428-84c1-ae998244ea53
115771	13	13828	2013-08-03 22:14:45.803133	2013-08-03 22:14:45.803133	\N	6bfed0c2-85f3-4f05-849c-634dec5d46e2
122575	19	14947	2013-08-03 23:01:57.642466	2013-08-03 23:01:57.642466	\N	58b8ac06-2061-42dd-9837-b43de6b53d62
77856	15	10684	2013-08-03 20:12:50.13583	2013-08-03 20:12:50.13583	\N	8d38d8e5-8e05-4af5-b90a-7a6eaef5b2e6
80777	19	10930	2013-08-03 20:24:10.673639	2013-08-03 20:24:10.673639	\N	a0d35169-cb7b-47e7-b9bd-574ed93ae2db
84038	9	11183	2013-08-03 20:32:30.319384	2013-08-03 20:32:30.319384	\N	84bd0776-4fa4-461b-ab37-fcca89b0b0d0
77866	13	10678	2013-08-03 20:12:55.046327	2013-08-03 20:12:55.046327	\N	8b4ce21f-b35e-448d-8bc9-51222f8c5326
115785	17	13789	2013-08-03 22:14:48.708097	2013-08-03 22:14:48.708097	\N	f97982e4-55af-4fdc-bdfa-a05dfaf37b15
77882	7	10657	2013-08-03 20:12:58.692989	2013-08-03 20:12:58.692989	\N	a993dbf7-4858-4092-8446-55acbed983a6
77889	11	10633	2013-08-03 20:13:01.41268	2013-08-03 20:13:01.41268	\N	c5dcfa18-3c68-4b73-8dc3-d895306f9595
127260	13	15844	2013-08-03 23:34:29.476792	2013-08-03 23:34:29.476792	\N	ce195856-2894-432c-b65f-ca09e58f6cd5
77908	11	10642	2013-08-03 20:13:03.726913	2013-08-03 20:13:03.726913	\N	405905f7-6a50-4042-941e-29d7df658972
77914	11	10645	2013-08-03 20:13:04.328795	2013-08-03 20:13:04.328795	\N	78a0c747-ff4c-4d2c-9fba-6e1e9d5032af
127272	8	15805	2013-08-03 23:34:31.759827	2013-08-03 23:34:31.759827	\N	67e41218-03b7-46d2-b12b-fe6117e57bad
80790	19	10936	2013-08-03 20:24:11.626934	2013-08-03 20:24:11.626934	\N	142ae6cf-f12a-4179-a6d0-db37b4b5513e
77918	17	10633	2013-08-03 20:13:05.07828	2013-08-03 20:13:05.07828	\N	9c852063-a6cc-4188-84d4-5ff06e8467ee
107167	8	13033	2013-08-03 21:44:36.849076	2013-08-03 21:44:36.849076	\N	74eec535-e7a8-4b0b-88f1-1f304b1fc81f
77934	11	10684	2013-08-03 20:13:08.017574	2013-08-03 20:13:08.017574	\N	1527ce7f-ec55-48e5-b1dd-68e39184dda2
97612	12	12181	2013-08-03 21:12:43.854813	2013-08-03 21:12:43.854813	\N	8ef06a97-710e-4605-af82-a79025aa0f17
77939	17	10678	2013-08-03 20:13:09.128117	2013-08-03 20:13:09.128117	\N	83364d09-8b57-40b5-b8ee-a2284d617732
107172	8	13078	2013-08-03 21:44:36.959347	2013-08-03 21:44:36.959347	\N	f90edd9c-ede1-46f3-a9a6-b1d2d0ff956e
77951	5	10678	2013-08-03 20:13:12.770256	2013-08-03 20:13:12.770256	\N	38bde000-d134-494b-8be4-562349b3b8e1
77952	2	10642	2013-08-03 20:13:13.131893	2013-08-03 20:13:13.131893	\N	fd7ab0d3-834c-4def-8455-55a209325ef8
77953	2	10657	2013-08-03 20:13:13.196485	2013-08-03 20:13:13.196485	\N	f00c34b9-d9db-4d81-9e06-20a157ca93b3
77955	2	10639	2013-08-03 20:13:13.27354	2013-08-03 20:13:13.27354	\N	7463838e-476d-4f2c-ad1d-7cd0b5b10807
80799	19	10894	2013-08-03 20:24:13.723574	2013-08-03 20:24:13.723574	\N	64cec552-84a7-4e54-9925-e01a07918a33
107173	4	13073	2013-08-03 21:44:37.777716	2013-08-03 21:44:37.777716	\N	94f68e27-ba85-4e66-87ce-1778b0e749be
77958	2	10654	2013-08-03 20:13:13.410281	2013-08-03 20:13:13.410281	\N	8a3fc901-b2a5-4729-a6bb-28ac02441132
89090	20	11425	2013-08-03 20:46:44.552666	2013-08-03 20:46:44.552666	\N	a525d28f-a90b-4437-a5a2-1fa26e9ece0a
77965	5	10654	2013-08-03 20:13:14.671351	2013-08-03 20:13:14.671351	\N	46caf841-dcf2-4953-a752-bdf16ee0adba
107177	6	13073	2013-08-03 21:44:41.063966	2013-08-03 21:44:41.063966	\N	9a9df3fc-d523-4b01-a05f-ae552b612249
80805	19	10900	2013-08-03 20:24:14.394683	2013-08-03 20:24:14.394683	\N	b7c821d5-94a0-469e-9c89-4e9b13296748
115799	11	13819	2013-08-03 22:14:51.425139	2013-08-03 22:14:51.425139	\N	6a0cb175-95e8-49d4-9ff9-bbdc3dc576e7
107189	1	13073	2013-08-03 21:44:43.224052	2013-08-03 21:44:43.224052	\N	8501a4a5-8aff-4fb2-aab3-82bd3d409cbf
115805	13	13798	2013-08-03 22:14:51.990367	2013-08-03 22:14:51.990367	\N	279264db-bfbd-4074-8e2a-cbfca71775a7
111664	6	13451	2013-08-03 22:00:30.967858	2013-08-03 22:00:30.967858	\N	98e9c78c-4c88-4413-9cec-6eaf6f4680a3
127274	7	15845	2013-08-03 23:34:32.24383	2013-08-03 23:34:32.24383	\N	085f4cd6-6ee4-4948-83e1-86bbc902fce2
107233	11	13042	2013-08-03 21:44:56.698425	2013-08-03 21:44:56.698425	\N	1e66211e-4534-4ef1-a70c-221180236633
127279	8	15829	2013-08-03 23:34:32.278765	2013-08-03 23:34:32.278765	\N	c564ae02-b033-4401-b622-aa1ef1471f4c
82346	19	11057	2013-08-03 20:28:29.397661	2013-08-03 20:28:29.397661	\N	243cfff5-6ecc-4373-ae1e-eaa6e108badc
107235	7	13033	2013-08-03 21:44:57.222918	2013-08-03 21:44:57.222918	\N	7a9b1a60-96b4-4465-99a6-e23d0532cfdb
76235	17	10381	2013-08-03 20:06:02.18739	2013-08-03 20:06:02.18739	\N	68c5eb1b-2705-466c-a538-18cd84f88f73
76236	17	10387	2013-08-03 20:06:02.228084	2013-08-03 20:06:02.228084	\N	54ef4054-3042-4c8a-8529-f229f547801a
76238	17	10408	2013-08-03 20:06:02.267071	2013-08-03 20:06:02.267071	\N	5fe631f0-927a-4839-a5f7-779e60383857
76239	17	10390	2013-08-03 20:06:02.314556	2013-08-03 20:06:02.314556	\N	1b8d0388-65c0-44f8-8a0e-43b90ebe0c58
76240	17	10393	2013-08-03 20:06:02.351362	2013-08-03 20:06:02.351362	\N	97a56a4b-8a2a-4cc2-90ab-d52c979e34d8
76241	17	10396	2013-08-03 20:06:02.399208	2013-08-03 20:06:02.399208	\N	37a5a4d6-7913-4d1a-af86-d18cdc37fca6
76242	17	10405	2013-08-03 20:06:02.446015	2013-08-03 20:06:02.446015	\N	42dd98cc-5f98-49c9-a72b-59ae73ee25c3
107119	5	12952	2013-08-03 21:43:59.617728	2013-08-03 21:43:59.617728	\N	9209c1c3-c3b1-48ab-8527-c84776ff14c3
76245	17	10426	2013-08-03 20:06:02.51935	2013-08-03 20:06:02.51935	\N	c75730e2-eb86-41ca-a799-44152d7e43dc
76246	17	10429	2013-08-03 20:06:02.550785	2013-08-03 20:06:02.550785	\N	2e6dd933-315f-4231-8306-c812432e99a2
76248	17	10432	2013-08-03 20:06:02.592636	2013-08-03 20:06:02.592636	\N	c0d7ada5-5bf5-4c78-b2c5-e2cb2c3d9046
77640	13	10516	2013-08-03 20:11:29.254715	2013-08-03 20:11:29.254715	\N	52ab1dbf-2aa6-4601-b902-4797023eb54d
80467	10	10885	2013-08-03 20:23:40.78635	2013-08-03 20:23:40.78635	\N	ed790b40-f4ba-4ea5-9292-5112c3fe3466
120077	17	14335	2013-08-03 22:35:26.06528	2013-08-03 22:35:26.06528	\N	dbec80e0-b757-4836-9e74-2b7d701912d3
129749	2	16309	2013-08-03 23:55:35.964191	2013-08-03 23:55:35.964191	\N	30b521b4-8d3a-4783-bcf4-194079335408
129750	2	16348	2013-08-03 23:55:36.061234	2013-08-03 23:55:36.061234	\N	584667a3-870e-466a-95dd-34ebd2981d1f
88912	5	11419	2013-08-03 20:46:05.56427	2013-08-03 20:46:05.56427	\N	8139b897-a554-411b-980c-33c53767f2c7
107171	8	13075	2013-08-03 21:44:36.899567	2013-08-03 21:44:36.899567	\N	a435b459-b822-4396-a21d-3e72c728bbf7
103322	17	12700	2013-08-03 21:29:53.807608	2013-08-03 21:29:53.807608	\N	1857dde2-cc59-47e6-8e77-9dffbbd888fb
113573	17	13579	2013-08-03 22:05:14.825112	2013-08-03 22:05:14.825112	\N	c74fabb3-a0e4-4c98-acf9-85135860df41
93990	10	11920	2013-08-03 21:01:55.451337	2013-08-03 21:01:55.451337	\N	04c583b6-6637-4434-bcff-e29e42391a22
93991	10	11944	2013-08-03 21:01:55.572688	2013-08-03 21:01:55.572688	\N	c26c1743-3995-454b-b1a7-6722d346feae
107188	15	13073	2013-08-03 21:44:42.238211	2013-08-03 21:44:42.238211	\N	dddbfcaa-9601-4a9b-9b80-68bfe7142a2e
103343	8	12695	2013-08-03 21:29:57.330912	2013-08-03 21:29:57.330912	\N	2e0ae953-8bbe-4386-a0e4-0b810e659110
103344	13	12694	2013-08-03 21:29:57.543061	2013-08-03 21:29:57.543061	\N	f3302378-a40a-4a81-b3a0-4deeb69a4930
107190	13	13042	2013-08-03 21:44:44.480241	2013-08-03 21:44:44.480241	\N	e39d446e-28ac-4669-aa32-f704053ce780
83964	15	11183	2013-08-03 20:32:26.273518	2013-08-03 20:32:26.273518	\N	9ce926d9-b17b-4d9d-bddf-a4ba7fe8857e
83965	3	11182	2013-08-03 20:32:26.600396	2013-08-03 20:32:26.600396	\N	08e8dd22-7c06-41c7-9da8-f5046255ad47
81991	8	11032	2013-08-03 20:27:33.846602	2013-08-03 20:27:33.846602	\N	3486b14b-e0be-4043-a71e-8d633ca9b293
81996	8	11056	2013-08-03 20:27:33.912445	2013-08-03 20:27:33.912445	\N	67762b69-13e6-481e-b287-a6071853cba8
81997	10	11011	2013-08-03 20:27:34.398422	2013-08-03 20:27:34.398422	\N	7e40d461-fb2b-4dc8-9bb5-5d4fca4c4421
81999	10	11056	2013-08-03 20:27:34.490829	2013-08-03 20:27:34.490829	\N	f7bc5c30-4bc6-4ac0-91f1-6358539fbd8f
83966	3	11143	2013-08-03 20:32:26.660658	2013-08-03 20:32:26.660658	\N	44de3621-5b1e-4e3c-9b78-8c5ff93eeb62
82005	7	11011	2013-08-03 20:27:34.772117	2013-08-03 20:27:34.772117	\N	7b546aa8-d6db-43dc-ae0e-349fbde5c241
77728	14	10537	2013-08-03 20:11:48.063693	2013-08-03 20:11:48.063693	\N	a177361c-f9bb-4d9c-ad3d-09a06c2b400d
82007	7	11035	2013-08-03 20:27:34.92049	2013-08-03 20:27:34.92049	\N	f993827c-e60a-4aef-96ac-07c4b4d64f15
83967	3	11131	2013-08-03 20:32:26.709094	2013-08-03 20:32:26.709094	\N	581cd48d-808f-434d-8091-22202cb61d4a
83968	3	11164	2013-08-03 20:32:26.748226	2013-08-03 20:32:26.748226	\N	dcf01513-096a-49b9-9509-9829cb8d6f93
82028	6	11017	2013-08-03 20:27:36.30429	2013-08-03 20:27:36.30429	\N	abe1648e-6f22-4195-9efb-c6a5658a3efa
82029	9	11017	2013-08-03 20:27:36.862966	2013-08-03 20:27:36.862966	\N	74131057-2d8d-40fb-be62-0e8021fe9ea1
83970	8	11149	2013-08-03 20:32:26.995236	2013-08-03 20:32:26.995236	\N	dd72f2a1-8a6c-4439-960c-9f94fc5fd594
83975	8	11188	2013-08-03 20:32:27.120531	2013-08-03 20:32:27.120531	\N	7132115e-e162-4572-922f-cf58a7b5ec87
83981	8	11183	2013-08-03 20:32:27.325643	2013-08-03 20:32:27.325643	\N	eaec81e2-b46e-4dae-b146-e2516d301450
82069	11	11011	2013-08-03 20:27:44.006393	2013-08-03 20:27:44.006393	\N	5253ed7e-2c70-4bff-8ae2-d87b95a85ece
83984	7	11183	2013-08-03 20:32:27.922517	2013-08-03 20:32:27.922517	\N	5ace0dd6-ed96-4a5a-8a07-93356957bf0c
83991	7	11188	2013-08-03 20:32:28.254262	2013-08-03 20:32:28.254262	\N	a61f9b16-4e31-4cf5-942c-630dc785d3cd
83992	7	11143	2013-08-03 20:32:28.328567	2013-08-03 20:32:28.328567	\N	1e8df51b-1f46-4f31-a1f6-83b4fcea7bf9
129753	15	16349	2013-08-03 23:55:38.840542	2013-08-03 23:55:38.840542	\N	f51531c3-9d01-481f-b093-43b494f17844
82090	17	11062	2013-08-03 20:27:46.923153	2013-08-03 20:27:46.923153	\N	023ebbbb-2a3c-4f3f-a463-5785daebfec6
83995	7	11139	2013-08-03 20:32:28.593471	2013-08-03 20:32:28.593471	\N	246bcf31-4f16-442d-96ab-d122f59089a4
129754	17	16309	2013-08-03 23:55:39.24232	2013-08-03 23:55:39.24232	\N	137fdc00-8257-4bd0-b45f-ff00c53ec269
82113	11	11057	2013-08-03 20:27:49.449167	2013-08-03 20:27:49.449167	\N	c84c7a32-41d7-4e8c-83bf-c1902bc1b6db
77771	4	10633	2013-08-03 20:12:29.397102	2013-08-03 20:12:29.397102	\N	7a345800-a3bb-487d-a136-e7a4b81dbab4
77773	4	10639	2013-08-03 20:12:29.454947	2013-08-03 20:12:29.454947	\N	b29055b1-8a35-454f-bcf5-718bf838a8fc
77774	4	10627	2013-08-03 20:12:29.535213	2013-08-03 20:12:29.535213	\N	e67108d0-d8d3-4a8a-8b9c-8b7618f6023e
77775	4	10678	2013-08-03 20:12:29.615854	2013-08-03 20:12:29.615854	\N	03ff61ae-3b78-4672-823e-7ce05feeda1e
83999	2	11188	2013-08-03 20:32:28.82489	2013-08-03 20:32:28.82489	\N	96ede44e-4d88-45e0-a998-aa386d06093c
77780	8	10678	2013-08-03 20:12:31.567003	2013-08-03 20:12:31.567003	\N	5b1083a7-59ca-48f8-bb76-cce8ace892a8
77792	12	10678	2013-08-03 20:12:34.538244	2013-08-03 20:12:34.538244	\N	3ab37f02-d595-452c-8f20-9afd35530740
80703	13	10930	2013-08-03 20:24:00.342014	2013-08-03 20:24:00.342014	\N	b580fd37-b44c-442d-a781-408450d719d5
77805	8	10648	2013-08-03 20:12:41.315175	2013-08-03 20:12:41.315175	\N	7b36d2fb-0b84-487f-af8b-7a5a5fe59fb7
80705	13	10933	2013-08-03 20:24:00.638021	2013-08-03 20:24:00.638021	\N	d23ae83c-1adf-4f32-badf-ca748819b1a4
82121	15	11062	2013-08-03 20:27:50.298615	2013-08-03 20:27:50.298615	\N	8064fab1-c18a-464c-b0de-440eaa10f0d9
77836	13	10633	2013-08-03 20:12:47.036935	2013-08-03 20:12:47.036935	\N	3e9fcfa2-5d38-4081-b06c-349a76c3749e
77847	13	10639	2013-08-03 20:12:48.339293	2013-08-03 20:12:48.339293	\N	b27e2c87-64db-4b21-b110-cc4b41f0b106
77851	15	10678	2013-08-03 20:12:49.348672	2013-08-03 20:12:49.348672	\N	d2842fd6-3aac-4dd2-8649-442dfafd8aa4
77853	15	10633	2013-08-03 20:12:49.422537	2013-08-03 20:12:49.422537	\N	08bf9790-229f-4498-a60c-b018fa404571
82123	15	11011	2013-08-03 20:27:50.402022	2013-08-03 20:27:50.402022	\N	1ba2d802-225c-4eba-bf26-64d0db5f7a44
84002	2	11152	2013-08-03 20:32:28.870145	2013-08-03 20:32:28.870145	\N	aa5d6192-336e-49fb-8f15-e00c14529711
84003	2	11146	2013-08-03 20:32:28.902037	2013-08-03 20:32:28.902037	\N	e987ac30-96ce-47c5-b375-a51f31ab2cdb
84004	2	11158	2013-08-03 20:32:28.930192	2013-08-03 20:32:28.930192	\N	34c6fa6f-4375-4186-83bd-4982f61fda2a
94033	19	11938	2013-08-03 21:01:59.744852	2013-08-03 21:01:59.744852	\N	3a363bc0-1b33-4b50-9c19-f3cff54e6206
77880	10	10627	2013-08-03 20:12:58.435706	2013-08-03 20:12:58.435706	\N	1d22f71b-856a-4c7b-bc1f-ecd88bcaf91a
77881	10	10679	2013-08-03 20:12:58.544247	2013-08-03 20:12:58.544247	\N	682b68e6-bb85-4833-b114-ad8b7dee2658
107214	9	13064	2013-08-03 21:44:53.006396	2013-08-03 21:44:53.006396	\N	122e5f76-a004-4512-ba4a-bd128b692ca2
107215	3	13033	2013-08-03 21:44:53.294062	2013-08-03 21:44:53.294062	\N	5a8594fb-1b9b-48e7-83ab-c76785ee17be
77904	4	10679	2013-08-03 20:13:03.11328	2013-08-03 20:13:03.11328	\N	19fef823-edd9-40a5-ab25-193bf4567209
77905	11	10627	2013-08-03 20:13:03.189173	2013-08-03 20:13:03.189173	\N	dec5b343-bf14-4db7-88d6-a525e748a231
107216	3	13072	2013-08-03 21:44:53.344404	2013-08-03 21:44:53.344404	\N	be7cbb48-2bff-438a-99f9-58184435db06
107217	15	13033	2013-08-03 21:44:53.929011	2013-08-03 21:44:53.929011	\N	38c1b9dc-00a3-445e-97fd-0478e85d62ac
107221	11	13033	2013-08-03 21:44:55.211041	2013-08-03 21:44:55.211041	\N	7567ab5a-2619-4a66-ad52-83bb38cf8334
107222	2	13078	2013-08-03 21:44:55.378075	2013-08-03 21:44:55.378075	\N	643f75ac-4e04-473d-8ba6-a1b8e4589d05
77913	9	10627	2013-08-03 20:13:04.319717	2013-08-03 20:13:04.319717	\N	fd9f173c-d5d3-4601-aa94-2dcf8e4e79e4
77916	11	10648	2013-08-03 20:13:04.894183	2013-08-03 20:13:04.894183	\N	aaf1e6f1-4690-4ddd-8eb4-cc12948cb6ec
77919	11	10654	2013-08-03 20:13:05.607904	2013-08-03 20:13:05.607904	\N	449d63a8-90c7-435d-a0ab-53bbd7bff0a1
77928	11	10678	2013-08-03 20:13:07.036074	2013-08-03 20:13:07.036074	\N	607e3e3b-e380-423b-8c2c-0f8e23531d12
77932	11	10681	2013-08-03 20:13:07.673238	2013-08-03 20:13:07.673238	\N	8c5f7959-e810-4738-b856-c01299b2e9e7
82160	17	11011	2013-08-03 20:27:56.813582	2013-08-03 20:27:56.813582	\N	e525b395-f727-461c-90cf-dda8ef25df83
77937	9	10678	2013-08-03 20:13:08.499324	2013-08-03 20:13:08.499324	\N	454ff687-6938-4d7c-897e-b81adfcccdda
103397	17	12694	2013-08-03 21:30:08.817933	2013-08-03 21:30:08.817933	\N	46ce7c4f-35f4-4ed5-9592-7346a3e8ef11
77946	5	10528	2013-08-03 20:13:10.852959	2013-08-03 20:13:10.852959	\N	c2b61a24-b48d-4c0f-913f-3effdf4d9a0c
77947	6	10678	2013-08-03 20:13:11.093351	2013-08-03 20:13:11.093351	\N	af1e1032-90ca-40e7-a7be-3c6ad24a8ae2
77948	5	10663	2013-08-03 20:13:11.264891	2013-08-03 20:13:11.264891	\N	371a63f0-04b1-41b4-84c5-7e2c60b73b6d
120104	4	14323	2013-08-03 22:35:41.293381	2013-08-03 22:35:41.293381	\N	06123d2b-c665-49dd-8db1-ce11197c02b8
94082	19	11923	2013-08-03 21:02:10.556458	2013-08-03 21:02:10.556458	\N	c7285290-5c40-4fb1-b218-26c76d15bad0
82191	13	11005	2013-08-03 20:28:02.92801	2013-08-03 20:28:02.92801	\N	7f87b6e6-0638-4b11-9df2-64732030f6d0
120105	4	14293	2013-08-03 22:35:41.350093	2013-08-03 22:35:41.350093	\N	a4ec8389-17be-409e-ba50-c0bbd73f0ac5
107238	11	13075	2013-08-03 21:44:59.339189	2013-08-03 21:44:59.339189	\N	c459815b-dfa9-41e3-a9ff-41cb26adc0ec
89014	13	11425	2013-08-03 20:46:27.218292	2013-08-03 20:46:27.218292	\N	c7709bdb-9024-4461-a069-0f95653fab23
82221	13	11062	2013-08-03 20:28:07.712143	2013-08-03 20:28:07.712143	\N	b845cc3c-c15b-481d-960d-319d681046c8
78008	17	10679	2013-08-03 20:13:22.733244	2013-08-03 20:13:22.733244	\N	f18e41b5-c7bd-4a12-bf3b-1287d0c9d932
111458	10	13441	2013-08-03 22:00:08.030638	2013-08-03 22:00:08.030638	\N	d7b62e72-264f-4148-8c97-9a8b856471c4
107240	11	13078	2013-08-03 21:44:59.698976	2013-08-03 21:44:59.698976	\N	5cbdd69d-5390-4327-84ef-e92a35af3718
99541	16	12292	2013-08-03 21:18:30.6587	2013-08-03 21:18:30.6587	\N	6900b2fd-883f-4020-b273-31c93ed006f5
82246	4	11057	2013-08-03 20:28:12.085754	2013-08-03 20:28:12.085754	\N	3d7af85f-f20c-49ce-b320-8d2930c8390e
84131	11	11158	2013-08-03 20:32:40.522362	2013-08-03 20:32:40.522362	\N	6b2960a6-6049-439e-8b2f-f9c2c78737bf
78023	1	10679	2013-08-03 20:13:28.462112	2013-08-03 20:13:28.462112	\N	c2e5b94d-ea2a-4533-9f03-23503a2f31d4
111460	6	13450	2013-08-03 22:00:08.483372	2013-08-03 22:00:08.483372	\N	2fb11f04-d65c-463d-bd6f-2af8aac3cff1
80511	1	10931	2013-08-03 20:23:43.475869	2013-08-03 20:23:43.475869	\N	ec88a23d-2dec-466e-b0a6-74f6923bdf1c
107168	8	13030	2013-08-03 21:44:36.850568	2013-08-03 21:44:36.850568	\N	bf328996-7cc1-4cfc-8d94-ba0a488246ec
107176	9	13072	2013-08-03 21:44:40.953641	2013-08-03 21:44:40.953641	\N	8d5212da-2166-47bd-b325-bf631edffc96
107178	13	13030	2013-08-03 21:44:41.363929	2013-08-03 21:44:41.363929	\N	35f49491-595c-406e-8235-5409ecc8ea50
89052	17	11425	2013-08-03 20:46:37.306266	2013-08-03 20:46:37.306266	\N	83fc6c42-b1b0-4f88-80df-3c3abe611a24
113580	20	13577	2013-08-03 22:05:16.305482	2013-08-03 22:05:16.305482	\N	fa5a07d3-baae-4e32-a189-88280a0e3503
93968	19	11920	2013-08-03 21:01:53.94932	2013-08-03 21:01:53.94932	\N	7f1077f6-db3b-446a-a6e1-94879065e820
107181	13	13033	2013-08-03 21:44:41.65096	2013-08-03 21:44:41.65096	\N	7a401952-32b8-4bef-a5dd-26e7956e1527
81987	8	11011	2013-08-03 20:27:33.823806	2013-08-03 20:27:33.823806	\N	108df380-b9c8-463b-a1d5-e9609e92205e
81992	8	11041	2013-08-03 20:27:33.853579	2013-08-03 20:27:33.853579	\N	67ebb5db-7b46-440e-ad32-0107377e1c79
82010	2	11011	2013-08-03 20:27:35.504519	2013-08-03 20:27:35.504519	\N	2dd03931-cdd6-4856-a3a3-3478f75d49a8
82011	2	11026	2013-08-03 20:27:35.555936	2013-08-03 20:27:35.555936	\N	41bc96ba-9a7a-411c-a12b-25ff640db77c
82012	2	11005	2013-08-03 20:27:35.593242	2013-08-03 20:27:35.593242	\N	e8c04c8e-dea9-426d-8cb6-35715e6b2eb3
82014	2	11057	2013-08-03 20:27:35.624198	2013-08-03 20:27:35.624198	\N	a7e2cb14-451f-4fb0-b900-c2440b07a17d
82015	2	11020	2013-08-03 20:27:35.676324	2013-08-03 20:27:35.676324	\N	d8044d59-61fe-4613-8959-af1e233d4c74
82019	2	11032	2013-08-03 20:27:35.707425	2013-08-03 20:27:35.707425	\N	e5e64806-fa8d-465d-863f-b5118a7cfe9a
82023	2	11017	2013-08-03 20:27:35.746573	2013-08-03 20:27:35.746573	\N	1c594edc-d4c5-4b00-a7a1-0414a231e249
82024	2	11035	2013-08-03 20:27:35.80488	2013-08-03 20:27:35.80488	\N	535d57be-7f80-4430-bccd-176b32d2954c
77772	9	10679	2013-08-03 20:12:29.401097	2013-08-03 20:12:29.401097	\N	e4bb37e6-e1a3-4d48-85a3-7f50908dcfeb
77779	8	10633	2013-08-03 20:12:31.565848	2013-08-03 20:12:31.565848	\N	d69bd3e8-84ed-45c3-b090-05e94e5b190d
82025	2	11056	2013-08-03 20:27:35.85869	2013-08-03 20:27:35.85869	\N	c8905209-de48-4eab-a77c-e184c36ad772
82026	2	11062	2013-08-03 20:27:35.903936	2013-08-03 20:27:35.903936	\N	c33a4ea1-d23a-4116-964c-b5259d4248a7
129757	17	16297	2013-08-03 23:55:41.351978	2013-08-03 23:55:41.351978	\N	eb084192-b7c4-4a34-acac-e2a7599fb316
77802	8	10642	2013-08-03 20:12:39.358135	2013-08-03 20:12:39.358135	\N	57a7275d-ba97-4117-871a-5eae23d2719f
77811	8	10654	2013-08-03 20:12:42.912225	2013-08-03 20:12:42.912225	\N	d9c89f5a-08f4-458d-8753-ee927e2023ac
77817	8	10657	2013-08-03 20:12:43.607808	2013-08-03 20:12:43.607808	\N	13968fad-8420-4100-9865-a6bb0c138c92
77818	7	10648	2013-08-03 20:12:43.700069	2013-08-03 20:12:43.700069	\N	613173a0-f09d-48cf-a65c-b5f024e8db37
83971	8	11152	2013-08-03 20:32:27.002222	2013-08-03 20:32:27.002222	\N	58f47d50-43fe-40c0-bd6c-009c24dae82c
77820	6	10684	2013-08-03 20:12:43.917615	2013-08-03 20:12:43.917615	\N	4d1be5dd-e360-4214-8b3f-013c946fb155
83976	8	11161	2013-08-03 20:32:27.122448	2013-08-03 20:32:27.122448	\N	64807bcf-a0a5-43cc-bd74-bbdef5bd909b
80631	19	10891	2013-08-03 20:23:55.948409	2013-08-03 20:23:55.948409	\N	e25fbd74-51d2-4119-ab18-ce7ebb02aa27
80632	13	10885	2013-08-03 20:23:56.147197	2013-08-03 20:23:56.147197	\N	e9a2cee5-fc9f-4b6e-9d14-4e52509d8919
77857	13	10627	2013-08-03 20:12:50.388068	2013-08-03 20:12:50.388068	\N	d46d0b7f-97d0-4bfa-aeb5-89ef553bd901
127266	15	15793	2013-08-03 23:34:30.756689	2013-08-03 23:34:30.756689	\N	3e7a1fd3-0474-46bf-bb2b-b0a93d544a7e
113604	13	13534	2013-08-03 22:05:22.515168	2013-08-03 22:05:22.515168	\N	71b7ba06-af98-4c14-800e-17b54a55fae0
77874	10	10678	2013-08-03 20:12:57.9008	2013-08-03 20:12:57.9008	\N	9f475331-a880-442e-b81c-703ec0e95b27
77876	10	10633	2013-08-03 20:12:58.127905	2013-08-03 20:12:58.127905	\N	19471922-4613-4c8a-9e45-b3ae9895ec6a
127267	15	15820	2013-08-03 23:34:30.835485	2013-08-03 23:34:30.835485	\N	ae4ae58f-aa5d-4825-9798-32acdbf53864
127268	11	15844	2013-08-03 23:34:30.889862	2013-08-03 23:34:30.889862	\N	62331e3c-6e4e-4c94-9dc9-9f2d89667b78
82084	11	11005	2013-08-03 20:27:45.77078	2013-08-03 20:27:45.77078	\N	8807888e-73e9-4948-b182-6b57a063fe30
103378	4	12685	2013-08-03 21:30:06.600306	2013-08-03 21:30:06.600306	\N	0404736a-cb8e-45e8-9f5d-44c9976725ed
77899	11	10639	2013-08-03 20:13:02.686589	2013-08-03 20:13:02.686589	\N	eb998577-5886-4063-ada6-8a0bb1c06e20
82088	7	11056	2013-08-03 20:27:46.404261	2013-08-03 20:27:46.404261	\N	e1e77a83-483a-414b-951f-efa37cb5f2d1
77912	9	10639	2013-08-03 20:13:04.151825	2013-08-03 20:13:04.151825	\N	61ff848d-29eb-4995-a010-fea3dc2cad09
77923	20	10639	2013-08-03 20:13:06.070876	2013-08-03 20:13:06.070876	\N	0a020ebb-d063-4308-b2a4-ad56a0a10d58
77926	20	10627	2013-08-03 20:13:06.343492	2013-08-03 20:13:06.343492	\N	4f1c82f9-432d-4eac-b9c1-3cd5f8eaf657
103380	4	12655	2013-08-03 21:30:06.658667	2013-08-03 21:30:06.658667	\N	23a6de18-ba88-4909-98cb-673c56087557
77945	17	10684	2013-08-03 20:13:10.128153	2013-08-03 20:13:10.128153	\N	7ac2834d-4d51-4f8a-b0e9-5968f66399a2
77960	5	10633	2013-08-03 20:13:13.748772	2013-08-03 20:13:13.748772	\N	afd44434-47a4-43f1-b64d-d81f8d4d7c5c
103381	4	12643	2013-08-03 21:30:06.70068	2013-08-03 21:30:06.70068	\N	84e09f21-ecee-42bc-b4a5-b604cb675ad1
77967	5	10684	2013-08-03 20:13:15.19032	2013-08-03 20:13:15.19032	\N	af55561e-ff46-408b-a7c9-b9486b392a00
77968	5	10657	2013-08-03 20:13:15.800214	2013-08-03 20:13:15.800214	\N	36533021-720d-41cb-a3e0-99b6314bec75
103382	4	12694	2013-08-03 21:30:06.75217	2013-08-03 21:30:06.75217	\N	4a812e37-a04b-40fc-846a-bca380767582
127271	8	15820	2013-08-03 23:34:31.759582	2013-08-03 23:34:31.759582	\N	f33253bf-3d3b-4019-b5ad-190f7627e31a
77993	20	10678	2013-08-03 20:13:18.634215	2013-08-03 20:13:18.634215	\N	42b79422-66dc-49fd-b9a6-bca54957618c
82116	7	11005	2013-08-03 20:27:49.902386	2013-08-03 20:27:49.902386	\N	d630dea8-4fc8-48ac-af21-31b58750160b
82117	11	11062	2013-08-03 20:27:50.047733	2013-08-03 20:27:50.047733	\N	cf8cebb5-9293-4896-9f49-d66ae2b3f1b8
143519	2	19321	2013-08-04 01:55:54.989202	2013-08-04 01:55:54.989202	\N	aad5a5dc-1f2f-448a-b316-b274d72f4e53
82120	15	11017	2013-08-03 20:27:50.285405	2013-08-03 20:27:50.285405	\N	f2e64fe2-4f7c-4c09-8e1b-fa07f686052a
85734	13	11146	2013-08-03 20:36:15.565082	2013-08-03 20:36:15.565082	\N	bed056ee-0cb4-4668-b209-50782e84f15e
82124	15	11005	2013-08-03 20:27:50.424162	2013-08-03 20:27:50.424162	\N	e7eb574d-f32f-4653-836c-8c6e8d488ee9
82125	7	11057	2013-08-03 20:27:51.392412	2013-08-03 20:27:51.392412	\N	39a1f037-ee67-470a-9ab4-894ac22dd065
127280	7	15829	2013-08-03 23:34:32.28759	2013-08-03 23:34:32.28759	\N	2845f777-6c0e-4b6e-a32a-df710e241a96
127282	19	15805	2013-08-03 23:34:36.38771	2013-08-03 23:34:36.38771	\N	9be6a7d8-7d5e-4e86-90cf-a5716b5ef2e4
94036	19	11944	2013-08-03 21:02:00.896113	2013-08-03 21:02:00.896113	\N	d436f102-8c01-4db3-8528-c1e3c36d48f2
84095	11	11143	2013-08-03 20:32:37.531191	2013-08-03 20:32:37.531191	\N	efc50e80-f939-4d0d-899d-dd76b5b809fe
107244	20	13073	2013-08-03 21:45:01.590348	2013-08-03 21:45:01.590348	\N	84057902-5553-4167-8f66-1707c7570f5e
143520	2	19372	2013-08-04 01:55:55.038004	2013-08-04 01:55:55.038004	\N	c1d15892-f3c1-45d7-97f3-a6b99336f7e0
115711	1	13828	2013-08-03 22:14:28.131671	2013-08-03 22:14:28.131671	\N	d2c05c94-3f8f-4466-b733-b72512792ff2
78029	6	10679	2013-08-03 20:13:32.546302	2013-08-03 20:13:32.546302	\N	0db00325-24ff-446b-8932-9b60f4540c1e
115712	15	13828	2013-08-03 22:14:29.011925	2013-08-03 22:14:29.011925	\N	8a85edd3-38e1-4267-b620-7606b2cc0574
78031	3	10639	2013-08-03 20:13:34.44856	2013-08-03 20:13:34.44856	\N	65423de9-cd60-404e-855d-09386fab6a83
78032	3	10627	2013-08-03 20:13:34.540593	2013-08-03 20:13:34.540593	\N	73c11045-5628-4b49-957c-48d53c21c3da
78033	3	10678	2013-08-03 20:13:34.5938	2013-08-03 20:13:34.5938	\N	e1231de9-24d5-47ab-b60c-9d703ebfcece
129777	19	16297	2013-08-03 23:55:51.681054	2013-08-03 23:55:51.681054	\N	1c8a0370-992e-4220-964f-d918d4ced071
82162	17	11017	2013-08-03 20:27:57.377825	2013-08-03 20:27:57.377825	\N	e3fdf79e-8670-466e-8b5c-bdcdc35c5c76
115720	8	13828	2013-08-03 22:14:30.115576	2013-08-03 22:14:30.115576	\N	03ddcce7-a8fa-4d2c-bb73-f822abe03a84
94078	19	11914	2013-08-03 21:02:09.489063	2013-08-03 21:02:09.489063	\N	0cfcf31a-1e88-4450-bc9f-e70ab7c80e86
111524	17	13435	2013-08-03 22:00:16.789206	2013-08-03 22:00:16.789206	\N	e0e9f1c6-0908-4212-bec7-8359faaeaf1e
82175	13	11011	2013-08-03 20:28:01.512565	2013-08-03 20:28:01.512565	\N	61a97d6d-3c85-4f99-a242-f76c2f2cfcb4
115724	2	13777	2013-08-03 22:14:30.648807	2013-08-03 22:14:30.648807	\N	d4be82a5-e545-4ca4-aa43-92bea04715eb
107291	4	13033	2013-08-03 21:45:19.130021	2013-08-03 21:45:19.130021	\N	a778fcf9-d501-42c2-af96-fd845025d645
82189	13	11017	2013-08-03 20:28:02.604401	2013-08-03 20:28:02.604401	\N	9d599b35-b968-489f-8272-6f01c651f88a
80813	19	10909	2013-08-03 20:24:15.423699	2013-08-03 20:24:15.423699	\N	54e1189f-690a-4066-8edc-4c70395373e6
80814	19	10915	2013-08-03 20:24:15.919729	2013-08-03 20:24:15.919729	\N	9cac9d04-a640-41ef-bb6b-77298a312dc1
82190	4	11013	2013-08-03 20:28:02.747207	2013-08-03 20:28:02.747207	\N	59447e4e-1d0d-4026-ae2e-17c63c74b61e
82192	13	11020	2013-08-03 20:28:03.185376	2013-08-03 20:28:03.185376	\N	408c45f8-23f5-42c5-9756-92fdce316ffa
82194	13	11032	2013-08-03 20:28:05.19766	2013-08-03 20:28:05.19766	\N	1a17f04f-880b-4d02-8d26-71974bceba22
107292	4	13072	2013-08-03 21:45:19.198911	2013-08-03 21:45:19.198911	\N	a5c9f7ad-c2fc-4059-864b-47f39c0bda0f
113687	4	13567	2013-08-03 22:05:30.880413	2013-08-03 22:05:30.880413	\N	3146f353-50e0-41e9-817c-bdd032648169
89148	19	11425	2013-08-03 20:46:54.007793	2013-08-03 20:46:54.007793	\N	ed30a635-2803-4fd8-8158-7103b5900714
113688	4	13537	2013-08-03 22:05:30.92549	2013-08-03 22:05:30.92549	\N	6aff7088-4262-4d7a-a9a8-1ba234fdfd76
113689	4	13525	2013-08-03 22:05:30.98052	2013-08-03 22:05:30.98052	\N	d0e7108c-ce4c-4488-b670-19e0f4a7f725
113690	4	13576	2013-08-03 22:05:31.051009	2013-08-03 22:05:31.051009	\N	7d8070cc-cbd3-4fd9-bb9f-620ad032d9a1
115725	2	13834	2013-08-03 22:14:30.731365	2013-08-03 22:14:30.731365	\N	573a4f33-c767-4274-8c67-ce3d20a3d884
115726	2	13828	2013-08-03 22:14:30.792373	2013-08-03 22:14:30.792373	\N	41df0da5-ee3f-4326-82e5-c4655f5a0638
115727	2	13819	2013-08-03 22:14:30.87624	2013-08-03 22:14:30.87624	\N	ab51a469-3f84-4be2-915d-cedbe24605d0
82257	17	11057	2013-08-03 20:28:12.456097	2013-08-03 20:28:12.456097	\N	fe662660-db1b-432b-ac48-011d11972a19
115728	2	13789	2013-08-03 22:14:31.18059	2013-08-03 22:14:31.18059	\N	3f38af3a-1476-4afe-b9b1-4667561de66c
129778	19	16309	2013-08-03 23:55:54.673709	2013-08-03 23:55:54.673709	\N	d4b59524-1dc1-4cb4-a446-403c4777b89c
111580	17	13453	2013-08-03 22:00:22.963278	2013-08-03 22:00:22.963278	\N	58b907fc-d12e-4786-a4af-5cef4104350f
107338	8	13073	2013-08-03 21:45:38.01443	2013-08-03 21:45:38.01443	\N	82ca18ad-e929-4738-a17f-b05acc88c8b7
89187	3	11425	2013-08-03 20:47:16.242446	2013-08-03 20:47:16.242446	\N	67233fc7-c720-4811-8ae4-8c39bb256383
89194	8	11521	2013-08-03 20:47:35.294444	2013-08-03 20:47:35.294444	\N	140c4343-9a3e-4dd3-9f73-d1dcf55a61d2
89199	8	11542	2013-08-03 20:47:35.406643	2013-08-03 20:47:35.406643	\N	56ef65ad-b4d7-4c1f-8139-2f86783f9e35
89205	7	11551	2013-08-03 20:47:36.235127	2013-08-03 20:47:36.235127	\N	e8b08b51-baca-494d-8766-346b3e82079e
82051	9	11062	2013-08-03 20:27:40.389666	2013-08-03 20:27:40.389666	\N	acf7e6e6-c937-44bc-ac86-6d32d34ab830
77922	17	10639	2013-08-03 20:13:05.911425	2013-08-03 20:13:05.911425	\N	4cad7dd6-02dd-49ac-abdb-343e5468564a
76292	12	10408	2013-08-03 20:06:15.296737	2013-08-03 20:06:15.296737	\N	f55bd686-3b00-4118-913a-b05c219bebdb
77925	11	10663	2013-08-03 20:13:06.297623	2013-08-03 20:13:06.297623	\N	41085e59-872f-4a22-ba1c-dfb832cdfd5c
80651	13	10894	2013-08-03 20:23:57.662761	2013-08-03 20:23:57.662761	\N	bb6c0d0a-e02f-4ed2-9910-644a018a0c29
83969	8	11146	2013-08-03 20:32:26.96722	2013-08-03 20:32:26.96722	\N	f1878562-33fe-440c-bcf2-fb3c72e26187
77938	9	10684	2013-08-03 20:13:08.673913	2013-08-03 20:13:08.673913	\N	34286680-c09d-4ff4-be3f-ed4e48721a00
83974	8	11143	2013-08-03 20:32:27.012787	2013-08-03 20:32:27.012787	\N	7230a38b-28b4-4828-89e7-b28941d04a20
77949	5	10642	2013-08-03 20:13:11.782961	2013-08-03 20:13:11.782961	\N	93896302-af89-4185-9178-5599834f72e5
77961	5	10681	2013-08-03 20:13:14.166281	2013-08-03 20:13:14.166281	\N	fc170ff9-67a7-48e7-a763-693539a00a43
82068	17	11056	2013-08-03 20:27:43.859144	2013-08-03 20:27:43.859144	\N	8da84dfc-d69b-4b4c-a7c5-e1992b66b6f2
77964	6	10639	2013-08-03 20:13:14.640464	2013-08-03 20:13:14.640464	\N	7b12c903-61fb-4ebc-bab1-9417b6f3fb04
83978	8	11167	2013-08-03 20:32:27.12245	2013-08-03 20:32:27.12245	\N	18149899-f911-495a-bee7-01927c629e2d
83987	7	11152	2013-08-03 20:32:28.149776	2013-08-03 20:32:28.149776	\N	c7ae79c6-a0f0-4b5c-8c6d-37e7ec4613f2
82082	11	11017	2013-08-03 20:27:45.299466	2013-08-03 20:27:45.299466	\N	95fa97b0-a0c5-44cb-84f2-9d2cd943036e
83989	7	11161	2013-08-03 20:32:28.182763	2013-08-03 20:32:28.182763	\N	495af9d5-0baf-4ea1-aee9-3e8668313ccb
113590	17	13582	2013-08-03 22:05:16.901714	2013-08-03 22:05:16.901714	\N	94c212bb-3f4f-4219-ba85-1344dd7c327c
78034	14	10679	2013-08-03 20:13:35.831873	2013-08-03 20:13:35.831873	\N	6fabb337-d848-41a5-a405-448117531b4c
82087	11	11020	2013-08-03 20:27:46.330861	2013-08-03 20:27:46.330861	\N	381557a4-bf9b-4aad-b61e-8d9b46866393
107191	2	13075	2013-08-03 21:44:45.075641	2013-08-03 21:44:45.075641	\N	0b8aa83b-98ed-498f-af45-c71942889847
83996	7	11164	2013-08-03 20:32:28.64653	2013-08-03 20:32:28.64653	\N	1191ff12-660f-49b2-bb1f-e36100aede26
83998	7	11146	2013-08-03 20:32:28.76434	2013-08-03 20:32:28.76434	\N	6d7bcbca-7870-4b1b-a396-dc8ac2ba560a
82111	11	11056	2013-08-03 20:27:49.270408	2013-08-03 20:27:49.270408	\N	ff0953a4-2d7a-497b-ad93-b9cfce09b056
82112	7	11017	2013-08-03 20:27:49.385228	2013-08-03 20:27:49.385228	\N	f5a930b7-045b-4f0d-88cb-a34a7ccaf549
84000	7	11167	2013-08-03 20:32:28.835608	2013-08-03 20:32:28.835608	\N	5531eeb8-65a6-40ab-aeaf-971d88ae51a8
82132	9	11048	2013-08-03 20:27:51.603379	2013-08-03 20:27:51.603379	\N	b3cc3629-d81a-4f8f-b9f3-61403e66adde
78068	4	10684	2013-08-03 20:13:43.955103	2013-08-03 20:13:43.955103	\N	09e941d7-a085-406a-ab6f-4fa864af944e
84007	7	11182	2013-08-03 20:32:29.052256	2013-08-03 20:32:29.052256	\N	57a84374-d3a1-4fb7-b2d0-da19992734ba
107193	14	13033	2013-08-03 21:44:45.394825	2013-08-03 21:44:45.394825	\N	c3435966-cceb-46bd-8111-b5598c771c77
84012	17	11182	2013-08-03 20:32:29.24848	2013-08-03 20:32:29.24848	\N	0318721b-e78f-4f28-b076-b529f9e4d079
82163	17	11005	2013-08-03 20:27:57.576537	2013-08-03 20:27:57.576537	\N	2b5db46e-92f0-47d0-895b-582e9aa0ae1e
92321	5	11692	2013-08-03 20:55:13.508746	2013-08-03 20:55:13.508746	\N	6ad50dfe-77b4-4801-b211-922ff7d87fd3
113592	16	13567	2013-08-03 22:05:18.347054	2013-08-03 22:05:18.347054	\N	654484cd-668f-4bb6-aca7-4ce531ddeba2
89163	11	11425	2013-08-03 20:47:10.335104	2013-08-03 20:47:10.335104	\N	1ce7155d-e6f6-4015-950e-0263ea5ebc9d
80812	19	10906	2013-08-03 20:24:14.97885	2013-08-03 20:24:14.97885	\N	3e822000-2e36-4666-8b80-29e179c8736c
92335	5	11668	2013-08-03 20:55:13.912902	2013-08-03 20:55:13.912902	\N	825bb478-579c-4c40-8980-a66937b7c449
92339	5	11671	2013-08-03 20:55:14.877366	2013-08-03 20:55:14.877366	\N	7b8e7495-8569-4a02-bb7e-537027e790fe
82193	13	11026	2013-08-03 20:28:04.075311	2013-08-03 20:28:04.075311	\N	9e4c5ddf-59b0-471e-8f4e-758148fb04e4
113593	16	13534	2013-08-03 22:05:18.501289	2013-08-03 22:05:18.501289	\N	d02db221-5c60-4243-b877-12fb0e030a6d
107205	6	13072	2013-08-03 21:44:49.081791	2013-08-03 21:44:49.081791	\N	27b48e5f-f2ae-44a1-8dbb-e14307f1b2f7
101401	14	12443	2013-08-03 21:23:21.985847	2013-08-03 21:23:21.985847	\N	bf98fbe2-66bf-4ebf-864b-33e753170cf5
92355	8	11665	2013-08-03 20:55:18.044633	2013-08-03 20:55:18.044633	\N	a23eb636-ee89-4c37-8832-eb2dae6bd4aa
89188	2	11530	2013-08-03 20:47:33.337389	2013-08-03 20:47:33.337389	\N	3db181ab-b3ce-44a7-bba8-f2d9ed34e0e3
89189	2	11561	2013-08-03 20:47:33.366428	2013-08-03 20:47:33.366428	\N	33426976-b783-4b98-b3d0-390eb04873f7
89190	2	11542	2013-08-03 20:47:33.402199	2013-08-03 20:47:33.402199	\N	ac585b2a-d425-45a3-b9ca-4bf2b11207d8
89191	2	11560	2013-08-03 20:47:33.443269	2013-08-03 20:47:33.443269	\N	2e8460c1-255b-47e4-bf7d-0e2dd5d7695e
89192	2	11566	2013-08-03 20:47:33.490092	2013-08-03 20:47:33.490092	\N	8d48ad97-6c1d-440f-ba58-18aa44add732
89195	8	11530	2013-08-03 20:47:35.29521	2013-08-03 20:47:35.29521	\N	aa8c39aa-aa7a-4f4d-be20-5bd98b50160a
84115	11	11149	2013-08-03 20:32:39.18559	2013-08-03 20:32:39.18559	\N	6f99aa6e-fb45-4039-bf84-fe4bdd4aab16
87454	3	11290	2013-08-03 20:41:11.654006	2013-08-03 20:41:11.654006	\N	e2a1be9b-de2c-4db6-8f5b-9dfae7c8e6f2
89200	8	11539	2013-08-03 20:47:35.418395	2013-08-03 20:47:35.418395	\N	e500cdf3-225c-428a-8526-51078b2a1e30
84132	11	11164	2013-08-03 20:32:40.845484	2013-08-03 20:32:40.845484	\N	15af22e0-6053-429c-a679-99fa822abf60
94067	19	11908	2013-08-03 21:02:08.456422	2013-08-03 21:02:08.456422	\N	55ca60c8-765d-4602-81ec-602108dea506
115708	8	13819	2013-08-03 22:14:27.714831	2013-08-03 22:14:27.714831	\N	5fa314f4-b3db-4a92-b7bd-93b82351ada0
84135	11	11167	2013-08-03 20:32:41.375558	2013-08-03 20:32:41.375558	\N	89313ef9-3500-42e3-8ca9-4f009553acb2
89239	20	11560	2013-08-03 20:47:41.437298	2013-08-03 20:47:41.437298	\N	df686079-3f37-4c45-9047-8d96c7407d36
84141	11	11188	2013-08-03 20:32:42.980086	2013-08-03 20:32:42.980086	\N	2918bae7-c361-4cfb-ade2-9cf867f42796
84142	6	11188	2013-08-03 20:32:43.039769	2013-08-03 20:32:43.039769	\N	a53a489f-4070-4506-8f3b-dc3b6cdb9e3f
82307	8	11057	2013-08-03 20:28:22.703654	2013-08-03 20:28:22.703654	\N	119cfb23-d713-4b85-9f95-f47cf0214484
113600	16	13579	2013-08-03 22:05:19.100351	2013-08-03 22:05:19.100351	\N	713ba17d-aedf-4a94-bacc-41f7660f7cf4
85711	2	11175	2013-08-03 20:36:11.252612	2013-08-03 20:36:11.252612	\N	6cf302e8-142a-4b25-8ca3-2d5916872a75
107213	17	13073	2013-08-03 21:44:51.912736	2013-08-03 21:44:51.912736	\N	2f3a1ea7-066c-4d24-a118-45e12328d48e
107218	15	13072	2013-08-03 21:44:53.932432	2013-08-03 21:44:53.932432	\N	53e3c3db-44d6-4beb-8be6-1431c9cd1e46
89253	2	11539	2013-08-03 20:47:43.594754	2013-08-03 20:47:43.594754	\N	8219cdb4-459a-4bfa-9646-0b1ce74208bb
107219	11	13030	2013-08-03 21:44:54.645846	2013-08-03 21:44:54.645846	\N	69f1deb0-10e2-424f-90e3-63df4269ec02
113602	12	13576	2013-08-03 22:05:22.099313	2013-08-03 22:05:22.099313	\N	c283ac50-2390-4904-89d1-709aca9e8375
113603	13	13567	2013-08-03 22:05:22.212908	2013-08-03 22:05:22.212908	\N	a6f05a3d-c2ea-417f-80c0-6ebb4bca7359
115714	8	13777	2013-08-03 22:14:29.650909	2013-08-03 22:14:29.650909	\N	03296af9-fa93-4847-a9a0-33902d0f60eb
115719	8	13834	2013-08-03 22:14:30.109741	2013-08-03 22:14:30.109741	\N	59911b12-4c1a-4123-9ffb-cd75400cb86b
107236	11	13072	2013-08-03 21:44:58.811985	2013-08-03 21:44:58.811985	\N	9ba0f7ac-c182-4728-8293-df1e9a4d1cd5
89268	7	11539	2013-08-03 20:47:44.260227	2013-08-03 20:47:44.260227	\N	3c4e57ca-058c-49ae-b5e1-6561b918d924
89269	7	11530	2013-08-03 20:47:44.45853	2013-08-03 20:47:44.45853	\N	0e8214e0-5413-4912-a6d1-05498a1ddded
115735	14	13789	2013-08-03 22:14:33.10772	2013-08-03 22:14:33.10772	\N	781edde6-9c5d-47d1-90da-afefd3d991f3
103441	10	12643	2013-08-03 21:30:21.752762	2013-08-03 21:30:21.752762	\N	d9b019f6-8567-473d-947a-9f76492d54cb
89275	9	11566	2013-08-03 20:47:44.832009	2013-08-03 20:47:44.832009	\N	0f63281e-8861-456e-be7d-38b1b469a2ce
89278	7	11536	2013-08-03 20:47:44.987917	2013-08-03 20:47:44.987917	\N	55547edd-0816-4d46-be28-a0e908eba5dd
113625	10	13561	2013-08-03 22:05:23.854483	2013-08-03 22:05:23.854483	\N	76d8e2c5-6308-40e8-93ca-85a68083aca8
84226	15	11188	2013-08-03 20:32:50.473232	2013-08-03 20:32:50.473232	\N	4e438bdd-d8b3-4875-b21a-28f2426e7a87
113627	10	13576	2013-08-03 22:05:24.056325	2013-08-03 22:05:24.056325	\N	ca618e0e-ce1f-4b87-9374-e0782751167f
113628	10	13525	2013-08-03 22:05:24.169198	2013-08-03 22:05:24.169198	\N	663b9e41-4e9d-4eef-beb7-be9f8ef127ed
120106	4	14332	2013-08-03 22:35:41.383106	2013-08-03 22:35:41.383106	\N	d01964b5-c006-4e8b-a9a7-7d60752ccce9
82423	1	11057	2013-08-03 20:28:43.375415	2013-08-03 20:28:43.375415	\N	52ba800d-1255-4e64-bc8b-5e1abe9d68fa
132478	7	17065	2013-08-04 00:25:51.557707	2013-08-04 00:25:51.557707	\N	d3e96fe1-83db-4f46-aab0-461989637436
132479	15	17053	2013-08-04 00:25:52.663875	2013-08-04 00:25:52.663875	\N	04a84788-e66f-4ab1-bd77-2124cad370b4
89301	9	11542	2013-08-03 20:47:46.230967	2013-08-03 20:47:46.230967	\N	622ec504-e8ed-48b4-a2e4-548be3cc9512
90841	16	11509	2013-08-03 20:50:40.851885	2013-08-03 20:50:40.851885	\N	a73a1996-b9fe-4020-b871-aabe1041f45e
89303	9	11551	2013-08-03 20:47:47.413639	2013-08-03 20:47:47.413639	\N	fb389b94-7b46-4276-aab4-923c6a9a8e45
115742	9	13829	2013-08-03 22:14:34.999164	2013-08-03 22:14:34.999164	\N	45ebe557-cc29-48d8-9bd9-9997be08f925
132485	17	17065	2013-08-04 00:25:54.41735	2013-08-04 00:25:54.41735	\N	b7d42e4f-6e1c-4421-8c3c-4e0e25aa84aa
84258	9	11174	2013-08-03 20:32:51.624932	2013-08-03 20:32:51.624932	\N	97b6b53d-e3f1-4e1e-b741-1d7b5f993ba6
120142	12	14323	2013-08-03 22:35:52.585892	2013-08-03 22:35:52.585892	\N	b81bd61a-b823-4a7a-b7b9-a06ed971bc32
89335	6	11551	2013-08-03 20:47:53.292145	2013-08-03 20:47:53.292145	\N	952393e1-eade-4c9a-952f-13e05c0d58ee
90848	16	11563	2013-08-03 20:50:41.806231	2013-08-03 20:50:41.806231	\N	891fba54-5665-444c-ac71-4704282cf9f3
115752	13	13777	2013-08-03 22:14:38.265542	2013-08-03 22:14:38.265542	\N	08233bcc-0ed4-45c0-a483-56c75a0486fc
82466	19	11026	2013-08-03 20:28:51.079508	2013-08-03 20:28:51.079508	\N	ee771ddc-353b-46a4-bb5e-c42ad4ea4261
107330	17	13042	2013-08-03 21:45:35.391119	2013-08-03 21:45:35.391119	\N	2149af57-e533-4616-852b-ab9c99197591
127264	15	15805	2013-08-03 23:34:30.572756	2013-08-03 23:34:30.572756	\N	e43d3d6b-4e3b-4711-bf87-b448845a2bcf
115765	9	13828	2013-08-03 22:14:43.344175	2013-08-03 22:14:43.344175	\N	9404cdfb-ced9-4246-ad20-ad60808ba797
115769	17	13819	2013-08-03 22:14:44.447675	2013-08-03 22:14:44.447675	\N	419cc57d-1d43-4234-b757-525a3114245e
124876	14	15316	2013-08-03 23:17:59.252804	2013-08-03 23:17:59.252804	\N	cc9dbde7-7be8-4e83-a11c-52e8a35b4e0b
111591	5	13408	2013-08-03 22:00:23.79686	2013-08-03 22:00:23.79686	\N	f73de3f2-a7be-46d2-9b4a-c1e7d00ad891
89392	6	11560	2013-08-03 20:48:01.897739	2013-08-03 20:48:01.897739	\N	9ae0b4e9-4ce0-4b5b-ac96-cbac117b34ef
89393	11	11536	2013-08-03 20:48:01.982045	2013-08-03 20:48:01.982045	\N	ad7761c5-6a3b-4078-9bdb-3c22879ec27e
129780	13	16348	2013-08-03 23:55:57.000277	2013-08-03 23:55:57.000277	\N	84d0b595-d9fa-42d0-956c-094b320e5724
115794	16	13819	2013-08-03 22:14:50.697528	2013-08-03 22:14:50.697528	\N	b38d8216-acbf-4163-90bb-4ccb66db957a
97920	8	12316	2013-08-03 21:14:25.280266	2013-08-03 21:14:25.280266	\N	364f8731-744d-4674-a1ff-f7d78c14777e
84396	9	11182	2013-08-03 20:33:12.521873	2013-08-03 20:33:12.521873	\N	2f7b5dc8-f504-4978-8101-b9e4f92f71a9
107192	9	13033	2013-08-03 21:44:45.156535	2013-08-03 21:44:45.156535	\N	e4a6311b-2ce0-428c-ba57-c53bf9ef4372
109301	3	13183	2013-08-03 21:53:09.696629	2013-08-03 21:53:09.696629	\N	f9163d03-582d-4ea6-a71a-1938636890fa
107200	13	13072	2013-08-03 21:44:47.32707	2013-08-03 21:44:47.32707	\N	1a088362-30b1-4321-9c7b-3526eb2eab1a
89196	8	11560	2013-08-03 20:47:35.294962	2013-08-03 20:47:35.294962	\N	3152031a-69bd-4c6f-b265-3d431de24ea4
89202	8	11545	2013-08-03 20:47:35.422982	2013-08-03 20:47:35.422982	\N	73a23ebb-7039-4231-96d8-6b0dcc077b54
89207	7	11553	2013-08-03 20:47:36.522566	2013-08-03 20:47:36.522566	\N	3ca2db0e-8728-4e3a-95a0-63d66ddd0ba0
107201	13	13075	2013-08-03 21:44:47.661434	2013-08-03 21:44:47.661434	\N	7a0d6d8b-51f7-46d8-9bc0-0e5a73ee00cd
84107	11	11131	2013-08-03 20:32:38.064511	2013-08-03 20:32:38.064511	\N	9a2b2f53-5747-4db1-a3fc-9281767fcc83
89209	16	11521	2013-08-03 20:47:36.66429	2013-08-03 20:47:36.66429	\N	005e5e0d-08e6-479d-9e02-cedcd0bf11a5
84109	11	11146	2013-08-03 20:32:38.532451	2013-08-03 20:32:38.532451	\N	1b0fe577-bdf3-4829-a9b0-9d9ef8b9d3a5
107202	13	13078	2013-08-03 21:44:47.949814	2013-08-03 21:44:47.949814	\N	30c50a54-831c-4923-b384-7c35d9e43c38
82245	2	11013	2013-08-03 20:28:11.504345	2013-08-03 20:28:11.504345	\N	1099cacc-94de-410c-83d8-f9a0bd521037
84111	4	11143	2013-08-03 20:32:38.986781	2013-08-03 20:32:38.986781	\N	8b6ad094-ecf3-4c43-8120-f56b6994c49c
84112	4	11131	2013-08-03 20:32:39.047463	2013-08-03 20:32:39.047463	\N	cb132299-7cba-42da-b155-80520de684ec
84113	4	11164	2013-08-03 20:32:39.106261	2013-08-03 20:32:39.106261	\N	ed800a73-c4d3-48a3-8291-1570a618d53b
84114	4	11182	2013-08-03 20:32:39.153324	2013-08-03 20:32:39.153324	\N	a9ad0521-2658-4fde-96c0-319e60bc2a87
84116	4	11188	2013-08-03 20:32:39.189884	2013-08-03 20:32:39.189884	\N	9f13808d-888d-49b9-a673-d5399bfe7e08
107206	6	13033	2013-08-03 21:44:51.027243	2013-08-03 21:44:51.027243	\N	ad7a932a-db5d-413a-b3c9-1f1e8c3edd0f
84118	11	11152	2013-08-03 20:32:39.813907	2013-08-03 20:32:39.813907	\N	b2b41414-e2ec-404f-b275-d427450994f5
132480	15	17065	2013-08-04 00:25:52.665152	2013-08-04 00:25:52.665152	\N	320b0e6d-6ed9-49e1-a597-e4ad25675953
113608	10	13546	2013-08-03 22:05:23.579507	2013-08-03 22:05:23.579507	\N	df45eb19-3968-40c6-934d-5426bd4688ec
109304	3	13156	2013-08-03 21:53:09.803468	2013-08-03 21:53:09.803468	\N	b23bb932-aa1f-4070-b734-71a165f14d2d
94079	19	11917	2013-08-03 21:02:09.849787	2013-08-03 21:02:09.849787	\N	0d7a0e3c-5257-4df2-b604-84a8d08d780c
89243	19	11551	2013-08-03 20:47:41.758758	2013-08-03 20:47:41.758758	\N	e1fe274e-4a61-4c59-bb63-b3058d4204c1
107243	7	13072	2013-08-03 21:45:00.755836	2013-08-03 21:45:00.755836	\N	e897494a-c9f4-4492-9387-86b1bf846da6
89254	9	11552	2013-08-03 20:47:43.600901	2013-08-03 20:47:43.600901	\N	a92cf368-97f1-4ebd-8712-264e610dd2c8
109305	3	13159	2013-08-03 21:53:09.850616	2013-08-03 21:53:09.850616	\N	572ef52f-9b34-42af-8368-8f35bf092452
109306	3	13168	2013-08-03 21:53:09.897908	2013-08-03 21:53:09.897908	\N	8767fdf6-b09e-45a7-81ef-5cf79895e43a
109307	3	13201	2013-08-03 21:53:09.946698	2013-08-03 21:53:09.946698	\N	933c0236-debc-4350-88ac-fe917e8797b8
115731	20	13828	2013-08-03 22:14:31.796363	2013-08-03 22:14:31.796363	\N	1521805e-e538-4e0d-b3da-6a07cd50a62b
89325	15	11560	2013-08-03 20:47:51.308439	2013-08-03 20:47:51.308439	\N	71db4c75-d16c-4ec6-bade-2732f6fb83ca
89326	15	11566	2013-08-03 20:47:52.246582	2013-08-03 20:47:52.246582	\N	1aa41a5b-dbd6-4c73-ba34-65771443010b
122558	19	14962	2013-08-03 23:01:49.783759	2013-08-03 23:01:49.783759	\N	6bee2e19-f012-44b5-87ab-fd275981f979
92444	7	11665	2013-08-03 20:55:32.454781	2013-08-03 20:55:32.454781	\N	bf310e0c-2585-4066-b56b-fbe54d87e59d
107273	19	13073	2013-08-03 21:45:12.884251	2013-08-03 21:45:12.884251	\N	3ddacadf-fa8d-475a-9fb8-2c9531b35ea1
82374	19	11005	2013-08-03 20:28:34.798836	2013-08-03 20:28:34.798836	\N	5dbdc303-59f6-4ab5-a786-29c859d58f28
115750	7	13777	2013-08-03 22:14:37.151961	2013-08-03 22:14:37.151961	\N	17d57699-391c-4f7d-bf9f-add7c428c306
89345	6	11542	2013-08-03 20:47:53.88163	2013-08-03 20:47:53.88163	\N	1fe24229-5d56-433f-8702-51938e80d1b1
89346	6	11521	2013-08-03 20:47:54.056784	2013-08-03 20:47:54.056784	\N	224a9678-5e98-4106-af09-c744d1dc0d7d
89347	6	11566	2013-08-03 20:47:55.464662	2013-08-03 20:47:55.464662	\N	b60df308-8878-4d03-85c9-fd55bbf902c0
113626	10	13577	2013-08-03 22:05:23.962364	2013-08-03 22:05:23.962364	\N	0d2d81a2-8d8c-4dbc-9445-34c50ec9a307
127291	19	15820	2013-08-03 23:34:40.036961	2013-08-03 23:34:40.036961	\N	3008c8be-14dc-4df5-9ea7-0cdf8443f9da
99700	2	12448	2013-08-03 21:19:26.833446	2013-08-03 21:19:26.833446	\N	f9672fa9-3434-44d1-bc43-55bd6f6cb5cc
99701	2	12412	2013-08-03 21:19:26.880492	2013-08-03 21:19:26.880492	\N	77719eea-ae68-4f61-81b1-0ddc301e5d34
99702	2	12403	2013-08-03 21:19:26.916259	2013-08-03 21:19:26.916259	\N	3a5ecfd1-f2b6-4dee-81ae-a255d5ce39ef
84277	15	11131	2013-08-03 20:32:54.551351	2013-08-03 20:32:54.551351	\N	67f089a2-1acb-4d3e-8b60-3a4b6200bd97
89378	11	11521	2013-08-03 20:47:59.75703	2013-08-03 20:47:59.75703	\N	2832f8b3-34ab-4b8a-a2e7-e8fc4c511ee6
99703	2	12421	2013-08-03 21:19:26.951477	2013-08-03 21:19:26.951477	\N	13bf761d-3813-4f95-aba7-9a20707d464a
99704	2	12442	2013-08-03 21:19:26.991156	2013-08-03 21:19:26.991156	\N	846f077d-9d22-48ec-8739-f210dfe136c6
99705	2	12445	2013-08-03 21:19:27.024306	2013-08-03 21:19:27.024306	\N	2395d2dc-8e2e-4ab2-b629-cdb3cd48a643
99706	7	12442	2013-08-03 21:19:27.063011	2013-08-03 21:19:27.063011	\N	f3a70304-a9de-45ad-b1cc-d6a37deca637
99707	8	12418	2013-08-03 21:19:27.136051	2013-08-03 21:19:27.136051	\N	b7b98f19-453f-49fd-9712-397199b56ff1
82441	19	11056	2013-08-03 20:28:47.039265	2013-08-03 20:28:47.039265	\N	7394ae36-925c-47c0-b797-97578694e845
82443	19	11062	2013-08-03 20:28:47.807632	2013-08-03 20:28:47.807632	\N	a41180c3-e411-44be-930f-04e8d4b05755
99709	8	12427	2013-08-03 21:19:27.477344	2013-08-03 21:19:27.477344	\N	c998c554-9954-46b4-81b1-6c5dee93ee62
132483	2	17065	2013-08-04 00:25:54.021669	2013-08-04 00:25:54.021669	\N	8cef1e6f-0b27-4faf-a6e2-3c777b4df921
127304	9	15793	2013-08-03 23:34:43.261376	2013-08-03 23:34:43.261376	\N	36e4ef24-dbeb-4707-a3d0-04211fe2d137
82460	19	11020	2013-08-03 20:28:50.351639	2013-08-03 20:28:50.351639	\N	62613910-6d62-4196-a48c-095b39252499
82468	19	11032	2013-08-03 20:28:51.621691	2013-08-03 20:28:51.621691	\N	107ad0e7-04b1-402c-a135-83221cbce194
127305	9	15845	2013-08-03 23:34:43.478065	2013-08-03 23:34:43.478065	\N	e57e1f85-13bb-4ac8-8fa0-c9383c6e5b9a
82471	19	11041	2013-08-03 20:28:52.599906	2013-08-03 20:28:52.599906	\N	1dfc18e9-748e-412c-8f52-616e45aca080
115763	2	13798	2013-08-03 22:14:41.411684	2013-08-03 22:14:41.411684	\N	5569d2ac-6753-4ff0-95d4-1057d41c1716
89427	11	11561	2013-08-03 20:48:03.892142	2013-08-03 20:48:03.892142	\N	2dd54f91-50d2-43ad-944e-2a04defe189c
89428	4	11517	2013-08-03 20:48:04.005145	2013-08-03 20:48:04.005145	\N	87fc6eca-68d3-4f33-932d-1a7a5788b523
115772	7	13789	2013-08-03 22:14:45.970319	2013-08-03 22:14:45.970319	\N	6d36c340-2c0d-42d9-a9df-fda3f3cc574f
99734	7	12445	2013-08-03 21:19:28.518564	2013-08-03 21:19:28.518564	\N	752fc0fd-7393-4731-bec0-7d1089aeddb5
99737	9	12391	2013-08-03 21:19:28.701506	2013-08-03 21:19:28.701506	\N	2affd423-a392-46a0-8fb6-f4083cecc685
99738	7	12427	2013-08-03 21:19:28.773187	2013-08-03 21:19:28.773187	\N	04fc89de-89a3-49e6-95d4-44114c380ff2
97921	8	12277	2013-08-03 21:14:25.283609	2013-08-03 21:14:25.283609	\N	b8512407-a6a7-4355-bca7-35eb423f61b7
129783	6	16297	2013-08-03 23:55:58.806748	2013-08-03 23:55:58.806748	\N	5f9b2ded-3b66-43dc-865f-28ac57dc20c2
127313	13	15805	2013-08-03 23:34:46.960203	2013-08-03 23:34:46.960203	\N	7a02286c-13b5-49c3-86f7-fa477e628592
89473	12	11551	2013-08-03 20:48:09.456806	2013-08-03 20:48:09.456806	\N	2534dee0-4543-4ff1-b15e-c864133b1ea9
89474	12	11521	2013-08-03 20:48:10.049263	2013-08-03 20:48:10.049263	\N	2e6d270b-206d-42a1-8c7f-db305f9dc6a5
99741	7	12403	2013-08-03 21:19:29.256381	2013-08-03 21:19:29.256381	\N	cf206833-2a62-44b1-add3-0e372aa869ec
89476	17	11551	2013-08-03 20:48:10.2833	2013-08-03 20:48:10.2833	\N	4d500116-c0d7-4e97-bd69-0d57cd645d48
99742	9	12443	2013-08-03 21:19:30.874621	2013-08-03 21:19:30.874621	\N	570d6778-b7f4-4fd1-b501-5063d38994fb
86032	8	11287	2013-08-03 20:37:38.117899	2013-08-03 20:37:38.117899	\N	e3c6ca71-76c1-4a6b-91da-af8a201f9f53
97931	20	12307	2013-08-03 21:14:27.25745	2013-08-03 21:14:27.25745	\N	3adea3ee-3e7a-4794-8d17-132e691ec123
97932	20	12277	2013-08-03 21:14:27.529305	2013-08-03 21:14:27.529305	\N	5cc93948-ae8c-436b-961b-815e3350aa26
132484	2	17053	2013-08-04 00:25:54.089403	2013-08-04 00:25:54.089403	\N	b1fce96d-b139-4685-8569-a00822e53c52
86057	2	11278	2013-08-03 20:37:42.401524	2013-08-03 20:37:42.401524	\N	6990c616-a7c1-4313-9254-5bd8512af132
87735	8	11413	2013-08-03 20:42:33.061864	2013-08-03 20:42:33.061864	\N	e4c2e91f-d3d7-4918-a13b-926963a1200c
86059	2	11309	2013-08-03 20:37:42.44539	2013-08-03 20:37:42.44539	\N	886cf6cf-2296-4806-b9e8-1f0efb394100
87740	8	11398	2013-08-03 20:42:33.150357	2013-08-03 20:42:33.150357	\N	4f9441d9-ad9e-402d-bc04-a87bb5d24c53
109372	10	13147	2013-08-03 21:53:27.320759	2013-08-03 21:53:27.320759	\N	4d5e798f-dd63-45da-8fce-7f80d3d9832d
87769	9	11440	2013-08-03 20:42:38.060334	2013-08-03 20:42:38.060334	\N	8cffd869-71c8-466f-9437-ec64aa7f87c4
87771	17	11413	2013-08-03 20:42:39.0825	2013-08-03 20:42:39.0825	\N	d3c54737-ee94-4681-a99a-ce82151d806d
97951	13	12277	2013-08-03 21:14:31.005731	2013-08-03 21:14:31.005731	\N	5a69b6d9-afde-400b-ab47-3191d2e5324b
86086	4	11265	2013-08-03 20:37:46.849171	2013-08-03 20:37:46.849171	\N	c893464c-8937-4838-8823-dd19d2628256
84475	19	11164	2013-08-03 20:33:24.0194	2013-08-03 20:33:24.0194	\N	43785c89-952f-4e37-9a78-51a2594f760c
89519	20	11551	2013-08-03 20:48:16.148737	2013-08-03 20:48:16.148737	\N	a5dfcad1-d00f-4cdf-98d9-10e7cb834af6
89520	17	11509	2013-08-03 20:48:16.477773	2013-08-03 20:48:16.477773	\N	5a59346b-448d-4d7f-86c8-50233c863fcc
97952	7	12286	2013-08-03 21:14:32.171799	2013-08-03 21:14:32.171799	\N	f3be28fc-83cc-45ce-845c-73928df37e7a
86113	15	11308	2013-08-03 20:37:50.793618	2013-08-03 20:37:50.793618	\N	447b7cad-79be-4d1a-b62d-2516d395efca
86118	7	11308	2013-08-03 20:37:52.052043	2013-08-03 20:37:52.052043	\N	495f5c99-7df2-4aeb-9809-70b5f15cd7e1
132490	12	17065	2013-08-04 00:25:56.198376	2013-08-04 00:25:56.198376	\N	9b9b1c0c-d48c-4bad-878b-cbe62bb15ed7
127344	17	15820	2013-08-03 23:34:52.896132	2013-08-03 23:34:52.896132	\N	fc4c399d-c35c-4545-9654-4c752575d81e
87820	2	11434	2013-08-03 20:42:45.821164	2013-08-03 20:42:45.821164	\N	a8c33030-f280-4088-a63d-24e4efe58da5
84553	19	11188	2013-08-03 20:33:30.5214	2013-08-03 20:33:30.5214	\N	20311547-9d22-4311-9d65-02be4450244e
107367	11	13073	2013-08-03 21:45:47.748046	2013-08-03 21:45:47.748046	\N	fc2f6441-69be-40a7-9832-a68d152fb0bf
89571	15	11509	2013-08-03 20:48:21.657451	2013-08-03 20:48:21.657451	\N	d40f4200-94d6-479b-9ae3-633ebc429dd9
86152	7	11269	2013-08-03 20:37:55.619276	2013-08-03 20:37:55.619276	\N	6573c890-72f7-478e-b541-9a9e916fcb17
97962	8	12317	2013-08-03 21:14:33.588336	2013-08-03 21:14:33.588336	\N	d1446186-9f65-4906-929b-f2fa92a609a4
97963	17	12316	2013-08-03 21:14:33.727562	2013-08-03 21:14:33.727562	\N	90e3875a-317c-44a2-b719-6924782a4216
118024	8	14080	2013-08-03 22:24:25.889841	2013-08-03 22:24:25.889841	\N	550f59f2-03c5-41c0-9db9-3b2ed977f794
84584	17	11143	2013-08-03 20:33:31.954014	2013-08-03 20:33:31.954014	\N	95300100-d18b-4a93-beb4-c42e2fa245fa
82788	7	11013	2013-08-03 20:29:22.328009	2013-08-03 20:29:22.328009	\N	648a1566-6a49-4189-a3a5-734d122b116f
82258	6	11011	2013-08-03 20:28:13.212247	2013-08-03 20:28:13.212247	\N	a8ebb8cd-c5e1-4f9c-b55f-90934cede1af
111558	17	13450	2013-08-03 22:00:20.893883	2013-08-03 22:00:20.893883	\N	8bf2c608-af16-4567-937a-d20cd309efc8
113652	13	13546	2013-08-03 22:05:26.850887	2013-08-03 22:05:26.850887	\N	edd7d458-afcf-4747-a951-31a609a0047f
115733	5	13834	2013-08-03 22:14:32.453398	2013-08-03 22:14:32.453398	\N	809dc7c0-43fb-4945-bebf-c0b4b70dab32
115734	15	13777	2013-08-03 22:14:32.926798	2013-08-03 22:14:32.926798	\N	556f72d5-9ba4-4bd0-834c-f4f969a728a4
107251	7	13042	2013-08-03 21:45:01.824114	2013-08-03 21:45:01.824114	\N	6ddfa520-4e24-43cd-a0ba-6911df20ee1d
107252	9	13073	2013-08-03 21:45:03.251974	2013-08-03 21:45:03.251974	\N	41ef6b7f-18d8-4266-9d3b-b88ed7a1b4f6
115743	13	13789	2013-08-03 22:14:35.784557	2013-08-03 22:14:35.784557	\N	b5855580-c562-43ab-9806-5e1e92c2671e
129782	18	16305	2013-08-03 23:55:58.775726	2013-08-03 23:55:58.775726	\N	60f6bad7-a65c-4917-9588-34318b877941
179762	14	23419	2013-08-04 18:37:06.940909	2013-08-04 18:37:06.940909	\N	51349109-34a7-48b6-b967-d8943cc076e8
89193	19	11542	2013-08-03 20:47:34.050023	2013-08-03 20:47:34.050023	\N	9c181f38-ec02-4ba9-a0f2-431b4b4c9609
89198	8	11566	2013-08-03 20:47:35.296402	2013-08-03 20:47:35.296402	\N	6d7e4311-24df-4f6f-9820-0bd1a23a3b94
89203	7	11560	2013-08-03 20:47:36.062209	2013-08-03 20:47:36.062209	\N	5990acff-110f-4d7b-b457-4f66d9a144bb
89204	20	11542	2013-08-03 20:47:36.184379	2013-08-03 20:47:36.184379	\N	52324951-7d35-478a-97a4-6836286ad853
84225	15	11164	2013-08-03 20:32:50.47227	2013-08-03 20:32:50.47227	\N	03ea13d5-6039-451f-81ba-35f4d854b67c
107266	7	13078	2013-08-03 21:45:08.747073	2013-08-03 21:45:08.747073	\N	c46915d6-d1e4-4f32-81cc-2c083455ff7e
107278	10	13033	2013-08-03 21:45:15.343728	2013-08-03 21:45:15.343728	\N	61449ab9-904a-49dc-a8c6-10f132d62267
89212	16	11536	2013-08-03 20:47:36.823277	2013-08-03 20:47:36.823277	\N	2333267a-1ea9-4411-ae30-ee57c22454c5
89215	16	11539	2013-08-03 20:47:37.007157	2013-08-03 20:47:37.007157	\N	ed9feec1-dcf6-4862-98a4-c188c3c0621b
89217	16	11545	2013-08-03 20:47:37.413752	2013-08-03 20:47:37.413752	\N	b1d8bc89-96b5-4530-8e5f-cc1b1ec8faf8
89218	16	11560	2013-08-03 20:47:37.604318	2013-08-03 20:47:37.604318	\N	334a05a2-7f70-4c4f-8498-fc73322f53d6
82405	3	11005	2013-08-03 20:28:38.783186	2013-08-03 20:28:38.783186	\N	2a324f11-8eb4-44b0-88ce-7fd49ad301b3
82406	3	11017	2013-08-03 20:28:38.842174	2013-08-03 20:28:38.842174	\N	23309b09-b796-4650-b09e-db7250dfde4d
82407	3	11056	2013-08-03 20:28:38.899251	2013-08-03 20:28:38.899251	\N	b3456e82-08f8-4ee9-8752-670d7f82511a
89219	16	11566	2013-08-03 20:47:37.758431	2013-08-03 20:47:37.758431	\N	2a207bd8-f05c-4e0f-a0da-3c4b69d159e8
84264	14	11143	2013-08-03 20:32:54.198355	2013-08-03 20:32:54.198355	\N	17f5cd51-9d68-4b42-8b61-b9765dd7797f
84265	14	11164	2013-08-03 20:32:54.236882	2013-08-03 20:32:54.236882	\N	940a8abf-4d8a-4452-8577-2e8615abae30
89220	7	11561	2013-08-03 20:47:38.461062	2013-08-03 20:47:38.461062	\N	23c76214-f0f5-4118-8ca9-86f21f8d3249
97735	13	12160	2013-08-03 21:13:21.665806	2013-08-03 21:13:21.665806	\N	97719501-8b7b-445b-a083-3377aece91af
107279	10	13042	2013-08-03 21:45:15.503998	2013-08-03 21:45:15.503998	\N	6cd8de86-a191-49a3-a898-19d2bb517ce8
89236	7	11521	2013-08-03 20:47:39.861771	2013-08-03 20:47:39.861771	\N	a23fc9eb-8cc9-41b3-9d7a-e4714056f395
84289	2	11182	2013-08-03 20:32:59.167966	2013-08-03 20:32:59.167966	\N	6d7faf5e-1072-458a-a5b1-9f714c137fc1
82438	6	11062	2013-08-03 20:28:44.985847	2013-08-03 20:28:44.985847	\N	8089b571-481e-4980-98ef-c0db4c05d850
89237	19	11560	2013-08-03 20:47:40.17923	2013-08-03 20:47:40.17923	\N	fab364cc-f0ef-4c57-8a18-ed8f009a5e9b
89238	19	11566	2013-08-03 20:47:40.960565	2013-08-03 20:47:40.960565	\N	b4098c96-9e6a-4979-8f04-d4e998837a97
84292	6	11143	2013-08-03 20:33:00.409554	2013-08-03 20:33:00.409554	\N	9b5680db-8cde-46f6-b277-e49cc7d7e902
107280	10	13075	2013-08-03 21:45:15.587634	2013-08-03 21:45:15.587634	\N	86a64222-26a6-41ac-bffb-025e60f1064f
107281	10	13072	2013-08-03 21:45:15.674416	2013-08-03 21:45:15.674416	\N	21a6b6a8-2081-46d8-89a5-46aa1621b6bd
107285	10	13073	2013-08-03 21:45:15.887707	2013-08-03 21:45:15.887707	\N	ac5608b8-ac00-4ed3-8568-6fecddfed274
89287	4	11551	2013-08-03 20:47:45.764858	2013-08-03 20:47:45.764858	\N	b1444578-e1ae-4bed-b01a-66b5422ae36b
89289	4	11521	2013-08-03 20:47:45.813822	2013-08-03 20:47:45.813822	\N	8865da9f-9e20-45fe-9f26-841fc612f6f7
89291	4	11542	2013-08-03 20:47:45.879691	2013-08-03 20:47:45.879691	\N	f96d4284-5d19-4e56-88c0-ea993e1498dd
89293	4	11560	2013-08-03 20:47:45.949814	2013-08-03 20:47:45.949814	\N	5c21350c-dc08-4713-9b02-0ab314e76b05
84320	19	11183	2013-08-03 20:33:07.025172	2013-08-03 20:33:07.025172	\N	511b8e34-299b-46a8-b76b-c47f75af7bc6
82519	17	11020	2013-08-03 20:28:59.219785	2013-08-03 20:28:59.219785	\N	4f40624e-c01a-4a56-a638-05d5ed511e3a
84321	9	11143	2013-08-03 20:33:07.955987	2013-08-03 20:33:07.955987	\N	9ea909e9-917e-4169-b3c9-474b69574cc9
89295	4	11566	2013-08-03 20:47:46.01092	2013-08-03 20:47:46.01092	\N	43aae697-b675-4695-a4ac-b55904da6598
81092	3	10891	2013-08-03 20:24:51.720157	2013-08-03 20:24:51.720157	\N	7fadc846-70cb-4d7e-8cc9-a1860b29904e
89298	19	11521	2013-08-03 20:47:46.095703	2013-08-03 20:47:46.095703	\N	aace97aa-5171-4c8e-be20-76579c903a31
113685	13	13579	2013-08-03 22:05:30.862965	2013-08-03 22:05:30.862965	\N	139b53cd-e201-425c-8492-0b5b2293df94
89304	9	11521	2013-08-03 20:47:47.6049	2013-08-03 20:47:47.6049	\N	ca6f1de3-0c24-4926-8b93-abb46223ae92
89305	19	11530	2013-08-03 20:47:47.927358	2013-08-03 20:47:47.927358	\N	c0598d24-ed26-48d8-9fb4-9e66f03b7809
89306	8	11561	2013-08-03 20:47:48.849292	2013-08-03 20:47:48.849292	\N	346f1039-c54d-468f-87ab-0cedfa86d272
113691	13	13582	2013-08-03 22:05:31.14926	2013-08-03 22:05:31.14926	\N	b96877a3-7002-4a5a-b4ad-a651a7b5ca27
113692	5	13534	2013-08-03 22:05:32.401212	2013-08-03 22:05:32.401212	\N	ed2c4759-58da-4034-87b0-35bc014a099f
115764	1	13829	2013-08-03 22:14:43.151321	2013-08-03 22:14:43.151321	\N	27053889-66bf-4c61-b62d-76cf47685777
89323	15	11521	2013-08-03 20:47:51.122421	2013-08-03 20:47:51.122421	\N	6826923c-dc22-41d5-b69e-66cce7168b53
115773	17	13786	2013-08-03 22:14:46.550234	2013-08-03 22:14:46.550234	\N	ed4910ec-d49c-4a38-b386-fad6428b24de
135109	10	17683	2013-08-04 00:51:31.216732	2013-08-04 00:51:31.216732	\N	a9e8c5ed-2cb9-45fd-8f82-5c83dac01935
82613	17	11032	2013-08-03 20:29:06.012261	2013-08-03 20:29:06.012261	\N	e97d6097-c994-4301-8aef-bcebcfdf35c5
115776	13	13786	2013-08-03 22:14:47.624663	2013-08-03 22:14:47.624663	\N	ff3e7805-09c6-4bc6-8805-0487d8fd6e35
86031	8	11278	2013-08-03 20:37:38.114595	2013-08-03 20:37:38.114595	\N	d3a2ecec-c8f8-422c-973f-e9346cabdb48
86036	8	11272	2013-08-03 20:37:38.154762	2013-08-03 20:37:38.154762	\N	223bae2e-999e-4fe8-ad51-ed310e8662ce
127314	17	15805	2013-08-03 23:34:47.098938	2013-08-03 23:34:47.098938	\N	b7662e59-3d2f-4003-aa79-5fd6ce15e7dd
107339	19	13072	2013-08-03 21:45:39.143255	2013-08-03 21:45:39.143255	\N	9bdecf2d-41e7-4b9f-8f42-cd59a9bdc244
92489	2	11665	2013-08-03 20:55:44.03369	2013-08-03 20:55:44.03369	\N	629e3769-c5f5-4c86-8988-ac0a023a980c
115801	9	13819	2013-08-03 22:14:51.600693	2013-08-03 22:14:51.600693	\N	4a82fe46-23e2-4762-8b49-ab48c040732e
90951	15	11536	2013-08-03 20:50:53.316256	2013-08-03 20:50:53.316256	\N	c9e82276-f570-4400-b94a-a7d7f4f0282f
99656	3	12265	2013-08-03 21:18:50.521299	2013-08-03 21:18:50.521299	\N	9e901caa-8fb7-4016-a43c-9ef9429e0b29
89380	1	11561	2013-08-03 20:47:59.808784	2013-08-03 20:47:59.808784	\N	fd7877bc-b883-4bba-af33-1579a2c8453b
84416	2	11164	2013-08-03 20:33:14.335584	2013-08-03 20:33:14.335584	\N	f5f89aea-db0b-418b-bb6d-42f857be6328
84417	2	11139	2013-08-03 20:33:14.410716	2013-08-03 20:33:14.410716	\N	083b6f48-619c-41c0-a39b-6f639b409543
87734	8	11419	2013-08-03 20:42:33.06148	2013-08-03 20:42:33.06148	\N	e57a81c5-4d50-4ea5-a76a-a285a6b5b28d
87739	8	11434	2013-08-03 20:42:33.151211	2013-08-03 20:42:33.151211	\N	c76f1918-68a9-4e71-995d-c2857e8662e9
87744	19	11435	2013-08-03 20:42:34.123113	2013-08-03 20:42:34.123113	\N	cccd8395-3130-48b9-853e-b4eb7bb26685
115803	9	13789	2013-08-03 22:14:51.752349	2013-08-03 22:14:51.752349	\N	9080248d-ce82-4076-9d62-7f65dc55cb23
87754	9	11410	2013-08-03 20:42:35.489478	2013-08-03 20:42:35.489478	\N	d29f915d-370a-435d-bcf9-d699bd62c5f1
86097	19	11309	2013-08-03 20:37:48.701227	2013-08-03 20:37:48.701227	\N	381c4c69-4430-4b58-96d5-84a725476b27
97806	5	12166	2013-08-03 21:13:33.069749	2013-08-03 21:13:33.069749	\N	0e1b59d8-5566-47ab-b3de-0f329cfd0c49
127316	17	15793	2013-08-03 23:34:47.355077	2013-08-03 23:34:47.355077	\N	0a8b104b-d6c4-4c6c-b6f1-b3fdd57be141
86124	15	11257	2013-08-03 20:37:52.680332	2013-08-03 20:37:52.680332	\N	d79f3471-d91b-4bf5-be76-7bbfedd1364c
118021	8	14071	2013-08-03 22:24:25.881199	2013-08-03 22:24:25.881199	\N	7d374787-cb4c-47d4-949e-ffe4bbb416c5
86134	7	11257	2013-08-03 20:37:52.966749	2013-08-03 20:37:52.966749	\N	23dfb79a-ab9a-42f6-a3ff-eba8581f278c
86135	7	11309	2013-08-03 20:37:53.108169	2013-08-03 20:37:53.108169	\N	8cb8ab2d-dcfb-4604-a893-6d6716a75b3b
87779	19	11395	2013-08-03 20:42:40.329906	2013-08-03 20:42:40.329906	\N	da4f9911-4a7b-4725-9bba-bdd6d3174d3a
99685	7	12433	2013-08-03 21:19:23.329283	2013-08-03 21:19:23.329283	\N	61dc66b6-2d06-4f61-8b31-392867fc723a
99695	6	12442	2013-08-03 21:19:25.915515	2013-08-03 21:19:25.915515	\N	7384047d-68e4-429a-b956-f8485ed88909
99697	6	12391	2013-08-03 21:19:26.163653	2013-08-03 21:19:26.163653	\N	f917136b-f7af-4d40-9cc3-da168ed68998
87790	17	11416	2013-08-03 20:42:41.178952	2013-08-03 20:42:41.178952	\N	de3fdfd9-e168-4d94-9c17-3b649ba0c22e
87797	4	11395	2013-08-03 20:42:43.057152	2013-08-03 20:42:43.057152	\N	e82de43d-269a-4126-a30a-21487c86c512
87798	4	11410	2013-08-03 20:42:43.130201	2013-08-03 20:42:43.130201	\N	213785b5-41cd-4abe-a301-31a5a0b021f8
86189	10	11257	2013-08-03 20:38:00.647372	2013-08-03 20:38:00.647372	\N	e6f97f06-1db1-4e37-aea5-66eb4be44196
87799	4	11416	2013-08-03 20:42:43.212853	2013-08-03 20:42:43.212853	\N	6d82c1e6-f8f9-4892-8bc7-6bf98cfd88f6
87801	4	11434	2013-08-03 20:42:43.30117	2013-08-03 20:42:43.30117	\N	fb531cbe-730d-444b-94d5-abbbfeb5be54
87802	4	11440	2013-08-03 20:42:43.398686	2013-08-03 20:42:43.398686	\N	c5909c1b-93fc-435f-8504-464e45a9b3f6
99711	8	12448	2013-08-03 21:19:27.486672	2013-08-03 21:19:27.486672	\N	ad17911b-1f46-4be3-b414-c4d9ab3d74f6
118026	15	14029	2013-08-03 22:24:26.033707	2013-08-03 22:24:26.033707	\N	3152aa6c-a479-4664-b0ad-206f58529cda
111638	17	13451	2013-08-03 22:00:29.181733	2013-08-03 22:00:29.181733	\N	188e4b59-4668-4a3d-95a9-54124cfb58f7
86235	17	11290	2013-08-03 20:38:09.261973	2013-08-03 20:38:09.261973	\N	4ba8fe95-6249-48df-b4af-0f33b760fbaa
105448	2	12811	2013-08-03 21:36:43.843046	2013-08-03 21:36:43.843046	\N	83263fd8-67fb-476a-b48e-87a1e68c367c
107358	19	13030	2013-08-03 21:45:44.736698	2013-08-03 21:45:44.736698	\N	1c479bf8-1c87-49de-b5cd-6479b2d73e0b
115829	15	13789	2013-08-03 22:14:55.486996	2013-08-03 22:14:55.486996	\N	f97db316-afb2-4ab8-919e-e227c343daa2
115832	11	13828	2013-08-03 22:14:56.282987	2013-08-03 22:14:56.282987	\N	44130874-92e2-4aac-81f7-499305d27048
86258	6	11269	2013-08-03 20:38:11.520349	2013-08-03 20:38:11.520349	\N	156b09c7-b516-481e-aff7-4b84d4ae5f2d
118029	6	14071	2013-08-03 22:24:26.616688	2013-08-03 22:24:26.616688	\N	f286d2d4-030d-4ca0-838e-1dc7de912489
127317	4	15805	2013-08-03 23:34:47.794043	2013-08-03 23:34:47.794043	\N	cb8a2bd8-633d-42d9-9475-202c70aa5e59
89500	2	11521	2013-08-03 20:48:13.926457	2013-08-03 20:48:13.926457	\N	fce7b966-25f9-46c6-8bf1-57582cadd51a
84137	11	11182	2013-08-03 20:32:42.097704	2013-08-03 20:32:42.097704	\N	277a0e86-3d0f-4c54-95cd-444d4e853cd7
82305	6	11005	2013-08-03 20:28:20.878009	2013-08-03 20:28:20.878009	\N	f1d4901d-7f2d-4a47-a993-81e6f5914c08
84138	11	11183	2013-08-03 20:32:42.307764	2013-08-03 20:32:42.307764	\N	bfacffe3-2ede-40fe-92cd-a3d8153f5889
115736	7	13831	2013-08-03 22:14:33.168247	2013-08-03 22:14:33.168247	\N	3cc9c524-fd70-489e-8d8b-bed4a76cb63e
113684	13	13576	2013-08-03 22:05:30.505786	2013-08-03 22:05:30.505786	\N	64622997-cc62-4708-9efe-7281108dc612
84145	6	11164	2013-08-03 20:32:43.128843	2013-08-03 20:32:43.128843	\N	039238bf-292a-460b-a426-139d7a59d980
115740	17	13829	2013-08-03 22:14:34.207623	2013-08-03 22:14:34.207623	\N	5272f548-7fa5-4ac1-90f4-b67d963d8020
107263	7	13073	2013-08-03 21:45:07.871689	2013-08-03 21:45:07.871689	\N	49afd58e-85d9-4077-aec6-d0c579c7dff8
107264	7	13075	2013-08-03 21:45:08.359736	2013-08-03 21:45:08.359736	\N	481603c0-73c5-469a-a96c-7944ca298d53
115741	13	13819	2013-08-03 22:14:34.849249	2013-08-03 22:14:34.849249	\N	abed22a0-ada8-4f82-bc24-d1dd7ada166c
84161	2	11143	2013-08-03 20:32:44.026348	2013-08-03 20:32:44.026348	\N	251be86c-12b4-4d37-8e6e-3a67e6d8d73a
143523	6	19372	2013-08-04 01:55:55.175505	2013-08-04 01:55:55.175505	\N	b4bf8f73-29e7-49f4-bebf-87298bb77b40
176303	19	23152	2013-08-04 18:25:08.328695	2013-08-04 18:25:08.328695	\N	8eef768f-6f82-4ac6-9e20-dab44b01ae88
127303	9	15805	2013-08-03 23:34:42.038676	2013-08-03 23:34:42.038676	\N	5939ba1f-74e8-4458-ba90-c0cb6c1a24e0
115766	7	13829	2013-08-03 22:14:43.498825	2013-08-03 22:14:43.498825	\N	a6b3cc62-638b-4c94-afa5-ce4b448b6246
115767	7	13834	2013-08-03 22:14:43.556166	2013-08-03 22:14:43.556166	\N	ba872b70-7acc-4755-8248-356d3fb7e312
84233	15	11182	2013-08-03 20:32:50.739141	2013-08-03 20:32:50.739141	\N	520a67e5-86d4-42d0-bc5b-832638d23141
127307	7	15820	2013-08-03 23:34:44.312822	2013-08-03 23:34:44.312822	\N	58ccd8fc-dd7c-48c9-a1b2-90411b0be50f
89197	8	11551	2013-08-03 20:47:35.294962	2013-08-03 20:47:35.294962	\N	7745600e-99dd-4a77-89c7-0b23315c7e1e
89201	8	11536	2013-08-03 20:47:35.422982	2013-08-03 20:47:35.422982	\N	6973e7c4-5ba8-4720-bd66-18520fee9b93
89214	7	11566	2013-08-03 20:47:36.900868	2013-08-03 20:47:36.900868	\N	14f1c7a6-0ec2-4412-96b7-75d5a187b872
89216	16	11542	2013-08-03 20:47:37.175829	2013-08-03 20:47:37.175829	\N	a20899bf-8d33-443e-a05f-49f2e7b98d37
107306	19	13033	2013-08-03 21:45:24.609862	2013-08-03 21:45:24.609862	\N	164155c4-9d2b-4ac2-9fe8-6dff39118123
107308	17	13030	2013-08-03 21:45:25.630788	2013-08-03 21:45:25.630788	\N	5e216540-4b24-4a66-9e8b-9abf6b95a8ca
103602	19	12655	2013-08-03 21:30:52.883283	2013-08-03 21:30:52.883283	\N	47e7fabb-826f-457a-8e8a-266da8f6017c
115774	7	13828	2013-08-03 22:14:46.593122	2013-08-03 22:14:46.593122	\N	d5be8f78-0c01-4fdb-9e65-fa5214ebdf97
179763	14	23424	2013-08-04 18:37:06.992893	2013-08-04 18:37:06.992893	\N	8a15bf15-b170-42bd-a819-c9a58a2f4357
115792	15	13829	2013-08-03 22:14:49.908733	2013-08-03 22:14:49.908733	\N	7c3d514a-62d8-44d4-ac41-80de8a9e6eee
103632	16	12673	2013-08-03 21:30:56.992602	2013-08-03 21:30:56.992602	\N	5f6d7e5c-0f88-47a5-9c9f-c257512c86cf
89247	9	11561	2013-08-03 20:47:42.44023	2013-08-03 20:47:42.44023	\N	e9fe1ad0-a13b-492b-8ad2-d41a3e61ef9e
107319	17	13033	2013-08-03 21:45:27.779576	2013-08-03 21:45:27.779576	\N	8804ad63-9ca3-4d77-9dd9-8c11d52f81ac
86028	8	11269	2013-08-03 20:37:38.1105	2013-08-03 20:37:38.1105	\N	241c4754-43c5-43da-ac00-9e1ae59033fe
86033	8	11290	2013-08-03 20:37:38.150781	2013-08-03 20:37:38.150781	\N	19416ff8-4c13-43b5-ab77-45a6ffbd9bae
115797	16	13831	2013-08-03 22:14:51.151493	2013-08-03 22:14:51.151493	\N	4d9d8bd2-5f50-4d0e-ba0d-d984ca7e0825
99722	7	12443	2013-08-03 21:19:27.733957	2013-08-03 21:19:27.733957	\N	5b150808-82dc-4e7c-8582-13ae568adefb
99723	7	12421	2013-08-03 21:19:27.798828	2013-08-03 21:19:27.798828	\N	68faaa26-ca19-4135-9de7-792a27f27903
129800	17	16348	2013-08-03 23:56:03.921483	2013-08-03 23:56:03.921483	\N	0cab3785-cafb-4b6c-8f50-cfa6f8dec676
89273	7	11542	2013-08-03 20:47:44.760107	2013-08-03 20:47:44.760107	\N	33ad1cba-9dfa-43c1-85c4-9115793be7e9
84351	9	11131	2013-08-03 20:33:09.178431	2013-08-03 20:33:09.178431	\N	6e4d0dc6-ae14-4298-a95d-ef804fd2a8a0
115818	11	13798	2013-08-03 22:14:54.311263	2013-08-03 22:14:54.311263	\N	dfc644c3-cb67-4bc1-bbc7-5b8ce4d1bc40
89279	7	11545	2013-08-03 20:47:45.059933	2013-08-03 20:47:45.059933	\N	e9ac3100-a456-4d73-8c86-79b783882a22
129811	6	16309	2013-08-03 23:56:09.947036	2013-08-03 23:56:09.947036	\N	5fded137-2a7a-4321-875b-f8836830c905
99764	7	12418	2013-08-03 21:19:32.628192	2013-08-03 21:19:32.628192	\N	6662958b-5123-4966-8951-8c3138abac73
82554	17	11026	2013-08-03 20:29:01.810286	2013-08-03 20:29:01.810286	\N	1bb2628d-c626-4e36-947e-d0675f4692bf
121945	4	14827	2013-08-03 22:57:26.613213	2013-08-03 22:57:26.613213	\N	7b3ee6f4-afee-46bb-a8ba-4d730424cf9f
84360	9	11164	2013-08-03 20:33:10.361138	2013-08-03 20:33:10.361138	\N	6110b313-3488-4fc1-8c35-132470503d69
84364	6	11182	2013-08-03 20:33:10.546526	2013-08-03 20:33:10.546526	\N	5158404e-e58a-4533-a727-793c1db6e369
99768	7	12412	2013-08-03 21:19:32.887086	2013-08-03 21:19:32.887086	\N	ad19a0ca-d4e4-4b5d-bcba-6cd0e0b6e20b
87732	8	11410	2013-08-03 20:42:33.05786	2013-08-03 20:42:33.05786	\N	ed927a62-1be3-47bc-8675-d161564b3a79
86110	12	11308	2013-08-03 20:37:50.405847	2013-08-03 20:37:50.405847	\N	1e664f85-f6a7-443b-a452-15f897d4c562
86111	15	11290	2013-08-03 20:37:50.589673	2013-08-03 20:37:50.589673	\N	25adc56a-84ff-498a-8163-ede26a6eb90d
87737	8	11416	2013-08-03 20:42:33.11291	2013-08-03 20:42:33.11291	\N	207befe0-91ba-4b6a-9659-a925f1c2c87d
101610	15	12517	2013-08-03 21:24:22.886726	2013-08-03 21:24:22.886726	\N	df0df217-f57d-4a17-bf16-093a7847ad04
87742	7	11434	2013-08-03 20:42:33.674083	2013-08-03 20:42:33.674083	\N	83d99dfe-4244-49b1-a9f3-5b368cd1d0b5
87743	17	11435	2013-08-03 20:42:34.065285	2013-08-03 20:42:34.065285	\N	f5ed277c-0c65-42ee-bed8-6d2a6adfaa70
87745	7	11435	2013-08-03 20:42:35.146456	2013-08-03 20:42:35.146456	\N	dbccdb16-62d1-4dd0-9bc4-306fedb1ef78
86155	2	11314	2013-08-03 20:37:57.562075	2013-08-03 20:37:57.562075	\N	f6198761-c8d8-4793-b649-c6d2ec12febc
87747	7	11440	2013-08-03 20:42:35.217383	2013-08-03 20:42:35.217383	\N	daf9d3fa-452c-4d2a-9ff8-04e6f3e51c69
87751	4	11391	2013-08-03 20:42:35.362676	2013-08-03 20:42:35.362676	\N	f8e80f2f-b33e-4fa9-a747-0b237a69fb0c
86158	19	11257	2013-08-03 20:37:57.904857	2013-08-03 20:37:57.904857	\N	a17cc242-c60e-4b37-96dd-6c32cbb89b17
101612	15	12529	2013-08-03 21:24:23.027655	2013-08-03 21:24:23.027655	\N	d4d13d32-43d3-4bf7-a368-99fcb54e0966
101617	8	12544	2013-08-03 21:24:23.944027	2013-08-03 21:24:23.944027	\N	7277ed28-1898-45f2-a280-d9d2c6a5d625
89296	9	11560	2013-08-03 20:47:46.038749	2013-08-03 20:47:46.038749	\N	3a16f8f4-6449-4a21-aac5-4a52c61b1470
87783	2	11410	2013-08-03 20:42:40.667183	2013-08-03 20:42:40.667183	\N	ddc67586-6baf-49ea-89c2-79bc2a6784a2
86187	10	11314	2013-08-03 20:38:00.393569	2013-08-03 20:38:00.393569	\N	ba436252-85e6-4949-b357-ea47b05ce325
86188	10	11290	2013-08-03 20:38:00.516471	2013-08-03 20:38:00.516471	\N	4e708906-0b65-4f41-9ebc-0ca8de14faad
86192	10	11269	2013-08-03 20:38:00.914842	2013-08-03 20:38:00.914842	\N	494f98e5-a07f-43dd-9369-2a98fc121118
101623	8	12517	2013-08-03 21:24:23.985938	2013-08-03 21:24:23.985938	\N	d6b40c2b-e18e-4aeb-8671-45e33f31f3e6
101625	7	12559	2013-08-03 21:24:25.242573	2013-08-03 21:24:25.242573	\N	444e7389-5ee4-451a-901c-42d28c8bbc00
89318	19	11539	2013-08-03 20:47:49.304192	2013-08-03 20:47:49.304192	\N	13f56db8-6290-4cee-9ed7-12cb2a236b6c
115835	11	13831	2013-08-03 22:14:56.603085	2013-08-03 22:14:56.603085	\N	e601d4fc-6f00-455b-a2b6-7ac58babad41
89320	19	11545	2013-08-03 20:47:50.073848	2013-08-03 20:47:50.073848	\N	db322629-7289-4f39-bff5-c4dcb248d7cd
179764	14	23416	2013-08-04 18:37:07.022871	2013-08-04 18:37:07.022871	\N	10449b7d-d8a1-42f4-bc94-c4d4268afd4f
86220	19	11290	2013-08-03 20:38:04.438399	2013-08-03 20:38:04.438399	\N	62ca79b7-dc3d-4e32-b611-067974841f7b
89322	15	11542	2013-08-03 20:47:51.118983	2013-08-03 20:47:51.118983	\N	59bbee30-f6b3-4ba1-8876-07fd5e985c97
129814	2	16297	2013-08-03 23:56:11.478023	2013-08-03 23:56:11.478023	\N	cc946da8-1ec8-4f00-a20f-f76684b1d09c
87856	15	11440	2013-08-03 20:42:50.831845	2013-08-03 20:42:50.831845	\N	48054250-c288-4564-a0a8-93c1b6e9b82d
97859	6	12166	2013-08-03 21:13:41.347138	2013-08-03 21:13:41.347138	\N	76327876-c1f6-49e1-87e2-79e6219427ed
115842	11	13834	2013-08-03 22:14:56.942839	2013-08-03 22:14:56.942839	\N	1a693412-d599-4385-82c8-e493a5d4b8a4
86254	13	11290	2013-08-03 20:38:10.537603	2013-08-03 20:38:10.537603	\N	7e72899e-4f5a-41dd-b686-0f6b5948dd03
86255	17	11314	2013-08-03 20:38:11.016347	2013-08-03 20:38:11.016347	\N	257acc48-36ec-43f5-8ed6-83feb811f620
86256	19	11314	2013-08-03 20:38:11.266207	2013-08-03 20:38:11.266207	\N	43aeb778-4189-47f9-b857-100a3f07b0af
87864	15	11410	2013-08-03 20:42:51.409656	2013-08-03 20:42:51.409656	\N	5a46ed50-2105-42d2-9239-be697cf81ad2
115845	17	13798	2013-08-03 22:14:57.104378	2013-08-03 22:14:57.104378	\N	8cc48519-2bc2-438d-8f07-362e2b8c5dc6
89348	15	11561	2013-08-03 20:47:57.303348	2013-08-03 20:47:57.303348	\N	98ff5b29-3998-4116-861d-b7300827ba6d
87879	7	11419	2013-08-03 20:42:52.492196	2013-08-03 20:42:52.492196	\N	0f4171e6-3348-430d-a1f5-2bb4a4d8e790
107365	19	13042	2013-08-03 21:45:46.37879	2013-08-03 21:45:46.37879	\N	cfb79ebd-3957-43fd-b7ac-0c5938fe841a
101677	6	12559	2013-08-03 21:24:31.81159	2013-08-03 21:24:31.81159	\N	a7e09ac8-0525-4580-a910-e5f5e646c3a8
87909	15	11435	2013-08-03 20:42:57.030575	2013-08-03 20:42:57.030575	\N	2d7ea169-a69c-4d74-ae10-d24da17154c8
87910	19	11434	2013-08-03 20:42:57.328261	2013-08-03 20:42:57.328261	\N	db63d390-eb0f-468d-870e-96466a5c79d5
86278	17	11272	2013-08-03 20:38:13.408736	2013-08-03 20:38:13.408736	\N	635d38be-c4e3-4196-908c-612f68fcf84e
129815	1	16309	2013-08-03 23:56:13.867699	2013-08-03 23:56:13.867699	\N	165c4ed7-1901-480b-b1e4-1593dcc8d09e
86294	11	11269	2013-08-03 20:38:17.205949	2013-08-03 20:38:17.205949	\N	e2f2938f-10d5-4926-a14f-83b1d8490ade
121953	5	14821	2013-08-03 22:57:30.157788	2013-08-03 22:57:30.157788	\N	25350556-2567-42a2-8762-258c9e31ec4b
132520	19	17104	2013-08-04 00:26:10.834548	2013-08-04 00:26:10.834548	\N	ee144bd8-990d-4655-9d12-52eec80c169b
101682	6	12529	2013-08-03 21:24:32.111213	2013-08-03 21:24:32.111213	\N	3e182b4f-f1f8-4539-a26f-2df3eb3fcd73
87932	5	11440	2013-08-03 20:43:02.590263	2013-08-03 20:43:02.590263	\N	d19f024a-467f-4eea-8f69-9df02c83e4c6
84527	19	11182	2013-08-03 20:33:29.737037	2013-08-03 20:33:29.737037	\N	87f7cdef-e75f-4236-8c7d-bcb841637b03
82849	12	11011	2013-08-03 20:29:29.362902	2013-08-03 20:29:29.362902	\N	c15cf518-3009-4ad0-b856-ec7a4215bf98
87933	5	11416	2013-08-03 20:43:03.082124	2013-08-03 20:43:03.082124	\N	455f37a5-fa79-4366-8d57-a525636eaad1
87934	6	11395	2013-08-03 20:43:03.261955	2013-08-03 20:43:03.261955	\N	9d9c1ca5-1f3b-457a-bc9d-a1c113ca277f
87935	5	11413	2013-08-03 20:43:03.482831	2013-08-03 20:43:03.482831	\N	9d5a42ab-6a06-47ed-bfcc-6f366518ef4f
89371	11	11551	2013-08-03 20:47:58.878993	2013-08-03 20:47:58.878993	\N	7482fb70-2a80-4250-b99f-f6989debdb05
86349	11	11314	2013-08-03 20:38:22.279131	2013-08-03 20:38:22.279131	\N	6efd5efe-40b2-4b68-b198-56028ef7afb0
86354	17	11309	2013-08-03 20:38:23.524358	2013-08-03 20:38:23.524358	\N	6e34379c-954b-4280-8270-c3450e809a83
82859	5	11020	2013-08-03 20:29:30.049716	2013-08-03 20:29:30.049716	\N	fb49bf25-3112-43f9-a9a5-b7bc56760471
82860	12	11005	2013-08-03 20:29:30.342717	2013-08-03 20:29:30.342717	\N	53a54e48-eae3-43d6-b8d4-6ee8cef2aea0
82348	19	11011	2013-08-03 20:28:30.332826	2013-08-03 20:28:30.332826	\N	9ac49678-1626-42c7-9f05-71bb61426257
89206	16	11551	2013-08-03 20:47:36.515276	2013-08-03 20:47:36.515276	\N	7bd3d130-7074-4b8d-b843-67161884f739
82352	19	11017	2013-08-03 20:28:31.734883	2013-08-03 20:28:31.734883	\N	155b1c6a-5eef-4e9b-bc82-8edcc3b77c1b
97813	5	12175	2013-08-03 21:13:33.57414	2013-08-03 21:13:33.57414	\N	23d878c0-cb4a-4d44-9ac5-d1e206dd5e53
107340	12	13033	2013-08-03 21:45:39.514074	2013-08-03 21:45:39.514074	\N	d79c06c5-32bf-4589-88f9-74e2dd71fb24
127295	7	15844	2013-08-03 23:34:40.664371	2013-08-03 23:34:40.664371	\N	8f2241d7-8968-44ca-9250-884d8292888b
127296	7	15805	2013-08-03 23:34:40.728435	2013-08-03 23:34:40.728435	\N	f6ac396e-ae6f-4c43-8659-1dfc6a26acd9
115798	16	13834	2013-08-03 22:14:51.276418	2013-08-03 22:14:51.276418	\N	38655b54-c8f9-4b8a-b183-7fa047c978c6
107359	12	13072	2013-08-03 21:45:44.805187	2013-08-03 21:45:44.805187	\N	7f6040ff-06be-45dc-9d54-9727eaa715f2
99687	8	12403	2013-08-03 21:19:23.750071	2013-08-03 21:19:23.750071	\N	bd1abf5b-ebfc-4792-bc93-a8b2601dbaa8
84229	15	11143	2013-08-03 20:32:50.605355	2013-08-03 20:32:50.605355	\N	96f0cded-5e1a-4f2f-aca0-c736dc788e11
89312	19	11536	2013-08-03 20:47:48.951298	2013-08-03 20:47:48.951298	\N	b1f2af01-235a-491d-8298-6151e13f2e11
99688	8	12391	2013-08-03 21:19:23.859014	2013-08-03 21:19:23.859014	\N	3a4f7c9a-1119-4790-8bd6-71bcaffd330c
97915	7	12317	2013-08-03 21:14:24.259452	2013-08-03 21:14:24.259452	\N	48020bb7-0b2e-4f45-b082-dc3f29bbf9ad
97916	7	12307	2013-08-03 21:14:24.333481	2013-08-03 21:14:24.333481	\N	8cd6590f-1ae4-43ef-a094-74c21fd7aeba
97917	7	12316	2013-08-03 21:14:24.431464	2013-08-03 21:14:24.431464	\N	ed287fa3-3dd9-4532-b6fa-a01070159f71
87733	8	11395	2013-08-03 20:42:33.05842	2013-08-03 20:42:33.05842	\N	50f6e5b2-2cd0-455f-b1b1-3321ceaab69d
87738	8	11440	2013-08-03 20:42:33.149027	2013-08-03 20:42:33.149027	\N	518d0bf7-08f2-4a1f-a4f1-b3405e359da4
87757	9	11434	2013-08-03 20:42:36.853299	2013-08-03 20:42:36.853299	\N	0d6179e5-db50-4cc0-a097-f1b4756ad3fe
97918	8	12307	2013-08-03 21:14:25.269461	2013-08-03 21:14:25.269461	\N	39fac9bf-361f-4a83-92cf-0d46fce4aa75
97934	7	12277	2013-08-03 21:14:27.681678	2013-08-03 21:14:27.681678	\N	f072fca6-b5e5-4170-92c7-07b91ba6b0f5
97939	8	12322	2013-08-03 21:14:27.769378	2013-08-03 21:14:27.769378	\N	816e7869-bf6f-42ee-a93c-7d86e03d9762
97941	2	12322	2013-08-03 21:14:29.111856	2013-08-03 21:14:29.111856	\N	19b1d3ef-4831-4197-bbd8-2b85b6e63006
87784	7	11410	2013-08-03 20:42:40.700458	2013-08-03 20:42:40.700458	\N	b5911fa3-85c2-422e-9643-c2da389b31bc
87789	7	11395	2013-08-03 20:42:40.867256	2013-08-03 20:42:40.867256	\N	014c2218-fe66-4d03-aca7-7fc11e8caca2
97942	2	12316	2013-08-03 21:14:29.181508	2013-08-03 21:14:29.181508	\N	f6841f6a-e3b0-4b35-8631-27f2aada53ae
97943	2	12319	2013-08-03 21:14:29.255047	2013-08-03 21:14:29.255047	\N	70827f77-1a16-4619-b28a-74028f2e5d7e
82470	19	11035	2013-08-03 20:28:51.969946	2013-08-03 20:28:51.969946	\N	837f6983-1eca-4ce8-a440-54a54a16edca
87800	17	11419	2013-08-03 20:42:43.289769	2013-08-03 20:42:43.289769	\N	9be156f2-e61b-4ece-872b-367b28b73587
97950	13	12307	2013-08-03 21:14:30.548343	2013-08-03 21:14:30.548343	\N	3702ac2e-9f11-4cb3-b601-8ea92e5c0bb5
89451	10	11561	2013-08-03 20:48:06.095198	2013-08-03 20:48:06.095198	\N	6cb19ca7-1063-4f9e-ad51-d81894b0600f
99689	6	12403	2013-08-03 21:19:24.490608	2013-08-03 21:19:24.490608	\N	8f3ca6f5-413a-4cf7-b293-53d6fecc9013
99690	9	12442	2013-08-03 21:19:25.163933	2013-08-03 21:19:25.163933	\N	54315aac-c238-482e-89c7-af4a32651b5a
97968	7	12301	2013-08-03 21:14:35.157701	2013-08-03 21:14:35.157701	\N	60f31530-d999-4e49-ae5e-29f6fbeee022
97969	7	12319	2013-08-03 21:14:35.266376	2013-08-03 21:14:35.266376	\N	2699e662-3caf-4420-b041-ff230857b930
113724	17	13525	2013-08-03 22:05:39.644468	2013-08-03 22:05:39.644468	\N	8d15bbb2-811d-4883-9acb-6af0f9692928
86023	2	11272	2013-08-03 20:37:37.129487	2013-08-03 20:37:37.129487	\N	4cf231bd-8356-4a92-b401-e57c670daf58
86024	2	11287	2013-08-03 20:37:37.179423	2013-08-03 20:37:37.179423	\N	552588f8-00a8-492a-b385-77e230265d12
86025	2	11290	2013-08-03 20:37:37.211477	2013-08-03 20:37:37.211477	\N	dd45f795-adb0-4f67-9c83-1791b911e2e2
86026	2	11269	2013-08-03 20:37:37.270557	2013-08-03 20:37:37.270557	\N	29da4553-8e31-4d7c-87e8-131ce9da6996
84395	19	11143	2013-08-03 20:33:12.520387	2013-08-03 20:33:12.520387	\N	9e4beddd-4a26-4059-be53-478f1e7a86ee
86027	2	11308	2013-08-03 20:37:37.31999	2013-08-03 20:37:37.31999	\N	db8994ed-96fa-44f9-ad3e-34ea58be0dc1
86030	8	11308	2013-08-03 20:37:38.111207	2013-08-03 20:37:38.111207	\N	f0160ff4-aa30-4a31-b83b-f0cba6403714
86035	8	11293	2013-08-03 20:37:38.154594	2013-08-03 20:37:38.154594	\N	d3ead28e-0519-4e0e-b4cf-acaa7fc0138a
84411	9	11188	2013-08-03 20:33:12.729038	2013-08-03 20:33:12.729038	\N	bfc023af-9244-4b7d-a6bb-557946c7adbe
84414	4	11183	2013-08-03 20:33:13.279649	2013-08-03 20:33:13.279649	\N	7a697075-9059-4eb2-b1c4-f8ee7177bc76
82536	6	11056	2013-08-03 20:29:00.437612	2013-08-03 20:29:00.437612	\N	75e87bc3-4823-4f4c-92b2-fba3d9e10546
113725	2	13537	2013-08-03 22:05:40.592796	2013-08-03 22:05:40.592796	\N	9efbbd06-ef56-4750-b94c-28e072f789c7
97976	17	12319	2013-08-03 21:14:35.806181	2013-08-03 21:14:35.806181	\N	a086efa3-dea0-4a67-92cc-ab4c6f8a9fe6
127297	7	15793	2013-08-03 23:34:40.78574	2013-08-03 23:34:40.78574	\N	9441d490-7433-4029-9806-79322353e69f
86052	4	11269	2013-08-03 20:37:41.904924	2013-08-03 20:37:41.904924	\N	239f7c7f-f8eb-4750-8e7c-977d34d3cde0
84441	17	11183	2013-08-03 20:33:20.193781	2013-08-03 20:33:20.193781	\N	7330fd43-9ec3-4aab-a6ae-542e75d4d915
86053	4	11257	2013-08-03 20:37:41.950661	2013-08-03 20:37:41.950661	\N	0658c336-e018-4210-9c0b-4dd6c41e3a33
86054	4	11290	2013-08-03 20:37:41.989337	2013-08-03 20:37:41.989337	\N	f5276bd3-a7f1-4d19-83ce-93053aba9878
86055	4	11308	2013-08-03 20:37:42.0156	2013-08-03 20:37:42.0156	\N	3aa28a00-19b6-4d48-86db-ce36cac24271
86056	4	11314	2013-08-03 20:37:42.038809	2013-08-03 20:37:42.038809	\N	71eb02b2-f7b0-4897-8a7d-a93cab6b1f80
86061	9	11269	2013-08-03 20:37:43.559612	2013-08-03 20:37:43.559612	\N	9671ae87-672a-466e-b85a-a39d089ea5bb
86062	9	11257	2013-08-03 20:37:43.736104	2013-08-03 20:37:43.736104	\N	92e58e2c-b0f5-45a0-8855-994d275c30e3
118022	8	14041	2013-08-03 22:24:25.888119	2013-08-03 22:24:25.888119	\N	6a5327f4-f4bc-46d1-805f-5ab2179a796d
132488	7	17104	2013-08-04 00:25:55.434763	2013-08-04 00:25:55.434763	\N	8b728b8e-290f-4e7e-b592-485ad6186393
98014	9	12307	2013-08-03 21:14:42.717212	2013-08-03 21:14:42.717212	\N	4585df6f-b1d4-47b3-bc23-4f7b1ce216ec
87876	15	11434	2013-08-03 20:42:52.124869	2013-08-03 20:42:52.124869	\N	34a6e949-1eee-406c-8bdf-828531e8f1b4
118028	15	14041	2013-08-03 22:24:26.281855	2013-08-03 22:24:26.281855	\N	c094b76e-90ba-4a5c-8145-e68115fc5436
89521	20	11509	2013-08-03 20:48:16.47786	2013-08-03 20:48:16.47786	\N	fe70afc1-536e-4c1b-b5c5-925cc7ba520e
86098	9	11290	2013-08-03 20:37:48.929882	2013-08-03 20:37:48.929882	\N	a2d00633-e375-4009-aa0e-380170f17031
115831	13	13831	2013-08-03 22:14:55.883614	2013-08-03 22:14:55.883614	\N	e1acf76a-1c02-456d-8f95-ef7cac3c3a8b
118030	2	14029	2013-08-03 22:24:27.031048	2013-08-03 22:24:27.031048	\N	9ebc3ad2-adb6-4408-870f-948ac172170d
86116	9	11314	2013-08-03 20:37:51.337705	2013-08-03 20:37:51.337705	\N	2508cc27-fb47-46f5-b15c-4e58eee70d51
86117	9	11300	2013-08-03 20:37:51.51784	2013-08-03 20:37:51.51784	\N	c1a013bc-d8ac-4a09-b2b2-8b07246deeda
118031	2	14083	2013-08-03 22:24:27.069705	2013-08-03 22:24:27.069705	\N	db2ff57d-f926-4811-91d4-a6d9d9024f5a
98026	9	12277	2013-08-03 21:14:43.886462	2013-08-03 21:14:43.886462	\N	3bc6726e-fadf-47a8-a3d7-959842199115
86136	7	11314	2013-08-03 20:37:53.302942	2013-08-03 20:37:53.302942	\N	49156ed5-3326-44d0-a45c-5f66db56a889
115861	14	13834	2013-08-03 22:15:03.285056	2013-08-03 22:15:03.285056	\N	5f6b0633-9a95-41af-96d8-64a38e920f35
118032	2	14080	2013-08-03 22:24:27.119872	2013-08-03 22:24:27.119872	\N	e8f88290-93e0-4d64-93ba-6a7a89e9eac9
118033	2	14041	2013-08-03 22:24:27.168787	2013-08-03 22:24:27.168787	\N	26ccd303-2f24-4bc0-bd3a-a3ea6109dffd
86153	15	11309	2013-08-03 20:37:56.67556	2013-08-03 20:37:56.67556	\N	f15ede7a-1bc0-40b1-abd4-92934843649f
87929	9	11435	2013-08-03 20:43:00.549935	2013-08-03 20:43:00.549935	\N	337e4241-dca7-4204-a9b0-6d827cdf5a73
98030	13	12286	2013-08-03 21:14:44.407881	2013-08-03 21:14:44.407881	\N	665f8e91-1fa4-4d18-8b0e-292e163af1c7
99767	4	12433	2013-08-03 21:19:32.877875	2013-08-03 21:19:32.877875	\N	69ecb51f-bb2a-4f59-ad1b-3a7f5b887e5c
82669	16	11017	2013-08-03 20:29:14.216069	2013-08-03 20:29:14.216069	\N	b4f3954c-5040-4fed-829c-cf9df2360a56
82670	16	11005	2013-08-03 20:29:14.372018	2013-08-03 20:29:14.372018	\N	42c08333-1157-475c-bef5-49554a3832f3
99770	4	12403	2013-08-03 21:19:32.907481	2013-08-03 21:19:32.907481	\N	5c038988-5e86-470e-a120-7fc2696d3aa3
87957	6	11416	2013-08-03 20:43:05.975163	2013-08-03 20:43:05.975163	\N	ac6a1bd5-1617-4332-bdbc-a5517cc5c34e
84599	17	11131	2013-08-03 20:33:32.458824	2013-08-03 20:33:32.458824	\N	77273416-8c3b-4fed-b80b-bd0610c24c2a
87959	19	11419	2013-08-03 20:43:06.611203	2013-08-03 20:43:06.611203	\N	9939d3c5-5392-42da-a1ab-4f62b0611be6
99771	4	12391	2013-08-03 21:19:32.958598	2013-08-03 21:19:32.958598	\N	58235d6e-4c90-48d4-bdee-0e3ec70cf435
86191	10	11309	2013-08-03 20:38:00.80097	2013-08-03 20:38:00.80097	\N	bca14e7a-c53d-4f07-aa38-8b41817229ef
99774	4	12442	2013-08-03 21:19:33.033855	2013-08-03 21:19:33.033855	\N	a9c860d7-f4fc-4dab-9a6f-54cacae2f5a9
87978	11	11410	2013-08-03 20:43:10.197345	2013-08-03 20:43:10.197345	\N	cac5bab3-382b-433e-8af1-25c3a8ee6458
98045	13	12316	2013-08-03 21:14:47.542082	2013-08-03 21:14:47.542082	\N	5c9fac96-e14b-4b58-b09b-4866f1441f75
86207	17	11269	2013-08-03 20:38:02.672314	2013-08-03 20:38:02.672314	\N	022bd4b4-37e6-4a2c-9dae-3e2c20b94395
86208	17	11257	2013-08-03 20:38:02.889787	2013-08-03 20:38:02.889787	\N	76b855c0-821e-4151-ba8d-c4986ba490dd
103574	19	12695	2013-08-03 21:30:45.495556	2013-08-03 21:30:45.495556	\N	40231dcc-9cbf-4697-8d47-883153bdc181
86222	13	11257	2013-08-03 20:38:05.995972	2013-08-03 20:38:05.995972	\N	10edce19-d4d9-443f-a282-fac7d80a36ab
98054	13	12319	2013-08-03 21:14:47.843509	2013-08-03 21:14:47.843509	\N	03e608b1-7faa-4d9b-bea8-d95b8aa32601
98055	13	12322	2013-08-03 21:14:48.119294	2013-08-03 21:14:48.119294	\N	68012b02-48ae-4665-be12-fb121cc549bd
84678	17	11158	2013-08-03 20:33:45.789087	2013-08-03 20:33:45.789087	\N	12422aef-baae-44b9-9138-369eba3afd0e
87986	2	11413	2013-08-03 20:43:11.055214	2013-08-03 20:43:11.055214	\N	2e3df3f8-483f-457f-a843-ba7acc317343
99776	17	12443	2013-08-03 21:19:33.130754	2013-08-03 21:19:33.130754	\N	c176f407-30c2-4438-8b06-51f500bd514c
87988	11	11419	2013-08-03 20:43:11.187249	2013-08-03 20:43:11.187249	\N	723831a0-9c5d-4c08-ada5-2b5bd41f30a2
86252	17	11308	2013-08-03 20:38:10.398183	2013-08-03 20:38:10.398183	\N	916a92a8-c7b9-4156-b4b4-640c6b82ffcf
86253	19	11308	2013-08-03 20:38:10.454743	2013-08-03 20:38:10.454743	\N	caaacf80-cfe2-4744-8af3-1356eed5b587
86267	13	11308	2013-08-03 20:38:12.683447	2013-08-03 20:38:12.683447	\N	75d83e50-e4ed-4185-9b50-9c6ad8492909
118034	2	14086	2013-08-03 22:24:27.216889	2013-08-03 22:24:27.216889	\N	e854b770-7e48-4151-a38a-58f028e16cb7
87990	11	11434	2013-08-03 20:43:11.894453	2013-08-03 20:43:11.894453	\N	0d2554a6-b235-4638-8fc4-4390ec7f6039
98059	2	12292	2013-08-03 21:14:49.461848	2013-08-03 21:14:49.461848	\N	bcff15af-3073-419f-8b15-5fd2183ad61a
118035	2	14065	2013-08-03 22:24:27.273736	2013-08-03 22:24:27.273736	\N	4eb7a0ab-a35d-481f-a285-8be4ce6973bd
115795	16	13786	2013-08-03 22:14:50.878648	2013-08-03 22:14:50.878648	\N	802e5789-ccdd-4b0d-ab3c-af7f242b61e5
115796	16	13789	2013-08-03 22:14:51.007204	2013-08-03 22:14:51.007204	\N	c54cdd73-f406-4e68-9811-ac6b87facfb4
90973	10	11509	2013-08-03 20:50:57.625105	2013-08-03 20:50:57.625105	\N	5b1a7b6f-92e2-4cea-9405-bf881d882850
84429	19	11131	2013-08-03 20:33:16.462738	2013-08-03 20:33:16.462738	\N	6257ec8b-d61d-441d-a5b1-8d3e44d713f4
90974	10	11563	2013-08-03 20:50:57.741825	2013-08-03 20:50:57.741825	\N	2633894e-b7c4-407a-bea8-ce1c4333f6fe
132489	7	17053	2013-08-04 00:25:56.137096	2013-08-04 00:25:56.137096	\N	a3a37ed2-3b01-4223-9f1a-8f9c5d58bbd1
107383	17	13072	2013-08-03 21:45:49.629602	2013-08-03 21:45:49.629602	\N	71868f0d-47e0-4c9f-a17b-1035f1347fc7
111617	17	13456	2013-08-03 22:00:25.063936	2013-08-03 22:00:25.063936	\N	6e189cea-1944-4cf2-8a2b-417f852a4653
107399	17	13078	2013-08-03 21:45:53.900327	2013-08-03 21:45:53.900327	\N	e50473d9-c4ff-486c-9601-e1d2e7850619
99686	8	12433	2013-08-03 21:19:23.603623	2013-08-03 21:19:23.603623	\N	3cd089bb-8315-46e2-b39a-a0942aacaf22
89389	11	11530	2013-08-03 20:48:01.223582	2013-08-03 20:48:01.223582	\N	9f070bda-e2c5-4b7d-8982-49516f544ba2
99693	8	12442	2013-08-03 21:19:25.243605	2013-08-03 21:19:25.243605	\N	e24248d2-c8c9-4b10-9607-bccee8aa28e7
86029	8	11257	2013-08-03 20:37:38.111166	2013-08-03 20:37:38.111166	\N	74fbe501-cac4-4c21-923a-fe5992eba217
86034	8	11314	2013-08-03 20:37:38.154489	2013-08-03 20:37:38.154489	\N	fb4933f4-5f9a-473c-994c-e3c12d662252
99696	8	12412	2013-08-03 21:19:25.937287	2013-08-03 21:19:25.937287	\N	c24f7a4d-bb70-4a6d-a9b7-d0735e18ba39
87736	8	11404	2013-08-03 20:42:33.063726	2013-08-03 20:42:33.063726	\N	9bf06b62-6a0f-42e5-b121-87461fa17d48
86060	1	11308	2013-08-03 20:37:43.365547	2013-08-03 20:37:43.365547	\N	5e42ea1e-f29b-42eb-8af2-46c70ef700ba
87746	2	11398	2013-08-03 20:42:35.191136	2013-08-03 20:42:35.191136	\N	e05d5aaa-90d0-49c8-ad1d-c23ed7fed774
87749	2	11416	2013-08-03 20:42:35.278456	2013-08-03 20:42:35.278456	\N	1dd4b9e1-bdd7-4521-8a56-cdcd3304e63b
87750	2	11395	2013-08-03 20:42:35.330856	2013-08-03 20:42:35.330856	\N	377a852d-4054-4f27-ac65-57d13c68db53
87752	2	11404	2013-08-03 20:42:35.382383	2013-08-03 20:42:35.382383	\N	f2e9a796-c7eb-4acd-8405-99dcda58e359
87753	2	11435	2013-08-03 20:42:35.48773	2013-08-03 20:42:35.48773	\N	262bde81-389a-44f8-9914-ed11e325a145
87755	2	11440	2013-08-03 20:42:35.551304	2013-08-03 20:42:35.551304	\N	ca66205f-b1ee-4fe0-a3b7-f7abd75a0d66
86100	9	11308	2013-08-03 20:37:50.129585	2013-08-03 20:37:50.129585	\N	e379cb83-99a4-4f7f-ad79-1acf9b363922
87756	9	11416	2013-08-03 20:42:35.688211	2013-08-03 20:42:35.688211	\N	8321b747-b2ee-4f09-8809-73d8b7a74439
87758	17	11410	2013-08-03 20:42:36.910228	2013-08-03 20:42:36.910228	\N	afa32d16-77bd-4745-8096-960ea53fa21f
86112	15	11314	2013-08-03 20:37:50.629093	2013-08-03 20:37:50.629093	\N	8ce1850c-b8b1-40c4-85da-c47612e57a5f
86114	15	11269	2013-08-03 20:37:50.799974	2013-08-03 20:37:50.799974	\N	278df114-0cfb-43ba-8f3a-77da48f3258f
86115	12	11314	2013-08-03 20:37:50.92469	2013-08-03 20:37:50.92469	\N	6fa13571-b798-48c9-a735-eb5b341e07a9
86119	7	11293	2013-08-03 20:37:52.224515	2013-08-03 20:37:52.224515	\N	23070443-5473-4b68-92ea-54bcefa1e1e7
86120	7	11272	2013-08-03 20:37:52.375979	2013-08-03 20:37:52.375979	\N	4b45b1b2-351e-41f3-959a-716eeaa3cc12
86121	7	11290	2013-08-03 20:37:52.449329	2013-08-03 20:37:52.449329	\N	20eb4dcd-b7d1-454d-80e0-6719949a0648
86122	7	11287	2013-08-03 20:37:52.549836	2013-08-03 20:37:52.549836	\N	bf9737af-30a8-48c5-8375-5b7211de7edd
86123	7	11278	2013-08-03 20:37:52.634709	2013-08-03 20:37:52.634709	\N	d17d5010-20ad-413b-b489-a00f8c868906
99698	17	12418	2013-08-03 21:19:26.600151	2013-08-03 21:19:26.600151	\N	04104b28-6322-4daa-aa07-fe86b8bedbc0
92607	17	11665	2013-08-03 20:56:05.692239	2013-08-03 20:56:05.692239	\N	63e44499-ab28-4b17-a924-3309e24d702e
99699	6	12433	2013-08-03 21:19:26.796118	2013-08-03 21:19:26.796118	\N	70218c2f-9d1f-4831-8520-626519865b27
86142	19	11269	2013-08-03 20:37:54.825267	2013-08-03 20:37:54.825267	\N	cbedd20f-d800-4421-9e61-fd1b1c1a62b0
87770	17	11395	2013-08-03 20:42:38.961916	2013-08-03 20:42:38.961916	\N	7ba74bce-0462-47d0-8244-070b9e3184c6
89420	11	11545	2013-08-03 20:48:03.013914	2013-08-03 20:48:03.013914	\N	4ccdd2f7-8063-4117-8535-283a91059f10
87791	8	11435	2013-08-03 20:42:41.288906	2013-08-03 20:42:41.288906	\N	943b0d51-a6d0-4904-aaa5-56c3d14b9320
84601	19	11146	2013-08-03 20:33:32.544228	2013-08-03 20:33:32.544228	\N	3d18de0e-17c3-4ea4-bf47-4529e4b3697e
99708	8	12421	2013-08-03 21:19:27.266146	2013-08-03 21:19:27.266146	\N	7438a0b0-09ac-4813-a61a-3dedda954f64
115804	11	13786	2013-08-03 22:14:51.919393	2013-08-03 22:14:51.919393	\N	8ee5d5cd-b15d-4c14-a269-4ddabfbdafe9
82668	16	11011	2013-08-03 20:29:14.070332	2013-08-03 20:29:14.070332	\N	fdc5285b-a9ad-46c4-9872-498e822bca33
82671	16	11020	2013-08-03 20:29:14.530807	2013-08-03 20:29:14.530807	\N	18fb49b4-7321-4f60-b099-91fb14274122
82672	16	11032	2013-08-03 20:29:14.682168	2013-08-03 20:29:14.682168	\N	a2d3fd82-931b-46f9-9cce-a6c6b84d52eb
82674	16	11035	2013-08-03 20:29:14.840447	2013-08-03 20:29:14.840447	\N	ef8ba483-ca0a-478c-acd5-913aa18b94c0
82675	16	11041	2013-08-03 20:29:15.010374	2013-08-03 20:29:15.010374	\N	61af200e-ecb5-4ca7-a474-7d2d401212dd
82676	16	11056	2013-08-03 20:29:15.183316	2013-08-03 20:29:15.183316	\N	44b86306-c984-4a60-b986-fc2e34694765
82677	16	11062	2013-08-03 20:29:15.353907	2013-08-03 20:29:15.353907	\N	572c2e95-2bd5-483a-9f21-d54edb20c810
127324	9	15820	2013-08-03 23:34:48.666449	2013-08-03 23:34:48.666449	\N	32dd4200-00cc-4db6-8d99-1dcce4626cd1
84616	19	11152	2013-08-03 20:33:33.066594	2013-08-03 20:33:33.066594	\N	109eb85a-52e9-4f5b-9a16-bf742d110e55
86190	9	11309	2013-08-03 20:38:00.728444	2013-08-03 20:38:00.728444	\N	2d988b44-9b73-402d-b640-a5e8633e5fec
84619	19	11158	2013-08-03 20:33:33.818894	2013-08-03 20:33:33.818894	\N	5dcb6e84-f8c2-4c1a-a24e-d2333fbcf426
84620	19	11161	2013-08-03 20:33:34.185035	2013-08-03 20:33:34.185035	\N	8975b82f-4aab-4aec-abae-cfb5bd9ce607
99719	8	12445	2013-08-03 21:19:27.529832	2013-08-03 21:19:27.529832	\N	d372e49b-4b27-4be8-982b-c36417f68d58
89425	11	11560	2013-08-03 20:48:03.719441	2013-08-03 20:48:03.719441	\N	6a4dfd32-dfa8-407f-94dd-92c1d900d472
97947	17	12301	2013-08-03 21:14:29.589182	2013-08-03 21:14:29.589182	\N	55bdeefa-c6ec-404c-902b-7395e46c50fe
86209	6	11308	2013-08-03 20:38:03.034877	2013-08-03 20:38:03.034877	\N	b9f001e3-4a5e-4075-a8f3-550355d85c94
84639	12	11131	2013-08-03 20:33:38.878439	2013-08-03 20:33:38.878439	\N	6648cbb9-0ac1-415c-8e45-da0b288b6f66
127326	15	15845	2013-08-03 23:34:49.018822	2013-08-03 23:34:49.018822	\N	d2ad1cb9-95ad-42fc-8cb0-00e7ebd3ba1a
99726	7	12399	2013-08-03 21:19:28.053349	2013-08-03 21:19:28.053349	\N	ec03858d-f467-4238-bb0a-eccc82de6509
86221	13	11269	2013-08-03 20:38:04.570862	2013-08-03 20:38:04.570862	\N	742d2fb9-3381-4930-84fb-e47110a931dd
84654	2	11183	2013-08-03 20:33:39.692777	2013-08-03 20:33:39.692777	\N	64703a89-4431-42c7-a645-01ca96543d4b
89433	11	11566	2013-08-03 20:48:04.531579	2013-08-03 20:48:04.531579	\N	bad9ab0c-0e0e-4ed9-a640-ec6281c07485
99731	9	12433	2013-08-03 21:19:28.344177	2013-08-03 21:19:28.344177	\N	edd670ef-60d7-430e-a1c7-20d61c73ac76
87826	17	11434	2013-08-03 20:42:47.437078	2013-08-03 20:42:47.437078	\N	87b2f6a1-a0ff-4d9e-851c-fb451ea3e302
99732	7	12448	2013-08-03 21:19:28.414411	2013-08-03 21:19:28.414411	\N	fe32e270-5259-47f7-9ab3-cd6648de584d
86275	19	11272	2013-08-03 20:38:13.377841	2013-08-03 20:38:13.377841	\N	ce7cdc6d-e59e-408a-a121-c6231833b19f
99733	9	12403	2013-08-03 21:19:28.511971	2013-08-03 21:19:28.511971	\N	fe654115-3f0a-4e67-a059-90aa454cbda3
99735	7	12391	2013-08-03 21:19:28.621394	2013-08-03 21:19:28.621394	\N	e812105d-c3cd-4cc1-877f-7ba7d6f1cbeb
86288	19	11278	2013-08-03 20:38:14.035795	2013-08-03 20:38:14.035795	\N	948a9b9a-78d1-49d3-888b-09b2b237a3f1
118023	8	14029	2013-08-03 22:24:25.889612	2013-08-03 22:24:25.889612	\N	68bfafc6-3aa9-4fc1-b360-d41e787f48c7
115813	11	13777	2013-08-03 22:14:52.914176	2013-08-03 22:14:52.914176	\N	4c739fd7-1899-459e-b969-462f7a0304d3
84757	17	11167	2013-08-03 20:33:52.122886	2013-08-03 20:33:52.122886	\N	a6d8707f-5799-4d3e-bdf3-621430d79cea
87842	17	11440	2013-08-03 20:42:48.334945	2013-08-03 20:42:48.334945	\N	251667d8-1e5f-43bb-b39d-98139b2be0ed
86307	17	11278	2013-08-03 20:38:17.816322	2013-08-03 20:38:17.816322	\N	a4de056c-5941-421c-82b4-26f8b05fac3f
118027	7	14080	2013-08-03 22:24:26.055611	2013-08-03 22:24:26.055611	\N	099cd096-f66f-4759-bbeb-fc3b4bbf9531
84796	5	11182	2013-08-03 20:33:55.475465	2013-08-03 20:33:55.475465	\N	38291511-636d-4b84-982e-ec8b40173104
86310	11	11272	2013-08-03 20:38:18.222339	2013-08-03 20:38:18.222339	\N	ebc04e73-e96f-4faf-ba46-d278fc1b114e
87857	19	11416	2013-08-03 20:42:50.873726	2013-08-03 20:42:50.873726	\N	780b4102-f593-4ae4-8928-2e4132a0e3ff
87858	15	11416	2013-08-03 20:42:50.936911	2013-08-03 20:42:50.936911	\N	15990a77-0c5f-4391-b9ae-f77ca80e465c
86314	6	11290	2013-08-03 20:38:18.72929	2013-08-03 20:38:18.72929	\N	68790831-169f-4253-8d65-33b457eac9f7
109519	8	13273	2013-08-03 21:54:26.567465	2013-08-03 21:54:26.567465	\N	56d179c8-dcde-4168-85ab-36085a9ee37f
86321	11	11278	2013-08-03 20:38:19.167621	2013-08-03 20:38:19.167621	\N	23285953-585f-4358-a00d-e64e1016034f
86322	19	11293	2013-08-03 20:38:19.331112	2013-08-03 20:38:19.331112	\N	bd707469-55bd-49ed-809f-ef2aa5ff4057
89496	12	11566	2013-08-03 20:48:13.342141	2013-08-03 20:48:13.342141	\N	64395010-ad24-4ddc-b306-bcaf476934df
89507	17	11521	2013-08-03 20:48:14.383756	2013-08-03 20:48:14.383756	\N	d8c67f99-433f-41c0-be3a-afefea0b4871
97996	17	12322	2013-08-03 21:14:37.90463	2013-08-03 21:14:37.90463	\N	406ab573-7cf6-4464-b739-46b4f3066313
86344	11	11308	2013-08-03 20:38:21.447939	2013-08-03 20:38:21.447939	\N	036b2af2-75b7-469b-893c-72faa42e2dc5
86345	11	11309	2013-08-03 20:38:21.618262	2013-08-03 20:38:21.618262	\N	18506a56-e4b4-467f-9820-2e43f61067b9
98004	9	12316	2013-08-03 21:14:40.364717	2013-08-03 21:14:40.364717	\N	7d764d7f-54a1-4bf9-b6c4-f6850aaeaa48
98005	9	12319	2013-08-03 21:14:40.535929	2013-08-03 21:14:40.535929	\N	14b626eb-a045-4afa-8e09-42f51a9d6959
98006	15	12317	2013-08-03 21:14:40.604705	2013-08-03 21:14:40.604705	\N	ff6f644a-a463-4c33-aeaa-193035745256
99778	17	12442	2013-08-03 21:19:33.222953	2013-08-03 21:19:33.222953	\N	94060772-285b-4048-a5b1-d10e478bca86
109520	14	13285	2013-08-03 21:54:26.915707	2013-08-03 21:54:26.915707	\N	75c5bcb9-dfa2-41c2-bb65-8e3c9fb5cc63
109521	7	13327	2013-08-03 21:54:27.127586	2013-08-03 21:54:27.127586	\N	16d8c31c-95f9-4eb6-bfae-68864b98b12c
103623	13	12700	2013-08-03 21:30:54.961062	2013-08-03 21:30:54.961062	\N	1d94914b-574c-40ce-bde1-c491ff6ebeb2
103631	16	12643	2013-08-03 21:30:56.857997	2013-08-03 21:30:56.857997	\N	5b08e201-5408-43b1-b1d2-8d7bc805b1af
109524	13	13330	2013-08-03 21:54:27.384088	2013-08-03 21:54:27.384088	\N	d68eeaf1-8bd4-4631-b70a-63eb04bfa588
89553	4	11561	2013-08-03 20:48:19.855704	2013-08-03 20:48:19.855704	\N	8a9ff38f-a495-43e3-ac5b-62d30b85b1e8
87912	19	11440	2013-08-03 20:42:57.992861	2013-08-03 20:42:57.992861	\N	d4f9e571-47d6-4800-832b-4574fae1911d
87914	1	11435	2013-08-03 20:42:58.567841	2013-08-03 20:42:58.567841	\N	bb5b28e6-cdca-4374-acb0-2650054b92ac
96269	8	12181	2013-08-03 21:09:23.42996	2013-08-03 21:09:23.42996	\N	7dab588c-12eb-42e8-accd-f2c6af0f9e40
82861	5	11041	2013-08-03 20:29:30.455021	2013-08-03 20:29:30.455021	\N	8ada95ad-8977-46ab-a355-276f4f51310f
82862	5	11062	2013-08-03 20:29:30.848984	2013-08-03 20:29:30.848984	\N	c4a69674-deee-443e-952c-c9901c406d63
82863	5	11035	2013-08-03 20:29:31.252882	2013-08-03 20:29:31.252882	\N	ac299f50-1647-420f-b124-7e0fba7d7590
89397	11	11542	2013-08-03 20:48:02.522552	2013-08-03 20:48:02.522552	\N	1ec9cc58-e493-45f2-b04d-6df080c0faec
115809	11	13789	2013-08-03 22:14:52.408598	2013-08-03 22:14:52.408598	\N	2af38b9e-1d70-45f0-a0ae-b736f0bc2b52
87863	7	11404	2013-08-03 20:42:51.312373	2013-08-03 20:42:51.312373	\N	89305466-9e81-423c-a847-4ad6ad00d2b9
97919	8	12319	2013-08-03 21:14:25.273176	2013-08-03 21:14:25.273176	\N	db629dae-6316-4b6a-aade-883f0115681f
87874	7	11413	2013-08-03 20:42:51.850132	2013-08-03 20:42:51.850132	\N	44f93d0c-7944-4e2d-8853-a4938e18692f
86186	10	11308	2013-08-03 20:38:00.199003	2013-08-03 20:38:00.199003	\N	b632fe40-8658-4247-b6e1-b4a96cdcf327
84622	19	11167	2013-08-03 20:33:34.903873	2013-08-03 20:33:34.903873	\N	2bc29e88-3541-4784-9b98-735984277508
87875	7	11398	2013-08-03 20:42:52.04043	2013-08-03 20:42:52.04043	\N	4621a107-5ba4-44ea-a1be-43e26ccfd7f9
87877	7	11416	2013-08-03 20:42:52.133171	2013-08-03 20:42:52.133171	\N	43574287-bebe-4010-96a0-9168810e17b7
87878	9	11426	2013-08-03 20:42:52.341001	2013-08-03 20:42:52.341001	\N	a689bf46-dc7f-4952-873f-3e72efd125bb
129793	15	16309	2013-08-03 23:56:01.479082	2013-08-03 23:56:01.479082	\N	33471e05-00af-43b3-a172-8594bb3b7ad1
113743	6	13577	2013-08-03 22:05:46.488542	2013-08-03 22:05:46.488542	\N	414c3ea6-2dbf-4fdc-9c0a-cb8c3060a5c0
115814	9	13777	2013-08-03 22:14:52.916791	2013-08-03 22:14:52.916791	\N	1899106a-6279-476b-9060-6b159356c7b2
84638	17	11146	2013-08-03 20:33:37.289496	2013-08-03 20:33:37.289496	\N	a72af9e3-f587-403b-889b-3eb6dcfc5335
109508	10	13294	2013-08-03 21:54:24.129384	2013-08-03 21:54:24.129384	\N	6f126354-9d3f-4898-9b88-b84ed51372b2
101613	7	12525	2013-08-03 21:24:23.686351	2013-08-03 21:24:23.686351	\N	6721e0a8-a965-4241-b88b-3a4d4dddabd7
101614	7	12574	2013-08-03 21:24:23.897545	2013-08-03 21:24:23.897545	\N	c56e20c8-fcbc-4387-af77-529311c95784
97938	8	12301	2013-08-03 21:14:27.769186	2013-08-03 21:14:27.769186	\N	20b83a34-f5fa-4834-8b4d-941280a24be2
84659	12	11182	2013-08-03 20:33:41.256702	2013-08-03 20:33:41.256702	\N	58dc6446-4d90-4cbe-86d8-9f17817f7194
84660	17	11152	2013-08-03 20:33:41.70602	2013-08-03 20:33:41.70602	\N	df88c6ee-fbc3-4287-a741-1db0ad826197
97944	7	12315	2013-08-03 21:14:29.31073	2013-08-03 21:14:29.31073	\N	8ec9ea0b-ac76-48af-8a0d-93b15026339f
101616	8	12538	2013-08-03 21:24:23.941934	2013-08-03 21:24:23.941934	\N	bc9bd3d2-ad8a-4e7c-a0df-da719c4ec351
84672	1	11183	2013-08-03 20:33:43.382911	2013-08-03 20:33:43.382911	\N	1e81a821-1add-4b88-942e-f8f1863474fc
101621	8	12553	2013-08-03 21:24:23.985331	2013-08-03 21:24:23.985331	\N	8e117e48-a093-4bd8-8a16-6a877769ef07
109509	10	13327	2013-08-03 21:54:24.252168	2013-08-03 21:54:24.252168	\N	483d22d8-2135-4601-b926-29f967e2a8cb
87954	19	11410	2013-08-03 20:43:05.421651	2013-08-03 20:43:05.421651	\N	c4ad1768-444e-4ae0-b995-e9477c5dd99f
97949	9	12317	2013-08-03 21:14:30.147979	2013-08-03 21:14:30.147979	\N	166b2183-d6e9-46de-819d-e70d1011d543
89449	10	11551	2013-08-03 20:48:05.812046	2013-08-03 20:48:05.812046	\N	99ffc2e7-7828-4261-b3ab-ed1964502966
89450	10	11542	2013-08-03 20:48:05.952245	2013-08-03 20:48:05.952245	\N	b4b328c7-4243-4c11-81be-2d1680a47c56
109511	10	13309	2013-08-03 21:54:24.360032	2013-08-03 21:54:24.360032	\N	d4a09d76-d880-45fc-9b99-63252e5d7411
109515	10	13325	2013-08-03 21:54:24.574281	2013-08-03 21:54:24.574281	\N	0ba4bcd8-715e-452e-9083-0595ac6542f8
101662	6	12517	2013-08-03 21:24:30.643387	2013-08-03 21:24:30.643387	\N	20595363-70f2-4543-9699-b832cb3d0c74
109533	8	13324	2013-08-03 21:54:28.24846	2013-08-03 21:54:28.24846	\N	7495e385-8cb2-4364-bf21-4778d66670e8
101684	17	12559	2013-08-03 21:24:33.888054	2013-08-03 21:24:33.888054	\N	7db597ee-9e40-4901-a8ba-bf9ed26f0c74
101685	17	12529	2013-08-03 21:24:34.21049	2013-08-03 21:24:34.21049	\N	acb58992-a805-446f-a47c-10687018fda4
99937	15	12403	2013-08-03 21:19:52.689519	2013-08-03 21:19:52.689519	\N	83493dc5-0626-4d2b-b2eb-43fcfffa1c61
89494	12	11560	2013-08-03 20:48:12.869877	2013-08-03 20:48:12.869877	\N	e0280634-de3a-4dc5-83bb-fb375b815ffd
101686	17	12517	2013-08-03 21:24:34.345428	2013-08-03 21:24:34.345428	\N	7566c607-e7d5-46ba-bcf3-f3fd7881de96
118037	7	14029	2013-08-03 22:24:27.457865	2013-08-03 22:24:27.457865	\N	797d7a17-54cc-44a3-b71e-38479df74e3b
88024	4	11435	2013-08-03 20:43:18.089292	2013-08-03 20:43:18.089292	\N	3b5e773f-0b7a-4f16-aa03-d008fdaed1d8
99955	15	12442	2013-08-03 21:19:53.571345	2013-08-03 21:19:53.571345	\N	3a3323e7-4466-4053-848d-d8756dfe5db4
89522	6	11509	2013-08-03 20:48:16.715627	2013-08-03 20:48:16.715627	\N	f7cece99-161f-4fde-b896-3fa53d7ec2e8
89523	17	11561	2013-08-03 20:48:17.008186	2013-08-03 20:48:17.008186	\N	7d0c4ace-c5b6-47d6-a597-44904c21e4b8
103630	16	12655	2013-08-03 21:30:56.385188	2013-08-03 21:30:56.385188	\N	f00ce8b2-76dd-4671-ac8a-21190d63f57c
99963	11	12442	2013-08-03 21:19:55.0418	2013-08-03 21:19:55.0418	\N	e2dbd00f-5f71-48cc-a7fb-3e5542fe4449
89538	8	11509	2013-08-03 20:48:18.932714	2013-08-03 20:48:18.932714	\N	84ee6e7a-5414-4095-a6c6-0c093cc481c9
103633	16	12679	2013-08-03 21:30:57.096959	2013-08-03 21:30:57.096959	\N	c48512c9-f20d-48c7-b6e8-92fb5d553b26
109540	8	13330	2013-08-03 21:54:28.596325	2013-08-03 21:54:28.596325	\N	b1bce7be-4dd0-4299-a2f5-c7a916652a1a
84786	5	11164	2013-08-03 20:33:54.909759	2013-08-03 20:33:54.909759	\N	4017bf0b-d578-40cf-8351-ef3a24deb8fd
86437	8	11309	2013-08-03 20:38:35.425706	2013-08-03 20:38:35.425706	\N	64d8ba4e-1619-47d4-8394-5f868c79bc23
99968	11	12445	2013-08-03 21:19:55.710863	2013-08-03 21:19:55.710863	\N	e82c2126-b84c-484a-aac8-bcf2c49a27b9
118041	8	14038	2013-08-03 22:24:28.727727	2013-08-03 22:24:28.727727	\N	4e8b7ef4-ac2a-4eff-80ae-d28168ff7767
99985	13	12442	2013-08-03 21:19:57.916153	2013-08-03 21:19:57.916153	\N	c515a9e3-f3e2-4f99-9752-c6b405af93de
118046	8	14083	2013-08-03 22:24:28.765384	2013-08-03 22:24:28.765384	\N	edb550fa-1560-4539-ae7b-95ed2a1045ed
124913	13	15340	2013-08-03 23:18:09.294473	2013-08-03 23:18:09.294473	\N	df14a5b4-2d8f-4cd3-8454-ec517962ed75
89640	8	11563	2013-08-03 20:48:28.162634	2013-08-03 20:48:28.162634	\N	74ae35ca-8e22-41a9-b104-6c163cf06614
89647	17	11539	2013-08-03 20:48:29.041328	2013-08-03 20:48:29.041328	\N	8606b8c9-e7c5-4dc6-9834-4f27e65ad5e8
89649	9	11563	2013-08-03 20:48:29.286635	2013-08-03 20:48:29.286635	\N	7e3e3554-f751-422d-8c1c-fccc02df9f21
109552	7	13324	2013-08-03 21:54:28.964203	2013-08-03 21:54:28.964203	\N	4d5b01b5-2531-4a2c-a145-ceae6f31b44a
111669	4	13451	2013-08-03 22:00:32.31432	2013-08-03 22:00:32.31432	\N	f481b645-88dd-4777-89b3-c179b8c63634
127315	13	15793	2013-08-03 23:34:47.278064	2013-08-03 23:34:47.278064	\N	230b3836-5706-452e-87a8-113ca6a7e0d2
127321	14	15793	2013-08-03 23:34:47.952222	2013-08-03 23:34:47.952222	\N	b7737532-bb2d-42f2-b95d-499b56a9ad87
118083	9	14080	2013-08-03 22:24:33.966142	2013-08-03 22:24:33.966142	\N	0c4f39a2-b255-4c28-8ad9-46a0326995c3
96271	8	12160	2013-08-03 21:09:23.435527	2013-08-03 21:09:23.435527	\N	ba1cd6de-6d73-4ba6-801d-f54141154db1
96276	8	12172	2013-08-03 21:09:23.476936	2013-08-03 21:09:23.476936	\N	04947109-d683-4a07-886f-66fb58aa7698
96281	2	12196	2013-08-03 21:09:26.495145	2013-08-03 21:09:26.495145	\N	13906339-915e-41f3-bc2e-9a46fecb69bf
96282	2	12193	2013-08-03 21:09:26.542388	2013-08-03 21:09:26.542388	\N	8d20c8d5-3143-487e-9f95-454306528c65
96283	2	12151	2013-08-03 21:09:26.575508	2013-08-03 21:09:26.575508	\N	1b52d3c1-75b9-481d-b266-a9118ba8d0a2
89736	13	11539	2013-08-03 20:48:38.460488	2013-08-03 20:48:38.460488	\N	a170f9a6-326c-4783-8ffb-172265a4a928
96284	2	12191	2013-08-03 21:09:26.606149	2013-08-03 21:09:26.606149	\N	8acf4e64-2009-4caf-ba83-aed92bfe80e6
109567	9	13325	2013-08-03 21:54:33.697738	2013-08-03 21:54:33.697738	\N	684e29f3-8933-466e-a358-e7cd35dc6186
113776	5	13525	2013-08-03 22:05:59.017668	2013-08-03 22:05:59.017668	\N	b9fae7c5-4d7a-4ba9-a82b-33a95a1e1e5b
127322	14	15845	2013-08-03 23:34:47.993643	2013-08-03 23:34:47.993643	\N	3cb10aa4-a0d5-4995-942e-127b8bc9ad03
109577	17	13285	2013-08-03 21:54:35.450623	2013-08-03 21:54:35.450623	\N	0adce298-c3e8-4368-853e-2163d936b4a4
96291	1	12181	2013-08-03 21:09:28.462713	2013-08-03 21:09:28.462713	\N	48f5b36f-18c2-4ff3-902c-f8b583a037c5
98076	15	12277	2013-08-03 21:14:52.431709	2013-08-03 21:14:52.431709	\N	f1d8410b-a885-409d-bf09-ea5fcf205c55
98079	12	12277	2013-08-03 21:14:53.901484	2013-08-03 21:14:53.901484	\N	22c1b262-8dcf-469b-a099-e5486bf46f7f
98080	15	12316	2013-08-03 21:14:54.249236	2013-08-03 21:14:54.249236	\N	6d81cf4b-5de1-4cbe-8345-5143a552804c
96309	7	12160	2013-08-03 21:09:30.745916	2013-08-03 21:09:30.745916	\N	72ae3d50-99d1-4c7f-b95c-156ddef194f3
89749	13	11560	2013-08-03 20:48:39.50596	2013-08-03 20:48:39.50596	\N	c6148be0-e6f3-418a-a324-dba7d0875d88
89750	13	11563	2013-08-03 20:48:39.749117	2013-08-03 20:48:39.749117	\N	0079daff-76dd-4462-9d3e-e3d6a2695060
89751	13	11566	2013-08-03 20:48:39.970577	2013-08-03 20:48:39.970577	\N	bf42ec5d-70c6-4569-a56a-55edcc00f637
109578	12	13315	2013-08-03 21:54:35.595278	2013-08-03 21:54:35.595278	\N	109a7a78-b3cd-48e9-9f57-9a608c4c13be
127323	14	15820	2013-08-03 23:34:48.036613	2013-08-03 23:34:48.036613	\N	4333c791-a805-41aa-90c1-32d5288790b4
98113	11	12277	2013-08-03 21:14:57.729097	2013-08-03 21:14:57.729097	\N	351043d7-8ffa-471f-a1c3-e259677dd6ea
109625	13	13282	2013-08-03 21:54:42.7544	2013-08-03 21:54:42.7544	\N	1a7d93c4-63c0-4bac-86c4-1f03a3509091
118092	11	14080	2013-08-03 22:24:35.703408	2013-08-03 22:24:35.703408	\N	a87b5c44-bc90-4a64-a11f-11df5e70941a
100078	4	12443	2013-08-03 21:20:17.227415	2013-08-03 21:20:17.227415	\N	0fc2627a-25c1-4765-9738-d197174367e0
103767	19	12673	2013-08-03 21:31:19.764251	2013-08-03 21:31:19.764251	\N	c1150793-c236-46ad-aa49-9031ef82fe8e
101737	2	12553	2013-08-03 21:24:41.061906	2013-08-03 21:24:41.061906	\N	979b0d5b-89eb-4531-a755-4282c15e19a9
101738	15	12569	2013-08-03 21:24:41.301795	2013-08-03 21:24:41.301795	\N	7e08e6e0-b8f2-4a0b-852a-3ed1bcb759d3
96358	15	12191	2013-08-03 21:09:41.686906	2013-08-03 21:09:41.686906	\N	891d16a5-44e0-4f4e-91bc-5fd6c79b54b9
118095	7	14083	2013-08-03 22:24:36.118445	2013-08-03 22:24:36.118445	\N	c7c377ad-b1aa-4042-b31f-c170f286641e
101745	1	12569	2013-08-03 21:24:43.318535	2013-08-03 21:24:43.318535	\N	e67f1851-3298-4555-a010-b364f086a12b
103772	19	12679	2013-08-03 21:31:20.220262	2013-08-03 21:31:20.220262	\N	77fc636e-f12b-4476-9ca6-636398692a11
109629	13	13273	2013-08-03 21:54:43.206709	2013-08-03 21:54:43.206709	\N	b14408f1-6590-42a9-b2b4-ce2deb654771
115907	4	13829	2013-08-03 22:15:17.321579	2013-08-03 22:15:17.321579	\N	267ea414-135e-4dd0-90b3-fc018af49289
101763	11	12517	2013-08-03 21:24:44.294127	2013-08-03 21:24:44.294127	\N	9c7ac5d2-cc4c-4247-bd94-262ce95aa402
101764	16	12547	2013-08-03 21:24:44.384851	2013-08-03 21:24:44.384851	\N	8b01321f-dc12-43aa-8436-158ca4eeea2a
109638	13	13294	2013-08-03 21:54:45.278436	2013-08-03 21:54:45.278436	\N	81977f53-71fc-412c-9ebe-09c215d9ee90
89835	11	11509	2013-08-03 20:48:48.906259	2013-08-03 20:48:48.906259	\N	ed0c6396-dc45-4716-a324-756d182d6409
101769	16	12568	2013-08-03 21:24:44.619075	2013-08-03 21:24:44.619075	\N	a84ebfad-082b-445a-abff-32526b661bf1
101770	16	12571	2013-08-03 21:24:44.729621	2013-08-03 21:24:44.729621	\N	77eca275-c7b4-4395-b2cc-f4d51d8246c7
109639	15	13325	2013-08-03 21:54:46.234638	2013-08-03 21:54:46.234638	\N	07d599fb-75d8-49a4-a7e5-be4c118f8af0
101773	11	12538	2013-08-03 21:24:45.576786	2013-08-03 21:24:45.576786	\N	74dc007e-21db-44d5-8710-b02333803d0c
91012	6	11536	2013-08-03 20:51:04.064857	2013-08-03 20:51:04.064857	\N	96569857-536e-489c-8021-a276fde155a6
97936	8	12286	2013-08-03 21:14:27.749704	2013-08-03 21:14:27.749704	\N	9faef3b1-40e6-4b19-b0ea-82764e3f0ec8
86277	1	11309	2013-08-03 20:38:13.407371	2013-08-03 20:38:13.407371	\N	91f11343-d6e8-4ee6-8f77-fceaeaefa0a9
87859	15	11395	2013-08-03 20:42:50.939107	2013-08-03 20:42:50.939107	\N	b1c7f182-8f19-4807-993f-bf82018b3df9
107389	17	13075	2013-08-03 21:45:51.827066	2013-08-03 21:45:51.827066	\N	121ea192-6341-449d-98ee-5ec2468b6ca9
86291	4	11309	2013-08-03 20:38:15.762623	2013-08-03 20:38:15.762623	\N	39e6fdb0-cc9c-43e0-8420-aeb040302416
89504	2	11536	2013-08-03 20:48:14.071303	2013-08-03 20:48:14.071303	\N	7477761f-d601-4491-b3a7-4e188eb6ebbd
103598	19	12685	2013-08-03 21:30:52.149504	2013-08-03 21:30:52.149504	\N	ace83b67-a467-472f-b64c-b6afeda3ed20
96094	6	12065	2013-08-03 21:08:31.016138	2013-08-03 21:08:31.016138	\N	8b01b913-5388-473e-b095-ce783bed7351
118039	20	14080	2013-08-03 22:24:28.277587	2013-08-03 22:24:28.277587	\N	c31b5d66-ab7c-4f5c-8360-01e451d37481
97971	7	12322	2013-08-03 21:14:35.350348	2013-08-03 21:14:35.350348	\N	d85150bd-bb09-4dfa-ac71-c3ccd08954f3
86330	11	11293	2013-08-03 20:38:20.614809	2013-08-03 20:38:20.614809	\N	a92f8b2f-b8e0-49a6-8715-9435f99a65f4
82934	14	11056	2013-08-03 20:29:45.424213	2013-08-03 20:29:45.424213	\N	d1e6b038-8f50-4b64-9ef3-c5b5fb923a28
82935	14	11057	2013-08-03 20:29:45.557242	2013-08-03 20:29:45.557242	\N	20516ba6-4319-4465-9b96-b1a7445dd957
107391	19	13078	2013-08-03 21:45:52.487566	2013-08-03 21:45:52.487566	\N	918d81a4-4d53-45dc-8a06-39ac13a9192d
115841	17	13777	2013-08-03 22:14:56.940776	2013-08-03 22:14:56.940776	\N	b3495677-bc8f-4c82-93ac-a239a2e6caea
103617	19	12643	2013-08-03 21:30:53.673214	2013-08-03 21:30:53.673214	\N	42a078f9-8048-46d3-91ef-b51e6f8eb11a
122619	18	14793	2013-08-03 23:02:10.987268	2013-08-03 23:02:10.987268	\N	344c7c5c-30ff-4031-a823-aa7edb60fae7
82941	5	11011	2013-08-03 20:29:47.469499	2013-08-03 20:29:47.469499	\N	29999e51-a25b-4332-b0bb-52d60c731930
86358	16	11257	2013-08-03 20:38:24.971335	2013-08-03 20:38:24.971335	\N	66ad94ce-0a05-46c8-b5de-caa72171244a
118045	8	14065	2013-08-03 22:24:28.750572	2013-08-03 22:24:28.750572	\N	a8aa1a17-f282-4239-966a-b3572f218b56
86369	16	11287	2013-08-03 20:38:25.343659	2013-08-03 20:38:25.343659	\N	cc97a685-6b6d-4595-8dc6-8810f3155593
86371	16	11293	2013-08-03 20:38:25.655784	2013-08-03 20:38:25.655784	\N	195f8c0b-b81a-436f-9e30-a3b6eb43c560
87936	19	11398	2013-08-03 20:43:03.767206	2013-08-03 20:43:03.767206	\N	d5421ac5-54ab-4b0a-81c2-c156cd0d12b7
86373	16	11308	2013-08-03 20:38:25.804965	2013-08-03 20:38:25.804965	\N	4e1623cb-24bc-4b13-838a-9034a5e2c000
87937	5	11404	2013-08-03 20:43:03.918282	2013-08-03 20:43:03.918282	\N	43232a4d-3501-4fb0-bb32-32f4b39c2d9c
111689	10	13411	2013-08-03 22:00:38.300009	2013-08-03 22:00:38.300009	\N	10e590a0-202d-4f0f-bcf6-f7507b93eb65
118063	11	14041	2013-08-03 22:24:31.885826	2013-08-03 22:24:31.885826	\N	e5484977-c3b7-4803-8715-9953bae7dced
87953	6	11440	2013-08-03 20:43:04.80958	2013-08-03 20:43:04.80958	\N	cc70afff-9dfe-4c05-b334-dc1846474ae2
86388	17	11293	2013-08-03 20:38:28.079264	2013-08-03 20:38:28.079264	\N	6b7a6c2e-0a84-49f1-967f-9e75e09bd095
87955	19	11413	2013-08-03 20:43:05.828784	2013-08-03 20:43:05.828784	\N	ed38a0f4-cb54-49b6-8ecb-d8eb89391a8a
98002	4	12317	2013-08-03 21:14:39.906467	2013-08-03 21:14:39.906467	\N	280cfe35-9c66-4889-95f6-2061857b5454
101619	8	12571	2013-08-03 21:24:23.947015	2013-08-03 21:24:23.947015	\N	1ec86ff4-d99e-4cd3-8d24-71aded2abe24
87981	11	11416	2013-08-03 20:43:10.693564	2013-08-03 20:43:10.693564	\N	7dffe962-e80f-4f01-8b22-f04d14d9f7e0
89587	17	11530	2013-08-03 20:48:22.874568	2013-08-03 20:48:22.874568	\N	e8013467-ea77-486d-9c12-895bd091e2b1
101624	8	12574	2013-08-03 21:24:23.989323	2013-08-03 21:24:23.989323	\N	fba995e5-28ab-4187-896c-3810c5e51e5a
87994	11	11440	2013-08-03 20:43:12.548929	2013-08-03 20:43:12.548929	\N	3eb9d3e4-eba3-45fa-8b17-a12e2ad7859e
103627	16	12685	2013-08-03 21:30:55.7035	2013-08-03 21:30:55.7035	\N	0b5dedc0-e96a-4d01-9b22-d2ba76a0f534
89592	3	11521	2013-08-03 20:48:24.382442	2013-08-03 20:48:24.382442	\N	4c12c97f-487d-4786-b305-b8b889e2ece8
89594	3	11551	2013-08-03 20:48:24.489544	2013-08-03 20:48:24.489544	\N	257acbfe-bf7c-4b0b-bb37-73e5f15fd4cb
89595	3	11560	2013-08-03 20:48:24.521094	2013-08-03 20:48:24.521094	\N	ce12f7f4-da42-4d48-8e6b-720d490d9275
89596	3	11542	2013-08-03 20:48:24.576718	2013-08-03 20:48:24.576718	\N	289dfa3c-7cfa-401a-8134-ce75c9a607dd
115857	14	13798	2013-08-03 22:15:02.769836	2013-08-03 22:15:02.769836	\N	8ee30a75-ff25-42fd-925a-0082806e1b44
89598	20	11563	2013-08-03 20:48:24.728935	2013-08-03 20:48:24.728935	\N	4864f227-7d08-4243-ba69-70faeac7c022
101634	7	12538	2013-08-03 21:24:25.955891	2013-08-03 21:24:25.955891	\N	3fdfe7ff-3fcc-4ae2-9067-706238cff03d
101635	7	12553	2013-08-03 21:24:26.037251	2013-08-03 21:24:26.037251	\N	08af412b-41fe-4212-b23a-a244e75cf294
83023	5	11005	2013-08-03 20:29:54.903639	2013-08-03 20:29:54.903639	\N	b70d6ac1-b218-4748-9788-0bdc944169cb
103634	16	12697	2013-08-03 21:30:57.237634	2013-08-03 21:30:57.237634	\N	2b513d1b-5c92-4e04-915b-f55d0b725919
103635	16	12700	2013-08-03 21:30:57.369712	2013-08-03 21:30:57.369712	\N	8eeada0b-0f39-4a12-9856-2233d64b6efe
127318	4	15793	2013-08-03 23:34:47.832829	2013-08-03 23:34:47.832829	\N	d1553129-4724-4b94-a751-4e12fdc465b6
88051	7	11301	2013-08-03 20:43:23.47459	2013-08-03 20:43:23.47459	\N	0c4b9f2e-0e70-4373-835d-4fa12cf6cc72
86469	3	11269	2013-08-03 20:38:42.682809	2013-08-03 20:38:42.682809	\N	28b630d9-2246-48fd-87e1-b5208d8e79d3
86470	3	11257	2013-08-03 20:38:42.762044	2013-08-03 20:38:42.762044	\N	4612fea1-9f9a-460f-9fd5-4f30e499af09
86471	3	11308	2013-08-03 20:38:42.79385	2013-08-03 20:38:42.79385	\N	8a29012d-42ee-4362-9f88-d9fd4c521f5c
89646	7	11563	2013-08-03 20:48:28.235026	2013-08-03 20:48:28.235026	\N	017ee3cc-a98c-4714-8d82-e94d7e0dca76
118068	11	14029	2013-08-03 22:24:32.360568	2013-08-03 22:24:32.360568	\N	36fec02b-a859-4d6d-b668-abc211c1f12c
98090	10	12307	2013-08-03 21:14:55.546815	2013-08-03 21:14:55.546815	\N	a46bf37f-0c5c-43da-8b61-0454616b5651
127319	4	15820	2013-08-03 23:34:47.903678	2013-08-03 23:34:47.903678	\N	2d61e1ac-5f6c-4fe2-8677-a987a531a7bb
98094	10	12316	2013-08-03 21:14:55.701613	2013-08-03 21:14:55.701613	\N	162617a2-6271-48fb-8ca5-be428c809cbe
129794	15	16297	2013-08-03 23:56:01.480847	2013-08-03 23:56:01.480847	\N	d51c92c6-0c93-4920-9f4f-9fdbb8023092
89665	17	11542	2013-08-03 20:48:31.04344	2013-08-03 20:48:31.04344	\N	e87f0dad-b30e-462c-8ac9-0fb096c3e89c
103650	14	12693	2013-08-03 21:30:59.447573	2013-08-03 21:30:59.447573	\N	e384ea20-122a-4d36-b6da-cad825fb9fa1
89668	17	11560	2013-08-03 20:48:32.132023	2013-08-03 20:48:32.132023	\N	c41f630b-1bd7-40b2-885d-31f4c9e800af
103651	14	12694	2013-08-03 21:30:59.549522	2013-08-03 21:30:59.549522	\N	82827ce9-2372-444c-a49d-a7bf9b08da42
129801	6	16348	2013-08-03 23:56:05.264821	2013-08-03 23:56:05.264821	\N	8e045efd-9ba0-4a1d-a01e-5a8bd27d03d6
109516	8	13309	2013-08-03 21:54:25.3417	2013-08-03 21:54:25.3417	\N	cf997376-775e-4090-bb32-5ecf4d5c6515
89681	17	11563	2013-08-03 20:48:32.538715	2013-08-03 20:48:32.538715	\N	0fc04ef1-a9a5-4f35-b45e-96405ea42809
109518	8	13315	2013-08-03 21:54:26.567453	2013-08-03 21:54:26.567453	\N	2208f900-01b8-4883-93b3-e6212acf2a37
109522	13	13327	2013-08-03 21:54:27.14557	2013-08-03 21:54:27.14557	\N	c4240a92-f8e3-421e-ab4a-fd269a61c743
109523	7	13330	2013-08-03 21:54:27.373297	2013-08-03 21:54:27.373297	\N	4f2c9adb-5df3-4c06-b8ad-126affe7ec90
89686	17	11566	2013-08-03 20:48:33.272268	2013-08-03 20:48:33.272268	\N	792e0901-85e5-4c6e-add1-8b2c2a658d5e
96273	8	12175	2013-08-03 21:09:23.455727	2013-08-03 21:09:23.455727	\N	d368f728-b202-42ef-90dd-374962955f1d
89689	13	11551	2013-08-03 20:48:34.577645	2013-08-03 20:48:34.577645	\N	9421a377-1cfe-4b4f-a8e3-8e12b4cccb81
96279	7	12166	2013-08-03 21:09:24.5792	2013-08-03 21:09:24.5792	\N	b4e797e5-dd91-40ca-aefb-84936cff8d21
109531	7	13325	2013-08-03 21:54:27.702759	2013-08-03 21:54:27.702759	\N	ba49f4cc-589c-4ff0-9941-65517271c227
109534	7	13309	2013-08-03 21:54:28.257411	2013-08-03 21:54:28.257411	\N	ffa77adb-6c15-4389-b47e-932e9e413db8
89702	13	11521	2013-08-03 20:48:35.076446	2013-08-03 20:48:35.076446	\N	115ec265-4fb0-4712-baf3-c49647663595
89703	13	11509	2013-08-03 20:48:35.326999	2013-08-03 20:48:35.326999	\N	c77371ad-0994-4fb8-90c4-dbbd55feedb1
118087	11	14065	2013-08-03 22:24:34.782875	2013-08-03 22:24:34.782875	\N	5ea85161-0fa1-4844-a11d-a79b2d500026
127338	19	15844	2013-08-03 23:34:50.103084	2013-08-03 23:34:50.103084	\N	f20f8c8f-53c7-4659-aefc-0986c4615899
96312	9	12166	2013-08-03 21:09:33.085463	2013-08-03 21:09:33.085463	\N	f8a4880a-e786-49ed-b0a6-3080f57ccc64
96313	7	12175	2013-08-03 21:09:33.371686	2013-08-03 21:09:33.371686	\N	a33f9282-a77b-4c15-8cd0-e5721c3a49d6
101801	11	12553	2013-08-03 21:24:47.038712	2013-08-03 21:24:47.038712	\N	c3501884-8273-443d-832b-faa610f4b513
101804	11	12568	2013-08-03 21:24:47.78698	2013-08-03 21:24:47.78698	\N	258eb88c-5121-4e31-9223-60fd6d005821
92857	16	11665	2013-08-03 20:56:49.692332	2013-08-03 20:56:49.692332	\N	d60f5cc6-465c-44d0-8735-66124233efe3
101805	11	12569	2013-08-03 21:24:47.985889	2013-08-03 21:24:47.985889	\N	2e8ffdbd-88d5-46f7-ae64-1d204f9d65d7
96329	9	12172	2013-08-03 21:09:36.291596	2013-08-03 21:09:36.291596	\N	cb07fb90-2100-4266-8730-c5a283613361
127339	6	15805	2013-08-03 23:34:51.30283	2013-08-03 23:34:51.30283	\N	59eae054-2464-4b11-8ac1-b09c8e1276f6
105624	16	12781	2013-08-03 21:37:13.31857	2013-08-03 21:37:13.31857	\N	19cde0b5-5f74-4a76-b189-05994df5d8c8
101808	11	12571	2013-08-03 21:24:48.467307	2013-08-03 21:24:48.467307	\N	2b6453c8-4180-4983-bbee-7fc191a6a83d
96384	19	12166	2013-08-03 21:09:45.447013	2013-08-03 21:09:45.447013	\N	151bbdfe-dac0-447c-b461-b5f1d4f28f73
109553	7	13285	2013-08-03 21:54:29.074249	2013-08-03 21:54:29.074249	\N	5b63c1ec-a78b-4dcd-b111-81b7af47a131
89725	13	11536	2013-08-03 20:48:38.206211	2013-08-03 20:48:38.206211	\N	027053e9-3931-49fc-ac82-4326c15553c6
96388	17	12172	2013-08-03 21:09:46.486098	2013-08-03 21:09:46.486098	\N	5d3c4229-05d2-460c-823b-bf4c05346358
115908	6	13789	2013-08-03 22:15:18.001263	2013-08-03 22:15:18.001263	\N	9ca48dc1-9ae2-4b73-9396-8fcdd0f8d019
127341	6	15844	2013-08-03 23:34:52.278022	2013-08-03 23:34:52.278022	\N	13cf5595-f44b-4cc5-b9f7-5ba112378e63
132493	12	17053	2013-08-04 00:25:56.493702	2013-08-04 00:25:56.493702	\N	5b3bd779-fde9-44f6-bb73-bb864ba6ac55
107513	10	13078	2013-08-03 21:46:36.477193	2013-08-03 21:46:36.477193	\N	588bc206-2697-439b-b523-b95dc76fc1bd
100005	13	12448	2013-08-03 21:19:59.30124	2013-08-03 21:19:59.30124	\N	3a9d0be5-11ea-4843-8efa-85c1ee3dc869
107514	10	13030	2013-08-03 21:46:36.620829	2013-08-03 21:46:36.620829	\N	818ff9e9-8d96-4e13-a89d-8c9d0f66a0b8
129816	7	16297	2013-08-03 23:56:14.486696	2013-08-03 23:56:14.486696	\N	1f943a17-5334-49ec-9239-6d3776664f4d
109562	5	13327	2013-08-03 21:54:30.08604	2013-08-03 21:54:30.08604	\N	5ce6b506-69aa-4fa0-a38f-22b251378040
94659	8	12025	2013-08-03 21:04:22.052473	2013-08-03 21:04:22.052473	\N	d43ba6aa-420f-4e67-8829-bf0863d37875
94663	8	12067	2013-08-03 21:04:22.093755	2013-08-03 21:04:22.093755	\N	7283cf65-6faa-452c-b2f2-957704d590f2
94666	15	12067	2013-08-03 21:04:22.147072	2013-08-03 21:04:22.147072	\N	539e53f6-c5e6-421a-9ef8-32ae599a815b
94669	15	12046	2013-08-03 21:04:22.267809	2013-08-03 21:04:22.267809	\N	5dbb8604-7717-4d8b-8c24-3c0d7cbbecce
96414	9	12182	2013-08-03 21:09:52.112385	2013-08-03 21:09:52.112385	\N	572d0b9e-48ef-4473-9813-9e1438ad62c0
107401	6	13075	2013-08-03 21:45:54.792305	2013-08-03 21:45:54.792305	\N	7e95e1d1-8983-4750-8a19-d1cba811b3ff
115840	13	13834	2013-08-03 22:14:56.93687	2013-08-03 22:14:56.93687	\N	439d27e6-3d72-47fa-9c56-02d7edf6231f
86289	13	11314	2013-08-03 20:38:14.062398	2013-08-03 20:38:14.062398	\N	daddc25e-c474-4e16-9463-6b8197a814d8
82874	12	11056	2013-08-03 20:29:32.886527	2013-08-03 20:29:32.886527	\N	d5d57755-e069-4e7a-b76a-1cab82a00a85
82875	12	11062	2013-08-03 20:29:33.358431	2013-08-03 20:29:33.358431	\N	513b5436-307a-4982-b8e1-f615871323da
132495	15	17104	2013-08-04 00:25:56.944429	2013-08-04 00:25:56.944429	\N	888ab349-5536-42ab-b181-79652ad0960c
86306	11	11257	2013-08-03 20:38:17.710255	2013-08-03 20:38:17.710255	\N	93edc75d-edbe-43e8-b9b0-32f92f487709
97982	7	12292	2013-08-03 21:14:36.263244	2013-08-03 21:14:36.263244	\N	70f3aaf5-ffd4-48d6-be96-63b46cb7e818
86312	19	11287	2013-08-03 20:38:18.472736	2013-08-03 20:38:18.472736	\N	1827bd66-ec4c-4531-9890-03e857c705fd
118048	6	14083	2013-08-03 22:24:29.194429	2013-08-03 22:24:29.194429	\N	ded9b1b3-2606-40ac-91af-9d583fcd46c3
82901	5	11026	2013-08-03 20:29:39.811364	2013-08-03 20:29:39.811364	\N	5148d049-d4e3-4de0-8a51-ce791046e813
84691	17	11161	2013-08-03 20:33:47.972239	2013-08-03 20:33:47.972239	\N	33aab790-56a1-4a6a-b009-925f5752a6b9
118049	6	14041	2013-08-03 22:24:29.313971	2013-08-03 22:24:29.313971	\N	0d1094c5-ed9d-4b5e-a76d-86f975028e10
86324	11	11290	2013-08-03 20:38:20.096577	2013-08-03 20:38:20.096577	\N	ba1e5c9d-16f6-43c5-8d5e-9188686e0a80
87951	19	11404	2013-08-03 20:43:04.36923	2013-08-03 20:43:04.36923	\N	ac72c41b-5f38-4562-83cb-8ab16838ffa6
115858	14	13819	2013-08-03 22:15:02.884043	2013-08-03 22:15:02.884043	\N	1578c99e-ce27-43ae-a94c-d9a49d90661a
89588	9	11509	2013-08-03 20:48:22.891846	2013-08-03 20:48:22.891846	\N	ef6cee6a-421f-44c5-ad59-8129bf6caa7c
87976	11	11404	2013-08-03 20:43:09.468026	2013-08-03 20:43:09.468026	\N	ca495da8-5709-4c33-89dd-b490e1d8422a
101615	8	12529	2013-08-03 21:24:23.941565	2013-08-03 21:24:23.941565	\N	67e7035a-56aa-40b2-83f5-08ae48e16eeb
101620	8	12559	2013-08-03 21:24:23.984089	2013-08-03 21:24:23.984089	\N	ffaa12f4-1e9e-4a96-97f1-3815e2913183
101626	7	12547	2013-08-03 21:24:25.488317	2013-08-03 21:24:25.488317	\N	c87b7a6a-bf96-4770-8b65-bbe8b300d604
111699	10	13408	2013-08-03 22:00:38.461988	2013-08-03 22:00:38.461988	\N	5189d909-f6dd-4a0f-9aad-f5220b52c8b2
88010	6	11434	2013-08-03 20:43:13.545827	2013-08-03 20:43:13.545827	\N	1ba1123e-c307-4862-b675-e2559fc1d9d9
89621	6	11563	2013-08-03 20:48:26.589755	2013-08-03 20:48:26.589755	\N	673182d3-95a3-4c6b-a00f-1e98607aad2c
101628	2	12574	2013-08-03 21:24:25.765206	2013-08-03 21:24:25.765206	\N	6ed88e91-1909-410f-bea0-a9c6d9b0fcb2
89623	17	11536	2013-08-03 20:48:26.963236	2013-08-03 20:48:26.963236	\N	36dda059-0c65-4b82-bc6c-3b9344abc024
86355	17	11287	2013-08-03 20:38:23.8892	2013-08-03 20:38:23.8892	\N	2957782d-1026-4a45-913e-5a9ead2cdda7
86357	16	11269	2013-08-03 20:38:24.822965	2013-08-03 20:38:24.822965	\N	b3273dee-edba-4ae8-a035-abf2a7d11d1e
101630	2	12538	2013-08-03 21:24:25.833037	2013-08-03 21:24:25.833037	\N	16895620-a983-44e2-9af2-60aa98de78e2
101632	2	12547	2013-08-03 21:24:25.882085	2013-08-03 21:24:25.882085	\N	29260b7b-bb9d-4d82-a024-6dbd84c6ac57
86368	16	11272	2013-08-03 20:38:25.176315	2013-08-03 20:38:25.176315	\N	047622c0-03cc-4c53-b8d2-e270fa1012f2
86370	16	11290	2013-08-03 20:38:25.501899	2013-08-03 20:38:25.501899	\N	5c3e9809-6a7a-4dda-847b-2c22a129638a
86375	16	11314	2013-08-03 20:38:26.014279	2013-08-03 20:38:26.014279	\N	db673bf8-85d3-42fc-ad62-ef3adb7ae07c
98071	15	12319	2013-08-03 21:14:52.400889	2013-08-03 21:14:52.400889	\N	03c10f86-3a30-46e9-8788-8942fc409c1d
98085	10	12277	2013-08-03 21:14:55.339383	2013-08-03 21:14:55.339383	\N	f18ed35e-3a91-4c44-8b4e-d03fd4ec6dd4
101633	2	12568	2013-08-03 21:24:25.944609	2013-08-03 21:24:25.944609	\N	a823b6ef-f93f-4c9a-a1b0-1cda8cdff4f0
101636	7	12544	2013-08-03 21:24:26.101354	2013-08-03 21:24:26.101354	\N	f1eaabdf-3d28-4a27-86cf-3e20818c53cf
98106	11	12307	2013-08-03 21:14:56.999193	2013-08-03 21:14:56.999193	\N	e7272860-b4be-49d5-8a74-695bf97f740d
99917	14	12403	2013-08-03 21:19:48.484382	2013-08-03 21:19:48.484382	\N	8279c8f0-f50f-42c4-aec6-ec25537b6b89
99924	11	12433	2013-08-03 21:19:50.229614	2013-08-03 21:19:50.229614	\N	987ed42c-8d5c-4377-b475-2bea2c520394
84776	5	11158	2013-08-03 20:33:54.075931	2013-08-03 20:33:54.075931	\N	760cdcec-f9ad-48ee-821c-bf57c05f82e4
99928	11	12403	2013-08-03 21:19:51.119873	2013-08-03 21:19:51.119873	\N	6c355d15-8371-4817-9d76-d08ae53be05a
101637	7	12517	2013-08-03 21:24:26.174181	2013-08-03 21:24:26.174181	\N	ca8f2de5-85bd-49e0-8b45-f4fabbc480dd
101638	7	12571	2013-08-03 21:24:26.275523	2013-08-03 21:24:26.275523	\N	324df4d0-9c48-4ade-b2a7-4fe1f2e6e51e
99931	11	12391	2013-08-03 21:19:51.592742	2013-08-03 21:19:51.592742	\N	a623c220-dd93-4f1e-b729-389142fcc2c9
91190	4	11536	2013-08-03 20:51:32.336414	2013-08-03 20:51:32.336414	\N	c8b1114f-ac19-473c-9319-499e42523a3a
115860	14	13831	2013-08-03 22:15:03.218444	2013-08-03 22:15:03.218444	\N	9dd0f736-2388-4338-be84-ffb6430bd15b
96268	8	12151	2013-08-03 21:09:23.426942	2013-08-03 21:09:23.426942	\N	2d408c1b-8bc7-45f6-8855-cfb7094bc565
96274	8	12193	2013-08-03 21:09:23.461154	2013-08-03 21:09:23.461154	\N	1008c64a-9795-4d2d-a9f5-f22d4a31a05e
99933	13	12433	2013-08-03 21:19:51.935245	2013-08-03 21:19:51.935245	\N	d7de6fcb-0a54-4623-853d-44cbed3fb863
96280	7	12151	2013-08-03 21:09:26.234609	2013-08-03 21:09:26.234609	\N	181b6297-651f-4d31-a56a-3db3bdbca686
99935	9	12434	2013-08-03 21:19:52.281474	2013-08-03 21:19:52.281474	\N	b62c7e23-e2c3-472a-aa3f-559109e48036
99936	13	12403	2013-08-03 21:19:52.424173	2013-08-03 21:19:52.424173	\N	85b9f8a8-a0e4-418f-9767-8da4e6cda4fa
89713	13	11530	2013-08-03 20:48:37.225608	2013-08-03 20:48:37.225608	\N	2dfd81c7-b7e7-4fa6-a894-60a1fb23a933
99938	13	12391	2013-08-03 21:19:52.710545	2013-08-03 21:19:52.710545	\N	5cf7d94e-4d5f-449f-bdc6-2e0108c5bd43
96308	17	12151	2013-08-03 21:09:29.887938	2013-08-03 21:09:29.887938	\N	ac71e914-fd91-49fc-8194-c6ee180caf84
113810	5	13561	2013-08-03 22:06:02.781721	2013-08-03 22:06:02.781721	\N	6ebee2df-ea20-4d4d-921a-0c7fd1f6c862
88137	9	11395	2013-08-03 20:43:39.098001	2013-08-03 20:43:39.098001	\N	f06ae452-5644-48bf-861e-adc080ff0712
118055	11	14071	2013-08-03 22:24:30.957256	2013-08-03 22:24:30.957256	\N	dcdaa2a1-befb-4772-8293-3454446c7f3f
96328	7	12181	2013-08-03 21:09:35.581527	2013-08-03 21:09:35.581527	\N	183447b2-6b17-4d9c-b766-cb077bed8c7d
88156	3	11395	2013-08-03 20:43:44.218142	2013-08-03 20:43:44.218142	\N	a7eb96ed-855a-48e6-8a14-4b7cd3114e14
88157	3	11434	2013-08-03 20:43:44.327492	2013-08-03 20:43:44.327492	\N	886d6355-b285-4011-a33a-1298131ef153
132497	19	17065	2013-08-04 00:25:57.895399	2013-08-04 00:25:57.895399	\N	fd21ee69-e774-417a-9da4-7597a45eafef
115869	14	13777	2013-08-03 22:15:03.915058	2013-08-03 22:15:03.915058	\N	b7bdbaab-aca5-497b-a4e8-75437135f7cc
118069	6	14038	2013-08-03 22:24:32.376992	2013-08-03 22:24:32.376992	\N	97edf1bc-caf5-4201-8bf3-bc0e3920beaa
96351	17	12181	2013-08-03 21:09:40.690351	2013-08-03 21:09:40.690351	\N	9b6a1913-a84b-494f-83d5-3f8f41eec2f3
127336	13	15820	2013-08-03 23:34:49.913624	2013-08-03 23:34:49.913624	\N	707e0466-4b9b-42e7-a607-a049f49730f9
101654	7	12568	2013-08-03 21:24:29.016335	2013-08-03 21:24:29.016335	\N	b29e78d1-efaf-4ee8-97c7-6ef176307bc2
101655	6	12568	2013-08-03 21:24:29.338194	2013-08-03 21:24:29.338194	\N	4b818243-a25c-4081-b9b7-add3a37f2cb1
132498	19	17053	2013-08-04 00:25:59.771631	2013-08-04 00:25:59.771631	\N	606ee476-3bcc-442f-87be-3dac769a570d
132502	4	17105	2013-08-04 00:26:01.664365	2013-08-04 00:26:01.664365	\N	0978b369-afb6-4768-acf5-e3e8ca5528ee
101663	7	12529	2013-08-03 21:24:30.907305	2013-08-03 21:24:30.907305	\N	ee1a713d-a977-4125-9c3f-052489533527
101664	9	12569	2013-08-03 21:24:31.215203	2013-08-03 21:24:31.215203	\N	d5f2d607-8d98-407f-9002-c3624e7908b0
118096	9	14071	2013-08-03 22:24:36.162594	2013-08-03 22:24:36.162594	\N	3b195804-6cc4-4d01-8287-f028f7049234
118098	9	14041	2013-08-03 22:24:36.353147	2013-08-03 22:24:36.353147	\N	6d2a1363-b3ef-403c-9f30-2dbb2265608f
96417	15	12193	2013-08-03 21:09:52.382067	2013-08-03 21:09:52.382067	\N	f7c5d86b-5ee5-406a-b3b3-130183794da7
109517	8	13285	2013-08-03 21:54:26.567184	2013-08-03 21:54:26.567184	\N	eb8f965e-b99a-4554-8740-6bf55b3ea79e
101683	7	12569	2013-08-03 21:24:32.116529	2013-08-03 21:24:32.116529	\N	062d816a-b4bc-4590-ba6b-efb2e77093ed
118100	9	14029	2013-08-03 22:24:36.553085	2013-08-03 22:24:36.553085	\N	266cf555-a18d-40e8-a126-afc974253780
96430	17	12166	2013-08-03 21:09:52.965779	2013-08-03 21:09:52.965779	\N	343bd9af-4963-470f-92ed-51eef44986dd
109536	8	13327	2013-08-03 21:54:28.495979	2013-08-03 21:54:28.495979	\N	b38278fd-1e0a-446a-bb7e-90b709629684
96435	15	12190	2013-08-03 21:09:53.737841	2013-08-03 21:09:53.737841	\N	b1bd5839-4067-48f9-bf91-60e5c7c7eafb
198478	2	25251	2013-08-04 19:57:30.252774	2013-08-04 19:57:30.252774	\N	a2b8965b-1442-4c80-9d9b-0676a14c01cc
115900	17	13831	2013-08-03 22:15:13.281055	2013-08-03 22:15:13.281055	\N	46e107a5-9119-417a-9ced-1d1260b3c4f5
94657	8	12055	2013-08-03 21:04:22.051826	2013-08-03 21:04:22.051826	\N	27aa642f-e443-46b0-920a-690d5dac633e
94664	8	12043	2013-08-03 21:04:22.094088	2013-08-03 21:04:22.094088	\N	ab656b01-b335-4914-a5d3-c482590f6ab4
118105	9	14081	2013-08-03 22:24:37.762065	2013-08-03 22:24:37.762065	\N	1c5b1b8f-a2b1-4b5c-bb5f-f30e28fafa22
94668	9	12056	2013-08-03 21:04:22.263258	2013-08-03 21:04:22.263258	\N	9b7b699f-49bf-4fcd-8c43-9b0044e2d72d
94671	9	12046	2013-08-03 21:04:22.45078	2013-08-03 21:04:22.45078	\N	460e2fe3-1a15-454c-bbdb-59248f8100a1
100054	2	12391	2013-08-03 21:20:12.361181	2013-08-03 21:20:12.361181	\N	8d946e5c-365d-4fce-801f-5176d606f562
94674	11	12034	2013-08-03 21:04:23.383317	2013-08-03 21:04:23.383317	\N	c9e7e600-05c5-4e28-9ff3-489acee45d70
91383	19	11668	2013-08-03 20:52:38.761777	2013-08-03 20:52:38.761777	\N	7452c14d-f256-4fee-bf48-589482c7448d
91384	7	11662	2013-08-03 20:52:38.979532	2013-08-03 20:52:38.979532	\N	3b4d9bc0-d4d5-4f70-8cbd-50b05c35cb95
91385	19	11671	2013-08-03 20:52:39.127526	2013-08-03 20:52:39.127526	\N	a6da2906-7f55-4035-8155-6e2db387b821
91389	8	11647	2013-08-03 20:52:40.176759	2013-08-03 20:52:40.176759	\N	d4ba0332-6d41-4db3-a903-6a7ba42963c8
91391	8	11635	2013-08-03 20:52:40.179338	2013-08-03 20:52:40.179338	\N	a7582277-6f7d-41af-8187-65c2e530c9f4
91394	8	11668	2013-08-03 20:52:40.239952	2013-08-03 20:52:40.239952	\N	d8eb995a-2d7d-4f59-aac3-42c3c83a3cad
91397	8	11689	2013-08-03 20:52:40.264623	2013-08-03 20:52:40.264623	\N	93c7bcd6-b2d9-4632-b61e-6c71bacb6432
91398	19	11686	2013-08-03 20:52:40.525793	2013-08-03 20:52:40.525793	\N	0b5106aa-b28b-4587-aa9e-c3113bb38573
93028	8	11923	2013-08-03 20:59:22.018807	2013-08-03 20:59:22.018807	\N	5ba67e6c-38b4-4be4-a80c-9292ba0f3566
93032	8	11941	2013-08-03 20:59:22.079029	2013-08-03 20:59:22.079029	\N	4f8c03f1-eaf8-4be3-a7d9-164a7ffea55d
93039	15	11944	2013-08-03 20:59:22.647724	2013-08-03 20:59:22.647724	\N	559ce05a-ff18-439f-9ca1-629d834936bc
91407	13	11647	2013-08-03 20:52:41.325762	2013-08-03 20:52:41.325762	\N	e5bbc4ce-64bf-4040-ad98-7e394d5aabc4
109547	8	13294	2013-08-03 21:54:28.759182	2013-08-03 21:54:28.759182	\N	b4273298-2b52-471d-b071-e66567f0e550
94678	9	12067	2013-08-03 21:04:23.852642	2013-08-03 21:04:23.852642	\N	0a7cc49f-884f-4055-b674-f99b0a921e83
93056	6	11887	2013-08-03 20:59:23.978261	2013-08-03 20:59:23.978261	\N	59899097-6ba2-445f-894a-b1bc13695f77
91428	7	11687	2013-08-03 20:52:42.887585	2013-08-03 20:52:42.887585	\N	a4cf1ff1-3373-4aba-bc58-1858c3e60728
107451	14	13072	2013-08-03 21:46:17.528161	2013-08-03 21:46:17.528161	\N	ec42ff5d-c5cf-4289-b978-8560c4b0fe49
107452	14	13073	2013-08-03 21:46:17.585255	2013-08-03 21:46:17.585255	\N	65167b42-87fa-474c-91b2-bd44ae52cbb6
87963	11	11395	2013-08-03 20:43:07.94558	2013-08-03 20:43:07.94558	\N	c346adfc-6dcb-4e82-924a-9ccf191d8a2a
101609	14	12529	2013-08-03 21:24:22.883655	2013-08-03 21:24:22.883655	\N	b417db54-c4b2-4ce2-803b-5cb3b5abf34c
87965	11	11398	2013-08-03 20:43:08.510184	2013-08-03 20:43:08.510184	\N	25cb37e8-c784-44d3-83a1-b23103c05a03
101611	15	12568	2013-08-03 21:24:22.963068	2013-08-03 21:24:22.963068	\N	461f0c6b-28c0-4332-bcba-4eb4008dba97
86393	6	11314	2013-08-03 20:38:29.650563	2013-08-03 20:38:29.650563	\N	97439523-502c-4b0a-b306-864ae534907d
101618	8	12547	2013-08-03 21:24:23.945575	2013-08-03 21:24:23.945575	\N	ea91b7b0-7717-4394-9461-1ee03b40e132
89610	9	11536	2013-08-03 20:48:25.0778	2013-08-03 20:48:25.0778	\N	cb963363-f10f-4d84-93d1-995990a1a1ab
98092	10	12319	2013-08-03 21:14:55.625009	2013-08-03 21:14:55.625009	\N	67d6b656-7f11-4d42-9373-49fc73acce3d
101622	8	12568	2013-08-03 21:24:23.985541	2013-08-03 21:24:23.985541	\N	bb9ce9ec-269e-4909-903c-bd6b142d5de3
98096	10	12317	2013-08-03 21:14:55.796898	2013-08-03 21:14:55.796898	\N	33bc5159-d106-45da-86a0-a2f83c0eb4d5
118047	7	14041	2013-08-03 22:24:28.871138	2013-08-03 22:24:28.871138	\N	7023f86a-2f29-4e67-970b-52f1d83a003a
118050	6	14086	2013-08-03 22:24:29.493758	2013-08-03 22:24:29.493758	\N	a699a6a8-9150-43e8-8cf9-27962bf3297c
118065	6	14065	2013-08-03 22:24:32.060724	2013-08-03 22:24:32.060724	\N	b200beb4-f58b-4db3-af64-10a3fc2e1f78
115906	17	13834	2013-08-03 22:15:15.344413	2013-08-03 22:15:15.344413	\N	65094b2d-7963-4f07-9a39-6a37efc00105
132496	17	17105	2013-08-04 00:25:57.666423	2013-08-04 00:25:57.666423	\N	031a0e14-2398-4d8b-a23b-c56a48ef708e
99861	5	12265	2013-08-03 21:19:38.086175	2013-08-03 21:19:38.086175	\N	a7ff59c7-ab25-4637-8eff-bc76f891401e
198479	2	25270	2013-08-04 19:57:30.309417	2013-08-04 19:57:30.309417	\N	e6b52a1a-0aff-423f-88fa-8f1fedd1705f
84772	13	11143	2013-08-03 20:33:53.172389	2013-08-03 20:33:53.172389	\N	79eb900a-d4ff-4b3d-8d8d-6952fad2fdae
84773	5	11023	2013-08-03 20:33:53.279291	2013-08-03 20:33:53.279291	\N	e6d58617-c5c3-4b23-ba10-b381f0d6b9f5
84774	5	11038	2013-08-03 20:33:53.664394	2013-08-03 20:33:53.664394	\N	71d94e17-86b7-495e-a82d-d01afa3be5d9
84780	5	11131	2013-08-03 20:33:54.456983	2013-08-03 20:33:54.456983	\N	a57e7982-a004-46c8-aa42-0aba7ddc0add
84783	13	11131	2013-08-03 20:33:54.625941	2013-08-03 20:33:54.625941	\N	6ad9b959-051a-4ba3-864f-ae5bee812530
89624	7	11509	2013-08-03 20:48:27.06148	2013-08-03 20:48:27.06148	\N	4565ef53-265d-4d5f-a04d-6359f3dbe4e5
129804	4	16309	2013-08-03 23:56:06.623022	2013-08-03 23:56:06.623022	\N	3bb0d80b-9ade-4f69-8d50-d3bceffc589b
84797	5	11146	2013-08-03 20:33:55.864781	2013-08-03 20:33:55.864781	\N	c201d77e-1f65-437f-9711-2344ad9ac7e9
129805	4	16297	2013-08-03 23:56:06.661239	2013-08-03 23:56:06.661239	\N	b7deb9b1-480f-4071-bcff-d1209c969e02
84799	5	11167	2013-08-03 20:33:56.283281	2013-08-03 20:33:56.283281	\N	79d81385-b72a-4e40-ad67-f8e5077d2732
99869	5	12421	2013-08-03 21:19:38.599422	2013-08-03 21:19:38.599422	\N	8b006686-d5cb-47c9-84db-c31f558a6e21
84801	5	11188	2013-08-03 20:33:56.66759	2013-08-03 20:33:56.66759	\N	1455ddca-a040-4884-84eb-00383de56e72
84802	5	11149	2013-08-03 20:33:57.076881	2013-08-03 20:33:57.076881	\N	a15e8fd1-068d-4dc7-a486-deabfc8dcd72
96272	8	12169	2013-08-03 21:09:23.447475	2013-08-03 21:09:23.447475	\N	9eec07f4-88e4-490c-9b5e-c7c2d04ba9a8
96277	8	12196	2013-08-03 21:09:23.484084	2013-08-03 21:09:23.484084	\N	644d4b95-fbfe-43b3-8635-3caeb7289b51
96289	9	12181	2013-08-03 21:09:27.536164	2013-08-03 21:09:27.536164	\N	36fcf2ed-a62f-4a54-bd3a-1b401814daab
96290	9	12151	2013-08-03 21:09:27.721608	2013-08-03 21:09:27.721608	\N	ee94cb84-c512-4f0a-b55b-4291de1ea607
99870	5	12412	2013-08-03 21:19:39.093181	2013-08-03 21:19:39.093181	\N	36786757-ab02-412a-af15-3b3f1e9d584f
96310	9	12191	2013-08-03 21:09:30.912541	2013-08-03 21:09:30.912541	\N	f06124e1-94bd-4d8e-9fd6-136ef40ad689
96314	7	12169	2013-08-03 21:09:33.58198	2013-08-03 21:09:33.58198	\N	ab5ff4ae-202d-4ad3-9b75-208a05697074
96315	7	12191	2013-08-03 21:09:33.683997	2013-08-03 21:09:33.683997	\N	858b3952-1e2f-42d6-9346-cf22fba3ee1b
96316	7	12190	2013-08-03 21:09:33.775105	2013-08-03 21:09:33.775105	\N	c23d3db7-f46a-4083-a89d-90a65e43a5a5
96317	7	12193	2013-08-03 21:09:33.851124	2013-08-03 21:09:33.851124	\N	fa38eb0a-2e97-4b20-b240-0517e4bebbfc
96327	7	12196	2013-08-03 21:09:33.982633	2013-08-03 21:09:33.982633	\N	87286e26-e115-451c-a6f3-4291b0882b87
109507	7	13315	2013-08-03 21:54:23.901927	2013-08-03 21:54:23.901927	\N	e254acb5-1102-4929-919e-d62761138fb6
109510	15	13285	2013-08-03 21:54:24.31321	2013-08-03 21:54:24.31321	\N	e788cd1a-3d62-4fc9-8e91-d6374d410244
96339	17	12160	2013-08-03 21:09:38.28181	2013-08-03 21:09:38.28181	\N	93470936-6c88-4945-831f-0a0e3a00e494
109512	15	13273	2013-08-03 21:54:24.377034	2013-08-03 21:54:24.377034	\N	53209e2a-48e2-4830-b7ba-2ebbbdc1bb0f
109513	10	13330	2013-08-03 21:54:24.463891	2013-08-03 21:54:24.463891	\N	d96c3fab-9699-4039-8951-1b471092eeb8
96346	9	12190	2013-08-03 21:09:38.520906	2013-08-03 21:09:38.520906	\N	56d4f794-2e20-4284-9334-3ebfbfa878aa
109514	7	13294	2013-08-03 21:54:24.573337	2013-08-03 21:54:24.573337	\N	7b3c3c9d-2cb1-47c3-a205-0cecb47bf0ee
96352	17	12191	2013-08-03 21:09:40.813125	2013-08-03 21:09:40.813125	\N	b26b6173-8c28-43ba-aac6-3f526ddc9c7d
109542	8	13282	2013-08-03 21:54:28.619887	2013-08-03 21:54:28.619887	\N	b0e18c64-c30f-42a7-898d-bf9b0a4ffe71
118097	11	14083	2013-08-03 22:24:36.17409	2013-08-03 22:24:36.17409	\N	54d7f108-5832-47a7-83ca-e08a6071b0ff
96382	17	12169	2013-08-03 21:09:44.362007	2013-08-03 21:09:44.362007	\N	a5eefb6c-37c5-4e54-b326-f01599cadba0
120196	14	14332	2013-08-03 22:36:22.549623	2013-08-03 22:36:22.549623	\N	6f401314-80be-4a7b-a2ad-788d7cc7f991
96401	17	12175	2013-08-03 21:09:48.57535	2013-08-03 21:09:48.57535	\N	26b963ef-0a2b-4018-b1d6-0328571a496e
101742	11	12559	2013-08-03 21:24:42.944064	2013-08-03 21:24:42.944064	\N	3a69659e-94f2-4e17-9b70-764980a5b74a
103718	19	12694	2013-08-03 21:31:12.534339	2013-08-03 21:31:12.534339	\N	eab49d37-7681-401f-a596-dc2684f4e731
109579	17	13273	2013-08-03 21:54:35.596842	2013-08-03 21:54:35.596842	\N	d0bd5914-ddb9-4e15-892d-f7cd1b8f724a
129806	4	16348	2013-08-03 23:56:06.729846	2013-08-03 23:56:06.729846	\N	63c61013-22d8-4ff1-9c5a-a7f133fb1e47
89863	15	11563	2013-08-03 20:48:51.527135	2013-08-03 20:48:51.527135	\N	69b99042-68c8-4216-a7fe-0968add7f21d
109636	4	13325	2013-08-03 21:54:45.05868	2013-08-03 21:54:45.05868	\N	76301f93-1812-454b-9403-1f875a9f939b
94661	8	12064	2013-08-03 21:04:22.067097	2013-08-03 21:04:22.067097	\N	ac90172a-04f0-4201-96b6-dae47303fa4c
94685	20	12046	2013-08-03 21:04:24.128421	2013-08-03 21:04:24.128421	\N	6da7db76-271e-4475-8915-f9906c72bb64
99954	11	12418	2013-08-03 21:19:53.444277	2013-08-03 21:19:53.444277	\N	2955f94a-78d4-464e-9b7f-86ce9931867e
91380	17	11677	2013-08-03 20:52:38.090841	2013-08-03 20:52:38.090841	\N	e26a1439-5daf-4b95-a065-ad3eb548a4c5
91381	20	11677	2013-08-03 20:52:38.632645	2013-08-03 20:52:38.632645	\N	165ded59-c18a-409c-abb9-2280ea2f8e19
91392	8	11656	2013-08-03 20:52:40.180925	2013-08-03 20:52:40.180925	\N	7c31797a-1e64-4fdc-9a4b-5c592bbf1cfc
91393	8	11671	2013-08-03 20:52:40.18158	2013-08-03 20:52:40.18158	\N	bdb3b580-0715-4e1b-adfd-9d7560d0a400
91395	8	11686	2013-08-03 20:52:40.258835	2013-08-03 20:52:40.258835	\N	6486bdfe-486c-4896-b0bc-1237a8ac9fce
91396	8	11692	2013-08-03 20:52:40.259912	2013-08-03 20:52:40.259912	\N	db5480dc-136b-4afc-93a2-b743413fa51f
91399	7	11677	2013-08-03 20:52:40.569282	2013-08-03 20:52:40.569282	\N	c537aa6b-2198-4d58-86e6-09b28715203b
91402	13	11677	2013-08-03 20:52:40.860225	2013-08-03 20:52:40.860225	\N	319a8f13-1146-4ccc-bb53-9a8a401b9d43
91404	19	11692	2013-08-03 20:52:40.927649	2013-08-03 20:52:40.927649	\N	aa70ab02-0071-4ebe-bcea-024a2f72a3c9
94706	11	12067	2013-08-03 21:04:26.503923	2013-08-03 21:04:26.503923	\N	8194d5fe-4c3e-42d0-a6f9-ee235b9c6a4c
101762	16	12544	2013-08-03 21:24:44.248708	2013-08-03 21:24:44.248708	\N	54a4a042-d82e-4e75-881e-019c4be11f79
91408	13	11635	2013-08-03 20:52:41.577473	2013-08-03 20:52:41.577473	\N	dcb17410-3083-4985-82b7-4ddcd99eeaf7
107531	16	13078	2013-08-03 21:46:39.036422	2013-08-03 21:46:39.036422	\N	3109a6f0-e6fb-4f39-b56a-496ec6d7a9bd
94732	8	12040	2013-08-03 21:04:31.993131	2013-08-03 21:04:31.993131	\N	1cc83c0c-3dce-4f94-b9b4-1c368302cb90
101767	16	12553	2013-08-03 21:24:44.506652	2013-08-03 21:24:44.506652	\N	18f1e8eb-ff5d-411d-b471-79dc7eeacef5
94736	7	12049	2013-08-03 21:04:32.780792	2013-08-03 21:04:32.780792	\N	08736900-98bd-4208-9104-3799946b917d
99974	11	12448	2013-08-03 21:19:56.088141	2013-08-03 21:19:56.088141	\N	05d10115-cb6e-4ebf-a7e8-675c34ac21b1
96462	17	12196	2013-08-03 21:09:57.049278	2013-08-03 21:09:57.049278	\N	f664c77b-3e39-41e4-88fa-520722884f95
91423	17	11647	2013-08-03 20:52:42.161937	2013-08-03 20:52:42.161937	\N	60761a3d-04d0-46a8-96e9-078cb15f058d
91430	1	11687	2013-08-03 20:52:43.389837	2013-08-03 20:52:43.389837	\N	8ef9dda0-3aad-40a3-8633-c2f827799390
118118	17	14081	2013-08-03 22:24:38.945434	2013-08-03 22:24:38.945434	\N	b5ab9dba-36f2-4f7a-9902-a85b0e0b2962
91433	17	11635	2013-08-03 20:52:44.334207	2013-08-03 20:52:44.334207	\N	e39d0180-c9e2-4d34-909d-3d24b3806c26
101771	16	12574	2013-08-03 21:24:44.866611	2013-08-03 21:24:44.866611	\N	fb57bceb-85e9-4b08-b0c0-28e6ed0d74b8
107534	2	13033	2013-08-03 21:46:42.011535	2013-08-03 21:46:42.011535	\N	ae9f5e1a-6dc5-4e3d-9e4f-43a960a8a809
91439	13	11668	2013-08-03 20:52:45.88799	2013-08-03 20:52:45.88799	\N	ab41148f-ac76-4f32-ab1d-0b30ab7d02ce
99990	13	12445	2013-08-03 21:19:58.185695	2013-08-03 21:19:58.185695	\N	8784b179-a994-4398-a2eb-0b2fa88b7fe0
137998	14	18321	2013-08-04 01:18:30.591116	2013-08-04 01:18:30.591116	\N	87655ce2-76d1-46e1-bd66-b616008ce4a8
94788	2	12025	2013-08-03 21:04:42.751224	2013-08-03 21:04:42.751224	\N	45bb37fd-939d-4bdc-bb30-157bb261dc15
93027	8	11887	2013-08-03 20:59:22.017681	2013-08-03 20:59:22.017681	\N	849ae7bf-007c-4436-aada-b3047652d86f
93031	8	11917	2013-08-03 20:59:22.078923	2013-08-03 20:59:22.078923	\N	e7206f99-fe1a-45ac-8046-8d073361f0be
94795	2	12046	2013-08-03 21:04:42.943619	2013-08-03 21:04:42.943619	\N	ab2c0a26-27ed-4922-a80e-d4b61ba52e72
94800	6	12025	2013-08-03 21:04:46.261271	2013-08-03 21:04:46.261271	\N	13c26e0d-5f30-4ad4-8a13-e56abf2a1f9d
118130	17	14086	2013-08-03 22:24:43.25963	2013-08-03 22:24:43.25963	\N	e82fae0e-7b38-4617-912c-94022b7b90d7
91452	7	11668	2013-08-03 20:52:46.457092	2013-08-03 20:52:46.457092	\N	ebcb8f72-e93b-41f5-84c6-d51045682d27
91453	7	11671	2013-08-03 20:52:46.989449	2013-08-03 20:52:46.989449	\N	358a8aea-4e20-431f-aaa5-391b9604d3e6
91454	13	11686	2013-08-03 20:52:47.175844	2013-08-03 20:52:47.175844	\N	f79df4c6-fd61-470c-a2fc-448b4cd0052e
101789	11	12544	2013-08-03 21:24:46.310744	2013-08-03 21:24:46.310744	\N	130b5fed-15bf-47fc-93ac-29e181a68f4a
94812	6	12063	2013-08-03 21:04:47.641868	2013-08-03 21:04:47.641868	\N	a49ea14e-a897-4482-b26c-121c2d0ff036
91457	13	11689	2013-08-03 20:52:47.471093	2013-08-03 20:52:47.471093	\N	fae97b45-4f42-4d62-beee-bf1189b7537c
129825	11	16309	2013-08-03 23:56:19.253051	2013-08-03 23:56:19.253051	\N	2b2dce67-7067-4da8-9449-eb2053819a1b
91459	4	11677	2013-08-03 20:52:47.713001	2013-08-03 20:52:47.713001	\N	eabadc2d-5c7b-4ca7-bfbf-d8a881bb7f48
91460	13	11692	2013-08-03 20:52:47.739473	2013-08-03 20:52:47.739473	\N	572a8b0a-68a4-4b4c-91ae-9338fed18a62
96275	8	12190	2013-08-03 21:09:23.469521	2013-08-03 21:09:23.469521	\N	9462f79b-3d1c-472b-b396-f18c40897052
96292	1	12191	2013-08-03 21:09:28.628142	2013-08-03 21:09:28.628142	\N	560a0b01-898f-46d7-bd11-6daa9196a399
109525	2	13273	2013-08-03 21:54:27.493965	2013-08-03 21:54:27.493965	\N	269dee78-b76e-477f-a215-337118dae934
98077	9	12308	2013-08-03 21:14:52.902575	2013-08-03 21:14:52.902575	\N	31677e25-c6d6-4eae-8129-8794159b0b91
98078	12	12307	2013-08-03 21:14:53.38513	2013-08-03 21:14:53.38513	\N	80c6dd57-d7db-438a-a945-df4162f0e2b5
109526	2	13294	2013-08-03 21:54:27.531676	2013-08-03 21:54:27.531676	\N	f8374447-4de1-4cdd-9e65-db4455a3d9a0
86499	6	11257	2013-08-03 20:38:51.224485	2013-08-03 20:38:51.224485	\N	bcc983e1-bfe9-4278-bb3e-d894db0798c6
96311	7	12172	2013-08-03 21:09:31.674573	2013-08-03 21:09:31.674573	\N	700494f4-a015-4fc3-a6ff-e1f420900a76
109527	2	13285	2013-08-03 21:54:27.570618	2013-08-03 21:54:27.570618	\N	88065a54-3ffc-4735-8872-8e6ccb094efb
98101	8	12295	2013-08-03 21:14:56.713886	2013-08-03 21:14:56.713886	\N	4d639248-79ec-4001-8bce-30c980852c3a
89687	17	11545	2013-08-03 20:48:33.273401	2013-08-03 20:48:33.273401	\N	89b81829-00b9-4786-b9ac-c9dfceba17d1
118051	6	14029	2013-08-03 22:24:29.712598	2013-08-03 22:24:29.712598	\N	ac8e196f-5113-433b-9d5a-db6086abf440
109529	2	13309	2013-08-03 21:54:27.656356	2013-08-03 21:54:27.656356	\N	deb4f0cb-49d3-46a1-84a8-6a52a0ed1350
109530	2	13327	2013-08-03 21:54:27.687162	2013-08-03 21:54:27.687162	\N	8dcf30cb-d35f-4a28-a55d-8cdae85d1c3a
109532	2	13330	2013-08-03 21:54:27.712057	2013-08-03 21:54:27.712057	\N	b82a595e-1404-49a5-9ba0-cb2668727725
96348	9	12193	2013-08-03 21:09:38.696051	2013-08-03 21:09:38.696051	\N	eb666a1e-3ad1-40db-8e04-37831d78ea4f
96349	9	12196	2013-08-03 21:09:38.84957	2013-08-03 21:09:38.84957	\N	8e61d544-7111-48ff-a422-3c92c48eaa57
89739	13	11542	2013-08-03 20:48:38.696834	2013-08-03 20:48:38.696834	\N	e6450ee6-a8bd-43f6-a96a-bfbbda6fb585
118052	7	14065	2013-08-03 22:24:29.867992	2013-08-03 22:24:29.867992	\N	c19ebcfb-dd71-411d-87f1-d1c3627616e7
118054	7	14071	2013-08-03 22:24:30.934728	2013-08-03 22:24:30.934728	\N	9547cfd0-d502-4285-bf90-9b4d709bb8db
96361	2	12160	2013-08-03 21:09:41.755316	2013-08-03 21:09:41.755316	\N	7c65cb16-a53f-4823-8eaa-d8d33fc8b9c4
96363	2	12169	2013-08-03 21:09:41.795306	2013-08-03 21:09:41.795306	\N	ae2fc16f-29a6-44fa-b592-fbefb22b944b
132499	6	17104	2013-08-04 00:26:00.070377	2013-08-04 00:26:00.070377	\N	d98013c8-4ab7-4c70-9ff0-cd8282f368b8
99860	10	12391	2013-08-03 21:19:38.074842	2013-08-03 21:19:38.074842	\N	bf158b79-6dda-4e21-b904-4b508799ecc2
118058	6	14080	2013-08-03 22:24:31.377606	2013-08-03 22:24:31.377606	\N	8aee97be-ed3a-4267-a465-00430d534ad0
101756	16	12559	2013-08-03 21:24:43.854598	2013-08-03 21:24:43.854598	\N	de250239-a516-4ebf-b140-cc7bbb7bf9fc
101757	16	12529	2013-08-03 21:24:43.979231	2013-08-03 21:24:43.979231	\N	a92355ac-d5b5-4a8c-9c77-dec6a8cacea2
118059	11	14038	2013-08-03 22:24:31.45049	2013-08-03 22:24:31.45049	\N	e66dd3d9-2416-45b8-99b3-68d26568c119
99873	15	12443	2013-08-03 21:19:40.870624	2013-08-03 21:19:40.870624	\N	55115466-10a8-47a8-b595-b0b9cf61c2e6
99874	8	12443	2013-08-03 21:19:41.241524	2013-08-03 21:19:41.241524	\N	9db2eeaa-8ac1-4cba-b5c7-097ad1cefcd9
107521	16	13030	2013-08-03 21:46:38.375556	2013-08-03 21:46:38.375556	\N	3bdeba8d-451c-4a84-a728-b526a1998398
107522	16	13033	2013-08-03 21:46:38.520423	2013-08-03 21:46:38.520423	\N	9e1f8f3f-2fc1-4e38-83d4-4cf5a95796a0
107523	16	13072	2013-08-03 21:46:38.767564	2013-08-03 21:46:38.767564	\N	6ac45082-6a1a-4558-b7b2-b4a173c1e4f5
127351	6	15820	2013-08-03 23:34:53.489835	2013-08-03 23:34:53.489835	\N	d2f0c50c-afe7-455d-b002-43be0e73b9ef
91382	7	11692	2013-08-03 20:52:38.735236	2013-08-03 20:52:38.735236	\N	3183c7ae-b9e3-472e-8e05-f38adf46e680
91386	7	11686	2013-08-03 20:52:39.429931	2013-08-03 20:52:39.429931	\N	763c1159-794e-457e-b8ff-9a5a0276073d
96409	6	12191	2013-08-03 21:09:49.38785	2013-08-03 21:09:49.38785	\N	6c07de8c-3f6f-44de-b0cc-cc4ed8f96bdb
99879	2	12427	2013-08-03 21:19:42.177951	2013-08-03 21:19:42.177951	\N	78b47b34-f877-47b3-8f5e-77e7eb206214
91390	8	11677	2013-08-03 20:52:40.17803	2013-08-03 20:52:40.17803	\N	675f34b2-be94-47b9-a4b7-b27554edafb1
107530	16	13075	2013-08-03 21:46:38.893816	2013-08-03 21:46:38.893816	\N	3da79cbd-5e0e-46cd-bf83-012a8e0652a6
91416	2	11635	2013-08-03 20:52:41.760111	2013-08-03 20:52:41.760111	\N	0cb49b28-6886-4ed7-8ece-11e43c29778d
91417	2	11687	2013-08-03 20:52:41.93223	2013-08-03 20:52:41.93223	\N	6465e3f7-4fa6-4e86-814d-93772177ac13
91418	2	11662	2013-08-03 20:52:41.997212	2013-08-03 20:52:41.997212	\N	66fd519a-78ff-4122-8dd9-8e2726837590
91420	2	11686	2013-08-03 20:52:42.054322	2013-08-03 20:52:42.054322	\N	42a35c66-56ba-42ff-b9ba-c574526d0be5
91421	2	11656	2013-08-03 20:52:42.11567	2013-08-03 20:52:42.11567	\N	354eb5e2-87a6-4a08-b8c8-28ca21165ee2
91425	2	11647	2013-08-03 20:52:42.224231	2013-08-03 20:52:42.224231	\N	4dce08ed-a957-4130-83e8-211be84a746f
96419	15	12151	2013-08-03 21:09:52.459283	2013-08-03 21:09:52.459283	\N	82bfa117-ab06-41c1-af6f-c2b91fad58c8
124966	7	15341	2013-08-03 23:18:19.334748	2013-08-03 23:18:19.334748	\N	c09d10fd-40f6-48ab-98e2-6f35c8d257eb
91429	7	11647	2013-08-03 20:52:43.065054	2013-08-03 20:52:43.065054	\N	0bcecc2c-6a48-49cb-84cf-94d3adeeb0f5
91431	13	11656	2013-08-03 20:52:43.484305	2013-08-03 20:52:43.484305	\N	d0a6dc44-76a1-4233-b93b-c35e62fd75c0
91434	4	11643	2013-08-03 20:52:44.626456	2013-08-03 20:52:44.626456	\N	98e4997c-cc99-4f61-8fbe-79c2185c2f9d
118062	7	14086	2013-08-03 22:24:31.800591	2013-08-03 22:24:31.800591	\N	4c2c19ce-ecd5-4591-a60f-2fbf0f6316ff
109598	11	13315	2013-08-03 21:54:39.043568	2013-08-03 21:54:39.043568	\N	7cd3aab7-5e95-4f30-b72f-3b9f9b091852
91440	7	11656	2013-08-03 20:52:45.897873	2013-08-03 20:52:45.897873	\N	c30fdc20-763a-409b-9fba-d907a4f00823
105622	16	12811	2013-08-03 21:37:12.370131	2013-08-03 21:37:12.370131	\N	41bc08ef-c7cf-446f-8d25-1e8f85126cc7
101812	11	12574	2013-08-03 21:24:48.789421	2013-08-03 21:24:48.789421	\N	aec982dc-7a52-4f2a-bf6f-412b94763a34
132503	15	17105	2013-08-04 00:26:02.439987	2013-08-04 00:26:02.439987	\N	8aaa19b3-0a81-410a-a1a7-3f8dc26349ac
91461	4	11647	2013-08-03 20:52:47.739886	2013-08-03 20:52:47.739886	\N	e32a469b-ee5b-42a0-a988-52fb990284a4
91462	4	11635	2013-08-03 20:52:47.812085	2013-08-03 20:52:47.812085	\N	dfcf244d-b5c5-4da9-908f-b6dd3c3ed1b5
91463	4	11668	2013-08-03 20:52:47.879878	2013-08-03 20:52:47.879878	\N	119962ac-8d31-42c5-94a8-30b1b352a62b
91464	4	11686	2013-08-03 20:52:47.926083	2013-08-03 20:52:47.926083	\N	69215402-27b0-472f-a4f5-9c2189b997a9
91465	4	11689	2013-08-03 20:52:47.98302	2013-08-03 20:52:47.98302	\N	2e0b65c3-a96a-4f4d-8a8b-28cd1824c709
91466	4	11692	2013-08-03 20:52:48.019392	2013-08-03 20:52:48.019392	\N	9b1f1f12-c994-4b73-8c2c-32c1a082d7bb
115915	6	13798	2013-08-03 22:15:19.240765	2013-08-03 22:15:19.240765	\N	245895cc-3b66-40bc-9a15-0731d0648806
91468	7	11635	2013-08-03 20:52:48.709105	2013-08-03 20:52:48.709105	\N	d02322f8-c07c-4a2c-bcf3-39b4fd5fc60e
198480	2	25255	2013-08-04 19:57:30.354584	2013-08-04 19:57:30.354584	\N	7f521a4c-2203-4070-b681-108c8bb92950
111828	5	13399	2013-08-03 22:00:54.873026	2013-08-03 22:00:54.873026	\N	47ab9860-c34e-4ffd-8d70-dd44b8f38110
93030	8	11920	2013-08-03 20:59:22.019734	2013-08-03 20:59:22.019734	\N	7a7bcd34-2c19-4904-8b30-dbbdbe11e5f7
93034	8	11938	2013-08-03 20:59:22.081881	2013-08-03 20:59:22.081881	\N	1a021ea5-abc4-4332-afd6-9213a11d61d5
91471	7	11689	2013-08-03 20:52:49.524784	2013-08-03 20:52:49.524784	\N	24f78d7a-7e15-4e19-a9d4-fcca5a7bebb4
91472	17	11656	2013-08-03 20:52:50.758781	2013-08-03 20:52:50.758781	\N	119853e7-4203-40a3-80e0-9b9099d97b26
93036	20	11899	2013-08-03 20:59:22.38025	2013-08-03 20:59:22.38025	\N	b211ea6e-517b-4136-875c-5ca99e6012e7
109608	11	13282	2013-08-03 21:54:39.669298	2013-08-03 21:54:39.669298	\N	02f535cf-caa4-4608-a7ce-525d0e1e2eca
93061	6	11944	2013-08-03 20:59:24.75335	2013-08-03 20:59:24.75335	\N	81142381-8f2f-493c-b4b7-059c5f78159c
91476	15	11635	2013-08-03 20:52:51.593309	2013-08-03 20:52:51.593309	\N	02531e5d-1da4-4dee-a002-2b91a181c027
91477	9	11678	2013-08-03 20:52:51.612515	2013-08-03 20:52:51.612515	\N	7b4a9e33-5ff6-4f0c-a40a-0a08269c6a48
91478	15	11689	2013-08-03 20:52:51.74422	2013-08-03 20:52:51.74422	\N	3884cb42-d41d-4bc9-9ac1-1c8679b0a3c4
91479	15	11668	2013-08-03 20:52:51.793954	2013-08-03 20:52:51.793954	\N	a7415a9c-6af1-4cd0-b802-8289ac5b92fe
91480	15	11647	2013-08-03 20:52:51.796257	2013-08-03 20:52:51.796257	\N	942437ae-be1f-434b-bf22-37b09bbf20c4
93069	8	11929	2013-08-03 20:59:26.279897	2013-08-03 20:59:26.279897	\N	245a3a3f-1d8d-4b94-ae4a-d13233a828c7
91482	8	11662	2013-08-03 20:52:51.866809	2013-08-03 20:52:51.866809	\N	e4c2c36c-87a6-42ed-baac-e4082bf7fa90
122657	18	14667	2013-08-03 23:02:22.02497	2013-08-03 23:02:22.02497	\N	2e470a6b-7a82-4754-b9f9-e2a96daf3160
99939	11	12412	2013-08-03 21:19:52.714157	2013-08-03 21:19:52.714157	\N	870c1f4c-74dd-4c07-be44-a4718dce79e5
93092	11	11887	2013-08-03 20:59:27.522691	2013-08-03 20:59:27.522691	\N	a26a6ce2-9904-4ff8-b04d-d3181aa9d1a7
99940	15	12391	2013-08-03 21:19:52.850337	2013-08-03 21:19:52.850337	\N	cc7c2cc2-5b7a-4029-9299-568b1f9244df
93106	11	11920	2013-08-03 20:59:30.003967	2013-08-03 20:59:30.003967	\N	e5966ce3-087b-4802-9f99-a7df6f168edb
94658	8	12034	2013-08-03 21:04:22.052122	2013-08-03 21:04:22.052122	\N	82fdafda-4330-4c24-b0d7-69818d1b545b
94662	8	12046	2013-08-03 21:04:22.084484	2013-08-03 21:04:22.084484	\N	5ddde3e4-5c48-44f6-bc80-2f587af5e884
91490	15	11692	2013-08-03 20:52:52.188248	2013-08-03 20:52:52.188248	\N	c3e705af-96c7-4321-a811-b95a1780455d
94665	15	12025	2013-08-03 21:04:22.134828	2013-08-03 21:04:22.134828	\N	a3d4bd00-2e11-4fc9-920b-b1c7971e57f9
103880	17	12695	2013-08-03 21:31:42.458532	2013-08-03 21:31:42.458532	\N	7aa74a19-965a-472a-9344-21ab3e9a4bb6
115925	6	13819	2013-08-03 22:15:20.623732	2013-08-03 22:15:20.623732	\N	d1ad4257-3a08-4b77-8756-b88bbfd2d0e1
94687	11	12046	2013-08-03 21:04:24.553304	2013-08-03 21:04:24.553304	\N	e51faf5e-8d67-4947-93d5-a3b79c41a87b
94690	7	12040	2013-08-03 21:04:24.780324	2013-08-03 21:04:24.780324	\N	5f2d76f1-6cea-4f38-9a5b-b139fc0cf443
94691	7	12025	2013-08-03 21:04:24.842696	2013-08-03 21:04:24.842696	\N	17d04ff2-328a-44f9-bbec-004e57484dbc
94694	11	12049	2013-08-03 21:04:25.000615	2013-08-03 21:04:25.000615	\N	6658460e-7bc6-487e-8a03-2dff3aec32a4
94697	9	12025	2013-08-03 21:04:25.160862	2013-08-03 21:04:25.160862	\N	98e2e5bd-5da4-4fab-9f88-e372a782181f
94699	11	12064	2013-08-03 21:04:25.710037	2013-08-03 21:04:25.710037	\N	446b3419-74cc-4f46-9379-357187c57203
99960	11	12427	2013-08-03 21:19:54.311261	2013-08-03 21:19:54.311261	\N	78655ab2-f26f-46d4-93c3-0fecd09c22be
91501	11	11677	2013-08-03 20:52:53.716513	2013-08-03 20:52:53.716513	\N	1fdb2565-b788-4425-80e8-f28cb4fd228d
91502	15	11686	2013-08-03 20:52:53.865549	2013-08-03 20:52:53.865549	\N	3d4d9789-2f74-41e0-b474-a1fa3a363c86
109630	11	13309	2013-08-03 21:54:43.633454	2013-08-03 21:54:43.633454	\N	2d309899-57df-4af7-9fd7-944d5ae4a299
94722	8	12070	2013-08-03 21:04:27.327473	2013-08-03 21:04:27.327473	\N	a2fa5ecd-95d9-4b8f-8733-2aecbff1fff8
91505	11	11647	2013-08-03 20:52:54.600164	2013-08-03 20:52:54.600164	\N	76fe2653-5ba3-4a89-ac1c-6cca7ca6ee9f
94727	20	12064	2013-08-03 21:04:29.319082	2013-08-03 21:04:29.319082	\N	0041d00d-6205-4d17-a994-e53146abd5d9
94728	20	12067	2013-08-03 21:04:29.564831	2013-08-03 21:04:29.564831	\N	9dbc194e-6ee3-41fa-b6e5-ef88f740a95f
91508	11	11635	2013-08-03 20:52:55.10606	2013-08-03 20:52:55.10606	\N	2836bc51-6fff-4d55-9f14-15c3a7f286bb
98125	11	12286	2013-08-03 21:14:59.481045	2013-08-03 21:14:59.481045	\N	749ef214-b916-446a-b7d8-f8f316a5a0cc
96416	15	12172	2013-08-03 21:09:52.232962	2013-08-03 21:09:52.232962	\N	391034d6-fda3-4b54-91da-69efd807123e
91511	15	11662	2013-08-03 20:52:56.112927	2013-08-03 20:52:56.112927	\N	e80d9291-5b17-455b-8df2-e37554991c38
96418	15	12196	2013-08-03 21:09:52.449731	2013-08-03 21:09:52.449731	\N	9bcec18d-84d8-4096-93d2-8fdcf72e655a
99962	13	12412	2013-08-03 21:19:54.817948	2013-08-03 21:19:54.817948	\N	8f35ff17-9152-4e33-8458-b2b7ccac53b5
91530	11	11668	2013-08-03 20:52:57.657677	2013-08-03 20:52:57.657677	\N	d05943d3-403f-4704-8ec9-e9bc5129fcb2
98127	7	12295	2013-08-03 21:15:00.212712	2013-08-03 21:15:00.212712	\N	5cd52fef-2f06-46bc-8847-77e7c9a55b2e
96429	17	12190	2013-08-03 21:09:52.812682	2013-08-03 21:09:52.812682	\N	3853f2db-4125-489a-b323-1cba57303f95
99964	11	12443	2013-08-03 21:19:55.223419	2013-08-03 21:19:55.223419	\N	c02d2079-5e4d-4315-acf5-fd3cda35a76d
103736	19	12664	2013-08-03 21:31:15.20321	2013-08-03 21:31:15.20321	\N	16f77840-4f1e-412e-8b1a-736eb9f18ebf
109563	15	13324	2013-08-03 21:54:32.49351	2013-08-03 21:54:32.49351	\N	326e986b-3bad-4989-8ecb-c590330332bd
101755	11	12529	2013-08-03 21:24:43.848343	2013-08-03 21:24:43.848343	\N	fcc325fb-4dc0-42da-91cf-9335f4ff583f
109564	7	13273	2013-08-03 21:54:32.686914	2013-08-03 21:54:32.686914	\N	041e2eaa-c960-4066-b3ab-05a29d63fe3f
101759	16	12517	2013-08-03 21:24:44.111491	2013-08-03 21:24:44.111491	\N	c6c7bffd-b205-47e9-8738-d0b402eb9026
109565	2	13324	2013-08-03 21:54:32.818469	2013-08-03 21:54:32.818469	\N	ba1216af-a5d7-4dd8-9bf3-74af161e64db
109566	5	13315	2013-08-03 21:54:33.65036	2013-08-03 21:54:33.65036	\N	6761ea36-c02a-4039-be76-89cb322c2600
109568	5	13330	2013-08-03 21:54:34.389207	2013-08-03 21:54:34.389207	\N	957b05be-5839-404e-b26a-12c513f406a8
94660	8	12049	2013-08-03 21:04:22.062557	2013-08-03 21:04:22.062557	\N	a5069170-6acf-4a72-87da-32f711ddfddb
94670	15	12064	2013-08-03 21:04:22.267994	2013-08-03 21:04:22.267994	\N	4be043e0-b6c4-4261-b219-d76e2e6a2c6e
109569	10	13324	2013-08-03 21:54:34.725646	2013-08-03 21:54:34.725646	\N	62b0073c-151d-4b9d-8806-db6756d3c0fc
100010	3	12442	2013-08-03 21:20:01.70055	2013-08-03 21:20:01.70055	\N	1435f33e-c98d-4f3b-9bbb-ed15e14c8ade
94677	9	12064	2013-08-03 21:04:23.626465	2013-08-03 21:04:23.626465	\N	1f282a7e-086a-4a1a-8ed9-293c98b8b47b
93029	8	11908	2013-08-03 20:59:22.018617	2013-08-03 20:59:22.018617	\N	431ccca4-bf13-4f98-a4eb-534453b494d5
98232	2	12295	2013-08-03 21:15:14.758923	2013-08-03 21:15:14.758923	\N	3e4f3036-f0f4-4ecc-8a50-8dd817dd540d
100011	3	12403	2013-08-03 21:20:01.872278	2013-08-03 21:20:01.872278	\N	227864b7-d816-466f-b09a-4c676d1bc5a9
93042	15	11887	2013-08-03 20:59:22.737295	2013-08-03 20:59:22.737295	\N	c2c24b5e-ccd4-44ec-9ac1-696e11315e89
93043	2	11944	2013-08-03 20:59:22.925528	2013-08-03 20:59:22.925528	\N	a43671a3-7579-4919-b780-5c52e39e8dab
93044	2	11917	2013-08-03 20:59:22.956247	2013-08-03 20:59:22.956247	\N	00251c8e-9910-4e03-899d-a2c80592a10f
93045	2	11908	2013-08-03 20:59:23.002345	2013-08-03 20:59:23.002345	\N	a40b4f49-6c19-4d2e-97a4-647afb1b6089
93046	2	11920	2013-08-03 20:59:23.055097	2013-08-03 20:59:23.055097	\N	0861c17c-7115-40ce-b84c-f3690a67f773
93047	2	11939	2013-08-03 20:59:23.109418	2013-08-03 20:59:23.109418	\N	4faef9eb-acb8-48f5-b23f-e9beb296e43e
93048	2	11887	2013-08-03 20:59:23.134532	2013-08-03 20:59:23.134532	\N	fbf83156-47b7-4eac-bc97-6c61546003f5
93049	2	11938	2013-08-03 20:59:23.183322	2013-08-03 20:59:23.183322	\N	efa0350f-c1a5-48f1-b1d2-925a969a0f36
93050	7	11899	2013-08-03 20:59:23.386766	2013-08-03 20:59:23.386766	\N	ce065e53-71f2-4063-808e-9c91399b6c6d
93055	10	11887	2013-08-03 20:59:23.958001	2013-08-03 20:59:23.958001	\N	d677944b-c7c5-4cfd-aaaf-fef93d36ef67
93064	20	11920	2013-08-03 20:59:24.783291	2013-08-03 20:59:24.783291	\N	c073acca-184f-4d94-87fa-97f553e844b2
93068	11	11929	2013-08-03 20:59:26.091708	2013-08-03 20:59:26.091708	\N	960aee02-ce80-4bff-9d3f-f907daff4ef4
94684	11	12040	2013-08-03 21:04:24.127224	2013-08-03 21:04:24.127224	\N	743b0340-a948-4775-801f-40fad1cc6021
101803	8	12569	2013-08-03 21:24:47.575688	2013-08-03 21:24:47.575688	\N	9bde58cb-b1a9-41c6-ad33-4ae644d7b5ae
94707	5	12055	2013-08-03 21:04:26.504511	2013-08-03 21:04:26.504511	\N	d323cd92-607b-4d97-81f5-a1f3ccf081d3
118081	17	14080	2013-08-03 22:24:33.418076	2013-08-03 22:24:33.418076	\N	9a8dc1f1-ec7b-47cc-85dd-c97a620548db
118082	15	14080	2013-08-03 22:24:33.911133	2013-08-03 22:24:33.911133	\N	d5f3067e-6584-43ea-be85-186a088726ef
94711	5	12046	2013-08-03 21:04:27.084487	2013-08-03 21:04:27.084487	\N	733df701-2e14-4593-9ac9-8af8abe4a7d1
101835	3	12517	2013-08-03 21:24:51.515378	2013-08-03 21:24:51.515378	\N	ff5c39b8-accd-4cf3-b4d7-bb3bc5dfa096
101836	3	12529	2013-08-03 21:24:51.563665	2013-08-03 21:24:51.563665	\N	203d193a-80fe-4613-94b6-76fb4a8192bb
101837	3	12568	2013-08-03 21:24:51.618746	2013-08-03 21:24:51.618746	\N	e5ab16d9-c2df-42ef-a7c6-6f670aee918a
94725	7	12065	2013-08-03 21:04:29.169936	2013-08-03 21:04:29.169936	\N	95cf20bc-1e8b-42e4-a926-d5bd8b9ce2ab
94726	7	12034	2013-08-03 21:04:29.289388	2013-08-03 21:04:29.289388	\N	2398748e-ae12-4106-819f-cde0cf27c951
98264	16	12295	2013-08-03 21:15:19.613454	2013-08-03 21:15:19.613454	\N	ffca202f-c674-4c64-b9db-0a6dc0538d42
98265	16	12301	2013-08-03 21:15:19.761789	2013-08-03 21:15:19.761789	\N	05971091-b971-4b0e-bc01-4a002ab13407
98266	16	12316	2013-08-03 21:15:19.903464	2013-08-03 21:15:19.903464	\N	228a6b81-cacf-49e2-b5af-059e1d92f6b0
98267	16	12319	2013-08-03 21:15:20.051787	2013-08-03 21:15:20.051787	\N	8335443d-e003-4807-bcd1-c20b494722d1
98268	16	12322	2013-08-03 21:15:20.168232	2013-08-03 21:15:20.168232	\N	da57d20c-aac7-4f1a-b9f4-34188ed106b8
101839	3	12559	2013-08-03 21:24:51.646348	2013-08-03 21:24:51.646348	\N	2807adf4-1bae-4be6-8d89-afb1cf0fe1b2
94759	7	12070	2013-08-03 21:04:34.076772	2013-08-03 21:04:34.076772	\N	f22e2d19-9bca-4d7c-a040-6e426dfd1879
109580	12	13285	2013-08-03 21:54:36.079758	2013-08-03 21:54:36.079758	\N	b21942d3-e343-45ac-86c2-b05bcee8fc6c
94774	9	12070	2013-08-03 21:04:40.258754	2013-08-03 21:04:40.258754	\N	fb10c63b-19e6-4e2f-9350-34356bf4d91e
98271	6	12319	2013-08-03 21:15:21.145865	2013-08-03 21:15:21.145865	\N	a0cf0259-b89b-4ff6-a162-24b51aa30ca9
109581	12	13273	2013-08-03 21:54:36.382351	2013-08-03 21:54:36.382351	\N	72fd6e81-471c-4384-85d2-6e934eb29b07
98273	6	12277	2013-08-03 21:15:21.5719	2013-08-03 21:15:21.5719	\N	8e4ce7d5-2526-48c2-a419-80ac57c0d844
109582	3	13285	2013-08-03 21:54:36.699434	2013-08-03 21:54:36.699434	\N	5a2830b6-8885-4c3e-9d38-3ceb273d3e4b
93226	17	11929	2013-08-03 20:59:49.943466	2013-08-03 20:59:49.943466	\N	88823bb2-5520-4a85-a38c-6cac856652e0
94786	17	12055	2013-08-03 21:04:42.213923	2013-08-03 21:04:42.213923	\N	05fece44-ef74-4203-8fd0-4e8afc051b64
109583	3	13324	2013-08-03 21:54:36.756258	2013-08-03 21:54:36.756258	\N	316b1f72-0dd7-43a3-8482-2f8a1de05b2b
94796	1	12065	2013-08-03 21:04:43.603341	2013-08-03 21:04:43.603341	\N	1490ac8f-e39e-4a0c-9830-60c9adb8ffeb
115910	6	13786	2013-08-03 22:15:18.528201	2013-08-03 22:15:18.528201	\N	cc01610d-91d3-4336-8e5d-8d2889eb304e
129817	7	16333	2013-08-03 23:56:14.55701	2013-08-03 23:56:14.55701	\N	2c542464-8903-4cbf-b4c2-8e85c19c6ced
93242	15	11920	2013-08-03 20:59:51.630055	2013-08-03 20:59:51.630055	\N	c3c1ad0a-50d4-46a8-810c-07045dc8a3a3
93243	15	11941	2013-08-03 20:59:51.682886	2013-08-03 20:59:51.682886	\N	10d0bb41-cefe-440a-bfea-30f6ca151ce0
93244	9	11930	2013-08-03 20:59:51.738972	2013-08-03 20:59:51.738972	\N	5202f8bf-3fdf-495a-a679-6b34af5a2115
115924	6	13834	2013-08-03 22:15:20.349184	2013-08-03 22:15:20.349184	\N	ca10c016-7ef8-4596-9733-70b47367fd94
96631	11	12160	2013-08-03 21:10:06.652701	2013-08-03 21:10:06.652701	\N	f2b90621-4a51-4e02-bd1a-7e65dc238138
96647	11	12172	2013-08-03 21:10:07.656027	2013-08-03 21:10:07.656027	\N	fd20747c-64cc-4408-b4e6-e50b055bbd28
115928	6	13831	2013-08-03 22:15:21.20166	2013-08-03 22:15:21.20166	\N	2a0db257-a85f-4947-8716-e97c5d071117
115944	17	13828	2013-08-03 22:15:26.577553	2013-08-03 22:15:26.577553	\N	ea3a0b76-ea17-4c8d-b0f5-21f11e6e9ef4
96653	11	12175	2013-08-03 21:10:07.992333	2013-08-03 21:10:07.992333	\N	9ee3d7b7-437d-4921-86f2-5e9f166fc636
109623	11	13294	2013-08-03 21:54:42.02463	2013-08-03 21:54:42.02463	\N	c52f19b2-739e-4c53-9011-a7e748515563
118089	17	14065	2013-08-03 22:24:35.012903	2013-08-03 22:24:35.012903	\N	2fab234e-de37-4567-9739-608d32bd41f9
94841	4	12065	2013-08-03 21:04:53.795692	2013-08-03 21:04:53.795692	\N	c5a9fad8-7c2a-4e9f-8ee3-7e993e9fee4d
109628	13	13285	2013-08-03 21:54:42.986497	2013-08-03 21:54:42.986497	\N	da0c20a2-6552-46c9-b7da-1d90692a27e2
96682	11	12193	2013-08-03 21:10:09.320591	2013-08-03 21:10:09.320591	\N	faeea0ae-a9d6-4383-bfa2-212995bf3091
109633	11	13327	2013-08-03 21:54:44.67686	2013-08-03 21:54:44.67686	\N	ad85fa69-19fb-40f5-946e-c9b8e944efde
129818	7	16309	2013-08-03 23:56:14.631339	2013-08-03 23:56:14.631339	\N	2cf4fd28-c9bb-4ce4-ab2e-43aa49941c47
109635	11	13330	2013-08-03 21:54:45.027093	2013-08-03 21:54:45.027093	\N	b3d75b89-dff6-4157-b22e-d94d8abfc539
118101	11	14086	2013-08-03 22:24:36.554629	2013-08-03 22:24:36.554629	\N	a9833a93-73f2-49d7-b8c3-8a2c99a3bb88
94879	17	12070	2013-08-03 21:05:02.937899	2013-08-03 21:05:02.937899	\N	a058ff52-7170-43b9-93a6-6a49aedba5bd
94883	13	12025	2013-08-03 21:05:04.501636	2013-08-03 21:05:04.501636	\N	bd463032-d0c7-4d52-ac84-e86c60c36dee
96691	11	12196	2013-08-03 21:10:09.807021	2013-08-03 21:10:09.807021	\N	33977a5d-23ca-44cf-b636-49b92ef314c2
120219	16	14317	2013-08-03 22:36:35.466316	2013-08-03 22:36:35.466316	\N	601015d0-1347-4a6e-b914-aee4429f11e3
118103	5	14080	2013-08-03 22:24:37.094708	2013-08-03 22:24:37.094708	\N	50c7a899-bb19-44d0-b726-f87d3746099a
129819	7	16348	2013-08-03 23:56:14.697571	2013-08-03 23:56:14.697571	\N	b58a0f75-a65f-4961-bf99-3fffced623a6
176313	19	23113	2013-08-04 18:25:11.227709	2013-08-04 18:25:11.227709	\N	4ef6974f-302e-41d0-b01a-20f27eaeb188
135128	11	17734	2013-08-04 00:51:37.189252	2013-08-04 00:51:37.189252	\N	29123d9e-be1e-4d64-9904-f49b27df254a
94908	13	12067	2013-08-03 21:05:09.407819	2013-08-03 21:05:09.407819	\N	b381c4fd-4146-431e-9cfd-40a8dc4fd376
129854	10	16297	2013-08-03 23:56:37.330084	2013-08-03 23:56:37.330084	\N	4a94674e-760f-4a8c-8f26-f4037b9a2071
100158	17	12403	2013-08-03 21:20:30.145643	2013-08-03 21:20:30.145643	\N	2899cd0f-1419-4dd1-b090-9a28fd5217c3
107687	8	13057	2013-08-03 21:47:40.943116	2013-08-03 21:47:40.943116	\N	4a0a4878-e131-4228-9958-eb78df49962a
118121	17	14083	2013-08-03 22:24:41.127001	2013-08-03 22:24:41.127001	\N	90016234-9a86-45e6-a4e2-78f60175fa82
132513	9	17053	2013-08-04 00:26:08.005262	2013-08-04 00:26:08.005262	\N	055a2cb1-7b08-4cab-9343-4b212ba515a6
100164	17	12391	2013-08-03 21:20:32.245695	2013-08-03 21:20:32.245695	\N	80033177-f57b-4d62-a89d-ab40a67208cd
118124	14	14041	2013-08-03 22:24:42.054095	2013-08-03 22:24:42.054095	\N	d3e0f408-dd4d-4f53-9e4b-5daa2b94e47d
118125	14	14080	2013-08-03 22:24:42.12322	2013-08-03 22:24:42.12322	\N	28aac539-e65d-468c-b94b-2463d7f3a309
118126	14	14081	2013-08-03 22:24:42.206464	2013-08-03 22:24:42.206464	\N	cc0ad8ca-920a-49ba-8fda-8c25097af65e
116020	3	13819	2013-08-03 22:15:48.608086	2013-08-03 22:15:48.608086	\N	951a813f-f0a3-4516-81f4-9aec628b6e7a
116021	3	13828	2013-08-03 22:15:48.655841	2013-08-03 22:15:48.655841	\N	ec807a11-1226-4814-aff0-ba34edb30288
116022	3	13777	2013-08-03 22:15:48.701926	2013-08-03 22:15:48.701926	\N	03278868-7c86-4fcb-920d-c9d5f896bbf3
103897	5	12664	2013-08-03 21:31:47.16774	2013-08-03 21:31:47.16774	\N	04c78c03-ef25-4c15-b7c1-48637d841918
91512	8	11687	2013-08-03 20:52:56.255041	2013-08-03 20:52:56.255041	\N	5be9ac91-f2c0-48ed-9664-94af5e4ef328
96441	17	12193	2013-08-03 21:09:54.908963	2013-08-03 21:09:54.908963	\N	0200bb66-568e-4083-a2e4-1b3fdf6f4a11
94688	5	12034	2013-08-03 21:04:24.554562	2013-08-03 21:04:24.554562	\N	8640efb0-f61f-44f9-974b-3e85ab11e850
98128	11	12292	2013-08-03 21:15:00.277592	2013-08-03 21:15:00.277592	\N	cf5335d4-6ba3-450e-b2ca-dcdb0b6c7e72
94695	9	12055	2013-08-03 21:04:25.003438	2013-08-03 21:04:25.003438	\N	f8d635bf-58de-4672-94b4-3d7ed1b35e7a
129821	6	16333	2013-08-03 23:56:17.213217	2013-08-03 23:56:17.213217	\N	1a2a5378-70f7-4a73-babb-91e53365aecd
94698	5	12067	2013-08-03 21:04:25.501625	2013-08-03 21:04:25.501625	\N	e6014324-d7b1-4950-8ddd-c8be6d55389c
94701	5	12040	2013-08-03 21:04:26.000654	2013-08-03 21:04:26.000654	\N	95e9c9ea-003a-4fb5-8679-dba874651c76
101776	17	12544	2013-08-03 21:24:45.730625	2013-08-03 21:24:45.730625	\N	579d5c2e-f321-4618-9aae-76149fa0e044
94710	2	12067	2013-08-03 21:04:27.033215	2013-08-03 21:04:27.033215	\N	7ccd3e3c-b6bd-4b8b-b385-771d10c5e9d6
94712	2	12064	2013-08-03 21:04:27.106656	2013-08-03 21:04:27.106656	\N	314765a3-3eba-421b-b6f8-82d45551c7f3
94713	2	12043	2013-08-03 21:04:27.17202	2013-08-03 21:04:27.17202	\N	4c86c5fe-1ad9-48dd-b524-a825ca47fb75
94714	2	12065	2013-08-03 21:04:27.300863	2013-08-03 21:04:27.300863	\N	6cfe0f5d-744d-4118-a92b-056fc0df70fa
98131	12	12316	2013-08-03 21:15:00.459915	2013-08-03 21:15:00.459915	\N	ba5c038a-2b3e-4811-8052-157978e83359
129836	9	16297	2013-08-03 23:56:22.722866	2013-08-03 23:56:22.722866	\N	3f2cb900-518a-47ce-9523-16e61181f537
94739	7	12046	2013-08-03 21:04:32.975651	2013-08-03 21:04:32.975651	\N	fad48917-eb76-42a7-8ac7-bb7d1623531e
93026	6	11938	2013-08-03 20:59:21.939193	2013-08-03 20:59:21.939193	\N	36feb70a-99eb-45ee-bffb-483a312a4a68
93033	8	11944	2013-08-03 20:59:22.08106	2013-08-03 20:59:22.08106	\N	43952e96-8499-4aff-8ed5-c1fa89ce04fd
93035	20	11929	2013-08-03 20:59:22.137986	2013-08-03 20:59:22.137986	\N	e75e0b9f-6e81-4013-9957-425bcaab97c0
93040	17	11941	2013-08-03 20:59:22.651511	2013-08-03 20:59:22.651511	\N	ed155bd4-06ef-46ba-b89b-a66d13247012
98145	8	12292	2013-08-03 21:15:01.826412	2013-08-03 21:15:01.826412	\N	a6aeff87-f7dc-4879-9c60-bd5100ede09e
93053	10	11941	2013-08-03 20:59:23.866274	2013-08-03 20:59:23.866274	\N	e90f5acf-dcb2-4985-b0ba-19ebc848a5d4
93063	17	11944	2013-08-03 20:59:24.775757	2013-08-03 20:59:24.775757	\N	827fb8a5-6788-49eb-8c06-dda81d3d7095
109589	20	13324	2013-08-03 21:54:37.886978	2013-08-03 21:54:37.886978	\N	79c4e17b-e2df-40d3-97b0-94c1869c70a2
94750	7	12067	2013-08-03 21:04:33.147255	2013-08-03 21:04:33.147255	\N	633bda7a-03e7-4d34-bff6-ad65f6fe02c1
93067	6	11929	2013-08-03 20:59:25.392445	2013-08-03 20:59:25.392445	\N	db7613d6-43ea-4c5f-a7b3-b365142d7e51
94752	9	12040	2013-08-03 21:04:33.564619	2013-08-03 21:04:33.564619	\N	028114fe-2223-4c85-a006-694fdb5c53a9
132507	3	17104	2013-08-04 00:26:04.679285	2013-08-04 00:26:04.679285	\N	da6483f0-9296-4b30-961b-6b4306c17192
93081	8	11914	2013-08-03 20:59:26.557493	2013-08-03 20:59:26.557493	\N	cbf11b28-c76c-4f5a-ac82-813b0131a635
120217	16	14323	2013-08-03 22:36:35.219629	2013-08-03 22:36:35.219629	\N	41b5b568-2965-4528-88a1-ab3b6d0665f8
94760	6	12070	2013-08-03 21:04:34.081365	2013-08-03 21:04:34.081365	\N	82bb286f-c22a-44b5-b528-f649b215f6d8
93089	11	11899	2013-08-03 20:59:26.990082	2013-08-03 20:59:26.990082	\N	143175fe-12cb-4c1e-9ccf-b42744943a2f
98154	11	12319	2013-08-03 21:15:02.644492	2013-08-03 21:15:02.644492	\N	c263b939-f188-403b-b1f5-575b0857ce9d
94776	6	12040	2013-08-03 21:04:41.221279	2013-08-03 21:04:41.221279	\N	1deb553a-93d3-4580-8e99-be0277cff6c8
93108	7	11908	2013-08-03 20:59:30.083349	2013-08-03 20:59:30.083349	\N	48c70f41-38a0-4147-b645-19f6807e023f
93111	11	11923	2013-08-03 20:59:30.343719	2013-08-03 20:59:30.343719	\N	03a7b93c-ad2e-4ec7-97e6-c486e982ac77
115930	6	13828	2013-08-03 22:15:21.802717	2013-08-03 22:15:21.802717	\N	2f59ca6d-583b-46e5-b39c-76fdddf2ab19
162407	14	21540	2013-08-04 17:20:07.364628	2013-08-04 17:20:07.364628	\N	8c7fbe31-7f27-4667-9934-87b32713f3c2
103774	19	12670	2013-08-03 21:31:20.610336	2013-08-03 21:31:20.610336	\N	a1811260-22da-4b57-a61d-15220cec8137
93134	7	11944	2013-08-03 20:59:32.192751	2013-08-03 20:59:32.192751	\N	69403507-cff8-4c19-ab91-ed289a9cc1d0
93135	11	11944	2013-08-03 20:59:32.246768	2013-08-03 20:59:32.246768	\N	36e9fe9d-593f-403f-b4b3-9b7164b5a21b
93136	7	11938	2013-08-03 20:59:32.301307	2013-08-03 20:59:32.301307	\N	dc8901da-4195-44e8-922a-e6a2b65c3c2e
135131	12	17735	2013-08-04 00:51:37.860473	2013-08-04 00:51:37.860473	\N	cf667059-24ad-4ea8-aba4-420a53736098
135132	19	17695	2013-08-04 00:51:38.1057	2013-08-04 00:51:38.1057	\N	71b5fe22-7f33-44d1-8e92-427b71c167bd
105637	16	12769	2013-08-03 21:37:14.326119	2013-08-03 21:37:14.326119	\N	9a155b00-66b7-4bdc-8e71-251e7711026f
127368	4	15829	2013-08-03 23:34:58.671656	2013-08-03 23:34:58.671656	\N	9ec31944-394e-40a5-b220-68f8967720ad
94815	12	12025	2013-08-03 21:04:49.569274	2013-08-03 21:04:49.569274	\N	06d6da39-7c07-4b16-9b89-1391f6852fd7
103844	10	12694	2013-08-03 21:31:32.639194	2013-08-03 21:31:32.639194	\N	bacc3ecb-f275-4b27-84e4-a2b6b0c54b26
127370	4	15844	2013-08-03 23:34:58.744951	2013-08-03 23:34:58.744951	\N	1d8253d4-b2d2-45ee-9937-45a8611a1b60
105642	16	12799	2013-08-03 21:37:15.357581	2013-08-03 21:37:15.357581	\N	94fa78fa-ace3-4f5d-afb0-ff4575340426
94840	12	12067	2013-08-03 21:04:53.513779	2013-08-03 21:04:53.513779	\N	bbf976b5-eb9e-426d-b88b-1ec0130b6b13
129856	19	16333	2013-08-03 23:56:38.925759	2013-08-03 23:56:38.925759	\N	ffe2df34-21d9-4c57-851d-f908126921ca
132512	9	17065	2013-08-04 00:26:07.785028	2013-08-04 00:26:07.785028	\N	bf030932-d419-4668-990a-b5fde501ffc2
109610	11	13285	2013-08-03 21:54:40.159431	2013-08-03 21:54:40.159431	\N	6cc60f3e-ea7b-4d5a-a529-1c525e208935
93200	4	11939	2013-08-03 20:59:43.874519	2013-08-03 20:59:43.874519	\N	af72bd74-5db3-4b1d-84e8-7f4d51e2a4ad
105667	16	12826	2013-08-03 21:37:19.611297	2013-08-03 21:37:19.611297	\N	2b7bcf43-2824-498d-afb3-873eaa6b132a
129865	10	16333	2013-08-03 23:56:47.581094	2013-08-03 23:56:47.581094	\N	430a2c32-b1e0-4c5f-86bf-cd446ef1a418
94878	17	12067	2013-08-03 21:05:02.715066	2013-08-03 21:05:02.715066	\N	236ff08a-78cc-425f-af4e-de75dbd94498
109613	11	13273	2013-08-03 21:54:40.692163	2013-08-03 21:54:40.692163	\N	c5d8ae6c-6aaf-4be8-9168-9e40eb3537a4
96640	11	12166	2013-08-03 21:10:07.326708	2013-08-03 21:10:07.326708	\N	32b1834f-558b-45b9-80c3-b00921a2f007
93222	7	11895	2013-08-03 20:59:47.477104	2013-08-03 20:59:47.477104	\N	1a515183-21cc-4d20-964f-ee15a8548e45
94889	3	12046	2013-08-03 21:05:05.808644	2013-08-03 21:05:05.808644	\N	bd10a5ba-0dc0-44fa-a03e-1bb1681a1af7
94890	3	12040	2013-08-03 21:05:05.869572	2013-08-03 21:05:05.869572	\N	a7acdd6b-7c72-49f1-ad6b-330fdb41f72f
94891	3	12064	2013-08-03 21:05:05.927816	2013-08-03 21:05:05.927816	\N	19af3ed1-3f05-4b9c-a26f-15480ea05e1d
93255	16	11914	2013-08-03 20:59:53.718224	2013-08-03 20:59:53.718224	\N	312c7144-cd5b-40d9-9a36-c7648cbd94bb
93257	16	11920	2013-08-03 20:59:53.917739	2013-08-03 20:59:53.917739	\N	b348fb68-6191-4889-83f8-d47c2128d53e
93259	16	11923	2013-08-03 20:59:54.02269	2013-08-03 20:59:54.02269	\N	a656f98f-da08-4034-b4df-15e06215986e
93260	16	11938	2013-08-03 20:59:54.119634	2013-08-03 20:59:54.119634	\N	fd5fe544-7258-4ee4-8641-5fb328251b1e
93261	16	11941	2013-08-03 20:59:54.219408	2013-08-03 20:59:54.219408	\N	638f475e-e86e-4585-acad-65a2bb27d000
94893	3	12067	2013-08-03 21:05:05.964642	2013-08-03 21:05:05.964642	\N	e4284f2c-ef89-4e92-85fe-d960ea931dbf
111818	12	13441	2013-08-03 22:00:53.192388	2013-08-03 22:00:53.192388	\N	48f07d48-d828-4738-ab7a-bda0fff91fa8
94909	11	12055	2013-08-03 21:05:09.627152	2013-08-03 21:05:09.627152	\N	ebe7b6f6-f1a0-4ea1-84cd-99891b7c5080
129866	10	16348	2013-08-03 23:56:47.668724	2013-08-03 23:56:47.668724	\N	32951aaa-1fee-4203-86ed-5b2d2c5a40b4
198481	2	25294	2013-08-04 19:57:30.404834	2013-08-04 19:57:30.404834	\N	40951c6f-0643-4588-afae-9ef8692611e7
94916	13	12070	2013-08-03 21:05:09.768459	2013-08-03 21:05:09.768459	\N	8b567630-f845-420d-aff3-9c57df184f39
135142	19	17683	2013-08-04 00:51:44.960424	2013-08-04 00:51:44.960424	\N	a14cfa50-3434-42e2-b6e5-001c85e77048
94922	11	12025	2013-08-03 21:05:10.55934	2013-08-03 21:05:10.55934	\N	2ce50706-036e-459d-a555-a6b910e9a54c
129874	4	16333	2013-08-03 23:56:55.88804	2013-08-03 23:56:55.88804	\N	6832cdc7-3394-4f07-b2f4-0f78171af9ae
109649	17	13325	2013-08-03 21:54:47.581241	2013-08-03 21:54:47.581241	\N	76b91808-9850-4328-8f1e-7784a59f3655
198482	2	25312	2013-08-04 19:57:30.453852	2013-08-04 19:57:30.453852	\N	489d8935-372f-4399-95e4-2849dcad6b79
135146	8	17735	2013-08-04 00:51:47.633679	2013-08-04 00:51:47.633679	\N	49071581-cc29-49dd-8485-d609a422f21e
107706	7	13057	2013-08-03 21:47:45.475374	2013-08-03 21:47:45.475374	\N	c83c44b1-b839-4554-bca1-2ed2730b7eff
100206	17	12412	2013-08-03 21:20:38.637265	2013-08-03 21:20:38.637265	\N	91f9b12d-171b-483f-a6cb-86dc78ebed1f
198484	2	25263	2013-08-04 19:57:30.487367	2013-08-04 19:57:30.487367	\N	35107338-2028-4e8c-80d5-bc70247b4809
94964	11	12070	2013-08-03 21:05:15.596762	2013-08-03 21:05:15.596762	\N	529d1627-3db2-47f4-a924-0a970bbb4553
118261	2	14071	2013-08-03 22:25:12.691535	2013-08-03 22:25:12.691535	\N	2cbca6f6-a61c-4317-9f38-29e9d9aab4c5
118263	4	14081	2013-08-03 22:25:15.574424	2013-08-03 22:25:15.574424	\N	10828d77-8932-47e3-9fa0-f6862417a3ca
109683	6	13324	2013-08-03 21:55:03.790262	2013-08-03 21:55:03.790262	\N	9ab1a2d7-d166-46f6-a5b4-15121b0a8291
198485	2	25260	2013-08-04 19:57:30.550959	2013-08-04 19:57:30.550959	\N	a4c257da-988b-4d68-b851-598242647dcb
198486	2	25272	2013-08-04 19:57:30.611115	2013-08-04 19:57:30.611115	\N	cd48b272-ad47-42cc-a508-35baf90c82f9
98392	2	12277	2013-08-03 21:15:39.934322	2013-08-03 21:15:39.934322	\N	d6fcd974-8026-4249-9a98-74582dc9fb73
94990	6	12067	2013-08-03 21:05:18.583911	2013-08-03 21:05:18.583911	\N	80dafcf4-5918-4f06-9260-ea6cf43cd768
98396	2	12286	2013-08-03 21:15:40.044545	2013-08-03 21:15:40.044545	\N	a0b4a7cc-2e8a-4e77-ace3-4e02f3c31e7e
132578	2	17105	2013-08-04 00:26:49.850843	2013-08-04 00:26:49.850843	\N	ff90b268-4b94-436c-ae84-44e3f0312073
186990	14	24060	2013-08-04 19:02:16.592507	2013-08-04 19:02:16.592507	\N	422dfd89-f03a-46a9-9e23-c35c06cab6b0
100275	17	12427	2013-08-03 21:20:48.070065	2013-08-03 21:20:48.070065	\N	f40dab5b-be80-440c-a4a3-a4b96ee24901
132061	11	16939	2013-08-04 00:21:23.272388	2013-08-04 00:21:23.272388	\N	8679d2dd-6c6c-4458-9090-04a61264e3fa
186991	14	24064	2013-08-04 19:02:16.688298	2013-08-04 19:02:16.688298	\N	3cf192c0-6a85-4f08-b4b1-410774cd9f8c
186992	14	24063	2013-08-04 19:02:16.72544	2013-08-04 19:02:16.72544	\N	e30e4d05-e73e-4f7d-a219-9981780b3799
127418	11	15793	2013-08-03 23:35:16.186626	2013-08-03 23:35:16.186626	\N	73e752f8-e585-43e1-93cf-52a9ea5e24ab
132605	5	17053	2013-08-04 00:27:01.562725	2013-08-04 00:27:01.562725	\N	01ec069c-5ace-436f-98b0-4d6c7f250fa8
125074	9	15467	2013-08-03 23:19:41.914929	2013-08-03 23:19:41.914929	\N	0571b0e6-ba5a-4ba0-99fb-a38496ef264e
125078	8	15451	2013-08-03 23:19:42.858865	2013-08-03 23:19:42.858865	\N	678e54c2-4d98-459b-8cce-01857cfb2199
125079	9	15427	2013-08-03 23:19:44.134832	2013-08-03 23:19:44.134832	\N	59d898d8-bf33-405d-a706-dadaa71a87ea
104027	2	12664	2013-08-03 21:32:10.785726	2013-08-03 21:32:10.785726	\N	55a39377-0832-418a-9930-737d2549030e
186993	14	24054	2013-08-04 19:02:16.767664	2013-08-04 19:02:16.767664	\N	8844a96c-f7ea-479a-9c51-f84091f49b80
104029	2	12673	2013-08-03 21:32:10.892025	2013-08-03 21:32:10.892025	\N	b937438b-7ab5-4dc2-b7b4-43ee7b06ab36
91513	11	11656	2013-08-03 20:52:56.392487	2013-08-03 20:52:56.392487	\N	b2835c8d-b516-4cdf-ba90-7bab1cb0c15f
93057	10	11899	2013-08-03 20:59:24.062177	2013-08-03 20:59:24.062177	\N	05e35aec-467c-4a2b-81e9-4efeb97fc57e
93058	10	11938	2013-08-03 20:59:24.166091	2013-08-03 20:59:24.166091	\N	5ba1f897-0093-4882-ad8e-6324a11feb2f
93059	10	11929	2013-08-03 20:59:24.27704	2013-08-03 20:59:24.27704	\N	878ee4a3-b96f-426a-87e4-adf640eaac72
93060	10	11939	2013-08-03 20:59:24.385804	2013-08-03 20:59:24.385804	\N	846582d8-e667-4e15-9506-d66cd8c8e448
94693	5	12064	2013-08-03 21:04:24.9927	2013-08-03 21:04:24.9927	\N	2730d428-c81d-4d70-ac7b-ec83b170880b
94700	11	12065	2013-08-03 21:04:25.924921	2013-08-03 21:04:25.924921	\N	5c74aa08-bedc-405d-9739-01a9a3344fbc
93074	8	11899	2013-08-03 20:59:26.301514	2013-08-03 20:59:26.301514	\N	9df96ebd-be0b-462b-8128-f511c0811115
98133	12	12319	2013-08-03 21:15:00.763233	2013-08-03 21:15:00.763233	\N	77c5d534-8208-45c9-a74c-3379dc6131ad
98134	11	12301	2013-08-03 21:15:01.043745	2013-08-03 21:15:01.043745	\N	ca1dd59f-bf88-492f-a5a6-996011738ef1
105647	16	12805	2013-08-03 21:37:16.398126	2013-08-03 21:37:16.398126	\N	f486b175-4468-400f-bf60-47d2d92812e9
94731	9	12065	2013-08-03 21:04:30.367917	2013-08-03 21:04:30.367917	\N	f22d3f77-1c28-4464-910b-81784c06eb6e
93095	11	11908	2013-08-03 20:59:28.735194	2013-08-03 20:59:28.735194	\N	d1c72475-aad9-4ff9-a4d5-fd49c1f4cc5c
101819	4	12559	2013-08-03 21:24:49.473149	2013-08-03 21:24:49.473149	\N	69490c5d-c791-402c-a047-8ca53eac2dcb
98159	11	12322	2013-08-03 21:15:03.094508	2013-08-03 21:15:03.094508	\N	f20cf0d4-746a-4e92-bead-6451c5411517
93100	11	11914	2013-08-03 20:59:29.538219	2013-08-03 20:59:29.538219	\N	9ecf0391-5c19-4a70-b171-0b06ff8203c3
93101	7	11923	2013-08-03 20:59:29.686677	2013-08-03 20:59:29.686677	\N	d7d53bd8-645e-437c-a66e-7dc3edc2539a
93105	7	11920	2013-08-03 20:59:29.93671	2013-08-03 20:59:29.93671	\N	e9cc9bf8-a75f-4697-9127-03bc230298fd
93110	20	11941	2013-08-03 20:59:30.27219	2013-08-03 20:59:30.27219	\N	cc8bbc0d-e85d-4c79-a2e3-c756c3dec8ed
93113	7	11887	2013-08-03 20:59:30.709439	2013-08-03 20:59:30.709439	\N	4e6f6305-68e9-49c9-abc5-654235fd4a3e
101820	4	12529	2013-08-03 21:24:49.52167	2013-08-03 21:24:49.52167	\N	27199db7-18da-4d68-8ba8-a84aef9a1ff9
101821	4	12517	2013-08-03 21:24:49.563223	2013-08-03 21:24:49.563223	\N	87f377a9-e76c-43f8-93c0-d3a4781d2649
94761	7	12064	2013-08-03 21:04:34.158896	2013-08-03 21:04:34.158896	\N	5a47b667-c9d6-4192-80cd-ac02ef0205c1
93125	11	11938	2013-08-03 20:59:31.063773	2013-08-03 20:59:31.063773	\N	2e3f0335-7a83-440b-888c-2518f8f75124
93126	11	11939	2013-08-03 20:59:31.21859	2013-08-03 20:59:31.21859	\N	63197d35-caaf-4c57-8361-648d74eb2768
93128	9	11939	2013-08-03 20:59:31.44949	2013-08-03 20:59:31.44949	\N	9f4a6bf1-006d-4cb5-bdec-ee618964ae6f
101822	4	12568	2013-08-03 21:24:49.629409	2013-08-03 21:24:49.629409	\N	beb2d54e-fb91-41d8-913f-9369d58c3a84
93141	6	11941	2013-08-03 20:59:32.941494	2013-08-03 20:59:32.941494	\N	83194454-3329-499b-a802-65c76af999fc
93146	7	11914	2013-08-03 20:59:34.140082	2013-08-03 20:59:34.140082	\N	babfc407-df98-4f10-aaca-40076bbcc47b
198487	2	25302	2013-08-04 19:57:30.670782	2013-08-04 19:57:30.670782	\N	b195e28a-5f86-49dc-b727-42e1a7e2e6d6
96493	3	12190	2013-08-03 21:09:58.845131	2013-08-03 21:09:58.845131	\N	5342ef29-5227-487e-b02e-bbca0cc5c8b7
94775	7	12055	2013-08-03 21:04:40.57474	2013-08-03 21:04:40.57474	\N	7659e13a-2b6a-4320-bf39-ed6c8f1b28ab
96496	3	12193	2013-08-03 21:09:58.91553	2013-08-03 21:09:58.91553	\N	e73f50fc-ae7b-4572-a696-0099f20d85bf
96498	3	12181	2013-08-03 21:09:58.989146	2013-08-03 21:09:58.989146	\N	267a5f01-706d-43ed-b8a3-25b7ad76b1ae
96499	3	12172	2013-08-03 21:09:59.05253	2013-08-03 21:09:59.05253	\N	222db6a1-f200-41c6-85cc-192a0c826b57
103792	19	12700	2013-08-03 21:31:22.498203	2013-08-03 21:31:22.498203	\N	73137407-5fbb-4312-9afe-0dbf512ee2aa
94801	17	12025	2013-08-03 21:04:46.33541	2013-08-03 21:04:46.33541	\N	bd9ea54e-639b-4a55-991e-5778b7af3b27
109632	11	13324	2013-08-03 21:54:44.383238	2013-08-03 21:54:44.383238	\N	d40663a5-eb48-4cc4-977f-b2413d57d7f8
101844	9	12560	2013-08-03 21:24:52.499789	2013-08-03 21:24:52.499789	\N	60c7d1b3-ae3d-4bec-bab8-4edafa4a6aa8
94813	2	12040	2013-08-03 21:04:48.079137	2013-08-03 21:04:48.079137	\N	b8e78279-b98b-4a7b-bed3-23fe50be8d4c
101846	17	12568	2013-08-03 21:24:52.782389	2013-08-03 21:24:52.782389	\N	285e9e3b-af94-4c83-b7b9-8ee458dabbb6
96512	4	12181	2013-08-03 21:09:59.892149	2013-08-03 21:09:59.892149	\N	4253d87c-e4b3-49c4-8ff9-c86cb34958b4
96514	4	12151	2013-08-03 21:09:59.927942	2013-08-03 21:09:59.927942	\N	feff63d2-4d73-4f3a-9bcb-aa3e0e491b6c
96516	4	12166	2013-08-03 21:09:59.983475	2013-08-03 21:09:59.983475	\N	eb03affe-043f-4273-809a-1712a3f7d58a
93216	7	11939	2013-08-03 20:59:47.089271	2013-08-03 20:59:47.089271	\N	6215fd1b-2ffd-4969-b24a-485c01cb9fd0
96518	4	12172	2013-08-03 21:10:00.025998	2013-08-03 21:10:00.025998	\N	dd898035-9e51-4a86-9f62-cb1f9f690dc3
96519	4	12190	2013-08-03 21:10:00.052587	2013-08-03 21:10:00.052587	\N	5d6848f3-3306-4828-8db3-37a4defd508d
96522	4	12193	2013-08-03 21:10:00.076846	2013-08-03 21:10:00.076846	\N	e00369da-c8ff-44ff-bc95-11693c47267c
96523	4	12196	2013-08-03 21:10:00.114754	2013-08-03 21:10:00.114754	\N	6547112a-275c-46c3-bf0a-52c88def188b
93253	16	11899	2013-08-03 20:59:53.491501	2013-08-03 20:59:53.491501	\N	98b66e29-7c50-448e-b3ba-edd1a1d50e96
113881	10	13567	2013-08-03 22:06:24.649726	2013-08-03 22:06:24.649726	\N	746f85e8-c3e2-4b3f-aa87-bc948e7a9e13
105661	16	12820	2013-08-03 21:37:17.444671	2013-08-03 21:37:17.444671	\N	46f3eb3b-6f96-41c3-b359-bbbac8129222
105663	16	12823	2013-08-03 21:37:18.504054	2013-08-03 21:37:18.504054	\N	f5ba9352-7680-46dc-9550-2078162c0e7f
94865	17	12046	2013-08-03 21:05:00.89794	2013-08-03 21:05:00.89794	\N	fd7c36c3-3717-41af-86e5-41b0c2fe796e
94866	17	12043	2013-08-03 21:05:00.989037	2013-08-03 21:05:00.989037	\N	817f29ac-221f-44f8-a3c8-eb450a7321f8
132515	4	17065	2013-08-04 00:26:09.732937	2013-08-04 00:26:09.732937	\N	cf432237-39d3-4210-ab58-ebbb21e0ef60
101871	2	12571	2013-08-03 21:24:56.233448	2013-08-03 21:24:56.233448	\N	f6fed128-5895-4f32-9fd9-33d7af25efc6
94877	17	12064	2013-08-03 21:05:02.532701	2013-08-03 21:05:02.532701	\N	e62d85ec-531d-49d0-aae5-293b9ac7f816
94892	13	12034	2013-08-03 21:05:05.963787	2013-08-03 21:05:05.963787	\N	246bc590-2c81-4e8c-9fc2-3b607054c6e1
132516	4	17053	2013-08-04 00:26:09.770497	2013-08-04 00:26:09.770497	\N	d2d6b3b7-ae5c-4b7f-a436-4fe742056bc6
132517	4	17104	2013-08-04 00:26:09.82516	2013-08-04 00:26:09.82516	\N	f73bc822-53c7-470d-8a69-d30910d0350b
94906	13	12064	2013-08-03 21:05:09.059987	2013-08-03 21:05:09.059987	\N	da6f2af9-713d-4e22-a310-9084e67d6d70
198490	2	25266	2013-08-04 19:57:30.703122	2013-08-04 19:57:30.703122	\N	3f2cbedc-4f7a-4e7d-8166-aafb30a48ec5
120218	16	14293	2013-08-03 22:36:35.361728	2013-08-03 22:36:35.361728	\N	0ce87ab4-7c9a-493c-81e6-052498cdf9f9
132530	10	17053	2013-08-04 00:26:15.214684	2013-08-04 00:26:15.214684	\N	bf2a786e-2cc1-45f7-bfe5-000c208d9f20
129834	9	16309	2013-08-03 23:56:22.583943	2013-08-03 23:56:22.583943	\N	cb75185b-e5f5-4fb4-b226-730b9cecc130
103832	10	12655	2013-08-03 21:31:32.330381	2013-08-03 21:31:32.330381	\N	88067bb7-647c-49dd-9461-f52f41944bf1
103834	10	12685	2013-08-03 21:31:32.548966	2013-08-03 21:31:32.548966	\N	c9078499-e7c5-4d5f-aaa7-6361fec73e7b
101896	10	12559	2013-08-03 21:25:00.823603	2013-08-03 21:25:00.823603	\N	e9e77daa-e6f0-445e-8571-e987c8af0819
132532	10	17065	2013-08-04 00:26:15.312393	2013-08-04 00:26:15.312393	\N	44dd8427-e29a-4542-a35d-cd464b65b562
206981	2	26446	2013-08-04 20:42:28.688814	2013-08-04 20:42:28.688814	\N	7ee4db2d-6f1a-4978-aab5-398219be0357
118171	15	14081	2013-08-03 22:24:53.133648	2013-08-03 22:24:53.133648	\N	187315f2-6f95-411a-bd49-832de67d802d
132548	8	17105	2013-08-04 00:26:23.281303	2013-08-04 00:26:23.281303	\N	636f547d-442c-4023-84bb-adbd25bc5401
101917	9	12529	2013-08-03 21:25:06.200048	2013-08-03 21:25:06.200048	\N	bae132e4-4520-4cc0-ab74-c94291470bad
113906	3	13546	2013-08-03 22:06:31.884508	2013-08-03 22:06:31.884508	\N	7c5602a5-33ef-4284-95b2-5cafe0d07489
95006	15	12070	2013-08-03 21:05:22.281962	2013-08-03 21:05:22.281962	\N	f841d09e-f6c8-4817-9bcc-60de72b07320
98237	3	12319	2013-08-03 21:15:15.956156	2013-08-03 21:15:15.956156	\N	412f1064-cbdd-49f5-869a-0aa7486f1000
98238	3	12277	2013-08-03 21:15:15.998128	2013-08-03 21:15:15.998128	\N	d39c0bc7-1123-48e4-b757-992e30ce589e
98239	3	12292	2013-08-03 21:15:16.042645	2013-08-03 21:15:16.042645	\N	eb059a18-48d2-471d-b150-fc9090230caf
98240	3	12316	2013-08-03 21:15:16.085084	2013-08-03 21:15:16.085084	\N	01e60f63-1645-4e4c-acbf-c86ee981cbf0
101919	9	12517	2013-08-03 21:25:06.379119	2013-08-03 21:25:06.379119	\N	eb5b22f9-a77f-4a6f-9b47-fee7228c9f10
113907	3	13567	2013-08-03 22:06:31.933105	2013-08-03 22:06:31.933105	\N	bda6a48b-ebda-4897-b0d4-7ee5f8d4c5fa
113908	3	13537	2013-08-03 22:06:31.977427	2013-08-03 22:06:31.977427	\N	dd97c0e0-d8bc-4896-99bf-2d72acceceac
109709	19	13325	2013-08-03 21:55:11.550224	2013-08-03 21:55:11.550224	\N	b8f555cd-e9d1-439b-a048-a8d7901c8a25
113909	3	13561	2013-08-03 22:06:32.009423	2013-08-03 22:06:32.009423	\N	62f33754-b5e6-4f35-a969-a30bd02c825b
113910	3	13525	2013-08-03 22:06:32.039491	2013-08-03 22:06:32.039491	\N	d6a55960-5b41-476f-8f06-063eb926769c
113911	3	13534	2013-08-03 22:06:32.088418	2013-08-03 22:06:32.088418	\N	ebc3b1f7-1a73-4c14-9d7b-0b80b64d98ba
113912	3	13579	2013-08-03 22:06:32.1428	2013-08-03 22:06:32.1428	\N	21d66bf6-7a50-43bd-8561-4763764921f3
198492	2	25314	2013-08-04 19:57:30.815034	2013-08-04 19:57:30.815034	\N	ea5b1d04-aac6-4eb1-a8f0-0357822ef38a
111909	3	13441	2013-08-03 22:01:03.871131	2013-08-03 22:01:03.871131	\N	f9dfc320-ba0d-4ada-95fe-13852f7d580f
103915	5	12673	2013-08-03 21:31:49.418606	2013-08-03 21:31:49.418606	\N	98365224-ba78-4e3f-b430-63d84df50244
101944	2	12517	2013-08-03 21:25:11.336212	2013-08-03 21:25:11.336212	\N	69141dd6-4c93-4a7e-afe6-32debda40159
109747	19	13285	2013-08-03 21:55:24.402129	2013-08-03 21:55:24.402129	\N	3f07b6f7-933b-4ff9-a991-9c9059d00a54
95077	4	12055	2013-08-03 21:05:37.889565	2013-08-03 21:05:37.889565	\N	4926b6a9-2ec0-46b9-89c0-006d8b99d856
95078	4	12025	2013-08-03 21:05:37.9295	2013-08-03 21:05:37.9295	\N	8a61aa07-bc04-463c-8724-deec0e05ee42
95079	4	12046	2013-08-03 21:05:37.988855	2013-08-03 21:05:37.988855	\N	be9a768f-6819-4629-a8a5-fd5965d48166
95080	4	12064	2013-08-03 21:05:38.03018	2013-08-03 21:05:38.03018	\N	7776855b-29a6-4e65-b93f-f7f1c2f14f31
95081	4	12067	2013-08-03 21:05:38.086798	2013-08-03 21:05:38.086798	\N	c72a7ffb-323c-4ab0-9ffe-e2b89beb1e60
111910	3	13399	2013-08-03 22:01:03.915243	2013-08-03 22:01:03.915243	\N	df87d4ea-409a-4bce-95ce-3d6a0263059b
118182	13	14071	2013-08-03 22:24:55.086331	2013-08-03 22:24:55.086331	\N	016b784b-7194-4def-a76f-5deb9632e6da
127415	11	15805	2013-08-03 23:35:15.719299	2013-08-03 23:35:15.719299	\N	cb9eac25-9f8f-4275-b997-71d7e7f302ec
111918	14	13399	2013-08-03 22:01:05.684508	2013-08-03 22:01:05.684508	\N	e4fdb2e0-039e-41a6-a00e-fa17c910dd6e
111923	14	13450	2013-08-03 22:01:05.715677	2013-08-03 22:01:05.715677	\N	aa52d627-1c38-4cde-a58d-5fedc27eaa69
98336	1	12317	2013-08-03 21:15:28.427316	2013-08-03 21:15:28.427316	\N	1f37f4b9-42d1-402c-9672-4e7417c8358d
118191	13	14041	2013-08-03 22:24:55.623852	2013-08-03 22:24:55.623852	\N	b41aee03-e516-4e00-ac36-e485ac31fdbd
118192	13	14029	2013-08-03 22:24:55.90917	2013-08-03 22:24:55.90917	\N	95aeed4b-6ace-4a55-a9f8-be71d02d8269
206983	2	26442	2013-08-04 20:42:28.725516	2013-08-04 20:42:28.725516	\N	2ad06efa-67e7-47af-89df-cd2076de7657
94729	6	12046	2013-08-03 21:04:29.746481	2013-08-03 21:04:29.746481	\N	ec2ed0cc-3eb9-4980-af48-5b920752875a
93107	20	11938	2013-08-03 20:59:30.082624	2013-08-03 20:59:30.082624	\N	f1b6c2ed-a134-4e92-acd9-3b4734d43693
91523	11	11662	2013-08-03 20:52:57.168978	2013-08-03 20:52:57.168978	\N	1b4be008-3715-4b8f-bc8e-00ff1cc61146
100056	1	12443	2013-08-03 21:20:13.332947	2013-08-03 21:20:13.332947	\N	2f59ab0e-10ae-43b5-9c6e-66ef47902c76
129829	11	16297	2013-08-03 23:56:19.788568	2013-08-03 23:56:19.788568	\N	03b52207-3f9a-485d-8a0b-c752345a9cb0
127369	19	15829	2013-08-03 23:34:58.730139	2013-08-03 23:34:58.730139	\N	464c9ac8-0d15-4268-8aa2-481bd05d9181
93129	7	11941	2013-08-03 20:59:31.455624	2013-08-03 20:59:31.455624	\N	9ec2e399-9887-4728-af85-a46cc3594219
127373	17	15844	2013-08-03 23:34:59.560549	2013-08-03 23:34:59.560549	\N	9dc7d637-6d04-4f93-a6d3-c134c0e03a98
93131	11	11941	2013-08-03 20:59:31.724753	2013-08-03 20:59:31.724753	\N	6c328362-6697-4430-8b0a-3a29283dc85c
93142	6	11899	2013-08-03 20:59:33.038936	2013-08-03 20:59:33.038936	\N	19b5e632-c506-41d2-9204-9254be1a5ed5
93143	7	11929	2013-08-03 20:59:33.606472	2013-08-03 20:59:33.606472	\N	5785d0ba-55f5-4487-a19d-9f5d29cf2a52
93144	7	11917	2013-08-03 20:59:33.753503	2013-08-03 20:59:33.753503	\N	fd61fa62-52ae-4403-a5ee-d19508440ebe
94763	7	12043	2013-08-03 21:04:35.062481	2013-08-03 21:04:35.062481	\N	3e6f2c9f-9416-4ba5-9cc1-36c28f7c8acc
109650	13	13324	2013-08-03 21:54:48.812937	2013-08-03 21:54:48.812937	\N	ab9ca4da-f8cd-473b-aeba-ead2aef40b68
107572	1	13033	2013-08-03 21:46:58.292901	2013-08-03 21:46:58.292901	\N	c332f1cf-4a5d-4803-925d-920673eb1a04
109651	17	13324	2013-08-03 21:54:49.020036	2013-08-03 21:54:49.020036	\N	226745c1-0081-4331-8bbf-220417c8a76e
94773	15	12065	2013-08-03 21:04:40.189454	2013-08-03 21:04:40.189454	\N	67f0674f-e2da-409f-a3d0-66c74a9748f0
162414	11	21570	2013-08-04 17:20:08.252623	2013-08-04 17:20:08.252623	\N	226e0312-15d6-42ca-a5b9-3329f298ffae
107582	5	13042	2013-08-03 21:47:00.367894	2013-08-03 21:47:00.367894	\N	99c9e2f4-b958-4843-b389-9c0793adbed6
93172	15	11939	2013-08-03 20:59:39.790093	2013-08-03 20:59:39.790093	\N	336218a4-00ec-464f-b27b-8947d2d540f3
107583	5	13072	2013-08-03 21:47:00.774713	2013-08-03 21:47:00.774713	\N	755b7293-5756-4e2e-b4cf-7035e755be2d
194534	1	24664	2013-08-04 19:34:10.678826	2013-08-04 19:34:10.678826	\N	63ebf0ef-c409-47b6-9425-4c12eb4c0b49
101916	9	12559	2013-08-03 21:25:06.007818	2013-08-03 21:25:06.007818	\N	744fc78e-a498-4619-bd06-7ce7e234232c
100129	17	12433	2013-08-03 21:20:26.063379	2013-08-03 21:20:26.063379	\N	274656e1-23ce-4771-b09c-6f2a8ec9f68f
109654	8	13325	2013-08-03 21:54:50.660942	2013-08-03 21:54:50.660942	\N	d97d14dc-2a5f-4507-8f8b-2f7b959df112
132526	11	17065	2013-08-04 00:26:14.577901	2013-08-04 00:26:14.577901	\N	716670d1-4fb4-4993-b565-902d3fdddbd1
206984	2	26412	2013-08-04 20:42:28.769327	2013-08-04 20:42:28.769327	\N	466d5e49-3157-4f23-b03d-1033f480bf4a
118150	3	14080	2013-08-03 22:24:47.966996	2013-08-03 22:24:47.966996	\N	eb23781c-d4f0-4183-80c8-49b75adea5ef
109672	6	13273	2013-08-03 21:54:59.170424	2013-08-03 21:54:59.170424	\N	ab82430d-10e9-4db5-a4da-c22b537057bb
98259	16	12307	2013-08-03 21:15:19.272818	2013-08-03 21:15:19.272818	\N	0b8e96f0-14ca-4700-ac48-2e778bd5e404
113924	4	13577	2013-08-03 22:06:33.528139	2013-08-03 22:06:33.528139	\N	c680c9be-e211-4d72-b195-97ad20e250d8
98261	16	12277	2013-08-03 21:15:19.459668	2013-08-03 21:15:19.459668	\N	2835e62e-ef53-48b2-96d6-6e1a128a2f4b
118152	3	14083	2013-08-03 22:24:48.009309	2013-08-03 22:24:48.009309	\N	1c29a77e-4bbd-48a2-baf3-5167e6244048
94881	13	12055	2013-08-03 21:05:03.970164	2013-08-03 21:05:03.970164	\N	d7c6afc5-c592-4729-a03c-6fc92064a984
94882	6	12064	2013-08-03 21:05:04.116061	2013-08-03 21:05:04.116061	\N	20b5afdf-fca2-42ae-9003-83a9fc84c4f8
98274	6	12316	2013-08-03 21:15:21.698077	2013-08-03 21:15:21.698077	\N	f8c9cd81-290b-4c93-8eaf-a7725bb679b2
93278	17	11887	2013-08-03 20:59:56.06317	2013-08-03 20:59:56.06317	\N	52c5f62c-cc3c-4f5f-8927-310282bf2a72
109682	6	13315	2013-08-03 21:55:02.816822	2013-08-03 21:55:02.816822	\N	5e5f7c8a-aa15-4afc-a229-331f7507191d
120224	16	14335	2013-08-03 22:36:35.571459	2013-08-03 22:36:35.571459	\N	6013519b-2a63-483e-9574-e4de82672d7f
96596	11	12151	2013-08-03 21:10:05.053466	2013-08-03 21:10:05.053466	\N	0539da40-f04e-4ec6-8322-c628a493f244
98280	6	12307	2013-08-03 21:15:22.354457	2013-08-03 21:15:22.354457	\N	6c774bda-74ed-4ec7-b835-6e697331db1a
132529	11	17053	2013-08-04 00:26:15.072544	2013-08-04 00:26:15.072544	\N	17e8ecf8-b29d-4773-a1cf-9686d395067a
109725	1	13325	2013-08-03 21:55:13.363342	2013-08-03 21:55:13.363342	\N	863e365c-850e-4bc8-80d6-cb0eabd793f9
98298	17	12277	2013-08-03 21:15:23.8842	2013-08-03 21:15:23.8842	\N	69978c58-6998-48df-a778-4bf6a5a22503
98299	4	12307	2013-08-03 21:15:24.248298	2013-08-03 21:15:24.248298	\N	4502d234-23cb-4fc1-ba02-11d3114c2b02
98300	4	12277	2013-08-03 21:15:24.284807	2013-08-03 21:15:24.284807	\N	251ff385-d139-4bb0-82cd-077587ce4e19
98301	4	12316	2013-08-03 21:15:24.337745	2013-08-03 21:15:24.337745	\N	32040c99-83e3-47cf-b88d-d202bc139ca9
94954	7	11931	2013-08-03 21:05:14.256241	2013-08-03 21:05:14.256241	\N	80e10a49-8304-454f-889b-f6c86a93ca13
98302	4	12319	2013-08-03 21:15:24.386258	2013-08-03 21:15:24.386258	\N	3dca9da2-2004-4c9a-8cda-bc394f516561
94957	8	12065	2013-08-03 21:05:14.707139	2013-08-03 21:05:14.707139	\N	5d1a8163-0f7c-4872-87ca-6f20fd3a7dd4
101986	12	12529	2013-08-03 21:25:21.549892	2013-08-03 21:25:21.549892	\N	1bc814f3-48ed-430b-9ecd-9b401d455c63
96670	11	12190	2013-08-03 21:10:08.679333	2013-08-03 21:10:08.679333	\N	cd84cb85-56ca-4afe-9af0-f2ec6a98fa04
101987	12	12517	2013-08-03 21:25:21.862838	2013-08-03 21:25:21.862838	\N	8a50cf70-1827-4d4d-93fa-8472f3252e9a
118155	3	14065	2013-08-03 22:24:48.11696	2013-08-03 22:24:48.11696	\N	14bd277d-f7cc-435d-8ce9-c2e139e3a638
103910	5	12685	2013-08-03 21:31:48.467333	2013-08-03 21:31:48.467333	\N	310505b0-e61a-4575-a0fb-d7add38a7053
101995	4	12569	2013-08-03 21:25:23.796354	2013-08-03 21:25:23.796354	\N	ec49a3c3-df88-41dc-8345-0e9be44e215d
198568	2	25315	2013-08-04 19:57:45.837272	2013-08-04 19:57:45.837272	\N	6d312f49-1227-426b-8b9a-a23c17652a21
103917	5	12679	2013-08-03 21:31:50.245181	2013-08-03 21:31:50.245181	\N	3d17c6b4-fa7a-480b-82c1-00cc740a7b6f
100269	6	12443	2013-08-03 21:20:46.813061	2013-08-03 21:20:46.813061	\N	8f68e8f5-3461-4766-affc-9722415dae36
206985	2	26490	2013-08-04 20:42:28.804231	2013-08-04 20:42:28.804231	\N	c8810057-642a-4fae-9054-a24d13080b4d
109744	5	13282	2013-08-03 21:55:19.987701	2013-08-03 21:55:19.987701	\N	db471218-67fd-4d08-8203-79b3039c7862
109745	17	13294	2013-08-03 21:55:20.920174	2013-08-03 21:55:20.920174	\N	817e268b-1b5a-4f5b-b442-b64a9313f3de
111841	12	13450	2013-08-03 22:00:56.601089	2013-08-03 22:00:56.601089	\N	2eaab83d-b97f-4ed3-8e58-3c52579d5931
100293	14	12442	2013-08-03 21:20:49.534504	2013-08-03 21:20:49.534504	\N	a56336ae-4b81-40a3-9cf3-71764134940d
111842	5	13435	2013-08-03 22:00:56.765296	2013-08-03 22:00:56.765296	\N	386ce480-c28f-458e-8117-778ece0732ae
129864	10	16309	2013-08-03 23:56:47.491957	2013-08-03 23:56:47.491957	\N	61a15eb2-92f7-4f33-a764-31841177ff34
198572	13	25294	2013-08-04 19:57:46.121841	2013-08-04 19:57:46.121841	\N	fa990b0b-b29c-47af-8359-ac4fa40261d5
129877	3	16297	2013-08-03 23:57:00.167257	2013-08-03 23:57:00.167257	\N	76b7051e-1221-4df3-b749-5a859ae7ccaa
129878	3	16309	2013-08-03 23:57:00.251946	2013-08-03 23:57:00.251946	\N	06c04386-0996-4dbc-8951-f3edd0cc3362
109797	9	13285	2013-08-03 21:55:33.497178	2013-08-03 21:55:33.497178	\N	26a43529-c943-4299-9e04-d50764ff6ffb
132543	9	17104	2013-08-04 00:26:22.444678	2013-08-04 00:26:22.444678	\N	648825fe-fd1a-46fb-be6c-9b2afeea2a9b
104030	2	12685	2013-08-03 21:32:11.319989	2013-08-03 21:32:11.319989	\N	3870c456-5749-4b2f-b267-567cac40cb96
107697	2	13057	2013-08-03 21:47:43.188225	2013-08-03 21:47:43.188225	\N	84133b5f-4456-4e86-bcc5-f4befb6d18de
179795	19	23449	2013-08-04 18:37:14.712248	2013-08-04 18:37:14.712248	\N	2b3d420f-2c27-461f-a85e-70405232b604
127447	17	15845	2013-08-03 23:35:24.276644	2013-08-03 23:35:24.276644	\N	f615261f-5bc7-47d5-be30-61196aa3a57a
140727	14	18691	2013-08-04 01:34:49.024058	2013-08-04 01:34:49.024058	\N	8d852e34-c619-4d10-8900-5a6e3d03008b
102090	13	12559	2013-08-03 21:25:43.008548	2013-08-03 21:25:43.008548	\N	cd7fe73f-7dce-42e8-953e-e05b63b8345d
102109	5	12544	2013-08-03 21:25:45.153501	2013-08-03 21:25:45.153501	\N	2c105eb1-4171-4c59-9e2c-1f1c29324a9d
118203	8	14081	2013-08-03 22:24:57.924556	2013-08-03 22:24:57.924556	\N	c28de3fb-e413-4f2b-b78d-f939a47e0743
96787	6	12196	2013-08-03 21:10:16.689667	2013-08-03 21:10:16.689667	\N	fb311b53-0587-4a23-a7c5-414c23ba87e4
102113	5	12568	2013-08-03 21:25:45.948281	2013-08-03 21:25:45.948281	\N	fcd0630e-411b-4e67-8cd4-5ea3b990c752
96789	2	12166	2013-08-03 21:10:17.106779	2013-08-03 21:10:17.106779	\N	ca637a1d-115c-4c01-bc51-e17f09ec5022
102114	13	12538	2013-08-03 21:25:46.008532	2013-08-03 21:25:46.008532	\N	11599654-0e15-482f-b5ae-cf1f489581b5
138058	12	18364	2013-08-04 01:18:53.582747	2013-08-04 01:18:53.582747	\N	1ab1a9e0-f226-486f-b561-315f6142e01f
100431	12	12442	2013-08-03 21:21:12.007886	2013-08-03 21:21:12.007886	\N	c486ce30-c4c5-4017-a8c8-ddc447a16580
96803	6	12151	2013-08-03 21:10:18.069901	2013-08-03 21:10:18.069901	\N	c6642f7c-b641-4843-be2d-23f28f81aa3a
114011	19	13577	2013-08-03 22:06:56.458114	2013-08-03 22:06:56.458114	\N	47878d68-6967-4ff8-9fbe-0251824a2dc0
125075	8	15415	2013-08-03 23:19:42.792168	2013-08-03 23:19:42.792168	\N	903e8052-1a44-4e31-9759-4df3badcac39
96815	6	12190	2013-08-03 21:10:19.793404	2013-08-03 21:10:19.793404	\N	81e82a81-b392-40bd-8d2e-d605aadaec12
118217	12	14041	2013-08-03 22:25:03.631877	2013-08-03 22:25:03.631877	\N	275d121d-1b5c-48f4-8f71-41a0ed483a95
102151	14	12568	2013-08-03 21:25:54.13112	2013-08-03 21:25:54.13112	\N	aa4f48b6-d49b-40af-ad16-68f8b00e212b
125080	9	15415	2013-08-03 23:19:44.375212	2013-08-03 23:19:44.375212	\N	cb315e6b-1fbd-455b-b066-a92e32c08be5
102162	19	12559	2013-08-03 21:25:56.461728	2013-08-03 21:25:56.461728	\N	82abdad4-f2d2-4037-b715-4e6d5d3efeb6
114027	19	13567	2013-08-03 22:07:01.485606	2013-08-03 22:07:01.485606	\N	f2d5808c-d9b3-40b8-b7dd-45dbe5e0fd17
96845	13	12181	2013-08-03 21:10:27.039422	2013-08-03 21:10:27.039422	\N	733bbc71-bd62-4290-90f7-f2b62021e105
125081	7	15451	2013-08-03 23:19:44.458994	2013-08-03 23:19:44.458994	\N	b02aee05-0a39-43ac-ba4f-edba227334eb
104120	14	12643	2013-08-03 21:32:31.258474	2013-08-03 21:32:31.258474	\N	d9f51e05-9d1b-44dc-b70c-5ee1138feda1
104121	14	12685	2013-08-03 21:32:31.363321	2013-08-03 21:32:31.363321	\N	b4b04f9a-7072-4da0-bfb0-09949ca2cc76
187038	7	24218	2013-08-04 19:02:42.572394	2013-08-04 19:02:42.572394	\N	4cd24a25-d6a6-4325-bbe6-99fb517fe89e
118237	5	14083	2013-08-03 22:25:09.071286	2013-08-03 22:25:09.071286	\N	7896b760-9b64-4a6b-910f-116e830861f8
96866	5	12190	2013-08-03 21:10:30.399158	2013-08-03 21:10:30.399158	\N	1b1e70d1-9438-45d4-b1d5-547e6ece97ba
95101	6	12055	2013-08-03 21:05:40.942035	2013-08-03 21:05:40.942035	\N	efa7489d-08bb-43b8-9163-8325113ff77b
96867	5	12193	2013-08-03 21:10:30.80123	2013-08-03 21:10:30.80123	\N	86adba71-272a-4e76-8fa9-13e0e76251ca
96869	5	12181	2013-08-03 21:10:31.23149	2013-08-03 21:10:31.23149	\N	66e2d273-0190-4504-9a31-e8c916d1d573
109665	6	13285	2013-08-03 21:54:56.928678	2013-08-03 21:54:56.928678	\N	58fa1c8b-82d4-4742-9b6a-57fa3ee150e0
103899	5	12697	2013-08-03 21:31:47.971891	2013-08-03 21:31:47.971891	\N	e48f9ccc-91eb-4499-bfd2-06880b16804e
98144	11	12316	2013-08-03 21:15:01.822673	2013-08-03 21:15:01.822673	\N	1504f0d8-23cc-49ef-be08-7f6a2ced4a8c
93239	17	11939	2013-08-03 20:59:51.336944	2013-08-03 20:59:51.336944	\N	99f81823-bffb-42f5-905c-6c7fd11d6997
93241	15	11899	2013-08-03 20:59:51.586849	2013-08-03 20:59:51.586849	\N	cd228f90-7c4d-49c7-ab7d-639af695a9ca
93248	15	11938	2013-08-03 20:59:52.308232	2013-08-03 20:59:52.308232	\N	deb2cd1c-1c45-47b4-9a22-6da27a9df34b
98148	11	12317	2013-08-03 21:15:02.040585	2013-08-03 21:15:02.040585	\N	44f199ff-180a-4eeb-81dd-dde86e6bd82c
93252	16	11929	2013-08-03 20:59:53.384977	2013-08-03 20:59:53.384977	\N	3d0678eb-a1e2-4462-9296-2b827e847e36
93254	16	11887	2013-08-03 20:59:53.590289	2013-08-03 20:59:53.590289	\N	2e97388b-eb94-4971-8415-eb44a6b42a62
93256	16	11917	2013-08-03 20:59:53.822871	2013-08-03 20:59:53.822871	\N	e85a1714-20c5-4e5d-ac4e-ccb1a84c27b3
93258	17	11899	2013-08-03 20:59:54.006448	2013-08-03 20:59:54.006448	\N	d82b34ef-5996-4512-afd2-20e07bbf4c5b
93262	16	11944	2013-08-03 20:59:54.318873	2013-08-03 20:59:54.318873	\N	f48301d2-636f-44b2-9f21-9f4f5add5947
198495	2	25323	2013-08-04 19:57:30.892229	2013-08-04 19:57:30.892229	\N	d632a206-ccf7-42d8-a3d1-df2ea3bdb921
96566	6	12189	2013-08-03 21:10:02.720157	2013-08-03 21:10:02.720157	\N	ee679e2b-477c-416f-a50f-8a29082c1728
107584	5	13075	2013-08-03 21:47:01.272796	2013-08-03 21:47:01.272796	\N	ffdcfeb1-40c9-4210-9d23-d7da6be3ec69
94843	17	12034	2013-08-03 21:04:54.769201	2013-08-03 21:04:54.769201	\N	3ccd413a-8530-4576-b27f-5334db65a619
94846	15	12040	2013-08-03 21:04:56.219595	2013-08-03 21:04:56.219595	\N	c9457b12-e5bd-4875-a06a-5fb44f6c451b
94847	17	12040	2013-08-03 21:04:56.952317	2013-08-03 21:04:56.952317	\N	f62e6a81-6fe3-4111-9bc0-7a4747a588b4
103916	5	12643	2013-08-03 21:31:49.82137	2013-08-03 21:31:49.82137	\N	92a803f8-6ad8-4f0f-bb55-184536d712f8
107585	5	13078	2013-08-03 21:47:01.676366	2013-08-03 21:47:01.676366	\N	5cba47f7-ddb6-4121-beb0-97b820aa3764
94884	17	12049	2013-08-03 21:05:05.184092	2013-08-03 21:05:05.184092	\N	bd3ea410-59a8-4588-b5cd-8624e1a93de4
107589	5	13030	2013-08-03 21:47:02.637672	2013-08-03 21:47:02.637672	\N	4943251c-cde4-4c1f-97e7-edb4735471fd
111821	12	13411	2013-08-03 22:00:53.696554	2013-08-03 22:00:53.696554	\N	d4be9e13-ccb4-4531-a2e5-77bde7c7cf81
94903	17	12065	2013-08-03 21:05:07.198141	2013-08-03 21:05:07.198141	\N	364dac34-90fe-4cb4-8280-de82b7d2578a
94904	13	12043	2013-08-03 21:05:07.666515	2013-08-03 21:05:07.666515	\N	feb5d483-6fb8-40f6-a245-c300ed904df7
94905	13	12046	2013-08-03 21:05:07.993246	2013-08-03 21:05:07.993246	\N	f2ccb68b-e31c-4fef-8a32-5b443227bc02
96583	11	12181	2013-08-03 21:10:04.163454	2013-08-03 21:10:04.163454	\N	81dce960-4b7c-427a-96ba-fc7787b66263
101897	10	12529	2013-08-03 21:25:00.930592	2013-08-03 21:25:00.930592	\N	d7a29c97-5bd3-49d6-948e-54935b0dd702
101898	10	12568	2013-08-03 21:25:01.030105	2013-08-03 21:25:01.030105	\N	6d042329-7e8d-4779-bcb0-86c07516b728
101899	10	12569	2013-08-03 21:25:01.109498	2013-08-03 21:25:01.109498	\N	407f9bbd-ad06-4279-abf8-871963b3c0bc
111822	12	13399	2013-08-03 22:00:54.000535	2013-08-03 22:00:54.000535	\N	d8c806b4-1b2d-4422-89f7-4fc4f890dc04
111824	13	13450	2013-08-03 22:00:54.490694	2013-08-03 22:00:54.490694	\N	b407079a-0494-4fcc-bea8-414440b72320
127402	6	15829	2013-08-03 23:35:09.286191	2013-08-03 23:35:09.286191	\N	2f496e78-a53d-43ad-8824-96a07c29c650
198496	2	25332	2013-08-04 19:57:30.934727	2013-08-04 19:57:30.934727	\N	89082174-bc07-4cbe-9562-52fdea8de11f
198497	2	25349	2013-08-04 19:57:30.991657	2013-08-04 19:57:30.991657	\N	868f3be9-fb07-47b8-bd06-b11641257f76
129853	9	16348	2013-08-03 23:56:36.955334	2013-08-03 23:56:36.955334	\N	c4352915-440f-492c-9cdc-a648aed97997
132538	11	17104	2013-08-04 00:26:18.374609	2013-08-04 00:26:18.374609	\N	e3782716-3831-44d3-8e94-18ce1b3e6652
98201	17	12317	2013-08-03 21:15:08.575932	2013-08-03 21:15:08.575932	\N	1c393f22-2c8f-4193-8dd9-4da87c5d8a7d
149249	10	19837	2013-08-04 02:17:36.697217	2013-08-04 02:17:36.697217	\N	207ecd00-e634-4243-9f77-1934e0c1d906
187101	10	24121	2013-08-04 19:02:52.164598	2013-08-04 19:02:52.164598	\N	f2ae91f0-55c9-4215-97a2-e0f79533c67e
101972	9	12568	2013-08-03 21:25:18.648426	2013-08-03 21:25:18.648426	\N	27e2cc50-d1f9-440c-a9de-bd40c6458e6e
132551	2	17104	2013-08-04 00:26:29.608235	2013-08-04 00:26:29.608235	\N	00e711f4-b699-4a5a-a676-a73ca65bca6a
109707	17	13282	2013-08-03 21:55:10.306575	2013-08-03 21:55:10.306575	\N	1e3080b8-623b-40da-a7fe-3b7a511a0b60
105764	14	12769	2013-08-03 21:37:37.071662	2013-08-03 21:37:37.071662	\N	ba490962-8a25-4511-81ee-9a7f2ff04310
101985	12	12559	2013-08-03 21:25:21.011028	2013-08-03 21:25:21.011028	\N	f85b8e38-a975-4935-9932-59ba18648136
105765	14	12811	2013-08-03 21:37:37.107546	2013-08-03 21:37:37.107546	\N	d8dd0132-81cb-4628-874c-2417710264ac
179852	7	23588	2013-08-04 18:37:43.592654	2013-08-04 18:37:43.592654	\N	18e4d84c-0383-47ef-a781-c876e2532d67
179854	7	23582	2013-08-04 18:37:44.024922	2013-08-04 18:37:44.024922	\N	548212b4-fb7b-43ca-ad8f-d69e6a2e2bea
96673	11	12191	2013-08-03 21:10:08.843852	2013-08-03 21:10:08.843852	\N	470e4ea2-b96b-4405-b035-7e0c29428e50
172870	11	22974	2013-08-04 18:13:12.243599	2013-08-04 18:13:12.243599	\N	9b40f6ac-c427-4bd9-a200-dd6ebb961548
179855	8	23491	2013-08-04 18:37:44.083427	2013-08-04 18:37:44.083427	\N	02fdc735-1899-44e6-8932-3cc8973be85d
98296	17	12307	2013-08-03 21:15:23.627223	2013-08-03 21:15:23.627223	\N	cb2d9b88-d800-48c1-8066-600bfc2cd7ea
143578	9	19333	2013-08-04 01:56:00.489839	2013-08-04 01:56:00.489839	\N	7599e3e4-86aa-4463-b210-e5a2fc3f1caf
98306	13	12295	2013-08-03 21:15:25.456533	2013-08-03 21:15:25.456533	\N	d2fbf60f-89bb-485e-ba0e-897deb0c1633
118183	13	14038	2013-08-03 22:24:55.352517	2013-08-03 22:24:55.352517	\N	1957d9b2-f554-48f5-ba9d-f817791835dd
132573	10	17104	2013-08-04 00:26:45.626299	2013-08-04 00:26:45.626299	\N	c31a09a6-bb5a-4dea-a080-59adbf9c6aca
187102	1	24198	2013-08-04 19:02:52.811926	2013-08-04 19:02:52.811926	\N	f1e05d56-0da5-45fc-8cdc-2bbe1ea67e43
140790	7	18868	2013-08-04 01:35:48.094378	2013-08-04 01:35:48.094378	\N	7ee0d0c7-31c3-4b59-8bcb-1c69343fe7d0
96819	8	12166	2013-08-03 21:10:21.668427	2013-08-03 21:10:21.668427	\N	366607b9-ce82-4370-881b-3ef79ea70fbd
125060	5	15289	2013-08-03 23:19:36.384505	2013-08-03 23:19:36.384505	\N	cd7d13dc-abf9-4dc1-a3be-84381a19d9d6
125076	8	15466	2013-08-03 23:19:42.796285	2013-08-03 23:19:42.796285	\N	41511ee8-628d-4980-b42c-0ddd04ec4da6
127512	14	15805	2013-08-03 23:35:43.258449	2013-08-03 23:35:43.258449	\N	989de560-e983-4d35-9484-4acc66c841da
120307	5	14317	2013-08-03 22:37:08.829315	2013-08-03 22:37:08.829315	\N	c31cb57a-ad6c-456b-b4ea-8f128ae42d74
118216	12	14071	2013-08-03 22:25:03.151351	2013-08-03 22:25:03.151351	\N	526e5803-cb65-461a-a6c1-c9acf72c999a
95105	2	12034	2013-08-03 21:05:45.005683	2013-08-03 21:05:45.005683	\N	f44a5ec8-4adc-4dfe-94d9-3a1feed71637
98358	17	12292	2013-08-03 21:15:34.054647	2013-08-03 21:15:34.054647	\N	94eced9d-faf6-4819-89f3-36fdd11a8b07
96847	13	12151	2013-08-03 21:10:27.5572	2013-08-03 21:10:27.5572	\N	465763c9-08d0-404a-b051-091e991721c4
114076	19	13525	2013-08-03 22:07:12.368954	2013-08-03 22:07:12.368954	\N	50ac7617-d3e4-4047-b152-0c4c06512ba0
109799	9	13273	2013-08-03 21:55:33.664733	2013-08-03 21:55:33.664733	\N	6716ef2f-e7fa-4f22-ab42-9be920dfb11d
109812	17	13327	2013-08-03 21:55:37.178777	2013-08-03 21:55:37.178777	\N	daa1fbcb-5a2b-45ed-927d-04bd72f80284
96871	5	12172	2013-08-03 21:10:31.837742	2013-08-03 21:10:31.837742	\N	e728c75a-19bc-4f77-a8bb-7292bc698731
125092	7	15442	2013-08-03 23:19:49.432306	2013-08-03 23:19:49.432306	\N	9825e3b7-1a9f-4b9e-81c9-69078a81f89f
102093	13	12529	2013-08-03 21:25:43.534248	2013-08-03 21:25:43.534248	\N	32dbe9a4-c5bd-4c48-ab5e-965a1f31deb8
102095	5	12574	2013-08-03 21:25:43.816042	2013-08-03 21:25:43.816042	\N	5cfd1a22-5833-46a7-a8fb-b4de1fa5d521
107725	8	13063	2013-08-03 21:47:52.565398	2013-08-03 21:47:52.565398	\N	0d6f3a9b-7440-4c3a-a87e-a619373f670d
118221	12	14029	2013-08-03 22:25:03.92722	2013-08-03 22:25:03.92722	\N	ba90b606-f4d4-4ff8-a05f-bb569908b098
118222	13	14083	2013-08-03 22:25:04.821691	2013-08-03 22:25:04.821691	\N	4b4b8787-cd01-4228-a396-d2101f1eb321
102118	13	12547	2013-08-03 21:25:47.431167	2013-08-03 21:25:47.431167	\N	1e70616f-249e-4e69-8231-e86706a54793
118223	13	14086	2013-08-03 22:25:05.155021	2013-08-03 22:25:05.155021	\N	8e058a41-c772-4959-8d57-2097b591aa93
109880	2	13315	2013-08-03 21:55:48.56023	2013-08-03 21:55:48.56023	\N	a27cfb61-6ce4-4f5c-bbe5-eab2fdd55892
102136	19	12569	2013-08-03 21:25:51.540389	2013-08-03 21:25:51.540389	\N	03ad5e17-8c3b-4060-a498-32874438a207
127514	14	15829	2013-08-03 23:35:43.384557	2013-08-03 23:35:43.384557	\N	e94dadea-0fd9-4721-9d54-74ae4e1be248
100323	17	12445	2013-08-03 21:20:54.23929	2013-08-03 21:20:54.23929	\N	64202ea4-7bb5-423d-af9a-0b061a1c9ee3
125099	8	15442	2013-08-03 23:19:51.087709	2013-08-03 23:19:51.087709	\N	7e88cf71-7a42-4f26-be30-0073a5800ac0
125102	3	15442	2013-08-03 23:19:51.646945	2013-08-03 23:19:51.646945	\N	7281eb13-01d7-4ef6-afe8-7bbaf0172f10
125103	3	15466	2013-08-03 23:19:51.696057	2013-08-03 23:19:51.696057	\N	4b94b1a2-b860-4923-a101-892580e865ed
143580	7	19333	2013-08-04 01:56:00.632852	2013-08-04 01:56:00.632852	\N	0a31416b-a587-44aa-a87a-619e6e402d6b
140792	2	18817	2013-08-04 01:35:49.429478	2013-08-04 01:35:49.429478	\N	48f229ec-b237-4c5e-b0ed-4c3673f3f678
114138	19	13576	2013-08-03 22:07:29.43308	2013-08-03 22:07:29.43308	\N	b3513306-ad66-4074-bc1f-cd5f036f1cca
114145	14	13582	2013-08-03 22:07:32.208651	2013-08-03 22:07:32.208651	\N	fc97db23-aea9-4ac6-85d0-923a5e09f21a
125106	3	15451	2013-08-03 23:19:51.801711	2013-08-03 23:19:51.801711	\N	6c5d6918-7cc8-4808-875d-23be5a9360d5
179858	7	23530	2013-08-04 18:37:44.232289	2013-08-04 18:37:44.232289	\N	4b03d6b8-0c12-4a9d-9ca5-f0fd795787ed
140794	2	18906	2013-08-04 01:35:49.533646	2013-08-04 01:35:49.533646	\N	120ddfe3-967f-4317-9e09-592a65d1f382
114164	19	13534	2013-08-03 22:07:35.377006	2013-08-03 22:07:35.377006	\N	a4d49d5e-81ac-41f3-a61f-0973ff92cd1c
140795	2	18910	2013-08-04 01:35:49.594126	2013-08-04 01:35:49.594126	\N	c09a2a9f-22b6-4927-bbdf-77166a4717a7
125136	7	15466	2013-08-03 23:19:59.562369	2013-08-03 23:19:59.562369	\N	97921b5b-331e-48f3-bddc-909504308e70
122896	8	15049	2013-08-03 23:04:25.649975	2013-08-03 23:04:25.649975	\N	77393cd7-160d-422c-b568-cbd2a084f9da
122897	6	15088	2013-08-03 23:04:25.867919	2013-08-03 23:04:25.867919	\N	c062c374-3e3d-4d57-906c-bdc5ac09720c
118278	5	14086	2013-08-03 22:25:17.501552	2013-08-03 22:25:17.501552	\N	bddad231-6068-44f4-bd50-d2469009cf3b
122898	6	15037	2013-08-03 23:04:25.976224	2013-08-03 23:04:25.976224	\N	b70890ad-4927-478e-a941-8cf82fff7e04
114202	19	13546	2013-08-03 22:07:42.497468	2013-08-03 22:07:42.497468	\N	9b4dc534-c974-41cb-b6f9-440a11a0f920
122901	7	15037	2013-08-03 23:04:27.444746	2013-08-03 23:04:27.444746	\N	b353fa6c-f6be-4589-bc4a-341a976fc440
122902	7	15049	2013-08-03 23:04:27.517003	2013-08-03 23:04:27.517003	\N	bf43156e-e3ff-4eb7-bf80-78591a26b3c2
125139	19	15442	2013-08-03 23:20:00.815668	2013-08-03 23:20:00.815668	\N	ce0194f6-e270-4880-b740-7f727abafe9a
122904	2	15088	2013-08-03 23:04:28.584928	2013-08-03 23:04:28.584928	\N	70ef1b66-0505-4199-b7ab-a4d5df13ca9f
122907	2	15049	2013-08-03 23:04:28.641155	2013-08-03 23:04:28.641155	\N	2ede245c-d528-492e-885a-93ab054e82c7
122910	2	15073	2013-08-03 23:04:28.691657	2013-08-03 23:04:28.691657	\N	1a225fc7-a987-4246-aee4-c60ecbfec6f6
95153	2	12070	2013-08-03 21:05:55.354339	2013-08-03 21:05:55.354339	\N	9c56bc56-7228-424d-92be-715ea6d4bb88
103898	5	12694	2013-08-03 21:31:47.549065	2013-08-03 21:31:47.549065	\N	0bde0001-5828-4721-9208-0b01676c7e2d
105804	7	12693	2013-08-03 21:37:41.556011	2013-08-03 21:37:41.556011	\N	8801f941-6741-4225-9d2e-b19d8cad978f
101984	17	12569	2013-08-03 21:25:20.533356	2013-08-03 21:25:20.533356	\N	673bbf53-f6d9-4033-ab66-9c8b78cf2644
103912	5	12700	2013-08-03 21:31:48.86966	2013-08-03 21:31:48.86966	\N	a0545f7d-499b-4622-b582-91cdb1911aba
132524	9	17105	2013-08-04 00:26:14.194243	2013-08-04 00:26:14.194243	\N	7ab13f0a-069c-4ce1-87c5-f17fea8ac4df
198498	2	25368	2013-08-04 19:57:31.038521	2013-08-04 19:57:31.038521	\N	e1605642-aa49-4cfb-9eeb-80f52acfe655
194556	11	24738	2013-08-04 19:34:15.53746	2013-08-04 19:34:15.53746	\N	001f8bf9-3058-4af0-a808-3ef80bd1889c
198499	8	25255	2013-08-04 19:57:31.127251	2013-08-04 19:57:31.127251	\N	fd4fd32c-4c97-4b57-8500-848dbedeb548
109749	19	13273	2013-08-03 21:55:25.196694	2013-08-03 21:55:25.196694	\N	8c8d94bf-7a5e-494d-93c1-55beca0d8ec3
198500	7	25270	2013-08-04 19:57:31.2299	2013-08-04 19:57:31.2299	\N	ca973d46-52ac-4628-bb77-809276ffd97d
198509	8	25270	2013-08-04 19:57:32.14668	2013-08-04 19:57:32.14668	\N	811451fb-4af1-4911-b784-a7d9c38cec55
125028	1	15297	2013-08-03 23:18:38.437741	2013-08-03 23:18:38.437741	\N	81095367-8850-4736-b840-3c49cb32f300
111868	1	13450	2013-08-03 22:00:58.174746	2013-08-03 22:00:58.174746	\N	6a948a7c-6cdd-4960-855d-e46b25907b0a
127446	4	15845	2013-08-03 23:35:21.411693	2013-08-03 23:35:21.411693	\N	1e55ab78-cda7-4554-aa8a-b5444be64269
135197	9	17683	2013-08-04 00:52:13.558454	2013-08-04 00:52:13.558454	\N	29cb4aed-bd55-429a-9e9e-f3d232576400
179883	7	23506	2013-08-04 18:37:45.738281	2013-08-04 18:37:45.738281	\N	bcb6f003-a39b-4d5f-bd3c-6c3d1a395e9d
96785	6	12172	2013-08-03 21:10:15.721041	2013-08-03 21:10:15.721041	\N	8add506a-426d-4c07-ba7f-0d96fa3f4518
132151	16	16978	2013-08-04 00:22:12.248878	2013-08-04 00:22:12.248878	\N	d5e82f6a-c10c-4ab6-9217-ee34b0143234
179893	8	23592	2013-08-04 18:37:46.591445	2013-08-04 18:37:46.591445	\N	7c907d5f-6d8f-461b-b6dd-48268e4c7ff4
179894	8	23582	2013-08-04 18:37:46.748529	2013-08-04 18:37:46.748529	\N	c58a3734-e63d-4186-97fe-d46beb3c898a
179895	8	23588	2013-08-04 18:37:47.342603	2013-08-04 18:37:47.342603	\N	31264c92-aca1-4429-ac29-55b8f2b727a1
125061	5	15325	2013-08-03 23:19:36.839096	2013-08-03 23:19:36.839096	\N	19400ee0-11a1-41f6-8f90-b2ffb8cd8604
96805	6	12181	2013-08-03 21:10:19.287945	2013-08-03 21:10:19.287945	\N	af3b3fb9-155a-4a70-9c94-6e0859406b99
116138	12	13819	2013-08-03 22:16:23.014636	2013-08-03 22:16:23.014636	\N	f67054fe-a708-4abd-9e11-1834e46e5866
125062	7	15415	2013-08-03 23:19:40.702393	2013-08-03 23:19:40.702393	\N	f6083449-f240-4d08-b75e-e143b38a9554
125063	7	15427	2013-08-03 23:19:40.736492	2013-08-03 23:19:40.736492	\N	67056385-4755-494a-a47f-7243c23c4b51
143581	9	19321	2013-08-04 01:56:00.644489	2013-08-04 01:56:00.644489	\N	0dd116d4-cff2-4962-9c3e-40e5ac06c1e6
102091	5	12571	2013-08-03 21:25:43.012439	2013-08-03 21:25:43.012439	\N	fab39fb8-0d9b-4d25-aafb-98c60c0ba744
179896	7	23592	2013-08-04 18:37:48.167874	2013-08-04 18:37:48.167874	\N	4c843b30-36f2-4ae3-b524-ee5a9896b94b
102119	13	12568	2013-08-03 21:25:48.662038	2013-08-03 21:25:48.662038	\N	3ecf3be1-c0f9-4932-9947-19b3b08d1202
102130	13	12571	2013-08-03 21:25:48.995531	2013-08-03 21:25:48.995531	\N	e72a0bac-fc07-47a8-8387-252a61c9d658
109781	17	13309	2013-08-03 21:55:31.093164	2013-08-03 21:55:31.093164	\N	d0232fa8-7d6d-4190-8820-3be8f10fea98
96857	5	12160	2013-08-03 21:10:29.902692	2013-08-03 21:10:29.902692	\N	1125af44-cdf0-44b9-b703-b448255ad58d
202812	2	25691	2013-08-04 20:14:11.861729	2013-08-04 20:14:11.861729	\N	0de2875d-d18f-4724-aac2-d71961a9d427
125069	2	15427	2013-08-03 23:19:41.491347	2013-08-03 23:19:41.491347	\N	1966815b-d67e-4ada-ae5f-484eb0070032
125070	2	15451	2013-08-03 23:19:41.543635	2013-08-03 23:19:41.543635	\N	c379ccef-0e8b-45ec-8f05-8ce48145a0e7
96873	5	12169	2013-08-03 21:10:32.325522	2013-08-03 21:10:32.325522	\N	67e93078-d43c-4943-ae0a-7090ee151dfa
109810	4	13315	2013-08-03 21:55:37.162404	2013-08-03 21:55:37.162404	\N	5a245896-655b-4f2a-9b52-1d0bdddefebb
109813	4	13285	2013-08-03 21:55:37.246369	2013-08-03 21:55:37.246369	\N	994e3779-5ff0-49d3-858a-58c78ad2d632
109816	4	13273	2013-08-03 21:55:37.301935	2013-08-03 21:55:37.301935	\N	e22c2e11-7b3d-46e6-b686-59a2940dfa81
109819	4	13324	2013-08-03 21:55:37.384807	2013-08-03 21:55:37.384807	\N	b36598dd-7bb5-40c1-a097-08638af3802e
125071	2	15466	2013-08-03 23:19:41.59329	2013-08-03 23:19:41.59329	\N	c6b06444-3837-4b3a-b337-4e353a74e3e4
102165	19	12529	2013-08-03 21:25:57.224482	2013-08-03 21:25:57.224482	\N	491cdce8-37c0-40b2-86d3-3da16bd9412a
102166	19	12517	2013-08-03 21:25:57.899738	2013-08-03 21:25:57.899738	\N	9a3a0f93-8f8d-4965-a81b-e624b9feaead
125072	2	15415	2013-08-03 23:19:41.626533	2013-08-03 23:19:41.626533	\N	848404ca-5d2e-4e2d-b889-438a6248a88f
125073	2	15442	2013-08-03 23:19:41.688592	2013-08-03 23:19:41.688592	\N	10408a5b-703e-44cc-b982-c624615f7916
122895	8	15073	2013-08-03 23:04:25.648692	2013-08-03 23:04:25.648692	\N	e7b7e721-bfaa-491c-b938-f5258c403575
98628	19	12317	2013-08-03 21:16:15.624061	2013-08-03 21:16:15.624061	\N	c97cf651-0d04-4e81-9e39-927c8cc16ca4
143601	15	19373	2013-08-04 01:56:02.279384	2013-08-04 01:56:02.279384	\N	514fb42c-5f21-4314-92f6-96c6a6635e5b
202815	2	25702	2013-08-04 20:14:11.976766	2013-08-04 20:14:11.976766	\N	3786c928-1d25-4ba4-84cd-7be6e6cce7f9
122929	11	15049	2013-08-03 23:04:34.028768	2013-08-03 23:04:34.028768	\N	d057aedd-95e8-430f-89d0-dc56819fde02
125101	9	15442	2013-08-03 23:19:51.643874	2013-08-03 23:19:51.643874	\N	6817a2dd-c313-4af3-a5c1-700775e8f8bf
100497	19	12442	2013-08-03 21:21:22.430587	2013-08-03 21:21:22.430587	\N	6e64db77-79b5-49df-8194-101f8955beb1
96965	10	12172	2013-08-03 21:10:53.062016	2013-08-03 21:10:53.062016	\N	388eb044-0a15-476f-ad58-685f0daa9a46
96966	10	12193	2013-08-03 21:10:53.171628	2013-08-03 21:10:53.171628	\N	8f573abb-54b9-40e4-94f0-9e513054ed47
96967	10	12151	2013-08-03 21:10:53.280977	2013-08-03 21:10:53.280977	\N	56bb0673-96a0-498a-8a73-56a4c2e80705
96968	10	12196	2013-08-03 21:10:53.385674	2013-08-03 21:10:53.385674	\N	a79f26ba-7e30-40d0-a711-38593e57a331
96969	10	12181	2013-08-03 21:10:53.49554	2013-08-03 21:10:53.49554	\N	435c2fea-5d05-46c3-bb30-cd20db23da64
125107	19	15415	2013-08-03 23:19:51.804188	2013-08-03 23:19:51.804188	\N	cb3fa183-4d8b-449f-b3fb-9f5d2c745a46
120409	4	14335	2013-08-03 22:37:38.596539	2013-08-03 22:37:38.596539	\N	685335ff-1459-48c6-8254-6988579293e4
96983	7	12183	2013-08-03 21:10:54.293405	2013-08-03 21:10:54.293405	\N	beb0dc76-9d8d-412e-9240-0cc0f83840fb
109878	5	13309	2013-08-03 21:55:48.44901	2013-08-03 21:55:48.44901	\N	7d38d541-98cc-427e-b61f-8636ec4290e6
125108	11	15427	2013-08-03 23:19:52.392773	2013-08-03 23:19:52.392773	\N	8ee35c9d-43a7-4691-a0e9-74398186b0c6
122933	11	15037	2013-08-03 23:04:34.541559	2013-08-03 23:04:34.541559	\N	d93e4a07-9fbd-4874-84b6-71c0d4381e3f
143608	13	19321	2013-08-04 01:56:02.717971	2013-08-04 01:56:02.717971	\N	9cccb085-143a-4b24-bc93-3dc49c865918
125112	11	15415	2013-08-03 23:19:52.893193	2013-08-03 23:19:52.893193	\N	c279ae08-03ea-4868-98b4-4af0319bc1a9
132590	6	17065	2013-08-04 00:26:55.151766	2013-08-04 00:26:55.151766	\N	11b446bb-da31-4012-96a0-ba3cd1ebf17b
179935	9	23571	2013-08-04 18:37:56.29777	2013-08-04 18:37:56.29777	\N	1eff4545-d536-4e18-8b93-fdb417c0f889
122970	13	15037	2013-08-03 23:04:41.524111	2013-08-03 23:04:41.524111	\N	0163740b-84f3-41c7-8af7-ced9166efe43
118366	14	14083	2013-08-03 22:25:35.149598	2013-08-03 22:25:35.149598	\N	23f4d5f4-cc8b-4664-8637-1c0fe5e0afde
107998	8	13198	2013-08-03 21:49:36.010433	2013-08-03 21:49:36.010433	\N	5df127f3-a47c-4bb6-9734-6d41fa2d0818
122971	9	15089	2013-08-03 23:04:41.942986	2013-08-03 23:04:41.942986	\N	f8739ba0-371a-4499-abdb-363f13b80e67
118368	14	14065	2013-08-03 22:25:35.221462	2013-08-03 22:25:35.221462	\N	84899c0c-5d55-4d08-8a31-d13d09cb4d7f
109902	19	13294	2013-08-03 21:55:53.194706	2013-08-03 21:55:53.194706	\N	f3a238eb-9153-4e7c-85e8-0b71a57170e3
118371	17	14041	2013-08-03 22:25:35.571396	2013-08-03 22:25:35.571396	\N	5ca54b1a-e13e-46f8-b46e-bbbcd0d49822
118374	14	14086	2013-08-03 22:25:35.917848	2013-08-03 22:25:35.917848	\N	b6bc55c2-9d43-42eb-84bd-12b1b25a1e4a
206995	2	26466	2013-08-04 20:42:29.120567	2013-08-04 20:42:29.120567	\N	0584a2ca-152f-40a3-88b6-1990780183c3
125134	15	15467	2013-08-03 23:19:57.913384	2013-08-03 23:19:57.913384	\N	00147013-9313-42c6-bfac-10a2d4755bd6
98722	5	12292	2013-08-03 21:16:34.353845	2013-08-03 21:16:34.353845	\N	1ad02072-d1e9-4f1c-a0da-e8ad14d35a26
132239	10	16978	2013-08-04 00:22:53.80355	2013-08-04 00:22:53.80355	\N	f4f4a6a4-ae20-47af-846e-604ee72b11b9
122985	9	15037	2013-08-03 23:04:45.44055	2013-08-03 23:04:45.44055	\N	eb706222-e15d-42a3-b2b8-ece5ef81b64d
100592	19	12412	2013-08-03 21:21:32.956987	2013-08-03 21:21:32.956987	\N	d165d763-e651-42dc-aa16-cf816d2bb9c4
162547	14	21529	2013-08-04 17:20:37.618484	2013-08-04 17:20:37.618484	\N	34f0e68d-e72e-4bd4-807f-c73ffb9d667e
132600	1	17105	2013-08-04 00:26:58.785067	2013-08-04 00:26:58.785067	\N	834a6577-1c6e-457a-b42a-a3e65a2773a6
162548	14	21536	2013-08-04 17:20:37.676177	2013-08-04 17:20:37.676177	\N	1e253478-85fc-444e-801c-9b0e708f0668
98732	5	12301	2013-08-03 21:16:35.61348	2013-08-03 21:16:35.61348	\N	b8e96ec8-c261-405b-97b5-530f064d4732
100604	19	12427	2013-08-03 21:21:35.263097	2013-08-03 21:21:35.263097	\N	c5423e9f-5389-4737-b84f-7e63d77dd592
122993	16	15079	2013-08-03 23:04:49.135176	2013-08-03 23:04:49.135176	\N	f2e1149b-2184-4c8f-9726-1fa4474155fa
122999	16	15037	2013-08-03 23:04:49.472964	2013-08-03 23:04:49.472964	\N	9f749838-69a5-4af7-98f4-3fe864e7ee7b
125197	19	15466	2013-08-03 23:20:14.928938	2013-08-03 23:20:14.928938	\N	83f0ebd1-2cfc-42fc-a51f-e63d430caa90
106222	8	12925	2013-08-03 21:39:36.266133	2013-08-03 21:39:36.266133	\N	3e02cc52-949f-4db5-a68a-9fc0fa6a275b
108059	10	13189	2013-08-03 21:49:44.796298	2013-08-03 21:49:44.796298	\N	64090782-7957-4b76-ac9b-cb39a7cf6266
106238	14	12907	2013-08-03 21:39:39.845026	2013-08-03 21:39:39.845026	\N	c9b3a454-688c-463e-90a5-5b6255ac008e
98781	6	12292	2013-08-03 21:16:39.079844	2013-08-03 21:16:39.079844	\N	74ab7d3c-7060-4c1e-9516-e6b8ea4f8950
108060	4	13189	2013-08-03 21:49:44.915345	2013-08-03 21:49:44.915345	\N	ca4fe05b-b162-4c72-83c5-0394d7ca7f97
106258	17	12952	2013-08-03 21:39:42.253559	2013-08-03 21:39:42.253559	\N	92c2b95f-f85b-4902-95a3-d49b878823c2
108061	4	13159	2013-08-03 21:49:44.950895	2013-08-03 21:49:44.950895	\N	d1b61752-faa6-4acb-b6bd-b5d76e8bbe3c
108062	4	13198	2013-08-03 21:49:45.006462	2013-08-03 21:49:45.006462	\N	414dc23c-9484-4828-a67c-371fbb2dd388
162550	14	21537	2013-08-04 17:20:37.727156	2013-08-04 17:20:37.727156	\N	440707b2-8039-40b5-9fe8-0323f8f40f9c
102379	17	12553	2013-08-03 21:26:35.472591	2013-08-03 21:26:35.472591	\N	a69ff9d6-568e-4e2f-94f9-075b3537ed2c
125200	19	15451	2013-08-03 23:20:16.938568	2013-08-03 23:20:16.938568	\N	844a55d4-33c4-4d04-be83-442996c50d17
108117	11	13168	2013-08-03 21:49:48.551046	2013-08-03 21:49:48.551046	\N	b02f8dbc-104f-4231-82f1-d9b23a8fe8fa
107739	6	13063	2013-08-03 21:47:56.567177	2013-08-03 21:47:56.567177	\N	54304fee-a7e1-482b-abbb-7df45704bb59
118204	1	14080	2013-08-03 22:24:58.11775	2013-08-03 22:24:58.11775	\N	206321d4-e111-443a-8f99-83e36e4a9183
135173	19	17734	2013-08-04 00:51:59.753237	2013-08-04 00:51:59.753237	\N	bafea906-30a6-4b70-804f-8760e207cbb2
149250	10	19876	2013-08-04 02:17:36.797415	2013-08-04 02:17:36.797415	\N	cab110ec-3cb3-4ce9-a571-ddd814d8f621
132128	1	16979	2013-08-04 00:21:59.059895	2013-08-04 00:21:59.059895	\N	34610a4b-5f21-46de-8c5b-629b09f94890
198504	7	25294	2013-08-04 19:57:31.911173	2013-08-04 19:57:31.911173	\N	102f332f-53d4-4d6c-87ad-f487cb114b53
125077	8	15427	2013-08-03 23:19:42.797451	2013-08-03 23:19:42.797451	\N	c943c96a-8a7c-4ac4-ae34-515f86ceb187
132606	5	17104	2013-08-04 00:27:02.429372	2013-08-04 00:27:02.429372	\N	e3b43483-9af2-4a71-a175-0d86c6809f2e
125089	13	15427	2013-08-03 23:19:47.651178	2013-08-03 23:19:47.651178	\N	92195544-6aaa-419f-aea3-7179f6b0f350
125090	13	15415	2013-08-03 23:19:47.933465	2013-08-03 23:19:47.933465	\N	79b7b5aa-c3b3-4a4a-8300-f6b628c41407
96794	6	12193	2013-08-03 21:10:17.899949	2013-08-03 21:10:17.899949	\N	5d7bd451-c9bb-413e-adcd-1c90def68ba0
125095	19	15427	2013-08-03 23:19:51.047486	2013-08-03 23:19:51.047486	\N	ffce54f3-be29-4fd0-9349-580fbdf7e2a7
125109	13	15466	2013-08-03 23:19:52.423745	2013-08-03 23:19:52.423745	\N	a8595d2f-7498-43ce-8e70-0e51810006ec
102094	13	12517	2013-08-03 21:25:43.774224	2013-08-03 21:25:43.774224	\N	55d5caa9-38a1-4a84-9bde-f3c6c1607ef2
102096	5	12547	2013-08-03 21:25:44.230123	2013-08-03 21:25:44.230123	\N	afcadb76-49ad-4876-b11d-1a580f2ca023
102097	5	12538	2013-08-03 21:25:44.609881	2013-08-03 21:25:44.609881	\N	2718e233-9f1d-4661-980a-2bf72086d0a8
109848	9	13324	2013-08-03 21:55:45.943776	2013-08-03 21:55:45.943776	\N	7b4e3d70-49e7-4e92-8d26-1103663eb630
105909	5	12799	2013-08-03 21:37:54.654441	2013-08-03 21:37:54.654441	\N	75fc7243-f1c8-4486-a848-f354bf5ff54d
198506	8	25364	2013-08-04 19:57:32.010534	2013-08-04 19:57:32.010534	\N	ab290ab9-f6bc-42c8-8caf-4ae78cf51672
102115	5	12553	2013-08-03 21:25:46.379841	2013-08-03 21:25:46.379841	\N	a6f8055c-ac88-4336-bdea-5ed801a936ea
96843	8	12191	2013-08-03 21:10:26.529796	2013-08-03 21:10:26.529796	\N	99ce5053-7211-4850-9e3f-0e0a2a3b6888
109862	19	13315	2013-08-03 21:55:47.397048	2013-08-03 21:55:47.397048	\N	42c2abf7-7b84-47e0-91ff-6f452132e0a0
96854	5	12196	2013-08-03 21:10:29.400554	2013-08-03 21:10:29.400554	\N	28b3d709-44df-4fd9-b169-646f27914e23
100402	19	12433	2013-08-03 21:21:06.860269	2013-08-03 21:21:06.860269	\N	5fd25252-f06e-4a91-ad7a-20670b3ee101
100403	19	12403	2013-08-03 21:21:07.62623	2013-08-03 21:21:07.62623	\N	85e7e8ff-0664-438e-93f7-edd4e7292909
100406	19	12391	2013-08-03 21:21:08.294859	2013-08-03 21:21:08.294859	\N	9b82983e-aa99-4045-aba2-d66ca50f7a7f
102117	13	12544	2013-08-03 21:25:47.1237	2013-08-03 21:25:47.1237	\N	6b6735fa-585e-4751-b4b8-3bbfcf646bfd
132143	16	16939	2013-08-04 00:22:11.204238	2013-08-04 00:22:11.204238	\N	96ff435e-b6c3-460a-9d28-a051508bec36
127470	16	15844	2013-08-03 23:35:31.995175	2013-08-03 23:35:31.995175	\N	63a15223-2f39-42cd-94b1-ad89fbde7075
100411	12	12391	2013-08-03 21:21:09.139049	2013-08-03 21:21:09.139049	\N	c42e8639-b6d5-43eb-a6b1-b295a3ff31d8
96897	12	12151	2013-08-03 21:10:38.902407	2013-08-03 21:10:38.902407	\N	bd1d37cb-54e2-4cf7-9d3e-b82cb75933c4
120309	13	14332	2013-08-03 22:37:10.045664	2013-08-03 22:37:10.045664	\N	e61188f5-b199-46e5-b43a-6c4b5412010a
102131	13	12574	2013-08-03 21:25:49.465629	2013-08-03 21:25:49.465629	\N	4041e7d9-7eb4-4792-b86f-f61a81c2f967
96907	4	12191	2013-08-03 21:10:40.844388	2013-08-03 21:10:40.844388	\N	8ed402e1-be4d-442f-acd1-46b6b5314c09
109866	19	13282	2013-08-03 21:55:47.736452	2013-08-03 21:55:47.736452	\N	b2bdf5a2-a5d0-4bd3-aa62-73142285dd99
132144	16	16927	2013-08-04 00:22:11.472198	2013-08-04 00:22:11.472198	\N	e5805655-ee9c-4587-b2d6-e3b34b66473d
96930	7	12189	2013-08-03 21:10:46.021704	2013-08-03 21:10:46.021704	\N	3b68fd15-4cd6-4ec0-98b4-369fbce7c120
120317	2	14289	2013-08-03 22:37:14.388901	2013-08-03 22:37:14.388901	\N	6fe081d5-4702-4640-a328-db9709fc6ad7
96932	2	12190	2013-08-03 21:10:47.433527	2013-08-03 21:10:47.433527	\N	85364c01-ecc2-4719-9a12-8b3444f6cc6a
125123	11	15451	2013-08-03 23:19:55.605539	2013-08-03 23:19:55.605539	\N	1a905540-4056-4a03-85ff-6bc0ef532aef
135194	9	17695	2013-08-04 00:52:12.333851	2013-08-04 00:52:12.333851	\N	b9d7a4fc-dc50-4bff-8c62-c96b1c3cb364
198508	7	25363	2013-08-04 19:57:32.106952	2013-08-04 19:57:32.106952	\N	12c80b49-0c76-4ec1-86d4-0bef8fed9bac
206997	2	26391	2013-08-04 20:42:31.454601	2013-08-04 20:42:31.454601	\N	7f1b627b-0d45-482e-9ad2-a94bbb570d54
100464	3	12391	2013-08-03 21:21:17.414117	2013-08-03 21:21:17.414117	\N	3ab72a1f-9315-4c01-b8a5-fdc4b4a9592c
100465	3	12433	2013-08-03 21:21:17.524054	2013-08-03 21:21:17.524054	\N	37089645-fd88-4ba0-836a-eb538407f190
112144	10	13399	2013-08-03 22:01:28.907303	2013-08-03 22:01:28.907303	\N	e9a61412-f921-48a2-8fbc-3c1072e6b1f5
112145	10	13456	2013-08-03 22:01:29.040588	2013-08-03 22:01:29.040588	\N	a80ab8d6-4e42-47c6-b85b-06eaa2983aad
112147	10	13453	2013-08-03 22:01:29.137568	2013-08-03 22:01:29.137568	\N	95a6385b-afb1-4728-a8d3-e4fc0d3ebcd6
112149	10	13420	2013-08-03 22:01:29.255535	2013-08-03 22:01:29.255535	\N	f3ca655d-9f36-4477-922b-48bdb75d44eb
114049	19	13537	2013-08-03 22:07:06.224002	2013-08-03 22:07:06.224002	\N	ad9b1c39-928b-4a38-a93f-d75613745850
100471	2	12418	2013-08-03 21:21:18.113785	2013-08-03 21:21:18.113785	\N	55a27d6c-1297-4e2c-9957-629e39df449f
100472	10	12442	2013-08-03 21:21:18.913207	2013-08-03 21:21:18.913207	\N	ac6c4db7-c725-4936-b0a7-359e47d1fa08
98612	1	12316	2013-08-03 21:16:13.34571	2013-08-03 21:16:13.34571	\N	854b5f75-c268-404e-9a96-e1ab2ea0a395
125138	15	15427	2013-08-03 23:19:59.640623	2013-08-03 23:19:59.640623	\N	3ecf3465-93e3-4659-a780-32134038aea7
98618	1	12319	2013-08-03 21:16:13.430197	2013-08-03 21:16:13.430197	\N	8301aa72-1643-4493-9d82-e2351ecc6069
140817	7	18829	2013-08-04 01:35:56.685475	2013-08-04 01:35:56.685475	\N	ac4e564f-ea29-4a67-a883-240c1f1bf675
198515	7	25315	2013-08-04 19:57:32.424124	2013-08-04 19:57:32.424124	\N	6c72c2bb-01d3-4ac3-9196-dfcb1a30060c
102221	19	12568	2013-08-03 21:26:09.768328	2013-08-03 21:26:09.768328	\N	1548a0d7-9dab-4a3b-884a-a89905499d49
120340	4	14317	2013-08-03 22:37:24.145874	2013-08-03 22:37:24.145874	\N	f037bcb2-476d-4825-a96e-ee8584917ba8
140820	2	18942	2013-08-04 01:35:59.891608	2013-08-04 01:35:59.891608	\N	5d75cec4-30fd-48bb-bb08-0d54339c6b6c
116140	12	13789	2013-08-03 22:16:23.493212	2013-08-03 22:16:23.493212	\N	589365f4-4486-4d8e-b71e-bde3479508bf
140821	15	18869	2013-08-04 01:36:00.223684	2013-08-04 01:36:00.223684	\N	1ef800c7-4959-491a-8351-d153a34f1c4a
125174	16	15451	2013-08-03 23:20:10.844427	2013-08-03 23:20:10.844427	\N	10a3a2db-9b0d-4230-9333-3db85abf85ab
125177	16	15466	2013-08-03 23:20:10.968021	2013-08-03 23:20:10.968021	\N	8a54140f-f774-4809-8129-b5dd08e00e46
140822	6	18829	2013-08-04 01:36:02.3383	2013-08-04 01:36:02.3383	\N	32d9f5f8-c8e3-43e8-8c14-0599776886a9
132173	10	16927	2013-08-04 00:22:23.455641	2013-08-04 00:22:23.455641	\N	d22d1bc0-8e2d-49c7-ba7a-4a503eee358e
98660	19	12307	2013-08-03 21:16:20.9516	2013-08-03 21:16:20.9516	\N	b50b9c3b-5229-4092-938d-72d27f5c2617
198518	7	25316	2013-08-04 19:57:32.518718	2013-08-04 19:57:32.518718	\N	c8c7740c-2ba7-47a2-b5b0-2e5ea6af42e5
198523	9	25367	2013-08-04 19:57:34.877367	2013-08-04 19:57:34.877367	\N	123241be-6163-4098-97d6-033643efbaee
127535	17	15829	2013-08-03 23:35:52.051224	2013-08-03 23:35:52.051224	\N	5594def3-70cf-4514-9e44-ba3a51455737
132695	19	17105	2013-08-04 00:27:46.614762	2013-08-04 00:27:46.614762	\N	2328fc8c-2bfe-42f0-acf1-58bb1810e685
118364	14	14029	2013-08-03 22:25:35.020313	2013-08-03 22:25:35.020313	\N	24d9f284-df26-4e07-b6e9-0d109b84013f
132181	1	16935	2013-08-04 00:22:28.307845	2013-08-04 00:22:28.307845	\N	f870e6cf-746c-4310-96de-6a337ba9f9e1
102287	19	12538	2013-08-03 21:26:21.238428	2013-08-03 21:26:21.238428	\N	c0484d8a-3216-4200-bf9c-4d6a245992c9
122899	20	15088	2013-08-03 23:04:26.3594	2013-08-03 23:04:26.3594	\N	9ae147ec-4a5b-4d66-9f82-22a794f5cd9f
102291	10	12517	2013-08-03 21:26:21.721793	2013-08-03 21:26:21.721793	\N	5f8fba8a-58ff-4584-9c03-5f55a0875768
114146	14	13534	2013-08-03 22:07:32.261018	2013-08-03 22:07:32.261018	\N	7d97b259-ac83-487f-8546-82275f642fe8
98704	3	12307	2013-08-03 21:16:30.360271	2013-08-03 21:16:30.360271	\N	0a61901c-e348-4816-9f9b-cfdbe7590e69
187062	6	24136	2013-08-04 19:02:44.593959	2013-08-04 19:02:44.593959	\N	8f2993b3-ff1f-4cb0-8daf-13c9be613dc2
165855	10	22009	2013-08-04 17:40:28.56562	2013-08-04 17:40:28.56562	\N	c8de2ced-8fa7-47d9-be50-ea5293eaafab
110118	14	13330	2013-08-03 21:56:26.460239	2013-08-03 21:56:26.460239	\N	90fe4ec2-6cdc-43ce-9436-7899500fe825
187077	8	24222	2013-08-04 19:02:45.846615	2013-08-04 19:02:45.846615	\N	e4b337fa-767c-49ce-8001-4257c92bd52d
100600	19	12418	2013-08-03 21:21:34.398177	2013-08-03 21:21:34.398177	\N	19ac6b98-4dd7-494c-867e-c4130047a817
132200	14	16978	2013-08-04 00:22:35.65573	2013-08-04 00:22:35.65573	\N	ee83b7f7-b1e9-4c6c-a9ff-5d14fca53098
187078	8	24212	2013-08-04 19:02:46.124261	2013-08-04 19:02:46.124261	\N	7910b8ab-2a78-49ed-b7a3-cd71b69111c0
107995	8	13156	2013-08-03 21:49:35.998164	2013-08-03 21:49:35.998164	\N	e48dff64-3b0c-42ad-810b-0eba6d81a93b
202821	2	25697	2013-08-04 20:14:14.230425	2013-08-04 20:14:14.230425	\N	9d54ab12-2912-4ef6-910f-5576e43c8b9f
102332	19	12547	2013-08-03 21:26:25.679363	2013-08-03 21:26:25.679363	\N	4a73095a-1be9-4022-90c6-bcca05b4780d
172975	2	22970	2013-08-04 18:13:32.034214	2013-08-04 18:13:32.034214	\N	db74eb09-9ece-412a-bff6-42a440fa56c7
108041	13	13159	2013-08-03 21:49:43.157053	2013-08-03 21:49:43.157053	\N	692b248e-333e-4ce4-978b-a11bf6b0f485
98758	5	12286	2013-08-03 21:16:37.04918	2013-08-03 21:16:37.04918	\N	7212c466-d709-4869-878b-58cff8a68a9e
143659	11	19321	2013-08-04 01:56:06.499378	2013-08-04 01:56:06.499378	\N	b8784849-a173-4c1e-a28f-7a21fbb7f266
135296	14	17695	2013-08-04 00:53:07.726374	2013-08-04 00:53:07.726374	\N	36f7780b-51de-41f0-b384-48b446f24635
207000	7	26447	2013-08-04 20:42:32.750208	2013-08-04 20:42:32.750208	\N	7706fc6b-cfac-4826-babd-49f517ead34b
140927	6	18868	2013-08-04 01:36:49.103022	2013-08-04 01:36:49.103022	\N	f6a93414-f588-41c3-8c7f-919ea4ec1b4f
102361	17	12547	2013-08-03 21:26:31.372439	2013-08-03 21:26:31.372439	\N	8c2d9995-e318-4552-bc6d-c13db6b105f6
122947	11	15073	2013-08-03 23:04:37.070158	2013-08-03 23:04:37.070158	\N	1ae29dbf-c613-43a3-be99-da455f2e2e96
135315	16	17695	2013-08-04 00:53:14.914264	2013-08-04 00:53:14.914264	\N	52020221-632c-4978-8e98-a6b01c0ad483
108089	11	13159	2013-08-03 21:49:47.063442	2013-08-03 21:49:47.063442	\N	3fa75e5c-3f59-431f-a155-ce3a7c2db4ae
179824	20	23278	2013-08-04 18:37:26.496205	2013-08-04 18:37:26.496205	\N	8b652c17-0f99-4db9-a4b4-ab5c4f388f81
179825	20	23404	2013-08-04 18:37:26.550968	2013-08-04 18:37:26.550968	\N	fef3fd04-dbc6-41fc-ae1b-4f7d930bc86f
179826	20	23365	2013-08-04 18:37:26.589903	2013-08-04 18:37:26.589903	\N	e68cf050-f186-49a3-a546-8ac9acc95be2
98832	19	12295	2013-08-03 21:16:46.547454	2013-08-03 21:16:46.547454	\N	e2eb98d4-9b72-4808-8e56-0e88b6678d0e
108099	16	13201	2013-08-03 21:49:47.555386	2013-08-03 21:49:47.555386	\N	e40e68a9-e6e7-4a49-bd0b-477e59f145b0
102092	5	12559	2013-08-03 21:25:43.425113	2013-08-03 21:25:43.425113	\N	40a8e14c-6ee9-4f2a-b46c-d2ae6d1d0298
100331	17	12448	2013-08-03 21:20:56.3183	2013-08-03 21:20:56.3183	\N	dc268ba4-6aa6-40e1-83f8-e84f9cfcee05
125084	1	15423	2013-08-03 23:19:46.281848	2013-08-03 23:19:46.281848	\N	d83842c9-8e91-4aa1-bd6b-0c15620c721c
125091	19	15467	2013-08-03 23:19:49.298924	2013-08-03 23:19:49.298924	\N	c2b6d9ff-3e2a-4a18-aa80-3fcf8a7870eb
96915	12	12193	2013-08-03 21:10:42.555248	2013-08-03 21:10:42.555248	\N	217a5a59-0681-4366-b4ce-154bb5cb1e42
96916	12	12196	2013-08-03 21:10:42.861971	2013-08-03 21:10:42.861971	\N	1fd51f36-d497-4ee1-a662-7a5d11f73af9
102110	5	12517	2013-08-03 21:25:45.561002	2013-08-03 21:25:45.561002	\N	a5f0836f-93d0-4580-9283-0d7c85c57412
109833	17	13330	2013-08-03 21:55:39.336213	2013-08-03 21:55:39.336213	\N	e3e8eb8b-e3be-4bc4-9081-3340fcfc71b4
118268	5	14071	2013-08-03 22:25:16.419723	2013-08-03 22:25:16.419723	\N	9783bfe3-7965-45a8-b37a-991d2d8ef841
109835	19	13324	2013-08-03 21:55:43.449286	2013-08-03 21:55:43.449286	\N	65200f8d-07fe-4e3f-8f02-b8d23464db61
98542	17	12295	2013-08-03 21:16:00.588136	2013-08-03 21:16:00.588136	\N	d56a5b8c-408f-4f03-ae0a-4ffd6cb56a0d
100367	19	12443	2013-08-03 21:21:01.782635	2013-08-03 21:21:01.782635	\N	e262a378-6b0b-49db-9748-e5dc96ced34e
118276	13	14080	2013-08-03 22:25:17.048316	2013-08-03 22:25:17.048316	\N	b86755fd-131a-44f1-bc5d-eeaa1330436b
125093	13	15442	2013-08-03 23:19:50.395152	2013-08-03 23:19:50.395152	\N	598849db-10fa-4439-8fd8-b5cda78b4400
109850	5	13273	2013-08-03 21:55:45.996078	2013-08-03 21:55:45.996078	\N	333f5b6f-8b47-4efa-abfd-a72fc7eda386
96970	10	12190	2013-08-03 21:10:53.605097	2013-08-03 21:10:53.605097	\N	59e1ca30-7cdc-4a1a-aaee-da1f7c079a92
96971	10	12191	2013-08-03 21:10:53.698145	2013-08-03 21:10:53.698145	\N	c95fd045-06e2-4276-b92e-a8dfb140701f
129892	4	16349	2013-08-03 23:57:05.878228	2013-08-03 23:57:05.878228	\N	53699d0f-ab60-4d64-a2fd-772467cdf731
135184	1	17735	2013-08-04 00:52:06.834155	2013-08-04 00:52:06.834155	\N	ad9da25d-4f1a-4663-b92a-01a45f82eede
194552	2	24678	2013-08-04 19:34:15.33619	2013-08-04 19:34:15.33619	\N	65d2e5a9-f1b1-46c1-98cc-ab6c64214c7d
98661	19	12277	2013-08-03 21:16:21.689669	2013-08-03 21:16:21.689669	\N	8b3a2351-6469-4320-b60a-fb05a4222187
116154	2	13831	2013-08-03 22:16:27.299119	2013-08-03 22:16:27.299119	\N	e3d11028-3330-4b43-a5ac-7d5c1d60edfa
143585	8	19321	2013-08-04 01:56:00.923685	2013-08-04 01:56:00.923685	\N	d6e6d4fb-bed1-45e9-aba7-2b2324fd89e3
100405	12	12433	2013-08-03 21:21:08.283117	2013-08-03 21:21:08.283117	\N	0fceac42-bbb3-4966-93ff-14ee98274b4a
100407	12	12403	2013-08-03 21:21:08.827077	2013-08-03 21:21:08.827077	\N	dfdb8125-7b9d-4e81-8caf-580c40f0b614
125137	15	15415	2013-08-03 23:19:59.600073	2013-08-03 23:19:59.600073	\N	1d740430-9813-4013-b414-8ec0de01548c
127466	16	15805	2013-08-03 23:35:31.484473	2013-08-03 23:35:31.484473	\N	a3124b17-66c0-460d-a033-dd24f406118b
127467	16	15793	2013-08-03 23:35:31.597586	2013-08-03 23:35:31.597586	\N	5698c5a0-93d7-4bc1-842d-ee78f59af088
98728	5	12307	2013-08-03 21:16:34.808162	2013-08-03 21:16:34.808162	\N	21b10c23-868a-407e-9941-f1575d3b812b
98731	5	12316	2013-08-03 21:16:35.208065	2013-08-03 21:16:35.208065	\N	845e8c1b-8420-443e-8d86-bcd47dfc8784
127468	16	15820	2013-08-03 23:35:31.741088	2013-08-03 23:35:31.741088	\N	50c39425-70ac-4933-ac6b-1587dc517841
140788	11	18743	2013-08-04 01:35:43.609368	2013-08-04 01:35:43.609368	\N	c1e971a2-28e7-4636-a010-72ed1cd5d074
149277	3	19855	2013-08-04 02:17:45.008693	2013-08-04 02:17:45.008693	\N	ac28da10-6d0d-4d0b-9ebe-07c67375209a
140799	8	18817	2013-08-04 01:35:51.393714	2013-08-04 01:35:51.393714	\N	dff25dc3-2cb7-4d9f-b9ff-f72fd88722ff
140801	17	18869	2013-08-04 01:35:52.449568	2013-08-04 01:35:52.449568	\N	df11d867-75ee-42e9-8f7d-d85e81040c3e
149278	3	19825	2013-08-04 02:17:45.105676	2013-08-04 02:17:45.105676	\N	ee1f48a5-cd2e-4002-9db2-7132575bd601
149279	3	19876	2013-08-04 02:17:45.144404	2013-08-04 02:17:45.144404	\N	79edde94-098f-4990-8577-ebe5a408cf5b
118370	17	14071	2013-08-03 22:25:35.33794	2013-08-03 22:25:35.33794	\N	578711c1-eb32-4c12-a222-00e0001033e2
125169	16	15427	2013-08-03 23:20:10.57098	2013-08-03 23:20:10.57098	\N	563db1d7-e83c-492e-a0b7-1ba2e022a1f3
109915	19	13309	2013-08-03 21:55:56.879992	2013-08-03 21:55:56.879992	\N	a6940564-5622-4b4b-ba15-334c838e2761
98763	5	12295	2013-08-03 21:16:37.473427	2013-08-03 21:16:37.473427	\N	863bd129-e14c-41ff-9943-72d7456e6462
125171	16	15415	2013-08-03 23:20:10.715854	2013-08-03 23:20:10.715854	\N	718ddd12-c508-47f1-b0b6-931062947553
149280	3	19837	2013-08-04 02:17:45.181032	2013-08-04 02:17:45.181032	\N	5434014f-19fc-41a3-837d-3f87bc8ee8c5
107994	8	13168	2013-08-03 21:49:35.998146	2013-08-03 21:49:35.998146	\N	1c9886e1-aa6f-4d0a-8399-84fb67d6ff61
107999	8	13201	2013-08-03 21:49:36.166169	2013-08-03 21:49:36.166169	\N	5d36acd1-c90f-48b6-9cfa-ecc22d8f0d51
109929	16	13315	2013-08-03 21:56:00.944931	2013-08-03 21:56:00.944931	\N	d5c22b44-f9e5-4bbc-9e8c-1fea8c5ce7df
108006	7	13199	2013-08-03 21:49:41.162215	2013-08-03 21:49:41.162215	\N	69f6f505-17a0-47ec-a745-c0a3d6f0fc6d
108007	7	13183	2013-08-03 21:49:41.228168	2013-08-03 21:49:41.228168	\N	2ac03f8c-4223-429a-960e-e226a13abc2c
108008	7	13204	2013-08-03 21:49:41.28167	2013-08-03 21:49:41.28167	\N	9b377965-ab63-431a-a42d-d9ab8a4378c7
108009	7	13201	2013-08-03 21:49:41.340324	2013-08-03 21:49:41.340324	\N	0481db91-ffbc-40b7-b876-787557aedf1a
108010	7	13198	2013-08-03 21:49:41.39663	2013-08-03 21:49:41.39663	\N	f834fe61-1de6-4ec1-83a3-2758f6e67a88
108011	7	13168	2013-08-03 21:49:41.461361	2013-08-03 21:49:41.461361	\N	1dc8986a-642d-456b-84e2-747e003f148e
109930	16	13282	2013-08-03 21:56:01.088968	2013-08-03 21:56:01.088968	\N	24fa5033-0e02-4e03-ad48-b22b70ac67c6
109931	16	13285	2013-08-03 21:56:01.23646	2013-08-03 21:56:01.23646	\N	1030d1ae-8f98-4605-a0d2-599f02070713
109932	16	13273	2013-08-03 21:56:01.358066	2013-08-03 21:56:01.358066	\N	69be3b59-f671-4a9f-8aed-7cb5d7084047
98812	1	12307	2013-08-03 21:16:43.40385	2013-08-03 21:16:43.40385	\N	4e6f4828-ac59-4101-90b7-3431049d40a3
98813	1	12277	2013-08-03 21:16:43.555165	2013-08-03 21:16:43.555165	\N	1d4de9b9-34b1-471c-a41e-f5e0dbf19514
125190	17	15427	2013-08-03 23:20:13.292278	2013-08-03 23:20:13.292278	\N	69f8d3c2-0e06-49e1-9673-812bc123e844
125194	17	15415	2013-08-03 23:20:13.545563	2013-08-03 23:20:13.545563	\N	4b97e59f-9405-439d-948a-7486229da626
100601	19	12421	2013-08-03 21:21:34.772406	2013-08-03 21:21:34.772406	\N	62429728-323f-4571-99ec-4ae3828d42f8
187092	7	24198	2013-08-04 19:02:50.428313	2013-08-04 19:02:50.428313	\N	ff71f22b-4731-4384-915e-14e7353eae01
98851	19	12322	2013-08-03 21:16:48.098019	2013-08-03 21:16:48.098019	\N	b1966b32-cd93-4868-8b62-fdc044026912
187093	6	24121	2013-08-04 19:02:50.854572	2013-08-04 19:02:50.854572	\N	4e9eb6c5-ed18-48a5-9652-9c0358878798
118407	1	14081	2013-08-03 22:25:43.236237	2013-08-03 22:25:43.236237	\N	fba71273-5520-4aa1-95cb-13e7414c5d25
125212	17	15442	2013-08-03 23:20:22.76456	2013-08-03 23:20:22.76456	\N	b6496bb5-31f5-4e83-b8e3-3d081888ed4b
100615	19	12448	2013-08-03 21:21:36.638374	2013-08-03 21:21:36.638374	\N	ef04fb6e-ddd7-441d-a673-82c86a08c036
98865	6	12317	2013-08-03 21:16:52.199359	2013-08-03 21:16:52.199359	\N	14b753a8-9f74-463b-89ed-f5ffcd896aaf
127498	3	15844	2013-08-03 23:35:40.484708	2013-08-03 23:35:40.484708	\N	e701476f-6f20-4840-83e6-4eab4e8ea7e3
127499	3	15793	2013-08-03 23:35:40.533516	2013-08-03 23:35:40.533516	\N	73ada734-1702-45dc-82d1-f0ba8c356758
127500	3	15820	2013-08-03 23:35:40.596829	2013-08-03 23:35:40.596829	\N	e2732965-50f5-4d87-8623-1f585e0d1f40
108035	15	13199	2013-08-03 21:49:42.82263	2013-08-03 21:49:42.82263	\N	5e7575df-55b8-4185-bbd0-178ed60c2ab6
125220	6	15427	2013-08-03 23:20:25.692944	2013-08-03 23:20:25.692944	\N	fe7fa526-b93f-487d-a00c-9cf195c2099d
108068	11	13189	2013-08-03 21:49:46.041731	2013-08-03 21:49:46.041731	\N	ccbfb60c-e651-440c-8df4-76f84c9486ac
127501	3	15829	2013-08-03 23:35:40.662844	2013-08-03 23:35:40.662844	\N	a5b51b68-dd4f-44aa-a758-7b094cd09777
108072	13	13168	2013-08-03 21:49:46.255531	2013-08-03 21:49:46.255531	\N	054fcad6-1d22-4a5a-924d-3d18d7753fe4
118426	17	14038	2013-08-03 22:25:49.461047	2013-08-03 22:25:49.461047	\N	95e5f485-a6d5-43fe-a79a-a42d952f9f3b
102410	17	12571	2013-08-03 21:26:41.614606	2013-08-03 21:26:41.614606	\N	82900023-45da-4712-a3cf-9ccc47766f8c
127502	3	15805	2013-08-03 23:35:40.708289	2013-08-03 23:35:40.708289	\N	cb471ab3-81b4-4fef-b90d-01a71d3cd284
108119	13	13198	2013-08-03 21:49:49.422108	2013-08-03 21:49:49.422108	\N	ea4e20a6-979a-4ea4-a5df-b57f12273b8f
108121	13	13204	2013-08-03 21:49:50.017756	2013-08-03 21:49:50.017756	\N	96cd1e61-3f11-4401-bfea-f052d3c44d53
207004	2	26465	2013-08-04 20:42:33.777736	2013-08-04 20:42:33.777736	\N	d62e1cd9-bda3-49cb-8d65-d715c8029fce
169518	9	22560	2013-08-04 18:00:33.79118	2013-08-04 18:00:33.79118	\N	7eed363c-aac9-4459-af7c-260da5a13342
100649	16	12421	2013-08-03 21:21:39.41022	2013-08-03 21:21:39.41022	\N	d90e3e76-7e15-47f1-9ee4-76fe5d455854
100651	13	12421	2013-08-03 21:21:39.479143	2013-08-03 21:21:39.479143	\N	55692c57-d8c3-4c24-9303-fb4ddd93feb6
140833	2	18829	2013-08-04 01:36:09.992758	2013-08-04 01:36:09.992758	\N	4326d380-d615-4fc0-ac29-662b430ace48
100655	16	12442	2013-08-03 21:21:39.693423	2013-08-03 21:21:39.693423	\N	61024ebf-d7a6-4769-b23d-7dee940de28a
127543	6	15793	2013-08-03 23:35:56.722967	2013-08-03 23:35:56.722967	\N	8a345594-89e6-46f3-a09c-630a6c0543bf
108158	6	13189	2013-08-03 21:49:56.893615	2013-08-03 21:49:56.893615	\N	15620177-67e0-4cf5-8e82-5304d5f7096f
114222	19	13561	2013-08-03 22:07:46.992681	2013-08-03 22:07:46.992681	\N	c87edbe8-735e-4762-9537-e44c9ffcab56
120518	10	14293	2013-08-03 22:38:16.978882	2013-08-03 22:38:16.978882	\N	8778c211-18db-4568-a9d2-f2efdfdd64cf
108165	14	13168	2013-08-03 21:49:59.07569	2013-08-03 21:49:59.07569	\N	b80245c8-63cb-4fca-875d-b3d9ee2c13f2
122894	8	15037	2013-08-03 23:04:25.644137	2013-08-03 23:04:25.644137	\N	a6e501b4-de82-4cfe-9e8b-f7d09723dbb6
108172	14	13201	2013-08-03 21:49:59.352945	2013-08-03 21:49:59.352945	\N	c4009669-4448-4bf3-afbd-23b0c4f962da
120544	19	14293	2013-08-03 22:38:29.544211	2013-08-03 22:38:29.544211	\N	6b25ed6d-4443-4046-954c-12c5431d5fd8
118454	4	14071	2013-08-03 22:25:56.711217	2013-08-03 22:25:56.711217	\N	b1ff33b6-cb2e-4506-b16b-8b8cdc5a7dad
118455	4	14041	2013-08-03 22:25:56.752929	2013-08-03 22:25:56.752929	\N	b43366e1-09ac-4a39-b5a3-d1fca2b8f3ef
108206	5	13198	2013-08-03 21:50:05.088394	2013-08-03 21:50:05.088394	\N	e48ab85f-d8ad-4105-8c98-b338d9b30f5b
118456	4	14029	2013-08-03 22:25:56.780303	2013-08-03 22:25:56.780303	\N	dce26891-9586-4e42-91c7-6637bebd99fb
108210	5	13189	2013-08-03 21:50:06.238011	2013-08-03 21:50:06.238011	\N	802c0e1f-d56d-4b88-af0d-f1e92963d42e
118457	4	14080	2013-08-03 22:25:56.825471	2013-08-03 22:25:56.825471	\N	793835c3-8e08-46c6-afac-28aa04ae54a8
108212	5	13204	2013-08-03 21:50:06.62642	2013-08-03 21:50:06.62642	\N	6a35f655-070e-498b-bba3-14399c0a120d
122906	15	15089	2013-08-03 23:04:28.595226	2013-08-03 23:04:28.595226	\N	2c061b12-d364-4787-85e6-51cfbfc498a1
122908	15	15037	2013-08-03 23:04:28.650188	2013-08-03 23:04:28.650188	\N	bec0f43d-060f-4054-97d5-30ed16713703
198510	15	25294	2013-08-04 19:57:32.146975	2013-08-04 19:57:32.146975	\N	97ec0402-fed4-4278-9968-7f5689f2c995
125119	11	15442	2013-08-03 23:19:54.836809	2013-08-03 23:19:54.836809	\N	2bea2202-38f4-459d-9b28-6f932755353b
109919	14	13273	2013-08-03 21:55:58.330406	2013-08-03 21:55:58.330406	\N	a38a6b90-0d59-4cdd-ba96-3bdc0f05c1aa
98501	17	12286	2013-08-03 21:15:54.501169	2013-08-03 21:15:54.501169	\N	d4b040ed-3edb-438b-84e4-de397cf27a9c
107793	7	13063	2013-08-03 21:48:15.55714	2013-08-03 21:48:15.55714	\N	5b8b21e3-5833-4f7e-8243-7dc7d8417928
109920	14	13324	2013-08-03 21:55:58.450983	2013-08-03 21:55:58.450983	\N	27676b6f-bf04-4ebf-acad-27a7be580b55
127469	16	15829	2013-08-03 23:35:31.85696	2013-08-03 23:35:31.85696	\N	3856f5e8-1f69-4f4d-a696-6f06685f1e64
109922	19	13330	2013-08-03 21:55:58.910383	2013-08-03 21:55:58.910383	\N	91b7ed48-4dc1-42ee-a8c1-acdcbfa65205
125127	11	15466	2013-08-03 23:19:56.413334	2013-08-03 23:19:56.413334	\N	c62e5ae1-ee41-40b9-a147-909fb59f09a5
207005	9	26466	2013-08-04 20:42:34.860073	2013-08-04 20:42:34.860073	\N	39bff194-6723-4901-9500-ef58092dcd19
125135	9	15466	2013-08-03 23:19:58.847503	2013-08-03 23:19:58.847503	\N	2312940a-2617-494b-966a-7eaa92eb420e
125142	14	15466	2013-08-03 23:20:01.739128	2013-08-03 23:20:01.739128	\N	c13020ee-7068-41dd-b2ff-ed2d2f8e45f8
118373	17	14029	2013-08-03 22:25:35.685327	2013-08-03 22:25:35.685327	\N	00a93545-dbd0-47cc-acc9-cdfa31730c70
100477	10	12403	2013-08-03 21:21:18.99317	2013-08-03 21:21:18.99317	\N	c938accb-d073-4175-bb2f-edc70e516f84
100478	10	12433	2013-08-03 21:21:19.094423	2013-08-03 21:21:19.094423	\N	244e942d-b2ce-4e9c-974d-013c798f2fcf
100479	10	12443	2013-08-03 21:21:19.201066	2013-08-03 21:21:19.201066	\N	cd29d687-e83e-4b9d-b18e-71f6a281c93f
125143	14	15415	2013-08-03 23:20:01.789954	2013-08-03 23:20:01.789954	\N	394e4522-f6c9-46eb-ad5d-59b2194fe5f2
109935	16	13309	2013-08-03 21:56:01.466007	2013-08-03 21:56:01.466007	\N	b803bb1e-3068-4924-afce-b0b8a6320c66
125144	14	15423	2013-08-03 23:20:01.823303	2013-08-03 23:20:01.823303	\N	df176a69-07b7-4c98-8bdd-07d9242acfda
109941	16	13324	2013-08-03 21:56:01.58308	2013-08-03 21:56:01.58308	\N	8b304ea4-4b50-4835-af13-1a2839959ebc
107909	13	13063	2013-08-03 21:48:33.522875	2013-08-03 21:48:33.522875	\N	54657dee-897c-4fea-9483-0b051a23b265
109942	16	13327	2013-08-03 21:56:01.709046	2013-08-03 21:56:01.709046	\N	0e9ef4dc-f023-4ed4-a0ce-55e5849c20df
109945	16	13330	2013-08-03 21:56:01.836255	2013-08-03 21:56:01.836255	\N	bfe8e0f5-c78b-49d7-ad8d-711747c33e10
207008	9	26490	2013-08-04 20:42:36.263184	2013-08-04 20:42:36.263184	\N	04f0d009-0fc6-4460-a32e-43873a68ded2
140765	12	18742	2013-08-04 01:35:00.971822	2013-08-04 01:35:00.971822	\N	435e675c-9875-48e2-b91f-5639ce14d229
102337	19	12544	2013-08-03 21:26:26.273135	2013-08-03 21:26:26.273135	\N	a687d42a-c95c-44f4-b73e-319cc2ff1670
120463	14	14333	2013-08-03 22:37:53.689497	2013-08-03 22:37:53.689497	\N	982fa8b6-0077-48ed-990b-fa3de2410b5a
120464	14	14323	2013-08-03 22:37:53.770099	2013-08-03 22:37:53.770099	\N	86aaa823-bab0-4bd8-9998-0f2e496e0d0c
127513	14	15844	2013-08-03 23:35:43.369782	2013-08-03 23:35:43.369782	\N	da90a37d-826f-4ca0-a727-60ada55e040c
198516	4	25255	2013-08-04 19:57:32.444428	2013-08-04 19:57:32.444428	\N	696f0dce-6af6-49f6-899d-8eb8b01f29e2
176415	2	23179	2013-08-04 18:25:43.726634	2013-08-04 18:25:43.726634	\N	c7259020-776d-46f1-b638-9b6c8fe94789
172998	7	22970	2013-08-04 18:13:41.228832	2013-08-04 18:13:41.228832	\N	a2149801-5fe6-4234-885c-76b0b076b555
179886	4	23491	2013-08-04 18:37:45.80538	2013-08-04 18:37:45.80538	\N	97a99a48-a3d0-49aa-8afc-9b7cb39592c7
179888	4	23506	2013-08-04 18:37:45.85095	2013-08-04 18:37:45.85095	\N	5afed41b-efca-4ed8-b1f1-9829568dfb92
107935	17	13063	2013-08-03 21:48:40.513585	2013-08-03 21:48:40.513585	\N	aa868b5d-a8e4-4670-8e21-4c92f65bdec6
114144	14	13537	2013-08-03 22:07:32.179205	2013-08-03 22:07:32.179205	\N	864d7daf-f33a-4b1b-9091-9e3f253a548d
114147	14	13546	2013-08-03 22:07:32.304263	2013-08-03 22:07:32.304263	\N	25773ec7-bc09-472c-a009-5e06db5f8bc3
179889	4	23530	2013-08-04 18:37:45.905628	2013-08-04 18:37:45.905628	\N	c827ecec-ecd6-4718-a1f0-86b570d05097
114149	14	13579	2013-08-03 22:07:32.532085	2013-08-03 22:07:32.532085	\N	cd1d1042-f600-4475-aa66-d68fb200171a
198517	4	25270	2013-08-04 19:57:32.504187	2013-08-04 19:57:32.504187	\N	0cfc8e9a-186e-4ea6-86a5-a41cb8dbfd8d
129964	14	16309	2013-08-03 23:57:56.152339	2013-08-03 23:57:56.152339	\N	e086203c-b927-434a-a733-f5dcb326b9d8
198519	4	25294	2013-08-04 19:57:32.554782	2013-08-04 19:57:32.554782	\N	3049a3c0-3d77-4ad3-be40-99d52b15f521
198520	7	25324	2013-08-04 19:57:32.627906	2013-08-04 19:57:32.627906	\N	5dec722f-50f9-43b6-9ba5-6813aceec439
179933	8	23506	2013-08-04 18:37:56.152676	2013-08-04 18:37:56.152676	\N	9e456824-6205-4bcf-8039-1815d3b57415
118476	10	14038	2013-08-03 22:26:01.640478	2013-08-03 22:26:01.640478	\N	9056c84a-d6b7-4389-b41f-ab1749c8cf36
120519	10	14332	2013-08-03 22:38:17.068313	2013-08-03 22:38:17.068313	\N	10fb397a-c028-4655-ab4a-48ee01993c1c
122892	6	15049	2013-08-03 23:04:25.455012	2013-08-03 23:04:25.455012	\N	459de7bc-7327-4b05-9911-c85c31b5638d
107975	11	13063	2013-08-03 21:48:57.475097	2013-08-03 21:48:57.475097	\N	f21807dc-7c2c-4d15-b450-0626ab663e99
102416	17	12574	2013-08-03 21:26:43.719198	2013-08-03 21:26:43.719198	\N	508a6a2a-741d-4fda-aabc-a388d1df51eb
122893	8	15079	2013-08-03 23:04:25.644002	2013-08-03 23:04:25.644002	\N	66878002-aac9-495f-8c25-f35e3e7be020
132681	14	17104	2013-08-04 00:27:39.752491	2013-08-04 00:27:39.752491	\N	2d2c4021-5c8a-4ed2-864d-1696d10247c1
100658	16	12448	2013-08-03 21:21:39.93467	2013-08-03 21:21:39.93467	\N	e6a61e96-1ba3-4be8-9ad0-c11899075d8b
107984	11	13057	2013-08-03 21:49:01.429325	2013-08-03 21:49:01.429325	\N	489159d6-47e4-457d-8d5d-3ef8e8083634
125260	17	15466	2013-08-03 23:20:36.356145	2013-08-03 23:20:36.356145	\N	cc74d792-7229-4b72-91c6-bc517fdb0c73
122943	7	15079	2013-08-03 23:04:36.815004	2013-08-03 23:04:36.815004	\N	a6a64be6-9180-41e4-9599-1a89d9ad8b0f
112120	14	13456	2013-08-03 22:01:27.737051	2013-08-03 22:01:27.737051	\N	6c92d3a7-3227-4f75-a55d-e76b6ae5216a
120532	19	14323	2013-08-03 22:38:24.585762	2013-08-03 22:38:24.585762	\N	dbea2fca-6102-409e-8188-1f79a1d6df3a
107997	8	13183	2013-08-03 21:49:36.001849	2013-08-03 21:49:36.001849	\N	aedf49af-5494-43b6-9b69-78cc1a70d5ed
108000	8	13204	2013-08-03 21:49:36.167581	2013-08-03 21:49:36.167581	\N	bdccbc35-f00d-4958-8e99-a95c651d77c6
108001	7	13189	2013-08-03 21:49:40.052305	2013-08-03 21:49:40.052305	\N	d3d9bf08-dda7-4ece-a907-ef33cd58780f
106224	8	12895	2013-08-03 21:39:36.271932	2013-08-03 21:39:36.271932	\N	eb2edfb9-e251-49eb-af24-04dc19609906
98814	19	12286	2013-08-03 21:16:43.825796	2013-08-03 21:16:43.825796	\N	d7e48281-c613-44e3-b563-25250cb84b31
108002	7	13159	2013-08-03 21:49:40.211655	2013-08-03 21:49:40.211655	\N	69b0247e-40f1-4f61-bdc3-5e04cc0d4a3f
198522	9	25335	2013-08-04 19:57:34.709235	2013-08-04 19:57:34.709235	\N	5e4b442c-f195-4f63-8104-85f79df98641
106231	17	12946	2013-08-03 21:39:38.05443	2013-08-03 21:39:38.05443	\N	4be4f609-9586-47cd-acf3-f2041719e712
122948	7	15073	2013-08-03 23:04:37.152167	2013-08-03 23:04:37.152167	\N	5befa38a-43cd-4dcf-9ba1-7e7eaa0c25b3
98830	19	12292	2013-08-03 21:16:46.17728	2013-08-03 21:16:46.17728	\N	00b4a349-f528-439e-bbbb-d8c6ee76e9f5
106242	7	12916	2013-08-03 21:39:40.394389	2013-08-03 21:39:40.394389	\N	98940831-6ad5-4c33-9afc-09707068b126
194574	6	24625	2013-08-04 19:34:21.755343	2013-08-04 19:34:21.755343	\N	31100f79-bec6-4dfc-89d5-5444112b5103
179944	1	23603	2013-08-04 18:37:58.739041	2013-08-04 18:37:58.739041	\N	40f53280-9c71-4590-81ca-d9d74e9cb195
98838	19	12301	2013-08-03 21:16:46.994446	2013-08-03 21:16:46.994446	\N	e0488e9f-ecb8-46f8-9e19-ed997e86f732
106245	2	12925	2013-08-03 21:39:40.774676	2013-08-03 21:39:40.774676	\N	d63b9552-e681-4ecc-9564-eb28ef9e8f3b
112151	10	13435	2013-08-03 22:01:29.355231	2013-08-03 22:01:29.355231	\N	e16a51bd-0fa1-4f95-806c-fe382bb63afa
112152	10	13450	2013-08-03 22:01:29.476007	2013-08-03 22:01:29.476007	\N	820ca9c8-865f-4151-9b15-accf9f724ebb
112153	10	13451	2013-08-03 22:01:29.616412	2013-08-03 22:01:29.616412	\N	108c3212-99cb-4dbc-a948-7ecf34bdf79e
106266	6	12907	2013-08-03 21:39:45.534471	2013-08-03 21:39:45.534471	\N	4873d5e5-98b3-40a7-a144-98d583c6e762
106267	6	12946	2013-08-03 21:39:45.66652	2013-08-03 21:39:45.66652	\N	2e37db33-4cac-4449-b32a-e3c4beb8c291
122951	11	15088	2013-08-03 23:04:37.901862	2013-08-03 23:04:37.901862	\N	ca5bd4fd-b389-4b8f-8960-6a1ddc0fdae9
135316	16	17734	2013-08-04 00:53:15.128282	2013-08-04 00:53:15.128282	\N	2dd72a7d-39e0-41bd-a139-0093f9438011
108063	2	13183	2013-08-03 21:49:45.023989	2013-08-03 21:49:45.023989	\N	bdceceb6-27cb-4d9e-83a8-7daf069c3688
108064	16	13156	2013-08-03 21:49:45.246979	2013-08-03 21:49:45.246979	\N	0a7ea0f0-1fd7-4720-8eee-18d7993f53c9
106297	7	12946	2013-08-03 21:39:53.135031	2013-08-03 21:39:53.135031	\N	9180342e-8c43-465e-8e4a-7d98011ae274
106307	2	12949	2013-08-03 21:39:55.977672	2013-08-03 21:39:55.977672	\N	04243682-2e84-4733-891d-c8cee78f142a
108065	16	13159	2013-08-03 21:49:45.51329	2013-08-03 21:49:45.51329	\N	2005032d-ba13-495a-b322-959e725e8d59
125278	14	15451	2013-08-03 23:20:42.721743	2013-08-03 23:20:42.721743	\N	fe7d8108-7856-4eb6-add1-74abc352d103
198526	1	25336	2013-08-04 19:57:37.015688	2013-08-04 19:57:37.015688	\N	298269a8-74ca-413c-8403-91d3fc958b54
108103	16	13204	2013-08-03 21:49:47.850576	2013-08-03 21:49:47.850576	\N	6f7259f3-a824-4c34-a579-9c5efeabb73b
179946	2	23604	2013-08-04 18:37:59.346975	2013-08-04 18:37:59.346975	\N	8fa3cc06-920a-468b-a8e8-01554f9d7656
120594	15	14419	2013-08-03 22:39:27.017458	2013-08-03 22:39:27.017458	\N	43161a1f-aae0-4bf3-9fba-4338f682031b
120599	8	14419	2013-08-03 22:39:31.157276	2013-08-03 22:39:31.157276	\N	c4e1c8c0-af50-4caa-a86e-880f3b2336ad
140800	6	18817	2013-08-04 01:35:52.388983	2013-08-04 01:35:52.388983	\N	7c60e3da-14db-48aa-a04b-67ec3f4cfc2c
120605	7	14419	2013-08-03 22:39:33.837586	2013-08-03 22:39:33.837586	\N	f438c029-e5e8-4f6e-af01-20c841eb7cea
140802	1	18869	2013-08-04 01:35:52.598669	2013-08-04 01:35:52.598669	\N	96dedc06-dea1-43d2-9a23-0b3a294d5ae9
116433	19	13829	2013-08-03 22:17:38.352058	2013-08-03 22:17:38.352058	\N	09000d16-77ee-4852-b102-cf32e1d31c62
120609	13	14461	2013-08-03 22:39:37.263363	2013-08-03 22:39:37.263363	\N	bef869d9-ac5c-45fd-8367-0bbc1bba3663
106394	11	12952	2013-08-03 21:40:12.626966	2013-08-03 21:40:12.626966	\N	5654aa6f-128d-4bee-8941-e1fcf1153bfd
120611	7	14461	2013-08-03 22:39:40.355376	2013-08-03 22:39:40.355376	\N	9964250f-5043-4225-99d5-cda71a5f4bd6
120616	3	14461	2013-08-03 22:39:45.29948	2013-08-03 22:39:45.29948	\N	00aa9f25-13bb-4c7e-8d4c-85d196bd7e64
108181	17	13199	2013-08-03 21:50:01.066436	2013-08-03 21:50:01.066436	\N	ea5084f0-43dc-49d0-98ba-220bac2cb198
120617	3	14443	2013-08-03 22:39:45.407315	2013-08-03 22:39:45.407315	\N	3e59af70-5b63-498d-9fa1-3885f64bb9c9
140803	9	18868	2013-08-04 01:35:52.855046	2013-08-04 01:35:52.855046	\N	8d8dde70-15d8-4f59-b33f-d0e7545cb7a9
108186	14	13189	2013-08-03 21:50:02.412335	2013-08-03 21:50:02.412335	\N	85b54155-033e-4a26-8ca7-4424c7dd4d08
120619	3	14323	2013-08-03 22:39:45.474051	2013-08-03 22:39:45.474051	\N	c091d948-0bc1-4042-93a0-7319081a7c6b
108195	17	13159	2013-08-03 21:50:04.485274	2013-08-03 21:50:04.485274	\N	e015a385-bcfb-4afd-a808-bc67df0f2474
116460	19	13789	2013-08-03 22:17:46.29064	2013-08-03 22:17:46.29064	\N	10c21ca8-3f40-4e5e-a035-4f890ab9cc86
108198	5	13168	2013-08-03 21:50:04.708638	2013-08-03 21:50:04.708638	\N	287b658f-1aea-4cf6-8bfc-aad7346803e9
140796	2	18922	2013-08-04 01:35:49.646234	2013-08-04 01:35:49.646234	\N	61a1f7e5-668c-480b-b128-e4ae409b65a0
122913	15	15049	2013-08-03 23:04:28.894011	2013-08-03 23:04:28.894011	\N	ebcd315f-2fab-40d1-a30e-1493465818da
140797	7	18869	2013-08-04 01:35:49.847374	2013-08-04 01:35:49.847374	\N	74af82ff-7aca-4bf2-9f2a-05db33c9dbfc
114227	19	13582	2013-08-03 22:07:48.588235	2013-08-03 22:07:48.588235	\N	9804b2bb-8a8c-44a4-ac35-483c7697c026
125150	15	15442	2013-08-03 23:20:05.205034	2013-08-03 23:20:05.205034	\N	55135a04-d0aa-443e-ae8c-0ee6eba220f2
122925	11	15079	2013-08-03 23:04:33.190581	2013-08-03 23:04:33.190581	\N	d10c44c9-aaf9-40ab-ba59-2abf3f18eb52
110103	10	13315	2013-08-03 21:56:25.521224	2013-08-03 21:56:25.521224	\N	d275da8a-94a2-4afe-9c12-378ee990affb
140798	8	18829	2013-08-04 01:35:51.211834	2013-08-04 01:35:51.211834	\N	4711cea1-5a5b-4294-936b-ca5df9a94b9a
102317	17	12538	2013-08-03 21:26:25.296603	2013-08-03 21:26:25.296603	\N	14f50b04-c629-4b1f-991e-2f9779cda453
122928	15	15088	2013-08-03 23:04:33.862084	2013-08-03 23:04:33.862084	\N	63601767-18d9-4f86-b725-d89f5087adb3
125166	15	15466	2013-08-03 23:20:09.934302	2013-08-03 23:20:09.934302	\N	aaeec3ab-9902-4f53-802c-3f26581d61f7
140805	7	18817	2013-08-04 01:35:54.697362	2013-08-04 01:35:54.697362	\N	320a18cf-f41c-4054-8901-abc33c609ff1
100639	16	12433	2013-08-03 21:21:38.957499	2013-08-03 21:21:38.957499	\N	e42ad77d-091f-4dc9-b2e3-68c5dda74e31
198529	7	25255	2013-08-04 19:57:37.229068	2013-08-04 19:57:37.229068	\N	b320fac1-db16-427d-b3e6-a75fe19546cd
100642	16	12403	2013-08-03 21:21:39.116087	2013-08-03 21:21:39.116087	\N	e5aa9526-c1a6-4545-900c-1c93c890e202
102336	19	12553	2013-08-03 21:26:26.21766	2013-08-03 21:26:26.21766	\N	8344773e-d2db-4025-9c89-bd1d8b3b0114
100646	16	12391	2013-08-03 21:21:39.284505	2013-08-03 21:21:39.284505	\N	0a765a29-0d6b-4acb-af8c-ea6fb8972f15
98721	19	12316	2013-08-03 21:16:32.845388	2013-08-03 21:16:32.845388	\N	f2fe30ee-bb78-4c9a-96cb-765d88c82cc4
98737	5	12319	2013-08-03 21:16:35.999959	2013-08-03 21:16:35.999959	\N	ce99307e-0cbb-4efd-8919-b45567c919d9
102343	19	12574	2013-08-03 21:26:27.697559	2013-08-03 21:26:27.697559	\N	c95d730e-8416-4576-9d75-3dd6c7a5b045
100653	16	12427	2013-08-03 21:21:39.546106	2013-08-03 21:21:39.546106	\N	54922597-3a07-4f2f-9a37-c182e4b75590
98742	5	12322	2013-08-03 21:16:36.543421	2013-08-03 21:16:36.543421	\N	8df99990-370b-4129-80c1-347eed59ff75
127556	5	15820	2013-08-03 23:36:01.142007	2013-08-03 23:36:01.142007	\N	ecab4d4f-42e7-4897-b6ae-efe6524f57a9
100656	16	12445	2013-08-03 21:21:39.803254	2013-08-03 21:21:39.803254	\N	3a6cb002-e0e7-4963-ae31-8382d7b31499
143618	10	19354	2013-08-04 01:56:03.486446	2013-08-04 01:56:03.486446	\N	591a3b1d-a291-4a1a-a017-b2bc6ebba6be
140814	20	18829	2013-08-04 01:35:55.354465	2013-08-04 01:35:55.354465	\N	c18f5093-222d-45b1-ae45-138746403285
187037	7	24160	2013-08-04 19:02:42.396264	2013-08-04 19:02:42.396264	\N	af2595b5-be03-46d0-99ed-df4427998f27
187043	7	24222	2013-08-04 19:02:43.438409	2013-08-04 19:02:43.438409	\N	6f5c12e9-b942-4eb3-ab8e-1e311ef729ba
125213	4	15467	2013-08-03 23:20:23.07538	2013-08-03 23:20:23.07538	\N	0c5f43b0-6a89-4f5f-9599-7b77394eb224
143635	14	19321	2013-08-04 01:56:04.749724	2013-08-04 01:56:04.749724	\N	e55ba1fa-98ed-48a3-996b-8b5403749141
129921	16	16333	2013-08-03 23:57:20.680359	2013-08-03 23:57:20.680359	\N	b9d6b553-4969-48d6-9afb-18f9d446eeb7
140870	17	18817	2013-08-04 01:36:23.747676	2013-08-04 01:36:23.747676	\N	95e412ff-e505-403f-b174-f9433f22032c
198539	13	25255	2013-08-04 19:57:39.149548	2013-08-04 19:57:39.149548	\N	e3e28ada-2049-43c8-8154-b122ccbf7c23
107996	8	13159	2013-08-03 21:49:36.00073	2013-08-03 21:49:36.00073	\N	591c3a84-5e7d-4051-9fcb-52b4c6bf28b1
132673	7	17105	2013-08-04 00:27:35.218325	2013-08-04 00:27:35.218325	\N	9ad30a87-7873-4f77-a5f7-2c195b745195
198542	7	25352	2013-08-04 19:57:40.895527	2013-08-04 19:57:40.895527	\N	8125505f-704a-4280-a95e-335a4578e471
138133	3	18325	2013-08-04 01:19:25.433575	2013-08-04 01:19:25.433575	\N	a2f5f3e2-0a96-4a06-b548-0b34764bc316
187061	17	24121	2013-08-04 19:02:44.585365	2013-08-04 19:02:44.585365	\N	25ae2367-9320-41a1-9547-00a258e013fd
143672	1	19373	2013-08-04 01:56:07.143243	2013-08-04 01:56:07.143243	\N	7ecb2d10-83c0-46c3-8bcb-245fb0f020ac
108037	13	13156	2013-08-03 21:49:42.893002	2013-08-03 21:49:42.893002	\N	1c9652fb-f331-4975-9013-3f81ffd95939
125251	17	15451	2013-08-03 23:20:34.2388	2013-08-03 23:20:34.2388	\N	0f1b604e-b1e0-4aa4-9dba-251e2336d4e6
125261	17	15467	2013-08-03 23:20:38.395241	2013-08-03 23:20:38.395241	\N	c081301b-e283-4d2e-a38b-005f6362c6d8
100748	17	12421	2013-08-03 21:21:52.94167	2013-08-03 21:21:52.94167	\N	4118b8b4-d22c-43a6-8398-1e5f1cd5fb5d
127603	9	15844	2013-08-03 23:36:10.454	2013-08-03 23:36:10.454	\N	80c9f877-6922-40d9-a3ce-61f08af54881
123093	6	15079	2013-08-03 23:05:09.083162	2013-08-03 23:05:09.083162	\N	8a2a68c5-87db-407f-90c9-999ba40ee727
120589	14	14419	2013-08-03 22:39:24.9261	2013-08-03 22:39:24.9261	\N	7504c81e-9466-4519-bd26-ea6586b1bdb8
120592	13	14419	2013-08-03 22:39:25.576183	2013-08-03 22:39:25.576183	\N	ec64e27f-f16f-47c0-8641-13dd29dcf15c
108079	11	13156	2013-08-03 21:49:46.66545	2013-08-03 21:49:46.66545	\N	c2a6da20-f8a5-4167-8c39-24f88300c3bb
187082	2	24160	2013-08-04 19:02:47.554033	2013-08-04 19:02:47.554033	\N	007a7dc3-0fdc-4e28-8297-ee8cbe75ef93
110184	13	13315	2013-08-03 21:56:39.240465	2013-08-03 21:56:39.240465	\N	a42193b3-d473-4acd-a968-5dc31e9959c8
108088	16	13183	2013-08-03 21:49:47.011975	2013-08-03 21:49:47.011975	\N	bb6759a0-af4c-475d-a602-ccc4c5a595c0
102444	2	12544	2013-08-03 21:26:47.284581	2013-08-03 21:26:47.284581	\N	82cd1020-8039-457e-8cd2-b66027c604af
187084	4	24121	2013-08-04 19:02:47.861426	2013-08-04 19:02:47.861426	\N	99685281-4634-4e39-8d4c-b1acb96f5211
120640	6	14449	2013-08-03 22:39:50.697735	2013-08-03 22:39:50.697735	\N	b5bd20fb-ede3-431a-8a9b-e6e366b8e6d8
108094	16	13198	2013-08-03 21:49:47.26981	2013-08-03 21:49:47.26981	\N	73afa91c-dc8f-4dcf-ae21-d8e978199184
120642	6	14443	2013-08-03 22:39:51.143688	2013-08-03 22:39:51.143688	\N	037c581d-9688-4215-828c-17fe6be2e3f1
143696	11	19354	2013-08-04 01:56:08.722758	2013-08-04 01:56:08.722758	\N	a9236da8-d039-4909-965c-5baff102d254
140879	13	18829	2013-08-04 01:36:27.477011	2013-08-04 01:36:27.477011	\N	35e457c4-dd2e-4c54-a30c-4bfc891a07f1
140880	13	18817	2013-08-04 01:36:27.785446	2013-08-04 01:36:27.785446	\N	a70556cd-f906-48a0-91d4-37d113b2bcd1
187086	4	24136	2013-08-04 19:02:48.056088	2013-08-04 19:02:48.056088	\N	68e5a65b-e962-4102-b38d-60e29d2ff79f
129994	19	16349	2013-08-03 23:58:07.891049	2013-08-03 23:58:07.891049	\N	b754b9cc-1a39-4326-8188-9648ffd2ba98
106212	8	12949	2013-08-03 21:39:35.409704	2013-08-03 21:39:35.409704	\N	ac525926-7ffa-4583-b156-3ee6950485ba
106218	7	12907	2013-08-03 21:39:35.645908	2013-08-03 21:39:35.645908	\N	c1f5e98f-fabb-4e8b-87ef-b29783ea7261
106219	8	12952	2013-08-03 21:39:36.085519	2013-08-03 21:39:36.085519	\N	713c2e7c-9bad-4841-90ef-889c1d7cfa2d
106220	8	12931	2013-08-03 21:39:36.264205	2013-08-03 21:39:36.264205	\N	991c37e1-6e0a-48fd-a07c-948103526992
187087	4	24160	2013-08-04 19:02:48.132224	2013-08-04 19:02:48.132224	\N	95d8eb42-09de-429f-9b04-ca3e4f1ca081
104553	8	12781	2013-08-03 21:34:22.467852	2013-08-03 21:34:22.467852	\N	ca52c998-f872-44e0-9329-6515d1983454
104555	8	12790	2013-08-03 21:34:22.504002	2013-08-03 21:34:22.504002	\N	cc1fe728-06f9-46f0-b95f-6388c3a66946
104560	8	12820	2013-08-03 21:34:22.540992	2013-08-03 21:34:22.540992	\N	8762f131-550e-4abc-9777-ca7b17e312a6
140883	11	18829	2013-08-04 01:36:28.565976	2013-08-04 01:36:28.565976	\N	ee6fcd8c-1604-4ad8-bc49-b94cddaf26a0
104573	9	12811	2013-08-03 21:34:24.876199	2013-08-03 21:34:24.876199	\N	133743e1-aae7-43df-b039-d71f4011417e
104575	9	12769	2013-08-03 21:34:25.269526	2013-08-03 21:34:25.269526	\N	3b5cc685-773e-48ff-b176-688e06e28e38
106239	7	12947	2013-08-03 21:39:39.853425	2013-08-03 21:39:39.853425	\N	c31c8263-1f43-443b-bd8d-95dd8dccd743
104604	11	12790	2013-08-03 21:34:28.248533	2013-08-03 21:34:28.248533	\N	948766e2-b041-46cf-9bb8-95f5699ea449
106241	7	12952	2013-08-03 21:39:40.259515	2013-08-03 21:39:40.259515	\N	e5825be9-e851-46dd-9718-20907e0797bb
104612	11	12805	2013-08-03 21:34:29.711544	2013-08-03 21:34:29.711544	\N	504c6fb8-ed4c-4ecd-8a7e-ce9f375ca133
104621	10	12769	2013-08-03 21:34:30.669199	2013-08-03 21:34:30.669199	\N	24df14bf-cdd2-47b8-9ac7-00d68ea5d035
104624	11	12823	2013-08-03 21:34:30.95171	2013-08-03 21:34:30.95171	\N	eadcd873-972e-426b-96cd-272bb20f6296
202832	9	25728	2013-08-04 20:14:16.784972	2013-08-04 20:14:16.784972	\N	5d5ae39d-7f90-40de-98d7-5b87fd7180e3
179843	14	23427	2013-08-04 18:37:39.175423	2013-08-04 18:37:39.175423	\N	d94372ba-2eb2-4a98-8892-5c20abb66b33
106263	7	12949	2013-08-03 21:39:43.534619	2013-08-03 21:39:43.534619	\N	111060bd-79c5-415f-a006-d3747f1ebae5
108120	13	13201	2013-08-03 21:49:49.743638	2013-08-03 21:49:49.743638	\N	b88310d9-3ac0-4a1c-bed2-1edbd2b3f5f8
104670	7	12821	2013-08-03 21:34:37.581249	2013-08-03 21:34:37.581249	\N	248fa438-fcd5-4f7a-bfe9-d9f838308ab6
108122	11	13183	2013-08-03 21:49:50.119613	2013-08-03 21:49:50.119613	\N	0fbf91e0-6874-4e78-b7b4-e40506ca30ff
114410	16	13525	2013-08-03 22:08:32.089552	2013-08-03 22:08:32.089552	\N	3ee4ee28-e663-4191-a06a-db5622d58129
110224	17	13315	2013-08-03 21:56:43.501216	2013-08-03 21:56:43.501216	\N	8ad2dbe5-6e3b-41d9-9223-e09f43491c44
106301	15	12895	2013-08-03 21:39:53.897	2013-08-03 21:39:53.897	\N	f131d35d-ee53-4bab-abdf-9e84424e3ab7
104692	7	12823	2013-08-03 21:34:41.918926	2013-08-03 21:34:41.918926	\N	1b901943-bd63-4339-b632-ceb6941bbc88
179850	7	23598	2013-08-04 18:37:43.162324	2013-08-04 18:37:43.162324	\N	bb640b52-052d-4f27-9aa3-5ea8c205b845
110226	2	13306	2013-08-03 21:56:43.899461	2013-08-03 21:56:43.899461	\N	643f349e-b552-404f-b2f1-bd25a3b11e16
120714	17	14461	2013-08-03 22:40:46.613569	2013-08-03 22:40:46.613569	\N	c34d178f-d2ec-44c3-9e0a-db5521254de1
118637	10	14041	2013-08-03 22:26:48.862275	2013-08-03 22:26:48.862275	\N	44681971-fa76-45ec-9744-a139000869a1
108132	11	13198	2013-08-03 21:49:50.872329	2013-08-03 21:49:50.872329	\N	71ac7090-f8bc-4bb7-b85e-6ae0dc4e41ce
140896	13	18868	2013-08-04 01:36:31.91558	2013-08-04 01:36:31.91558	\N	f9298c32-af02-4ab1-99bc-aa9b2cfec088
143733	7	19372	2013-08-04 01:56:11.305945	2013-08-04 01:56:11.305945	\N	343992b9-77ce-4285-9f83-047f16712141
104740	17	12805	2013-08-03 21:34:50.746951	2013-08-03 21:34:50.746951	\N	de792984-a939-4049-a17a-16966a5ee7d4
106346	9	12947	2013-08-03 21:40:03.477116	2013-08-03 21:40:03.477116	\N	3004c677-e0b1-4d01-88a7-f2155e3e1087
104745	5	12811	2013-08-03 21:34:51.372772	2013-08-03 21:34:51.372772	\N	8e98570b-85b2-4f19-86c6-aa28cddaf439
104746	5	12769	2013-08-03 21:34:51.858579	2013-08-03 21:34:51.858579	\N	ef386a7d-9dc3-47d8-b559-6d6b20a4bcf2
140902	16	18829	2013-08-04 01:36:35.674114	2013-08-04 01:36:35.674114	\N	bb5b2261-2dc2-4186-8898-f2d19f8acfa4
108166	14	13156	2013-08-03 21:49:59.082277	2013-08-03 21:49:59.082277	\N	b1a00568-aff5-4da7-aa8b-6b04854dfd68
140903	16	18817	2013-08-04 01:36:35.856027	2013-08-04 01:36:35.856027	\N	5d58eb47-39a8-4a6b-9ae0-7c331ddaf284
108169	14	13204	2013-08-03 21:49:59.252662	2013-08-03 21:49:59.252662	\N	b348dd75-8530-431e-8f73-6bad31136de8
140942	4	18869	2013-08-04 01:36:54.35502	2013-08-04 01:36:54.35502	\N	9505f484-25d6-4eaa-918b-8d9f02610e74
106373	11	12946	2013-08-03 21:40:11.613389	2013-08-03 21:40:11.613389	\N	d52229cd-dc78-4b56-8c41-33c2927c0b38
110237	10	13282	2013-08-03 21:56:45.890213	2013-08-03 21:56:45.890213	\N	589e4750-0ca7-4da7-8251-d9caf233060d
179851	8	23530	2013-08-04 18:37:43.486227	2013-08-04 18:37:43.486227	\N	07c72366-b0d5-460c-948a-764ae06f24b1
140804	8	18868	2013-08-04 01:35:52.994353	2013-08-04 01:35:52.994353	\N	035355ef-8f98-40d2-837d-1b3f02c14f17
122922	8	15088	2013-08-03 23:04:31.772398	2013-08-03 23:04:31.772398	\N	dfbf7a8f-a3af-45a1-8fe1-b7fae69b2d25
108133	11	13199	2013-08-03 21:49:51.055096	2013-08-03 21:49:51.055096	\N	6b83b7ee-b350-49bf-bad5-c29be3807326
140806	2	18868	2013-08-04 01:35:54.729041	2013-08-04 01:35:54.729041	\N	889c178d-f6f3-4650-8efb-f30fa9ba2c18
108137	14	13159	2013-08-03 21:49:51.437194	2013-08-03 21:49:51.437194	\N	3c9476a5-197a-4da9-8ee6-fb3edd3533b0
108138	11	13201	2013-08-03 21:49:51.590975	2013-08-03 21:49:51.590975	\N	dd23f407-517d-49e4-ac0c-e8d118cf535e
108140	11	13204	2013-08-03 21:49:51.997347	2013-08-03 21:49:51.997347	\N	17c3f31f-a209-4407-ad38-25958113485b
140807	2	18924	2013-08-04 01:35:54.814151	2013-08-04 01:35:54.814151	\N	29a6b235-7280-41cd-95e0-87c201fbabca
106211	8	12946	2013-08-03 21:39:34.728456	2013-08-03 21:39:34.728456	\N	2a81001e-010f-46c6-aa2b-1215a80e148a
108144	12	13159	2013-08-03 21:49:53.677998	2013-08-03 21:49:53.677998	\N	a2a89951-26d3-43ab-bf1f-573d505ac482
106226	8	12916	2013-08-03 21:39:36.297752	2013-08-03 21:39:36.297752	\N	ce27d6c0-b19f-470d-9659-f918d545a0fc
106228	4	12947	2013-08-03 21:39:36.385243	2013-08-03 21:39:36.385243	\N	42bfd933-c525-45d1-af46-65a1d31b76b6
108146	15	13159	2013-08-03 21:49:54.13293	2013-08-03 21:49:54.13293	\N	c71553f6-ef7e-41c1-846f-5143878e340e
122942	7	15045	2013-08-03 23:04:36.70763	2013-08-03 23:04:36.70763	\N	33318b69-cc17-4075-b772-f23361412d6f
106240	17	12949	2013-08-03 21:39:40.133809	2013-08-03 21:39:40.133809	\N	f5c18aa5-5ed7-4604-baa5-b00bd5a15d6f
106249	15	12947	2013-08-03 21:39:41.913682	2013-08-03 21:39:41.913682	\N	521d665d-f952-4f92-98ce-41bd4a98b244
108155	2	13198	2013-08-03 21:49:55.13847	2013-08-03 21:49:55.13847	\N	4d7728e6-7d18-42ea-9783-870570918643
108156	2	13204	2013-08-03 21:49:55.189382	2013-08-03 21:49:55.189382	\N	696769db-3c75-4ba3-a7e1-c914149f7762
106259	7	12895	2013-08-03 21:39:42.66099	2013-08-03 21:39:42.66099	\N	9b2db5d0-9e4f-4d04-9f1a-f3305de8bc45
108157	6	13159	2013-08-03 21:49:55.532876	2013-08-03 21:49:55.532876	\N	7bc17203-36f9-4f10-a78a-f3025342ad13
102649	14	12517	2013-08-03 21:27:25.490956	2013-08-03 21:27:25.490956	\N	4af65b43-7a19-49fb-8b54-14a1550aec07
102650	14	12559	2013-08-03 21:27:25.559364	2013-08-03 21:27:25.559364	\N	8e0b25b2-b33f-49c8-a086-f9d33ddd99ab
108159	15	13198	2013-08-03 21:49:56.904638	2013-08-03 21:49:56.904638	\N	6e59acd9-98aa-4304-a072-3aeaa841429d
106264	6	12895	2013-08-03 21:39:44.302624	2013-08-03 21:39:44.302624	\N	1dc486fc-b65d-4f64-b1f1-65625ba49e49
106265	7	12931	2013-08-03 21:39:44.887676	2013-08-03 21:39:44.887676	\N	e1af99fe-3abd-4a87-a065-7717f8b50125
108160	6	13198	2013-08-03 21:49:57.668909	2013-08-03 21:49:57.668909	\N	e15cd26e-627e-4aa5-b11f-1c955617b3c2
198530	7	25332	2013-08-04 19:57:37.366074	2013-08-04 19:57:37.366074	\N	353c2eae-33bb-48d5-8f32-4af0432f9466
122945	7	15088	2013-08-03 23:04:37.067153	2013-08-03 23:04:37.067153	\N	dbff6e77-4be8-4fce-8718-835d2d123d9d
132668	12	17105	2013-08-04 00:27:34.284082	2013-08-04 00:27:34.284082	\N	69a8fc50-29c1-4731-876c-c5bfcbd74d34
187040	7	24202	2013-08-04 19:02:43.097985	2013-08-04 19:02:43.097985	\N	ec4ed392-43a9-4eb1-b5fb-14b68dc4de5f
122969	13	15049	2013-08-03 23:04:41.111585	2013-08-03 23:04:41.111585	\N	6c99ee60-17ff-4408-9019-9254c2f0ebae
106284	6	12947	2013-08-03 21:39:50.575513	2013-08-03 21:39:50.575513	\N	a021f14c-e57b-4df1-9588-f7680a3c31ac
183467	2	23844	2013-08-04 18:50:13.858696	2013-08-04 18:50:13.858696	\N	4ef8ef86-0fdc-41dd-9716-a3a2e9fcc194
129919	16	16309	2013-08-03 23:57:20.421124	2013-08-03 23:57:20.421124	\N	28adfb1a-51ca-4087-aa3f-c51aabffebf6
114300	3	13576	2013-08-03 22:08:08.80685	2013-08-03 22:08:08.80685	\N	8a717d7f-e4c2-4723-b48a-872a977d8de2
106294	7	12925	2013-08-03 21:39:51.774854	2013-08-03 21:39:51.774854	\N	7d7f479a-51ce-49e3-af77-4d75405a9aa4
106298	15	12946	2013-08-03 21:39:53.674939	2013-08-03 21:39:53.674939	\N	2a36d420-5086-4920-ac8e-08dc7b4c6d4a
125248	6	15415	2013-08-03 23:20:32.109434	2013-08-03 23:20:32.109434	\N	8d6a339c-0876-4760-bf6c-5eb8022cc622
106300	15	12907	2013-08-03 21:39:53.880348	2013-08-03 21:39:53.880348	\N	39a05d9d-35be-4fa7-8a98-3e33a607e909
108284	19	13159	2013-08-03 21:50:23.348124	2013-08-03 21:50:23.348124	\N	6b9f34ff-646f-4d4f-8373-1f40481b976a
108295	10	13183	2013-08-03 21:50:25.702257	2013-08-03 21:50:25.702257	\N	d2fd68c0-ef93-4a11-98ce-5296418df09e
122976	2	15079	2013-08-03 23:04:43.978617	2013-08-03 23:04:43.978617	\N	58cd6400-7afa-464f-bc9b-94de4f7ad034
143661	13	19354	2013-08-04 01:56:06.595661	2013-08-04 01:56:06.595661	\N	eccfdcf8-07c0-4fa7-9a69-07dff016043e
106317	12	12895	2013-08-03 21:39:57.585953	2013-08-03 21:39:57.585953	\N	a793ed4f-e05e-4d0a-b178-a43f7cc75586
108316	17	13183	2013-08-03 21:50:26.905316	2013-08-03 21:50:26.905316	\N	d6cc3c60-4953-4912-bf8a-dc03edd0926e
106327	12	12946	2013-08-03 21:40:00.405009	2013-08-03 21:40:00.405009	\N	9526b6bc-db45-4a71-bdc7-6abcb73f1671
122978	9	15079	2013-08-03 23:04:44.149896	2013-08-03 23:04:44.149896	\N	126ab603-39ca-4636-9294-989872a1f42d
118530	3	14071	2013-08-03 22:26:14.556137	2013-08-03 22:26:14.556137	\N	76402c5e-62d0-42b2-873e-db13947daf18
187041	7	24216	2013-08-04 19:02:43.201054	2013-08-04 19:02:43.201054	\N	d50ba5b7-99cb-4da4-85a8-b2af1c0ea723
108321	1	13199	2013-08-03 21:50:28.216154	2013-08-03 21:50:28.216154	\N	26eb6c5a-c8c0-4272-af69-5056ba58c5cf
122984	9	15049	2013-08-03 23:04:45.294011	2013-08-03 23:04:45.294011	\N	befcb91e-c0ce-4e43-b6fa-86ca906453c9
140904	16	18868	2013-08-04 01:36:36.074876	2013-08-04 01:36:36.074876	\N	4ac8b7bd-12ac-4cf2-9ec3-1ac3a0db66a0
187042	7	24212	2013-08-04 19:02:43.313578	2013-08-04 19:02:43.313578	\N	a0f4062b-f713-4e83-972e-93b1e495da80
106357	11	12907	2013-08-03 21:40:07.565763	2013-08-03 21:40:07.565763	\N	34e38d4c-4234-4941-a9c2-0a7d1d7abd40
110207	8	13306	2013-08-03 21:56:41.951943	2013-08-03 21:56:41.951943	\N	0f3b51c2-0a10-42b1-b4ff-e1670805ea6d
106360	11	12895	2013-08-03 21:40:08.108384	2013-08-03 21:40:08.108384	\N	d9ba1dd8-9245-45ec-950e-51756abc65b2
106363	11	12916	2013-08-03 21:40:09.411074	2013-08-03 21:40:09.411074	\N	9abb93f0-26c4-4e8d-8e03-cb5155d7c90d
104554	8	12811	2013-08-03 21:34:22.470694	2013-08-03 21:34:22.470694	\N	709ba752-feb6-46cf-b75f-19791800cd18
104558	8	12823	2013-08-03 21:34:22.517206	2013-08-03 21:34:22.517206	\N	f509190c-8a62-4ec4-a1fc-f9e26076b838
104562	9	12820	2013-08-03 21:34:22.567564	2013-08-03 21:34:22.567564	\N	a621030a-0e2a-4d18-880e-9e24056e63e3
106365	11	12931	2013-08-03 21:40:10.896194	2013-08-03 21:40:10.896194	\N	300ff2ff-00a2-4c00-b91e-a4f70a03d3e7
122991	14	15089	2013-08-03 23:04:47.456922	2013-08-03 23:04:47.456922	\N	92a74f23-eda1-4af7-a261-d40fc0621fe2
104569	7	12805	2013-08-03 21:34:22.7798	2013-08-03 21:34:22.7798	\N	a2281dc3-d02a-46a5-9fe4-259f39d58283
106368	2	12895	2013-08-03 21:40:11.10383	2013-08-03 21:40:11.10383	\N	70f7b363-827d-4d61-8eef-57e93d2c13c0
104571	15	12781	2013-08-03 21:34:23.724742	2013-08-03 21:34:23.724742	\N	3e12d129-bc8f-4a6d-97fe-584efb7d685f
104574	9	12781	2013-08-03 21:34:25.100101	2013-08-03 21:34:25.100101	\N	5b39a09c-e35d-43c8-85d7-d246af73b75d
104576	11	12811	2013-08-03 21:34:25.426223	2013-08-03 21:34:25.426223	\N	281456e3-8f26-4cf8-b299-eb2b0a843725
104578	7	12826	2013-08-03 21:34:25.669324	2013-08-03 21:34:25.669324	\N	19ca119d-0e97-43a5-bd34-535685402e66
104583	11	12769	2013-08-03 21:34:26.923685	2013-08-03 21:34:26.923685	\N	3c847304-cc54-42b0-9de0-d699a88a1347
104584	15	12820	2013-08-03 21:34:27.035181	2013-08-03 21:34:27.035181	\N	d71d6a8c-40e9-48d9-a567-c6560cda53c8
122992	14	15037	2013-08-03 23:04:47.50583	2013-08-03 23:04:47.50583	\N	fd5e4636-8111-4272-b306-a725a6ce4c25
120593	17	14459	2013-08-03 22:39:25.94472	2013-08-03 22:39:25.94472	\N	7b7bd951-ddbd-4391-90c8-cc77e68624f4
120596	15	14459	2013-08-03 22:39:28.655523	2013-08-03 22:39:28.655523	\N	42ca4cd6-79b1-4e61-a3d1-23ec4f182f6e
106377	11	12947	2013-08-03 21:40:11.801317	2013-08-03 21:40:11.801317	\N	5730f029-8350-4431-be4d-47cfecd10e96
104596	2	12769	2013-08-03 21:34:27.420177	2013-08-03 21:34:27.420177	\N	b39be3c8-089b-440e-9adf-0b4113bdcc88
120597	2	14458	2013-08-03 22:39:30.589397	2013-08-03 22:39:30.589397	\N	8a79f019-9675-42ca-81fa-23f09a6b72b0
104598	2	12781	2013-08-03 21:34:27.503413	2013-08-03 21:34:27.503413	\N	8fb9e731-cc2e-469f-b7c4-7dd53395f662
104599	2	12799	2013-08-03 21:34:27.54807	2013-08-03 21:34:27.54807	\N	a54a46ee-e3d2-4c37-ac61-742c6f33dbfa
104600	2	12805	2013-08-03 21:34:27.586282	2013-08-03 21:34:27.586282	\N	c9b41dd0-9fa2-4bc8-b693-7254072ad5b0
108352	13	13147	2013-08-03 21:50:33.238283	2013-08-03 21:50:33.238283	\N	dd722bf3-5621-45e5-b2bf-bd4d217014e5
108353	9	13159	2013-08-03 21:50:33.404182	2013-08-03 21:50:33.404182	\N	08e8569f-c4ea-4ff4-850a-42b5c555e730
104615	10	12823	2013-08-03 21:34:30.304293	2013-08-03 21:34:30.304293	\N	29b06e33-98fd-49bb-a594-8410f30a7e94
104618	11	12820	2013-08-03 21:34:30.476969	2013-08-03 21:34:30.476969	\N	b4b6c05b-fbe1-4017-a6e2-015ea233cc18
104619	10	12811	2013-08-03 21:34:30.586621	2013-08-03 21:34:30.586621	\N	b0eeffc2-0e4f-4655-b7cb-5ccd91f060d5
108354	9	13147	2013-08-03 21:50:33.552352	2013-08-03 21:50:33.552352	\N	5386af6b-5a05-429c-a609-997a0c8dfb2c
104622	10	12826	2013-08-03 21:34:30.769998	2013-08-03 21:34:30.769998	\N	befc5793-823e-4f5c-bc4b-233c9bb05a1f
120598	8	14449	2013-08-03 22:39:31.156666	2013-08-03 22:39:31.156666	\N	ef8b3d7a-6704-41f1-a47f-8473289d8c63
108357	17	13204	2013-08-03 21:50:35.177237	2013-08-03 21:50:35.177237	\N	69f1b9b0-b602-473c-bd96-af48ebb90573
104645	17	12781	2013-08-03 21:34:32.481145	2013-08-03 21:34:32.481145	\N	19506ee3-3c54-4ec3-ab46-8edc2b20976e
104650	14	12781	2013-08-03 21:34:33.661218	2013-08-03 21:34:33.661218	\N	fbb09e55-4c4b-4378-8fe0-e7ecff60693d
104651	14	12821	2013-08-03 21:34:33.814024	2013-08-03 21:34:33.814024	\N	68a730e5-d435-48ab-adc4-e24f5bc8be97
152397	16	20417	2013-08-04 02:39:04.385146	2013-08-04 02:39:04.385146	\N	beacfa6a-470d-4d32-9840-261511382a73
125277	14	15427	2013-08-03 23:20:42.711189	2013-08-03 23:20:42.711189	\N	599e4117-4c74-403d-81a8-33df3f0daee5
108370	8	13147	2013-08-03 21:50:37.086485	2013-08-03 21:50:37.086485	\N	bb5894c0-a3e9-49d6-bdf4-e135a05b97df
120612	7	14443	2013-08-03 22:39:40.871323	2013-08-03 22:39:40.871323	\N	d2dfb35b-dbe6-4858-8ff4-374e7c5aa0a0
120613	20	14449	2013-08-03 22:39:42.452255	2013-08-03 22:39:42.452255	\N	dcfb43fd-f163-4336-b9a7-e6cfc5d7a606
120614	10	14461	2013-08-03 22:39:43.824318	2013-08-03 22:39:43.824318	\N	5eb8fe50-2ea1-4a3f-b471-8eb0c2dcba39
104687	6	12769	2013-08-03 21:34:39.752721	2013-08-03 21:34:39.752721	\N	11b79942-5191-43bd-8433-2f01bee02406
104690	6	12811	2013-08-03 21:34:40.856618	2013-08-03 21:34:40.856618	\N	ca60c5b7-580e-4609-8ab2-9a15eec8f616
104691	7	12769	2013-08-03 21:34:41.158452	2013-08-03 21:34:41.158452	\N	4232f2cd-c887-4849-bf4d-3c8d77cc167f
106425	17	12907	2013-08-03 21:40:22.196335	2013-08-03 21:40:22.196335	\N	61f2e0eb-4acf-47c8-b021-c4516ec2882a
120615	6	14458	2013-08-03 22:39:44.207658	2013-08-03 22:39:44.207658	\N	a6e24def-e5b6-4871-8bbe-2bcfa303c7ab
120638	6	14461	2013-08-03 22:39:50.089455	2013-08-03 22:39:50.089455	\N	478a50ee-c0f4-455f-bc0d-ea54e8f567d6
106431	19	12907	2013-08-03 21:40:24.649184	2013-08-03 21:40:24.649184	\N	79a79b59-0b15-48f8-b386-bd831f588729
202833	14	25694	2013-08-04 20:14:17.361199	2013-08-04 20:14:17.361199	\N	a33f24ff-6cf2-4b36-ad3e-d98a89c7725e
104747	5	12820	2013-08-03 21:34:52.258117	2013-08-03 21:34:52.258117	\N	84e4049d-b670-4ac6-85d8-aaaa0aa4d7d4
118633	5	14065	2013-08-03 22:26:46.582776	2013-08-03 22:26:46.582776	\N	b4a9325c-7583-44a3-bfd3-c947205c07ef
122968	13	15079	2013-08-03 23:04:40.588143	2013-08-03 23:04:40.588143	\N	c4334954-3220-4dce-b1cb-7a4fd36c3761
125233	6	15466	2013-08-03 23:20:27.762964	2013-08-03 23:20:27.762964	\N	a903c17d-0f63-4837-9d39-7b4708727daa
108142	9	13190	2013-08-03 21:49:52.644432	2013-08-03 21:49:52.644432	\N	041f9dca-785e-4496-93b6-4412959db6fe
125235	8	15467	2013-08-03 23:20:28.205844	2013-08-03 23:20:28.205844	\N	bb4b9bea-34e9-469c-a769-f3bb95cdc247
106213	2	12907	2013-08-03 21:39:35.409831	2013-08-03 21:39:35.409831	\N	8848a590-dc7e-4f85-bc18-b386a5f05b7d
106214	2	12916	2013-08-03 21:39:35.468756	2013-08-03 21:39:35.468756	\N	ab0b9708-fc2f-42cf-9eeb-c284dd2f8c97
106215	2	12931	2013-08-03 21:39:35.519446	2013-08-03 21:39:35.519446	\N	d17cad66-8b6f-4a29-9753-8e11c8400bdf
106216	2	12946	2013-08-03 21:39:35.561253	2013-08-03 21:39:35.561253	\N	e2734d2d-57ed-43b4-b480-c6dd5689a06d
106217	2	12952	2013-08-03 21:39:35.589367	2013-08-03 21:39:35.589367	\N	4bd583c1-6751-4362-ad75-33b53725ae0b
106221	8	12907	2013-08-03 21:39:36.264934	2013-08-03 21:39:36.264934	\N	1f7d5034-8e90-4bac-bccf-c34495f9489d
122998	16	15049	2013-08-03 23:04:49.330141	2013-08-03 23:04:49.330141	\N	51f989c6-ac3a-4d37-9565-406ccaa19bd5
120545	19	14333	2013-08-03 22:38:31.117597	2013-08-03 22:38:31.117597	\N	fac74f52-34e8-4644-8d73-304941c917a1
207006	7	26389	2013-08-04 20:42:35.324835	2013-08-04 20:42:35.324835	\N	e87d078c-c0c0-4dac-b7f7-9be71ac2f626
187046	7	24136	2013-08-04 19:02:43.772802	2013-08-04 19:02:43.772802	\N	7829628a-13ec-4775-986b-27371e245c85
123031	8	15064	2013-08-03 23:04:57.725465	2013-08-03 23:04:57.725465	\N	25ec5315-53d0-4400-a11e-b1013d297071
140846	9	18869	2013-08-04 01:36:17.183059	2013-08-04 01:36:17.183059	\N	56cdce5c-fe66-411b-aca4-8a877788b56a
207007	9	26501	2013-08-04 20:42:36.029724	2013-08-04 20:42:36.029724	\N	7c640312-2aaf-46d6-bcf3-f0bdabcae450
129920	16	16297	2013-08-03 23:57:20.541422	2013-08-03 23:57:20.541422	\N	733a67ec-1e74-4f24-9f55-a84096ca907e
110104	3	13309	2013-08-03 21:56:25.699124	2013-08-03 21:56:25.699124	\N	86224551-b2f1-433a-a757-8a6bd35c014c
108188	5	13063	2013-08-03 21:50:03.888567	2013-08-03 21:50:03.888567	\N	d6e075a4-eba0-46a9-b880-2aadaff340c2
108189	9	13199	2013-08-03 21:50:04.021804	2013-08-03 21:50:04.021804	\N	78d28357-97d4-44c7-a55f-596d0640e10a
110105	3	13273	2013-08-03 21:56:25.724435	2013-08-03 21:56:25.724435	\N	85a34034-5fef-444a-92df-f510eab60ab6
106296	9	12938	2013-08-03 21:39:52.294469	2013-08-03 21:39:52.294469	\N	a24d7bf3-15d2-4498-9e74-b80cf75375a8
120590	2	14419	2013-08-03 22:39:25.431324	2013-08-03 22:39:25.431324	\N	755475a0-a661-4646-b820-6ba30c42b55f
108192	5	13057	2013-08-03 21:50:04.282899	2013-08-03 21:50:04.282899	\N	9d7900da-fde8-4337-a5d6-ff93e76c0487
102679	12	12568	2013-08-03 21:27:29.699792	2013-08-03 21:27:29.699792	\N	492192d7-87f4-4ff3-aaa2-aadf0294bb0a
110107	3	13282	2013-08-03 21:56:25.767458	2013-08-03 21:56:25.767458	\N	4f69ef18-ccdb-43a5-a26f-6e1e9edaf0f1
110108	3	13327	2013-08-03 21:56:25.792736	2013-08-03 21:56:25.792736	\N	6578d429-aebe-4c88-823f-c41d02f26567
120591	2	14461	2013-08-03 22:39:25.499532	2013-08-03 22:39:25.499532	\N	abe267df-1e18-4ab3-af0d-2f3a4119985b
110110	3	13315	2013-08-03 21:56:25.832421	2013-08-03 21:56:25.832421	\N	0debfd79-22c0-4508-b812-2f1de5736bba
110111	3	13294	2013-08-03 21:56:25.856352	2013-08-03 21:56:25.856352	\N	1d4b0d4e-8b8e-4c56-b68b-e7595d0d79be
120595	15	14458	2013-08-03 22:39:28.607363	2013-08-03 22:39:28.607363	\N	462fedb9-feeb-446b-93ca-7780f84bc851
110115	14	13294	2013-08-03 21:56:26.17564	2013-08-03 21:56:26.17564	\N	d354811f-2ce8-41b3-9887-f14e36701cac
120600	8	14443	2013-08-03 22:39:31.157616	2013-08-03 22:39:31.157616	\N	b482f391-ed04-4301-b1ba-67c4686e1c44
123053	7	15064	2013-08-03 23:05:01.546802	2013-08-03 23:05:01.546802	\N	c96fd7be-cd86-4c47-94d1-52b44917ad1f
108222	5	13156	2013-08-03 21:50:07.449166	2013-08-03 21:50:07.449166	\N	297e57d0-a619-431e-8e31-4013cb8f87ee
110119	14	13327	2013-08-03 21:56:26.470951	2013-08-03 21:56:26.470951	\N	017b5483-f816-4b94-9641-e13a25f42c72
120624	6	14419	2013-08-03 22:39:45.768276	2013-08-03 22:39:45.768276	\N	f190e84f-988f-4eec-8865-d28fd84f4ecc
104557	8	12826	2013-08-03 21:34:22.516568	2013-08-03 21:34:22.516568	\N	b16e895a-a28d-43b2-a4ac-0f121240f134
104566	9	12812	2013-08-03 21:34:22.699299	2013-08-03 21:34:22.699299	\N	a0854ce7-01db-442d-a741-464cf125c06e
120627	16	14449	2013-08-03 22:39:47.643038	2013-08-03 22:39:47.643038	\N	74eb576f-1bda-4a29-9745-19706d9ef51a
120628	16	14419	2013-08-03 22:39:47.751902	2013-08-03 22:39:47.751902	\N	8d5a0283-189a-4b21-8a5b-001cc01c3005
106426	17	12895	2013-08-03 21:40:22.352315	2013-08-03 21:40:22.352315	\N	92bef20b-2281-468c-af1d-a0fa818ff1b8
104605	17	12811	2013-08-03 21:34:28.41241	2013-08-03 21:34:28.41241	\N	84dca911-81a0-4b6b-bc45-b317e7270887
104607	7	12799	2013-08-03 21:34:28.571491	2013-08-03 21:34:28.571491	\N	7a6e2925-d750-4712-9443-4856951d7915
120630	11	14449	2013-08-03 22:39:48.610208	2013-08-03 22:39:48.610208	\N	b4084cd5-3a55-4ae1-b2ff-03a1e3c6a9f8
179898	2	23592	2013-08-04 18:37:48.248536	2013-08-04 18:37:48.248536	\N	c32b5ac3-0359-4be9-9ada-15c6fa0d5b30
104623	10	12805	2013-08-03 21:34:30.863204	2013-08-03 21:34:30.863204	\N	8eee21a5-d5dd-48ae-866f-27575efaf1aa
104626	7	12820	2013-08-03 21:34:30.970787	2013-08-03 21:34:30.970787	\N	b5df6887-e3e4-4abe-88b9-e4cdf296a2f3
127640	19	15845	2013-08-03 23:36:23.440312	2013-08-03 23:36:23.440312	\N	27ce26e8-9121-446c-a0ac-848680a36384
143649	11	19333	2013-08-04 01:56:05.968947	2013-08-04 01:56:05.968947	\N	4e71c73a-5c05-44a9-afd8-6f718150e1cd
123064	17	15049	2013-08-03 23:05:03.518325	2013-08-03 23:05:03.518325	\N	0b1b51e9-6eb6-4c9f-9f13-0fdeac597487
106444	17	12947	2013-08-03 21:40:26.64356	2013-08-03 21:40:26.64356	\N	93932186-27d9-48b6-aade-b3583c9d5686
106448	16	12949	2013-08-03 21:40:27.100737	2013-08-03 21:40:27.100737	\N	f45572a0-900b-42ac-a31a-a6eee8e2876e
129933	1	16349	2013-08-03 23:57:28.944519	2013-08-03 23:57:28.944519	\N	5fc77df1-5aa2-4ed9-b7f6-83d8da6f3f73
104653	17	12769	2013-08-03 21:34:34.590136	2013-08-03 21:34:34.590136	\N	0b941ef3-26e6-4987-8226-3d2fe3ca561c
106461	9	12907	2013-08-03 21:40:32.409737	2013-08-03 21:40:32.409737	\N	698caa17-bdcb-43c6-816d-bd417e64ce39
112376	19	13441	2013-08-03 22:01:57.583077	2013-08-03 22:01:57.583077	\N	57b06587-9e7a-4bd8-984b-1da9dbcf2d40
123068	6	15073	2013-08-03 23:05:05.419168	2013-08-03 23:05:05.419168	\N	f7b27a22-1d4d-42fd-a533-ad475d49b06f
120673	8	14459	2013-08-03 22:40:17.322587	2013-08-03 22:40:17.322587	\N	2a39bb32-5c07-43fb-8573-ff1b7110f2f5
108351	17	13201	2013-08-03 21:50:33.098784	2013-08-03 21:50:33.098784	\N	a9700375-9858-433a-9561-8439f34c338f
108356	6	13147	2013-08-03 21:50:35.025331	2013-08-03 21:50:35.025331	\N	1ad880c3-da3b-4cec-8ba4-d8f30f76c509
110234	10	13285	2013-08-03 21:56:45.732271	2013-08-03 21:56:45.732271	\N	6326329e-b58c-43c9-8f4c-00f01b48b763
104703	6	12820	2013-08-03 21:34:42.961628	2013-08-03 21:34:42.961628	\N	ede298df-f5f4-4514-822a-55f7cec5b28b
123070	17	15037	2013-08-03 23:05:05.60373	2013-08-03 23:05:05.60373	\N	2f427f18-b1c5-48c5-a375-ea0dcacd65da
187049	7	24121	2013-08-04 19:02:44.097298	2013-08-04 19:02:44.097298	\N	7c1e6321-078d-4ee1-bd74-f2d66e6f979f
140852	4	18829	2013-08-04 01:36:20.784854	2013-08-04 01:36:20.784854	\N	6a1515e1-1c2e-4709-bc77-c1413404239b
125288	14	15442	2013-08-03 23:20:44.555738	2013-08-03 23:20:44.555738	\N	82ff6d01-b89a-4ea9-9dd5-1dc63fbc79e9
140853	4	18817	2013-08-04 01:36:20.936142	2013-08-04 01:36:20.936142	\N	7f4688b6-74fe-4f9a-83b0-db893e2eb7e1
106502	9	12946	2013-08-03 21:40:49.523943	2013-08-03 21:40:49.523943	\N	202ef98d-0062-4e6c-910d-1c7d97ab0393
116444	19	13819	2013-08-03 22:17:41.545667	2013-08-03 22:17:41.545667	\N	e0ce2776-c53e-4709-96c7-6ae28d46da61
140855	4	18868	2013-08-04 01:36:20.982438	2013-08-04 01:36:20.982438	\N	41150fea-36fd-4f22-879a-0804a0a151ec
140864	17	18829	2013-08-04 01:36:21.660659	2013-08-04 01:36:21.660659	\N	e0cf5c11-cc70-4040-ae3d-3621877e24cd
112441	19	13399	2013-08-03 22:02:02.912354	2013-08-03 22:02:02.912354	\N	5660010d-2445-4b28-b94a-09ec4c49785e
104742	5	12670	2013-08-03 21:34:50.924005	2013-08-03 21:34:50.924005	\N	4aadea1c-afd5-4e88-b852-fb1a7f533245
129949	1	16348	2013-08-03 23:57:43.871644	2013-08-03 23:57:43.871644	\N	569621da-82d5-443b-96da-b965edb87248
104748	5	12805	2013-08-03 21:34:52.656665	2013-08-03 21:34:52.656665	\N	3ed2e4a6-62fb-48b2-8c20-16e154a8f56e
140952	14	18868	2013-08-04 01:36:56.255953	2013-08-04 01:36:56.255953	\N	2ebc0d60-7736-4496-b497-8b92981b6020
187050	2	24129	2013-08-04 19:02:44.182469	2013-08-04 19:02:44.182469	\N	22882529-5388-4d0d-881b-bb7217eb8918
106520	5	12916	2013-08-03 21:40:55.671216	2013-08-03 21:40:55.671216	\N	e17e4c8a-be89-4df9-9a8b-3ef4e3f4bd1d
104752	5	12823	2013-08-03 21:34:53.15793	2013-08-03 21:34:53.15793	\N	86c0fe6a-9a26-4374-a0a8-fd2d88e3efdd
116459	3	13831	2013-08-03 22:17:46.281369	2013-08-03 22:17:46.281369	\N	0c11b9b2-5fac-4d86-8bf5-3323195f12a2
106522	5	12895	2013-08-03 21:40:56.567887	2013-08-03 21:40:56.567887	\N	1f6b0291-0a90-4ec4-87ce-d749908abe3f
116461	3	13786	2013-08-03 22:17:46.344548	2013-08-03 22:17:46.344548	\N	2662ca33-1088-4801-93eb-49a1a63cbe7c
104770	13	12811	2013-08-03 21:34:56.643998	2013-08-03 21:34:56.643998	\N	c31dbeb2-370b-41be-8fb9-4f361e1e2e70
104771	17	12823	2013-08-03 21:34:56.842708	2013-08-03 21:34:56.842708	\N	acd63f19-0bdf-44e4-b9e4-3545cb0b7f7c
104772	13	12781	2013-08-03 21:34:57.200899	2013-08-03 21:34:57.200899	\N	00da6837-ec58-4a35-a760-cbbe003e0e78
104773	13	12769	2013-08-03 21:34:57.481666	2013-08-03 21:34:57.481666	\N	af949292-4fff-4c6d-99a8-e3f6931629fd
106532	5	12931	2013-08-03 21:40:57.610046	2013-08-03 21:40:57.610046	\N	fb758779-b212-4887-b8b0-4976237ef859
106534	17	12916	2013-08-03 21:40:58.018969	2013-08-03 21:40:58.018969	\N	f6a95520-584f-4377-9462-f33e2c53055e
116462	3	13789	2013-08-03 22:17:46.40106	2013-08-03 22:17:46.40106	\N	d47e6be1-5fcd-4902-a968-551fa45777bc
106537	1	12947	2013-08-03 21:40:58.234244	2013-08-03 21:40:58.234244	\N	cd469397-089d-4fee-8841-89b25e880619
166050	8	22135	2013-08-04 17:41:59.241651	2013-08-04 17:41:59.241651	\N	b42140f3-626d-458d-b64d-09556e4a3a2c
166053	7	22135	2013-08-04 17:42:03.626019	2013-08-04 17:42:03.626019	\N	644f13ea-d971-4bf3-8dfc-25334b0fcfb2
108458	19	13168	2013-08-03 21:50:49.459093	2013-08-03 21:50:49.459093	\N	1d9888f6-d82d-4d31-8545-fcb64b26ca56
110281	9	13315	2013-08-03 21:56:50.97094	2013-08-03 21:56:50.97094	\N	765d51b8-9f76-4ea8-ad16-30e870cf2891
166140	11	22186	2013-08-04 17:42:28.332038	2013-08-04 17:42:28.332038	\N	a905848b-a26f-422e-af18-e65aaea62abe
132734	14	17065	2013-08-04 00:28:02.879576	2013-08-04 00:28:02.879576	\N	81be5e3b-ab14-48cb-a038-b2a37e9ff68f
106555	17	12925	2013-08-03 21:41:04.12526	2013-08-03 21:41:04.12526	\N	a9877a2b-5f6a-427a-b89e-278151f07781
132735	14	17053	2013-08-04 00:28:03.273052	2013-08-04 00:28:03.273052	\N	4b9131a5-8b11-434c-8c2f-39ccd191fc4b
129967	14	16333	2013-08-03 23:57:56.359619	2013-08-03 23:57:56.359619	\N	13c91930-18f4-4a61-b191-a0b8cf513b3b
108475	19	13183	2013-08-03 21:50:52.61957	2013-08-03 21:50:52.61957	\N	9aa19b69-660a-4678-a917-1d292d354994
187052	2	24126	2013-08-04 19:02:44.22123	2013-08-04 19:02:44.22123	\N	eba16762-cea7-4378-b7fd-d44a8778e3a2
110308	15	13306	2013-08-03 21:56:54.703179	2013-08-03 21:56:54.703179	\N	1b57baa2-6e93-4e30-92a4-c1c89aa2da14
106570	14	12947	2013-08-03 21:41:11.061557	2013-08-03 21:41:11.061557	\N	82353b1d-9ef2-48e8-93d7-35964a69d08c
106572	14	12946	2013-08-03 21:41:11.215401	2013-08-03 21:41:11.215401	\N	57b3c8c5-4184-4ac5-af59-db31bb2c013f
106316	12	12907	2013-08-03 21:39:57.225452	2013-08-03 21:39:57.225452	\N	ad1aeb8c-0838-4236-a3f6-da8a1f102a5e
118486	5	14038	2013-08-03 22:26:04.067925	2013-08-03 22:26:04.067925	\N	885b3c9c-1208-43fe-8714-7f3111884419
187054	2	24121	2013-08-04 19:02:44.285145	2013-08-04 19:02:44.285145	\N	92382e70-3f58-4b72-8a26-1032abecb3d9
108214	17	13156	2013-08-03 21:50:07.018099	2013-08-03 21:50:07.018099	\N	0ef231ab-587b-4df5-b439-cc34f6ba5d81
123004	16	15073	2013-08-03 23:04:49.603795	2013-08-03 23:04:49.603795	\N	922ba1d1-5176-4ea7-840d-1ae873b61b55
108246	19	13199	2013-08-03 21:50:10.2099	2013-08-03 21:50:10.2099	\N	716a7346-3e87-455f-a06e-b3e9bab3e338
108247	8	13189	2013-08-03 21:50:10.939461	2013-08-03 21:50:10.939461	\N	08d6485c-7bdc-46a7-998f-8d7be0253b1c
132705	17	17104	2013-08-04 00:27:51.605532	2013-08-04 00:27:51.605532	\N	bead5ea1-ddeb-4cd2-835a-13d32dac71bd
135299	14	17734	2013-08-04 00:53:10.28467	2013-08-04 00:53:10.28467	\N	162de5be-8498-45fd-8244-f335bdd71bbf
120587	13	14449	2013-08-03 22:39:24.068851	2013-08-03 22:39:24.068851	\N	4c9f4e7b-db06-4ebd-a628-0644c4cf5299
120588	7	14458	2013-08-03 22:39:24.451976	2013-08-03 22:39:24.451976	\N	f82b88f6-94bf-4206-b7f2-b22af116374c
120601	8	14461	2013-08-03 22:39:31.157997	2013-08-03 22:39:31.157997	\N	8883d8f9-80af-4117-bab5-d46c508606c9
120606	8	14458	2013-08-03 22:39:35.276766	2013-08-03 22:39:35.276766	\N	e344930c-70ed-490c-b108-b10b0a78c406
106398	8	12947	2013-08-03 21:40:15.49991	2013-08-03 21:40:15.49991	\N	bdb95025-49e8-44fd-bb40-5f27278c48aa
106400	19	12947	2013-08-03 21:40:16.524185	2013-08-03 21:40:16.524185	\N	0da8c9d6-cf6a-4b5d-89fd-7fe6074d15f8
118547	18	14081	2013-08-03 22:26:19.554778	2013-08-03 22:26:19.554778	\N	0db0f32c-a7b3-4ec1-b77d-33f09b2cd40c
120608	7	14449	2013-08-03 22:39:37.233327	2013-08-03 22:39:37.233327	\N	9258963c-aac1-44d6-bef8-a60169450805
108265	17	13168	2013-08-03 21:50:16.749898	2013-08-03 21:50:16.749898	\N	4ebb23ba-482c-4181-bbc7-f70027a53d84
120610	9	14459	2013-08-03 22:39:40.334309	2013-08-03 22:39:40.334309	\N	7ca0d97b-3122-4e14-9a20-3e1e827f7dd7
108296	10	13198	2013-08-03 21:50:25.850062	2013-08-03 21:50:25.850062	\N	bd218ea6-34e4-44df-a445-4eb0677c129e
108297	10	13199	2013-08-03 21:50:25.952134	2013-08-03 21:50:25.952134	\N	57f72301-b47d-4a1b-bc8a-4a6571fe4c1d
106440	16	12907	2013-08-03 21:40:26.319572	2013-08-03 21:40:26.319572	\N	0058a1fc-d62f-4c25-abf2-149d6e34dbbd
106445	16	12925	2013-08-03 21:40:26.65489	2013-08-03 21:40:26.65489	\N	2c6592ef-ca65-46f8-a26d-ddb8014c9ff3
187055	2	24117	2013-08-04 19:02:44.326659	2013-08-04 19:02:44.326659	\N	17765ea2-745d-43cc-bbda-2eb224e6d5fa
106447	16	12946	2013-08-03 21:40:26.944181	2013-08-03 21:40:26.944181	\N	d645b2be-82da-4800-9eba-b387e7ff16e6
176435	14	23207	2013-08-04 18:25:48.023655	2013-08-04 18:25:48.023655	\N	aa67619f-42c3-44dc-a3df-589c659348cb
110194	6	13306	2013-08-03 21:56:41.26758	2013-08-03 21:56:41.26758	\N	e8d6050c-c0db-4903-8451-14d7b655f19c
120633	11	14419	2013-08-03 22:39:49.50846	2013-08-03 22:39:49.50846	\N	6a3c1a62-192e-4dd9-bab6-3cd03d3238bb
104511	12	12694	2013-08-03 21:33:45.369576	2013-08-03 21:33:45.369576	\N	66e051bc-efd7-4478-bf61-074811e7bd0d
106467	3	12946	2013-08-03 21:40:35.208276	2013-08-03 21:40:35.208276	\N	cb41b5cd-7d80-4de6-a663-fa09db3f3470
106468	3	12895	2013-08-03 21:40:35.304531	2013-08-03 21:40:35.304531	\N	c8bb4597-b138-4450-ae84-95b659ccff5b
106469	3	12907	2013-08-03 21:40:35.360361	2013-08-03 21:40:35.360361	\N	cfc1829f-e9c2-431e-bfe4-6806c4cec2cf
116509	16	13777	2013-08-03 22:17:56.48314	2013-08-03 22:17:56.48314	\N	385c2ed6-1c99-4744-8c63-6efc09710296
102752	2	12529	2013-08-03 21:27:42.814756	2013-08-03 21:27:42.814756	\N	ce4d649d-0e41-455f-a225-094476250b22
176438	14	23166	2013-08-04 18:25:48.055343	2013-08-04 18:25:48.055343	\N	11ee64fa-f36b-47f3-bc32-a8042a1fb778
102754	2	12570	2013-08-03 21:27:42.899227	2013-08-03 21:27:42.899227	\N	05da655e-a607-4a81-b143-94a0ba6ce535
176439	14	23167	2013-08-04 18:25:48.089692	2013-08-04 18:25:48.089692	\N	ad106a96-e192-4b08-95e3-040123127b93
104559	8	12805	2013-08-03 21:34:22.521502	2013-08-03 21:34:22.521502	\N	f95a424f-e150-4307-af97-6861d00d0880
110227	13	13306	2013-08-03 21:56:44.22305	2013-08-03 21:56:44.22305	\N	9f9d11a3-3c5a-4918-9825-cf9b17566c68
104572	15	12769	2013-08-03 21:34:23.726199	2013-08-03 21:34:23.726199	\N	104af9dd-8bd6-41b1-9b5f-39b400d034c2
110236	7	13306	2013-08-03 21:56:45.827295	2013-08-03 21:56:45.827295	\N	a961308f-f8e9-4680-8482-dfe3a70d7c7a
106505	19	12925	2013-08-03 21:40:50.831023	2013-08-03 21:40:50.831023	\N	cd1c2107-485f-4182-82b1-e2c02962f507
104580	11	12781	2013-08-03 21:34:26.36023	2013-08-03 21:34:26.36023	\N	a1be2f2b-52de-490a-bc68-ded354b502bd
176440	14	23175	2013-08-04 18:25:48.125993	2013-08-04 18:25:48.125993	\N	db2e4aa9-3cc5-41ea-b2e9-2c550d7a11ba
120690	5	14458	2013-08-03 22:40:36.566306	2013-08-03 22:40:36.566306	\N	ed989671-9877-4940-80f2-79928d72d263
143688	4	19333	2013-08-04 01:56:08.376853	2013-08-04 01:56:08.376853	\N	1912c65c-09e1-4abe-9b3a-ff67a5d5d4e9
106533	13	12907	2013-08-03 21:40:57.629569	2013-08-03 21:40:57.629569	\N	3d37706c-da61-4497-8558-4745f1d9f66c
143690	4	19321	2013-08-04 01:56:08.454758	2013-08-04 01:56:08.454758	\N	7f22254c-b4e9-4cdb-a75f-795235664760
104616	10	12790	2013-08-03 21:34:30.377699	2013-08-03 21:34:30.377699	\N	40a8165f-b416-4acf-b0f1-2531934a58ce
104617	10	12799	2013-08-03 21:34:30.468228	2013-08-03 21:34:30.468228	\N	eb2353c5-bbe4-463d-bee8-aa3893d84875
104625	10	12820	2013-08-03 21:34:30.955503	2013-08-03 21:34:30.955503	\N	8e24c5c4-783f-4e2b-8e21-7f9ffadfc00a
104627	10	12821	2013-08-03 21:34:31.064556	2013-08-03 21:34:31.064556	\N	b65249a2-103c-4728-98ae-6aaea5b5b4b9
108453	5	13183	2013-08-03 21:50:48.697948	2013-08-03 21:50:48.697948	\N	779fe484-49dc-4d40-9714-0179015f4c73
143692	4	19354	2013-08-04 01:56:08.534514	2013-08-04 01:56:08.534514	\N	bc3ec8d5-71d0-4be6-9f96-e73087418947
104642	11	12826	2013-08-03 21:34:31.285199	2013-08-03 21:34:31.285199	\N	f26c5f00-ba46-4d3d-b549-5389ea5a8295
108465	7	13147	2013-08-03 21:50:51.597583	2013-08-03 21:50:51.597583	\N	d959154b-d3ab-42bf-8630-8b1e448e0ea7
143695	4	19372	2013-08-04 01:56:08.643347	2013-08-04 01:56:08.643347	\N	32301471-a296-4f98-b0cc-c7f17d28d198
104666	4	12821	2013-08-03 21:34:35.770331	2013-08-03 21:34:35.770331	\N	f1bda644-6c43-4129-91a7-ee409421c21a
108469	14	13147	2013-08-03 21:50:52.36513	2013-08-03 21:50:52.36513	\N	21adf98d-9d61-4415-bfcb-2cdd9463abb0
104669	7	12781	2013-08-03 21:34:37.417472	2013-08-03 21:34:37.417472	\N	b0ebcd59-3082-4b06-bfc2-9fcf98a0cf7e
108471	14	13198	2013-08-03 21:50:52.415035	2013-08-03 21:50:52.415035	\N	c4839982-de7a-47a9-a565-fab99c2d0225
143707	9	19372	2013-08-04 01:56:09.270234	2013-08-04 01:56:09.270234	\N	1d972f3e-74bb-4195-9d3a-f46ce157bf6e
104680	7	12790	2013-08-03 21:34:38.624202	2013-08-03 21:34:38.624202	\N	2660a5e2-a77a-4190-a54b-106666065554
120713	17	14458	2013-08-03 22:40:45.823687	2013-08-03 22:40:45.823687	\N	b2ec44d0-9808-4067-8696-411fb8b6c2db
104694	15	12821	2013-08-03 21:34:42.755834	2013-08-03 21:34:42.755834	\N	16a5a98d-f7ef-4e98-b5e1-0ec98388d8b2
120716	5	14443	2013-08-03 22:40:48.695473	2013-08-03 22:40:48.695473	\N	148f02ed-3449-4efc-93d1-f3e7c9c19874
176441	14	23181	2013-08-04 18:25:48.18697	2013-08-04 18:25:48.18697	\N	5fdf9480-24ba-4a02-9c9b-7e6fce934d35
123113	17	15089	2013-08-03 23:05:16.002877	2013-08-03 23:05:16.002877	\N	bbcf2500-76f8-446a-b491-5877e94454da
176442	14	23172	2013-08-04 18:25:48.238031	2013-08-04 18:25:48.238031	\N	88869efa-b2a8-4b01-81a0-f2329e278c73
140885	11	18817	2013-08-04 01:36:29.147214	2013-08-04 01:36:29.147214	\N	e10c06c0-8c20-4d43-b6eb-3f93f4ef5b23
176443	14	23183	2013-08-04 18:25:48.297054	2013-08-04 18:25:48.297054	\N	ef1930d7-7c39-4a1a-b99d-cab28f65f3a1
132774	16	17053	2013-08-04 00:28:23.688495	2013-08-04 00:28:23.688495	\N	23e8135f-7fd3-4f73-aeec-70fb0ac29c81
179864	2	23487	2013-08-04 18:37:44.8954	2013-08-04 18:37:44.8954	\N	b8707241-0546-412a-9e37-244acec510ac
179865	2	23491	2013-08-04 18:37:44.955833	2013-08-04 18:37:44.955833	\N	6fc4fd80-cb1d-45ef-983e-49ea0e48efb5
179866	2	23496	2013-08-04 18:37:44.999507	2013-08-04 18:37:44.999507	\N	387e590b-6516-4fbf-931e-ba893d12940a
165957	14	22041	2013-08-04 17:40:57.357398	2013-08-04 17:40:57.357398	\N	5719fc0b-e922-400a-b9a2-d3aa013f8c8c
165958	14	22047	2013-08-04 17:40:57.419039	2013-08-04 17:40:57.419039	\N	f1b10c79-6a43-46fe-8375-1a71c77d6c9a
172969	14	22888	2013-08-04 18:13:31.593643	2013-08-04 18:13:31.593643	\N	ad7f2a11-6cec-47b3-8c49-59368589c128
116666	12	13777	2013-08-03 22:18:33.062303	2013-08-03 22:18:33.062303	\N	e64933a3-ba01-4ae7-8448-0028aef8c19b
140897	11	18868	2013-08-04 01:36:32.684996	2013-08-04 01:36:32.684996	\N	77fa6272-bd23-4438-b2b9-c040f7fa88ff
106631	10	12916	2013-08-03 21:41:26.698438	2013-08-03 21:41:26.698438	\N	22b9509f-e8d6-47d7-94fc-043053075316
106633	10	12949	2013-08-03 21:41:26.916751	2013-08-03 21:41:26.916751	\N	bcd735ea-acea-4c92-b264-0c51fe52810f
169543	3	22483	2013-08-04 18:00:38.984849	2013-08-04 18:00:38.984849	\N	0c71cb22-2a4e-4495-817f-397528248059
110369	9	13306	2013-08-03 21:57:05.280999	2013-08-03 21:57:05.280999	\N	7c0a27bd-33ad-4f72-af3d-836b6c648dbe
172970	14	22960	2013-08-04 18:13:31.641109	2013-08-04 18:13:31.641109	\N	8bcfc6fa-eeb3-46ee-bbdc-82266f0344d4
130165	16	16423	2013-08-04 00:00:28.755486	2013-08-04 00:00:28.755486	\N	543825c9-d741-4421-9636-d917954e3c35
130183	13	16435	2013-08-04 00:00:40.785926	2013-08-04 00:00:40.785926	\N	7f1d0125-61dd-47ad-a44c-5431561395fd
172971	14	22889	2013-08-04 18:13:31.687389	2013-08-04 18:13:31.687389	\N	196df282-b645-4730-9b24-c2b7843c75c0
112577	19	13408	2013-08-03 22:02:23.986489	2013-08-03 22:02:23.986489	\N	ab581c0d-5cb5-4bd8-a53c-dfff0c6e99b5
120805	3	14419	2013-08-03 22:43:43.488699	2013-08-03 22:43:43.488699	\N	e47808b7-b011-4a91-bb91-efbbedfb33d1
123144	17	15073	2013-08-03 23:05:22.080891	2013-08-03 23:05:22.080891	\N	8295bc20-f585-44b4-930a-1f8a208aa8f6
116720	18	13829	2013-08-03 22:18:49.563025	2013-08-03 22:18:49.563025	\N	0d3c2387-2e12-420f-9116-37ec96a397e7
138285	7	18321	2013-08-04 01:20:36.459956	2013-08-04 01:20:36.459956	\N	96b36c98-8385-4a14-bf87-dc1a3ebb2d49
172972	14	22890	2013-08-04 18:13:31.730621	2013-08-04 18:13:31.730621	\N	8be82196-7977-43f0-b7be-2a95aff7a116
172973	14	22925	2013-08-04 18:13:31.775035	2013-08-04 18:13:31.775035	\N	4bf3cbcc-170b-436e-aa13-e4d8af1a4e31
120836	15	14585	2013-08-03 22:45:02.422561	2013-08-03 22:45:02.422561	\N	d3c2baad-f9eb-4ad9-a6e9-d6c4746361ec
172974	14	22959	2013-08-04 18:13:31.836344	2013-08-04 18:13:31.836344	\N	c256f1a4-a6cb-4ee5-914c-4e21b4fbe4f9
179867	2	23493	2013-08-04 18:37:45.056969	2013-08-04 18:37:45.056969	\N	ae1b2312-b8c8-48fa-8d1a-1fd4162592f1
114520	7	13693	2013-08-03 22:09:26.620453	2013-08-03 22:09:26.620453	\N	3dc108a5-9367-4b93-b901-02710089450b
114523	15	13702	2013-08-03 22:09:27.824054	2013-08-03 22:09:27.824054	\N	e6fbb267-5a8f-4f6d-8d00-7795cb78602d
114529	8	13693	2013-08-03 22:09:27.895093	2013-08-03 22:09:27.895093	\N	37901760-7a8a-4d2f-83cc-6030ed53a9c8
114534	1	13663	2013-08-03 22:09:28.279667	2013-08-03 22:09:28.279667	\N	bf399c43-0d32-4439-9203-2fc807148bbe
114547	17	13660	2013-08-03 22:09:31.702125	2013-08-03 22:09:31.702125	\N	5ece605f-8d69-4c7b-a5e9-bfc650088c58
114548	20	13702	2013-08-03 22:09:31.859473	2013-08-03 22:09:31.859473	\N	dc846ca4-7544-4018-9692-6c4320cec523
179868	2	23499	2013-08-04 18:37:45.091716	2013-08-04 18:37:45.091716	\N	e7dd1afb-48d2-4fae-87ca-59e0466c75f9
166025	7	22120	2013-08-04 17:41:55.378794	2013-08-04 17:41:55.378794	\N	862f99f8-b21b-4966-b70d-1f8499a7e8cd
120623	3	14458	2013-08-03 22:39:45.507176	2013-08-03 22:39:45.507176	\N	51790449-d7ef-4716-a36e-75437172a801
179869	2	23502	2013-08-04 18:37:45.140451	2013-08-04 18:37:45.140451	\N	21274125-0ec2-4fdf-b0ef-5633269bb801
108207	5	13201	2013-08-03 21:50:05.605394	2013-08-03 21:50:05.605394	\N	659a8928-ce28-4ff9-b6da-84c018500ea9
104556	8	12769	2013-08-03 21:34:22.504493	2013-08-03 21:34:22.504493	\N	3c38c84f-dc98-48bf-ae89-01266fe36025
104561	8	12799	2013-08-03 21:34:22.547429	2013-08-03 21:34:22.547429	\N	38972079-ee7d-4e92-ae14-28b255eed660
106385	11	12949	2013-08-03 21:40:12.332991	2013-08-03 21:40:12.332991	\N	e21140dd-606f-4a83-88e4-61407eaf365e
120626	20	14419	2013-08-03 22:39:47.185754	2013-08-03 22:39:47.185754	\N	7d48320f-2990-4f97-ab41-0a9912c16671
120629	16	14461	2013-08-03 22:39:47.860064	2013-08-03 22:39:47.860064	\N	ad689024-3915-4fc8-a5b8-233d8544891f
104608	7	12811	2013-08-03 21:34:28.979725	2013-08-03 21:34:28.979725	\N	5cc9290c-a3aa-4b05-b4bc-4446d62b72c7
179870	2	23508	2013-08-04 18:37:45.202174	2013-08-04 18:37:45.202174	\N	12caee81-e8a8-4f5b-8dd3-2bc22631ab10
104614	10	12781	2013-08-03 21:34:30.223234	2013-08-03 21:34:30.223234	\N	c36743d1-3599-4f23-99d9-74393d5f7d8a
106407	4	12907	2013-08-03 21:40:17.628096	2013-08-03 21:40:17.628096	\N	bb34b943-eb91-4b3f-8c46-243889504e7f
106409	4	12895	2013-08-03 21:40:17.661478	2013-08-03 21:40:17.661478	\N	84a96ae6-c068-4ccd-9240-70847a71fe21
106410	4	12946	2013-08-03 21:40:17.722347	2013-08-03 21:40:17.722347	\N	6b93fb2e-49d1-4d93-89d7-e1018e27fc3e
120645	11	14458	2013-08-03 22:39:52.967968	2013-08-03 22:39:52.967968	\N	335da530-1237-4f3d-91cf-5d034c13e3f8
104644	9	12821	2013-08-03 21:34:32.461798	2013-08-03 21:34:32.461798	\N	ce52750a-570d-4d2d-ba36-2f61cb0a97bd
104646	3	12769	2013-08-03 21:34:32.961608	2013-08-03 21:34:32.961608	\N	c0976b9b-1509-46b6-81fc-505fba07f278
104647	3	12820	2013-08-03 21:34:33.013164	2013-08-03 21:34:33.013164	\N	933e67a5-291d-4b8b-8f50-ea3f990ad581
104648	3	12781	2013-08-03 21:34:33.070451	2013-08-03 21:34:33.070451	\N	6efc2aba-c7d3-47c4-b6c0-7742cf43de22
104649	3	12811	2013-08-03 21:34:33.101383	2013-08-03 21:34:33.101383	\N	57e0caf6-68d2-40c9-bb47-9c04ebe99912
120646	11	14461	2013-08-03 22:39:53.358957	2013-08-03 22:39:53.358957	\N	a129e04c-fcf7-42c1-a6cd-6388e91054b9
106442	16	12895	2013-08-03 21:40:26.493938	2013-08-03 21:40:26.493938	\N	46763904-a20c-4bf0-826b-d693b58f3581
123010	5	15079	2013-08-03 23:04:51.744282	2013-08-03 23:04:51.744282	\N	d573cafb-d9e9-4d6f-bd1e-fc7dcd5a0174
112330	19	13451	2013-08-03 22:01:52.651925	2013-08-03 22:01:52.651925	\N	ed32ffb5-66e0-40d0-b75c-7f070ebb629a
116468	19	13777	2013-08-03 22:17:47.037882	2013-08-03 22:17:47.037882	\N	6312d2e7-4dba-41ec-9e0b-eada42eea11a
140920	17	18868	2013-08-04 01:36:42.287917	2013-08-04 01:36:42.287917	\N	1aadbc40-114b-4e1b-94b2-41be72efcf94
104681	6	12781	2013-08-03 21:34:39.072359	2013-08-03 21:34:39.072359	\N	ef725cf7-243f-4f42-a8ec-5609fc1aa3e0
104688	17	12790	2013-08-03 21:34:40.45595	2013-08-03 21:34:40.45595	\N	c47f72f0-7083-47da-986f-d54e53fe8397
127634	14	15801	2013-08-03 23:36:19.42583	2013-08-03 23:36:19.42583	\N	3976f295-14d6-4c3e-8026-51678521dcc2
179871	2	23514	2013-08-04 18:37:45.259683	2013-08-04 18:37:45.259683	\N	b2f06ff6-23cf-4c08-a70f-5864cc6756f2
106470	19	12946	2013-08-03 21:40:36.866825	2013-08-03 21:40:36.866825	\N	3ab0b92a-c940-4d5b-a69f-3b1e4fa14f65
123018	6	15064	2013-08-03 23:04:54.038823	2013-08-03 23:04:54.038823	\N	604bb14c-e037-4ed8-9052-f95cf48b36ef
120671	17	14449	2013-08-03 22:40:16.807166	2013-08-03 22:40:16.807166	\N	2b76076d-c866-4171-a38c-089d7c561e41
120674	17	14419	2013-08-03 22:40:17.341639	2013-08-03 22:40:17.341639	\N	debfa510-7721-4c1a-a492-297ec748b135
104711	17	12799	2013-08-03 21:34:46.56885	2013-08-03 21:34:46.56885	\N	17bca7a1-6ee5-4b2a-a73e-36046d4f102f
123019	9	15088	2013-08-03 23:04:55.675692	2013-08-03 23:04:55.675692	\N	1541fcad-3f7e-46c0-a346-1ab7a6151e02
120677	2	14443	2013-08-03 22:40:20.889409	2013-08-03 22:40:20.889409	\N	245a9777-8eb8-4cb0-9cf3-9a1b0481bbd5
125338	4	15427	2013-08-03 23:21:05.037052	2013-08-03 23:21:05.037052	\N	59311c5c-68e6-4ef5-8207-b26ff415806b
125340	4	15415	2013-08-03 23:21:05.111232	2013-08-03 23:21:05.111232	\N	4b0e237c-82bf-49b1-9d49-da49e75dd3fa
125341	4	15442	2013-08-03 23:21:05.201819	2013-08-03 23:21:05.201819	\N	ebdce1a8-d402-4960-8036-72bc5033be60
106500	19	12916	2013-08-03 21:40:47.268683	2013-08-03 21:40:47.268683	\N	4c70b8d6-4259-4c2e-8fd2-fd57bdaf974f
125342	4	15466	2013-08-03 23:21:05.285453	2013-08-03 23:21:05.285453	\N	86b1c5ee-b1ad-4dc1-82f2-d24bd8783f62
140944	9	18829	2013-08-04 01:36:54.825449	2013-08-04 01:36:54.825449	\N	27503f77-d7ad-4fbb-977c-61f20e7b5eba
104755	5	12826	2013-08-03 21:34:53.544	2013-08-03 21:34:53.544	\N	53d03d5b-8681-4063-ad1f-7f822cc97561
104756	5	12790	2013-08-03 21:34:53.964374	2013-08-03 21:34:53.964374	\N	c1b6ba4b-080e-4208-be3a-e60859768f6c
140945	19	18869	2013-08-04 01:36:54.946871	2013-08-04 01:36:54.946871	\N	39112d0d-ae93-4c8e-b69d-160ef015a3ab
143684	13	19372	2013-08-04 01:56:08.133817	2013-08-04 01:56:08.133817	\N	f68def58-1710-4caf-ace0-008615655c4a
114527	8	13660	2013-08-03 22:09:27.892142	2013-08-03 22:09:27.892142	\N	1295c507-854a-4fe4-8fbc-12846cb62663
106536	5	12949	2013-08-03 21:40:58.088083	2013-08-03 21:40:58.088083	\N	82784e65-cb02-456c-865f-9070a00aae79
114532	8	13705	2013-08-03 22:09:27.949573	2013-08-03 22:09:27.949573	\N	5f5ce221-728d-4d11-8814-56526a51cb40
104787	17	12826	2013-08-03 21:34:58.920382	2013-08-03 21:34:58.920382	\N	1b28fe77-4c70-4cd4-8aed-c6040f449cf1
114540	7	13703	2013-08-03 22:09:30.310565	2013-08-03 22:09:30.310565	\N	e03dee78-e932-4dd9-bdc7-df0d3bdec296
114542	7	13702	2013-08-03 22:09:30.480921	2013-08-03 22:09:30.480921	\N	b25e14db-b3cd-4f68-8505-768d46f567b3
114543	7	13672	2013-08-03 22:09:30.636066	2013-08-03 22:09:30.636066	\N	33e6a122-8bf2-4938-a1a9-387ca14f5610
108276	17	13198	2013-08-03 21:50:20.6292	2013-08-03 21:50:20.6292	\N	bb79c8aa-c9d5-4764-a491-fbf0536d01e3
123045	17	15079	2013-08-03 23:04:59.44746	2013-08-03 23:04:59.44746	\N	3f8a16b2-ba41-4843-989d-5f9d7dc4dacb
116553	14	13829	2013-08-03 22:18:06.130115	2013-08-03 22:18:06.130115	\N	8270cad7-40a0-4875-a652-47009bb2e837
106561	13	12946	2013-08-03 21:41:04.786327	2013-08-03 21:41:04.786327	\N	c3e3225b-a687-44e9-9857-d0e9f2346406
114569	7	13708	2013-08-03 22:09:34.692208	2013-08-03 22:09:34.692208	\N	5fb46b5a-39e5-4271-a4d8-f95bd19b7bf2
123079	3	15088	2013-08-03 23:05:07.370197	2013-08-03 23:05:07.370197	\N	bf595d46-ad79-45de-9117-4a8deeb08a07
123080	3	15073	2013-08-03 23:05:07.412365	2013-08-03 23:05:07.412365	\N	e743d56a-add3-4478-8cc4-426896530c08
120722	5	14461	2013-08-03 22:40:53.459968	2013-08-03 22:40:53.459968	\N	5343fab0-d800-4ab3-9987-8e2dc722d418
130013	17	16349	2013-08-03 23:58:20.743777	2013-08-03 23:58:20.743777	\N	47fa6bd6-ccfc-4e11-a39e-e857c1177bd2
114598	7	13663	2013-08-03 22:09:44.562443	2013-08-03 22:09:44.562443	\N	feba8e43-559e-49b8-8d7c-fa8357ba5f32
114601	12	13693	2013-08-03 22:09:44.730741	2013-08-03 22:09:44.730741	\N	c32a86f0-3d30-4779-82b5-3773ca2144b6
179872	2	23532	2013-08-04 18:37:45.308762	2013-08-04 18:37:45.308762	\N	d32ae3ad-f042-4c78-bb20-c6862f03282f
179873	2	23538	2013-08-04 18:37:45.355852	2013-08-04 18:37:45.355852	\N	73f08be1-8b60-43c6-9ec7-b75bd7489ff7
179874	2	23556	2013-08-04 18:37:45.396118	2013-08-04 18:37:45.396118	\N	1370620e-38d1-49d0-a2f6-4ba0f9f475b2
114607	12	13663	2013-08-03 22:09:45.270912	2013-08-03 22:09:45.270912	\N	2274ff65-d35c-484d-aca3-be68b9a6998b
114609	9	13693	2013-08-03 22:09:46.205558	2013-08-03 22:09:46.205558	\N	1fb8b844-b4fc-4db0-8693-fcbe1809d7be
106607	8	12904	2013-08-03 21:41:22.252898	2013-08-03 21:41:22.252898	\N	a01e8747-7682-44ff-b285-b60a2d085914
114611	15	13703	2013-08-03 22:09:46.856712	2013-08-03 22:09:46.856712	\N	6bf3e1a1-83d6-4e30-827c-7bccb6da21c6
110434	19	13306	2013-08-03 21:57:12.310295	2013-08-03 21:57:12.310295	\N	4c15ddf7-6ba0-4716-943e-2c5496fac9e9
198536	14	25335	2013-08-04 19:57:38.348076	2013-08-04 19:57:38.348076	\N	fbd3e14c-7be6-4de8-9811-9275613df255
123098	4	15089	2013-08-03 23:05:10.161813	2013-08-03 23:05:10.161813	\N	12902d52-aa97-48a7-a881-848648aa6259
110437	1	13315	2013-08-03 21:57:13.346119	2013-08-03 21:57:13.346119	\N	f9935d59-a63f-4411-8397-c44740a938fd
110439	1	13285	2013-08-03 21:57:13.448601	2013-08-03 21:57:13.448601	\N	af5bdb23-4944-4fad-ac44-c72f65d72cab
110440	1	13306	2013-08-03 21:57:13.520834	2013-08-03 21:57:13.520834	\N	82d085cc-0587-40f2-8166-a61a96c2360b
110441	1	13324	2013-08-03 21:57:13.627401	2013-08-03 21:57:13.627401	\N	a94e31fc-ca0e-4299-b63c-bd3158c668b4
106632	10	12925	2013-08-03 21:41:26.809394	2013-08-03 21:41:26.809394	\N	b33171e5-1ac8-4fed-a01b-1e097d267f93
179876	2	23542	2013-08-04 18:37:45.463848	2013-08-04 18:37:45.463848	\N	3d179464-178a-4d03-9800-99d5f5bfcc5f
130029	19	16348	2013-08-03 23:58:30.389001	2013-08-03 23:58:30.389001	\N	c39dbe54-c7fd-48c3-8a4c-94837168c803
172927	7	22962	2013-08-04 18:13:20.023164	2013-08-04 18:13:20.023164	\N	64fd5581-e64f-4bf5-8d72-1de2e63a7323
172930	16	22861	2013-08-04 18:13:21.775628	2013-08-04 18:13:21.775628	\N	db495869-1b30-46ab-b23e-0b42cf2546c3
143702	9	19354	2013-08-04 01:56:09.079729	2013-08-04 01:56:09.079729	\N	257096a2-8e67-4875-a400-1d981c4bdce8
143705	4	19373	2013-08-04 01:56:09.238877	2013-08-04 01:56:09.238877	\N	de652d53-24ce-4403-a64a-82365e5d7e67
172931	16	22876	2013-08-04 18:13:21.920404	2013-08-04 18:13:21.920404	\N	91511b56-ddfa-43e0-a84a-9c808609ad49
187058	2	24138	2013-08-04 19:02:44.47812	2013-08-04 19:02:44.47812	\N	d10cb603-0e3f-47f4-8cf2-c2e0d5d5baa5
179878	2	23530	2013-08-04 18:37:45.546771	2013-08-04 18:37:45.546771	\N	be4754ee-50af-4b3c-ab8b-3b169fd65bed
110502	20	13306	2013-08-03 21:57:21.407409	2013-08-03 21:57:21.407409	\N	99a129c9-6315-4c77-afb3-8cc327890d7f
187059	2	24181	2013-08-04 19:02:44.528958	2013-08-04 19:02:44.528958	\N	be8615c3-66a1-48de-b188-038eb267c4bf
108396	20	13147	2013-08-03 21:50:41.416163	2013-08-03 21:50:41.416163	\N	3edf535a-4a45-489b-96cb-cad592b11a21
179880	2	23575	2013-08-04 18:37:45.617459	2013-08-04 18:37:45.617459	\N	c0f754e3-0c1a-4d84-b537-3e7a90562bfd
179881	2	23559	2013-08-04 18:37:45.66761	2013-08-04 18:37:45.66761	\N	89651293-535d-499f-a48c-db48e5762ea1
114663	11	13693	2013-08-03 22:10:01.342334	2013-08-03 22:10:01.342334	\N	cb2d0708-b345-4a53-8488-a77be66684e0
143285	3	19195	2013-08-04 01:53:45.566498	2013-08-04 01:53:45.566498	\N	ec96bef0-ff8f-47e3-af33-9bc8d5a403ed
120814	11	14545	2013-08-03 22:44:34.010109	2013-08-03 22:44:34.010109	\N	b10cd400-22b7-46e8-bea8-760a2b69d2b3
120818	9	14585	2013-08-03 22:44:39.980662	2013-08-03 22:44:39.980662	\N	45afa01f-4e1c-42ea-94dd-d71f7a503c3b
108416	19	13189	2013-08-03 21:50:43.664323	2013-08-03 21:50:43.664323	\N	b29d5b9d-079c-4f93-affe-e4da1904fe4c
108417	19	13156	2013-08-03 21:50:44.001119	2013-08-03 21:50:44.001119	\N	92f11a38-70f6-4866-9148-10d2a3be9080
143286	3	19246	2013-08-04 01:53:45.60217	2013-08-04 01:53:45.60217	\N	a9596a6a-4621-4c5e-b58a-31166708412d
108419	19	13147	2013-08-03 21:50:44.672218	2013-08-03 21:50:44.672218	\N	a47ccdf5-9d7b-4e14-a8a6-cdb4325ce972
114680	14	13708	2013-08-03 22:10:02.589289	2013-08-03 22:10:02.589289	\N	fe557fb7-afd5-41ba-a963-5768efd4256b
114683	14	13660	2013-08-03 22:10:02.672379	2013-08-03 22:10:02.672379	\N	56d2858d-6757-4479-88ab-5bbd443acc87
114692	14	13651	2013-08-03 22:10:04.869572	2013-08-03 22:10:04.869572	\N	6beac822-4c1d-46ba-a9d4-0bc861a0506d
114696	11	13705	2013-08-03 22:10:05.950784	2013-08-03 22:10:05.950784	\N	37fc5854-bfb4-41a5-b48f-266fa646fb65
108427	5	13147	2013-08-03 21:50:46.867849	2013-08-03 21:50:46.867849	\N	be9ac6ba-29ce-4366-9e47-6d2ba8fd066b
172932	16	22900	2013-08-04 18:13:22.124066	2013-08-04 18:13:22.124066	\N	c0cefff9-695b-46ec-a4c6-a4369cf38979
152444	3	20329	2013-08-04 02:39:14.701553	2013-08-04 02:39:14.701553	\N	c1bde0ad-ba1e-4223-9d28-d2ac46ed8f46
120657	9	14449	2013-08-03 22:40:03.103797	2013-08-03 22:40:03.103797	\N	c31d5077-a5c0-483f-b952-6ad766922c66
120658	9	14419	2013-08-03 22:40:03.420165	2013-08-03 22:40:03.420165	\N	48295d8d-4b67-4a21-814d-ac9d6f100bb0
179882	2	23571	2013-08-04 18:37:45.727473	2013-08-04 18:37:45.727473	\N	ae094f33-a773-47f3-819e-11c180cb88fe
135380	18	17691	2013-08-04 00:53:57.513918	2013-08-04 00:53:57.513918	\N	e52f2fc0-c6b0-4a5a-a0a4-5c5b3d279016
143715	11	19372	2013-08-04 01:56:09.887282	2013-08-04 01:56:09.887282	\N	b726f28a-debe-4115-ad25-235ce9758e5b
120668	5	14449	2013-08-03 22:40:12.170746	2013-08-03 22:40:12.170746	\N	3db8924e-72ea-4bbf-a90f-15645a0ee7fd
108289	10	13168	2013-08-03 21:50:25.154127	2013-08-03 21:50:25.154127	\N	751e6b50-771a-4954-aca0-d3811be6bab3
108290	10	13201	2013-08-03 21:50:25.316338	2013-08-03 21:50:25.316338	\N	1be4c9d7-d011-47b9-8c73-37c342f8981a
108291	10	13159	2013-08-03 21:50:25.422345	2013-08-03 21:50:25.422345	\N	bce6209d-cde6-4cf8-99e9-5cdaf2a57cbd
108292	10	13204	2013-08-03 21:50:25.52206	2013-08-03 21:50:25.52206	\N	f2338ace-3594-48f0-894e-7f7f678d8ff1
108293	10	13156	2013-08-03 21:50:25.628689	2013-08-03 21:50:25.628689	\N	ff5d64ee-793d-416f-91da-ffab0b767d65
108294	8	13199	2013-08-03 21:50:25.666337	2013-08-03 21:50:25.666337	\N	ce219faa-4768-4005-87f6-6da23047aa24
140921	10	18817	2013-08-04 01:36:43.404	2013-08-04 01:36:43.404	\N	2981021d-9cd5-43a8-be49-251fbdd533be
123055	5	15037	2013-08-03 23:05:02.826435	2013-08-03 23:05:02.826435	\N	fcaedbf9-43b9-47e9-8bc0-a710b27decf8
132770	16	17065	2013-08-04 00:28:23.204808	2013-08-04 00:28:23.204808	\N	485b5ad9-fa9c-41c6-8ed8-356fe819bbdb
140922	8	18869	2013-08-04 01:36:43.969839	2013-08-04 01:36:43.969839	\N	53880c07-30bd-4519-a43c-714278ca9211
114518	10	13651	2013-08-03 22:09:26.481696	2013-08-03 22:09:26.481696	\N	f6dca56f-d900-406c-aa02-3ce2a230969c
106529	5	12946	2013-08-03 21:40:57.070679	2013-08-03 21:40:57.070679	\N	00a16621-d2b2-4b77-86a5-8e40bfd04f97
114528	8	13663	2013-08-03 22:09:27.892799	2013-08-03 22:09:27.892799	\N	1c21fd22-d3df-49cc-be8d-4ee4afe51da8
114535	1	13703	2013-08-03 22:09:28.565164	2013-08-03 22:09:28.565164	\N	a015a409-3f2c-4930-8f97-1017f91b8b17
108371	20	13189	2013-08-03 21:50:37.086887	2013-08-03 21:50:37.086887	\N	79f7dbf5-439a-4926-b32f-c987f32cfecf
120687	9	14458	2013-08-03 22:40:30.749823	2013-08-03 22:40:30.749823	\N	1169c3f0-fae6-4275-b6a1-0b4443bb9610
152446	3	20341	2013-08-04 02:39:14.865325	2013-08-04 02:39:14.865325	\N	71b431e5-932b-4722-8370-61fab81304e8
172939	3	22876	2013-08-04 18:13:25.089874	2013-08-04 18:13:25.089874	\N	a04e2bc9-318a-4f14-9259-f7c6586dac54
108382	19	13198	2013-08-03 21:50:39.271489	2013-08-03 21:50:39.271489	\N	9ee2fe8a-7e7f-4d44-8aeb-476644ab4737
114539	17	13693	2013-08-03 22:09:29.626154	2013-08-03 22:09:29.626154	\N	84354443-fb9b-4c4a-8567-9251ac31abb5
108389	2	13159	2013-08-03 21:50:40.412861	2013-08-03 21:50:40.412861	\N	a5e7984c-7cb7-4808-a691-c046561fa38e
108391	2	13168	2013-08-03 21:50:40.488205	2013-08-03 21:50:40.488205	\N	5b1544f1-4553-4ed5-b166-415431975067
123069	5	15088	2013-08-03 23:05:05.429708	2013-08-03 23:05:05.429708	\N	7872051b-fc94-43fa-ba05-7c0b1ec458c3
114555	17	13663	2013-08-03 22:09:33.791184	2013-08-03 22:09:33.791184	\N	4af86003-712c-41c7-bfee-6f3107d99b91
108395	4	13199	2013-08-03 21:50:41.412526	2013-08-03 21:50:41.412526	\N	8869fa98-9132-4226-be8c-07c226783dd0
123073	5	15073	2013-08-03 23:05:06.363927	2013-08-03 23:05:06.363927	\N	c62a8f7b-d68e-428a-9c79-9185834b5e6b
172940	3	22861	2013-08-04 18:13:25.197744	2013-08-04 18:13:25.197744	\N	7c2a95f7-ea47-4f19-8d23-420f553a4796
172942	3	22900	2013-08-04 18:13:25.245514	2013-08-04 18:13:25.245514	\N	cbf0d0d5-349e-4b4f-aea9-8c709ca01ee7
108423	9	13198	2013-08-03 21:50:45.792403	2013-08-03 21:50:45.792403	\N	8460f3f8-6e0f-42fa-9080-4660f3918c4e
179884	2	23572	2013-08-04 18:37:45.76526	2013-08-04 18:37:45.76526	\N	d4900276-5793-4d1f-bead-11808290c965
110364	17	13306	2013-08-03 21:57:04.247036	2013-08-03 21:57:04.247036	\N	f8021117-7db9-4035-97cb-92fab4e290f6
120729	14	14415	2013-08-03 22:40:56.198219	2013-08-03 22:40:56.198219	\N	4a7e8916-3d24-4757-bd5d-c7530108ed36
118727	16	14071	2013-08-03 22:27:16.908956	2013-08-03 22:27:16.908956	\N	3518e623-d726-427b-af91-7292e5513c79
116576	19	13828	2013-08-03 22:18:11.145544	2013-08-03 22:18:11.145544	\N	aaf17e4c-6799-4a0a-aab5-139bb18aa4a0
118731	16	14083	2013-08-03 22:27:17.435687	2013-08-03 22:27:17.435687	\N	449591ed-8aff-4191-82b7-4283af71e6f3
179885	2	23506	2013-08-04 18:37:45.800057	2013-08-04 18:37:45.800057	\N	4db218fe-0322-490b-8113-d94038665a2c
132845	7	17112	2013-08-04 00:28:56.49745	2013-08-04 00:28:56.49745	\N	365f92ca-5fcc-42b7-b5a9-5e20488b8a15
166056	8	22196	2013-08-04 17:42:05.420661	2013-08-04 17:42:05.420661	\N	6715a50d-2897-4b17-a34e-5d5ac1b83d63
130149	6	16459	2013-08-04 00:00:23.86641	2013-08-04 00:00:23.86641	\N	7cdfcd5d-b0a3-48dd-8bd2-79cefbb3832b
123109	2	15064	2013-08-03 23:05:14.472921	2013-08-03 23:05:14.472921	\N	e1cca6a0-e858-4064-a4bb-188165e9c6e6
106638	10	12946	2013-08-03 21:41:29.147389	2013-08-03 21:41:29.147389	\N	d24f479f-2230-457d-b1a4-8ad62061f540
106640	10	12907	2013-08-03 21:41:29.303956	2013-08-03 21:41:29.303956	\N	f337193f-d6a4-4a2e-855d-6f66599830e9
106642	10	12947	2013-08-03 21:41:29.445476	2013-08-03 21:41:29.445476	\N	fe843110-76dc-48e8-a577-b7eca04ce278
130156	14	16423	2013-08-04 00:00:26.316089	2013-08-04 00:00:26.316089	\N	1b1fd16c-553f-4dbb-9cbc-cfe839f56b83
130166	16	16459	2013-08-04 00:00:29.286541	2013-08-04 00:00:29.286541	\N	1b6e11e5-46c8-4819-bae5-2d96ed12f122
130168	8	16435	2013-08-04 00:00:30.143624	2013-08-04 00:00:30.143624	\N	31d071a8-660e-4d21-98af-0f38a1f5908b
125431	18	15423	2013-08-03 23:21:36.210554	2013-08-03 23:21:36.210554	\N	b0cb2e44-c894-4cdc-81bb-08bf700c3e22
130179	14	16459	2013-08-04 00:00:36.268978	2013-08-04 00:00:36.268978	\N	4951cdb5-7bbc-4ce4-a47f-b48d2157dfac
130180	7	16474	2013-08-04 00:00:37.632141	2013-08-04 00:00:37.632141	\N	19892b51-82da-47cf-9642-4eb243b14db8
130181	17	16435	2013-08-04 00:00:38.318638	2013-08-04 00:00:38.318638	\N	b7f437e4-1fcc-47f8-9575-30258cd9c03f
130184	13	16423	2013-08-04 00:00:41.049642	2013-08-04 00:00:41.049642	\N	7ab6e2b5-2fd5-4dc0-91a3-bde1036a3d9b
114685	14	13693	2013-08-03 22:10:02.729038	2013-08-03 22:10:02.729038	\N	485cc5f0-ed54-4720-bb7d-286cddc7f1a6
130185	7	16435	2013-08-04 00:00:41.247471	2013-08-04 00:00:41.247471	\N	9a674916-b1f0-484f-b8a7-79e4e8ff3429
123172	4	15079	2013-08-03 23:05:26.074778	2013-08-03 23:05:26.074778	\N	883092e2-adbf-4b3e-8377-20213433eb33
112511	16	13408	2013-08-03 22:02:11.858487	2013-08-03 22:02:11.858487	\N	bd9e6c67-0359-4970-b918-8b42fa09fd50
112512	16	13411	2013-08-03 22:02:11.99168	2013-08-03 22:02:11.99168	\N	b4f4dcc9-2edb-4a9a-83a5-af490f664b35
112513	16	13399	2013-08-03 22:02:12.115085	2013-08-03 22:02:12.115085	\N	c9e9aaba-29f6-45b2-b637-6c6d90dc2693
112514	16	13435	2013-08-03 22:02:12.252232	2013-08-03 22:02:12.252232	\N	a313cb7c-db62-4164-be6b-ce4119f67f6e
112515	16	13450	2013-08-03 22:02:12.384277	2013-08-03 22:02:12.384277	\N	363d3d76-7980-4883-896b-415ac5c0a2b0
110470	5	13306	2013-08-03 21:57:15.92138	2013-08-03 21:57:15.92138	\N	287d9feb-2ac1-46f7-b55f-799cbb6c0f39
112516	16	13453	2013-08-03 22:02:12.517923	2013-08-03 22:02:12.517923	\N	f71dcfd1-0b35-41a1-803f-547e4ae2f728
112517	16	13456	2013-08-03 22:02:12.659205	2013-08-03 22:02:12.659205	\N	a125db33-7fc8-4842-abd7-42427c5e3c44
108487	19	13204	2013-08-03 21:50:54.143049	2013-08-03 21:50:54.143049	\N	57ebba9f-ae51-490d-9f0e-288b9cc41fb5
114714	17	13651	2013-08-03 22:10:07.763182	2013-08-03 22:10:07.763182	\N	288ffae0-c096-44c7-b6bf-a6a9128de148
166065	1	22105	2013-08-04 17:42:06.308436	2013-08-04 17:42:06.308436	\N	770fa414-5ab2-405a-b278-2626c770075d
108490	15	13147	2013-08-03 21:50:54.419833	2013-08-03 21:50:54.419833	\N	a325c71c-19df-4060-a627-9c09cad31121
130207	10	16423	2013-08-04 00:00:59.335462	2013-08-04 00:00:59.335462	\N	f5fbd26f-b5fa-47f1-a405-00bdda76140a
120813	15	14545	2013-08-03 22:44:27.872617	2013-08-03 22:44:27.872617	\N	9d54b25e-a592-4346-b7ec-aa724a7bb62e
114734	6	13579	2013-08-03 22:10:12.959768	2013-08-03 22:10:12.959768	\N	7b8e18e5-d416-45b9-8758-85288e749fd0
114735	13	13708	2013-08-03 22:10:13.144084	2013-08-03 22:10:13.144084	\N	03899bbc-8ae0-40aa-b4e8-9dd2321e0842
120815	11	14587	2013-08-03 22:44:36.754698	2013-08-03 22:44:36.754698	\N	8ec78bc5-1278-4dc2-a88d-c0cab8214e54
125463	3	15415	2013-08-03 23:21:50.312037	2013-08-03 23:21:50.312037	\N	679c9888-f697-49d9-8fbf-e185032a8dff
120817	4	14419	2013-08-03 22:44:38.409972	2013-08-03 22:44:38.409972	\N	63737029-f629-49a6-b32b-52481087476c
120824	9	14545	2013-08-03 22:44:47.230002	2013-08-03 22:44:47.230002	\N	a1e15eec-31a5-4111-9c7d-e1cb1534bdb5
112548	19	13450	2013-08-03 22:02:18.177649	2013-08-03 22:02:18.177649	\N	41c4ede0-54fa-44ba-83af-38d99a0f36ab
114761	6	13651	2013-08-03 22:10:17.874647	2013-08-03 22:10:17.874647	\N	4c65021f-1ebe-435f-bbbd-5f7c651efcd3
120837	6	14587	2013-08-03 22:45:04.571294	2013-08-03 22:45:04.571294	\N	82acd376-f819-4e45-9946-7e2e9b03aeed
114766	5	13693	2013-08-03 22:10:19.899607	2013-08-03 22:10:19.899607	\N	88bc24ef-c8e2-4a71-b120-86bdc5a7bf48
130209	10	16435	2013-08-04 00:00:59.524844	2013-08-04 00:00:59.524844	\N	2a5641b1-ff31-4733-ba41-2c8a05daa33e
138327	8	18490	2013-08-04 01:21:01.38174	2013-08-04 01:21:01.38174	\N	fb23df96-4b21-4938-a230-9c80c0974ce9
120860	3	14545	2013-08-03 22:45:58.956917	2013-08-03 22:45:58.956917	\N	9b0306e2-9656-47e3-89a1-f6c52066559d
120861	14	14545	2013-08-03 22:45:59.97615	2013-08-03 22:45:59.97615	\N	e8471303-9fa8-4ff1-a7ed-2abf4caa76d5
110561	14	13315	2013-08-03 21:57:30.728131	2013-08-03 21:57:30.728131	\N	7147c950-3a24-490d-9e87-03cd4b6891c9
120862	6	14545	2013-08-03 22:46:00.646592	2013-08-03 22:46:00.646592	\N	f4650ea3-b64c-4e3e-9bfd-4bc1e65f26db
138328	10	18491	2013-08-04 01:21:01.461125	2013-08-04 01:21:01.461125	\N	428ed7d0-b4c5-4fda-b100-641068764737
138329	2	18439	2013-08-04 01:21:02.024245	2013-08-04 01:21:02.024245	\N	d80a0a89-4efb-4ea2-aa86-cfe39e121807
114799	14	13577	2013-08-03 22:10:26.721367	2013-08-03 22:10:26.721367	\N	a25fbc7e-ef53-4cd5-8352-765857f42040
114800	14	13567	2013-08-03 22:10:26.775483	2013-08-03 22:10:26.775483	\N	125b3d99-7d75-450d-8328-2ec41115766f
138330	2	18490	2013-08-04 01:21:02.085472	2013-08-04 01:21:02.085472	\N	7c643925-1c96-4e7a-a51e-3dba1b5203f6
120874	17	14545	2013-08-03 22:46:11.687872	2013-08-03 22:46:11.687872	\N	0ca04e3f-2a38-42ba-832a-9dbc9303cd76
138331	2	18528	2013-08-04 01:21:02.126847	2013-08-04 01:21:02.126847	\N	aac5e2ae-550e-4e8d-801b-ffc9b788a5c8
138332	2	18532	2013-08-04 01:21:02.176569	2013-08-04 01:21:02.176569	\N	9a1af7ed-146c-4756-b9e9-c90f5e4575c0
116778	6	13957	2013-08-03 22:19:23.494119	2013-08-03 22:19:23.494119	\N	6fa807da-aa04-4f66-b96b-34948fbd2383
116785	7	13954	2013-08-03 22:19:24.572434	2013-08-03 22:19:24.572434	\N	aa3adb16-fcc9-46d0-8a45-58efb3291964
112624	14	13420	2013-08-03 22:02:31.497956	2013-08-03 22:02:31.497956	\N	f45f0db0-b66c-4163-aeea-fd9ac164a2da
112627	14	13435	2013-08-03 22:02:31.56343	2013-08-03 22:02:31.56343	\N	b615a65b-e33a-4143-96bc-de10ff40e9ac
114839	6	13672	2013-08-03 22:10:32.698326	2013-08-03 22:10:32.698326	\N	6ed49dc7-bbc6-46e1-8352-27966d7bff86
112630	14	13441	2013-08-03 22:02:31.737466	2013-08-03 22:02:31.737466	\N	334daeba-52e0-497e-b62e-ea4ad01fae84
116786	8	13915	2013-08-03 22:19:24.67178	2013-08-03 22:19:24.67178	\N	af77fb28-dbc3-45a0-89b0-6581343be76d
187060	2	24144	2013-08-04 19:02:44.571701	2013-08-04 19:02:44.571701	\N	e5736383-eaac-4cd2-b0d1-497e55a6dbf3
179890	20	23530	2013-08-04 18:37:46.059803	2013-08-04 18:37:46.059803	\N	914d4fc0-a708-40d1-85ef-b3eab9630011
108578	2	13147	2013-08-03 21:51:10.739604	2013-08-03 21:51:10.739604	\N	60d71e61-012e-4660-b3e9-5db11e788430
179891	20	23491	2013-08-04 18:37:46.097006	2013-08-04 18:37:46.097006	\N	e6cfc9bd-37d4-4956-a319-ddf17e574e42
179892	7	23491	2013-08-04 18:37:46.582259	2013-08-04 18:37:46.582259	\N	eef6405d-f7e1-4f2a-8636-a1c42ad788b1
140947	9	18817	2013-08-04 01:36:54.9637	2013-08-04 01:36:54.9637	\N	7e0f6410-5900-4ab4-947f-7d3134916825
179917	2	23550	2013-08-04 18:37:52.620194	2013-08-04 18:37:52.620194	\N	a1005bd0-5a78-4cea-8c9a-5e90cdc7e00b
179918	2	23585	2013-08-04 18:37:52.676096	2013-08-04 18:37:52.676096	\N	068a2e6c-71a7-49b5-8335-dc17072fa5fd
179919	2	23551	2013-08-04 18:37:52.721801	2013-08-04 18:37:52.721801	\N	c41938f9-de1e-46a3-a935-7e97f0724f90
140951	14	18829	2013-08-04 01:36:56.252804	2013-08-04 01:36:56.252804	\N	16a402c9-986f-4004-895d-3004bb56a6f3
187063	2	24123	2013-08-04 19:02:44.601514	2013-08-04 19:02:44.601514	\N	4d826452-6405-41cd-97bb-375032b9eee9
118729	16	14029	2013-08-03 22:27:17.180746	2013-08-03 22:27:17.180746	\N	870180c3-0340-4f1c-8649-900783138fd9
118730	16	14065	2013-08-03 22:27:17.306702	2013-08-03 22:27:17.306702	\N	689be636-eb16-445e-9446-6df49e2373b5
120811	8	14587	2013-08-03 22:44:25.68953	2013-08-03 22:44:25.68953	\N	8807b6f6-27ba-4dee-810e-6e16cbd5e7fc
120820	19	14545	2013-08-03 22:44:41.540843	2013-08-03 22:44:41.540843	\N	c49387fc-33ae-48ff-b779-7715aa58d262
114519	10	13702	2013-08-03 22:09:26.616728	2013-08-03 22:09:26.616728	\N	b1b5ef91-fd11-46ba-b44f-9d3f2b44929f
112439	19	13411	2013-08-03 22:02:02.23716	2013-08-03 22:02:02.23716	\N	08e50611-5129-450d-86ef-048b2a5e2f58
114526	8	13672	2013-08-03 22:09:27.891889	2013-08-03 22:09:27.891889	\N	d1faeb44-a62c-40ee-a164-d855139345d0
114531	8	13708	2013-08-03 22:09:27.929764	2013-08-03 22:09:27.929764	\N	bc4ec341-96c3-4533-bc08-c6059a2d7fce
120822	2	14545	2013-08-03 22:44:42.158066	2013-08-03 22:44:42.158066	\N	c022ae4e-6c81-423f-8ba0-0a00779f35ad
114545	7	13705	2013-08-03 22:09:31.512628	2013-08-03 22:09:31.512628	\N	88969b5a-37eb-4e06-8b04-4f6881ebbcb1
108692	2	13201	2013-08-03 21:51:25.932322	2013-08-03 21:51:25.932322	\N	9d57f32c-2b7c-4238-aa05-e38900e8132e
187064	2	24180	2013-08-04 19:02:44.661831	2013-08-04 19:02:44.661831	\N	13f96393-62da-481a-82e3-1335da16eed2
114551	8	13651	2013-08-03 22:09:32.38252	2013-08-03 22:09:32.38252	\N	5ec13e74-ec8e-451c-9662-98aa95de9787
123185	13	15088	2013-08-03 23:05:27.027904	2013-08-03 23:05:27.027904	\N	02bab1a4-2937-4b61-9e03-d14ea26b19be
198537	14	25363	2013-08-04 19:57:38.40624	2013-08-04 19:57:38.40624	\N	fcd4581d-1c86-47c3-8247-f85dd1652372
166046	1	22217	2013-08-04 17:41:57.398646	2013-08-04 17:41:57.398646	\N	2b82988d-a8c9-4fc3-ac5e-be468b252ca5
120848	5	14587	2013-08-03 22:45:25.133178	2013-08-03 22:45:25.133178	\N	a3c10d68-372b-4a3c-913d-6c45ff7befb0
166047	8	22120	2013-08-04 17:41:57.846573	2013-08-04 17:41:57.846573	\N	dfa54783-4009-4a8a-9231-3d3cc6187a7e
166052	1	22186	2013-08-04 17:42:02.076461	2013-08-04 17:42:02.076461	\N	27c2f6d0-f5e9-427d-833e-ab069c2de973
114577	7	13651	2013-08-03 22:09:38.322408	2013-08-03 22:09:38.322408	\N	9a9e66f0-5ef6-451e-b02a-339718d1cf34
120851	8	14545	2013-08-03 22:45:31.158608	2013-08-03 22:45:31.158608	\N	6bfc2724-d6c3-41e3-8636-829707294bc6
120852	17	14587	2013-08-03 22:45:31.344626	2013-08-03 22:45:31.344626	\N	b9965146-0056-45a2-ae95-349faea74d00
172961	8	22970	2013-08-04 18:13:28.916856	2013-08-04 18:13:28.916856	\N	b76b416f-ae1f-4c78-8d36-edf8c0d6a3ba
123206	17	15088	2013-08-03 23:05:29.767457	2013-08-03 23:05:29.767457	\N	0b58c7b8-aa93-424b-84dc-d3f6bfd74a4b
132905	13	17053	2013-08-04 00:29:15.908378	2013-08-04 00:29:15.908378	\N	ceafaad4-31a8-4a82-ab6b-1dba989c118c
120865	19	14584	2013-08-03 22:46:02.85622	2013-08-03 22:46:02.85622	\N	7f551747-f0d6-4e57-8a1d-a56d66424c0c
114592	17	13672	2013-08-03 22:09:42.26572	2013-08-03 22:09:42.26572	\N	545ea557-4246-4dee-9098-7094893f560b
179924	2	23582	2013-08-04 18:37:54.917413	2013-08-04 18:37:54.917413	\N	290ea8a5-2d38-426f-bf24-ce61cbb1b9b2
123224	8	15089	2013-08-03 23:05:35.62301	2013-08-03 23:05:35.62301	\N	07c262fa-4980-4bbb-baaa-df3ef61578d3
112621	19	13420	2013-08-03 22:02:29.03803	2013-08-03 22:02:29.03803	\N	b4518153-37ad-4fc1-ae64-dbf14273ff28
110581	10	13273	2013-08-03 21:57:36.368636	2013-08-03 21:57:36.368636	\N	4ff69eba-8b32-4361-916a-80c2b0303d98
123241	2	15037	2013-08-03 23:05:39.957165	2013-08-03 23:05:39.957165	\N	0ff02be1-88cc-46dd-983f-81cf82ccaa52
120877	16	14587	2013-08-03 22:46:18.636807	2013-08-03 22:46:18.636807	\N	9e543a92-f0fb-48fa-9fd5-9823d3c0666b
112626	14	13453	2013-08-03 22:02:31.556118	2013-08-03 22:02:31.556118	\N	f933606a-1ce5-4b62-a347-3eab07aa4404
187066	2	24168	2013-08-04 19:02:44.825387	2013-08-04 19:02:44.825387	\N	956f3b39-3392-483a-bf8f-b58622b18c2d
114646	4	13672	2013-08-03 22:09:54.813477	2013-08-03 22:09:54.813477	\N	79b162db-c3b3-49a4-a47b-12d3fa7d9f8f
143882	10	19372	2013-08-04 01:56:23.816462	2013-08-04 01:56:23.816462	\N	df0501eb-3484-47db-a4ad-b19837f4567b
138326	10	18490	2013-08-04 01:21:01.350346	2013-08-04 01:21:01.350346	\N	58665f62-7fd1-452c-9695-35713e08ef57
120892	4	14545	2013-08-03 22:46:50.643321	2013-08-03 22:46:50.643321	\N	249c99bd-77f8-4795-b698-f336d86f0263
138337	8	18451	2013-08-04 01:21:02.325476	2013-08-04 01:21:02.325476	\N	b5b2d526-faa5-41fe-a39d-c2fd2eda3da2
114677	11	13663	2013-08-03 22:10:02.325662	2013-08-03 22:10:02.325662	\N	6a62df06-2fd7-4bd9-8f78-6cb60e8b09c4
114678	14	13663	2013-08-03 22:10:02.448519	2013-08-03 22:10:02.448519	\N	1588c821-763a-481e-a49f-edb279b31ee8
114681	14	13705	2013-08-03 22:10:02.589289	2013-08-03 22:10:02.589289	\N	fa6850ea-0862-4892-b299-f3d21d11c913
114694	11	13702	2013-08-03 22:10:05.613017	2013-08-03 22:10:05.613017	\N	697d2089-d4df-457e-bd6f-3e80e142a47d
130144	2	16435	2013-08-04 00:00:23.509096	2013-08-04 00:00:23.509096	\N	d9dca5f6-f036-46c4-b6cb-0f3e28ca6335
114707	3	13702	2013-08-03 22:10:07.234514	2013-08-03 22:10:07.234514	\N	03880ee9-d6d1-48ae-90c4-30688841fbeb
114708	3	13705	2013-08-03 22:10:07.268511	2013-08-03 22:10:07.268511	\N	067c0b1f-3ec1-40ce-9712-41334bf6d087
130145	2	16474	2013-08-04 00:00:23.54521	2013-08-04 00:00:23.54521	\N	48a5f6a5-6ea9-4287-a4b7-135b1de5ee36
130146	2	16423	2013-08-04 00:00:23.577431	2013-08-04 00:00:23.577431	\N	5adfb2e7-a178-416f-bb2e-97de470fbeb6
114711	3	13672	2013-08-03 22:10:07.372852	2013-08-03 22:10:07.372852	\N	ae38e8ad-fc60-4953-9f7b-9ada2387a739
143884	10	19373	2013-08-04 01:56:23.906727	2013-08-04 01:56:23.906727	\N	201afaea-43c3-4f09-83d5-7c5373963cca
130148	2	16459	2013-08-04 00:00:23.645809	2013-08-04 00:00:23.645809	\N	6e729950-1161-403d-aaec-f4a8d3797572
130157	3	16423	2013-08-04 00:00:26.574715	2013-08-04 00:00:26.574715	\N	8795b431-7bbf-4d49-881e-1cf9af61d586
130158	3	16474	2013-08-04 00:00:26.626968	2013-08-04 00:00:26.626968	\N	5f8689dc-b084-431d-8fbd-0cbe4891c0da
187067	2	24197	2013-08-04 19:02:44.876489	2013-08-04 19:02:44.876489	\N	854e8c9d-5470-4dac-b382-1c8d995119f8
114728	13	13702	2013-08-03 22:10:11.410254	2013-08-03 22:10:11.410254	\N	ecbc988f-2d4e-4501-8b84-b9e451b61f8c
120961	4	14584	2013-08-03 22:48:43.181813	2013-08-03 22:48:43.181813	\N	2e6c84b3-572d-4763-8ec2-d765a257f687
120963	4	14587	2013-08-03 22:48:43.284005	2013-08-03 22:48:43.284005	\N	10e83a7a-6a95-484f-baac-1db04661c795
114742	6	13693	2013-08-03 22:10:14.679243	2013-08-03 22:10:14.679243	\N	818b35e5-a023-4f63-97b2-c90b134a2838
130161	7	16423	2013-08-04 00:00:27.71718	2013-08-04 00:00:27.71718	\N	13e88a72-9f7d-4ded-bcb5-c896dfcd45a6
118888	19	14071	2013-08-03 22:28:05.233047	2013-08-03 22:28:05.233047	\N	5293bb73-6a33-43d4-94b9-290038c8f0f0
179939	14	23571	2013-08-04 18:37:57.027056	2013-08-04 18:37:57.027056	\N	9975b03e-1683-4f9a-a956-bbbf6959a46a
120979	7	14671	2013-08-03 22:49:22.667644	2013-08-03 22:49:22.667644	\N	b8f3ba6d-2c9a-4ed7-8601-7cadd91f0028
120981	8	14713	2013-08-03 22:49:23.23538	2013-08-03 22:49:23.23538	\N	afd6e064-758e-4fff-bad5-56dd2fa36633
120987	16	14695	2013-08-03 22:49:28.121722	2013-08-03 22:49:28.121722	\N	28952a7a-f3a8-4091-96bd-744135bc37b4
120988	16	14713	2013-08-03 22:49:28.4002	2013-08-03 22:49:28.4002	\N	47f3be4b-1c24-4601-a860-0fef421de26a
130167	5	16474	2013-08-04 00:00:29.997674	2013-08-04 00:00:29.997674	\N	9294adc5-06c4-4cfa-ae6a-6b9b4bef4588
120998	9	14711	2013-08-03 22:49:40.116404	2013-08-03 22:49:40.116404	\N	c3348bed-7873-454a-8d06-711e9eeea1bd
130169	8	16423	2013-08-04 00:00:30.168894	2013-08-04 00:00:30.168894	\N	61d23e84-24db-486a-bf0f-2c731aac1a5d
130173	15	16423	2013-08-04 00:00:31.906984	2013-08-04 00:00:31.906984	\N	91839820-ec42-41db-bf1c-7116233c4858
112862	3	13420	2013-08-03 22:02:54.621495	2013-08-03 22:02:54.621495	\N	0aaf2d01-0d2c-499b-b8a0-379d2b044f93
112863	3	13411	2013-08-03 22:02:54.716056	2013-08-03 22:02:54.716056	\N	739ebf9d-e1fa-4aa8-8e67-e860732ed87e
112864	3	13408	2013-08-03 22:02:54.777565	2013-08-03 22:02:54.777565	\N	3273d76e-2c01-4f8d-9546-981bfc88bde1
121013	20	14710	2013-08-03 22:49:46.765466	2013-08-03 22:49:46.765466	\N	77e7ed8f-972c-4d88-a2d7-f53aad684934
121016	9	14710	2013-08-03 22:49:50.328809	2013-08-03 22:49:50.328809	\N	6508787b-a8e1-4544-82c1-346898717c90
130175	8	16475	2013-08-04 00:00:34.107867	2013-08-04 00:00:34.107867	\N	bb2c37da-729e-4fc4-b54c-07a30119fb32
116784	6	13915	2013-08-03 22:19:24.559887	2013-08-03 22:19:24.559887	\N	0ca60e08-1c3f-4893-89bd-873913b1f0df
130176	15	16474	2013-08-04 00:00:34.24691	2013-08-04 00:00:34.24691	\N	1c7c8f39-4a4f-4b85-8579-5e1c7ec5ed3d
116805	8	13957	2013-08-03 22:19:27.894651	2013-08-03 22:19:27.894651	\N	96e8243a-ee16-4a32-b0b8-5cb245173fd0
118980	19	14080	2013-08-03 22:28:32.90252	2013-08-03 22:28:32.90252	\N	ef39a1a1-4245-46b1-a9f3-24ccbe1d7774
130177	9	16435	2013-08-04 00:00:36.102261	2013-08-04 00:00:36.102261	\N	a44248ff-b889-4cc3-b864-3428528b287c
121038	13	14713	2013-08-03 22:50:00.63695	2013-08-03 22:50:00.63695	\N	849b68ab-5ae9-4cf3-9cb2-b0e2014f3a15
116842	9	13955	2013-08-03 22:19:35.802809	2013-08-03 22:19:35.802809	\N	ecfcc542-f2e7-41f5-8c64-7dbc3d05f664
130190	1	16474	2013-08-04 00:00:43.873536	2013-08-04 00:00:43.873536	\N	910e1485-fe2c-4f53-b191-7fd27f42fca4
116845	13	13945	2013-08-03 22:19:37.136869	2013-08-03 22:19:37.136869	\N	d9f2ebef-b5d7-41b5-98b7-b76f1779aaa6
116850	13	13915	2013-08-03 22:19:37.69207	2013-08-03 22:19:37.69207	\N	2ecb255c-0806-4e1b-bd99-0febc6372799
114907	6	13703	2013-08-03 22:10:52.640931	2013-08-03 22:10:52.640931	\N	2be8e5d5-2932-445d-a8ed-5d4971b1b122
121040	6	14713	2013-08-03 22:50:02.392824	2013-08-03 22:50:02.392824	\N	0acf0682-6e29-4d7b-a4c2-de407dc80fc0
130191	19	16474	2013-08-04 00:00:44.60156	2013-08-04 00:00:44.60156	\N	1ed04712-3fc7-4d54-beae-b713419b1b48
116862	11	13945	2013-08-03 22:19:40.330601	2013-08-03 22:19:40.330601	\N	8d22aa49-6153-4fc6-894c-792217a83d9a
121046	7	14710	2013-08-03 22:50:03.882427	2013-08-03 22:50:03.882427	\N	4e1b7caa-251e-4888-8f25-a225dd8e7594
138356	7	18490	2013-08-04 01:21:08.918688	2013-08-04 01:21:08.918688	\N	09a4603f-d8b4-4c4f-8b39-d90445a56b55
121050	11	14695	2013-08-03 22:50:07.904817	2013-08-03 22:50:07.904817	\N	c7e49562-dcd7-4455-b2ec-3fc4e6041b88
116885	2	13911	2013-08-03 22:19:44.253877	2013-08-03 22:19:44.253877	\N	7def95c5-4329-4a70-ada9-c7bb3ff57a15
116887	13	13960	2013-08-03 22:19:44.587551	2013-08-03 22:19:44.587551	\N	a0123861-4fad-4f13-a596-ddbb3c69e283
116888	11	13954	2013-08-03 22:19:45.001448	2013-08-03 22:19:45.001448	\N	b15e40c4-ec8c-4fef-8ffe-961f920fcec0
187068	2	24202	2013-08-04 19:02:44.908415	2013-08-04 19:02:44.908415	\N	636b4cf1-3b84-4fa1-93a3-2acea2818229
187069	2	24136	2013-08-04 19:02:44.946506	2013-08-04 19:02:44.946506	\N	37e7fb28-4906-43a2-9f5c-dbc815bd9e19
198538	14	25315	2013-08-04 19:57:38.46376	2013-08-04 19:57:38.46376	\N	2de7d9ec-227f-410e-b611-00e0a90bd54e
112510	16	13441	2013-08-03 22:02:11.720435	2013-08-03 22:02:11.720435	\N	086a3b4d-d73c-486e-8f3c-d513d9bfdde0
114521	2	13651	2013-08-03 22:09:27.661916	2013-08-03 22:09:27.661916	\N	0a49bab2-1680-43f4-aec7-005e339fabde
114522	2	13705	2013-08-03 22:09:27.780178	2013-08-03 22:09:27.780178	\N	e6553576-e29f-4c37-a16f-a3160f07b54f
114525	2	13702	2013-08-03 22:09:27.8586	2013-08-03 22:09:27.8586	\N	19b54d21-4f17-465b-a89a-ab8d77183615
114530	8	13702	2013-08-03 22:09:27.903428	2013-08-03 22:09:27.903428	\N	0e719a42-26d2-48f5-9b22-2acb7eaa7ce1
114533	1	13693	2013-08-03 22:09:28.16596	2013-08-03 22:09:28.16596	\N	034c18de-dbe8-40b9-8d07-04e8a05d3c16
114550	15	13651	2013-08-03 22:09:32.314015	2013-08-03 22:09:32.314015	\N	bc97de36-d8df-49a4-8248-5b0a575fb914
183509	2	23834	2013-08-04 18:50:22.737043	2013-08-04 18:50:22.737043	\N	aa8d3a09-6df3-4e89-94a1-59803d4d2f72
187072	2	24186	2013-08-04 19:02:45.067336	2013-08-04 19:02:45.067336	\N	c36c5da4-ad2b-450a-90e8-2d770b68e4f8
183513	2	23856	2013-08-04 18:50:22.836124	2013-08-04 18:50:22.836124	\N	f4755108-99a2-4429-9b2f-e2815100c766
125395	6	15442	2013-08-03 23:21:28.488816	2013-08-03 23:21:28.488816	\N	d5eebfe5-141f-442d-8275-474aa28823c5
120812	2	14587	2013-08-03 22:44:26.994524	2013-08-03 22:44:26.994524	\N	28ab1b59-d12a-4aa4-82c6-15a9b22fb4fd
120819	7	14545	2013-08-03 22:44:40.513996	2013-08-03 22:44:40.513996	\N	0cebe7ff-acf9-4f29-8245-bf8ac780f2f9
120821	7	14587	2013-08-03 22:44:41.832137	2013-08-03 22:44:41.832137	\N	01b5c6e6-1ff4-47d3-8f12-cb70aadeb2d7
114593	2	13663	2013-08-03 22:09:42.973593	2013-08-03 22:09:42.973593	\N	4676c48d-6ec0-4df5-82ed-26224271d54a
114594	2	13672	2013-08-03 22:09:43.066792	2013-08-03 22:09:43.066792	\N	56e2f7fc-9dad-45bb-ab1a-b0b9780d52ad
120829	13	14587	2013-08-03 22:44:58.523311	2013-08-03 22:44:58.523311	\N	8028d2a3-8de7-4a6a-abe2-415fab4220cb
114622	9	13651	2013-08-03 22:09:48.563353	2013-08-03 22:09:48.563353	\N	53bfc333-9d34-4285-85dd-1f4ad2f47dd2
118728	16	14041	2013-08-03 22:27:17.060101	2013-08-03 22:27:17.060101	\N	4002ca00-6947-4e76-8b50-e3c812b84b8d
125396	6	15451	2013-08-03 23:21:29.058918	2013-08-03 23:21:29.058918	\N	39aa3a92-ae7b-4bf4-a2b4-90125dc3bfeb
179953	19	23506	2013-08-04 18:38:00.724796	2013-08-04 18:38:00.724796	\N	082f7eae-16f9-4ca6-bfc1-3bc6f2c0dba0
190880	3	24373	2013-08-04 19:15:24.333866	2013-08-04 19:15:24.333866	\N	eb2dc09a-f89f-4195-9522-4bb4b751e626
190881	3	24388	2013-08-04 19:15:24.384453	2013-08-04 19:15:24.384453	\N	cfd355a0-2311-47d8-8b64-ef9d35ac50ef
116588	19	13786	2013-08-03 22:18:12.275216	2013-08-03 22:18:12.275216	\N	44108e63-5bf4-4244-9ee9-1ed0849ba246
114647	15	13663	2013-08-03 22:09:55.207287	2013-08-03 22:09:55.207287	\N	eb1e8d7b-ddb3-48bc-ba32-f447ec9b76b0
198541	9	25294	2013-08-04 19:57:40.104144	2013-08-04 19:57:40.104144	\N	ba157835-8638-48df-8f4c-5529c715f91f
112629	14	13408	2013-08-03 22:02:31.695176	2013-08-03 22:02:31.695176	\N	27b7ea15-6f2b-48e4-ab8c-da763e763be8
198547	6	25270	2013-08-04 19:57:41.780393	2013-08-04 19:57:41.780393	\N	cf5fd143-c9ff-40d0-b21e-00d06bb3ec72
172981	4	22974	2013-08-04 18:13:39.332262	2013-08-04 18:13:39.332262	\N	c1ab7f4b-0ca9-4979-908d-39ac7995174d
114666	11	13660	2013-08-03 22:10:01.827203	2013-08-03 22:10:01.827203	\N	bad22b91-4780-4705-9e3a-b3f42258d52d
108756	17	13147	2013-08-03 21:51:36.656593	2013-08-03 21:51:36.656593	\N	24f4834c-e6ff-4176-ba56-0a73257b8be0
198550	13	25270	2013-08-04 19:57:42.568832	2013-08-04 19:57:42.568832	\N	8ee0df7d-19fe-4628-9864-b3601982f0e0
114686	11	13651	2013-08-03 22:10:02.823844	2013-08-03 22:10:02.823844	\N	dff0623d-e3b8-4c10-9d00-c023a4cfa42c
114687	13	13693	2013-08-03 22:10:03.6587	2013-08-03 22:10:03.6587	\N	154f9d80-87f4-4657-800c-c64845d20ac5
114688	11	13672	2013-08-03 22:10:03.764842	2013-08-03 22:10:03.764842	\N	26afdbfe-8c1c-4be8-a9c4-c0dc5cb75efd
183541	14	23743	2013-08-04 18:50:28.411501	2013-08-04 18:50:28.411501	\N	08799a72-6d68-4e10-925f-e1c05731c3ad
114690	13	13660	2013-08-03 22:10:03.969577	2013-08-03 22:10:03.969577	\N	e69ceb28-e574-4f6e-9363-05fb59c7d0c3
114691	13	13663	2013-08-03 22:10:04.236525	2013-08-03 22:10:04.236525	\N	1fa55d53-3d38-4d7f-99b1-94b21f9a9aa7
114695	14	13702	2013-08-03 22:10:05.619423	2013-08-03 22:10:05.619423	\N	cbb91ce8-4c26-4c33-ac17-1f36fc583768
183542	14	23851	2013-08-04 18:50:28.511805	2013-08-04 18:50:28.511805	\N	2d71f74b-3498-4704-8b5e-851e0d39a814
183543	14	23797	2013-08-04 18:50:28.557323	2013-08-04 18:50:28.557323	\N	5dceca9f-a35f-4972-b9bf-087f5f8e7dfc
114747	6	13663	2013-08-03 22:10:15.704214	2013-08-03 22:10:15.704214	\N	9f76b166-2a25-43be-bebe-8616f53f9286
130150	19	16435	2013-08-04 00:00:24.434975	2013-08-04 00:00:24.434975	\N	0009def4-013b-4ebb-9737-8d1ff9b310c2
130151	11	16459	2013-08-04 00:00:25.019145	2013-08-04 00:00:25.019145	\N	8a3efc63-b8bf-4402-8126-3664bffa07d3
130155	11	16474	2013-08-04 00:00:25.907107	2013-08-04 00:00:25.907107	\N	23a4ede2-8712-4d04-aa60-5891fb162e93
130163	15	16475	2013-08-04 00:00:28.616895	2013-08-04 00:00:28.616895	\N	e6b68a10-2a8c-4bf3-a3fa-b0d44ffb30df
130182	17	16423	2013-08-04 00:00:40.40291	2013-08-04 00:00:40.40291	\N	58087c11-02b9-4bf7-9d7b-607aa1297847
116639	19	13834	2013-08-03 22:18:27.631003	2013-08-03 22:18:27.631003	\N	fb0b364a-59a1-43a7-81ed-f6936f06c5f1
135534	17	17821	2013-08-04 00:56:05.219734	2013-08-04 00:56:05.219734	\N	82d9c843-fd6e-403b-ab60-baba7f422825
120984	2	14713	2013-08-03 22:49:23.975277	2013-08-03 22:49:23.975277	\N	a0ed2519-0922-416a-99c7-966a7b182ccf
120985	2	14671	2013-08-03 22:49:24.173884	2013-08-03 22:49:24.173884	\N	ca044477-7516-4193-864a-62546fcb26fb
120986	2	14695	2013-08-03 22:49:24.239952	2013-08-03 22:49:24.239952	\N	64c7ea06-8d8c-4c38-80f9-6f3e566466e4
114838	6	13660	2013-08-03 22:10:32.57569	2013-08-03 22:10:32.57569	\N	4a1f35d1-1766-42f3-baae-5dfc6602c27b
120989	15	14671	2013-08-03 22:49:29.86981	2013-08-03 22:49:29.86981	\N	f89fe984-9737-4d1a-bdde-96fad82e204e
120990	8	14671	2013-08-03 22:49:31.810142	2013-08-03 22:49:31.810142	\N	dc49717f-3881-473e-a667-498403fbfac7
120992	9	14671	2013-08-03 22:49:33.885689	2013-08-03 22:49:33.885689	\N	ea7a67cb-728c-4c35-ad83-3daab6044481
120995	15	14710	2013-08-03 22:49:36.261821	2013-08-03 22:49:36.261821	\N	7d66dd9b-17b6-4add-9cec-f102c63b72a5
130189	9	16475	2013-08-04 00:00:43.451594	2013-08-04 00:00:43.451594	\N	7ea99d8d-71bd-4b1e-8ed7-7d2ca02d0dee
135536	7	17809	2013-08-04 00:56:06.451944	2013-08-04 00:56:06.451944	\N	fc3d22cd-59d0-4dcf-92a4-3880b4cbbeb6
138336	8	18439	2013-08-04 01:21:02.30789	2013-08-04 01:21:02.30789	\N	c7bdad4b-fd64-434f-99df-c89f0edea0c6
121014	6	14710	2013-08-03 22:49:47.664484	2013-08-03 22:49:47.664484	\N	c3a69525-b283-4eee-81eb-a988cdd670e6
118904	19	14029	2013-08-03 22:28:10.751991	2013-08-03 22:28:10.751991	\N	32c5f8f8-7625-4a71-91dd-17eae38632b6
179967	10	23598	2013-08-04 18:38:01.894749	2013-08-04 18:38:01.894749	\N	0f5f786d-9fa7-47fe-9ca9-6bf9abfc98e2
135552	4	17821	2013-08-04 00:56:14.508606	2013-08-04 00:56:14.508606	\N	4b3b8e92-b34d-4b2f-af88-d62ede270b88
130219	6	16474	2013-08-04 00:01:03.892686	2013-08-04 00:01:03.892686	\N	3b595f4c-0b0b-48aa-85f3-c8744fd70ce4
121024	13	14671	2013-08-03 22:49:53.866442	2013-08-03 22:49:53.866442	\N	2362afc2-d6ab-49ce-8845-33ef4c8bf642
135553	4	17809	2013-08-04 00:56:14.578739	2013-08-04 00:56:14.578739	\N	cf24801a-4156-4844-8354-40360c3cc641
130242	1	16475	2013-08-04 00:01:13.894007	2013-08-04 00:01:13.894007	\N	a1ad87da-d6ec-4c26-9fcd-adc4ffa7a1a5
135555	4	17860	2013-08-04 00:56:14.656938	2013-08-04 00:56:14.656938	\N	54522182-cef9-4a38-915b-d79c5317feb3
121028	4	14711	2013-08-03 22:49:55.87882	2013-08-03 22:49:55.87882	\N	67fcecb9-19f6-471c-bbd5-bc0c31709a67
135565	19	17821	2013-08-04 00:56:19.768088	2013-08-04 00:56:19.768088	\N	1fac4429-266d-4dd8-b6b0-260ad0cc4992
133005	8	17179	2013-08-04 00:30:55.282116	2013-08-04 00:30:55.282116	\N	be1d1c71-2dc7-420c-adf7-5b51cf7d8c52
143335	2	19228	2013-08-04 01:54:13.351379	2013-08-04 01:54:13.351379	\N	2ae4a260-e8ff-4428-82da-2687fac599f8
123416	14	15049	2013-08-03 23:06:18.392148	2013-08-03 23:06:18.392148	\N	bf2157ac-080c-4f75-980e-37e89fae179a
121049	17	14710	2013-08-03 22:50:07.544535	2013-08-03 22:50:07.544535	\N	483ea42d-c6b4-4eff-a0e7-cf19e4128b32
133017	7	17179	2013-08-04 00:30:57.989934	2013-08-04 00:30:57.989934	\N	18c51006-0834-4830-a040-55ede69e575d
133018	7	17230	2013-08-04 00:30:58.43615	2013-08-04 00:30:58.43615	\N	a0a761b6-34a6-4b42-8034-b67c3f5e3323
116790	6	13960	2013-08-03 22:19:25.700601	2013-08-03 22:19:25.700601	\N	b19c5a7e-9c6d-48a9-beec-793403f3c1f5
138348	16	18451	2013-08-04 01:21:07.019543	2013-08-04 01:21:07.019543	\N	9782ee23-b54d-49ea-a16d-6d88b3bb14f9
138349	16	18439	2013-08-04 01:21:07.153423	2013-08-04 01:21:07.153423	\N	5d3c6cfb-34a0-4648-a87c-ca0b2890fa75
116817	9	13945	2013-08-03 22:19:30.309411	2013-08-03 22:19:30.309411	\N	ad0ddfae-cfc0-405a-9672-4cec9919ded7
133052	1	17231	2013-08-04 00:31:13.862497	2013-08-04 00:31:13.862497	\N	e1d34c1e-fce0-4253-9c05-bb83eda8e7eb
133055	9	17191	2013-08-04 00:31:15.246876	2013-08-04 00:31:15.246876	\N	25719cda-92b6-4c43-a3bb-41243360d0a9
116828	17	13915	2013-08-03 22:19:31.71471	2013-08-03 22:19:31.71471	\N	083ec2ca-e15b-4a4f-bcea-dbae1c8f493f
130292	13	16474	2013-08-04 00:01:58.731966	2013-08-04 00:01:58.731966	\N	24b9f222-6f95-4848-ada4-28a30fade875
133056	9	17179	2013-08-04 00:31:15.417331	2013-08-04 00:31:15.417331	\N	c6c1d78a-a50c-4218-90f8-837faf6f64a6
133057	9	17231	2013-08-04 00:31:15.566471	2013-08-04 00:31:15.566471	\N	7386d5d8-7b66-4254-beeb-98c36813faf9
133058	11	17230	2013-08-04 00:31:16.298207	2013-08-04 00:31:16.298207	\N	39032af4-fb38-4e63-898c-6437978e271b
138350	16	18490	2013-08-04 01:21:07.369259	2013-08-04 01:21:07.369259	\N	424ba6a5-37ee-421a-b50e-2ceaeb578ff7
116851	13	13903	2013-08-03 22:19:37.96523	2013-08-03 22:19:37.96523	\N	8b09ae7a-2f5d-4e8e-93e3-1408a9ad6340
121112	5	14713	2013-08-03 22:50:32.264484	2013-08-03 22:50:32.264484	\N	cc8ffe59-6289-49af-b2e3-7f27de28e7f7
138354	6	18491	2013-08-04 01:21:07.84417	2013-08-04 01:21:07.84417	\N	bd8d4801-2281-4aca-9b60-b95a3ba161df
133064	6	17179	2013-08-04 00:31:18.382223	2013-08-04 00:31:18.382223	\N	7dfe6243-5129-4ddd-9702-0c0b0c9133dc
138355	5	18439	2013-08-04 01:21:08.430568	2013-08-04 01:21:08.430568	\N	e6d86638-f792-4590-b3bf-1a14af907bc5
138357	5	18490	2013-08-04 01:21:09.12824	2013-08-04 01:21:09.12824	\N	d55d4661-37dc-42bb-b546-44a53bcc7b94
179969	14	23506	2013-08-04 18:38:04.074785	2013-08-04 18:38:04.074785	\N	2cd81755-ac1c-4e8e-9888-1e83794b0168
116897	11	13960	2013-08-03 22:19:45.823523	2013-08-03 22:19:45.823523	\N	65896a84-994b-4f9e-aad3-97f602794a41
116900	15	13955	2013-08-03 22:19:46.728383	2013-08-03 22:19:46.728383	\N	7718f281-1543-4f50-a40f-e4c5ce95aa8d
166016	2	22120	2013-08-04 17:41:54.957679	2013-08-04 17:41:54.957679	\N	4df13305-3928-4ba1-a8c8-80466e085518
119043	19	14065	2013-08-03 22:28:46.148845	2013-08-03 22:28:46.148845	\N	1a8a871e-8cec-424a-95b1-123d303f7672
166017	2	22105	2013-08-04 17:41:55.056376	2013-08-04 17:41:55.056376	\N	4bafb884-1c29-4be2-8000-9e04ecc12466
166018	2	22116	2013-08-04 17:41:55.086792	2013-08-04 17:41:55.086792	\N	14bbb8c8-56e6-4a8e-80f3-a1e27ed30098
116929	17	13957	2013-08-03 22:19:56.372035	2013-08-03 22:19:56.372035	\N	bfc097f8-9173-45d8-826a-8fbd8cf349b2
120825	8	14584	2013-08-03 22:44:56.508743	2013-08-03 22:44:56.508743	\N	02a40ebe-1e1c-416c-9749-a53eecfc0997
166019	2	22122	2013-08-04 17:41:55.130981	2013-08-04 17:41:55.130981	\N	98fbc262-b0a5-4fad-96a7-1c46e122d8eb
114564	9	13703	2013-08-03 22:09:34.404025	2013-08-03 22:09:34.404025	\N	932ebc67-0dbf-4871-a31e-f89959e8a1c4
120828	8	14585	2013-08-03 22:44:57.454039	2013-08-03 22:44:57.454039	\N	a431afbb-902f-46db-b9e8-3d8786bd6ec6
120833	19	14585	2013-08-03 22:45:01.116195	2013-08-03 22:45:01.116195	\N	5ba915fd-ec3c-4474-96af-228a7b7faa9f
118813	14	14071	2013-08-03 22:27:44.82668	2013-08-03 22:27:44.82668	\N	991d3138-b855-48dc-aa89-e19bc632634d
120838	15	14584	2013-08-03 22:45:11.289828	2013-08-03 22:45:11.289828	\N	6b521fcc-cc3e-42ec-bb5d-465bf6225378
114591	9	13702	2013-08-03 22:09:42.029266	2013-08-03 22:09:42.029266	\N	db757b2e-30eb-443e-86c3-aba7dd2792ae
112706	19	13456	2013-08-03 22:02:35.256679	2013-08-03 22:02:35.256679	\N	a972ad7e-ddf6-47b6-af77-78ae1143915f
143288	3	19228	2013-08-04 01:53:45.647806	2013-08-04 01:53:45.647806	\N	7577110e-7a36-4af3-ac5e-1fbc88eae6a5
114613	9	13663	2013-08-03 22:09:47.37807	2013-08-03 22:09:47.37807	\N	f647a88d-d991-40aa-9b7a-ecf8aaab19ae
120841	18	14585	2013-08-03 22:45:19.510966	2013-08-03 22:45:19.510966	\N	556c9807-7a1b-4b78-a842-e023f83b401d
143289	3	19207	2013-08-04 01:53:45.687903	2013-08-04 01:53:45.687903	\N	f2245d65-512a-45e7-b1e4-2193a4e46c8a
166020	2	22110	2013-08-04 17:41:55.174414	2013-08-04 17:41:55.174414	\N	a34a2763-57fe-45e9-8283-2bfc2aa10829
120847	17	14585	2013-08-03 22:45:24.561013	2013-08-03 22:45:24.561013	\N	794e7191-df7f-4a9b-a132-b0216772ff67
114628	4	13651	2013-08-03 22:09:50.024967	2013-08-03 22:09:50.024967	\N	6d9ffde3-07ce-4ad1-af63-da78bd15c04e
166021	2	22137	2013-08-04 17:41:55.213434	2013-08-04 17:41:55.213434	\N	ca43778a-e62a-4794-84e4-1a390902652d
130090	14	16348	2013-08-03 23:59:09.971074	2013-08-03 23:59:09.971074	\N	4c86aac6-6b45-4e52-9d04-3e593c1972d6
114657	5	13702	2013-08-03 22:09:58.224084	2013-08-03 22:09:58.224084	\N	7620b8fe-2643-4fdc-8df3-7346fde8c115
114659	17	13705	2013-08-03 22:09:58.511681	2013-08-03 22:09:58.511681	\N	69dbc1d8-662c-43af-828e-fa0db9038d78
114660	17	13703	2013-08-03 22:09:58.637958	2013-08-03 22:09:58.637958	\N	4060026d-a971-451f-8077-46db588b1b3b
166022	2	22101	2013-08-04 17:41:55.255966	2013-08-04 17:41:55.255966	\N	938b0f1b-fe98-446a-90e2-512bb9b8ac90
166023	2	22107	2013-08-04 17:41:55.319092	2013-08-04 17:41:55.319092	\N	5de0fee4-0812-4eab-a06f-9935bfdc7293
166024	2	22128	2013-08-04 17:41:55.366319	2013-08-04 17:41:55.366319	\N	eb658bda-990c-4b99-a21e-a819807c5742
114684	14	13672	2013-08-03 22:10:02.688377	2013-08-03 22:10:02.688377	\N	ac4e0c0c-2a4e-47b7-a7e5-26f755ad3a7d
166026	2	22134	2013-08-04 17:41:55.401805	2013-08-04 17:41:55.401805	\N	f748a8e9-7a97-47c2-820f-d5fd3907a7b5
166027	2	22146	2013-08-04 17:41:55.449846	2013-08-04 17:41:55.449846	\N	6a659511-8711-42d1-a332-88ffcfd1aa68
138325	7	18491	2013-08-04 01:21:01.342663	2013-08-04 01:21:01.342663	\N	acc18fab-b2c8-49d1-813f-8b4c5f01d08b
166028	2	22135	2013-08-04 17:41:55.510788	2013-08-04 17:41:55.510788	\N	441b60a3-8b34-429e-8682-c0d6e0bab647
114706	13	13672	2013-08-03 22:10:07.174208	2013-08-03 22:10:07.174208	\N	f966c187-a2ae-4450-b1a0-4f97dfe767a0
114716	5	13672	2013-08-03 22:10:09.393797	2013-08-03 22:10:09.393797	\N	aa7d7319-72af-4ce1-8d33-24159e5bff5b
120911	13	14545	2013-08-03 22:47:20.670364	2013-08-03 22:47:20.670364	\N	c871c828-307b-4bd4-a67c-ccca9ceea693
135521	15	17860	2013-08-04 00:55:58.148389	2013-08-04 00:55:58.148389	\N	f99e027d-af7e-4b4c-9c38-c4211d3395fb
135544	7	17860	2013-08-04 00:56:09.609424	2013-08-04 00:56:09.609424	\N	6b61704b-490e-40a9-b413-01b70c9eeb34
114752	8	13703	2013-08-03 22:10:17.451015	2013-08-03 22:10:17.451015	\N	988bccbd-f560-4e16-999a-a34baa36776a
135545	6	17809	2013-08-04 00:56:10.329412	2013-08-04 00:56:10.329412	\N	95639430-4d1b-47e6-ad8a-f21c1b9a27c8
138424	6	18490	2013-08-04 01:21:31.763445	2013-08-04 01:21:31.763445	\N	0a9a1205-694b-41d9-bf99-7c6247ca029d
187080	8	24218	2013-08-04 19:02:47.327011	2013-08-04 19:02:47.327011	\N	9f67f71d-486b-4c80-aa9c-a26e729e3638
135587	16	17809	2013-08-04 00:56:26.291992	2013-08-04 00:56:26.291992	\N	82374ca9-9f4b-4a3e-8978-50db3ffc6085
138462	11	18451	2013-08-04 01:21:43.929878	2013-08-04 01:21:43.929878	\N	ee5573ca-894b-497d-9307-b688c1310f72
135589	16	17860	2013-08-04 00:56:28.301767	2013-08-04 00:56:28.301767	\N	017d23da-2c11-4e80-85ad-a42be19668a1
152501	14	20380	2013-08-04 02:39:35.746624	2013-08-04 02:39:35.746624	\N	f5e7fcc8-9d05-45bf-95da-2907134d8f5b
179913	7	23604	2013-08-04 18:37:50.835315	2013-08-04 18:37:50.835315	\N	f265232c-5639-430e-b248-f442bbfe9372
120953	3	14587	2013-08-03 22:48:30.016378	2013-08-03 22:48:30.016378	\N	0999573a-c19d-4da8-ada6-d7654342e8b6
116782	8	13945	2013-08-03 22:19:24.451675	2013-08-03 22:19:24.451675	\N	569d9d60-4c02-42fe-8265-97b6088b132a
116783	8	13912	2013-08-03 22:19:24.553436	2013-08-03 22:19:24.553436	\N	e945bcc8-51c9-477d-b038-4616e7a8dd9a
116787	8	13903	2013-08-03 22:19:24.792391	2013-08-03 22:19:24.792391	\N	4dba7746-a327-4cdd-ad03-526e2552157b
116788	6	13903	2013-08-03 22:19:25.042604	2013-08-03 22:19:25.042604	\N	1096665c-ed49-43c6-9359-532adba075fa
116796	6	13945	2013-08-03 22:19:26.280426	2013-08-03 22:19:26.280426	\N	85b47568-440a-472d-869b-965930dafcb5
116797	6	13912	2013-08-03 22:19:26.395388	2013-08-03 22:19:26.395388	\N	189772e6-70d4-4d25-88ec-84adbb27de6d
143770	7	19354	2013-08-04 01:56:14.711874	2013-08-04 01:56:14.711874	\N	9b8b7144-3051-4122-bc54-80be4c505a51
118945	3	14029	2013-08-03 22:28:21.739304	2013-08-03 22:28:21.739304	\N	8ff8db54-4d30-469e-bc74-31b132446734
116810	6	13954	2013-08-03 22:19:28.057194	2013-08-03 22:19:28.057194	\N	ebcc28bb-5154-4320-9c2f-7cf214bc687c
114843	6	13708	2013-08-03 22:10:33.102289	2013-08-03 22:10:33.102289	\N	28d90b0a-0005-4852-ab16-8386ac3ce17e
116815	17	13912	2013-08-03 22:19:29.623924	2013-08-03 22:19:29.623924	\N	727d60aa-9409-4425-a883-65ade1bb2fb5
116816	15	13954	2013-08-03 22:19:30.046773	2013-08-03 22:19:30.046773	\N	2967fe13-e8cb-4bb6-b481-42170638d974
116819	9	13915	2013-08-03 22:19:30.455051	2013-08-03 22:19:30.455051	\N	debe41cb-0455-4350-80b1-bd57fa73e8ce
118946	3	14041	2013-08-03 22:28:21.782926	2013-08-03 22:28:21.782926	\N	a7ac1d93-a63f-4e39-a489-09db67485cec
116821	9	13903	2013-08-03 22:19:30.619483	2013-08-03 22:19:30.619483	\N	d277c5af-026a-4878-8d06-39bf63a569ec
114856	10	13693	2013-08-03 22:10:37.188104	2013-08-03 22:10:37.188104	\N	3802094e-543f-4363-a2da-223eb8ca4309
123371	7	15089	2013-08-03 23:06:07.319309	2013-08-03 23:06:07.319309	\N	3a4336f9-449e-495a-93dd-01e571f8a6f4
120973	14	14587	2013-08-03 22:48:47.636802	2013-08-03 22:48:47.636802	\N	6a156c5e-5b73-4ac0-b24d-eb31690ed1cf
135614	18	17817	2013-08-04 00:56:43.35191	2013-08-04 00:56:43.35191	\N	89dcd816-75f4-4571-bd05-731d8527091b
135620	17	17861	2013-08-04 00:56:45.200412	2013-08-04 00:56:45.200412	\N	1b9bb1a0-0f80-4fb3-9893-47757a204d55
120980	8	14695	2013-08-03 22:49:23.233241	2013-08-03 22:49:23.233241	\N	ff182b77-da6f-474f-8564-c57a1b230818
121004	17	14711	2013-08-03 22:49:43.231588	2013-08-03 22:49:43.231588	\N	f2fe059a-131f-4d07-a138-ef25965b3e24
116847	13	13912	2013-08-03 22:19:37.379639	2013-08-03 22:19:37.379639	\N	18231a48-5636-4d55-af6e-36508bd6a2a6
130153	19	16423	2013-08-04 00:00:25.270179	2013-08-04 00:00:25.270179	\N	e31b16e3-226c-4638-95ad-372e27d08674
130154	7	16459	2013-08-04 00:00:25.680447	2013-08-04 00:00:25.680447	\N	1c289e8f-c336-4e75-af33-39ca84842f1c
121034	6	14671	2013-08-03 22:49:58.970442	2013-08-03 22:49:58.970442	\N	91319581-e5d8-4d79-bcc6-3e399c1f29a1
130160	6	16435	2013-08-04 00:00:27.456198	2013-08-04 00:00:27.456198	\N	b464927b-1778-4e3b-b595-915da3a7ee53
130162	16	16435	2013-08-04 00:00:28.429261	2013-08-04 00:00:28.429261	\N	fc108024-fd1d-4636-9cf3-6f3b5ef60456
116871	11	13903	2013-08-03 22:19:41.81914	2013-08-03 22:19:41.81914	\N	6f484da3-dd33-4a80-85e4-9a9167009d6a
187083	6	24160	2013-08-04 19:02:47.648542	2013-08-04 19:02:47.648542	\N	dd8724ac-1f6d-4bc9-88d1-b8b42bd01ef8
130172	15	16435	2013-08-04 00:00:31.882252	2013-08-04 00:00:31.882252	\N	e1c85cc6-63a7-46e9-85ad-5893ea381785
130174	8	16459	2013-08-04 00:00:32.843515	2013-08-04 00:00:32.843515	\N	3ce29f36-0aa1-4ddd-8bb5-bf655b878a6c
130178	9	16423	2013-08-04 00:00:36.266262	2013-08-04 00:00:36.266262	\N	5eae7e1b-3b78-4599-94cf-5232ef068d44
121090	4	14671	2013-08-03 22:50:27.363625	2013-08-03 22:50:27.363625	\N	7032df6b-46d1-456a-b88e-d96315c6ae15
121091	4	14695	2013-08-03 22:50:27.4211	2013-08-03 22:50:27.4211	\N	b164bdca-f47a-4e6b-b84b-ac6508a32ec9
121092	4	14710	2013-08-03 22:50:27.50081	2013-08-03 22:50:27.50081	\N	88563557-8184-435b-8a6a-7350a73031f2
116930	7	13957	2013-08-03 22:19:57.408812	2013-08-03 22:19:57.408812	\N	db6f2a1d-3a88-4fce-a529-ed85100970ef
114955	10	13660	2013-08-03 22:11:07.480581	2013-08-03 22:11:07.480581	\N	6df6416c-f5b8-4abd-a26f-e144bc0a0a83
123399	18	15089	2013-08-03 23:06:11.659082	2013-08-03 23:06:11.659082	\N	dfe9cef3-fee7-4e8d-995c-2987d4805e9e
179920	19	23530	2013-08-04 18:37:53.143699	2013-08-04 18:37:53.143699	\N	bb0b4d63-2225-4a9a-a344-41a5d181b506
179926	19	23491	2013-08-04 18:37:55.639947	2013-08-04 18:37:55.639947	\N	d0ef8d88-5d3d-4d97-8015-129142515417
152622	6	20455	2013-08-04 02:40:59.125959	2013-08-04 02:40:59.125959	\N	f4c7144b-1cc1-4d60-81dd-33563e1a8b35
116959	17	13954	2013-08-03 22:20:08.147738	2013-08-03 22:20:08.147738	\N	adc322c2-56e0-4e07-a62b-0b37bde26275
130200	8	16474	2013-08-04 00:00:55.504488	2013-08-04 00:00:55.504488	\N	cc737d2a-d5e9-470b-b75b-a67a1ae7edcf
119051	19	14086	2013-08-03 22:28:50.231341	2013-08-03 22:28:50.231341	\N	ec93c182-1e14-48cd-bae7-8394d5d9b29a
130203	17	16459	2013-08-04 00:00:56.878874	2013-08-04 00:00:56.878874	\N	41c1eab4-9ec5-46a0-b30b-38de64685074
130206	19	16459	2013-08-04 00:00:59.324674	2013-08-04 00:00:59.324674	\N	563d6d61-60ce-4419-9e6d-d82a4d5368ad
130208	10	16459	2013-08-04 00:00:59.446287	2013-08-04 00:00:59.446287	\N	d10962e9-0f89-4d2c-83ec-cb702b39a5df
130210	10	16474	2013-08-04 00:00:59.618025	2013-08-04 00:00:59.618025	\N	57d18be4-81e9-4f3e-b7e2-3e05428e6529
121137	19	14671	2013-08-03 22:50:41.147425	2013-08-03 22:50:41.147425	\N	9aad52e0-e498-4501-a538-94af45697976
187088	14	24178	2013-08-04 19:02:48.984559	2013-08-04 19:02:48.984559	\N	5c8d36bf-4456-404a-8406-c2821438e8d8
187089	8	24160	2013-08-04 19:02:49.557628	2013-08-04 19:02:49.557628	\N	fb866aa1-83da-4d1c-8385-577e68157722
159161	14	20909	2013-08-04 16:46:03.670567	2013-08-04 16:46:03.670567	\N	9e5167e3-470a-4958-aa98-55dafbcbdf92
159173	19	20951	2013-08-04 16:54:45.545384	2013-08-04 16:54:45.545384	\N	e4e343b8-c0f4-4364-a995-ada541c459d3
123493	3	15049	2013-08-03 23:06:45.814951	2013-08-03 23:06:45.814951	\N	cd49ddf3-40c3-416d-a43e-9d97c57a6135
123494	3	15079	2013-08-03 23:06:45.923942	2013-08-03 23:06:45.923942	\N	95dd6674-2082-4d22-95fc-c12fcb2a66c3
119102	8	14167	2013-08-03 22:29:33.750746	2013-08-03 22:29:33.750746	\N	76a8f5b7-3ce8-4343-9b69-20b8a91573a6
117022	13	13954	2013-08-03 22:20:25.159521	2013-08-03 22:20:25.159521	\N	c6da75ae-53ef-4da7-86a4-3e675e9324e8
133037	11	17191	2013-08-04 00:31:12.335874	2013-08-04 00:31:12.335874	\N	9a971b59-7bd8-428a-a49a-564da2b180f0
133044	6	17191	2013-08-04 00:31:13.053881	2013-08-04 00:31:13.053881	\N	a71ba75c-4e3e-4002-8aeb-a87023d6ef97
119121	9	14207	2013-08-03 22:29:38.14382	2013-08-03 22:29:38.14382	\N	d5c591e1-05a2-42c3-8c5f-d446f287e027
114698	11	13708	2013-08-03 22:10:06.288931	2013-08-03 22:10:06.288931	\N	0c45733b-3347-4a9c-9753-821eb15bd20b
130199	9	16474	2013-08-04 00:00:54.99296	2013-08-04 00:00:54.99296	\N	73436696-5526-4f2b-a4f3-217bf44e064e
159162	8	20932	2013-08-04 16:48:10.62661	2013-08-04 16:48:10.62661	\N	1d969050-2239-41fb-94f8-666851d9120d
140971	2	18930	2013-08-04 01:37:00.754276	2013-08-04 01:37:00.754276	\N	06dec26f-2e01-4935-9a48-28095f4c2e56
114730	13	13705	2013-08-03 22:10:11.696184	2013-08-03 22:10:11.696184	\N	dbcf0f17-fc60-48c6-b7a1-f3cf5def110d
140972	2	18912	2013-08-04 01:37:00.812086	2013-08-04 01:37:00.812086	\N	1978287e-6007-4702-b550-a892ebb0ff14
116759	4	13819	2013-08-03 22:19:09.408	2013-08-03 22:19:09.408	\N	c6744178-43be-4c50-b5ed-3bcb9da0277c
116760	4	13789	2013-08-03 22:19:09.454264	2013-08-03 22:19:09.454264	\N	bd3a9bad-b0e8-48aa-a2a3-863bced2b6f9
116761	4	13777	2013-08-03 22:19:09.479993	2013-08-03 22:19:09.479993	\N	1584756e-5cb1-4440-b95b-198ab6c43e33
116762	4	13828	2013-08-03 22:19:09.536606	2013-08-03 22:19:09.536606	\N	42fa49f3-a13c-4881-b4b2-5774f660d79f
116779	2	13903	2013-08-03 22:19:23.940631	2013-08-03 22:19:23.940631	\N	672cc1df-09da-49bd-a35b-37bbc17f50cf
116780	2	13960	2013-08-03 22:19:23.979251	2013-08-03 22:19:23.979251	\N	8d27e4f3-e144-4626-b646-9cff91246d8a
116781	2	13945	2013-08-03 22:19:24.011647	2013-08-03 22:19:24.011647	\N	77e1d659-76c3-448d-85e5-56d2a72c6f6f
116792	15	13915	2013-08-03 22:19:25.719693	2013-08-03 22:19:25.719693	\N	21cc9429-0b56-4399-aa0e-9b34ce0dcef2
166037	4	22135	2013-08-04 17:41:55.872593	2013-08-04 17:41:55.872593	\N	880f1b90-caa8-4392-81bb-6d4043432757
118903	19	14041	2013-08-03 22:28:09.994285	2013-08-03 22:28:09.994285	\N	9f6b82f6-d6e8-4ebd-8976-27c6b266ac46
125507	7	15423	2013-08-03 23:22:05.327656	2013-08-03 23:22:05.327656	\N	ef83d907-4da3-4621-a8c8-6429bda57ef6
108663	4	13147	2013-08-03 21:51:22.573368	2013-08-03 21:51:22.573368	\N	83c79e6a-0b52-4fe4-841c-e0755910ba10
140974	2	18920	2013-08-04 01:37:00.895784	2013-08-04 01:37:00.895784	\N	5fbc7a9c-1970-47f5-9ee3-65b7022bea24
114764	6	13702	2013-08-03 22:10:19.737926	2013-08-03 22:10:19.737926	\N	28226268-68f9-45c9-8a7a-97452b524a63
116802	17	13945	2013-08-03 22:19:27.528674	2013-08-03 22:19:27.528674	\N	695d9cc8-a7c8-4c85-8c27-82aa4168f82b
138342	14	18451	2013-08-04 01:21:03.093422	2013-08-04 01:21:03.093422	\N	f1b7b5ab-ebab-41e3-b8be-04b22e7081e7
138343	14	18491	2013-08-04 01:21:03.126598	2013-08-04 01:21:03.126598	\N	1c876ceb-c0c8-4144-b872-bcb44ba3f573
116811	9	13954	2013-08-03 22:19:28.069564	2013-08-03 22:19:28.069564	\N	740d41a3-cf46-40cb-a9c1-ca1db8acdb21
166040	4	22105	2013-08-04 17:41:55.909351	2013-08-04 17:41:55.909351	\N	ff4b98e2-1001-4223-9329-d4ba4411d694
108689	11	13147	2013-08-03 21:51:25.209259	2013-08-03 21:51:25.209259	\N	7a599d6c-a049-4c19-997c-cfe1892f695c
114779	13	13651	2013-08-03 22:10:22.665209	2013-08-03 22:10:22.665209	\N	b7441fb7-a1e6-41c4-bb47-6051b6211aa5
116814	2	13954	2013-08-03 22:19:29.141659	2013-08-03 22:19:29.141659	\N	6341a43a-b74b-447e-8393-4aaf5ea76c47
140976	2	18916	2013-08-04 01:37:00.982633	2013-08-04 01:37:00.982633	\N	5516f2ee-e8f4-4934-835d-fb79eadf2153
140978	12	18817	2013-08-04 01:37:02.710379	2013-08-04 01:37:02.710379	\N	abd95a83-9846-4afd-95d3-34fe577db233
114808	17	13702	2013-08-03 22:10:27.961954	2013-08-03 22:10:27.961954	\N	bf73e0df-0bb4-4db0-aa23-4808839ef74d
116835	20	13954	2013-08-03 22:19:33.753137	2013-08-03 22:19:33.753137	\N	bdbd2b1c-0a8e-42d2-813a-a13daabc6c76
116836	17	13903	2013-08-03 22:19:33.924463	2013-08-03 22:19:33.924463	\N	5d782fe0-943a-450c-8d49-0facffdb69fc
114811	2	13708	2013-08-03 22:10:28.50343	2013-08-03 22:10:28.50343	\N	759a8f6f-7260-43f4-abc8-cc5750abb078
116846	14	13915	2013-08-03 22:19:37.35983	2013-08-03 22:19:37.35983	\N	cb9b98e5-e0a6-4ef2-a0b1-ad5ed15dd755
116848	14	13954	2013-08-03 22:19:37.405797	2013-08-03 22:19:37.405797	\N	fc5321c9-f66a-4024-8fe7-c9fd02d0d67b
140979	12	18869	2013-08-04 01:37:03.457498	2013-08-04 01:37:03.457498	\N	9c12fcaa-fa6a-4bee-ab3f-d31160dd77ec
159167	14	20872	2013-08-04 16:54:23.073758	2013-08-04 16:54:23.073758	\N	9eb38584-84ac-46ca-8abb-de8784bc4651
159168	14	20944	2013-08-04 16:54:23.16952	2013-08-04 16:54:23.16952	\N	64c268a2-2758-4293-9ebc-b733ef911c20
143349	20	19246	2013-08-04 01:54:17.735451	2013-08-04 01:54:17.735451	\N	d5486ece-8e09-4e80-beab-bfcf7218b20e
123289	14	15079	2013-08-03 23:05:48.228041	2013-08-03 23:05:48.228041	\N	623b1bce-6bbe-49df-8411-9468d92f3eaf
114834	6	13705	2013-08-03 22:10:32.375107	2013-08-03 22:10:32.375107	\N	52efad55-4364-45e4-91d1-bceb7beff788
130287	4	16459	2013-08-04 00:01:55.650808	2013-08-04 00:01:55.650808	\N	ceb17b8f-d408-4c10-8eed-884d5d233b40
159169	14	20873	2013-08-04 16:54:23.20966	2013-08-04 16:54:23.20966	\N	dd80a53c-ae3c-49d8-829b-8db11142da79
130289	4	16477	2013-08-04 00:01:55.724523	2013-08-04 00:01:55.724523	\N	686a9ce7-ea43-4dea-9168-df3da64d7b42
116884	1	13954	2013-08-03 22:19:43.152438	2013-08-03 22:19:43.152438	\N	a6587c9d-cbea-488b-8a71-545ece3bd1db
116886	13	13957	2013-08-03 22:19:44.28904	2013-08-03 22:19:44.28904	\N	c009cd44-b2b1-483a-b2ff-355a6e8b8e16
159170	14	20874	2013-08-04 16:54:23.252489	2013-08-04 16:54:23.252489	\N	bab168c7-4ab4-452f-aa5e-9d89e9179f8e
116891	11	13957	2013-08-03 22:19:45.506585	2013-08-03 22:19:45.506585	\N	d3083ea3-44fc-46b0-95bb-eb72600a097f
135515	15	17821	2013-08-04 00:55:57.599509	2013-08-04 00:55:57.599509	\N	95c30854-546e-4509-b085-c9404dbec570
116899	7	13903	2013-08-03 22:19:46.29676	2013-08-03 22:19:46.29676	\N	c3c713f0-396a-4e66-bc38-7ac6f3a90ee0
135516	8	17809	2013-08-04 00:55:58.03048	2013-08-04 00:55:58.03048	\N	a5740026-2b15-42a2-8562-9c4adba914ae
135518	8	17821	2013-08-04 00:55:58.078196	2013-08-04 00:55:58.078196	\N	fcec07c4-55ea-4e2e-a278-82a587afecf4
116911	7	13960	2013-08-03 22:19:50.110952	2013-08-03 22:19:50.110952	\N	ad7a422f-6953-466d-866f-78a5a8c3be7d
125611	5	15415	2013-08-03 23:22:38.328004	2013-08-03 23:22:38.328004	\N	915e269a-b3e5-444e-b1df-7611f46b71b1
125617	5	15451	2013-08-03 23:22:39.389658	2013-08-03 23:22:39.389658	\N	88a3d41d-dcf3-462b-b2e4-27d6117bc895
116933	5	13912	2013-08-03 22:19:58.207127	2013-08-03 22:19:58.207127	\N	59ae08a4-ae92-488d-a548-13bb38d49330
135533	9	17809	2013-08-04 00:56:03.07285	2013-08-04 00:56:03.07285	\N	451fedec-651f-4f41-bbe2-9bb5a5c62a07
135535	14	17860	2013-08-04 00:56:06.373531	2013-08-04 00:56:06.373531	\N	6d6c5c6f-6440-48eb-9c6e-5c8e2903c80e
135537	14	17809	2013-08-04 00:56:06.492051	2013-08-04 00:56:06.492051	\N	73151d68-caa2-4d40-a52f-f752e67e3ccf
120983	17	14713	2013-08-03 22:49:23.749893	2013-08-03 22:49:23.749893	\N	2277d3d1-6b87-44fe-9ff2-67148223d420
120991	7	14695	2013-08-03 22:49:33.62398	2013-08-03 22:49:33.62398	\N	21371ca5-af8d-46e2-8127-d5c1d71ac64d
123402	11	15064	2013-08-03 23:06:13.500474	2013-08-03 23:06:13.500474	\N	9471934f-4957-4341-a584-bbe2e093c4f9
166042	4	22120	2013-08-04 17:41:55.93714	2013-08-04 17:41:55.93714	\N	6b9a6c59-4d89-46c1-96a5-55e9fad22874
135541	7	17821	2013-08-04 00:56:08.621639	2013-08-04 00:56:08.621639	\N	0aa0494c-81fa-480f-836c-22ca75fbfb79
121007	8	14710	2013-08-03 22:49:44.865425	2013-08-03 22:49:44.865425	\N	94f23b2a-cc3a-4074-a6a3-cad79f81699f
152569	2	20397	2013-08-04 02:39:59.268479	2013-08-04 02:39:59.268479	\N	668e2c9b-f213-46db-bf0e-cc0d520b74d3
121009	17	14671	2013-08-03 22:49:46.194731	2013-08-03 22:49:46.194731	\N	4b9ea8bc-b85f-47ff-89ce-e7cb4bcde553
135556	13	17821	2013-08-04 00:56:14.749773	2013-08-04 00:56:14.749773	\N	a98d97bf-1b25-4697-aeec-be743192b22b
135558	9	17861	2013-08-04 00:56:16.31585	2013-08-04 00:56:16.31585	\N	8d67a6c1-24cd-4927-b266-fcc93d7a465e
135560	9	17860	2013-08-04 00:56:17.500177	2013-08-04 00:56:17.500177	\N	45c04203-93f3-42b4-9283-cdca44270c19
121055	11	14710	2013-08-03 22:50:08.827625	2013-08-03 22:50:08.827625	\N	e492b1c7-b416-4d29-a0d3-942d034e9229
159172	14	20943	2013-08-04 16:54:23.323775	2013-08-04 16:54:23.323775	\N	a5f78258-e884-42fb-87af-92683e028bef
132919	3	17053	2013-08-04 00:29:23.362884	2013-08-04 00:29:23.362884	\N	34d50ced-3e0b-46f1-9e4a-7d96684890dd
119084	9	14206	2013-08-03 22:29:29.782302	2013-08-03 22:29:29.782302	\N	8ff7377b-181b-43eb-9b72-177832b9d0dc
119094	7	14191	2013-08-03 22:29:32.352087	2013-08-03 22:29:32.352087	\N	4f0ee59a-07c1-4c47-993e-c53e75ebbd04
119097	7	14197	2013-08-03 22:29:32.523731	2013-08-03 22:29:32.523731	\N	a80ab8cd-940d-4c5e-884c-01085974a845
119098	6	14167	2013-08-03 22:29:32.964269	2013-08-03 22:29:32.964269	\N	3da8ce45-9310-4a36-a7f6-26527290cdd8
119108	8	14206	2013-08-03 22:29:33.920868	2013-08-03 22:29:33.920868	\N	9f381a7e-0cf3-4e95-94fc-7cf71ad84f3a
119110	8	14209	2013-08-03 22:29:33.965339	2013-08-03 22:29:33.965339	\N	1b8657e0-6881-4860-9127-1e935036501c
132920	3	17065	2013-08-04 00:29:23.41206	2013-08-04 00:29:23.41206	\N	f313a5c9-2779-490a-ac5c-2858688160fd
115110	16	13693	2013-08-03 22:11:42.373488	2013-08-03 22:11:42.373488	\N	6131c26e-b2cc-4c49-9e55-62b61cc0c229
119114	6	14197	2013-08-03 22:29:35.163402	2013-08-03 22:29:35.163402	\N	ce9eda58-a7bb-4762-b790-78caf5410f6c
110924	4	13306	2013-08-03 21:58:28.691666	2013-08-03 21:58:28.691666	\N	9131f4b7-01e9-4557-aa86-227bc01f92d3
166044	4	22144	2013-08-04 17:41:55.970131	2013-08-04 17:41:55.970131	\N	d2d84358-bbbd-49c8-b0d7-b16c958aa623
121070	18	14711	2013-08-03 22:50:19.850377	2013-08-03 22:50:19.850377	\N	568c49c7-e513-441d-a4f5-cddfc4bf05ae
159177	14	20925	2013-08-04 17:00:02.678542	2013-08-04 17:00:02.678542	\N	620e1aaf-2983-4beb-bd1c-20b95113daef
121075	6	14695	2013-08-03 22:50:21.188409	2013-08-03 22:50:21.188409	\N	2bb3d7e9-6091-492c-a7db-243294ef1c31
138476	11	18490	2013-08-04 01:21:48.238158	2013-08-04 01:21:48.238158	\N	aa9ad233-1509-4187-8339-3cc938373954
166045	17	22105	2013-08-04 17:41:57.097972	2013-08-04 17:41:57.097972	\N	2e8af054-254b-483c-8aec-c404ab5c92e2
159180	14	20939	2013-08-04 17:00:03.080326	2013-08-04 17:00:03.080326	\N	413f5aab-b409-4ea0-9f50-4a3f01f8dc3e
135573	6	17821	2013-08-04 00:56:22.079925	2013-08-04 00:56:22.079925	\N	5119b89f-8a0c-4b0d-9db0-c8c6f24c58b1
166048	8	22144	2013-08-04 17:41:58.495504	2013-08-04 17:41:58.495504	\N	16006e9d-a8f9-471c-8aa7-dd70568769c0
135579	11	17821	2013-08-04 00:56:24.429565	2013-08-04 00:56:24.429565	\N	8a2e899c-c20e-4122-818d-ddd7d4513417
179941	14	23585	2013-08-04 18:37:57.161302	2013-08-04 18:37:57.161302	\N	f5c1e2f8-6f66-4ddd-b869-7d142cc89623
135583	11	17809	2013-08-04 00:56:24.95881	2013-08-04 00:56:24.95881	\N	c04402e3-e9d8-4f21-a671-eb929856186a
135586	19	17809	2013-08-04 00:56:25.434345	2013-08-04 00:56:25.434345	\N	e36abbc6-f0f0-4690-91dd-9f35f8f2c8e7
166064	2	22217	2013-08-04 17:42:06.257784	2013-08-04 17:42:06.257784	\N	54973473-b9e1-401e-a1a5-771a782575d2
119189	15	14155	2013-08-03 22:29:56.33806	2013-08-03 22:29:56.33806	\N	36e430fb-6689-4792-9a95-572fe1610c97
121145	5	14710	2013-08-03 22:50:47.712132	2013-08-03 22:50:47.712132	\N	8b93a73d-3b00-4eff-b956-006486ecf67b
159190	8	21097	2013-08-04 17:00:08.337433	2013-08-04 17:00:08.337433	\N	d1813ecb-dc83-4760-a838-30a937938535
128054	2	15919	2013-08-03 23:39:27.752128	2013-08-03 23:39:27.752128	\N	6e3fb75d-b079-4a48-9c22-b362e1be1fb7
117145	14	13911	2013-08-03 22:20:54.505232	2013-08-03 22:20:54.505232	\N	2c4d8b89-11cd-42bb-8258-d3b2e0b3578e
128055	2	15970	2013-08-03 23:39:27.913361	2013-08-03 23:39:27.913361	\N	94fef8e2-5df4-4811-a07d-86d26bbff8d9
119231	17	14155	2013-08-03 22:30:00.89767	2013-08-03 22:30:00.89767	\N	d4020b29-64b6-4dcf-af8a-e032073b8c6f
128056	2	15946	2013-08-03 23:39:28.006702	2013-08-03 23:39:28.006702	\N	cf40c756-365b-4495-a850-70c9a8031edb
128057	2	15955	2013-08-03 23:39:28.06575	2013-08-03 23:39:28.06575	\N	d2ef42a1-5a2b-4fe6-a709-7fec44d219d6
116791	15	13903	2013-08-03 22:19:25.705225	2013-08-03 22:19:25.705225	\N	dc92cbe9-6f52-4b0b-ba10-06c6ad1d8e2e
140980	19	18829	2013-08-04 01:37:04.219245	2013-08-04 01:37:04.219245	\N	ff27daa9-36c4-476c-a14b-bbba3ed28444
116808	8	13960	2013-08-03 22:19:27.898258	2013-08-03 22:19:27.898258	\N	2c74d460-545a-456d-98f2-3a17f81c296c
138334	2	18544	2013-08-04 01:21:02.252844	2013-08-04 01:21:02.252844	\N	e37732e5-4352-4eaa-9cb6-43818993428f
116826	8	13954	2013-08-03 22:19:30.71067	2013-08-03 22:19:30.71067	\N	532ddc0c-f236-4b46-b584-f45fc50aa66c
114890	4	13703	2013-08-03 22:10:49.927358	2013-08-03 22:10:49.927358	\N	2ad5abf1-3168-42c2-aec8-c77ad07d01b7
112682	19	13435	2013-08-03 22:02:33.864578	2013-08-03 22:02:33.864578	\N	48bc56f6-ed8c-43da-af8d-4ab8adfb3003
118887	19	14081	2013-08-03 22:28:05.111872	2013-08-03 22:28:05.111872	\N	9b0268b4-bac1-4d35-9460-f74bad480766
123259	4	15049	2013-08-03 23:05:43.343494	2013-08-03 23:05:43.343494	\N	2c6fe1b9-80ac-4133-9f21-e186c315dbd8
116865	11	13912	2013-08-03 22:19:40.895624	2013-08-03 22:19:40.895624	\N	a184e45b-f97d-4104-becf-434767b7c4e4
116867	11	13915	2013-08-03 22:19:41.349245	2013-08-03 22:19:41.349245	\N	b9f1fcf6-67aa-4b0a-b03f-b10f80c5651c
116874	7	13955	2013-08-03 22:19:42.22047	2013-08-03 22:19:42.22047	\N	f4d93cf4-94be-4304-9893-dd4334f8d780
123260	4	15037	2013-08-03 23:05:43.386582	2013-08-03 23:05:43.386582	\N	2074562c-957f-4cea-9bac-b122749b06bc
120923	2	14541	2013-08-03 22:47:42.909568	2013-08-03 22:47:42.909568	\N	af4e8b3b-0a19-47e6-a99b-d48c88929d1a
108617	3	13147	2013-08-03 21:51:18.94811	2013-08-03 21:51:18.94811	\N	48029c90-4159-4968-9fc1-044f8df2358a
108618	3	13198	2013-08-03 21:51:19.042178	2013-08-03 21:51:19.042178	\N	5501373c-fa9c-4d36-919f-368b2c270260
108619	3	13189	2013-08-03 21:51:19.08864	2013-08-03 21:51:19.08864	\N	432eb4a0-a5f6-4246-801d-c2516d1fb645
130233	11	16423	2013-08-04 00:01:11.010912	2013-08-04 00:01:11.010912	\N	94155312-1e4a-4bea-a96c-49d09f4327a3
116901	7	13915	2013-08-03 22:19:47.478971	2013-08-03 22:19:47.478971	\N	fc70f441-d5e7-41cc-80bc-f29d26965f8f
132904	13	17065	2013-08-04 00:29:15.528594	2013-08-04 00:29:15.528594	\N	e631dafc-d15f-46f0-9c86-e6f44d18b7cf
138335	2	18548	2013-08-04 01:21:02.304195	2013-08-04 01:21:02.304195	\N	98dcbf6d-067a-41cc-bf20-429c1bd03b62
138338	2	18546	2013-08-04 01:21:02.336219	2013-08-04 01:21:02.336219	\N	4c064cc0-4818-4f68-9724-a4d657583792
116910	7	13945	2013-08-03 22:19:49.674966	2013-08-03 22:19:49.674966	\N	80869a5c-4912-4316-9588-79a037b398d0
110728	11	13306	2013-08-03 21:57:57.502268	2013-08-03 21:57:57.502268	\N	46dade9e-39bd-4fde-8e3e-4d9dd268afa5
138339	4	18451	2013-08-04 01:21:02.907882	2013-08-04 01:21:02.907882	\N	9f1a0645-5b67-43e7-aa1c-3d95e551a8f7
138340	4	18439	2013-08-04 01:21:03.03594	2013-08-04 01:21:03.03594	\N	597e3741-42f8-478d-99bb-6d8fb94d281c
138341	4	18490	2013-08-04 01:21:03.085048	2013-08-04 01:21:03.085048	\N	b023b6aa-b0db-494c-a29d-541c209daebf
123268	13	15064	2013-08-03 23:05:45.322785	2013-08-03 23:05:45.322785	\N	c35208a6-17e2-4c90-ae82-b7b8cc14526a
130282	4	16435	2013-08-04 00:01:55.452695	2013-08-04 00:01:55.452695	\N	2ad321ff-3c11-4918-bb4a-29aefb3eacb6
130283	4	16423	2013-08-04 00:01:55.555252	2013-08-04 00:01:55.555252	\N	68645e03-16cd-45e1-9c93-63f2e95923fd
110761	14	13306	2013-08-03 21:58:01.472424	2013-08-03 21:58:01.472424	\N	1ae3476f-d292-485b-81ec-22371ab43ee2
130284	4	16474	2013-08-04 00:01:55.589405	2013-08-04 00:01:55.589405	\N	052bf32c-c577-4883-b811-52678e9a5d49
138344	7	18451	2013-08-04 01:21:06.250749	2013-08-04 01:21:06.250749	\N	6a6fa548-36d5-4da9-aeb7-a0deca3be50a
120982	7	14713	2013-08-03 22:49:23.322459	2013-08-03 22:49:23.322459	\N	e14b2ceb-8203-4dec-b2ea-652297082a35
166039	2	22181	2013-08-04 17:41:55.900527	2013-08-04 17:41:55.900527	\N	3382ff79-d3c3-41ee-a603-8483f83d0da4
120997	15	14711	2013-08-03 22:49:39.562499	2013-08-03 22:49:39.562499	\N	0f8179f2-daac-4e82-933c-d554d5dfc38d
166041	2	22189	2013-08-04 17:41:55.932459	2013-08-04 17:41:55.932459	\N	5e74dd99-3c9d-4a92-8016-430de4615284
138382	6	18451	2013-08-04 01:21:21.02397	2013-08-04 01:21:21.02397	\N	b1b5af76-860b-479d-a5f6-5bdb3c8d5609
110828	20	13325	2013-08-03 21:58:11.519334	2013-08-03 21:58:11.519334	\N	0b8f00c2-ed8a-4334-b3ff-5dc1f1368726
152546	4	20441	2013-08-04 02:39:52.702087	2013-08-04 02:39:52.702087	\N	5615841a-9fa4-4c49-b96b-fb3641b95ea4
121035	8	14711	2013-08-03 22:49:59.006804	2013-08-03 22:49:59.006804	\N	4bd0b03a-72a0-4869-bf37-d1f9d74f1c4d
121036	2	14710	2013-08-03 22:49:59.748554	2013-08-03 22:49:59.748554	\N	46fa0575-52d2-42bd-a354-df029da0898a
152547	4	20423	2013-08-04 02:39:52.727015	2013-08-04 02:39:52.727015	\N	4b835acc-acab-47a7-8eb8-6964a944e95a
152548	4	20425	2013-08-04 02:39:52.754395	2013-08-04 02:39:52.754395	\N	15bc2a82-2060-42af-adc8-aa90a0a91ff4
121047	11	14671	2013-08-03 22:50:05.013692	2013-08-03 22:50:05.013692	\N	eacd1fe8-e896-4cff-a7f5-6d040b0532c5
119091	7	14167	2013-08-03 22:29:30.317374	2013-08-03 22:29:30.317374	\N	a85ca295-7f70-4da9-a062-3fffff7c49d4
119092	7	14206	2013-08-03 22:29:30.886452	2013-08-03 22:29:30.886452	\N	f6c66afc-1a90-4156-898e-8ed1416bb606
119107	8	14191	2013-08-03 22:29:33.916187	2013-08-03 22:29:33.916187	\N	df4e0ee1-c8ee-4f20-b209-139bb26d9726
119111	9	14155	2013-08-03 22:29:33.971564	2013-08-03 22:29:33.971564	\N	2b71808d-5043-4267-8d87-f2c0935d57c8
119120	7	14209	2013-08-03 22:29:37.557237	2013-08-03 22:29:37.557237	\N	a936d472-680e-4117-af10-94109b0e9a3e
152549	4	20431	2013-08-04 02:39:52.789259	2013-08-04 02:39:52.789259	\N	7ea05647-7a50-449d-8dee-2c8829a5d532
121058	11	14713	2013-08-03 22:50:09.120111	2013-08-03 22:50:09.120111	\N	b7c70d22-3766-4f7f-a68a-34dd9d04bba0
123295	4	15064	2013-08-03 23:05:48.849069	2013-08-03 23:05:48.849069	\N	bbf9f9ed-a9f8-4a85-a63b-076c899c5efa
138387	6	18439	2013-08-04 01:21:23.642134	2013-08-04 01:21:23.642134	\N	e9434e33-c211-4f67-ae00-ba29148b1831
119147	4	14167	2013-08-03 22:29:46.684691	2013-08-03 22:29:46.684691	\N	1df2ce77-ec3b-45ce-b4d3-56fddf9fc906
119148	4	14155	2013-08-03 22:29:46.735194	2013-08-03 22:29:46.735194	\N	3d251eaa-39bc-48dc-bace-d8386bc7c2f4
152550	4	20433	2013-08-04 02:39:52.818456	2013-08-04 02:39:52.818456	\N	30545433-c97b-41d6-bbd5-99d67f5af03d
117039	5	13954	2013-08-03 22:20:28.375144	2013-08-03 22:20:28.375144	\N	4844cc14-86f5-499d-98d9-98dee65bdeee
135532	9	17821	2013-08-04 00:56:02.866667	2013-08-04 00:56:02.866667	\N	d7d904ad-380d-4284-8f3c-3d586298085c
135540	2	17934	2013-08-04 00:56:08.614345	2013-08-04 00:56:08.614345	\N	6642e20c-1768-4458-9b87-7bfb0d556cd4
135546	1	17821	2013-08-04 00:56:10.816292	2013-08-04 00:56:10.816292	\N	e17f6e86-2580-4418-aa58-42dc1357d715
135557	13	17809	2013-08-04 00:56:15.457519	2013-08-04 00:56:15.457519	\N	ff596ccd-f9bf-4ec9-942e-af889e6631c6
135567	3	17860	2013-08-04 00:56:21.429045	2013-08-04 00:56:21.429045	\N	8fd511da-14b5-42cf-b428-1b642caae1fc
115128	3	13693	2013-08-03 22:11:45.569587	2013-08-03 22:11:45.569587	\N	26574406-0875-405e-9f47-a79446b7cb05
115129	3	13663	2013-08-03 22:11:45.601933	2013-08-03 22:11:45.601933	\N	7f77fa8b-285d-4fd0-82ae-6e9bde85073f
121152	17	14695	2013-08-03 22:50:51.810928	2013-08-03 22:50:51.810928	\N	3a62c3aa-e4ec-4e3b-9616-27c187e8a148
115131	3	13651	2013-08-03 22:11:45.670543	2013-08-03 22:11:45.670543	\N	0c253c80-38fd-46b9-a85a-ad6ab19f34c2
117080	14	13903	2013-08-03 22:20:34.312736	2013-08-03 22:20:34.312736	\N	d7d394c7-b5df-4405-8d97-83a411e0da08
123315	4	15088	2013-08-03 23:05:52.250202	2013-08-03 23:05:52.250202	\N	6cae4eee-e560-46a6-b071-df06601ee871
123317	4	15073	2013-08-03 23:05:55.808208	2013-08-03 23:05:55.808208	\N	8f290e7f-d7ea-4a25-acee-839b1db8040d
115142	4	13693	2013-08-03 22:11:48.085582	2013-08-03 22:11:48.085582	\N	271c0e67-096e-4a54-9628-5e584a459c46
115143	4	13663	2013-08-03 22:11:48.256482	2013-08-03 22:11:48.256482	\N	9fd42fed-4889-43bb-9608-e1230d6c8723
119168	3	14206	2013-08-03 22:29:49.256334	2013-08-03 22:29:49.256334	\N	b14de8d7-3686-4b2a-a6a3-dfeec1f101db
115146	4	13702	2013-08-03 22:11:48.436986	2013-08-03 22:11:48.436986	\N	48c77493-7102-430b-b1a6-7584ce3cc5ac
119169	3	14155	2013-08-03 22:29:49.364136	2013-08-03 22:29:49.364136	\N	6f9a0f89-3558-4db3-b68e-8ca7c4d91fed
119170	3	14197	2013-08-03 22:29:49.392582	2013-08-03 22:29:49.392582	\N	cfe05b55-4298-404c-85dd-ee3a38fe8b0d
117110	12	13915	2013-08-03 22:20:41.726634	2013-08-03 22:20:41.726634	\N	0f674078-005f-4ee2-9ebd-d5266c740944
135568	3	17809	2013-08-04 00:56:21.537136	2013-08-04 00:56:21.537136	\N	196757fe-0d6e-49fb-b2c3-a3988854e605
133007	4	17191	2013-08-04 00:30:56.416667	2013-08-04 00:30:56.416667	\N	16359827-9efe-45eb-97f2-c654b2912069
119188	15	14167	2013-08-03 22:29:56.253565	2013-08-03 22:29:56.253565	\N	32d0d8ca-d82a-42a5-8cea-2d7a7a915139
133008	4	17179	2013-08-04 00:30:56.50034	2013-08-04 00:30:56.50034	\N	ea954960-c77e-4c1f-98a1-232b18dcb7d9
115199	10	13708	2013-08-03 22:12:08.375369	2013-08-03 22:12:08.375369	\N	2add8212-4201-422d-8ad2-34d9c5d8a0dc
133009	4	17230	2013-08-04 00:30:56.572754	2013-08-04 00:30:56.572754	\N	ad66058b-6906-436a-8856-737f23f7d046
133010	2	17179	2013-08-04 00:30:57.00279	2013-08-04 00:30:57.00279	\N	bbcab9a2-de31-4329-91a3-a5441232d797
115215	19	13703	2013-08-03 22:12:11.121817	2013-08-03 22:12:11.121817	\N	f7c59e89-736b-4cf1-957f-1935f538f45d
130387	10	16477	2013-08-04 00:02:50.417079	2013-08-04 00:02:50.417079	\N	0fdb3bbb-e106-4500-a9a2-a81f72bcc43a
119224	17	14197	2013-08-03 22:30:00.077515	2013-08-03 22:30:00.077515	\N	003a0917-0f2f-4d46-9150-34da43ab113b
133011	2	17230	2013-08-04 00:30:57.059709	2013-08-04 00:30:57.059709	\N	b8490518-5b84-48f1-a769-6e19d044b9fc
152551	4	20445	2013-08-04 02:39:52.843105	2013-08-04 02:39:52.843105	\N	9e2e4adf-ff1f-4b19-9816-ac4a004ba0c3
115242	19	13693	2013-08-03 22:12:20.052863	2013-08-03 22:12:20.052863	\N	bfcc0e78-b6fe-4ac5-a264-f31d28f377a2
152552	4	20447	2013-08-04 02:39:52.867427	2013-08-04 02:39:52.867427	\N	522066b8-25a5-4924-9dc9-fb420060a97e
117172	10	13903	2013-08-03 22:21:02.196059	2013-08-03 22:21:02.196059	\N	25bde503-9682-4a10-a273-151da281c449
135578	8	17860	2013-08-04 00:56:23.564706	2013-08-04 00:56:23.564706	\N	099a7b3e-a239-4c47-b48d-ff96a2eab926
121213	10	14713	2013-08-03 22:51:14.688514	2013-08-03 22:51:14.688514	\N	99f9cf78-e82d-4324-bc64-2521cd2cda65
133031	6	17230	2013-08-04 00:31:06.888703	2013-08-04 00:31:06.888703	\N	91af8ebe-81fb-445e-958d-30dde72577e6
143801	9	19373	2013-08-04 01:56:17.580647	2013-08-04 01:56:17.580647	\N	778785d2-d2ea-438b-8977-914f21ec5313
115272	19	13663	2013-08-03 22:12:24.792832	2013-08-03 22:12:24.792832	\N	14c08434-871f-4f2c-b0f5-8b3bbd398c27
128052	8	15970	2013-08-03 23:39:27.749525	2013-08-03 23:39:27.749525	\N	fa840364-15f4-4cff-b60c-f70a8e516dfa
133036	2	17191	2013-08-04 00:31:12.256179	2013-08-04 00:31:12.256179	\N	4c5a904f-6e69-4842-bb89-04f9c429920f
159175	8	20936	2013-08-04 17:00:02.614412	2013-08-04 17:00:02.614412	\N	39ba4bb8-46b2-4760-bbe9-3650e8d1bfc9
128064	15	15919	2013-08-03 23:39:30.922609	2013-08-03 23:39:30.922609	\N	f6722282-9962-4084-8e10-33238688b797
128074	17	15971	2013-08-03 23:39:37.816109	2013-08-03 23:39:37.816109	\N	c9083af0-d427-4bc5-8df5-1353f86fd924
128075	8	15971	2013-08-03 23:39:37.989067	2013-08-03 23:39:37.989067	\N	56bdb277-c552-448a-9a2e-fd5f2f90e84f
159176	8	20946	2013-08-04 17:00:02.675005	2013-08-04 17:00:02.675005	\N	9061aa22-1994-44a9-bee1-1413208fbefd
119321	11	14191	2013-08-03 22:30:13.740757	2013-08-03 22:30:13.740757	\N	e6dbde91-b8b1-4f88-a08f-8ae2407439fd
121248	14	14711	2013-08-03 22:51:34.810184	2013-08-03 22:51:34.810184	\N	aab174e5-d65d-4d53-83f4-6531514537c8
128084	2	15931	2013-08-03 23:39:43.331305	2013-08-03 23:39:43.331305	\N	7df7d4aa-db39-4fe6-94d1-d522565ec75e
159178	8	20918	2013-08-04 17:00:02.770205	2013-08-04 17:00:02.770205	\N	97845f5a-ecda-412c-9ead-09e518f9cffe
130230	11	16435	2013-08-04 00:01:10.411412	2013-08-04 00:01:10.411412	\N	96e7c33e-edfb-40b0-93f9-7f98648cc418
138359	7	18439	2013-08-04 01:21:10.018239	2013-08-04 01:21:10.018239	\N	f5292349-9bc7-4ca3-975d-968c1cc93f2a
114956	10	13663	2013-08-03 22:11:07.595643	2013-08-03 22:11:07.595643	\N	9eb12779-46d9-4f7b-8ceb-73717f443312
130244	6	16423	2013-08-04 00:01:15.467095	2013-08-04 00:01:15.467095	\N	cb7b0807-30f7-44a6-9f2b-e5c78e2b456c
138360	17	18490	2013-08-04 01:21:10.228001	2013-08-04 01:21:10.228001	\N	bad24f27-25a0-4fed-a13e-916c63a246dc
121069	3	14710	2013-08-03 22:50:18.023261	2013-08-03 22:50:18.023261	\N	b1188af8-d838-49c1-acb6-8cf62b0ccf4c
116925	2	13957	2013-08-03 22:19:54.504325	2013-08-03 22:19:54.504325	\N	4337ff38-d97b-4906-ab56-c49c310f1679
119093	15	14206	2013-08-03 22:29:31.463048	2013-08-03 22:29:31.463048	\N	66a22f1d-e9c6-4e99-bfe1-721b04a7dc43
116934	17	13960	2013-08-03 22:19:58.493501	2013-08-03 22:19:58.493501	\N	8b0d34b3-33b7-4730-8fce-14305874576a
119099	6	14191	2013-08-03 22:29:33.360004	2013-08-03 22:29:33.360004	\N	2095800c-8d32-480b-99e1-f66e7bea740e
119100	9	14197	2013-08-03 22:29:33.657828	2013-08-03 22:29:33.657828	\N	5017edd8-102e-4ca2-80b1-479e7974ccb3
119101	8	14197	2013-08-03 22:29:33.74599	2013-08-03 22:29:33.74599	\N	ebacb0ad-bfce-459b-8c3e-b931383e1313
159182	14	20931	2013-08-04 17:00:03.102155	2013-08-04 17:00:03.102155	\N	fe2aabfc-e908-45a3-908f-c01f2a6b1a56
116962	4	13955	2013-08-03 22:20:09.886893	2013-08-03 22:20:09.886893	\N	7ec10a71-43ff-422d-a97a-6b161ea5b260
159183	14	20921	2013-08-04 17:00:04.027601	2013-08-04 17:00:04.027601	\N	2a27bd8e-ef96-4026-b85c-73a1130eca1e
135517	6	17860	2013-08-04 00:55:58.035791	2013-08-04 00:55:58.035791	\N	6a6436f5-f524-423c-8959-1595aae75129
121083	20	14671	2013-08-03 22:50:25.642422	2013-08-03 22:50:25.642422	\N	27721af0-9de8-4b15-b02e-b28e1538fa5a
135519	2	17821	2013-08-04 00:55:58.081269	2013-08-04 00:55:58.081269	\N	0799aa07-ddfc-41d8-9e90-53ed02122a0e
121111	5	14695	2013-08-03 22:50:31.775146	2013-08-03 22:50:31.775146	\N	5a1aa589-c7d9-48af-9613-5d77372a2fe1
121116	4	14713	2013-08-03 22:50:35.856863	2013-08-03 22:50:35.856863	\N	edf9c6d4-4c89-43a3-bc5d-954f38bebb08
135520	2	17809	2013-08-04 00:55:58.136419	2013-08-04 00:55:58.136419	\N	efbca98d-9e6b-444b-ac9b-a9b1e436fc93
135522	2	17860	2013-08-04 00:55:58.178215	2013-08-04 00:55:58.178215	\N	733b8f42-86c9-4600-8d25-478fa9ee0145
166043	2	22185	2013-08-04 17:41:55.965764	2013-08-04 17:41:55.965764	\N	57ae48b7-6324-4e83-a8db-0ed9597d5d6a
121120	19	14711	2013-08-03 22:50:36.527679	2013-08-03 22:50:36.527679	\N	b0fd7a63-def9-49c6-93bf-fc5ff4a30148
117036	5	13903	2013-08-03 22:20:26.694008	2013-08-03 22:20:26.694008	\N	81ad6de6-38b7-45d4-a0b1-bfa67f16f877
119187	5	14155	2013-08-03 22:29:56.068314	2013-08-03 22:29:56.068314	\N	121f05fe-671a-432f-a1e8-a1cf99dd437e
133004	8	17191	2013-08-04 00:30:55.281882	2013-08-04 00:30:55.281882	\N	3f46627a-3f83-4e8c-bebf-0660020fe0fa
119197	5	14206	2013-08-03 22:29:58.176104	2013-08-03 22:29:58.176104	\N	dba5a448-3c72-4441-8926-289e5f8338a4
119198	4	14191	2013-08-03 22:29:58.409633	2013-08-03 22:29:58.409633	\N	7de434cc-1f34-4676-b34a-d685d28f1458
119199	4	14206	2013-08-03 22:29:58.49378	2013-08-03 22:29:58.49378	\N	8106b2bf-9ef6-4c3c-886c-625fd15ce238
135524	2	17914	2013-08-04 00:55:58.289138	2013-08-04 00:55:58.289138	\N	9c68b6e9-126b-4739-8e14-5cf2d997dddc
123425	14	15088	2013-08-03 23:06:19.76458	2013-08-03 23:06:19.76458	\N	48e982de-c2df-4fb9-9239-fbce4e130091
135525	2	17908	2013-08-04 00:55:58.329954	2013-08-04 00:55:58.329954	\N	23c0cf5f-07c1-482f-a48b-21f05016c399
135526	2	17898	2013-08-04 00:55:58.368112	2013-08-04 00:55:58.368112	\N	c501fc42-d5d0-4ab8-9abd-20948d80a4e1
121160	7	14711	2013-08-03 22:50:55.681212	2013-08-03 22:50:55.681212	\N	bd99bbe6-3924-46c9-b61f-7f4f290fcb3a
130310	19	16475	2013-08-04 00:02:07.188409	2013-08-04 00:02:07.188409	\N	7f26bf59-dda2-4e80-9711-dab2fdff8ba9
133042	11	17179	2013-08-04 00:31:12.814855	2013-08-04 00:31:12.814855	\N	dfd55d87-7935-422c-b71b-1d0abd87b6a1
115113	16	13660	2013-08-03 22:11:42.546126	2013-08-03 22:11:42.546126	\N	114a364f-b30c-4ebc-8fd1-1ac79bd3d63f
135527	2	17902	2013-08-04 00:55:58.417586	2013-08-04 00:55:58.417586	\N	66c69abb-8836-4a35-ba6e-03bb58cd2a4e
115116	16	13702	2013-08-03 22:11:42.83146	2013-08-03 22:11:42.83146	\N	5e842156-1191-4591-9c50-ac459bfcabe6
115118	16	13705	2013-08-03 22:11:42.987408	2013-08-03 22:11:42.987408	\N	b6a2046e-1e85-4126-a9c2-ddc63c7d04eb
135528	2	17918	2013-08-04 00:55:58.461495	2013-08-04 00:55:58.461495	\N	bb898ec5-ac36-4461-9365-4e5b8c722630
135529	2	17916	2013-08-04 00:55:58.501308	2013-08-04 00:55:58.501308	\N	bd7703e6-2df9-4089-a257-a7278fb92bb5
123470	19	15049	2013-08-03 23:06:33.934423	2013-08-03 23:06:33.934423	\N	4247a5e8-eac3-4244-a69c-056f2d908596
123471	19	15037	2013-08-03 23:06:34.724813	2013-08-03 23:06:34.724813	\N	bc9e1059-496b-4118-a993-584a07f1c371
115124	2	13693	2013-08-03 22:11:44.120667	2013-08-03 22:11:44.120667	\N	b3cfaff5-21ae-4d12-985c-32442555a3bb
133053	7	17191	2013-08-04 00:31:14.047432	2013-08-04 00:31:14.047432	\N	eacefba3-0700-49ef-a978-467507536bc0
130329	3	16459	2013-08-04 00:02:23.882593	2013-08-04 00:02:23.882593	\N	ba7e38b1-1994-4f72-a6eb-ba221abc72d2
133054	17	17230	2013-08-04 00:31:14.833608	2013-08-04 00:31:14.833608	\N	a19fc9f7-3031-4902-9072-e91498af3038
117171	10	13915	2013-08-03 22:21:02.09886	2013-08-03 22:21:02.09886	\N	f0da7050-5f4c-4c3e-a170-e7de0ea151d0
117173	10	13912	2013-08-03 22:21:02.324634	2013-08-03 22:21:02.324634	\N	a3ed36fd-87e5-49d6-90fe-cc5ad431a811
117175	16	13945	2013-08-03 22:21:03.422283	2013-08-03 22:21:03.422283	\N	b21cf511-9ffd-454f-81cc-557f9f6828bc
117176	16	13912	2013-08-03 22:21:03.573877	2013-08-03 22:21:03.573877	\N	b906640b-884a-4045-8bb6-2aed59885bd2
130331	3	16435	2013-08-04 00:02:23.997725	2013-08-04 00:02:23.997725	\N	99568461-3949-4c56-9194-46d1c2077eab
121216	19	14695	2013-08-03 22:51:15.275703	2013-08-03 22:51:15.275703	\N	eb1144fc-dc83-427b-95db-49c21c89f42a
130333	17	16475	2013-08-04 00:02:24.75915	2013-08-04 00:02:24.75915	\N	f9afd6c2-1cb8-4d26-a021-ab891adba6e4
133060	19	17191	2013-08-04 00:31:17.987974	2013-08-04 00:31:17.987974	\N	d19a561c-3bce-4503-8c82-03886e7c1888
135531	15	17809	2013-08-04 00:56:02.179853	2013-08-04 00:56:02.179853	\N	51a3db8f-15bd-4632-bf12-9d19ba7a9280
119276	13	14167	2013-08-03 22:30:06.15454	2013-08-03 22:30:06.15454	\N	24812093-7e21-4fda-8d5f-9e353ca7d0a3
135547	15	17861	2013-08-04 00:56:12.500078	2013-08-04 00:56:12.500078	\N	d180d5e1-48d8-486e-b186-94f10db7332f
133076	15	17191	2013-08-04 00:31:22.929593	2013-08-04 00:31:22.929593	\N	26fc94bd-46c1-4799-837a-ec34b0b52362
202842	9	25710	2013-08-04 20:14:22.96262	2013-08-04 20:14:22.96262	\N	da4d6ec3-3623-4a2d-905b-c27b6e2a250d
159197	6	20942	2013-08-04 17:00:12.354537	2013-08-04 17:00:12.354537	\N	41fd7044-da22-4fc0-9886-bb49e7e895d0
119299	11	14197	2013-08-03 22:30:09.984049	2013-08-03 22:30:09.984049	\N	05339909-0673-43c1-a245-5ec5d574788e
121267	12	14671	2013-08-03 22:51:44.923458	2013-08-03 22:51:44.923458	\N	1ffc8f8a-618f-4194-abb0-a563cc4057c2
128050	8	15931	2013-08-03 23:39:27.693031	2013-08-03 23:39:27.693031	\N	72f4f088-a2b9-4c3e-89e4-9dad18d942e1
123573	5	15064	2013-08-03 23:07:05.270093	2013-08-03 23:07:05.270093	\N	1680b6d1-f16a-4997-bdc9-3c2fafae8c25
128060	8	15955	2013-08-03 23:39:28.707812	2013-08-03 23:39:28.707812	\N	b51ab495-bf02-489f-83e2-fe22b518eed7
119323	11	14206	2013-08-03 22:30:14.61457	2013-08-03 22:30:14.61457	\N	50d0e706-cdeb-41ba-ab7a-19cb9c0f2cb7
128066	15	15970	2013-08-03 23:39:31.010462	2013-08-03 23:39:31.010462	\N	3f6e20d7-3dde-4580-b303-7ffadb00e633
159204	6	21112	2013-08-04 17:00:16.459742	2013-08-04 17:00:16.459742	\N	27422c75-e1f7-4d73-9f43-2beab68e916b
119348	17	14207	2013-08-03 22:30:25.618147	2013-08-03 22:30:25.618147	\N	a5833bb1-4be5-4553-84a5-76b1aca756c3
125818	6	15553	2013-08-03 23:24:42.649544	2013-08-03 23:24:42.649544	\N	6c9603bf-ef25-4184-a240-86c1242234ae
125820	8	15541	2013-08-03 23:24:43.212432	2013-08-03 23:24:43.212432	\N	3166cac6-3484-4d1f-9990-f42bc45acb95
133091	9	17230	2013-08-04 00:31:31.848135	2013-08-04 00:31:31.848135	\N	b9cabb93-9fd5-4de4-895e-fef91c496792
125834	6	15568	2013-08-03 23:24:45.697866	2013-08-03 23:24:45.697866	\N	557676ff-4326-43c6-83fa-0df0f0030338
125850	17	15593	2013-08-03 23:24:49.626575	2013-08-03 23:24:49.626575	\N	47a4538c-ba8a-4341-afbd-91bf992ad372
128083	7	15931	2013-08-03 23:39:42.732267	2013-08-03 23:39:42.732267	\N	0e5925a5-7c54-466a-af6d-c538b4b5dd55
133094	16	17179	2013-08-04 00:31:33.034423	2013-08-04 00:31:33.034423	\N	7f44993f-86fc-436b-bcaf-2f072ab6fa9f
128100	15	15971	2013-08-03 23:39:49.331253	2013-08-03 23:39:49.331253	\N	4e245eb6-e8c6-4e9b-bd24-5fcd021bd890
128105	14	15919	2013-08-03 23:39:52.152027	2013-08-03 23:39:52.152027	\N	8ea912bb-493d-47ee-83ee-d526f1ffebea
128106	14	15946	2013-08-03 23:39:52.237452	2013-08-03 23:39:52.237452	\N	cd6bf606-dc2e-4160-bc0c-da44e0401ffb
121335	13	14710	2013-08-03 22:52:18.548526	2013-08-03 22:52:18.548526	\N	6c557a9d-2cff-4f63-804e-9073cf3ab0e7
133095	16	17230	2013-08-04 00:31:33.789415	2013-08-04 00:31:33.789415	\N	165c7a82-6a6f-479a-8e05-79263f4b9ecc
166054	1	22210	2013-08-04 17:42:04.485669	2013-08-04 17:42:04.485669	\N	33023ad9-fd48-4a74-9f17-e05c5ff697ce
117336	6	13939	2013-08-03 22:21:36.782735	2013-08-03 22:21:36.782735	\N	fdcc6301-f113-4ed4-a328-48fa85c0541c
123615	19	15088	2013-08-03 23:07:25.749187	2013-08-03 23:07:25.749187	\N	5637aad1-08e1-44e9-87ac-a52fe4794bc8
135559	19	17861	2013-08-04 00:56:17.498352	2013-08-04 00:56:17.498352	\N	2d016a60-858e-48d2-8b5e-6585e95bd5e2
166055	1	22135	2013-08-04 17:42:05.219036	2013-08-04 17:42:05.219036	\N	f25d166a-8310-4f01-b6b6-2f573f331888
128129	3	15970	2013-08-03 23:40:01.85583	2013-08-03 23:40:01.85583	\N	acb74914-310e-4d6a-864f-575ecd503601
128131	3	15919	2013-08-03 23:40:01.946782	2013-08-03 23:40:01.946782	\N	eec1e6ae-7265-43a3-bc46-1d163ce1f6a2
128132	3	15931	2013-08-03 23:40:01.978262	2013-08-03 23:40:01.978262	\N	ceb82822-fde3-48c4-a078-8ed019d38646
115336	4	13708	2013-08-03 22:12:39.42741	2013-08-03 22:12:39.42741	\N	26b88bd7-ffda-43c1-9778-40a1fd81186b
128133	3	15946	2013-08-03 23:40:02.03327	2013-08-03 23:40:02.03327	\N	44658367-4c26-4203-8442-43c20256c41b
143830	2	19410	2013-08-04 01:56:20.170724	2013-08-04 01:56:20.170724	\N	9d378545-ff76-4fd7-97c9-05b8ef4a77fd
125933	6	15592	2013-08-03 23:25:26.967472	2013-08-03 23:25:26.967472	\N	63da5356-694d-45ad-a78c-313d7a2a13e2
128167	13	15970	2013-08-03 23:40:14.972902	2013-08-03 23:40:14.972902	\N	4f32b69b-fd9a-4b13-8e8e-89755a721b0c
135591	11	17860	2013-08-04 00:56:28.61631	2013-08-04 00:56:28.61631	\N	506c1679-b9ef-4d1d-bcb7-8e1898fec31c
123749	19	15073	2013-08-03 23:08:35.89456	2013-08-03 23:08:35.89456	\N	6d4a9638-3b52-4b48-a404-164f2637979f
143832	2	19416	2013-08-04 01:56:20.199259	2013-08-04 01:56:20.199259	\N	853e1197-2d5f-4b74-948a-0a50465c9205
135604	12	17861	2013-08-04 00:56:33.851942	2013-08-04 00:56:33.851942	\N	dd386a3e-e935-4220-95e0-34033b377d33
125962	17	15553	2013-08-03 23:25:35.511008	2013-08-03 23:25:35.511008	\N	9e8cf0ca-ee53-443f-8688-bfcaa76e873d
128202	19	15931	2013-08-03 23:40:28.865253	2013-08-03 23:40:28.865253	\N	e4171138-1727-40b0-a4ac-5a928d7ba4bc
143833	2	19424	2013-08-04 01:56:20.231614	2013-08-04 01:56:20.231614	\N	fdb2e210-7b62-4d3c-ace0-feb07f1d3fb1
123771	14	15064	2013-08-03 23:08:50.084256	2013-08-03 23:08:50.084256	\N	ab9f2e2c-d224-406e-8de0-6100a2de4b9c
128208	19	15919	2013-08-03 23:40:29.820051	2013-08-03 23:40:29.820051	\N	8c1525b2-edd1-437a-b8ad-6112b582639b
135585	16	17821	2013-08-04 00:56:25.329619	2013-08-04 00:56:25.329619	\N	3c207cc4-f6ea-4f9e-a2c3-9f566c88a8c8
116932	1	13955	2013-08-03 22:19:58.138215	2013-08-03 22:19:58.138215	\N	e23cdcb0-439d-4394-87ff-9b2a71c52ca2
123433	19	15089	2013-08-03 23:06:22.341875	2013-08-03 23:06:22.341875	\N	d59b9521-2666-4002-9a29-c8957dd81a84
130260	17	16474	2013-08-04 00:01:31.589624	2013-08-04 00:01:31.589624	\N	4c54e805-33e5-4c7f-a0d4-06ae6fc6ed4b
159181	14	20945	2013-08-04 17:00:03.094446	2013-08-04 17:00:03.094446	\N	98e30e42-3565-4afa-9a9b-087ca865d7e2
125615	5	15466	2013-08-03 23:22:38.914588	2013-08-03 23:22:38.914588	\N	0a0566c6-e35c-4c45-87d8-940969df6e51
119065	10	14086	2013-08-03 22:28:58.343067	2013-08-03 22:28:58.343067	\N	4b12a6bb-4712-4af3-84f9-298a3586d5e0
179943	7	23572	2013-08-04 18:37:58.413969	2013-08-04 18:37:58.413969	\N	874bc2e8-e4d0-4c9e-bb8c-ba9825809482
166063	8	22190	2013-08-04 17:42:06.218766	2013-08-04 17:42:06.218766	\N	c1aa22b7-02f1-4090-b1f1-677ac2690430
138376	9	18491	2013-08-04 01:21:18.383938	2013-08-04 01:21:18.383938	\N	1745c589-09b9-4d8c-8f95-5c31378817d1
119085	2	14155	2013-08-03 22:29:30.059584	2013-08-03 22:29:30.059584	\N	e018d579-42ac-469b-ba4f-a61adc059789
119086	2	14206	2013-08-03 22:29:30.118678	2013-08-03 22:29:30.118678	\N	d5290bca-8683-4321-8ebe-2d2f454e179a
116978	8	13955	2013-08-03 22:20:12.731462	2013-08-03 22:20:12.731462	\N	b62a8c1a-3ca3-4db9-9314-008cc5915aff
119087	2	14197	2013-08-03 22:29:30.167237	2013-08-03 22:29:30.167237	\N	a4b97a69-f7d1-4a2c-b9d6-4e911bfda1ee
111111	14	13309	2013-08-03 21:58:57.33378	2013-08-03 21:58:57.33378	\N	23f7dedc-cb87-47bc-82a6-474140ba5b8e
119088	2	14191	2013-08-03 22:29:30.226365	2013-08-03 22:29:30.226365	\N	5aa38564-7c01-4067-b80f-80a775e6f4d9
116986	17	13955	2013-08-03 22:20:17.864168	2013-08-03 22:20:17.864168	\N	51e7a9ca-8344-496d-93b9-c9490dea6db1
135621	8	17861	2013-08-04 00:56:45.359649	2013-08-04 00:56:45.359649	\N	d8702747-d56b-4610-ba79-126468692792
119090	2	14209	2013-08-03 22:29:30.308804	2013-08-03 22:29:30.308804	\N	31d78d14-3faf-4988-95be-2e77128a95aa
119095	6	14209	2013-08-03 22:29:32.403203	2013-08-03 22:29:32.403203	\N	48eee5a6-d1c8-4ff3-af78-2d0c2c392e62
119096	6	14155	2013-08-03 22:29:32.517806	2013-08-03 22:29:32.517806	\N	60cdd67c-ebe2-46b7-8213-c8d355b1ce88
119103	8	14155	2013-08-03 22:29:33.754004	2013-08-03 22:29:33.754004	\N	d6526779-8e95-457f-9358-8a6d5612c5e4
119104	9	14167	2013-08-03 22:29:33.820622	2013-08-03 22:29:33.820622	\N	bc951380-5248-4ab7-b899-6b0ded61743a
159192	6	20930	2013-08-04 17:00:10.265835	2013-08-04 17:00:10.265835	\N	508e3d3f-3663-4e0f-85e9-8cd363e35d55
119112	4	14197	2013-08-03 22:29:34.871578	2013-08-03 22:29:34.871578	\N	edb2993c-8715-4c2e-bc8a-536b2dd49d19
138379	20	18490	2013-08-04 01:21:20.337253	2013-08-04 01:21:20.337253	\N	95aeef02-b99a-4ba1-a484-fdc2ac224349
119123	6	14206	2013-08-03 22:29:39.685785	2013-08-03 22:29:39.685785	\N	a8d6aeb1-bb37-427c-b3ed-586f34cd1dba
135632	1	17861	2013-08-04 00:56:51.813778	2013-08-04 00:56:51.813778	\N	f15292ea-9e97-40c7-a1d9-5063d1e0c68a
121189	14	14710	2013-08-03 22:51:04.176213	2013-08-03 22:51:04.176213	\N	f97444c6-6b18-45b0-a9d0-3f01721059a1
121190	14	14671	2013-08-03 22:51:04.231172	2013-08-03 22:51:04.231172	\N	12fd10cb-1934-411d-91c0-5080e387d9e6
119135	5	14197	2013-08-03 22:29:45.130244	2013-08-03 22:29:45.130244	\N	2fd022d0-6cbc-42b3-b41e-0c3e939d98ff
115219	4	13705	2013-08-03 22:12:14.662981	2013-08-03 22:12:14.662981	\N	3b7bea27-ed98-4933-9c32-750689fe9a2c
166092	14	22105	2013-08-04 17:42:15.665732	2013-08-04 17:42:15.665732	\N	224665eb-fd09-4d50-8144-4f86af3d3bd5
119144	14	14207	2013-08-03 22:29:46.594944	2013-08-03 22:29:46.594944	\N	8399d1d8-1f25-4302-ad16-9f745ed4f8cb
119145	14	14167	2013-08-03 22:29:46.645433	2013-08-03 22:29:46.645433	\N	e5452129-3ecd-4214-a695-f9190dc4a131
159194	6	20918	2013-08-04 17:00:10.986522	2013-08-04 17:00:10.986522	\N	5206884d-95de-4c8d-a9ea-0c57b879da56
159195	6	20946	2013-08-04 17:00:11.068522	2013-08-04 17:00:11.068522	\N	0582ec81-d3fc-4c98-b9aa-053eae873c91
117088	14	13957	2013-08-03 22:20:34.683019	2013-08-03 22:20:34.683019	\N	a6e57cea-4a69-4a28-9ed7-aac90dcf50b0
117090	14	13960	2013-08-03 22:20:35.277622	2013-08-03 22:20:35.277622	\N	a735ae72-082e-4fe9-8ab7-fa24edd4f5bd
128051	8	15919	2013-08-03 23:39:27.739502	2013-08-03 23:39:27.739502	\N	35628689-cef6-43f6-a4f8-0e266d3fe8f6
130313	14	16477	2013-08-04 00:02:12.190725	2013-08-04 00:02:12.190725	\N	3a1d00b1-4934-4391-9f39-88cbed9f5d2b
117107	12	13945	2013-08-03 22:20:41.189409	2013-08-03 22:20:41.189409	\N	82e4bc33-6d31-4836-af63-974ffa83de55
133006	15	17230	2013-08-04 00:30:56.396426	2013-08-04 00:30:56.396426	\N	4bed1f92-3457-49d9-95f6-778960f9ac33
119195	15	14207	2013-08-03 22:29:57.705494	2013-08-03 22:29:57.705494	\N	ccf8f598-daf3-4b71-ada8-74a82ff5213a
119196	8	14207	2013-08-03 22:29:57.932108	2013-08-03 22:29:57.932108	\N	dbba474b-907d-40c4-afbc-8d2e91f013d1
119211	5	14191	2013-08-03 22:29:59.22385	2013-08-03 22:29:59.22385	\N	4ccb0ee4-227f-4418-9333-39bcb6ea5d86
133016	8	17230	2013-08-04 00:30:57.471014	2013-08-04 00:30:57.471014	\N	2e3b3c45-d969-4319-a8b8-61c5345e6de0
115302	19	13651	2013-08-03 22:12:30.773291	2013-08-03 22:12:30.773291	\N	ec4d2f5a-db71-4144-b839-978fac8e0a2d
119225	17	14167	2013-08-03 22:30:00.346397	2013-08-03 22:30:00.346397	\N	d53f064f-2431-4564-8615-5e51ec0da31d
121221	14	14713	2013-08-03 22:51:17.705496	2013-08-03 22:51:17.705496	\N	b08da6f5-0387-4fd4-8f14-fa815e6e69c3
119232	4	14207	2013-08-03 22:30:01.273624	2013-08-03 22:30:01.273624	\N	837d0130-b11a-4698-89e0-c7d5b8f7bc63
133019	15	17231	2013-08-04 00:30:59.229185	2013-08-04 00:30:59.229185	\N	c084cb17-65d2-4d9b-8820-3f8bfe1188af
159196	12	20884	2013-08-04 17:00:11.655238	2013-08-04 17:00:11.655238	\N	9a866dee-3f79-4082-9255-cf4e1f769f8a
140991	2	18938	2013-08-04 01:37:11.095969	2013-08-04 01:37:11.095969	\N	ea9a3df6-da80-4356-9a56-e8ef1113ad93
117220	3	13945	2013-08-03 22:21:13.066589	2013-08-03 22:21:13.066589	\N	37bb10df-4280-4909-840f-c64d065d0d1e
117221	3	13912	2013-08-03 22:21:13.147556	2013-08-03 22:21:13.147556	\N	0751db73-9724-4dc8-af90-71482ce80217
117222	3	13957	2013-08-03 22:21:13.220338	2013-08-03 22:21:13.220338	\N	20bbd8a0-d3b0-4a39-b1da-652745da2335
117223	3	13954	2013-08-03 22:21:13.295889	2013-08-03 22:21:13.295889	\N	412aef0f-1f75-48a9-8364-72d5b0763787
117224	3	13903	2013-08-03 22:21:13.363649	2013-08-03 22:21:13.363649	\N	10ba0ed0-5f51-4412-a65b-d51cc2ecc489
117225	3	13915	2013-08-03 22:21:13.471901	2013-08-03 22:21:13.471901	\N	198fbebd-3862-48bb-a9a1-6dc26d05f4cd
128107	17	15946	2013-08-03 23:39:52.791583	2013-08-03 23:39:52.791583	\N	bfc5dd7e-6faa-4942-805a-7839b2fc1778
119242	4	14209	2013-08-03 22:30:04.007248	2013-08-03 22:30:04.007248	\N	cc8a0a41-7a27-47b3-988b-d2c9a3a08c18
128108	9	15946	2013-08-03 23:39:52.942606	2013-08-03 23:39:52.942606	\N	ec484d47-2950-49fe-8b31-e80038a6cac3
140992	2	18926	2013-08-04 01:37:11.144702	2013-08-04 01:37:11.144702	\N	412c0cfb-37fe-4841-aa02-4f8511bf09d1
140993	2	18936	2013-08-04 01:37:11.179127	2013-08-04 01:37:11.179127	\N	e6415a72-ba1b-41ca-aba5-95ee8d1fb165
119266	13	14197	2013-08-03 22:30:05.605469	2013-08-03 22:30:05.605469	\N	2d22fc81-4415-4c8a-b701-9b4ebb81c2e2
159200	8	21136	2013-08-04 17:00:14.262825	2013-08-04 17:00:14.262825	\N	e255c63f-4295-4250-9280-cfe0921990ba
133032	8	17231	2013-08-04 00:31:07.118566	2013-08-04 00:31:07.118566	\N	aea3f074-e088-4832-bf65-df378ee3d2aa
152597	6	20467	2013-08-04 02:40:49.937058	2013-08-04 02:40:49.937058	\N	919c5c2f-5383-46ce-82f1-b0be2f107f9d
119280	13	14155	2013-08-03 22:30:06.502487	2013-08-03 22:30:06.502487	\N	c5136614-1606-4a5b-83b2-bc638aecf9ef
135728	3	17821	2013-08-04 00:57:47.877725	2013-08-04 00:57:47.877725	\N	f2b27e85-02c4-4041-b82c-f20adbe5c306
128139	5	15946	2013-08-03 23:40:07.545323	2013-08-03 23:40:07.545323	\N	7265abd8-d6a4-44ad-9c05-8334c973eea8
138402	2	18564	2013-08-04 01:21:27.613101	2013-08-04 01:21:27.613101	\N	99d8a21b-8a89-4d00-88fc-e17aa708bbdb
133072	19	17179	2013-08-04 00:31:21.814744	2013-08-04 00:31:21.814744	\N	f0dfd33e-fd0c-4d3d-be3d-c7a69bc9be77
128153	11	15946	2013-08-03 23:40:10.534262	2013-08-03 23:40:10.534262	\N	098b50f2-6c67-479e-8908-abd8ded2688d
152614	12	20507	2013-08-04 02:40:54.729422	2013-08-04 02:40:54.729422	\N	8136765c-7572-44e0-a93d-715214f5a183
152615	7	20507	2013-08-04 02:40:55.411562	2013-08-04 02:40:55.411562	\N	8cf3278d-5464-4de3-990c-b6a152b08e83
133086	19	17230	2013-08-04 00:31:30.11656	2013-08-04 00:31:30.11656	\N	f6d34a6e-4d54-4f8f-b093-dfdfaf26579e
133093	16	17191	2013-08-04 00:31:32.695133	2013-08-04 00:31:32.695133	\N	bbb4dede-0f2d-49a2-89ab-b4ce1e8d76b2
152616	4	20467	2013-08-04 02:40:55.60738	2013-08-04 02:40:55.60738	\N	40f207fd-f337-4ef7-9682-468a4508afcc
140999	19	18868	2013-08-04 01:37:14.960618	2013-08-04 01:37:14.960618	\N	9360e73f-3fe9-41ad-981b-a1ee2590cc8f
128180	1	15694	2013-08-03 23:40:18.595583	2013-08-03 23:40:18.595583	\N	bd315d4e-e2b9-4bac-b51f-41f385e3264b
115449	19	13660	2013-08-03 22:12:58.533602	2013-08-03 22:12:58.533602	\N	7fcfc56b-d493-4b2e-9495-bbb118126bed
128185	19	15971	2013-08-03 23:40:19.094407	2013-08-03 23:40:19.094407	\N	b14cf939-719f-477e-a91c-d7f3c0be9545
152617	4	20455	2013-08-04 02:40:55.670089	2013-08-04 02:40:55.670089	\N	0645403d-d361-40cd-b27d-4cfb25bd94a8
152618	4	20482	2013-08-04 02:40:55.71783	2013-08-04 02:40:55.71783	\N	ab6f5341-db63-4f54-bae9-1bb31d0917ce
152619	4	20506	2013-08-04 02:40:55.787456	2013-08-04 02:40:55.787456	\N	a75f4295-b5f0-4c2e-b435-2d5d482e2cb0
138421	15	18491	2013-08-04 01:21:29.33912	2013-08-04 01:21:29.33912	\N	48931ef6-68ba-4528-a3c9-90db0a9c7004
152623	4	20567	2013-08-04 02:40:59.183595	2013-08-04 02:40:59.183595	\N	d1893d41-cc72-4259-b2bd-388106433f3e
125835	2	15553	2013-08-03 23:24:45.715285	2013-08-03 23:24:45.715285	\N	8ee21d64-2599-46e9-b2ae-20085eb98f89
125836	2	15568	2013-08-03 23:24:45.764484	2013-08-03 23:24:45.764484	\N	d90a5c80-04c8-4561-a80d-84b569395024
125837	2	15577	2013-08-03 23:24:45.81311	2013-08-03 23:24:45.81311	\N	b404a39f-96e6-4a49-bd50-e7c9ba3fa030
125838	2	15592	2013-08-03 23:24:45.856294	2013-08-03 23:24:45.856294	\N	2154f318-b12e-4029-a957-80aeed4768d7
138434	9	18451	2013-08-04 01:21:32.641148	2013-08-04 01:21:32.641148	\N	6b438790-96e5-49fc-ae1f-e7d11d370d8d
130436	1	16435	2013-08-04 00:03:28.849717	2013-08-04 00:03:28.849717	\N	ded076d6-5943-428f-bae0-746e63159dce
138435	9	18439	2013-08-04 01:21:32.820475	2013-08-04 01:21:32.820475	\N	ff78ffd4-022c-4ecb-b0dc-d8756266be98
125872	7	15592	2013-08-03 23:25:00.896918	2013-08-03 23:25:00.896918	\N	aedd54af-d2b8-4311-95c0-f5d9a103ef50
128222	17	15955	2013-08-03 23:40:36.349724	2013-08-03 23:40:36.349724	\N	df9a99b2-4d4a-479a-b747-ec4ef266706b
133165	7	17231	2013-08-04 00:32:09.590054	2013-08-04 00:32:09.590054	\N	75d1a818-7a1c-492c-a8f5-f2987ab823e0
152624	4	20549	2013-08-04 02:40:59.236884	2013-08-04 02:40:59.236884	\N	2d4db517-aa33-4987-816b-26654854333b
123765	3	15037	2013-08-03 23:08:46.353113	2013-08-03 23:08:46.353113	\N	6a6fabd3-cf0c-408d-a2d6-87a4fcf515c3
123766	3	15064	2013-08-03 23:08:46.401853	2013-08-03 23:08:46.401853	\N	b2b3b45a-87d1-4f40-baf8-b38274676c78
152625	4	20551	2013-08-04 02:40:59.288602	2013-08-04 02:40:59.288602	\N	fb070fd4-9961-4265-8313-c8f7ca26b9c9
125892	2	15541	2013-08-03 23:25:11.250877	2013-08-03 23:25:11.250877	\N	4797f7c1-4150-4710-be48-6048e89b48bd
123769	14	15073	2013-08-03 23:08:48.551139	2013-08-03 23:08:48.551139	\N	a9956ac1-4f28-4a94-86d6-31ffb535d5da
128255	6	15955	2013-08-03 23:40:49.266376	2013-08-03 23:40:49.266376	\N	c0a35506-42fc-49e8-8c21-eaffd8498723
143835	2	19434	2013-08-04 01:56:20.263883	2013-08-04 01:56:20.263883	\N	026d178c-ae29-4e53-be78-41c4a4938e2e
143836	2	19420	2013-08-04 01:56:20.301978	2013-08-04 01:56:20.301978	\N	b4d6993f-d706-453e-8e5e-35a9115cfa1c
130391	14	16435	2013-08-04 00:02:56.75799	2013-08-04 00:02:56.75799	\N	590f39df-5273-4e59-a071-14be2428d025
141002	19	18817	2013-08-04 01:37:16.952898	2013-08-04 01:37:16.952898	\N	6f35dfbc-2c53-40a0-a13c-13d83783565d
143838	2	19414	2013-08-04 01:56:20.337279	2013-08-04 01:56:20.337279	\N	bf99636f-2f64-40fc-98c1-e32ff6b2f868
121191	19	14710	2013-08-03 22:51:04.4617	2013-08-03 22:51:04.4617	\N	7a01b286-774c-43ab-ad66-4580cdb53eb4
115115	16	13663	2013-08-03 22:11:42.686079	2013-08-03 22:11:42.686079	\N	7b009740-8e3c-44c2-b653-8bfa1095f38e
179948	9	23491	2013-08-04 18:37:59.646589	2013-08-04 18:37:59.646589	\N	d06869d2-fdd1-4c7e-bbb3-306e70fff289
138467	11	18439	2013-08-04 01:21:44.86202	2013-08-04 01:21:44.86202	\N	f076a168-88cc-4557-9559-5d8c3872521f
159199	8	21112	2013-08-04 17:00:13.848466	2013-08-04 17:00:13.848466	\N	5f8b08da-4d30-43ed-bdff-5b45a1b6eb8c
119171	7	14155	2013-08-03 22:29:49.431547	2013-08-03 22:29:49.431547	\N	c80ba0ae-adc7-4d6d-984a-22b99281b05e
121219	14	14695	2013-08-03 22:51:17.490263	2013-08-03 22:51:17.490263	\N	22390fd3-244f-4c71-bcab-bbd4f30bb3e0
194603	14	24684	2013-08-04 19:34:27.521855	2013-08-04 19:34:27.521855	\N	0a75f3be-0baf-4dbc-9873-70153c6f8b13
152596	6	20506	2013-08-04 02:40:49.821028	2013-08-04 02:40:49.821028	\N	35fd0c51-986b-4277-852a-0448b53f27c0
133073	15	17179	2013-08-04 00:31:22.905228	2013-08-04 00:31:22.905228	\N	dcc7a553-f37d-4c56-8171-3996d27b2ab3
117111	12	13903	2013-08-03 22:20:42.027413	2013-08-03 22:20:42.027413	\N	34232614-2eb3-4c82-b141-9555d4fdf4bc
119230	5	14209	2013-08-03 22:30:00.584486	2013-08-03 22:30:00.584486	\N	415dfdc8-4d01-4b18-a166-654f1d81fe53
138516	13	18451	2013-08-04 01:21:58.544762	2013-08-04 01:21:58.544762	\N	e2a335b5-1f8a-4bc0-851f-7814ffe5f433
138517	13	18439	2013-08-04 01:21:58.855599	2013-08-04 01:21:58.855599	\N	a0a93633-c193-4b4c-abaa-59d278c318b3
152598	7	20506	2013-08-04 02:40:51.276689	2013-08-04 02:40:51.276689	\N	b75b1c25-953c-4f83-911e-f65eda9f948c
152599	7	20482	2013-08-04 02:40:51.396123	2013-08-04 02:40:51.396123	\N	9cfcba65-36bf-4dd8-a747-00ffe2defaa6
115197	10	13672	2013-08-03 22:12:08.125462	2013-08-03 22:12:08.125462	\N	cf182e49-6108-4f66-aa9f-2a0fef744fa0
115198	10	13705	2013-08-03 22:12:08.279363	2013-08-03 22:12:08.279363	\N	6384e4f3-a04c-47e3-ab7b-b87921e3e102
166071	1	22144	2013-08-04 17:42:11.165863	2013-08-04 17:42:11.165863	\N	3122fb5b-371e-4cea-9a0d-5246d9412b1f
117144	4	13945	2013-08-03 22:20:54.49397	2013-08-03 22:20:54.49397	\N	03daaa59-a5f1-4738-bb74-49f56f6ceead
117146	4	13915	2013-08-03 22:20:54.538424	2013-08-03 22:20:54.538424	\N	dd5190a6-e8bf-4d40-bb3a-f20918f9d692
117147	4	13903	2013-08-03 22:20:54.571679	2013-08-03 22:20:54.571679	\N	92e70a3e-9e51-471e-ba53-9c30a5983ca6
117148	4	13954	2013-08-03 22:20:54.633753	2013-08-03 22:20:54.633753	\N	d9df94cb-788f-4f67-969a-f90bd8cca327
128053	8	15946	2013-08-03 23:39:27.75168	2013-08-03 23:39:27.75168	\N	68c89fb9-c6aa-430a-8ed2-72308785ea1c
128067	15	15946	2013-08-03 23:39:31.013059	2013-08-03 23:39:31.013059	\N	3b28b76c-21dd-4bd9-9210-a522940a12bc
187103	14	24136	2013-08-04 19:02:53.387292	2013-08-04 19:02:53.387292	\N	06f85d09-0614-408f-a939-8af321c38663
128072	7	15971	2013-08-03 23:39:37.491101	2013-08-03 23:39:37.491101	\N	7b30cace-cc57-4930-8cc3-f45fe2e1c497
128073	7	15955	2013-08-03 23:39:37.558381	2013-08-03 23:39:37.558381	\N	5bc7fed0-c1e2-4567-a2a5-4237d7488b51
143984	17	19333	2013-08-04 01:56:31.16906	2013-08-04 01:56:31.16906	\N	7e7efe00-4b41-484d-9ca7-0b4c640cd3d2
117178	16	13903	2013-08-03 22:21:03.823706	2013-08-03 22:21:03.823706	\N	c6f797e1-13e0-4e3e-8469-671894a91e85
117179	16	13957	2013-08-03 22:21:03.950276	2013-08-03 22:21:03.950276	\N	9f8adab9-2cd7-4030-8f13-acda12d671a5
115308	14	13703	2013-08-03 22:12:31.176659	2013-08-03 22:12:31.176659	\N	0573e82c-e19a-4445-a642-0ab6f32b56f1
117181	16	13960	2013-08-03 22:21:04.070858	2013-08-03 22:21:04.070858	\N	b1a9c28a-0fff-4b7b-a541-d6c3300cbbf0
128080	6	15931	2013-08-03 23:39:39.776286	2013-08-03 23:39:39.776286	\N	447c6db3-a8a3-4ef6-acdc-cdcd4c88b459
128081	7	15919	2013-08-03 23:39:40.858042	2013-08-03 23:39:40.858042	\N	b0c19278-0f64-42d6-8a22-777add188a8a
152611	8	20506	2013-08-04 02:40:53.419205	2013-08-04 02:40:53.419205	\N	ded42a87-3635-4b8f-a550-a3a9af4bb276
128094	6	15919	2013-08-03 23:39:46.986559	2013-08-03 23:39:46.986559	\N	2c98509d-1e11-4eda-8d79-bfde7e8ee8c1
128095	17	15931	2013-08-03 23:39:48.199356	2013-08-03 23:39:48.199356	\N	1651ed45-82f9-428b-9898-a010df1321a9
128096	4	15971	2013-08-03 23:39:48.525033	2013-08-03 23:39:48.525033	\N	7d7e7010-654d-4677-a096-69b923e5e715
128098	9	15919	2013-08-03 23:39:48.770368	2013-08-03 23:39:48.770368	\N	6553dcb6-7e3a-4c7f-885d-51b83c940c2d
128099	17	15919	2013-08-03 23:39:48.981168	2013-08-03 23:39:48.981168	\N	ee655d23-ea48-4df3-8613-f593409d78bf
125827	8	15577	2013-08-03 23:24:44.416731	2013-08-03 23:24:44.416731	\N	128be9f6-319d-4806-b5f1-09879659d0fe
143990	20	19373	2013-08-04 01:56:31.500912	2013-08-04 01:56:31.500912	\N	5d8dd7c7-c051-4549-b7bc-889353895417
119320	13	14209	2013-08-03 22:30:13.534379	2013-08-03 22:30:13.534379	\N	44dd83d3-093e-4848-94b0-5bc353f1bbb1
119325	11	14209	2013-08-03 22:30:15.233634	2013-08-03 22:30:15.233634	\N	cb4a45e4-a50d-45a6-9567-644d3622dfdd
125833	9	15541	2013-08-03 23:24:45.676063	2013-08-03 23:24:45.676063	\N	118a598d-6b19-4220-8f27-0e2cd4c4564c
187106	4	24174	2013-08-04 19:02:54.356789	2013-08-04 19:02:54.356789	\N	5b158255-45d4-4600-a468-70e59256035d
125859	7	15568	2013-08-03 23:24:56.57086	2013-08-03 23:24:56.57086	\N	c0df26ba-3e1a-4682-97ed-e9d9ae2783b8
119344	16	14167	2013-08-03 22:30:23.301551	2013-08-03 22:30:23.301551	\N	3df13c4c-9c5a-43a3-bf29-11d8f9b32766
119345	16	14191	2013-08-03 22:30:23.423024	2013-08-03 22:30:23.423024	\N	c1dc6430-8e75-4c35-8e16-2a317cfc6f77
119346	16	14206	2013-08-03 22:30:23.532741	2013-08-03 22:30:23.532741	\N	a9a97b67-606d-4835-907d-e4f932f7d436
119347	16	14209	2013-08-03 22:30:23.631517	2013-08-03 22:30:23.631517	\N	15197780-d51b-4237-8456-fba949c4bc59
125865	15	15593	2013-08-03 23:24:57.819941	2013-08-03 23:24:57.819941	\N	7844e33d-5ca7-4e74-9b1f-ba29c968e550
125866	9	15592	2013-08-03 23:24:59.195053	2013-08-03 23:24:59.195053	\N	d275443c-6b0e-4a37-a2e6-0655ee18caea
121361	16	14671	2013-08-03 22:52:31.499543	2013-08-03 22:52:31.499543	\N	56144a0f-8cb2-4f80-bcd3-94bca8d2a3b2
159233	19	21112	2013-08-04 17:00:34.430222	2013-08-04 17:00:34.430222	\N	6111b6bb-3feb-4e02-adb1-30fb6ff77047
119368	18	14207	2013-08-03 22:30:34.537728	2013-08-03 22:30:34.537728	\N	df1d6ac0-13b5-443c-ba05-1684eb1484e9
159281	8	21137	2013-08-04 17:01:04.186714	2013-08-04 17:01:04.186714	\N	54bf0c1e-ec4e-4940-a868-5f04b45a0a51
159283	17	21112	2013-08-04 17:01:11.085589	2013-08-04 17:01:11.085589	\N	e6639e1c-bdb6-4655-8aed-b821f18e2114
125906	8	15593	2013-08-03 23:25:18.676431	2013-08-03 23:25:18.676431	\N	8b4f4c46-fef0-48b0-91a9-703c940ec0c4
133126	4	17231	2013-08-04 00:31:50.603611	2013-08-04 00:31:50.603611	\N	4ca065f7-9046-404b-8eae-cc30bf7408ec
187107	4	24186	2013-08-04 19:02:54.428872	2013-08-04 19:02:54.428872	\N	76e34c11-6f4b-4142-83ac-f628b9cbb239
117345	8	13939	2013-08-03 22:21:38.09674	2013-08-03 22:21:38.09674	\N	fe6b7478-2a22-4158-8523-0f83fd8c53b8
128149	13	15931	2013-08-03 23:40:08.553476	2013-08-03 23:40:08.553476	\N	ee8d3586-2cb7-4122-99ac-bc6241c65e66
128160	13	15946	2013-08-03 23:40:12.134464	2013-08-03 23:40:12.134464	\N	dda406dd-12b3-429c-852f-8bbaaf2b3a08
152668	16	20467	2013-08-04 02:41:11.904991	2013-08-04 02:41:11.904991	\N	a54d8227-5ade-4993-b753-53d4b4d7c031
119410	17	14191	2013-08-03 22:30:52.834112	2013-08-03 22:30:52.834112	\N	b58d6dbd-d8bd-4d80-a45e-ce4803d4607f
123657	14	15045	2013-08-03 23:07:49.504056	2013-08-03 23:07:49.504056	\N	77f81014-8cbf-4278-83aa-25f2c29b470b
138567	19	18451	2013-08-04 01:22:13.277371	2013-08-04 01:22:13.277371	\N	1ceac595-c735-4dfc-81de-15d4640be04f
152673	16	20482	2013-08-04 02:41:12.140513	2013-08-04 02:41:12.140513	\N	d9aed47c-a64c-4578-b18f-71ca36627a1b
117378	7	13939	2013-08-03 22:21:48.632495	2013-08-03 22:21:48.632495	\N	81423ef1-b312-4b74-a72e-c88cdce8cbd1
187108	4	24178	2013-08-04 19:02:54.499081	2013-08-04 19:02:54.499081	\N	cee4967e-5f44-4a26-81db-3fb27b8c04d9
152679	17	20506	2013-08-04 02:41:16.819075	2013-08-04 02:41:16.819075	\N	330ed9e2-a936-4f85-826f-954963b87686
187109	4	24187	2013-08-04 19:02:54.583599	2013-08-04 19:02:54.583599	\N	97bda71d-34e5-41a4-87a5-e4de24487805
159293	14	21191	2013-08-04 17:01:23.476959	2013-08-04 17:01:23.476959	\N	d90e728e-f6b2-4949-bdd8-8dc0e81a936c
179971	14	23530	2013-08-04 18:38:04.148864	2013-08-04 18:38:04.148864	\N	18e0873e-8244-4881-9f1a-7f4e339348c9
128215	7	15946	2013-08-03 23:40:33.834292	2013-08-03 23:40:33.834292	\N	37d3d13e-825c-4439-a659-c25781eb6483
159296	14	21197	2013-08-04 17:01:23.697127	2013-08-04 17:01:23.697127	\N	bd32bdb3-28a7-4810-b102-bbf22191eb99
194604	14	24691	2013-08-04 19:34:27.585715	2013-08-04 19:34:27.585715	\N	39b6aeff-f8c3-4a66-bc09-a2f3431c905f
187111	4	24180	2013-08-04 19:02:54.668022	2013-08-04 19:02:54.668022	\N	e9a9e271-6db0-422b-a537-e2430da7ac7c
176590	2	23177	2013-08-04 18:26:34.977877	2013-08-04 18:26:34.977877	\N	0cada4e4-45ca-46a3-b484-268d03b1b39f
123855	8	15175	2013-08-03 23:11:30.911729	2013-08-03 23:11:30.911729	\N	584bf48e-05c5-48ee-bce3-18dc65063fa9
123856	15	15215	2013-08-03 23:11:31.140013	2013-08-03 23:11:31.140013	\N	80563160-9971-4f0b-adf2-265e11aaa8e3
123857	2	15163	2013-08-03 23:11:31.345539	2013-08-03 23:11:31.345539	\N	a21f201a-792b-446d-b196-a67d5bb396b9
119511	12	14167	2013-08-03 22:31:33.313052	2013-08-03 22:31:33.313052	\N	65dea3ca-4837-4f3b-bc2e-5f5f5fa87409
121513	2	14836	2013-08-03 22:54:28.523496	2013-08-03 22:54:28.523496	\N	62186a11-3db3-48ef-b6ef-1f314cf139f6
121514	2	14797	2013-08-03 22:54:28.555145	2013-08-03 22:54:28.555145	\N	efc4ba87-817a-465e-9fac-93457bca6005
121515	2	14839	2013-08-03 22:54:28.603671	2013-08-03 22:54:28.603671	\N	6303201c-40fa-4c55-b9ed-c376f3a4228b
123859	2	15199	2013-08-03 23:11:31.387786	2013-08-03 23:11:31.387786	\N	510f0fb6-490a-49f5-9cf1-0c8db488499b
121525	9	14797	2013-08-03 22:54:35.319626	2013-08-03 22:54:35.319626	\N	147846ee-8feb-4bda-aa3a-b42ebeb48d01
123860	2	15190	2013-08-03 23:11:31.418351	2013-08-03 23:11:31.418351	\N	ce524045-ded4-4620-9adf-333e7bb172ed
121530	14	14793	2013-08-03 22:54:37.012853	2013-08-03 22:54:37.012853	\N	e993e53f-f308-429d-83e5-154639c43f92
159354	9	21136	2013-08-04 17:02:15.251266	2013-08-04 17:02:15.251266	\N	134d1603-df6e-4be9-b0f7-b5767fcb7e57
179975	14	23491	2013-08-04 18:38:04.973633	2013-08-04 18:38:04.973633	\N	b47274ed-f5c4-43c3-9ae5-25fa5a0230b3
123863	2	15175	2013-08-03 23:11:31.523496	2013-08-03 23:11:31.523496	\N	b0034d28-62b5-4d4f-b526-774019e36dcd
159384	9	21177	2013-08-04 17:02:39.680927	2013-08-04 17:02:39.680927	\N	8476b019-0867-4398-baa3-8425b0353518
133194	17	17191	2013-08-04 00:32:27.022125	2013-08-04 00:32:27.022125	\N	83d30046-6cae-48bd-9e4d-4bafa915b07e
121601	6	14797	2013-08-03 22:55:08.774001	2013-08-03 22:55:08.774001	\N	de318792-3eba-457d-9a0d-854d1236bda6
125999	3	15553	2013-08-03 23:25:48.707431	2013-08-03 23:25:48.707431	\N	f5044a7c-d6c5-4ead-bbd9-f5a35226b9aa
126000	3	15592	2013-08-03 23:25:48.81511	2013-08-03 23:25:48.81511	\N	66ef2bba-8b4c-4fac-8268-cbc2e299de6f
123869	2	15214	2013-08-03 23:11:31.711256	2013-08-03 23:11:31.711256	\N	4ee7c43f-029d-44c8-9323-5b796daf75eb
126001	3	15541	2013-08-03 23:25:48.840834	2013-08-03 23:25:48.840834	\N	34398678-13a0-4ced-9700-ab73ab51a328
117177	16	13915	2013-08-03 22:21:03.681694	2013-08-03 22:21:03.681694	\N	c1061743-f9e6-42c3-9256-47a9513dd105
143846	17	19373	2013-08-04 01:56:20.931446	2013-08-04 01:56:20.931446	\N	53921b85-bddd-4701-9b29-a35688213fda
152600	9	20506	2013-08-04 02:40:51.78118	2013-08-04 02:40:51.78118	\N	24eb898b-2c2e-4b30-b0b5-eff997d3c9a1
128065	15	15931	2013-08-03 23:39:30.931248	2013-08-03 23:39:30.931248	\N	49994b6a-c737-4592-8b92-4452b3f21cf3
135612	19	17860	2013-08-04 00:56:41.783492	2013-08-04 00:56:41.783492	\N	de4af8b3-788f-4a5a-a095-b54ad4a99295
128082	7	15970	2013-08-03 23:39:41.497648	2013-08-03 23:39:41.497648	\N	3a5bea95-3175-43f8-b029-e269026511ab
128086	9	15971	2013-08-03 23:39:43.437	2013-08-03 23:39:43.437	\N	9f6bec39-e8b6-401a-ad76-7b3106767a82
152601	7	20455	2013-08-04 02:40:52.424273	2013-08-04 02:40:52.424273	\N	e00f38da-0e9e-4e1a-a378-0146edbec857
159201	6	21136	2013-08-04 17:00:14.844863	2013-08-04 17:00:14.844863	\N	90f1608c-6ab4-4b60-8e3f-2304d4c15004
152603	7	20467	2013-08-04 02:40:52.644352	2013-08-04 02:40:52.644352	\N	7027da52-f545-41d3-8d1f-384249593a71
159202	6	21097	2013-08-04 17:00:14.964199	2013-08-04 17:00:14.964199	\N	61a56450-bde3-4cd3-b96d-cb7d312349fe
130466	5	16423	2013-08-04 00:03:43.20123	2013-08-04 00:03:43.20123	\N	af06344c-1502-4e23-b666-e6334cd0793b
143879	10	19333	2013-08-04 01:56:23.712086	2013-08-04 01:56:23.712086	\N	561e5244-b1dc-4b94-a7b9-211fc591b03c
187104	14	24160	2013-08-04 19:02:53.401205	2013-08-04 19:02:53.401205	\N	5226821f-f8de-4e1c-9911-67076ec00e73
119305	2	14167	2013-08-03 22:30:10.666817	2013-08-03 22:30:10.666817	\N	c60b5e7d-3ead-4b54-a8a1-3a7a5f0cd898
128126	9	15970	2013-08-03 23:40:01.157344	2013-08-03 23:40:01.157344	\N	5bd4ab9b-902e-480f-834f-4640485b8aff
119307	11	14167	2013-08-03 22:30:10.775193	2013-08-03 22:30:10.775193	\N	30cee7be-43b8-4b32-a49d-f3584b1e7a66
159227	19	21097	2013-08-04 17:00:29.733214	2013-08-04 17:00:29.733214	\N	9a19c930-9000-49bb-94aa-7bc23bc94785
166069	1	22120	2013-08-04 17:42:09.185739	2013-08-04 17:42:09.185739	\N	dffc5038-6aa0-473c-92d2-4d74d3268e9d
125804	3	15427	2013-08-03 23:24:10.82221	2013-08-03 23:24:10.82221	\N	7068b3e3-7e8e-43bf-95bc-8f63ef99b558
119314	11	14155	2013-08-03 22:30:11.219455	2013-08-03 22:30:11.219455	\N	367e1274-2307-4f5d-81a1-39a1173f39a2
128145	11	15931	2013-08-03 23:40:07.984661	2013-08-03 23:40:07.984661	\N	6105cd54-87c5-4b8f-a9b1-e998a9474ea7
166070	17	22120	2013-08-04 17:42:09.622707	2013-08-04 17:42:09.622707	\N	47b2ef46-21cf-4bc9-ad63-b8d013e8d9c9
152612	8	20467	2013-08-04 02:40:53.419462	2013-08-04 02:40:53.419462	\N	b1a64264-c46e-4f9f-9e73-42864f409103
128154	6	15946	2013-08-03 23:40:10.578723	2013-08-03 23:40:10.578723	\N	4b136cb2-5d8f-4b1a-b858-3243af777647
143906	2	19438	2013-08-04 01:56:25.470436	2013-08-04 01:56:25.470436	\N	acc28484-5d1d-4614-ab25-f6f1fdbf5797
125817	9	15593	2013-08-03 23:24:42.233518	2013-08-03 23:24:42.233518	\N	09a2f580-b51c-4189-a2b5-80250f5e200a
125821	8	15553	2013-08-03 23:24:43.213528	2013-08-03 23:24:43.213528	\N	2ff4b444-6cd7-46e2-aeed-cd93133316f5
125829	8	15568	2013-08-03 23:24:44.41861	2013-08-03 23:24:44.41861	\N	70969e45-2a71-4e46-8145-635d561bc541
143907	2	19442	2013-08-04 01:56:25.512448	2013-08-04 01:56:25.512448	\N	afabc4fb-9224-4958-b0bb-3bd39ea03343
119342	17	14206	2013-08-03 22:30:22.445833	2013-08-03 22:30:22.445833	\N	ddfe0318-6466-48b7-a5fd-491864e2e03b
119343	16	14197	2013-08-03 22:30:23.119005	2013-08-03 22:30:23.119005	\N	3b49e563-7d23-408e-9c80-5ba18533e55c
128161	11	15970	2013-08-03 23:40:12.244689	2013-08-03 23:40:12.244689	\N	4bc77e8c-ef46-4697-bda3-91c1e8409ccf
125845	7	15577	2013-08-03 23:24:48.396156	2013-08-03 23:24:48.396156	\N	d738bd3b-c776-4c6f-bc4c-e47be43e6da9
135685	4	17861	2013-08-04 00:57:23.807927	2013-08-04 00:57:23.807927	\N	f1d52b25-d75b-43f7-95ee-6e5da7edd837
143909	2	19430	2013-08-04 01:56:25.57234	2013-08-04 01:56:25.57234	\N	6d999419-25ab-4231-aaa0-06bd2c412808
125853	7	15553	2013-08-03 23:24:51.765986	2013-08-03 23:24:51.765986	\N	68175db7-e587-4854-94e2-b198717bdc47
125854	9	15568	2013-08-03 23:24:51.886694	2013-08-03 23:24:51.886694	\N	b4cf3bd6-00ff-4c99-aca5-4a7e9b908496
125855	7	15541	2013-08-03 23:24:52.174507	2013-08-03 23:24:52.174507	\N	0c466df8-7a92-45f4-90dd-39fe5efd92e6
123667	16	15064	2013-08-03 23:07:53.693748	2013-08-03 23:07:53.693748	\N	ffbbc97c-6360-46ce-ac40-a1d487a286d6
138453	8	18491	2013-08-04 01:21:39.382549	2013-08-04 01:21:39.382549	\N	70f26630-1964-4c19-af20-c5a04e375d43
125868	15	15553	2013-08-03 23:25:00.098327	2013-08-03 23:25:00.098327	\N	42bcb948-b98b-4d46-8f14-43361aba5b13
159235	8	21188	2013-08-04 17:00:35.460345	2013-08-04 17:00:35.460345	\N	3caf0cd0-173b-472b-8002-44eb1f81b25a
128182	1	15844	2013-08-03 23:40:18.834118	2013-08-03 23:40:18.834118	\N	e1161d0d-0578-4c31-88c4-ce3a9e5b4f4f
125878	8	15592	2013-08-03 23:25:05.110941	2013-08-03 23:25:05.110941	\N	af8778f0-b27a-4cfd-a2d2-36a9b25550e7
128183	1	15805	2013-08-03 23:40:18.938719	2013-08-03 23:40:18.938719	\N	85affea5-12ec-4f32-baee-3d3948f8ace9
119404	14	14206	2013-08-03 22:30:47.670883	2013-08-03 22:30:47.670883	\N	000d7175-c24e-42f1-883b-4e10573cc8c8
125880	15	15592	2013-08-03 23:25:06.973333	2013-08-03 23:25:06.973333	\N	187e1c78-29d0-4c1c-b00c-d8525606853f
125881	14	15549	2013-08-03 23:25:07.329779	2013-08-03 23:25:07.329779	\N	5aec28de-a489-4a60-8bb4-39b2425eff39
125882	14	15541	2013-08-03 23:25:07.428282	2013-08-03 23:25:07.428282	\N	d4b8f9de-aebd-4e9d-b91c-ee98203afaf4
125883	14	15592	2013-08-03 23:25:07.485107	2013-08-03 23:25:07.485107	\N	4481ae43-03a0-4785-80c7-77b782e70f3e
128184	1	15820	2013-08-03 23:40:19.051622	2013-08-03 23:40:19.051622	\N	72941ff7-f09f-4111-9b97-81d5987af57a
119427	17	14209	2013-08-03 22:30:59.014034	2013-08-03 22:30:59.014034	\N	611cec88-4cea-461c-8c31-056c6d4af243
128186	1	15801	2013-08-03 23:40:19.140305	2013-08-03 23:40:19.140305	\N	a7abf88c-d520-4a8c-bdae-1c1d1b70c4c7
166083	1	22181	2013-08-04 17:42:12.214393	2013-08-04 17:42:12.214393	\N	ff36ad4c-821f-4b1c-92ee-0e86722f4831
187105	2	24189	2013-08-04 19:02:54.04731	2013-08-04 19:02:54.04731	\N	3d74565e-8a29-40f4-8f48-bf6bd71bc1df
117471	2	13915	2013-08-03 22:22:10.446	2013-08-03 22:22:10.446	\N	916e481a-011e-409c-933e-80ebd5c6a618
152739	13	20506	2013-08-04 02:41:35.13736	2013-08-04 02:41:35.13736	\N	841400c8-dfed-4e64-8639-4fd82ed2dfcc
138459	9	18490	2013-08-04 01:21:42.031132	2013-08-04 01:21:42.031132	\N	e14efd0d-2b24-4c8f-8a60-022c68c483a9
166091	14	22144	2013-08-04 17:42:15.655151	2013-08-04 17:42:15.655151	\N	10e19a02-8c63-4114-86ed-13f1efd01021
149743	13	19963	2013-08-04 02:20:55.419202	2013-08-04 02:20:55.419202	\N	cfb3232b-9a50-4dc9-a367-634605b2f72b
128237	14	15931	2013-08-03 23:40:43.623468	2013-08-03 23:40:43.623468	\N	d4c5c580-2b31-49ca-93eb-a6c6faade193
149744	13	19951	2013-08-04 02:20:55.715268	2013-08-04 02:20:55.715268	\N	71b626db-f817-4208-afaf-d4c7627387d7
149745	7	19951	2013-08-04 02:20:56.001886	2013-08-04 02:20:56.001886	\N	c376486b-a638-4bfc-8fd8-552ef0793732
141119	10	18869	2013-08-04 01:37:54.205954	2013-08-04 01:37:54.205954	\N	e8dfdfd5-74dc-4649-a8d3-babad9de3848
119513	13	14206	2013-08-03 22:31:33.898845	2013-08-03 22:31:33.898845	\N	8bb711fc-35f9-4552-956b-52724fc56f7c
149747	7	20003	2013-08-04 02:20:56.885497	2013-08-04 02:20:56.885497	\N	c5d1553f-8879-4f99-981c-245fa0db1072
143945	6	19354	2013-08-04 01:56:28.463029	2013-08-04 01:56:28.463029	\N	988e17aa-40fa-465c-81f0-0e5d57dd09e4
187124	15	24160	2013-08-04 19:02:59.458179	2013-08-04 19:02:59.458179	\N	3701c6d2-b4a7-4ee2-8094-16bbe8d8dfe1
125964	6	15577	2013-08-03 23:25:35.660874	2013-08-03 23:25:35.660874	\N	bbd21700-56d7-4671-87ef-319f933133e7
125966	17	15541	2013-08-03 23:25:36.364438	2013-08-03 23:25:36.364438	\N	a4653410-c787-4509-a2fb-8db8c1300fe5
159306	4	21137	2013-08-04 17:01:33.981128	2013-08-04 17:01:33.981128	\N	5c180c9a-70d4-47bb-a633-dabf49eda665
159307	14	21136	2013-08-04 17:01:34.177459	2013-08-04 17:01:34.177459	\N	c25f5c5a-94cf-4eeb-9d13-90ade6657bb5
187125	2	24229	2013-08-04 19:03:00.578895	2013-08-04 19:03:00.578895	\N	664da036-1775-49f5-a03e-421ce8aaf12c
149797	11	19963	2013-08-04 02:21:13.924808	2013-08-04 02:21:13.924808	\N	be8a4f3c-335d-4a84-8d48-7a9e25cda868
126003	17	15592	2013-08-03 23:25:50.228216	2013-08-03 23:25:50.228216	\N	2a8a8ff0-94d0-48c3-9d78-43f7813f533d
130610	8	16585	2013-08-04 00:05:42.824084	2013-08-04 00:05:42.824084	\N	accd76ca-5e76-40c2-aaa2-22ba161a4514
121510	8	14821	2013-08-03 22:54:28.029741	2013-08-03 22:54:28.029741	\N	b6f82114-4b84-4678-ad2c-f47d55a08953
130613	2	16549	2013-08-04 00:05:45.971935	2013-08-04 00:05:45.971935	\N	2fcfecba-c0ea-4c65-918e-02a510891eff
130614	2	16585	2013-08-04 00:05:46.05173	2013-08-04 00:05:46.05173	\N	e53d0bc1-ca85-40dd-b344-286378afd8ca
130615	2	16600	2013-08-04 00:05:46.163957	2013-08-04 00:05:46.163957	\N	8e0488a2-1207-4075-bbb5-066a12aab2b7
130626	8	16601	2013-08-04 00:05:54.03687	2013-08-04 00:05:54.03687	\N	3395f159-02a0-4f4e-94ff-34525765a432
198556	11	25332	2013-08-04 19:57:44.048062	2013-08-04 19:57:44.048062	\N	e9af8fff-f3f3-49d6-b58c-06c4ff3054a4
121541	7	14839	2013-08-03 22:54:42.256108	2013-08-03 22:54:42.256108	\N	5a297528-a67b-42f6-a9ad-2c5f7d10c4a2
121543	7	14836	2013-08-03 22:54:42.373886	2013-08-03 22:54:42.373886	\N	2db89814-e058-460c-b0c0-a557bf368c95
121544	7	14797	2013-08-03 22:54:42.444913	2013-08-03 22:54:42.444913	\N	4da52ea3-a0f0-4fc2-92e1-86089e40fb86
121545	7	14821	2013-08-03 22:54:42.501311	2013-08-03 22:54:42.501311	\N	1fff52b7-64f9-49d1-ae65-aad0b18f9dbb
130628	3	16600	2013-08-04 00:05:55.727058	2013-08-04 00:05:55.727058	\N	f711b349-a1d2-4017-97f2-d62000230f43
123739	19	15064	2013-08-03 23:08:35.125623	2013-08-03 23:08:35.125623	\N	f71aae58-2274-418e-822d-937b833c1773
152777	17	20482	2013-08-04 02:41:45.503079	2013-08-04 02:41:45.503079	\N	eb2c6f02-044f-45e5-9f73-593b7c628a05
130630	3	16585	2013-08-04 00:05:55.854531	2013-08-04 00:05:55.854531	\N	9550b9f8-ce1b-4293-ae77-a9c0bef77405
130631	15	16600	2013-08-04 00:05:55.914299	2013-08-04 00:05:55.914299	\N	533c0d24-92ad-465b-b3e7-ef8f50823564
128323	1	15845	2013-08-03 23:41:09.441911	2013-08-03 23:41:09.441911	\N	3c1a2ca7-771b-4059-84d1-d11ff5c9eabd
133276	14	17191	2013-08-04 00:33:04.314531	2013-08-04 00:33:04.314531	\N	bc2a358b-49c7-42ca-a7d1-1d283ff72d45
138518	20	18451	2013-08-04 01:21:59.301776	2013-08-04 01:21:59.301776	\N	241aa418-2c97-4ea3-93df-0b191e84c530
126080	19	15568	2013-08-03 23:26:20.138314	2013-08-03 23:26:20.138314	\N	4db8f7f0-cf2c-4854-a167-e0a4a93fab9f
121583	17	14821	2013-08-03 22:54:58.91918	2013-08-03 22:54:58.91918	\N	bf91e619-806b-4d05-b0fd-e4edf5436f98
130634	4	16585	2013-08-04 00:05:57.356788	2013-08-04 00:05:57.356788	\N	e8ab1413-bac5-4192-b15e-ffc5f85cc008
130635	4	16600	2013-08-04 00:05:57.423636	2013-08-04 00:05:57.423636	\N	a658d897-c4c1-4be0-b8f2-17d7b4fe3870
159311	4	21172	2013-08-04 17:01:41.154574	2013-08-04 17:01:41.154574	\N	7f31f605-537e-438b-b57b-b3c558ba046d
133312	13	17179	2013-08-04 00:33:23.720853	2013-08-04 00:33:23.720853	\N	2697c9b3-5413-4416-9e77-611497946f2c
159312	4	21174	2013-08-04 17:01:41.209949	2013-08-04 17:01:41.209949	\N	54436413-f39d-43a7-8e39-a8de9479d825
159313	4	21198	2013-08-04 17:01:41.234694	2013-08-04 17:01:41.234694	\N	a71ca053-13a3-41e9-b52e-75e6766c1372
130674	6	16585	2013-08-04 00:06:25.284389	2013-08-04 00:06:25.284389	\N	a3f3c953-f72f-4c29-8987-fb0aa8c5cf31
159314	4	21178	2013-08-04 17:01:41.259353	2013-08-04 17:01:41.259353	\N	da18145b-9c10-452d-afad-a6c436d1d25e
130695	16	16561	2013-08-04 00:06:43.43053	2013-08-04 00:06:43.43053	\N	b6a7a126-6b1f-419a-890c-fb101ad089f0
152626	4	20559	2013-08-04 02:40:59.33706	2013-08-04 02:40:59.33706	\N	a2ecfc68-60b7-4ba8-a908-78eec6ee3437
152627	4	20571	2013-08-04 02:40:59.387176	2013-08-04 02:40:59.387176	\N	f6043ee7-4476-4a07-8169-b02c8b4c2a55
141057	6	18869	2013-08-04 01:37:32.274938	2013-08-04 01:37:32.274938	\N	6d926b76-66f7-46e7-ab87-45795902b10f
128097	9	15931	2013-08-03 23:39:48.620723	2013-08-03 23:39:48.620723	\N	3435156d-a6db-4762-b4ba-f53dbde0983d
138479	11	18491	2013-08-04 01:21:48.414005	2013-08-04 01:21:48.414005	\N	085fbfee-5c24-48c6-b140-dfd33b749fe5
159208	10	21097	2013-08-04 17:00:21.40104	2013-08-04 17:00:21.40104	\N	5f5ce7d4-850d-4ebd-a836-6861e4d83510
138532	19	18491	2013-08-04 01:22:04.030669	2013-08-04 01:22:04.030669	\N	0295e298-bd76-4f48-9ead-ea12ec3a317e
128130	17	15970	2013-08-03 23:40:01.93325	2013-08-03 23:40:01.93325	\N	25f7c6ee-fae7-4e17-84ef-bfeaa3e11ce3
125819	6	15541	2013-08-03 23:24:43.073042	2013-08-03 23:24:43.073042	\N	4c4be1c0-87ed-4b57-9259-4cdea2c57bfd
125822	11	15553	2013-08-03 23:24:43.687072	2013-08-03 23:24:43.687072	\N	9966ff51-ddc9-48f2-b712-6f4961b4799d
159209	10	21136	2013-08-04 17:00:21.514205	2013-08-04 17:00:21.514205	\N	d00906a6-ee70-4e4f-92b6-7ca788b01923
125825	11	15541	2013-08-03 23:24:44.177002	2013-08-03 23:24:44.177002	\N	e8ca8258-2c6f-4ab1-b59f-c77eccfa8042
159210	10	21137	2013-08-04 17:00:21.629678	2013-08-04 17:00:21.629678	\N	d1cd8d34-3a57-4d92-8465-ce2dd800f1df
125832	9	15553	2013-08-03 23:24:45.448083	2013-08-03 23:24:45.448083	\N	17cdf110-a91d-4dda-8ad7-90ec955ba5be
125840	11	15568	2013-08-03 23:24:46.153036	2013-08-03 23:24:46.153036	\N	06104bc6-8300-46b5-8449-cd7ea8edf9e6
125841	11	15577	2013-08-03 23:24:46.90755	2013-08-03 23:24:46.90755	\N	1bafac2c-ede7-41bc-b8fd-a05e43cbacc5
123670	16	15088	2013-08-03 23:07:53.973261	2013-08-03 23:07:53.973261	\N	92be0527-1e20-451e-b166-1d6f6e6f0bbb
125843	11	15592	2013-08-03 23:24:47.750057	2013-08-03 23:24:47.750057	\N	b77bea1e-bf89-4b9d-b9d5-ae344c308498
115424	19	13702	2013-08-03 22:12:52.567546	2013-08-03 22:12:52.567546	\N	cef35219-aea4-4de6-b7e3-76be9b6fb4c6
125849	17	15577	2013-08-03 23:24:49.449203	2013-08-03 23:24:49.449203	\N	f37c271a-9397-49a5-9e28-6ad60eb670a3
133170	12	17179	2013-08-04 00:32:13.825925	2013-08-04 00:32:13.825925	\N	ad3af661-d101-4f95-80df-71ff8e620f37
128148	11	15919	2013-08-03 23:40:08.551802	2013-08-03 23:40:08.551802	\N	adf5955d-632f-4866-8ef4-df3ada2f5acf
128151	13	15919	2013-08-03 23:40:08.868063	2013-08-03 23:40:08.868063	\N	a821163f-cc77-45c9-b037-28a58b1a0646
128157	11	15955	2013-08-03 23:40:11.503901	2013-08-03 23:40:11.503901	\N	1551dc33-92da-4784-b51a-d0042d9d290a
125867	15	15541	2013-08-03 23:25:00.093573	2013-08-03 23:25:00.093573	\N	1efff33f-2a5c-4e65-b8da-370fcf7a6e7e
152641	8	20455	2013-08-04 02:41:03.023686	2013-08-04 02:41:03.023686	\N	6e329a05-445f-4de9-bcc6-1ee9998bdb7e
125884	15	15568	2013-08-03 23:25:08.54463	2013-08-03 23:25:08.54463	\N	0ce61318-8940-45ec-bd91-2f228ec72cfb
115456	20	13703	2013-08-03 22:12:59.630722	2013-08-03 22:12:59.630722	\N	0cc1b13e-4e23-4354-945f-2fb95859aa7c
187112	4	24181	2013-08-04 19:02:54.937451	2013-08-04 19:02:54.937451	\N	e4150aa5-4cc5-4254-92ba-2e52baab4d69
130464	2	16431	2013-08-04 00:03:39.853193	2013-08-04 00:03:39.853193	\N	cc69c899-19ae-4c2b-a7ea-a408f5bb2901
166084	7	22144	2013-08-04 17:42:12.83244	2013-08-04 17:42:12.83244	\N	666578fc-935d-4c4e-9672-b09d1681e303
128179	1	15679	2013-08-03 23:40:18.477389	2013-08-03 23:40:18.477389	\N	63934e77-b3ef-48a8-8e87-45956efedf08
119509	12	14197	2013-08-03 22:31:32.830833	2013-08-03 22:31:32.830833	\N	f1e8fb67-231f-4a27-bdb1-e8e51e4a6b6c
128181	1	15718	2013-08-03 23:40:18.68539	2013-08-03 23:40:18.68539	\N	e0594b59-8d37-4b8b-8e39-9a0f6661a7db
138540	12	18491	2013-08-04 01:22:06.691318	2013-08-04 01:22:06.691318	\N	39729e1d-28e1-4798-9cb2-6eb08a095d6b
152670	16	20455	2013-08-04 02:41:12.034387	2013-08-04 02:41:12.034387	\N	e3c80f85-bd3a-4bce-8df7-03bc9e4580fc
125923	13	15553	2013-08-03 23:25:25.491896	2013-08-03 23:25:25.491896	\N	3f79aa19-f18c-409b-8473-95cb2e2e0252
125924	13	15541	2013-08-03 23:25:25.818052	2013-08-03 23:25:25.818052	\N	9a1499dc-373d-410a-8b7d-38c683738d28
138543	1	18491	2013-08-04 01:22:07.243369	2013-08-04 01:22:07.243369	\N	e7f4f3ec-766f-4fc7-accb-28b2cd043037
133188	2	17231	2013-08-04 00:32:22.924222	2013-08-04 00:32:22.924222	\N	c817c81d-34be-4471-a63a-8cc3d3312cdb
133198	17	17179	2013-08-04 00:32:29.135538	2013-08-04 00:32:29.135538	\N	173a0f67-88f2-4e9c-8b3d-d0289d6c3e90
187113	4	24182	2013-08-04 19:02:55.003578	2013-08-04 19:02:55.003578	\N	5def15b9-b53a-4b77-83f4-9f58b5d86cdf
166086	14	22135	2013-08-04 17:42:14.744557	2013-08-04 17:42:14.744557	\N	62d70553-86bd-4e48-b39f-276f572e0019
128214	19	15946	2013-08-03 23:40:33.44686	2013-08-03 23:40:33.44686	\N	437c94e2-dfd9-4566-88aa-a6280a7e5b68
179981	2	23553	2013-08-04 18:38:05.921466	2013-08-04 18:38:05.921466	\N	2fbe4683-4595-428f-a6c4-1e8c4322f3fc
152675	16	20506	2013-08-04 02:41:12.344075	2013-08-04 02:41:12.344075	\N	eb1399fe-ed93-4941-bd02-68399a6decd1
141164	3	18817	2013-08-04 01:38:10.337206	2013-08-04 01:38:10.337206	\N	0d92dd10-a344-4409-b774-b05901dacc6b
128241	14	15955	2013-08-03 23:40:43.855135	2013-08-03 23:40:43.855135	\N	c05f947e-e77c-4938-a8e5-686740df82c9
121507	8	14797	2013-08-03 22:54:25.675138	2013-08-03 22:54:25.675138	\N	9a8d8cb2-5a0d-407a-a070-ef279334d2ec
125978	5	15568	2013-08-03 23:25:40.436421	2013-08-03 23:25:40.436421	\N	79351bb9-8696-4e8e-89e2-6c2fe1c8b423
125989	14	15568	2013-08-03 23:25:43.843424	2013-08-03 23:25:43.843424	\N	587d3126-e3d2-4595-aa0a-3595b30e7352
121523	13	14836	2013-08-03 22:54:34.557331	2013-08-03 22:54:34.557331	\N	19a11a23-ead5-48dc-a2ad-77932da812b7
121524	13	14839	2013-08-03 22:54:34.835689	2013-08-03 22:54:34.835689	\N	cc58871f-2139-42c8-8465-3da23c267b3a
128244	4	15931	2013-08-03 23:40:44.126246	2013-08-03 23:40:44.126246	\N	57afcac3-83b2-4d77-b500-8d42e5a52eb5
121533	8	14836	2013-08-03 22:54:39.102318	2013-08-03 22:54:39.102318	\N	5c1c7ce3-e35a-432b-b278-b94b56cc24d4
128246	4	15919	2013-08-03 23:40:44.202851	2013-08-03 23:40:44.202851	\N	7708a8f9-60b3-48b5-8b60-f22d9a083f27
128247	4	15946	2013-08-03 23:40:44.270356	2013-08-03 23:40:44.270356	\N	96158e24-4caf-410d-b5ba-5f70357d8cfe
121555	2	14821	2013-08-03 22:54:48.88726	2013-08-03 22:54:48.88726	\N	971a93a0-d275-4a9c-be21-27798d0638f9
128248	4	15970	2013-08-03 23:40:44.338326	2013-08-03 23:40:44.338326	\N	343f5aac-71d6-4eaa-8da9-9fff2afaf008
121570	11	14821	2013-08-03 22:54:56.652433	2013-08-03 22:54:56.652433	\N	1a007e4c-3ee2-4cd4-9d3f-5b498248a2ef
119663	10	14167	2013-08-03 22:32:29.939259	2013-08-03 22:32:29.939259	\N	ae817fe1-5cd7-4173-bee8-f4c2597430d7
119664	10	14197	2013-08-03 22:32:30.105992	2013-08-03 22:32:30.105992	\N	3255f0aa-728b-420b-bd8f-aabc5043da60
128249	19	15970	2013-08-03 23:40:44.739202	2013-08-03 23:40:44.739202	\N	fd64eab4-a6e2-41ff-8d32-9d7f1d926461
121576	11	14839	2013-08-03 22:54:58.027067	2013-08-03 22:54:58.027067	\N	006b7715-8ac2-4ae9-8d0d-c1dfcf43c46c
126048	19	15593	2013-08-03 23:26:07.640359	2013-08-03 23:26:07.640359	\N	aad89dce-e0e8-47c6-bc13-accafe84d1c6
121579	4	14837	2013-08-03 22:54:58.298848	2013-08-03 22:54:58.298848	\N	ab68e80b-1a8a-46e0-9caf-71512aa94ef2
141165	3	18829	2013-08-04 01:38:10.361467	2013-08-04 01:38:10.361467	\N	3f57ae60-04ff-4a32-8858-de3662c475ab
141166	3	18868	2013-08-04 01:38:10.385567	2013-08-04 01:38:10.385567	\N	73d44985-d811-4a40-ae28-e7d3a75f4b2f
128271	19	15955	2013-08-03 23:40:54.704453	2013-08-03 23:40:54.704453	\N	78469a96-3ab3-4e1e-9de5-9666d3658062
126073	16	15553	2013-08-03 23:26:18.792242	2013-08-03 23:26:18.792242	\N	6430d634-cf32-40c1-bf76-545a88b475b0
126076	16	15577	2013-08-03 23:26:19.263628	2013-08-03 23:26:19.263628	\N	857fe69f-7e63-48b0-98cb-613bda09e8ff
152676	17	20467	2013-08-04 02:41:13.002765	2013-08-04 02:41:13.002765	\N	ccfed8d6-930c-4a80-aaaf-3b6252593729
152677	17	20455	2013-08-04 02:41:13.200946	2013-08-04 02:41:13.200946	\N	619d9ea3-2d3f-4a72-ba40-25525800567f
121602	6	14839	2013-08-03 22:55:10.675089	2013-08-03 22:55:10.675089	\N	12620fd9-4e1d-4758-bfda-5141075da2f5
121603	8	14827	2013-08-03 22:55:10.978239	2013-08-03 22:55:10.978239	\N	109dd1b1-381c-4258-aef8-c03ca5604518
138584	17	18451	2013-08-04 01:22:22.381188	2013-08-04 01:22:22.381188	\N	f208aef0-17ab-4423-8f72-70b6d7c550ce
121613	5	14839	2013-08-03 22:55:15.649483	2013-08-03 22:55:15.649483	\N	42837f45-34b9-4a5c-a0ee-34229bdb40fa
121615	6	14827	2013-08-03 22:55:16.140191	2013-08-03 22:55:16.140191	\N	c0ba8980-43f9-49a1-be67-e9993358a721
152680	9	20507	2013-08-04 02:41:17.124063	2013-08-04 02:41:17.124063	\N	29226882-0fc5-4db2-86ea-c6297185470d
159252	4	20922	2013-08-04 17:00:47.290844	2013-08-04 17:00:47.290844	\N	2e92ff9e-a0ea-4d84-bf87-cb39c413a2a9
159253	4	20946	2013-08-04 17:00:47.394947	2013-08-04 17:00:47.394947	\N	fed3611d-a48f-46b8-b267-922ab58c6289
159254	4	20926	2013-08-04 17:00:47.445082	2013-08-04 17:00:47.445082	\N	02bb567b-64ae-42aa-afde-f5bde4d73284
126122	13	15568	2013-08-03 23:26:31.060655	2013-08-03 23:26:31.060655	\N	92428ba0-1b0f-40a7-8d80-5e45169eca0a
130569	14	16474	2013-08-04 00:04:45.503361	2013-08-04 00:04:45.503361	\N	b342fdfa-f35b-48f2-b58c-dd9d8166c900
121643	17	14827	2013-08-03 22:55:25.712382	2013-08-03 22:55:25.712382	\N	53a6df49-02d8-4414-b5a0-1d0a306f1c88
123853	8	15163	2013-08-03 23:11:30.908902	2013-08-03 23:11:30.908902	\N	a9bcdd51-1c77-426c-8a51-cc9529b2c9d1
123858	15	15214	2013-08-03 23:11:31.379233	2013-08-03 23:11:31.379233	\N	c5b523ec-a67a-4519-a0e6-64da78b29b4e
159255	4	20918	2013-08-04 17:00:47.490269	2013-08-04 17:00:47.490269	\N	ace4b291-f624-4aab-9f48-ab6e7bb68aed
159256	4	20932	2013-08-04 17:00:47.516194	2013-08-04 17:00:47.516194	\N	7d1b5c7b-f1f6-447b-9f92-f6a6fe60d8f1
121683	4	14797	2013-08-03 22:55:39.805921	2013-08-03 22:55:39.805921	\N	98fe9ca8-5d31-406e-8783-9b70d92b7029
121684	4	14836	2013-08-03 22:55:39.933314	2013-08-03 22:55:39.933314	\N	b4e57833-7017-485e-953e-6ef57760882c
159257	4	20934	2013-08-04 17:00:47.578015	2013-08-04 17:00:47.578015	\N	2b64d405-7434-4020-be50-d160fb89ceb9
123898	11	15175	2013-08-03 23:11:46.610463	2013-08-03 23:11:46.610463	\N	6c7aafcd-7015-491d-9f0e-a8dc2bb7c1d5
121696	17	14836	2013-08-03 22:55:42.408479	2013-08-03 22:55:42.408479	\N	eaf3cf4f-d456-445a-ab59-724118b9e156
159258	4	20936	2013-08-04 17:00:47.624883	2013-08-04 17:00:47.624883	\N	40e61300-8e26-4289-b27e-575e562d20e9
123902	11	15163	2013-08-03 23:11:47.173947	2013-08-03 23:11:47.173947	\N	328d5fc7-0d8d-4cb4-936e-26ff503d89d2
128329	1	15946	2013-08-03 23:41:12.502391	2013-08-03 23:41:12.502391	\N	45c9973f-4398-403b-a89a-fef2e7121499
159259	4	20940	2013-08-04 17:00:47.674718	2013-08-04 17:00:47.674718	\N	a93602ca-e9ce-4718-ae51-e8783d85f7ff
130604	17	16600	2013-08-04 00:05:41.319651	2013-08-04 00:05:41.319651	\N	0d5dbab7-483f-4e4a-8369-a3f3c9264928
130605	8	16549	2013-08-04 00:05:41.545036	2013-08-04 00:05:41.545036	\N	505b66fc-c020-4beb-9e90-e8b6eb86e733
126151	19	15577	2013-08-03 23:26:38.250831	2013-08-03 23:26:38.250831	\N	dd283c0e-e0b9-44da-946c-1e247c4a1590
123919	14	15163	2013-08-03 23:11:52.96082	2013-08-03 23:11:52.96082	\N	267bd263-aeb2-4d44-9acb-c26dcad4f922
123920	14	15175	2013-08-03 23:11:52.987898	2013-08-03 23:11:52.987898	\N	669ab0f1-ac5d-40e7-ad30-9b3ffca0adee
130609	8	16600	2013-08-04 00:05:42.821305	2013-08-04 00:05:42.821305	\N	c5768dc6-5789-4cd0-ace2-4f2db6537355
159261	4	20958	2013-08-04 17:00:47.733575	2013-08-04 17:00:47.733575	\N	480cf825-6e45-4195-a73f-5e84ffc20d1c
159262	4	20952	2013-08-04 17:00:47.788735	2013-08-04 17:00:47.788735	\N	5ea97789-77d6-44f1-8879-8c2b9682879d
130637	7	16600	2013-08-04 00:06:00.935973	2013-08-04 00:06:00.935973	\N	8cbf05d8-be9f-414f-af29-7e10be4841db
187115	4	24189	2013-08-04 19:02:55.055742	2013-08-04 19:02:55.055742	\N	18748717-ef53-400a-81e2-17d6cf2e7696
166111	17	22144	2013-08-04 17:42:18.786022	2013-08-04 17:42:18.786022	\N	7bb568b3-713d-4560-8fc6-2c9b9ea087d3
133140	17	17231	2013-08-04 00:31:59.075616	2013-08-04 00:31:59.075616	\N	98960bd3-24dc-4415-a772-10888e4c79bf
130468	14	16431	2013-08-04 00:03:44.53226	2013-08-04 00:03:44.53226	\N	f5283f21-cba9-4242-8890-66023e1b42a7
128245	14	15970	2013-08-03 23:40:44.131101	2013-08-03 23:40:44.131101	\N	28bf7b82-1ae1-44fe-b857-e7c76756dc47
187116	4	24190	2013-08-04 19:02:55.110701	2013-08-04 19:02:55.110701	\N	c1aa4c9e-4f57-41fc-9f7b-53db10249e7b
179979	11	23491	2013-08-04 18:38:05.587151	2013-08-04 18:38:05.587151	\N	fd525b24-f917-45a0-a34e-d58facaa4b1e
128270	18	15927	2013-08-03 23:40:54.471937	2013-08-03 23:40:54.471937	\N	faf61ed7-8bd7-4a1e-bd8c-bb16628b6f7e
207018	8	26490	2013-08-04 20:42:37.533243	2013-08-04 20:42:37.533243	\N	0265f5ae-9c85-4882-ada4-3ba0d636f565
159217	14	21097	2013-08-04 17:00:24.232563	2013-08-04 17:00:24.232563	\N	b625f8ed-6950-4631-b97e-7967ede87e5b
198561	7	25350	2013-08-04 19:57:44.298391	2013-08-04 19:57:44.298391	\N	18da1364-354e-4abf-bb30-22e20cae5ff2
121508	15	14797	2013-08-03 22:54:27.656003	2013-08-03 22:54:27.656003	\N	ba117d2c-306b-4117-8545-032fe106a005
121512	13	14797	2013-08-03 22:54:28.379891	2013-08-03 22:54:28.379891	\N	1cb2f7a8-282e-4082-b2d1-bae80d212c73
159219	14	20885	2013-08-04 17:00:24.368666	2013-08-04 17:00:24.368666	\N	8c205ab7-72bd-418b-94ae-7006a9a1727a
159220	14	20913	2013-08-04 17:00:24.405537	2013-08-04 17:00:24.405537	\N	bb1cabd9-ed54-4c44-bf55-0e10f7564c59
121521	15	14836	2013-08-03 22:54:32.348305	2013-08-03 22:54:32.348305	\N	6bbec1fd-de42-4904-86f6-6b519f8a0392
121535	17	14797	2013-08-03 22:54:40.415261	2013-08-03 22:54:40.415261	\N	c717c12d-eae3-429e-a15b-bb9717783344
121536	9	14837	2013-08-03 22:54:40.547134	2013-08-03 22:54:40.547134	\N	1c72334a-1d2b-499f-9166-0067397dc586
159221	14	20900	2013-08-04 17:00:24.451915	2013-08-04 17:00:24.451915	\N	6b24b5bc-430a-4d5a-af33-be6c2a302bf8
119566	3	14191	2013-08-03 22:31:51.154492	2013-08-03 22:31:51.154492	\N	8ed31f39-989b-41b3-a733-22a5f4209892
117635	2	13939	2013-08-03 22:22:45.807906	2013-08-03 22:22:45.807906	\N	e3c33b7b-83c8-428d-962b-5c73bd5df954
119567	3	14167	2013-08-03 22:31:51.204413	2013-08-03 22:31:51.204413	\N	abcc1334-2823-418a-bbf8-0141df2d0ca3
119568	3	14209	2013-08-03 22:31:51.253127	2013-08-03 22:31:51.253127	\N	11e54d79-7c7c-468b-83a5-7b520b305a2f
121542	5	14836	2013-08-03 22:54:42.282499	2013-08-03 22:54:42.282499	\N	d43f8144-bfb5-42a2-a728-154a732225c2
125984	17	15568	2013-08-03 23:25:42.595978	2013-08-03 23:25:42.595978	\N	34be0d8a-e356-46e3-8476-baca03f513cb
198582	4	25315	2013-08-04 19:57:47.697414	2013-08-04 19:57:47.697414	\N	57acf416-4a70-40a9-a77d-fb78880de44d
144018	17	19321	2013-08-04 01:56:33.276777	2013-08-04 01:56:33.276777	\N	1f696ee1-3aac-4169-8a94-b135ed7afeee
198583	4	25316	2013-08-04 19:57:47.736082	2013-08-04 19:57:47.736082	\N	a1e3ce66-c84b-4cda-866f-adbd073a6e52
121569	9	14836	2013-08-03 22:54:54.800893	2013-08-03 22:54:54.800893	\N	cdfffc8c-d51e-47d9-9e4c-eff02680fe09
141092	20	18868	2013-08-04 01:37:43.837996	2013-08-04 01:37:43.837996	\N	d1dd3d05-9b96-4a15-b75d-9ef8d37a7224
121573	11	14836	2013-08-03 22:54:57.504318	2013-08-03 22:54:57.504318	\N	52c09110-17ca-4975-8c44-9fdf7d184e59
128330	1	15970	2013-08-03 23:41:12.610063	2013-08-03 23:41:12.610063	\N	2a1e76f9-6cc4-4225-92b7-46da6728a56b
117700	11	13939	2013-08-03 22:22:57.790308	2013-08-03 22:22:57.790308	\N	c1b94dc8-1309-4775-92b0-b292415609f8
117709	19	13903	2013-08-03 22:22:59.312575	2013-08-03 22:22:59.312575	\N	1cb40d3a-97fb-44d3-9632-9fef2b2a69d1
117711	17	13939	2013-08-03 22:22:59.955325	2013-08-03 22:22:59.955325	\N	e1d8d34c-4d16-4697-9973-19803fe1363d
166135	1	22185	2013-08-04 17:42:27.239415	2013-08-04 17:42:27.239415	\N	555b935e-15ce-4612-b1c5-9dedd62292ae
135699	13	17860	2013-08-04 00:57:31.065427	2013-08-04 00:57:31.065427	\N	809a67ba-3458-42f0-8afa-3cb82c53e995
159225	19	21136	2013-08-04 17:00:28.250908	2013-08-04 17:00:28.250908	\N	b51e91ff-7954-4ac7-8f05-b7dd76ce17f2
166136	11	22105	2013-08-04 17:42:27.57568	2013-08-04 17:42:27.57568	\N	5da2e0ff-97a3-44e7-88ae-5ca032eb960e
121611	7	14827	2013-08-03 22:55:14.171694	2013-08-03 22:55:14.171694	\N	83bec1ec-feec-4abb-8db8-daaa35067192
133229	3	17191	2013-08-04 00:32:45.40673	2013-08-04 00:32:45.40673	\N	640372bd-a05f-4b8c-8307-14311926ebeb
133230	3	17230	2013-08-04 00:32:45.452038	2013-08-04 00:32:45.452038	\N	5770dcb6-65ea-467f-b058-55561fa35964
133231	3	17179	2013-08-04 00:32:45.492071	2013-08-04 00:32:45.492071	\N	740a52ed-0b5f-466b-b0b5-f5ae29d99515
198584	4	25323	2013-08-04 19:57:47.770333	2013-08-04 19:57:47.770333	\N	98c714d9-0f09-491a-86bc-e88ea0d5cea6
135712	14	17817	2013-08-04 00:57:37.955908	2013-08-04 00:57:37.955908	\N	8a3519a6-fad4-4455-b694-52e8197f9b3a
123890	8	15190	2013-08-03 23:11:43.95168	2013-08-03 23:11:43.95168	\N	d3409369-6c65-439b-a7db-809ee10c7e53
123895	7	15199	2013-08-03 23:11:46.18556	2013-08-03 23:11:46.18556	\N	78580664-30cd-40e9-8cb3-e083ef1548d9
138531	13	18490	2013-08-04 01:22:03.185095	2013-08-04 01:22:03.185095	\N	67d1cc32-bd3c-4c5c-9dd2-41faa6528787
183553	7	23851	2013-08-04 18:50:31.783591	2013-08-04 18:50:31.783591	\N	efb53468-d032-4dad-a194-47b51a94f5ec
179993	1	23604	2013-08-04 18:38:08.551415	2013-08-04 18:38:08.551415	\N	caf63646-d60e-4d30-a747-0ad16434013c
123905	4	15215	2013-08-03 23:11:48.264772	2013-08-03 23:11:48.264772	\N	a74abaef-fb14-4d5e-97cb-65137c41470a
121690	11	14827	2013-08-03 22:55:41.458443	2013-08-03 22:55:41.458443	\N	d3f94307-a1f0-4268-bbd4-856f920d65c8
123910	13	15175	2013-08-03 23:11:49.607033	2013-08-03 23:11:49.607033	\N	329e5995-ac6a-46ee-a4ae-04ad960a48ec
126074	16	15541	2013-08-03 23:26:18.945435	2013-08-03 23:26:18.945435	\N	0a43b1f7-6d22-43b1-934d-9ff3250fc36f
126075	16	15568	2013-08-03 23:26:19.111974	2013-08-03 23:26:19.111974	\N	016fc8d7-f892-469e-9608-2d758473fcde
180015	14	23559	2013-08-04 18:38:10.957338	2013-08-04 18:38:10.957338	\N	bd0556ac-cd93-4713-bde3-ee0b5dfe18d3
121720	20	14827	2013-08-03 22:55:49.68765	2013-08-03 22:55:49.68765	\N	458bbafb-5958-4a3e-b9ab-3c82ca88af79
130612	7	16561	2013-08-04 00:05:43.166781	2013-08-04 00:05:43.166781	\N	e50e8029-6971-4e38-8249-54d37e80a003
123948	8	15214	2013-08-03 23:12:07.220236	2013-08-03 23:12:07.220236	\N	786ffd3f-55b9-4686-9875-b734919f22b4
123950	17	15163	2013-08-03 23:12:09.425944	2013-08-03 23:12:09.425944	\N	fffb32ca-e8bf-482f-bd35-7a216cba50fa
123951	8	15215	2013-08-03 23:12:09.743813	2013-08-03 23:12:09.743813	\N	dc2d996b-ec13-42a6-ad9d-caf3d4181e72
130616	7	16585	2013-08-04 00:05:47.987262	2013-08-04 00:05:47.987262	\N	cf781c0f-b217-4caf-bc5e-c7af6b01f33e
130617	17	16601	2013-08-04 00:05:48.953657	2013-08-04 00:05:48.953657	\N	0fd72d5d-763d-43a9-be55-11e880c670dd
159242	8	21198	2013-08-04 17:00:40.904207	2013-08-04 17:00:40.904207	\N	782e9f86-be71-487f-9be7-79448f97cfaa
166181	10	22105	2013-08-04 17:42:35.437437	2013-08-04 17:42:35.437437	\N	7fbcf126-5bfc-43b2-a9e6-206ad37d5028
130636	15	16601	2013-08-04 00:05:58.544513	2013-08-04 00:05:58.544513	\N	5c9da639-3df1-4a05-a917-abc8b877124e
138587	17	18439	2013-08-04 01:22:24.490633	2013-08-04 01:22:24.490633	\N	1ddf48e1-cce8-460c-9414-a38949763e65
138590	19	18439	2013-08-04 01:22:24.886368	2013-08-04 01:22:24.886368	\N	68114369-dfc3-413d-8aee-5bb2955a865f
121769	2	14793	2013-08-03 22:56:10.00734	2013-08-03 22:56:10.00734	\N	7105e987-e31b-48c1-8f27-0833241420aa
123991	17	15175	2013-08-03 23:12:23.347861	2013-08-03 23:12:23.347861	\N	99380227-de48-4eae-9273-76c475353fd9
198595	7	25368	2013-08-04 19:57:50.297143	2013-08-04 19:57:50.297143	\N	3d116988-f777-46f7-9bfc-6b94754bf132
124002	17	15214	2013-08-03 23:12:28.127732	2013-08-03 23:12:28.127732	\N	0b0ea50b-c0f0-42cc-8629-6b27864b0270
194630	1	24737	2013-08-04 19:34:32.215643	2013-08-04 19:34:32.215643	\N	56e82aeb-8e48-4314-ba2f-574fb8976ddc
133296	14	17230	2013-08-04 00:33:15.484158	2013-08-04 00:33:15.484158	\N	619f536f-b0e2-4c0d-aac5-271ce81506ed
121790	9	14827	2013-08-03 22:56:19.03035	2013-08-03 22:56:19.03035	\N	2988c8ff-9a2d-4832-beba-efd76502bc46
124005	4	15175	2013-08-03 23:12:29.955553	2013-08-03 23:12:29.955553	\N	d8eee4d0-4b10-44c6-b4df-130eafdeb05b
124006	4	15163	2013-08-03 23:12:29.979042	2013-08-03 23:12:29.979042	\N	a4c6871d-c7f3-4ec8-9675-09b9987bae3a
124007	4	15214	2013-08-03 23:12:30.010078	2013-08-03 23:12:30.010078	\N	a2bfdfa3-3b96-41ac-a7b2-ef36a770be78
152727	12	20455	2013-08-04 02:41:33.203729	2013-08-04 02:41:33.203729	\N	3fb2dbf7-59e8-45d1-965a-c9453750b51c
159251	3	21136	2013-08-04 17:00:46.307192	2013-08-04 17:00:46.307192	\N	ce4b8a1a-8db1-41f4-8f5d-b9f3b86386ec
126139	13	15592	2013-08-03 23:26:34.911552	2013-08-03 23:26:34.911552	\N	70acb017-56bc-45d4-85bc-3f77a65e9f3e
130698	16	16585	2013-08-04 00:06:43.697255	2013-08-04 00:06:43.697255	\N	feeb9327-cac7-49a7-94b5-f80b59763bc0
152731	11	20467	2013-08-04 02:41:33.756627	2013-08-04 02:41:33.756627	\N	f357e8da-3e50-47b3-beb8-f0222f06998a
130703	13	16561	2013-08-04 00:06:47.535003	2013-08-04 00:06:47.535003	\N	313b34b8-6b57-4bbb-9be2-98d6789c0605
130704	13	16549	2013-08-04 00:06:47.780641	2013-08-04 00:06:47.780641	\N	dbfc4e18-894f-4baa-83ea-b69a4654a870
187213	4	24198	2013-08-04 19:03:13.717049	2013-08-04 19:03:13.717049	\N	85cdfb22-7412-4026-8cc2-31674fabdc71
166187	13	22144	2013-08-04 17:42:37.148344	2013-08-04 17:42:37.148344	\N	8c9b575f-39a4-4086-b625-dc21e472d267
121839	19	14797	2013-08-03 22:56:45.168826	2013-08-03 22:56:45.168826	\N	f1fd7f89-25e5-41bc-8822-fca2a3e6b1eb
187214	4	24222	2013-08-04 19:03:13.774122	2013-08-04 19:03:13.774122	\N	928039da-b219-4085-b2da-58f687551b56
187215	4	24202	2013-08-04 19:03:13.821334	2013-08-04 19:03:13.821334	\N	40f4cbe0-04ac-4bb4-811b-19351cc1e8d0
187216	4	24212	2013-08-04 19:03:13.869596	2013-08-04 19:03:13.869596	\N	598ddd04-9683-4950-8a09-1fa23c06efcd
159275	17	21097	2013-08-04 17:00:58.603781	2013-08-04 17:00:58.603781	\N	7265c152-b004-4c4b-a46d-63d6773db856
138621	12	18451	2013-08-04 01:22:33.851482	2013-08-04 01:22:33.851482	\N	0f21326e-e4e3-4cfb-9007-28abf73aab53
152752	11	20506	2013-08-04 02:41:37.622468	2013-08-04 02:41:37.622468	\N	c91b7f43-5f96-4b4b-b7fd-0592184dd53b
130791	1	16601	2013-08-04 00:07:44.025322	2013-08-04 00:07:44.025322	\N	a22b09bf-b5cb-4d27-a40b-96659089cb82
149740	4	19963	2013-08-04 02:20:55.02998	2013-08-04 02:20:55.02998	\N	94392fa5-3efb-46a8-a0f3-9c34cc5987fc
149741	4	19951	2013-08-04 02:20:55.137627	2013-08-04 02:20:55.137627	\N	558f48a5-2fb6-4cb8-ad9c-c48becc71dfa
130804	14	16600	2013-08-04 00:07:59.202512	2013-08-04 00:07:59.202512	\N	66459a8d-c06e-48c6-84ce-a47b29c196fe
138631	4	18491	2013-08-04 01:22:35.017125	2013-08-04 01:22:35.017125	\N	ccffeb32-0ea2-4c59-a93b-9ea2fd4f5bd5
149742	4	20002	2013-08-04 02:20:55.223172	2013-08-04 02:20:55.223172	\N	bc15d8a3-b31b-4475-8a5e-e12341a5bdcb
124134	9	15163	2013-08-03 23:13:11.028859	2013-08-03 23:13:11.028859	\N	05890cb6-d8c2-4e8d-893f-91b0759b2b4e
128588	1	15927	2013-08-03 23:43:13.927164	2013-08-03 23:43:13.927164	\N	ca86a707-e5dd-4f88-b6c6-fb4be10b858a
149746	14	19951	2013-08-04 02:20:56.792837	2013-08-04 02:20:56.792837	\N	34a60326-4fc4-44fa-b9a3-1c437fd1f48a
159276	4	21197	2013-08-04 17:00:59.013286	2013-08-04 17:00:59.013286	\N	c9a28a0a-00a8-4adf-8d52-61472d669531
125979	5	15541	2013-08-03 23:25:40.835605	2013-08-03 23:25:40.835605	\N	828cad55-2b2f-4c24-aa5c-5c19200ab16c
130472	5	16459	2013-08-04 00:03:46.089722	2013-08-04 00:03:46.089722	\N	fe191d16-6654-431d-83a0-092cebfc5916
119537	2	14163	2013-08-03 22:31:41.556463	2013-08-03 22:31:41.556463	\N	185f0eea-30c1-458a-a71a-0d0237adb9a6
128253	4	15955	2013-08-03 23:40:48.438988	2013-08-03 23:40:48.438988	\N	b0db10b8-4d0f-4abe-b326-5f7106b7bbd9
125987	14	15577	2013-08-03 23:25:42.982616	2013-08-03 23:25:42.982616	\N	53221ab4-2fa5-4016-ac54-f6b9b8d20228
135795	10	17821	2013-08-04 00:58:32.58249	2013-08-04 00:58:32.58249	\N	b833f2e7-4e6c-462a-9cea-c66c410f68ca
125992	4	15593	2013-08-03 23:25:45.278739	2013-08-03 23:25:45.278739	\N	6ca71c01-4827-45b4-9294-210333b62679
135796	10	17860	2013-08-04 00:58:32.742238	2013-08-04 00:58:32.742238	\N	8c89799f-20c9-4a63-b475-66c43778fff1
135797	10	17809	2013-08-04 00:58:32.835943	2013-08-04 00:58:32.835943	\N	8e8399cf-385b-4cfc-bafe-07f14fd45e4b
152647	1	20467	2013-08-04 02:41:06.590207	2013-08-04 02:41:06.590207	\N	80f2d424-a6eb-44fc-911a-c85e4f8b450d
152652	8	20507	2013-08-04 02:41:07.149849	2013-08-04 02:41:07.149849	\N	04214597-2124-43c1-862b-aa35aa084d6a
183544	14	23811	2013-08-04 18:50:28.606059	2013-08-04 18:50:28.606059	\N	bca1c8c0-8d21-49cc-9ce8-759a4502024a
152654	15	20507	2013-08-04 02:41:07.944763	2013-08-04 02:41:07.944763	\N	ffe18e10-5a55-4b10-97a5-5b5986f76ca8
128310	1	15719	2013-08-03 23:41:04.833904	2013-08-03 23:41:04.833904	\N	e9646d62-c755-4005-9a84-609c368a5785
121509	8	14839	2013-08-03 22:54:28.028589	2013-08-03 22:54:28.028589	\N	78a9041d-17ab-4d5a-acfa-92cf35901bc7
117667	19	13945	2013-08-03 22:22:53.721515	2013-08-03 22:22:53.721515	\N	0570e991-76b7-462e-b52e-4225367984b8
121522	15	14837	2013-08-03 22:54:32.381645	2013-08-03 22:54:32.381645	\N	ae751a5b-71cf-4aae-bce6-afdc8dbd5044
121526	17	14837	2013-08-03 22:54:35.629275	2013-08-03 22:54:35.629275	\N	1f163f0f-28a4-410f-99cd-b2388686ff36
152655	1	20482	2013-08-04 02:41:08.088149	2013-08-04 02:41:08.088149	\N	6a7b50e2-f88d-476c-b3dd-1637f1cac9e7
121560	8	14837	2013-08-03 22:54:51.551618	2013-08-03 22:54:51.551618	\N	ccad41a5-c5ca-49fd-9e70-d2500dadb72b
121562	11	14797	2013-08-03 22:54:53.998319	2013-08-03 22:54:53.998319	\N	85d0d395-00b4-4be4-a220-2258156594cf
166097	7	22105	2013-08-04 17:42:16.018257	2013-08-04 17:42:16.018257	\N	97bddbd8-f539-47fe-941e-3a35f1014cd3
128327	6	15970	2013-08-03 23:41:11.455786	2013-08-03 23:41:11.455786	\N	b1e5f764-449e-47f1-b10b-8398ce5f8767
128332	1	15971	2013-08-03 23:41:13.665447	2013-08-03 23:41:13.665447	\N	0f9b65cf-513e-4219-91db-942e1df5c7fc
152657	1	20506	2013-08-04 02:41:09.23598	2013-08-04 02:41:09.23598	\N	70b79efe-4482-4ba3-8ad7-757c97ad2286
121593	17	14839	2013-08-03 22:55:04.99745	2013-08-03 22:55:04.99745	\N	a85f7500-3fa8-470f-a026-ec6bf52354a8
123852	15	15163	2013-08-03 23:11:29.230261	2013-08-03 23:11:29.230261	\N	01ef68cf-a0e2-4ba6-8705-2b74280db938
166147	8	22105	2013-08-04 17:42:29.807991	2013-08-04 17:42:29.807991	\N	17957a92-7a11-40e0-b929-627e96d14762
123889	9	15215	2013-08-03 23:11:42.398417	2013-08-03 23:11:42.398417	\N	b1b90c59-c813-4a0d-9121-75a6f7afd498
126060	19	15541	2013-08-03 23:26:12.720528	2013-08-03 23:26:12.720528	\N	3c21d7e4-b205-4a69-a0ed-5ab8eb8b21fe
159268	6	21188	2013-08-04 17:00:51.405793	2013-08-04 17:00:51.405793	\N	6cda2f91-314f-4793-913f-80f8d8980fac
159270	6	21194	2013-08-04 17:00:51.970729	2013-08-04 17:00:51.970729	\N	37658254-6e82-4b2e-aa74-e149dca5da0b
119712	14	14197	2013-08-03 22:32:49.536574	2013-08-03 22:32:49.536574	\N	51eff9dc-f48a-4e09-8b75-8f31603818c2
143921	6	19321	2013-08-04 01:56:26.615343	2013-08-04 01:56:26.615343	\N	8a17d81c-9ecf-4ffd-9d2e-248a68070be7
141117	10	18829	2013-08-04 01:37:53.960347	2013-08-04 01:37:53.960347	\N	ecd4a7a0-5b1f-416f-89be-8ff18e583a64
141118	10	18868	2013-08-04 01:37:54.117687	2013-08-04 01:37:54.117687	\N	f8b2d9fe-00d7-43ba-898a-06128f4965ee
159271	6	21198	2013-08-04 17:00:53.157762	2013-08-04 17:00:53.157762	\N	57ceba90-e3f8-42d3-9e1d-088c35ab3100
152697	1	20507	2013-08-04 02:41:21.735621	2013-08-04 02:41:21.735621	\N	cdc4e199-bb97-4405-ab4a-630f90df9a91
123940	17	15215	2013-08-03 23:12:05.029212	2013-08-03 23:12:05.029212	\N	135014bf-446d-4f15-9a2d-9338f0961863
179987	11	23572	2013-08-04 18:38:06.538807	2013-08-04 18:38:06.538807	\N	6c5fc01e-0966-42ae-bb6e-a60394376db7
121670	16	14797	2013-08-03 22:55:35.879621	2013-08-03 22:55:35.879621	\N	8ac42346-14ae-4dda-9655-8af11e0b4575
121673	13	14827	2013-08-03 22:55:36.97952	2013-08-03 22:55:36.97952	\N	ad7e06a7-8169-414a-9bdf-2b439295ffa8
159274	19	21197	2013-08-04 17:00:55.796839	2013-08-04 17:00:55.796839	\N	67d755f7-46e7-49e2-bb54-ae96f10dc0f9
126104	4	15553	2013-08-03 23:26:26.66411	2013-08-03 23:26:26.66411	\N	41c56240-9f27-447a-b4c2-6b437f5b6ca5
126105	4	15541	2013-08-03 23:26:26.690634	2013-08-03 23:26:26.690634	\N	12f86eca-a35a-4336-9418-cc0b91748596
126106	4	15568	2013-08-03 23:26:26.726198	2013-08-03 23:26:26.726198	\N	3fdf9e66-6d88-4a72-970c-52e71217a842
126107	4	15592	2013-08-03 23:26:26.758834	2013-08-03 23:26:26.758834	\N	26cf327c-cd8e-4185-983a-561c8317f258
119780	19	14167	2013-08-03 22:33:19.618467	2013-08-03 22:33:19.618467	\N	1f65ad7b-ef8d-43d6-a5fb-787c2873f17e
133275	5	17230	2013-08-04 00:33:04.235181	2013-08-04 00:33:04.235181	\N	214b22d0-962e-4b35-9692-8f940cd72e4a
133277	10	17179	2013-08-04 00:33:04.429449	2013-08-04 00:33:04.429449	\N	aeb4c5be-a6a8-423c-9790-693a27cf1ce5
133278	10	17191	2013-08-04 00:33:04.542794	2013-08-04 00:33:04.542794	\N	44b38e01-251f-4b08-bd8c-7b71214ee3b7
130606	8	16561	2013-08-04 00:05:41.548205	2013-08-04 00:05:41.548205	\N	9c0f8b5e-949b-4557-8ac8-5f32e8e21bde
159288	19	21179	2013-08-04 17:01:16.363419	2013-08-04 17:01:16.363419	\N	558b6a54-3a80-4593-85ac-1c23732e69e5
130611	9	16601	2013-08-04 00:05:43.131254	2013-08-04 00:05:43.131254	\N	57c26b6d-83ae-4737-9602-b08dfad0d433
130618	7	16549	2013-08-04 00:05:49.633296	2013-08-04 00:05:49.633296	\N	8fa5491c-2330-4ed9-bbcf-4ddac1799262
128418	18	15801	2013-08-03 23:41:47.374222	2013-08-03 23:41:47.374222	\N	9a17b24f-5790-4feb-9598-889781a90a2b
130619	15	16561	2013-08-04 00:05:51.552401	2013-08-04 00:05:51.552401	\N	5870dbca-63b6-485c-bab2-6a7bc5dd7fb2
130620	15	16549	2013-08-04 00:05:51.812414	2013-08-04 00:05:51.812414	\N	c7607a7e-4e9d-4c2d-81d4-8a4576f19fe2
159290	17	21136	2013-08-04 17:01:20.268247	2013-08-04 17:01:20.268247	\N	c5e2e593-5ecd-4a14-a4dd-8210c29cf3c6
187117	17	24160	2013-08-04 19:02:56.122231	2013-08-04 19:02:56.122231	\N	85f0b74e-fe59-49e5-93bf-35c69e8503ad
179989	9	23585	2013-08-04 18:38:06.84397	2013-08-04 18:38:06.84397	\N	7ad3668b-2438-4825-8f05-1e5c2f6e09d6
179991	9	23530	2013-08-04 18:38:08.021755	2013-08-04 18:38:08.021755	\N	538aa142-08d1-4c61-901e-be7a4c959d60
130665	9	16561	2013-08-04 00:06:16.215825	2013-08-04 00:06:16.215825	\N	dc9c0f71-28a0-407e-a5d8-98a833d22c40
121765	14	14827	2013-08-03 22:56:08.111182	2013-08-03 22:56:08.111182	\N	72b1031d-eb95-442c-93bc-9cbb0ce30aa4
121766	14	14797	2013-08-03 22:56:08.162447	2013-08-03 22:56:08.162447	\N	686cce7c-9d6b-47e4-9630-f169f8688511
121767	14	14836	2013-08-03 22:56:08.194124	2013-08-03 22:56:08.194124	\N	0656af28-d48e-4c1b-9ad3-78749c992aec
146817	19	19477	2013-08-04 02:01:00.746831	2013-08-04 02:01:00.746831	\N	39218452-ae38-4ad6-b8ad-9dcf044ee5ad
130675	6	16549	2013-08-04 00:06:26.666735	2013-08-04 00:06:26.666735	\N	d7521811-0bc1-4c2a-b0b7-24af061f19cf
146818	2	19498	2013-08-04 02:01:01.187463	2013-08-04 02:01:01.187463	\N	6379fc6d-471c-4d18-a627-ece1efa4191c
207020	8	26389	2013-08-04 20:42:38.628487	2013-08-04 20:42:38.628487	\N	5a61a862-6d89-42dc-ba58-042498914aec
121789	14	14839	2013-08-03 22:56:18.034074	2013-08-03 22:56:18.034074	\N	2f8af6c9-c66d-4bc0-93f9-c25ac0a09240
133324	13	17230	2013-08-04 00:33:29.628348	2013-08-04 00:33:29.628348	\N	a31f251f-c4ec-4301-a709-090b1d23bca2
152889	3	20455	2013-08-04 02:42:22.289497	2013-08-04 02:42:22.289497	\N	efdec0f1-ac3b-47ac-a37c-a2b30ac5be95
130700	19	16601	2013-08-04 00:06:46.941712	2013-08-04 00:06:46.941712	\N	2d311e68-d09c-4df2-b275-0fd2bf0b3063
143943	8	19372	2013-08-04 01:56:28.369602	2013-08-04 01:56:28.369602	\N	9e132417-9424-460c-8688-4550f14d8512
130705	17	16585	2013-08-04 00:06:48.22938	2013-08-04 00:06:48.22938	\N	d45278ec-f990-46eb-a634-9ce4f722ad57
152892	3	20506	2013-08-04 02:42:22.322427	2013-08-04 02:42:22.322427	\N	9a9a2987-34bc-480c-aca6-334005fc2085
152895	3	20467	2013-08-04 02:42:22.355639	2013-08-04 02:42:22.355639	\N	691cf137-2f07-4ab4-8a58-7d304fd5cc5b
130712	19	16561	2013-08-04 00:06:50.396488	2013-08-04 00:06:50.396488	\N	7eabfa7f-fcd8-4d95-8454-4a48356b9815
152898	3	20482	2013-08-04 02:42:22.387811	2013-08-04 02:42:22.387811	\N	731e33ae-e65b-4b3c-8f73-781327c6b6af
179995	11	23506	2013-08-04 18:38:09.15783	2013-08-04 18:38:09.15783	\N	b50250a4-0a68-4163-bf5f-58efae779ae7
166167	11	22210	2013-08-04 17:42:33.347216	2013-08-04 17:42:33.347216	\N	4e69b144-d95a-4f7c-951c-7fec2323d02b
130729	1	16561	2013-08-04 00:06:58.838366	2013-08-04 00:06:58.838366	\N	6ea7735d-da6f-4de4-afec-4228cc7c23d3
124109	13	15190	2013-08-03 23:13:01.773839	2013-08-03 23:13:01.773839	\N	4e43621b-f84f-43db-afc9-ef9e74c33e22
207021	9	26469	2013-08-04 20:42:40.504794	2013-08-04 20:42:40.504794	\N	4a693ac3-4ce8-49de-bb62-e3717dffcc71
121872	19	14821	2013-08-03 22:56:57.431307	2013-08-03 22:56:57.431307	\N	652bae76-bccb-4606-9924-d40678cef423
159319	17	21137	2013-08-04 17:01:41.40158	2013-08-04 17:01:41.40158	\N	a07add1c-5ff2-4882-bd92-2805c25993a8
207022	6	26389	2013-08-04 20:42:41.012406	2013-08-04 20:42:41.012406	\N	0e7ec950-f86d-45c8-8528-c8a55f8fd28c
166174	9	22185	2013-08-04 17:42:34.20142	2013-08-04 17:42:34.20142	\N	5114c1fa-2247-48f4-bf08-11f42b5d8f4e
135965	13	17935	2013-08-04 01:00:54.400935	2013-08-04 01:00:54.400935	\N	562dd3e6-df9d-45ee-9f8d-aa513e3eade7
135969	1	17947	2013-08-04 01:00:55.061259	2013-08-04 01:00:55.061259	\N	5bf4a4fe-80b2-4be5-809b-71d1edce8a73
135974	2	17947	2013-08-04 01:00:58.417243	2013-08-04 01:00:58.417243	\N	2a51b2e4-ad96-41b7-9eb1-74222728a4b8
124139	14	15199	2013-08-03 23:13:12.252804	2013-08-03 23:13:12.252804	\N	dd0aff20-0f04-4ebc-96b0-5c8225a20a64
130770	10	16549	2013-08-04 00:07:32.598968	2013-08-04 00:07:32.598968	\N	3db2caa4-49cb-4a88-b237-546aa786b790
130772	10	16561	2013-08-04 00:07:32.829217	2013-08-04 00:07:32.829217	\N	b7d8fc4a-b419-4a9e-af6f-05a81df25c1d
135975	2	17935	2013-08-04 01:00:58.450084	2013-08-04 01:00:58.450084	\N	87d082b9-28ee-468a-bc63-8260aa9066ba
187122	2	24183	2013-08-04 19:02:58.411105	2013-08-04 19:02:58.411105	\N	ce21f03f-8d4a-4d6d-bbc7-f9bcf6f49c34
128615	11	15971	2013-08-03 23:43:26.159227	2013-08-03 23:43:26.159227	\N	89adbe15-d82a-4e18-8e76-2638499c661f
135977	2	18040	2013-08-04 01:00:58.537422	2013-08-04 01:00:58.537422	\N	7fa6fc0d-506f-4fde-84c4-ea8835cbd104
135978	2	18034	2013-08-04 01:00:58.584761	2013-08-04 01:00:58.584761	\N	f84c409e-38bb-4609-910b-fdc5bcc69cc7
130784	1	16557	2013-08-04 00:07:42.132035	2013-08-04 00:07:42.132035	\N	d48ba6c4-c947-41be-a574-1867a4407aba
135979	2	18042	2013-08-04 01:00:58.631013	2013-08-04 01:00:58.631013	\N	0a40ffc1-fdda-4852-95b7-b4139269d0b0
135980	2	18044	2013-08-04 01:00:58.677798	2013-08-04 01:00:58.677798	\N	0a9ea759-7c09-4dbf-ac74-81618fac6c0e
135984	19	17947	2013-08-04 01:01:00.622225	2013-08-04 01:01:00.622225	\N	508d371c-479d-425d-b14f-2b6354292aa9
128649	8	16045	2013-08-03 23:44:30.969993	2013-08-03 23:44:30.969993	\N	955e24e1-0c36-49d8-993a-269dd28f0d94
124271	8	15301	2013-08-03 23:14:35.988175	2013-08-03 23:14:35.988175	\N	9a68d0d8-afd4-49c4-ba0e-a68ff88e352b
187123	9	24121	2013-08-04 19:02:58.725587	2013-08-04 19:02:58.725587	\N	bc29e113-844d-452a-9d8e-75797bc9963c
126002	3	15568	2013-08-03 23:25:48.888092	2013-08-03 23:25:48.888092	\N	e4ddf47e-7827-4dd6-adb5-6eb24fdea019
121628	6	14836	2013-08-03 22:55:21.585814	2013-08-03 22:55:21.585814	\N	3cb48522-ea0b-4786-82b1-277b8a078abd
123851	15	15175	2013-08-03 23:11:29.194132	2013-08-03 23:11:29.194132	\N	1a80f18d-f030-448b-a0c2-1d84b3607927
123854	8	15199	2013-08-03 23:11:30.91171	2013-08-03 23:11:30.91171	\N	32edca46-1ff7-4833-89d5-0582a740431b
123874	7	15214	2013-08-03 23:11:33.159581	2013-08-03 23:11:33.159581	\N	4359fec1-1a01-487d-8c10-ae948b468ae5
117601	14	13945	2013-08-03 22:22:39.726276	2013-08-03 22:22:39.726276	\N	70212655-ff8b-48db-881d-28680276c7b5
123875	7	15175	2013-08-03 23:11:33.309296	2013-08-03 23:11:33.309296	\N	f6a2108b-f937-4d56-acd4-8f069bb53ea4
123876	7	15163	2013-08-03 23:11:33.40965	2013-08-03 23:11:33.40965	\N	059ff44d-cffa-4aa9-a36d-d92f78ba83d9
123877	7	15190	2013-08-03 23:11:33.513834	2013-08-03 23:11:33.513834	\N	3f5cb68d-1457-4550-85de-468556054bbe
123878	7	15171	2013-08-03 23:11:33.621633	2013-08-03 23:11:33.621633	\N	62e36d21-e4b7-4d12-b675-b7a8b15299d0
159277	4	21179	2013-08-04 17:00:59.098524	2013-08-04 17:00:59.098524	\N	176bf968-d51c-4d43-9311-32ef98d72720
152704	17	20507	2013-08-04 02:41:26.423617	2013-08-04 02:41:26.423617	\N	da42aa43-28eb-4684-b590-c0960efd8ea6
123894	9	15214	2013-08-03 23:11:44.616096	2013-08-03 23:11:44.616096	\N	78089a38-727e-46b3-87bb-8c787cabe3d9
152705	19	20507	2013-08-04 02:41:26.578795	2013-08-04 02:41:26.578795	\N	f6c59b0b-af8b-4749-b6c5-01d20d1f2698
123911	11	15199	2013-08-03 23:11:49.844818	2013-08-03 23:11:49.844818	\N	2f952828-b132-41d5-9859-3863be48388f
123912	13	15163	2013-08-03 23:11:49.962948	2013-08-03 23:11:49.962948	\N	0964762f-76c9-4b0a-a118-9edd9bc80b89
130603	18	16431	2013-08-04 00:05:28.783157	2013-08-04 00:05:28.783157	\N	57a73a0a-7a97-47a5-9abb-df00f371935d
130638	11	16561	2013-08-04 00:06:01.042709	2013-08-04 00:06:01.042709	\N	da055ad6-de41-45e2-af00-7a399c447e80
159278	4	21136	2013-08-04 17:01:00.55807	2013-08-04 17:01:00.55807	\N	52f03b48-84e8-4288-b0e2-dd03a81f2b5c
117679	19	13955	2013-08-03 22:22:54.488445	2013-08-03 22:22:54.488445	\N	b38cd9c2-8d6b-401b-b6f0-00d44fab8d39
152709	13	20467	2013-08-04 02:41:29.194537	2013-08-04 02:41:29.194537	\N	a29a344a-2ffc-42f6-9567-6506fa2312f9
130645	11	16585	2013-08-04 00:06:04.055365	2013-08-04 00:06:04.055365	\N	9ab97967-e495-4bc5-928a-3fe06f83403f
180007	9	23582	2013-08-04 18:38:10.322843	2013-08-04 18:38:10.322843	\N	a4693e1d-2b7d-4100-a0a2-e717fb501770
138563	17	18491	2013-08-04 01:22:12.272306	2013-08-04 01:22:12.272306	\N	c0c7e943-8e65-4059-a780-10ccd503e06a
126055	19	15553	2013-08-03 23:26:11.985213	2013-08-03 23:26:11.985213	\N	1a7b32fa-1ff6-4c58-bfce-b139ad5525f2
130654	6	16561	2013-08-04 00:06:09.190708	2013-08-04 00:06:09.190708	\N	1687f04d-4c09-4cf2-bec2-345b4a7c84c4
152712	13	20455	2013-08-04 02:41:29.509861	2013-08-04 02:41:29.509861	\N	b4babe92-28e2-4ace-8bd8-86123de16d08
198567	11	25255	2013-08-04 19:57:45.531236	2013-08-04 19:57:45.531236	\N	79d910bc-f47c-449d-aafb-6e0006cee8e5
159295	14	21173	2013-08-04 17:01:23.653465	2013-08-04 17:01:23.653465	\N	2a7ba945-3ca4-4e47-9c69-073026170bdd
143977	2	19446	2013-08-04 01:56:30.790651	2013-08-04 01:56:30.790651	\N	d1b2f25d-185b-4597-ba01-10916b4c4a48
143979	2	19428	2013-08-04 01:56:30.867122	2013-08-04 01:56:30.867122	\N	8f844a43-940a-4c00-8f24-8830c4a550d6
130660	2	16561	2013-08-04 00:06:11.49809	2013-08-04 00:06:11.49809	\N	1fcad363-9695-44ea-b3b9-e312de5a7b53
152729	13	20482	2013-08-04 02:41:33.3502	2013-08-04 02:41:33.3502	\N	e1398b24-cf0e-4fc8-a118-daf0508df66f
124087	14	15214	2013-08-03 23:12:54.115017	2013-08-03 23:12:54.115017	\N	c03aa75c-434c-4c5a-aaac-f2a575ebbb20
130672	6	16600	2013-08-04 00:06:24.55561	2013-08-04 00:06:24.55561	\N	471d0692-53c0-483c-997f-6976e8551af8
130682	4	16561	2013-08-04 00:06:32.266645	2013-08-04 00:06:32.266645	\N	2739fbdd-7a33-4541-95c9-74236269e643
130683	4	16549	2013-08-04 00:06:32.403442	2013-08-04 00:06:32.403442	\N	eadd91ff-a4ac-47c0-ba2d-e5b8d3a47901
152734	11	20455	2013-08-04 02:41:34.347604	2013-08-04 02:41:34.347604	\N	294ace32-59f5-4fd8-83e8-72ff5ba5f674
152735	4	20507	2013-08-04 02:41:34.495239	2013-08-04 02:41:34.495239	\N	63f080e7-3714-4999-9a02-d9f9aa0412dc
121837	19	14827	2013-08-03 22:56:44.589192	2013-08-03 22:56:44.589192	\N	23d53cd8-fa9a-4f82-bb85-a6590e4b44ea
126141	19	15592	2013-08-03 23:26:36.612217	2013-08-03 23:26:36.612217	\N	0297f4af-4aff-4cac-904a-a51ad6d44528
130686	9	16600	2013-08-04 00:06:32.690798	2013-08-04 00:06:32.690798	\N	64fb4ac2-8e7f-4982-9472-876de494d126
166102	1	22182	2013-08-04 17:42:17.070568	2013-08-04 17:42:17.070568	\N	4d224dcc-476b-4c4a-bb81-907efd13f316
126155	14	15553	2013-08-03 23:26:40.398987	2013-08-03 23:26:40.398987	\N	e357726c-06a1-43c3-be93-3dfd8502ea81
130697	16	16549	2013-08-04 00:06:43.576999	2013-08-04 00:06:43.576999	\N	844d8cbd-291b-4ffc-ac73-6b711ab23253
198573	11	25336	2013-08-04 19:57:46.170189	2013-08-04 19:57:46.170189	\N	82289cad-4528-4de4-8b9a-e2fe4bbc6c9c
124145	2	15171	2013-08-03 23:13:13.19821	2013-08-03 23:13:13.19821	\N	57bde423-b83f-426b-ad24-a938d8657ef3
141201	14	18869	2013-08-04 01:38:22.526051	2013-08-04 01:38:22.526051	\N	aeb45189-98ec-44ed-ab00-8ff03a8bee48
124148	14	15190	2013-08-03 23:13:14.003069	2013-08-03 23:13:14.003069	\N	bea76315-1084-4add-b565-bd9214f36d25
152751	11	20482	2013-08-04 02:41:36.493194	2013-08-04 02:41:36.493194	\N	76224c0c-0adc-464e-9e9f-e346d154e58f
119851	19	14206	2013-08-03 22:33:44.444935	2013-08-03 22:33:44.444935	\N	dd5959cd-f5c0-4454-9483-69675391c088
133311	13	17191	2013-08-04 00:33:23.445147	2013-08-04 00:33:23.445147	\N	a0e8fa79-76b8-40d0-b838-db6878595ec6
133313	10	17230	2013-08-04 00:33:24.781165	2013-08-04 00:33:24.781165	\N	8b79c36e-7378-4d59-9e10-dc7bfb00e501
146672	2	19351	2013-08-04 01:59:43.528807	2013-08-04 01:59:43.528807	\N	7e6007ac-f1ef-4d92-b9d2-8eaa57eb53f8
152757	8	20482	2013-08-04 02:41:37.856527	2013-08-04 02:41:37.856527	\N	c8598ccb-c9ea-43c4-9462-0cf3d00b8055
144049	8	19373	2013-08-04 01:56:35.232032	2013-08-04 01:56:35.232032	\N	9629bacc-1c8d-48ef-925f-b5e0bdbc30e4
130754	19	16585	2013-08-04 00:07:22.949398	2013-08-04 00:07:22.949398	\N	0c936fcb-0228-4de2-9eb0-bc03964fbc6e
180014	17	23491	2013-08-04 18:38:10.831006	2013-08-04 18:38:10.831006	\N	54e4cae4-fc96-45b8-b57c-e6f1f1cbbac8
130756	3	16561	2013-08-04 00:07:24.524086	2013-08-04 00:07:24.524086	\N	c1a3bf50-6aab-4dae-898a-2f6d57ecedb5
180016	11	23530	2013-08-04 18:38:11.334113	2013-08-04 18:38:11.334113	\N	7de89b7b-d48e-4563-b9c7-e94a3c1fec29
124201	19	15215	2013-08-03 23:13:29.414241	2013-08-03 23:13:29.414241	\N	6204e856-b91c-4630-b147-c06fac3f1f1b
130758	3	16549	2013-08-04 00:07:24.580289	2013-08-04 00:07:24.580289	\N	1cfe9641-1590-499c-ad8a-0dac84f5e09b
187130	8	24230	2013-08-04 19:03:00.9145	2013-08-04 19:03:00.9145	\N	3e3c50ca-cfba-4751-85bc-1e2c0c2b7923
152829	19	20506	2013-08-04 02:42:01.520328	2013-08-04 02:42:01.520328	\N	46cf34d2-efcd-472c-897b-23e75041edbd
166126	11	22135	2013-08-04 17:42:26.513549	2013-08-04 17:42:26.513549	\N	96874ab5-bc1e-463c-8a75-180c39eee155
207048	11	26466	2013-08-04 20:42:47.86656	2013-08-04 20:42:47.86656	\N	d852e6c9-86b7-4634-9d32-5290975cb593
173183	18	22861	2013-08-04 18:14:16.053339	2013-08-04 18:14:16.053339	\N	36ab0513-07cb-428d-a1c8-e4dba39c0786
149943	19	19963	2013-08-04 02:21:57.816543	2013-08-04 02:21:57.816543	\N	edb64beb-66f2-418a-881f-ea84921a0e18
128496	5	15919	2013-08-03 23:42:22.85682	2013-08-03 23:42:22.85682	\N	228df702-18ca-4cb5-9585-4fb1cb5139d1
144076	6	19333	2013-08-04 01:56:37.315614	2013-08-04 01:56:37.315614	\N	cb04315d-f6e2-4a95-888c-78fd18acd0b7
124306	8	15316	2013-08-03 23:14:48.341369	2013-08-03 23:14:48.341369	\N	a30fe526-51ee-45d2-ba3a-9d3c672041f6
130814	5	16549	2013-08-04 00:08:06.404929	2013-08-04 00:08:06.404929	\N	0e5c9797-e87b-4b68-9daa-89c887c1a68e
130816	5	16600	2013-08-04 00:08:08.385169	2013-08-04 00:08:08.385169	\N	68da9830-635d-4264-b80c-2db1b93dda34
135966	8	17947	2013-08-04 01:00:54.552555	2013-08-04 01:00:54.552555	\N	fb84b4d3-d63e-4c8c-9f5b-00485d60d551
122024	14	14837	2013-08-03 22:58:09.958644	2013-08-03 22:58:09.958644	\N	0222861c-a41c-4ea8-86fb-24cf9e52f8cc
130818	5	16585	2013-08-04 00:08:09.405442	2013-08-04 00:08:09.405442	\N	a48cd8d0-d25c-442d-9909-637f3b9af65a
149944	4	20003	2013-08-04 02:21:58.067091	2013-08-04 02:21:58.067091	\N	a61ffc1a-503d-4baa-8003-64e944a6b49c
166157	9	22217	2013-08-04 17:42:31.253552	2013-08-04 17:42:31.253552	\N	a3f94c44-3faa-487a-bbfe-41dff6bc3762
135994	19	17935	2013-08-04 01:01:07.027861	2013-08-04 01:01:07.027861	\N	b92027e4-0a09-4533-8c4d-64bb8965a430
135995	9	17947	2013-08-04 01:01:08.904094	2013-08-04 01:01:08.904094	\N	e9140b52-b445-4bc5-b018-158b085b0f4b
159367	14	21177	2013-08-04 17:02:29.985817	2013-08-04 17:02:29.985817	\N	2696dc5e-bd9d-4680-8be2-072c47e1105f
135997	9	17935	2013-08-04 01:01:10.069879	2013-08-04 01:01:10.069879	\N	95c6437a-f894-4834-98e7-d8a5b78a3d34
124394	17	15340	2013-08-03 23:15:13.29447	2013-08-03 23:15:13.29447	\N	e07a226d-e4b4-40bd-a0ba-015d5a4c1f39
133424	12	17191	2013-08-04 00:34:19.143066	2013-08-04 00:34:19.143066	\N	c15cefcd-b31b-4387-bbf2-974a91125616
166158	9	22191	2013-08-04 17:42:31.426588	2013-08-04 17:42:31.426588	\N	360bba69-05f3-4e25-9a66-388bca830352
149994	19	20002	2013-08-04 02:22:10.079056	2013-08-04 02:22:10.079056	\N	5a63aaab-155f-479c-b088-502967077094
136012	12	17987	2013-08-04 01:01:17.796815	2013-08-04 01:01:17.796815	\N	94d949f7-e689-49ab-bb56-df13d1d17175
152863	10	20455	2013-08-04 02:42:12.673933	2013-08-04 02:42:12.673933	\N	cd7431ab-05ef-4b8b-bb38-5f76f93cb7b6
149997	6	20002	2013-08-04 02:22:10.786824	2013-08-04 02:22:10.786824	\N	bb517b96-25f6-45cf-ac69-ca602e7cc0a0
146749	14	19333	2013-08-04 02:00:07.697314	2013-08-04 02:00:07.697314	\N	4cb46438-813f-4446-8b90-2beea2a124dc
152864	10	20467	2013-08-04 02:42:12.747302	2013-08-04 02:42:12.747302	\N	e2e105e5-31bc-4657-926d-772a84e872fa
152865	10	20506	2013-08-04 02:42:12.830307	2013-08-04 02:42:12.830307	\N	f1421698-e010-4f3d-a6b1-fe6f75cdc469
166161	9	22105	2013-08-04 17:42:32.651037	2013-08-04 17:42:32.651037	\N	988dd827-8bd5-40bf-9a47-f1cb1c1b64b1
159372	19	21198	2013-08-04 17:02:33.107858	2013-08-04 17:02:33.107858	\N	a2776b1f-8698-4b4e-a1c8-7a8666cb5c26
180023	9	23588	2013-08-04 18:38:14.51178	2013-08-04 18:38:14.51178	\N	e2c6d57b-d7ab-4437-8005-4dbf4f3e7e61
190951	2	24432	2013-08-04 19:15:40.617279	2013-08-04 19:15:40.617279	\N	f04add35-0479-442d-940b-f2b781f33143
133487	12	17231	2013-08-04 00:34:48.070198	2013-08-04 00:34:48.070198	\N	c39ba650-1b96-4858-9e4b-3aa77f378c5c
207051	11	26389	2013-08-04 20:42:49.339522	2013-08-04 20:42:49.339522	\N	2ac8c179-7dbd-49ec-86f4-f9d53655de48
180046	19	23592	2013-08-04 18:38:16.939946	2013-08-04 18:38:16.939946	\N	4c87626e-7b56-4a8d-bbbc-0a57b6ee0964
187143	9	24212	2013-08-04 19:03:02.893666	2013-08-04 19:03:02.893666	\N	a73cd866-e313-42b1-84cc-01a32c7ed0da
133528	7	17356	2013-08-04 00:35:58.417203	2013-08-04 00:35:58.417203	\N	532f4f56-c026-4d15-a447-c321048c2f2b
133530	8	17305	2013-08-04 00:35:58.866298	2013-08-04 00:35:58.866298	\N	024e06e0-f474-4843-aea3-e2f3f5962161
130641	11	16549	2013-08-04 00:06:01.52214	2013-08-04 00:06:01.52214	\N	c4d50863-a44b-48eb-8f75-0b9103bfdb68
135824	17	17809	2013-08-04 00:58:53.376818	2013-08-04 00:58:53.376818	\N	44dcdf25-117a-4a7f-bbf3-fbc6ab19b6ff
123873	6	15214	2013-08-03 23:11:32.047963	2013-08-03 23:11:32.047963	\N	72ec0db3-19d1-4862-8aef-667b1759f787
128364	14	15971	2013-08-03 23:41:23.322882	2013-08-03 23:41:23.322882	\N	03818fd8-34d4-45e4-ab2b-ea4cd1153f6b
123914	11	15214	2013-08-03 23:11:50.818337	2013-08-03 23:11:50.818337	\N	10ad1c7a-a7b6-4d88-907a-a2837b226031
159315	4	21184	2013-08-04 17:01:41.284758	2013-08-04 17:01:41.284758	\N	e08a4a17-e70e-48ae-9f05-3d6ef7f7d32e
121642	5	14827	2013-08-03 22:55:25.461378	2013-08-03 22:55:25.461378	\N	8620fb88-8546-44b3-b7fb-6f4412a795fd
130651	11	16600	2013-08-04 00:06:05.035139	2013-08-04 00:06:05.035139	\N	3e00a580-d835-4d18-861f-a16e57dfdb85
159316	4	21186	2013-08-04 17:01:41.309374	2013-08-04 17:01:41.309374	\N	c43fe9f9-3d85-475c-b0db-1a80f418ae0b
121647	6	14821	2013-08-03 22:55:28.654944	2013-08-03 22:55:28.654944	\N	bf5f5e1b-cfff-445e-8395-2dbd3c194f6c
130666	9	16549	2013-08-04 00:06:16.411136	2013-08-04 00:06:16.411136	\N	631ef27d-050b-45ca-9753-325289cb3c75
130676	17	16561	2013-08-04 00:06:26.733453	2013-08-04 00:06:26.733453	\N	e3b2894f-2e18-4649-acad-6b51ebc0ea07
149640	20	19837	2013-08-04 02:19:39.910185	2013-08-04 02:19:39.910185	\N	c04f64be-017f-41fd-af98-af683195d0aa
159317	4	21188	2013-08-04 17:01:41.333288	2013-08-04 17:01:41.333288	\N	be6e3a1a-06a1-4a90-af2f-593cc81b3c50
121668	16	14827	2013-08-03 22:55:35.734412	2013-08-03 22:55:35.734412	\N	3eb90747-e2d9-4a2b-b297-7bc14cc4d639
119771	19	14197	2013-08-03 22:33:14.852087	2013-08-03 22:33:14.852087	\N	5072aa3e-807d-412c-b305-96426754ab5c
119772	19	14207	2013-08-03 22:33:16.629609	2013-08-03 22:33:16.629609	\N	1246d379-31b4-4c23-b8dd-b6988044b998
121671	16	14821	2013-08-03 22:55:36.035025	2013-08-03 22:55:36.035025	\N	67eae1e3-779c-4160-a1dd-f12eb9e7cec5
121672	16	14839	2013-08-03 22:55:36.181849	2013-08-03 22:55:36.181849	\N	9b7ade73-7c96-4a13-bbab-e16123a11466
130679	17	16549	2013-08-04 00:06:28.804511	2013-08-04 00:06:28.804511	\N	6f814e13-0e83-4f88-92f6-3a268a0c4004
133335	19	17231	2013-08-04 00:33:35.04996	2013-08-04 00:33:35.04996	\N	55cffd3b-3803-46f3-9161-b6437b63b750
128431	16	15955	2013-08-03 23:41:52.241697	2013-08-03 23:41:52.241697	\N	137a8714-eab2-4c38-8a51-0e671587bf51
130718	19	16549	2013-08-04 00:06:51.163665	2013-08-04 00:06:51.163665	\N	34c40e92-35ee-4f6f-abbf-9362134a8c61
117697	4	13939	2013-08-03 22:22:56.247812	2013-08-03 22:22:56.247812	\N	50d926ac-2fc9-4569-bd85-c75d425541ae
123976	3	15190	2013-08-03 23:12:19.58311	2013-08-03 23:12:19.58311	\N	17be5a97-3896-423a-a1d2-d9488654581d
123977	3	15163	2013-08-03 23:12:19.627168	2013-08-03 23:12:19.627168	\N	e8975ed2-e8d1-4b79-ab0c-966ec7575d4c
117703	19	13915	2013-08-03 22:22:58.581715	2013-08-03 22:22:58.581715	\N	564ec527-c218-45ef-a684-2607eb17a946
123978	3	15199	2013-08-03 23:12:19.679323	2013-08-03 23:12:19.679323	\N	fa1c474a-f189-43f6-b4ae-65df5f3d4c6f
123979	3	15214	2013-08-03 23:12:19.728055	2013-08-03 23:12:19.728055	\N	eba1949e-db50-4479-aa49-2caaee951618
123980	3	15175	2013-08-03 23:12:19.774667	2013-08-03 23:12:19.774667	\N	a61aed8b-d0d4-4de9-a35a-3f7ac15b565d
123981	6	15190	2013-08-03 23:12:20.202091	2013-08-03 23:12:20.202091	\N	bd1c504d-1540-4537-8e69-7f1e3665619b
159318	4	21192	2013-08-04 17:01:41.35842	2013-08-04 17:01:41.35842	\N	cc45ebc3-76f2-434f-91df-97c516d8e5c5
159320	4	21210	2013-08-04 17:01:41.425651	2013-08-04 17:01:41.425651	\N	1bb6561d-790c-4dc6-b0ed-e339fd5f9bc2
138615	19	18490	2013-08-04 01:22:31.342563	2013-08-04 01:22:31.342563	\N	e71bd41e-33d4-40b4-84ea-8c369bc4cde3
138617	3	18490	2013-08-04 01:22:32.314137	2013-08-04 01:22:32.314137	\N	cb04212a-300a-4e92-be20-de80b7a4dfc1
138618	3	18439	2013-08-04 01:22:32.36024	2013-08-04 01:22:32.36024	\N	71090eab-bd7c-41a2-8001-628e3385ad05
138619	3	18451	2013-08-04 01:22:32.411764	2013-08-04 01:22:32.411764	\N	ed88be1e-a4d4-41dd-bbb7-1700c55a1a18
159321	4	21204	2013-08-04 17:01:41.449094	2013-08-04 17:01:41.449094	\N	da75c331-bb37-4f1c-856c-cda4050ecef6
166106	19	22190	2013-08-04 17:42:18.330969	2013-08-04 17:42:18.330969	\N	d7b4f5c3-bbe6-4415-a03a-92dd2999e8c5
166107	19	22196	2013-08-04 17:42:18.38301	2013-08-04 17:42:18.38301	\N	aabd6507-5417-4fa1-89aa-5935b92ebdf1
124045	17	15199	2013-08-03 23:12:40.908922	2013-08-03 23:12:40.908922	\N	2a80ef43-1815-461f-828a-4b0e7814efb4
207027	2	26421	2013-08-04 20:42:42.752614	2013-08-04 20:42:42.752614	\N	fe6e30d9-1769-4c0d-81b7-c6fa345f3d35
130771	10	16585	2013-08-04 00:07:32.705167	2013-08-04 00:07:32.705167	\N	5cbf33b7-99ae-403c-91fc-3680a9fd6a2f
130773	10	16600	2013-08-04 00:07:32.92796	2013-08-04 00:07:32.92796	\N	dae879b0-2fae-40bf-9023-a4820b8af44d
138627	12	18439	2013-08-04 01:22:34.152678	2013-08-04 01:22:34.152678	\N	f22eeb0e-069f-4530-8bce-c744ea9e0a28
166110	1	22200	2013-08-04 17:42:18.737137	2013-08-04 17:42:18.737137	\N	18d1f14a-f0fd-4037-bc45-983954842455
130802	14	16561	2013-08-04 00:07:58.543859	2013-08-04 00:07:58.543859	\N	46aa50b7-a51b-4631-ad76-6fa579d63310
130803	14	16585	2013-08-04 00:07:58.693356	2013-08-04 00:07:58.693356	\N	9d7dd919-a7b0-43ef-8c3e-789ae18eb355
202857	1	25713	2013-08-04 20:14:30.271193	2013-08-04 20:14:30.271193	\N	b98f2370-8442-49f9-abd3-a777c64f2819
135967	8	17986	2013-08-04 01:00:54.552576	2013-08-04 01:00:54.552576	\N	95f2b165-b595-4929-8359-fca549f6748c
166118	2	22144	2013-08-04 17:42:21.878698	2013-08-04 17:42:21.878698	\N	52eb50c2-f8d0-4c07-bd11-8a8ed48866a0
135989	15	17935	2013-08-04 01:01:05.034562	2013-08-04 01:01:05.034562	\N	df8ce580-bf9f-44f9-8aad-75f2b07296d0
136004	6	17935	2013-08-04 01:01:13.952831	2013-08-04 01:01:13.952831	\N	1575c637-f00c-4c4a-baf8-6a915ecd887a
136005	5	17986	2013-08-04 01:01:14.637074	2013-08-04 01:01:14.637074	\N	78cfc514-1605-4d6f-882b-b4b09fa49f72
146778	8	19498	2013-08-04 02:00:50.208352	2013-08-04 02:00:50.208352	\N	899fbecc-1ca7-4517-a811-0d11b693d8b1
159359	12	21137	2013-08-04 17:02:20.743417	2013-08-04 17:02:20.743417	\N	26b7ac48-20eb-4fc4-8217-336bac7c6ec5
146845	13	19477	2013-08-04 02:01:07.662443	2013-08-04 02:01:07.662443	\N	638674ef-f72b-4963-8f5f-f9f844b24e82
136023	11	17935	2013-08-04 01:01:19.604754	2013-08-04 01:01:19.604754	\N	3fd6ae01-f7e9-4430-a92b-3ef6de42549e
136028	1	17987	2013-08-04 01:01:21.736352	2013-08-04 01:01:21.736352	\N	48bf5518-bc46-4683-9057-4d91ba027fe1
136029	4	17987	2013-08-04 01:01:22.878312	2013-08-04 01:01:22.878312	\N	26ad58e5-d7f2-4817-ab76-1a9566fa3291
146847	14	19498	2013-08-04 02:01:08.720194	2013-08-04 02:01:08.720194	\N	90512a1c-b38a-4a6b-9716-0c5e5ec6b380
146848	14	19499	2013-08-04 02:01:08.767612	2013-08-04 02:01:08.767612	\N	d693294a-1450-4625-9e62-5e1b4e2080aa
128612	14	15927	2013-08-03 23:43:25.392674	2013-08-03 23:43:25.392674	\N	84c5cd6d-fe12-40a4-b0c1-95cd22e87f13
136046	8	17987	2013-08-04 01:01:29.738398	2013-08-04 01:01:29.738398	\N	02952fa6-2a07-47a7-a9ae-8e2e89e71b99
133545	15	17357	2013-08-04 00:36:01.011514	2013-08-04 00:36:01.011514	\N	71b6fc3d-95be-4cfd-bf60-8adc7e3c9f90
130962	14	16549	2013-08-04 00:09:50.270922	2013-08-04 00:09:50.270922	\N	f5d89d47-3639-4f99-9b34-21bd8fc42f53
146852	17	19459	2013-08-04 02:01:09.781143	2013-08-04 02:01:09.781143	\N	6152ce44-e9fe-4327-8c46-fdbfb9f5ebb2
133549	11	17305	2013-08-04 00:36:04.257868	2013-08-04 00:36:04.257868	\N	4db434a3-f7db-4976-a226-c443d1afa39d
159360	12	21136	2013-08-04 17:02:21.439983	2013-08-04 17:02:21.439983	\N	fb538cec-9acf-4b8d-9f8f-a8612ae792e2
166122	1	22218	2013-08-04 17:42:25.40746	2013-08-04 17:42:25.40746	\N	a99156af-3110-4b47-9b77-87110ace29c6
121971	2	14827	2013-08-03 22:57:41.25623	2013-08-03 22:57:41.25623	\N	e1ebbc62-32b6-422c-a11f-14267247b39a
128665	7	16081	2013-08-03 23:44:42.047851	2013-08-03 23:44:42.047851	\N	c4d51a7b-9e2f-4d49-8926-1858ed49156c
128666	2	16057	2013-08-03 23:44:42.220563	2013-08-03 23:44:42.220563	\N	f9e9b2d3-ca3e-41f4-92bd-393f464d7a30
124222	5	15214	2013-08-03 23:13:33.923856	2013-08-03 23:13:33.923856	\N	dfad5740-2c2f-43fc-85a1-25d2b15c1e9a
128667	7	16045	2013-08-03 23:44:43.189565	2013-08-03 23:44:43.189565	\N	edd9cdd3-b9a2-4a8b-ad95-9a9c77b25138
126479	5	15592	2013-08-03 23:28:41.612102	2013-08-03 23:28:41.612102	\N	a18c750b-f43a-43e8-8007-d5816d7f61f9
136065	6	17986	2013-08-04 01:01:42.072221	2013-08-04 01:01:42.072221	\N	abbfec4b-c154-491f-837b-29f7cd545d4a
133560	19	17356	2013-08-04 00:36:07.277501	2013-08-04 00:36:07.277501	\N	d77a20aa-4bbb-40e4-907d-a8f9f8238f89
128677	8	16097	2013-08-03 23:44:45.718403	2013-08-03 23:44:45.718403	\N	5f1a8cfb-44e5-442f-8ed5-217cc17b61e5
166123	11	22182	2013-08-04 17:42:26.054281	2013-08-04 17:42:26.054281	\N	9c567d52-cfcd-46bb-b899-ff87c05fa8e2
128682	19	16057	2013-08-03 23:44:49.85025	2013-08-03 23:44:49.85025	\N	cb541ea8-2296-4e7f-b0fd-a98ced94ad24
128697	6	16057	2013-08-03 23:44:54.768166	2013-08-03 23:44:54.768166	\N	d6282162-319c-464b-ae84-86f2d044c470
128702	16	16081	2013-08-03 23:44:56.465817	2013-08-03 23:44:56.465817	\N	11573205-298a-4dd5-8a5a-6e47e6267235
124258	19	15214	2013-08-03 23:13:51.303019	2013-08-03 23:13:51.303019	\N	9168dd44-3c16-4eb7-938a-dd56be68ad5c
124260	10	15175	2013-08-03 23:14:05.880619	2013-08-03 23:14:05.880619	\N	5b26c5be-67a6-4184-beab-e4fffded90e2
131006	8	16687	2013-08-04 00:10:44.557831	2013-08-04 00:10:44.557831	\N	da351846-d3bc-4821-b871-e5f0b6dfd463
128717	17	16057	2013-08-03 23:45:00.247623	2013-08-03 23:45:00.247623	\N	883f2db4-fd24-4d25-b0cb-d2823850161e
131010	9	16726	2013-08-04 00:10:46.406917	2013-08-04 00:10:46.406917	\N	cba33240-e158-40a9-bb44-c172700c348c
126518	8	15679	2013-08-03 23:29:41.808335	2013-08-03 23:29:41.808335	\N	a498d80e-84fc-4075-bdb6-b778793950c8
131022	15	16687	2013-08-04 00:10:51.812104	2013-08-04 00:10:51.812104	\N	030e734f-9ef3-4039-b16f-a9c4316867bf
126558	8	15694	2013-08-03 23:29:51.623214	2013-08-03 23:29:51.623214	\N	f13a1d5d-89ce-49fd-bf09-ad6904cb2592
124273	8	15325	2013-08-03 23:14:36.00927	2013-08-03 23:14:36.00927	\N	89cf8bca-6c35-493b-a3b6-0d1a867abe4c
124275	20	15301	2013-08-03 23:14:37.126701	2013-08-03 23:14:37.126701	\N	a6363f10-90b0-4fcd-a315-53db9d4842ab
124276	6	15301	2013-08-03 23:14:37.553847	2013-08-03 23:14:37.553847	\N	2a2a6c2c-b25d-4600-a5fb-61c96fb12229
124278	4	15301	2013-08-03 23:14:38.985713	2013-08-03 23:14:38.985713	\N	928a7979-39da-4e82-a226-844af98dcce7
124279	2	15325	2013-08-03 23:14:39.686296	2013-08-03 23:14:39.686296	\N	64c2ad78-b160-4009-8456-594a6b5e9255
124280	2	15340	2013-08-03 23:14:39.773126	2013-08-03 23:14:39.773126	\N	e9d62242-6b75-41cd-bd18-c3fd3b251215
124281	2	15316	2013-08-03 23:14:39.813971	2013-08-03 23:14:39.813971	\N	80948eea-d9fd-4e0d-94ef-bc0d33354048
124282	2	15301	2013-08-03 23:14:39.862043	2013-08-03 23:14:39.862043	\N	fe3fb251-c638-43ee-8a92-fe1adf25f295
126563	8	15718	2013-08-03 23:29:51.781947	2013-08-03 23:29:51.781947	\N	3c9393fd-6d9d-42ba-bd65-ee921474adbd
126566	15	15719	2013-08-03 23:29:54.89436	2013-08-03 23:29:54.89436	\N	48d807a4-dd34-46f3-ab57-aead6a76db4d
128767	17	16081	2013-08-03 23:45:18.589349	2013-08-03 23:45:18.589349	\N	9f0c4382-2adb-4f22-8c62-6e974e140ef1
198586	14	25294	2013-08-04 19:57:48.309873	2013-08-04 19:57:48.309873	\N	1d5411d3-c5d9-4935-a430-eef3b9ba6394
159333	14	21158	2013-08-04 17:01:55.175903	2013-08-04 17:01:55.175903	\N	f5675be3-7143-4722-9199-c9455e5672e3
152765	4	20557	2013-08-04 02:41:40.850061	2013-08-04 02:41:40.850061	\N	849c45fd-90d2-4b5e-94c2-f22588074b3b
159334	14	21162	2013-08-04 17:01:55.203889	2013-08-04 17:01:55.203889	\N	864632f6-586f-4ec5-8a5d-b67f32d7a65e
152767	4	20573	2013-08-04 02:41:40.941139	2013-08-04 02:41:40.941139	\N	e9a205a3-ca8c-4de5-9d15-cc65b972a98a
159335	14	21164	2013-08-04 17:01:55.228495	2013-08-04 17:01:55.228495	\N	c074712c-48f1-40b6-9c4a-5a1f2b8265c0
128429	16	15931	2013-08-03 23:41:51.968209	2013-08-03 23:41:51.968209	\N	5f1952b4-f90f-4b17-a6fe-b37742548764
128430	16	15919	2013-08-03 23:41:52.136427	2013-08-03 23:41:52.136427	\N	64e83692-9ac0-4bf2-afad-949899cd0cf6
128432	16	15970	2013-08-03 23:41:52.346926	2013-08-03 23:41:52.346926	\N	6925ca3d-ecae-4f28-9c87-630b55a5c21f
180072	17	23530	2013-08-04 18:38:23.02818	2013-08-04 18:38:23.02818	\N	c0141732-f5fb-4796-93e1-61dbd177ce58
123962	6	15175	2013-08-03 23:12:12.872424	2013-08-03 23:12:12.872424	\N	dd25b81f-a440-4da4-a4d3-491e2e507615
187146	7	24234	2013-08-04 19:03:03.496126	2013-08-04 19:03:03.496126	\N	d21933b2-42dc-434b-8638-6ed79a793340
121848	19	14836	2013-08-03 22:56:45.963042	2013-08-03 22:56:45.963042	\N	7338c5d6-fc71-47b8-be57-06f96eae6f10
169695	9	22568	2013-08-04 18:01:08.001585	2013-08-04 18:01:08.001585	\N	0cb92105-71e7-4a82-8afd-bbb39179c85d
123970	6	15163	2013-08-03 23:12:15.524869	2013-08-03 23:12:15.524869	\N	362f500b-bb2a-48ab-a0b7-6517bfa4fd05
128436	3	15955	2013-08-03 23:41:53.40329	2013-08-03 23:41:53.40329	\N	2009e62a-b7cc-44b8-b06e-f8d1e8ec9597
169699	9	22574	2013-08-04 18:01:09.178512	2013-08-04 18:01:09.178512	\N	a634e6e0-43d5-45cf-ab81-dfc24808bba9
123987	6	15199	2013-08-03 23:12:22.880464	2013-08-03 23:12:22.880464	\N	e4a85bb3-9fff-4c55-a35a-2de7d16e78ab
130735	19	16600	2013-08-04 00:07:09.475301	2013-08-04 00:07:09.475301	\N	ed36acab-4ba8-4ea1-9546-22f73ec07034
149786	7	20002	2013-08-04 02:21:06.747278	2013-08-04 02:21:06.747278	\N	77d49312-0694-4afd-8c93-4933f5b3cd7e
138661	2	18451	2013-08-04 01:22:43.453602	2013-08-04 01:22:43.453602	\N	cc2b6c0b-fede-4191-9859-46ed1003e4c8
135856	14	17821	2013-08-04 00:59:08.703016	2013-08-04 00:59:08.703016	\N	7bd5f8bc-3cd5-4438-9d9d-a4b184bd2d89
169734	9	22590	2013-08-04 18:01:24.456291	2013-08-04 18:01:24.456291	\N	ddfbaaa9-8b75-49e1-b99f-d63db7cc45b2
152774	6	20482	2013-08-04 02:41:43.706296	2013-08-04 02:41:43.706296	\N	9bf96473-1955-4f1b-88e5-43a796de3800
138666	14	18439	2013-08-04 01:22:46.382908	2013-08-04 01:22:46.382908	\N	0cbf6fd7-292e-473a-9399-dd93c8b2e31d
138667	14	18490	2013-08-04 01:22:46.571484	2013-08-04 01:22:46.571484	\N	7f061f4b-6dd4-4640-97bc-7933916433af
166153	11	22120	2013-08-04 17:42:30.754723	2013-08-04 17:42:30.754723	\N	b72c685f-27dc-4a9b-afc4-56b998a35ff2
152781	14	20455	2013-08-04 02:41:46.50685	2013-08-04 02:41:46.50685	\N	210fb00d-9d6b-4248-9a0d-4ac321237fe4
194635	19	24734	2013-08-04 19:34:34.197011	2013-08-04 19:34:34.197011	\N	af0e4c4e-af84-48f4-8b8d-b243cbfed9c2
166155	13	22105	2013-08-04 17:42:31.193954	2013-08-04 17:42:31.193954	\N	ca866b03-a302-49e6-bdb5-9e54a1330678
146789	6	19498	2013-08-04 02:00:52.093697	2013-08-04 02:00:52.093697	\N	cb7492c7-eb62-4a17-a453-2c9549c5177d
146790	19	19498	2013-08-04 02:00:53.622812	2013-08-04 02:00:53.622812	\N	9e2e78d4-9b82-4d59-976f-14ebba8e3da4
146820	15	19459	2013-08-04 02:01:01.245466	2013-08-04 02:01:01.245466	\N	60c45e14-fa9f-42e6-a3c6-8541ec6b83fa
146822	4	19459	2013-08-04 02:01:02.242457	2013-08-04 02:01:02.242457	\N	a23612bc-51ba-42ce-b222-eb5d6419bf81
146823	4	19447	2013-08-04 02:01:02.355152	2013-08-04 02:01:02.355152	\N	40247120-a94c-40c2-bc7e-97d71647e7e5
146824	4	19498	2013-08-04 02:01:02.410989	2013-08-04 02:01:02.410989	\N	33ab8764-877b-400e-8ba3-084cbf996f28
146825	15	19499	2013-08-04 02:01:02.566273	2013-08-04 02:01:02.566273	\N	75d8aad7-0a1f-4572-93b4-eb4d815c0921
130837	14	16608	2013-08-04 00:08:18.558814	2013-08-04 00:08:18.558814	\N	794d33de-6952-42e4-b1de-ea18e9321301
128500	5	15955	2013-08-03 23:42:24.300818	2013-08-03 23:42:24.300818	\N	c52a6c4b-cfd2-4e1d-a30f-c0d922b8594b
146826	11	19498	2013-08-04 02:01:02.898298	2013-08-04 02:01:02.898298	\N	8d0bb32c-cb58-4256-8c9d-90f26dcbcf2b
187149	9	24201	2013-08-04 19:03:04.081659	2013-08-04 19:03:04.081659	\N	a54ff5e0-a933-4e17-a1e8-fcd201e72e58
124133	9	15175	2013-08-03 23:13:10.868191	2013-08-03 23:13:10.868191	\N	0e08b6f6-66b0-4294-aaa0-3a92de513686
146829	13	19459	2013-08-04 02:01:04.042633	2013-08-04 02:01:04.042633	\N	f5c6019a-5c42-48ce-aca6-2b6f71932083
146830	13	19447	2013-08-04 02:01:04.388036	2013-08-04 02:01:04.388036	\N	75a8c593-99d7-49cd-84bb-4968a7113ad5
144199	17	19354	2013-08-04 01:56:45.935865	2013-08-04 01:56:45.935865	\N	1142da77-22a3-4e03-87ce-c16d6ebbca31
166192	14	22185	2013-08-04 17:42:39.175859	2013-08-04 17:42:39.175859	\N	158143b3-be3a-41cf-9667-bd1b4b2377c4
159346	9	21097	2013-08-04 17:02:02.952552	2013-08-04 17:02:02.952552	\N	6aee7217-bb8e-4880-910d-7fc8ea5e0e4b
126381	3	15577	2013-08-03 23:28:07.196464	2013-08-03 23:28:07.196464	\N	c8d39a3e-61ec-4f1e-9e8f-917a5d2cd7a7
146843	16	19447	2013-08-04 02:01:06.551647	2013-08-04 02:01:06.551647	\N	6311f3c9-25a8-42af-aa07-e32136590413
149803	8	19951	2013-08-04 02:21:14.42214	2013-08-04 02:21:14.42214	\N	247fa420-b5b4-48f2-9c50-e8c5fe7e20ed
124189	11	15190	2013-08-03 23:13:26.424442	2013-08-03 23:13:26.424442	\N	eaa37190-201a-453c-a985-cee3deccff9b
149804	11	19951	2013-08-04 02:21:14.567205	2013-08-04 02:21:14.567205	\N	615aba66-780d-4366-b140-7f0c44dce993
152795	19	20467	2013-08-04 02:41:49.187238	2013-08-04 02:41:49.187238	\N	9b2b79d9-37d6-4a6f-b89d-d1bf72e501fe
135972	15	17947	2013-08-04 01:00:57.899692	2013-08-04 01:00:57.899692	\N	5ad03b67-bd26-48ce-b330-6ea3d0b89b42
133534	3	17356	2013-08-04 00:35:59.055422	2013-08-04 00:35:59.055422	\N	7ec632af-4b13-4f39-9320-a3151ebbdedf
135973	19	17987	2013-08-04 01:00:58.165404	2013-08-04 01:00:58.165404	\N	f096c256-4914-49a4-bf2e-e4738057fe34
133554	5	17179	2013-08-04 00:36:05.516092	2013-08-04 00:36:05.516092	\N	f1292634-fc09-4fef-a8b0-85bcc2a6918e
124213	19	15175	2013-08-03 23:13:31.744355	2013-08-03 23:13:31.744355	\N	9df6af92-04d4-48cd-8233-63a81219befb
124214	19	15163	2013-08-03 23:13:32.48506	2013-08-03 23:13:32.48506	\N	0781ebd4-0b9a-4b6f-9663-672e3f8ea0c7
135981	15	17986	2013-08-04 01:00:59.307962	2013-08-04 01:00:59.307962	\N	cbf382ec-f745-4560-b615-8b72f2ca94fb
124217	5	15190	2013-08-03 23:13:33.09607	2013-08-03 23:13:33.09607	\N	a20f0203-feb2-465a-8ea6-c88af260ef68
141450	8	18943	2013-08-04 01:41:02.291334	2013-08-04 01:41:02.291334	\N	b3c54466-7406-4eb7-90f7-ec578fdc9f51
135988	15	17987	2013-08-04 01:01:04.620949	2013-08-04 01:01:04.620949	\N	cac03947-d5f5-495f-ad50-c701a65218d5
141451	17	18943	2013-08-04 01:41:03.224251	2013-08-04 01:41:03.224251	\N	d58cf337-a563-45a5-972f-6d952a000cfb
141452	7	18955	2013-08-04 01:41:03.551353	2013-08-04 01:41:03.551353	\N	a249b203-96b0-4fec-abb1-3bd6163e4e17
152796	19	20455	2013-08-04 02:41:49.572877	2013-08-04 02:41:49.572877	\N	52e8c2fd-65fc-48b5-96fc-1a743fc4d75e
141533	11	18994	2013-08-04 01:41:26.967685	2013-08-04 01:41:26.967685	\N	da8a4923-ef75-44d9-99f4-b01b32a63b5c
133622	9	17356	2013-08-04 00:36:36.766328	2013-08-04 00:36:36.766328	\N	621b1b90-6d5f-47f7-a2d2-5c4ee9260af3
128645	2	16096	2013-08-03 23:44:26.877732	2013-08-03 23:44:26.877732	\N	a91ce4c2-f93d-41ff-b860-b67a809dc0ba
128646	2	16045	2013-08-03 23:44:26.97117	2013-08-03 23:44:26.97117	\N	62dd4bc0-2d04-4f8f-963c-f755cf4907d3
149807	1	19963	2013-08-04 02:21:14.928576	2013-08-04 02:21:14.928576	\N	c36957c1-969c-40b7-b72a-08948ff9e6ef
128648	8	16081	2013-08-03 23:44:30.969862	2013-08-03 23:44:30.969862	\N	dd24f14a-a2d4-4e73-9c34-99435b76d4c6
144282	17	19372	2013-08-04 01:56:52.05029	2013-08-04 01:56:52.05029	\N	1577e7cf-177d-4241-876a-df07ff4fc7f4
128668	9	16097	2013-08-03 23:44:43.270226	2013-08-03 23:44:43.270226	\N	3ef674dd-ec86-4fc5-a2aa-8be1301d7ac6
124272	8	15289	2013-08-03 23:14:35.99799	2013-08-03 23:14:35.99799	\N	4332b907-4d3e-4683-9a88-20a9df89244e
124274	8	15340	2013-08-03 23:14:36.057699	2013-08-03 23:14:36.057699	\N	8added3f-7fc7-475f-b8d9-1ed7665f3a85
124277	6	15289	2013-08-03 23:14:37.931271	2013-08-03 23:14:37.931271	\N	09d0815f-df55-4cfa-9f1f-aa78e80ff551
207032	19	26498	2013-08-04 20:42:43.446685	2013-08-04 20:42:43.446685	\N	5494e1eb-891e-4335-82e8-ae522b9844b1
124286	9	15341	2013-08-03 23:14:42.133098	2013-08-03 23:14:42.133098	\N	f949f306-b850-4eaf-8348-eaa8f821bfda
128699	16	16057	2013-08-03 23:44:56.196417	2013-08-03 23:44:56.196417	\N	e87e0adc-a61f-4e5c-95a0-16ab34666c2e
124292	6	15340	2013-08-03 23:14:43.531734	2013-08-03 23:14:43.531734	\N	7bd9993d-5e26-4851-9c1e-c251653c65af
128700	16	16045	2013-08-03 23:44:56.329932	2013-08-03 23:44:56.329932	\N	da9682e1-03d3-46e8-95a1-c364d4cf4351
128701	13	16045	2013-08-03 23:44:56.439449	2013-08-03 23:44:56.439449	\N	ea0780f1-49ce-445b-b24a-b2404c13ab35
124310	9	15340	2013-08-03 23:14:49.393515	2013-08-03 23:14:49.393515	\N	acb4e87a-560f-481c-a9b3-48f349fecb30
166198	9	22205	2013-08-04 17:42:41.406472	2013-08-04 17:42:41.406472	\N	56919087-7f99-4448-a873-8d722f102f49
128709	6	16096	2013-08-03 23:44:57.955054	2013-08-03 23:44:57.955054	\N	a9399784-1f91-404d-b1f5-fbce9bc229ce
149822	11	20002	2013-08-04 02:21:17.613397	2013-08-04 02:21:17.613397	\N	97fb451c-1a61-4d39-8d08-ed592df1c8aa
133675	10	17305	2013-08-04 00:37:06.320808	2013-08-04 00:37:06.320808	\N	968a3fbe-1daf-40ef-b1bd-b8ff74be9277
128742	3	16081	2013-08-03 23:45:05.531942	2013-08-03 23:45:05.531942	\N	d44e4c9a-cde6-4ab5-9bfa-34eb81e77cc8
128743	3	16096	2013-08-03 23:45:05.565962	2013-08-03 23:45:05.565962	\N	8a841843-1acc-44ef-badf-2c838332e00e
149836	17	20002	2013-08-04 02:21:19.498886	2013-08-04 02:21:19.498886	\N	22b570f4-a3bf-403f-9277-b4c06dd30961
128745	3	16045	2013-08-03 23:45:05.613341	2013-08-03 23:45:05.613341	\N	0fac03f1-8ecf-439c-b470-908372372dda
122105	14	14821	2013-08-03 22:58:47.837474	2013-08-03 22:58:47.837474	\N	0e2d5952-c09f-4e63-8ce6-7d1f61c930ac
126520	8	15667	2013-08-03 23:29:41.811695	2013-08-03 23:29:41.811695	\N	ae35129c-c777-4152-a010-d15eb6a9a27f
124353	11	15301	2013-08-03 23:15:00.946056	2013-08-03 23:15:00.946056	\N	18a60184-bc26-4ce1-b8bd-ed223108d87f
126521	6	15694	2013-08-03 23:29:42.564038	2013-08-03 23:29:42.564038	\N	58b22703-1d16-4dcb-a41c-a33ce7463c25
126524	14	15667	2013-08-03 23:29:43.024737	2013-08-03 23:29:43.024737	\N	aea05786-7627-4118-8bc4-609a4b79a6d1
124356	17	15341	2013-08-03 23:15:01.436013	2013-08-03 23:15:01.436013	\N	6dbbc2a8-cce8-400d-8846-6b64396209ec
124359	15	15340	2013-08-03 23:15:01.698999	2013-08-03 23:15:01.698999	\N	d15c62f6-ad19-4456-aebf-61fb5283dd09
126526	14	15718	2013-08-03 23:29:43.069217	2013-08-03 23:29:43.069217	\N	52e6b7d6-b6c5-46fd-9440-0973cd31eb54
133685	12	17357	2013-08-04 00:37:12.776663	2013-08-04 00:37:12.776663	\N	15228416-343b-4387-a70e-5f58ca898936
126529	9	15667	2013-08-03 23:29:44.043699	2013-08-03 23:29:44.043699	\N	aa51dd6d-71b2-41f3-8468-5473c0a92593
133686	17	17305	2013-08-04 00:37:13.152753	2013-08-04 00:37:13.152753	\N	4c972822-c35c-4ec5-9550-38b9d4db838c
131007	8	16675	2013-08-04 00:10:44.559597	2013-08-04 00:10:44.559597	\N	717d606f-9a3e-465c-a59b-e3689f87c268
131009	4	16687	2013-08-04 00:10:46.398661	2013-08-04 00:10:46.398661	\N	7244a864-c4c1-4177-9895-def1819ede10
131011	4	16675	2013-08-04 00:10:46.495625	2013-08-04 00:10:46.495625	\N	eeea8c86-5487-47e5-ad48-44bea689f1a5
198588	11	25270	2013-08-04 19:57:49.388571	2013-08-04 19:57:49.388571	\N	c1e154d8-b9cf-436e-b86f-14d354ed2515
122129	10	14710	2013-08-03 22:59:16.605744	2013-08-03 22:59:16.605744	\N	f0211c7c-1c96-4b72-b0b1-12656c0fd824
122133	8	14953	2013-08-03 22:59:26.908279	2013-08-03 22:59:26.908279	\N	f7c587aa-6532-498a-bf03-f69368ad1f70
122134	15	14963	2013-08-03 22:59:28.350216	2013-08-03 22:59:28.350216	\N	82985517-bc61-4744-89c5-d60203aa656d
122137	7	14965	2013-08-03 22:59:28.437463	2013-08-03 22:59:28.437463	\N	7ea4596c-101e-43c5-8ea0-fcafcc233649
122144	20	14953	2013-08-03 22:59:31.631665	2013-08-03 22:59:31.631665	\N	7f666096-05ac-4be7-8263-787d283000ac
144094	20	19354	2013-08-04 01:56:38.491109	2013-08-04 01:56:38.491109	\N	04175980-e980-467c-991e-5a40667e941a
207034	2	26454	2013-08-04 20:42:45.201035	2013-08-04 20:42:45.201035	\N	285def8e-b919-402a-9a3c-df6d6c9e7d5e
122172	8	14963	2013-08-03 22:59:44.071634	2013-08-03 22:59:44.071634	\N	3e764ecf-e9c0-4ac2-b821-961854fc0c21
187158	8	24136	2013-08-04 19:03:04.797985	2013-08-04 19:03:04.797985	\N	af9f6911-d3a7-449a-8bca-89a30cfbe9b2
138702	7	18447	2013-08-04 01:22:55.223669	2013-08-04 01:22:55.223669	\N	d8b3f082-208c-4612-8686-e8d4ff715226
122186	7	14919	2013-08-03 22:59:48.416175	2013-08-03 22:59:48.416175	\N	466b43f8-773d-4a4d-ba4d-af26dcc5a4c6
162797	8	21640	2013-08-04 17:21:57.380187	2013-08-04 17:21:57.380187	\N	ec8d1d07-bf05-46d5-bdb7-d208aeb9fb45
162798	7	21616	2013-08-04 17:21:57.885615	2013-08-04 17:21:57.885615	\N	629e0123-8459-4cd9-90ec-111cd5f71501
162799	4	21641	2013-08-04 17:21:58.594412	2013-08-04 17:21:58.594412	\N	e5c7db6f-e654-4f44-bd7e-044a30adef9d
128650	8	16096	2013-08-03 23:44:30.980446	2013-08-03 23:44:30.980446	\N	d248897d-78dc-4773-ac31-063faf431567
128653	15	16096	2013-08-03 23:44:33.745937	2013-08-03 23:44:33.745937	\N	04a4b727-4d6e-4966-8971-b869f3fd088d
128654	7	16096	2013-08-03 23:44:34.916438	2013-08-03 23:44:34.916438	\N	0780c574-e808-4b89-855e-a0bda25d091f
166159	11	22200	2013-08-04 17:42:31.980447	2013-08-04 17:42:31.980447	\N	bae93cd5-f60c-44ff-9e1c-75a63070aa27
162892	14	21640	2013-08-04 17:22:08.20098	2013-08-04 17:22:08.20098	\N	aa771916-c0e0-4d6b-b75e-698f61a10bc4
144168	20	19372	2013-08-04 01:56:43.611438	2013-08-04 01:56:43.611438	\N	023c0d1a-8af9-45fe-b153-c216546c1398
146742	3	19351	2013-08-04 02:00:00.777543	2013-08-04 02:00:00.777543	\N	dfb169ef-7ff6-4f83-9054-6df217a8556f
128696	6	16045	2013-08-03 23:44:53.92961	2013-08-03 23:44:53.92961	\N	162d317d-7d16-4752-b44d-14cbc4ec3f20
159437	14	21151	2013-08-04 17:03:25.583382	2013-08-04 17:03:25.583382	\N	fbc15c36-0906-4fa4-ab1e-e7e07d0dc5cb
135968	8	17935	2013-08-04 01:00:54.554659	2013-08-04 01:00:54.554659	\N	73d2daa8-70d3-4494-82e3-f302a2aab39b
122304	4	14953	2013-08-03 23:00:40.916861	2013-08-03 23:00:40.916861	\N	8a3a1276-f811-4ddf-9cb0-b8d985adc295
122305	4	14923	2013-08-03 23:00:40.944681	2013-08-03 23:00:40.944681	\N	c4808a15-0da8-47e9-977e-4399efcfcd57
122306	17	14947	2013-08-03 23:00:41.399216	2013-08-03 23:00:41.399216	\N	8d4e9132-6cbf-4be9-9460-9b275bb2c0cf
128725	13	16096	2013-08-03 23:45:01.542157	2013-08-03 23:45:01.542157	\N	fa90b7c9-db38-4353-896d-a18a8233d03e
128729	11	16096	2013-08-03 23:45:02.814448	2013-08-03 23:45:02.814448	\N	07825843-188d-4d5f-bff8-c7b694e84745
135970	6	17947	2013-08-04 01:00:55.459114	2013-08-04 01:00:55.459114	\N	4045822a-a0db-4541-8989-b7e338ae4c28
135971	20	17986	2013-08-04 01:00:55.716103	2013-08-04 01:00:55.716103	\N	40290c21-06c0-4d20-b456-d9f969ed843e
159438	14	21155	2013-08-04 17:03:25.626354	2013-08-04 17:03:25.626354	\N	19a62dfd-e725-4704-9f90-1cf98caf29bd
122352	5	14962	2013-08-03 23:00:55.978473	2013-08-03 23:00:55.978473	\N	3c3e9a29-6f49-4dec-88fd-e52fb49e121b
135991	4	17947	2013-08-04 01:01:06.336894	2013-08-04 01:01:06.336894	\N	93411854-a3df-43a7-bf63-6c1e336b4da6
133483	14	17179	2013-08-04 00:34:46.778421	2013-08-04 00:34:46.778421	\N	02f0f692-f5e4-416f-bd07-3788f2785e30
130901	4	16601	2013-08-04 00:09:07.894934	2013-08-04 00:09:07.894934	\N	60af10f5-09ff-4e7f-bed5-978269b98a87
135992	4	17935	2013-08-04 01:01:06.465899	2013-08-04 01:01:06.465899	\N	b0a10f90-8e33-4544-bd4b-bc9e16f13d9f
135993	4	17986	2013-08-04 01:01:06.632248	2013-08-04 01:01:06.632248	\N	d87de3a2-2520-4cc6-9dd1-a2120e862ac3
135998	3	17986	2013-08-04 01:01:10.600007	2013-08-04 01:01:10.600007	\N	62d43826-9de7-4329-a119-f5ec831b7b67
135999	3	17935	2013-08-04 01:01:10.653143	2013-08-04 01:01:10.653143	\N	dc81e7e6-f42f-4e3b-8375-2a6ccd16f39f
159439	14	21156	2013-08-04 17:03:25.676469	2013-08-04 17:03:25.676469	\N	5bcca63f-d3b8-47ca-978e-953b824c10c0
159440	14	21148	2013-08-04 17:03:25.727061	2013-08-04 17:03:25.727061	\N	b8581a59-b36b-40e4-bbca-7db0566c33b9
133529	8	17317	2013-08-04 00:35:58.864932	2013-08-04 00:35:58.864932	\N	897b0555-51b2-4f25-b7dd-fdd4af184560
133536	13	17356	2013-08-04 00:35:59.221291	2013-08-04 00:35:59.221291	\N	a5ed4910-7d40-4b3a-a00a-e515f4d43408
146793	8	19459	2013-08-04 02:00:55.76635	2013-08-04 02:00:55.76635	\N	fc0a9262-d545-4327-b612-307ac308c7ac
124346	15	15289	2013-08-03 23:14:59.316863	2013-08-03 23:14:59.316863	\N	f66f42e6-9765-4f0f-8756-680138c862db
133567	2	17317	2013-08-04 00:36:10.059879	2013-08-04 00:36:10.059879	\N	511b9bf7-4f01-4955-a7b7-7238b270dd47
128796	17	16096	2013-08-03 23:45:33.97074	2013-08-03 23:45:33.97074	\N	b53113dd-6b74-4f4b-bd6b-9e12b27e1a21
128803	9	16096	2013-08-03 23:45:37.552201	2013-08-03 23:45:37.552201	\N	8071e242-bcca-47ee-b0ca-318239b08b18
146794	2	19554	2013-08-04 02:00:55.850888	2013-08-04 02:00:55.850888	\N	e51c16d6-a76e-4897-ad68-be71aef57b3f
124357	11	15289	2013-08-03 23:15:01.499861	2013-08-03 23:15:01.499861	\N	bfa44806-eadb-4d20-86b2-6bc1ead64c49
146795	2	19566	2013-08-04 02:00:55.89535	2013-08-04 02:00:55.89535	\N	a340293b-3b30-49bf-b636-e38aed1ec2af
146796	2	19556	2013-08-04 02:00:55.946655	2013-08-04 02:00:55.946655	\N	39e760fb-c527-4c54-9bde-2b5e9a33a146
133595	15	17305	2013-08-04 00:36:23.17611	2013-08-04 00:36:23.17611	\N	88a208ea-b44f-4df9-a2bd-4461c47b10a9
146797	2	19568	2013-08-04 02:00:56.003504	2013-08-04 02:00:56.003504	\N	d5c98d2f-25cd-4c3a-9326-b89ff4867032
136018	2	18024	2013-08-04 01:01:18.928424	2013-08-04 01:01:18.928424	\N	61b19017-8649-42ce-86ac-de9e83fe620c
124405	13	15301	2013-08-03 23:15:15.681296	2013-08-03 23:15:15.681296	\N	371a779f-bb8e-40f4-ab12-a9b908569e9a
124406	13	15289	2013-08-03 23:15:16.005498	2013-08-03 23:15:16.005498	\N	cf2c7b01-a08e-4151-a267-8edbfa4b108e
136019	2	18028	2013-08-04 01:01:18.968938	2013-08-04 01:01:18.968938	\N	bb362dca-9096-4f43-a678-375615f9761b
128826	2	16081	2013-08-03 23:45:49.015474	2013-08-03 23:45:49.015474	\N	fc5bdec7-415e-4716-bc17-2539e4cd2425
136027	19	17986	2013-08-04 01:01:20.352729	2013-08-04 01:01:20.352729	\N	996f7b7d-10e1-4f23-b12a-8a8811eb654a
136033	9	17986	2013-08-04 01:01:23.521471	2013-08-04 01:01:23.521471	\N	33c7e94b-c6ac-4c12-931b-6d86cad76711
146798	2	19564	2013-08-04 02:00:56.050265	2013-08-04 02:00:56.050265	\N	3fc0dc6e-97fb-4800-a2a1-d339f74dbe62
130997	12	16727	2013-08-04 00:10:42.114246	2013-08-04 00:10:42.114246	\N	50155e86-8d72-4dd3-acde-da467f14a141
130998	2	16687	2013-08-04 00:10:43.216699	2013-08-04 00:10:43.216699	\N	b8fbf0a2-a774-4952-b393-6fd94e23ad2a
126522	9	15719	2013-08-03 23:29:42.71798	2013-08-03 23:29:42.71798	\N	09b843d6-93a1-4196-9ecc-a2db2c9d952c
124457	6	15316	2013-08-03 23:15:33.876703	2013-08-03 23:15:33.876703	\N	9e2d8767-42bd-4b96-b7e7-61fba466e83b
126523	9	15679	2013-08-03 23:29:42.897453	2013-08-03 23:29:42.897453	\N	f5160e8c-8dbd-4d5a-a794-471c7dee8ac9
124462	19	15301	2013-08-03 23:15:35.42759	2013-08-03 23:15:35.42759	\N	befe03e3-b376-4c49-b23f-a5caef308002
126525	17	15718	2013-08-03 23:29:43.043017	2013-08-03 23:29:43.043017	\N	332c46c9-b350-40e7-bb8d-cc7d5f0432ee
124488	14	15301	2013-08-03 23:15:42.941569	2013-08-03 23:15:42.941569	\N	55f0380f-e91b-46cf-8a0d-a63392034958
131000	2	16726	2013-08-04 00:10:43.270232	2013-08-04 00:10:43.270232	\N	1d6e80e0-bd7f-4175-b862-16cd18b2f87f
126530	6	15718	2013-08-03 23:29:44.397814	2013-08-03 23:29:44.397814	\N	c5d4e7c0-583b-4cd5-9043-316b32a0e5f4
126531	3	15679	2013-08-03 23:29:44.688654	2013-08-03 23:29:44.688654	\N	7cc8d511-c803-4160-a5a7-41260dc629d3
126532	3	15718	2013-08-03 23:29:44.733328	2013-08-03 23:29:44.733328	\N	4541a9db-8799-4b2a-8dcd-c2b1880e580b
126533	3	15694	2013-08-03 23:29:44.793321	2013-08-03 23:29:44.793321	\N	a2c9333c-3d18-476f-9589-76591ca2b656
126534	3	15667	2013-08-03 23:29:44.843183	2013-08-03 23:29:44.843183	\N	2c9e5b03-7f36-42a6-b905-ce25e3669389
128852	4	16097	2013-08-03 23:46:02.431131	2013-08-03 23:46:02.431131	\N	f6db6faa-6ba8-4562-99c7-fda68913eb7d
146799	2	19572	2013-08-04 02:00:56.086102	2013-08-04 02:00:56.086102	\N	769f5f64-1c2b-4516-886c-f7cbf5ca0f8f
131002	1	16687	2013-08-04 00:10:43.860503	2013-08-04 00:10:43.860503	\N	9d692b62-6495-4329-9aca-08e7a1fbb7d0
126567	13	15679	2013-08-03 23:29:54.972609	2013-08-03 23:29:54.972609	\N	306f60c8-8f9f-4ec0-9833-3f1963ab23ed
126568	13	15667	2013-08-03 23:29:55.283729	2013-08-03 23:29:55.283729	\N	61baa189-2a86-4985-a98b-1565dbf507cf
124558	3	15340	2013-08-03 23:15:59.869223	2013-08-03 23:15:59.869223	\N	9301dc67-859b-4563-b703-56247446355f
124559	3	15325	2013-08-03 23:15:59.914641	2013-08-03 23:15:59.914641	\N	16cafe15-de07-4343-8b09-dce91a3e5e07
124560	3	15301	2013-08-03 23:15:59.961171	2013-08-03 23:15:59.961171	\N	64633b3b-0b7c-46af-b032-8657ee4de5ab
124561	3	15289	2013-08-03 23:15:59.989862	2013-08-03 23:15:59.989862	\N	bf79d247-dd76-45ef-bda1-a50106997427
124562	3	15316	2013-08-03 23:16:00.026232	2013-08-03 23:16:00.026232	\N	54ceb963-4cd5-4357-a982-60a574f81f52
124563	19	15325	2013-08-03 23:16:00.637022	2013-08-03 23:16:00.637022	\N	b32a777c-ba8a-45c0-a5c9-c4f9ec547a18
131004	9	16727	2013-08-04 00:10:44.234165	2013-08-04 00:10:44.234165	\N	1a42ffc2-1efe-4cfa-9005-995739b1085d
126585	15	15667	2013-08-03 23:30:00.140582	2013-08-03 23:30:00.140582	\N	a9e263d0-727c-4a8c-8255-41ec66545211
131008	8	16726	2013-08-04 00:10:44.564546	2013-08-04 00:10:44.564546	\N	df604c1e-8fc8-4c34-8348-167f135f06d2
146800	7	19498	2013-08-04 02:00:56.600318	2013-08-04 02:00:56.600318	\N	2abe1103-ee48-4722-a7e3-a5eda0a69df5
131023	11	16687	2013-08-04 00:10:52.261342	2013-08-04 00:10:52.261342	\N	bea03b16-70b4-4f3a-966d-64e7f46a07e0
126606	7	15679	2013-08-03 23:30:13.126031	2013-08-03 23:30:13.126031	\N	8ebe30ca-f5e8-4a8d-92e7-71c7ae8f9a93
131026	11	16675	2013-08-04 00:10:52.809283	2013-08-04 00:10:52.809283	\N	eb8376fe-73ff-4900-90c2-76163f2a41e8
159441	14	21163	2013-08-04 17:03:25.789869	2013-08-04 17:03:25.789869	\N	7077c5ee-380b-43b9-b62b-bb2a61362336
131036	11	16711	2013-08-04 00:10:55.4402	2013-08-04 00:10:55.4402	\N	40b16f48-b094-48e5-aceb-7b92ad9a7dda
146802	7	19447	2013-08-04 02:00:57.62269	2013-08-04 02:00:57.62269	\N	8c7f47c9-d02e-4341-b03f-23a30a95c0d0
131038	11	16726	2013-08-04 00:10:56.362926	2013-08-04 00:10:56.362926	\N	56406e47-561c-43e6-b704-7835dc2a93d0
149739	8	19963	2013-08-04 02:20:53.99188	2013-08-04 02:20:53.99188	\N	4b07df4d-1c7f-4bb5-8cd1-d304fe23c836
136054	2	18060	2013-08-04 01:01:34.170546	2013-08-04 01:01:34.170546	\N	8cf6729b-fbcb-43fc-9630-230382e9bc6e
126629	4	15703	2013-08-03 23:30:23.266462	2013-08-03 23:30:23.266462	\N	c43387e2-1c4d-464c-ab5d-c2bacf652d79
128907	10	16081	2013-08-03 23:46:33.653684	2013-08-03 23:46:33.653684	\N	a9d82b01-16e7-4377-ab8f-aee6cf5b7b8d
126635	11	15667	2013-08-03 23:30:23.916689	2013-08-03 23:30:23.916689	\N	ef441286-a395-4138-bb45-22a64e66ad20
128910	10	16096	2013-08-03 23:46:33.93488	2013-08-03 23:46:33.93488	\N	ed5641cc-3dda-4b06-8ed3-f7501ab583ad
131055	12	16687	2013-08-04 00:11:08.456358	2013-08-04 00:11:08.456358	\N	8af37fce-06e0-4508-8230-1701e9c40c28
159385	9	21209	2013-08-04 17:02:39.862856	2013-08-04 17:02:39.862856	\N	54583202-58ee-4be3-9e9f-76c480ca2e3b
124290	7	15325	2013-08-03 23:14:42.745154	2013-08-03 23:14:42.745154	\N	20db1237-d38c-4613-8927-cedbf0c4a4b5
122127	3	14827	2013-08-03 22:59:12.420101	2013-08-03 22:59:12.420101	\N	267898bf-46dc-4fc0-ab65-e1e0f31f8c7e
122128	3	14797	2013-08-03 22:59:12.526715	2013-08-03 22:59:12.526715	\N	e07365d6-89e9-4187-b2e2-3c4e72620cae
136011	9	17987	2013-08-04 01:01:17.316702	2013-08-04 01:01:17.316702	\N	f12bcf5b-8034-4203-b658-dbdbcc77f54e
122153	15	14962	2013-08-03 22:59:33.55224	2013-08-03 22:59:33.55224	\N	3d6ea2dc-f255-4548-b557-d7f3ca7e1711
128651	15	16045	2013-08-03 23:44:31.450257	2013-08-03 23:44:31.450257	\N	fd81aad0-4f29-4db6-a7b0-41c6244ce608
122174	11	14953	2013-08-03 22:59:44.478141	2013-08-03 22:59:44.478141	\N	dfe96d70-e460-40ea-bb31-45201bd58c96
128652	7	16057	2013-08-03 23:44:33.741125	2013-08-03 23:44:33.741125	\N	0116f756-9483-428a-a026-967c4612eefd
124331	17	15301	2013-08-03 23:14:52.855274	2013-08-03 23:14:52.855274	\N	c7fc9cf9-2854-4bda-a8ac-0575e4ace1c8
122177	11	14923	2013-08-03 22:59:45.27306	2013-08-03 22:59:45.27306	\N	aea0b393-d56c-4cee-9757-c648407f8c40
124332	20	15340	2013-08-03 23:14:52.929468	2013-08-03 23:14:52.929468	\N	0aa0257f-683c-4363-a099-110cf7011e6c
152810	9	20467	2013-08-04 02:41:53.633343	2013-08-04 02:41:53.633343	\N	75265dcf-3449-4616-8d85-4b021e2f64da
136020	11	17947	2013-08-04 01:01:19.12704	2013-08-04 01:01:19.12704	\N	4c448c27-e74c-4952-9ea5-fd7b573e637f
122185	11	14947	2013-08-03 22:59:48.285367	2013-08-03 22:59:48.285367	\N	869c4770-060a-430a-88aa-60381b5edc82
122192	11	14965	2013-08-03 22:59:49.581806	2013-08-03 22:59:49.581806	\N	43a0e655-1350-48cf-aa35-6b0e25cf2b18
128660	19	16097	2013-08-03 23:44:40.48117	2013-08-03 23:44:40.48117	\N	78ead27a-db63-469a-ae4d-8edf6cd982e5
128661	8	16057	2013-08-03 23:44:40.916025	2013-08-03 23:44:40.916025	\N	0c3c5c5f-8f43-43d1-9420-e9cc97f674e3
128678	7	16097	2013-08-03 23:44:48.620557	2013-08-03 23:44:48.620557	\N	5a150543-70ab-4508-a11c-e59f9f406548
124373	11	15340	2013-08-03 23:15:05.043053	2013-08-03 23:15:05.043053	\N	7d86465b-8094-4258-8461-35393069226c
152812	9	20455	2013-08-04 02:41:53.841175	2013-08-04 02:41:53.841175	\N	3d560cf9-39ec-441a-b788-39339fbc1626
128687	19	16045	2013-08-03 23:44:50.704211	2013-08-03 23:44:50.704211	\N	bd1c86d9-ee62-40dd-92d5-dc62949bf416
136030	11	17986	2013-08-04 01:01:22.930095	2013-08-04 01:01:22.930095	\N	5a3025b6-5c0d-4676-ad02-c043c0abf01a
122213	4	14963	2013-08-03 22:59:59.760585	2013-08-03 22:59:59.760585	\N	f645bd0d-f3e8-4a87-91b9-284744292beb
146776	7	19459	2013-08-04 02:00:48.839689	2013-08-04 02:00:48.839689	\N	fe0ea862-f064-469f-96a7-33ad02dd42cd
146777	2	19477	2013-08-04 02:00:50.208093	2013-08-04 02:00:50.208093	\N	f3dddbb6-b1fb-4da1-8cf9-1e563aa36332
122218	6	14923	2013-08-03 23:00:03.704901	2013-08-03 23:00:03.704901	\N	dad92599-27d9-40fe-8e83-1ed67cebeb09
146779	2	19459	2013-08-04 02:00:50.325249	2013-08-04 02:00:50.325249	\N	46cf9370-536b-4334-9d4e-d333ce387beb
126425	4	15577	2013-08-03 23:28:20.366215	2013-08-03 23:28:20.366215	\N	1f4fd720-ae03-4177-8b02-dc0d5b2cb636
146781	2	19447	2013-08-04 02:00:50.409549	2013-08-04 02:00:50.409549	\N	111a819a-e3d0-40d1-bcfd-6e0d6585e999
128716	6	16081	2013-08-03 23:45:00.048549	2013-08-03 23:45:00.048549	\N	783f976b-e7aa-42af-bd6a-33dcbb51f41d
122232	2	14923	2013-08-03 23:00:09.857271	2013-08-03 23:00:09.857271	\N	0e9beed4-a6d0-42ba-99f9-734c80fd072b
128726	11	16081	2013-08-03 23:45:01.997083	2013-08-03 23:45:01.997083	\N	cae276dc-1000-4c20-9a1b-8d58a25e5c37
122236	13	14923	2013-08-03 23:00:13.346767	2013-08-03 23:00:13.346767	\N	8abcd64c-572c-4bb5-9b86-874266062b02
128736	4	16057	2013-08-03 23:45:05.071214	2013-08-03 23:45:05.071214	\N	3e80fb5e-d6ea-482f-ba5a-b4fc1dfe4a45
128737	4	16045	2013-08-03 23:45:05.135064	2013-08-03 23:45:05.135064	\N	7e737d6c-5392-4752-a226-a4678c3abfb7
130868	13	16600	2013-08-04 00:08:36.608027	2013-08-04 00:08:36.608027	\N	b7abed07-06dd-4c84-ae8a-47cb0a71e58b
149779	17	19951	2013-08-04 02:21:02.135711	2013-08-04 02:21:02.135711	\N	66122fdd-f5db-4737-8323-69a44439f564
128753	19	16096	2013-08-03 23:45:11.487481	2013-08-03 23:45:11.487481	\N	1749ce1a-3e5e-4569-af5b-6e41c51f7179
136082	7	17947	2013-08-04 01:01:51.121321	2013-08-04 01:01:51.121321	\N	ae7e9d36-fcb9-44b8-9ef2-6d4f10da8a47
146783	2	19542	2013-08-04 02:00:50.504723	2013-08-04 02:00:50.504723	\N	531c402e-bc70-4c0c-88a1-06478a0e005d
146784	2	19560	2013-08-04 02:00:50.555204	2013-08-04 02:00:50.555204	\N	1a67bbc1-1173-4a4c-b682-3f92a49d769d
122263	6	14947	2013-08-03 23:00:27.248251	2013-08-03 23:00:27.248251	\N	59a8dca9-e898-4a71-b06f-5be05a400175
124485	14	15325	2013-08-03 23:15:42.430553	2013-08-03 23:15:42.430553	\N	e7a59619-a4d7-4edd-ab1b-b1430bc38529
146785	2	19550	2013-08-04 02:00:50.601809	2013-08-04 02:00:50.601809	\N	135a5b12-8fa0-441a-adee-b98e791dbe2b
128772	19	16081	2013-08-03 23:45:20.566341	2013-08-03 23:45:20.566341	\N	f38fa91b-caa0-432b-852f-2c81207dccda
141304	12	18829	2013-08-04 01:39:06.52818	2013-08-04 01:39:06.52818	\N	a26f585c-908d-47b3-90e1-1a6147f4834f
146786	2	19546	2013-08-04 02:00:50.64022	2013-08-04 02:00:50.64022	\N	4ec407f6-8199-4a58-a4b0-251904c93774
146787	2	19540	2013-08-04 02:00:50.686152	2013-08-04 02:00:50.686152	\N	7fe85d96-3472-42e2-9886-06dd8ae502f9
136107	13	17947	2013-08-04 01:02:02.887531	2013-08-04 01:02:02.887531	\N	aa08cb1b-bf09-4d80-b917-91f872e44720
128812	14	16057	2013-08-03 23:45:43.770276	2013-08-03 23:45:43.770276	\N	2a7d88aa-f2de-4ec7-bd9e-e80d98aa7c20
128813	14	16081	2013-08-03 23:45:43.93018	2013-08-03 23:45:43.93018	\N	1ffcb989-9a9a-446c-940b-811e87c93ddd
126519	8	15703	2013-08-03 23:29:41.808335	2013-08-03 23:29:41.808335	\N	a222b9ca-e288-4cad-9713-68099f814c77
146788	2	19499	2013-08-04 02:00:50.733278	2013-08-04 02:00:50.733278	\N	250e4f04-c061-4057-845a-302a07d242ee
126554	4	15679	2013-08-03 23:29:51.035486	2013-08-03 23:29:51.035486	\N	f018cc09-3a5f-4a0b-8eb7-5a1f6f576b02
122337	4	14947	2013-08-03 23:00:49.892526	2013-08-03 23:00:49.892526	\N	6bf2d4dc-6082-4d90-bd27-c73b42852421
126555	4	15667	2013-08-03 23:29:51.138923	2013-08-03 23:29:51.138923	\N	14812d65-a7aa-4de8-ad46-8524a961633b
126556	4	15694	2013-08-03 23:29:51.2103	2013-08-03 23:29:51.2103	\N	78a9fa0c-747d-4caa-a01b-48670235e450
126557	4	15718	2013-08-03 23:29:51.250876	2013-08-03 23:29:51.250876	\N	76ae3440-db80-4eb6-95bd-62f0675d8285
146791	19	19459	2013-08-04 02:00:55.356584	2013-08-04 02:00:55.356584	\N	4e6ddad2-98f0-4887-b864-3e4ca29b8226
146792	19	19447	2013-08-04 02:00:55.700967	2013-08-04 02:00:55.700967	\N	a3a9c41c-5ae5-48b4-ae20-dffc582cf179
162795	8	21702	2013-08-04 17:21:55.967603	2013-08-04 17:21:55.967603	\N	bb7ada35-2f5b-49ca-bc41-dc3c70a98dab
146811	6	19459	2013-08-04 02:00:58.592736	2013-08-04 02:00:58.592736	\N	cf443b48-bb7a-41a6-9a2f-8591ab8f0b4b
126590	7	15694	2013-08-03 23:30:03.255626	2013-08-03 23:30:03.255626	\N	6e3a8cd4-3f5d-4585-b286-ae29a1ac8e67
166164	9	22199	2013-08-04 17:42:32.854183	2013-08-04 17:42:32.854183	\N	b1c4b843-be8a-4708-be6b-517a5f50ed86
126607	7	15667	2013-08-03 23:30:13.945519	2013-08-03 23:30:13.945519	\N	74fd6467-f429-4f87-bbb8-248045d24e7e
146834	20	19499	2013-08-04 02:01:05.07741	2013-08-04 02:01:05.07741	\N	bae87f2f-4b24-4ca2-9a4e-19d8206193c5
146835	16	19459	2013-08-04 02:01:05.527506	2013-08-04 02:01:05.527506	\N	1f257fbd-08d0-46e9-913e-1a442816af3c
152816	19	20482	2013-08-04 02:41:55.04877	2013-08-04 02:41:55.04877	\N	6822b186-e45f-4111-a7e1-2aad32218b53
130996	6	16726	2013-08-04 00:10:40.468123	2013-08-04 00:10:40.468123	\N	9deae37b-4dcc-4654-a8d3-9489d581f406
130999	8	16727	2013-08-04 00:10:43.243355	2013-08-04 00:10:43.243355	\N	2808e25e-1c08-4ddb-ae9d-013aa3e467be
149912	9	19951	2013-08-04 02:21:46.204962	2013-08-04 02:21:46.204962	\N	aed15702-7bd1-45b7-bd3a-5619c33838b1
144251	4	19411	2013-08-04 01:56:49.670495	2013-08-04 01:56:49.670495	\N	08cd017f-b377-43ad-a84b-cd593e9ea370
126649	11	15703	2013-08-03 23:30:26.881012	2013-08-03 23:30:26.881012	\N	973ab11e-e7f7-4f66-878e-d3f91cb9de10
166166	9	22181	2013-08-04 17:42:33.028342	2013-08-04 17:42:33.028342	\N	d3fb4b7b-ba89-4906-9506-0ec234e90e80
131049	15	16727	2013-08-04 00:11:01.34456	2013-08-04 00:11:01.34456	\N	9c594587-2a2d-44f9-bddf-b8095d928545
133531	8	17356	2013-08-04 00:35:58.893187	2013-08-04 00:35:58.893187	\N	fe2b7e3f-52d3-408c-9a19-9a0a26abb6a2
133537	7	17305	2013-08-04 00:35:59.552882	2013-08-04 00:35:59.552882	\N	d0bb8dfa-87d4-4d2a-aa43-7a9266de8f13
133538	2	17305	2013-08-04 00:35:59.795509	2013-08-04 00:35:59.795509	\N	4fbd29e5-85aa-4db9-9efe-dd96448e4c71
128892	14	16096	2013-08-03 23:46:27.944448	2013-08-03 23:46:27.944448	\N	7997ae68-3320-44c2-aebd-5cef6cca78c0
133539	2	17356	2013-08-04 00:35:59.827491	2013-08-04 00:35:59.827491	\N	53febde8-4120-4957-806c-348f4a7ba08d
131069	6	16675	2013-08-04 00:11:20.267502	2013-08-04 00:11:20.267502	\N	84fab376-47ee-4d5d-8f5f-0ec9eaf053c1
128906	10	16045	2013-08-03 23:46:33.555066	2013-08-03 23:46:33.555066	\N	30acbce1-6760-46ba-adce-3f55b7c725d9
128908	10	16057	2013-08-03 23:46:33.744556	2013-08-03 23:46:33.744556	\N	7ef64159-6904-4a9b-a84a-5f8f80fb1dd8
128909	10	16097	2013-08-03 23:46:33.832089	2013-08-03 23:46:33.832089	\N	f7463ffb-186d-4abf-979e-3dd9555faead
207036	2	26447	2013-08-04 20:42:45.349207	2013-08-04 20:42:45.349207	\N	1dedcdeb-a112-422c-99d8-9f31339c6531
133541	2	17357	2013-08-04 00:35:59.953595	2013-08-04 00:35:59.953595	\N	24be2a60-7f16-4fe7-99fc-d5526c78dd2c
166169	11	22144	2013-08-04 17:42:33.73824	2013-08-04 17:42:33.73824	\N	8fe317cc-0208-4809-91d4-24bf6a5ddc6d
146872	9	19499	2013-08-04 02:01:17.994277	2013-08-04 02:01:17.994277	\N	20b1a811-e1fe-4a32-b262-b90651c5068c
131098	4	16727	2013-08-04 00:11:38.292517	2013-08-04 00:11:38.292517	\N	decd647e-792e-46cd-b0d5-02a5358e52d3
133561	11	17356	2013-08-04 00:36:07.760852	2013-08-04 00:36:07.760852	\N	6bc6bda7-1f91-4833-b5be-8022bac4d585
136238	14	17943	2013-08-04 01:03:13.657049	2013-08-04 01:03:13.657049	\N	5d5a2bd1-2a9c-465f-a5a8-45204e24026c
146879	17	19477	2013-08-04 02:01:22.402684	2013-08-04 02:01:22.402684	\N	46adf62c-401a-4257-8709-989376207720
141453	2	18955	2013-08-04 01:41:04.121925	2013-08-04 01:41:04.121925	\N	74b9e44e-f55d-47e2-9935-da43c6999d29
141454	2	19056	2013-08-04 01:41:04.188485	2013-08-04 01:41:04.188485	\N	820c1c0f-6cc1-4e72-8920-659e83b9a234
133581	6	17356	2013-08-04 00:36:16.761861	2013-08-04 00:36:16.761861	\N	47bd48ed-647e-4a04-b16e-3c30433135b4
133589	13	17305	2013-08-04 00:36:19.350263	2013-08-04 00:36:19.350263	\N	6eebc4e2-889f-4115-8013-2057741996cd
126689	19	15694	2013-08-03 23:30:37.768151	2013-08-03 23:30:37.768151	\N	15712962-27c9-409d-b91d-e0e47c4d6f67
141456	2	19032	2013-08-04 01:41:04.22254	2013-08-04 01:41:04.22254	\N	19ec4f5f-47fe-44d4-8e73-c29570e7456a
136251	13	17986	2013-08-04 01:03:19.488941	2013-08-04 01:03:19.488941	\N	647ea948-c6ad-4c2b-9658-3775f3c9ddbc
141457	2	19046	2013-08-04 01:41:04.296095	2013-08-04 01:41:04.296095	\N	32c464ad-1d02-4aec-b59e-379e302e9c98
141458	2	19038	2013-08-04 01:41:04.356041	2013-08-04 01:41:04.356041	\N	af3a5308-d1b4-4737-8b60-d1a0aca27826
126706	13	15718	2013-08-03 23:30:44.20433	2013-08-03 23:30:44.20433	\N	9ce6e25c-89ca-4724-a1bc-5adc0d84864b
141459	2	19036	2013-08-04 01:41:04.40373	2013-08-04 01:41:04.40373	\N	7deafb1b-002e-4e15-b81d-b318442a8f6c
141460	2	19042	2013-08-04 01:41:04.461956	2013-08-04 01:41:04.461956	\N	b0d973ed-2f05-49d4-b839-7678fda9220e
198602	14	25331	2013-08-04 19:57:52.81592	2013-08-04 19:57:52.81592	\N	00505333-bed8-4a7c-9a9a-085448d882b9
126480	5	15577	2013-08-03 23:28:42.068923	2013-08-03 23:28:42.068923	\N	0ccfc754-2eda-4d01-9957-2d3f0c865ee5
124300	7	15340	2013-08-03 23:14:46.568663	2013-08-03 23:14:46.568663	\N	989a7d12-d283-49e3-b83b-4f2269e09df4
124301	7	15301	2013-08-03 23:14:46.679549	2013-08-03 23:14:46.679549	\N	10c47885-bfdd-4156-9fed-4076d85d6012
124302	7	15316	2013-08-03 23:14:46.787824	2013-08-03 23:14:46.787824	\N	e9e53bf7-a202-435a-a3e0-a9a5dd340e8f
133532	17	17356	2013-08-04 00:35:58.918521	2013-08-04 00:35:58.918521	\N	4dd28dad-f255-402f-8f55-7596f25c0d9b
122131	8	14947	2013-08-03 22:59:26.906751	2013-08-03 22:59:26.906751	\N	4bf9c0a9-f475-4952-b492-8a64c77d589a
122136	15	14923	2013-08-03 22:59:28.381965	2013-08-03 22:59:28.381965	\N	5dc0b486-2b1f-471a-a2aa-7f6493b2256d
122138	2	14947	2013-08-03 22:59:28.918533	2013-08-03 22:59:28.918533	\N	bdd8cbcc-0eec-40b6-bd1d-70bccd2c5882
122139	2	14965	2013-08-03 22:59:28.967535	2013-08-03 22:59:28.967535	\N	c756a857-693e-42a7-a25e-659afaf645c0
122140	2	14962	2013-08-03 22:59:29.027593	2013-08-03 22:59:29.027593	\N	1e389a35-0f35-4272-943e-550d04c255ff
122141	2	14919	2013-08-03 22:59:29.076376	2013-08-03 22:59:29.076376	\N	5be17b7c-2bb6-4a9a-8b35-6eb75ab40c6a
124304	7	15289	2013-08-03 23:14:46.965515	2013-08-03 23:14:46.965515	\N	2e15604a-bf13-4627-bc31-5d3d7289fdf6
136055	18	17943	2013-08-04 01:01:35.306881	2013-08-04 01:01:35.306881	\N	d1cb9758-4706-44f2-bba4-5a9a3cd58e26
128672	1	16097	2013-08-03 23:44:43.91394	2013-08-03 23:44:43.91394	\N	6b327b42-f6e8-4c6e-bb34-0125b5f98f50
133546	11	17317	2013-08-04 00:36:03.750547	2013-08-04 00:36:03.750547	\N	6c89e01d-3783-4433-943c-ac9ee674d5e3
149753	2	19951	2013-08-04 02:20:57.353737	2013-08-04 02:20:57.353737	\N	7acf9b5a-91f6-4f83-b8c3-544301318b44
126535	2	15667	2013-08-03 23:29:44.877502	2013-08-03 23:29:44.877502	\N	fcc19155-7c48-46ba-be94-eb90f008db7d
124335	17	15289	2013-08-03 23:14:53.033524	2013-08-03 23:14:53.033524	\N	b1fee4ca-e20c-4768-a32d-15e56cd43111
124336	7	15297	2013-08-03 23:14:53.109775	2013-08-03 23:14:53.109775	\N	712e43c7-077b-4189-bf4e-fb7fdbaced70
124338	14	15289	2013-08-03 23:14:56.205164	2013-08-03 23:14:56.205164	\N	6f7130e0-1fc2-4c57-9d78-177c4854a47f
124339	14	15297	2013-08-03 23:14:56.313321	2013-08-03 23:14:56.313321	\N	6b538fd0-76e9-44e5-bb8d-6820f7c883ce
149754	2	19963	2013-08-04 02:20:57.393073	2013-08-04 02:20:57.393073	\N	32bf951a-2a28-4c3b-bde0-3911f9b926ce
124345	15	15341	2013-08-03 23:14:59.041701	2013-08-03 23:14:59.041701	\N	aa2548b9-e008-4c8e-90b9-1ee515596920
124347	15	15301	2013-08-03 23:14:59.422319	2013-08-03 23:14:59.422319	\N	5662d85b-c301-4143-868d-03be7427fa8e
126537	2	15694	2013-08-03 23:29:44.946596	2013-08-03 23:29:44.946596	\N	a0601deb-f2a1-48a7-9efc-ceed6d089ee5
122223	6	14962	2013-08-03 23:00:05.42388	2013-08-03 23:00:05.42388	\N	9d6e6155-d364-48b6-ba8f-cd37751da845
126538	2	15703	2013-08-03 23:29:45.008531	2013-08-03 23:29:45.008531	\N	8036fece-c0c7-46a7-9c1e-4ce106396304
126539	2	15718	2013-08-03 23:29:45.046135	2013-08-03 23:29:45.046135	\N	f7021d41-8bc9-4e6b-abf3-80ab9298725e
124371	11	15325	2013-08-03 23:15:04.197799	2013-08-03 23:15:04.197799	\N	3221c177-ea15-411f-8966-bfbd709402bc
126541	2	15679	2013-08-03 23:29:45.159519	2013-08-03 23:29:45.159519	\N	e3289e3c-16e2-4bf3-afb7-fcbd0a0eaff2
146806	7	19477	2013-08-04 02:00:57.982277	2013-08-04 02:00:57.982277	\N	e59e6102-9bd1-4b31-9cc2-2c87c8ca6dd6
124380	2	15289	2013-08-03 23:15:10.396029	2013-08-03 23:15:10.396029	\N	e414a726-00a2-473e-9eab-f59f8057e6ae
122235	13	14953	2013-08-03 23:00:12.744214	2013-08-03 23:00:12.744214	\N	dd5423af-4dae-433a-83a3-343098a7d1f5
126543	6	15703	2013-08-03 23:29:45.827182	2013-08-03 23:29:45.827182	\N	469f489a-54e5-47c9-a073-7a2b0d315dac
128685	4	16081	2013-08-03 23:44:50.253283	2013-08-03 23:44:50.253283	\N	9283d0ed-a4d0-4543-9b86-37770122ccf6
122245	6	14953	2013-08-03 23:00:17.936191	2013-08-03 23:00:17.936191	\N	59a97395-4c51-4d5e-8321-02351710c633
128686	4	16096	2013-08-03 23:44:50.30152	2013-08-03 23:44:50.30152	\N	aea13364-39c1-4cd4-83df-4fec7cee4eee
126551	6	15679	2013-08-03 23:29:48.569702	2013-08-03 23:29:48.569702	\N	bd6be45c-a6f0-45cc-83fe-12507f307dc1
133555	4	17317	2013-08-04 00:36:05.570466	2013-08-04 00:36:05.570466	\N	abd57bbe-e0b0-4e0e-be56-c76147ce9c24
128691	15	16097	2013-08-03 23:44:51.574799	2013-08-03 23:44:51.574799	\N	8550a77f-d184-4e7f-85f8-5d4e3f0024fa
128698	13	16057	2013-08-03 23:44:56.193423	2013-08-03 23:44:56.193423	\N	9dfe4218-bb0a-4b6d-b2de-fd21fdd367fb
133556	4	17305	2013-08-04 00:36:05.68369	2013-08-04 00:36:05.68369	\N	a82135b6-eb54-4a07-a073-dcd10bd08f70
128706	14	16045	2013-08-03 23:44:56.737017	2013-08-03 23:44:56.737017	\N	37adc28a-415b-4858-8502-2d1577b97528
124419	6	15325	2013-08-03 23:15:20.854746	2013-08-03 23:15:20.854746	\N	b5eaf207-4126-49b4-b0ed-3277c0eb7a71
128710	11	16057	2013-08-03 23:44:59.121976	2013-08-03 23:44:59.121976	\N	4da92944-2a14-4860-be6d-73d63b04946e
133557	4	17356	2013-08-04 00:36:05.732151	2013-08-04 00:36:05.732151	\N	8cc0e108-48ee-432e-88dd-158fe5b7c93c
126598	15	15694	2013-08-03 23:30:07.405194	2013-08-03 23:30:07.405194	\N	ef1fed72-d180-41b6-97b8-0a58179442bf
124455	19	15341	2013-08-03 23:15:33.711023	2013-08-03 23:15:33.711023	\N	c4e080a9-c6bc-4698-af79-a01ad3184857
126599	15	15718	2013-08-03 23:30:07.869513	2013-08-03 23:30:07.869513	\N	773b7572-8d20-4cdc-8a54-f2d02599e9ec
122295	17	14963	2013-08-03 23:00:37.721105	2013-08-03 23:00:37.721105	\N	38e9dcab-b842-4886-8615-ca34a4c1e8bc
128712	11	16045	2013-08-03 23:44:59.470336	2013-08-03 23:44:59.470336	\N	ea4fc156-32cf-4113-9491-70296bda4ea0
133565	19	17317	2013-08-04 00:36:08.697484	2013-08-04 00:36:08.697484	\N	29d840df-b1c8-46b4-81ae-b54c99545005
128722	15	16057	2013-08-03 23:45:01.008244	2013-08-03 23:45:01.008244	\N	7133c6c6-0788-469f-b5de-eff335302db1
133566	19	17305	2013-08-04 00:36:09.108115	2013-08-04 00:36:09.108115	\N	d003fa58-cc27-4903-9e31-a4dddab457ea
149756	2	20003	2013-08-04 02:20:57.445576	2013-08-04 02:20:57.445576	\N	50b56d32-9be9-4320-b564-e8fc4ae7b1da
126630	11	15679	2013-08-03 23:30:23.338443	2013-08-03 23:30:23.338443	\N	cabc3b51-4933-4cbc-9b1b-091f9e42295a
126638	19	15719	2013-08-03 23:30:24.781438	2013-08-03 23:30:24.781438	\N	5420a3a3-d301-4616-b77b-f4d3d981842e
122311	4	14962	2013-08-03 23:00:42.403879	2013-08-03 23:00:42.403879	\N	6e214086-eb76-4b1f-b6c6-52e0624a89be
126642	11	15694	2013-08-03 23:30:25.885895	2013-08-03 23:30:25.885895	\N	7c86e63b-46ba-47cb-b3e4-ab539c1962a6
128728	17	16045	2013-08-03 23:45:02.322481	2013-08-03 23:45:02.322481	\N	2b96862e-e9a7-4ddf-8c13-fdbacb7a299a
136066	14	17935	2013-08-04 01:01:42.367813	2013-08-04 01:01:42.367813	\N	bf88e4c7-e352-46d4-a1e7-5dedae6b96e3
126670	19	15667	2013-08-03 23:30:30.981352	2013-08-03 23:30:30.981352	\N	19fec8c6-5564-4c36-af13-d3c0889ec70a
122317	14	14953	2013-08-03 23:00:43.36584	2013-08-03 23:00:43.36584	\N	6c1f11b4-dfd8-41bf-b65c-3a63e809bae7
136067	14	17986	2013-08-04 01:01:42.419002	2013-08-04 01:01:42.419002	\N	946ac71c-f845-4559-917a-68eb27a3589a
122325	9	14962	2013-08-03 23:00:48.854293	2013-08-03 23:00:48.854293	\N	d43537cc-f1b2-4dea-b4ba-158f1c0a0a35
144271	19	19373	2013-08-04 01:56:51.272525	2013-08-04 01:56:51.272525	\N	083e997a-d90f-4b51-b51c-f80acb337b4d
133582	7	17317	2013-08-04 00:36:16.785766	2013-08-04 00:36:16.785766	\N	58dcb0c8-2f07-4bc6-96c9-26b1e2045794
198593	17	25255	2013-08-04 19:57:49.931068	2013-08-04 19:57:49.931068	\N	53218925-b399-4d8a-b24d-ae6b45ca1410
159394	3	21097	2013-08-04 17:02:42.992025	2013-08-04 17:02:42.992025	\N	484b5677-f477-4ce4-8219-b36e4f01588d
131003	1	16727	2013-08-04 00:10:44.152735	2013-08-04 00:10:44.152735	\N	1a3af9ba-71b3-455d-aa78-880e2c9564e6
131005	8	16711	2013-08-04 00:10:44.557892	2013-08-04 00:10:44.557892	\N	e205d0d9-d62b-4d09-8602-c58f48cbfe32
133588	13	17317	2013-08-04 00:36:19.07783	2013-08-04 00:36:19.07783	\N	e4788d8a-12fb-431b-ab07-9002f3d2ef2e
124523	9	15289	2013-08-03 23:15:52.678095	2013-08-03 23:15:52.678095	\N	de5a45dc-a017-4033-b1c3-4aaa895b28b0
128765	9	16057	2013-08-03 23:45:17.667123	2013-08-03 23:45:17.667123	\N	cae6a771-402d-4a3a-9265-878f0cc6fa78
128766	9	16045	2013-08-03 23:45:17.863326	2013-08-03 23:45:17.863326	\N	2d00038b-acec-4bb5-a24d-9d01fa7a7fd6
133591	9	17317	2013-08-04 00:36:21.305523	2013-08-04 00:36:21.305523	\N	b81f1fc7-b1de-41bc-aefe-e590c082c06e
128785	17	16097	2013-08-03 23:45:25.968212	2013-08-03 23:45:25.968212	\N	9f604c68-13d7-4ff3-93f3-5aedbf471f34
124528	4	15289	2013-08-03 23:15:53.232831	2013-08-03 23:15:53.232831	\N	c31dde99-c91f-4c7d-88b4-d1142dedafad
124529	4	15340	2013-08-03 23:15:53.26404	2013-08-03 23:15:53.26404	\N	1083665f-24a0-4c8a-bb25-d66d3f2c4d43
131027	3	16726	2013-08-04 00:10:52.897604	2013-08-04 00:10:52.897604	\N	58b6666e-c6b3-4c93-b38b-7751462a4832
131028	3	16687	2013-08-04 00:10:52.977753	2013-08-04 00:10:52.977753	\N	185d4405-b40f-414e-bb60-f98629ab16fd
133592	9	17305	2013-08-04 00:36:21.506092	2013-08-04 00:36:21.506092	\N	79ff6833-b06f-4b2f-a551-6a3ea3508312
146812	11	19459	2013-08-04 02:00:59.108145	2013-08-04 02:00:59.108145	\N	d30b6914-d39b-4d62-b414-208e70dfdc3e
124552	19	15316	2013-08-03 23:15:59.353454	2013-08-03 23:15:59.353454	\N	cc38fe99-cd95-4b3d-84e5-b88170a25dbb
133596	15	17317	2013-08-04 00:36:23.188459	2013-08-04 00:36:23.188459	\N	213dd409-577d-45ce-b792-382d8435e1a6
149760	2	20002	2013-08-04 02:20:57.523499	2013-08-04 02:20:57.523499	\N	8c7e65fa-973f-49cf-afcd-7b2b1c98bb25
133601	6	17305	2013-08-04 00:36:23.794187	2013-08-04 00:36:23.794187	\N	2091e7e0-9f00-44a8-99cc-ee30e2dfed0d
126734	17	15694	2013-08-03 23:30:51.048139	2013-08-03 23:30:51.048139	\N	c249fad0-221c-4cbd-b376-7081638b4f8a
144284	12	19373	2013-08-04 01:56:52.207274	2013-08-04 01:56:52.207274	\N	c62c9cba-04d0-4110-ad34-df02fe9d2e9a
131063	2	16711	2013-08-04 00:11:13.577781	2013-08-04 00:11:13.577781	\N	e15a69c7-ecec-4cab-b2e3-3e018b4c187d
126741	7	15703	2013-08-03 23:30:52.744429	2013-08-03 23:30:52.744429	\N	1bef122b-c566-4e7c-b639-e4b80f8edfa5
146814	11	19447	2013-08-04 02:00:59.857058	2013-08-04 02:00:59.857058	\N	728b12fc-747b-4a56-bbd6-82b26c3f27e9
166176	11	22218	2013-08-04 17:42:34.602233	2013-08-04 17:42:34.602233	\N	127ff87d-b5cd-41f7-90bf-271901d0a5d0
131073	19	16675	2013-08-04 00:11:22.646999	2013-08-04 00:11:22.646999	\N	4896fd0d-d44b-4da8-afb0-711db271a566
131074	6	16687	2013-08-04 00:11:22.748433	2013-08-04 00:11:22.748433	\N	f6b36463-6346-44c0-85c5-6954aa03a687
126751	4	15719	2013-08-03 23:30:53.771652	2013-08-03 23:30:53.771652	\N	7867b1e9-ad82-4c07-ae8f-8fe15d9593a3
136083	7	17986	2013-08-04 01:01:51.198199	2013-08-04 01:01:51.198199	\N	43929142-2fc2-4567-b2d0-6088370f0211
131079	10	16711	2013-08-04 00:11:24.52351	2013-08-04 00:11:24.52351	\N	29d4d274-5cbe-4685-b6e6-5bd7f30d8203
131080	10	16687	2013-08-04 00:11:24.608611	2013-08-04 00:11:24.608611	\N	7d60011e-8359-402b-b632-d3364913c241
136084	7	17935	2013-08-04 01:01:51.275014	2013-08-04 01:01:51.275014	\N	ecbbc4ac-9514-446b-b169-b0b207d924fc
149763	2	20064	2013-08-04 02:20:57.604123	2013-08-04 02:20:57.604123	\N	a0876bc6-0992-4645-8a0e-9d7fa4daeb83
149764	2	20054	2013-08-04 02:20:57.635502	2013-08-04 02:20:57.635502	\N	0e595418-e618-4d18-a1ff-a76248d2031d
136099	2	17986	2013-08-04 01:01:59.619929	2013-08-04 01:01:59.619929	\N	3469f2b3-414f-4293-9148-865ea779acd6
136100	17	17947	2013-08-04 01:02:00.499062	2013-08-04 01:02:00.499062	\N	264c2df3-b842-45b4-b2f3-1a66f23f5f69
124626	13	15316	2013-08-03 23:16:27.028248	2013-08-03 23:16:27.028248	\N	f5ae5cb1-d00f-4195-8c02-ce9872c3dc54
146832	8	19499	2013-08-04 02:01:04.757849	2013-08-04 02:01:04.757849	\N	8cc7a87f-48e6-46e6-a10e-20f12e749882
149765	2	20044	2013-08-04 02:20:57.694073	2013-08-04 02:20:57.694073	\N	44c0e833-cfce-4c5a-a142-9db84c67c011
122130	8	14965	2013-08-03 22:59:26.905749	2013-08-03 22:59:26.905749	\N	6a25d883-91f1-4e19-95ee-1816e5ff711b
126552	9	15694	2013-08-03 23:29:49.244737	2013-08-03 23:29:49.244737	\N	4fab775c-932a-4aea-a5cc-29326ba80e51
122156	17	14923	2013-08-03 22:59:35.49705	2013-08-03 22:59:35.49705	\N	81c404c6-b4f8-40a0-86af-79bd7aebf094
122157	20	14923	2013-08-03 22:59:35.863937	2013-08-03 22:59:35.863937	\N	eafbaee2-3841-48d2-8220-65e7f7c30a7b
126553	6	15667	2013-08-03 23:29:50.133825	2013-08-03 23:29:50.133825	\N	2c15cfd0-f2d6-4f7c-8d48-6b2495221a2d
122162	2	14953	2013-08-03 22:59:39.288155	2013-08-03 22:59:39.288155	\N	7a73c7e0-8a02-4965-ac11-23848d999ea0
122163	9	14963	2013-08-03 22:59:40.23695	2013-08-03 22:59:40.23695	\N	1b6de28f-4098-4bdd-ac0e-eaec08d2f3b0
131012	4	16711	2013-08-04 00:10:46.665546	2013-08-04 00:10:46.665546	\N	6352007b-6710-4df3-8dcf-4baa17d1889e
122166	7	14953	2013-08-03 22:59:42.40738	2013-08-03 22:59:42.40738	\N	e0595249-fb8f-4663-815f-5b54cf8df709
122167	7	14947	2013-08-03 22:59:42.518992	2013-08-03 22:59:42.518992	\N	92f93b3f-3f89-43eb-a1de-f8d01d7a7396
126574	9	15718	2013-08-03 23:29:56.495117	2013-08-03 23:29:56.495117	\N	904f1fd9-2936-4efa-adc0-608c45d8fca3
131013	4	16726	2013-08-04 00:10:46.738577	2013-08-04 00:10:46.738577	\N	2c38e2d6-e429-421b-a402-bc2e2e84c688
146844	16	19477	2013-08-04 02:01:07.553806	2013-08-04 02:01:07.553806	\N	8219f963-5b58-465a-a060-65a8d6d9d33b
131020	14	16726	2013-08-04 00:10:51.043302	2013-08-04 00:10:51.043302	\N	f53d966d-db3f-413c-ab28-371f6bd913c2
124465	19	15289	2013-08-03 23:15:36.119405	2013-08-03 23:15:36.119405	\N	d5010d8f-7209-4061-b90c-01993cfa3830
131021	15	16675	2013-08-04 00:10:51.720466	2013-08-04 00:10:51.720466	\N	4d41b678-e272-4566-8c67-35f8771b6477
122190	11	14962	2013-08-03 22:59:49.082891	2013-08-03 22:59:49.082891	\N	8c7928c9-32c4-4d76-a6c4-0069456af351
141350	14	18817	2013-08-04 01:39:26.473609	2013-08-04 01:39:26.473609	\N	e3e7d604-e6a8-4895-b47a-86b6ab493d6c
133580	9	17357	2013-08-04 00:36:16.068792	2013-08-04 00:36:16.068792	\N	cc82fb12-85a9-4eaa-b4e1-19730e2f9053
122203	17	14962	2013-08-03 22:59:55.79035	2013-08-03 22:59:55.79035	\N	762d034c-dd78-492c-99df-704d3bba7ed1
136091	12	17947	2013-08-04 01:01:53.093963	2013-08-04 01:01:53.093963	\N	ee50e575-11c9-4251-ae15-9bb89ee58771
131041	15	16726	2013-08-04 00:10:58.716896	2013-08-04 00:10:58.716896	\N	c4200e12-a30b-4333-98d4-b6a5a96648a7
133586	6	17317	2013-08-04 00:36:17.805127	2013-08-04 00:36:17.805127	\N	29d76c34-719d-4bb0-849b-fb2086a98450
131072	19	16687	2013-08-04 00:11:21.973197	2013-08-04 00:11:21.973197	\N	a47d8476-9734-422a-80f1-9b0d8d18fb24
146846	12	19499	2013-08-04 02:01:08.019081	2013-08-04 02:01:08.019081	\N	9f106444-918a-4d27-8407-519c5982c185
126659	11	15718	2013-08-03 23:30:27.80357	2013-08-03 23:30:27.80357	\N	4e3ffbd7-39be-4300-811a-0ad9f18e89a4
136097	17	17987	2013-08-04 01:01:57.11747	2013-08-04 01:01:57.11747	\N	65c6a618-68a8-45ab-b707-31531419b15f
122268	9	14953	2013-08-03 23:00:28.402101	2013-08-03 23:00:28.402101	\N	4da65de7-c197-43c3-ac29-eadc16ddabaa
122269	9	14923	2013-08-03 23:00:28.530564	2013-08-03 23:00:28.530564	\N	a4e07adb-318d-474d-a3b9-b2b18b0e001d
133603	12	17305	2013-08-04 00:36:24.819324	2013-08-04 00:36:24.819324	\N	4e0c2266-77ff-49d1-a446-921cdbaf2da2
133604	15	17356	2013-08-04 00:36:25.820465	2013-08-04 00:36:25.820465	\N	77a47d30-c66a-4baf-9382-e595e77861c2
146849	13	19498	2013-08-04 02:01:09.070923	2013-08-04 02:01:09.070923	\N	898ba989-3afb-4e4c-b318-8961b551ba1e
149766	2	20050	2013-08-04 02:20:57.74398	2013-08-04 02:20:57.74398	\N	3121537e-9a87-4c97-84df-d667ac5a4f32
133632	1	17357	2013-08-04 00:36:43.797933	2013-08-04 00:36:43.797933	\N	bcf89cfb-3d97-4d2c-bb6e-81c053e80dc2
146851	16	19498	2013-08-04 02:01:09.501389	2013-08-04 02:01:09.501389	\N	bebcc163-1b59-43af-8bc8-785634833854
124504	17	15325	2013-08-03 23:15:50.137878	2013-08-03 23:15:50.137878	\N	b02a1e87-ac73-4b16-b2ba-b0de888a4870
131124	13	16687	2013-08-04 00:11:46.278276	2013-08-04 00:11:46.278276	\N	ced8c72f-7df6-49a7-ae68-7b82b9a82779
128901	3	16057	2013-08-03 23:46:33.146591	2013-08-03 23:46:33.146591	\N	1c52b93a-00f9-4ac4-b580-8bdbcac2a100
124511	8	15341	2013-08-03 23:15:50.476076	2013-08-03 23:15:50.476076	\N	fe221d54-73d7-4a0b-92b2-ae4cbe8b630a
126705	14	15703	2013-08-03 23:30:43.093974	2013-08-03 23:30:43.093974	\N	bff8a031-15b2-49c2-87f2-1bd8997bf1c7
124521	11	15316	2013-08-03 23:15:52.041983	2013-08-03 23:15:52.041983	\N	ca42fa88-2111-44c3-a389-0873d3a6638d
124522	9	15301	2013-08-03 23:15:52.552508	2013-08-03 23:15:52.552508	\N	1acbd286-e20a-4563-bf3f-9b87f927c7d2
131125	13	16675	2013-08-04 00:11:46.548097	2013-08-04 00:11:46.548097	\N	f4621a9b-55b3-490a-9c88-03f0a03757c5
131126	17	16687	2013-08-04 00:11:46.646801	2013-08-04 00:11:46.646801	\N	996e17e5-0a3f-49f7-9569-6f5640a6dd33
149767	2	20060	2013-08-04 02:20:57.803121	2013-08-04 02:20:57.803121	\N	e1727dfa-0d3c-4e12-9244-b34746660c2f
149768	2	20058	2013-08-04 02:20:57.852014	2013-08-04 02:20:57.852014	\N	e74a1c21-6b95-4d5c-832a-b12d3e28d6b1
149769	2	20068	2013-08-04 02:20:57.898657	2013-08-04 02:20:57.898657	\N	0bc50232-a04a-4c04-8875-c3ad70223fd5
149770	2	20070	2013-08-04 02:20:57.956116	2013-08-04 02:20:57.956116	\N	f039b1fc-8ea7-4868-8ad5-4c6f246be5ab
124538	19	15340	2013-08-03 23:15:55.322313	2013-08-03 23:15:55.322313	\N	82ef97d6-08d5-46c2-90cb-5a6b2178e67f
149771	2	20072	2013-08-04 02:20:58.006356	2013-08-04 02:20:58.006356	\N	0e314ab7-4fb6-4d98-95c4-8f5630ee3e39
146859	17	19447	2013-08-04 02:01:11.855097	2013-08-04 02:01:11.855097	\N	5d0c1709-6c78-4313-a177-412100bfd901
128937	5	16045	2013-08-03 23:46:43.796134	2013-08-03 23:46:43.796134	\N	88478c5f-1ef5-483f-81be-f1e27e995778
126742	19	15718	2013-08-03 23:30:52.943713	2013-08-03 23:30:52.943713	\N	8cdd1c2f-7798-4f4f-9fdc-228734fbe6ae
149772	2	20076	2013-08-04 02:20:58.053014	2013-08-04 02:20:58.053014	\N	ffa906c5-a235-462f-8715-a9d009dd4890
136152	10	17935	2013-08-04 01:02:24.366966	2013-08-04 01:02:24.366966	\N	c7694043-dcac-4d93-9a59-76d056c78ab7
136153	10	17947	2013-08-04 01:02:24.437678	2013-08-04 01:02:24.437678	\N	c588fc5b-9b75-4874-8c5b-979da3fa3da7
136154	10	17986	2013-08-04 01:02:24.512322	2013-08-04 01:02:24.512322	\N	bde7dc16-6a16-48c3-9736-3062d386069f
128946	5	16081	2013-08-03 23:46:46.329895	2013-08-03 23:46:46.329895	\N	1350ade8-1883-426c-b92d-f377bf914f01
149773	7	19963	2013-08-04 02:20:58.943875	2013-08-04 02:20:58.943875	\N	5d5361c8-033b-416e-9f3c-a4a9f72875ca
126755	19	15703	2013-08-03 23:30:56.173238	2013-08-03 23:30:56.173238	\N	0c3e05d5-daca-4519-9ecc-09ff85ac0a1d
133682	17	17317	2013-08-04 00:37:11.062277	2013-08-04 00:37:11.062277	\N	2c6b2283-4bfb-4c20-ba45-b2e270401fb5
133683	8	17357	2013-08-04 00:37:11.986639	2013-08-04 00:37:11.986639	\N	74189ad6-52f1-4d32-9533-61ab61945ca5
159396	3	21112	2013-08-04 17:02:43.137161	2013-08-04 17:02:43.137161	\N	e55a90de-b824-4015-bbb6-60cbd5ad96ae
133689	4	17357	2013-08-04 00:37:16.154667	2013-08-04 00:37:16.154667	\N	3b9769c9-00c2-46da-9e4e-2866a924a400
131231	13	16726	2013-08-04 00:12:47.566632	2013-08-04 00:12:47.566632	\N	0c2c0baa-edf1-4363-884a-ff3a51902a62
166178	13	22120	2013-08-04 17:42:35.24883	2013-08-04 17:42:35.24883	\N	fb02a3bb-b533-4e09-9390-78545d3a7a33
166179	10	22144	2013-08-04 17:42:35.348767	2013-08-04 17:42:35.348767	\N	5c4b4e1d-cb8c-4e4c-8883-7126a4d6ec56
149777	17	19963	2013-08-04 02:21:00.048985	2013-08-04 02:21:00.048985	\N	201f4c1f-92c2-4481-8d69-6ce3c5c0f0dd
149778	13	20002	2013-08-04 02:21:00.924998	2013-08-04 02:21:00.924998	\N	c9723790-c9da-4e5b-8b67-c7fa0d4f8e15
166209	9	22144	2013-08-04 17:42:42.633784	2013-08-04 17:42:42.633784	\N	c3d1d181-6ecb-42bf-b3ba-daf4cf962e76
162794	8	21692	2013-08-04 17:21:55.796181	2013-08-04 17:21:55.796181	\N	6e5c1302-52cf-44a2-ba7f-1e0fa3b4f76a
149785	15	20003	2013-08-04 02:21:05.720585	2013-08-04 02:21:05.720585	\N	10fbd483-6170-4847-8aee-59761b5c51d6
162796	13	21616	2013-08-04 17:21:57.313345	2013-08-04 17:21:57.313345	\N	11e77e43-4407-40d9-8af9-394bfbe28f89
198597	11	25294	2013-08-04 19:57:52.078881	2013-08-04 19:57:52.078881	\N	5bffef6c-8ec5-46b4-8e31-0d43014b260c
126791	13	15694	2013-08-03 23:31:07.864343	2013-08-03 23:31:07.864343	\N	0712a3e3-be22-4a0a-a8e1-ef7b75c57986
194646	2	24738	2013-08-04 19:34:41.133002	2013-08-04 19:34:41.133002	\N	8893aff2-569b-4a2c-a08e-f238d793e6d2
187164	8	24121	2013-08-04 19:03:05.242509	2013-08-04 19:03:05.242509	\N	6d3eccfd-3110-4e9f-9739-2fb01e754360
162814	2	21601	2013-08-04 17:22:00.489761	2013-08-04 17:22:00.489761	\N	0bd96e28-96d5-46e1-857d-ec371da9bc2c
162815	2	21641	2013-08-04 17:22:00.538899	2013-08-04 17:22:00.538899	\N	e0c938c2-a65c-471b-9c03-7f441470f14b
162817	2	21603	2013-08-04 17:22:00.584979	2013-08-04 17:22:00.584979	\N	f01a6b86-6b4b-4f70-bcaa-07449bf0c351
162818	2	21606	2013-08-04 17:22:00.629901	2013-08-04 17:22:00.629901	\N	79cf9fb9-7ca5-4014-94ac-bbd7b429117c
124695	4	15316	2013-08-03 23:16:59.495707	2013-08-03 23:16:59.495707	\N	c8fbf59c-0ae5-4a1e-bee2-92e03289fa5f
162820	2	21612	2013-08-04 17:22:00.658207	2013-08-04 17:22:00.658207	\N	9677c63d-91e0-47ee-a05b-e727a17198f6
141461	8	18955	2013-08-04 01:41:07.76387	2013-08-04 01:41:07.76387	\N	88d8a1e6-20fc-4993-b916-722c71e742ad
141462	6	18943	2013-08-04 01:41:08.292104	2013-08-04 01:41:08.292104	\N	e6678f81-e014-412b-b1b2-d8fdaecbc3f9
141468	19	18955	2013-08-04 01:41:10.022141	2013-08-04 01:41:10.022141	\N	c5077c71-fa8b-4d9a-ae48-8d26fcc24ad0
141469	19	18943	2013-08-04 01:41:10.475464	2013-08-04 01:41:10.475464	\N	6613a9b2-c364-402e-8c49-37f247af5b31
141470	12	18955	2013-08-04 01:41:10.616909	2013-08-04 01:41:10.616909	\N	ecccb0a1-dabc-4d8a-a561-e6086ac4da3a
141481	8	18994	2013-08-04 01:41:11.77891	2013-08-04 01:41:11.77891	\N	cdbb346f-73ca-4533-81e5-4d2f664ac8ab
162821	2	21609	2013-08-04 17:22:00.716921	2013-08-04 17:22:00.716921	\N	e656a1d2-a89c-47a9-bb31-8fa6a0d991df
152841	14	20506	2013-08-04 02:42:05.925587	2013-08-04 02:42:05.925587	\N	368ba6ce-6d10-401b-b0a0-badb16e86985
141484	17	18995	2013-08-04 01:41:13.439817	2013-08-04 01:41:13.439817	\N	b3356362-91c5-4274-a3dc-4a170a97df3d
141485	7	18995	2013-08-04 01:41:13.756872	2013-08-04 01:41:13.756872	\N	f3b1721d-4bf7-4d1a-b1c5-131ebea6ff58
141486	2	19068	2013-08-04 01:41:14.964243	2013-08-04 01:41:14.964243	\N	41b67fa9-a8de-4d82-af61-d8a5b5c55387
133908	5	17356	2013-08-04 00:39:07.213139	2013-08-04 00:39:07.213139	\N	226cd59f-3dcb-47f6-8d01-9d648adcaf8a
141487	2	19020	2013-08-04 01:41:15.070726	2013-08-04 01:41:15.070726	\N	79c639d7-c9af-4566-86c0-9440fa245791
162823	2	21636	2013-08-04 17:22:00.745819	2013-08-04 17:22:00.745819	\N	dc4ae628-3873-4670-9782-e76580311cad
141498	12	18995	2013-08-04 01:41:19.220349	2013-08-04 01:41:19.220349	\N	ec1a42f4-a35b-498f-b888-f64eb1437486
126829	14	15675	2013-08-03 23:31:14.570069	2013-08-03 23:31:14.570069	\N	caae77c1-a652-4f7a-9342-9cbe827bb1bd
162825	2	21597	2013-08-04 17:22:00.779365	2013-08-04 17:22:00.779365	\N	b0e4b426-658e-423f-9e21-cc6ace588d31
162826	2	21633	2013-08-04 17:22:00.835059	2013-08-04 17:22:00.835059	\N	26dea850-90bf-421c-b8bc-4c2e591d6ea0
162828	2	21618	2013-08-04 17:22:00.865735	2013-08-04 17:22:00.865735	\N	27a8dc34-3a95-4c56-9132-3fd1aa0a6a60
159447	8	21184	2013-08-04 17:03:26.160365	2013-08-04 17:03:26.160365	\N	a4423abf-dbf7-4182-9f47-83d1784a3558
129169	2	16171	2013-08-03 23:49:37.018042	2013-08-03 23:49:37.018042	\N	d055f0f3-c471-4cf6-8234-751dcc6f6774
129170	2	16222	2013-08-03 23:49:37.163047	2013-08-03 23:49:37.163047	\N	da36b02a-618b-406e-aff2-f9f00749f99c
147001	4	19559	2013-08-04 02:02:18.128696	2013-08-04 02:02:18.128696	\N	31a785be-35ea-43bd-84f4-cb5dcd5bf9d3
122132	8	14923	2013-08-03 22:59:26.907841	2013-08-03 22:59:26.907841	\N	c18524f4-b3ef-45de-8891-82ad4497dafa
122135	7	14923	2013-08-03 22:59:28.361755	2013-08-03 22:59:28.361755	\N	e5ecff59-2795-470d-97f2-541014b9c8bb
162804	13	21640	2013-08-04 17:21:59.495117	2013-08-04 17:21:59.495117	\N	eebd2abd-9bc4-4cfd-a7ac-1426a455750a
122150	8	14962	2013-08-03 22:59:32.76958	2013-08-03 22:59:32.76958	\N	ea095f2c-434e-4237-865d-742ea20ebdfb
146869	20	19447	2013-08-04 02:01:14.40705	2013-08-04 02:01:14.40705	\N	91998267-dc68-49c7-96a8-85a5c833a9d1
122154	17	14953	2013-08-03 22:59:35.267066	2013-08-03 22:59:35.267066	\N	acc4d05e-3bed-4061-b255-cd39369bf978
122155	7	14962	2013-08-03 22:59:35.388706	2013-08-03 22:59:35.388706	\N	28ab6b11-ac06-4a28-80d5-032a9c8bfabb
126579	8	15719	2013-08-03 23:29:59.615405	2013-08-03 23:29:59.615405	\N	5bd05a24-bcbe-42b3-bacb-ad9f81798dbe
194647	2	24684	2013-08-04 19:34:41.215693	2013-08-04 19:34:41.215693	\N	39fa404b-34e7-43b6-bfed-858331e12e3f
126584	15	15679	2013-08-03 23:30:00.140503	2013-08-03 23:30:00.140503	\N	10d2ad19-c5c1-48d8-a19a-f17d01436709
138850	10	18439	2013-08-04 01:23:42.548914	2013-08-04 01:23:42.548914	\N	b3176526-8fc7-467f-8281-26a488e79b35
162806	7	21641	2013-08-04 17:21:59.675342	2013-08-04 17:21:59.675342	\N	ccf9b8ce-2147-4d09-af08-f98361a5a4c2
138908	14	18447	2013-08-04 01:24:07.462338	2013-08-04 01:24:07.462338	\N	eba187b3-bfa9-49a6-b053-9681f7aa8990
198601	1	25335	2013-08-04 19:57:52.551088	2013-08-04 19:57:52.551088	\N	dcbb92f0-c78c-4f89-be0f-cef9c20fedc0
149815	9	20003	2013-08-04 02:21:17.148562	2013-08-04 02:21:17.148562	\N	2e8b9f36-d4d2-4d1d-aeaf-c6d5b4499e86
133684	17	17357	2013-08-04 00:37:12.152496	2013-08-04 00:37:12.152496	\N	2b25a9b4-d9b5-46c6-a867-214c8289c03d
126619	7	15718	2013-08-03 23:30:21.634133	2013-08-03 23:30:21.634133	\N	08fa8e63-888b-4db6-836b-72d9a5f2f363
166200	14	22199	2013-08-04 17:42:42.195422	2013-08-04 17:42:42.195422	\N	b41550e1-a9aa-4612-a345-b649fbfbb474
166203	14	22181	2013-08-04 17:42:42.261599	2013-08-04 17:42:42.261599	\N	532cf897-5eea-4075-b5a7-722754d809a4
162810	7	21640	2013-08-04 17:22:00.121082	2013-08-04 17:22:00.121082	\N	14c95433-dab0-4dd7-bf8d-dd5966101890
162811	7	21601	2013-08-04 17:22:00.247841	2013-08-04 17:22:00.247841	\N	625e7ceb-1acf-437e-87b0-e8cd72806703
207038	2	26448	2013-08-04 20:42:45.441246	2013-08-04 20:42:45.441246	\N	e8c2a1b5-e9aa-43f4-a603-08edefef354b
131082	19	16727	2013-08-04 00:11:26.888124	2013-08-04 00:11:26.888124	\N	fe684126-143a-4a62-854b-cd06fc0bc362
183622	2	23799	2013-08-04 18:50:42.104206	2013-08-04 18:50:42.104206	\N	1b46ca08-cd48-4907-9912-0faca46b0685
146944	2	19536	2013-08-04 02:01:52.234819	2013-08-04 02:01:52.234819	\N	daab5a05-d579-4a90-ac44-75b1bf91467c
126665	19	15679	2013-08-03 23:30:30.206237	2013-08-03 23:30:30.206237	\N	18f76989-6b24-4868-86cc-c12a3de91e42
131095	6	16711	2013-08-04 00:11:35.167125	2013-08-04 00:11:35.167125	\N	cc365858-8224-47e4-bc81-fbf396681ca9
202869	2	25699	2013-08-04 20:14:40.979483	2013-08-04 20:14:40.979483	\N	c6bc7ced-0db6-444f-b34f-2561db6bf58d
149825	1	20002	2013-08-04 02:21:18.165621	2013-08-04 02:21:18.165621	\N	eb35a981-4039-4a4e-8040-e7f1c224c77a
149826	2	20040	2013-08-04 02:21:18.313456	2013-08-04 02:21:18.313456	\N	2bda63c9-7af5-454e-9866-9993890a8309
207039	9	26483	2013-08-04 20:42:46.76479	2013-08-04 20:42:46.76479	\N	3eb4d5a5-f3f7-4f9f-a7df-682f5f444aaf
146966	14	19477	2013-08-04 02:02:02.329465	2013-08-04 02:02:02.329465	\N	48da8b45-5649-4b41-b974-5aa8d3519539
126708	17	15679	2013-08-03 23:30:44.239066	2013-08-03 23:30:44.239066	\N	90d1f675-7764-42af-a9fb-8b3f5a411b91
126711	14	15694	2013-08-03 23:30:44.658078	2013-08-03 23:30:44.658078	\N	51e4036e-7daa-4e2b-9a15-14c4a5235ff8
126712	17	15667	2013-08-03 23:30:44.79097	2013-08-03 23:30:44.79097	\N	df58c7cc-8e11-430d-9d97-687d786f3b86
159452	4	21183	2013-08-04 17:03:28.626397	2013-08-04 17:03:28.626397	\N	a2286ee5-5b73-40c2-98af-caa8f01b70e2
187176	9	24160	2013-08-04 19:03:08.297864	2013-08-04 19:03:08.297864	\N	045c1d9e-5876-4de7-8845-dcaaffaf65f6
131158	17	16711	2013-08-04 00:12:05.198216	2013-08-04 00:12:05.198216	\N	c807dad7-a8a3-4484-9d83-25800b8b819d
146969	14	19459	2013-08-04 02:02:03.044863	2013-08-04 02:02:03.044863	\N	fb558df5-836a-4047-b728-ccb395ec12e4
131178	17	16727	2013-08-04 00:12:14.858105	2013-08-04 00:12:14.858105	\N	71eb7ac8-3955-48e6-bd77-76a75014c7dd
124647	5	15340	2013-08-03 23:16:34.599404	2013-08-03 23:16:34.599404	\N	f1690f83-7f86-48c2-b4f9-571b421e115c
124648	5	15316	2013-08-03 23:16:35.119263	2013-08-03 23:16:35.119263	\N	c0466a68-b0f4-4e83-b0a5-adb0fb3c9c77
146970	10	19447	2013-08-04 02:02:04.715516	2013-08-04 02:02:04.715516	\N	14c71c4f-c9e4-4916-a412-ad90ce0bfc15
133752	16	17317	2013-08-04 00:37:43.14344	2013-08-04 00:37:43.14344	\N	0b8586a3-8502-4310-bf64-48e952984573
133754	16	17356	2013-08-04 00:37:43.566517	2013-08-04 00:37:43.566517	\N	85b9c909-4442-4276-b81a-376e86c2054d
180060	2	23560	2013-08-04 18:38:19.185232	2013-08-04 18:38:19.185232	\N	041ee6f2-fee3-42ca-9cfc-362596ab3129
133796	14	17305	2013-08-04 00:38:06.332701	2013-08-04 00:38:06.332701	\N	3b702a20-a200-4bc6-a3e5-0439eb58c092
136217	3	17947	2013-08-04 01:03:04.283474	2013-08-04 01:03:04.283474	\N	efe1b0a9-1280-4598-bca5-5814a350b887
159472	19	21137	2013-08-04 17:03:37.208707	2013-08-04 17:03:37.208707	\N	fd00a571-e59b-4606-aef8-f001e09b912f
149834	20	19951	2013-08-04 02:21:19.072859	2013-08-04 02:21:19.072859	\N	6bf81419-d197-4757-8772-c7fb72bda851
126790	17	15703	2013-08-03 23:31:07.834413	2013-08-03 23:31:07.834413	\N	ee50fa1d-0ad6-4095-a58a-d3ff04c422b2
176725	8	23336	2013-08-04 18:27:22.639612	2013-08-04 18:27:22.639612	\N	2d181894-a9c4-4ada-8ef2-07a628c4571a
176726	8	23330	2013-08-04 18:27:22.734475	2013-08-04 18:27:22.734475	\N	60dd5b78-74ff-4e02-b290-ad2c7aba1c8a
194655	14	24733	2013-08-04 19:34:44.189763	2013-08-04 19:34:44.189763	\N	874c1a73-d9a8-4b62-82ab-741bd486207b
176769	19	23278	2013-08-04 18:27:25.713495	2013-08-04 18:27:25.713495	\N	bb1dbed7-463c-4aad-bc33-be345b398a06
149849	4	20041	2013-08-04 02:21:23.062503	2013-08-04 02:21:23.062503	\N	cad5a81e-1aae-429d-a781-2bbde9d99feb
131250	16	16675	2013-08-04 00:12:54.87853	2013-08-04 00:12:54.87853	\N	71dceb71-fe44-41ff-a765-f17b5cf27845
147091	3	19447	2013-08-04 02:02:57.640796	2013-08-04 02:02:57.640796	\N	06d602a4-d686-4546-b2b3-767d3466f78a
147092	3	19477	2013-08-04 02:02:57.677281	2013-08-04 02:02:57.677281	\N	dff4b93e-eec1-432f-9d7f-bb82212504c8
147093	3	19498	2013-08-04 02:02:57.734349	2013-08-04 02:02:57.734349	\N	04082670-d351-47af-97f2-e5bffdb9497a
147094	3	19459	2013-08-04 02:02:57.767234	2013-08-04 02:02:57.767234	\N	86e11977-879b-4866-b5d2-ff053eda04b1
149850	4	20045	2013-08-04 02:21:23.11012	2013-08-04 02:21:23.11012	\N	8a8a220f-f5f0-4b56-87cd-e6cbd61e4758
149851	4	20047	2013-08-04 02:21:23.15753	2013-08-04 02:21:23.15753	\N	9eb039d0-7dfe-4271-9062-f3efdd971ac9
149852	4	20053	2013-08-04 02:21:23.20339	2013-08-04 02:21:23.20339	\N	5c4ba148-f4d6-46fe-ab2f-ca81e970f8a0
149853	4	20055	2013-08-04 02:21:23.247647	2013-08-04 02:21:23.247647	\N	e6354cea-9864-44f2-bf84-3c1ea1850d27
149854	4	20067	2013-08-04 02:21:23.30103	2013-08-04 02:21:23.30103	\N	934a7815-7c5c-4ff5-ad6f-f68ccdd521f0
136283	17	17935	2013-08-04 01:03:36.529206	2013-08-04 01:03:36.529206	\N	e2f4ded1-5306-4223-8be3-3a88ea03cde1
141558	13	18955	2013-08-04 01:41:33.657205	2013-08-04 01:41:33.657205	\N	48ea9c58-2d23-4185-a66e-93576492a708
149856	4	20069	2013-08-04 02:21:23.349669	2013-08-04 02:21:23.349669	\N	ea644c77-d959-4e06-9007-937b73ddb138
176770	7	23340	2013-08-04 18:27:26.159173	2013-08-04 18:27:26.159173	\N	3a6e25e6-526d-4200-b63c-23c6f39f0e01
198647	6	25255	2013-08-04 19:58:06.094626	2013-08-04 19:58:06.094626	\N	d38140eb-e1ea-47ed-956c-910879bb1829
162879	4	21685	2013-08-04 17:22:03.165043	2013-08-04 17:22:03.165043	\N	c0f928cb-3878-49da-a1f4-4d7d4c96ad60
141573	13	18994	2013-08-04 01:41:38.516338	2013-08-04 01:41:38.516338	\N	1cb51a37-fd76-496f-9936-57be6547839b
162880	4	21687	2013-08-04 17:22:03.199082	2013-08-04 17:22:03.199082	\N	33d32d9b-c30f-464f-a756-3d72ef4124ca
162881	8	21641	2013-08-04 17:22:03.368997	2013-08-04 17:22:03.368997	\N	6ec36ce3-4b8d-480f-bf23-1fe985745e5c
152981	20	20506	2013-08-04 02:42:59.711826	2013-08-04 02:42:59.711826	\N	69febca4-ddb7-4bae-b1f9-fb68072959e0
176792	9	23351	2013-08-04 18:27:32.322967	2013-08-04 18:27:32.322967	\N	7d70db44-6def-48f1-8012-2bd51b6818ff
136330	14	17947	2013-08-04 01:04:14.729646	2013-08-04 01:04:14.729646	\N	0c1e3bf8-c263-42f0-bb61-d1c5b0945a7b
162885	8	21601	2013-08-04 17:22:06.345853	2013-08-04 17:22:06.345853	\N	cfc8bf6b-e01f-4725-9349-84b0bbb7f7f7
141590	9	18994	2013-08-04 01:41:47.747097	2013-08-04 01:41:47.747097	\N	b4afef21-4922-4b5e-b2bd-6a86a4f53dee
169861	1	22624	2013-08-04 18:01:56.020665	2013-08-04 18:01:56.020665	\N	a32bcac4-b5be-477d-a39e-b927dda33860
169862	2	22624	2013-08-04 18:01:56.720709	2013-08-04 18:01:56.720709	\N	10de86ea-eaa8-4bd7-bfed-215c0009c385
139150	7	18616	2013-08-04 01:25:52.594919	2013-08-04 01:25:52.594919	\N	172e8eab-19f2-4545-8eb7-31a617e0adb0
169863	2	22648	2013-08-04 18:01:56.821974	2013-08-04 18:01:56.821974	\N	014f56f6-cba5-4ee3-875b-b55e8cac03bb
141623	2	18943	2013-08-04 01:42:10.77208	2013-08-04 01:42:10.77208	\N	44252758-da20-4e72-9cf6-9dd0811e4967
169864	2	22609	2013-08-04 18:01:56.865411	2013-08-04 18:01:56.865411	\N	9214077d-d920-4b15-8b85-2a7fc4a570e2
169865	2	22685	2013-08-04 18:01:56.906721	2013-08-04 18:01:56.906721	\N	50c29c1f-b9ec-4cfc-8a03-2f4cdcd2aaea
169866	2	22703	2013-08-04 18:01:56.937891	2013-08-04 18:01:56.937891	\N	5791d8aa-a4da-46c0-9b22-79a1a2a33f5c
129165	19	16222	2013-08-03 23:49:35.625249	2013-08-03 23:49:35.625249	\N	80813c49-71cd-46a8-a85a-1cce637d09a8
129167	19	16183	2013-08-03 23:49:36.107333	2013-08-03 23:49:36.107333	\N	0a6cd9c0-0516-4d11-97a9-a9847a62efd1
129177	7	16222	2013-08-03 23:49:40.140564	2013-08-03 23:49:40.140564	\N	c55d1a49-d16c-4ed5-9209-a6519cd709f7
169867	1	22648	2013-08-04 18:01:57.080533	2013-08-04 18:01:57.080533	\N	d8c165dc-5300-4054-9799-3986d3a78994
129189	13	16183	2013-08-03 23:49:48.712654	2013-08-03 23:49:48.712654	\N	714ead37-9fc5-4f03-813a-8f5b56277046
159666	2	21209	2013-08-04 17:05:31.530533	2013-08-04 17:05:31.530533	\N	fa7284b7-dcd2-4797-915c-4fba0d3fd1bd
129193	11	16183	2013-08-03 23:49:49.041796	2013-08-03 23:49:49.041796	\N	eb727192-219e-4170-985e-49b34f740d25
136436	8	18112	2013-08-04 01:05:57.270582	2013-08-04 01:05:57.270582	\N	004bf2fb-9a88-41d4-95d9-46344bf5e36c
134003	1	17191	2013-08-04 00:39:57.091159	2013-08-04 00:39:57.091159	\N	c055120f-5a49-4d96-8c88-8e8d087c05d2
129197	11	16171	2013-08-03 23:49:49.492838	2013-08-03 23:49:49.492838	\N	2202e02e-b81a-48e4-b2a6-eb38fdd2d1c4
136439	19	18112	2013-08-04 01:05:57.849068	2013-08-04 01:05:57.849068	\N	f937535f-f5fe-4438-947f-8c1ccbcc1c59
136440	2	18073	2013-08-04 01:05:57.994031	2013-08-04 01:05:57.994031	\N	f231bba7-9334-47a2-ab51-23b77644235c
129212	13	16222	2013-08-03 23:49:55.531811	2013-08-03 23:49:55.531811	\N	d07f67a2-eb35-4b45-9191-dbb968c14237
136441	2	18061	2013-08-04 01:05:58.031237	2013-08-04 01:05:58.031237	\N	d0587a24-a9f6-4986-af3e-fb27a4d8ea5d
131056	12	16675	2013-08-04 00:11:08.768366	2013-08-04 00:11:08.768366	\N	52a6a773-918c-4553-babc-033640a5a692
162829	2	21624	2013-08-04 17:22:00.910094	2013-08-04 17:22:00.910094	\N	0ff377a7-69fe-431e-8148-c0c065439aa0
149839	10	19963	2013-08-04 02:21:20.410403	2013-08-04 02:21:20.410403	\N	f152a392-dea1-4550-a828-cea67d0b8f92
146894	6	19477	2013-08-04 02:01:28.21193	2013-08-04 02:01:28.21193	\N	346b9463-1441-4df2-a762-9bcf82334444
126900	5	15667	2013-08-03 23:31:43.312293	2013-08-03 23:31:43.312293	\N	40e0198a-d36f-480e-b26b-8ac33a4026aa
131078	10	16675	2013-08-04 00:11:24.453127	2013-08-04 00:11:24.453127	\N	9ef7ac0d-5783-4395-9928-ffa04857ad32
144292	3	19372	2013-08-04 01:56:52.676106	2013-08-04 01:56:52.676106	\N	bf7bfb39-3b6d-491d-978a-bd34f799a577
144294	3	19333	2013-08-04 01:56:52.728965	2013-08-04 01:56:52.728965	\N	bbf5ae6c-6663-4c92-b625-0d822b1ccf32
144295	3	19354	2013-08-04 01:56:52.776712	2013-08-04 01:56:52.776712	\N	7bb46991-6c51-4a1b-bd83-6dccf8a4f070
144297	3	19321	2013-08-04 01:56:52.811869	2013-08-04 01:56:52.811869	\N	819618f2-b1fb-4297-b0ab-1437d6706fed
146895	17	19498	2013-08-04 02:01:29.071253	2013-08-04 02:01:29.071253	\N	b7e912be-23eb-48c1-b550-158859f502c3
126927	17	15719	2013-08-03 23:31:54.329312	2013-08-03 23:31:54.329312	\N	f4a0d531-e0ba-4964-a7f7-01f9ddeeab5d
133676	10	17317	2013-08-04 00:37:06.416562	2013-08-04 00:37:06.416562	\N	543b1c6f-e8bd-47ec-a721-6ea52576c372
149840	10	20002	2013-08-04 02:21:20.52044	2013-08-04 02:21:20.52044	\N	d4fb7116-4f49-4a83-83e9-8d30ee52d7b6
138872	10	18451	2013-08-04 01:23:52.80509	2013-08-04 01:23:52.80509	\N	1a44df80-47ab-491e-b511-baf9fcd8d095
141455	7	18994	2013-08-04 01:41:04.204126	2013-08-04 01:41:04.204126	\N	32115358-7dd0-43ed-9b53-11531288be53
141463	2	19050	2013-08-04 01:41:09.584788	2013-08-04 01:41:09.584788	\N	2699e3e7-209c-45f6-9c01-b6532208eedf
131112	19	16726	2013-08-04 00:11:43.097992	2013-08-04 00:11:43.097992	\N	79b6f86c-057b-456f-8a46-cbbc074d2053
133714	10	17356	2013-08-04 00:37:26.619561	2013-08-04 00:37:26.619561	\N	123f3c77-82eb-4bcd-af68-7dac42f39db8
146915	1	19499	2013-08-04 02:01:36.612357	2013-08-04 02:01:36.612357	\N	24dc35c4-ec6a-4cde-a751-5e82d6b9c6d6
131127	17	16675	2013-08-04 00:11:48.716108	2013-08-04 00:11:48.716108	\N	7516770c-f93e-4bb6-882f-672367ba5896
133717	3	17305	2013-08-04 00:37:26.722743	2013-08-04 00:37:26.722743	\N	46a0c0ad-d6ef-44f0-9b54-fc57a44c3557
141465	2	19062	2013-08-04 01:41:09.758187	2013-08-04 01:41:09.758187	\N	df50332e-78ad-4cab-89b8-1c74f9ad1dec
141466	2	19052	2013-08-04 01:41:09.812188	2013-08-04 01:41:09.812188	\N	63c68b03-3fc6-46cd-ba69-5dc6383dce49
141467	2	19064	2013-08-04 01:41:09.861206	2013-08-04 01:41:09.861206	\N	3ddb8e85-6f4d-4861-9b05-206f0a3c08cc
131144	10	16726	2013-08-04 00:11:54.87231	2013-08-04 00:11:54.87231	\N	600e4336-fb21-4e72-9f87-b64e5ae19e7d
141471	6	18994	2013-08-04 01:41:10.862942	2013-08-04 01:41:10.862942	\N	f1c993ba-9675-4f5e-95df-e5f8bd9b78d7
141472	12	18943	2013-08-04 01:41:10.927195	2013-08-04 01:41:10.927195	\N	0cd58b5f-e79f-4b46-9bf9-46c73b8d0691
162831	2	21642	2013-08-04 17:22:00.946594	2013-08-04 17:22:00.946594	\N	826d1ccd-ddf3-4b08-9fe5-e2a1c1ae9716
149842	1	20003	2013-08-04 02:21:21.677589	2013-08-04 02:21:21.677589	\N	90a2f842-4396-4d42-94ff-8450349c812f
131163	7	16711	2013-08-04 00:12:10.298721	2013-08-04 00:12:10.298721	\N	0eb676a1-ab24-49d5-b254-0fe167ff1657
146922	9	19498	2013-08-04 02:01:42.672508	2013-08-04 02:01:42.672508	\N	1e860d50-0d3d-4dc8-93d7-cd7ff941d701
146923	17	19499	2013-08-04 02:01:43.177607	2013-08-04 02:01:43.177607	\N	5b1b174b-280e-4bb6-aa7c-1dfe884ebc30
127045	18	15675	2013-08-03 23:32:39.86399	2013-08-03 23:32:39.86399	\N	025e4993-e5c9-4c28-b400-d12117e853f8
127046	18	15549	2013-08-03 23:32:39.895116	2013-08-03 23:32:39.895116	\N	785ac53d-2a99-41dd-8664-9c9e00601d94
162832	2	21630	2013-08-04 17:22:00.978311	2013-08-04 17:22:00.978311	\N	b1733e53-7138-45c8-8a26-3d7969c552cc
162834	2	21645	2013-08-04 17:22:01.021837	2013-08-04 17:22:01.021837	\N	2b185845-482b-4b91-889c-6e70bc420237
162835	2	21640	2013-08-04 17:22:01.059627	2013-08-04 17:22:01.059627	\N	4a595bed-f910-44d9-a572-32df47b91702
141490	7	18943	2013-08-04 01:41:16.266776	2013-08-04 01:41:16.266776	\N	228c5007-0b7a-4ff9-b16f-3611fac22a57
141491	9	18995	2013-08-04 01:41:16.702411	2013-08-04 01:41:16.702411	\N	66c0ad85-e36e-473d-980b-e345b14b7d15
141492	3	18994	2013-08-04 01:41:16.812599	2013-08-04 01:41:16.812599	\N	6a23fff2-503f-4f3a-a322-8f1c00d3feb9
141493	3	18943	2013-08-04 01:41:16.845439	2013-08-04 01:41:16.845439	\N	436e88fe-718c-4439-b349-eb54a1aa4492
159457	9	21173	2013-08-04 17:03:31.218045	2013-08-04 17:03:31.218045	\N	9e40f939-ac77-4198-a799-691085c675a1
133792	14	17317	2013-08-04 00:38:05.739955	2013-08-04 00:38:05.739955	\N	ea4bb779-9b8c-4056-8f54-f254782fa4af
141495	4	18955	2013-08-04 01:41:17.11291	2013-08-04 01:41:17.11291	\N	6813e7ff-01c6-4362-8ec7-7f806994745f
141496	4	18943	2013-08-04 01:41:17.162302	2013-08-04 01:41:17.162302	\N	64d71b9d-1c08-4b4c-8206-c98141816baf
141497	4	18994	2013-08-04 01:41:17.219333	2013-08-04 01:41:17.219333	\N	b4e36160-bcbe-4968-871d-298230308774
146948	12	19447	2013-08-04 02:01:55.762683	2013-08-04 02:01:55.762683	\N	f97d23f8-ef7a-4426-890d-56f0e3c19c50
141514	19	18994	2013-08-04 01:41:21.516943	2013-08-04 01:41:21.516943	\N	29221812-c0c3-418e-a260-7c4084c74eb7
141515	17	18994	2013-08-04 01:41:22.368883	2013-08-04 01:41:22.368883	\N	b4dcfa1e-5135-4b52-abf8-d57b97f4494c
159458	2	21097	2013-08-04 17:03:31.882432	2013-08-04 17:03:31.882432	\N	00361793-504d-4c8f-85eb-fb839cbbe08d
131251	16	16711	2013-08-04 00:12:55.077396	2013-08-04 00:12:55.077396	\N	090eae16-9924-4c1d-a7a1-7101cacefd63
141523	11	18943	2013-08-04 01:41:23.558152	2013-08-04 01:41:23.558152	\N	a698ed59-7270-4374-b68e-d55649d3b817
159460	19	21184	2013-08-04 17:03:32.069855	2013-08-04 17:03:32.069855	\N	2db45660-1e64-45bd-9236-ef5c15763bd9
207047	7	26448	2013-08-04 20:42:47.852245	2013-08-04 20:42:47.852245	\N	82769619-0a22-4b2c-983c-a9fb530c3b21
141530	2	18994	2013-08-04 01:41:25.409426	2013-08-04 01:41:25.409426	\N	496fc0a8-cc8d-4a0a-afb9-067260b94f80
169701	14	22522	2013-08-04 18:01:09.669309	2013-08-04 18:01:09.669309	\N	3ffa2c0d-0adf-4f85-b624-340d07420f16
141532	14	18994	2013-08-04 01:41:25.67591	2013-08-04 01:41:25.67591	\N	7b6a7db3-6efc-4fe0-8c4a-1fde4f74649c
129166	15	16222	2013-08-03 23:49:36.010615	2013-08-03 23:49:36.010615	\N	08bc4e7f-fe0e-4ec7-afff-7159d3a79208
129176	8	16171	2013-08-03 23:49:38.081194	2013-08-03 23:49:38.081194	\N	5bcbda10-8af9-42b6-b616-76e5ac4b2413
169702	14	22545	2013-08-04 18:01:09.717327	2013-08-04 18:01:09.717327	\N	a13f4201-38df-451c-80ca-beb744bb1c4f
198627	17	25294	2013-08-04 19:58:00.647496	2013-08-04 19:58:00.647496	\N	71892baa-2b48-46be-8d44-152c22350064
141600	14	18955	2013-08-04 01:41:57.142293	2013-08-04 01:41:57.142293	\N	ca6fc889-2eab-4c04-b634-cf2e054eda1c
141601	10	18955	2013-08-04 01:41:57.998548	2013-08-04 01:41:57.998548	\N	93f1301e-26b3-49ba-a73a-956ccda283a6
129198	17	16222	2013-08-03 23:49:49.58062	2013-08-03 23:49:49.58062	\N	3f97aa81-5413-4345-8c88-6fbe72cc93a8
129202	6	16171	2013-08-03 23:49:51.780139	2013-08-03 23:49:51.780139	\N	916621b2-8133-404a-a8e4-3d4423d9de0c
141602	10	18994	2013-08-04 01:41:58.160548	2013-08-04 01:41:58.160548	\N	e7d21b50-c095-49dd-8e16-1202546a06f5
129220	6	16222	2013-08-03 23:49:59.626904	2013-08-03 23:49:59.626904	\N	01a5f633-1174-42e6-b887-e23d63e77158
141603	10	18995	2013-08-04 01:41:58.246785	2013-08-04 01:41:58.246785	\N	10d06d23-da6f-4b89-811f-3fa98b44a8fa
141604	4	18995	2013-08-04 01:42:00.131676	2013-08-04 01:42:00.131676	\N	05696b12-775b-466b-b1af-bdd441adaa95
133907	5	17305	2013-08-04 00:39:06.742808	2013-08-04 00:39:06.742808	\N	b083bacd-f278-4675-8c96-0166d1897420
162847	2	21666	2013-08-04 17:22:01.346914	2013-08-04 17:22:01.346914	\N	69ace292-6cfd-4635-8893-e1154f08598b
159477	19	21188	2013-08-04 17:03:41.44177	2013-08-04 17:03:41.44177	\N	8ac06de3-c2cd-44cc-8592-1ebf8c9b5692
180068	9	23604	2013-08-04 18:38:20.706589	2013-08-04 18:38:20.706589	\N	fc64fa42-acf2-4a25-ae9c-01a4cf10a0ab
149929	9	20002	2013-08-04 02:21:54.433519	2013-08-04 02:21:54.433519	\N	e366b7a7-5ded-493e-a4ef-b8693e45e049
149930	17	20003	2013-08-04 02:21:55.332548	2013-08-04 02:21:55.332548	\N	c9afca5d-1cae-410d-ab0a-b1470f866731
129306	5	16222	2013-08-03 23:50:52.475424	2013-08-03 23:50:52.475424	\N	6770fd0c-47b2-48ed-b056-80dad46f03b5
166215	19	22105	2013-08-04 17:42:46.862519	2013-08-04 17:42:46.862519	\N	ed1df804-124f-42e2-9b6f-0aefd352fbad
136435	8	18073	2013-08-04 01:05:57.266906	2013-08-04 01:05:57.266906	\N	487900f9-85dc-4d74-9f74-899934e6a7ed
180070	13	23491	2013-08-04 18:38:22.148147	2013-08-04 18:38:22.148147	\N	043c3cd3-617e-4d06-b723-3532dbb352a9
133950	3	17317	2013-08-04 00:39:25.10486	2013-08-04 00:39:25.10486	\N	64285f35-299d-4bf9-a03c-d823e07f9766
136451	15	18112	2013-08-04 01:05:59.183382	2013-08-04 01:05:59.183382	\N	0a983da4-0042-4a00-91db-05931ace44b3
141622	6	18955	2013-08-04 01:42:09.854322	2013-08-04 01:42:09.854322	\N	3c5026c1-1a71-475a-9be2-5d2108b561ee
162854	2	21664	2013-08-04 17:22:01.570767	2013-08-04 17:22:01.570767	\N	287adb85-7f4b-4cd7-ae02-cc61f1b14353
136467	12	18113	2013-08-04 01:06:09.058473	2013-08-04 01:06:09.058473	\N	72093740-4358-4347-97c3-836ae25484d8
129336	16	16207	2013-08-03 23:51:07.573936	2013-08-03 23:51:07.573936	\N	d7a271e1-f0a6-4092-ad3d-99ab01f00f64
139166	11	18616	2013-08-04 01:25:54.127351	2013-08-04 01:25:54.127351	\N	4aff9586-35a1-427a-acdf-a2dabbc3be5c
180071	9	23598	2013-08-04 18:38:22.941759	2013-08-04 18:38:22.941759	\N	041e4d91-4e51-4962-b2f6-a6957c88fdb1
149945	19	19951	2013-08-04 02:21:58.164109	2013-08-04 02:21:58.164109	\N	1ef5ca7b-718b-402a-9ced-500818f2dbf8
134025	8	17431	2013-08-04 00:40:48.389105	2013-08-04 00:40:48.389105	\N	c96c9522-366b-4b52-8d9c-58bec0ca5911
159498	14	21124	2013-08-04 17:03:56.649185	2013-08-04 17:03:56.649185	\N	46e2d80b-2a7c-4f4c-a89c-7ab5b5ea661c
134051	11	17443	2013-08-04 00:40:56.997869	2013-08-04 00:40:56.997869	\N	78f3c033-faec-4c28-bc90-29010681b092
159499	14	21196	2013-08-04 17:03:56.709782	2013-08-04 17:03:56.709782	\N	ad5646f9-0798-4bb7-a4bc-23636a6a2c13
139180	6	18577	2013-08-04 01:25:56.792031	2013-08-04 01:25:56.792031	\N	4a303c0e-2410-46d2-8bfd-eeaafb14fb21
134063	7	17443	2013-08-04 00:40:59.961904	2013-08-04 00:40:59.961904	\N	9f04180d-4de7-48d7-9556-29044349dae0
134064	11	17482	2013-08-04 00:41:00.647459	2013-08-04 00:41:00.647459	\N	722b625b-aae9-469a-b905-79b029d2e7e8
134066	15	17483	2013-08-04 00:41:01.783102	2013-08-04 00:41:01.783102	\N	6623d586-5b42-4b43-ba01-64ba36568f65
131500	2	16813	2013-08-04 00:15:40.192702	2013-08-04 00:15:40.192702	\N	e7a82f3a-1dbc-4253-9b06-4f1ed2c8b9ce
131502	8	16801	2013-08-04 00:15:40.641967	2013-08-04 00:15:40.641967	\N	a4891458-2ae7-4cb8-b5d8-073bcd918f11
159500	14	21125	2013-08-04 17:03:56.761784	2013-08-04 17:03:56.761784	\N	59bf3cd8-bcfd-4090-bb97-4cde21e7ca51
131511	11	16801	2013-08-04 00:15:44.962685	2013-08-04 00:15:44.962685	\N	05311a46-3f4c-470f-a7c5-bde01ecdbd4c
134077	10	17443	2013-08-04 00:41:08.201814	2013-08-04 00:41:08.201814	\N	65abf245-048b-4e38-8354-9fd02af8f998
129420	3	16207	2013-08-03 23:51:59.615079	2013-08-03 23:51:59.615079	\N	d5cc2ac9-b944-458f-955d-3ebde03c3eac
131131	7	16687	2013-08-04 00:11:49.400177	2013-08-04 00:11:49.400177	\N	aeb0a504-4b62-4397-978d-3d127ff5c0a9
128942	5	16096	2013-08-03 23:46:45.394888	2013-08-03 23:46:45.394888	\N	0dd71764-9267-4b06-916a-3876a3d72719
131132	7	16726	2013-08-04 00:11:49.445134	2013-08-04 00:11:49.445134	\N	fdb5e1d5-6619-4249-9eba-f04ceee772ec
131133	19	16711	2013-08-04 00:11:50.079706	2013-08-04 00:11:50.079706	\N	a5bb7cd0-9057-4f42-bf0f-a7b2627705ff
131134	9	16687	2013-08-04 00:11:51.389779	2013-08-04 00:11:51.389779	\N	239a2001-6c34-4103-b0c3-83ca8c5519a2
131135	9	16675	2013-08-04 00:11:51.592784	2013-08-04 00:11:51.592784	\N	ac05d477-7a17-47f2-847a-3ecf2db0f656
159442	14	21159	2013-08-04 17:03:25.827526	2013-08-04 17:03:25.827526	\N	ce5558ea-311b-4781-94b4-6115567c7287
159443	14	21166	2013-08-04 17:03:25.874545	2013-08-04 17:03:25.874545	\N	06f14b1c-5269-4e3d-bf1f-9ca52654130b
141518	11	18955	2013-08-04 01:41:22.991006	2013-08-04 01:41:22.991006	\N	b81812f3-3faf-4643-b57e-ed2adad4d2c3
126901	5	15718	2013-08-03 23:31:43.737605	2013-08-03 23:31:43.737605	\N	6f1f1234-25c9-42e5-972e-285f3ac28fef
126902	5	15703	2013-08-03 23:31:44.132858	2013-08-03 23:31:44.132858	\N	f8395821-a6b4-41ca-97f0-8488786fbdaf
146918	9	19459	2013-08-04 02:01:39.31368	2013-08-04 02:01:39.31368	\N	201cdaa9-579d-4637-bc63-5fcde9f15f1f
146919	14	19447	2013-08-04 02:01:39.38436	2013-08-04 02:01:39.38436	\N	d7b461ea-adce-4127-9d95-091b3a99b4ad
146920	9	19447	2013-08-04 02:01:39.478155	2013-08-04 02:01:39.478155	\N	b0724305-5c79-40d4-8c58-4cea1562a857
136176	16	17947	2013-08-04 01:02:40.098272	2013-08-04 01:02:40.098272	\N	d50d0397-23f0-4272-afbc-4fee02886c7d
159444	14	21157	2013-08-04 17:03:25.929124	2013-08-04 17:03:25.929124	\N	5e8a5e77-6062-421d-812c-6b2c2d4bc824
131172	7	16675	2013-08-04 00:12:11.570942	2013-08-04 00:12:11.570942	\N	e9901524-c658-4526-9bc0-865a014038b2
136178	16	17935	2013-08-04 01:02:40.227575	2013-08-04 01:02:40.227575	\N	3a69019b-f196-4f5b-a961-2bcf1410d9c2
159445	14	21150	2013-08-04 17:03:25.978667	2013-08-04 17:03:25.978667	\N	9f53692a-d9bc-483a-9f85-2fd12c02e547
159453	9	21191	2013-08-04 17:03:29.517027	2013-08-04 17:03:29.517027	\N	fd1293f6-066c-4455-9450-52b9d451f6a2
166213	19	22144	2013-08-04 17:42:44.016365	2013-08-04 17:42:44.016365	\N	d7224350-429f-4121-99cb-20846bbe921a
159456	9	21183	2013-08-04 17:03:30.852037	2013-08-04 17:03:30.852037	\N	c4817a25-8a29-4d90-ab60-7cde72358ff9
141571	9	18955	2013-08-04 01:41:37.987758	2013-08-04 01:41:37.987758	\N	c5a4c89c-6e99-4b83-8595-0c26ecee4eeb
141572	9	18943	2013-08-04 01:41:38.136471	2013-08-04 01:41:38.136471	\N	cfd45943-5113-4208-8529-2174786ff53f
166214	1	22189	2013-08-04 17:42:46.512679	2013-08-04 17:42:46.512679	\N	425cdc45-f184-4d50-a585-112e4def68d8
141628	8	18995	2013-08-04 01:42:12.49373	2013-08-04 01:42:12.49373	\N	00c6b638-f458-4572-90ef-ed458b3ef1ad
146932	6	19447	2013-08-04 02:01:47.221412	2013-08-04 02:01:47.221412	\N	4101a888-2d76-42c7-9eb8-437a160173c7
149909	9	19963	2013-08-04 02:21:46.042771	2013-08-04 02:21:46.042771	\N	34ba2d06-8f8a-4e30-9112-8486e74a91ee
131257	14	16687	2013-08-04 00:12:59.111651	2013-08-04 00:12:59.111651	\N	ff4714e1-592f-4c77-adea-e9212651484c
187173	7	24229	2013-08-04 19:03:06.200237	2013-08-04 19:03:06.200237	\N	d33be6d9-2ba9-49b8-b6a6-24fda66d233b
162983	12	21601	2013-08-04 17:22:15.455102	2013-08-04 17:22:15.455102	\N	ee852351-5a1a-4dc3-a079-99694f5fe9fd
149914	8	20003	2013-08-04 02:21:46.740187	2013-08-04 02:21:46.740187	\N	9f106614-9023-45ab-a5ed-3ee8cc44ecfd
166221	16	22105	2013-08-04 17:42:50.419419	2013-08-04 17:42:50.419419	\N	e2c95ad1-aa5c-4da7-9a63-a41d70357f4b
166222	16	22120	2013-08-04 17:42:50.570964	2013-08-04 17:42:50.570964	\N	899d9f74-009f-4243-93cd-6c71f10ed92e
141687	16	18955	2013-08-04 01:42:41.078988	2013-08-04 01:42:41.078988	\N	0588b2ed-0f1e-40e5-9d62-5c7cd4167f47
141688	16	18943	2013-08-04 01:42:41.196217	2013-08-04 01:42:41.196217	\N	c642ef35-3f39-4dda-8789-78671fbfeb61
166223	16	22144	2013-08-04 17:42:50.742505	2013-08-04 17:42:50.742505	\N	4b430e25-d737-40fa-a3e1-4b559e240ed8
159490	14	21183	2013-08-04 17:03:50.819339	2013-08-04 17:03:50.819339	\N	3ad86072-a144-49dd-bb08-1701bbf2dd37
166224	19	22120	2013-08-04 17:42:50.910405	2013-08-04 17:42:50.910405	\N	4a4ddddc-bbb9-408a-bad9-e52ba603079f
146978	8	19447	2013-08-04 02:02:08.294383	2013-08-04 02:02:08.294383	\N	30dd1121-9156-406d-8467-97b37bb88f3a
129163	17	16183	2013-08-03 23:49:35.408659	2013-08-03 23:49:35.408659	\N	d4ca2433-babd-4164-91b8-3bfeaa035d00
129175	8	16222	2013-08-03 23:49:38.080596	2013-08-03 23:49:38.080596	\N	14dd3210-72e9-4dca-a92b-f6e52e5413b8
202881	7	25742	2013-08-04 20:14:44.19495	2013-08-04 20:14:44.19495	\N	e93ee89f-0cdf-4bf4-a55a-a57bee25e2e6
129182	19	16207	2013-08-03 23:49:41.952132	2013-08-03 23:49:41.952132	\N	b5de23fb-ed5a-47e7-b1b7-129f345bff22
129186	7	16171	2013-08-03 23:49:44.518066	2013-08-03 23:49:44.518066	\N	870e9d92-21cb-4afe-a87b-21b3a1bb25ed
129194	13	16171	2013-08-03 23:49:49.044307	2013-08-03 23:49:49.044307	\N	7739c0cb-0eb7-40aa-85f4-66411b4ca705
198637	17	25270	2013-08-04 19:58:03.318662	2013-08-04 19:58:03.318662	\N	c99c475c-a05a-4a9a-8556-ebfb60de57b1
194670	2	24695	2013-08-04 19:34:45.35355	2013-08-04 19:34:45.35355	\N	4bca6f9f-c1df-434a-93da-b2f7410616f9
163076	4	21676	2013-08-04 17:22:48.060783	2013-08-04 17:22:48.060783	\N	71c9cf76-bdfa-4468-b882-715c11c68c5d
153017	14	20467	2013-08-04 02:43:17.864615	2013-08-04 02:43:17.864615	\N	7dfe74cc-b3f3-4e2d-ba45-cfe413680e00
129211	6	16183	2013-08-03 23:49:55.36843	2013-08-03 23:49:55.36843	\N	16ed3ca8-74e8-4b89-bda7-f3bf9e5c1e06
139024	12	18490	2013-08-04 01:24:40.763592	2013-08-04 01:24:40.763592	\N	53a30499-2a98-4245-94f8-b5746fa17a44
129222	3	16171	2013-08-03 23:50:01.128307	2013-08-03 23:50:01.128307	\N	2fffd714-a8d7-40c3-b85e-1879cb9e467c
129224	3	16183	2013-08-03 23:50:01.24981	2013-08-03 23:50:01.24981	\N	1bdd6600-8fdc-4bf6-a9a6-a1cbe428cbb8
129226	3	16222	2013-08-03 23:50:01.292848	2013-08-03 23:50:01.292848	\N	4e111128-79ac-4929-9235-b229ee29bbe7
129227	14	16171	2013-08-03 23:50:01.534834	2013-08-03 23:50:01.534834	\N	6e83f4e5-eb8b-4849-9a7d-ff3cded1ddf0
129228	14	16179	2013-08-03 23:50:01.580334	2013-08-03 23:50:01.580334	\N	08e121f5-7bc5-450b-8f49-a87fb8b0cb9b
136329	5	17935	2013-08-04 01:04:13.608679	2013-08-04 01:04:13.608679	\N	6ede98aa-b4cc-46fb-891b-8744393a4a5f
163077	4	21678	2013-08-04 17:22:48.10262	2013-08-04 17:22:48.10262	\N	5089d6c8-755f-4625-9fdf-4d3fd0523937
163078	4	21702	2013-08-04 17:22:48.153008	2013-08-04 17:22:48.153008	\N	663f31be-bc48-4a0c-8c42-7e739dfe97b1
149986	6	19963	2013-08-04 02:22:08.097843	2013-08-04 02:22:08.097843	\N	1c0a7260-6e79-4b89-abd3-2052de0efe81
149987	6	19951	2013-08-04 02:22:08.25158	2013-08-04 02:22:08.25158	\N	e1898631-38e9-481b-80c5-0587cfe1b1aa
149989	2	20015	2013-08-04 02:22:09.522799	2013-08-04 02:22:09.522799	\N	593662ea-ad98-417e-8049-fcf2a58a403f
163079	4	21682	2013-08-04 17:22:48.203913	2013-08-04 17:22:48.203913	\N	a855d687-57af-4822-af78-b43a74dd3b37
129299	9	16183	2013-08-03 23:50:46.190902	2013-08-03 23:50:46.190902	\N	1ed8ca67-f26f-41ec-ab57-a48a2a565ff1
129301	14	16222	2013-08-03 23:50:46.646414	2013-08-03 23:50:46.646414	\N	540205bc-9702-47f9-b2cd-803916e7ca1b
163080	4	21686	2013-08-04 17:22:48.235331	2013-08-04 17:22:48.235331	\N	58a46aa4-4e33-4449-8083-88f76675b6c3
147084	19	19499	2013-08-04 02:02:51.356894	2013-08-04 02:02:51.356894	\N	1f950123-6cd6-4bd4-bc05-437d9af6a3fd
163081	4	21688	2013-08-04 17:22:48.283804	2013-08-04 17:22:48.283804	\N	e434908b-d313-4afb-8831-5b8d7ec65641
141773	7	18976	2013-08-04 01:43:16.055125	2013-08-04 01:43:16.055125	\N	f1687c78-3f17-42a3-9b08-0d93c0497cc4
163082	4	21690	2013-08-04 17:22:48.326932	2013-08-04 17:22:48.326932	\N	51d8db0d-bbb6-4f03-8830-fb5fe4472d00
163084	4	21692	2013-08-04 17:22:48.380175	2013-08-04 17:22:48.380175	\N	ea19f355-cf91-456c-a664-76c81a21390c
163085	4	21696	2013-08-04 17:22:48.426504	2013-08-04 17:22:48.426504	\N	d00e3f28-5589-4201-baf5-9c03c4ed5ba1
141788	6	18976	2013-08-04 01:43:17.985956	2013-08-04 01:43:17.985956	\N	4203a800-11ac-4e2a-85a0-e6b968c538fe
163086	4	21714	2013-08-04 17:22:48.475109	2013-08-04 17:22:48.475109	\N	c35c4e6d-a24a-44b2-b36f-d603b655ef50
141808	20	18976	2013-08-04 01:43:25.006276	2013-08-04 01:43:25.006276	\N	9c05b2ef-6892-4565-800f-40821e01015a
150012	8	20002	2013-08-04 02:22:18.887877	2013-08-04 02:22:18.887877	\N	eb4608c5-41ea-44fa-9107-9c2802a62a39
147178	4	19499	2013-08-04 02:03:32.588925	2013-08-04 02:03:32.588925	\N	710b8110-3673-4057-ad20-4d307039dc9d
163087	4	21708	2013-08-04 17:22:48.526656	2013-08-04 17:22:48.526656	\N	cdade3aa-e035-4970-af67-f06b1b71d9b1
163090	17	21640	2013-08-04 17:22:48.801699	2013-08-04 17:22:48.801699	\N	0731d5cc-b8bd-47a5-866f-91e0b7c0ca2a
207081	14	26483	2013-08-04 20:43:00.920375	2013-08-04 20:43:00.920375	\N	fcf07197-f3ad-4561-834b-214809e4d4ef
129393	18	16179	2013-08-03 23:51:43.726075	2013-08-03 23:51:43.726075	\N	f7ce7592-2c51-49c6-9a5d-d0558df5643d
136448	15	18073	2013-08-04 01:05:58.184987	2013-08-04 01:05:58.184987	\N	c74723fe-b249-42b8-a31a-d775619e94ed
136452	19	18073	2013-08-04 01:05:59.364478	2013-08-04 01:05:59.364478	\N	898349cb-05fd-4c0b-96ff-989bff4eb595
159540	2	21194	2013-08-04 17:04:12.815092	2013-08-04 17:04:12.815092	\N	e06bc4f5-28fe-45b4-a36d-ac6ee13b00d8
166240	14	22156	2013-08-04 17:43:00.486796	2013-08-04 17:43:00.486796	\N	c04aa86a-28b7-4118-854e-a868345147df
163093	11	21714	2013-08-04 17:22:49.305756	2013-08-04 17:22:49.305756	\N	7f7beddf-239e-4caa-a3d4-e325f10becd7
131481	5	16726	2013-08-04 00:14:56.471413	2013-08-04 00:14:56.471413	\N	8ce2c0f1-1dce-4318-8e10-09687efb7743
131485	14	16675	2013-08-04 00:14:57.430383	2013-08-04 00:14:57.430383	\N	9b183745-404a-4018-96f3-ae81fe91d93f
131486	14	16734	2013-08-04 00:14:57.467055	2013-08-04 00:14:57.467055	\N	598aad8e-2237-4d92-a124-365cf7ddce49
136462	15	18113	2013-08-04 01:06:06.08661	2013-08-04 01:06:06.08661	\N	be2add54-0cf2-401d-8165-3c5aa0f83af9
159546	2	21099	2013-08-04 17:04:18.059181	2013-08-04 17:04:18.059181	\N	c362285d-9d74-460d-a903-fc6ff5b1c32d
144417	14	19354	2013-08-04 01:57:00.885608	2013-08-04 01:57:00.885608	\N	e95fca3b-a949-4bd2-abca-1ddf44e5cb23
133990	1	17317	2013-08-04 00:39:47.175572	2013-08-04 00:39:47.175572	\N	ee95c505-4f52-463e-8e3c-028c7cf2b1d4
136472	11	18073	2013-08-04 01:06:10.725312	2013-08-04 01:06:10.725312	\N	8bb9cb98-47de-4385-9ccd-dd0cbd77bdbb
129449	17	16223	2013-08-03 23:52:10.67557	2013-08-03 23:52:10.67557	\N	6f65cc2c-54da-4132-acd7-7bdab6d63c40
159547	2	21129	2013-08-04 17:04:18.121069	2013-08-04 17:04:18.121069	\N	ab075872-ff4b-4c62-880a-f5d96b1f13ed
136475	11	18061	2013-08-04 01:06:11.343501	2013-08-04 01:06:11.343501	\N	d65b1ac2-a401-4dd9-924a-97141ec77ee8
159548	2	21108	2013-08-04 17:04:18.16923	2013-08-04 17:04:18.16923	\N	bbdc22e9-1460-4b2f-92a6-87b0da8f2696
131521	9	16813	2013-08-04 00:15:49.257911	2013-08-04 00:15:49.257911	\N	c43d9ff0-4cc2-4395-8c65-10df535e2166
131522	9	16801	2013-08-04 00:15:49.408394	2013-08-04 00:15:49.408394	\N	e5a4f636-89da-4e2e-bdc7-8d3d57813d47
131523	7	16852	2013-08-04 00:15:49.536016	2013-08-04 00:15:49.536016	\N	84b99b56-dbf1-4160-9396-23f001652221
136483	10	18073	2013-08-04 01:06:16.065782	2013-08-04 01:06:16.065782	\N	15a09c54-9dd2-49bd-b7b8-831c721d4472
131530	13	16813	2013-08-04 00:15:52.038433	2013-08-04 00:15:52.038433	\N	0e14d35f-4549-478f-9253-d6b7e67cbaf8
129482	4	16223	2013-08-03 23:52:24.010583	2013-08-03 23:52:24.010583	\N	9f53d8c9-c926-4dfa-ae56-773b8385fc67
147002	4	19537	2013-08-04 02:02:18.178801	2013-08-04 02:02:18.178801	\N	0bd281d3-337f-46d0-8e05-e29f35e1993f
147003	4	19541	2013-08-04 02:02:18.212221	2013-08-04 02:02:18.212221	\N	c1564a66-0126-4db9-943b-038bba1ffe49
147004	4	19543	2013-08-04 02:02:18.261725	2013-08-04 02:02:18.261725	\N	63102e41-d2a2-4629-99f3-5048a3e58aca
126899	5	15694	2013-08-03 23:31:42.824055	2013-08-03 23:31:42.824055	\N	15978c45-6c71-4f80-a770-654668ba6660
141553	2	19060	2013-08-04 01:41:30.577732	2013-08-04 01:41:30.577732	\N	dd86c93e-832c-485d-a23d-a93c8adfaf65
147005	4	19549	2013-08-04 02:02:18.294664	2013-08-04 02:02:18.294664	\N	652e57a0-b572-41a1-9f34-ace0d362240d
139132	4	18577	2013-08-04 01:25:50.077831	2013-08-04 01:25:50.077831	\N	5fed2951-f0ba-4de1-b978-528ca74f7b25
139134	4	18565	2013-08-04 01:25:50.228631	2013-08-04 01:25:50.228631	\N	4dba2b29-ce35-4259-9431-69c886d15992
139135	4	18616	2013-08-04 01:25:50.301299	2013-08-04 01:25:50.301299	\N	ccc90814-7260-4ba0-ae10-af5fcb25d719
139138	11	18565	2013-08-04 01:25:50.477066	2013-08-04 01:25:50.477066	\N	a8541d00-904a-4874-9e53-c181734cd75b
133753	16	17305	2013-08-04 00:37:43.269	2013-08-04 00:37:43.269	\N	6c965865-a99c-4371-97b3-dffd3ece762c
147006	4	19551	2013-08-04 02:02:18.32891	2013-08-04 02:02:18.32891	\N	a869f80e-fac5-4eb0-b425-ad2b0cb7fd5a
141556	15	18995	2013-08-04 01:41:31.21246	2013-08-04 01:41:31.21246	\N	8a326968-60ba-4117-881a-44f1651d9d54
131233	3	16711	2013-08-04 00:12:47.777554	2013-08-04 00:12:47.777554	\N	f4e42211-5123-48eb-9c59-5daadef210a2
131234	3	16675	2013-08-04 00:12:47.829132	2013-08-04 00:12:47.829132	\N	f698f8d2-9dc6-4abc-aeb0-1b79b181e7f9
141559	13	18943	2013-08-04 01:41:33.997155	2013-08-04 01:41:33.997155	\N	956d2ebd-08fa-4d7b-8cb2-5426c1a3412c
147007	4	19557	2013-08-04 02:02:18.370168	2013-08-04 02:02:18.370168	\N	d9c0f49f-be77-43a7-8fed-2a3bb0b37dcb
147008	4	19563	2013-08-04 02:02:18.417821	2013-08-04 02:02:18.417821	\N	ab439602-fac9-4c6c-a460-65c4709528e7
139175	2	18674	2013-08-04 01:25:56.515582	2013-08-04 01:25:56.515582	\N	f5d8851e-bd9d-4230-bfb0-56854b796d97
131249	16	16687	2013-08-04 00:12:54.699081	2013-08-04 00:12:54.699081	\N	a17c5a81-61d9-4b06-9e89-839c9ff65f19
139176	2	18670	2013-08-04 01:25:56.605885	2013-08-04 01:25:56.605885	\N	3ec645fa-5a85-4864-b427-ac04695e57c4
133782	19	17357	2013-08-04 00:37:59.141261	2013-08-04 00:37:59.141261	\N	790f6737-8517-4667-b974-ec532cd5cf1f
139177	2	18690	2013-08-04 01:25:56.66239	2013-08-04 01:25:56.66239	\N	61496a26-2ec3-42d7-a862-b389792efbb6
131275	2	16675	2013-08-04 00:13:09.176954	2013-08-04 00:13:09.176954	\N	48d76a53-01a6-4d91-8b29-44bd1a531e3f
139178	2	18672	2013-08-04 01:25:56.714032	2013-08-04 01:25:56.714032	\N	054d9fe1-0cc4-4014-af71-242122fad69f
147009	4	19565	2013-08-04 02:02:18.466629	2013-08-04 02:02:18.466629	\N	58393349-0599-4419-98b9-4b96a3f59b3b
126994	3	15703	2013-08-03 23:32:25.761124	2013-08-03 23:32:25.761124	\N	0078e082-fdba-47e8-8342-2c518c88c2d5
162858	2	21685	2013-08-04 17:22:01.646566	2013-08-04 17:22:01.646566	\N	6bf9610c-0661-40d0-860f-2c9f0d05043c
139188	15	18617	2013-08-04 01:25:59.63634	2013-08-04 01:25:59.63634	\N	1552b8a1-52b9-4695-82c2-e12c30f4f624
162859	2	21687	2013-08-04 17:22:01.699496	2013-08-04 17:22:01.699496	\N	dd7d69aa-80a8-472f-a683-f3b337e92351
129164	17	16171	2013-08-03 23:49:35.524277	2013-08-03 23:49:35.524277	\N	daa3a752-6eed-49b4-afe5-e3e870760a0c
127007	16	15703	2013-08-03 23:32:28.136162	2013-08-03 23:32:28.136162	\N	03ac92d0-b4b4-4b17-9a60-a2dbaf6ef8ad
129168	19	16171	2013-08-03 23:49:36.454091	2013-08-03 23:49:36.454091	\N	a37d6aca-dfbb-45b4-9716-fa19a04f275c
129181	9	16222	2013-08-03 23:49:40.922219	2013-08-03 23:49:40.922219	\N	1ba3d96e-a8c8-493a-8777-6d52e542f2cb
129183	7	16207	2013-08-03 23:49:42.152915	2013-08-03 23:49:42.152915	\N	4f59adc0-a8f2-4342-a37e-14de34f3821b
129184	9	16223	2013-08-03 23:49:43.159529	2013-08-03 23:49:43.159529	\N	eff1fa14-7ed9-4a0d-843a-66b09bcd989d
129201	11	16207	2013-08-03 23:49:51.765124	2013-08-03 23:49:51.765124	\N	f868682f-85a7-43eb-aef9-453269f3af48
129206	11	16222	2013-08-03 23:49:52.535811	2013-08-03 23:49:52.535811	\N	472f05ab-c970-46a4-9927-84705ab8da1d
162861	2	21677	2013-08-04 17:22:01.72875	2013-08-04 17:22:01.72875	\N	9e05a4bc-b681-4bd8-8205-f36fba0733da
129218	6	16207	2013-08-03 23:49:59.273327	2013-08-03 23:49:59.273327	\N	55a29cbe-714d-463e-a2d4-9574ed3ca2d5
129221	15	16223	2013-08-03 23:49:59.875704	2013-08-03 23:49:59.875704	\N	b80123e3-5ad9-42f9-a6bc-82b9ce65e062
162862	2	21681	2013-08-04 17:22:01.776502	2013-08-04 17:22:01.776502	\N	341397f2-1981-4044-be1b-953562a5f329
139227	10	18565	2013-08-04 01:26:13.942585	2013-08-04 01:26:13.942585	\N	d6ace081-97bb-47dc-a079-c9314262f9c7
162863	2	21695	2013-08-04 17:22:01.830046	2013-08-04 17:22:01.830046	\N	51b10135-dfdf-4d3e-8ffd-e861eae061bb
187180	1	24202	2013-08-04 19:03:08.589178	2013-08-04 19:03:08.589178	\N	2b93936f-c05c-4c83-8d30-8059681026c7
207056	11	26470	2013-08-04 20:42:50.002823	2013-08-04 20:42:50.002823	\N	b1ea582c-9182-42c8-8efb-b86ff8f37fe8
139233	9	18577	2013-08-04 01:26:16.296988	2013-08-04 01:26:16.296988	\N	d07fb3c8-0ae3-4007-9a39-c6a2c3e058bd
139234	9	18565	2013-08-04 01:26:16.510744	2013-08-04 01:26:16.510744	\N	a20781ec-cf89-4f8e-a116-302b51bc0623
129283	8	16223	2013-08-03 23:50:38.501186	2013-08-03 23:50:38.501186	\N	e23f8d05-0f58-474f-b486-75075b5376df
139235	9	18617	2013-08-04 01:26:17.687803	2013-08-04 01:26:17.687803	\N	6943b412-4aa8-47b7-a07c-019fc5ad6ab3
159512	2	21136	2013-08-04 17:04:02.191664	2013-08-04 17:04:02.191664	\N	06f7d868-0722-4eed-85b3-82b43ff2ba27
139265	13	18577	2013-08-04 01:26:26.039086	2013-08-04 01:26:26.039086	\N	9ab3b905-eee7-49ac-8173-a411dbcdcf8a
136434	4	18073	2013-08-04 01:05:57.241769	2013-08-04 01:05:57.241769	\N	933e3f98-2168-457e-bd80-4363c61d1853
136437	4	18061	2013-08-04 01:05:57.383648	2013-08-04 01:05:57.383648	\N	651ac41d-9d4a-4c8b-8103-2d02d79656b0
136438	4	18112	2013-08-04 01:05:57.434349	2013-08-04 01:05:57.434349	\N	105e451c-0384-4200-86c0-ebef7bb6270c
159513	2	21112	2013-08-04 17:04:02.238894	2013-08-04 17:04:02.238894	\N	315af5e5-8b4e-41ea-a125-a49aa16fc8bc
136457	8	18061	2013-08-04 01:06:03.098729	2013-08-04 01:06:03.098729	\N	c1979382-bb77-441d-8f2f-4501586fd866
136458	2	18186	2013-08-04 01:06:03.347667	2013-08-04 01:06:03.347667	\N	20fa563e-6aeb-4d81-a3e1-c05c050ccb4c
159514	2	21184	2013-08-04 17:04:02.277434	2013-08-04 17:04:02.277434	\N	e2bbddd3-3fe2-4900-8b12-35197fe0c87a
159515	2	21178	2013-08-04 17:04:02.335658	2013-08-04 17:04:02.335658	\N	197a4196-fb02-43ec-a8db-4de35420b190
129349	19	16223	2013-08-03 23:51:19.526932	2013-08-03 23:51:19.526932	\N	aef00ccd-1fc2-4f51-ab8b-b562c7ca659b
159516	2	21174	2013-08-04 17:04:02.365177	2013-08-04 17:04:02.365177	\N	91a4d81b-d8d9-4be9-9709-fc413071f7c8
136471	6	18112	2013-08-04 01:06:10.712625	2013-08-04 01:06:10.712625	\N	5bf0806f-02e6-4ce5-b092-3f4e4e287847
159517	2	21198	2013-08-04 17:04:02.39787	2013-08-04 17:04:02.39787	\N	e96c7ee9-3288-4793-b0b9-910efa8a1afb
136481	11	18112	2013-08-04 01:06:14.859391	2013-08-04 01:06:14.859391	\N	1f37f52a-fd41-41eb-8c58-84b6fa54fb6a
159518	2	21192	2013-08-04 17:04:02.435878	2013-08-04 17:04:02.435878	\N	6cb98338-016d-43da-a14f-d3a713cc8755
136491	2	18150	2013-08-04 01:06:18.492872	2013-08-04 01:06:18.492872	\N	d6bfeb6b-7b7f-4c74-8426-174812fc8c4a
141690	16	18994	2013-08-04 01:42:41.409648	2013-08-04 01:42:41.409648	\N	2f07b517-c893-4719-b46e-d6349c3f921c
190960	2	24442	2013-08-04 19:15:42.957012	2013-08-04 19:15:42.957012	\N	448914bf-7dbe-4daa-be1b-b59a23fbc6a8
144498	6	19373	2013-08-04 01:57:06.960341	2013-08-04 01:57:06.960341	\N	f0e2947c-e3e4-4cc1-8b57-7c6e3f482c59
187190	14	24215	2013-08-04 19:03:09.40028	2013-08-04 19:03:09.40028	\N	ea6165e5-836a-422a-8c41-e871573be701
159528	2	21188	2013-08-04 17:04:07.559416	2013-08-04 17:04:07.559416	\N	62e65f8b-66ef-4c57-bdf5-f19382ce720d
159529	2	21137	2013-08-04 17:04:07.662122	2013-08-04 17:04:07.662122	\N	ffd54406-5d8f-4001-ac41-cde37f13af7e
136521	9	18061	2013-08-04 01:06:32.155309	2013-08-04 01:06:32.155309	\N	0a94daa2-c141-44be-99e0-dcf4b9ff5736
187191	9	24218	2013-08-04 19:03:09.478666	2013-08-04 19:03:09.478666	\N	7bcdee00-9798-43b8-ae34-f9a9214720fd
133940	14	17356	2013-08-04 00:39:21.053337	2013-08-04 00:39:21.053337	\N	dc75b4f6-92d4-45bb-9156-331be7b5d0f0
136525	13	18073	2013-08-04 01:06:35.843021	2013-08-04 01:06:35.843021	\N	de3a63d3-09c8-459a-b903-790bf92d9391
136526	13	18061	2013-08-04 01:06:36.329988	2013-08-04 01:06:36.329988	\N	176ec00d-7dee-42ec-aead-2b2e7289ae46
173151	17	22900	2013-08-04 18:14:05.648973	2013-08-04 18:14:05.648973	\N	41a20dd7-b533-4c17-8995-2c90e2c981dd
187192	14	24197	2013-08-04 19:03:09.571875	2013-08-04 19:03:09.571875	\N	cc63b157-86e5-4b90-b286-6dee9b36063d
136540	17	18073	2013-08-04 01:06:43.558616	2013-08-04 01:06:43.558616	\N	8cec9e6a-9dcf-4014-bb69-fc207fab09bd
131484	5	16711	2013-08-04 00:14:56.88932	2013-08-04 00:14:56.88932	\N	3541d10c-0aea-4df3-ba40-623b1286a111
136542	8	18113	2013-08-04 01:06:43.851774	2013-08-04 01:06:43.851774	\N	1dea0e1b-8a1b-4e2e-9812-48f76b91c7ab
131512	9	16853	2013-08-04 00:15:45.074525	2013-08-04 00:15:45.074525	\N	ff06a738-796f-4e38-975e-4726e68746e5
187194	19	24160	2013-08-04 19:03:09.924377	2013-08-04 19:03:09.924377	\N	6140fa78-c6ba-485e-9687-00673d98d426
131518	11	16852	2013-08-04 00:15:48.143774	2013-08-04 00:15:48.143774	\N	a4b3c4a2-0c70-4ca2-a1f5-d6d478b2ac12
131528	15	16801	2013-08-04 00:15:51.996829	2013-08-04 00:15:51.996829	\N	283ca773-c0c5-434a-8632-f4c005185bde
131532	7	16801	2013-08-04 00:15:52.798981	2013-08-04 00:15:52.798981	\N	d4e66947-ee9c-4ccd-8fb1-54a4692b2196
131548	15	16853	2013-08-04 00:16:00.685495	2013-08-04 00:16:00.685495	\N	fc928fa7-57d2-4d7c-8f1a-3ebc6d7d5431
131550	8	16852	2013-08-04 00:16:01.003156	2013-08-04 00:16:01.003156	\N	1bf9379f-bbc0-4c23-9ba1-3ff4fe605cbf
134024	8	17443	2013-08-04 00:40:48.384553	2013-08-04 00:40:48.384553	\N	56ea934d-cdaf-4889-b8e8-7a1605e44828
134031	16	17443	2013-08-04 00:40:49.847073	2013-08-04 00:40:49.847073	\N	be0016ba-0141-4bb4-9429-9c1ef2aabe6a
134032	16	17431	2013-08-04 00:40:50.800145	2013-08-04 00:40:50.800145	\N	17efce78-b741-4390-8404-b16ffc7fdd0a
134037	16	17482	2013-08-04 00:40:52.895263	2013-08-04 00:40:52.895263	\N	62b211e7-c54a-4837-8ca3-6df39b3a4ff5
134039	6	17482	2013-08-04 00:40:53.140723	2013-08-04 00:40:53.140723	\N	e3ea61fe-6e78-4077-9ae5-6627b166f788
136585	7	18073	2013-08-04 01:07:04.88396	2013-08-04 01:07:04.88396	\N	b5e2d587-f4eb-45bf-a91d-dbf7a2d06eed
134043	15	17443	2013-08-04 00:40:53.565002	2013-08-04 00:40:53.565002	\N	0888fdfb-9c20-49dd-b87a-dda39ac40ea7
136586	7	18061	2013-08-04 01:07:05.048832	2013-08-04 01:07:05.048832	\N	c207f8a2-c0c9-4e24-b023-292bf79c1e4d
134057	6	17443	2013-08-04 00:40:57.843341	2013-08-04 00:40:57.843341	\N	5732ef25-a835-40b5-a85d-a4a914949311
134065	7	17431	2013-08-04 00:41:00.993063	2013-08-04 00:41:00.993063	\N	5b5557b5-77bd-4147-908c-46ccaf7f8ef0
159583	2	21114	2013-08-04 17:04:29.312615	2013-08-04 17:04:29.312615	\N	27def1cb-b54b-4d70-9a1b-3c743c6eb31d
207068	14	26497	2013-08-04 20:42:57.105723	2013-08-04 20:42:57.105723	\N	589939a6-75d9-45a1-b053-e1cc1d1ce6a7
159585	2	21210	2013-08-04 17:04:29.41005	2013-08-04 17:04:29.41005	\N	45420e47-02ec-4aa4-b6fe-aae406faede3
134076	10	17431	2013-08-04 00:41:08.124128	2013-08-04 00:41:08.124128	\N	1dc534ee-d95e-45c5-b33d-770c07602c60
129172	2	16207	2013-08-03 23:49:37.209738	2013-08-03 23:49:37.209738	\N	a640d8e2-625b-420c-9a4d-7997fe1a72cf
141564	1	18995	2013-08-04 01:41:36.651191	2013-08-04 01:41:36.651191	\N	1617dbfc-710d-4f45-8449-42e2d42daab8
129174	8	16183	2013-08-03 23:49:38.079999	2013-08-03 23:49:38.079999	\N	168b1a57-866b-4de5-8c62-ac942edf5b06
129180	8	16207	2013-08-03 23:49:40.234115	2013-08-03 23:49:40.234115	\N	115c258b-3ce2-4c7f-a775-ce73faa79c3f
159501	14	21126	2013-08-04 17:03:56.819197	2013-08-04 17:03:56.819197	\N	8cb16205-f74f-43a6-9917-0f90fe311129
159502	14	21161	2013-08-04 17:03:56.856501	2013-08-04 17:03:56.856501	\N	940bf8e7-485f-4432-afba-f11033d5bf90
159503	14	21195	2013-08-04 17:03:56.935704	2013-08-04 17:03:56.935704	\N	c765acee-f225-4608-98da-61f5d704c9c0
187193	14	24201	2013-08-04 19:03:09.914534	2013-08-04 19:03:09.914534	\N	6b3d7919-2353-4d5b-9079-b1442a7dbcfc
129225	15	16171	2013-08-03 23:50:01.260677	2013-08-03 23:50:01.260677	\N	a449626b-137c-4d9e-b56f-5f452e876c05
150075	12	19951	2013-08-04 02:22:46.59863	2013-08-04 02:22:46.59863	\N	e84f5fee-1311-487e-a2fb-74b1ca762079
136384	6	17943	2013-08-04 01:04:42.319203	2013-08-04 01:04:42.319203	\N	dac21936-bc42-4600-90d5-e87ef88ee0fb
162891	8	21686	2013-08-04 17:22:08.190453	2013-08-04 17:22:08.190453	\N	f8bce36c-a06a-4ad6-8233-cfe132c11217
129244	17	16207	2013-08-03 23:50:12.705358	2013-08-03 23:50:12.705358	\N	fdfa14d8-bafc-4259-835c-16e3f199091d
129250	1	16223	2013-08-03 23:50:14.328717	2013-08-03 23:50:14.328717	\N	e6f7d035-57eb-4b35-98d4-3fa41f505a64
129251	10	16171	2013-08-03 23:50:14.387426	2013-08-03 23:50:14.387426	\N	7f8f7caa-036e-41cd-8130-fe1a18d50b97
129252	10	16222	2013-08-03 23:50:14.505173	2013-08-03 23:50:14.505173	\N	79e929e5-d6b0-4c0b-a3cc-a5a588356cdd
159576	12	21097	2013-08-04 17:04:24.625334	2013-08-04 17:04:24.625334	\N	92b4e905-91c0-4fbd-9e0a-295e4a0b28ad
129254	2	16183	2013-08-03 23:50:14.769909	2013-08-03 23:50:14.769909	\N	900f323c-cfd6-467e-936f-84975f0be9df
141592	20	18994	2013-08-04 01:41:50.917501	2013-08-04 01:41:50.917501	\N	1c3c14f9-98bf-49a6-a591-81939f0bf7ea
180130	13	23530	2013-08-04 18:38:33.420416	2013-08-04 18:38:33.420416	\N	f484f5fb-5bb1-4ea5-964b-f6826adbb710
129272	4	16183	2013-08-03 23:50:33.0331	2013-08-03 23:50:33.0331	\N	f9c697aa-88f1-481b-b274-19107970354d
129273	4	16171	2013-08-03 23:50:33.093256	2013-08-03 23:50:33.093256	\N	6de67a52-4d1d-4077-96f1-0fc1f26e8b84
129274	4	16207	2013-08-03 23:50:33.15663	2013-08-03 23:50:33.15663	\N	99a2f12f-f4c4-43f3-92ce-e02e174ab0c2
129275	4	16222	2013-08-03 23:50:33.183567	2013-08-03 23:50:33.183567	\N	3583540c-218c-4405-853e-37f4c0ac57ed
187226	11	24121	2013-08-04 19:03:15.807105	2013-08-04 19:03:15.807105	\N	ec726ddc-18a8-4199-bc85-0d2f6e1ba03a
134035	13	17443	2013-08-04 00:40:51.682592	2013-08-04 00:40:51.682592	\N	ccc5cf22-2507-4865-9e80-5491555a7452
134036	13	17431	2013-08-04 00:40:51.953511	2013-08-04 00:40:51.953511	\N	159301b3-3ddb-4ea9-b100-a3a88672c6e3
131506	20	16813	2013-08-04 00:15:41.072398	2013-08-04 00:15:41.072398	\N	47ff6244-0bc8-4168-8d39-6e7bf16b4f12
129300	9	16171	2013-08-03 23:50:46.334714	2013-08-03 23:50:46.334714	\N	0116127c-da21-4bdc-953b-1e2bb8aafe45
131507	19	16801	2013-08-04 00:15:41.519485	2013-08-04 00:15:41.519485	\N	bfc2cece-1175-4175-8d88-49e1e7c1294a
131517	7	16813	2013-08-04 00:15:47.161854	2013-08-04 00:15:47.161854	\N	b2c31168-bdf2-471d-9120-629ef993d47d
131529	15	16813	2013-08-04 00:15:51.99691	2013-08-04 00:15:51.99691	\N	93ef4183-7119-445a-b88b-863fcb0e7f33
131552	19	16852	2013-08-04 00:16:01.223789	2013-08-04 00:16:01.223789	\N	e85ac388-fa54-4425-abc9-3bfdba3bcfce
134038	8	17483	2013-08-04 00:40:52.960355	2013-08-04 00:40:52.960355	\N	ba9a15b3-1fce-454a-a9e0-3be82f2fc3fc
131556	3	16852	2013-08-04 00:16:04.531699	2013-08-04 00:16:04.531699	\N	7e678465-6554-4de1-a63a-3a7f5184c955
134045	1	17443	2013-08-04 00:40:54.969443	2013-08-04 00:40:54.969443	\N	42140b78-e8e1-4828-98d6-836a15164320
139129	11	18577	2013-08-04 01:25:49.969615	2013-08-04 01:25:49.969615	\N	1621dfba-c91f-4070-954f-be54b6993d29
139130	8	18577	2013-08-04 01:25:50.05365	2013-08-04 01:25:50.05365	\N	ef1b7b66-adba-40ce-8c80-ef6e7a349f5d
139141	2	18565	2013-08-04 01:25:50.933336	2013-08-04 01:25:50.933336	\N	1f407741-7fbc-4e20-9304-93304c66f45c
136454	15	18061	2013-08-04 01:06:00.019365	2013-08-04 01:06:00.019365	\N	428a741a-f1a8-421b-88ac-a1a77a511a24
131577	6	16813	2013-08-04 00:16:17.451514	2013-08-04 00:16:17.451514	\N	b83fdb2c-424d-47d6-91c4-a47fbc755bc1
136455	19	18061	2013-08-04 01:06:00.14292	2013-08-04 01:06:00.14292	\N	cd0b9f9a-0718-411f-aed3-69e92ee968a1
139142	2	18577	2013-08-04 01:25:51.000262	2013-08-04 01:25:51.000262	\N	cf0d15df-052c-4eb8-b706-0afa97d68224
139143	2	18616	2013-08-04 01:25:51.085398	2013-08-04 01:25:51.085398	\N	54a1f022-e3ac-4435-80da-d9a0f4c12f0c
194683	4	24695	2013-08-04 19:34:46.419655	2013-08-04 19:34:46.419655	\N	bc7b4e0c-3e28-4152-87f9-93fb8041cccb
134083	2	17431	2013-08-04 00:41:11.854447	2013-08-04 00:41:11.854447	\N	2e245f84-5710-483b-8bfb-9f44532fabf1
134084	2	17443	2013-08-04 00:41:11.919394	2013-08-04 00:41:11.919394	\N	0433500c-1111-4632-8b8e-9a8b2356acf8
136519	9	18073	2013-08-04 01:06:30.99185	2013-08-04 01:06:30.99185	\N	3b9aeac9-4344-49ff-81c4-98d48625e0f7
150089	12	20003	2013-08-04 02:22:48.942737	2013-08-04 02:22:48.942737	\N	f264a8f2-58e7-480c-8a90-0ad0e171bd66
139146	2	18654	2013-08-04 01:25:51.246967	2013-08-04 01:25:51.246967	\N	fe78c630-3b8b-4f0b-89b3-0c8c2173c8db
139147	2	18658	2013-08-04 01:25:51.349107	2013-08-04 01:25:51.349107	\N	36118646-5c15-4d4c-9492-38a3fe3a4479
139148	7	18565	2013-08-04 01:25:51.612618	2013-08-04 01:25:51.612618	\N	978efdcb-f996-4383-a763-7a2e8c09dc3b
139149	7	18577	2013-08-04 01:25:51.687949	2013-08-04 01:25:51.687949	\N	f7a904fb-fb0d-4010-86dd-5022afdd0aa0
139182	8	18616	2013-08-04 01:25:56.823578	2013-08-04 01:25:56.823578	\N	57b059e8-5e7f-4976-9a45-03648cd35c82
187232	11	24202	2013-08-04 19:03:16.57943	2013-08-04 19:03:16.57943	\N	85f37bb8-99a4-49c2-855f-3f4de489c6e2
180155	19	23582	2013-08-04 18:38:38.648683	2013-08-04 18:38:38.648683	\N	2693f905-3e9b-4b9a-89ab-4a0a07916760
131665	2	16801	2013-08-04 00:17:10.679159	2013-08-04 00:17:10.679159	\N	e9ef42b4-021f-4d37-8c66-219d0d88d432
139187	6	18565	2013-08-04 01:25:59.469261	2013-08-04 01:25:59.469261	\N	f1521ee8-937a-4674-b399-eca7de1e9485
134170	17	17443	2013-08-04 00:41:54.933552	2013-08-04 00:41:54.933552	\N	e76db34b-1513-42f9-b0d3-efdf5cda16b1
180157	1	23572	2013-08-04 18:38:39.089274	2013-08-04 18:38:39.089274	\N	4c4a3891-fde2-4af5-adf8-4029f59a7d16
180160	2	23547	2013-08-04 18:38:40.858484	2013-08-04 18:38:40.858484	\N	a0d9291d-7067-48d8-b586-5b4ff306aa35
136601	7	18112	2013-08-04 01:07:15.798954	2013-08-04 01:07:15.798954	\N	be87dd44-201a-4e39-a6fe-347efa7b4b6c
163031	12	21641	2013-08-04 17:22:37.941391	2013-08-04 17:22:37.941391	\N	78d93cab-2840-42de-a1d6-1f3748d542d6
163032	17	21641	2013-08-04 17:22:38.089307	2013-08-04 17:22:38.089307	\N	5cf65d3b-2943-4039-9559-57eed8f89b48
163033	17	21601	2013-08-04 17:22:38.590965	2013-08-04 17:22:38.590965	\N	126adf05-92e2-458d-8ecd-fd2848df0308
134223	5	17482	2013-08-04 00:42:21.860851	2013-08-04 00:42:21.860851	\N	79f68313-c65c-4450-b3f8-3c05ba6eeef6
129530	14	16183	2013-08-03 23:53:04.113687	2013-08-03 23:53:04.113687	\N	69168cf1-b44a-47cf-98d8-9505b71cc3c1
163034	19	21640	2013-08-04 17:22:39.524421	2013-08-04 17:22:39.524421	\N	db4ea93c-7177-4605-9604-a908f3736150
150216	3	19951	2013-08-04 02:23:45.140754	2013-08-04 02:23:45.140754	\N	86ecc1d8-5ab9-425d-9f7e-df0714f78086
150217	3	20002	2013-08-04 02:23:45.19962	2013-08-04 02:23:45.19962	\N	a55470ed-f3c7-4f4e-a6d7-55fc126da763
134237	19	17483	2013-08-04 00:42:27.888828	2013-08-04 00:42:27.888828	\N	b21ca2f1-ac63-4b82-b76c-92a9bfad7862
187252	11	24136	2013-08-04 19:03:19.847191	2013-08-04 19:03:19.847191	\N	89dbd1a5-d1b0-474c-9161-e4cb4eb2a5b9
169852	7	22609	2013-08-04 18:01:53.32989	2013-08-04 18:01:53.32989	\N	ab47c05b-b40c-4013-b2a0-c7826afba698
169877	7	22722	2013-08-04 18:02:00.696826	2013-08-04 18:02:00.696826	\N	cc831f2f-c12b-4830-bbe4-3eb79531bd6a
134242	19	17431	2013-08-04 00:42:31.596871	2013-08-04 00:42:31.596871	\N	f72afc1d-efcc-4bdf-adb1-3411ae11d055
141695	19	18995	2013-08-04 01:42:44.942707	2013-08-04 01:42:44.942707	\N	9bdc6473-e3ba-40dd-a48e-2e6058cd6275
139267	13	18565	2013-08-04 01:26:26.350673	2013-08-04 01:26:26.350673	\N	63406002-f25b-418e-b54c-dad34e3c05d8
163069	19	21616	2013-08-04 17:22:46.886992	2013-08-04 17:22:46.886992	\N	2bff3e72-9ba3-4b25-ba17-73890f340381
131764	14	16813	2013-08-04 00:17:59.645687	2013-08-04 00:17:59.645687	\N	cbab6811-44dc-40c7-874d-65ec2af1a069
131765	12	16853	2013-08-04 00:17:59.937146	2013-08-04 00:17:59.937146	\N	bc5a73eb-c794-41a7-9541-cc1f8735ee3f
141702	6	18995	2013-08-04 01:42:51.429233	2013-08-04 01:42:51.429233	\N	7a73eac4-229d-49b9-8eb5-d5bf0b1e0229
163070	11	21696	2013-08-04 17:22:46.988352	2013-08-04 17:22:46.988352	\N	e6c49075-edb2-465a-be13-d3a844ebbe40
150305	14	19963	2013-08-04 02:24:29.665618	2013-08-04 02:24:29.665618	\N	e830f7f9-05f5-4a0d-8748-2134e0674b3d
166265	2	22170	2013-08-04 17:43:12.935764	2013-08-04 17:43:12.935764	\N	a881d333-b989-4e16-978f-a9021e5e1d18
134274	12	17443	2013-08-04 00:42:42.993319	2013-08-04 00:42:42.993319	\N	4cde2e52-8116-4d9d-86ec-fea5a7188df8
166266	2	22168	2013-08-04 17:43:12.982798	2013-08-04 17:43:12.982798	\N	2a330f3f-1296-4b2e-8911-953629fcea6e
141760	19	18976	2013-08-04 01:43:12.89879	2013-08-04 01:43:12.89879	\N	8007fa40-5bdb-40be-9b7b-ad4af3b0b46d
180190	2	23567	2013-08-04 18:38:49.705033	2013-08-04 18:38:49.705033	\N	7975f10b-d64c-46eb-a1ba-4a51ca99572d
131811	10	16801	2013-08-04 00:18:21.734639	2013-08-04 00:18:21.734639	\N	012b5999-a80a-45f8-b827-26004f3452b5
131812	10	16813	2013-08-04 00:18:21.80921	2013-08-04 00:18:21.80921	\N	3e176adb-5d43-484f-aff8-f4010c2450ae
194732	14	24652	2013-08-04 19:35:00.391777	2013-08-04 19:35:00.391777	\N	fbc3a600-6b52-442e-8335-70de538c847e
163185	1	21678	2013-08-04 17:23:26.459777	2013-08-04 17:23:26.459777	\N	d44f16ce-6d92-423c-bd7c-d8fa03b04f7f
131478	5	16675	2013-08-04 00:14:56.063414	2013-08-04 00:14:56.063414	\N	0835c1c3-4f00-41ac-b641-0b54d3ece1b1
129223	15	16183	2013-08-03 23:50:01.24777	2013-08-03 23:50:01.24777	\N	5c02b0f0-380b-4274-8de2-f015e8d6369d
136442	2	18166	2013-08-04 01:05:58.074973	2013-08-04 01:05:58.074973	\N	f1565fda-8970-42eb-8b76-62a5bb727fe3
126906	14	15679	2013-08-03 23:31:45.461466	2013-08-03 23:31:45.461466	\N	edd4a879-f34f-4f31-9185-d3859d58b611
136443	2	18154	2013-08-04 01:05:58.108823	2013-08-04 01:05:58.108823	\N	b2178c45-bdc6-4da0-9e2f-da9aba309afb
136446	2	18160	2013-08-04 01:05:58.139805	2013-08-04 01:05:58.139805	\N	90e26b1d-497e-4e48-9bab-96bdd96ed598
131501	8	16813	2013-08-04 00:15:40.630877	2013-08-04 00:15:40.630877	\N	f43130f2-6a23-4f20-809a-b26f2ebc4051
131503	19	16813	2013-08-04 00:15:40.776408	2013-08-04 00:15:40.776408	\N	4b46d61c-9bb3-4850-a581-da70bbfec4e8
129248	10	16207	2013-08-03 23:50:14.155647	2013-08-03 23:50:14.155647	\N	dc61bd36-1cc9-4d9b-83ba-76d278d8d37d
129249	10	16183	2013-08-03 23:50:14.305141	2013-08-03 23:50:14.305141	\N	b94f75a8-7850-4210-af91-b6f0be2f33c8
134022	1	17065	2013-08-04 00:40:14.552069	2013-08-04 00:40:14.552069	\N	9160a782-268d-4165-9d68-c722a83a7999
131508	11	16813	2013-08-04 00:15:44.421117	2013-08-04 00:15:44.421117	\N	f62e403b-977f-44e2-b1a1-604f2ed390b5
136447	2	18168	2013-08-04 01:05:58.175729	2013-08-04 01:05:58.175729	\N	179a0725-dd25-401d-a723-4e0db9d230f7
131527	6	16852	2013-08-04 00:15:50.717961	2013-08-04 00:15:50.717961	\N	1b3ffdc5-8d85-4daf-8f7c-3765da4d071b
134026	3	17482	2013-08-04 00:40:48.423967	2013-08-04 00:40:48.423967	\N	33ea6f7a-31e4-4a20-8541-09c308a9b160
134027	3	17431	2013-08-04 00:40:48.466878	2013-08-04 00:40:48.466878	\N	654ede5e-04b7-42b2-8208-6c4b8c9acfec
131535	4	16852	2013-08-04 00:15:54.944551	2013-08-04 00:15:54.944551	\N	c824f799-83b3-4e0f-9653-cccace5c699a
131536	15	16852	2013-08-04 00:15:56.141334	2013-08-04 00:15:56.141334	\N	9a0667c5-83ad-43d2-8a09-c12d8a71a361
127002	16	15679	2013-08-03 23:32:27.63485	2013-08-03 23:32:27.63485	\N	34155dac-93e7-40f9-9e6f-2cbff24099b1
127003	16	15667	2013-08-03 23:32:27.853009	2013-08-03 23:32:27.853009	\N	d88bbf8d-6aad-4af9-877c-df42722455e8
127004	16	15694	2013-08-03 23:32:28.007518	2013-08-03 23:32:28.007518	\N	65e99f9f-25ca-4f45-b2f7-64923b7ffb6e
134028	4	17443	2013-08-04 00:40:48.511024	2013-08-04 00:40:48.511024	\N	29e3ca45-aa7a-496d-99fb-b51aefe62129
134029	4	17431	2013-08-04 00:40:48.544001	2013-08-04 00:40:48.544001	\N	5823c026-7717-4ab9-bbbc-be0cf19c4376
129305	5	16171	2013-08-03 23:50:51.097022	2013-08-03 23:50:51.097022	\N	58a32039-5825-4d8c-bff1-2713f502a26d
129308	5	16207	2013-08-03 23:50:53.568201	2013-08-03 23:50:53.568201	\N	af24dcc0-cd32-415e-a2ea-a5b9b948ae04
134030	4	17482	2013-08-04 00:40:48.600575	2013-08-04 00:40:48.600575	\N	c978b6e1-4b72-4f65-9f65-f176cdeef553
134033	19	17482	2013-08-04 00:40:51.136627	2013-08-04 00:40:51.136627	\N	a6de5b28-27b0-4344-bed3-3d7ad54648f7
134034	2	17482	2013-08-04 00:40:51.606134	2013-08-04 00:40:51.606134	\N	b6ed5faa-b6c4-49b7-85d2-634de0297636
134042	8	17482	2013-08-04 00:40:53.275239	2013-08-04 00:40:53.275239	\N	62e4686a-8aa9-49c3-a511-bbf70e182798
134044	15	17431	2013-08-04 00:40:53.565002	2013-08-04 00:40:53.565002	\N	4615e37c-9b95-41f5-ae9e-3289db7e098f
131571	1	16853	2013-08-04 00:16:13.860108	2013-08-04 00:16:13.860108	\N	9452682e-8390-4540-a11e-ec279aec9c2a
134046	15	17482	2013-08-04 00:40:55.137178	2013-08-04 00:40:55.137178	\N	7edcb733-5b74-49ca-a657-6f9c20b3e77f
129334	16	16183	2013-08-03 23:51:07.284198	2013-08-03 23:51:07.284198	\N	5e7d76c1-eae2-4887-878d-0fc3049fe39a
129335	16	16171	2013-08-03 23:51:07.430328	2013-08-03 23:51:07.430328	\N	acd2a2a3-3444-4270-a93b-493cb42df9c8
129337	16	16222	2013-08-03 23:51:07.718832	2013-08-03 23:51:07.718832	\N	72a00d60-df3f-429b-93bc-adbc83324f78
136449	2	18170	2013-08-04 01:05:58.205951	2013-08-04 01:05:58.205951	\N	83262b6b-f5a1-48c1-9cb8-dc84364ca2c7
134054	11	17431	2013-08-04 00:40:57.500332	2013-08-04 00:40:57.500332	\N	c3083ddf-17ac-4848-b68b-2c65dbd1dcfc
136450	2	18112	2013-08-04 01:05:58.257287	2013-08-04 01:05:58.257287	\N	3c3ec291-2132-4740-a7bc-bafd78beb898
131587	17	16853	2013-08-04 00:16:26.98557	2013-08-04 00:16:26.98557	\N	e89869cc-992e-4dfc-bdaa-fe8ae47d6c5a
136453	1	18073	2013-08-04 01:05:59.546402	2013-08-04 01:05:59.546402	\N	47cf5b5d-36e6-4c15-abe4-5cf49343d657
134070	7	17482	2013-08-04 00:41:03.947862	2013-08-04 00:41:03.947862	\N	c420107e-a15d-419a-9d7a-d933bb278fef
144411	19	19321	2013-08-04 01:57:00.59095	2013-08-04 01:57:00.59095	\N	cbbbad40-a779-487e-8600-252c8f95caa6
159549	2	21102	2013-08-04 17:04:18.222794	2013-08-04 17:04:18.222794	\N	ee312a79-0fa4-419c-b534-9bc6051d57e9
136484	10	18061	2013-08-04 01:06:16.221059	2013-08-04 01:06:16.221059	\N	a054af6a-0e9f-4e79-8e0f-137cdb365c2b
139128	8	18565	2013-08-04 01:25:48.814384	2013-08-04 01:25:48.814384	\N	df92d957-dc6c-430a-8c32-5ef82ee7417d
136495	6	18073	2013-08-04 01:06:19.648059	2013-08-04 01:06:19.648059	\N	b1ac7b82-f3b8-453f-b91e-726613d5b297
159550	2	21132	2013-08-04 17:04:18.272353	2013-08-04 17:04:18.272353	\N	17e81e54-fec7-4b4c-aa40-c49c8aca54ba
134111	17	17483	2013-08-04 00:41:26.749116	2013-08-04 00:41:26.749116	\N	e579b334-602a-4f30-976c-93625022b581
136502	6	18061	2013-08-04 01:06:24.452293	2013-08-04 01:06:24.452293	\N	73b6e7b7-bd51-4933-ab93-d827108f60f0
149951	3	19963	2013-08-04 02:21:59.493956	2013-08-04 02:21:59.493956	\N	7c9a92ea-329b-4661-b097-cf5b6f22c756
134125	9	17431	2013-08-04 00:41:32.467955	2013-08-04 00:41:32.467955	\N	b083dddd-8752-4b88-b4f8-077f8c0d6043
139137	17	18616	2013-08-04 01:25:50.329037	2013-08-04 01:25:50.329037	\N	bedc627a-c262-4efd-8007-a62035876054
159551	2	21093	2013-08-04 17:04:18.319115	2013-08-04 17:04:18.319115	\N	8b3e5ac4-b4ef-49e2-a6ea-d5b81f3a4f94
139154	7	18617	2013-08-04 01:25:53.274025	2013-08-04 01:25:53.274025	\N	3bb2ad13-3f4b-411f-bc0e-fce2716e0794
159552	2	21120	2013-08-04 17:04:18.382363	2013-08-04 17:04:18.382363	\N	7ff4318c-6b94-4d99-9c04-13ae5bda8a9f
134147	4	17483	2013-08-04 00:41:42.246938	2013-08-04 00:41:42.246938	\N	1dfc92bf-a708-45cd-bd74-989c83b4e1a3
139158	6	18617	2013-08-04 01:25:53.512196	2013-08-04 01:25:53.512196	\N	9c66bfc2-c8dd-42e0-8071-e907e5f99dca
134161	9	17482	2013-08-04 00:41:49.794143	2013-08-04 00:41:49.794143	\N	bcdccbca-8637-4200-aefc-4fe98bf03031
159553	2	21126	2013-08-04 17:04:18.439812	2013-08-04 17:04:18.439812	\N	ee367068-319f-41cc-a3ad-4802799e63c1
159554	2	21138	2013-08-04 17:04:18.487809	2013-08-04 17:04:18.487809	\N	4f0a7a28-d6ea-4958-9482-2e2d0c6ddc15
159555	2	21141	2013-08-04 17:04:18.537938	2013-08-04 17:04:18.537938	\N	f8743edf-140a-4e35-9ade-4e94a2e847d7
139198	20	18577	2013-08-04 01:26:04.095779	2013-08-04 01:26:04.095779	\N	ee2c545b-5526-47d2-bc1e-02dc52958471
131766	14	16801	2013-08-04 00:17:59.954939	2013-08-04 00:17:59.954939	\N	510316d5-49bf-4dbd-a1e1-a59d10885740
134174	17	17431	2013-08-04 00:41:57.073369	2013-08-04 00:41:57.073369	\N	082c7adf-27e7-4955-87eb-9cd1ce958eca
162893	14	21659	2013-08-04 17:22:08.246342	2013-08-04 17:22:08.246342	\N	cbfeeff5-2bdc-48bc-a5b6-59faa704ba60
162894	14	21660	2013-08-04 17:22:08.279564	2013-08-04 17:22:08.279564	\N	4b717b4c-3f74-4843-9e7e-bd057c3adb15
162895	14	21661	2013-08-04 17:22:08.314448	2013-08-04 17:22:08.314448	\N	1a6135b5-9a7b-4faa-b59e-573fd25da009
129468	7	16183	2013-08-03 23:52:19.780051	2013-08-03 23:52:19.780051	\N	7aa992c5-31ee-458e-bfc3-0f2e796f79ab
162896	14	21667	2013-08-04 17:22:08.36424	2013-08-04 17:22:08.36424	\N	e53c1fd9-a237-4068-978a-799f474eb892
131815	17	16852	2013-08-04 00:18:23.501338	2013-08-04 00:18:23.501338	\N	1f478958-132c-4cc9-9ce3-e9198aefc7a1
162897	14	21695	2013-08-04 17:22:08.413121	2013-08-04 17:22:08.413121	\N	fb308772-8f1c-4acf-bb24-bdc963645993
162898	8	21616	2013-08-04 17:22:08.604623	2013-08-04 17:22:08.604623	\N	99ffeb53-3aeb-455f-be03-cc00bc014bce
166241	14	22158	2013-08-04 17:43:00.626967	2013-08-04 17:43:00.626967	\N	f1ae162a-8f55-4ab4-be72-72817d8a0263
162900	4	21601	2013-08-04 17:22:08.974419	2013-08-04 17:22:08.974419	\N	11fa70d8-8110-47f5-b1a2-443264939045
162901	4	21616	2013-08-04 17:22:09.042315	2013-08-04 17:22:09.042315	\N	21c29c51-d8b2-40ee-bf1d-e5f5886d34ca
162903	4	21640	2013-08-04 17:22:09.09099	2013-08-04 17:22:09.09099	\N	b84c7ae0-49e1-4c5f-8efa-6035ee459470
173139	17	22876	2013-08-04 18:14:04.65718	2013-08-04 18:14:04.65718	\N	86464ffa-13ef-4020-aaf7-cf491ea26bba
207059	1	26389	2013-08-04 20:42:51.09767	2013-08-04 20:42:51.09767	\N	c1fa622a-7f6d-44ca-bb05-c7388bb115ca
187203	19	24121	2013-08-04 19:03:12.52684	2013-08-04 19:03:12.52684	\N	66af1e01-3f97-464c-9f6e-273725d79486
187234	9	24234	2013-08-04 19:03:17.704687	2013-08-04 19:03:17.704687	\N	ab1a82fe-0135-4a10-b6c9-213e18e37476
194695	1	24701	2013-08-04 19:34:48.72983	2013-08-04 19:34:48.72983	\N	3cdd0f8c-c3ef-46c4-a234-c753ca62eacb
180136	14	23567	2013-08-04 18:38:34.527672	2013-08-04 18:38:34.527672	\N	99b72213-fdb6-49c2-bdfc-519f1c175900
159632	7	21137	2013-08-04 17:05:05.505005	2013-08-04 17:05:05.505005	\N	1b65f0d3-f619-4541-b445-10c4b02b981c
139355	14	18577	2013-08-04 01:26:53.055118	2013-08-04 01:26:53.055118	\N	4e42e132-5de7-4b19-942f-aaa3fc71bbb4
162969	1	21616	2013-08-04 17:22:13.629752	2013-08-04 17:22:13.629752	\N	1f133c2b-8d87-4cc1-8d26-78c55bbe71be
166327	14	22132	2013-08-04 17:43:31.589352	2013-08-04 17:43:31.589352	\N	57ac4ea0-bd23-447b-893a-7e9b4d20a308
166328	14	22204	2013-08-04 17:43:31.631389	2013-08-04 17:43:31.631389	\N	e7cc2981-5c43-4df1-880b-f39301a201c8
166329	14	22133	2013-08-04 17:43:31.677811	2013-08-04 17:43:31.677811	\N	da1b51ef-c7f1-4be1-9c87-61c346b2432a
166330	14	22134	2013-08-04 17:43:31.722909	2013-08-04 17:43:31.722909	\N	146de076-555d-418f-8c0b-2eccca011442
166331	14	22169	2013-08-04 17:43:31.773738	2013-08-04 17:43:31.773738	\N	15fe9482-4b4e-483d-a0ac-37946e9fee8b
166332	14	22203	2013-08-04 17:43:31.820388	2013-08-04 17:43:31.820388	\N	51ed692b-5cb2-4c68-9727-159aeb7a6a92
187267	11	24234	2013-08-04 19:03:22.906192	2013-08-04 19:03:22.906192	\N	f568bc0c-a85c-426e-92ad-db58946fc478
144645	19	19354	2013-08-04 01:57:18.178532	2013-08-04 01:57:18.178532	\N	783ef456-e7ae-43f6-afcc-dc1b7ed05fbf
162981	1	21640	2013-08-04 17:22:14.430574	2013-08-04 17:22:14.430574	\N	848c05da-3c16-4e88-a53b-be31c1754ee2
129556	14	16207	2013-08-03 23:53:14.803312	2013-08-03 23:53:14.803312	\N	f1aab10c-f534-4c8b-8155-11e35196bbe8
136773	16	18073	2013-08-04 01:08:50.541496	2013-08-04 01:08:50.541496	\N	7a054925-20b3-4255-bb08-ca5433aab17f
136774	16	18061	2013-08-04 01:08:50.736749	2013-08-04 01:08:50.736749	\N	abeca628-51ed-440b-8cbb-85e5c29c92ae
136485	10	18112	2013-08-04 01:06:16.340941	2013-08-04 01:06:16.340941	\N	06ae8c58-2b27-4b0d-94ff-0145e248a85f
136486	19	18069	2013-08-04 01:06:17.27835	2013-08-04 01:06:17.27835	\N	0a7c6340-822f-4827-b309-0f8bc236d3c6
131526	10	16852	2013-08-04 00:15:50.67146	2013-08-04 00:15:50.67146	\N	2dc64e42-c3fd-492f-9646-d7ad13b56988
136487	9	18113	2013-08-04 01:06:17.742021	2013-08-04 01:06:17.742021	\N	63c98264-5581-41e3-9e64-40277db1f9c3
131543	16	16813	2013-08-04 00:15:59.924742	2013-08-04 00:15:59.924742	\N	d6eb2da3-20d3-417a-914b-c21e56b331d2
131545	16	16801	2013-08-04 00:16:00.235734	2013-08-04 00:16:00.235734	\N	b4e94d84-5fc6-4c94-afc8-faa0918bb967
187217	4	24216	2013-08-04 19:03:13.923872	2013-08-04 19:03:13.923872	\N	d67bac93-8e01-4cca-b5ab-aac145d77cce
136500	1	18113	2013-08-04 01:06:22.034306	2013-08-04 01:06:22.034306	\N	a93026b4-dd88-4538-96fe-0e1d6b968935
187218	4	24218	2013-08-04 19:03:13.979419	2013-08-04 19:03:13.979419	\N	09c39b21-3bd7-4f51-8315-2e347b4ed162
207066	2	26470	2013-08-04 20:42:54.479189	2013-08-04 20:42:54.479189	\N	949c45ce-86ad-47cc-928a-2ada00d6ce6b
141669	17	18955	2013-08-04 01:42:31.521231	2013-08-04 01:42:31.521231	\N	066ec699-8633-4b3c-a117-5a329398310f
136506	3	18112	2013-08-04 01:06:25.300579	2013-08-04 01:06:25.300579	\N	dd7609a2-abe3-4254-b25e-7bc95eb165ea
187220	11	24198	2013-08-04 19:03:14.459737	2013-08-04 19:03:14.459737	\N	6d5ccd87-a8af-4b13-9314-6ce636c88075
136508	3	18061	2013-08-04 01:06:25.488108	2013-08-04 01:06:25.488108	\N	83ae3d23-8d4b-4288-9870-dfebc7bc34d9
134118	1	17483	2013-08-04 00:41:28.955851	2013-08-04 00:41:28.955851	\N	95133227-fab1-4f87-82b9-672ba6cbdd3f
131592	17	16813	2013-08-04 00:16:28.249352	2013-08-04 00:16:28.249352	\N	324024c1-ad1a-4015-a724-6db9f6994b65
180097	1	23571	2013-08-04 18:38:29.91572	2013-08-04 18:38:29.91572	\N	5f02b4c6-1125-4e68-bca5-48b6e18d61d6
131595	14	16852	2013-08-04 00:16:28.871966	2013-08-04 00:16:28.871966	\N	fbfb9ed2-8722-412f-b212-c258f37d3905
131596	6	16801	2013-08-04 00:16:29.282739	2013-08-04 00:16:29.282739	\N	d6f8d7ab-030e-4f23-994a-61afa0cef4de
180117	9	23603	2013-08-04 18:38:32.198027	2013-08-04 18:38:32.198027	\N	539f2971-faa4-4f8d-82b0-ecc7c1925afe
131610	8	16853	2013-08-04 00:16:35.919082	2013-08-04 00:16:35.919082	\N	47e35567-e51e-4eff-9567-a6f1a91bbd9a
134124	9	17443	2013-08-04 00:41:32.270003	2013-08-04 00:41:32.270003	\N	a6295e80-3421-4763-8e9f-7e1e8867a1e5
139222	7	18573	2013-08-04 01:26:13.561562	2013-08-04 01:26:13.561562	\N	2ade8c8e-46ee-4f0f-bbb3-75d6a2ed0909
207067	19	26490	2013-08-04 20:42:56.658268	2013-08-04 20:42:56.658268	\N	24a0e597-b57d-4da8-9573-5dfd5ed1c501
136538	13	18112	2013-08-04 01:06:42.851972	2013-08-04 01:06:42.851972	\N	383e9f16-9bc8-4286-b74b-7f3c47732cd7
136546	17	18061	2013-08-04 01:06:45.647127	2013-08-04 01:06:45.647127	\N	e8adf6ae-56e8-41f9-b427-b6777b018099
136547	9	18112	2013-08-04 01:06:45.77931	2013-08-04 01:06:45.77931	\N	0721f0f9-66c2-4fff-986e-b9b6fbbde100
131643	13	16852	2013-08-04 00:16:56.049668	2013-08-04 00:16:56.049668	\N	a540f1e5-77c0-4ab0-ba92-dcc746a022d0
159648	2	21183	2013-08-04 17:05:20.863439	2013-08-04 17:05:20.863439	\N	f2ee156d-04a2-443a-8e71-7f51f20c703c
159649	2	21173	2013-08-04 17:05:20.970624	2013-08-04 17:05:20.970624	\N	7f198535-8bd1-4024-8865-e24fc9283ad1
153137	14	20482	2013-08-04 02:44:35.429121	2013-08-04 02:44:35.429121	\N	95e772ba-c0d9-45a5-a333-a0422531faab
131651	4	16853	2013-08-04 00:17:03.572246	2013-08-04 00:17:03.572246	\N	e6eb3d8e-303a-4237-8995-39f1901f0e20
159650	2	21177	2013-08-04 17:05:21.009252	2013-08-04 17:05:21.009252	\N	f84a58c4-0471-4a57-8ab7-a83dc1f68bcc
159651	2	21197	2013-08-04 17:05:21.046918	2013-08-04 17:05:21.046918	\N	b561bb26-c224-4d96-abd9-815876336f93
159652	2	21179	2013-08-04 17:05:21.103419	2013-08-04 17:05:21.103419	\N	a84c16c2-344f-4723-8e59-3bdcae72cf1a
183758	2	23851	2013-08-04 18:51:07.559202	2013-08-04 18:51:07.559202	\N	097492a1-36d4-41c7-b3c8-159318a6b7fe
139273	6	18616	2013-08-04 01:26:28.928058	2013-08-04 01:26:28.928058	\N	89506b90-e120-4d84-8f3e-8b68286b8f7d
207072	10	26389	2013-08-04 20:42:57.613567	2013-08-04 20:42:57.613567	\N	7e8b32d3-eb3e-4fdf-b04f-a9d03621fe57
147086	10	19477	2013-08-04 02:02:55.110342	2013-08-04 02:02:55.110342	\N	fe38cdd9-caf2-41d1-8ac3-c35da0a41a46
147087	10	19459	2013-08-04 02:02:55.251369	2013-08-04 02:02:55.251369	\N	ed99fab3-c5f4-49bb-bf28-85ba08c89302
131704	12	16813	2013-08-04 00:17:30.235555	2013-08-04 00:17:30.235555	\N	d5ff1a38-f152-4f7e-ba5d-65e5f4eba070
134219	5	17431	2013-08-04 00:42:20.194101	2013-08-04 00:42:20.194101	\N	73d574d6-14d5-44b4-bc2f-7ca3540559c2
131706	12	16801	2013-08-04 00:17:30.542953	2013-08-04 00:17:30.542953	\N	c8600d45-c199-4d88-ac70-9844ac1d89b1
147088	10	19498	2013-08-04 02:02:55.324511	2013-08-04 02:02:55.324511	\N	2164c398-e52a-43af-a0a9-69095fe59ab2
147089	10	19499	2013-08-04 02:02:55.393159	2013-08-04 02:02:55.393159	\N	2ed3511d-f28f-425d-a5c2-f601b53c0a8d
162940	2	21616	2013-08-04 17:22:12.213413	2013-08-04 17:22:12.213413	\N	f19125fe-e043-4fc8-ac6f-e27ce0f0ded9
187225	19	24136	2013-08-04 19:03:15.406518	2013-08-04 19:03:15.406518	\N	df9b6fba-a52e-46e2-a519-88ae5e7aaf46
136609	14	18061	2013-08-04 01:07:19.814859	2013-08-04 01:07:19.814859	\N	95a5b982-cdfa-4667-baa1-9a2a83c39f98
131743	19	16853	2013-08-04 00:17:48.096246	2013-08-04 00:17:48.096246	\N	6dee120e-4fe0-4e92-9219-1411f1726e9a
176723	7	23278	2013-08-04 18:27:22.518591	2013-08-04 18:27:22.518591	\N	d164c23b-39cf-4270-9b19-08167c7f58c2
131761	5	16801	2013-08-04 00:17:57.995071	2013-08-04 00:17:57.995071	\N	73903d5c-1006-4001-b6a5-cb7e1c263d7e
131762	5	16852	2013-08-04 00:17:58.490608	2013-08-04 00:17:58.490608	\N	63365522-ab6b-4d78-a967-6574e83e8823
176733	7	23330	2013-08-04 18:27:23.122163	2013-08-04 18:27:23.122163	\N	273a10c7-860c-4831-adac-d8c23a6d3bf8
207076	14	26465	2013-08-04 20:42:58.038319	2013-08-04 20:42:58.038319	\N	0da2835c-5c99-413e-a4b3-c49bc13843e6
207079	14	26469	2013-08-04 20:42:58.386575	2013-08-04 20:42:58.386575	\N	6b63b996-6c29-4ddb-b097-bf811dcc1aa3
176746	7	23239	2013-08-04 18:27:23.641163	2013-08-04 18:27:23.641163	\N	2fcd6857-8fea-47d8-9d60-184afb7e29b9
194744	18	24640	2013-08-04 19:35:03.359049	2013-08-04 19:35:03.359049	\N	aa39d7bc-1d15-445d-aed1-4c73875469ad
162990	19	21641	2013-08-04 17:22:18.453517	2013-08-04 17:22:18.453517	\N	922d8edc-f28b-4668-9f38-6c0c730969dc
159779	19	21181	2013-08-04 17:07:23.770791	2013-08-04 17:07:23.770791	\N	4052f4e5-44b0-4390-b163-525d5c0b49b2
136668	3	18073	2013-08-04 01:07:52.153852	2013-08-04 01:07:52.153852	\N	63d44d83-4b68-4539-b37b-73910eef7cf8
162992	12	21640	2013-08-04 17:22:19.879532	2013-08-04 17:22:19.879532	\N	09e9def6-90b3-42c8-84ef-b1ef1cd438dd
139358	14	18616	2013-08-04 01:26:53.383123	2013-08-04 01:26:53.383123	\N	76d92d17-d081-4c98-8de2-f9fc5af8342d
131829	14	16809	2013-08-04 00:18:31.524906	2013-08-04 00:18:31.524906	\N	510f8276-c91b-48b5-bea0-6c729c720916
198671	14	25323	2013-08-04 19:58:11.170847	2013-08-04 19:58:11.170847	\N	9e4df219-2848-448c-bee7-9cb82ba96a84
180219	17	23506	2013-08-04 18:38:56.73097	2013-08-04 18:38:56.73097	\N	da025629-8c5e-4968-a7b2-8ca735211afb
153269	13	20581	2013-08-04 02:45:56.059479	2013-08-04 02:45:56.059479	\N	c50d15ac-6bcb-422c-9122-56a220ef7ecb
141832	10	18943	2013-08-04 01:43:28.918268	2013-08-04 01:43:28.918268	\N	c6a3bc7d-2777-4a22-a8a7-9294b425f4aa
162996	14	21681	2013-08-04 17:22:22.460402	2013-08-04 17:22:22.460402	\N	863200f4-d3f8-41d2-b13f-28d92e688aa4
176782	17	23278	2013-08-04 18:27:30.512685	2013-08-04 18:27:30.512685	\N	11fcc85c-0430-4130-9d17-6f2c7bcaca4b
153274	6	20632	2013-08-04 02:45:58.857264	2013-08-04 02:45:58.857264	\N	969a0f04-e612-4ce0-9806-86ef7d1a5ab0
176785	2	23330	2013-08-04 18:27:30.730639	2013-08-04 18:27:30.730639	\N	41489d31-9b69-4e27-84e3-30e4d6ab0997
173321	14	22937	2013-08-04 18:14:47.506533	2013-08-04 18:14:47.506533	\N	40fb3f39-24e0-48e1-bf1b-a61e4dba07fb
153280	10	20581	2013-08-04 02:46:04.484874	2013-08-04 02:46:04.484874	\N	c0094c33-3d44-45fd-a8a9-eb1cbfe56b22
153281	4	20593	2013-08-04 02:46:04.904658	2013-08-04 02:46:04.904658	\N	98fb8c6c-6cde-4935-90c2-d15b7594793a
153282	4	20581	2013-08-04 02:46:04.974255	2013-08-04 02:46:04.974255	\N	fa3fc95e-d66a-4bdb-9f07-b2dcca629ba4
153283	4	20608	2013-08-04 02:46:05.039009	2013-08-04 02:46:05.039009	\N	c0e1f18b-a619-4b43-ac88-531f9f213ed7
153284	4	20632	2013-08-04 02:46:05.081525	2013-08-04 02:46:05.081525	\N	ec16de9e-d7fb-4ca2-a042-c0fa10472b1b
153286	8	20632	2013-08-04 02:46:06.511568	2013-08-04 02:46:06.511568	\N	500caffb-2ddb-4b89-9e43-559af69c8a8a
153297	19	20632	2013-08-04 02:46:14.188235	2013-08-04 02:46:14.188235	\N	6bd14f2f-0008-4a91-8469-b813afd39f6c
176795	11	23278	2013-08-04 18:27:32.52325	2013-08-04 18:27:32.52325	\N	a709d5c5-969d-44d5-bcb6-6b71d0bc7424
198675	2	25306	2013-08-04 19:58:13.143291	2013-08-04 19:58:13.143291	\N	9b8e65ed-c36c-4b49-882c-7e9419c9ce07
163007	3	21640	2013-08-04 17:22:26.638772	2013-08-04 17:22:26.638772	\N	34e87a6e-92df-44a1-a70e-57e47619be66
163009	3	21616	2013-08-04 17:22:26.739267	2013-08-04 17:22:26.739267	\N	29d22246-b45d-4a1d-871e-6046e3294e7e
153313	6	20581	2013-08-04 02:46:21.537413	2013-08-04 02:46:21.537413	\N	b4e3e2cd-04d5-47d2-bf51-fc09bc2048ca
131992	8	16939	2013-08-04 00:20:48.178351	2013-08-04 00:20:48.178351	\N	305270ae-50bb-4e91-bc55-5c9c8f11f836
150184	19	20003	2013-08-04 02:23:37.509753	2013-08-04 02:23:37.509753	\N	c8077b85-806b-4a9a-83c1-0cb3b411106a
132012	6	16927	2013-08-04 00:20:58.906047	2013-08-04 00:20:58.906047	\N	8d0a384e-e75c-42b3-bdb5-1b9f8c394840
187291	1	24215	2013-08-04 19:03:27.722344	2013-08-04 19:03:27.722344	\N	c053e8a5-ee7c-4056-bd86-ff62e939d4b5
136824	14	18073	2013-08-04 01:09:21.657949	2013-08-04 01:09:21.657949	\N	8bf5d182-23d1-45ba-ab47-529f982996d8
132034	17	16927	2013-08-04 00:21:12.473871	2013-08-04 00:21:12.473871	\N	6fbe996c-7d8e-4e3c-b406-9e7b57f08a58
153315	17	20608	2013-08-04 02:46:23.203001	2013-08-04 02:46:23.203001	\N	4452dc01-a7b9-4e3d-874b-eb3ed97a34ef
132042	7	16927	2013-08-04 00:21:15.934907	2013-08-04 00:21:15.934907	\N	8e55b427-f242-4c38-aeaa-9bed83dfece1
132046	7	16978	2013-08-04 00:21:15.969116	2013-08-04 00:21:15.969116	\N	bc24581a-de30-4e5e-8219-8df8448198e5
132047	7	16939	2013-08-04 00:21:16.006985	2013-08-04 00:21:16.006985	\N	c8e25b04-e5be-4ccd-a461-2d3b787aa35c
132049	9	16978	2013-08-04 00:21:18.713086	2013-08-04 00:21:18.713086	\N	28cbdc39-dbe8-4904-8151-44aa6e9d8730
153321	11	20593	2013-08-04 02:46:29.147797	2013-08-04 02:46:29.147797	\N	d4d97c75-3d3a-410d-a7f9-5bdc839a8f2a
153323	11	20581	2013-08-04 02:46:29.857442	2013-08-04 02:46:29.857442	\N	c0dccc5c-0ff6-4bdf-8312-9ecea0c5b06c
131531	13	16801	2013-08-04 00:15:52.287499	2013-08-04 00:15:52.287499	\N	6674d302-4555-4446-8387-715e31efe8b0
134078	10	17482	2013-08-04 00:41:08.273754	2013-08-04 00:41:08.273754	\N	5a3a714e-dd48-49b8-bae9-75b6dd9aea3a
131542	1	16813	2013-08-04 00:15:58.846045	2013-08-04 00:15:58.846045	\N	59dac933-c21a-4095-a5f2-51a9058ae8e5
131544	4	16813	2013-08-04 00:16:00.235734	2013-08-04 00:16:00.235734	\N	33f93269-15db-4188-99b6-c992fff75851
131546	4	16801	2013-08-04 00:16:00.272763	2013-08-04 00:16:00.272763	\N	e557a6ab-11fd-4293-862f-bda723f9ddfa
207069	4	26389	2013-08-04 20:42:57.370542	2013-08-04 20:42:57.370542	\N	14a06d72-2add-4ce4-97de-79ead88d0fe8
131560	9	16852	2013-08-04 00:16:06.694187	2013-08-04 00:16:06.694187	\N	444d04ec-2116-49e8-b0b0-c518d1c2254c
180106	13	23506	2013-08-04 18:38:31.084678	2013-08-04 18:38:31.084678	\N	bc442f69-60f8-41bc-bfcf-b7cded2b0ffa
136527	17	18113	2013-08-04 01:06:37.015586	2013-08-04 01:06:37.015586	\N	06ce0a8a-dcdb-44b8-83b8-9d73fa6ff7ab
131597	17	16801	2013-08-04 00:16:30.356758	2013-08-04 00:16:30.356758	\N	282fa559-8102-46cc-b1ff-ac4864a089ed
202949	4	25686	2013-08-04 20:15:01.509179	2013-08-04 20:15:01.509179	\N	b2c861e0-e5ed-4d33-ba78-dd6eb6449fcd
141785	4	18976	2013-08-04 01:43:17.801157	2013-08-04 01:43:17.801157	\N	cf158b02-05aa-48cc-83ec-8dd197d8eae9
139257	12	18617	2013-08-04 01:26:24.89477	2013-08-04 01:26:24.89477	\N	491af357-b62d-40b5-afe1-4fac7ce704d9
139258	9	18616	2013-08-04 01:26:25.1109	2013-08-04 01:26:25.1109	\N	d9dd5819-cd08-43db-8818-7efa98979c42
207086	7	26449	2013-08-04 20:43:06.354466	2013-08-04 20:43:06.354466	\N	8e018b30-6f45-49c7-8559-257117abcbff
187257	9	24230	2013-08-04 19:03:20.948334	2013-08-04 19:03:20.948334	\N	8bb12c8f-bcba-4e3b-8cf0-804eaa7dc720
159670	1	21097	2013-08-04 17:05:43.750061	2013-08-04 17:05:43.750061	\N	d561a332-235e-45e0-a68a-cfed286e1f13
139278	13	18616	2013-08-04 01:26:30.835116	2013-08-04 01:26:30.835116	\N	70f7d777-1caf-49b5-af02-0ab2b4ccaeed
131639	2	16852	2013-08-04 00:16:55.544933	2013-08-04 00:16:55.544933	\N	19a77320-1fa7-4866-bb1a-11c1cdb4bef2
136588	4	18113	2013-08-04 01:07:07.033708	2013-08-04 01:07:07.033708	\N	ab9476e6-5e93-467d-94fa-99c5fafcde63
139279	17	18617	2013-08-04 01:26:31.799373	2013-08-04 01:26:31.799373	\N	ada554fc-a76e-4d7c-8d41-8b4b5bbba1d0
134199	13	17482	2013-08-04 00:42:06.630681	2013-08-04 00:42:06.630681	\N	0325c0de-6ea0-43ee-b672-a00543454ddb
139280	4	18617	2013-08-04 01:26:31.917757	2013-08-04 01:26:31.917757	\N	0cb98e56-b6dd-4af5-9cb3-1604a9ddd03f
187258	11	24160	2013-08-04 19:03:22.100203	2013-08-04 19:03:22.100203	\N	9e7cd518-3d5e-429e-af0c-a0609090a87a
187261	2	24215	2013-08-04 19:03:22.391084	2013-08-04 19:03:22.391084	\N	f1430980-7e40-4a16-94ec-7f48875c5f2e
176767	14	23278	2013-08-04 18:27:25.079002	2013-08-04 18:27:25.079002	\N	5c7770c6-5798-44e8-9310-70e9d29dd9f9
176768	14	23319	2013-08-04 18:27:25.177768	2013-08-04 18:27:25.177768	\N	0ec6b7cd-b6d9-4097-959b-98a466cbc19d
169860	17	22648	2013-08-04 18:01:55.282006	2013-08-04 18:01:55.282006	\N	8fc1316e-85e3-45d5-bba7-5e83d0fad484
134241	19	17443	2013-08-04 00:42:30.729046	2013-08-04 00:42:30.729046	\N	526979d9-e564-4c54-bcb2-79afcd24e2e5
159705	11	21174	2013-08-04 17:06:15.994019	2013-08-04 17:06:15.994019	\N	afa22446-25be-4599-a547-e13f76d1cd36
144556	2	19354	2013-08-04 01:57:11.050119	2013-08-04 01:57:11.050119	\N	4025cb97-76f1-4349-85b2-7572409146a5
169871	9	22648	2013-08-04 18:01:58.388226	2013-08-04 18:01:58.388226	\N	cdfe8d1c-22f3-4268-a4eb-d430f52d636d
162997	14	21687	2013-08-04 17:22:22.620095	2013-08-04 17:22:22.620095	\N	45c274b7-2a21-4e6e-8619-5597da1dd53f
153254	1	20608	2013-08-04 02:45:49.604154	2013-08-04 02:45:49.604154	\N	a1fa980a-256d-4d70-8d63-1bf65b1d886a
153256	17	20633	2013-08-04 02:45:51.350884	2013-08-04 02:45:51.350884	\N	7bd5c185-2fc7-47c5-8082-667b62b34c58
139328	8	18617	2013-08-04 01:26:44.722261	2013-08-04 01:26:44.722261	\N	58f811f3-28c5-4b94-a4d4-1375a26a6f05
169874	3	22609	2013-08-04 18:01:59.094412	2013-08-04 18:01:59.094412	\N	81855607-388d-49c8-a367-cf7847ae428f
153258	19	20633	2013-08-04 02:45:52.907794	2013-08-04 02:45:52.907794	\N	60535273-8d73-4a98-92c0-1a32235189fc
153259	8	20593	2013-08-04 02:45:53.639499	2013-08-04 02:45:53.639499	\N	118c5637-51bd-4c6c-8296-44d43fd16f6e
139350	1	18617	2013-08-04 01:26:51.753343	2013-08-04 01:26:51.753343	\N	89db4152-a485-4f72-acd9-66eaa8a1c3c6
169875	3	22648	2013-08-04 18:01:59.130508	2013-08-04 18:01:59.130508	\N	0752f947-e713-4c63-ba95-b432ccaefff9
169878	2	22721	2013-08-04 18:02:02.223068	2013-08-04 18:02:02.223068	\N	0cdd95cd-e450-404b-8617-50629c47594a
144575	19	19333	2013-08-04 01:57:12.440989	2013-08-04 01:57:12.440989	\N	bde273d9-a894-4ab1-a7eb-a7c23528faae
139454	16	18616	2013-08-04 01:27:20.214289	2013-08-04 01:27:20.214289	\N	5fa3b959-c689-419a-9ff6-1e52e80e7ebb
163037	11	21601	2013-08-04 17:22:41.905153	2013-08-04 17:22:41.905153	\N	19c2381b-a4c7-4309-9d9e-ea140c6b895e
153326	11	20608	2013-08-04 02:46:31.828321	2013-08-04 02:46:31.828321	\N	9be85d1c-a4dc-4ac1-99af-101a1919ab1e
169879	1	22686	2013-08-04 18:02:02.373579	2013-08-04 18:02:02.373579	\N	76415946-4760-4a9c-b5b1-89b2b6bf16b6
153328	17	20632	2013-08-04 02:46:32.306184	2013-08-04 02:46:32.306184	\N	530b3270-65c2-4bdb-a7f8-9fd0bab884ee
153329	11	20632	2013-08-04 02:46:32.915996	2013-08-04 02:46:32.915996	\N	c0dc54e7-57a9-4665-9cc4-cc6c3bb828c4
169892	13	22648	2013-08-04 18:02:07.873049	2013-08-04 18:02:07.873049	\N	10501c75-5df9-4d33-b9c8-4e25487dbadf
169894	7	22698	2013-08-04 18:02:08.460037	2013-08-04 18:02:08.460037	\N	580f03c2-c7d9-4ec8-99e9-8c030a85d8ea
163042	11	21682	2013-08-04 17:22:42.634392	2013-08-04 17:22:42.634392	\N	459575b2-75bf-4b93-a23b-96ca8386bc12
176771	2	23278	2013-08-04 18:27:26.316694	2013-08-04 18:27:26.316694	\N	e984f48e-6d15-4e26-a764-c7b0a6d776da
169900	1	22690	2013-08-04 18:02:09.187378	2013-08-04 18:02:09.187378	\N	e6a0bf8f-eb1a-4f5b-a3bc-5c6c8f090cba
176772	2	23333	2013-08-04 18:27:26.375497	2013-08-04 18:27:26.375497	\N	7ed25f64-11a9-41f9-9f0c-d3b77c152d47
176773	8	23278	2013-08-04 18:27:26.813573	2013-08-04 18:27:26.813573	\N	d796c2d5-e49f-43b5-bd8e-1f6c74e87d80
169911	7	22716	2013-08-04 18:02:13.201452	2013-08-04 18:02:13.201452	\N	bc5ebfbe-479a-4c4f-8955-ae68e79ca404
169912	7	22624	2013-08-04 18:02:13.321222	2013-08-04 18:02:13.321222	\N	36043e76-a1d3-42ab-8af5-40177d47ea81
169942	7	22690	2013-08-04 18:02:15.535428	2013-08-04 18:02:15.535428	\N	412b64cc-4e8d-4286-9cc0-7f3b87a0d7dd
159767	2	21165	2013-08-04 17:06:58.029671	2013-08-04 17:06:58.029671	\N	0045c552-4bde-4f53-8ebc-fe6ef0276df5
176774	11	23239	2013-08-04 18:27:26.990375	2013-08-04 18:27:26.990375	\N	2c3297dc-0267-45fd-9374-2ee87376a23f
142131	17	19120	2013-08-04 01:45:58.745471	2013-08-04 01:45:58.745471	\N	4d0fbc6b-f33b-446e-b50b-61474ecec65e
142145	13	19069	2013-08-04 01:46:02.340088	2013-08-04 01:46:02.340088	\N	75b7321e-ce3a-4bb4-917f-46c1ee1818bb
142146	13	19102	2013-08-04 01:46:05.92666	2013-08-04 01:46:05.92666	\N	7e60d853-d855-4adf-a919-843bee5e8df0
142147	13	19120	2013-08-04 01:46:06.975612	2013-08-04 01:46:06.975612	\N	0fa6cca9-c712-4c77-850d-ded23021f1cd
131889	16	16852	2013-08-04 00:19:05.430528	2013-08-04 00:19:05.430528	\N	e56c49e7-ef10-4ad7-af5a-856c5985243e
176778	7	23336	2013-08-04 18:27:27.96867	2013-08-04 18:27:27.96867	\N	4ca658d6-903b-4ad7-985d-5fd5c94e7243
142167	6	19102	2013-08-04 01:46:18.140025	2013-08-04 01:46:18.140025	\N	6a999a92-7eeb-497a-bdcb-5012435272b7
147443	7	19585	2013-08-04 02:05:57.262487	2013-08-04 02:05:57.262487	\N	5615db7f-12b3-4a98-b052-40bdbf58a9be
147452	17	19624	2013-08-04 02:05:59.789713	2013-08-04 02:05:59.789713	\N	afb3f0dc-49e9-4dc6-8fa4-95456c47a8be
147462	8	19624	2013-08-04 02:06:00.85061	2013-08-04 02:06:00.85061	\N	49a5218d-ebeb-4cdd-aab7-b64a25cb9290
166484	4	22189	2013-08-04 17:44:30.763746	2013-08-04 17:44:30.763746	\N	045fb2a1-fb07-4533-8512-eb8785117868
176780	11	23254	2013-08-04 18:27:30.262183	2013-08-04 18:27:30.262183	\N	1984b8b2-32e6-4c91-bc5e-c29ec769fd63
147467	6	19573	2013-08-04 02:06:02.891706	2013-08-04 02:06:02.891706	\N	b3a20646-0f49-4afd-ac32-733f3229e9e2
147470	12	19573	2013-08-04 02:06:05.028006	2013-08-04 02:06:05.028006	\N	d18a04c3-364b-49d2-bf62-a21c9c20de0e
142195	8	19069	2013-08-04 01:46:20.841527	2013-08-04 01:46:20.841527	\N	d8236242-daab-4535-8408-c236c7a7b2d5
147479	7	19603	2013-08-04 02:06:07.629905	2013-08-04 02:06:07.629905	\N	080e3bae-c39f-46f2-9ab1-5c5443c45ec7
134539	11	17569	2013-08-04 00:45:52.966109	2013-08-04 00:45:52.966109	\N	8ce99a5f-788e-4883-9f82-1ae07610cbe9
134552	11	17608	2013-08-04 00:45:56.905432	2013-08-04 00:45:56.905432	\N	2cf3fd10-42d5-4a94-a078-8d675cf71096
147481	9	19624	2013-08-04 02:06:08.60841	2013-08-04 02:06:08.60841	\N	6752998b-fddc-4bb2-acd4-30a20727d7d1
147482	8	19585	2013-08-04 02:06:08.748233	2013-08-04 02:06:08.748233	\N	a1180d60-b25f-4419-a0d6-51d0fa24ad3d
134557	15	17557	2013-08-04 00:45:58.124073	2013-08-04 00:45:58.124073	\N	5ccac539-449e-4852-be95-519293f35b36
131994	8	16978	2013-08-04 00:20:48.249074	2013-08-04 00:20:48.249074	\N	149fd54c-b790-4fda-aab1-a05bae162d5f
131995	3	16978	2013-08-04 00:20:48.480617	2013-08-04 00:20:48.480617	\N	fd2ea977-0094-414d-ae76-94fcafdb790e
131996	3	16927	2013-08-04 00:20:48.509236	2013-08-04 00:20:48.509236	\N	8c6cd117-c90b-4dde-a315-76235bc7b83f
131998	15	16939	2013-08-04 00:20:52.441183	2013-08-04 00:20:52.441183	\N	35d6fbd2-e364-4bd8-b68d-fe26c55f65e5
142214	2	19178	2013-08-04 01:46:29.855678	2013-08-04 01:46:29.855678	\N	f12ed9f8-0186-4b92-ab87-48c0a2071a70
142216	2	19188	2013-08-04 01:46:29.902621	2013-08-04 01:46:29.902621	\N	a73fcd1d-7f6f-494d-870e-4734df23093e
132007	6	16939	2013-08-04 00:20:55.98909	2013-08-04 00:20:55.98909	\N	df226b11-2fa7-4112-be91-5e16fe41de76
134564	13	17557	2013-08-04 00:46:01.955838	2013-08-04 00:46:01.955838	\N	35b60bdc-a376-4f0d-b93c-9222fa503381
132010	13	16939	2013-08-04 00:20:58.50944	2013-08-04 00:20:58.50944	\N	289bd79c-8b7f-4e61-b79c-f3aad694e260
132011	13	16927	2013-08-04 00:20:58.789658	2013-08-04 00:20:58.789658	\N	dfb33069-6c3b-40e1-9144-c6c1175378b9
142218	2	19190	2013-08-04 01:46:29.929191	2013-08-04 01:46:29.929191	\N	1bd039fe-fee9-4e9b-8915-4990d6de852b
142219	2	19194	2013-08-04 01:46:29.985914	2013-08-04 01:46:29.985914	\N	8e7d016b-981c-4e7b-9331-3d170e255a98
142221	2	19176	2013-08-04 01:46:30.039593	2013-08-04 01:46:30.039593	\N	0cc533ef-447e-4cb1-8bec-96bf209c774d
142222	8	19102	2013-08-04 01:46:30.297275	2013-08-04 01:46:30.297275	\N	80000088-6f65-4614-8964-f93a7b2fb95e
142224	17	19121	2013-08-04 01:46:31.029102	2013-08-04 01:46:31.029102	\N	5ed042b5-2f9a-4945-bd97-13711d21fdbd
132048	4	16979	2013-08-04 00:21:18.659743	2013-08-04 00:21:18.659743	\N	7d5ea205-58d2-4490-92c7-71cc91edfb4b
147483	7	19624	2013-08-04 02:06:09.682445	2013-08-04 02:06:09.682445	\N	b9657a2a-e4b3-4895-a717-0d73f449e503
198687	1	25368	2013-08-04 19:58:16.029223	2013-08-04 19:58:16.029223	\N	7ee28026-4eeb-42b9-abf7-82bb957e6868
198688	4	25332	2013-08-04 19:58:16.822934	2013-08-04 19:58:16.822934	\N	e48656bd-e96c-44bd-bba2-0a8e7ce39982
153366	9	20581	2013-08-04 02:46:40.135169	2013-08-04 02:46:40.135169	\N	d9711554-7ea0-4d0f-a328-a8ba6f0b1082
144716	19	19372	2013-08-04 01:57:23.402411	2013-08-04 01:57:23.402411	\N	ca47b124-bde5-4f4b-a3ec-4ddfc9b7dbbb
159877	7	21262	2013-08-04 17:07:48.328632	2013-08-04 17:07:48.328632	\N	ea0ccd2b-6ffa-4375-85d1-d9eb416f9782
139316	14	18617	2013-08-04 01:26:40.356909	2013-08-04 01:26:40.356909	\N	6ecbca79-00a1-44d7-9213-50668c650e2b
139320	12	18577	2013-08-04 01:26:42.268635	2013-08-04 01:26:42.268635	\N	1ebc2c6d-c2c4-42ed-afae-00543f82f6a2
139321	12	18565	2013-08-04 01:26:42.57462	2013-08-04 01:26:42.57462	\N	4101cbc5-0ddd-4dce-8df1-716f7eb860f4
134089	9	17483	2013-08-04 00:41:16.994487	2013-08-04 00:41:16.994487	\N	6be795e0-63c7-4aaf-836f-bb216808b6bf
162987	2	21659	2013-08-04 17:22:17.751314	2013-08-04 17:22:17.751314	\N	9cb751de-5c5f-4387-af82-618f771a6353
141806	8	18976	2013-08-04 01:43:23.639041	2013-08-04 01:43:23.639041	\N	72dae78f-55b2-4154-8535-f688dfd9084f
134095	6	17431	2013-08-04 00:41:17.722587	2013-08-04 00:41:17.722587	\N	56e1ccfb-7447-4230-a5ef-1c19e177b2de
162988	2	21661	2013-08-04 17:22:17.841633	2013-08-04 17:22:17.841633	\N	5467ad5a-dcb1-4860-a190-a461769bd0ef
207089	7	26451	2013-08-04 20:43:06.720514	2013-08-04 20:43:06.720514	\N	609a6ead-b7d9-4ccd-a8fc-9ba9710d709e
136654	19	18113	2013-08-04 01:07:48.652548	2013-08-04 01:07:48.652548	\N	0beda0f4-dc72-4a8c-b826-a23c6cd9db0e
131695	3	16813	2013-08-04 00:17:27.426058	2013-08-04 00:17:27.426058	\N	4ba506cf-cee0-45ae-993c-ebbb0efa7f96
131696	3	16801	2013-08-04 00:17:27.478911	2013-08-04 00:17:27.478911	\N	defac56c-85d2-492f-a49c-f7877626d7b0
136662	14	18112	2013-08-04 01:07:50.316554	2013-08-04 01:07:50.316554	\N	f5c642f2-7b6a-4b85-a977-c9c91e82b4db
176729	7	23254	2013-08-04 18:27:22.817259	2013-08-04 18:27:22.817259	\N	ed063735-af4e-4ce4-b5b0-6a3ce32d2712
150069	4	20061	2013-08-04 02:22:44.793798	2013-08-04 02:22:44.793798	\N	2e050206-f724-486e-8776-5b6248475908
166348	16	22217	2013-08-04 17:43:40.705957	2013-08-04 17:43:40.705957	\N	d2224b0c-00da-4d7d-ac9f-5d5d667305af
150072	16	19963	2013-08-04 02:22:45.811231	2013-08-04 02:22:45.811231	\N	ef09ff0d-1d69-4df8-bc11-8f540cb8af06
150073	16	19951	2013-08-04 02:22:46.113718	2013-08-04 02:22:46.113718	\N	c2c1cd5f-e4d7-4244-aa2b-77ad55b453de
150076	16	20002	2013-08-04 02:22:46.600334	2013-08-04 02:22:46.600334	\N	191b8f87-596c-43f4-b384-6aabe68074c4
176732	7	23334	2013-08-04 18:27:23.110852	2013-08-04 18:27:23.110852	\N	e4559746-d13b-452c-a96e-dffef56bfe8d
163020	16	21640	2013-08-04 17:22:30.245913	2013-08-04 17:22:30.245913	\N	328356e1-5a57-4a6c-8d0e-de5ed49256a4
139394	17	18577	2013-08-04 01:27:02.503205	2013-08-04 01:27:02.503205	\N	23b48aae-9f93-4eee-b32c-a6d15607a017
139397	19	18617	2013-08-04 01:27:03.056445	2013-08-04 01:27:03.056445	\N	578794ad-3904-4f5c-8d7d-306044b9bf6e
163025	2	21713	2013-08-04 17:22:33.279802	2013-08-04 17:22:33.279802	\N	e54b32f7-693c-4622-82bf-38cb5a95cd4b
176736	2	23235	2013-08-04 18:27:23.312911	2013-08-04 18:27:23.312911	\N	6243adfe-1b75-4f3c-b5c8-e538eb5e223b
139400	17	18565	2013-08-04 01:27:04.594793	2013-08-04 01:27:04.594793	\N	875b1167-468c-4c70-9112-62006061c6bd
176737	2	23244	2013-08-04 18:27:23.379043	2013-08-04 18:27:23.379043	\N	92b7dbd5-7892-4386-826a-3e7f8f90e045
163036	11	21678	2013-08-04 17:22:40.65658	2013-08-04 17:22:40.65658	\N	87781098-0c66-42ec-87ff-2332ebca4a1d
176739	2	23250	2013-08-04 18:27:23.427722	2013-08-04 18:27:23.427722	\N	11f0f8c1-1879-486b-8155-3960b992f392
131803	1	16809	2013-08-04 00:18:17.099641	2013-08-04 00:18:17.099641	\N	e17ab1f4-42bd-4440-a6bd-4dc91ec06bf4
139452	16	18565	2013-08-04 01:27:20.028163	2013-08-04 01:27:20.028163	\N	a46fee21-7fe7-4b45-9811-a063ee779001
176740	2	23256	2013-08-04 18:27:23.461684	2013-08-04 18:27:23.461684	\N	4485d1c2-fc00-479d-9750-42d6a74e2e83
166360	2	22158	2013-08-04 17:43:43.80301	2013-08-04 17:43:43.80301	\N	06a52c3b-5fc1-4f42-a8f3-1e1a964bc08d
139465	19	18616	2013-08-04 01:27:23.017119	2013-08-04 01:27:23.017119	\N	87b6877d-915b-453e-9404-c388090225a5
176742	2	23241	2013-08-04 18:27:23.515361	2013-08-04 18:27:23.515361	\N	8fb802c6-448f-432f-a428-4f33b671f190
136749	5	18061	2013-08-04 01:08:35.909993	2013-08-04 01:08:35.909993	\N	c21545ee-293e-4acb-b603-d73e91fb735b
139469	10	18616	2013-08-04 01:27:24.550462	2013-08-04 01:27:24.550462	\N	09037f80-8d88-494a-8924-41bf4a25113f
139470	10	18577	2013-08-04 01:27:24.759746	2013-08-04 01:27:24.759746	\N	42964908-6dbe-48b6-b1de-4b013f0a0cfa
141940	20	18955	2013-08-04 01:44:08.552288	2013-08-04 01:44:08.552288	\N	58bb373e-3770-48b8-962b-533975aab446
163126	13	21601	2013-08-04 17:23:02.59379	2013-08-04 17:23:02.59379	\N	d77d22da-a294-40ed-a6bd-b2c6c062c130
166362	2	22163	2013-08-04 17:43:43.902772	2013-08-04 17:43:43.902772	\N	11215941-7c58-4e63-9d7d-b5bd3b630556
176744	2	23262	2013-08-04 18:27:23.561212	2013-08-04 18:27:23.561212	\N	f048951e-41bd-4f10-a096-595df4041bef
139512	11	18617	2013-08-04 01:27:32.881103	2013-08-04 01:27:32.881103	\N	85908dd2-3970-46bc-a752-1772a3dcfc8d
141982	14	18976	2013-08-04 01:44:23.001841	2013-08-04 01:44:23.001841	\N	62d83cef-60ad-4051-8037-70c8dd475e77
141983	14	18995	2013-08-04 01:44:23.03842	2013-08-04 01:44:23.03842	\N	07a0b348-12d0-4269-a0b1-6263a77b2512
141984	3	18976	2013-08-04 01:44:23.772405	2013-08-04 01:44:23.772405	\N	1963fa5b-2793-4a29-ab4c-93636418f3fb
134275	12	17431	2013-08-04 00:42:43.281557	2013-08-04 00:42:43.281557	\N	400f5a4f-3db2-490b-a753-26d195a11f95
159704	2	21148	2013-08-04 17:06:14.084996	2013-08-04 17:06:14.084996	\N	ef5aa622-eb66-4108-a559-c5d585d76f80
141986	3	18955	2013-08-04 01:44:23.903916	2013-08-04 01:44:23.903916	\N	3d1e029d-b429-41c5-a727-5c07ed5bd2c5
134278	3	17443	2013-08-04 00:42:44.367694	2013-08-04 00:42:44.367694	\N	e25a6641-711f-4c39-ace6-9c856be23850
166364	2	22173	2013-08-04 17:43:43.95801	2013-08-04 17:43:43.95801	\N	32ee4c1d-fe2d-4fb1-80ec-eeeb2ee737cc
176745	2	23254	2013-08-04 18:27:23.625213	2013-08-04 18:27:23.625213	\N	ddc99752-52ec-4ddf-9fe4-6e6c8929c876
169882	4	22609	2013-08-04 18:02:05.346176	2013-08-04 18:02:05.346176	\N	d068b95c-db38-467a-829d-d013d7818769
169884	4	22624	2013-08-04 18:02:05.434375	2013-08-04 18:02:05.434375	\N	baa8fe71-54bd-4230-9942-2dbd7fca4e25
169885	4	22648	2013-08-04 18:02:05.483466	2013-08-04 18:02:05.483466	\N	a0372373-0d9b-403e-a555-071b47e0ac8c
187281	7	24230	2013-08-04 19:03:26.573609	2013-08-04 19:03:26.573609	\N	eb532fad-bf58-44e5-a524-93155c4aa10a
147288	20	19498	2013-08-04 02:04:21.291609	2013-08-04 02:04:21.291609	\N	02006c9a-3513-464f-af51-3d69f2db48d1
176750	2	23239	2013-08-04 18:27:23.771416	2013-08-04 18:27:23.771416	\N	cb3fa23e-2621-4919-ae42-3389276aa364
198708	1	25255	2013-08-04 19:58:22.92148	2013-08-04 19:58:22.92148	\N	b36844c8-6933-4015-aab6-87cf40cdd165
169938	19	22609	2013-08-04 18:02:15.168223	2013-08-04 18:02:15.168223	\N	07a8afd1-8777-4554-a48b-1a1f436f7be2
159797	4	21262	2013-08-04 17:07:43.540035	2013-08-04 17:07:43.540035	\N	9ba0a300-7745-4978-876e-c21df29412e8
159798	7	21263	2013-08-04 17:07:45.906267	2013-08-04 17:07:45.906267	\N	014cfa02-3b39-4453-bc18-b74de4c4a4ec
159799	2	21225	2013-08-04 17:07:46.019042	2013-08-04 17:07:46.019042	\N	1ca3bb4a-76c8-4ac9-8d2f-8d1226fc3005
159800	2	21258	2013-08-04 17:07:46.043875	2013-08-04 17:07:46.043875	\N	b4f7143c-ed24-4b20-ba59-a800f8344461
159801	2	21255	2013-08-04 17:07:46.069146	2013-08-04 17:07:46.069146	\N	3d998e95-d0c2-4d3e-9c85-d93941f40fa5
159802	2	21228	2013-08-04 17:07:46.101613	2013-08-04 17:07:46.101613	\N	3d2c81a4-be0b-4d40-ad00-b6e35eddcfda
131993	8	16927	2013-08-04 00:20:48.248327	2013-08-04 00:20:48.248327	\N	28d88158-aefe-453b-bcdb-ef18a95580b8
159803	2	21219	2013-08-04 17:07:46.126169	2013-08-04 17:07:46.126169	\N	bbd49682-d428-4406-9722-005b4668a6a7
132003	15	16978	2013-08-04 00:20:55.77241	2013-08-04 00:20:55.77241	\N	ad1181ee-154f-47bd-9a6a-0014e7b21c19
132013	15	16979	2013-08-04 00:20:59.128921	2013-08-04 00:20:59.128921	\N	fe8f22a4-db65-426e-b55c-095371dcd3c5
132015	5	16978	2013-08-04 00:20:59.952318	2013-08-04 00:20:59.952318	\N	d88191dd-0677-4001-a968-4d452a36f67f
159804	2	21234	2013-08-04 17:07:46.15222	2013-08-04 17:07:46.15222	\N	3e4b7c06-6e9f-4829-9b5f-de484dce93bd
159805	2	21246	2013-08-04 17:07:46.184231	2013-08-04 17:07:46.184231	\N	b642ac37-5db6-4c9e-b6b4-a4ced2b0b3cc
159806	2	21252	2013-08-04 17:07:46.208875	2013-08-04 17:07:46.208875	\N	1c0d7bc5-a887-4b9f-821b-a6be999e3d1f
132031	17	16939	2013-08-04 00:21:10.284463	2013-08-04 00:21:10.284463	\N	3dcc862b-28da-467e-a75d-a239e1e6243e
132038	9	16979	2013-08-04 00:21:14.839049	2013-08-04 00:21:14.839049	\N	39e5d5fe-6e9a-4813-8ff1-d3d191002646
159807	2	21264	2013-08-04 17:07:46.242277	2013-08-04 17:07:46.242277	\N	ee289043-e9ee-4655-a8d8-5e62369a7ba2
159808	2	21267	2013-08-04 17:07:46.277885	2013-08-04 17:07:46.277885	\N	238af9fe-3070-48e8-bd4b-84a8fe540c8e
159809	2	21240	2013-08-04 17:07:46.309087	2013-08-04 17:07:46.309087	\N	507e1bd5-0f6e-448a-a74c-53f47bb57518
159810	2	21262	2013-08-04 17:07:46.341088	2013-08-04 17:07:46.341088	\N	e69cc241-5845-4d6c-b6c3-64dec2ccdae0
159811	2	21263	2013-08-04 17:07:46.37544	2013-08-04 17:07:46.37544	\N	b0f09eff-edac-4588-8664-8e5f4aba2997
159812	2	21238	2013-08-04 17:07:46.412682	2013-08-04 17:07:46.412682	\N	2172943d-be09-4092-84d2-d36abdd9fd9a
137024	11	18238	2013-08-04 01:11:12.429194	2013-08-04 01:11:12.429194	\N	0a2dbcbe-cee9-4dee-b5b8-a0772f506d34
132102	12	16939	2013-08-04 00:21:42.912388	2013-08-04 00:21:42.912388	\N	00ff1cee-1355-477b-bdaa-f9b8b935e3d1
176756	2	23280	2013-08-04 18:27:23.898035	2013-08-04 18:27:23.898035	\N	abda9dbc-0881-4754-bdcf-aaee507422ba
137040	1	18239	2013-08-04 01:11:22.035795	2013-08-04 01:11:22.035795	\N	c41e28e6-cc5d-43ca-8d6e-56e4df3d161c
153252	13	20608	2013-08-04 02:45:48.229416	2013-08-04 02:45:48.229416	\N	81f1da25-8c99-45e6-93ad-bc5d328b266e
153287	10	20593	2013-08-04 02:46:07.48741	2013-08-04 02:46:07.48741	\N	44243db6-bbcf-4a24-812c-bf5d7734f68a
134466	12	17483	2013-08-04 00:44:27.679701	2013-08-04 00:44:27.679701	\N	8fdb0b14-dfbb-4e7a-be57-7f7869f7a022
132127	17	16979	2013-08-04 00:21:56.898224	2013-08-04 00:21:56.898224	\N	8bf9555f-e95b-4e92-b5b0-e2a673af1b98
153372	9	20632	2013-08-04 02:46:46.310814	2013-08-04 02:46:46.310814	\N	9e057be5-0fb8-4a5a-969c-43e788194f18
176758	2	23286	2013-08-04 18:27:23.93109	2013-08-04 18:27:23.93109	\N	8f82b896-f68f-4c88-a019-478fb36d9c42
176759	2	23340	2013-08-04 18:27:23.957768	2013-08-04 18:27:23.957768	\N	24167fb2-6702-4635-83f0-4c24bdd86b15
176761	2	23315	2013-08-04 18:27:23.993451	2013-08-04 18:27:23.993451	\N	34149784-c4d2-41e7-ad87-a072db44ae17
176762	2	23319	2013-08-04 18:27:24.056428	2013-08-04 18:27:24.056428	\N	91833317-f123-4e57-b950-2e9f824397cd
191083	14	24439	2013-08-04 19:16:14.050593	2013-08-04 19:16:14.050593	\N	b678013a-b7be-413c-a385-20708f9783a7
191084	14	24427	2013-08-04 19:16:14.181609	2013-08-04 19:16:14.181609	\N	b84f8f92-d22c-4c3e-a5f7-d3d229d51975
137084	13	18199	2013-08-04 01:11:49.421783	2013-08-04 01:11:49.421783	\N	385ed23d-ed85-4203-999c-305122daa713
141867	13	18976	2013-08-04 01:43:45.124705	2013-08-04 01:43:45.124705	\N	08c9481c-fada-4d88-b010-54a9b99d626b
134318	14	17443	2013-08-04 00:43:05.916787	2013-08-04 00:43:05.916787	\N	05eaa13c-444b-4e12-992d-482bfecc1679
141941	9	18976	2013-08-04 01:44:08.737456	2013-08-04 01:44:08.737456	\N	e34f9b9d-9278-477c-892d-8af3f285fba6
150152	10	19951	2013-08-04 02:23:21.407003	2013-08-04 02:23:21.407003	\N	0e16a6bc-ea46-41c4-8ca3-98f24a9e5b24
169859	7	22648	2013-08-04 18:01:54.393258	2013-08-04 18:01:54.393258	\N	432b0069-0ffe-4e91-ba45-9949827a092f
163014	16	21601	2013-08-04 17:22:29.850332	2013-08-04 17:22:29.850332	\N	e4c8fb58-4b8e-4a8b-a3c7-e5631d0e7d33
163016	16	21616	2013-08-04 17:22:30.044186	2013-08-04 17:22:30.044186	\N	3209efae-3953-4d9a-8d5d-36f4c93791b9
159716	2	21166	2013-08-04 17:06:25.24493	2013-08-04 17:06:25.24493	\N	7b3f0dba-1764-47ec-8a39-c9f6dc051669
169880	13	22609	2013-08-04 18:02:02.833785	2013-08-04 18:02:02.833785	\N	e7e4b45c-5eee-4d5d-bbbf-35358928672e
187274	17	24136	2013-08-04 19:03:24.944482	2013-08-04 19:03:24.944482	\N	b89a535b-ee4c-4f12-98cf-f728e920c6a7
141954	2	18976	2013-08-04 01:44:12.379921	2013-08-04 01:44:12.379921	\N	5b9c407e-8d93-41c1-8ca2-fdcd3461e073
159719	2	21191	2013-08-04 17:06:25.408237	2013-08-04 17:06:25.408237	\N	2d742d26-3355-42c4-9a0f-48cb5b8eed29
153255	1	20632	2013-08-04 02:45:51.0261	2013-08-04 02:45:51.0261	\N	1908c6c9-0703-443b-8bf5-151369afd43c
153260	7	20633	2013-08-04 02:45:53.731611	2013-08-04 02:45:53.731611	\N	7469b6b7-4b52-4051-b3cc-b3ea64f61293
166389	19	22189	2013-08-04 17:43:57.706384	2013-08-04 17:43:57.706384	\N	626cdc29-3278-4338-9dff-beca2153a609
150331	20	19963	2013-08-04 02:24:39.018478	2013-08-04 02:24:39.018478	\N	dcee04fa-467c-4d93-be05-5a6e9707440a
153263	7	20608	2013-08-04 02:45:53.931995	2013-08-04 02:45:53.931995	\N	8669642c-277b-4008-ab2d-cba428e6f8ca
153264	7	20593	2013-08-04 02:45:54.034815	2013-08-04 02:45:54.034815	\N	1dd897f2-c038-47bd-9d6a-dddd60a26479
153265	7	20632	2013-08-04 02:45:54.132122	2013-08-04 02:45:54.132122	\N	05530c97-195e-4350-8120-db7aeb8ac294
150481	13	20089	2013-08-04 02:26:21.168591	2013-08-04 02:26:21.168591	\N	66592901-c127-4f97-a40f-f2f0fa204e10
150482	1	20129	2013-08-04 02:26:21.608977	2013-08-04 02:26:21.608977	\N	f40a6ced-bb67-4981-9dca-e63c44d4493e
153266	7	20581	2013-08-04 02:45:54.239463	2013-08-04 02:45:54.239463	\N	d32db4d8-59d4-483f-8f5c-fc2f48abb74e
134465	14	17482	2013-08-04 00:44:26.508558	2013-08-04 00:44:26.508558	\N	bee720d9-54ec-4f01-986b-0cc907659606
139427	19	18577	2013-08-04 01:27:12.040966	2013-08-04 01:27:12.040966	\N	89e758a4-6279-449e-bd17-e58b4a966540
139428	19	18565	2013-08-04 01:27:12.411228	2013-08-04 01:27:12.411228	\N	516567f4-611b-4130-90e6-15892093ca91
153290	17	20593	2013-08-04 02:46:10.65286	2013-08-04 02:46:10.65286	\N	867515a4-5faf-4a9b-a543-c54cb26c546a
150515	3	20128	2013-08-04 02:26:46.542277	2013-08-04 02:26:46.542277	\N	97892b65-5cd4-4ec9-82d7-13f84f73ff5c
150516	3	20089	2013-08-04 02:26:46.624206	2013-08-04 02:26:46.624206	\N	e3ffdb1b-2e74-42b9-ac0d-319b81da0633
150517	3	20077	2013-08-04 02:26:46.648491	2013-08-04 02:26:46.648491	\N	63a73fdb-68ab-4cc4-85fb-6f7684427cba
159733	11	21178	2013-08-04 17:06:38.012554	2013-08-04 17:06:38.012554	\N	a62ff7ed-8363-4b0f-83e7-54198e88cd0f
147442	10	19573	2013-08-04 02:05:56.629759	2013-08-04 02:05:56.629759	\N	6bf92d03-07dc-4878-9543-61434863ff3f
141979	17	18976	2013-08-04 01:44:19.196615	2013-08-04 01:44:19.196615	\N	86450b30-6a2d-454c-9598-539d3360eee1
147444	2	19573	2013-08-04 02:05:59.242645	2013-08-04 02:05:59.242645	\N	6539f398-df7f-4c3a-b590-6ca2c7deae94
147445	2	19603	2013-08-04 02:05:59.327618	2013-08-04 02:05:59.327618	\N	4e3b46ba-d0c7-44a8-a244-17e7d19fbf5f
131997	15	16927	2013-08-04 00:20:52.400551	2013-08-04 00:20:52.400551	\N	556a5c5f-d3d1-4e74-ad81-ec7d02d0a904
134542	11	17557	2013-08-04 00:45:53.505198	2013-08-04 00:45:53.505198	\N	6855cf90-359f-46fb-8b27-f8a65c9e82f4
132004	4	16939	2013-08-04 00:20:55.790266	2013-08-04 00:20:55.790266	\N	b27da1ec-01b6-4e1b-9b2e-3c3f6ee9420a
132005	4	16927	2013-08-04 00:20:55.872013	2013-08-04 00:20:55.872013	\N	ff073fd9-7e68-4e90-85a3-67d46f03cfb9
132006	4	16978	2013-08-04 00:20:55.918916	2013-08-04 00:20:55.918916	\N	57b6d115-cc2d-45bb-9fba-6164c6e2bb3d
147446	2	19585	2013-08-04 02:05:59.533413	2013-08-04 02:05:59.533413	\N	32f409e6-dbef-464e-90b3-4fdf15279813
132018	6	16978	2013-08-04 00:21:01.067708	2013-08-04 00:21:01.067708	\N	70ab3e9d-70c6-4747-971f-a914521628ad
134545	2	17557	2013-08-04 00:45:54.04545	2013-08-04 00:45:54.04545	\N	65c6f5f5-20ff-461a-bd10-35ff00e5ead4
134546	2	17608	2013-08-04 00:45:54.107976	2013-08-04 00:45:54.107976	\N	76f62f23-669f-4fa4-9737-fc35eea16aa1
147447	2	19624	2013-08-04 02:05:59.593064	2013-08-04 02:05:59.593064	\N	62bb7b78-c3fd-4a17-a54e-324b4e65db20
132064	11	16927	2013-08-04 00:21:23.790704	2013-08-04 00:21:23.790704	\N	6d1ca711-4d76-4e7a-8a54-2a625ab743be
134548	15	17608	2013-08-04 00:45:56.398561	2013-08-04 00:45:56.398561	\N	522655d9-96fa-49a0-a0fd-0560ce6f829f
132085	14	16986	2013-08-04 00:21:34.776439	2013-08-04 00:21:34.776439	\N	e42012c2-585a-4b80-a93a-d35478c14814
134560	13	17569	2013-08-04 00:46:00.854341	2013-08-04 00:46:00.854341	\N	0c932a3f-7609-43b8-b9bb-f3a86fbbe3af
169893	17	22624	2013-08-04 18:02:08.278878	2013-08-04 18:02:08.278878	\N	7f061e50-3e9e-4342-9a0e-2ca952fbf4b0
139449	16	18577	2013-08-04 01:27:19.848174	2013-08-04 01:27:19.848174	\N	b9faeb79-5802-4b85-9fe4-e860ac30353c
147449	2	19625	2013-08-04 02:05:59.670885	2013-08-04 02:05:59.670885	\N	782b8132-b37f-4f99-966a-fcaf836e1abd
139472	10	18617	2013-08-04 01:27:24.861021	2013-08-04 01:27:24.861021	\N	ab2a2f6f-87b1-4f53-991f-ca8f0ce7f8d8
147450	2	19668	2013-08-04 02:05:59.719261	2013-08-04 02:05:59.719261	\N	d2509f04-b8ea-44cc-8723-787d0f1349c1
132103	12	16927	2013-08-04 00:21:43.218024	2013-08-04 00:21:43.218024	\N	8c96107b-d66d-449e-92ea-e79781ce0723
147451	2	19686	2013-08-04 02:05:59.76801	2013-08-04 02:05:59.76801	\N	cbf92fee-a794-4085-81ac-992a3856cd90
147453	2	19676	2013-08-04 02:05:59.803774	2013-08-04 02:05:59.803774	\N	dd0e007a-4e5e-41d9-8517-cf6ddfd2027a
147454	2	19662	2013-08-04 02:05:59.857952	2013-08-04 02:05:59.857952	\N	20f9c322-4e39-4ec8-9cc5-5adb8294f50a
147455	2	19666	2013-08-04 02:05:59.904702	2013-08-04 02:05:59.904702	\N	cf3f8b35-a8b4-481e-92b8-570dd0829f63
147456	2	19672	2013-08-04 02:05:59.951671	2013-08-04 02:05:59.951671	\N	53634983-6f74-4ba2-8085-ae1471497f75
147457	2	19680	2013-08-04 02:05:59.997287	2013-08-04 02:05:59.997287	\N	e7528f5f-2f09-4580-81bb-6672d193ebb2
147458	2	19690	2013-08-04 02:06:00.04332	2013-08-04 02:06:00.04332	\N	e2f8e152-43e3-47c6-8105-0985640c50a2
147459	2	19694	2013-08-04 02:06:00.093058	2013-08-04 02:06:00.093058	\N	a05da411-a289-4aa2-80bf-0535073bc50c
132161	19	16939	2013-08-04 00:22:14.155537	2013-08-04 00:22:14.155537	\N	19a00b17-fa45-4ff3-9306-ec3ff9361bc4
132162	19	16927	2013-08-04 00:22:14.881279	2013-08-04 00:22:14.881279	\N	602270d6-4a0b-46f5-96cd-2e9482ed3e94
142058	14	18943	2013-08-04 01:44:53.875585	2013-08-04 01:44:53.875585	\N	407edc56-efcd-4e13-96e8-36d690e318c1
134640	1	17569	2013-08-04 00:46:47.165575	2013-08-04 00:46:47.165575	\N	5634d2ff-f08e-4b18-a923-161d623ee52e
132174	10	16939	2013-08-04 00:22:23.532244	2013-08-04 00:22:23.532244	\N	6286756b-c644-4b4c-a901-8ea98ae76bde
147460	2	19682	2013-08-04 02:06:00.121659	2013-08-04 02:06:00.121659	\N	e2e7aa18-c82d-4a3f-a252-26fadec8a2fb
147461	2	19698	2013-08-04 02:06:00.160266	2013-08-04 02:06:00.160266	\N	f59c2f71-ac4b-4eb4-aebe-70157f71a376
147463	9	19585	2013-08-04 02:06:02.180439	2013-08-04 02:06:02.180439	\N	059ef976-4de4-470d-a7a6-fa0dde570d84
132195	19	16978	2013-08-04 00:22:34.157824	2013-08-04 00:22:34.157824	\N	e2d4eb18-c27a-44cf-872a-c452a8c686f2
147464	9	19573	2013-08-04 02:06:02.401268	2013-08-04 02:06:02.401268	\N	8f2e3f3d-ded4-4d54-8e39-4702960a35bf
147468	19	19625	2013-08-04 02:06:03.035806	2013-08-04 02:06:03.035806	\N	52af702b-51cc-406b-b978-9de7a110219f
147469	15	19625	2013-08-04 02:06:03.598937	2013-08-04 02:06:03.598937	\N	8306fc44-1b74-46c8-9f88-74c6ab1a5653
187275	12	24160	2013-08-04 19:03:25.606601	2013-08-04 19:03:25.606601	\N	38ffb94a-6eb6-4a96-bf9d-5a2d94416b2b
187276	19	24222	2013-08-04 19:03:26.185071	2013-08-04 19:03:26.185071	\N	f4524fdd-dc44-43ab-a258-66bf4ba2c185
147473	6	19585	2013-08-04 02:06:06.120203	2013-08-04 02:06:06.120203	\N	fc5be633-ac98-4ef2-ba0d-56e053458873
147475	4	19585	2013-08-04 02:06:06.517928	2013-08-04 02:06:06.517928	\N	ee775c91-01b8-48a5-96a5-9aac85e82ced
142132	7	19121	2013-08-04 01:45:58.775689	2013-08-04 01:45:58.775689	\N	b5b3c0e4-23f1-4a86-879a-592c3e3827ea
142133	7	19102	2013-08-04 01:45:59.375941	2013-08-04 01:45:59.375941	\N	73a99c48-9504-4a80-9c53-1ac3587deecd
147476	4	19573	2013-08-04 02:06:06.573783	2013-08-04 02:06:06.573783	\N	423f2503-327c-4cd4-8f39-c53cb2fb7e56
147477	4	19624	2013-08-04 02:06:06.636479	2013-08-04 02:06:06.636479	\N	b4d7fb1d-906f-4f96-8c14-1db7624d83b5
132220	3	16939	2013-08-04 00:22:45.342999	2013-08-04 00:22:45.342999	\N	2feca80a-cece-4d10-b437-90cbefe3016f
142144	13	19081	2013-08-04 01:46:02.04879	2013-08-04 01:46:02.04879	\N	d4a53c0e-5f57-4118-8230-b234c500da64
136981	2	18199	2013-08-04 01:10:52.695245	2013-08-04 01:10:52.695245	\N	f8d5bb48-dc01-45aa-883f-a2949284afc3
136982	2	18187	2013-08-04 01:10:52.748413	2013-08-04 01:10:52.748413	\N	569e01a8-d512-4d46-917b-e39605c24c1e
132226	12	16979	2013-08-04 00:22:48.56337	2013-08-04 00:22:48.56337	\N	8aa98c32-3419-42d2-9588-9aa0e5d385a0
142148	12	19121	2013-08-04 01:46:07.506013	2013-08-04 01:46:07.506013	\N	3b74412b-cb64-4fb8-9034-be8cd01a04e5
134727	3	17557	2013-08-04 00:47:33.52377	2013-08-04 00:47:33.52377	\N	64ad6a8b-e32a-4225-80a6-7e1d98c293d7
136984	2	18280	2013-08-04 01:10:52.830174	2013-08-04 01:10:52.830174	\N	588e1c90-75ac-4d08-9862-8d5da09fc33d
136985	2	18276	2013-08-04 01:10:52.881519	2013-08-04 01:10:52.881519	\N	356f2bec-5c26-4804-99a8-b3e62be0af27
136987	8	18187	2013-08-04 01:10:54.291203	2013-08-04 01:10:54.291203	\N	85e75410-eb2b-41a9-844b-e5835374b08f
137010	1	18199	2013-08-04 01:11:04.41793	2013-08-04 01:11:04.41793	\N	9d97034e-52ad-4efe-9269-90fa1508e2b0
137014	11	18199	2013-08-04 01:11:08.50718	2013-08-04 01:11:08.50718	\N	37faff2d-19fd-4b7c-86ee-c674758e1a3f
142208	2	19186	2013-08-04 01:46:24.756106	2013-08-04 01:46:24.756106	\N	62845777-56b0-4e41-a9ce-3ee81ec16076
137031	4	18239	2013-08-04 01:11:16.379126	2013-08-04 01:11:16.379126	\N	1865f614-9b94-4637-b5aa-06927b8ba04c
137032	9	18239	2013-08-04 01:11:16.721431	2013-08-04 01:11:16.721431	\N	a8ad99fd-614f-4e8b-8348-8a5a4d1e74aa
142232	1	19121	2013-08-04 01:46:36.743975	2013-08-04 01:46:36.743975	\N	6f77dd56-5237-4600-8e3d-c51137af03bb
147500	17	19625	2013-08-04 02:06:15.800178	2013-08-04 02:06:15.800178	\N	968896c8-ec67-442d-bc01-207ce785b1e4
142235	9	19120	2013-08-04 01:46:38.217629	2013-08-04 01:46:38.217629	\N	c7b45a98-6a96-4052-9f2f-376355aab878
150530	6	20128	2013-08-04 02:26:55.794203	2013-08-04 02:26:55.794203	\N	158229a1-03ef-4c71-9f60-5ffabc8eae5e
198711	1	25270	2013-08-04 19:58:25.216009	2013-08-04 19:58:25.216009	\N	b116c49a-b539-4842-a80d-cb7336a00f88
150532	6	20077	2013-08-04 02:26:56.382978	2013-08-04 02:26:56.382978	\N	26ef642f-0133-453a-9eec-4dc8c4fba5e2
150533	12	20077	2013-08-04 02:26:56.612087	2013-08-04 02:26:56.612087	\N	c8cb80de-d4d1-4456-8d38-aee9bf22d917
147505	6	19624	2013-08-04 02:06:18.474919	2013-08-04 02:06:18.474919	\N	b289da77-c087-45ba-9082-beedaaa59738
169868	8	22648	2013-08-04 18:01:57.513174	2013-08-04 18:01:57.513174	\N	7cfa9be0-d1ca-401c-8ae8-dc03e39369c2
163057	2	21654	2013-08-04 17:22:43.911536	2013-08-04 17:22:43.911536	\N	46f24121-4c4b-473f-b1de-0149bd4d8770
169869	1	22722	2013-08-04 18:01:57.961324	2013-08-04 18:01:57.961324	\N	0fe96438-7995-42fc-a502-996f5027415a
129598	7	16179	2013-08-03 23:53:43.676963	2013-08-03 23:53:43.676963	\N	57978a88-305f-4976-af02-2b74d82bb7e1
169870	8	22694	2013-08-04 18:01:58.328565	2013-08-04 18:01:58.328565	\N	2a766d9d-3caf-46c4-b820-2a00917aadfa
141899	11	18976	2013-08-04 01:43:52.705677	2013-08-04 01:43:52.705677	\N	53ba2a97-96ee-4c60-a605-e1ad4006177c
169872	8	22710	2013-08-04 18:01:58.40014	2013-08-04 18:01:58.40014	\N	f2e5e92e-5122-45f6-ada3-a9cf48f2316f
150324	14	20002	2013-08-04 02:24:35.622554	2013-08-04 02:24:35.622554	\N	6898c790-632e-496e-9dc0-46c9b8efeff8
159982	4	21223	2013-08-04 17:08:33.743393	2013-08-04 17:08:33.743393	\N	7efa4a99-2759-4bf1-a77a-85f8c75b02d4
131989	2	16939	2013-08-04 00:20:47.082125	2013-08-04 00:20:47.082125	\N	e7fb30ef-57c0-45b2-9f32-e03f1b7448cb
131990	2	16978	2013-08-04 00:20:47.2325	2013-08-04 00:20:47.2325	\N	8430ab7f-f28e-43a2-92cd-2393ef6abad8
159983	4	21238	2013-08-04 17:08:33.812028	2013-08-04 17:08:33.812028	\N	dd2d0d41-6b77-4fac-b338-c2b6775ad10e
132014	5	16927	2013-08-04 00:20:59.53843	2013-08-04 00:20:59.53843	\N	220ca3f1-38e3-47af-b24e-a811ccc4451c
132021	13	16978	2013-08-04 00:21:04.030656	2013-08-04 00:21:04.030656	\N	c59104aa-8ee0-4728-817f-551afb9f7ef0
132022	9	16939	2013-08-04 00:21:04.451356	2013-08-04 00:21:04.451356	\N	00b4f1a4-e69a-4a6e-8e29-310594608e49
132023	9	16927	2013-08-04 00:21:04.578802	2013-08-04 00:21:04.578802	\N	19aecbc5-239e-44eb-8b63-01deca266729
163061	11	21616	2013-08-04 17:22:45.848408	2013-08-04 17:22:45.848408	\N	bafca479-0215-436d-8edd-0d843cec0b33
169873	8	22700	2013-08-04 18:01:58.486648	2013-08-04 18:01:58.486648	\N	d4a7b56c-e157-4031-a665-da272c433e4e
159988	17	21262	2013-08-04 17:08:36.14106	2013-08-04 17:08:36.14106	\N	c3aadc14-07ce-4f45-affe-e3c7a5925c0b
160047	2	21307	2013-08-04 17:08:57.404537	2013-08-04 17:08:57.404537	\N	2be918de-f599-48b7-b7ce-e92670281683
163083	11	21640	2013-08-04 17:22:48.328421	2013-08-04 17:22:48.328421	\N	34db6991-e652-42b7-92e7-499d15f18597
136912	7	18069	2013-08-04 01:10:33.148067	2013-08-04 01:10:33.148067	\N	2e1fbe37-e13f-4c05-acbd-48fbea0330a2
163088	11	21641	2013-08-04 17:22:48.533118	2013-08-04 17:22:48.533118	\N	e8c58b62-18b0-489c-b030-109b1fa06327
176728	8	23340	2013-08-04 18:27:22.813548	2013-08-04 18:27:22.813548	\N	63cfdcab-0e0d-4dea-8ec2-952bb0b7c1da
169881	8	22609	2013-08-04 18:02:04.066622	2013-08-04 18:02:04.066622	\N	513b4798-fc75-42bf-bf54-1d1f73795711
132071	11	16978	2013-08-04 00:21:27.138659	2013-08-04 00:21:27.138659	\N	5979f13a-54bc-4fdd-a713-7f79fc5de155
166449	11	22189	2013-08-04 17:44:21.305341	2013-08-04 17:44:21.305341	\N	3b4e0bc3-373e-4322-99d5-45fe3f422ff3
132078	14	16939	2013-08-04 00:21:30.659235	2013-08-04 00:21:30.659235	\N	a5d5e7f6-f82c-4bd1-b858-cec56e27f970
173309	14	22876	2013-08-04 18:14:45.70358	2013-08-04 18:14:45.70358	\N	bb8cb07c-eb47-4b28-addb-11b6b41e79b3
160143	10	21263	2013-08-04 17:09:35.544632	2013-08-04 17:09:35.544632	\N	30df069c-7db5-4bd2-a517-1e679b444855
176738	7	23320	2013-08-04 18:27:23.382799	2013-08-04 18:27:23.382799	\N	108a681f-bbe2-4091-b39c-5ed99a6a3d9c
169888	13	22624	2013-08-04 18:02:05.913139	2013-08-04 18:02:05.913139	\N	fa8a1cf3-79f2-45e2-adf6-8cf8ca6f027d
132099	2	16927	2013-08-04 00:21:42.472627	2013-08-04 00:21:42.472627	\N	fff590f7-5c38-4578-af2c-f3afac769c64
160165	9	21323	2013-08-04 17:09:40.747847	2013-08-04 17:09:40.747847	\N	aec6d935-a367-4554-852a-217e00cb2a90
153253	8	20581	2013-08-04 02:45:48.74073	2013-08-04 02:45:48.74073	\N	a3b69523-f403-4889-8afd-8901f4503fac
153267	13	20593	2013-08-04 02:45:55.728341	2013-08-04 02:45:55.728341	\N	52c4271b-9771-4cc0-a8ad-c4db50a25025
134509	14	17431	2013-08-04 00:44:57.144155	2013-08-04 00:44:57.144155	\N	7ac0fef7-c234-4c68-9229-1e5fe7c5a44d
132107	8	16979	2013-08-04 00:21:45.392572	2013-08-04 00:21:45.392572	\N	6e554974-ac60-4b40-8cb2-5f7f8c8e2894
136986	8	18199	2013-08-04 01:10:53.270351	2013-08-04 01:10:53.270351	\N	f827f6ea-831c-40fa-bd27-863673d9fd68
136990	2	18292	2013-08-04 01:10:57.953609	2013-08-04 01:10:57.953609	\N	be932fe6-cc61-410a-812c-604c26c28a6a
132139	19	16979	2013-08-04 00:22:08.793587	2013-08-04 00:22:08.793587	\N	cd53bbc6-339e-4c74-bd19-330e2d219da1
136991	2	18238	2013-08-04 01:10:58.017155	2013-08-04 01:10:58.017155	\N	e3940ffd-7cc9-4aad-8ba5-ba11ce9760ce
136992	2	18294	2013-08-04 01:10:58.076545	2013-08-04 01:10:58.076545	\N	dd42ebd7-bc52-4ff0-983f-c40231518b68
136993	2	18296	2013-08-04 01:10:58.200293	2013-08-04 01:10:58.200293	\N	abe022ce-22b5-43ad-abda-2ecc8f0ab7ba
136994	15	18199	2013-08-04 01:10:58.469246	2013-08-04 01:10:58.469246	\N	b1f0b72c-e29c-43bb-8129-b888747569f0
136996	4	18199	2013-08-04 01:10:58.868874	2013-08-04 01:10:58.868874	\N	52097583-7080-40ba-af9e-f05449902a5b
134532	4	17569	2013-08-04 00:45:51.250264	2013-08-04 00:45:51.250264	\N	214d4088-05c0-4bf5-9327-374217fc03b9
134534	4	17557	2013-08-04 00:45:51.285642	2013-08-04 00:45:51.285642	\N	84eed154-3935-4709-90f7-18208c48ec1b
134535	4	17608	2013-08-04 00:45:51.334053	2013-08-04 00:45:51.334053	\N	7bbefb95-faa8-48b1-a72b-5d5958300641
134536	8	17569	2013-08-04 00:45:51.720835	2013-08-04 00:45:51.720835	\N	95d5d869-6a82-4998-a4c6-b46805a57262
134551	8	17608	2013-08-04 00:45:56.493304	2013-08-04 00:45:56.493304	\N	2bd75324-2d4f-4411-876a-947272535639
136997	4	18187	2013-08-04 01:10:58.932275	2013-08-04 01:10:58.932275	\N	721ee419-0e89-426e-bc16-49cc91746c96
134561	15	17609	2013-08-04 00:46:01.304843	2013-08-04 00:46:01.304843	\N	4ebf9fee-eae2-42f3-be4b-1e7ab7597f3d
136998	4	18238	2013-08-04 01:10:58.96673	2013-08-04 01:10:58.96673	\N	b747cb5e-d1b6-42f0-8dcd-ee9dcb0dec3d
136999	20	18199	2013-08-04 01:10:59.758554	2013-08-04 01:10:59.758554	\N	21c07a2f-2cf7-4c64-999e-007b56fd97d9
137000	15	18238	2013-08-04 01:11:00.101592	2013-08-04 01:11:00.101592	\N	17e8fdc0-f96f-4ecc-a4ee-1b98b75929b3
137005	12	18239	2013-08-04 01:11:02.820104	2013-08-04 01:11:02.820104	\N	32ac318f-01eb-4e78-a8d1-58864db87386
137006	2	18312	2013-08-04 01:11:03.332957	2013-08-04 01:11:03.332957	\N	c5dd4685-6ae3-46ba-bb96-6c5414126b02
137007	8	18238	2013-08-04 01:11:03.970066	2013-08-04 01:11:03.970066	\N	68fde4cd-90b3-4721-89d2-a64a52a91bea
134601	6	17557	2013-08-04 00:46:25.618183	2013-08-04 00:46:25.618183	\N	afe6077c-dc8b-4aa1-bfad-29f3071c7ade
150376	4	20063	2013-08-04 02:24:55.98961	2013-08-04 02:24:55.98961	\N	9231ebd4-f87c-46ac-bfb0-72635f404b33
137016	11	18187	2013-08-04 01:11:09.004963	2013-08-04 01:11:09.004963	\N	f80a5021-82dc-41d8-b47f-bd3f07de937b
134620	17	17557	2013-08-04 00:46:40.016249	2013-08-04 00:46:40.016249	\N	042ae1d9-2abc-45e3-b89f-a54db95494ac
169889	8	22624	2013-08-04 18:02:06.708062	2013-08-04 18:02:06.708062	\N	eaea426d-a2fd-48c4-bd0d-90d60bce529b
137018	15	18239	2013-08-04 01:11:10.511497	2013-08-04 01:11:10.511497	\N	dd304ce5-b723-4320-9ba1-8c663ee39f1c
191030	15	24373	2013-08-04 19:16:00.657107	2013-08-04 19:16:00.657107	\N	59b2d38f-7cc8-4069-a235-f31f58eb529d
134667	16	17569	2013-08-04 00:47:02.941241	2013-08-04 00:47:02.941241	\N	7d83b841-9185-42b0-8e66-102ffb92d31f
134669	17	17609	2013-08-04 00:47:03.460258	2013-08-04 00:47:03.460258	\N	60c2c0e5-6ca1-4640-805b-ba16574a0c61
153273	6	20593	2013-08-04 02:45:58.224503	2013-08-04 02:45:58.224503	\N	c0f241fb-4349-49ac-b933-6a8787f6cb2d
137028	3	18187	2013-08-04 01:11:14.941366	2013-08-04 01:11:14.941366	\N	2146be0a-c529-45ba-adc7-5f627f78b621
134684	2	17569	2013-08-04 00:47:09.68046	2013-08-04 00:47:09.68046	\N	2de3c66b-684d-482c-a619-cd803862e04f
137029	3	18199	2013-08-04 01:11:15.038074	2013-08-04 01:11:15.038074	\N	27876e8f-0952-45ab-bbcf-bbc40b77e0f2
137030	3	18238	2013-08-04 01:11:15.081314	2013-08-04 01:11:15.081314	\N	ee5d6515-ad31-457e-8336-3c203f8bf288
166461	4	22180	2013-08-04 17:44:23.232288	2013-08-04 17:44:23.232288	\N	528d0959-5f2f-4a54-bf72-14b1b734c01d
137055	17	18187	2013-08-04 01:11:29.413349	2013-08-04 01:11:29.413349	\N	a441ef5f-7e50-4108-b553-59523aca37b4
153278	13	20632	2013-08-04 02:46:01.519098	2013-08-04 02:46:01.519098	\N	820a4181-9b9a-47df-89b6-8fc480e16d6a
166462	4	22182	2013-08-04 17:44:23.287708	2013-08-04 17:44:23.287708	\N	a4acaf1a-4d23-4aab-9e8f-f775e6643e19
153288	10	20632	2013-08-04 02:46:07.71887	2013-08-04 02:46:07.71887	\N	1ea53949-f90c-4732-b976-c437f07ccdcd
153289	15	20633	2013-08-04 02:46:08.74708	2013-08-04 02:46:08.74708	\N	e74223fd-bfd7-4c9f-998a-604134be083a
153291	6	20608	2013-08-04 02:46:10.730284	2013-08-04 02:46:10.730284	\N	44ae29f2-7eaf-4c7a-ac69-35aeebdbe6d2
137090	16	18187	2013-08-04 01:11:55.931154	2013-08-04 01:11:55.931154	\N	e7ad500b-2112-461f-a537-36441efad775
134704	19	17608	2013-08-04 00:47:25.507959	2013-08-04 00:47:25.507959	\N	6dc99428-f083-4d23-bf91-f1c1d57575eb
166463	4	22186	2013-08-04 17:44:23.319724	2013-08-04 17:44:23.319724	\N	ce0d4b9a-abd5-495c-8872-d733b9be318b
153294	4	20633	2013-08-04 02:46:11.639646	2013-08-04 02:46:11.639646	\N	ccb228fb-b41e-4ed1-aed1-89ed48be238b
147533	11	19585	2013-08-04 02:06:38.939133	2013-08-04 02:06:38.939133	\N	ef528d64-80ee-4d2b-9bd5-23235307c829
153295	17	20581	2013-08-04 02:46:12.765788	2013-08-04 02:46:12.765788	\N	2b3ff76a-be12-4ba3-b4e9-f60c55cbc46d
147536	8	19625	2013-08-04 02:06:39.443268	2013-08-04 02:06:39.443268	\N	d950e631-408b-4772-b122-7aa4c49c8caa
153296	1	20593	2013-08-04 02:46:13.404359	2013-08-04 02:46:13.404359	\N	93eb6bde-8b2a-468e-ba2c-16ab22ed20f6
166464	4	22190	2013-08-04 17:44:23.375979	2013-08-04 17:44:23.375979	\N	190fd63f-e7b3-4dc9-a691-c31d8e5ae59b
160257	19	21314	2013-08-04 17:10:14.963731	2013-08-04 17:10:14.963731	\N	2449efae-a458-42e2-b615-f58c332f0085
150449	8	20129	2013-08-04 02:26:06.896756	2013-08-04 02:26:06.896756	\N	d79ed22f-c6d3-4274-82ef-20b4f2e72328
153302	19	20593	2013-08-04 02:46:15.894502	2013-08-04 02:46:15.894502	\N	c7f325ad-c31c-4005-b51f-94fc16e76659
150454	11	20128	2013-08-04 02:26:09.322384	2013-08-04 02:26:09.322384	\N	b15c02ae-a947-413b-9d20-fbe7b36a6cc2
153306	19	20581	2013-08-04 02:46:16.20884	2013-08-04 02:46:16.20884	\N	0f2a2d8f-9e8c-4d7b-aa0a-0a1cc4308bf6
137198	19	18187	2013-08-04 01:12:56.289461	2013-08-04 01:12:56.289461	\N	c120a4b3-0f35-4c82-94ff-6373d8cf34b5
150456	1	20128	2013-08-04 02:26:09.825358	2013-08-04 02:26:09.825358	\N	56c98b21-9c3b-4758-bc36-8b08ac2e52dc
150457	4	20129	2013-08-04 02:26:12.512683	2013-08-04 02:26:12.512683	\N	80eedced-3b06-4992-b059-c181ac1be18f
166465	4	22192	2013-08-04 17:44:23.422585	2013-08-04 17:44:23.422585	\N	8b8ea675-6751-44a2-98d4-437e68df5f8b
153308	9	20633	2013-08-04 02:46:17.67412	2013-08-04 02:46:17.67412	\N	65f62d83-e283-4d8e-a4fd-e00039810ab8
153309	4	20677	2013-08-04 02:46:18.551702	2013-08-04 02:46:18.551702	\N	3e9ae7d5-f28d-4dbf-b067-a7a72fa96c15
153310	4	20683	2013-08-04 02:46:18.641435	2013-08-04 02:46:18.641435	\N	4f8626c0-3a3a-41e5-8788-dccfb8ea4c51
134814	14	17569	2013-08-04 00:48:29.957732	2013-08-04 00:48:29.957732	\N	8633d88f-0a97-43c6-8d6c-3a09edebef17
153311	4	20699	2013-08-04 02:46:18.665671	2013-08-04 02:46:18.665671	\N	96e4a21f-9f0b-464b-b32c-fa1c5e09424f
153312	19	20608	2013-08-04 02:46:20.497782	2013-08-04 02:46:20.497782	\N	d422a165-0611-4a37-b964-37f9a7a19419
163138	1	21601	2013-08-04 17:23:12.307398	2013-08-04 17:23:12.307398	\N	d314f7ec-e762-4c7d-a222-7d0726db66d7
153317	20	20581	2013-08-04 02:46:24.9212	2013-08-04 02:46:24.9212	\N	02302014-f984-43d4-9ef3-7cc6b3082688
194733	14	24724	2013-08-04 19:35:00.460559	2013-08-04 19:35:00.460559	\N	1ef04768-d080-4fea-aed6-4dfe6b09f88e
176766	9	23239	2013-08-04 18:27:25.067362	2013-08-04 18:27:25.067362	\N	f13be2cb-2c5f-4e2d-99d5-d007621e1349
194734	14	24653	2013-08-04 19:35:00.51308	2013-08-04 19:35:00.51308	\N	588241f1-da9b-4076-bca6-4bee4273327e
176806	7	23346	2013-08-04 18:27:33.090492	2013-08-04 18:27:33.090492	\N	fa3f7146-191c-48f9-89a5-ae7f920ae10c
169907	19	22648	2013-08-04 18:02:11.000232	2013-08-04 18:02:11.000232	\N	e6bed08a-50dc-4cc9-bba6-810e395b3445
194735	14	24654	2013-08-04 19:35:00.563631	2013-08-04 19:35:00.563631	\N	229d5a02-d69f-4224-a067-8d44ff796e8d
163109	2	21669	2013-08-04 17:22:54.450975	2013-08-04 17:22:54.450975	\N	91ae2bb7-7919-41ed-b4f3-6f6890c16bf9
187312	15	24121	2013-08-04 19:03:30.109304	2013-08-04 19:03:30.109304	\N	19b597d7-cd8d-478a-9f0d-52448118f16d
194736	14	24689	2013-08-04 19:35:00.621121	2013-08-04 19:35:00.621121	\N	36b9fc23-c248-4dc2-a12d-22648d863fc6
159751	14	21165	2013-08-04 17:06:47.93817	2013-08-04 17:06:47.93817	\N	77669839-40a2-40c5-9510-49b9741ab9f1
169924	4	22684	2013-08-04 18:02:14.451284	2013-08-04 18:02:14.451284	\N	6f8fa33e-5b45-4fc6-a02f-e250a4f053a0
169925	4	22686	2013-08-04 18:02:14.48271	2013-08-04 18:02:14.48271	\N	3890e7f9-b042-464c-a47a-35d3c65e6e96
141942	10	18976	2013-08-04 01:44:09.310895	2013-08-04 01:44:09.310895	\N	fcc114d1-88e1-4555-bab6-54e71c2a7733
159902	13	21223	2013-08-04 17:07:53.206889	2013-08-04 17:07:53.206889	\N	7b8d2917-a5cc-4e3c-845b-8276924acf80
147478	1	19625	2013-08-04 02:06:07.020014	2013-08-04 02:06:07.020014	\N	3c034768-859b-4fd8-bbd5-bd29b9683b76
147480	7	19573	2013-08-04 02:06:08.528995	2013-08-04 02:06:08.528995	\N	c6dd09c6-8762-4df9-b81d-0250ad3672da
147551	14	19585	2013-08-04 02:06:43.485252	2013-08-04 02:06:43.485252	\N	2718c81c-ff1a-4c35-9308-2543637789cc
147552	14	19624	2013-08-04 02:06:43.536742	2013-08-04 02:06:43.536742	\N	00cfaecf-a0ea-4f40-8b4c-182e872c4e25
134538	13	17608	2013-08-04 00:45:51.811072	2013-08-04 00:45:51.811072	\N	d2cdd9ad-d812-4ba5-95e8-ce6836c58711
147553	13	19585	2013-08-04 02:06:44.305859	2013-08-04 02:06:44.305859	\N	dd5ebcc9-e292-4441-9f63-168e0fd7a022
147554	13	19573	2013-08-04 02:06:44.600426	2013-08-04 02:06:44.600426	\N	ce4798ac-355e-420c-94e3-dd9db795ff5b
134558	1	17609	2013-08-04 00:45:58.872335	2013-08-04 00:45:58.872335	\N	4148098d-07c5-4d8c-b583-7ba2aa3eb173
134565	20	17608	2013-08-04 00:46:03.243105	2013-08-04 00:46:03.243105	\N	bb5f46de-cba1-4bec-ace7-6e8783d9656b
134574	6	17608	2013-08-04 00:46:06.862888	2013-08-04 00:46:06.862888	\N	27444770-56bd-4616-bac0-f65282e9a083
147563	13	19603	2013-08-04 02:06:47.807458	2013-08-04 02:06:47.807458	\N	3b41cc4f-67a5-43c1-b341-30c3eb4a63f9
134579	4	17609	2013-08-04 00:46:11.456501	2013-08-04 00:46:11.456501	\N	ee9726ce-e0a6-459d-83d9-33e261d7e36f
134585	9	17609	2013-08-04 00:46:16.894932	2013-08-04 00:46:16.894932	\N	e6b83774-0115-4d01-8a10-de51ac94dde9
159933	14	21299	2013-08-04 17:08:07.133228	2013-08-04 17:08:07.133228	\N	64b88703-f62b-482d-94f9-7872adf66818
134619	17	17569	2013-08-04 00:46:37.87232	2013-08-04 00:46:37.87232	\N	fa39fd11-010d-4941-bfd8-69d548c9e16b
134621	5	17557	2013-08-04 00:46:40.106189	2013-08-04 00:46:40.106189	\N	6ae3c55c-0f3f-4fb0-a304-cb91aa84c317
147597	8	19573	2013-08-04 02:07:05.652431	2013-08-04 02:07:05.652431	\N	0cac6683-6bf3-4555-8989-b0372dabad89
159958	14	21288	2013-08-04 17:08:18.400071	2013-08-04 17:08:18.400071	\N	ecb40741-1f6f-4d92-a375-f9385f22e992
147627	16	19573	2013-08-04 02:07:18.178019	2013-08-04 02:07:18.178019	\N	e61c6558-a28a-4db6-8625-838aa2ed50ec
159959	14	21290	2013-08-04 17:08:18.443398	2013-08-04 17:08:18.443398	\N	d39cc0a4-7c90-4779-ace4-6976a8879e75
153364	9	20593	2013-08-04 02:46:40.006343	2013-08-04 02:46:40.006343	\N	199a3604-d6ce-443f-95ea-d4d87a04c016
159960	14	21284	2013-08-04 17:08:18.498872	2013-08-04 17:08:18.498872	\N	7331a3a6-b841-4882-ac88-c7128a6bafd8
134671	7	17557	2013-08-04 00:47:03.910091	2013-08-04 00:47:03.910091	\N	fed4656f-1df7-49f5-921a-02fae40c9e17
134672	7	17608	2013-08-04 00:47:03.960941	2013-08-04 00:47:03.960941	\N	fdbd1351-ea63-4f8b-bb87-2c862978808e
134673	7	17569	2013-08-04 00:47:04.018406	2013-08-04 00:47:04.018406	\N	bbb8b1b3-f7d6-4964-8939-2668d6b93053
159961	14	21278	2013-08-04 17:08:18.537929	2013-08-04 17:08:18.537929	\N	8ab71d9d-2e5a-4b64-9dad-c21c5a96f9b5
134677	8	17609	2013-08-04 00:47:07.587264	2013-08-04 00:47:07.587264	\N	0cf89703-3848-4625-9870-2cd09c56bf1a
159962	17	21223	2013-08-04 17:08:18.655966	2013-08-04 17:08:18.655966	\N	6be9b6d8-7a0c-4e08-ab7b-fc6c173e2c7d
159963	14	21262	2013-08-04 17:08:20.376531	2013-08-04 17:08:20.376531	\N	dd53b2fa-ebaa-409c-bd4a-e8575058e8c7
169927	4	22690	2013-08-04 18:02:14.532173	2013-08-04 18:02:14.532173	\N	3e55249d-9823-479e-acef-e45891ac71db
142120	2	19102	2013-08-04 01:45:54.033498	2013-08-04 01:45:54.033498	\N	696d0431-fcf7-40ec-a018-2979d98787a5
142121	2	19081	2013-08-04 01:45:54.082917	2013-08-04 01:45:54.082917	\N	639f3634-19bd-457d-b473-fab0113a2b6b
142122	20	19121	2013-08-04 01:45:54.802706	2013-08-04 01:45:54.802706	\N	ebd1de6f-740d-4b89-8724-d2ecb9fc2f74
142123	14	19120	2013-08-04 01:45:55.017523	2013-08-04 01:45:55.017523	\N	952a9503-26c3-4b05-95b5-a41f09c5f02b
142125	8	19081	2013-08-04 01:45:55.789276	2013-08-04 01:45:55.789276	\N	d6d02946-9829-4ca1-91ea-5dbbc4743b4e
136995	6	18199	2013-08-04 01:10:58.572984	2013-08-04 01:10:58.572984	\N	9da93aa6-0e7b-4e67-9178-dec8475e05d3
147648	19	19624	2013-08-04 02:07:26.977942	2013-08-04 02:07:26.977942	\N	dfda217d-9b8b-418c-af21-e887d00543a2
160018	4	21307	2013-08-04 17:08:47.867624	2013-08-04 17:08:47.867624	\N	26305899-cd4a-4b99-a128-075c62f56829
134748	10	17557	2013-08-04 00:47:47.358252	2013-08-04 00:47:47.358252	\N	5ddcbe33-6bf2-4e44-99f4-ca3fba78365b
194737	14	24723	2013-08-04 19:35:00.675088	2013-08-04 19:35:00.675088	\N	22494263-ac96-436c-b88d-3125088debc0
198686	2	25309	2013-08-04 19:58:15.354072	2013-08-04 19:58:15.354072	\N	af87cb88-764a-4626-be11-d731c9870ddb
137038	7	18238	2013-08-04 01:11:20.062538	2013-08-04 01:11:20.062538	\N	8d4631aa-72ae-49df-83f1-8f29aca6d3d8
137039	7	18187	2013-08-04 01:11:20.146102	2013-08-04 01:11:20.146102	\N	47b1fa1e-64bd-4c59-bf46-8af505ee068e
137048	17	18199	2013-08-04 01:11:27.298396	2013-08-04 01:11:27.298396	\N	ecb9c0f0-6a8b-4d56-b27d-fbbe9e21a4fe
150430	19	20089	2013-08-04 02:25:57.815847	2013-08-04 02:25:57.815847	\N	d97aaa14-873d-4658-bb92-88a75a461db3
150431	19	20077	2013-08-04 02:25:58.185024	2013-08-04 02:25:58.185024	\N	2c7ed01b-611e-4435-98cd-314e73a0471f
142143	15	19121	2013-08-04 01:46:01.124569	2013-08-04 01:46:01.124569	\N	de330483-adc9-44d0-892f-6fc11eae5591
137068	8	18239	2013-08-04 01:11:37.858018	2013-08-04 01:11:37.858018	\N	acd906ab-4cbc-4b48-b128-0406cb464c6b
142161	11	19081	2013-08-04 01:46:16.935299	2013-08-04 01:46:16.935299	\N	e3671a36-96a8-44c0-9f15-590944cbe2c0
137074	9	18199	2013-08-04 01:11:44.703197	2013-08-04 01:11:44.703197	\N	1b4803d0-e1ca-46e3-8e55-91f5a7098def
137075	9	18187	2013-08-04 01:11:44.877104	2013-08-04 01:11:44.877104	\N	7fdd1f93-40a6-488a-9e83-991818378f62
207104	4	26442	2013-08-04 20:43:14.642908	2013-08-04 20:43:14.642908	\N	648afc1c-0cb8-4521-9270-c9f78cf1e890
207106	4	26450	2013-08-04 20:43:14.871756	2013-08-04 20:43:14.871756	\N	a4bcc3dd-5cff-4541-bbc4-67cd37f3d8d2
142164	11	19069	2013-08-04 01:46:17.56661	2013-08-04 01:46:17.56661	\N	b5f32ccd-6700-44b0-9c6a-a6d8ed5229f1
160024	1	21223	2013-08-04 17:08:51.797237	2013-08-04 17:08:51.797237	\N	2dd6784b-eefe-4c52-8d8a-050ed89ae15b
150440	11	20077	2013-08-04 02:26:06.218938	2013-08-04 02:26:06.218938	\N	1eb34254-5f21-472e-a8f6-4bcbe000bd6c
142170	7	19120	2013-08-04 01:46:18.346152	2013-08-04 01:46:18.346152	\N	ba0bdd2d-6829-43a1-98e1-9fe6411192c3
142172	9	19121	2013-08-04 01:46:18.452808	2013-08-04 01:46:18.452808	\N	55763acf-c896-401c-bd87-caeb12aafb43
147663	19	19603	2013-08-04 02:07:29.071284	2013-08-04 02:07:29.071284	\N	8ef115ef-ce02-46dd-9a45-c90ca2411d21
207110	1	26430	2013-08-04 20:43:16.629952	2013-08-04 20:43:16.629952	\N	f7e9321b-c985-498a-9927-8a0da3f61beb
187404	10	24160	2013-08-04 19:03:48.715221	2013-08-04 19:03:48.715221	\N	7f62bea8-ba28-4a29-90e5-00e69a3f9863
153464	16	20593	2013-08-04 02:47:19.210503	2013-08-04 02:47:19.210503	\N	f284ec38-e510-4218-a016-4205fedbeeb2
134848	2	17666	2013-08-04 00:48:45.583603	2013-08-04 00:48:45.583603	\N	a158323e-97ca-4027-be7b-b2de7516e755
153467	16	20632	2013-08-04 02:47:19.738553	2013-08-04 02:47:19.738553	\N	823ed813-4adc-4220-b342-401a6dfaca4a
142261	6	19120	2013-08-04 01:46:47.817449	2013-08-04 01:46:47.817449	\N	feb01e84-fd83-49ed-ae62-b4b6a4f08f36
198737	2	25319	2013-08-04 19:58:32.361351	2013-08-04 19:58:32.361351	\N	400fb6ae-5414-4b04-af77-4a6d91d89755
142271	4	19121	2013-08-04 01:46:54.758983	2013-08-04 01:46:54.758983	\N	894f91e0-9df2-4cc3-8a05-a937a3cb3f00
207111	2	26443	2013-08-04 20:43:16.89589	2013-08-04 20:43:16.89589	\N	e629d9a8-0c00-4ba5-b39f-cec035fd8299
137155	19	18239	2013-08-04 01:12:29.904792	2013-08-04 01:12:29.904792	\N	b518334d-3cc4-41ec-a5f5-dc4b320522ad
150494	13	20128	2013-08-04 02:26:27.039049	2013-08-04 02:26:27.039049	\N	dc58a160-798e-4967-96ef-1f1288ea3fc1
150522	17	20089	2013-08-04 02:26:53.847659	2013-08-04 02:26:53.847659	\N	c8f8d3d6-e730-469e-ac70-7f04f33fb8e8
137185	5	18238	2013-08-04 01:12:49.034237	2013-08-04 01:12:49.034237	\N	9c8cd152-da54-4214-8a94-723b3732e234
150523	17	20077	2013-08-04 02:26:54.057395	2013-08-04 02:26:54.057395	\N	62d0b9cf-88f6-42b5-ac53-7e4addc0938f
176833	2	23320	2013-08-04 18:27:35.120928	2013-08-04 18:27:35.120928	\N	0114eeaf-ef38-484c-99cb-ebd855ad6bb9
160060	14	21307	2013-08-04 17:09:01.243562	2013-08-04 17:09:01.243562	\N	07fe37e4-f78c-43f7-803a-03226a0f9f60
198761	19	25294	2013-08-04 19:58:38.618566	2013-08-04 19:58:38.618566	\N	254002a9-8599-4d1b-8cb9-82d9e7834374
137195	19	18199	2013-08-04 01:12:55.921163	2013-08-04 01:12:55.921163	\N	5e51d1fa-4f93-485c-aeb1-eb3dd919921c
134895	12	17569	2013-08-04 00:49:08.821111	2013-08-04 00:49:08.821111	\N	72879778-6abb-4194-a6cc-45cc8433ea6c
142322	17	19081	2013-08-04 01:47:10.959733	2013-08-04 01:47:10.959733	\N	41f4ed7e-4aed-4619-82ef-e05e583ab3d6
142326	17	19069	2013-08-04 01:47:13.030042	2013-08-04 01:47:13.030042	\N	d324b4fb-acdf-4be5-b01d-260276dd94e2
142328	19	19120	2013-08-04 01:47:13.249092	2013-08-04 01:47:13.249092	\N	ffd02ae4-2142-4533-aa2d-2031bb322e05
142332	6	19069	2013-08-04 01:47:15.288246	2013-08-04 01:47:15.288246	\N	da2e10f6-9d9d-4b43-9e9a-95deaeea87e3
160067	9	21223	2013-08-04 17:09:05.785026	2013-08-04 17:09:05.785026	\N	dc186032-8629-461d-9206-ae6c42fd195f
187518	10	24181	2013-08-04 19:04:09.54743	2013-08-04 19:04:09.54743	\N	fbc36626-c723-4e00-a1bd-5ed51421477a
136980	19	18238	2013-08-04 01:10:52.364402	2013-08-04 01:10:52.364402	\N	0d3d90c4-0398-4066-8a62-b4b66a118967
198689	4	25350	2013-08-04 19:58:16.907045	2013-08-04 19:58:16.907045	\N	0b9da807-3c71-4e7e-bdc3-4f123385b96d
136989	6	18187	2013-08-04 01:10:55.696298	2013-08-04 01:10:55.696298	\N	6153f543-d50c-4468-8124-e35e09a8f22a
137002	15	18187	2013-08-04 01:11:00.643263	2013-08-04 01:11:00.643263	\N	2cf4be44-0c88-4ef8-b6be-b5d574ee00bd
134533	9	17608	2013-08-04 00:45:51.251503	2013-08-04 00:45:51.251503	\N	57f91e16-7c08-4b0a-94e1-60430aedc6b0
134537	8	17557	2013-08-04 00:45:51.721015	2013-08-04 00:45:51.721015	\N	a608a4bb-e950-4020-8105-fa2fbe66d49d
198690	4	25368	2013-08-04 19:58:16.97349	2013-08-04 19:58:16.97349	\N	32be0664-d742-498a-ac60-200270191636
159837	8	21262	2013-08-04 17:07:47.073935	2013-08-04 17:07:47.073935	\N	48fbeb95-e907-427b-98d0-19f0241f0b0d
134544	15	17569	2013-08-04 00:45:53.75802	2013-08-04 00:45:53.75802	\N	1bfe5d63-eb70-4b63-9801-c5924dfb0a2a
159840	8	21223	2013-08-04 17:07:47.130941	2013-08-04 17:07:47.130941	\N	0a732212-ed7a-46ec-a8cb-ff7c6b5dde2c
159882	7	21223	2013-08-04 17:07:48.502834	2013-08-04 17:07:48.502834	\N	02a5f153-b995-4e14-8ad7-221ee19260b6
159904	8	21238	2013-08-04 17:07:53.699454	2013-08-04 17:07:53.699454	\N	c1c1643b-5465-4e89-b80f-3d7e208f3da0
134572	3	17608	2013-08-04 00:46:06.729343	2013-08-04 00:46:06.729343	\N	82d2c864-2394-4505-baa8-32042da91621
159905	2	21300	2013-08-04 17:07:54.236586	2013-08-04 17:07:54.236586	\N	3b483dae-06b9-42cf-8240-8bfe09d8a7f0
134578	6	17569	2013-08-04 00:46:10.655048	2013-08-04 00:46:10.655048	\N	358bc62a-4850-4be0-8818-ed1bda36dfc9
142118	17	19102	2013-08-04 01:45:52.597653	2013-08-04 01:45:52.597653	\N	fc1c5343-7b0b-475e-881d-812ee5d093db
142119	8	19120	2013-08-04 01:45:53.295363	2013-08-04 01:45:53.295363	\N	81b95fe6-ff55-4ec6-a4c9-9d8d9440a5c0
159906	2	21324	2013-08-04 17:07:54.403851	2013-08-04 17:07:54.403851	\N	fea6dc63-18cd-4553-a36a-b5a8b0171bd3
142126	7	19069	2013-08-04 01:45:58.042231	2013-08-04 01:45:58.042231	\N	6d8ca07e-10de-437a-ade6-e4095b996d5d
137069	7	18199	2013-08-04 01:11:38.398572	2013-08-04 01:11:38.398572	\N	72437831-7344-47c2-bb99-1fc3e3d1f6ff
142127	4	19081	2013-08-04 01:45:58.563898	2013-08-04 01:45:58.563898	\N	9850c094-0c6a-48f8-aca6-6963166b93a3
142128	4	19069	2013-08-04 01:45:58.59545	2013-08-04 01:45:58.59545	\N	28c399c5-b03c-4a9f-823f-9349c6f56f43
137085	13	18187	2013-08-04 01:11:49.780518	2013-08-04 01:11:49.780518	\N	98fc2b61-7bfc-4ab8-a16a-50f6d8c7698f
142129	4	19102	2013-08-04 01:45:58.6692	2013-08-04 01:45:58.6692	\N	4f2e2f3a-fee1-4026-ace7-29378b3db15b
137089	16	18199	2013-08-04 01:11:55.726714	2013-08-04 01:11:55.726714	\N	a9aee709-39eb-46de-8c8f-ad29ce2a58da
142130	4	19120	2013-08-04 01:45:58.724555	2013-08-04 01:45:58.724555	\N	e5990727-2ad2-4f31-9a03-3736bdc1187c
142158	7	19081	2013-08-04 01:46:10.788356	2013-08-04 01:46:10.788356	\N	ef5d22a1-25f9-4ab2-9fd7-7d6386075913
134628	5	17608	2013-08-04 00:46:42.189158	2013-08-04 00:46:42.189158	\N	e0a37a71-60d1-477b-b5b0-1feb23179a6c
159907	2	21304	2013-08-04 17:07:54.453235	2013-08-04 17:07:54.453235	\N	c643c31a-9004-4b4d-afbc-90b37ce6dfa7
137116	9	18238	2013-08-04 01:12:03.191462	2013-08-04 01:12:03.191462	\N	99db39a6-af36-4ed3-ad1c-5abaeaec6926
142180	2	19158	2013-08-04 01:46:19.374219	2013-08-04 01:46:19.374219	\N	6ef1c68d-e3ad-4adb-9c25-13763fddbdb1
134641	12	17609	2013-08-04 00:46:49.127082	2013-08-04 00:46:49.127082	\N	1e80e9a7-e286-4347-a4e7-0ba9a6ac0fd4
134666	19	17569	2013-08-04 00:47:01.050802	2013-08-04 00:47:01.050802	\N	d30ec7e6-8ab2-4773-9faf-6982e5d9a2f8
134668	16	17557	2013-08-04 00:47:03.055106	2013-08-04 00:47:03.055106	\N	61335da9-b450-4b52-9908-56218bb637f5
142181	2	19164	2013-08-04 01:46:19.440425	2013-08-04 01:46:19.440425	\N	c08767a4-45d1-4053-a4fd-89de88a2fd2a
142182	2	19172	2013-08-04 01:46:19.492071	2013-08-04 01:46:19.492071	\N	c849fdc9-7111-4266-82aa-4a76b2d20e27
142184	2	19162	2013-08-04 01:46:19.527207	2013-08-04 01:46:19.527207	\N	68d2efa8-9c9e-4f1f-b4f8-a88304312c79
142185	2	19182	2013-08-04 01:46:19.571543	2013-08-04 01:46:19.571543	\N	ebbe2fba-dd5a-48a9-a864-823f3f09dc8d
134749	10	17608	2013-08-04 00:47:47.493488	2013-08-04 00:47:47.493488	\N	8bdd6d6d-2ea0-42d3-8f32-648a58ea3761
142187	2	19168	2013-08-04 01:46:19.655627	2013-08-04 01:46:19.655627	\N	c7d0eeae-fa6b-4cd6-b3d0-a2858841e216
142188	11	19102	2013-08-04 01:46:19.81589	2013-08-04 01:46:19.81589	\N	49adefb6-3259-4ff8-b074-55d429cc00a5
137144	14	18195	2013-08-04 01:12:23.86469	2013-08-04 01:12:23.86469	\N	241fbe8c-f7aa-4703-b78d-7e3dded637a2
159908	2	21299	2013-08-04 17:07:54.511155	2013-08-04 17:07:54.511155	\N	6b71c795-4c69-4a38-8387-a27bf4290cd6
159909	2	21303	2013-08-04 17:07:54.564306	2013-08-04 17:07:54.564306	\N	3f2c77d3-3a5b-4e75-a02a-1cc74b6792f5
159910	2	21323	2013-08-04 17:07:54.61076	2013-08-04 17:07:54.61076	\N	3497365a-a012-42ea-8017-117f8affdc8f
137162	12	18187	2013-08-04 01:12:36.384479	2013-08-04 01:12:36.384479	\N	ffe6c875-9f1f-46e7-808a-59e592da675f
159911	2	21309	2013-08-04 17:07:54.646475	2013-08-04 17:07:54.646475	\N	c37a29b6-97f2-48a6-ac50-cb59c8e79eeb
159912	2	21317	2013-08-04 17:07:54.679796	2013-08-04 17:07:54.679796	\N	0475eae1-ccea-475d-bee7-b09ecf563401
159914	13	21238	2013-08-04 17:07:57.21624	2013-08-04 17:07:57.21624	\N	8807ee5f-5487-4a3a-b4a7-193781678b7b
142198	11	19120	2013-08-04 01:46:21.016422	2013-08-04 01:46:21.016422	\N	08a88479-a6f8-467b-87fd-7a0b3cc594ca
207122	14	26389	2013-08-04 20:43:24.321358	2013-08-04 20:43:24.321358	\N	4f25e8aa-4ceb-4c01-8d86-1552e5edc104
142205	9	19081	2013-08-04 01:46:21.647379	2013-08-04 01:46:21.647379	\N	31c0d70b-bbae-45af-8964-851b793ca3f4
142206	9	19069	2013-08-04 01:46:21.80161	2013-08-04 01:46:21.80161	\N	b674606e-af93-4a32-8f4d-dea54cf246a8
142233	9	19102	2013-08-04 01:46:37.049255	2013-08-04 01:46:37.049255	\N	8aaaacfe-780f-4e3c-8531-70aba013b294
159925	11	21300	2013-08-04 17:08:04.195707	2013-08-04 17:08:04.195707	\N	6b4db285-54fd-42f7-8b6c-9a4c4508eafb
142263	19	19081	2013-08-04 01:46:49.630851	2013-08-04 01:46:49.630851	\N	58976ffb-fdc4-4bb1-b235-8184e018faa9
159928	12	21223	2013-08-04 17:08:06.005446	2013-08-04 17:08:06.005446	\N	12c3791d-427a-4b4a-9b1e-4954a11ecc05
147540	4	19685	2013-08-04 02:06:40.603294	2013-08-04 02:06:40.603294	\N	f14404bc-577b-4901-aa4f-ab3f9cc7a00b
147541	4	19663	2013-08-04 02:06:40.666822	2013-08-04 02:06:40.666822	\N	2fb724bb-6444-4341-94f2-113128058208
147542	4	19667	2013-08-04 02:06:40.749443	2013-08-04 02:06:40.749443	\N	57535acd-206e-40b3-b3dd-b1f980ae3c87
147543	4	19669	2013-08-04 02:06:40.836079	2013-08-04 02:06:40.836079	\N	c8754194-7f2a-4092-a2ce-f40eac2f447c
147544	4	19675	2013-08-04 02:06:40.941899	2013-08-04 02:06:40.941899	\N	ee44061f-9681-43f1-9467-4c9129480276
147545	4	19677	2013-08-04 02:06:41.029081	2013-08-04 02:06:41.029081	\N	6a7c00d1-84ac-4030-a4ee-5edd71a8ae9b
147546	4	19689	2013-08-04 02:06:41.095891	2013-08-04 02:06:41.095891	\N	371d8e60-7607-4d39-b4c1-ed0eb78d18bc
147548	4	19691	2013-08-04 02:06:41.162196	2013-08-04 02:06:41.162196	\N	6182f27c-f7ff-4550-96f6-c447b1862469
147573	17	19585	2013-08-04 02:06:53.485153	2013-08-04 02:06:53.485153	\N	79a2ccf4-9db7-4afb-8578-1febdd08a5d3
147575	6	19603	2013-08-04 02:06:55.766875	2013-08-04 02:06:55.766875	\N	4127472f-e1fd-4d15-bd96-762a3644edf4
159932	14	21309	2013-08-04 17:08:07.123012	2013-08-04 17:08:07.123012	\N	20a85d74-082d-4a56-bda7-23a20c922e0c
159936	8	21263	2013-08-04 17:08:08.97563	2013-08-04 17:08:08.97563	\N	813edc56-17ae-4300-9a20-afb69c966cd2
173324	14	22955	2013-08-04 18:14:47.73319	2013-08-04 18:14:47.73319	\N	ad079e18-81ae-4795-8c32-b686c538d28d
166547	2	22172	2013-08-04 17:45:01.701853	2013-08-04 17:45:01.701853	\N	87f730c2-c1bc-4dda-bddd-cb39cc019a83
169951	11	22686	2013-08-04 18:02:16.469936	2013-08-04 18:02:16.469936	\N	aef2da03-aecb-4b90-ab6e-8eff7a6ddea8
169959	16	22689	2013-08-04 18:02:17.179503	2013-08-04 18:02:17.179503	\N	4e99c23b-ce1b-464b-8b8e-51027b607d8b
153575	20	20593	2013-08-04 02:48:05.301391	2013-08-04 02:48:05.301391	\N	001ed71e-302a-4d72-a74d-8a77988a177a
142594	16	19081	2013-08-04 01:48:48.871702	2013-08-04 01:48:48.871702	\N	09cdb0a2-95d3-4831-8597-c1f5c6f19903
187377	19	24212	2013-08-04 19:03:44.936241	2013-08-04 19:03:44.936241	\N	1e5abfdf-5acc-4a04-9cf9-b649f5a7154d
147686	12	19625	2013-08-04 02:07:37.704748	2013-08-04 02:07:37.704748	\N	a2f45256-0155-489c-879d-482aaee70452
163189	2	21667	2013-08-04 17:23:30.741583	2013-08-04 17:23:30.741583	\N	31e9f3ad-e1c5-4d55-9911-aba5fb9c39f0
169964	19	22624	2013-08-04 18:02:17.502651	2013-08-04 18:02:17.502651	\N	aaf5474b-8af5-4a32-ad96-04f66947bc44
163195	1	21682	2013-08-04 17:23:33.463981	2013-08-04 17:23:33.463981	\N	395e89c9-eda5-4040-8deb-ef5a6cc0a2ff
169966	7	22686	2013-08-04 18:02:17.636361	2013-08-04 18:02:17.636361	\N	8a1b3289-ba00-495d-b1ac-390b0355112e
150415	17	20128	2013-08-04 02:25:52.557943	2013-08-04 02:25:52.557943	\N	d35ff056-a6e8-4d9e-b2d0-2b81d7422af9
145169	16	19333	2013-08-04 01:57:58.342932	2013-08-04 01:57:58.342932	\N	b778e8b0-82f7-4bff-bce6-5c7edd38da17
150416	4	20089	2013-08-04 02:25:53.462777	2013-08-04 02:25:53.462777	\N	a8935ca5-50b8-43e5-9eac-1844efff7086
150417	4	20077	2013-08-04 02:25:53.554939	2013-08-04 02:25:53.554939	\N	14536f3e-4874-46b1-a041-0e5d14c74dfc
140055	13	18691	2013-08-04 01:30:52.644455	2013-08-04 01:30:52.644455	\N	a885ecc4-296f-43eb-b1ad-e0c5da24a8e6
140059	8	18703	2013-08-04 01:30:53.028863	2013-08-04 01:30:53.028863	\N	7eacf606-6746-44da-840c-28d3bf810256
140061	18	18447	2013-08-04 01:30:54.921168	2013-08-04 01:30:54.921168	\N	e4dc5e42-ed9a-4d69-9493-5671059210ce
140063	2	18691	2013-08-04 01:30:55.452219	2013-08-04 01:30:55.452219	\N	df006492-8b05-4837-ad4f-91683d097ac5
140064	2	18703	2013-08-04 01:30:55.497143	2013-08-04 01:30:55.497143	\N	a4788cf4-865c-4e3d-82d9-ff85faed69cd
150418	4	20128	2013-08-04 02:25:53.59706	2013-08-04 02:25:53.59706	\N	342c6a2b-40e4-4270-80dc-b461e595e315
140068	2	18780	2013-08-04 01:30:55.552477	2013-08-04 01:30:55.552477	\N	4f74acce-cd8a-4a97-b9d6-6734188a6955
140069	2	18796	2013-08-04 01:30:55.605104	2013-08-04 01:30:55.605104	\N	8983c055-0a23-46db-9b67-424c2e7b7127
140070	2	18798	2013-08-04 01:30:55.63715	2013-08-04 01:30:55.63715	\N	5b009e86-fa47-4d5a-a715-e25789cf3d3c
140071	2	18816	2013-08-04 01:30:55.67998	2013-08-04 01:30:55.67998	\N	6284251b-aa00-425c-bc67-4d8b52ad0591
145173	16	19321	2013-08-04 01:57:58.605668	2013-08-04 01:57:58.605668	\N	16f8d0b9-fd4e-4773-8fbd-51190ae5fb85
169968	11	22609	2013-08-04 18:02:17.801702	2013-08-04 18:02:17.801702	\N	38567416-af95-49cc-b846-684664a4f827
137060	6	18238	2013-08-04 01:11:32.584239	2013-08-04 01:11:32.584239	\N	fdb78c7a-eaec-49c4-b018-fe184f14956e
150419	8	20128	2013-08-04 02:25:54.130368	2013-08-04 02:25:54.130368	\N	1123b06f-0e0d-4aeb-abc1-0b9a144cbe25
150424	7	20129	2013-08-04 02:25:55.450732	2013-08-04 02:25:55.450732	\N	9040d6e9-1fab-4798-818e-999da15809a9
137131	13	18238	2013-08-04 01:12:12.520324	2013-08-04 01:12:12.520324	\N	7cf11a86-8f01-46c4-a00d-fb0791bead74
153387	8	20633	2013-08-04 02:46:50.792313	2013-08-04 02:46:50.792313	\N	6c180bc1-3807-48dd-84ca-83811267f805
134646	9	17569	2013-08-04 00:46:53.296768	2013-08-04 00:46:53.296768	\N	b9208a1a-2246-4794-ba97-0d5a2c103b8d
134648	9	17557	2013-08-04 00:46:53.483127	2013-08-04 00:46:53.483127	\N	54905056-92bc-45d8-9ca1-83b994a25e45
147514	2	19692	2013-08-04 02:06:25.783454	2013-08-04 02:06:25.783454	\N	b30b08d5-f5f1-4162-8503-6a099a46500b
150428	8	20077	2013-08-04 02:25:56.519042	2013-08-04 02:25:56.519042	\N	88130012-cb1b-4b7c-a41f-6903da23bb17
142223	8	19121	2013-08-04 01:46:31.020999	2013-08-04 01:46:31.020999	\N	51485558-57da-40da-b28f-1d1cf7343c20
134658	19	17609	2013-08-04 00:46:56.45336	2013-08-04 00:46:56.45336	\N	60e0a982-41ca-4392-ac7c-0cca7479db4c
150429	7	20128	2013-08-04 02:25:56.986582	2013-08-04 02:25:56.986582	\N	17514f06-582f-4b2b-ae9d-1b75a0a85800
134660	2	17650	2013-08-04 00:46:58.185096	2013-08-04 00:46:58.185096	\N	db5591f4-8d12-4006-b2a4-68ed433d1b3a
147520	20	19585	2013-08-04 02:06:32.271175	2013-08-04 02:06:32.271175	\N	7931203e-52d7-4da7-8cde-99361e078fde
147534	20	19624	2013-08-04 02:06:38.942517	2013-08-04 02:06:38.942517	\N	0d43a6b6-4c6e-4a91-9351-36a073817a4f
147549	11	19624	2013-08-04 02:06:42.408832	2013-08-04 02:06:42.408832	\N	aec72ed9-8c99-4b62-9579-e3f763ceda9a
134676	19	17557	2013-08-04 00:47:06.662614	2013-08-04 00:47:06.662614	\N	43adc40a-63ec-4068-b43b-5346cca5d913
147560	10	19603	2013-08-04 02:06:47.078768	2013-08-04 02:06:47.078768	\N	50b15df4-7a37-4c8e-93be-560d1b2e54da
147561	10	19585	2013-08-04 02:06:47.195697	2013-08-04 02:06:47.195697	\N	d300982c-13d1-4546-945c-d95ab5f95b88
147562	10	19624	2013-08-04 02:06:47.305733	2013-08-04 02:06:47.305733	\N	30c24295-306f-4b56-8b7b-6c9cb5e2ea41
147564	19	19585	2013-08-04 02:06:49.316955	2013-08-04 02:06:49.316955	\N	712c41f2-ee30-4300-bc03-8838c9131564
147565	19	19573	2013-08-04 02:06:49.65222	2013-08-04 02:06:49.65222	\N	75f73ac7-25cd-467e-b310-a794621e8eb8
137224	14	18238	2013-08-04 01:13:14.207405	2013-08-04 01:13:14.207405	\N	91d18031-73b3-489e-9e28-0cc695ae1123
142260	20	19120	2013-08-04 01:46:47.798723	2013-08-04 01:46:47.798723	\N	b38525cd-d4e8-4161-bae9-8fb1f7fd4306
137231	10	18187	2013-08-04 01:13:19.549563	2013-08-04 01:13:19.549563	\N	8b35311d-11f9-4e85-87d0-450b4b88bffd
137233	10	18238	2013-08-04 01:13:19.732581	2013-08-04 01:13:19.732581	\N	3b773fb6-3b39-4718-8861-d025e493f950
147566	13	19624	2013-08-04 02:06:49.836552	2013-08-04 02:06:49.836552	\N	a6c3a486-0f3e-4ce2-90c7-4c93d8d1ed55
150435	14	20128	2013-08-04 02:26:00.706402	2013-08-04 02:26:00.706402	\N	b47badf9-5993-45bb-b8c4-aabc69832a30
142273	14	19102	2013-08-04 01:46:58.740599	2013-08-04 01:46:58.740599	\N	eef9c3f1-292a-4ced-9c11-98c695c5f92d
137242	14	18187	2013-08-04 01:13:25.019301	2013-08-04 01:13:25.019301	\N	1b115b19-b064-409a-a3cc-8d03ebc44ec9
153388	14	20581	2013-08-04 02:46:50.901369	2013-08-04 02:46:50.901369	\N	2dfdc24a-4e3c-46f3-9924-6379ebe796f7
150437	11	20089	2013-08-04 02:26:05.687899	2013-08-04 02:26:05.687899	\N	4d882599-18f5-4293-bba7-f905dc24d25d
153389	1	20633	2013-08-04 02:46:51.884713	2013-08-04 02:46:51.884713	\N	3ed018c4-39dc-4b64-8b0f-98e4b7a686c2
180204	7	23586	2013-08-04 18:38:53.324908	2013-08-04 18:38:53.324908	\N	5874ffa4-f74f-4f13-b124-9710b9fcf085
147574	17	19573	2013-08-04 02:06:55.618977	2013-08-04 02:06:55.618977	\N	02dad93a-6040-4752-be56-59dd70653d08
150444	7	20077	2013-08-04 02:26:06.446049	2013-08-04 02:26:06.446049	\N	f1a86c3e-7699-4b3a-bf2e-22509f94db62
134747	10	17569	2013-08-04 00:47:47.213565	2013-08-04 00:47:47.213565	\N	eb590d80-eb77-4a4a-bd4d-89e433105f97
198697	7	25317	2013-08-04 19:58:21.997763	2013-08-04 19:58:21.997763	\N	a42b3d14-7129-49eb-9913-4b17f3983c03
187316	13	24121	2013-08-04 19:03:31.487178	2013-08-04 19:03:31.487178	\N	edb86385-91cb-47e7-a344-f265211eaa5a
173306	2	22938	2013-08-04 18:14:43.513981	2013-08-04 18:14:43.513981	\N	4aa4e008-2b13-4c69-94f9-8d2cd631f969
187321	9	24233	2013-08-04 19:03:33.189335	2013-08-04 19:03:33.189335	\N	5c038e20-f612-48a5-9e0d-1f08c0009dc6
187322	3	24160	2013-08-04 19:03:33.22399	2013-08-04 19:03:33.22399	\N	39043213-8a34-4211-94d9-d9f3b8456aa5
142297	6	19081	2013-08-04 01:47:02.588317	2013-08-04 01:47:02.588317	\N	bbeb8873-91b3-4095-924a-33ec2d890c2a
159835	2	21223	2013-08-04 17:07:47.031111	2013-08-04 17:07:47.031111	\N	cd96d3ee-4401-47ba-a6e4-25d7aa600cd3
137309	19	18195	2013-08-04 01:14:03.199691	2013-08-04 01:14:03.199691	\N	045a3270-bb31-42f6-8b00-c4b5f39d8e85
142299	19	19069	2013-08-04 01:47:03.36679	2013-08-04 01:47:03.36679	\N	86896748-5a31-4d8c-b574-f7f1c250c5d4
150497	9	20089	2013-08-04 02:26:29.696382	2013-08-04 02:26:29.696382	\N	fb9a2f00-0138-46ab-b8fb-2568198768e8
150498	9	20077	2013-08-04 02:26:29.876776	2013-08-04 02:26:29.876776	\N	d65c86b2-cabc-4dca-b396-03d9a5f42577
142305	19	19102	2013-08-04 01:47:08.041639	2013-08-04 01:47:08.041639	\N	58257ed5-12d9-45f8-87a0-abbc1d00616a
150508	9	20128	2013-08-04 02:26:40.07691	2013-08-04 02:26:40.07691	\N	e5217eed-adf2-41e3-bad8-f419f2038566
198733	1	25332	2013-08-04 19:58:29.723619	2013-08-04 19:58:29.723619	\N	94d0b402-7003-452c-95da-277a8cbf5b45
150511	13	20077	2013-08-04 02:26:42.936188	2013-08-04 02:26:42.936188	\N	9cfc476e-535d-4ac1-b2b0-99bbda6ea2b8
147599	17	19603	2013-08-04 02:07:06.695788	2013-08-04 02:07:06.695788	\N	b7f835a4-a1af-4056-89e1-b427ed516cbd
150571	20	20077	2013-08-04 02:27:10.510445	2013-08-04 02:27:10.510445	\N	3aa520ae-ae23-4d31-9b86-0eb7fd37a35d
150572	12	20129	2013-08-04 02:27:12.198037	2013-08-04 02:27:12.198037	\N	ca2009f4-bb87-4905-aa18-c3bcde517883
166529	2	22174	2013-08-04 17:44:51.263242	2013-08-04 17:44:51.263242	\N	aeb49f5b-8b73-4b16-a1cd-0119c7dc60f2
147613	4	19625	2013-08-04 02:07:16.375916	2013-08-04 02:07:16.375916	\N	c9bd8e3e-a50d-44bc-9167-d0d00d1f07d0
172463	7	22974	2013-08-04 18:12:10.675986	2013-08-04 18:12:10.675986	\N	8b56afc9-d16b-4544-b7f2-b8d8026c33ef
163248	18	21515	2013-08-04 17:23:36.870969	2013-08-04 17:23:36.870969	\N	4821c8fa-3f79-4db5-b81e-328dcc18bb90
142525	2	19120	2013-08-04 01:48:26.131457	2013-08-04 01:48:26.131457	\N	71ced05b-cdc4-4e12-860b-01d9af05b4d7
150597	19	20129	2013-08-04 02:27:31.10484	2013-08-04 02:27:31.10484	\N	1db65071-408d-449c-a081-ef87b11a1597
147622	16	19585	2013-08-04 02:07:18.057704	2013-08-04 02:07:18.057704	\N	56eb436b-60a8-4eca-8b38-2c967ce33497
153465	16	20581	2013-08-04 02:47:19.351973	2013-08-04 02:47:19.351973	\N	c47ebc88-1cda-4e24-86a9-02d3b96152bb
142533	14	19081	2013-08-04 01:48:27.800935	2013-08-04 01:48:27.800935	\N	f7cbf41a-5e79-438c-8ff9-4694c4683a90
147630	16	19603	2013-08-04 02:07:18.312262	2013-08-04 02:07:18.312262	\N	ecb5ea2d-8951-4310-bf22-fce7ce7608a5
153466	16	20608	2013-08-04 02:47:19.496142	2013-08-04 02:47:19.496142	\N	56100d9c-d0ec-4239-8f63-a6eb09845cb7
187344	13	24136	2013-08-04 19:03:35.193169	2013-08-04 19:03:35.193169	\N	e0e13b04-a895-423d-a590-dbced31d0b4b
172514	7	22942	2013-08-04 18:12:14.836783	2013-08-04 18:12:14.836783	\N	15f36f57-7439-4151-abc7-eee6538382ef
137417	7	18239	2013-08-04 01:14:54.273413	2013-08-04 01:14:54.273413	\N	5c8d9f5f-dcdd-4e17-b605-5988d94349cd
207213	4	26447	2013-08-04 20:44:04.549164	2013-08-04 20:44:04.549164	\N	f160305a-c39b-44d8-924c-72b1f071a3b5
194875	1	24705	2013-08-04 19:35:34.606911	2013-08-04 19:35:34.606911	\N	2d5b5395-1f89-4290-b728-85a74377745b
172550	11	22900	2013-08-04 18:12:17.92604	2013-08-04 18:12:17.92604	\N	988e593b-aaf0-4868-a375-215fa51790f5
198796	9	25331	2013-08-04 19:58:46.930276	2013-08-04 19:58:46.930276	\N	a51b2412-3de8-4950-a9ff-a2015f42c063
166734	2	22246	2013-08-04 17:46:55.757066	2013-08-04 17:46:55.757066	\N	93fc7349-0888-4797-ab3c-f36e66970e05
172554	2	22920	2013-08-04 18:12:18.190431	2013-08-04 18:12:18.190431	\N	40f14b41-d1ff-4bc5-a34f-b247e63fa93b
137430	14	18239	2013-08-04 01:14:56.781393	2013-08-04 01:14:56.781393	\N	6ac79c87-b032-4269-9033-04f7b8f88ec5
137432	6	18239	2013-08-04 01:14:57.769776	2013-08-04 01:14:57.769776	\N	0388fb48-89b7-41e9-ac86-d4ed4ec60841
153483	12	20633	2013-08-04 02:47:28.677013	2013-08-04 02:47:28.677013	\N	ff5790a1-4e1e-4c3c-86c9-9d0e0f71c384
166737	2	22315	2013-08-04 17:46:55.873969	2013-08-04 17:46:55.873969	\N	de1a2bad-6e0e-4475-b514-232d4a9d1a82
137439	16	18238	2013-08-04 01:14:58.990792	2013-08-04 01:14:58.990792	\N	48d5567d-1793-4c0b-9a21-7d097d6f1862
166738	2	22270	2013-08-04 17:46:56.031195	2013-08-04 17:46:56.031195	\N	93774311-3f1d-4ad5-b1cb-a9b5f4373af8
166739	2	22307	2013-08-04 17:46:56.105445	2013-08-04 17:46:56.105445	\N	c6ef3cb3-b2bc-47c3-8312-b047691f00d0
166740	2	22343	2013-08-04 17:46:56.190141	2013-08-04 17:46:56.190141	\N	b67a270c-76a0-4f97-852b-799287ce48fc
166765	11	22246	2013-08-04 17:47:01.547097	2013-08-04 17:47:01.547097	\N	8c97b7fc-d697-438e-9be3-fd4b4aefecdc
198797	2	25322	2013-08-04 19:58:47.141096	2013-08-04 19:58:47.141096	\N	e97de6ab-48fb-4137-b575-47fb5bd57496
166767	8	22231	2013-08-04 17:47:01.897692	2013-08-04 17:47:01.897692	\N	f9e1a65a-f560-4a67-8d1c-519742c243e9
172584	1	22942	2013-08-04 18:12:21.636691	2013-08-04 18:12:21.636691	\N	490946eb-1964-4da5-8622-dd35bc1791b4
147506	9	19625	2013-08-04 02:06:19.027179	2013-08-04 02:06:19.027179	\N	8de54851-f8d0-40b7-b08f-5fea629b7dfd
134834	2	17662	2013-08-04 00:48:40.337981	2013-08-04 00:48:40.337981	\N	9f893b39-9f2b-44ca-9b7d-1c8af0fa79ed
134835	2	17656	2013-08-04 00:48:40.381471	2013-08-04 00:48:40.381471	\N	8e24734a-2182-4c64-af23-3aafa7d60f14
134836	2	17664	2013-08-04 00:48:40.429435	2013-08-04 00:48:40.429435	\N	ee32703d-6b73-4ed4-b869-a160242f2b79
150420	8	20089	2013-08-04 02:25:54.957008	2013-08-04 02:25:54.957008	\N	03db58cb-8890-4ca6-8a60-f1ff3d1ecc82
150421	7	20089	2013-08-04 02:25:55.18301	2013-08-04 02:25:55.18301	\N	9db97f72-b9c5-4611-a613-0517f8272f0b
166466	4	22196	2013-08-04 17:44:23.468722	2013-08-04 17:44:23.468722	\N	d61d8872-06c7-4840-a2b9-4003fe2995c0
166467	4	22200	2013-08-04 17:44:23.518438	2013-08-04 17:44:23.518438	\N	7458710f-d137-4700-9036-46671b0e9539
166468	4	22218	2013-08-04 17:44:23.560821	2013-08-04 17:44:23.560821	\N	f3d94fe2-6cd5-4f4d-8d0d-913e96e45024
139759	3	18616	2013-08-04 01:28:47.092729	2013-08-04 01:28:47.092729	\N	5f41fb6b-858b-4cf9-a1ea-29ef37046e6b
139760	3	18565	2013-08-04 01:28:47.177472	2013-08-04 01:28:47.177472	\N	badf1983-1eaf-44cf-8892-9ad9481425a4
134866	2	17682	2013-08-04 00:48:55.987963	2013-08-04 00:48:55.987963	\N	77b1dbb0-f872-42a6-b01a-14cb313f16dd
139761	3	18577	2013-08-04 01:28:47.201377	2013-08-04 01:28:47.201377	\N	2c143239-3570-4ecb-b83a-57051e282932
147537	11	19573	2013-08-04 02:06:39.477413	2013-08-04 02:06:39.477413	\N	8b3680dd-1cbc-4a63-9dbe-7310dc5b2a75
150447	19	20128	2013-08-04 02:26:06.623413	2013-08-04 02:26:06.623413	\N	3c73f6ee-87bb-4cfc-8fbc-2df9ffa8dc3e
134877	14	17565	2013-08-04 00:49:00.537209	2013-08-04 00:49:00.537209	\N	1dae53b9-95dc-4e56-8113-7674ac4c2c15
166469	4	22212	2013-08-04 17:44:23.667373	2013-08-04 17:44:23.667373	\N	feb90c76-a33c-43a9-9f27-303104c5015d
150451	1	20089	2013-08-04 02:26:07.222156	2013-08-04 02:26:07.222156	\N	feb75c21-4de6-4c0d-bb9f-d32d25879e52
150452	15	20129	2013-08-04 02:26:07.484077	2013-08-04 02:26:07.484077	\N	c1f07195-b17f-41a4-8aa9-d9458fc9c395
191085	14	24443	2013-08-04 19:16:14.243897	2013-08-04 19:16:14.243897	\N	1d880c69-991d-4667-9724-04dc113e2744
198714	9	25368	2013-08-04 19:58:25.592883	2013-08-04 19:58:25.592883	\N	6b362133-9059-4876-b6e7-c23e091e6f07
150470	17	20129	2013-08-04 02:26:17.705686	2013-08-04 02:26:17.705686	\N	b063b685-cb53-487f-b006-ebfa410a4e1b
153408	4	20693	2013-08-04 02:47:01.413587	2013-08-04 02:47:01.413587	\N	e1aae299-aa7e-4874-aa4c-37a0e1d03394
137121	17	18239	2013-08-04 01:12:04.75891	2013-08-04 01:12:04.75891	\N	3ca9f059-f86d-45f7-af6d-9199e2a0cd6d
150474	4	20173	2013-08-04 02:26:19.002961	2013-08-04 02:26:19.002961	\N	1d312f30-bfe7-4647-ac92-c297a1988131
150475	4	20179	2013-08-04 02:26:19.103429	2013-08-04 02:26:19.103429	\N	fcf5f8c5-800d-4c25-815c-208e4c70cf86
150476	4	20181	2013-08-04 02:26:19.160079	2013-08-04 02:26:19.160079	\N	9ebd3193-35a0-46ba-8533-d68dbd258826
150477	4	20187	2013-08-04 02:26:19.21364	2013-08-04 02:26:19.21364	\N	ba3dadde-b045-44be-b24a-9af0650aace6
150478	4	20195	2013-08-04 02:26:19.255772	2013-08-04 02:26:19.255772	\N	8d5d736c-e299-471e-ac55-f46866cf2a6a
150499	14	20077	2013-08-04 02:26:31.415515	2013-08-04 02:26:31.415515	\N	a30a583d-5b2c-492a-b843-f0dbc7e056fd
153409	4	20675	2013-08-04 02:47:01.46553	2013-08-04 02:47:01.46553	\N	bd1f1498-4edf-46df-8c33-5bc64b525b96
137178	5	18187	2013-08-04 01:12:46.545173	2013-08-04 01:12:46.545173	\N	544727bc-e46d-44db-9bdd-24022dac836d
153412	4	20685	2013-08-04 02:47:01.603624	2013-08-04 02:47:01.603624	\N	6a9095e0-5a43-47f1-9e19-f90e750568a3
142334	10	19069	2013-08-04 01:47:16.927924	2013-08-04 01:47:16.927924	\N	8e6c4cf0-cf64-4738-971d-278e7361df8e
153413	4	20697	2013-08-04 02:47:01.644516	2013-08-04 02:47:01.644516	\N	7e15d239-324c-4945-97a0-46a3cf0f9d72
207153	9	26498	2013-08-04 20:43:38.354145	2013-08-04 20:43:38.354145	\N	6a71a3ec-bd30-4a0c-b02d-c58b81842959
169991	1	22609	2013-08-04 18:02:19.375244	2013-08-04 18:02:19.375244	\N	68a092a0-bae3-4fbf-ae9e-ddd4e0d7350e
198720	1	25294	2013-08-04 19:58:27.708286	2013-08-04 19:58:27.708286	\N	9140bad9-fd50-48b7-be1d-3edf951d6ffd
145075	2	19440	2013-08-04 01:57:51.488801	2013-08-04 01:57:51.488801	\N	e2a2036d-e6b6-43e5-ab54-ec11462d6ea6
163354	9	21601	2013-08-04 17:23:58.765002	2013-08-04 17:23:58.765002	\N	607b4b64-e547-4ef0-9006-3bec4ff6154d
153425	14	20593	2013-08-04 02:47:05.625982	2013-08-04 02:47:05.625982	\N	05168ef1-5f72-4ad2-97e7-afc72fe3a515
135003	14	17557	2013-08-04 00:50:01.343443	2013-08-04 00:50:01.343443	\N	3a5f1496-d565-47b0-af9d-5b44b352eac0
135006	14	17608	2013-08-04 00:50:01.429832	2013-08-04 00:50:01.429832	\N	f1d87093-16ce-478f-b467-df8967b92686
137232	10	18199	2013-08-04 01:13:19.641663	2013-08-04 01:13:19.641663	\N	b3cef665-7d72-418f-851d-51ddf0294499
176823	19	23340	2013-08-04 18:27:34.401179	2013-08-04 18:27:34.401179	\N	3ebc8461-bc37-4e76-9e31-838a44e5db36
145081	6	19351	2013-08-04 01:57:52.059734	2013-08-04 01:57:52.059734	\N	45f2b1b1-4bbd-429c-a33f-bf79001b419b
140052	18	18573	2013-08-04 01:30:35.230091	2013-08-04 01:30:35.230091	\N	d75de711-4b09-49ff-aa6a-0b922795e4c1
159892	2	21281	2013-08-04 17:07:48.8598	2013-08-04 17:07:48.8598	\N	38c03fa0-e4b2-4b84-873a-a8bbbd95d69e
140074	7	18742	2013-08-04 01:30:56.569722	2013-08-04 01:30:56.569722	\N	7360890f-a8a1-4ab4-a6b8-6930463b595f
140078	6	18742	2013-08-04 01:30:56.904382	2013-08-04 01:30:56.904382	\N	32d2cca9-ef23-46a5-a453-7756a9426829
140079	7	18691	2013-08-04 01:30:56.997662	2013-08-04 01:30:56.997662	\N	9416cb2b-27cb-48ff-8034-003cfcc13a69
140080	6	18703	2013-08-04 01:30:57.131418	2013-08-04 01:30:57.131418	\N	cb7a7954-491d-4f1d-9c26-f8b60a42d5cb
140082	13	18742	2013-08-04 01:30:57.264543	2013-08-04 01:30:57.264543	\N	4296d965-e943-48bf-953a-0b14f9989a63
159893	2	21274	2013-08-04 17:07:48.912408	2013-08-04 17:07:48.912408	\N	894aa524-c473-4d77-9b9d-3a8a6d0e972b
159894	2	21286	2013-08-04 17:07:48.956618	2013-08-04 17:07:48.956618	\N	b1152199-12bf-424f-9960-e7282e86277d
176856	7	23352	2013-08-04 18:27:36.913015	2013-08-04 18:27:36.913015	\N	804b9827-46f9-410a-9bcb-bb101a8ad13d
153526	12	20581	2013-08-04 02:47:49.261786	2013-08-04 02:47:49.261786	\N	b4e09f01-3259-459b-813c-96d66e66c55e
140088	8	18743	2013-08-04 01:30:59.060813	2013-08-04 01:30:59.060813	\N	ca760917-2c74-43e7-b99b-9c8750150020
140091	15	18743	2013-08-04 01:30:59.907197	2013-08-04 01:30:59.907197	\N	a32cd749-2fdf-4949-bdcc-7d2540dfacd7
159896	7	21238	2013-08-04 17:07:50.592177	2013-08-04 17:07:50.592177	\N	8f0e22c6-2f69-4aaf-a17c-8385a5b0f9ec
150670	20	20089	2013-08-04 02:28:00.41047	2013-08-04 02:28:00.41047	\N	7705b0a2-779d-499e-9be8-e44621c9f824
140101	20	18742	2013-08-04 01:31:10.017109	2013-08-04 01:31:10.017109	\N	3692cf91-be73-45d3-bf3e-d1a859d41263
140102	9	18742	2013-08-04 01:31:10.141561	2013-08-04 01:31:10.141561	\N	e2d5db48-5bf6-44b4-a732-50d2dc55902c
142379	20	19102	2013-08-04 01:47:32.638528	2013-08-04 01:47:32.638528	\N	93c74b13-6855-46c3-a87c-f063135b1534
159931	14	21303	2013-08-04 17:08:06.773132	2013-08-04 17:08:06.773132	\N	7bceb656-590c-40eb-b37b-87a22508c417
159934	14	21323	2013-08-04 17:08:07.133359	2013-08-04 17:08:07.133359	\N	1d4348d2-812f-4745-9de4-2ce4535e9bb4
159935	8	21324	2013-08-04 17:08:07.900386	2013-08-04 17:08:07.900386	\N	27465225-8e72-4c6b-89d3-8c54c7302b42
176950	9	23319	2013-08-04 18:27:53.144234	2013-08-04 18:27:53.144234	\N	cd3fd48a-72e7-4cc7-b063-eea99c224bd0
176954	3	23278	2013-08-04 18:27:53.251211	2013-08-04 18:27:53.251211	\N	bbbc07bd-6951-4d23-8bb9-bff31b8c6b45
163375	14	21628	2013-08-04 17:24:09.305029	2013-08-04 17:24:09.305029	\N	df4a100f-ef14-4482-8897-92d98fe3d450
163376	14	21700	2013-08-04 17:24:09.364379	2013-08-04 17:24:09.364379	\N	61820544-749e-4c08-a24b-c791b9a39c62
159964	12	21262	2013-08-04 17:08:20.808792	2013-08-04 17:08:20.808792	\N	c4d45e31-8501-4665-8d6a-b194fcf21bfc
163377	14	21629	2013-08-04 17:24:09.43579	2013-08-04 17:24:09.43579	\N	73a75d28-f541-4b3f-b83c-8aad804f691b
163378	14	21630	2013-08-04 17:24:09.499962	2013-08-04 17:24:09.499962	\N	bc153b2e-c0ea-41e5-9ea0-78183cfea731
163379	14	21665	2013-08-04 17:24:09.564708	2013-08-04 17:24:09.564708	\N	42e02cba-5b2f-4153-9d20-313c5dc8981d
163380	14	21699	2013-08-04 17:24:09.633462	2013-08-04 17:24:09.633462	\N	048ad48e-e678-4375-9606-8b54ecd5e867
176955	3	23239	2013-08-04 18:27:53.299598	2013-08-04 18:27:53.299598	\N	82cfbc40-4de0-4ae1-9391-f795c56f34b1
160036	16	21307	2013-08-04 17:08:55.089402	2013-08-04 17:08:55.089402	\N	e0c660b6-9581-4b8c-a3fa-21adc4c163a5
160037	17	21238	2013-08-04 17:08:55.701835	2013-08-04 17:08:55.701835	\N	a299a3e7-bdf9-47c5-a168-f4157d7e0c2e
140166	11	18703	2013-08-04 01:31:34.512721	2013-08-04 01:31:34.512721	\N	3d00c5e1-f20b-4377-84ca-6e4eda561735
170056	9	22721	2013-08-04 18:02:32.754514	2013-08-04 18:02:32.754514	\N	cca3a1c8-24ef-4376-a045-b523c31cad2f
170058	9	22685	2013-08-04 18:02:33.944266	2013-08-04 18:02:33.944266	\N	a1a42879-c167-4466-9345-6a33a32c77cf
160043	1	21262	2013-08-04 17:08:56.953587	2013-08-04 17:08:56.953587	\N	e4fbc9b8-4242-4be6-a268-ffc60a941f15
176960	19	23330	2013-08-04 18:27:55.747494	2013-08-04 18:27:55.747494	\N	89c2659e-5324-4943-beb0-d78cb07b2620
160048	14	21317	2013-08-04 17:08:57.418071	2013-08-04 17:08:57.418071	\N	a87ef930-e894-4857-9b5c-944c41e30c95
142467	10	19102	2013-08-04 01:48:07.355029	2013-08-04 01:48:07.355029	\N	5e12714a-6b6d-4700-a9fb-f3502f0109a2
140221	14	18703	2013-08-04 01:31:54.988879	2013-08-04 01:31:54.988879	\N	b361fb66-e9fd-4e2f-82ed-bbcb4798dede
140222	3	18703	2013-08-04 01:31:55.164338	2013-08-04 01:31:55.164338	\N	8fa4bb7b-7224-4d7f-b973-9aac30319021
140223	3	18691	2013-08-04 01:31:55.195259	2013-08-04 01:31:55.195259	\N	cfb7d684-814d-48fa-9006-fc2260309f5b
140224	3	18742	2013-08-04 01:31:55.235642	2013-08-04 01:31:55.235642	\N	1a20b8c7-e2d1-4398-8c87-9a3c208ecc79
198746	4	25306	2013-08-04 19:58:34.755286	2013-08-04 19:58:34.755286	\N	f528769c-5264-4071-a766-c41f3ccc6bab
137471	4	18325	2013-08-04 01:15:50.507916	2013-08-04 01:15:50.507916	\N	076ad0f3-d98f-4150-b9ea-6013e072c2e2
137472	4	18313	2013-08-04 01:15:50.564474	2013-08-04 01:15:50.564474	\N	5ae83847-0828-4945-bb95-1abd512aa8d0
137473	4	18364	2013-08-04 01:15:50.617832	2013-08-04 01:15:50.617832	\N	6b9a1978-16ea-4b3f-8817-6d99c6f58ba7
137474	8	18325	2013-08-04 01:15:50.795386	2013-08-04 01:15:50.795386	\N	603355c7-8fa2-4969-9a9f-55bfeb7b9d5b
159897	4	21323	2013-08-04 17:07:50.983409	2013-08-04 17:07:50.983409	\N	ca101a21-68ed-469e-99b6-a5f527fa7235
150469	9	20129	2013-08-04 02:26:17.446196	2013-08-04 02:26:17.446196	\N	dfa709b2-6b79-4e41-901a-a8093eff814b
159898	4	21309	2013-08-04 17:07:51.031815	2013-08-04 17:07:51.031815	\N	52a7550c-d778-44cf-b51f-418ab7ca1199
180239	10	23530	2013-08-04 18:38:58.378831	2013-08-04 18:38:58.378831	\N	dca1ff49-8a7d-4673-a67f-abe6c3d5e925
159915	13	21262	2013-08-04 17:07:58.592773	2013-08-04 17:07:58.592773	\N	c1db6e46-8c5c-44eb-9dcf-fb13ae92023d
134857	2	17646	2013-08-04 00:48:50.77516	2013-08-04 00:48:50.77516	\N	ffc1c282-9b4f-4768-b1bd-acfc72d1cac4
159917	2	21314	2013-08-04 17:07:59.791573	2013-08-04 17:07:59.791573	\N	d439221e-ab83-4d7c-9872-aca9469adc96
159918	2	21335	2013-08-04 17:07:59.840187	2013-08-04 17:07:59.840187	\N	934f0395-acf4-4c61-a6a5-4c921002b3cf
169983	11	22690	2013-08-04 18:02:18.509822	2013-08-04 18:02:18.509822	\N	3a333576-92d7-4791-90c5-13e58160516b
159920	2	21318	2013-08-04 17:07:59.925242	2013-08-04 17:07:59.925242	\N	852c78d5-98b0-415f-bce5-cdedd9105e8c
159921	2	21336	2013-08-04 17:07:59.985399	2013-08-04 17:07:59.985399	\N	225c3676-0c10-4f54-81cd-17e6ff3a066d
159922	2	21320	2013-08-04 17:08:00.035531	2013-08-04 17:08:00.035531	\N	4ffe34ef-71b5-4fa4-86ad-a335a4fb7eab
140053	13	18703	2013-08-04 01:30:52.338785	2013-08-04 01:30:52.338785	\N	2235b15f-482b-454a-b730-c9badacd58f5
140054	4	18703	2013-08-04 01:30:52.64149	2013-08-04 01:30:52.64149	\N	3312fede-ed6d-4a1f-b27e-bb87addfcd27
140056	4	18691	2013-08-04 01:30:52.679213	2013-08-04 01:30:52.679213	\N	f4b5687e-8f5b-41ae-b7ca-55a5a0b8f5db
140057	4	18742	2013-08-04 01:30:52.740277	2013-08-04 01:30:52.740277	\N	e3ef98ac-695f-4ea9-a965-f244aa4a368e
140058	4	18743	2013-08-04 01:30:52.969573	2013-08-04 01:30:52.969573	\N	e31cb868-1979-4039-b87e-921445c1915e
140060	8	18691	2013-08-04 01:30:53.243096	2013-08-04 01:30:53.243096	\N	f6c26def-e439-484f-a7dd-e43a1c241d37
140062	8	18742	2013-08-04 01:30:55.021237	2013-08-04 01:30:55.021237	\N	1bacb71d-b4d7-4803-90fe-8967ce02efe1
159954	8	21314	2013-08-04 17:08:16.556059	2013-08-04 17:08:16.556059	\N	7ac4309c-f7ab-4b33-8bb8-e6cc6590e7b6
140133	19	18703	2013-08-04 01:31:25.535827	2013-08-04 01:31:25.535827	\N	c3df9c24-97fc-43d8-b8b0-b135c463356f
159955	4	21263	2013-08-04 17:08:16.901889	2013-08-04 17:08:16.901889	\N	3d5c0816-f43f-44ca-82af-3acfd0f4d3b4
140142	10	18703	2013-08-04 01:31:28.60369	2013-08-04 01:31:28.60369	\N	f86b4641-da53-4d3f-aad4-67e7f8d5116c
140144	10	18742	2013-08-04 01:31:28.738723	2013-08-04 01:31:28.738723	\N	c9cd9d9a-4e4f-4b6a-8fa4-29080af25e6e
140145	10	18743	2013-08-04 01:31:28.855069	2013-08-04 01:31:28.855069	\N	4481a04c-6828-433d-b1e2-4f99339fef42
180242	10	23491	2013-08-04 18:38:58.493334	2013-08-04 18:38:58.493334	\N	cb832847-17be-4df7-82c2-399c54500dac
134936	3	17569	2013-08-04 00:49:26.503634	2013-08-04 00:49:26.503634	\N	bf3dae3e-d467-4859-83a5-cf6bd664bbeb
147735	4	19683	2013-08-04 02:07:56.900059	2013-08-04 02:07:56.900059	\N	91f6b506-715e-4cca-b20e-f43476067451
187346	13	24160	2013-08-04 19:03:36.847897	2013-08-04 19:03:36.847897	\N	5090df63-63ef-4ea1-a208-195de8d47186
163221	18	21389	2013-08-04 17:23:35.879323	2013-08-04 17:23:35.879323	\N	b88c533e-2244-4e27-bcfa-3f96f1845903
187368	2	24174	2013-08-04 19:03:41.983224	2013-08-04 19:03:41.983224	\N	56266fd0-949d-462a-bfb1-7349aeff50a6
140176	19	18691	2013-08-04 01:31:37.911502	2013-08-04 01:31:37.911502	\N	061a2165-3e63-4d95-9e92-73d98b006cae
150626	6	20089	2013-08-04 02:27:43.365617	2013-08-04 02:27:43.365617	\N	b9a76d45-acc8-48b1-b455-37cfcc85e7c9
163288	18	21641	2013-08-04 17:23:39.947281	2013-08-04 17:23:39.947281	\N	85ee6fa9-c943-415f-8fa1-0d4bd1118aa5
145178	16	19351	2013-08-04 01:57:58.864807	2013-08-04 01:57:58.864807	\N	2e48538b-29f3-4b60-8cfb-96fc34a4106a
137431	17	18238	2013-08-04 01:14:57.765525	2013-08-04 01:14:57.765525	\N	9f7f7433-16b4-4665-8cb6-0f506d4681df
145183	16	19354	2013-08-04 01:57:59.144003	2013-08-04 01:57:59.144003	\N	a31634ce-d10e-4c60-be19-fa4569859a30
140196	17	18691	2013-08-04 01:31:43.81815	2013-08-04 01:31:43.81815	\N	f761541b-0d1c-4a60-8e75-c5158beced4f
163304	14	21677	2013-08-04 17:23:43.210134	2013-08-04 17:23:43.210134	\N	0f2ecef9-59d9-437e-8403-c13dfc274c41
176849	9	23278	2013-08-04 18:27:36.524698	2013-08-04 18:27:36.524698	\N	c3bccf01-8390-41a0-b159-f2462c7a424f
170029	7	22700	2013-08-04 18:02:24.945034	2013-08-04 18:02:24.945034	\N	e34a9365-6dbd-493e-aeca-ab527168d2df
160135	9	21303	2013-08-04 17:09:30.681314	2013-08-04 17:09:30.681314	\N	f5220b8f-df3f-4963-a8eb-0589f0bd9d12
150636	10	20089	2013-08-04 02:27:47.783348	2013-08-04 02:27:47.783348	\N	14dc5e62-986e-4262-8177-cc6818da0e3e
150637	10	20128	2013-08-04 02:27:47.959195	2013-08-04 02:27:47.959195	\N	7881c446-71e5-4dec-bba5-01f4f992a213
137476	8	18313	2013-08-04 01:15:50.949889	2013-08-04 01:15:50.949889	\N	8825a07e-10e4-45db-bbfa-85f554ee660c
137477	8	18364	2013-08-04 01:15:50.969172	2013-08-04 01:15:50.969172	\N	bc2f9b3a-3eea-47c9-8f54-57f00b8d6950
137478	2	18313	2013-08-04 01:15:51.624893	2013-08-04 01:15:51.624893	\N	fc9a9b8a-8990-4137-adfb-3d9307c486e4
160136	9	21317	2013-08-04 17:09:30.908142	2013-08-04 17:09:30.908142	\N	bec0eda5-e4cd-4a89-b64a-74169b9bb21d
137480	2	18402	2013-08-04 01:15:51.814536	2013-08-04 01:15:51.814536	\N	0ddd6ce8-fd07-448b-ac8e-e7424239078e
137481	2	18406	2013-08-04 01:15:51.873476	2013-08-04 01:15:51.873476	\N	47568158-5561-4f13-8467-4c0ed3c18a18
160137	9	21309	2013-08-04 17:09:31.176014	2013-08-04 17:09:31.176014	\N	a229e1b6-cc75-40a1-8e38-da92a823f011
160138	9	21299	2013-08-04 17:09:31.34617	2013-08-04 17:09:31.34617	\N	0a86dfb4-0b7d-41b7-87cf-080161446fb2
160139	9	21335	2013-08-04 17:09:31.509535	2013-08-04 17:09:31.509535	\N	5f170ca8-bb8a-4cf3-b235-5a106c05b4dd
163421	2	21670	2013-08-04 17:24:22.569059	2013-08-04 17:24:22.569059	\N	04c12402-f10b-46bc-ae9d-69c4f7ac1d77
137488	6	18365	2013-08-04 01:15:55.686594	2013-08-04 01:15:55.686594	\N	3ae434d8-5cba-40db-9c7d-99dde8b1174d
166618	14	22189	2013-08-04 17:45:23.013742	2013-08-04 17:45:23.013742	\N	fb546f8b-2836-4d11-9d3d-05ede6b1c7a2
198799	19	25255	2013-08-04 19:58:47.386416	2013-08-04 19:58:47.386416	\N	fc883d21-03a8-47fe-9a2c-00045d5764dc
198800	11	25368	2013-08-04 19:58:47.447602	2013-08-04 19:58:47.447602	\N	b2949b20-5eb1-44dc-9273-7658c969f6e8
198815	9	25255	2013-08-04 19:58:52.137874	2013-08-04 19:58:52.137874	\N	9939db81-4a5e-4a8a-87a0-1847ead7de76
207175	14	26459	2013-08-04 20:43:48.224894	2013-08-04 20:43:48.224894	\N	792e2f31-4a5a-41ad-9f6e-9780a1ace986
137495	2	18364	2013-08-04 01:15:56.951096	2013-08-04 01:15:56.951096	\N	54ab36ba-30a6-482b-8f14-e9d13912d349
137496	2	18418	2013-08-04 01:15:57.029681	2013-08-04 01:15:57.029681	\N	8db57685-467d-4ec7-8918-aa45ebb640c4
137497	2	18438	2013-08-04 01:15:57.097374	2013-08-04 01:15:57.097374	\N	fa4c86b5-f1f1-49a9-8d7f-5c51ca991b26
137498	2	18422	2013-08-04 01:15:57.165996	2013-08-04 01:15:57.165996	\N	55ecac84-4912-4e3f-9b98-aa7e01a487b6
137499	2	18420	2013-08-04 01:15:57.226194	2013-08-04 01:15:57.226194	\N	d15a6977-de71-4a5d-a4f5-65bc65de7a98
137500	14	18325	2013-08-04 01:15:57.712285	2013-08-04 01:15:57.712285	\N	f3b66358-aa17-4c16-8789-636564df3de1
198822	19	25270	2013-08-04 19:58:53.490973	2013-08-04 19:58:53.490973	\N	1781e982-4656-4c69-8732-cc1d363fea74
170046	19	22710	2013-08-04 18:02:29.989012	2013-08-04 18:02:29.989012	\N	d73350cf-7ca9-464a-9435-b6968c76b25c
198835	6	25294	2013-08-04 19:59:00.201833	2013-08-04 19:59:00.201833	\N	8d8b3eac-826e-48f2-bb14-cc36e223dd0d
163444	1	21714	2013-08-04 17:24:31.200339	2013-08-04 17:24:31.200339	\N	608b4870-733f-4c25-88aa-3163bc7d7c3f
137509	11	18325	2013-08-04 01:16:01.110651	2013-08-04 01:16:01.110651	\N	07af2786-31e0-4a49-957c-ff7c72cd6bc7
150785	16	20089	2013-08-04 02:28:54.924971	2013-08-04 02:28:54.924971	\N	d3197ad0-02de-4313-9866-392c935a9cee
137511	11	18313	2013-08-04 01:16:01.610576	2013-08-04 01:16:01.610576	\N	d774cb42-e190-4153-9db7-36647d183eee
150787	16	20128	2013-08-04 02:28:55.52372	2013-08-04 02:28:55.52372	\N	38987651-d1cb-4e51-9ea4-23f8b8962f1d
194939	14	24695	2013-08-04 19:36:05.431411	2013-08-04 19:36:05.431411	\N	e447c1f8-e32a-4b20-8a33-3665445732be
166741	8	22261	2013-08-04 17:46:56.612658	2013-08-04 17:46:56.612658	\N	705ad913-a8b8-486f-b6cc-ac14ef9916dd
187455	1	24233	2013-08-04 19:03:56.626734	2013-08-04 19:03:56.626734	\N	675198e2-c730-495c-803e-a1c563ff79c4
194940	14	24685	2013-08-04 19:36:05.475243	2013-08-04 19:36:05.475243	\N	0b3460fd-5ca4-4ea5-b771-87ddb4b832e2
166776	1	22261	2013-08-04 17:47:03.869106	2013-08-04 17:47:03.869106	\N	972890dc-6be4-40c2-8415-302dbf263803
166794	13	22246	2013-08-04 17:47:08.432915	2013-08-04 17:47:08.432915	\N	850ecd60-45ce-4cd9-a093-7f3e82215747
166963	1	22325	2013-08-04 17:48:15.405082	2013-08-04 17:48:15.405082	\N	3d2825af-3d0f-4016-ad0e-904ff8e5d0e4
180403	14	23544	2013-08-04 18:39:14.700289	2013-08-04 18:39:14.700289	\N	78e8170c-152f-4679-99aa-485d6ea127aa
137522	6	18364	2013-08-04 01:16:04.73911	2013-08-04 01:16:04.73911	\N	a0b4d9fd-16ee-4709-b061-0caa64daefd8
137523	11	18364	2013-08-04 01:16:05.062196	2013-08-04 01:16:05.062196	\N	d2c6cd04-1b7a-4956-b31e-b6b0ae1155a4
170071	1	22703	2013-08-04 18:02:36.279951	2013-08-04 18:02:36.279951	\N	e524c75b-423f-417a-8769-e5f885b032d7
137525	6	18325	2013-08-04 01:16:06.573068	2013-08-04 01:16:06.573068	\N	f3d2925a-244a-4cee-8bd1-07756e98765c
180405	14	23518	2013-08-04 18:39:14.76782	2013-08-04 18:39:14.76782	\N	40512275-487d-4b80-9a2c-e5791d36c55a
180407	14	23590	2013-08-04 18:39:14.851365	2013-08-04 18:39:14.851365	\N	4015ea32-7408-4b5c-9c84-79d454dd76e8
160244	19	21223	2013-08-04 17:10:07.232743	2013-08-04 17:10:07.232743	\N	1644058f-bc6c-4ef7-aabf-352b51ff2785
180410	14	23519	2013-08-04 18:39:14.920719	2013-08-04 18:39:14.920719	\N	4a66ac7b-d40f-4bca-839b-a67b78267f1e
170093	9	22703	2013-08-04 18:02:42.200619	2013-08-04 18:02:42.200619	\N	95ba3830-4ee4-44ff-8c57-6bcb1aef40b8
176887	2	23352	2013-08-04 18:27:39.47525	2013-08-04 18:27:39.47525	\N	eaa024b2-480c-4889-ae51-bb8800d353c8
137578	1	18365	2013-08-04 01:16:21.668342	2013-08-04 01:16:21.668342	\N	1d177a8d-35de-4152-9ffa-927b1f8458f6
145118	10	19321	2013-08-04 01:57:54.572281	2013-08-04 01:57:54.572281	\N	5ae691a2-8fe6-4199-afd2-54edbb7c081c
170011	11	22624	2013-08-04 18:02:21.385821	2013-08-04 18:02:21.385821	\N	ab9f3807-f366-4799-9aee-a2b4e5664d98
187357	1	24234	2013-08-04 19:03:38.015208	2013-08-04 19:03:38.015208	\N	69197218-0b06-40ec-bca4-2407327570cc
159978	12	21263	2013-08-04 17:08:29.948003	2013-08-04 17:08:29.948003	\N	095e7b33-f497-466e-802c-be71efc56089
142372	3	19081	2013-08-04 01:47:30.762119	2013-08-04 01:47:30.762119	\N	58702231-09e1-4276-8d03-4c918e6e22f1
137612	17	18364	2013-08-04 01:16:31.095011	2013-08-04 01:16:31.095011	\N	abfdfa7e-3cbd-4eda-97e3-cc3ae2898ca7
142373	3	19120	2013-08-04 01:47:30.829644	2013-08-04 01:47:30.829644	\N	88a2d88b-1924-4bb8-a019-7b92e0727aed
137653	12	18313	2013-08-04 01:16:47.03768	2013-08-04 01:16:47.03768	\N	10314573-cb1a-408e-913b-b3149aa4055e
142374	3	19102	2013-08-04 01:47:30.877239	2013-08-04 01:47:30.877239	\N	664826c1-134b-40d0-a360-5ac0161eb01d
142375	3	19069	2013-08-04 01:47:30.931388	2013-08-04 01:47:30.931388	\N	e8466856-bccd-4837-8044-6538b1714d89
137671	9	18325	2013-08-04 01:16:50.657347	2013-08-04 01:16:50.657347	\N	8856e7ea-8b90-4969-860e-370383118a20
137673	9	18313	2013-08-04 01:16:50.826852	2013-08-04 01:16:50.826852	\N	9f7c28d0-80f2-44b1-a247-717dc7fad503
170018	11	22648	2013-08-04 18:02:23.304924	2013-08-04 18:02:23.304924	\N	493c33d6-9143-44b9-904d-55bfec097a49
137684	4	18365	2013-08-04 01:16:52.992466	2013-08-04 01:16:52.992466	\N	f79a9a42-11ae-417d-838e-45097bdfc7ed
180306	10	23592	2013-08-04 18:39:03.725369	2013-08-04 18:39:03.725369	\N	3c964232-3c15-4e57-9ae5-d438d92fbbf5
150550	4	20193	2013-08-04 02:27:01.017546	2013-08-04 02:27:01.017546	\N	3cb90a57-a5eb-4ade-8052-a4be9ffdcd81
159991	4	21298	2013-08-04 17:08:36.95942	2013-08-04 17:08:36.95942	\N	c400d981-b039-4fbb-8d64-1aa72f68400e
159992	4	21300	2013-08-04 17:08:37.049147	2013-08-04 17:08:37.049147	\N	a6c1d1a9-4719-4829-8960-d8991267873c
159993	4	21324	2013-08-04 17:08:37.100425	2013-08-04 17:08:37.100425	\N	9b83c9c0-7739-4c10-9e6e-0f4208852449
159994	4	21304	2013-08-04 17:08:37.136771	2013-08-04 17:08:37.136771	\N	3c962a80-2c3b-4afe-a6c4-e312fe5b84a3
150563	10	20077	2013-08-04 02:27:07.40643	2013-08-04 02:27:07.40643	\N	b870a12c-2d16-4ff1-b474-7f6842c8af57
159995	4	21310	2013-08-04 17:08:37.17578	2013-08-04 17:08:37.17578	\N	7285a4e4-3e96-48e6-86f8-19e6f48a3c04
137723	10	18313	2013-08-04 01:17:03.306836	2013-08-04 01:17:03.306836	\N	4ee1e411-3711-4228-b87a-5d0e0f95ec36
137728	7	18365	2013-08-04 01:17:05.226166	2013-08-04 01:17:05.226166	\N	be9ba30c-5138-4ac0-80f5-ab88201b53f5
159996	4	21312	2013-08-04 17:08:37.22978	2013-08-04 17:08:37.22978	\N	47cb0632-83d9-4be8-98c6-e66d521cd1d3
159997	4	21314	2013-08-04 17:08:37.284054	2013-08-04 17:08:37.284054	\N	cb88e29c-0e5d-4a4a-b0d3-27b4d94c81de
159998	4	21318	2013-08-04 17:08:37.342828	2013-08-04 17:08:37.342828	\N	fe9f8cf9-29a6-43d3-86f4-6c8422016a49
159999	4	21336	2013-08-04 17:08:37.385751	2013-08-04 17:08:37.385751	\N	8da5b1f6-7b2d-423b-aa10-40c37aeac648
160000	4	21330	2013-08-04 17:08:37.439652	2013-08-04 17:08:37.439652	\N	4b5d2502-f739-4508-b899-2b0734f4d14e
137746	7	18313	2013-08-04 01:17:08.753372	2013-08-04 01:17:08.753372	\N	619b1f2e-3b3e-4e80-9b02-c02e42f575cf
170045	14	22685	2013-08-04 18:02:29.389889	2013-08-04 18:02:29.389889	\N	10e1f977-8737-425f-a24e-adf67bd7f94f
170048	14	22689	2013-08-04 18:02:30.457473	2013-08-04 18:02:30.457473	\N	42ec23ab-4d7a-43e8-a341-f0850e9f6f31
176906	14	23333	2013-08-04 18:27:45.199249	2013-08-04 18:27:45.199249	\N	146f3cc5-1240-4d42-8e7b-34a83bb36eb8
160004	2	21288	2013-08-04 17:08:41.562747	2013-08-04 17:08:41.562747	\N	03705774-5806-47e3-82fa-195d5d186385
176907	14	23315	2013-08-04 18:27:45.513948	2013-08-04 18:27:45.513948	\N	e6d563cc-4695-4b46-9484-70404854bcce
170053	14	22703	2013-08-04 18:02:31.661929	2013-08-04 18:02:31.661929	\N	5d3df7c0-e5d1-46e8-8c79-3bc1cf72bce8
142532	10	19081	2013-08-04 01:48:27.657858	2013-08-04 01:48:27.657858	\N	ae18fea5-60bf-4f31-a9b2-ae6f884d7b40
142534	10	19120	2013-08-04 01:48:27.862861	2013-08-04 01:48:27.862861	\N	b45e1ce4-55ff-4c18-b363-d123d8579167
187392	2	24190	2013-08-04 19:03:46.436216	2013-08-04 19:03:46.436216	\N	b3d61ad6-47d9-4e27-ac6a-741386f67433
176925	9	23333	2013-08-04 18:27:48.943709	2013-08-04 18:27:48.943709	\N	5db02582-8cff-47f9-a3a5-aa29c7cfd938
187393	2	24222	2013-08-04 19:03:46.475035	2013-08-04 19:03:46.475035	\N	b61c31ec-c10d-46fa-ab9f-f625b51047ca
160039	1	21238	2013-08-04 17:08:56.042246	2013-08-04 17:08:56.042246	\N	23180530-0d18-4f77-8787-e2af31caf6db
187394	2	24198	2013-08-04 19:03:46.51963	2013-08-04 19:03:46.51963	\N	3631db5e-0efb-4d48-9aef-51aa13832bbf
140075	7	18743	2013-08-04 01:30:56.701897	2013-08-04 01:30:56.701897	\N	7b129c54-c0ca-4448-b2be-ea3762b184f2
173431	19	22952	2013-08-04 18:15:01.331745	2013-08-04 18:15:01.331745	\N	fc96dc59-61b6-42c2-ad0e-2cc97e5c9a3d
140077	7	18703	2013-08-04 01:30:56.904046	2013-08-04 01:30:56.904046	\N	73f49810-af0b-4ec0-a9d1-69114098fddf
187396	9	24215	2013-08-04 19:03:47.446784	2013-08-04 19:03:47.446784	\N	756ccec1-a892-4c4a-b1ac-48bd7f18dd23
140089	9	18703	2013-08-04 01:30:59.682694	2013-08-04 01:30:59.682694	\N	2d0282c9-0a8f-4585-9999-9175865c4697
140090	9	18691	2013-08-04 01:30:59.901975	2013-08-04 01:30:59.901975	\N	51aa2057-fd4d-4a27-afdd-4a4dc6866ed8
140094	6	18691	2013-08-04 01:31:04.916278	2013-08-04 01:31:04.916278	\N	0aaff968-3a53-4a48-bab5-b47ef3212f0c
176932	8	23254	2013-08-04 18:27:51.477421	2013-08-04 18:27:51.477421	\N	a7b0da5a-b8e7-4a1e-871a-2a391300a8bc
137920	16	18325	2013-08-04 01:18:02.963295	2013-08-04 01:18:02.963295	\N	53a1055a-a483-4bfd-b207-0d8a56057be6
180334	11	23604	2013-08-04 18:39:05.746089	2013-08-04 18:39:05.746089	\N	dd4a73a2-6f72-476c-89f7-8dd8ba5f45d2
163280	14	21658	2013-08-04 17:23:38.791351	2013-08-04 17:23:38.791351	\N	f94b791a-3f4e-4354-9f71-5e76f2d5349c
137925	16	18364	2013-08-04 01:18:04.269422	2013-08-04 01:18:04.269422	\N	1105c533-4bb1-43df-b46d-8a8e14bf0cac
163281	14	21652	2013-08-04 17:23:38.820128	2013-08-04 17:23:38.820128	\N	a0cb1e1f-8cdc-4e13-94dd-3c5588a9d7bd
153721	3	20608	2013-08-04 02:48:38.738311	2013-08-04 02:48:38.738311	\N	8b28e4cd-b652-4ebb-9ca3-d60558acb196
153722	3	20581	2013-08-04 02:48:38.826834	2013-08-04 02:48:38.826834	\N	8bdae51e-fa88-4d41-b467-f4256c8b54b0
153723	3	20632	2013-08-04 02:48:38.869222	2013-08-04 02:48:38.869222	\N	dfd46716-e89b-4f73-b4ce-1791ae0fc73b
153724	3	20593	2013-08-04 02:48:38.928844	2013-08-04 02:48:38.928844	\N	a6834f0f-4f3e-408d-8dd3-5874398d96eb
163282	14	21670	2013-08-04 17:23:38.84415	2013-08-04 17:23:38.84415	\N	9ef32638-eae8-441b-bf7d-061b2a079d7f
194839	3	24640	2013-08-04 19:35:29.226368	2013-08-04 19:35:29.226368	\N	a3dbbb71-82e8-4cc5-ae82-7467d08a0ab3
187430	14	24229	2013-08-04 19:03:53.095603	2013-08-04 19:03:53.095603	\N	47bf3836-76bc-4a18-9503-112350fe5ed1
187431	14	24187	2013-08-04 19:03:53.129461	2013-08-04 19:03:53.129461	\N	c9b37e41-032c-4b62-8fa7-5b982d1f82eb
194840	3	24625	2013-08-04 19:35:29.262747	2013-08-04 19:35:29.262747	\N	2dc917b6-d4d8-48c3-bb3e-6bd33afcf390
207192	10	26490	2013-08-04 20:43:54.220944	2013-08-04 20:43:54.220944	\N	5002ac79-138d-4288-adc0-e5e2bcf193d9
187436	14	24175	2013-08-04 19:03:53.237724	2013-08-04 19:03:53.237724	\N	1788a2f0-0ba5-4c87-b03e-dc3d62aa9171
176961	4	23239	2013-08-04 18:27:55.808441	2013-08-04 18:27:55.808441	\N	af7ffe6f-80e0-4886-bff7-71a7a0f69edd
176962	4	23254	2013-08-04 18:27:55.865955	2013-08-04 18:27:55.865955	\N	15991153-8c12-4417-b2db-3fe438f9bac7
176963	4	23278	2013-08-04 18:27:55.916832	2013-08-04 18:27:55.916832	\N	96e56a37-b144-4d95-b82a-2c35e601c329
160106	14	21250	2013-08-04 17:09:19.062146	2013-08-04 17:09:19.062146	\N	0e0fd0ab-64b3-4eda-8892-d7edc86be089
160107	14	21322	2013-08-04 17:09:19.097696	2013-08-04 17:09:19.097696	\N	73f453b2-9d5a-4303-a86b-fe04be5dea08
160108	14	21251	2013-08-04 17:09:19.122372	2013-08-04 17:09:19.122372	\N	06775712-8e6c-4041-a91b-a20920c77b83
160109	14	21252	2013-08-04 17:09:19.147794	2013-08-04 17:09:19.147794	\N	efef1057-bdbf-45f0-a3c9-ce13e64b6362
160110	14	21287	2013-08-04 17:09:19.171907	2013-08-04 17:09:19.171907	\N	304d0ae8-4142-4105-9831-d46f85e6253c
160111	14	21321	2013-08-04 17:09:19.197195	2013-08-04 17:09:19.197195	\N	f5226237-7725-4756-967e-89cabc2a5a35
166736	8	22270	2013-08-04 17:46:55.864063	2013-08-04 17:46:55.864063	\N	01b1f5f3-bead-481d-97f6-fd81513287e0
150986	7	20255	2013-08-04 02:30:54.02331	2013-08-04 02:30:54.02331	\N	d4f06dfc-bc16-45e2-a7e3-83fe13682a5d
151012	4	20215	2013-08-04 02:31:03.521396	2013-08-04 02:31:03.521396	\N	af0c2403-da24-48e6-b4b2-2c0435e17bc1
151016	4	20203	2013-08-04 02:31:03.631385	2013-08-04 02:31:03.631385	\N	331c3ede-1863-454d-841b-9d62d5823276
151019	4	20254	2013-08-04 02:31:03.745191	2013-08-04 02:31:03.745191	\N	a9a8a781-aef8-4648-88ff-f80067451563
151024	15	20255	2013-08-04 02:31:06.648816	2013-08-04 02:31:06.648816	\N	908ff9ef-7a7b-4253-93ba-1110a7d33fa5
151026	7	20254	2013-08-04 02:31:06.735465	2013-08-04 02:31:06.735465	\N	622e45d3-74fe-4b6d-82ec-73f042d3ce43
160141	10	21223	2013-08-04 17:09:35.212804	2013-08-04 17:09:35.212804	\N	2593d3af-2faa-47f1-b2e6-ea89aed20837
151075	20	20254	2013-08-04 02:31:31.108749	2013-08-04 02:31:31.108749	\N	7263599d-dab9-49a0-96ba-ae9b517ce010
166746	8	22316	2013-08-04 17:46:58.512532	2013-08-04 17:46:58.512532	\N	8a7b8a87-420c-40c4-829e-b15c147afd29
148091	8	19699	2013-08-04 02:10:54.026949	2013-08-04 02:10:54.026949	\N	5ba1bb96-18fb-4e9f-b5a6-82119ed2cbae
148092	7	19729	2013-08-04 02:10:56.231411	2013-08-04 02:10:56.231411	\N	39f2520a-f8d8-45b2-be95-d844f48a41ce
148094	7	19699	2013-08-04 02:10:56.413283	2013-08-04 02:10:56.413283	\N	8282950e-185f-4e35-91b0-8072d62801b0
139963	14	18565	2013-08-04 01:29:43.983474	2013-08-04 01:29:43.983474	\N	511b3396-606b-4daf-9cc6-317ef215f6ae
153518	16	20669	2013-08-04 02:47:46.240934	2013-08-04 02:47:46.240934	\N	d9379f19-4622-4eaf-ac5f-73aada18ebc7
176896	1	23320	2013-08-04 18:27:43.648109	2013-08-04 18:27:43.648109	\N	6eea92f3-51e2-4429-8aa4-0d1b0d083825
145189	16	19372	2013-08-04 01:57:59.631109	2013-08-04 01:57:59.631109	\N	670f5f7d-a1c7-4b37-ac70-2b4f2fd15fa2
137547	2	18325	2013-08-04 01:16:12.346398	2013-08-04 01:16:12.346398	\N	227315d9-7f8d-4a97-89ed-49948068cd4a
173433	4	22962	2013-08-04 18:15:01.450228	2013-08-04 18:15:01.450228	\N	10c3c4db-364d-42a0-9d32-da2fd46dd035
207199	2	26453	2013-08-04 20:43:56.577603	2013-08-04 20:43:56.577603	\N	a515c328-7d0c-437a-87d7-3833bce35630
166596	4	22194	2013-08-04 17:45:16.710423	2013-08-04 17:45:16.710423	\N	bdec1a6f-e2f1-45b7-9ddf-419c7ee3ac0a
187425	19	24218	2013-08-04 19:03:51.632003	2013-08-04 19:03:51.632003	\N	45e1cd45-4986-4b91-b8dd-12229a6afa60
176903	9	23340	2013-08-04 18:27:44.740874	2013-08-04 18:27:44.740874	\N	992704a1-9268-428c-a800-d9814970c62e
137602	15	18365	2013-08-04 01:16:28.992079	2013-08-04 01:16:28.992079	\N	ad4bd9e4-8b08-4599-995f-7795d8d9b53a
137606	19	18365	2013-08-04 01:16:29.150725	2013-08-04 01:16:29.150725	\N	e2875110-f413-4634-bd05-e49888cf966f
147937	14	19573	2013-08-04 02:09:16.029367	2013-08-04 02:09:16.029367	\N	d90d944f-e7c3-4b0b-bb12-2f0ee4914a26
207201	19	26389	2013-08-04 20:43:57.875791	2013-08-04 20:43:57.875791	\N	1af3caef-19e1-4a57-82c7-c56c32d7c9b0
207203	1	26385	2013-08-04 20:43:59.564401	2013-08-04 20:43:59.564401	\N	396043aa-6709-4295-be2c-0cab43d25637
142617	19	19121	2013-08-04 01:48:58.908389	2013-08-04 01:48:58.908389	\N	8900eaf4-9c7a-4600-b41b-5887c500494f
180308	10	23588	2013-08-04 18:39:03.858381	2013-08-04 18:39:03.858381	\N	d70e0b1f-ff82-4cc9-8e61-0786c9038227
198812	2	25257	2013-08-04 19:58:49.271296	2013-08-04 19:58:49.271296	\N	30453b46-80ea-4bde-85c6-0241b1296e39
207212	7	26450	2013-08-04 20:44:04.516844	2013-08-04 20:44:04.516844	\N	06e6eb05-420e-43f1-a1fb-41ad74cc5d35
142648	2	19069	2013-08-04 01:49:11.480711	2013-08-04 01:49:11.480711	\N	4853c136-a1c7-4d40-b050-fb30adc79593
160095	9	21262	2013-08-04 17:09:17.023602	2013-08-04 17:09:17.023602	\N	841e3844-5011-4dfe-b273-9802623e6273
163353	9	21640	2013-08-04 17:23:58.449226	2013-08-04 17:23:58.449226	\N	33062434-d07c-4669-b1f9-6f9d685a6d37
160114	3	21223	2013-08-04 17:09:21.999041	2013-08-04 17:09:21.999041	\N	3304080d-9036-4a9b-b03e-e177845c4fd6
160115	3	21238	2013-08-04 17:09:22.127019	2013-08-04 17:09:22.127019	\N	489109c9-b907-479d-87f8-03571a87c178
137638	17	18365	2013-08-04 01:16:41.938963	2013-08-04 01:16:41.938963	\N	04435496-d152-4d3e-9b95-a91601e4e6c0
160116	3	21262	2013-08-04 17:09:22.152312	2013-08-04 17:09:22.152312	\N	5050a821-f2ed-48cb-a817-10656b6d0fb4
137652	12	18325	2013-08-04 01:16:46.686257	2013-08-04 01:16:46.686257	\N	b1c0c00c-393f-4c73-ac0c-7433a729d334
137662	19	18325	2013-08-04 01:16:49.235378	2013-08-04 01:16:49.235378	\N	7978b0ca-8432-4343-b7f6-a27520ed7e97
187444	10	24222	2013-08-04 19:03:53.994383	2013-08-04 19:03:53.994383	\N	7a4e0a5b-6d90-4d66-ba56-3a3d8271d4f1
160121	2	21305	2013-08-04 17:09:23.335614	2013-08-04 17:09:23.335614	\N	1a14cf61-c7fb-4012-88c8-e1965d9ae225
137698	19	18364	2013-08-04 01:16:57.612655	2013-08-04 01:16:57.612655	\N	9405d42b-c03a-4ca7-8f4a-8c658aa9c4bd
140114	9	18743	2013-08-04 01:31:17.397953	2013-08-04 01:31:17.397953	\N	d9171184-2580-41f1-8288-ee472e269194
187451	2	24234	2013-08-04 19:03:54.966423	2013-08-04 19:03:54.966423	\N	4a647ff0-e9ca-4577-ad8b-425fc2dfde19
187452	2	24201	2013-08-04 19:03:55.012397	2013-08-04 19:03:55.012397	\N	cdb9a9dc-e168-4255-b12d-e144bf54f8c0
160127	17	21263	2013-08-04 17:09:25.413653	2013-08-04 17:09:25.413653	\N	da7e967c-7efb-4b7d-be9a-f81e66aabf49
137710	5	18313	2013-08-04 01:16:59.759974	2013-08-04 01:16:59.759974	\N	b2bbbb82-45e7-4f87-b5cf-1fdf5373dad8
137711	5	18364	2013-08-04 01:17:00.581486	2013-08-04 01:17:00.581486	\N	8d66229c-c231-442a-ba0f-4c6bbbd7ef73
160140	19	21263	2013-08-04 17:09:32.576752	2013-08-04 17:09:32.576752	\N	1ac08f42-d057-4cc6-bd11-6cc73ea7be36
137726	10	18365	2013-08-04 01:17:03.530247	2013-08-04 01:17:03.530247	\N	95583a6a-38c7-4a98-92dc-433ad0ebd952
160142	10	21262	2013-08-04 17:09:35.381412	2013-08-04 17:09:35.381412	\N	e836db49-0723-4104-80c8-c63b76e906eb
180347	9	23592	2013-08-04 18:39:06.671303	2013-08-04 18:39:06.671303	\N	e1b931ac-a6b2-4b2e-b8db-8ec63b3df742
153914	1	20758	2013-08-04 02:50:51.789208	2013-08-04 02:50:51.789208	\N	4bf3c102-4378-4e6d-84a5-614bd53d20f4
148153	20	19751	2013-08-04 02:11:12.65269	2013-08-04 02:11:12.65269	\N	6f8d30f9-6618-47d2-8fac-4176bf7a3db5
187519	10	24136	2013-08-04 19:04:09.70222	2013-08-04 19:04:09.70222	\N	d846c083-f083-47e4-966c-cb9ffc9cb810
148174	6	19699	2013-08-04 02:11:24.217046	2013-08-04 02:11:24.217046	\N	c463f54e-7253-44c6-9082-69333a59d423
148175	17	19711	2013-08-04 02:11:24.335639	2013-08-04 02:11:24.335639	\N	87af86c2-e9db-4ef4-ab01-22b09afe76d8
148176	17	19699	2013-08-04 02:11:24.508901	2013-08-04 02:11:24.508901	\N	4d8bdd08-779a-4bd3-ae01-5a9dfbda611d
153969	8	20758	2013-08-04 02:51:18.199683	2013-08-04 02:51:18.199683	\N	39a85c9d-cdac-4321-8c48-e5a939284c0b
153971	1	20734	2013-08-04 02:51:20.217472	2013-08-04 02:51:20.217472	\N	2ac6afcd-bc98-4d86-8819-1c1046d67573
187520	10	24211	2013-08-04 19:04:09.865341	2013-08-04 19:04:09.865341	\N	94228a4c-eb7b-490a-b94f-10a2eafdf250
187522	10	24138	2013-08-04 19:04:10.13861	2013-08-04 19:04:10.13861	\N	45a9cad7-9844-4645-b9e2-f542dbaf7bb4
153981	9	20707	2013-08-04 02:51:23.850328	2013-08-04 02:51:23.850328	\N	23450591-75ac-49a8-8b32-4aab73c6b7e4
177051	9	23352	2013-08-04 18:28:12.97084	2013-08-04 18:28:12.97084	\N	10026d76-464a-4bd0-830f-613c840725ca
154013	4	20759	2013-08-04 02:51:45.645257	2013-08-04 02:51:45.645257	\N	56fb7102-a14c-451e-a7bb-20c4b8d98b1e
142854	15	19247	2013-08-04 01:51:04.149898	2013-08-04 01:51:04.149898	\N	038877ee-a461-4fe2-a270-593fe741efd7
142858	19	19195	2013-08-04 01:51:06.288663	2013-08-04 01:51:06.288663	\N	7a4ed59c-4d3f-4637-aa4f-865b97235250
142870	11	19228	2013-08-04 01:51:13.05249	2013-08-04 01:51:13.05249	\N	f25c4acc-9abe-4ceb-957b-b73acb87cf54
142874	8	19207	2013-08-04 01:51:13.783339	2013-08-04 01:51:13.783339	\N	a70c6d4a-9627-4c76-bcd6-a94ddea82b61
154015	3	20758	2013-08-04 02:51:48.692961	2013-08-04 02:51:48.692961	\N	0a5067ab-fd41-4d69-b902-f3e985e68b9b
154016	3	20719	2013-08-04 02:51:48.746259	2013-08-04 02:51:48.746259	\N	bc793f84-f80c-44cc-a9ca-4ce6351822ec
154017	3	20707	2013-08-04 02:51:48.801666	2013-08-04 02:51:48.801666	\N	0c0fb08c-4c90-4380-b2d3-ecd013b122b5
148196	17	19750	2013-08-04 02:11:29.837919	2013-08-04 02:11:29.837919	\N	9e894102-d781-465e-b2f1-c9fde99822ad
142899	9	19228	2013-08-04 01:51:23.962348	2013-08-04 01:51:23.962348	\N	7db845b7-f36a-460d-8596-bd7b430fe9b0
142900	19	19228	2013-08-04 01:51:25.028146	2013-08-04 01:51:25.028146	\N	a6d174b6-c06d-4e0f-b612-19248e25f420
148201	11	19711	2013-08-04 02:11:30.325719	2013-08-04 02:11:30.325719	\N	6b4b9072-c70c-4c7e-b91a-4a4724e82b9f
142912	2	19316	2013-08-04 01:51:28.607872	2013-08-04 01:51:28.607872	\N	91c57dbc-83d8-4f11-85b2-a86f0730f045
142913	2	19312	2013-08-04 01:51:28.712623	2013-08-04 01:51:28.712623	\N	e19c4349-7384-4ed4-8a63-3e576efdf003
142914	2	19314	2013-08-04 01:51:28.757849	2013-08-04 01:51:28.757849	\N	b24bd504-a932-497f-b42a-6703f640f5f5
142915	2	19304	2013-08-04 01:51:28.811108	2013-08-04 01:51:28.811108	\N	91fa651f-5a01-498f-841a-8fae20bf46ed
142916	2	19320	2013-08-04 01:51:28.859017	2013-08-04 01:51:28.859017	\N	6b8ff2d1-78c7-403a-a354-1ef4b9926af3
142917	2	19302	2013-08-04 01:51:28.919982	2013-08-04 01:51:28.919982	\N	332dcfe1-ac8a-45ae-9045-c4183d80bb65
137923	16	18313	2013-08-04 01:18:03.376003	2013-08-04 01:18:03.376003	\N	b94bc0b8-412b-4d19-9478-a9b19a255971
142918	19	19246	2013-08-04 01:51:30.779364	2013-08-04 01:51:30.779364	\N	4270c2d2-df2d-4bb2-943d-775c9c969ab6
160183	2	21292	2013-08-04 17:09:44.169034	2013-08-04 17:09:44.169034	\N	b07b90b5-5bbd-4a9b-906d-c20ace65f799
142931	20	19207	2013-08-04 01:51:36.949151	2013-08-04 01:51:36.949151	\N	4f2f2e58-f266-404a-bf93-3cf29ed090c2
150786	16	20077	2013-08-04 02:28:55.191525	2013-08-04 02:28:55.191525	\N	0f15cb12-28d2-44f2-9a67-8e883904995f
154049	19	20707	2013-08-04 02:51:59.085931	2013-08-04 02:51:59.085931	\N	2cdb9477-4db4-4091-9f70-0229f0b82c96
160188	2	21276	2013-08-04 17:09:44.2818	2013-08-04 17:09:44.2818	\N	46885e5f-2262-4503-ab8b-a49aefc4b680
177072	13	23254	2013-08-04 18:28:18.668368	2013-08-04 18:28:18.668368	\N	cd6f7b3a-ad84-4162-9bbf-bd325950a19c
142981	10	19228	2013-08-04 01:51:59.412114	2013-08-04 01:51:59.412114	\N	bae399f4-ad9f-4cf1-a9da-9db8fe626fe8
177078	13	23278	2013-08-04 18:28:20.30002	2013-08-04 18:28:20.30002	\N	369b73f5-1cf4-4ee3-b76b-962866d6926d
163410	2	21657	2013-08-04 17:24:17.369792	2013-08-04 17:24:17.369792	\N	410b13df-0ae6-4cc0-8a78-2b7f84dfcc09
187440	9	24198	2013-08-04 19:03:53.659864	2013-08-04 19:03:53.659864	\N	7b56d276-6345-4fb1-aeff-ae8269663781
160187	4	21305	2013-08-04 17:09:44.267761	2013-08-04 17:09:44.267761	\N	b458d944-df28-49af-8bcf-d8b2b5f2da71
137544	17	18313	2013-08-04 01:16:12.037677	2013-08-04 01:16:12.037677	\N	91b537c0-0690-40ce-9606-0ff0decec407
140113	19	18743	2013-08-04 01:31:16.381913	2013-08-04 01:31:16.381913	\N	9135b15d-7d3d-405a-824d-3d5850e923be
170096	9	22689	2013-08-04 18:02:42.35146	2013-08-04 18:02:42.35146	\N	2bd0a4ea-8598-4fdf-802e-9997cb38476f
147885	3	19585	2013-08-04 02:08:52.104928	2013-08-04 02:08:52.104928	\N	cf51f5a5-3b9d-4225-a2db-882df4aeaeaf
147886	3	19603	2013-08-04 02:08:52.137901	2013-08-04 02:08:52.137901	\N	4568de29-251b-40d2-bbfa-e106b0cceb47
147887	3	19573	2013-08-04 02:08:52.17885	2013-08-04 02:08:52.17885	\N	66ce587e-19c3-4f5b-8119-d30c1637e257
140123	2	18784	2013-08-04 01:31:20.926713	2013-08-04 01:31:20.926713	\N	adbbbbc6-7c62-418b-947d-88d02a023b5b
137601	13	18364	2013-08-04 01:16:28.341576	2013-08-04 01:16:28.341576	\N	886cb1b2-425e-414b-abe5-a9f477bbd69b
140124	1	18743	2013-08-04 01:31:21.788718	2013-08-04 01:31:21.788718	\N	b9c81ca0-f629-425d-a29d-e139306e2acb
142595	16	19069	2013-08-04 01:48:49.082064	2013-08-04 01:48:49.082064	\N	d727b14d-375d-4d08-996e-4cdfb2c764c0
142596	16	19102	2013-08-04 01:48:49.414269	2013-08-04 01:48:49.414269	\N	8fb56b01-3b49-47ad-bc56-1abb4dfcec6a
142597	16	19120	2013-08-04 01:48:49.786642	2013-08-04 01:48:49.786642	\N	5ef1d09e-7a06-4927-9f3c-23db054da0ef
147888	3	19624	2013-08-04 02:08:52.214904	2013-08-04 02:08:52.214904	\N	7ee3bfa2-64d2-456a-ae89-d183ff6a1dbc
173454	19	22958	2013-08-04 18:15:10.580101	2013-08-04 18:15:10.580101	\N	d0992503-6333-48d3-8490-6e6768774bc0
187442	9	24222	2013-08-04 19:03:53.817387	2013-08-04 19:03:53.817387	\N	0ba1048d-c4e8-4b25-91a6-a108bcc0bf96
153628	14	20632	2013-08-04 02:48:22.176525	2013-08-04 02:48:22.176525	\N	f3abe2a5-eca7-4c62-af6d-c50595826d3c
176933	8	23239	2013-08-04 18:27:51.850801	2013-08-04 18:27:51.850801	\N	8f8d7906-b593-43d9-9649-d959a266b522
140171	11	18691	2013-08-04 01:31:35.060082	2013-08-04 01:31:35.060082	\N	76d89db4-b1c3-4fbe-a5f2-6d065ec5cc69
137740	14	18313	2013-08-04 01:17:07.951967	2013-08-04 01:17:07.951967	\N	0d018961-fb19-4825-8dc6-a783e3700ef9
140174	19	18742	2013-08-04 01:31:36.094305	2013-08-04 01:31:36.094305	\N	b9f8e4f6-433f-42d7-b13c-6f2a6adc7828
170129	14	22609	2013-08-04 18:02:45.441839	2013-08-04 18:02:45.441839	\N	39f07fba-a9db-4c8e-9ccf-15ff1aaa3b77
140177	11	18742	2013-08-04 01:31:38.191891	2013-08-04 01:31:38.191891	\N	a69f24a6-50dd-400f-bc20-586fb0722798
163341	10	21640	2013-08-04 17:23:53.569066	2013-08-04 17:23:53.569066	\N	10b07513-5089-4768-ad72-9973df138823
137766	20	18364	2013-08-04 01:17:15.121527	2013-08-04 01:17:15.121527	\N	4e8d2ab6-279e-4052-97d9-aae596bc48e0
163342	10	21601	2013-08-04 17:23:53.728376	2013-08-04 17:23:53.728376	\N	6f1abcf6-3b53-4156-8de2-4ff8e8873bb6
160245	19	21324	2013-08-04 17:10:07.3564	2013-08-04 17:10:07.3564	\N	c85a8447-f557-4672-ac0d-673a58fc002e
170135	14	22648	2013-08-04 18:02:46.048234	2013-08-04 18:02:46.048234	\N	6e97f01a-0aa9-4a46-8d9a-cdb2aa97e061
140183	17	18703	2013-08-04 01:31:41.760236	2013-08-04 01:31:41.760236	\N	2d7257e1-b055-4aa2-867c-c62e0550f8e9
140184	17	18743	2013-08-04 01:31:42.009252	2013-08-04 01:31:42.009252	\N	3901a8b3-8883-4502-8ec7-ce38bd5cab38
140191	6	18743	2013-08-04 01:31:43.629133	2013-08-04 01:31:43.629133	\N	40c137ee-70a3-49a9-ac95-aef9369fbe0a
198813	19	25352	2013-08-04 19:58:49.400215	2013-08-04 19:58:49.400215	\N	1583df44-621c-4437-b71d-ed23070a99d9
177007	19	23336	2013-08-04 18:28:03.657419	2013-08-04 18:28:03.657419	\N	e26dd182-8010-4f37-8a8d-33d51a89a30d
140201	20	18703	2013-08-04 01:31:48.616013	2013-08-04 01:31:48.616013	\N	15aa90da-39c3-4482-83a1-b1a3f20edd35
166715	14	22159	2013-08-04 17:46:10.870272	2013-08-04 17:46:10.870272	\N	77795041-a135-459c-a79a-2eb0b9a34a9c
166717	14	22162	2013-08-04 17:46:10.908544	2013-08-04 17:46:10.908544	\N	83a7345f-d897-4e68-aeb5-fe1a77e5e03d
150886	14	20089	2013-08-04 02:29:34.773647	2013-08-04 02:29:34.773647	\N	d303d735-5756-4909-8654-dcae13a690a1
160521	2	21418	2013-08-04 17:12:07.941849	2013-08-04 17:12:07.941849	\N	93c3c281-885d-4fdf-96bb-8020adbb5a0b
160522	14	21429	2013-08-04 17:12:08.026812	2013-08-04 17:12:08.026812	\N	c30a626e-46b1-42b9-8530-76b491c01186
160523	14	21435	2013-08-04 17:12:08.433975	2013-08-04 17:12:08.433975	\N	9bb8fa15-d897-4894-86e0-7cd9f8bfe131
166718	14	22163	2013-08-04 17:46:10.96385	2013-08-04 17:46:10.96385	\N	5840b9c7-1ff3-42f9-9eab-7b3fbd363bf3
160604	14	21349	2013-08-04 17:12:24.608809	2013-08-04 17:12:24.608809	\N	0e66942e-ecf7-400b-8d2d-44e474d64480
166719	14	22174	2013-08-04 17:46:11.002554	2013-08-04 17:46:11.002554	\N	2ba67ac8-6327-4c25-a8d4-007d2ca42c51
160706	13	21349	2013-08-04 17:12:53.501536	2013-08-04 17:12:53.501536	\N	df360852-e2cb-4f12-a62f-f4d1614dfaa2
163516	19	21702	2013-08-04 17:24:53.635369	2013-08-04 17:24:53.635369	\N	e0d53224-a57e-40d9-8168-5cab65fafb70
166720	14	22170	2013-08-04 17:46:11.032168	2013-08-04 17:46:11.032168	\N	8d7e327c-5c24-4364-80b3-08155d4b3aaa
166723	14	22164	2013-08-04 17:46:11.06531	2013-08-04 17:46:11.06531	\N	f7c5aa85-0360-4369-9171-d80fd228c4ef
166724	14	22165	2013-08-04 17:46:11.100084	2013-08-04 17:46:11.100084	\N	5cf67a6d-396e-49c2-bd3f-e65861026be2
166725	14	22171	2013-08-04 17:46:11.131896	2013-08-04 17:46:11.131896	\N	b50fcd0a-e9a7-414b-8b1b-087d850f0e07
170161	19	22700	2013-08-04 18:02:49.534807	2013-08-04 18:02:49.534807	\N	cba52313-52c5-4fbc-a188-ad686e309bef
160718	17	21364	2013-08-04 17:12:55.881105	2013-08-04 17:12:55.881105	\N	32a8e481-b6f9-4ac5-8241-bede77057c8e
166748	8	22322	2013-08-04 17:46:58.725356	2013-08-04 17:46:58.725356	\N	897d9876-162d-4062-81da-e58b33fbcecf
160720	11	21444	2013-08-04 17:12:56.391903	2013-08-04 17:12:56.391903	\N	6280f7dd-4c41-4af3-a31c-6bde694a59ae
160723	13	21364	2013-08-04 17:12:56.673911	2013-08-04 17:12:56.673911	\N	13a2e67c-f151-47c6-baf6-10d8147a6450
207305	9	26389	2013-08-04 20:44:37.063374	2013-08-04 20:44:37.063374	\N	7b5cd7a3-3f14-4a6c-8214-0859e60e423b
148087	10	19711	2013-08-04 02:10:53.191497	2013-08-04 02:10:53.191497	\N	e8bfc628-acb3-4028-b676-d9ceb3d2dbc6
148090	10	19750	2013-08-04 02:10:53.288694	2013-08-04 02:10:53.288694	\N	72e6ce16-097c-4b7a-8d5a-b77b6ed3bd5f
142856	4	19207	2013-08-04 01:51:06.228685	2013-08-04 01:51:06.228685	\N	19e8f4d1-0ccd-4b2d-b54f-fb0dfd09bf28
142857	4	19195	2013-08-04 01:51:06.277658	2013-08-04 01:51:06.277658	\N	ad90a94a-c790-4bee-bf1e-c2aded6a3d36
142859	4	19228	2013-08-04 01:51:06.303575	2013-08-04 01:51:06.303575	\N	1039de38-8c08-433f-aa35-c3686e05c09a
142860	4	19246	2013-08-04 01:51:06.361031	2013-08-04 01:51:06.361031	\N	fabd1178-24a7-4c7e-846a-8e7bf6e76020
148093	19	19711	2013-08-04 02:10:56.279938	2013-08-04 02:10:56.279938	\N	05440bac-3503-4132-9f77-32a9d49148f3
166750	11	22312	2013-08-04 17:46:59.185224	2013-08-04 17:46:59.185224	\N	91ac3dad-4ca3-4d2f-9405-22111a044d1e
142863	10	19195	2013-08-04 01:51:08.968435	2013-08-04 01:51:08.968435	\N	f28101f1-8b59-4134-b14e-0e4b7a0998ca
142864	11	19207	2013-08-04 01:51:10.248193	2013-08-04 01:51:10.248193	\N	fa015480-1311-43c4-9c97-bd4b9d0e151b
148099	2	19806	2013-08-04 02:10:58.110838	2013-08-04 02:10:58.110838	\N	98fbd128-5994-4e1b-b0e1-be1abfac4c86
140401	12	18743	2013-08-04 01:32:48.861317	2013-08-04 01:32:48.861317	\N	00a33751-cf90-4b74-86a6-b70a615a58b4
142866	11	19195	2013-08-04 01:51:10.80012	2013-08-04 01:51:10.80012	\N	6c8531a1-511a-4b4c-935d-6115987cb460
148100	2	19818	2013-08-04 02:10:58.211109	2013-08-04 02:10:58.211109	\N	8e537845-0c21-47cc-b7cc-3fc993342ad4
148101	2	19816	2013-08-04 02:10:58.259444	2013-08-04 02:10:58.259444	\N	12be71d2-3136-4ca5-962f-d5faffebfcd1
142869	8	19247	2013-08-04 01:51:11.922659	2013-08-04 01:51:11.922659	\N	5282afad-fb2d-4e27-a4b4-f82b63437d18
148102	2	19820	2013-08-04 02:10:58.30823	2013-08-04 02:10:58.30823	\N	a1063b63-7baf-43ff-bf95-741d8c1288c9
148103	2	19808	2013-08-04 02:10:58.342116	2013-08-04 02:10:58.342116	\N	28b4678a-2634-4115-8f6a-5fb2f98af48b
148104	2	19824	2013-08-04 02:10:58.376482	2013-08-04 02:10:58.376482	\N	91c11524-0f8c-4a34-b059-645bde7c83ec
142878	11	19246	2013-08-04 01:51:14.224201	2013-08-04 01:51:14.224201	\N	c3be020c-677f-4a4a-948b-a5822a5595d7
166751	1	22336	2013-08-04 17:46:59.496378	2013-08-04 17:46:59.496378	\N	b144128f-73f3-4cf3-b8b2-e706c0b9454f
142880	9	19207	2013-08-04 01:51:16.318946	2013-08-04 01:51:16.318946	\N	5320bb10-2906-43f5-b42d-a5310070e36d
142882	9	19195	2013-08-04 01:51:16.537275	2013-08-04 01:51:16.537275	\N	80501587-8950-40b2-896e-65f427e8a62b
142883	9	19247	2013-08-04 01:51:17.712131	2013-08-04 01:51:17.712131	\N	6513364d-fea6-417b-8b07-da2838dae3ea
142896	4	19247	2013-08-04 01:51:22.16387	2013-08-04 01:51:22.16387	\N	99378574-8133-4166-b36c-def37993931e
142898	8	19195	2013-08-04 01:51:22.753061	2013-08-04 01:51:22.753061	\N	0842ad03-1f97-48f3-8cb0-417f36af8f55
148107	8	19711	2013-08-04 02:11:02.748981	2013-08-04 02:11:02.748981	\N	182414cd-187e-45cc-a6ae-1de7b76ea481
142905	9	19246	2013-08-04 01:51:26.189839	2013-08-04 01:51:26.189839	\N	3753d9ad-240d-48c4-ab28-8116e81a465a
148109	15	19751	2013-08-04 02:11:03.716731	2013-08-04 02:11:03.716731	\N	b7343060-d121-4c07-93d7-02b63198b05b
177019	9	23334	2013-08-04 18:28:04.546383	2013-08-04 18:28:04.546383	\N	e64c9108-a52b-411a-8b9a-7ddb962609dc
148115	19	19699	2013-08-04 02:11:05.603935	2013-08-04 02:11:05.603935	\N	1af469ae-74eb-43b2-8585-c19fe01f4258
172628	4	22936	2013-08-04 18:12:24.833878	2013-08-04 18:12:24.833878	\N	83efb205-6674-4083-a39d-10adeb50fdd4
148123	7	19711	2013-08-04 02:11:06.346489	2013-08-04 02:11:06.346489	\N	6ceda2d9-6981-4309-a6b4-7559a224902e
172630	4	22938	2013-08-04 18:12:24.899923	2013-08-04 18:12:24.899923	\N	809bc544-e708-4253-a000-bc4b3d2fb1cf
153915	7	20759	2013-08-04 02:50:54.701953	2013-08-04 02:50:54.701953	\N	cf03d2a3-3e43-43ed-9bf2-f5616e94673c
153916	8	20719	2013-08-04 02:50:55.471745	2013-08-04 02:50:55.471745	\N	a88d7902-be5c-4bf1-bbdc-2537b6fb1bb2
153917	4	20719	2013-08-04 02:50:55.72522	2013-08-04 02:50:55.72522	\N	61cdd2cf-75ef-41ac-88e7-4e512f38e4ae
148158	8	19751	2013-08-04 02:11:15.097626	2013-08-04 02:11:15.097626	\N	9733cec6-23d6-4c7e-9b0e-64d2638f18b9
153918	4	20707	2013-08-04 02:50:55.773881	2013-08-04 02:50:55.773881	\N	d8de102e-7bda-4370-9dd3-3714282cbd1e
153919	4	20734	2013-08-04 02:50:55.821607	2013-08-04 02:50:55.821607	\N	89b4e265-df14-4f4b-b0be-e798da322096
170107	19	22694	2013-08-04 18:02:43.733566	2013-08-04 18:02:43.733566	\N	3d61ddc9-07e2-47c1-b75a-a4855f1e53ab
137537	17	18325	2013-08-04 01:16:09.909299	2013-08-04 01:16:09.909299	\N	529d3deb-0421-4f92-8ecb-c75cd34bdbad
137538	6	18313	2013-08-04 01:16:11.398447	2013-08-04 01:16:11.398447	\N	4367b81d-ce8d-4cf3-9cca-36e40479ba3b
166727	16	22181	2013-08-04 17:46:17.146424	2013-08-04 17:46:17.146424	\N	3a249550-0a2a-4b6f-812f-83dd08404ede
187457	2	24230	2013-08-04 19:03:57.150193	2013-08-04 19:03:57.150193	\N	b33057bf-f607-4351-98c0-7af39cd9ee69
194881	2	24691	2013-08-04 19:35:41.996421	2013-08-04 19:35:41.996421	\N	89c94593-94ed-4df7-83a4-12c37c69c2ea
137552	8	18365	2013-08-04 01:16:14.639966	2013-08-04 01:16:14.639966	\N	37cfa2a1-bf8b-483f-b24f-4130dbdd2446
172632	4	22942	2013-08-04 18:12:24.991848	2013-08-04 18:12:24.991848	\N	6a5b5c34-f633-49f1-9b5e-19d5635def3a
172634	4	22952	2013-08-04 18:12:25.07206	2013-08-04 18:12:25.07206	\N	a661be49-e32f-4c46-b403-38886949afd0
137562	9	18365	2013-08-04 01:16:17.481224	2013-08-04 01:16:17.481224	\N	14e29d0a-89ac-4c36-9f2c-8b101ec2821d
140264	17	18742	2013-08-04 01:32:02.888855	2013-08-04 01:32:02.888855	\N	0f101eaa-cfbe-40c5-ad33-362d730f8463
172636	4	22958	2013-08-04 18:12:25.168438	2013-08-04 18:12:25.168438	\N	b52660e7-63ea-4f98-8c44-70496cb3ce9e
137568	3	18364	2013-08-04 01:16:19.284223	2013-08-04 01:16:19.284223	\N	501264e1-d32e-4143-92b7-19c15570cf61
137569	3	18313	2013-08-04 01:16:19.341123	2013-08-04 01:16:19.341123	\N	68cd39c8-efcd-4497-89b8-c5e26de4a68b
166745	11	22231	2013-08-04 17:46:58.455198	2013-08-04 17:46:58.455198	\N	cb60d472-9a0a-49b0-96d4-5f04ee2dfb50
145334	2	19333	2013-08-04 01:58:11.753953	2013-08-04 01:58:11.753953	\N	25224e42-0238-41c3-9b16-16fc1fb24f36
172639	4	22968	2013-08-04 18:12:25.305121	2013-08-04 18:12:25.305121	\N	4b6986ed-f90d-473f-bb7f-2b5faeaf8954
166782	1	22231	2013-08-04 17:47:04.544585	2013-08-04 17:47:04.544585	\N	56d3e464-b9d1-4c08-95f6-11bff1a8c58b
172670	9	22973	2013-08-04 18:12:31.355911	2013-08-04 18:12:31.355911	\N	30a09add-24dc-4402-bb08-07a41d7432e0
172671	19	22876	2013-08-04 18:12:31.561983	2013-08-04 18:12:31.561983	\N	92744bed-a20e-40c9-b7aa-bbf7b8b50175
166788	8	22246	2013-08-04 17:47:05.300444	2013-08-04 17:47:05.300444	\N	51b0dddc-8910-4c88-96e0-cd924a6649a3
166790	1	22246	2013-08-04 17:47:05.459885	2013-08-04 17:47:05.459885	\N	44d9de76-f1cd-4260-8fda-b8c90d7498e5
150985	7	20215	2013-08-04 02:30:53.998553	2013-08-04 02:30:53.998553	\N	064236e0-dfd4-4c1d-939e-b92871b4d1fa
166802	2	22231	2013-08-04 17:47:11.755207	2013-08-04 17:47:11.755207	\N	6ed0facf-21ce-4bd1-a168-0151b627cf02
140414	12	18703	2013-08-04 01:32:54.186521	2013-08-04 01:32:54.186521	\N	66865c82-ca7e-4393-b635-3a271ebcf52d
140415	12	18691	2013-08-04 01:32:54.500992	2013-08-04 01:32:54.500992	\N	05399671-dc89-4ed7-b722-f1d917ea897b
160222	14	21285	2013-08-04 17:09:49.586804	2013-08-04 17:09:49.586804	\N	d9c3338d-4538-4931-8f12-e4b052277614
160224	14	21277	2013-08-04 17:09:49.621955	2013-08-04 17:09:49.621955	\N	01c49960-b6e7-40e4-963b-864fed182902
160227	14	21274	2013-08-04 17:09:49.708378	2013-08-04 17:09:49.708378	\N	d75e584a-794f-4264-bb05-738d71f5700d
160228	14	21282	2013-08-04 17:09:49.772761	2013-08-04 17:09:49.772761	\N	06ca6416-dc12-495d-b65f-d290e953d3bd
151023	14	20215	2013-08-04 02:31:06.600577	2013-08-04 02:31:06.600577	\N	2d965451-fa09-4816-a146-705a1ba1cff3
160229	14	21289	2013-08-04 17:09:49.822648	2013-08-04 17:09:49.822648	\N	18fd2aac-dd4e-49bc-86b2-fcbf8a925219
166812	14	22311	2013-08-04 17:47:18.224345	2013-08-04 17:47:18.224345	\N	f0df2e3a-9d29-4a4e-b7cf-e27d07af9705
151034	1	20254	2013-08-04 02:31:11.225904	2013-08-04 02:31:11.225904	\N	3dccd41c-f105-4955-b903-89654c655ba8
166813	17	22261	2013-08-04 17:47:18.464835	2013-08-04 17:47:18.464835	\N	b3313234-3ce6-41a9-b6fc-8e5c4a3d1000
166896	11	22261	2013-08-04 17:47:51.621583	2013-08-04 17:47:51.621583	\N	37063bca-603c-46dc-8a38-48e483e12028
151045	6	20203	2013-08-04 02:31:14.813987	2013-08-04 02:31:14.813987	\N	46a13abd-6a51-48e1-be85-d7d1cc1f73ba
160280	8	21308	2013-08-04 17:10:20.049974	2013-08-04 17:10:20.049974	\N	6af034c4-eb11-4e58-8867-3539969feb95
148076	2	19699	2013-08-04 02:10:52.527447	2013-08-04 02:10:52.527447	\N	8d807a45-a32c-4cd1-8ba3-71d88ce5c056
148077	2	19751	2013-08-04 02:10:52.585425	2013-08-04 02:10:52.585425	\N	7246e25b-aa12-4322-9db7-33da5af8ee35
142835	14	19195	2013-08-04 01:51:00.432211	2013-08-04 01:51:00.432211	\N	60c3a906-8fad-4408-b63c-b9e3c3ba89d4
142836	14	19246	2013-08-04 01:51:00.462354	2013-08-04 01:51:00.462354	\N	66e56122-2e7b-45de-aa6f-45d9e39477a3
142837	7	19195	2013-08-04 01:51:00.932338	2013-08-04 01:51:00.932338	\N	65376d0d-86dd-4e90-a40e-e9309bac4e50
142838	7	19247	2013-08-04 01:51:00.996196	2013-08-04 01:51:00.996196	\N	f606cbc4-1e0d-40ca-89e8-8d94b59a4760
142839	7	19246	2013-08-04 01:51:01.063509	2013-08-04 01:51:01.063509	\N	b44f7baa-9a52-4028-a3ac-9a9af6f412be
137704	9	18364	2013-08-04 01:16:59.023887	2013-08-04 01:16:59.023887	\N	391be506-f838-4655-9801-63bc448d8caa
142840	7	19228	2013-08-04 01:51:02.95893	2013-08-04 01:51:02.95893	\N	1db26869-a00e-4e1f-8c79-396f66851234
142886	2	19290	2013-08-04 01:51:18.195367	2013-08-04 01:51:18.195367	\N	91971b14-6790-4f8e-a766-e89410a4dfa1
137724	10	18325	2013-08-04 01:17:03.385437	2013-08-04 01:17:03.385437	\N	6c51a3f3-2393-4c04-9de6-cb2d02bf8178
142887	2	19284	2013-08-04 01:51:18.265333	2013-08-04 01:51:18.265333	\N	1b6b7472-e807-4245-9a48-d7258621b1ac
142888	2	19308	2013-08-04 01:51:18.309698	2013-08-04 01:51:18.309698	\N	7f73254d-e49c-48e9-8535-ed94ad206fc9
142889	2	19298	2013-08-04 01:51:18.372395	2013-08-04 01:51:18.372395	\N	7972c76a-8708-4994-8662-9ca5980d4240
142890	2	19288	2013-08-04 01:51:18.42881	2013-08-04 01:51:18.42881	\N	397378dc-37f3-48d4-8836-c3211987cde8
137744	14	18364	2013-08-04 01:17:08.602064	2013-08-04 01:17:08.602064	\N	3dab82fb-4bf1-4fca-aa50-b4c43459fc5c
142891	2	19294	2013-08-04 01:51:18.478791	2013-08-04 01:51:18.478791	\N	bf27c85c-659e-44be-8bb3-d4489c691804
142892	19	19207	2013-08-04 01:51:18.918879	2013-08-04 01:51:18.918879	\N	c1202e48-ee39-4a1a-bb4e-5d39eabe843b
148078	2	19711	2013-08-04 02:10:52.64027	2013-08-04 02:10:52.64027	\N	6e1a17f1-10ac-4068-82b3-1d01351889af
151052	17	20215	2013-08-04 02:31:18.769605	2013-08-04 02:31:18.769605	\N	9de3ff59-3714-4d63-962c-39ccb8de6c27
137779	20	18365	2013-08-04 01:17:19.340013	2013-08-04 01:17:19.340013	\N	c82093b5-1730-4f52-9efd-e42a5fe6ccf3
148080	2	19750	2013-08-04 02:10:52.72089	2013-08-04 02:10:52.72089	\N	d8f840c8-53c7-4c0c-b9d2-1b4738c0f868
142954	6	19247	2013-08-04 01:51:45.990683	2013-08-04 01:51:45.990683	\N	55bafc2c-ba39-4926-ab9f-e1bd185072fa
148081	2	19812	2013-08-04 02:10:52.775921	2013-08-04 02:10:52.775921	\N	aadc76df-4bce-49e7-a397-38d8aeb811ed
148082	2	19802	2013-08-04 02:10:52.82631	2013-08-04 02:10:52.82631	\N	4b217d20-8248-4c0b-a665-bff2fc779494
148083	2	19788	2013-08-04 02:10:52.881399	2013-08-04 02:10:52.881399	\N	4f1fcbaf-176e-43f3-8ee7-8dbb03502ef3
142960	17	19207	2013-08-04 01:51:51.115917	2013-08-04 01:51:51.115917	\N	79895fcd-13f2-4a30-b10a-fbbc32f120b8
148084	2	19798	2013-08-04 02:10:52.922003	2013-08-04 02:10:52.922003	\N	0dd581aa-32a5-4c88-baa9-a4fb2da28c84
148085	2	19792	2013-08-04 02:10:52.968573	2013-08-04 02:10:52.968573	\N	3c1ae225-92c7-44cb-a727-d402681dd1f6
148086	4	19711	2013-08-04 02:10:53.157801	2013-08-04 02:10:53.157801	\N	fc02516f-9d10-4f52-aede-d3eccae9b79d
148088	4	19699	2013-08-04 02:10:53.191609	2013-08-04 02:10:53.191609	\N	9bbcc7b2-26d1-469f-990c-054e4d7b0542
148089	4	19750	2013-08-04 02:10:53.257118	2013-08-04 02:10:53.257118	\N	a04c7464-beef-4f9a-99b2-95577a52efd0
180398	2	23561	2013-08-04 18:39:13.768093	2013-08-04 18:39:13.768093	\N	c666890b-22fb-46a1-8026-fb1d4bfcdb46
160291	14	21292	2013-08-04 17:10:20.936993	2013-08-04 17:10:20.936993	\N	a84ab868-ba2c-4726-9137-e3457759726d
160292	14	21281	2013-08-04 17:10:20.987954	2013-08-04 17:10:20.987954	\N	85a074d5-cf2c-42c4-8057-f0edd044bb01
160293	14	21283	2013-08-04 17:10:21.033167	2013-08-04 17:10:21.033167	\N	aa71a69d-8b25-4b84-a2f6-02838deca8c7
187486	19	24230	2013-08-04 19:04:01.829301	2013-08-04 19:04:01.829301	\N	92454dda-87a1-443b-9649-a6bb50704461
148156	6	19750	2013-08-04 02:11:13.539573	2013-08-04 02:11:13.539573	\N	f87f4c27-7a3e-4520-89c8-f167abc8c5e7
143015	6	19207	2013-08-04 01:52:06.559107	2013-08-04 01:52:06.559107	\N	05478e9e-3535-4aca-aae2-62207966e4e2
148157	19	19750	2013-08-04 02:11:13.859398	2013-08-04 02:11:13.859398	\N	8a085174-69c5-42dc-931b-5ee85962ac7a
148161	13	19711	2013-08-04 02:11:15.851738	2013-08-04 02:11:15.851738	\N	4dc69718-334f-433b-82ea-5ea26c348a1a
148163	13	19699	2013-08-04 02:11:16.162554	2013-08-04 02:11:16.162554	\N	851313fc-bcee-4822-987e-5b8863198bcf
148164	9	19751	2013-08-04 02:11:17.544061	2013-08-04 02:11:17.544061	\N	ebc86186-6eb8-4a81-81cc-f6833defb3d8
160295	14	21276	2013-08-04 17:10:21.117413	2013-08-04 17:10:21.117413	\N	4ee4b0e9-6d1e-449d-a6bf-d2413e907e79
177001	9	23330	2013-08-04 18:28:02.370401	2013-08-04 18:28:02.370401	\N	3cff2ad1-800e-4d4a-a2f9-4276146cbe00
137900	12	18365	2013-08-04 01:17:51.461617	2013-08-04 01:17:51.461617	\N	8b01ef03-064b-4b26-9647-70beb575cfeb
143038	17	19246	2013-08-04 01:52:12.369161	2013-08-04 01:52:12.369161	\N	7d882c77-b9f8-4225-ad42-32fa011136c8
143039	6	19228	2013-08-04 01:52:12.707111	2013-08-04 01:52:12.707111	\N	b8a00568-cb5e-485a-a3ff-83abe70aad48
194892	7	24734	2013-08-04 19:35:44.923453	2013-08-04 19:35:44.923453	\N	1fdbd813-dd68-4dde-86a6-ecb7481e8862
143042	6	19195	2013-08-04 01:52:16.37938	2013-08-04 01:52:16.37938	\N	a9727b77-1af5-4e3a-a52c-2a54912ccf34
148169	13	19729	2013-08-04 02:11:20.037413	2013-08-04 02:11:20.037413	\N	91b354a2-8ff0-47d9-b508-250fa8e16297
160304	4	21302	2013-08-04 17:10:26.053762	2013-08-04 17:10:26.053762	\N	e22d37c3-c02c-4cc6-aa49-1fcfd80178c7
160306	4	21308	2013-08-04 17:10:26.147878	2013-08-04 17:10:26.147878	\N	52179672-42ce-4de6-8b25-a3358970824b
207239	3	26389	2013-08-04 20:44:11.470386	2013-08-04 20:44:11.470386	\N	37aa34cb-296f-443c-9160-0f3c9caacfa8
151089	14	20203	2013-08-04 02:31:37.093694	2013-08-04 02:31:37.093694	\N	dba0fbba-1d6c-4532-aaf3-fbe3f1796792
151090	12	20255	2013-08-04 02:31:38.758958	2013-08-04 02:31:38.758958	\N	62fb8986-afba-4eaf-851b-ecaeb80e303a
143066	10	19207	2013-08-04 01:52:29.720456	2013-08-04 01:52:29.720456	\N	aebf8b65-99ce-4683-bd9e-f650b1439b0d
160235	19	21262	2013-08-04 17:10:01.390044	2013-08-04 17:10:01.390044	\N	3fe50b07-188d-4a6f-b248-5fee4ca82b6a
166752	1	22343	2013-08-04 17:47:00.392878	2013-08-04 17:47:00.392878	\N	074dc49e-2022-4ffe-8f9d-fe96998077e0
137553	13	18325	2013-08-04 01:16:15.310244	2013-08-04 01:16:15.310244	\N	9eb5d853-b262-42c4-af38-9f7441ec6e39
166753	1	22344	2013-08-04 17:47:01.114658	2013-08-04 17:47:01.114658	\N	d01821ad-24ef-41da-a58a-cc6d017973de
137557	13	18313	2013-08-04 01:16:15.743233	2013-08-04 01:16:15.743233	\N	9cd7e861-5cb2-4b54-9415-e1c04af3ffb3
140397	14	18743	2013-08-04 01:32:46.562998	2013-08-04 01:32:46.562998	\N	10ccd644-a6ac-471b-a0c3-d364cf4ed211
142709	15	19120	2013-08-04 01:49:30.780496	2013-08-04 01:49:30.780496	\N	ebc51789-b3ae-49b0-bead-a37c16368b1f
166798	13	22270	2013-08-04 17:47:10.286723	2013-08-04 17:47:10.286723	\N	28c324d9-4d91-4d1c-97d5-b12b65dc34b8
153771	8	20608	2013-08-04 02:49:09.488191	2013-08-04 02:49:09.488191	\N	f50d761d-c918-4617-b40d-e8bcdcdbf032
166799	10	22261	2013-08-04 17:47:10.65076	2013-08-04 17:47:10.65076	\N	96a4aa60-1d66-4a01-b330-30d61489a22e
140408	10	18691	2013-08-04 01:32:49.501928	2013-08-04 01:32:49.501928	\N	63b061b6-9440-4b92-91fd-ce72512f1bb1
160249	19	21238	2013-08-04 17:10:10.860169	2013-08-04 17:10:10.860169	\N	fe1b8d3f-3a29-44b7-92ed-417488ddc9fe
198842	7	25321	2013-08-04 19:59:01.235603	2013-08-04 19:59:01.235603	\N	4bc2db8a-f2d9-44bc-9a37-a98b028a9ed2
198852	15	25255	2013-08-04 19:59:05.427592	2013-08-04 19:59:05.427592	\N	bc6770e5-c5a1-458b-9afb-864ae15294f6
198858	10	25255	2013-08-04 19:59:07.408335	2013-08-04 19:59:07.408335	\N	06682d6f-a99f-40bd-9b96-e1d231c36eeb
176997	17	23239	2013-08-04 18:28:01.95414	2013-08-04 18:28:01.95414	\N	9a4d5a21-e10b-4546-8d2d-ffc4535ac492
160331	19	21323	2013-08-04 17:10:36.537652	2013-08-04 17:10:36.537652	\N	a271d70b-8103-4efd-a79d-7fffa6aaffc3
166829	2	22325	2013-08-04 17:47:27.273651	2013-08-04 17:47:27.273651	\N	e32b4251-927a-4a91-8b9c-374621df5f4b
180463	3	23506	2013-08-04 18:39:22.93911	2013-08-04 18:39:22.93911	\N	872d97f1-e0b5-4bda-81c2-4e5f4e3e2445
137666	19	18313	2013-08-04 01:16:49.573405	2013-08-04 01:16:49.573405	\N	d34b3a78-2508-4b66-bed1-4bfe5f15d195
180464	3	23530	2013-08-04 18:39:23.026021	2013-08-04 18:39:23.026021	\N	c7474945-eee3-4c6d-a6af-f295809c9921
180465	3	23491	2013-08-04 18:39:23.110517	2013-08-04 18:39:23.110517	\N	72ac9b4a-c27a-43b9-aa65-3348f1761b94
166839	1	22311	2013-08-04 17:47:30.913424	2013-08-04 17:47:30.913424	\N	3fdcfe67-e016-49c4-8c07-3d01d73f11e0
166840	19	22316	2013-08-04 17:47:31.365813	2013-08-04 17:47:31.365813	\N	afadc8d1-01c6-40bf-82db-ed0fa39306c3
148173	13	19750	2013-08-04 02:11:21.649859	2013-08-04 02:11:21.649859	\N	987e0649-8d76-42c5-b031-9fdd22328751
148239	17	19729	2013-08-04 02:11:42.373268	2013-08-04 02:11:42.373268	\N	9e8e5c3b-bd7f-4613-9253-45428f653856
166842	9	22343	2013-08-04 17:47:31.733321	2013-08-04 17:47:31.733321	\N	5d110505-79bb-4d13-b7b7-62e56164fcf4
166843	9	22317	2013-08-04 17:47:31.875735	2013-08-04 17:47:31.875735	\N	b64e2fe3-7570-4654-a241-550b182eb59c
137725	10	18364	2013-08-04 01:17:03.456672	2013-08-04 01:17:03.456672	\N	cbdbca38-b9f9-4d22-b86c-6e5f4233077a
137727	20	18325	2013-08-04 01:17:04.400733	2013-08-04 01:17:04.400733	\N	78203ecd-4647-4f00-b082-2862a04413af
137729	7	18364	2013-08-04 01:17:05.337172	2013-08-04 01:17:05.337172	\N	a90d2a27-5d7e-40ee-9127-ff695a9e7ef3
137731	7	18325	2013-08-04 01:17:05.374498	2013-08-04 01:17:05.374498	\N	6c99d1aa-28c5-4950-983d-4120754da855
207273	1	26421	2013-08-04 20:44:27.261063	2013-08-04 20:44:27.261063	\N	76f52247-7dbb-4e80-8ba2-c7344184dd66
166865	9	22331	2013-08-04 17:47:42.645435	2013-08-04 17:47:42.645435	\N	e918b15c-02c7-4e95-9330-afc5d8170ac4
166882	9	22270	2013-08-04 17:47:50.878601	2013-08-04 17:47:50.878601	\N	1ea1b46a-418d-42f2-b5e5-ec2eb130b84f
163540	19	21686	2013-08-04 17:25:05.118122	2013-08-04 17:25:05.118122	\N	049727f4-2da6-4ca5-96f9-1bbba0a0ab6e
163541	9	21641	2013-08-04 17:25:05.314777	2013-08-04 17:25:05.314777	\N	3cc8af0a-3abb-4e17-8cfe-246d19a78ad1
166883	4	22306	2013-08-04 17:47:50.964879	2013-08-04 17:47:50.964879	\N	3e922fc6-f870-4fc3-a3f7-3b3fcc475989
166884	4	22308	2013-08-04 17:47:51.019808	2013-08-04 17:47:51.019808	\N	3df46537-6e06-42d1-89bb-1e623e12384b
166885	4	22312	2013-08-04 17:47:51.060589	2013-08-04 17:47:51.060589	\N	9d43aee9-0118-4059-89b6-f877a0fe5132
153913	6	20707	2013-08-04 02:50:51.075035	2013-08-04 02:50:51.075035	\N	683987aa-c02f-46da-858f-1e442930a42b
148566	14	19711	2013-08-04 02:13:19.783723	2013-08-04 02:13:19.783723	\N	c469ee1b-00f6-43a4-8b6f-0611b744ec07
153923	7	20707	2013-08-04 02:50:58.306221	2013-08-04 02:50:58.306221	\N	ca660a8e-2c98-4b8c-9893-d0f0461c2c51
145454	17	19351	2013-08-04 01:58:18.239846	2013-08-04 01:58:18.239846	\N	c72ab3ea-799b-47c7-98ff-1fc68ddb88bc
153970	13	20758	2013-08-04 02:51:19.425377	2013-08-04 02:51:19.425377	\N	b0e11058-78ec-4cdd-b1ad-b35f9c0c780e
153974	11	20719	2013-08-04 02:51:22.622216	2013-08-04 02:51:22.622216	\N	81334645-04a4-4093-b0b2-2b4f06c2bc55
166886	4	22316	2013-08-04 17:47:51.11562	2013-08-04 17:47:51.11562	\N	0c11d518-e861-43fe-ab28-9ae38e0ec149
142894	8	19228	2013-08-04 01:51:19.992658	2013-08-04 01:51:19.992658	\N	17bafe1f-02b6-445d-b273-375c7295c4f7
142895	1	19247	2013-08-04 01:51:21.762831	2013-08-04 01:51:21.762831	\N	25017c14-0f1d-4909-b363-9f5a42a92f9d
142969	17	19195	2013-08-04 01:51:53.183823	2013-08-04 01:51:53.183823	\N	68b33f27-9f73-4b9d-81bb-2114b8456990
140551	16	18703	2013-08-04 01:33:32.557954	2013-08-04 01:33:32.557954	\N	b31547f6-5ba0-4da2-9505-faf6aa253d5d
140552	16	18691	2013-08-04 01:33:32.784145	2013-08-04 01:33:32.784145	\N	8b320ee6-730f-4ab3-8c93-7dd8ce309028
140553	16	18742	2013-08-04 01:33:33.061126	2013-08-04 01:33:33.061126	\N	5bca104e-9c72-42a7-b252-a854b6a6a9d7
153982	11	20734	2013-08-04 02:51:25.520543	2013-08-04 02:51:25.520543	\N	b6471b69-a4a2-459b-9e5d-704d6d1418f0
137875	11	18365	2013-08-04 01:17:43.102141	2013-08-04 01:17:43.102141	\N	8d80fe0b-42e5-4769-a60e-5dadea316d23
142973	13	19207	2013-08-04 01:51:55.006017	2013-08-04 01:51:55.006017	\N	37b9247d-9258-432c-9737-7e2e6b5d704f
142974	13	19195	2013-08-04 01:51:55.296209	2013-08-04 01:51:55.296209	\N	fa3ba738-cbfc-4103-b02c-61e1df84fc34
148590	16	19729	2013-08-04 02:13:30.180408	2013-08-04 02:13:30.180408	\N	131dcb8e-3e30-4225-a0c3-4f356cb10153
166887	4	22318	2013-08-04 17:47:51.168329	2013-08-04 17:47:51.168329	\N	ffe7aa52-cf46-4c54-9134-8ac52401b70d
148592	16	19750	2013-08-04 02:13:30.843474	2013-08-04 02:13:30.843474	\N	c6dbc2af-0847-403d-a2b8-07dad51d4638
153984	11	20758	2013-08-04 02:51:26.775336	2013-08-04 02:51:26.775336	\N	3fc681c7-9798-4e0d-939b-fcd0c6cf6b20
142988	13	19246	2013-08-04 01:52:00.324715	2013-08-04 01:52:00.324715	\N	73a9ff81-ace3-4875-b902-6d49c77e8fe7
166889	4	22320	2013-08-04 17:47:51.207498	2013-08-04 17:47:51.207498	\N	908fa714-5de2-44ac-814b-3329069d3151
166890	4	22322	2013-08-04 17:47:51.235446	2013-08-04 17:47:51.235446	\N	b1cdb865-e7a4-41d8-bd31-3de6ee342ef0
153987	8	20707	2013-08-04 02:51:29.385775	2013-08-04 02:51:29.385775	\N	be2fa3b9-2102-4c2c-90f6-e3e679dc00f2
166891	4	22326	2013-08-04 17:47:51.271331	2013-08-04 17:47:51.271331	\N	7fd229f2-b937-4923-847c-7c11b1d43977
154022	1	20759	2013-08-04 02:51:51.561396	2013-08-04 02:51:51.561396	\N	0e19dcd5-5c72-4fb8-b20d-d4c749002aec
154024	12	20759	2013-08-04 02:51:52.222127	2013-08-04 02:51:52.222127	\N	8984ffd2-4ad9-4ef2-8a6a-aa256f5e4ff8
166893	4	22344	2013-08-04 17:47:51.311401	2013-08-04 17:47:51.311401	\N	a3336a18-5e1a-44ac-b255-3bb1066ae15f
160434	9	21197	2013-08-04 17:11:51.512297	2013-08-04 17:11:51.512297	\N	3688dd90-299e-4e46-8c3a-850dd42ad45d
166894	4	22338	2013-08-04 17:47:51.344357	2013-08-04 17:47:51.344357	\N	ea8a9612-1d21-49dd-ac89-ec0ca542a25d
166954	17	22246	2013-08-04 17:48:08.897332	2013-08-04 17:48:08.897332	\N	28977bd1-8054-44cf-9679-25eaccea6750
143014	17	19228	2013-08-04 01:52:06.212766	2013-08-04 01:52:06.212766	\N	a0b9ce51-5811-40d7-899f-c81a4fa81161
166971	14	22258	2013-08-04 17:48:18.827231	2013-08-04 17:48:18.827231	\N	bac156a9-2636-4743-9905-f16bd2e947c2
150987	8	20215	2013-08-04 02:30:54.611151	2013-08-04 02:30:54.611151	\N	7effac92-74bf-4ec9-bdbb-cdd31894bc5c
148617	10	19729	2013-08-04 02:13:34.677186	2013-08-04 02:13:34.677186	\N	4555c98d-19f5-4790-a0c9-13b65257a673
150988	8	20255	2013-08-04 02:30:56.242863	2013-08-04 02:30:56.242863	\N	a8418361-e29e-4be7-bf4e-96cc7c845fb3
166972	14	22330	2013-08-04 17:48:18.878087	2013-08-04 17:48:18.878087	\N	3c62a627-86a3-4fad-9e5f-908b9035661b
160444	7	21388	2013-08-04 17:11:56.503914	2013-08-04 17:11:56.503914	\N	2a468304-f403-42f2-a319-057429d2543f
160446	7	21349	2013-08-04 17:11:56.745207	2013-08-04 17:11:56.745207	\N	216b3cc9-78cc-4cfe-8b6e-b08db533df39
151004	6	20215	2013-08-04 02:30:59.608518	2013-08-04 02:30:59.608518	\N	e47bf127-732b-4d22-9a3f-401ecf779a9e
151005	8	20203	2013-08-04 02:30:59.771376	2013-08-04 02:30:59.771376	\N	3629c979-efe7-4dcb-8b34-9f288f21b319
151007	8	20254	2013-08-04 02:31:01.417236	2013-08-04 02:31:01.417236	\N	3eaab038-978f-4a3c-8679-0af802265636
151008	11	20254	2013-08-04 02:31:01.513603	2013-08-04 02:31:01.513603	\N	b477fd64-2db6-4c5b-90e2-2560757c7a11
160447	1	21388	2013-08-04 17:11:57.045796	2013-08-04 17:11:57.045796	\N	095ff8c1-ce41-44e0-9fd4-20e336460171
160448	9	21388	2013-08-04 17:11:57.130773	2013-08-04 17:11:57.130773	\N	6d1e6759-1a7e-42bf-9041-d286902f4b74
151027	1	20255	2013-08-04 02:31:06.882648	2013-08-04 02:31:06.882648	\N	a69a2dd9-0ce0-4b3b-ae6d-beeb0b3c88ce
160449	8	21388	2013-08-04 17:11:57.491728	2013-08-04 17:11:57.491728	\N	21a5259f-64c0-43da-a931-a67fa61fe6ce
166974	14	22259	2013-08-04 17:48:18.936757	2013-08-04 17:48:18.936757	\N	520dbc22-eba9-4612-8653-00a644f0290f
166975	14	22260	2013-08-04 17:48:18.992899	2013-08-04 17:48:18.992899	\N	332cf83f-da85-4ae5-92cd-bbafd86dd73e
160525	14	21433	2013-08-04 17:12:08.763895	2013-08-04 17:12:08.763895	\N	a5dad7a1-01bb-4a79-a5f1-4c80cf3f0b04
180409	1	23568	2013-08-04 18:39:14.863949	2013-08-04 18:39:14.863949	\N	24b92344-99aa-4663-9da2-2272a4b18773
187497	4	24234	2013-08-04 19:04:04.135091	2013-08-04 19:04:04.135091	\N	d3b140bc-7614-4ec4-a95d-7569f35fee33
198851	1	25349	2013-08-04 19:59:04.175756	2013-08-04 19:59:04.175756	\N	3d76f7c5-066f-4513-adad-997e474ae8a7
148105	4	19751	2013-08-04 02:10:58.921118	2013-08-04 02:10:58.921118	\N	e0d6defd-ce65-4929-b217-b083b1a67327
148111	4	19811	2013-08-04 02:11:05.390008	2013-08-04 02:11:05.390008	\N	26badf8b-b906-4d7b-a130-efd1814a5e2e
148112	4	19789	2013-08-04 02:11:05.493349	2013-08-04 02:11:05.493349	\N	fba854db-c0c6-4c3a-b014-d46bdf839b84
148113	4	19793	2013-08-04 02:11:05.53713	2013-08-04 02:11:05.53713	\N	c724bd4c-079f-42c7-b70c-310ea3b00360
148114	4	19795	2013-08-04 02:11:05.578792	2013-08-04 02:11:05.578792	\N	1de364d6-3233-467d-9255-ff498d2a5d75
148116	4	19801	2013-08-04 02:11:05.624792	2013-08-04 02:11:05.624792	\N	4c0e59b3-e8e0-4e92-b16d-02d3106f5e19
148117	4	19803	2013-08-04 02:11:05.683024	2013-08-04 02:11:05.683024	\N	71776c8d-fb50-4a2f-83e6-7c4881f5d498
148118	4	19809	2013-08-04 02:11:05.724861	2013-08-04 02:11:05.724861	\N	20c33fa0-c095-4b2a-a5b4-7ec67f3b6c58
148119	4	19815	2013-08-04 02:11:05.761987	2013-08-04 02:11:05.761987	\N	8d0e602f-ec40-4ada-b499-5a8e2a03ab58
148120	4	19817	2013-08-04 02:11:05.817642	2013-08-04 02:11:05.817642	\N	f641a1f5-97c9-4796-97ff-49d8e9cd71ef
148122	7	19750	2013-08-04 02:11:06.238949	2013-08-04 02:11:06.238949	\N	8f729872-d3b0-4951-86d7-899c1dcb8ecc
163457	14	21601	2013-08-04 17:24:35.200209	2013-08-04 17:24:35.200209	\N	68b949d4-5aba-46be-ac5b-39a4f6d9e008
198907	9	25352	2013-08-04 19:59:24.572056	2013-08-04 19:59:24.572056	\N	1390a452-6539-4f56-86f1-dac919717a7a
148133	19	19729	2013-08-04 02:11:07.954517	2013-08-04 02:11:07.954517	\N	cad0a46d-5942-4243-87a3-521c7118caa2
148134	8	19750	2013-08-04 02:11:08.670467	2013-08-04 02:11:08.670467	\N	3a632ead-9114-48b8-bc45-05c24a9938b7
142834	8	19246	2013-08-04 01:51:00.060361	2013-08-04 01:51:00.060361	\N	f3aa13f3-300e-43a0-b743-4668cda2e89d
142841	2	19195	2013-08-04 01:51:02.96274	2013-08-04 01:51:02.96274	\N	1bb80929-2621-4498-887e-31ce9e21cc0d
142842	7	19207	2013-08-04 01:51:03.107769	2013-08-04 01:51:03.107769	\N	d3e86da0-2f19-477b-8906-606da4702d6f
177037	9	23336	2013-08-04 18:28:06.701336	2013-08-04 18:28:06.701336	\N	fe818d43-9db5-4440-b415-64b8b0bf5ce8
166771	13	22261	2013-08-04 17:47:03.235817	2013-08-04 17:47:03.235817	\N	bead9ffd-8f04-4d29-bc64-20453fe2e1ba
160272	2	21291	2013-08-04 17:10:15.573282	2013-08-04 17:10:15.573282	\N	6a4b75d7-bbd2-40c4-9fbf-76e311948cab
142955	2	19272	2013-08-04 01:51:47.653345	2013-08-04 01:51:47.653345	\N	3175fec2-2bb8-495c-8550-3d1bb55a180b
166792	1	22308	2013-08-04 17:47:05.792841	2013-08-04 17:47:05.792841	\N	3dcf59fe-445e-4b51-9ecb-1fcc8660a49d
198919	9	25349	2013-08-04 19:59:29.739443	2013-08-04 19:59:29.739443	\N	0a81330d-5f53-471c-81ba-41e353254b99
142967	16	19207	2013-08-04 01:51:52.966238	2013-08-04 01:51:52.966238	\N	c3c3ea96-bfda-4a77-bbe6-0ea10b30b8f5
142968	16	19195	2013-08-04 01:51:53.172209	2013-08-04 01:51:53.172209	\N	97f43d3b-5b83-40b5-92ec-71151b4dd7b5
142970	16	19228	2013-08-04 01:51:53.338219	2013-08-04 01:51:53.338219	\N	230cbd5f-8895-4caf-887a-1347e53e0f5a
142971	16	19246	2013-08-04 01:51:53.611611	2013-08-04 01:51:53.611611	\N	71c0fca6-75ad-48f9-80ef-56334689a428
142978	13	19228	2013-08-04 01:51:58.878513	2013-08-04 01:51:58.878513	\N	3cae3f74-2d0a-4412-a026-6b6d28bbbc73
166814	14	22325	2013-08-04 17:47:18.977743	2013-08-04 17:47:18.977743	\N	28c7430b-7317-43d1-a8b6-4db582d8e100
163551	19	21692	2013-08-04 17:25:11.91776	2013-08-04 17:25:11.91776	\N	5abbfa13-47b6-4cbe-bd18-d853a4fcff28
148152	20	19750	2013-08-04 02:11:12.650567	2013-08-04 02:11:12.650567	\N	dcada9e9-889c-415d-bb7e-cba669e67598
173601	19	22970	2013-08-04 18:15:20.237921	2013-08-04 18:15:20.237921	\N	5f608024-d967-4d7e-aacf-32551e576d7e
187602	1	24201	2013-08-04 19:04:21.814477	2013-08-04 19:04:21.814477	\N	18f3db82-8117-497d-90cd-edc76a274166
151030	1	20215	2013-08-04 02:31:08.807846	2013-08-04 02:31:08.807846	\N	567bc7be-0f1c-4a2f-b515-6192f1c883cc
166877	14	22270	2013-08-04 17:47:45.731544	2013-08-04 17:47:45.731544	\N	e71e0d3f-fd34-4b3c-8d6d-4da036f5ae84
153975	9	20719	2013-08-04 02:51:22.676599	2013-08-04 02:51:22.676599	\N	24021ab9-bb1d-4ea9-91da-ed2a49f01ab0
153977	11	20707	2013-08-04 02:51:23.226996	2013-08-04 02:51:23.226996	\N	f21efe2f-e0d6-481f-b6b4-553f7f2ea09c
153980	17	20759	2013-08-04 02:51:23.842398	2013-08-04 02:51:23.842398	\N	4bd35bb7-8581-488e-96fc-f3ef7dcfcaf5
166881	1	22315	2013-08-04 17:47:50.348262	2013-08-04 17:47:50.348262	\N	71f5f8a2-ec4d-45e9-840b-e91306036994
148203	11	19699	2013-08-04 02:11:30.862141	2013-08-04 02:11:30.862141	\N	24545015-6345-4c4b-9369-0c289e3db86d
166888	11	22308	2013-08-04 17:47:51.1992	2013-08-04 17:47:51.1992	\N	b20b12bc-1045-4d38-810d-8f1f26570408
151067	17	20254	2013-08-04 02:31:24.013555	2013-08-04 02:31:24.013555	\N	069b6d74-542a-4b46-8d4f-81dee36c3e58
148213	11	19750	2013-08-04 02:11:33.734854	2013-08-04 02:11:33.734854	\N	c9fdaec9-8fa3-4e26-bf50-6395facfd475
151068	9	20254	2013-08-04 02:31:24.22958	2013-08-04 02:31:24.22958	\N	36cfdd5f-2c5c-4604-ba6b-1b73160aa51c
153993	19	20759	2013-08-04 02:51:35.709909	2013-08-04 02:51:35.709909	\N	030a07f6-76b7-48b9-a5fc-f3878fd57fed
160389	19	21309	2013-08-04 17:11:10.44093	2013-08-04 17:11:10.44093	\N	0b1dbfbe-f1cc-4cb7-bae3-028abe6c7adc
166900	19	22322	2013-08-04 17:47:52.235297	2013-08-04 17:47:52.235297	\N	702abc94-9265-480e-833c-2bc9036cd265
148273	17	19751	2013-08-04 02:11:50.158498	2013-08-04 02:11:50.158498	\N	ba4999df-c09b-445f-8abc-65b4c01e4f92
160450	8	21349	2013-08-04 17:11:58.908256	2013-08-04 17:11:58.908256	\N	60de6c50-efa1-4943-a0ad-eb0746b3c063
148275	6	19711	2013-08-04 02:11:50.600854	2013-08-04 02:11:50.600854	\N	ed4064d6-a549-4ea0-8791-e94f7418c49f
143160	17	19247	2013-08-04 01:53:01.380412	2013-08-04 01:53:01.380412	\N	c5405176-2844-4002-b387-e74f7807840a
154011	19	20719	2013-08-04 02:51:45.295856	2013-08-04 02:51:45.295856	\N	c52afa97-d98c-4af2-a541-71466ab05151
148289	7	19751	2013-08-04 02:11:54.129619	2013-08-04 02:11:54.129619	\N	84dccb39-9ad7-43dd-908c-1561a2347050
154025	4	20819	2013-08-04 02:51:52.301295	2013-08-04 02:51:52.301295	\N	fb83c7ab-b59b-4f99-966e-4a27706fb6ab
154026	4	20801	2013-08-04 02:51:52.352722	2013-08-04 02:51:52.352722	\N	37762a97-6b69-4b95-ada6-601cc5a71389
151140	19	20254	2013-08-04 02:31:53.803451	2013-08-04 02:31:53.803451	\N	caf39d38-091a-4369-ba14-ed3b14aeab57
154027	4	20803	2013-08-04 02:51:52.404452	2013-08-04 02:51:52.404452	\N	c018f6ef-4ede-4408-8312-0ae63edaaaf6
154028	4	20809	2013-08-04 02:51:52.452129	2013-08-04 02:51:52.452129	\N	9aea1c84-21f1-45e4-8633-5f5a2109747d
148296	12	19751	2013-08-04 02:11:56.949463	2013-08-04 02:11:56.949463	\N	48230c88-c287-4db1-b70a-c0eaad7c8706
154029	4	20811	2013-08-04 02:51:52.500722	2013-08-04 02:51:52.500722	\N	ce202fb6-1ce5-4e59-b2a2-3319bd808d83
154030	4	20823	2013-08-04 02:51:52.551379	2013-08-04 02:51:52.551379	\N	a23ecaf4-63e0-4d6b-9bb7-bc1398aff0ac
154031	4	20825	2013-08-04 02:51:52.605339	2013-08-04 02:51:52.605339	\N	bc072299-a841-408a-9ca5-58dc4c6a4607
160528	14	21449	2013-08-04 17:12:08.813988	2013-08-04 17:12:08.813988	\N	7c4037cd-e49b-4f67-b98b-dfef15dae69e
154034	14	20707	2013-08-04 02:51:55.387171	2013-08-04 02:51:55.387171	\N	59d82c26-e095-4282-ab0a-053c596dcaca
154055	14	20719	2013-08-04 02:52:06.419941	2013-08-04 02:52:06.419941	\N	76588360-8304-45ed-aeec-c6453094009f
160532	4	21424	2013-08-04 17:12:11.573695	2013-08-04 17:12:11.573695	\N	c4e632f4-9d5b-486f-b888-a726c396afa7
151161	16	20215	2013-08-04 02:31:59.693081	2013-08-04 02:31:59.693081	\N	87374a12-0d1e-4d6f-a39c-11ac724ec9c2
154075	19	20758	2013-08-04 02:52:12.561685	2013-08-04 02:52:12.561685	\N	ca122774-2a0e-4e30-9700-07db8000f31d
160537	4	21430	2013-08-04 17:12:11.780167	2013-08-04 17:12:11.780167	\N	394709f2-de7b-4205-931a-e55ff988a923
160539	4	21436	2013-08-04 17:12:11.878568	2013-08-04 17:12:11.878568	\N	834dca6e-7b8d-4b5a-abe5-8bc964743c6f
160540	4	21438	2013-08-04 17:12:11.927112	2013-08-04 17:12:11.927112	\N	3809878a-e1ab-4d13-a893-40578dcb2d72
160541	4	21440	2013-08-04 17:12:12.004009	2013-08-04 17:12:12.004009	\N	abd861c5-cfc9-4bd8-8c7f-c1359182eb78
166921	16	22231	2013-08-04 17:47:56.833137	2013-08-04 17:47:56.833137	\N	9d52da98-167a-48e7-9f0c-e4abbd38b19f
187625	2	24212	2013-08-04 19:04:24.78958	2013-08-04 19:04:24.78958	\N	868ddd4c-ff66-421d-b544-418489b845f5
160548	4	21389	2013-08-04 17:12:12.971734	2013-08-04 17:12:12.971734	\N	d5828626-8788-4644-999d-3f5f563ef749
177148	14	23300	2013-08-04 18:28:30.186862	2013-08-04 18:28:30.186862	\N	fa4e7520-42bc-40bd-af53-6de0a43ad104
180412	14	23520	2013-08-04 18:39:14.998001	2013-08-04 18:39:14.998001	\N	0052ea01-6d6b-4ccf-bf8d-9476bd31e9b5
148172	1	19751	2013-08-04 02:11:21.562651	2013-08-04 02:11:21.562651	\N	77bdfbf0-49d2-4610-95f0-77d98ed70d85
150989	17	20255	2013-08-04 02:30:57.42974	2013-08-04 02:30:57.42974	\N	9c4cfb6f-e228-411c-b217-300904b673f6
150990	11	20215	2013-08-04 02:30:57.849898	2013-08-04 02:30:57.849898	\N	66e8b898-8ea3-421e-b90d-0768c7d1213c
150992	11	20203	2013-08-04 02:30:58.405055	2013-08-04 02:30:58.405055	\N	69839f2e-ebde-403d-835e-f0ba10aab63c
166778	13	22231	2013-08-04 17:47:04.015536	2013-08-04 17:47:04.015536	\N	96839dfa-bf4f-42f7-8a26-7ea6dccd2763
150995	4	20297	2013-08-04 02:30:58.823841	2013-08-04 02:30:58.823841	\N	22dfeaef-bf0e-447a-a058-ec43ae5f84c0
150996	4	20299	2013-08-04 02:30:58.872248	2013-08-04 02:30:58.872248	\N	3ae4727b-4f59-474d-8744-b55e68e00695
150998	4	20305	2013-08-04 02:30:58.921442	2013-08-04 02:30:58.921442	\N	f12dc829-ab2c-439d-a885-aee56c5fe361
150999	4	20313	2013-08-04 02:30:58.978951	2013-08-04 02:30:58.978951	\N	fbdd9b18-3ede-4f8b-ba13-b88b6ebd7c28
151000	4	20319	2013-08-04 02:30:59.027055	2013-08-04 02:30:59.027055	\N	e0dd1905-c636-4850-b4c6-053416764ae2
151001	4	20321	2013-08-04 02:30:59.077252	2013-08-04 02:30:59.077252	\N	a3e153cc-da27-4e6c-a284-21b20303236f
142984	14	19207	2013-08-04 01:51:59.703325	2013-08-04 01:51:59.703325	\N	b63a12c6-a1d4-40be-95a2-a93d268a972c
151002	10	20203	2013-08-04 02:30:59.267976	2013-08-04 02:30:59.267976	\N	17eda781-a572-4a33-8b51-87d951e243e9
143089	12	19247	2013-08-04 01:52:33.465612	2013-08-04 01:52:33.465612	\N	59977e41-c942-4335-bf79-5fe8c1f7e83c
180414	14	23555	2013-08-04 18:39:15.081218	2013-08-04 18:39:15.081218	\N	ee16c5c7-aef6-42ba-a8be-e8020d9f829a
166781	11	22270	2013-08-04 17:47:04.484904	2013-08-04 17:47:04.484904	\N	91b31178-a74d-4aca-a57d-b9f4f0a763ea
180415	14	23589	2013-08-04 18:39:15.162735	2013-08-04 18:39:15.162735	\N	fb06bbeb-c87a-41b9-a621-036d95fa1272
151010	7	20203	2013-08-04 02:31:01.796094	2013-08-04 02:31:01.796094	\N	6f01802c-6bd6-49de-a517-0a33d834fab2
163524	1	21696	2013-08-04 17:24:58.859888	2013-08-04 17:24:58.859888	\N	69ab5fd3-5b5d-45a5-bb8f-a56fe7933071
177044	1	23352	2013-08-04 18:28:07.834812	2013-08-04 18:28:07.834812	\N	f398a88a-3d07-4fb5-9eaa-092916940314
163526	2	21656	2013-08-04 17:24:59.076432	2013-08-04 17:24:59.076432	\N	c2e5ab37-e5cd-40e5-b908-b2a1ecdcd45a
166793	1	22270	2013-08-04 17:47:07.280788	2013-08-04 17:47:07.280788	\N	6bade079-f879-48a0-80cf-03a27e634986
151043	6	20254	2013-08-04 02:31:12.777544	2013-08-04 02:31:12.777544	\N	74e9ecfc-849d-4641-855c-8611ee1f523a
166795	4	22315	2013-08-04 17:47:08.444578	2013-08-04 17:47:08.444578	\N	9f21c83f-0e51-45ab-9bcc-612d3a558b94
151046	9	20215	2013-08-04 02:31:15.609555	2013-08-04 02:31:15.609555	\N	9cc277d9-ba85-4deb-b456-ce8c87a65c1f
151047	9	20203	2013-08-04 02:31:15.802216	2013-08-04 02:31:15.802216	\N	681e2483-c9b0-472d-908f-5ef7cd59b0c8
151048	13	20215	2013-08-04 02:31:15.868916	2013-08-04 02:31:15.868916	\N	0143d039-30db-4139-a705-878886582b47
151050	13	20203	2013-08-04 02:31:16.188266	2013-08-04 02:31:16.188266	\N	b77e35ef-9e32-4bf7-ae1c-f4b90ae035ab
151051	9	20255	2013-08-04 02:31:17.984945	2013-08-04 02:31:17.984945	\N	8cd4059e-47fd-4993-98f8-79d09fd2efad
151053	17	20203	2013-08-04 02:31:18.93599	2013-08-04 02:31:18.93599	\N	f8d7f918-649b-4e11-8700-78d69a46abb8
151086	4	20255	2013-08-04 02:31:33.805541	2013-08-04 02:31:33.805541	\N	c0c8fa49-5ba3-4c44-9262-7e3c798f26bd
151087	19	20255	2013-08-04 02:31:34.414529	2013-08-04 02:31:34.414529	\N	b0d67f74-9119-4eae-a5a8-b5624d5e4266
177045	17	23254	2013-08-04 18:28:12.384192	2013-08-04 18:28:12.384192	\N	8818024e-b0b3-48a5-b904-286e7d2af6df
166804	4	22231	2013-08-04 17:47:13.176471	2013-08-04 17:47:13.176471	\N	d4ef6b97-2d9c-4f00-a59a-4f42e2e75f3b
166805	4	22246	2013-08-04 17:47:13.205295	2013-08-04 17:47:13.205295	\N	4d00b580-97f1-4e02-9722-2c2f56010ab7
166806	4	22270	2013-08-04 17:47:13.255844	2013-08-04 17:47:13.255844	\N	2ce0eb53-8127-4e5c-b3d0-e9ebc64efc6e
151097	4	20307	2013-08-04 02:31:40.603859	2013-08-04 02:31:40.603859	\N	caa300e6-0d49-4118-9494-3ee6be948ea8
166807	14	22293	2013-08-04 17:47:15.287285	2013-08-04 17:47:15.287285	\N	ef0b4f75-8eb0-45f0-a945-f1ee56632b9a
166808	14	22299	2013-08-04 17:47:15.39537	2013-08-04 17:47:15.39537	\N	021aa66f-96b9-40aa-b99c-d2297727f98c
166809	1	22307	2013-08-04 17:47:15.588335	2013-08-04 17:47:15.588335	\N	bd85b046-4eca-4d3b-8137-e76420224f61
166810	1	22312	2013-08-04 17:47:15.922855	2013-08-04 17:47:15.922855	\N	1291c788-6cce-444c-a42e-6f8bd999f99f
166811	14	22307	2013-08-04 17:47:17.850762	2013-08-04 17:47:17.850762	\N	cd318233-3936-4ab8-b693-e597c0932d6e
166815	14	22315	2013-08-04 17:47:18.986493	2013-08-04 17:47:18.986493	\N	07101b9d-ee2f-463b-8508-d21077d81a52
166818	17	22231	2013-08-04 17:47:20.155494	2013-08-04 17:47:20.155494	\N	c15daf3d-c621-4326-a9cb-6db2c2f1f87d
187521	10	24137	2013-08-04 19:04:09.992766	2013-08-04 19:04:09.992766	\N	d59b4228-5385-4d50-b95d-5cfc7226e217
180432	7	23568	2013-08-04 18:39:19.183558	2013-08-04 18:39:19.183558	\N	14b3db40-0f2f-412d-8a83-d05b229d683d
153933	7	20758	2013-08-04 02:50:59.478486	2013-08-04 02:50:59.478486	\N	4188c357-380d-4a61-8970-b56587d7d00f
151114	19	20203	2013-08-04 02:31:43.338796	2013-08-04 02:31:43.338796	\N	6195b3de-8b51-4cf0-a041-702f6d4199d0
166833	4	22261	2013-08-04 17:47:29.400642	2013-08-04 17:47:29.400642	\N	9d94da04-37ff-4f43-88e0-b7b363cab616
153939	17	20719	2013-08-04 02:51:05.248658	2013-08-04 02:51:05.248658	\N	4440b19f-7995-49c9-9465-0c454b3aaf34
153940	17	20707	2013-08-04 02:51:05.411167	2013-08-04 02:51:05.411167	\N	88445498-fb8d-4e52-8712-2062f731e86d
198856	10	25294	2013-08-04 19:59:07.144796	2013-08-04 19:59:07.144796	\N	ed32029a-4ee8-4638-93b0-4c0101f17569
177058	13	23239	2013-08-04 18:28:15.960968	2013-08-04 18:28:15.960968	\N	9445dc56-4708-4f33-a044-057bab3aa863
180437	2	23545	2013-08-04 18:39:20.333496	2013-08-04 18:39:20.333496	\N	daaeea04-4924-4796-a941-d93827960d12
166844	1	22326	2013-08-04 17:47:32.474698	2013-08-04 17:47:32.474698	\N	63b8dd20-f5a1-4d2a-8ebc-e79a11e8a8ca
153956	8	20759	2013-08-04 02:51:11.058838	2013-08-04 02:51:11.058838	\N	0999bd06-7eb3-46eb-8d34-85c366d39d38
151162	16	20203	2013-08-04 02:31:59.838556	2013-08-04 02:31:59.838556	\N	934616f1-a5b7-42e1-b916-e3f81405117e
153957	1	20719	2013-08-04 02:51:13.238856	2013-08-04 02:51:13.238856	\N	ce7e13b2-83f8-41ad-8a32-5433725e449a
153958	6	20734	2013-08-04 02:51:13.849714	2013-08-04 02:51:13.849714	\N	9a3f8042-e2b6-4377-9b29-45c39c27bbb6
160385	19	21307	2013-08-04 17:11:04.701808	2013-08-04 17:11:04.701808	\N	924b6592-0990-4ecf-bb52-aef50518da30
166847	17	22270	2013-08-04 17:47:33.88995	2013-08-04 17:47:33.88995	\N	ffc9abc9-64d1-4af5-839f-5d70c57edf4e
166848	9	22307	2013-08-04 17:47:34.014513	2013-08-04 17:47:34.014513	\N	646eb08d-22e6-407b-9ac2-7095f3d30314
166849	9	22261	2013-08-04 17:47:34.151473	2013-08-04 17:47:34.151473	\N	0df93a52-65e2-4268-9d4d-cf53c9a7bdb4
166850	9	22231	2013-08-04 17:47:35.286517	2013-08-04 17:47:35.286517	\N	73c4cb3a-de1e-4ea3-9e76-653a51f31f0d
166851	9	22311	2013-08-04 17:47:35.468393	2013-08-04 17:47:35.468393	\N	3ada6d5f-aee9-4680-95b6-5b6cb34c7653
151239	13	20254	2013-08-04 02:32:30.893008	2013-08-04 02:32:30.893008	\N	f850e7f2-0ac7-405e-a224-2c927e6f4b45
153967	9	20759	2013-08-04 02:51:17.420098	2013-08-04 02:51:17.420098	\N	0f38f584-441f-47de-a562-b93dfccf91cd
143398	14	19247	2013-08-04 01:54:33.212201	2013-08-04 01:54:33.212201	\N	497eaff7-1b11-403d-9c40-f27fff36b5a0
154002	13	20707	2013-08-04 02:51:37.112731	2013-08-04 02:51:37.112731	\N	bab541b0-7071-4e4d-8c59-6b91cb9cc1d5
154005	13	20734	2013-08-04 02:51:40.016878	2013-08-04 02:51:40.016878	\N	5d4cf826-4e2b-41eb-80d9-7b20cd1abb64
151255	14	20254	2013-08-04 02:32:37.903174	2013-08-04 02:32:37.903174	\N	bbde3a32-2f4e-419b-8c08-6af7d8221e47
160418	2	21283	2013-08-04 17:11:23.613076	2013-08-04 17:11:23.613076	\N	5af5782e-5558-46f3-964c-4e9a04305e2e
177182	10	23336	2013-08-04 18:28:38.133651	2013-08-04 18:28:38.133651	\N	8e7d8fab-8449-40cb-977a-09ad0e1af618
154051	12	20707	2013-08-04 02:51:59.918771	2013-08-04 02:51:59.918771	\N	963886d8-8254-4696-9515-06de376ce5b9
177195	2	23304	2013-08-04 18:28:41.670809	2013-08-04 18:28:41.670809	\N	2d27e22e-cc93-42cf-9928-4e5e5a8220b7
160445	12	21389	2013-08-04 17:11:56.653343	2013-08-04 17:11:56.653343	\N	6cecddfd-5878-4ae6-b64c-2b8b6778a3ef
160520	7	21389	2013-08-04 17:12:07.293848	2013-08-04 17:12:07.293848	\N	54826dc3-cc51-4f37-9a5c-66ab549b1ada
160526	14	21425	2013-08-04 17:12:08.788731	2013-08-04 17:12:08.788731	\N	9bb00d59-98f7-4315-9537-114183f9eaf6
163822	19	21766	2013-08-04 17:27:14.635441	2013-08-04 17:27:14.635441	\N	5ea59317-381d-43e5-b566-e4568eb33eb5
195047	18	24625	2013-08-04 19:37:03.368435	2013-08-04 19:37:03.368435	\N	058d79d1-b56d-4b0d-a195-8a74b9deaff2
198939	9	25364	2013-08-04 19:59:36.969559	2013-08-04 19:59:36.969559	\N	f714e187-566a-4215-85ed-e7a56fbd450e
154135	10	20707	2013-08-04 02:52:42.626631	2013-08-04 02:52:42.626631	\N	39230310-84fe-4c4b-98f7-68fd56c1ffac
154136	10	20719	2013-08-04 02:52:42.775853	2013-08-04 02:52:42.775853	\N	96e7d17a-d629-4ba4-8763-55d28e81d909
154137	10	20758	2013-08-04 02:52:42.886063	2013-08-04 02:52:42.886063	\N	9939afec-4e25-4176-a5ab-afc21db3e2f4
195059	14	24719	2013-08-04 19:37:26.652638	2013-08-04 19:37:26.652638	\N	f4358932-461a-4f02-baf5-5c7f19f0862d
207351	9	26465	2013-08-04 20:44:56.366771	2013-08-04 20:44:56.366771	\N	173fb53c-55a8-49ec-ae0b-9202cd89d855
207359	2	26483	2013-08-04 20:45:01.107433	2013-08-04 20:45:01.107433	\N	1f1bf2df-bce7-4f41-9c99-4f19c856285f
180490	2	23568	2013-08-04 18:39:29.379637	2013-08-04 18:39:29.379637	\N	1b3b8afb-d0cc-4d81-834f-8a2facfea9aa
153920	4	20758	2013-08-04 02:50:55.879434	2013-08-04 02:50:55.879434	\N	26de10a6-c882-41f2-abad-3d2742b5b965
148237	9	19711	2013-08-04 02:11:42.188314	2013-08-04 02:11:42.188314	\N	645fab34-a939-4b2a-a86a-032fe5ce8cfe
143021	6	19246	2013-08-04 01:52:07.316856	2013-08-04 01:52:07.316856	\N	8d898090-99e0-4c0b-9e4a-d79c5b18e962
148238	9	19699	2013-08-04 02:11:42.356549	2013-08-04 02:11:42.356549	\N	232cd91e-a519-4a0f-83e1-9aa9284571ac
148241	2	19729	2013-08-04 02:11:44.062128	2013-08-04 02:11:44.062128	\N	b438e957-950a-40bf-a9b5-e1428bcd34a7
153921	7	20719	2013-08-04 02:50:58.042912	2013-08-04 02:50:58.042912	\N	9be907b3-6a7e-4334-ab6f-a5b9504fc26e
177087	11	23320	2013-08-04 18:28:20.820578	2013-08-04 18:28:20.820578	\N	6550ca79-89e8-448a-a7c1-6faf57114032
153934	17	20734	2013-08-04 02:51:00.334905	2013-08-04 02:51:00.334905	\N	08f57697-4891-421c-aeef-d5b981ef0b76
145747	7	19351	2013-08-04 01:58:37.589858	2013-08-04 01:58:37.589858	\N	84508a60-ce73-44cb-8da1-0bdd2f2ae477
198897	4	25324	2013-08-04 19:59:18.653387	2013-08-04 19:59:18.653387	\N	5fb4a5aa-d2fd-4d0f-9e9f-f831c7ec52e9
148254	9	19750	2013-08-04 02:11:46.518757	2013-08-04 02:11:46.518757	\N	7722db39-549a-40b6-bbd6-edb4e3147afc
151131	10	20215	2013-08-04 02:31:49.665132	2013-08-04 02:31:49.665132	\N	0e9de485-441f-4ba1-9b38-c1ee22d60ad8
153936	6	20758	2013-08-04 02:51:01.922741	2013-08-04 02:51:01.922741	\N	9bbd7c15-bc95-4c51-9cbf-f8e8e9df3e88
153937	7	20734	2013-08-04 02:51:02.113696	2013-08-04 02:51:02.113696	\N	4ad4f291-c5f6-404b-a46e-fbe067b9ad0d
148262	3	19699	2013-08-04 02:11:48.564762	2013-08-04 02:11:48.564762	\N	dbad3051-c126-4591-b55b-43d1ee21081c
148263	3	19750	2013-08-04 02:11:48.658405	2013-08-04 02:11:48.658405	\N	ca0630ea-68a2-4698-b6fe-1a5cd88d1a43
148264	3	19711	2013-08-04 02:11:48.717737	2013-08-04 02:11:48.717737	\N	fc8c6680-c111-4d80-a770-2f674ba1c6c3
148265	3	19729	2013-08-04 02:11:48.780695	2013-08-04 02:11:48.780695	\N	af1d490e-999e-4522-b549-81fcd9f37910
170248	17	22609	2013-08-04 18:02:59.310142	2013-08-04 18:02:59.310142	\N	842711d8-ab27-4cf2-a08a-c66613393061
166923	16	22246	2013-08-04 17:47:56.999082	2013-08-04 17:47:56.999082	\N	591d58a2-f443-4cf5-ad03-79265cc076ea
153949	17	20758	2013-08-04 02:51:08.874335	2013-08-04 02:51:08.874335	\N	19a3731b-53a9-49e3-b7e9-facf24a41c6e
143145	19	19247	2013-08-04 01:52:54.030672	2013-08-04 01:52:54.030672	\N	070f05da-3afc-451d-944f-d5ac16c32f17
153951	15	20759	2013-08-04 02:51:09.387206	2013-08-04 02:51:09.387206	\N	8c7cc3c6-8ed5-4a27-949f-104b420ba911
166924	11	22326	2013-08-04 17:47:57.155277	2013-08-04 17:47:57.155277	\N	27482ecb-7694-4229-869f-0a81a47f4156
153953	6	20719	2013-08-04 02:51:10.44995	2013-08-04 02:51:10.44995	\N	5edaf041-b0aa-4992-95ff-16756f144c28
163653	3	21601	2013-08-04 17:25:40.624558	2013-08-04 17:25:40.624558	\N	12597e78-eb13-4ae2-97b1-5f5c689e247a
153989	9	20758	2013-08-04 02:51:31.042326	2013-08-04 02:51:31.042326	\N	80caeca8-6c41-4a85-af19-525a9ee3d8d0
160390	2	21289	2013-08-04 17:11:12.653281	2013-08-04 17:11:12.653281	\N	f20bf31b-75f5-498e-8f2c-f735b3833f13
166925	16	22270	2013-08-04 17:47:57.287401	2013-08-04 17:47:57.287401	\N	75e2eae3-94f1-4fa9-a541-89c2d20030bc
173569	9	22937	2013-08-04 18:15:18.644301	2013-08-04 18:15:18.644301	\N	5f2cfd86-9ccd-471f-9ee2-2c1a5dccdbea
166930	11	22336	2013-08-04 17:47:58.522435	2013-08-04 17:47:58.522435	\N	4e2a78ab-8157-4125-b7f1-b6ac0d104850
148437	19	19751	2013-08-04 02:12:40.604419	2013-08-04 02:12:40.604419	\N	beb74cbe-b025-4e40-9e42-f0c5a5bf74a3
154000	13	20719	2013-08-04 02:51:36.814125	2013-08-04 02:51:36.814125	\N	49189e56-3147-41cc-9992-a3a11ccb26eb
154003	20	20758	2013-08-04 02:51:38.498267	2013-08-04 02:51:38.498267	\N	abd4f5f4-2381-4883-8463-5c80dafe3f0b
170257	1	22721	2013-08-04 18:03:05.410271	2013-08-04 18:03:05.410271	\N	09542719-9103-493d-ae89-801e4382aa08
170258	9	22609	2013-08-04 18:03:05.68194	2013-08-04 18:03:05.68194	\N	e90b7dc2-7b4f-47b4-90e8-a830a9f746a2
180546	1	23585	2013-08-04 18:39:34.114879	2013-08-04 18:39:34.114879	\N	df75ac65-489f-4fb7-8f20-7328a1fbf23d
154054	19	20734	2013-08-04 02:52:05.839062	2013-08-04 02:52:05.839062	\N	ed04e66b-1323-439a-ac57-4eae048a3c26
187631	14	24148	2013-08-04 19:04:25.548993	2013-08-04 19:04:25.548993	\N	126676ae-3743-4b7b-8f31-d3b39763ed00
187632	14	24220	2013-08-04 19:04:25.606867	2013-08-04 19:04:25.606867	\N	409b76be-6b28-4adb-ad9b-c2cdc8fd834b
160451	8	21450	2013-08-04 17:11:59.084306	2013-08-04 17:11:59.084306	\N	e8b66a15-a9a3-4af9-a919-33f7e5617c6b
160452	8	21434	2013-08-04 17:11:59.192239	2013-08-04 17:11:59.192239	\N	ecefdbef-01b1-4d73-aef4-697cae7f8003
160453	9	21349	2013-08-04 17:11:59.311637	2013-08-04 17:11:59.311637	\N	985e8ec9-a1d9-4511-bc50-ccfc894fd1ad
160454	4	21349	2013-08-04 17:11:59.73134	2013-08-04 17:11:59.73134	\N	eb82a136-7526-4caf-8835-76bb601f7d7a
160455	4	21364	2013-08-04 17:11:59.782944	2013-08-04 17:11:59.782944	\N	07c1bbdb-b8e4-4492-8c44-553b9d1ce100
160456	4	21388	2013-08-04 17:11:59.841198	2013-08-04 17:11:59.841198	\N	0415f057-2d70-47ca-9ac2-ebb185e6ffb1
154065	8	20734	2013-08-04 02:52:09.679151	2013-08-04 02:52:09.679151	\N	98c7cb39-72b1-4ae0-b444-d42a5eec24d7
160457	7	21364	2013-08-04 17:11:59.996582	2013-08-04 17:11:59.996582	\N	a4ed5436-3e03-4ba3-a4eb-21489614ff64
160458	8	21364	2013-08-04 17:12:00.250315	2013-08-04 17:12:00.250315	\N	a33e09fb-d791-4ec4-85f5-ff5cf7d810ac
187633	14	24149	2013-08-04 19:04:25.638292	2013-08-04 19:04:25.638292	\N	bec8dfb1-802d-4bdc-86bc-c40c850b05ec
160460	2	21349	2013-08-04 17:12:00.738575	2013-08-04 17:12:00.738575	\N	f0cd00ed-2429-48b0-920e-a8be8991fd1a
160461	2	21389	2013-08-04 17:12:00.789246	2013-08-04 17:12:00.789246	\N	b4946133-8e11-4c59-ba5f-c5da7ae833c5
160462	2	21351	2013-08-04 17:12:00.847289	2013-08-04 17:12:00.847289	\N	78ed525f-5e82-49d9-9337-4dfca16e18dd
160463	2	21364	2013-08-04 17:12:00.888065	2013-08-04 17:12:00.888065	\N	65a4490a-cc56-4b4c-9d51-f7f208230224
160464	2	21354	2013-08-04 17:12:00.942943	2013-08-04 17:12:00.942943	\N	a6f99083-4add-4c81-a66c-503192794e11
160465	2	21381	2013-08-04 17:12:00.992681	2013-08-04 17:12:00.992681	\N	63187488-fcd3-41b3-9866-7488d5e22fd1
160466	2	21384	2013-08-04 17:12:01.030005	2013-08-04 17:12:01.030005	\N	02f5f219-fbc6-4107-82f9-dcd7a51cd99b
160467	2	21345	2013-08-04 17:12:01.079885	2013-08-04 17:12:01.079885	\N	3d24b00d-ac2d-4f58-9902-7d5167999671
160468	2	21360	2013-08-04 17:12:01.138089	2013-08-04 17:12:01.138089	\N	85ae349f-57fb-4953-9f18-04a8cfa548ab
160469	2	21378	2013-08-04 17:12:01.173047	2013-08-04 17:12:01.173047	\N	14d3e17f-b8a7-42e8-b367-6aa8f5096b87
160470	2	21372	2013-08-04 17:12:01.222148	2013-08-04 17:12:01.222148	\N	df6761e4-b13c-4e6b-89f2-3a57b40e28ae
160471	2	21393	2013-08-04 17:12:01.270147	2013-08-04 17:12:01.270147	\N	f90be510-5c9e-4637-b54f-909ad973c8bb
160472	2	21390	2013-08-04 17:12:01.316481	2013-08-04 17:12:01.316481	\N	3b6698d2-6fc7-4c7a-ac83-f2085fd28fb0
160473	2	21366	2013-08-04 17:12:01.374372	2013-08-04 17:12:01.374372	\N	aac18f01-b799-4e2d-85a6-6ef986f607bb
143460	14	19228	2013-08-04 01:55:03.814642	2013-08-04 01:55:03.814642	\N	305ecaf5-b0d2-41f7-97de-bb88e38cc89a
160474	2	21412	2013-08-04 17:12:01.424751	2013-08-04 17:12:01.424751	\N	0dbbad66-542a-40c5-8c02-c0ff70b49e27
160475	2	21404	2013-08-04 17:12:01.471548	2013-08-04 17:12:01.471548	\N	b8d52eaf-5aa5-46c4-b832-44738c37eac2
160477	2	21402	2013-08-04 17:12:01.49756	2013-08-04 17:12:01.49756	\N	b6e851a2-511c-49c2-9489-64dc319d6e13
166941	11	22344	2013-08-04 17:47:59.640795	2013-08-04 17:47:59.640795	\N	26219282-680a-4ae0-a665-407be5acd4a0
170263	4	22694	2013-08-04 18:03:07.985536	2013-08-04 18:03:07.985536	\N	134c1f40-bee1-4d97-a274-96c6f3a34480
170264	4	22698	2013-08-04 18:03:08.036023	2013-08-04 18:03:08.036023	\N	55cca37c-4a49-41c6-b666-b379f42fda01
170265	4	22700	2013-08-04 18:03:08.075054	2013-08-04 18:03:08.075054	\N	9a9ad9ec-2d43-4ea2-890a-2f1b89f394a8
170266	4	22722	2013-08-04 18:03:08.125125	2013-08-04 18:03:08.125125	\N	69a9ab29-6ded-4baa-8500-e597015edba4
170267	4	22716	2013-08-04 18:03:08.180128	2013-08-04 18:03:08.180128	\N	441d683f-277d-4aa5-b665-f5175a22acb8
160485	2	21357	2013-08-04 17:12:01.782599	2013-08-04 17:12:01.782599	\N	08661324-ab2b-423e-8ae7-ad88fcb8f6fc
187634	14	24150	2013-08-04 19:04:25.679455	2013-08-04 19:04:25.679455	\N	ecebdcd2-ecf0-4ad4-881d-d977a48a7efd
187635	14	24185	2013-08-04 19:04:25.728327	2013-08-04 19:04:25.728327	\N	6f5926f0-c549-4365-9785-ec401aceb03d
187636	14	24219	2013-08-04 19:04:25.779037	2013-08-04 19:04:25.779037	\N	505ca5c1-5482-44f6-b8fe-92d14d21063c
166998	9	22325	2013-08-04 17:48:28.301368	2013-08-04 17:48:28.301368	\N	d8769f93-933d-4f8b-a034-1788fb207d2e
160492	2	21430	2013-08-04 17:12:02.027214	2013-08-04 17:12:02.027214	\N	da143679-d441-4bb4-bc6e-0e51ccf16dd2
160495	2	21450	2013-08-04 17:12:02.078316	2013-08-04 17:12:02.078316	\N	2c6e3414-fff4-4213-9a14-fbb78f943e43
160496	2	21426	2013-08-04 17:12:02.146044	2013-08-04 17:12:02.146044	\N	fece600b-3958-486a-b201-67983a717124
160497	2	21440	2013-08-04 17:12:02.201432	2013-08-04 17:12:02.201432	\N	cbfeabad-00c7-4fda-901f-d22fec208608
160498	2	21425	2013-08-04 17:12:02.253294	2013-08-04 17:12:02.253294	\N	28a02bbb-1dc4-4e84-8870-e3ea983d397d
160499	2	21449	2013-08-04 17:12:02.312637	2013-08-04 17:12:02.312637	\N	16500bf9-dfb6-4367-9bd8-936f480bbfb7
160500	2	21433	2013-08-04 17:12:02.361136	2013-08-04 17:12:02.361136	\N	f15e9f84-7dc6-4d05-a4d2-20a95bc76a44
160501	2	21435	2013-08-04 17:12:02.408679	2013-08-04 17:12:02.408679	\N	957b75e3-9e9e-4f22-900b-b74017d53a9f
160502	2	21429	2013-08-04 17:12:02.455765	2013-08-04 17:12:02.455765	\N	2e3139af-2489-4894-8651-78364d045779
160503	2	21443	2013-08-04 17:12:02.496185	2013-08-04 17:12:02.496185	\N	0bec31a9-e26f-45b5-88f5-a304084f3b63
160504	2	21388	2013-08-04 17:12:02.529337	2013-08-04 17:12:02.529337	\N	7ff096db-4504-46a7-931a-7009666a2c35
160505	2	21462	2013-08-04 17:12:02.586603	2013-08-04 17:12:02.586603	\N	9e65833b-0e96-46c1-9449-96c347503e58
160506	2	21444	2013-08-04 17:12:02.662489	2013-08-04 17:12:02.662489	\N	c6b6e952-287a-4f44-9f48-19e023268f4f
160507	2	21446	2013-08-04 17:12:02.705976	2013-08-04 17:12:02.705976	\N	9c5d4e0e-6280-470f-aadd-488ac68e8689
160508	2	21461	2013-08-04 17:12:02.800412	2013-08-04 17:12:02.800412	\N	00cba3c8-45d3-42b7-a8af-0749b6759b22
177158	10	23346	2013-08-04 18:28:32.786412	2013-08-04 18:28:32.786412	\N	9572c0a5-5b7c-45b7-9fbe-cfc70295eace
195090	10	24751	2013-08-04 19:37:51.500246	2013-08-04 19:37:51.500246	\N	8c485501-06db-463c-a413-27a55f2a4f03
143068	10	19246	2013-08-04 01:52:29.886448	2013-08-04 01:52:29.886448	\N	ce0c166b-a375-4189-a345-ee753c263489
160516	8	21440	2013-08-04 17:12:06.130773	2013-08-04 17:12:06.130773	\N	de619428-1c46-44b7-8324-73e9a2d72b5f
166943	7	22231	2013-08-04 17:48:00.953659	2013-08-04 17:48:00.953659	\N	da39feb0-fa7b-43d5-9663-e3d0d69f7a04
151112	19	20215	2013-08-04 02:31:42.997848	2013-08-04 02:31:42.997848	\N	5c479762-ea13-4f4b-a154-aac1861f12c5
166944	7	22246	2013-08-04 17:48:01.027588	2013-08-04 17:48:01.027588	\N	85822127-10f5-421c-abe2-fe32b4561778
151132	10	20254	2013-08-04 02:31:49.790182	2013-08-04 02:31:49.790182	\N	962bddcb-47ce-4c86-aeb0-010bd2f44f8a
166945	7	22270	2013-08-04 17:48:01.079385	2013-08-04 17:48:01.079385	\N	3debf7db-7abb-4f95-a099-73eb9853153d
166946	7	22261	2013-08-04 17:48:01.149435	2013-08-04 17:48:01.149435	\N	447e708d-620a-4dcf-b287-eae221c6d5be
148288	6	19729	2013-08-04 02:11:52.833806	2013-08-04 02:11:52.833806	\N	0e1c41b1-ec21-4727-bc57-557965e6a4e8
143080	2	19246	2013-08-04 01:52:32.204618	2013-08-04 01:52:32.204618	\N	dad4f86f-ad47-44b6-9bd4-5f24d5eb8407
163757	8	21766	2013-08-04 17:26:57.156326	2013-08-04 17:26:57.156326	\N	7109836d-e3ab-41dd-9d1d-3ae732a5fb9f
160585	1	21364	2013-08-04 17:12:19.48442	2013-08-04 17:12:19.48442	\N	9f330182-fef8-45da-80c7-e8a43d6b9346
145949	13	19351	2013-08-04 01:58:51.359216	2013-08-04 01:58:51.359216	\N	13a9486a-117e-4aae-a125-2dde94a42ada
163794	7	21766	2013-08-04 17:26:59.999317	2013-08-04 17:26:59.999317	\N	46b22044-4ea7-4688-bf28-bd64da97405d
163795	3	21766	2013-08-04 17:27:00.174068	2013-08-04 17:27:00.174068	\N	e66ab90f-1655-4bd8-871f-f4a19dc4a4f6
148318	14	19699	2013-08-04 02:12:03.794319	2013-08-04 02:12:03.794319	\N	a881f61e-5f94-4bbf-bcaf-12a2b7b7712d
163796	7	21727	2013-08-04 17:27:01.247828	2013-08-04 17:27:01.247828	\N	4d7c892a-66f9-4c0d-a47d-5f61f01761cf
148320	14	19750	2013-08-04 02:12:04.446885	2013-08-04 02:12:04.446885	\N	9e53e342-36ed-4783-a2ff-9c42c0feca97
163798	8	21742	2013-08-04 17:27:02.005613	2013-08-04 17:27:02.005613	\N	fbdf494c-de0e-4216-9330-0a6fc0182992
207340	4	26466	2013-08-04 20:44:53.517881	2013-08-04 20:44:53.517881	\N	90583e2e-54c6-4541-b352-dbe4285c37cb
163800	8	21812	2013-08-04 17:27:03.709121	2013-08-04 17:27:03.709121	\N	ece80f6e-18a8-4b8e-a0bc-6c07c613d4e5
151288	3	20203	2013-08-04 02:32:53.948993	2013-08-04 02:32:53.948993	\N	00c5ee1b-5a6e-4d04-abab-147750b5eb53
151289	3	20254	2013-08-04 02:32:54.047649	2013-08-04 02:32:54.047649	\N	259c8097-6033-469c-8e05-5b431723a828
151290	3	20215	2013-08-04 02:32:54.115948	2013-08-04 02:32:54.115948	\N	a1ede9d5-9e55-400c-ba04-56671215ed33
184026	2	23800	2013-08-04 18:51:43.799843	2013-08-04 18:51:43.799843	\N	17db1e6c-2c11-4f5d-94fa-12566138f626
160886	10	21388	2013-08-04 17:13:38.645991	2013-08-04 17:13:38.645991	\N	54f9e20f-3ba4-4139-bdaf-a1435d1eb366
160887	10	21349	2013-08-04 17:13:38.719869	2013-08-04 17:13:38.719869	\N	f706e9aa-0064-4cc8-8ee6-9df8002bc7e9
160888	10	21389	2013-08-04 17:13:38.797029	2013-08-04 17:13:38.797029	\N	bb34bdb0-a4ee-4e9e-b6fe-4289e3e359c4
163804	20	21766	2013-08-04 17:27:05.902166	2013-08-04 17:27:05.902166	\N	17c30731-8c28-434e-927a-0ba1a37c5b75
163805	20	21727	2013-08-04 17:27:06.013416	2013-08-04 17:27:06.013416	\N	1cc8aab2-0e10-4eeb-9c2a-d71960ff8b2a
207341	4	26490	2013-08-04 20:44:53.563422	2013-08-04 20:44:53.563422	\N	abc2bb4e-d2ac-4d90-bfd5-3367cbf55c04
207342	4	26470	2013-08-04 20:44:53.598619	2013-08-04 20:44:53.598619	\N	8033a18b-9c26-4f50-8982-1ffa6e5a4050
163808	14	21669	2013-08-04 17:27:06.475632	2013-08-04 17:27:06.475632	\N	036548ec-ad22-4e1c-a6cb-13e29f1f9d56
148344	10	19699	2013-08-04 02:12:13.905488	2013-08-04 02:12:13.905488	\N	31d16348-20ab-4dbf-bcab-6000e9f2e397
163809	14	21668	2013-08-04 17:27:06.523578	2013-08-04 17:27:06.523578	\N	37eb4689-0531-44ae-8083-652e5563d20d
160911	2	21415	2013-08-04 17:13:41.589449	2013-08-04 17:13:41.589449	\N	309aa4d2-2a75-4f99-8266-54628c70408f
207343	4	26484	2013-08-04 20:44:53.643434	2013-08-04 20:44:53.643434	\N	18cfff94-7bdf-43b3-ae14-ec4b95fe2e42
203169	14	25699	2013-08-04 20:15:53.898977	2013-08-04 20:15:53.898977	\N	78e46f78-70b6-42bf-8754-85b2e4bfea38
163844	11	21766	2013-08-04 17:27:18.563108	2013-08-04 17:27:18.563108	\N	0191be98-4a99-4a2e-bdf6-9cf0c6e11095
160918	2	21405	2013-08-04 17:13:41.855478	2013-08-04 17:13:41.855478	\N	d897c9b5-ecad-4a1d-b4dc-96e31bc23e3c
195094	10	24860	2013-08-04 19:37:51.645605	2013-08-04 19:37:51.645605	\N	0db74751-31cc-4ae9-83d7-ee86b335f421
170295	16	22624	2013-08-04 18:03:13.970643	2013-08-04 18:03:13.970643	\N	5b2ff0bb-fbcc-418d-92c4-4c124ea1a33f
195121	7	24846	2013-08-04 19:37:53.917215	2013-08-04 19:37:53.917215	\N	16008984-d9ad-47da-9e73-83362c32cdc3
195122	14	24751	2013-08-04 19:37:55.175558	2013-08-04 19:37:55.175558	\N	93f4881b-b6a8-471e-b4e9-2a722ce47f07
195148	15	24790	2013-08-04 19:38:01.40012	2013-08-04 19:38:01.40012	\N	d9f271aa-fad5-449f-bf25-8ac3af0ce43d
195158	1	24827	2013-08-04 19:38:08.122385	2013-08-04 19:38:08.122385	\N	178df810-9b87-4ca5-9fdd-1223aa59c6fd
163865	1	21742	2013-08-04 17:27:24.364921	2013-08-04 17:27:24.364921	\N	2b9933ef-b93b-4297-91ac-aaa817dd37e3
195173	7	24828	2013-08-04 19:38:12.417937	2013-08-04 19:38:12.417937	\N	8a61924a-30bf-467d-b69e-3fd160f16504
195223	6	24751	2013-08-04 19:38:23.43453	2013-08-04 19:38:23.43453	\N	1436459b-e86e-4b28-9d62-20ca63a333c8
163872	2	21821	2013-08-04 17:27:25.748143	2013-08-04 17:27:25.748143	\N	bfcf3bda-a1d0-42ae-943e-dae59f7eeb0e
163879	9	21727	2013-08-04 17:27:30.79972	2013-08-04 17:27:30.79972	\N	c7e247a5-e1a5-4cf2-8f8f-6f7d0b40798c
163880	2	21839	2013-08-04 17:27:30.894645	2013-08-04 17:27:30.894645	\N	cbd818ae-ea89-431c-918c-afee1803c219
163881	9	21821	2013-08-04 17:27:30.958909	2013-08-04 17:27:30.958909	\N	bcbcc937-288c-4e57-818e-7d92f52cc6ac
163882	9	21807	2013-08-04 17:27:31.125612	2013-08-04 17:27:31.125612	\N	54c96b8d-cbab-40dd-a3b8-27e47d0c08b5
163883	9	21813	2013-08-04 17:27:31.302314	2013-08-04 17:27:31.302314	\N	9742cf97-013c-44b3-9bb0-8dd29f60f1b4
195250	11	24828	2013-08-04 19:38:42.502303	2013-08-04 19:38:42.502303	\N	9ed30c7e-ed2f-4ca0-91c3-6f7ad4928a38
154339	14	20758	2013-08-04 02:53:56.438466	2013-08-04 02:53:56.438466	\N	ec6ba826-06cf-43b7-989b-c64775d530c4
163892	13	21727	2013-08-04 17:27:33.989118	2013-08-04 17:27:33.989118	\N	a1788c52-9be4-41c2-ad17-ca4e2a9f245a
195252	11	24751	2013-08-04 19:38:44.027462	2013-08-04 19:38:44.027462	\N	98908903-fa6e-4032-b25b-dfc17dec4060
163920	9	21766	2013-08-04 17:27:42.114698	2013-08-04 17:27:42.114698	\N	07e30d5e-9a63-4f14-b9ac-017b60fc8ecf
163927	14	21813	2013-08-04 17:27:44.437997	2013-08-04 17:27:44.437997	\N	0a83269d-5e4e-4d26-92f0-2382029feda3
177238	1	23333	2013-08-04 18:28:46.699863	2013-08-04 18:28:46.699863	\N	3a21a1f5-5779-4ae4-957c-4a7c24fea4d6
195289	11	24864	2013-08-04 19:38:51.48833	2013-08-04 19:38:51.48833	\N	d2bef042-440f-4be7-be73-445c80b6458d
161147	19	21364	2013-08-04 17:14:13.053582	2013-08-04 17:14:13.053582	\N	2d52a012-6909-464c-8405-7f7075e44a1a
163937	19	21812	2013-08-04 17:27:51.253303	2013-08-04 17:27:51.253303	\N	f6250832-0a22-469e-b5e3-6e5aa4cdd83a
187712	2	24188	2013-08-04 19:04:43.976928	2013-08-04 19:04:43.976928	\N	275cbd1a-c2d1-4b52-ad67-b51a685d3576
167081	11	22315	2013-08-04 17:49:00.429665	2013-08-04 17:49:00.429665	\N	9f6c4065-7817-4d6a-8aa3-36158f8c66fb
154491	3	20734	2013-08-04 02:54:58.978099	2013-08-04 02:54:58.978099	\N	1ece91d0-45ee-4397-bcec-1977277410bc
151655	11	20230	2013-08-04 02:35:04.418191	2013-08-04 02:35:04.418191	\N	a68aae32-fe2b-4fc4-84d9-dee0e274df6f
167088	10	22270	2013-08-04 17:49:02.313214	2013-08-04 17:49:02.313214	\N	637cf589-37ed-4a23-a5b7-19abe76e23f3
167089	10	22231	2013-08-04 17:49:02.424032	2013-08-04 17:49:02.424032	\N	de78908b-49e5-479d-9906-728cd8d798e0
163971	1	21804	2013-08-04 17:28:03.082168	2013-08-04 17:28:03.082168	\N	c8e7a252-4a4e-4dee-ba4e-c1b410c17772
207693	14	26591	2013-08-04 20:47:42.906362	2013-08-04 20:47:42.906362	\N	34018f73-9461-46e8-a0ba-ddf85598c8e2
207697	9	26595	2013-08-04 20:47:44.47684	2013-08-04 20:47:44.47684	\N	83236364-74cd-4aea-b4a8-eaaac90115a6
170528	10	22648	2013-08-04 18:04:02.697512	2013-08-04 18:04:02.697512	\N	095665e5-8b66-477e-9119-930e7fc11ae3
151695	13	20329	2013-08-04 02:35:48.939156	2013-08-04 02:35:48.939156	\N	84c270d0-74aa-419b-a5e7-7fc3df7bd7ea
151696	17	20381	2013-08-04 02:35:49.47391	2013-08-04 02:35:49.47391	\N	cad49118-d51e-4f16-a2bd-8d1a48a39136
151697	19	20341	2013-08-04 02:35:49.628651	2013-08-04 02:35:49.628651	\N	fd0e7f19-b88e-4e57-8a6e-cd91439fa595
151700	1	20341	2013-08-04 02:35:50.623232	2013-08-04 02:35:50.623232	\N	6d3f7548-705c-4ab6-b8f7-6a327c9a5f78
160527	14	21443	2013-08-04 17:12:08.804963	2013-08-04 17:12:08.804963	\N	d161f365-e5f9-4b29-a925-85b47d847a80
160533	19	21450	2013-08-04 17:12:11.628349	2013-08-04 17:12:11.628349	\N	2480f793-57bf-41aa-941a-9819afd6fa15
166976	14	22295	2013-08-04 17:48:19.036774	2013-08-04 17:48:19.036774	\N	a0190866-8966-4eab-9376-becd3e2e945d
166977	14	22329	2013-08-04 17:48:19.088816	2013-08-04 17:48:19.088816	\N	efbef61d-419f-40d2-8391-72399e018aad
166978	14	22284	2013-08-04 17:48:19.146235	2013-08-04 17:48:19.146235	\N	57bf1bd6-e29f-45df-97ea-2ff7009d0fa0
177155	10	23278	2013-08-04 18:28:32.383896	2013-08-04 18:28:32.383896	\N	2b73770d-d116-45b3-ad19-323a7e4f157b
177156	10	23239	2013-08-04 18:28:32.52802	2013-08-04 18:28:32.52802	\N	2543d867-ee57-4e45-927f-4341cc4ce9c1
177157	10	23340	2013-08-04 18:28:32.67205	2013-08-04 18:28:32.67205	\N	d696d149-f025-467e-b0db-1799fe69893d
170297	16	22648	2013-08-04 18:03:14.16293	2013-08-04 18:03:14.16293	\N	55585a94-43ac-450b-a2d8-c18395ae3aaa
166988	2	22311	2013-08-04 17:48:24.107583	2013-08-04 17:48:24.107583	\N	b5b1e607-a8a6-415e-8d9b-74f8d9285ce7
154200	20	20719	2013-08-04 02:53:10.11507	2013-08-04 02:53:10.11507	\N	cbd865c8-d192-46bd-8c9f-4543dc6fcec1
166991	3	22261	2013-08-04 17:48:24.763957	2013-08-04 17:48:24.763957	\N	3e37b4fe-4f7a-456b-bd7e-891b16554821
166992	3	22270	2013-08-04 17:48:24.790948	2013-08-04 17:48:24.790948	\N	9b49fff0-9c05-4491-ab92-9da40059898c
160605	14	21364	2013-08-04 17:12:24.619256	2013-08-04 17:12:24.619256	\N	9848b351-574f-4e86-abd1-d0eb3895ab5f
160606	14	21388	2013-08-04 17:12:24.740256	2013-08-04 17:12:24.740256	\N	73f983bb-e6d0-4d9c-b087-d6024e3458f6
207350	4	26458	2013-08-04 20:44:55.794379	2013-08-04 20:44:55.794379	\N	55f00e42-a8f1-4f1e-8d29-432921807513
163694	2	21660	2013-08-04 17:25:56.100088	2013-08-04 17:25:56.100088	\N	33de2b0c-ed07-4629-afff-351dc665cac3
160623	9	21435	2013-08-04 17:12:31.158952	2013-08-04 17:12:31.158952	\N	d2c12b07-5255-4609-b48f-da8bb7cf9ad6
160626	9	21425	2013-08-04 17:12:31.362325	2013-08-04 17:12:31.362325	\N	ac788ef6-994c-493f-b4c3-a541a6a220da
160628	9	21461	2013-08-04 17:12:31.53442	2013-08-04 17:12:31.53442	\N	4d442c26-a735-4d0b-84ef-c192d6a1d21e
163701	2	21663	2013-08-04 17:26:01.199659	2013-08-04 17:26:01.199659	\N	a0d74a21-0a0a-49a2-b99a-a41d9f957048
160634	19	21440	2013-08-04 17:12:33.744761	2013-08-04 17:12:33.744761	\N	f818da58-fcfc-4a2f-9b26-19f5c93691a7
203287	14	25648	2013-08-04 20:16:18.777912	2013-08-04 20:16:18.777912	\N	40a1167e-bf40-457b-b358-6f92f856e3f2
163760	4	21727	2013-08-04 17:26:58.205769	2013-08-04 17:26:58.205769	\N	7baf7b52-e5fe-4875-8b92-a27c8a80e59f
163762	4	21742	2013-08-04 17:26:58.291679	2013-08-04 17:26:58.291679	\N	3564c5dd-7446-437e-907c-a0327cfb7985
163764	4	21766	2013-08-04 17:26:58.335513	2013-08-04 17:26:58.335513	\N	75ca9c99-fd4a-4a21-8803-b438bd26d5a6
163793	8	21727	2013-08-04 17:26:59.959601	2013-08-04 17:26:59.959601	\N	b08f3b27-7b83-457e-84c7-04845e6b4f15
163813	11	21804	2013-08-04 17:27:10.868021	2013-08-04 17:27:10.868021	\N	f06bc29c-d515-4d8a-8464-e247e96da9f8
163842	14	21766	2013-08-04 17:27:17.444007	2013-08-04 17:27:17.444007	\N	159ea0c9-f984-45a1-86a2-b7d1d8522244
148506	15	19750	2013-08-04 02:13:02.48167	2013-08-04 02:13:02.48167	\N	d861acac-6fcb-4861-8a71-67d8c78f6724
160662	17	21349	2013-08-04 17:12:43.475488	2013-08-04 17:12:43.475488	\N	65779f1b-598e-4bd3-a9fd-ff3114f5ee30
198980	14	25324	2013-08-04 19:59:47.721436	2013-08-04 19:59:47.721436	\N	f38251aa-29fa-428d-b9ce-2117ad73d0f2
163848	19	21727	2013-08-04 17:27:20.024824	2013-08-04 17:27:20.024824	\N	e0e17ea1-e684-490b-96e0-df554dae1ce0
154263	16	20719	2013-08-04 02:53:31.943763	2013-08-04 02:53:31.943763	\N	68c20ed4-ae53-4e05-8a61-35f446a42616
154264	16	20707	2013-08-04 02:53:32.098133	2013-08-04 02:53:32.098133	\N	8935ae6c-1fc0-419c-a3b5-4c83d84c2b2f
154265	16	20734	2013-08-04 02:53:32.248144	2013-08-04 02:53:32.248144	\N	b08596ce-8a6c-43c3-a7e2-6c9bb2d3ba09
154266	16	20758	2013-08-04 02:53:32.51808	2013-08-04 02:53:32.51808	\N	524b586b-ae43-45e9-8848-4704ae5eacf8
198991	2	25331	2013-08-04 19:59:49.866617	2013-08-04 19:59:49.866617	\N	b3645ec4-f266-4762-8103-06abe7d13381
163861	19	21742	2013-08-04 17:27:22.593776	2013-08-04 17:27:22.593776	\N	77dee929-313d-4533-a6d3-7d7a03660926
163862	1	21727	2013-08-04 17:27:23.171299	2013-08-04 17:27:23.171299	\N	6b4c5b39-d0a0-40f2-a0b4-599c082417e6
173712	14	22861	2013-08-04 18:15:39.671077	2013-08-04 18:15:39.671077	\N	ff349e61-6fed-4c0f-b89b-70ab10c1ac11
163910	9	21827	2013-08-04 17:27:40.930356	2013-08-04 17:27:40.930356	\N	f700bf39-d6d4-4969-b0e2-231a0c24e687
163911	2	21727	2013-08-04 17:27:41.040377	2013-08-04 17:27:41.040377	\N	12f8ccfa-a075-47ec-ad63-0d58a6979f34
160767	17	21388	2013-08-04 17:13:05.147251	2013-08-04 17:13:05.147251	\N	bb9d23d4-089c-4b0a-a496-a4f865f4ee64
195076	2	24751	2013-08-04 19:37:50.963782	2013-08-04 19:37:50.963782	\N	f524b68f-552c-4b40-ac87-7f2a01d0a389
163978	4	21802	2013-08-04 17:28:06.631036	2013-08-04 17:28:06.631036	\N	e844c0d9-6cf6-41b1-bbba-3a0867520577
163979	4	21804	2013-08-04 17:28:06.667342	2013-08-04 17:28:06.667342	\N	2e4915cf-2819-49ff-afba-6003e8099f97
163982	4	21808	2013-08-04 17:28:06.700045	2013-08-04 17:28:06.700045	\N	3a3800a5-c8b8-446b-ab5c-50eee8b6d9ee
163983	4	21812	2013-08-04 17:28:06.734352	2013-08-04 17:28:06.734352	\N	7eec5a15-d885-4999-9d60-d6f1c8b8074c
163986	4	21814	2013-08-04 17:28:06.767292	2013-08-04 17:28:06.767292	\N	f7c45143-df41-4fda-86e2-5a35ce5f3c1a
163988	4	21816	2013-08-04 17:28:06.798512	2013-08-04 17:28:06.798512	\N	f533773e-4863-40e5-9c7d-9ee35a533719
163991	4	21818	2013-08-04 17:28:06.832217	2013-08-04 17:28:06.832217	\N	37994189-35a4-4910-a3a5-b165a1f1f14b
163994	4	21822	2013-08-04 17:28:06.866228	2013-08-04 17:28:06.866228	\N	44d94bff-922d-4e57-88a7-f24d6fe6d95f
163995	4	21840	2013-08-04 17:28:06.917423	2013-08-04 17:28:06.917423	\N	a1de792a-ea2f-4c63-9b12-a3c994bc8403
160806	2	21408	2013-08-04 17:13:15.529991	2013-08-04 17:13:15.529991	\N	bbf3d6eb-a9f6-494c-aa58-7b52be6edf37
163996	4	21834	2013-08-04 17:28:06.980142	2013-08-04 17:28:06.980142	\N	27bf7da3-2b6b-4679-9ff3-c09963d53fd2
151535	4	20230	2013-08-04 02:34:23.094253	2013-08-04 02:34:23.094253	\N	10b4d479-8a8c-4b2b-a281-a201cf80487b
195077	2	24747	2013-08-04 19:37:51.017689	2013-08-04 19:37:51.017689	\N	72b86f05-bf0c-45d8-b91b-1aec7aec5e00
195078	2	24756	2013-08-04 19:37:51.044019	2013-08-04 19:37:51.044019	\N	48f06292-5034-4c91-8af1-8feb84e418fb
151538	7	20230	2013-08-04 02:34:24.33398	2013-08-04 02:34:24.33398	\N	10e9ac31-f52d-49a5-ad54-1a83c3df7de6
160810	2	21414	2013-08-04 17:13:15.64849	2013-08-04 17:13:15.64849	\N	7db78099-13de-4c4e-bae4-e286534092ff
195079	2	24759	2013-08-04 19:37:51.101535	2013-08-04 19:37:51.101535	\N	25a82839-626f-43c7-babe-28929344c7e1
151566	1	20230	2013-08-04 02:34:34.107564	2013-08-04 02:34:34.107564	\N	280bde53-edbe-411f-96cf-bc79091fe3c6
184245	7	23884	2013-08-04 18:52:50.315042	2013-08-04 18:52:50.315042	\N	c65aedac-1545-4e05-9341-22272d2ec155
195080	2	24753	2013-08-04 19:37:51.154931	2013-08-04 19:37:51.154931	\N	64cb019b-354e-439c-ab96-0d51a0250845
177468	1	23351	2013-08-04 18:29:16.937282	2013-08-04 18:29:16.937282	\N	e3919cb0-8b9f-4023-ab01-4ea3f8428c32
164031	4	21811	2013-08-04 17:28:15.225902	2013-08-04 17:28:15.225902	\N	89415a33-4bb5-492b-a996-4a46184190c5
164033	4	21813	2013-08-04 17:28:15.273805	2013-08-04 17:28:15.273805	\N	e54d69a4-cbf1-40af-a9b5-5d2f7ffa75b4
170562	10	22609	2013-08-04 18:04:07.868497	2013-08-04 18:04:07.868497	\N	b7c635b8-96b9-4f98-9f67-fdd013e0bf64
199071	3	25294	2013-08-04 20:00:02.85075	2013-08-04 20:00:02.85075	\N	28a106c4-84f4-4a16-be48-6ba0a9d8ed90
195085	2	24768	2013-08-04 19:37:51.324094	2013-08-04 19:37:51.324094	\N	2d2f92fa-64ca-43b1-a278-1678e1267309
199072	3	25270	2013-08-04 20:00:02.909651	2013-08-04 20:00:02.909651	\N	0ddd3ab0-2acb-4827-9caf-c4535c2164cd
184258	2	23949	2013-08-04 18:52:50.756218	2013-08-04 18:52:50.756218	\N	e0111813-8926-4707-bdc3-d62ccdbbc42c
177476	11	23352	2013-08-04 18:29:18.955429	2013-08-04 18:29:18.955429	\N	c12b024c-19e4-487e-a257-fe0498436813
195087	2	24774	2013-08-04 19:37:51.403483	2013-08-04 19:37:51.403483	\N	8284e39f-427c-4f61-bf57-f9861eb13bde
184262	7	23869	2013-08-04 18:52:50.889942	2013-08-04 18:52:50.889942	\N	ce4941d2-51a7-4010-ab7b-97771aead9f6
184265	1	23982	2013-08-04 18:52:51.708225	2013-08-04 18:52:51.708225	\N	e5e0af53-aa3d-4ff7-8339-9e4e4fd49a0c
195088	2	24827	2013-08-04 19:37:51.444445	2013-08-04 19:37:51.444445	\N	64dc8a60-0792-406a-ba4a-4f875a1aec15
195089	2	24766	2013-08-04 19:37:51.499945	2013-08-04 19:37:51.499945	\N	4d5fd44c-f29d-48d8-be14-9b5730cacc67
167010	15	22261	2013-08-04 17:48:38.170257	2013-08-04 17:48:38.170257	\N	6dfd3107-e312-4610-a537-c585aa3c6d8b
187641	10	24230	2013-08-04 19:04:27.837974	2013-08-04 19:04:27.837974	\N	ddead4f9-9d3b-48ef-a2e4-a61fbc21f314
177176	16	23254	2013-08-04 18:28:35.419645	2013-08-04 18:28:35.419645	\N	51aff492-72be-4484-9a30-091ab16c5eb6
167099	2	22261	2013-08-04 17:49:10.945026	2013-08-04 17:49:10.945026	\N	30d77772-419a-4817-aa54-0100b66c355c
177177	16	23278	2013-08-04 18:28:35.659765	2013-08-04 18:28:35.659765	\N	f9b71455-2246-4a39-bc96-f92b970251d7
173733	2	22919	2013-08-04 18:15:41.476408	2013-08-04 18:15:41.476408	\N	9c157657-47a6-4966-bf49-23762a94176c
160646	3	21388	2013-08-04 17:12:37.664053	2013-08-04 17:12:37.664053	\N	18af5b8e-6805-4c53-a589-d1a26d0bc1a8
160647	3	21364	2013-08-04 17:12:37.712701	2013-08-04 17:12:37.712701	\N	a71d52af-9b9b-4934-b16c-eb912fb9f8bf
160648	3	21349	2013-08-04 17:12:37.750807	2013-08-04 17:12:37.750807	\N	638e8a77-b4d7-49dd-8404-678fba6c50a1
160652	9	21449	2013-08-04 17:12:40.794924	2013-08-04 17:12:40.794924	\N	66c7f752-251d-4ba3-86ae-4ded9d50b95e
148588	16	19711	2013-08-04 02:13:29.617695	2013-08-04 02:13:29.617695	\N	eac6df65-9916-4f42-a1d0-b8699f493210
148589	16	19699	2013-08-04 02:13:29.792601	2013-08-04 02:13:29.792601	\N	a1bf1be6-bfc2-4d8a-8eb4-b009e2788f7a
163759	1	21766	2013-08-04 17:26:57.259015	2013-08-04 17:26:57.259015	\N	a81238e5-6283-4083-bac7-97d1af7e40d3
163761	2	21742	2013-08-04 17:26:58.206521	2013-08-04 17:26:58.206521	\N	a38510e3-3220-4cba-8fad-2efeb3fa0718
163763	2	21735	2013-08-04 17:26:58.300753	2013-08-04 17:26:58.300753	\N	252910b7-befa-415e-bb19-824509f4e62f
163765	2	21762	2013-08-04 17:26:58.341677	2013-08-04 17:26:58.341677	\N	067f18a1-ff71-4dcb-95bc-82cb921569c4
163766	2	21759	2013-08-04 17:26:58.449688	2013-08-04 17:26:58.449688	\N	92b9be14-d384-4e9c-a1a3-79bf990e968e
163767	2	21732	2013-08-04 17:26:58.497205	2013-08-04 17:26:58.497205	\N	73a03327-603a-448b-817e-6a7c39300d10
163768	2	21744	2013-08-04 17:26:58.56248	2013-08-04 17:26:58.56248	\N	87c6024f-9897-4b23-b0d0-2be05e5191da
163769	2	21750	2013-08-04 17:26:58.587332	2013-08-04 17:26:58.587332	\N	b5ac0187-d708-4138-a25e-a677311b8294
163770	2	21768	2013-08-04 17:26:58.614038	2013-08-04 17:26:58.614038	\N	abe68211-237c-4695-9b2f-bf78e8139837
163771	2	21771	2013-08-04 17:26:58.664419	2013-08-04 17:26:58.664419	\N	b7aa10fe-4fba-42a6-976e-09e6f424d962
163772	2	21723	2013-08-04 17:26:58.696996	2013-08-04 17:26:58.696996	\N	9bbeb5bb-4120-49af-a81b-e01af8861155
163773	2	21766	2013-08-04 17:26:58.737034	2013-08-04 17:26:58.737034	\N	14a90133-d868-4115-843b-b1bda8c9de83
163774	2	21780	2013-08-04 17:26:58.787466	2013-08-04 17:26:58.787466	\N	ebeff9db-eca2-40c3-9a4c-750ec08d9c35
195116	4	24751	2013-08-04 19:37:53.405525	2013-08-04 19:37:53.405525	\N	02a0d9d7-43b3-4633-a4a3-bbf4543be1ab
195118	4	24766	2013-08-04 19:37:53.447894	2013-08-04 19:37:53.447894	\N	a783623a-af8c-4d2e-8d20-b91c0161ae58
163778	2	21738	2013-08-04 17:26:58.932699	2013-08-04 17:26:58.932699	\N	9d973c12-b707-4152-8b2e-1bfd50c3ffe7
195119	4	24790	2013-08-04 19:37:53.513343	2013-08-04 19:37:53.513343	\N	c2135590-fc9b-4887-8877-2af12f82304b
195120	8	24790	2013-08-04 19:37:53.751407	2013-08-04 19:37:53.751407	\N	5044fdeb-8c90-49d2-9936-d3aad4c72edd
163781	2	21729	2013-08-04 17:26:59.06264	2013-08-04 17:26:59.06264	\N	1c1bbbd9-7994-4df6-8b00-0f37531b2229
195132	1	24790	2013-08-04 19:37:57.179273	2013-08-04 19:37:57.179273	\N	4587c664-48e6-4c65-97b8-44642add5720
163785	2	21756	2013-08-04 17:26:59.231435	2013-08-04 17:26:59.231435	\N	a24fce97-cbcf-4e94-9cc0-b21b39731660
180714	11	23568	2013-08-04 18:39:51.620806	2013-08-04 18:39:51.620806	\N	8ef1a9d3-2faa-466f-a615-f6905247c131
151582	6	20230	2013-08-04 02:34:39.716343	2013-08-04 02:34:39.716343	\N	3e152f66-4104-482e-ab0a-8d19c2645571
163788	2	21811	2013-08-04 17:26:59.33568	2013-08-04 17:26:59.33568	\N	67204756-9b44-4e94-b189-accb39257bf3
163789	2	21813	2013-08-04 17:26:59.384806	2013-08-04 17:26:59.384806	\N	df9185a1-e944-4055-92ae-cc9b9e003c4c
163790	2	21803	2013-08-04 17:26:59.436769	2013-08-04 17:26:59.436769	\N	94270598-f076-4b8c-9209-9148a1fd4e68
163791	2	21807	2013-08-04 17:26:59.49193	2013-08-04 17:26:59.49193	\N	418fcae7-a3ec-41b7-8108-1fbe5d159f44
163815	11	21727	2013-08-04 17:27:12.301651	2013-08-04 17:27:12.301651	\N	4f14eb34-4f50-489f-90f3-3882fdf8c5a4
151675	7	20380	2013-08-04 02:35:44.015148	2013-08-04 02:35:44.015148	\N	83ddee4f-788a-47f5-ba76-637883320faa
163821	7	21742	2013-08-04 17:27:14.323129	2013-08-04 17:27:14.323129	\N	ebb743a6-b494-4875-8ee2-6173841b5df1
151680	7	20329	2013-08-04 02:35:44.456959	2013-08-04 02:35:44.456959	\N	bf7a210e-f87c-4ff0-b2f8-4cba4b69de2a
151684	4	20341	2013-08-04 02:35:47.70458	2013-08-04 02:35:47.70458	\N	83b9e9da-c66e-4ffb-bcd4-b62574f76d36
151686	4	20329	2013-08-04 02:35:47.809227	2013-08-04 02:35:47.809227	\N	9b8ff9c5-2499-4d5d-b9cf-94aa795971e8
151687	4	20356	2013-08-04 02:35:47.868201	2013-08-04 02:35:47.868201	\N	8292a4bc-5459-4776-9ae7-7252e318b021
151689	4	20380	2013-08-04 02:35:47.915925	2013-08-04 02:35:47.915925	\N	d60a2c56-0eab-4cdf-81fa-be4dc878997f
151691	13	20341	2013-08-04 02:35:48.511844	2013-08-04 02:35:48.511844	\N	bd616dc0-69a4-4128-9c4c-678f70ef475d
151693	8	20329	2013-08-04 02:35:48.936534	2013-08-04 02:35:48.936534	\N	45797a2a-b839-47a6-a9f0-2df2b004c75e
184234	17	23869	2013-08-04 18:52:45.873642	2013-08-04 18:52:45.873642	\N	fc631d0f-b058-438b-971e-8282735ac2e2
148828	1	19711	2013-08-04 02:14:45.360633	2013-08-04 02:14:45.360633	\N	6ad2d385-2631-4ac1-b3e7-e84015e37f61
195153	13	24766	2013-08-04 19:38:07.236716	2013-08-04 19:38:07.236716	\N	64c344c8-f1a6-4151-86d4-c016f21abdd3
195162	1	24828	2013-08-04 19:38:11.189835	2013-08-04 19:38:11.189835	\N	09330430-ae7d-4f44-a824-fff5ccf6e7af
151726	8	20380	2013-08-04 02:35:53.176698	2013-08-04 02:35:53.176698	\N	dbbec9b4-f0d1-41b5-8c8e-c0c8f3909db3
151727	13	20380	2013-08-04 02:35:53.923639	2013-08-04 02:35:53.923639	\N	6f2a33fb-ca79-4bc3-9afe-27a88fe99759
151737	9	20329	2013-08-04 02:35:58.406246	2013-08-04 02:35:58.406246	\N	ed5c0bf1-c2c1-4239-b942-064d37bcf2c6
184241	2	23908	2013-08-04 18:52:48.316381	2013-08-04 18:52:48.316381	\N	1f0cfec9-88d9-4bb0-83cb-85c80169903e
151739	12	20381	2013-08-04 02:35:59.310275	2013-08-04 02:35:59.310275	\N	b613f004-f39a-4978-80b4-c94ed1f52f9b
184297	1	23946	2013-08-04 18:52:58.033695	2013-08-04 18:52:58.033695	\N	974d5b06-c6d3-45c4-be31-46cc1b2b4080
154522	14	20734	2013-08-04 02:55:09.7468	2013-08-04 02:55:09.7468	\N	c51c322d-68c6-4003-8cac-f9c9db9841df
151756	9	20380	2013-08-04 02:36:06.663561	2013-08-04 02:36:06.663561	\N	a80fe960-acdc-4286-a826-0937426f6008
163893	16	21727	2013-08-04 17:27:34.376928	2013-08-04 17:27:34.376928	\N	38c6e169-76b3-41c7-8193-8893dc3d0b1c
163895	16	21742	2013-08-04 17:27:34.511368	2013-08-04 17:27:34.511368	\N	434893d2-0cca-4b66-adbd-d6bedf322e30
184298	13	23869	2013-08-04 18:52:58.090502	2013-08-04 18:52:58.090502	\N	fa932ee4-5c90-479c-b9d3-a1c917ccf688
163902	1	21822	2013-08-04 17:27:37.694503	2013-08-04 17:27:37.694503	\N	56be2e07-5ee2-4924-a8d6-b40d2a3bb69b
151761	15	20381	2013-08-04 02:36:07.136134	2013-08-04 02:36:07.136134	\N	38fc9bc1-06f4-4f4c-b3f4-411ba87fa865
151762	3	20380	2013-08-04 02:36:07.821146	2013-08-04 02:36:07.821146	\N	334a091a-095a-41c9-b331-90dbf67ba544
184299	15	23908	2013-08-04 18:52:58.820518	2013-08-04 18:52:58.820518	\N	b5cf5224-6fa6-4740-9374-e10de60b4af4
151764	3	20356	2013-08-04 02:36:07.965569	2013-08-04 02:36:07.965569	\N	9c734865-7af0-490b-b287-e06c58ce1d69
163905	17	21727	2013-08-04 17:27:40.496632	2013-08-04 17:27:40.496632	\N	f217a53d-a40b-4916-95c8-d38f9babcfd6
207446	10	26498	2013-08-04 20:45:38.926948	2013-08-04 20:45:38.926948	\N	bb56c990-06d1-44e9-a0cd-c3913c83409d
167263	3	22246	2013-08-04 17:50:22.87037	2013-08-04 17:50:22.87037	\N	15214f08-39a8-4556-ada0-57d3569a6db3
167264	3	22231	2013-08-04 17:50:22.990588	2013-08-04 17:50:22.990588	\N	f2bde7b6-0beb-4adc-b313-146a6528fb4c
148913	7	19837	2013-08-04 02:15:52.618896	2013-08-04 02:15:52.618896	\N	2fc60a5f-6838-41ba-9f2c-79c19f3bf5b5
148914	7	19876	2013-08-04 02:15:52.678759	2013-08-04 02:15:52.678759	\N	589f14a0-8a49-4a8f-9905-b01197de57e2
148915	7	19825	2013-08-04 02:15:53.256991	2013-08-04 02:15:53.256991	\N	61328c74-a02a-4cc4-82fa-2002a2f30bbb
148919	17	19876	2013-08-04 02:15:53.678801	2013-08-04 02:15:53.678801	\N	20460ed7-6f40-4878-adfe-df64b008a8f6
195185	2	24818	2013-08-04 19:38:13.838252	2013-08-04 19:38:13.838252	\N	de30d370-7716-4506-81d2-8c456450d267
195189	14	24804	2013-08-04 19:38:14.8632	2013-08-04 19:38:14.8632	\N	46511e1f-fdb5-44ae-a72b-85e52a2e99e9
160577	1	21349	2013-08-04 17:12:18.661871	2013-08-04 17:12:18.661871	\N	f774dd82-e5be-4f02-8854-2be2f473e0f8
160579	4	21449	2013-08-04 17:12:19.172465	2013-08-04 17:12:19.172465	\N	8c1a08a5-6b8e-4563-ad6d-be5e4f607c7f
160580	4	21433	2013-08-04 17:12:19.199314	2013-08-04 17:12:19.199314	\N	2139fd16-7338-4bcb-9735-815fe8b35e92
160581	4	21435	2013-08-04 17:12:19.256472	2013-08-04 17:12:19.256472	\N	ffa8c477-b72f-400d-b9e4-d3de17af14f1
195093	2	24808	2013-08-04 19:37:51.631833	2013-08-04 19:37:51.631833	\N	4bb83cf0-3954-471d-8341-b2a4bf0389da
195095	2	24810	2013-08-04 19:37:51.672992	2013-08-04 19:37:51.672992	\N	5c42687f-03a8-433a-9ccd-c893c9fc0530
160593	19	21434	2013-08-04 17:12:23.111642	2013-08-04 17:12:23.111642	\N	7ece75cf-19e0-4e3a-ad4f-f8e71632bbba
195097	2	24798	2013-08-04 19:37:51.766192	2013-08-04 19:37:51.766192	\N	16b637c1-0a1e-4516-ad79-d0f2df0dd6ef
170347	11	22722	2013-08-04 18:03:17.436883	2013-08-04 18:03:17.436883	\N	b5897dbf-34f3-4b0f-bce4-2313af4348af
195100	2	24820	2013-08-04 19:37:51.927232	2013-08-04 19:37:51.927232	\N	4d6111c1-0e92-4e26-9283-01c0d7ae2073
163801	8	21818	2013-08-04 17:27:03.865529	2013-08-04 17:27:03.865529	\N	60a865ab-198d-4603-9f4b-e36987ad7cdf
163802	8	21828	2013-08-04 17:27:04.035516	2013-08-04 17:27:04.035516	\N	a9055f03-9474-4ff1-a617-702c5e2bda99
148916	7	19855	2013-08-04 02:15:53.49838	2013-08-04 02:15:53.49838	\N	61f9182b-6d82-4714-bd8f-7f2dd449cb91
148917	7	19877	2013-08-04 02:15:53.567397	2013-08-04 02:15:53.567397	\N	12ddfc49-7a38-43ab-b463-a25e33e30d14
163819	11	21808	2013-08-04 17:27:13.152896	2013-08-04 17:27:13.152896	\N	472e8b26-2d98-425c-89d5-9951aec501e7
148926	6	19825	2013-08-04 02:15:54.959134	2013-08-04 02:15:54.959134	\N	9d22c490-8eee-4ba6-9bb6-4031701847ef
148940	4	19837	2013-08-04 02:15:55.975128	2013-08-04 02:15:55.975128	\N	7a584d47-0bab-4a3a-bd24-8e4b1cac00b7
148941	4	19825	2013-08-04 02:15:56.015962	2013-08-04 02:15:56.015962	\N	b05cead3-95de-482c-9ee8-e09248b09f64
148942	4	19876	2013-08-04 02:15:56.074037	2013-08-04 02:15:56.074037	\N	01022c10-a973-4748-a598-8ff4a6021c12
160620	9	21429	2013-08-04 17:12:29.806899	2013-08-04 17:12:29.806899	\N	d603812e-0897-4dfe-ba70-df9a7ede2711
160621	9	21443	2013-08-04 17:12:29.981005	2013-08-04 17:12:29.981005	\N	6891a723-fdb3-445a-92cf-d1cd18091568
207459	1	26400	2013-08-04 20:45:43.786063	2013-08-04 20:45:43.786063	\N	8462ad2c-1aff-451e-a20d-f7bbac6e9a2a
163839	11	21822	2013-08-04 17:27:17.13434	2013-08-04 17:27:17.13434	\N	98037de8-64a1-4e13-aca6-9fba9f763963
184187	8	23908	2013-08-04 18:52:33.193826	2013-08-04 18:52:33.193826	\N	feea53c1-de09-4289-8ab1-b9137f23d326
160629	8	21389	2013-08-04 17:12:31.834796	2013-08-04 17:12:31.834796	\N	cb054a24-4c92-4790-99b3-c6b588cf44f4
163885	9	21839	2013-08-04 17:27:32.471802	2013-08-04 17:27:32.471802	\N	ec16ab61-ba5a-4ad1-9d89-6755df305336
163886	9	21803	2013-08-04 17:27:32.695617	2013-08-04 17:27:32.695617	\N	5c662dc0-89f8-43a3-8edb-82afa4482882
148958	2	19944	2013-08-04 02:16:00.639985	2013-08-04 02:16:00.639985	\N	48f1f3d4-155b-4bc0-b870-4b41f5b23761
148959	2	19950	2013-08-04 02:16:00.729579	2013-08-04 02:16:00.729579	\N	5c8fd4af-46f1-42c6-adc6-cdc78b98dff5
148961	13	19837	2013-08-04 02:16:02.194054	2013-08-04 02:16:02.194054	\N	df5098a0-a5e7-4182-bf5b-e502b911dbd6
148963	8	19837	2013-08-04 02:16:02.260138	2013-08-04 02:16:02.260138	\N	d78a1939-b123-41b4-8fc6-7e79337a5b23
184188	9	23981	2013-08-04 18:52:33.247645	2013-08-04 18:52:33.247645	\N	a3bdc144-967d-4149-b6d3-a840d3d57ad3
148966	17	19837	2013-08-04 02:16:04.962477	2013-08-04 02:16:04.962477	\N	8b287f09-59a2-4c76-a3d8-79cdaa936b06
148970	13	19855	2013-08-04 02:16:05.289637	2013-08-04 02:16:05.289637	\N	9e80cb33-682c-484d-9639-0371928c81fa
184189	2	23874	2013-08-04 18:52:34.066934	2013-08-04 18:52:34.066934	\N	8515f0b5-108c-463b-8a7d-5e06f43cb08e
163901	13	21742	2013-08-04 17:27:37.150869	2013-08-04 17:27:37.150869	\N	5cfd0ae8-ff30-4b1b-b976-0fd68b2d03d2
163904	13	21766	2013-08-04 17:27:38.902694	2013-08-04 17:27:38.902694	\N	fecb8158-f943-4fb6-b79a-aa00bd83f614
148985	6	19855	2013-08-04 02:16:11.886741	2013-08-04 02:16:11.886741	\N	2fb6be0a-0c7d-4aef-9912-cfb7b699b1f0
148990	17	19877	2013-08-04 02:16:14.412268	2013-08-04 02:16:14.412268	\N	827cd2fb-e014-466e-84c2-5b7e3d1e5ff4
184190	2	23865	2013-08-04 18:52:34.209884	2013-08-04 18:52:34.209884	\N	beb624fa-8b7d-4484-8265-d047ab5d8a04
149006	12	19877	2013-08-04 02:16:16.216878	2013-08-04 02:16:16.216878	\N	a04fcbf6-5861-451b-80d1-246316d39fb9
149007	9	19877	2013-08-04 02:16:17.60247	2013-08-04 02:16:17.60247	\N	70a50cc0-d374-4425-beac-f35b227dad78
149008	17	19855	2013-08-04 02:16:18.070861	2013-08-04 02:16:18.070861	\N	2b02e9b5-a4ca-41d2-a678-be10cf733b4a
160690	17	21389	2013-08-04 17:12:49.204405	2013-08-04 17:12:49.204405	\N	e2764bc4-0178-497d-a6d4-cbd1cfaa5139
149010	2	19914	2013-08-04 02:16:20.968493	2013-08-04 02:16:20.968493	\N	3cbb03de-4316-4fe5-aa6d-cec948b701fd
184191	2	23871	2013-08-04 18:52:34.26621	2013-08-04 18:52:34.26621	\N	e6d2ca91-3948-4dae-ad8d-d3d3272d3deb
163921	14	21807	2013-08-04 17:27:42.949734	2013-08-04 17:27:42.949734	\N	f585c69c-a442-4eeb-84af-93dfc0407262
163923	14	21803	2013-08-04 17:27:43.344061	2013-08-04 17:27:43.344061	\N	e7dcfd59-97b8-4618-befd-d63f0ca43591
163924	14	21821	2013-08-04 17:27:43.508863	2013-08-04 17:27:43.508863	\N	0748adab-fd3b-4036-b5ae-74d31ca3d283
184192	2	23877	2013-08-04 18:52:34.299646	2013-08-04 18:52:34.299646	\N	fbcd888d-de44-4917-88f3-e005b5642262
149026	4	19877	2013-08-04 02:16:23.555138	2013-08-04 02:16:23.555138	\N	4c629160-6511-4e3e-b1a4-663387a24c2b
149033	2	19876	2013-08-04 02:16:26.335926	2013-08-04 02:16:26.335926	\N	a1591a11-cb25-401e-849d-96b795c7ab16
184197	2	23886	2013-08-04 18:52:34.469029	2013-08-04 18:52:34.469029	\N	da38a4d6-3f12-43bd-b20b-a274170b639b
184198	2	23892	2013-08-04 18:52:34.525299	2013-08-04 18:52:34.525299	\N	4dcc8e96-9686-4624-b9b1-851ecca01642
163947	17	21766	2013-08-04 17:27:53.014513	2013-08-04 17:27:53.014513	\N	8b9e6c36-f80c-4f28-825e-7ea2053e30a9
195108	2	24828	2013-08-04 19:37:52.278775	2013-08-04 19:37:52.278775	\N	4969fa04-997c-4bdb-9aaa-48c522b2b5e1
151501	4	20315	2013-08-04 02:34:15.116682	2013-08-04 02:34:15.116682	\N	713d9cc8-e58f-4f81-bc36-7d702c8b2fef
184200	2	23916	2013-08-04 18:52:34.615804	2013-08-04 18:52:34.615804	\N	74393992-d049-4f46-87c0-96a80eb80006
184203	2	23945	2013-08-04 18:52:34.735835	2013-08-04 18:52:34.735835	\N	9ce9a9f6-c2d3-414c-ac36-445e2935b3cc
184204	2	23963	2013-08-04 18:52:34.769533	2013-08-04 18:52:34.769533	\N	727c2b28-691a-45d6-a0c2-e2b96f8cc0e2
184206	2	23977	2013-08-04 18:52:34.825275	2013-08-04 18:52:34.825275	\N	ef1b395b-3467-4e0e-8425-07e22ea14603
184208	8	23966	2013-08-04 18:52:34.892975	2013-08-04 18:52:34.892975	\N	9f5622f5-35a7-44b1-84b0-4cc8403ab1a7
163956	10	21766	2013-08-04 17:27:57.253467	2013-08-04 17:27:57.253467	\N	aaf1cd1b-22c6-452b-8773-b935a53bc846
154579	16	20819	2013-08-04 02:55:44.563124	2013-08-04 02:55:44.563124	\N	dadf249d-6359-4e58-a9f6-77542680c662
149059	12	19825	2013-08-04 02:16:32.613709	2013-08-04 02:16:32.613709	\N	d4968b95-93f0-4ded-9ba7-e41077d82fb1
163957	10	21727	2013-08-04 17:27:57.345825	2013-08-04 17:27:57.345825	\N	c01c0f91-55e8-485b-9716-1a6e5b3f3b4d
184211	3	23908	2013-08-04 18:52:35.551681	2013-08-04 18:52:35.551681	\N	519c18e2-6027-4d53-b85b-5dae80cce924
154623	8	20845	2013-08-04 02:56:25.376594	2013-08-04 02:56:25.376594	\N	3f54a824-be93-48f5-89ff-e9ac19ef97c3
154624	6	20884	2013-08-04 02:56:26.096717	2013-08-04 02:56:26.096717	\N	3919eaa3-f950-43d0-86e7-f2df948813f5
195110	11	24766	2013-08-04 19:37:52.462858	2013-08-04 19:37:52.462858	\N	c7067752-e3c7-48a1-8fcd-794c8554fedb
160724	13	21388	2013-08-04 17:12:58.043953	2013-08-04 17:12:58.043953	\N	1d3f3143-1bc5-4e6f-a256-7bb2b18cfdde
154636	4	20845	2013-08-04 02:56:32.026538	2013-08-04 02:56:32.026538	\N	c69fb4dc-00c5-4ca5-a66e-a98568e10056
154637	4	20833	2013-08-04 02:56:32.1349	2013-08-04 02:56:32.1349	\N	006361df-3ca6-448d-b84c-1dc47f3a6f20
149078	16	19837	2013-08-04 02:16:35.481306	2013-08-04 02:16:35.481306	\N	2eb4cee4-a788-47de-a2bd-6cc9e578c38d
149079	16	19825	2013-08-04 02:16:35.778933	2013-08-04 02:16:35.778933	\N	89b10028-325b-4074-b2bc-8eeb4aa77dc7
154638	4	20860	2013-08-04 02:56:32.172338	2013-08-04 02:56:32.172338	\N	ad6e41b0-7776-4bf0-8d41-4c8cf7eb8ab1
154639	4	20884	2013-08-04 02:56:32.244425	2013-08-04 02:56:32.244425	\N	2519207b-b508-4a53-80f2-274229368b6b
184215	10	23976	2013-08-04 18:52:38.124876	2013-08-04 18:52:38.124876	\N	9bd3edea-fe27-49f5-a4a4-31258c77704e
154669	4	20885	2013-08-04 02:56:46.943018	2013-08-04 02:56:46.943018	\N	6414b617-bfaf-43b1-9737-9d9601b77f41
195112	7	24751	2013-08-04 19:37:52.787201	2013-08-04 19:37:52.787201	\N	b00e6809-a23c-41e5-b6c3-c51892afbef0
180760	9	23568	2013-08-04 18:39:57.609973	2013-08-04 18:39:57.609973	\N	f9d3d18b-1e27-4e28-8682-9af9107360b5
154673	8	20884	2013-08-04 02:56:48.481394	2013-08-04 02:56:48.481394	\N	ed95cd3b-fe5e-4b08-ab16-a9c28cb180f0
195114	1	24863	2013-08-04 19:37:52.976808	2013-08-04 19:37:52.976808	\N	6b19a582-cf9a-4d39-b9c1-72d3cac6c9b1
195123	11	24790	2013-08-04 19:37:55.219602	2013-08-04 19:37:55.219602	\N	13da0f1b-bfd4-490a-96c1-3d865d29d226
195124	1	24766	2013-08-04 19:37:55.375228	2013-08-04 19:37:55.375228	\N	5fbda380-63d3-46a1-8044-5ab1a1cc478e
151600	13	20230	2013-08-04 02:34:44.59183	2013-08-04 02:34:44.59183	\N	2089ca10-fe48-4387-b062-7e101746c335
195161	7	24790	2013-08-04 19:38:11.182274	2013-08-04 19:38:11.182274	\N	48612800-2405-4808-8650-ea01f3f4bdd8
167106	19	22261	2013-08-04 17:49:14.492035	2013-08-04 17:49:14.492035	\N	22976e7a-21dc-46de-933e-6155b344aa38
184246	7	23950	2013-08-04 18:52:50.464509	2013-08-04 18:52:50.464509	\N	72051928-beae-4659-8a73-a186cbf28400
195216	4	24804	2013-08-04 19:38:23.122098	2013-08-04 19:38:23.122098	\N	66e7235c-68d7-47e5-8d03-7aad511145db
184252	7	23946	2013-08-04 18:52:50.6751	2013-08-04 18:52:50.6751	\N	2502c4f0-9003-444a-9776-183d76c7895b
195217	4	24817	2013-08-04 19:38:23.21107	2013-08-04 19:38:23.21107	\N	a0872426-9d6a-4b06-9917-35a29a78901c
195115	7	24832	2013-08-04 19:37:52.993596	2013-08-04 19:37:52.993596	\N	e151a89a-3457-4996-8156-bd30421cacd7
195117	1	24751	2013-08-04 19:37:53.418056	2013-08-04 19:37:53.418056	\N	15d177e0-72b3-408a-ba49-4411a2c2b26d
163835	11	21742	2013-08-04 17:27:16.022835	2013-08-04 17:27:16.022835	\N	9240e3d6-340f-4454-83e0-b4256cdc7ce5
195146	2	24832	2013-08-04 19:38:00.872284	2013-08-04 19:38:00.872284	\N	76dd1214-9486-4baa-a1e6-8ce73251dcb7
170368	1	22685	2013-08-04 18:03:20.535979	2013-08-04 18:03:20.535979	\N	7984845e-5c34-4793-81e3-ac30e210ca84
195147	2	24845	2013-08-04 19:38:00.983651	2013-08-04 19:38:00.983651	\N	5f50aa1a-f4c6-49b5-8aff-13e08d2855b7
195159	7	24766	2013-08-04 19:38:10.400083	2013-08-04 19:38:10.400083	\N	7ab357f4-777f-4282-b9d0-0f4f7978318e
160748	4	21426	2013-08-04 17:13:03.894732	2013-08-04 17:13:03.894732	\N	5a5d19bd-9c92-4a2c-9367-9a4adacbb550
160749	4	21450	2013-08-04 17:13:03.945496	2013-08-04 17:13:03.945496	\N	ae001eab-ba8d-4bb3-9843-91699d58eebf
160750	4	21428	2013-08-04 17:13:03.993521	2013-08-04 17:13:03.993521	\N	15fb3005-83f2-4d10-baaa-14fd6ec1b8ef
163899	16	21766	2013-08-04 17:27:34.714257	2013-08-04 17:27:34.714257	\N	df632f17-b8c7-41c3-bf33-416888b96779
160752	4	21434	2013-08-04 17:13:04.075292	2013-08-04 17:13:04.075292	\N	32271ac5-cf7c-4ac0-9731-1f103a3d62c8
195160	13	24790	2013-08-04 19:38:10.534076	2013-08-04 19:38:10.534076	\N	886db9c4-0076-4fc9-b1c8-59179464f2a0
177301	2	23308	2013-08-04 18:28:53.014764	2013-08-04 18:28:53.014764	\N	e4c8d9ba-af4b-44e8-b1dc-06642bb1bb52
167239	2	22290	2013-08-04 17:50:13.278352	2013-08-04 17:50:13.278352	\N	6cc35ab7-1a8b-4b9f-9846-c45905050d03
160757	4	21444	2013-08-04 17:13:04.205792	2013-08-04 17:13:04.205792	\N	c1fbd24b-b19e-4779-8e10-5baa417bae23
151654	16	20254	2013-08-04 02:35:03.995563	2013-08-04 02:35:03.995563	\N	3e8621cd-08c7-42ea-afa2-81c5fb19d53a
160758	4	21462	2013-08-04 17:13:04.253575	2013-08-04 17:13:04.253575	\N	8eb00574-9011-4c5c-8e66-f9af763ce56f
160759	4	21456	2013-08-04 17:13:04.28862	2013-08-04 17:13:04.28862	\N	bb1c3b04-d344-4781-9712-f51d8ed20f0a
167240	2	22296	2013-08-04 17:50:13.38901	2013-08-04 17:50:13.38901	\N	a1b56135-d126-417a-ad31-d848802d1497
151674	2	20141	2013-08-04 02:35:43.106776	2013-08-04 02:35:43.106776	\N	598dee36-6c70-4826-82d4-2cdaa15e8547
148924	13	19876	2013-08-04 02:15:54.001121	2013-08-04 02:15:54.001121	\N	761e088a-381e-48c4-b1e1-ed27a50b6e41
151677	7	20341	2013-08-04 02:35:44.168306	2013-08-04 02:35:44.168306	\N	4dc76c1c-0f7a-4428-bc43-240b9fce1419
148927	2	19855	2013-08-04 02:15:55.032848	2013-08-04 02:15:55.032848	\N	736b3327-f4a8-4c08-bbbc-70b4dbbe542c
148928	2	19877	2013-08-04 02:15:55.08156	2013-08-04 02:15:55.08156	\N	c1586a47-1ab1-425e-9634-1c907be8378f
148929	2	19825	2013-08-04 02:15:55.118303	2013-08-04 02:15:55.118303	\N	382e7054-5941-40d7-8d13-d8da12100818
148930	2	19837	2013-08-04 02:15:55.16499	2013-08-04 02:15:55.16499	\N	382a3515-21b7-4545-a423-edda115d5a1d
164027	11	21840	2013-08-04 17:28:13.7391	2013-08-04 17:28:13.7391	\N	aa78ab84-7d7c-490f-b96b-526c23052f56
148932	2	19938	2013-08-04 02:15:55.246626	2013-08-04 02:15:55.246626	\N	dba4905f-2b6d-4c06-b692-372ad2791d28
148933	2	19924	2013-08-04 02:15:55.295859	2013-08-04 02:15:55.295859	\N	a2581028-5033-413c-8375-35477d828f1f
148934	2	19928	2013-08-04 02:15:55.344243	2013-08-04 02:15:55.344243	\N	dda087bb-82be-400d-9e00-683d2f060cd0
148935	2	19918	2013-08-04 02:15:55.388402	2013-08-04 02:15:55.388402	\N	94a98365-4dc9-495f-ae73-205aa639bf88
148936	2	19932	2013-08-04 02:15:55.4252	2013-08-04 02:15:55.4252	\N	3d759e1c-0a9d-4a17-8495-765fd0568e5c
148937	2	19934	2013-08-04 02:15:55.461914	2013-08-04 02:15:55.461914	\N	8324cc43-70ae-43e1-9a0e-f942296a9a50
148938	2	19942	2013-08-04 02:15:55.512748	2013-08-04 02:15:55.512748	\N	dc731fc1-f143-4368-b8be-fef6123e2e39
148939	2	19946	2013-08-04 02:15:55.559681	2013-08-04 02:15:55.559681	\N	ecc525bc-f0ce-4c6d-b5ea-a34a03036a3d
148943	8	19876	2013-08-04 02:15:56.758419	2013-08-04 02:15:56.758419	\N	608683fe-178e-4f45-925e-9607ffb0639a
151681	7	20356	2013-08-04 02:35:45.398038	2013-08-04 02:35:45.398038	\N	9cbb980b-a709-48ac-94d2-5e796dfbd7d6
151682	6	20380	2013-08-04 02:35:45.998392	2013-08-04 02:35:45.998392	\N	dfcfef39-e88b-4ab9-b4e9-4600079a4a9c
151683	17	20380	2013-08-04 02:35:46.224348	2013-08-04 02:35:46.224348	\N	1cd9fcc7-f638-46d6-b5ed-82db031dc147
151685	6	20329	2013-08-04 02:35:47.704581	2013-08-04 02:35:47.704581	\N	69fb0ef0-2fde-4882-abdd-95688443e501
151688	19	20380	2013-08-04 02:35:47.885858	2013-08-04 02:35:47.885858	\N	1cf48f52-922f-4a17-a548-ba3cfdc497ff
151690	9	20381	2013-08-04 02:35:47.975484	2013-08-04 02:35:47.975484	\N	aa783103-2d71-49e4-ad47-991f16b01be1
151692	7	20381	2013-08-04 02:35:48.597054	2013-08-04 02:35:48.597054	\N	72cf5180-b567-4dc2-8d35-1b9a29f49f4b
148962	8	19825	2013-08-04 02:16:02.260083	2013-08-04 02:16:02.260083	\N	25f28583-8365-47f8-8151-709961185bfd
148964	13	19825	2013-08-04 02:16:02.462128	2013-08-04 02:16:02.462128	\N	a3a33521-290d-48f4-8f88-9c7e1c17a09a
148974	6	19837	2013-08-04 02:16:06.708934	2013-08-04 02:16:06.708934	\N	0035bf1d-26d7-40bd-bb33-0477616cca68
148975	17	19825	2013-08-04 02:16:07.03316	2013-08-04 02:16:07.03316	\N	4ff5d4f6-6ed2-4afb-9972-7a0bb6a581f6
151694	8	20341	2013-08-04 02:35:48.9372	2013-08-04 02:35:48.9372	\N	7749d5d2-f52d-4c87-965b-82dfcc3388a2
151704	11	20329	2013-08-04 02:35:51.143031	2013-08-04 02:35:51.143031	\N	1ed0bc60-8ce8-49d1-adda-4c2e6aafa29a
148979	9	19876	2013-08-04 02:16:09.395547	2013-08-04 02:16:09.395547	\N	12125dc6-a11e-4358-89bf-8eeb6e47362e
164029	19	21818	2013-08-04 17:28:14.71214	2013-08-04 17:28:14.71214	\N	7241a9c7-71c3-431f-90bb-74c4ad1688ef
170411	1	22689	2013-08-04 18:03:36.549867	2013-08-04 18:03:36.549867	\N	1398a9c1-ac58-4113-91a8-7b1100199635
151708	13	20356	2013-08-04 02:35:51.354139	2013-08-04 02:35:51.354139	\N	dfb52f0e-d857-4a84-9012-b2aa0dfec8c7
170413	19	22584	2013-08-04 18:03:37.302422	2013-08-04 18:03:37.302422	\N	026300e9-3447-4fc2-bab9-c4be0acdc418
195177	8	24751	2013-08-04 19:38:12.871858	2013-08-04 19:38:12.871858	\N	39994241-48a1-49da-952b-8b94ff5974e0
207409	1	26397	2013-08-04 20:45:23.432932	2013-08-04 20:45:23.432932	\N	55fec026-7cc5-406a-8472-3b5ecc426e0f
195182	8	24766	2013-08-04 19:38:13.771805	2013-08-04 19:38:13.771805	\N	9a1296ec-c256-4c1f-8388-fe5250cd55ce
167253	2	22300	2013-08-04 17:50:18.568181	2013-08-04 17:50:18.568181	\N	02ca1bfd-491b-4bd4-8d8f-a8117cdaca4d
151724	6	20341	2013-08-04 02:35:52.523918	2013-08-04 02:35:52.523918	\N	7c66f7f4-975a-44c8-b09b-ef8df50c7d90
151725	11	20356	2013-08-04 02:35:53.172736	2013-08-04 02:35:53.172736	\N	c98eed58-00c0-46ee-9ae5-052360e697ae
151728	11	20380	2013-08-04 02:35:54.324137	2013-08-04 02:35:54.324137	\N	8012fdac-b243-412e-a754-a2cd435f54a9
151730	19	20356	2013-08-04 02:35:55.449225	2013-08-04 02:35:55.449225	\N	9a5382d3-301c-4072-bdd4-74e7eb302138
167255	20	22009	2013-08-04 17:50:20.086527	2013-08-04 17:50:20.086527	\N	3b9e0e22-7492-4e91-b6fd-b2c51e44aa6f
167256	20	22135	2013-08-04 17:50:20.196268	2013-08-04 17:50:20.196268	\N	41938e39-a259-42c2-88ef-5b2f355d834e
167257	20	22105	2013-08-04 17:50:20.264002	2013-08-04 17:50:20.264002	\N	8bd5685f-6bfa-41bc-830a-8b761135b20a
164077	14	21727	2013-08-04 17:28:38.644846	2013-08-04 17:28:38.644846	\N	161c8725-6932-41a3-8246-45ca35d1d091
149015	11	19837	2013-08-04 02:16:21.818131	2013-08-04 02:16:21.818131	\N	1ba504e0-6e5c-4a65-bd47-eb7e0b86a688
151736	9	20341	2013-08-04 02:35:58.213114	2013-08-04 02:35:58.213114	\N	234a3534-e773-45d1-8548-3483e1a60269
195191	9	24751	2013-08-04 19:38:15.099322	2013-08-04 19:38:15.099322	\N	291cc35e-8301-4650-89b0-f92a1da72bb9
207412	14	26442	2013-08-04 20:45:25.144627	2013-08-04 20:45:25.144627	\N	c807c136-45cf-4859-ad31-85d1fa21e90e
164080	12	21766	2013-08-04 17:28:39.741488	2013-08-04 17:28:39.741488	\N	306596e4-547b-4618-9877-5eb1b4165bd7
207413	14	26447	2013-08-04 20:45:25.277303	2013-08-04 20:45:25.277303	\N	f92e928a-79e9-4107-a136-3e5b03d01d24
149022	11	19825	2013-08-04 02:16:22.290482	2013-08-04 02:16:22.290482	\N	3643e89f-c306-42ff-a4d2-4c2f20eae5c3
207414	14	26458	2013-08-04 20:45:25.312973	2013-08-04 20:45:25.312973	\N	5637c3dd-68d1-402c-aa63-bcf5dc5e9c1d
149025	14	19825	2013-08-04 02:16:22.679157	2013-08-04 02:16:22.679157	\N	d08a3c89-184a-4244-8159-86ba39d7d90f
149027	6	19876	2013-08-04 02:16:24.761895	2013-08-04 02:16:24.761895	\N	d88dcc3f-4b9f-4447-8292-2221d75a3f73
149028	11	19876	2013-08-04 02:16:25.486059	2013-08-04 02:16:25.486059	\N	bdc4d84f-099b-47a1-ac9a-a0e21089cbb7
149031	10	19825	2013-08-04 02:16:26.03824	2013-08-04 02:16:26.03824	\N	b448af55-b583-4a1c-9b3a-805366893c3c
149046	4	19915	2013-08-04 02:16:30.288807	2013-08-04 02:16:30.288807	\N	3b8b1a08-0165-45a3-9877-928790a2b18b
149047	4	19919	2013-08-04 02:16:30.395798	2013-08-04 02:16:30.395798	\N	1c8bd29f-3452-443d-b89c-b64635b947c9
149048	4	19921	2013-08-04 02:16:30.44628	2013-08-04 02:16:30.44628	\N	0a3200e2-0d0c-4045-9e26-b0eb098c3d91
149049	4	19927	2013-08-04 02:16:30.502346	2013-08-04 02:16:30.502346	\N	3a5ac51c-7708-42aa-8bbb-6bf8c00d4622
149050	4	19929	2013-08-04 02:16:30.551421	2013-08-04 02:16:30.551421	\N	9ad91323-188d-4bd3-90de-b0426c4fd0a0
149051	4	19935	2013-08-04 02:16:30.5873	2013-08-04 02:16:30.5873	\N	cb8a199e-6950-4e1b-918a-92b184fb7f2e
149052	4	19941	2013-08-04 02:16:30.633645	2013-08-04 02:16:30.633645	\N	5b029d7b-bf87-43f4-af63-c9c38637061e
149053	4	19943	2013-08-04 02:16:30.682561	2013-08-04 02:16:30.682561	\N	19523d04-6b20-451d-b4ea-57ee4f5fd0e3
170498	3	22624	2013-08-04 18:03:57.294499	2013-08-04 18:03:57.294499	\N	47441808-af43-48d8-aa46-1c39d49966ba
184205	8	23960	2013-08-04 18:52:34.823125	2013-08-04 18:52:34.823125	\N	0d6eade4-47d0-4d0a-87e5-74b8c3a6e819
184230	4	23869	2013-08-04 18:52:44.167236	2013-08-04 18:52:44.167236	\N	b5f3d94f-b695-468c-87f0-003ebc7008e4
184232	4	23884	2013-08-04 18:52:44.226998	2013-08-04 18:52:44.226998	\N	7ec7b126-26da-4423-ad24-89870c8593b5
180614	9	23586	2013-08-04 18:39:38.212025	2013-08-04 18:39:38.212025	\N	3f4c15b4-3cc9-4b2a-80f6-ddf046e50c14
160866	11	21426	2013-08-04 17:13:30.963019	2013-08-04 17:13:30.963019	\N	b73945e5-6142-4aef-9385-2335520d8ea9
184233	4	23908	2013-08-04 18:52:44.279966	2013-08-04 18:52:44.279966	\N	e7cd6572-6e08-45d4-bc14-ce3ee14b95a5
151780	14	20341	2013-08-04 02:36:11.223793	2013-08-04 02:36:11.223793	\N	d6c79c1d-7a53-481d-9cd1-093b9721f902
154592	12	20885	2013-08-04 02:56:14.461597	2013-08-04 02:56:14.461597	\N	d2e644ea-8974-42b5-ad03-bd7d2afdd274
184196	8	23884	2013-08-04 18:52:34.46082	2013-08-04 18:52:34.46082	\N	84dc28db-b0c9-4a7e-bffb-0c67abe897fd
184201	8	23970	2013-08-04 18:52:34.716262	2013-08-04 18:52:34.716262	\N	eb947097-97e1-460b-8274-aee45ea6a84f
184209	17	23908	2013-08-04 18:52:35.156414	2013-08-04 18:52:35.156414	\N	661768f9-e221-43a0-b5ee-c6b009563f10
184210	8	23869	2013-08-04 18:52:35.547338	2013-08-04 18:52:35.547338	\N	b9fa7b91-795a-4917-917b-58516cf11eb5
184214	14	23922	2013-08-04 18:52:37.234274	2013-08-04 18:52:37.234274	\N	228fcf97-766c-4b4f-9c20-6e02cce7a31e
170464	14	22636	2013-08-04 18:03:49.485075	2013-08-04 18:03:49.485075	\N	952bb657-3611-466d-876e-a8b4ca14875b
170465	14	22708	2013-08-04 18:03:49.532521	2013-08-04 18:03:49.532521	\N	570bbe74-6fca-423a-8f1b-44e6613f7d6b
170466	14	22637	2013-08-04 18:03:49.589939	2013-08-04 18:03:49.589939	\N	956c4127-97d4-439e-97b5-e1d9e9e8f89c
170467	14	22638	2013-08-04 18:03:49.633798	2013-08-04 18:03:49.633798	\N	aee72374-fbdb-4d12-b2ed-589c2f74b217
151698	19	20329	2013-08-04 02:35:50.104303	2013-08-04 02:35:50.104303	\N	1aab5e28-3439-4a55-a6bd-cc27248a0f60
151699	11	20341	2013-08-04 02:35:50.617359	2013-08-04 02:35:50.617359	\N	e686b383-a654-40af-adaa-0e997a187fdb
170468	14	22673	2013-08-04 18:03:49.664534	2013-08-04 18:03:49.664534	\N	7f5b6bb2-10a9-4309-95bd-e2b0f0d0dab7
154580	7	20884	2013-08-04 02:56:12.781708	2013-08-04 02:56:12.781708	\N	812fe14a-6d76-45b3-a1bf-09fb144288d6
154581	7	20833	2013-08-04 02:56:13.115078	2013-08-04 02:56:13.115078	\N	7d9004d5-ccdc-44b5-843f-3e893ed8efbe
154582	7	20885	2013-08-04 02:56:13.403945	2013-08-04 02:56:13.403945	\N	15c12fe1-d960-4217-a639-781c39634a41
151718	1	20356	2013-08-04 02:35:52.031074	2013-08-04 02:35:52.031074	\N	5616f077-a254-4594-ba13-5d1cda2ecb42
170469	14	22707	2013-08-04 18:03:49.704883	2013-08-04 18:03:49.704883	\N	6896f281-e75d-4a06-84f9-bcca9160b912
154584	7	20845	2013-08-04 02:56:13.584463	2013-08-04 02:56:13.584463	\N	fb2366f3-948d-4bce-b0a9-69382c98907c
154586	7	20860	2013-08-04 02:56:13.765498	2013-08-04 02:56:13.765498	\N	6ad895a7-b73c-49a6-81fd-a86f84f28e4b
184216	1	23963	2013-08-04 18:52:41.193842	2013-08-04 18:52:41.193842	\N	bc30a72b-ddba-488b-b657-7a76116e9f9d
154590	13	20860	2013-08-04 02:56:14.399935	2013-08-04 02:56:14.399935	\N	c99cd8ea-b40b-4c4b-b888-d85812c772df
148971	15	19877	2013-08-04 02:16:05.875562	2013-08-04 02:16:05.875562	\N	65823d84-27fc-4676-ac5e-024eb21666f9
148972	9	19837	2013-08-04 02:16:06.021815	2013-08-04 02:16:06.021815	\N	74da48e1-3306-428a-bf94-bf8991ae23e1
148973	9	19825	2013-08-04 02:16:06.185231	2013-08-04 02:16:06.185231	\N	6b9cc411-e8a5-4364-9aed-74209f1f4e01
154595	19	20884	2013-08-04 02:56:16.401888	2013-08-04 02:56:16.401888	\N	dda90aa9-79e8-4700-a5bb-39a8a28a81f0
154605	8	20833	2013-08-04 02:56:18.141884	2013-08-04 02:56:18.141884	\N	1ffb1e20-73cd-4944-a592-686d157f04a1
149080	16	19855	2013-08-04 02:16:36.062217	2013-08-04 02:16:36.062217	\N	d92d0d5c-860c-4697-80f5-030268ff5d55
149082	16	19876	2013-08-04 02:16:36.612125	2013-08-04 02:16:36.612125	\N	83e98c01-2b58-4127-9f6f-3fa844ba9f1d
149083	1	19877	2013-08-04 02:16:36.961985	2013-08-04 02:16:36.961985	\N	67ee44ef-ab43-41ed-a3ba-61f6c845ed2a
154606	1	20884	2013-08-04 02:56:18.32455	2013-08-04 02:56:18.32455	\N	a9d77d64-4f0a-45c6-b4f3-8d1dced07dbe
154607	11	20860	2013-08-04 02:56:19.592917	2013-08-04 02:56:19.592917	\N	83c882fa-663c-4088-927d-0f6a90062062
154609	11	20884	2013-08-04 02:56:20.751454	2013-08-04 02:56:20.751454	\N	f11a46d2-a0db-47c8-8e1c-b387f532a4f5
151788	4	20381	2013-08-04 02:36:13.802463	2013-08-04 02:36:13.802463	\N	51d1e7af-c43a-43d0-9905-de0f429feb13
184218	2	23869	2013-08-04 18:52:41.49643	2013-08-04 18:52:41.49643	\N	abbaa414-6886-433b-b550-3f25dd818af4
195129	14	24831	2013-08-04 19:37:56.494032	2013-08-04 19:37:56.494032	\N	9249e9de-82be-46a9-9e01-874cb479f1f3
195131	2	24864	2013-08-04 19:37:56.639889	2013-08-04 19:37:56.639889	\N	008d77a5-facc-472e-8850-a4a3c36cbc16
160839	14	21416	2013-08-04 17:13:23.043358	2013-08-04 17:13:23.043358	\N	2671bb84-ba57-44b8-a4d9-64ed7b147bbb
160840	14	21417	2013-08-04 17:13:23.126126	2013-08-04 17:13:23.126126	\N	c5256c9c-317a-4893-9905-5ecdb0dca38d
151796	1	20380	2013-08-04 02:36:17.623908	2013-08-04 02:36:17.623908	\N	41b2f960-44e8-4173-a471-e6145ea59a00
184264	9	23869	2013-08-04 18:52:51.538325	2013-08-04 18:52:51.538325	\N	ae45b41d-76ea-47d4-9170-a5ba5ed740f0
151798	20	20341	2013-08-04 02:36:19.519926	2013-08-04 02:36:19.519926	\N	c6959c35-c1c8-48e4-89c6-6178a0b29d37
160926	19	21389	2013-08-04 17:13:43.507409	2013-08-04 17:13:43.507409	\N	ae6f087f-cbe4-404d-892f-62585875f5ac
149112	1	19837	2013-08-04 02:16:51.70304	2013-08-04 02:16:51.70304	\N	93f44f4a-9548-4e07-9b5e-59be84fee83e
184294	19	23960	2013-08-04 18:52:56.442204	2013-08-04 18:52:56.442204	\N	d5dae441-b2d7-42cd-b349-f56750536fc7
184295	2	23960	2013-08-04 18:52:57.519912	2013-08-04 18:52:57.519912	\N	cd70e209-3a53-4e70-b24e-88eb2cf56f14
184296	2	23950	2013-08-04 18:52:57.622596	2013-08-04 18:52:57.622596	\N	65ac0ccb-f166-4eb9-82cc-c888b81a814a
195149	8	24860	2013-08-04 19:38:03.645025	2013-08-04 19:38:03.645025	\N	a0e82fe8-d405-4dbe-88aa-8382dbeb9549
195150	1	24864	2013-08-04 19:38:05.111596	2013-08-04 19:38:05.111596	\N	e20557b4-ad1d-4689-af7b-c0d85ee52875
167381	19	22231	2013-08-04 17:50:45.967638	2013-08-04 17:50:45.967638	\N	4b1a42c3-ef10-4b20-a647-faa5a8e6bfee
184313	9	23946	2013-08-04 18:53:05.182693	2013-08-04 18:53:05.182693	\N	5823e3ac-ce73-4609-beb2-3a7a16879f1f
154703	17	20885	2013-08-04 02:56:58.780427	2013-08-04 02:56:58.780427	\N	a4f4423b-8d95-42f1-8648-191fda35d960
149134	8	19877	2013-08-04 02:16:56.870613	2013-08-04 02:16:56.870613	\N	79082d88-3fa7-4897-9ef2-584735ae49dc
184319	9	23970	2013-08-04 18:53:06.341328	2013-08-04 18:53:06.341328	\N	62b779a2-865b-48f7-a383-8ce4de06d905
154710	8	20860	2013-08-04 02:57:01.621105	2013-08-04 02:57:01.621105	\N	ac6cf332-182b-4aa4-ae1a-8bb5f0de7573
184323	7	23977	2013-08-04 18:53:06.958066	2013-08-04 18:53:06.958066	\N	22e214a3-2023-45e7-9b62-b84d0b984a10
184324	7	23960	2013-08-04 18:53:07.078973	2013-08-04 18:53:07.078973	\N	e6f56656-d432-4014-92c0-b2e3cb21d6f9
184325	7	23976	2013-08-04 18:53:07.126404	2013-08-04 18:53:07.126404	\N	0968f2f2-a8b0-443c-8404-5511d7210938
184326	7	23970	2013-08-04 18:53:07.31507	2013-08-04 18:53:07.31507	\N	bbbb7d8f-781d-4f09-8121-0d6bb5ba68ba
154739	8	20885	2013-08-04 02:57:13.271662	2013-08-04 02:57:13.271662	\N	e812724f-b2e2-405f-9379-3f224a095037
195151	7	24859	2013-08-04 19:38:05.482277	2013-08-04 19:38:05.482277	\N	bd6ebe18-c883-493e-a18f-cc44dff251e1
164164	6	21828	2013-08-04 17:29:06.970185	2013-08-04 17:29:06.970185	\N	301684cf-c2c3-4200-8126-2b4b285c9631
167471	1	22372	2013-08-04 17:51:56.227894	2013-08-04 17:51:56.227894	\N	33bce11a-940a-4d73-8305-4c2dc0626222
167472	7	22372	2013-08-04 17:51:56.636959	2013-08-04 17:51:56.636959	\N	99b90e06-f08f-4d28-b2a0-d4f83ac279ed
167474	7	22396	2013-08-04 17:51:56.825146	2013-08-04 17:51:56.825146	\N	6e1d1b47-ef11-45da-bf99-355faeb3bb36
167476	7	22357	2013-08-04 17:51:56.999106	2013-08-04 17:51:56.999106	\N	91b1a039-271d-4d04-bf12-a33f34b7f094
191490	2	24439	2013-08-04 19:18:11.753473	2013-08-04 19:18:11.753473	\N	f205ff15-8600-44a8-bfc7-5228e821e54d
167478	8	22396	2013-08-04 17:51:57.167628	2013-08-04 17:51:57.167628	\N	bb2cc4c4-c3aa-4ece-92d1-165a6b5015d6
167482	2	22372	2013-08-04 17:51:57.378948	2013-08-04 17:51:57.378948	\N	837aa07c-3d31-4aa6-a613-63404a914d8e
167483	2	22357	2013-08-04 17:51:57.427911	2013-08-04 17:51:57.427911	\N	fa8df7b2-c659-4a84-8cd7-e96f493a5698
167484	2	22396	2013-08-04 17:51:57.477011	2013-08-04 17:51:57.477011	\N	ddd97c57-bd1f-40e9-ab73-d2d885696f21
149157	14	19837	2013-08-04 02:17:04.296362	2013-08-04 02:17:04.296362	\N	5be54c9c-62c0-4833-960d-51f6ad32156c
149158	14	19876	2013-08-04 02:17:04.504648	2013-08-04 02:17:04.504648	\N	8139b8de-20b8-4095-8a58-5347ac5f4716
167486	2	22433	2013-08-04 17:51:57.560404	2013-08-04 17:51:57.560404	\N	0a90e50b-d011-45a9-a5f8-9b96c8b2ea47
167487	2	22451	2013-08-04 17:51:57.617825	2013-08-04 17:51:57.617825	\N	5dfbd6ba-afb1-4c1c-a068-96b1cfcf5ad1
167488	2	22419	2013-08-04 17:51:57.650527	2013-08-04 17:51:57.650527	\N	3b3bec7c-0ffe-4974-b3df-5e183c567f49
167489	8	22357	2013-08-04 17:51:57.763483	2013-08-04 17:51:57.763483	\N	622f5550-b616-4f19-8b28-3c13deba8339
167490	8	22458	2013-08-04 17:51:58.868732	2013-08-04 17:51:58.868732	\N	75521e92-8e87-4cd3-8378-a293c69cdb74
184342	2	23927	2013-08-04 18:53:10.759868	2013-08-04 18:53:10.759868	\N	3aef5ab8-c318-4054-95c6-f129b3d1219d
167526	14	22437	2013-08-04 17:52:09.7912	2013-08-04 17:52:09.7912	\N	47a2b084-a818-4fa3-8265-f08ca2d816de
207635	2	26547	2013-08-04 20:47:31.978472	2013-08-04 20:47:31.978472	\N	dc73a8c9-bc3b-4245-86c7-597a9ecf04fe
207636	2	26526	2013-08-04 20:47:32.036743	2013-08-04 20:47:32.036743	\N	c51a23ff-744b-4ce8-9546-0bb92b493017
157884	14	20883	2013-08-04 16:38:31.658204	2013-08-04 16:38:31.658204	\N	f7271d62-98c6-45ca-a144-b407dd1f7d1e
154911	19	20860	2013-08-04 02:58:10.218335	2013-08-04 02:58:10.218335	\N	2eed76dd-d28d-45e0-bc15-5340fd563323
167585	11	22462	2013-08-04 17:52:30.831358	2013-08-04 17:52:30.831358	\N	fc472468-1386-4e07-b850-ddf65b5b41a3
167587	11	22396	2013-08-04 17:52:31.1742	2013-08-04 17:52:31.1742	\N	677ca386-904c-4127-b44b-d1448fa78221
207637	2	26523	2013-08-04 20:47:32.096752	2013-08-04 20:47:32.096752	\N	c036de97-7bef-4bdd-8ed0-e5a5c14e466c
167594	9	22469	2013-08-04 17:52:31.977129	2013-08-04 17:52:31.977129	\N	6e5c1557-2316-44b8-ba08-fb42a0a88ba6
207639	2	26556	2013-08-04 20:47:32.15791	2013-08-04 20:47:32.15791	\N	a61580fa-c3ab-43d9-85ee-d16bd0bc4d90
207640	2	26511	2013-08-04 20:47:32.206588	2013-08-04 20:47:32.206588	\N	2680e372-6576-4045-8d33-c909bd6c1e07
151856	8	20381	2013-08-04 02:36:39.203258	2013-08-04 02:36:39.203258	\N	f68957e2-222c-452d-8f1f-e07e0a3da2ad
195190	14	24820	2013-08-04 19:38:14.931018	2013-08-04 19:38:14.931018	\N	f4b20b20-0987-4050-96de-1fe94eb92f6f
184260	7	23908	2013-08-04 18:52:50.80893	2013-08-04 18:52:50.80893	\N	eb04c2e7-62b5-4678-87b1-e9f004a6d3bf
177391	14	23266	2013-08-04 18:29:02.431407	2013-08-04 18:29:02.431407	\N	14025194-e86c-44ec-8ab7-76cc32647e03
177393	14	23338	2013-08-04 18:29:02.484095	2013-08-04 18:29:02.484095	\N	cdbed3d5-b9db-4c56-8381-8a3bec0295c6
151865	14	20329	2013-08-04 02:36:41.804971	2013-08-04 02:36:41.804971	\N	7b2ccf18-89ab-426a-8ef4-91994524e829
177395	14	23267	2013-08-04 18:29:02.516269	2013-08-04 18:29:02.516269	\N	0ae5c769-3501-43ab-a292-931c9d3520e3
177397	14	23268	2013-08-04 18:29:02.640296	2013-08-04 18:29:02.640296	\N	fa5afe94-2325-4f94-ac22-0f0305a6fe14
177399	14	23303	2013-08-04 18:29:02.710312	2013-08-04 18:29:02.710312	\N	98a1f9ab-2f51-44a6-81e9-932665093a64
154594	1	20860	2013-08-04 02:56:16.277048	2013-08-04 02:56:16.277048	\N	46c7aa38-aecb-413f-84b6-890a6774529f
154643	10	20833	2013-08-04 02:56:34.444264	2013-08-04 02:56:34.444264	\N	b44ecf91-f498-494c-80bf-f236ee9c6fe8
154644	10	20845	2013-08-04 02:56:34.559402	2013-08-04 02:56:34.559402	\N	50175230-73af-4cb9-b4bf-9b708a600616
154647	17	20833	2013-08-04 02:56:35.38739	2013-08-04 02:56:35.38739	\N	d1438081-2a8e-4fbb-91c4-b854f8176eeb
160895	11	21428	2013-08-04 17:13:40.594934	2013-08-04 17:13:40.594934	\N	a2d67cef-4f75-41f9-b957-3c6c599acc90
177401	14	23337	2013-08-04 18:29:02.760185	2013-08-04 18:29:02.760185	\N	6a596dfc-b41f-48b9-a81a-629e16d06d8e
164052	1	21808	2013-08-04 17:28:23.359201	2013-08-04 17:28:23.359201	\N	1d644b6c-a316-41d3-bf4f-9bd92fb48a55
151933	20	20329	2013-08-04 02:36:58.158567	2013-08-04 02:36:58.158567	\N	5b5ac20b-0928-4c0b-b076-fb7959a3a13c
184312	1	23981	2013-08-04 18:53:05.025009	2013-08-04 18:53:05.025009	\N	cba3f115-026c-4fe4-bd2f-20541944e6b4
195208	17	24751	2013-08-04 19:38:20.853087	2013-08-04 19:38:20.853087	\N	1fb11f35-5e3a-490f-8a7b-670066ea7f77
195210	4	24828	2013-08-04 19:38:22.125942	2013-08-04 19:38:22.125942	\N	0f8cfef5-3232-4637-a24e-7915e1a545d4
164113	3	21727	2013-08-04 17:28:55.929511	2013-08-04 17:28:55.929511	\N	2f802115-23ee-4e1b-a83a-fdac81a7b7f8
195211	4	24832	2013-08-04 19:38:22.159328	2013-08-04 19:38:22.159328	\N	d145cdc6-bfed-476c-bdde-1dff54483279
154752	13	20845	2013-08-04 02:57:18.783667	2013-08-04 02:57:18.783667	\N	53b103b0-4342-4305-a08d-680ee05980ca
154755	9	20833	2013-08-04 02:57:19.17277	2013-08-04 02:57:19.17277	\N	18aa192e-b02c-495b-994a-138df715cf44
164115	3	21742	2013-08-04 17:28:55.98405	2013-08-04 17:28:55.98405	\N	b716c4bf-56cd-49ea-a2f1-a2349bcdf055
160940	2	21409	2013-08-04 17:13:47.201944	2013-08-04 17:13:47.201944	\N	504941b0-6ebe-41ce-a27b-d3d86e003515
195212	4	24846	2013-08-04 19:38:22.209363	2013-08-04 19:38:22.209363	\N	949f14ce-6b94-4ae4-be8d-6c2585b710fb
160943	2	21407	2013-08-04 17:13:47.265945	2013-08-04 17:13:47.265945	\N	0e207aad-5576-4ee0-802f-113c53f0e847
184318	7	23982	2013-08-04 18:53:06.050238	2013-08-04 18:53:06.050238	\N	f13d67a1-f9be-434f-b8c9-868abf920ae6
167411	19	22270	2013-08-04 17:51:02.436592	2013-08-04 17:51:02.436592	\N	f201d8eb-40ae-450b-9551-bbdd4bebbddb
160969	12	21388	2013-08-04 17:13:49.209555	2013-08-04 17:13:49.209555	\N	087d9275-a0bc-459d-8224-274cf7d2de65
184332	7	23964	2013-08-04 18:53:07.968046	2013-08-04 18:53:07.968046	\N	f1d5676a-d3a5-4e94-a397-f386d26fbf00
195231	9	24790	2013-08-04 19:38:28.568465	2013-08-04 19:38:28.568465	\N	01cd5a0c-900a-478d-8853-e35b18736264
170606	14	22660	2013-08-04 18:04:21.632975	2013-08-04 18:04:21.632975	\N	4a3459c7-a6d5-4b30-b8fd-c0998adf73d2
170608	14	22667	2013-08-04 18:04:21.694762	2013-08-04 18:04:21.694762	\N	ecf480cc-5ea9-4de5-869d-067fa1a7eb57
170609	14	22678	2013-08-04 18:04:21.739656	2013-08-04 18:04:21.739656	\N	31c1db3d-151d-4227-8cd9-56e7602bfa77
184336	13	23908	2013-08-04 18:53:09.272846	2013-08-04 18:53:09.272846	\N	04c667eb-9f77-4e34-8be9-4cb2274ceef1
170611	14	22662	2013-08-04 18:04:21.827401	2013-08-04 18:04:21.827401	\N	9718f82f-2200-462b-a155-12e36f804601
170612	14	22674	2013-08-04 18:04:21.88469	2013-08-04 18:04:21.88469	\N	81f295d8-2aa6-45b9-bd7f-6dcc2074f4ef
170613	14	22663	2013-08-04 18:04:21.936174	2013-08-04 18:04:21.936174	\N	aef9235f-9e3a-413a-8e15-14d0a7506f08
170614	14	22666	2013-08-04 18:04:21.979785	2013-08-04 18:04:21.979785	\N	7ff315f1-04be-4f4f-ae77-49dee1b347d0
170615	14	22669	2013-08-04 18:04:22.011769	2013-08-04 18:04:22.011769	\N	e405ec04-df79-4a75-83be-b21b91df24ea
170616	14	22668	2013-08-04 18:04:22.065199	2013-08-04 18:04:22.065199	\N	3ae189e3-5548-4859-bd13-0889bebf6670
167495	1	22396	2013-08-04 17:51:59.197634	2013-08-04 17:51:59.197634	\N	4f359351-420b-4046-bed4-9ed2c6de59bf
152213	10	20380	2013-08-04 02:38:00.984416	2013-08-04 02:38:00.984416	\N	7ced3721-c965-42ef-9f4c-55e3c81e72c4
195248	1	24832	2013-08-04 19:38:39.512195	2013-08-04 19:38:39.512195	\N	37b7d65f-2b71-42b2-a91a-6f70b478d46c
170625	2	22689	2013-08-04 18:04:23.33663	2013-08-04 18:04:23.33663	\N	18805934-7b4c-463b-b72a-32a2132da34b
173989	2	22930	2013-08-04 18:16:15.544798	2013-08-04 18:16:15.544798	\N	798fd881-2744-4d87-bc35-1f7336aed815
195257	11	24832	2013-08-04 19:38:44.838411	2013-08-04 19:38:44.838411	\N	3033d074-73dc-4cf5-b93f-d09668d7d382
154886	3	20884	2013-08-04 02:58:06.179232	2013-08-04 02:58:06.179232	\N	a52178e0-22e3-4d47-849c-f967513dfadb
154887	3	20845	2013-08-04 02:58:06.240268	2013-08-04 02:58:06.240268	\N	9b7c1470-8a89-4f35-a128-4ed1bf79098e
154888	3	20833	2013-08-04 02:58:06.309374	2013-08-04 02:58:06.309374	\N	2c999d6f-2744-46d1-a43a-4c401841d896
154889	3	20860	2013-08-04 02:58:06.38578	2013-08-04 02:58:06.38578	\N	7ed137fe-ea17-4ce2-93e0-0c5ffcbbbb8e
164288	14	21742	2013-08-04 17:29:59.463445	2013-08-04 17:29:59.463445	\N	1e96d35c-36df-4cf0-86e0-b7b3ca8167e3
161124	19	21388	2013-08-04 17:14:05.360265	2013-08-04 17:14:05.360265	\N	a2ae8a8a-d2d2-4835-8552-88e80ae5af31
167599	9	22433	2013-08-04 17:52:34.293988	2013-08-04 17:52:34.293988	\N	c13f79c6-cb50-4ada-ab92-c0decbc84976
195268	2	24819	2013-08-04 19:38:46.077478	2013-08-04 19:38:46.077478	\N	45cd4234-2448-4c7f-aa10-de720457d282
167617	9	22457	2013-08-04 17:52:42.788884	2013-08-04 17:52:42.788884	\N	4832d3d6-8660-4ef9-8571-8bdc056ee63a
177606	3	23254	2013-08-04 18:29:45.2105	2013-08-04 18:29:45.2105	\N	56d3d263-9397-4306-9f05-10c065e8a1f4
195281	14	24845	2013-08-04 19:38:49.831834	2013-08-04 19:38:49.831834	\N	72c2bff9-e309-4cce-852e-b47f93714c27
164441	2	21790	2013-08-04 17:31:07.152581	2013-08-04 17:31:07.152581	\N	87b35ac7-61f7-4ea2-9e75-04a1b9adaaa1
164473	8	21853	2013-08-04 17:31:56.917804	2013-08-04 17:31:56.917804	\N	23c8a0fb-c20c-4579-85bc-53a47aca7c96
164475	8	21938	2013-08-04 17:31:59.268185	2013-08-04 17:31:59.268185	\N	70de22b3-4309-49c8-aabb-16089deb57bb
164501	1	21868	2013-08-04 17:32:00.293964	2013-08-04 17:32:00.293964	\N	6e32e8bf-4a79-4be7-9b89-4a605e5f9809
164507	10	21853	2013-08-04 17:32:00.835202	2013-08-04 17:32:00.835202	\N	31729c7d-3bd2-440e-88d7-2c6f2d4e74c3
164508	10	21892	2013-08-04 17:32:00.958873	2013-08-04 17:32:00.958873	\N	1d7ff2f3-ba96-4e13-9b43-d0b6cb8bf679
164509	8	21868	2013-08-04 17:32:01.423502	2013-08-04 17:32:01.423502	\N	ab093be4-546d-4ec2-89a6-9148b8117453
164530	13	21892	2013-08-04 17:32:14.375514	2013-08-04 17:32:14.375514	\N	bf7e467f-5b5d-44d5-9829-1c5b157be223
164576	17	21892	2013-08-04 17:32:30.584741	2013-08-04 17:32:30.584741	\N	7958fa3b-ea74-417a-8619-f025c58a5a99
180850	1	23567	2013-08-04 18:40:15.070777	2013-08-04 18:40:15.070777	\N	4008e446-70a9-4249-8690-fff8bdf53f06
164586	9	21929	2013-08-04 17:32:33.646978	2013-08-04 17:32:33.646978	\N	a34dcbf9-cb9b-4f10-9f5b-72cc50eac047
164587	11	21930	2013-08-04 17:32:33.744791	2013-08-04 17:32:33.744791	\N	875e1dfe-eff3-46d3-b5b1-6b169022eaad
154591	1	20845	2013-08-04 02:56:14.441011	2013-08-04 02:56:14.441011	\N	7ca6592f-af93-4333-85c6-bb98af700825
154593	6	20845	2013-08-04 02:56:14.536816	2013-08-04 02:56:14.536816	\N	45532ce1-696e-4035-8557-51c7f467591f
154597	11	20845	2013-08-04 02:56:16.8943	2013-08-04 02:56:16.8943	\N	368542f5-22f5-4c44-8bfc-0f352173a5d2
154602	9	20885	2013-08-04 02:56:17.384814	2013-08-04 02:56:17.384814	\N	95ebdf3a-da0e-4410-ae79-aeca53518aac
195209	6	24766	2013-08-04 19:38:21.683829	2013-08-04 19:38:21.683829	\N	e3ebee84-1f28-45f4-a5cc-ee9c3958baea
203320	14	25691	2013-08-04 20:16:26.24532	2013-08-04 20:16:26.24532	\N	feab9048-4be7-48ec-aec8-add98bd40c03
151894	17	20341	2013-08-04 02:36:47.91384	2013-08-04 02:36:47.91384	\N	a4494642-0db5-4888-9c69-92f7e3141a88
195215	9	24831	2013-08-04 19:38:22.350223	2013-08-04 19:38:22.350223	\N	b1d4ac5d-397b-45b1-a080-0d0ac932f666
203321	14	25660	2013-08-04 20:16:26.29817	2013-08-04 20:16:26.29817	\N	fe2e2a32-a4d4-4244-a2f4-7daed9353c1f
203322	14	25732	2013-08-04 20:16:26.352311	2013-08-04 20:16:26.352311	\N	97b27679-7993-4860-87ef-77734b45f898
184306	9	23949	2013-08-04 18:53:00.932899	2013-08-04 18:53:00.932899	\N	6bc4c48e-329e-401d-892d-065d329e2cf6
203323	14	25661	2013-08-04 20:16:26.408226	2013-08-04 20:16:26.408226	\N	5f20324b-4d6f-4610-b7f5-a97f5de70fc3
203324	14	25662	2013-08-04 20:16:26.454758	2013-08-04 20:16:26.454758	\N	0270f9d4-2c9d-4183-9320-58f52adf4d6b
184310	2	23982	2013-08-04 18:53:01.945381	2013-08-04 18:53:01.945381	\N	2cb94862-6af3-4a1e-a826-febf867e1a73
184320	19	23966	2013-08-04 18:53:06.407582	2013-08-04 18:53:06.407582	\N	a69a6ff9-f35b-4e8f-8582-2dbb717b8b6d
154635	6	20860	2013-08-04 02:56:29.588734	2013-08-04 02:56:29.588734	\N	4879c51c-b698-4f8f-8716-5dea143d36c7
184321	9	23908	2013-08-04 18:53:06.598525	2013-08-04 18:53:06.598525	\N	ac89fb38-e210-4b52-9cb5-bffbfd565126
184322	13	23884	2013-08-04 18:53:06.886708	2013-08-04 18:53:06.886708	\N	71bf6590-e3ac-4da8-a6db-4c7927e64464
195238	7	24864	2013-08-04 19:38:32.176509	2013-08-04 19:38:32.176509	\N	4a2b316d-e683-4a32-bc92-b7599828f982
154645	10	20884	2013-08-04 02:56:34.669378	2013-08-04 02:56:34.669378	\N	afe74b11-0b56-48cc-8a0f-6205405da223
154646	17	20845	2013-08-04 02:56:35.218582	2013-08-04 02:56:35.218582	\N	10a61364-2b44-4c33-8f3a-48817824ce79
184421	11	23950	2013-08-04 18:53:21.839186	2013-08-04 18:53:21.839186	\N	cd54f6e7-a0d3-4134-a681-816d8a8fdb1a
154664	17	20884	2013-08-04 02:56:39.452877	2013-08-04 02:56:39.452877	\N	a34e4068-3843-4d3e-9f66-a42b264a0d38
154665	15	20885	2013-08-04 02:56:40.103947	2013-08-04 02:56:40.103947	\N	2167ac75-9436-42d3-bbbd-0f8a41142044
203325	14	25697	2013-08-04 20:16:26.516176	2013-08-04 20:16:26.516176	\N	76c41e1b-b062-41f7-ac65-2a8b3fc04963
154684	4	20945	2013-08-04 02:56:53.519916	2013-08-04 02:56:53.519916	\N	7dc1676f-c62d-4a7b-af7d-60000e1d580c
154685	4	20927	2013-08-04 02:56:53.577405	2013-08-04 02:56:53.577405	\N	ad1bfa65-7167-480a-9b2e-2db73f0c1e56
154686	4	20929	2013-08-04 02:56:53.634735	2013-08-04 02:56:53.634735	\N	9f02a64a-9935-459d-98af-9dff0911aead
154687	4	20935	2013-08-04 02:56:53.667026	2013-08-04 02:56:53.667026	\N	454617c6-4a2d-4758-89f2-d00ed73ba589
154688	4	20937	2013-08-04 02:56:53.714765	2013-08-04 02:56:53.714765	\N	660052b3-9ec4-400c-b6f0-ca715a0f9295
154689	4	20951	2013-08-04 02:56:53.770894	2013-08-04 02:56:53.770894	\N	313f7eff-0117-446d-83cf-c4aa8022716e
195240	19	24860	2013-08-04 19:38:32.530077	2013-08-04 19:38:32.530077	\N	9ac6b823-de1a-458f-b363-831df5776255
195241	17	24790	2013-08-04 19:38:32.937701	2013-08-04 19:38:32.937701	\N	592aece1-f11d-4c80-b62c-23efb6b884a8
195244	9	24863	2013-08-04 19:38:33.809954	2013-08-04 19:38:33.809954	\N	436bce8d-eabd-4aa4-bf1c-a16f54a700b9
195246	17	24766	2013-08-04 19:38:35.060656	2013-08-04 19:38:35.060656	\N	e681a517-b5c2-4c41-a27b-031ed9e31695
184438	11	23908	2013-08-04 18:53:26.71474	2013-08-04 18:53:26.71474	\N	ba92cb12-c67d-4554-95a0-38626c89e737
203326	14	25731	2013-08-04 20:16:26.575304	2013-08-04 20:16:26.575304	\N	4780f52a-0a85-431a-8e99-589c45ce2293
184450	11	23982	2013-08-04 18:53:27.34529	2013-08-04 18:53:27.34529	\N	82178f3b-c6b8-4a1b-802e-431383246283
154701	6	20833	2013-08-04 02:56:57.394151	2013-08-04 02:56:57.394151	\N	ed5a44e7-64e4-4fe0-8655-870eb23f9f11
154704	14	20845	2013-08-04 02:56:59.592652	2013-08-04 02:56:59.592652	\N	c900c1ba-08bb-425a-9cd4-6c7effb89d40
154705	14	20833	2013-08-04 02:56:59.680251	2013-08-04 02:56:59.680251	\N	adb5e929-b4f0-4259-937e-d7ea633b5310
173942	14	22923	2013-08-04 18:16:10.999819	2013-08-04 18:16:10.999819	\N	77e33ba4-c58c-4827-8a89-5fe3c0bb29ba
203327	14	25695	2013-08-04 20:16:26.62713	2013-08-04 20:16:26.62713	\N	d785bff3-f710-4ac9-87f9-ac891b2d3a4f
167492	8	22442	2013-08-04 17:51:58.967068	2013-08-04 17:51:58.967068	\N	d3a30cad-58e9-4f71-b0eb-7bfabf65bb5c
152101	6	20356	2013-08-04 02:37:16.186262	2013-08-04 02:37:16.186262	\N	ffc55ea3-4471-4546-9cc3-c6eb245d238b
167502	14	22414	2013-08-04 17:52:04.0788	2013-08-04 17:52:04.0788	\N	45e4bfb9-6f99-4e62-a2f2-9c563e0a0e54
167503	14	22357	2013-08-04 17:52:04.1408	2013-08-04 17:52:04.1408	\N	d3dbab44-f82c-4d64-92c0-275d76c4784e
154738	17	20860	2013-08-04 02:57:12.360682	2013-08-04 02:57:12.360682	\N	990f21d1-9085-4389-b9b7-ae80cf570bba
167504	14	22411	2013-08-04 17:52:04.185461	2013-08-04 17:52:04.185461	\N	66afaa14-7010-4656-98e4-c87a84024fef
154753	9	20845	2013-08-04 02:57:18.998843	2013-08-04 02:57:18.998843	\N	29d3ccf0-0d5d-4301-89fe-7e76fde9c965
167505	14	22422	2013-08-04 17:52:04.232529	2013-08-04 17:52:04.232529	\N	ec14d7f7-ab66-43e8-a600-1850b9ee4804
167508	14	22423	2013-08-04 17:52:04.260801	2013-08-04 17:52:04.260801	\N	22b8b51d-9b53-471b-b12a-a59edd7fc120
152123	20	20380	2013-08-04 02:37:21.152643	2013-08-04 02:37:21.152643	\N	ff8aeb2c-acb1-4287-89c3-79d9c243c877
167509	14	22415	2013-08-04 17:52:04.307649	2013-08-04 17:52:04.307649	\N	08a628c6-05d9-4d3f-8022-3aae75782a93
167510	14	22417	2013-08-04 17:52:04.340591	2013-08-04 17:52:04.340591	\N	682cd7f5-42d5-47ad-a3ec-bc1e98075018
167512	14	22416	2013-08-04 17:52:04.374449	2013-08-04 17:52:04.374449	\N	3ee9f4f4-6fc7-45d7-86fc-0b61e28a64a0
167514	14	22419	2013-08-04 17:52:04.404849	2013-08-04 17:52:04.404849	\N	a8068ff1-4890-41b3-9429-367c0109e5f9
164224	1	21840	2013-08-04 17:29:35.507725	2013-08-04 17:29:35.507725	\N	a8200b5d-cfb6-4113-93c0-2d7d11fa7dbb
167516	14	22426	2013-08-04 17:52:04.434658	2013-08-04 17:52:04.434658	\N	2c317bed-ea29-4c80-a545-9a69435fcdb8
199159	2	25324	2013-08-04 20:00:25.66214	2013-08-04 20:00:25.66214	\N	0a625f4e-9c4f-4298-97bb-68173342a21d
164245	2	21730	2013-08-04 17:29:44.733509	2013-08-04 17:29:44.733509	\N	b8ed3d82-a3fb-4ee0-8994-e1ad94e1f827
184553	4	23946	2013-08-04 18:53:51.975374	2013-08-04 18:53:51.975374	\N	450debd1-90af-47e5-b630-b85985ae0940
184554	4	23970	2013-08-04 18:53:52.060087	2013-08-04 18:53:52.060087	\N	4799380a-c618-4c98-88c3-88a6208a0d86
184555	4	23950	2013-08-04 18:53:52.139382	2013-08-04 18:53:52.139382	\N	d7db4e84-bb1b-4069-892f-5777d4f89c5e
167538	1	22470	2013-08-04 17:52:17.900312	2013-08-04 17:52:17.900312	\N	663fc485-4934-4614-a3cc-65df1d76857d
184556	4	23960	2013-08-04 18:53:52.222671	2013-08-04 18:53:52.222671	\N	fa4696bf-14b0-4b12-b13e-918fa3dc8bd9
184557	4	23964	2013-08-04 18:53:52.291842	2013-08-04 18:53:52.291842	\N	3cf9821f-0dd4-4de4-b84b-98f15f938169
167541	4	22432	2013-08-04 17:52:21.143844	2013-08-04 17:52:21.143844	\N	d8d7773f-a5a2-4e2b-a2a5-c4b97827c141
167542	4	22434	2013-08-04 17:52:21.200146	2013-08-04 17:52:21.200146	\N	7a5d17b6-0e94-49db-9f32-02a0baf3dcd6
167543	4	22438	2013-08-04 17:52:21.264123	2013-08-04 17:52:21.264123	\N	da654fc5-31e1-4272-9426-6cdef8e433be
167544	4	22442	2013-08-04 17:52:21.310459	2013-08-04 17:52:21.310459	\N	a09aa81d-e655-4097-a399-74bc5c218870
154813	14	20860	2013-08-04 02:57:41.821521	2013-08-04 02:57:41.821521	\N	855f8020-03fb-44d7-8f23-0a9ca71972bf
167545	4	22446	2013-08-04 17:52:21.35843	2013-08-04 17:52:21.35843	\N	7f4405da-94d7-4324-b297-330de1a4174e
154818	19	20885	2013-08-04 02:57:45.708042	2013-08-04 02:57:45.708042	\N	34d034fa-07ef-4d87-b95b-d8a45c7d9e95
167546	4	22448	2013-08-04 17:52:21.393479	2013-08-04 17:52:21.393479	\N	151bb4db-1aa5-4c82-b2a9-b4bd3da1fc40
167547	4	22452	2013-08-04 17:52:21.444307	2013-08-04 17:52:21.444307	\N	1af97aca-d453-4f7c-9b74-1b961c4aabfb
184558	4	23966	2013-08-04 18:53:52.380015	2013-08-04 18:53:52.380015	\N	275fbcfd-df3e-44fb-8c42-bd18bca8c6d4
154835	19	20845	2013-08-04 02:57:53.637249	2013-08-04 02:57:53.637249	\N	fe7cf8d5-a8eb-4b9b-b119-361227fbeff3
167550	4	22464	2013-08-04 17:52:21.535673	2013-08-04 17:52:21.535673	\N	71a60422-60ac-4ea1-b1bb-c9a754ae0d05
184559	4	23982	2013-08-04 18:53:52.47278	2013-08-04 18:53:52.47278	\N	a2aa671e-b3d8-4bb1-90d8-adb0e93da836
184560	4	23976	2013-08-04 18:53:52.565344	2013-08-04 18:53:52.565344	\N	9c2bccf9-fb83-4d07-8fc2-29a8d21c05a6
195324	2	24807	2013-08-04 19:39:12.249839	2013-08-04 19:39:12.249839	\N	d792ae97-d611-4e46-a741-b5bd13dcb565
161313	19	21435	2013-08-04 17:15:05.14449	2013-08-04 17:15:05.14449	\N	eeca00ec-9b5b-4728-9f75-7e6da250da35
187953	3	24121	2013-08-04 19:05:28.707837	2013-08-04 19:05:28.707837	\N	fcd4dbef-9202-402c-91df-fd9be949d1bc
187955	3	24136	2013-08-04 19:05:28.810798	2013-08-04 19:05:28.810798	\N	a2b7374d-1bc1-4915-9e93-8929e3ef2623
180995	2	23544	2013-08-04 18:40:43.015151	2013-08-04 18:40:43.015151	\N	dbad0658-bc58-4497-b5d8-bf52136ba3dd
195330	9	24845	2013-08-04 19:39:14.293654	2013-08-04 19:39:14.293654	\N	d3899732-fe64-4ee0-88df-ca1dce81e101
195332	9	24864	2013-08-04 19:39:15.491078	2013-08-04 19:39:15.491078	\N	37d8a88c-2de9-4de7-9d50-f23a572c7adf
167697	14	22372	2013-08-04 17:53:13.282418	2013-08-04 17:53:13.282418	\N	564fb237-a29b-43b5-a4ce-0cf729388e5e
195333	14	24790	2013-08-04 19:39:15.556327	2013-08-04 19:39:15.556327	\N	d91ad5de-8d5c-4f4c-8d86-3ce923f78bef
154902	19	20833	2013-08-04 02:58:07.93655	2013-08-04 02:58:07.93655	\N	f098545f-4814-4e8f-a6f3-fb5c370cf80e
207617	14	26450	2013-08-04 20:47:02.722641	2013-08-04 20:47:02.722641	\N	086ce50e-d26f-4238-b2b2-2e733258ca6c
184620	1	23949	2013-08-04 18:54:03.705412	2013-08-04 18:54:03.705412	\N	ff3f5ac0-7df2-4a64-8164-c60f23ea3e94
154596	13	20884	2013-08-04 02:56:16.675482	2013-08-04 02:56:16.675482	\N	9783e14c-21d6-44ea-af79-9f014bd9e8c1
195218	4	24810	2013-08-04 19:38:23.252908	2013-08-04 19:38:23.252908	\N	f5aa20d0-c238-41ff-8cd5-444079dd6db8
195219	4	24811	2013-08-04 19:38:23.292787	2013-08-04 19:38:23.292787	\N	e587e068-8afd-44eb-9fcd-4928e66509df
154600	9	20884	2013-08-04 02:56:17.205781	2013-08-04 02:56:17.205781	\N	5b97ebaf-e14d-481d-9e75-60bc87c61a22
154601	11	20833	2013-08-04 02:56:17.382829	2013-08-04 02:56:17.382829	\N	9b6c43b5-de7c-426d-9c9e-704c5ff3d95e
195220	4	24812	2013-08-04 19:38:23.337345	2013-08-04 19:38:23.337345	\N	4223048f-2cc0-4459-8b2d-a27fbaa70960
154648	16	20833	2013-08-04 02:56:36.526439	2013-08-04 02:56:36.526439	\N	c47b1317-16ae-4ed7-9ba9-1ec34c26d67c
154649	16	20860	2013-08-04 02:56:36.735154	2013-08-04 02:56:36.735154	\N	0e61da2b-49bb-43ed-ba14-85b0252007e1
154650	16	20884	2013-08-04 02:56:36.966617	2013-08-04 02:56:36.966617	\N	a6a0bfdd-e50f-4b21-8aeb-b01ac6252fec
195221	4	24819	2013-08-04 19:38:23.381883	2013-08-04 19:38:23.381883	\N	5595cdb8-eaed-4163-851d-63f5e32998a1
195222	4	24820	2013-08-04 19:38:23.434366	2013-08-04 19:38:23.434366	\N	7c47bc4f-c29d-4466-b145-2f9e83b4c6c3
199074	3	25258	2013-08-04 20:00:02.952004	2013-08-04 20:00:02.952004	\N	0bad2ca2-dca9-4446-9aae-4663df80976c
173937	2	22912	2013-08-04 18:16:10.750046	2013-08-04 18:16:10.750046	\N	228bc50c-abb5-4e5b-891a-ba2920d4a16d
195228	6	24790	2013-08-04 19:38:26.577165	2013-08-04 19:38:26.577165	\N	6d71de7a-844b-4d8f-90c4-59eca6bf8685
151895	17	20329	2013-08-04 02:36:48.040854	2013-08-04 02:36:48.040854	\N	c32920f0-fc2f-4524-a9ce-32d57b08af64
184277	2	23937	2013-08-04 18:52:53.00508	2013-08-04 18:52:53.00508	\N	e21092b2-0c6f-485a-85a5-5af47b314877
161081	14	21376	2013-08-04 17:14:02.377181	2013-08-04 17:14:02.377181	\N	10024ea3-0c41-47ec-936d-0e29efbce2df
161084	14	21448	2013-08-04 17:14:02.408509	2013-08-04 17:14:02.408509	\N	25538aa3-6e99-464f-86f5-d276f65f9cd5
161086	14	21377	2013-08-04 17:14:02.446924	2013-08-04 17:14:02.446924	\N	15220c0e-def7-43e6-9b7c-48bbac3553a5
154681	1	20885	2013-08-04 02:56:51.567978	2013-08-04 02:56:51.567978	\N	13dc6216-7ebc-4ebe-b57b-e0bd35a83365
154712	14	20884	2013-08-04 02:57:04.221627	2013-08-04 02:57:04.221627	\N	1b26c677-bffe-403f-aeb2-76d7bd65bcdc
161088	14	21378	2013-08-04 17:14:02.493951	2013-08-04 17:14:02.493951	\N	29dcea46-88c2-4255-8da8-5e11ba72c9b9
161090	14	21413	2013-08-04 17:14:02.551717	2013-08-04 17:14:02.551717	\N	acff1c16-c4dd-455c-8399-45a5ec06bec7
161091	14	21447	2013-08-04 17:14:02.611878	2013-08-04 17:14:02.611878	\N	e51b7547-addf-4dfc-854e-4d9666151a08
151978	17	20356	2013-08-04 02:37:06.139374	2013-08-04 02:37:06.139374	\N	b69a74f1-1bd8-40d1-9b55-29af65bc0182
195266	14	24827	2013-08-04 19:38:46.039246	2013-08-04 19:38:46.039246	\N	0ccf4e39-54ac-4ba1-a044-6ad7e0882834
184279	2	23970	2013-08-04 18:52:53.072699	2013-08-04 18:52:53.072699	\N	593de0ef-d19f-4fe6-aa59-c4f97343751c
184280	2	23946	2013-08-04 18:52:53.105669	2013-08-04 18:52:53.105669	\N	62886da2-8d5f-4c33-af8b-d016867334c6
184300	17	23884	2013-08-04 18:52:59.706225	2013-08-04 18:52:59.706225	\N	364a4563-b8b2-4fa3-9cd0-f3905920b3f3
195292	3	24751	2013-08-04 19:38:55.769901	2013-08-04 19:38:55.769901	\N	e8072026-30de-4815-b980-f04f6df913d8
195294	3	24766	2013-08-04 19:38:55.861298	2013-08-04 19:38:55.861298	\N	2ec0a1c7-4292-458b-b889-ac8a40c5b109
195295	3	24790	2013-08-04 19:38:55.92775	2013-08-04 19:38:55.92775	\N	43f81c78-257d-45d7-b150-7e174c803e64
154754	13	20833	2013-08-04 02:57:19.132845	2013-08-04 02:57:19.132845	\N	9e5df543-c73a-4cf4-b41c-39175c7bf427
195300	1	24831	2013-08-04 19:39:00.611775	2013-08-04 19:39:00.611775	\N	81381e07-c5f4-4f47-ac49-917389743193
191617	14	24467	2013-08-04 19:18:46.228317	2013-08-04 19:18:46.228317	\N	0ec8d0a0-07c8-42fc-ac78-aed00f4422af
184399	14	23977	2013-08-04 18:53:16.927572	2013-08-04 18:53:16.927572	\N	52fc5a49-3b55-48e3-80fb-f19b5580440e
184434	11	23884	2013-08-04 18:53:24.47792	2013-08-04 18:53:24.47792	\N	661f8eeb-6c49-44ed-a497-3e0c892d16b3
199184	10	25352	2013-08-04 20:00:31.80849	2013-08-04 20:00:31.80849	\N	2b59cdca-2308-4010-a475-9b5511efd571
195334	14	24766	2013-08-04 19:39:15.560693	2013-08-04 19:39:15.560693	\N	b57d34c8-adad-4e68-afb1-619c7fbba6f3
184513	2	23884	2013-08-04 18:53:41.871598	2013-08-04 18:53:41.871598	\N	ab2f3b39-eba6-4f73-af7c-47f193359702
167425	2	22287	2013-08-04 17:51:15.730517	2013-08-04 17:51:15.730517	\N	5a2fab49-d068-4a4b-9e45-094e7bb698ab
184517	2	23934	2013-08-04 18:53:42.0912	2013-08-04 18:53:42.0912	\N	222b3925-6137-411b-84dd-bc63d5a79a04
207532	13	26389	2013-08-04 20:46:17.494396	2013-08-04 20:46:17.494396	\N	5b991ed3-1584-4292-948b-1efdefdf72c1
174132	2	22923	2013-08-04 18:16:44.195203	2013-08-04 18:16:44.195203	\N	1cb7830e-a934-4225-87a0-060daa6ef992
203474	9	25871	2013-08-04 20:17:35.300655	2013-08-04 20:17:35.300655	\N	cdf5c0c5-088b-44c2-995e-dd171d849b07
203478	10	25860	2013-08-04 20:17:35.852625	2013-08-04 20:17:35.852625	\N	24d6839e-70b6-4595-8fac-1c6fb49ee3f3
203497	4	25759	2013-08-04 20:17:36.928421	2013-08-04 20:17:36.928421	\N	c44156a4-d6f8-4d05-ab32-574d3a26b394
203498	4	25774	2013-08-04 20:17:36.957312	2013-08-04 20:17:36.957312	\N	553efafd-e34b-4768-b216-9d83b700c615
167499	2	22469	2013-08-04 17:52:02.886063	2013-08-04 17:52:02.886063	\N	7cbf4f94-259d-4995-9e6e-eb6d489e4cd1
203523	8	25759	2013-08-04 20:17:41.135077	2013-08-04 20:17:41.135077	\N	02d29abc-81a6-413b-ba2d-33dfbd35b531
203525	14	25853	2013-08-04 20:17:41.922783	2013-08-04 20:17:41.922783	\N	ca125b05-acf3-4b73-b1d5-1dba8611de4e
203526	8	25860	2013-08-04 20:17:42.345041	2013-08-04 20:17:42.345041	\N	bf2c1c6f-3362-4210-8437-0e611fdbfe9f
167537	1	22462	2013-08-04 17:52:16.476873	2013-08-04 17:52:16.476873	\N	eb44cf3e-e557-41d5-9ea6-0649b9be99ef
167557	1	22434	2013-08-04 17:52:22.988229	2013-08-04 17:52:22.988229	\N	334fb691-0f15-45c2-90c7-18830c4bdd10
203527	8	25868	2013-08-04 20:17:42.465489	2013-08-04 20:17:42.465489	\N	b7608c7d-7213-441f-a042-c7242aa2a654
167564	11	22357	2013-08-04 17:52:24.894602	2013-08-04 17:52:24.894602	\N	b2159c18-337b-464d-8e78-f983d412f292
195451	7	24848	2013-08-04 19:39:54.030749	2013-08-04 19:39:54.030749	\N	9fd46f86-8ecb-471c-931e-dd21c5c9a41b
164518	13	21853	2013-08-04 17:32:07.568318	2013-08-04 17:32:07.568318	\N	f3e44c00-5a21-4304-9d22-ae408feba7de
164547	14	21937	2013-08-04 17:32:17.200244	2013-08-04 17:32:17.200244	\N	a30f11d9-7454-466e-92cc-33d65386e5f1
152136	19	20381	2013-08-04 02:37:28.512763	2013-08-04 02:37:28.512763	\N	4bf34f48-1e7d-46d6-8389-5979c59174ba
164548	14	21933	2013-08-04 17:32:17.39983	2013-08-04 17:32:17.39983	\N	550d7feb-bdc9-4010-b134-c2e6abd86947
164549	20	21892	2013-08-04 17:32:18.301337	2013-08-04 17:32:18.301337	\N	0c38dbee-63ae-4bd3-8b67-3d517ff6ebeb
164550	17	21853	2013-08-04 17:32:19.316886	2013-08-04 17:32:19.316886	\N	adee8f9f-69b1-4987-bd48-11875d2cb8eb
164551	9	21853	2013-08-04 17:32:19.625984	2013-08-04 17:32:19.625984	\N	a29b2f68-1a39-43f6-b734-c5964ddbe654
167568	11	22438	2013-08-04 17:52:25.531826	2013-08-04 17:52:25.531826	\N	41c976e3-ac07-4d9b-b9ad-dc7dc4b93606
161919	19	21514	2013-08-04 17:18:24.801404	2013-08-04 17:18:24.801404	\N	5ce871c2-cac3-4822-8ed9-e40fa082eb0b
203530	2	25818	2013-08-04 20:17:43.4262	2013-08-04 20:17:43.4262	\N	31ca9689-dde7-4609-aad9-6cb1506b1a24
164556	1	21853	2013-08-04 17:32:22.862857	2013-08-04 17:32:22.862857	\N	3402eee4-9075-4e25-bc8b-72e9e2ae310c
203531	11	25836	2013-08-04 20:17:43.820544	2013-08-04 20:17:43.820544	\N	3b52ccce-cfe5-4ee4-bc0f-d1e2117d2b54
167607	17	22357	2013-08-04 17:52:36.957187	2013-08-04 17:52:36.957187	\N	bfc35907-f22a-4853-8d5e-d54130d65e07
164579	9	21947	2013-08-04 17:32:31.912518	2013-08-04 17:32:31.912518	\N	d86a4856-b699-419f-bcdc-3aba72da4108
164580	9	21939	2013-08-04 17:32:32.07256	2013-08-04 17:32:32.07256	\N	a8f1006f-c812-4bae-9f52-504f6a8515f4
164581	9	21965	2013-08-04 17:32:32.251897	2013-08-04 17:32:32.251897	\N	ab93d59c-4214-4462-aa8e-00bb9a227560
203535	14	25839	2013-08-04 20:17:44.463685	2013-08-04 20:17:44.463685	\N	c816f3aa-aae5-4e88-9f78-3bc96ae7af28
161136	19	21349	2013-08-04 17:14:07.759497	2013-08-04 17:14:07.759497	\N	fdb24af9-3002-49a9-911d-ffd2b4856567
184405	11	23946	2013-08-04 18:53:18.619538	2013-08-04 18:53:18.619538	\N	ed212b17-904c-48a6-8e91-8cfa6abff595
195256	14	24859	2013-08-04 19:38:44.807388	2013-08-04 19:38:44.807388	\N	840c793e-1108-4301-9477-3642aef6112e
184410	14	23949	2013-08-04 18:53:19.498115	2013-08-04 18:53:19.498115	\N	a3ff58f8-5630-491a-bd94-4c1b21122270
207553	1	26412	2013-08-04 20:46:23.441694	2013-08-04 20:46:23.441694	\N	e600805a-4712-4a1e-8e2d-95e6e9e3c0fc
187851	2	24178	2013-08-04 19:05:11.562627	2013-08-04 19:05:11.562627	\N	ea8b5af3-68d2-409e-8031-6bf2a403f9ae
203505	7	25759	2013-08-04 20:17:38.02586	2013-08-04 20:17:38.02586	\N	aed90a95-947c-4aa2-8950-869afebe8178
170745	18	22498	2013-08-04 18:05:02.107604	2013-08-04 18:05:02.107604	\N	eae10dd4-5f38-4059-996c-626d687eadf5
161184	2	21417	2013-08-04 17:14:18.894878	2013-08-04 17:14:18.894878	\N	f36aed42-1f0d-4c5c-8ee1-febc0f12e2f0
170747	18	22624	2013-08-04 18:05:02.381964	2013-08-04 18:05:02.381964	\N	0c79ef1b-f33f-403c-9e82-d0cff50249aa
203514	17	25774	2013-08-04 20:17:39.715363	2013-08-04 20:17:39.715363	\N	9ba7b53f-0051-4274-8cac-e2b64f936574
164264	17	21616	2013-08-04 17:29:49.986745	2013-08-04 17:29:49.986745	\N	2f01949f-7e70-4608-9249-0b8ce83f9fee
207566	14	26416	2013-08-04 20:46:29.897419	2013-08-04 20:46:29.897419	\N	e6b73e51-d045-4a59-a636-2044125e7ad1
181054	14	23552	2013-08-04 18:40:51.53392	2013-08-04 18:40:51.53392	\N	7f783c76-e8cb-4150-9bed-32ea47fb29c8
181055	14	23551	2013-08-04 18:40:51.568017	2013-08-04 18:40:51.568017	\N	e39b0abd-3829-41f2-8fa1-6294def1ea9c
203517	14	25867	2013-08-04 20:17:40.809639	2013-08-04 20:17:40.809639	\N	d19ba964-9490-44b4-8881-9aaea267b7f6
207568	14	26488	2013-08-04 20:46:29.949812	2013-08-04 20:46:29.949812	\N	20499986-c316-4d0e-85e8-bf233789fe8e
203519	2	25824	2013-08-04 20:17:40.987436	2013-08-04 20:17:40.987436	\N	c6cfbebc-0129-4d74-b295-a07c791b3bf8
207569	14	26417	2013-08-04 20:46:29.985597	2013-08-04 20:46:29.985597	\N	12240731-54ea-4e7e-a6c3-0747dee8015d
164303	6	21818	2013-08-04 17:30:04.796163	2013-08-04 17:30:04.796163	\N	4727cfa1-ca93-4b99-b591-3bc60f25eba8
207571	14	26418	2013-08-04 20:46:30.016178	2013-08-04 20:46:30.016178	\N	b889309d-75fe-4790-8b24-0d5d8908fe3e
207572	14	26453	2013-08-04 20:46:30.071018	2013-08-04 20:46:30.071018	\N	47c2b52b-8063-489b-82f5-8d1155c19f92
207574	14	26487	2013-08-04 20:46:30.114438	2013-08-04 20:46:30.114438	\N	8913fd98-932e-404c-abea-498d61192959
195514	1	24845	2013-08-04 19:40:10.856391	2013-08-04 19:40:10.856391	\N	5b78ea59-13db-46cb-a3ce-eec3047e15c9
203562	7	25854	2013-08-04 20:17:46.979291	2013-08-04 20:17:46.979291	\N	1375879b-c95b-486f-a3ae-0269771d804e
203565	7	25818	2013-08-04 20:17:47.867365	2013-08-04 20:17:47.867365	\N	c149d825-98db-4d64-9e34-00b7331107ba
161299	19	21433	2013-08-04 17:14:59.229259	2013-08-04 17:14:59.229259	\N	3d578947-cc98-4761-ae50-a59088af97dc
164355	14	21811	2013-08-04 17:30:26.635938	2013-08-04 17:30:26.635938	\N	ad94cdc5-3346-4cec-a8e5-6e5691cc1349
161305	14	21414	2013-08-04 17:15:03.043573	2013-08-04 17:15:03.043573	\N	a08db899-4798-47e5-a528-754795a9e60d
161306	14	21411	2013-08-04 17:15:03.094433	2013-08-04 17:15:03.094433	\N	0b04b5ef-dc52-48e3-8dc1-15507493aec0
161307	14	21403	2013-08-04 17:15:03.139193	2013-08-04 17:15:03.139193	\N	f27cde48-1941-44b3-a431-b006be019ecf
161308	14	21410	2013-08-04 17:15:03.178086	2013-08-04 17:15:03.178086	\N	360c3f16-4235-47cc-974b-10869e2505f0
161310	14	21404	2013-08-04 17:15:03.271126	2013-08-04 17:15:03.271126	\N	88739d6c-0919-4e5c-9a61-2957fc56fe40
203731	13	25774	2013-08-04 20:18:37.092341	2013-08-04 20:18:37.092341	\N	0fc8f555-c75d-40af-84eb-7a03bb382f55
184644	2	23922	2013-08-04 18:54:11.214437	2013-08-04 18:54:11.214437	\N	7deec9cc-31f7-4ec5-8597-f40163a0aebe
184646	2	23923	2013-08-04 18:54:11.303737	2013-08-04 18:54:11.303737	\N	3933255e-f588-4796-a7d7-c925c6576270
161327	6	21349	2013-08-04 17:15:10.258563	2013-08-04 17:15:10.258563	\N	5df12356-7d95-4be7-bcc9-1bf1171bdac0
164519	2	21868	2013-08-04 17:32:10.89614	2013-08-04 17:32:10.89614	\N	2a3ac228-321f-4067-8365-e93f306569f5
164524	3	21868	2013-08-04 17:32:13.210075	2013-08-04 17:32:13.210075	\N	ceb7530d-0959-4ef7-9734-452a41b23bc3
161462	11	21462	2013-08-04 17:15:46.103964	2013-08-04 17:15:46.103964	\N	fb83d9ba-275f-41bb-a5f9-9e4a822edb54
152208	10	20329	2013-08-04 02:38:00.712046	2013-08-04 02:38:00.712046	\N	55985f32-06ff-4cd8-9d60-1cdf72cbad87
152212	10	20341	2013-08-04 02:38:00.825076	2013-08-04 02:38:00.825076	\N	0ffd8d59-6531-40af-b558-a3793cef03aa
164526	3	21892	2013-08-04 17:32:13.356095	2013-08-04 17:32:13.356095	\N	e4ed86bd-47b3-435b-aa0d-1de1957cdbac
184654	14	23935	2013-08-04 18:54:13.564	2013-08-04 18:54:13.564	\N	023d74d1-a231-4875-b638-56fa0d5571ae
155154	16	20845	2013-08-04 02:59:41.204315	2013-08-04 02:59:41.204315	\N	29e350d2-545a-44f4-984b-cda31b028f0b
164570	2	21892	2013-08-04 17:32:26.758371	2013-08-04 17:32:26.758371	\N	0bd3bd4c-4ca8-44bc-8451-218707b831e5
164571	2	21965	2013-08-04 17:32:26.805719	2013-08-04 17:32:26.805719	\N	c3bc8a61-bf32-4bc1-bb90-b8f5b44ba0ed
164582	9	21933	2013-08-04 17:32:32.480615	2013-08-04 17:32:32.480615	\N	b4d237ac-0bf0-48da-a7de-8354162aac7b
195663	14	24817	2013-08-04 19:40:56.995951	2013-08-04 19:40:56.995951	\N	c36f5d91-c583-416e-9927-e668e082ba76
164640	4	21928	2013-08-04 17:32:48.319202	2013-08-04 17:32:48.319202	\N	30a376be-0a7f-4ed7-9a9f-c9ddbb00c09b
164641	4	21930	2013-08-04 17:32:48.454145	2013-08-04 17:32:48.454145	\N	e92b3f62-185b-4684-803c-32a000b764ab
164642	4	21934	2013-08-04 17:32:48.521412	2013-08-04 17:32:48.521412	\N	2f13d3f8-7b14-4bd1-a988-1fd07b4f305b
155288	2	20632	2013-08-04 02:59:55.457325	2013-08-04 02:59:55.457325	\N	49d588c1-b8d0-4a9c-97ad-b5983952816f
164643	4	21938	2013-08-04 17:32:48.90971	2013-08-04 17:32:48.90971	\N	6e1a4d88-eea0-4621-9431-d7eb5683ac9c
164644	4	21940	2013-08-04 17:32:49.052511	2013-08-04 17:32:49.052511	\N	69d5d030-96f4-435a-8114-91e6dae74ba5
164645	4	21942	2013-08-04 17:32:49.140064	2013-08-04 17:32:49.140064	\N	997fa793-6c29-4bcb-b587-cdfa98d86ad3
161568	14	21559	2013-08-04 17:16:59.455603	2013-08-04 17:16:59.455603	\N	cabd204a-1b78-40c4-987f-f81691fb1bcf
164646	4	21944	2013-08-04 17:32:49.195414	2013-08-04 17:32:49.195414	\N	56acc29e-8967-45a4-8dad-67868d98e4ca
161575	19	21560	2013-08-04 17:17:01.111706	2013-08-04 17:17:01.111706	\N	74eafe6d-1284-4c15-bdb3-c52c59e136e7
161576	2	21475	2013-08-04 17:17:01.540782	2013-08-04 17:17:01.540782	\N	8c690e5b-a5cd-48f6-9a7d-41fd2aa7e1dd
161577	2	21515	2013-08-04 17:17:01.590663	2013-08-04 17:17:01.590663	\N	285295c0-24c3-469d-9384-831bd8397e7d
161578	2	21477	2013-08-04 17:17:01.641883	2013-08-04 17:17:01.641883	\N	2d196f58-dfa0-4de6-884a-4d00d788458a
161579	2	21486	2013-08-04 17:17:01.690085	2013-08-04 17:17:01.690085	\N	9ebf523e-f988-479d-a843-9b73613cfb2c
161580	2	21510	2013-08-04 17:17:01.736647	2013-08-04 17:17:01.736647	\N	369e728f-2d3c-4fdc-94b2-f61c7d1843b8
161581	2	21480	2013-08-04 17:17:01.771882	2013-08-04 17:17:01.771882	\N	68704608-54c2-4cf0-9cf5-d889614c555d
161582	2	21507	2013-08-04 17:17:01.818253	2013-08-04 17:17:01.818253	\N	742bf0c6-14cb-450d-bc75-43af61fe2f52
161583	2	21483	2013-08-04 17:17:01.860444	2013-08-04 17:17:01.860444	\N	a526b8ce-9227-4dbb-9312-6d1d2012ddfe
161584	2	21471	2013-08-04 17:17:01.91396	2013-08-04 17:17:01.91396	\N	a0425d97-2c96-4d63-b4d0-9fa5c0e62a92
161585	2	21498	2013-08-04 17:17:01.961275	2013-08-04 17:17:01.961275	\N	c830ce86-9214-4763-9590-519ef2feb962
161587	2	21504	2013-08-04 17:17:01.998272	2013-08-04 17:17:01.998272	\N	edbd8c18-1cf7-4c64-8dea-7dfe78a9b2f0
161588	2	21536	2013-08-04 17:17:02.047203	2013-08-04 17:17:02.047203	\N	8eb3ddd3-c9c2-4d91-afc0-231b040839d3
155307	2	20707	2013-08-04 02:59:55.836203	2013-08-04 02:59:55.836203	\N	acce5f82-af05-4adf-9c50-84c3e5f8e936
155308	2	20734	2013-08-04 02:59:55.867106	2013-08-04 02:59:55.867106	\N	abee6dad-b665-4a63-bd5c-0116bfacb2a9
161590	2	21534	2013-08-04 17:17:02.081955	2013-08-04 17:17:02.081955	\N	202c8be9-3149-42f7-8b3f-667eeb68a7e2
161592	2	21538	2013-08-04 17:17:02.120353	2013-08-04 17:17:02.120353	\N	acbc2a93-d34a-452b-89f4-318be3eb98b1
154919	12	20833	2013-08-04 02:58:14.468785	2013-08-04 02:58:14.468785	\N	f8419456-9991-4030-931b-adbe5f3e1ed9
184403	14	23945	2013-08-04 18:53:18.118353	2013-08-04 18:53:18.118353	\N	efe0cd51-6264-4457-bd02-ec2fa907a515
184404	14	23963	2013-08-04 18:53:18.488566	2013-08-04 18:53:18.488566	\N	af8faa58-113a-4a15-bd79-3dd5314fd2a0
207555	2	26459	2013-08-04 20:46:25.019102	2013-08-04 20:46:25.019102	\N	0b825752-2c92-40d2-a162-3496c7b5add7
167470	1	22357	2013-08-04 17:51:55.439797	2013-08-04 17:51:55.439797	\N	c1206397-b58c-4f83-a8b2-7f57bc765fe5
167493	8	22372	2013-08-04 17:51:58.975953	2013-08-04 17:51:58.975953	\N	9d0c79a8-8c8d-4f91-bdfe-0cbb421de1b7
167494	8	22448	2013-08-04 17:51:59.063424	2013-08-04 17:51:59.063424	\N	d00fe42a-bf4d-48f6-980f-fd5b73d7b4d7
167506	1	22451	2013-08-04 17:52:04.246016	2013-08-04 17:52:04.246016	\N	2bcdf587-f4d2-499d-9cb9-7cd36870f5ec
167511	4	22357	2013-08-04 17:52:04.341934	2013-08-04 17:52:04.341934	\N	5a3be522-c14d-4605-9e7f-44789fa6ddd3
167513	4	22372	2013-08-04 17:52:04.377828	2013-08-04 17:52:04.377828	\N	9735e73b-5579-426e-873a-f182b8f09e49
167515	4	22396	2013-08-04 17:52:04.412323	2013-08-04 17:52:04.412323	\N	1f6d2d65-a504-4d1d-a8fc-77af57b85b0d
184407	1	23950	2013-08-04 18:53:18.891901	2013-08-04 18:53:18.891901	\N	652de977-6c4c-4a32-996d-442f8265fc86
167529	14	22451	2013-08-04 17:52:11.949905	2013-08-04 17:52:11.949905	\N	52a47d8d-8e55-42d0-84c0-8a87ee2486e1
167575	11	22372	2013-08-04 17:52:28.264589	2013-08-04 17:52:28.264589	\N	8a9a7ca5-ea18-45b2-9233-5212a9e9334d
167579	2	22424	2013-08-04 17:52:28.912527	2013-08-04 17:52:28.912527	\N	3236ab09-abd6-4f3a-b2cb-7976ae9b3e1b
167580	11	22452	2013-08-04 17:52:29.395359	2013-08-04 17:52:29.395359	\N	2a79f6a7-f172-42fc-a248-3a9104c349c1
152125	12	20329	2013-08-04 02:37:23.214519	2013-08-04 02:37:23.214519	\N	a8ef523e-b59e-4de1-8170-f25f99ae8fa5
195339	4	24864	2013-08-04 19:39:18.507081	2013-08-04 19:39:18.507081	\N	4c25c68a-30fd-4c55-81ca-0ebc0d45d934
195342	14	24810	2013-08-04 19:39:19.341662	2013-08-04 19:39:19.341662	\N	0e709a3f-1427-4b3d-b171-8005d2d308eb
152156	1	20381	2013-08-04 02:37:36.492053	2013-08-04 02:37:36.492053	\N	8547ea19-700a-42cf-a107-5926dea26ac2
167591	11	22470	2013-08-04 17:52:31.876336	2013-08-04 17:52:31.876336	\N	1d4eb6f6-430f-4cd3-a41f-b9206a5e0fa2
170741	18	22372	2013-08-04 18:05:01.68636	2013-08-04 18:05:01.68636	\N	1f94326a-4f4c-4d81-92c7-925a10f398d5
195343	14	24812	2013-08-04 19:39:19.40416	2013-08-04 19:39:19.40416	\N	2e96731a-080c-4b94-927e-99e6c3122da5
167596	9	22443	2013-08-04 17:52:32.137287	2013-08-04 17:52:32.137287	\N	fff65984-e806-4445-9b5e-1a7e31d8e93c
167598	1	22469	2013-08-04 17:52:34.274961	2013-08-04 17:52:34.274961	\N	4b66a59c-4bcf-43c5-8087-f953cf1984e1
155168	4	20919	2013-08-04 02:59:44.637704	2013-08-04 02:59:44.637704	\N	fcac42c5-1ff7-43d5-b88f-677eb6e76d61
195345	14	24819	2013-08-04 19:39:19.479524	2013-08-04 19:39:19.479524	\N	65ed8335-e5db-453e-a37b-d4a33f87547e
167637	1	22438	2013-08-04 17:52:48.65436	2013-08-04 17:52:48.65436	\N	4fe467e4-8b45-4d05-b0c6-d25dd90187f5
167640	1	22433	2013-08-04 17:52:49.495443	2013-08-04 17:52:49.495443	\N	a4ebba9b-f084-47e7-85f7-fb64d30ea4dd
164474	2	21864	2013-08-04 17:31:59.236267	2013-08-04 17:31:59.236267	\N	54ae7f30-b6b0-46b1-8df9-d7ab5d89b951
164476	2	21870	2013-08-04 17:31:59.285663	2013-08-04 17:31:59.285663	\N	298f6dd8-20b0-45fc-81ad-d5325d48e54f
164477	2	21861	2013-08-04 17:31:59.335812	2013-08-04 17:31:59.335812	\N	b4dd3001-838d-4ae9-9eca-c0794a7a8777
164478	2	21885	2013-08-04 17:31:59.394694	2013-08-04 17:31:59.394694	\N	85c60eea-5210-4544-a3f9-9bcbc7660c74
164479	2	21858	2013-08-04 17:31:59.446525	2013-08-04 17:31:59.446525	\N	059759e5-7e90-4afd-be0b-d7c8e647a6fb
164480	2	21888	2013-08-04 17:31:59.501034	2013-08-04 17:31:59.501034	\N	606270db-1d42-42a1-a9bf-1a251b7cd73f
155195	2	20581	2013-08-04 02:59:53.34175	2013-08-04 02:59:53.34175	\N	97bbbfc3-1378-4f8c-b79e-57752630e680
164481	2	21849	2013-08-04 17:31:59.529879	2013-08-04 17:31:59.529879	\N	b54f39bd-fe72-4be6-875c-8bbf4257fa1e
155197	2	20608	2013-08-04 02:59:53.634606	2013-08-04 02:59:53.634606	\N	370159a0-6d84-41a9-a310-9432fed8e742
155198	2	20593	2013-08-04 02:59:53.664307	2013-08-04 02:59:53.664307	\N	52244770-8238-4afa-88c4-eb2762467b57
155199	2	20670	2013-08-04 02:59:53.730676	2013-08-04 02:59:53.730676	\N	c19950a3-93fc-474f-a9c3-3aacb1d2cecf
155200	2	20694	2013-08-04 02:59:53.754575	2013-08-04 02:59:53.754575	\N	3265122a-00cc-4bea-b590-72547b9c23b2
155201	2	20674	2013-08-04 02:59:53.779274	2013-08-04 02:59:53.779274	\N	2517276f-4cbe-4d3a-86c9-f1f51f4d3457
155202	2	20684	2013-08-04 02:59:53.806685	2013-08-04 02:59:53.806685	\N	c82cb868-76f0-4dd3-af5b-0d6210386a67
155203	2	20680	2013-08-04 02:59:53.837741	2013-08-04 02:59:53.837741	\N	f5056e4c-e1d4-4f74-a891-e8b6dfc7b48d
155204	2	20688	2013-08-04 02:59:53.861942	2013-08-04 02:59:53.861942	\N	b78b16e9-2e49-45b3-8af4-7bbedd9accc5
155205	2	20698	2013-08-04 02:59:53.886906	2013-08-04 02:59:53.886906	\N	9b691953-a1f9-4509-bac6-276bfb17b8be
155206	2	20690	2013-08-04 02:59:53.911984	2013-08-04 02:59:53.911984	\N	8582dd37-f832-41fb-97c6-dbda9eba7562
155207	2	20706	2013-08-04 02:59:53.936229	2013-08-04 02:59:53.936229	\N	738340c6-fb5c-49db-85bf-5f2338b53f87
164482	2	21876	2013-08-04 17:31:59.578147	2013-08-04 17:31:59.578147	\N	7a5c983c-d05e-4cf6-bb13-c74d181caec8
164483	2	21894	2013-08-04 17:31:59.626903	2013-08-04 17:31:59.626903	\N	20ac32ee-a7bc-4678-b09c-9980745346e6
164484	2	21882	2013-08-04 17:31:59.677197	2013-08-04 17:31:59.677197	\N	05db8845-e673-4301-ac45-cafd7f040281
164485	2	21853	2013-08-04 17:31:59.721633	2013-08-04 17:31:59.721633	\N	64660593-5514-43ef-8f57-330dcf388f7a
164486	2	21855	2013-08-04 17:31:59.76705	2013-08-04 17:31:59.76705	\N	f1bcc164-0385-456d-8346-2ab5cf2fefa1
207634	7	26566	2013-08-04 20:47:31.963393	2013-08-04 20:47:31.963393	\N	e58c20fd-33fa-459d-a618-aa273ac9168a
167645	17	22372	2013-08-04 17:52:50.392184	2013-08-04 17:52:50.392184	\N	81c543b1-a0c8-4ac3-abc8-c933d519b7f5
207638	7	26584	2013-08-04 20:47:32.100105	2013-08-04 20:47:32.100105	\N	e30920bf-882d-499d-8a77-ef67f9d4fc12
167687	19	22372	2013-08-04 17:53:10.305375	2013-08-04 17:53:10.305375	\N	e1ac393f-081c-44c7-b20a-167ecd7f9037
167688	9	22396	2013-08-04 17:53:10.53571	2013-08-04 17:53:10.53571	\N	e905aebd-27af-4635-84d0-f77f3458ac37
155219	2	20700	2013-08-04 02:59:54.183109	2013-08-04 02:59:54.183109	\N	c0bf7573-bdde-4aa1-9b26-582b6fa4f46d
180974	4	23568	2013-08-04 18:40:38.824071	2013-08-04 18:40:38.824071	\N	5437f744-e4be-418b-92f1-07aea805c2e2
180975	4	23592	2013-08-04 18:40:38.899135	2013-08-04 18:40:38.899135	\N	e600b444-89cf-404f-b135-b1e4f63c319d
164495	2	21897	2013-08-04 17:32:00.070973	2013-08-04 17:32:00.070973	\N	bfd758e0-d2ea-4cb1-a6c7-cbe91ee4c486
180976	4	23572	2013-08-04 18:40:38.975877	2013-08-04 18:40:38.975877	\N	e1b79612-409e-440d-8692-09f1077c1334
180977	4	23582	2013-08-04 18:40:39.029424	2013-08-04 18:40:39.029424	\N	819d4cd4-3576-4fc4-8978-2da6c736af07
180978	4	23588	2013-08-04 18:40:39.099321	2013-08-04 18:40:39.099321	\N	5244d100-1199-4a6c-a11c-d9223d9d9450
161589	4	21475	2013-08-04 17:17:02.057484	2013-08-04 17:17:02.057484	\N	44a9dfea-9ca4-47df-b294-b3215d101c92
161591	4	21490	2013-08-04 17:17:02.091464	2013-08-04 17:17:02.091464	\N	89a04024-318a-47ff-afac-9b36f9b72eb2
161593	4	21514	2013-08-04 17:17:02.12721	2013-08-04 17:17:02.12721	\N	ea565826-b417-4383-8fad-0f3e87fd9bfa
164499	2	21916	2013-08-04 17:32:00.214338	2013-08-04 17:32:00.214338	\N	576e2fa8-55bd-45f1-9223-dc52354f9d79
161625	8	21490	2013-08-04 17:17:04.385774	2013-08-04 17:17:04.385774	\N	d9b6e05d-7e9e-4e2d-abff-2e8725f87648
164500	2	21929	2013-08-04 17:32:00.263783	2013-08-04 17:32:00.263783	\N	8d9b398d-debb-4dde-9461-5f1c9a7a8631
164502	2	21937	2013-08-04 17:32:00.297588	2013-08-04 17:32:00.297588	\N	ebeffa2f-d3e5-4593-95ea-92c6df2f389b
164503	2	21933	2013-08-04 17:32:00.34703	2013-08-04 17:32:00.34703	\N	82dccc14-31e0-4b88-82b0-f83c78487e50
161639	8	21566	2013-08-04 17:17:06.559125	2013-08-04 17:17:06.559125	\N	ffd6a886-481c-4d19-abd7-fcd1f45bad3a
161641	9	21514	2013-08-04 17:17:08.036899	2013-08-04 17:17:08.036899	\N	b2d9dd6b-d946-440b-8a6c-782f68cec169
161642	2	21552	2013-08-04 17:17:08.734037	2013-08-04 17:17:08.734037	\N	0cd7eafc-9a9b-467e-879b-26d0d51297d6
161643	1	21514	2013-08-04 17:17:08.998734	2013-08-04 17:17:08.998734	\N	d1f3ad65-7102-45a1-aabb-0877b7113bd3
164504	2	21908	2013-08-04 17:32:00.408696	2013-08-04 17:32:00.408696	\N	1c1a0325-9d2f-4095-8d88-c6da0f3fb7f4
164505	2	21915	2013-08-04 17:32:00.462956	2013-08-04 17:32:00.462956	\N	ba2ddc98-ec4e-480a-bf5d-7ad723bf4592
164506	2	21947	2013-08-04 17:32:00.509659	2013-08-04 17:32:00.509659	\N	cfa3120a-3053-4688-9327-7595f056262d
164510	1	21892	2013-08-04 17:32:01.580487	2013-08-04 17:32:01.580487	\N	e0e96424-5ac3-4091-aa2d-65ef127a83ec
161650	8	21560	2013-08-04 17:17:12.128826	2013-08-04 17:17:12.128826	\N	d7a5d484-c9f7-4d79-adda-2ff810befccb
164511	8	21892	2013-08-04 17:32:01.701704	2013-08-04 17:32:01.701704	\N	f61dc5ad-4106-47d6-8e17-5572e611bc28
164513	4	21937	2013-08-04 17:32:03.696063	2013-08-04 17:32:03.696063	\N	204ea974-343f-4f11-b154-09fe77ae754c
164514	4	21853	2013-08-04 17:32:04.856064	2013-08-04 17:32:04.856064	\N	cd100f9e-48b2-48cb-bd64-cc171c3dd650
187969	14	24121	2013-08-04 19:05:29.805317	2013-08-04 19:05:29.805317	\N	d2ff8d5e-b27a-4420-a47f-5838ef0e2194
187971	14	24191	2013-08-04 19:05:29.837989	2013-08-04 19:05:29.837989	\N	76ed8121-d892-4ed0-ac75-78d601316f41
187972	14	24174	2013-08-04 19:05:29.887207	2013-08-04 19:05:29.887207	\N	251a8cbf-21dc-4e0f-88e4-8b6e3fa0ea9d
167614	9	22437	2013-08-04 17:52:38.471651	2013-08-04 17:52:38.471651	\N	440f7dda-faf7-4ef8-a130-5e49d375a11f
184417	1	23945	2013-08-04 18:53:19.82636	2013-08-04 18:53:19.82636	\N	e311b865-358f-47fe-b646-39aac4a610c9
184418	11	23869	2013-08-04 18:53:21.026164	2013-08-04 18:53:21.026164	\N	d82af133-6c56-4d20-b202-b3ca9b6991d2
161344	11	21441	2013-08-04 17:15:15.675291	2013-08-04 17:15:15.675291	\N	8f0d25d2-e39f-4504-a5fd-b85b5a4c593c
191638	9	24467	2013-08-04 19:18:50.891624	2013-08-04 19:18:50.891624	\N	1b0da7df-77b1-4632-a5d2-4b1423093449
207642	7	26573	2013-08-04 20:47:32.278177	2013-08-04 20:47:32.278177	\N	757e8ff8-4158-416f-a106-90f0a6bf79b2
203475	2	25767	2013-08-04 20:17:35.783166	2013-08-04 20:17:35.783166	\N	3d7099d4-e6b4-40c3-b226-3869c67de6b4
164444	2	21789	2013-08-04 17:31:12.350039	2013-08-04 17:31:12.350039	\N	eeefae48-f169-4813-be3a-3078dce0cec8
203476	2	25764	2013-08-04 20:17:35.840437	2013-08-04 20:17:35.840437	\N	c9a48b0e-dbcd-48d6-8b51-71eeeff77a46
203479	2	25770	2013-08-04 20:17:35.877018	2013-08-04 20:17:35.877018	\N	a8f21c1e-de12-4489-bc6d-f4f40d535e10
203480	2	25782	2013-08-04 20:17:35.915903	2013-08-04 20:17:35.915903	\N	364140f7-4bdd-4c94-ad0f-803fdb73449f
195403	2	24805	2013-08-04 19:39:40.807793	2013-08-04 19:39:40.807793	\N	f0f6dc89-c278-44fc-88ec-1491b88b8ed4
199228	4	25321	2013-08-04 20:00:43.295122	2013-08-04 20:00:43.295122	\N	c1bc5d8c-528a-4d01-98bd-8de6a10158d7
203481	2	25755	2013-08-04 20:17:35.974731	2013-08-04 20:17:35.974731	\N	4a700c85-ebe7-48b0-b97d-389ba7aec989
184447	14	23908	2013-08-04 18:53:27.153469	2013-08-04 18:53:27.153469	\N	9fa2a56c-7311-42f4-b27e-6b0929b5d7ae
203482	2	25761	2013-08-04 20:17:36.022402	2013-08-04 20:17:36.022402	\N	b05753d1-5c25-4cdc-b3de-5b98be2030ee
184449	14	23884	2013-08-04 18:53:27.272022	2013-08-04 18:53:27.272022	\N	c2cb9786-d8e0-45e5-8d93-e13a38fd5394
164523	8	21944	2013-08-04 17:32:12.269742	2013-08-04 17:32:12.269742	\N	87f7ed43-822a-4979-bd5d-a559034febdf
203483	2	25836	2013-08-04 20:17:36.058664	2013-08-04 20:17:36.058664	\N	20801a04-b481-4142-9bda-36b69bac22cc
184453	9	23960	2013-08-04 18:53:27.934154	2013-08-04 18:53:27.934154	\N	0a186534-e1ca-4be6-80a8-83b385f652c1
184454	7	23966	2013-08-04 18:53:28.327819	2013-08-04 18:53:28.327819	\N	54db1a44-eb5d-470d-9e25-532a3ac77af2
164531	9	21892	2013-08-04 17:32:14.440353	2013-08-04 17:32:14.440353	\N	5cb7dba2-6224-4581-b2b8-9fc50b4fef56
203484	2	25774	2013-08-04 20:17:36.105664	2013-08-04 20:17:36.105664	\N	492773c3-ecc5-488a-a4c7-776d6cb2b898
207645	7	26515	2013-08-04 20:47:32.367379	2013-08-04 20:47:32.367379	\N	15f51cf1-a066-4ec4-87a9-63149fe981f5
184457	10	23908	2013-08-04 18:53:29.545054	2013-08-04 18:53:29.545054	\N	aae26f32-2ba4-4a44-91ad-817fa1723c4c
203488	2	25816	2013-08-04 20:17:36.264653	2013-08-04 20:17:36.264653	\N	6721acfe-8436-4bfa-a0d4-0fea1f376d3a
184481	10	23970	2013-08-04 18:53:34.916362	2013-08-04 18:53:34.916362	\N	481f1d78-a324-46b3-8c1f-c581776d96ab
207665	9	26627	2013-08-04 20:47:36.017516	2013-08-04 20:47:36.017516	\N	5fc5041f-2370-4abe-9ec5-ddadf269ae7e
203490	2	25806	2013-08-04 20:17:36.375125	2013-08-04 20:17:36.375125	\N	884b588f-631e-49c3-a824-01cca475cc89
207668	8	26616	2013-08-04 20:47:36.247555	2013-08-04 20:47:36.247555	\N	79c31493-db13-4fe2-9b82-91a4232aca37
203492	2	25860	2013-08-04 20:17:36.427874	2013-08-04 20:17:36.427874	\N	768e146c-ad96-4312-a0fe-eaa8f09d7080
207670	8	26624	2013-08-04 20:47:36.390902	2013-08-04 20:47:36.390902	\N	5da4c02b-3929-4b63-8bbe-7f34f9cc3c63
203494	2	25840	2013-08-04 20:17:36.513332	2013-08-04 20:17:36.513332	\N	f4a911ef-d873-4427-b7b0-d07e461e3b47
195440	8	24848	2013-08-04 19:39:50.000991	2013-08-04 19:39:50.000991	\N	b01f33cf-47af-4591-afb5-ea447a7b7a25
195441	2	24790	2013-08-04 19:39:51.176914	2013-08-04 19:39:51.176914	\N	a00307e8-0b2e-4ebd-aa2b-0b0d1522f337
188174	18	24136	2013-08-04 19:06:12.438777	2013-08-04 19:06:12.438777	\N	9ff9e184-f635-4870-a6a2-6c9d03999370
164589	11	21853	2013-08-04 17:32:35.087599	2013-08-04 17:32:35.087599	\N	9d5e8af3-43cd-4ca6-9124-0aac6190d328
184524	9	23982	2013-08-04 18:53:46.220127	2013-08-04 18:53:46.220127	\N	66ea8794-b5f6-4080-b1a9-6fe6eb4467ea
164591	7	21853	2013-08-04 17:32:35.396394	2013-08-04 17:32:35.396394	\N	4ea5953c-b485-4f80-afd5-9c395e3b3420
164592	7	21892	2013-08-04 17:32:35.467549	2013-08-04 17:32:35.467549	\N	1dccf049-b9db-4135-bc0a-6104581a88a4
203495	2	25853	2013-08-04 20:17:36.561558	2013-08-04 20:17:36.561558	\N	00bd7dea-5096-4101-a1d2-0305f2b81336
184527	2	23936	2013-08-04 18:53:46.770646	2013-08-04 18:53:46.770646	\N	ae2dfa1c-b709-4861-badf-fbd2a123407a
164602	11	21868	2013-08-04 17:32:38.440977	2013-08-04 17:32:38.440977	\N	6911bdc5-280e-4b42-b832-77450e2a5491
199268	1	25331	2013-08-04 20:00:53.852464	2013-08-04 20:00:53.852464	\N	4eda603c-773a-4154-9d67-984bc39e59eb
164607	11	21948	2013-08-04 17:32:39.559972	2013-08-04 17:32:39.559972	\N	c9580f50-50ad-480b-9ebc-ab599c41d1f1
203496	7	25821	2013-08-04 20:17:36.915303	2013-08-04 20:17:36.915303	\N	86b3b4bc-f4ab-4e23-9c31-ec26ddebe679
164609	16	21853	2013-08-04 17:32:40.109063	2013-08-04 17:32:40.109063	\N	d9154f6d-05b4-4afc-9738-0e0196abc361
164610	16	21868	2013-08-04 17:32:40.254237	2013-08-04 17:32:40.254237	\N	fa93ed57-377a-4e33-a5ea-d9398cffe629
161514	16	21433	2013-08-04 17:16:04.665221	2013-08-04 17:16:04.665221	\N	5ac880f1-08a7-4023-b7bb-9b28a72c0698
164611	16	21892	2013-08-04 17:32:40.46071	2013-08-04 17:32:40.46071	\N	c72587e9-0187-4b9f-9ff9-2a1ebdf30d06
164617	14	21892	2013-08-04 17:32:41.99731	2013-08-04 17:32:41.99731	\N	8d723da5-1f66-43f8-91b7-214b2b6cdbcb
207675	19	26616	2013-08-04 20:47:37.643041	2013-08-04 20:47:37.643041	\N	3a01edfc-2799-4b33-b5c8-86feae42869c
207680	9	26609	2013-08-04 20:47:38.246428	2013-08-04 20:47:38.246428	\N	1e005a80-af72-4d8d-974c-84ecf65f1416
161566	14	21555	2013-08-04 17:16:59.085743	2013-08-04 17:16:59.085743	\N	89a5f81b-f4a7-4bc8-897e-e093d4c8c3c2
161571	14	21569	2013-08-04 17:16:59.721623	2013-08-04 17:16:59.721623	\N	6a707a59-2644-4ff0-91eb-1c14bda8466d
161572	14	21561	2013-08-04 17:16:59.817411	2013-08-04 17:16:59.817411	\N	841bfc44-2829-4b84-8b2f-aa7e3b628c15
161712	13	21514	2013-08-04 17:17:27.978404	2013-08-04 17:17:27.978404	\N	24ac3b5f-ba97-45ca-b7bb-26135e372005
184534	9	23976	2013-08-04 18:53:47.428225	2013-08-04 18:53:47.428225	\N	490c710a-0622-4f9a-bbbf-6711ac63afa9
161714	11	21475	2013-08-04 17:17:29.552583	2013-08-04 17:17:29.552583	\N	df8c0717-a3db-4d1f-8c74-14de5415b144
207682	19	26515	2013-08-04 20:47:39.094231	2013-08-04 20:47:39.094231	\N	3a104e89-733d-4a81-8363-d3e920185a1b
207684	10	26616	2013-08-04 20:47:40.57993	2013-08-04 20:47:40.57993	\N	42eb1f79-7e5c-41a9-8a47-7d948363ab10
174444	7	23088	2013-08-04 18:17:54.096351	2013-08-04 18:17:54.096351	\N	cea676fc-d9af-4005-94f3-8024643265a5
207699	1	26515	2013-08-04 20:47:45.105847	2013-08-04 20:47:45.105847	\N	e4e773f5-2e0e-4ee6-b377-7f51f53aa12b
203582	1	25774	2013-08-04 20:17:52.075068	2013-08-04 20:17:52.075068	\N	b55a841f-b5f3-4ef1-98cf-7163e6971b0e
171141	14	22670	2013-08-04 18:06:32.841996	2013-08-04 18:06:32.841996	\N	7fadb0d3-14af-4063-a97e-c23bccebf7dc
161759	17	21514	2013-08-04 17:17:41.464099	2013-08-04 17:17:41.464099	\N	2e77e658-7380-4ff9-b66f-cbdcb7779d92
174452	7	23078	2013-08-04 18:17:54.815855	2013-08-04 18:17:54.815855	\N	81a22a34-862c-456e-b56f-711d863b309a
174456	7	23002	2013-08-04 18:17:56.818596	2013-08-04 18:17:56.818596	\N	876d7a66-dd76-41c7-a0b1-0828844481df
207706	2	26568	2013-08-04 20:47:50.025564	2013-08-04 20:47:50.025564	\N	17a88c54-eeef-4352-bec3-90cbac733024
174478	19	23026	2013-08-04 18:17:58.820213	2013-08-04 18:17:58.820213	\N	6f713295-482a-4f54-b890-413f3131d8b1
171191	2	22847	2013-08-04 18:06:55.270921	2013-08-04 18:06:55.270921	\N	ae11865e-6d0c-4a39-993c-71e6ea422647
171217	1	22774	2013-08-04 18:06:57.359443	2013-08-04 18:06:57.359443	\N	7e8cab51-6dc5-4eb9-b7a8-bd469d8dfe4b
171247	8	22832	2013-08-04 18:06:59.547707	2013-08-04 18:06:59.547707	\N	a4e2caf8-4912-442c-870f-69ee99d6f0eb
203616	14	25819	2013-08-04 20:18:03.459622	2013-08-04 20:18:03.459622	\N	56cbd17a-fa12-4d8b-8bde-7f52ce434811
199311	7	25306	2013-08-04 20:01:15.8449	2013-08-04 20:01:15.8449	\N	e3fe6d6b-b107-48f2-935d-9f237b0f8ae4
188220	1	24197	2013-08-04 19:06:24.551311	2013-08-04 19:06:24.551311	\N	9e931035-35d5-4c00-ba8c-738f81f81e65
178162	14	23298	2013-08-04 18:31:43.142925	2013-08-04 18:31:43.142925	\N	c4d0e25d-f435-47f1-ab03-d06bb158555a
174532	2	23096	2013-08-04 18:18:03.272581	2013-08-04 18:18:03.272581	\N	d097ff31-5d59-4714-930f-56d8165e13fc
174534	16	23063	2013-08-04 18:18:04.905634	2013-08-04 18:18:04.905634	\N	417061d7-7da3-4d31-afb2-ab22ae5503b4
178163	14	23292	2013-08-04 18:31:43.197265	2013-08-04 18:31:43.197265	\N	f42bb848-fddd-43f3-b5f6-6755ff919c11
207712	1	26547	2013-08-04 20:47:56.35004	2013-08-04 20:47:56.35004	\N	25340542-2fc9-4089-a677-2779a0da6f0d
178166	14	23307	2013-08-04 18:31:43.276683	2013-08-04 18:31:43.276683	\N	7499bc78-dff4-4d26-9ee9-1f3968cc95d8
178167	14	23297	2013-08-04 18:31:43.315779	2013-08-04 18:31:43.315779	\N	cdc04c3e-e66d-4504-ab88-5c2154b37ec3
178168	14	23309	2013-08-04 18:31:43.3628	2013-08-04 18:31:43.3628	\N	b1fa2426-8c13-404d-8bd3-a55b486f5178
178169	14	23293	2013-08-04 18:31:43.412508	2013-08-04 18:31:43.412508	\N	a73a2c35-9fde-41c4-aaf2-3dcf461b5f7f
203626	4	25817	2013-08-04 20:18:07.879697	2013-08-04 20:18:07.879697	\N	5097eaed-7515-4ff0-bf3b-1ecbe5961113
164742	2	21906	2013-08-04 17:33:28.895225	2013-08-04 17:33:28.895225	\N	41a97f1d-6020-42d2-8a22-2f780590cf1f
203627	4	25819	2013-08-04 20:18:08.06396	2013-08-04 20:18:08.06396	\N	d637f972-7998-4071-bbcb-34373eb739dc
203628	4	25820	2013-08-04 20:18:08.111477	2013-08-04 20:18:08.111477	\N	1e474ca4-d271-4182-a2f3-4a287379ca0d
203629	4	25828	2013-08-04 20:18:08.139883	2013-08-04 20:18:08.139883	\N	01485740-89f6-485a-9449-3e848a1826ba
161354	2	21400	2013-08-04 17:15:16.317456	2013-08-04 17:15:16.317456	\N	cb987c3d-2b5a-4c09-a928-2cf27dd5de05
164515	4	21868	2013-08-04 17:32:04.945029	2013-08-04 17:32:04.945029	\N	1f03c7bd-599a-4f7d-a3cd-2d59d2f41d15
164516	4	21892	2013-08-04 17:32:05.00158	2013-08-04 17:32:05.00158	\N	1c988930-ebcc-4815-bfd1-aa24834b9d28
164521	13	21868	2013-08-04 17:32:11.661061	2013-08-04 17:32:11.661061	\N	ef7fa550-54ed-425a-8bbb-dd0a2ea2e23f
164545	14	21929	2013-08-04 17:32:16.647463	2013-08-04 17:32:16.647463	\N	3a3cd6e3-3d78-42a0-bee4-4edbad18413e
164546	14	21947	2013-08-04 17:32:17.082554	2013-08-04 17:32:17.082554	\N	160b1edb-73cd-4121-8049-6b5ad748c6fe
180979	4	23604	2013-08-04 18:40:39.174334	2013-08-04 18:40:39.174334	\N	96b9e89c-9d1b-4d80-97cd-72729feefbff
177673	1	23319	2013-08-04 18:29:59.736005	2013-08-04 18:29:59.736005	\N	8040088e-df14-4415-8666-72c32baf9852
167648	17	22396	2013-08-04 17:52:51.115551	2013-08-04 17:52:51.115551	\N	6e97a857-6893-4574-8642-386cd3a0ff87
155320	2	20826	2013-08-04 02:59:56.095238	2013-08-04 02:59:56.095238	\N	4bb5b116-bd34-4dec-8515-626dae981b47
155321	2	20820	2013-08-04 02:59:56.123176	2013-08-04 02:59:56.123176	\N	ada35b82-b1cf-493f-83de-0d11296fa1b7
155322	2	20796	2013-08-04 02:59:56.147822	2013-08-04 02:59:56.147822	\N	e96429a8-443f-4fa5-b218-70037d06f8b2
155323	2	20800	2013-08-04 02:59:56.172451	2013-08-04 02:59:56.172451	\N	2087d2e4-6dca-430f-95c6-0ce68bfd4484
155324	2	20758	2013-08-04 02:59:56.198958	2013-08-04 02:59:56.198958	\N	3d7a4998-907d-468b-9046-ab2a7345a699
155325	2	20806	2013-08-04 02:59:56.231168	2013-08-04 02:59:56.231168	\N	56334208-9a16-4ac0-b873-6f9f51b0728a
155326	2	20810	2013-08-04 02:59:56.255061	2013-08-04 02:59:56.255061	\N	6d0e9b88-399d-4200-8cb9-56a8118ce08b
155327	2	20816	2013-08-04 02:59:56.280105	2013-08-04 02:59:56.280105	\N	4edc2e65-81d8-4d03-8d69-27cdbdb3f96d
155328	2	20814	2013-08-04 02:59:56.304476	2013-08-04 02:59:56.304476	\N	e6a8c8a9-0d2a-40ef-885b-967b4d5bdbe8
155329	2	20824	2013-08-04 02:59:56.329903	2013-08-04 02:59:56.329903	\N	322a76bb-143b-480f-90ca-f9135aa78768
167649	13	22372	2013-08-04 17:52:51.381119	2013-08-04 17:52:51.381119	\N	8c64abca-31c5-47e3-bdff-70d52dba8f76
155331	2	20832	2013-08-04 02:59:56.379369	2013-08-04 02:59:56.379369	\N	12ceff1d-03d5-46aa-89e5-1b5ea08b3467
167651	13	22396	2013-08-04 17:52:53.095568	2013-08-04 17:52:53.095568	\N	9ce5dc8c-ee12-4a28-95c0-4ac673e3a2c7
167652	9	22357	2013-08-04 17:52:54.248178	2013-08-04 17:52:54.248178	\N	b375f7e0-6530-4643-864d-370998bc555b
180980	4	23598	2013-08-04 18:40:39.247923	2013-08-04 18:40:39.247923	\N	8a1d0620-734e-4a52-9ac4-691c5ed6a2cb
167662	19	22396	2013-08-04 17:52:58.159401	2013-08-04 17:52:58.159401	\N	31ee17ae-5626-48c2-a3ff-2ef3af6d99b0
167668	10	22396	2013-08-04 17:53:00.777208	2013-08-04 17:53:00.777208	\N	328cd801-2f0d-4ed7-94c1-b56bcf8b2557
167669	10	22357	2013-08-04 17:53:00.895718	2013-08-04 17:53:00.895718	\N	d72fa735-fe49-4c4b-86c5-acc49baab8d5
164674	19	21944	2013-08-04 17:33:02.178637	2013-08-04 17:33:02.178637	\N	4195dcef-e465-43c2-8e98-c726161d89e3
164676	1	21930	2013-08-04 17:33:02.993434	2013-08-04 17:33:02.993434	\N	12a110f8-e575-4fc3-8a42-f4e4f4658234
167671	16	22357	2013-08-04 17:53:02.371645	2013-08-04 17:53:02.371645	\N	a8b0c167-5a8c-4840-9e7e-4c8555319fc4
167672	16	22372	2013-08-04 17:53:02.542986	2013-08-04 17:53:02.542986	\N	36404149-8a9d-4a7a-a93c-92785365bb0a
167673	16	22396	2013-08-04 17:53:02.758135	2013-08-04 17:53:02.758135	\N	2877a504-bb7a-417e-81c1-d0fcd7258c28
199215	1	25367	2013-08-04 20:00:38.004874	2013-08-04 20:00:38.004874	\N	d9ce2be0-bec9-49c1-bd4b-2947b9832b39
167680	1	22437	2013-08-04 17:53:04.66262	2013-08-04 17:53:04.66262	\N	70f07162-d92d-44d9-9947-51cfaf52b711
195445	9	24827	2013-08-04 19:39:53.071741	2013-08-04 19:39:53.071741	\N	97fbfc9e-d443-4414-8749-05845f512ffe
167683	1	22452	2013-08-04 17:53:05.867203	2013-08-04 17:53:05.867203	\N	bea1b491-c187-4926-af02-56f65e9c27b0
199251	14	25282	2013-08-04 20:00:52.342141	2013-08-04 20:00:52.342141	\N	d6a67d56-a1bb-4cd6-bfc1-3c88d70dcecd
199252	14	25354	2013-08-04 20:00:52.400051	2013-08-04 20:00:52.400051	\N	0a098d40-0a6a-4f12-b4e6-cf8cbf8ec639
167711	11	22434	2013-08-04 17:53:17.974192	2013-08-04 17:53:17.974192	\N	8fe88863-887b-4429-9089-ad6e3db477c6
199253	14	25283	2013-08-04 20:00:52.450993	2013-08-04 20:00:52.450993	\N	d4586184-ae69-40f7-8922-7b787f4ef775
199255	14	25284	2013-08-04 20:00:52.495198	2013-08-04 20:00:52.495198	\N	52759162-5490-404a-a21a-88e7b300a702
199256	14	25319	2013-08-04 20:00:52.545029	2013-08-04 20:00:52.545029	\N	c660b3bc-d2b2-4008-9137-ebcc472c14a0
199258	14	25353	2013-08-04 20:00:52.602728	2013-08-04 20:00:52.602728	\N	cd1feb8d-9186-4e0d-8f78-96321250d7c1
167724	2	22422	2013-08-04 17:53:21.120233	2013-08-04 17:53:21.120233	\N	ceeac8a3-25e9-448c-8976-aa372ae6cf42
203503	7	25828	2013-08-04 20:17:37.238246	2013-08-04 20:17:37.238246	\N	3b872335-d940-4b9a-967c-7452ee943281
167729	19	22458	2013-08-04 17:53:23.279538	2013-08-04 17:53:23.279538	\N	9f3a68a3-44a0-4974-b0e7-5ea006f94a82
177711	14	23304	2013-08-04 18:30:06.884431	2013-08-04 18:30:06.884431	\N	fb37c5e9-6818-4620-81ac-87ba8f9bc0a5
177712	14	23299	2013-08-04 18:30:06.924434	2013-08-04 18:30:06.924434	\N	382913d0-a3bf-4a1f-9e87-5843da4e6810
177714	14	23296	2013-08-04 18:30:06.955517	2013-08-04 18:30:06.955517	\N	cacb4a56-300b-4266-b476-83b61278aee5
177715	14	23308	2013-08-04 18:30:07.008722	2013-08-04 18:30:07.008722	\N	ea295927-345e-4767-bdea-48dbc3c6786e
177716	14	23305	2013-08-04 18:30:07.066635	2013-08-04 18:30:07.066635	\N	197c8e21-b36c-4b56-a2b3-fadcd7d25c65
155386	2	20719	2013-08-04 02:59:57.271321	2013-08-04 02:59:57.271321	\N	427b1011-9b36-49aa-91b7-9a7656be3b67
203558	7	25810	2013-08-04 20:17:46.739386	2013-08-04 20:17:46.739386	\N	5d477ba5-09c8-49ef-9d48-cd6e127dca3a
167756	14	22433	2013-08-04 17:53:32.314881	2013-08-04 17:53:32.314881	\N	f2b93389-4590-4e57-9807-b69d5cc1e593
203566	1	25836	2013-08-04 20:17:47.932192	2013-08-04 20:17:47.932192	\N	22b6693c-7a63-4c9f-aa58-65842a5a2d97
161565	8	21514	2013-08-04 17:16:58.113561	2013-08-04 17:16:58.113561	\N	f5794d27-3c71-41ed-878d-a3fb9c2ce553
161567	8	21475	2013-08-04 17:16:59.443587	2013-08-04 17:16:59.443587	\N	4f6555bd-a0e4-4620-8388-edd620ab60ff
161569	14	21551	2013-08-04 17:16:59.506912	2013-08-04 17:16:59.506912	\N	55f057d4-5020-487b-9c01-a48ce7f9649b
174416	14	22926	2013-08-04 18:17:46.941656	2013-08-04 18:17:46.941656	\N	7c72aaea-a43d-4448-8551-fdb4ce1d23fb
174417	14	22930	2013-08-04 18:17:47.0478	2013-08-04 18:17:47.0478	\N	bb7dfb91-f8e8-4d60-b613-61d04a378212
174443	7	22987	2013-08-04 18:17:53.627184	2013-08-04 18:17:53.627184	\N	560c10d7-8c79-44f6-b82d-d48b93e5bb91
161697	4	21515	2013-08-04 17:17:23.995105	2013-08-04 17:17:23.995105	\N	bfc69157-7394-4c44-92a3-52e39f7ac2da
161698	13	21475	2013-08-04 17:17:24.127594	2013-08-04 17:17:24.127594	\N	f56cf3d9-999f-4a2c-9be9-db5015db2627
161700	16	21475	2013-08-04 17:17:25.338627	2013-08-04 17:17:25.338627	\N	ac322f16-d783-4bd5-93ea-22229f89bcd5
161701	16	21490	2013-08-04 17:17:25.471761	2013-08-04 17:17:25.471761	\N	1205f60e-76ef-4d05-84c1-d6facbbe6adb
161704	13	21490	2013-08-04 17:17:26.613625	2013-08-04 17:17:26.613625	\N	ebb137c0-491a-459c-b980-62dd99e7868d
161705	10	21514	2013-08-04 17:17:26.899985	2013-08-04 17:17:26.899985	\N	1c76673c-c4d1-40fc-a66c-10b9fa36de81
161709	10	21475	2013-08-04 17:17:27.000987	2013-08-04 17:17:27.000987	\N	ab8ef234-b19a-4e69-b0d2-a6991e44fde1
174477	14	23063	2013-08-04 18:17:58.81094	2013-08-04 18:17:58.81094	\N	cde70f09-c539-4dab-8ed5-8038c155f9bc
161717	2	21556	2013-08-04 17:17:29.940248	2013-08-04 17:17:29.940248	\N	79274baa-f4ac-4c69-8839-e4d382aff81e
161718	2	21514	2013-08-04 17:17:29.972619	2013-08-04 17:17:29.972619	\N	b3f5653b-9778-40d3-8a15-0fa4c5569b41
167764	4	22470	2013-08-04 17:53:32.935485	2013-08-04 17:53:32.935485	\N	31d861f6-79e0-4697-a46b-815d848ae3af
161727	9	21569	2013-08-04 17:17:30.610463	2013-08-04 17:17:30.610463	\N	958a4e63-91bd-4b76-91f7-334c088f8ee3
161728	9	21555	2013-08-04 17:17:30.777392	2013-08-04 17:17:30.777392	\N	c2268a13-3048-4554-aa3e-4a6f249d1697
161742	11	21514	2013-08-04 17:17:35.097164	2013-08-04 17:17:35.097164	\N	fa217375-bc17-48fc-b108-2b92144fc64a
203572	11	25774	2013-08-04 20:17:49.594002	2013-08-04 20:17:49.594002	\N	8ee55297-aa4b-44aa-aac9-25ab29c0c23f
171171	19	22735	2013-08-04 18:06:53.10759	2013-08-04 18:06:53.10759	\N	d2d9bdbc-5834-4407-b437-1c9e6815c36d
171179	1	22735	2013-08-04 18:06:54.467978	2013-08-04 18:06:54.467978	\N	9dbf9ff6-a036-42dc-b6e6-64e0104479ad
184901	10	23869	2013-08-04 18:55:04.287193	2013-08-04 18:55:04.287193	\N	aa3b3d43-f337-40df-9203-f1187c0d20da
164845	1	21933	2013-08-04 17:34:03.005822	2013-08-04 17:34:03.005822	\N	cd83d5da-9eec-45d9-ae44-d06da42541f4
161780	8	21515	2013-08-04 17:17:45.781739	2013-08-04 17:17:45.781739	\N	07894f49-7cc9-4cf0-86f4-ca5647dfed85
161781	7	21490	2013-08-04 17:17:47.185753	2013-08-04 17:17:47.185753	\N	31bbc08e-a80b-4944-8b60-feca8c75c905
161594	2	21533	2013-08-04 17:17:02.169141	2013-08-04 17:17:02.169141	\N	93f4a663-13b3-4631-813c-5445245f3840
161595	2	21543	2013-08-04 17:17:02.226542	2013-08-04 17:17:02.226542	\N	db97bf43-2c11-4352-9ed2-280e767aa059
161596	2	21540	2013-08-04 17:17:02.278114	2013-08-04 17:17:02.278114	\N	223e5b18-8fae-4a1f-aa3f-02423514b049
207641	2	26538	2013-08-04 20:47:32.247647	2013-08-04 20:47:32.247647	\N	11e79dcc-ebec-400a-90c0-1e4d1a056ac9
161598	2	21537	2013-08-04 17:17:02.421735	2013-08-04 17:17:02.421735	\N	a2f096a1-3af1-430b-8b06-175505ec8406
207643	2	26517	2013-08-04 20:47:32.280151	2013-08-04 20:47:32.280151	\N	a2103aa3-60f3-4979-85f0-adeed8b822a5
164594	11	21934	2013-08-04 17:32:35.807646	2013-08-04 17:32:35.807646	\N	a90dd52d-131f-4e23-bddf-7dc841c09fc3
207644	2	26515	2013-08-04 20:47:32.358556	2013-08-04 20:47:32.358556	\N	a5cf9d41-a7da-46d4-b5b4-eeafae7258a3
188057	4	24191	2013-08-04 19:05:46.668622	2013-08-04 19:05:46.668622	\N	54d40460-2e0b-4acc-894c-eeca1ec91a6a
167670	19	22357	2013-08-04 17:53:02.011541	2013-08-04 17:53:02.011541	\N	1c1465fd-9d25-48fb-92bd-492210de4576
207652	2	26562	2013-08-04 20:47:32.563898	2013-08-04 20:47:32.563898	\N	607a247f-9002-442a-9df0-c5fde7d8da9e
161609	2	21519	2013-08-04 17:17:02.813969	2013-08-04 17:17:02.813969	\N	c4552874-9bf1-48ec-9ff0-b8200b4ae7be
161610	2	21516	2013-08-04 17:17:02.864218	2013-08-04 17:17:02.864218	\N	eb198766-a48b-4728-8cea-ad8d7bed5dae
161611	2	21528	2013-08-04 17:17:02.912728	2013-08-04 17:17:02.912728	\N	646ba003-9147-43e9-bca6-33bd9d8c7004
161612	2	21566	2013-08-04 17:17:02.95948	2013-08-04 17:17:02.95948	\N	db2fcc4a-83c5-425d-b13c-8069b5355b69
161613	2	21492	2013-08-04 17:17:02.997728	2013-08-04 17:17:02.997728	\N	f1776a78-c7f3-4ba0-a15a-07a9b103971b
161614	2	21561	2013-08-04 17:17:03.042875	2013-08-04 17:17:03.042875	\N	604d8199-1f30-4a58-94a9-9c47fff52255
161615	2	21559	2013-08-04 17:17:03.089819	2013-08-04 17:17:03.089819	\N	e789dcbf-8a0c-4b90-a4c5-f68ce7527d85
161616	2	21551	2013-08-04 17:17:03.128428	2013-08-04 17:17:03.128428	\N	1d5a0ca4-d608-475e-bae8-105f35affad2
161617	2	21572	2013-08-04 17:17:03.200677	2013-08-04 17:17:03.200677	\N	476959bb-c306-466f-8a25-5d9a6a07656c
161619	2	21555	2013-08-04 17:17:03.261442	2013-08-04 17:17:03.261442	\N	75bae353-f9c3-4a0e-839c-9cd979d09dfe
161620	2	21569	2013-08-04 17:17:03.319093	2013-08-04 17:17:03.319093	\N	4c87928e-6a48-4da3-a366-9aaea282fada
161621	2	21587	2013-08-04 17:17:03.358145	2013-08-04 17:17:03.358145	\N	9b92cbac-5676-45af-aca4-d0a092da1d52
161622	2	21588	2013-08-04 17:17:03.404667	2013-08-04 17:17:03.404667	\N	cfcda2fc-169d-4567-9886-1338f8eb4d59
164613	11	21892	2013-08-04 17:32:41.122493	2013-08-04 17:32:41.122493	\N	6c6b6ac2-9590-4aff-aa9c-780555a09a61
199368	14	25316	2013-08-04 20:01:25.891633	2013-08-04 20:01:25.891633	\N	ec2d32ea-2045-422c-9ce5-a7ba043694f4
199370	14	25325	2013-08-04 20:01:25.982051	2013-08-04 20:01:25.982051	\N	d0ebb46f-065e-4d4e-a781-225ac45319d7
164616	9	21953	2013-08-04 17:32:41.93883	2013-08-04 17:32:41.93883	\N	165983d6-4ee3-4e1e-a3e5-18a4c25b4760
199371	14	25306	2013-08-04 20:01:26.046765	2013-08-04 20:01:26.046765	\N	43261b77-d576-4184-8a5f-2051c7a0feb6
164651	19	21853	2013-08-04 17:32:50.925196	2013-08-04 17:32:50.925196	\N	74f23445-ce7e-4c75-abaf-43f09e391678
207654	2	26572	2013-08-04 20:47:32.65807	2013-08-04 20:47:32.65807	\N	2df8448b-6ec3-4e33-9210-630ccf42e89b
161632	4	21566	2013-08-04 17:17:04.637414	2013-08-04 17:17:04.637414	\N	08af5836-8021-47ce-958b-ffec38168617
207655	2	26573	2013-08-04 20:47:32.693895	2013-08-04 20:47:32.693895	\N	ba78480c-9771-442c-8147-dce201e3a019
164654	12	21853	2013-08-04 17:32:52.317172	2013-08-04 17:32:52.317172	\N	7ec0c5ae-503c-48c5-8bc4-92f2d8c740d1
164655	17	21868	2013-08-04 17:32:52.597754	2013-08-04 17:32:52.597754	\N	1ce534ac-06d1-43df-8bfd-1ab49cf24cee
161640	1	21475	2013-08-04 17:17:06.972109	2013-08-04 17:17:06.972109	\N	eaf56b78-d3e7-4fc8-ae94-44ad99046ef9
203470	7	25819	2013-08-04 20:17:34.987333	2013-08-04 20:17:34.987333	\N	30a8081c-dddd-4408-ad35-0af7a1dd3358
161649	9	21475	2013-08-04 17:17:11.27643	2013-08-04 17:17:11.27643	\N	b09a53dc-f443-467f-85b6-b577f1cbde81
161651	8	21576	2013-08-04 17:17:12.409698	2013-08-04 17:17:12.409698	\N	69ac83fb-71ce-4122-9d14-27b7717d5e54
161652	4	21559	2013-08-04 17:17:13.241468	2013-08-04 17:17:13.241468	\N	66ef84f7-c599-49fd-8474-36077c6d6076
161653	3	21514	2013-08-04 17:17:13.437233	2013-08-04 17:17:13.437233	\N	0086cc24-e367-4c81-931f-0e3243954e26
167798	19	22442	2013-08-04 17:53:41.001267	2013-08-04 17:53:41.001267	\N	e459529c-06ff-409d-9e54-97d0b02aeba1
203471	7	25812	2013-08-04 20:17:35.09522	2013-08-04 20:17:35.09522	\N	d3ee08de-605a-403d-af11-9d04f785df6f
164660	19	21938	2013-08-04 17:32:54.044509	2013-08-04 17:32:54.044509	\N	70da7447-a301-41c7-8bce-1a9153ac7d30
207656	2	26592	2013-08-04 20:47:32.7269	2013-08-04 20:47:32.7269	\N	aab80fe4-cb7e-4500-ab5f-81669acacd83
207657	2	26574	2013-08-04 20:47:32.757629	2013-08-04 20:47:32.757629	\N	70257494-ed5a-4980-ae06-655c2790ebfb
203477	7	25825	2013-08-04 20:17:35.84684	2013-08-04 20:17:35.84684	\N	398ddbaf-50ce-4c9b-b1be-ca80ebcad03a
203502	7	25867	2013-08-04 20:17:37.232243	2013-08-04 20:17:37.232243	\N	8135d6d6-21a8-4f50-841b-82e030a92006
161661	2	21490	2013-08-04 17:17:14.194954	2013-08-04 17:17:14.194954	\N	2a898b50-bee6-4626-ace2-4a729d3a4f37
207658	2	26591	2013-08-04 20:47:32.816298	2013-08-04 20:47:32.816298	\N	f143c580-df5f-4877-a7f4-b1501b245fb3
203536	8	25774	2013-08-04 20:17:44.877173	2013-08-04 20:17:44.877173	\N	d530f82e-95e9-45ed-9790-0cddb7313b2b
203538	11	25759	2013-08-04 20:17:45.255519	2013-08-04 20:17:45.255519	\N	1b35b084-11bf-43aa-86ed-40df9ae5688a
207660	1	26511	2013-08-04 20:47:34.091878	2013-08-04 20:47:34.091878	\N	ae33e6e8-b5b1-4d6d-b4b2-f20fd3aec08a
195548	14	24778	2013-08-04 19:40:24.356471	2013-08-04 19:40:24.356471	\N	38ef7e92-6d6c-4328-8f67-0f331fb61c1a
195550	14	24850	2013-08-04 19:40:24.437568	2013-08-04 19:40:24.437568	\N	79ce6d19-0bc4-41d6-9005-83f3f7740ef5
195552	14	24779	2013-08-04 19:40:24.52264	2013-08-04 19:40:24.52264	\N	7dc5d73d-b1f2-41e7-8c02-0eb7d2b0a0c2
195554	14	24780	2013-08-04 19:40:24.608137	2013-08-04 19:40:24.608137	\N	eb61d211-faef-4bc8-963c-e8bee927df0d
195556	14	24815	2013-08-04 19:40:24.677738	2013-08-04 19:40:24.677738	\N	d60480ce-b821-43f9-b9b6-8ff9ea47c208
184733	2	23938	2013-08-04 18:54:25.210263	2013-08-04 18:54:25.210263	\N	9b25b280-5812-4512-9f21-16fe4ceafbb8
195558	14	24849	2013-08-04 19:40:24.784713	2013-08-04 19:40:24.784713	\N	229af8ae-765c-4542-88bc-40f69e744b09
207661	6	26515	2013-08-04 20:47:34.234727	2013-08-04 20:47:34.234727	\N	28651f35-dd7a-4514-8068-61f89438a2cf
203547	14	25835	2013-08-04 20:17:46.08865	2013-08-04 20:17:46.08865	\N	57a3f24b-e5a0-4d25-bddb-ed3ac2d1eca2
161678	17	21475	2013-08-04 17:17:19.028829	2013-08-04 17:17:19.028829	\N	0b615429-748d-4dfc-89f7-8ec6809caeb0
161710	10	21515	2013-08-04 17:17:27.114234	2013-08-04 17:17:27.114234	\N	6143e3d6-862e-4e67-913b-233c5561c1d6
161730	9	21587	2013-08-04 17:17:31.118391	2013-08-04 17:17:31.118391	\N	dba76aa6-038f-48eb-a178-0f174435935d
161731	9	21551	2013-08-04 17:17:31.269945	2013-08-04 17:17:31.269945	\N	3651780b-78c0-491b-802c-7fa36d3fb721
164851	1	21948	2013-08-04 17:34:04.031312	2013-08-04 17:34:04.031312	\N	739de214-ce2f-4346-9afc-054e06c1c56d
161734	11	21490	2013-08-04 17:17:32.94813	2013-08-04 17:17:32.94813	\N	8e8d47bf-e3ab-48ee-baff-bbbea06e412b
161736	7	21515	2013-08-04 17:17:33.144559	2013-08-04 17:17:33.144559	\N	91d06d06-d4d5-4f6f-8224-38adba44cd20
177934	16	23333	2013-08-04 18:30:52.652754	2013-08-04 18:30:52.652754	\N	3df17506-c84f-4929-914f-bef5b392eaa7
174483	14	23067	2013-08-04 18:17:59.177288	2013-08-04 18:17:59.177288	\N	aefdb778-f0bd-464a-a1e5-179dcf1d158e
174497	3	23026	2013-08-04 18:18:00.221864	2013-08-04 18:18:00.221864	\N	aefe9772-212c-4eee-8051-4fc2fd9c4514
177935	9	23346	2013-08-04 18:30:52.920136	2013-08-04 18:30:52.920136	\N	d0d8e1f8-05a6-4fd3-9d19-de59614cf2f5
161760	9	21575	2013-08-04 17:17:41.515997	2013-08-04 17:17:41.515997	\N	d22a8c1c-cefb-4e72-a7ed-97476b87f833
203552	1	25853	2013-08-04 20:17:46.496428	2013-08-04 20:17:46.496428	\N	81314767-e8a8-4cc6-a507-cad58a27e1d6
164858	1	21966	2013-08-04 17:34:11.560097	2013-08-04 17:34:11.560097	\N	86b16166-3851-4031-be76-43988177811c
161792	4	21550	2013-08-04 17:17:50.705446	2013-08-04 17:17:50.705446	\N	5b7e2f80-3daa-4c7e-ad24-ddda0b2b02cb
161793	4	21552	2013-08-04 17:17:50.729953	2013-08-04 17:17:50.729953	\N	d8268954-0ae4-41a4-8ec7-fd680e004ad2
161796	4	21576	2013-08-04 17:17:50.754655	2013-08-04 17:17:50.754655	\N	2ead1f87-b041-4fd7-9c96-760867abe0dd
161798	4	21554	2013-08-04 17:17:50.779455	2013-08-04 17:17:50.779455	\N	ccdac246-2165-4233-b635-240f6a66a605
161800	4	21556	2013-08-04 17:17:50.804076	2013-08-04 17:17:50.804076	\N	37b8ec73-8e01-49f8-9dd6-faa1fd66c4ae
161802	4	21560	2013-08-04 17:17:50.828291	2013-08-04 17:17:50.828291	\N	e5cfb894-af90-48e9-bde9-e754a823aac7
161803	4	21562	2013-08-04 17:17:50.85316	2013-08-04 17:17:50.85316	\N	0468f1b2-64a0-4371-8ed4-a1fce4dd0b8b
161804	4	21564	2013-08-04 17:17:50.87765	2013-08-04 17:17:50.87765	\N	43445163-0708-4540-ba23-53ae85c7ab0c
171225	4	22735	2013-08-04 18:06:57.9758	2013-08-04 18:06:57.9758	\N	f606f7e8-cd0b-4ea3-a40c-df712710554e
161806	4	21570	2013-08-04 17:17:50.920952	2013-08-04 17:17:50.920952	\N	f668c94e-3991-443c-a793-171c2b293f3f
161807	4	21588	2013-08-04 17:17:50.954212	2013-08-04 17:17:50.954212	\N	6260d3a6-5faf-46cd-a83d-4b8dc30ffe01
161808	4	21582	2013-08-04 17:17:50.984883	2013-08-04 17:17:50.984883	\N	8002e5b4-1849-43ed-be74-a261b0a962ad
171227	4	22750	2013-08-04 18:06:58.031101	2013-08-04 18:06:58.031101	\N	9c4032ff-be4e-4ae5-9cc1-16af5bcfe104
171230	4	22774	2013-08-04 18:06:58.061525	2013-08-04 18:06:58.061525	\N	3f304e11-237e-4f14-9041-6297ad9a783b
177938	19	23239	2013-08-04 18:30:54.431565	2013-08-04 18:30:54.431565	\N	f6754839-6af4-4354-97d9-7e9e8faf1b1d
171253	19	22774	2013-08-04 18:07:00.762267	2013-08-04 18:07:00.762267	\N	20e36a84-d077-4496-b2a2-0fa16f7027ea
174520	7	23100	2013-08-04 18:18:02.117357	2013-08-04 18:18:02.117357	\N	0c904290-9aeb-48d3-9f42-1d22bfada26f
164940	1	21947	2013-08-04 17:34:41.028935	2013-08-04 17:34:41.028935	\N	02c8ea10-16d8-4077-a3a4-c71ac028aba8
203573	7	25860	2013-08-04 20:17:49.758208	2013-08-04 20:17:49.758208	\N	42a37a50-61c7-4b01-8de9-fee2642233bb
161824	2	21530	2013-08-04 17:17:55.943996	2013-08-04 17:17:55.943996	\N	662a2aac-6769-440c-a0a7-7ec592dcef53
203590	7	25774	2013-08-04 20:17:53.738895	2013-08-04 20:17:53.738895	\N	3085eed2-8ed0-476b-b89d-17d61516b9ea
161826	1	21490	2013-08-04 17:17:56.78146	2013-08-04 17:17:56.78146	\N	d0c5bab6-4825-460f-9982-b48a89d703bc
164647	4	21948	2013-08-04 17:32:49.246423	2013-08-04 17:32:49.246423	\N	403cc9c2-7837-4beb-a7bd-7bdd3c2e5230
164649	4	21966	2013-08-04 17:32:49.28045	2013-08-04 17:32:49.28045	\N	f5209c39-0618-4711-bc09-f5bae0dbc651
161683	2	21576	2013-08-04 17:17:19.637389	2013-08-04 17:17:19.637389	\N	c140ccff-733b-4f61-aa02-c655dcb297bb
164650	4	21960	2013-08-04 17:32:49.330387	2013-08-04 17:32:49.330387	\N	822cbd54-846a-41ab-8d4d-9367bc6619db
164658	7	21868	2013-08-04 17:32:52.712421	2013-08-04 17:32:52.712421	\N	41c1d56d-41ba-4b60-90ae-2dfaa7151522
184629	9	23963	2013-08-04 18:54:07.748286	2013-08-04 18:54:07.748286	\N	710ef341-f1b6-41e0-a8d0-9f47eac25b26
177772	2	23306	2013-08-04 18:30:15.965873	2013-08-04 18:30:15.965873	\N	2d793640-ee17-4d52-92af-c67b5fc5b23d
177773	2	23247	2013-08-04 18:30:15.999851	2013-08-04 18:30:15.999851	\N	80af2633-b301-4585-824b-78192302518e
203541	7	25817	2013-08-04 20:17:45.801996	2013-08-04 20:17:45.801996	\N	9984b57e-aedb-4b8d-ae1c-794ea275b0a2
203545	11	25840	2013-08-04 20:17:46.02592	2013-08-04 20:17:46.02592	\N	b07326de-70a1-4573-b61f-9e24919f746a
184658	2	23926	2013-08-04 18:54:13.693282	2013-08-04 18:54:13.693282	\N	a12c6ab3-b1d5-4067-a77b-f394185a6875
161702	16	21514	2013-08-04 17:17:25.722805	2013-08-04 17:17:25.722805	\N	6190a7e6-bf61-47a1-a6e5-689a48e95db3
207698	4	26515	2013-08-04 20:47:44.480896	2013-08-04 20:47:44.480896	\N	6859d1b9-d663-44cd-8e75-a69269260c05
184662	2	23928	2013-08-04 18:54:13.775243	2013-08-04 18:54:13.775243	\N	7461b808-2bbf-4c5a-8be4-6cba56aabd9c
203553	9	25839	2013-08-04 20:17:46.523407	2013-08-04 20:17:46.523407	\N	5f2e180b-33fd-4ac0-bc60-d9b05e8991e7
161719	7	21475	2013-08-04 17:17:29.972758	2013-08-04 17:17:29.972758	\N	d93e7391-6016-4e77-903b-a8d926f15959
161722	7	21514	2013-08-04 17:17:30.015501	2013-08-04 17:17:30.015501	\N	45f4f8c9-01bc-4d9d-b3a3-ecc1cdcd1659
161729	9	21561	2013-08-04 17:17:30.945064	2013-08-04 17:17:30.945064	\N	3b851e2f-20c5-4caf-9c79-69232acbc05a
167796	9	22451	2013-08-04 17:53:40.912589	2013-08-04 17:53:40.912589	\N	4a5b30b7-6d1b-4eda-9580-1cd2ee7a02f8
167803	3	22396	2013-08-04 17:53:42.942826	2013-08-04 17:53:42.942826	\N	9a5bffbc-e653-4656-aa35-3e941f777df7
167804	3	22372	2013-08-04 17:53:43.042608	2013-08-04 17:53:43.042608	\N	9c604c89-25d2-401b-ab62-ad2463d9f49a
167806	3	22357	2013-08-04 17:53:43.09199	2013-08-04 17:53:43.09199	\N	fa9ff48c-a7d2-42d2-b5d9-6e5d56c4120e
161921	11	21515	2013-08-04 17:18:25.701508	2013-08-04 17:18:25.701508	\N	0fad13f8-5543-4727-8a5b-888ea80985b1
203597	1	25840	2013-08-04 20:17:58.354873	2013-08-04 20:17:58.354873	\N	d1e512ea-5aea-44b8-8389-57dc928bfb38
161926	2	21544	2013-08-04 17:18:26.880723	2013-08-04 17:18:26.880723	\N	6c6fe246-962d-4b34-8970-24e460df5a57
207813	2	26580	2013-08-04 20:48:42.286995	2013-08-04 20:48:42.286995	\N	691b70a5-14cb-4faf-94bf-46613c0ba65f
161935	19	21475	2013-08-04 17:18:31.642378	2013-08-04 17:18:31.642378	\N	1b1ae93b-a065-43b7-996d-ef2df8bdc473
203622	15	25759	2013-08-04 20:18:04.193494	2013-08-04 20:18:04.193494	\N	02d818f1-97c2-43cb-96c2-278a1c28b7fb
203648	4	25836	2013-08-04 20:18:13.433856	2013-08-04 20:18:13.433856	\N	0b92f6ec-01ed-4eef-830f-03c81b6b2a95
203651	4	25860	2013-08-04 20:18:13.572672	2013-08-04 20:18:13.572672	\N	dfd7bb7c-f255-47b9-8651-ec983e0e4921
203652	4	25840	2013-08-04 20:18:13.724315	2013-08-04 20:18:13.724315	\N	3333cd48-4344-4ce7-ac77-699739c6ced9
171011	14	22675	2013-08-04 18:05:59.948988	2013-08-04 18:05:59.948988	\N	397da9ec-4c68-42f4-a6e5-9af854b47269
203653	4	25854	2013-08-04 20:18:13.818122	2013-08-04 20:18:13.818122	\N	8ef3bb61-cf15-4e7a-9263-c4fd2760b0cb
184741	15	23869	2013-08-04 18:54:29.122165	2013-08-04 18:54:29.122165	\N	e9e923d9-1fb3-4da3-b6b7-f1b27bb49c90
171014	14	22677	2013-08-04 18:06:00.077261	2013-08-04 18:06:00.077261	\N	49cd96a2-f022-4703-aae5-e2edd5fedf52
174430	8	23026	2013-08-04 18:17:52.234763	2013-08-04 18:17:52.234763	\N	11869f45-6ef7-4e0d-881d-9f0c5f151877
203654	9	25860	2013-08-04 20:18:14.048205	2013-08-04 20:18:14.048205	\N	d00cf7e2-85de-4381-88f9-51b5539f28ee
199516	10	25482	2013-08-04 20:02:41.276175	2013-08-04 20:02:41.276175	\N	b77d8391-b188-4efe-8977-f93e99fea9d6
199519	2	25396	2013-08-04 20:02:42.370629	2013-08-04 20:02:42.370629	\N	95ef8086-5e7a-4959-99f2-0c891e9ffda0
199520	2	25386	2013-08-04 20:02:42.418338	2013-08-04 20:02:42.418338	\N	a3cb0a92-3b57-4bc1-9d0f-bf861cb5ce44
195626	10	24790	2013-08-04 19:40:42.971419	2013-08-04 19:40:42.971419	\N	4c71b329-b7f0-4790-88b4-7cc4747c1854
174465	9	23095	2013-08-04 18:17:57.630508	2013-08-04 18:17:57.630508	\N	e7b2f625-d771-48dd-a665-be687cff1378
174471	2	23092	2013-08-04 18:17:58.243967	2013-08-04 18:17:58.243967	\N	e7d3d603-8362-47e8-9a37-ebc18490afe8
199521	2	25389	2013-08-04 20:02:42.47401	2013-08-04 20:02:42.47401	\N	01d8ca28-6b4d-41cc-9d58-d93df9bf70dc
174488	2	23095	2013-08-04 18:17:59.470157	2013-08-04 18:17:59.470157	\N	2c2e700f-bb3f-4527-898e-7f67d57c0e9f
199522	2	25398	2013-08-04 20:02:42.520454	2013-08-04 20:02:42.520454	\N	4ee21f67-824b-417b-b17b-871271bb042c
199523	2	25381	2013-08-04 20:02:42.55648	2013-08-04 20:02:42.55648	\N	23f1c7f6-0c85-4731-8e1a-2f34c42b932b
177949	19	23254	2013-08-04 18:30:58.372551	2013-08-04 18:30:58.372551	\N	5f0f164c-c265-4e5e-afee-a14d1d840828
199524	2	25392	2013-08-04 20:02:42.607737	2013-08-04 20:02:42.607737	\N	06c00aaf-05f1-4d83-a2d2-daa3be70ecc1
199525	2	25404	2013-08-04 20:02:42.660022	2013-08-04 20:02:42.660022	\N	60f7ad08-a40b-4d68-bec7-8c908c51e00c
199526	2	25377	2013-08-04 20:02:42.706219	2013-08-04 20:02:42.706219	\N	187c8046-3227-476a-884a-3b59e2e1558d
199527	2	25420	2013-08-04 20:02:42.754984	2013-08-04 20:02:42.754984	\N	85308e5d-1cf8-46bb-b8af-124241119a95
199528	2	25383	2013-08-04 20:02:42.813846	2013-08-04 20:02:42.813846	\N	fb5c70c1-fff2-413a-8011-23c7bd9f2d8c
199529	2	25438	2013-08-04 20:02:42.871209	2013-08-04 20:02:42.871209	\N	e96c3e11-9e47-48ea-8257-85a99d5dff21
199533	2	25447	2013-08-04 20:02:43.02915	2013-08-04 20:02:43.02915	\N	96caba9a-43f7-4bf9-9087-ca414adb3db7
199535	2	25428	2013-08-04 20:02:43.093748	2013-08-04 20:02:43.093748	\N	183d7515-539f-4e28-a15e-f42e75340d64
174575	19	23002	2013-08-04 18:18:08.40235	2013-08-04 18:18:08.40235	\N	10a35bf3-2ab8-456c-8c05-5e43a8f3e755
203676	1	25759	2013-08-04 20:18:18.489081	2013-08-04 20:18:18.489081	\N	56fb595c-e626-4c2b-bb4d-03f6b5374841
199540	2	25451	2013-08-04 20:02:43.259514	2013-08-04 20:02:43.259514	\N	38d00681-14f6-414e-b832-284d229dbc2d
203685	9	25835	2013-08-04 20:18:19.254657	2013-08-04 20:18:19.254657	\N	36374a27-4f74-46dc-ac1b-7a22dd37e8a9
171187	8	22774	2013-08-04 18:06:54.947659	2013-08-04 18:06:54.947659	\N	23b92a0e-c79b-4d92-aa69-7751161324b4
171188	7	22750	2013-08-04 18:06:55.042913	2013-08-04 18:06:55.042913	\N	160c44e8-d80f-4c85-9951-45bea09f4d5f
171193	1	22750	2013-08-04 18:06:55.298186	2013-08-04 18:06:55.298186	\N	a4c00ef0-635b-499f-ba79-9939e339985c
171194	19	22750	2013-08-04 18:06:55.363529	2013-08-04 18:06:55.363529	\N	3cffc061-21c1-4882-8ef3-f96b20011fbf
162078	17	21490	2013-08-04 17:19:03.258867	2013-08-04 17:19:03.258867	\N	9ac72692-ab7d-466c-8765-473fd39eb878
203690	17	25759	2013-08-04 20:18:19.967234	2013-08-04 20:18:19.967234	\N	37e8203d-33ec-4b66-afad-7a44b287b63b
174697	19	23088	2013-08-04 18:18:21.679877	2013-08-04 18:18:21.679877	\N	86e9ebb2-ccd7-416e-acb7-222e07f27725
171207	2	22829	2013-08-04 18:06:56.515104	2013-08-04 18:06:56.515104	\N	e14c7572-614c-4d5c-9ea0-b70a851b5571
164677	19	21892	2013-08-04 17:33:05.214584	2013-08-04 17:33:05.214584	\N	b5efb028-732b-43da-9f7a-a8802cd63ea6
184665	14	23927	2013-08-04 18:54:13.882005	2013-08-04 18:54:13.882005	\N	b5b4d088-02eb-4c27-acfd-b5f4cf322bcf
164686	1	21934	2013-08-04 17:33:10.458854	2013-08-04 17:33:10.458854	\N	63b18e91-4d67-4dda-8b18-0e9f38f96635
184667	14	23930	2013-08-04 18:54:13.942464	2013-08-04 18:54:13.942464	\N	31c9671b-0698-4979-8cd0-990c94459ddb
161788	14	21490	2013-08-04 17:17:48.770464	2013-08-04 17:17:48.770464	\N	8cd279f3-03fe-4eae-b741-c20ce0e3de3d
155435	2	20884	2013-08-04 02:59:58.240244	2013-08-04 02:59:58.240244	\N	2ee68fe6-64b9-41f3-9531-17347549ff96
184668	14	23929	2013-08-04 18:54:13.985595	2013-08-04 18:54:13.985595	\N	3dab6077-5af0-4a94-b5a2-cc1976e9a203
164694	19	21868	2013-08-04 17:33:12.621039	2013-08-04 17:33:12.621039	\N	1f2ba7c3-b603-4313-9553-d5bec8abc6d1
184669	14	23896	2013-08-04 18:54:14.023608	2013-08-04 18:54:14.023608	\N	c438943e-f3ac-479c-b24f-1b193c0449a6
155439	2	20946	2013-08-04 02:59:58.328571	2013-08-04 02:59:58.328571	\N	056af449-5d4c-4434-81be-ce414768efa8
155440	2	20926	2013-08-04 02:59:58.353278	2013-08-04 02:59:58.353278	\N	81b5d4d6-5fc3-4c7e-89d0-f9e9fd686c0d
155441	2	20845	2013-08-04 02:59:58.379417	2013-08-04 02:59:58.379417	\N	4b768e0c-4284-496f-905b-254796e96d9b
155442	2	20932	2013-08-04 02:59:58.413601	2013-08-04 02:59:58.413601	\N	127dd184-800f-428c-8d8c-76db82a54358
155443	2	20936	2013-08-04 02:59:58.443977	2013-08-04 02:59:58.443977	\N	79584c5e-fa75-4ea2-888d-38e8833aad69
155444	2	20940	2013-08-04 02:59:58.470283	2013-08-04 02:59:58.470283	\N	b95fbc70-c5b3-4221-80fb-0db3035c8839
155445	2	20942	2013-08-04 02:59:58.501704	2013-08-04 02:59:58.501704	\N	889d03df-044d-4329-aa98-4a9924ab00f0
155446	2	20950	2013-08-04 02:59:58.53371	2013-08-04 02:59:58.53371	\N	0261023a-1ca2-4360-80f2-bc6a3dc31752
155447	2	20952	2013-08-04 02:59:58.559302	2013-08-04 02:59:58.559302	\N	5ce26eb5-702e-4e59-ab7a-e5e1f9306524
155448	2	20958	2013-08-04 02:59:58.584042	2013-08-04 02:59:58.584042	\N	43a01638-22fb-496f-bed5-6fedbdb10b0b
155449	2	20922	2013-08-04 02:59:58.608921	2013-08-04 02:59:58.608921	\N	5a7e74c1-0f5b-4e0a-b541-26e55b612e3d
155450	2	20833	2013-08-04 02:59:58.633945	2013-08-04 02:59:58.633945	\N	3db0433b-51bf-46de-9f0f-2daa2a560322
184670	14	23968	2013-08-04 18:54:14.075382	2013-08-04 18:54:14.075382	\N	f4e54f15-032d-4820-baaa-74cc1b7153ae
184671	14	23897	2013-08-04 18:54:14.123836	2013-08-04 18:54:14.123836	\N	a1b58cde-d80f-4d3f-adcb-d47ea421649e
184672	14	23898	2013-08-04 18:54:14.151535	2013-08-04 18:54:14.151535	\N	18068e3d-2db8-4b5b-bc90-9789f5670175
161809	17	21515	2013-08-04 17:17:51.060768	2013-08-04 17:17:51.060768	\N	65cc59cb-001a-4ce8-8ec2-3abc14cb084d
184673	14	23933	2013-08-04 18:54:14.203714	2013-08-04 18:54:14.203714	\N	5d5cb743-4bbb-4496-8662-e4635b6a4e35
184674	14	23967	2013-08-04 18:54:14.254574	2013-08-04 18:54:14.254574	\N	fc59778e-f23e-4434-a018-2235f5ab7538
164833	19	21937	2013-08-04 17:33:57.393141	2013-08-04 17:33:57.393141	\N	d86dbd43-7b30-4b34-95da-4dc92c3f9e13
164873	1	21937	2013-08-04 17:34:15.377946	2013-08-04 17:34:15.377946	\N	906cc952-6fad-42f5-89b3-51a26a700817
203610	6	25759	2013-08-04 20:18:02.25431	2013-08-04 20:18:02.25431	\N	9d954f3c-69bf-4eee-8372-c2b56cf21eba
207678	7	26585	2013-08-04 20:47:38.017486	2013-08-04 20:47:38.017486	\N	d6e652f5-3dd4-4ad0-a6d2-45f643765215
161837	12	21514	2013-08-04 17:18:00.065617	2013-08-04 17:18:00.065617	\N	42100d3e-7636-4722-bc95-b53633a3df61
155470	2	20860	2013-08-04 02:59:59.00128	2013-08-04 02:59:59.00128	\N	523d0658-b40d-43a1-b3a4-e86f3714cfa7
207683	8	26515	2013-08-04 20:47:40.471348	2013-08-04 20:47:40.471348	\N	274ccf86-8ab3-4eef-9736-49affe406636
181273	16	23585	2013-08-04 18:41:17.783403	2013-08-04 18:41:17.783403	\N	1091bd57-0ec3-442d-98e4-fdb6dbd0969f
207700	14	26609	2013-08-04 20:47:45.729782	2013-08-04 20:47:45.729782	\N	f332b718-004c-4aa4-9c0d-4eaedfab28cc
203702	2	25823	2013-08-04 20:18:24.52757	2013-08-04 20:18:24.52757	\N	a82b9860-68bd-4f5f-acc0-8b0eae9008a2
207701	14	26595	2013-08-04 20:47:47.480249	2013-08-04 20:47:47.480249	\N	ecfc9c04-92c1-4823-8022-0816f8d9c319
174421	2	23004	2013-08-04 18:17:51.838225	2013-08-04 18:17:51.838225	\N	101c409d-ec7a-46bc-8edc-e13244cff722
167898	19	22448	2013-08-04 17:54:22.438241	2013-08-04 17:54:22.438241	\N	67fa6b4d-93b0-4c3a-83b5-8eeb2b5d33bb
174422	2	23010	2013-08-04 18:17:51.868182	2013-08-04 18:17:51.868182	\N	9b02a125-6b9c-4fce-85f0-167b22a9770f
174423	2	22989	2013-08-04 18:17:51.919834	2013-08-04 18:17:51.919834	\N	b6eac8a0-8d11-4984-ac15-0e399cf7e0ca
174424	2	23028	2013-08-04 18:17:51.971951	2013-08-04 18:17:51.971951	\N	077fac9a-1700-4d63-aae0-a7b46a342261
174425	2	23038	2013-08-04 18:17:52.000839	2013-08-04 18:17:52.000839	\N	89e740ab-1f2e-4f36-a87d-151f41fa7d21
174426	2	23002	2013-08-04 18:17:52.039117	2013-08-04 18:17:52.039117	\N	109d66e5-d5b1-44f0-b81c-bac59cf69b76
174427	2	23040	2013-08-04 18:17:52.075827	2013-08-04 18:17:52.075827	\N	3b60cf53-66a5-4bdd-ba95-289ca497a8bf
174428	2	22983	2013-08-04 18:17:52.125057	2013-08-04 18:17:52.125057	\N	c8e19e07-2323-480b-93cd-ca577fd4aa45
174429	2	22992	2013-08-04 18:17:52.210473	2013-08-04 18:17:52.210473	\N	f0f99905-aec7-4e45-a640-8786dcdf0eca
174431	2	23054	2013-08-04 18:17:52.244325	2013-08-04 18:17:52.244325	\N	4a6cded1-8a24-4a74-ae06-c1901dd5eb94
174432	2	22987	2013-08-04 18:17:52.295486	2013-08-04 18:17:52.295486	\N	67ba372d-fd89-41c1-b6b6-926484240a46
161891	19	21566	2013-08-04 17:18:20.623795	2013-08-04 17:18:20.623795	\N	9b3d0385-5ea5-4a5e-80a4-d259f07cc5cb
174433	2	22998	2013-08-04 18:17:52.352512	2013-08-04 18:17:52.352512	\N	4a63691c-d631-4584-85bc-347d623c7556
207703	2	26616	2013-08-04 20:47:47.887238	2013-08-04 20:47:47.887238	\N	a09f82a3-ad44-4cda-b77f-8b4b08ddad9b
174437	2	23034	2013-08-04 18:17:52.500322	2013-08-04 18:17:52.500322	\N	ae3feeaf-9518-4752-98ee-2dd5d6b792d0
174438	2	23088	2013-08-04 18:17:52.54603	2013-08-04 18:17:52.54603	\N	6c28b387-25e1-43f3-84da-a98868c0da74
174439	2	23064	2013-08-04 18:17:52.58033	2013-08-04 18:17:52.58033	\N	00bdd990-1e93-4a95-b2a8-bb604d2e6645
161948	2	21570	2013-08-04 17:18:37.043001	2013-08-04 17:18:37.043001	\N	54aa5408-8db1-4e1c-a95d-7335bbbd15e6
161949	19	21490	2013-08-04 17:18:37.593348	2013-08-04 17:18:37.593348	\N	18135886-f015-42bb-a173-b0da2225364e
174440	2	23049	2013-08-04 18:17:52.676771	2013-08-04 18:17:52.676771	\N	610e1c20-ef1e-476a-9137-56df9361a3b0
174441	2	23063	2013-08-04 18:17:52.735359	2013-08-04 18:17:52.735359	\N	286aaee9-6455-4ba2-b212-ecac6f310238
174442	2	23067	2013-08-04 18:17:52.770621	2013-08-04 18:17:52.770621	\N	ea0961cb-df8e-40b7-8279-629226d4345a
174445	2	23068	2013-08-04 18:17:54.211306	2013-08-04 18:17:54.211306	\N	202addf5-4770-4bb8-b93a-1a00bf8eb09b
174447	2	23081	2013-08-04 18:17:54.245458	2013-08-04 18:17:54.245458	\N	857d8fb7-fcb0-42a8-ac04-a3befe482201
174450	7	23064	2013-08-04 18:17:54.54648	2013-08-04 18:17:54.54648	\N	72d7bac9-5d6e-425e-9c3d-c2e5e48434a9
171106	8	22706	2013-08-04 18:06:14.978774	2013-08-04 18:06:14.978774	\N	7caaa0d5-a849-4574-b168-2e6dbe4723dc
174453	2	23099	2013-08-04 18:17:55.63927	2013-08-04 18:17:55.63927	\N	6f4446ea-69dc-464d-9bab-212fc1770a1b
174454	7	23026	2013-08-04 18:17:55.95374	2013-08-04 18:17:55.95374	\N	38053908-ddbd-4044-9436-4ab8a0a60448
174455	7	23094	2013-08-04 18:17:56.170982	2013-08-04 18:17:56.170982	\N	715f08e4-b4fe-4e53-aa91-e335e12664c3
171121	7	22706	2013-08-04 18:06:26.467719	2013-08-04 18:06:26.467719	\N	52bd1432-528a-44fb-b8d8-205691bb0bac
174458	2	23078	2013-08-04 18:17:56.99745	2013-08-04 18:17:56.99745	\N	7039fe02-a07d-4c9b-8390-52522bf72526
174459	2	23100	2013-08-04 18:17:57.054663	2013-08-04 18:17:57.054663	\N	f1024c2f-a617-4f55-a6d0-080c8db58702
203728	9	25854	2013-08-04 20:18:33.527917	2013-08-04 20:18:33.527917	\N	a7ce67fd-504b-40d4-ab56-b967ec8111ac
203729	7	25836	2013-08-04 20:18:33.885935	2013-08-04 20:18:33.885935	\N	48b223eb-0ec6-4b79-98eb-b8804836f395
203730	10	25759	2013-08-04 20:18:34.512439	2013-08-04 20:18:34.512439	\N	8bb268ed-83b3-4a95-abce-cc04d1eac856
203762	9	25868	2013-08-04 20:18:40.931398	2013-08-04 20:18:40.931398	\N	7da474cb-fe61-4a09-b4d7-d6f2f5218810
174597	7	23096	2013-08-04 18:18:10.379233	2013-08-04 18:18:10.379233	\N	bf316d60-ebcc-4b09-90de-d79379772277
207721	7	26576	2013-08-04 20:48:02.830544	2013-08-04 20:48:02.830544	\N	d6d930af-9aec-42cc-9e0a-36307a67c443
207723	7	26575	2013-08-04 20:48:03.176721	2013-08-04 20:48:03.176721	\N	64b7ef70-4d35-4dd5-87c4-1e736d008ce7
171161	2	22750	2013-08-04 18:06:52.625576	2013-08-04 18:06:52.625576	\N	420d3678-95eb-41b0-8d67-c28fa16c27d6
171162	2	22774	2013-08-04 18:06:52.656766	2013-08-04 18:06:52.656766	\N	4e072139-2728-4afc-b62b-7a4f1e0f44a3
171165	2	22735	2013-08-04 18:06:52.726013	2013-08-04 18:06:52.726013	\N	6da8d0a0-0054-4e5e-83ae-943ff23c1052
171167	2	22811	2013-08-04 18:06:52.77634	2013-08-04 18:06:52.77634	\N	6658c729-5de6-486c-9e1c-f9462f30f5b5
161829	4	21561	2013-08-04 17:17:57.500087	2013-08-04 17:17:57.500087	\N	d4f05c92-3682-4c9e-bc1e-c00353e2e120
164766	11	21966	2013-08-04 17:33:34.654056	2013-08-04 17:33:34.654056	\N	70aa2439-fa15-4c7a-831e-efe10bd4c7d4
161845	19	21515	2013-08-04 17:18:04.582981	2013-08-04 17:18:04.582981	\N	c4fae4f2-81a9-437c-b971-86c5cdec43b7
167786	14	22384	2013-08-04 17:53:40.270529	2013-08-04 17:53:40.270529	\N	68bd9fe3-b41a-4cc2-a40f-a027a51db374
167787	14	22456	2013-08-04 17:53:40.464024	2013-08-04 17:53:40.464024	\N	f9914c19-50d7-467f-ba9f-b10ff35a5909
167789	14	22385	2013-08-04 17:53:40.49082	2013-08-04 17:53:40.49082	\N	5aad7187-e26b-47ee-843d-8903e38a68f2
167790	14	22386	2013-08-04 17:53:40.533834	2013-08-04 17:53:40.533834	\N	4012b108-697d-46d9-8d94-fe3e346b4089
167791	14	22425	2013-08-04 17:53:40.59295	2013-08-04 17:53:40.59295	\N	8b8fd3e2-cd04-450f-bf94-dba8e74ab412
167792	14	22421	2013-08-04 17:53:40.655154	2013-08-04 17:53:40.655154	\N	52063e9e-fff6-41ae-9c18-0b112237e92a
167793	14	22455	2013-08-04 17:53:40.714987	2013-08-04 17:53:40.714987	\N	29f9be6b-de3f-486a-9643-7b82f0919f61
164803	1	21929	2013-08-04 17:33:47.803522	2013-08-04 17:33:47.803522	\N	518f53cd-86e7-4d2d-a2d1-00b79ca600aa
207726	7	26568	2013-08-04 20:48:03.600593	2013-08-04 20:48:03.600593	\N	2dc9cd7f-1da9-4473-aebc-d823f1a6f5f5
167795	14	22418	2013-08-04 17:53:40.807435	2013-08-04 17:53:40.807435	\N	12593eb9-0837-429a-b14f-e729b7b1cf07
171173	7	22735	2013-08-04 18:06:53.492862	2013-08-04 18:06:53.492862	\N	6db0abb1-15a8-4e78-aa58-15004546576d
199393	7	25319	2013-08-04 20:01:29.854916	2013-08-04 20:01:29.854916	\N	9ce647ad-fc5b-4ba0-9591-110e06e2545a
207727	7	26574	2013-08-04 20:48:03.742608	2013-08-04 20:48:03.742608	\N	5d20fc2a-9a1b-423f-8128-e9c97ccace10
167822	13	22357	2013-08-04 17:53:56.780114	2013-08-04 17:53:56.780114	\N	579f7840-5ed8-447d-b09f-31965b71426a
181239	2	23558	2013-08-04 18:41:12.429545	2013-08-04 18:41:12.429545	\N	3586ce9d-0e13-4656-86a8-ea2dad456433
171180	7	22774	2013-08-04 18:06:54.475944	2013-08-04 18:06:54.475944	\N	51c4a299-1fef-49fe-b6b4-66e126246e43
171185	7	22812	2013-08-04 18:06:54.940291	2013-08-04 18:06:54.940291	\N	846b153b-e0e6-4d01-9e95-838cdc991e1a
174529	8	23078	2013-08-04 18:18:02.690971	2013-08-04 18:18:02.690971	\N	a7e9182c-c3db-4e26-9593-d129f6ffc2e1
207758	4	26568	2013-08-04 20:48:20.372591	2013-08-04 20:48:20.372591	\N	014433b7-e605-457d-9398-f102ffb8afc3
207759	4	26573	2013-08-04 20:48:20.483131	2013-08-04 20:48:20.483131	\N	6f141e76-d12f-4a34-b777-ac17d3bffd61
195675	7	24820	2013-08-04 19:41:03.763021	2013-08-04 19:41:03.763021	\N	b91ac724-4a0a-4b8d-9ffd-633f225c55bb
195676	7	24810	2013-08-04 19:41:03.839154	2013-08-04 19:41:03.839154	\N	17dcd015-b21a-4416-abe9-10a3420ab330
207760	4	26576	2013-08-04 20:48:20.528809	2013-08-04 20:48:20.528809	\N	7ad9be90-49f2-4e55-8a25-b5b4085e1c63
161893	12	21515	2013-08-04 17:18:20.739694	2013-08-04 17:18:20.739694	\N	981bbfad-0250-4b2f-be8b-76889d259be2
174541	8	23002	2013-08-04 18:18:05.558048	2013-08-04 18:18:05.558048	\N	4293f682-049d-4cbd-9894-88d99869ac52
203647	9	25836	2013-08-04 20:18:12.871521	2013-08-04 20:18:12.871521	\N	59e99d61-3f11-4428-812d-4ba784ba972d
207768	1	26556	2013-08-04 20:48:23.343185	2013-08-04 20:48:23.343185	\N	fe4a0774-9d1c-4547-97a6-f1a12845aeec
161902	2	21535	2013-08-04 17:18:21.534462	2013-08-04 17:18:21.534462	\N	e8a66d0f-af2c-412b-86e6-527cd583913b
171321	19	22836	2013-08-04 18:07:08.035904	2013-08-04 18:07:08.035904	\N	05325d5e-364a-4dc7-80c1-c0b1e53f378c
174562	13	22987	2013-08-04 18:18:07.352222	2013-08-04 18:18:07.352222	\N	48194be3-ddce-4b54-893a-1294c339ee3b
177966	2	23294	2013-08-04 18:31:02.068301	2013-08-04 18:31:02.068301	\N	1cc358c0-2c42-4ceb-a026-8ef5e398a433
199536	7	25490	2013-08-04 20:02:43.146971	2013-08-04 20:02:43.146971	\N	9d0387ef-1106-4172-8f4f-fbd7cbadcba4
199548	7	25381	2013-08-04 20:02:43.544348	2013-08-04 20:02:43.544348	\N	12d24e33-478f-414b-adac-86fdee81aed0
199562	19	25381	2013-08-04 20:02:45.606446	2013-08-04 20:02:45.606446	\N	63c0f9fc-bd8f-433e-9ca5-049c48eed278
199565	19	25396	2013-08-04 20:02:46.518341	2013-08-04 20:02:46.518341	\N	29f7e853-2979-4e47-a0f2-93f2dcaab0ab
162067	11	21552	2013-08-04 17:18:57.954055	2013-08-04 17:18:57.954055	\N	fda480fb-3678-488b-97ac-13fc97b4e9f6
199566	17	25420	2013-08-04 20:02:46.845942	2013-08-04 20:02:46.845942	\N	156b9587-81ff-4531-a1d7-4f4cc38fb51c
199568	6	25381	2013-08-04 20:02:47.116474	2013-08-04 20:02:47.116474	\N	cb4e59f5-1a1e-4387-8cad-1485b64f69cf
199570	7	25476	2013-08-04 20:02:47.627566	2013-08-04 20:02:47.627566	\N	614e66e3-94d4-4efc-a1f9-301b221d5309
171410	11	22812	2013-08-04 18:07:36.515351	2013-08-04 18:07:36.515351	\N	9997453b-b7c2-4343-a65e-b32cb0d4c564
174598	13	23002	2013-08-04 18:18:10.401255	2013-08-04 18:18:10.401255	\N	f969f7f6-00a8-4c1e-b99c-134a4cef51fb
171429	11	22735	2013-08-04 18:07:38.03689	2013-08-04 18:07:38.03689	\N	c7a53c08-56dc-45df-a820-980a502f8f6c
207864	1	26526	2013-08-04 20:49:06.656833	2013-08-04 20:49:06.656833	\N	9890545f-9267-4ae7-9415-5429c44c5853
171436	11	22816	2013-08-04 18:07:38.556508	2013-08-04 18:07:38.556508	\N	bfdefd73-fbf1-4b1f-970e-e4d9dbb19545
171444	14	22811	2013-08-04 18:07:39.297832	2013-08-04 18:07:39.297832	\N	c8c28a75-b4b0-4fa5-9619-5c5fb9dcb84e
199674	2	25439	2013-08-04 20:03:08.748281	2013-08-04 20:03:08.748281	\N	5f7061b2-d90b-4a4b-a6b7-d9eaf65a861a
199677	2	25440	2013-08-04 20:03:08.848969	2013-08-04 20:03:08.848969	\N	dec17588-5ef7-4227-bef2-edb1ddd46c4e
165046	3	21853	2013-08-04 17:35:24.190863	2013-08-04 17:35:24.190863	\N	42b0fe29-eddf-47cf-bf34-03b7f90b4eb0
195942	14	24971	2013-08-04 19:42:56.552594	2013-08-04 19:42:56.552594	\N	010a4ad1-fad9-41f7-b663-7c2102a5751f
162113	3	21490	2013-08-04 17:19:08.92135	2013-08-04 17:19:08.92135	\N	969013cf-7eb6-44cf-8d88-18c37288ceb9
171453	14	22815	2013-08-04 18:07:40.251748	2013-08-04 18:07:40.251748	\N	81d14c1b-5b40-42d3-94e1-c6b492500354
188536	9	24324	2013-08-04 19:07:44.5069	2013-08-04 19:07:44.5069	\N	daeeefbc-7ac1-4954-98cc-4d72c3027c79
162116	3	21475	2013-08-04 17:19:09.00803	2013-08-04 17:19:09.00803	\N	bf560654-9693-4588-a470-01c75b879b06
195945	13	24892	2013-08-04 19:42:56.807231	2013-08-04 19:42:56.807231	\N	4bdb0e1f-490c-462f-b4db-a451f980c0a0
199697	9	25494	2013-08-04 20:03:13.556077	2013-08-04 20:03:13.556077	\N	32477f90-73de-4022-8d18-1e60404cdb7e
162131	14	21514	2013-08-04 17:19:09.897155	2013-08-04 17:19:09.897155	\N	f68d6df9-cef3-4f3a-aafc-1b560be5da24
171554	14	22774	2013-08-04 18:08:04.209306	2013-08-04 18:08:04.209306	\N	a5e0219a-6703-4126-a248-390fde9f74fb
199704	14	25381	2013-08-04 20:03:15.295935	2013-08-04 20:03:15.295935	\N	b805fc8d-44a7-49f9-b9f0-3e97ba524882
165117	17	21883	2013-08-04 17:35:55.795196	2013-08-04 17:35:55.795196	\N	b5ba7015-4dd0-46e8-a30a-2bc938892193
199713	14	25461	2013-08-04 20:03:16.190451	2013-08-04 20:03:16.190451	\N	961cc831-b84a-417a-9c21-9d66237d98a6
181505	14	23557	2013-08-04 18:42:27.894193	2013-08-04 18:42:27.894193	\N	d66054f9-f987-447d-a99e-2661494d492d
181506	14	23556	2013-08-04 18:42:27.978484	2013-08-04 18:42:27.978484	\N	78797b93-e854-40fa-aebb-4ff6e19f20fc
181507	14	23560	2013-08-04 18:42:28.010579	2013-08-04 18:42:28.010579	\N	5c694652-9580-4253-adce-418d45479407
188588	17	24247	2013-08-04 19:07:49.661612	2013-08-04 19:07:49.661612	\N	b614c7a2-9253-4a8e-a8a5-165559631c9b
174667	14	23026	2013-08-04 18:18:19.851665	2013-08-04 18:18:19.851665	\N	a8e6d5ba-5b35-437f-ae62-1b679c6b6cdb
174669	14	23040	2013-08-04 18:18:19.908292	2013-08-04 18:18:19.908292	\N	69fdbf80-ef64-41fc-9970-6a822a90665d
174671	14	23044	2013-08-04 18:18:19.955617	2013-08-04 18:18:19.955617	\N	3dd1f38f-1be4-4d57-a250-dcc2960b2b64
162160	11	21556	2013-08-04 17:19:12.793223	2013-08-04 17:19:12.793223	\N	41c8bf1d-7a79-4d47-9c80-1e60b91d1a3f
174672	14	23038	2013-08-04 18:18:20.004358	2013-08-04 18:18:20.004358	\N	c176fc53-3649-4320-9266-4b79c6be028f
165180	3	21883	2013-08-04 17:36:43.162089	2013-08-04 17:36:43.162089	\N	2304e0f8-947d-46a6-89c1-60939d4178fc
174524	8	23088	2013-08-04 18:18:02.469894	2013-08-04 18:18:02.469894	\N	fa628f8b-bec2-4bcc-8696-3d6b09a06a94
171220	17	22774	2013-08-04 18:06:57.664487	2013-08-04 18:06:57.664487	\N	89b3737f-c498-4362-b622-235bf1943d13
174526	8	23096	2013-08-04 18:18:02.552125	2013-08-04 18:18:02.552125	\N	74ede059-698d-49ba-935e-82f877234439
168043	14	22396	2013-08-04 17:55:17.432512	2013-08-04 17:55:17.432512	\N	50e8a266-27e0-46f6-94d4-8ce2765b5a2b
207731	7	26577	2013-08-04 20:48:06.141392	2013-08-04 20:48:06.141392	\N	15449387-22b6-414f-bc01-962df1aeefaa
171224	8	22820	2013-08-04 18:06:57.967034	2013-08-04 18:06:57.967034	\N	def21803-b2a9-4d66-a8c1-c466bc2dc02a
171228	8	22836	2013-08-04 18:06:58.040595	2013-08-04 18:06:58.040595	\N	50546312-d994-43aa-81c6-c5751ac075c4
171232	7	22816	2013-08-04 18:06:58.241976	2013-08-04 18:06:58.241976	\N	d0135e54-0c0d-4cf4-a701-a476b8e47609
207735	11	26592	2013-08-04 20:48:06.754887	2013-08-04 20:48:06.754887	\N	59a29f98-b1af-44d1-aa11-aeffa7b042b3
207737	11	26515	2013-08-04 20:48:08.300612	2013-08-04 20:48:08.300612	\N	5fd07e23-f210-47d4-ba28-588ed2b0f52a
174593	8	23084	2013-08-04 18:18:10.064459	2013-08-04 18:18:10.064459	\N	05b046d1-aa99-4df9-9181-07d414b2cd16
174709	16	22987	2013-08-04 18:18:24.624313	2013-08-04 18:18:24.624313	\N	f538180f-f90e-4cf4-b090-29717e2263a7
174710	16	23002	2013-08-04 18:18:24.802207	2013-08-04 18:18:24.802207	\N	346eda44-7d38-46b6-9bb1-4e3982460c56
203714	7	25840	2013-08-04 20:18:26.6873	2013-08-04 20:18:26.6873	\N	efc40ff3-c886-4f97-9159-7155cd6f573f
174716	2	23026	2013-08-04 18:18:25.424468	2013-08-04 18:18:25.424468	\N	b6a7e699-682c-4fc2-af06-c5fe52a59696
174717	4	22987	2013-08-04 18:18:25.894183	2013-08-04 18:18:25.894183	\N	883854c2-4ea5-41c9-819c-05b0c67291e4
174718	4	23002	2013-08-04 18:18:25.939272	2013-08-04 18:18:25.939272	\N	8007829e-8f18-4a45-814a-bf8a629bde2f
174719	4	23026	2013-08-04 18:18:25.988396	2013-08-04 18:18:25.988396	\N	50937e83-82e5-4493-8ffe-7f5954aa684c
171328	8	22735	2013-08-04 18:07:08.684629	2013-08-04 18:07:08.684629	\N	f76c6975-a174-4532-9bea-0c2a90925d47
162129	14	21475	2013-08-04 17:19:09.844291	2013-08-04 17:19:09.844291	\N	fe8ecbfe-c7c6-45ff-bb14-5314d35f0d21
207749	9	26592	2013-08-04 20:48:12.895682	2013-08-04 20:48:12.895682	\N	eaa1a5bd-bedb-4518-b47e-dd58a74be29d
207751	9	26616	2013-08-04 20:48:13.093644	2013-08-04 20:48:13.093644	\N	5a646770-6093-408c-953d-b3f1c23dea0d
174724	11	23068	2013-08-04 18:18:26.933203	2013-08-04 18:18:26.933203	\N	4b548ba1-d969-47dd-a029-487f0b245fc0
207774	2	26584	2013-08-04 20:48:25.667489	2013-08-04 20:48:25.667489	\N	88b20d5e-44f6-4734-bde6-165f5ff6209d
174777	2	23043	2013-08-04 18:18:41.515746	2013-08-04 18:18:41.515746	\N	38ddaa94-82c9-4f84-a10e-701fae35ff22
165185	2	22009	2013-08-04 17:37:00.167648	2013-08-04 17:37:00.167648	\N	57e540e5-20f9-4b4f-bc58-5d980aa13eb7
165186	2	21979	2013-08-04 17:37:00.237336	2013-08-04 17:37:00.237336	\N	64e65010-ece7-4ab8-b731-9e136ba87fa3
165187	2	21994	2013-08-04 17:37:00.282922	2013-08-04 17:37:00.282922	\N	f780c968-5ad7-44c0-b9b1-5f9b10294fa0
165190	2	21975	2013-08-04 17:37:00.316751	2013-08-04 17:37:00.316751	\N	dc88e107-ff2c-4781-aa57-c61b9a286bc5
165192	2	21981	2013-08-04 17:37:00.349038	2013-08-04 17:37:00.349038	\N	00c93d2c-0a83-4c1b-acb4-e88bb0ca530a
165194	2	21990	2013-08-04 17:37:00.393786	2013-08-04 17:37:00.393786	\N	c6283869-0859-409f-aaae-62c657385de4
165197	2	21984	2013-08-04 17:37:00.42124	2013-08-04 17:37:00.42124	\N	262424de-be44-4bd5-9639-2373c9b61cbd
165199	2	22014	2013-08-04 17:37:00.45879	2013-08-04 17:37:00.45879	\N	8a215ff0-646b-4cd3-a784-d012290a6014
165202	2	22011	2013-08-04 17:37:00.485347	2013-08-04 17:37:00.485347	\N	e70ab755-1121-45a4-ab53-b6f4fa916742
165204	2	21996	2013-08-04 17:37:00.537262	2013-08-04 17:37:00.537262	\N	c16b7110-07f1-412b-b4a1-1a68ce440c8c
165205	2	22008	2013-08-04 17:37:00.608238	2013-08-04 17:37:00.608238	\N	88e66934-9653-4d54-a7d2-6ad55d755225
165206	2	22002	2013-08-04 17:37:00.65083	2013-08-04 17:37:00.65083	\N	3258fea1-4964-443e-882b-cc516edf9da7
195724	19	24790	2013-08-04 19:41:25.685416	2013-08-04 19:41:25.685416	\N	1c5af67c-fc82-499f-aca5-79295476ff9d
199571	7	25396	2013-08-04 20:02:48.521971	2013-08-04 20:02:48.521971	\N	45dc3999-fa16-4ef5-bf8f-aca11b7adfa3
171403	9	22847	2013-08-04 18:07:32.327761	2013-08-04 18:07:32.327761	\N	47f31a22-1476-4ab9-bfc2-d5c1fbb21b28
171408	9	22811	2013-08-04 18:07:33.574574	2013-08-04 18:07:33.574574	\N	1bdd00bf-abec-41ba-ad0d-6374c5770439
199575	7	25442	2013-08-04 20:02:48.899068	2013-08-04 20:02:48.899068	\N	88712ef0-a463-4c78-999d-5a771e71774c
165216	2	22020	2013-08-04 17:37:01.05054	2013-08-04 17:37:01.05054	\N	98c2114b-7244-4b86-85ca-aaeb58174d20
174788	19	23084	2013-08-04 18:18:44.091797	2013-08-04 18:18:44.091797	\N	26860657-87dd-4638-8619-23d63181ba72
174791	9	22987	2013-08-04 18:18:44.458852	2013-08-04 18:18:44.458852	\N	2910a2bf-84cb-49ef-8bed-276682d16ce5
165220	2	22063	2013-08-04 17:37:01.161539	2013-08-04 17:37:01.161539	\N	57e62ee1-0f1e-44c0-b2ae-21a351065bc3
165221	2	22059	2013-08-04 17:37:01.211799	2013-08-04 17:37:01.211799	\N	80f0ef17-c42c-4222-b241-711132a300dd
165222	2	22091	2013-08-04 17:37:01.269201	2013-08-04 17:37:01.269201	\N	cf93b6d4-9075-43c8-b68a-03f9c925abfd
165224	2	22055	2013-08-04 17:37:01.310992	2013-08-04 17:37:01.310992	\N	f0e4a2dd-9d68-459d-b430-06508d08bfd6
165241	1	22018	2013-08-04 17:37:04.866843	2013-08-04 17:37:04.866843	\N	f4662f8d-2262-406e-94a7-830c3df674f8
199614	1	25381	2013-08-04 20:02:54.981792	2013-08-04 20:02:54.981792	\N	f6e94c46-7c6a-4c84-9a2d-4a4f97b6e847
165245	11	21994	2013-08-04 17:37:05.9707	2013-08-04 17:37:05.9707	\N	d0a756a2-20a1-405b-80c5-0e1a630b5ff3
184887	9	23966	2013-08-04 18:54:59.487562	2013-08-04 18:54:59.487562	\N	246c5e45-cf75-4ce8-8802-560022f45ade
162193	11	21588	2013-08-04 17:19:18.089812	2013-08-04 17:19:18.089812	\N	624056ac-85e9-46c2-bb9c-e05a7b9a3e41
165279	16	22091	2013-08-04 17:37:15.939941	2013-08-04 17:37:15.939941	\N	93b953ed-b706-41ee-bc3f-247b7fd80aa6
171499	9	22815	2013-08-04 18:07:43.9952	2013-08-04 18:07:43.9952	\N	ff9af4dd-0807-46fb-915b-f0692493b7c7
168242	2	22437	2013-08-04 17:55:56.898835	2013-08-04 17:55:56.898835	\N	9b5203f0-9bb5-4333-a51e-21c432c90143
171501	11	22848	2013-08-04 18:07:44.371944	2013-08-04 18:07:44.371944	\N	f9837290-f3ba-4862-b470-e4f86805ec4b
162199	2	21542	2013-08-04 17:19:19.034632	2013-08-04 17:19:19.034632	\N	5e80e816-0883-469c-a0bb-24ca961847be
199616	1	25396	2013-08-04 20:02:55.691578	2013-08-04 20:02:55.691578	\N	c765a171-0a4e-4609-9e7f-1af439a4f7cd
165320	19	22018	2013-08-04 17:37:23.563367	2013-08-04 17:37:23.563367	\N	91dfc3b3-ecf1-45e1-9e23-c848669a1372
174845	2	23047	2013-08-04 18:19:06.74919	2013-08-04 18:19:06.74919	\N	e8208e55-f25c-436f-bdb6-70012d16721b
165322	1	22059	2013-08-04 17:37:25.003733	2013-08-04 17:37:25.003733	\N	26bfd126-a175-4b15-b9d0-9065bc3cc335
174846	2	23046	2013-08-04 18:19:06.798951	2013-08-04 18:19:06.798951	\N	219976a0-05d8-4974-a7fe-a19ca4e67683
199617	7	25458	2013-08-04 20:02:56.35856	2013-08-04 20:02:56.35856	\N	6bd8b3ce-aa1d-43dd-bdb8-464f9e24e684
165325	2	22018	2013-08-04 17:37:27.364901	2013-08-04 17:37:27.364901	\N	ba93e6fd-dd4e-414d-baa1-f56ce51aae8f
165328	17	21994	2013-08-04 17:37:31.435677	2013-08-04 17:37:31.435677	\N	0e552dc4-e50d-47a4-ab31-ffeaa078e248
171510	13	22750	2013-08-04 18:07:46.321504	2013-08-04 18:07:46.321504	\N	946d8aa0-380f-4a34-9a05-6b17ba368008
188382	18	24121	2013-08-04 19:06:57.440118	2013-08-04 19:06:57.440118	\N	0a433ecd-d107-4502-ad8a-92d3d9efdd97
171518	13	22774	2013-08-04 18:07:47.866937	2013-08-04 18:07:47.866937	\N	afdd2a8a-5cdb-416b-a051-a00587bf72a2
207783	14	26623	2013-08-04 20:48:31.166228	2013-08-04 20:48:31.166228	\N	35266509-eb85-47e1-bb03-4fbf85636a30
171522	17	22735	2013-08-04 18:07:50.005414	2013-08-04 18:07:50.005414	\N	d1a25d46-4f38-4365-82a5-0a5fe7681b8a
199619	1	25420	2013-08-04 20:02:56.533072	2013-08-04 20:02:56.533072	\N	0b2a132f-586c-437b-bde9-57f5a9427acd
165539	4	22009	2013-08-04 17:38:53.606058	2013-08-04 17:38:53.606058	\N	5fb6c187-e475-4a50-80f9-0385b34069b5
171539	19	22832	2013-08-04 18:07:55.596818	2013-08-04 18:07:55.596818	\N	1afada85-73c9-4a28-bf5d-528a089dd367
171540	1	22812	2013-08-04 18:07:56.720362	2013-08-04 18:07:56.720362	\N	67f45b78-f566-4f06-b950-0833da9d1889
171542	10	22774	2013-08-04 18:08:00.35918	2013-08-04 18:08:00.35918	\N	4261184e-81db-4b6e-a8a9-3af77bf0c294
199625	7	25494	2013-08-04 20:02:58.774127	2013-08-04 20:02:58.774127	\N	833ea352-9ad7-4287-af05-9fd060a62f0b
165549	11	22084	2013-08-04 17:38:55.78418	2013-08-04 17:38:55.78418	\N	0f4615b0-2606-4940-a028-7371a3ecd9c6
199517	7	25420	2013-08-04 20:02:41.962913	2013-08-04 20:02:41.962913	\N	379e37aa-a22e-4000-8efa-0e1ab493c3ec
165009	1	21965	2013-08-04 17:35:11.972068	2013-08-04 17:35:11.972068	\N	51b07ef3-909d-4456-900f-4cac66e31e6f
165014	20	21853	2013-08-04 17:35:14.368437	2013-08-04 17:35:14.368437	\N	fb88d7ba-314c-4105-8a71-9153f6b12aed
171231	8	22826	2013-08-04 18:06:58.134555	2013-08-04 18:06:58.134555	\N	4b0e2f28-54c6-4b45-b9af-d209df395117
174610	13	23026	2013-08-04 18:18:12.115231	2013-08-04 18:18:12.115231	\N	f6849e20-9954-4f7d-898e-b50a1e46d807
171238	7	22842	2013-08-04 18:06:58.792798	2013-08-04 18:06:58.792798	\N	ce21eba7-bfc8-4083-8831-d68b927f82ed
199518	8	25420	2013-08-04 20:02:42.225423	2013-08-04 20:02:42.225423	\N	331f6758-c6b9-4da1-a311-79025221dae7
171241	7	22826	2013-08-04 18:06:59.087091	2013-08-04 18:06:59.087091	\N	26d663e3-f2c7-40d3-b469-6783e269668b
174646	7	23084	2013-08-04 18:18:18.493449	2013-08-04 18:18:18.493449	\N	bfd3829d-6baf-41b8-bfc7-26dfe15f1123
199567	7	25489	2013-08-04 20:02:47.097889	2013-08-04 20:02:47.097889	\N	f1d93475-4220-4958-a9a8-4c6ecb591538
171244	7	22832	2013-08-04 18:06:59.351889	2013-08-04 18:06:59.351889	\N	4f0ee29d-0249-4cc0-b5b0-a738e746bbdc
165124	1	21883	2013-08-04 17:36:01.020547	2013-08-04 17:36:01.020547	\N	8027c772-3811-4d59-8ea4-214c7cfb946e
199587	4	25432	2013-08-04 20:02:51.683194	2013-08-04 20:02:51.683194	\N	f92110b3-a783-4441-a1c6-acd33426e304
171340	8	22750	2013-08-04 18:07:10.810184	2013-08-04 18:07:10.810184	\N	24515e6a-47a0-4b72-8ccf-98e2cc37795c
171344	19	22826	2013-08-04 18:07:11.137418	2013-08-04 18:07:11.137418	\N	8dea2d33-347b-4b0c-aea4-fadad8622e3a
199588	4	25447	2013-08-04 20:02:51.731117	2013-08-04 20:02:51.731117	\N	73f28f2c-2eb0-4713-b197-f20a9708c44e
199590	4	25439	2013-08-04 20:02:51.768575	2013-08-04 20:02:51.768575	\N	4a576689-6002-4b13-be47-289578fb75ab
199591	4	25441	2013-08-04 20:02:51.824214	2013-08-04 20:02:51.824214	\N	2439d75d-ed63-4331-980b-92ce43fe7da3
199592	4	25442	2013-08-04 20:02:51.872046	2013-08-04 20:02:51.872046	\N	009868e1-c5be-47bb-a7c8-2ebef8c62b0a
165226	11	22009	2013-08-04 17:37:01.475995	2013-08-04 17:37:01.475995	\N	59391767-24fe-4f1b-b44b-5f6ea76bbff4
171372	9	22735	2013-08-04 18:07:17.7847	2013-08-04 18:07:17.7847	\N	5b279b0c-7f94-445e-a2a7-738e8ca04ff9
199594	4	25443	2013-08-04 20:02:51.921229	2013-08-04 20:02:51.921229	\N	15face5d-f96b-4524-b176-e08157b1a369
165229	8	21979	2013-08-04 17:37:02.039507	2013-08-04 17:37:02.039507	\N	34d5916f-a82e-433b-a6db-c14a1defc211
199595	4	25449	2013-08-04 20:02:51.967846	2013-08-04 20:02:51.967846	\N	988a135c-495f-4997-a1b6-abff06a04cfe
165234	1	21994	2013-08-04 17:37:03.248115	2013-08-04 17:37:03.248115	\N	a2aeff32-efad-493e-8561-c38b1319fc19
178009	2	23303	2013-08-04 18:31:08.324323	2013-08-04 18:31:08.324323	\N	09c0645f-e3be-4240-8c76-cf2f6a1083b3
165237	19	22064	2013-08-04 17:37:03.650952	2013-08-04 17:37:03.650952	\N	8fdda5c3-82bc-422a-868c-0855a6f8a0cc
199596	4	25450	2013-08-04 20:02:52.015991	2013-08-04 20:02:52.015991	\N	826e3584-8aa8-49ed-914e-a9150e7faf77
165329	9	22091	2013-08-04 17:37:32.110488	2013-08-04 17:37:32.110488	\N	3f95a96d-c9bc-4120-bea6-eaf8aa9ad73f
165333	9	22059	2013-08-04 17:37:32.691087	2013-08-04 17:37:32.691087	\N	bbd6b9b4-26fb-45e2-abe8-8f56da0a5a2f
165334	9	22055	2013-08-04 17:37:32.854257	2013-08-04 17:37:32.854257	\N	b1d95c0b-f74d-43e1-9df1-e53f8468eb1b
171395	7	22824	2013-08-04 18:07:25.115487	2013-08-04 18:07:25.115487	\N	6cde36a9-8a9d-418e-b274-1ade710564e7
165337	1	22063	2013-08-04 17:37:37.603054	2013-08-04 17:37:37.603054	\N	b6b2631a-a99b-4d62-8993-0f1b7bd9b63d
199597	6	25420	2013-08-04 20:02:52.499627	2013-08-04 20:02:52.499627	\N	72d6fb72-9ec9-461c-9886-89ebe0ea7309
195715	4	24848	2013-08-04 19:41:18.263792	2013-08-04 19:41:18.263792	\N	f0866e82-79e7-4ccc-b89c-215a7d0910fa
165342	9	22079	2013-08-04 17:37:42.09515	2013-08-04 17:37:42.09515	\N	c8bd4dd5-f964-49af-8aa4-fcc794ff7516
174711	11	23064	2013-08-04 18:18:24.830358	2013-08-04 18:18:24.830358	\N	3d423f2d-dd16-4a6a-acd1-2dd1552cfba2
165435	14	21979	2013-08-04 17:38:21.487241	2013-08-04 17:38:21.487241	\N	1971c36a-9b02-4960-aa87-9eb8d91c3391
165436	14	22018	2013-08-04 17:38:21.574538	2013-08-04 17:38:21.574538	\N	5b1502da-8110-4e41-867b-1b238453ae50
207820	1	26523	2013-08-04 20:48:46.795003	2013-08-04 20:48:46.795003	\N	6def1c43-bf93-4d0d-9742-3b31ea444774
165439	14	22006	2013-08-04 17:38:21.664502	2013-08-04 17:38:21.664502	\N	f5c090e9-7523-44ee-8e39-9ced12d19efd
165440	14	22078	2013-08-04 17:38:21.715464	2013-08-04 17:38:21.715464	\N	d8650783-8d5b-4659-a9e9-73351aafdd7f
165442	14	22007	2013-08-04 17:38:21.753654	2013-08-04 17:38:21.753654	\N	7c7e0dc5-0587-4a0f-948f-ba754568f1ae
165443	14	22008	2013-08-04 17:38:21.81662	2013-08-04 17:38:21.81662	\N	668fba97-a8ae-41d9-a93f-994e130093ef
165444	14	22043	2013-08-04 17:38:21.875381	2013-08-04 17:38:21.875381	\N	cee57a77-9377-4eac-942f-9d8bc40b14ba
165445	14	22077	2013-08-04 17:38:21.914152	2013-08-04 17:38:21.914152	\N	fb881e4d-81ad-4f9a-89e6-d33d1115242b
174713	16	23026	2013-08-04 18:18:24.997142	2013-08-04 18:18:24.997142	\N	c357ec71-3db7-4cf3-b94c-c76a54637707
174720	11	22987	2013-08-04 18:18:26.189705	2013-08-04 18:18:26.189705	\N	96a752c4-cfe6-4993-b7cd-16f6ea6c4b89
174725	7	23068	2013-08-04 18:18:27.419708	2013-08-04 18:18:27.419708	\N	ac2298b3-e5e7-46c6-ad6c-9c91476f6a89
181486	19	23588	2013-08-04 18:42:14.658108	2013-08-04 18:42:14.658108	\N	c3e4e21b-54d4-4cde-abed-5669f5e3e9f5
199689	14	25396	2013-08-04 20:03:11.953961	2013-08-04 20:03:11.953961	\N	f08e3d8c-c4e4-401c-b97d-f5548de72112
168372	11	22483	2013-08-04 17:56:56.053731	2013-08-04 17:56:56.053731	\N	f2221807-f3d5-4cfd-9ff7-1d0c0fd6ae51
168377	8	22568	2013-08-04 17:56:58.535677	2013-08-04 17:56:58.535677	\N	d325e6f5-30a0-4ba3-929a-0511af632563
199692	14	25457	2013-08-04 20:03:12.7534	2013-08-04 20:03:12.7534	\N	220515c4-b19a-44a4-9aa1-084423b79f8a
168380	2	22498	2013-08-04 17:56:59.324938	2013-08-04 17:56:59.324938	\N	a4d10561-0c34-41e8-864d-c5c6d4caabdb
168382	2	22483	2013-08-04 17:56:59.372665	2013-08-04 17:56:59.372665	\N	5886293b-269d-4142-b4ba-e141668c001f
168383	2	22522	2013-08-04 17:56:59.431787	2013-08-04 17:56:59.431787	\N	06deefaa-7ed0-415d-818e-81922fbe89e4
165522	1	22009	2013-08-04 17:38:50.362906	2013-08-04 17:38:50.362906	\N	9a279608-da6d-4019-b1b6-f12ba3e54589
174734	11	23002	2013-08-04 18:18:29.757346	2013-08-04 18:18:29.757346	\N	b11b65e4-d587-4b12-a54b-45063a75bfda
171531	1	22848	2013-08-04 18:07:52.268421	2013-08-04 18:07:52.268421	\N	8e672fc8-0c6e-4d56-ba67-54db88b1aa51
168388	2	22559	2013-08-04 17:56:59.537158	2013-08-04 17:56:59.537158	\N	b967abc4-b925-4d30-825c-8405fbcc6e34
199698	11	25458	2013-08-04 20:03:13.608549	2013-08-04 20:03:13.608549	\N	9ab26e06-bba3-4f50-b400-e541c1bdfbf0
168390	2	22595	2013-08-04 17:56:59.599547	2013-08-04 17:56:59.599547	\N	879c5520-37a2-4a2a-bb86-e323b338c637
168419	9	22522	2013-08-04 17:57:05.677019	2013-08-04 17:57:05.677019	\N	e41f6a2b-7ad8-4c00-afb9-bee4699bd046
168423	10	22522	2013-08-04 17:57:08.59808	2013-08-04 17:57:08.59808	\N	27ce8c3c-1cb7-4293-b8ef-6ec44021e778
168424	10	22483	2013-08-04 17:57:08.697336	2013-08-04 17:57:08.697336	\N	e749781e-bb51-4a6e-9f46-2de6992a582c
168425	3	22522	2013-08-04 17:57:09.11718	2013-08-04 17:57:09.11718	\N	2437ef0d-7f04-4129-b40b-ae91aa5eec94
168426	3	22498	2013-08-04 17:57:09.188865	2013-08-04 17:57:09.188865	\N	f8df488e-b449-4e51-a84d-f68c7172d6ac
174736	10	23026	2013-08-04 18:18:30.214325	2013-08-04 18:18:30.214325	\N	f81e5067-88e4-4041-b859-1caa52c1e926
174739	11	23092	2013-08-04 18:18:31.948965	2013-08-04 18:18:31.948965	\N	dab6ef5e-dac9-41e3-b0de-ca82acf40574
174740	11	23026	2013-08-04 18:18:32.165378	2013-08-04 18:18:32.165378	\N	9fb6146b-7fed-4a2e-bc5d-cd1951d5a47f
181551	8	23632	2013-08-04 18:42:38.358661	2013-08-04 18:42:38.358661	\N	4cd298bf-668b-4818-8d49-05f5fbe1dea0
199699	9	25420	2013-08-04 20:03:13.738376	2013-08-04 20:03:13.738376	\N	9e6e82c5-2de1-43e9-8dbf-de5244397503
181553	7	23708	2013-08-04 18:42:38.518599	2013-08-04 18:42:38.518599	\N	c55a98cd-ed40-4e18-a3e4-9ceba9576f03
174749	11	23100	2013-08-04 18:18:32.93704	2013-08-04 18:18:32.93704	\N	7d2530ef-f4a3-4e74-9816-ffa26bc3c451
174750	9	23099	2013-08-04 18:18:33.023822	2013-08-04 18:18:33.023822	\N	37ed12c7-ecd9-4788-bb88-198ac06c355d
181556	7	23724	2013-08-04 18:42:38.651876	2013-08-04 18:42:38.651876	\N	19fd3cb9-edb9-4084-bad6-cb5c3233d3f8
199724	2	25494	2013-08-04 20:03:19.281176	2013-08-04 20:03:19.281176	\N	75245790-ad43-4349-b6c9-c0ab35b81146
174763	17	22987	2013-08-04 18:18:38.204551	2013-08-04 18:18:38.204551	\N	d58a5fad-c3b2-4e4f-a3b1-8363a736e65e
181567	3	23656	2013-08-04 18:42:40.957435	2013-08-04 18:42:40.957435	\N	fd5410ec-4472-4d09-a3e3-e3e7918b7dcb
181568	3	23632	2013-08-04 18:42:41.012301	2013-08-04 18:42:41.012301	\N	98b218ed-7321-42bb-99af-64c1ad5cd44c
174767	19	23078	2013-08-04 18:18:39.226623	2013-08-04 18:18:39.226623	\N	8f5305fa-54a6-4058-ade0-e3018730fe14
168510	13	22498	2013-08-04 17:57:30.325162	2013-08-04 17:57:30.325162	\N	20b59575-53ca-49be-a65d-17b01b4779ec
199725	11	25420	2013-08-04 20:03:20.66781	2013-08-04 20:03:20.66781	\N	98257ae5-3eb7-4a91-9a59-32b8bf7181d3
181571	14	23617	2013-08-04 18:42:41.350119	2013-08-04 18:42:41.350119	\N	a9f62837-6736-4c1c-a35f-770c70e640ff
168514	4	22558	2013-08-04 17:57:30.591209	2013-08-04 17:57:30.591209	\N	cc87c448-1458-4344-a10d-046afefef9cb
168515	4	22560	2013-08-04 17:57:30.645164	2013-08-04 17:57:30.645164	\N	d6025e42-dc62-4eb6-bc31-52bbc3b81a86
168516	4	22564	2013-08-04 17:57:30.717266	2013-08-04 17:57:30.717266	\N	30982fb5-f55d-4641-b384-3ecc536b6e3f
168517	4	22568	2013-08-04 17:57:30.767359	2013-08-04 17:57:30.767359	\N	a7bc5cfc-60d1-4a10-b0a6-8dcf99c9e14b
168518	4	22572	2013-08-04 17:57:30.798428	2013-08-04 17:57:30.798428	\N	3778a0fa-80a2-47e8-813a-dd661787093c
168519	4	22574	2013-08-04 17:57:30.848542	2013-08-04 17:57:30.848542	\N	8a3c4e0f-67e0-456d-92cd-602225ed1fa0
168520	4	22578	2013-08-04 17:57:30.909117	2013-08-04 17:57:30.909117	\N	f20b491d-9687-4043-b94f-f944c6d4df40
168521	4	22596	2013-08-04 17:57:30.940974	2013-08-04 17:57:30.940974	\N	a94abc1b-8503-49b3-a3d4-ac5d027e0138
168522	4	22590	2013-08-04 17:57:30.981639	2013-08-04 17:57:30.981639	\N	8b9c52f7-8272-4f35-a86c-9258b76d1171
174781	9	23081	2013-08-04 18:18:42.26326	2013-08-04 18:18:42.26326	\N	fce26cad-a1a2-4ffa-a833-d8c680e52524
199556	7	25450	2013-08-04 20:02:44.082142	2013-08-04 20:02:44.082142	\N	9c420ef9-e353-4000-983c-1bc226c0825d
162228	19	21559	2013-08-04 17:19:26.807243	2013-08-04 17:19:26.807243	\N	effa7d02-f750-4248-b139-9242be49b843
178069	14	23254	2013-08-04 18:31:19.129348	2013-08-04 18:31:19.129348	\N	cd4551a3-68cd-4649-aa73-00be1306e699
178072	14	23239	2013-08-04 18:31:19.212808	2013-08-04 18:31:19.212808	\N	addcbfae-968e-4795-a097-9698c5bcf1aa
203760	9	25759	2013-08-04 20:18:40.751286	2013-08-04 20:18:40.751286	\N	6a80a148-f5cd-47d2-95f8-57ffbb8b32ae
199559	7	25432	2013-08-04 20:02:44.397209	2013-08-04 20:02:44.397209	\N	4ea7b583-7db0-4fa2-8df3-93767896e6e3
199561	8	25490	2013-08-04 20:02:45.601937	2013-08-04 20:02:45.601937	\N	481a686f-21e8-4d06-b2d8-eaf1e874b038
171285	19	22820	2013-08-04 18:07:03.829164	2013-08-04 18:07:03.829164	\N	a1a94b5b-1d13-4a58-8cf7-5028464fb440
171303	3	22750	2013-08-04 18:07:06.539393	2013-08-04 18:07:06.539393	\N	898946dc-4d70-4682-aee4-1eda3da2beef
199564	8	25478	2013-08-04 20:02:45.810308	2013-08-04 20:02:45.810308	\N	1beb75be-44ef-4f7a-99eb-ff83a14f49fd
171306	3	22774	2013-08-04 18:07:06.616691	2013-08-04 18:07:06.616691	\N	74915eb5-6c84-41d4-97d0-7a2eda0e3a2a
195834	6	24916	2013-08-04 19:42:29.627159	2013-08-04 19:42:29.627159	\N	384193f7-4641-4d72-8511-48546758cea1
199583	8	25396	2013-08-04 20:02:50.972627	2013-08-04 20:02:50.972627	\N	34e45335-e77a-4e98-90d9-5130f106a2ed
195843	8	24974	2013-08-04 19:42:31.307015	2013-08-04 19:42:31.307015	\N	40b437f7-58bb-40a7-86ad-f5daa773b24c
195849	15	24916	2013-08-04 19:42:31.793753	2013-08-04 19:42:31.793753	\N	320fdecc-985d-4c42-88fe-3d3541efe2b2
199585	1	25494	2013-08-04 20:02:51.25145	2013-08-04 20:02:51.25145	\N	bfc0640a-7f57-469a-aa7a-d25b5f0e0a2c
162258	14	21408	2013-08-04 17:19:35.088868	2013-08-04 17:19:35.088868	\N	6809a8b6-597f-4d90-bfda-8f53eceea859
162259	14	21415	2013-08-04 17:19:35.243999	2013-08-04 17:19:35.243999	\N	57c199d7-49de-460e-a3c6-beb34f5027e4
162261	14	21409	2013-08-04 17:19:35.325019	2013-08-04 17:19:35.325019	\N	ee916324-8e8c-4b55-b008-989edb78f5af
162263	14	21407	2013-08-04 17:19:35.366275	2013-08-04 17:19:35.366275	\N	f6cd4f23-7a43-4485-9f03-7381477fcd4e
199589	19	25420	2013-08-04 20:02:51.741947	2013-08-04 20:02:51.741947	\N	9508ff12-eef7-45ef-81c6-e23b3b180cbf
199593	2	25457	2013-08-04 20:02:51.879678	2013-08-04 20:02:51.879678	\N	b89b55fa-263c-4819-b1b5-b51dcafdee75
199598	6	25396	2013-08-04 20:02:52.651933	2013-08-04 20:02:52.651933	\N	52dfc318-333a-4c73-85ea-ae213cf2bc50
165108	15	21883	2013-08-04 17:35:52.110476	2013-08-04 17:35:52.110476	\N	191320c1-d9b8-408f-b0d9-acb965a4a554
162269	14	21532	2013-08-04 17:19:35.488674	2013-08-04 17:19:35.488674	\N	3c1f0124-2f69-4e6a-af3a-7d49a652d5da
162270	14	21544	2013-08-04 17:19:35.544489	2013-08-04 17:19:35.544489	\N	cbdadc27-44d3-4f7f-afca-c92f5d5aeb45
162271	14	21515	2013-08-04 17:19:35.599248	2013-08-04 17:19:35.599248	\N	5d92091a-427d-47f9-a9e5-65177e9d833d
162272	14	21526	2013-08-04 17:19:35.684283	2013-08-04 17:19:35.684283	\N	bb33708e-e51c-4cfb-b566-5c3cf9c67a9e
165115	8	21883	2013-08-04 17:35:54.453008	2013-08-04 17:35:54.453008	\N	0e1642e1-0a65-43dc-99de-ecef5b8a3983
162274	14	21543	2013-08-04 17:19:35.771123	2013-08-04 17:19:35.771123	\N	69365a12-4f05-4eff-a579-f19471945802
162275	14	21542	2013-08-04 17:19:35.802115	2013-08-04 17:19:35.802115	\N	6b71bda1-4b96-4346-afe0-ba7229ba51f5
162276	14	21502	2013-08-04 17:19:35.854976	2013-08-04 17:19:35.854976	\N	2e4fda28-1416-4203-8fbf-dc75d3c6a267
162277	14	21574	2013-08-04 17:19:35.893478	2013-08-04 17:19:35.893478	\N	e8641630-6031-4b79-8fad-17850d96f9fa
162278	14	21503	2013-08-04 17:19:35.949187	2013-08-04 17:19:35.949187	\N	d5b3167e-4088-4b2b-8aed-7a1214e5d8db
162279	14	21504	2013-08-04 17:19:36.009172	2013-08-04 17:19:36.009172	\N	cbe46efd-0341-4eb8-bef6-cefb0aba3d0f
162280	14	21539	2013-08-04 17:19:36.039429	2013-08-04 17:19:36.039429	\N	57fdae1f-052b-4bea-8a7d-4aa1eaba9bb3
162281	14	21573	2013-08-04 17:19:36.067852	2013-08-04 17:19:36.067852	\N	8f2422dd-e7ad-4550-8656-0fa681e858cd
162282	19	21576	2013-08-04 17:19:36.21533	2013-08-04 17:19:36.21533	\N	9d6b62f4-26cb-4e1b-9d88-39c5cec76487
199600	8	25381	2013-08-04 20:02:53.610631	2013-08-04 20:02:53.610631	\N	8c20c72c-de6e-4011-abab-1e269c3006c3
165129	7	21883	2013-08-04 17:36:02.462219	2013-08-04 17:36:02.462219	\N	246620d9-410f-4f6d-9541-245c4f51803d
165130	9	21883	2013-08-04 17:36:02.839815	2013-08-04 17:36:02.839815	\N	fb4c57f3-b0cd-4b14-b533-6ec2bce8ba79
165181	9	22018	2013-08-04 17:36:57.495598	2013-08-04 17:36:57.495598	\N	9a87e4eb-b6dd-4bea-be48-f8a6e88e6b78
165182	20	21979	2013-08-04 17:36:57.898639	2013-08-04 17:36:57.898639	\N	dc67e177-96b0-4c84-9f0a-ebedd2c4610a
165183	8	22018	2013-08-04 17:36:58.270633	2013-08-04 17:36:58.270633	\N	b04883f9-0ffa-4e21-9d1d-d273d321f95b
165184	1	21979	2013-08-04 17:36:58.975898	2013-08-04 17:36:58.975898	\N	37071582-b558-457d-823f-845b3d24b19c
181533	7	23714	2013-08-04 18:42:37.785289	2013-08-04 18:42:37.785289	\N	dfd2eda3-c2e9-4858-9289-3e2aa981fa97
188526	2	24360	2013-08-04 19:07:43.717195	2013-08-04 19:07:43.717195	\N	c6952c04-b5e9-4bae-ab38-02aa8a986e85
181559	7	23632	2013-08-04 18:42:39.035343	2013-08-04 18:42:39.035343	\N	281b7d9a-1bd0-4f8f-a9d7-143b454d49e1
174811	14	23081	2013-08-04 18:18:49.328653	2013-08-04 18:18:49.328653	\N	ce67ea73-e789-44c6-8985-6d554ea2c4d5
181561	8	23617	2013-08-04 18:42:39.402001	2013-08-04 18:42:39.402001	\N	48731232-2602-434b-a8ad-15f9a2ab978a
181574	2	23682	2013-08-04 18:42:42.63328	2013-08-04 18:42:42.63328	\N	b8d449a0-6251-48c0-b89d-10c848a328b8
174817	14	23014	2013-08-04 18:18:51.631693	2013-08-04 18:18:51.631693	\N	38ad9580-ff16-46c7-acf4-fccb0126f68e
174818	14	23086	2013-08-04 18:18:51.681359	2013-08-04 18:18:51.681359	\N	f760d9af-e0d7-4f6c-b0a6-c8e00e066c85
174819	14	23015	2013-08-04 18:18:51.827708	2013-08-04 18:18:51.827708	\N	91fb83e1-8a62-4ed0-a68d-2800dd4689a7
171442	14	22829	2013-08-04 18:07:39.037341	2013-08-04 18:07:39.037341	\N	ea672cdc-0f4d-47cd-b9c7-abbe2a1ccbaa
174820	14	23016	2013-08-04 18:18:51.882338	2013-08-04 18:18:51.882338	\N	62b79dcf-19dc-41d8-a1f6-e3f09a58a686
165231	11	21979	2013-08-04 17:37:02.593116	2013-08-04 17:37:02.593116	\N	6ce344f2-a127-4ecf-9f17-2fe1ca0648fd
174821	14	23051	2013-08-04 18:18:51.932615	2013-08-04 18:18:51.932615	\N	48d63d36-8eb2-46a5-bacd-d39c23096ccc
174822	14	23085	2013-08-04 18:18:51.983857	2013-08-04 18:18:51.983857	\N	91474814-7637-4921-9bd9-47a049c99785
168409	7	22522	2013-08-04 17:57:04.128309	2013-08-04 17:57:04.128309	\N	8dbf0a7b-fd63-4d0f-835e-dfad96e5c5af
165247	11	22074	2013-08-04 17:37:07.080052	2013-08-04 17:37:07.080052	\N	325b0412-c75f-44dd-8033-4bf17c09ce30
174824	19	23096	2013-08-04 18:18:53.374311	2013-08-04 18:18:53.374311	\N	6105faed-7a22-4540-b174-637802def74d
174830	9	23026	2013-08-04 18:18:55.839417	2013-08-04 18:18:55.839417	\N	7da0809b-ae2e-4d78-a1ad-6b7ba006d57a
165257	1	22055	2013-08-04 17:37:09.973351	2013-08-04 17:37:09.973351	\N	c707d29c-5824-490d-9c55-7fd5b9bd8870
165258	1	22092	2013-08-04 17:37:10.652115	2013-08-04 17:37:10.652115	\N	59b16865-d3f6-4b93-a1b1-face6e6993f6
199610	4	25458	2013-08-04 20:02:54.670814	2013-08-04 20:02:54.670814	\N	d7f48301-30c5-4bc8-9ff1-179fb743e6fe
188551	2	24356	2013-08-04 19:07:45.85833	2013-08-04 19:07:45.85833	\N	777dccee-7a4d-4d45-bd18-54db163b4f72
171470	11	22750	2013-08-04 18:07:41.508867	2013-08-04 18:07:41.508867	\N	62a4fe0a-f53c-47ed-a22a-a787a575a14e
171475	9	22829	2013-08-04 18:07:41.805001	2013-08-04 18:07:41.805001	\N	5cd2cb84-694a-4746-8fa7-233795e0f77c
178250	4	23340	2013-08-04 18:32:03.223332	2013-08-04 18:32:03.223332	\N	cd987f25-7b99-48f6-b2c3-4622e13b9959
171494	11	22774	2013-08-04 18:07:43.585819	2013-08-04 18:07:43.585819	\N	24df0f73-4891-4c29-9862-99c1cf658a14
165268	19	22070	2013-08-04 17:37:12.356533	2013-08-04 17:37:12.356533	\N	8f33e806-4ade-4084-8c13-df1168ef4061
165272	14	22059	2013-08-04 17:37:12.720826	2013-08-04 17:37:12.720826	\N	c6f8f420-25dd-4255-bbf8-bd06de048175
168441	1	22498	2013-08-04 17:57:17.27671	2013-08-04 17:57:17.27671	\N	45694b86-788f-4cf6-9dab-c534798aca5f
165277	20	22018	2013-08-04 17:37:15.058075	2013-08-04 17:37:15.058075	\N	7edd1fd4-9131-4d18-96cd-cd6fc6f7cd5d
178251	4	23320	2013-08-04 18:32:03.287799	2013-08-04 18:32:03.287799	\N	c86a7c95-4cff-4e67-95c6-2080b259424f
178252	4	23330	2013-08-04 18:32:03.344477	2013-08-04 18:32:03.344477	\N	fd196cae-44d7-4512-a695-dd3f028c45b5
165290	14	21853	2013-08-04 17:37:19.197651	2013-08-04 17:37:19.197651	\N	1a4929b2-8187-443b-b3a6-5b61e4ffeafb
178253	4	23334	2013-08-04 18:32:03.38051	2013-08-04 18:32:03.38051	\N	aef1453f-f20d-4024-94f7-52247b93aed0
168447	2	22563	2013-08-04 17:57:20.599861	2013-08-04 17:57:20.599861	\N	b2bb4d9f-b521-4286-b03a-5eba4c109152
168448	17	22483	2013-08-04 17:57:20.913043	2013-08-04 17:57:20.913043	\N	8ddceeea-a7f0-44a6-bd27-475e8463d34a
178254	4	23336	2013-08-04 18:32:03.440767	2013-08-04 18:32:03.440767	\N	4f0447a8-0476-4313-a4f6-d71f5c077883
178255	4	23352	2013-08-04 18:32:03.490632	2013-08-04 18:32:03.490632	\N	b6694168-655a-4e31-a65e-7d90a326b82e
165296	14	21922	2013-08-04 17:37:19.389881	2013-08-04 17:37:19.389881	\N	fd54f911-cf59-4f85-a168-70407cd328e6
165297	14	21907	2013-08-04 17:37:19.469629	2013-08-04 17:37:19.469629	\N	3d06927e-941d-4c35-8f3f-a3f9e9937902
165298	14	21913	2013-08-04 17:37:19.545674	2013-08-04 17:37:19.545674	\N	8d8c6403-ad2c-45e4-bddd-349287caeddf
165299	14	21919	2013-08-04 17:37:19.621584	2013-08-04 17:37:19.621584	\N	c9e29e67-a8a8-4155-8a0b-c013c0d22173
165300	14	21910	2013-08-04 17:37:19.701571	2013-08-04 17:37:19.701571	\N	e152aaa6-ee86-46ef-8a1e-bb462082d7d6
165301	14	21918	2013-08-04 17:37:19.783016	2013-08-04 17:37:19.783016	\N	0f233e72-967b-4064-9b02-807cdaa05998
165303	14	21912	2013-08-04 17:37:19.867876	2013-08-04 17:37:19.867876	\N	817f3af6-0dcb-429f-8f02-e3ffd7113d2c
165304	14	21911	2013-08-04 17:37:19.979461	2013-08-04 17:37:19.979461	\N	97f91424-37d1-4934-af1a-1301f7334acc
165305	14	21880	2013-08-04 17:37:20.061921	2013-08-04 17:37:20.061921	\N	8e54dde8-e77e-48fd-ac6a-822742b9e649
165306	14	21952	2013-08-04 17:37:20.139515	2013-08-04 17:37:20.139515	\N	1972ecc1-23b2-4b20-889c-cb99d3eb0391
165307	14	21881	2013-08-04 17:37:20.211964	2013-08-04 17:37:20.211964	\N	6e044c28-7afb-4fc5-a591-71062d706c56
165308	14	21882	2013-08-04 17:37:20.286617	2013-08-04 17:37:20.286617	\N	c69c34c6-0181-4dd1-8ed5-6693940f15ad
165309	14	21917	2013-08-04 17:37:20.383501	2013-08-04 17:37:20.383501	\N	06e0b1c8-5e42-4962-8e55-0ffe2e84186c
174674	14	23045	2013-08-04 18:18:20.044637	2013-08-04 18:18:20.044637	\N	5ab7e805-65f3-4689-a34c-6b39a0c8d0d9
174675	14	23047	2013-08-04 18:18:20.081634	2013-08-04 18:18:20.081634	\N	f35d4350-f24d-4c49-9078-2bcecae46161
162250	19	21561	2013-08-04 17:19:32.693392	2013-08-04 17:19:32.693392	\N	d0cd52ed-429a-406b-9aeb-09df7a78bf86
188404	14	24186	2013-08-04 19:07:05.850681	2013-08-04 19:07:05.850681	\N	2578fa3d-82c9-4223-94d7-182964728812
199620	1	25458	2013-08-04 20:02:57.161293	2013-08-04 20:02:57.161293	\N	2abf1e42-419f-4736-a977-55fef677b72d
171359	7	22848	2013-08-04 18:07:16.14735	2013-08-04 18:07:16.14735	\N	60acc173-b2b1-4d50-a219-19d796ee47da
199631	4	25381	2013-08-04 20:02:59.264675	2013-08-04 20:02:59.264675	\N	ec24a4c7-7c6d-4896-8af8-b14033f1e0d8
171365	1	22847	2013-08-04 18:07:16.807973	2013-08-04 18:07:16.807973	\N	93c802e6-2985-447a-9b15-7985e388a8d0
199634	4	25396	2013-08-04 20:02:59.450206	2013-08-04 20:02:59.450206	\N	0c3753af-7892-4140-943e-19cebd41f774
199635	4	25420	2013-08-04 20:02:59.527164	2013-08-04 20:02:59.527164	\N	fe4865e7-802a-4dbf-8b34-af6f77d7df86
174738	10	22987	2013-08-04 18:18:30.322357	2013-08-04 18:18:30.322357	\N	f2fdbfc4-ba40-47e6-9361-0bf81dbd5d10
171381	4	22810	2013-08-04 18:07:23.035792	2013-08-04 18:07:23.035792	\N	ef3038f2-60c4-49f6-a381-a4dd66846b23
171382	4	22812	2013-08-04 18:07:23.094585	2013-08-04 18:07:23.094585	\N	f26b2397-5cae-4b95-9642-df11854e6b55
171383	4	22816	2013-08-04 18:07:23.175118	2013-08-04 18:07:23.175118	\N	021bbde1-48bd-4a1c-afc1-83f1b2c50728
171384	4	22820	2013-08-04 18:07:23.215218	2013-08-04 18:07:23.215218	\N	58487617-67b6-4c66-8269-131e88073976
165238	9	21979	2013-08-04 17:37:03.742131	2013-08-04 17:37:03.742131	\N	826118df-078e-44f6-89c4-34067c14fd2a
171385	4	22824	2013-08-04 18:07:23.279379	2013-08-04 18:07:23.279379	\N	ce65eeed-d1a3-4b50-a5f4-c6dd416675ee
171386	4	22826	2013-08-04 18:07:23.337886	2013-08-04 18:07:23.337886	\N	d9a73ca0-2100-4f91-8e76-1bdbf16b5765
165249	8	21994	2013-08-04 17:37:08.171848	2013-08-04 17:37:08.171848	\N	717cd4e6-1b39-4c1e-9357-92de2a85f511
165250	11	22018	2013-08-04 17:37:08.598456	2013-08-04 17:37:08.598456	\N	1b516e95-a1e7-4048-adc6-5c46279ebf7e
171387	4	22832	2013-08-04 18:07:23.384957	2013-08-04 18:07:23.384957	\N	992a9006-1ea5-4c17-af39-1bf0a3d2c4f6
171389	4	22842	2013-08-04 18:07:23.466168	2013-08-04 18:07:23.466168	\N	6e26b854-a19f-4ef2-9097-f8e30fadb2c8
165259	14	22055	2013-08-04 17:37:11.758219	2013-08-04 17:37:11.758219	\N	de54ed23-4eaf-4160-9ea3-5f7e7995c224
165267	7	22009	2013-08-04 17:37:12.332549	2013-08-04 17:37:12.332549	\N	c629953a-7e23-4153-8d69-75be3f6a35f1
165269	7	21994	2013-08-04 17:37:12.366392	2013-08-04 17:37:12.366392	\N	ee8e93d5-5633-4f50-ae8d-5149b6a1002c
165270	7	21979	2013-08-04 17:37:12.405739	2013-08-04 17:37:12.405739	\N	948a13e3-066e-4b1a-9af4-b99254b20b23
165271	7	22018	2013-08-04 17:37:12.464266	2013-08-04 17:37:12.464266	\N	44f79758-1090-4f5a-98cb-1952ca58a06e
188483	1	24286	2013-08-04 19:07:40.517788	2013-08-04 19:07:40.517788	\N	7d91847a-e8db-44de-a20f-fbca471b6966
188492	7	24355	2013-08-04 19:07:40.967551	2013-08-04 19:07:40.967551	\N	cc430301-effa-4fa9-b6a8-f219b4818805
165302	17	21979	2013-08-04 17:37:19.796719	2013-08-04 17:37:19.796719	\N	cbb7300e-ea94-4a99-9663-6e54417e6054
188497	7	24262	2013-08-04 19:07:41.189441	2013-08-04 19:07:41.189441	\N	825bd316-f128-4daf-a7e2-50318d62b626
165317	1	22060	2013-08-04 17:37:22.209505	2013-08-04 17:37:22.209505	\N	c232432e-4c71-4ddc-822c-f8ee43d8efce
178160	2	23295	2013-08-04 18:31:41.923547	2013-08-04 18:31:41.923547	\N	13c861f8-637b-4ae2-b7ec-953aee9cb67e
171399	1	22816	2013-08-04 18:07:26.626421	2013-08-04 18:07:26.626421	\N	fbcb09c3-9473-4e52-a5ca-7686e22e41ea
165358	16	21979	2013-08-04 17:37:44.614465	2013-08-04 17:37:44.614465	\N	e25966af-7a97-476b-ac8a-cacbee2b83be
171400	9	22774	2013-08-04 18:07:28.077263	2013-08-04 18:07:28.077263	\N	1fd50f46-4b32-4c74-8bc7-e50c1ca3956e
168374	11	22564	2013-08-04 17:56:56.564749	2013-08-04 17:56:56.564749	\N	ae14f428-93e0-45a1-a201-462c379a1d3c
168401	11	22522	2013-08-04 17:57:01.940296	2013-08-04 17:57:01.940296	\N	9c27ebd4-c887-4761-91ab-5b5d3f106c32
188517	7	24338	2013-08-04 19:07:42.053829	2013-08-04 19:07:42.053829	\N	4d72f8a3-a807-4aa1-8214-989a9d0cf27d
188520	4	24247	2013-08-04 19:07:42.710786	2013-08-04 19:07:42.710786	\N	bbcabd98-4840-44bb-8063-f486a0aba04b
165376	2	22073	2013-08-04 17:37:53.132006	2013-08-04 17:37:53.132006	\N	e5f81488-1ae5-4dc5-8709-352c8001accd
165377	13	21979	2013-08-04 17:37:54.476176	2013-08-04 17:37:54.476176	\N	f12c6e6d-a1e9-4a4b-b9a5-2a1da4336ab7
165384	11	22060	2013-08-04 17:37:57.151277	2013-08-04 17:37:57.151277	\N	7c3aa886-14ca-4b3c-894b-b7e4be96c5a2
188521	4	24262	2013-08-04 19:07:42.753017	2013-08-04 19:07:42.753017	\N	dc792c11-2263-44f0-b5a8-ae707d9ce5c6
168406	1	22559	2013-08-04 17:57:02.891694	2013-08-04 17:57:02.891694	\N	31413a9f-e296-4ce2-99c3-9d8aaae7ed6b
168407	19	22568	2013-08-04 17:57:03.203339	2013-08-04 17:57:03.203339	\N	4560d5e0-5585-431b-b979-1f1bbccce700
165389	13	21994	2013-08-04 17:37:58.595719	2013-08-04 17:37:58.595719	\N	8ecb3b2e-0138-464d-ae18-4e498530eca9
181546	7	23718	2013-08-04 18:42:38.137779	2013-08-04 18:42:38.137779	\N	1d9f91e1-3e4f-4714-b8bf-69a5ddeab041
181562	14	23711	2013-08-04 18:42:40.28255	2013-08-04 18:42:40.28255	\N	ee90f835-3e5d-4acd-a9d4-008d9b15418d
188522	4	24286	2013-08-04 19:07:42.803032	2013-08-04 19:07:42.803032	\N	935f229d-e7a9-44cf-a626-47f5f88310ea
188523	7	24324	2013-08-04 19:07:43.553028	2013-08-04 19:07:43.553028	\N	06183bf6-e267-4a73-aa21-357df5c9ebb3
165406	1	22073	2013-08-04 17:38:04.209703	2013-08-04 17:38:04.209703	\N	5980b840-b91d-4396-a7ec-8ed3a95b2ede
165407	11	22063	2013-08-04 17:38:04.904341	2013-08-04 17:38:04.904341	\N	895b0289-ff36-48cb-a80d-12bd886ead11
199655	10	25381	2013-08-04 20:03:04.116908	2013-08-04 20:03:04.116908	\N	1054eb3a-c2d6-4e57-8f62-7140ecd29d8f
188534	7	24247	2013-08-04 19:07:44.374529	2013-08-04 19:07:44.374529	\N	26a7ce3b-d037-4ac9-a5fc-69800c0d6ce2
168456	1	22588	2013-08-04 17:57:24.900156	2013-08-04 17:57:24.900156	\N	84834de3-a136-4d73-8b0f-60665f88a086
199690	14	25489	2013-08-04 20:03:11.957506	2013-08-04 20:03:11.957506	\N	6613445f-63a3-4293-8791-90dde0b6b6e4
188569	7	24344	2013-08-04 19:07:47.945229	2013-08-04 19:07:47.945229	\N	2ccbec72-9926-4b53-ace4-aac4761bafb0
181626	1	23698	2013-08-04 18:42:52.943894	2013-08-04 18:42:52.943894	\N	1a050a63-7e62-4342-a4ac-81e299df37f9
199695	17	25381	2013-08-04 20:03:12.812307	2013-08-04 20:03:12.812307	\N	86c5b257-7e39-4022-a930-9fdddec34142
165423	15	22009	2013-08-04 17:38:14.367222	2013-08-04 17:38:14.367222	\N	88c1bdab-d4f4-493e-aabe-170e5f34bdb5
165424	9	22009	2013-08-04 17:38:15.498912	2013-08-04 17:38:15.498912	\N	fbbe75ee-6782-4149-8c84-ddf36ebbe43e
195867	9	24877	2013-08-04 19:42:34.89554	2013-08-04 19:42:34.89554	\N	e7bc5342-81fe-4604-b61a-373297b5e272
175064	4	23068	2013-08-04 18:20:04.890714	2013-08-04 18:20:04.890714	\N	a739a915-eac4-43d9-b88a-b3c0196f008d
181643	10	23714	2013-08-04 18:42:57.241875	2013-08-04 18:42:57.241875	\N	5b797d98-35ad-429a-adc0-ed5437bd5f04
181644	9	23697	2013-08-04 18:42:57.778665	2013-08-04 18:42:57.778665	\N	586038b0-4492-457b-b609-63fc32f8db23
178282	17	23404	2013-08-04 18:32:22.168268	2013-08-04 18:32:22.168268	\N	a9d4dbb4-fca1-43c6-9300-7bd4a5e61035
178283	2	23365	2013-08-04 18:32:22.268209	2013-08-04 18:32:22.268209	\N	6073f95e-4770-46ab-b17d-2ca7d66ed5c6
178284	2	23404	2013-08-04 18:32:22.302025	2013-08-04 18:32:22.302025	\N	bce39669-cad8-4eaa-8532-c52d3ab851b1
195871	19	24974	2013-08-04 19:42:36.250916	2013-08-04 19:42:36.250916	\N	10ee3fd0-34f5-44f3-952b-c9379931e67c
178287	2	23466	2013-08-04 18:32:22.41665	2013-08-04 18:32:22.41665	\N	1956cbd2-fce2-4636-a0b1-9e1ffd4ecdac
178290	2	23446	2013-08-04 18:32:22.46749	2013-08-04 18:32:22.46749	\N	8d88ecb1-bac0-4d53-bc38-21ffc8680850
178291	2	23459	2013-08-04 18:32:22.511726	2013-08-04 18:32:22.511726	\N	dfc0e59b-b2de-4545-9016-4f831628249d
165503	10	22018	2013-08-04 17:38:46.954727	2013-08-04 17:38:46.954727	\N	eee49bf7-55aa-40bf-a04c-d6351b9149fa
165504	10	21979	2013-08-04 17:38:47.071796	2013-08-04 17:38:47.071796	\N	afca0ad7-bbc5-4f4d-a6b3-e8e7c3b8ae81
178296	7	23456	2013-08-04 18:32:24.496044	2013-08-04 18:32:24.496044	\N	55ffaeff-2627-4332-87b3-dc41d503f4a8
178297	7	23472	2013-08-04 18:32:24.871732	2013-08-04 18:32:24.871732	\N	da8cd549-02ba-4e33-9c77-87d77245a5f8
178298	7	23466	2013-08-04 18:32:24.994167	2013-08-04 18:32:24.994167	\N	de967d79-7c79-4839-bdf8-d47659cd252d
195872	8	24916	2013-08-04 19:42:37.980783	2013-08-04 19:42:37.980783	\N	4816b13f-b08f-4a05-9e4f-84cc6d992334
188609	8	24348	2013-08-04 19:07:51.182851	2013-08-04 19:07:51.182851	\N	3aa6a9a0-443e-486f-b850-6873abfbc7b5
199701	11	25381	2013-08-04 20:03:14.831928	2013-08-04 20:03:14.831928	\N	82cc1432-d5bc-4c0b-a93f-ee0058177b55
171673	16	22774	2013-08-04 18:08:18.208464	2013-08-04 18:08:18.208464	\N	0fb202a7-e138-4266-ae71-0c33b9145efa
165515	4	21979	2013-08-04 17:38:49.359985	2013-08-04 17:38:49.359985	\N	cf609713-c27c-4f27-aba8-13d47f021b26
165517	4	21994	2013-08-04 17:38:49.414106	2013-08-04 17:38:49.414106	\N	3d116966-e987-403f-b5e5-1f090d177f6d
165518	4	22018	2013-08-04 17:38:49.463928	2013-08-04 17:38:49.463928	\N	07a7da65-3005-4321-9816-6e7cde48a969
188611	8	24338	2013-08-04 19:07:51.270211	2013-08-04 19:07:51.270211	\N	4236782a-ed28-4011-9ade-0ebfdb6cd27e
178308	9	23365	2013-08-04 18:32:26.388903	2013-08-04 18:32:26.388903	\N	91a508e5-217c-4fe6-a175-ad7e32c37f7b
178311	2	23456	2013-08-04 18:32:26.791351	2013-08-04 18:32:26.791351	\N	75354a1d-bf1d-41c7-a792-ea1282201f5b
178312	2	23478	2013-08-04 18:32:26.889175	2013-08-04 18:32:26.889175	\N	bb16edf9-a908-40c1-a20d-2c6f14080732
165526	1	22056	2013-08-04 17:38:51.108633	2013-08-04 17:38:51.108633	\N	1ac84354-c377-4f9c-8af3-8fa58c3cc4f1
165225	1	22074	2013-08-04 17:37:01.314733	2013-08-04 17:37:01.314733	\N	d33bd1c7-7e29-468f-9e2f-dc12da4ed303
165239	8	22070	2013-08-04 17:37:03.852197	2013-08-04 17:37:03.852197	\N	80390fb4-1389-4c32-bea3-1cb4c1fa57d8
165240	8	22064	2013-08-04 17:37:03.995112	2013-08-04 17:37:03.995112	\N	69dc855b-7d17-4704-bf65-8f8af7879ebe
165274	14	22063	2013-08-04 17:37:13.088131	2013-08-04 17:37:13.088131	\N	de05bbf5-9d94-4807-aeb6-84292915a2f0
171516	1	22815	2013-08-04 18:07:47.075032	2013-08-04 18:07:47.075032	\N	1daab199-b1bd-47e9-b63c-4718f84673e1
165327	19	21979	2013-08-04 17:37:29.890689	2013-08-04 17:37:29.890689	\N	c3a60438-aeca-4372-b629-37710c9e08bf
165330	17	22018	2013-08-04 17:37:32.112946	2013-08-04 17:37:32.112946	\N	3f9c8d40-155e-478b-a37d-1020ad3ce498
165331	9	22065	2013-08-04 17:37:32.362797	2013-08-04 17:37:32.362797	\N	45c93e72-d9be-4e8c-b70d-0ed63e2edea2
165332	9	22073	2013-08-04 17:37:32.531484	2013-08-04 17:37:32.531484	\N	8e78995f-c42a-48c6-8823-a4df76560dc7
165335	19	21994	2013-08-04 17:37:35.037056	2013-08-04 17:37:35.037056	\N	c29fd098-a3f9-4553-8cce-7746f9ae7602
171543	10	22735	2013-08-04 18:08:00.477903	2013-08-04 18:08:00.477903	\N	9835976d-670e-46b4-9629-a23ba0654ad6
174759	8	22987	2013-08-04 18:18:36.873783	2013-08-04 18:18:36.873783	\N	28685fc8-60db-4f56-9774-ef8020574521
195831	2	24945	2013-08-04 19:42:29.352822	2013-08-04 19:42:29.352822	\N	59649d6e-98b6-4675-9e3a-5600294156c5
178292	7	23365	2013-08-04 18:32:23.79511	2013-08-04 18:32:23.79511	\N	6306bfdf-0c23-4eb9-9287-97e3006d0f9b
178293	4	23365	2013-08-04 18:32:24.286221	2013-08-04 18:32:24.286221	\N	b4cadf2c-124f-49c9-b86b-ecac5d845eb0
178294	4	23380	2013-08-04 18:32:24.357567	2013-08-04 18:32:24.357567	\N	2e046938-bb40-41fd-ba10-4e4c0229c3d0
178295	4	23404	2013-08-04 18:32:24.42466	2013-08-04 18:32:24.42466	\N	c107bea3-2bc0-40d6-8746-bb635ce2703c
174794	4	23064	2013-08-04 18:18:46.228448	2013-08-04 18:18:46.228448	\N	9d52b326-64cc-4c31-8818-080f9e1b398a
165469	1	22091	2013-08-04 17:38:33.507064	2013-08-04 17:38:33.507064	\N	7d8cfc11-0139-474c-8032-dcfebd002bf6
168367	1	22522	2013-08-04 17:56:54.833956	2013-08-04 17:56:54.833956	\N	e978b0ee-b5ac-45b1-9d91-0d14abadcc58
174795	4	23088	2013-08-04 18:18:46.412974	2013-08-04 18:18:46.412974	\N	016482e8-820d-4f99-8cb8-ead07cfdbc03
168369	8	22522	2013-08-04 17:56:55.107372	2013-08-04 17:56:55.107372	\N	8d96918e-463d-489d-8a3f-28561202cd82
168370	7	22483	2013-08-04 17:56:55.329708	2013-08-04 17:56:55.329708	\N	2aaf0f9a-2d31-4ee8-9bdc-066b9bd762ad
174796	4	23078	2013-08-04 18:18:46.462228	2013-08-04 18:18:46.462228	\N	bf680d0b-6f3b-4b4b-968a-972e113545f8
168376	7	22498	2013-08-04 17:56:57.547539	2013-08-04 17:56:57.547539	\N	3d5f84e4-da97-4c5e-9e82-8d335f225a3a
165477	17	22009	2013-08-04 17:38:38.250031	2013-08-04 17:38:38.250031	\N	fa0e0a6b-e478-458c-aa09-18d8909e2295
168378	8	22574	2013-08-04 17:56:58.651198	2013-08-04 17:56:58.651198	\N	cdc7fba2-d313-4a3a-8abd-9e32e26b1fa8
168381	11	22498	2013-08-04 17:56:59.331986	2013-08-04 17:56:59.331986	\N	5f1d3589-5ec0-42e9-ac9a-097c32b2a31a
174797	4	23084	2013-08-04 18:18:46.509983	2013-08-04 18:18:46.509983	\N	5bd7ebbb-6cd1-46c4-8c43-2e636828c9ec
168393	1	22578	2013-08-04 17:57:00.130982	2013-08-04 17:57:00.130982	\N	12500ece-f56b-4e05-9de4-ef9fb2d75419
174798	4	23100	2013-08-04 18:18:46.56986	2013-08-04 18:18:46.56986	\N	64edecf9-8b2d-46d6-9b6e-0204a0b7e54a
174799	4	23094	2013-08-04 18:18:46.599583	2013-08-04 18:18:46.599583	\N	1f9d65bf-0813-43a4-a6c4-5e53ba1a28f5
181522	14	23697	2013-08-04 18:42:36.686277	2013-08-04 18:42:36.686277	\N	1f4bdc78-6564-4641-b24b-f414761147b3
174801	17	23026	2013-08-04 18:18:47.159912	2013-08-04 18:18:47.159912	\N	5bb9f53f-f8e0-45ee-9a55-e9aa8a909b30
181523	7	23656	2013-08-04 18:42:36.916943	2013-08-04 18:42:36.916943	\N	c979ef25-45f9-41a8-833f-07e879cbbe42
168443	1	22563	2013-08-04 17:57:18.601368	2013-08-04 17:57:18.601368	\N	5895b046-4cef-4a1b-b467-a8a85272dc42
181524	2	23617	2013-08-04 18:42:37.367239	2013-08-04 18:42:37.367239	\N	28f3632e-7fcc-4ee7-be6b-67d356279a2f
174804	9	23067	2013-08-04 18:18:48.660359	2013-08-04 18:18:48.660359	\N	7b2f6e55-e637-4537-bfe9-0969c44dfe71
174833	17	23002	2013-08-04 18:18:58.486122	2013-08-04 18:18:58.486122	\N	d3e8d37e-69c8-482d-9627-6d12232c6d70
168454	8	22483	2013-08-04 17:57:24.536177	2013-08-04 17:57:24.536177	\N	4b7f8d16-6e21-4138-8032-d45c2396df38
181525	2	23622	2013-08-04 18:42:37.404273	2013-08-04 18:42:37.404273	\N	0a351dc9-92ad-49d1-bdcd-b91c0f70a1a5
178307	7	23404	2013-08-04 18:32:26.243896	2013-08-04 18:32:26.243896	\N	27441869-62e4-4bf4-aca9-e5a632a3ca60
174839	9	23064	2013-08-04 18:19:05.192026	2013-08-04 18:19:05.192026	\N	b81e1951-99b3-40df-8a36-0bf7b7a28a15
178310	7	23478	2013-08-04 18:32:26.780756	2013-08-04 18:32:26.780756	\N	129bc571-7699-4043-bf0e-37eacf42c28e
181526	2	23613	2013-08-04 18:42:37.469924	2013-08-04 18:42:37.469924	\N	e123e2f2-24bb-4490-bd34-020473ba4092
168551	9	22577	2013-08-04 17:57:41.69645	2013-08-04 17:57:41.69645	\N	2303aaef-bf2a-4da8-a677-43ff6f4a84ac
181527	2	23625	2013-08-04 18:42:37.527106	2013-08-04 18:42:37.527106	\N	f678c923-d147-42e8-bd4e-22c44f634864
165581	13	22009	2013-08-04 17:39:04.929647	2013-08-04 17:39:04.929647	\N	91c1b345-a5d2-42c9-a727-ad9d0cc68096
181528	2	23628	2013-08-04 18:42:37.568824	2013-08-04 18:42:37.568824	\N	5395cea4-10a1-4f72-8d0a-ff451aaba848
181530	2	23683	2013-08-04 18:42:37.631913	2013-08-04 18:42:37.631913	\N	80f4cff8-7023-417a-9c3d-ee28b1f8690a
195832	2	24900	2013-08-04 19:42:29.386802	2013-08-04 19:42:29.386802	\N	fc106859-fdcc-4966-b04d-97f0edd0e3b7
195833	2	24934	2013-08-04 19:42:29.433869	2013-08-04 19:42:29.433869	\N	081cbfef-804d-41e4-8a1a-867d6d6e631b
195835	7	24974	2013-08-04 19:42:30.176464	2013-08-04 19:42:30.176464	\N	3bcfe2b3-4753-4815-b77b-f80f47fbf97c
181535	2	23674	2013-08-04 18:42:37.806661	2013-08-04 18:42:37.806661	\N	65d9b1ff-915d-4eea-ad26-51f9cfc0534d
174956	9	23096	2013-08-04 18:19:41.86833	2013-08-04 18:19:41.86833	\N	5464314d-a7c2-448f-967c-afb45848d736
181538	2	23676	2013-08-04 18:42:37.878973	2013-08-04 18:42:37.878973	\N	a3ee383f-bd9d-402a-b5c0-965c3998c6e0
181539	2	23670	2013-08-04 18:42:37.905743	2013-08-04 18:42:37.905743	\N	599eccf0-b8f0-451c-b7b7-fd1efa21c4b7
181540	2	23634	2013-08-04 18:42:37.953728	2013-08-04 18:42:37.953728	\N	e6239fd6-3e60-4531-9aab-e8838fffd6a8
181542	2	23640	2013-08-04 18:42:37.982379	2013-08-04 18:42:37.982379	\N	2e9505a5-a235-4298-818b-c93641295b8b
168612	14	22563	2013-08-04 17:57:47.896902	2013-08-04 17:57:47.896902	\N	610693f0-1431-4ae8-8e4a-352cbac39f47
168623	11	22560	2013-08-04 17:57:48.837735	2013-08-04 17:57:48.837735	\N	1e5b5cc9-f38a-490e-abd4-d21a25d884d6
181543	2	23658	2013-08-04 18:42:38.04304	2013-08-04 18:42:38.04304	\N	c88bd3a2-ea8c-4a6d-8a3b-03915d2b0c94
174968	2	23056	2013-08-04 18:19:44.050697	2013-08-04 18:19:44.050697	\N	a605a38f-0936-4c8f-a3e2-6f6a3ba7a123
181545	2	23684	2013-08-04 18:42:38.097209	2013-08-04 18:42:38.097209	\N	8ea2f179-c00c-4fd3-aa9e-c9e959ad9310
181547	2	23619	2013-08-04 18:42:38.138027	2013-08-04 18:42:38.138027	\N	448f8a6d-beea-427a-b8d5-39f0fdf6dd08
181548	2	23664	2013-08-04 18:42:38.173652	2013-08-04 18:42:38.173652	\N	00bc4e85-ea1d-48c0-9f51-6b827b2ef1aa
181549	2	23656	2013-08-04 18:42:38.20234	2013-08-04 18:42:38.20234	\N	7d0d3b2b-2d25-401e-a6f4-ebe803563fb5
171720	17	22750	2013-08-04 18:08:22.316723	2013-08-04 18:08:22.316723	\N	83ad3746-a9f7-4856-a663-a7d7a9cdb0f4
181550	2	23679	2013-08-04 18:42:38.254452	2013-08-04 18:42:38.254452	\N	6ec9ebcb-ccad-4897-bc6a-dcc170c25244
168652	11	22578	2013-08-04 17:57:54.198111	2013-08-04 17:57:54.198111	\N	5726241e-2420-427c-a73c-c0a01140793b
178476	9	23445	2013-08-04 18:32:55.07881	2013-08-04 18:32:55.07881	\N	a5c91a2e-e63e-4917-b5b7-80a1b5ec0c31
181554	11	23632	2013-08-04 18:42:38.519724	2013-08-04 18:42:38.519724	\N	070b3fa9-9965-485e-b0e9-27a969644e84
168656	11	22588	2013-08-04 17:57:55.557001	2013-08-04 17:57:55.557001	\N	88f94250-14c2-4068-b8f0-1b2ee93bf10a
181555	8	23656	2013-08-04 18:42:38.649086	2013-08-04 18:42:38.649086	\N	0251ed09-86a9-4a5d-bce6-514323f2973d
195837	8	24986	2013-08-04 19:42:30.380073	2013-08-04 19:42:30.380073	\N	55f8d073-9a15-4c97-a72c-cddfd705b8b9
195839	17	24877	2013-08-04 19:42:30.44304	2013-08-04 19:42:30.44304	\N	1852f56e-57ca-40bf-ace5-e1d16e18ae20
195840	7	24985	2013-08-04 19:42:30.716114	2013-08-04 19:42:30.716114	\N	2d3e2af4-ced9-4a36-b5ae-595ff6312842
168666	2	22577	2013-08-04 17:57:56.823584	2013-08-04 17:57:56.823584	\N	5f88840d-ec54-4913-8feb-f9853f82b475
181563	11	23656	2013-08-04 18:42:40.596254	2013-08-04 18:42:40.596254	\N	a66bb45e-28f7-478e-a5b5-51a159a9dae2
181564	14	23656	2013-08-04 18:42:40.738087	2013-08-04 18:42:40.738087	\N	a87a0579-77cb-485b-9717-8a7cd3308ba4
199646	10	25420	2013-08-04 20:03:01.859539	2013-08-04 20:03:01.859539	\N	4d70b3ad-0a78-4f91-8109-5c46a970fa91
195844	2	24885	2013-08-04 19:42:31.579998	2013-08-04 19:42:31.579998	\N	87fbdce0-fe5d-4c91-a3e5-90430c5ba49c
181586	7	23694	2013-08-04 18:42:47.203135	2013-08-04 18:42:47.203135	\N	c3d3dd0f-9f75-481a-93f2-16652ae24314
181587	7	23730	2013-08-04 18:42:47.277097	2013-08-04 18:42:47.277097	\N	b6228822-f861-47e6-beb9-71d3f8a3c617
195845	2	24882	2013-08-04 19:42:31.640177	2013-08-04 19:42:31.640177	\N	c7fba05c-b6c7-41eb-989a-b5698a786993
188484	2	24264	2013-08-04 19:07:40.57185	2013-08-04 19:07:40.57185	\N	97e117a4-970f-4044-8bed-9b8d052a3f7c
165643	14	22039	2013-08-04 17:39:23.972454	2013-08-04 17:39:23.972454	\N	c6408d57-17c6-4851-b83d-8cec6b9176ab
165645	14	22045	2013-08-04 17:39:24.00663	2013-08-04 17:39:24.00663	\N	bf28d4b8-ea8c-410b-86a4-cecb3c06badb
165646	14	22036	2013-08-04 17:39:24.044078	2013-08-04 17:39:24.044078	\N	b182b6f4-8ebe-4bc5-aa8f-35b026d05ab0
165647	14	22044	2013-08-04 17:39:24.103532	2013-08-04 17:39:24.103532	\N	87774de6-cd89-4e16-92b5-79f1668169ee
165648	14	22033	2013-08-04 17:39:24.152855	2013-08-04 17:39:24.152855	\N	a2503c7a-6962-4956-a870-e1e769be330d
165649	14	22037	2013-08-04 17:39:24.211921	2013-08-04 17:39:24.211921	\N	a4fd3c3f-95e9-496b-b465-e507c10660ec
165650	14	22048	2013-08-04 17:39:24.261694	2013-08-04 17:39:24.261694	\N	b1893c7d-c74a-4801-98fe-e225f12053e1
165651	14	22038	2013-08-04 17:39:24.320414	2013-08-04 17:39:24.320414	\N	2c7da2b9-fffa-426d-9676-82fb0eca90fd
165652	14	22040	2013-08-04 17:39:24.360455	2013-08-04 17:39:24.360455	\N	dd4f9f14-5470-4733-b89e-6dec0a06598a
181590	7	23617	2013-08-04 18:42:47.997128	2013-08-04 18:42:47.997128	\N	fc7bf0a0-06a8-4764-bc3e-cd12589dd78a
188485	2	24270	2013-08-04 19:07:40.638068	2013-08-04 19:07:40.638068	\N	2ff36587-6700-410b-9bd3-c756c60636ac
188486	2	24294	2013-08-04 19:07:40.66955	2013-08-04 19:07:40.66955	\N	23ba970b-4097-4767-8ec5-98a17e46eb33
181595	8	23714	2013-08-04 18:42:48.345423	2013-08-04 18:42:48.345423	\N	dae7d900-efbe-4b66-97e3-5b365a319192
188487	2	24315	2013-08-04 19:07:40.727226	2013-08-04 19:07:40.727226	\N	e08a73d0-5b08-424e-9551-28ab15156abf
165310	14	21951	2013-08-04 17:37:20.465349	2013-08-04 17:37:20.465349	\N	bb326edc-70d5-433b-83b3-c81fba6a136c
165311	14	21921	2013-08-04 17:37:20.554693	2013-08-04 17:37:20.554693	\N	e10c367d-eb66-418d-b0ad-2346fc602085
165312	14	21906	2013-08-04 17:37:20.642148	2013-08-04 17:37:20.642148	\N	c9ec936c-5ce3-4aa5-a7f1-2779643965dd
165313	14	21904	2013-08-04 17:37:20.723175	2013-08-04 17:37:20.723175	\N	08bdf9e5-422a-49d2-b626-da6ae95ebb60
195846	2	24877	2013-08-04 19:42:31.683372	2013-08-04 19:42:31.683372	\N	cb94d378-4400-4433-807f-26f6eee97ca8
165314	14	22009	2013-08-04 17:37:20.805546	2013-08-04 17:37:20.805546	\N	e583230e-dfeb-470d-a0c5-5dd47810fff4
195847	2	24894	2013-08-04 19:42:31.722465	2013-08-04 19:42:31.722465	\N	46712080-9ae9-4922-ab07-7340ef552537
195848	2	24916	2013-08-04 19:42:31.783223	2013-08-04 19:42:31.783223	\N	84227a2c-c1cc-4670-a4c6-0bdf415b0121
181529	1	23694	2013-08-04 18:42:37.578446	2013-08-04 18:42:37.578446	\N	b7a5ce36-8db8-4bd0-bc0a-6bff5defc23e
174807	14	23095	2013-08-04 18:18:48.947115	2013-08-04 18:18:48.947115	\N	0db90d18-7c9b-4012-b955-d25f1c2e48ed
181597	8	23718	2013-08-04 18:42:48.427312	2013-08-04 18:42:48.427312	\N	b427c603-8be8-477e-ba22-b27007f76d8f
165359	16	21994	2013-08-04 17:37:44.731079	2013-08-04 17:37:44.731079	\N	453e8b9c-e1a0-45bf-8460-f2621626b94a
165360	16	22018	2013-08-04 17:37:44.905691	2013-08-04 17:37:44.905691	\N	3b1e8906-6453-410b-a226-0c41ea466fe1
195850	2	24892	2013-08-04 19:42:31.816178	2013-08-04 19:42:31.816178	\N	f4af0a7e-4f7d-4372-905e-b7c9e82f7bcb
195851	2	24879	2013-08-04 19:42:31.869282	2013-08-04 19:42:31.869282	\N	fc0c4b6c-c016-41f8-a5d6-28cd6e8bbc95
199630	7	25441	2013-08-04 20:02:59.186858	2013-08-04 20:02:59.186858	\N	9ee21e22-d80b-4900-9424-ebb9625403c1
199633	7	25445	2013-08-04 20:02:59.420449	2013-08-04 20:02:59.420449	\N	9b406712-7c24-493f-949a-5a05752469f1
195856	2	24873	2013-08-04 19:42:32.059288	2013-08-04 19:42:32.059288	\N	3096e9b4-4057-4e29-b5e3-083dcc08f226
171602	14	22735	2013-08-04 18:08:08.650422	2013-08-04 18:08:08.650422	\N	965d6098-922b-4ed6-bd4e-f5b10b6738b1
165378	11	22056	2013-08-04 17:37:54.969672	2013-08-04 17:37:54.969672	\N	a4526c11-77a1-4da8-9c33-85135cc8d94e
171604	14	22797	2013-08-04 18:08:08.69716	2013-08-04 18:08:08.69716	\N	18df9bc7-2897-49d1-88f5-76c129792a34
181655	14	23674	2013-08-04 18:42:59.695688	2013-08-04 18:42:59.695688	\N	c33494a4-0ffd-4559-b214-73359c0917e6
195858	2	24954	2013-08-04 19:42:32.143367	2013-08-04 19:42:32.143367	\N	ee13aed4-524d-4fbb-a526-9ed616eae5fa
181667	4	23617	2013-08-04 18:43:02.202539	2013-08-04 18:43:02.202539	\N	c240be61-b39d-4fd9-a720-b51583ba1134
181668	4	23632	2013-08-04 18:43:02.253965	2013-08-04 18:43:02.253965	\N	1cb0558f-e3a8-4519-a954-5b3a11d48acd
181669	4	23656	2013-08-04 18:43:02.284212	2013-08-04 18:43:02.284212	\N	87bbffdf-0a05-4151-a476-0d3ba2ee4849
171669	16	22750	2013-08-04 18:08:17.987678	2013-08-04 18:08:17.987678	\N	d3a087e1-62f5-4bfc-a8fc-9e1456faf8c8
165403	11	22092	2013-08-04 17:38:02.910479	2013-08-04 17:38:02.910479	\N	763f54d8-8ef6-4863-a94d-67f70d44256f
195865	1	24989	2013-08-04 19:42:32.934064	2013-08-04 19:42:32.934064	\N	4740b00c-d8aa-4d83-8830-269313dc7a78
195866	9	24989	2013-08-04 19:42:33.672416	2013-08-04 19:42:33.672416	\N	0a60cc41-872c-4e6f-b844-7c2003b7b14d
168392	4	22483	2013-08-04 17:57:00.104411	2013-08-04 17:57:00.104411	\N	895dc261-7f62-4edf-b765-c69ced29d80f
165426	8	22009	2013-08-04 17:38:16.488835	2013-08-04 17:38:16.488835	\N	a513966a-d14c-4ef0-a2fb-2c0ee141b032
168394	4	22498	2013-08-04 17:57:00.138545	2013-08-04 17:57:00.138545	\N	68eaa3f6-26c3-4cdb-89ed-76b217a5b71e
168395	4	22522	2013-08-04 17:57:00.166587	2013-08-04 17:57:00.166587	\N	1badac0c-097a-44d8-a6e8-fa10eccb8b3a
168398	8	22584	2013-08-04 17:57:00.538673	2013-08-04 17:57:00.538673	\N	7f5ff036-aed7-4b6b-8beb-cccd6e565f1d
195868	14	24957	2013-08-04 19:42:34.964448	2013-08-04 19:42:34.964448	\N	44144e48-cc49-4b34-a352-78542d8147ce
178279	14	23301	2013-08-04 18:32:16.843872	2013-08-04 18:32:16.843872	\N	8c9d6cb2-1613-4f97-ae6c-6eb762669f81
195869	14	24985	2013-08-04 19:42:35.095519	2013-08-04 19:42:35.095519	\N	16295094-2947-4daf-84e6-6a59bcf6be31
188510	7	24286	2013-08-04 19:07:41.553202	2013-08-04 19:07:41.553202	\N	54fe5caf-9329-4111-a3a8-27252159d26b
195870	14	24947	2013-08-04 19:42:35.145592	2013-08-04 19:42:35.145592	\N	cbc62053-1c70-4821-9411-336cc03e2ae9
178377	2	23373	2013-08-04 18:32:39.726839	2013-08-04 18:32:39.726839	\N	1c3f4bca-e1e1-4ea2-9f0a-bf26300db0aa
168468	1	22596	2013-08-04 17:57:26.289553	2013-08-04 17:57:26.289553	\N	017d2b03-518e-48ea-a7db-eefa09998fa6
178378	2	23361	2013-08-04 18:32:39.824448	2013-08-04 18:32:39.824448	\N	a420a63d-edf4-4dce-843f-038b44da2656
165473	14	22073	2013-08-04 17:38:36.336886	2013-08-04 17:38:36.336886	\N	add8ce8a-25d6-4df1-8a23-3aaa2547bfec
165474	3	21979	2013-08-04 17:38:37.577627	2013-08-04 17:38:37.577627	\N	9c8e224f-143d-4808-a7a5-534ea2d7fd19
165475	3	22018	2013-08-04 17:38:37.665735	2013-08-04 17:38:37.665735	\N	e9602a57-9b93-474c-82a4-762a0b05cfb6
165476	3	21994	2013-08-04 17:38:37.698281	2013-08-04 17:38:37.698281	\N	ba61a221-f110-4b57-9681-4ad27de1f8a0
181687	9	23656	2013-08-04 18:43:04.123371	2013-08-04 18:43:04.123371	\N	69510800-97f7-4bc4-89f8-7ab40b424417
195876	7	24877	2013-08-04 19:42:38.344905	2013-08-04 19:42:38.344905	\N	38a37592-22d9-46e1-a8f7-7e87bca95c7f
188572	11	24247	2013-08-04 19:07:48.619712	2013-08-04 19:07:48.619712	\N	69f41d45-3932-4b5d-ae6c-1896382c23ed
178383	2	23382	2013-08-04 18:32:41.995058	2013-08-04 18:32:41.995058	\N	61fb6e7a-30a7-4d1e-926b-17fed3554c64
178384	2	23367	2013-08-04 18:32:42.055954	2013-08-04 18:32:42.055954	\N	852ae267-4e1b-445f-bcd8-76c367521de7
168480	13	22483	2013-08-04 17:57:27.092117	2013-08-04 17:57:27.092117	\N	a51d77a6-b2cb-4fb9-af81-75586965fff6
178385	2	23388	2013-08-04 18:32:42.089233	2013-08-04 18:32:42.089233	\N	1dbd31ff-4b90-4397-9e7a-256f1ead85e9
174906	2	23045	2013-08-04 18:19:23.539465	2013-08-04 18:19:23.539465	\N	98febf37-ecdb-455e-a0d3-0da7f596caae
174907	2	23053	2013-08-04 18:19:23.599461	2013-08-04 18:19:23.599461	\N	6936f6a8-4ec2-465b-b760-59aae36d6e77
178386	2	23406	2013-08-04 18:32:42.13134	2013-08-04 18:32:42.13134	\N	37f04113-6d3f-41dc-8a51-5336d860e167
178387	2	23370	2013-08-04 18:32:42.162441	2013-08-04 18:32:42.162441	\N	5d85ea37-41ad-42c9-a038-2e20e651f7ed
178388	2	23412	2013-08-04 18:32:42.275964	2013-08-04 18:32:42.275964	\N	f6719e69-03c4-4979-a905-d2da91748031
174911	14	23041	2013-08-04 18:19:24.173351	2013-08-04 18:19:24.173351	\N	590a9dda-04c2-4c7a-b586-f2a50e97574d
178389	2	23376	2013-08-04 18:32:42.332717	2013-08-04 18:32:42.332717	\N	c74b3d1a-96fa-4e20-ae4f-02a78379b32e
174914	14	23046	2013-08-04 18:19:24.257964	2013-08-04 18:19:24.257964	\N	0ddca005-538a-4047-8061-8df5b7559001
185130	14	23934	2013-08-04 18:55:50.922167	2013-08-04 18:55:50.922167	\N	6ed30c34-bdfc-4f35-9c45-007c46ffaa3a
174916	14	23055	2013-08-04 18:19:24.333644	2013-08-04 18:19:24.333644	\N	ac74aee6-addb-4cc2-a5a1-9c6920222a67
174918	14	23053	2013-08-04 18:19:24.476352	2013-08-04 18:19:24.476352	\N	d9854377-de14-45ff-805f-66119aee3bf2
165498	1	22084	2013-08-04 17:38:44.70489	2013-08-04 17:38:44.70489	\N	1e75ed67-c8f9-4cfb-8712-99a95389a2d8
174919	14	23057	2013-08-04 18:19:24.528476	2013-08-04 18:19:24.528476	\N	5213f99a-badf-4b9d-8ffb-f7a52b214458
195877	7	24916	2013-08-04 19:42:38.44313	2013-08-04 19:42:38.44313	\N	918454bc-be21-4adc-b9e2-fe5d81b13e70
185134	14	23938	2013-08-04 18:55:50.998878	2013-08-04 18:55:50.998878	\N	f01f490d-bf98-4ad7-95ea-42e239135d50
185135	14	23928	2013-08-04 18:55:51.033984	2013-08-04 18:55:51.033984	\N	896879f8-93bf-45fa-9161-a7ddf1d95382
185137	14	23937	2013-08-04 18:55:51.06861	2013-08-04 18:55:51.06861	\N	e7d58215-e474-4a93-b66d-9fca0213d86d
185138	14	23926	2013-08-04 18:55:51.105347	2013-08-04 18:55:51.105347	\N	91a2344b-e17c-4442-bf65-d5407ba6919e
165586	19	22009	2013-08-04 17:39:05.975312	2013-08-04 17:39:05.975312	\N	ab0ee535-d824-474a-9cd6-fcab808114ac
195878	7	24892	2013-08-04 19:42:38.556409	2013-08-04 19:42:38.556409	\N	2e1f81fe-793a-4d3b-a8be-8931baea5093
168507	1	22560	2013-08-04 17:57:30.223333	2013-08-04 17:57:30.223333	\N	3d1790b4-921c-4874-838f-568034b3f7d0
178410	13	23380	2013-08-04 18:32:46.533756	2013-08-04 18:32:46.533756	\N	b20a9f86-7f87-4907-bb04-68eff4a33eaa
165598	13	22018	2013-08-04 17:39:12.24523	2013-08-04 17:39:12.24523	\N	8fd6acf3-a6f1-4f76-b6f1-17b28a423cbf
195879	1	24877	2013-08-04 19:42:40.834371	2013-08-04 19:42:40.834371	\N	0276e178-7cbc-43eb-a628-055e6cea4c74
185158	19	23908	2013-08-04 18:55:56.331929	2013-08-04 18:55:56.331929	\N	5c52f7b7-5413-464f-a357-121185af9d44
195880	7	24990	2013-08-04 19:42:41.183959	2013-08-04 19:42:41.183959	\N	983715ef-d49a-4b6a-a3e7-a6e12221a6d5
168539	9	22563	2013-08-04 17:57:40.5364	2013-08-04 17:57:40.5364	\N	599f13cb-d23c-4279-8496-96a51a6e22bc
203833	2	25813	2013-08-04 20:18:53.347777	2013-08-04 20:18:53.347777	\N	09d0eb3f-ad74-4103-9042-f8ebe1cafff0
174952	9	23100	2013-08-04 18:19:39.722776	2013-08-04 18:19:39.722776	\N	03c7d0df-1ea6-4285-bcbc-71c4ac25e80e
195886	2	24924	2013-08-04 19:42:42.919853	2013-08-04 19:42:42.919853	\N	609614ca-fc29-483c-9654-0c740f1afe7a
168562	17	22522	2013-08-04 17:57:42.538148	2013-08-04 17:57:42.538148	\N	f4cd228e-2029-48cd-a8cc-d48daca443cf
203838	1	25835	2013-08-04 20:18:53.602995	2013-08-04 20:18:53.602995	\N	a7357ebb-6e37-4dff-8e31-99450805b2cc
188659	14	24355	2013-08-04 19:07:59.051975	2013-08-04 19:07:59.051975	\N	46f066af-988f-46ea-b769-73f85eea5165
181734	9	23714	2013-08-04 18:43:14.496932	2013-08-04 18:43:14.496932	\N	a5f8c5e2-4d4c-4776-be28-ede801d199e3
184976	2	23931	2013-08-04 18:55:16.209707	2013-08-04 18:55:16.209707	\N	7aed8776-6b5a-434c-8f60-ea8daafd8c0f
181584	9	23694	2013-08-04 18:42:46.953924	2013-08-04 18:42:46.953924	\N	8539e97d-9641-4293-95d8-4ed79cdbcb1a
168461	8	22498	2013-08-04 17:57:25.930222	2013-08-04 17:57:25.930222	\N	67271426-f98e-4dad-a1ba-91db10b3ffb9
181585	9	23718	2013-08-04 18:42:47.16718	2013-08-04 18:42:47.16718	\N	6a544bb3-df4d-4aac-99d3-96609898d517
168524	9	22595	2013-08-04 17:57:32.083957	2013-08-04 17:57:32.083957	\N	637d4d1e-720b-4311-84f0-900957856573
168525	17	22498	2013-08-04 17:57:33.368923	2013-08-04 17:57:33.368923	\N	71d1a30c-59ab-49ce-9437-452efc2b3680
168526	13	22522	2013-08-04 17:57:34.140265	2013-08-04 17:57:34.140265	\N	86537035-230d-4ea3-b9f0-c474fd3956f1
168528	9	22559	2013-08-04 17:57:34.306027	2013-08-04 17:57:34.306027	\N	fcbdb777-91a6-4ce9-b2f7-b76b679f6eb2
168555	9	22583	2013-08-04 17:57:41.833356	2013-08-04 17:57:41.833356	\N	61669877-bb8f-4dcc-870e-dc5d1dc47d62
181593	8	23708	2013-08-04 18:42:48.245578	2013-08-04 18:42:48.245578	\N	4d3d008f-fe54-45d5-8420-2fb4fdb22627
188488	2	24316	2013-08-04 19:07:40.783435	2013-08-04 19:07:40.783435	\N	6f3414df-c799-452f-8124-9d3fb856ec26
188489	2	24324	2013-08-04 19:07:40.834579	2013-08-04 19:07:40.834579	\N	c576d730-60f0-4594-8c0f-320224327382
188490	2	24323	2013-08-04 19:07:40.924314	2013-08-04 19:07:40.924314	\N	8f3c9e55-8ed5-436c-aa31-e1d6b7ed04cf
188491	2	24328	2013-08-04 19:07:40.966376	2013-08-04 19:07:40.966376	\N	5bbe16a4-083c-4130-82a7-fcf6f00ff77a
188493	2	24338	2013-08-04 19:07:41.000891	2013-08-04 19:07:41.000891	\N	1ebe03b8-8e74-4e89-b707-c156c24f04a6
181633	9	23617	2013-08-04 18:42:54.489977	2013-08-04 18:42:54.489977	\N	fde9579a-9c65-4b1b-8cd4-17c2d0f07cbf
188494	2	24262	2013-08-04 19:07:41.037733	2013-08-04 19:07:41.037733	\N	26872a92-4999-42a8-ba32-1127577f2b4a
188495	2	24286	2013-08-04 19:07:41.086084	2013-08-04 19:07:41.086084	\N	c8a6fd57-d763-4e61-b2ef-5ab321e3582b
188496	2	24255	2013-08-04 19:07:41.144154	2013-08-04 19:07:41.144154	\N	3d0f748e-199b-429f-b3f5-ff453ed8dacd
178285	8	23466	2013-08-04 18:32:22.317079	2013-08-04 18:32:22.317079	\N	df255a49-3a19-4ff5-94f6-887fd84ddea3
178288	7	23446	2013-08-04 18:32:22.41928	2013-08-04 18:32:22.41928	\N	f0132df9-8d50-4259-be9a-246113fae042
178320	10	23404	2013-08-04 18:32:28.455273	2013-08-04 18:32:28.455273	\N	2bcfb7a9-b335-44f7-8d48-002de45c4299
188498	2	24243	2013-08-04 19:07:41.190729	2013-08-04 19:07:41.190729	\N	a4c805d5-f94f-469f-8f90-d8c5ba9fdf0f
178322	10	23365	2013-08-04 18:32:28.583521	2013-08-04 18:32:28.583521	\N	f6ae07b2-a0c7-4380-a975-7a029f8c7e83
188499	2	24252	2013-08-04 19:07:41.255415	2013-08-04 19:07:41.255415	\N	aff4f3ab-fda7-42ee-ab0b-46977849a8f1
188501	2	24249	2013-08-04 19:07:41.334223	2013-08-04 19:07:41.334223	\N	8d9f4311-8d4d-46fd-872d-0139acb09cbe
181641	10	23617	2013-08-04 18:42:56.988271	2013-08-04 18:42:56.988271	\N	4dd239a6-a10f-4519-bb83-28df5b972452
181642	10	23718	2013-08-04 18:42:57.136315	2013-08-04 18:42:57.136315	\N	dd9a1d35-4661-4697-82af-affbbfa6110a
195896	4	24877	2013-08-04 19:42:44.556303	2013-08-04 19:42:44.556303	\N	e591becc-4ae3-46b6-8af2-02a686703665
178430	11	23380	2013-08-04 18:32:49.071887	2013-08-04 18:32:49.071887	\N	e62c6da7-2912-4cd1-b695-91e59b96e7a9
195897	4	24892	2013-08-04 19:42:44.611157	2013-08-04 19:42:44.611157	\N	e998e267-65e6-4c3a-9c76-d57165eda79a
188507	2	24348	2013-08-04 19:07:41.466903	2013-08-04 19:07:41.466903	\N	c49c2e7f-7c6e-4def-8d06-5bb09114b28c
181653	4	23694	2013-08-04 18:42:59.649858	2013-08-04 18:42:59.649858	\N	ecd03398-f03c-4d5d-8ff7-2762e2d7f9df
195898	4	24916	2013-08-04 19:42:44.650523	2013-08-04 19:42:44.650523	\N	cadc0ec2-eb9e-4583-be70-a0daac70c394
181656	4	23698	2013-08-04 18:42:59.705097	2013-08-04 18:42:59.705097	\N	5793138f-de98-4a53-8805-baf6f0966f4e
175163	9	23094	2013-08-04 18:20:27.009939	2013-08-04 18:20:27.009939	\N	269994f5-5699-450e-ace7-3429c6ecff86
178440	11	23404	2013-08-04 18:32:51.162312	2013-08-04 18:32:51.162312	\N	bfbc339b-d45c-435e-8bb8-02236be82b3a
168662	11	22596	2013-08-04 17:57:56.499673	2013-08-04 17:57:56.499673	\N	76f8992d-a5f5-4592-b57f-adec346188e9
168663	14	22541	2013-08-04 17:57:56.769237	2013-08-04 17:57:56.769237	\N	3477999d-37ae-47dc-a14b-a2c5d24ecb78
175189	2	23052	2013-08-04 18:20:41.217104	2013-08-04 18:20:41.217104	\N	8c9adb15-4f84-4c40-961f-fb459511417e
168665	14	22549	2013-08-04 17:57:56.820728	2013-08-04 17:57:56.820728	\N	acb6c289-0b47-429f-aac8-52a5b504514d
168667	14	22483	2013-08-04 17:57:56.849137	2013-08-04 17:57:56.849137	\N	77558c7c-ff23-4405-875b-8b4eef7b733c
168669	14	22534	2013-08-04 17:57:56.881225	2013-08-04 17:57:56.881225	\N	4df8f6bd-4d73-47aa-9085-09a5ee1025dd
168670	14	22536	2013-08-04 17:57:56.91248	2013-08-04 17:57:56.91248	\N	2fe44e45-25ab-40fe-90c9-1470ceddb175
168671	14	22548	2013-08-04 17:57:56.936972	2013-08-04 17:57:56.936972	\N	766dd7a7-478f-40cc-94f5-1886ce8812cc
168672	14	22537	2013-08-04 17:57:56.961721	2013-08-04 17:57:56.961721	\N	fc1f8364-1737-48c5-8812-19b64ad45757
168673	14	22540	2013-08-04 17:57:56.986659	2013-08-04 17:57:56.986659	\N	e47e16e6-cb6a-40a2-b29d-0babb5308c81
168674	14	22543	2013-08-04 17:57:57.011009	2013-08-04 17:57:57.011009	\N	fd5ba8a7-3c60-464b-9ec1-e352539ec309
168675	14	22542	2013-08-04 17:57:57.038641	2013-08-04 17:57:57.038641	\N	9f74a76e-8902-4b8a-8ac1-1efdd4758e1a
168676	14	22552	2013-08-04 17:57:57.068886	2013-08-04 17:57:57.068886	\N	3c657fb6-6da5-438f-a464-87f8270b97da
199651	15	25420	2013-08-04 20:03:02.222335	2013-08-04 20:03:02.222335	\N	817709e0-2364-46f6-af9b-2aa974203857
168678	7	22590	2013-08-04 17:57:59.728774	2013-08-04 17:57:59.728774	\N	bd549eb7-2b13-464e-909f-fe14f1f64d42
168679	7	22596	2013-08-04 17:57:59.795043	2013-08-04 17:57:59.795043	\N	82fd3df9-6a34-4b94-a9a2-296ee3bfcefd
168682	7	22574	2013-08-04 17:57:59.846257	2013-08-04 17:57:59.846257	\N	19ef706c-ce78-4e0f-b18a-36ad6dbf3cf7
168683	7	22560	2013-08-04 17:57:59.87886	2013-08-04 17:57:59.87886	\N	9852120d-890b-4a33-ac24-f23ca4a81db4
188511	2	24247	2013-08-04 19:07:41.56386	2013-08-04 19:07:41.56386	\N	f274f0c8-2f9c-4927-b1c0-b70c10958d0d
199652	14	25447	2013-08-04 20:03:02.544944	2013-08-04 20:03:02.544944	\N	42141628-bb17-4185-b071-1e72ed8be9ef
199653	14	25439	2013-08-04 20:03:02.576991	2013-08-04 20:03:02.576991	\N	c7e41dcd-81b3-456e-88b7-68b1f6208a2c
195905	14	24953	2013-08-04 19:42:48.44617	2013-08-04 19:42:48.44617	\N	05c5875e-7178-4434-b3cf-3755c2947b32
199654	14	25443	2013-08-04 20:03:02.623857	2013-08-04 20:03:02.623857	\N	c706fc52-b419-4de7-ba4c-50bd3b1df3d5
195912	17	24916	2013-08-04 19:42:52.712579	2013-08-04 19:42:52.712579	\N	548a16df-d840-4499-813b-3eff1287b079
195913	9	24916	2013-08-04 19:42:53.291148	2013-08-04 19:42:53.291148	\N	e94772a8-d5e9-4948-8cd4-95b652f1622a
188524	8	24286	2013-08-04 19:07:43.653466	2013-08-04 19:07:43.653466	\N	de58e58b-b9c8-4a0c-a8ee-7db13cf76b2b
188529	7	24328	2013-08-04 19:07:43.801324	2013-08-04 19:07:43.801324	\N	0a6cd27b-459f-4294-81cb-6be7bb2e8e1e
188549	9	24348	2013-08-04 19:07:45.657461	2013-08-04 19:07:45.657461	\N	ea3b6a39-4670-4eda-aa05-bfa9b8225799
207913	10	26515	2013-08-04 20:49:30.330199	2013-08-04 20:49:30.330199	\N	dbc9d5dd-0455-4ce2-a9a7-9d6e50f626b1
195979	8	24877	2013-08-04 19:43:10.810117	2013-08-04 19:43:10.810117	\N	7fd4c335-cf06-40bb-9d85-3a7cdcf0093b
195981	8	24892	2013-08-04 19:43:11.068445	2013-08-04 19:43:11.068445	\N	5be3fe7b-7efc-4305-b7d7-31f79ca1f42d
181708	9	23708	2013-08-04 18:43:11.338256	2013-08-04 18:43:11.338256	\N	7bd46bf9-5c0e-4723-b672-b115dbd6d5bf
195984	2	24931	2013-08-04 19:43:12.186581	2013-08-04 19:43:12.186581	\N	e49b0922-4f48-4c0f-8b3e-4a24b56da335
168731	9	22483	2013-08-04 17:58:08.290697	2013-08-04 17:58:08.290697	\N	9362c246-dbbc-46a9-aa34-6490b4681138
181739	13	23617	2013-08-04 18:43:15.308734	2013-08-04 18:43:15.308734	\N	6e0aab0f-fa85-4ba2-a381-a7720b436b72
188613	8	24344	2013-08-04 19:07:51.365489	2013-08-04 19:07:51.365489	\N	c4621b88-a72f-4258-b4ed-b409f2e6725d
171792	18	22750	2013-08-04 18:08:30.752313	2013-08-04 18:08:30.752313	\N	f2424983-0eae-42fe-aa0b-4f30255ac5de
188616	6	24286	2013-08-04 19:07:51.521578	2013-08-04 19:07:51.521578	\N	eb2d7f47-3d26-4434-83ef-cbaaa84757cf
181747	17	23617	2013-08-04 18:43:16.475406	2013-08-04 18:43:16.475406	\N	24717831-8953-4249-9e8a-f7e0d85fce23
178631	9	23478	2013-08-04 18:33:27.512517	2013-08-04 18:33:27.512517	\N	bfc918c9-73cf-4594-9d25-313f45d7cf7c
188623	11	24262	2013-08-04 19:07:52.782459	2013-08-04 19:07:52.782459	\N	9315152e-08a0-4e04-9e2c-82061a78fd22
188624	6	24262	2013-08-04 19:07:52.948289	2013-08-04 19:07:52.948289	\N	6529573c-4234-48a4-bba2-7191394503aa
195990	11	24954	2013-08-04 19:43:14.350193	2013-08-04 19:43:14.350193	\N	b44fa08f-a573-409a-83a8-a4c7f762591b
188667	14	24323	2013-08-04 19:07:59.989054	2013-08-04 19:07:59.989054	\N	825bdd14-7a20-41cc-a619-2cbcce73e745
188690	8	24262	2013-08-04 19:08:01.728005	2013-08-04 19:08:01.728005	\N	9b51ba8e-5a4d-4e10-988a-c1eef8c2c90a
181756	2	23685	2013-08-04 18:43:18.140821	2013-08-04 18:43:18.140821	\N	63ae4b01-e61f-422e-91a9-bd26830d638d
181758	9	23730	2013-08-04 18:43:20.707007	2013-08-04 18:43:20.707007	\N	7ab0adb1-5e89-47f3-91fa-2e7a0e47bafa
199673	9	25476	2013-08-04 20:03:07.243457	2013-08-04 20:03:07.243457	\N	8cbf6d3c-7b91-4a85-b58e-0a4006f39126
195995	4	24954	2013-08-04 19:43:14.731974	2013-08-04 19:43:14.731974	\N	1b7bd52c-8af2-485e-b339-8c52151c17eb
195996	4	24974	2013-08-04 19:43:14.779411	2013-08-04 19:43:14.779411	\N	b9be2bd6-6a65-4799-bdc9-932824fb5052
188726	17	24286	2013-08-04 19:08:09.271475	2013-08-04 19:08:09.271475	\N	ab11752e-75da-4063-ada3-ea167a2b9958
188727	9	24338	2013-08-04 19:08:09.640481	2013-08-04 19:08:09.640481	\N	2bbed8f7-18bb-4232-89c2-2078f81c37ce
188732	2	24312	2013-08-04 19:08:11.080601	2013-08-04 19:08:11.080601	\N	4a89e992-18ca-41e8-a804-4d86faa77dbb
178692	16	23380	2013-08-04 18:33:39.161977	2013-08-04 18:33:39.161977	\N	6b2f3520-e278-4833-b5b2-226b49ad76ee
178693	16	23404	2013-08-04 18:33:39.395612	2013-08-04 18:33:39.395612	\N	8fe8a49a-a0ff-445d-a608-8155fb567ec6
199681	2	25458	2013-08-04 20:03:10.963647	2013-08-04 20:03:10.963647	\N	90e3ac76-c0fe-4272-9bd2-afa91e7c8224
178256	4	23346	2013-08-04 18:32:03.549836	2013-08-04 18:32:03.549836	\N	94babe82-27f1-4895-bfbf-93ea1cf8dd64
195895	1	24892	2013-08-04 19:42:44.550354	2013-08-04 19:42:44.550354	\N	ab0c161f-6662-4654-9d8b-9dfd8e687c60
178289	8	23456	2013-08-04 18:32:22.464203	2013-08-04 18:32:22.464203	\N	c370d2ac-9cb3-4cc6-accc-e855e93098ca
178317	8	23404	2013-08-04 18:32:28.112675	2013-08-04 18:32:28.112675	\N	04f81ecb-2fdb-4507-8dd9-e4adfef321e1
178325	10	23466	2013-08-04 18:32:28.706799	2013-08-04 18:32:28.706799	\N	f1bb7ce6-fff8-40b7-99da-20d73b56fff4
178330	8	23380	2013-08-04 18:32:30.047004	2013-08-04 18:32:30.047004	\N	02ae9ba4-57f7-4260-9bff-7e3b46a72383
199709	9	25490	2013-08-04 20:03:15.923505	2013-08-04 20:03:15.923505	\N	7860a2dc-80fb-421e-8d52-daf1dbec256f
168734	16	22483	2013-08-04 17:58:08.379503	2013-08-04 17:58:08.379503	\N	2bb9daeb-32ba-4f2b-a3ae-224f27cda662
195908	1	24953	2013-08-04 19:42:49.936171	2013-08-04 19:42:49.936171	\N	d2a80dfe-b38b-4d0c-9378-340cbb97be88
195909	19	24986	2013-08-04 19:42:50.106406	2013-08-04 19:42:50.106406	\N	7cbb7143-6edc-401d-a347-7632537a88ae
188563	10	24286	2013-08-04 19:07:46.931478	2013-08-04 19:07:46.931478	\N	91309d86-ca0a-40c6-953c-c799834e7819
188565	10	24348	2013-08-04 19:07:47.082037	2013-08-04 19:07:47.082037	\N	0367b256-70cc-40aa-849a-b3b6b4552584
178353	2	23430	2013-08-04 18:32:33.185384	2013-08-04 18:32:33.185384	\N	9bf532c0-15b1-4dbc-bbdf-bb9c42932b93
178354	2	23434	2013-08-04 18:32:33.219088	2013-08-04 18:32:33.219088	\N	eb5c4447-2321-4253-a4a4-25d33039237a
178356	8	23365	2013-08-04 18:32:34.631461	2013-08-04 18:32:34.631461	\N	39b47b85-48e7-4d98-a3d3-354cba704041
178357	8	23462	2013-08-04 18:32:35.41348	2013-08-04 18:32:35.41348	\N	c98110e7-0e4c-4493-85ba-93ad3db8544e
195914	1	24916	2013-08-04 19:42:53.332595	2013-08-04 19:42:53.332595	\N	a20956da-dc57-49c6-b70b-a8ee7be1c961
181774	13	23656	2013-08-04 18:43:25.677813	2013-08-04 18:43:25.677813	\N	ba847e8f-5544-4895-8b06-273b19fd9208
168812	9	22596	2013-08-04 17:58:20.515601	2013-08-04 17:58:20.515601	\N	91e2c52f-4b73-40c2-b818-23beb222911d
207974	7	26592	2013-08-04 20:49:52.387247	2013-08-04 20:49:52.387247	\N	0018cc33-6c95-4081-9018-61705e3226d3
178418	17	23380	2013-08-04 18:32:47.229775	2013-08-04 18:32:47.229775	\N	c3b10ff3-23f7-41c4-945d-f2fb2a657a89
199794	19	25490	2013-08-04 20:03:35.195123	2013-08-04 20:03:35.195123	\N	9e6c4662-30bc-48a7-a9c9-557b94d57343
188584	11	24328	2013-08-04 19:07:49.437859	2013-08-04 19:07:49.437859	\N	45822a1b-0b53-4163-b299-550510954ee0
196053	1	24957	2013-08-04 19:43:44.651722	2013-08-04 19:43:44.651722	\N	a66810c7-0c00-4bb8-91b2-a0cec32a7af8
185187	19	23884	2013-08-04 18:56:02.16855	2013-08-04 18:56:02.16855	\N	7bf4e8d0-bdc7-4a8a-83e2-3a791373248c
188607	8	24356	2013-08-04 19:07:51.091458	2013-08-04 19:07:51.091458	\N	48478b20-a088-45f7-abb9-ea088002fc11
171903	14	22762	2013-08-04 18:08:41.27095	2013-08-04 18:08:41.27095	\N	fb2625bd-4017-4420-8644-40b93328d562
171904	14	22834	2013-08-04 18:08:41.339889	2013-08-04 18:08:41.339889	\N	af12fce1-d40a-4ba5-9cbf-69ca31f0e460
171905	14	22763	2013-08-04 18:08:41.398985	2013-08-04 18:08:41.398985	\N	5fb550e3-55d2-4518-850b-5e00da0d0349
171906	14	22764	2013-08-04 18:08:41.467488	2013-08-04 18:08:41.467488	\N	0f3be52c-9910-4853-b48f-18b919f9104b
171907	14	22799	2013-08-04 18:08:41.529695	2013-08-04 18:08:41.529695	\N	48eb41d0-2ab5-4105-8987-8decad6bd3cb
171908	14	22833	2013-08-04 18:08:41.603916	2013-08-04 18:08:41.603916	\N	68fb730f-9099-446d-a555-064739385785
168863	14	22510	2013-08-04 17:58:29.236304	2013-08-04 17:58:29.236304	\N	17438fe9-fb57-4ae3-804d-d545cf34844d
168864	14	22582	2013-08-04 17:58:29.288058	2013-08-04 17:58:29.288058	\N	bcb12a1d-405b-4ee8-b806-f551f004ff3e
168865	14	22511	2013-08-04 17:58:29.348162	2013-08-04 17:58:29.348162	\N	28334b84-3e9b-4459-864d-f776e12b4fd0
168866	14	22512	2013-08-04 17:58:29.378325	2013-08-04 17:58:29.378325	\N	ae149a4c-5c37-4e3b-9b7f-446913d4b38e
168867	14	22547	2013-08-04 17:58:29.40886	2013-08-04 17:58:29.40886	\N	504c8233-b527-4824-911b-9e6d3b2d735e
168868	14	22581	2013-08-04 17:58:29.458699	2013-08-04 17:58:29.458699	\N	0c60cc7f-13d6-4b05-bdf1-a3194f67b8b8
175025	9	23088	2013-08-04 18:19:56.137267	2013-08-04 18:19:56.137267	\N	f251313f-be10-4b52-8aad-db0d084d054d
178437	9	23459	2013-08-04 18:32:49.891923	2013-08-04 18:32:49.891923	\N	de80f5f0-440e-477c-aafe-074ee1764374
175027	3	22987	2013-08-04 18:19:56.794389	2013-08-04 18:19:56.794389	\N	ff7789d6-3802-4f64-86e4-bcbc732411a4
175028	3	23002	2013-08-04 18:19:56.914099	2013-08-04 18:19:56.914099	\N	b7f225ef-97b8-483e-94c1-7bdce252db58
196059	7	24936	2013-08-04 19:43:49.241667	2013-08-04 19:43:49.241667	\N	4f3ae74c-eced-4039-9e8e-8b7bef6c766b
188641	9	24247	2013-08-04 19:07:56.019798	2013-08-04 19:07:56.019798	\N	730359cc-917c-4118-bd92-d75c2bd11f79
188643	7	24342	2013-08-04 19:07:57.249723	2013-08-04 19:07:57.249723	\N	1c3f3fc9-6727-4701-9e2c-1d518f675ec2
203932	2	25826	2013-08-04 20:19:18.162892	2013-08-04 20:19:18.162892	\N	bf6a179b-d688-4f27-9126-99babf12d1f2
171924	13	22735	2013-08-04 18:08:50.239141	2013-08-04 18:08:50.239141	\N	62080646-99e0-43f3-b8e7-3c2752955b68
188665	15	24286	2013-08-04 19:07:59.899508	2013-08-04 19:07:59.899508	\N	304608d2-9847-4c01-a424-52de8c49e761
171932	1	22829	2013-08-04 18:08:52.713742	2013-08-04 18:08:52.713742	\N	33dcef9c-b593-4c25-b973-637e2dabecb4
199806	4	25434	2013-08-04 20:03:37.64873	2013-08-04 20:03:37.64873	\N	bd75082c-c043-45da-9471-d36a973cea6d
203935	3	25774	2013-08-04 20:19:19.572831	2013-08-04 20:19:19.572831	\N	d097673e-a9bb-46c8-abee-13ef757b0f33
203936	3	25759	2013-08-04 20:19:19.642255	2013-08-04 20:19:19.642255	\N	4947df3f-0c0a-4f35-97d5-88b538e98c57
188693	8	24247	2013-08-04 19:08:02.082972	2013-08-04 19:08:02.082972	\N	92c840ab-a0d2-42db-84b1-3aad68f4f5e9
175092	9	23078	2013-08-04 18:20:12.503561	2013-08-04 18:20:12.503561	\N	e9df2c6c-6678-4812-b917-2034ac39ae82
188694	14	24327	2013-08-04 19:08:02.161885	2013-08-04 19:08:02.161885	\N	8ef7e4fb-2ce4-43a9-a453-c5bec6276769
181850	1	23711	2013-08-04 18:43:35.481136	2013-08-04 18:43:35.481136	\N	9421707b-cad9-40cb-bd1d-ba87a77c1739
188695	1	24247	2013-08-04 19:08:02.258619	2013-08-04 19:08:02.258619	\N	e28c5354-37c8-4a16-9c40-cbb60385e391
188696	10	24344	2013-08-04 19:08:02.564461	2013-08-04 19:08:02.564461	\N	e2eda7b8-305e-4baa-9277-a197aa8785c6
178496	9	23466	2013-08-04 18:32:58.29229	2013-08-04 18:32:58.29229	\N	7da5b663-804b-4960-bcdf-41a9c78f6c9a
207999	14	26515	2013-08-04 20:49:59.865451	2013-08-04 20:49:59.865451	\N	f08e41a6-1283-42e6-bdf4-4eff1694337e
168961	19	22522	2013-08-04 17:58:40.417927	2013-08-04 17:58:40.417927	\N	deea94f7-7ccd-4f97-9e7e-9edb31b37f7d
199882	7	25434	2013-08-04 20:03:52.358157	2013-08-04 20:03:52.358157	\N	41ffde81-846a-4d5f-ba76-73a132f111d2
192360	1	24467	2013-08-04 19:22:17.182775	2013-08-04 19:22:17.182775	\N	251550c7-f944-4ec6-8528-ffe691b17190
178565	9	23404	2013-08-04 18:33:13.084068	2013-08-04 18:33:13.084068	\N	e2bd7fec-ce82-4102-b0dd-c1df326d1277
188723	9	24286	2013-08-04 19:08:07.451734	2013-08-04 19:08:07.451734	\N	88b840af-affd-456f-91f9-2e63678e0f23
188725	13	24262	2013-08-04 19:08:08.45876	2013-08-04 19:08:08.45876	\N	690e3b57-4104-4c24-b7aa-6cefa09e007d
188729	14	24307	2013-08-04 19:08:09.977988	2013-08-04 19:08:09.977988	\N	b655f760-91be-4d90-bae7-389603d6f745
188730	14	24308	2013-08-04 19:08:10.099473	2013-08-04 19:08:10.099473	\N	56290229-c420-47df-adec-e3bf24b444c5
188734	13	24286	2013-08-04 19:08:11.221092	2013-08-04 19:08:11.221092	\N	174449e1-4f5d-421b-9266-54bc0a1e65db
178571	1	23459	2013-08-04 18:33:13.441412	2013-08-04 18:33:13.441412	\N	de6881f9-5d38-41c2-b2d8-3b46ef829bc1
188736	1	24359	2013-08-04 19:08:11.806775	2013-08-04 19:08:11.806775	\N	f0cbd1a5-9dd4-4316-828e-1841cb8c24ff
188753	14	24262	2013-08-04 19:08:15.917803	2013-08-04 19:08:15.917803	\N	b3c9d71f-c086-4711-84b2-080e76ca0218
172101	11	22840	2013-08-04 18:09:30.9525	2013-08-04 18:09:30.9525	\N	c83e570f-d0d1-434b-a34b-9acb9be0eb60
178584	9	23462	2013-08-04 18:33:18.257596	2013-08-04 18:33:18.257596	\N	2a8404a4-4f5b-459d-ae29-ce0970369dec
168600	14	22559	2013-08-04 17:57:46.892252	2013-08-04 17:57:46.892252	\N	6486fbd1-90e6-45e2-9b79-aa0c919f558c
178313	7	23462	2013-08-04 18:32:27.478302	2013-08-04 18:32:27.478302	\N	33514eee-5913-45e4-b3ab-5c131127d64c
207922	4	26592	2013-08-04 20:49:33.458538	2013-08-04 20:49:33.458538	\N	8ac14bdb-76f4-43a3-82cb-b98aeb77eb75
185113	3	23884	2013-08-04 18:55:48.679558	2013-08-04 18:55:48.679558	\N	d3bf1b7e-7b3a-4a7c-bfef-f38633a64301
185114	3	23869	2013-08-04 18:55:48.726336	2013-08-04 18:55:48.726336	\N	9345c9f5-bea9-435a-a212-66c5973b058b
207923	4	26616	2013-08-04 20:49:33.51494	2013-08-04 20:49:33.51494	\N	ff94d83b-0d6f-4caa-bdc2-56c515cc0cf3
199720	11	25396	2013-08-04 20:03:18.421265	2013-08-04 20:03:18.421265	\N	fdc089d9-bdcd-4c77-b251-91097a4cebf3
168684	7	22572	2013-08-04 17:58:00.035557	2013-08-04 17:58:00.035557	\N	534c1785-1c1b-46da-8fa2-3bc5aace26cb
168736	16	22498	2013-08-04 17:58:08.482429	2013-08-04 17:58:08.482429	\N	dfeebd89-f6f1-4c6d-a5c3-20973d5a4fe6
181616	10	23656	2013-08-04 18:42:51.742798	2013-08-04 18:42:51.742798	\N	cdacda65-3392-49ff-af31-693051767820
178327	10	23462	2013-08-04 18:32:28.817039	2013-08-04 18:32:28.817039	\N	7ed99d95-2308-4aaf-b5ef-b0291632b888
178328	7	23460	2013-08-04 18:32:29.71322	2013-08-04 18:32:29.71322	\N	0ab5a590-f5ea-4791-9f9a-4151d711cc64
178329	7	23380	2013-08-04 18:32:30.04552	2013-08-04 18:32:30.04552	\N	782bb940-aea3-4446-86e0-664af41afbb4
181618	7	23698	2013-08-04 18:42:51.834031	2013-08-04 18:42:51.834031	\N	7e69bb23-7f64-4809-a3a4-46709b5e3306
207925	4	26610	2013-08-04 20:49:33.562771	2013-08-04 20:49:33.562771	\N	c7cf040a-b3ed-4dcb-a94e-3119dcda87e9
188617	2	24355	2013-08-04 19:07:52.203413	2013-08-04 19:07:52.203413	\N	e6eb6eb0-036a-4912-b561-a9655d2cfb0e
181704	2	23632	2013-08-04 18:43:11.142872	2013-08-04 18:43:11.142872	\N	d8d33af0-acd4-404d-8156-0249b0ba81b1
188630	11	24286	2013-08-04 19:07:54.98253	2013-08-04 19:07:54.98253	\N	773dbfaa-adc5-4ccb-89eb-263c72273224
199738	3	25396	2013-08-04 20:03:23.565734	2013-08-04 20:03:23.565734	\N	b0d20296-c04b-4da0-b60c-e6c0414bdea6
199739	3	25420	2013-08-04 20:03:23.6269	2013-08-04 20:03:23.6269	\N	2171aefc-905f-4996-89be-62e242d6a4a6
195950	13	24916	2013-08-04 19:42:59.60372	2013-08-04 19:42:59.60372	\N	1577de72-b45b-456b-8c7f-cc454f8f490f
195952	4	24943	2013-08-04 19:43:01.602063	2013-08-04 19:43:01.602063	\N	af0dcbd8-44c8-48ae-9abb-dfef4979adec
195953	4	24938	2013-08-04 19:43:01.665274	2013-08-04 19:43:01.665274	\N	1fbb8b42-5f27-4398-afe2-51e55845106f
178351	9	23477	2013-08-04 18:32:32.611645	2013-08-04 18:32:32.611645	\N	c0fe0e72-4950-422d-894c-9edb2bc09395
207929	2	26585	2013-08-04 20:49:34.75809	2013-08-04 20:49:34.75809	\N	cb7b4abb-e2f9-4fd8-9d4b-b6fafb8c3a0d
178358	2	23380	2013-08-04 18:32:35.415398	2013-08-04 18:32:35.415398	\N	c327ea11-dd7b-4d21-a519-b57bbff49578
178359	14	23459	2013-08-04 18:32:35.542086	2013-08-04 18:32:35.542086	\N	8e2a19b2-a595-4200-824d-e458b986aa34
181798	17	23656	2013-08-04 18:43:28.131799	2013-08-04 18:43:28.131799	\N	8441fb97-4671-44d2-94c3-7625a9ae4cbf
181800	15	23656	2013-08-04 18:43:28.355041	2013-08-04 18:43:28.355041	\N	fec4e645-a10f-4910-9b97-700b1b1fddb9
207930	9	26591	2013-08-04 20:49:35.97751	2013-08-04 20:49:35.97751	\N	77e23be1-727e-4c9b-b87b-2fbbf22b56bc
175209	1	23063	2013-08-04 18:20:43.388375	2013-08-04 18:20:43.388375	\N	39b8cb81-bc55-4a90-abd9-94b8edfc4e71
178365	17	23365	2013-08-04 18:32:36.799766	2013-08-04 18:32:36.799766	\N	61ef62ac-eac8-4c32-a619-0b1fec886902
185173	19	23869	2013-08-04 18:55:58.912283	2013-08-04 18:55:58.912283	\N	2be8afd9-df24-469d-895d-7d8d17f93f46
188668	17	24262	2013-08-04 19:08:00.085395	2013-08-04 19:08:00.085395	\N	a5bacbf7-1fe1-408e-ab6b-546b38d2b6e5
181828	9	23729	2013-08-04 18:43:33.222885	2013-08-04 18:43:33.222885	\N	96e48eda-c7b7-45cc-9dad-b47acdc83a61
178393	13	23365	2013-08-04 18:32:44.564241	2013-08-04 18:32:44.564241	\N	3f28fd20-9730-408f-88e5-622ba9757457
178396	11	23365	2013-08-04 18:32:45.538951	2013-08-04 18:32:45.538951	\N	b7d1da02-5593-42ca-9aa5-976ee1a96b25
188672	7	24360	2013-08-04 19:08:00.332331	2013-08-04 19:08:00.332331	\N	90236dce-55a9-42f3-b191-6d9d4f83786e
178405	11	23446	2013-08-04 18:32:46.297247	2013-08-04 18:32:46.297247	\N	47d2746b-f45a-4d1b-a945-8f9669ab9663
181848	11	23730	2013-08-04 18:43:34.83924	2013-08-04 18:43:34.83924	\N	c7982367-0e26-499a-b2d4-c8965d7374ee
181851	17	23632	2013-08-04 18:43:36.952258	2013-08-04 18:43:36.952258	\N	c9cbe97e-f0c9-44fa-b5a5-b6af06a10ac2
178419	13	23404	2013-08-04 18:32:48.166192	2013-08-04 18:32:48.166192	\N	d4cb3a50-05d6-4e50-a089-4039abf7f2a9
188677	4	24300	2013-08-04 19:08:00.617239	2013-08-04 19:08:00.617239	\N	9c1e1e39-24b1-4409-aedb-324977be300d
188680	4	24312	2013-08-04 19:08:00.650424	2013-08-04 19:08:00.650424	\N	b5d22c92-9d4d-4d43-bc6c-d97402b7839a
178426	14	23365	2013-08-04 18:32:48.858067	2013-08-04 18:32:48.858067	\N	acd7d6d5-2394-4eff-8fc5-d889c1e6b8fe
188681	4	24304	2013-08-04 19:08:00.694104	2013-08-04 19:08:00.694104	\N	8eaea729-d79f-4d3e-9c2e-8156f5329007
188682	4	24313	2013-08-04 19:08:00.73446	2013-08-04 19:08:00.73446	\N	ab2ec0d3-2347-425b-b0fe-6a337b15556a
195967	17	24892	2013-08-04 19:43:10.07029	2013-08-04 19:43:10.07029	\N	e5f7bfd5-927c-4309-8f7c-603c18a9a547
188684	4	24306	2013-08-04 19:08:00.793484	2013-08-04 19:08:00.793484	\N	0190e889-0cca-420a-b58f-dd367600999b
188685	4	24307	2013-08-04 19:08:00.851475	2013-08-04 19:08:00.851475	\N	e6fd58c3-67d0-48a7-8a86-8c7625fb45db
188686	4	24308	2013-08-04 19:08:00.902062	2013-08-04 19:08:00.902062	\N	5497380c-01c0-4222-a640-0aa5db626926
188687	4	24315	2013-08-04 19:08:00.956432	2013-08-04 19:08:00.956432	\N	329d3167-4f0c-4819-8893-8fe658d5855f
178492	3	23380	2013-08-04 18:32:56.781235	2013-08-04 18:32:56.781235	\N	f6857cc2-1783-494c-8731-ed689b790dc5
178493	3	23404	2013-08-04 18:32:56.840646	2013-08-04 18:32:56.840646	\N	f5f4d4bb-596a-4239-ae3d-a2c81c704639
188688	4	24316	2013-08-04 19:08:00.995629	2013-08-04 19:08:00.995629	\N	843bb216-f0a4-4d0e-bd06-dae8d0c21489
188689	4	24317	2013-08-04 19:08:01.038669	2013-08-04 19:08:01.038669	\N	a8531bb0-87b8-4e92-beb4-910c21459903
199814	9	25461	2013-08-04 20:03:38.394245	2013-08-04 20:03:38.394245	\N	c61363e1-72af-480e-ab26-cf1da65d71ed
196006	11	24958	2013-08-04 19:43:16.472851	2013-08-04 19:43:16.472851	\N	51947f67-3a66-4edd-a1e0-5727ebb9deb1
199815	13	25420	2013-08-04 20:03:38.864233	2013-08-04 20:03:38.864233	\N	6257ddc5-e3a2-49ce-aa03-8812013416e8
169022	1	22595	2013-08-04 17:58:54.272422	2013-08-04 17:58:54.272422	\N	e8d1cde8-ddda-4b77-8c1a-65de517b7f55
196010	14	24892	2013-08-04 19:43:18.533864	2013-08-04 19:43:18.533864	\N	19ee2bab-cee5-4515-87d8-96c1aa811e2d
196011	14	24916	2013-08-04 19:43:18.592439	2013-08-04 19:43:18.592439	\N	5f7b3f4c-bdc0-489f-8965-53c307fad922
172032	1	22840	2013-08-04 18:09:02.215456	2013-08-04 18:09:02.215456	\N	807b577a-22cd-40c1-949f-d57f7be40433
196015	11	24892	2013-08-04 19:43:19.833672	2013-08-04 19:43:19.833672	\N	d5ffee9e-26e1-4c5d-ae03-d532528d0edf
181979	1	23729	2013-08-04 18:44:01.823364	2013-08-04 18:44:01.823364	\N	d0fdc568-e793-448a-b1dd-9106fa9e7d1b
178537	1	23478	2013-08-04 18:33:10.633386	2013-08-04 18:33:10.633386	\N	1534ea24-fb2a-4c21-81cd-286a783f8066
182082	1	23693	2013-08-04 18:44:17.983413	2013-08-04 18:44:17.983413	\N	2f6a685d-84b7-46ff-a9f8-3769f5f181e8
196023	11	24990	2013-08-04 19:43:22.784307	2013-08-04 19:43:22.784307	\N	4510dd0e-92b3-46ff-a12d-da603a2230c9
196026	9	24957	2013-08-04 19:43:23.803146	2013-08-04 19:43:23.803146	\N	abf7c9d1-a2f2-4bef-9795-08881559a75b
188914	3	24286	2013-08-04 19:08:46.389041	2013-08-04 19:08:46.389041	\N	5a655130-f454-425c-a531-25cf780e6e66
188915	3	24262	2013-08-04 19:08:46.419572	2013-08-04 19:08:46.419572	\N	f5471f81-aaa7-4f2c-ab88-eb1ef8a3417e
188916	3	24247	2013-08-04 19:08:46.454456	2013-08-04 19:08:46.454456	\N	0850f869-76b7-4dd3-8e7a-1efdb4cff052
169049	1	22564	2013-08-04 17:58:58.210149	2013-08-04 17:58:58.210149	\N	134446a7-e8f7-4da6-a3e6-a8e0998e65db
178649	9	23472	2013-08-04 18:33:29.671214	2013-08-04 18:33:29.671214	\N	4a1f1aad-a868-4e6b-81aa-4e9fda499349
178657	1	23446	2013-08-04 18:33:33.503294	2013-08-04 18:33:33.503294	\N	9d52d031-cdd2-4c66-978f-e8c7e94e19e9
199870	2	25461	2013-08-04 20:03:50.626548	2013-08-04 20:03:50.626548	\N	bc6ea2b4-44d6-40e1-8f3e-a27034b4eef5
199871	7	25439	2013-08-04 20:03:50.795445	2013-08-04 20:03:50.795445	\N	9583b9aa-5c78-4d3e-8686-be26a9644c98
207962	2	26569	2013-08-04 20:49:45.655121	2013-08-04 20:49:45.655121	\N	2a02eedc-db74-4057-b212-45cc6b96741f
204017	14	25829	2013-08-04 20:19:40.281861	2013-08-04 20:19:40.281861	\N	a8cb50c8-b9a7-4cc1-b8f1-b581e9ab500b
204019	14	25828	2013-08-04 20:19:40.333464	2013-08-04 20:19:40.333464	\N	7367c3e0-960c-4eeb-8a7c-e4b05bf496e7
188936	1	24324	2013-08-04 19:08:49.578238	2013-08-04 19:08:49.578238	\N	9629a924-01db-41f9-9dc8-b081ae1405c5
185617	7	24034	2013-08-04 18:57:42.977248	2013-08-04 18:57:42.977248	\N	eb2f5d53-8b5a-4d03-8b9a-bee734a64976
188940	11	24360	2013-08-04 19:08:49.926244	2013-08-04 19:08:49.926244	\N	69530def-4832-40f8-8698-58d75a8072ed
188619	1	24360	2013-08-04 19:07:52.474001	2013-08-04 19:07:52.474001	\N	8032997a-2e45-42fb-a5dd-03a56ae77cd7
188628	6	24247	2013-08-04 19:07:53.614818	2013-08-04 19:07:53.614818	\N	b8cf4abd-892a-478a-b999-67796d1519ea
195951	2	24947	2013-08-04 19:42:59.627889	2013-08-04 19:42:59.627889	\N	5ab7e912-73b6-4569-b1d3-df5e64fe5c68
168627	14	22577	2013-08-04 17:57:49.471764	2013-08-04 17:57:49.471764	\N	d13e3a4b-b4d7-4e19-b93b-54ac4cfc7064
178552	2	23422	2013-08-04 18:33:11.833527	2013-08-04 18:33:11.833527	\N	fbd93881-4bb5-4d52-be91-41e74a251288
175083	2	23042	2013-08-04 18:20:11.577253	2013-08-04 18:20:11.577253	\N	4fa56f64-a1f8-40b9-85e1-48803e5e381a
185227	14	23869	2013-08-04 18:56:09.018587	2013-08-04 18:56:09.018587	\N	2741998b-1813-4037-a7b7-fd246a93775e
195959	14	24937	2013-08-04 19:43:07.798898	2013-08-04 19:43:07.798898	\N	16970e5a-429e-454e-89c5-740081ae92e5
199731	11	25494	2013-08-04 20:03:21.561376	2013-08-04 20:03:21.561376	\N	2f639b10-0a62-4218-8438-c1b5f2ba0a8d
185250	2	23935	2013-08-04 18:56:10.870403	2013-08-04 18:56:10.870403	\N	aff802c9-7be6-4711-98fa-35a599882a64
188642	7	24348	2013-08-04 19:07:56.731367	2013-08-04 19:07:56.731367	\N	4134543c-2a03-49e3-8015-53c00234c999
188645	7	24356	2013-08-04 19:07:57.483658	2013-08-04 19:07:57.483658	\N	9a6b1e3b-73ff-403e-8576-fdadd1d11155
175100	2	23055	2013-08-04 18:20:13.208592	2013-08-04 18:20:13.208592	\N	cc16e9b3-42c6-47ab-a292-ad76b1173cf2
199795	9	25493	2013-08-04 20:03:35.206464	2013-08-04 20:03:35.206464	\N	54469837-84ab-4206-85ef-3f2411ea9e0a
178563	9	23456	2013-08-04 18:33:12.858963	2013-08-04 18:33:12.858963	\N	69d3ed2c-179b-4edb-81f1-a126734f6575
203880	6	25774	2013-08-04 20:19:05.056513	2013-08-04 20:19:05.056513	\N	82d33cd9-6bf0-42cf-b1a8-e9e040776fd9
181804	11	23698	2013-08-04 18:43:29.384371	2013-08-04 18:43:29.384371	\N	d25801d6-ec7b-4c44-96c0-c327828d295e
199805	13	25396	2013-08-04 20:03:36.909317	2013-08-04 20:03:36.909317	\N	f38c27bf-1482-41b5-a769-8c8f25a5e5e8
196019	11	24916	2013-08-04 19:43:21.862548	2013-08-04 19:43:21.862548	\N	6fa34d9e-4c01-4356-857c-aecc9117313c
188698	1	24262	2013-08-04 19:08:03.245268	2013-08-04 19:08:03.245268	\N	6237cd8a-501e-4350-8e84-28e583a7dec1
171878	4	22848	2013-08-04 18:08:37.818351	2013-08-04 18:08:37.818351	\N	69d1e8f4-f55b-4139-a257-c4568f505da1
199838	4	25476	2013-08-04 20:03:43.460435	2013-08-04 20:03:43.460435	\N	9fdb8668-8ed4-49a4-b2a3-39e6eff4d48a
188721	9	24327	2013-08-04 19:08:06.287546	2013-08-04 19:08:06.287546	\N	e5057c68-3bd7-4e35-ac44-f1c96b569de6
199840	4	25494	2013-08-04 20:03:43.582178	2013-08-04 20:03:43.582178	\N	86eb0272-f839-48ad-b1c3-9360f7543827
196029	6	24877	2013-08-04 19:43:27.537685	2013-08-04 19:43:27.537685	\N	e51f9913-b3ce-4e0f-887f-ace28aab8260
188752	14	24286	2013-08-04 19:08:15.902439	2013-08-04 19:08:15.902439	\N	055afd80-b6db-4293-bf40-da29244058b1
168820	1	22577	2013-08-04 17:58:24.943644	2013-08-04 17:58:24.943644	\N	9745132f-c73a-45e5-b523-ac73667a5503
182001	14	23671	2013-08-04 18:44:03.616658	2013-08-04 18:44:03.616658	\N	9b7bdfa7-9815-4741-b5eb-d1fcff1f07b8
182002	14	23676	2013-08-04 18:44:03.645721	2013-08-04 18:44:03.645721	\N	a69bcf5d-8ece-4f2c-adbd-006cc96e7f03
182004	14	23685	2013-08-04 18:44:03.689009	2013-08-04 18:44:03.689009	\N	a3eb98a0-ea14-410b-ae6d-42e1878a559e
168936	19	22483	2013-08-04 17:58:37.055566	2013-08-04 17:58:37.055566	\N	2c6dcb01-a84c-4d6e-896f-535dd5203c83
182005	14	23668	2013-08-04 18:44:03.719842	2013-08-04 18:44:03.719842	\N	0f0a130c-1132-4fd7-a760-913127b15332
168954	14	22498	2013-08-04 17:58:38.492834	2013-08-04 17:58:38.492834	\N	ddc0fa2f-764c-4578-bf40-5bc8eee5c1e3
168964	19	22498	2013-08-04 17:58:41.529838	2013-08-04 17:58:41.529838	\N	4173b057-95aa-4e1e-9132-8cf0c248ea69
182006	14	23644	2013-08-04 18:44:03.743807	2013-08-04 18:44:03.743807	\N	ce148393-d619-42a7-80ce-95435b365402
182007	14	23716	2013-08-04 18:44:03.768988	2013-08-04 18:44:03.768988	\N	f63208b5-daa1-4966-b6d6-3bc1bce7bede
182008	14	23645	2013-08-04 18:44:03.793227	2013-08-04 18:44:03.793227	\N	8072d148-c889-49ee-856c-1cde21fc4a82
182009	14	23646	2013-08-04 18:44:03.817874	2013-08-04 18:44:03.817874	\N	08f1423b-462d-49ad-86b7-5c4723dd24de
182010	14	23681	2013-08-04 18:44:03.842978	2013-08-04 18:44:03.842978	\N	a95b4640-2cef-42cf-a12c-bfdfba13bfec
182011	14	23715	2013-08-04 18:44:03.86826	2013-08-04 18:44:03.86826	\N	24fd068b-9c9f-47ea-bb91-7dadf8ab0613
196242	10	24974	2013-08-04 19:44:41.599963	2013-08-04 19:44:41.599963	\N	5a920f5f-9c15-451d-bf6f-4be2fa3228da
196243	10	24877	2013-08-04 19:44:41.768444	2013-08-04 19:44:41.768444	\N	ad21d691-320e-45d8-9f4a-39e4829111e7
178892	2	23431	2013-08-04 18:34:12.104477	2013-08-04 18:34:12.104477	\N	6ba62ee3-5525-4f1d-8682-1ee8048fcc02
182163	10	23708	2013-08-04 18:44:31.825916	2013-08-04 18:44:31.825916	\N	0ef0bc40-9df0-4007-9252-6cbcefde055f
182167	10	23707	2013-08-04 18:44:32.275879	2013-08-04 18:44:32.275879	\N	ba864a35-64b0-42d4-8860-999fc17a20a4
182168	10	23633	2013-08-04 18:44:32.400247	2013-08-04 18:44:32.400247	\N	463df3fc-797d-4a88-96b2-56f8f1349361
172421	7	22958	2013-08-04 18:11:55.776697	2013-08-04 18:11:55.776697	\N	82ad9fb9-fa45-4c31-927e-3a9e33b0ee47
172422	8	22952	2013-08-04 18:11:57.670253	2013-08-04 18:11:57.670253	\N	f67e3be3-3cd2-4fa4-9244-67aa9eb0d7be
172423	10	22900	2013-08-04 18:11:58.041998	2013-08-04 18:11:58.041998	\N	8af84417-a599-40da-9b81-fbe2eb943434
172426	8	22900	2013-08-04 18:11:58.45568	2013-08-04 18:11:58.45568	\N	bbe0496b-a0a8-43a9-a846-819a29c964bf
182169	9	23712	2013-08-04 18:44:32.490026	2013-08-04 18:44:32.490026	\N	24753428-d4bb-497d-9d94-3371c55f4711
181757	1	23730	2013-08-04 18:43:19.486432	2013-08-04 18:43:19.486432	\N	6b268b86-64d2-43b7-b09e-7fcb8865c162
181768	9	23724	2013-08-04 18:43:22.904996	2013-08-04 18:43:22.904996	\N	1b228226-f3d0-47c0-b1fe-780bb6591ecf
181770	13	23632	2013-08-04 18:43:24.115595	2013-08-04 18:43:24.115595	\N	1f201356-a476-4b1b-b41d-b00380f1f480
168737	7	22564	2013-08-04 17:58:08.488635	2013-08-04 17:58:08.488635	\N	b7969152-e854-40ac-90b2-5a1e2ecc3432
207976	7	26616	2013-08-04 20:49:52.977212	2013-08-04 20:49:52.977212	\N	8477f718-d005-4579-8067-8f242b36f1cf
168740	16	22522	2013-08-04 17:58:08.704783	2013-08-04 17:58:08.704783	\N	056137de-bf34-47d7-901f-e0a85322c8ad
188711	13	24247	2013-08-04 19:08:04.65046	2013-08-04 19:08:04.65046	\N	c72476ac-1c4b-41bd-b91f-e66c26b771ab
175176	14	22987	2013-08-04 18:20:35.396395	2013-08-04 18:20:35.396395	\N	b4b856d8-a344-4e46-8f0d-ad9f14f5b05f
168743	7	22578	2013-08-04 17:58:12.839056	2013-08-04 17:58:12.839056	\N	e237dafa-e3a2-4b45-b151-fb18745cd43d
175177	1	23064	2013-08-04 18:20:38.768561	2013-08-04 18:20:38.768561	\N	a24dbfb1-9d0d-4b3f-90a2-0d607ddf12a9
196003	11	24877	2013-08-04 19:43:15.820207	2013-08-04 19:43:15.820207	\N	b21187d0-4cef-40df-a141-5bad692b6461
203906	1	25839	2013-08-04 20:19:11.350211	2013-08-04 20:19:11.350211	\N	66e12af8-1ebc-4f78-b856-f6d08869ae40
196018	14	24877	2013-08-04 19:43:21.304951	2013-08-04 19:43:21.304951	\N	c2adeafd-b011-4afc-bbae-e165467dd8a5
208012	9	26515	2013-08-04 20:50:03.313986	2013-08-04 20:50:03.313986	\N	330daf89-7c54-48a3-a838-473cd061aefd
181789	11	23694	2013-08-04 18:43:27.273904	2013-08-04 18:43:27.273904	\N	b2eb5bb4-83e0-4af4-b0a0-6718653216ca
188744	2	24306	2013-08-04 19:08:13.459309	2013-08-04 19:08:13.459309	\N	39baa0ab-ccbb-48b3-992a-3685883bc3fa
181801	11	23617	2013-08-04 18:43:28.654526	2013-08-04 18:43:28.654526	\N	a4ad6d23-c811-43ca-863e-ff07d31920a9
196087	2	24990	2013-08-04 19:43:52.281451	2013-08-04 19:43:52.281451	\N	d15ff69d-b7c7-4faf-b2d1-12ad7063e434
204044	4	25825	2013-08-04 20:19:44.502645	2013-08-04 20:19:44.502645	\N	34dd4b20-838b-4d1f-9dd0-3ba93a80f8b7
178723	1	23477	2013-08-04 18:33:42.24999	2013-08-04 18:33:42.24999	\N	4fc26d59-4dde-45aa-9c8e-72f66f873b2f
172153	2	22815	2013-08-04 18:09:50.409862	2013-08-04 18:09:50.409862	\N	e8268ca6-af4c-41a2-8180-9392963896ea
168879	1	22483	2013-08-04 17:58:30.836786	2013-08-04 17:58:30.836786	\N	86de63be-b853-4f09-b3e6-67faada155b8
196220	9	24971	2013-08-04 19:44:34.780744	2013-08-04 19:44:34.780744	\N	7a25adc6-2350-42fa-878f-214310542655
196224	4	24937	2013-08-04 19:44:35.09537	2013-08-04 19:44:35.09537	\N	009a7904-aaf4-40c5-93e1-fb0b3f39b370
185289	9	23964	2013-08-04 18:56:14.41944	2013-08-04 18:56:14.41944	\N	94de379f-ad8c-4068-a066-6aa16944dc6c
175312	1	23067	2013-08-04 18:20:58.280954	2013-08-04 18:20:58.280954	\N	b94ae4ae-7faf-4ee9-b134-055febf9b453
196226	4	24945	2013-08-04 19:44:35.168898	2013-08-04 19:44:35.168898	\N	6ebb1d9b-24d2-470b-99d4-4124894ce333
188819	9	24356	2013-08-04 19:08:30.145793	2013-08-04 19:08:30.145793	\N	b27761be-51d5-4b37-9880-27ae306d4af5
181950	4	23718	2013-08-04 18:43:53.561063	2013-08-04 18:43:53.561063	\N	40ab5d5c-a6a8-4739-962c-debd8429ea83
181954	4	23708	2013-08-04 18:43:53.641607	2013-08-04 18:43:53.641607	\N	408ccf76-efaf-465d-a8e7-8637948caec9
181956	4	23714	2013-08-04 18:43:53.721959	2013-08-04 18:43:53.721959	\N	844ac6cc-14d8-400c-9cd4-cba1afc4745a
181957	4	23730	2013-08-04 18:43:53.802798	2013-08-04 18:43:53.802798	\N	baf7abb1-cdec-48db-9bb5-64f419c9afdf
181958	4	23724	2013-08-04 18:43:53.867524	2013-08-04 18:43:53.867524	\N	ea1434f1-596a-4f8c-b70a-e62d7bb9db99
181961	14	23693	2013-08-04 18:43:55.689132	2013-08-04 18:43:55.689132	\N	ecbbb152-0215-41c0-9249-d7e5f7a99d19
196230	10	24916	2013-08-04 19:44:36.356496	2013-08-04 19:44:36.356496	\N	9b847757-d603-4673-be59-60ec462acc43
178844	10	23472	2013-08-04 18:34:01.241966	2013-08-04 18:34:01.241966	\N	828fecd3-3938-403f-ac89-e053fd6b470d
204074	2	25821	2013-08-04 20:19:50.932604	2013-08-04 20:19:50.932604	\N	ae99f020-732d-46d2-9917-236da9631c2f
169099	19	22574	2013-08-04 17:59:16.211627	2013-08-04 17:59:16.211627	\N	24e1c4e7-c6a4-4b88-b2ce-38b43729baa1
192547	18	24412	2013-08-04 19:23:12.372243	2013-08-04 19:23:12.372243	\N	ca562342-5cd9-4a13-b9d9-1e077e3dc028
188871	10	24356	2013-08-04 19:08:38.54622	2013-08-04 19:08:38.54622	\N	b7c5fa27-1925-4909-b036-a578e972de9a
178973	1	23445	2013-08-04 18:34:26.034504	2013-08-04 18:34:26.034504	\N	b2e3b1db-1e73-421f-9e68-41c6102bd928
175379	18	23002	2013-08-04 18:21:12.091288	2013-08-04 18:21:12.091288	\N	ad5fd942-e5f2-4e31-b6a8-4ff79a4adf74
178975	8	23353	2013-08-04 18:34:26.335954	2013-08-04 18:34:26.335954	\N	ef9d74a7-3681-4cab-aeca-76fe81da5d66
178978	19	23380	2013-08-04 18:34:27.17652	2013-08-04 18:34:27.17652	\N	85d82af7-6e36-4b7c-be86-7c9c6ca1053e
188885	11	24324	2013-08-04 19:08:41.935741	2013-08-04 19:08:41.935741	\N	95449e26-b94d-4e5e-b874-c790e17e210a
199829	2	25435	2013-08-04 20:03:41.945367	2013-08-04 20:03:41.945367	\N	d98ebfb7-a49b-4adf-b9be-f3a38ef44971
196424	19	24916	2013-08-04 19:45:36.140368	2013-08-04 19:45:36.140368	\N	8c396935-330f-4913-aea7-aa8925efb001
175474	1	23100	2013-08-04 18:21:18.268381	2013-08-04 18:21:18.268381	\N	7a23b796-3cd7-4365-b6c5-fa06e65d450b
179010	17	23353	2013-08-04 18:34:35.553257	2013-08-04 18:34:35.553257	\N	80d4346a-9bb4-4ffa-8c18-3dc6119a2133
172282	16	22815	2013-08-04 18:10:39.307906	2013-08-04 18:10:39.307906	\N	52e3226c-84d4-4f65-8e93-a9d45340c36c
196445	2	24937	2013-08-04 19:45:44.506082	2013-08-04 19:45:44.506082	\N	3dbe2d1a-6989-4b51-ba63-9ecbfcf45da0
196484	3	24892	2013-08-04 19:45:54.764459	2013-08-04 19:45:54.764459	\N	c8649d0a-0052-403f-a907-c20bb5e16f3a
196485	3	24916	2013-08-04 19:45:54.900162	2013-08-04 19:45:54.900162	\N	d0cfe8e3-b8e7-48d4-9613-4e3f7818f90a
196486	3	24877	2013-08-04 19:45:54.959699	2013-08-04 19:45:54.959699	\N	16a33ace-897d-4717-93fd-e3a8680b3f77
196487	19	24892	2013-08-04 19:45:55.087641	2013-08-04 19:45:55.087641	\N	481d2180-bd0c-4d9c-a431-1c89f07f7a47
203919	2	25759	2013-08-04 20:19:13.648153	2013-08-04 20:19:13.648153	\N	9e2a9e03-1dfc-4b54-b160-404de963faed
178690	16	23365	2013-08-04 18:33:38.960545	2013-08-04 18:33:38.960545	\N	d685a5fd-4b1f-4505-98b0-cf84fbeb3b1a
188785	2	24314	2013-08-04 19:08:24.266321	2013-08-04 19:08:24.266321	\N	2db48cf6-7488-4bc8-983a-d9f88ca53e23
199853	1	25462	2013-08-04 20:03:46.549973	2013-08-04 20:03:46.549973	\N	90d28865-f2c7-4839-aaf2-f2c85e59f73f
196094	7	24937	2013-08-04 19:43:57.396135	2013-08-04 19:43:57.396135	\N	8cb5bebc-835e-496b-90ca-995997b764f3
188803	4	24324	2013-08-04 19:08:27.367623	2013-08-04 19:08:27.367623	\N	c546fb41-6d9c-4a37-b276-273646ae52ee
188804	4	24348	2013-08-04 19:08:27.4164	2013-08-04 19:08:27.4164	\N	24b9c2fa-d134-431d-a59d-0bf9bc821346
188805	4	24328	2013-08-04 19:08:27.465121	2013-08-04 19:08:27.465121	\N	b0cccf48-1d43-4587-b27e-66cfe3732c34
188806	4	24338	2013-08-04 19:08:27.513389	2013-08-04 19:08:27.513389	\N	cb78d65e-b3f2-4565-96f8-4e44d332b0bb
185283	19	23970	2013-08-04 18:56:13.881972	2013-08-04 18:56:13.881972	\N	99b93092-35b2-45a5-ac69-d9b38717fa06
188807	4	24342	2013-08-04 19:08:27.558916	2013-08-04 19:08:27.558916	\N	b215b08a-24bc-40e2-baf1-c47a8f4e7f5e
188808	4	24344	2013-08-04 19:08:27.593386	2013-08-04 19:08:27.593386	\N	4e9bade5-0783-4afe-835c-83aaeaf0b790
188809	4	24360	2013-08-04 19:08:27.645662	2013-08-04 19:08:27.645662	\N	4a732b5a-e960-4e3d-9f0b-adba2bfafcf9
199860	7	25447	2013-08-04 20:03:49.070484	2013-08-04 20:03:49.070484	\N	e18f4841-2bd0-4877-af88-3c35ab8c5b90
196103	4	24972	2013-08-04 19:44:01.406187	2013-08-04 19:44:01.406187	\N	f89a501d-a8db-4429-9ed3-8597e0328559
199862	9	25458	2013-08-04 20:03:49.641709	2013-08-04 20:03:49.641709	\N	e34ae144-8287-4a1a-92dc-f0c618f5af66
196106	4	24990	2013-08-04 19:44:01.532025	2013-08-04 19:44:01.532025	\N	2d15106e-7f06-44fd-a124-5c7c06b54274
196122	7	24946	2013-08-04 19:44:10.384185	2013-08-04 19:44:10.384185	\N	a4d2f32c-c527-4d52-a95c-dbcee72b5b73
199886	7	25440	2013-08-04 20:03:53.448894	2013-08-04 20:03:53.448894	\N	693a3478-9710-463e-9472-3b6017cc1c68
178909	2	23424	2013-08-04 18:34:14.596569	2013-08-04 18:34:14.596569	\N	36eb603e-38cc-4d2b-83e4-739d8d381872
178910	2	23423	2013-08-04 18:34:14.642235	2013-08-04 18:34:14.642235	\N	6d16ccbe-de55-402c-a96e-6776fd938f28
196128	1	24990	2013-08-04 19:44:10.81721	2013-08-04 19:44:10.81721	\N	66f7941d-a506-42f8-892a-a7d180d7cfe6
185422	9	23950	2013-08-04 18:56:39.944303	2013-08-04 18:56:39.944303	\N	61ce6b30-632e-43c0-94f3-f25e9cdb6829
199891	7	25449	2013-08-04 20:03:54.079914	2013-08-04 20:03:54.079914	\N	636e10b1-a017-4f65-8e4a-91ff883f3b86
188887	1	24327	2013-08-04 19:08:42.851586	2013-08-04 19:08:42.851586	\N	b0df0b29-d2f0-435b-b33a-8e14774baa77
196284	2	24943	2013-08-04 19:44:52.982987	2013-08-04 19:44:52.982987	\N	4b42b843-dc36-477c-bbdb-8353b860cba9
182076	7	23712	2013-08-04 18:44:16.80547	2013-08-04 18:44:16.80547	\N	d7bb4179-02e2-41fd-b1ff-cec4ae8c556d
208091	7	26610	2013-08-04 20:50:31.757563	2013-08-04 20:50:31.757563	\N	acf9c643-61fc-4761-95b8-9617bf6ff41c
182125	2	23668	2013-08-04 18:44:24.45225	2013-08-04 18:44:24.45225	\N	2d7635af-43ec-40ae-ab98-435de8b96632
196289	1	24971	2013-08-04 19:44:53.538638	2013-08-04 19:44:53.538638	\N	c6062bc8-333a-4ada-b443-d899121d718d
182177	1	23697	2013-08-04 18:44:32.905993	2013-08-04 18:44:32.905993	\N	af68afbe-9f69-4d54-988d-5a2233c57911
175670	1	23092	2013-08-04 18:21:50.029777	2013-08-04 18:21:50.029777	\N	7e3773f1-adc2-4e91-8ce6-b5249055aafd
196296	2	24953	2013-08-04 19:44:55.092605	2013-08-04 19:44:55.092605	\N	a0e25953-ed4f-442e-b3d3-e6026a121977
196308	7	24938	2013-08-04 19:45:02.414355	2013-08-04 19:45:02.414355	\N	2c5f2d0c-62c8-4b27-8722-def98e971cd8
185451	2	23929	2013-08-04 18:56:45.129681	2013-08-04 18:56:45.129681	\N	9b1a1bc0-b0f1-42fb-85b3-bbf8547ebca4
196315	18	24877	2013-08-04 19:45:03.419953	2013-08-04 19:45:03.419953	\N	4268e1dc-fdd7-4c61-9e25-75c2da1e286d
199988	2	25449	2013-08-04 20:04:13.347626	2013-08-04 20:04:13.347626	\N	2109b73a-3e92-4c1f-b132-9169d8ba841e
172358	2	22802	2013-08-04 18:11:16.923507	2013-08-04 18:11:16.923507	\N	f9205488-98ff-4294-8acb-343626c000f8
175713	1	23081	2013-08-04 18:22:02.912946	2013-08-04 18:22:02.912946	\N	f3b1dd2b-f1e3-4a84-849b-dace10a02611
172405	2	22876	2013-08-04 18:11:52.254237	2013-08-04 18:11:52.254237	\N	57192934-40ee-4814-91ce-73527d704151
172406	2	22900	2013-08-04 18:11:52.283201	2013-08-04 18:11:52.283201	\N	5665a0d8-34b0-492a-9b26-eed428380efc
175745	2	23109	2013-08-04 18:22:31.729191	2013-08-04 18:22:31.729191	\N	657a7eff-f4e1-4618-8351-b7da2cf25b4a
172409	2	22926	2013-08-04 18:11:52.356749	2013-08-04 18:11:52.356749	\N	60475a09-e66f-4170-a783-402884d9c16c
172410	2	22914	2013-08-04 18:11:52.411561	2013-08-04 18:11:52.411561	\N	93ec019c-7d36-4ad8-981a-4f300b06ee10
172411	2	22927	2013-08-04 18:11:52.459424	2013-08-04 18:11:52.459424	\N	942ed6a4-a67f-4b27-885d-32d11e9dcc28
172412	2	22861	2013-08-04 18:11:52.519551	2013-08-04 18:11:52.519551	\N	88344aaf-4ef7-45ef-b560-83f5f3b54404
172413	2	22929	2013-08-04 18:11:52.577099	2013-08-04 18:11:52.577099	\N	636a68ff-f366-4cea-8020-25d573079b33
172414	2	22928	2013-08-04 18:11:52.627478	2013-08-04 18:11:52.627478	\N	ed002735-79dc-4b11-aad1-4253dcefca2f
172415	2	22937	2013-08-04 18:11:52.686585	2013-08-04 18:11:52.686585	\N	cc6efae5-6b67-4d85-b65e-0628bd214694
172416	2	22941	2013-08-04 18:11:52.739141	2013-08-04 18:11:52.739141	\N	2c0e77fa-6333-4b49-a041-f960fe8c3d5d
172417	13	22876	2013-08-04 18:11:53.077787	2013-08-04 18:11:53.077787	\N	e5a09240-13da-4070-baa5-bf39a9a0d12d
172418	13	22900	2013-08-04 18:11:54.697873	2013-08-04 18:11:54.697873	\N	37d60285-a134-4c17-ae6a-ba8ed4640cf6
172430	2	22878	2013-08-04 18:12:01.563427	2013-08-04 18:12:01.563427	\N	8d52b0df-a94f-4eb8-a2c0-bdc0f02fd7dc
172433	2	22857	2013-08-04 18:12:01.71347	2013-08-04 18:12:01.71347	\N	9f06d275-5885-412d-a84c-85d8684e98ab
172434	2	22872	2013-08-04 18:12:01.772743	2013-08-04 18:12:01.772743	\N	7ec8879a-71e7-4581-a97c-98e4ff65fb44
172436	2	22866	2013-08-04 18:12:01.811126	2013-08-04 18:12:01.811126	\N	dc494f50-f25d-4892-9fed-c84f62a3f291
172437	2	22884	2013-08-04 18:12:01.868125	2013-08-04 18:12:01.868125	\N	f7b0e07a-a4b7-4f9f-889c-29bc95b68e6f
172438	2	22902	2013-08-04 18:12:01.915006	2013-08-04 18:12:01.915006	\N	0126998d-3765-4d1d-b649-5e9d76d96517
172439	2	22952	2013-08-04 18:12:03.077193	2013-08-04 18:12:03.077193	\N	52b99ebb-6ee0-412e-aef0-471f399e0353
172440	2	22962	2013-08-04 18:12:03.160899	2013-08-04 18:12:03.160899	\N	da245d64-ed92-49b3-9e33-1950163a2f88
172441	8	22861	2013-08-04 18:12:03.524091	2013-08-04 18:12:03.524091	\N	5e50127b-ae06-4c9b-bc3a-a48f2925b0c6
172442	4	22861	2013-08-04 18:12:04.204981	2013-08-04 18:12:04.204981	\N	3d783ea4-f93d-4b77-9237-bb1d1cda41f6
172444	4	22876	2013-08-04 18:12:04.379473	2013-08-04 18:12:04.379473	\N	e1eec10e-b97e-47c4-85f7-088739489959
172446	4	22900	2013-08-04 18:12:04.47839	2013-08-04 18:12:04.47839	\N	89a901c9-7b5e-4649-b511-148ca7c2140a
175747	2	23118	2013-08-04 18:22:31.8539	2013-08-04 18:22:31.8539	\N	c28f6571-de8d-401b-adae-5e03ecdb5ebc
188802	1	24323	2013-08-04 19:08:27.227923	2013-08-04 19:08:27.227923	\N	677df94e-83a3-4f14-9103-3e885e30ab49
188810	9	24360	2013-08-04 19:08:27.958162	2013-08-04 19:08:27.958162	\N	1c40f852-13fb-44a2-bb23-8cc163b368ca
182026	9	23711	2013-08-04 18:44:06.04294	2013-08-04 18:44:06.04294	\N	48c457cb-eedb-4596-bae5-8ff85b109d9d
178748	11	23478	2013-08-04 18:33:45.369399	2013-08-04 18:33:45.369399	\N	683b07db-6e4d-41ad-b832-d0969e8785aa
175462	19	22987	2013-08-04 18:21:17.497681	2013-08-04 18:21:17.497681	\N	f0c7b4a8-e43d-4c6d-9256-9ea7d53b01e2
199963	11	25462	2013-08-04 20:04:09.697721	2013-08-04 20:04:09.697721	\N	a353b7c1-2277-4fbe-bc33-379a2b7b7fc9
188861	9	24359	2013-08-04 19:08:33.32555	2013-08-04 19:08:33.32555	\N	b9157092-bfe6-4474-8a11-70014b6d107a
175500	9	23084	2013-08-04 18:21:24.768597	2013-08-04 18:21:24.768597	\N	ddf33477-336b-4423-b8cd-610716d8ee6b
196188	7	24972	2013-08-04 19:44:24.465232	2013-08-04 19:44:24.465232	\N	0e888764-a15b-463f-bc07-14313e893735
175748	2	23115	2013-08-04 18:22:31.905137	2013-08-04 18:22:31.905137	\N	808d55c2-9dc1-4855-b63d-dbfebc2d9f97
175749	2	23124	2013-08-04 18:22:31.987738	2013-08-04 18:22:31.987738	\N	8cf948de-bfa5-437a-bc9d-a5051982401d
172368	2	22797	2013-08-04 18:11:19.106063	2013-08-04 18:11:19.106063	\N	f5f2dd14-a182-4bd1-a5e9-c1e487c18814
175750	2	23128	2013-08-04 18:22:32.062957	2013-08-04 18:22:32.062957	\N	6a643938-4772-4cc7-a3f0-e8788cc3c4f8
175751	2	23164	2013-08-04 18:22:32.146557	2013-08-04 18:22:32.146557	\N	d1ff9ce1-fd9a-45c3-b946-d90c322dcd10
172420	2	22973	2013-08-04 18:11:55.072809	2013-08-04 18:11:55.072809	\N	e8ce3c85-fdae-40c6-ac17-d2b08ace87bc
172424	10	22861	2013-08-04 18:11:58.157704	2013-08-04 18:11:58.157704	\N	61b396ae-5313-44ab-9bfd-e8777e1165f7
172425	8	22962	2013-08-04 18:11:58.245489	2013-08-04 18:11:58.245489	\N	ef6b82f5-9dad-4f46-a494-aabaf33522c7
182069	2	23671	2013-08-04 18:44:15.530369	2013-08-04 18:44:15.530369	\N	1821afdb-e6a7-43ca-9235-4ac2f3724484
175754	2	23182	2013-08-04 18:22:32.291442	2013-08-04 18:22:32.291442	\N	0ad75834-64a4-4b30-8c9f-73ab36c4fe7c
196210	6	24892	2013-08-04 19:44:29.876108	2013-08-04 19:44:29.876108	\N	70be5303-4068-4710-a325-33493640a732
175757	2	23130	2013-08-04 18:22:32.436679	2013-08-04 18:22:32.436679	\N	d8df9b03-ec1d-4aee-99d2-baf0040adc11
175758	2	23136	2013-08-04 18:22:32.521588	2013-08-04 18:22:32.521588	\N	afeda238-0b36-451e-b50d-31ab6213f7f1
175759	2	23154	2013-08-04 18:22:32.589219	2013-08-04 18:22:32.589219	\N	a8a68ebd-9d25-44cc-a759-67caa2a110b3
175760	2	23160	2013-08-04 18:22:32.670307	2013-08-04 18:22:32.670307	\N	4eec4d91-e6d4-4fae-95d0-cc60834c7d6e
175761	2	23214	2013-08-04 18:22:32.758163	2013-08-04 18:22:32.758163	\N	3b14615b-b1b2-4e29-8e97-f0515a390971
175762	2	23189	2013-08-04 18:22:32.830248	2013-08-04 18:22:32.830248	\N	0ab59d0f-7dbf-4f84-8b33-f6e006b21ad0
185600	17	23995	2013-08-04 18:57:41.645434	2013-08-04 18:57:41.645434	\N	9233325d-71d6-439a-87b3-ea56d4e48cd2
175764	2	23113	2013-08-04 18:22:32.934498	2013-08-04 18:22:32.934498	\N	134d899a-3444-439b-94f3-b3e31c41150e
175766	2	23194	2013-08-04 18:22:33.009	2013-08-04 18:22:33.009	\N	3c760215-acf1-4127-8d21-7dc8a8eb350d
172562	19	22900	2013-08-04 18:12:18.731493	2013-08-04 18:12:18.731493	\N	c8246ca4-fd02-456c-9ea6-f0ed18130133
175768	2	23207	2013-08-04 18:22:33.102763	2013-08-04 18:22:33.102763	\N	273e7f7d-d6ca-4bcb-96ce-f53d685e8711
175770	2	23221	2013-08-04 18:22:33.167201	2013-08-04 18:22:33.167201	\N	67b9d227-350a-40b5-bd10-5913cffb3e82
175771	2	23169	2013-08-04 18:22:33.247441	2013-08-04 18:22:33.247441	\N	ce7c43b7-02d7-4432-9d03-51b45bb69eaf
175772	2	23204	2013-08-04 18:22:33.319114	2013-08-04 18:22:33.319114	\N	e6fbf9aa-c75a-47ec-8a7e-22687864c69e
175773	2	23183	2013-08-04 18:22:33.387336	2013-08-04 18:22:33.387336	\N	d801f4f7-3a4c-405c-af77-26e796fcaf46
185601	4	23995	2013-08-04 18:57:42.060449	2013-08-04 18:57:42.060449	\N	e13425bf-6fc8-46c0-8615-800e2fb83cb8
185602	4	24010	2013-08-04 18:57:42.104109	2013-08-04 18:57:42.104109	\N	3e85741a-1613-45a3-b0db-f73080d46872
172647	14	22929	2013-08-04 18:12:26.125944	2013-08-04 18:12:26.125944	\N	aed6f92f-1cef-475c-8c8e-0ca8290a5b1b
172649	14	22927	2013-08-04 18:12:26.19963	2013-08-04 18:12:26.19963	\N	b1fe7e2c-70bc-47f6-a1bf-c70c6a641e89
172651	14	22941	2013-08-04 18:12:26.264886	2013-08-04 18:12:26.264886	\N	eac10efc-e0f7-40eb-9487-973df5ab2ac9
172652	14	22915	2013-08-04 18:12:26.336662	2013-08-04 18:12:26.336662	\N	53e8e7cd-90aa-43b5-ad6a-db53bb7eb639
172655	14	22922	2013-08-04 18:12:26.476484	2013-08-04 18:12:26.476484	\N	56b67a6e-a5e8-4245-93a7-e047dd394d5e
172662	2	22974	2013-08-04 18:12:27.136061	2013-08-04 18:12:27.136061	\N	d3ca78cd-7c9f-426a-9f4f-bfa7e5848294
175776	7	23220	2013-08-04 18:22:33.74917	2013-08-04 18:22:33.74917	\N	2cbc2f73-6f66-4e32-9c9f-fd3f1cde3891
175777	7	23190	2013-08-04 18:22:33.835855	2013-08-04 18:22:33.835855	\N	89ac6d44-bec5-430e-b2ec-a7cd83af27bf
175778	7	23204	2013-08-04 18:22:34.465721	2013-08-04 18:22:34.465721	\N	a9b64cf5-7509-4cfd-b2b2-c810bd148867
175786	2	23152	2013-08-04 18:22:35.954998	2013-08-04 18:22:35.954998	\N	efdc8090-124f-4c49-8acc-7c8aafeb7983
175788	2	23208	2013-08-04 18:22:36.037833	2013-08-04 18:22:36.037833	\N	f1f35ede-a010-409d-9dbb-fb7310c1585c
175795	7	23226	2013-08-04 18:22:38.75923	2013-08-04 18:22:38.75923	\N	87186d4f-8131-4a7f-a548-41ae6d50bf21
175799	2	23226	2013-08-04 18:22:39.633336	2013-08-04 18:22:39.633336	\N	c89a53a8-c342-47cf-804a-732d6ea7ed57
185603	4	24034	2013-08-04 18:57:42.157189	2013-08-04 18:57:42.157189	\N	b09d521e-a1bb-4bf7-a73e-03b30f31d6cb
175809	13	23128	2013-08-04 18:22:41.03061	2013-08-04 18:22:41.03061	\N	ace8303d-b32b-40b9-bf16-da5aca570815
175810	2	23173	2013-08-04 18:22:42.200969	2013-08-04 18:22:42.200969	\N	e16d91ab-cf32-4b86-9a24-723ce6bad96f
172697	9	22955	2013-08-04 18:12:41.859696	2013-08-04 18:12:41.859696	\N	16ff90e3-2a66-49a7-9c2d-b50dcd5f7d07
185616	1	24107	2013-08-04 18:57:42.968086	2013-08-04 18:57:42.968086	\N	975be7f9-366b-47bc-95f2-63c6599b5671
185665	7	24092	2013-08-04 18:57:45.636799	2013-08-04 18:57:45.636799	\N	1642755d-b2a7-435f-9bba-1666ac918cff
175814	19	23214	2013-08-04 18:22:42.503151	2013-08-04 18:22:42.503151	\N	be99b05e-1314-454e-adad-d2a69a5364e9
196314	15	24877	2013-08-04 19:45:03.419863	2013-08-04 19:45:03.419863	\N	4d41d945-8b8c-464c-a6ec-cd5406a7c27c
175818	9	23152	2013-08-04 18:22:43.26194	2013-08-04 18:22:43.26194	\N	a84a5ced-9d1a-4705-ace9-759a4a099a3d
175819	9	23207	2013-08-04 18:22:43.437497	2013-08-04 18:22:43.437497	\N	c8facef2-07c9-4d21-a551-32d9131c0fe7
185708	14	24071	2013-08-04 18:57:49.287229	2013-08-04 18:57:49.287229	\N	e2fa4b09-118e-4012-80d1-ae7321114f76
172716	19	22962	2013-08-04 18:12:44.586258	2013-08-04 18:12:44.586258	\N	57faa041-7493-4a5d-843e-93e6d168a1af
175824	2	23225	2013-08-04 18:22:43.759721	2013-08-04 18:22:43.759721	\N	3a9c3906-b3cb-4a0f-aa66-a65dfa61adeb
175825	8	23128	2013-08-04 18:22:43.846511	2013-08-04 18:22:43.846511	\N	ee4fea8e-a758-4575-a180-9b9332b0367c
175830	4	23082	2013-08-04 18:22:44.076738	2013-08-04 18:22:44.076738	\N	c9a035c3-6990-415a-ad3a-f302a27cc7b8
196476	7	24943	2013-08-04 19:45:52.650972	2013-08-04 19:45:52.650972	\N	739d9204-fbf2-4c86-98d6-54dbb7c8717f
185739	11	24010	2013-08-04 18:57:52.551941	2013-08-04 18:57:52.551941	\N	880c0ddc-d262-40d1-8a5a-b16fa91b77ea
175846	19	23204	2013-08-04 18:22:49.296885	2013-08-04 18:22:49.296885	\N	27525aba-d7c1-437e-bf51-630e087a8640
185804	1	24076	2013-08-04 18:58:07.653174	2013-08-04 18:58:07.653174	\N	a0458138-e976-46d6-8a4b-7cabefec6357
200002	1	25493	2013-08-04 20:04:14.55217	2013-08-04 20:04:14.55217	\N	61f03d55-aba0-4ccb-a87d-9c35d2650f0a
188996	10	24338	2013-08-04 19:08:59.195692	2013-08-04 19:08:59.195692	\N	f4ef5a17-ba91-4a5f-a87e-ad3155c6750d
178981	4	23353	2013-08-04 18:34:27.557151	2013-08-04 18:34:27.557151	\N	a95d515f-9fc6-46be-9df9-fee8a2167726
182164	10	23677	2013-08-04 18:44:32.022519	2013-08-04 18:44:32.022519	\N	390dfbc6-e67b-47a4-9c5f-c096285a9369
175532	2	23057	2013-08-04 18:21:35.495747	2013-08-04 18:21:35.495747	\N	c28c6a94-58b4-4090-8932-ce652576b7ce
172212	3	22735	2013-08-04 18:10:12.306234	2013-08-04 18:10:12.306234	\N	f25358f0-72eb-474f-99b4-726b71d76ccf
182165	10	23632	2013-08-04 18:44:32.168666	2013-08-04 18:44:32.168666	\N	78b44add-b1e9-4eef-a1fb-135c20f0537c
182170	10	23634	2013-08-04 18:44:32.504051	2013-08-04 18:44:32.504051	\N	75ccbdde-1b99-44fc-b9dc-b38efb8fb998
200024	2	25462	2013-08-04 20:04:19.637654	2013-08-04 20:04:19.637654	\N	92f8a4db-5bd4-4886-9edd-5114dbba434d
178780	14	23445	2013-08-04 18:33:52.699986	2013-08-04 18:33:52.699986	\N	82eb100c-e44c-49f5-87a8-f46b9c46843c
178781	14	23404	2013-08-04 18:33:52.749837	2013-08-04 18:33:52.749837	\N	71d0d358-c42d-4d5b-bc15-8b35e929026f
178782	14	23392	2013-08-04 18:33:52.810901	2013-08-04 18:33:52.810901	\N	2d42cd60-7abc-48c8-9be8-4a01bb72320b
178784	14	23464	2013-08-04 18:33:52.896508	2013-08-04 18:33:52.896508	\N	698d2e66-e8dd-4232-8f07-99a6f40f313b
178785	14	23393	2013-08-04 18:33:52.967071	2013-08-04 18:33:52.967071	\N	0e5abc4f-05a5-4230-984f-3cdaed096642
178786	14	23394	2013-08-04 18:33:53.046709	2013-08-04 18:33:53.046709	\N	58c774a7-0bd6-4bf7-b183-4d9a148e6f61
178787	14	23429	2013-08-04 18:33:53.130165	2013-08-04 18:33:53.130165	\N	2dc84be8-e1f2-49d6-aa6d-a70c58e4502e
178788	14	23463	2013-08-04 18:33:53.204373	2013-08-04 18:33:53.204373	\N	11899ebf-0839-4db7-8dc6-7ad5be3f3ada
178789	14	23426	2013-08-04 18:33:53.267575	2013-08-04 18:33:53.267575	\N	642a8259-9d66-4b8a-a7ce-cb1e61f92f3a
185679	8	24086	2013-08-04 18:57:47.488321	2013-08-04 18:57:47.488321	\N	2cb0d861-300f-4e87-925d-f21e625a2bf4
185680	8	24092	2013-08-04 18:57:47.620346	2013-08-04 18:57:47.620346	\N	6002c72a-12f8-495a-86bf-3108e4387ce2
189074	2	24317	2013-08-04 19:09:18.032995	2013-08-04 19:09:18.032995	\N	7e399ea1-1804-4453-ae4e-c74973a78447
172376	14	22804	2013-08-04 18:11:21.910578	2013-08-04 18:11:21.910578	\N	703c015a-b7b3-49fb-8987-243eb4665137
172378	14	22786	2013-08-04 18:11:21.981205	2013-08-04 18:11:21.981205	\N	3fbe88a1-7e1c-4af1-98ea-bdf9ef124073
172379	14	22788	2013-08-04 18:11:22.01472	2013-08-04 18:11:22.01472	\N	542d2f19-9270-4993-b6f7-3cb76fc3cbfd
172380	14	22800	2013-08-04 18:11:22.067377	2013-08-04 18:11:22.067377	\N	d8412d7b-f776-43f3-bd17-040f1b9b19fd
172381	14	22793	2013-08-04 18:11:22.100803	2013-08-04 18:11:22.100803	\N	6dc70824-e973-4a08-9813-e337164347ae
172382	14	22792	2013-08-04 18:11:22.147736	2013-08-04 18:11:22.147736	\N	618cd71f-48b7-48fc-91d3-44cf3f9e6fb0
172383	14	22795	2013-08-04 18:11:22.194901	2013-08-04 18:11:22.194901	\N	7758dd75-e251-4b57-84b0-88e56716b8a5
172384	14	22794	2013-08-04 18:11:22.245845	2013-08-04 18:11:22.245845	\N	259784b5-d1cb-4aba-9276-0f14eaab1e8b
196184	9	24953	2013-08-04 19:44:23.507073	2013-08-04 19:44:23.507073	\N	81842f40-7e26-42a2-93db-35caa314b62a
208154	9	26624	2013-08-04 20:50:50.851172	2013-08-04 20:50:50.851172	\N	8a1919b9-816f-4747-9d41-f6134ec1be1b
185711	11	23995	2013-08-04 18:57:49.318774	2013-08-04 18:57:49.318774	\N	87093e44-e2d4-4cf4-b7b6-44ca62ea473a
185716	9	24072	2013-08-04 18:57:49.619859	2013-08-04 18:57:49.619859	\N	c43f198f-5f38-4467-804b-39e1a1e487fb
204168	19	25759	2013-08-04 20:20:24.318189	2013-08-04 20:20:24.318189	\N	0f141359-e4e6-43f4-ac2c-9e14f01679b7
185748	11	24034	2013-08-04 18:57:54.694849	2013-08-04 18:57:54.694849	\N	95f9d092-9f4a-42c5-932c-1af2dd94dced
185749	2	24089	2013-08-04 18:57:54.932122	2013-08-04 18:57:54.932122	\N	cf2822bb-18cb-4e97-bac0-a17efc95773c
172407	1	22900	2013-08-04 18:11:52.298851	2013-08-04 18:11:52.298851	\N	52544b70-43e0-4d11-8cfa-302a29cd582f
175746	9	23225	2013-08-04 18:22:31.812348	2013-08-04 18:22:31.812348	\N	95cce563-9ac1-4492-b178-aa68ef3c17c9
172435	8	22958	2013-08-04 18:12:01.787177	2013-08-04 18:12:01.787177	\N	a7fd6a73-3b64-49b6-9e14-3ea18b721478
172443	2	22863	2013-08-04 18:12:04.274758	2013-08-04 18:12:04.274758	\N	88902684-698d-4e34-98a6-68ac12da71af
172445	2	22942	2013-08-04 18:12:04.474873	2013-08-04 18:12:04.474873	\N	48e17aaf-9b9d-46bd-9bd0-c2958c382a85
175765	9	23113	2013-08-04 18:22:32.997046	2013-08-04 18:22:32.997046	\N	53065ef7-672d-43d2-a318-3db502b44230
175785	14	23152	2013-08-04 18:22:35.857456	2013-08-04 18:22:35.857456	\N	6e624a0c-e112-4f4b-8665-290d24e9759d
175787	14	23174	2013-08-04 18:22:35.97178	2013-08-04 18:22:35.97178	\N	8c153230-f9a4-47f8-a157-df329da8023d
175790	1	23226	2013-08-04 18:22:36.679252	2013-08-04 18:22:36.679252	\N	5899cf31-712d-426d-b91b-4438b072ceb3
175797	8	23152	2013-08-04 18:22:39.31179	2013-08-04 18:22:39.31179	\N	cd0208f5-51b5-40e2-be16-f6f9663fda52
175798	7	23152	2013-08-04 18:22:39.52171	2013-08-04 18:22:39.52171	\N	4c42ae60-609a-430d-80c2-cfb197ec7533
172478	11	22861	2013-08-04 18:12:12.007124	2013-08-04 18:12:12.007124	\N	2360ff4f-612c-42aa-b7ab-7205db533cfe
175800	7	23194	2013-08-04 18:22:40.083312	2013-08-04 18:22:40.083312	\N	a3943e38-06b8-4a5a-bbb1-ccf841092062
172489	11	22942	2013-08-04 18:12:12.732265	2013-08-04 18:12:12.732265	\N	0d4ddc04-99f7-47e0-8b5f-1828eab5f124
175805	2	23181	2013-08-04 18:22:40.868908	2013-08-04 18:22:40.868908	\N	93708709-5dcf-40a5-8d25-8aee4af87cb5
185851	4	24072	2013-08-04 18:58:14.491422	2013-08-04 18:58:14.491422	\N	b8244838-9a74-4bb2-87bd-56d747e48c0a
175808	2	23178	2013-08-04 18:22:40.955496	2013-08-04 18:22:40.955496	\N	89751057-d715-4102-bc48-3f36280b7d52
175820	7	23128	2013-08-04 18:22:43.490505	2013-08-04 18:22:43.490505	\N	af7c2067-768d-4a4d-9096-d45ccd45c713
185852	4	24096	2013-08-04 18:58:14.532521	2013-08-04 18:58:14.532521	\N	e1391860-0054-4321-92b0-c72121bf78ff
175835	8	23113	2013-08-04 18:22:44.313266	2013-08-04 18:22:44.313266	\N	7a5af05d-f4d9-4100-96fc-3832003f2695
185854	4	24076	2013-08-04 18:58:14.563944	2013-08-04 18:58:14.563944	\N	4bf17fa0-b80c-42e2-97e9-86900db5f91a
175852	9	23220	2013-08-04 18:22:50.904251	2013-08-04 18:22:50.904251	\N	b8948178-cea3-4067-a672-881d871b1d07
175853	9	23193	2013-08-04 18:22:51.053556	2013-08-04 18:22:51.053556	\N	960ab41c-e454-4311-9ff4-1cf161f60e3a
172519	1	22876	2013-08-04 18:12:15.344674	2013-08-04 18:12:15.344674	\N	23d05ba8-266d-4218-9ace-6a6f69a053cf
185856	4	24086	2013-08-04 18:58:14.594236	2013-08-04 18:58:14.594236	\N	07c0a7e3-5432-4388-b0a1-6171f7a0f371
172524	11	22876	2013-08-04 18:12:15.663802	2013-08-04 18:12:15.663802	\N	8f8f336a-0411-4896-96c6-6390cab91289
185860	4	24090	2013-08-04 18:58:14.840586	2013-08-04 18:58:14.840586	\N	8147bb15-3a20-4493-a0d6-24e7f07c42ee
185861	4	24092	2013-08-04 18:58:14.885466	2013-08-04 18:58:14.885466	\N	1e0f64a6-b806-4c35-a84a-f58cda54d54d
175864	7	23210	2013-08-04 18:22:54.007805	2013-08-04 18:22:54.007805	\N	3317a427-2ea1-453d-9fce-36abf2ed372e
175868	11	23190	2013-08-04 18:22:55.140261	2013-08-04 18:22:55.140261	\N	a24343e3-e2d2-4766-afcd-365ed2b8f1e4
200065	9	25381	2013-08-04 20:04:23.0476	2013-08-04 20:04:23.0476	\N	efde8a3e-e33a-4a4e-846c-65596f792639
175879	9	23221	2013-08-04 18:22:57.269457	2013-08-04 18:22:57.269457	\N	d098854a-4893-40b0-a3b2-3019421389dc
175880	11	23194	2013-08-04 18:22:57.369794	2013-08-04 18:22:57.369794	\N	41397646-e763-48c5-b076-99f1f7ed161b
185898	9	24086	2013-08-04 18:58:30.800275	2013-08-04 18:58:30.800275	\N	47f7f828-c844-4bc4-88ee-27a49b300f74
185920	1	24108	2013-08-04 18:58:33.842643	2013-08-04 18:58:33.842643	\N	c42c8a45-663f-400a-a9bd-007610598adc
175894	11	23208	2013-08-04 18:23:01.531176	2013-08-04 18:23:01.531176	\N	b71fe9d6-ae52-49d3-8b82-be6b502eebe5
185930	14	24103	2013-08-04 18:58:38.017141	2013-08-04 18:58:38.017141	\N	8f4997c0-3e20-4e77-b784-18e15beb098e
175529	1	23068	2013-08-04 18:21:32.307271	2013-08-04 18:21:32.307271	\N	351135c5-aaaa-485e-a633-bad6e5f96c7a
199960	17	25396	2013-08-04 20:04:09.143279	2013-08-04 20:04:09.143279	\N	a5d54c6b-e6a4-43a8-a0b3-464a7f86b5e4
182216	10	23724	2013-08-04 18:44:42.886708	2013-08-04 18:44:42.886708	\N	d3263277-d9eb-4e38-b288-3872721e8856
204068	2	25812	2013-08-04 20:19:48.66803	2013-08-04 20:19:48.66803	\N	38749848-40ae-482f-be31-6e0e7cb6e926
172419	7	22900	2013-08-04 18:11:54.865724	2013-08-04 18:11:54.865724	\N	2ca6e0d3-0d2f-497b-8b91-48de34d44df2
172427	7	22876	2013-08-04 18:11:59.448105	2013-08-04 18:11:59.448105	\N	b72dd612-e9c1-49d4-be4b-d7f779b25250
169203	14	22551	2013-08-04 17:59:34.076967	2013-08-04 17:59:34.076967	\N	f916d708-8663-4cd4-92df-00399a1d76ec
172428	2	22955	2013-08-04 18:12:00.428594	2013-08-04 18:12:00.428594	\N	4323b8be-39b2-4113-a38b-2cd6e2723362
172447	14	22900	2013-08-04 18:12:04.927549	2013-08-04 18:12:04.927549	\N	5411f287-10cc-4d4e-9d61-68b95e442f47
172449	8	22876	2013-08-04 18:12:05.746412	2013-08-04 18:12:05.746412	\N	e2dde4e0-08af-4859-a309-4204dc37e9bc
172460	7	22952	2013-08-04 18:12:09.971689	2013-08-04 18:12:09.971689	\N	b4f154ee-980b-4c88-b174-8c488bb991a2
172461	11	22938	2013-08-04 18:12:10.673352	2013-08-04 18:12:10.673352	\N	23f3ed31-f9a2-4159-a4a1-f11e0209e3a3
189025	1	24328	2013-08-04 19:09:09.838706	2013-08-04 19:09:09.838706	\N	70c1526e-3ac2-43cd-b970-793f975f4d98
178953	19	23404	2013-08-04 18:34:22.818172	2013-08-04 18:34:22.818172	\N	1e5aa863-f41b-4df2-a6bf-b8c0854aa4eb
172468	2	22966	2013-08-04 18:12:11.118656	2013-08-04 18:12:11.118656	\N	637e9151-9fed-4538-aa55-d5ef39e57d9f
178960	19	23365	2013-08-04 18:34:24.983745	2013-08-04 18:34:24.983745	\N	b0e6a863-7ef9-4ed4-98fd-89e4f253a2f9
178964	19	23353	2013-08-04 18:34:25.297549	2013-08-04 18:34:25.297549	\N	e0a542a8-04e1-40ea-8018-1b1bd4795cfc
208344	7	26710	2013-08-04 20:52:24.466654	2013-08-04 20:52:24.466654	\N	8c922522-c8bb-487e-8e39-99d9ee3af7fd
185610	7	24010	2013-08-04 18:57:42.798305	2013-08-04 18:57:42.798305	\N	f770d234-bc87-41f3-a333-60435a9196d5
185625	13	23995	2013-08-04 18:57:43.157665	2013-08-04 18:57:43.157665	\N	17bcfb27-6cdd-4b8b-ae14-a1a5478947f0
185627	7	24076	2013-08-04 18:57:43.219231	2013-08-04 18:57:43.219231	\N	7a95ee66-bd54-4035-b6e4-1d411cb49659
189036	2	24301	2013-08-04 19:09:11.286854	2013-08-04 19:09:11.286854	\N	090e61ee-aaed-4308-b865-a1e8793d2e2c
208354	14	26694	2013-08-04 20:52:24.782154	2013-08-04 20:52:24.782154	\N	d0aeee7f-65c3-47e0-9ab2-363dabdebbdd
208403	9	26641	2013-08-04 20:52:40.603322	2013-08-04 20:52:40.603322	\N	03a891a3-b6ba-496a-9446-f0daceeee1e9
208405	1	26682	2013-08-04 20:52:40.752088	2013-08-04 20:52:40.752088	\N	f9e617e0-43e0-426a-8f03-36c1caa3a2e6
185644	7	23995	2013-08-04 18:57:43.762344	2013-08-04 18:57:43.762344	\N	3e50d35e-f3af-457b-8a36-2ea48e214c18
196304	2	24944	2013-08-04 19:45:01.367686	2013-08-04 19:45:01.367686	\N	81df4e81-b722-4a47-bbe6-c8ec76709641
172547	11	22966	2013-08-04 18:12:17.730205	2013-08-04 18:12:17.730205	\N	70f9910a-53e9-440a-9a52-04523d6f44e5
185647	7	24072	2013-08-04 18:57:44.035247	2013-08-04 18:57:44.035247	\N	104db3af-0799-4fdf-8a8a-a30431115b1a
185650	7	24086	2013-08-04 18:57:44.326029	2013-08-04 18:57:44.326029	\N	01c30701-5843-4212-bb80-94e3e523704a
185653	7	24103	2013-08-04 18:57:44.581782	2013-08-04 18:57:44.581782	\N	d5dc8f77-7ee4-4639-a0b2-78796ded2727
208438	7	26694	2013-08-04 20:52:57.015543	2013-08-04 20:52:57.015543	\N	6546e68a-ec55-41ea-acc3-8a988d11a5db
185683	8	24096	2013-08-04 18:57:47.72989	2013-08-04 18:57:47.72989	\N	49031bf4-ed3f-49b0-bcdb-9d1a7d882332
208448	2	26700	2013-08-04 20:53:01.504893	2013-08-04 20:53:01.504893	\N	570c28eb-5d30-4031-b56a-c3917c7b0c0d
172625	16	22955	2013-08-04 18:12:24.406569	2013-08-04 18:12:24.406569	\N	be4fbcd0-4705-4e4d-830a-8cb6805c66e1
208452	7	26701	2013-08-04 20:53:01.98234	2013-08-04 20:53:01.98234	\N	cd686bb1-4195-4843-968c-43c3186c53ef
182332	19	23656	2013-08-04 18:44:59.891785	2013-08-04 18:44:59.891785	\N	c1548d91-052e-4f48-9499-ebc0508d7247
185698	14	24075	2013-08-04 18:57:48.893865	2013-08-04 18:57:48.893865	\N	64053d8d-049d-4079-9ea8-b4c97b37468e
208455	7	26703	2013-08-04 20:53:02.202169	2013-08-04 20:53:02.202169	\N	232b02c4-6de3-499c-9f97-0cc3f0a9eff4
208492	9	26742	2013-08-04 20:53:22.619938	2013-08-04 20:53:22.619938	\N	5ff159b3-20a1-495c-9a5c-d1d153ef4262
208493	1	26637	2013-08-04 20:53:22.928138	2013-08-04 20:53:22.928138	\N	8e0b70ac-f6b9-4231-8448-5c3d05ecf3dc
185740	2	24108	2013-08-04 18:57:52.699724	2013-08-04 18:57:52.699724	\N	31ffb1db-fa04-4238-b323-2f23f98f99c8
196348	9	24986	2013-08-04 19:45:09.177317	2013-08-04 19:45:09.177317	\N	27e86a3f-cf1b-49e8-9d7a-e2740b2fcc91
200150	14	25441	2013-08-04 20:04:38.432427	2013-08-04 20:04:38.432427	\N	b17205da-9c93-4084-9053-4c994f38ebba
200151	14	25434	2013-08-04 20:04:38.464784	2013-08-04 20:04:38.464784	\N	02ddddf6-ac64-4117-9721-8fa38faa9efd
189202	2	24300	2013-08-04 19:09:41.743961	2013-08-04 19:09:41.743961	\N	f5655b35-807c-4eb2-aa5c-797096ad7b30
200152	14	25449	2013-08-04 20:04:38.492706	2013-08-04 20:04:38.492706	\N	4b5ddf96-5d89-41da-a69e-d18f08048378
175693	6	23084	2013-08-04 18:21:59.133312	2013-08-04 18:21:59.133312	\N	22ea126e-660a-4f9b-84e2-5f01f67439d9
185775	8	24010	2013-08-04 18:58:01.393549	2013-08-04 18:58:01.393549	\N	aaedaec1-3579-4a87-9dcb-379edc09e096
185777	9	24075	2013-08-04 18:58:02.275172	2013-08-04 18:58:02.275172	\N	50a51dbf-403d-4612-b2e6-52865bd88570
179240	4	23466	2013-08-04 18:35:23.190787	2013-08-04 18:35:23.190787	\N	1ab7e383-b997-4943-b67d-2e7743bd07b0
179241	4	23446	2013-08-04 18:35:23.299759	2013-08-04 18:35:23.299759	\N	a1045d66-3fa5-47f9-b410-0bfee155bf7c
179242	4	23456	2013-08-04 18:35:23.346061	2013-08-04 18:35:23.346061	\N	af4a9eb5-3cad-4d81-a583-88d4fdf5fe5b
179243	4	23460	2013-08-04 18:35:23.399103	2013-08-04 18:35:23.399103	\N	fb853d2d-9849-4f7a-9f21-f510ab6d6cc5
179244	4	23462	2013-08-04 18:35:23.455835	2013-08-04 18:35:23.455835	\N	b5fc4148-b17f-482f-b675-932b0642e96d
179245	4	23478	2013-08-04 18:35:23.513767	2013-08-04 18:35:23.513767	\N	8e3dd5de-2475-4183-83ae-6b015906db11
179246	4	23472	2013-08-04 18:35:23.566521	2013-08-04 18:35:23.566521	\N	5b9b79a8-5c7c-476e-9faa-e82155aa71e2
200185	13	25381	2013-08-04 20:04:42.612455	2013-08-04 20:04:42.612455	\N	4b4924b7-b464-4365-adc1-4b1fb344c2d1
204138	2	25819	2013-08-04 20:20:13.190501	2013-08-04 20:20:13.190501	\N	7c508c7a-cfe9-476c-8933-dd6d1e43c5fc
179300	16	23445	2013-08-04 18:35:30.900383	2013-08-04 18:35:30.900383	\N	9c1c5281-2a72-460e-a097-61a97e0b6a1e
204139	2	25817	2013-08-04 20:20:13.223546	2013-08-04 20:20:13.223546	\N	48d0edab-410c-447f-923e-e144e8a5ca75
175843	1	23189	2013-08-04 18:22:48.754525	2013-08-04 18:22:48.754525	\N	2773668d-ff66-4501-894c-5af4b2bd17e3
175848	9	23226	2013-08-04 18:22:49.750236	2013-08-04 18:22:49.750236	\N	e307d551-ac5b-4ab2-a418-2af08072fd3a
190107	4	24373	2013-08-04 19:12:42.088323	2013-08-04 19:12:42.088323	\N	df491303-f292-4088-9138-466882297ae6
175856	2	23190	2013-08-04 18:22:52.067308	2013-08-04 18:22:52.067308	\N	c8e2561c-16e7-4b81-9acc-b220a5a6f70a
190108	4	24388	2013-08-04 19:12:42.137729	2013-08-04 19:12:42.137729	\N	28b54e95-fa0f-4e8c-9b38-b92b43eb64bd
190109	4	24412	2013-08-04 19:12:42.167639	2013-08-04 19:12:42.167639	\N	4588ea4f-a16a-4611-8e93-99e12513c7db
175859	1	23190	2013-08-04 18:22:52.559567	2013-08-04 18:22:52.559567	\N	0e3929f0-bdb9-4965-810b-c9442c64d73d
190110	18	24373	2013-08-04 19:12:42.441286	2013-08-04 19:12:42.441286	\N	87aa8fae-ece1-4446-9fa2-285fb78c734b
172451	7	22938	2013-08-04 18:12:07.737007	2013-08-04 18:12:07.737007	\N	0731ed27-cff2-45c6-a4a6-f98ef5a7a39e
172452	7	22861	2013-08-04 18:12:07.834802	2013-08-04 18:12:07.834802	\N	567644dd-72a2-47b1-a473-f964d457f4f2
172454	7	22968	2013-08-04 18:12:07.913369	2013-08-04 18:12:07.913369	\N	8382b78b-32c0-4f77-9d0c-561f65253c1d
189048	2	24303	2013-08-04 19:09:13.576475	2013-08-04 19:09:13.576475	\N	3a36e505-83d4-463d-9dd2-0afcd1b2dfaa
196268	18	24892	2013-08-04 19:44:48.367985	2013-08-04 19:44:48.367985	\N	2aeb0086-0b8f-4738-9cad-d43c8be2a678
185599	7	24096	2013-08-04 18:57:41.311481	2013-08-04 18:57:41.311481	\N	c790fc6f-5eaa-4ae8-b87e-fc3f91c210c3
185604	2	23995	2013-08-04 18:57:42.49566	2013-08-04 18:57:42.49566	\N	22219957-afb6-419e-af1f-e19d1a4f4813
185605	2	24003	2013-08-04 18:57:42.56543	2013-08-04 18:57:42.56543	\N	b3edfd95-d8d9-4435-ada0-863b5cdb1654
185606	2	24000	2013-08-04 18:57:42.603895	2013-08-04 18:57:42.603895	\N	9db5785a-9b4e-4f54-81ad-034076a8f264
179023	19	23466	2013-08-04 18:34:40.270643	2013-08-04 18:34:40.270643	\N	23f81ba9-b508-4dc8-a2e1-0194da6590fb
172505	1	22861	2013-08-04 18:12:14.112479	2013-08-04 18:12:14.112479	\N	0e6a8250-491d-4089-bf6f-87164bb364eb
182261	19	23617	2013-08-04 18:44:47.14364	2013-08-04 18:44:47.14364	\N	d8a6b944-7d46-4803-aacd-17ae15889792
185607	2	23991	2013-08-04 18:57:42.671119	2013-08-04 18:57:42.671119	\N	c0dcfe7a-a5d1-4657-9a21-8197eaa6e641
185608	2	23997	2013-08-04 18:57:42.720034	2013-08-04 18:57:42.720034	\N	ea1d8e84-c727-4b06-9c6a-9a29e7c79694
185609	2	24010	2013-08-04 18:57:42.77567	2013-08-04 18:57:42.77567	\N	8a1e6e6d-0987-4b2f-8e7d-5831353fe8c7
175727	7	23082	2013-08-04 18:22:09.08345	2013-08-04 18:22:09.08345	\N	1ef47505-a806-44cf-b629-a5f319fa229a
185614	2	24048	2013-08-04 18:57:42.925204	2013-08-04 18:57:42.925204	\N	f0e20d68-4c08-4dd0-80b7-f66a88ce6c07
189055	14	24316	2013-08-04 19:09:14.151633	2013-08-04 19:09:14.151633	\N	1b9ed31e-66c0-4dfc-857a-fb5c63a56aab
185618	2	24012	2013-08-04 18:57:42.983614	2013-08-04 18:57:42.983614	\N	14f88240-9419-49f9-bcb9-d87169403d50
185619	2	24018	2013-08-04 18:57:43.040875	2013-08-04 18:57:43.040875	\N	14548382-ee0f-4bea-8d3c-afe8b3831539
172566	9	22861	2013-08-04 18:12:19.105202	2013-08-04 18:12:19.105202	\N	909870a2-4b3c-4b3b-ae74-b3945177a0f6
189056	14	24306	2013-08-04 19:09:14.197844	2013-08-04 19:09:14.197844	\N	2bae5e8d-5b22-4458-a11c-93a59905179e
175767	1	23225	2013-08-04 18:22:33.012019	2013-08-04 18:22:33.012019	\N	83038ed7-5026-4936-8477-0c433a4d4802
175769	1	23218	2013-08-04 18:22:33.111206	2013-08-04 18:22:33.111206	\N	6e64097d-75ba-48e5-a581-3a7262457ae9
175779	2	23180	2013-08-04 18:22:34.74059	2013-08-04 18:22:34.74059	\N	eef69404-9b22-4a1e-ae92-ecf8b22c8cc9
175780	4	23113	2013-08-04 18:22:34.940482	2013-08-04 18:22:34.940482	\N	da4fc633-c493-4e20-9b52-f189b766ad85
175781	4	23128	2013-08-04 18:22:35.004926	2013-08-04 18:22:35.004926	\N	2f756e80-3759-41ed-a842-6e366843a3a9
175782	4	23152	2013-08-04 18:22:35.092656	2013-08-04 18:22:35.092656	\N	76aeb31d-4205-4d2b-81ff-49d36bef2339
172601	19	22861	2013-08-04 18:12:22.616562	2013-08-04 18:12:22.616562	\N	6e59cdb3-0a53-47a2-b4f5-09c8b9cd9be3
175783	8	23214	2013-08-04 18:22:35.60238	2013-08-04 18:22:35.60238	\N	7d655d12-ef0b-4a3d-ac04-345bc0fa3fed
175784	8	23204	2013-08-04 18:22:35.84515	2013-08-04 18:22:35.84515	\N	88d4c8e7-8cda-4064-8938-83071c7e9251
185622	2	24034	2013-08-04 18:57:43.106688	2013-08-04 18:57:43.106688	\N	20c29a59-09bb-486f-8791-1d2a6e1b7092
175791	7	23208	2013-08-04 18:22:36.690646	2013-08-04 18:22:36.690646	\N	bb948d23-51f1-41ac-971e-0aa1dd0141d8
175792	7	23214	2013-08-04 18:22:36.810331	2013-08-04 18:22:36.810331	\N	f8a4c1cb-a8ea-40ba-8cfd-7bf623d94df0
175793	13	23113	2013-08-04 18:22:37.692528	2013-08-04 18:22:37.692528	\N	a66e61ba-b360-46f4-a2ee-e70caaeff601
175794	2	23218	2013-08-04 18:22:38.431906	2013-08-04 18:22:38.431906	\N	ba44d5a5-5ca4-47b5-bb67-9cf996885d28
175796	8	23210	2013-08-04 18:22:38.808166	2013-08-04 18:22:38.808166	\N	180c7e4a-ebc4-4228-a841-2cc50d0eab86
175815	7	23113	2013-08-04 18:22:42.611021	2013-08-04 18:22:42.611021	\N	c58f1a2b-d2e6-45d4-a1e1-075b0288e4ae
175816	13	23152	2013-08-04 18:22:42.966624	2013-08-04 18:22:42.966624	\N	acf8ed4e-7850-4abf-8a2b-f3748db5cdbe
185624	2	24054	2013-08-04 18:57:43.141083	2013-08-04 18:57:43.141083	\N	210ea28d-3031-42c5-8337-277242a9c94c
172672	9	22900	2013-08-04 18:12:32.589574	2013-08-04 18:12:32.589574	\N	4ce8a39b-02fe-47aa-8070-3134b41607b2
185626	2	24071	2013-08-04 18:57:43.194428	2013-08-04 18:57:43.194428	\N	52751dc2-f7f6-4a83-8a9b-faa75bd90cac
175874	11	23113	2013-08-04 18:22:56.544805	2013-08-04 18:22:56.544805	\N	6df2484b-ffa6-4d89-a177-96f6f488ab00
185628	2	24075	2013-08-04 18:57:43.229156	2013-08-04 18:57:43.229156	\N	2bfe1c06-7650-4b76-8f69-f71554be924d
185629	2	24103	2013-08-04 18:57:43.277472	2013-08-04 18:57:43.277472	\N	e75ea25f-0b73-4c25-91db-eded5314e710
204161	14	25759	2013-08-04 20:20:23.503115	2013-08-04 20:20:23.503115	\N	db2ae8e5-abc4-4752-9c38-29e5bebb2e16
189058	14	24315	2013-08-04 19:09:14.266929	2013-08-04 19:09:14.266929	\N	6857b8e4-65cb-4577-994f-17e4306291f0
189059	14	24304	2013-08-04 19:09:14.3097	2013-08-04 19:09:14.3097	\N	b4bfcc21-c4a9-41e5-8f92-5a35d1f97555
172707	2	22916	2013-08-04 18:12:43.07867	2013-08-04 18:12:43.07867	\N	a184ae9e-9cf1-415e-90a4-7041f39dfa69
172709	2	22921	2013-08-04 18:12:43.125812	2013-08-04 18:12:43.125812	\N	3247721d-f51b-4afc-9a96-2debf9ec6ebf
196275	2	24942	2013-08-04 19:44:50.855283	2013-08-04 19:44:50.855283	\N	497d2c1b-67a4-4d6a-b1bf-669850e66d4a
175891	11	23128	2013-08-04 18:23:00.455586	2013-08-04 18:23:00.455586	\N	d714085e-1b9d-4805-8439-683c865ff10a
172719	9	22941	2013-08-04 18:12:46.027657	2013-08-04 18:12:46.027657	\N	0a9488f8-f409-4012-b27e-8c3cf93d4d22
185639	2	24060	2013-08-04 18:57:43.547973	2013-08-04 18:57:43.547973	\N	f53d3db2-0b57-4f7b-878d-38acc8949d72
185641	2	24055	2013-08-04 18:57:43.591422	2013-08-04 18:57:43.591422	\N	ac5a4ed4-8ca7-4fde-ba97-2cd3ebdba54f
172725	17	22861	2013-08-04 18:12:49.195452	2013-08-04 18:12:49.195452	\N	cd67ace5-5b9f-4703-b9f8-5aebabc21f2e
200041	7	25462	2013-08-04 20:04:20.843428	2013-08-04 20:04:20.843428	\N	8c913978-2b85-4e7a-af5e-66274cc83711
182535	19	23708	2013-08-04 18:45:40.950484	2013-08-04 18:45:40.950484	\N	6f7f832c-a0e2-4715-9638-351105836d05
185721	11	24076	2013-08-04 18:57:49.877138	2013-08-04 18:57:49.877138	\N	aaa0a6ba-262b-4c25-bd1c-e70043ea9095
196357	1	24954	2013-08-04 19:45:12.167431	2013-08-04 19:45:12.167431	\N	a5cf1070-9380-4c92-b21e-75b00e9ac7ca
175903	11	23218	2013-08-04 18:23:03.08858	2013-08-04 18:23:03.08858	\N	a57e3e9d-f0d7-4cf0-a096-c14cc6e4263f
185728	2	24086	2013-08-04 18:57:50.485559	2013-08-04 18:57:50.485559	\N	3376551b-2f7a-469c-98c8-242732980253
185754	2	24076	2013-08-04 18:57:57.122398	2013-08-04 18:57:57.122398	\N	811e3349-7d14-4025-ba3a-a6db3b4b6c8b
175906	11	23152	2013-08-04 18:23:03.447656	2013-08-04 18:23:03.447656	\N	6428a28b-a89a-4687-ac6a-7842be17c485
185761	1	24071	2013-08-04 18:57:58.475244	2013-08-04 18:57:58.475244	\N	aa5caf06-6164-4289-954e-a61edc168945
204221	9	25853	2013-08-04 20:20:34.967492	2013-08-04 20:20:34.967492	\N	a877dbe9-2d5c-4b66-b255-f7326b059941
196371	18	24766	2013-08-04 19:45:18.343616	2013-08-04 19:45:18.343616	\N	f0c2b8af-e7f3-4565-8f5d-fbd9eab5b64b
175912	11	23226	2013-08-04 18:23:04.384519	2013-08-04 18:23:04.384519	\N	e8c4b768-cce7-4947-a68b-04f0fed42fab
196372	19	24877	2013-08-04 19:45:19.018808	2013-08-04 19:45:19.018808	\N	c8bba2a3-85bb-4f35-9b91-11f3739f8645
182641	3	23617	2013-08-04 18:45:59.270253	2013-08-04 18:45:59.270253	\N	467dc497-ede1-4a63-abe5-3364033735a1
175915	1	23193	2013-08-04 18:23:04.656165	2013-08-04 18:23:04.656165	\N	18fdf63e-4c2f-4be7-84b1-464bd76305ef
185767	15	24034	2013-08-04 18:57:59.243077	2013-08-04 18:57:59.243077	\N	3dbc8ea3-0237-4d7a-9cc1-70bcf8abd4a4
185769	14	23995	2013-08-04 18:57:59.803948	2013-08-04 18:57:59.803948	\N	32e59848-c7ae-4db4-8e03-bdd8f4ddda6c
185770	14	24052	2013-08-04 18:57:59.846909	2013-08-04 18:57:59.846909	\N	81a858b8-3cf5-49a3-aa8d-651e481ed053
185778	9	24034	2013-08-04 18:58:02.443434	2013-08-04 18:58:02.443434	\N	f902f313-f948-40b9-8b96-bafc248847bf
185781	8	23995	2013-08-04 18:58:03.080036	2013-08-04 18:58:03.080036	\N	846c814d-a67c-4b57-9688-f1bafa9b52d8
175927	6	23210	2013-08-04 18:23:11.950368	2013-08-04 18:23:11.950368	\N	d0ab3212-223d-4ec4-b407-fbaa012a136d
204324	2	25835	2013-08-04 20:21:07.723089	2013-08-04 20:21:07.723089	\N	6412317c-5d62-40ce-9c3f-93763735cc30
185786	7	24108	2013-08-04 18:58:05.503918	2013-08-04 18:58:05.503918	\N	0dd99839-3ee2-48f9-b989-d28e502d6963
175932	2	23172	2013-08-04 18:23:13.377046	2013-08-04 18:23:13.377046	\N	2b895d72-7c02-4076-abc1-f446f7aa3a1f
175934	14	23189	2013-08-04 18:23:13.85899	2013-08-04 18:23:13.85899	\N	290fb284-f732-4e22-8c7e-cf7f0dd790d6
175935	14	23221	2013-08-04 18:23:13.949627	2013-08-04 18:23:13.949627	\N	01b02ee8-f17f-46a1-949e-4ee127610f43
175936	1	23194	2013-08-04 18:23:13.952837	2013-08-04 18:23:13.952837	\N	664e1cb5-fd35-464d-a2ae-22dae682415a
175937	14	23128	2013-08-04 18:23:14.552414	2013-08-04 18:23:14.552414	\N	8a0e9155-0959-48b3-ae05-5f2d09907452
185662	1	24072	2013-08-04 18:57:45.46306	2013-08-04 18:57:45.46306	\N	7ba6873b-f06a-41b0-850a-c961bcee4243
185668	2	24042	2013-08-04 18:57:45.884423	2013-08-04 18:57:45.884423	\N	0e3bf075-2756-4bc1-aba9-ccd84dfe0b1f
185670	2	24096	2013-08-04 18:57:45.957794	2013-08-04 18:57:45.957794	\N	a71b34ec-82b9-42ce-84fb-f45dcbdcd521
185673	2	24072	2013-08-04 18:57:46.062322	2013-08-04 18:57:46.062322	\N	cc8b0500-ef5f-4ba3-af00-5a710a14d933
185675	2	24063	2013-08-04 18:57:46.137924	2013-08-04 18:57:46.137924	\N	c3539adf-1b29-4ad3-ac0e-1245993aeae7
175975	2	23193	2013-08-04 18:23:24.692539	2013-08-04 18:23:24.692539	\N	658e2e58-7d3f-4a5d-b04f-53b9895ecd1b
200114	14	25420	2013-08-04 20:04:32.789973	2013-08-04 20:04:32.789973	\N	8879fdae-c9f7-4f0f-912f-e924b33c8c7c
185700	17	24010	2013-08-04 18:57:48.930518	2013-08-04 18:57:48.930518	\N	4f7b9a71-047f-4ae9-9635-6f33e534aeaa
185729	8	24034	2013-08-04 18:57:50.683189	2013-08-04 18:57:50.683189	\N	470f7ad3-ab96-4afb-a27f-9512b6f1a2fa
176015	17	23152	2013-08-04 18:23:37.739465	2013-08-04 18:23:37.739465	\N	648fe01a-9bca-4d39-a730-efe6772b51e5
185730	9	24096	2013-08-04 18:57:50.825899	2013-08-04 18:57:50.825899	\N	27e74a6b-97ae-442e-a715-5d306b1f8b5e
176017	14	23140	2013-08-04 18:23:39.738374	2013-08-04 18:23:39.738374	\N	6d39e092-9b4a-43d8-b521-194c62851b94
176018	14	23212	2013-08-04 18:23:39.777939	2013-08-04 18:23:39.777939	\N	1306b9be-a9ff-48f5-a526-ddd5d3349185
176019	14	23141	2013-08-04 18:23:39.802672	2013-08-04 18:23:39.802672	\N	14309898-728d-448e-bb58-31310b776042
176020	14	23142	2013-08-04 18:23:39.827627	2013-08-04 18:23:39.827627	\N	dcb6deb6-2e59-4308-9ad3-4e75da932f28
176021	14	23177	2013-08-04 18:23:39.852181	2013-08-04 18:23:39.852181	\N	acff202d-7bdc-4440-8dda-880450345de5
176022	14	23211	2013-08-04 18:23:39.876855	2013-08-04 18:23:39.876855	\N	f8a487a0-8b1d-47a2-849f-74cb3c341b32
176091	4	23190	2013-08-04 18:23:58.147062	2013-08-04 18:23:58.147062	\N	0046a8f4-0924-4db7-bdb9-84e044c9e0b7
176092	4	23214	2013-08-04 18:23:58.206975	2013-08-04 18:23:58.206975	\N	5fa173cf-a839-4344-b807-e04a9eeaba73
176093	4	23194	2013-08-04 18:23:58.256711	2013-08-04 18:23:58.256711	\N	85bcc02e-4bb4-45a1-907b-2c05c7019316
176095	4	23204	2013-08-04 18:23:58.298532	2013-08-04 18:23:58.298532	\N	b3c4bc60-2b53-4931-90d2-c2d93bd274f2
176096	4	23208	2013-08-04 18:23:58.351683	2013-08-04 18:23:58.351683	\N	d9498f77-d7c0-490d-a8d4-13c38c4f6ee9
176097	4	23210	2013-08-04 18:23:58.405199	2013-08-04 18:23:58.405199	\N	e8ac3ce1-9116-4862-89ec-28f77f99f6a2
176098	4	23226	2013-08-04 18:23:58.477398	2013-08-04 18:23:58.477398	\N	2c0d311e-c34e-4790-8a4d-f7cc03720ee9
176100	4	23220	2013-08-04 18:23:58.506576	2013-08-04 18:23:58.506576	\N	1eefbb39-9515-454e-a2f9-a57bf8edc411
185736	13	24010	2013-08-04 18:57:51.76671	2013-08-04 18:57:51.76671	\N	3efa2227-77cb-4f8a-b8cd-7c41cd4445bc
185737	9	23995	2013-08-04 18:57:52.029493	2013-08-04 18:57:52.029493	\N	0da6d2b4-9f22-4251-9c5c-503a3e1cf0b2
185738	17	24034	2013-08-04 18:57:52.314661	2013-08-04 18:57:52.314661	\N	72268895-4094-4148-9125-5e0351d5865f
196412	7	24954	2013-08-04 19:45:33.040778	2013-08-04 19:45:33.040778	\N	c9a0f2fd-d811-486b-9b29-088212fd2060
185744	13	24034	2013-08-04 18:57:53.473779	2013-08-04 18:57:53.473779	\N	503f8f8f-3f1a-4a3e-a162-1114455622ad
204243	19	25774	2013-08-04 20:20:43.234799	2013-08-04 20:20:43.234799	\N	c0ae24d2-1770-467e-adc0-5c96cb76807f
182361	19	23632	2013-08-04 18:45:08.539336	2013-08-04 18:45:08.539336	\N	66ba60bf-8e69-4e52-b42e-299ef349f98f
176160	6	23214	2013-08-04 18:24:20.124771	2013-08-04 18:24:20.124771	\N	07f7fec2-e36e-4b6d-9750-cf0b26747fe6
189216	12	24286	2013-08-04 19:09:42.996961	2013-08-04 19:09:42.996961	\N	3beec49f-ca6a-4fdf-a815-55a3759b5b24
182410	19	23718	2013-08-04 18:45:19.939285	2013-08-04 18:45:19.939285	\N	39bc89b9-8179-4649-8232-853c6bf48a58
185828	7	24090	2013-08-04 18:58:10.782415	2013-08-04 18:58:10.782415	\N	cd4f07ae-b22e-459a-998c-fe88157cad6f
179141	19	23456	2013-08-04 18:35:00.251439	2013-08-04 18:35:00.251439	\N	23eaabca-d8e5-4300-be9a-148715c55601
179147	19	23462	2013-08-04 18:35:04.632618	2013-08-04 18:35:04.632618	\N	f740996a-de0e-40fa-8838-4c451d0c8eea
176220	18	23113	2013-08-04 18:24:43.375198	2013-08-04 18:24:43.375198	\N	4957483a-2be7-413d-9116-0423e0fc5c00
179222	2	23432	2013-08-04 18:35:15.139617	2013-08-04 18:35:15.139617	\N	118ead4f-a82b-41b5-846a-537220867f6e
185908	9	24107	2013-08-04 18:58:32.996322	2013-08-04 18:58:32.996322	\N	4eeb4a47-df5f-4dce-9284-c4676c4f7cd2
196461	14	24904	2013-08-04 19:45:47.446419	2013-08-04 19:45:47.446419	\N	cff12d38-e787-4569-87cb-b509b62896e2
196463	14	24976	2013-08-04 19:45:47.474586	2013-08-04 19:45:47.474586	\N	2c1c91fa-edff-4c54-9fbd-8187b0d15978
196464	14	24905	2013-08-04 19:45:47.521428	2013-08-04 19:45:47.521428	\N	ca92b856-c7ea-4b08-80b0-b71f4bcd2cb3
196465	14	24906	2013-08-04 19:45:47.550199	2013-08-04 19:45:47.550199	\N	826aade2-d3b2-4b62-bf45-f640bd378338
196466	14	24941	2013-08-04 19:45:47.591009	2013-08-04 19:45:47.591009	\N	b70538a2-3df1-4f6d-b6cd-8cc06a6c12f4
196467	14	24975	2013-08-04 19:45:47.635729	2013-08-04 19:45:47.635729	\N	cd9b7be9-a360-4909-8c3d-cc69a3f38851
204295	19	25860	2013-08-04 20:20:56.494594	2013-08-04 20:20:56.494594	\N	24b1a801-f1fb-4d40-94d9-c72e26f55bd1
190115	2	24433	2013-08-04 19:12:43.121548	2013-08-04 19:12:43.121548	\N	9585a084-b798-425a-8500-d5fcc48ef936
185977	10	24092	2013-08-04 18:58:44.098889	2013-08-04 18:58:44.098889	\N	dfca6a3d-b4c9-4c6d-b732-e9e14bf06e3f
182588	4	23712	2013-08-04 18:45:47.856048	2013-08-04 18:45:47.856048	\N	34040ea8-ce79-4b6d-9fee-f26bc8aeba49
175983	17	23113	2013-08-04 18:23:27.030332	2013-08-04 18:23:27.030332	\N	24ca6573-f6de-4bb3-ac7e-b7514206208d
175986	9	23214	2013-08-04 18:23:27.643814	2013-08-04 18:23:27.643814	\N	a51ec78f-f6f6-46d6-808f-6905e3949cd4
175992	16	23113	2013-08-04 18:23:29.377696	2013-08-04 18:23:29.377696	\N	c4b1d452-34ae-4ae8-ae6c-8f0ed91ef30a
175993	16	23128	2013-08-04 18:23:29.586167	2013-08-04 18:23:29.586167	\N	28413091-fef3-4205-a5de-f0657ca47f39
175995	16	23152	2013-08-04 18:23:29.810237	2013-08-04 18:23:29.810237	\N	8c1def77-0342-4f2c-a4c2-744273f37309
200123	4	25462	2013-08-04 20:04:35.043239	2013-08-04 20:04:35.043239	\N	16e33bd4-5c0d-48c5-9972-80953c8b8737
200225	18	25396	2013-08-04 20:04:48.312518	2013-08-04 20:04:48.312518	\N	2fdf35f6-6db6-48d2-9461-17e0b8091533
185925	9	24092	2013-08-04 18:58:35.171545	2013-08-04 18:58:35.171545	\N	668e29ca-d09d-4198-8aef-6901e7931745
189239	14	24274	2013-08-04 19:09:46.635201	2013-08-04 19:09:46.635201	\N	b020bb3d-bd45-4587-85a9-b7aa5010838f
189240	14	24346	2013-08-04 19:09:46.685611	2013-08-04 19:09:46.685611	\N	746b3537-1a21-453f-86a2-63d7ea4d7e10
189241	14	24275	2013-08-04 19:09:46.751891	2013-08-04 19:09:46.751891	\N	bd03d248-d493-45dc-83a4-d79b38b94886
189242	14	24276	2013-08-04 19:09:46.809461	2013-08-04 19:09:46.809461	\N	711a599e-a412-4b1b-a01d-bb3066f358b7
189243	14	24311	2013-08-04 19:09:46.879165	2013-08-04 19:09:46.879165	\N	a9c310cb-5bc6-4905-9f34-aa2b344f47ba
185953	11	24072	2013-08-04 18:58:41.157151	2013-08-04 18:58:41.157151	\N	c2ec5d9c-b4d2-43ca-a007-8d0531b746a6
189245	14	24345	2013-08-04 19:09:46.943806	2013-08-04 19:09:46.943806	\N	8e55b6a4-2807-42a2-9653-32ee38736db9
208380	7	26641	2013-08-04 20:52:34.745158	2013-08-04 20:52:34.745158	\N	d9d31af0-3b1d-4d8f-8d26-07a9010ba793
208383	11	26718	2013-08-04 20:52:35.684754	2013-08-04 20:52:35.684754	\N	51fa1e23-c5ac-48ae-a3bf-93f9f81d4483
208386	9	26753	2013-08-04 20:52:36.262062	2013-08-04 20:52:36.262062	\N	70dc3c57-9952-4aef-81cd-765341caf21c
208388	19	26742	2013-08-04 20:52:36.619938	2013-08-04 20:52:36.619938	\N	9aa5f060-d3a5-4a44-a7b5-5d66b9f745b6
190175	2	24464	2013-08-04 19:12:50.238836	2013-08-04 19:12:50.238836	\N	df2e9f86-4c4a-47ff-89a4-2e1fb64a310b
208389	14	26735	2013-08-04 20:52:37.146933	2013-08-04 20:52:37.146933	\N	fef4167b-d80c-441f-b0ec-d71bfd5727dc
190212	6	24373	2013-08-04 19:12:59.2432	2013-08-04 19:12:59.2432	\N	f3bc1348-47fb-49df-9a14-19dc565c9ccf
186001	11	24108	2013-08-04 18:58:49.533796	2013-08-04 18:58:49.533796	\N	4f860166-1fc0-4261-97ee-fc0920aaf645
190217	15	24412	2013-08-04 19:13:00.094577	2013-08-04 19:13:00.094577	\N	20a79834-6e4e-4cbc-a7db-dd19cc6e97af
190219	7	24486	2013-08-04 19:13:01.619606	2013-08-04 19:13:01.619606	\N	37ec71d5-453d-4782-b410-41518f6c508c
208399	14	26641	2013-08-04 20:52:38.309318	2013-08-04 20:52:38.309318	\N	92233212-37ec-4322-87a7-8ebfbe516bd4
208424	9	26721	2013-08-04 20:52:48.865013	2013-08-04 20:52:48.865013	\N	e34ed56c-0a51-4720-bf23-d021571282e0
208425	9	26735	2013-08-04 20:52:49.056506	2013-08-04 20:52:49.056506	\N	81db2910-ab8b-488e-a1a1-eb11a66e7cef
186078	4	24108	2013-08-04 18:59:05.589825	2013-08-04 18:59:05.589825	\N	4e729ccd-1cc1-415c-b22a-6fb724a96b32
208434	7	26700	2013-08-04 20:52:53.625404	2013-08-04 20:52:53.625404	\N	dd7fe546-de3d-4061-84f8-01e93f16859e
186086	10	23995	2013-08-04 18:59:06.884153	2013-08-04 18:59:06.884153	\N	bc522a7b-a02b-4668-b31a-516f9d52fc1d
190334	11	24412	2013-08-04 19:13:21.741761	2013-08-04 19:13:21.741761	\N	e6f4d19a-ddbf-4be9-851c-e0a28497c62b
204495	9	25965	2013-08-04 20:22:49.701601	2013-08-04 20:22:49.701601	\N	c83f4873-9641-4ae5-a24d-33b4fad137f5
182668	2	23694	2013-08-04 18:46:06.195422	2013-08-04 18:46:06.195422	\N	6483e182-b203-46b5-b9da-ca6ff9b1c4c6
182669	2	23718	2013-08-04 18:46:06.224542	2013-08-04 18:46:06.224542	\N	118b077c-53d0-486c-a798-1d3f7eca14b2
204497	7	25947	2013-08-04 20:22:50.687117	2013-08-04 20:22:50.687117	\N	648196f1-1bcb-48fc-8c67-d9eb014a7c02
190380	2	24412	2013-08-04 19:13:29.372695	2013-08-04 19:13:29.372695	\N	643df22e-3e63-471b-a487-4d38166da382
204498	7	25943	2013-08-04 20:22:50.754814	2013-08-04 20:22:50.754814	\N	15186e40-c233-4528-9629-23b3f00a1cbb
204504	2	25979	2013-08-04 20:22:55.128988	2013-08-04 20:22:55.128988	\N	e04c3316-d194-4a9e-ac12-517f9776e904
204505	8	25986	2013-08-04 20:22:55.318926	2013-08-04 20:22:55.318926	\N	0366dda6-8dee-47f5-91e3-48c7ff6ee207
204506	7	25885	2013-08-04 20:22:55.91611	2013-08-04 20:22:55.91611	\N	2d183d7b-3b5f-4532-afb9-797a45e30021
186199	19	24034	2013-08-04 18:59:33.919583	2013-08-04 18:59:33.919583	\N	315eae14-fa86-4eba-99a6-2b0cbe4195f8
182677	2	23708	2013-08-04 18:46:08.685429	2013-08-04 18:46:08.685429	\N	dbe2a921-2f0a-46ae-a846-1c8163b13c3c
179442	2	23419	2013-08-04 18:35:42.481327	2013-08-04 18:35:42.481327	\N	ecafe4f9-7f21-4fee-8a70-546ebba70c62
186241	19	24010	2013-08-04 18:59:41.493874	2013-08-04 18:59:41.493874	\N	782c38b3-9ef0-4ce0-9e41-34c820e7d7d0
175941	14	23193	2013-08-04 18:23:14.732013	2013-08-04 18:23:14.732013	\N	e2633358-9696-4dc1-98ff-83d54967f5f1
179273	14	23430	2013-08-04 18:35:29.434501	2013-08-04 18:35:29.434501	\N	8eeead5e-a641-4a41-b8c9-cf3363af569b
179274	14	23431	2013-08-04 18:35:29.482664	2013-08-04 18:35:29.482664	\N	ff15b6c8-f40d-458a-b1ea-785c1c0e1cc4
179277	14	23434	2013-08-04 18:35:29.516804	2013-08-04 18:35:29.516804	\N	f42c738a-a05c-4861-840f-7b4e2b12d81f
179278	14	23422	2013-08-04 18:35:29.564652	2013-08-04 18:35:29.564652	\N	875cabce-869b-4776-86ba-665d082b9ea7
179280	14	23425	2013-08-04 18:35:29.608451	2013-08-04 18:35:29.608451	\N	18a7ef85-4ccc-46ac-a0d8-4d0622c7868f
176011	17	23128	2013-08-04 18:23:37.025338	2013-08-04 18:23:37.025338	\N	9d3ad2e8-188a-4551-aa27-e1b595162b61
200176	2	25432	2013-08-04 20:04:42.339359	2013-08-04 20:04:42.339359	\N	25d58f9c-8b51-42d1-8c2c-d0f13ae1698a
200180	2	25434	2013-08-04 20:04:42.429713	2013-08-04 20:04:42.429713	\N	84b0178d-e5da-4640-b480-4441f61572d0
208270	14	26542	2013-08-04 20:51:20.560973	2013-08-04 20:51:20.560973	\N	2c8b0c67-e01a-4c90-a0e8-2d06f2a79b08
208271	14	26614	2013-08-04 20:51:20.590474	2013-08-04 20:51:20.590474	\N	35397a02-0c2e-474f-887f-5f5cfaa29e79
208272	14	26543	2013-08-04 20:51:20.616715	2013-08-04 20:51:20.616715	\N	cb936844-ff79-4665-913d-41f2d670c301
208273	14	26544	2013-08-04 20:51:20.648473	2013-08-04 20:51:20.648473	\N	3a218147-5a99-4932-a58c-7947da6715f2
189219	9	24344	2013-08-04 19:09:43.180036	2013-08-04 19:09:43.180036	\N	964a20b9-8624-48cb-846c-689554e67cbd
208274	14	26579	2013-08-04 20:51:20.683886	2013-08-04 20:51:20.683886	\N	84baf96d-bcf9-4d91-9ed9-08434517df84
208275	14	26613	2013-08-04 20:51:20.719348	2013-08-04 20:51:20.719348	\N	ba78ac3c-f9c7-4369-b298-e577f71577b0
176078	6	23204	2013-08-04 18:23:56.945352	2013-08-04 18:23:56.945352	\N	ab3921f9-3f08-493d-b491-435fec2dae16
185959	9	24108	2013-08-04 18:58:42.440149	2013-08-04 18:58:42.440149	\N	5d1acac6-77f0-4b9c-9cbb-231d5961a282
190206	7	24482	2013-08-04 19:12:57.852804	2013-08-04 19:12:57.852804	\N	43859bf5-bc63-4094-8832-603eaa7374a3
190207	1	24486	2013-08-04 19:12:58.04261	2013-08-04 19:12:58.04261	\N	83344240-7834-4d31-9723-49f2408e2484
190209	14	24373	2013-08-04 19:12:58.599747	2013-08-04 19:12:58.599747	\N	dbf246fb-07e2-4732-b2f7-4fdd90e36c8a
190210	14	24430	2013-08-04 19:12:58.785562	2013-08-04 19:12:58.785562	\N	4e2d5f3a-eeda-4d90-896b-961eb64b3d45
190211	14	24426	2013-08-04 19:12:58.919192	2013-08-04 19:12:58.919192	\N	3bbd8974-7015-4764-ba4c-ac5de4299218
190213	2	24482	2013-08-04 19:12:59.41108	2013-08-04 19:12:59.41108	\N	ae4c766d-1c6f-4231-aea4-16d679d798d1
179476	2	23435	2013-08-04 18:35:51.344988	2013-08-04 18:35:51.344988	\N	bbfffcb4-38a2-45c1-a18e-3e218dc376c3
190220	2	24481	2013-08-04 19:13:01.713638	2013-08-04 19:13:01.713638	\N	e969c08b-34a1-45a5-9f55-50c049748b76
190279	1	24454	2013-08-04 19:13:14.866444	2013-08-04 19:13:14.866444	\N	bba7a1ca-89c0-4a16-8e3f-4542e8949dbe
176218	9	23190	2013-08-04 18:24:41.983328	2013-08-04 18:24:41.983328	\N	4998db91-20ee-46ca-9015-ce1a8748a2db
176219	10	23210	2013-08-04 18:24:42.45315	2013-08-04 18:24:42.45315	\N	2663362d-4513-4b54-9674-549d94cc953a
190295	11	24454	2013-08-04 19:13:16.251387	2013-08-04 19:13:16.251387	\N	e45f99c7-7f8d-4e86-9edc-fd505e374c19
182516	14	23670	2013-08-04 18:45:39.562586	2013-08-04 18:45:39.562586	\N	f8d924f7-5f8b-4058-b246-4a297e9b0582
204507	4	25943	2013-08-04 20:22:57.198883	2013-08-04 20:22:57.198883	\N	540a8052-ffec-44ca-a5be-bec470ae8f02
204508	4	25945	2013-08-04 20:22:57.28691	2013-08-04 20:22:57.28691	\N	ffca1b33-62a6-4c20-8b87-0157359d95c9
190311	7	24474	2013-08-04 19:13:17.825344	2013-08-04 19:13:17.825344	\N	05c4eb87-3ac4-4486-9e02-b157ab4f0c43
204509	4	25946	2013-08-04 20:22:57.351252	2013-08-04 20:22:57.351252	\N	1bb97c3b-bf8f-49cb-bbcc-ac1b87e61084
204510	4	25954	2013-08-04 20:22:57.382306	2013-08-04 20:22:57.382306	\N	a372a938-4f53-4f3d-87c7-fe65bac6f258
204512	7	25900	2013-08-04 20:22:59.933828	2013-08-04 20:22:59.933828	\N	c312e1f6-5fe2-4caa-8950-50544ae528a9
204515	7	25944	2013-08-04 20:23:00.337759	2013-08-04 20:23:00.337759	\N	efa48b06-a962-4e9e-b5e3-c032fff65022
190328	14	24481	2013-08-04 19:13:20.635443	2013-08-04 19:13:20.635443	\N	3937d1fb-5eb9-4d37-8bfd-3cf206a9bf13
190332	9	24474	2013-08-04 19:13:21.143915	2013-08-04 19:13:21.143915	\N	adc6be6c-3231-43f3-9904-d7083d76e78a
204517	7	25938	2013-08-04 20:23:00.511152	2013-08-04 20:23:00.511152	\N	0aa421c1-b76f-42b2-b6a0-1f648c6a55cb
186134	1	24089	2013-08-04 18:59:19.100919	2013-08-04 18:59:19.100919	\N	064a0f83-028d-45e0-8a36-a2b79882262b
204529	14	25885	2013-08-04 20:23:04.6667	2013-08-04 20:23:04.6667	\N	4646df5c-462e-4914-bb0c-5500b36da8bb
190387	10	24474	2013-08-04 19:13:32.214897	2013-08-04 19:13:32.214897	\N	e34ff6f8-b6f5-408f-acd0-d56f50f43315
204531	14	25993	2013-08-04 20:23:05.760259	2013-08-04 20:23:05.760259	\N	88cd2a2d-7ad8-4eab-9219-9995bf38136d
186144	19	23995	2013-08-04 18:59:22.728438	2013-08-04 18:59:22.728438	\N	9183de62-fe2a-4a88-ac00-7684d681f46a
204534	14	25961	2013-08-04 20:23:06.872871	2013-08-04 20:23:06.872871	\N	4ed2a6f1-f702-4288-88c8-4db768f721d0
196762	7	25080	2013-08-04 19:47:40.736179	2013-08-04 19:47:40.736179	\N	58b2654d-a9fd-4a71-a909-dded52e5f238
196765	14	25079	2013-08-04 19:47:41.204198	2013-08-04 19:47:41.204198	\N	5ca2676e-291e-4e56-883a-dc66c63df6fe
208343	2	26673	2013-08-04 20:52:24.380715	2013-08-04 20:52:24.380715	\N	deaa2b42-59d9-4301-a586-1a0b3ced942d
196775	9	25097	2013-08-04 19:47:43.114612	2013-08-04 19:47:43.114612	\N	ac67276c-9f23-4329-9ed9-f9835ce2c6f9
208345	2	26652	2013-08-04 20:52:24.473782	2013-08-04 20:52:24.473782	\N	be270c28-21ab-4119-815b-8748e602b90d
208346	2	26649	2013-08-04 20:52:24.511595	2013-08-04 20:52:24.511595	\N	bd7a7561-63fe-47dd-b85f-c406aba17c1d
208347	2	26682	2013-08-04 20:52:24.556815	2013-08-04 20:52:24.556815	\N	96b9187c-39df-4e6d-b381-cf9651ca1ec2
208348	2	26637	2013-08-04 20:52:24.583471	2013-08-04 20:52:24.583471	\N	d0e7031c-28df-4af2-a25b-9ee24cdeb457
208349	2	26643	2013-08-04 20:52:24.63065	2013-08-04 20:52:24.63065	\N	98723595-f15f-4619-b7d3-a20c2633a3db
196789	11	25080	2013-08-04 19:47:44.668754	2013-08-04 19:47:44.668754	\N	1847d360-f608-4179-a9f6-780652bd728e
196790	4	25069	2013-08-04 19:47:44.817005	2013-08-04 19:47:44.817005	\N	10ec1272-14c1-4b45-bf4b-6f87851749b7
196791	4	25063	2013-08-04 19:47:44.874379	2013-08-04 19:47:44.874379	\N	54633d7a-b4dc-44c5-b46f-391da1adff98
196794	4	25064	2013-08-04 19:47:44.915909	2013-08-04 19:47:44.915909	\N	42e96b17-067a-40cc-a47d-a54c941bf70d
196796	6	25003	2013-08-04 19:47:45.351953	2013-08-04 19:47:45.351953	\N	01766abb-818e-4bda-9f9a-b63846ef0e7c
196802	1	25018	2013-08-04 19:47:47.06003	2013-08-04 19:47:47.06003	\N	3267306a-a300-4f24-a340-5804a4e3d099
179585	20	23152	2013-08-04 18:36:18.277221	2013-08-04 18:36:18.277221	\N	de5d3e17-21e5-4771-b4e5-6fb7d049ffbc
196816	7	25098	2013-08-04 19:47:51.297463	2013-08-04 19:47:51.297463	\N	4f227019-98a5-4e81-b7f6-51e5741809bc
196820	11	25042	2013-08-04 19:47:51.904379	2013-08-04 19:47:51.904379	\N	2e4c50ec-cc8d-4abd-8281-146c317d330b
190433	9	24486	2013-08-04 19:13:41.697874	2013-08-04 19:13:41.697874	\N	075dd8ac-23b6-4bcb-a462-6c4fef07c15e
196822	11	25116	2013-08-04 19:47:52.511809	2013-08-04 19:47:52.511809	\N	be3ac772-6959-49c9-a287-2f37f9905d64
208356	2	26688	2013-08-04 20:52:24.840557	2013-08-04 20:52:24.840557	\N	5181034a-234e-442d-ba18-13bc6a41f439
186223	4	24048	2013-08-04 18:59:39.324413	2013-08-04 18:59:39.324413	\N	fe752b19-0890-4783-9355-20f6d240f422
186224	4	24060	2013-08-04 18:59:39.379459	2013-08-04 18:59:39.379459	\N	ab35f01e-3f92-41b3-84ed-fde2d81b1eb5
182912	8	23758	2013-08-04 18:47:38.361322	2013-08-04 18:47:38.361322	\N	bab2e0f2-7ba0-4c9e-b132-65bf9dd76c64
182952	7	23820	2013-08-04 18:47:48.752359	2013-08-04 18:47:48.752359	\N	81d4a72e-b147-429f-b605-5077fe0ab956
182976	14	23837	2013-08-04 18:47:56.898377	2013-08-04 18:47:56.898377	\N	ed87a68c-412f-4a81-89fa-1334a530143a
182978	14	23823	2013-08-04 18:47:57.397698	2013-08-04 18:47:57.397698	\N	520dc62f-d756-44cb-8dde-6515b11a21a5
182979	9	23856	2013-08-04 18:47:57.557491	2013-08-04 18:47:57.557491	\N	9be3774e-e36c-4005-a051-6663f62aded6
186225	4	24052	2013-08-04 18:59:39.432344	2013-08-04 18:59:39.432344	\N	552408df-9295-4cc2-85b1-ca65e8e8028c
182981	11	23824	2013-08-04 18:47:57.839837	2013-08-04 18:47:57.839837	\N	ac877703-16da-4b21-a8d1-5532af7f2bd9
186226	4	24061	2013-08-04 18:59:39.488165	2013-08-04 18:59:39.488165	\N	61356437-3edc-460f-8369-efb68d781493
208357	2	26641	2013-08-04 20:52:24.90042	2013-08-04 20:52:24.90042	\N	c4cfcf36-43d7-48c8-acd5-3289bb0140f8
208363	8	26750	2013-08-04 20:52:27.042906	2013-08-04 20:52:27.042906	\N	8d3cfedf-fc17-4e6c-9dfd-c85977a7dc5e
208364	8	26742	2013-08-04 20:52:27.167126	2013-08-04 20:52:27.167126	\N	94326843-a2fa-4dfb-b509-6a7cb769f1e9
208366	7	26699	2013-08-04 20:52:28.593881	2013-08-04 20:52:28.593881	\N	e18c3aa0-5e3e-4430-8643-fdc6eeb22ded
189246	10	24247	2013-08-04 19:09:47.578758	2013-08-04 19:09:47.578758	\N	882221d6-fbfb-4098-9f07-f7b14dfe9086
185844	1	24075	2013-08-04 18:58:13.78126	2013-08-04 18:58:13.78126	\N	46e2ef90-cb11-4ad7-8c32-78c91a939568
175952	3	23113	2013-08-04 18:23:17.230212	2013-08-04 18:23:17.230212	\N	9514c5b7-f8c8-47e3-b363-8fd02c84bb81
175953	3	23152	2013-08-04 18:23:17.277025	2013-08-04 18:23:17.277025	\N	70915a45-137b-4f10-804e-18d519351795
175954	3	23128	2013-08-04 18:23:17.326191	2013-08-04 18:23:17.326191	\N	f3fee6c6-71e2-4a19-a371-ff57ee6482ff
185857	2	24064	2013-08-04 18:58:14.598088	2013-08-04 18:58:14.598088	\N	7c25c902-c6cd-4096-9b06-a70faa0a1eff
208374	14	26749	2013-08-04 20:52:31.845745	2013-08-04 20:52:31.845745	\N	bf339e43-eef6-4db2-910c-8c66fd1a0547
208379	14	26721	2013-08-04 20:52:34.592149	2013-08-04 20:52:34.592149	\N	c02da12b-d6e4-42b0-9204-f8c9672d9ef6
182571	19	23714	2013-08-04 18:45:46.929322	2013-08-04 18:45:46.929322	\N	6ae50976-c5e8-44db-bf7c-4f375583751f
190426	14	24388	2013-08-04 19:13:39.725874	2013-08-04 19:13:39.725874	\N	f12a8e7f-a75b-4146-947c-46c83ef010e4
190428	14	24412	2013-08-04 19:13:39.79502	2013-08-04 19:13:39.79502	\N	60cf57fd-b7b8-46dd-a3ea-c83d126d8376
208451	7	26702	2013-08-04 20:53:01.769236	2013-08-04 20:53:01.769236	\N	4bee56f1-7856-4535-bfb4-be334099a30f
176122	1	23207	2013-08-04 18:24:09.266481	2013-08-04 18:24:09.266481	\N	9b5ab171-ed7b-457c-b23c-a79aa5a102a4
196716	2	25020	2013-08-04 19:47:29.423914	2013-08-04 19:47:29.423914	\N	fd8046fb-ea49-4b40-bea5-5e1205becb68
196717	2	25003	2013-08-04 19:47:29.492092	2013-08-04 19:47:29.492092	\N	5b19dad4-b50b-4fe2-859c-9eb86b88ce86
179547	2	23425	2013-08-04 18:36:12.730224	2013-08-04 18:36:12.730224	\N	a9a4d46f-fcef-459e-bfa0-5069a6a6ced2
196718	2	24999	2013-08-04 19:47:29.564542	2013-08-04 19:47:29.564542	\N	c7a778bf-936f-4689-b3e6-a39c3e1e9ca9
196719	2	25008	2013-08-04 19:47:29.652179	2013-08-04 19:47:29.652179	\N	82b2e09f-d6bf-45ef-8f27-93bed1f35601
196720	2	25005	2013-08-04 19:47:29.722141	2013-08-04 19:47:29.722141	\N	1487e196-f5da-467c-b4f3-eb7bcdc00a67
196721	2	25026	2013-08-04 19:47:29.793068	2013-08-04 19:47:29.793068	\N	08c25239-e12b-49d6-a85a-75ffc9002327
190461	10	24373	2013-08-04 19:13:47.710375	2013-08-04 19:13:47.710375	\N	782638d5-c1d1-494f-985b-6bdabb4e6c12
196722	2	25018	2013-08-04 19:47:29.840517	2013-08-04 19:47:29.840517	\N	af5877af-46b7-4f95-b03f-7c5dbe1b68e5
196723	2	25057	2013-08-04 19:47:29.922566	2013-08-04 19:47:29.922566	\N	564bd327-a61e-4841-9fb1-a3975e7a4c91
182710	2	23693	2013-08-04 18:46:15.934524	2013-08-04 18:46:15.934524	\N	73cb0409-9add-44db-88a1-ac4c82c58d46
176151	9	23210	2013-08-04 18:24:15.45597	2013-08-04 18:24:15.45597	\N	11bc6fc7-f61b-4635-b168-94176e90aa92
185931	14	24089	2013-08-04 18:58:38.27978	2013-08-04 18:58:38.27978	\N	1bfb54dd-32d7-4d59-87f7-ef28e3e9df20
190466	19	24412	2013-08-04 19:13:50.248381	2013-08-04 19:13:50.248381	\N	0cfbe3f8-bdcc-4733-bf0a-6b4f645e6934
196727	2	25050	2013-08-04 19:47:30.020095	2013-08-04 19:47:30.020095	\N	3ae494f3-757d-4b07-94a9-a6dbfe30a8da
182721	2	23711	2013-08-04 18:46:18.303416	2013-08-04 18:46:18.303416	\N	37411103-d4c5-4f19-a52a-473bdead7307
190468	2	24435	2013-08-04 19:13:50.329837	2013-08-04 19:13:50.329837	\N	550a9b7a-9b8f-4932-a491-e47d3eac05db
186009	14	24034	2013-08-04 18:58:50.964848	2013-08-04 18:58:50.964848	\N	86323bf7-6203-4f8f-a5f4-96fa134b93d2
176212	10	23214	2013-08-04 18:24:37.124345	2013-08-04 18:24:37.124345	\N	a026a554-64bf-48cc-8049-ecdea925f59e
176213	10	23220	2013-08-04 18:24:37.21166	2013-08-04 18:24:37.21166	\N	fb470d6e-3c1c-4e47-8b9e-e3d931c7976c
190469	12	24412	2013-08-04 19:13:51.827001	2013-08-04 19:13:51.827001	\N	9a0b578d-88d8-40ab-a362-61a016529cb1
196729	2	25011	2013-08-04 19:47:30.116092	2013-08-04 19:47:30.116092	\N	c82a2b9a-d954-4cae-8e7c-e4f4c2427c00
190472	19	24373	2013-08-04 19:13:52.435676	2013-08-04 19:13:52.435676	\N	07dc7437-0331-4d85-af41-8facca8f5c44
196731	15	25042	2013-08-04 19:47:32.19717	2013-08-04 19:47:32.19717	\N	981834a3-29a9-46a0-b743-256051f757bb
192978	4	24431	2013-08-04 19:25:10.094869	2013-08-04 19:25:10.094869	\N	060e08c3-dcaf-4d58-9758-604c21bc9606
196732	8	25100	2013-08-04 19:47:32.421451	2013-08-04 19:47:32.421451	\N	de3fee3b-637a-4b35-afb8-240331bf9658
196733	7	25111	2013-08-04 19:47:32.698578	2013-08-04 19:47:32.698578	\N	436cf767-ef6f-41eb-ae32-27492ba96d78
196734	17	25042	2013-08-04 19:47:32.818786	2013-08-04 19:47:32.818786	\N	080f32cd-f171-4130-9187-faba6ce73acf
196735	7	25063	2013-08-04 19:47:32.902934	2013-08-04 19:47:32.902934	\N	9e0e9a78-cc9f-417d-81f7-d3f4e2316982
196743	7	25003	2013-08-04 19:47:34.150066	2013-08-04 19:47:34.150066	\N	08d898b6-7f07-4a9d-aef3-5c86830a0518
196744	9	25115	2013-08-04 19:47:34.829155	2013-08-04 19:47:34.829155	\N	af5e563e-817a-4ad2-b75b-eaa96546ad95
196745	8	25018	2013-08-04 19:47:35.040566	2013-08-04 19:47:35.040566	\N	e0aa4230-079c-4409-8352-1bf01eb6952e
190484	19	24388	2013-08-04 19:13:56.13373	2013-08-04 19:13:56.13373	\N	efd33638-fc4a-45af-8637-af1751ba470d
208527	2	26706	2013-08-04 20:53:35.826341	2013-08-04 20:53:35.826341	\N	45f71585-54ea-4672-937a-bcfd1826ee79
196752	7	25018	2013-08-04 19:47:38.169401	2013-08-04 19:47:38.169401	\N	5848914a-9e9d-452d-96af-5dc15fa8f109
208534	6	26641	2013-08-04 20:53:38.372919	2013-08-04 20:53:38.372919	\N	22b87d5e-a0a4-4c79-912f-16028b9649f6
182864	14	23683	2013-08-04 18:47:15.34415	2013-08-04 18:47:15.34415	\N	9703c9f1-56c3-4b71-88e3-ed703e78d61c
196908	1	25084	2013-08-04 19:48:23.74302	2013-08-04 19:48:23.74302	\N	c3fd295a-b8c7-4d3b-be41-9ba988d1480c
196909	14	25003	2013-08-04 19:48:23.987068	2013-08-04 19:48:23.987068	\N	dc91e365-fa82-4aa5-a577-426e3fb52071
200514	2	25443	2013-08-04 20:05:43.831227	2013-08-04 20:05:43.831227	\N	20ea36ba-ecb9-4fde-9097-23ae67a0c62c
182876	1	23824	2013-08-04 18:47:34.090352	2013-08-04 18:47:34.090352	\N	96b5495b-9629-4b8d-b9eb-45d2d3d6bb4c
204471	8	25885	2013-08-04 20:22:43.537824	2013-08-04 20:22:43.537824	\N	ea00dd0e-5ef5-4b68-87c8-8e621dc6fba2
204500	7	25980	2013-08-04 20:22:52.874197	2013-08-04 20:22:52.874197	\N	e5c7d88a-317b-4d7a-bcf4-fd3ed2a4e20d
204502	14	25943	2013-08-04 20:22:54.143475	2013-08-04 20:22:54.143475	\N	1a59a258-346d-498f-a79e-15dc32344a62
182936	7	23844	2013-08-04 18:47:44.482631	2013-08-04 18:47:44.482631	\N	853c5fe4-4bca-458d-aabb-cf8f88774087
204503	9	25961	2013-08-04 20:22:54.947267	2013-08-04 20:22:54.947267	\N	040d3eaf-70de-4949-9f9e-1c1cc02f4850
204511	7	25986	2013-08-04 20:22:59.927499	2013-08-04 20:22:59.927499	\N	e4f28d54-2d0d-4f13-9a3d-29c43cb81901
196968	1	25083	2013-08-04 19:48:40.487133	2013-08-04 19:48:40.487133	\N	2eb8417d-a962-445c-9778-06d9d6ee5086
200526	2	25448	2013-08-04 20:05:46.006775	2013-08-04 20:05:46.006775	\N	8f23b05b-1541-4f98-bd7d-b95112418690
204519	7	25966	2013-08-04 20:23:00.794007	2013-08-04 20:23:00.794007	\N	fcce26a0-a74c-4249-9851-9fc854a10c23
196976	2	25097	2013-08-04 19:48:41.738121	2013-08-04 19:48:41.738121	\N	a17a7485-9ae8-4381-bec4-735911e8d587
182956	9	23840	2013-08-04 18:47:49.57394	2013-08-04 18:47:49.57394	\N	d71bda03-98df-45ea-86e0-f2127e781205
182958	7	23850	2013-08-04 18:47:50.07526	2013-08-04 18:47:50.07526	\N	cd033b35-6e3e-4ebb-8a20-fc51f95d496c
182959	7	23743	2013-08-04 18:47:50.650023	2013-08-04 18:47:50.650023	\N	cdd71574-0329-4da1-a53c-84a38938b25b
182970	2	23823	2013-08-04 18:47:55.951419	2013-08-04 18:47:55.951419	\N	33bdde1e-5607-4112-b911-cabfe70ba5d5
192839	2	24467	2013-08-04 19:24:27.377336	2013-08-04 19:24:27.377336	\N	4d4e2f5f-3dfd-4d89-941b-ba6f442d97fb
196580	14	24938	2013-08-04 19:46:20.61505	2013-08-04 19:46:20.61505	\N	14371358-38b9-424e-a286-9775625f6918
204381	14	25820	2013-08-04 20:21:17.285487	2013-08-04 20:21:17.285487	\N	4792f77f-c781-4a3a-a570-66d0fed0f5ce
204382	14	25786	2013-08-04 20:21:17.422235	2013-08-04 20:21:17.422235	\N	e5da9335-f559-44fc-8c06-589cefc7deb0
175981	18	23152	2013-08-04 18:23:26.708378	2013-08-04 18:23:26.708378	\N	19bc2990-5823-450c-940e-cc1593eea7cf
204383	14	25858	2013-08-04 20:21:17.468883	2013-08-04 20:21:17.468883	\N	52c8ee9c-b026-474f-a1b8-2c9805a59ea8
204384	14	25787	2013-08-04 20:21:17.513571	2013-08-04 20:21:17.513571	\N	f7786c0d-92bc-4a4e-9cdb-54792a932f98
204385	14	25788	2013-08-04 20:21:17.553846	2013-08-04 20:21:17.553846	\N	a2332984-e194-4300-90b0-e12eb1672c87
176029	18	22987	2013-08-04 18:23:41.854756	2013-08-04 18:23:41.854756	\N	b9ed4752-477f-4021-a41b-982c9211b2bd
186018	2	24057	2013-08-04 18:58:54.520716	2013-08-04 18:58:54.520716	\N	3881a052-5245-4e37-b6cd-675a64bd4553
204386	14	25823	2013-08-04 20:21:17.600826	2013-08-04 20:21:17.600826	\N	f25f0717-87ef-43a5-826a-e040abb66c12
176033	2	23166	2013-08-04 18:23:42.453551	2013-08-04 18:23:42.453551	\N	834c5ef5-f809-4748-9f72-2a21b7b21d8e
204387	14	25857	2013-08-04 20:21:17.645589	2013-08-04 20:21:17.645589	\N	7eb6291a-be24-4346-aeca-b7ad758f5361
186059	14	24061	2013-08-04 18:59:03.792698	2013-08-04 18:59:03.792698	\N	9f0fcb23-23bb-4381-a8c9-3646feee585a
186062	14	24048	2013-08-04 18:59:04.034169	2013-08-04 18:59:04.034169	\N	9a49b356-c0f2-4bd6-8486-9fcc82d22adb
182697	2	23698	2013-08-04 18:46:13.456739	2013-08-04 18:46:13.456739	\N	52b137eb-7ca2-4321-8a7c-4a49e519aad6
176043	9	23204	2013-08-04 18:23:48.042195	2013-08-04 18:23:48.042195	\N	39ed3a17-6570-42b0-92e9-0063366542e6
182700	2	23730	2013-08-04 18:46:13.582917	2013-08-04 18:46:13.582917	\N	a44f3306-1fe9-4905-9dd0-c4b528e810a5
208329	2	26579	2013-08-04 20:51:49.588648	2013-08-04 20:51:49.588648	\N	02a48473-32ac-4029-9b07-94af36772e99
208400	8	26641	2013-08-04 20:52:38.315599	2013-08-04 20:52:38.315599	\N	9174f2b3-6a51-470a-b12c-74934953056f
200306	1	25461	2013-08-04 20:05:04.355303	2013-08-04 20:05:04.355303	\N	dc99dec5-d190-4d0d-b67f-264bd2977707
204499	2	25986	2013-08-04 20:22:50.84269	2013-08-04 20:22:50.84269	\N	c66a0942-9d2d-41d6-b878-0c8c3ef610be
186121	12	24034	2013-08-04 18:59:14.97104	2013-08-04 18:59:14.97104	\N	a2daede4-e005-4eb1-923d-40353a3b254c
182879	8	23844	2013-08-04 18:47:34.970936	2013-08-04 18:47:34.970936	\N	c00cc324-9057-4d5a-a378-837a7096f800
182883	8	23840	2013-08-04 18:47:35.128562	2013-08-04 18:47:35.128562	\N	0ceee18d-43c6-4d22-8ebe-4bd9a5067e4d
182886	8	23834	2013-08-04 18:47:35.213592	2013-08-04 18:47:35.213592	\N	938fb05a-5029-4627-8f98-3cae52c061e6
182888	7	23840	2013-08-04 18:47:35.277247	2013-08-04 18:47:35.277247	\N	be350ac9-a129-48b5-8d71-ffa73e4440d6
182917	8	23743	2013-08-04 18:47:38.694733	2013-08-04 18:47:38.694733	\N	77d5b4e9-8cbf-4ddb-8183-574f18658766
182923	7	23856	2013-08-04 18:47:39.904796	2013-08-04 18:47:39.904796	\N	18a95411-5a93-458a-9dbe-0013e2143ad8
182946	14	23803	2013-08-04 18:47:47.324715	2013-08-04 18:47:47.324715	\N	7dd8e42b-d40f-4fe6-b1d7-4e7ae29de2f9
182947	14	23804	2013-08-04 18:47:47.425709	2013-08-04 18:47:47.425709	\N	5e2c3b6a-5a53-457e-9189-3485e1e72cf0
176128	14	23173	2013-08-04 18:24:11.918693	2013-08-04 18:24:11.918693	\N	00e64adc-4870-4191-a518-ac7003ddba61
176132	14	23170	2013-08-04 18:24:12.008302	2013-08-04 18:24:12.008302	\N	1854a3df-d1c1-4fb7-8a4d-191f37d3d02f
176134	14	23164	2013-08-04 18:24:12.048762	2013-08-04 18:24:12.048762	\N	db176178-4b7a-4eb7-adeb-b5870bf5d6fd
176135	14	23178	2013-08-04 18:24:12.096673	2013-08-04 18:24:12.096673	\N	1fe11cec-e487-4243-8899-222c81f2b57f
176136	14	23182	2013-08-04 18:24:12.154921	2013-08-04 18:24:12.154921	\N	c266b6c2-7c58-42ec-bb2b-fcef9fbc97ea
176137	14	23179	2013-08-04 18:24:12.213634	2013-08-04 18:24:12.213634	\N	289989d0-3ec8-4a94-8783-8ce641df2ed5
176138	14	23171	2013-08-04 18:24:12.272624	2013-08-04 18:24:12.272624	\N	47f82c95-4fb4-4580-af4c-66e815d6305c
179515	3	23365	2013-08-04 18:36:05.442183	2013-08-04 18:36:05.442183	\N	96b71935-0365-48e0-a114-080b9ed5aa2c
204556	11	25966	2013-08-04 20:23:09.887147	2013-08-04 20:23:09.887147	\N	e146cdd9-0870-4bb2-b864-526272216af2
182955	9	23743	2013-08-04 18:47:49.415637	2013-08-04 18:47:49.415637	\N	dd235774-f877-41f2-b2a6-095a1b3a83b4
183021	17	23743	2013-08-04 18:48:08.395814	2013-08-04 18:48:08.395814	\N	ae9ce1b1-d9e0-4e7e-964d-2b1933036c2b
208418	1	26641	2013-08-04 20:52:45.870136	2013-08-04 20:52:45.870136	\N	6b09d407-5953-4f25-aae0-a2228846718c
204577	9	25994	2013-08-04 20:23:28.364768	2013-08-04 20:23:28.364768	\N	2aa75572-71be-4601-9f76-c6b38f73e6e8
204580	17	25885	2013-08-04 20:23:29.046969	2013-08-04 20:23:29.046969	\N	ab8f1215-443d-4ba7-a8f2-dd2a4f2a93a3
176209	10	23152	2013-08-04 18:24:36.898093	2013-08-04 18:24:36.898093	\N	b8feab76-e701-4253-9ad6-c16ca2eb77f6
204581	1	25885	2013-08-04 20:23:35.047043	2013-08-04 20:23:35.047043	\N	5fe2ea15-94aa-4038-a8d8-7e7bc56cff03
176211	10	23113	2013-08-04 18:24:37.004537	2013-08-04 18:24:37.004537	\N	e079b95c-74a3-45c2-ae86-db5383de7c05
204582	9	25997	2013-08-04 20:23:35.62267	2013-08-04 20:23:35.62267	\N	b1d599cb-ce82-4d20-b0b3-6a76747b9837
208420	2	26695	2013-08-04 20:52:46.619827	2013-08-04 20:52:46.619827	\N	e0f46dbd-f7b6-4a18-b086-5f5602231300
183064	17	23782	2013-08-04 18:48:26.695663	2013-08-04 18:48:26.695663	\N	86eeed8d-06c8-4730-9ebc-d05ce382b64a
208421	2	26664	2013-08-04 20:52:46.677108	2013-08-04 20:52:46.677108	\N	d171af91-fb2e-4d2d-bb0c-1525b8a91915
183074	19	23782	2013-08-04 18:48:33.274677	2013-08-04 18:48:33.274677	\N	4a2c51e2-cba3-48e0-8473-bdb366353bfb
183075	9	23855	2013-08-04 18:48:33.512628	2013-08-04 18:48:33.512628	\N	a97f4c87-d7b4-4ff0-91d2-49d6ebf864ec
196715	10	25112	2013-08-04 19:47:29.156962	2013-08-04 19:47:29.156962	\N	d113d551-dc49-48c7-af0c-4652c358601d
196724	8	25112	2013-08-04 19:47:29.93758	2013-08-04 19:47:29.93758	\N	6923686c-bb4f-4694-a6cd-b7c81d718ce6
183080	19	23743	2013-08-04 18:48:36.958178	2013-08-04 18:48:36.958178	\N	5d241652-f827-4ff8-9aa3-1f4ee1a2a062
186191	15	23995	2013-08-04 18:59:31.08859	2013-08-04 18:59:31.08859	\N	ae7f7e71-985e-4144-b6e4-31e010207b06
186204	14	24022	2013-08-04 18:59:35.997416	2013-08-04 18:59:35.997416	\N	a2322b7b-ae72-44fb-b415-54ea7601454a
186206	14	24094	2013-08-04 18:59:36.095271	2013-08-04 18:59:36.095271	\N	b58032d7-016a-482c-8ad4-fca584783622
183086	4	23820	2013-08-04 18:48:38.022112	2013-08-04 18:48:38.022112	\N	68b9f0d9-1c61-489e-bd4a-ddd51bf9a031
183087	4	23844	2013-08-04 18:48:38.056082	2013-08-04 18:48:38.056082	\N	5b419acb-78e0-4c5a-bd9a-d58ec9eeefdd
183089	4	23824	2013-08-04 18:48:38.095682	2013-08-04 18:48:38.095682	\N	5863b49e-8a5f-4598-84e6-348efc86a634
183091	4	23834	2013-08-04 18:48:38.124922	2013-08-04 18:48:38.124922	\N	94025839-6c06-401d-a9c5-dfbfd8707b12
183093	4	23838	2013-08-04 18:48:38.171596	2013-08-04 18:48:38.171596	\N	8118270f-3dd3-4745-b5de-0e0cf3c584d6
183095	4	23840	2013-08-04 18:48:38.226533	2013-08-04 18:48:38.226533	\N	1564457c-9650-443a-b314-0123ec04524c
183097	4	23856	2013-08-04 18:48:38.257389	2013-08-04 18:48:38.257389	\N	ca576b91-6cc0-4936-bd6d-2cf0bbfb72b7
183098	4	23850	2013-08-04 18:48:38.311808	2013-08-04 18:48:38.311808	\N	e151d746-6abf-49da-b5dc-d28362ce251f
186207	14	24023	2013-08-04 18:59:36.14098	2013-08-04 18:59:36.14098	\N	f13883d5-8a0e-47e5-a5cb-d5dde5a146b8
186208	14	24024	2013-08-04 18:59:36.193117	2013-08-04 18:59:36.193117	\N	ee869315-001f-457d-97f3-d50d09b0e609
186210	14	24059	2013-08-04 18:59:36.232337	2013-08-04 18:59:36.232337	\N	31b2a47e-da3a-4584-bbce-749376d10e8e
186211	14	24093	2013-08-04 18:59:36.27597	2013-08-04 18:59:36.27597	\N	488118c9-83c6-4092-8a1d-6510998a339a
196766	14	25083	2013-08-04 19:47:41.793573	2013-08-04 19:47:41.793573	\N	51c1ea58-2e2a-4702-bb85-a5a55cc5417e
179652	16	23459	2013-08-04 18:36:31.72544	2013-08-04 18:36:31.72544	\N	46922000-c18a-476d-ae6a-71fbe922a75d
204620	1	25965	2013-08-04 20:23:58.452208	2013-08-04 20:23:58.452208	\N	80084baf-3df3-4c48-aae5-fef85e3cc5a8
208358	2	26698	2013-08-04 20:52:24.936652	2013-08-04 20:52:24.936652	\N	7ec2bb75-41ea-4b80-a04e-05d6ce76de0f
200406	18	25381	2013-08-04 20:05:18.367262	2013-08-04 20:05:18.367262	\N	e78df3b0-05ef-409d-aac7-ee70b0a462df
208359	2	26742	2013-08-04 20:52:24.984263	2013-08-04 20:52:24.984263	\N	82f817b7-0ee4-4233-986d-9a8d66c5beb1
208360	2	26735	2013-08-04 20:52:25.027455	2013-08-04 20:52:25.027455	\N	b2fc0e1e-f16c-4a59-ad25-620f6e9688c8
208361	2	26717	2013-08-04 20:52:25.088925	2013-08-04 20:52:25.088925	\N	94f82c39-c111-4376-962c-7355d5946004
208362	2	26718	2013-08-04 20:52:25.137144	2013-08-04 20:52:25.137144	\N	2abd1825-48ff-4a1d-bd77-8a11ed351bc4
208365	7	26692	2013-08-04 20:52:28.459824	2013-08-04 20:52:28.459824	\N	83e82f1e-e5ee-4f03-9cbe-24d036a2b5b3
204420	10	25868	2013-08-04 20:21:38.113947	2013-08-04 20:21:38.113947	\N	e506ee8a-fc7d-4402-aa40-55926896b3fc
208375	4	26702	2013-08-04 20:52:31.869426	2013-08-04 20:52:31.869426	\N	19a94279-9d97-48eb-bc95-b14d4030150a
186028	3	24010	2013-08-04 18:58:58.715976	2013-08-04 18:58:58.715976	\N	47b5230f-5af6-469c-8522-94e9d6a2392a
186029	3	24034	2013-08-04 18:58:58.761932	2013-08-04 18:58:58.761932	\N	124724f3-5455-4cf4-a316-376846b02f56
186030	3	23995	2013-08-04 18:58:58.850572	2013-08-04 18:58:58.850572	\N	5c862999-31da-4ee6-a2ce-afaac9a13fca
208376	9	26750	2013-08-04 20:52:32.06256	2013-08-04 20:52:32.06256	\N	ceccb824-14ba-425a-9716-becc0461410e
208377	4	26641	2013-08-04 20:52:32.996317	2013-08-04 20:52:32.996317	\N	f391c6fa-8a92-42aa-ad69-05997c70a104
208382	14	26717	2013-08-04 20:52:34.879057	2013-08-04 20:52:34.879057	\N	4fc84772-96e1-417f-bd1b-4399f3149038
189397	19	24247	2013-08-04 19:10:15.910329	2013-08-04 19:10:15.910329	\N	26c7239e-725f-4533-9500-c2aa80aaf8a0
204466	4	25885	2013-08-04 20:22:43.096967	2013-08-04 20:22:43.096967	\N	9c2807ef-df87-4a5e-9f5e-adce744c69e8
204467	2	25887	2013-08-04 20:22:43.344276	2013-08-04 20:22:43.344276	\N	9080061b-2d5e-4ca5-a6c6-b60385a735de
204468	2	25890	2013-08-04 20:22:43.403214	2013-08-04 20:22:43.403214	\N	d0956bab-2e43-47e1-919c-163467105d33
204469	2	25893	2013-08-04 20:22:43.470857	2013-08-04 20:22:43.470857	\N	216d733d-152d-4cb0-9660-c161dd30f646
204470	2	25896	2013-08-04 20:22:43.522633	2013-08-04 20:22:43.522633	\N	b5e6f7c9-bbc0-41b4-b2dd-28cc530c8eaf
204472	2	25908	2013-08-04 20:22:43.55622	2013-08-04 20:22:43.55622	\N	c9150a2c-9d43-4cfb-9242-51f467825ce6
204473	2	25881	2013-08-04 20:22:43.606564	2013-08-04 20:22:43.606564	\N	8da1600c-c639-4078-a6d2-46df1acbfdb3
196798	11	25003	2013-08-04 19:47:46.07291	2013-08-04 19:47:46.07291	\N	237f06cb-029e-4aa6-afd7-8f2c8dc20e29
208390	11	26641	2013-08-04 20:52:37.291058	2013-08-04 20:52:37.291058	\N	0ca2fe81-9104-48fb-b11c-8db7280e1f07
204475	2	25885	2013-08-04 20:22:43.71815	2013-08-04 20:22:43.71815	\N	2c32f606-18e8-4a0e-a3a1-2ae672e3f627
196803	2	25042	2013-08-04 19:47:47.071364	2013-08-04 19:47:47.071364	\N	3f991285-fd43-4eda-a088-f401a52d1591
196804	13	25018	2013-08-04 19:47:47.997736	2013-08-04 19:47:47.997736	\N	392bcebf-97de-4661-8fde-4483185c87d0
196805	6	25018	2013-08-04 19:47:48.894315	2013-08-04 19:47:48.894315	\N	aab87009-7864-49fd-88a1-12d3e7d67176
196807	11	25018	2013-08-04 19:47:49.547537	2013-08-04 19:47:49.547537	\N	2270c52c-b508-41b7-9615-9d9a1c5edbf3
204479	2	25942	2013-08-04 20:22:43.882427	2013-08-04 20:22:43.882427	\N	e77672ab-32c0-4bf7-8b68-5be1efc581f4
204480	2	25932	2013-08-04 20:22:43.94125	2013-08-04 20:22:43.94125	\N	f813a91a-018b-4b14-a2af-141063690636
182877	2	23743	2013-08-04 18:47:34.884251	2013-08-04 18:47:34.884251	\N	fa6081a2-92e0-4e72-ab86-d7d6bf599f56
182878	2	23739	2013-08-04 18:47:34.942093	2013-08-04 18:47:34.942093	\N	cfd5381d-275f-4e66-b335-22232a1eb143
182880	2	23751	2013-08-04 18:47:34.977624	2013-08-04 18:47:34.977624	\N	5a4d6233-1b05-4a28-b57f-85403f978392
182881	2	23748	2013-08-04 18:47:35.036976	2013-08-04 18:47:35.036976	\N	1cf6a1a4-6865-41ae-8e81-cdd2e7b86df0
182882	2	23745	2013-08-04 18:47:35.094683	2013-08-04 18:47:35.094683	\N	6dce81ab-c3f8-48e6-8178-daeda289c301
182884	2	23758	2013-08-04 18:47:35.145959	2013-08-04 18:47:35.145959	\N	f7a31dcd-fb15-42fa-be68-f65be367e8ff
182885	2	23797	2013-08-04 18:47:35.206864	2013-08-04 18:47:35.206864	\N	ac9c02c5-0151-4dd5-90a2-96d90f8da8a2
182887	2	23808	2013-08-04 18:47:35.264265	2013-08-04 18:47:35.264265	\N	78da0941-726e-449a-aedf-6fd2897e3d27
204481	2	25945	2013-08-04 20:22:43.98641	2013-08-04 20:22:43.98641	\N	130f54cf-ab6c-4072-8bf2-49964be59e36
208458	9	26717	2013-08-04 20:53:02.317387	2013-08-04 20:53:02.317387	\N	b4acc03e-bec2-461b-bcfc-44ac48c882d9
182891	2	23796	2013-08-04 18:47:35.413201	2013-08-04 18:47:35.413201	\N	3909c3fe-fd2e-4c77-a59f-5e1de916faab
204483	2	25954	2013-08-04 20:22:44.056822	2013-08-04 20:22:44.056822	\N	54e13757-aec2-42e1-8ea5-93cdca3a1b60
182893	2	23794	2013-08-04 18:47:35.551905	2013-08-04 18:47:35.551905	\N	bf7533f9-2c1d-4ec4-abc0-5e75f2f3f5de
182894	2	23760	2013-08-04 18:47:35.600889	2013-08-04 18:47:35.600889	\N	6fba82b2-03fe-43a8-879f-4a2665a02b47
204485	2	25961	2013-08-04 20:22:44.132534	2013-08-04 20:22:44.132534	\N	071817d1-9b93-4fc7-a989-4597a1ad2170
182897	2	23766	2013-08-04 18:47:35.720329	2013-08-04 18:47:35.720329	\N	e61098f3-ff82-48e7-b0ea-0b790eb71345
182898	2	23802	2013-08-04 18:47:35.771297	2013-08-04 18:47:35.771297	\N	f13bc133-c43f-4579-8bd7-43f490a2de6d
182899	2	23790	2013-08-04 18:47:35.809461	2013-08-04 18:47:35.809461	\N	1b73a719-653d-43b0-971b-37963c8dadf4
182900	2	23782	2013-08-04 18:47:35.856253	2013-08-04 18:47:35.856253	\N	bcc83802-81ec-4962-b7bd-241261ce39be
182901	2	23820	2013-08-04 18:47:35.91104	2013-08-04 18:47:35.91104	\N	8a76661f-200f-45b1-9ab0-f75ba7b02750
182902	2	23819	2013-08-04 18:47:35.951371	2013-08-04 18:47:35.951371	\N	9d1054d5-b523-4eba-982a-c029e389d67d
182903	2	23811	2013-08-04 18:47:35.998836	2013-08-04 18:47:35.998836	\N	489e4397-5a9f-4479-b7a9-3cc9366a46f7
182904	2	23812	2013-08-04 18:47:36.03127	2013-08-04 18:47:36.03127	\N	3dfb0624-0940-4edd-a5a8-dbbd9af4b38b
182905	2	23837	2013-08-04 18:47:36.091629	2013-08-04 18:47:36.091629	\N	21cf2e58-989f-49a8-a53f-66f451b06618
182906	2	23824	2013-08-04 18:47:36.124017	2013-08-04 18:47:36.124017	\N	1a1a8286-8eab-4561-ac91-cd36e9144d10
189612	19	24338	2013-08-04 19:10:55.763655	2013-08-04 19:10:55.763655	\N	2bb80a66-4230-44d3-9555-0de88cc6530b
196958	9	25003	2013-08-04 19:48:36.851666	2013-08-04 19:48:36.851666	\N	49d6c0ed-e1ab-4380-96d9-de6e0350ec0d
204492	9	25885	2013-08-04 20:22:45.433686	2013-08-04 20:22:45.433686	\N	a90fcf52-14f5-4b06-a88d-9ee2f587b430
204494	8	25994	2013-08-04 20:22:47.307642	2013-08-04 20:22:47.307642	\N	0bf387e3-5d8b-4c19-8528-69c418879a1f
196972	10	25003	2013-08-04 19:48:41.368791	2013-08-04 19:48:41.368791	\N	beaaea1c-465a-4da1-adc4-099b7bd97d76
204552	4	25962	2013-08-04 20:23:09.535212	2013-08-04 20:23:09.535212	\N	f6464120-9feb-4846-a283-a695a00d68c7
204557	13	25885	2013-08-04 20:23:10.131282	2013-08-04 20:23:10.131282	\N	cbf4f2de-a8c6-4292-9cb8-745db0cc6fa1
204566	2	25950	2013-08-04 20:23:16.618585	2013-08-04 20:23:16.618585	\N	5c3d4433-84da-4fdf-aca7-6d9113a9707e
182943	9	23834	2013-08-04 18:47:45.314225	2013-08-04 18:47:45.314225	\N	04eb49d4-cd80-4ade-8ce5-7223cde888d2
182969	7	23834	2013-08-04 18:47:55.853284	2013-08-04 18:47:55.853284	\N	9d127d01-d0ad-4c81-8489-ee2a01f4e67a
182986	15	23782	2013-08-04 18:47:58.685659	2013-08-04 18:47:58.685659	\N	66ff75c0-5c36-4a3a-9097-4f92cbb78607
182987	9	23850	2013-08-04 18:47:58.752816	2013-08-04 18:47:58.752816	\N	a5244311-69f2-44c0-afa9-9087a63cd04c
182988	15	23743	2013-08-04 18:47:59.635361	2013-08-04 18:47:59.635361	\N	4c8a02e7-70b1-4755-bcaf-4107fd791976
182990	9	23823	2013-08-04 18:47:59.92324	2013-08-04 18:47:59.92324	\N	e92f679b-1c4b-45aa-b7cd-c780ecdefb18
182993	11	23758	2013-08-04 18:48:00.5096	2013-08-04 18:48:00.5096	\N	089c0cd5-bf77-4085-9224-0e134f91b421
183007	9	23782	2013-08-04 18:48:03.220989	2013-08-04 18:48:03.220989	\N	a9019ea0-e237-4341-afe1-22871d0fd1d4
183014	13	23743	2013-08-04 18:48:04.202848	2013-08-04 18:48:04.202848	\N	a8f83c5f-a7b5-4be6-9b27-0c20dcf001f9
183024	1	23820	2013-08-04 18:48:09.804005	2013-08-04 18:48:09.804005	\N	395a1bd7-308a-47f6-860b-763e7460f8ef
186228	4	24054	2013-08-04 18:59:39.571317	2013-08-04 18:59:39.571317	\N	b4316579-e298-4f13-ab3f-e0081a754596
186229	4	24055	2013-08-04 18:59:39.702427	2013-08-04 18:59:39.702427	\N	5c7f0e15-65bb-4801-a15e-e358d7356457
186230	4	24056	2013-08-04 18:59:39.735842	2013-08-04 18:59:39.735842	\N	8646463c-0339-40cb-93e7-deaaf97017fc
186231	4	24063	2013-08-04 18:59:39.764146	2013-08-04 18:59:39.764146	\N	e3bfae80-02da-4c3a-9eff-6eae05debfdc
179682	14	23380	2013-08-04 18:36:42.322857	2013-08-04 18:36:42.322857	\N	64bcaa47-26f1-4c42-b603-125efe5b2f2e
186232	4	24064	2013-08-04 18:59:39.794618	2013-08-04 18:59:39.794618	\N	6b4358de-eda5-40d8-8126-ea89b9129969
204524	7	25993	2013-08-04 20:23:01.208972	2013-08-04 20:23:01.208972	\N	0e895d87-756c-4458-9672-70aeab357110
189351	19	24286	2013-08-04 19:10:11.673606	2013-08-04 19:10:11.673606	\N	8bb4b89b-37fa-4b21-a1b1-a5b5f181a182
189355	2	24304	2013-08-04 19:10:12.437677	2013-08-04 19:10:12.437677	\N	81b7703a-5d5b-4534-af75-3ce29733112d
204550	11	25885	2013-08-04 20:23:09.262842	2013-08-04 20:23:09.262842	\N	ae3ff8ec-6b3d-4b50-b350-57c8b0d7b5cd
196736	7	25116	2013-08-04 19:47:32.905849	2013-08-04 19:47:32.905849	\N	8c5520ff-d850-4153-b26b-fbad6c28b776
196737	7	25064	2013-08-04 19:47:32.998561	2013-08-04 19:47:32.998561	\N	c6857320-9ff9-4a78-ba97-f0ce0b10b65f
196738	7	25042	2013-08-04 19:47:33.117632	2013-08-04 19:47:33.117632	\N	1a382c2c-6667-4ed1-9765-2c17666f8c25
204564	2	25966	2013-08-04 20:23:14.42931	2013-08-04 20:23:14.42931	\N	bd989094-4828-4960-96ca-d238631f5899
196742	8	25042	2013-08-04 19:47:33.848631	2013-08-04 19:47:33.848631	\N	3378be1b-c952-4593-a66c-27f6d62be4d3
204586	7	25962	2013-08-04 20:23:38.093884	2013-08-04 20:23:38.093884	\N	63ea3329-4799-4afc-b8c0-e11014593bb9
204587	1	25961	2013-08-04 20:23:41.123177	2013-08-04 20:23:41.123177	\N	2c62dc7f-44f5-49df-813a-3350c53aad15
196757	7	25072	2013-08-04 19:47:38.618125	2013-08-04 19:47:38.618125	\N	029819d4-4b18-42c5-8ab9-3a1528a5cad5
196767	7	25100	2013-08-04 19:47:42.485845	2013-08-04 19:47:42.485845	\N	dbe4562f-9bda-461a-b345-3870bf5a135e
204693	2	25939	2013-08-04 20:24:41.843164	2013-08-04 20:24:41.843164	\N	31b277f2-599f-44c0-8c1d-ae406255f48b
196786	14	25097	2013-08-04 19:47:44.069667	2013-08-04 19:47:44.069667	\N	4a1e9fb4-cedd-4003-980f-3d0740db1e8e
182907	8	23782	2013-08-04 18:47:36.729062	2013-08-04 18:47:36.729062	\N	449e0228-2990-4522-96ef-eeac9c18a1cc
182908	4	23743	2013-08-04 18:47:37.722327	2013-08-04 18:47:37.722327	\N	8a032f6b-e002-4f7f-8363-33a9ccb3d63d
182909	4	23758	2013-08-04 18:47:37.829214	2013-08-04 18:47:37.829214	\N	69ac3e59-fd21-4b4b-8e82-def249c2c927
182910	4	23782	2013-08-04 18:47:37.855803	2013-08-04 18:47:37.855803	\N	497955ce-3a6b-4afb-a9a2-72a6139aa7ef
196788	6	25042	2013-08-04 19:47:44.214091	2013-08-04 19:47:44.214091	\N	77feb80f-eeeb-41ff-ab5a-8b4c94447637
182961	7	23838	2013-08-04 18:47:51.353004	2013-08-04 18:47:51.353004	\N	9aa61fbb-b64a-4ef8-9db1-4fdca4b8ce95
196838	14	25069	2013-08-04 19:47:57.075555	2013-08-04 19:47:57.075555	\N	d6032ca3-0f41-4acd-9875-5bbe2f4ab474
182963	7	23782	2013-08-04 18:47:52.930123	2013-08-04 18:47:52.930123	\N	2dcd8e14-1904-4c5c-b8b3-242a1558b313
182968	7	23758	2013-08-04 18:47:54.867614	2013-08-04 18:47:54.867614	\N	9739166f-d5ac-4bd2-8baa-79edb3807fa3
196839	14	25111	2013-08-04 19:47:57.11794	2013-08-04 19:47:57.11794	\N	5124e4e1-856b-455f-9598-dc52090f3a6a
182977	11	23743	2013-08-04 18:47:57.337526	2013-08-04 18:47:57.337526	\N	9964732e-2b0e-4cb1-bc20-61a5baf45c4d
196854	4	25003	2013-08-04 19:48:05.035715	2013-08-04 19:48:05.035715	\N	c62d5378-f92a-44ac-bfd6-aa460b4d265b
196855	4	25018	2013-08-04 19:48:05.135026	2013-08-04 19:48:05.135026	\N	504fde29-717b-4428-adc9-f023aca48256
183001	7	23824	2013-08-04 18:48:02.077258	2013-08-04 18:48:02.077258	\N	92034136-1c34-4f0f-aa7d-b488b76cdd05
183002	11	23782	2013-08-04 18:48:02.57207	2013-08-04 18:48:02.57207	\N	17690ec1-175d-44f8-bc2d-70cb46ef1b5e
196856	4	25042	2013-08-04 19:48:05.166931	2013-08-04 19:48:05.166931	\N	14c93285-6c11-4a91-aa51-deca21c5d3e3
183009	1	23856	2013-08-04 18:48:03.560788	2013-08-04 18:48:03.560788	\N	02834edb-33ba-4980-b535-0b463435c222
196863	8	25003	2013-08-04 19:48:09.596978	2013-08-04 19:48:09.596978	\N	d8ea622f-e971-4f08-a8d3-64e81a3862b0
183013	14	23782	2013-08-04 18:48:03.785482	2013-08-04 18:48:03.785482	\N	d02633c3-c2ce-4242-a2e8-d1edc3fef113
200661	1	25475	2013-08-04 20:06:09.358357	2013-08-04 20:06:09.358357	\N	ce3e1729-0ea9-4a4b-aa4b-61a35fb94f6d
183023	9	23844	2013-08-04 18:48:09.208682	2013-08-04 18:48:09.208682	\N	4c6f1a73-8950-46da-b9ce-fb2c9761426e
204836	3	25885	2013-08-04 20:25:39.98052	2013-08-04 20:25:39.98052	\N	13506a0e-8b9c-4caf-a971-0e13ac1bf149
183054	17	23758	2013-08-04 18:48:20.836618	2013-08-04 18:48:20.836618	\N	84d3ecfa-4ead-4e38-a0c7-5aaadfb904a8
193347	8	24538	2013-08-04 19:27:47.974228	2013-08-04 19:27:47.974228	\N	84568af1-323b-4107-aaf1-b28dbc6949cf
189670	19	24344	2013-08-04 19:11:03.574727	2013-08-04 19:11:03.574727	\N	237c8bba-ea22-4257-a142-23aef91eb755
193360	11	24514	2013-08-04 19:27:49.687166	2013-08-04 19:27:49.687166	\N	3dd1a47f-53a2-421c-9cd5-c0bb848f1e44
193378	9	24576	2013-08-04 19:27:50.938524	2013-08-04 19:27:50.938524	\N	02f5f95b-8189-4109-941d-0acddbd1a170
193379	4	24499	2013-08-04 19:27:51.05638	2013-08-04 19:27:51.05638	\N	62bab165-35b4-4864-abf1-643faea61891
193380	4	24514	2013-08-04 19:27:51.133538	2013-08-04 19:27:51.133538	\N	3305e6fc-0571-471e-98be-f074bc0269a7
193381	4	24538	2013-08-04 19:27:51.227164	2013-08-04 19:27:51.227164	\N	25b16238-31b4-4009-b9ca-844b6c85ff70
193385	9	24538	2013-08-04 19:27:52.147341	2013-08-04 19:27:52.147341	\N	34649d7e-0da6-4838-9c5e-aaffd2676dca
193411	1	24575	2013-08-04 19:28:00.75233	2013-08-04 19:28:00.75233	\N	03b842f8-6f26-4e04-95e4-31f3a5a98b2a
193415	14	24565	2013-08-04 19:28:01.025052	2013-08-04 19:28:01.025052	\N	2c8e35ee-9a5e-4af1-bd32-6e46ed16ac87
193416	14	24558	2013-08-04 19:28:01.063664	2013-08-04 19:28:01.063664	\N	eed5e5e9-98f1-496a-b924-ef25960dc058
193428	1	24580	2013-08-04 19:28:02.977611	2013-08-04 19:28:02.977611	\N	f40b5c22-8278-466c-bd5d-971fe2d81ba6
196900	14	25042	2013-08-04 19:48:23.129203	2013-08-04 19:48:23.129203	\N	c7d7f296-df37-4f79-922a-7a31d6ebec1e
183173	11	23856	2013-08-04 18:48:57.107696	2013-08-04 18:48:57.107696	\N	74233257-c0dc-4f7f-ad94-dae572fc5196
196913	1	25003	2013-08-04 19:48:26.226715	2013-08-04 19:48:26.226715	\N	2368743c-9eb9-4669-b0ed-2316a2cd9ce1
196914	9	25083	2013-08-04 19:48:27.565503	2013-08-04 19:48:27.565503	\N	c2a0d01e-1ddf-45b3-bad5-7405d7e989ef
208813	7	26742	2013-08-04 20:55:17.1297	2013-08-04 20:55:17.1297	\N	83221aba-6f74-46ed-a9bf-11551e323ae6
182971	2	23810	2013-08-04 18:47:55.981569	2013-08-04 18:47:55.981569	\N	ded5b7a1-46a2-4d1f-b6bf-5973c538e63a
179686	2	23421	2013-08-04 18:36:43.233536	2013-08-04 18:36:43.233536	\N	6ced7d9e-46b3-48da-b3f1-2b85108663f5
182972	11	23820	2013-08-04 18:47:56.098409	2013-08-04 18:47:56.098409	\N	69de1728-8739-4ae0-a1af-b83f95af000e
204538	14	25965	2013-08-04 20:23:08.120682	2013-08-04 20:23:08.120682	\N	2a642633-37a8-4ab6-8664-09bab1e92c3a
182974	14	23819	2013-08-04 18:47:56.399929	2013-08-04 18:47:56.399929	\N	64583fb8-a67a-4061-be7f-489b97dbdd0e
183019	9	23820	2013-08-04 18:48:07.832468	2013-08-04 18:48:07.832468	\N	9f406948-4d2a-4147-81f7-b160fc43affc
196819	1	25042	2013-08-04 19:47:51.876616	2013-08-04 19:47:51.876616	\N	62ea6304-d65f-4c34-b4b3-1f143351ba62
196824	13	25042	2013-08-04 19:47:53.061678	2013-08-04 19:47:53.061678	\N	c539e968-ecf8-4bae-a3c9-31a85b95101c
204539	11	25962	2013-08-04 20:23:08.156526	2013-08-04 20:23:08.156526	\N	ba9594d5-4a4f-4097-a571-db1d2fa1ea2b
204560	6	25885	2013-08-04 20:23:10.750089	2013-08-04 20:23:10.750089	\N	93f8fa52-fcc0-4572-bcdb-f7779c22e3bf
204576	2	25962	2013-08-04 20:23:27.108995	2013-08-04 20:23:27.108995	\N	db220fec-7bc6-4a82-a2e1-ec18320d1675
208542	2	26699	2013-08-04 20:53:40.119359	2013-08-04 20:53:40.119359	\N	6246f06b-3efe-49a5-8e6a-8f0d1a48e78a
183096	1	23837	2013-08-04 18:48:38.240405	2013-08-04 18:48:38.240405	\N	1ef44e4a-4ad6-4cfc-acab-d3076261608b
183100	9	23838	2013-08-04 18:48:38.818545	2013-08-04 18:48:38.818545	\N	80f92540-9207-4313-a039-a52197d31920
204605	1	25966	2013-08-04 20:23:45.45242	2013-08-04 20:23:45.45242	\N	1a0ed9e3-a8d5-4a0e-b022-207ae955624e
208549	2	26705	2013-08-04 20:53:44.326017	2013-08-04 20:53:44.326017	\N	b1c46f29-a593-4ad7-a9ea-f4adb9bff3d3
200477	7	25443	2013-08-04 20:05:37.906222	2013-08-04 20:05:37.906222	\N	cb13290f-be59-4900-a51f-d1e5d974eafb
183108	19	23758	2013-08-04 18:48:41.218431	2013-08-04 18:48:41.218431	\N	cae38d9e-4439-410a-8599-50ac122cd719
183109	10	23850	2013-08-04 18:48:42.452755	2013-08-04 18:48:42.452755	\N	0db3b51f-a221-4c10-88c0-3dbe78a77b8a
204608	2	25947	2013-08-04 20:23:48.748491	2013-08-04 20:23:48.748491	\N	2cf5efcd-cd54-4657-bf23-31f5f955d707
183147	14	23808	2013-08-04 18:48:51.482371	2013-08-04 18:48:51.482371	\N	11b9d7fd-6337-49d5-b18b-1be1fea8b73b
186347	10	24096	2013-08-04 18:59:58.511316	2013-08-04 18:59:58.511316	\N	12d57368-37b3-4382-9232-6131e8e6f704
183151	14	23802	2013-08-04 18:48:51.566981	2013-08-04 18:48:51.566981	\N	dddf9bbb-0707-4dbe-81ae-d1311f20f6e7
183152	14	23800	2013-08-04 18:48:51.602009	2013-08-04 18:48:51.602009	\N	5a8cbedb-567d-4c7c-bbe7-561d888b7f5e
183153	14	23812	2013-08-04 18:48:51.637756	2013-08-04 18:48:51.637756	\N	563aa9d4-ceda-4e83-80cb-bc5c72f106ef
208553	1	26673	2013-08-04 20:53:46.011831	2013-08-04 20:53:46.011831	\N	c33bb31c-2a17-4bb3-b33b-6f13d3bbf831
189440	19	24262	2013-08-04 19:10:21.921832	2013-08-04 19:10:21.921832	\N	cf9db0db-8805-4bc7-8d4e-2c6dd4649add
183210	19	23834	2013-08-04 18:49:13.719036	2013-08-04 18:49:13.719036	\N	5f4c5629-3640-4406-9a68-fffedcc74ba2
196946	2	25080	2013-08-04 19:48:35.466746	2013-08-04 19:48:35.466746	\N	6d9e3375-9054-4b3f-b42f-51041afed38d
196949	10	25042	2013-08-04 19:48:36.031214	2013-08-04 19:48:36.031214	\N	39ddb5c2-958e-4dc8-9a3c-bf0db60a9288
183223	1	23819	2013-08-04 18:49:19.184506	2013-08-04 18:49:19.184506	\N	a3a5b7f3-64ae-4ccc-93a0-06f5e29b8908
204648	2	25944	2013-08-04 20:24:10.895345	2013-08-04 20:24:10.895345	\N	e7d101a1-c46e-4a79-80bd-be5b7315ccd2
204667	14	25979	2013-08-04 20:24:26.596418	2013-08-04 20:24:26.596418	\N	d39a2829-cecc-499b-ba36-435a19b1908e
183240	14	23770	2013-08-04 18:49:24.569371	2013-08-04 18:49:24.569371	\N	bcdd8214-6bac-408e-b43d-467c2c9b2eb6
183241	14	23842	2013-08-04 18:49:24.627766	2013-08-04 18:49:24.627766	\N	8a2682b7-4b7a-42c9-9cc8-f0a1092a80f5
183242	14	23771	2013-08-04 18:49:24.657684	2013-08-04 18:49:24.657684	\N	9c259480-37eb-4966-a07b-59e15ad4e695
183243	14	23772	2013-08-04 18:49:24.705517	2013-08-04 18:49:24.705517	\N	9abfed39-1a8a-41b7-8430-781b1d2f07d3
183244	14	23807	2013-08-04 18:49:24.763789	2013-08-04 18:49:24.763789	\N	2da0c6ef-2c3f-485d-aa14-7da30b35dfe8
183245	14	23841	2013-08-04 18:49:24.79571	2013-08-04 18:49:24.79571	\N	bb2a554c-4682-4279-9001-807c6f110a43
204670	10	25885	2013-08-04 20:24:27.746648	2013-08-04 20:24:27.746648	\N	d09bf369-fb84-4936-93ce-97f456ab4883
204671	10	25986	2013-08-04 20:24:27.851202	2013-08-04 20:24:27.851202	\N	77aee9ab-c47d-4d42-9cbd-53151977e5a0
186408	19	24086	2013-08-04 19:00:14.462558	2013-08-04 19:00:14.462558	\N	c995686e-d4a0-4c9a-8710-117a45d3d584
204683	9	25979	2013-08-04 20:24:32.296792	2013-08-04 20:24:32.296792	\N	e323cc9f-9d84-4ebe-baf0-541ccff3e838
183263	10	23782	2013-08-04 18:49:33.911528	2013-08-04 18:49:33.911528	\N	367b2fc4-d7a6-4d5b-9575-e40921f70b0d
193395	7	24580	2013-08-04 19:27:55.878887	2013-08-04 19:27:55.878887	\N	531b74df-785d-4c41-bf14-f089b5cf3f13
193398	7	24499	2013-08-04 19:27:57.862594	2013-08-04 19:27:57.862594	\N	e104f6e9-5be2-461d-82dc-f1e33f43dace
189490	19	24348	2013-08-04 19:10:34.963918	2013-08-04 19:10:34.963918	\N	7b651dea-d130-46af-b00a-b30f111a435d
193399	7	24514	2013-08-04 19:27:59.049809	2013-08-04 19:27:59.049809	\N	521c06aa-b7d9-488e-bb24-56f07cdd7ab8
193413	7	24576	2013-08-04 19:28:00.929133	2013-08-04 19:28:00.929133	\N	f35e8ba4-8095-4aab-b7df-5b4885a91015
193433	18	24514	2013-08-04 19:28:03.462971	2013-08-04 19:28:03.462971	\N	aee5a4d7-8175-4deb-a2e2-3b2cbb5a7e09
204708	2	25949	2013-08-04 20:24:52.400385	2013-08-04 20:24:52.400385	\N	5ab85596-465f-4e5b-b80f-9b13f73fc483
183277	10	23743	2013-08-04 18:49:39.156945	2013-08-04 18:49:39.156945	\N	878bf2cb-3cb8-4471-8d14-f33f03b882a4
193451	7	24612	2013-08-04 19:28:09.577344	2013-08-04 19:28:09.577344	\N	bd42723e-cb77-4f8a-b9ef-efe557fd7991
186456	2	24062	2013-08-04 19:00:21.749143	2013-08-04 19:00:21.749143	\N	33e02894-d8d9-4165-8a76-06b3e35bf87f
197244	19	25042	2013-08-04 19:50:08.242763	2013-08-04 19:50:08.242763	\N	c07d4fbc-7f81-4250-ab6f-b839db8adfb5
197245	1	25116	2013-08-04 19:50:08.683831	2013-08-04 19:50:08.683831	\N	971c522f-4fc5-4918-827b-f6d37154080d
183289	10	23844	2013-08-04 18:49:44.518662	2013-08-04 18:49:44.518662	\N	d038438a-2395-46ec-a82f-f2c6361e5b19
204725	1	25979	2013-08-04 20:24:58.287281	2013-08-04 20:24:58.287281	\N	46d2c23b-0960-4f84-b320-bef8bc8e7f2d
208658	1	26649	2013-08-04 20:54:24.443271	2013-08-04 20:54:24.443271	\N	91691907-7d7f-4099-9725-9fe378622687
189595	14	24313	2013-08-04 19:10:50.666845	2013-08-04 19:10:50.666845	\N	7e43b03d-245b-4ff9-9479-89ef14682351
189596	14	24317	2013-08-04 19:10:50.708164	2013-08-04 19:10:50.708164	\N	65161a69-b73f-4db0-9324-a5455019daa6
189597	14	24301	2013-08-04 19:10:50.748933	2013-08-04 19:10:50.748933	\N	f1e055ec-d07f-4757-a6d7-f30f0c895287
196833	7	25062	2013-08-04 19:47:56.571101	2013-08-04 19:47:56.571101	\N	22f9a753-c029-4fc1-a5f7-b397c134ad20
208533	10	26641	2013-08-04 20:53:37.065428	2013-08-04 20:53:37.065428	\N	df8c2e37-e812-47b9-8cda-d05d00008548
196844	2	25067	2013-08-04 19:48:00.069942	2013-08-04 19:48:00.069942	\N	f68bf126-deea-43ea-8f1a-bbac9cbf63e3
204611	19	25986	2013-08-04 20:23:51.44772	2013-08-04 20:23:51.44772	\N	10116b9a-6837-483f-ae3f-41c19ba37b8a
208595	16	26641	2013-08-04 20:54:03.443694	2013-08-04 20:54:03.443694	\N	fbf951a1-8f8a-447b-8dbf-2a2701560e01
186319	19	24096	2013-08-04 18:59:53.528771	2013-08-04 18:59:53.528771	\N	a8dc6d3a-aba0-45bb-bcfe-d9aa762930be
208668	19	26750	2013-08-04 20:54:28.318032	2013-08-04 20:54:28.318032	\N	e0312151-0610-4042-856e-f97fff718a48
196876	4	25080	2013-08-04 19:48:13.736298	2013-08-04 19:48:13.736298	\N	e878e7cc-af6c-4fa7-985d-8af60ea701d5
196878	4	25100	2013-08-04 19:48:13.842163	2013-08-04 19:48:13.842163	\N	6d70dd97-1a3d-4095-94d2-16ae337bb29c
196880	4	25116	2013-08-04 19:48:13.894437	2013-08-04 19:48:13.894437	\N	8954175e-bee3-4ca6-9d02-122b721b6fb6
183264	1	23823	2013-08-04 18:49:34.014434	2013-08-04 18:49:34.014434	\N	d95f00c7-2ced-4a68-8980-2e3a99b9fcd9
196938	2	25069	2013-08-04 19:48:33.285136	2013-08-04 19:48:33.285136	\N	8d05e8f4-2f5c-473e-a956-a106822005ec
200700	14	25408	2013-08-04 20:06:14.287139	2013-08-04 20:06:14.287139	\N	1a9c1f9f-0b33-4185-b3dc-b155cc010a4a
200701	14	25480	2013-08-04 20:06:14.325789	2013-08-04 20:06:14.325789	\N	2e066689-f684-49e8-a83d-5473cd58d493
200703	14	25409	2013-08-04 20:06:14.358472	2013-08-04 20:06:14.358472	\N	da904535-61ba-4534-a61c-a04f15e76740
197022	17	25003	2013-08-04 19:48:56.396602	2013-08-04 19:48:56.396602	\N	e02bf118-eca4-42cb-9420-02f909084663
200705	14	25410	2013-08-04 20:06:14.407447	2013-08-04 20:06:14.407447	\N	f7764915-9e13-4716-8740-ea4f848813e5
197050	4	25098	2013-08-04 19:49:04.326712	2013-08-04 19:49:04.326712	\N	b3e9ef14-5ae9-4858-ae79-c8bb5ca3d990
200707	14	25445	2013-08-04 20:06:14.457104	2013-08-04 20:06:14.457104	\N	f1495172-a1a7-4337-86e5-958313d1c1e8
200708	14	25479	2013-08-04 20:06:14.512619	2013-08-04 20:06:14.512619	\N	f2722b68-a239-4c14-b8a0-e52dd4354286
200710	14	25450	2013-08-04 20:06:14.563459	2013-08-04 20:06:14.563459	\N	9733a0ae-f0b8-4e42-b17c-9803d16e5610
193396	2	24593	2013-08-04 19:27:56.875311	2013-08-04 19:27:56.875311	\N	fd58ac3e-98b9-4419-b56b-f29e76ba25bb
193397	2	24612	2013-08-04 19:27:56.974539	2013-08-04 19:27:56.974539	\N	eed6f22e-ac9e-4e7b-a763-64ff24036ddb
193400	7	24538	2013-08-04 19:28:00.047153	2013-08-04 19:28:00.047153	\N	6b9d5789-1c32-4cde-b933-b8edf7d025e2
189707	2	24307	2013-08-04 19:11:11.958224	2013-08-04 19:11:11.958224	\N	4105e719-b6ba-4a64-a5a6-c1a2903572ae
189711	19	24356	2013-08-04 19:11:12.770428	2013-08-04 19:11:12.770428	\N	e12b770e-1123-454f-b73d-364d01319b5c
193517	14	24514	2013-08-04 19:28:29.720284	2013-08-04 19:28:29.720284	\N	2b308584-46d4-4f46-8e04-da8a2b9e1e73
186581	14	24056	2013-08-04 19:00:40.344566	2013-08-04 19:00:40.344566	\N	5a7df814-ce15-4382-b5a2-29974e93c302
186582	14	24055	2013-08-04 19:00:40.423582	2013-08-04 19:00:40.423582	\N	fddb08d1-716a-442c-b3b7-1900aa4aa082
208937	7	26736	2013-08-04 20:55:44.899478	2013-08-04 20:55:44.899478	\N	63c9d7ce-be20-49e4-8822-4813707ef0cf
193527	9	24593	2013-08-04 19:28:30.67759	2013-08-04 19:28:30.67759	\N	d6c600d2-2156-454f-80f0-f0e8e489daaf
189772	2	24309	2013-08-04 19:11:23.434948	2013-08-04 19:11:23.434948	\N	950cf007-99d7-4a57-975c-85d7f4e3adf0
193530	9	24611	2013-08-04 19:28:33.831795	2013-08-04 19:28:33.831795	\N	9fc997c3-7c1f-4845-bb58-54c406e2bde7
197113	7	25069	2013-08-04 19:49:23.613357	2013-08-04 19:49:23.613357	\N	f7b1f0c9-cac4-4ede-8cb3-85562bda134a
186619	6	23995	2013-08-04 19:00:46.643646	2013-08-04 19:00:46.643646	\N	0ef31474-abbd-4c68-9f45-6616778dcebe
193585	11	24612	2013-08-04 19:28:47.384962	2013-08-04 19:28:47.384962	\N	c650f996-a978-4a9d-8a09-ba341bb1dc2c
197118	2	25071	2013-08-04 19:49:24.039598	2013-08-04 19:49:24.039598	\N	2467f846-a057-4ffd-b429-02fe507b14f0
205062	2	26022	2013-08-04 20:27:39.863102	2013-08-04 20:27:39.863102	\N	dac3bf71-2811-48d9-9bf9-4f3cc3e2e443
205063	2	26019	2013-08-04 20:27:39.914857	2013-08-04 20:27:39.914857	\N	d07d2304-2c41-4c8a-bcde-253751bda0cc
205064	2	26016	2013-08-04 20:27:39.970473	2013-08-04 20:27:39.970473	\N	a80a1c2c-335b-4cf6-96b0-fa99c4402ac4
205065	2	26034	2013-08-04 20:27:40.007545	2013-08-04 20:27:40.007545	\N	62c63967-e985-4042-a6c5-814e3f46bb45
205066	2	26007	2013-08-04 20:27:40.065273	2013-08-04 20:27:40.065273	\N	41233c4c-ee6b-4bb5-893e-e9ec6d66c742
205067	2	26065	2013-08-04 20:27:40.104791	2013-08-04 20:27:40.104791	\N	813bed64-4093-4e5f-b4a4-1cbfd821cc6a
186345	10	24034	2013-08-04 18:59:58.395835	2013-08-04 18:59:58.395835	\N	fe71653c-b1a4-463b-aeab-d9b2f1c568cb
183039	13	23758	2013-08-04 18:48:13.680921	2013-08-04 18:48:13.680921	\N	3f60d7a8-edf9-491a-ae55-27b54eb4ae22
204624	4	25986	2013-08-04 20:24:01.384547	2013-08-04 20:24:01.384547	\N	12bce87c-c980-4e9a-b3f0-6ca1f5ac0c4f
204627	4	25966	2013-08-04 20:24:01.45841	2013-08-04 20:24:01.45841	\N	77e597f0-2359-4334-9be6-880ddfcce485
204628	4	25980	2013-08-04 20:24:01.491908	2013-08-04 20:24:01.491908	\N	cd8b73b4-a759-4de9-9299-14f7a3e02287
189537	18	24286	2013-08-04 19:10:42.422425	2013-08-04 19:10:42.422425	\N	37e8052e-f393-4d2b-8359-19ff94107a1d
208561	1	26652	2013-08-04 20:53:49.844999	2013-08-04 20:53:49.844999	\N	9ec1de11-f09b-40fa-a464-b3ff151de48b
183048	13	23782	2013-08-04 18:48:15.612429	2013-08-04 18:48:15.612429	\N	9c3d7319-754d-4110-9671-a44646f33f80
196978	2	25116	2013-08-04 19:48:43.874153	2013-08-04 19:48:43.874153	\N	e6ee6ae5-d287-4e70-a8ad-18597091a19d
208582	14	26699	2013-08-04 20:54:01.600319	2013-08-04 20:54:01.600319	\N	98909387-18c4-4f22-bb6a-651cb75802b2
208584	14	26702	2013-08-04 20:54:01.680341	2013-08-04 20:54:01.680341	\N	4ffe88c6-492a-42ad-98af-4479ed4e46c0
197002	9	25079	2013-08-04 19:48:47.083221	2013-08-04 19:48:47.083221	\N	04233530-798d-42ad-828a-3a4d04ed79a1
183160	19	23844	2013-08-04 18:48:53.576697	2013-08-04 18:48:53.576697	\N	c272ded3-ba6e-413c-a69e-8c80fd43f8a7
197021	17	25018	2013-08-04 19:48:55.318951	2013-08-04 19:48:55.318951	\N	3d804d87-f799-4881-9b7f-3f458c21abf1
183187	1	23855	2013-08-04 18:49:04.384644	2013-08-04 18:49:04.384644	\N	1b1aa665-886e-4d87-b381-40bfcfc82524
193348	2	24504	2013-08-04 19:27:48.85717	2013-08-04 19:27:48.85717	\N	e9e99ad8-aabc-464e-85f9-d56b6f938f8c
193349	2	24507	2013-08-04 19:27:48.935812	2013-08-04 19:27:48.935812	\N	b9f3a36e-6d53-4964-add5-9f69b195602b
193350	2	24516	2013-08-04 19:27:49.01806	2013-08-04 19:27:49.01806	\N	cd256e27-e7cd-40c5-a9b1-e167a2ef30c5
193351	2	24499	2013-08-04 19:27:49.090479	2013-08-04 19:27:49.090479	\N	e66087cd-9b7d-4d47-a3f0-e3c364a2017c
193352	2	24495	2013-08-04 19:27:49.187361	2013-08-04 19:27:49.187361	\N	870f9d6c-3176-47bf-99df-069fecfdb428
193353	2	24522	2013-08-04 19:27:49.261295	2013-08-04 19:27:49.261295	\N	7e27f5ba-3d92-4d8d-ab9c-1a4355443129
193354	2	24558	2013-08-04 19:27:49.367837	2013-08-04 19:27:49.367837	\N	9efe35a6-fdad-4b92-81e7-41a60bc41113
193355	2	24556	2013-08-04 19:27:49.463588	2013-08-04 19:27:49.463588	\N	22eae404-dee0-44e9-97bb-aa6dcc9da9ef
186468	19	24092	2013-08-04 19:00:22.865197	2013-08-04 19:00:22.865197	\N	f51d75df-0117-4917-a7d1-331b81a35ec7
193359	2	24501	2013-08-04 19:27:49.634862	2013-08-04 19:27:49.634862	\N	1a9e6a2f-82e1-4634-898b-52112b62d050
204691	1	25962	2013-08-04 20:24:41.152986	2013-08-04 20:24:41.152986	\N	eea1fc11-1885-4f0e-8322-8f22e550b190
193363	2	24538	2013-08-04 19:27:49.772233	2013-08-04 19:27:49.772233	\N	7d92ddb0-fcc8-48d7-9008-0d4025774f45
193365	2	24566	2013-08-04 19:27:49.881823	2013-08-04 19:27:49.881823	\N	57e75e09-1d9e-4b51-b9be-08dfd2a74e61
193367	2	24575	2013-08-04 19:27:49.95177	2013-08-04 19:27:49.95177	\N	ae5e66a0-d533-4df8-936f-409277e249fd
193368	2	24576	2013-08-04 19:27:50.032173	2013-08-04 19:27:50.032173	\N	1b27bca3-7d04-4f34-b6de-8173a6f9b3ca
193369	2	24514	2013-08-04 19:27:50.103421	2013-08-04 19:27:50.103421	\N	c110b99d-8cf0-4b2f-a864-14e2232f2a82
204746	7	25955	2013-08-04 20:25:03.659279	2013-08-04 20:25:03.659279	\N	c9ddc620-e6cb-408f-a6cb-3bdb04360736
193373	2	24559	2013-08-04 19:27:50.237916	2013-08-04 19:27:50.237916	\N	3748e9b9-5eea-49dc-8a02-ff11b05d17b6
183226	3	23782	2013-08-04 18:49:19.460524	2013-08-04 18:49:19.460524	\N	642241fd-c8e5-47ea-b4a1-16dc086d5ced
183227	3	23743	2013-08-04 18:49:19.506341	2013-08-04 18:49:19.506341	\N	99866d63-e9f5-4dac-be69-457720c7d093
183228	3	23758	2013-08-04 18:49:19.545895	2013-08-04 18:49:19.545895	\N	28667fdd-e68d-4bf8-b31c-03825bcab257
183231	19	23840	2013-08-04 18:49:20.577748	2013-08-04 18:49:20.577748	\N	7f860e7d-d2c3-41a5-a2a6-c03fdc211aa9
193382	8	24608	2013-08-04 19:27:51.310732	2013-08-04 19:27:51.310732	\N	a069a5bd-cac0-4b3e-b11a-abf7012251f7
193384	11	24538	2013-08-04 19:27:52.054326	2013-08-04 19:27:52.054326	\N	6dead009-3437-44f5-b954-65283775ea27
183292	10	23840	2013-08-04 18:49:44.624369	2013-08-04 18:49:44.624369	\N	54d55966-1cbf-4e8f-97f7-d1732c73dc1d
186617	6	24010	2013-08-04 19:00:45.6716	2013-08-04 19:00:45.6716	\N	a6aed4ca-b019-48e4-a00b-895bd8350f0c
193391	7	24607	2013-08-04 19:27:54.068466	2013-08-04 19:27:54.068466	\N	bb6e8688-281c-49dc-8c86-2d94586ea821
197135	14	25071	2013-08-04 19:49:33.14601	2013-08-04 19:49:33.14601	\N	ba7e536b-28c0-434a-9ac1-80f3353af633
193414	15	24538	2013-08-04 19:28:00.932666	2013-08-04 19:28:00.932666	\N	83831aa9-424c-42ce-9ce8-0f3aa2844145
193417	10	24538	2013-08-04 19:28:01.347564	2013-08-04 19:28:01.347564	\N	e43c6208-c195-4831-b4cd-258a29fd1529
204763	7	25954	2013-08-04 20:25:13.352118	2013-08-04 20:25:13.352118	\N	ae1b661e-0b7a-4a24-a2c0-fb7dfe383312
208738	4	26710	2013-08-04 20:54:53.877541	2013-08-04 20:54:53.877541	\N	ecbda20e-2b76-4ae6-9bc6-ceb3ad210ef0
193432	14	24607	2013-08-04 19:28:03.290279	2013-08-04 19:28:03.290279	\N	212ad76a-6a6a-4d75-96c8-9ea7bd0cd913
204819	9	25986	2013-08-04 20:25:34.425562	2013-08-04 20:25:34.425562	\N	847f5edf-4ba8-4592-998b-bb89549ce7ae
193438	14	24593	2013-08-04 19:28:07.804869	2013-08-04 19:28:07.804869	\N	0f9445c4-f971-4fd2-abcc-e7dd1c83f00e
193439	4	24552	2013-08-04 19:28:08.708369	2013-08-04 19:28:08.708369	\N	13f89beb-1c6a-4afb-9fed-48f08d33a326
193440	4	24565	2013-08-04 19:28:08.791775	2013-08-04 19:28:08.791775	\N	87a249d7-06b7-43f6-9b59-632ca266e3f7
193442	4	24558	2013-08-04 19:28:08.867599	2013-08-04 19:28:08.867599	\N	1476e412-e173-4c54-b09b-8d2d99fd5aa4
193443	4	24559	2013-08-04 19:28:08.947998	2013-08-04 19:28:08.947998	\N	5cefadd1-3416-4545-9c5c-81099d2945a0
193444	4	24560	2013-08-04 19:28:08.971649	2013-08-04 19:28:08.971649	\N	b8b248d3-ecbf-4651-bf88-1ea7a76ee18b
193445	4	24567	2013-08-04 19:28:08.997095	2013-08-04 19:28:08.997095	\N	904752d1-804a-483d-afaa-9c59fe23dc8e
193447	4	24568	2013-08-04 19:28:09.021642	2013-08-04 19:28:09.021642	\N	b2e7e5c8-b392-4838-8278-c4967b34dfef
193453	2	24546	2013-08-04 19:28:09.609476	2013-08-04 19:28:09.609476	\N	c589f8b5-28b6-4ac9-865f-6b2bb8ebff6c
193455	17	24499	2013-08-04 19:28:10.167104	2013-08-04 19:28:10.167104	\N	6f4abe84-2534-4e8f-bfa4-e9eca7bbe037
200769	2	25475	2013-08-04 20:06:27.853741	2013-08-04 20:06:27.853741	\N	819d0a11-9669-4c9d-bd2e-9e40044ba44e
193461	8	24499	2013-08-04 19:28:11.421534	2013-08-04 19:28:11.421534	\N	4478d32a-4e18-4bd1-a351-394693c1d13a
193464	2	24567	2013-08-04 19:28:11.824928	2013-08-04 19:28:11.824928	\N	60d6849b-e746-4027-b4d2-50a90df65cb9
204688	19	25885	2013-08-04 20:24:36.158186	2013-08-04 20:24:36.158186	\N	fe3ac227-0ee3-4f10-ba90-38cc19f4b27b
204689	15	25885	2013-08-04 20:24:37.2706	2013-08-04 20:24:37.2706	\N	2f568af8-f95b-44c6-af12-8455b123b8e9
204709	19	25994	2013-08-04 20:24:53.294425	2013-08-04 20:24:53.294425	\N	d478b0fb-67b0-4d22-9518-02990ecb74fb
208610	4	26699	2013-08-04 20:54:08.038524	2013-08-04 20:54:08.038524	\N	7ebc1499-2a72-4986-9744-2946d86cdbdc
193394	2	24580	2013-08-04 19:27:54.729116	2013-08-04 19:27:54.729116	\N	089601a4-ae39-481f-94cf-398d071dc695
193435	14	24579	2013-08-04 19:28:05.338226	2013-08-04 19:28:05.338226	\N	54e93a34-8201-4ab7-b321-fdb73f46c603
193441	10	24608	2013-08-04 19:28:08.79562	2013-08-04 19:28:08.79562	\N	e4424136-54be-4038-98c9-908a6385af4d
193446	10	24499	2013-08-04 19:28:09.002324	2013-08-04 19:28:09.002324	\N	3fadd2d1-ca96-4280-9516-174e7dc463be
193489	17	24538	2013-08-04 19:28:20.958008	2013-08-04 19:28:20.958008	\N	6b4850be-6c10-4be6-9a4f-cd21ea1b9d7a
197030	9	25042	2013-08-04 19:48:59.317853	2013-08-04 19:48:59.317853	\N	ff6b2668-aeae-48ea-8bb6-61a74020e444
193518	14	24538	2013-08-04 19:28:29.767366	2013-08-04 19:28:29.767366	\N	0a085ff5-d95b-4e67-8d02-4e9c8f849de5
208633	2	26711	2013-08-04 20:54:16.677203	2013-08-04 20:54:16.677203	\N	2ab4533b-ad39-423b-8033-67d1fd1b4074
208637	7	26711	2013-08-04 20:54:18.132746	2013-08-04 20:54:18.132746	\N	6ef8fd1c-0a82-4232-aa95-fe760aedd54c
186826	14	24010	2013-08-04 19:01:32.308471	2013-08-04 19:01:32.308471	\N	48c9253a-7b90-4a0c-9082-f83e995311db
193605	9	24612	2013-08-04 19:28:52.143656	2013-08-04 19:28:52.143656	\N	6f830f0b-9c57-4089-9739-ab6b36baf637
197105	2	25079	2013-08-04 19:49:21.89548	2013-08-04 19:49:21.89548	\N	b6c47e7c-10bc-4a61-a8d2-1dcc97daa8bc
193616	1	24576	2013-08-04 19:28:56.20091	2013-08-04 19:28:56.20091	\N	00830f5b-b071-4f0d-b6c5-f1502d3e2e8b
204812	9	25962	2013-08-04 20:25:29.183264	2013-08-04 20:25:29.183264	\N	6fad11e5-4dad-49bb-aea1-b2f737c2cfe3
208657	11	26722	2013-08-04 20:54:24.410836	2013-08-04 20:54:24.410836	\N	b92dbc15-846c-4bd3-af16-e5215949c608
201037	7	25546	2013-08-04 20:07:40.049077	2013-08-04 20:07:40.049077	\N	dc338799-9414-481b-8f72-4077ce5356d7
201087	11	25507	2013-08-04 20:07:49.1296	2013-08-04 20:07:49.1296	\N	fad0d99f-e536-4ca3-95ed-60490c3b832d
201170	9	25584	2013-08-04 20:08:03.622192	2013-08-04 20:08:03.622192	\N	34314f38-72a7-48d4-b8ab-09aeb97420c1
204917	14	25912	2013-08-04 20:26:06.741057	2013-08-04 20:26:06.741057	\N	57e9c7f9-8806-4b65-9b50-8f968c57d85b
201300	1	25584	2013-08-04 20:08:30.583915	2013-08-04 20:08:30.583915	\N	a579b233-2183-4dc7-b733-23363f9b76b4
193740	2	24553	2013-08-04 19:29:40.307802	2013-08-04 19:29:40.307802	\N	53b2c03f-3cac-4051-a995-08c189029d7a
204918	14	25984	2013-08-04 20:26:06.848032	2013-08-04 20:26:06.848032	\N	e5451999-cd9b-47e7-a57a-ecca35d9c276
204919	14	25913	2013-08-04 20:26:06.899181	2013-08-04 20:26:06.899181	\N	cdc6a590-e9ae-4862-adf6-3c56e934df16
204920	14	25914	2013-08-04 20:26:06.947809	2013-08-04 20:26:06.947809	\N	b313a468-29ff-456c-91e8-5a948ac1b07f
190091	13	24373	2013-08-04 19:12:40.68969	2013-08-04 19:12:40.68969	\N	6882bdec-e81b-4201-a84f-b37fddc5a948
190093	7	24412	2013-08-04 19:12:40.81647	2013-08-04 19:12:40.81647	\N	89a76294-d996-4684-9117-3a9ee7c29a0e
193750	19	24499	2013-08-04 19:29:41.654508	2013-08-04 19:29:41.654508	\N	44665ec0-396f-4289-b044-3d5f16b537da
190097	7	24454	2013-08-04 19:12:41.141547	2013-08-04 19:12:41.141547	\N	1d0cf792-30e7-4bee-98f2-25d5d1bd8ec5
204921	14	25949	2013-08-04 20:26:07.004651	2013-08-04 20:26:07.004651	\N	5cb475bb-71e0-4cba-af65-77b3b807930c
204922	14	25983	2013-08-04 20:26:07.066675	2013-08-04 20:26:07.066675	\N	70d7248d-5712-4318-ba78-8752b96f866a
190100	7	24481	2013-08-04 19:12:41.443799	2013-08-04 19:12:41.443799	\N	02beb3f0-0902-4e26-9893-72c272fbcbc8
204923	14	25954	2013-08-04 20:26:07.126669	2013-08-04 20:26:07.126669	\N	a5cc28cd-b60a-415c-b057-0f0c2aed9dc5
190104	7	24450	2013-08-04 19:12:41.714094	2013-08-04 19:12:41.714094	\N	11e86f88-09a2-4e55-8123-8cf614b8f432
205039	2	25952	2013-08-04 20:26:58.340703	2013-08-04 20:26:58.340703	\N	8d05a7bf-5ea0-4117-b247-5fe42518b928
201315	9	25619	2013-08-04 20:08:35.20414	2013-08-04 20:08:35.20414	\N	844b0278-4bff-4b0a-afd2-a99a127754fc
190169	7	24470	2013-08-04 19:12:49.179693	2013-08-04 19:12:49.179693	\N	477e77b1-d25d-4322-a8d5-8fb66a84bef1
193766	19	24514	2013-08-04 19:29:45.790916	2013-08-04 19:29:45.790916	\N	3b8b6127-e113-4f15-8db1-c4ac61bc9b95
205058	8	26011	2013-08-04 20:27:38.694321	2013-08-04 20:27:38.694321	\N	c6e39033-fc6c-4324-b121-7d0a706ea111
205107	8	26120	2013-08-04 20:27:47.049932	2013-08-04 20:27:47.049932	\N	dbf1e293-2b91-49f5-8705-e77051bdc591
193465	2	24568	2013-08-04 19:28:11.850693	2013-08-04 19:28:11.850693	\N	6c868833-5bc4-45ba-9734-50e87aa7b36d
204731	9	25980	2013-08-04 20:25:00.65762	2013-08-04 20:25:00.65762	\N	8a7071f4-2a61-4975-8d54-df350f8e153f
193468	6	24538	2013-08-04 19:28:13.462433	2013-08-04 19:28:13.462433	\N	d098653e-001e-44a1-b0a8-b3f228c43ecd
193469	6	24499	2013-08-04 19:28:13.769477	2013-08-04 19:28:13.769477	\N	237ace60-46dd-406e-ae62-491a64610dbf
193470	6	24514	2013-08-04 19:28:15.764562	2013-08-04 19:28:15.764562	\N	e5623da7-688e-4692-81ca-4298d70da38d
208661	9	26718	2013-08-04 20:54:25.228859	2013-08-04 20:54:25.228859	\N	f891bd50-d332-44ab-b3b1-855942369f9c
193472	9	24579	2013-08-04 19:28:16.446654	2013-08-04 19:28:16.446654	\N	50167cfa-19e8-472d-8c0d-eab5f79a4e61
193473	7	24594	2013-08-04 19:28:17.212661	2013-08-04 19:28:17.212661	\N	96a92b3b-e670-47c9-ad77-29414136dd96
193478	8	24514	2013-08-04 19:28:19.868764	2013-08-04 19:28:19.868764	\N	1959aca4-81bc-4f4b-a6db-e7c68fa2e0bc
197098	2	25073	2013-08-04 19:49:19.725232	2013-08-04 19:49:19.725232	\N	8478d714-9754-4899-b8f8-e4819accefab
208705	2	26722	2013-08-04 20:54:40.219672	2013-08-04 20:54:40.219672	\N	ae4e80f1-eb74-4299-9bf5-c5f53c1421e3
197136	3	25042	2013-08-04 19:49:33.25107	2013-08-04 19:49:33.25107	\N	c267d77f-ae0c-4ce9-a67c-bfc1808f8474
197137	3	25018	2013-08-04 19:49:33.289388	2013-08-04 19:49:33.289388	\N	80e6de22-bd10-42cf-b639-afd42cabf440
197138	3	25003	2013-08-04 19:49:33.323635	2013-08-04 19:49:33.323635	\N	040d3c92-0699-496f-aca4-b42866f98732
193543	13	24499	2013-08-04 19:28:37.911232	2013-08-04 19:28:37.911232	\N	936ba2f8-2b77-422e-b51f-ae3cea97faa3
193544	1	24612	2013-08-04 19:28:37.976895	2013-08-04 19:28:37.976895	\N	5f4ce3fd-c8d5-4637-aa62-ad469d57e930
204769	7	25945	2013-08-04 20:25:14.066467	2013-08-04 20:25:14.066467	\N	3cad3cfa-125e-428c-9b69-d01522af8799
204771	7	25936	2013-08-04 20:25:18.421168	2013-08-04 20:25:18.421168	\N	5cb1c0d1-b20d-4f74-92e2-dc5ace5a2d49
208718	19	26641	2013-08-04 20:54:43.594606	2013-08-04 20:54:43.594606	\N	c1d94b16-5184-4728-8855-1b760cc4d59c
200830	7	25451	2013-08-04 20:06:40.811684	2013-08-04 20:06:40.811684	\N	11299719-ef00-4145-a259-f15e0ff43fe0
200864	3	25381	2013-08-04 20:06:47.586002	2013-08-04 20:06:47.586002	\N	dde512ca-3779-476b-8568-95714c118f20
193685	14	24575	2013-08-04 19:29:25.148479	2013-08-04 19:29:25.148479	\N	63ee4cf1-bb18-401b-ad1a-8d0476afa700
208751	7	26722	2013-08-04 20:54:59.69861	2013-08-04 20:54:59.69861	\N	471fc21d-e72d-4f3a-93f4-5e718f808b0e
190057	7	24373	2013-08-04 19:12:39.781754	2013-08-04 19:12:39.781754	\N	1e431edd-c2e3-44fe-a02a-874443681b18
190059	1	24388	2013-08-04 19:12:39.838465	2013-08-04 19:12:39.838465	\N	d2e32322-8524-4eaa-8b68-e2daaf17c5ae
190063	7	24468	2013-08-04 19:12:39.959938	2013-08-04 19:12:39.959938	\N	14b4d448-27a8-4035-bcfc-a100c4a83106
190075	8	24470	2013-08-04 19:12:40.261838	2013-08-04 19:12:40.261838	\N	f00022c0-1454-4bd9-b062-5ff063ae0a05
190112	8	24412	2013-08-04 19:12:42.873833	2013-08-04 19:12:42.873833	\N	7b3ea18f-7055-4922-bd95-9ce73bfbda94
190122	17	24412	2013-08-04 19:12:44.340657	2013-08-04 19:12:44.340657	\N	4b71bee8-2b8a-4269-903b-23d675705563
190123	13	24388	2013-08-04 19:12:44.543459	2013-08-04 19:12:44.543459	\N	b0789e30-5ae8-4b03-89b9-0c1628918611
190133	9	24482	2013-08-04 19:12:46.186637	2013-08-04 19:12:46.186637	\N	da08497b-c50c-413f-bc41-66a4445723e9
190135	1	24453	2013-08-04 19:12:46.307244	2013-08-04 19:12:46.307244	\N	d27b8919-b4e8-457d-aa54-d05778751960
190139	13	24412	2013-08-04 19:12:46.629333	2013-08-04 19:12:46.629333	\N	0012646f-3615-4841-b3bd-97b415d4541e
190156	2	24474	2013-08-04 19:12:47.889893	2013-08-04 19:12:47.889893	\N	3aea62e7-9eb0-4230-a454-4356254433da
197589	7	25144	2013-08-04 19:52:33.357835	2013-08-04 19:52:33.357835	\N	f48b934b-1342-4e9a-8099-4a981dd804f6
197591	9	25241	2013-08-04 19:52:34.027265	2013-08-04 19:52:34.027265	\N	1ee43b5d-7607-4e11-a9f3-571232cdee74
197601	10	25168	2013-08-04 19:52:35.912535	2013-08-04 19:52:35.912535	\N	c3b353a4-eb80-4cae-9cec-da5997ad782e
190167	8	24482	2013-08-04 19:12:49.05268	2013-08-04 19:12:49.05268	\N	8e134ed6-1eb3-4674-94f3-273b3c9a4cf1
190168	8	24474	2013-08-04 19:12:49.172237	2013-08-04 19:12:49.172237	\N	8b805685-f79b-4184-a644-65817fc971ac
197650	4	25206	2013-08-04 19:52:50.21826	2013-08-04 19:52:50.21826	\N	93d984ba-0ba8-400c-b9b3-b45ae7737296
193835	14	24526	2013-08-04 19:30:09.735622	2013-08-04 19:30:09.735622	\N	2789bb06-e1f7-4d1c-884c-53887854cbbc
193836	14	24598	2013-08-04 19:30:09.772965	2013-08-04 19:30:09.772965	\N	4e7bdf31-fa4b-4884-b77c-0e9e62376d58
193838	14	24527	2013-08-04 19:30:09.811369	2013-08-04 19:30:09.811369	\N	d358703e-925a-468a-a384-96710667e2d5
193839	14	24528	2013-08-04 19:30:09.861596	2013-08-04 19:30:09.861596	\N	1887b2a8-1c16-4287-8577-1420d6da14a5
193841	14	24563	2013-08-04 19:30:09.895603	2013-08-04 19:30:09.895603	\N	45f8cf9f-5a47-4d62-84ed-f798c743b728
193513	4	24576	2013-08-04 19:28:28.914698	2013-08-04 19:28:28.914698	\N	520cb43d-2d01-4da8-bb2f-179461661739
193514	4	24580	2013-08-04 19:28:28.943375	2013-08-04 19:28:28.943375	\N	0eca27c7-cc5d-4863-896c-ca40a0690b8d
193515	4	24594	2013-08-04 19:28:28.967604	2013-08-04 19:28:28.967604	\N	92b98c7c-ab86-48ec-be47-0a7765bacf3d
193548	11	24576	2013-08-04 19:28:39.12942	2013-08-04 19:28:39.12942	\N	0f65cbce-50fd-43e8-a42b-0668a7683e5d
193550	11	24499	2013-08-04 19:28:40.0937	2013-08-04 19:28:40.0937	\N	e8884d3d-faf5-4ff9-86ba-a1f22c7dac5d
193553	11	24580	2013-08-04 19:28:40.814756	2013-08-04 19:28:40.814756	\N	46740f84-40d4-40d3-b80b-997d1a77ea50
193556	13	24514	2013-08-04 19:28:41.616894	2013-08-04 19:28:41.616894	\N	7006894c-0c07-4d38-bffc-53d67f29a179
208827	2	26710	2013-08-04 20:55:21.898121	2013-08-04 20:55:21.898121	\N	35ceaaa8-17bf-43aa-b15a-0591e4e02ce1
208828	7	26718	2013-08-04 20:55:22.511726	2013-08-04 20:55:22.511726	\N	693bf126-a560-4318-a1d1-26c8eefe8c7d
197185	19	25003	2013-08-04 19:49:46.893294	2013-08-04 19:49:46.893294	\N	4c403185-ab4b-4509-8324-b8cdf6c11095
193566	13	24538	2013-08-04 19:28:44.903974	2013-08-04 19:28:44.903974	\N	6e3bfa0a-9188-4d54-a880-6ce928be7099
193618	1	24579	2013-08-04 19:28:58.076035	2013-08-04 19:28:58.076035	\N	2dd49cc2-f0ed-4634-a622-5c459f8ead94
193723	19	24538	2013-08-04 19:29:34.958793	2013-08-04 19:29:34.958793	\N	240d8ed7-c98d-4f0f-9f9f-7777da7a6433
186873	10	24086	2013-08-04 19:01:41.06036	2013-08-04 19:01:41.06036	\N	009643f1-31f0-44eb-8d26-c4c0f082ff75
209083	10	26750	2013-08-04 20:56:13.043749	2013-08-04 20:56:13.043749	\N	558f10b1-541c-4876-a02c-38f50ff5e717
205060	11	26088	2013-08-04 20:27:39.253232	2013-08-04 20:27:39.253232	\N	3a8cb232-5240-43b5-a865-c63de4bbafcd
201040	9	25587	2013-08-04 20:07:40.068721	2013-08-04 20:07:40.068721	\N	202826e2-c4b7-4d9c-adaa-905e48b0c85d
201099	6	25522	2013-08-04 20:07:50.457337	2013-08-04 20:07:50.457337	\N	cae95f90-c519-4900-b07a-c96672b7f801
209161	20	26641	2013-08-04 20:56:32.584726	2013-08-04 20:56:32.584726	\N	19a337f9-fe77-4af1-a618-d742eee5ec3b
197466	1	25115	2013-08-04 19:51:34.854316	2013-08-04 19:51:34.854316	\N	a28768d6-8770-4778-b735-3d923d769c1f
205111	2	26088	2013-08-04 20:27:49.544889	2013-08-04 20:27:49.544889	\N	6f052ccd-8aea-4062-9c9d-fcce3dbedad5
205112	7	26106	2013-08-04 20:27:49.955056	2013-08-04 20:27:49.955056	\N	e4b212fb-3e8b-4262-822a-ab86eb15da0a
205113	7	26119	2013-08-04 20:27:49.99603	2013-08-04 20:27:49.99603	\N	b6acb551-c5b4-488a-8ea2-18abf9723c92
201109	2	25601	2013-08-04 20:07:53.37348	2013-08-04 20:07:53.37348	\N	a9735f15-35f0-45f0-83da-c0891562ddb4
205114	7	26092	2013-08-04 20:27:50.057174	2013-08-04 20:27:50.057174	\N	93eeff31-bbdd-48a9-bcfb-a368e01012a2
193853	2	24552	2013-08-04 19:30:13.846803	2013-08-04 19:30:13.846803	\N	bb89331b-948c-4d67-9be7-7d9b2679f8f3
205115	7	26069	2013-08-04 20:27:50.123117	2013-08-04 20:27:50.123117	\N	4e261828-35af-4d20-8b9c-9e46c22c56d2
205116	7	26070	2013-08-04 20:27:50.181749	2013-08-04 20:27:50.181749	\N	d8eff49a-a38e-41b1-b952-cabef8b6e038
190058	2	24378	2013-08-04 19:12:39.826553	2013-08-04 19:12:39.826553	\N	5195ee5d-bc00-4ee6-8444-fa74c682a250
190061	2	24369	2013-08-04 19:12:39.877607	2013-08-04 19:12:39.877607	\N	e341ccff-681b-40cc-b2ea-88677b7ef260
190062	2	24381	2013-08-04 19:12:39.9351	2013-08-04 19:12:39.9351	\N	5f65bec2-7a50-47f2-9d27-c75d1c7e7de3
190064	2	24373	2013-08-04 19:12:39.977637	2013-08-04 19:12:39.977637	\N	b9a06d79-898b-49fc-ab16-cb522cbf582d
190065	2	24375	2013-08-04 19:12:40.012675	2013-08-04 19:12:40.012675	\N	d6d41477-4ae1-420b-970f-272fc7025fe9
190067	2	24388	2013-08-04 19:12:40.051883	2013-08-04 19:12:40.051883	\N	b713002e-5440-40f5-a0ae-fc81f6bda88e
190068	2	24438	2013-08-04 19:12:40.103738	2013-08-04 19:12:40.103738	\N	2e4589a0-42d5-43df-9d22-7bde712b9636
201128	4	25584	2013-08-04 20:07:55.058137	2013-08-04 20:07:55.058137	\N	f3d4049f-b498-4dd6-a0bd-92bdf5616812
205117	7	26073	2013-08-04 20:27:50.241394	2013-08-04 20:27:50.241394	\N	ea1b41f5-f811-4cca-ab78-85c0e44d0ea0
190073	2	24429	2013-08-04 19:12:40.221825	2013-08-04 19:12:40.221825	\N	c830907b-11b4-4f75-9c85-c065efe6afa4
205118	7	26064	2013-08-04 20:27:50.282502	2013-08-04 20:27:50.282502	\N	807bada3-7466-4e0a-ab78-fffb9554ee6f
190078	2	24390	2013-08-04 19:12:40.308538	2013-08-04 19:12:40.308538	\N	5e6ca821-a6b0-4f98-b121-ac7ec11d0227
190079	2	24441	2013-08-04 19:12:40.347927	2013-08-04 19:12:40.347927	\N	ca7bda85-079c-40e0-bf38-b23793b4bcaf
190080	2	24420	2013-08-04 19:12:40.377123	2013-08-04 19:12:40.377123	\N	6b3b477b-2f2e-43f5-ac81-f54c0af4e022
190081	2	24426	2013-08-04 19:12:40.409674	2013-08-04 19:12:40.409674	\N	24f09ccb-6c3b-4afc-aa09-93823a647e21
190082	2	24396	2013-08-04 19:12:40.443478	2013-08-04 19:12:40.443478	\N	7f8ba2cf-a2dd-46c6-9ded-d14579e3f39a
190084	2	24440	2013-08-04 19:12:40.500493	2013-08-04 19:12:40.500493	\N	bc984a5b-2939-471e-b5f8-162e0677274d
201133	11	25546	2013-08-04 20:07:56.132475	2013-08-04 20:07:56.132475	\N	2a7b2900-bb7d-4606-8885-1a646b758748
190087	2	24450	2013-08-04 19:12:40.562831	2013-08-04 19:12:40.562831	\N	d326b6b0-accd-428d-b66a-45ada73da229
190089	2	24453	2013-08-04 19:12:40.62015	2013-08-04 19:12:40.62015	\N	960d4118-273f-41ab-9f5c-c54a2dfbcc5a
190090	2	24454	2013-08-04 19:12:40.674037	2013-08-04 19:12:40.674037	\N	f3266ec8-572f-4943-b1d9-9c64fe86d219
190094	1	24412	2013-08-04 19:12:40.832302	2013-08-04 19:12:40.832302	\N	0031de2d-89ee-4f0a-9947-a5f5572f884e
205125	14	26091	2013-08-04 20:27:51.206572	2013-08-04 20:27:51.206572	\N	c99e23d2-c700-4a3b-bdb8-2375bb1c75d9
197182	19	25112	2013-08-04 19:49:45.762586	2013-08-04 19:49:45.762586	\N	2d152d0c-6f0d-466a-8e72-eb853f18dadc
193565	17	24514	2013-08-04 19:28:44.788714	2013-08-04 19:28:44.788714	\N	886574ee-6764-4ff2-bb53-97ae64264be2
200860	2	25445	2013-08-04 20:06:46.829643	2013-08-04 20:06:46.829643	\N	84521f35-67b1-465c-83ee-c5d13e867b2d
193587	3	24499	2013-08-04 19:28:49.75036	2013-08-04 19:28:49.75036	\N	4e59f12a-8abb-4afa-bf1c-5284d5ccc1fb
193588	3	24538	2013-08-04 19:28:49.81005	2013-08-04 19:28:49.81005	\N	38692657-20ef-44ff-b461-0ccdbbd7b477
193589	3	24514	2013-08-04 19:28:49.880643	2013-08-04 19:28:49.880643	\N	57cc3122-72de-496d-b061-7b250f8b4541
200868	1	25457	2013-08-04 20:06:49.595306	2013-08-04 20:06:49.595306	\N	c24fa519-17d4-42bb-92c4-9628b2726d6b
193682	4	24612	2013-08-04 19:29:23.336874	2013-08-04 19:29:23.336874	\N	a3372343-3d2d-4650-919f-904d2d0b4282
186784	9	24089	2013-08-04 19:01:20.035597	2013-08-04 19:01:20.035597	\N	eb4b9a6d-c596-41b2-a515-8129de724e39
205007	2	25943	2013-08-04 20:26:43.191088	2013-08-04 20:26:43.191088	\N	47cf5e64-0a69-43f3-a3bc-f0bbd6f2efdd
205059	1	26011	2013-08-04 20:27:38.830902	2013-08-04 20:27:38.830902	\N	c7b3b3a1-9418-4f4a-a9da-a98cb2f40e4a
205098	19	26112	2013-08-04 20:27:43.667496	2013-08-04 20:27:43.667496	\N	d3b9ea88-9818-4f83-8a30-e315db7fb79c
205099	14	26105	2013-08-04 20:27:43.998505	2013-08-04 20:27:43.998505	\N	ac56b427-b98f-44c1-8ff5-93f8904e46e5
205100	14	26072	2013-08-04 20:27:44.064318	2013-08-04 20:27:44.064318	\N	671ebf39-6838-4747-97f7-9bdbcf80ba89
205101	14	26081	2013-08-04 20:27:44.127113	2013-08-04 20:27:44.127113	\N	75e1d339-f31a-41d3-92f9-efa7d8c660dc
197344	14	25030	2013-08-04 19:50:37.080932	2013-08-04 19:50:37.080932	\N	f4480bba-8760-4930-aed7-ce805c72de57
193825	1	24593	2013-08-04 19:30:04.072989	2013-08-04 19:30:04.072989	\N	e5fe78a2-12dc-4e11-9310-ec44c4216c22
193826	20	24538	2013-08-04 19:30:06.455652	2013-08-04 19:30:06.455652	\N	453939c5-754e-4d78-8d79-bafd1b7f6092
193827	20	24373	2013-08-04 19:30:06.551723	2013-08-04 19:30:06.551723	\N	b80bf571-0a27-4818-bd1e-164c7450a7fb
193828	20	24412	2013-08-04 19:30:06.657414	2013-08-04 19:30:06.657414	\N	4af1cd0c-4db8-4ae5-ac80-334afeadf5ae
197345	14	25102	2013-08-04 19:50:37.180913	2013-08-04 19:50:37.180913	\N	815cbfa6-43f7-4c17-8e31-adb280993c88
197346	14	25031	2013-08-04 19:50:37.253591	2013-08-04 19:50:37.253591	\N	04360ec6-032a-471d-8c88-f2b6f5403217
197348	14	25032	2013-08-04 19:50:37.28672	2013-08-04 19:50:37.28672	\N	91ad0248-182b-4f2e-af40-85d7e9890573
197349	14	25067	2013-08-04 19:50:37.320516	2013-08-04 19:50:37.320516	\N	6b43c264-35b1-4e2f-b820-c6149a819bf2
197351	14	25101	2013-08-04 19:50:37.360195	2013-08-04 19:50:37.360195	\N	6d19073e-6910-4a58-8067-ee4da1557449
205103	4	26069	2013-08-04 20:27:46.062806	2013-08-04 20:27:46.062806	\N	26b6b3ee-063c-4d02-9a37-f0c1603c4b68
201039	7	25575	2013-08-04 20:07:40.064276	2013-08-04 20:07:40.064276	\N	0f060a3a-3f92-44b0-9243-32d23160d714
201044	8	25546	2013-08-04 20:07:41.546084	2013-08-04 20:07:41.546084	\N	bbf9f642-1605-4ddd-a4af-2ec228db8e2c
201045	2	25561	2013-08-04 20:07:42.330869	2013-08-04 20:07:42.330869	\N	9e1c9772-be17-4c78-a8d1-0c68b6c9614e
205104	4	26072	2013-08-04 20:27:46.149319	2013-08-04 20:27:46.149319	\N	11ffd9c4-6829-4010-aaa6-d0cf8b9c841a
201047	2	25558	2013-08-04 20:07:42.489062	2013-08-04 20:07:42.489062	\N	28995590-3784-439d-a078-c63e9258de05
205105	4	26080	2013-08-04 20:27:46.211154	2013-08-04 20:27:46.211154	\N	1eeec649-8ed4-4b43-a9c8-7253c2f8dc03
205108	2	26080	2013-08-04 20:27:47.434958	2013-08-04 20:27:47.434958	\N	6a3d930d-9e55-4a6c-be7a-8bccf2049e6f
190179	8	24464	2013-08-04 19:12:52.430644	2013-08-04 19:12:52.430644	\N	9a4aabeb-35a8-4893-ae4e-0efbbdfd67c0
190180	7	24464	2013-08-04 19:12:52.489592	2013-08-04 19:12:52.489592	\N	1e535dea-6c7b-4b0a-bd02-66effa305001
205129	9	26091	2013-08-04 20:27:53.156991	2013-08-04 20:27:53.156991	\N	3f070932-db2a-422d-b136-5bb766f50bbc
197446	10	25100	2013-08-04 19:51:27.648208	2013-08-04 19:51:27.648208	\N	2ea64db4-18db-4192-9fea-dd68f36c6c0c
201054	2	25507	2013-08-04 20:07:42.744268	2013-08-04 20:07:42.744268	\N	d31c472a-319c-4f28-a59f-4dcb91c7096f
190198	8	24388	2013-08-04 19:12:55.905409	2013-08-04 19:12:55.905409	\N	c640240e-9822-47b3-9cca-901759621daf
201055	2	25566	2013-08-04 20:07:42.78064	2013-08-04 20:07:42.78064	\N	36a35b02-ecc3-43a2-b35d-ed7cf0fe0c3b
197476	19	25100	2013-08-04 19:51:43.07811	2013-08-04 19:51:43.07811	\N	ac115cd5-1694-4485-9a10-b37c67505b32
201056	8	25507	2013-08-04 20:07:42.898011	2013-08-04 20:07:42.898011	\N	7e5ae493-7fb2-4710-b67d-3b6506278298
190203	10	24464	2013-08-04 19:12:56.261721	2013-08-04 19:12:56.261721	\N	470d3812-9127-43c8-a08e-343dc05ef73c
201060	14	25587	2013-08-04 20:07:44.129457	2013-08-04 20:07:44.129457	\N	c26f43ff-e903-43d2-b761-8a0218339e87
190205	2	24486	2013-08-04 19:12:57.11652	2013-08-04 19:12:57.11652	\N	08ab1623-3a4d-464a-b42c-c3da8b61469f
190268	9	24453	2013-08-04 19:13:09.899458	2013-08-04 19:13:09.899458	\N	bd064f8f-0b32-4887-84db-246eb29bca8f
201064	7	25573	2013-08-04 20:07:45.250016	2013-08-04 20:07:45.250016	\N	dcb4a08f-1fb6-4716-ba08-e0203b9bd55a
190277	11	24450	2013-08-04 19:13:14.063879	2013-08-04 19:13:14.063879	\N	95975822-1570-4575-962d-73b7e472332d
201065	7	25566	2013-08-04 20:07:45.344583	2013-08-04 20:07:45.344583	\N	3b9e6cf1-3dd6-4d11-a015-7d8a474282ce
190281	11	24373	2013-08-04 19:13:15.561519	2013-08-04 19:13:15.561519	\N	44178678-1c70-4f9e-baab-1ecc42bc3932
190286	4	24426	2013-08-04 19:13:16.068372	2013-08-04 19:13:16.068372	\N	c5d7948c-7881-4efc-bcbb-7d936cf90abc
190289	4	24438	2013-08-04 19:13:16.100046	2013-08-04 19:13:16.100046	\N	5c47f3b4-7f3a-4566-bfd2-7f693bc308fd
190290	4	24430	2013-08-04 19:13:16.138485	2013-08-04 19:13:16.138485	\N	d405343c-25bb-4647-b5ac-aad8daf01900
190292	4	24439	2013-08-04 19:13:16.183614	2013-08-04 19:13:16.183614	\N	1fa5715e-f0b3-4091-bea0-878a30e25e59
197560	8	25238	2013-08-04 19:52:29.654642	2013-08-04 19:52:29.654642	\N	28f5cdb4-5bc6-4f9f-a638-51e3783f5354
190296	4	24432	2013-08-04 19:13:16.252034	2013-08-04 19:13:16.252034	\N	30b29f64-f48e-4a55-a630-72cc60e03b42
190297	4	24433	2013-08-04 19:13:16.307021	2013-08-04 19:13:16.307021	\N	463a1702-a493-4e49-89c8-0268a0b1ebc0
190299	4	24434	2013-08-04 19:13:16.36276	2013-08-04 19:13:16.36276	\N	e94d4d00-7865-4e04-8b27-6127983e47df
190301	4	24441	2013-08-04 19:13:16.399433	2013-08-04 19:13:16.399433	\N	701bf22e-91ab-4d58-8613-118caa005348
190302	4	24442	2013-08-04 19:13:16.443885	2013-08-04 19:13:16.443885	\N	68d481cc-a03c-4cf7-90b3-d0a79b2194e0
190305	4	24443	2013-08-04 19:13:16.483036	2013-08-04 19:13:16.483036	\N	b99a14a7-9ba8-446d-b9c5-cbf1001ec05c
197561	8	25226	2013-08-04 19:52:29.785805	2013-08-04 19:52:29.785805	\N	0c7c07ef-f826-4bcc-a57a-e88309f40d5b
197565	7	25190	2013-08-04 19:52:30.098293	2013-08-04 19:52:30.098293	\N	efdea599-8593-47c1-9b15-33f82c327522
190316	11	24388	2013-08-04 19:13:19.43764	2013-08-04 19:13:19.43764	\N	7832b40b-4d05-457d-ac0a-b560292f651c
197570	9	25209	2013-08-04 19:52:30.667613	2013-08-04 19:52:30.667613	\N	3f92880f-3371-426d-bf79-519c2ca67070
197599	7	25242	2013-08-04 19:52:35.419098	2013-08-04 19:52:35.419098	\N	64ee1fdc-69df-461f-aa8c-0467ef60f56a
208928	7	26750	2013-08-04 20:55:43.246758	2013-08-04 20:55:43.246758	\N	2897b9f9-a130-4936-86ad-067ec74b6c26
197633	7	25226	2013-08-04 19:52:45.977224	2013-08-04 19:52:45.977224	\N	20aa4748-4346-4f6b-9d6a-0360ba7adf99
201078	2	25576	2013-08-04 20:07:47.075673	2013-08-04 20:07:47.075673	\N	1b4e5960-4a89-4170-ae6a-edcce2c7a678
197308	1	25080	2013-08-04 19:50:25.066658	2013-08-04 19:50:25.066658	\N	4331b2fa-e11f-4285-8ad6-e16d0191a7da
197312	19	25018	2013-08-04 19:50:26.712909	2013-08-04 19:50:26.712909	\N	5670d521-b55b-4ed4-a041-17eddb95743f
205083	11	26011	2013-08-04 20:27:40.643942	2013-08-04 20:27:40.643942	\N	e94fe92b-57f6-4428-a7f1-bfb09a861428
205109	14	26087	2013-08-04 20:27:47.552658	2013-08-04 20:27:47.552658	\N	0707e213-43f2-4a15-8d00-0b36d1bb81f8
190072	7	24388	2013-08-04 19:12:40.197548	2013-08-04 19:12:40.197548	\N	bb2e0e95-1ec8-4b93-bf26-8f7e8c796087
197383	4	25071	2013-08-04 19:50:57.271211	2013-08-04 19:50:57.271211	\N	2ff7636f-c0ad-4bd8-ba60-46abd5f9c04a
193762	19	24608	2013-08-04 19:29:43.744246	2013-08-04 19:29:43.744246	\N	a1b7f789-44a3-4b24-915c-09396bcf7d23
190111	8	24373	2013-08-04 19:12:42.873724	2013-08-04 19:12:42.873724	\N	314a52a0-d511-471b-845c-d59350ac227f
190187	9	24373	2013-08-04 19:12:53.483593	2013-08-04 19:12:53.483593	\N	34774a0a-64cc-405e-a142-eefe4deb4cc5
190191	2	24449	2013-08-04 19:12:54.762504	2013-08-04 19:12:54.762504	\N	f15aa3a8-a4fc-4749-a96d-a4b4bbeb87ca
190233	9	24412	2013-08-04 19:13:02.704293	2013-08-04 19:13:02.704293	\N	0287b988-f31e-4b1e-b716-65d3f9c75fe8
190235	1	24373	2013-08-04 19:13:02.826274	2013-08-04 19:13:02.826274	\N	ac2bacf9-c1a0-4341-b071-d72e6a827d17
190238	17	24373	2013-08-04 19:13:03.489658	2013-08-04 19:13:03.489658	\N	398f7941-3838-4f55-9eb7-5c7647879b20
197427	9	25116	2013-08-04 19:51:16.469535	2013-08-04 19:51:16.469535	\N	8e51d18d-57a4-4173-9da3-ea144aa406de
190241	1	24450	2013-08-04 19:13:04.221691	2013-08-04 19:13:04.221691	\N	a383940f-9475-4a34-aa4c-a47f63f518d0
209156	20	26389	2013-08-04 20:56:32.266793	2013-08-04 20:56:32.266793	\N	b393a726-5928-40ac-b64c-fd8a3b2f0f29
205458	14	26011	2013-08-04 20:29:56.914798	2013-08-04 20:29:56.914798	\N	f73e27c4-d163-459c-82f2-c220e289a068
201021	7	25576	2013-08-04 20:07:39.543989	2013-08-04 20:07:39.543989	\N	9d5002ef-7868-4275-b562-24d27ec54bf1
190333	14	24453	2013-08-04 19:13:21.1568	2013-08-04 19:13:21.1568	\N	4828f947-931c-45b3-87bd-9937813f3d77
190335	4	24450	2013-08-04 19:13:21.81288	2013-08-04 19:13:21.81288	\N	d835a1ee-143b-4578-b39a-bd0e3e251730
190336	4	24474	2013-08-04 19:13:21.854452	2013-08-04 19:13:21.854452	\N	76ce5d3c-3c31-4af6-a42c-4201e836a9d0
190338	4	24454	2013-08-04 19:13:21.881334	2013-08-04 19:13:21.881334	\N	3acbe1fb-bf25-44bd-996b-af96a4b4f031
190339	4	24464	2013-08-04 19:13:21.936116	2013-08-04 19:13:21.936116	\N	f5f1f13d-211c-4435-8f5a-569a92bfa788
190340	4	24468	2013-08-04 19:13:21.98351	2013-08-04 19:13:21.98351	\N	fe9f06a1-f432-4584-96b4-0371585a10c8
197505	1	25079	2013-08-04 19:51:50.977784	2013-08-04 19:51:50.977784	\N	4221fd1e-0245-4c3c-a7b6-6a889adb2245
190342	4	24470	2013-08-04 19:13:22.01575	2013-08-04 19:13:22.01575	\N	d3d3d0ce-43cc-4333-8272-c57576b2c1ef
190343	4	24486	2013-08-04 19:13:22.053412	2013-08-04 19:13:22.053412	\N	94d6041f-7bff-497a-bb30-f18d6856c251
201026	7	25507	2013-08-04 20:07:39.719722	2013-08-04 20:07:39.719722	\N	64f7013c-b5fd-442a-bbb8-a1e894cbadda
190347	11	24486	2013-08-04 19:13:22.584867	2013-08-04 19:13:22.584867	\N	69506b04-e457-4e0e-be7d-a33c74e9170d
201034	7	25567	2013-08-04 20:07:39.957452	2013-08-04 20:07:39.957452	\N	18a05cee-ebc1-46d7-b89f-a189c1385a2a
201038	8	25616	2013-08-04 20:07:40.049531	2013-08-04 20:07:40.049531	\N	12f2a6bd-50c7-47e9-8918-e950fdb90d05
201057	7	25522	2013-08-04 20:07:42.926239	2013-08-04 20:07:42.926239	\N	a2de2b08-5ede-4f67-9ddd-4335815961c9
190351	3	24412	2013-08-04 19:13:24.08757	2013-08-04 19:13:24.08757	\N	7c47a5dd-6bbd-4df7-9755-5cd34cb08db6
201059	14	25583	2013-08-04 20:07:43.599851	2013-08-04 20:07:43.599851	\N	b964c8b4-c0aa-453c-9d91-9b3b11c77b86
194050	1	24611	2013-08-04 19:31:09.611329	2013-08-04 19:31:09.611329	\N	2f88da40-49fe-455c-8b66-71f290f49b8a
201068	7	25565	2013-08-04 20:07:45.645269	2013-08-04 20:07:45.645269	\N	21ea5140-15ce-44a6-8516-fa254e0496a9
201071	7	25558	2013-08-04 20:07:45.933874	2013-08-04 20:07:45.933874	\N	b9085351-898d-4e84-b2ee-f8d1eac96676
194060	14	24499	2013-08-04 19:31:11.912896	2013-08-04 19:31:11.912896	\N	c5d63890-c8ef-4113-a28d-71da7803fa97
201095	11	25588	2013-08-04 20:07:49.837556	2013-08-04 20:07:49.837556	\N	bd2320e1-d14b-4b07-a97f-302418b1435d
201102	14	25568	2013-08-04 20:07:51.188131	2013-08-04 20:07:51.188131	\N	723307e4-1409-4038-9d1c-67757e52b003
201104	14	25558	2013-08-04 20:07:51.236867	2013-08-04 20:07:51.236867	\N	a9d855b9-1cfd-46f7-be74-17ae51b31ece
194072	14	24559	2013-08-04 19:31:14.644906	2013-08-04 19:31:14.644906	\N	fd6226c2-c7c6-48a1-a96c-b774dc748003
194074	14	24552	2013-08-04 19:31:14.734011	2013-08-04 19:31:14.734011	\N	1a449d77-375b-4a40-9829-8aac24f55133
190388	9	24485	2013-08-04 19:13:33.416636	2013-08-04 19:13:33.416636	\N	fde8a9bc-21eb-42cc-bb2a-e8ae129265b8
197558	7	25168	2013-08-04 19:52:29.541816	2013-08-04 19:52:29.541816	\N	87bc4845-a4ed-4c40-8028-c98a9a0bc086
209311	8	26876	2013-08-04 20:57:22.67363	2013-08-04 20:57:22.67363	\N	06fd26da-4c56-40a6-98ae-a8053c9c647f
197604	8	25129	2013-08-04 19:52:36.299483	2013-08-04 19:52:36.299483	\N	c205179b-f8f4-4d57-b892-e7a2d413b357
197608	6	25129	2013-08-04 19:52:37.56089	2013-08-04 19:52:37.56089	\N	753d6bc9-525e-4a04-adca-e350ddf15b63
197609	10	25238	2013-08-04 19:52:38.122035	2013-08-04 19:52:38.122035	\N	8b2f3ab7-7a74-483c-8c0e-bc09593299cb
197610	10	25226	2013-08-04 19:52:38.239993	2013-08-04 19:52:38.239993	\N	b6401e83-151f-4f46-98bc-a1f894837a4e
197613	2	25144	2013-08-04 19:52:41.685861	2013-08-04 19:52:41.685861	\N	4ae868bb-8a0e-43d4-8f72-63e81e4a4d78
209390	8	26767	2013-08-04 20:57:38.891146	2013-08-04 20:57:38.891146	\N	a8fe9ece-7d4c-4c91-878c-7240ac585ae5
197619	6	25168	2013-08-04 19:52:42.741889	2013-08-04 19:52:42.741889	\N	1c0c6049-580a-4e4b-8416-90dd46a3b276
197627	10	25129	2013-08-04 19:52:43.398746	2013-08-04 19:52:43.398746	\N	ec48cc9f-dea7-4a7c-83f3-902ecfa34a3f
205071	2	26011	2013-08-04 20:27:40.256321	2013-08-04 20:27:40.256321	\N	1526c8d0-d99d-405f-91f4-4a4dee190ae4
205072	2	26058	2013-08-04 20:27:40.284197	2013-08-04 20:27:40.284197	\N	d1a53acd-0d37-45c6-b8ea-a6c929e518cc
205074	2	26068	2013-08-04 20:27:40.348485	2013-08-04 20:27:40.348485	\N	cdaac594-8a40-4b35-9d4d-f4f340b3f291
201014	2	25546	2013-08-04 20:07:39.393786	2013-08-04 20:07:39.393786	\N	88bd1f73-5310-40b9-a7f6-d6f2c2cd66e6
201016	2	25509	2013-08-04 20:07:39.429347	2013-08-04 20:07:39.429347	\N	1593116c-1687-4a8b-803b-1ea7eb9fd8a3
201017	2	25522	2013-08-04 20:07:39.46452	2013-08-04 20:07:39.46452	\N	fae7b3ef-078c-4c67-9b2d-75ead7acbb70
201019	2	25564	2013-08-04 20:07:39.499603	2013-08-04 20:07:39.499603	\N	f854dc74-c4a2-42cd-97a6-e6e429fd7006
201020	2	25515	2013-08-04 20:07:39.538212	2013-08-04 20:07:39.538212	\N	eb3dedd0-e37d-4b59-b30f-8ef6942e73ed
201022	2	25518	2013-08-04 20:07:39.584043	2013-08-04 20:07:39.584043	\N	283e1454-62a3-4345-97f5-7b3dddf34ccc
201023	2	25512	2013-08-04 20:07:39.632645	2013-08-04 20:07:39.632645	\N	ffe0172f-b660-42fe-b030-84ea1c4d5be8
201025	2	25524	2013-08-04 20:07:39.680452	2013-08-04 20:07:39.680452	\N	e22acc64-efa9-4478-8962-4ab7b3dbd92b
201027	2	25503	2013-08-04 20:07:39.720193	2013-08-04 20:07:39.720193	\N	91266ca3-1158-48df-8b4d-5b13e9f374a5
201028	2	25530	2013-08-04 20:07:39.78638	2013-08-04 20:07:39.78638	\N	1afb6199-940d-419d-95e3-4ee7cc109481
201030	2	25554	2013-08-04 20:07:39.827053	2013-08-04 20:07:39.827053	\N	2bb3ead5-362b-44fc-8170-b666bf9e30c3
201031	2	25575	2013-08-04 20:07:39.890651	2013-08-04 20:07:39.890651	\N	a8561171-7a25-4f44-8f8b-33be951a1d24
201033	2	25569	2013-08-04 20:07:39.946985	2013-08-04 20:07:39.946985	\N	82dc3623-9b0c-4af2-ba38-f5c09a06d9ee
205076	2	26070	2013-08-04 20:27:40.428964	2013-08-04 20:27:40.428964	\N	ddceb0e1-d899-40c9-83ba-a990acc2e5ed
201036	2	25574	2013-08-04 20:07:40.038772	2013-08-04 20:07:40.038772	\N	c377ffb7-1a25-4fe1-8a74-7ca6e5a92127
190591	10	24482	2013-08-04 19:14:13.531123	2013-08-04 19:14:13.531123	\N	b323e0ba-e076-435d-aa12-96529ef6121c
201041	2	25583	2013-08-04 20:07:40.079807	2013-08-04 20:07:40.079807	\N	4b09a107-c345-45a5-9e57-abeec426f791
197411	14	25073	2013-08-04 19:51:10.410549	2013-08-04 19:51:10.410549	\N	4291d898-f346-4db2-a872-47f591127bd5
197412	14	25063	2013-08-04 19:51:10.449668	2013-08-04 19:51:10.449668	\N	e9512d14-3588-4753-a4d3-ed0484fcdf36
205077	2	26013	2013-08-04 20:27:40.465422	2013-08-04 20:27:40.465422	\N	ccc000aa-52e1-4dcb-bda6-ec7580043d7c
201079	8	25522	2013-08-04 20:07:47.205964	2013-08-04 20:07:47.205964	\N	30db2b8c-f6d2-4132-ac4a-d5dc16ced1b9
201083	18	25420	2013-08-04 20:07:48.353135	2013-08-04 20:07:48.353135	\N	7146bb9f-2b2b-42e7-bd77-8c8fbbc74a80
201086	7	25569	2013-08-04 20:07:48.988375	2013-08-04 20:07:48.988375	\N	a2e7480c-9a12-4ee8-ac3f-12e90d20cdcf
201088	7	25568	2013-08-04 20:07:49.362865	2013-08-04 20:07:49.362865	\N	883ca2f6-4ee7-40e8-983c-e25d5297e8f9
201098	7	25615	2013-08-04 20:07:50.099028	2013-08-04 20:07:50.099028	\N	fdeecec0-ec55-48e4-9666-d77b7514061e
201111	11	25522	2013-08-04 20:07:53.396144	2013-08-04 20:07:53.396144	\N	854a52f7-b509-4116-990e-60eb6e0a5a5c
205086	2	26112	2013-08-04 20:27:40.737923	2013-08-04 20:27:40.737923	\N	ba59b989-59af-42c5-b901-56f2eda36adf
205087	2	26092	2013-08-04 20:27:40.79622	2013-08-04 20:27:40.79622	\N	3fc844c8-a1e7-43cb-8e1c-3785f4dee427
205088	2	26105	2013-08-04 20:27:40.840691	2013-08-04 20:27:40.840691	\N	d5de622e-6260-4318-afa5-79ce9e862ea7
201125	1	25507	2013-08-04 20:07:54.955584	2013-08-04 20:07:54.955584	\N	3236575c-55b9-4456-a99c-3938b18a39bb
205090	11	26092	2013-08-04 20:27:41.36547	2013-08-04 20:27:41.36547	\N	9d036220-493f-4304-9b46-0a642016702d
201132	1	25522	2013-08-04 20:07:55.688271	2013-08-04 20:07:55.688271	\N	81e4e229-119e-4f6f-a3d4-98a4cb8c63d3
201135	1	25546	2013-08-04 20:07:56.578242	2013-08-04 20:07:56.578242	\N	665b30a6-ba49-40c5-9a06-2a00a8a6f61a
197563	7	25198	2013-08-04 19:52:29.88695	2013-08-04 19:52:29.88695	\N	6c83a4f7-05fc-4b9f-bf68-afaddca29864
197564	7	25189	2013-08-04 19:52:29.995898	2013-08-04 19:52:29.995898	\N	baea7d62-043b-46c7-a5fc-ce06a33385cf
197566	7	25129	2013-08-04 19:52:30.226808	2013-08-04 19:52:30.226808	\N	24236510-c808-4d67-bafd-8b5845a1b656
197569	2	25131	2013-08-04 19:52:30.657612	2013-08-04 19:52:30.657612	\N	c632d25f-b80a-46b0-b4e6-dd33a01c8a56
197571	2	25129	2013-08-04 19:52:30.708617	2013-08-04 19:52:30.708617	\N	c9e85534-420b-4291-9a3d-7fad38330d25
197572	2	25134	2013-08-04 19:52:30.755476	2013-08-04 19:52:30.755476	\N	a08fa975-e054-43ca-8bd5-7d6698fa2b7a
197573	2	25125	2013-08-04 19:52:30.838681	2013-08-04 19:52:30.838681	\N	280c8f78-f9c1-4928-b3d1-1645eb3342ca
197575	2	25137	2013-08-04 19:52:30.87002	2013-08-04 19:52:30.87002	\N	650b7a90-a49b-4b79-97eb-b581114faa86
197579	2	25146	2013-08-04 19:52:30.986576	2013-08-04 19:52:30.986576	\N	9997c49b-39d2-4a2c-a03a-863c1542aba6
201149	9	25620	2013-08-04 20:07:59.385438	2013-08-04 20:07:59.385438	\N	9bc85be7-286d-4e7c-9510-590441e10c22
197582	2	25152	2013-08-04 19:52:31.162887	2013-08-04 19:52:31.162887	\N	4284b935-5a3b-4c7e-90a9-fe76fd88e956
194116	9	24608	2013-08-04 19:31:25.937709	2013-08-04 19:31:25.937709	\N	a9e5814b-d1d9-4c2a-b003-418014be967e
197607	7	25206	2013-08-04 19:52:37.548083	2013-08-04 19:52:37.548083	\N	eef1d10d-d6be-4a55-b9e0-cf3acba55cd9
197611	7	25237	2013-08-04 19:52:38.344096	2013-08-04 19:52:38.344096	\N	8bdcd149-120b-4e0d-8177-9d6269c35f98
205306	1	26088	2013-08-04 20:29:02.423005	2013-08-04 20:29:02.423005	\N	67407dd5-f839-4870-9566-0a77365ada76
194250	1	24706	2013-08-04 19:32:52.660669	2013-08-04 19:32:52.660669	\N	d3fe6b54-6118-4fdf-94ee-b188aa74e12e
197629	2	25176	2013-08-04 19:52:43.891485	2013-08-04 19:52:43.891485	\N	85b64a86-9927-41d4-825c-4c209ddf34c3
197634	14	25237	2013-08-04 19:52:46.409503	2013-08-04 19:52:46.409503	\N	3cacb9a9-9b7f-4c84-96f3-f6786de9fdbc
194278	7	24706	2013-08-04 19:32:55.550959	2013-08-04 19:32:55.550959	\N	52bc5185-0c98-44f5-a919-6f6141ef6a86
201282	7	25588	2013-08-04 20:08:27.981211	2013-08-04 20:08:27.981211	\N	796fe29e-dfba-412a-9171-83956d75b59f
197638	13	25144	2013-08-04 19:52:48.465438	2013-08-04 19:52:48.465438	\N	3e57e5f4-3ed7-46be-b9f2-eeb14b6be2d1
201302	1	25601	2013-08-04 20:08:30.589687	2013-08-04 20:08:30.589687	\N	2b603e1a-843e-4e16-9a1b-e30996f14f6b
197695	4	25129	2013-08-04 19:53:06.945727	2013-08-04 19:53:06.945727	\N	b16b2d3b-2be9-49ff-97e1-c4d88d387ccc
197698	4	25144	2013-08-04 19:53:07.127769	2013-08-04 19:53:07.127769	\N	01e4073e-5078-4d4b-b370-0fe8f907664f
197699	4	25168	2013-08-04 19:53:07.236834	2013-08-04 19:53:07.236834	\N	5991d515-e7df-4f3a-899e-84a1acaa5fa9
197702	11	25206	2013-08-04 19:53:08.97929	2013-08-04 19:53:08.97929	\N	bb4e3bfe-e9d0-4b4e-9eec-8cb668302671
197704	1	25168	2013-08-04 19:53:10.078151	2013-08-04 19:53:10.078151	\N	cb297962-0b33-48f3-9c51-0b470ddfe4db
197705	11	25129	2013-08-04 19:53:10.468676	2013-08-04 19:53:10.468676	\N	8256f449-b534-437b-86c6-8a218adaf472
197706	9	25129	2013-08-04 19:53:10.608347	2013-08-04 19:53:10.608347	\N	493aa8ef-2c8f-4173-b880-e7712c74ee82
194304	9	24734	2013-08-04 19:33:02.55275	2013-08-04 19:33:02.55275	\N	be13e076-0a16-4398-8400-529adc9c50e1
194305	7	24738	2013-08-04 19:33:03.798035	2013-08-04 19:33:03.798035	\N	d8e581e9-7aa9-4ec0-96bf-160df15ebb92
201325	4	25588	2013-08-04 20:08:36.130784	2013-08-04 20:08:36.130784	\N	3f83331b-d6de-44b5-aa08-70b5bbcf9200
197708	11	25210	2013-08-04 19:53:11.061464	2013-08-04 19:53:11.061464	\N	a31c5037-f11b-49c4-b169-186cf66cf1ed
201326	4	25620	2013-08-04 20:08:36.190246	2013-08-04 20:08:36.190246	\N	cbadbb8f-db61-4b5c-890a-97243d0663fd
194328	4	24625	2013-08-04 19:33:11.023816	2013-08-04 19:33:11.023816	\N	b69113d3-f19a-44ab-990d-50dbf9f9cdee
193842	14	24597	2013-08-04 19:30:09.943771	2013-08-04 19:30:09.943771	\N	007b84d0-1cd2-4145-aaf4-1e411e423619
201080	7	25560	2013-08-04 20:07:47.301721	2013-08-04 20:07:47.301721	\N	0f45c1e2-ae9f-4bd7-907c-a5a9ed8cc558
190561	19	24474	2013-08-04 19:14:09.799046	2013-08-04 19:14:09.799046	\N	19294253-1d25-48ed-b7b6-d59c8356b150
201081	11	25584	2013-08-04 20:07:47.682087	2013-08-04 20:07:47.682087	\N	df0dbc81-dd09-4833-896b-55334122f2d5
201101	6	25546	2013-08-04 20:07:51.165727	2013-08-04 20:07:51.165727	\N	5252b18b-e86f-49f1-88ba-68a0c88536d2
205126	2	26087	2013-08-04 20:27:51.716293	2013-08-04 20:27:51.716293	\N	9277f1df-ca61-4dff-9978-b6477e15f38e
201161	7	25620	2013-08-04 20:08:00.98067	2013-08-04 20:08:00.98067	\N	13e96f61-f8ad-409d-8afc-b00c913ffd50
205244	9	26120	2013-08-04 20:28:38.450046	2013-08-04 20:28:38.450046	\N	4847f77b-b9c9-444d-802c-2d47d3dd7a5b
197555	4	25195	2013-08-04 19:52:29.016386	2013-08-04 19:52:29.016386	\N	3204afb7-6441-4633-b9a2-45cde1245101
197556	4	25190	2013-08-04 19:52:29.073414	2013-08-04 19:52:29.073414	\N	ad3266f6-24a7-44c0-a6a0-66aeeed406ca
190611	1	24485	2013-08-04 19:14:18.734737	2013-08-04 19:14:18.734737	\N	dd91c3f1-4382-4f77-bb2b-15ae42c5ca87
197557	4	25197	2013-08-04 19:52:29.125736	2013-08-04 19:52:29.125736	\N	970e1b11-836e-4e53-990d-d055ac7e53e8
197574	9	25242	2013-08-04 19:52:30.846276	2013-08-04 19:52:30.846276	\N	f8b1e67d-2a75-4b61-a1dd-fd1389792c08
197584	8	25168	2013-08-04 19:52:31.303671	2013-08-04 19:52:31.303671	\N	d8fed2c7-0216-47a0-8dee-ad19678d63bd
197585	15	25168	2013-08-04 19:52:31.968375	2013-08-04 19:52:31.968375	\N	ecb53bd0-af26-49f3-9016-95d66c805201
197587	14	25205	2013-08-04 19:52:32.300185	2013-08-04 19:52:32.300185	\N	b330bc00-a4e5-4df6-b7fb-0a7aa6313aec
205308	7	26072	2013-08-04 20:29:03.506153	2013-08-04 20:29:03.506153	\N	84e552be-6a36-4e0a-b7d3-0b52a025d8e8
197598	8	25144	2013-08-04 19:52:35.396213	2013-08-04 19:52:35.396213	\N	d9ca4cae-714d-4991-8ee7-5cdc8729fe69
197655	13	25168	2013-08-04 19:52:52.8705	2013-08-04 19:52:52.8705	\N	18b3cf9f-bf96-4a6c-b717-6d8270f3c42a
201181	1	25588	2013-08-04 20:08:04.290426	2013-08-04 20:08:04.290426	\N	c156ba3b-9e40-49b5-ab34-985eb63e6a79
201199	4	25560	2013-08-04 20:08:11.447721	2013-08-04 20:08:11.447721	\N	292d1f6e-80cb-4992-a921-dd3edf602bc0
194231	7	24625	2013-08-04 19:32:51.176873	2013-08-04 19:32:51.176873	\N	fd6c2f34-5952-491b-885a-5240e6277d15
201200	4	25558	2013-08-04 20:08:11.493276	2013-08-04 20:08:11.493276	\N	657f72fb-091f-4536-801c-29c02ffa1289
201202	4	25565	2013-08-04 20:08:11.526521	2013-08-04 20:08:11.526521	\N	3d4df896-e632-48d4-bb92-6f40aaf7cf54
201203	4	25567	2013-08-04 20:08:11.566472	2013-08-04 20:08:11.566472	\N	fc9369c8-6f86-46b1-8025-14e4d8d6fcb1
201205	4	25568	2013-08-04 20:08:11.612604	2013-08-04 20:08:11.612604	\N	d4a0ea3b-df5d-4113-9d47-f091afa5d088
201206	4	25569	2013-08-04 20:08:11.674087	2013-08-04 20:08:11.674087	\N	d822e407-63b4-45bd-90da-32dc4c580365
201207	4	25575	2013-08-04 20:08:11.735114	2013-08-04 20:08:11.735114	\N	9b332eb5-571b-46ed-afca-e5b9133aaa54
201208	4	25576	2013-08-04 20:08:11.783613	2013-08-04 20:08:11.783613	\N	ee5c94ff-ced3-4a4b-921a-cf7a1a12a1d6
190749	19	24482	2013-08-04 19:14:50.133865	2013-08-04 19:14:50.133865	\N	90aab853-d455-4e3f-a8d1-9a6869c24ea4
194329	4	24640	2013-08-04 19:33:11.137049	2013-08-04 19:33:11.137049	\N	6074b494-6af8-4000-90ce-12d61162191d
194330	4	24664	2013-08-04 19:33:11.192641	2013-08-04 19:33:11.192641	\N	bd130bc9-ea4f-4dbd-bc66-ce80e2b7b7c8
201215	2	25573	2013-08-04 20:08:12.40564	2013-08-04 20:08:12.40564	\N	1fbfdfac-586b-41d1-9ae2-098c5e348cea
194335	2	24693	2013-08-04 19:33:12.491233	2013-08-04 19:33:12.491233	\N	b3610e1d-7ae8-481c-8311-7f5cbfacc6a3
197712	3	25129	2013-08-04 19:53:11.824622	2013-08-04 19:53:11.824622	\N	8fa948a2-8bcb-4d9e-989f-32c076d273f0
194355	2	24692	2013-08-04 19:33:16.796793	2013-08-04 19:33:16.796793	\N	d39929f8-33ac-4f4b-87ad-c99b549e31d3
197713	3	25144	2013-08-04 19:53:11.902115	2013-08-04 19:53:11.902115	\N	e279e74b-a55c-453c-8e17-43d0afbcc9a2
197714	3	25168	2013-08-04 19:53:11.97136	2013-08-04 19:53:11.97136	\N	f7a84dff-cda8-47aa-b32b-15a1cd4359ac
201234	14	25507	2013-08-04 20:08:15.502715	2013-08-04 20:08:15.502715	\N	f6acaeb9-289b-4974-87ac-60bf41d51f6e
194392	17	24664	2013-08-04 19:33:22.966485	2013-08-04 19:33:22.966485	\N	af7b3cce-bbb3-4ddc-8be0-4d1a23fd16cd
194393	14	24701	2013-08-04 19:33:24.715288	2013-08-04 19:33:24.715288	\N	aa2f0535-50e6-41f4-a429-429ed57e0980
194394	13	24640	2013-08-04 19:33:25.182678	2013-08-04 19:33:25.182678	\N	df590fe4-136b-4fb0-8fe9-f7bd43d77891
201237	9	25507	2013-08-04 20:08:16.878539	2013-08-04 20:08:16.878539	\N	aa2d40b7-6e3d-4630-acb4-db0519b605e4
194402	3	24664	2013-08-04 19:33:29.798578	2013-08-04 19:33:29.798578	\N	b617343b-4839-4326-9a22-0dc8e98381b0
201238	7	25584	2013-08-04 20:08:17.449027	2013-08-04 20:08:17.449027	\N	46294f20-c92e-4b29-af8f-b139bd34aa60
201239	4	25507	2013-08-04 20:08:18.131833	2013-08-04 20:08:18.131833	\N	8fffb82f-35a7-4b1a-9dc6-acedc114188d
201241	4	25522	2013-08-04 20:08:18.299107	2013-08-04 20:08:18.299107	\N	3e47afb2-3458-4af8-8fad-a89c378f1263
194412	15	24625	2013-08-04 19:33:32.260375	2013-08-04 19:33:32.260375	\N	24a4f65a-9c59-4cf2-975d-2982405998c6
194415	9	24737	2013-08-04 19:33:33.552246	2013-08-04 19:33:33.552246	\N	385edb6f-0f8b-4b49-ad56-14ce45e97ded
197734	11	25168	2013-08-04 19:53:16.963519	2013-08-04 19:53:16.963519	\N	42c938e0-eccf-42e1-941d-9d784f657082
201259	1	25620	2013-08-04 20:08:23.321975	2013-08-04 20:08:23.321975	\N	793e3eac-96ce-4b34-8c48-4789f677505e
194425	1	24719	2013-08-04 19:33:35.967386	2013-08-04 19:33:35.967386	\N	dc8fa32c-3bda-4f77-9c79-f65d8d2b7639
194432	9	24702	2013-08-04 19:33:37.796792	2013-08-04 19:33:37.796792	\N	75363c06-7e59-480b-9ef8-2408726b597c
194449	2	24679	2013-08-04 19:33:41.763996	2013-08-04 19:33:41.763996	\N	4c277a92-0e7e-4185-bc56-ad459ead98bc
194453	2	24681	2013-08-04 19:33:41.890436	2013-08-04 19:33:41.890436	\N	b0b204bd-132b-4164-8100-6ea596467c06
197896	1	25210	2013-08-04 19:54:07.330098	2013-08-04 19:54:07.330098	\N	51ab428c-770a-41b0-837d-3b86f3761e53
194462	2	24694	2013-08-04 19:33:46.192034	2013-08-04 19:33:46.192034	\N	177c6618-42c6-48de-bed7-dd70ebb8b4fd
205143	2	26078	2013-08-04 20:27:55.940057	2013-08-04 20:27:55.940057	\N	94664cd0-f37c-4521-8471-43b3ca990972
197674	9	25223	2013-08-04 19:52:59.362901	2013-08-04 19:52:59.362901	\N	7786e18b-3b32-4ac9-b57a-33153c83fba6
205157	4	26011	2013-08-04 20:27:59.308663	2013-08-04 20:27:59.308663	\N	6b2d32cb-16cb-44c3-b41a-5f9b5b2952e6
190554	17	24388	2013-08-04 19:14:06.707017	2013-08-04 19:14:06.707017	\N	e7affacb-cdcd-48f3-bd3a-d6b625a3cb9b
197726	4	25199	2013-08-04 19:53:14.013563	2013-08-04 19:53:14.013563	\N	4aed2fdb-6f6f-4338-8523-9606ff551ed3
197728	11	25144	2013-08-04 19:53:14.477838	2013-08-04 19:53:14.477838	\N	afa8845e-1875-43bd-a098-1854d8db49cd
205160	1	26092	2013-08-04 20:28:04.282935	2013-08-04 20:28:04.282935	\N	6c4e9ecb-96bf-4664-b293-7f499a991761
193915	9	24499	2013-08-04 19:30:27.324201	2013-08-04 19:30:27.324201	\N	d6a5d2c9-1d20-454d-896e-d6429733bcbf
205167	9	26011	2013-08-04 20:28:08.521932	2013-08-04 20:28:08.521932	\N	ec31c7b1-9e2b-490d-b307-165b731d9ba2
201197	13	25522	2013-08-04 20:08:10.76051	2013-08-04 20:08:10.76051	\N	823a2ea1-75ce-46c2-a4b3-ccd7611e6bb0
205169	7	26088	2013-08-04 20:28:09.276156	2013-08-04 20:28:09.276156	\N	cc261b8f-ebd1-4127-8404-8bbea07d3b33
205172	7	26080	2013-08-04 20:28:10.337755	2013-08-04 20:28:10.337755	\N	fbcc5571-ed40-4266-bdd4-fa659f789a1a
197787	17	25129	2013-08-04 19:53:33.721066	2013-08-04 19:53:33.721066	\N	2d02eed9-3880-4077-9738-0ad01b17a5e8
209057	14	26668	2013-08-04 20:56:09.42105	2013-08-04 20:56:09.42105	\N	cef671c5-e524-4af9-90f0-8d75ac58dca5
209058	14	26740	2013-08-04 20:56:09.475338	2013-08-04 20:56:09.475338	\N	2d4de57a-fc37-4ae2-b267-f8d2fbaacc3c
209059	14	26669	2013-08-04 20:56:09.531754	2013-08-04 20:56:09.531754	\N	bea9bf98-fb0c-4c10-8b80-aa0fc6906d5c
209060	14	26670	2013-08-04 20:56:09.561504	2013-08-04 20:56:09.561504	\N	dbc34610-2689-42a5-9655-97bac55600cf
209061	14	26705	2013-08-04 20:56:09.612658	2013-08-04 20:56:09.612658	\N	03111bfc-a8be-410c-8f96-71804e6035e6
209062	14	26739	2013-08-04 20:56:09.657226	2013-08-04 20:56:09.657226	\N	ce131729-be22-46a1-ac3c-b34e6f5d20fd
197805	17	25168	2013-08-04 19:53:39.48257	2013-08-04 19:53:39.48257	\N	9771cd8c-8059-454b-b510-63d0dfddcffd
205197	19	26011	2013-08-04 20:28:17.112434	2013-08-04 20:28:17.112434	\N	1ec3f455-0fb0-473f-a693-b3d752107432
205199	7	26062	2013-08-04 20:28:17.302649	2013-08-04 20:28:17.302649	\N	c8913928-c10c-4b73-8378-f903e9ad4197
197831	2	25168	2013-08-04 19:53:46.988321	2013-08-04 19:53:46.988321	\N	fa7dabf0-c26e-43e2-a370-5aa2d9478ae2
197843	4	25210	2013-08-04 19:53:50.943738	2013-08-04 19:53:50.943738	\N	3d0bdcc1-80e4-4065-b67e-fb8d9dfdfac6
197844	4	25224	2013-08-04 19:53:50.974601	2013-08-04 19:53:50.974601	\N	9cf461ba-e8e5-4aae-92c4-96e3d185ada1
197845	4	25242	2013-08-04 19:53:51.00498	2013-08-04 19:53:51.00498	\N	da277def-79c2-4738-a99a-689255b71174
197846	2	25205	2013-08-04 19:53:51.105118	2013-08-04 19:53:51.105118	\N	c38f07a6-4b2f-44f5-bd10-dcd5d4300962
197875	9	25238	2013-08-04 19:54:04.433458	2013-08-04 19:54:04.433458	\N	ef2a5090-6d2e-4d79-9a1e-893c75ca2cf9
201483	7	25608	2013-08-04 20:09:11.120542	2013-08-04 20:09:11.120542	\N	18725de8-da4a-491a-9e17-934e1339e250
209136	4	26718	2013-08-04 20:56:26.219647	2013-08-04 20:56:26.219647	\N	58e1f4d6-8659-4013-b0b5-7498953bc236
209137	4	26742	2013-08-04 20:56:26.280212	2013-08-04 20:56:26.280212	\N	ebb03a7f-f27b-4e6b-8960-b3f641e8d631
209138	4	26736	2013-08-04 20:56:26.312114	2013-08-04 20:56:26.312114	\N	1c5bd4e2-b60a-4181-b79e-5a558a513825
209149	20	26515	2013-08-04 20:56:31.420839	2013-08-04 20:56:31.420839	\N	6481bce9-f741-490f-a34c-2d759708242d
205261	3	26011	2013-08-04 20:28:42.148415	2013-08-04 20:28:42.148415	\N	ae1ed345-08d5-48aa-92ee-d4ac70891d71
194221	8	24734	2013-08-04 19:32:50.974729	2013-08-04 19:32:50.974729	\N	caa47153-91d1-4bea-b349-f89825564baa
194225	14	24686	2013-08-04 19:32:51.093075	2013-08-04 19:32:51.093075	\N	431dd5fb-1fb0-4567-b64a-8a78a193cca7
194230	14	24705	2013-08-04 19:32:51.161989	2013-08-04 19:32:51.161989	\N	a4392d63-ade8-40a7-af2e-16f129ffec23
194232	14	24694	2013-08-04 19:32:51.214136	2013-08-04 19:32:51.214136	\N	ba31890d-c824-4dc0-867f-9b7a53888a50
194233	14	24693	2013-08-04 19:32:51.263152	2013-08-04 19:32:51.263152	\N	e80ab438-de7e-414c-8061-5197351718cd
194324	9	24625	2013-08-04 19:33:06.862848	2013-08-04 19:33:06.862848	\N	6242b281-1ab6-4a4f-bfb6-ba2133196c1b
194326	17	24625	2013-08-04 19:33:09.246503	2013-08-04 19:33:09.246503	\N	2d4fa840-0b07-45fd-a632-33cdbaa5da9c
197957	9	25205	2013-08-04 19:54:23.72275	2013-08-04 19:54:23.72275	\N	fa3ae55f-8b25-4714-ac81-025354b23110
194336	11	24702	2013-08-04 19:33:12.528051	2013-08-04 19:33:12.528051	\N	f0434983-97c6-4a05-9117-df1dea302515
205304	13	26011	2013-08-04 20:29:00.528755	2013-08-04 20:29:00.528755	\N	191118c8-7945-4432-8971-ce6e902c8f3b
201598	14	25522	2013-08-04 20:09:34.547125	2013-08-04 20:09:34.547125	\N	1f59cd63-72a9-48b6-9fd3-29ee5649fb57
194344	11	24625	2013-08-04 19:33:13.782688	2013-08-04 19:33:13.782688	\N	70d50b5e-0246-4dcb-b792-8d9f20996e11
197657	1	25129	2013-08-04 19:52:54.294949	2013-08-04 19:52:54.294949	\N	e84a9cdd-b705-4f2f-a192-37986c88feb5
190531	6	24412	2013-08-04 19:14:02.241394	2013-08-04 19:14:02.241394	\N	515d73c3-475e-4210-aa10-02771c25acff
197666	6	25144	2013-08-04 19:52:56.081512	2013-08-04 19:52:56.081512	\N	7b3873ba-380d-4963-9a24-825f4e2d7a9b
201240	14	25615	2013-08-04 20:08:18.204574	2013-08-04 20:08:18.204574	\N	8e6a94e3-8522-428c-b814-a664f7d1cbb6
197694	1	25242	2013-08-04 19:53:05.475107	2013-08-04 19:53:05.475107	\N	289db8dc-f8d6-471b-807e-3d09d0e085bf
197773	17	25144	2013-08-04 19:53:30.223257	2013-08-04 19:53:30.223257	\N	40c81f19-ec87-4825-a69b-a630215ccf9f
205156	7	26011	2013-08-04 20:27:58.32254	2013-08-04 20:27:58.32254	\N	673231cc-0882-41a3-9036-02fdf834765f
197820	14	25144	2013-08-04 19:53:45.798236	2013-08-04 19:53:45.798236	\N	d463ec1e-7836-4bd2-b637-2532aefd25e3
205162	17	26011	2013-08-04 20:28:06.164458	2013-08-04 20:28:06.164458	\N	cd191006-b586-43f3-9082-795ffdc9c0a0
205163	7	26071	2013-08-04 20:28:07.24881	2013-08-04 20:28:07.24881	\N	8ee4a55f-e51b-4d99-a00e-c1ff77be1da3
201271	17	25507	2013-08-04 20:08:25.526032	2013-08-04 20:08:25.526032	\N	17a3887f-adc1-4edd-b02d-bebe042bc21f
194247	2	24625	2013-08-04 19:32:52.572395	2013-08-04 19:32:52.572395	\N	393ca160-4bee-41ef-b604-60c2cf908bd2
194248	2	24630	2013-08-04 19:32:52.61973	2013-08-04 19:32:52.61973	\N	d1638024-971f-4501-a957-314060092327
194251	2	24621	2013-08-04 19:32:52.66117	2013-08-04 19:32:52.66117	\N	4635379e-82b4-4cd6-b074-91dde703a3f1
194252	2	24627	2013-08-04 19:32:52.710522	2013-08-04 19:32:52.710522	\N	7d8e3fa0-dffd-48c4-acaa-c902945ecd3d
194254	2	24640	2013-08-04 19:32:52.748607	2013-08-04 19:32:52.748607	\N	81a32e23-f626-4538-89cb-81ca2a2fe8e4
194255	2	24633	2013-08-04 19:32:52.798151	2013-08-04 19:32:52.798151	\N	1bf517c3-efad-47a2-9881-e37b184b8c68
194260	2	24682	2013-08-04 19:32:52.909084	2013-08-04 19:32:52.909084	\N	430a42fe-18e6-4bd8-9dad-9231b075c199
194261	2	24642	2013-08-04 19:32:52.962761	2013-08-04 19:32:52.962761	\N	58148d00-cbad-400c-93a7-096999bcdef5
194262	2	24672	2013-08-04 19:32:53.012443	2013-08-04 19:32:53.012443	\N	4adb0b2f-b4f2-4bb2-8d34-f1957b9ce41a
194263	2	24701	2013-08-04 19:32:53.061486	2013-08-04 19:32:53.061486	\N	f9b145ad-ec82-41ed-b471-4ea5ecec6bc3
194264	2	24706	2013-08-04 19:32:53.120365	2013-08-04 19:32:53.120365	\N	54503b8c-6ddc-4c2d-ba07-763a60186578
194265	2	24702	2013-08-04 19:32:53.168354	2013-08-04 19:32:53.168354	\N	b4198577-7699-4e85-ae4d-ace76315614d
194268	2	24685	2013-08-04 19:32:53.286764	2013-08-04 19:32:53.286764	\N	260867a0-cc50-4bc1-a8d0-2eb02bc42c2f
205212	9	26105	2013-08-04 20:28:26.83644	2013-08-04 20:28:26.83644	\N	0ccd182b-6636-406a-bae4-34eca9c31953
205213	6	26011	2013-08-04 20:28:27.797837	2013-08-04 20:28:27.797837	\N	f509ef92-000f-4288-b94a-5ccb4912246a
194274	2	24648	2013-08-04 19:32:53.485652	2013-08-04 19:32:53.485652	\N	c9dc34ae-3473-4ea6-ad60-4c1440937a84
209302	7	26848	2013-08-04 20:57:22.406419	2013-08-04 20:57:22.406419	\N	c74ada55-8440-4d40-951d-fa2e6d1c1f94
194276	2	24664	2013-08-04 19:32:53.54254	2013-08-04 19:32:53.54254	\N	181d096c-0635-4166-b468-ab1a154e8afd
194277	8	24664	2013-08-04 19:32:54.466832	2013-08-04 19:32:54.466832	\N	5e1cfda3-6886-4c50-9c24-a5787fbcc1cd
205215	1	26087	2013-08-04 20:28:29.712578	2013-08-04 20:28:29.712578	\N	8d9d9511-b4e0-434d-ad0e-ba1392960e15
197991	19	25168	2013-08-04 19:54:31.966082	2013-08-04 19:54:31.966082	\N	06505242-9bab-4ae9-a837-4877449288e2
194282	9	24738	2013-08-04 19:32:59.203554	2013-08-04 19:32:59.203554	\N	903a2d93-4957-4d72-a6a0-6049174e63ac
194283	2	24719	2013-08-04 19:32:59.928382	2013-08-04 19:32:59.928382	\N	18234d6d-c6e4-45bc-82e2-536ebce5a0a8
194296	15	24664	2013-08-04 19:33:01.143643	2013-08-04 19:33:01.143643	\N	2253c68c-31a1-4505-a333-682581c6d473
209305	7	26844	2013-08-04 20:57:22.529475	2013-08-04 20:57:22.529475	\N	2a48af2b-5ae4-4a01-95ec-273a0c903e8c
201346	10	25616	2013-08-04 20:08:42.191871	2013-08-04 20:08:42.191871	\N	3e7fdf88-ceeb-46ec-9f67-104dabc41009
201347	9	25616	2013-08-04 20:08:42.424748	2013-08-04 20:08:42.424748	\N	7f292e17-35f1-4421-b5c2-f0cab7e5856f
194303	9	24719	2013-08-04 19:33:02.406043	2013-08-04 19:33:02.406043	\N	a6dde4bd-af33-45a2-bc3e-69dcc7f35fa9
201348	17	25522	2013-08-04 20:08:42.683524	2013-08-04 20:08:42.683524	\N	fdb554b4-c80f-4f2e-ba20-c70101a4f1a3
209309	7	26862	2013-08-04 20:57:22.639516	2013-08-04 20:57:22.639516	\N	71e78843-0665-41a2-a638-8fd3357d9c11
209320	8	26868	2013-08-04 20:57:23.114178	2013-08-04 20:57:23.114178	\N	cd8ba024-bc0d-4bb1-8e85-d62c12e5f7e7
209322	7	26868	2013-08-04 20:57:25.879493	2013-08-04 20:57:25.879493	\N	142bf499-3e85-4631-a074-b5ee80506c01
198016	4	25189	2013-08-04 19:54:45.902295	2013-08-04 19:54:45.902295	\N	453897c6-f82d-4e10-8455-067d35c7d8ba
194315	8	24625	2013-08-04 19:33:05.70396	2013-08-04 19:33:05.70396	\N	045634b2-a8e4-44b3-9299-0900c984e6b0
194320	4	24702	2013-08-04 19:33:05.902796	2013-08-04 19:33:05.902796	\N	705650af-f5b1-44d4-b06d-404195daf65e
194321	4	24706	2013-08-04 19:33:05.952338	2013-08-04 19:33:05.952338	\N	81397a28-1dae-4452-8136-368fa224165b
209323	10	26767	2013-08-04 20:57:26.333975	2013-08-04 20:57:26.333975	\N	83d1d336-c2b3-4ba1-acb7-28af1950beb1
209325	7	26836	2013-08-04 20:57:26.440573	2013-08-04 20:57:26.440573	\N	2623af92-66be-4407-bc81-df5bb18e2a3c
194349	11	24706	2013-08-04 19:33:14.552745	2013-08-04 19:33:14.552745	\N	dc16a83d-750b-4219-b624-5390bfa4fc23
205240	9	26123	2013-08-04 20:28:36.128643	2013-08-04 20:28:36.128643	\N	74486190-934e-4032-a9ff-aaea07fdc235
205241	14	26119	2013-08-04 20:28:36.443007	2013-08-04 20:28:36.443007	\N	aa09794d-a053-4612-b4a9-b6fdc422e4c0
205243	10	26011	2013-08-04 20:28:37.411372	2013-08-04 20:28:37.411372	\N	01c17c15-ba39-4d91-a0db-e22007bda00f
194360	9	24664	2013-08-04 19:33:17.116042	2013-08-04 19:33:17.116042	\N	f8003e3f-4ed7-468f-9b23-cec6b297ff83
194362	8	24640	2013-08-04 19:33:17.566628	2013-08-04 19:33:17.566628	\N	671aab6a-9cde-4d49-ba78-46e6ea5e6626
209336	1	26799	2013-08-04 20:57:27.330273	2013-08-04 20:57:27.330273	\N	71de0987-1b4e-45da-862c-1ea9ce7e4d7c
209337	1	26767	2013-08-04 20:57:27.428947	2013-08-04 20:57:27.428947	\N	cc7a969b-12cc-4fae-a003-79b041d4aac5
194378	4	24678	2013-08-04 19:33:19.939423	2013-08-04 19:33:19.939423	\N	15881951-e117-48fb-b8d8-2bf2d934939b
194379	4	24691	2013-08-04 19:33:19.989342	2013-08-04 19:33:19.989342	\N	96798fe0-0ca1-4b0b-89d5-2f5656f63675
194380	4	24684	2013-08-04 19:33:20.037896	2013-08-04 19:33:20.037896	\N	1fbfd94a-0139-471b-9859-a2fa9a3062ff
194381	4	24685	2013-08-04 19:33:20.097729	2013-08-04 19:33:20.097729	\N	77bfc8de-4f6d-43d4-b320-3045c8470867
194383	4	24686	2013-08-04 19:33:20.143615	2013-08-04 19:33:20.143615	\N	3cb1e54d-e4ef-4ad8-a12d-19af4a268503
194384	4	24693	2013-08-04 19:33:20.178144	2013-08-04 19:33:20.178144	\N	a2d42b58-232f-4626-bdd7-27fecc97b1cb
194385	4	24694	2013-08-04 19:33:20.211205	2013-08-04 19:33:20.211205	\N	c0bcc62c-e65b-4c8a-9224-bc4cad9b6cc2
201576	1	25587	2013-08-04 20:09:29.307675	2013-08-04 20:09:29.307675	\N	7405835a-6951-4415-ac78-e4beeca79643
194391	13	24625	2013-08-04 19:33:21.220021	2013-08-04 19:33:21.220021	\N	89f1673e-1976-4c5b-a21f-7f1431939964
198038	2	25183	2013-08-04 19:54:49.662613	2013-08-04 19:54:49.662613	\N	356ccf3a-4498-4668-857f-0863fe6d0fa9
194399	1	24738	2013-08-04 19:33:26.266543	2013-08-04 19:33:26.266543	\N	514cb751-6b0f-49c6-bf8c-7d6d9be3696d
194400	13	24664	2013-08-04 19:33:27.322889	2013-08-04 19:33:27.322889	\N	ce5a8429-06fb-4dd4-a562-7383711783ee
190538	14	24433	2013-08-04 19:14:03.250505	2013-08-04 19:14:03.250505	\N	ace92426-c961-4eb7-9954-d8ae6e7edbae
190539	14	24434	2013-08-04 19:14:03.278629	2013-08-04 19:14:03.278629	\N	66c75fa5-ea5b-4cac-bad8-f1d767c0dcac
197696	1	25144	2013-08-04 19:53:06.958355	2013-08-04 19:53:06.958355	\N	fe5815d6-1e99-4b77-bab0-7fead1d29801
201391	7	25602	2013-08-04 20:08:50.443255	2013-08-04 20:08:50.443255	\N	915cfd1e-ee05-4cad-9162-959a0cc7944d
201399	11	25620	2013-08-04 20:08:51.427259	2013-08-04 20:08:51.427259	\N	3c1488c7-bac8-4321-b05f-71186b32c363
197750	1	25206	2013-08-04 19:53:24.983709	2013-08-04 19:53:24.983709	\N	760813f0-de38-4d20-a87f-5810dc769069
190589	2	24443	2013-08-04 19:14:13.461613	2013-08-04 19:14:13.461613	\N	280dde13-5c48-44e1-b2da-fa1b54250556
197772	7	25224	2013-08-04 19:53:28.620749	2013-08-04 19:53:28.620749	\N	48a3a5a7-da94-472b-bd90-565acec96f85
197822	14	25168	2013-08-04 19:53:45.842113	2013-08-04 19:53:45.842113	\N	d8df63e3-1dfb-4357-b0af-bd81c56ba64d
197842	1	25209	2013-08-04 19:53:50.936911	2013-08-04 19:53:50.936911	\N	2809720f-9167-4aac-91b7-598f0e39d724
201440	1	25619	2013-08-04 20:08:58.258088	2013-08-04 20:08:58.258088	\N	fd030fe5-7a68-4ff1-999d-d532be52b2bc
201456	6	25507	2013-08-04 20:09:02.047417	2013-08-04 20:09:02.047417	\N	0d38830a-c9ee-4332-bd85-9534f35e9b61
197852	14	25209	2013-08-04 19:53:54.56418	2013-08-04 19:53:54.56418	\N	0a542f5f-4571-4e2c-9533-f22d315756b5
190681	9	24450	2013-08-04 19:14:33.4625	2013-08-04 19:14:33.4625	\N	8699dbba-09a1-455f-973d-08eea055053e
190682	1	24449	2013-08-04 19:14:33.634788	2013-08-04 19:14:33.634788	\N	df59162b-82cd-4d66-9572-9f60048d14d6
190683	10	24412	2013-08-04 19:14:34.179344	2013-08-04 19:14:34.179344	\N	9d08233d-4b17-45d3-ad2a-c6dd41923942
190686	14	24449	2013-08-04 19:14:37.050412	2013-08-04 19:14:37.050412	\N	22a9875f-8192-4fd8-95fd-a24ca10814d5
190687	14	24432	2013-08-04 19:14:37.09977	2013-08-04 19:14:37.09977	\N	1a6f72a0-a531-4e3a-8cc0-c702c92a4b05
190688	14	24442	2013-08-04 19:14:37.149025	2013-08-04 19:14:37.149025	\N	c9c25a45-c3c9-43bc-bdaa-de2e1dcd8da7
190690	14	24441	2013-08-04 19:14:37.23286	2013-08-04 19:14:37.23286	\N	fb6702fd-cac9-4a61-84b1-a11f2562c280
190691	14	24400	2013-08-04 19:14:37.268429	2013-08-04 19:14:37.268429	\N	b3ca9f10-5d01-4e21-8ed9-3931775389c3
190692	14	24472	2013-08-04 19:14:37.318632	2013-08-04 19:14:37.318632	\N	49b439a1-62c7-440e-9f9f-1ad205be224a
190693	14	24401	2013-08-04 19:14:37.364721	2013-08-04 19:14:37.364721	\N	0332328f-3b14-4041-bfbe-791b5734cbc8
190694	14	24402	2013-08-04 19:14:37.412504	2013-08-04 19:14:37.412504	\N	2ee83c3d-8518-4cb0-a0d4-f22e24d6ca7e
190695	14	24437	2013-08-04 19:14:37.461941	2013-08-04 19:14:37.461941	\N	7a0f78d8-1338-43fd-ad2e-69f864fb73a5
190696	14	24471	2013-08-04 19:14:37.49725	2013-08-04 19:14:37.49725	\N	f6e1c11d-b2e4-4926-82a5-68e5d2cc77db
190709	2	24427	2013-08-04 19:14:41.217497	2013-08-04 19:14:41.217497	\N	b96a5135-fe1f-4c1a-b8f1-da9500cbad92
190710	2	24430	2013-08-04 19:14:41.279078	2013-08-04 19:14:41.279078	\N	69ecc26c-2756-4b70-8da2-eb95b8253b80
201459	19	25616	2013-08-04 20:09:03.50245	2013-08-04 20:09:03.50245	\N	95d02ec5-753e-40ee-9be4-294b20d704ae
194218	7	24720	2013-08-04 19:32:50.81068	2013-08-04 19:32:50.81068	\N	9ea79d59-2784-41c5-9212-6c641801dfd9
194219	7	24733	2013-08-04 19:32:50.856666	2013-08-04 19:32:50.856666	\N	cce748a4-9b63-4831-804a-e23f2ef4681b
194220	7	24702	2013-08-04 19:32:50.923906	2013-08-04 19:32:50.923906	\N	1d8678bc-7aa4-47d6-a331-f8cb50a10761
194223	7	24664	2013-08-04 19:32:51.03156	2013-08-04 19:32:51.03156	\N	66aaa580-eb19-423e-ba3d-b67721efa7fd
194224	7	24640	2013-08-04 19:32:51.08053	2013-08-04 19:32:51.08053	\N	66e7a4ac-7c01-46ae-bd03-b110964f7116
197872	15	25129	2013-08-04 19:54:02.260977	2013-08-04 19:54:02.260977	\N	04aa2205-ba63-491b-b7ea-2f4bc863530d
194316	1	24625	2013-08-04 19:33:05.716052	2013-08-04 19:33:05.716052	\N	1e43100a-02e5-4acc-aa00-a9d46a00bb9e
194363	6	24640	2013-08-04 19:33:17.795007	2013-08-04 19:33:17.795007	\N	3fdfe604-1fee-43a8-be96-e3dc707ec226
194364	11	24640	2013-08-04 19:33:17.951281	2013-08-04 19:33:17.951281	\N	ca7bfee8-a28a-41f8-a4c5-e23ea5690dfb
201556	4	25602	2013-08-04 20:09:23.304859	2013-08-04 20:09:23.304859	\N	36359854-3a2e-4287-be3b-b4c3b7e9968f
194366	9	24705	2013-08-04 19:33:18.286954	2013-08-04 19:33:18.286954	\N	879bf408-92ce-40c8-a904-a15f57d76ba4
194369	6	24664	2013-08-04 19:33:18.559847	2013-08-04 19:33:18.559847	\N	28299f8e-c99f-4aac-aec3-60cd6f1c527f
194382	11	24664	2013-08-04 19:33:20.113252	2013-08-04 19:33:20.113252	\N	0352f6fc-cb38-46e0-bb24-bbeabd8c41f7
194410	19	24664	2013-08-04 19:33:31.197373	2013-08-04 19:33:31.197373	\N	a494b45d-3c31-4a28-a98d-47993f9d4259
194430	1	24702	2013-08-04 19:33:36.991435	2013-08-04 19:33:36.991435	\N	b6e7b9d1-6ce2-4f07-8004-b787b05a7820
194438	19	24625	2013-08-04 19:33:40.317554	2013-08-04 19:33:40.317554	\N	42728f52-f92a-42af-89aa-4eeb9c826a2b
209354	9	26861	2013-08-04 20:57:30.38411	2013-08-04 20:57:30.38411	\N	a9e3f370-976c-4c5c-bebe-9dc1841c8399
197955	14	25190	2013-08-04 19:54:23.443373	2013-08-04 19:54:23.443373	\N	c57bbbe7-3332-4c04-aae0-880f01e1a3ab
197956	14	25195	2013-08-04 19:54:23.536132	2013-08-04 19:54:23.536132	\N	728a7645-4d4c-46b5-b61e-48ca9859eb6b
209377	1	26790	2013-08-04 20:57:36.032621	2013-08-04 20:57:36.032621	\N	59e7ee6b-ffe6-4147-896a-1e9f60a2697d
209382	9	26879	2013-08-04 20:57:36.599835	2013-08-04 20:57:36.599835	\N	44c169a9-0441-44c9-a838-cf636ef0a350
194457	19	24640	2013-08-04 19:33:43.894902	2013-08-04 19:33:43.894902	\N	021cc09a-cdad-488d-855c-990a162c91c6
201639	2	25572	2013-08-04 20:09:42.110211	2013-08-04 20:09:42.110211	\N	c42aa272-aa56-4da8-8dda-c6209feaf127
205593	9	26088	2013-08-04 20:31:06.006444	2013-08-04 20:31:06.006444	\N	82c19abc-9ed0-4a0a-b386-64071a90ef26
201358	2	25560	2013-08-04 20:08:46.178662	2013-08-04 20:08:46.178662	\N	139e9a7d-25a8-49bf-9ce9-c6378436d7e3
197738	11	25242	2013-08-04 19:53:18.107669	2013-08-04 19:53:18.107669	\N	f6e84c0b-6ed1-4066-b7f6-83578daacd23
205362	14	26069	2013-08-04 20:29:20.14486	2013-08-04 20:29:20.14486	\N	0aa53ce0-e81d-4320-94e6-740985f6c576
205371	1	26091	2013-08-04 20:29:24.57637	2013-08-04 20:29:24.57637	\N	6ef80550-159a-4ffc-9588-8b4ab222ea19
194474	10	24664	2013-08-04 19:33:52.636707	2013-08-04 19:33:52.636707	\N	fec5d709-0a03-490b-a769-51ad94c1ab61
197766	7	25210	2013-08-04 19:53:27.067369	2013-08-04 19:53:27.067369	\N	039456a3-f756-49bd-bf82-605e277e899b
197769	9	25168	2013-08-04 19:53:27.926639	2013-08-04 19:53:27.926639	\N	b9a12718-2325-4e9a-ba78-6304d5bb72c0
209289	14	26711	2013-08-04 20:57:14.142387	2013-08-04 20:57:14.142387	\N	efba38e2-04b6-4ab5-acd9-fcdabd885076
209294	7	26818	2013-08-04 20:57:21.523291	2013-08-04 20:57:21.523291	\N	2aa5cecd-da92-4d8e-a3cd-e3f708b6aa7d
209295	2	26799	2013-08-04 20:57:22.080982	2013-08-04 20:57:22.080982	\N	a663ecbd-b077-4451-9a2a-8fb5837c6bcd
209296	2	26775	2013-08-04 20:57:22.231352	2013-08-04 20:57:22.231352	\N	720753b6-5e04-4543-b7c3-81237fef2891
209297	2	26778	2013-08-04 20:57:22.281597	2013-08-04 20:57:22.281597	\N	6938b8bb-3062-4f94-8461-244bd76172b0
205439	9	26087	2013-08-04 20:29:48.198927	2013-08-04 20:29:48.198927	\N	d880fadc-b712-43c7-b4bb-2ffd8e01e943
209299	2	26814	2013-08-04 20:57:22.321161	2013-08-04 20:57:22.321161	\N	2fff9116-f32a-4d27-b1f5-633a45e30f9c
209300	2	26808	2013-08-04 20:57:22.363431	2013-08-04 20:57:22.363431	\N	e7e598d0-4cd8-4ee2-9385-0990986f50ba
209301	2	26767	2013-08-04 20:57:22.403407	2013-08-04 20:57:22.403407	\N	199d82c3-7c4b-4723-8d5d-3472aa9a812d
209303	2	26763	2013-08-04 20:57:22.431722	2013-08-04 20:57:22.431722	\N	1e57256f-52a3-4327-9de1-1e684a168be2
209304	2	26769	2013-08-04 20:57:22.485271	2013-08-04 20:57:22.485271	\N	a89d593b-11ed-45ae-98e2-b3ea489e3eee
201503	1	25583	2013-08-04 20:09:13.337254	2013-08-04 20:09:13.337254	\N	2a76b294-9c11-4f99-a1af-129451da04c9
209306	2	26844	2013-08-04 20:57:22.533399	2013-08-04 20:57:22.533399	\N	38d513c4-ced3-4194-ad2a-01ed0ee94dfe
205492	2	26064	2013-08-04 20:30:22.663111	2013-08-04 20:30:22.663111	\N	0523e10b-8cb3-43e4-9ff8-2845d78b0e83
205493	2	26075	2013-08-04 20:30:22.713414	2013-08-04 20:30:22.713414	\N	050b72b7-9eec-4c84-9cba-6e2fcfdf865d
209317	2	26848	2013-08-04 20:57:22.808487	2013-08-04 20:57:22.808487	\N	2924ef56-c36b-4087-9a5b-94d826acd658
201547	2	25584	2013-08-04 20:09:21.55965	2013-08-04 20:09:21.55965	\N	9341c753-2b7c-42c4-8055-4161359bb37a
209319	2	26790	2013-08-04 20:57:22.89317	2013-08-04 20:57:22.89317	\N	ef2b5026-d223-4a30-80e6-be8ea206770c
209326	10	26868	2013-08-04 20:57:26.460834	2013-08-04 20:57:26.460834	\N	01d621d7-7508-4be9-b9f9-5e7138c85d8a
201562	14	25573	2013-08-04 20:09:27.367144	2013-08-04 20:09:27.367144	\N	2749fa24-a60f-41ac-b558-dedca267e24f
201564	14	25601	2013-08-04 20:09:27.396977	2013-08-04 20:09:27.396977	\N	e79008fb-7802-4f45-8734-96d6cd409b13
198001	19	25129	2013-08-04 19:54:40.315058	2013-08-04 19:54:40.315058	\N	8d6b9b74-34ef-4ce7-ad40-4ad9e2a4b935
201565	14	25565	2013-08-04 20:09:27.431698	2013-08-04 20:09:27.431698	\N	f83972ff-bf05-4fc9-a3e3-9dd0a3776f13
201568	14	25569	2013-08-04 20:09:27.480711	2013-08-04 20:09:27.480711	\N	56b8875e-41ad-4b62-95a7-e5be01a4bbe5
209339	4	26767	2013-08-04 20:57:28.677141	2013-08-04 20:57:28.677141	\N	936364a4-8c35-4431-8321-6eaf7abb95cf
209344	4	26825	2013-08-04 20:57:29.062898	2013-08-04 20:57:29.062898	\N	be815646-70db-4c34-af89-3f744bbb4dd7
209345	4	26828	2013-08-04 20:57:29.119709	2013-08-04 20:57:29.119709	\N	dbd87df4-d177-4053-8ae5-87167ef23d32
209347	4	26836	2013-08-04 20:57:29.157674	2013-08-04 20:57:29.157674	\N	a7260f1c-390e-4983-be8e-f8fa4afbad22
209356	7	26820	2013-08-04 20:57:31.508278	2013-08-04 20:57:31.508278	\N	b99a5fab-13e9-4491-b916-1dd335175b1d
205652	14	26038	2013-08-04 20:31:28.208631	2013-08-04 20:31:28.208631	\N	a7c52fc0-8b42-4d4d-b95a-2fb9a180e97e
205653	14	26110	2013-08-04 20:31:28.260494	2013-08-04 20:31:28.260494	\N	5ba63cbb-4f3a-4706-9a21-6bf905a6993a
205655	14	26039	2013-08-04 20:31:28.316189	2013-08-04 20:31:28.316189	\N	b33b96b8-b730-4f7d-85a5-6f00621cf0af
198074	2	25242	2013-08-04 19:55:00.24805	2013-08-04 19:55:00.24805	\N	22a225c0-85e7-4ed1-8745-5325b958704e
205656	14	26040	2013-08-04 20:31:28.367029	2013-08-04 20:31:28.367029	\N	ff7c6aca-d11d-4dc6-b3af-8ddee1352649
205657	14	26075	2013-08-04 20:31:28.416523	2013-08-04 20:31:28.416523	\N	30c0c16d-e84c-471d-822a-4b7880a26b1d
205658	14	26109	2013-08-04 20:31:28.474659	2013-08-04 20:31:28.474659	\N	2c5b67cd-d452-4036-b68f-3be5957b196e
209505	7	26827	2013-08-04 20:58:01.879949	2013-08-04 20:58:01.879949	\N	17118e3e-3a38-4b98-9ffb-07caff883946
198081	2	25223	2013-08-04 19:55:02.325878	2013-08-04 19:55:02.325878	\N	e980dfef-e00c-42e2-8d60-badcb8d13994
209511	14	26767	2013-08-04 20:58:02.135099	2013-08-04 20:58:02.135099	\N	68ee9360-9da6-457c-bd91-5b0c19755698
205800	4	26137	2013-08-04 20:33:01.002508	2013-08-04 20:33:01.002508	\N	88b2bfe8-05cb-4b0c-847d-e4853e9f8dc3
205810	11	26137	2013-08-04 20:33:02.360834	2013-08-04 20:33:02.360834	\N	5cf4feec-20ef-41c6-82df-e6606e710131
205817	8	26246	2013-08-04 20:33:02.967605	2013-08-04 20:33:02.967605	\N	2169a6ff-e951-437a-88c5-f3f8f0f1f1ac
194475	14	24664	2013-08-04 19:33:52.671392	2013-08-04 19:33:52.671392	\N	c5b9bc9e-96b0-42d0-9be0-80d2e04e3fde
194476	14	24625	2013-08-04 19:33:53.35811	2013-08-04 19:33:53.35811	\N	372827d9-1d5f-4ab4-8fe8-bc1a66d1c9fe
209233	9	26736	2013-08-04 20:56:44.229118	2013-08-04 20:56:44.229118	\N	23da5f84-6bff-47eb-b94d-56b1ee6058c7
198031	19	25144	2013-08-04 19:54:47.732861	2013-08-04 19:54:47.732861	\N	643dffdd-31f6-4335-905c-eb8412537b97
198047	2	25186	2013-08-04 19:54:54.022595	2013-08-04 19:54:54.022595	\N	59efdbca-4692-49ad-bc30-76e2c3700ec9
198062	1	25223	2013-08-04 19:54:59.023235	2013-08-04 19:54:59.023235	\N	431980ac-45d2-4879-89d8-034daa26d22c
205473	4	26088	2013-08-04 20:30:13.273212	2013-08-04 20:30:13.273212	\N	bd53af19-62c3-4d9f-bdc7-82b1446877e4
205474	4	26106	2013-08-04 20:30:13.382417	2013-08-04 20:30:13.382417	\N	6df782f3-eab4-4cb5-a719-8f79a2146ee4
201432	4	25573	2013-08-04 20:08:56.125496	2013-08-04 20:08:56.125496	\N	a7550069-053d-4b02-8aec-4e6848be62e6
198103	14	25129	2013-08-04 19:55:07.219781	2013-08-04 19:55:07.219781	\N	411f0c74-a65f-4edc-bfcf-0d3bc81f91ec
209433	14	26836	2013-08-04 20:57:46.701503	2013-08-04 20:57:46.701503	\N	6ebebe38-9dc7-4f60-8a03-767e20be312a
209476	14	26843	2013-08-04 20:57:57.152505	2013-08-04 20:57:57.152505	\N	2eee33ed-d218-4077-803a-584ec664b559
209477	14	26847	2013-08-04 20:57:57.753146	2013-08-04 20:57:57.753146	\N	5f4e16ec-3c92-4bf3-abf1-580ce7c9398e
198118	2	25140	2013-08-04 19:55:12.79953	2013-08-04 19:55:12.79953	\N	6ee22313-83f2-4cf8-a2b2-d82cac797d25
209480	1	26808	2013-08-04 20:57:58.558249	2013-08-04 20:57:58.558249	\N	98406460-9d56-42cc-a324-89ef72ec424d
209501	7	26828	2013-08-04 20:58:01.639909	2013-08-04 20:58:01.639909	\N	83ac2a48-4760-48ef-9392-fb7e37bf1062
201523	8	25608	2013-08-04 20:09:14.949022	2013-08-04 20:09:14.949022	\N	86fe2aca-d153-41d7-845f-2c0c3eddbefd
198144	2	25197	2013-08-04 19:55:19.267677	2013-08-04 19:55:19.267677	\N	48a2956c-e051-41f7-9864-feef27e34fdb
201541	2	25588	2013-08-04 20:09:19.443685	2013-08-04 20:09:19.443685	\N	a898c489-fef6-41d5-b85e-a5dce492123d
201542	2	25608	2013-08-04 20:09:19.473199	2013-08-04 20:09:19.473199	\N	99df3772-40ad-4cea-a70e-d8417dfa2d71
198161	2	25210	2013-08-04 19:55:23.527186	2013-08-04 19:55:23.527186	\N	153847c4-05bf-4876-a174-46ed8e9a7927
205709	14	26080	2013-08-04 20:32:00.585467	2013-08-04 20:32:00.585467	\N	9c7b71ae-3762-4766-b3e6-eac3583168f6
205765	7	26190	2013-08-04 20:32:53.688268	2013-08-04 20:32:53.688268	\N	4ec1952e-da08-415b-aa90-f48100f8be35
205799	11	26214	2013-08-04 20:33:00.994781	2013-08-04 20:33:00.994781	\N	cedf497e-165c-4a9a-8f3b-c92caafd9064
201644	2	25571	2013-08-04 20:09:42.214607	2013-08-04 20:09:42.214607	\N	c7f0a05a-d360-4155-b234-c72df21d9b32
205450	2	26073	2013-08-04 20:29:50.938389	2013-08-04 20:29:50.938389	\N	0b5bf4a5-481d-45fa-9473-262c245db8df
209369	7	26767	2013-08-04 20:57:33.655245	2013-08-04 20:57:33.655245	\N	df8f752a-d68b-4564-8f77-c423edcd7b70
201719	3	25522	2013-08-04 20:09:57.456197	2013-08-04 20:09:57.456197	\N	086c135d-930f-493c-95ea-f9d7d2ccb28b
201720	3	25507	2013-08-04 20:09:57.492232	2013-08-04 20:09:57.492232	\N	97b37074-4b64-4f88-866a-6855cd2037fc
205465	15	26011	2013-08-04 20:30:05.276405	2013-08-04 20:30:05.276405	\N	89d9aa5c-610c-45b6-b1e5-81388e289a60
205494	1	26105	2013-08-04 20:30:23.044742	2013-08-04 20:30:23.044742	\N	801a9a76-523d-4b26-afe1-d0a7abc81674
209414	7	26826	2013-08-04 20:57:42.946827	2013-08-04 20:57:42.946827	\N	0f23f558-2b3c-4897-8a5f-7e844c0190cf
209428	7	26825	2013-08-04 20:57:46.39939	2013-08-04 20:57:46.39939	\N	64968b1d-be5f-442b-a4f6-36ddee276a5b
209439	20	26767	2013-08-04 20:57:49.245711	2013-08-04 20:57:49.245711	\N	bdeef717-2ac8-48b4-9852-8f4412d29341
198345	1	25241	2013-08-04 19:56:15.683992	2013-08-04 19:56:15.683992	\N	f3814f24-8c80-4e70-a428-3ca1e01e839b
209454	9	26847	2013-08-04 20:57:53.88946	2013-08-04 20:57:53.88946	\N	173d41ee-41be-4d1a-bffc-ba75c44b01ee
198393	1	25205	2013-08-04 19:56:32.760901	2013-08-04 19:56:32.760901	\N	50b55851-cfa0-418b-82f3-c2c37fa1ad1a
209460	14	26861	2013-08-04 20:57:55.100139	2013-08-04 20:57:55.100139	\N	fe1c85f7-81e9-43f4-ab01-980ccc64f647
209465	1	26775	2013-08-04 20:57:56.011499	2013-08-04 20:57:56.011499	\N	6e86f161-6b3e-413f-828c-111b679ac885
198407	2	25196	2013-08-04 19:56:39.983457	2013-08-04 19:56:39.983457	\N	00b5f6f9-3e50-43a8-ae22-9096ed7b823d
205741	7	26246	2013-08-04 20:32:44.88294	2013-08-04 20:32:44.88294	\N	3c3e3642-579b-48f0-aebb-13ab36af1a44
205760	7	26188	2013-08-04 20:32:47.628452	2013-08-04 20:32:47.628452	\N	dae45cd9-7111-4ba6-b486-406dd8836d58
205761	7	26206	2013-08-04 20:32:47.763479	2013-08-04 20:32:47.763479	\N	269c22d5-92fb-4915-8dec-91da98b62a93
205763	7	26232	2013-08-04 20:32:49.566667	2013-08-04 20:32:49.566667	\N	e785158a-7783-44c9-8afe-0887c8b26b20
205776	7	26195	2013-08-04 20:32:54.263437	2013-08-04 20:32:54.263437	\N	91fe63d9-ec9c-429e-bdf3-221b042a43a5
205785	9	26217	2013-08-04 20:32:56.122679	2013-08-04 20:32:56.122679	\N	c3a1a137-a1b7-43e3-8e22-c403384a3f7f
205798	7	26218	2013-08-04 20:32:59.361197	2013-08-04 20:32:59.361197	\N	1ccadebf-e95f-4115-864e-bf28ca7a58f4
205837	14	26245	2013-08-04 20:33:07.387428	2013-08-04 20:33:07.387428	\N	5162340f-f739-4705-b26d-8fff4548d746
205844	1	26137	2013-08-04 20:33:10.987424	2013-08-04 20:33:10.987424	\N	333316b8-832f-4727-9348-5b36517f0a9a
205615	7	26081	2013-08-04 20:31:17.588315	2013-08-04 20:31:17.588315	\N	026fe9fc-a52b-4892-81e9-5a0f1cc85b47
209449	14	26875	2013-08-04 20:57:53.3643	2013-08-04 20:57:53.3643	\N	45823c3b-b8c3-4796-a970-c7b1e5b3f112
201806	4	25608	2013-08-04 20:10:12.875199	2013-08-04 20:10:12.875199	\N	3c16137a-8a69-4592-b00d-47146e8cfb92
205872	2	26190	2013-08-04 20:33:25.930697	2013-08-04 20:33:25.930697	\N	5d3797ba-4c62-488b-ab38-811e108d6b2d
201811	19	25608	2013-08-04 20:10:15.204708	2013-08-04 20:10:15.204708	\N	8ef8cc12-e410-40cb-86eb-813ee8a76c99
205879	4	26195	2013-08-04 20:33:28.314614	2013-08-04 20:33:28.314614	\N	ccc58ef5-c1d1-47fb-9003-68c817c2ec2f
205880	4	26198	2013-08-04 20:33:28.398656	2013-08-04 20:33:28.398656	\N	6b8954e9-e9e4-4c32-ae9c-ce71e3701b31
205881	4	26206	2013-08-04 20:33:28.450689	2013-08-04 20:33:28.450689	\N	c4bf91ad-de5f-43d1-8a56-af334b28122c
205886	1	26218	2013-08-04 20:33:31.112665	2013-08-04 20:33:31.112665	\N	4eaa4d27-e60a-40c2-beac-bc8fcb22396a
206085	4	26214	2013-08-04 20:34:55.484304	2013-08-04 20:34:55.484304	\N	4dd281d0-18e9-47d1-9a4c-fb95692274db
206086	4	26218	2013-08-04 20:34:55.535925	2013-08-04 20:34:55.535925	\N	3e5cca2d-b0f1-42a4-b352-823dfc1c4ca2
206087	4	26232	2013-08-04 20:34:55.595441	2013-08-04 20:34:55.595441	\N	ff6f964f-5e48-45b9-afa9-cc0172d835c4
201906	15	25507	2013-08-04 20:10:34.060166	2013-08-04 20:10:34.060166	\N	0052d1cc-cfbb-4f20-8868-f2c5c5d61378
206089	10	26238	2013-08-04 20:34:56.441405	2013-08-04 20:34:56.441405	\N	4b63c33a-4a0d-4bef-a58c-57739aa2c3cf
206090	10	26137	2013-08-04 20:34:56.573407	2013-08-04 20:34:56.573407	\N	758588a3-f2c1-4a89-bcde-f5560169155d
209656	1	26844	2013-08-04 20:58:33.183939	2013-08-04 20:58:33.183939	\N	bda3bc08-3993-453f-ae55-43c278b0240f
209674	9	26844	2013-08-04 20:58:39.705753	2013-08-04 20:58:39.705753	\N	91b11ed7-cab0-42dc-9f02-550e50738c33
206253	9	26246	2013-08-04 20:36:30.259383	2013-08-04 20:36:30.259383	\N	405732ab-25b8-4059-9473-e70b49300d14
206313	4	26329	2013-08-04 20:37:30.898895	2013-08-04 20:37:30.898895	\N	b5652860-2799-4019-9a1a-c15c25d7feb0
206314	4	26324	2013-08-04 20:37:30.982337	2013-08-04 20:37:30.982337	\N	39fa955d-a8d7-496c-a37a-86e65765dfa0
206316	7	26332	2013-08-04 20:37:31.063076	2013-08-04 20:37:31.063076	\N	a298b797-88ce-47ce-bdce-6e29506d3cd7
201682	10	25507	2013-08-04 20:09:48.949131	2013-08-04 20:09:48.949131	\N	d5b90419-e471-4b4b-808d-52956f158249
201683	9	25602	2013-08-04 20:09:49.068222	2013-08-04 20:09:49.068222	\N	2c3c3c44-c554-4369-8c47-61359d141683
209517	7	26829	2013-08-04 20:58:04.286734	2013-08-04 20:58:04.286734	\N	54d8179d-0293-4980-96c7-c9ced0820664
209530	9	26767	2013-08-04 20:58:05.290067	2013-08-04 20:58:05.290067	\N	f9c1042d-be5c-46ac-9904-682eb3801194
209532	1	26778	2013-08-04 20:58:07.098688	2013-08-04 20:58:07.098688	\N	ff27a777-4681-4e1e-a37d-5e0d2182a1ab
205730	7	26207	2013-08-04 20:32:43.817631	2013-08-04 20:32:43.817631	\N	56d99a3c-5ddc-4e48-8f9d-408f4a019af8
205731	7	26137	2013-08-04 20:32:43.927303	2013-08-04 20:32:43.927303	\N	f74c5a34-b6bb-4a39-89a4-b67098c5effd
205732	2	26137	2013-08-04 20:32:44.167073	2013-08-04 20:32:44.167073	\N	b295080c-7c3b-41f3-b9cd-621988277b7f
205733	2	26148	2013-08-04 20:32:44.231437	2013-08-04 20:32:44.231437	\N	c79a2cdb-fbb7-4e02-af32-39e0fdfd46c6
205734	2	26145	2013-08-04 20:32:44.286401	2013-08-04 20:32:44.286401	\N	3bf3e93c-96e1-4969-8814-a50663473f9c
205735	2	26142	2013-08-04 20:32:44.576588	2013-08-04 20:32:44.576588	\N	38ea365d-eb4c-4fd0-8493-d20812f905af
205736	2	26160	2013-08-04 20:32:44.661778	2013-08-04 20:32:44.661778	\N	0fbe2542-d66d-4a3a-8318-dacce8619b08
205737	2	26133	2013-08-04 20:32:44.721121	2013-08-04 20:32:44.721121	\N	93fa4b91-63ce-4888-8576-3b47d3a22f6e
205738	2	26139	2013-08-04 20:32:44.780004	2013-08-04 20:32:44.780004	\N	eed4f080-272c-4e6b-9f16-cb4716c7f0e2
205745	2	26218	2013-08-04 20:32:44.968888	2013-08-04 20:32:44.968888	\N	68e2c779-87eb-45c8-9cf2-4cfa7a7c9704
205769	2	26231	2013-08-04 20:32:53.960017	2013-08-04 20:32:53.960017	\N	0f852d5e-9242-4ab4-83c8-2470a69bf7cd
198361	2	25199	2013-08-04 19:56:21.33406	2013-08-04 19:56:21.33406	\N	18837d03-2640-48d6-ade8-772de619ec50
202070	14	25534	2013-08-04 20:11:03.887998	2013-08-04 20:11:03.887998	\N	62f0ccac-5460-4cbd-bb93-79d92440b253
202071	14	25606	2013-08-04 20:11:04.025764	2013-08-04 20:11:04.025764	\N	9c47e262-fef9-4deb-b7b2-365cbbc04db5
202072	14	25535	2013-08-04 20:11:04.089465	2013-08-04 20:11:04.089465	\N	ed88a911-4676-4c1f-99d9-71f0f570cc45
202073	14	25536	2013-08-04 20:11:04.149354	2013-08-04 20:11:04.149354	\N	64812a58-b02b-4559-a06e-73206753af48
202074	14	25571	2013-08-04 20:11:04.205836	2013-08-04 20:11:04.205836	\N	c30e5cdc-d7b3-4d3a-96d6-7ab4e4429988
202075	14	25605	2013-08-04 20:11:04.256108	2013-08-04 20:11:04.256108	\N	e48809ed-068a-40ef-8292-a5dc7ca4e4a3
202076	14	25567	2013-08-04 20:11:04.292157	2013-08-04 20:11:04.292157	\N	de19d90d-4f70-46de-87ff-21173fca91ae
202077	14	25560	2013-08-04 20:11:04.338435	2013-08-04 20:11:04.338435	\N	43cd4c5f-1401-48ce-b0ad-c493b8a875a5
205771	2	26184	2013-08-04 20:32:53.994906	2013-08-04 20:32:53.994906	\N	01c82b72-1bc2-452d-96a7-052c6414e9d2
205772	2	26194	2013-08-04 20:32:54.036335	2013-08-04 20:32:54.036335	\N	5e8c59dd-c7bb-4349-b985-802d09aeea2f
205774	10	26246	2013-08-04 20:32:54.153731	2013-08-04 20:32:54.153731	\N	ca1fe6ec-85d6-4c3a-a888-6decd98b5930
205781	7	26196	2013-08-04 20:32:54.860676	2013-08-04 20:32:54.860676	\N	f3bb6e0d-fd4c-4678-9640-9135f81a84c7
205784	7	26199	2013-08-04 20:32:56.011901	2013-08-04 20:32:56.011901	\N	f5ca0650-f987-47fb-bb71-654a9b1bf686
205788	2	26201	2013-08-04 20:32:56.245855	2013-08-04 20:32:56.245855	\N	d50676d3-f423-42f6-8eba-4b8c8cd5fbc6
205815	7	26198	2013-08-04 20:33:02.832824	2013-08-04 20:33:02.832824	\N	f5201d9e-c1e8-4166-8883-6df3eef8865e
205836	2	26213	2013-08-04 20:33:06.818759	2013-08-04 20:33:06.818759	\N	4b581646-3ae3-4e25-91ea-9f0be1e1d0dc
205839	7	26197	2013-08-04 20:33:07.700223	2013-08-04 20:33:07.700223	\N	14633c07-ac24-4aca-8fdc-5b58361f3921
209785	2	26821	2013-08-04 20:58:59.725214	2013-08-04 20:58:59.725214	\N	6e5cac77-1dfe-45a8-ab20-9d6ad24b382f
205849	2	26196	2013-08-04 20:33:11.229879	2013-08-04 20:33:11.229879	\N	0d8be573-cda9-4e43-9926-1b416ad9a587
205855	19	26246	2013-08-04 20:33:13.596788	2013-08-04 20:33:13.596788	\N	2752d436-528e-4fc9-89fa-150e326f4250
205930	8	26137	2013-08-04 20:33:45.057737	2013-08-04 20:33:45.057737	\N	05fa1d69-2150-4bc0-a031-e70c86bd92b6
201679	19	25507	2013-08-04 20:09:46.163082	2013-08-04 20:09:46.163082	\N	80b17569-96dd-4b9c-8f0f-3f3d7db8c114
205845	14	26231	2013-08-04 20:33:11.066812	2013-08-04 20:33:11.066812	\N	75b021fe-aeb8-4572-b4af-d11335c2f1d0
205851	14	26213	2013-08-04 20:33:11.894944	2013-08-04 20:33:11.894944	\N	991314fb-fce9-40a2-bcd5-57126ade5add
205853	14	26217	2013-08-04 20:33:12.896737	2013-08-04 20:33:12.896737	\N	6cb595f9-ad3c-4b4b-a09a-da740066baf0
201741	9	25608	2013-08-04 20:10:03.343713	2013-08-04 20:10:03.343713	\N	5121f0b8-daff-4177-a6ce-6625db0ef33f
201743	19	25522	2013-08-04 20:10:03.490381	2013-08-04 20:10:03.490381	\N	06488d09-cd7f-4a52-8c8e-e5f1105823a2
198292	14	25156	2013-08-04 19:56:00.007897	2013-08-04 19:56:00.007897	\N	e281ae01-8019-4aef-bf46-7fa67e8832b1
198293	14	25228	2013-08-04 19:56:00.082211	2013-08-04 19:56:00.082211	\N	51b44c46-139b-4f2d-ac89-7afbced4f129
198295	14	25157	2013-08-04 19:56:00.144679	2013-08-04 19:56:00.144679	\N	4aca519b-624e-4ee3-80c6-ecb9a4b38f46
198297	14	25158	2013-08-04 19:56:00.215461	2013-08-04 19:56:00.215461	\N	9e9c923c-9ce3-4cc7-b277-c9dcf3fc2e2e
198298	14	25193	2013-08-04 19:56:00.273853	2013-08-04 19:56:00.273853	\N	aac5c648-5d2d-4272-96df-081907489f89
198299	14	25227	2013-08-04 19:56:00.345337	2013-08-04 19:56:00.345337	\N	e82687b4-8556-4df6-a38d-0026e398c240
205911	9	26249	2013-08-04 20:33:35.576764	2013-08-04 20:33:35.576764	\N	2fefad9b-9a4d-4e8e-8e04-bd7878c09eb7
205913	14	26198	2013-08-04 20:33:37.963826	2013-08-04 20:33:37.963826	\N	aa61f063-c0b7-476f-8694-42eead3472e2
209695	19	26868	2013-08-04 20:58:43.318565	2013-08-04 20:58:43.318565	\N	3c7d4099-1e99-4224-9fc3-9f0b4b352647
205927	9	26137	2013-08-04 20:33:43.906117	2013-08-04 20:33:43.906117	\N	4018d8ed-42fa-4970-aa32-96442cb892a2
205933	17	26137	2013-08-04 20:33:49.32074	2013-08-04 20:33:49.32074	\N	e6c1601a-cc51-4daa-86a5-5360c00525ec
209711	9	26843	2013-08-04 20:58:46.987267	2013-08-04 20:58:46.987267	\N	703cae8b-a54c-47b6-8283-1a2030d9efd7
209712	6	26767	2013-08-04 20:58:47.039532	2013-08-04 20:58:47.039532	\N	ff4a2598-3ad3-4007-be0f-ebef18ca8d8a
209780	2	26843	2013-08-04 20:58:57.583531	2013-08-04 20:58:57.583531	\N	99e5e6b4-d51e-44be-9043-204459bba4ea
205972	9	26231	2013-08-04 20:34:02.172916	2013-08-04 20:34:02.172916	\N	980d77cf-a80d-450a-9e99-e1195ab1840f
205987	2	26214	2013-08-04 20:34:07.910347	2013-08-04 20:34:07.910347	\N	69d3324e-52d6-4e6d-a3dc-1dacbb6ed254
209812	2	26824	2013-08-04 20:59:01.803836	2013-08-04 20:59:01.803836	\N	ac4b0725-2aa8-4d43-8451-b72fa1cef99b
209814	2	26868	2013-08-04 20:59:01.840019	2013-08-04 20:59:01.840019	\N	6bbcc6ad-0c4f-47ac-a161-03eb6fefe68e
202164	10	25608	2013-08-04 20:11:20.184534	2013-08-04 20:11:20.184534	\N	343abbba-068a-44b8-b18d-f1e2a03eb0ab
206021	9	26238	2013-08-04 20:34:23.509658	2013-08-04 20:34:23.509658	\N	ce0148c3-6a03-4074-8ad7-77124ecca0f7
209851	2	26836	2013-08-04 20:59:08.109685	2013-08-04 20:59:08.109685	\N	fc44cfc4-4b50-45cb-9300-c7916624fb38
209852	2	26825	2013-08-04 20:59:08.191718	2013-08-04 20:59:08.191718	\N	aeed2c59-f37c-44ae-9291-50062a54c3e0
206032	9	26213	2013-08-04 20:34:28.744256	2013-08-04 20:34:28.744256	\N	2b05dd1b-4d68-435b-9493-6c76a0bb6f22
209865	1	26848	2013-08-04 20:59:09.065093	2013-08-04 20:59:09.065093	\N	3b971376-b05b-42d0-b55f-69fb1824de2d
205821	11	26218	2013-08-04 20:33:03.163108	2013-08-04 20:33:03.163108	\N	54d34315-5ec2-4c32-bbe0-5f6ddbc439aa
209623	1	26763	2013-08-04 20:58:24.812424	2013-08-04 20:58:24.812424	\N	52347bdf-0fd7-4ea9-838d-18ed361ab206
198251	2	25206	2013-08-04 19:55:50.938367	2013-08-04 19:55:50.938367	\N	0a0352f7-6757-4583-be39-0081299dcc7c
206014	8	26238	2013-08-04 20:34:21.954583	2013-08-04 20:34:21.954583	\N	71347832-6de2-489f-8beb-3d6c0ed86ac1
206041	6	26137	2013-08-04 20:34:32.687805	2013-08-04 20:34:32.687805	\N	103e4592-e332-47e0-b18e-b56038275bfe
209665	19	26876	2013-08-04 20:58:35.805745	2013-08-04 20:58:35.805745	\N	5f1c8775-0bce-4905-9d17-85806776a8d2
206128	14	26207	2013-08-04 20:35:13.54768	2013-08-04 20:35:13.54768	\N	7393e6a3-a121-42c0-9f39-2d5938afa366
206303	2	26238	2013-08-04 20:37:05.414054	2013-08-04 20:37:05.414054	\N	e7244396-8666-4193-b8c0-d78f33ea2224
201960	2	25565	2013-08-04 20:10:43.150233	2013-08-04 20:10:43.150233	\N	3afebae8-6c45-42fd-a086-1bd9b6426df2
209825	2	26826	2013-08-04 20:59:03.914802	2013-08-04 20:59:03.914802	\N	892dd95d-e7d3-4856-b03b-05126fa08869
206379	2	26328	2013-08-04 20:37:44.944928	2013-08-04 20:37:44.944928	\N	60c5b8c1-d574-41a5-98e8-fd75dd6d3ca3
206454	2	26329	2013-08-04 20:38:21.618093	2013-08-04 20:38:21.618093	\N	15c95dfd-35db-447c-88a8-798de83574be
206459	11	26263	2013-08-04 20:38:22.471675	2013-08-04 20:38:22.471675	\N	b0f48ae0-da18-4028-b9ec-e4971e811a93
206461	11	26344	2013-08-04 20:38:23.000144	2013-08-04 20:38:23.000144	\N	4fd728d1-8f25-44c1-803c-cf8029096a20
206463	1	26263	2013-08-04 20:38:23.264925	2013-08-04 20:38:23.264925	\N	2abcfc88-7220-4d1a-aeb2-b753d047fef3
206540	1	26259	2013-08-04 20:38:59.977077	2013-08-04 20:38:59.977077	\N	177c585c-230a-4918-9d9b-7a0ec93cf5ba
206589	2	26327	2013-08-04 20:39:17.755542	2013-08-04 20:39:17.755542	\N	a5bd4383-63ef-429a-be35-059d45106e5e
205947	14	26137	2013-08-04 20:33:56.648982	2013-08-04 20:33:56.648982	\N	30103612-0d2f-4d4b-a559-80cbd4e30d78
202404	7	25714	2013-08-04 20:12:48.44025	2013-08-04 20:12:48.44025	\N	61ca4f2d-6f83-4822-a669-a11dea44f587
202407	1	25727	2013-08-04 20:12:49.488868	2013-08-04 20:12:49.488868	\N	f96eae3c-8e98-4c7a-ad3e-9d61d9cda3e7
202409	7	25710	2013-08-04 20:12:50.304159	2013-08-04 20:12:50.304159	\N	70903f81-e3d8-40c3-a918-6609c8efb1c9
206064	2	26203	2013-08-04 20:34:46.230506	2013-08-04 20:34:46.230506	\N	f32af176-eaac-4d77-8a83-a072d4456042
202423	7	25695	2013-08-04 20:12:53.497468	2013-08-04 20:12:53.497468	\N	d7b17958-5ef3-4863-a0b7-3732d54c7515
202424	1	25710	2013-08-04 20:12:53.661763	2013-08-04 20:12:53.661763	\N	6db207d9-8548-4407-842e-d1ff01bc1fd5
202427	1	25648	2013-08-04 20:12:54.223559	2013-08-04 20:12:54.223559	\N	5f9fb15c-70d7-4532-94dd-091f6ff803e9
202429	7	25699	2013-08-04 20:12:54.398477	2013-08-04 20:12:54.398477	\N	148a4e6a-48df-4925-b4a6-8b1151aba0a5
206106	3	26137	2013-08-04 20:35:01.571308	2013-08-04 20:35:01.571308	\N	ca26e79a-7209-4e88-8c80-4d136149d576
202459	6	25633	2013-08-04 20:12:59.947443	2013-08-04 20:12:59.947443	\N	efe8f3e6-4a68-4923-9347-50a62f3a66f5
202472	9	25742	2013-08-04 20:13:02.38469	2013-08-04 20:13:02.38469	\N	02c8cb48-aab6-4c97-8cde-72f59b68a052
202483	1	25714	2013-08-04 20:13:05.796533	2013-08-04 20:13:05.796533	\N	ee7ceaa3-7054-454f-8697-0411c1725f59
202486	2	25734	2013-08-04 20:13:06.651985	2013-08-04 20:13:06.651985	\N	11a79650-7e2e-4487-b26c-2b79326706a7
202488	8	25633	2013-08-04 20:13:07.736126	2013-08-04 20:13:07.736126	\N	0ff6c419-21ed-4e18-94f7-4c4ec6a6f3d8
202496	17	25648	2013-08-04 20:13:11.133674	2013-08-04 20:13:11.133674	\N	db35c32e-41b0-462a-81f5-83e8376170b6
202524	11	25633	2013-08-04 20:13:15.432313	2013-08-04 20:13:15.432313	\N	797e8a3f-3334-4f78-91bb-705970267907
206225	19	26137	2013-08-04 20:36:14.807386	2013-08-04 20:36:14.807386	\N	b457830c-9cbf-43d1-a592-87424bb32a8b
206226	14	26164	2013-08-04 20:36:18.179533	2013-08-04 20:36:18.179533	\N	c8cf1b82-6752-41c7-8f97-5baec84ee77b
206227	14	26236	2013-08-04 20:36:18.285143	2013-08-04 20:36:18.285143	\N	04e68b52-68e9-449c-a70c-c40ac73f62b3
206228	14	26165	2013-08-04 20:36:18.342057	2013-08-04 20:36:18.342057	\N	8b633227-7b15-4368-9441-ac0068997673
206229	14	26166	2013-08-04 20:36:18.394169	2013-08-04 20:36:18.394169	\N	1391e0c5-65b3-44f1-8e2b-801889e06920
206230	14	26201	2013-08-04 20:36:18.442003	2013-08-04 20:36:18.442003	\N	4ca0bbe1-1e2f-4729-ba38-f378892f4641
206231	14	26235	2013-08-04 20:36:18.490767	2013-08-04 20:36:18.490767	\N	e516acf7-32a6-4a1d-a227-5bbd828e3b69
202718	14	25633	2013-08-04 20:13:41.948935	2013-08-04 20:13:41.948935	\N	dd41ef71-3914-400e-a420-7c193d112681
202722	19	25648	2013-08-04 20:13:42.225042	2013-08-04 20:13:42.225042	\N	bf84c8c5-f3e3-4f61-8f0f-9e4604c361cd
206310	14	26195	2013-08-04 20:37:24.320829	2013-08-04 20:37:24.320829	\N	70da1867-acfa-40a4-8b74-3546186686a5
206312	7	26314	2013-08-04 20:37:30.863219	2013-08-04 20:37:30.863219	\N	977549c9-0a07-4b77-a23a-7d5e3c4df028
206392	7	26321	2013-08-04 20:37:55.597733	2013-08-04 20:37:55.597733	\N	cb8d794b-c7be-4e87-a238-b59758adb0c6
206398	14	26263	2013-08-04 20:37:58.974721	2013-08-04 20:37:58.974721	\N	4b02b526-e666-405f-8a33-724822f12a8e
202358	2	25698	2013-08-04 20:12:41.201565	2013-08-04 20:12:41.201565	\N	3769c9d9-bffb-40f8-a423-bb9ffbc153b0
202359	2	25656	2013-08-04 20:12:41.256716	2013-08-04 20:12:41.256716	\N	0c9bd8c0-31bf-4ab7-8df4-db33b04f5a8a
202360	2	25680	2013-08-04 20:12:41.312567	2013-08-04 20:12:41.312567	\N	6ad11f00-ce40-4707-a5e4-166fc446f213
202361	2	25629	2013-08-04 20:12:41.372166	2013-08-04 20:12:41.372166	\N	af7fd31c-ac8d-4c58-86a0-494a3b7e8e63
202362	2	25687	2013-08-04 20:12:41.431269	2013-08-04 20:12:41.431269	\N	b1e85c13-9ad2-4d8a-b3f6-16905a9945ee
202363	2	25690	2013-08-04 20:12:41.49337	2013-08-04 20:12:41.49337	\N	9271bdda-afa8-490b-abd7-5409ebe7f132
202364	2	25633	2013-08-04 20:12:41.551308	2013-08-04 20:12:41.551308	\N	91726084-435c-4150-8e98-0769a71742b2
202365	2	25692	2013-08-04 20:12:41.601921	2013-08-04 20:12:41.601921	\N	e4e0ba7e-be18-4199-b830-e8eb1a8361c3
202366	2	25695	2013-08-04 20:12:41.651059	2013-08-04 20:12:41.651059	\N	7fcbf02c-d42c-411e-a66b-5bad43fcb77f
202367	2	25709	2013-08-04 20:12:41.688738	2013-08-04 20:12:41.688738	\N	f4e5f390-b8cd-495e-8fe2-f805ace92526
202368	2	25714	2013-08-04 20:12:41.732309	2013-08-04 20:12:41.732309	\N	6060f4b7-d1fd-417e-a01d-9c6b9ca93181
202369	2	25700	2013-08-04 20:12:41.78568	2013-08-04 20:12:41.78568	\N	d7b9fd6d-ec2a-4d36-8557-25c447aa7547
202370	2	25710	2013-08-04 20:12:41.818085	2013-08-04 20:12:41.818085	\N	2cf715bc-9935-4dd1-9409-69d5487ebbbe
202371	2	25638	2013-08-04 20:12:41.876073	2013-08-04 20:12:41.876073	\N	54077433-b9f7-4627-91e0-1b0675b33ba3
202372	2	25644	2013-08-04 20:12:41.955359	2013-08-04 20:12:41.955359	\N	38833d0f-cc13-4526-a9bd-b821c191b188
202374	9	25713	2013-08-04 20:12:44.028105	2013-08-04 20:12:44.028105	\N	de005916-fb00-458b-801f-c53dcb91296c
202379	2	25641	2013-08-04 20:12:44.378709	2013-08-04 20:12:44.378709	\N	fdf4d996-0107-4ffd-b95b-b315b4eca7e1
202380	2	25635	2013-08-04 20:12:44.444207	2013-08-04 20:12:44.444207	\N	e113c1a3-ff53-4f8c-a7de-6bb59756d8ee
206207	7	26203	2013-08-04 20:36:02.751748	2013-08-04 20:36:02.751748	\N	da6b8e53-c077-41a9-abd8-b0ec6b0f7058
206233	19	26238	2013-08-04 20:36:19.659342	2013-08-04 20:36:19.659342	\N	005c0b8a-5ab2-46fc-bbeb-2a3fb30790e0
202588	19	25742	2013-08-04 20:13:25.338198	2013-08-04 20:13:25.338198	\N	3094019f-5480-49cc-98c9-6a333e32144e
206344	10	26364	2013-08-04 20:37:33.725365	2013-08-04 20:37:33.725365	\N	875061dd-000f-4aaf-946d-7bc35867b3a9
206345	7	26329	2013-08-04 20:37:34.640671	2013-08-04 20:37:34.640671	\N	5d0b954f-3db4-40d2-b50c-2b6a87a9555e
206347	7	26325	2013-08-04 20:37:35.062759	2013-08-04 20:37:35.062759	\N	1dc98459-84f9-4de2-96c2-4e1eb82bb9da
206348	7	26333	2013-08-04 20:37:35.333385	2013-08-04 20:37:35.333385	\N	5f9e996d-cb86-4943-81f3-6d7729d48ed0
206349	7	26263	2013-08-04 20:37:35.429578	2013-08-04 20:37:35.429578	\N	8ae3d1cf-668f-4513-a1ef-d3cc249ab088
202708	19	25633	2013-08-04 20:13:41.284585	2013-08-04 20:13:41.284585	\N	ee773af1-4352-42e4-88e7-d95b0fcb7175
206354	9	26343	2013-08-04 20:37:36.08643	2013-08-04 20:37:36.08643	\N	1addb2a1-9363-4169-af9d-85461d9965b6
206357	4	26238	2013-08-04 20:37:36.25572	2013-08-04 20:37:36.25572	\N	699bcfff-8db1-4343-887d-8065f595b2eb
202716	14	25709	2013-08-04 20:13:41.782595	2013-08-04 20:13:41.782595	\N	04dc240c-e8c5-4175-8a2a-de2520670d30
206359	8	26372	2013-08-04 20:37:36.690126	2013-08-04 20:37:36.690126	\N	955fba1f-1eec-4122-a050-0abcba2c075b
206360	8	26364	2013-08-04 20:37:37.866295	2013-08-04 20:37:37.866295	\N	3cdd341a-59f8-46ba-a378-f97f1af9a7cb
206366	7	26316	2013-08-04 20:37:40.329994	2013-08-04 20:37:40.329994	\N	e6eaf1ba-d34b-487e-88b5-e79339765647
206410	14	26343	2013-08-04 20:38:03.395047	2013-08-04 20:38:03.395047	\N	76db3d63-7b4e-496f-a194-314d6aa2ca2c
206419	7	26322	2013-08-04 20:38:04.632457	2013-08-04 20:38:04.632457	\N	24bf0e0a-3e9b-4152-9477-e1b52bbe9cff
206107	4	26203	2013-08-04 20:35:07.759529	2013-08-04 20:35:07.759529	\N	d1b8281b-7002-462c-90cc-f166c460ce0b
202389	4	25691	2013-08-04 20:12:45.265417	2013-08-04 20:12:45.265417	\N	6b3ae333-13f2-4a4c-ab0e-bb8e0916a3d2
202390	4	25693	2013-08-04 20:12:45.301465	2013-08-04 20:12:45.301465	\N	110c344e-ab11-48f2-940c-d9377b6353e5
202391	4	25694	2013-08-04 20:12:45.345169	2013-08-04 20:12:45.345169	\N	c5b9ff11-eaf3-4349-9681-8fd6f5b40e5a
202392	4	25695	2013-08-04 20:12:45.394331	2013-08-04 20:12:45.394331	\N	830330ee-c035-4b1e-b29a-a4e25a0e28ab
202393	4	25702	2013-08-04 20:12:45.441091	2013-08-04 20:12:45.441091	\N	5e7f3a30-dab8-41e7-90ed-2397ae8417c2
202394	4	25703	2013-08-04 20:12:45.488882	2013-08-04 20:12:45.488882	\N	ba57cf1c-7a15-4444-867a-1c07b72c1357
202396	8	25734	2013-08-04 20:12:47.036969	2013-08-04 20:12:47.036969	\N	7a631554-d61b-493a-a119-db8af198e271
202397	7	25633	2013-08-04 20:12:47.300564	2013-08-04 20:12:47.300564	\N	ef1ce9a8-2f15-46c7-926d-d4373c8314c7
202425	4	25633	2013-08-04 20:12:53.997052	2013-08-04 20:12:53.997052	\N	de31a5d8-f848-4ed7-b481-7c72359543b0
202428	4	25648	2013-08-04 20:12:54.335058	2013-08-04 20:12:54.335058	\N	b7b1d4ba-be8f-4628-bf84-3e2ca450a2d8
202433	13	25648	2013-08-04 20:12:55.221585	2013-08-04 20:12:55.221585	\N	d5d35e6a-a59c-42de-93dc-c310f4ce8372
202441	2	25727	2013-08-04 20:12:55.692905	2013-08-04 20:12:55.692905	\N	ce06bdee-b797-40d7-8a86-2465ff053f17
202443	7	25691	2013-08-04 20:12:56.250328	2013-08-04 20:12:56.250328	\N	51e64ee0-86b1-449e-a4e2-c1624bf0e3f8
202511	14	25703	2013-08-04 20:13:13.319198	2013-08-04 20:13:13.319198	\N	d919c1ca-5343-4c07-90f5-d50c74f8c369
202513	14	25702	2013-08-04 20:13:13.373436	2013-08-04 20:13:13.373436	\N	9cc0a1ab-61f9-412a-b5b0-9b249c7a6faf
202539	11	25648	2013-08-04 20:13:19.387997	2013-08-04 20:13:19.387997	\N	962564fd-3274-4112-869a-8fbae8a3ca8d
206317	2	26259	2013-08-04 20:37:31.140026	2013-08-04 20:37:31.140026	\N	52aad68a-7f66-4ae9-88b8-c240d82a8219
206319	2	26271	2013-08-04 20:37:31.205488	2013-08-04 20:37:31.205488	\N	3c4f1a91-3447-4745-83fb-ee65743739fa
206320	2	26274	2013-08-04 20:37:31.272618	2013-08-04 20:37:31.272618	\N	84870bd7-f18f-4f93-bfcb-c9bb6e806013
206322	2	26263	2013-08-04 20:37:31.405018	2013-08-04 20:37:31.405018	\N	c61b5af0-16b0-4e31-aa03-2b73ceeabd8f
206323	2	26304	2013-08-04 20:37:31.48942	2013-08-04 20:37:31.48942	\N	83eb4a14-66fd-4100-8aad-d3c3e9cfea9e
206324	2	26286	2013-08-04 20:37:31.568584	2013-08-04 20:37:31.568584	\N	c5ffdeec-fd4b-4f9e-9bc2-4d5e7efbba72
206325	2	26265	2013-08-04 20:37:31.640471	2013-08-04 20:37:31.640471	\N	7e456be2-43a8-475a-9b8f-7fe8c29a382b
206329	2	26310	2013-08-04 20:37:31.826636	2013-08-04 20:37:31.826636	\N	c97de112-cda5-40fd-b001-5425b1569a1c
206332	2	26320	2013-08-04 20:37:31.958055	2013-08-04 20:37:31.958055	\N	df647424-b8e1-48ac-90d1-b73777b3f638
206342	2	26340	2013-08-04 20:37:32.356531	2013-08-04 20:37:32.356531	\N	9cff1ad9-0ed1-488e-bf4b-90f9254e6ea8
206343	1	26344	2013-08-04 20:37:33.248473	2013-08-04 20:37:33.248473	\N	1d154956-c9bd-4fac-83f6-54a00f29e06d
206356	9	26375	2013-08-04 20:37:36.25176	2013-08-04 20:37:36.25176	\N	e11853c7-7a01-4f2f-bd1a-a1e1193152a3
206361	4	26263	2013-08-04 20:37:38.747219	2013-08-04 20:37:38.747219	\N	02dc4400-46ca-4d0c-8bfa-ae0eae2f466c
206394	2	26339	2013-08-04 20:37:56.780071	2013-08-04 20:37:56.780071	\N	c066f633-d427-44a6-941e-8278a2eb1c7d
206395	3	26263	2013-08-04 20:37:58.04273	2013-08-04 20:37:58.04273	\N	61a62c57-d677-46d3-b078-6fa814f4bae0
206396	14	26371	2013-08-04 20:37:58.52016	2013-08-04 20:37:58.52016	\N	1c332693-79b9-4e7d-b5d9-799b675a00c8
206397	19	26364	2013-08-04 20:37:58.822403	2013-08-04 20:37:58.822403	\N	511d706c-48f1-4d6d-87f0-19e1c0417840
206528	10	26263	2013-08-04 20:38:55.800253	2013-08-04 20:38:55.800253	\N	e89f9181-3794-4488-9d1a-b59b9cd48b1f
209948	2	26831	2013-08-04 20:59:29.088922	2013-08-04 20:59:29.088922	\N	f3540673-aaee-46ac-a722-c480cf63ba7b
206558	4	26316	2013-08-04 20:39:06.70681	2013-08-04 20:39:06.70681	\N	a629a161-1fea-451d-9db0-c0ee9219cddc
202375	7	25693	2013-08-04 20:12:44.092542	2013-08-04 20:12:44.092542	\N	21e8b2e2-95d1-4641-8389-8e53204a2440
202378	7	25703	2013-08-04 20:12:44.360712	2013-08-04 20:12:44.360712	\N	5dc7a7b1-ff3f-43d2-a40f-352aa1a58d18
202381	7	25692	2013-08-04 20:12:44.455867	2013-08-04 20:12:44.455867	\N	869c5bf9-08c4-4b57-b1ff-c6a79ee4deb4
202383	7	25728	2013-08-04 20:12:44.551216	2013-08-04 20:12:44.551216	\N	5410b51d-57ae-47b5-b558-9cd01f83933d
202386	7	25648	2013-08-04 20:12:44.668603	2013-08-04 20:12:44.668603	\N	d234fde4-efe0-4a71-a81e-a9ed2f324128
202387	7	25741	2013-08-04 20:12:44.770789	2013-08-04 20:12:44.770789	\N	45824afa-2aaa-4fa4-91d6-d25818d5f65c
202406	8	25648	2013-08-04 20:12:49.355242	2013-08-04 20:12:49.355242	\N	5a2c4696-6ccd-47fd-ac85-e24f8f4f1959
202420	14	25713	2013-08-04 20:12:52.668087	2013-08-04 20:12:52.668087	\N	c48cf206-d4f3-4d91-8b0a-4ce5454a12d8
206587	9	26263	2013-08-04 20:39:16.744004	2013-08-04 20:39:16.744004	\N	bebc924f-8bcf-43f5-9432-c0ee286a3d91
202470	3	25633	2013-08-04 20:13:02.287991	2013-08-04 20:13:02.287991	\N	b12063a4-0caa-49d2-9d3f-399a8581768e
202471	3	25648	2013-08-04 20:13:02.335814	2013-08-04 20:13:02.335814	\N	25adc3da-4cfe-415a-b0e0-b54c389aebd1
202487	6	25648	2013-08-04 20:13:07.07685	2013-08-04 20:13:07.07685	\N	83f3d4f8-94eb-4940-b9ff-94b4dbdf3e31
202497	2	25648	2013-08-04 20:13:11.232984	2013-08-04 20:13:11.232984	\N	0d2ac234-32ec-4e2c-a486-7a16f98c4b8e
202503	7	25686	2013-08-04 20:13:12.002479	2013-08-04 20:13:12.002479	\N	c3b87dda-1492-44c4-8e7d-1215f6edeee7
202526	11	25714	2013-08-04 20:13:16.133165	2013-08-04 20:13:16.133165	\N	422da3f6-42d4-4e86-9eb1-ceccd7532251
202529	17	25633	2013-08-04 20:13:17.099462	2013-08-04 20:13:17.099462	\N	881c148c-845b-4584-9fe7-3d67df9a1d83
202630	9	25745	2013-08-04 20:13:35.041461	2013-08-04 20:13:35.041461	\N	81bfc6aa-8c30-47c5-ace0-93713f53a8c0
202661	10	25734	2013-08-04 20:13:37.261741	2013-08-04 20:13:37.261741	\N	c65eeb38-e708-41e6-80f6-6219ca52d938
206708	4	26340	2013-08-04 20:40:09.416784	2013-08-04 20:40:09.416784	\N	58cff47d-ad21-4be7-a987-95e28db31e69
206709	4	26364	2013-08-04 20:40:09.465544	2013-08-04 20:40:09.465544	\N	59174ca7-5d3b-4730-b202-38406271399b
206711	4	26358	2013-08-04 20:40:09.521708	2013-08-04 20:40:09.521708	\N	b7dd04e3-b64f-4e7b-81ea-5aea1582b86c
206380	2	26364	2013-08-04 20:37:49.618229	2013-08-04 20:37:49.618229	\N	2a4e2284-5f1a-4ecb-9a5e-e3e5ea408808
206386	2	26321	2013-08-04 20:37:51.955156	2013-08-04 20:37:51.955156	\N	f84b8ac9-fb50-46e0-b5c3-e3c412dce78b
206406	14	26357	2013-08-04 20:38:01.833548	2013-08-04 20:38:01.833548	\N	b7e0f06c-f5d7-4ee0-ac92-976fc6291f7e
206407	14	26339	2013-08-04 20:38:02.114311	2013-08-04 20:38:02.114311	\N	4761afe9-455b-412b-87dd-c791e87c9b30
206416	7	26324	2013-08-04 20:38:04.240513	2013-08-04 20:38:04.240513	\N	c667a0c0-04d0-4e7e-aff1-372de3302bff
202388	7	25684	2013-08-04 20:12:44.92858	2013-08-04 20:12:44.92858	\N	aa283fcb-7f32-48af-a846-96cc4279bdf1
202395	8	25742	2013-08-04 20:12:46.907485	2013-08-04 20:12:46.907485	\N	cea2f0f5-6f39-4d60-8e85-45101b56bcc6
202398	7	25702	2013-08-04 20:12:47.899886	2013-08-04 20:12:47.899886	\N	4ed2f799-9aa3-48e9-b798-393e2e8f19af
206504	9	26340	2013-08-04 20:38:41.124705	2013-08-04 20:38:41.124705	\N	6dd5d542-cf25-411e-9370-6c0c352a9424
202419	7	25734	2013-08-04 20:12:52.508503	2013-08-04 20:12:52.508503	\N	d91078bf-27fc-4d9d-9b4a-39818a03affc
202421	1	25633	2013-08-04 20:12:53.430744	2013-08-04 20:12:53.430744	\N	b16c4b34-1f20-4acb-8a13-511cbb715b44
206511	9	26364	2013-08-04 20:38:43.336577	2013-08-04 20:38:43.336577	\N	7f72c32d-e605-402a-b097-5e29cf3968b7
206512	2	26317	2013-08-04 20:38:44.478254	2013-08-04 20:38:44.478254	\N	71051ddb-5f53-4307-b6e3-784c7abf3e1b
202522	11	25710	2013-08-04 20:13:13.938972	2013-08-04 20:13:13.938972	\N	1f0120f3-5bd7-450d-ab01-1057c65aa82a
202537	9	25633	2013-08-04 20:13:18.772254	2013-08-04 20:13:18.772254	\N	c067d650-7b57-4c29-a325-d51b3a20aeb4
206634	19	26263	2013-08-04 20:39:39.994477	2013-08-04 20:39:39.994477	\N	d3ba1bbb-ea7d-4676-a296-ab36df8633f7
202596	4	25710	2013-08-04 20:13:27.205691	2013-08-04 20:13:27.205691	\N	cc26dd87-7ffa-43f6-9c6b-d023ae7f304c
202597	4	25734	2013-08-04 20:13:27.238953	2013-08-04 20:13:27.238953	\N	6af5b8d8-a71a-41a2-832c-0d8c522e3c5f
202598	4	25714	2013-08-04 20:13:27.2699	2013-08-04 20:13:27.2699	\N	119dc739-6048-47d8-aed0-9cf4254b0e7d
202599	4	25728	2013-08-04 20:13:27.300428	2013-08-04 20:13:27.300428	\N	6ab52456-c723-431c-8a87-84569843a4a2
206422	7	26323	2013-08-04 20:38:05.086576	2013-08-04 20:38:05.086576	\N	f7be68a2-43c4-4149-b2e7-7dcb49c3f778
206487	2	26322	2013-08-04 20:38:31.821336	2013-08-04 20:38:31.821336	\N	97cad88d-e724-48ad-9568-937803ec2b5f
206488	6	26263	2013-08-04 20:38:35.695068	2013-08-04 20:38:35.695068	\N	df1dca49-ba83-43f3-9b0a-d2556fdbbcbf
202658	10	25633	2013-08-04 20:13:37.122812	2013-08-04 20:13:37.122812	\N	9b67af69-2d24-4f05-b06f-3d54f183ee91
202681	14	25741	2013-08-04 20:13:38.838117	2013-08-04 20:13:38.838117	\N	d6bc8b01-a9d7-4374-a701-2385ced677b0
202692	14	25727	2013-08-04 20:13:39.776279	2013-08-04 20:13:39.776279	\N	cd25208b-ce2d-4e0c-b568-7fb457fa376b
206500	9	26357	2013-08-04 20:38:37.961937	2013-08-04 20:38:37.961937	\N	057545c6-9038-4e1b-9f17-251ad4dd0823
206541	14	26316	2013-08-04 20:39:01.246627	2013-08-04 20:39:01.246627	\N	945809bf-5947-468c-aa23-5651f28729ae
206841	2	26344	2013-08-04 20:41:06.413398	2013-08-04 20:41:06.413398	\N	ecb581da-7cf6-4432-af76-0f2412f23bbb
206847	14	26290	2013-08-04 20:41:08.933709	2013-08-04 20:41:08.933709	\N	11965e0d-b16d-4e47-bd2f-cdb6971d767f
206445	8	26263	2013-08-04 20:38:15.437851	2013-08-04 20:38:15.437851	\N	9ecb8d62-7fd9-4be9-b078-27d3aab9f959
206452	11	26340	2013-08-04 20:38:21.036639	2013-08-04 20:38:21.036639	\N	cfae5334-1e17-4467-9f59-1e8911b7c990
206664	4	26321	2013-08-04 20:39:57.976657	2013-08-04 20:39:57.976657	\N	46c1233a-6880-4f6b-afd5-b9d79a029cde
206667	4	26332	2013-08-04 20:39:58.098165	2013-08-04 20:39:58.098165	\N	0c0ff0ab-0ac6-4d81-8b8c-8787575968be
202769	9	25734	2013-08-04 20:13:54.496594	2013-08-04 20:13:54.496594	\N	6948db97-74e1-4527-9620-0e91d4b2234e
206760	14	26324	2013-08-04 20:40:36.832445	2013-08-04 20:40:36.832445	\N	f00ca89f-b791-4efa-ae9c-a46b73b0b4e6
206773	2	26295	2013-08-04 20:40:41.72014	2013-08-04 20:40:41.72014	\N	6a6367f8-2ff2-4b53-bbc4-e4df7b3b5e2e
206823	2	26332	2013-08-04 20:41:01.913501	2013-08-04 20:41:01.913501	\N	d6b21b34-96f7-4518-8a1a-2d532574c07c
206848	14	26362	2013-08-04 20:41:08.987779	2013-08-04 20:41:08.987779	\N	b6b2f755-470d-4f52-9caa-104d0bfa1c91
206849	14	26291	2013-08-04 20:41:09.026602	2013-08-04 20:41:09.026602	\N	76a65362-2243-4818-9995-783aa668d69e
206851	14	26292	2013-08-04 20:41:09.06887	2013-08-04 20:41:09.06887	\N	34102892-ed9e-4f42-ac7a-2ac7e0dd8a38
206853	14	26327	2013-08-04 20:41:09.10945	2013-08-04 20:41:09.10945	\N	6e145d39-d6b5-4815-ba6f-aad36ef1b561
206854	14	26361	2013-08-04 20:41:09.147653	2013-08-04 20:41:09.147653	\N	df0dc107-cf1f-4087-9b3c-522331044d89
206860	2	26316	2013-08-04 20:41:10.819189	2013-08-04 20:41:10.819189	\N	40d5352d-081b-414c-98bd-ce3e01a04ee9
206903	2	26357	2013-08-04 20:41:28.507913	2013-08-04 20:41:28.507913	\N	d0ab48bb-8bc8-416c-a053-5434d89a3e44
\.


--
-- Name: redemptions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: scorebot
--

SELECT pg_catalog.setval('redemptions_id_seq', 210056, true);


--
-- Data for Name: rounds; Type: TABLE DATA; Schema: public; Owner: scorebot
--

COPY rounds (id, created_at, updated_at, ended_at) FROM stdin;
1	2013-08-02 17:10:00.752457	2013-08-02 17:15:00.030562	2013-08-02 17:15:00.027561
2	2013-08-02 17:15:00.040724	2013-08-02 17:20:00.060025	2013-08-02 17:20:00.057338
3	2013-08-02 17:20:00.071414	2013-08-02 17:25:00.068332	2013-08-02 17:25:00.066805
4	2013-08-02 17:25:00.075495	2013-08-02 17:30:00.007598	2013-08-02 17:30:00.006763
5	2013-08-02 17:30:00.014637	2013-08-02 17:35:00.100485	2013-08-02 17:35:00.099639
6	2013-08-02 17:35:00.107673	2013-08-02 17:40:00.087785	2013-08-02 17:40:00.086956
7	2013-08-02 17:40:00.09502	2013-08-02 17:45:00.073655	2013-08-02 17:45:00.073349
8	2013-08-02 17:45:00.076304	2013-08-02 17:50:00.00255	2013-08-02 17:50:00.001719
9	2013-08-02 17:50:00.010194	2013-08-02 17:55:00.025637	2013-08-02 17:55:00.024784
10	2013-08-02 17:55:00.032628	2013-08-02 19:25:28.125187	2013-08-02 19:25:28.124212
11	2013-08-02 19:25:28.133225	2013-08-02 19:30:28.080329	2013-08-02 19:30:28.079494
12	2013-08-02 19:30:28.086909	2013-08-02 19:36:08.807626	2013-08-02 19:36:08.806842
13	2013-08-02 19:36:08.814455	2013-08-02 19:41:08.039117	2013-08-02 19:41:08.038207
14	2013-08-02 19:41:08.045601	2013-08-02 19:46:08.039424	2013-08-02 19:46:08.038612
15	2013-08-02 19:46:08.045862	2013-08-02 19:55:16.714107	2013-08-02 19:55:16.713262
16	2013-08-02 19:55:16.722027	2013-08-02 20:00:16.037893	2013-08-02 20:00:16.037076
17	2013-08-02 20:00:16.04548	2013-08-02 20:05:16.053714	2013-08-02 20:05:16.052846
18	2013-08-02 20:05:16.059569	2013-08-02 20:10:16.048321	2013-08-02 20:10:16.047488
19	2013-08-02 20:10:16.056953	2013-08-02 20:15:16.038917	2013-08-02 20:15:16.038615
20	2013-08-02 20:15:16.041832	2013-08-02 20:20:16.033947	2013-08-02 20:20:16.033049
21	2013-08-02 20:20:16.038985	2013-08-02 20:26:42.495554	2013-08-02 20:26:42.495159
22	2013-08-02 20:26:42.498541	2013-08-02 20:31:42.027653	2013-08-02 20:31:42.024841
23	2013-08-02 20:31:42.039017	2013-08-02 20:36:42.072338	2013-08-02 20:36:42.071453
24	2013-08-02 20:36:42.079556	2013-08-02 20:41:42.087343	2013-08-02 20:41:42.086478
25	2013-08-02 20:41:42.094415	2013-08-02 20:46:42.054357	2013-08-02 20:46:42.053452
26	2013-08-02 20:46:42.061353	2013-08-02 20:51:42.072528	2013-08-02 20:51:42.071678
27	2013-08-02 20:51:42.079567	2013-08-02 20:56:42.093801	2013-08-02 20:56:42.092926
28	2013-08-02 20:56:42.10109	2013-08-02 21:01:42.00998	2013-08-02 21:01:42.009046
29	2013-08-02 21:01:42.017094	2013-08-02 21:06:42.094985	2013-08-02 21:06:42.094052
30	2013-08-02 21:06:42.101978	2013-08-02 21:11:42.072753	2013-08-02 21:11:42.071831
31	2013-08-02 21:11:42.079982	2013-08-02 21:16:42.053653	2013-08-02 21:16:42.052805
32	2013-08-02 21:16:42.060785	2013-08-02 21:21:42.011289	2013-08-02 21:21:42.010493
33	2013-08-02 21:21:42.014527	2013-08-02 21:26:42.035434	2013-08-02 21:26:42.034527
34	2013-08-02 21:26:42.042979	2013-08-02 21:31:42.03666	2013-08-02 21:31:42.036138
35	2013-08-02 21:31:42.039761	2013-08-02 21:36:42.013124	2013-08-02 21:36:42.012825
36	2013-08-02 21:36:42.016882	2013-08-02 21:41:42.055595	2013-08-02 21:41:42.054717
37	2013-08-02 21:41:42.063252	2013-08-02 21:46:44.678588	2013-08-02 21:46:44.677657
38	2013-08-02 21:46:44.682568	2013-08-02 21:51:44.047493	2013-08-02 21:51:44.046606
39	2013-08-02 21:51:44.055206	2013-08-02 21:56:44.100335	2013-08-02 21:56:44.099027
40	2013-08-02 21:56:44.109461	2013-08-02 22:01:44.095887	2013-08-02 22:01:44.095017
41	2013-08-02 22:01:44.103742	2013-08-02 22:06:44.079709	2013-08-02 22:06:44.078817
42	2013-08-02 22:06:44.087875	2013-08-02 22:11:44.007346	2013-08-02 22:11:44.006462
43	2013-08-02 22:11:44.015181	2013-08-02 22:16:44.059408	2013-08-02 22:16:44.058952
44	2013-08-02 22:16:44.063094	2013-08-02 22:21:44.012983	2013-08-02 22:21:44.01209
45	2013-08-02 22:21:44.020859	2013-08-02 22:26:44.063667	2013-08-02 22:26:44.062747
46	2013-08-02 22:26:44.071437	2013-08-02 22:31:44.061043	2013-08-02 22:31:44.060176
47	2013-08-02 22:31:44.068808	2013-08-02 22:36:44.008504	2013-08-02 22:36:44.007709
48	2013-08-02 22:36:44.015984	2013-08-02 22:41:44.08105	2013-08-02 22:41:44.080104
49	2013-08-02 22:41:44.089644	2013-08-02 22:46:44.095625	2013-08-02 22:46:44.094823
50	2013-08-02 22:46:44.10431	2013-08-02 22:51:44.032065	2013-08-02 22:51:44.031225
51	2013-08-02 22:51:44.039442	2013-08-02 22:56:44.072838	2013-08-02 22:56:44.072009
52	2013-08-02 22:56:44.080448	2013-08-02 23:01:44.004759	2013-08-02 23:01:44.003921
53	2013-08-02 23:01:44.012318	2013-08-02 23:06:44.014952	2013-08-02 23:06:44.014219
54	2013-08-02 23:06:44.021546	2013-08-02 23:11:44.030424	2013-08-02 23:11:44.029614
55	2013-08-02 23:11:44.037806	2013-08-02 23:16:44.03821	2013-08-02 23:16:44.037369
56	2013-08-02 23:16:44.047489	2013-08-02 23:21:44.029451	2013-08-02 23:21:44.028675
57	2013-08-02 23:21:44.032983	2013-08-02 23:26:44.059874	2013-08-02 23:26:44.059018
58	2013-08-02 23:26:44.068006	2013-08-02 23:31:44.080516	2013-08-02 23:31:44.07958
59	2013-08-02 23:31:44.089349	2013-08-02 23:36:44.007492	2013-08-02 23:36:44.006608
60	2013-08-02 23:36:44.015482	2013-08-02 23:41:44.101577	2013-08-02 23:41:44.100772
61	2013-08-02 23:41:44.108908	2013-08-02 23:46:44.100476	2013-08-02 23:46:44.0996
62	2013-08-02 23:46:44.107514	2013-08-02 23:51:44.077535	2013-08-02 23:51:44.077117
63	2013-08-02 23:51:44.08252	2013-08-02 23:56:44.055992	2013-08-02 23:56:44.055691
64	2013-08-02 23:56:44.059484	2013-08-03 00:01:44.077995	2013-08-03 00:01:44.077055
65	2013-08-03 00:01:44.087767	2013-08-03 00:06:44.028664	2013-08-03 00:06:44.027681
66	2013-08-03 00:06:44.037727	2013-08-03 00:11:44.028184	2013-08-03 00:11:44.027251
67	2013-08-03 00:11:44.037352	2013-08-03 00:16:44.063971	2013-08-03 00:16:44.063103
68	2013-08-03 00:16:44.071982	2013-08-03 00:21:44.099577	2013-08-03 00:21:44.098512
69	2013-08-03 00:21:44.109087	2013-08-03 00:26:44.080723	2013-08-03 00:26:44.07978
70	2013-08-03 00:26:44.088162	2013-08-03 00:31:44.101135	2013-08-03 00:31:44.100282
71	2013-08-03 00:31:44.106511	2013-08-03 00:36:44.087881	2013-08-03 00:36:44.087572
72	2013-08-03 00:36:44.090803	2013-08-03 00:41:44.086035	2013-08-03 00:41:44.085146
73	2013-08-03 00:41:44.093974	2013-08-03 00:46:44.003795	2013-08-03 00:46:44.00349
74	2013-08-03 00:46:44.007032	2013-08-03 00:51:44.079488	2013-08-03 00:51:44.078632
75	2013-08-03 00:51:44.087404	2013-08-03 00:56:44.039983	2013-08-03 00:56:44.039669
76	2013-08-03 00:56:44.046562	2013-08-03 01:01:44.00689	2013-08-03 01:01:44.005983
77	2013-08-03 01:01:44.016452	2013-08-03 01:06:44.013047	2013-08-03 01:06:44.012082
78	2013-08-03 01:06:44.021925	2013-08-03 01:13:19.386259	2013-08-03 01:13:19.385978
79	2013-08-03 01:13:19.390525	2013-08-03 01:19:09.734372	2013-08-03 01:19:09.733963
80	2013-08-03 01:19:09.737176	2013-08-03 01:24:57.330059	2013-08-03 01:24:57.329296
81	2013-08-03 01:24:57.336378	2013-08-03 01:31:52.192943	2013-08-03 01:31:52.192067
94	2013-08-03 02:31:35.455251	2013-08-03 02:36:45.654967	2013-08-03 02:36:45.654113
82	2013-08-03 01:31:52.200104	2013-08-03 01:38:48.666915	2013-08-03 01:38:48.665529
84	2013-08-03 01:38:48.675136	2013-08-03 01:44:58.208308	2013-08-03 01:44:58.205816
85	2013-08-03 01:44:58.223778	2013-08-03 01:50:17.95029	2013-08-03 01:50:17.949449
86	2013-08-03 01:50:17.954025	2013-08-03 01:55:28.996037	2013-08-03 01:55:28.995135
87	2013-08-03 01:55:29.003421	2013-08-03 02:00:29.041926	2013-08-03 02:00:29.040832
88	2013-08-03 02:00:29.050327	2013-08-03 02:05:33.988046	2013-08-03 02:05:33.986579
89	2013-08-03 02:05:33.998106	2013-08-03 02:10:34.027554	2013-08-03 02:10:34.026694
90	2013-08-03 02:10:34.035822	2013-08-03 02:15:54.609265	2013-08-03 02:15:54.60845
91	2013-08-03 02:15:54.61717	2013-08-03 02:21:15.887014	2013-08-03 02:21:15.885946
92	2013-08-03 02:21:15.896406	2013-08-03 02:26:23.568274	2013-08-03 02:26:23.567422
93	2013-08-03 02:26:23.575884	2013-08-03 02:31:35.447045	2013-08-03 02:31:35.446166
95	2013-08-03 02:36:45.66303	2013-08-03 02:42:06.286645	2013-08-03 02:42:06.285704
96	2013-08-03 02:42:06.29481	2013-08-03 02:47:20.323682	2013-08-03 02:47:20.32287
97	2013-08-03 02:47:20.331658	2013-08-03 02:52:32.968165	2013-08-03 02:52:32.96733
98	2013-08-03 02:52:32.975734	2013-08-03 02:57:37.537238	2013-08-03 02:57:37.536317
99	2013-08-03 02:57:37.545576	2013-08-03 03:09:46.720273	2013-08-03 03:09:46.719992
101	2013-08-03 17:01:51.679935	2013-08-03 17:04:59.074321	2013-08-03 17:04:59.071668
102	2013-08-03 17:04:59.080138	2013-08-03 17:09:59.100804	2013-08-03 17:09:59.100461
103	2013-08-03 17:09:59.103744	2013-08-03 17:14:59.069014	2013-08-03 17:14:59.068208
104	2013-08-03 17:14:59.076424	2013-08-03 17:19:59.011181	2013-08-03 17:19:59.010347
105	2013-08-03 17:19:59.0184	2013-08-03 17:24:59.05107	2013-08-03 17:24:59.050216
112	2013-08-03 17:51:32.030384	2013-08-03 17:56:32.093599	2013-08-03 17:56:32.092781
100	2013-08-03 16:59:59.740734	2013-08-04 15:49:37.787951	2013-08-03 17:04:59.740734
106	2013-08-03 17:24:59.058531	2013-08-03 17:34:33.406015	2013-08-03 17:34:33.403436
109	2013-08-03 17:34:33.421698	2013-08-03 17:41:32.357741	2013-08-03 17:41:32.356923
110	2013-08-03 17:41:32.364897	2013-08-03 17:46:32.066987	2013-08-03 17:46:32.066022
111	2013-08-03 17:46:32.075623	2013-08-03 17:51:32.026668	2013-08-03 17:51:32.026261
113	2013-08-03 17:56:32.101036	2013-08-03 18:01:32.078978	2013-08-03 18:01:32.076226
114	2013-08-03 18:01:32.090625	2013-08-03 18:06:32.055928	2013-08-03 18:06:32.055062
115	2013-08-03 18:06:32.062634	2013-08-03 18:11:32.039621	2013-08-03 18:11:32.038826
116	2013-08-03 18:11:32.044366	2013-08-03 18:16:32.032656	2013-08-03 18:16:32.032336
117	2013-08-03 18:16:32.035423	2013-08-03 18:21:32.029102	2013-08-03 18:21:32.027942
118	2013-08-03 18:21:32.036767	2013-08-03 18:26:32.029415	2013-08-03 18:26:32.029093
119	2013-08-03 18:26:32.032	2013-08-03 18:31:32.093024	2013-08-03 18:31:32.092166
120	2013-08-03 18:31:32.100335	2013-08-03 18:36:32.095604	2013-08-03 18:36:32.094235
121	2013-08-03 18:36:32.100037	2013-08-03 18:41:32.037876	2013-08-03 18:41:32.034954
122	2013-08-03 18:41:32.045994	2013-08-03 18:46:32.016666	2013-08-03 18:46:32.016079
123	2013-08-03 18:46:32.020567	2013-08-03 18:51:32.059524	2013-08-03 18:51:32.058983
124	2013-08-03 18:51:32.065652	2013-08-03 18:56:32.037339	2013-08-03 18:56:32.037028
125	2013-08-03 18:56:32.041931	2013-08-03 19:01:32.088883	2013-08-03 19:01:32.08802
126	2013-08-03 19:01:32.096231	2013-08-03 19:06:32.071392	2013-08-03 19:06:32.070871
127	2013-08-03 19:06:32.075549	2013-08-03 19:11:32.005071	2013-08-03 19:11:32.004758
128	2013-08-03 19:11:32.007643	2013-08-03 19:16:32.024629	2013-08-03 19:16:32.023776
129	2013-08-03 19:16:32.029595	2013-08-03 19:21:32.040184	2013-08-03 19:21:32.039711
130	2013-08-03 19:21:32.042862	2013-08-03 19:26:32.078021	2013-08-03 19:26:32.077148
131	2013-08-03 19:26:32.085923	2013-08-03 19:31:32.040364	2013-08-03 19:31:32.039918
132	2013-08-03 19:31:32.043401	2013-08-03 19:36:32.101633	2013-08-03 19:36:32.100779
133	2013-08-03 19:36:32.109965	2013-08-03 19:41:32.040627	2013-08-03 19:41:32.040321
134	2013-08-03 19:41:32.043406	2013-08-03 19:46:32.101446	2013-08-03 19:46:32.100802
135	2013-08-03 19:46:32.10733	2013-08-03 19:51:32.034371	2013-08-03 19:51:32.034064
136	2013-08-03 19:51:32.037042	2013-08-03 19:56:32.021055	2013-08-03 19:56:32.020712
137	2013-08-03 19:56:32.031614	2013-08-03 20:01:32.026475	2013-08-03 20:01:32.026168
138	2013-08-03 20:01:32.029774	2013-08-03 20:06:32.078236	2013-08-03 20:06:32.077397
139	2013-08-03 20:06:32.086078	2013-08-03 20:11:32.046459	2013-08-03 20:11:32.046156
140	2013-08-03 20:11:32.049176	2013-08-03 20:16:32.079001	2013-08-03 20:16:32.078004
141	2013-08-03 20:16:32.098081	2013-08-03 20:21:38.705264	2013-08-03 20:21:38.704999
142	2013-08-03 20:21:38.707498	2013-08-03 20:26:38.088093	2013-08-03 20:26:38.087436
143	2013-08-03 20:26:38.092926	2013-08-03 20:31:38.014807	2013-08-03 20:31:38.013962
144	2013-08-03 20:31:38.022577	2013-08-03 20:36:38.063139	2013-08-03 20:36:38.062277
145	2013-08-03 20:36:38.070741	2013-08-03 20:41:38.067034	2013-08-03 20:41:38.066046
146	2013-08-03 20:41:38.085824	2013-08-03 20:46:38.004623	2013-08-03 20:46:38.004313
147	2013-08-03 20:46:38.007425	2013-08-03 20:51:38.015438	2013-08-03 20:51:38.01514
196	2013-08-04 00:49:48.034162	2013-08-04 00:54:48.076826	2013-08-04 00:54:48.076186
148	2013-08-03 20:51:38.019029	2013-08-03 20:58:35.055714	2013-08-03 20:58:35.054785
150	2013-08-03 20:58:35.064736	2013-08-03 21:03:35.078128	2013-08-03 21:03:35.077126
151	2013-08-03 21:03:35.086737	2013-08-03 21:08:35.049956	2013-08-03 21:08:35.049524
152	2013-08-03 21:08:35.058369	2013-08-03 21:13:35.014953	2013-08-03 21:13:35.014111
153	2013-08-03 21:13:35.020237	2013-08-03 21:18:35.047242	2013-08-03 21:18:35.046927
154	2013-08-03 21:18:35.050065	2013-08-03 21:23:35.035905	2013-08-03 21:23:35.034993
155	2013-08-03 21:23:35.043527	2013-08-03 21:28:35.078101	2013-08-03 21:28:35.077267
156	2013-08-03 21:28:35.084526	2013-08-03 21:33:35.064205	2013-08-03 21:33:35.063371
157	2013-08-03 21:33:35.071433	2013-08-03 21:38:35.028534	2013-08-03 21:38:35.027629
158	2013-08-03 21:38:35.035999	2013-08-03 21:43:35.088054	2013-08-03 21:43:35.08714
159	2013-08-03 21:43:35.097074	2013-08-03 21:48:35.050399	2013-08-03 21:48:35.049918
160	2013-08-03 21:48:35.057339	2013-08-03 21:53:35.069145	2013-08-03 21:53:35.068252
161	2013-08-03 21:53:35.076931	2013-08-03 21:58:35.121458	2013-08-03 21:58:35.120516
162	2013-08-03 21:58:35.12923	2013-08-03 22:03:35.024116	2013-08-03 22:03:35.023223
163	2013-08-03 22:03:35.0316	2013-08-03 22:08:35.059545	2013-08-03 22:08:35.059225
164	2013-08-03 22:08:35.062636	2013-08-03 22:13:35.059796	2013-08-03 22:13:35.058905
165	2013-08-03 22:13:35.067709	2013-08-03 22:18:35.03298	2013-08-03 22:18:35.032667
166	2013-08-03 22:18:35.036126	2013-08-03 22:23:35.053988	2013-08-03 22:23:35.053137
167	2013-08-03 22:23:35.061164	2013-08-03 22:28:35.02814	2013-08-03 22:28:35.027856
168	2013-08-03 22:28:35.035039	2013-08-03 22:33:35.012333	2013-08-03 22:33:35.011457
169	2013-08-03 22:33:35.020841	2013-08-03 22:38:35.03544	2013-08-03 22:38:35.034578
170	2013-08-03 22:38:35.041639	2013-08-03 22:43:35.056885	2013-08-03 22:43:35.056029
171	2013-08-03 22:43:35.065211	2013-08-03 22:48:35.052187	2013-08-03 22:48:35.051879
172	2013-08-03 22:48:35.055052	2013-08-03 22:53:35.006212	2013-08-03 22:53:35.005403
173	2013-08-03 22:53:35.014738	2013-08-03 22:58:35.073566	2013-08-03 22:58:35.072733
174	2013-08-03 22:58:35.080908	2013-08-03 23:03:35.055581	2013-08-03 23:03:35.054775
175	2013-08-03 23:03:35.062621	2013-08-03 23:08:35.051927	2013-08-03 23:08:35.051337
176	2013-08-03 23:08:35.056186	2013-08-03 23:13:35.101172	2013-08-03 23:13:35.100719
177	2013-08-03 23:13:35.1052	2013-08-03 23:18:35.02481	2013-08-03 23:18:35.02401
178	2013-08-03 23:18:35.032533	2013-08-03 23:23:35.06629	2013-08-03 23:23:35.065213
179	2013-08-03 23:23:35.075095	2013-08-03 23:28:35.076085	2013-08-03 23:28:35.074981
180	2013-08-03 23:28:35.083	2013-08-03 23:33:35.066774	2013-08-03 23:33:35.066445
181	2013-08-03 23:33:35.071862	2013-08-03 23:38:35.026766	2013-08-03 23:38:35.025815
182	2013-08-03 23:38:35.032749	2013-08-03 23:43:35.005637	2013-08-03 23:43:35.004999
183	2013-08-03 23:43:35.01221	2013-08-03 23:48:35.05836	2013-08-03 23:48:35.058067
184	2013-08-03 23:48:35.061728	2013-08-03 23:54:31.639607	2013-08-03 23:54:31.638665
185	2013-08-03 23:54:31.645213	2013-08-03 23:59:31.096632	2013-08-03 23:59:31.096241
186	2013-08-03 23:59:31.099936	2013-08-04 00:04:48.147038	2013-08-04 00:04:48.146301
187	2013-08-04 00:04:48.16486	2013-08-04 00:09:48.006483	2013-08-04 00:09:48.005682
188	2013-08-04 00:09:48.01336	2013-08-04 00:14:48.072238	2013-08-04 00:14:48.071774
189	2013-08-04 00:14:48.076025	2013-08-04 00:19:48.068627	2013-08-04 00:19:48.068299
190	2013-08-04 00:19:48.072878	2013-08-04 00:24:48.06688	2013-08-04 00:24:48.066057
191	2013-08-04 00:24:48.073023	2013-08-04 00:29:48.093355	2013-08-04 00:29:48.092527
192	2013-08-04 00:29:48.100876	2013-08-04 00:34:48.059654	2013-08-04 00:34:48.058842
193	2013-08-04 00:34:48.062875	2013-08-04 00:39:48.09634	2013-08-04 00:39:48.096027
194	2013-08-04 00:39:48.099208	2013-08-04 00:44:48.207645	2013-08-04 00:44:48.20642
195	2013-08-04 00:44:48.215919	2013-08-04 00:49:48.026285	2013-08-04 00:49:48.025445
197	2013-08-04 00:54:48.082454	2013-08-04 00:59:51.533511	2013-08-04 00:59:51.532697
198	2013-08-04 00:59:51.541526	2013-08-04 01:04:51.076228	2013-08-04 01:04:51.075257
199	2013-08-04 01:04:51.08018	2013-08-04 01:09:51.044934	2013-08-04 01:09:51.044115
200	2013-08-04 01:09:51.051504	2013-08-04 01:14:51.084677	2013-08-04 01:14:51.083669
201	2013-08-04 01:14:51.089361	2013-08-04 01:19:51.072535	2013-08-04 01:19:51.071635
202	2013-08-04 01:19:51.079869	2013-08-04 01:24:51.062374	2013-08-04 01:24:51.061448
203	2013-08-04 01:24:51.070377	2013-08-04 01:29:51.019587	2013-08-04 01:29:51.018731
204	2013-08-04 01:29:51.025371	2013-08-04 01:34:51.004757	2013-08-04 01:34:51.003935
205	2013-08-04 01:34:51.012359	2013-08-04 01:39:51.014225	2013-08-04 01:39:51.013384
206	2013-08-04 01:39:51.022063	2013-08-04 01:44:51.036088	2013-08-04 01:44:51.035187
207	2013-08-04 01:44:51.043939	2013-08-04 01:49:51.048816	2013-08-04 01:49:51.047962
208	2013-08-04 01:49:51.056263	2013-08-04 01:54:51.014293	2013-08-04 01:54:51.013458
209	2013-08-04 01:54:51.021159	2013-08-04 01:59:51.066297	2013-08-04 01:59:51.065981
210	2013-08-04 01:59:51.069124	2013-08-04 02:04:51.05304	2013-08-04 02:04:51.052175
211	2013-08-04 02:04:51.061028	2013-08-04 02:09:51.060038	2013-08-04 02:09:51.059122
212	2013-08-04 02:09:51.068176	2013-08-04 02:14:51.042856	2013-08-04 02:14:51.042007
213	2013-08-04 02:14:51.05031	2013-08-04 02:19:51.00307	2013-08-04 02:19:51.002238
214	2013-08-04 02:19:51.010182	2013-08-04 02:24:51.031943	2013-08-04 02:24:51.03107
215	2013-08-04 02:24:51.039156	2013-08-04 02:29:51.060474	2013-08-04 02:29:51.059577
216	2013-08-04 02:29:51.068228	2013-08-04 02:34:51.092816	2013-08-04 02:34:51.091999
217	2013-08-04 02:34:51.100624	2013-08-04 02:39:51.042473	2013-08-04 02:39:51.041655
218	2013-08-04 02:39:51.048473	2013-08-04 02:44:51.020961	2013-08-04 02:44:51.02065
219	2013-08-04 02:44:51.024589	2013-08-04 02:49:51.070864	2013-08-04 02:49:51.070393
220	2013-08-04 02:49:51.134996	2013-08-04 02:55:10.574306	2013-08-04 02:55:10.57405
221	2013-08-04 02:55:10.577688	2013-08-04 03:00:37.281841	2013-08-04 03:00:37.280952
223	2013-08-04 16:59:59.04266	2013-08-04 17:04:59.055006	2013-08-04 17:04:59.053972
224	2013-08-04 17:04:59.064017	2013-08-04 17:10:54.556007	2013-08-04 17:10:54.55517
225	2013-08-04 17:10:54.562719	2013-08-04 17:15:54.040884	2013-08-04 17:15:54.040041
226	2013-08-04 17:15:54.047992	2013-08-04 17:20:54.055179	2013-08-04 17:20:54.054344
227	2013-08-04 17:20:54.062211	2013-08-04 17:25:54.099755	2013-08-04 17:25:54.098937
228	2013-08-04 17:25:54.104301	2013-08-04 17:30:54.023273	2013-08-04 17:30:54.022882
229	2013-08-04 17:30:54.026268	2013-08-04 17:35:54.069492	2013-08-04 17:35:54.069007
230	2013-08-04 17:35:54.074643	2013-08-04 17:40:54.08534	2013-08-04 17:40:54.084489
231	2013-08-04 17:40:54.092629	2013-08-04 17:45:54.052141	2013-08-04 17:45:54.05182
232	2013-08-04 17:45:54.05488	2013-08-04 17:50:54.05641	2013-08-04 17:50:54.055593
233	2013-08-04 17:50:54.064313	2013-08-04 17:55:54.005975	2013-08-04 17:55:54.005552
234	2013-08-04 17:55:54.009064	2013-08-04 18:00:54.059035	2013-08-04 18:00:54.058649
235	2013-08-04 18:00:54.064198	2013-08-04 18:05:54.02189	2013-08-04 18:05:54.021602
236	2013-08-04 18:05:54.02474	2013-08-04 18:10:54.091286	2013-08-04 18:10:54.090464
237	2013-08-04 18:10:54.098705	2013-08-04 18:16:28.619364	2013-08-04 18:16:28.618823
238	2013-08-04 18:16:28.625281	2013-08-04 18:21:28.042412	2013-08-04 18:21:28.041572
239	2013-08-04 18:21:28.049919	2013-08-04 18:26:28.040821	2013-08-04 18:26:28.040463
240	2013-08-04 18:26:28.056104	2013-08-04 18:31:28.062166	2013-08-04 18:31:28.061283
241	2013-08-04 18:31:28.069742	2013-08-04 18:36:28.074616	2013-08-04 18:36:28.073634
242	2013-08-04 18:36:28.082538	2013-08-04 18:41:28.09631	2013-08-04 18:41:28.095473
243	2013-08-04 18:41:28.103666	2013-08-04 18:46:28.001152	2013-08-04 18:46:28.000855
244	2013-08-04 18:46:28.00403	2013-08-04 18:51:28.073664	2013-08-04 18:51:28.072803
245	2013-08-04 18:51:28.081471	2013-08-04 18:56:28.066756	2013-08-04 18:56:28.066299
246	2013-08-04 18:56:28.070635	2013-08-04 19:01:28.0754	2013-08-04 19:01:28.075089
247	2013-08-04 19:01:28.078406	2013-08-04 19:06:28.032788	2013-08-04 19:06:28.032495
248	2013-08-04 19:06:28.037158	2013-08-04 19:11:28.062361	2013-08-04 19:11:28.061491
249	2013-08-04 19:11:28.069275	2013-08-04 19:26:19.674496	2013-08-04 19:26:19.673697
250	2013-08-04 19:26:19.681831	2013-08-04 19:31:19.087248	2013-08-04 19:31:19.086541
251	2013-08-04 19:31:19.093693	2013-08-04 19:36:19.016887	2013-08-04 19:36:19.016067
252	2013-08-04 19:36:19.023231	2013-08-04 19:41:19.076835	2013-08-04 19:41:19.076532
253	2013-08-04 19:41:19.079467	2013-08-04 19:46:19.045474	2013-08-04 19:46:19.044655
254	2013-08-04 19:46:19.052623	2013-08-04 19:51:19.056272	2013-08-04 19:51:19.05544
255	2013-08-04 19:51:19.063658	2013-08-04 19:56:19.094516	2013-08-04 19:56:19.093561
256	2013-08-04 19:56:19.103623	2013-08-04 20:01:19.068076	2013-08-04 20:01:19.067665
257	2013-08-04 20:01:19.071371	2013-08-04 20:06:19.062042	2013-08-04 20:06:19.061206
258	2013-08-04 20:06:19.069418	2013-08-04 20:11:19.054555	2013-08-04 20:11:19.054238
259	2013-08-04 20:11:19.057579	2013-08-04 20:16:19.064114	2013-08-04 20:16:19.063185
260	2013-08-04 20:16:19.071914	2013-08-04 20:21:19.007047	2013-08-04 20:21:19.006177
261	2013-08-04 20:21:19.014818	2013-08-04 20:26:19.025587	2013-08-04 20:26:19.024749
262	2013-08-04 20:26:19.03338	2013-08-04 20:31:19.025188	2013-08-04 20:31:19.024279
263	2013-08-04 20:31:19.032733	2013-08-04 20:36:19.015269	2013-08-04 20:36:19.014471
264	2013-08-04 20:36:19.022396	2013-08-04 20:41:19.02302	2013-08-04 20:41:19.022134
265	2013-08-04 20:41:19.030511	2013-08-04 20:46:19.059578	2013-08-04 20:46:19.058665
266	2013-08-04 20:46:19.067714	2013-08-04 20:51:19.026075	2013-08-04 20:51:19.025726
267	2013-08-04 20:51:19.030128	2013-08-04 20:56:19.033093	2013-08-04 20:56:19.032261
268	2013-08-04 20:56:19.04047	2013-08-04 21:01:19.021975	2013-08-04 21:01:19.021139
\.


--
-- Name: rounds_id_seq; Type: SEQUENCE SET; Schema: public; Owner: scorebot
--

SELECT pg_catalog.setval('rounds_id_seq', 268, true);


--
-- Data for Name: schema_migrations; Type: TABLE DATA; Schema: public; Owner: scorebot
--

COPY schema_migrations (version) FROM stdin;
20130629024425
20130706170819
20130706183611
20130706185014
20130706185532
20130706185612
20130706194306
20130706194328
20130706194342
20130706194517
20130706202136
20130707034729
20130707040633
20130707040802
20130714214756
20130714215448
20130719021347
20130720204802
20130727182203
20130728180622
20130801191327
20130801191345
20130801204109
\.


--
-- Data for Name: services; Type: TABLE DATA; Schema: public; Owner: scorebot
--

COPY services (id, name, created_at, updated_at, enabled) FROM stdin;
2	bookworm	2013-08-02 16:05:03.475348	2013-08-02 16:05:03.475348	t
4	reeses	2013-08-03 01:38:43.570139	2013-08-03 01:38:43.570139	t
1	atmail	2013-08-02 16:05:03.463812	2013-08-02 17:23:13.530064	t
6	avoir	2013-08-03 18:34:34.839419	2013-08-03 18:38:55.704367	t
5	trouver	2013-08-03 18:34:29.682744	2013-08-03 18:39:06.520312	t
3	lonetuna	2013-08-02 16:05:03.482631	2013-08-04 01:42:27.045585	t
\.


--
-- Name: services_id_seq; Type: SEQUENCE SET; Schema: public; Owner: scorebot
--

SELECT pg_catalog.setval('services_id_seq', 6, true);


--
-- Data for Name: teams; Type: TABLE DATA; Schema: public; Owner: scorebot
--

COPY teams (id, name, uuid, created_at, updated_at, certname, address, joe_name) FROM stdin;
1	Samurai	8e142c4e-c30c-423b-868a-bc17ea1bdca3	2013-08-02 16:05:03.097582	2013-08-02 16:05:03.097582	samurai	10.5.6.2	samurai
2	PPP	ae88ccf6-647f-413d-8104-f7dade898c10	2013-08-02 16:05:03.133562	2013-08-02 16:05:03.133562	ppp	10.5.1.2	ppp
3	[Technopandas]	df69e275-a8c5-40c7-9130-1d9d1ac5a720	2013-08-02 16:05:03.147448	2013-08-02 16:05:03.147448	technopandas	10.5.2.2	technopandas
4	raon_ASRT	f868496b-bced-4e5d-b209-970bf2d4a835	2013-08-02 16:05:03.164639	2013-08-02 16:05:03.164639	whois	10.5.4.2	whois
5	pwnies	a5ec8bca-b161-44cb-95b5-e2f879350fb2	2013-08-02 16:05:03.180424	2013-08-02 16:05:03.180424	pwnies	10.5.5.2	pwnies
6	The European Nopsled Team	45744a3b-d76d-4837-b63a-05e1f9400690	2013-08-02 16:05:03.196949	2013-08-02 16:05:03.196949	euronop	10.5.7.2	euronop
7	more smoked leet chicken	bf4a9b7e-4070-4ec4-a001-da566400d4b3	2013-08-02 16:05:03.213762	2013-08-02 16:05:03.213762	moresmoked	10.5.9.2	moresmoked
8	blue lotus	0ca37344-5c70-4c9f-b9c8-22d2ed9a7e8f	2013-08-02 16:05:03.230027	2013-08-02 16:05:03.230027	bluelotus	10.5.10.2	bluelotus
9	routards	02f267c9-0d6f-482e-939b-c6105f2e78e2	2013-08-02 16:05:03.247146	2013-08-02 16:05:03.247146	routards	10.5.11.2	routards
10	shell corp	d7634d2f-5cd4-4495-bcab-63cb88d14220	2013-08-02 16:05:03.26294	2013-08-02 16:05:03.26294	1shellcorp	10.5.12.2	shellcorp
11	shellphish	21e896be-e24b-4c1a-a52a-8ec4b06cf7e1	2013-08-02 16:05:03.279906	2013-08-02 16:05:03.279906	shellphish	10.5.13.2	shellphish
12	WOWHacker-BI0S	34ea4c06-24ca-48bb-a2dc-6cd3dc03775f	2013-08-02 16:05:03.295946	2013-08-02 16:05:03.295946	wowhacker	10.5.14.2	wowhacker
13	9447	b50e33bd-413b-4bd8-ba77-04611027c1eb	2013-08-02 16:05:03.312963	2013-08-02 16:05:03.312963	9447	10.5.15.2	team9447
14	men in black hats	798965c8-00cb-4e55-8ad5-cbf614995255	2013-08-02 16:05:03.329264	2013-08-02 16:05:03.329264	meninblackhats	10.5.16.2	meninblackhats
15	clgt	7402a30f-f6fe-4131-82da-190dfcba35d3	2013-08-02 16:05:03.345038	2013-08-02 16:05:03.345038	clgt	10.5.3.2	clgt
16	sutegoma2	d2c6f957-cc15-4f92-adce-1311f58d91cf	2013-08-02 16:05:03.362132	2013-08-02 16:05:03.362132	sutegoma2	10.5.8.2	sutegoma2
17	pwningyeti	35a08be7-39ea-4d13-9ddc-3885c71c9be5	2013-08-02 16:05:03.378793	2013-08-02 16:05:03.378793	pwningyeti	10.5.17.2	pwningyeti
19	Alternatives	0cbfeec7-031a-4513-ad02-4c3dccaf63e7	2013-08-02 16:05:03.410682	2013-08-02 16:05:03.410682	alternatives	10.5.19.2	alternatives
20	Robot Mafia	bbe462be-c289-4646-86b0-83c80870fcbc	2013-08-02 16:05:03.427372	2013-08-02 16:05:03.427372	robotmafia	10.5.20.2	robotmafia
21	Legitimate Business Syndicate	deadbeef-84c4-4b55-8cef-d9471caf1f86	2013-08-02 16:05:03.442209	2013-08-02 16:05:03.442209	legitbs	10.5.22.2	oracle
18	APT8	f62dc293-f955-45cc-a60b-fcb6eea3e971	2013-08-02 16:05:03.394897	2013-08-03 05:14:22.61943	apt8	10.5.18.2	apt8
\.


--
-- Name: teams_id_seq; Type: SEQUENCE SET; Schema: public; Owner: scorebot
--

SELECT pg_catalog.setval('teams_id_seq', 21, true);


--
-- Data for Name: timers; Type: TABLE DATA; Schema: public; Owner: scorebot
--

COPY timers (id, name, ending, created_at, updated_at) FROM stdin;
3	friday	2013-08-03 03:00:00	2013-08-02 16:05:04.233834	2013-08-02 16:05:04.241129
4	saturday	2013-08-04 03:00:00	2013-08-02 16:05:04.250564	2013-08-02 16:05:04.258438
5	sunday	2013-08-04 21:00:00	2013-08-02 16:05:04.266864	2013-08-02 16:05:04.274184
1	game	2013-08-04 07:00:00	2013-08-02 16:05:04.204343	2013-08-03 15:30:29.781603
2	round	2013-08-04 21:01:19.043549	2013-08-02 16:05:04.226371	2013-08-04 20:56:19.043806
\.


--
-- Name: timers_id_seq; Type: SEQUENCE SET; Schema: public; Owner: scorebot
--

SELECT pg_catalog.setval('timers_id_seq', 5, true);


--
-- Data for Name: tokens; Type: TABLE DATA; Schema: public; Owner: scorebot
--

COPY tokens (id, key, digest, instance_id, created_at, updated_at, round_id, memo, status) FROM stdin;
2	10r5kulc065o6098fas0z232tq	$2a$07$BG44ru3MPxLBW74fNIGZvuvewadheG2Psk9bQKFiWFHzPzpyhsGau	2	2013-08-02 17:10:00.942077	2013-08-02 17:10:04.079018	1		0
3	101oem3kgtpizhfiq5izrxgxp1	$2a$07$4zErFzLujfy.THj2SCApqenWkgr9q0TY1IbMSWyVI4s3zgRrXM4N.	3	2013-08-02 17:10:00.973917	2013-08-02 17:10:04.224224	1		0
4	10dx7dqevjtaq9cb22x85dtjeq	$2a$07$sKw8antdxeHBe0YFY5VSIe2Y/TvqXdQThRKkq.6KNJBvn4s9rPa3u	4	2013-08-02 17:10:01.006666	2013-08-02 17:10:04.321086	1		0
5	1084zlw6kfeik1jogk2us7k9lp	$2a$07$BXI7/W8h140Cii3RRmN80ODamT2HZWct126EthMgN2iA6n35QcVAC	5	2013-08-02 17:10:01.039733	2013-08-02 17:10:04.437002	1		0
6	10uyn4k4rfrws3rug7w59f9yfm	$2a$07$MaZ2NqHiYxusGvf57huSv.F4ycKa/sDiv76USuwGLYP2d8cNeci7K	6	2013-08-02 17:10:01.072711	2013-08-02 17:10:04.606584	1		0
7	10y6hqqnii3xh4l7ia2shlqtgc	$2a$07$DvVU25QRcm9HHaA.k45nCO1GWaOf0qQsk136uVtt1iXhxH1L/Ir7W	7	2013-08-02 17:10:01.106455	2013-08-02 17:10:04.939177	1		0
8	101wcefjxpgen3lbpkl76x0dg4	$2a$07$LM3kUFLEVilyS00nMv8V2uyknlhpuLl2FB2EDRe5WKeMzlEm2sdKu	8	2013-08-02 17:10:01.139538	2013-08-02 17:10:05.300229	1		0
9	103xysxvsg67ikd7nodtjm1h3f	$2a$07$tJ8SIQAwRcTzZCYxN8kNwejyjaZj.GTYpA8z29OTYjDghdiq8/aBS	9	2013-08-02 17:10:01.172021	2013-08-02 17:10:05.66944	1		0
10	10svn03r1krkp3m0b9thbs8j2l	$2a$07$whxJtTl1iAaf.i1QEDY5OePwhug/1ntdq52z8i4R.xqciCMr15ihS	10	2013-08-02 17:10:01.204847	2013-08-02 17:10:06.05624	1		0
11	10lq1bosulqy1pe1f0481is5cq	$2a$07$to.DaexojogZ0aVRUb6PkuFTlOBA54GITSI/DpX0BtSh9R3BjEB4e	11	2013-08-02 17:10:01.237728	2013-08-02 17:10:06.44351	1		0
12	103z0smdmfef7g61y46l2s36zc	$2a$07$/DQznMv/ENjlvufrtq2rvOWcAXTLJFbQhlDYyD61z0.bwBNeLRyGm	12	2013-08-02 17:10:01.270669	2013-08-02 17:10:06.819555	1		0
13	107xxl90leroieeexpe6qfyphg	$2a$07$HWeg74txG8psULF0ut3qpOwiq85OOfqI0M5qQEkSU.CYCm3fGCCLK	13	2013-08-02 17:10:01.303668	2013-08-02 17:10:07.19114	1		0
14	10axf7fou5l2delw40qx0suqz1	$2a$07$YNNx33pwpaAe1aMl2jOczOBKxqwGEOgqfLNqhrWeeFLDi2EIxeDAi	14	2013-08-02 17:10:01.336851	2013-08-02 17:10:07.5624	1		0
15	10tb599itvg9245ammuqbkcvc1	$2a$07$nYDPYdpU/cJPkMp8leMmNeDeJnnevdpgR1sXbeYGqkKfSuk39ugde	15	2013-08-02 17:10:01.369838	2013-08-02 17:10:07.86984	1		0
17	10pjbitj896n5k7g015sas4nix	$2a$07$cBfB6Iy6y9tIbscKUw/x7.3wBMrkZzf8i53TaglAGUInrXP3nC2Nu	17	2013-08-02 17:10:01.436473	2013-08-02 17:10:08.679305	1		0
18	10f19adzvjxefhxoa4zek3giqa	$2a$07$IdK1plLau66BLNcNim0xYezaWf5grmBS15FWdVtN.GpWDTYR28t9i	18	2013-08-02 17:10:01.46876	2013-08-02 17:10:08.821809	1		0
19	10x58g759lh471quanka7956p8	$2a$07$47xYiGTyEYS5i95x1yT/reZyio2oQTLmkkh7vlfEL4BqUFNcpw8xq	19	2013-08-02 17:10:01.50209	2013-08-02 17:10:09.198242	1		0
20	101w9bk5eegfswo9hpqzs131qd	$2a$07$cjNoqMtaKzkXechobgan0e50.O2ucfn3/6w43dtHzcdrZTRENenla	20	2013-08-02 17:10:01.534951	2013-08-02 17:10:09.538256	1		0
21	105hgvzcchcjyoorhy047j717n	$2a$07$H9WWz/7vmrCN9qAOV/.Za.ZheicUBNg.88U6.nmB7cjuo4RxtVgWi	21	2013-08-02 17:10:01.567945	2013-08-02 17:10:09.866918	1		0
22	10eswvomq3629114t4ushz7hhv	$2a$07$975ZdT52TSZm5gjW47K3r.YP2PPz.8yu96T7Rab5KQSg6nc2iP502	22	2013-08-02 17:10:01.60079	2013-08-02 17:10:10.20852	1		0
23	108ghcq2yh28izbegmdf719qta	$2a$07$33LBowDw0Yb9kp76kcskK.VYGlgANS.zHixMM6cVK5fYe6SRJ7aDq	23	2013-08-02 17:10:01.634117	2013-08-02 17:10:10.578491	1		0
24	105h46leb8v88215mvxq794m32	$2a$07$H3BzC43.NzwFF8c/dOfZu.TC2o4Vhoz8jrMdj6A3W9D2DPUpM7Kta	24	2013-08-02 17:10:01.666473	2013-08-02 17:10:10.946045	1		0
25	10vttw69svwi00vz3cadm5raey	$2a$07$bdEgjvdFpPGTNu6vsFHe2e23X0SoSrJfx5Y3ItuUoiTUMaJ8w6.8y	25	2013-08-02 17:10:01.69987	2013-08-02 17:10:11.323521	1		0
26	10jba9zcji13pc6g1513udgvre	$2a$07$jZTH8OHnMKZDl/y3jcMlhuqEfF7uUCKDxgLabV.c3JSkAQVXuRI8S	26	2013-08-02 17:10:01.73285	2013-08-02 17:10:11.700079	1		0
27	109o2lsrks7b5fz41aazp05ska	$2a$07$r8k6woiRGn/L8jlo6KueceUUPeKlbVr2r2uuljKMGPNJxNPHSZmxq	27	2013-08-02 17:10:01.765913	2013-08-02 17:10:12.077323	1		0
28	10chipu1cibexq5jo1yd5sk40v	$2a$07$EYAUZj.NQR9N6ZK6FHnXtuJr4bSZiifOs0Q6gzybIGPUCzf6PFHOC	28	2013-08-02 17:10:01.799167	2013-08-02 17:10:12.448213	1		0
29	10oxr0hl5zktv516n52meou5x2	$2a$07$/1Wn689kKS/dkU8R1mob9OF7iHVsnMIm5zW1rV.brjXz2JSRNpbEO	29	2013-08-02 17:10:01.832009	2013-08-02 17:10:12.818461	1		0
30	10ykcxpq75an9kfthxskz62ylr	$2a$07$.3y2YZf4vmEEJ68mJlelMeaJD5b4aPCzCc0ABX3j.6IgCC6QMpNw.	30	2013-08-02 17:10:01.865031	2013-08-02 17:10:13.190124	1		0
31	10e4o3wa01a4wy7xfe4wvbkvjn	$2a$07$1mORdgSwUEskWye8S6Xx.uEpYGD/hoE8jaEM.l8t.u6lt3xbxp866	31	2013-08-02 17:10:01.898082	2013-08-02 17:10:13.561685	1		0
32	1037eg0b9jhyj4vxjg9rs2v6tx	$2a$07$7eVGTYbh5HdbqtUBwRMI5.RKZhdbTirxbCRKbHENNnmNqP9d7FlkS	32	2013-08-02 17:10:01.931489	2013-08-02 17:10:13.940387	1		0
33	10jdte9v8vglvlrxky0n01p3pg	$2a$07$3M8s8x22JdkJ2hzGksCrI.5x.TTXo4vWvy8vv3D69d3oVbD3RGmDW	33	2013-08-02 17:10:01.973809	2013-08-02 17:10:14.305951	1		0
34	102xk1pp088fkprc7s3bjzdnm8	$2a$07$oXMsC3gUMGAGsjQj1B08u.rtQyURgMRlUkvjmo92ohpQ16ItB3ylO	34	2013-08-02 17:10:02.014773	2013-08-02 17:10:14.669478	1		0
35	10vraeks9bld45hxeb690l9qgg	$2a$07$iD50eX8CR1L2Z9Xi5MpSUOMet/uB5vWnR.A5omgbzi2oyOm0wgos2	35	2013-08-02 17:10:02.054631	2013-08-02 17:10:15.036897	1		0
36	10y1zl9j919q6m0s42scvvl5qo	$2a$07$mkbsuaMNUnOhffQ8Hd1ZlOhOnMxncyrhUuAaLS0QC9yVplqN7hete	36	2013-08-02 17:10:02.09713	2013-08-02 17:10:15.408917	1		0
37	10w93qepxveblgbuc1as82gbz2	$2a$07$t/dCiZ8dh68/kusNp93np.Ibi1M80xiH8eGAcA6QGdoOZ5syh4pwy	37	2013-08-02 17:10:02.138614	2013-08-02 17:10:15.743733	1		0
38	108657i8yc4kognjy5lu32vwyp	$2a$07$i3MeJUiyzOAUpJhICIyquuvu2AknExZZuHJ9ybInL6z5US6p1yaBG	38	2013-08-02 17:10:02.178963	2013-08-02 17:10:16.081074	1		0
39	10va1hfyg7732sdym10bwepu6k	$2a$07$ALM47mYUoT5RmWxGeof9J.7N.wjskUJXEOrnhGoGAY4UXsPW1Qnhm	39	2013-08-02 17:10:02.211937	2013-08-02 17:10:16.427992	1		0
40	106knk345gcfgcp27m3jmvjm3k	$2a$07$gYH8vjW4WiLD7S9ZwN3Un.ybluT0SI9VJSY.QNMnueom8qBDQOPFi	40	2013-08-02 17:10:02.245196	2013-08-02 17:10:16.801879	1		0
41	10u4wqpk9py1jvpqywveobaadg	$2a$07$O1Tf5s.69Nihxo8gskfPA.rpBwusiT2EXxmmtsVn9thgtJpWA2X7i	41	2013-08-02 17:10:02.27794	2013-08-02 17:10:17.166554	1		0
42	10it8r5z9bt80gf2c538s1kfyi	$2a$07$lqtYNtRBg72vSSJvxUMz/eAj97wXcg8GNUuzjx/hn2bXIef4828du	42	2013-08-02 17:10:02.338136	2013-08-02 17:10:17.536949	1		0
43	10k6oir9e033o973sj1s49hmv4	$2a$07$ZsjVG2SWyips1S1jg3AAzOwZrryR4lzNkVjme4gANlaTR98ypIq1a	43	2013-08-02 17:10:02.369137	2013-08-02 17:10:17.913959	1		0
44	10lfnen4kac70scuxegf798pbi	$2a$07$4qW1tSzv/.EU/SCO9Podw.qHJaJily3389sW25E8hL4K/b0x5/IAi	44	2013-08-02 17:10:02.402304	2013-08-02 17:10:18.270454	1		0
45	10hngrdfp7x562fwj4lai2cgs1	$2a$07$aq3g9q5S33PkGGij7hvMPeWGnKqcTKLPT2hj/nZF/a7PvKU0WR72.	45	2013-08-02 17:10:02.444151	2013-08-02 17:10:18.646021	1		0
46	10sg70njfinb6jmaj0r3uhl2tc	$2a$07$mM.Qsmmf2H6qkANQvPJAv.RpB2Iw5uOkQcvJSeJj22aeHcmWq6Sqy	46	2013-08-02 17:10:02.475821	2013-08-02 17:10:19.022965	1		0
47	107hxatnv4m7ltsvlfekb8k1ye	$2a$07$QVreHYUvg8E3QGj1TiEJ.uu.10Kx3zTvjB/dt6ctUTxdQFJE1DK72	47	2013-08-02 17:10:02.509014	2013-08-02 17:10:19.394628	1		0
48	10m3guo3p0wkbu5lwaakafpd1o	$2a$07$USmzZQWZApvju/7zuUrks.AWtr2mfa7YRT3gE1l/8mcosJPaBM1xa	48	2013-08-02 17:10:02.541871	2013-08-02 17:10:19.762821	1		0
49	10taha1vdqh5k1ee3tdiodnqqh	$2a$07$CzfJKs6pQ8i2NRiX3K8kQu3dneRlHp4MU.Ia99H8eypDVpbiO6kde	49	2013-08-02 17:10:02.575489	2013-08-02 17:10:20.143501	1		0
50	10okt5mb5uhrgf5xwue9g42pfy	$2a$07$hmji3YmbyDG4Lz.fgxxNROWNf3cUS5k4MV.kdN3NRqt2HjKs7VIii	50	2013-08-02 17:10:02.616267	2013-08-02 17:10:20.520698	1		0
51	10atz0iomgkxjxx084cfdhhdi6	$2a$07$CRDGX9CLTBol/9FQewVEQOwd0jamQj3ej.hL4qnjcB.gJDi6Ze6a.	51	2013-08-02 17:10:02.65814	2013-08-02 17:10:20.897752	1		0
52	10q1uxq12n1cr1j9fi6qp4e23k	$2a$07$EG8m/KWHKO1rwkoUTXIrgOHEAIvoGzHGSVYYBrnssIlMsYTwHtWbK	52	2013-08-02 17:10:02.690466	2013-08-02 17:10:21.282849	1		0
1	10k1gxwr0zjluozerqxugh0swr	$2a$07$YWsae8tG7MWSTq5r7zZDw.xowNhOpZaB3H8A382eQ9PMvyohmEE3G	1	2013-08-02 17:10:00.893286	2013-08-02 17:10:03.709547	1		0
16	106aiaq7awajvloo4zh3vp49qt	$2a$07$8OaYHEnHMaB62pFo7eBuQuqVd2YjCtvwe.iW5Cdqjicl0jnv5.2Tq	16	2013-08-02 17:10:01.402906	2013-08-02 17:10:08.289289	1		0
53	10qlcihmfr3wbrpysf6z25z36o	$2a$07$ybTf6z6anwIg4DO2WDRTqOSJRCNTSHURLeb4rggMdn/aeYHVsrE9y	53	2013-08-02 17:10:02.724419	2013-08-02 17:10:21.649049	1		0
54	10afr9u7v1bytutrgxuyjwtbhw	$2a$07$gvmh8knbiCQAV2GuWFxNaeOt9PRJlWBkBr41KvRhI1N/PHai3zXrm	54	2013-08-02 17:10:02.765787	2013-08-02 17:10:22.01315	1		0
55	10n4e77nf1e4yiu914sbl2c2lg	$2a$07$j9x75qltTYZdWxGu2DuBVO8dYfWpvrYoO4Ibhd.XSxL1fGLwEqlA6	55	2013-08-02 17:10:02.805366	2013-08-02 17:10:22.355628	1		0
56	10spr7wua3hl0love66r1lp05l	$2a$07$Hz5fbiNMi1DIJCd9EAGWT.OyrYzLnzGpzPSIWHvpWY24rvFvObfNW	56	2013-08-02 17:10:02.848565	2013-08-02 17:10:22.690415	1		0
57	10klwvrp7c82q7pk4nqwsi6lim	$2a$07$KfbUcNvFCaQQIHU8k7aDvumrBzx9N/npws37NTuk03wHKEyMPzKJO	57	2013-08-02 17:10:02.898014	2013-08-02 17:10:23.02032	1		0
58	10bi4bh7nj2bob730u9wlqa5fe	$2a$07$psh1PJ8p0l59qmy54Fg/R.aWnMjGWKJMxghMUD5EsgY0rVNwiTf3e	58	2013-08-02 17:10:02.938649	2013-08-02 17:10:23.365769	1		0
59	1077rcdcozyke4x5i7zd4u8n6g	$2a$07$vn08EdllbSVJdjS3VW/qWO.Mwoptd/TgqKGSrRBTUOpiN89j4dKK2	59	2013-08-02 17:10:02.980054	2013-08-02 17:10:23.731855	1		0
60	10ozbjiuyaf0ro1v39bxtiv5x3	$2a$07$v2FnSb/Z9nmRmnpcAOwayuf2yl03rkdJo/WFL68qLzaiMYA6DDfU2	60	2013-08-02 17:10:03.021617	2013-08-02 17:10:24.108395	1		0
61	10lsrcgbxvsxs5rfh6ff9hzkhl	$2a$07$wcBqAvU3D7qG9bfofveZVeMwRuD9MAceYTIwTvmdPzKlESpSvXUXe	61	2013-08-02 17:10:03.071116	2013-08-02 17:10:27.027086	1		0
62	10aprg892x0zc2wjm3eir0qkfv	$2a$07$hLyC4IXj.QSFokEg.cN/4OpRwWwDmkDBNYZQcQtrewUcR8mMufzTm	62	2013-08-02 17:10:03.11183	2013-08-02 17:10:30.058406	1		0
63	100txzoqas8velzx0yl87yfsvf	$2a$07$ZrWNp0tAIUvi0tCPGomxkuKYtO/VN/KwwYsrlxUk1uC78/abfrj5i	63	2013-08-02 17:10:03.153735	2013-08-02 17:10:33.339876	1		0
10938	10hi7r819qfje0ozg5cy4row7g	$2a$07$Ik92DascHlw/rnH2fElpo.6nIbEuAaLYLFeO58AcbBr5iiMsMGwUy	60	2013-08-03 20:21:40.319147	2013-08-03 20:21:57.43537	142		0
64	10mmk8nkzlv0crpk3f0v8jrvtm	$2a$07$bfSAL6hPEiKLE6g7ssABE.Lh2WQiAWiSXBWcFSLgB3fJkxugoSBTK	1	2013-08-02 17:15:00.098791	2013-08-02 17:15:01.817022	2		0
65	10ic3o1epegv1yo0bthl3z9q3z	$2a$07$XwyWPT3VAIUHwJ0kFkuWHOqe/JJ9BoqCQCheGHw6Dgr80.jsH1fp6	2	2013-08-02 17:15:00.123045	2013-08-02 17:15:02.185546	2		0
66	1039qpwhiteyf4yrz69zbvgqot	$2a$07$/EL7nDN7DuL46WWtqWJUkuwX1AkP6WBbzv7HtVWWE3.LxlR77OOqS	3	2013-08-02 17:15:00.144612	2013-08-02 17:15:02.551301	2		0
67	10lr05inp239nrozmdyvx26fe2	$2a$07$h0F6x88K8tFrpBzXX9O2oOxv6vs1GSixQHU7nnaU5wdkGossE3iZu	4	2013-08-02 17:15:00.165972	2013-08-02 17:15:02.912216	2		0
68	10348i2nlgu4iizyrgjsy3l8yp	$2a$07$KaixGBbCKe3lW5xxFDJdsuO0qdZGfjnX36.qnMIMRc55zkPFor86W	5	2013-08-02 17:15:00.18751	2013-08-02 17:15:03.170631	2		0
69	109u5j2va223cc1tzmnxznxo5o	$2a$07$bJgfSCMgmD5WNo7cNtvRz.ku305KLbtfB4hyWkWJjp5kjHjm2tVgW	6	2013-08-02 17:15:00.210555	2013-08-02 17:15:03.336854	2		0
70	10lijmsjxmbwpd4rt0sxmjwcd3	$2a$07$p2ZOryVAr4ZFdZ06mZNseeGNak/iw1mqBT909lQo0Sjj42yLx4Npa	7	2013-08-02 17:15:00.232989	2013-08-02 17:15:03.712743	2		0
71	103ols2pjufimoj6hilql7lvw5	$2a$07$XLNUKpfIEBd/ml.pbkvaZ.wxv..uzRknEe/1v/YzjFSu5LBembTvO	8	2013-08-02 17:15:00.254571	2013-08-02 17:15:04.084836	2		0
72	10rgkweq1p4agq6btwxefvggea	$2a$07$CirPNh7EwHS/NVUm9GY6DOhRCpG8C8naD07qAiVZr6XpMMQTsPdK2	9	2013-08-02 17:15:00.276007	2013-08-02 17:15:04.453591	2		0
73	107xt2yx6m17jbphshnopm7w7h	$2a$07$AK5ARvQMuDCRXjKtxx9vUOb0ueOXon37CLl8W3pDYJsUzJyWilX82	10	2013-08-02 17:15:00.297488	2013-08-02 17:15:04.827278	2		0
74	10okbiut4gip912bf5v4fax5qh	$2a$07$Mdj6FsB2P7IoQ.UIcvmRoO3B38bzt4T.h.gTm8G/itY2EEONcMO2e	11	2013-08-02 17:15:00.318769	2013-08-02 17:15:05.386267	2		0
6554	10or58kb6qp8x9yrjbkyzn12bi	$2a$07$wYqT7LRY8KvYRJBxHzX.2.zXupumq6KnqK78gGeHYOHjWLrmjR8Xm	2	2013-08-03 17:00:00.160529	2013-08-03 17:00:06.06795	100		0
6555	109gzskg0uy74o2wexs704r7rj	$2a$07$Bo0OktHiQcmyhoCSmQMEiODWzAFcyuWqRkDdNSB1s05Lorq9oKXxu	3	2013-08-03 17:00:00.208062	2013-08-03 17:00:06.210674	100		0
6556	10um6q2vp0u4z6gydi507l2qjk	$2a$07$c9F2eDyIhjMADyyBOONd.uScYZqNUa6H1ThF52U.eHnr1xNvnSfry	4	2013-08-03 17:00:00.281684	2013-08-03 17:00:06.42434	100		0
6557	10apmt7r67w02tol3cjoa5an3v	$2a$07$sIrzSJ.htEgYA0JldJciceR8fOM0svnkWHXXuJQAOtHIm49PGvDPu	5	2013-08-03 17:00:00.342326	2013-08-03 17:00:06.665242	100		0
6558	10rxrmi8tunypsx7mgfgvv928r	$2a$07$L7ANB0Zw.ScYVKRD7OQEVO890RK9IXOGJRjCXrP4b0gFYQ5Wrqcoq	6	2013-08-03 17:00:00.408287	2013-08-03 17:00:06.834047	100		0
6559	1027bi3nva0uvmm2yerqg3j5t5	$2a$07$i8cEV22durKgIx9ULTCb.et/ia05S9pnt6rsB9.o4Cd1dxk0tqdyi	7	2013-08-03 17:00:00.460634	2013-08-03 17:00:07.000603	100		0
6560	10kh5rov26an0d62e09nx5td1a	$2a$07$4a.9U1WWDGSlIfkCdYStAu11x81hxgvzPJtrPV5ZCwWPrzS4/BqSW	8	2013-08-03 17:00:00.531545	2013-08-03 17:00:07.130443	100		0
6561	109v8apl9zk5drptkkbmwwd466	$2a$07$48VgrSmzTesrD6AQK48PfeT6UU34l8C5vaeNAfbrOgT1I09FECdyG	9	2013-08-03 17:00:00.581435	2013-08-03 17:00:07.264386	100		0
6562	10qiizl7u1ccqckwnxppdub07k	$2a$07$6S2qbHNNcKrGbe91y92PoOXvaPkaC1J7DZZltpZsB3bHLmOre.aHW	10	2013-08-03 17:00:00.648601	2013-08-03 17:00:07.475305	100		0
6563	10eoi5b6s159kkhauar14w5su0	$2a$07$JRN5GR/qL4t9UshP.byiIO0WcKTc7HF85psHC2KJBa8f35h9IK0..	11	2013-08-03 17:00:00.723209	2013-08-03 17:00:07.641291	100		0
6564	10l65u23f0lczdefzcrzmxb1mz	$2a$07$Va5VvhO17LtFiSz9JNxOUu8v4pmZ/8UaZRgWFuhNTeCh2K53T.jpS	12	2013-08-03 17:00:00.801744	2013-08-03 17:00:07.833894	100		0
6565	10g9bm9f99dl0yacrbx9dik50x	$2a$07$C4D2YTZ10Q28Xptn9nSvfuUNqTAe/dWHJ5im4zHCPPNELmy11KWBG	13	2013-08-03 17:00:00.867638	2013-08-03 17:00:08.04815	100		0
6566	10nkoauh0wmlmosodtngpvybre	$2a$07$yxZiFawnEysYmvSDdMNgrOIWnA2W.vtNUt6LW1cIK4LSWgnNPZiE6	14	2013-08-03 17:00:00.935254	2013-08-03 17:00:08.242637	100		0
6567	1077jd5qc0jggbyy257qfk83lv	$2a$07$fPSBxpz7cqNtNqmk5XA7rO0iwY2WRdpzjXrghFEq9JDV2VKMXTzh2	15	2013-08-03 17:00:01.011171	2013-08-03 17:00:08.53041	100		0
6568	10pf930pnpd1q2ukdz8wurkl3j	$2a$07$wpOps56Gwt1K7HX3pFCtxuNia3Hy6DZCFywDOADFSAOtoZ2yaLHnK	16	2013-08-03 17:00:01.089779	2013-08-03 17:00:08.827694	100		0
6569	10a7hfu5purv28vys70huw7x5h	$2a$07$7Lh.L.hf7.y0dq8rfFx5R.cs9tf1WOhGSFreqLJIbCqmamtBhGYCe	17	2013-08-03 17:00:01.164214	2013-08-03 17:00:09.037804	100		0
6570	104w13nnqnphtj7rrop3t3pi8m	$2a$07$Qs05G/o.x7kf6KFHwCvgcO62x1klMXy06VNOZY6100YEbQnLj4KfS	18	2013-08-03 17:00:01.238957	2013-08-03 17:00:09.194685	100		0
6571	10vr9ow6kekk20iwobq0avmw05	$2a$07$ij9RN5w1QfwDef6Et46L4u1cKmLyx6CHKfOmGvBE3OJVSy3nvZGsO	19	2013-08-03 17:00:01.315892	2013-08-03 17:00:09.605222	100		0
6572	105nz9auyp0mfz2gqj1nj4ig0e	$2a$07$3Dp5XXaHvmaMLcAnlmFE6OgKXv16qxQSqBgDyKJsXRFEvt1z0Vdz2	20	2013-08-03 17:00:01.391931	2013-08-03 17:00:09.979148	100		0
6573	108hbz0k8o74p7sos74jp8wdko	$2a$07$gnIKxvA53EHevTM0ih.xfuaWcq2a87QXd.L5pZ5D3twAYmS.B2fH6	21	2013-08-03 17:00:01.464939	2013-08-03 17:00:10.361623	100		0
6574	10hbkhr02gcb8zpq2e1ikupalx	$2a$07$6W4Qoj31vRUnUmZo/fBD..V3dsIEh2T5Rp5eKBZbe0AiyqI4JxFlW	22	2013-08-03 17:00:01.526497	2013-08-03 17:00:10.548844	100		0
6575	105kbb2eba06g92swyl84kmxum	$2a$07$4IpgMsk9zrXnJujKz36NI.9upCti6wAJGGyIjoC6hXgM1WcJn.s5O	23	2013-08-03 17:00:01.598197	2013-08-03 17:00:10.70381	100		0
6576	10y8h5m3uopxtqzrk2yc2ty4mm	$2a$07$PQtpn.qPotDkKQ.oO2y8eOWq5A63C9jspVAnQVkMtf9PeN/dpUbRG	24	2013-08-03 17:00:01.680769	2013-08-03 17:00:10.901969	100		0
6577	109y0976px3sn71hjoz9h1i09w	$2a$07$GVxqjayeSz0TXNCFIMFsD.Ue7JoNNGIJe5CGeIRFE./WDtO6TM9.W	25	2013-08-03 17:00:01.738647	2013-08-03 17:00:11.098428	100		0
6578	10g9fsnkbm6yelk99bojp6evy2	$2a$07$jMFeQRkRmNJj8fSXzTtNtu2bTrYnm8yJGbUXt1TiLBMprWF8idJBu	26	2013-08-03 17:00:01.790934	2013-08-03 17:00:11.319591	100		0
6579	10vne2t882jng439i0o8qo1xsp	$2a$07$XAUqOY72E3e3MjuQJ0.IT.B.kosp9gPiT2A/0Yv7p9kmx1eU7nxXu	27	2013-08-03 17:00:01.833856	2013-08-03 17:00:11.58695	100		0
10939	109ze57jqsw1w08f44jjy8zh41	$2a$07$DQZ6SEbEFyiuX1z7xBncYOvZDevtBmHEAHiPS6rkIQ998gxrJRFmK	61	2013-08-03 20:21:40.342767	2013-08-03 20:22:00.018397	142		0
75	10ast1opc5i9cn9929vzxn5k0k	$2a$07$gaCdEkhVXT6reumA6R1JB.Lq.WcYS4CToMmrq4HbqQwfhZMeo96Qa	12	2013-08-02 17:15:00.340224	2013-08-02 17:15:05.711187	2		0
76	101roaw5cj2riyjkco7aqdisgd	$2a$07$73lQQz9p90rbGzuusqoKge1LK9/Y1WQE9BIIEEuLDj34e.rUFZRmC	13	2013-08-02 17:15:00.361689	2013-08-02 17:15:06.050595	2		0
77	10dtl2vhcivfvo8i9fg9sqgpwd	$2a$07$uPzzTEseX2k4XiI8H1hBne6AGA6yawfkuOggvESFT8QdXOR0hYg2a	14	2013-08-02 17:15:00.382972	2013-08-02 17:15:06.39535	2		0
78	1022nh9p9b7f6bjsjs93pkx1pi	$2a$07$mof3v8D.JMd/hXvpxSIa0eyse0SBWMbOq.eljKCoC/Jm43LaRBnM2	15	2013-08-02 17:15:00.404282	2013-08-02 17:15:06.758518	2		0
79	10lsmkhtzt182xippebw3pl0eh	$2a$07$EFr6UO13V21cyLNmJmFPEuPk7HuSocIB3xJHwCiGa4hzsvaEUHOGu	16	2013-08-02 17:15:00.425579	2013-08-02 17:15:07.325685	2		0
80	10l8y5kh2gl8dv5q36geb9ku5o	$2a$07$75W9ki5qF0cBiEhDSPxlKOjXhazXV/5oq33b.0XCJg5J650.bPL..	17	2013-08-02 17:15:00.446884	2013-08-02 17:15:07.690379	2		0
81	10oej7o5byfj7wc4qizi1re6di	$2a$07$IfiKPl7tC50K9loMOwI71uXeTh45s/wnPcxaXvSDXFWSW5ZjUliA.	18	2013-08-02 17:15:00.468198	2013-08-02 17:15:08.056328	2		0
82	10fiu0539b3anjfs3d1nqzzx2s	$2a$07$6hiMYC5M7BqnIkEQbn/PK.Iva7EgBomA8QZFZHEnQSr2ufvxS5TAu	19	2013-08-02 17:15:00.489987	2013-08-02 17:15:08.478653	2		0
83	10spozmwour98p4yz28ctzb3or	$2a$07$KE.ciTu2KETMBJdaBfdG4upSVOeBOQD.U7i8eTFZHVe/Rlx77j9NW	20	2013-08-02 17:15:00.511331	2013-08-02 17:15:08.898858	2		0
84	10p456wi5v58vzr3bfxc2nrriu	$2a$07$y8rj1GYF8yQDsK/e12G/VOtq7FuFT864eQG2XtuSZju4/AwFVQNDu	21	2013-08-02 17:15:00.532773	2013-08-02 17:15:09.257857	2		0
85	10m0kf26vyhyuz18ubin0sjbb4	$2a$07$dxBfe1ikPYpyGceMHXubkuJfcXVZUd985vQwHxoHMf5EcpqNc/zIO	22	2013-08-02 17:15:00.554118	2013-08-02 17:15:09.61036	2		0
86	101in9y1gq6p7ooxx9z486ah48	$2a$07$AIH5mTmlqOYOtXYt3HLz3.CtV0C.CZy/IyuDTPikI32Ks1OHc3B1O	23	2013-08-02 17:15:00.575538	2013-08-02 17:15:09.970228	2		0
87	10uakrh6xmm0g18r3yi02yj9et	$2a$07$XRSgnUoHOqdElKi6FWywOuujIjDp/OgcafbLIepIgeWeSc7ogt/MO	24	2013-08-02 17:15:00.596823	2013-08-02 17:15:10.330584	2		0
88	1057g42nfaqgkda35h59c7uj67	$2a$07$PdmiM3JCNqxcUrhl5pYQnufaCOgpgbWBF70QjBi7MMW1D8X4RbnXG	25	2013-08-02 17:15:00.618554	2013-08-02 17:15:10.694169	2		0
89	10j4us7l6uk0hyzhz014ok24vu	$2a$07$Oq21FNeUYJcUtSSOP2sVNeuZ.FF12MRny9AlHEnJwE7BJOV6h.RLm	26	2013-08-02 17:15:00.641333	2013-08-02 17:15:11.066245	2		0
90	10t55ibch2quwiof6faqsdoxwh	$2a$07$I3eDF.kaoFbwzHRi8z2iAeTpxVjemvXHOD9Lp7zBy2eJDMbm6evce	27	2013-08-02 17:15:00.664208	2013-08-02 17:15:11.435001	2		0
91	104sij61qzzplkccsixc5v2z46	$2a$07$flMapghCdwdCWkcco0eoWe2sXAfyVyHB8XfGXmKZUkRvFaTqWmJ9a	28	2013-08-02 17:15:00.686564	2013-08-02 17:15:11.77468	2		0
6581	10jq610d1rlumd8rlrnexa6jqv	$2a$07$2Ki1qx51xyMDaIrWdOvTCOU1Y3Vq6PVqMWlZT/wJTEgEgH2XoAiGi	29	2013-08-03 17:00:01.969308	2013-08-03 17:00:12.446617	100		0
6582	10fdj6z8uoa8dhs4etr8222mor	$2a$07$bVtHCZjhr82OgfPR/Xkpz.DQce0szV/IRbDTWYQZbuqba0R7FLbgG	30	2013-08-03 17:00:02.042036	2013-08-03 17:00:12.769143	100		0
6583	10gpbq0qp24yle8r4kn7fp4ll2	$2a$07$w3Au6wzlEy8958D24/QfTe7FzUFsXbUb3EuPSmpwhG6/gn/WJNMSS	31	2013-08-03 17:00:02.093558	2013-08-03 17:00:13.1646	100		0
6584	10sgs3a9lhuvamrw5bsbk730nz	$2a$07$mMjh3UfvhNKsWEOdP738Ie0a.nceoTWxfP0Nu5BnK4iwJExUDRpDC	32	2013-08-03 17:00:02.176238	2013-08-03 17:00:13.516117	100		0
6585	10jpcbewbibdq4ax4bpt45wbn7	$2a$07$SZE6ivOcVsbLMyqDRD441umAAUgnOdNrL.L5xKNlb78bU6Mjy2dDe	33	2013-08-03 17:00:02.271268	2013-08-03 17:00:13.898659	100		0
6586	10c8cr5rkykrb74on3xqi1aojt	$2a$07$HHHVZNHtedf3glsBmZUa3uOLAcVMUg/fmFreYoPIJdeCKSHqKCuDa	34	2013-08-03 17:00:02.345041	2013-08-03 17:00:14.279516	100		0
6587	106a07kwq6ks5bb8i7dt10jd2o	$2a$07$B4WnkVEQiRlE32kRnZ3LtOrD.05sjLOPjcIIMIKkpcKriDvOg3hYK	35	2013-08-03 17:00:02.40468	2013-08-03 17:00:14.594176	100		0
6588	10kglpo57fhuvdom6dc6ip3mry	$2a$07$x9CEu17SBuOwuBZiloavEuxWTdyjqXf2JWnXyp17JlEy10oHuFGva	36	2013-08-03 17:00:02.481002	2013-08-03 17:00:14.967994	100		0
6589	1083ikrjjvj6xnijb650xbe6as	$2a$07$j.W8uYzA82MlTyA.EIaFDOgNnDp19mskKSEhyKndP1HQXD0PYwouy	37	2013-08-03 17:00:02.534206	2013-08-03 17:00:15.398213	100		0
6590	107zdhs4dur7ryyxyrqu2mzsbg	$2a$07$2lnQV61wHdSqMLksRxPqN.sJpTNhg.dCfZqQO9ONcDlPE0mDo3ntm	38	2013-08-03 17:00:02.596992	2013-08-03 17:00:15.789688	100		0
6591	1070mk6skx5scztexz60ku7nju	$2a$07$MCSnBHOI9XhcBkiSSyEuPOxceMxBTepjuqld26Ij1zjodJ9HVfdce	39	2013-08-03 17:00:02.683228	2013-08-03 17:00:16.166091	100		0
6592	10ph9i3ir1t86fk5u24gk02o59	$2a$07$WpHCw8fDCu/k5FuZS4B36.QCVdH3jycvKnK5lg6O0XDbadTrwrHry	40	2013-08-03 17:00:02.752607	2013-08-03 17:00:16.470492	100		0
6593	108r5t1gw7wajz4osk20byuq21	$2a$07$mL7jkrw3P34d//NA8p800.BwgqWt9jewbqynP14TSfvjQwhMcRDUO	41	2013-08-03 17:00:02.807251	2013-08-03 17:00:16.856191	100		0
6594	10nfbx9uww4kxxcd8d5jjyptkr	$2a$07$9YpjwhJQJGf7M8Qvec2Q4.gd8wJCDN6nrEOwSVPg095UQZoKMdpaK	42	2013-08-03 17:00:02.877148	2013-08-03 17:00:17.21814	100		0
6596	10sxq3brk574grn7k0i5b42zqy	$2a$07$N6WYt48d.PhmvbCWZABguuWONciZo8mqEgtijYvvPFMGz4g.svBCi	44	2013-08-03 17:00:03.01377	2013-08-03 17:00:17.784754	100		0
6597	10ort0o4j2rmnf1w5s3fswlhvg	$2a$07$.FoK1aBjq8CCV83smz4anOj2rvgN511laM.sj.WN1klK0MybTBmlK	45	2013-08-03 17:00:03.083668	2013-08-03 17:00:18.028684	100		0
6598	10wiocsi6me121rqrpm51up35r	$2a$07$XsbyzFvU1w1MhqyjbGmd6.eaiDIXB2bM5OZsmbZC4ZTsxNN/YiuGO	46	2013-08-03 17:00:03.141537	2013-08-03 17:00:18.215235	100		0
6599	10s3i7suy1rogt2khh170vxfr1	$2a$07$l3Qu294UswRU6lYvDC9lrOtJHiLIaezYgDvr6rPDsU5Kooj6Yb8Tq	47	2013-08-03 17:00:03.208037	2013-08-03 17:00:18.528299	100		0
6600	10s8qst61polv5n8refmr1pva9	$2a$07$SsbVRSAGmAzUBW3XNcmPpes6ATt7wzHtvils9UknBu0bX.ZfOyQGq	48	2013-08-03 17:00:03.322124	2013-08-03 17:00:18.696095	100		0
6601	10kl6bi859kr1hg8pwwtg0b43q	$2a$07$sZuiy//Ff5SMN3m.vw5v/uk2nAHbR6KHG.eg0dJI8OzGoVKiJ2A9e	49	2013-08-03 17:00:03.412598	2013-08-03 17:00:18.858741	100		0
6602	105ix3locbbv8q09ejyiwj2ely	$2a$07$U2rxRTvAxcyAJ/IvqSBXVO/Fiw/558nY10V07GOmt7L31g/0YQFfS	50	2013-08-03 17:00:03.459786	2013-08-03 17:00:18.977348	100		0
6603	10oo7vy33nv7hi29xqvp3mgb45	$2a$07$D.zEd/9l9f8wOUfi.SZQr.tB3UE0wU/KedaRwVrgaQVZ5JsOsHL2y	51	2013-08-03 17:00:03.519445	2013-08-03 17:00:19.100281	100		0
6604	10xjif4mymkreuwfxm253ca3ty	$2a$07$jJH7uoOp/yMeO66gVxZxUekg7sQkMZSc4wUBy4.PMwy8gY1azl8gm	52	2013-08-03 17:00:03.580658	2013-08-03 17:00:19.279436	100		0
6605	10e7du3rj8uulca33a7wf3s28d	$2a$07$nfq/U6T81DlgAJRJHM3VNOsiz4AtqRoHwplABzI2.JmrTYNTo70LO	53	2013-08-03 17:00:03.635358	2013-08-03 17:00:19.473103	100		0
6606	10gh7mxtqol5rb3xlm06zhk2oi	$2a$07$SI5w7j/2/0FtRfCyA1QxwO6/25UcUep2Wz5yFAnCIzajIzp8xUVBm	54	2013-08-03 17:00:03.689578	2013-08-03 17:00:19.624087	100		0
6607	103qhzec9rtxf8seyst6m28sxw	$2a$07$pSjm03CIZMYFyJSUNhyqE.H.PW5qJwgWgx0dLyk1wnpe/0fwwasdW	55	2013-08-03 17:00:03.751213	2013-08-03 17:00:19.869987	100		0
6608	105c31t7ziw4247ib52xbp4ad3	$2a$07$MUo9Tbi64Xcj/7CZxHApM.E1VzfUl4G0Ilt0RMqrPSiOxbWpZJRnS	56	2013-08-03 17:00:03.805963	2013-08-03 17:00:20.052445	100		0
6609	101r7s6xx88ngpuy8095kleasq	$2a$07$YqDX4M1VCVYVS7RpPj/Q1u56JNE7CdSgYS5FVn6EdfYfUbAri.vz.	57	2013-08-03 17:00:03.859164	2013-08-03 17:00:20.267534	100		0
6610	10en9vh5dc8pbtv6zg2ethi4ws	$2a$07$XBbmUpf0upMc.LRpLeyfxeG9kfsaL4fUkD8b3mLo8Uf9lkBRc.Z76	58	2013-08-03 17:00:03.908735	2013-08-03 17:00:21.11966	100		0
6611	10hh0eiufje608qrp4wxwmk4yl	$2a$07$jMvR1FiKabAQZMor1JAiWO5YBcAZ2NgOU.BvGwq.TiDfDoIJvX6Rm	59	2013-08-03 17:00:03.971722	2013-08-03 17:00:22.13435	100		0
6612	10gwh0io7sr04a899cp9os19uz	$2a$07$b3Mwbfy6d8LvU51lrGbjj.0GB4.5IjSnkFpkPjD2RTw9IpYRCLVqK	60	2013-08-03 17:00:04.070737	2013-08-03 17:00:22.938358	100		0
6613	100awp6asd2sfozx9czqnch8du	$2a$07$1y9LGv6bYleG3.2rFJ47AehZlj8BGhqpyG1GCokEtiNbbWhkYtWnK	61	2013-08-03 17:00:04.134581	2013-08-03 17:00:25.908824	100		0
6614	10rwflf6o72trqusi72rw5tzg0	$2a$07$UeV4ku/arutZApKEtCXqb.utiXRJjTDtG2oSaZRngMQOpp4qv72J2	62	2013-08-03 17:00:04.189675	2013-08-03 17:00:29.063737	100		0
92	102yxanfo2hvg8oflfxi305kpc	$2a$07$1NFcCxlMzQaHMxpMHreHMez9Sy84Xe.nwek1rHsf9BBjE2RZbFAVO	29	2013-08-02 17:15:00.708284	2013-08-02 17:15:12.106497	2		0
93	102dcruxoy5ybs4sn1iihtezn0	$2a$07$HNJVtx3V8vKrGcYcQw29huyb7aLGW627AJTVlGYKUxdRMMv3bP1oS	30	2013-08-02 17:15:00.729725	2013-08-02 17:15:12.444937	2		0
94	10jd6i0yqv28lfxaq3uy8bd56n	$2a$07$FRcbat4jA7PJ/BMBQcmbceQsPIi/LzICwPzFfKdLqHPMYRvBct3z6	31	2013-08-02 17:15:00.751153	2013-08-02 17:15:12.790528	2		0
95	102q8r9xgzluth806b9el0u8he	$2a$07$wRpptTeDnvWWZMFUs8lCLeIzk9vMJsYYh8HgkCUNxHbYN6Fgta5X2	32	2013-08-02 17:15:00.772558	2013-08-02 17:15:13.153322	2		0
96	10u4hsg9nvhj1voizqueoqf363	$2a$07$fF7gnLEaAfkwl6bcCFjkW.l5bzVk68/7YHwBEaucR29lUFTO5mQEC	33	2013-08-02 17:15:00.793885	2013-08-02 17:15:13.519461	2		0
97	10m9hcetjkm77wfo4zifc40xom	$2a$07$ikLQfZMpJQdm8sGOZyLjwOSZtCnO/vme0uGr.DqjErXIySYENTgh2	34	2013-08-02 17:15:00.815392	2013-08-02 17:15:13.739371	2		0
98	10rkc1i7wbg3ixgprz1otp11ba	$2a$07$3C6EVmYLnPOK9HscxGvl9O.Hui9IDCEGo8O/weU6oobAMJnanc5w2	35	2013-08-02 17:15:00.836976	2013-08-02 17:15:13.897846	2		0
99	10vk81oejj2okgnc6wb3vmj105	$2a$07$7As3IyTBuTyXxjqI5c5hkuQY.UjAtNR8oLvT1DKAlB/gIYXpY7JaC	36	2013-08-02 17:15:00.858444	2013-08-02 17:15:14.070015	2		0
100	10u9qzbezilcdmtj73pmdor4s9	$2a$07$BzHVnP4VZP0w7LPXa5gdBON71Qw05WnVI7rGSNQbAZhZBmUGaHLt6	37	2013-08-02 17:15:00.879985	2013-08-02 17:15:14.436519	2		0
101	10ntbj3qprpfqal3xv7wj4jqwr	$2a$07$hXBr7yG.MkFCphgjHbelueLDCzrKn27/zPc/TXUqho6Vfeicwgp4W	38	2013-08-02 17:15:00.901556	2013-08-02 17:15:15.023407	2		0
102	10k01jjfu8dtqit56jip4o6f1z	$2a$07$JBGOW6/Fzax8v3olJnW64Oc4gyFg6xhjGv5Ebhuqtn2NUfOYtNsMi	39	2013-08-02 17:15:00.922971	2013-08-02 17:15:15.378271	2		0
103	100vs3d5q1s0arftrczedtan21	$2a$07$qRC3GpoQy4d6H/LyklFiGuw17O/KWKSRTnz.lMlQppLzI8bGVIBqi	40	2013-08-02 17:15:00.944448	2013-08-02 17:15:15.731331	2		0
104	10s3zj31sho0cydzqoyv7j4lqg	$2a$07$5Qr8013rdjeRpTmSxIQz0OZ/RLi0sIPmnJW2VxQqfwKzrvdNWzeCe	41	2013-08-02 17:15:00.965778	2013-08-02 17:15:16.09356	2		0
105	10r1imcb4o8p8feimb91t1266q	$2a$07$XgGc2ZAqqWKbc5rTq.bMdeHwABj/7OF5Ki4YQVmMXhVMlCkvpZNtm	42	2013-08-02 17:15:00.987096	2013-08-02 17:15:16.438112	2		0
106	107m1k2d1a6pi61o3099xpcjdm	$2a$07$orIoZdJloJCT8JNsjr2A1e6AlXYlbM./UB7Z4Z/erzMrkHk2fwdFy	43	2013-08-02 17:15:01.009278	2013-08-02 17:15:16.80094	2		0
107	10ibddf7qnvvksg3rifu5yxy6a	$2a$07$5m1P4hWFfRjkeP.GKuZk8uFdSOpQ0V40dO8rvHMDMQxbtJYvxgqwa	44	2013-08-02 17:15:01.033295	2013-08-02 17:15:17.154845	2		0
108	100z0ulf5vlkphzc02g275bhbb	$2a$07$RF6y6M9XkMvIJsouPt8sTOwuXk6GxVhzWAM359znSsvzRFYW5tzoS	45	2013-08-02 17:15:01.055053	2013-08-02 17:15:17.520131	2		0
109	10s7qlnpw6ya4jq419ywb8kxtz	$2a$07$QLBdtKvnMAscOG9REtcJLuX.2KyEnPdtgr6PTO3XMOGa5NIYzi8/m	46	2013-08-02 17:15:01.077152	2013-08-02 17:15:17.893499	2		0
110	108cbl4kff3j84bjt67rlskqv4	$2a$07$lK5chHHq.m.kN5mYO0Sxaeb0itD733wojpFLZlW9XfyaW5juHq59G	47	2013-08-02 17:15:01.1001	2013-08-02 17:15:18.255488	2		0
111	108mwiu1a78fbn87076xfq1xvx	$2a$07$YYlDtFXgde36ufw52GqpLeDzn7D2MCF1GhOctqqBNNO7fvlh6paGG	48	2013-08-02 17:15:01.121637	2013-08-02 17:15:18.572303	2		0
112	103gnjkyyt08k2gpglug8nizsa	$2a$07$XHuZ1Fj/qskcEE7ixQeuE.5at6of5vP4CsTEyN8Gxvc4z8QtBKneW	49	2013-08-02 17:15:01.143517	2013-08-02 17:15:18.926801	2		0
113	10t3der10qo1zunudztt6g80ix	$2a$07$ow6YY7xhDi8rZ2jvdBwkJON1FCdNBjqiEeL0Owk4nFTbJ8R4YU2p2	50	2013-08-02 17:15:01.164997	2013-08-02 17:15:19.257245	2		0
114	101iphspaibu31eokm2ceu9zr5	$2a$07$/eRl4X9IBOg9F9yF81PFNuxTBzCDx0MpABO9quNmTubEtWGP/fWRK	51	2013-08-02 17:15:01.186573	2013-08-02 17:15:19.583998	2		0
115	10oexnelzwzmb3t1m35qfjre16	$2a$07$ldAboTtJ3lml9V3hOKNPaeBEL8It90OtnYagKlp9zVmbVGFC5x4B2	52	2013-08-02 17:15:01.207921	2013-08-02 17:15:19.912608	2		0
116	10jwkhfum1037o57hkyhmh3u2m	$2a$07$Ee/IZouzE73GGsgeIZFNGujv4.zTotAGBNv1y1mQfjlbhRBkzF7f6	53	2013-08-02 17:15:01.230945	2013-08-02 17:15:20.271767	2		0
117	10yn1c9ui250jv0fc63hptsow1	$2a$07$vHSO2ZjMpbDbbQdu/MYgyujrckBMyfMMshC79U4nIe.pQwBdu7Bbu	54	2013-08-02 17:15:01.253348	2013-08-02 17:15:20.628991	2		0
118	10zsmfqn2xlq0oluu2jcbcxkyi	$2a$07$1YNQKgtQ6xx1uqB8bdpRl.4.HYOxsyVEoikdU3ceq9W.ZXLk24yIi	55	2013-08-02 17:15:01.274925	2013-08-02 17:15:20.975848	2		0
119	10wj48bbbqhjos239tr031sukj	$2a$07$fshjpt53EVkZvEuGUw4/AOh.6KrnfSHzhnpxfrWoESLnrdby70Moa	56	2013-08-02 17:15:01.296381	2013-08-02 17:15:21.319216	2		0
120	10wfcgne2rp3bcou768q2fi5mo	$2a$07$0ph/DW.AZnDcpSZApYJBSu6vNgTgWgfwt3fb1wbyogGPMI8GE3RKW	57	2013-08-02 17:15:01.317879	2013-08-02 17:15:21.6749	2		0
121	10z0kj13hjo1q7je365pm7we01	$2a$07$5zFZk9ZGdlU86bPmiub4leBc1jnX6XJabsiE9OynP9faL5Rn0/9uC	58	2013-08-02 17:15:01.339148	2013-08-02 17:15:22.043326	2		0
122	10ij7b3l7ihejsci6rtsq6s8j6	$2a$07$gE41D0KFLSc6esghH2BvR.XmE98ZNb5zQbx5VGvTeXeutOrwiigAO	59	2013-08-02 17:15:01.360419	2013-08-02 17:15:22.407331	2		0
123	10e9xg5ykmxg93qwo1oara1t3r	$2a$07$T8obORa97AzRAT6B9aerSOHpba6xwFM41zvd.SFRml05sxKPBHcua	60	2013-08-02 17:15:01.381747	2013-08-02 17:15:22.762395	2		0
124	104ggs629bnmx2pflkgnw9nmuz	$2a$07$07jt3su3YEcGI3GyDJ4nN.j6iZpvexGQBj1wFyKOTHGoYq97Qkb/6	61	2013-08-02 17:15:01.403112	2013-08-02 17:15:25.447219	2		0
125	109be8mr906bx7kd5jx56eb5oi	$2a$07$fM/Dx.2vmng/RgVOHb3th.bi0H8z0uS8xahwTiKVqOPvGeilM9E0a	62	2013-08-02 17:15:01.424445	2013-08-02 17:15:28.431582	2		0
126	10zt66kpvtd1h0fyywd79su1yg	$2a$07$CssYSSlodN3ZmaXWZzsEvOfX99VuezQRlurfDt4IUOQB/zqnBhKva	63	2013-08-02 17:15:01.445934	2013-08-02 17:15:31.748263	2		0
10940	103dxswyk9fiemu4dkjsnhvmjv	$2a$07$TAs6OMX7AqIbDN1JLbvF0.0DZ0L44uYfu8u9GZm9sQE3QaAeKA8D6	62	2013-08-03 20:21:40.369455	2013-08-03 20:22:03.058303	142		0
190	10xy2r606yjt92gsw6x0013t24	$2a$07$fgApFTFLBU1sLpMz8Eb82Om9/pD10q7noj142UCbMxi4T170ESkXO	1	2013-08-02 17:25:00.157071	2013-08-02 17:25:01.819552	4		0
191	10vxvf18uwszwgx2eb31aysn1c	$2a$07$D.1GzxqqPhFdCqPgxDkclOAPgLn.aj1a/XFO.8XoOO5g0VzBeAwMO	2	2013-08-02 17:25:00.183432	2013-08-02 17:25:01.961968	4		0
192	10fn7gq910dahlungw6z8xt1k5	$2a$07$QfQ/UtllRw7zunusmKi8pucAQ/xHFXvAvX745iczQYat7t/UJROge	3	2013-08-02 17:25:00.206678	2013-08-02 17:25:02.102235	4		0
193	10jyyybhdzvwnugyksbs86e6nj	$2a$07$JjtC9uvH3lmv5iTEwGKjgeOQdtYbOmvDs0t7xMXdrCHz.Zj.CYOpa	4	2013-08-02 17:25:00.229472	2013-08-02 17:25:02.490369	4		0
194	10zb8ul05gww8kpvhrrtnl9y6j	$2a$07$.0zfFATALJPZYmAC86Kpn.0/iOrg9Db28ZkelV/B6IOVtGz6Oz7Fi	5	2013-08-02 17:25:00.251701	2013-08-02 17:25:02.626803	4		0
195	10enys1d684ax268xxd1jn5jwn	$2a$07$kaoUT3ld4rHsAEfyg5DjGOGs/FercbkX68e50CKV9KLhZskSn8tEy	6	2013-08-02 17:25:00.273815	2013-08-02 17:25:02.812506	4		0
196	105qppp06qui6d0wy7bihiumab	$2a$07$LL8CmrpVU3jKARa6HK5I.et8p26tJe80us/vyn9/tBYWbRTMcnF2e	7	2013-08-02 17:25:00.297008	2013-08-02 17:25:03.180339	4		0
197	10g7neea3094tyag4t1u9e52i5	$2a$07$xL1slsKu3FbPrTWXZasSzeBVVlXGE73cA/g2qozpbdUAOiQ8CxOwm	8	2013-08-02 17:25:00.323444	2013-08-02 17:25:03.531931	4		0
198	104w87pa6ykkv9uc8xcn0vuj2a	$2a$07$J2vcZc.YhCcy0cv3NX3KT.IO/u0ydxMKQW1IKDBIwajpQs0MRmeYi	9	2013-08-02 17:25:00.347074	2013-08-02 17:25:03.879468	4		0
199	10k1enae60ray2axxh416xijby	$2a$07$xyDMRp9I1rCfvjVz3ork0uagTLe3ELx6J8Vfg7IVAbEFHdbvrSIgm	10	2013-08-02 17:25:00.371176	2013-08-02 17:25:04.217097	4		0
200	102ssdks2hes2jlythooz0or5d	$2a$07$OKRvOB7gOAGfcTmr9kQRxOR3ppkwhN6zLvzQy0SSkSa8gAf/vFPz2	11	2013-08-02 17:25:00.396732	2013-08-02 17:25:04.541122	4		0
201	104otyu1ov7ye3hvd9rif7kb0z	$2a$07$vzC6ZmFlhnqX77XJ36SyPeLnnGV1zia29KdEhtjPxm.8EcF3/Wc1.	12	2013-08-02 17:25:00.420162	2013-08-02 17:25:04.879002	4		0
202	104fk17y3voua422iml8ksmvmh	$2a$07$V1iMm.G7ptwHr6mu3tNGiOiA9awu896jD6RzzSn4B.oNrVfrRH8DK	13	2013-08-02 17:25:00.443265	2013-08-02 17:25:05.24529	4		0
203	10aox7lkoshqbzwtrm4lc909r6	$2a$07$Wf9qKil7lyK1g4GT4iQwGubNsLo8Ez3pGIhtCfQSV5piR.MobTUs.	14	2013-08-02 17:25:00.466147	2013-08-02 17:25:05.614456	4		0
204	109nn5bqjrfj0jmzqeqomyb3cx	$2a$07$VEXFs3uX42gifXy.poA/j.FBkMWHe5GJyAk5zj4hRwJ8gx40DS7b.	15	2013-08-02 17:25:00.489004	2013-08-02 17:25:05.974052	4		0
205	102niquj0g2t3lziwxbrcjhl6x	$2a$07$uxXEYqIyu/RG1r08bWgS..WsIDBbYA2ej49mtor.bCURtJbgT8Xlq	16	2013-08-02 17:25:00.512267	2013-08-02 17:25:06.319961	4		0
206	10uidx4k1usvwkctdva0i839bm	$2a$07$eA5iBpR2vFEXvEZZs/G5TOvil.o2pTN1JyMYteZKO82b0enHIz8ty	17	2013-08-02 17:25:00.53517	2013-08-02 17:25:06.654671	4		0
207	104an6myqwnj65klnc4dc6iyy4	$2a$07$pwvqtH9Oxyp19i.eaOzjGOMnZiUEnhJptq/UknamhonA4qs1msXnW	18	2013-08-02 17:25:00.557529	2013-08-02 17:25:07.021655	4		0
208	106xejzjgmdlp6e7vu7mv97j3d	$2a$07$kKaOWOkw4LKHzqDAoUN1X.wzTjEW6.wslG.0nDXpCtjZBEGr14QgC	19	2013-08-02 17:25:00.579568	2013-08-02 17:25:07.374573	4		0
209	1091r79jpj9ku6gj33hr3duuk6	$2a$07$gaJRxcRX2m6AlXrcs2mubu9zNK9LTUXvEyVupNqDhIHIbEZ39CvzO	20	2013-08-02 17:25:00.601211	2013-08-02 17:25:07.722666	4		0
210	10q8ar3th1u7zq7sni9uuwr31j	$2a$07$ieV4y5F5XRNqMMvbjrrNvuKtZDh1RDBqrn5mYQA9HvcpfD8L3lPn.	21	2013-08-02 17:25:00.622807	2013-08-02 17:25:08.075596	4		0
211	10c896p71bmrb97mk8pm7f6wzj	$2a$07$k/nDnUXwjYioFkMKYzyQRuXUbTMyS1ChambgiklAIVQDdXkYbgtpG	22	2013-08-02 17:25:00.648709	2013-08-02 17:25:08.443846	4		0
212	10c5t4tcixcah1o1vcnhh3qc3c	$2a$07$iCZkq/XzljrV2NwYbpH3l.o7hfCterkBMgj/ecbvYfEojc6FzBoj6	23	2013-08-02 17:25:00.672913	2013-08-02 17:25:08.774439	4		0
213	10rsdxgnkckr7b23x4rix0kxsv	$2a$07$TUPHvr190TGHnCIMNXVhEeiH0NIoAeAV.4J3zcX2HpE.sFI073Nzu	24	2013-08-02 17:25:00.698588	2013-08-02 17:25:09.113783	4		0
214	10vhjw0szn1h97tn7xpzi303x7	$2a$07$FhmBZOmtnvzhUIojt8NkFu3jyYzNPb38D.R6189RrRo2UN/qEgDlG	25	2013-08-02 17:25:00.732618	2013-08-02 17:25:09.294597	4		0
215	104gvrkaylny5z2i3wny0s1183	$2a$07$yFBo/G3/CMu/FM.wEMk9suOev16bNgnmh6Q.UWf8WLS716UTt2r0q	26	2013-08-02 17:25:00.762251	2013-08-02 17:25:09.411457	4		0
216	1072rfowxsk2sxned0yyb1a76d	$2a$07$be5vrGQBnO0XFX.RLx7YH.mJG0fO6b8O2VuV2w.H4crOvGo2OIsAW	27	2013-08-02 17:25:00.793487	2013-08-02 17:25:09.618576	4		0
217	103u40kb65ei1w4wsfbq1soztt	$2a$07$kbxFCQR2TNPKdgwBaNkla.BbZ4p1RMu61xpSX4AYo5hs75nkbTeWS	28	2013-08-02 17:25:00.816704	2013-08-02 17:25:09.960036	4		0
218	10h9mm6l01ruc6z0xr0za9w8e3	$2a$07$iIP2WPI9g69qaTlf/YpFU.Kc6klsFPyw7fYIJF1yybOwE9dRVboCK	29	2013-08-02 17:25:00.839934	2013-08-02 17:25:10.30857	4		0
219	10gl56ngn1hsygiekcx5jhe8us	$2a$07$aln9/NQzyqTwDPfK3JM5a.YHCHecXi7a8gmyck4YSqUzW1sRazkUi	30	2013-08-02 17:25:00.863408	2013-08-02 17:25:10.891152	4		0
220	10lacmasecr0s9pc95ayjsc9el	$2a$07$je.3sWcreRGEmq53rE9hK.p/dl4S4HULwYvjueRldSl29E1tdFa/K	31	2013-08-02 17:25:00.887112	2013-08-02 17:25:11.248	4		0
221	10a983wqnqx7gf68mmeyg4735v	$2a$07$uR1qrVcSO6.7ro6WU3sKkuBnGk0SmsNEC6Nt3dEJWoqHy4clLXXF6	32	2013-08-02 17:25:00.90982	2013-08-02 17:25:11.610513	4		0
222	10yq8hvxm4dal5dh4qn8is8sxj	$2a$07$lhSW80hNlZn3sKRhC86WCenNeU7ioptzNS3svm8fOrurnkzrkWgt6	33	2013-08-02 17:25:00.931707	2013-08-02 17:25:11.963619	4		0
223	104jkskbx417810f884tk6ovd3	$2a$07$43dDo7ep8vNfGl3Uupr2oOlzJt50cUWjhTEbJMEZXjoqvjeROyN0m	34	2013-08-02 17:25:00.953566	2013-08-02 17:25:12.183423	4		0
224	10q2v566aagshe6tijarl045r8	$2a$07$U82WwYCBApw4Ow2fivLMa.xipQ04IurxWv9H4JnIqap4ZvZjlZKbq	35	2013-08-02 17:25:00.975859	2013-08-02 17:25:12.312862	4		0
225	10z0gbvffw5935ymadu8yfaaxc	$2a$07$wn92X0jJFRKhKmGGWfUbTudkZsWKblEnFpHUQ0AZ6h.bLbiNYbb7K	36	2013-08-02 17:25:00.997481	2013-08-02 17:25:12.456407	4		0
226	10vguqcq5npsywdz7c2lh74ypy	$2a$07$O0E1suhRaXNZsecivnj1XujNQarux/iJ2Frnoyx.TQKBgpiLd1y1S	37	2013-08-02 17:25:01.020481	2013-08-02 17:25:12.800293	4		0
227	10mm64tbmtzihjiif1twdeu5v6	$2a$07$1Lpj1asqo1aUQz4xXpIuAOr72VE/T8RuoL/HgKXFbidA7uya22uNi	38	2013-08-02 17:25:01.042158	2013-08-02 17:25:13.127697	4		0
228	10xp6wq8h77bz1nvqbvgrq2kk4	$2a$07$ElAaVyBBrkeEIkwLOQp.JOFTI0NZzsHKof8iRJVmiyP/u4T3JWsGe	39	2013-08-02 17:25:01.063871	2013-08-02 17:25:13.471734	4		0
229	10m6swoawmsu4ojugmxcinoydq	$2a$07$TPglf7erjxHHx6GWk0u0E.81giL5X3HW8HZRM2gQH0duEVWQs7wg6	40	2013-08-02 17:25:01.085403	2013-08-02 17:25:13.841775	4		0
230	10iy0wanqp2hhdlhqpjij8a56w	$2a$07$t6JKl6tBznv.QfUol8Ys.uhQnMP4FWvz6ZHQkXIOLOVYhYiDwUrKy	41	2013-08-02 17:25:01.106982	2013-08-02 17:25:14.197111	4		0
231	109osxs0gmqdjfdqd4ny3vkrgz	$2a$07$GC7n1PNi/NCogurJwfe7/uLVGKPooqs8YfOncgXwNjLvhYDc7Y9Yi	42	2013-08-02 17:25:01.135623	2013-08-02 17:25:14.567376	4		0
232	10go2zwadh3x7cohjy8r59m8de	$2a$07$N.05elWdYtIPW3Xh3PAH5OD9uCdy5KXEmEZRzh6j1KfAUGbHIvcdW	43	2013-08-02 17:25:01.169524	2013-08-02 17:25:14.931689	4		0
233	10bpgfqowm3vaomdfvf0yh5qbf	$2a$07$oQc9N2eQc.T6LgftDEaXM.EO68fjJEqw3zmP6E6nIY2oJQ/OumDk.	44	2013-08-02 17:25:01.191954	2013-08-02 17:25:15.295125	4		0
234	10ho9emgavvhacps2lqsisu2ja	$2a$07$tWAWhIGgWGFHoumUP5CkcukrlRDaMQeBAyTTsERy.1L4vTpfCqAau	45	2013-08-02 17:25:01.213496	2013-08-02 17:25:15.654802	4		0
235	10wxvhr7ngxwf9fasirbt2naps	$2a$07$cdw6Opl4L4FHLHX2.jI5L.5/GPOcZMdnE04jFRkl3Joz7KJk8uQw2	46	2013-08-02 17:25:01.236103	2013-08-02 17:25:16.018763	4		0
236	10i7qv2sxokj2yo6i27sbi73g5	$2a$07$rnjyH8hJH6tZWmtL3bOY8eSxeb9Pc.QIwteT6UGS5.MpW.3cJpzEq	47	2013-08-02 17:25:01.257736	2013-08-02 17:25:16.385943	4		0
237	10jwsk5y8gakkgjep5ki24romf	$2a$07$2QxPBgVBhojOmtPgzuA0M.mQg5KK9HNI3fUbLGNrVYEYRZVHxYcUG	48	2013-08-02 17:25:01.279582	2013-08-02 17:25:16.750535	4		0
238	101v3e2kwewl9rc84m9jn79dtc	$2a$07$HcTRFFOOOOTdJbjE95j7DuSjYFKiRK88t0xPOlFkPw9HKK.S.Npz6	49	2013-08-02 17:25:01.301048	2013-08-02 17:25:17.113243	4		0
239	10t7bxnkm9geamdywblitimuyv	$2a$07$lQMfOLJfzzxI8txYY2YtMO2bFY74Xn.nR27iXaSDtPdjq51nuyTNC	50	2013-08-02 17:25:01.322465	2013-08-02 17:25:17.481517	4		0
240	10jsjpu0b92t3fo83x4pn4bx71	$2a$07$nB036LHieICACQCWdj8buO5y0pYK9mFUyYLc50x7Jhht5W2pE55GS	51	2013-08-02 17:25:01.343938	2013-08-02 17:25:17.845441	4		0
241	1087ldsrzx39rlvd4bpwv8m98i	$2a$07$fbWGFJlDd5oAFdzoZlM5rev5NXzMAlwxZ/8xjg.Z0sQ.xsioVHA.q	52	2013-08-02 17:25:01.367469	2013-08-02 17:25:18.205876	4		0
242	10m0zqagq1x0wrf9m17h70n8pv	$2a$07$s1h/oxMhMJB5BtRMP81tf.GowAonuPM1EytlfPw/sn.O2YQHyMinS	53	2013-08-02 17:25:01.390118	2013-08-02 17:25:18.572356	4		0
243	106hh7avc9h5d4vqiljd6glk7k	$2a$07$mHQj4mLuSkPQ9.zyM3QLbOQbuiECB7C1qSASXkKguEptYMKb75Kxm	54	2013-08-02 17:25:01.411759	2013-08-02 17:25:18.9366	4		0
244	105efkwijrki9vaqyct8vvk9k0	$2a$07$BhUB8ZNg8AFepkzdyqKvSuuideQUhqMb5q/nNAMyJuesBUyurv2Gy	55	2013-08-02 17:25:01.433189	2013-08-02 17:25:19.300499	4		0
245	10bcwhz357yvr0ystjk3hepyvu	$2a$07$TNQYHFF30zP/nL0lrdt2XulGIf86r9Rn2aX2OVx/Q/fXaIQD3bmTO	56	2013-08-02 17:25:01.454603	2013-08-02 17:25:19.873637	4		0
246	103wku2tvmlz21c1xubr8rid6y	$2a$07$i11Ul3Bz8DCKsTlEoDUg6u1eUCG/FIGocCPHGJksLWdu6uT4/3nwK	57	2013-08-02 17:25:01.475997	2013-08-02 17:25:20.256765	4		0
247	10bq1gofqpi85xnnmhj4izf2wo	$2a$07$JfZAMg7j4j4Z11orjFRfueDVjvxBghvj2JvHCc3b59tcaaCA6n1xi	58	2013-08-02 17:25:01.497234	2013-08-02 17:25:20.623435	4		0
248	10fcjovzo37qqr4hw6qpe7ogoo	$2a$07$TKHv5RbLf3VQrArxTeCA3eHEuDz5DWvaZYifAjP8/F01sQSUtvl9.	59	2013-08-02 17:25:01.519827	2013-08-02 17:25:20.979447	4		0
249	10kxboizse51illsku9zhulwa0	$2a$07$yyCo.dg062GbfCC1lP4NE.j72skj7vCWKiWJx7vcQ4RQGFY505Hfe	60	2013-08-02 17:25:01.545293	2013-08-02 17:25:21.35308	4		0
250	103lzfgbwege4et7c1kifih50g	$2a$07$kQKXU9J3E9IRtQt4KMHf/exzAMQRmq..fBxcCBHx.Wz2sdmYl2aLC	61	2013-08-02 17:25:01.569358	2013-08-02 17:25:24.119506	4		0
251	10oqo4woanj4n1h0en0qy17bw3	$2a$07$PlUWkC4KZEggZQAWnsqLIObslMfoXP4zUkSrfIa5nHqbuV7.1k5iy	62	2013-08-02 17:25:01.592151	2013-08-02 17:25:27.420749	4		0
127	10fxoxbcb9fsbwnijhwbl49ip2	$2a$07$7kugMNPe5odBjwc1ZFDrfuFL4mOo8I.JlxkusQR.KrA5RpFy/ZFru	1	2013-08-02 17:20:00.164609	2013-08-02 17:20:01.826944	3		0
128	106h6ngt7rkl7pku2dkqq4opf5	$2a$07$gu.sl7jfh0OqJJTm5PsC0ObETqVjDPwykCYVbfEFX.w2WppCLBz7i	2	2013-08-02 17:20:00.18866	2013-08-02 17:20:02.009661	3		0
129	10fmduu8hip2qpmtsrwx17dvhu	$2a$07$LurI/RfIOSvD.NOQxXa3VOLvkZq1l0hfqLjCzdYzvZta/zfaN0SFS	3	2013-08-02 17:20:00.210086	2013-08-02 17:20:02.305781	3		0
130	10ezed1t9sk4807ntuud4r2gd3	$2a$07$989tZvrWuUbl4lKlCIJmM.quSszaSo4ZWUKOq3GAhyB0.ehwj/wh.	4	2013-08-02 17:20:00.231482	2013-08-02 17:20:02.67275	3		0
131	10uvjqikybs8e7rcl2kuh7l5w9	$2a$07$Vi0IvrVEBNA6c.Sv88Ggae1Fi8qOoIhTs.HtmIVQinC049QBiJ5um	5	2013-08-02 17:20:00.253178	2013-08-02 17:20:03.044251	3		0
132	10xpzjnb5aysxtalfi5yq8ew7s	$2a$07$c4D97SLJmyxCW1l49rsz4ehT7aBkd3zKq6cGIP8gUZHMC4CBlj7EW	6	2013-08-02 17:20:00.274506	2013-08-02 17:20:03.374922	3		0
133	10znuy5dmoqmx7uo8bnrpxxsj0	$2a$07$vGNmvJcB.KS6q46Awwtx2uTMIJFr4D0zzJlHfVZK0WTKal9oFsp9e	7	2013-08-02 17:20:00.296468	2013-08-02 17:20:03.707046	3		0
134	10ma0jzg4tb6v0ruo98sdu8nhf	$2a$07$2F4oPBpzV946C8/b0UO4ouA2bwbeX/dlm34NW5/NIlbUf/heFHt0K	8	2013-08-02 17:20:00.317928	2013-08-02 17:20:04.039053	3		0
135	10ipmbe73zoyzmea7qhbj00mxh	$2a$07$NVGSxBXXpXIoh2cMgrzeveXY0kvSF/t6yDWdoalAo0p6glV9aFHyG	9	2013-08-02 17:20:00.33985	2013-08-02 17:20:04.380877	3		0
136	10kcfi92w3ti8aewc998jc1bpn	$2a$07$sDacy17774KUzNNYJf0yje/fu.a7Kzi8lL7LoYQcEm8Z7A4qhDuQW	10	2013-08-02 17:20:00.361291	2013-08-02 17:20:04.622865	3		0
137	10srd5omuytti560qnyi1fs7wk	$2a$07$4.QarqOp2YhIFbp4Ys6iLeGL.EAu1eVdPWOGRaTAVeO6NdXc1MVJe	11	2013-08-02 17:20:00.38255	2013-08-02 17:20:04.809096	3		0
138	10ajuxpiw43ofdm6nw1k5my3zq	$2a$07$9KS6XfhVkGUheSAb/Hr79O67Pj7XgqgZkYnU88/BQPQPkwCxiuJSu	12	2013-08-02 17:20:00.403906	2013-08-02 17:20:05.096729	3		0
139	10yxv0v6ttwpwgbsd2plslsqkp	$2a$07$XSCwQbx8vPad5jcATdsjzuVAsSyp/1FXWcpMmVH7GBgfcfXpXwGYO	13	2013-08-02 17:20:00.425422	2013-08-02 17:20:05.313515	3		0
140	10ork7l0dgpzfbcfphafqp2edv	$2a$07$WqNV45YULGNOz.0oqjz7j.QvuYEyN4saQ/1vUrHZlWNEO9KPQjro2	14	2013-08-02 17:20:00.446864	2013-08-02 17:20:05.496511	3		0
141	10w0hc60p016uyb4cg5tvut6fp	$2a$07$//JMRPJc2aii/bIe.c0Sl.kG29O3OsDXOQj.wYRZ5HSI5cUVNl2fy	15	2013-08-02 17:20:00.468141	2013-08-02 17:20:05.701888	3		0
142	100sgfobvfeiwfgozx446acncc	$2a$07$.nzgPgUdhus8JM9A5bK4ROWdMfnB6xz9A74KNOYD7LaexUs70Lyfe	16	2013-08-02 17:20:00.48938	2013-08-02 17:20:05.869688	3		0
143	10j69olhx0hdm99auhybmnmre5	$2a$07$pN6/dp2GxmBuD0goTa38NOicJHzbfske9Q37C4gEjUyFwXgQAWba6	17	2013-08-02 17:20:00.511149	2013-08-02 17:20:06.059365	3		0
144	10qpbke709d82coozqeval6qfw	$2a$07$nbSXUO2Rh.IAAnW3l3X43.OLjDqBwyijLb4GL4Ytza5YgQ95vOifO	18	2013-08-02 17:20:00.532504	2013-08-02 17:20:06.232671	3		0
145	106e4b4eehbi4a0xsv7rylvzjl	$2a$07$/B3ZoBFd4viIWCsRTkw5BuEXaqVe0jnPyHxxUMHJPMx.MW2mbzQzy	19	2013-08-02 17:20:00.553962	2013-08-02 17:20:06.426428	3		0
146	1054i2coqidbnco6l3oe8fsxvl	$2a$07$l161EZuQf1ErVuV5bLrap.3GFoSexAzo0wEYbKxmmbP7SXgLiJHfG	20	2013-08-02 17:20:00.575522	2013-08-02 17:20:06.601008	3		0
147	103jeslrkwmngifglsyjlwxmus	$2a$07$8eRO6RfjXnHxlcaZgE/8J.QgRij55l9WAf0AjkkvawhPd.RhqaXhK	21	2013-08-02 17:20:00.596658	2013-08-02 17:20:06.886284	3		0
148	102pa716jsjllb3ttowtjwbfdy	$2a$07$PY4kUhW2g0vvmzLSLyeHPulzZrwVX4BfbwnYnSVitTQGR42vDuB0K	22	2013-08-02 17:20:00.61813	2013-08-02 17:20:07.159298	3		0
149	10fgm7jtp50g8buw0jtspr5sur	$2a$07$QjmtbodxYC.R/o8ljvFtG.GJy7qh/JlheXoMLOozzWaYxdNcoqmOq	23	2013-08-02 17:20:00.644384	2013-08-02 17:20:07.366892	3		0
150	10e9yuv0dk0ef4oi1in8bcbqpa	$2a$07$aP/wsjNBGeMfjJJydSUqA.NXbEPdZSJ.fhIE6MdBileZPYOIUBvXy	24	2013-08-02 17:20:00.669026	2013-08-02 17:20:07.629937	3		0
151	10jdz3hu8a51swhse9aag3yxgx	$2a$07$Bd88Lju6Omku6AVyc0j/vuxudNuUSPufT1THOJAyaXxh3TKs0Ts92	25	2013-08-02 17:20:00.690389	2013-08-02 17:20:07.978847	3		0
152	10yvmvuk7o3jor4e8qg7udfg27	$2a$07$7uv5u8Oqa1NMmqZ9oVkCAuCHJfKJ2WgxnpRZ19VSEvKztuRA/vVfi	26	2013-08-02 17:20:00.712144	2013-08-02 17:20:08.301862	3		0
153	10xm1faubiydkd5bk8x2xvepzx	$2a$07$6Pw9sOMITFhgiiuvgHD7kuqVRGS0g5EExRy8lmLcxtjBIHz2C1FKq	27	2013-08-02 17:20:00.733811	2013-08-02 17:20:08.639773	3		0
154	100zms7e8zgu3zp3i5kc5nrq4v	$2a$07$ixTnzK2mj7qvLpK4.ypeJejD4jcLoKBex1uK5rb3hTFNZaWj2NmF6	28	2013-08-02 17:20:00.755272	2013-08-02 17:20:08.976641	3		0
155	10o8hihvg32abj5uy89l7iooan	$2a$07$xapuNoYE9zHWuDSPnWBPq.rKAQOTa7D/xWEhv/MNfb5uuYEiaGQGa	29	2013-08-02 17:20:00.776592	2013-08-02 17:20:09.327197	3		0
156	104x7xkpcvopyqix2vjyv92diw	$2a$07$m3GOIPTphWbWk9jRnaBlRO9Hx4oCiFwa0owEKI5L2hN2ttdMxhag.	30	2013-08-02 17:20:00.79795	2013-08-02 17:20:09.681614	3		0
157	10lgem8h4r7m2lccc2zi8ltik7	$2a$07$YTm9P/KXxs7Z58DFfxFQO.shyHc1ncF4jaoyqic1NVq2e7fkOs1fy	31	2013-08-02 17:20:00.819385	2013-08-02 17:20:10.056642	3		0
158	10jnlqoidfnl0svs0y211eulm0	$2a$07$68aYs9sRkfZUZhnRzgLe6ONMWM0/Yf3Xy6shNEwhAfyikFk7mPDf6	32	2013-08-02 17:20:00.840949	2013-08-02 17:20:10.430709	3		0
159	109n04b43xeyhtl3akpnu85fp4	$2a$07$eJ.JIPdl2tdf5TvUF.aT1OcIXf/jOJV0fWS4EMDg0N9tD5q/qhf0e	33	2013-08-02 17:20:00.862302	2013-08-02 17:20:10.811275	3		0
160	10xhxdfztbrnh2fn33mafxascw	$2a$07$xAaQhdZn/c8CQfqRJz1hfOdXGAe8zgFos5ZCFVDQHGN76IuellMyG	34	2013-08-02 17:20:00.883527	2013-08-02 17:20:11.174747	3		0
161	10pj1zv680maoza7hb68f4jocv	$2a$07$wPwZ4ZcUvvnjOqOacizTdOsNhewqLCOR4ZcHaHlMDGyBzHjaC0i9O	35	2013-08-02 17:20:00.904762	2013-08-02 17:20:11.540305	3		0
162	100pp5ed4wnm0c97d3ik5x451f	$2a$07$tE.bcyrYGNeCaTs.LU7yPOLKTuukNkE7rfTHKIdOmTanxfnOnsPPu	36	2013-08-02 17:20:00.92595	2013-08-02 17:20:11.904702	3		0
163	10r9n3kursqgz7k8djxboexw2e	$2a$07$3I1xMojPb7q0ic7WGGIDuujkS6WIFv4iUtqPifBnAdcIQJ4MfAfq6	37	2013-08-02 17:20:00.947206	2013-08-02 17:20:12.270775	3		0
164	10jyeogtfk4d7xt7v24hawj7c9	$2a$07$L5yqk7ZpyihQFdGMKl8vNOZz.ejAb0i1L7gVutiJo5JYnvr78HDk6	38	2013-08-02 17:20:00.968541	2013-08-02 17:20:12.633876	3		0
165	10kisu54f5slapyv77nniwco50	$2a$07$JPtjlDsnIhooaSe3x1IdPuU.bgBFA2b7j.HIBTrn.vQ1Kta9ZIhwG	39	2013-08-02 17:20:00.989841	2013-08-02 17:20:12.995045	3		0
166	10h2dpelvvq3pg2yukczyydooq	$2a$07$0CZC9U88TbUh4AyTE/iUBOrqglPHBm61dSITfOs4VnJrL1JL7erHq	40	2013-08-02 17:20:01.012199	2013-08-02 17:20:13.313909	3		0
167	10l1d2zn6my2956ufd28rjgrnn	$2a$07$js1x.qzTu8Typyb4mNupge9hOLDt0qTVCL3ZigeWfVsMmu3hsRMQm	41	2013-08-02 17:20:01.034324	2013-08-02 17:20:13.465937	3		0
168	106z9jsiw3jppyajlb96vj4p4t	$2a$07$ahQjwULEuZYi7jpUWUiWuewYkBPSwqyJkQyIMrknFiBL9iaP0kYES	42	2013-08-02 17:20:01.056199	2013-08-02 17:20:13.767782	3		0
169	10t3r23cl5j2kgxxlxupgib1az	$2a$07$NXBz52Hzz5GnlY4lzPU3JOABt8KqzLaO/XhOcTz4svfVe1xavc2iW	43	2013-08-02 17:20:01.077645	2013-08-02 17:20:14.112581	3		0
170	10ozipenn1to9b3e0y0zi7vhpc	$2a$07$0ppZVx3MonB0UAsTpONlKufbnUc5FOR.cqtJ1qtqUSIau8q2dmos2	44	2013-08-02 17:20:01.098875	2013-08-02 17:20:14.48249	3		0
171	10kox8jf0jh0s993awp2ugodff	$2a$07$Q9kfg6ZmKZKq1.w9fnUAauB7011VxIclsJVGoLwRxFAiTMOzSX9WW	45	2013-08-02 17:20:01.120572	2013-08-02 17:20:14.829629	3		0
172	10zwjcsxu0hgp4qihc8qbh22b6	$2a$07$sG3IwDYyhehhT2mSYQn3KOoVCKCDITFs98MTS7c0a6SmD/9DQxyIC	46	2013-08-02 17:20:01.142207	2013-08-02 17:20:15.032765	3		0
173	10ohwfks34v8d2d3x23y3i5qfw	$2a$07$RcF7hM4Ydtkrxadf4lesa.FEUg1oqKaLh4bnjtGyW1Oen.wfCuNKq	47	2013-08-02 17:20:01.163995	2013-08-02 17:20:15.247121	3		0
174	10b5lc0a3f4ezqi5rsw4uweqdl	$2a$07$PvIkpvrbiJpxc8xreMVnNepabK.BWQm0D2gBk1bPDqO3h.q05dMs.	48	2013-08-02 17:20:01.186407	2013-08-02 17:20:15.381627	3		0
175	10m68avyq9kppzvth2o049cekg	$2a$07$0TVNa8jSrubFsWSCUvKBRu3ctLpaoXj0jQ5uJB.eSzoDBUuXkkY5G	49	2013-08-02 17:20:01.20792	2013-08-02 17:20:15.703319	3		0
176	107ocqnjc1r9ab7ldiaz11870a	$2a$07$gxkhr1pYRUgNC7ml7IwUp.TxHwC6j/pAljx7TBTQZDNOkbLJURq0m	50	2013-08-02 17:20:01.230584	2013-08-02 17:20:16.047169	3		0
177	1003aumc3wsm8hz1epjtszqoz3	$2a$07$XjYFackSY6qA29ECWfrPiu36hcPWmvXBLdToquz1jgDTaYTKeoRWW	51	2013-08-02 17:20:01.252297	2013-08-02 17:20:16.417233	3		0
178	10f5ekyvshobkk8yx4zvejs6zn	$2a$07$FuJKADZfTAB.AaguHNz64espFXDII.EWjZoOgGuhWID/V9muDFPqG	52	2013-08-02 17:20:01.274883	2013-08-02 17:20:16.756802	3		0
179	10ihx3756p936qenvozbqib793	$2a$07$rHMr0CwuzPZ5bPXYb3shouN.a6FvR6DcpojpUO29DKLm71YtRZXe2	53	2013-08-02 17:20:01.296355	2013-08-02 17:20:17.089367	3		0
180	10ihehwfv4i576shvwq330fpe9	$2a$07$yWedpW0GHakFpDAOC43tmuSt0U.YJ/Zz/37C9RmMIp1n1R3Q8OdZW	54	2013-08-02 17:20:01.317772	2013-08-02 17:20:17.42373	3		0
181	10i7r4o15585upu8thcrkeu1qc	$2a$07$tXN5ezSF2Bxq97VExp7GNueIt9wLWy6l4Q.asI1ca7arKIl.2wPZy	55	2013-08-02 17:20:01.339398	2013-08-02 17:20:17.783818	3		0
182	10otek9mocf56n95n5vidfodbj	$2a$07$F1RcHfdASsJe9bQtXdSVB.EfhKZ64aMjt55oEtBA343jmkwj8jeBK	56	2013-08-02 17:20:01.36087	2013-08-02 17:20:18.130024	3		0
183	10oprck1o7lrcdzjwzldlwplkv	$2a$07$s8M9WFl2y.9H7aewqgdEkOBS9i02UKH9ek5hKzAy5ucRN8zGKzqmm	57	2013-08-02 17:20:01.383668	2013-08-02 17:20:18.494635	3		0
184	10zegqs3ywu3yexa68jca64oxx	$2a$07$is95PCyX7oAWPrEKn6ljSeDeuQdyuvD6gUhBUoMXBNOA4mysTBgGu	58	2013-08-02 17:20:01.413784	2013-08-02 17:20:18.896127	3		0
185	10q4opotrpqhxp1szphyj8trkp	$2a$07$RKQqtw5n/V0L6c.jat8I4uCf/avyLM4JAuujtjGBJweDRzKwGvjVK	59	2013-08-02 17:20:01.447489	2013-08-02 17:20:19.26496	3		0
186	108g878y1fms5flu62jazqnlpq	$2a$07$GVpa8YBYVVdsIxgAW8GUteCMzT3cwPdQeeEmTxWyOV6feyzmAN0qO	60	2013-08-02 17:20:01.475652	2013-08-02 17:20:19.633172	3		0
187	10tyzjxespgx780tbd5npftfkp	$2a$07$GpAJ6yo.P3BCe6qvolw0henYYNHFG5fHv6Ey0wSoOHoXfSl6YOqeW	61	2013-08-02 17:20:01.496923	2013-08-02 17:20:22.506974	3		0
188	10e7ebgtcewcyituf05jtlzwop	$2a$07$OR4G7.r9d8xT8d582nOSAeOv4Fc4cbIlpYrwL1zi2BnNso3PoR51q	62	2013-08-02 17:20:01.518962	2013-08-02 17:20:25.644481	3		0
189	10bvcs4fslgwsl4408t75vrxbp	$2a$07$4OGGlHsoVCsYN52MUfwg/u4ZGV1iSGPjRUzms160aJH7WVEegqfvS	63	2013-08-02 17:20:01.540364	2013-08-02 17:20:28.510236	3		0
252	10tyizyenkvebf0cy71p7wgg90	$2a$07$2N65be4IQrzhgmUDs7Q8jeF8KOhyOiDHZCCiotRBgtLWKuUjxacm2	63	2013-08-02 17:25:01.618473	2013-08-02 17:25:30.52231	4		0
316	106vhwa7e3bq2gi4771txjahvk	$2a$07$V8tQA4Ha2QGcmNvSye7byO0qkzCd3CzNLCJmiNV6AhkO4Jnra6M9.	1	2013-08-02 17:35:00.12728	2013-08-02 17:35:01.679254	6		0
317	101v75lu9gwnbyazk22ixxwrnb	$2a$07$acFo6Gfgs1IxjAdHf5ES6e7momekmkwXr2TppXqv2lYDrNDW0qVAS	2	2013-08-02 17:35:00.153585	2013-08-02 17:35:01.811166	6		0
318	10vvpf9nwfd08l66v4268jypi2	$2a$07$H7jHhvj.mZspU/pqRnhPeee8y/CGpWumtAyI6fpx03aO7HEIez02C	3	2013-08-02 17:35:00.175816	2013-08-02 17:35:01.946786	6		0
319	10bg793d295dm66r1k4u6mnlhf	$2a$07$CSE.g/SpbTNJfQkATY979OqXu3GjnmhfteVN2.rBsnquB7ZVB6vJy	4	2013-08-02 17:35:00.198278	2013-08-02 17:35:02.311964	6		0
320	10jhr84ixrxv4aohw8nn0zebv7	$2a$07$kUFC9r8/XIkBu7MoCsG1EugNeenQWXbhbJBJQ1acOqigomN4/lyxi	5	2013-08-02 17:35:00.220064	2013-08-02 17:35:02.681366	6		0
321	10ysb4ms1svpqzp4bx1v2qpxvo	$2a$07$52t4JQzNO/3xwkFrjMY9puhUtdqqpiMqjOq6qvNed2o753/cBj8/y	6	2013-08-02 17:35:00.24164	2013-08-02 17:35:03.055598	6		0
322	10j81itujzszotbtl36i9cs12f	$2a$07$j.MPljCsxtB1E1Dg8N/2K.LFtfVgp6oSbSYyX4mMP09KPmPvLDtze	7	2013-08-02 17:35:00.264425	2013-08-02 17:35:03.420077	6		0
323	10bboi6ybmtou77izytfjpyq18	$2a$07$cvFa6SaPa/y94lYNf6ZBqOqpBTc.q1NCJ7GJDlvn7QiwN/cNH3tGm	8	2013-08-02 17:35:00.286011	2013-08-02 17:35:03.782264	6		0
324	10qlax2fe6xxq2ua1vzvktf3id	$2a$07$XHZqmmb9oxR1IT4q0DoQXOU0mj5J5wk2g/Hczfge8qztoV5yB6BI6	9	2013-08-02 17:35:00.307573	2013-08-02 17:35:04.14346	6		0
325	10na11j1240fqfz67smjix32z5	$2a$07$Rk/f24zHQwV65ka4twBdBugnz3wilcBBq0Zt7YBHYxmuemylCdAje	10	2013-08-02 17:35:00.329047	2013-08-02 17:35:04.279862	6		0
326	10zpl70dibq0wxsjj0fnat6y5v	$2a$07$TjPH24jOos4E.yQaG5gFVufHGibBDMxklZF0L6Z5RLaUqxld0N3g6	11	2013-08-02 17:35:00.350434	2013-08-02 17:35:04.400003	6		0
327	10if9qhmrw8lgykipkf7nw949a	$2a$07$9lNprJwDOgD8f/RaOhUJROTXeI6HpKY/HVs.jLIVoP2j8IekzX/tq	12	2013-08-02 17:35:00.371867	2013-08-02 17:35:04.53608	6		0
328	10tor6tgi509uk9nlgc82a57ew	$2a$07$itmZq0kseNBhCR.xe6Aonuh.WpfS43pVB6LfPuopXLI2KhOiFcSiC	13	2013-08-02 17:35:00.395154	2013-08-02 17:35:04.904573	6		0
329	10n7b5qi044v8bjso0c4k7c1hh	$2a$07$FSDO3ign46E35AlGtB9kSegMc.bp2Rug4IPeR4EVBFf9L6DotyPi6	14	2013-08-02 17:35:00.427843	2013-08-02 17:35:05.265629	6		0
330	101qcy75i5bcfi7uesceaupaku	$2a$07$Xipy3O50bwbQrEksqe8bDO56HqjWf2W5WzomAKUomuZU7cRcS6AHO	15	2013-08-02 17:35:00.464494	2013-08-02 17:35:05.635119	6		0
331	10rf5tb6fx6mp4fibfd5olxa08	$2a$07$P5cmopZn6C.HRucyi7rXr.TmWEoA50hSMhqYi4wC6rRvmajuVN9dC	16	2013-08-02 17:35:00.485871	2013-08-02 17:35:05.823719	6		0
332	10caxj9to2hjtmu81huzjjz2v8	$2a$07$1fKPlB7vkJl2T.dS6fWK2e3rQYmwynFB51zWVMILObnCB97qoekWS	17	2013-08-02 17:35:00.507187	2013-08-02 17:35:06.049977	6		0
333	10fvnojc1zfu0dndnvuh3oouf5	$2a$07$QNiHZkGFjajNOQF9cot24.5oO83kmtfTYkF5siR5jTXrf/WRaj542	18	2013-08-02 17:35:00.528485	2013-08-02 17:35:06.38984	6		0
334	10um2ro80t7kij4ysxlkmaooho	$2a$07$.oqihRHRmTXfG8RKpSVXiexYdv0JAbG2MTWyiQd6SFxv5d7BtGZyG	19	2013-08-02 17:35:00.549906	2013-08-02 17:35:06.754334	6		0
335	10rbls3v8s3hsd7kh92jmx1fe6	$2a$07$5O7FGXTyF9YRAhZeF0dMI.mXNM65FLtzDBVPWk4GBomUJsc8nrvtK	20	2013-08-02 17:35:00.572585	2013-08-02 17:35:07.117949	6		0
336	106bg6hk1b2vcvs658kuefqrc9	$2a$07$jiKRc9gtLbKe5egaztdVyeiEeoYzp1P2XvapWlwS81jsAq4PDwe1a	21	2013-08-02 17:35:00.605706	2013-08-02 17:35:07.459526	6		0
337	10j5r3lae1qsq06kkmjow6ofnn	$2a$07$b.t8hvrcAdNNCCY7zmlDPu245mFpWR4BN0PSPEUZKl33xhnXYwhFu	22	2013-08-02 17:35:00.630013	2013-08-02 17:35:07.822982	6		0
338	103vjnhcai2o27ucti4iuzgzjg	$2a$07$xrpJEdGHY9wIX6IhVSMjfOeM/EhdwGQXHA5yjsLtMuATmiMIe45QC	23	2013-08-02 17:35:00.6514	2013-08-02 17:35:08.182422	6		0
339	10pzaliv7zef18p22gvzww0ov4	$2a$07$afN/HJ0CVc11QUa.BGdNOunRnaoKaOkiEY8etbXXsv.XMBeREW4uC	24	2013-08-02 17:35:00.672937	2013-08-02 17:35:08.511379	6		0
340	109egzebasjtwrzjorlqjj6el1	$2a$07$aVeuq3tSbx3o7ALtV/bU9eENotc8r6N0Ou1ApBPLV2/4Ln2oD1mK2	25	2013-08-02 17:35:00.694239	2013-08-02 17:35:08.845278	6		0
341	10ftxowzmusejzhheqclo1nsad	$2a$07$2n5WEs.4l.30OH/1oQGml.qPhqn34.W6KKl7LnoHXlG3FNOu/t8n6	26	2013-08-02 17:35:00.716016	2013-08-02 17:35:09.177479	6		0
342	109tpsg9ns7lbc04swjb42j9b3	$2a$07$1cdhnBIBjuQQL0onqna1OONv6HiGxMA1I7tTRxkWlgI/Gco01h3TK	27	2013-08-02 17:35:00.737593	2013-08-02 17:35:09.521321	6		0
343	105xcco8htdvywlhcnrgu3856z	$2a$07$oSEy1qyUEg/BlbiJeWtqwuGciyp0puMmrsASSHxcMpyN/oEUS1AEW	28	2013-08-02 17:35:00.760331	2013-08-02 17:35:09.874561	6		0
344	10abq2shvu23gj1gqi7mhlme2t	$2a$07$LDnhbEVBBxMx1rzInoP6AOJGrNJQMOSaJPjLFYubE7Qkhk24BTEY2	29	2013-08-02 17:35:00.782127	2013-08-02 17:35:10.210896	6		0
345	10woahf6vg5ts272qftmavygpg	$2a$07$ACNfsodo9Tmzk/lGvWeQFO0h8PHzGa/a6xZO0iLOCysr2AOCpH6Zi	30	2013-08-02 17:35:00.803534	2013-08-02 17:35:10.592108	6		0
346	10anlaffglmqlrhkx9cjip699d	$2a$07$049qDwse8ouP2O74TQnKM.MpuP1n7xwEvc9RQ1FaFT4HX1T.tMeXC	31	2013-08-02 17:35:00.825048	2013-08-02 17:35:10.95565	6		0
347	10kux0utw9wb7hi12ryiq29pod	$2a$07$jmmYlLQtmuzgrEQLjmlSCOOuIH1IxrP1JPB29sKTlyEpHMgBehapa	32	2013-08-02 17:35:00.846576	2013-08-02 17:35:11.334455	6		0
348	10rnyb8diomlpta5bsm7rz8106	$2a$07$DFZbO3702NphyOE05V.24ullJXcehjMAWq4pm83ibAOj659KNjRlS	33	2013-08-02 17:35:00.868754	2013-08-02 17:35:11.69274	6		0
349	10ifmrunxb2a43r01nic10ziri	$2a$07$7mg2MDFX2IsT8CpOyfMQb.5fc3IAY7QcYc4SSgaCi6aCHAtdEdP5S	34	2013-08-02 17:35:00.890314	2013-08-02 17:35:12.058012	6		0
350	10ylmu3leyhui1aj2mo76r8jaq	$2a$07$..Qw.MB1vjHsjkM0jkCXy.0AeLM8wwm4VaUnF2p/1t2HjJVoP/bUa	35	2013-08-02 17:35:00.911767	2013-08-02 17:35:12.41877	6		0
351	10e2vhu4mlyqrjqia1vl8my5w6	$2a$07$cZlSn5xScl9kNC8BIS8x7OZajEt2Gh2NklG7WeubKXwf6Hq5gW.nu	36	2013-08-02 17:35:00.933251	2013-08-02 17:35:12.780754	6		0
352	100ddlbru6i791r5d9y22bbaej	$2a$07$LEfJS5VaBL9.63IWPiTJEuQFMjRi.nVBd1wjdyYKE9s/qgZ77g2Bq	37	2013-08-02 17:35:00.954777	2013-08-02 17:35:13.151117	6		0
353	10vq0k0269q7656jme10pulm6m	$2a$07$3jNT2AIIsRhoFM88SlPRfeITUFePDqxVDozOV2Aqle1VppPo/Rzz2	38	2013-08-02 17:35:00.976128	2013-08-02 17:35:13.507174	6		0
354	105izsrxpfyfcrazzc74i2fx8l	$2a$07$1PqhwvWQcvniPuWgZ7eFSeHoRl.hlLS.D2Nz9.ZvP98JB9bQGHx6q	39	2013-08-02 17:35:00.997612	2013-08-02 17:35:13.856433	6		0
355	10pooe7oaiq2y5otqloyruykc2	$2a$07$t940Rk1cuQw99zbPwkDHJuQO7IwZ.jxSZ8A.Hczqo92h0J4JBybUW	40	2013-08-02 17:35:01.020446	2013-08-02 17:35:14.207493	6		0
356	10zjk6yn0kk2h4w0plq6cwqcjc	$2a$07$IUlNV.HTAIbIIckfIAFs4.v0aOegjIvcn1cPzvg8eFTmKpX/.5G32	41	2013-08-02 17:35:01.042338	2013-08-02 17:35:14.539372	6		0
357	10wgiwmyvyjb2wigcg6hhvxzxm	$2a$07$S8XC7MKeWyIGehsOp.pEQe/1OSmWgzt6evN7OJ4K8U4N0OdIOwBR.	42	2013-08-02 17:35:01.063855	2013-08-02 17:35:14.880048	6		0
358	10awyr3ll4o82lwddonlnze0d0	$2a$07$w1Q64hVnydb.wGizpu72I.WSDO7ICoiaF8r2ZLEiJ8y1Nm3haii6y	43	2013-08-02 17:35:01.094363	2013-08-02 17:35:15.211548	6		0
359	102yhlx0yl5tp6eb7iep5c5pbs	$2a$07$a2pkY8RgdWhov91mn5F9BeqsrKQNvhktdJSUthO5T6kZ8FSZ2p08W	44	2013-08-02 17:35:01.116079	2013-08-02 17:35:15.57007	6		0
360	10d1llmmaojtip8mab402lsr3d	$2a$07$.eBAYo4Z1ahf71gG79EOP.6b811A5hFeY21efBnFsN4yQCMfO3pnq	45	2013-08-02 17:35:01.138572	2013-08-02 17:35:16.128261	6		0
361	108k04tuupq7vhsw1u5qibr2o9	$2a$07$bgvHRDF1UAfEzvaaePJXIuf5yndheQyGRaktdjDe2ZIftMdz74FHa	46	2013-08-02 17:35:01.160603	2013-08-02 17:35:16.355914	6		0
362	10whhfvnaa4wnrd3jt5raa4ryh	$2a$07$aAAv8ckawKu.pIfLvQQU4.hZd/hgMCua3xcP3NnB7coBJOaVg/CvK	47	2013-08-02 17:35:01.183552	2013-08-02 17:35:16.470664	6		0
363	10wv2uoi4qjty88iwve47oke5h	$2a$07$99PuOqrr5TJCpr98n/hnqOUCj/HJEDyUR58PXa/xvKTfYx6gGsRDu	48	2013-08-02 17:35:01.206786	2013-08-02 17:35:16.589026	6		0
364	10a6l2g734pozi1fb8zktdw27i	$2a$07$C7/tgP8f7YEnj7VgilTaeuMyJpYvvANS27.xM41DFPRocZCox1aCu	49	2013-08-02 17:35:01.228345	2013-08-02 17:35:16.915483	6		0
365	10b5j0i3wvebpi6rvopar2xupa	$2a$07$fWy5FxHqyeof3uNMkAXy3enlSq8u4lkp/GnjK51EaEm25Fu8shuZ6	50	2013-08-02 17:35:01.251273	2013-08-02 17:35:17.263108	6		0
366	10hqzkvlbx65ayv3engz0pt17s	$2a$07$UCoY95WcGHDj.EcBa/klZuj0IlYqnDlO7e7IlABIp.v/m.JtKZ83q	51	2013-08-02 17:35:01.273183	2013-08-02 17:35:17.616653	6		0
367	10bb4i6dga71emsmnvgkaqf71k	$2a$07$2W.Ut3dZW3caVS6JSFsLTenED.tDPBj0nhhdXG3evxfKhE35i/.nK	52	2013-08-02 17:35:01.294692	2013-08-02 17:35:17.970607	6		0
368	106vp70pd4fjjenafkm8b8ihg0	$2a$07$aOPk8s2tCmP2BdmcjJNV0.c.1aS1Wq/WWd4C1wVw89BRh5j2bpbfe	53	2013-08-02 17:35:01.316135	2013-08-02 17:35:18.325096	6		0
369	106sbpued13lhrv62cbog0kqu1	$2a$07$SWliCmOsSXgxIh8X/nMGzeyqmkHQSt845DjzSqVmw3vutwwOIDOoy	54	2013-08-02 17:35:01.337495	2013-08-02 17:35:18.688512	6		0
370	10srwrzipsekq2wy0s1nqdh2j0	$2a$07$kpYopT.59lndibLLkhxnx.xClhdD3Bug2hIhxemSDXbFfzN/UANeW	55	2013-08-02 17:35:01.358855	2013-08-02 17:35:19.056405	6		0
371	10d41yffwg9xuk8x35pvrlld90	$2a$07$mNAdewPEDyZMi4XHQfx1rOip3dwMC7Oal2pFcKrg0Aokoa5jZeaWG	56	2013-08-02 17:35:01.38023	2013-08-02 17:35:19.41938	6		0
372	101pf3mcjcbopzxkmrtqh57atg	$2a$07$kRDVh.5jAQU6vE1wFuzqn.QSx8TUuHG8XlR7eo/LE9fHHqoZrutdu	57	2013-08-02 17:35:01.401576	2013-08-02 17:35:19.770392	6		0
373	10p7jfk0dx1ftdyhmwm022jm0m	$2a$07$S6KqlIJnjMmX7oJfdaS1leEam4wZYt6Tg9ALcN8HZZ.4duF.X6AQW	58	2013-08-02 17:35:01.422913	2013-08-02 17:35:20.14217	6		0
374	10x8g4wmb8tge3nyv78kl9ohyr	$2a$07$ykjXWBCSGYITE7gZ3JiCfOfP2/jn./P8mAF/e2JUPOu7dGSlPglbK	59	2013-08-02 17:35:01.444292	2013-08-02 17:35:20.509261	6		0
375	1011dhqeqrt2u1g23chcf24mpt	$2a$07$bNrnl1edadD1gXI7e/4Hp.UUVwIwRz/XrCAh945XBOEUKQKcmUyGO	60	2013-08-02 17:35:01.46581	2013-08-02 17:35:20.859009	6		0
376	103qzach5ksh7gcbqi2dtqs80s	$2a$07$HOTbFXKAFarYUG25KDj0oOn7qQ0gnn9sQrn.JY2ojsQ4tA0N7vx0C	61	2013-08-02 17:35:01.487126	2013-08-02 17:35:23.70366	6		0
377	10krenm42e815juz9dt1cya0j8	$2a$07$mxTe9VvqKHiO18oHCnh76u7Ev4F/2tgRF75fryEJbk/r/mHhVgNrS	62	2013-08-02 17:35:01.508666	2013-08-02 17:35:26.771062	6		0
378	104ym0p909jxgbe7koaz3345bi	$2a$07$.tPGziQgbEEP49v4pisageiTZXpPL5ROhU5ySeyuuaGPchtiF4Tyi	63	2013-08-02 17:35:01.53027	2013-08-02 17:35:29.992661	6		0
253	10hbcv1mt6j7s4xh6fqqgga4xu	$2a$07$5CZAzbPq.nD45cWjjxYVfOY8fwsWVN/Iq3nQshrF55EysA0UGEav2	1	2013-08-02 17:30:00.058342	2013-08-02 17:30:01.590717	5		0
254	10sk1nq9k27h2wi6dllatwpm6l	$2a$07$SagSw.VIL6KhkaS4Rh5CgOyiyfgayoogrkR4QA6qyzyz4f.nBUtMu	2	2013-08-02 17:30:00.081984	2013-08-02 17:30:01.731897	5		0
255	10nvbwlc6n4rz62sg94f10eume	$2a$07$IpYkcA/9ngXz/PLlfhSUZu9GToi4.fMlnCxLYYn3FHHH.QxeYP3Qm	3	2013-08-02 17:30:00.103369	2013-08-02 17:30:01.876191	5		0
256	10pdp8kbmdofymdwbr1qz9vvzh	$2a$07$gUoP6kWyVgqKBIG2SCKHz.c3aCHQI/7T3owJzoeBpUcqhmcUj19XW	4	2013-08-02 17:30:00.125994	2013-08-02 17:30:02.238538	5		0
257	10d0s59pvamxm2mqxkpuexd5ja	$2a$07$b.Hp/t2DAWwGpcl5Y6CQZ.1lS5FvvYaK0B2hxzKJr2Xk3xy1DffZ.	5	2013-08-02 17:30:00.148086	2013-08-02 17:30:02.596768	5		0
258	10ejjph1prd7repebcm15rt8mw	$2a$07$evDEBFKG2yIjovXdttHV8.ssrjyY6YS/OGDOxXTxpc4DP/LBsdMk2	6	2013-08-02 17:30:00.170696	2013-08-02 17:30:02.965086	5		0
259	10n60byn8tb63dzff064k8713w	$2a$07$sLIKqvxnTn8eA6hro0JH4OsLQznPtZbSofChDIUtiIjCQDtdLN4OO	7	2013-08-02 17:30:00.192268	2013-08-02 17:30:03.336923	5		0
260	10y6tf8imi4yg6d1jltrsx2zys	$2a$07$.iE77x2Xo5HMUGg2/GeKnuqzYS4dVBxfatPvhvYJjyF4okSehh6rG	8	2013-08-02 17:30:00.213695	2013-08-02 17:30:03.698878	5		0
261	10q7az4da1mrcke3hxyr2nrrz7	$2a$07$/C6.xXv3U2oe3kLrZyK0Oeikk28OodIR156ZPOZ69Yx0YZiD3F5pm	9	2013-08-02 17:30:00.235626	2013-08-02 17:30:04.073145	5		0
262	10lft7sx17nd6jlc0r4tfc7hot	$2a$07$.2vwX8D3qyJlROxtYyHLi.rrzP4Nz5LG6k9fzRYFRPNRWt0MO6TrS	10	2013-08-02 17:30:00.258884	2013-08-02 17:30:04.208842	5		0
263	10oare5j636uw4hj2spa0glx93	$2a$07$ATHtpURdg/cwJnPQUGn1MOHnXwNqpveu6FtiTIGoUPlG1oM2/O82.	11	2013-08-02 17:30:00.280388	2013-08-02 17:30:04.332555	5		0
264	10ktgpfythgi6r10qnxa2xmibm	$2a$07$KoZcjs7LKbfWTkYhN1jCOe5xckETUAABE9CKWlfGaYU0ZPnE7pTie	12	2013-08-02 17:30:00.301996	2013-08-02 17:30:04.471737	5		0
265	10hi1p9m7uwk0vh234fm345jpx	$2a$07$sNe3syXR1h7CUhluEFD91OIxUoJN3ZRVHSeRmimoI4bOspoOQGaRi	13	2013-08-02 17:30:00.323812	2013-08-02 17:30:04.834202	5		0
266	10ub0lgewnz5dkj79bygnnmf7x	$2a$07$D6o7t8dA.xFnI0NWvM8QZOi9sk9a2LJPY6PvOKhNRXGlP78LMu8Hm	14	2013-08-02 17:30:00.345476	2013-08-02 17:30:05.197854	5		0
267	100hijmvjqdtssvamv2raf6gbd	$2a$07$hVbUhYSl/AkDwoCpQ7UpFOB..B2xn6UuMxrcD3lYJNYU.G.bC9mbS	15	2013-08-02 17:30:00.36703	2013-08-02 17:30:05.56327	5		0
268	10b2299buz85u8bnz4c0vpoiwg	$2a$07$7PTJ95Mx6KJIFTTet6SWj.Xu3ZTKMmgQj/N4xBJTDPgTjUlg1pN5i	16	2013-08-02 17:30:00.390044	2013-08-02 17:30:05.9329	5		0
269	1060bqzzogesmaog4v1h5pxmty	$2a$07$ShamzX8E1YSoG8.PzXES4.uM7Pu3MW1Aaao7JVrF2Ip/HO1R4YZHa	17	2013-08-02 17:30:00.413076	2013-08-02 17:30:06.299605	5		0
270	10w80b7xsvdvr8c6kt26vvtaex	$2a$07$a17QkqfwVyGy0zFLMWPtr.TsgsBOHaCIsVP7uHvYE1kAq2LI.7yB.	18	2013-08-02 17:30:00.434763	2013-08-02 17:30:06.444733	5		0
271	10x5e2s8dhe1v2gzyynxgw0mk4	$2a$07$pKqFC5kfq0JHddF0bUAXZu.GPeZV47C6UITFDgpA50/qgJ8kapEp2	19	2013-08-02 17:30:00.456293	2013-08-02 17:30:06.815243	5		0
272	10mtodz2yfqlkaue3wd8x88ekx	$2a$07$74lRHqpdg3AadNjW8E0INe0qt/eZG.LkrUOflbsdYMxp5ygnB74T2	20	2013-08-02 17:30:00.477768	2013-08-02 17:30:07.178604	5		0
273	10pr95b8htsy5btvzoenqm4j3i	$2a$07$njISfqyzUiHWqr.OXgAdyuPVeGuPR5omDigj6ubf3RGicG6YIT9qK	21	2013-08-02 17:30:00.49942	2013-08-02 17:30:07.537716	5		0
274	10x0zqh4e65gsbg2rksfujnm19	$2a$07$gCcdmpe7xdeKpYo9mZ7jT.yswTTcoqXdO/pRkwa8J1dTi0SS2s38e	22	2013-08-02 17:30:00.521229	2013-08-02 17:30:07.910006	5		0
275	10d2dj7rhezlqvwc5cxwh2jgku	$2a$07$GIQNXuOu0sM9cduX55657OTfuq07BTHEgltbv.9UJEXwXGIvnR2Xy	23	2013-08-02 17:30:00.543212	2013-08-02 17:30:08.270333	5		0
276	10fx37ar4zjgwtfqfv6qhm67as	$2a$07$AJ.SBxypRB.vUjIkJXldzeHmGkHtb/tvqlXRCN5eKqzM86lyDGDsa	24	2013-08-02 17:30:00.564534	2013-08-02 17:30:08.640261	5		0
277	10j0lkmhzi7l1jeuvec0c7bi2t	$2a$07$Gkr9yAnzgjbGJ8WroOQmDONHDK70HZxGj0US3HxgziXssnDLUMeIq	25	2013-08-02 17:30:00.586077	2013-08-02 17:30:09.009947	5		0
278	10ytwqvyv0pgc7vksj95xgan4a	$2a$07$MriaKbNzeV1x3thSaBDzVuggmhOk2mz.EuL7iEzN.6TQO2T4ekq26	26	2013-08-02 17:30:00.609871	2013-08-02 17:30:09.415288	5		0
279	10ymmzt0ok0rrt2ml8kffi5fow	$2a$07$tch0smZ6ciE2foJebN96wuNkoxvAHERVR8IO3U3wi0mis5QaIfXS.	27	2013-08-02 17:30:00.643264	2013-08-02 17:30:09.783566	5		0
280	10edyhi89oz9v6s3mtoqkc41gc	$2a$07$DAA3RLaTyQBo2L7gfQUew.kepDr4/U7MaPhAls9lB5zt38wuVZ7U6	28	2013-08-02 17:30:00.668134	2013-08-02 17:30:10.153635	5		0
281	10f49cc0tije1wh8dr6eiuizym	$2a$07$Sxg6aRVmYFL53liu1OqrrurmN2ZQcBE6WGcEnsCWjmDO4jlV8nbGy	29	2013-08-02 17:30:00.689207	2013-08-02 17:30:10.51404	5		0
282	105mgwmx5c09gemuarndm3rrhv	$2a$07$6sU/YHiQ0ZCJEJWikINQ4OyDooBIiEtWmw1e7HcNW6dDSNt6fnWs2	30	2013-08-02 17:30:00.710675	2013-08-02 17:30:10.880275	5		0
283	1066fpcst3d90t76p5yvy97y02	$2a$07$RrAV2IPeD4ewJ3Aiqmvdl.pNDNze/2zZ/l8ioz039iDh5QW3bZ9Vm	31	2013-08-02 17:30:00.732341	2013-08-02 17:30:11.238317	5		0
284	10s824s8akaqcxwlt48dpdkqy6	$2a$07$uo0emf5G55ZZmh7lTHAoOOaVZGzR30NV6GIKgwJzYkWeGT5CZz3yi	32	2013-08-02 17:30:00.754975	2013-08-02 17:30:11.606007	5		0
285	10aigkg5c4yej6zz1gdp6xdzt9	$2a$07$Xfmz9T0M/u3iRUC6G0jOMeYI0nOGfZMIpCL0eBCUGNaWdMRl7OXLe	33	2013-08-02 17:30:00.777155	2013-08-02 17:30:11.972974	5		0
286	10crwtbtopcvg4hkwgkrxcem1r	$2a$07$hC.Q/wlHp2UrBA31Tlvoz.ny1fG26WRgIPbjbqMV2W0nvTE.flIpm	34	2013-08-02 17:30:00.79976	2013-08-02 17:30:12.336711	5		0
287	10143b0666522pdhru7cnk4e5l	$2a$07$LXzDNiGRpR7EiucOD.INHePJPAORNnaEt2gjIiPWRAImirFp9sliW	35	2013-08-02 17:30:00.822259	2013-08-02 17:30:12.698144	5		0
288	10s2r8femb237dlb8wciv3027t	$2a$07$Oadb1KTcAlmmllYXnUIxDuLGtlnzBgq4cRy.4lDpTiBkVnPHf4rnm	36	2013-08-02 17:30:00.844007	2013-08-02 17:30:13.060443	5		0
289	10ry1u55oisqlz0a6pftj6znl6	$2a$07$nzCfmGOC3d/hs.Gh65u06.So9F20QO6a9pu1Dm08FI8RqDNV9ffZy	37	2013-08-02 17:30:00.865606	2013-08-02 17:30:13.430204	5		0
290	103u2ocj4us6qs6fu19whz321v	$2a$07$kvsTBE3AijzllSdxvPrgY.zPB/qXQM5jsS7Im/OsSKJITzDkBUol6	38	2013-08-02 17:30:00.887061	2013-08-02 17:30:13.810014	5		0
291	1075o1x58zmy4paz3nt8ka5xmr	$2a$07$kpdZbig5V9HdDaHr7zREKOEhe44RqBGudJ1Z6SLEiF.6SP8JuJYam	39	2013-08-02 17:30:00.909111	2013-08-02 17:30:14.175051	5		0
292	10y3njvs1iermgwq6x7qlsa7tq	$2a$07$qw0FTToO1JgsCpHjGIlr9OLZIQwqkWN/Fvfk1bKWebeqIIgiWMStu	40	2013-08-02 17:30:00.930842	2013-08-02 17:30:14.538844	5		0
293	10fitf66p33t6ly3wqu8bysddv	$2a$07$KPBtb8bKQhrENzwnKFx3wOlVPc6kzy9Tj2GPFu3pA0YwJjJWLKGWi	41	2013-08-02 17:30:00.952169	2013-08-02 17:30:14.902563	5		0
294	104aaslvxnm7uheyrd1w2zw3h2	$2a$07$xkEPNJIgPwt./KtlKCSOWe1b/oXPKQUlNb7jIKMTyL0KbJcbIfbyO	42	2013-08-02 17:30:00.97392	2013-08-02 17:30:15.267108	5		0
295	10xutig5y1rmoj628fxpxhjj12	$2a$07$lu.EZMST5.u/uE3c0BnzdOs/T/tuppe1ylVS/sw.EtNsvSHq/UHzi	43	2013-08-02 17:30:00.995724	2013-08-02 17:30:15.627439	5		0
296	10j1cchxktakjl640tt1dqwsmf	$2a$07$iInflP/yaxmtBLufEzBAZu9Gcp3Easll51RzEIBHQLV.uncMUHx0W	44	2013-08-02 17:30:01.018689	2013-08-02 17:30:15.993451	5		0
297	10yd6a7248ueoslp9k9d7qru8a	$2a$07$c/MHTa7Nl2S/ICmIMiJmPuokVHIaLcJychhCAF2KNdtzC0Nz6iL.u	45	2013-08-02 17:30:01.042021	2013-08-02 17:30:16.332684	5		0
298	10s5cye7w25h5q4ig8e2vi3wxa	$2a$07$5nGxEMA5lxIgUdZChuwpZOOxkW4AgbKsBcq1d1S2jTj2MX3Lxw7TW	46	2013-08-02 17:30:01.063606	2013-08-02 17:30:16.680794	5		0
299	10oihcrnjwibzq8l4v6bcrd3qh	$2a$07$cjyNJkfPrps6ALdZ5Ey1KuYI4zRae0pmAKkZM1Yr.wvsGqryOuCEe	47	2013-08-02 17:30:01.085035	2013-08-02 17:30:17.015732	5		0
300	10ej6nf5ut6a5ypn2tp1f2xwn5	$2a$07$DW9PuIvkEVgTvEEZw4GPyOfLH8w30RJIlc1wlwwGeA.2MWMnt4Yqq	48	2013-08-02 17:30:01.107439	2013-08-02 17:30:17.357285	5		0
301	109je5w860dvijv9vsicb64z06	$2a$07$TV1TkD4U1RHlwvw8XCPwyOJkc7s3RFGv3v/1W/ljPmYwLOlRPUtJi	49	2013-08-02 17:30:01.129046	2013-08-02 17:30:17.714677	5		0
302	10rv0t97txpkyxcr8qbwaopkl3	$2a$07$w2qh3l0RiUeOvh5GK/As5eaxcTuCP5nU88E6arUlczanP8QSRp1h.	50	2013-08-02 17:30:01.150647	2013-08-02 17:30:18.081908	5		0
303	1051lb3ki8adrwfmgh6icrpgp4	$2a$07$bZtWyIEtsebAK6s.V4VJp.KVNxcOafCfj.mIGF2JA46mnVrgKe22O	51	2013-08-02 17:30:01.172082	2013-08-02 17:30:18.445667	5		0
304	10t4qxb23ao9aui6y12ya20iba	$2a$07$ON1BWZzt3.cfpF3alOuXzuJ/tG9DuuwgcRaMF7HXW1yWF556/MdY.	52	2013-08-02 17:30:01.193888	2013-08-02 17:30:18.812387	5		0
305	10y2x213zrzgub2t5th1fedtzp	$2a$07$1ogiIjrDaPW1Sv/8Zr2SsuvCz/eBstffY6ZJhRlpqv8TL4Bsbd1ZS	53	2013-08-02 17:30:01.216181	2013-08-02 17:30:19.177313	5		0
306	101iisob8yxzoum7zvype2gp4x	$2a$07$Kftrhp9FejJ7iGCEbZE74.1rwp/1KGIYjScpX7o7j6vpHPhO/YyaO	54	2013-08-02 17:30:01.239979	2013-08-02 17:30:19.546771	5		0
307	10oiu4i6mwbe7o33skpiwzd52y	$2a$07$1oLx9Y91LNiv5219RIKuX.4VQrBpGexEfMgNw7x6w8LaHGniPBS5a	55	2013-08-02 17:30:01.262906	2013-08-02 17:30:19.903703	5		0
308	102ixg02tjvfv6nsu479x5bnvz	$2a$07$91.vt4kykwOihkGYH6T8jurroApzpBOHoWZC/42puGWEaUxhAAgni	56	2013-08-02 17:30:01.284877	2013-08-02 17:30:20.466233	5		0
309	10kwp8boubn7g8pd5lbf4imzp6	$2a$07$tkfs0BaegrwL9Uvxs88LUe3Rlj74pY5LNOR5bCnAgrVl.ST8X1BuS	57	2013-08-02 17:30:01.306449	2013-08-02 17:30:20.796264	5		0
310	10iiic94x63s975xbkmucpm2ux	$2a$07$PhoTKrbhKauqIoBgNjI9Yeq2IQBSKNeVpJcCS5WhkVwU9jZCFSTgm	58	2013-08-02 17:30:01.32786	2013-08-02 17:30:21.132683	5		0
311	10rtdav7dm80hzd9j3nqpgcyu8	$2a$07$/DpwPcKEiMPeW.vSQLqZT.1rS8oBIXjot7SoNLCMbkrLof96MNlJW	59	2013-08-02 17:30:01.34923	2013-08-02 17:30:21.487296	5		0
312	10jnyistjylnir99zflsso9fi9	$2a$07$4d.skfSvfD78eyqV7uf13ekUJ9IcZfwivcjX9uDbWuNa1YwC5PDMe	60	2013-08-02 17:30:01.371209	2013-08-02 17:30:21.852469	5		0
313	107q5n4wcnt59yvq9j6gaicdf6	$2a$07$bsRYTqYmJdZK2f6zde4mueO76CwzVhEtGyrnx4Dj6GyLy/FFjmA.W	61	2013-08-02 17:30:01.393183	2013-08-02 17:30:24.810078	5		0
314	10rtl4ydqbad4szwbi8t94yk0b	$2a$07$wBz9lcqjOLi50tjtc0I3hex8XpFEcmzpN3h1GbH1Dv7w5KIMMkbQ2	62	2013-08-02 17:30:01.414734	2013-08-02 17:30:27.808065	5		0
315	106hknhhn5frb2cuib0yhnvsy2	$2a$07$SAFUuD1nOSY4KF/gQIqv7ONfIfcEjzWQl7xLJUWTFed4ZiAwY6Wca	63	2013-08-02 17:30:01.436193	2013-08-02 17:30:30.901431	5		0
442	10icwkf821f7v84h77n8iqajxc	$2a$07$GA5T3QW00rDO4CaZ02UVO.ISuKTWmDPq0n9KK.lslJOmUDZ1.ufpO	1	2013-08-02 17:45:00.08982	2013-08-02 17:45:01.843864	8		0
443	1080i3ejl3um36ty2guidheo85	$2a$07$gKFHms0Q3Y0ZEHEaHdKg3.Up/Ob8NYaPAu1VoKrMi/2l4VgBjOBH2	2	2013-08-02 17:45:00.113062	2013-08-02 17:45:02.207634	8		0
444	10iqc8xc3npiq3cpx2zv7877vy	$2a$07$6RQ0hVbvbq.O90mRn6xSOeS5b5UYe.WTFPkgufCET1rE7T6QkFKZ2	3	2013-08-02 17:45:00.134663	2013-08-02 17:45:02.570554	8		0
445	10wh2d5vrybfd4j8g2p7ipxngp	$2a$07$2V0IDLshw3KOTs49SaBTz.YG2F5DfVPt1f3f/xwUvq5Y9gT/gxc9m	4	2013-08-02 17:45:00.156078	2013-08-02 17:45:02.930807	8		0
446	10rbvvp3zwdb8mtybi72wzyjpt	$2a$07$Axaz52KpbINymeffHkwk1ekFP2NcRtM034YX.26y5DbrqPHOtU5Ny	5	2013-08-02 17:45:00.177536	2013-08-02 17:45:03.296593	8		0
447	10o6bdndjljz8qhtsbbgmpdfgi	$2a$07$JTEvhbFxGDLgoDTjvZnZTO/sTiVovVhxG93UlZhIxBEW0csw0/vBm	6	2013-08-02 17:45:00.198858	2013-08-02 17:45:03.662721	8		0
448	10ir76psbwdsiqz6yt6wjexgyj	$2a$07$pcyNUVNM5ciwL1GhhJrfju73cUAugWyXMb9pdrmO9i7ohMnW8zONK	7	2013-08-02 17:45:00.22053	2013-08-02 17:45:04.027596	8		0
449	10nbq17uuiz6nyyleb6ugy2ihd	$2a$07$Fnu4p9GRDzLoS.2oW.gc5uy3XtsyGcSB.DkljN/YMOoY0U.uJQrG2	8	2013-08-02 17:45:00.2424	2013-08-02 17:45:04.383461	8		0
450	102axvvhez23w775nhmc8igjpl	$2a$07$nZmmzcKqZqMSwPzQyvHIe.OWEFK0zTRyls3e2QW7vP/B5G8yZ/fc6	9	2013-08-02 17:45:00.263896	2013-08-02 17:45:04.751574	8		0
451	10yteq8rp8m9qmwu9pdtlscsdq	$2a$07$kdmSU6lo6fK2X7j9BXBYjOPFF4Sh4NrBeiHY4M9Ior5q/z12Y1m5m	10	2013-08-02 17:45:00.285222	2013-08-02 17:45:05.721768	8		0
452	10971a11lxxvuiew17393wqqx5	$2a$07$YUCAo9PfeH//138i.h1UmefyyT6HcPlKu3.mLZawCP2/3902PZlaq	11	2013-08-02 17:45:00.306637	2013-08-02 17:45:05.857276	8		0
453	10yezuwj1azf5yxzwj936r84lc	$2a$07$89P6MIgr9LQB3105TLete.maUQg/5K9uB6O.EFiJct9CHwHQKqe1G	12	2013-08-02 17:45:00.328005	2013-08-02 17:45:05.99353	8		0
454	10paue01ttf4fma97ltpvg1rde	$2a$07$sr0FGOG6yuNKnhA1Ed1WN.e0sKM5bBmNBPW0T0y/Yqy2tZZWcQPwm	13	2013-08-02 17:45:00.349513	2013-08-02 17:45:06.351113	8		0
455	104ybdkdxdgti5suvb9n34f8bz	$2a$07$7H0X6qzFzC7CGYWwmBkW4ua6vC6TuJG6LKr2qulnMh.lYJ5qeA3q6	14	2013-08-02 17:45:00.370962	2013-08-02 17:45:06.718936	8		0
456	10tto476tmlz9zr91k5t95a4l5	$2a$07$Omr98Ez7T6TnFRL27hvwlOSv9.J1L.nA.pDxcz1jFixRhvWe4ai0C	15	2013-08-02 17:45:00.392283	2013-08-02 17:45:07.077024	8		0
457	10n3rt0o5091qh2rvsqpxarefd	$2a$07$FY5WsRYpxv8LwaDus1KZ3.maJQ4Iuo8W0X/xxZzpPgjviIBgT3UJC	16	2013-08-02 17:45:00.41364	2013-08-02 17:45:07.370418	8		0
458	105kgvv4fe11orpq9dgn5g1hgm	$2a$07$RZ.u1wFiPbo9jtt7T8oQuu3EKsXCy2cal/fw7W/F6QU0rrPJIGkVi	17	2013-08-02 17:45:00.434977	2013-08-02 17:45:07.51039	8		0
459	102e6qye9lp58ibpj2l3v8dzn0	$2a$07$4hS1BXEByEy5MkUHf6t/FeU45Zhh5/wf2RIsasZG30McQmMsD4i4O	18	2013-08-02 17:45:00.456339	2013-08-02 17:45:07.683519	8		0
460	1072oeqd4r2jh96su4zxns8abh	$2a$07$CUA.h5fca6XLM6vNvCEYLOGH1aVVEd9rc4Hj/ydCF./rfWEWXeg7u	19	2013-08-02 17:45:00.477703	2013-08-02 17:45:08.052636	8		0
461	102jrpnc0z0898xklgwvnktmnd	$2a$07$oX9ag7lA0dSGPkVGMvhp2eRuDXr.YRsl2SgJccrb47LxRHVEe9xee	20	2013-08-02 17:45:00.500219	2013-08-02 17:45:08.415059	8		0
462	10vmwrwd5cxb8wwpo3ipw4021h	$2a$07$bbhHs09XChuFwMhRt5psNejXK9Vr/NfmgasQGdSSfVQxCKLfLTWD2	21	2013-08-02 17:45:00.521761	2013-08-02 17:45:08.782034	8		0
463	10rc8r1bl0fbsmwb7t7sadn2kg	$2a$07$Mz66FR.5dOI/7JpHwXNFSO8Z3n36ofS9wnhkA0E2fg/AOikitMsEq	22	2013-08-02 17:45:00.543359	2013-08-02 17:45:09.138554	8		0
464	10wqs59ylgj98e8vayt84rsuy9	$2a$07$VTsaZGQR86zFrzv1el.Rl.rDZKNRVkW5lzU8FydQwpPkT8GhO7yPm	23	2013-08-02 17:45:00.564735	2013-08-02 17:45:09.498574	8		0
465	101502ug5cieuk94t0rrb3oi4t	$2a$07$vudyBy8q8xvX3.RwtgZWX.jYR02u3bRew.CVro092VrZtGdAkj4TK	24	2013-08-02 17:45:00.586044	2013-08-02 17:45:09.863966	8		0
466	10y4nkt905pq4sysuw9guf7gf0	$2a$07$jpiGB5C5irQHjjlX3koaeOt9aMD/LIu2aqcfZ86hz4YGyJF5BoZI.	25	2013-08-02 17:45:00.607393	2013-08-02 17:45:10.228269	8		0
467	105076rzmq07pk9kqwccjwy2n2	$2a$07$YJQnfQuHr9lwyMe5/ZTdP.O284osg7W5zjk69LY6bYPI1rqRnnJqW	26	2013-08-02 17:45:00.630358	2013-08-02 17:45:10.593469	8		0
468	1065jicw3y3bl66dk0lclyjunp	$2a$07$oD0GbM8uXJvoo62LPkg46udSpNUVrP/hpYa0WDmUKJunI47p20hve	27	2013-08-02 17:45:00.651973	2013-08-02 17:45:10.958872	8		0
469	106ol1ibddpcrw92z9n65423zo	$2a$07$fHFU1bII5H8/hSuMdlD2KuVvWhXJwQaB/9TMtimplwTGZoryOCZJu	28	2013-08-02 17:45:00.673532	2013-08-02 17:45:11.557767	8		0
470	10w6d9zr4mm46ko4lqvwqcdwr4	$2a$07$sjARXskYr/6MS/bj17kjl.rffph2d53j/lL5h3EP39GTJP4yzGyN2	29	2013-08-02 17:45:00.69496	2013-08-02 17:45:11.926437	8		0
471	10pryjplptdtql1xg04ge3w2hu	$2a$07$wtgmNr/A5t9rg6d3LYRDGO0kYVIfjw.7xDeNhsq/CjWq2OCPjG2SG	30	2013-08-02 17:45:00.717886	2013-08-02 17:45:12.29554	8		0
472	10vicjjn2m83nvfvvsya5kvqoa	$2a$07$o3NIxGYM2TtbLkWvV.d./O1BdmG8rjnrgS1DUUt5O95ShrFZzRkla	31	2013-08-02 17:45:00.739281	2013-08-02 17:45:12.692713	8		0
473	10jrmuxn5b7r6hcvr1wl4j0kf1	$2a$07$6KhXruftHhBhwCi1zQIcm.A8X1JlyD7vXMDlyeUnHAR6u4EvECHV6	32	2013-08-02 17:45:00.760703	2013-08-02 17:45:13.058293	8		0
474	10d31lrypz690kn2vpns6cn4bo	$2a$07$0jlh7QvKeZDCa.rl5/SeK.30F4OBWrx4S/vLL1UEcJRyUefFI.AbW	33	2013-08-02 17:45:00.782059	2013-08-02 17:45:13.426743	8		0
475	10wp3sb96b4vbjpllap3fn18o1	$2a$07$VNB/KtjgnflB8zVW1PlfGOab2yQHOlvpX8mhzva1SPM3vlHfLHSO2	34	2013-08-02 17:45:00.805103	2013-08-02 17:45:13.796217	8		0
476	100609c22c2b3p8r8mup7fs69p	$2a$07$HzoXV7Bulx9DC8rIUHt.UOiSh9VAELwpCBiPIpfTAa6Va7GSXTgU6	35	2013-08-02 17:45:00.827819	2013-08-02 17:45:14.165523	8		0
477	10iz41feopfsendc30v7uewkzu	$2a$07$LNQQVQNxy922mTzWCGiMzOBPwi4gfiHvKjXYq2lsueKBGjIwQxSNO	36	2013-08-02 17:45:00.849346	2013-08-02 17:45:14.532124	8		0
478	1086hjoyfnu69ooah7d6u25h95	$2a$07$LO4aif3AKuzL3LS6NkQmc.GCs1.U8gUVH05YCcS.3UunJkkC9JX8W	37	2013-08-02 17:45:00.872134	2013-08-02 17:45:14.899866	8		0
479	10ahuzbcxqyd4p7jzmrwhn9w1p	$2a$07$s4hhWwoNyJykTlTlyfa.x.JjVoNhiDWyE9D9oHoWW37PbU2Alfdqm	38	2013-08-02 17:45:00.897842	2013-08-02 17:45:15.258953	8		0
480	109k9820z19e4dm6j2s0bgggz3	$2a$07$QHaFnDfaDsWGsbNQP3fAG.wX7VcmFonpz8j8YNiugSv5CFDiL6nYu	39	2013-08-02 17:45:00.92131	2013-08-02 17:45:15.630302	8		0
481	10geoakuxvh1u6xop2c90t6u30	$2a$07$Lvb867RWdCxfSE6TcurcBOxjV0zVujd/dIqP7.bTRYNnPFysbHU82	40	2013-08-02 17:45:00.942818	2013-08-02 17:45:15.998172	8		0
482	10pz66o14m5y020jitbdqjg3wc	$2a$07$bIBkZ8bCpgOd6Lbmj/fksO0CkrukmH5vOKkW2FLsl6rKfWIGSsj1S	41	2013-08-02 17:45:00.964152	2013-08-02 17:45:16.360119	8		0
483	10hjymcx5pcuheozts8f1pt9jq	$2a$07$qHwlu/90O68iZGnMIsOPt.JYdGwD/BcUv7aNT5CB7zSTGpwp2yLjm	42	2013-08-02 17:45:00.985495	2013-08-02 17:45:16.717312	8		0
484	10b364ejuamyk5cc19yf4c9r3t	$2a$07$G5ql8lnHTwfcSCvgTc7s.uSmU4fAF2H56nrd7DhCCYbhyYRuUcD0G	43	2013-08-02 17:45:01.00777	2013-08-02 17:45:17.083832	8		0
485	10dkhuw6q86smlmg4myzjcromg	$2a$07$pYxS0WFX/PHBrKYbyoHtnOymOhZu1lnVnmgVZavnBWCooLZPQKSr.	44	2013-08-02 17:45:01.030086	2013-08-02 17:45:17.44507	8		0
486	1070mvghma2yxzccn6u8laaz4n	$2a$07$fLQ2JtAKIUDreFGX50uYiuVlIIY39VADVgOwK7lZ/tAhSKOLNZVaq	45	2013-08-02 17:45:01.051708	2013-08-02 17:45:17.805982	8		0
487	10u4omjj9h720j4wqfq38d6ufu	$2a$07$A7sVUP68PKhVvvtOv0vEZewaoC8m1hMshb0CPYK7NKSecFb7Z8rYi	46	2013-08-02 17:45:01.073314	2013-08-02 17:45:18.176266	8		0
488	102brhylrafhrj6mtm7eoecskr	$2a$07$.MuDbNMK8yAwMTlAqC7huOmhCgQyF.yZ1u.cZ3qjm.U07QhUdTcNq	47	2013-08-02 17:45:01.096516	2013-08-02 17:45:18.540928	8		0
489	10slrnobtr30byajb2zk0iyz7z	$2a$07$DcldKoGzXVV//Yy0CC5cRedpiinLxtUDyb6f.lyop1R2ucj/tuqzW	48	2013-08-02 17:45:01.118083	2013-08-02 17:45:18.885778	8		0
490	10mxhyhb5gvuy2vmxqt76o4dra	$2a$07$wjqbXpHVYv/kndTtljg4De8/wOaLYKVxImupVaGStAXyF.lFWRS7q	49	2013-08-02 17:45:01.139757	2013-08-02 17:45:19.253028	8		0
491	10mw6g1ym8g8e4jwvhld0xc6cv	$2a$07$bCaT./1PSgiTIf87lh4au.clofkJ/SoU1.C8dQad20rfq6UuyRnNy	50	2013-08-02 17:45:01.161255	2013-08-02 17:45:19.624668	8		0
492	108g7e9b5y8kz94263ddeo49ob	$2a$07$74ray3a0DZvgqj7Jys3rHOaewsf0Tkduxgz9lOkSemid6LTgDxgW.	51	2013-08-02 17:45:01.182604	2013-08-02 17:45:19.99119	8		0
493	10rt8zmvzzg1lcgaawws5d0ugc	$2a$07$q9egmOVSnnKiJCdtYv4bAOQ5vb51gwnQd1xF/wU7wBlLGm76F1fCm	52	2013-08-02 17:45:01.203958	2013-08-02 17:45:20.350621	8		0
494	10xeyas56wyghw1f4svgb66v8u	$2a$07$xcf52x9RhU.DaBDqz6lfZ.rTlOl.PbHU1PIG0.xX8n5h4voSVtgMG	53	2013-08-02 17:45:01.225784	2013-08-02 17:45:20.710458	8		0
495	10jtvm6uqkpo8m518skb4ym9sm	$2a$07$EokHR7K2Jz7WJz06Fm7q4.DkcDLAkCL.dfdvjhCIq7ExXFzWBEmkK	54	2013-08-02 17:45:01.247152	2013-08-02 17:45:21.075404	8		0
496	10adjri9ejrdvywlt4e5ku2trt	$2a$07$Y9MbxWVCR3jc2NC.JwI87O36dpTEssx8XSFimXxTSxC0utYSVDpBK	55	2013-08-02 17:45:01.270166	2013-08-02 17:45:21.440043	8		0
497	10cht9by2l9mu1x5hnv44kj2b7	$2a$07$sjJe7CuKxjUQg9RN2pnFy.9eJ7nGu.Xu/MV08bSAFd7PGCYrlXFfe	56	2013-08-02 17:45:01.29179	2013-08-02 17:45:21.805065	8		0
498	1098d5tdex3rf2rtm7xr348ngc	$2a$07$j8uNv1MXnicHRrhVI.63peBaa3nLnuxAXFYy4VGYvtokTD074QtWO	57	2013-08-02 17:45:01.314613	2013-08-02 17:45:22.173937	8		0
499	10rgsg9l2mrt29tupn2pqaa98v	$2a$07$b56hadW9hBpg7qFzVgU93O6qc.fKLbnHl2Fy68oyvd8ivlMfHHCyu	58	2013-08-02 17:45:01.353318	2013-08-02 17:45:22.539961	8		0
500	10s7q02herxuompmbtvpe0kr3z	$2a$07$ID3P2P5rCs7nUyGyP4ZhduXP.7zxmADd/4xqYhrdkwUa.XTtLF3/O	59	2013-08-02 17:45:01.386251	2013-08-02 17:45:22.901802	8		0
501	10es28tol5s4z5j02r0oh9phwx	$2a$07$rLLxYPNA/QbXdbja1CQeN.XknHpydNEON/yrXGQeMBsTv/G12CZx.	60	2013-08-02 17:45:01.408377	2013-08-02 17:45:23.265081	8		0
502	10hk7w6pzvqvfl4fv6zz80u6so	$2a$07$9ZcfiHBGBSyF/W9TjlPGuuqaZL2bIq30yNt.7HiBifeD5804qzt06	61	2013-08-02 17:45:01.43015	2013-08-02 17:45:26.061303	8		0
503	10e07mu629okb3ft5gocchlslo	$2a$07$7y9MQX9syaYgJmpkv686xu9zhDfaNCf9Mc9j/.MS2Be8LG2K2O3IK	62	2013-08-02 17:45:01.451656	2013-08-02 17:45:29.261756	8		0
504	108vnjc09hnavizw7av6o8swax	$2a$07$Hn50jAmKJ2aI7i5dCd.f4upWkihMnb/oW6SoMY2WqMh8D7RJe4zqS	63	2013-08-02 17:45:01.474045	2013-08-02 17:45:32.497384	8		0
379	10pjntybx8i2v3di9yaelo8x9i	$2a$07$ndmuY4aomtb5ExFPWHWo/eqO.dk2IyF10C2maxufJKTzofF5wC6pC	1	2013-08-02 17:40:00.115296	2013-08-02 17:40:01.644252	7		0
380	10oeyfkshzz3njtm6celkx84fj	$2a$07$52gsDrnrvXiLSChBKZNj7ujca4FEUvhPLg.uiO8SsJ.4oWxnlLJwS	2	2013-08-02 17:40:00.141585	2013-08-02 17:40:01.790268	7		0
381	10btctg5c9301yvocookkzqo7x	$2a$07$ohniXgP.PEgXWUUAATyaRu5tdcgmdwCdiw.bQEqOLmLsTGNwwvx/W	3	2013-08-02 17:40:00.162969	2013-08-02 17:40:01.934918	7		0
382	10ouy7sw608sude22ybyvnlcik	$2a$07$Uek8yxARSRSbn9BNhtugIep.19O6I1v38deQgfE8SlaOPCell9Jdm	4	2013-08-02 17:40:00.184299	2013-08-02 17:40:02.323298	7		0
383	10lhjqtjogqmnnxa839axg49uq	$2a$07$GuUCgrvdTclRh3O9Ez6Lz.Lttg.49eXcl9UjFvAUzLGP0X1SH04c2	5	2013-08-02 17:40:00.205663	2013-08-02 17:40:02.693715	7		0
384	1053j11qxxdoayeds96s2k8myd	$2a$07$8c56WeWZ2wPHdcDUV.JLeeZuzdyvGvt0f08Mjnbq7lzKW1L4sSjt6	6	2013-08-02 17:40:00.227491	2013-08-02 17:40:03.065336	7		0
385	10rji0pbx7vsj3mo77ia4826b7	$2a$07$QBixXF0uQ3D0hLHU6i5okuu3NN78aFj.mKj31wwyc2iExQV2JtOPi	7	2013-08-02 17:40:00.248946	2013-08-02 17:40:03.424895	7		0
386	10czk4pfsx1lmth9wtlznq8ob7	$2a$07$NdWoE1rJdcWBOqyJXfc4fu/JjH26YlxvP.J3BLn4zyVYVOiE6CLfq	8	2013-08-02 17:40:00.270513	2013-08-02 17:40:03.793091	7		0
387	104dz2ymfsid67534od95ana8g	$2a$07$n.r4WO3i9Py3Z6Dom5JUZ.P2aCvf0KrRBI3Uyz3evY4T16jZFA/Ke	9	2013-08-02 17:40:00.291908	2013-08-02 17:40:04.160228	7		0
388	106goor3x93vl7iszwunso8zxh	$2a$07$sWSB560zTja4fNVFAF3bsu2XBn76S6i8GIX7AmqPDPNkyCj3LskUW	10	2013-08-02 17:40:00.313498	2013-08-02 17:40:04.295067	7		0
389	10qkejwgwfqkuq4ww53m3vsv3h	$2a$07$J85y1s.BjgyDPizzEQivzO//fO39lEw3eZKq9LFgrGh2XBuMqmBsO	11	2013-08-02 17:40:00.334912	2013-08-02 17:40:04.423588	7		0
390	105hkuskx4pzsoglc73djdxfh2	$2a$07$PdTMt8hfFjx61JmR3MvjMOHxt3Lvmdam.p1gvjKamUyF.BI./YRNu	12	2013-08-02 17:40:00.356417	2013-08-02 17:40:04.551552	7		0
391	10c812wqyd3slssnrsvv969jqy	$2a$07$qYnIWK0tiQfAuUQgGteoV.XV2dvHcUsWNnmCMswY0r2IO7EDHQxDS	13	2013-08-02 17:40:00.379235	2013-08-02 17:40:04.965603	7		0
392	10dpo277xfp3guws485eqbem9s	$2a$07$Nl6O2TSC.GMxeT15QvBbIungqN6I8fP63OuBrsrvGR5EV18NhGJ9m	14	2013-08-02 17:40:00.40113	2013-08-02 17:40:05.324006	7		0
393	10h0ylpzdb5h4909fqymvl7by7	$2a$07$h0z3J06an41aZF4fpamR..PT6FlSaxmfx/sfiLfOcN7VcvVRMmcCa	15	2013-08-02 17:40:00.423038	2013-08-02 17:40:05.689516	7		0
394	10b2ib8nwdrxkohg9dfl40d7fg	$2a$07$vSS2pxKun/jnQOx8s9sPx.9EUjqtkmzWL7c7owNQm3P3T3kEOd2Vy	16	2013-08-02 17:40:00.445759	2013-08-02 17:40:06.060374	7		0
395	10i2jkhwvu215q03enk0r4rl8o	$2a$07$OeDYhAWzNw/qMr3xvLXFe.cumiKHRT8Mf9FksDL2vvx0G3TmWcdbe	17	2013-08-02 17:40:00.469234	2013-08-02 17:40:06.429359	7		0
396	10r55pryj4kaxc6t563qeroujx	$2a$07$Belakg2vmuWrGEbgKkt4JeJAqmOiBNT8/DCY/oy/YsfZ3Vfz5kSCq	18	2013-08-02 17:40:00.490957	2013-08-02 17:40:06.582228	7		0
397	10jgvi4n9azq7kk9qcs22cclbc	$2a$07$bJuBdsNEV5x46rUvvT4nS.xZdVnQLiCFONySa7G4Zv.CQhwYw4KKu	19	2013-08-02 17:40:00.512937	2013-08-02 17:40:06.933508	7		0
398	10i2fbi0e2rw039lub8z4yga8k	$2a$07$hpURX.pMoD7ZectmHakWoug1f2UgrWEJutHC4lkdViI0nBnOaYv5e	20	2013-08-02 17:40:00.534377	2013-08-02 17:40:07.296016	7		0
399	10gzq27mu33tuumypijszo844b	$2a$07$bamgdzdhM5sDv8s6bwNzKOtIFM.DchAgyNEYJfexUwJraWB/ngq3e	21	2013-08-02 17:40:00.555829	2013-08-02 17:40:07.669332	7		0
400	100w6zfl5bnwql1vm0iqarxbf7	$2a$07$HxwdAHBad5mrqM35R2lAKudOs4Pnlbmd8ARm4t3KSA9QNspLQoIom	22	2013-08-02 17:40:00.577314	2013-08-02 17:40:08.041407	7		0
401	10ee01ilzdaa4ttp52mmzli6cr	$2a$07$2lv4sLZKvApmZWthceVAW.cSfsXBsqgFMyS13PG0v9b5eWxDAZrZe	23	2013-08-02 17:40:00.599151	2013-08-02 17:40:08.407086	7		0
402	10pioxpp1pgkwj83k3yxy71iif	$2a$07$hRUKL2hoG/stPPQYnmzCAetLrRsbvREETojck0l1obhEvoP5lqbiS	24	2013-08-02 17:40:00.62105	2013-08-02 17:40:08.740529	7		0
403	107pq5hbbr8be0dwc0aluc3vpu	$2a$07$NZr6e6TKvFCzQmxArOIe0ugq49e.zCH4FYH6zfpBzsuwgHewSrFXG	25	2013-08-02 17:40:00.643411	2013-08-02 17:40:09.072741	7		0
404	10qdy77m10cj0snsumq3j1zfh0	$2a$07$dWcmImazH8GBfUqCAy4.UOjy9Kgak2N/TIIIf25o8XH6B/lP.nL/W	26	2013-08-02 17:40:00.666399	2013-08-02 17:40:09.409083	7		0
405	1008yfguhuwyrwfixvsepdh2or	$2a$07$ngUNZfvBlfFmnJW/ChA5CO5Ol9DbHP9O/VhR6AxvUPpzIAfS49tlq	27	2013-08-02 17:40:00.690899	2013-08-02 17:40:09.768371	7		0
406	10lng26qvr7tigsd29w25apncy	$2a$07$/hD/vpwaK/D.Lf6JA1XGCeI99iDKPvb0ziyT15REEW9vENxVl7jM.	28	2013-08-02 17:40:00.712222	2013-08-02 17:40:10.133612	7		0
407	10w1qha10ogogcomrd4fy3x9mq	$2a$07$8Ss9xcaENZs6bjzQn/AATe620UkisU9bjy57Ju4as8Jph1ulM3JhC	29	2013-08-02 17:40:00.733208	2013-08-02 17:40:10.474142	7		0
408	10ntmdud7f0fufagg54eqtlrq9	$2a$07$/W4O.MrGf/1ZUlBi6nr5f.GCM45Mx.oxsZ2INQlYTRSWWmnCLtotS	30	2013-08-02 17:40:00.754605	2013-08-02 17:40:10.815874	7		0
409	100e2bt61x57oytl9kd0qfkzq4	$2a$07$qfZzD4V2uw0Aot8W8jGWNu72S3NByUHewI.M1YKAgibcVqaqXQCzO	31	2013-08-02 17:40:00.775916	2013-08-02 17:40:11.14527	7		0
410	10fklcinyudhuuu2j6ylek2zbd	$2a$07$C6B2j/ZqGVhXi49zd3pEYuhe7Q1EeDbNXmroZav6b2qAZyeHOss4K	32	2013-08-02 17:40:00.798836	2013-08-02 17:40:11.485779	7		0
411	10cp37ewpeivwu1ihqj2gvt5e1	$2a$07$UFKT/rJRQskh6RWWiXhI0e15rAcdQ43DpmRaGp.40PGjInZ6CuxNy	33	2013-08-02 17:40:00.820289	2013-08-02 17:40:11.838652	7		0
412	10kvcoxtoi6y09gtz45kmicaha	$2a$07$4wDMXHLiRSsCLbVR1GLgPuNdhvRSBpArsHyHx.aRmbHyE5Q/675Xu	34	2013-08-02 17:40:00.841727	2013-08-02 17:40:12.203287	7		0
413	10n7vtova6gady3x37hw0yl8y3	$2a$07$NJBHImRmK1hPqnKkite20Om6YCb4ZInRxcXjHiy/oOm9hwaBgpcWW	35	2013-08-02 17:40:00.863336	2013-08-02 17:40:12.541326	7		0
414	10cea1lpb1w2qp6spvdlu7hlnj	$2a$07$bNfkCJsEUqlUa6D0RjrSLOhoAcd8NLJdLCodzVPGdHWwSjKza8jvO	36	2013-08-02 17:40:00.885474	2013-08-02 17:40:12.86887	7		0
415	10vdnxz35sy70g3cswegedy8cx	$2a$07$FSFxgWVR26o4DyjVKT.3Tea91c1WWNjIwNXgGj7sW/oMwZn59jSY.	37	2013-08-02 17:40:00.906996	2013-08-02 17:40:13.205931	7		0
416	1009db39g4yu6n8xj2tyf25xw0	$2a$07$OykDa/cp/pm53cRhrEoQ4.myYp/4W5WAAbITCH4F75fk85x7T9rd6	38	2013-08-02 17:40:00.92831	2013-08-02 17:40:13.554177	7		0
417	10ewpbnyh3d1tj5d8i8lsurxhg	$2a$07$xZnteOE.prurTtyCoGNKS.nQytaKRP4zHX0tZeYHG9bCJ.X20ar5y	39	2013-08-02 17:40:00.949748	2013-08-02 17:40:13.920682	7		0
418	1085tqfndgdvow3hphhir9lo2p	$2a$07$ZKy6q/vUR8reSMN4aSbiMedejXrf38ErHfhu93B1sFxUx5XhGGyP.	40	2013-08-02 17:40:00.971771	2013-08-02 17:40:14.28207	7		0
419	102k5ogbvus0ze40tnidfziprw	$2a$07$60uN3Pe3.RtUMp329XbUpONAim54Gq8b8xKtVc2SuB7QCoBc/iYI6	41	2013-08-02 17:40:00.993631	2013-08-02 17:40:14.611324	7		0
420	10en3qxfc2jeylszky45zex24w	$2a$07$TroZd3NnECpE9BmUU1TOfug1OGMo7l37tim8ayzNfNwnzJrIPot4K	42	2013-08-02 17:40:01.016434	2013-08-02 17:40:14.935788	7		0
421	10nabxibluqqdwe74mhavzaf52	$2a$07$HGai.OuIq6o3c4HGRJxir.rv8QhG22sh6tlj4sKBKbN6XVXWjoptq	43	2013-08-02 17:40:01.038792	2013-08-02 17:40:15.275962	7		0
422	10b4oexj4v5yorc2xicr6pza4s	$2a$07$z/O9hkr7LAdEiR0ilGdrO.KHAOKnJG7F4Ld7ZuiZy7uc6sjoXlcfW	44	2013-08-02 17:40:01.060248	2013-08-02 17:40:15.620856	7		0
423	104xrfo27ysixrof396oih7suw	$2a$07$2eXrqT.17u4AOIdy4W2J0uJ6UAHExhnHAOwm/DFPjXt0ZhNdd/8Ey	45	2013-08-02 17:40:01.082426	2013-08-02 17:40:15.966106	7		0
424	10d1t52h43c51k82e11ij9tdz1	$2a$07$vqWfpEXaIlr4LlbK6tZgwuD1geJ5JM4.OGIPHMdE8k3FL.slFRRfi	46	2013-08-02 17:40:01.104134	2013-08-02 17:40:16.333523	7		0
425	10stl5m11mbeuv6loltl2qtsvg	$2a$07$4ng.rtINXyQOspNlTc/RGOEMFxDCNBFtIYxSQ8O7sPKRd3UQzzvDe	47	2013-08-02 17:40:01.125531	2013-08-02 17:40:16.670839	7		0
426	108tafc2gk8yk9dh9dp68fhh80	$2a$07$aeAsC7iM/r4RCgWNq13EZu7BDsi06nCdH834aH/Flt7sdJ/.VrMPW	48	2013-08-02 17:40:01.146908	2013-08-02 17:40:16.99547	7		0
427	100brgfx4k52ltf87zbtxstris	$2a$07$V8m6flVc/xm05ipRXKnGlO79rMTxO5VmRxI54Pfl.UvRhczVlgMWC	49	2013-08-02 17:40:01.168696	2013-08-02 17:40:17.329247	7		0
428	1072enqxb2u8fp1bpwkq2ngz0q	$2a$07$NMhYu1IAuBObqoCz5pxHHen5SX.EUASK5AkjSIUtdLXhTmi7E1G.G	50	2013-08-02 17:40:01.190111	2013-08-02 17:40:17.680317	7		0
429	1089zee65pc89fk51x6nut4oj3	$2a$07$7bjwpkNL48B7jLHfKKxkVurgEWZVGUU/aFhtKLAz6Ek8cO2HK3VNK	51	2013-08-02 17:40:01.211659	2013-08-02 17:40:18.023721	7		0
430	101nk6e89mqr4fbygreh5bx32y	$2a$07$oeqLW40fQoEm4iKHNmNfmObi8oE5Q44L5iLCpZ2vHBxoHOWpC9HHa	52	2013-08-02 17:40:01.233021	2013-08-02 17:40:18.392839	7		0
431	10nrwlex4d046yykurn4eoz0l5	$2a$07$hVtU60kN1dLgPWBoAc71M.dEKiUVVacsql8wpAAu6HLLW.Datw/J.	53	2013-08-02 17:40:01.257634	2013-08-02 17:40:18.726861	7		0
432	10g9zd836aqlm2uhrc1hyge76m	$2a$07$VqAylcNUFotoh3ctjCiQNuNhFfC78PUOeBUdfaAKJB9VSmtpw7qPm	54	2013-08-02 17:40:01.29923	2013-08-02 17:40:19.055742	7		0
433	10jacdpr8ys6ngu3zej18sslan	$2a$07$dQy.snCjNuswtslo3lxCDeNKA4nQnydTXDbY09Rwe60Hkazx5ffp.	55	2013-08-02 17:40:01.320754	2013-08-02 17:40:19.383046	7		0
434	10c272n95uma9122rdunuz58f1	$2a$07$MKXU/9YCALm5r1CRQTtTseAAm3Wkf4joSwOAIz9kcvsHxy6Dzgq6.	56	2013-08-02 17:40:01.342238	2013-08-02 17:40:19.727201	7		0
435	10fhzi4l2jde1s23upcp9iwdct	$2a$07$vdt68H1fKXVL0vl3cAndROkLhE5yeVwUsgkkBKDeNHSB..mUpMpwm	57	2013-08-02 17:40:01.364047	2013-08-02 17:40:20.068597	7		0
436	10yfpbse8i3zxrexdnua3fzell	$2a$07$X/KOZlW8euvaz17ci453uuVdRfMGhkgFjTSbawVH2syU/36TgkIGO	58	2013-08-02 17:40:01.385838	2013-08-02 17:40:20.4346	7		0
437	10wqzcxlhm0rbb8zs2j0sq1ior	$2a$07$Uqhv0Ch9Yw3T7tAGSjI4V./PefYRRETx27Ar0e9GIqtEnUQqvJwJu	59	2013-08-02 17:40:01.408647	2013-08-02 17:40:20.802725	7		0
438	10u6r8dcijom27ibi693b8c0a8	$2a$07$0uHOtygZoqks72x7GJz4o.BbkjKQT2vFZZruZCbvzQKqCuFug7Xom	60	2013-08-02 17:40:01.429862	2013-08-02 17:40:21.187153	7		0
439	10f7vmolupld8gkvwzxq6tn5ku	$2a$07$PLbm.SJ/h54IhSyhKP2Cbe.BvjetywkR5twJ.n0gwh8cJrGqhUNj2	61	2013-08-02 17:40:01.452079	2013-08-02 17:40:23.978527	7		0
440	10qgr72vophepyze7p4rhdd564	$2a$07$MOWXmt7LXv/hNxJOs83e8.fF5e8b2gMLQyRMHi6Py6HZ1dY7r6Gvm	62	2013-08-02 17:40:01.47558	2013-08-02 17:40:27.059717	7		0
441	10si2p06yjdtbimh1vw9hae4eo	$2a$07$tYQGTMdc/jLAzWSHMQLY.eeaQVBAD/KNbcBMk1Vb5DnyVKHi.TISe	63	2013-08-02 17:40:01.497422	2013-08-02 17:40:29.985164	7		0
631	10c7b09cxtzzwagc0q4rivtopk	$2a$07$VWWxI.Y02tWCocHkBxfXw.9MyENlfWZ7URCelvXatjxkkMKUKwZY2	1	2013-08-02 19:25:28.154758	2013-08-02 19:25:29.763405	11		0
632	10fc4f2gk897fr3olu0qmr20tq	$2a$07$hsnvQH3hzC5cj4kEoaYiXev0897xTb9WTXW9AHtLrEBnpHl1lB4Z6	2	2013-08-02 19:25:28.186585	2013-08-02 19:25:29.905007	11		0
633	10xo1xjpyi3gll7d7cfeeltrg0	$2a$07$iJdOZKmR2rdy/iSscDiZ2uc6x5v0jk/C5G2EmDdrp0kWmoPdqG53W	3	2013-08-02 19:25:28.208498	2013-08-02 19:25:30.039552	11		0
634	10nnj8amxvyaactu7lyyy591a3	$2a$07$3uxkmUODZGGS708CJsY.WuEa8tNl7vOm6lPGdiQ3pknVKsVFl/.Ki	4	2013-08-02 19:25:28.230171	2013-08-02 19:25:30.176152	11		0
635	10vm1a7n3ppaj8o9iyecz3js8y	$2a$07$ki4wF9MDRa7abTNCslyBEuHWnJZvnrkw7KYeSJC01z8k2DtA1f4Zu	5	2013-08-02 19:25:28.25193	2013-08-02 19:25:30.31772	11		0
636	100k2ahacrsxfb32eqpat1e28q	$2a$07$9XySc8AaIXR6zNLliybAweBb3EO4w3SsPtiByRqMlz.c7hxM7QRYa	6	2013-08-02 19:25:28.274486	2013-08-02 19:25:30.450587	11		0
637	10txsilrehhpq1q68jabmd5aos	$2a$07$0xusBwZo1qcRpVKeWSB2I.IqDUZz3sEeytXNHIcgStCHpD1/0diXm	7	2013-08-02 19:25:28.297263	2013-08-02 19:25:30.594334	11		0
638	10drgoocptw0svn5pk1n2xo8dw	$2a$07$ySib.8UXx/w3cqPrmghxje3lyDqlXW0VHCz244GajJgAc3z7RZbuS	8	2013-08-02 19:25:28.329375	2013-08-02 19:25:30.71541	11		0
639	10my01tvti5ohb6e2evft2jh2x	$2a$07$vhNDeb8KtEA38ZlJ1YQRW.ZKjCqsudj.93Eja2JA1q3PXPMZ5zWmS	9	2013-08-02 19:25:28.358373	2013-08-02 19:25:30.850664	11		0
640	10qu0gdwns9on3qwk1ykycv8ac	$2a$07$z0HiJmLGfa3wav9Adeskcu7f9rwoTg.3axrTD7kNnwMeOaXUi0dBC	10	2013-08-02 19:25:28.380648	2013-08-02 19:25:30.982953	11		0
641	104mud9hjs6sw6y6117q9lzra5	$2a$07$i2r7qJHX1b6Pyh1tOB9SH.99PEfmhZ8phKZqlODxfn4lLkHogbsW2	11	2013-08-02 19:25:28.402465	2013-08-02 19:25:31.114601	11		0
642	10nk1m7vjbcewhp1wvmujiklpx	$2a$07$QrruvT1nWAPmAiLjAdYunuvaoWKMYjqHL1QUQx9OSoUWIQEYPl6g2	12	2013-08-02 19:25:28.424149	2013-08-02 19:25:31.239489	11		0
643	1060b5kc79wimkrie9rfwaqnwt	$2a$07$VKnidl9PoJeUAIgXcqwV6OiQeo47Xu7JTRZtXeLdOJ8bbqwy3GUD.	13	2013-08-02 19:25:28.447006	2013-08-02 19:25:31.602808	11		0
644	10jjqt2qj5ud6n0qxis6nn6hvh	$2a$07$Yh.B1TPA8uCUKjshMu6CYuiTPnrz3LGiSCW2LhxzIvdIUHPk5gAVC	14	2013-08-02 19:25:28.474464	2013-08-02 19:25:31.965908	11		0
645	109qnjffm046takaba9s4vwb5c	$2a$07$vIauP2UmQKDZsv1OQ9p.XeU6miOPp/G5DBDjaLxet783ovR2u2izS	15	2013-08-02 19:25:28.497439	2013-08-02 19:25:32.298686	11		0
646	10qd2noxxmst3kp3qukuyrz3na	$2a$07$Ps.Q7.4WseIuYZiiM5nHXO0busGQvrnmReOPXPc73kiZdOfLsPqAu	16	2013-08-02 19:25:28.520959	2013-08-02 19:25:32.524266	11		0
647	10qqrhy4bpf5ureg73595uifx9	$2a$07$drizVK91i.LRy8EPn91Ts.oB0BMELbbdHK.Md1GUxAOkGZ2ASjPVK	17	2013-08-02 19:25:28.544861	2013-08-02 19:25:32.662052	11		0
648	10zf677bu7k5acy53yy7psygi4	$2a$07$.wkI6o5137PSTWaO1wWkKu.FZ9C.B/7NeB9mZonECluz8zmdsaKIm	18	2013-08-02 19:25:28.569141	2013-08-02 19:25:32.853653	11		0
649	10a7z7c8citemnrgdqo9w3p782	$2a$07$Es/3R3WYvEGbQN.lWzUvc.2YfSoeberv1ehQXe5wQRryDqjMcc.P2	19	2013-08-02 19:25:28.592392	2013-08-02 19:25:33.217397	11		0
650	10isw0k6h2geptrju9ew1dypxv	$2a$07$OUwHUohZDJ5cGYfApedeEu7EX2.Qogz9OW7nP1Ha6vNaEzjf9V25K	20	2013-08-02 19:25:28.61633	2013-08-02 19:25:33.581723	11		0
651	10twfhmihnb6qktci3ggrcl7sr	$2a$07$Ra4/TUo0dMWarrJH/.hxNOf2t7w4y8YzqQa0YffxKvgt7z5A3uEWy	21	2013-08-02 19:25:28.639109	2013-08-02 19:25:33.946929	11		0
652	10wdyl9frud6b86yk9ohwkk5z0	$2a$07$/Cn1IX7tUuKXHyQiTEbZJuTEFvWiFXBXNgBLaYxbzW.7j4LVGuLHS	22	2013-08-02 19:25:28.662548	2013-08-02 19:25:34.308811	11		0
653	10m5orfkzy96s93gamsg4j2jlk	$2a$07$r.GSMD4kGN/M8jhj0t70JuwyhAnPDcCuBd.mqRIdX8BUwD.5yefhm	23	2013-08-02 19:25:28.68546	2013-08-02 19:25:34.685521	11		0
654	10wz3qouv4fbmusvkydt5vqngq	$2a$07$HEmLpjaXoDoMG8sutRF/8eG8Q/EtR9QGv5gGUjd2YNm3ziHkHpFmy	24	2013-08-02 19:25:28.709061	2013-08-02 19:25:35.052225	11		0
655	10spgka8gu613hvrm3i1kin6kp	$2a$07$Epil1WvtsjWasAUBHItMWekG1eHiXmNGmaH/x6.GiQH.CgN36uohS	25	2013-08-02 19:25:28.732276	2013-08-02 19:25:35.420128	11		0
656	10zefla60k18cle022g01ias1o	$2a$07$1WW1fAS68huEPv/Tbf3T9.GQrOn4x41Wk6vdPn7QyuPpMDlns1s06	26	2013-08-02 19:25:28.754497	2013-08-02 19:25:35.78005	11		0
657	10fss65uboq4a1us6133d69xff	$2a$07$fmt/k9uPpWIZgXUrIf9NNOS/Q86fcBwGMEBPagVBME1j799e0j0XK	27	2013-08-02 19:25:28.776834	2013-08-02 19:25:36.000394	11		0
658	10yyln4hp2pylrptaaaic0rpxs	$2a$07$ttF0Aw/9cgDxvAZCooMaluzCGHAKG5KUwOGwMKM2U3.Yod3whgiHa	28	2013-08-02 19:25:28.800767	2013-08-02 19:25:36.368225	11		0
659	10sx28klhyq7mt3s4ier0k7vez	$2a$07$9csovgc.k3WReERhHlNr8uJ.Y8nk67N3gydJH/eIlOA/PraqW5VK2	29	2013-08-02 19:25:28.823471	2013-08-02 19:25:36.738591	11		0
660	10gdkceusj85esikl0d89e4uvv	$2a$07$Y8ElNDppqrNnvaiEnLs66.C31WVWN7UE/Zq71QuLB30X85kDU3N6G	30	2013-08-02 19:25:28.847122	2013-08-02 19:25:37.102455	11		0
661	10j3r5xyidu6ggkafvpvxqkeuv	$2a$07$lh31amCYIqEdqaqM6MeecOYbbjLB/mE6q1WnKLKVms/px5ILnw.Ya	31	2013-08-02 19:25:28.870754	2013-08-02 19:25:37.466239	11		0
662	104h0nyk5476lb5ky6qqvmvqh4	$2a$07$RIeSuOcLPpxwXonvGkgiteNiqFW16y3suSohVEgcOiesGxjtR6Ggq	32	2013-08-02 19:25:28.894391	2013-08-02 19:25:37.840384	11		0
663	10k5qxfg33p9w64t3m3nf8h6k8	$2a$07$Rkt1Pq5gU1hHWVKIf/BjBetmjrw0HDdHifW7FaLFgbfWRjICmcfZ6	33	2013-08-02 19:25:28.917333	2013-08-02 19:25:38.207691	11		0
664	10i8p4y7uhv84wk54ltjopdppx	$2a$07$dQrBiWO1Sz5hR5Nh9BWiI.N20mwPe.uuJkSZZ.sT4QP/6X63ebM1O	34	2013-08-02 19:25:28.938933	2013-08-02 19:25:38.335119	11		0
665	10c89bcywq5crznv1re1s1cafu	$2a$07$ak2Q62hgulLyuiOBOghzAeV.jktEwXp4XkYXESyccz/8mIjTSg6oq	35	2013-08-02 19:25:28.960478	2013-08-02 19:25:38.464771	11		0
666	10ucamzgxl95vs4mbqtdnke4xh	$2a$07$Cc9k6koVnhIg6Ypd3JZhEeI5afjbtO/dK7kkBoC.NWV4wTxrLf.92	36	2013-08-02 19:25:28.982467	2013-08-02 19:25:38.599098	11		0
667	10zze9gow7kytplvw3g3ibxoqz	$2a$07$cLQVrOLJ5KtrGkSVDiq8KOzP2Uf1NZm0rTdCX84tHJ/R4/qZGVTbS	37	2013-08-02 19:25:29.004255	2013-08-02 19:25:38.744605	11		0
668	1012sqapyxfht3mzbap927dnju	$2a$07$0MAcHwLiKw8VmMbeIlKtIOWN9Y0AjLWK4yCwl0ver/dRUsz0F2Bwu	38	2013-08-02 19:25:29.02579	2013-08-02 19:25:38.930005	11		0
669	10m1eqlkxwxiog1wgz8rzzlh3e	$2a$07$G17crV74q8dvk2r0spfVdOhsnJUGTki/kVuj/HPC.E2FPIL4jrM5m	39	2013-08-02 19:25:29.047411	2013-08-02 19:25:39.281042	11		0
670	10m84p0ghuih3nv31bi4bzrb3n	$2a$07$HKMfZtqz479P0DwkPbTQxO6m4BQIeWiEN2NMlx8j/HObtGr5NIW4W	40	2013-08-02 19:25:29.069108	2013-08-02 19:25:39.654382	11		0
671	10o9cght6lpys40g5r09xjkll7	$2a$07$XMGd3aNoX1yAHzVzMNdu7eU1WVQPMHnDEYsJa1D/UWqcEsMmt.tIS	41	2013-08-02 19:25:29.09089	2013-08-02 19:25:40.005693	11		0
672	10wqykjrpmwndnqrt1813ytx09	$2a$07$gw9TIe/V8vUzZ1gJ4HPvHulZvmpeCCjV78Sak688whAQMJkRW8OjK	42	2013-08-02 19:25:29.113113	2013-08-02 19:25:40.369606	11		0
673	10fbbef3iinzgzerc6ymo1pk7g	$2a$07$phHBM/y8NsaBWq4zQ7.D9e7V3OGSAxkXfpmV9uAgoS5mss2/pZf1u	43	2013-08-02 19:25:29.135584	2013-08-02 19:25:40.72229	11		0
674	10cfe43t56slx46i87oqcqqjvx	$2a$07$5WbKgjrMDSnD.mhecTYpqewNMjAhBMWsd27iR.3jZmcyTQRhI5sJy	44	2013-08-02 19:25:29.157208	2013-08-02 19:25:41.086852	11		0
675	10jkg1nqy3umzmlb3no1725231	$2a$07$llSIg7kgCg7beyCX7lKpd.AKQgtS4DTFQDrAnWysaNIx/tKND6jX.	45	2013-08-02 19:25:29.21757	2013-08-02 19:25:41.442164	11		0
676	10ry121t0t33e928w72qrykcaj	$2a$07$MBlIlYHczdZ/vkc7cwbr4.R5ax57nO5F8I/ioEv.HZ11eu7zVHjOC	46	2013-08-02 19:25:29.239209	2013-08-02 19:25:41.808234	11		0
677	103xdrqpm2o76w9wzfuqs5vv35	$2a$07$cSHc1ALpeTCrfB1hkkC0qOhKD55nnBZHCr0Ab1TUvadYv1CVvnOdC	47	2013-08-02 19:25:29.260631	2013-08-02 19:25:42.170886	11		0
678	10p6ahzzict4h0cy384y4ci4ny	$2a$07$xjH/t2c4XORyLxqdSamP7uBWpcEPcxAN3M5GrD.mSjEB6eBVFCMei	48	2013-08-02 19:25:29.282021	2013-08-02 19:25:42.538682	11		0
679	1098wj8rh9axifihoagbwpmy8e	$2a$07$EWM64S1mrAKl8vbeYq7z0.eydgLqIBSk4OPD.cTFLeci4BXKaomye	49	2013-08-02 19:25:29.303394	2013-08-02 19:25:42.701637	11		0
680	10r0dk3qurn1qsc4un845vwkis	$2a$07$mQftvlhGGPotGFtQEfpJe.XQP4RoMe00smW4BuaBux31SZ7oBIDlm	50	2013-08-02 19:25:29.324761	2013-08-02 19:25:42.940866	11		0
681	10zcsdk0so3svpud9t87f2rgmn	$2a$07$fgSMyNjHyGYMrOsiu1ytteDyWbfJtVadIUczrRa1Fav37i0PLbG0u	51	2013-08-02 19:25:29.348188	2013-08-02 19:25:43.177506	11		0
682	10pfyg1ehixydyrtqfan9yw5d7	$2a$07$VtvvqyMJJKF5yF03t6QCaOJVBuDgDgMpN/aQV63HmNFW7qcnS51NW	52	2013-08-02 19:25:29.370804	2013-08-02 19:25:43.542853	11		0
683	10qcls7gms6u9jdctls6svccnt	$2a$07$HM59PpypT1ThgSa1oK.H9ebpVWgRWfItyAl9CaY6WQMYf9L7w/Ehq	53	2013-08-02 19:25:29.392241	2013-08-02 19:25:43.910473	11		0
684	10eugy7j45h3wg0p3fyhj48ix2	$2a$07$b90YbCvUfAW38bj/1RVQxeNnLv2S8dZG8cLlGUdKMT/o33aSvrDvS	54	2013-08-02 19:25:29.413722	2013-08-02 19:25:44.276823	11		0
685	10edus4dfofzi1iru6rp2ious6	$2a$07$7B6NqutefWlAw5yEz5DCgewLQSOwSYsWdGuJ1kfb4ba9/hkDj36Bq	55	2013-08-02 19:25:29.435004	2013-08-02 19:25:44.636401	11		0
686	10erra31bzcabit860vvi4sbfv	$2a$07$g4zJ82ngFzhco2gJ7UCPZu8PYjtbgB0GscqldCoBUpTtQiniQI0Zq	56	2013-08-02 19:25:29.456589	2013-08-02 19:25:44.999392	11		0
687	102v2lb1y6j5f5vb28qoyk2snl	$2a$07$9BETGkAruIuMne0fLWbV5eaYE9mT07uw3UZP.YA1GSyQ2TtJ/3KxS	57	2013-08-02 19:25:29.477935	2013-08-02 19:25:45.326183	11		0
688	10vp4aeayp48ynxfsmoky6y0nr	$2a$07$MVy6VWUPAI6wQD4a9S9ZU./CTA6lih0iSpP9JibPihZsH.35/BtNG	58	2013-08-02 19:25:29.499349	2013-08-02 19:25:45.655974	11		0
689	10rhr2nw9hdrsjaba5gb1h1tqo	$2a$07$YYhoIyQQJcFxbqjUDfW3jOl.xxq2w/WXhlgihS4lRNoh/bFukLNxi	59	2013-08-02 19:25:29.520743	2013-08-02 19:25:46.020913	11		0
690	10cij5v4jfs0qoamw146shx04p	$2a$07$nxRdQna6IZ6u/zszU2W1xOmlKTkVcPCZ4M3HCbcOtQV/rsiKfH5wK	60	2013-08-02 19:25:29.542335	2013-08-02 19:25:46.366214	11		0
691	10m1oizjgwrpc2pqiz4inmcmzv	$2a$07$kSi1t5jZzWH.lZXCeRjSge5ABdojTpOMbycPhYDnOKG6eTEDj1tea	61	2013-08-02 19:25:29.565539	2013-08-02 19:25:49.209744	11		0
692	10chbr5yvujekb78lvgop1ss7w	$2a$07$0f/0.ez8SgjZrlouKhspeeSvQHcmoW/BZOs6j9NMmmiKkKThQBPiS	62	2013-08-02 19:25:29.588957	2013-08-02 19:25:52.284139	11		0
693	10miknzcsqifalvb5ruvtpjepm	$2a$07$L2cgSdkOLJdDfbJwLae2KeB8Wx6lIjUM14xghK46e/tuMOGsKy/n2	63	2013-08-02 19:25:29.610559	2013-08-02 19:25:55.187183	11		0
505	10ltc5g931r0847fs69b8hjem8	$2a$07$S4Xt7J5BLQidsMeVeXSz2eLmzZvjwuwy9lXM3LaZmQUpImMPJTgla	1	2013-08-02 17:50:00.030424	2013-08-02 17:50:02.084086	9		0
506	10bbravz5pz5oivdehmvgnylmm	$2a$07$c1lwlrFzFb1bNnNKWe3kcu7XUoAT.wca9Q2FKCuTuw.36dDJArMey	2	2013-08-02 17:50:00.0587	2013-08-02 17:50:02.427771	9		0
507	10ro4yqveicibgol4sceifgodc	$2a$07$OpNZZjl5LvWJEUJ9Ot5tSu/fbAlXf45mYCppsXeUNQ8UbQTI.TpMC	3	2013-08-02 17:50:00.090287	2013-08-02 17:50:02.782467	9		0
508	10v1yrmkfjppa0m3j2fp6pxa6j	$2a$07$ZPBqng5dI5ibmTdihcPx9u4BYYDUscq0Wl81Ep7I8lEEU7gz0z5D6	4	2013-08-02 17:50:00.11195	2013-08-02 17:50:03.149876	9		0
509	10hymycv88ljc4ee6m20pcafgn	$2a$07$uHDzl4oskD5T79DARRtznOxtZ51aERlfhgjP0E8xzyxsvLU8.neM6	5	2013-08-02 17:50:00.133549	2013-08-02 17:50:03.518618	9		0
510	10m69x827gn941dyu02tfmz6zs	$2a$07$d8XTKYi72J8WuPZ7XKVSf.sAo/MMBuzfHdL261PEsRLAxXh4M9v9.	6	2013-08-02 17:50:00.155055	2013-08-02 17:50:03.615197	9		0
511	10enxc56t18x315n9oegv0j3sw	$2a$07$zkpBSlxdwtZUoBBLZPn0XO1GOJsQXQeqJ3tnUYRyJyTeUJRj27ENK	7	2013-08-02 17:50:00.176437	2013-08-02 17:50:03.972507	9		0
512	100tz8tkqgqjjvcf8f4c4ej7hr	$2a$07$GiNJKLrTAS27RtE/lfIDeONy.dYQj0SWV2fSt4720SWp8wu1oPXfu	8	2013-08-02 17:50:00.197874	2013-08-02 17:50:04.330329	9		0
513	10c4dye16uoj2ozpdxk3lb69vb	$2a$07$qb72GcXVI22L6J6WZEyo1.x8ZJvF84Seh6adfunnwS6wLo8VPHvjK	9	2013-08-02 17:50:00.219313	2013-08-02 17:50:04.66451	9		0
514	10lpl7z1h7zc4j4kfuz0dljsx0	$2a$07$8FzIbIr2GMJ1ZXpLNB4HU.djny.F93HFDOvEgC9fofuQ1w.1NC/T6	10	2013-08-02 17:50:00.240749	2013-08-02 17:50:04.761521	9		0
515	10wlzn8n34vcjarrefetdhwght	$2a$07$gywfnm5ymlVNMN2M0p5g0.GDXKyILakYbUhZPpL.hDsYCNlN.vggC	11	2013-08-02 17:50:00.262147	2013-08-02 17:50:04.860961	9		0
516	10vh2mt6lfqgiuarbwoykbtvlp	$2a$07$Wh/FnF80gmQoyINDLLUGmOVqpsT8mtxyEQYXz5B4sCiyix6Ec/kjy	12	2013-08-02 17:50:00.283445	2013-08-02 17:50:04.973756	9		0
517	10lhrhdi13mykzngjbwxi9ctx6	$2a$07$ZH172PWS0eNbaGREXoWaNuVO4dN3VwhKowXXA3hl16SOhEm35Ppk.	13	2013-08-02 17:50:00.30515	2013-08-02 17:50:05.321933	9		0
518	10l8i8j06xs1i1g5fg867uo73l	$2a$07$QKVQBCmSf5qRNr0trTXvbelYI9/4/cDdKL3EAmbl8aneA0zwnHlxq	14	2013-08-02 17:50:00.329296	2013-08-02 17:50:05.66332	9		0
519	10wx8dr8wa59j19lctfbdisems	$2a$07$LdsDrobJkS0VN2FbM6jX1eLvQkD/E/eBe81mwPvVfLtOzZPbQVWbm	15	2013-08-02 17:50:00.360462	2013-08-02 17:50:06.036405	9		0
520	10rp6ffzefzp7fta3g6prjh9n9	$2a$07$aGSG.7K6w0aLhq7rQFyb3.kjyijjS5m2fFzKtRbbvTsT5xpD2qUK6	16	2013-08-02 17:50:00.394008	2013-08-02 17:50:06.163845	9		0
521	10qats7igj0t9c2u3v4jnuw136	$2a$07$IBccFwzvzUfFMmiHOV7KOe/izxfz2DB3SVrRbWvufE7nGANFoHyO6	17	2013-08-02 17:50:00.415812	2013-08-02 17:50:06.38829	9		0
522	103w0we44zyyf19x45h4l3wdii	$2a$07$BhxQ29q2bJSL9FhPn6diy.yZ.3NaJiDR4fxYLAERoYWE7y61JwqUG	18	2013-08-02 17:50:00.437533	2013-08-02 17:50:06.718374	9		0
523	10c1skw7w31udtq1nqv4i62zc7	$2a$07$QVZ7kHprOpDj4WtK/iA7ZuR1ZtsILl5RD.2YoBas4gx/8R0C0OcHC	19	2013-08-02 17:50:00.458849	2013-08-02 17:50:07.082434	9		0
524	10bz9k9bred0h4fpgqfn0ja9tt	$2a$07$psRckPA7ZMWf19ndXHtrpOPF8igXFwvHy8/YoxSUgKMZEF9kQcslC	20	2013-08-02 17:50:00.480168	2013-08-02 17:50:07.384803	9		0
525	10t0gqiu131tsd2agy16ker1ry	$2a$07$b5F74CQF1oAprBcutfkNHu6u8Z1v0jQgqk5yN6fmSy08pcoC7jsCW	21	2013-08-02 17:50:00.501594	2013-08-02 17:50:07.525952	9		0
526	109xkr03lfz31w42rx0du7s3gj	$2a$07$.5Pb4uGBq/fFCa9sb9/bGeDNOuEPVYLbrIWkahHpPc9/tIfka201.	22	2013-08-02 17:50:00.523957	2013-08-02 17:50:07.867677	9		0
527	1046e17e2y50oi1ykddg501wvn	$2a$07$qbU/w/nnzxU66h5i.ztSRe.lkgPF1OX2ebna5.AkQJ8MEcwkeGQRm	23	2013-08-02 17:50:00.547202	2013-08-02 17:50:08.187059	9		0
528	10x9uus1d9x10f61gq7cdg74di	$2a$07$WgfCr8gaTU67J6QyU10VVe9.GDFe11mBAWh6d6rwTd6JZ4yM3xKKO	24	2013-08-02 17:50:00.569073	2013-08-02 17:50:08.518197	9		0
529	10bwlyy9hpfmrw27jk2sxjzmxn	$2a$07$.D2GyM9RtIGy/R3AgS/56.slQ59RdMqjuBfKLSiAtynnKHt4i93Ni	25	2013-08-02 17:50:00.591001	2013-08-02 17:50:08.860822	9		0
530	10q0c49fyat27lw8nft0t8po2e	$2a$07$27kyXms5OkXPoVFj3sIQae7QduVhfsN9ypAYhagTGeyAC2uMWcdVG	26	2013-08-02 17:50:00.613386	2013-08-02 17:50:09.202937	9		0
531	10ubqljfcwlohokyr4hi0zsysm	$2a$07$d0Cq1Du9we.EVSetdPTfHetYlIvMJ81Q9gKooAYJtI8MDN0Qd7qCC	27	2013-08-02 17:50:00.635476	2013-08-02 17:50:09.566579	9		0
532	10oin8sbnjehgk6cobvhf6w1ag	$2a$07$PDkernJek1UWfn8nNVoP6u50KVa5.3w0IDKxLOtg1prkLVtQ1wkla	28	2013-08-02 17:50:00.657494	2013-08-02 17:50:09.935233	9		0
533	10ocv4l5tpcdqifn2agw7iqq5v	$2a$07$wluAdoGTT7PY16FigLxbu.jBgasjEbF4ydMYmO1oCwgSqzajAZo6y	29	2013-08-02 17:50:00.67931	2013-08-02 17:50:10.305145	9		0
534	100q703a54n5lkcrpcu7lrxeqi	$2a$07$21eDIF4F.kTeCvDw26CVVeB6q/XRiMbiu1btiCSW5mcEkC3fcsF4C	30	2013-08-02 17:50:00.701489	2013-08-02 17:50:10.634297	9		0
535	10j9d0wztbbo6elx4sifinyprh	$2a$07$tsJ.puie5p2S9BZ9wqXwcOC3pDqJM02pu5CPteyFXUtmNSQDlcJDi	31	2013-08-02 17:50:00.723845	2013-08-02 17:50:10.963136	9		0
536	10l8t8vonvl8afnsjx2zau00p9	$2a$07$TsMn99KQJpgKkPmFVwcnfuKAdX92Ldf/h8BxqqF9dMJ9e09uJ6qc2	32	2013-08-02 17:50:00.745679	2013-08-02 17:50:11.296557	9		0
537	10cfqpbvbyjtiffli3pqp90d1m	$2a$07$LyTrunQ7IKsZ9KWD3oUBxOs/CTzGkjGqbaj5XCSY56/0iMXj/zQCW	33	2013-08-02 17:50:00.767472	2013-08-02 17:50:11.641351	9		0
538	10k3jm5hluugvlcb8xxnzo8f9t	$2a$07$Pk22KQwCb2ukr1pv98OkpOaM3FpxEaI7b4OLje30TGdbUtHfuTosC	34	2013-08-02 17:50:00.789582	2013-08-02 17:50:12.009886	9		0
539	1033ofb6ue2v0bzrz81u7x2eha	$2a$07$MoWCfno8TWs/Xm14htJsae3hEqQrE3kGMzHs2C1OOayTzQKSrOyye	35	2013-08-02 17:50:00.812353	2013-08-02 17:50:12.374037	9		0
540	1029hj0ks04rdpcvhrslbrne1t	$2a$07$L4hJ93puyBdY2sLOIZvgYOmJlh1hVGRIkNTwNE5BSabPb3yum7tMK	36	2013-08-02 17:50:00.835123	2013-08-02 17:50:12.741721	9		0
541	10nnvn8d7o4r0bn8ftnmt97hwm	$2a$07$DGmlWNENLIk2uZPZqUs49OqD4xY2.CIRB6cJj2dLbk3AnFcHh14vu	37	2013-08-02 17:50:00.858233	2013-08-02 17:50:13.10896	9		0
542	1060phqn69ump3pv2sxmyf3thh	$2a$07$ta4KsH89MpthpUNtpCeAnOnB38X.WX.Eafde7KZYsfsSxeoxezbhK	38	2013-08-02 17:50:00.887164	2013-08-02 17:50:13.468369	9		0
543	10gto1yix06jui7sxdayi540br	$2a$07$sbhCYMio5NeugZoJp1yxRui8/wpLlo0yZAU7qtOB/M.P8G07FBXAe	39	2013-08-02 17:50:00.909817	2013-08-02 17:50:13.837835	9		0
544	10cpasaqa11k890jdyfznxc6d2	$2a$07$m6Yb0Xk2mk7FHdp4hN0Y3udfDCibUfOMZcvunOooCQLTBrAxf5CtG	40	2013-08-02 17:50:00.933435	2013-08-02 17:50:14.398752	9		0
545	10ifzxu1f6i7cb4eb4xknie2mw	$2a$07$/GB9POpCFOdVpoGx2FSFzeKKoT4p74TPHm/5qKPBwwpVHcny6PLay	41	2013-08-02 17:50:00.967513	2013-08-02 17:50:14.736338	9		0
546	10q165sakjdi9dxf55yvdjcq8h	$2a$07$azuQkVwC1ieCLZ1EYrVrUOdIKYOX2RfKSI.cajPkrnwDuqv4gvPh2	42	2013-08-02 17:50:00.991728	2013-08-02 17:50:15.084418	9		0
547	10hbkw88k9r6h86zc3j7vc1y3r	$2a$07$RMoSNpIOEw9DIZf8mhjWReperbxmp2cJ9lfVRzxWVg.K21NpDe6Ue	43	2013-08-02 17:50:01.018306	2013-08-02 17:50:15.427934	9		0
548	10vzaqotfrtjcdkhf94q8d1xa8	$2a$07$mdDhOCDpbKTkqqgaUpiwyO58NrtgJ6KNLMvXH7Nh0KyjVu/vZWFim	44	2013-08-02 17:50:01.042734	2013-08-02 17:50:15.775543	9		0
549	10ni39hvn6fgrrla8avb0s626q	$2a$07$PB5EqMmKun1n0cVASJlpQOgpFLa2FJKv5Tc4aGjCqR4W4aptuunsO	45	2013-08-02 17:50:01.065665	2013-08-02 17:50:16.117963	9		0
550	10aouiuphv964b29bxp04itkjt	$2a$07$ewGwZJgzrUeUgSm0ySBwqezF8khjNi6nrudes3C2EvkgWT7BvjvBa	46	2013-08-02 17:50:01.089672	2013-08-02 17:50:16.48661	9		0
551	10z3e7l1y7nhgvpu9kn8z2soaa	$2a$07$k/lhI0WcDhf7THDe1E2n9.4o6YvOEHvYclSF8a/NRfdg3.VDcuNCS	47	2013-08-02 17:50:01.113356	2013-08-02 17:50:16.85267	9		0
552	108hiljzk2dc3ms2cstplggf93	$2a$07$/KvunHWEfAmh/VZZ8BiVkupxFFCmcpBcAW1iStFfwtBvsubaaVgJO	48	2013-08-02 17:50:01.136757	2013-08-02 17:50:17.224582	9		0
553	10jxmu6ydd9d5k0pjcdgje6m6e	$2a$07$PjzvdP001MYVULxucJY2feNRxGrTBcAPQSSiurlg4demeLrkrjlPK	49	2013-08-02 17:50:01.161712	2013-08-02 17:50:17.585675	9		0
554	10bjfpcxbcfx2mcinn7nwel7mj	$2a$07$8XGgu2oK0yDFhpIuAOLpB.0ShTXHPcCPXo1Ae/ivCVEM1zmgd8AX2	50	2013-08-02 17:50:01.187311	2013-08-02 17:50:17.939178	9		0
555	10bbxvzrdjh1cqamw1xysfqhl2	$2a$07$7oPfUkNXkCpJnA/CRD99.OuZS5azcCrm/WuXR4.NibBCSjSPxjemS	51	2013-08-02 17:50:01.210212	2013-08-02 17:50:18.266823	9		0
556	10souafzqats5id43pkwkfrqp9	$2a$07$JmOPjL0xu0uUvizbbyhSfueHvpesQVfezyhOVlT6wc6sQUtgWKHoq	52	2013-08-02 17:50:01.237583	2013-08-02 17:50:18.590515	9		0
557	10hlnid0mrxj6wo3gw3gkvkhm0	$2a$07$dKZNxnJ7HQP.7msvODxAx.iveRxWJErQ1yXbe8HCMHy5WNVhOjYl2	53	2013-08-02 17:50:01.264208	2013-08-02 17:50:18.924692	9		0
558	10mar4l4y8x72u49gm7qyz2vgp	$2a$07$zxJfUCkT0g/dF.GmcNisNO.lONb.7A4mjwCpkvVqJZi.x/3zAJaoS	54	2013-08-02 17:50:01.290476	2013-08-02 17:50:19.27041	9		0
559	10obj4eogcle7v5hek2426dijl	$2a$07$6E8IXgavSodFHMinRNoBAOcVqpaA2.xnVkB7oaN87uB6hBKYiz99a	55	2013-08-02 17:50:01.313686	2013-08-02 17:50:19.625998	9		0
560	10rpbyloppwesy4vq45trfn2u1	$2a$07$gf4PnlSh.ZfMthcwWGJJR.XQV6ck.jhWWUJmQNbZ9Sis2DkeNHpmW	56	2013-08-02 17:50:01.336968	2013-08-02 17:50:19.990863	9		0
561	10xhh3hsxauk96w5k71woznos8	$2a$07$2rWt.VGZonplb7MX.KSQouxaOd5AccZAJxOWs2YJtzDIQ1wWZ4wMu	57	2013-08-02 17:50:01.360531	2013-08-02 17:50:20.325985	9		0
562	10qshe51lyek2p0r8ctende78v	$2a$07$kmkhuwOdLZlHplt23M3osOEPUhruuxXayqfNUkFZeUZovInRiXH2W	58	2013-08-02 17:50:01.384376	2013-08-02 17:50:20.647456	9		0
563	1051vlubuy6miekqhgqv9dkpin	$2a$07$DivuZ18LfbdKFLpXuh/e/eanr58Kl4y6kyoew.z2U1bNNku6velpe	59	2013-08-02 17:50:01.408163	2013-08-02 17:50:20.979844	9		0
564	10cv6xwp1q8hzil3fug3r2qfhy	$2a$07$R70gI2oDkb8QwAl8S/f0GeyAtItPmmrSHGWozgUps5oJ24uN9.cEu	60	2013-08-02 17:50:01.433179	2013-08-02 17:50:21.33713	9		0
565	10xcnze58gh1cr9i6r1ij123v0	$2a$07$R7f5UlN34PV7pVqOAgT5o.jybBaeH0UaQ7oBOrs366Ooj2vSp0wfu	61	2013-08-02 17:50:01.457485	2013-08-02 17:50:24.160583	9		0
566	102ktxih0jfgm5oxb1bov57r4r	$2a$07$PaPPfyJSqlXgYl4lr3pFsewb2WdzCiNAsIuz0gz9TLJB0F61W8aVG	62	2013-08-02 17:50:01.480355	2013-08-02 17:50:27.252802	9		0
567	10h270oqq3bdgagcd3w5fmm890	$2a$07$hCh7orMH9bsBP8ysZNMUP.RMwT3IzDJcDZjz32M5ZwjQ.8zBEZVSS	63	2013-08-02 17:50:01.50216	2013-08-02 17:50:30.360334	9		0
883	10l223sg71hee008h4v5ikjnd3	$2a$07$dzAkdwYMhY.PlIQnCpHRS.UDUgDN8zraggg9DxEhpsui/wLPSDMLS	1	2013-08-02 19:46:08.066621	2013-08-02 19:46:09.672967	15		0
884	10cjti669qe9vv3j9qflhh2m4h	$2a$07$Y2oA0YNv6ZcbJ1iPnW3/ous7.AVru5iEOCJxLDyRxjBeMsWu9oNku	2	2013-08-02 19:46:08.097031	2013-08-02 19:46:09.818095	15		0
885	10bdw5676y3z2fxs38ogs013h7	$2a$07$7wLXVrV3ShTqh1cpJudv2OU6QvjTkTbIuiYPuUFfFxm6nblkNhtK6	3	2013-08-02 19:46:08.118491	2013-08-02 19:46:09.962247	15		0
886	10mgzp7guht49gsacx0x7u4rx2	$2a$07$k5CREV6ROD84qq1Ym/6BfO/eTdnsqhPz7Dkz6o694KJhDOMnulqwW	4	2013-08-02 19:46:08.139939	2013-08-02 19:46:10.229454	15		0
887	100w5txe89yuo5comsmac3c37z	$2a$07$hXqopJR.YGHT6QdtnfriFeLfO0UU6.bK53dIl2WhH2ZE.TKyIWpl.	5	2013-08-02 19:46:08.161384	2013-08-02 19:46:10.359066	15		0
888	10ukd4ifvz03ih9wr0ultqkson	$2a$07$5goCUMIEj6xT/fjG60GPNOB55XKkLzr5FxmW4o7GVS1C8zU1IpYbS	6	2013-08-02 19:46:08.183834	2013-08-02 19:46:10.648425	15		0
889	100u0gq73auoerbko4d2z10128	$2a$07$69F/Yp6HTCkqrPnagTrdvuJL8Dcx8rzVibUCMvicIoRqGOxDPBQg.	7	2013-08-02 19:46:08.216252	2013-08-02 19:46:10.782495	15		0
890	10u23wfim23unkyfjmvr4ncwkq	$2a$07$pEbOP0Pt03LLkclkA7e9xeZIS8MLKpq85MYONoOnKnN/BdHuIHV1O	8	2013-08-02 19:46:08.249357	2013-08-02 19:46:10.914397	15		0
891	10dwxx3rkvt9b4p0l17l7hfx44	$2a$07$pMsnW0HMN355rwKLOOQWaO4VmJ/jAI8J.zCTfBSTdZBAQ53Dj2Abq	9	2013-08-02 19:46:08.285202	2013-08-02 19:46:11.039204	15		0
892	10g2u1ka53w48bxcdywkegdjb6	$2a$07$VT4wNJ12oR1.SFItTalNeermDTKEgSFtkERsNM/DXxfUuv.gior2y	10	2013-08-02 19:46:08.307051	2013-08-02 19:46:11.166452	15		0
893	106uiboimz6rfmhjzeczp5jz1z	$2a$07$rUImYDEPgo2XhpepQ5ygbuvDCctz.iYqF48BaZGmFzR06lLbBUKNm	11	2013-08-02 19:46:08.329024	2013-08-02 19:46:11.286301	15		0
894	10n26ea001ly2a188fsoigogeo	$2a$07$UMfwTP7tn8K9MdgCAANYB.0h.fe47LbZxl/d8.XQ6em4LhP7aaq3S	12	2013-08-02 19:46:08.352331	2013-08-02 19:46:11.415661	15		0
895	10njkm1h68mf57b5qpt9s3sqsq	$2a$07$fld0Vmwze8dK0LoHpEpwi.yIF0/zVuRIfGjHjkZCtZgyzd0DV2IZS	13	2013-08-02 19:46:08.374364	2013-08-02 19:46:11.786133	15		0
896	10u7jh9llmy2fgu0u9rdvng2cb	$2a$07$kf7dDkNuOSjuGhbCP.ZL2exEkkfaIOhpsBsxvwlq.GDXNzguKOBlO	14	2013-08-02 19:46:08.396481	2013-08-02 19:46:12.147866	15		0
897	10y4ntbfffersctbbmjqzhxkut	$2a$07$wSqKFHR3Lc62cAY7bvw98Ot32odE0GFyaBbu.CXwkXEvEOr0HedIC	15	2013-08-02 19:46:08.418462	2013-08-02 19:46:12.50879	15		0
898	10oewej0jvm1m6tat005ivoun8	$2a$07$SfCxmDTJzClQ9bDnTF3uZOn2ZrmUX24p1Ovjz2FCqDJhDZA0TmUfK	16	2013-08-02 19:46:08.440324	2013-08-02 19:46:12.776447	15		0
899	10k50j68hrff6ym3l9wwdgmovu	$2a$07$21x.H/RplYzxPXKb2MUAaezuDpRUzalhD8Yu8FMcECp6IGLCX37Oy	17	2013-08-02 19:46:08.463266	2013-08-02 19:46:13.107022	15		0
900	108ni5deg8780wnzjm4rp07kl1	$2a$07$/bw1NembMgzCtU8b4FmBVeBrsPW1BYAcaa.ENoUO.aVzSUHpK.jKa	18	2013-08-02 19:46:08.485978	2013-08-02 19:46:13.409183	15		0
901	104gjd215m9am13naur310kthu	$2a$07$CeXMpurQbb1l3iAMRpUy3u44oVcEBRDOnpX73bMsyNY4usicU4NQG	19	2013-08-02 19:46:08.508857	2013-08-02 19:46:13.765979	15		0
902	10dmgsb9o9dbl5hero79iracoi	$2a$07$UucUj3cqUu/nbYBrvkSoa.lKJW49SkOqplea970YCbIDGQNxm8o7W	20	2013-08-02 19:46:08.531638	2013-08-02 19:46:14.134305	15		0
903	10hbcm4h8ri1fykwkhdbnti0uo	$2a$07$vZARk/PPje7PrbIq0yD1Tu6R/bvSw.0PZJyawRW31tm0vvWqcJhUa	21	2013-08-02 19:46:08.555896	2013-08-02 19:46:14.494988	15		0
904	10rrff7hlp4zagnfcgc24lbyrw	$2a$07$/sxeTyGvt9WLuu0l.1u8MOxSwXMx3A21ul/0EXPI39wCy.OEQgJzu	22	2013-08-02 19:46:08.580023	2013-08-02 19:46:14.859515	15		0
905	10el07wadryrubf6mogq09671l	$2a$07$CAFovhBOqhfN13MZlGo97.mvzUBJfVB5TzabC/59wx3C0wpKqEBtC	23	2013-08-02 19:46:08.60175	2013-08-02 19:46:15.226053	15		0
906	10k56moxsvungqbbbvj8tu2loe	$2a$07$qGgmhxX3i3QOSG2gi0cW7eIBZBiYKz0KopSc5GmGttEA/6Mp1be3O	24	2013-08-02 19:46:08.624266	2013-08-02 19:46:15.588479	15		0
907	105upskn24e0zmr1ha8k4n8j1z	$2a$07$Kx/MSf1Z7ziTyDbtvp0eu.l.cbTydDrOc/.1PO18EQgaduSxhAVQy	25	2013-08-02 19:46:08.648289	2013-08-02 19:46:15.954252	15		0
908	100s40lz0hwaqt3dxg1he5dvhc	$2a$07$D3zGFuU9aTPSsnc790xKtOOh0JceFU6SlMoF2xeQYMxUIBXtkBtQG	26	2013-08-02 19:46:08.675186	2013-08-02 19:46:16.327853	15		0
909	10olec9vz619p9nt9zwm9dys5g	$2a$07$XJeOQsYEta19FEKPCo1/9.sMwa3QklZfMG12XwTAd.hNcqy5liJsi	27	2013-08-02 19:46:08.698889	2013-08-02 19:46:16.500648	15		0
910	104s3wa73njmbx0i97x8t9jm5s	$2a$07$3b7Xcxh9gFRhJIJ9xTVwXeKkG4h4jQsWxbRPALWLNfBX5LmzKj0oC	28	2013-08-02 19:46:08.7219	2013-08-02 19:46:16.657387	15		0
911	10tsiaw0ekmyvdp6byll1jqvmp	$2a$07$jkl/Xt30O/dFMH8w1s5yNusyjmpXo18KNzLL8doWO7n9EBArm0NiO	29	2013-08-02 19:46:08.744521	2013-08-02 19:46:16.785304	15		0
912	100dn0hgg0q80y7p9fvof3zwf2	$2a$07$TjBvSZQVOqEM5scxwy.nBuat4Mi0w8haZLOF2RxYfUFSk4hydsghy	30	2013-08-02 19:46:08.771994	2013-08-02 19:46:16.886691	15		0
913	10u5lr7zxa08bixyce7ick4k38	$2a$07$MbzAyxyI4OVuSZl/CY3Vm.KmPm41S2d1htlrjTyZuECgc1ajxV8aK	31	2013-08-02 19:46:08.796858	2013-08-02 19:46:16.975732	15		0
914	10z1iuamllxb5v40hfbsjo1x4c	$2a$07$iiIIAzojl7wA68SLBghUkOHKE3aBFWws1nC2xN8DxhJQNtHRTe1m6	32	2013-08-02 19:46:08.820836	2013-08-02 19:46:17.074245	15		0
915	10laqao6jzr9jvl6s227s991tq	$2a$07$XgA0o9KLzaO9EX8x2DPWjujmmdnq2/tm02K5Hm5wPY52BXAgA/tVu	33	2013-08-02 19:46:08.845721	2013-08-02 19:46:17.173255	15		0
916	101480khut03qwvb0prtp83cdv	$2a$07$NXsubfc4ovG5HQPGdfESf.de0spSVh37G5.ot48MfRI7pfIgwP/PW	34	2013-08-02 19:46:08.86937	2013-08-02 19:46:17.281472	15		0
917	10ahfczx68oqe3yp84z8e4xemd	$2a$07$jCLFyxmePZnlilYNa8y/qOVUr/BxUw8LzbNqA9ur9OrGXbVLysrEu	35	2013-08-02 19:46:08.893916	2013-08-02 19:46:17.391619	15		0
918	10t7pj94nvtoebeh28586stj1i	$2a$07$ikaYQ.52iQnTh0.I2.Yh1.MgSfyshtZSNVXTNzjnGOjNeq0nI7dYS	36	2013-08-02 19:46:08.920158	2013-08-02 19:46:17.510532	15		0
919	10hu7a6i0ii6f4plcwhg20ddrs	$2a$07$wsd4UenDb85fGppJYitdO.XU1E1YUwG5IYIJCCXwmEZ22sR1wVkgK	37	2013-08-02 19:46:08.945087	2013-08-02 19:46:17.665726	15		0
920	106tzydpjbdhqu3jmkjv3wf1tl	$2a$07$XLstab3RJTey4ZH/bfr5LewuY8qafSDxofHdZgfNjdW.fbFUq1eYS	38	2013-08-02 19:46:08.96828	2013-08-02 19:46:17.828486	15		0
921	10ai08xmcv3rqc2kdm2yf1i298	$2a$07$XXxMzu/0lGMY03ErxzDBCOrCM/g5MIlN8xY.K7VLCJgT2AYya2WVG	39	2013-08-02 19:46:08.99158	2013-08-02 19:46:18.193843	15		0
922	10qeo9ygc86rdurvlizd9cvs2x	$2a$07$12qR3ssD3KbouPt/IFXJse.ORZvCvKXv6ucCB8jdKdh0TfFhIYz6O	40	2013-08-02 19:46:09.014906	2013-08-02 19:46:18.576471	15		0
923	10e4us47l1sej1flrczj84is3l	$2a$07$EtTkQSxXDw7BKJky9aqC8uZiJ5wZXyfpo9sK08C/OK61CGeDdlp0i	41	2013-08-02 19:46:09.037838	2013-08-02 19:46:18.947711	15		0
924	10f6c0xkjvqncwb1nuq7ish9qk	$2a$07$5ucjcA8Y7tU6F8kVMX1znulC5y1izqP.UyJ0c8nPWzM.xPypE6iMS	42	2013-08-02 19:46:09.060631	2013-08-02 19:46:19.319359	15		0
925	10y64fvlwxv87ygxkeslzsixcl	$2a$07$gwTzLSbA1mzwgro6ZWdLs.IykrYxKG0miEXPFsvKDtjOMILbJydSC	43	2013-08-02 19:46:09.083871	2013-08-02 19:46:19.65891	15		0
926	10eipyfx1pr257lh383v04n0p3	$2a$07$exDM.WyVs.ZcuOC1Lhm09emnGzl7kRVvJh2LsJCRD/SxHwYweckmO	44	2013-08-02 19:46:09.10546	2013-08-02 19:46:20.018036	15		0
927	107zpgwqxcjbejs2n7zgevirds	$2a$07$vOCR98Sk/uwuslsg0ZgOuuasnhYaP8C4B034BJykYd/EjSqw9B66u	45	2013-08-02 19:46:09.128365	2013-08-02 19:46:20.390825	15		0
928	10mg68cfjqdzhksbayty4xha34	$2a$07$Y11FEsB.jY1BuIzjLNztweiyKUA12x4UOwwMFi/0mjL2yHmFKwshO	46	2013-08-02 19:46:09.151631	2013-08-02 19:46:20.750991	15		0
929	10lfc5a232zktzhh9nqvsvk46w	$2a$07$SDinAtu26watdWAkFBrMFeaemY0l.TdP9oaFh0m7VdXdN0UM..J72	47	2013-08-02 19:46:09.174325	2013-08-02 19:46:21.1167	15		0
930	100a8apsxbhj1e00kd6llcclg0	$2a$07$p2g/W.6snBgAKMoNL/57H.cwO4zKJccENKtllORN.I4AZMO960fCe	48	2013-08-02 19:46:09.195578	2013-08-02 19:46:21.476642	15		0
931	10ikz4ipbworwwrxioxnjvn74p	$2a$07$DA19e/Ehb.I9vVtAtGvM1.Py2rmksHy8flI1i.ufp7Ppuj5IMBLka	49	2013-08-02 19:46:09.218581	2013-08-02 19:46:21.620314	15		0
932	10nkb3o2ds8857b00krg0urekn	$2a$07$aQSLkP8amuv9o89iUtTF7OcT7YgmvWAwFssVgnwo5UqX6eQJ1ROz2	50	2013-08-02 19:46:09.239877	2013-08-02 19:46:21.792093	15		0
933	1029wlgmafsily0ui641f5ff8o	$2a$07$itmnT66B8Wvb.tC6C7GV7.x.SIeB9O0fCB8wetCZpYip2ROhf0hnq	51	2013-08-02 19:46:09.26119	2013-08-02 19:46:21.989444	15		0
934	10qktnf6ilqllak82g1qxyhuml	$2a$07$7nao0yP5xhxkH1RwwCBwH.u0ACgjszjJbCIdfXPQfOSnv/mi88elu	52	2013-08-02 19:46:09.284531	2013-08-02 19:46:22.35232	15		0
935	10ivub04yv4ckfmpcokymqzhzr	$2a$07$0QRH4T0wCO7pCp0.mmJflu94PsCaNCf2Fn2qvNkVSzuQ5bkI.C5m2	53	2013-08-02 19:46:09.30592	2013-08-02 19:46:22.713941	15		0
936	10p9r95umq4206m98lxkk6410v	$2a$07$drqzD1m5/Tv89vBZ5gAPou7pdI/t7JD/5CYFOaApGOvxD3JL/dEGq	54	2013-08-02 19:46:09.327216	2013-08-02 19:46:23.078644	15		0
937	10jtn0nubih6v5layf126qsui1	$2a$07$r87FMoqGHnZ3zb0BXjLxaOjPH11pLJPsJlBDlzoQtX5TgU/lEwcDC	55	2013-08-02 19:46:09.350787	2013-08-02 19:46:23.447596	15		0
938	105s1385fygd1vfyjecowix2m8	$2a$07$ERMu8I8Tw.CCP6/sEuruQO84jKmNVNfZrtPKDXQ4NYUdzunKK8cIO	56	2013-08-02 19:46:09.372101	2013-08-02 19:46:23.812354	15		0
939	10hc9kmhdqv9ykh8orwirw5suk	$2a$07$IoSJrE.GQnSImaOCztjbPeyWEY5LGdTGPQHCc7f6BoUlCqGJVFpUm	57	2013-08-02 19:46:09.393452	2013-08-02 19:46:24.160461	15		0
940	10vsu05w02lp46o3wtptfzg604	$2a$07$J8XqG2LxqHj/xxmNSVbC6.EcNm/7oYB6/dOa3WCFqhLnl8mCRmItC	58	2013-08-02 19:46:09.414767	2013-08-02 19:46:24.519234	15		0
941	10e7bsk9rndng18lnyhrzjr43w	$2a$07$f9iFJwao0aGZcGApmKvI8uyKLyS0c81V8KKd3QlDCnDDNwTbGNQk6	59	2013-08-02 19:46:09.437192	2013-08-02 19:46:24.881277	15		0
942	10nsgryqa1m1vqbg81txfbqolm	$2a$07$aSAoYHRKmjhV4PJxPx0DzeA8tNAqeHHz/UQQI4AubslJgD8Sp25iy	60	2013-08-02 19:46:09.458509	2013-08-02 19:46:25.235666	15		0
943	102u2uky20ufjtx0a0w7cqyti7	$2a$07$VMWQmjhVSQFIfICS/sjnhuca.T5XqRMYynP.X0jxpBYsVr2ws7hC2	61	2013-08-02 19:46:09.479952	2013-08-02 19:46:27.961148	15		0
944	10311k6q4tsrc2nds1swne9wvc	$2a$07$UmLoRCJgPx9n/ggO07E14eTmtu1AYiqzvXMpKG7p.K9Wau7M8O3V2	62	2013-08-02 19:46:09.501264	2013-08-02 19:46:31.054432	15		0
945	106jt8lwo1mdjzcab6ym5zq6v9	$2a$07$OecJhH4SDwU2V3hTbGtAzunvI4Sb6muhfw65/Yt0gYdF5iM2FChSi	63	2013-08-02 19:46:09.522514	2013-08-02 19:46:34.352106	15		0
568	1024zg6o1b6knwcix6p3kd1twl	$2a$07$Hwcsc1B8PjiCf.MsSn229OYAeksbnCQF3e12TDMi/d8NiH7i5SaG2	1	2013-08-02 17:55:00.052054	2013-08-02 17:55:01.786272	10		0
569	10vtdqj1q90sbbhhtu775msnap	$2a$07$/xI3kQkVQr4PpZt9OBmw6.gaJwiUmccePTAZtNLpEspoF0CO7BJcq	2	2013-08-02 17:55:00.080521	2013-08-02 17:55:02.157463	10		0
570	109b865hoqz1b0zyklvt3ljpdx	$2a$07$PZoqjoKry6Sv/qOhNz83ue5Uu4GkjFRt8qHML.YROdQSiJ86m5wlW	3	2013-08-02 17:55:00.102196	2013-08-02 17:55:02.519988	10		0
571	10n76mm0qpkvfj0h2xjh7mopny	$2a$07$FGSwEJvPxj7jfNaTL56F8eb5A5nw3BYI3Thlod3fehEstQSn6dv9m	4	2013-08-02 17:55:00.123676	2013-08-02 17:55:02.867223	10		0
572	10ox9dn70xu9h6l7aybj9mh27x	$2a$07$7N3CAwLhndGSptJnYUMoiesQv7XAhFQeqhvjgUxUKmlhrts84OniK	5	2013-08-02 17:55:00.145096	2013-08-02 17:55:03.193927	10		0
573	10lqyqkmqmypdfaf3ssk7zyd6c	$2a$07$OMPMr7bKQo8MfvM603Zi7Oblwi1KM/xq.h5DD2vlcZoQslWxVrIK2	6	2013-08-02 17:55:00.167031	2013-08-02 17:55:03.525948	10		0
574	102hr1ga21ywm9kk66t5ktgywe	$2a$07$3qnVyBtQe9QPlkfPetNuEO187BQj6xtfTYnfxepfqZQOuucZg3r0m	7	2013-08-02 17:55:00.188961	2013-08-02 17:55:03.8703	10		0
575	10lsmw4xfiv5n36yhg4oiphkvt	$2a$07$YRraheQXWHFeUB.pK4zm6uLrRGcMCwRu3izsnAA07AAPLb5kfKiDu	8	2013-08-02 17:55:00.210636	2013-08-02 17:55:04.233022	10		0
576	10u7jxyxdw9hlae73zux8afwv7	$2a$07$UV9hwxr0XXWKx08deOo8wuNjptqfEFpS127HhkNer47N6MsEZD8I.	9	2013-08-02 17:55:00.232249	2013-08-02 17:55:04.556626	10		0
577	10ezt03t7ffn8k01dv0tnloe6m	$2a$07$oYkLm58YYnCrsRxJ5XsH.u0yKqt2MiWPQgVnqYfuAZ/JhNX7HfjkS	10	2013-08-02 17:55:00.253895	2013-08-02 17:55:04.691131	10		0
578	10iqjq134z0uk0dm0o1luj1ef8	$2a$07$PYHv1QjGQqIinUOsLCeeCeMmjLYwu6GoY1X0TI9DLfPmYlNLH.37.	11	2013-08-02 17:55:00.275621	2013-08-02 17:55:04.820588	10		0
579	10u3bgs678rhb6vm98g4u6g54r	$2a$07$eofYpI1BL0FxbbxZOhv44eaFz6Dy.VFrJELdyQhfaAfFEMETBjRRa	12	2013-08-02 17:55:00.297756	2013-08-02 17:55:04.952147	10		0
580	10jr3ck3xc27x1hho3657z0pj4	$2a$07$qKiV5f0S2DdfR56TvXCIPeZ7AH8868/06XnuXB5xd6jQKk4D2HCHu	13	2013-08-02 17:55:00.32001	2013-08-02 17:55:05.305121	10		0
581	104aur0p6itn2dz9d5uyixzcma	$2a$07$APMAoFM3pydY7mk.JlfBFOBnqJfq5oL9LnzwqBAsQfbjl/DQpYoim	14	2013-08-02 17:55:00.341615	2013-08-02 17:55:05.672155	10		0
582	10y4cgxse0g5dn86do3faf6ae4	$2a$07$u5cPDbsXf0EemKrbgSPGJOjhI2Hnj1KCSecvbHofPMg851BtBjOUu	15	2013-08-02 17:55:00.363401	2013-08-02 17:55:06.035396	10		0
583	10as4sjrrv542zc1cabclbqiwu	$2a$07$/DgZ0IjcvM5Uh25yHhxB3.2tPplZa3e5mjklnxaYUmUcFerZZ5VRq	16	2013-08-02 17:55:00.386092	2013-08-02 17:55:06.377343	10		0
584	10ft2fue5hzvr0qhu9x98nxdok	$2a$07$7OPgDr2z32XgrJ1cIE8uIuDdGiWrCeciQBvfZZDiq/rSKOcrEbP0e	17	2013-08-02 17:55:00.40749	2013-08-02 17:55:06.634013	10		0
585	10aiuefvy7cvi1blbbxrh8rv1j	$2a$07$fD6lPqlFCN/BpETw337Iy.PzU1ryTCZmmlpO.pOiCrgRFU8EaD1IO	18	2013-08-02 17:55:00.428986	2013-08-02 17:55:06.788752	10		0
586	103oblk10dzorbvonkx8q19ssq	$2a$07$hycknNHaol2PdmbZtMb59eIF9QSsnhbeI1Vf0uEee6aPZOuwwFphy	19	2013-08-02 17:55:00.450361	2013-08-02 17:55:06.908608	10		0
587	10bac7yhzxyzenfkyacqt93ex2	$2a$07$LKt3KePoX6KTYMtEZ4RBmeVCRV.zcD4lh57qfo/eQaEkJkbizUaE6	20	2013-08-02 17:55:00.471905	2013-08-02 17:55:07.027041	10		0
588	10qoa0603q7t0muf37q4fijzzy	$2a$07$nSDhtGiqwLH5l2jB6bMbVuEXH.8o00QLGGGBK4wqUaYjlt1OA.bRm	21	2013-08-02 17:55:00.493224	2013-08-02 17:55:07.26208	10		0
589	10bdo8ruicp06sopvg2jlznmc5	$2a$07$9ztCJ3WybJSTa3BIr4.i9OHUGZjesN8hTRB3UrN9GJ0vAINYTRzha	22	2013-08-02 17:55:00.514626	2013-08-02 17:55:07.586013	10		0
590	1056mg1brbk4yabpckgutzusoi	$2a$07$/7yQCrkEH628FdwH.lOVFOs9x/ZumijEnLzFJZm0WDL7oP2cUMMF2	23	2013-08-02 17:55:00.535991	2013-08-02 17:55:07.922777	10		0
591	10no1b9xzsyvptmz143o9x8ob0	$2a$07$fPN068C9sn17VyitV6OylOOH3hmBqlwtDSGrCuzwDZ8pZvMEj3HcC	24	2013-08-02 17:55:00.557414	2013-08-02 17:55:08.271081	10		0
592	10ok0d1yniwimxscnftgfjh9rv	$2a$07$x3ri1a/Xv8dqEUNHeOpccOOof.VXFqZ6hIgnqDhFSfz0d5LjX83re	25	2013-08-02 17:55:00.578972	2013-08-02 17:55:08.614147	10		0
593	10oww3s13ccvbz0wjiucsvuh5m	$2a$07$m5o59Rm13P02gJFA9NarYeQiDWRHHc0g97coDMEFWEhXlBqLcgOta	26	2013-08-02 17:55:00.600679	2013-08-02 17:55:08.977305	10		0
594	100pwf98odj5xm1dsay9opmto3	$2a$07$eGgVXiVMJhvePIgLGQvHYulqYtE1woQcANueXHIx3O.J9gcvIIHqu	27	2013-08-02 17:55:00.622481	2013-08-02 17:55:09.346324	10		0
595	10oc1jxc609netyfuorai4iomm	$2a$07$PI/RsFAtLQZRFCnq1OkheOcw0FUa0sxm2Qb0Cdk2GdrU7aw3oFqli	28	2013-08-02 17:55:00.644018	2013-08-02 17:55:09.707838	10		0
596	10j2vz07x8om3jklep1f5fwsre	$2a$07$ZPV1/Y5TUsCbA0nX2FE3V.5OrdmVjm5QI/g59jKAzxHTN8uG/AYx6	29	2013-08-02 17:55:00.666827	2013-08-02 17:55:10.075872	10		0
597	104l4p7yihvazhxyoqppe086yt	$2a$07$pQCdB2cCOZUQSCcqrF/1/eVv5ppxF2UPTM0s0ZAYNcNzyYO1XDqA.	30	2013-08-02 17:55:00.688355	2013-08-02 17:55:10.434843	10		0
598	10iebkgqtszbsiqp3he213az5q	$2a$07$c.JbtDr8/AfiHrL9sFb/Ju9zPSfVXXOaNBkzvCmtqmERtN4tf.g.S	31	2013-08-02 17:55:00.709988	2013-08-02 17:55:10.802873	10		0
599	106cpiczgni9g1lmyicmpcfw5k	$2a$07$DyEK7qCrxTIPQG6ZmKfDDeKRSkCt3XTfwBuXNcJdLmqzUn706Ogc6	32	2013-08-02 17:55:00.731508	2013-08-02 17:55:11.152819	10		0
600	10ublvlgmfkeyjf7y69es0an5y	$2a$07$wiVMVBNL7YnCKyWOukBsGecMb91u8wS1xSCxnz5wPpwp9hDXOVHQ6	33	2013-08-02 17:55:00.752904	2013-08-02 17:55:11.477865	10		0
601	10n8sgtj02kskk5r4ojdakuduw	$2a$07$L9xOCIYl/MYSwgFkcgZv2OII9pJWzXwh./BFrkFZzvsCkjTUtu0xS	34	2013-08-02 17:55:00.774565	2013-08-02 17:55:11.575107	10		0
602	109p78z1wfxgw7aqjf5x7vf9gy	$2a$07$MJ9Yd9pOq7OfC5HbW60KA.WQs4xhSg1PloKuEnWvSmBeC2KIYtvNy	35	2013-08-02 17:55:00.79832	2013-08-02 17:55:11.667281	10		0
603	10ytrr0ysqsekw9q0w6pqef3je	$2a$07$3VvfesA51wK3FF6ROXBK.efdom17errZuuNC7ryKLZTngd7lyaWlW	36	2013-08-02 17:55:00.819826	2013-08-02 17:55:11.774569	10		0
604	10vz7r6i9x4rgttmv6ep3zjwjd	$2a$07$n2p5UzydN7uCPN2qWtkvwut1JNvYpnRvNxaomW7dLV6m3fLv2GC.G	37	2013-08-02 17:55:00.841202	2013-08-02 17:55:12.118434	10		0
605	10oijy04vasw9rejlign9gf3ow	$2a$07$vDicGs6AmGx37JNQ5JBFeeyYyPdGRdYkiGP0n84XKUHbcgIgItLne	38	2013-08-02 17:55:00.862703	2013-08-02 17:55:12.460772	10		0
606	10c1n9uiamufvpx79qqkh2ibky	$2a$07$qlziRzeRuEzJJMzpvlVcl.oyKSlY0XxYJk5UUGRQZqQ4pGOCT9Zri	39	2013-08-02 17:55:00.88407	2013-08-02 17:55:12.705652	10		0
607	10jaka7pq7d7i04blbsn4sgcnt	$2a$07$k1YQvDDEluexBpEJsc/gMOqDTCjdNWrdXbbn.TEK7KY2Ky6zfn6Bi	40	2013-08-02 17:55:00.905696	2013-08-02 17:55:13.071244	10		0
608	10qve3gcti90539qynv33lw9ky	$2a$07$yUoFplJC9IGLtEEUsxsUreC0JEpq/IllVgRJUGrP2tS/sq4/fHbM6	41	2013-08-02 17:55:00.927078	2013-08-02 17:55:13.434942	10		0
609	10hfghy6m2pb2s6gebnqxp173k	$2a$07$dFdjASsEMDTkoDWjmxsbL.i5j0tK9TM3TkRLyUIyA11J2Er07kSSK	42	2013-08-02 17:55:00.948411	2013-08-02 17:55:13.788467	10		0
610	10yem84xdbdugdl7p3dm91cfub	$2a$07$6D9aDS4FxJHickes7mBgputtu3TlCsfkcSP7eiHV8YI7KvgC7LZgy	43	2013-08-02 17:55:00.969883	2013-08-02 17:55:14.141537	10		0
611	10m44c5k477tti8upqrbiggwqv	$2a$07$AJdS6X88IUAHPHDFdiG/beerMSQ3j3nAQ/9QAOrJITIQrrXinZR8O	44	2013-08-02 17:55:00.99129	2013-08-02 17:55:14.466955	10		0
612	10cuqzur896jcvpaaifuzyu78k	$2a$07$rBYRbHtifHO0jDNPbiEAB.oZwaGpO4Qw4X6/xEKkDL06F2Ek5Bokq	45	2013-08-02 17:55:01.01479	2013-08-02 17:55:14.801921	10		0
613	10b8i6h46wkmdcj1aodqoqywpd	$2a$07$Nu6wAoBlcnxjv.eV3OQq6uh8vyLgPQ3r4bo1UXTWDVI5s1ADIZUhK	46	2013-08-02 17:55:01.037087	2013-08-02 17:55:14.971076	10		0
614	10fkb0ge7l8xtf7tt9rhecp1mj	$2a$07$WKVYu3yX.7.vB8oO0aB6xu3Ui1rW8zMvsXDvoFEDAr/LcN4DhxZum	47	2013-08-02 17:55:01.060579	2013-08-02 17:55:15.091135	10		0
615	10bknpwjta9v9b33koau8egsg2	$2a$07$tvM0m4rZtiZ2xwfSJIn88.AjXeV5FSvhqdprT1w7Diys/cUiJ9Nqi	48	2013-08-02 17:55:01.083957	2013-08-02 17:55:15.225328	10		0
616	10dp1u0l68i4hv8h8y3dcjyunc	$2a$07$d/6u/qwS8c/.ySgVN9cAAOsD9K/IOXaWpuB12jQOUjialkapzYK0i	49	2013-08-02 17:55:01.10561	2013-08-02 17:55:15.58136	10		0
617	10gkgghpgi209lckk88bpkrefq	$2a$07$bElOssnhOpjXAhRTNR4Cv.TJBvrd.NIGwdasRHM3c7vArJp/Pp65y	50	2013-08-02 17:55:01.127193	2013-08-02 17:55:15.949087	10		0
618	10d6czm9kmfvkzekeg1jg1eqge	$2a$07$AwsjOEQyoLssPD5tB7knpeD52Z0TgR8pbzDDKT8uAUSaX4q3R1lme	51	2013-08-02 17:55:01.14853	2013-08-02 17:55:16.299181	10		0
619	1088i6q56e0w27uromy2bpft5d	$2a$07$MuqTmMWjdnm/3gEreMXjjej8KQkV1FZoMACq3ApT3nURCDNshW/Ga	52	2013-08-02 17:55:01.171691	2013-08-02 17:55:16.661863	10		0
620	1013b9f3sdz1zq5j2cojpqep1x	$2a$07$iwYOb1AAxZGHkAznqys74ehMhI1JytbxNoL5HyTPR4glZqzUuPN8C	53	2013-08-02 17:55:01.193902	2013-08-02 17:55:17.027764	10		0
621	10azqzp8okxt2ndjh5spbvqhg9	$2a$07$6nLrIhZWwxiBatNjefyTneiRn/yROpZCw7EdQmFcJkI3VawAOj6/a	54	2013-08-02 17:55:01.2153	2013-08-02 17:55:17.397814	10		0
622	10vk27par8fv9kbr0bv4e1geg0	$2a$07$bKElC8Pu80hWeRe1TIagWu9zQo3X8fovbqkjGhTuMb35USn.UlAsi	55	2013-08-02 17:55:01.236781	2013-08-02 17:55:17.756905	10		0
623	10z1gsd8juhbo8az6jjj6u08mi	$2a$07$XkIYd0Q.QgBHlv7D/cMvbuO.m.eORPT00O0rYj8F0zdgUR.svMUV2	56	2013-08-02 17:55:01.258287	2013-08-02 17:55:18.124287	10		0
624	10ewbzx9nspzicxvmnc1qh4pwk	$2a$07$KGLBlWGPtlGmcB33tdadfemEhavkjWK/O2q5XnBIfe4Lbpfen762W	57	2013-08-02 17:55:01.280988	2013-08-02 17:55:18.489826	10		0
625	10lto4gk6x0arx6y22kg9670x0	$2a$07$gc2xavRE8zPt75C83/rMLu7LLr5QJZHet0PgmB/2cqY6lJn/iWQ3.	58	2013-08-02 17:55:01.303175	2013-08-02 17:55:18.850896	10		0
626	10ij0jnvc9kx9pu1xyj034bxjf	$2a$07$95iTXZw3TgAPn3gVtBFfKOLZ/83rrN/2TMZejIhPGgp6v9kxPwfG.	59	2013-08-02 17:55:01.324668	2013-08-02 17:55:19.220865	10		0
627	10g34l73l3k52zq4ug1vsbzarv	$2a$07$U1R7LjTNQEbuyOXvBJpMs.DfWk0mI4IUU/uPKWGnPtmZmq0Cyslvm	60	2013-08-02 17:55:01.346127	2013-08-02 17:55:19.584303	10		0
628	10tp3pj7tdk1ah8ma0wt77de2d	$2a$07$YIPMPxNyyw7KmvMAjHQNVO89WCc4Zq230M0rEo8jITa0CHpBxrqCS	61	2013-08-02 17:55:01.367379	2013-08-02 17:55:22.342544	10		0
629	10pbx7uk08b8kefhgf0las8lva	$2a$07$pDj2pY/Ztpyq5Lru0xZvFuk3B8KXO/7MBqbCIVZssMDaZav0KlHuq	62	2013-08-02 17:55:01.389257	2013-08-02 17:55:25.432931	10		0
630	106er8co9ks9q18brscp7pm85p	$2a$07$AJlQGoAC3Izz8iP29o3RAugacVWSKmmhTHgBb0okulhbuGrIEvmky	63	2013-08-02 17:55:01.410523	2013-08-02 17:55:28.522531	10		0
694	109jxs8517waly4ziolw0t9fkz	$2a$07$wsBT71RItyGMWJl4qzsrAeDTMmP5pY9fmsynaLK2iklz7PeA4G8vS	1	2013-08-02 19:30:28.107018	2013-08-02 19:30:29.666489	12		0
695	104x5sc9kg147eyh4z3hjmn9vo	$2a$07$7sk2GkPxkNvJssGAKxSYley2kV6Dw9FVtZVBDrhOPqutpY0eoHV2O	2	2013-08-02 19:30:28.141608	2013-08-02 19:30:29.827532	12		0
696	10s9m2siicekkvu9tjkzlh13gc	$2a$07$Ezpk0gVvSf3TSsd4TRXkV.eO6dOAKsen0yf7XwQMBUIRTVjmy7WoW	3	2013-08-02 19:30:28.164097	2013-08-02 19:30:29.969683	12		0
697	106jl3xr8axi3l8ekkhp2sikmv	$2a$07$yjfjNdD5rNWoh2DqooCywOCo/7Vdu3gdhyBpcvlhLbJd0l67MfpBy	4	2013-08-02 19:30:28.185667	2013-08-02 19:30:30.098443	12		0
698	1071dliq4nfygglj09i6712yyg	$2a$07$FdGRr/maZaTiLjgsOlI8Mu1d3AeQgfbpjHmj8HRjSZ1l/V2ryw8Be	5	2013-08-02 19:30:28.207238	2013-08-02 19:30:30.223821	12		0
699	10f0lxigfcfns3b9mfkg3lecu9	$2a$07$4Bb0jn/eml1CCqaPYgU8iuU1ns3dRzkplo6A20Y535gRYuoHi475i	6	2013-08-02 19:30:28.22867	2013-08-02 19:30:30.354494	12		0
700	10zae8l61spmjed1d1lf2zp93m	$2a$07$WCMbMIY8Qrz4xY1S.KPi.u/t4yz1eEisiY.peNF.cLOuk9b0gVxq.	7	2013-08-02 19:30:28.250904	2013-08-02 19:30:30.486538	12		0
701	102afgg7hhnezwm4uvz1vzwdpn	$2a$07$NHbnR5pRERgFbZTquu62SeNq/5h0oZti80n0UF0S26gurFsliiGL2	8	2013-08-02 19:30:28.272434	2013-08-02 19:30:30.625995	12		0
702	10j8c0f2z0fkbik1bb544iq382	$2a$07$pLeQahnP8iQuqCYwZtMRoeisfsQGBeqzqyBluRN5wN6mazJIjXFhC	9	2013-08-02 19:30:28.294021	2013-08-02 19:30:30.7567	12		0
703	10ns3y9yjc5f11bc0k339z17ii	$2a$07$QwNulKxHj1F7KldlqC7DouwX83d1RYIlVc63a1KmLyj8AOwvyWG6W	10	2013-08-02 19:30:28.315503	2013-08-02 19:30:30.88497	12		0
704	10hrl8w93shegexibds1uk3h11	$2a$07$Z2C8iLrHIMjqv0lEJxyZI.UcdjOjJv5VtDcI0vqjQLZYRUWrP0pVu	11	2013-08-02 19:30:28.337001	2013-08-02 19:30:31.017272	12		0
705	10h8ibh3q1hfmcclskjfh4kzod	$2a$07$mt5/196eTdEIGF5wQt/tiOUK8Q/a4MGReA51f6OWEOH9/HYwB4Ldy	12	2013-08-02 19:30:28.358473	2013-08-02 19:30:31.141164	12		0
706	10styflfxsub2he11ixi73podw	$2a$07$ituFOQQwoTxPKjIeofgx7OpXBbKGuGiXvKtlSD9pEmAVpj0KzBwVm	13	2013-08-02 19:30:28.379841	2013-08-02 19:30:31.514245	12		0
707	10f61utt544hhgzvt7jy9jpbf4	$2a$07$qIwm0sA4NNoAjdiXOb1hueRYcIBEzgBxNenAPRBe7Dq376KSv1mAe	14	2013-08-02 19:30:28.401183	2013-08-02 19:30:31.873673	12		0
708	10qk9awjvbsqz1ttp7ivhdh1cj	$2a$07$FI.aWDsIXu/wSjntBLj5Ju/MS6s9lMUIx96dj6.6dgQupRvDNNLlu	15	2013-08-02 19:30:28.422673	2013-08-02 19:30:32.247823	12		0
709	102w0v098zjwucyc1da7qxqejy	$2a$07$4l2wGyHyFGclNw2Whxd8NuOEAz3a2MOyCEZiqsQxR8OGsll485mbe	16	2013-08-02 19:30:28.443917	2013-08-02 19:30:32.410681	12		0
710	10ss0rd53xlnoek5lapwlxcwej	$2a$07$7E0KvbMrGHv97yqvvwAB0e/K.FjrwGwyiEqKZ8ZzaJn2fYAyUJVRi	17	2013-08-02 19:30:28.466965	2013-08-02 19:30:32.604952	12		0
711	10yhuyvkj55x8u21l4ynaf5j38	$2a$07$MJGzRkHt1doO2wxxeoEDc.BYb5s0pkpmUOZzOixCrxNIisKOZy4Z.	18	2013-08-02 19:30:28.498005	2013-08-02 19:30:32.849802	12		0
712	106w30qgo3igjurfussloeh0wg	$2a$07$VBO2LRWjZj5U7B0oE4Afk.uRYvDFlvV.kkZsWl4wFxoZ9LbSwk8YG	19	2013-08-02 19:30:28.530183	2013-08-02 19:30:33.219261	12		0
713	10ieeom069we7w39mzdfu3dejf	$2a$07$oQEgV0oQnZR8Zah842QHi.XpV9eE5cvCr27/EaVwlzkhz5alFIl.u	20	2013-08-02 19:30:28.551783	2013-08-02 19:30:33.583288	12		0
714	104peqbyd2n6l00bh0fhgcg1yt	$2a$07$Nwdoj5xMGZh4/oGh..WYGu3FGO0Us8cCyzykCPsT15FYq1sm5WuFG	21	2013-08-02 19:30:28.573226	2013-08-02 19:30:33.793256	12		0
715	10fuquu51cgv6eo5glmtue7uv6	$2a$07$viry18gYw3Y8bGZpu0N.FehndIaWYONVRiZHtOX4/90EhTWmogsw6	22	2013-08-02 19:30:28.594838	2013-08-02 19:30:34.165296	12		0
716	10a2kh8zs1ewunidl686ly8wx9	$2a$07$ye9d80nFoYxLdcLDYrI9uOEoTWjaGtbDtn8wRmnA8Xwc.BPyE49gC	23	2013-08-02 19:30:28.616837	2013-08-02 19:30:34.526486	12		0
717	10omtjz9aumtjgz9tlhghvpuln	$2a$07$SSs/VGk9OHcfZV6fDFrGBOizuucMD/AlC7A6nYsoUXcyvY13LgvN6	24	2013-08-02 19:30:28.639021	2013-08-02 19:30:34.896146	12		0
718	10xdru01wrssyeh81av70dgh4k	$2a$07$y/NMREVPuRZwHdDxQmcKBuJXSprD0Vi4AvxQnnH1193ArwAGGeska	25	2013-08-02 19:30:28.6605	2013-08-02 19:30:35.267022	12		0
719	105a3c3nmku2j9g2fktyaoz1o6	$2a$07$Xr5vL.sNUiSlzeKySWNXQOLxx/VvS6wMsCeGVeHQyHkJ3UDh10y6W	26	2013-08-02 19:30:28.681996	2013-08-02 19:30:35.635654	12		0
720	109eulxb21smskfvzetw3ehwo2	$2a$07$VbhiMQF/iJqw6tybp/jwuOUwqn2SPYjNN6WrFSLvzs2lUPwAhhRAG	27	2013-08-02 19:30:28.704493	2013-08-02 19:30:35.99902	12		0
721	10evgfmppu2mh00dnhip6ndj00	$2a$07$JqgyxsL9nDzegyoEx0LTE.7OvhAOjJnNSXwKcco7FlfqAaHPDj8ei	28	2013-08-02 19:30:28.72609	2013-08-02 19:30:36.348522	12		0
722	10jk3zjexqjf84xx0v5ntehvzx	$2a$07$Ze/wrvByrT/caaVniQk/mOg5vHe2kuXPCIuQZaIsc39oeDQk56fd2	29	2013-08-02 19:30:28.747504	2013-08-02 19:30:36.683151	12		0
723	10dhwkchl65aev0zpynd7mzhfz	$2a$07$lAduZkcDYVsUXpLjG5V6G.Xv1yiehCtGG7EMRT2zaCKw.YzQFpjSi	30	2013-08-02 19:30:28.768856	2013-08-02 19:30:37.03625	12		0
724	10y16977zg7ejqgzidht26vhiu	$2a$07$SFjNQmbknSTBpt/ysVCaBeIHGa5wMoKSdLkqAYrQAzWNTMZjzb3zG	31	2013-08-02 19:30:28.790148	2013-08-02 19:30:37.193948	12		0
725	106qm7x5gw0ut8ij0afwrhtsh1	$2a$07$uzZ0UhD8R6T.Txcxdlc5aOLDuaX7Taui8bVOCP.eWqO2Ozfz41Hg6	32	2013-08-02 19:30:28.811456	2013-08-02 19:30:37.530651	12		0
726	10soo9xw0dcueydowte3tdz79r	$2a$07$xGR9JM3PILhH.zypvJLuZ.ekjP5sFVh0uNhjEB4ojEwL45xT0XB.m	33	2013-08-02 19:30:28.832915	2013-08-02 19:30:37.895648	12		0
727	10o33lt2xpl892yqqmy5c94mkk	$2a$07$yId9shNKJKRIEMgADl1fDOleP3w0vwR9N.8wsRjeMPeR/Fgtfcu/y	34	2013-08-02 19:30:28.855766	2013-08-02 19:30:38.034563	12		0
728	10j268o53i3fstd94lq3h0byh1	$2a$07$nR01mtpgzfVoptDirq/GEu75VPcQWFszcOZBnx5m6sjuHT/Bw6/zC	35	2013-08-02 19:30:28.87747	2013-08-02 19:30:38.174702	12		0
729	10nfw88eowu011zv0ayufi692r	$2a$07$FsIYHO9t398EH.VKAj7Lsuya9YYmM0.ZG9WUYiRf2xHK57h8DEM.G	36	2013-08-02 19:30:28.89932	2013-08-02 19:30:38.31188	12		0
730	10su61ju1e3in6jdbm2b960bo9	$2a$07$dlYSZ9TO3ETt37dJ1b5zjOzNRlAS6XgMABwWmQD5D1kJTAKMH14sq	37	2013-08-02 19:30:28.921441	2013-08-02 19:30:38.683901	12		0
731	10m1o2jb3wfvrktlu1qr8azkhc	$2a$07$rRrzwwTDJkN/dGS3/bquUuI009Jr/GC9EUghZn6wIoC8dXOl.xkm6	38	2013-08-02 19:30:28.942951	2013-08-02 19:30:38.886357	12		0
732	10yrxzrrbh1v9hyd3n85ax75q5	$2a$07$X4J1AMd6zFgUe2u2GNprRe3IUbqnSU2Zog2cule22cGDs4S3ophu2	39	2013-08-02 19:30:28.966079	2013-08-02 19:30:39.072301	12		0
733	10p9a93so5tk4gbb5eg5s6timw	$2a$07$rDMFtTPl8cjztbXA.SKfYO4.l.6kh6EMrpzpHMPafEOkjv50nh07a	40	2013-08-02 19:30:28.987693	2013-08-02 19:30:39.441284	12		0
734	10dni860nidjp39s7892ipwv83	$2a$07$OkDLc4ZTuIzFPcxId1SfJuiKhjQ2ZSi6adMo9lMBaGMxlwb2SnCoW	41	2013-08-02 19:30:29.009255	2013-08-02 19:30:39.795026	12		0
735	10n2u7lvpu357rzdyzm7vi39f9	$2a$07$JcmenkONeeeWdPk4yuv20O.56YIu78Lol1LotATyvjIA5pFtSLF0i	42	2013-08-02 19:30:29.033455	2013-08-02 19:30:40.151851	12		0
736	10fihub6ypeng05dczi8y14olr	$2a$07$tJ5uzXS1EuTBmEATXzd./uDSQueEh5ZgFiSLE3ixeKlDralHK.w/O	43	2013-08-02 19:30:29.054481	2013-08-02 19:30:40.279601	12		0
737	10cql9vkrydopgxdzz3lnqfhn6	$2a$07$phxuXJomAKkbfgzFrqVz/O/E66hpWAkLXQehKaZAUbbX8bdWp58uK	44	2013-08-02 19:30:29.081718	2013-08-02 19:30:40.374474	12		0
738	102q8ug9f4l0d3qk29qyugkdud	$2a$07$sjS97GiQN.cxJ/4C7X4OTetjBPY98ux5scTC0qmJEWQSyT2I90tEO	45	2013-08-02 19:30:29.106214	2013-08-02 19:30:40.467331	12		0
739	10i24wlitzrcx4gdwcmhzu9jer	$2a$07$O.pM8X.7g9eLw.nJiQMP6uJ9WXfiokrGClqOzNE06VVYUh54Hnn3W	46	2013-08-02 19:30:29.127886	2013-08-02 19:30:40.804914	12		0
740	100dvam0pprrl3yesmiajcll7x	$2a$07$vSU07qRSd2HgMxvY9nQUpOh1fxVfaBDLFapRLKHb/fAIR3Uk0cHrC	47	2013-08-02 19:30:29.1516	2013-08-02 19:30:41.173714	12		0
741	10s6e9nvz8v7sim2oqwoiec0nn	$2a$07$OgNR2SKAUOhnK/w1z8HnS.8LYFgfAqozgcvCds5SD/5p8d75J6FOC	48	2013-08-02 19:30:29.17449	2013-08-02 19:30:41.547845	12		0
742	10rrxnx02em5n8ys4bd9bgxfv2	$2a$07$prRAluhU24.6dovqjUyigeZ4oPV.L5R3YMj1HW9mGcM3qjeiopxKu	49	2013-08-02 19:30:29.195968	2013-08-02 19:30:41.768864	12		0
743	10i5ar7th772hv4ne26ss5tj7h	$2a$07$6ycc0pQPSK1M3/hgxrqJzujF/rZq4V9VYCMlwnwK0Da.dZNuUnZ.q	50	2013-08-02 19:30:29.217606	2013-08-02 19:30:41.891547	12		0
744	10gd30xs5xjyyhx7id2j7uw48r	$2a$07$siduRuZN4naH//mxJZB5muBc/ZNJlM5HUlRwiUltmHtDy1/47I0sW	51	2013-08-02 19:30:29.238918	2013-08-02 19:30:42.041136	12		0
745	10z9a6t9w9xnn9xanx8zul5gsq	$2a$07$NxlecqTYuFWyXJ3RnTj0RegSsR1T/.xoLtPUE8MEvoq4Olu253bsa	52	2013-08-02 19:30:29.260292	2013-08-02 19:30:42.375952	12		0
746	10wsm7pva6st0321vxdz2dufne	$2a$07$IqgpquWpz8WrqFsWpwVZDuZI.z8gdms8iQz7iUWWhM5IP9D0QT7HS	53	2013-08-02 19:30:29.281999	2013-08-02 19:30:42.77708	12		0
747	10t5b7mzlvk5luxll23iyzf1q0	$2a$07$wDix05yVivvFTlw7RpDgNO27FCJah0kxwMfVLaGaYaZABoOrOJYw2	54	2013-08-02 19:30:29.303304	2013-08-02 19:30:43.146829	12		0
748	10zk5nlyarcg69nb0titp31rqt	$2a$07$BOduW8E/OUgotezPtXGjD.9d5UjDRKaqYTioRwtBQueXqG0YF0fUS	55	2013-08-02 19:30:29.324691	2013-08-02 19:30:43.510382	12		0
749	10fn4obs9jdxynnl5ws52rw6hp	$2a$07$g7b.Lf6EiTwtCZ655q0ak.g3OzAGfH/p07CthkEVw0CvyBwlXnLTq	56	2013-08-02 19:30:29.346289	2013-08-02 19:30:43.873769	12		0
750	104k9znnzff5t1e2h0fxgro4zp	$2a$07$AycCNDZjxjg6QUWz3Q905eG9Jbi/6ohvvNKFT7cmwvKROAVtYFE6W	57	2013-08-02 19:30:29.367651	2013-08-02 19:30:44.23054	12		0
751	109w080co35fnwclx185yf5gf0	$2a$07$bBQqBppfGTPSzvwVNEQky.mF23apcIphK3JUWHx6OrW1/73PnJcpq	58	2013-08-02 19:30:29.411859	2013-08-02 19:30:44.599174	12		0
752	10hakxr826y9xd0rmyl0ejhd3t	$2a$07$ASpM3KnSVOJSXuQnMfD.TuVU0HJ7YrTez7xdRFVWy6oLDzma1lmla	59	2013-08-02 19:30:29.43371	2013-08-02 19:30:44.955362	12		0
753	10v9ksp3ipotxsxyu3waur52md	$2a$07$84TgO5dO1WywzYzh89yea.2xibiElFBE1VMRICZPfg2QlawUHw1xe	60	2013-08-02 19:30:29.455074	2013-08-02 19:30:45.321165	12		0
754	10lagqhgxmnl0g6stwxwydg2nc	$2a$07$3bY4pCAnjedMgWADasflb.KLig.1hkcg3OqluHwFlwq3OxWPQAB3y	61	2013-08-02 19:30:29.476386	2013-08-02 19:30:48.050225	12		0
755	10nc1bwkhpj368ur8r6sfggyin	$2a$07$.9y.XG4QjDf5OoQKjUwf0.kP.XwVV0NuWomNloabmsKmpSs3Cjcoy	62	2013-08-02 19:30:29.497754	2013-08-02 19:30:51.095143	12		0
756	10d3jqztzfnydaeq1tjtqvt9js	$2a$07$NjEIehOaHMuQ0S/1S2oD1.N3rQ5LzbsfsedAR3mRB3oP1gBzJNkJy	63	2013-08-02 19:30:29.519171	2013-08-02 19:30:53.998475	12		0
1198	10sqm0jncprya37ifktbnwpjbz	$2a$07$8EmGl6J4D0zXdZcCzB3UmOju1oD1YsPDYJHAHCuknQrPKQ14ObL8.	1	2013-08-02 20:15:16.05133	2013-08-02 20:15:17.592348	20		0
1199	10mpt4f6wi55gvrl71m8hkkcxe	$2a$07$IBTr6hTkY7M98KoXHhtBPOrvvETOF5F6p6OCjP6AlsZjfTQXXhenK	2	2013-08-02 20:15:16.07488	2013-08-02 20:15:17.711075	20		0
1200	10n1v7dnnq51q8gj0qcfgg8icu	$2a$07$JJ.M9QRxf7tibsaimMkF5uPJ0nZYcT0RnNUkuzDUtK4EWdZvckVie	3	2013-08-02 20:15:16.096407	2013-08-02 20:15:17.83804	20		0
1201	10b8jez3yr5s5qyexnu74je4h8	$2a$07$DPHlcJ4tHF2ddXIOYEORLOAfjUIyaBBWqCYd3JS9jEmBfmLhKYpU6	4	2013-08-02 20:15:16.118024	2013-08-02 20:15:18.196603	20		0
1202	10yeqa36gvdc3b0cmrdhrpgobp	$2a$07$58VyvpAku4UrJOrJI5.qNuNZldDmzkFarUEsONjdISZYcdSMc1mI2	5	2013-08-02 20:15:16.13947	2013-08-02 20:15:18.369161	20		0
1203	10ipxpjy7ptfzogjqdbgo8aqci	$2a$07$ufZt6DFJlsK5SUvEjNMzfOOEQ/kU94/Y9M5ObbVBYhWaz7mpCkbMO	6	2013-08-02 20:15:16.160928	2013-08-02 20:15:18.538427	20		0
1204	10b6z7i5vyw63hsgz2c7a673c5	$2a$07$JSjVDvvjiPDZg1WOXvvwUuetYLcPHWqOcE4B81jM87X522QNz1.XW	7	2013-08-02 20:15:16.182422	2013-08-02 20:15:18.66993	20		0
1205	10brgthqznwx212ytmapxos3ts	$2a$07$CPkJoqTT80ya6vXL8rtWhu0vjpklCz7Qw69Lxl1owEYRoXafOj9vq	8	2013-08-02 20:15:16.204133	2013-08-02 20:15:18.781445	20		0
1206	10bqv3ym5ytjmdswcccewpnc42	$2a$07$fX0yXDrGHrjq.VAz.Hov/.iCoi6XBZ9/2S/DrUpAEM6K1KeeaC3lK	9	2013-08-02 20:15:16.225659	2013-08-02 20:15:18.90757	20		0
1207	107j7xouip19l8ughp13whl0aa	$2a$07$w8gEjYkPOWzCsaTziIgb5uIUT9i0DkLhoU.Yn7rssf4jtLQNJ4SPu	10	2013-08-02 20:15:16.247109	2013-08-02 20:15:19.041005	20		0
1208	10ezr8gsfracdhtk9vb8grlbll	$2a$07$GxCLfnG1jkSoorwTEHAvfOsimCYGxyiyYrcX5PGT4d3QahPbUmngG	11	2013-08-02 20:15:16.268826	2013-08-02 20:15:19.170231	20		0
1209	10pd3zjyzqcey75mrehkql6k1w	$2a$07$8WLzgn5CeqqC3LrjbZ8yAeFTfCmDVo1Rbz4H3GdP3YBS4/ZRPjwKW	12	2013-08-02 20:15:16.290431	2013-08-02 20:15:19.302458	20		0
1210	10egj560p9rpju009kqj02p3wz	$2a$07$7M9dO0sHDVTr0HwgcwQYSuVvSLqOaqET2UnFIHb4L.fgydWU3IFda	13	2013-08-02 20:15:16.311893	2013-08-02 20:15:19.679701	20		0
1211	10jfbkywoj9spnkq6x3iaxukyj	$2a$07$wY2RR5vKpCouTSYQW8wYl.Z960O0owATYzo.0Y4.nBx8KB9c4NObC	14	2013-08-02 20:15:16.333358	2013-08-02 20:15:20.057973	20		0
1212	10rbb3saxlph3hbwhwltmm2e1u	$2a$07$yvXlR9c8m8xzOYYDG0gh7.auvwJHqm3LK4VtL0fEI3qBDqCDT9JbC	15	2013-08-02 20:15:16.354851	2013-08-02 20:15:20.438331	20		0
1213	1046ecza4t0s3ma122dsqi3gg4	$2a$07$U1Ih3wjI6QVqUBj.v0pf7u9wYAK2ugCZxODuNFDjTPltJMvGQDm/q	16	2013-08-02 20:15:16.376371	2013-08-02 20:15:20.583781	20		0
1214	10dsosyqclyy6biyugwigwq9j9	$2a$07$FdQaEnTWR00xHiMXW6MpWOPxQzt6x8L1tNegCWzaeoZpTR4QvuV0K	17	2013-08-02 20:15:16.398186	2013-08-02 20:15:20.760146	20		0
1215	103u7wxh21hrdups0gu18rps0r	$2a$07$KMULiC2yfefVojxYgyvKQe0Lf6.I7e9hH1AghlAuRMiQe9Sqx/aGe	18	2013-08-02 20:15:16.420014	2013-08-02 20:15:20.943801	20		0
1216	10lycqkfysuinxbmh25q25q21k	$2a$07$yg8Jf0ha26Da6vfIVgWFXeZPA1nyVp.jf98QLllF902l/LqcNU6uq	19	2013-08-02 20:15:16.441775	2013-08-02 20:15:21.293046	20		0
1217	10hpeblfz5ijx0d8zde8u3l2en	$2a$07$T2.bbqpu8yo3wlhs.EaJuOvGdHvyszSuup/bjA7UN7.DbzMhNlir.	20	2013-08-02 20:15:16.463213	2013-08-02 20:15:21.652117	20		0
1218	10kioxbd1k7chj960aitrjve1b	$2a$07$DfKL5SWQ2nLgQMDnknH1mezp1Cn4Lpc7IBpDQFrj7AJEnZt9kyQBe	21	2013-08-02 20:15:16.48453	2013-08-02 20:15:22.02989	20		0
1219	10ewttvv8iz61nsg2f4u2z7yq5	$2a$07$CJk6b2pIyJzxXFuMfqYPJ.U5FrVRqz2wDqcPyBnufzm9zsUuENTSW	22	2013-08-02 20:15:16.505886	2013-08-02 20:15:22.391348	20		0
1220	10aqb47v4233kbixorlo5cm4ms	$2a$07$B9JEplPNQNDBytESvewoReGUTBa8ZR2cXEDm/eTIIrLyyETHsRx52	23	2013-08-02 20:15:16.527467	2013-08-02 20:15:22.606991	20		0
1221	10vrp2weiokrhkm5f59cf1sn3z	$2a$07$4MWykw2RUsPh3C9az8p8qep1aRmMRBZO4XfGMiqAeYNHTilhS9NSK	24	2013-08-02 20:15:16.548826	2013-08-02 20:15:22.785292	20		0
1222	10jv2uiqeywai0qlcszn2uftet	$2a$07$Emv4dEONirevMWFK0ySLme1ALBb4FoAbN6iLBcYWIWfl4zLNp0YBK	25	2013-08-02 20:15:16.570393	2013-08-02 20:15:22.990149	20		0
1223	10lxv9syq57kryx24495xycj5j	$2a$07$7Y/VIyzrMQmY3Y8gIL5dpu/YSzcJjovXfIC7r9btHoG5br94Ju.he	26	2013-08-02 20:15:16.591687	2013-08-02 20:15:23.152316	20		0
1224	10d2xsoz2o6c24f44ez68lazkk	$2a$07$/gggWQkf1l2SynK16IDqBux2WuDzq4GY47BW2OlvfbnORycEtcNqe	27	2013-08-02 20:15:16.613375	2013-08-02 20:15:23.385418	20		0
1225	10lbpe79z9fttq5r9ssutp5alo	$2a$07$a73JZUqo29oO3jxcXGUXo.aa.5ejUJoop2uEb3IRjW840rUGLSFs.	28	2013-08-02 20:15:16.634745	2013-08-02 20:15:23.762443	20		0
1226	10c4whua8ej0prtici8bzklenx	$2a$07$HnPlEUw18vxuE1wH6ed2zeh/Awycw5.vMEcwIkwcES8nK73VDakVq	29	2013-08-02 20:15:16.656145	2013-08-02 20:15:24.127288	20		0
1227	10p694anko2mngiacztjnu4wmg	$2a$07$dnOY86u1pTwOzSLPkQXfLOBn/KbHqifiwVl09/Au9h5eDQ2RmkAKq	30	2013-08-02 20:15:16.679776	2013-08-02 20:15:24.511931	20		0
1228	10iod36916mlqt8f07u8sxsq43	$2a$07$pCWgv0zV3W9pQC7aOLeeS.N2muwPiQ12a8.gpZ696IGDsCNNv1Muq	31	2013-08-02 20:15:16.703668	2013-08-02 20:15:24.644304	20		0
1229	10k3ijwk3wyo3mk7ofhgx6wf0w	$2a$07$vbaNupV0RY1oHlv1jZJTS.6QcXCbNAj5ZpRElnZ8QdYNnuVOEWmYi	32	2013-08-02 20:15:16.725084	2013-08-02 20:15:24.783804	20		0
1230	10yggkk9i9turp0awdyc22qhxk	$2a$07$JLNO7jQqazdHFQ.2lLNqYOSNlShhBckEQhEgaKdl7SUbSrCVJ.lKq	33	2013-08-02 20:15:16.74658	2013-08-02 20:15:24.912232	20		0
1231	10ia82ayz4pupjpezmw8zdo0st	$2a$07$jlUeCXAn01.pbhz1CqmpguVSLidHhzvJBqMYTViYDTEQACXmopjCq	34	2013-08-02 20:15:16.768065	2013-08-02 20:15:25.061679	20		0
1232	10vg1x80e2u935raqjgabil6j5	$2a$07$cZ5zPwmWyk6H1QBR3Wz8guR2mhJGigW5FA8SDzsLWR5ZUYsFg9Vc2	35	2013-08-02 20:15:16.789504	2013-08-02 20:15:25.195336	20		0
1233	10ogvtcbf76r2sn3e69al9ycxv	$2a$07$KYGEUjkX82tp.bcvjni7JuafzKy3NL88AuneAYXdqNGFoHzRICqWq	36	2013-08-02 20:15:16.811056	2013-08-02 20:15:25.313125	20		0
1234	10g25jlstw5jxcbghm4trtktht	$2a$07$dSM3P/Mlwnm3knJ/yh4bzOzVQDvjNOy7hP98fiztZC1othoXL8FmW	37	2013-08-02 20:15:16.832743	2013-08-02 20:15:25.629969	20		0
1235	10l0qo9jgg410c3x0gtvkhygwn	$2a$07$IeyCcreqGFJQk6NAYzYN9OS1XbapA1hyxQS.2qkhqbjJMgjNhOyra	38	2013-08-02 20:15:16.855196	2013-08-02 20:15:25.794436	20		0
1236	10brlojczwfym2zh9h9coiu5go	$2a$07$.m8Noe9jwMPQrC8OaA8Ms.JWxw06RS2rs.UgamWbu82ZdW0iK6fXm	39	2013-08-02 20:15:16.876845	2013-08-02 20:15:26.041675	20		0
1237	109gy5rrx82lk0cvok2f14bs3i	$2a$07$XcghsRbalBO2QP1u0ATjouvwjb4waX7OI4lH2oO/pbLVWcPmYV1N2	40	2013-08-02 20:15:16.898634	2013-08-02 20:15:26.414454	20		0
1238	1089ctq7tnk3ob7n542kwdzcfg	$2a$07$sUKqcRNA1T8NIs3Zk460VegBHhe0AyjueCkjKKsntZB2PKkPs/taq	41	2013-08-02 20:15:16.921559	2013-08-02 20:15:26.782555	20		0
1239	10bcigppfkrvinfhfvyn1nthg7	$2a$07$a7MlnfbVE2KpCTlhsKok5.1NmpM7qN5us3qeD6ebY.q2UBlsBSUa.	42	2013-08-02 20:15:16.951277	2013-08-02 20:15:27.146319	20		0
1240	10r06xny2uf0clxavfdvitg4q8	$2a$07$zWgX63Q4K2T2KjZB15w.4.pZ7Ye6jqnzohZkWLl2DLqRPUG3fI2/K	43	2013-08-02 20:15:16.978034	2013-08-02 20:15:27.492077	20		0
1241	10hrrlvv61lx4rmngqmnovze2n	$2a$07$SRnK9ayZRYe5zebNls2YpOtBpwQVbVRJyQIBpwmuU2q8h4/I/Nw8W	44	2013-08-02 20:15:17.011102	2013-08-02 20:15:27.862129	20		0
1242	10bfc9l5ao7j5xa2f4huf47eu3	$2a$07$z3bUxJEoaS1B.tffSHRIEOCssX3Gb.gzzITAkpVVkCnvWp143cngC	45	2013-08-02 20:15:17.039478	2013-08-02 20:15:28.249873	20		0
1243	106gfpzihn7pgf2ops97zm296u	$2a$07$DaZCSSDgh1UfOEYlsk3GbeG6A2WzxT3EUHpsnZc8uWspSUHKFmcL6	46	2013-08-02 20:15:17.060979	2013-08-02 20:15:28.416922	20		0
1244	109mslzdtzzoz1xhw7lmp8ryvh	$2a$07$aiVXNYjNaKuAzS57mOeD5eqa2UnYNxURDN5SLYv1.MfCv1AuBY4vi	47	2013-08-02 20:15:17.083802	2013-08-02 20:15:28.656039	20		0
1245	10qoobtmtz5lny0aybuoe1m4ni	$2a$07$CKhno9f0g5BAUqk0VXSZXO7ocEXHZ3X1/rOLZM03VxEa6b57b4jlS	48	2013-08-02 20:15:17.105255	2013-08-02 20:15:29.027953	20		0
1246	10b13k7rbftci8vhps2t7a6235	$2a$07$.7qa6CC2eIi.2m9PJp5Z5.z.SwSN98OKa9IpqsYgUrioqymrADDjW	49	2013-08-02 20:15:17.128055	2013-08-02 20:15:29.392008	20		0
1247	10fzoqcl3d8tmaetpmii5qvh7h	$2a$07$JRRCZM4O0BFkuFaI7kCjE.9NNRNTOPs/89BFN7SNXZaDHBUSddWxG	50	2013-08-02 20:15:17.158127	2013-08-02 20:15:29.750393	20		0
1248	10ont7vs6pmyoqbvy9p8k3p08l	$2a$07$O44Stgk4HMHV/zJpyGvcq.33AC7gbRhQDdCRGfnG1GsM3NyI51bmW	51	2013-08-02 20:15:17.191527	2013-08-02 20:15:30.10821	20		0
1249	1094cuv50nbpo3pxa7o6y17ewn	$2a$07$I7KkeIHJSE/wzxxsU0.PYuUkM3aH.xiit7vMYPM5EK3w.Lc3p.5Kq	52	2013-08-02 20:15:17.225417	2013-08-02 20:15:30.461701	20		0
1250	10ja380vjppzq3gjhhxjyudqml	$2a$07$5TVe1J94WzmQhJOPppSck.FId.P23j0Ry0.E0u9ec3uoJOskTaNna	53	2013-08-02 20:15:17.247009	2013-08-02 20:15:30.824476	20		0
1251	10eucurlv32n4otf7qe10npteb	$2a$07$CyVjrbReK2GTO7vDShE3s.iWP2dFlpKEddKu.lYqG2psJFYamvUWG	54	2013-08-02 20:15:17.268319	2013-08-02 20:15:31.187168	20		0
1252	10y4zfpcw0b98u4ufgjvxysths	$2a$07$oSyPgNXxWM7/yccZlwXK5Oa3tMBwdkSQ5CFj4Z7DMKdTlLUxXwccq	55	2013-08-02 20:15:17.289968	2013-08-02 20:15:31.529571	20		0
1253	10vy90qeu1ru5z5u1ydr9wbpan	$2a$07$I82l3OlLxGNBa3nL6uKqxuDnplRFApjZOinFORntcXRezFvzhRyQy	56	2013-08-02 20:15:17.313372	2013-08-02 20:15:31.908033	20		0
1254	10w57b2wcarb7r7vof0k9m0uj1	$2a$07$8KCH6SZEEsZYL/r/VAkQmeivaKrcH1cj4yIY98A.42fRQQU5IQwHS	57	2013-08-02 20:15:17.33503	2013-08-02 20:15:32.279003	20		0
1255	10g7tm0u9xkhjszu998nct7e7y	$2a$07$9sVYeJT/lIXwnwqXo.xblOokHgC7JZzoXrQ3vZr23TyssTIvKROEO	58	2013-08-02 20:15:17.356552	2013-08-02 20:15:32.653017	20		0
1256	10pc3bbvfe6ebi28ghdvxn9qzg	$2a$07$kxvfJUiIvILUaYmxnGF4r.pVvnJyV2FrvQjql4kqSw1kAJ0919rb2	59	2013-08-02 20:15:17.378162	2013-08-02 20:15:32.782403	20		0
1257	10gql8ug49zw44yp87ys0d29wh	$2a$07$ued4lyr1PHHqXmS7kInDcuXlciley5omHjXOJzLUqI4sB0kasZdi6	60	2013-08-02 20:15:17.39989	2013-08-02 20:15:33.022247	20		0
1258	10b52l2twy5p32m0945oy9d4lo	$2a$07$kAZoMAZaO0u5SuNgD3gbU.D6y4eSZeWgD1uIHe.DVyqOMsNRpDPSC	61	2013-08-02 20:15:17.421392	2013-08-02 20:15:35.673841	20		0
1259	10qh3vtfuquslda2d0684sw9h3	$2a$07$HXe26wuRerGE4uFj7wVlOuw4VQvkSVpHvVAidPGS4F13hjqtOZ8xa	62	2013-08-02 20:15:17.442739	2013-08-02 20:15:38.756389	20		0
1260	105cs45vtzj5n41vrjholouijj	$2a$07$YjM3x2KMCSnvF/hqhLCUKu7TFiPTOXWNRVbFkMxTjScvExVPqNsti	63	2013-08-02 20:15:17.465109	2013-08-02 20:15:42.076784	20		0
757	10wwg6fi90jbih38cwnevnezyk	$2a$07$cvKTHt9ihVuMcwsN9qNg.utYY5sUnA6fXrRjFJUFVBNTm2xcB65um	1	2013-08-02 19:36:08.833228	2013-08-02 19:36:10.406296	13		0
758	1089i1lnz2hfpbn58obajbdpr4	$2a$07$snPvh68wnmliq1d0Kgc2BOQLkHdiCItq1Yswe.kpD9BqH.8/hAV8K	2	2013-08-02 19:36:08.863349	2013-08-02 19:36:10.540292	13		0
759	102gybk0oht6fhidebrba4ac84	$2a$07$rVBBFTRlQSrYE7W6RZr4A.V/VNnbzG208kS1lpSkDvGn/LGBpEcky	3	2013-08-02 19:36:08.884299	2013-08-02 19:36:10.683783	13		0
760	10sxysjr1zt8lo68j488pcrfnd	$2a$07$v4XyZ0aKIYkT5f1O5hhqSOZGDE/JMFj/lFzvdD4hepZlpKDzhanTW	4	2013-08-02 19:36:08.905367	2013-08-02 19:36:10.826289	13		0
761	1037p6qxew35cd27fes4t5s8x4	$2a$07$mD4v/0PAWiTEMJKsK0SwzeHM9kYAogyKtl3jMBSAxW3ORGzWl.eSC	5	2013-08-02 19:36:08.92646	2013-08-02 19:36:10.963487	13		0
762	104x0ucsa27j5j4xiomku2rvtj	$2a$07$JiZXNwutBUbXgHDOPOkCg.qVBjIrL1BePwbYPseB21GksHKQhqL5G	6	2013-08-02 19:36:08.947467	2013-08-02 19:36:11.099718	13		0
763	10w1k8ch5gpoc5tsh0yy8pozgq	$2a$07$f6qKJySWYG4Smqk4I1fzwO/izuKBR.wtNkuf.ZtqP3nYKfqVx.BP6	7	2013-08-02 19:36:08.969275	2013-08-02 19:36:11.248532	13		0
764	10nyi4xhkfrnxoiotjxuwv9izf	$2a$07$ScwF3r9UUq2AVFpFVY/zme7Zgv74TTcsaqdN2DePOUqejwXvoYRHy	8	2013-08-02 19:36:08.992713	2013-08-02 19:36:11.387295	13		0
765	100vh3tszxz7i31vafgehjhuya	$2a$07$POjLU9sqcf3ez3YUjcevqe2aTbQcqsf.1m9uzA8vCkch9XsIvt1Pe	9	2013-08-02 19:36:09.015516	2013-08-02 19:36:11.508884	13		0
766	106r25e9krlan3vr971xlpevxp	$2a$07$LFbZCsDHYr2JG4xo1n38c.mcIA9uHcIJXEOFR/quQgF458C1Emn96	10	2013-08-02 19:36:09.036986	2013-08-02 19:36:11.61297	13		0
767	10w8j6hb9e3odvm7n4x5v0z451	$2a$07$I.E9U9PIaZ1UNkL3VGzVIu5.Grqy1dmIcf9tIKKd0xzAOjdnmi43G	11	2013-08-02 19:36:09.058472	2013-08-02 19:36:11.703748	13		0
768	10877sp9kjn3j2vqgjfkathd8l	$2a$07$ByVIkqzSfRxVqjg6kQdxc.UMz4l5GvRXR6wnHuxUyxFOMHgolGdZi	12	2013-08-02 19:36:09.080051	2013-08-02 19:36:11.810483	13		0
769	104ol0cs8vw2zb9p2s8wh0f36a	$2a$07$tDdM0fh3ZhKAbChiZy8BjON3A5YGLgAx.EJCK2ZhtAjWoySrYAqrS	13	2013-08-02 19:36:09.101599	2013-08-02 19:36:12.14773	13		0
770	105pjrgdlzwdof3rvvy8cz50hc	$2a$07$tS8E8LeeFe9QUT8gs/MhuONcWIJZI8ddfjpJ0o1NTSGXoUpIpUl62	14	2013-08-02 19:36:09.123031	2013-08-02 19:36:12.71487	13		0
771	109xouhhx4ndge6wpqi0vfmw6z	$2a$07$XMDUUr64/mh1XuDEGP5Jz.LDM4JNwNzZkiQvuiN4aat2nQOZwA9/e	15	2013-08-02 19:36:09.144367	2013-08-02 19:36:13.065743	13		0
772	10igf3sdv6jaze341z275cbs5r	$2a$07$QUV2Fw9eTTZ0Pdp0oci71etTffefuxyHG4lKdzl3QIggSuiLIsqmS	16	2013-08-02 19:36:09.165771	2013-08-02 19:36:13.346344	13		0
773	106ch065ajjan4rzs0t6hvyjb5	$2a$07$zRkTgys371b2Wo801LaAROng0uOvV1Ga7FN4e6aV4nnYbufgRCP96	17	2013-08-02 19:36:09.188577	2013-08-02 19:36:13.514092	13		0
774	101jkt8fyjykoixbciy1glf0xm	$2a$07$aN9eP/M/B2.t4iee9LylS.HFYYHNYzrG2cVCtlTbTHh/SEFQfj0Tq	18	2013-08-02 19:36:09.211924	2013-08-02 19:36:13.801688	13		0
775	10btdfo4yoh9zdpvlrykficsm2	$2a$07$74Y2DlRj2aGtS6e3QhSZ7O2RJAm4N8aud2VZgLd.lWF4DPQzp99UO	19	2013-08-02 19:36:09.233651	2013-08-02 19:36:14.170295	13		0
776	10nw1ar6fpoqrtiuv9zbmo18vz	$2a$07$ID7xnm3TNVaG8LFzljt1nOA/xQGJtGbXGztEgo27V1XtDG5zQReYO	20	2013-08-02 19:36:09.255349	2013-08-02 19:36:14.30736	13		0
777	1019z3pdo011m3d1nsgjx26v7u	$2a$07$6hFKRo7qizKRaRMPNqHMlOuANXEMvuXcO3DP.LeYcQeXKou3UcFUq	21	2013-08-02 19:36:09.278036	2013-08-02 19:36:14.480305	13		0
778	10ficjdcawa610jha6p2e09s1m	$2a$07$B8ovnxw7yjPdKlh/4Z1UmulTreRxFe42MftxgERFkKvWdvM5HJPVe	22	2013-08-02 19:36:09.299696	2013-08-02 19:36:14.61311	13		0
779	10udijjhjjc4a0qr7ce82oipi1	$2a$07$dbh2818rlyott5XuVYJbOO9SK1rBd9XCxkYVCFHtQzpR7J3RR0L66	23	2013-08-02 19:36:09.321111	2013-08-02 19:36:14.747234	13		0
780	10o4c647dy1m8kcprqvyng7ykn	$2a$07$7kPw.UqyEbX0dNdAxRogee8UtKuLqovIfX4/KeiVhPQgR8RVuCWzm	24	2013-08-02 19:36:09.342541	2013-08-02 19:36:14.879996	13		0
781	10lkbk36mykpbiqb1nf3qvqabn	$2a$07$it0eSHiHiRProu1WpAUJI.8/IXRRgwYx4awOB4zqsqFxE8MNThBQK	25	2013-08-02 19:36:09.36385	2013-08-02 19:36:15.242051	13		0
782	10nubr8hj5tadc94908m6v9gcm	$2a$07$t.q/HrrrbaVUicQkDw04q.n1uJDwhAzITB7vIn9TJZInBYbEFUJbO	26	2013-08-02 19:36:09.385141	2013-08-02 19:36:15.569912	13		0
783	10afqt63grwjf5wmrk9l6j7tef	$2a$07$ZngrBKhhWbnrinh0qkpV4.M8XVKOzt6I2YlebC.VSalrb73EpceTe	27	2013-08-02 19:36:09.406601	2013-08-02 19:36:15.707956	13		0
784	10tjhpte7jv12kx6hv0hqz4880	$2a$07$NQMDmkORg7luw72tEyOIh.Vc7Q5LXc6s2SNotvNMceZJLzij/l.Ke	28	2013-08-02 19:36:09.427986	2013-08-02 19:36:16.043513	13		0
785	10m0df1wvo8z9qsg5ko4a6tfvp	$2a$07$4xY5P/VnaOPgTkpYUlIxNOozU1YivkFwO4ANI5YiNAWXoaLgJ11Sq	29	2013-08-02 19:36:09.449365	2013-08-02 19:36:16.370611	13		0
786	10yty9nuchv634mw07wu7dh00r	$2a$07$T2Sv0VW4czB.LZH1fwatjevwNu4I/4UfLFs0d.jYBi/tQ.3idmd2m	30	2013-08-02 19:36:09.472864	2013-08-02 19:36:16.710695	13		0
787	10tr1o90639q5jqljvjcba2bsw	$2a$07$cJj3LkC9QmgzlvSRJ2pUauwOmrHDj0pQz/GLuoE0zKOoUOa/dysVq	31	2013-08-02 19:36:09.501639	2013-08-02 19:36:16.846287	13		0
788	10bliijtdlxk2nwer03xev6iaw	$2a$07$k60juRKSuj.RLWLdo6PRtOzFTfk0H/I0LOJauDzWqqL35adfcbm3i	32	2013-08-02 19:36:09.533943	2013-08-02 19:36:16.978533	13		0
789	10xt6sz3p1zkjufe8llretfza8	$2a$07$iLpJ3WMtzi5.xn3Q4j0VeOuIpFDyEGJUhnDWNEmZhgyzuwdoYjM7C	33	2013-08-02 19:36:09.555286	2013-08-02 19:36:17.108292	13		0
790	105qlaf89azimrqc900l93zg0p	$2a$07$WaMrDlTzqjNVR2FhgeI7fOn3qv.KkmWYsgqvlh5kP13m7IKaXbq06	34	2013-08-02 19:36:09.576812	2013-08-02 19:36:17.228395	13		0
791	10ldijacyy7pbggzlc9f5pepck	$2a$07$Rj1zHL3/pHb8JdnBhv62qOR6V9Y1WrOqo4pnz51x2cYJtv1EHbwtW	35	2013-08-02 19:36:09.598374	2013-08-02 19:36:17.360934	13		0
792	10hujr4gg0pyvp7r1lzqpg7yc8	$2a$07$xTHK7n7H2LF4GOUWEbnz1OocsP9.JVvPtqg4lW1tOeyi.1oz5/7X6	36	2013-08-02 19:36:09.619714	2013-08-02 19:36:17.478548	13		0
793	10ah3f8pxhbs7q4ilb3iwkqm5d	$2a$07$YkxIFxFBjVrfAVr82/d29umOS/qIJ5G5e7znQV7/3C5a60NlYBg6C	37	2013-08-02 19:36:09.640992	2013-08-02 19:36:17.83832	13		0
794	101nd4f5lrixinz0i9g16wu8gz	$2a$07$Qm.Fu10Zq6NnUVBfRYgER.YnEWW0mqEGcl9zmdLgf6fRuSSjkeLu.	38	2013-08-02 19:36:09.662283	2013-08-02 19:36:18.14019	13		0
795	10eku3wri2zbw10tmd2rxpfu9c	$2a$07$K8P.pWMhNsiqY3kTdMAZsu4HTT8UXSZNGgQ2MOeQ/o8azYfdb38gW	39	2013-08-02 19:36:09.68367	2013-08-02 19:36:18.271401	13		0
796	10qouqw14avf8p2iq2xbzfcr93	$2a$07$u2RE63IEKSUBDgLkCrczyetIw30Zy6E2iYBLDYWIoUwQ4JIreYs3K	40	2013-08-02 19:36:09.704958	2013-08-02 19:36:18.626672	13		0
797	10rqm1espy6zf0wthp4vuvy2a6	$2a$07$IepEsYozPOOomOZo8t7dkeKQ.KmaPpE3dmD/DVvzReMBKe.sJW1ZK	41	2013-08-02 19:36:09.726678	2013-08-02 19:36:18.973206	13		0
798	10lffku9gxwnljawt1t4242u5j	$2a$07$3V100H/FmsM8VNz1GMsKx.vpChrECambq3bdlnv4daKjJG/7ah226	42	2013-08-02 19:36:09.748099	2013-08-02 19:36:19.33461	13		0
799	107ke1w6deixccepxav8elx7iv	$2a$07$7Ocq658/tIQcxVbdWIE1m.FLJpNW3XAtnq/IG09gnTPLctwna2kP6	43	2013-08-02 19:36:09.769599	2013-08-02 19:36:19.478328	13		0
800	107z7il64d2ryricrues703x0j	$2a$07$60whevHmj88jrWRszR213ubHaP2dsJ7JjNldtfIl77wULtAn/t0wC	44	2013-08-02 19:36:09.790977	2013-08-02 19:36:19.604529	13		0
801	10jczllyqwe2mi1l1to0tavwqu	$2a$07$THQ380HotkIgym5hjzitV.J56GF2K.Z9rou5Poxe5lQkqKglM3WjO	45	2013-08-02 19:36:09.812465	2013-08-02 19:36:19.711896	13		0
802	10cn982f0rn1fy8ha3her462cq	$2a$07$z80B/JUay6HXR6vE2Unb0eEa2VAsHRjy..S8UI.3AQBLZ.cCu2WqC	46	2013-08-02 19:36:09.833784	2013-08-02 19:36:20.045699	13		0
803	10s0fddy5p5izgy8rz4wpw7bxf	$2a$07$Sz61Dvc2N2ZV0FLFmbapI.YZznMgENh7vq8U1DHARkHn53Gr8iO8C	47	2013-08-02 19:36:09.855088	2013-08-02 19:36:20.391315	13		0
804	10dw8evgfefkpakh7s21r7w51y	$2a$07$pMdfnFJuWHb1owHC7AEsDO7De.EapQdPYLC71voJRhakbCq5fMKmK	48	2013-08-02 19:36:09.876398	2013-08-02 19:36:20.621195	13		0
805	10r1ywfdumxg9evi2jhn7m7xoz	$2a$07$.AGMN9jOYCyl2llTkpuCv.6MOzW2G7Jo376VmvGz1cK7u9malZwQq	49	2013-08-02 19:36:09.897983	2013-08-02 19:36:20.92393	13		0
806	107e0acltdyqomoi2fq0fdz775	$2a$07$gGPxEJgY/GucxsQD5F1KxOoFY9anmtItjAogTqAL02Nv1fSyL0Qa.	50	2013-08-02 19:36:09.919395	2013-08-02 19:36:21.099259	13		0
807	10wfokt7eh7j5zon25gvxe6ec6	$2a$07$6EJaIGAMHx8e5fTEJiLTLuTXIktHAI3fvA3aOc8wFWTEiS0jlgZ2W	51	2013-08-02 19:36:09.940726	2013-08-02 19:36:21.240911	13		0
808	10wjlpdeq1phton04kv39pvuk4	$2a$07$28acEMCCkooFbNPIcbIEWOV/nNzm9MypSXIgstg.asuJn/BKVx0oi	52	2013-08-02 19:36:09.961955	2013-08-02 19:36:21.612696	13		0
809	10ld2jx1ky6o5k06odqggbixbg	$2a$07$km4GImSfAWgA7gBoAXs59eAKfvETbBi7DDnP5EE65.K.OxAi8/34C	53	2013-08-02 19:36:09.983579	2013-08-02 19:36:21.988569	13		0
810	10l8ejbcywfdq5ubb2u1sbn3v2	$2a$07$dlJ4c0RE0i.QRHfgM7gLkOUV088HO/WymHI6bfjql/Qn2mdZHXr/K	54	2013-08-02 19:36:10.006847	2013-08-02 19:36:22.354389	13		0
811	104ouwynlobdbwy8nqlaic4kyv	$2a$07$rbXW.XNvLTNmp.sGF3NFSOW0BrBW5/U8UqRKnWjbi4NNJpVgA4jVe	55	2013-08-02 19:36:10.030506	2013-08-02 19:36:22.703937	13		0
812	1048sze6b992e2jqthaioaogvz	$2a$07$fmoMTvGYkZUsNJJvks1ba.I/dJR6A5kKYy6jQz4cMKz4jAKWsz5.m	56	2013-08-02 19:36:10.052242	2013-08-02 19:36:23.090145	13		0
813	10e4llk70cdvtit0y5ar7gfa5s	$2a$07$ucJh.hwXVvhTIelsKVoK7O5ikNjs6Z/Q2kqDfXP.TdoIsoDOzARqC	57	2013-08-02 19:36:10.075127	2013-08-02 19:36:23.443568	13		0
814	10yrvcifzg811fefqjqb6tjnxk	$2a$07$unuHBscvP5vbzsZk.9dLpeFLpuJHZJFqJaoYSVyVZYxSJv4WmlorK	58	2013-08-02 19:36:10.103002	2013-08-02 19:36:23.798424	13		0
815	10i6g8yeay2vl4duo2q39mb4s9	$2a$07$qWW1RmUFEq4t0RAmEvWAgO2Lx7Q.s1ZukUo9FMh/Z0Qie97jQi0O.	59	2013-08-02 19:36:10.137543	2013-08-02 19:36:24.136549	13		0
816	10i59w5b4ymsl8b2nbygjv20yq	$2a$07$xg.6duaIkS0ePcoS1bpCP.7QmLuG3Pyw24qvesuqOsCRkx7uT75sC	60	2013-08-02 19:36:10.160001	2013-08-02 19:36:24.473432	13		0
817	100fi0w0rruym8e874bykbb83a	$2a$07$1e/JynYRSADAh8JlLUABMO1XsXVWVHPA5T/Z3dzdf8/dtipmvy7ye	61	2013-08-02 19:36:10.194566	2013-08-02 19:36:27.266491	13		0
818	109mx9w0deke44vdeaoztpvpqj	$2a$07$uYoVWghPYe9i2w6w1XG2IuFXl67GgcRcW77Q/rj8yRTCI/7OQQGj.	62	2013-08-02 19:36:10.222457	2013-08-02 19:36:30.578413	13		0
819	109c7rpa7qtk5oso6pzihaojsa	$2a$07$b7.lDJmoIBMMrjRWDuoOZejqaf.gMGCzxH/iLfJuXHABOMTLr5ghW	63	2013-08-02 19:36:10.246649	2013-08-02 19:36:33.477432	13		0
946	10nvppnosr0sedemw3prrsu1a2	$2a$07$XMLaImJWkVRqjbHekYppou8uLPg49xSvZhl0Cr05bHzU1qn.hvkDa	1	2013-08-02 19:55:16.744224	2013-08-02 19:55:18.471001	16		0
947	10jdac7l4o8tn45zfe5qdtztbb	$2a$07$Ki.JAEMVPs/s/QiK5TSrWOw7DtausX9f6Vj9cPJy9JEV0pKmpnzN2	2	2013-08-02 19:55:16.778136	2013-08-02 19:55:18.60627	16		0
948	10565rhzsqckbe36c708ehvj5q	$2a$07$CUezqAxuGFuJN7ejdOV8MOoYHpXKB6StlhzTxweVRY1ZK0pr9K25K	3	2013-08-02 19:55:16.810379	2013-08-02 19:55:18.749449	16		0
949	102ooogezz6bheftbrvfo57tkt	$2a$07$OdifgDGsUtxP12kwEaUCBOENXY.YuVLQC1zHdkXxMxmbmyRCh01I2	4	2013-08-02 19:55:16.833484	2013-08-02 19:55:18.985433	16		0
950	106sx3g6fibok6pnweqrtsn771	$2a$07$iuYWs8Wf5WWPrI1f3S4yieGYTDXTCNQgySDBxlMCh.4SDsq2IEe2m	5	2013-08-02 19:55:16.856075	2013-08-02 19:55:19.123226	16		0
951	10bp4a2aj1sa6h3imvmkvshaw9	$2a$07$zhIkBfFj0W.KaemZGIm5FOaQjct6r0GT4P89y.WAVJm2j.SP4bUkK	6	2013-08-02 19:55:16.87968	2013-08-02 19:55:19.269272	16		0
952	10kqmihxdapg0qjqojeicpr4oz	$2a$07$LBZmlziT93a8AI.5yzfdQO.uld1OBd0m/1BjsGVLltsGcq3bz6rgy	7	2013-08-02 19:55:16.913856	2013-08-02 19:55:19.409305	16		0
953	10jeyim3znbey60a3rnakp9lhk	$2a$07$k9FW05ItpF8zC6GCFskaXeTVLOfRqu2JbXqg.wCoU0CPm2iqjRrSq	8	2013-08-02 19:55:16.936137	2013-08-02 19:55:19.541893	16		0
954	10o20bph7i3zpq749qhd1i09ud	$2a$07$APSWN7Q1B9hMhm6/A4Pthex8jNgDh9e.cQ.XxpA4k3UjjGetCP8B.	9	2013-08-02 19:55:16.957622	2013-08-02 19:55:19.674751	16		0
955	102d6vqgl1xbmrd9cqtorw8aho	$2a$07$35aD6boWfaCmWmtGSAJ1MezSERyZDE/jZ7WW4LIlIAj5SYfzHZoXC	10	2013-08-02 19:55:16.979415	2013-08-02 19:55:19.806893	16		0
956	1055xha0xqpkqwunfr9yes2zhw	$2a$07$5vMbkJ8A9lhYrZ19ysXGdepf3r9JlDSuk17nkbyQ2juTIaPF7.MTe	11	2013-08-02 19:55:17.002813	2013-08-02 19:55:19.941762	16		0
957	10sxu406fj7qnmfya9zivizefd	$2a$07$L.x57X0fiZdoezgKZlnCweaxgqVjw/.9tHdA3oak8hLydhUpYIauy	12	2013-08-02 19:55:17.038181	2013-08-02 19:55:20.074042	16		0
958	10l7cm1ojh0xwn2thznxrmvyrt	$2a$07$ox5bisGxCuWdzGHF0c.q1uxqDm3frWoTa40nZMlEDB0tGHvKyCy1q	13	2013-08-02 19:55:17.07548	2013-08-02 19:55:20.429544	16		0
959	109iv4atyxyc9uhgabeam0xlhn	$2a$07$gAh4UOWO0FasgT75SN0O4OP6VENFRZSC15ZT46CqyGeJeM.aGcZTS	14	2013-08-02 19:55:17.099772	2013-08-02 19:55:20.773512	16		0
960	10kk7ntlso940gef9hqu4u2utn	$2a$07$1x.Vh/rhW8CDddTVMmqRJ.aEmEhCYGYJ97.ejmnShVbg7bsy3GL7u	15	2013-08-02 19:55:17.136102	2013-08-02 19:55:21.103178	16		0
961	10spq3j2mgg3qvr02a2yj1w2zl	$2a$07$SVa9d62yQCmdBDOk3EfhQ.pxZVg3T32G4gSu7xfTqG/Ob9dnT/nFa	16	2013-08-02 19:55:17.161802	2013-08-02 19:55:21.379641	16		0
962	10xkmpdwvo8c4jozov1k232gj8	$2a$07$SyekVmwErvA5JjCXqS9DRe3gTCdG2Rzg5SJ4BceWxz92SoqM4aQfC	17	2013-08-02 19:55:17.186095	2013-08-02 19:55:21.518943	16		0
963	10wghu849u14g2b9ukjdre1wj4	$2a$07$Hm8nu/x8Ff/VBDRZLUkgjevAMO/gxjHcwHdrf0D5bMy8wZPZBlJhi	18	2013-08-02 19:55:17.218891	2013-08-02 19:55:21.691173	16		0
964	10klyiaszcax734qr7h89yzpsx	$2a$07$j3IeKclrilbXFOi69raLButrx1VGMFdzgYPMAUfQvZGCvG8m1ARDi	19	2013-08-02 19:55:17.254439	2013-08-02 19:55:22.059205	16		0
965	104sdw9dptmbc4oqce5pn27l1q	$2a$07$eKS3H16KxIS93CbISYS1deJhgyuhD/LUhUip89jm3vrgJeganQvpO	20	2013-08-02 19:55:17.286324	2013-08-02 19:55:22.429773	16		0
966	10bhwh63qupx5jklwwwakuso8s	$2a$07$OqBKWaPxTtTfiaxOPEN7KeNhm3scws54iAX8TreBBnu07hJ/pFCka	21	2013-08-02 19:55:17.307998	2013-08-02 19:55:22.792928	16		0
967	107itazfrj85qc9eyywpf27sya	$2a$07$CIUM1oJR6hGpySzWEuLy0eF1nfY0M12ftNHoCIuFQK4V6cCTt09cG	22	2013-08-02 19:55:17.329594	2013-08-02 19:55:23.161195	16		0
968	101cj3zfer979p2hfx917wr38s	$2a$07$IXfMMt.C27YxNNPv/m73mu8fmLAlSl/tOkbO.JzjhjPYlfIP7a1U.	23	2013-08-02 19:55:17.352862	2013-08-02 19:55:23.530474	16		0
969	10i5axgrw925mmfor8d74cpgqs	$2a$07$t8.slYoEGYbwxj1nOiU2xe6qr7gj00yWDhU8FMWc9F36NGnd51gNC	24	2013-08-02 19:55:17.385813	2013-08-02 19:55:23.879572	16		0
970	102pq3e8ur5698m2zndbnopluc	$2a$07$k1SnK3Ay6eoJOgxIGzkQEO.jawfADS73SWLE5ok2FAoU1G/9tzgaO	25	2013-08-02 19:55:17.407687	2013-08-02 19:55:24.035741	16		0
971	1091mmhh3c0gipo1t8g83bntct	$2a$07$Gy/zRf7q1vAc4OxbWdmLde7iuOf4HAE11Itc947AMO.VwLRpNK1Le	26	2013-08-02 19:55:17.429453	2013-08-02 19:55:24.143597	16		0
972	10syozugnipnzwg4is8f93hyst	$2a$07$dvjtoMVPWs9wmpdLHU5FFupYUK6Hdi3mhB7NHHyKsfIgQXvlqHjRe	27	2013-08-02 19:55:17.452504	2013-08-02 19:55:24.312363	16		0
973	10mdk53uagrbl7422ufemyer1q	$2a$07$xyK74uUkd6lVwQM12x8XEuqYpvxy5suoN.WL3om.8N4E/GmtBvioW	28	2013-08-02 19:55:17.475335	2013-08-02 19:55:24.426766	16		0
974	107bb8nt81lbeurg5z2neata4b	$2a$07$0sCRFTUl2gumUj/WDFN9ZubeziI63CVcS606S4mzzPHGadeXfD2TG	29	2013-08-02 19:55:17.497736	2013-08-02 19:55:24.569459	16		0
975	10ncnuukxvwvhu9f7c8izeip2p	$2a$07$6TOVDF3akeyTh6.ZxyRVRecCq9GhShlg3Z/ZFPky5Xd.V3tIRQ9lC	30	2013-08-02 19:55:17.51939	2013-08-02 19:55:24.708592	16		0
976	10lqhibg7v3s14ev0qfuus1yc9	$2a$07$Kji4KQNHDneVRo43WyKbpOrDzJTeJzFQD5fIURGxCtYbWPF7pHIMC	31	2013-08-02 19:55:17.542062	2013-08-02 19:55:24.82775	16		0
977	10gs3o1ztugvxzoyh07ss6zz73	$2a$07$s6EqObK4Rrsmk1UEFCJAR.lr8kZ.XM2JfYeGdnpUgnAqXkgDENWd6	32	2013-08-02 19:55:17.56434	2013-08-02 19:55:24.937692	16		0
978	10h1b9bz78lswxj5046yap9ty7	$2a$07$97lJiH2RN8vYgkGG5xzn1.058BHS1qBICrEt/Pd4/Y18qgHjTjrO6	33	2013-08-02 19:55:17.585879	2013-08-02 19:55:25.041187	16		0
979	10q0bz7niwbhkyuxvyrs0j0vih	$2a$07$028uK3sbO0jEfNZ3G8LeHeiDO/OxZdlJIueO7iYtxgBPSnz4UObPi	34	2013-08-02 19:55:17.607576	2013-08-02 19:55:25.136568	16		0
980	10aghz5guxn51i0f0r2ymxsv0f	$2a$07$mupgeK89FHq80sJNlA/is.C0k0MJ5DtI0owoFLskiq2E8hxSAU/wa	35	2013-08-02 19:55:17.631299	2013-08-02 19:55:25.233179	16		0
981	10o7xp05ybqp9wwwlj93fe4lbw	$2a$07$pg9QeDh8CP1.44/qR1RNk.oKIPwWzfNr12UKq10A7jAdvW5a/YQOm	36	2013-08-02 19:55:17.653798	2013-08-02 19:55:25.331957	16		0
982	10xshjb29hfnwh50dj3a3j244y	$2a$07$7KW8keqgG2DWdWWur3/GYOxRFmbPd6utJzim334bjaWaTVWq5e.1C	37	2013-08-02 19:55:17.676226	2013-08-02 19:55:25.453871	16		0
983	10k1gunr0o7i5dgi5gwsyi6zeb	$2a$07$AvwAl9U8eVmXUm0iyiU0ceINjNBpT7YJiw9QJJZWyAjtRFz73KoFO	38	2013-08-02 19:55:17.698198	2013-08-02 19:55:25.616327	16		0
984	10fhg65skrxk9jxxulbrrfmlge	$2a$07$lghBv/4COVjwjqRZCbHCo.HdJ11G.B5dg.fddd7rS4JsG8L2DlWY.	39	2013-08-02 19:55:17.720004	2013-08-02 19:55:25.899551	16		0
985	10toshjlivse7rwkvlit41vi6d	$2a$07$L6mDAnet4Y7ChtYnUXA3LehYPDxfgcDvonUEnf4471ddVn63eD1MO	40	2013-08-02 19:55:17.742029	2013-08-02 19:55:26.24114	16		0
986	10xpyfi4ozezpa1n5zopv89zsd	$2a$07$XBOQP4gc3KKAoUOAGheb1.1anHLDaK7D44UvMi/Ae7SCtrER8humK	41	2013-08-02 19:55:17.763933	2013-08-02 19:55:26.621903	16		0
987	10xx3pm9bf6zx8tm6qh60cq50c	$2a$07$6wmeVEUTDGV8/wePUkFHd.9qh862RuPqJli2AWOzLysNWYiCY/jEu	42	2013-08-02 19:55:17.786181	2013-08-02 19:55:26.986997	16		0
988	1097lqxul0b5dmdjnssoku4xfv	$2a$07$YwHN9fJHO.yRqHD62bWRfOM5yhTSZl1Wf/hP5hAqigmJmp.ztCWBq	43	2013-08-02 19:55:17.809805	2013-08-02 19:55:27.346413	16		0
989	10c1c1ed6bb9ndf1dx97w0c21k	$2a$07$kV6tqWeM3dqZRti8RlJL5eTbyCYbYkcQUPkLpy2.mcmAVpXz7DGrW	44	2013-08-02 19:55:17.831949	2013-08-02 19:55:27.710772	16		0
990	10r9m203jrc6l6jlfcn6b7fnql	$2a$07$5QljEs5gylvb1F.swm0GgOFw40uokgMF6Y1GwR.teKfTbQtN0wFVm	45	2013-08-02 19:55:17.889106	2013-08-02 19:55:28.077276	16		0
991	10rcwddu8fm5eopy5krlwea0fk	$2a$07$4XXdHA8Bg1g5QbYY2zC5TOJCZS5Q/BeNd8Jt9a.9otGZMn8JRL1iW	46	2013-08-02 19:55:17.912726	2013-08-02 19:55:28.457594	16		0
992	10h443700vmx9mqmuzws3qh2vi	$2a$07$GFgJvM/e3idsrYuuAB.aEuJOmk6t4YCb6vV4ETfmy/AfjywwP3QW6	47	2013-08-02 19:55:17.936744	2013-08-02 19:55:28.825525	16		0
993	10qaqqdcfz2t0sd8ypzwojscn0	$2a$07$GUEPXJ5or5CVPhXWKns./uAhDL7pWlZtLyWnmwXK6EAcEiWUjJCxu	48	2013-08-02 19:55:17.959105	2013-08-02 19:55:29.199933	16		0
994	10r3c8k8re9q7jz7ud8fj72hsk	$2a$07$H72.hzSsaamzOHWRfUwROeQ/VxZznlhbxMTaBFydD9eqnOlLBAOW2	49	2013-08-02 19:55:17.981525	2013-08-02 19:55:29.407754	16		0
995	10md15vo0pnvjdtr2dbx2jrn3y	$2a$07$QG5Ip5Y9OhJyK1Yxp2mVE.OpycKUu7Y6she7rD5rSvpClA3b44jkC	50	2013-08-02 19:55:18.003472	2013-08-02 19:55:29.638912	16		0
996	103eby6yuc8cgi4b8p0orbggf1	$2a$07$mN9gaW2qegv5VWzXugL31uhYZf4zV4ZNA8VlZOG8t3mnv6Apw2Oy.	51	2013-08-02 19:55:18.02489	2013-08-02 19:55:29.91538	16		0
997	10f923wgejxyw8yeh56sblci35	$2a$07$1FTYfIVkzrO5DGIV2AMkLeGEktWT2KDIklDsVrPm6SoVEGtoU68ru	52	2013-08-02 19:55:18.046429	2013-08-02 19:55:30.274295	16		0
998	10gpo5ehr3p8pfbuquyzz2kv6a	$2a$07$IAb/cHvYc1RrrAjj7kxeo.EtAm/S.mZQRmtgQrObH74MngsKxvwFW	53	2013-08-02 19:55:18.070045	2013-08-02 19:55:30.611164	16		0
999	10jqy8sc19fd7nagf9lkeh2p5n	$2a$07$55FCTGa79LuACX0.8G3hze.rjUjmatp7d2EvjQru4iT1V.rQ1q.OW	54	2013-08-02 19:55:18.093524	2013-08-02 19:55:30.958421	16		0
1000	10nvh3nsaqy4u2xo36xhoxkmlo	$2a$07$5gxhwaePDNGUWq58/znsIO5CgR1EykIDBSP0neyvLPBVabGc4uQoe	55	2013-08-02 19:55:18.117747	2013-08-02 19:55:31.127636	16		0
1001	10ztfqt1pe9u8tqjye9nsqnmdb	$2a$07$KMoCLfJgzQ75gwKnxakmBOj7yXiGuyQco6znjKuvPqFIsXMdzlCS6	56	2013-08-02 19:55:18.139637	2013-08-02 19:55:31.295031	16		0
1002	10t4582zrs667c22w8v384jwhn	$2a$07$e/R03T76gNAJfL.ZrD3xp.wRr0cXl4XwEYgXSL3VwMI8CavZGxmnq	57	2013-08-02 19:55:18.162291	2013-08-02 19:55:31.582498	16		0
1003	100svzp6tbxvm1bysh8file14g	$2a$07$q21GAMu/CXjpTcNNCN6.EuKGCDDQB6UDXzz87YofVB4.rr0nn9cdS	58	2013-08-02 19:55:18.186891	2013-08-02 19:55:31.938544	16		0
1004	10gz1o99cpg46ltlfve1jx6ozl	$2a$07$FMdBDoAy8P171MV.ZYXC/eO09AuGABeRBa/seDBvHaa/Iz5iF/j5y	59	2013-08-02 19:55:18.210002	2013-08-02 19:55:32.270216	16		0
1005	10075qtpfbeppmx75ik4xt9wnf	$2a$07$laXJY5tCy0D4pFo7ZhB3Nu0yDntPrttsVorGZASEv3j6noTJa7TXq	60	2013-08-02 19:55:18.249065	2013-08-02 19:55:32.609741	16		0
1006	102suenk77tr2wszoovkc4vw51	$2a$07$.YRYg.rm2qU4PhZXOg6Mb.HgYQzHVQ7yDn12kHjOIta8ukczllwXy	61	2013-08-02 19:55:18.28181	2013-08-02 19:55:35.329206	16		0
1007	10rdqc250m2z9yqknc7h9l4qqa	$2a$07$r/W7QuhGy4/Dr2joC1uAeOrWGYl0ant9pGbG08syCOXfE751Gdm/2	62	2013-08-02 19:55:18.303092	2013-08-02 19:55:38.408373	16		0
1008	10avvuw6qxq10rwitjabpuyunt	$2a$07$u.Ww0lVrU44mPT/sVLZYq.NlawXa3Wrgv21k3HtpQygLUadXbwk1.	63	2013-08-02 19:55:18.32441	2013-08-02 19:55:41.919642	16		0
820	10plk7vfkw1qo6bnv6eyo3cvao	$2a$07$pz7cqHq5i3etDRebRzXEy..G5.g0ppGm4XRybSOwdQNX8Y2Q7GFau	1	2013-08-02 19:41:08.088965	2013-08-02 19:41:09.622649	14		0
821	10ayp28gkbw08079cll5wz50e2	$2a$07$YQyVB2nqrZTBAU/3gra1X.qdyUNPdDjBF/x7Ip0yZjMOCBaZ53ei.	2	2013-08-02 19:41:08.11179	2013-08-02 19:41:09.760807	14		0
822	108sndsexitvak9gvgv48rmcix	$2a$07$.aQylT8z7PEkscjbWmvlq.RT//nrLzLgJ88wUMRUIq8VHcfPEp75e	3	2013-08-02 19:41:08.133565	2013-08-02 19:41:09.90077	14		0
823	10m0x14qqpmv86gbsgagb0x5xa	$2a$07$TJ6eCyvOncKyFpY025NBHOQHypll9wGqILNnLHgBnZWSw9D5KMRQ2	4	2013-08-02 19:41:08.156661	2013-08-02 19:41:10.123102	14		0
824	10t3iy5pvrnftvgqhv55gphp1h	$2a$07$uAttXmU.oqfgzSfJJNes2eNw9Sx7WTI2FDEBqxE8J9jiBI1aixS0a	5	2013-08-02 19:41:08.178519	2013-08-02 19:41:10.318676	14		0
825	10v4c8daij9z1hkjjsyougntc4	$2a$07$geicDWwX5u9I294/Av.eDOGSho0sXfckqgqaRDpQelgprSsZHtDFW	6	2013-08-02 19:41:08.200508	2013-08-02 19:41:10.5261	14		0
826	109m1mtxmvmpnpu6domfg6s96w	$2a$07$7YylyoPlunsPmD0FqvKLge08JgS1Ltp07M/bRlWgEyVMb3voj/Zd2	7	2013-08-02 19:41:08.222719	2013-08-02 19:41:10.663267	14		0
827	10aqe1qgpq2ftg2nl9lc89q2vg	$2a$07$fZhUmnzYVcXBuKSRD1igcuWT1b7MjLKlVXljhPcXT/5/TFqKQvVHa	8	2013-08-02 19:41:08.246204	2013-08-02 19:41:10.797162	14		0
828	10abp7ynd5r7n6gu1pg3x6epdd	$2a$07$kwOca6puSiFT0DRNB7bbUeoSzlUUmtB4xA1kl/.fFOZqDlxqXr6.i	9	2013-08-02 19:41:08.268364	2013-08-02 19:41:10.930056	14		0
829	10js8xlizsr7j4q38zem7l5s7k	$2a$07$jdQEirb0Y8pVwZCPu62T4O.8QlOv.uux7.ZXzKqNL79RK2fArb7om	10	2013-08-02 19:41:08.29034	2013-08-02 19:41:11.043431	14		0
830	10xs0jby87wpyl6unfqxjwxhxd	$2a$07$TOte03ZzxkK8/cDRAa9Zq.JoT6snxs5jyswgGHsLJv9B17g.v8HyO	11	2013-08-02 19:41:08.312048	2013-08-02 19:41:11.166566	14		0
831	10who558ud4yjfbgaslf5bnxkk	$2a$07$tHB3G5jUXoWjzIsiLxSDSO1cCfjR4z14lni83tIBZMpKe7yHCRvZ2	12	2013-08-02 19:41:08.333833	2013-08-02 19:41:11.308438	14		0
832	10i0crlqrruw0txzfay9d7arnd	$2a$07$gaEapiTvArxc6HboTFs0Pu0UdV8EGGFbDJ73hbKK/qETxKg6QntPq	13	2013-08-02 19:41:08.355294	2013-08-02 19:41:11.676784	14		0
833	10nzg57akxezxdvm2dnek9vm5o	$2a$07$7z9P513PodUMu/Q.V79c/e4qIl3hiyMc.81X8HzQDSUF.l7bgTIaG	14	2013-08-02 19:41:08.376705	2013-08-02 19:41:12.046495	14		0
834	10m2qpqnrz8npdz49b6xie9znk	$2a$07$A4J/5ZNQH0RIVL9HjxzCAeA.f37aNz6XjV/.at.1VS1ejn9t0xqfe	15	2013-08-02 19:41:08.398013	2013-08-02 19:41:12.418062	14		0
835	109ft7de1yzuoqq1y8vckrlbog	$2a$07$G.O80hDzz.u/HAczBx6TuOCfE9sA0XwIaoLh72eHPfkNcdpp.reGa	16	2013-08-02 19:41:08.419331	2013-08-02 19:41:12.663117	14		0
836	10pt51sh9173uwb9aydk12mkio	$2a$07$B6PiAUCyqqg/faAXrWQ4oeUNfXdOVJpFKfR7IYxLAwrJowd2IQ4E6	17	2013-08-02 19:41:08.44137	2013-08-02 19:41:12.903191	14		0
837	10dwxy8fl4zk0mw6pvgwfx6a2m	$2a$07$Bmb/TOXF/oVVSSFGxbmOtORFZxUdi8uX7WCiTLo3fbSPH/1IGdohO	18	2013-08-02 19:41:08.462912	2013-08-02 19:41:13.156639	14		0
838	100scy6cmaj3mxlej33qq1x1c2	$2a$07$zHcxAnCSzJO3GPHWkT.EcO94sy4qh.grfCmQB0UHR5jIQ6lNoo0AS	19	2013-08-02 19:41:08.484218	2013-08-02 19:41:13.507993	14		0
839	10delhjxf38vqcyfil7av7mfjw	$2a$07$DevXY0050l4qsU0K/.ahkenD/dTFU2TMjmBLR3LaZv0NKdK5.72FS	20	2013-08-02 19:41:08.505605	2013-08-02 19:41:13.836743	14		0
840	10taqhx46karf16apuqd60ckxf	$2a$07$XbHuwgVh0w4cWANFbi5eY.UAQYBBab/mqNCJPk39USyyEpm9L2J76	21	2013-08-02 19:41:08.527197	2013-08-02 19:41:14.182568	14		0
841	10ba8iitlenmh0fmfb04qrdwdl	$2a$07$v863h59Im8TXHz7qybge6.zf8A7WlwHCCBTzXYnd.zfrmBT8lgfi.	22	2013-08-02 19:41:08.548877	2013-08-02 19:41:14.547969	14		0
842	10opiszm6j27w80ygfwlh29kxo	$2a$07$.liptip4ieUgzgqV6tWOvuD9PH6W6q7LyL8se0xqkKwx1Vj1L.oQi	23	2013-08-02 19:41:08.570325	2013-08-02 19:41:14.912683	14		0
843	103uczy63uzt5n0gvpxombffd1	$2a$07$.4J6zwEHcngUziQI2oWTUuEeBEOPv/jCMGuV/zOwUmeG0rLeQnmnW	24	2013-08-02 19:41:08.59172	2013-08-02 19:41:15.278823	14		0
844	10q3c5lwrhr7ucy8te2vyxw970	$2a$07$TcQnBfo36W6s5c2AWQ/Yo.UJC2gQaqaJtBkeE9OW85TG4xtYbEF/.	25	2013-08-02 19:41:08.61329	2013-08-02 19:41:15.653315	14		0
845	1074jtd3jxjf9sy8lx1ejxch0r	$2a$07$hcmTdLPFFAvckhdEiBxNzOEMAqUJiOLYJhN8Oxw5As5Vt3ECapA86	26	2013-08-02 19:41:08.63507	2013-08-02 19:41:16.01675	14		0
846	10hiqdsl29zaly4dzw6eog37u6	$2a$07$nJmF7sNwr3/5WVyf56geoOxbSBXk3khDW8P4TBiLlzgS4SLIenX6a	27	2013-08-02 19:41:08.656595	2013-08-02 19:41:16.379522	14		0
847	10zv6ju4oxv8bqycj40wcvr4o1	$2a$07$FF/Eoc2h3TEGiz3OV8rxauzUoHYYLI6DvUROj/eB44JJ3gDnU9qAu	28	2013-08-02 19:41:08.677981	2013-08-02 19:41:16.52083	14		0
848	1029jr8mg4jh1cie1mjfvxk0d9	$2a$07$GRlTLyspiBeJgfwdPCHADuPQI.le8T7Nsmq52u1g1ChoTyYk9hmSW	29	2013-08-02 19:41:08.699292	2013-08-02 19:41:16.654377	14		0
849	10ev1e85qfjyqezknf54f7xgmk	$2a$07$RPfFw3z1TboIA8ENSjO7cuhAkrEUh8DzVCwM1jjI4D3xrqfyzb95C	30	2013-08-02 19:41:08.720974	2013-08-02 19:41:16.793353	14		0
850	10szl4q4765ohss1qa57bw50i4	$2a$07$SVIZZ1HIApYF3DuAv7OSWuBqdkK2DHl0tOFfyDPP1ebbLq93FcW8y	31	2013-08-02 19:41:08.742683	2013-08-02 19:41:16.931092	14		0
851	109cujl4164z0j8oarzl5ctbgk	$2a$07$aqvnG2.fTzqPjBxtaxrYjOf.Z9JM9Ki.GqcMSKiDIKa8orAZCEGsa	32	2013-08-02 19:41:08.764592	2013-08-02 19:41:17.070268	14		0
852	10ooaep9b5m87to1k5ggn6v06p	$2a$07$FspGdqB/SbY5zScGYVd7neaswdczj/avf6.uGVvfbNrrKEcvDKEi2	33	2013-08-02 19:41:08.786073	2013-08-02 19:41:17.195807	14		0
853	10fh3kly30asn6z9p1qugj51u5	$2a$07$5VcBs3fkIWRasxHeGUULuOP7SSeMJ6WA2DNdBmRtRm3eVdyBv0GV6	34	2013-08-02 19:41:08.807766	2013-08-02 19:41:17.32785	14		0
854	10glywytpx6g5o80fuf7m3ozdz	$2a$07$aDAdy1./KeK.lil1BI/0fuPOenNoLRxKpncPUB2e/8NfzWiUVfLtW	35	2013-08-02 19:41:08.829341	2013-08-02 19:41:17.461141	14		0
855	10hqxr75b50u67g7ak6fn6p645	$2a$07$nNMZyimqJeJP0xYsQfrv9e6Mt5r2YzwMkHux6gpkxjSmb57S9DS4i	36	2013-08-02 19:41:08.852704	2013-08-02 19:41:17.563263	14		0
856	100ob4r60qkw5yw1heri0a8axq	$2a$07$h5oFGuKvdiORum30TovvrOgDIj7Y7nGFjKpLE75sJEt2R1G9t0SR.	37	2013-08-02 19:41:08.875785	2013-08-02 19:41:17.757032	14		0
857	10ycecxqdzzxx0godsn1rjlxz2	$2a$07$vIwQDg0aS/poy/KTUhfUKusf4hKuBsaAKYQtIt7/0mguK85a.bGxi	38	2013-08-02 19:41:08.897619	2013-08-02 19:41:17.868816	14		0
858	108gftbgq23y42p3r8zb3ezy8f	$2a$07$xLhn8xVAuUwxSnlUIu12Meh7i512U47k1oH/EKFw9Plbkgd9kvBI2	39	2013-08-02 19:41:08.920115	2013-08-02 19:41:18.054954	14		0
859	104mmm3yi8k9pza44ae3nrxosx	$2a$07$oTSXzQ5aHKdVl7laGEdHw..Ys4XOLJDdkGAOj2eaRAL22kGTCvTKK	40	2013-08-02 19:41:08.942231	2013-08-02 19:41:18.400502	14		0
860	10ikng42jw9omd7f8j6yck0h37	$2a$07$6OyV9MYxTsj1Wiivp2t7jeFQGfm0kygJJ3RjfPLZJLRRKar1rAmpW	41	2013-08-02 19:41:08.963849	2013-08-02 19:41:18.7565	14		0
861	10omogetp0s4xoz31yrfkf2cbx	$2a$07$PQvlz3gYoq/go8e68cFFyeBygy1y3laD6NrmM8XYdqI2rMFAnwmKa	42	2013-08-02 19:41:08.985246	2013-08-02 19:41:19.128103	14		0
862	10rg7re9zd9c6wf7atmk64marv	$2a$07$XX8PPoaRXEgp7ZBrN3k7cOMS.0r73itp0pXddl5SaVBAntVz4brPO	43	2013-08-02 19:41:09.007256	2013-08-02 19:41:19.500309	14		0
863	1051rnh4jhzw1bc9ojcip28hip	$2a$07$IA9JbSkxxi//EDnjuI/BmuCturq2J/tv4zAwlJ8snN32MWj/Zplmm	44	2013-08-02 19:41:09.028732	2013-08-02 19:41:19.850521	14		0
864	10n24zkxbxzxrj3u8gaypmwgwc	$2a$07$B3Sbl5F/Uhl2h4oDXeLWvOO4.fM0Q6RkhZ2HoAoYaklQgSFLISTtC	45	2013-08-02 19:41:09.050969	2013-08-02 19:41:20.215936	14		0
865	1098gi09y72aenryih701wcbha	$2a$07$tv2Y9DlwZQHxD2uWHEaEWeeGkywBo9eqrCzyJiq1NWowiMvf3uiem	46	2013-08-02 19:41:09.072507	2013-08-02 19:41:20.584389	14		0
866	10vctvo4xkqkquyeszzzjxh481	$2a$07$L9jn9Rg41G3Dqn9r4IrLVe0/zf/IDYDUEerjfDWgnbDAwITaWalXC	47	2013-08-02 19:41:09.09443	2013-08-02 19:41:20.954458	14		0
867	100yrwiq4yr1a4jd9ubkeul3ch	$2a$07$I0YQyuAuQBE278dNfYYLr.ZZEuOck4226XPhhY/4ql2T.LX5ecCxq	48	2013-08-02 19:41:09.117206	2013-08-02 19:41:21.31136	14		0
868	10dx9erfkf2zkqn82x0b1z386n	$2a$07$/kUk4Tze1ggXDjleLvw1L.m.RCxxskuA3A37liAhUM.oD2ElQV1/m	49	2013-08-02 19:41:09.138866	2013-08-02 19:41:21.457228	14		0
869	10uo9yig35qdi7uo09nnm93u22	$2a$07$eVOhbwXgtowmjZ4RtB7xUO7//06/XOm0SrjUmzXcjmzmefJyfb6OS	50	2013-08-02 19:41:09.160424	2013-08-02 19:41:21.637017	14		0
870	10mbqkti38ep4s8tq6txf4apcf	$2a$07$oFQveND.x7B3SBKvlqtyBeEUQf9rZSeFIjMka1f1G8WJaPlMso3Em	51	2013-08-02 19:41:09.182174	2013-08-02 19:41:21.822558	14		0
871	10srfaxzdfziueqoh653zoua2j	$2a$07$fiCdMbongUe7CrSHF9kesu280zaFXjvcCI0qTjnCj3FfyNL8VwzTG	52	2013-08-02 19:41:09.203647	2013-08-02 19:41:22.177847	14		0
872	10xpepif9bcf7eecvh78hkvngc	$2a$07$e9dGc4M3UoYKpweGE14vkuPQtpkHEGbwTDd6ZoJMtSsu14f8us8/i	53	2013-08-02 19:41:09.224876	2013-08-02 19:41:22.496843	14		0
873	106f7cpuovnf3o1tzy0cuar5v8	$2a$07$QoYCy0mwpK5GQkDbulRrAu5jZOPrjFxH79EKx3XAmymW8IYd6RJA6	54	2013-08-02 19:41:09.247971	2013-08-02 19:41:22.815199	14		0
874	10uc2ertm9k65031v7nu1o1dvy	$2a$07$hSKJxWzAgLXVvciYS6anNeoRJfxW7qUD54watZ7eA0HEOGKYpHVKS	55	2013-08-02 19:41:09.272696	2013-08-02 19:41:23.136996	14		0
875	107iea3gc10re6l0xvxrv8b8lu	$2a$07$Rh2w7q/OEMemBfFmaJcL1.33gsfdhmlxZR/Ml4bratLkFZ0xgQqWS	56	2013-08-02 19:41:09.307787	2013-08-02 19:41:23.472022	14		0
876	10mk9ttly63n7cck6izf16anp4	$2a$07$XytkyN4GNAzJfGBEh4XvSelwRUJ3mcv9H2vAvAi2A8P.x7LV7eHZC	57	2013-08-02 19:41:09.341305	2013-08-02 19:41:23.800206	14		0
877	10gxdpzaf701vubadldv2jh4pz	$2a$07$q644Ht2z/9ZacUvUKdYUg.cpwdWkXURrlQl3HtLcuTuY.ors2jrlG	58	2013-08-02 19:41:09.362859	2013-08-02 19:41:24.156827	14		0
878	10dl3buiu759u77taftge0kgkv	$2a$07$.vJ9yv2JcW9BxTKM9z2AcOyPGLY.m5/5V75hZZsCd9QdQoU7qhnNC	59	2013-08-02 19:41:09.384201	2013-08-02 19:41:24.513085	14		0
879	10exzxeofpg8c3jv28wpxkb9lr	$2a$07$bR6KQDDmgoReOYlWz8b8EeYFgjJRLW6wfCeL1tLkN/fbo8/0HwBeG	60	2013-08-02 19:41:09.405864	2013-08-02 19:41:24.877319	14		0
880	10i24omap80om0wun0k0yllahb	$2a$07$Arj1bFInXIQi7HoYuQBquuMhNaoEaggEehCCTH.BsEM4.8fSJPgSG	61	2013-08-02 19:41:09.428696	2013-08-02 19:41:29.074353	14		0
881	107eu3jb6qaixi72yl30dgxole	$2a$07$uuCWB24BmVVJ8UKmb2iqx.C2RTxnk3CqmvBdIkwpDGuBkznJv2dS6	62	2013-08-02 19:41:09.453227	2013-08-02 19:41:32.074759	14		0
882	10ljn8a3crrh1inlums5w4q2ex	$2a$07$omWpKXsu7JUKM0bTSQUm7uh.iPpEFpVLiLHPq5tWske4yPqTtsHzS	63	2013-08-02 19:41:09.474612	2013-08-02 19:41:35.265221	14		0
1576	10zrp8bdy4ctzf432bt5e5dqdq	$2a$07$kaiMUd9ptLY3qvE9S/xAEOugrIC.90zwSoqOk7O9OZ3Xh49ZV.u9.	1	2013-08-02 20:46:42.080406	2013-08-02 20:46:43.667729	26		0
1577	10bq98mtlxdyowz7szvzmkvwg7	$2a$07$JR8X44TB7EklbH2WoyZeO.BVhCKZnpAq7AdAsfn1BVuOGyazRgfnW	2	2013-08-02 20:46:42.106783	2013-08-02 20:46:43.817072	26		0
1578	10pyjct4gtqfjykgnnp62fm5ba	$2a$07$MEdmyheIbWI3E4C8I5GX/uvasV34v185TN/sz0UvxZC/NrYlHfnaW	3	2013-08-02 20:46:42.128746	2013-08-02 20:46:43.956089	26		0
1579	108k0q980yxjyiydwbhonaecov	$2a$07$UbLatlqgVBSM9Ojlfb3Lr.q1cTvewzC1ZVc/UydTI4ggE6UVEO01G	4	2013-08-02 20:46:42.150182	2013-08-02 20:46:44.315279	26		0
1580	10qacfbcguqjhtwa8jp5nfa8bq	$2a$07$Yf3UuKuavKxX9HcsbDOlVOLoFGH0Q/SGqf9ff27y8yMqLUZQfHDru	5	2013-08-02 20:46:42.171813	2013-08-02 20:46:44.676842	26		0
1581	109val67bvxwljmu299mn614n3	$2a$07$4ygtDP2ce825bCSXQtKATeDPqFoki3J/.fpt4pNus3KuumFrqOPO.	6	2013-08-02 20:46:42.193224	2013-08-02 20:46:44.964805	26		0
1582	103kkwtb2vnp37uf1pd55sl01t	$2a$07$9dERa2bQbhu5CV0eB3DaguZimH8ik4.zOIi1UHH6MYUVP80sw4FcW	7	2013-08-02 20:46:42.214596	2013-08-02 20:46:45.088474	26		0
1583	101srmerg0q1v5zyb3q4vaxuiq	$2a$07$EUd2lWNhLIU6FyH5XR0G6OQzCgTCLreoLAu7yDJq.oNPtWcEiGOCW	8	2013-08-02 20:46:42.236596	2013-08-02 20:46:45.222922	26		0
1584	10qgetxvm5dtpqwmlahnxv3pnc	$2a$07$KJofLzhsqUaz02WjiF36kuJaz.Pp9sMu6i9GH7P6vfK4z8G9HsT7.	9	2013-08-02 20:46:42.259015	2013-08-02 20:46:45.354593	26		0
1585	10e2lsgd85neuox12296ienotv	$2a$07$9a5WsJk2aClodR.UpUv1.OT4rzn/IGZS7H4YVVy5A0ijDsFRRt0sa	10	2013-08-02 20:46:42.280591	2013-08-02 20:46:45.487854	26		0
1586	10ifin8hrhmyonekzjudkzdjud	$2a$07$V1lJ9stSjUr2GmgVDzt0oeXXrvoNhD5esfhiV7tUzFwjRO3xg8O/2	11	2013-08-02 20:46:42.303275	2013-08-02 20:46:45.619211	26		0
1587	1014bvf9a3i2bm1tztyp36s7ei	$2a$07$GTovkGX3Pu/QGr8FtZ5fQuzfSRB0LHFgz3Kgkx4Rd6cQekDHNRAhu	12	2013-08-02 20:46:42.325071	2013-08-02 20:46:45.747959	26		0
1588	10oktya7k9ong6j19geyce9z42	$2a$07$R8cfCv25Kee8M3ab4hNH0uqtC1IvIt38TamLyoD8noVoKTGXGX6TG	13	2013-08-02 20:46:42.346766	2013-08-02 20:46:46.095296	26		0
1589	10oxoafgnfvisagjtyb7ykm29x	$2a$07$mLviy2qxke5mAwNn/EOY2OtHASMyJz0.YKI7upZ8lg1yf0KzRilJO	14	2013-08-02 20:46:42.368194	2013-08-02 20:46:46.465075	26		0
1590	10ptvmo26im52otbeqxgshpose	$2a$07$ypZEqzR8GKyPG1guPzl8veYbEj.UObpwue1Kr998JM8TICEN4RkOe	15	2013-08-02 20:46:42.389733	2013-08-02 20:46:46.834277	26		0
1591	10fgmbym9k1bq7sybj0knb6fbh	$2a$07$hwCtPe7lg5y994.uMOWC9.TTT8Yezq0rmdL/FATePWathlVvdYREi	16	2013-08-02 20:46:42.411377	2013-08-02 20:46:47.211961	26		0
1592	10hggpjorx4jo6ycz0klet4sw7	$2a$07$vCvswDUJzTUqioZu1y4Y6OPlrYsnTIn9X3it/mf84l3ollT1qyiJC	17	2013-08-02 20:46:42.432687	2013-08-02 20:46:47.360892	26		0
1593	10kha2rgkcv86y4txa3b7o9hzb	$2a$07$ySJiBoAIjTgeISix6pQJUepp3dJF24TX1g.V/aA9QC.2B8S6XzVsK	18	2013-08-02 20:46:42.454082	2013-08-02 20:46:47.549237	26		0
1594	10846h7fotu7zz8a52z3xla1ro	$2a$07$QksZIPQly96sTfD80FgeieoE7Wtc9Ckw2G4xTfx/azQfvM26wfBVu	19	2013-08-02 20:46:42.476372	2013-08-02 20:46:47.804186	26		0
1595	10mswjjkh61d9mu7k4f6lnkip0	$2a$07$M5LjUHKOBLNaKLhX4DDUvOl2gOCEtbYbLFTOO5fpZrxWxa.7M/cyu	20	2013-08-02 20:46:42.497903	2013-08-02 20:46:47.941201	26		0
1596	10r0x5lhyhuesftislgqwql5fo	$2a$07$kZskoyc4hp/g9JJbsj5/0OEV5ajzjdUYkJlnQKjExwg94eaTNaezm	21	2013-08-02 20:46:42.519411	2013-08-02 20:46:48.107707	26		0
1597	106ka8w4slyyik1otm8gx3etxf	$2a$07$hPdLx4JjDMzuAmiBpuKvn..Zto/Gu0SAJkdnqmtxvMKHCoQijSuDy	22	2013-08-02 20:46:42.540827	2013-08-02 20:46:48.470187	26		0
1598	10uxh1p1ybc66je0k5u44fg23x	$2a$07$fmGvtlbdfLlGwg7s8Fpc4.R2sdNf0yYCfWIFi8Gtjs7eHip6RzcPO	23	2013-08-02 20:46:42.562322	2013-08-02 20:46:48.837929	26		0
1599	10ula93y40in91lcu3dp9bhz5o	$2a$07$afWlLzm7TcjEPTblkiyALu8U4RsyhFMdXDVPcr2vgKGr2cvFG.z2C	24	2013-08-02 20:46:42.5841	2013-08-02 20:46:49.195933	26		0
1600	109rd5hlefkt94nvsr9iwcwed0	$2a$07$2QZWt/AIDEXmEQFNmwikJuThEJsd2D25c5FME5V82ApbtOCbdsq7.	25	2013-08-02 20:46:42.607044	2013-08-02 20:46:49.579007	26		0
1601	10h0t9z4pt8c1zxlr8fczoqix4	$2a$07$BW1OWAJC/oy2rpXV9qtRCuJ35QTKNqcCcBUhqJoJUD7MJaxw5aufS	26	2013-08-02 20:46:42.62856	2013-08-02 20:46:49.712225	26		0
1602	10sxfgp1om6pm9jeovkbc4e441	$2a$07$1V8pOelLChMlKtJ6jQzvYOdRyPZRM5l1w2N2BUJp5eMnUVRX4Z/gG	27	2013-08-02 20:46:42.650164	2013-08-02 20:46:49.915013	26		0
1603	10bqnx0lsnbpk4af84drninzjw	$2a$07$zLQLVsTDG6bxIgjmWmW.GeiWlIo.tTld6ND8FwaYy8.I1aVsykxBy	28	2013-08-02 20:46:42.671958	2013-08-02 20:46:50.281774	26		0
1604	10m469b8fpgdhwsb0tc6w3nmog	$2a$07$2VJT.AUWku3x21Jy6S7oneLSs4d7SqINbzumvvbr68EKBeCM5SdcC	29	2013-08-02 20:46:42.693551	2013-08-02 20:46:50.639644	26		0
1605	102jmxbc6a3s1eohfs0nosbraq	$2a$07$Ih7/HQChv22lS8Wg5oBqeu/6l15SWqKGUg0q3mjoP1Y5K4YbGs21O	30	2013-08-02 20:46:42.715229	2013-08-02 20:46:50.997305	26		0
1606	102jhaokzn4d1m33tn83m43kfq	$2a$07$fcjPot2NpR9hK9QwTqo.8uQSLn26QAanaoGOz2VbpWmkCL.qtGxuC	31	2013-08-02 20:46:42.736614	2013-08-02 20:46:51.117559	26		0
1607	10h3nzfvtswnb4rvmxv5q5ccmm	$2a$07$6Z1sH2OsczvZTq2Iuu4MqeSw4V6cnu/noMpdw2OiRMp/StaeZe/hi	32	2013-08-02 20:46:42.757885	2013-08-02 20:46:51.246343	26		0
1608	10b6t5klmxmg2xlpeu9w8gnve0	$2a$07$Oe1k/Lnj4yi3tXQ/PqafkeOBMe6G3n2CTx9LwmpcFyC4wrVaK0tky	33	2013-08-02 20:46:42.779259	2013-08-02 20:46:51.34542	26		0
1609	100e8ukbr7fdbdtno3i4c7yak2	$2a$07$t855QUvSrqYOkrwAvVJ4HOrgEIyL8JCbCUznMiFa4KThJn/IxJ34G	34	2013-08-02 20:46:42.800657	2013-08-02 20:46:51.44432	26		0
1610	108ognmz2ucvxeoq3h1tpo6di9	$2a$07$aZfhpQqX8AUA4LpuGF.BHOVQSjuFHrv3e5dB80cAoM0mZi5RU07.u	35	2013-08-02 20:46:42.8244	2013-08-02 20:46:51.573389	26		0
1611	10pmghenhktt0v6ge8vk6fhk9m	$2a$07$.wroNV3iz8tFE9e18Bc3sOuJ2iY9Oy3JXqUviGbgNcV4nJSu4pX/6	36	2013-08-02 20:46:42.847979	2013-08-02 20:46:51.705505	26		0
1612	10vdiaqxkd4knkytce7yn8ynew	$2a$07$jvRyxOLNY1WHIgcy7KrMRuXDU9Yqh5rwj/2ksEI7tWdKGSfftL0ii	37	2013-08-02 20:46:42.869572	2013-08-02 20:46:52.02809	26		0
1613	10pe3or61qkvxfz7bpe2fv71ax	$2a$07$DeOiMYpO.so8nY3bh7IkWu8w2FO7UBLbF07iEFk9XI1XGyByFUUVC	38	2013-08-02 20:46:42.893028	2013-08-02 20:46:52.167817	26		0
1614	10bef941k3npksi5u0ye04ieah	$2a$07$2uKXU.KM6gKSOpdbnZ3K4e6OtTZ29zZ64FGLEoD8ae/dB0zIw9AEO	39	2013-08-02 20:46:42.914643	2013-08-02 20:46:52.405681	26		0
1615	105psxor4a3gn6stp6qd0p448q	$2a$07$chmZOSRdDsoI5.1s8mk0AeCzoEoCspXgX01WplFmOX9choPdw9V2y	40	2013-08-02 20:46:42.937526	2013-08-02 20:46:52.771309	26		0
1616	109a9mtf4m3mq1vcbkqz74bkwx	$2a$07$dxRGppcitkvakpSNKvXgoueW/LTtDssxix2bbLwHnGMzI01gZCzXW	41	2013-08-02 20:46:42.961133	2013-08-02 20:46:53.13281	26		0
1617	10680erj430kkcskk1gfj91rzx	$2a$07$SHZzMyxljKAmRaT2z6htte91UHMIp7/wB3wOw2J4FeM2wpf6eUBx.	42	2013-08-02 20:46:42.989998	2013-08-02 20:46:53.487516	26		0
1618	10wb4bexw4vhn42e83k862r6dy	$2a$07$HuTCLZmrzothc6Mf6W/Zq.rzx9O6wgZeTf9Rv3UItyfKfJ6ZafFmO	43	2013-08-02 20:46:43.027905	2013-08-02 20:46:53.856862	26		0
1619	100xsfoowax4lbw8f3s2ksgrra	$2a$07$i5kix0g7afJw7jlEdlYJhuqEyqwxOvA46F.6VVXvgUMVQJUYA8U2u	44	2013-08-02 20:46:43.049495	2013-08-02 20:46:54.209412	26		0
1620	10yoo0cwexsf9lb20bw0003j51	$2a$07$HgU1UPj9QbPb1hENvkIQEeocFSQDpgwsCh.jMbIQDdHdjmzveSwxa	45	2013-08-02 20:46:43.071117	2013-08-02 20:46:54.581173	26		0
1621	10zoxgb1qmzijldcmp93d2jz6d	$2a$07$WahUfHx9SELz2v8KmOmAHuHuu8CTiv/kUdci3W9GdpgLZ1zayI0qy	46	2013-08-02 20:46:43.092546	2013-08-02 20:46:54.940975	26		0
1622	10w56h3d6tkrxbeywacg2fpj7s	$2a$07$2L1LvnVwSf6IXvojzjhTguNBjJ/NnIxJeYb3HvHdxnb/XMHV9qhhm	47	2013-08-02 20:46:43.113944	2013-08-02 20:46:55.334311	26		0
1623	10pk710ckcpz7tz9bexh05fkye	$2a$07$fkUjWLLcmwT7VXIREircMefu7gWQUZVSf5PnauuH1sUxcrydJ48w2	48	2013-08-02 20:46:43.147034	2013-08-02 20:46:55.723096	26		0
1624	106n8mzp5uywohr0d6lshecwfe	$2a$07$V.D5uOwIZseleEtTfz7DxOjIGR9Rdhq6zRS1MYFJWvhw264vW0Vp6	49	2013-08-02 20:46:43.174164	2013-08-02 20:46:55.888834	26		0
1625	1098fit3ya38wuocb7vhlgnxaz	$2a$07$H/.v4AKhqRLYqzNfXH.xX.8IDW/A5YEthHgQGnAMTaI49UD3LR3bq	50	2013-08-02 20:46:43.20162	2013-08-02 20:46:56.119046	26		0
1626	108dls56adrfwespk8mnazvcf3	$2a$07$BLtUyU.Q6zwpPT9W2YAF/.textHnLv.9I9KfpuvWzFAXohzSWpTqi	51	2013-08-02 20:46:43.224456	2013-08-02 20:46:56.337544	26		0
1627	10wr161poohlohwee2guru0ge1	$2a$07$8gEivVhBCXNWQd3Fc5ie3O2YSm54P.AplE07s7tiSNeV2xViFVUgi	52	2013-08-02 20:46:43.257185	2013-08-02 20:46:56.691825	26		0
1628	10x5h7mqwhad668pwvz8modb2v	$2a$07$u8F4szVlHr0UfSTYLr6le.aB8bDVd957qw5YANIzmw5ACgh/SS03i	53	2013-08-02 20:46:43.27972	2013-08-02 20:46:57.059458	26		0
1629	101wze5ak14btsdvp1b5w4j7b8	$2a$07$831PR7nzUFUfRfvjv8KCc.h8hv.94yfb.hHXwettj3K2hVzy2OsvS	54	2013-08-02 20:46:43.305013	2013-08-02 20:46:57.430482	26		0
1630	106spzkpptgpwjrhx4jseb3uaa	$2a$07$s1FowIq/x5BuaSYpNDcZR.njeqKHG9jUiVaq4AxV9myMf3GCmfa1a	55	2013-08-02 20:46:43.329107	2013-08-02 20:46:57.565051	26		0
1631	1058ha9wq4qogi932xy35vzb5s	$2a$07$LJdDreIpfvKf9B8h8lrWYu5KhCy3UsUCBl1WSRMaGizBrE7ZMY666	56	2013-08-02 20:46:43.351106	2013-08-02 20:46:57.705508	26		0
1632	10yvji7pphwyoxbfbe5lw8tgtt	$2a$07$VomTd/O.yqE3PzbAXp6jo.rKMIPBuCtNBWmd6V406XeArurXTfFm6	57	2013-08-02 20:46:43.375638	2013-08-02 20:46:57.840584	26		0
1633	106yvios9ujcyi8zlui3du4qph	$2a$07$hgTWBZf7wwXxFZJnIe/ELuhpPAN7oytOB0iK9odqbniC8Ip8Cc2fa	58	2013-08-02 20:46:43.397675	2013-08-02 20:46:58.212936	26		0
1634	10n25j3lukwfie9hgr9o9djh2f	$2a$07$D1sm4i9IjjCuDOkkjObix.UNjLsYUszGSKR7FGCCR3OYzfKG8TXsu	59	2013-08-02 20:46:43.419285	2013-08-02 20:46:58.452128	26		0
1635	10w1nz2dgtputdnwtt8246te7m	$2a$07$dOBC5bTCZwIkKpKKu/G69e9eTQDOcM.UNDg5YYS5KPo4oeisT575i	60	2013-08-02 20:46:43.440532	2013-08-02 20:46:58.603584	26		0
1636	105kkhsv6b2aj0cruafp5uptkp	$2a$07$O7WW3UcK4x80khTlaf2/WuBmiNlZ6GSxUYb2NZO8rpagzlgT/Bjke	61	2013-08-02 20:46:43.46321	2013-08-02 20:47:01.277405	26		0
1637	10qw6gylbcmfnru2madz5xd1so	$2a$07$uaxx7nqepS2JSOZHAeQBF.JpqC04myJjDmUnESfgHTSaDaB5vnGja	62	2013-08-02 20:46:43.495852	2013-08-02 20:47:04.399538	26		0
1638	10t7c47kttn6kowcmxznpdb86f	$2a$07$eiY1tbzHhloFErC8shaLNexgAF5WZB3yJsc9uB/.3i0c8WGfnXiuu	63	2013-08-02 20:46:43.522172	2013-08-02 20:47:07.596276	26		0
1009	10v9327m6b41om00eau3xnqsaz	$2a$07$OM8U5ZEy2sOuj20utJLoSO5RwERhw4Ma6AoQjiMjamZF39wb.lh72	1	2013-08-02 20:00:16.064566	2013-08-02 20:00:17.638079	17		0
1010	1018p2lq3wgx17kepcf6ckd6do	$2a$07$MKLfVZKh.p/0GuWfJzLhs.P27G/XkgkqQw3pxbYjLeWMOyXagDoLe	2	2013-08-02 20:00:16.092494	2013-08-02 20:00:17.786185	17		0
1011	109aa57opve4kaxfs6qzn62kzq	$2a$07$N1yXrlJ.RfL2RGQ/gqb3A.QrgUPsRTkQwnvdY3E.UfZRMJPidvif.	3	2013-08-02 20:00:16.113936	2013-08-02 20:00:17.930902	17		0
1012	1065s36qrw6mrmsffvzxc8f4do	$2a$07$PjKS7eGn1YHzs.B0aMuihe5p2TdZwo71eFF0gdTu4jouiEGnr.0vS	4	2013-08-02 20:00:16.135598	2013-08-02 20:00:18.073739	17		0
1013	10ftaryiesi3pz5nbv1k02uc6y	$2a$07$UToisEUMBdo0/ElR.JnyFuZvK7SV6JLdL.lNh0IeW4KUfsRfvn6ES	5	2013-08-02 20:00:16.157207	2013-08-02 20:00:18.192112	17		0
1014	106htb0plfnam7avm6ec9y67zr	$2a$07$6.iS36iVldQWWLhdwbJM5O2BKFN0Ge23zJiuIrG1ElFjATIgpUw/S	6	2013-08-02 20:00:16.178732	2013-08-02 20:00:18.334974	17		0
1015	10zn6wdmb6iuccobcvlrq6sa8x	$2a$07$5zwHLEgQ4lxeAsdlURav5OEw4W344lc0pcFnNhWtSZBULx9QseoW.	7	2013-08-02 20:00:16.200254	2013-08-02 20:00:18.46802	17		0
1016	10v5i9jkug5d7sm232bt1odxmh	$2a$07$ruiDWyz6mFgALTmL/RMcsu5O7YPEd6QrdZ1j.sFtpOSrWrUuj/WHe	8	2013-08-02 20:00:16.221775	2013-08-02 20:00:18.597743	17		0
1017	101vz7kgutyz0ohrpmbjdyk395	$2a$07$Cj9RFryCE3me/MrIuxpDtOliceMSyOvUhp7/kI9qkXhc2hl8ByEs.	9	2013-08-02 20:00:16.244868	2013-08-02 20:00:18.739737	17		0
1018	10f6qgba7nvy0pn8zqs837k8bq	$2a$07$hiaN/D7YbboICeckDrdjyuT3Xu8xJHT8WMhLcQyI95W03HHgc8MvG	10	2013-08-02 20:00:16.281967	2013-08-02 20:00:18.939385	17		0
1019	10l5afkefszigzmov8bhrfg5bg	$2a$07$yUdkYFc.4Re4n3zNuepF/.nRgPWjddSBgsxlVHoEtS3V4LWEG3Ye6	11	2013-08-02 20:00:16.314209	2013-08-02 20:00:19.140853	17		0
1020	10thbsynnx98ick1owvvg8avrp	$2a$07$c.prkfO.nSD6drPh8tT4Zek1FvBPKIwe2HeST5O0vNAQsCectSieS	12	2013-08-02 20:00:16.335496	2013-08-02 20:00:19.33415	17		0
1021	10scgamc4zxjffdph2fufj9826	$2a$07$ipLxdPLKZgrAy04hzfJUbeLGZ5CapNDCSAW5PEs.85x.wZDCDSmJ2	13	2013-08-02 20:00:16.36294	2013-08-02 20:00:19.702759	17		0
1022	10pshudbo4z4dptuj11xvalmmp	$2a$07$L0pD3aDqeHntdwAufdKoquQxs6eh4y8gVy6gr0YzTIMu4Lwc20xMq	14	2013-08-02 20:00:16.387455	2013-08-02 20:00:20.068282	17		0
1023	10xl3f171nrbc8pv8jcgxy6zlr	$2a$07$K1WPTYvCoFoPM9O0oNTu9.I6Da2gaLNVtrwPbQSuLxHAOcVAiBTXK	15	2013-08-02 20:00:16.409075	2013-08-02 20:00:20.43587	17		0
1024	10vewpq2ppqw06r1ln7pucj7cy	$2a$07$BzOBVFjCWREgXr944062xOR3DLKLzdvq5DN/F.G6mHcHWQTOtI/Q2	16	2013-08-02 20:00:16.43294	2013-08-02 20:00:20.703533	17		0
1025	10zvwjfg8sj5hd787fvax2ok71	$2a$07$XqJH4x9yKo8UOP./lZUz/Ox..f8ZmpYJzo7v4KpESqnNHnHOb8NT6	17	2013-08-02 20:00:16.455452	2013-08-02 20:00:20.848887	17		0
1026	10qx3zq15s2hp0m8eaagcme2yt	$2a$07$KdTjbHx0L/jETtbNLzp.h.ClrbmvrTt4vMlDSS38pEXhAC2x8mfby	18	2013-08-02 20:00:16.477211	2013-08-02 20:00:21.026916	17		0
1027	10hwbhbi636u2g4x2jftf44xc2	$2a$07$Dxb/pixC4V7aZM62ZQ0xqe82Q.AZaVPzFa/MCv67REWD8tBanrWnC	19	2013-08-02 20:00:16.498844	2013-08-02 20:00:21.393774	17		0
1028	10qcjxsfg0i2yb8q98tp9y7ou2	$2a$07$OFgd01R83Pzkrx2CiWUbyewRgxOIvA8U4/xiuz19R7C4qcw6DrdEm	20	2013-08-02 20:00:16.520429	2013-08-02 20:00:21.753554	17		0
1029	10nfulw4a8cpr1wzjivsnvptta	$2a$07$sR.ScmsYRvco94eX8xskxes30VLuYDiimNPV2jE2.Y/xD27/DkcAm	21	2013-08-02 20:00:16.541872	2013-08-02 20:00:21.963582	17		0
1030	10srdr1akgk3yhwzifu6m349ya	$2a$07$KWbW30HJ0r5rqld5C0rS1O5tiwU.Syechfw/v2az1sSVhGm8pCDVW	22	2013-08-02 20:00:16.563188	2013-08-02 20:00:22.333942	17		0
1031	105ksp3y4uafrq1ejvhxxgaag5	$2a$07$Yog1c5x4FT8GSvoKiaN.QO7/rSu.4.mnL8E2kUaHMthwvaQ1jatgG	23	2013-08-02 20:00:16.585081	2013-08-02 20:00:22.702085	17		0
1032	10iq4j3l220t4iv10ltlfxj489	$2a$07$fljEAMQ8u7ij3qtS5gWPI.IO6N5HlUW2aCV67fereskB5GuJAzP.u	24	2013-08-02 20:00:16.607791	2013-08-02 20:00:23.063504	17		0
1033	10wutd20417afktklogw97nwgk	$2a$07$PZrObin0yOoOvko6AZNSkeITKt7PZ2i2IBh.dTkmxDqw1xg/sWj.2	25	2013-08-02 20:00:16.629354	2013-08-02 20:00:23.408625	17		0
1034	106ako67o7f27lg3hbrhk6q0le	$2a$07$LbudXnouMT8Egynhs9LKPOu2gHpwIJ81uNvAfVy/ElOSx3jTS5eQW	26	2013-08-02 20:00:16.673659	2013-08-02 20:00:23.764076	17		0
1035	100s8jyoj18g94h9rgkwuf2lhs	$2a$07$8ik4mgeHSvubOqYxAcWPF.Kyo0hSHhR0M7SUwDzLTqjKoHpFXaWZS	27	2013-08-02 20:00:16.695787	2013-08-02 20:00:23.876743	17		0
1036	10nrolzoe5jg7ga95wd50oxikc	$2a$07$AYRNWF2JS3xw7tPp.CspSurrnA2GRGBJjqc14uYHKuUK0ha.OTUc2	28	2013-08-02 20:00:16.717338	2013-08-02 20:00:23.977843	17		0
1037	10nhujfdepofgj7i4p2kxna7fe	$2a$07$Hh86IDMY73Lzxp3UXuv2o.M7C3cn4asZDh3AjlU7zT1VXMHS4HrOu	29	2013-08-02 20:00:16.738739	2013-08-02 20:00:24.079131	17		0
1038	10il8031d0yy77mxp9lav4107o	$2a$07$I1HG9T5fiMDgu4KPn7wzCef.1iW8pR036Fzg/1Qu6jX/f9aa8X7tC	30	2013-08-02 20:00:16.760077	2013-08-02 20:00:24.181098	17		0
1039	10opr4expxz34vw2z4usj5z96y	$2a$07$0URthQyUWgYa08H4cbUrr.PnfUErMF8HsnqGPjWDXFOnw7B0NYdY.	31	2013-08-02 20:00:16.781502	2013-08-02 20:00:24.279525	17		0
1040	1052mzdd49k63ctlzb7vihtxkz	$2a$07$7nAQYtTkCNEvO6c3Ym3QgujrPFcrRGOIPkcNkOCwGjjoiWTmGPEtm	32	2013-08-02 20:00:16.80365	2013-08-02 20:00:24.384776	17		0
1041	101tw2hu80947xo9pqpy50cdv2	$2a$07$K/lcxZ/pJA966qd6gHieNu2wCdBV9OFL97f/uCxAjTLwX1Ra5l5Da	33	2013-08-02 20:00:16.824995	2013-08-02 20:00:24.494842	17		0
1042	10t96z6j7vw3kfmdvwsv28fmch	$2a$07$eVyAB0zdXMIo9ZLnil9bmOW.dH9MF0QjH1tKkgwnL4B13tBu2m/qi	34	2013-08-02 20:00:16.846576	2013-08-02 20:00:24.598571	17		0
1043	10dej188eeme33ya284m21nhk0	$2a$07$Ndx6sfbXQFFlfNxkIdnWw.iZ.pMfqyI75NWDyPCwLH.q7doZwxtHi	35	2013-08-02 20:00:16.867854	2013-08-02 20:00:24.690399	17		0
1044	10qq8dtr2sqaqi133o0cp5n8lf	$2a$07$ltWtSNqVk0kgVvkD.uvq6eTFs0Xhzn58bWkRppcB.bBsNekJJJFUK	36	2013-08-02 20:00:16.889147	2013-08-02 20:00:24.82689	17		0
1045	10ozs5yxpbr93es19ib96jdj42	$2a$07$RiyJ6xi/rfpULzLGrWutyuH4z6RSJ0.EzpHZ1I6kIImgRrtJxukH6	37	2013-08-02 20:00:16.910519	2013-08-02 20:00:24.982836	17		0
1046	1015nkzzgk2j2pngam2glsf3t2	$2a$07$jPVf0s039qWrC5NUJNitBOx2SYJNd/BdsizA4zTCraTiHfhAnuYCm	38	2013-08-02 20:00:16.932279	2013-08-02 20:00:25.33414	17		0
1047	107u6vr37m5ncvmp26cm42q2w9	$2a$07$DSDUwSNQapm2PmrRNqiKJOpmHaff/hJOP3QK5b.4lTddEL84h26HK	39	2013-08-02 20:00:16.953684	2013-08-02 20:00:25.705515	17		0
1048	10osymda92ugj5oge4w9g7ouwj	$2a$07$el9nP9ROFw7m47NCNnygLeIMbC572zNO33OaJkdhZ9nP08sFBan4y	40	2013-08-02 20:00:16.977513	2013-08-02 20:00:26.066496	17		0
1049	10d7p8uc9r72omvlh3drccvqcl	$2a$07$doEWLSWKQ97yX.j6I1FtLu2lwRQ0yKPtQz3L89zQzkbJy274M2gY.	41	2013-08-02 20:00:16.999302	2013-08-02 20:00:26.436762	17		0
1050	10rg77zdqkoj4foufru0dfjuww	$2a$07$cm0jGs4j.PyCjCU62JcNTOrmTa3v5p9wdUwREg5jhE/fx6V1OlCWO	42	2013-08-02 20:00:17.020798	2013-08-02 20:00:26.806963	17		0
1051	106bue740bgsiwa3g2vzawrjd5	$2a$07$SFryhI5ueBoa4DxP5jaHxOqf3Y/x6/cUcQUJAAfbgxdafqzr6dsn.	43	2013-08-02 20:00:17.044055	2013-08-02 20:00:27.181201	17		0
1052	10c3odx33trj2h1wn98flvlk21	$2a$07$pGnM59IEOZJcdwszrMrxOew5EoHohrm7RRVhkivAw4L0CxEBu4fO.	44	2013-08-02 20:00:17.067854	2013-08-02 20:00:27.557856	17		0
1053	10d7qz9p6y8f0jshx3rdriwuzi	$2a$07$z1b1tm7LBHrOCaYSuRT9Aez.GNAS75S5K5AA2Ms07MistQVmhQLcG	45	2013-08-02 20:00:17.089624	2013-08-02 20:00:27.913463	17		0
1054	10ias91ivkwk73f8vwpyu731q9	$2a$07$PzAf69EbvshMOqNZJUBULe2oIwyc58QcRKKDJDXplfrgJ4jhwDxHe	46	2013-08-02 20:00:17.111192	2013-08-02 20:00:28.257928	17		0
1055	10allai58hqbhqeoo3zl88x5e3	$2a$07$OmZ.964.Js0/mJVg/ghwOumktiIe2Ezd5yo1m0OWV1Ga1yJ9p81aK	47	2013-08-02 20:00:17.132776	2013-08-02 20:00:28.357486	17		0
1056	10oq1cc6wjzhpur3qjexzjxlts	$2a$07$/COgaXrBIQHTuPtU2G8/Z.OELjqyeRwqVTfXKXkDFicMWiKVGKevG	48	2013-08-02 20:00:17.154711	2013-08-02 20:00:28.52327	17		0
1057	10d7r8fd29ot7njw1ltmlqbmm0	$2a$07$y/S/WaR0MwbQlZInszly8eL4mUoKpYxjtH/a14SVy6ADzBeQ6tZXy	49	2013-08-02 20:00:17.178242	2013-08-02 20:00:28.760446	17		0
1058	10mqlzm9x2pc9rg8qpgk02mt6w	$2a$07$wpMaXeCSAhm3.dTzBP1zgOfDS4BMhOD6trMaIdIIB/FGVoC4sB1Yq	50	2013-08-02 20:00:17.201125	2013-08-02 20:00:28.940404	17		0
1059	10038crjrkql781karc92c32k0	$2a$07$1lNTtny4H8mahfDYqq0mTumXHHsZYZT5zeJ7GnHvmbtJqFJkb4Mb2	51	2013-08-02 20:00:17.222642	2013-08-02 20:00:29.101782	17		0
1060	108bmfsc2l97swbxy9eo53tiom	$2a$07$lPGfBk1q.ZBBnGceJBagkexh5Jmv2DWGSrirPSWbvVXFi2NtxI5P2	52	2013-08-02 20:00:17.244238	2013-08-02 20:00:29.472937	17		0
1061	1092qimrrnqgjwjabrilnvm2g2	$2a$07$w2rhI0YoP.bG0R1v3CpUeui/JWI0Td5etqSGKiSfDodWTwQJ9Ugny	53	2013-08-02 20:00:17.265896	2013-08-02 20:00:29.83064	17		0
1062	100ed7225hnkygrglokvin48xr	$2a$07$gVqG99MWovPzAJz5hAhXP.EAbyFRgVULPHmHQgxCLsR8Ke3hM835e	54	2013-08-02 20:00:17.287273	2013-08-02 20:00:30.18179	17		0
1063	10s84kc4tms3uvi70xasyjezef	$2a$07$L1rNIh3sxU9eAQmPv2pGFOk3Bdr1PFsjhY0tPM2MSkf000H0uuX5q	55	2013-08-02 20:00:17.309132	2013-08-02 20:00:30.551406	17		0
1064	10fdi4z5qdogqh2f5u8uihs4dn	$2a$07$gULmGJWxQq4IxD5pf4FN1.OfeKRHgMudot.gse4quSWo4U7ymO6Di	56	2013-08-02 20:00:17.330518	2013-08-02 20:00:30.921279	17		0
1065	10q5sgpy2xctw2g7xa1obius27	$2a$07$.rc8geIUKQIb.FbtpaZrbe7oOTeVyNoyLB9P4CVD2Xjnm0ERjIZvu	57	2013-08-02 20:00:17.351819	2013-08-02 20:00:31.287831	17		0
1066	10yzctw3fpmsnksdxh3zb3mnmv	$2a$07$ppi.nVWF7kzpdKUfZhTGPOgxVQjjcAbRBbIoZoffsSLDc7jGNcX8q	58	2013-08-02 20:00:17.373092	2013-08-02 20:00:31.662621	17		0
1067	10kv1e5j4bif209mpzxgem4sd5	$2a$07$Y4lrRT0IedFW6v9TsnX1s.DUesQnojinXsTEuJP5PJYLAT9y.yF8W	59	2013-08-02 20:00:17.394883	2013-08-02 20:00:32.024369	17		0
1068	10luhzofdryf1sjgechh1l3wsv	$2a$07$6IrJq9t/nzlfgNIzlRdPiuwX.p6sfSORFMPpf3t6k76.JeiC6hwai	60	2013-08-02 20:00:17.416866	2013-08-02 20:00:32.393525	17		0
1069	10syc8fulyj2vgjw06dsxnm95y	$2a$07$fSLrbkYRtWQFJoLQDDJxAurBqS3zTOlSp.2x4BXt47u4XBssyzygW	61	2013-08-02 20:00:17.439208	2013-08-02 20:00:35.015223	17		0
1070	10gsbyzk0ipa4yjrpm6vei3s3y	$2a$07$r9OkIBDEbeBBQJ8qHR8fre.vX6aKHUJ6Um5GP3E00Rccdb5XZNb4O	62	2013-08-02 20:00:17.462671	2013-08-02 20:00:37.974121	17		0
1071	10wf0pempa7ie58ryw0mdewr0b	$2a$07$/eXS02TYjA9TQQ9/RL/.COS4dj4TckQ5K2DKMnBytWpF3rYwdABzi	63	2013-08-02 20:00:17.485804	2013-08-02 20:00:41.020042	17		0
1261	10ti9i23vvs40rn9fskgursw61	$2a$07$Y/EFfkkaWzAraHxOdUd9GOzgKYwTKcqwh4Coh5iHSG92qg3HpSjNm	1	2013-08-02 20:20:16.132667	2013-08-02 20:20:17.715952	21		0
1262	10gsv3fa2wl4zksebw44wbm85u	$2a$07$LK6sr2U6l0m43tteK5UVKO9YJAA3WC0nDB29Crfqk6KfLzH.szH7O	2	2013-08-02 20:20:16.156988	2013-08-02 20:20:17.860396	21		0
1263	10a53gpcfkm4ke7m490f11iba4	$2a$07$/fgnDD3qaDy5YigdZHnh7eUTBqUMiD1uXoHrIEMVtSUD.1sJG70He	3	2013-08-02 20:20:16.178914	2013-08-02 20:20:17.996756	21		0
1264	104lv3473tnouhp2ohwalmf91l	$2a$07$b/z07sMiSp1UM9B5TFpsNu6yPZ0V5IxqwxF9gLP8F9mKRrnTLT.HS	4	2013-08-02 20:20:16.200253	2013-08-02 20:20:18.345125	21		0
1265	104k4y9a2it8ysq3uh3t8bxb7b	$2a$07$J/K1nn7y5Le.N3uvFQWoNeQgFJuiim3.9Ie3UdsKstysRdJzFTgri	5	2013-08-02 20:20:16.221623	2013-08-02 20:20:18.763995	21		0
1266	106v26wfqtc4835cxxs1myacku	$2a$07$OMpa7BZ/K9MqQ4H1DqqOzOBkpYKhaEujp0pbqyQRzCKoZyKXIpWSG	6	2013-08-02 20:20:16.243009	2013-08-02 20:20:18.887873	21		0
1267	10dhjkkygozjamyw23h7cs9bep	$2a$07$bawJSAIcDrAgAnDEM.ojHeVx0/hTnLoeZvIcqFz8ads7aSNwH7pYu	7	2013-08-02 20:20:16.264413	2013-08-02 20:20:19.014999	21		0
1268	10mdlfe6rzwx27buq0ocg40giu	$2a$07$GdcgNz6J8.Q2KIpaE0Hrw.gcTn.6jbjY23d/eDgz0.Q1oRtGxhSxW	8	2013-08-02 20:20:16.287381	2013-08-02 20:20:19.144076	21		0
1269	104larfu8ucpunfqpy5d30wbmh	$2a$07$VqQH4dvjeUbdQS.YAxWNC.a/Jq4owfOs0WDkWly2fpArmHwj02OZa	9	2013-08-02 20:20:16.31667	2013-08-02 20:20:19.276493	21		0
1270	10hi0sangcgxl70gm11u8pj23t	$2a$07$ZxPEV2wzeahlAtKbqB88he9f8UXGshrTsO/6JbClmtbq2qMBLzBcG	10	2013-08-02 20:20:16.345231	2013-08-02 20:20:19.423928	21		0
1271	105wjsnhv9aghp06cb3jsq0dcu	$2a$07$wwFnEkEEeAtHLzq2WP4zTueQ0KparcTpls0WUsm2zSnaxVDv50TZy	11	2013-08-02 20:20:16.36862	2013-08-02 20:20:19.556436	21		0
1272	10r3scdmqi185o46z53c31wk6l	$2a$07$bN0XNVDMpapVc/vI7LJHf.ZJDm1RtIccHaePVYCMstVwS9t/WwnUq	12	2013-08-02 20:20:16.390218	2013-08-02 20:20:19.689888	21		0
1273	10gtfeoxy6xkhovsk326ev69y5	$2a$07$XjRLFYs4qBwSLKJ3UN6F0OBA7yjxO8ZIc9CB6uPIcCexHLLfbvnU6	13	2013-08-02 20:20:16.411769	2013-08-02 20:20:20.054406	21		0
1274	10boewg770oikrfzv8qra4gtm7	$2a$07$6DLMpw077tc5DEEJDEdcQeO0Bd4m/89PqwSxlOxRRaBfSSBkpO0CG	14	2013-08-02 20:20:16.433189	2013-08-02 20:20:20.401335	21		0
1275	101baw8ctdm3gw5bqpsp2yjgtb	$2a$07$w.WP.O5S3rhnmBiuhyztguUgjzQlb9cZ6rdPCXoDoCF32IiHZvTDK	15	2013-08-02 20:20:16.454495	2013-08-02 20:20:20.75054	21		0
1276	1092d58nhjnnzhd6g83cgrof4o	$2a$07$KUYj/eYEXyqoIzMUtoUb1ulMIncez0T9EUZ.4qVhEr/qnRImKJG9e	16	2013-08-02 20:20:16.475871	2013-08-02 20:20:21.106521	21		0
1277	106ypg1bs678t0r4t189wl9k5s	$2a$07$AlCZIkCykFHBfpZ2htv4veOe150OzuAIEfy91p5iBlLJ4ArUZ8mLS	17	2013-08-02 20:20:16.497674	2013-08-02 20:20:21.408413	21		0
1278	10dnx511xy0xamvyodeddy28n8	$2a$07$LJnfK2eMwjpx6E05ga/l6O/I20vXyncZnuTFv59NukHV3rn73DTqm	18	2013-08-02 20:20:16.520142	2013-08-02 20:20:21.575177	21		0
1279	10objhmfssg6xg9hb8hj9zg0qq	$2a$07$vfBawJaH.8qQkQU/eNTjpuIfMr5RmRI/AXqq52LZEyF1qFBDKCLdW	19	2013-08-02 20:20:16.541592	2013-08-02 20:20:21.942561	21		0
1280	10hvodo7ftuwxdfq4n5dtoch65	$2a$07$raQhupT3Qqb2ZuOK.E7gXuUp/vwKtYEd2Nnql7Kj1ySgnJyP.rnCS	20	2013-08-02 20:20:16.563384	2013-08-02 20:20:22.315214	21		0
1281	10cxwz6lfvfrt0xfzd5s7vgwe7	$2a$07$5gLab27LWSFNU1aaj8TIhuv4cln06GCuDJCEPeKw9ZNajrrrGRkc6	21	2013-08-02 20:20:16.584838	2013-08-02 20:20:22.667312	21		0
1282	10jm3849voq7echda7z8k4r2fu	$2a$07$kr.fTSIQQOoN/LJlcjWlX.mNBTvasFt4MLLzdRWyZTIxuku/p8TnG	22	2013-08-02 20:20:16.606128	2013-08-02 20:20:22.943329	21		0
1283	106z210w1wm0tc4ys7jvq1kmkx	$2a$07$lrh5EKZWtO.6ZADdo5XmD.KX5JxREuErOWkMoroOIZ.J2FmY2ocxS	23	2013-08-02 20:20:16.627549	2013-08-02 20:20:23.123515	21		0
1284	10bpgdjtvdxo9pfhl67xyiwc7n	$2a$07$gnkzkJaqqVicw/IVjuQojuaVa6RRWcTvG1pybYR9P5mcZ/WysJA9e	24	2013-08-02 20:20:16.648853	2013-08-02 20:20:23.455124	21		0
1285	105rzg0dk27oxcsu7c2grm1uai	$2a$07$TbQPu3.FE01lotRK2BCPz.Ywf7Ood.j4rYQ3Rm.ipC/JBuvIkVdqm	25	2013-08-02 20:20:16.670223	2013-08-02 20:20:23.831285	21		0
1286	1023bs9of5u4rzqnt3ql8t6iw9	$2a$07$d.eX6w8c3Uxg/AvzXWwNnupuN0oNYM3.0sODuwmGZo8Nak5ioM4ee	26	2013-08-02 20:20:16.691647	2013-08-02 20:20:24.066433	21		0
1287	100vsp0jjkk721hnfbo4plr5xm	$2a$07$mhTNXHvezyX57KDls3q/T.Mn1brS0FXyIKTZUGJK9Zc5fagGkYzf6	27	2013-08-02 20:20:16.713031	2013-08-02 20:20:24.251806	21		0
1288	10zzwcbx0hiv8e8e8jyct9e36q	$2a$07$Rtb13pBuqYF09oVRxTQEOuKprUdsxFIBm3f4sSzSuSkP7C.8xz9k.	28	2013-08-02 20:20:16.734446	2013-08-02 20:20:24.604817	21		0
1289	10qonpwei7jwb0e8i1slij5toe	$2a$07$RntAllVG4RfQVQ1SEs6WXeQvFOnaQHVI/NFbGTN.BEz0sbEQHZN/.	29	2013-08-02 20:20:16.757158	2013-08-02 20:20:24.971014	21		0
1290	1018kec6hczh4okywdcif9wbbs	$2a$07$g7fXOkL/d3mANq94WdfbmOIMr34/6Eb7vSKHznvmw7c5KK4t1/1PC	30	2013-08-02 20:20:16.78046	2013-08-02 20:20:25.317201	21		0
1291	1021wstyofe4b5ivpf59qjfqb9	$2a$07$ZupWUtBvVJciqy.0ooI.cOK9uW8CfPSP9qHUhXiyb6AiR.18NObiK	31	2013-08-02 20:20:16.801947	2013-08-02 20:20:25.450718	21		0
1292	101nv1m8mf8rgulz3rk4jqy8l6	$2a$07$W4XNbJHXMNK9fr9X38isguhxTUV0p16xlK8/MJR5hqdPbHZo/cQxC	32	2013-08-02 20:20:16.823567	2013-08-02 20:20:25.586629	21		0
1293	10arf1mxru8dhsbj765znofbwx	$2a$07$oDNYBj8n3rQ3duIwlTW1MuDu3Hh/tBIKWI8NoM1N1FToN2sTk9crO	33	2013-08-02 20:20:16.845087	2013-08-02 20:20:25.725646	21		0
1294	10uq9jqde8teppza4r000aq5eq	$2a$07$OHY7XGeYj9i3e4Fl3GwhHuLwR7Yvc1QOI0c9Zg81ncdigdUDVTUzO	34	2013-08-02 20:20:16.866455	2013-08-02 20:20:25.860668	21		0
1295	105xn3d6xkenckxrchck1kuwcl	$2a$07$wyAGKd0pKqxJ1UIdS3D4Wejm8dSsjPvP9vY9nEGLuqfRNVRVjC2z.	35	2013-08-02 20:20:16.887851	2013-08-02 20:20:25.998693	21		0
1296	10chdy7c0gwg4u6rpx1fmdg7jo	$2a$07$SwkEuCnDJO5yc9ypkHtam.KJ1HgeyZsf0CrWVvH6.qEBY1spGpzIK	36	2013-08-02 20:20:16.909156	2013-08-02 20:20:26.122861	21		0
1297	10iae8exsewgzg61kbxaj9exq2	$2a$07$uvGNEt9mbl1YiEx0H7SiIuOUqYoCtP7QdJUyUr5vkwMfsUjvB4.jO	37	2013-08-02 20:20:16.931293	2013-08-02 20:20:26.476336	21		0
1298	10d182j6lmqdn89nznixzt2bgc	$2a$07$Pdwm/ovV9e/u3O2ZdNAnge6wRJ/cZvfpbSusoAJ5Di5YaGDTtDjgC	38	2013-08-02 20:20:16.954752	2013-08-02 20:20:26.849148	21		0
1299	10jlp0bmfp19uyu8whz027ajjd	$2a$07$8rpe6PeiPabt7TS8ChRimupif5Krk7fRrl.4Fr6LXW73zsfNtWy1O	39	2013-08-02 20:20:16.97647	2013-08-02 20:20:27.056617	21		0
1300	10irqvmsuvtq88p8j3olv2h553	$2a$07$dJMNouM1NpNzGjkIsgrxweEU8yWmWJP4/y3yqPrSGM3jXJzbExiie	40	2013-08-02 20:20:16.99927	2013-08-02 20:20:27.406984	21		0
1301	10er3f5d8wcmo1y9uzoxaep0g7	$2a$07$2F78UEzdcGnLaC4UiOpckuq7MG78ycubKWmyH3Q1gnmQ.mIdRQP8i	41	2013-08-02 20:20:17.020909	2013-08-02 20:20:27.774663	21		0
1302	107byeythorjujmb2jqmoq8bft	$2a$07$npk/GsfETsVRTNpl1dlPbuY9zRTgf4buRGMBgLNuZHYYiZr2tOrK.	42	2013-08-02 20:20:17.042382	2013-08-02 20:20:28.152342	21		0
1303	10bauh7oad77x4pr7m0vjed6ps	$2a$07$6nEpuQH/H4a9NN1jHnlVfOrtPXv/dNRkI7C3i0uOtaE2tGNrQtix.	43	2013-08-02 20:20:17.063785	2013-08-02 20:20:28.509392	21		0
1304	10v72dx3vb6cy6agh5k8r6vfxn	$2a$07$yFwK24hfjSHWWL38gD5AtuPGq2U9sf0uB3tcc8bOW77TkqioGWPI6	44	2013-08-02 20:20:17.08506	2013-08-02 20:20:28.875652	21		0
1305	10lj2yaioucrcdtuzfrigfyb3n	$2a$07$gt8MBWr5Rcd4/ldciBynIOpSM117C3Z4mtqVwOoh06ifGEMZFvbm2	45	2013-08-02 20:20:17.106396	2013-08-02 20:20:29.234669	21		0
1306	1062xlaa8scnfnm3ampbm39hna	$2a$07$AEjxiqkqv/q98a5tBdU58OlDiCBv876LIgOqEQv6MjZy0JREzZwku	46	2013-08-02 20:20:17.127905	2013-08-02 20:20:29.589306	21		0
1307	10iv13nfzb6o1yr3dk8qu3byj6	$2a$07$x5Unkf.KhyJV9yCpxGlTIu5IhG8TiRN/UF4g5/SBskl8DGEC0NF6e	47	2013-08-02 20:20:17.149193	2013-08-02 20:20:29.945811	21		0
1308	10ndxg8k2a1m1r9amnirqhrs2j	$2a$07$ocUq8/pXszyKuLwK4tvIEe0ZaffVXGLP4hb9VVwtwVPpI1tr5OFvG	48	2013-08-02 20:20:17.172035	2013-08-02 20:20:30.321495	21		0
1309	107ojwp18bjr62f4848atqbocb	$2a$07$r3/A7RUbFY9CT4NaPVRoLeyub9FeWUhG6jDjg5Y5bUwARaXc3FP5.	49	2013-08-02 20:20:17.20491	2013-08-02 20:20:30.614873	21		0
1310	100uecuj8ha8qm1p8m8vtgf11h	$2a$07$oo3IeRkwUbI4wEm/petbBe4p2bYld6d3ChRmUP8Ib4USmZUK0JxlC	50	2013-08-02 20:20:17.230878	2013-08-02 20:20:30.785219	21		0
1311	109m1a1v70ab0rryanziz84xlp	$2a$07$9BTyKttJAT6hMuvsi4fPpuQdFoZOiirmuzO.wP9DTyhsptolOaWJ6	51	2013-08-02 20:20:17.25226	2013-08-02 20:20:31.037166	21		0
1312	10iqhl1pttpskebk1a96jhfmq2	$2a$07$oZa8ZLbNxfhB73ds8v8Z6ut6uh5KYgJD2S0P.blsJr30zS0.Ucd9y	52	2013-08-02 20:20:17.274064	2013-08-02 20:20:31.377999	21		0
1313	10rou0pt1vqor4bzu619yqkuqr	$2a$07$ZS0CAP0XpV3hkv4T.xXLtuz48P0eUBjDtzmyTDu1/EKaSYPlYlSyq	53	2013-08-02 20:20:17.295454	2013-08-02 20:20:31.740658	21		0
1314	10yea012dslaisv2alncdx7dsd	$2a$07$m/Hgu5PH2mywzWQ3d60yuuycRAAaVb11.AUsTO9Bg0j/gAx9QHz3a	54	2013-08-02 20:20:17.316844	2013-08-02 20:20:32.098297	21		0
1315	104s1c6yzu6uxj2p6fooxv2sge	$2a$07$cWA2CFfN9HydvmP8xxz0IOXIcNMtp6rkWXJXc1nJ0DESO/cKaXu/.	55	2013-08-02 20:20:17.338163	2013-08-02 20:20:32.458067	21		0
1316	1095gyhk9q49iwe5zp1qgc0fq2	$2a$07$FEQ2BG0VPqBCOOa7q/QyYefj/299jSmeAPGTx4gTX/d9zzVVD3ggK	56	2013-08-02 20:20:17.359435	2013-08-02 20:20:32.82111	21		0
1317	10ul0jh5m5szpvd1ql2cmgya7d	$2a$07$pmlrpvLgCV/24uDlfsDtuec3eruzkWDxQdUfXzg2AKxclNNtBBWRK	57	2013-08-02 20:20:17.382554	2013-08-02 20:20:33.22697	21		0
1318	10zahtbi0hw9yjs5j7zo8z7rit	$2a$07$QyEOrXagAASLyVNtg55kMenMTG4bBJG0/e.b/EstdZeLCKc4/WgNm	58	2013-08-02 20:20:17.40406	2013-08-02 20:20:33.496638	21		0
1319	10dnpm1zxw37ql0el7tvyg8rc2	$2a$07$NvjqmonYakAow6/eXQ9NGO0uHbCb7Dv.m4..4.zFf42fAKw.F5SXC	59	2013-08-02 20:20:17.425626	2013-08-02 20:20:33.845725	21		0
1320	10qcqd12502sjh342t8z31dshh	$2a$07$wlhqymk8zqJJl2ioGWh2vOYUdoLY5cP4/UGsmAxQb9zSEnJ28zbz6	60	2013-08-02 20:20:17.446963	2013-08-02 20:20:34.218261	21		0
1321	10w1ggl3tn7q96wui4fxn5dz6k	$2a$07$5kQ6KnMIQeVvLbmB0okv9umpwNE3/UtqlopKf5aGI5TJtOTt7uKgi	61	2013-08-02 20:20:17.468383	2013-08-02 20:20:36.951699	21		0
1322	107rd92gmry9hucey6fl71kywl	$2a$07$yOHAFURNqzDrNCt4Y7pDqO6x.NeGhpFLiAW5imtlTjnt/Ktm23LP.	62	2013-08-02 20:20:17.490803	2013-08-02 20:20:40.270996	21		0
1323	102t5gw69ahaf2po4ecgt6c2jz	$2a$07$pHi3b7TcFNzE7PUv9vQ4quCYw8UTFCaxyRFIitsnkM7BfJVuZ3NZC	63	2013-08-02 20:20:17.513051	2013-08-02 20:20:43.456788	21		0
1072	10wdrc0dbkjmr5xi7d0tqm2goo	$2a$07$d3HARH93zXoUCQWik2pN/e9NBmSXQ0whfy4pXFolStSsAKjJhFeOm	1	2013-08-02 20:05:16.072055	2013-08-02 20:05:17.642348	18		0
1073	10t9a4hw1vcpdouo5j6qju67hh	$2a$07$fa783FzhV234LhsmePem.O34AD7au5o/iOk7eFQKrqzZ0KTNUgm6K	2	2013-08-02 20:05:16.094946	2013-08-02 20:05:17.761756	18		0
1074	10qmbrb5bnnsowlgp1hqmrlc94	$2a$07$/4lb953Q31X7q.lCBAsYVusyr8xLvD0OKatIWJd1ZkMFcgcNIr.ne	3	2013-08-02 20:05:16.117145	2013-08-02 20:05:17.889239	18		0
1075	10g4qlygarkh40yn7zlxlgx05y	$2a$07$fuTI1RbYCfxdEgqPFPJLMeNZtQ9OhrBqKZ2opIjow3MhQbGgZaL5O	4	2013-08-02 20:05:16.139126	2013-08-02 20:05:18.021022	18		0
1076	10u6yil1mdb9vfh09mmzzoxb8i	$2a$07$/0NMxwqrCfM..xhnwmNQOuzKsJoByyDI0MQ/hYPJbxV3WWCH3FPTC	5	2013-08-02 20:05:16.16292	2013-08-02 20:05:18.188952	18		0
1077	10qxs7oajjxz9hsfdhop0n3110	$2a$07$sOwKchon/NDBLtV.qmO9n.aerePauixklxZfqu93LB/r2gOcmyuCy	6	2013-08-02 20:05:16.197476	2013-08-02 20:05:18.500288	18		0
1078	10bqfya2lzyrdil9nfbgjypjcl	$2a$07$ag9J0e4Ew.FZwFHfKxHurebBw5dUP/VNsgQxI591YmBD1pg8oDAFG	7	2013-08-02 20:05:16.219183	2013-08-02 20:05:18.629901	18		0
1079	103w9jivj2fezgjrfk1g5r70v7	$2a$07$i805Zn2I7j/7CdCj8fjYjul1HX8jeEQY0by1wUx10zGHm7T5b7xGq	8	2013-08-02 20:05:16.240658	2013-08-02 20:05:18.764408	18		0
1080	10jdq4lgeah6tpa66yrj9whyv8	$2a$07$cUmhGDOARI5fz/IYPez2h.JgEEKfyN4.d7v4DdaUBLnaoLxJTpWf2	9	2013-08-02 20:05:16.262157	2013-08-02 20:05:18.90522	18		0
1081	10b8k0u5sz1g7rfrx6jdij855r	$2a$07$zBwo3dc7k.NIJkpt7qXaW.6gqIRHJX1bvE7yj8.FGLQ.TL3TEdm5.	10	2013-08-02 20:05:16.283551	2013-08-02 20:05:19.035712	18		0
1082	10otl75skjk8hds5lj08rgbfqt	$2a$07$1ziOc0icRe0tEvapbOZXI.5epsAOlrc8g.LkHCtQqF3PP3ubbmmmG	11	2013-08-02 20:05:16.3051	2013-08-02 20:05:19.163184	18		0
1083	107c296l1q5xlctiyhfvh2rerg	$2a$07$9xkXhbC7J7wQV8tR6jh9i.nBYTr233odRMBLrmTbhdINWY9bVBQl6	12	2013-08-02 20:05:16.326506	2013-08-02 20:05:19.288067	18		0
1084	10fv0far9hwdbuzvtghtb71e4j	$2a$07$XhO6NbbOJxaht7c0hQQ5wO9Xx3p5wWLCPGLr1gngKdYBM6U8HQ4Gi	13	2013-08-02 20:05:16.34805	2013-08-02 20:05:19.64584	18		0
1085	108exluqv3rq3owe6q0zp16aif	$2a$07$aP/VzTZy.j33YMCRqxA0aOZCJQjTy15QHxoqxQfgqGmf3qq9Ui69K	14	2013-08-02 20:05:16.369618	2013-08-02 20:05:20.006842	18		0
1086	10n9r5geqtvanh2moitvtpthpz	$2a$07$1P7t2dVChPtfHAJAqsQQK.zszXabown.hO5Rq8CDlGznwgtyqT3iO	15	2013-08-02 20:05:16.391347	2013-08-02 20:05:20.361386	18		0
1087	10xdg77w5hc89uz8s9zlv3qxs4	$2a$07$qv.Tnh3qnN7pttCP/9UmU.wX30Lj/dVeqCGLU9Wfv0K4hSAwUoVnW	16	2013-08-02 20:05:16.414426	2013-08-02 20:05:20.744982	18		0
1088	109vkerclpqc355soorpv2y9r5	$2a$07$CawdPuYWBtq8sR86ND5NkeQKOZ.Vy0VhuDPCFXHlJzPXKZEqNZdm2	17	2013-08-02 20:05:16.447906	2013-08-02 20:05:20.919133	18		0
1089	10l6ho012a3cp5qdysi7h0794o	$2a$07$n.iiLl..f9zT6gVyiifsxu2.kct4mEPXfD6qjj81WvX3lnwjYoyiG	18	2013-08-02 20:05:16.473083	2013-08-02 20:05:21.180172	18		0
1090	10xj42vbim2q554ka2mp7haum8	$2a$07$hjI6AWrr1prGL8vLOUNdv..GmDYbr4RP4MIZjI1bkpbilCiPJmKS2	19	2013-08-02 20:05:16.505582	2013-08-02 20:05:21.523555	18		0
1091	10v16yhwumj8n2wb45xfki20c7	$2a$07$XRrakzcPWImbrln6V3mHEO9Iy82jsRreUnLJEgpu9S5VFhY/17koG	20	2013-08-02 20:05:16.540503	2013-08-02 20:05:21.888854	18		0
1092	102899wjjr8jxexq8mp7hi11aa	$2a$07$obf4I.S2nT.qg5Uimz796O20.5Cbox1cNbVLGzB9z9M2bNw5KDgWW	21	2013-08-02 20:05:16.561921	2013-08-02 20:05:22.021299	18		0
1093	1083pnuzmi25k4ytc04s7jgqwy	$2a$07$RzdhheGGwmgr5RBLZZWyQOGXk.bJyH1HlqSIdCfGitJK843WQLtVq	22	2013-08-02 20:05:16.58335	2013-08-02 20:05:22.383442	18		0
1094	10vsjuxkyemmqr7i0subteuu48	$2a$07$re31VEGoVXKJjJvee9Wdn.HNRCZIK4FTo.HQ2fzfZaUzVUIB7q8EW	23	2013-08-02 20:05:16.604811	2013-08-02 20:05:22.721436	18		0
1095	10i3umrqw06pvjmlf7a8951yjt	$2a$07$yRZvmqFyqi6qv88GLD0HBOH/EwJ69U76enCOwOo.wGbK39y8zVKH2	24	2013-08-02 20:05:16.626141	2013-08-02 20:05:23.060231	18		0
1096	10yjzh0uxm3mf4o35hnm27g7pc	$2a$07$O3kwDN84aB.lfo8QqUw7YeNYyflunLvKMbsXGxkisG7.YMFeYxl9G	25	2013-08-02 20:05:16.647243	2013-08-02 20:05:23.407752	18		0
1097	10qz2g0ajxvpnqrp69wtwdmu7o	$2a$07$HiSt9cbrj4mW6zV9ILThBOZZyKTKe0ucUaFrMLOMTYJk5zon3D5Ny	26	2013-08-02 20:05:16.668887	2013-08-02 20:05:23.803974	18		0
1098	100apd7sjwfvxto5sq09qsm4vq	$2a$07$BO.nQwOlflbHb5xoWh4rweqxVu41X1KVRgJ8JMvU776Xj4.HV4OZq	27	2013-08-02 20:05:16.690198	2013-08-02 20:05:24.15864	18		0
1099	10ods6ffjtvikjhb9g5v84py8o	$2a$07$G9w1eDbtBpV8I6NQCg33jOtThC09wcznmEDAJnSU0i0aOvMgP016.	28	2013-08-02 20:05:16.711411	2013-08-02 20:05:24.527675	18		0
1100	10rje75ip0w3pgbyvdx1mzti41	$2a$07$qX7MK376uOrk.Qp5Qx3/D.DmosFKcuGpmVZDVhUUITLwI.x408jeK	29	2013-08-02 20:05:16.732502	2013-08-02 20:05:24.891097	18		0
1101	10a3sgy31118jfli1250ndt3ge	$2a$07$hjv8ngENoYYSJM9UDfUmUeRcl6lSNOZMLKdFMLk9krcWUV67BM61G	30	2013-08-02 20:05:16.754606	2013-08-02 20:05:25.289317	18		0
1102	10sqd6wptcgwri4rlqe28bwbqz	$2a$07$RZCml0Dr0ZD5BUGcRrBs2O31TjqU6mjPhzEYHVsXyddD4PxYd/AOK	31	2013-08-02 20:05:16.777708	2013-08-02 20:05:25.426166	18		0
1103	101c5l1xexxjzxnt5zb0crti4l	$2a$07$ysz9pK0EzbQ4gZOTIo4g..uYT7IvH0gmw0Gp8NKA/X7LNNQCnWLKi	32	2013-08-02 20:05:16.798922	2013-08-02 20:05:25.55484	18		0
1104	108n73yo1yneo6bizg2yleszbx	$2a$07$PEBKqXm3mYXgPSQSOR15VecF83r.IRiDXACU8e5EZo.MP6ixlqe0S	33	2013-08-02 20:05:16.820042	2013-08-02 20:05:25.686864	18		0
1105	10yethm1hjhuyl7bwvs0eyfl7z	$2a$07$hGc.qtC3Wx3IU2hUil9I3eC3peHdrkdtzujk9ccLbQIc0my.vGSES	34	2013-08-02 20:05:16.841814	2013-08-02 20:05:25.809955	18		0
1106	10xapx86vjtp8eah9f6mh6jl0i	$2a$07$i0Goqjc5VggsGbMXqJrYaupwCiUpYK5gRleFuRl0GhxSATTiG8YUS	35	2013-08-02 20:05:16.865449	2013-08-02 20:05:25.939908	18		0
1107	100o2vzdf9sq8htql16riox7db	$2a$07$32nskFSSBLMJERWN/N6CF.Ito3TH0psV26bMPq0IIOfyyaIUwpgj2	36	2013-08-02 20:05:16.887257	2013-08-02 20:05:26.056329	18		0
1108	10n6t6jsyweyleqeo6dkjfjl3b	$2a$07$GFD8VdmGmF9K8eifMs2FPO9swGNGINikR6tpOIa8iS6JOh.sZrCbe	37	2013-08-02 20:05:16.908704	2013-08-02 20:05:26.289813	18		0
1109	10b58m7ob45y5cz1vns2khvl9i	$2a$07$TBzJeAFvgqDJFpdeXERsp.RzG5i71xgo07uThFB5mRFTeP.UWilua	38	2013-08-02 20:05:16.930923	2013-08-02 20:05:26.472675	18		0
1110	10jsxv952lyb62e372qb2kbrcf	$2a$07$V9UbLAFXPwEu4EkyBhksK.ngP6OsM04pta8JlI/8QJrat4X/PX0pu	39	2013-08-02 20:05:16.953332	2013-08-02 20:05:26.737894	18		0
1111	10mvoo1tk3mmacvkk75z1m2z6r	$2a$07$kgLOuwOZbnhQ8bg90TEKEu5mVZZ7mLJSTbn4q/UBKA7B5AuRdsfM.	40	2013-08-02 20:05:16.975463	2013-08-02 20:05:27.099744	18		0
1112	10blcn36qha361o1v0nk7ijhlh	$2a$07$xGDgIubmUW.0AzCO.1a2yu1QNmUuwDhy6yMeqDeBOYjSU1AVEQw9e	41	2013-08-02 20:05:16.996815	2013-08-02 20:05:27.458383	18		0
1113	10w2mvb6xzrpcn5eci87kqamnw	$2a$07$iKHOqMARMqa7MAEAIokDnu3pvimpQ3DlUi9VWrWa7F1616O1GHRay	42	2013-08-02 20:05:17.018049	2013-08-02 20:05:27.822042	18		0
1114	10kwb8ap1h374j8ttme62438yp	$2a$07$6fxHPQm.zgpBWb.UcdVKHeOOa82rKE6VsULULg3G2bXX.DoKIhY1e	43	2013-08-02 20:05:17.041128	2013-08-02 20:05:28.21129	18		0
1115	10ij4kyy7gb21axbbd3pys7gyy	$2a$07$/6kstqJ5tvGd8nSEc4BSuuzLP704LXaOSB12jYI37/nOcum7bE/6C	44	2013-08-02 20:05:17.075881	2013-08-02 20:05:28.566412	18		0
1116	106xcg1w6yjs5i6vdj7oaqncx9	$2a$07$lECh3.ErDZ9WBNUkk5uZzOI2B.iFlpv1GvZ6dl7VfYXz6GyVQjJLy	45	2013-08-02 20:05:17.098744	2013-08-02 20:05:28.929286	18		0
1117	10d5g498j0b9z0lw3pv9meb227	$2a$07$Kc12ZrcO5S2WjpJox3NFt.BBMhMjqKs87qW.AzPkv3vJQNOli9POa	46	2013-08-02 20:05:17.121945	2013-08-02 20:05:29.068288	18		0
1118	10e26xiispc8t9gepa6fkp33ho	$2a$07$pstZUSk7sNO1r/s.Nj5d9.vQrsbbZzhqBdytM60HNzDnfNpszUtde	47	2013-08-02 20:05:17.143558	2013-08-02 20:05:29.368113	18		0
1119	105pbzbz8q5gni352gxnt6qnp8	$2a$07$yAYEFeF8OD4VieshJ/3n/eMJpv6YiwiK7E2tvo8Hi.G.U.CEhFxom	48	2013-08-02 20:05:17.165511	2013-08-02 20:05:29.737686	18		0
1120	10vuwc31d3jc3af6l5jsyalkt9	$2a$07$7s8XG7qIIWKq7mjPbcVbSeTRud2KrQQAmtE7MZFwNF9b020mHX0Ky	49	2013-08-02 20:05:17.187151	2013-08-02 20:05:29.910337	18		0
1121	101h060cxg1b2hzxuolkjk55ql	$2a$07$K8.k5VC0RDa9sAPVRnE8ke2AY636iSuSBZxBI0FMivv8/iuYvJc8e	50	2013-08-02 20:05:17.20877	2013-08-02 20:05:30.069363	18		0
1122	10t3ql09ovada3cox2pjxh90x2	$2a$07$jd3JD8tkU57LdClaUWecRuigJ36v9y0.NDQ5Y61dkc3lfrbbOZnHW	51	2013-08-02 20:05:17.230143	2013-08-02 20:05:30.266428	18		0
1123	109znwh690fdlnyktx8bwncgew	$2a$07$.e9.ei2X2XOQ01g/xb.EvegQCihXbuDvY1OIH47C1LmBlZD2vNkA.	52	2013-08-02 20:05:17.251598	2013-08-02 20:05:30.622832	18		0
1124	101lyx8qtitgp46n9fhrimb1pw	$2a$07$tqGNdbd5LaQThU.BbHHfdeB8.fgGUWf8cuH24ML0YY0lDypOqv4VG	53	2013-08-02 20:05:17.272911	2013-08-02 20:05:30.957543	18		0
1125	10oly9g2u46ec76tyau2mpw6b4	$2a$07$gP4LOZyBLe7ONusWh2qI9OacfgY5fVdVpiz83RfP1rSs.HWSkNM.y	54	2013-08-02 20:05:17.294626	2013-08-02 20:05:31.28067	18		0
1126	107f2mzwgh5qg7h7yemmt3733c	$2a$07$k1AM.zhAu4KJ54b3OgmrOeFfBnL9DydDUiN9qrzFoln8eWdqLGa3y	55	2013-08-02 20:05:17.316267	2013-08-02 20:05:31.631386	18		0
1127	10kp1ds599j12wuwz54axrirwd	$2a$07$U24M08cQtZovyZztf0B2OOcqiCUZrW.cDvbGhz3Uo/hLTxyCjwRtq	56	2013-08-02 20:05:17.337614	2013-08-02 20:05:31.993476	18		0
1128	106n1p4qvgq7m8kc9tdl0f3x11	$2a$07$IveyYGJbKh8VuxTKIvdI2emUSrIW3ow3tJN8DBSecASHlQhcACNyS	57	2013-08-02 20:05:17.3594	2013-08-02 20:05:32.33424	18		0
1129	1069lzwjtfue94etkxzka2i1v0	$2a$07$V/UvqAuQn2y07z4i9QLJ2.WHvevmUswKKJOKkNF0TnihW3GLdRqPW	58	2013-08-02 20:05:17.380844	2013-08-02 20:05:32.694044	18		0
1130	1036uwfxsxz9z3p5ikuwv18qq3	$2a$07$wDZrb0DafaxwvwHXko4Vxe4fJaaCFiF/2Mr1tM2hqOTTh80pV43MS	59	2013-08-02 20:05:17.402343	2013-08-02 20:05:33.075008	18		0
1131	10l3pxgiyujy7804o8xc1tu0xz	$2a$07$yyYyjfo89Vg2ws1/kCpizOc1rY0x7PzIVDuUx3/Rby3/Z0zL7dlye	60	2013-08-02 20:05:17.423795	2013-08-02 20:05:33.439649	18		0
1132	10j5lxpczv48jeqaufi755h03g	$2a$07$iDb1xfvfh5bNpkbukZRAf.ANzIL8gSlOtDIQJ0nNNt326SrPM9uSq	61	2013-08-02 20:05:17.445805	2013-08-02 20:05:36.185133	18		0
1133	105x8buj65105noiorgg6ml0px	$2a$07$kjmyYQ/qDv41iz98bRfblO1dcfCT2LoDwyV/85lFVJwuCQ8aGxj/O	62	2013-08-02 20:05:17.46939	2013-08-02 20:05:39.101536	18		0
1134	10iq812rrlqz1kngcncvvxgayk	$2a$07$UWRdBfJbPbH8wJeG2sxEXuW3t.7rRgMIHtwSnbO95eghb07UCrbCO	63	2013-08-02 20:05:17.492148	2013-08-02 20:05:42.105615	18		0
2017	10ic0e6ifxeb1l1wjmq8oc8cb4	$2a$07$orjDGc/d1CDFuDpQM9O3PO1WUiXlaNNmFVYXKmV2xR8bHprx4xYvi	1	2013-08-02 21:21:42.020762	2013-08-02 21:21:43.538504	33		0
2018	10z4sfchr9rxqqvi2eiiz17psg	$2a$07$ugZHUqeUTXTNHtFUnwWuxevancwoD.EVHHiBL8i7lub4ENkrihuZu	2	2013-08-02 21:21:42.044473	2013-08-02 21:21:43.658281	33		0
2019	10d37dmdnypfwuz3u6psjzv9e3	$2a$07$EsN0lhvnV8B0Z80nFGoY2esZ6kMySjUMNOg7yiQEs7AspTjEgfaVu	3	2013-08-02 21:21:42.066094	2013-08-02 21:21:43.766798	33		0
2020	106yexr8jwjxro4ddisqbxvk5e	$2a$07$MvrOzQiNXMw4Eqwdx.tBTu1ZjzCTI7MKvVxRxJVQv7XCgARVPFgD2	4	2013-08-02 21:21:42.087597	2013-08-02 21:21:44.068066	33		0
2021	10o3n95tw8krsycv3gpbof71f4	$2a$07$jsMmzyhl/7UHZ2hMVWTWTO/4ucOVuTRk7vvHxr3ykS72H2e6slPR2	5	2013-08-02 21:21:42.109145	2013-08-02 21:21:44.196209	33		0
2022	10ylef8chgesoeyxn1w6yw09ac	$2a$07$7uimzaLzhvwzMEfRzUmL3OkzUcUnzh1BwTl2Ddb87U5rrgLV3TEFm	6	2013-08-02 21:21:42.132975	2013-08-02 21:21:44.369196	33		0
2023	10ldoowbf0tt9k3n9kk1kwzuyr	$2a$07$v/VoQbUg0p0PtWMTU.Qk1uMFrTCp2eTC0oVyylimjAJwHvkFXpfcG	7	2013-08-02 21:21:42.157144	2013-08-02 21:21:44.497826	33		0
2024	10fbgncb992o3sju2kmu733b0k	$2a$07$Wxxf6SygqFql/byCpNRiheb6JhviUIaH0GMINk/25u0pVz1o44mIW	8	2013-08-02 21:21:42.179365	2013-08-02 21:21:44.622598	33		0
2025	10igysv3sm3wcpacqiskftns2u	$2a$07$GWFTaJSFGAvQdaGUOwRJJ.8dIbfZ9Xixc9lZU4m/WjsSGFGaM8s2m	9	2013-08-02 21:21:42.201005	2013-08-02 21:21:44.759683	33		0
2026	10hp1lcvwa9jy9p4go2yxji9w3	$2a$07$TeOL6i4HgQPb1rQT2XbuiupfcjQXIUi2dVl.ViQyMTN3DsUaaTrIi	10	2013-08-02 21:21:42.222617	2013-08-02 21:21:45.014033	33		0
2027	10568n6t3b6b10hker1rxprz7u	$2a$07$MY5VVy9RQsEgDKNbJ.6HyO7Z4AZKVSB82FNjGX3lFG9z7UPwLaFZG	11	2013-08-02 21:21:42.244252	2013-08-02 21:21:45.177365	33		0
2028	10779u7jvztcxwwzoabcdwclrp	$2a$07$xTX6VaQdDKoFv2xdCat24.DxHi2QuL73D7majDVoakei0kYzDCF4K	12	2013-08-02 21:21:42.265569	2013-08-02 21:21:45.300618	33		0
2029	10geyl64r50alawpiy540xn5vb	$2a$07$cPPpsSyT9UY7PntLyeHX8eXJCX24WIntw56erZQnig5dIDpPoHRd6	13	2013-08-02 21:21:42.287006	2013-08-02 21:21:45.667914	33		0
2030	10sg87x5c37qkcmzdihlqh3dya	$2a$07$2dztaWGr1A9dy1VJEzSodOAu0IHXI3F4ezAjaUBxpfcXRJu90bsIG	14	2013-08-02 21:21:42.308441	2013-08-02 21:21:46.046372	33		0
2031	109yf4at7r9ly82c35ej1r42iu	$2a$07$rk2u92Hw2XnHmr42r7La/uj27j12e44PZbDPExQNUtmC3ZR.kRR4O	15	2013-08-02 21:21:42.329757	2013-08-02 21:21:46.371833	33		0
2032	106mgzzg3rnat5k8gf7ff4iwi0	$2a$07$DYe8LTZ3ue/IPUaSdWcGUOSV36w5togdJ9cmqSt9t6sQGLheET6fO	16	2013-08-02 21:21:42.35116	2013-08-02 21:21:46.741087	33		0
2033	10h1q5n80znxhzqqozup8u8xsk	$2a$07$mjLdUMlWIqmaechK.Iu5IuGqotlVRLyuD4TMSxOtwgqhBZamOYP4C	17	2013-08-02 21:21:42.372534	2013-08-02 21:21:46.978475	33		0
2034	104vekhx1acgqcowz5in945xff	$2a$07$5Gjj5xqSuh4OVqE9paDDpOYalMLo4uXieHrydPecSxJPHfqW5wWGG	18	2013-08-02 21:21:42.394821	2013-08-02 21:21:47.145973	33		0
2035	1066ky9wpidhef6fbv0m71irvf	$2a$07$gZTQQrUH7jlQYy3ZyGkte.NCHgTiGQcvJS8cRxGFAikc5BqNIFhkW	19	2013-08-02 21:21:42.41687	2013-08-02 21:21:47.277066	33		0
2036	105xp4wdq5s6k3uruuhibuk8wj	$2a$07$Jh/Q1Q9PLyUAsHgRwrMXVe2IzqzJsLAvs.kMZlSnEpVvIKZgzB5gW	20	2013-08-02 21:21:42.438423	2013-08-02 21:21:47.406994	33		0
2037	10v1zx4azmpxry03nclfctpzq8	$2a$07$QASmpa6GB0islcorDGnD0.6pgG4UIIoB20xDLcbaDpYRssz04xEuK	21	2013-08-02 21:21:42.459947	2013-08-02 21:21:47.542713	33		0
2038	10b5w6b6qtp3dnmdj483ziqdfe	$2a$07$8E1m0XMsuviLpjpax4ZbBOMGAAa7BB2DRlNhS.kpa2TOjyV.YEXCK	22	2013-08-02 21:21:42.481495	2013-08-02 21:21:47.912777	33		0
2039	109f575n1ajfnqcooicwzqfjf2	$2a$07$QA8JCdc22T8fcHpkM2JhIeMXT5VxoM6uDiB9y8OkdkqLImYFkoWXS	23	2013-08-02 21:21:42.503723	2013-08-02 21:21:48.27844	33		0
2040	10pu3q7swq1mpmuy9arb3zyuae	$2a$07$JMZNr7HVeSo0lArRLYuQOuvaXZVLYCj/1JXBUyYBFIEgVm47heSNK	24	2013-08-02 21:21:42.527123	2013-08-02 21:21:48.648268	33		0
2041	10qmb53oblnh939mawpa9lyx4u	$2a$07$6cMdVhTf3JmE.nK/Q9FuAOwjPuWzw1oCyDuw/uIWbDX8f.kqt0WhO	25	2013-08-02 21:21:42.548942	2013-08-02 21:21:48.880219	33		0
2042	10hb1b8ls5nop6m41u8lvw3rpn	$2a$07$kzBN3.RL.p7.uVC3Iy6QV.C2GrysInzt33hk6clD1cmWBTx/yKda2	26	2013-08-02 21:21:42.57165	2013-08-02 21:21:49.07451	33		0
2043	10c8w975rfv2jkglzu298h8rfs	$2a$07$iGCkHmuEs.Dw4z8GuH1A1eAYrJwGKJhCEpp25j9mrCahSZIB3YviK	27	2013-08-02 21:21:42.594957	2013-08-02 21:21:49.295842	33		0
2044	10oh8ew2uj1h7lfz6iwazinrjo	$2a$07$j32CiESMyYcZzgDfsTgxhOn3SEQLfI/asnjfXl30WS4RUXI01QA/e	28	2013-08-02 21:21:42.616455	2013-08-02 21:21:49.6668	33		0
2045	10e57xs0npdpws1lsfrpjvy8kf	$2a$07$iB/Tx80vzFtZUUdzxdpYFeTPxfGNszbJv61Tw7Zg/.5bBWiU97TZC	29	2013-08-02 21:21:42.637947	2013-08-02 21:21:50.043601	33		0
2046	10p5etvue45mvnuls5f0p1zhmy	$2a$07$uGYuqUPUioyei.uchSuyzuBcpFqNW3DztS.Z7aUPWeYJ.UPPIt3vC	30	2013-08-02 21:21:42.659474	2013-08-02 21:21:50.407689	33		0
2047	10gwk3bxv13d1gk9s6govip612	$2a$07$kYK2WXx2G0jrMwkHsw1wEez6JcrGo8o9kqlSt3MGAIUTBP4Oq2WAa	31	2013-08-02 21:21:42.680861	2013-08-02 21:21:50.527043	33		0
2048	10mbok6qcqzj3b1zsa24g7p673	$2a$07$6al7JDW97WByMZMIEukYwua4gyh72JiCsqRdj8c1F7VfAlzAduOKC	32	2013-08-02 21:21:42.702272	2013-08-02 21:21:50.662987	33		0
2049	10jokqyvgy4nzky7tqdecw1bcn	$2a$07$zKfBiLIap/o2rfOODwx4Wepe4j11ebbBvpmMOn41.y494/AfrA7.2	33	2013-08-02 21:21:42.723888	2013-08-02 21:21:50.7959	33		0
2050	10wsa7dqa1p4cxl1k5lt8fh8d2	$2a$07$cIc3UnH.GrVAik0CMpUDCecQZ57dKmhbZMPRpg2MFzQ.ssNHs7wLi	34	2013-08-02 21:21:42.74717	2013-08-02 21:21:50.915387	33		0
2051	10goaouq071xbucq0z5zulppd0	$2a$07$lu.rggrpdvVTVWkokMK/.O3aA0HZjjzLTP4K5WF6Sda4d1cPEw/tm	35	2013-08-02 21:21:42.768727	2013-08-02 21:21:51.036932	33		0
2052	10koesm4izdgifcyg517pf60gp	$2a$07$27RMoN/6.bezttku3padA.ML6h2bC2UP1WSkSbKUcnEAEwGIObldC	36	2013-08-02 21:21:42.790359	2013-08-02 21:21:51.150121	33		0
2053	1090uz2lt2nv3m15n0j46k0tu4	$2a$07$y0ZObRLNPfqjmsgNiKBGvet2GbJDnAYGTUwEEgggKQJvak8Va4KJm	37	2013-08-02 21:21:42.811961	2013-08-02 21:21:51.52759	33		0
2054	10yr43dnbmg44ijeq5ev60e2vt	$2a$07$JgAG.ig196d66QvMacnANet0BHvEhrCBJ07o0pdlSgvenxnJw7Zn6	38	2013-08-02 21:21:42.833388	2013-08-02 21:21:51.863552	33		0
2055	105nz4ykenmvlgagpqjs9jrg15	$2a$07$.Xl8p6BYuRmedyJbB7ONmO8AaqPlIesB6Us9mHW0g6v6xGB61CVVW	39	2013-08-02 21:21:42.854903	2013-08-02 21:21:52.070173	33		0
2056	108pk9gvmigswmsd40c7oeiu27	$2a$07$up/.7c6GY0jiRDhb4DlJUuUtJzb64llwRz9aqJtSk02YbqngK4GmW	40	2013-08-02 21:21:42.876369	2013-08-02 21:21:52.429812	33		0
2057	10u41yxh23r22j0l2gv8jwuaj3	$2a$07$IVmpE/G76nYkkbmFmlbr1eocSyGoXje4NzFg9leKibgP0DsWlhRau	41	2013-08-02 21:21:42.897896	2013-08-02 21:21:52.785948	33		0
2058	10gsgnoahqkrvyaect5mk4jk3p	$2a$07$g2HQaVOFMwI6Qs17xgyz2.PXx1VQaCcla4W7tT0fwv9mcxnieKy9e	42	2013-08-02 21:21:42.919333	2013-08-02 21:21:53.123886	33		0
2059	102gy3p56whfndi4dcimdljv0y	$2a$07$BIHesH7R6vIPFKSKg2Pi7uCSuwZDUVBCxmiL2nor4GQ1rGah756VW	43	2013-08-02 21:21:42.9408	2013-08-02 21:21:53.499946	33		0
2060	10pgjl9ysa0lnvf4dgtwij36l3	$2a$07$Xyzbjve6IwJtr6jY1UA.Xe5GEjUKMlCsdxXQYLR.1ZG2fYkSu25bi	44	2013-08-02 21:21:42.962722	2013-08-02 21:21:53.854614	33		0
2061	10t67uwbv1522xja8o2gwznz96	$2a$07$1BXhYXNuqqKP.DX8dG2Oe.glCo9a4iq7sYg4yylVFbdVsP.7sK0x.	45	2013-08-02 21:21:42.984221	2013-08-02 21:21:54.215943	33		0
2062	10wbjo2zywfso8snt6bssguge7	$2a$07$3BdRwkG1MuqJwSoFHgdxqe3Zix3uCyh3Mzo92H8CkRIog5D58UPRS	46	2013-08-02 21:21:43.006975	2013-08-02 21:21:54.592295	33		0
2063	10gvphi471gsz54sz9q1o2nsly	$2a$07$MUHneT6XdMGtorQzRyCFzuRc23Xn46h9.dM/Ff5/WdyYe1W0S3h3a	47	2013-08-02 21:21:43.039274	2013-08-02 21:21:54.943381	33		0
2064	10inmxpplqx6cjqjw5ysvsd05w	$2a$07$L1pC1wcBmB/Rx7R9zf6/3e..jaqeb4mdXVPyrGOQ9GZu.gxSXn9te	48	2013-08-02 21:21:43.06472	2013-08-02 21:21:55.302025	33		0
2065	10m7jflu2b1ply4hkjlnubehy4	$2a$07$Becs1nonb7rDtuou2pvMY.8Q6YbDidYUSGzyhyKIfhSLKACSmXY0G	49	2013-08-02 21:21:43.089624	2013-08-02 21:21:55.450472	33		0
2066	1014hffpkx475nvq8y9mu921fl	$2a$07$aiJI30319v1ZZnArNa4j6.Kq0VHrE4aNDae.zDb12KB3ImXdPgzwa	50	2013-08-02 21:21:43.111783	2013-08-02 21:21:55.599542	33		0
2067	10qher5w5c321k82yqu0solf5e	$2a$07$5zlMPeT0Xq0SrpOclu4EAO1CyGn.MIoD6dzt/UsA4jdLP6T1h/bgS	51	2013-08-02 21:21:43.133389	2013-08-02 21:21:55.751873	33		0
2068	10tuzz1vnaoju7oncfr1xift2y	$2a$07$3NJbeZx07p2BdaHWRsBnjeXcqEb5FRjXCA.bcxdLuOTwDv908meWW	52	2013-08-02 21:21:43.158249	2013-08-02 21:21:55.979655	33		0
2069	1037b4at7d0fhgdiup897ld1n7	$2a$07$60/cM4SC9.5RzX5nqaDEiOwsqIjprhTVhk289w71eN.dmCH4AR5O2	53	2013-08-02 21:21:43.179926	2013-08-02 21:21:56.149537	33		0
2070	10bndni7yg6masmns41nkdbf9a	$2a$07$1z0GaRH.OHQ55csaZU3bxe5KFs1LiVjGgIU0sAR3mk1MzslpPP1Uy	54	2013-08-02 21:21:43.201582	2013-08-02 21:21:56.428886	33		0
2071	10y4f2ih6mvb2h6t0ipd1atml3	$2a$07$mjIkD3vgPv..8GEhQdo5/OGGxHJBR9SFmp2i24O7tmjSsFjSLkJ0a	55	2013-08-02 21:21:43.223455	2013-08-02 21:21:56.794768	33		0
2072	10eqixsnw0vnz92fz9zty80ixx	$2a$07$YbWnqvey0WxTOGDAMaVFTeRZaz0QyqAJ5/dEUceUPVWhp9JecbPJG	56	2013-08-02 21:21:43.244938	2013-08-02 21:21:57.156383	33		0
2073	10as3whw1pffh63s3sc5npkesl	$2a$07$ruXuuJ/KIBnCjLOwuI.KdePlyTyj4jv7jPVNHyBSNKe.nVcXg5YgG	57	2013-08-02 21:21:43.266237	2013-08-02 21:21:57.541918	33		0
2074	10rkfimcl0csabvouz4y5h4whb	$2a$07$VKIOhUa4ywCulE9EdAz41.eXel2ytm7pP0ybi5K8Nr8/3NTztm6ku	58	2013-08-02 21:21:43.287757	2013-08-02 21:21:57.910931	33		0
2075	10tbgsv25lotzlf5tnqmro0qko	$2a$07$d2xAFhdSdm6yVHeY99tevey5wowuGsD7yG7mFCnxKe.mtMATZ2dQW	59	2013-08-02 21:21:43.309242	2013-08-02 21:21:58.2725	33		0
2076	10uedfgjbx7pjc6g9i1gbc3u6c	$2a$07$rJD.3LyRhyrnkDcgwhRV/eg6WzZtbbVhD1KgSJC9pFPeffQMNGb3S	60	2013-08-02 21:21:43.330522	2013-08-02 21:21:58.630301	33		0
2077	101y1wj0fcdpoegcxhjct79e3m	$2a$07$S23lEvHaPpNIM1yH5i57jO2syuEkdfNfpVqCAK0LhL4nY07Yd.TLa	61	2013-08-02 21:21:43.352198	2013-08-02 21:22:01.588182	33		0
2078	10ovqzionby418pkunm3phv9q5	$2a$07$lFs5LLloQ/ti3BlX9I4OoumuQuhlZsrUB7upsr3o.XRx2sF0REBba	62	2013-08-02 21:21:43.373699	2013-08-02 21:22:04.687443	33		0
2079	10gxo446ecp0iu9az2rrlokqg4	$2a$07$tgbnkZ9xGz0bHCD7wLtU3.qmnuJb4qUVdjTmrahcOneohR/vYbHZO	63	2013-08-02 21:21:43.39515	2013-08-02 21:22:07.690191	33		0
1135	10s2kd94y379kltghxtdxr090f	$2a$07$2FgQWA6KCHfYqpicCpYkEu4hCCVxio50JIY/dupsjYDkXpVMj7ERm	1	2013-08-02 20:10:16.078392	2013-08-02 20:10:17.593553	19		0
1136	10as5awky0wmho00f2tg874mzo	$2a$07$kYDdMEqCeOwsAv9zuCGbUeXEtZ8hMGN.Hpog1j8k3MLXeg.D4Jhzm	2	2013-08-02 20:10:16.105163	2013-08-02 20:10:17.738959	19		0
1137	10ho4dpck8fvhdol6q94fr01um	$2a$07$m5w604oLR0jjBgT2yQ5aM.PHqdat.2L03LOs99N9wmbrDCSgQI77u	3	2013-08-02 20:10:16.127236	2013-08-02 20:10:17.882714	19		0
1138	102t4crjp3hi7jawt74km6dvci	$2a$07$NKpPfTaXcE322ODbf/0lxuuD560BTg6fZnQ6wJ8ouyIT.kkA.Elhm	4	2013-08-02 20:10:16.148683	2013-08-02 20:10:18.026123	19		0
1139	10o54evbqec8yxhwi6iei82in1	$2a$07$/JEtzWMg7gyE95oxJMzf5eWMKSQMecQsXq1HjeaMDq53cJgXtX6Nq	5	2013-08-02 20:10:16.17018	2013-08-02 20:10:18.291759	19		0
1140	10ewi16emn6e7rk5tvzcb3evda	$2a$07$kdVywvjLB1bfB2ck4dbWj.efPhqF3m8oHJlpE2w/fAFb53fLPZHRa	6	2013-08-02 20:10:16.191633	2013-08-02 20:10:18.638818	19		0
1141	108524pdu63sdvewucq8t9o476	$2a$07$4o7oDnhGILAzfkh0c/Tpa.lbUlqHAJa5DbpbViHTMJAfDGnYWwMOK	7	2013-08-02 20:10:16.21314	2013-08-02 20:10:18.774817	19		0
1142	10dniwsz77qowcwhoy0x7dhz76	$2a$07$fOpVUpXY2W.7TLo5nYPih.ojMpv1x4UXg55kpSgx/jmwAR2Jvqawm	8	2013-08-02 20:10:16.234724	2013-08-02 20:10:18.909181	19		0
1143	10sgvimfvxzt1n7ndclcxlh5u3	$2a$07$.ssCZ2SMpGgmdTF5b92ubus/8m60nkK5JQdAbxc.M/s5SkER116/q	9	2013-08-02 20:10:16.256289	2013-08-02 20:10:19.046723	19		0
1144	10bihtn9yfa2kpmvna55hylq3v	$2a$07$Y2sMNcs6kjsGtTNlRA6a.e49Hn75uG1cE5.U/goy/V1IlYmiStg6e	10	2013-08-02 20:10:16.278057	2013-08-02 20:10:19.187011	19		0
1145	10ex974jx4gaoasp88gn67b513	$2a$07$FUd9UK9oMpMYbzYw0WdfG.MS6k6imJ0quRGd4O34tk0fDPnnEaM2.	11	2013-08-02 20:10:16.299897	2013-08-02 20:10:19.332031	19		0
1146	10ugxcmhttr9bgxv1bg0tujanm	$2a$07$d3rmflp5tWcpV9WbJ.e13Ow2dRlYpgc/Xqv2Ej4Dm7QyJEj0Cb3CS	12	2013-08-02 20:10:16.32138	2013-08-02 20:10:19.470743	19		0
1147	10x457vtzci633kepe5t3bdxdt	$2a$07$lkmrrWrL3ntizG0vBTZxJeA.k5Mc2DieHhhUumlsL0Kaq.a9CSYEq	13	2013-08-02 20:10:16.342841	2013-08-02 20:10:19.831222	19		0
1148	10vjli5m0z5npxo6cznxwcn5qw	$2a$07$sgdzj9aJ77XJJ9Abfe4aweABJh1CETxtiklwxCYORuLcqvmquNk1q	14	2013-08-02 20:10:16.364225	2013-08-02 20:10:20.188504	19		0
1149	10y724uup6tkap8gc2qy21gq9m	$2a$07$gLp/5Wb2NY8xe.aQobgleudunY2lrmajbKc/CvDt83gsyKfP8uZGm	15	2013-08-02 20:10:16.387804	2013-08-02 20:10:20.556248	19		0
1150	10ob8srrawqc3f9acrmul137se	$2a$07$Wrs/gay/ATdZQSHrTRFUZOyvft8CB5NTNhgaQC/lT10MasBGElq5a	16	2013-08-02 20:10:16.421677	2013-08-02 20:10:20.919449	19		0
1151	10jj3hlze81bqu1jlor1m45bpp	$2a$07$ppnraGmnw41hM.P9lTz2NumdItiykORTMWlu.pgvs/.kO5UpE8cy.	17	2013-08-02 20:10:16.447382	2013-08-02 20:10:21.076115	19		0
1152	10wxcc3dcx49gamvcedgyp4yht	$2a$07$RtNXuOwlJ0Z4MCv/Qyqer.BbezJO/QZ69vQmveFIIjNU3WV/za8dO	18	2013-08-02 20:10:16.47431	2013-08-02 20:10:21.21557	19		0
1153	10fhj4ocezk61gqxf3wtuvvox6	$2a$07$DNw2QZ.q3yOynuQC44tidOzJXikB8FXRuGaT6pMajNrPKAnr3QbQa	19	2013-08-02 20:10:16.497154	2013-08-02 20:10:21.581126	19		0
1154	10dipbgnu8htvvii90xywp0rpm	$2a$07$UL3EAzV/xhnWeCIZAi7.eeRH0EL7R1ZFPrat4V6sR.3W/mk8/ncau	20	2013-08-02 20:10:16.51914	2013-08-02 20:10:21.928769	19		0
1155	10zyazephrjpkk9a9b5ttlok2s	$2a$07$DUTGMIM.BpSZ6EBtVKRNf.SR60TC644ketEVYY8IlRkCyGzALZkRe	21	2013-08-02 20:10:16.540437	2013-08-02 20:10:22.300345	19		0
1156	103u8gmsp1k4ftiszmwifqn9mb	$2a$07$MrOwgEBTwk9mvNojXzPllOgujYF1jb7YGhifoMRwdIPg6m0kGAnme	22	2013-08-02 20:10:16.561761	2013-08-02 20:10:22.513547	19		0
1157	108gyijtlcyuf9mhpoe1sssskl	$2a$07$2JFbb.thZPX0u7dgYiD5xOABFCGGOW19pqiq/pQfiGCcH.kwI2l..	23	2013-08-02 20:10:16.582939	2013-08-02 20:10:22.760127	19		0
1158	1041ahx20lh3yh9d7s8kejkdoz	$2a$07$2O5kMTtSYRjB6kGFE7gFeejYs3Q9Ck3XWXQUoGskjL9l5KFoGIIBu	24	2013-08-02 20:10:16.604359	2013-08-02 20:10:23.108823	19		0
1159	103kjodkk8x5yrq1e3achei4ff	$2a$07$5wkStld3MmJWRWjxAPsRj.SOOngXwdU0Uw4zoYGTzE30eySyqdd0i	25	2013-08-02 20:10:16.625637	2013-08-02 20:10:23.310395	19		0
1160	10d9cxzatzmbq3o3ktrdwlpgzx	$2a$07$//h9t6ZjNfuKEsybErCzGuizX3Ha49nTGcfeAzzVDQWHI0ce0lZkq	26	2013-08-02 20:10:16.646821	2013-08-02 20:10:23.5031	19		0
1161	10ulmt3w38n626acobtvze6d08	$2a$07$4tLQLmmxrCWSz.VQ2uRXbuf0GYEDNv/g/BoB6BVA/e74gFXW4W5cC	27	2013-08-02 20:10:16.668277	2013-08-02 20:10:23.877935	19		0
1162	105ibb24psuue53zvwns7jqgdr	$2a$07$4wDeBc19KlgFvSrecAVFOOe7.gvK3dCkc0V.hGDmfQOW6f3HajJc2	28	2013-08-02 20:10:16.689846	2013-08-02 20:10:24.233405	19		0
1163	101memhjhv60rohtzt3q0qznjo	$2a$07$2iFr5k8g92.9soCXZMcTYONMsZASh5LRcm1T1QUoIzZyzH9DqM172	29	2013-08-02 20:10:16.711246	2013-08-02 20:10:24.602649	19		0
1164	109imyias269jeauv2okoystyr	$2a$07$yK9TjkEzmrbzXpgXPppc2edfK1sG33JJrfvVMkdDmyJTlzV0xW9Jq	30	2013-08-02 20:10:16.732516	2013-08-02 20:10:24.970805	19		0
1165	10vv186q5i6kztcxevt1dzas5k	$2a$07$SgeG.CT/wdtYTawZEcGnsOjtX2hTafhArDFq2Wylf/Rz/UFZuzMxm	31	2013-08-02 20:10:16.753895	2013-08-02 20:10:25.120737	19		0
1166	10kvc1mxvq2tzyr51jhg64fpmn	$2a$07$DrDqSP2GNcl3F93jsl91JuRGSSCgtpqYzUZ6mYe1JtRauyw.olO22	32	2013-08-02 20:10:16.775307	2013-08-02 20:10:25.256792	19		0
1167	101wigo3ow9txj5vbcko7qogr3	$2a$07$HDLz9M/7HXJALqTaEyNF2uTMHFYnQwBytB9CcDxcXmReC0Weub4tW	33	2013-08-02 20:10:16.796866	2013-08-02 20:10:25.391231	19		0
1168	10qcsc0td40491o4qzvjud1l2m	$2a$07$3Xm8oQrCKrzhvfcly.gb9euOM/GBQTmB/GVyx9bhgFxjcgMV3NP8K	34	2013-08-02 20:10:16.817992	2013-08-02 20:10:25.532083	19		0
1169	102np76zjncck6vxy9wyevszly	$2a$07$ihAkjOfbHBblY8DlgFxBMOW1cBhVocun65KAV5PTaYf5jBnr6PDqC	35	2013-08-02 20:10:16.83919	2013-08-02 20:10:25.659389	19		0
1170	10c1y8c4lqfjp025ehf7nv66v7	$2a$07$tgWOUx5h0CQyfo1csGC/ruzzrfX5xPaTbs9d5BoIo2FrkcBRF2wZu	36	2013-08-02 20:10:16.860384	2013-08-02 20:10:25.795268	19		0
1171	10xezq0jzkaju12ed2q3ri2uqs	$2a$07$gnGtDgIh1PYAJh7IPh2rnuIraqpB0QZZYqVQ4iHowiaBUIhMb4N1S	37	2013-08-02 20:10:16.881839	2013-08-02 20:10:25.979639	19		0
1172	10xhn5bwqo247v9hm2og607fe2	$2a$07$i.USiRuaBW5r6O.H1LFBdeRmIDYsR8PLPQYijccLcAdEX0nf07wle	38	2013-08-02 20:10:16.904191	2013-08-02 20:10:26.148146	19		0
1173	10fwzrttsnit2wdithrr5ku276	$2a$07$2/x0K.7FBSvvIRyEBPqsS.4F4vKsKsGEk8lbxtGHRmdGZ3sHMoQ76	39	2013-08-02 20:10:16.928833	2013-08-02 20:10:26.495286	19		0
1174	10zi6mk0ico0uc4to1o9071z9d	$2a$07$OSzaGU3i5yN8jJ0h9ExtSetj3xFwAAX4KIVj49tuyjuYdR5BnyzP2	40	2013-08-02 20:10:16.952112	2013-08-02 20:10:26.862631	19		0
1175	102mgccloisu5k6okswg07zbhn	$2a$07$NEEb24Q4z6yaSb/vefGeE.XKC4LvAiTyw8KLvDsg5CJ7VTnyhK44q	41	2013-08-02 20:10:16.973959	2013-08-02 20:10:27.225387	19		0
1176	10vynni4ekziura141ofz741o0	$2a$07$QUCJCC8B2mGO/hgSxBfWtOwjVgxqP0qe35ZKx.AoHyXrnwEdUEb5e	42	2013-08-02 20:10:16.995978	2013-08-02 20:10:27.592098	19		0
1177	10yyizktwknhwf9ch4fhgb1ljj	$2a$07$48NbhnYILGTSDl6lpbhtCegrnjmp//1bHb9xkenSdABAvSSWvESV2	43	2013-08-02 20:10:17.017397	2013-08-02 20:10:27.961769	19		0
1178	10uts9bflbr04kk3zmrmqd4kw4	$2a$07$cMgA7zlRfPzQw8eP1t2UpuKeRXc37EBN5UENhVKrg7c1fF0PSJ3tW	44	2013-08-02 20:10:17.039052	2013-08-02 20:10:28.323018	19		0
1179	1078g0b4jxivnd9wgos9c7hq5g	$2a$07$z96EOMvoizdO2FqZv1vSIOlb4lf5I5WYdCeClqPX5GTA9vczmtdSS	45	2013-08-02 20:10:17.062002	2013-08-02 20:10:28.669304	19		0
1180	10f6od0lyaca0bjc6h9eetw79v	$2a$07$skNGLsmVRn3.e3KhSYGsRueZPNMFuCS9vhvPOx.Jxezcsr/rlE.D2	46	2013-08-02 20:10:17.083826	2013-08-02 20:10:29.02309	19		0
1181	10vrumdfze41dj1xr4fhkyfr53	$2a$07$Y.F73ZyTu2KHK5SZo3Ol8OqmMAjBRzZ4a4oQJBjYpxuj6sdewMD4m	47	2013-08-02 20:10:17.10512	2013-08-02 20:10:29.376808	19		0
1182	10yp8imbnoz38nydgf4p81d9uf	$2a$07$SbgTcSu8GjsvUyKyFcV0DO6oz9Yc/9TQah.O37gEsp3PtMPF0KO0K	48	2013-08-02 20:10:17.126399	2013-08-02 20:10:29.73778	19		0
1183	10dvfirc33j586tygy766qkv8z	$2a$07$RktzqFN/32NgqMrgf26zduf/Pp7ulNfqEyMdpYWIumNLY4zyCAl6G	49	2013-08-02 20:10:17.147571	2013-08-02 20:10:29.893544	19		0
1184	10jvke8faa5efyysacwgacmzd6	$2a$07$hc6Cx0OejEVgtVmFvDYgjua7zjEiT.7l5fiwBWdwcK5BDKnCw/Od.	50	2013-08-02 20:10:17.169196	2013-08-02 20:10:30.118653	19		0
1185	10qzmcifr4dlrsqobaicw03b1q	$2a$07$xRrVOdZ0j2NzmG7aUEGJleqDMOT5nNAHuk5NqaqMyiAIWemelrRza	51	2013-08-02 20:10:17.190477	2013-08-02 20:10:30.28896	19		0
1186	10h2xmh95deqzwy9ofau1l3a19	$2a$07$Pa9vbktXOlajmRGUdKQEBekqHL8A/bwcxlNjRQm22qlII/yl4bXsS	52	2013-08-02 20:10:17.211644	2013-08-02 20:10:30.669285	19		0
1187	10t9zfejzofkxjszy345uizno8	$2a$07$.oAzrK39.AzMxaXPB6bSJ.gCdLReDfIU5t3Lbyk9qu/.wtYhXi.gS	53	2013-08-02 20:10:17.232914	2013-08-02 20:10:31.030876	19		0
1188	10efv7oc6ezgkjckyfr22d3kf7	$2a$07$Vs7jKXQO5eY7COhkTzhHgu84rQkRfNblVjc8YobrrpPb4cL9d8dW2	54	2013-08-02 20:10:17.254308	2013-08-02 20:10:31.387445	19		0
1189	10xsq40zyx4xj65kk9cepajmwe	$2a$07$GPPnkik9aqyx55VaKHc62OkgJsFTb1ICKyOdJVWWFdug/ieIUd1Vq	55	2013-08-02 20:10:17.27585	2013-08-02 20:10:31.742881	19		0
1190	10vaqj3jtymn1urkc5ks4ck6co	$2a$07$rgea6IU.CdVjDPYaaIK8let4RtTeEigIALbcErT9XKPI3wQFnGaDe	56	2013-08-02 20:10:17.297036	2013-08-02 20:10:32.11349	19		0
1191	10pybkziyy8023fa5g8os6njgp	$2a$07$gl1sU2E7BzUEkBSmEoDifu45p7urRQ/V9nDty5vg.iSH5E2vtMCFW	57	2013-08-02 20:10:17.318199	2013-08-02 20:10:32.473855	19		0
1192	10ezl1jln0jg14oeud9npdlgzh	$2a$07$htqzyysVVwAZud15jPFhFuYzS5lYTdmgfuQylns2FQpkVSp/ipDTa	58	2013-08-02 20:10:17.339745	2013-08-02 20:10:32.814944	19		0
1193	10giqeyc256f12r6f5lzl9vhhz	$2a$07$1K9lRJBovSE0K5pf0CqD7ea4fbyvOFXEbFtoVc.gO4RpM/EUAnggu	59	2013-08-02 20:10:17.361485	2013-08-02 20:10:33.160642	19		0
1194	10ozqjzccqtt6rcnuv37wwaiqd	$2a$07$CuxxSqEXdO99zMT5NVrQ/.CqeoinoorHfF1QyoU0sLw7s9.cbHR6K	60	2013-08-02 20:10:17.382827	2013-08-02 20:10:33.546229	19		0
1195	10uhbvtz0bl7rrvofrxc29hlqa	$2a$07$TrvDNEe0hoqZSdRCZMX.Wu5KnCEXnWdCrQ1mhm/q1fCOXz0Q0YSeC	61	2013-08-02 20:10:17.404197	2013-08-02 20:10:36.482396	19		0
1196	1021o4waub08ucp9g1ulq2fj1q	$2a$07$ucgnnOj/zgpJHISWvCxyM.LloWHm/xM2aXmFGrwkwrsBKjV4cbzAi	62	2013-08-02 20:10:17.425426	2013-08-02 20:10:39.698568	19		0
1197	10fp50c0rijtqqkyxb4r38xch2	$2a$07$63P3Op9P14TtYeCsdGljM.6UaecS4.s7LKeCQBXFJpD95w4WHSEya	63	2013-08-02 20:10:17.447215	2013-08-02 20:10:42.778257	19		0
1324	10k7qj3t6li3wdu4rc11xum7gv	$2a$07$..aA2TF3XhHC4VQWXmw2Eu1SjIRqYw8zGSyrZQlvfnYIzo5e7Vkom	1	2013-08-02 20:26:42.507952	2013-08-02 20:26:44.007188	22		0
1325	10xheus61silc5qthdf2mv0qp1	$2a$07$hQTNCo/8u3B1R3Ikpd2tK.yJYfxXlzCfuXSX0gtwk71dDJVgjFp8m	2	2013-08-02 20:26:42.53099	2013-08-02 20:26:44.147496	22		0
1326	10siw9nud3jnmphvl1xnnjjj0f	$2a$07$0XptR5pCl2pX/qJqb8d1ouysJ10NASywwt72e3cgSYUm7JJx3hrlm	3	2013-08-02 20:26:42.552388	2013-08-02 20:26:44.298819	22		0
1327	10yf01aroq8zydhnc6l7o8dy9y	$2a$07$/NG8.3pPcLWT6dHWU8a0Qe9yr1ARHduscNSgkOb3D8gfi5viUGFxC	4	2013-08-02 20:26:42.57396	2013-08-02 20:26:44.604738	22		0
1328	10pi54zit1cu5ddxfoa2icgzad	$2a$07$.hs.R0H1rsHFOLAPJJsrGuaJii5O5ztueaP7mwvgIpuv8EIbHAX6G	5	2013-08-02 20:26:42.59547	2013-08-02 20:26:44.724132	22		0
1329	10ylbkij5zhzbt1vz8ls5e8rs1	$2a$07$s0ILcdb.8zZ5DJLVSP/f3O0g0geiRmHp/Q6iUUeSi4eIjriMtDIbK	6	2013-08-02 20:26:42.618467	2013-08-02 20:26:44.868844	22		0
1330	10n8a0dzukspwqs56t2n4mqmxj	$2a$07$/8IXmH7s5YIeroVSq43QDO/Eszf8y6sAVY16nINlFyUK8rgaiGFTy	7	2013-08-02 20:26:42.640248	2013-08-02 20:26:44.981379	22		0
1331	10q19xgvn4rvx1tpg7dsniq0p8	$2a$07$0XC7/5yNAPULcByjPEExc.Irb5q..cx4e/wJlwvj6kjhAeFsyye3O	8	2013-08-02 20:26:42.663174	2013-08-02 20:26:45.106459	22		0
1332	10p541hwpzhl02icpax842bk7h	$2a$07$/DbJt/LW7Q0YLIiQrUk8fuzGaPg9dyxDLf/eBLgOOwl5NRdwgCgue	9	2013-08-02 20:26:42.685762	2013-08-02 20:26:45.237228	22		0
1333	10h3s0lx5tli078j6x9ily2491	$2a$07$5qzduVS6f6AuPuxIlMOT5.xS7MzFtVgRYv5MczsnGy1iBMdD.Ct4e	10	2013-08-02 20:26:42.707319	2013-08-02 20:26:45.371434	22		0
1334	104x2kuc7q1fp1slb80kldc9d7	$2a$07$2DD3jIKkEt8QjjO1mpt1XelPRAJHwGrbrM2vOgVp4WbgaNzgGFdqi	11	2013-08-02 20:26:42.7291	2013-08-02 20:26:45.494578	22		0
1335	109wy5svdkvmsc0ora70mejtyo	$2a$07$sVNUUPJjA.PBXvqGMLqJees6cI1psfU3OINiHUvsQ3z2M2t667yCS	12	2013-08-02 20:26:42.750868	2013-08-02 20:26:45.628748	22		0
1336	10e22u61jx13bjdn0w8vh5ek4r	$2a$07$Aisk3hM6dRVqaqeT/zI4H.KEALf3zK3y6XUHv8av86LcVepQKvWq.	13	2013-08-02 20:26:42.772334	2013-08-02 20:26:46.001648	22		0
1337	10b5msz9zu5rmegoiens7kmfsz	$2a$07$o.piUubdUHQSmyMVC9tj1.qngFoGiPFSQVqQgBMFBXr0dQG.rmCli	14	2013-08-02 20:26:42.793794	2013-08-02 20:26:46.35546	22		0
1338	10hgfcirotlqldg3hxezeewqxi	$2a$07$Z/Wp4/GG7e08NzuHwGCnxOOxyfWYgdO3QWz./KZ13IzdyrtJhLCde	15	2013-08-02 20:26:42.815083	2013-08-02 20:26:46.719641	22		0
1339	10sftie6w80jcuw69lqe31r4it	$2a$07$eAK7iDAs89rhYhS02v9KCedezJVY26k5L2J7BVy9GSuwfvd.tfBKi	16	2013-08-02 20:26:42.836666	2013-08-02 20:26:47.003552	22		0
1340	10i486ve53wsnbyou95wenrquv	$2a$07$hrulgY7o75dyZO2C7Effm.m90Dagn/v7QvXHS7Q3wJ.oFECO6yUeG	17	2013-08-02 20:26:42.858734	2013-08-02 20:26:47.244266	22		0
1341	1063uder5vwdro3e2r7ictywx1	$2a$07$swDcXoiI9yeh1pTvIMIUc.dgIXRejQtj2YQQLRs/r5kLdqTWSVJdC	18	2013-08-02 20:26:42.881024	2013-08-02 20:26:47.438982	22		0
1342	10zkwvaaw932kifki4s3owbeog	$2a$07$2ELJJiWg/yjhCUjuDRjk2.7sx67ZcMe070Xqw6bAKFtRP8xgxXK5O	19	2013-08-02 20:26:42.903097	2013-08-02 20:26:47.799896	22		0
1343	10jloxq5fjh3udcq25p0vet451	$2a$07$onzS0Cvh.gcqohbc/UWVA.KiePGDEHxCq61YftvnWjZpAdhnoaScK	20	2013-08-02 20:26:42.924489	2013-08-02 20:26:48.170088	22		0
1344	10zymp6jterkkn069ef2x0pdt8	$2a$07$OGqE9IKNEibc1HIqypYvY.4vXMgjOoQKQ625D.RYjBIaLc78k3ksq	21	2013-08-02 20:26:42.945876	2013-08-02 20:26:48.464135	22		0
1345	10gxxg1g0p1kmstjsxgk80pa6l	$2a$07$1QL78oadILMxzNcdKnE4HexQOmIGOGnrBL7R7iBihUyEa038Rz7ra	22	2013-08-02 20:26:42.967329	2013-08-02 20:26:48.747022	22		0
1346	10begqh8f3um5xn44086301gvy	$2a$07$7.c8kRNK7ytBSq.8P23tJ.jCSogio7CAsq.Y9PLJdd7MCLJ0k838O	23	2013-08-02 20:26:42.989047	2013-08-02 20:26:48.930217	22		0
1347	10s0n3pkyxnn0soys232b2mcd8	$2a$07$x3OFYIcmA/kRshKEnyBXXOgDyApfqDeg6b1nRA1OI94dEjYi97vwq	24	2013-08-02 20:26:43.01055	2013-08-02 20:26:49.277031	22		0
1348	10qbbpqsm22nrfiqx2cpiku909	$2a$07$KzLMww20bz/akBURFZuVjOc5f2IpVZ6RmsmEBsMAhyF1M5eguuay2	25	2013-08-02 20:26:43.032011	2013-08-02 20:26:49.651056	22		0
1349	10iibn5im05b7suq9jfyyq74ms	$2a$07$VZ5it4kE1Un1sjE5F3Ai5eK.Qe40Gn77RhfePSng.FRICcUrQBYQO	26	2013-08-02 20:26:43.053621	2013-08-02 20:26:49.923756	22		0
1350	107ufgq6ebf6g8npgx818xqap5	$2a$07$mS9R5/dWgMSDTIWSBvQBZuZtz4mI162MooMUXGvUFlSXero6esz3m	27	2013-08-02 20:26:43.075221	2013-08-02 20:26:50.063665	22		0
1351	10nnpsqkzndy43a53gdjp76t2j	$2a$07$wkxIs90njBZEmhpqNv1SLOKF6V6O8CpYaC209TRSdEkoMDc7vp4Am	28	2013-08-02 20:26:43.096796	2013-08-02 20:26:50.429516	22		0
1352	10ycitbgpze9bgajhk29umyaai	$2a$07$CmN6pOhn/LrWyaM.MaofousL7GyXqarFmwsJd6GQBBxX3ybDDoXU6	29	2013-08-02 20:26:43.118167	2013-08-02 20:26:50.796362	22		0
1353	10n9d19t1egc5qeq0ppa3f3xc7	$2a$07$en6yXl1HkkOjLS21ZnmpYuA.krWCuMiJ/OHmFpGElIg4ujjFaJQLC	30	2013-08-02 20:26:43.140884	2013-08-02 20:26:51.148431	22		0
1354	10oajeq7wznlnutcbwxlz032e7	$2a$07$qUx0cK7g1UjWlMhP3IOaQOoFoqrbL/nel0au0CxMatINr/isM8INu	31	2013-08-02 20:26:43.163497	2013-08-02 20:26:51.285639	22		0
1355	100jhl6nf3jkv2pg8gc89qlhj3	$2a$07$1VYAefB3tZcmzV5xSqAHfOq8qewqe3E5ODsL2PvuH9P7Ckfmbz2C2	32	2013-08-02 20:26:43.186247	2013-08-02 20:26:51.419006	22		0
1356	10brboop3n7og0qb5rytzrovyf	$2a$07$8OnhCHTxOg.zEMcI0qVn1.MbMmuxhNOWfkZqWRMrbEEBk8TXguH96	33	2013-08-02 20:26:43.208205	2013-08-02 20:26:51.550509	22		0
1357	10rtb6eepjhwgtq9yesyxj0l4a	$2a$07$.E3CngG98oLTbiW8ND8ReuciUKLyON8GKd4H5ci7QZGn5NTnurwDu	34	2013-08-02 20:26:43.230064	2013-08-02 20:26:51.684665	22		0
1358	10fv1jhm0a3fk0p3i3s7au5jut	$2a$07$McHVXaSdD4hwmRdaKII/zuusl2E7Z2RMOduulwXu1vHVVYpknzjsS	35	2013-08-02 20:26:43.251554	2013-08-02 20:26:51.82185	22		0
1359	10yfakimza0v6h51glrt57qca1	$2a$07$bD1oO3TD8amknEyzMtdx7er/1BGHv2VnEFjIC9N2LLu4fgSsi3qae	36	2013-08-02 20:26:43.272906	2013-08-02 20:26:51.94122	22		0
1360	10nm0nfbwdngxcc48fh9avc0th	$2a$07$muwvDPobCBoMBAGqsx4cueHXFDXZ/E6SIfwm315LLa6t3UGlqN5oK	37	2013-08-02 20:26:43.294568	2013-08-02 20:26:52.303934	22		0
1361	1020efftk2or4gmhma7t963scl	$2a$07$.kcxY9JyuSn3ucFNtzHhZeyadq2WcRsL5AGpSupH454CygXIUaDXy	38	2013-08-02 20:26:43.315952	2013-08-02 20:26:52.669574	22		0
1362	10h4gkbkmrp1e8g4dy83vdstn3	$2a$07$4/BICnqH15ml6/xGf2fsk.feJ.yCtjtxAQFX.uJvKcnmiJqAAvDz6	39	2013-08-02 20:26:43.339418	2013-08-02 20:26:52.835389	22		0
1363	10p2m0hivr9fz9ptb4it9chhhz	$2a$07$BX2m2BdFPaBlvrOgAkV/leUam08Wzc.R2lL6t04WEZ7qH5Sed7RxW	40	2013-08-02 20:26:43.362095	2013-08-02 20:26:53.173691	22		0
1364	10fkdkbkjjhgp8ngd8wdidcvl5	$2a$07$/z2m9Wkq2w1mPQbK43c95u3RYfcJq7LOkjN/p87zuWtFgWLcyMf7y	41	2013-08-02 20:26:43.38371	2013-08-02 20:26:53.532529	22		0
1365	10hh6ry2ekeeers1b1fgoi9ksr	$2a$07$LvKYlhUWsweLouHeTzjgj.WHjmxVWixHtAfyfWiY1CRd9fNFuWkNK	42	2013-08-02 20:26:43.405175	2013-08-02 20:26:53.884284	22		0
1366	10l63llb97q82my6x1smlh3360	$2a$07$/NHjQKfS0d5bdaULW3mYwegVuMfSbZjr0kSqJlzC2XRMvA0NzZl7a	43	2013-08-02 20:26:43.42679	2013-08-02 20:26:54.252269	22		0
1367	10kbr6bj45dgbd0zs31rwx0vuj	$2a$07$l2TtmKucPZdSPcrEuCeAcuR.vCocOCsar2XvMVzrmThDh3vxH6AmK	44	2013-08-02 20:26:43.448092	2013-08-02 20:26:54.622316	22		0
1368	10tkxlscxkix342njo5j1booa5	$2a$07$HcjNDRfDle47BCADKUFWbezcFZVJT.IcySldvGsIg9y4OGpKMQX.G	45	2013-08-02 20:26:43.469903	2013-08-02 20:26:54.981196	22		0
1369	10jw0wsesd2gs3vyun9e5016xs	$2a$07$jPnGzaHmhBIcqVJWVneBcepWIt2rsUf.ADMcgMfEWn7dQYNkaP6sW	46	2013-08-02 20:26:43.494008	2013-08-02 20:26:55.388414	22		0
1370	10w81arf8otprks8s7w60bd6ef	$2a$07$ZfpvKi6Fv4jXGya5wrkq1OVFb9rjM6R0CCSlPFI0fPVDhQSSPyQmO	47	2013-08-02 20:26:43.517935	2013-08-02 20:26:55.777736	22		0
1371	10yowb91gixsogmudbshubwb0u	$2a$07$e83xFKgUVLXcrzU8oqhbmu6R96j5YAX4qDTBkENYow0TwC459WVca	48	2013-08-02 20:26:43.539681	2013-08-02 20:26:56.144077	22		0
1372	10h2yt7v6hw5mh3fptpnx3kpec	$2a$07$SU9YUuDTs2IyVsAe620Qs.X8TNf1VM9jty/XOKEAU/tItOsc96m2G	49	2013-08-02 20:26:43.561233	2013-08-02 20:26:56.349999	22		0
1373	10kfmiflici0biju7j2wxawny0	$2a$07$5BkKW3vK9dIUL1.DvSmkXOhxIvRFemabueWKYw.1gTP83BXFu6gfu	50	2013-08-02 20:26:43.582779	2013-08-02 20:26:56.538721	22		0
1374	10oaomi4ltkb67ra6fqd1cekzq	$2a$07$WnFPH..3LpuuosQAOXH7xOHsDu6qmhVEvq8A8eHFHnSnyn9UVd5v.	51	2013-08-02 20:26:43.604225	2013-08-02 20:26:56.731571	22		0
1375	10vm70z3lodnap9ikmkf4ars5d	$2a$07$zrbV45UaIjv25N/NNfrArOhEDGWCe6LbCZKsPGBteT6BXK1cjyCqO	52	2013-08-02 20:26:43.625629	2013-08-02 20:26:57.097122	22		0
1376	10p4298400c7hf1b45nbjqho5m	$2a$07$fXFhWxNwm80PAnLk7fFOku10urpRWvF6IDPEcge/UNBBOWKqkkDXC	53	2013-08-02 20:26:43.646954	2013-08-02 20:26:57.466486	22		0
1377	10onfs3ul5w2051mzkcx1g6wz8	$2a$07$Bkku1q4I5IuS9s./c6qHxelfmxulDU2ukyb2TdjPkCwoj6c6J36sC	54	2013-08-02 20:26:43.668505	2013-08-02 20:26:57.830515	22		0
1378	109qg3yyt5ob8fb2mx2tf19fen	$2a$07$ZPxpb6PqkeyGWWGO5/9DvOb71zAW.imx9QhE612Rz5BELe/G/v4Aa	55	2013-08-02 20:26:43.692013	2013-08-02 20:26:58.194143	22		0
1379	10lpuj3vdn4m9jim00gasm7zot	$2a$07$Z7W/eObzlgtFsaWI1RNv/ehmllsgJRL5NnW2tlHETzhmyvSgbbYoO	56	2013-08-02 20:26:43.713446	2013-08-02 20:26:58.557421	22		0
1380	10orsdhpil0zzyje12ksp69eto	$2a$07$i7QlYsjgle.CrTVjXutiP.JZ7pgCFEo8zWKFjyVxknDdhuprr9IKa	57	2013-08-02 20:26:43.734849	2013-08-02 20:26:58.917746	22		0
1381	101y7vw8jsnwjraxm0xhxck16g	$2a$07$Zr5pUz7xCGJ4ORgvLVopR.8H0212sP3hCT1LzKumwdxvZOq3hqtCq	58	2013-08-02 20:26:43.756231	2013-08-02 20:26:59.257708	22		0
1382	10br3zxoek98hpwny63sftxaml	$2a$07$OrZrzFfnqLDGSxFsuUxkOueikjmCBLFFZ6ummSk45z9/p6U8U7bAy	59	2013-08-02 20:26:43.777663	2013-08-02 20:26:59.601925	22		0
1383	10yazp999zxkqgm73kj1kaxw47	$2a$07$k0UiTZIO3kcnbIq3CbJXVuZ6QmWfbj005xz3lTXDp4fO25fjwF.kC	60	2013-08-02 20:26:43.798963	2013-08-02 20:26:59.894744	22		0
1384	107yg6w9hwm587xomc6i9x5hh0	$2a$07$VJ5h4YWpl800EVUYywoyTOi0CvPD.x1dw.vsiIQ/abto.6EhyDhrm	61	2013-08-02 20:26:43.820582	2013-08-02 20:27:02.845666	22		0
1385	10yeipxoxv2c7awlsepouy7vnj	$2a$07$1uFUoVB6/CctooGEHSdU3u4ltTZJ3z/mz2oUNcyLoHG/0ONQJFRa.	62	2013-08-02 20:26:43.842267	2013-08-02 20:27:06.047944	22		0
1386	10q5s78u28s8n89vpen0s2zyp3	$2a$07$kaSUNJfeLFInSyxSjW2I0uuCs7PSv7WutHYEFxfB8m1nRfjvfq8/i	63	2013-08-02 20:26:43.863704	2013-08-02 20:27:09.933616	22		0
1639	10kp59cu8zxp368faghnf02ght	$2a$07$21ToYXA0kA.MgPezv/auruk6PhiCedQ6geeMpt9lrRUjr5XLO6lmC	1	2013-08-02 20:51:42.099225	2013-08-02 20:51:43.718237	27		0
1640	103xfhdk1o9z8cwyn02hoygp7z	$2a$07$80E6fWsS0RrQfJm0k7hd1eKAmSJWhWx5nhpIhpArEzJmI3k8Umpk2	2	2013-08-02 20:51:42.129279	2013-08-02 20:51:43.85417	27		0
1641	10qg12gxhphul60zu72y8sw917	$2a$07$nI3B.mBqmrvbSmPe.J/r5OncJ5jG7jE.CH0UhrbhvVAu1O3ftTyeS	3	2013-08-02 20:51:42.150808	2013-08-02 20:51:43.978983	27		0
1642	10u4vedxqlerjg4ok0gcishhss	$2a$07$1JJeIYezUvpfP8Hw4x.bfuxTSGBh4zVREbHMa4ZbGEIl.zyXO5yLi	4	2013-08-02 20:51:42.173392	2013-08-02 20:51:44.276625	27		0
1643	10ptdwdasydejoec8b5zdl320o	$2a$07$znoDsh523CmECz.aHk1IeODx.F42b3O.uEy3MGY04G.9u4ReGDRxa	5	2013-08-02 20:51:42.19713	2013-08-02 20:51:44.425813	27		0
1644	105s8s2ct8jmb5b26ykzq8wnyw	$2a$07$o5hkCAJq6NBgeC/9oB/w5O0kJVJZMavFXNxt/WkRTqTvoyRM05x3K	6	2013-08-02 20:51:42.220405	2013-08-02 20:51:44.816404	27		0
1645	10c04qaehz6jphg33la0irzcj9	$2a$07$bPDZq8Iwyrx6MFVjWzc2Xe.5oW2UYufRzCFfUj4mjaR0u2CR2X/j2	7	2013-08-02 20:51:42.24501	2013-08-02 20:51:44.929565	27		0
1646	10e2tiqwkx9rgqhx65z3eysllf	$2a$07$368TcTdO7YfoJz/6d099jOXdoDwt9p6C01c2nG4e8Uh/S35r9CJou	8	2013-08-02 20:51:42.269078	2013-08-02 20:51:45.068641	27		0
1647	10h7pmc5su7tcgae1vcabt8vwe	$2a$07$ZY5zYSxM8Fz9ryPrbzeevOtiTAwSrRYpAMFSxFGaTnoWI2xjYtRm2	9	2013-08-02 20:51:42.293149	2013-08-02 20:51:45.201162	27		0
1648	10x0b3p3l9hr69kmcu856uvj48	$2a$07$SLnWFgzQd4FBPOKcImwUaeDdE/C0rIOM1S25jCvUENWC9vu.JlmPG	10	2013-08-02 20:51:42.316344	2013-08-02 20:51:45.32317	27		0
1649	10yfnjlvxaftjsqwmoc3ya47dv	$2a$07$RHGi1jWOyzn9HYwe1ky58OfZ5teU3DMR6JbVKNP2vNxwgxJ8XxyIK	11	2013-08-02 20:51:42.340949	2013-08-02 20:51:45.451412	27		0
1650	10f3e5c5gt15hd749w3w276udk	$2a$07$xNHUqTHVtRYguah0hrHlhO.zPY64P71CLt1Y7CSwS.DbmDbRyV9tW	12	2013-08-02 20:51:42.371959	2013-08-02 20:51:45.584072	27		0
1651	10usouc27cp1qinelg1iew3l1u	$2a$07$h1cI.XB.oEUY7oVWrEPjuuUQOAFZVNElwhD77442VtAGGL6I/ykwm	13	2013-08-02 20:51:42.406019	2013-08-02 20:51:45.947085	27		0
1652	10u530mbxz77nvcro787zcgntm	$2a$07$HpCinIzeckdu35fsN5Ko8e./S2gwa5h.MiA7bVQRdMee/oJ8Ahbti	14	2013-08-02 20:51:42.427637	2013-08-02 20:51:46.326482	27		0
1653	10f0am5k33923kvtt3p7o0sad4	$2a$07$7I9rgj7WfzSNUOpZWy6h1OAs6vcRva4/wr9UsaSHX5uUrcv/wRJcu	15	2013-08-02 20:51:42.449139	2013-08-02 20:51:46.680885	27		0
1654	10x0cnrx8oxiunsv0janzpn5d5	$2a$07$8ZjGpjsIVtok/yF32DNB1.Ei9MFuUCnNWtVjkPagza8A3uyQ4WM0a	16	2013-08-02 20:51:42.470972	2013-08-02 20:51:46.890338	27		0
1655	10jisjmbm18a9k0jhgbyr7vtyu	$2a$07$abKKPuBXPJHi.DgofNMEheYgNZ026z.m12LWRk3.DTWxauDwptvoO	17	2013-08-02 20:51:42.492384	2013-08-02 20:51:47.033914	27		0
1656	105rbduhew3tod5s1qfy0poa3p	$2a$07$rZRffRJbQyPbwrkkR3ewFuu9RM5vzgFy0DTOHtwGO0rxu7ONO6VDW	18	2013-08-02 20:51:42.513974	2013-08-02 20:51:47.296627	27		0
1657	10oqwa3qc7ofn8of6nbwy9mbxo	$2a$07$Z/1TOa6cQXDQdGXEEivQFufRA9O.szeLQnMjwP33G/Y2g5hPuMhVa	19	2013-08-02 20:51:42.535372	2013-08-02 20:51:47.670482	27		0
1658	10ury75s713flx6q78r56r4hzq	$2a$07$XeINzwsOiWpnVA7BMuzmsukt/QbMHcTpSFeEk6BW5BaX/qMOPfray	20	2013-08-02 20:51:42.556925	2013-08-02 20:51:48.039043	27		0
1659	1006p0rrwcdln119enf0977rr2	$2a$07$HIc8VjjzpO5c9xlYgONqX.gdN611X1.bwm4n4BYpr6JTW0tiS33yi	21	2013-08-02 20:51:42.57837	2013-08-02 20:51:48.395936	27		0
1660	102nvn098ef5i4fti2bv4csla1	$2a$07$EYLc4TE4PW.AkHtkBd.s.evipr3s3dy9/DmdmSHk94R53lZuaSY9m	22	2013-08-02 20:51:42.6016	2013-08-02 20:51:48.788593	27		0
1661	104jhbhr9215bhyl8fg33l3ff0	$2a$07$..Hl39D0gGhjeQ1.kTlGSeF1tQjV5Xosvjt.0hpBcdyVqOGet9QeW	23	2013-08-02 20:51:42.63511	2013-08-02 20:51:49.149105	27		0
1662	10lu60ojjiy2jjk7ta3f2h3soq	$2a$07$sXZLVXywX0ncTengP2gYBO8duPY7b2gTni7DeuoTfSgHpe4FzHlUC	24	2013-08-02 20:51:42.669557	2013-08-02 20:51:49.530455	27		0
1663	10crec1tu4s8miqcxy28yvy3f3	$2a$07$GLLEsjCyVKXGjpQrTFbFF.TJUt6UXvVlgemgKs0ki4I4R/THg7aIW	25	2013-08-02 20:51:42.691367	2013-08-02 20:51:49.902033	27		0
1664	10ma265oug8n7lpn8d933rjdxl	$2a$07$RoXEIguK/mJzH..fxwVqbe9Qe1AzdxlZn8cLO5K4DbWs4m8MSfoEC	26	2013-08-02 20:51:42.713128	2013-08-02 20:51:50.234466	27		0
1665	10kx4pia0dxue5nnaqaoh3tjx6	$2a$07$6HLrSmUvajS6b6g1PnhGA.S.FsRdEU1kXpGOkQTgSa3/EwfSVRYYy	27	2013-08-02 20:51:42.734531	2013-08-02 20:51:50.419315	27		0
1666	108d9ooqrjyfp7h5p2r0no9d75	$2a$07$vGNeqtkl9qt14wmjeSaeseqki/p9/0UNhlQ8brlUyXHtz4MuTecvq	28	2013-08-02 20:51:42.755974	2013-08-02 20:51:50.778429	27		0
1667	10ax433r90pad75mk651ayn6zq	$2a$07$qfjn0qaM2cRAldGfyUxVCeSMguf8qykvuVArOIEnFLXIzISJhiT.G	29	2013-08-02 20:51:42.778484	2013-08-02 20:51:51.131693	27		0
1668	10ae0dywpuebf456ubh2lx9aqz	$2a$07$Osm7TWbH9Oh3VxcgiB2.s.jFIQPDvgZ0w/oHW.vJIVwjThu2MKwAq	30	2013-08-02 20:51:42.800543	2013-08-02 20:51:51.370406	27		0
1669	10f0aqlunmzedn73ffypg6jk53	$2a$07$T/KZlXaNZNpSevTwbq8Yn.yrAOP6de9TobCJNlZ.5LznYyLHj/pBu	31	2013-08-02 20:51:42.823134	2013-08-02 20:51:51.493871	27		0
1670	10oj9xuzlt8odsg91zwtecxmsv	$2a$07$SAha8lL9TKBiEHYWQj6xe.YRcneSljmcYGusUqaXTfF5WtWWrNyw2	32	2013-08-02 20:51:42.847458	2013-08-02 20:51:51.634025	27		0
1671	10tfrxtbna9uruu9jouje2sl31	$2a$07$cuoMGSvUON/7lza66Hnz3.6EKi9FZvWpEcindglEf9KHZdBACKnjG	33	2013-08-02 20:51:42.869438	2013-08-02 20:51:51.767743	27		0
1672	101lr8bfrlf3jdqbszsh6xlzbx	$2a$07$XOzv7kV37SwS5C1z.IuPqumEkBwsgXgaf/uQa6QSQNvNEKT001r7C	34	2013-08-02 20:51:42.890936	2013-08-02 20:51:51.906644	27		0
1673	10i2gku9ui6sjei58vxnvvae0r	$2a$07$vUcLgfpssx/Ojq7.OcBL2uOF/gYS3gQDVtWBseWkd8Bf6CN/c7QYu	35	2013-08-02 20:51:42.914634	2013-08-02 20:51:52.026387	27		0
1674	100koru8ueq3pg71mvm1ytr1tk	$2a$07$ROzOrZQIZBputh6IZl9AZe5C3GfkwkwRGBfmrfT/NB58YS8n.M9ca	36	2013-08-02 20:51:42.936423	2013-08-02 20:51:52.152841	27		0
1675	100fpdq6rhg7yfby9oag6ai7po	$2a$07$3bKn5iYnz78qgzM3vpu6JugsUzXwWWDA0zcEy82Aux3R7GL1mIeTO	37	2013-08-02 20:51:42.959779	2013-08-02 20:51:52.5228	27		0
1676	10sdyyucng94pr48rtg0hsh3kr	$2a$07$7/rnC6qZzLnp8OTizdjlR.9n6JoTdvASEmV5thNp9I2Ampwpzm2wC	38	2013-08-02 20:51:42.982716	2013-08-02 20:51:52.883686	27		0
1677	10fahwkjml1klm0ak2csb0uukt	$2a$07$SDSTrnM3vnxLh7UrBiSYSeORO7QXicdoMLK7iCkbrBFWtYG2S24/G	39	2013-08-02 20:51:43.006291	2013-08-02 20:51:53.068385	27		0
1678	10lz2qga7to858py4p4726rylr	$2a$07$4NPvEIATlTh4h5ZnJN9RJuSCLiO66nSMa7VBmcHeaeQZQtpZrTjAa	40	2013-08-02 20:51:43.030516	2013-08-02 20:51:53.435707	27		0
1679	10ivcd5kkp0z19o9bg2muxpyxn	$2a$07$Xm4.QHRyF37YNso/D1691.hJSCMKgALaIWcJaa3deC8QPNcIEVgRy	41	2013-08-02 20:51:43.054336	2013-08-02 20:51:53.798691	27		0
1680	10ok7pb1znxmbnuj8ukh4dibga	$2a$07$K7mgta5c2XtveuRGXnxtoeJUiZKovx9pULfgCww727STotLTnoZX2	42	2013-08-02 20:51:43.076138	2013-08-02 20:51:54.144861	27		0
1681	10n32bpse7lt5tlko6yv1s9e5s	$2a$07$2f3d5vaMd/qtwTC23v3TueNfeKwmpmzCky7f3jP665qFNQ1PQhdtK	43	2013-08-02 20:51:43.098461	2013-08-02 20:51:54.508327	27		0
1682	10olubv89e02ll7vc9ei5b9bna	$2a$07$v.ggwnFAsZnfvHNq3lI24uyIZQtlvQMirjalHA7.fasf8dzoTK1ge	44	2013-08-02 20:51:43.120288	2013-08-02 20:51:54.873703	27		0
1683	10d06dxlfju38h7a6xhsy0d0n5	$2a$07$CrYbiZzQWtWE5y6NLu74G.kQ9bOQ77N7xoZMJGGXRJDxRhUFyeXea	45	2013-08-02 20:51:43.141708	2013-08-02 20:51:55.239866	27		0
1684	105u4rb54rwp1ce6n49gmv89dg	$2a$07$p6uHbNCxLctmkxqFc3Ko3u5a2awap7uBmUJ5.rE0vnlWhOj.tox0W	46	2013-08-02 20:51:43.16446	2013-08-02 20:51:55.610742	27		0
1685	10rj7s966iejgcapfbeg8xewn6	$2a$07$hzKnQs9Eq5Hv9YKdeYyrr.9JJwAnW9bElUtKA1fUEi7UlW.tOehda	47	2013-08-02 20:51:43.186479	2013-08-02 20:51:55.96654	27		0
1686	10anhe0gevg1s70ev8dh1kez8v	$2a$07$z5Fql2Zo1gKtkk/Xf3PGoet0OfXblKpXuCum481EZ1U7snDKWNOR.	48	2013-08-02 20:51:43.210116	2013-08-02 20:51:56.328795	27		0
1687	106hft03zp3t30ar4fxaqicaex	$2a$07$7J968mOvZ1LYLzaFUOc.W.egqLbng5QgEZOAaQcZnNOgLrPy8/yxu	49	2013-08-02 20:51:43.235428	2013-08-02 20:51:56.694346	27		0
1688	10qi471uyllxlzwq305up4vujf	$2a$07$2S82I.V68ZucpSqtX6kLguEZuJ6HiprWAsfRcof14Esp2RVYIRuOy	50	2013-08-02 20:51:43.259704	2013-08-02 20:51:57.046717	27		0
1689	10dnmrskaqk1bkrybnnbmozs5a	$2a$07$9VvdzxdGjT1p0UapM7xUoOJCuYIBu8zDnwk9g/xcQVOQbLYjs4ooe	51	2013-08-02 20:51:43.293401	2013-08-02 20:51:57.402339	27		0
1690	10ohkcgsf8w8m5owuicqzdyyrm	$2a$07$4EjqGdEFNqGSRjIeWbdc7O4qf4AAMC3i1u31VTRLyHTxV2C63EvzG	52	2013-08-02 20:51:43.316396	2013-08-02 20:51:57.745583	27		0
1691	10sq5qq73t95gjww3fefqs6i5r	$2a$07$XCZDZdFg1P6YO7uh46bFl.dy5h1t0fLxFK.iEvKEZg53mXQ.pOxcW	53	2013-08-02 20:51:43.345423	2013-08-02 20:51:58.124924	27		0
1692	10utr9s0m5lhi17h56tamu6n5d	$2a$07$GamtGBDNuqOttukKMeg4au3qyBQ.Wys1jTVG9fu9Au5/xC3fVbnc6	54	2013-08-02 20:51:43.374551	2013-08-02 20:51:58.491586	27		0
1693	10hxh27s2v9mm0e78smdlfujgd	$2a$07$7geP0avnDvO31wasMxT77esrGdcTHs3Xghg58cDBEEGW6.EWNrns6	55	2013-08-02 20:51:43.395905	2013-08-02 20:51:58.620724	27		0
1694	107p1m2gkx6g5c7uukzqyb49ri	$2a$07$GWPRlmQUpNZLLY5/gksYu.lIsQcW8S/DmwhYm8TEjVNvXpcOjbSQy	56	2013-08-02 20:51:43.417709	2013-08-02 20:51:58.740196	27		0
1695	10g5ux9holhobw0oeh9if85abk	$2a$07$hdbhzTfvy8vUo1miA86DueGCg/JOmUsfe2l6Q4cpDpUSk4tS4KlwC	57	2013-08-02 20:51:43.439224	2013-08-02 20:51:58.880078	27		0
1696	10sbxaudz3ge3wbazymi50huhh	$2a$07$7uE4xlQwD8HoOheSpvnHjeJYv5JBonQU.AeewtzggyDT2Dy2lTEMi	58	2013-08-02 20:51:43.460696	2013-08-02 20:51:59.208899	27		0
1697	10gcynk7076jfrifgta0x22c23	$2a$07$ckgpX7k4j.vp.9bf1.wZkus.sAg5eFTg19FfBAGDMbua1S7NGWrde	59	2013-08-02 20:51:43.482265	2013-08-02 20:51:59.579226	27		0
1698	10k7niqqq59z1pvkz4nxas9cao	$2a$07$PUFfxy6iwraNlkphGd6CLuCqf9LoqATuUyyN/guY35cQFyP5lNIBu	60	2013-08-02 20:51:43.504073	2013-08-02 20:51:59.718543	27		0
1699	10yz3i36qvdt2gn6cefh5x83qm	$2a$07$cZCDMHGrKm5g1y3q0STW1u/bVJUAMHKbAtp8Qd6Fv.NePyNn5Xrr2	61	2013-08-02 20:51:43.526458	2013-08-02 20:52:02.449456	27		0
1700	10myg0k28nq7fes5niwf2ty27d	$2a$07$0oN2eMVDNLldGFIyRIV0iOSWbMbEY.EBMpvXIJ.EvTlDUdfgKZBkW	62	2013-08-02 20:51:43.549386	2013-08-02 20:52:05.588825	27		0
1701	108w0shdccvqpc2jg0194ujxzp	$2a$07$CI2.ikjbVrD.0qEJyta4feKjrZbBO05TKKA9DKDwSKpp519dtqmLG	63	2013-08-02 20:51:43.571023	2013-08-02 20:52:08.680309	27		0
1387	10f0l3qznoxkqymnnx3rlrgzfr	$2a$07$04OKZ1RQv6pOmOFt.9aMfeTKBN39.TDmxX8NAvf/76YovxQEtcj8i	1	2013-08-02 20:31:42.133583	2013-08-02 20:31:43.724205	23		0
1388	10ztwqw3r5u2zkxbwgyi5os0f3	$2a$07$/6oE3ASB9Y85CzDlnIkUl.w0hWY/s.tT2orFXlDy9290zqBooGzJ2	2	2013-08-02 20:31:42.158153	2013-08-02 20:31:43.848426	23		0
1389	100wf3h14icn6yrw5vml319hec	$2a$07$Y7h4OdjzBik2poPr2D3HEebSo.ugji6zeNwkJeLQSwZhqodvIGyHe	3	2013-08-02 20:31:42.179794	2013-08-02 20:31:43.986852	23		0
1390	10yoo6wzn9hhwc2w4rw2dzs2j7	$2a$07$kZWqrgSC7PS7ng7VG3hxHuLDyDvUYBpFqQuJnZ8w/9GeYfeA2eiSe	4	2013-08-02 20:31:42.201198	2013-08-02 20:31:44.139696	23		0
1391	106b9irrvvbkr3uzwbzjohyzfs	$2a$07$3CT7Z.tsBvIREjDauBiJp.SNeiWTPmHTwdXsOxRmPfkSoMCaRoogq	5	2013-08-02 20:31:42.222516	2013-08-02 20:31:44.302382	23		0
1392	10mb1g6jnh9hpuy4jiyr8jmwuw	$2a$07$nij2oaeQK61DK31Dqz/GUuqcOKjH0//xObveg7tnFoAEcyfQEFDP2	6	2013-08-02 20:31:42.246991	2013-08-02 20:31:44.612216	23		0
1393	10z07334tqycekaip3ipoxsstk	$2a$07$ax0Qyxyc47MF6m0NgtDYsuHRZwu68CiXbH.ylVYXzS2p5a1GhM73O	7	2013-08-02 20:31:42.272119	2013-08-02 20:31:44.743453	23		0
1394	10rlsy7hayf9wi7feo5gm07jb5	$2a$07$4qj/ckvtJ3hQm8LCS1iVR.1SDOWR1jtybHBbyGySCuo1CuWG5Rlb6	8	2013-08-02 20:31:42.306683	2013-08-02 20:31:44.87732	23		0
1395	10kypc4kvs7gokm2moydj3khhg	$2a$07$EYPwSnYggx1pOfisj8PpDetoEA6wCGSR831JGCG8Vhtay5.IdL4N2	9	2013-08-02 20:31:42.328672	2013-08-02 20:31:45.00647	23		0
1396	1096ogcoubk0wjq9yvzhrykg65	$2a$07$H65lgxroKKwPoo2L8a69b..xK2cybQCXPUwVFQAZbo4ztlpIP5Ri.	10	2013-08-02 20:31:42.350726	2013-08-02 20:31:45.13953	23		0
1397	10cccftc03ka6m0r58c7yp8m36	$2a$07$rkROGZeiVopS6fi.rsH5cOYNNH.krxJ2NCazBckyToyw4vgwfw7v6	11	2013-08-02 20:31:42.372605	2013-08-02 20:31:45.275247	23		0
1398	10rkffg10htua6qxohx01esvlb	$2a$07$d5Q2nBenPwGpwPHBdVBSue7mB2PdcDXPf16jBsKXW4YjlfzkSQH6a	12	2013-08-02 20:31:42.394731	2013-08-02 20:31:45.386457	23		0
1399	10c86s3jqhs03c1w7ktudahddf	$2a$07$UOfa9lVzcyB44SPjQfjqCuEka5ZXVrB/aUP4ZGB9oFu1iqncbfGu6	13	2013-08-02 20:31:42.417802	2013-08-02 20:31:45.760111	23		0
1400	10wn6e5ujq0u3qrr02l36qamlr	$2a$07$0Uf/.qldi1nUzakO98u1k.DHt.pNO/XZkbTw/Lpd23sFmeVutMdQy	14	2013-08-02 20:31:42.440771	2013-08-02 20:31:46.128491	23		0
1401	10lt5khnw7wdjbpwoiqk4map6m	$2a$07$/mpCTcEooV2ZcFiBAvpKTe0C6a6rrNSynOBj8Z2Tv.d6FMF7mBLr2	15	2013-08-02 20:31:42.46357	2013-08-02 20:31:46.485699	23		0
1402	10uhu2sru8kcapkpvwmnkbndht	$2a$07$3HjaNBnP.jkiOktBZc2SIuzgabWpBc/KrGVdLYDnQ/H5t45bAAIse	16	2013-08-02 20:31:42.485824	2013-08-02 20:31:46.634015	23		0
1403	104ndpmshtgio2n8h4xku3sjsa	$2a$07$jYbMuZOAHtBngIJ0X73iIOqoPbY5YW8eT91baNe7o8YOw8/NQFjnS	17	2013-08-02 20:31:42.508772	2013-08-02 20:31:46.839156	23		0
1404	10ntzxi238fy5wh00a2m7e4wou	$2a$07$zyinT8gHKqCBLLrKlPs/eO.s0wl1aV7Gl3yXPfGUXUDGkrAP/rq9m	18	2013-08-02 20:31:42.531385	2013-08-02 20:31:47.102653	23		0
1405	10izpmb4wuu6bzzs5yucpv47vz	$2a$07$HahZrzNf9gbm96Uo1nATtutHzc6LtKh6P2LzoIVRmtcuW9z0CzYVW	19	2013-08-02 20:31:42.555167	2013-08-02 20:31:47.476411	23		0
1406	10nrlzsvujow1k99latxwxt1jv	$2a$07$616znNm5X8QOoZwmDPFsZemCj1SJBKF5OZA174rYibhY9qwgT3YPe	20	2013-08-02 20:31:42.578298	2013-08-02 20:31:47.823373	23		0
1407	10rv37oo432jcb2qfjs1alie2w	$2a$07$lsvrS95BBhKcfpjMGAxD5OhdQqThqBdJbVDr90/Y9hFTzhl0NNF7G	21	2013-08-02 20:31:42.603136	2013-08-02 20:31:48.16889	23		0
1408	102bh36ouopeoqdo099fheg29i	$2a$07$FVXzkVbGL8PQyLf1HxYwdOp50AaCq54RGAZI/tTU0mh1gpI7uZmjC	22	2013-08-02 20:31:42.625979	2013-08-02 20:31:48.519553	23		0
1409	108naufdjz1fgfmgo1x1zgqwly	$2a$07$gk3zWW5cWvZbX5PabRungOgG.HJz80fxUc8IsaA6hApAal4D3W9y6	23	2013-08-02 20:31:42.653405	2013-08-02 20:31:48.877508	23		0
1410	108x2ppdj1idh6khf9aguqwt6d	$2a$07$gtnU4ZGU/JoCF7w9JxgnXODHwiP.afjyra98OYuk7xawUbQLUOoKW	24	2013-08-02 20:31:42.676672	2013-08-02 20:31:49.2623	23		0
1411	10wxze7xylms1om3c8ncpmrs71	$2a$07$Yf9vB7Ds/LQJC6ySRVv1u.NFlE7Sdi3SROUUqQlsB3hSroq7Pl/8W	25	2013-08-02 20:31:42.700109	2013-08-02 20:31:49.638758	23		0
1412	10wa8m51ncp7n1fhg01m0a1xpd	$2a$07$MKUfgsX10jS0hiEk7ZKLe.C.uEE.1UjidfHCSYvG08rLL4i95ofWW	26	2013-08-02 20:31:42.725507	2013-08-02 20:31:49.911839	23		0
1413	10olpdxpj2aa18qm944u1qzpzh	$2a$07$RxZ0vb1ojT3NwGb2jsry.OQrHStEClrXA/AsGMW5cUV64sTX0pXMu	27	2013-08-02 20:31:42.751573	2013-08-02 20:31:50.145599	23		0
1414	10d62ipiary4vp6n9vmzs35n1d	$2a$07$qwhlJuge/PzNKe/Qoh/7a.g8XXk0rZvQbDtB9fXF339f8sZtkaWPq	28	2013-08-02 20:31:42.78404	2013-08-02 20:31:50.500822	23		0
1415	10o4nfqveq040bdndu42hidwez	$2a$07$I6mraezHsLyI3epJyKYajO2OOwt/NrJs5dLb2Vl65z781JoY/Kteu	29	2013-08-02 20:31:42.813943	2013-08-02 20:31:50.852834	23		0
1416	10elhh7417b631gmbsllehajfw	$2a$07$2PbM1lbHpCovTB95vhZgnu0BbFs5skcJ.FlFHv/giGEO5jTwr6dye	30	2013-08-02 20:31:42.83506	2013-08-02 20:31:51.209372	23		0
1417	10tqcoqptt80ibu5pzvjqmt1q3	$2a$07$7ZniySvLM76TCzE.44qZ.OGCkP2F5RVBQ3WT/jxfaqJns9NRtf4Gm	31	2013-08-02 20:31:42.8565	2013-08-02 20:31:51.343838	23		0
1418	10rgy9jzztoui7pdukxjn46hlk	$2a$07$4lwZQq7.EL50OAnRPwigtuhbDItYvBSPuWBUxpNw5ZLzPwbj0hQeS	32	2013-08-02 20:31:42.877938	2013-08-02 20:31:51.503122	23		0
1419	10ddh1nrgu9yx0nysf0st0tk64	$2a$07$kSRv3CPHV7HpXs43swm.Uu7L0leUUVghoaH3WwZWh7cIpGm9qWC.O	33	2013-08-02 20:31:42.899534	2013-08-02 20:31:51.663328	23		0
1420	102jr76tiikmvarv7ih866i9le	$2a$07$2cpspN7.EJa6Djdylgvdju8oyFoOJuSGB6cfSrTmOg8siEGnBkhVe	34	2013-08-02 20:31:42.920952	2013-08-02 20:31:51.791237	23		0
1421	102xvrfkp2mre0d2jc9mql190s	$2a$07$S9JVOP3nNdqc2ovU4T/9ROHmVQv1I44IRWLbKHxPqecSUQgcpwWHK	35	2013-08-02 20:31:42.94236	2013-08-02 20:31:51.919729	23		0
1422	10cg40g57k3bp6lvop6dq1x3xs	$2a$07$QI22VMRRiw0QeZHNUj7useyR.ZlxfsjbEEjbH322ldiE88fhuZoIG	36	2013-08-02 20:31:42.963711	2013-08-02 20:31:52.056261	23		0
1423	107zpiin3pexi7i79jrbqe613g	$2a$07$fqEayixpJ1i7J46vZjd69.FJ4/XE1ccnecatFiO6xzh6Lw9dStpL.	37	2013-08-02 20:31:42.985147	2013-08-02 20:31:52.42356	23		0
1424	106c0xsru1wherd5d1qz9h1ngt	$2a$07$j5eG1rWDPRI0k9PAyZZeBuc9r0UXe/ambttkXSOax824PM52cqaYW	38	2013-08-02 20:31:43.006599	2013-08-02 20:31:52.769629	23		0
1425	10nk5ld0qiw8yga6o144etly6r	$2a$07$A1O8R.q3aTaD0KVgY4cYK.Y5pCHeRhL2wxq7Zv5.CLRh02jLb5D.u	39	2013-08-02 20:31:43.027978	2013-08-02 20:31:52.923799	23		0
1426	10idvaoq0ejinetpfakpqwsig3	$2a$07$INMAlqUtaoHZUlDU5oo7CupJUWQCtX7nMHrRLI5h0qAORjZyell9G	40	2013-08-02 20:31:43.049634	2013-08-02 20:31:53.270044	23		0
1427	106ruh1tvs4hcuyfl4ye7q827e	$2a$07$5D.9pFWomXjynJUAmpYfKuXSqu0JGQ4FXHLrnA1Y3xe9rC.u5C2ti	41	2013-08-02 20:31:43.071213	2013-08-02 20:31:53.62113	23		0
1428	109g0umnzv9yzx4tbrnb8zxk0b	$2a$07$DoRxGZAg1SDRmIfkszlmvOEMnm9FmV/gIYvVOSfbYaOvAfUZKh2k6	42	2013-08-02 20:31:43.092612	2013-08-02 20:31:53.971708	23		0
1429	10kar09i11njzswzjrd1zyorft	$2a$07$izyLwXNuSpeNE6aMVch.seMOHeEDJ.isq.w5PxReY9VcXcZ5eGAXi	43	2013-08-02 20:31:43.114934	2013-08-02 20:31:54.342379	23		0
1430	10sornimwvfm3d74p6hl0gpllk	$2a$07$mu7d1llf5td7vHqlIv8k4.crN4ag4ZVdhvrlMw7XBqRl78mPx6LRu	44	2013-08-02 20:31:43.136423	2013-08-02 20:31:54.707242	23		0
1431	10z3a2dtykzce66pd53v9019z7	$2a$07$S9tgC.0hw3n.6uDdxzeJSOHNpGFZ/FBdwEJ1do2Sox9v8sK1uiR1m	45	2013-08-02 20:31:43.158027	2013-08-02 20:31:55.070419	23		0
1432	10td5frdbww0d97en3ivm1ld45	$2a$07$M1ducxe2hJ5WwDzEbneFnuqUiDGHyzXYuDwXQEV3DjItksXTc4p2m	46	2013-08-02 20:31:43.179462	2013-08-02 20:31:55.456304	23		0
1433	107teip6k57xuxwflczard7qv2	$2a$07$XWEzbWdP8CbOfomECkbIYOpbX8MKNKDfhmTZxPN8CEwg5Gs//UCRy	47	2013-08-02 20:31:43.200785	2013-08-02 20:31:55.82981	23		0
1434	10lgghs4v4onp7admkjhka5j5f	$2a$07$lio1R/Va0qmlnjqvsuXGEu3MnFa19IIT1OkN1c1BF.4ogDZSQgvuy	48	2013-08-02 20:31:43.221983	2013-08-02 20:31:56.197421	23		0
1435	10lzhniehqn1jk9jcoc3d8ablx	$2a$07$etZTAiBfBL9IPexQK5D5pOyJwvyFHBqu6eQ43PaotuFWWS7GFxFnG	49	2013-08-02 20:31:43.243427	2013-08-02 20:31:56.42691	23		0
1436	10qeslo28iqpr2jx5e6cbn1lyc	$2a$07$cTX2c8luDD/j3SLEEaUCIeQJZHALRxWJqVtUnwKgO.TNSbyzsRsgW	50	2013-08-02 20:31:43.268045	2013-08-02 20:31:56.602523	23		0
1437	10ir0z5yyw4bdaqm60pswnlz4j	$2a$07$P87OlnUCshEVw7mxr73aKeY9d2tdB7kSYUthEgVijJDX7XpvslQDC	51	2013-08-02 20:31:43.291141	2013-08-02 20:31:56.839276	23		0
1438	103e9xlunrgnp2h237tvavfbqi	$2a$07$.zbzBWzWxawdMpAifK3UouW2SdV3dtydG5VVyeFyUFLIyDrI76XmO	52	2013-08-02 20:31:43.313069	2013-08-02 20:31:57.20247	23		0
1439	10nu4iqvdgi7a33bt0ilhhkg7p	$2a$07$QoE1EgtyHipVqPlIl9YQ9.PoSIT.QrQ7qruCY2UpThLGuQqX./5Ye	53	2013-08-02 20:31:43.334947	2013-08-02 20:31:57.566782	23		0
1440	10hpsxplhm38x2t2rqoaqu1wgu	$2a$07$0pFqofv8Jp1ymj0b/V6U.e8cnkRoO0QRWhvZ57uo74XMfeMCI0ojO	54	2013-08-02 20:31:43.356848	2013-08-02 20:31:57.935381	23		0
1441	105nka4w32nzveapbj1k8azvu0	$2a$07$8pCf.Se577DcHXC3BcKov.s1s36rgiIHUFfv/ih8S4nTZkNHpt7bi	55	2013-08-02 20:31:43.378619	2013-08-02 20:31:58.30692	23		0
1442	10im686yk09hyokvsmek3dc85i	$2a$07$LVdpj9ixMBYiX3vXjWFZf.YIiK6zfKy.fz7pgYIlZ.kDyFiHAnm8e	56	2013-08-02 20:31:43.400444	2013-08-02 20:31:58.693545	23		0
1443	10ls7mm6vtwyb518qq3kdlvih8	$2a$07$hnD3RnJ5ET3JmoPURGfOJucdJ.ofTcjwczBIzlgJeSabt7iZ08b4C	57	2013-08-02 20:31:43.423239	2013-08-02 20:31:59.108109	23		0
1444	10p7f5f6b99w4j9u4b5mgyrlz6	$2a$07$IQhx6LvVOZWvZxrKXfVtMudRM8Ie44DjnfV9Y41RIe0hoSSdA3i8C	58	2013-08-02 20:31:43.446273	2013-08-02 20:31:59.466278	23		0
1445	10xylkg1hbbio7706ysorm84qa	$2a$07$mT08nCXgKL09PpMUjP6iv.e33KO7xnPORk6YE8CSJ07SWMDiEKVo.	59	2013-08-02 20:31:43.469239	2013-08-02 20:31:59.610077	23		0
1446	100qntn06jwfhetn8zwvqo0lmx	$2a$07$T/L99FNtQXWzJ7MYiOIhYOUcw8WQkpJVcX3wOk3YkiAWj3XsDrW1O	60	2013-08-02 20:31:43.492713	2013-08-02 20:31:59.819	23		0
1447	108n823u1undnvdwf45ppd8y13	$2a$07$9vphoYVVk/vbdOVGqnJwHOlRyRIM2POlBsQYon3WPspDnx4dB49cu	61	2013-08-02 20:31:43.515833	2013-08-02 20:32:02.638956	23		0
1448	1092z39ashfwpu5cul2begb0as	$2a$07$Y6nMAaKuuR/fppB1h2tCJOPHWgm4P8Q2Q96D8/OeCUJNyfPdtsHlG	62	2013-08-02 20:31:43.53821	2013-08-02 20:32:05.634026	23		0
1449	10skf7bref7g5mhpg43jjp17bh	$2a$07$gP7SmTm47HW.bBhXxGL5N.9OT7DnZIT7trM4SINWGViiyJ6judlVe	63	2013-08-02 20:31:43.561558	2013-08-02 20:32:08.528774	23		0
2584	10vplhmxpazuukiypirr559hqc	$2a$07$npFbGebGccLVDNyAcXxP2.wSvRqt/dLPwx8pWysEOwuG/6CXrsQiO	1	2013-08-02 22:06:44.108795	2013-08-02 22:06:45.652374	42		0
2585	10ccr3lzkk86h3kstb9xsaub8b	$2a$07$HJRZ35Slh4fWpXtTvZvIE.U1N6FYyHtRgi1JrvymCh.x0YtQMyQA2	2	2013-08-02 22:06:44.133956	2013-08-02 22:06:45.784921	42		0
2586	10bpul5hyvuz8myq80s64sm77r	$2a$07$FaWrFstJn0hrICtDUPGww.raVWj0a6pbuK51c6XfR2hsfHhD/i6Hm	3	2013-08-02 22:06:44.155387	2013-08-02 22:06:45.926606	42		0
2587	10wywoowmzg4kenssi5v55vqg5	$2a$07$wI.8y9P9GyOd9LCklfARnedSwMyLOtp79YraXFqp3IpuBQ1mK0BC.	4	2013-08-02 22:06:44.17703	2013-08-02 22:06:46.067861	42		0
2588	10qxn0mtt4w6mnzvevyxf5lyy2	$2a$07$Uu1PV5A0GBGeAvqn8o8AfeyHTC.r4iqBdzUaZB9GcRLqIHP.E8HWW	5	2013-08-02 22:06:44.198369	2013-08-02 22:06:46.324867	42		0
2589	10xzbjlk1nos9k8unqcmpg672r	$2a$07$bdltpWgh45bYst6IX314O.vmIdxGhHnNXvQm4NTNv.cWK/H3PV9C.	6	2013-08-02 22:06:44.219983	2013-08-02 22:06:46.686202	42		0
2590	10os7neirm7eiwnl67j53yfs1y	$2a$07$A/eSL8i3cITU.rRHMmYUweYton2JTWnayhQLcc4XkiiMoUKxhCgbS	7	2013-08-02 22:06:44.241771	2013-08-02 22:06:46.801965	42		0
2591	109jcw4ca01zoz8vr46ubjc7lt	$2a$07$y3yVTh77/IvKYh.qyx1K2e6XxQetvMa20HHjY0eBGE/6jy7kua83i	8	2013-08-02 22:06:44.264268	2013-08-02 22:06:46.935671	42		0
2592	10l6zgku7o0r6itjjggpio3hgh	$2a$07$Fp7BnjLElyzplBn4yh1XsefnCpiq2c7aPPJKv8OCwGjJ2HID/JhB.	9	2013-08-02 22:06:44.28624	2013-08-02 22:06:47.075375	42		0
2593	1000v725j0pgq2tmh5qalwefa6	$2a$07$ku.lYfD9IAQI0Hl7V8Af4OtKxB.FXkuFbTxT7yn7w5z2wayFZWP6S	10	2013-08-02 22:06:44.307873	2013-08-02 22:06:47.215535	42		0
2594	10i4mki0ksbpy57mbcbejy2ezq	$2a$07$cpi65ThNH4jYfNJwAkiwju6/R1UH25GDGfdaoiQaU6cdoZOz0if4S	11	2013-08-02 22:06:44.330781	2013-08-02 22:06:47.34897	42		0
2595	1034l4afkdw8lufyyrujkdsi23	$2a$07$K1cDC43E9xJZmKPfTFLxo.MtEp0BPXb6VCPZME4ssnCSfpHGSMCpa	12	2013-08-02 22:06:44.352679	2013-08-02 22:06:47.478334	42		0
2596	10e8u478qo7xmi96fnk4humpow	$2a$07$Q1umo7JQFTDQQoyfAlPr8uu4DWXz/jnngKnUoQiv329oN/pmovMUW	13	2013-08-02 22:06:44.374362	2013-08-02 22:06:47.853952	42		0
2597	10wmqov7miaua46ex351wihv5q	$2a$07$qucegLLMG7rZ7O4e7cdEB.S81254IW156tWpraUsfCaR6gu7WKH5C	14	2013-08-02 22:06:44.395929	2013-08-02 22:06:48.218214	42		0
2598	10e5b1izk2m1c7x6uad9kfjz2f	$2a$07$DwTdY8Kjd.mben26wRjTV.GSTvXfQAUtrmsUPoQkzEEb302afy.bi	15	2013-08-02 22:06:44.418151	2013-08-02 22:06:48.589829	42		0
2599	10ej72ng0xrkulyn93l1qxga0l	$2a$07$Oer/zrUZmzCyZviuROcUAukzMwlJj/HCbomlLX1pRWnz0XOa35eca	16	2013-08-02 22:06:44.441495	2013-08-02 22:06:48.95155	42		0
2600	10e7o39ay0pmh7ogqsjuk49b3p	$2a$07$baSC/4pjWgAB4ySo.o3x5OlnuC0S0OhuKmpkrtJg8zihaSWZtmtE6	17	2013-08-02 22:06:44.46354	2013-08-02 22:06:49.325553	42		0
2601	10r4umkcee3t46tvju2klnb44f	$2a$07$bfb9BcAvfttBguh.ISCGiOv3UB..spiSN7AuKb6rVypGHHfEayKfm	18	2013-08-02 22:06:44.485026	2013-08-02 22:06:49.475704	42		0
2602	10q3vgczp5m3q6fy14et919ahs	$2a$07$Na7GF5NFnm9ZcsXknknAIOl3WSauPOqpNdIOhPlAdiJ.6u3j6GEkO	19	2013-08-02 22:06:44.506674	2013-08-02 22:06:49.621545	42		0
2603	10wm1lhiwjtno3dmiv2hwa2yjb	$2a$07$gxEAq57ZnykvwuRw81AVMuoZUEFHrZ2H5.RKfOQXSrZ0Sq4S8zaLS	20	2013-08-02 22:06:44.528125	2013-08-02 22:06:49.742748	42		0
2604	10x03w6e2pflyfet6iywibcv4h	$2a$07$ZkqWfU1v5oIALka2wtVaRuZCU2sp6kHVDCRMLx.GFYbIb6spGDms2	21	2013-08-02 22:06:44.549553	2013-08-02 22:06:49.86677	42		0
2605	10ogq3qlw6fom73wlqmz6hevld	$2a$07$6ktMA1zibQwHYAOR9bAnzuEdr3XNynV091/sadsLf5wWT2tzzIyRO	22	2013-08-02 22:06:44.572238	2013-08-02 22:06:50.236095	42		0
2606	10re53xoanujmlbfgvz6wa1qtp	$2a$07$SzOdmMzsbLGSseQokel0zeK2/4bw8tQfyfgSAA0NnlaBUXyt/O65a	23	2013-08-02 22:06:44.600862	2013-08-02 22:06:50.621768	42		0
2607	10tk7d9qnnxzrnr7vngecx8bo0	$2a$07$NemRqS4rUOlzyacdZ6fd7utvMdCzTUH4zO/0hHnxfri5tcdeX2CtC	24	2013-08-02 22:06:44.637848	2013-08-02 22:06:50.979327	42		0
2608	10weg7pbreaopszqulw2zguyow	$2a$07$PySc58BpwWq9TkeFcTXmweHtC7WUg4uhXY8Y.t.nNy0JImSxsVCQq	25	2013-08-02 22:06:44.662385	2013-08-02 22:06:51.264776	42		0
2609	1059mtcahbjquywau2yzf290fm	$2a$07$3tXSzwmSL3BRx67xN6eYwOm1eBxkr5Onqsn3nkdCGMSw.sZ9mEvui	26	2013-08-02 22:06:44.683941	2013-08-02 22:06:51.430684	42		0
2610	103crwhulokzd6w3iaamyxspk5	$2a$07$/jq05MmQZ06VBZHKcJLjUuzWPA.QcbOngVVYWCkrvEtqNpsY4gfiG	27	2013-08-02 22:06:44.705515	2013-08-02 22:06:51.705499	42		0
2611	10ssgay1cuqgep0ydrz7owr7ia	$2a$07$ix1V9AKcxJcP91W4ANLfDe.Rl9pjBxRn2usgDX2WrxpA.Mikp.QRO	28	2013-08-02 22:06:44.727988	2013-08-02 22:06:52.06504	42		0
2612	10blhz59plnnhxb6rn7hg2j9h6	$2a$07$E1AChoUgSBGMUdZhb.tCS.0nOpaxeYH8.RehPi6ki4SRlytheUBfq	29	2013-08-02 22:06:44.75174	2013-08-02 22:06:52.429868	42		0
2613	10k9739mc6919vghesiv2e73bj	$2a$07$d6wlqDJogrC8WlwmYO17..Lj1uypVe1maPZzhfm556MwtQQ0Yse.S	30	2013-08-02 22:06:44.774447	2013-08-02 22:06:52.800328	42		0
2614	10g5s44k4ziu4p9qk2ag0j77dl	$2a$07$6a0wcPYaqgUPICRL81AwFeTNz4H/XUc.FGL/qWH6fYTeTM/vfYryu	31	2013-08-02 22:06:44.796068	2013-08-02 22:06:52.918072	42		0
2615	10vu88m74kjdxlyovwru2ouzul	$2a$07$xWAW8FxQPe6bVId.A1J7VeeNNSKcD0VAclKUcxWwR/sHZSthRubAq	32	2013-08-02 22:06:44.817573	2013-08-02 22:06:53.047511	42		0
2616	10aoba634g2tmr5tji22njkb6k	$2a$07$W5VNEpwavYy0NjdMuScrueQmscRTo9Qs8DyjGfhfGJOsLyO4OJXsW	33	2013-08-02 22:06:44.839256	2013-08-02 22:06:53.182631	42		0
2617	10ko5extky47lesdqnj78tcgc8	$2a$07$4f3Qi6oKa.gOfOuay4jkzO6Dcyb2zYvmEPNIBiuAN3fBd2bxevVT6	34	2013-08-02 22:06:44.860665	2013-08-02 22:06:53.314124	42		0
2618	10hbh14hk2cmfdtbwf0v75qvxt	$2a$07$47L8gZHYHghDUHWfGDUND.49OZvSrx7mza8E8ngSN211dhwuRS0U.	35	2013-08-02 22:06:44.882411	2013-08-02 22:06:53.445525	42		0
2619	10bzkbc21juqkothteaa2d3k7h	$2a$07$hePXCBqELNzj11wifa33IeI5zxCWbORKT2EdTYgq0SlwAUsiZ3S72	36	2013-08-02 22:06:44.903778	2013-08-02 22:06:53.575428	42		0
2620	1030u2x9yxiyygosu54vpg3598	$2a$07$WF3FEhfPzns93y8zr4hDReYfnMfuDoFmP6MLhOIsYTloeOxZHalK.	37	2013-08-02 22:06:44.925356	2013-08-02 22:06:53.708084	42		0
2621	10iis9c09fa4edtihdpg8r3tqa	$2a$07$EW30IwBgx6QSMmHsRQ7ru.o1Z1txuCQMC0RenLymlVpn3JyEL61oW	38	2013-08-02 22:06:44.946812	2013-08-02 22:06:53.840084	42		0
2622	10iee84u2mutax2sfkwiivsrnh	$2a$07$z8iWdUSDfhpO3RDmrlC1eO.mmsRUy8kg9304pMlFz7YuDKsN39/iK	39	2013-08-02 22:06:44.968335	2013-08-02 22:06:53.97034	42		0
2623	10f9my48ve3xoal1z926x5xv30	$2a$07$xf2aAxOYhJWb5m7oMhV/a.Tca/eLvAKFk2Y4cAPp8i/gadpQCTMOK	40	2013-08-02 22:06:44.989779	2013-08-02 22:06:54.343028	42		0
2624	100pf97gypczks0lcku4uz6cce	$2a$07$RwTw64F13YuaK8d4bsO3t.CVW0cLRQYhWJ.xK6mwTCixn4N72IFAO	41	2013-08-02 22:06:45.011157	2013-08-02 22:06:54.711984	42		0
2625	10kq7ispk78zshw8i1j4p0t0nn	$2a$07$wn1YvwE/a45ogEbbXlcaJuP1dIhLiycRvjW1H3rxkTpGjJwwpCHvq	42	2013-08-02 22:06:45.032515	2013-08-02 22:06:55.081326	42		0
2626	108lqgwl7ib3jakhofqftr9i8j	$2a$07$uAdGjcUVIUnew6u4pELVL.54P/XY5XvvZewuJSS/yT7BGOZ.gvN.u	43	2013-08-02 22:06:45.053996	2013-08-02 22:06:55.228193	42		0
2627	10geu44f3n14zrn7b64e14lc22	$2a$07$bv1jgS0owhamAOr4lH69ieb0LNa.6qBrqJ2bgzS9vcasvVJ6pInKy	44	2013-08-02 22:06:45.075446	2013-08-02 22:06:55.426376	42		0
2628	10xqc91h61cz7eweihkqis6b8a	$2a$07$mPC2a3e04mgdqe5UAkDSR.2XrRpYiPHzCkCl1i.me1wH6bSpyOCO2	45	2013-08-02 22:06:45.098445	2013-08-02 22:06:55.62841	42		0
2629	101aygvowrqppgm252z5li4evl	$2a$07$omwxXaQUA72f9pZZR3w6aOK7KLHU7E50E89eDgvovCobBl04qRSW6	46	2013-08-02 22:06:45.120882	2013-08-02 22:06:55.991749	42		0
2630	10zqqjbozxq9izefxjc52buuwf	$2a$07$srysjV1/0HcyFTNm85XcFO3bcRAtv5BzJG4LpHzurzaceJS7gq/rq	47	2013-08-02 22:06:45.142544	2013-08-02 22:06:56.367481	42		0
2631	10o9l346av6j33fzfn8zk6fwcm	$2a$07$FmzVsfP3vct9x0lbV6UVHOc1s/FcbfKVCh668guHSY/Yd.eTFwFaS	48	2013-08-02 22:06:45.164046	2013-08-02 22:06:56.743358	42		0
2632	10t7en5kb09lrix6k35e3xy2qg	$2a$07$IV/pDLTUioouchX3z9LnFu0rM/tDXkndN4C4QENRkzNk/Ucl13oZu	49	2013-08-02 22:06:45.185935	2013-08-02 22:06:57.105815	42		0
2633	10ndzlf6wdp0as8nyo8aigxqir	$2a$07$3PF8TGjHv78pN.95XAH/a.1rkE9TyqtYuLh6FNHLeS.gu9BdHNw9m	50	2013-08-02 22:06:45.207565	2013-08-02 22:06:57.471699	42		0
2634	10yprpvy5k720s8zf4dv4ncntq	$2a$07$S/7B9uM96tWmd0gxVcumreAUNZY54deSVNYWYhKpnL95q6TpgZ6wq	51	2013-08-02 22:06:45.229579	2013-08-02 22:06:57.841884	42		0
2635	10o8af4s3tukle2zkjo2nqxxxs	$2a$07$mrafv5/iPt6ouq10SKoxxO/XASvRWboKz/gLALJ7omLFcTrKtQXRu	52	2013-08-02 22:06:45.252446	2013-08-02 22:06:58.175575	42		0
2636	10pd5h26vkvr0wrtbk2i5liuus	$2a$07$4LWM6htqHeYilRCveX92u.VpkH1YIdU1k1EfzRTP0JqIwDt..ofXa	53	2013-08-02 22:06:45.274331	2013-08-02 22:06:58.551031	42		0
2637	10434ch757p6bfyao6it2jvvr0	$2a$07$HRUTj8/./8//i/w7pZrcUuu2.4j6R67H1r.hCkQ67ReZzrKORaMHi	54	2013-08-02 22:06:45.307838	2013-08-02 22:06:58.915328	42		0
2638	10rii0oei3h737ycqyzeezdwpf	$2a$07$/R2pQlOCYu46r.j/YXMw9.jawolRKwSRRIMUq7BJqdI0oj0Kn.2h6	55	2013-08-02 22:06:45.32937	2013-08-02 22:06:59.319991	42		0
2639	10w3ofbnw7bznyznjugwl5e2ke	$2a$07$kks7rBmCBP8gjczRyNub/.Zq1fUf3AONH64t1Jg8GQpHE.r.KgJ4K	56	2013-08-02 22:06:45.350909	2013-08-02 22:06:59.690866	42		0
2640	10xxurvafke467865h35afayxy	$2a$07$PmjcTyTdyE0SpoMCkATb/u5jX5nPRPk4ImejyQWoMzycAs2WPN9pe	57	2013-08-02 22:06:45.372335	2013-08-02 22:07:00.071674	42		0
2641	10vy0v0jspkie3z2wqmo96dck1	$2a$07$k8wyoX69TjJJMkcgNNJaZOO/X5E2iR3tiLpABJt73oDSJlf9eECNC	58	2013-08-02 22:06:45.393726	2013-08-02 22:07:00.451638	42		0
2642	10ja4wwzcwc8m6kjgbx4ranrij	$2a$07$0IB65M7oXna8dEfGQ2YYPOCSTr.AUmskhN8Bp72jhIVYqnCxMZlz.	59	2013-08-02 22:06:45.415229	2013-08-02 22:07:00.81983	42		0
2643	10xbp23fasnhtvhv65wiqv4jtc	$2a$07$MBAuI1q9gb5yBV6.XZokju2.8GF2Qc3iiGCg2efok7OnrC4XG5tDC	60	2013-08-02 22:06:45.437616	2013-08-02 22:07:01.17394	42		0
2644	10jnccwf2sfrsvsj8zw34zgrrd	$2a$07$bk5GmSxymvTFfwd5foL/Bu6ebbFVVbrHZx0BtM5/4.SyPzYLTbYYu	61	2013-08-02 22:06:45.459869	2013-08-02 22:07:03.867967	42		0
2645	10jn34n9n130frxw3bjva3x4jg	$2a$07$j6wxu9AitHncpTlK7rFnA.pHrE7xlNx95/9MgM6ct9StfF5OBNWz6	62	2013-08-02 22:06:45.48134	2013-08-02 22:07:06.903276	42		0
2646	10adphh9coothiot58wzpok9ux	$2a$07$SLiGge7./PEGg6pc0zRB6.r6ltWs7lQe2RJGcSEmi/9RWuwGNOHw6	63	2013-08-02 22:06:45.502651	2013-08-02 22:07:09.988315	42		0
1450	10lmn2az6re360w8i2ykvst2ri	$2a$07$um7KJWGOFGGC0jCl/VZBeOlDxdsoz33w3iTZQvOPDtQxD2UUFp.f2	1	2013-08-02 20:36:42.092407	2013-08-02 20:36:43.681795	24		0
1451	10cfp1xbhn4n783jvnym7ofpy7	$2a$07$BsJEfrWpUmy5KVJkiRaUiet8wfJFh1LEvPYeCZH3yaz2vDFPjrxFi	2	2013-08-02 20:36:42.1182	2013-08-02 20:36:43.821106	24		0
1452	10a4cwwd31y3jraz6x4oj8pr8n	$2a$07$ZOIhLjm2Q35An.BoXdWWsukd36u7AjbuoJ0k7MVFSpbsLH0T4SIaK	3	2013-08-02 20:36:42.139983	2013-08-02 20:36:43.952202	24		0
1453	10su0b91wyq40vn4zu1422yb6r	$2a$07$DPoOkSKtIw65YJLBW4.Jo.ool8OkWUu9vpsyIttPI0x9W8GLPLpPy	4	2013-08-02 20:36:42.161909	2013-08-02 20:36:44.245898	24		0
1454	10cwcy83hrvpxoz708cxxb4c86	$2a$07$1TOvkkNirnhi8JU1OKxywOwcxS9yQeIDLokQ7gimKBbQOCGxrutxK	5	2013-08-02 20:36:42.183644	2013-08-02 20:36:44.391748	24		0
1455	10pmsk4d2xydk4389rovi5pxco	$2a$07$J94Oy80pHVn1rAGr/PxpcufbvSgS5NZmh4wTgYbch2nbG7sn3t24O	6	2013-08-02 20:36:42.2052	2013-08-02 20:36:44.564796	24		0
1456	10lspygf29rrgt71z6o0grn5wo	$2a$07$JYtst9G.Vw3JpyYvdOBCteJdK7BZIJ0du8psLZxIub4IvBr09HAjC	7	2013-08-02 20:36:42.227008	2013-08-02 20:36:44.690893	24		0
1457	10ehrmgr8b26i29c8g0m2bw1zu	$2a$07$osjPRIGevuD1rqRNXmDFROKnaT0NwLTiQditIEr4HtjbnPznmvC1C	8	2013-08-02 20:36:42.248687	2013-08-02 20:36:44.81925	24		0
1458	1042nl4ns211frgo8u745uo937	$2a$07$NXIcaT9QElKljISiiH7jDO0wra8mJcZ/E9Dj/ItCGK58Gh/rkmrBy	9	2013-08-02 20:36:42.27213	2013-08-02 20:36:44.936196	24		0
1459	10pqp9yajfwtmlbeqnf2t9boxh	$2a$07$hZawcNv6ypkfwtsdNnhLwOefskKLOKMy2NNIfBIZeAAAOzVJAa0JW	10	2013-08-02 20:36:42.293638	2013-08-02 20:36:45.030695	24		0
1460	10lwdovpqrb2k0s5wts2l8bdo2	$2a$07$5baVS8XSPqtBxKu7b2ZjP.A0v9bqCWgvyBAJD8X9IyuVuzuI7PLvq	11	2013-08-02 20:36:42.315079	2013-08-02 20:36:45.126214	24		0
1461	101mzokjh93ve0nba5buyfz20k	$2a$07$f8k7eRu6yeCfU/JX1MlhVenj2f4p6EhJpoameAlGgTp5cRQDcpiei	12	2013-08-02 20:36:42.3367	2013-08-02 20:36:45.228035	24		0
1462	10ty7oy2onm3oxuu9j38fifcvd	$2a$07$bmWc2xdL3gHMoO0xubYfEeNIukQbyQC37rFs8MKlrQ5/hE/IQJeP.	13	2013-08-02 20:36:42.358386	2013-08-02 20:36:45.574149	24		0
1463	10brysnxciiq1svkkqcdr3ow55	$2a$07$rWpwHIRPO0Qa4qI4a7aGluxn0vMj4Ou2yy0e2X1cP5o5fV41o4Jzy	14	2013-08-02 20:36:42.381313	2013-08-02 20:36:45.936319	24		0
1464	10vx3lqcz7x575ufqhq1wycsdh	$2a$07$OjRsdfeFeHGalnypQrnh4OXvNRZgppna/PqGxj7.pbGy23NdYwpQy	15	2013-08-02 20:36:42.41389	2013-08-02 20:36:46.311189	24		0
1465	10q8podw1p17d83r6w7pyk1a8o	$2a$07$fEzdePu7wkSqtKIBGwytrOMeDeZQ2g9bfwCJ3WyAHCX0uvu4rDl9u	16	2013-08-02 20:36:42.436171	2013-08-02 20:36:46.673199	24		0
1466	103oy4velg9scihc7oegrof67m	$2a$07$bKq0/u0WLw7cMinfg/oIsuT4bAde/DpTEbANCN0K0MW0UkimlRg/q	17	2013-08-02 20:36:42.458018	2013-08-02 20:36:47.100482	24		0
1467	1069ip6af77w1f9ogxtwfnazfl	$2a$07$Npr1RqIdMZLnBsVEdD.bqOvROCDVGcGqThyUUxEThtoIQ96Ku0dRy	18	2013-08-02 20:36:42.480573	2013-08-02 20:36:47.383853	24		0
1468	10gfk3yzmiefs1se510qcqs4vc	$2a$07$SpH69TbEIQ6bSL9qF2PbG.N2ov5rbL/.IJ0T.sYvEXrMwCI8IRCRq	19	2013-08-02 20:36:42.503209	2013-08-02 20:36:47.750022	24		0
1469	10vtrenc1go5ajvwm6qhdyg5t1	$2a$07$g/M/DhBaQ3bf.vI1wxVOb.hDoKefpp6MEoJDhwujp3eCnefxwjqM2	20	2013-08-02 20:36:42.524946	2013-08-02 20:36:48.084921	24		0
1470	10qx5twrpbp9ertqbn1v5p25v2	$2a$07$GAbSGj.zpjkHw4gqWUX9m.ogwPiMlvUq0V2y/0NFwXI3Oar7r6F2W	21	2013-08-02 20:36:42.546509	2013-08-02 20:36:48.34083	24		0
1471	10s513skdw3pxup823yvmsnm3h	$2a$07$HxHhjMuFj1RpCtkG.9OUOe1hbBe3XUvUEel.UYh3wICtyppSNah2S	22	2013-08-02 20:36:42.568417	2013-08-02 20:36:48.703675	24		0
1472	10an19upi0iea2orqwxk878ybl	$2a$07$PR.zZvrCRZQTlV9mZUueleZde/ud6Q62SB61x9M7UHGerZ94FRwuq	23	2013-08-02 20:36:42.590027	2013-08-02 20:36:48.932315	24		0
1473	10g432861yzlssj2y8o3jumeed	$2a$07$e3RmLV0gpELXatqCh3YkNegBmpxG69hHnAeojae4tNeAtl02QbA7u	24	2013-08-02 20:36:42.613232	2013-08-02 20:36:49.105329	24		0
1474	10wxlw3qxok9c53o8f2mmqgnhe	$2a$07$qMXpYraHWx8wgnYDayTdhuxsqaLIjUhOqtSqTVRz7dkrp.CErRRBy	25	2013-08-02 20:36:42.635276	2013-08-02 20:36:49.477662	24		0
1475	10el9gk2of5bezog8g5j58kepp	$2a$07$VUh.h/7ymNZEiRN2nKWlHu9FfocpU6AdtAAm26aTS2XnYTPCgHCSO	26	2013-08-02 20:36:42.656747	2013-08-02 20:36:49.831672	24		0
1476	10hwc701bwjjbwki6074lzj36b	$2a$07$6ebHhrzB1LchR705.SJspef6Xzy.271KZlDoZg4kfxf7gbkDsMXNa	27	2013-08-02 20:36:42.678468	2013-08-02 20:36:50.210718	24		0
1477	10nc9pwgm6ydkco8mlfjv1h7v9	$2a$07$mCMAeH9lWIXGEF.eb/FuSOwGornOisR4bDY2KxbO77j.nux7hdDFa	28	2013-08-02 20:36:42.700744	2013-08-02 20:36:50.564078	24		0
1478	103o7w7b3h5rf8k63c9724y4gs	$2a$07$UKrFtJYn9vr2xboIYaYA8.GWStmKSBkZzsLwdDoAnC8RQbwnZnDye	29	2013-08-02 20:36:42.724119	2013-08-02 20:36:50.924011	24		0
1479	10fp1f58ynvl2jtg7l2or0n8pr	$2a$07$fYHbGKT1ETi5nPb9goawdu5Izs1NKjNSufj6EQRqJu6nws6ebYMQO	30	2013-08-02 20:36:42.747013	2013-08-02 20:36:51.274497	24		0
1480	10gbrjxya2ft0beoray1760v8v	$2a$07$vICp0TtEzo4B2F6clkcmneaKIk5IK2PK8cxFEi9E7c82pkRbtsSWi	31	2013-08-02 20:36:42.770097	2013-08-02 20:36:51.404068	24		0
1481	105m0bq8692w2dph50klde4rbr	$2a$07$HPbexOT0qK685sYCvbjKruF4wi5aLDsnMyaIl9yABYkXoZGlNqnq.	32	2013-08-02 20:36:42.794096	2013-08-02 20:36:51.526245	24		0
1482	10t2ueknp2bohmfhk9y21dit3z	$2a$07$88o1jLqw2ytRQoL8YkyZZ.e.jxUyaJUFdReuUg4M89MYq1ertnmfS	33	2013-08-02 20:36:42.817948	2013-08-02 20:36:51.645784	24		0
1483	10cac6yz5xchy3qxzj8941o611	$2a$07$x5w8VEi18dtRTbN50Ds2dOvFqp/gVrKtWVZ/xc0eMKxuaqNjlMNl2	34	2013-08-02 20:36:42.840923	2013-08-02 20:36:51.74183	24		0
1484	10azlstnd9zlj769yxy4hwrd6p	$2a$07$ZMnPLWqXSf95Nkupolz8EOHzlAc59QnOfcXdKok0Wr1Dx4RzUBXOu	35	2013-08-02 20:36:42.868555	2013-08-02 20:36:51.845304	24		0
1485	108slh04dvv2unmt1y454e57v2	$2a$07$LYKqGJggir0826zsVQLxu.PI/961uBsHYXbXkgnYUPDCQQkN9LU3q	36	2013-08-02 20:36:42.890008	2013-08-02 20:36:51.943958	24		0
1486	10cmtb7wiqiu80rewvadlzawvc	$2a$07$VJ/yoIHY1DGlCr5UDn8c3eRoCGeBVauFaNMMum6GoxHTTSdPCwqHa	37	2013-08-02 20:36:42.911844	2013-08-02 20:36:52.107527	24		0
1487	10nved7dzwuxrqxmak8jfhslxc	$2a$07$0EHQmWEsanT0KcSV/sfkW.YMJz1T.k7PRdqG.Ce.NhrtTCYWjuYHC	38	2013-08-02 20:36:42.933332	2013-08-02 20:36:52.224218	24		0
1488	101qd85ttazx2pwslflz6by5v8	$2a$07$6LJ5EqcV9U6kwXm8CYBOSuIrOuj2gSPX5XUKkqaLTxodrwF2MQC8W	39	2013-08-02 20:36:42.955391	2013-08-02 20:36:52.447919	24		0
1489	10gwnv4h6ywg34nzt8q8lh9wdc	$2a$07$jN9a/x.MO.KuPBMpr4O4.eyGKdCHYgkS8bHUVaLyV8fnq1E.sxip2	40	2013-08-02 20:36:42.976909	2013-08-02 20:36:52.820241	24		0
1490	10u648ew2kqmsens7ynn4k7zsj	$2a$07$aiMpu.inMfJe2xOdX4IQ9OjfJDXoCRbyMde4Sbz/sEwTSHpLUdvFK	41	2013-08-02 20:36:42.998404	2013-08-02 20:36:53.175072	24		0
1491	10p5iodgh7j5akze1d2lu6yw67	$2a$07$i5uKEI2WavGrlymMfGy.1OGj4bzvik9kIHyeOOcpL14rNstzVj.X.	42	2013-08-02 20:36:43.019757	2013-08-02 20:36:53.514256	24		0
1492	10adc1jkynijltye2dohi58odm	$2a$07$AzpfDC93oi5lR98w0w/tVu3PjzCd/2mT1rA86w44jlLpnC09.dh92	43	2013-08-02 20:36:43.041153	2013-08-02 20:36:53.858331	24		0
1493	10w4kv7oanx8pn309mopr2mpjc	$2a$07$uA8uCgLu/tJov5R14O0J3.SZ6kvp.adZUseO81J75AqbNbY.oqtu6	44	2013-08-02 20:36:43.062298	2013-08-02 20:36:54.226569	24		0
1494	106mcr9gfuh2ftieodkh48xhcc	$2a$07$U.KW90Bzo3f8rIx1xudJEudBI5fRxO15qSL9B/HpoyTMObz1/JoNK	45	2013-08-02 20:36:43.083355	2013-08-02 20:36:54.581382	24		0
1495	10a5l9neia1e0s14n2nbjyfj6j	$2a$07$Cg2aF1i7tZJZTUjqEcVQWuuBsF1To.zk8kNtx4OExG9aECCUCn3pS	46	2013-08-02 20:36:43.106041	2013-08-02 20:36:54.938763	24		0
1496	10w7az2dcgqhx9wv8m6icehqos	$2a$07$NQN343wMR5sYZwptk2maUOUc82PiMqnsYaqePkDjtxhty6HVqVqOu	47	2013-08-02 20:36:43.128972	2013-08-02 20:36:55.297623	24		0
1497	10kjhdajph725dhge99olq5iai	$2a$07$h35uo9BlKNJaGpvlJeu6D.waM0gTmHJYpY8cDE2ErEUh0Qrt/8wh2	48	2013-08-02 20:36:43.15719	2013-08-02 20:36:55.662449	24		0
1498	105dv332qokk23uz6h84ya062m	$2a$07$fS.tfPaMYPdX33M/55Mofe/kN9TEIKVD1w7b3fs4EpGhP1RsBNV7q	49	2013-08-02 20:36:43.19705	2013-08-02 20:36:55.893621	24		0
1499	104krbbndcw2drwy8onyoxmxcx	$2a$07$7y4Fue.wvoS9Y6TqJ6rAA.oECszB4Ecj.0FV7GMMnTm.q9yTkbWwm	50	2013-08-02 20:36:43.227581	2013-08-02 20:36:56.131132	24		0
1500	1096t72dhg6bc1f428666ehtcx	$2a$07$l0XmQk5wzUamv8Z43zsr0OFfDIEUWn9vL71o5/Yt60olofd.DtwTO	51	2013-08-02 20:36:43.249301	2013-08-02 20:36:56.39009	24		0
1501	10fcbstry658a2g1jkidzx82ac	$2a$07$bI46l6PzTtRAFUk4aqBsteUx5aWU.IpFACRpBpaQHWiNFgP8gS7Sa	52	2013-08-02 20:36:43.273925	2013-08-02 20:36:56.614359	24		0
1502	10iogqxparol1va9hhyl52hkkq	$2a$07$c8afWumsftYCYxI47TwU0eYa6//P6xGjUItsr3ROvIH/Z6/6XiU4q	53	2013-08-02 20:36:43.297494	2013-08-02 20:36:56.752733	24		0
1503	108gclqf68dravqg2b4xbiufzs	$2a$07$z2hNzD99449ltDYDqvpBD./T6ENTxgpdhcmtsDC6VeMvnuVYEmADa	54	2013-08-02 20:36:43.320023	2013-08-02 20:36:56.888517	24		0
1504	10y4yx8ta6gyo4rqg4s4l1yitg	$2a$07$GqFW6q1V72lzB2NZAILSIefogwPd4pM74adBTKZs0pP/BeDpzxaJe	55	2013-08-02 20:36:43.350594	2013-08-02 20:36:57.289903	24		0
1505	10leimcpsuh9bt5la4busrrebw	$2a$07$SxXDYBhfN1.MljT7fWT4VuiZUjfEn6dArFrBVGS5nXAkDKZflLWKC	56	2013-08-02 20:36:43.374974	2013-08-02 20:36:57.631013	24		0
1506	10nzthth113ee9duvs9si99k4h	$2a$07$C0DAx1zUZi3DDODuhkXLFOz.PvPSjWCPTl0pVbBf8.iH2Fjz9g6iO	57	2013-08-02 20:36:43.39634	2013-08-02 20:36:57.984013	24		0
1507	10l6aycaoaijbfckmzpsr66ywu	$2a$07$Sc/15g19d9EQEvExy3Gr5.rGjq7UlEPwy4/Qv3Tx6/KJ9fF3jTOqS	58	2013-08-02 20:36:43.417818	2013-08-02 20:36:58.19087	24		0
1508	10kk3olvbp3jy0edc2i3uuuyz4	$2a$07$TfeZmvByvs/oBI7i6J/2GulYD/5tZSA1rSWuj5z4DWyDLUx7fdCWm	59	2013-08-02 20:36:43.439291	2013-08-02 20:36:58.391048	24		0
1509	1049dm2veepjzddcattdvwbo6z	$2a$07$h4dTSgaCkC.dumydi0gnHum980JJVzwt3O/uG58QKzJB2fjzCsnNm	60	2013-08-02 20:36:43.461609	2013-08-02 20:36:58.658467	24		0
1510	103cwzfb2kslpm6glxap260e9h	$2a$07$DYSUnLFRkeenH4GPwQqjROdUEigcqJEeb.3QhGr.Xx6/COEmQcida	61	2013-08-02 20:36:43.485707	2013-08-02 20:37:01.410692	24		0
1511	109lie5014wkaovwwcd685v8a5	$2a$07$4QJLegUZ0a/qhspniynjuO9ygydZbkXc9ZCHeVeuaXTKO0oOCpNWO	62	2013-08-02 20:36:43.518074	2013-08-02 20:37:04.401269	24		0
1512	1000b29zpba4m4oyhftslz11jx	$2a$07$ghT/LUrIS2Hmp7fVwn/Lhu8WoONie9BEAIDrZMKHSJRYk4Z5BTF.S	63	2013-08-02 20:36:43.539916	2013-08-02 20:37:07.524396	24		0
1702	10keeeq42vahsdn8ywntrium0q	$2a$07$MB22Yv27SPUGACmU/aJgj.iphNUe/NwbHTWF51q8y4aLYpmXwT8Hm	1	2013-08-02 20:56:42.121718	2013-08-02 20:56:43.669205	28		0
1703	106ppv3r7bch0vh3khvivcaqxc	$2a$07$rZZVBzPIHAYSr0Xk/mWIzeVmCg78oqlynkdLwcOvH3C8EmJdQlhvm	2	2013-08-02 20:56:42.148916	2013-08-02 20:56:43.799217	28		0
1704	10bxhc1xs2umltkvgox7q4l95o	$2a$07$ruyci6/2Nh8rUz1oPrm4AOhHb9O3zGcTqyqb9oXmCRP9iRlg0grqq	3	2013-08-02 20:56:42.18922	2013-08-02 20:56:43.937574	28		0
1705	105gsd6nj3ums39qsu807fibjj	$2a$07$t85G8GX2KChw.Whh91yPTOYIpzaJ422qijaQDLFNpcl56k93lH9Ta	4	2013-08-02 20:56:42.225368	2013-08-02 20:56:44.174022	28		0
1706	10bw4nnh3e63mbkf9h93jegrww	$2a$07$58QEHYpBBB7VOeoFxgY34.Ka//0hOv55T/XLJsQtf7.JaKNSQpPMK	5	2013-08-02 20:56:42.246856	2013-08-02 20:56:44.375636	28		0
1707	10u2rj5l0z4zrdddkccqfbnogr	$2a$07$p0fVdS6VEPFKAdmpwvW7C./Sv98y6T47PXs741ZkCkHfUQ0aj5b3C	6	2013-08-02 20:56:42.268336	2013-08-02 20:56:44.6697	28		0
1708	10wbcrmdlr5hha5fpl68ku6pns	$2a$07$XUEyq7yPSFSz18OcfwFILOq3S3j2Dg7320isfHlKACPzFwqBT9bOq	7	2013-08-02 20:56:42.289742	2013-08-02 20:56:44.796926	28		0
1709	106dh9tybn7ou8z86xfm3zu7ty	$2a$07$1ySIHxgxPC3IzhZQgfqoMO0NMFYMDuiO4Xulfnk7Tg/YA9zni2WBS	8	2013-08-02 20:56:42.311099	2013-08-02 20:56:44.909719	28		0
1710	10kl1psc4n04e47nh5c0qsa2wv	$2a$07$I5uWjO05vLke.wa5aoNm0OPy70jIQOzosEtMU5eZd4Z9/Qq6EFZm6	9	2013-08-02 20:56:42.332569	2013-08-02 20:56:45.046154	28		0
1711	10ev528wdhfd96pe7vl0fk1yf7	$2a$07$rubz6kFB08EJz5A8Kb49oeokfWn.WZMAR511lkJq0cfnGMmaZ/mGu	10	2013-08-02 20:56:42.353857	2013-08-02 20:56:45.178434	28		0
1712	10mexzk97rp9d46cyaiaxfclyd	$2a$07$/fYshwkLswqwnvlmZ7QkoekRDJNGK0VapbAu/ClbRN/NR279aqeY.	11	2013-08-02 20:56:42.376291	2013-08-02 20:56:45.311323	28		0
1713	10xvbkz87xm6thkbocxl0lmbs3	$2a$07$FwSza0zM.cVfWmIOLvOQW.JQe3Hhcx5ATcQ8ygjxn6hlsxQzxSL4y	12	2013-08-02 20:56:42.398009	2013-08-02 20:56:45.448957	28		0
1714	10newa5j6pbhg5izhjc8khnezv	$2a$07$XsGrBKMOXUzw8ITd9mP3ceLVkbmFXXhTsznseTsyx0wdCe5ASRgZq	13	2013-08-02 20:56:42.419527	2013-08-02 20:56:45.814832	28		0
1715	108yxdfwmv2mup3wrz3j061bsx	$2a$07$XnXExkhgbF0WYWap5.7lfO13C/jNwv2TZqtEYGlbaT4kbuAODrFxq	14	2013-08-02 20:56:42.441052	2013-08-02 20:56:46.153494	28		0
1716	10jy9xncq4cclk5q7kxqgt13hn	$2a$07$D5DZu1MAcV.QAY3iO31piO1ZKzixsg/3RP.ZrpYCO9O6lYUeVlxxa	15	2013-08-02 20:56:42.46257	2013-08-02 20:56:46.523205	28		0
1717	10vh68rdu30f2ioqkiqliloz59	$2a$07$hpBEIQGx/MZ.VWFMeQ4HyOrNp/h0sWDrOKTtY5nLo5N1MUqUtPEy.	16	2013-08-02 20:56:42.484257	2013-08-02 20:56:46.715947	28		0
1718	100jmohzsxgbez3zzazql8fcaw	$2a$07$mzQws0vFEYCwZiJHzcolz.fV297YGts5FSboRBrJdFSm1uGs6C89K	17	2013-08-02 20:56:42.507233	2013-08-02 20:56:46.931413	28		0
1719	10i3zwvcg77r712lxzj21ul5xy	$2a$07$Dx.9FzQ243KmiOSPTQDZR.M6ZaNXoRG73LYb22dorg4t5xoPNePPi	18	2013-08-02 20:56:42.528642	2013-08-02 20:56:47.292079	28		0
1720	102ofqcd8h82cgp1bnzng5ksgz	$2a$07$7/IZIRVwVyAPe2Ceqe3A9.1Z3NwM9n9kjafyw2IUYUe0fa5QdzOAm	19	2013-08-02 20:56:42.550011	2013-08-02 20:56:47.660753	28		0
1721	10y1eps1zylysuuj7sclcnordz	$2a$07$BDEGRgNjSGKtkMjU2uucPOBo9klGD8NJYuB40dJaYl5PeWHTTMiU.	20	2013-08-02 20:56:42.571693	2013-08-02 20:56:48.01448	28		0
1722	10olm555ok6ianrjdwarbhomee	$2a$07$OMEoRit4yCNaz65MKXUnOupsCeW2nTTVt78L3CaXmAFZTFx1d6Vl.	21	2013-08-02 20:56:42.592995	2013-08-02 20:56:48.384469	28		0
1723	10u86u46u3g1qd8u2b34fg6oln	$2a$07$iqW2YHlhTZ5oiMkWyQoiQeV2Jb6OZGCH.sXQWgWxTvDm/yuGQGmwi	22	2013-08-02 20:56:42.614389	2013-08-02 20:56:48.755804	28		0
1724	10g8hey4alchebyf278jgkmhq5	$2a$07$.AWjT0wvkrANH5gneCv/EuARz6sB7gYXaMUpbsVMvKrm7G1RwAYtm	23	2013-08-02 20:56:42.636099	2013-08-02 20:56:49.137828	28		0
1725	10vp3q81nub7hzzffnsklksmu0	$2a$07$MRj8tHHnceH4aBdkbbXkY.No1nnyBJKidDHOvO2JwM28aG0ohGZBq	24	2013-08-02 20:56:42.657736	2013-08-02 20:56:49.235519	28		0
1726	10vjj7aqkk0z8crmmq4gu6tpcf	$2a$07$SO320NQpR.3EJFRUmBFzLeftvhUAoighw6sJnDUbUCxqP7HfJ4xlS	25	2013-08-02 20:56:42.679477	2013-08-02 20:56:49.578958	28		0
1727	10ido9kxs6apbh8oplp29wu5qs	$2a$07$J1GNm7ZAmxZe1VZeSMYT/eAnwikiMZrakUc73extkEzTRKBJvk/pW	26	2013-08-02 20:56:42.700912	2013-08-02 20:56:49.794278	28		0
1728	10e7vqlq8q1ydpd88tp1xiv1lb	$2a$07$62rUK9l2LmuETaInenW18e5vUZUeDnsGGltct8TiZ012kIqFu/Vem	27	2013-08-02 20:56:42.726173	2013-08-02 20:56:49.969667	28		0
1729	10fy7iqr56n6hdu8nbn9inm4w0	$2a$07$D9wA1nTJSoGT5MZ5ZERl2ul.Ral2XSV0Q/u/zJVSON.rR6NqENomK	28	2013-08-02 20:56:42.7505	2013-08-02 20:56:50.332218	28		0
1730	10krk2b5c84o5vub3gfcgdjiwh	$2a$07$2XNVkV71JvRl5B.h5lqdseRnMOgM9V4jud3C.qjdfw/a8jPAqcmUm	29	2013-08-02 20:56:42.775906	2013-08-02 20:56:50.711509	28		0
1731	10xmc0ndgdnnhcfuz0fyla2642	$2a$07$BNBShyCWPtLg5XA9aw7X3uJwlR0Aghd1qpqN.DEgugJb4qOC6/GIq	30	2013-08-02 20:56:42.808743	2013-08-02 20:56:51.067653	28		0
1732	10aygy7gqwbcwchmoprrcl8noo	$2a$07$zcn0SsoSufCNbDDH/boF4effoRbIzFUXImsYv0RDfZOAz3htyVbLe	31	2013-08-02 20:56:42.830257	2013-08-02 20:56:51.201675	28		0
1733	10mr9gp2svjxrb4nizobwhzu1l	$2a$07$WguOfcsaPMZGSDei4kFL2O69SDQTJrAKPBbuYjTvAKGlucSWEgPcy	32	2013-08-02 20:56:42.851828	2013-08-02 20:56:51.330646	28		0
1734	10qb88zwou28q42n7lhblrl6s6	$2a$07$bdhaOcuwimr.Nev0ylY9ROlxh3fq9SViZhxx2tlp3kWjuu5ca1l3a	33	2013-08-02 20:56:42.873599	2013-08-02 20:56:51.453482	28		0
1735	108f3irknyho7o0q0tdapq0w88	$2a$07$9WZ/ff3JrPMZcQrxWErgMugtAu8aRpqb2MKPr3ezjl/Mgmg5fl20G	34	2013-08-02 20:56:42.895214	2013-08-02 20:56:51.579636	28		0
1736	10l5sflv02y7bh5xwxdaw4sw8r	$2a$07$ZzSygo36tnEnHOyymShFCeVNe6mTwQGHDF.DdLiDKZxvrps0/MSEq	35	2013-08-02 20:56:42.916673	2013-08-02 20:56:51.712347	28		0
1737	10kffikyi3mcpl0t5zpv0uh89s	$2a$07$VQnDpAuKThsudVQqEp4brOaZXEYXsOBqGXTvW6ViMNxDrBwqhg9wK	36	2013-08-02 20:56:42.938581	2013-08-02 20:56:51.879317	28		0
1738	10zarnfjhaiunwf01hfw0xbowc	$2a$07$6QKMGPkSpfk5F5DkL7OcfeZnq7R4ezOz2PBG/xjeXn40mLqlVeqWi	37	2013-08-02 20:56:42.960196	2013-08-02 20:56:52.230295	28		0
1739	10dovreszomhigzaxs6lvgp742	$2a$07$TF6MpO4s/Apgxh2jEIzkGOk0uNlgzlHu0xRnCC8Yhx6Iu2H35Lcgm	38	2013-08-02 20:56:42.981986	2013-08-02 20:56:52.454174	28		0
1740	10nbj3qljzkbhbtdxwgosuisd3	$2a$07$HA0m1cnOIaviteyAjcwhK.H2E9PgyZbfBL2skdLuCvi/rZjV5e6Ee	39	2013-08-02 20:56:43.004662	2013-08-02 20:56:52.584374	28		0
1741	10io4vpbnro7wh05gixy19hidc	$2a$07$ADLITmYQwg.Vsad5eKsb3upxLmXKWzqeIO0DZjyM92aUFTrCXZk8.	40	2013-08-02 20:56:43.026876	2013-08-02 20:56:52.956065	28		0
1742	109j2q5wzgg4mxugxa6olh4kov	$2a$07$cd7Q2sd/UXgThTni1/Ew2.Lww2tw00SvSY2M.8MURlx.nTBKiu0LC	41	2013-08-02 20:56:43.048397	2013-08-02 20:56:53.317086	28		0
1743	10w78tbha90epilr9rlqnt1qnq	$2a$07$tfS1.3Z4ruBAxnagJenVzO5ZKEI0.MlIl/Jo.AaCBpPAKrXoP46fG	42	2013-08-02 20:56:43.070207	2013-08-02 20:56:53.672404	28		0
1744	108sateply2hyxrdpb9g5dkrs4	$2a$07$zp0xXt5DlkpOiCbK73.JoefR853v0fhIa8NhRMOsw7TlgFwBJG5Va	43	2013-08-02 20:56:43.093268	2013-08-02 20:56:54.009633	28		0
1745	10200013yrp96bot6nwuf25nqe	$2a$07$C1xCJP.NKAG1f1T8Ro6nSuY9nHSfLNw25SBiBBxvV2T9zKB.G39ra	44	2013-08-02 20:56:43.116227	2013-08-02 20:56:54.361166	28		0
1746	10t0dpiapgm2ji215qnnz6upkj	$2a$07$jPXWDsneROlKyHxTcM4FS.TlGvco6ZySBXjIIlNXFw8uhMaEicZri	45	2013-08-02 20:56:43.138546	2013-08-02 20:56:54.720928	28		0
1747	10mod5kpn7p1hc8du3do6o1r78	$2a$07$OMZoqe67X.CjoV7nADX3h.A5tfvICYQbHhvx97HqH2B0c0E9kbWuS	46	2013-08-02 20:56:43.162108	2013-08-02 20:56:55.09279	28		0
1748	108xc9xf5c4vq5vr63uh58xy7a	$2a$07$WzkJwyIdYq3.iC/Useq4XOE9bOrpXumjXbySmdEA15A3zxXSGchIm	47	2013-08-02 20:56:43.183718	2013-08-02 20:56:55.458595	28		0
1749	10bs6zj7aunspb8b0ro6g8zsdi	$2a$07$mnVwoollNR0lBd2bV.e/9Ob2mpAKilnKnOKXjXuzCjj6mhCfgszVC	48	2013-08-02 20:56:43.205287	2013-08-02 20:56:55.821481	28		0
1750	10azui6dbfhh7z0py3nmmcl680	$2a$07$nnAvO1Z8aTUuFl14LbQJL.P2k3jUu0d8KzkyOfrDRvJWjx4itFwiG	49	2013-08-02 20:56:43.226913	2013-08-02 20:56:55.965332	28		0
1751	10ycwe3jyjea3d38c3sx13gs83	$2a$07$ofrCNG71lYf0Mhy9H5rQ5OrF/9fWpW0mK7yAqBhNj2wT3DAWmDtuS	50	2013-08-02 20:56:43.24839	2013-08-02 20:56:56.105849	28		0
1752	10qdxnne583skzvmyrv4i9iuhb	$2a$07$u3uKlXZAtk3m3ehfJ.JoLeRRrsxRaZv/lWP1Oxp6z9FeCHsr9IDUG	51	2013-08-02 20:56:43.270289	2013-08-02 20:56:56.224998	28		0
1753	10y0umvcuh9tdjjcxigz6zg5xw	$2a$07$O2HrWP6DMesH8CnWBa.PtuXa68TrCvaolBYj.O4rj4AymYYrAbVwu	52	2013-08-02 20:56:43.291614	2013-08-02 20:56:56.596605	28		0
1754	103dgfjpc8baii0al3eod556ox	$2a$07$zd..O0bKjMQeYiFd4vsyFewqtIZQ01Bz/8W492cUwM3o9RHF5.jga	53	2013-08-02 20:56:43.312956	2013-08-02 20:56:56.968427	28		0
1755	10d6zztiedb970hydk3gjcuqn2	$2a$07$q4MF79zBBIZ7V8H5r/HM2OKQLbLelKdo4Zrhez3KChW/hB97sInQ2	54	2013-08-02 20:56:43.334541	2013-08-02 20:56:57.312793	28		0
1756	10kkeiog7rmvd0ii2f3vr02azw	$2a$07$KV.eUOJ4AiliFXdKlGbRAu5o4K6CpO68/QUdInv.MvijsB7RBGJAu	55	2013-08-02 20:56:43.355877	2013-08-02 20:56:57.684143	28		0
1757	10obiy0ds2i612xvzj7xymyd3q	$2a$07$OLTd05fqgZU9VVEevkxXgumrQh8pK3T2BcM3/KskHGmwD.f9lSM1m	56	2013-08-02 20:56:43.377462	2013-08-02 20:56:58.040905	28		0
1758	10tbnf7t4wqp7w0zigxjvuxz8q	$2a$07$1MvwPYo2sA.vAeBueFfHV.Ua9/Otxj0a5dGRnk6shI6VZ0WRLyJWC	57	2013-08-02 20:56:43.399022	2013-08-02 20:56:58.387314	28		0
1759	10dn65pr9ss483myfnqswbpz0n	$2a$07$fi64lt6BLj4cZRY2/nfUtO2i45xQUkdaIjq/CtthrDeBnzlpoGIWm	58	2013-08-02 20:56:43.421132	2013-08-02 20:56:58.748137	28		0
1760	107augq8bp9lea9iwhamvgev66	$2a$07$uedXHDdwfpbrtFAbx7YonueuARuG4BRSHb053b4WG1YFxf7/.RZ9O	59	2013-08-02 20:56:43.442897	2013-08-02 20:56:59.095718	28		0
1761	10prxoqpmmq3q8l0aislw8ceqr	$2a$07$GyQ5JZgvYGkwbvvL.dcq1.cMs0knkq.JR70jN2XC3ruMnjaKes332	60	2013-08-02 20:56:43.464771	2013-08-02 20:56:59.239595	28		0
1762	10dut1n0l7ytqb6wv7bjq6aajz	$2a$07$o5boJ0pGd1L.HpuWf/hbh.B7KIfG/3wwRnau2v9lUzLcnoxRDpDAq	61	2013-08-02 20:56:43.486115	2013-08-02 20:57:02.174572	28		0
1763	103i100isrb3z5fdl7bbftmcmk	$2a$07$cUu.5xKJWxgXSxYlLKoLguLmVV.URG0yTFOXjqhdjAIed6y6zCMG6	62	2013-08-02 20:56:43.507636	2013-08-02 20:57:05.262796	28		0
1764	10ce5epse8ix7eqeewiq86h3gl	$2a$07$1X.QQb4WHxJgbL1GYBCkz.dCP1aZbkMtbkK04URvxA13k0vB6q82.	63	2013-08-02 20:56:43.529018	2013-08-02 20:57:08.46509	28		0
1513	105tq1cmig6iaw7bbez3tsq26f	$2a$07$4KnxuxBoev7HgrmHcL9n/umUDF3i1Z4ISOR29ylqfGBzUe3AdaYcC	1	2013-08-02 20:41:42.112108	2013-08-02 20:41:43.783144	25		0
1514	106vk980u7l4jff4f272hijmeg	$2a$07$9yNFbNdWyLYJ0Yts9Y8e9OUnP3zn.dJM5lMqIXy9djuC0bbUNWOIG	2	2013-08-02 20:41:42.137182	2013-08-02 20:41:43.93025	25		0
1515	10y7gfj5lcs0ycwzi8d8ai2xwa	$2a$07$qi60zkqn.vswQ3UPF/dYaOey.wb2dz6WzvGuXT5BilRpKr0Dn3LOS	3	2013-08-02 20:41:42.165926	2013-08-02 20:41:44.076452	25		0
1516	10mekjidf01y9jruu2h09j7705	$2a$07$G8jIbXx9furPwoXWysas1eTruthyw2ehTetTL.yUlHxVA0.3txyIW	4	2013-08-02 20:41:42.20228	2013-08-02 20:41:44.448103	25		0
1517	106mo92rmav7e8g2gkp84141vj	$2a$07$lo07af4f5IGKh4KPpSGpL.4oN.9vwUSP8MwIZbmk9ksdgme8st1oi	5	2013-08-02 20:41:42.234086	2013-08-02 20:41:44.836679	25		0
1518	1047395v1hsok3ia53kada2120	$2a$07$nUVnFr.IYV42mj31sqXvyeriNVmpwW5SxLYs266k4cLT3Xs/Zb6vu	6	2013-08-02 20:41:42.256627	2013-08-02 20:41:44.972722	25		0
1519	10wrwci4tvtt6xmd1te36ok5bf	$2a$07$GZwtUpFRx8AAcPT223isau1D.acqJuWzJpcj9vAH0Lz6LptQzM4aa	7	2013-08-02 20:41:42.278076	2013-08-02 20:41:45.107653	25		0
1520	1019nnw3yjqpk8t56nbzb5vboj	$2a$07$.cmbDRdlQwqPgThT90QaEehV.Cu3Juuk3fypMH7bLLoFNnkX2ixaO	8	2013-08-02 20:41:42.299705	2013-08-02 20:41:45.254059	25		0
1521	105kkdxxby25nxtniec1a3q9gc	$2a$07$dVe7NWyx6s9ZYh93snru7u50HSGuBlSiRVDIVIXMDMf/.AsXKk9qK	9	2013-08-02 20:41:42.32289	2013-08-02 20:41:45.393344	25		0
1522	10gmdt1x5kjnvnyf63iqo1ag24	$2a$07$JFnGTuHLl.NYb6dsdC4SEeEaiEZA56XGWBCWC1DhqJznjNwSYOsqK	10	2013-08-02 20:41:42.344495	2013-08-02 20:41:45.526285	25		0
1523	10e1rnot7anv662m0bdeuvwzoh	$2a$07$HQzWq9MLPZtO6jgVypI/8OXP3mKcTfnPGmXn5bPxBpyNhtOTkKqtK	11	2013-08-02 20:41:42.366043	2013-08-02 20:41:45.664187	25		0
1524	101a63hi93qr19wt51y2atahx7	$2a$07$O7Ruz0MU8DcYz6.CMySUsePq8HawIoGhZu2y1Ap8R3aRahEuQ53Xa	12	2013-08-02 20:41:42.387376	2013-08-02 20:41:45.783301	25		0
1525	10r5sqwqyjl7d4ty4x6msnll78	$2a$07$IVwZSgJqPoasyEt61IWfhODzhKXhkABQ16tZc83Tv744BCJS9nL4y	13	2013-08-02 20:41:42.408806	2013-08-02 20:41:46.122894	25		0
1526	10f3vpvoar4vu15fc67p22if3x	$2a$07$o.ZELGJwHL8o4Z/RSbXvKO/qra16Q.Q8vAM8P.0ryiLtK6btwJHOm	14	2013-08-02 20:41:42.430284	2013-08-02 20:41:46.487999	25		0
1527	10aygi56514c2vt02qcec9lgis	$2a$07$C41z/gIsfnlfCSJtw/suq.ycIs.b9VufUuU8EWiJu/JZJenSNLunu	15	2013-08-02 20:41:42.451867	2013-08-02 20:41:46.854143	25		0
1528	10hru6wnwxqisauyy6fjl8qops	$2a$07$wZSZgI8LPGo7G3BHHB2hSe3H.0wguSssDVFXVDlT2xfhAJEnz1ID.	16	2013-08-02 20:41:42.474462	2013-08-02 20:41:48.096458	25		0
1529	10ajekqwvzwpadenrb0tdmz1g6	$2a$07$uS92nP6POBWvDWLIp0gyUO.Pdr0I5QR2oNQ53.byXBhu5w9UAT9mm	17	2013-08-02 20:41:42.496053	2013-08-02 20:41:48.251082	25		0
1530	10gvc74tak6fn2xiy00sgrough	$2a$07$2Zu6Cim0aB69CY7VB4oHWuQIQFaXpGo.VNU4QQbzkyy2nRfztvo4e	18	2013-08-02 20:41:42.51768	2013-08-02 20:41:48.485115	25		0
1531	10pxa8rkkrybnzy7vkj847v37a	$2a$07$e6VlX.j8PGMWnllOnt5gPecjvLOGY.hCTFiCgiOMfeHehBS3V.YF2	19	2013-08-02 20:41:42.562253	2013-08-02 20:41:48.629619	25		0
1532	10fiy2jeo0b0cc71mvlmu4q4kb	$2a$07$slCsvCqUcnIdsUUaBB1zA.v0Dux/PCJG0JGUcDtRAUXQ4jltHLZMu	20	2013-08-02 20:41:42.583758	2013-08-02 20:41:48.842878	25		0
1533	10lvv8fw08sa7nid6h4664nipb	$2a$07$dCRxAFFrFZJKf47417GcfOW0ekK4Qwa3CKGElmLWoNs4.rPjqdbdS	21	2013-08-02 20:41:42.60577	2013-08-02 20:41:49.209436	25		0
1534	10es08zr48izt96civ0a7w139s	$2a$07$t0Kv8D9x7FkRhZZM/5gO1.j5G2l/tHMZmBIutUFUWYuGH9trsNaOe	22	2013-08-02 20:41:42.628511	2013-08-02 20:41:49.345571	25		0
1535	10902jayumyku1oa9chtahtmr5	$2a$07$SJ7lPUuV2M9KM8nzw3c4FO70K01oP/2kT56f2BKSW4l0rYqZSnsaq	23	2013-08-02 20:41:42.651639	2013-08-02 20:41:49.483158	25		0
1536	10idg9wityae3peaz2qaf2wly6	$2a$07$6D1Bf3dpSswix5KSevhoeOJNtYCV0rD8MAx4eCNyeOx8lPnWiJa0m	24	2013-08-02 20:41:42.675635	2013-08-02 20:41:49.618117	25		0
1537	10jyk71pdr9iyls7u4c1dhy9y6	$2a$07$AeML4aXQSpN46HYwQKE9uuzb.g.hzyagO5tf9Vd2FDjTkZ8lQ1LPK	25	2013-08-02 20:41:42.697771	2013-08-02 20:41:49.987531	25		0
1538	1041id58fhg2tuph6x96y27efq	$2a$07$Mo7HzxvujxJI0BLVdWY4EOx8Rxl5jFs/f6kw8jNd5xbkxzWEH2Leu	26	2013-08-02 20:41:42.719904	2013-08-02 20:41:50.212861	25		0
1539	10nrd6zcrhqmju0bf6h6l5wm9j	$2a$07$iTIynP/zwLCK8C1pbmNkq.TD9Twk5ZdCQjz045ZZUJEinzghHgY3y	27	2013-08-02 20:41:42.741333	2013-08-02 20:41:50.406686	25		0
1540	10455btze1boulj6rwey4q1o3v	$2a$07$Ty.IISxC3T/GmTNzQ5eqoOPM2zjf1mQnqaswROmBqX4GkQq/BlGke	28	2013-08-02 20:41:42.762814	2013-08-02 20:41:50.775305	25		0
1541	10tf08kmyywjxr3texjxs4oa5x	$2a$07$kk6h5LhLVdAwwjKPoSRiiuAGGGi/yKBF.By6NhiHuhwz/Jf2JZyLC	29	2013-08-02 20:41:42.784105	2013-08-02 20:41:51.141948	25		0
1542	10uh715l7kyeqwtdlta7llosm9	$2a$07$26dHdKUq8h2OAFbIJ6ldVe4.yN/IRlX4kze53DzGZJw54Kh6W1VHW	30	2013-08-02 20:41:42.805543	2013-08-02 20:41:51.500531	25		0
1543	106ae5ig67l95izbsblvkgbi79	$2a$07$su7mRSaPBHpvXeEwS5E4SenL1pILerTlNQDgA3kaDO3RqTZhx0Kf.	31	2013-08-02 20:41:42.828683	2013-08-02 20:41:51.632305	25		0
1544	10uovg3h66qg735f7h2zizlna2	$2a$07$SE5RWlxkuoDXQ7JNj2fpUuuwcbYhynNA521x.5Wn606BJq45dqI0a	32	2013-08-02 20:41:42.860188	2013-08-02 20:41:51.768183	25		0
1545	10tolxu3zk98iycja4xzjkucr2	$2a$07$SWXShsdqyXQXw03C.UvqTe.JxhPHd.w2AIzUXbBATm5BHTG8RhDjC	33	2013-08-02 20:41:42.893641	2013-08-02 20:41:51.911181	25		0
1546	104msqd1xai7q691ex8401ocew	$2a$07$sm8fdnpcFNFcSpJoplPlxu30B2LUC1HQ7aBCkdzuvekAgTfWYpRHm	34	2013-08-02 20:41:42.915317	2013-08-02 20:41:52.03777	25		0
1547	1007vb0wpqr815jklvxh0sph76	$2a$07$2k5kRieW9E2/jNoa9Gf7deZGh6iUf9A52k3aP0XC2rrfKbDr6lTEW	35	2013-08-02 20:41:42.938195	2013-08-02 20:41:52.172158	25		0
1548	10fu9bharq0u7idfiaa2opg1wj	$2a$07$CaW6dwwuOxOweg5zB4u0huclo4MJcC.L2zJhpSPZFNIBf350kR03q	36	2013-08-02 20:41:42.96043	2013-08-02 20:41:52.351313	25		0
1549	107w6q5plp546rw72wib2kosjh	$2a$07$.OZ0NcVdzOG9HF8joECBa.2mJ2PSQw6gQXcCfX/gsOCyiHsw/qZxy	37	2013-08-02 20:41:42.981802	2013-08-02 20:41:52.666463	25		0
1550	107hi5fw7qi2o3vbffbzywmenu	$2a$07$FKzQkWAjRDJAwHEip6Zr/ebGFi6U/pLMReL2UPfsQJ3uXWTuyBsN2	38	2013-08-02 20:41:43.003135	2013-08-02 20:41:53.029597	25		0
1551	10npqog3vo3lhm3cknapkqd1ip	$2a$07$is/eWVjWNRWsWM8v8BlF4ev8vxtMHU.Wme2aVZOIPwJLV5Idy7CAa	39	2013-08-02 20:41:43.024826	2013-08-02 20:41:53.342917	25		0
1552	10rugvfrbb9kc2m7altif1ftlz	$2a$07$W1rNpa6hAyjoOONVcL/t2ermaDwxFP52ludCLS1QbNCvhzlWostP2	40	2013-08-02 20:41:43.046283	2013-08-02 20:41:53.692368	25		0
1553	10vpxkck6iby2l676q7wb5zcny	$2a$07$9TgmW4N5iogpfz7fU99Bu.1E0x.IAKDJx.2YCWZtUvXzKvM5UPjli	41	2013-08-02 20:41:43.067616	2013-08-02 20:41:54.060754	25		0
1554	1040pjqdeqjnhgc1kbcpq7vv88	$2a$07$H4Yjblu.y02hNc4sS6O6ru7cSWSdXoPkhxGU8Q7eNSPH6iZswGDAO	42	2013-08-02 20:41:43.088987	2013-08-02 20:41:54.44794	25		0
1555	10xj2wc13drefkrnqah2inr963	$2a$07$.Tmzdci3jjSSQfFPWbB9ouR8Y32f.Xg3KYZomGjG6mmlN4wwz2W/u	43	2013-08-02 20:41:43.110305	2013-08-02 20:41:54.817567	25		0
1556	10nuvgyh6ehf7ck0oxs9d3ieam	$2a$07$T3NxcMi/Q.Ux.xwjetQP8uPsahcFGy.uSpFRYVf0nqxpI6x/Y3lrO	44	2013-08-02 20:41:43.13376	2013-08-02 20:41:55.175081	25		0
1557	101nqo6kfn9z2sty7727vrxfsw	$2a$07$ibh31XNMv8BkS2TmOQTWCOA2Fz4yDZE9DYLCYBuYK6QwceLP0Tpf6	45	2013-08-02 20:41:43.15602	2013-08-02 20:41:55.540979	25		0
1558	10rmuwif83d2zrr44nqpxjdz1o	$2a$07$q.fmCmBOTsNrvr7gQZZomuEjaEUhPmojCZzZoCetgsd2jvihPESqe	46	2013-08-02 20:41:43.183101	2013-08-02 20:41:55.940839	25		0
1559	1002r1tn4t4ml15h5wsjjnqjjr	$2a$07$k8RFaJsSIoW5wGOFnyITCOoGwjR4eLrDliRgMCTYCGL6DiqtYzxi.	47	2013-08-02 20:41:43.204605	2013-08-02 20:41:56.324884	25		0
1560	10lu8es930fc1jakz4q492xlxz	$2a$07$iUYRmBNz49L2z31QdVhNCOeOEEYqdu8XFYzyekBb1VbRt3L6BOrWm	48	2013-08-02 20:41:43.227565	2013-08-02 20:41:56.698523	25		0
1561	10v0anmtq3orazrf20vdzzdj55	$2a$07$Oap.NmNuz6ArHv3FvS9Al.qlBC62iqncg4tuhTf0MFbZj9wYPa4AS	49	2013-08-02 20:41:43.259369	2013-08-02 20:41:56.900353	25		0
1562	10p4cajrn8779vbudljgqxehgd	$2a$07$K4Ph04KT719su8bSOVybAuuib8dUmANNwSiT8fQp8cB/bTrmFv4lC	50	2013-08-02 20:41:43.293437	2013-08-02 20:41:57.082405	25		0
1563	10nz0xnfu3nt4e8ujhbrtd35n9	$2a$07$2fICm4UMls193ZhyimQV7urnz03/WdbTJ1GCTB6b1KrXQ4J/kcjQu	51	2013-08-02 20:41:43.315667	2013-08-02 20:41:57.327759	25		0
1564	109akqrytaoj9yuuqh5mq1smp0	$2a$07$d.jxeRHcPwNbhuc22uYgz.MAPInw9JZbaINh6TeZw59cpb7pj4lE.	52	2013-08-02 20:41:43.337793	2013-08-02 20:41:57.69503	25		0
1565	10h9hbfrtou7o1re4wh50g51b5	$2a$07$S/GPHem146yLAnGsD1ScD.XU1OfW27CjKt5Vj7m/EFGa/kG1WLhKe	53	2013-08-02 20:41:43.361979	2013-08-02 20:41:58.059589	25		0
1566	107wkq8y979stgp7trb6lrfbjm	$2a$07$5jRUYMgiiCcFVESq3H55v.PSxUCHCr2p8lR4snSNIJrPzKUBowUfe	54	2013-08-02 20:41:43.398169	2013-08-02 20:41:58.418115	25		0
1567	1013bs9wgaoe0gdhcidy7csqqr	$2a$07$JDT2FTo7MrArN2W9T.YGA.ue/6opWTfxzx2qEip3R5oPC5OkLdHZC	55	2013-08-02 20:41:43.427396	2013-08-02 20:41:58.782213	25		0
1568	10g2ztgqzq1qm95pwkbunaw9hz	$2a$07$OlOd0QW/5ayC4fk.4bvsZOatEgyoI2vOIdoJHL3RIjsy8iP8MANda	56	2013-08-02 20:41:43.44915	2013-08-02 20:41:59.152909	25		0
1569	10e0f40jmx9gyvippzgyzcso7z	$2a$07$eEm.lZ024sT6Dz1.7noPyOS09QGr2Pj91xnVzF7/dMuUa7b3TVLWC	57	2013-08-02 20:41:43.470477	2013-08-02 20:41:59.516921	25		0
1570	10y9xwp6o2z5vi0zzoxtty9fwr	$2a$07$JGyCMHBCaJtJatOwDeEjbuNGVEXfR0KgZUA4WqH0NQjAA/Xltk2Qi	58	2013-08-02 20:41:43.491954	2013-08-02 20:41:59.881435	25		0
1571	10jqyp9g6s83ztwfzqv4ziy4hy	$2a$07$L2IIKpAQT5.3AVuR9gBXKueCIeH6.125WFikTLyVgxmgbb1H5PqAW	59	2013-08-02 20:41:43.514284	2013-08-02 20:42:00.154711	25		0
1572	10lhor09fjj703elqwn6834oxa	$2a$07$ivYgluLEvrvq2MVkZ.K6WuamarT9w02A6oGxUxTEkFM8sJcIJFRFW	60	2013-08-02 20:41:43.545361	2013-08-02 20:42:00.310956	25		0
1573	10smerfkagcbv4r3hvottapf89	$2a$07$6KGIaI8Dc4bFMjpQKUM7HeoN3o8VOBOCx1.MfIP6LM9YbainytFGq	61	2013-08-02 20:41:43.582651	2013-08-02 20:42:03.164818	25		0
1574	10qypjxujas7f7ol24blzllr23	$2a$07$MaXQ..fH2kcFlf6ja1qMU.nXz.Ym7/jyX0UyhTy24iZXSYS3hg2Xu	62	2013-08-02 20:41:43.613028	2013-08-02 20:42:06.302065	25		0
1575	10rkx5pf6o17flz7r0d37nt2u0	$2a$07$feixYd2U5Xe4Vko9uquwfOYbRMsBOGcpcUvgvqGFZMFvN46U9Y70W	63	2013-08-02 20:41:43.634974	2013-08-02 20:42:09.206975	25		0
2080	107fyhchsx0mi1q28nbn9ev3fw	$2a$07$IXd5BRL9MNqajJICvc83k.JQmNyG0qOhfKCACy3rEPmq5eRfUrQYy	1	2013-08-02 21:26:42.063772	2013-08-02 21:26:43.670461	34		0
2081	10n1zcp4qcq7clcqix1ebrp4w3	$2a$07$FKNbHL8Oy9b05dt37U6qWeiO3AEUYQ9De68TmCC/HoC6DvQiU/Nim	2	2013-08-02 21:26:42.092914	2013-08-02 21:26:43.813263	34		0
2082	10fjsr513qly8769o2ne7b2i4x	$2a$07$D8UclfKIbMmAWebxa2PbKO3Hf7BIMeKcLiGP74iq.4jF/uhG8Q6uS	3	2013-08-02 21:26:42.114853	2013-08-02 21:26:43.948737	34		0
2083	108xhru3688n6bahltie9lep6x	$2a$07$gsnSFW4UXKYFa6RQP7NCfuGtc61Ub7CK9Z1l4XloMxB4OInHAOw3.	4	2013-08-02 21:26:42.137645	2013-08-02 21:26:44.28043	34		0
2084	100p7h3gtli15yn5z155gonuhp	$2a$07$Dv.GsG8rfihisSzbGnct8u9WPD3.Eih/B2dXRxjZeY9EzJlAU6NVO	5	2013-08-02 21:26:42.159464	2013-08-02 21:26:44.444144	34		0
2085	105qf01twyxwuqgxjwu9k22a3d	$2a$07$coxaftX6uA8ZuP/8YoWTM.4c4lwy9A1N5AwZZDIBWrjRqBflKWdm2	6	2013-08-02 21:26:42.180977	2013-08-02 21:26:44.793233	34		0
2086	1033p9tdx1nr8h9lffejf2sf6v	$2a$07$lslsUEkngbQpfbQ.6GCFHOeKCPudSAjAcz.zMzdybY/lQkyRzi5IG	7	2013-08-02 21:26:42.203118	2013-08-02 21:26:44.927451	34		0
2087	101d6fmoticv020pqcw592egpb	$2a$07$CxFX3nX9dxRlEEAOdWtY3udx544sosuDDySCJGfQCXWuBjhneox/2	8	2013-08-02 21:26:42.224721	2013-08-02 21:26:45.058313	34		0
2088	10v0jxxcc9jaxqwd3whqvsh5yh	$2a$07$b98KOHak3TiAuiNJZFHc6ecAEaJmySSDRAJyK1gYrqoS8vZA7j2gy	9	2013-08-02 21:26:42.246111	2013-08-02 21:26:45.188027	34		0
2089	10gzdou25qplylr44vmbwcl3k5	$2a$07$xzqZQDMpsdgbTgsz24hOuuISwR44GO1mt0kM9xRkhcOTuo5EwqcNy	10	2013-08-02 21:26:42.267572	2013-08-02 21:26:45.325028	34		0
2090	10s0k625xhtqh57oq6aata73k6	$2a$07$E.UPJ3OKQgylGI6fQKDENeBOXmU.hVWYnbJQ1JUZ7cm.xENeloR62	11	2013-08-02 21:26:42.289296	2013-08-02 21:26:45.467561	34		0
2091	10g8wrbwh1251ebkhrg4a0dc0b	$2a$07$A5XwP9bNPDgYjHyBk8Ic9OCQs9CUnDM1hFhF8r9fsUOLLDzUmnXPy	12	2013-08-02 21:26:42.311248	2013-08-02 21:26:45.605105	34		0
2092	10nsk7wwnlj8b4kr234pcvyz46	$2a$07$3.tWblSrwYSMY2aWZa3FpurU9fVzaLqUV5pqm2TdqV/7ZZHcibPRe	13	2013-08-02 21:26:42.332867	2013-08-02 21:26:45.974533	34		0
2093	10d4opjt9vvb2k4r9yt7amg1q9	$2a$07$6oG/6f6KPtlpL8ZFljGzRuGP1tcPwn6lLBm/lbPImsU2DaQ7DcCCi	14	2013-08-02 21:26:42.354446	2013-08-02 21:26:46.333995	34		0
2094	10apyg15ywbswj5xn62cy8xwsc	$2a$07$FGP13KnimhxP7e/Rgn1/6uXijiuiBqRrwdxmqKLSZ8q/u225MSwcG	15	2013-08-02 21:26:42.375984	2013-08-02 21:26:46.700929	34		0
2095	10yzsojevk5t5peltwqmzrtrk6	$2a$07$/3CYve3yGUova.5kSnMLueAb/svq4dDzhLRyalTFFJtbNgOtLNCCy	16	2013-08-02 21:26:42.397823	2013-08-02 21:26:46.849053	34		0
2096	10rc58qx84joe76cm4d39u52rd	$2a$07$.wuXr7qHcK0yf2s4e8NrhOA849.hEU0vUZQ53uGfq9D4Dwh/GpmVK	17	2013-08-02 21:26:42.42053	2013-08-02 21:26:47.218882	34		0
2097	105jnq1ik94dtonpp69p85mdwd	$2a$07$/ZYHkQ66ausUqcVEBrIIfOVZHTkmm8foXrCfyyN02VMJ4NnVanmQi	18	2013-08-02 21:26:42.442453	2013-08-02 21:26:47.396925	34		0
2098	10tfunhv86cxbx6jqhmcnc8wqj	$2a$07$BLOl3q3ZQAaOLsSmVrOQp.2kfIQIYq6sifVmo2eGEm0a1pPQW67gK	19	2013-08-02 21:26:42.465738	2013-08-02 21:26:47.531694	34		0
2099	10vfs558hcrvcm6b1dpfupb8ha	$2a$07$EabeE1OecNRb49F3Xdyvh.LUdpwzdLxoTrTV/YU4YhDs5modv5laW	20	2013-08-02 21:26:42.4884	2013-08-02 21:26:47.669252	34		0
2100	108i70r3f5ejs9mq8yif2mqy6u	$2a$07$h97sfcPLPKk8bIvDS5F.I.DXcWQ7vY/MmWPzfU5Nyir13Ikzfcrt.	21	2013-08-02 21:26:42.51044	2013-08-02 21:26:47.8061	34		0
2101	1062ofw3t043pz72r7f83096z8	$2a$07$loi.alHyRpdu8b00X4rEJ.zQyz9esOPc3j2AY3GtZCyRB8wTfO.ny	22	2013-08-02 21:26:42.533867	2013-08-02 21:26:48.177653	34		0
2102	10zxefx327ixw7gc43n61xgxat	$2a$07$k7VVrrMZBm5cSZ0mZHpHo.QmrzTmUQm/R/VMmg03iwnM7aAMZaG4q	23	2013-08-02 21:26:42.556802	2013-08-02 21:26:48.539437	34		0
2103	104mfhfpe31hti9uu3828o7c4m	$2a$07$r7MJ1bj.JW6ReGM6Fzvn0uhSf0uw1i.lLZMMqIaOtxyD8Tp89neXW	24	2013-08-02 21:26:42.579749	2013-08-02 21:26:48.791557	34		0
2104	10mispe9k5hw149uewqxdo2nen	$2a$07$M4NBZsIfhihn2Hk6Lp3hHu5J6veslVKcjEbNDhRsIISZB/cjtKQhe	25	2013-08-02 21:26:42.602166	2013-08-02 21:26:48.929066	34		0
2105	10cvw6pu5x0ipmbia7igt4r8pw	$2a$07$bo4STDpdenrOV9kY75RbbO1qEcYhfdtfL0hUx/INK6h2A1k6hTmH6	26	2013-08-02 21:26:42.625088	2013-08-02 21:26:49.13686	34		0
2106	10jr9nhoolj2tor0kk8meal30u	$2a$07$Ridg7AN17ApvW5sR6xF3S.9BriumS.jSdIKa1xh8JxofZrJ6W6DWy	27	2013-08-02 21:26:42.648017	2013-08-02 21:26:49.370435	34		0
2107	10uuaj2xh8widrebryn3gh0c4v	$2a$07$57KS24pihsEYX4.vk3uuueg/oK5x5/7TNAJjuKeblL6bRdpHtyqa.	28	2013-08-02 21:26:42.671207	2013-08-02 21:26:49.727449	34		0
2108	10b7p6xon4rv6ut5nbt3z1w1h2	$2a$07$qklTZHQutmd.42Uv9cWsWecXTtqfv8f/KZ1tLrCSznxZMQtHPGn8.	29	2013-08-02 21:26:42.694233	2013-08-02 21:26:50.086701	34		0
2109	10nrahwlerj783ikugnttoktgd	$2a$07$l8D0EIoCHRC6WqWu2J1/vuqQH4T9Cs9iXQ1QYRzsoVAoyVcKf1Nv2	30	2013-08-02 21:26:42.717178	2013-08-02 21:26:50.45898	34		0
2110	101fz9sn8l4z7m528w91opyxve	$2a$07$9WAgUKWoAPEfuwt.te9UM.K/MPxPvLKYDM1g8YAVMg37xlQmbO6VG	31	2013-08-02 21:26:42.740447	2013-08-02 21:26:50.589876	34		0
2111	10447ufhjvm11uapjvkus09635	$2a$07$dSq7ykmzP2HImyRVupc0FeoXo5JBSuT342w2I2OGoT2OOsPloCNEe	32	2013-08-02 21:26:42.764142	2013-08-02 21:26:50.706107	34		0
2112	10ygypiy6bndqtx5es0yptdgya	$2a$07$buxxD5e4tdVAGnubhj.2GOVKzBCfkN7UNpu1OkdCtv0A9AqDKuwfq	33	2013-08-02 21:26:42.838896	2013-08-02 21:26:50.840492	34		0
2113	1031op6ixj8nggmsff4etecmnt	$2a$07$modVeWIUirMt0fKfqKJUnuf/tr.rKeyDUY.y2DPbp6DZwVjURreX2	34	2013-08-02 21:26:42.863691	2013-08-02 21:26:50.975769	34		0
2114	10itrzf8penj5uzip5yw9koz8q	$2a$07$DfNUkEuIRRep.bTi8Dn5.OS90pqVfI1d75j7DvusLka7SedmysN5K	35	2013-08-02 21:26:42.88556	2013-08-02 21:26:51.10717	34		0
2115	10d07pqq69rdsrda4e6g1jzbuh	$2a$07$wb39bPOcOg1KtibcaeBhPeSiw98R6/9F2XvWKA8mfiIeXCEVDe60i	36	2013-08-02 21:26:42.906965	2013-08-02 21:26:51.238286	34		0
2116	10bi6hr2wtvq471hk5gec8ymj6	$2a$07$7inD061J0a/laZvT5Nt98.Dr3cYeS4Ieiuchjti3T1eEAQhDccFPW	37	2013-08-02 21:26:42.928812	2013-08-02 21:26:51.610324	34		0
2117	10n3zuyhcen3lxgv0qx7mmwkvj	$2a$07$xrh0eHWpIkh1mfV7KMazsOw4ZgkmdTIixkf5iWoG94DrMA7hMzaLK	38	2013-08-02 21:26:42.951405	2013-08-02 21:26:51.973191	34		0
2118	10yeauqfbiwvnp0nk41pylunzw	$2a$07$iOS2SHtGIpq3enSqQlQq3Og7A34o2alXhb6fNlc9zCeCziBheB4iG	39	2013-08-02 21:26:42.97333	2013-08-02 21:26:52.175592	34		0
2119	10v85h2j24v55rmwa6to6tjd3v	$2a$07$0SYgkQhhnECFMYJ6Q4j7l.UonYlG4Ut25LO1St.Aq/kx93Kx7RQ2a	40	2013-08-02 21:26:42.996528	2013-08-02 21:26:52.522728	34		0
2120	10j053szo72m932jw1f7yzt8el	$2a$07$/mUuvP8.ziXObKMMMmpOVOe5i8GmSOHW18Tb4FnRJFQuei7h3CBr.	41	2013-08-02 21:26:43.019836	2013-08-02 21:26:52.874267	34		0
2121	10hblg5hfeihg218u3ngopihfv	$2a$07$/kWpAhMXHm0wNn8xInEf6Ow0ZCBObFigduiyJJDpwbwAKMawZ0jn.	42	2013-08-02 21:26:43.04164	2013-08-02 21:26:53.241379	34		0
2122	10med0nb1u4opre27xu4tjn9gd	$2a$07$nQMiIsYr3HDVDXRc6NSYTefQdu5zcmi7u8Tmt2XWnMOvEaBQMJnRy	43	2013-08-02 21:26:43.063162	2013-08-02 21:26:53.607506	34		0
2123	108y697ow2bwcntf0bf7gxodvi	$2a$07$ASARVJI5C.4nIiyVtWdUCO7.4EvbxS4y4CnTTO8Tq.SJmm4wo9O86	44	2013-08-02 21:26:43.085392	2013-08-02 21:26:53.974971	34		0
2124	10oqy6vbv8os1trj7vp9cjsnak	$2a$07$ByN9LjnjUEFxvcs8HMWybOyK.YtHrPNJ5C/vcaB5p1pqGS2pYPLIu	45	2013-08-02 21:26:43.107274	2013-08-02 21:26:54.322341	34		0
2125	10be0zblwj2xray96w2lmgw4nm	$2a$07$7ORh3HLrbO6OK.c6PHv9TuTRRIqkNIOJ7wO/UTtrWYpZiE9v3rmvG	46	2013-08-02 21:26:43.13054	2013-08-02 21:26:54.676594	34		0
2126	10jepbtb3nik7bmnkz09qq64e4	$2a$07$o8ov5fLm3p/rG2a7iAenDeNNFtpNUwf/jGt0.XPkTmti2BX50EhUS	47	2013-08-02 21:26:43.154577	2013-08-02 21:26:55.022161	34		0
2127	10amlrxysnfe51qud6qtkk13kc	$2a$07$aY3NApAHiFB7r4shh.hjCOV0aQLYfVMXZrknOkwRdm/BnlQgo9fea	48	2013-08-02 21:26:43.178084	2013-08-02 21:26:55.391455	34		0
2128	1088wv1ijfqana8vvrto21ml41	$2a$07$GPiTsThCxYo.yfotHA0z.u36W5ItgHzgFRnhf8Gs74YJb513mfSQ2	49	2013-08-02 21:26:43.200512	2013-08-02 21:26:55.559838	34		0
2129	10cn17ux07cznuuhbi96m49plb	$2a$07$0AR7.iXx/DeKQGkpOJAqmuPwZJ4s.5x63dQ/7WsS1CpKo13WHARbC	50	2013-08-02 21:26:43.22274	2013-08-02 21:26:55.709247	34		0
2130	10e0dnp24woxwk3fwywirgltwh	$2a$07$BB9HJMDmcJ.lNS1yJ94iGeU2ZdqrQ0DZms4bsSkZ4BA6QL8ZzPiSG	51	2013-08-02 21:26:43.244598	2013-08-02 21:26:55.851327	34		0
2131	10rbxbyod49i6vz5wf46sbv8sz	$2a$07$wFrGpZWDVwWfLSLFt7ttZOiDRxZ51q2qNaQUKfe6NrGm/dtt2XU4O	52	2013-08-02 21:26:43.26611	2013-08-02 21:26:56.212341	34		0
2132	10ivmgggocousvoeswf0huqemc	$2a$07$fG/Ve6WVqi0ux/m8dj233uY2UiZ0N1zAx544Z6piEFjuyBuGeJ8Jq	53	2013-08-02 21:26:43.288733	2013-08-02 21:26:56.585233	34		0
2133	10q2ew5ebn1sbv5mg0l8xco0nb	$2a$07$xsvrLzuXKdTsw0adZbOWE.IHvx7CxHdJ.kd0IO3lkaLLCUlfVlUgy	54	2013-08-02 21:26:43.311802	2013-08-02 21:26:56.934122	34		0
2134	10975jo9k7556ajcstgxcpzu2k	$2a$07$pPUnA8v1MjIJlsI6Vh2FqudgkGJugMXHkUuujICgBTD1zr3JfwS7m	55	2013-08-02 21:26:43.333328	2013-08-02 21:26:57.302213	34		0
2135	10hsguubvghzjw9rfui5vvj47o	$2a$07$MKuSg1OwO8GSyEBZN.odHukZm9sjgpIx/9mUQxzCpxUa.rv7UBtly	56	2013-08-02 21:26:43.355097	2013-08-02 21:26:57.669194	34		0
2136	10iyu4miroeo2jib7ftiuqb76f	$2a$07$2SJ0Aa68ecR1x5Y8b0nA/uD800Y5ipZ.w4rxOxfP8mTG81/vKIeGG	57	2013-08-02 21:26:43.378075	2013-08-02 21:26:58.023884	34		0
2137	10tufdis7cgnwp489vaxug9eok	$2a$07$a9bvIOKOUFHgkGhvQpO2nuMJDKm/uA0CUQ9O6NN/HZzQimD8yxj1a	58	2013-08-02 21:26:43.399535	2013-08-02 21:26:58.355366	34		0
2138	10djpbj5xqlgq3m9kebl3isj84	$2a$07$p9B3ZK8XjUNo9g1J1W0zLugSfGJeVXDzBwdbpmS7W8vtyhf4ZihTq	59	2013-08-02 21:26:43.422847	2013-08-02 21:26:58.719798	34		0
2139	10dfaa6yye26c4t8o4euvwo6rq	$2a$07$BH/X3c7wH6IKZ8ozFbQUmuOyOFCfmQtsech8FJc43bHPf07m0UnCO	60	2013-08-02 21:26:43.445653	2013-08-02 21:26:59.080935	34		0
2140	1060yzer9n1s57g8fupoez3cx0	$2a$07$5s6Wd1UF8glNVDL/3sBe3O0o41pOIjiTf705fUJnO0rj74y7c2rLC	61	2013-08-02 21:26:43.475992	2013-08-02 21:27:01.928732	34		0
2141	10gqr1wuud34t66xo7pj34ftoa	$2a$07$feG70kkoy/6HqeBbQOwy9uoAJ1Fl6dCXypUsPWw4qJdn00.IODQCy	62	2013-08-02 21:26:43.498081	2013-08-02 21:27:05.191806	34		0
2142	1073rmyolcetgk3eomaa5pi4d1	$2a$07$cAlUSdEoZrLhIQK/Ff7eC.1gn4TqhISwxmuCh6Lx3wvgOauAt/jse	63	2013-08-02 21:26:43.519975	2013-08-02 21:27:08.19203	34		0
1765	109cx9oh0oqenb9pbon9x1mdba	$2a$07$/JQ4FLlyakyhqoU56aGODeFw.nohx8VhLrZm1tlt3Jz1slCIUqmDi	1	2013-08-02 21:01:42.029064	2013-08-02 21:01:43.571626	29		0
1766	10tp0lwq0iodtrfexl0iefd1jf	$2a$07$vISdKJONOIp2rVtSv5KK..PbWXgTwhjCZSvRvwxR1T7Rytlbf5iNy	2	2013-08-02 21:01:42.058204	2013-08-02 21:01:43.674161	29		0
1767	101uovip9bt78ptvfc2a9byjx5	$2a$07$sRQEJ/PFNvnUpw8U4QdmTO5j.d9dE9C.kuY.3BXKfOo.gKuQiJ2We	3	2013-08-02 21:01:42.081416	2013-08-02 21:01:43.774757	29		0
1768	10iuxz001efra1qopa6bxjbvhx	$2a$07$ubSLxjEQZcPi3jxQdW9k8OTsy58IHp8h4deYmctBXilkMQl8KSpTe	4	2013-08-02 21:01:42.104912	2013-08-02 21:01:43.882018	29		0
1769	10xwb9d084q4vtlhbedvjm6uvb	$2a$07$vlhvBABqtiv4cYOknGmHeewaVy9zcFmINz4rRjIlohmE9cudN5dqa	5	2013-08-02 21:01:42.133229	2013-08-02 21:01:44.014361	29		0
1770	104itifdvjg96s3pk66yrpes2v	$2a$07$s9z761qKnMcQpujDjJzkfOfnXg5fm9fG/xieDWyouhB22iJlYBqu2	6	2013-08-02 21:01:42.166014	2013-08-02 21:01:44.317555	29		0
1771	10c82k6gn2rzqgkzwnfd1swaj1	$2a$07$Er.WakiF5hrx1J3E30x9rOdx3vip275pGgYlj..wOSeIXlcxy7qB2	7	2013-08-02 21:01:42.187919	2013-08-02 21:01:44.425161	29		0
1772	10seadm37oiw5mpzql5cr8ct3r	$2a$07$3zKoTXeub4PGm.3wFjyQmuo/wwYiyI4MGkOrmG9F0xsDR/zX.6HGC	8	2013-08-02 21:01:42.210527	2013-08-02 21:01:44.546918	29		0
1773	10jpqp0nqfgs2gc5vjfrhe4azf	$2a$07$bsk4eDvMYuwhssWyxuO09ef2sFw4T9zpo0iRoouu7NVqhWLlj/28C	9	2013-08-02 21:01:42.23204	2013-08-02 21:01:44.682652	29		0
1774	105zi0mcsjs6in189qgtzh5qd0	$2a$07$/gi5juzEBtrjbcIt4D/fsO3azkDqdcJoT3TRZuvSytmznJDylqXiK	10	2013-08-02 21:01:42.253599	2013-08-02 21:01:44.817109	29		0
1775	10xwcu8nqm30b57z72xezk28lu	$2a$07$J6Zq8MMKEBfuYx5.T3fG.eDAWSB7JOoRyu5QQPbmmDyx/XeQV60Li	11	2013-08-02 21:01:42.275008	2013-08-02 21:01:44.955966	29		0
1776	10upx75bozrp6msqsdijgjigt7	$2a$07$YaqCXQCVEIv0QTDsgFUmOeVqJV9.k.XzCCYeoznH3x8jXSJwi3wcm	12	2013-08-02 21:01:42.296422	2013-08-02 21:01:45.089959	29		0
1777	10rwowifd3zsg2wv6yhq57chqn	$2a$07$4OYiAitU0Hzck/uTOBlwv.rJj27r1dqdYAGYJLz/MC36T0bmABwjS	13	2013-08-02 21:01:42.317807	2013-08-02 21:01:45.458162	29		0
1778	10gztfvwzgj5j5zo8pf0dge9ye	$2a$07$qzbgANSYGDdszfXF9Y1hMOoPE1xAppCxZZ6u5/jzWoae24qbJ6hvq	14	2013-08-02 21:01:42.342303	2013-08-02 21:01:45.819203	29		0
1779	10zwf42plqzbsgf6ylgsdm9cis	$2a$07$jtxT4eI/AFrWbpi8bhYqc.H99Fpfk84fRMPXdSHvXuA1rtBw3VTRe	15	2013-08-02 21:01:42.364678	2013-08-02 21:01:46.194648	29		0
1780	10wcs5em7g3t10svlavdfvysss	$2a$07$SZAzVCt3bkbpcxMcMzh1tetbBS0yrInnU2J9PKkqtThnhuA9OrXLS	16	2013-08-02 21:01:42.386698	2013-08-02 21:01:46.577234	29		0
1781	10oeeneonpimovcltg2qbkfwg4	$2a$07$r2FwdPHFFWf3ui70H6cckuYScBY636XqmlD2izaFqB9azK8S9KZk2	17	2013-08-02 21:01:42.408285	2013-08-02 21:01:46.744273	29		0
1782	10dsac3v8fqofxhhh12c98y3hk	$2a$07$2nyytGQeaHqq1P/Ch7j/9uMyteGV7T9Ai/YIQByYgCvatU.eDN4K.	18	2013-08-02 21:01:42.430086	2013-08-02 21:01:46.906715	29		0
1783	10f0ff80ad29z86sri4bnvdows	$2a$07$dyFK1xWZ2vXwrvbLDcrYwuaIWlklbEZOizJeukO6OPl3z6JmqqbzS	19	2013-08-02 21:01:42.451622	2013-08-02 21:01:47.310997	29		0
1784	10ozkxf1ogy371087jqndiw4m3	$2a$07$omHHDgKUxyaQU46aBuldBOQJHbIGM4eBzsqlNdIKl9gtup30JvN92	20	2013-08-02 21:01:42.472967	2013-08-02 21:01:47.671774	29		0
1785	10he9nqbdf7ijzxp3v5u4p1c2k	$2a$07$9rLg0y43J5L1IZJtMbtW5u/Mg1PRuYTsgZT8PwlpZs1R8AKeRPdDK	21	2013-08-02 21:01:42.496006	2013-08-02 21:01:48.020073	29		0
1786	10578f0j7coixghpvkc40ddu7d	$2a$07$Z18bjmQvifKar8K85Ju2O.JjwLhZV2bQV9VukDo2ADMw4hPwagaGS	22	2013-08-02 21:01:42.519166	2013-08-02 21:01:48.349415	29		0
1787	10qd3ylfsix6e779hfmmslp4r5	$2a$07$1mNVGrMugqZw/Nl2kZY68u4JZdbULDbNst5sZiBFFxOWbx7GGcqi.	23	2013-08-02 21:01:42.557605	2013-08-02 21:01:48.562138	29		0
1788	10edo2ze4fuz3z1qzis4v6qpcj	$2a$07$6YHoBPqVr6oA3MUDF8EsqOxLSWsDAGDa2p0bEVS/AVId5Iiss7G3u	24	2013-08-02 21:01:42.584065	2013-08-02 21:01:48.737668	29		0
1789	10s1mjueb3c6rfp0iuu29bqim9	$2a$07$M8cl6pybgvf3oDUMjAVPW.srief3GmOdrv.DUVSQU3UV4T2okg1pa	25	2013-08-02 21:01:42.60594	2013-08-02 21:01:48.964807	29		0
1790	104lmu5lifvponn8m641bl6bci	$2a$07$amt.zONDCjCD3.ZlJVIUGu1BqnquY52urE7wTs5gBHlxE4zJmfy/u	26	2013-08-02 21:01:42.629534	2013-08-02 21:01:49.190165	29		0
1791	1004s80q1d9s7uswwy0iz3dlwp	$2a$07$k9HasfHxxcmydAFtDfvncunlvjDp3uHCRZ44dnHTogaz8c0Yxy7EG	27	2013-08-02 21:01:42.652427	2013-08-02 21:01:49.507882	29		0
1792	109dad41yfnc71vlov7hlaxqlx	$2a$07$u1sgx7T.DlRJBjN6QfxHy.J9afazh7vx2gkWAJDId2HEhqpq2fjUW	28	2013-08-02 21:01:42.674072	2013-08-02 21:01:49.878345	29		0
1793	107i7rsr668wqs68p4gqtia2jo	$2a$07$jt8s6twYRfYiQ0TS8RLxbO2cho/10RW3PdX0HhBLuChiCbNj62ClK	29	2013-08-02 21:01:42.695834	2013-08-02 21:01:50.246467	29		0
1794	1041m3iegnkznfdai6v7nhq6is	$2a$07$HsH1XkgTAroKcVhPMvv79e5psJbG7JIUgGZOo2cPlbU35hxZiCWkS	30	2013-08-02 21:01:42.717337	2013-08-02 21:01:50.613135	29		0
1795	10wqi5qmaa0he6304b9rjwy59t	$2a$07$0Io2ezGMXkfe246po.IyYOzEAbnezOreF570mdWz718Orgu1cjtLi	31	2013-08-02 21:01:42.739145	2013-08-02 21:01:50.730433	29		0
1796	10twn0jsws8c8deklws1aexx5z	$2a$07$g8bWV0K9tue63uxhBM5VXudp4odw8bb65PGWBmxQRqmM7KVaNW1bm	32	2013-08-02 21:01:42.760966	2013-08-02 21:01:50.866006	29		0
1797	10kdzute0ycdrob5jsshzkmkiw	$2a$07$wXFO1m2qBbEQQmsfBRm/MuNtRbXA26irc4Zag2YzCp.X8uEv3ID9i	33	2013-08-02 21:01:42.782898	2013-08-02 21:01:50.998379	29		0
1798	10lc3x48p3mpk3q4jkrmzzpgba	$2a$07$OH/QhIeWL2W8m1Wsv9Phs.WxchEoAeichaKalW6/xM2..1F8ux82G	34	2013-08-02 21:01:42.804335	2013-08-02 21:01:51.132715	29		0
1799	106q86097e6i6amedcfq2mpqd0	$2a$07$LfQKrMjbLyUkhg/tkHOOg.59ygOnCPT4O94zsZrFMBSvt4cXdjKpi	35	2013-08-02 21:01:42.825795	2013-08-02 21:01:51.270536	29		0
1800	10poqqy7gfliht0caqhfb2f04v	$2a$07$79mVm0RT6a8xdyA6tHz.be15E7yjqOD.Xr9Vi64Mu79fL/rdZAviG	36	2013-08-02 21:01:42.84934	2013-08-02 21:01:51.400735	29		0
1801	10sbnn488snk157deiqjhxx7lc	$2a$07$8iCqxNABGYB.GZTIIBoJGe1BKlahJOF3RaNfXAzK.jWABUxN39yda	37	2013-08-02 21:01:42.870955	2013-08-02 21:01:51.757364	29		0
1802	109lty6m6xrsq86a0nulc9qp8u	$2a$07$l.LE2DE5HPaukuzBHqS3hOcr9WWZ7gVgVTuy3XGbZ94VBIP9R1X3u	38	2013-08-02 21:01:42.892836	2013-08-02 21:01:51.950407	29		0
1803	10gclo3tp4hg6p59hfkkrwpyf6	$2a$07$gIocyMF5bxTZqAAKTnr3yujhGldgmcaFMtdZZAv8v0PqdTU1qUXPm	39	2013-08-02 21:01:42.91468	2013-08-02 21:01:52.133349	29		0
1804	10m3zhy3cqjb90uep80jjd1rci	$2a$07$O/Rm3qLyR/Lhs7Dl4sXxke/DyRnKVNiKxjB7SayNCeNGRbZkzIBtm	40	2013-08-02 21:01:42.936224	2013-08-02 21:01:52.500338	29		0
1805	10x5981dd3fysm26mizfd5t3me	$2a$07$XmCME1nR/BKo7zbL4fdLEevlPmO3G/8q6sJcVklQLfIqqytzMX1/2	41	2013-08-02 21:01:42.957762	2013-08-02 21:01:52.861872	29		0
1806	10wf5qlc8fpfd7gco3x4onfvyn	$2a$07$KVJxaR1Yvwtex66qpLmULeL5TEf/W6oCwRxrMHweBB25TEaK6H3D6	42	2013-08-02 21:01:42.979143	2013-08-02 21:01:53.230908	29		0
1807	10viiy45l0e24lj56rihbq34xj	$2a$07$z2ut68fg1JBdz87waVX0P.ihXURMe8Xzd5PikkXKfaf48z4rNtL8C	43	2013-08-02 21:01:43.001382	2013-08-02 21:01:53.594274	29		0
1808	10vh6xqjnfr58jnhemtp2iathb	$2a$07$sxZTZSxwN0CUm63ey/pmkOocyd4ny8YlmWGrScYdFm8I2pFJaRveW	44	2013-08-02 21:01:43.023157	2013-08-02 21:01:53.943831	29		0
1809	10lnh1u86rcsryd2g5zhkatzof	$2a$07$SSKe9yJ8ay/a4iATrQGLqewYpfMpCygjF3EUYHqfvHMlw4s0cRpVm	45	2013-08-02 21:01:43.044574	2013-08-02 21:01:54.311727	29		0
1810	10l1uu2w1ouc0djyea40igqaxo	$2a$07$UUwjUlSCBiPrebHAi72YDuldKt0RJEl8kNF9ZAV7d4ekK7gCTAmw.	46	2013-08-02 21:01:43.066094	2013-08-02 21:01:54.694835	29		0
1811	109zzp171rvkedal5ng5l62i3f	$2a$07$MUL9E1mjXgJwry.yvSchiugW.zrgEUm5AROd/VacCiVxFEdchwIMq	47	2013-08-02 21:01:43.087745	2013-08-02 21:01:55.046773	29		0
1812	103muneo080whx8uendu5ldtl7	$2a$07$T/.Osq9tAHDE1.T60t5/BetYhBZ3el8gpRb0zoZNB3Y/.126mkOdi	48	2013-08-02 21:01:43.109249	2013-08-02 21:01:55.42218	29		0
1813	10f8t8clif249vsc2js7shi4m7	$2a$07$0QGJHwvztGmnvMORpdeTIujAa/cBpdndNtJr4/53UCME24oX6u/KO	49	2013-08-02 21:01:43.130591	2013-08-02 21:01:55.5845	29		0
1814	102mvuowdtt7ajv9kr7vq48u75	$2a$07$omXFAyXdCAoP68l887My9e2rZbHgysu55DMMGb24PSo8mYrp.LAIa	50	2013-08-02 21:01:43.151857	2013-08-02 21:01:55.75093	29		0
1815	10vdw4w4i3mb6htrwq10hpc8ne	$2a$07$ME3CyBOErl/l7.SX7HdJPugfUsETHPazmbzz69UKt5JYomuDTpkAq	51	2013-08-02 21:01:43.173578	2013-08-02 21:01:55.914645	29		0
1816	10s2u2zz76pnhrytc6i38ryuv6	$2a$07$z2DpN/kd1mhEaTiDUviKtub4AbP1ohdclO1EgfovwZCBHDJj8lz0C	52	2013-08-02 21:01:43.195655	2013-08-02 21:01:56.136509	29		0
1817	10fjr7qmijt6oe6n2w8d46n3kb	$2a$07$UCXFeWYb4v8DvEb6ng8WxeTfoz97CU2jxz8I2LY.DdACa9fOwpVSG	53	2013-08-02 21:01:43.216999	2013-08-02 21:01:56.251473	29		0
1818	10jtgr6vpu9b25xuaooeluqa3k	$2a$07$wlSx5NEQ/gGQRWnH/92M2ef1wwXihNtPQ8MAzQh/nyd5F.AYmL3ka	54	2013-08-02 21:01:43.238448	2013-08-02 21:01:56.358405	29		0
1819	109x3g07m5tchvg0tdbyfaoxq7	$2a$07$IUv5H9KToZhgY.b0mpYNBuiBoJprGEmte9Uccm9Mt52/Pu44eaToO	55	2013-08-02 21:01:43.259936	2013-08-02 21:01:56.704977	29		0
1820	10fr3rco7ztfkh40a8kqm7rmas	$2a$07$YzuPxYU8Q2Ak8lwI5db60.sRHAyJa8tWPu0KEIJYzoqk/ODR0/4/O	56	2013-08-02 21:01:43.281745	2013-08-02 21:01:57.06808	29		0
1821	10lacx4vn77yfxedirv6ee8hck	$2a$07$gQuFQpnrD4nM1QqIBvcqrePXs0c.YAQPwBc9D6HBgj.SObQfToUYW	57	2013-08-02 21:01:43.303232	2013-08-02 21:01:57.433715	29		0
1822	10205zv03o6lu83k6wbx2nk9m9	$2a$07$wJ6RoIXNEdBsFo8PKC2Vh.KjropzgKbylbdB6rgIZIkXZKfGwejJG	58	2013-08-02 21:01:43.324819	2013-08-02 21:01:57.731993	29		0
1823	10mv0h61joqi895g67o419fvs3	$2a$07$b7h08r8ytExLWAMz.zZAUeQ9SwsySbZSSbqpx8fvnDTN286BWVgcW	59	2013-08-02 21:01:43.347385	2013-08-02 21:01:58.091201	29		0
1824	106hgl2a5w4cytyigv3xskteks	$2a$07$sew4hlafM2SqVrnenHBuaOdd5pzrP8SVtXgPSohKzueTkqQMAuRFq	60	2013-08-02 21:01:43.370581	2013-08-02 21:01:58.463929	29		0
1825	10mqt56o2s2tx1my2yja9foglt	$2a$07$Ps4Ur6mubWOzjvK9MtMs5uQKtCLvff2XyeDUfthxnoA3p.ukC8POq	61	2013-08-02 21:01:43.392813	2013-08-02 21:02:01.237757	29		0
1826	10or7nh7xz1dfdglqo3kczihm3	$2a$07$MLVrmN2p4TZEkXXXphXYpuQWj/DFUrtF8DMlaP77.pOSWt7NXIud6	62	2013-08-02 21:01:43.414746	2013-08-02 21:02:04.351151	29		0
1827	10sk4licuppy9ssvj8sa6lesul	$2a$07$Uzb9sSQbsdlMimTpXNhSOOJjmCs5PJmJ7ohO3OJMnqlTloFMLbgwK	63	2013-08-02 21:01:43.437365	2013-08-02 21:02:07.458142	29		0
3277	10179v3giowuuu0rzgbugwuvyc	$2a$07$3oASsm5USh6gIjo4qu4bSOYPUYylh27IjlS55ovcKUVAKWLRJTAK.	1	2013-08-02 23:01:44.031873	2013-08-02 23:01:45.732476	53		0
3278	10py1eke8p3ihottgsc2wl5sat	$2a$07$UkpKm7zGK1CQOZTz4Ch3VOWysRCPAOg2LdTBudzQsg3l80AslVpYe	2	2013-08-02 23:01:44.060596	2013-08-02 23:01:45.942984	53		0
3279	10cbjrxsd0jdvds5jcjsc5n909	$2a$07$CoiPgjOe8YqkwfJt2j6tbOBK6DttFhoCbU7mCrU9CRetWL7L/uImS	3	2013-08-02 23:01:44.083229	2013-08-02 23:01:46.214111	53		0
3280	10pyom9kl5n3tjh4b0w3ckkdkr	$2a$07$PeG9StZ94Zp/38CtcwvkK.E3lxQteLhZWKlbxL4V0Dsjw7n512iu.	4	2013-08-02 23:01:44.104802	2013-08-02 23:01:46.329387	53		0
3281	10am99mygmoeiexf84w1m6w3ba	$2a$07$bZkfHR0K6Inwt8o8lmpxhOMc/oGGHxP0UlstXvkjIAH9Wib.oDeOS	5	2013-08-02 23:01:44.159473	2013-08-02 23:01:46.458438	53		0
3282	10m4hlwhy7l442okzs812sef43	$2a$07$pbBK1UJZcQQcX22rMHs/7OCq3m12.ShbHMMABgkrk5S3LOanrEEQ6	6	2013-08-02 23:01:44.184925	2013-08-02 23:01:46.603585	53		0
3283	10ex1yskbcdkjiwqpf36f7h9d9	$2a$07$DEkRQ/5l0KqUBV4OibddAuFVbFNRXS5CRY9ip3A0h1RQtbtFVhpM6	7	2013-08-02 23:01:44.206688	2013-08-02 23:01:46.81063	53		0
3284	100o3ov7e0iv62lioihhfo5jj0	$2a$07$uc/0CsG7pCDtRHHAGKxyneldh6hQTDcdw1dBRLd4kZk9Ocrj0boWq	8	2013-08-02 23:01:44.228175	2013-08-02 23:01:46.992088	53		0
3285	105sekgxmy947e04tkdrz09yoq	$2a$07$C77hW7UlS09n/Q0QRi2MI.aFiD1vjlE4kF11MTcPUkqEOulvh5vBW	9	2013-08-02 23:01:44.249636	2013-08-02 23:01:47.273522	53		0
3286	10hmhs6ryxm2sv937hbxwwqzel	$2a$07$RFEydcTdDwWhWhdu3HOOy.Z9qq5WCR7fR6FOxwe/42K/9DNcp8d4y	10	2013-08-02 23:01:44.271239	2013-08-02 23:01:47.378784	53		0
3287	1029e3klmh6cjzbxoq8k3tc0rb	$2a$07$FteWMS1YTjOCHf5ILEpvw.vX/ZVUsoK1nG0uULUCf4OC2yGSks6Qe	11	2013-08-02 23:01:44.292588	2013-08-02 23:01:47.496803	53		0
3288	10zll9eosrahc5l0hqq27mn8v1	$2a$07$/Dpo8cQDDf9v5F9FyCG.uuWGnIe8e/rBwA/6lRE07pdemj4HFUNKK	12	2013-08-02 23:01:44.313891	2013-08-02 23:01:47.603161	53		0
3289	1008hv9fxoe3p8y9gh67zdrsnx	$2a$07$.kmGMvZ/4v4psP3HTRwNxu9l1ZCIIW2d09onnBRNf.2yWOEfO63aC	13	2013-08-02 23:01:44.3353	2013-08-02 23:01:48.00575	53		0
3290	10mspgw92ef2r3aacm7xgotg05	$2a$07$PvuPngnac1i1z1L5hqbHTerSBx5A2aCewe103flwhAd6eX0gO4aMK	14	2013-08-02 23:01:44.356847	2013-08-02 23:01:48.404991	53		0
3291	10kcqsnpvfelfcbyn59bzzf5zc	$2a$07$vMLMSMbkpatKYpMZ8FC8pextLHrsFIXVUN7pWtvm8cwp3KoXH2SFW	15	2013-08-02 23:01:44.381634	2013-08-02 23:01:48.816957	53		0
3292	10ie70g2adloxhdedzrncy6upq	$2a$07$zEKkAFknOcx4sgP5Netew./R1MMKlIFcmDxrxZLIJwiBUUU4Aw3j.	16	2013-08-02 23:01:44.403807	2013-08-02 23:01:49.222494	53		0
3293	10n6q32fxgp7q787qiac5h3x5u	$2a$07$qKugk6XKP7wyBnG6cwd/weD1x/iTizfvxTMhGdXYv48BI8wk0BTO6	17	2013-08-02 23:01:44.425656	2013-08-02 23:01:49.564413	53		0
3294	101i0h1j1i0ngai6u6f186b3vt	$2a$07$ac6ZZr4RfsSD8HL/aayBrO6Sskld5r85ZQfM4WWe90tn.GiTtUMGq	18	2013-08-02 23:01:44.447167	2013-08-02 23:01:49.712131	53		0
3295	102w2l5m05xrqtkrl2urntrre1	$2a$07$2PR7acgQcUb/fWyg2uGKger1W1l1oxxeYj2BTZujwTXJwoBeIsxi6	19	2013-08-02 23:01:44.469139	2013-08-02 23:01:49.855966	53		0
3296	10k46u68bhwflctco8l97xgsp1	$2a$07$12n52CiHm4M8czJQfSWr0O7OB1Ct/FRq4SQcLXXxDLdM5NLFrcX/.	20	2013-08-02 23:01:44.491153	2013-08-02 23:01:49.988634	53		0
3297	10c5qe0s2k95k2ov8acr66dtto	$2a$07$0PqZ1yb5cL8CGku4.UepIe4OrTBClU7NLvSxHXIpHB5tuVRMDhgq.	21	2013-08-02 23:01:44.513176	2013-08-02 23:01:50.118215	53		0
3298	104swoosujp2tl17b4jmf43gsl	$2a$07$MrKMhbp8j6BT7cHE9RMIz.gKAl4asWw6SUc2v8ngxWLGgSBijbLu.	22	2013-08-02 23:01:44.534898	2013-08-02 23:01:50.530571	53		0
3299	10wgcxkw9t16jdqnq333e5rgwa	$2a$07$Jd7XruPVNHoSQkRF0798t.cS/0kDwZj7raS0O/DNVcDB2fz7GPiNW	23	2013-08-02 23:01:44.556443	2013-08-02 23:01:50.768399	53		0
3300	10l69n9e5jb10p6kdusy4vg6yt	$2a$07$mfSPlPIu3cyl8jsBSxw3EOISP2uhkYAc9Nsioy2lruCnvvXpU4ARq	24	2013-08-02 23:01:44.577908	2013-08-02 23:01:50.962824	53		0
3301	10s3i8p3t7cmoii1fs6m4itktz	$2a$07$NVwa4tHW288V1Xo9AkEhi.eoSy1yY9YUs13ZgTTRBE6h1diQTfNDO	25	2013-08-02 23:01:44.599524	2013-08-02 23:01:51.375835	53		0
3302	1091468w0fmjrot4wag4qg4792	$2a$07$12ypwIcyR87iggfyhfOcUOzlN57nh2RvSQ2RhSY6TKeqHUIbZ/nj2	26	2013-08-02 23:01:44.620844	2013-08-02 23:01:51.515911	53		0
3303	106jdbdn0c3t75mdejj5rndqt3	$2a$07$dS2/eMZrR9RcLhaQiVtbN.NDvTuWoaNb0is9ojSbuvXbE5Nj7InLq	27	2013-08-02 23:01:44.642302	2013-08-02 23:01:51.685585	53		0
3304	106sol0yzposwsa2dajxpc61ew	$2a$07$BA9zxTJte4ghby16600Wh.W5ibatu9p6psrr0nNJVwE9LRLQGBrwO	28	2013-08-02 23:01:44.664124	2013-08-02 23:01:51.930999	53		0
3305	10lvpm4k0jp1ybo177s6ajs40c	$2a$07$oWKDB4Ac/I81JmbqObFW/usaSMsgyEwwTcEuI9orCHB9XqddbRx9a	29	2013-08-02 23:01:44.686877	2013-08-02 23:01:52.085941	53		0
3306	10ig5bfbvteefjevhkrdkloj3p	$2a$07$R1CatMk84sagM.4ygn0PtuFBnNXssWTU3i8PY6ymiXohpQA582k6.	30	2013-08-02 23:01:44.708364	2013-08-02 23:01:52.368113	53		0
3307	10jutb3nix8fzryjwqd43t6tne	$2a$07$XnNfBW/oOK6CiRCyNsjKA.ntSMWAIcxUsGHGgY0rCiJshvRmRE.gy	31	2013-08-02 23:01:44.729917	2013-08-02 23:01:52.510575	53		0
3308	1062cckvbwz09cdwiifa9ek43s	$2a$07$kjD0VtV3OLEL0TFJH9s5IOmzgYU0zW9zC6o3xCSNeiMjJFOEYmSKy	32	2013-08-02 23:01:44.751484	2013-08-02 23:01:52.637364	53		0
3309	10xjjy8a27n77drfe8z3kg146b	$2a$07$PiB7MCV2iNjAwQo6FB6y9.NaYNZsdvNbMNq84MLTcI8qQCrvJOSea	33	2013-08-02 23:01:44.773677	2013-08-02 23:01:52.773514	53		0
3310	10whyrnssz42zh0rlp19d7wxut	$2a$07$jAWbteYyp2nBFIo63M5VcumeRuIpiSQA7eBQ.WprUZpKoyvaowWf6	34	2013-08-02 23:01:44.798077	2013-08-02 23:01:52.910531	53		0
3311	10vu9vq8nay60xw1p67zgmgdd5	$2a$07$B0RtOWvh08L947WX1/2cUeOevjBIAtY96g.2cH2SP00j1GL89igti	35	2013-08-02 23:01:44.824635	2013-08-02 23:01:53.046525	53		0
3312	10tg0sgip7edqc70f21i7al638	$2a$07$sWUbcf/zUUfBVBzjkB51fuMJ59.UzFasABQMAQg4hdcC4diEiXPSe	36	2013-08-02 23:01:44.847314	2013-08-02 23:01:53.178987	53		0
3313	10skfk1k13o5vqkis6pb2gvpyn	$2a$07$/YarMkeVGku9br/Do9mtdem8kR6SOgjXvBzcRTA4eQX3OT98FCMRe	37	2013-08-02 23:01:44.869679	2013-08-02 23:01:53.580295	53		0
3314	10fbjq2dnjjo8axkd0tp0dzkq1	$2a$07$7sWjZyNd3oJ6xRyJs6h0Kuy0zOKcw1RcXr1uLd3GCqgJHhEhsb37C	38	2013-08-02 23:01:44.892806	2013-08-02 23:01:53.969014	53		0
3315	10s2d55iketz30d8ziwa4qz8gf	$2a$07$aAFiDZ9.PNnLNQ/wcvws.up7MpD5HX9J.oHoGAzMCiNDUJKwO8IYS	39	2013-08-02 23:01:44.915137	2013-08-02 23:01:54.122384	53		0
3316	1054efah0i9iezm8fbu1h5rqbv	$2a$07$6hVcByhq/dsIqCJ.qian4Ocn4CyCYTD5I9JRUeTIjstYTk8zyK71m	40	2013-08-02 23:01:44.938223	2013-08-02 23:01:54.457663	53		0
3317	10j1qmqmg8s8goa62w4ino0svx	$2a$07$Q4sEhcq/kvudv6VhghO0SeM8MUJxUdp5GT5bpsTdqzsqkHZLAXWqO	41	2013-08-02 23:01:44.961935	2013-08-02 23:01:54.547238	53		0
3318	10m3bncvcs8dwnn67jq7towq8v	$2a$07$XdxhkHpk6JsdkqDG9jk0OusPSGUxZxI6u8toqYcMrPgOawLzX0p1W	42	2013-08-02 23:01:44.984092	2013-08-02 23:01:54.711453	53		0
3319	105xj5ex19qof5t9f6c4z5bta1	$2a$07$PBeCW4EwTv3pPgfMdH6ovepxUsbV0qFQQp85SvMX4ZQMxmNXK9JLG	43	2013-08-02 23:01:45.00686	2013-08-02 23:01:55.117966	53		0
3320	10mzhy4xbndhwwdvxumt30v4kn	$2a$07$pOyrbdUc9kNzdDZw9ZRs0.1ItPePHht429UBQtKka.XufPfLeau5.	44	2013-08-02 23:01:45.030118	2013-08-02 23:01:55.533641	53		0
3321	10fadlxhe5j7bo5z8gj8melpts	$2a$07$ZB4kWGK8UEtqLxH5NE65puktqGTsLl7g7aWnqhoxdu79p/jnhdHqW	45	2013-08-02 23:01:45.052972	2013-08-02 23:01:55.685542	53		0
3322	10josc347g6jfcl4qkjnjy6k3x	$2a$07$EOv6kbIxqCqX2hg/yE/57upz2B/IEURYRcR4kRrUog3Lpn2KLSPk6	46	2013-08-02 23:01:45.075269	2013-08-02 23:01:56.065801	53		0
3323	10p6x5vmoi3jpfe7e15dzwan62	$2a$07$NGHsbTqkqOp/ifZ1CmEO4OJeaQiNvi15VwirPoS0iupwex.gXFnki	47	2013-08-02 23:01:45.097452	2013-08-02 23:01:56.443173	53		0
3324	10djkvf3mmvkenlabr5fgl126g	$2a$07$saoH.VdJKegnPUB685u0..17xiFP5ucYFiCb5icnWuvg5Uc8hTxoq	48	2013-08-02 23:01:45.120652	2013-08-02 23:01:56.688054	53		0
3325	10edi30lb25pb2uwbenxq6d5di	$2a$07$aLSvEbs7wp/TjIJn4o1aoud91MSf1sA/Enb6jnvyZ/gAigIMp4TsC	49	2013-08-02 23:01:45.142916	2013-08-02 23:01:56.793559	53		0
3326	10aiaqxu9lnzkbiksrbwvvn61w	$2a$07$EsLRcPb95B2r74pMgp.h/Op5F4U4B5ggwb7eHgnkAqaC.8fOaM26u	50	2013-08-02 23:01:45.166208	2013-08-02 23:01:56.918045	53		0
3327	10heyge5mh7dd65biea5osk0sz	$2a$07$QDWHewXl1Sssf53wMw2xiecq33B/g6xJY2eRjNLuiAx36342spALm	51	2013-08-02 23:01:45.189914	2013-08-02 23:01:57.047796	53		0
3328	100rkk5dz2obgvud3ofjmaee5b	$2a$07$.GZboFXbLebcvCsLJRjjluf4TsQbfCHaim8W2w2.l8U89goxsOVV.	52	2013-08-02 23:01:45.213542	2013-08-02 23:01:57.286422	53		0
3329	10c71cjx4prfikelloi07aw1rh	$2a$07$YdbSGYHTeuGSF4KYWs0tKeH1wEKDgNvvxk6uBEhPFYfCOPL.EaWO6	53	2013-08-02 23:01:45.235722	2013-08-02 23:01:57.510833	53		0
3330	10qpisivzejjsr7n4c78wsm3it	$2a$07$g2gRp8LoZk9ysRatgYnTK.H3KgLD6Brr8yxVBlDpxq8hKTI3VwUc.	54	2013-08-02 23:01:45.257643	2013-08-02 23:01:57.798171	53		0
3331	10wl7fca3k3ww5s58kf0cwkynh	$2a$07$o2kx5viY.GNaSlSoBpmwKuxBnisRyeuP2Yd6stlW54v6RZjcJDwQ.	55	2013-08-02 23:01:45.279915	2013-08-02 23:01:58.185406	53		0
3332	10168xim6x16f41t4779aeblrb	$2a$07$sxQmWfOGc5NikETlqjvMoO880rxmhYYgtAmif40R2lNGuXrH2ndi6	56	2013-08-02 23:01:45.302675	2013-08-02 23:01:58.565298	53		0
3333	10vuhyj7fgo22puwk4utzst6kn	$2a$07$jiiNAVB.Eo2WS5zzRHbDduPrfDEJhKbitg05bruHl20OFyVkSV8ba	57	2013-08-02 23:01:45.325585	2013-08-02 23:01:58.77362	53		0
3334	10mx16dg3dva8zl2stgxu0uaa6	$2a$07$Zi/gX3Qiq4FY0GmkHxsQqOH3G8mhvuJYIoVtLahdrvMs31gdB7uw6	58	2013-08-02 23:01:45.348624	2013-08-02 23:01:59.092573	53		0
3335	10rholwokrbw03282w8afzmg74	$2a$07$kJjdaMA62FnOWZ3evoz8QOx43tb1v4UVjfFHHpNKncxrTmjo.mxkm	59	2013-08-02 23:01:45.372825	2013-08-02 23:01:59.248502	53		0
3336	10jhfz6x0t3tid6zo5a8ibvojz	$2a$07$rIJB2yGFqtbLfxzx.vkiTeN7MxVCCbYE/ju.nzQVd1g2iWYyhjw8m	60	2013-08-02 23:01:45.397266	2013-08-02 23:01:59.510011	53		0
3337	10lqfumta8o60luzjgmtzbkxx8	$2a$07$GSE48NU6PrdFJe6rErCXse7Gxb9ai8lTfQ/dcuRbNEnYnexXfhBGC	61	2013-08-02 23:01:45.420371	2013-08-02 23:02:02.443764	53		0
3338	10rj1ynimuwgos3b7zyjiyaa5x	$2a$07$zE5xQschaPswUUIAdyhcI./HKMBHifTya4Tb1LwUHJYNjo7pspW7C	62	2013-08-02 23:01:45.4417	2013-08-02 23:02:05.405704	53		0
3339	105f2s75iem8byoapi2duqwgi1	$2a$07$JwTfITzdb6uIjrfhkr.lVOH8psU7Nwzy8sh0S8P/ICV/Y4io9x1dq	63	2013-08-02 23:01:45.463006	2013-08-02 23:02:08.548612	53		0
1828	10fdo1jb9tldw99ztmzpdo09q5	$2a$07$qwREYhWX40kD6RS/g5Bq9OYYw10B6vlcNpXvi.21vXyTQARUKoRBG	1	2013-08-02 21:06:42.122432	2013-08-02 21:06:43.677028	30		0
1829	105ag2mg2wjqaozrzxpuii8v7z	$2a$07$C8/erqM/PkTcKKdmNoFMvOOa.49J2i3QNZlpovFerTp0B5zubgx.C	2	2013-08-02 21:06:42.156373	2013-08-02 21:06:43.815055	30		0
1830	10kn5mxwel371c8vemqnj2ovd5	$2a$07$T4rClRRyy02Xj674Lg/n7uFEFOVPuYKUBcvUt5MnEHpR/AxIw2J1m	3	2013-08-02 21:06:42.178232	2013-08-02 21:06:43.953107	30		0
1831	108nl7vf232yxvtobcxv5skpdx	$2a$07$MNG6L0Eh.WRTmQ3.ejPUQeYxNEHBYh4uWcGQxBUHtjYF/PXD2rQYC	4	2013-08-02 21:06:42.199808	2013-08-02 21:06:44.319369	30		0
1832	10avut1idjfx7zabi1gg912cxy	$2a$07$0fMixZ52GrJzzHYO/xrmTe7ZoCUwckuBTf5oDk24RrD67auUhjY76	5	2013-08-02 21:06:42.221485	2013-08-02 21:06:44.606488	30		0
1833	101pog59agq9ozfygp6sjsr8x5	$2a$07$cefQ95OKNhCVS7YaledN4e2uGj5BJzwcnBp1JHgRgskQVdgdWl5u2	6	2013-08-02 21:06:42.243063	2013-08-02 21:06:44.752347	30		0
1834	10s3cyfe7k1h4gcq4o46gm684c	$2a$07$I5.jJnNn35JGpNprk7uBduWtNHYmrGw/5haTcjq.1L6FrjGzV3f5a	7	2013-08-02 21:06:42.264488	2013-08-02 21:06:44.888081	30		0
1835	107ko2dzd2reimpmu5l2s56j4m	$2a$07$LrmThGOv8o5Tbe6QTm2.MuR08takNgtkumXZSFdqQekpV5eVB3awG	8	2013-08-02 21:06:42.285868	2013-08-02 21:06:45.021167	30		0
1836	10jkz7n38z34bn7xj7qertqf4d	$2a$07$tHy7Juq7XKyhNRFhqGfNHOU3XPZsX0Axd1dmLDT0pYfgWE9pqzagK	9	2013-08-02 21:06:42.310769	2013-08-02 21:06:45.152989	30		0
1837	10hrdt2pocu9qjapl2wmum8t3f	$2a$07$ubrW0UMdwVo39Az5aIoSHOUZ/Pc0shLAXZziULu7P0TTAon1DLfii	10	2013-08-02 21:06:42.333811	2013-08-02 21:06:45.301526	30		0
1838	101l1r6ek2q1wv7okli5u8qonc	$2a$07$zZrKFDAf2RzwR3vRQVZg8eDDAxa7O3aU7A5SCLJcMlzZkYOUQZtwG	11	2013-08-02 21:06:42.355525	2013-08-02 21:06:45.439161	30		0
1839	10r2iuyrkrh58r7906iwzfkk1m	$2a$07$a1HAOqzeu84MV3UlNlSntOFOyjphH7Yxw57nUyffiUbplNW9zNBYi	12	2013-08-02 21:06:42.376953	2013-08-02 21:06:45.566842	30		0
1840	1010ffx4ftb6gfgxbxt9i915b5	$2a$07$iw8Q0Jj9dpJQ7j0g3F1vCOFkW.TaaLzcTNlwdkIY9ycZvgFLzwtAG	13	2013-08-02 21:06:42.398461	2013-08-02 21:06:45.919235	30		0
1841	10ezdg3bsqcuix85b9e5zi79v1	$2a$07$usg3OcV7mi8lpgC0dCEkdeq/USZ55X3.cuRFM4huTAcKaVi69.2/a	14	2013-08-02 21:06:42.419878	2013-08-02 21:06:46.280897	30		0
1842	10oeyje1jmncsu94w52dvdjmm8	$2a$07$HW6cJbK3RK6Lrs/Ht49bPuTjZOOxDne/ZQPZb1UIkZuLqZEIBVsRK	15	2013-08-02 21:06:42.441531	2013-08-02 21:06:46.642663	30		0
1843	107lx0vfcazjciywsr9clpqtr4	$2a$07$WvxVILGkgDgOfkzQgsnZX.PsJz0wWMyjP8IijM7hDhfsO4lL55hty	16	2013-08-02 21:06:42.464328	2013-08-02 21:06:46.980413	30		0
1844	10kr2ecvd7bpdbutazp0lky2ax	$2a$07$MwEDk1bIquSkNBnGTqnIU.cjwmhW85uNDEy8enov16d8h1ezmNI6i	17	2013-08-02 21:06:42.488654	2013-08-02 21:06:47.130223	30		0
1845	10l1t80utrzsk4itun9innck9i	$2a$07$af0Bi.4qtQGGSNGP7dzFH.ZH2LWRIgWWpxnmkWpBGPowAMVxgqDsa	18	2013-08-02 21:06:42.51008	2013-08-02 21:06:47.310511	30		0
1846	10dp99qt3ejdyagtgbfmq5ijha	$2a$07$HdpPFppphBT/LCXYUMhM7OyOw.oSFfxjU9kn/a9iZ6YfNNSy0nT.m	19	2013-08-02 21:06:42.531757	2013-08-02 21:06:47.444892	30		0
1847	10y8l8ucor32ewbjhan9iduxu0	$2a$07$CgvugfN/iqhGkHR4WGT8E.SxCsNSSyssF54KIz07KEqwtfBHD1tRu	20	2013-08-02 21:06:42.553386	2013-08-02 21:06:47.578546	30		0
1848	10gnhkcbvx05gbs0f28lst63t4	$2a$07$xgEXLggNNoBel3kHktFDEe3bhNL/WML1qHuikOmpsIhBuUvwdtXKe	21	2013-08-02 21:06:42.57489	2013-08-02 21:06:47.701075	30		0
1849	101sg2utxcn8sihcfb3u41lsg4	$2a$07$6gBkt4NiCSErdRM1HowvHOtViQE2HxGmIkNlb/mJt14OqiVIWs3rS	22	2013-08-02 21:06:42.596274	2013-08-02 21:06:48.071919	30		0
1850	10p33bcr9lnl9mx9ko840f8spd	$2a$07$SvigbRzLsF6joIgDAwqmauIpJKvl9VZMZPyiKmhgrb0wrP7M0v7wu	23	2013-08-02 21:06:42.617624	2013-08-02 21:06:48.431804	30		0
1851	10inzjscky3f4kh3ashc97gc3q	$2a$07$Sh3hBYJeyFdmiTZDkSdoUuiu3hmE1/peyjct8YLtENWTu6mEcJh0y	24	2013-08-02 21:06:42.638996	2013-08-02 21:06:48.666066	30		0
1852	10gllktg0s4ifd5mkmdi3l41gz	$2a$07$0K9feP/OWFlESvQTMlfEVeiA5rluDeJSN4JjfTbPrW2HNG.kjwjGm	25	2013-08-02 21:06:42.660361	2013-08-02 21:06:48.925013	30		0
1853	10smo5ocvamr7ci4v4vsv2dpm5	$2a$07$h8hbgP2PHofPDZsMp1FN0eMn.kDIVwhHVPk1EFIOCgDg5tqzeUTiG	26	2013-08-02 21:06:42.682099	2013-08-02 21:06:49.138985	30		0
1854	10rgo12sbythw0lgrrd6r6voz5	$2a$07$BncZN1kbmNFXoK69JGYyieS4kz6E9S1QeMX43GQgc.u8zvT2exka6	27	2013-08-02 21:06:42.703535	2013-08-02 21:06:49.368452	30		0
1855	10gtz8c0bbyju9nx1op51uwiof	$2a$07$Mx/Z/xBm9Q1HMRucEuZ2geUvpPm5ZnnFVB7KaWvqA3F9cfWvPG7Ve	28	2013-08-02 21:06:42.724985	2013-08-02 21:06:49.741379	30		0
1856	10vsbl5o781qjlpjznr0h9pipb	$2a$07$cf6Nf9YtWBpFI/S9UD3IyeJMJ2rY9LaCn7B.tmffanhrH4HrSsYxa	29	2013-08-02 21:06:42.746358	2013-08-02 21:06:50.110839	30		0
1857	10qmcudbw2onmwduk0zojvupcp	$2a$07$.zyqOIGMPxw5tzwBQxtpV.doIZUukwJl7Jps.YuxWvxeUHB0WSqdC	30	2013-08-02 21:06:42.767797	2013-08-02 21:06:50.470834	30		0
1858	10z9h1xdpop9gliiyn95v20fx9	$2a$07$bo83GFG6U8EOc/b5sc6qkesIS6wNc/onBOSB/ZD5MP8z73nd9DdA6	31	2013-08-02 21:06:42.78924	2013-08-02 21:06:50.600938	30		0
1859	109l66isp34hg3gplx0dbpm759	$2a$07$YEPFn4nInFJMsnUOnuEUhuyJJLzWNQVHwRA8S10A525Ke/qYATksK	32	2013-08-02 21:06:42.81083	2013-08-02 21:06:50.72965	30		0
1860	10bi9skuvoj3kdphb40k4r7jll	$2a$07$Gk/i4fS8eIvAvA3co48m.O09ZB2YZPzRP/n5BiOSMERbkZRWT5M0.	33	2013-08-02 21:06:42.832381	2013-08-02 21:06:50.843541	30		0
1861	10he0jjych9xyibwmb5gxld2s6	$2a$07$Rr.Ywt9R1uPpk8/5gxnzBe3949N1QM1EOoUJy8Rrj8Pmiam4Uj3tW	34	2013-08-02 21:06:42.853984	2013-08-02 21:06:50.974267	30		0
1862	10arnk0st0wvvz53xjlgvrcs3j	$2a$07$FiobTxxTztV0esd0NPFtWu2rgE.bnqNwNibzzgQsAnG26UojXYeHu	35	2013-08-02 21:06:42.87533	2013-08-02 21:06:51.106394	30		0
1863	10tp8yy84gbabkmt4wiehfo4nb	$2a$07$6tYGH.w1QUJHrsx2e8rZPuQTDiHH4oZ7shXrQ0roAM/7xqSk2JB7S	36	2013-08-02 21:06:42.896767	2013-08-02 21:06:51.242294	30		0
1864	10n0573u0jmpqyk9w93xl7dp74	$2a$07$WRORwC2fa.uG4e3ohJILzeYU0LVaB/5ji1OmknolbWJTRnOSSnh36	37	2013-08-02 21:06:42.918255	2013-08-02 21:06:51.654817	30		0
1865	10orrq26dl8qkulhoszl4nbjvq	$2a$07$09Pd6yhJ8zEqKaApacbfHeXrTPKU7G/IKdi9t8.N7xBjxOEWsJtXG	38	2013-08-02 21:06:42.939938	2013-08-02 21:06:51.786359	30		0
1866	10t5o9ym0irhmnp6sn5xhenrxg	$2a$07$NNPCIYaHhMS0XDAZDxnpzuqlvn9.Bb4V8LLC1vDZV1MW9ZpeXKZDu	39	2013-08-02 21:06:42.963014	2013-08-02 21:06:52.058203	30		0
1867	104zr3akgc2m8txz4mnry02kj0	$2a$07$5gwtV0AYKqi9d38HgVYPvO5nlrskfbnWMTa6gS0Vf5rivx2r2KtAm	40	2013-08-02 21:06:42.992575	2013-08-02 21:06:52.424475	30		0
1868	10lwzzfjaym2bmnlm9rt0s3q1h	$2a$07$1d12Oy5qublOZ8cYwJUsreLFF0yNazX5LtxbyMppIjOGaKQ80Sgzq	41	2013-08-02 21:06:43.026245	2013-08-02 21:06:52.791511	30		0
1869	10vkt48sv83amfkey628gv4zp3	$2a$07$7ovdReUpEDgiWuEGg38TpORSVSwHWRoqNlbMiT2DZgj7Mjy3QrX/q	42	2013-08-02 21:06:43.054937	2013-08-02 21:06:53.141211	30		0
1870	10dvtgnwgm2r31sbri7rqcgicd	$2a$07$t..rtZDRw9LXZudDoT2EIeWLUJuL119qWljgJD.wpexJtPPutHRoa	43	2013-08-02 21:06:43.077654	2013-08-02 21:06:53.509855	30		0
1871	10dtuix4grua1p4027te1jov7a	$2a$07$1sCXPd/.K4gVGKXuxJaBNev9qKY1N4CbRms5Z0rCR4EM33x0TCfNe	44	2013-08-02 21:06:43.101359	2013-08-02 21:06:53.875557	30		0
1872	10cznb1ga7srvkxamin2hn1qwa	$2a$07$sP9MbQpCSoes7qe.CZVxI./kcCjBwGYQUTugLnoNq/ZpEW7PBU/qW	45	2013-08-02 21:06:43.122692	2013-08-02 21:06:54.224814	30		0
1873	10fmacbq9vixpo19wnlu6of0ea	$2a$07$UJJ5bBe4CixB4S5IYmOFVuUVYSH7Zp9cEQRLHr.38GB12BD1vA18u	46	2013-08-02 21:06:43.144068	2013-08-02 21:06:54.593465	30		0
1874	10u22b9taogb1c2501g5lg0l2l	$2a$07$sJNjDhWyDEBh1fDuE40NMuIZatcVq0Cmr8/0kPv/m.Q2yVu6UUX6K	47	2013-08-02 21:06:43.171323	2013-08-02 21:06:54.963838	30		0
1875	10qf3agc0i0u34p71iil1ouwi7	$2a$07$xjFtcNVSmgyZZEMb2IelheO2JhPDAXs7HzB5CkoA9oYRJskoM5EH6	48	2013-08-02 21:06:43.196206	2013-08-02 21:06:55.336142	30		0
1876	104s2fsofi9xn10z2imtwyucmq	$2a$07$OQRlpFy6kPqheb.U5b/PA.JuUdQnomgMr8BBiTl1wzrlaWKur7lIO	49	2013-08-02 21:06:43.218205	2013-08-02 21:06:55.475377	30		0
1877	10w7fbpb6uqf8sm92meh5pcil2	$2a$07$7rRHGCjUVViiHTcgYr3T3.uzTXDlFb76QEFB/u7lqjHcnLpQwOFk2	50	2013-08-02 21:06:43.2437	2013-08-02 21:06:55.621671	30		0
1878	10ds4suqwjn0qcr3y9nfa62pcn	$2a$07$PvKM.RFnekW2gvz2PRaqcec4Zrb5VuBr1Oua9eFm6cbXZcJo7DsnG	51	2013-08-02 21:06:43.265144	2013-08-02 21:06:55.763669	30		0
1879	1057vj5ndb14bl9jk1thbslj02	$2a$07$mzq8WKTFz.DUL3LtQtrfR.LFQzQD6yDos/bdYDGEaTAON76.l0CNG	52	2013-08-02 21:06:43.286545	2013-08-02 21:06:55.941329	30		0
1880	10v4ip379j8xbk68h54o67e7om	$2a$07$mbj3PeR4b/Cf9pVhhCx7NuezUj0p1BAxC8uvLx8dxMymbbqjW.eZe	53	2013-08-02 21:06:43.30925	2013-08-02 21:06:56.258731	30		0
1881	10ytv3tfnpig79td6o9d17pqya	$2a$07$XiGlfjKGmdtC/EjEhhNLk.k/GmggnfVGqbM2Qk4BKshyJ8k9wF2zu	54	2013-08-02 21:06:43.330916	2013-08-02 21:06:56.628047	30		0
1882	10bbnc2wrmgk0rdumzmepbmjvf	$2a$07$8LjWwY/VHx7xx0K2Ct5rR.W1a3s7b4PuTPS8Or1W74rxX7tX5B01q	55	2013-08-02 21:06:43.352406	2013-08-02 21:06:56.985895	30		0
1883	106fc4kao09gp7eel3od94roo5	$2a$07$SEx/nh4kyzrbgxuAkH4ll.etvGe2RqGACCnIlpOd6ROnLG/HfR7NO	56	2013-08-02 21:06:43.373744	2013-08-02 21:06:57.349895	30		0
1884	1078fpojn7iv5oaak4f6n3xls2	$2a$07$uwpM5HS/3NO3bRpVgWTe7eiwT2P4nok3m8jy00IahEA8/8oa1RdDa	57	2013-08-02 21:06:43.395094	2013-08-02 21:06:57.489944	30		0
1885	1049vuku54cigcvm7numogvtag	$2a$07$12mg6d.k.ZMPpraX.HNsrebKlcVk7TgMbdgFi6al8skY/CFCd.Vl6	58	2013-08-02 21:06:43.416572	2013-08-02 21:06:57.858528	30		0
1886	1090r81k5v3kyqdfpk03ygcreg	$2a$07$7XvnPPV3TuQJ7ZMTehpIEeiyJOBXqmzyg3552Ic64zm.nJ43JEFM6	59	2013-08-02 21:06:43.437932	2013-08-02 21:06:58.222517	30		0
1887	10n0fwc24bt36p8eftq5qsbwsz	$2a$07$oWnmazArYnlJtc6lPEDgLOUNt5vgWgLKrCWHVDBzrj2VmZ6wPnB5m	60	2013-08-02 21:06:43.459284	2013-08-02 21:06:58.423276	30		0
1888	10ja8s18ilsepixegntzb6okmd	$2a$07$4St6ft6F1MUmrhkLk2bM1uMbFMp/8AkYnpaTY883pCD2vp3gJAXS2	61	2013-08-02 21:06:43.480674	2013-08-02 21:07:01.249007	30		0
1889	10yni24cij2i76su0lcfmsxfmf	$2a$07$2twQPRiOF45w6YA91UGFVOp4bd.Qcpq//bBkSk9nB9ydRUCOmhUuq	62	2013-08-02 21:06:43.505658	2013-08-02 21:07:04.348711	30		0
1890	10gnbjgm880aphz7csktl0go87	$2a$07$7VkKRWRXDZx1upb9vXDPruBoD1RalCgjt7UNnUjcm2jRMwMc4pGq2	63	2013-08-02 21:06:43.529262	2013-08-02 21:07:07.2302	30		0
2143	10zvptsggbtsmwmwuz4wxecr1b	$2a$07$THUl4mRcYH58UjBVZkoYZOBdUl8XyAHo06KzVRsL5PyaNxzryYgiu	1	2013-08-02 21:31:42.05685	2013-08-02 21:31:43.682436	35		0
2144	10ml1hjzh8v67azm1zhc852wmr	$2a$07$8MGDj2wcBmZh5Tqhx4.YyeuSmbizqIgSagg/WiM5nNJ39DXjuZ13K	2	2013-08-02 21:31:42.082225	2013-08-02 21:31:43.81101	35		0
2145	10esd6nu93yzc9lm1luat4uoic	$2a$07$UnQ7NaxmVrruX8dQuWEwyegxv3FJXakRGmAdx3h4vni/SrR0IikY2	3	2013-08-02 21:31:42.112531	2013-08-02 21:31:43.943941	35		0
2146	10o3herefz5tcthyn6h5sz3ppz	$2a$07$y27FAuj1m6qMw3.WYgmZgOM57LF4bR6XjJGqtgoPjwgCget1HmfBy	4	2013-08-02 21:31:42.140901	2013-08-02 21:31:44.10051	35		0
2147	10owaol0fo6glpfr0fhdmnppdt	$2a$07$klKmYWF5S303N4Nu9mgRfOu431PUCwmyDPn4foA3Peu5dBeSGXW.O	5	2013-08-02 21:31:42.162461	2013-08-02 21:31:44.327869	35		0
2148	10on7k70ejvok6r8exa176sksy	$2a$07$lpWfD43jUsuj1Lh/aEtjrehVIRQJDQLplC2lKplMiBhw8t9W7YXtK	6	2013-08-02 21:31:42.184257	2013-08-02 21:31:44.689605	35		0
2149	10sta9864rmqyp8uyhbz4x04cq	$2a$07$2o8z/v3w.X.dVnTaFQRY0.fmrgXfQFFA/WCTUGnjvipZjpPdnSDEC	7	2013-08-02 21:31:42.205793	2013-08-02 21:31:44.824943	35		0
2150	10bbtynapg6ybvvclaitidxlaz	$2a$07$CzqSqwQI7foONTwwz2.V9eJ6hp0Z1Dk4mGVaqPn22cNWP1EHgF7ci	8	2013-08-02 21:31:42.227285	2013-08-02 21:31:44.957542	35		0
2151	10lh1jf620f9rxu7loahv27lt1	$2a$07$UsdBw4il5iByf88bE2tBAuvArWXf2MyTaGRJnco26NeQU2JBX7z0O	9	2013-08-02 21:31:42.248679	2013-08-02 21:31:45.089727	35		0
2152	103j6nmrtwra1qhddr0408226t	$2a$07$jNfJ0N3EIhOhzYHa79Py6eUxNPHSywBM/4fss8RE1REYxi2S/ULba	10	2013-08-02 21:31:42.270035	2013-08-02 21:31:45.219355	35		0
2153	10dozaskmvynajv1sxxsyvmij9	$2a$07$J52qNPvAg3Zlb.2aAgG0sePpTmsXCbadpUzsVh09QfyPyvBoPv6Bu	11	2013-08-02 21:31:42.29138	2013-08-02 21:31:45.356374	35		0
2154	10dezggwxtpk2chyz9v683inu7	$2a$07$Ovg9gzgnJGm2SEARLwMQdOVZboCav3XlxaqlpC3enTYQa2kNxi3ZK	12	2013-08-02 21:31:42.312739	2013-08-02 21:31:45.486423	35		0
2155	10yfy4laneuvw4i7s6cibrkwva	$2a$07$I33tVW.B.WCvigLy9mTdoui6EGl8DVs/ueOQ42YJS0dIAkOG0Ywc.	13	2013-08-02 21:31:42.334147	2013-08-02 21:31:45.84165	35		0
2156	100hfexklqgft54jr0uof3c67t	$2a$07$F2umxHf///vYGp0CpLwzHOp8blNiDGqvfhY99aU13hsk5gx4DOJeO	14	2013-08-02 21:31:42.355844	2013-08-02 21:31:46.202648	35		0
2157	10ae42e2czcenphkc91g11uifx	$2a$07$CNHqdr0DA1fEI9zQ1Nih0.bp98o4AQOYPBepN5eiWQGpJLgH9B2L6	15	2013-08-02 21:31:42.377521	2013-08-02 21:31:46.571642	35		0
2158	10jc83tfxy86z79nfniu4ulr2g	$2a$07$J2AvE7OHzvdUqNE8.6PVdOPWpLMPTQbE1CQSCmUoRaTvVGbWUo6Ya	16	2013-08-02 21:31:42.400267	2013-08-02 21:31:46.942674	35		0
2159	103fqd8hreqsibbrbq5y0rx6o6	$2a$07$WGF/y9l/Ztb7WX2pG1nTA.PDn2YAG5.Fi2NUzXxR.pQJYYH7NaKHi	17	2013-08-02 21:31:42.421886	2013-08-02 21:31:47.167044	35		0
2160	10vbdgamymp1mbvf532i703lgr	$2a$07$6nZy9oobduiX/.9b9tKP1.U/DQurxCIYM2h99BEQE1SBXhO25n922	18	2013-08-02 21:31:42.443414	2013-08-02 21:31:47.346737	35		0
2161	1067x5y7pkh3armibo3fp55fnh	$2a$07$HeiRw6phsRXKGChgEpbeeepxp71xPUcebUQ3ove8ONbX.l6y5rECO	19	2013-08-02 21:31:42.464959	2013-08-02 21:31:47.481878	35		0
2162	10l3rc4yqjbibqfeco7qeijwwc	$2a$07$HtmyCnTUDvFF.thER5bIGu/kN5xkSC25E3gdP4xfdyw1kxOPm1n..	20	2013-08-02 21:31:42.48633	2013-08-02 21:31:47.61376	35		0
2163	10ldyk8hwntbzu1sivb8zbamzr	$2a$07$cnQJiPnRzCY3LPJcauK65OS21MNendL4RHhGPg.ix.T8FHRl/DUge	21	2013-08-02 21:31:42.507712	2013-08-02 21:31:47.727511	35		0
2164	10pxp4gkchy2m5ohnggaro8qjm	$2a$07$kLeYCLsonrCsMjp.75olGORuP1FjviETxtvtsnjErkaPPIKfshiNi	22	2013-08-02 21:31:42.529222	2013-08-02 21:31:48.089867	35		0
2165	10fbca5y1uxkgy5ni7xp3awbia	$2a$07$eTig46pQ05eMfmUahyo6je2VquWB89eIjt.3utuDVYmaQYaknvH/O	23	2013-08-02 21:31:42.553252	2013-08-02 21:31:48.438236	35		0
2166	10bofo7dyivm6jjrb8wdrgelya	$2a$07$Q8DQCYnKjDiQJJR.BzPGs.IsHb66kpGmGa3Zhme/nYu7nM1UPC9Jq	24	2013-08-02 21:31:42.585817	2013-08-02 21:31:48.791425	35		0
2167	10iqrg8xshxekbel91koaek97w	$2a$07$1bsAKzBKKarykgEKV4Y/tOVFmFHBJOycjasapeBh.4kPwST36iGMy	25	2013-08-02 21:31:42.607905	2013-08-02 21:31:49.140823	35		0
2168	10fnm4w3n648uqumu8djsykf1v	$2a$07$PD1mfJgj4DegfIXUW2f//eBc19Y9aMeCE/xCB1qETBYc5c.oRYrQi	26	2013-08-02 21:31:42.631245	2013-08-02 21:31:49.302017	35		0
2169	10vx846hkrrz6zmxe7521nd0j2	$2a$07$6KV6JQv9nLfGmX1vYGIpFuJejCC5OZjpjNyKlyS90s75LZXSEp7wy	27	2013-08-02 21:31:42.667273	2013-08-02 21:31:49.521629	35		0
2170	10gak86jepbd8of11lr3xg0koj	$2a$07$Th/mVMiDIbLcjYB1W3fHxOxPlVk1Kd2fbo2kx0ZvR5n1E.482exYW	28	2013-08-02 21:31:42.703207	2013-08-02 21:31:49.833207	35		0
2171	10jrad98hiurzwpy5qb5fpyzql	$2a$07$r.MbckxDdirtcbuYzkRSiuNvDf4G4G8VjolVwXgIxviIN9d/557hW	29	2013-08-02 21:31:42.739443	2013-08-02 21:31:49.987809	35		0
2172	10469yywnkd6qhdqwhfq0zubv9	$2a$07$mkxk.ZwQDUpDeZhDiaxr3uNUUeOXKLUgqa6A8/QBbVTDhVH3hkThe	30	2013-08-02 21:31:42.762888	2013-08-02 21:31:50.170029	35		0
2173	101dj7g1zc9px0m7q7g3yh5n8y	$2a$07$nCTcVy8vexVR1a/hIMjgDe8E4WLLZhE20vuAfAKzhUpKz/oFiIqe.	31	2013-08-02 21:31:42.786498	2013-08-02 21:31:50.305103	35		0
2174	10mtqn361v43tn2u66dswcdyli	$2a$07$1eQPsb9KLq6eCh5hoXjUJ.jScb1UB6g.LxY5QoemsFLN3lXJL.OFq	32	2013-08-02 21:31:42.808291	2013-08-02 21:31:50.44332	35		0
2175	10nvspkqlifeypnoecuvho11sv	$2a$07$F6LQdM4SqpWYFyeK/iVT4.RY4dqfM/8C0sD/bFp7QQrO8iYoSRgh6	33	2013-08-02 21:31:42.831281	2013-08-02 21:31:50.580287	35		0
2176	10mgevxdw4pt9d785ph05eprd3	$2a$07$cyAIgi3t9tWuTM0iIw/8y.DO5A03QLjIkDByEYT5hk1xPPnx0.P32	34	2013-08-02 21:31:42.853916	2013-08-02 21:31:50.707389	35		0
2177	10ulunbi9nq4t6t9uhcedye615	$2a$07$IlKZHWI.luuED.443Hq4V.X5unAOuHGR.KlQXRxxiZowD39H5l.76	35	2013-08-02 21:31:42.877572	2013-08-02 21:31:50.85256	35		0
2178	10ur9tkf5a3dm6haajllg5e14k	$2a$07$XuZJsI1eyYamyJ8cccAIqumpDr.PdxuaLNfY5oII3aWz70CnYDV4O	36	2013-08-02 21:31:42.901049	2013-08-02 21:31:50.976371	35		0
2179	10x41k68qkfspuei2kyna3laly	$2a$07$ZI89iBWE2M0RqWb3eOBJ2O9vmwOd0uiMG/zqykSDSDz8gQ1Z6kXly	37	2013-08-02 21:31:42.924178	2013-08-02 21:31:51.327553	35		0
2180	10ozlvu93eelkuw0fcqowdet7l	$2a$07$jXG9YrOg7VVjEHNYm4Vtv.Uuq1xoxOPwTGkCG4EvyOe9OmPPHb6A6	38	2013-08-02 21:31:42.946067	2013-08-02 21:31:51.679143	35		0
2181	105scmpnhdws7sc5z7zlsqf31a	$2a$07$nu48NP.t1Vx8AoLtYnLYZeLZwzTLBOPPJu44uT.bjKMJEPrSQBky.	39	2013-08-02 21:31:42.968299	2013-08-02 21:31:51.933779	35		0
2182	10sfo1xjgi225igbwx3pcbp3e8	$2a$07$yJG.Pk6iHfZrhjeoxGEVYO68PicIdSKyxRMJtNrG.i7oJ1C8FUu4C	40	2013-08-02 21:31:42.991559	2013-08-02 21:31:52.299629	35		0
2183	10vqss08cgv8l18iknncrux481	$2a$07$HvK5pcTzbdNrjmMDVeZmwu3FsVFFf4IbZs.E4gN1sSByhWA5ZY2SS	41	2013-08-02 21:31:43.014534	2013-08-02 21:31:52.660006	35		0
2184	106eqleq9s58t5fzrk6yxncpz0	$2a$07$BKH.Vgt3O3ISHdv1RUllH.cNE1VTi4qanw9PMotayYtAi.3342vtK	42	2013-08-02 21:31:43.038963	2013-08-02 21:31:53.02315	35		0
2185	10q8rta3ecfemzut0kc21ro1bk	$2a$07$Gj74SsIkldjWy8YkPavL/ODQbfOqZE5DZYL7hkLZ280tW7Yy4Wlzy	43	2013-08-02 21:31:43.064513	2013-08-02 21:31:53.375664	35		0
2186	10g3z7hn2xi8kpqt9vgr4nkh3d	$2a$07$eVel3BiOoi/KYnzAObrkzOwCxNbAJKOGhC1.mDnNNJp65u6tjYsYi	44	2013-08-02 21:31:43.089252	2013-08-02 21:31:53.724368	35		0
2187	10782awweqgu623a50nsjbimsb	$2a$07$JTVZZjxouXWX1u6NLzC6mepj/agaAi6jIZ9PRjPCVi1a3HUVHChiK	45	2013-08-02 21:31:43.114172	2013-08-02 21:31:54.081657	35		0
2188	10x55cekeizsayx0lkr0lp3q22	$2a$07$38A7v/stmWITRbq9WHEAsOow6eXx/QUoEZpO5sE53dchZSshiwFQC	46	2013-08-02 21:31:43.14576	2013-08-02 21:31:54.457184	35		0
2189	10ekw365ruxqzrw8l297u174pz	$2a$07$m6j4et8wO/9hbxGQfc07Pef.hNiN0/E2l4ksq/Ks5K75xInpjHaRG	47	2013-08-02 21:31:43.167538	2013-08-02 21:31:54.825677	35		0
2190	1020vaccye8m1hlnu4zb3xqwk8	$2a$07$gDJscbJuLxSz/qZ/9cSga.YfpEQJ8/gegImZuh0lTkAouvursQnc.	48	2013-08-02 21:31:43.189314	2013-08-02 21:31:55.184823	35		0
2191	1096q8ckgflzkbjqfqr4202pls	$2a$07$2tYOTi0cTUbO5lWfDPI1KundHchx6jzv0g36LQsIx2n4cf8bSjna.	49	2013-08-02 21:31:43.210721	2013-08-02 21:31:55.550305	35		0
2192	10vcmu2069zbtutyci7ssvgd0j	$2a$07$2peuqQlqXehymnati3KgduwRcpY2rBjEbafQb2YZmp2f5NKJU5MTa	50	2013-08-02 21:31:43.232082	2013-08-02 21:31:55.918535	35		0
2193	10kgilrothu35l8juvb7h3arko	$2a$07$etQ9eewchOAqUshI3Md0qurl6dUkPME3nsogzJmHG31K7pw5QfWcm	51	2013-08-02 21:31:43.253705	2013-08-02 21:31:56.290283	35		0
2194	10c8xolb0s0czpacevdp0ur2b3	$2a$07$Acoq58vD1EDTk1K8.64kIekd8LLAFYJNzugeuaxuiq9b4dgxYYUVS	52	2013-08-02 21:31:43.275405	2013-08-02 21:31:56.570217	35		0
2195	10vyj8ma9lwsps0sopc8iucuf7	$2a$07$afwMnPwyX3SgbJhoOL3DmuXe4fGHYzi5jdxwrv9icAuhokgW/pFu6	53	2013-08-02 21:31:43.296859	2013-08-02 21:31:56.764805	35		0
2196	10b9bqzzcnvlk55mtoxph3ji24	$2a$07$Gz.XlhsXZFCZA.PXkxXbNOXayIb45ATTYG4YGjjzOk64GFwndgcEm	54	2013-08-02 21:31:43.318401	2013-08-02 21:31:57.054005	35		0
2197	10yyppv1s6y6rxjw0bvke2gouy	$2a$07$HnrmKeTo0RkexRJ7j.owueN202whAkS4x132NJnAouZkgCSJw70bW	55	2013-08-02 21:31:43.339787	2013-08-02 21:31:57.427483	35		0
2198	106xxq1pe7uadpryl2j23a4ia2	$2a$07$xBD8ZPFxv/uhcMjPgSjbUeNNs5L823y6XBfxbXZYxah0vAwfBfZa.	56	2013-08-02 21:31:43.361121	2013-08-02 21:31:57.79087	35		0
2199	10ph89csn5qcpgpxpldthmeyrg	$2a$07$0fvAPLS35OnlYaga.Mum4eqFTyix3BbqTsjzdewxMnmsxspaFo3Cu	57	2013-08-02 21:31:43.382547	2013-08-02 21:31:58.157799	35		0
2200	10y6rzdu2c2fyt8vziz0bob5dw	$2a$07$VAgRTni3auzuVAx9v3Ir4.hba2Gx9GI.EyGmMWIir2Szd5sLaWuOq	58	2013-08-02 21:31:43.403903	2013-08-02 21:31:58.527482	35		0
2201	10actrxzwxgfvkisyno3boxcg1	$2a$07$DJbgwZGm4AAErWg1z439wexJGq2cPW0hWHePcvVZu9.QNlSjPhJte	59	2013-08-02 21:31:43.425557	2013-08-02 21:31:58.897026	35		0
2202	109xgkdqj3akb3tviv9h8gmrb8	$2a$07$m2JZm9mnAjzcsG8tbdAoAeADKePhNAvmye1AvIZ3VTOvENE7cb4Ue	60	2013-08-02 21:31:43.446904	2013-08-02 21:31:59.268522	35		0
2203	105iqphp501tw237mqdpjb4rmd	$2a$07$jCN94LN7dkBPOHkmuJzYFeftzcviU0ZDZ4CSs8zj04GbNd9xyE02q	61	2013-08-02 21:31:43.468267	2013-08-02 21:32:01.877153	35		0
2204	10cl109vd9bkbdj36bhpdzbf2y	$2a$07$yZdXXdSS/sPielE9TdIPSu2O7kdqBiE/jvtLXPWjp5I2ReC19jIiC	62	2013-08-02 21:31:43.489629	2013-08-02 21:32:04.857746	35		0
2205	10pgec06hi0pdx3czqv7twuc0x	$2a$07$mSGFYcfgAN513.PiqS4noOqsMeXL51zk51pVvcoD5TLYofD2se/ea	63	2013-08-02 21:31:43.534085	2013-08-02 21:32:07.969553	35		0
1891	109g1qsh6opzc5rec52r2it8k3	$2a$07$yp4e5Eu34//73lh7pEnWz.hdhBicy6Het8rWHUZfjFHm3BijxRoPy	1	2013-08-02 21:11:42.136821	2013-08-02 21:11:43.741758	31		0
1892	10em9szs296puhu0ibycpmbgj9	$2a$07$EM6y7FaDNKz962dbgxireeuyxkvJvntFEBNoNxqclNH6tb//Kq8PS	2	2013-08-02 21:11:42.162087	2013-08-02 21:11:43.884524	31		0
1893	103mukyesf2ibssnclk8ecn5ml	$2a$07$OzlLRBUqp3HsfZS554aQ4.sYXLyQc2Bmsh9tv7Alc5dE0LpS6a1V2	3	2013-08-02 21:11:42.19734	2013-08-02 21:11:43.99956	31		0
1894	10vrpzghhpm1am5krv37ce9iqo	$2a$07$hnxZCAVOvGK33RNiBIqqp.rodaDXm5ydYfvirL3h9h8YeK1dajAcm	4	2013-08-02 21:11:42.219132	2013-08-02 21:11:44.152356	31		0
1895	10pd21w6no74yglkh9bfju6cbw	$2a$07$54utawm6WnHaa1j9r3zhnu/L2W0IQ9HpK7A7baU7LdZBze5pbhRSm	5	2013-08-02 21:11:42.240904	2013-08-02 21:11:44.340459	31		0
1896	109v4n9o14p1zhz36talm1iiqx	$2a$07$Cl0CUfZRira1DmCAI9DobOtKi..agBK0fyi6IEhpmGRgBiPzkfsba	6	2013-08-02 21:11:42.263045	2013-08-02 21:11:44.672151	31		0
1897	10kowbgnzufgdejwrujkv4k5e0	$2a$07$qAv7o18cZOh2hj95ARyfT.xOULP5SOnqya8dLs.oAVVSvEOQ87cpG	7	2013-08-02 21:11:42.284659	2013-08-02 21:11:44.806901	31		0
1898	1032w1w6i7iijyccxplohy3xtm	$2a$07$B.njv1ia4se8bZZdlobSHOnUgiit8ZeOUta0tH51EghRw5lVucFjK	8	2013-08-02 21:11:42.306361	2013-08-02 21:11:44.928525	31		0
1899	1001cunl737q1we5ghiaavi15r	$2a$07$6nq7ZTt/Jy.JxhfBFX4neuXrHf8y4DvJ4X3Ay1U17TNPsLhkVaqPW	9	2013-08-02 21:11:42.32796	2013-08-02 21:11:45.028347	31		0
1900	10vhydazb6s57otpr66to8vtj1	$2a$07$6ILdKw4MQzzNL4SlD8dXv.vT/glq0wmDbjlaprqjbKGWsGOGiJ1qW	10	2013-08-02 21:11:42.349107	2013-08-02 21:11:45.165636	31		0
1901	10c0fguml2xyhmnokd2mix5oyh	$2a$07$9ip4F7LTydzBDrLa1TGu.u9d5WhJ1kDq6oxJLmItTqwnKLdmN/pwa	11	2013-08-02 21:11:42.370912	2013-08-02 21:11:45.303931	31		0
1902	10ntaqtg39nxpwl7y0lrex7vhw	$2a$07$sxDP/X9PGyNnfxR7WlbuPuyYugadUTBH18mTYE6yqELEBeKW5WPHu	12	2013-08-02 21:11:42.392666	2013-08-02 21:11:45.439039	31		0
1903	10p0fojx5utzo3r0yxvybqj5nh	$2a$07$5Mxsz4iORDHIG4Tx1XbxT.dovjTMnWUi7nR7zFqt7EF1RcOfFF0Ti	13	2013-08-02 21:11:42.414283	2013-08-02 21:11:45.806994	31		0
1904	10pu5tdpop61nn00s174qt3ks8	$2a$07$py11mIDc9ROU28Vm4Zmrje6LvAHHsZCfoDJqSeMjsfTdteqsvSML6	14	2013-08-02 21:11:42.435906	2013-08-02 21:11:46.178196	31		0
1905	10i3i4gm258a8fx0j6u4c13b9j	$2a$07$4WqAlRgcWdCTkxrti6TXNed2gqkeoOy0WF.LKSimV472vezCn5/zu	15	2013-08-02 21:11:42.457288	2013-08-02 21:11:46.539103	31		0
1906	1079thzk1gyik2g65xdf7hqwkz	$2a$07$mtwBBpH8huOJSWnifxK1guv9XgbCsOhnrBPngggU.dVhPyvHNcdxm	16	2013-08-02 21:11:42.478689	2013-08-02 21:11:46.684446	31		0
1907	10x8b5geoyh3ljt3cw5t0lm2h7	$2a$07$JaO32std78J0PREuz/ykUOxkF3jo4mA3M/7aCMauHvomEqPJaHICK	17	2013-08-02 21:11:42.502275	2013-08-02 21:11:46.858171	31		0
1908	10lx9mm1637rxzdumrrty5s0rr	$2a$07$.x72LnpHeviAkMjuvIOnWuR9LnAE6SZguf8lsnr4YhG2lti0md29a	18	2013-08-02 21:11:42.525314	2013-08-02 21:11:47.192912	31		0
1909	10lx49wbia79zszlo4ow5fg89q	$2a$07$TkmkOTTCv8JgFP6vuQwS3eYgOysSPbqb33EkR5Qok1rCab806mcce	19	2013-08-02 21:11:42.549585	2013-08-02 21:11:47.331175	31		0
1910	105kqcxos2k2sxn3vhx7db9ksx	$2a$07$SERBtwWj/4jA9RNZEjgaEe4DeoTEKQQKGnOmKRE81yE6GPil4PXiK	20	2013-08-02 21:11:42.573242	2013-08-02 21:11:47.515264	31		0
1911	10cx6r9woszmjcpvt6lvcq6rll	$2a$07$IaW7E7rvqS1Ky2WuPePp0OiIl5NFA7a1b9u4C19hQb7kTV0PZ0V4q	21	2013-08-02 21:11:42.596953	2013-08-02 21:11:47.659483	31		0
1912	10p2hctx25eqbah0k45evu7wqs	$2a$07$T0JPAN4sya2oKr4eJ0JGjeRypHLDzDsU4.r7EAWrftd7OT3K0R3zO	22	2013-08-02 21:11:42.628258	2013-08-02 21:11:47.929195	31		0
1913	1018xfqfddydfsdql5tu1aww0w	$2a$07$se85RtCGoFLLIhxJm8qmKuHi1PQ2BIUXdI3s3UU4qkzHPDn29RGM.	23	2013-08-02 21:11:42.665167	2013-08-02 21:11:48.063201	31		0
1914	10ney21ydjc36pm3hbhzyw1yvf	$2a$07$QNKZDCxrVaXPJCktPmehYeL8/.EuUVX9qlA.hqEXHXX2mmtwq8B2m	24	2013-08-02 21:11:42.695054	2013-08-02 21:11:48.397015	31		0
1915	102fae4woema62f1e9pgurcavj	$2a$07$qSJahwU3VfNvGZ5xL4eWUuw5uW.Ilyrkw/CiNfAoB1o1c2s7BpIvC	25	2013-08-02 21:11:42.716417	2013-08-02 21:11:48.561347	31		0
1916	10ywwln9dsa4e9r58zq7irslfi	$2a$07$M3SC2bpk511AnYr5kS1siOn11K10knnQ48sKfHE85A/NuBN9KK892	26	2013-08-02 21:11:42.737772	2013-08-02 21:11:48.757271	31		0
1917	10gwdim2ut7y2a5gkxw6dusq3y	$2a$07$GS1Bv1onqLj2ODIQatpoze.9nUNCTRz1EmWJx8IKwmorypxCwltR.	27	2013-08-02 21:11:42.759258	2013-08-02 21:11:49.037103	31		0
1918	103nwelu2471yes3qmv3szappn	$2a$07$iDbZvgkjSNhLJjpi8pZLvuZWR7KakFHQLqayKLgBIGIRbWzqnRiK2	28	2013-08-02 21:11:42.780766	2013-08-02 21:11:49.38264	31		0
1919	10xdfff4iuh86207vipa0tg2jx	$2a$07$uyPA6QTGA5pLnyZAu2FL.Otm3.AJBvZ/Tbkkup0Cw41U5RuNZ/2y.	29	2013-08-02 21:11:42.803644	2013-08-02 21:11:49.526378	31		0
1920	10kl3ga1387ze2pt7eh2m3d8nx	$2a$07$M1pm8GXBgRa4mCXca29lsOK3biZ2EO0s6FCt8VpS3RAQUJ19oedWK	30	2013-08-02 21:11:42.826255	2013-08-02 21:11:49.667369	31		0
1921	108ugl6k21iu4mw72ps0pu4rdp	$2a$07$d/SvL7FJfCMfLc/EBESxVe5aC9XnIIVBQ43di6PzHeXnRwGG4z3qC	31	2013-08-02 21:11:42.848033	2013-08-02 21:11:49.808411	31		0
1922	10568nvyatedbn3ezur3xam3l5	$2a$07$kIuma.FK6KzVst87/M6WXernf2qHVl1z.zn4z2ybIwbf7BhH0adNm	32	2013-08-02 21:11:42.86958	2013-08-02 21:11:49.942825	31		0
1923	10qrldxwggkwjby700x83g2qdj	$2a$07$NRYi1DyKiph.YI1CnDKCb.oZXIh35tj3nJq8UkBNsRDrjYPwdPjm2	33	2013-08-02 21:11:42.891148	2013-08-02 21:11:50.078191	31		0
1924	102ods3hmh99s6vtxcbqop9xig	$2a$07$iA3rCN2Uu/LtzDggiyzy1uuHhSkTW2ZGC4imZ/0T0QMJuyT7/ULTq	34	2013-08-02 21:11:42.9126	2013-08-02 21:11:50.218127	31		0
1925	10fkrc92i1l81ihbflpl0j8dgb	$2a$07$aQ2HtOJFDpY43zYchyJeYeCnEMWiK.m.JDCkJoi3W83EJFplK7vUq	35	2013-08-02 21:11:42.9342	2013-08-02 21:11:50.354027	31		0
1926	10yd52b7hjm8b9q5khc5shsy8w	$2a$07$E6ElEAw0KhED/uOZmfIPLu6rMZJZox9u9xLwsHiyyG.aYvEUaxrAK	36	2013-08-02 21:11:42.956816	2013-08-02 21:11:50.725641	31		0
1927	1075maur3dqfzxje1f1djasz2d	$2a$07$jrjTaIT4LGu/4ncbEvXsTO7VwlTk4A9LOF6s4pQt4w8F6ygVnkz2q	37	2013-08-02 21:11:42.979035	2013-08-02 21:11:51.002567	31		0
1928	10get280ishs6v4ipgmcwpsvoj	$2a$07$YmKhvPldj7oFnhBCxmZfq.vUPRXdtE7J80PIP9O8CjGeZBC9LpRTm	38	2013-08-02 21:11:43.000578	2013-08-02 21:11:51.362546	31		0
1929	10m5r6m7y53qbzxn4rgldxjsix	$2a$07$U3rCguaARK0hajK9oUD0he8C7XK4XlF00scl9/.6RoeP7Z/DZXIkW	39	2013-08-02 21:11:43.02221	2013-08-02 21:11:51.747707	31		0
1930	10vvjz7dxfc97pqo1iasbl5etp	$2a$07$SUxo5rg.OnPagrtuJ650bOtX3x8uVQ.d5DCq.Emj1LUvZCr9lunGe	40	2013-08-02 21:11:43.043723	2013-08-02 21:11:52.115269	31		0
1931	10ad3hwky3igica7l6ayjk9t46	$2a$07$h3szI74IqOwHfeA7r38dluuCoDMrbDQmd2YHG4e7HIMhEzqm.Ho1q	41	2013-08-02 21:11:43.066301	2013-08-02 21:11:52.462864	31		0
1932	109162v1ctv5mge20txofxmxr6	$2a$07$EfMnSWHAT0yPFhggx0hLNeinKtqNTbjcSfSjTHI9pCozDMyd7r9iu	42	2013-08-02 21:11:43.089018	2013-08-02 21:11:52.831819	31		0
1933	10g9hbxzitpm2hrywc3xus8pj0	$2a$07$g9ljSDZejWi6wQL04NlFr.ZmoOyKkZNCwyp107xytg2UauglBFsNm	43	2013-08-02 21:11:43.125162	2013-08-02 21:11:53.190782	31		0
1934	10uqneu86h6647f0s8tb2rc2uh	$2a$07$jm3mwlXUMRU2l2HuFfxObe37c4bkGab/IrFDnxtA2A4Rd1Fwsdsoy	44	2013-08-02 21:11:43.162957	2013-08-02 21:11:53.55539	31		0
1935	106ffzu0vroo4nlfjka2vycre3	$2a$07$XHx1mKPpNNTqGIh1nkDTBOxxJiFe.X6/4rTf9AFAj.ohR8x/dvHUC	45	2013-08-02 21:11:43.184716	2013-08-02 21:11:53.926424	31		0
1936	10iln72nfnykw1gd5dgeqv0h77	$2a$07$ydd0//lm1w5WCKN2DubBvux/ayluaS6Uw6coLoJvwHscIK1gMFyjm	46	2013-08-02 21:11:43.206466	2013-08-02 21:11:54.291016	31		0
1937	10rs9kr4rds48fkoft3c3tacmc	$2a$07$BanDBhA4E2qQySIsbQf5ieQY7.9Fk8zwBwhHj8XdFHE088OKKmOmu	47	2013-08-02 21:11:43.227548	2013-08-02 21:11:54.661828	31		0
1938	10htya8bajn2me319wjtpszbof	$2a$07$NTeZgUoNygz2kCg.AXinxOXsO1777nxm76Ws5Yjwj6aKm73Sv6joW	48	2013-08-02 21:11:43.248986	2013-08-02 21:11:55.033865	31		0
1939	109l1daf34w237ap5chqa87cyv	$2a$07$scaDEdz0yMh96zlCJoVqLOiJGR3ybbVXxVP.MH6owNhGZcE2d554K	49	2013-08-02 21:11:43.270626	2013-08-02 21:11:55.171123	31		0
1940	10wcegsinr4qswpju6am2is7qb	$2a$07$9K4ZG6/xNzHmzoHTbgj7w.OC.Uu4COBRipes.z4u14d2Qh6UD9oiK	50	2013-08-02 21:11:43.292474	2013-08-02 21:11:55.313118	31		0
1941	107jtwnegjfa0xzubh46mki0r5	$2a$07$NhRbtDCruRQzO.PviujQU.Sf9muRchjY.FOND8qONqIiTVzEoV0xa	51	2013-08-02 21:11:43.314953	2013-08-02 21:11:55.462564	31		0
1942	102ufzpvx2bfozcx4c31sai3mg	$2a$07$cuwO4GZBZoat39n9zHouJOSJCgimUZXwSo4fkIR1EebUqNTpwNg66	52	2013-08-02 21:11:43.341816	2013-08-02 21:11:55.834336	31		0
1943	10rjlfqx6ykmbws46xgjik7bpk	$2a$07$MBgO9foY5NZZ2U3/Y.vXeuFu5nD9/oVYDCCAZ6GSnPMPNhFy/LO1m	53	2013-08-02 21:11:43.374136	2013-08-02 21:11:56.192497	31		0
1944	10qa1bzx7348e13dbeerpcwcdm	$2a$07$Vhwo0F2T.hnoP4fVLBCSI.2k4zlCKT/sT05c1i7G2vRFtxBdf9GVG	54	2013-08-02 21:11:43.395954	2013-08-02 21:11:56.538593	31		0
1945	10bpc1ppk073950iikopfbgyw0	$2a$07$3c2h6bVSv0QALO5EjeNyIuYxdrd2n89y0Vk6N5UcPOUwPiklKYqwq	55	2013-08-02 21:11:43.417379	2013-08-02 21:11:56.909592	31		0
1946	107u1zzdl1ge6q70ap02o88ofz	$2a$07$YrN4PLyBxYGnInjwNZ2SJOIxwellWk9fO1zaKugXZdmzUYTZii7Oe	56	2013-08-02 21:11:43.43868	2013-08-02 21:11:57.276502	31		0
1947	10jb6j0kjnfcgkrrchia2k8bw5	$2a$07$U/DtLfNfFJjdLBVH3jXJA.LNOVn95Ge6tjWkHoMmOkoA/PgmQcJki	57	2013-08-02 21:11:43.460157	2013-08-02 21:11:57.648213	31		0
1948	109j4zgafz89amclbyxq6sm8gb	$2a$07$StRKpQdEO8DrYQv/IXytre1O1XB/DYi.yMkT0/aEUPVfEl43UyK/2	58	2013-08-02 21:11:43.483777	2013-08-02 21:11:58.02103	31		0
1949	10s9bwhiwyf0uawp2jbi737tf8	$2a$07$e1lLSfQ7mUFr/ZBTGeuhL.M3VE5A5j6g7VIcXrt3J0ec5wdv9OKvO	59	2013-08-02 21:11:43.505658	2013-08-02 21:11:58.389851	31		0
1950	10u89c9nfl4jv20sy592mskxav	$2a$07$O2bb5ToAZbR.r7WitkKDk.DVaH1Xhb1JByWVEbQFlL0Um4sSKbi82	60	2013-08-02 21:11:43.527255	2013-08-02 21:11:58.598097	31		0
1951	10h9sougtlep0fzbmgd98ukloz	$2a$07$Ts5SXoJzZLD3oS/2GzUd3.Edq8M4Gr9bZYP6F95h0vBH47TbN9eqi	61	2013-08-02 21:11:43.548882	2013-08-02 21:12:01.226889	31		0
1952	100vw6y70s0fj3eglftlcyoa8n	$2a$07$0mBlCgPv.HGs0Hi0KjNAbuqECSLQxd3Ob.JU/XdPgk9Xrvd9gags6	62	2013-08-02 21:11:43.570443	2013-08-02 21:12:04.327995	31		0
1953	10kj0mokg810p4f9jf9nmoyyua	$2a$07$S.YQLZ8wRrIE0YyFgXqPqeSD5ZY9ZxJEOh/csSIjgWWBgHYQRmJdC	63	2013-08-02 21:11:43.592214	2013-08-02 21:12:07.403586	31		0
2647	10miniqqd9p764vwozxx6iwwul	$2a$07$CH5yKFXa1PoHDmqvr26sMu308Nb6NEYL/psPYWE4fTTabhxffE.mu	1	2013-08-02 22:11:44.034587	2013-08-02 22:11:45.593512	43		0
2648	105gvbwaioaio3r1t4sj0fh5ox	$2a$07$Q7FKNmNyx6YWjdRKIfKZwePbn2VyttQ0Hoa1i7gP.UAf1XIizmLLq	2	2013-08-02 22:11:44.064367	2013-08-02 22:11:45.74083	43		0
2649	107gfkgzuir0lggiphydh52tfq	$2a$07$94cUr2iB/1K8Hw.1/6V3L.4PtTfPD/OBBY8bqvS//kCDVUeu6r7gC	3	2013-08-02 22:11:44.085792	2013-08-02 22:11:45.871568	43		0
2650	1051jl5zlss3h8ezr40sckvsqe	$2a$07$9Gjt7sJhsXILi3zUoiGKXuH/QbSj0z888r.LGtTF5.YjZ6cPohKPy	4	2013-08-02 22:11:44.107562	2013-08-02 22:11:46.158625	43		0
2651	10e4skkhhrhxha14eyotufucux	$2a$07$rtEYPdjJ0FxGoT8K86ksi.RGJKtd/IgTsho40lQkqLDa9PZqHJQai	5	2013-08-02 22:11:44.129047	2013-08-02 22:11:46.289277	43		0
2652	10jhf2nqzkoun7ivypkvbp20mw	$2a$07$AxRI2vKSUoL91xl1ePXaZuo99nIORLHPfKUlFDjvrEW1jEx.ckt5u	6	2013-08-02 22:11:44.150385	2013-08-02 22:11:46.543118	43		0
2653	1009q8slx23t1uzxkszyx1md4v	$2a$07$zB3zDozekFSj6BxnXtkvDeT8OWB.2b2vmLKtiazbdQHhebgOJwiyS	7	2013-08-02 22:11:44.173231	2013-08-02 22:11:46.675358	43		0
2654	10frw084vhz79rthc1nbfpbtrg	$2a$07$RIDCCO1mEzIwJZC4SHtwxe4KqGzskz0MbQVkJsC2zmhwlGGeSTini	8	2013-08-02 22:11:44.197808	2013-08-02 22:11:46.805372	43		0
2655	10i0s0jtm4om4xionoyzlrb3qc	$2a$07$9RvdanrwAB856zSiO5KIFOxe1Zaa5hQvHQLcLLRvMtYPOeLChOum6	9	2013-08-02 22:11:44.21991	2013-08-02 22:11:46.930583	43		0
2656	107771aewaxm9g7xjof6oyqy8j	$2a$07$mmmwaEZvaJ6ggvHTnT2DRugshanGLlsN8EUbR5rj/oL8MD1aJOeUa	10	2013-08-02 22:11:44.241098	2013-08-02 22:11:47.071566	43		0
2657	10wm3uj5z7s4tzqcz34ofiwg6q	$2a$07$Nvfp2LcYWfegMaxS9QISYuionTzo84MwvRDRqeV07PhNt4CkaU4Na	11	2013-08-02 22:11:44.263606	2013-08-02 22:11:47.204775	43		0
2658	10o20z60sqamiv65cveb388uwm	$2a$07$T/jtnTBIjy/YvrjR2JBBg.jqOS096OKIC0Drj4m1ijhgtbFSVVO5O	12	2013-08-02 22:11:44.285332	2013-08-02 22:11:47.339336	43		0
2659	10603jfzi9ztof1yumgi1c4h70	$2a$07$Au.iM/QFU3peSXKXxeJ8puX1jfl1atEhUMa.Cy0bAysIoOZXyXheS	13	2013-08-02 22:11:44.307176	2013-08-02 22:11:47.700228	43		0
2660	107mv96k6auqmafmgyq80jzpgv	$2a$07$j5hixrsprdSSukzhYZlx6OW2vpeBfWBD913.LxgWC8BjSPxw.ADs6	14	2013-08-02 22:11:44.328722	2013-08-02 22:11:48.055879	43		0
2661	10djchnp7am7fgui31cle6tu4e	$2a$07$vU6ZuRZClrCPJ2Mc9DshkOnpdk2B83vYGZiqZD.7qve/XAym8zAhy	15	2013-08-02 22:11:44.350216	2013-08-02 22:11:48.415695	43		0
2662	10eo0mefk0xmh0ql5cgweqgkev	$2a$07$qgKz7u5mkG1ucriY4iqahOirJBo8SljSwnLkJNgpQ1eAjJMSzklaK	16	2013-08-02 22:11:44.371605	2013-08-02 22:11:48.560569	43		0
2663	10udhx5xxtmkpg4f9bwpxrpgxp	$2a$07$w.KInYxd/1A6iEuZ51uA7OEnb/51wqEDMJ675tQ/ilPzlObqEB3TS	17	2013-08-02 22:11:44.392888	2013-08-02 22:11:48.757362	43		0
2664	10s38b62w61g7kwsb32tqwqyvy	$2a$07$sWEb7DYoaw71cCkhv/OV8.FkLWrDtIw6Bv/asCf1SWD2gsFA3a8V6	18	2013-08-02 22:11:44.414269	2013-08-02 22:11:49.102299	43		0
2665	1048d9vd07l6skxvnl4u8c9ws2	$2a$07$e6bEkxa3AKY0VihNPhfSsOFZRLaL3HBb7Av5.uOUB7Cjoi7dJVQf.	19	2013-08-02 22:11:44.435789	2013-08-02 22:11:49.249883	43		0
2666	10s1cc3jm0olbwlsholwyigkop	$2a$07$Jcfx9BYXmrEPIsHxGmsJ2.CkuBPXhOE3Jogd4Bzq1iwg.J7yueaM6	20	2013-08-02 22:11:44.480496	2013-08-02 22:11:49.39144	43		0
2667	10pgxtr1jzoq0l7n8u0if6n84d	$2a$07$9.Us3aZpDkn7FIRMy.Lar.IZur4EmpeGD9axyiP4cnbd3uPzBMNhe	21	2013-08-02 22:11:44.502172	2013-08-02 22:11:49.536889	43		0
2668	10hxz44t6vab8o360i0wzfnmi0	$2a$07$qnBjVKBP.tJNBFqYqI4bB.KY7JWAGmqLEb/FbXbGELBtE37Jlsj0S	22	2013-08-02 22:11:44.52396	2013-08-02 22:11:49.889722	43		0
2669	10ivhrthfalk7s86k82ebv4emm	$2a$07$HjRfY7QT9rPes0qMmkS/IO3tanM2ZwzqUqEe/93jCdUxchTuxRNl.	23	2013-08-02 22:11:44.545442	2013-08-02 22:11:50.027483	43		0
2670	10oq7b5kigjj269wnlynozwq9v	$2a$07$TOBF4Jf0z/VEdje1yILeqeOzaqFCQZ4ZpTPBWwZ816o/zcKCF3C7.	24	2013-08-02 22:11:44.566781	2013-08-02 22:11:50.251738	43		0
2671	10xn36iu4r5hqphmchjfqctljq	$2a$07$djh63IWwf8.l/YVLaMgC/O3ejpg03WnBSHK6j.EZuW16VcVd1I8.K	25	2013-08-02 22:11:44.58811	2013-08-02 22:11:50.598977	43		0
2672	10d2m2qo2y42qreos3cobyoi5i	$2a$07$E.MCMS0zbYwgqbuhcWI59OFL8CvZjnyLWu6v8lb3vShDmZRhHv6MG	26	2013-08-02 22:11:44.609451	2013-08-02 22:11:50.785213	43		0
2673	105ir3qfewgmtrel9u7fpe8vaf	$2a$07$LIYyD9sjglKQqlmLOYlfq.nUfyRYugTnKX2oQu1XmXQd7A6oqyJXi	27	2013-08-02 22:11:44.630949	2013-08-02 22:11:50.969081	43		0
2674	10uoqf8xuee1hpk5fp9kc29205	$2a$07$4DxBNOyQ.DJEiMuOQA8HKuVae.jHdyw3qze/tim23o3lNUTYS5YHC	28	2013-08-02 22:11:44.652514	2013-08-02 22:11:51.341377	43		0
2675	10e7oieoci3lv4xnmgi80zu625	$2a$07$aAFGabWYe44yH4RetRAfZefAllIR8BmCUoZvxU4Ekkfh39Kp/kypG	29	2013-08-02 22:11:44.673834	2013-08-02 22:11:51.71825	43		0
2676	10n406u5hjhr7800xk2m1i3zzx	$2a$07$ShiFSUl8ugMz0j9w9SoNQOD9XmYIdSS75UoRIinYjZ6YMPWrmv7t.	30	2013-08-02 22:11:44.695169	2013-08-02 22:11:52.079729	43		0
2677	10wbnsbas83zszva9bmzy8ymtv	$2a$07$DpZFtgH00zwvWZ/u9ZNf4eR0ypSLb4LQgMOoCjTVPlRpikP2MZYKu	31	2013-08-02 22:11:44.7175	2013-08-02 22:11:52.196227	43		0
2678	10218j98xga7jzm98p142h9qra	$2a$07$l.gabM5kUMTNnFHcDk1Kket1GWS9TKnNVFCoigam1HgvgCMo/FTOe	32	2013-08-02 22:11:44.739323	2013-08-02 22:11:52.328733	43		0
2679	1054d8388yi2c8harh3sho8b7a	$2a$07$jQGfQlJ9YMG3Q0OXr8EhgOMaN.6p8hU3sVXhkPkkpb8e6BoIrfhJy	33	2013-08-02 22:11:44.764159	2013-08-02 22:11:52.466966	43		0
2680	10932a4lqu6gtv2nqr2mpgmmn6	$2a$07$j6Y87sB443jauyT8mS/w0uTTL2bL6B3pXIu92wsFkh0xHVRVkgbYO	34	2013-08-02 22:11:44.787583	2013-08-02 22:11:52.602867	43		0
2681	107ci3tak6droqlqkbaux0hilk	$2a$07$W1aQ5UVRXUlNaPslkMCk0eW.GCTXBcD6D.TL8tK.So7bOSDgTWodu	35	2013-08-02 22:11:44.810573	2013-08-02 22:11:52.738002	43		0
2682	10989d05e5cjdtfu2bo0svempj	$2a$07$h..UyL9jfV3uGWZ19MR/MOm3VM4ftYk7axEvL.kE.9SWpRot9YGqi	36	2013-08-02 22:11:44.832083	2013-08-02 22:11:52.875956	43		0
2683	10avcx6ybfn2ijzisinpafm4h2	$2a$07$LBLOzqNG.BIqFJHcwijVd.ZRvc.XRL/QBakMBRt3.5ndPBnJKTVw2	37	2013-08-02 22:11:44.853443	2013-08-02 22:11:53.003955	43		0
2684	104c0f81n05o752c2q6tm7zkqj	$2a$07$M1JK/SbyQ6L/nkZxdlLMVO1dtFcCwGZTeX84yLxiNS3JU3KO3oFCm	38	2013-08-02 22:11:44.874754	2013-08-02 22:11:53.13429	43		0
2685	10zwo1drc5hfshoo42fvmfr8jk	$2a$07$wxFNNEYZ.PSLG3ZqglNlZO.5UKXve2YPomMzPEG6RGkpZBVJ0Swbm	39	2013-08-02 22:11:44.896492	2013-08-02 22:11:53.313173	43		0
2686	1035b6qavvj0rkr7tf3j8m8vg9	$2a$07$DCAfCU0huNDF3vFtc1C9w.R9R9XjkP8bTTU9/KvRIpTR11wvkOfl6	40	2013-08-02 22:11:44.919292	2013-08-02 22:11:53.685966	43		0
2687	10lty7rynt691bo325gtzmq12d	$2a$07$Cz8jN10NRg5zIY00QQSNqudA3rIS0p468NWfrdP5Kk1EXAE/9KvEO	41	2013-08-02 22:11:44.941006	2013-08-02 22:11:54.047643	43		0
2688	10v74b3w4fvh6k2cwn5zlidaom	$2a$07$65OgnNWCIUNOeDGPlbgeu.Rb94PiBkHNbci5alH50wrFy2WLbXTtm	42	2013-08-02 22:11:44.962599	2013-08-02 22:11:54.418831	43		0
2689	10byg12awtf1nxrzvd1ftvcjka	$2a$07$7LI1dMigr1SeeFrL5CFIEOW.8jI24KhdePKlCEcarGDB8lhKt3T9O	43	2013-08-02 22:11:44.985101	2013-08-02 22:11:54.807816	43		0
2690	10wmf57r36v4j0p765dsb6z6ik	$2a$07$x2EfZ5GHhuA2Ree85uqOTuESOQprSVTJ6Bu/qeHk6EBQSelM6MNEy	44	2013-08-02 22:11:45.009078	2013-08-02 22:11:55.173501	43		0
2691	101eq1xpe9cp9qh6p6lfffnzqn	$2a$07$UHB5WxQCpUKnP/uJ.joNtu9.mNQQs2d2FlV54f7ZWXjyovJgbRMq2	45	2013-08-02 22:11:45.030589	2013-08-02 22:11:55.547207	43		0
2692	10501v7ru48w4xdpjvqcyaqk0p	$2a$07$xvrnLdMMNNz2TN.AsZmW5.tKLxmOIm9Mme9eoIBrYhbgLO2vlqUny	46	2013-08-02 22:11:45.05202	2013-08-02 22:11:55.914864	43		0
2693	10sg31mlokbo1aju2kp59nj9nh	$2a$07$XOikC1wWSLscsF4if2sdN.MSYnXLjy0N5qA438OjxlfJP/gGxbA5.	47	2013-08-02 22:11:45.074167	2013-08-02 22:11:56.146031	43		0
2694	10w4v1gr4mha2e49vta6tu7wzy	$2a$07$TO7DdCGLkk2l6z0hPw82ie3Sc7DdVM2Mlu1EP.vnXGFr3cnKZnK7K	48	2013-08-02 22:11:45.095698	2013-08-02 22:11:56.361116	43		0
2695	10pmy9knrcu635gprqflduag2t	$2a$07$F7hCvSfMGSGfn7CqK1tOHO0upBmZERiLKy1RYs9WLIFczsqVHdYBe	49	2013-08-02 22:11:45.117066	2013-08-02 22:11:56.734412	43		0
2696	10zxf7ddk96vk7qg4mzlf0n6oi	$2a$07$s/kzngH2zSUshCPXokwqWOo3aEcx6FUSIje7XoR1bacoZEEIRJN1q	50	2013-08-02 22:11:45.1386	2013-08-02 22:11:57.106958	43		0
2697	10qsdznpqlivz3ffcvz4qjvume	$2a$07$Jm5CDjEKG3tSeJ6UGADFpeGTmUZqon29OXopgh/wGG1JwhPaAydue	51	2013-08-02 22:11:45.160275	2013-08-02 22:11:57.474511	43		0
2698	10oom0hmx3aam6yx6iij788aqc	$2a$07$CNHujGCmJTsYCmwrs0ieSeycHb9ks1Fxf0lYk20vmicpfUrdX.p0O	52	2013-08-02 22:11:45.181913	2013-08-02 22:11:57.838349	43		0
2699	10ry6hg639ghkaacscjw43w5di	$2a$07$pDY7ZB0pc8WMttRwwgAWYOlQ/shGQ1vhCz1e6HDmnlaTNNVyU/0gy	53	2013-08-02 22:11:45.203422	2013-08-02 22:11:58.198816	43		0
2700	10yn8anrc8ar5ee2thdzygbt3r	$2a$07$8jRFOhVj1uA2Vpz8/ikbXemkbNFycXrpLkyiN/vh9SFphmhksabUK	54	2013-08-02 22:11:45.227021	2013-08-02 22:11:58.567594	43		0
2701	10urtgtl990a4bi4rsdcgv2hly	$2a$07$WaSIYEcSH6xO5hW2mGoLPu1hDp1PfitnlrBA5Q0xkD/KRL4IritAW	55	2013-08-02 22:11:45.250225	2013-08-02 22:11:58.931345	43		0
2702	10g52tr73pdfwk8uyd1akgdjxp	$2a$07$w2Rfhdu9o4SSZQXdctAIJO8fvnUKEqSVzk6NACjst4GpGHrVfBW2C	56	2013-08-02 22:11:45.272278	2013-08-02 22:11:59.294612	43		0
2703	10oz1cv2ngb8e5iq7wtjmv5y8l	$2a$07$4ovNkRvy9fXH2GHiP7iDqemRAPaa1FjLg08h492NixYGR1V9TstPS	57	2013-08-02 22:11:45.293948	2013-08-02 22:11:59.664069	43		0
2704	10rbes5ay8v8yxn6lxxc4xykq7	$2a$07$W263BdEkcwzv0T0eW3W3Q.PFsBmSn9PmNB/hRJzyhPxWl6RLzBEn2	58	2013-08-02 22:11:45.316818	2013-08-02 22:11:59.99676	43		0
2705	10gkih6c3fb86tku2ix84gccca	$2a$07$hH0XaF6Omxnz7xyxSAzrdOQAVduOc2tRqAGs.1Dvnw4ER0KxjD.ei	59	2013-08-02 22:11:45.346155	2013-08-02 22:12:00.362301	43		0
2706	1038afrfd0990d883jowdorme3	$2a$07$k4nAaws3ZckhZsNrKvTFJuy1ql2Cl.SmQNqr/XSlQEfJSbZf5MPZ.	60	2013-08-02 22:11:45.37858	2013-08-02 22:12:00.728037	43		0
2707	10gshy1ea74jsgcug0h450pmva	$2a$07$iDPEZOs.FI6ZSpq4.YMkKem/HMfm81Ga0/vnajj0xKJ0PwPsdQBym	61	2013-08-02 22:11:45.400303	2013-08-02 22:12:03.450731	43		0
2708	10jtaes9mfsezt04wu9lloulvj	$2a$07$RgdNzc.R8h.dUIbzM7RnKezh.GNsBZd59/jmcENTIbsUQaHgDOUia	62	2013-08-02 22:11:45.421804	2013-08-02 22:12:06.472929	43		0
2709	10164qndjjyu1fq5ch1imrjr0f	$2a$07$kcQk2pI8Q7exAEXn1VnRHe4FaCCRhLHSkdw5Y5lDPsWPO8K3eKysa	63	2013-08-02 22:11:45.443265	2013-08-02 22:12:09.472425	43		0
1954	10wx0itmk5opbjh4qwwuoom9q8	$2a$07$MG1XYMI.dcDPcFF2Swe/1Oi5RJNZypL9GFMA53BbOCAtPOCh3L56m	1	2013-08-02 21:16:42.080199	2013-08-02 21:16:43.572765	32		0
1955	10j7gx9qnuhnlyhgs9eod2lvvc	$2a$07$W0Lblc6HNRdX5aGgLbc8A.YQDX.uTeXWDk0hccEWJ8ZdLe8J/WsA2	2	2013-08-02 21:16:42.107132	2013-08-02 21:16:43.714443	32		0
1956	10wez8onj1ffe8q3g76i8zj2jp	$2a$07$BMcv8rIZqRVSGXE77QgR7.z.wAYHmCD1HKGCMOBwBL9WXYH3YJ/4O	3	2013-08-02 21:16:42.13017	2013-08-02 21:16:43.851424	32		0
1957	10o9e2ippig90w7t8qteyr95ft	$2a$07$4X88IKVk82Z1mBwy.YHZ2uDeRYq9qf84/A3WYWfiyWNj7ReY5MHp.	4	2013-08-02 21:16:42.151561	2013-08-02 21:16:44.223823	32		0
1958	10on72g98juzfhj50u0rvvvmhi	$2a$07$Ep4ek426PPUZ/AiUHOQxo.dfOH7.aypLz9YH3mIq18Sj2w9FgHIWO	5	2013-08-02 21:16:42.172856	2013-08-02 21:16:44.488479	32		0
1959	1044vcw33zagid9wk52xt8smqc	$2a$07$qwaYqD49PVew0ylse371fe9axfD2RqB1vDkCKNL/O/G2FhrM7BmdC	6	2013-08-02 21:16:42.194119	2013-08-02 21:16:44.652778	32		0
1960	101bj0xarbmp8dokmkt7mcabiv	$2a$07$CbSE5dmGm87pSLOAQ6bT/eWbBdlka7nm9Na47wKtrf8cmTwxnMQaK	7	2013-08-02 21:16:42.215401	2013-08-02 21:16:44.79244	32		0
1961	10ysin0rbfw9jun6m7o3ie7y72	$2a$07$OXUyNnk3nxPnninu2Fl0Hu3wvQraLhn1FgXU9/qvHIMKJwIfCqPxi	8	2013-08-02 21:16:42.23679	2013-08-02 21:16:44.923149	32		0
1962	10d9thphmpmt1kqtsz18f9ugm9	$2a$07$KqiVkpmwt0REl7IBQ9xCIuOnZiPO.z4UD8gt8xzIw97yNCV6TCC2.	9	2013-08-02 21:16:42.258002	2013-08-02 21:16:45.038438	32		0
1963	107zobg7nrx3diji03te5aqun8	$2a$07$bLwfyLprAGcRg9PsWW0i2uDM7duVGXYBEaBr4HdnjGh.9gU.uv.3S	10	2013-08-02 21:16:42.28049	2013-08-02 21:16:45.176737	32		0
1964	10338hv87j1mi4gthdk5xeoycy	$2a$07$JXzvsecKVwAEPORuPMVhhevG9/PtUt4Ex7jdpbepuOmXxfHCCVoHm	11	2013-08-02 21:16:42.302985	2013-08-02 21:16:45.296999	32		0
1965	10hnp276ps20ys6jmiheqgaghk	$2a$07$9SD8Q0RKYgA5ikxk2yEqdOXD9StD.8KqkbJjokOG/sevsDEeNkPnu	12	2013-08-02 21:16:42.325352	2013-08-02 21:16:45.406987	32		0
1966	10sv76ee49n1r8bn8odu10wybc	$2a$07$p.t6akBseS7H.QUHKtivieS4GxLI/5zOlw9ltZOEnwFpj/xhbiFS6	13	2013-08-02 21:16:42.346878	2013-08-02 21:16:45.763219	32		0
1967	101miqyhbhfq7nd477dnuy9hfb	$2a$07$BV91TXhLk0bK1Mt3XGC.QeCeOvPlIUGW.6pKqGORm/ZmohfUyyvVe	14	2013-08-02 21:16:42.368349	2013-08-02 21:16:46.117817	32		0
1968	10fwaou70sp3xoqamj9zlnk2ij	$2a$07$qr.Uih49jbssnLfj5qsIa.csYfJebrn8g2hGwg5JJuDw.1qmz.ayu	15	2013-08-02 21:16:42.390038	2013-08-02 21:16:46.482387	32		0
1969	10wq47e2t3es34oy1noclysqdm	$2a$07$WGfwVwD7YpKxu3bmbq4DDeRGj/SrJDW9vaQuncpQTRbqZ8MTzayaa	16	2013-08-02 21:16:42.412576	2013-08-02 21:16:46.844679	32		0
1970	10sjxw3utc55o2fyl4uclasy1x	$2a$07$CVyT2inSqyPK66gwGkFkseXbcO83EWUzinTHnwpWQkC8BmVVfK7q6	17	2013-08-02 21:16:42.435053	2013-08-02 21:16:47.080864	32		0
1971	10zkw12cq9esbq2ki0ddks5ptp	$2a$07$i250xBvW8qeOoRU0kLwaluweJEOcK3iR8OsUzoQIiRwQ.R5MptwRC	18	2013-08-02 21:16:42.456365	2013-08-02 21:16:47.241087	32		0
1972	10ljponzbscdm1kcu8h9ii8f1s	$2a$07$axKqtsVspKOJSkOBiPSCe.oZr82e4dSCCX8jQWtcGgtbyxII2Ytli	19	2013-08-02 21:16:42.477877	2013-08-02 21:16:47.372659	32		0
1973	10kj9gq669fzbyfgc4ni17nky1	$2a$07$qlh0K4uPGa/iYMRz2N5Opu3NiPRZuK7ZM2yB9G1kuu9ZwoNsqlm3O	20	2013-08-02 21:16:42.500347	2013-08-02 21:16:47.509121	32		0
1974	103czedhr9g1c9m8xd61g2vngm	$2a$07$vUAfrvbY4NGlkdlDsnHN..1W9/tzPTJakBMHLrmh0nI.EyYOzJHPW	21	2013-08-02 21:16:42.521943	2013-08-02 21:16:47.646405	32		0
1975	10borpxbunq42c9xelk1ws8r92	$2a$07$u7VMYoi.IV1i515cqWUBz.NgvZH0.bHQBwc768jLKDscTogu7msWe	22	2013-08-02 21:16:42.543465	2013-08-02 21:16:48.016375	32		0
1976	108qqqch8ndpwmkranojxwg0fy	$2a$07$tFCCjDt/Qbc76nau4xo43OkhduEAtrJPgz9PsPnNTpKn.uo3QEsoW	23	2013-08-02 21:16:42.564742	2013-08-02 21:16:48.375983	32		0
1977	102adqc65aee77ilay59kd1h29	$2a$07$B8clWgTUNnxxbWRImSk89OaaOEeEXICLZkFhsFnxUOJD687trSTVK	24	2013-08-02 21:16:42.585936	2013-08-02 21:16:48.740024	32		0
1978	10vkabfh13gpx9haepu3ho2vzr	$2a$07$oO4xDireglhHhMRhqrdY7usV2PnJabs94yV53tSGEhP4y3STm3k4G	25	2013-08-02 21:16:42.607184	2013-08-02 21:16:48.932449	32		0
1979	10rvbye8i1vol9nqnegn35jlmh	$2a$07$HwG1T8CABmPfLDAN9vfldup2FlmY/62qxrPgcIoL8DkXaEwBnwz1K	26	2013-08-02 21:16:42.628326	2013-08-02 21:16:49.154491	32		0
1980	10h5i5ivft3do5q471w0x22vda	$2a$07$0esIIF3ix.Eicpr3Xar4GOiACVNOjXIN8VWP.VF3Sr2I4iex/0iR.	27	2013-08-02 21:16:42.649669	2013-08-02 21:16:49.403962	32		0
1981	10tv4hbkxkvws8djhl08nbt52k	$2a$07$TGFB4xuQEPGBRFrr4VVPq.fdD2knbpsQaN.Qd04BlXOurS1s/Dwd2	28	2013-08-02 21:16:42.670878	2013-08-02 21:16:49.751554	32		0
1982	10o25rmdyiu8wxu5nrrb9os1eu	$2a$07$0UtU4J/OM4ztb/2HOFXnjObI9xMVV4NAcr36/f6LXyb.qq7oCTOw.	29	2013-08-02 21:16:42.692026	2013-08-02 21:16:50.109305	32		0
1983	1028mki0kc7fagezk1dk8ebwtv	$2a$07$Una1P5OTSJjSdwA3HJXfIua1UFQkqsAq.pAd51aHk6xnQBWoTrcIi	30	2013-08-02 21:16:42.713294	2013-08-02 21:16:50.467969	32		0
1984	101wrrk7msf9fhq0l9z9dua5y3	$2a$07$hTxmdy5cokfv6ykQytCYuupwTbyxv3JZ3.ECKnCeDP2F3rM/uhcFW	31	2013-08-02 21:16:42.73556	2013-08-02 21:16:50.601719	32		0
1985	10i0tirkh10qtf6rp7r7chrvi1	$2a$07$TGrlnrtJIRNklK0t8G6baei19Ir6kzqsfobotCoS5ZjgxnYmFtmhi	32	2013-08-02 21:16:42.7569	2013-08-02 21:16:50.769572	32		0
1986	10boipc31z4ivx2cxgkzqt0qrc	$2a$07$Zwvy9kwOoTJo6pDd85ST4e0KFRPI46X/3JfbLuKbq7voipAxY.ZZS	33	2013-08-02 21:16:42.778261	2013-08-02 21:16:50.898826	32		0
1987	10ykczpsezdhv91cd35wpvqo8d	$2a$07$.goYTHhMOeqbHXHMaWq5iOHW8eGoizqy1ZL6xruasuzoRbTE/EGJK	34	2013-08-02 21:16:42.799529	2013-08-02 21:16:51.037309	32		0
1988	10jwsu0r7f62c91h3pfhkucvcu	$2a$07$4mBxG0x7c14Qn.Q0SL6BPuStKXmJYj0gVMIntjDuqkzL73WVcPDeG	35	2013-08-02 21:16:42.821317	2013-08-02 21:16:51.155127	32		0
1989	108pxiu1cq6ps5z553ifejiyyo	$2a$07$3CBhBd83LznEsX8TAzm7CusUbYkwjU.cdc9UzyOWMSo3w.5CHVGRu	36	2013-08-02 21:16:42.842513	2013-08-02 21:16:51.2775	32		0
1990	1080nwq9lmpivc6e5xseut8fdc	$2a$07$fQ9gt8oV3ep2R1hxuPY4QeOrEEAKvVc4vtAEF0lK5fRxjMCrWbplq	37	2013-08-02 21:16:42.863796	2013-08-02 21:16:51.644851	32		0
1991	107kp7k5r1n0srpsq1k4fech2n	$2a$07$r.8fKcX8wfhAKbXkZL/aHuwxKMeUpeXmtudSlwB5P111ME8jPgVVC	38	2013-08-02 21:16:42.887344	2013-08-02 21:16:52.010746	32		0
1992	10to6lyggth1bsqy9j0p0900od	$2a$07$XddMlyJmf/NEF51sBYLZXugPqN8rzwCqkkvFVVwnHcH5QSB9sKrMu	39	2013-08-02 21:16:42.91152	2013-08-02 21:16:52.199866	32		0
1993	103izz3gygpn8xr6o0bouatyf7	$2a$07$/.uZns.VrKie0wu4gmY4AecyT1MrVlE8gfvRiy3FcPpBzk6NeysJa	40	2013-08-02 21:16:42.933207	2013-08-02 21:16:52.564067	32		0
1994	10ugtvxdylodum566ydvtuj2hi	$2a$07$43Pa0Q.dMIy7IHZ7tjjvZOP23PcT2qelLGdrUALSVqBXbQZ1BWjnq	41	2013-08-02 21:16:42.954632	2013-08-02 21:16:52.931159	32		0
1995	10dny6g63s8u0ktwrt34tlz04s	$2a$07$RtkLNyuMNQtyQdzvHSF0B.V.qI8NAipo6yrN94qnsWqrkG0jcJzbi	42	2013-08-02 21:16:42.97592	2013-08-02 21:16:53.292089	32		0
1996	10fl55uw1mgh6aocrse9ar4nlp	$2a$07$OH0Kdn0e0ecoJggBdJkHcOEEdn1ru/PdPBTOG39pRgAhZ6rLJbUF.	43	2013-08-02 21:16:42.997288	2013-08-02 21:16:53.655002	32		0
1997	10sfjniq2xsiho5pbelpe87hj8	$2a$07$D3LvVPNINnp44nc31HjSCewYsb40246BgfeLR7n8Ep5/CVnleRxHm	44	2013-08-02 21:16:43.018621	2013-08-02 21:16:54.02356	32		0
1998	10dt2buyg3q1nm0mgvve6sppuh	$2a$07$/3Jbt3BR8/43NUZRpDNup.NjpRl9ohE.T7JQbXjh1./zv7IdJaq2C	45	2013-08-02 21:16:43.039811	2013-08-02 21:16:54.397216	32		0
1999	10nxgdz2z1u5v4par58nks24t9	$2a$07$oqc20WE4gyygPQbBPStaruiYX9SPZHvyFDgEM4LmbxWUy8jFs9YV6	46	2013-08-02 21:16:43.061029	2013-08-02 21:16:54.618315	32		0
2000	10bl47y1k2gb81tu8nkspnjcpt	$2a$07$VOo0EukUMIHTnRa3eKKbkuFs4KZ1HBdNc.iNPkBVcCdgiPNZ7JR3W	47	2013-08-02 21:16:43.082144	2013-08-02 21:16:54.915144	32		0
2001	106s31bix3a5bwocowc6g1571b	$2a$07$i1qCbtMNNN7NIHOAbahuuu9yYGQ6UxCfeHuUGOYYzNVcOADTRKOk.	48	2013-08-02 21:16:43.104069	2013-08-02 21:16:55.261016	32		0
2002	106fg1zeoka8sa93mf2bdgnta5	$2a$07$U7/XdbvCeXYjCmc91HoyeO1M8P1cunfYxvFQDgYZ.qN7yT.xN19e.	49	2013-08-02 21:16:43.127335	2013-08-02 21:16:55.392101	32		0
2003	109vzjj9a7mqaiza8bquckxneh	$2a$07$ntPgKJKZQpWeB.eufwsx3eKQzQu442sU7kNPJKQgjasBGN83z762C	50	2013-08-02 21:16:43.150092	2013-08-02 21:16:55.536362	32		0
2004	10jv297iyiiyzokk71ymi2npn0	$2a$07$hnb7jIpt3diZEZvegV.yuuzjEOihSrkOiC.RE6UoDHDM6tQHJd2sK	51	2013-08-02 21:16:43.17148	2013-08-02 21:16:55.657868	32		0
2005	10eombtu8bxah9xgb0pjz452ai	$2a$07$cs6wksqSZpAlWXB4cwyB.OVlfAjqj0gmlycct2Lu6L5T9qIRbtXci	52	2013-08-02 21:16:43.192743	2013-08-02 21:16:56.027841	32		0
2006	10ebhdia2ycxycbj78gfimcgz6	$2a$07$zdAxB/wbZzxxPn0tHPZTNueWPuEYzJciwcelukyz/khKTIhghmqw2	53	2013-08-02 21:16:43.214019	2013-08-02 21:16:56.377246	32		0
2007	103r1h1f0yn83ssqa44o1jin1x	$2a$07$7T16gubiyso.4chFIWd5qu3YHNA.ruOCsKyNOq8czGH0FJF8QM2HC	54	2013-08-02 21:16:43.235225	2013-08-02 21:16:56.747199	32		0
2008	10vxcwjaz2xwnz1r2ap0q711em	$2a$07$COFVUFvXiflDom/zxH/cpO60JeZNHbhLLfBQ2dNToX46O2M9zkcHy	55	2013-08-02 21:16:43.256405	2013-08-02 21:16:57.111045	32		0
2009	10zi7tdbyrbtmkrm4vspn9nq49	$2a$07$jD7A.BZ1WzP9gLlm8iACAOUvUXk3pRIik24ZL8z/lzt79gxadzsae	56	2013-08-02 21:16:43.277573	2013-08-02 21:16:57.475239	32		0
2010	10v1jqp9p3bmgh4sx6yjnz078f	$2a$07$uwkvSmidJRR78I1YBPewtO/VjTkScc/Ckc0beWpRchIvsnQ6oIfbK	57	2013-08-02 21:16:43.29895	2013-08-02 21:16:57.823493	32		0
2011	106e1pxln27jmh6x0wr58gtdww	$2a$07$s02RUARwaoLOHL3mY15Syeur6ugFaYDTcOfvGcHDRlfDR56fLIyIa	58	2013-08-02 21:16:43.320186	2013-08-02 21:16:58.070782	32		0
2012	104hiql61qkvsenkdi8vw7twus	$2a$07$cDNUJen77mXAUlsJu9oYfemAuUCL35KgYVOsoYv4flk2uFw9gRLw6	59	2013-08-02 21:16:43.341457	2013-08-02 21:16:58.282666	32		0
2013	10doedkgb8fulfha0abyg17gcm	$2a$07$04KpleM0NtS/alUdE4oooe2LIKl9sFwbs/RrWG5OVbbWbKAJ5stLK	60	2013-08-02 21:16:43.362961	2013-08-02 21:16:58.618103	32		0
2014	10emd57p1jl7nofk1jtodzi4d9	$2a$07$30aBHlKKy8laN.j2sd7Hfe9vt/xQwzPTsZ/hlMPX.SrTXq1z.bFaO	61	2013-08-02 21:16:43.384176	2013-08-02 21:17:02.107889	32		0
2015	10t2utr7huzsohk4zogqjfg4g3	$2a$07$X08yn6sHmMHhqVC9KGOwGuSayHyqkNNKjBmEX2Um5AGWsbxrQdpFG	62	2013-08-02 21:16:43.405624	2013-08-02 21:17:05.135299	32		0
2016	105m96cf4krk96v25fapmw9w3a	$2a$07$8DUABlLt1DOtbnyJM33bVOALNsOr2pqopKUBL5AUzxPXANbuRkfly	63	2013-08-02 21:16:43.427974	2013-08-02 21:17:08.312634	32		0
2206	10qlk1cjwh6hizpl1xkt99x8la	$2a$07$jUDpDU7P2ho.7Q58U.F0Q.eE6BF8q.ZoocezJfxwnSDoMwBPxt7Zi	1	2013-08-02 21:36:42.026021	2013-08-02 21:36:43.67609	36		0
2207	101fh5noc9i03tb05x53ljzl0j	$2a$07$lRce2yKNKMS2bl.o073Scu//.1yMmhYKp4zraN5YAgHqdZ5y4b7k.	2	2013-08-02 21:36:42.04967	2013-08-02 21:36:43.821724	36		0
2208	109u3lvf2tekcpl8v1qyf2fwwb	$2a$07$ycC1sqTm/ytmV0PbfEeM2O0OmoBTKhFgbx9PuXprFfeeNi6VOmAYu	3	2013-08-02 21:36:42.081704	2013-08-02 21:36:43.961228	36		0
2209	10264x4q0u8v1gx5jh1l8p38xj	$2a$07$cw.dw26vSn68cASLdETQxO1Runsv5sWV1tCRrKcdxK8LGfFd7I5bi	4	2013-08-02 21:36:42.112128	2013-08-02 21:36:44.25606	36		0
2210	10vehuau0y5v64m5g1tnad1k8h	$2a$07$FevZJkqfGwtj9Hb1l0Te9Own0zIn/ZYk51gHcqHNRdzQX9S/dPxlu	5	2013-08-02 21:36:42.139277	2013-08-02 21:36:44.38674	36		0
2211	106r5xc7kgokdp7a47azhivb3u	$2a$07$MwCBoYO0YPmpKEpNV0t3ReqGlDHA/7SFw1AujfRLUhXFCq7IPwb2m	6	2013-08-02 21:36:42.162703	2013-08-02 21:36:44.646019	36		0
2212	10t2g74snq9tk88lqt0zlnksfy	$2a$07$IyH9ioHVaK.2j93qoXfD8e6P.boS8UmWyCr4ODh0rZ33cFV12boe6	7	2013-08-02 21:36:42.19389	2013-08-02 21:36:44.765545	36		0
2213	100wd6xjg9oegahvxeplw3sqgq	$2a$07$dAcSNu80afdaoW3dqmgYTeMCj9twk7YvP./BbvcdCtraSeA2/IcH6	8	2013-08-02 21:36:42.217246	2013-08-02 21:36:44.885934	36		0
2214	1056drf6jy4rmvje5ik9fo1tfw	$2a$07$NugsVvniReRYnrgs..QEGulDzfOutRnMzucjUsksO7HvTfp.tZGQK	9	2013-08-02 21:36:42.24768	2013-08-02 21:36:45.018674	36		0
2215	10zkogu2wvq1k3579zf7fsspjw	$2a$07$Y.teuTjrCfsoUK9/O4w.4ekfl19zImOoj5vdPYQgVtOveqJiZBdqe	10	2013-08-02 21:36:42.269106	2013-08-02 21:36:45.150395	36		0
2216	10ru9zid5x5qauesookjt0zitr	$2a$07$rIxJVOUSL1gZYUPa24XnOuKeoQB9dL6DJfR7acdzRx9SbcaYColTG	11	2013-08-02 21:36:42.290585	2013-08-02 21:36:45.281497	36		0
2217	10u0pjtgxy2dh5jpgvhxcxzk0c	$2a$07$XYx/gnpdwTqls4JBKIHV0./6RoRaFSmbmoVBIWDZXUzPqbZoNsj9O	12	2013-08-02 21:36:42.311866	2013-08-02 21:36:45.418002	36		0
2218	10apjz1gp7ux5zag7mcukf7yzk	$2a$07$./e69ty1sI.LKgQAtyVQ6eL8/ltK6MS7e.j/EJT.IMoVCvdYrs//O	13	2013-08-02 21:36:42.333429	2013-08-02 21:36:45.777121	36		0
2219	10gakcuyr97p5nqawggrxpie4p	$2a$07$TBNYy44uirh8QrybUPNi0.CEecD8BK4Gldo8UdeWQzMj8PXBPSqNq	14	2013-08-02 21:36:42.355129	2013-08-02 21:36:46.128142	36		0
2220	10tel2veowiplvb58xsb6izsl5	$2a$07$KsLrzD8cSPeTpxq75TSMAumtdGwgGM68pbSsFTGEJTFXNej/p3v.m	15	2013-08-02 21:36:42.376817	2013-08-02 21:36:46.502373	36		0
2221	10nmi1mvtv72uz100pm2hlllco	$2a$07$oxzc8O4ho//Oi0IzZ.3XXOFo.wekKF19AjWpxmtgkgg47gyH00b26	16	2013-08-02 21:36:42.398246	2013-08-02 21:36:46.865916	36		0
2222	10e6rbj2l1vod6phz6hjvgg1me	$2a$07$g5QnmsGWKYlwz3lxzupfaOxSOHiILOlsHb.SNWg.XmVsmeL/Q9YtC	17	2013-08-02 21:36:42.41976	2013-08-02 21:36:47.125409	36		0
2223	10zuf020028hs6n0ztbi5p6a6y	$2a$07$BGq1p0AZrEEvE8w.iEpe9.wKq0iOhI2Yi445t7G/70Ro7Xlv29D3y	18	2013-08-02 21:36:42.475436	2013-08-02 21:36:47.297519	36		0
2224	103yumgkcp5gt4go6ua8ayogpm	$2a$07$1.780bSIT0W1pAa97I2YW.J8kYiCiJwZhRh7pE5NJ7kwybtmK22Gi	19	2013-08-02 21:36:42.500817	2013-08-02 21:36:47.435442	36		0
2225	10ssdojzj4u4vs69unojo0zwz1	$2a$07$nrjoL6EtMhTnwYFqdq.Ga.Q9/RYLQ09iUVhX6j30PW1tOkRnWQR.C	20	2013-08-02 21:36:42.523588	2013-08-02 21:36:47.570598	36		0
2226	10zxyu4x6wwh3s0eut8vo57bcc	$2a$07$mDRc6M2VUDQQZN21/391Uug4yOutn1gzLoXXihUosHDjConIFtIdO	21	2013-08-02 21:36:42.546604	2013-08-02 21:36:47.700872	36		0
2227	107u7fmipd00hcnhp5r6nu0sli	$2a$07$wz1TdOblwkX5y.H.RrfJQOimu3QlTh40fnwKkkYLtG30Z/21r/JLK	22	2013-08-02 21:36:42.568151	2013-08-02 21:36:48.068149	36		0
2228	10xzxoyvkeouwo1wto4esvs5wr	$2a$07$MH05WrDBCQ4AWMflxISykOkg1/ganNTIjisTdkDJ2hEdSobFYuVKS	23	2013-08-02 21:36:42.589695	2013-08-02 21:36:48.431325	36		0
2229	10jzawwvclco2b5sg43c2wxjqj	$2a$07$5PEWuQg3aeoLc.RB9Lin5.okeax3vtsRBEUgFmvNRs2Nv3/SIU4rm	24	2013-08-02 21:36:42.611466	2013-08-02 21:36:48.745242	36		0
2230	102wv7wkvnpctzylgeijie7ufd	$2a$07$MRPJ.7UJnLM/T983omp36uYkO8tjvCfbzKIskiRDmHgsmx1SDUkDS	25	2013-08-02 21:36:42.632847	2013-08-02 21:36:49.114399	36		0
2231	10g5kubgrjrdi44kaai4bfv13v	$2a$07$bH.VOIe6O5.ghvrLBbIBy.PInnM3ukYMzdADLkrBwpbK5h7959CMC	26	2013-08-02 21:36:42.654342	2013-08-02 21:36:49.355534	36		0
2232	10pujzp58rv5fmr9rl7mos8t06	$2a$07$uR1T6oc2/KdyHFOr24ljwe/W/1c6tJEErT0W5uJ4/I94y3T3NabSC	27	2013-08-02 21:36:42.675758	2013-08-02 21:36:49.538139	36		0
2233	10ytbcb7nww5v8dhc4o0a1lmdg	$2a$07$qyD1Fm38s5aYBWg/N2DqQOHPMc/UuYs355ylY4RemvrQR2kbXMhTy	28	2013-08-02 21:36:42.700461	2013-08-02 21:36:49.908835	36		0
2234	10dpsjbi1tph0f3q6erpxma3ve	$2a$07$lfj25LLoqTXnt8fFjTve3eG6u/1yOSrxonq4tt9D4Om6bcet0QOW6	29	2013-08-02 21:36:42.724935	2013-08-02 21:36:50.274964	36		0
2235	10w8cfmludnb7d0943kvkfspnl	$2a$07$asO/J96K8Shm64rkeQyHL.pZLoH8npO1NxuF0KwuVISoaIW4t8gIu	30	2013-08-02 21:36:42.747189	2013-08-02 21:36:50.640956	36		0
2236	108xzk3umahjkuwpsp7wmyuzdn	$2a$07$IveFwv9w2naq1iyvRZZXDOM32P0CVYcLqppfZ1AfGGkvdHjL.wvXS	31	2013-08-02 21:36:42.769592	2013-08-02 21:36:50.779827	36		0
2237	10grpto7wlxskdsiyso200vr5l	$2a$07$mDUHx8yKgxaUWfIEvKn3O.stcr8kUMupM7j/aujPOOSg34mgUq2GK	32	2013-08-02 21:36:42.793135	2013-08-02 21:36:50.901737	36		0
2238	10e4aplc8iyvgb906j2fcr9iad	$2a$07$HVOPRY4Fm/9ZkBcOAJZ1HOlFwM/cUdN0UckgGPZfEBwS9VF6N31XO	33	2013-08-02 21:36:42.820157	2013-08-02 21:36:51.022241	36		0
2239	10cadn4iwycb8chyi3qq0j1bod	$2a$07$hsT5MJx2im85OQ1E3OLHQ.mqOvxvlniWRzxCgInOyV3/WZuwMo/lS	34	2013-08-02 21:36:42.863186	2013-08-02 21:36:51.139887	36		0
2240	10pdmnurlkaf71sixj2yz96muo	$2a$07$CW7CZ.VSnVme37knNSA9euREFISsFNGrxeUQP.cxZogjIG.Dar7dS	35	2013-08-02 21:36:42.886346	2013-08-02 21:36:51.273536	36		0
2241	10x16ak07h2gucvkzee429zw0s	$2a$07$GpgPT6jm5M0s9EA83S1UwuGhFGuT1TwNzNa4Yyb.SPp1yi53YwvMq	36	2013-08-02 21:36:42.911136	2013-08-02 21:36:51.405242	36		0
2242	10ep7nkvq5tpvwocfcf7f63fw1	$2a$07$37qkR1Jcfd73G6Faea.ceeYciNO/WwhCvI0T5KSPA2vpaqu83KaEW	37	2013-08-02 21:36:42.933695	2013-08-02 21:36:51.779182	36		0
2243	1006w71z6vdubezoehxjee78cb	$2a$07$vRBdE/Il0TTl0jLK30Rk3uPQhx3ETZHywBr2BooCF8nqesBA6t9HK	38	2013-08-02 21:36:42.956161	2013-08-02 21:36:52.142246	36		0
2244	10s5rc3hq686x9eesschudvxxe	$2a$07$wIC.D9/zU8U2v81z18AjqeKoYmJLixROkoBzoEiOFQeQ0DhJJY77i	39	2013-08-02 21:36:42.981194	2013-08-02 21:36:52.420564	36		0
2245	109p9pl5sa8vqprv9kh7cdev95	$2a$07$v9gwiScr3yAebSHGNAJHSO/ACdgTCkesF3mgUhQDw5gw8diJWdvPm	40	2013-08-02 21:36:43.003402	2013-08-02 21:36:52.790923	36		0
2246	10a88brxps2bobihi7z7rfbi24	$2a$07$5plaoapEU.D8PzO0MZb1aOsZk49m0GuWII8tVA/uROQOzdSkZ.UYK	41	2013-08-02 21:36:43.026155	2013-08-02 21:36:53.147368	36		0
2247	10k483riml20io79lklprbx91c	$2a$07$aO68fXwcCxty5CE1wVR4sONU15Rxv1.m/3Yh9YcEDKkYai87ePDjy	42	2013-08-02 21:36:43.049186	2013-08-02 21:36:53.477986	36		0
2248	10ad4hdk5p02qo0b08qcjvyu0s	$2a$07$lginGAMRuiHGgYeqeUBf4ORWszBkUl1jh3rh1RD9Es5qPK85oMqFu	43	2013-08-02 21:36:43.071862	2013-08-02 21:36:53.833493	36		0
2249	10tjngtu18hra8onhkbputocc8	$2a$07$KEoR2S9wyNk45Uma8b4.iupXuzAuChHgTv9lcGh1k4zLB7jWhEafa	44	2013-08-02 21:36:43.094056	2013-08-02 21:36:54.184316	36		0
2250	100c9durxtngqrklzcnopt667e	$2a$07$bsc.mN8tQVSB5853zgzJ4.KO8ZJbH9EiPx0L55ymZYu..Z5gtc5oy	45	2013-08-02 21:36:43.115722	2013-08-02 21:36:54.767503	36		0
2251	10jueeh7iqfd23h6bnyqq6o1xa	$2a$07$NJLR3s0Mn4WDsqC966pc6uyRRDsEOt6DVoUW0n90fZ/DilsVYHOxe	46	2013-08-02 21:36:43.138562	2013-08-02 21:36:55.132375	36		0
2252	10jzfyqngp80bz4ara9ha054dt	$2a$07$XZcPCFLeIaELG/2AKc6eDeVdNWSay23CtLfKEMlgw8WLUXFr/nD9i	47	2013-08-02 21:36:43.161676	2013-08-02 21:36:55.513074	36		0
2253	1093letm0psmr6694avhm4vmcv	$2a$07$yrDbhc9K99ievY0d9DIRNet8lNh.6sQuX5L.PYh4VAE2z0vrriDPS	48	2013-08-02 21:36:43.184826	2013-08-02 21:36:55.874276	36		0
2254	10vlibpn85ium7ru3ur0z7wa6a	$2a$07$kx1r720VrNNRq9ypm9jFKOuWfwZnXv7wWq5NpSKjO6qZ2607LA8MS	49	2013-08-02 21:36:43.20811	2013-08-02 21:36:56.243359	36		0
2255	10tn6pl8lwjs4dscq5ws1nmxvy	$2a$07$tXvt0D2EuJyw35UltrxvAOzY.wI6OUbWklaNGzr5iLLxL2Ix04wrC	50	2013-08-02 21:36:43.230475	2013-08-02 21:36:56.614791	36		0
2256	106es6axrkto6hh9mt9b88ksdq	$2a$07$xEZ0sFIOzJOvqZFBkzIU..t.3ku1t1/7JxPUSW7hwmb0IzxTwzkSW	51	2013-08-02 21:36:43.253554	2013-08-02 21:36:56.975519	36		0
2257	10y4ehs89dcwo4cprwp9ns1g2x	$2a$07$j853p5Ca/CdQaJ4fUExChur6K.tvJ1/Ic9tqsNYVk58oFuhWcyLhy	52	2013-08-02 21:36:43.274905	2013-08-02 21:36:57.295347	36		0
2258	109xibnxdvqcygz5k379xht5ow	$2a$07$9myHm34ls4ay8i2Tu6ylX.cpKtOj1xz5m4diI7w3xwqz/PnRRPtUu	53	2013-08-02 21:36:43.296108	2013-08-02 21:36:57.497634	36		0
2259	10pnbe0q5rebkueu5m2l04rlo9	$2a$07$G4rAmci31TgEsh39kzaqL.gmxl9jo1WtCPy2TjZnv8hRV/0qTB/wS	54	2013-08-02 21:36:43.317423	2013-08-02 21:36:57.84277	36		0
2260	10opcsg3v9ddcbe4e0vr16ma3r	$2a$07$u39kWzdM5Oe7eK6ggsLv3OORio7PIiOM6GDe22jQMn4krY1VzD99a	55	2013-08-02 21:36:43.338639	2013-08-02 21:36:58.203971	36		0
2261	10adb1sloomkzhhx9sc2ssbt74	$2a$07$jqJdDaPAwi8xwTs.gYsLEuj.FBFngMgWxCxzkFrc2iiLBGLyitp7u	56	2013-08-02 21:36:43.35981	2013-08-02 21:36:58.57176	36		0
2262	10o4vaz8z9ojcfctfxkqoo8t7a	$2a$07$06QdGDOgPRUSf8oCTTOBUOXwxf4Ind14JBQWKW3Xk5wIuyEBSUHWG	57	2013-08-02 21:36:43.380974	2013-08-02 21:36:58.942076	36		0
2263	10kvx0v5p4nuotxz6va7gmwxr7	$2a$07$MBCbZ458wI0456JNi89i0OKZdHSUFk6gkHhx08/rvwHQYYSaSkhKi	58	2013-08-02 21:36:43.404125	2013-08-02 21:36:59.305482	36		0
2264	10kdbk2o9rl3r7lrvhsclhd8i8	$2a$07$ekiyy5NCSGeaBwiyskqG6.56l0VJNLYNz1A91q03SB2cEGCmS5QI.	59	2013-08-02 21:36:43.435966	2013-08-02 21:36:59.666264	36		0
2265	10ualxxmhomgeu39fr65167qbx	$2a$07$ArV/ihOnRMKywbT3z7g2xOojKStP68ykf54o08yf/ctQxIED2kNIe	60	2013-08-02 21:36:43.460985	2013-08-02 21:37:00.031115	36		0
2266	10b6wwm7zn93dth2dq9m4gy70w	$2a$07$goZh0UPnLkR6zg62lS23Y.M18/TVkZamJ5MxpSTMv89gkXxOs.qb6	61	2013-08-02 21:36:43.482392	2013-08-02 21:37:02.970759	36		0
2267	100opm36mk529qkufvks2mr81g	$2a$07$A1Euc0ODi/m.EWdMJZbx2ODgnGrJhCfQ0xMzews/RXtLQG5lfXmOu	62	2013-08-02 21:36:43.503737	2013-08-02 21:37:06.56045	36		0
2268	10ha7153q5b1kd2slwsd0plowa	$2a$07$LFYzLm8gi0zXpXQIePFP0.wlivLPoY4EoVQbhjRyhVQgMAqmHXBT2	63	2013-08-02 21:36:43.525232	2013-08-02 21:37:09.656882	36		0
4096	10t1ymljiiyrqmcqeqnvp27lmi	$2a$07$7gcLN0P2znuLQOtb.17pyukPnsK/o2vXAxWqeL.qqbhwm.//eg/kG	1	2013-08-03 00:06:44.061341	2013-08-03 00:06:45.601786	66		0
4097	1012lprfoxdnqcrxm8z3fevby5	$2a$07$Tr0GNdctPUKrkbnGVrGQy.fDJtycFR55OztJzBSGU72WvXahdfLLq	2	2013-08-03 00:06:44.087386	2013-08-03 00:06:45.739416	66		0
4098	10q6po9bwqox6sveiyqtz8ucy2	$2a$07$SglKeZtMRiF4mzGxpveQI.IT/oH5U.m1DLrI7uL4XJp5zSNP0DYzm	3	2013-08-03 00:06:44.109554	2013-08-03 00:06:45.884887	66		0
4099	108102s7q26sui3ugfv7us1297	$2a$07$AsDpGpGm23MSiq6DiSUWTOzVGtCGJuLAq4OKk/DZZiFSFSKa2kUMO	4	2013-08-03 00:06:44.131533	2013-08-03 00:06:46.197338	66		0
4100	10fvg6yogf0yda0ib4jrg51zg0	$2a$07$LHKCadgWhrhK75MNtZm.uuwxJs392dahajR/nxhacqL7HJ9Wcxjk.	5	2013-08-03 00:06:44.153465	2013-08-03 00:06:46.353905	66		0
4101	10x5ug8az834evx087zyn22b0d	$2a$07$zQ884cR/3tSmS3zJsfq9Ge1ut9DWjfPDGa5JQJhsGxN3W1bkL5a56	6	2013-08-03 00:06:44.175793	2013-08-03 00:06:46.619907	66		0
4102	10176c4kvgmp450vqx426v118y	$2a$07$LyfL7tgKIkvgjXdNGcaGL.hLYKjLuKRK5czgcfFlxPf8Aq9KfLECi	7	2013-08-03 00:06:44.199052	2013-08-03 00:06:46.773527	66		0
4103	1074l08tql6lsmud6wnjdnouz2	$2a$07$E4p9LxqHHulK6PxTarQ34OutujAX/NdhLRt7SFHST/IuhqQzflBju	8	2013-08-03 00:06:44.222107	2013-08-03 00:06:46.920876	66		0
4104	10m2jhir958owl8slsqtyf9zba	$2a$07$QFSz9AfMj6JwihWE4eqwgOh/OpkG3NZD6dQJYoxdW5uV6Q4fnFn1a	9	2013-08-03 00:06:44.245096	2013-08-03 00:06:47.059206	66		0
4105	10a05f8lyezoq5x7wr2ld49ubq	$2a$07$bmShAqP/jFmNEfTVjJJO7.erSHts0tgIqYSivkuReBrKQRhUgr7ry	10	2013-08-03 00:06:44.276532	2013-08-03 00:06:47.193328	66		0
4106	10dymindyd1j9ypqb1c2gja78a	$2a$07$wvfMJEI7/ai31crDEJjk0OPg9IWqq3.YlWMDzpgBd.WuC7F.Q90SK	11	2013-08-03 00:06:44.299134	2013-08-03 00:06:47.34319	66		0
4107	10dqj538h34bp8954bhb5va60f	$2a$07$HempxVe5IZ/obHL2G9PktuYTfOQ9vHHbjZKxVoZZJ0qoH1LwCoreK	12	2013-08-03 00:06:44.321619	2013-08-03 00:06:47.470076	66		0
4108	1067xeio660i01098k5gus9bum	$2a$07$equQCP4mBgEoCgUXWUSI0OJDt3zLjkvchhjnFmu14.q5Wo4SROonK	13	2013-08-03 00:06:44.343575	2013-08-03 00:06:47.638728	66		0
4109	10zo72vpje0msnl8bqqtb1k7vr	$2a$07$jUfPBYc7R1KQAJuGZKIZVeTLhGAHvCNihGonHP1k66xn5PGFh5cRS	14	2013-08-03 00:06:44.365338	2013-08-03 00:06:47.805855	66		0
4110	10xga46nb0qscuhvt8xknkg1t5	$2a$07$8R4vU3eVCx3sBrfb.a3I1edyVgrMLVWLcr5K/2G7bw2HmeemMcPNi	15	2013-08-03 00:06:44.388825	2013-08-03 00:06:48.15367	66		0
4111	10uy04d332mqdl4vogeic8lkuj	$2a$07$Btwit5jR.j7sGGYSMhE3QuKDEofucRxA1OkRGvW3NhyltTsFjW4AG	16	2013-08-03 00:06:44.411566	2013-08-03 00:06:48.29258	66		0
4112	10uxo1xymy8msyy02b53yymzuo	$2a$07$p8M43ufLdRtC0NHSps20Qe3fQcO1W59ga6ZOfwFCDtmM7r/CKyx3.	17	2013-08-03 00:06:44.43321	2013-08-03 00:06:48.435923	66		0
4113	10q87a6lmwrbtq05lzgpqg4vpo	$2a$07$tA1YOb1yzvRZxNTHU2GZ2e/2zDmPc8ggqzpnCKf5I07y3/pSYG43K	18	2013-08-03 00:06:44.455404	2013-08-03 00:06:48.632358	66		0
4114	10cc8ek646zugcowl49xuzidn1	$2a$07$3VaoLo.BH3sHooTS6G948Om/k5RTpMICJv8yK9rqYyp6znVt0lXTy	19	2013-08-03 00:06:44.478283	2013-08-03 00:06:49.018131	66		0
4115	10ozmqdul5vlcw1ix53wgue4zw	$2a$07$fqJkf.9rDPiHl/ErgCEKyejj.EjMbBhkQmjjqg8E2rgzrd9kJtw3a	20	2013-08-03 00:06:44.500764	2013-08-03 00:06:49.395459	66		0
4116	10vposlk4tb7131fbexo7s2457	$2a$07$IB.Ui7.LHru.iGszHY.VQuxWVBNMuvFCNPuagz3CRBHu4p2Vsb8RK	21	2013-08-03 00:06:44.523489	2013-08-03 00:06:49.788687	66		0
4117	10shyygi4djq3oa4t41ijt4q9l	$2a$07$OP8Z6Fue.pDIfXrATjpMOulwXsx/p6zbJXjRdcU9Tu16z1GXcB3Ju	22	2013-08-03 00:06:44.547068	2013-08-03 00:06:50.178375	66		0
4118	10vdty8efv2jq0hj4hjwdr14bk	$2a$07$wYWDMCQuVCyY4kQ9MrSWDOBcDGeOUE53aIs2bcKgBv09nccOCZrS6	23	2013-08-03 00:06:44.56945	2013-08-03 00:06:50.336373	66		0
4119	10n7m5apsvhxdnworbdwpthfo0	$2a$07$xrloLMtqOrxCyKbB3sRmDOGqYa5aMVxEszyADZx.LNeMoQKAUKCOa	24	2013-08-03 00:06:44.591164	2013-08-03 00:06:50.476836	66		0
4120	108b53vniwpcxd5ym5h1ttbu3k	$2a$07$x1In50d0QmUvgmWv9jZ5z..DNO1v69apmPOyoFKvT.Ya4pQDWWzrS	25	2013-08-03 00:06:44.615721	2013-08-03 00:06:50.861378	66		0
4121	105o6k3exndj50p7m9651wxp27	$2a$07$P/vly8d694/f.1.ePU2L8u6I7aUFYOey5tu7KJEfwa5w3zL4zQA/W	26	2013-08-03 00:06:44.63691	2013-08-03 00:06:51.168782	66		0
4122	10kz0jpi1uk5ognojli3pzrbso	$2a$07$PidAT9PjbgHCeK5GncbkfOiZftMM5UNLAo5BJbSsII43iFFVico1u	27	2013-08-03 00:06:44.658592	2013-08-03 00:06:51.350415	66		0
4123	10d1d6re757jufiutalo4met7o	$2a$07$86UJOg3jEvr51eCvGyukb.vmgqVWel4J7skiogfxhD/TWJQjga4yS	28	2013-08-03 00:06:44.680401	2013-08-03 00:06:51.493878	66		0
4124	10ldk93u7i4sbj1r79m1kel0v1	$2a$07$ntIZkwzT6wjYcU74OK6XkujsuStRlqp0hEg6p1xe9yU/6PL.ckN5q	29	2013-08-03 00:06:44.702478	2013-08-03 00:06:51.643823	66		0
4125	10xr5zu0w5sms526n6bkufsy8x	$2a$07$u1aDwrVB1r/.waXHWI2OxeyAiOTiWOGkC0.e46oGVEYZAHpkF/1Ze	30	2013-08-03 00:06:44.724263	2013-08-03 00:06:51.750336	66		0
4126	10wkfs3cn6rmgowv7hpd9505vo	$2a$07$P3qroDoJDkvkfiMjYdzaiedykPygkvcAa1OihWADX4lyiqTi/ZYAy	31	2013-08-03 00:06:44.74614	2013-08-03 00:06:51.985396	66		0
4127	106zq1emgxiw13f2q3mkx0rw0p	$2a$07$xN.XZCzigZ1B9s3f3vywSuDh/ITISMc8FV56FPD/IB9QglIcsqgG.	32	2013-08-03 00:06:44.768096	2013-08-03 00:06:52.152256	66		0
4128	108daxd3h5trah6ru8bzdkzufp	$2a$07$Vl70bKVfEdmFZGh3P6LDFOYj/865Wcen/KDKzdbIHOzZcB2HA.um2	33	2013-08-03 00:06:44.79011	2013-08-03 00:06:52.411553	66		0
4129	10zk97bh6d06dnctbe3yd2y060	$2a$07$HdSWj7xCmbscC2EHxFVVeef3rpJGPhFZ4/XigkljMJQvAkfa6sQIm	34	2013-08-03 00:06:44.811848	2013-08-03 00:06:52.556006	66		0
4130	107cdkesjdxdj6zuel95mxy4ga	$2a$07$kAytBVAV9.gLY4j7KTBli.SVM6jPgwkDmqXdPMi8.ze0GFpkFWQVu	35	2013-08-03 00:06:44.83388	2013-08-03 00:06:52.691667	66		0
4131	104exzz1i1ubg2a880a5pda8f3	$2a$07$1V4caeIgWzynjN14ZOgmdeekUTAqxwEf0hDhGyOHi3MJ77oAOYOzm	36	2013-08-03 00:06:44.856418	2013-08-03 00:06:52.832287	66		0
4132	10lpyrv3i1qgks6h10ptytsv6f	$2a$07$a5XM06bh8KzHmjpT9v7jJuR1FmA3f137Qeoj0u99T1Wl93.t9XhYG	37	2013-08-03 00:06:44.879988	2013-08-03 00:06:52.973342	66		0
4133	10yuidydj8k67hn6bsuqi0o6vm	$2a$07$2klqB.fM.ey8bFmRvsAWyOS7Ho7.M3U6gzRYJ9F.g79KBa9iJ.dRa	38	2013-08-03 00:06:44.903558	2013-08-03 00:06:53.196445	66		0
4134	10yekplyc25g24ryszl4jx0t1q	$2a$07$cvscklWkmxloJMoABMq/Le4fW00UplWyX4MNPCAP0wZig/sq/JS26	39	2013-08-03 00:06:44.927033	2013-08-03 00:06:53.522903	66		0
4135	10v76uqurrm0lt54jsqnx2onih	$2a$07$CrKzyomqKPm/Ih9drMiXmero2FWvmSa6VuSqK.KwSxxajT40lWhJ2	40	2013-08-03 00:06:44.9488	2013-08-03 00:06:53.672012	66		0
4136	100poj4k1j5zjqll2tes7tmle9	$2a$07$HgtAgTRR.xmTNx3CfW3hGOBXd5uVr3fRoZuvW1u3YdsyKllAq5.b.	41	2013-08-03 00:06:44.970451	2013-08-03 00:06:53.825109	66		0
4137	10oxnzahrnhzrcbtb2zw3a1lxa	$2a$07$wclEPYke5upvfZAtxi6lrOO7BEM4Pk.U/IBF8GSf5eLbGHWwQ4s9e	42	2013-08-03 00:06:44.992197	2013-08-03 00:06:53.96625	66		0
4138	10gx0kilg4mz44itzz44w6blor	$2a$07$RUYXGhc6BYWk8mIeBzTK8eOwFqMoqrfT3l1wj2NQu59cY8yUpoaAG	43	2013-08-03 00:06:45.013813	2013-08-03 00:06:54.284137	66		0
4139	106nqbh73y241zjf0z6vp17p53	$2a$07$aepVmYh762zUH7Xn8gidl.itAzO1kGedoF/RKVkgrgVQsvvK7b4Qy	44	2013-08-03 00:06:45.035637	2013-08-03 00:06:54.468186	66		0
4140	10qtbkafvnx64tqwlp2gvxvzh8	$2a$07$Pq1OS7UUnu4rBn6fMzQKCufwiFcIDTruTYCM4XzjH3M1B0LpGaXg6	45	2013-08-03 00:06:45.057481	2013-08-03 00:06:54.754212	66		0
4141	10tb9reef898iesbrypa5tmi6o	$2a$07$oI0bZShma5IpvmYjRzQ1YuUAe7fqPXVt7mY7oUkQqUdQpLjOKYuJy	46	2013-08-03 00:06:45.079347	2013-08-03 00:06:54.939706	66		0
4142	103c3mg8qctthe5344wdksudgd	$2a$07$Un/T3/H9rhIuux9GYqyg6OZZkc8oGIeGHDywpkWVT1R21cNuX/PE2	47	2013-08-03 00:06:45.101702	2013-08-03 00:06:55.096014	66		0
4143	106lblhworgoki6mf8nkh94nv3	$2a$07$8UkVyoZvzrq2K3uEjRhSMO5QZ1SyCgub1B5uhoGy./BffSSGHfuqS	48	2013-08-03 00:06:45.123666	2013-08-03 00:06:55.318546	66		0
4144	108u3jmmuduco2o734dqh155v9	$2a$07$r1RTEizo71VM3SQOgjwE6uz7uhpDtYbvypzZO/Yw5s8409BnmXG4S	49	2013-08-03 00:06:45.1455	2013-08-03 00:06:55.460012	66		0
4145	10nrsu63f82n6vdylwkluhoytv	$2a$07$o791dbTQ.RhQwfirZ7.IZOHzyjmxX9NPE3Zd/7BRtR8D9xIbUux9C	50	2013-08-03 00:06:45.167457	2013-08-03 00:06:55.599563	66		0
4146	100v69x59fdzcm2611n0fs5bbm	$2a$07$n0MnZrpk.Al0jXMF9WyDIe71VzAaqB3OEXbj3LlT3GSsjuMoeZzVO	51	2013-08-03 00:06:45.189406	2013-08-03 00:06:55.724384	66		0
4147	10bnmrenx9p5ypp86ylkg2qbby	$2a$07$yacylrIAEXIk.ZEyg6Oqw.5B9Z92S92tEvHyUyK3lHHrvzNgmaRf6	52	2013-08-03 00:06:45.210966	2013-08-03 00:06:55.877128	66		0
4148	109fc19tg1le8tndnkq4jcwa2c	$2a$07$DTCnRBM748LBAshPCI/bgOXjIgWHHKM4o/ms2P.ss4uXj84vRky7S	53	2013-08-03 00:06:45.232481	2013-08-03 00:06:56.031408	66		0
4149	10t5boojssr1w8eqltyriazrjq	$2a$07$NUjQlt7ootDgh.bMitR4lO.TCMYr5nXlfEMr3dzFmKMPya/WMksUO	54	2013-08-03 00:06:45.253995	2013-08-03 00:06:56.158343	66		0
4150	10hql48sb993uxtk54nry9i82m	$2a$07$pex3zWiqUS/owDSAYPuw8.X/aEnjBtwEG9c6j7oGQ8bhmpxs5H0t6	55	2013-08-03 00:06:45.275956	2013-08-03 00:06:56.334972	66		0
4151	10uf82enr2koxoy2axa9bqioch	$2a$07$ppScE.ec4u1AKsAvSvewXOUSsnE0Zl8aAogCecBpQzGK0skOLXKoO	56	2013-08-03 00:06:45.297457	2013-08-03 00:06:56.512714	66		0
4152	10q16a3xyag8cwabaaavhe4kkm	$2a$07$KpP02fOKo5Nr8GStTKl1rOF7hIX2wbxXJW8.I3kEg32qhq97XowSu	57	2013-08-03 00:06:45.318684	2013-08-03 00:06:56.763639	66		0
4153	102z3lsznw5s7siao036ceczej	$2a$07$RSnZ14EHBwI8zv7XVUt2Xu9J7pKx/zB/v7N.guveN57FMHAoZ3B7y	58	2013-08-03 00:06:45.340325	2013-08-03 00:06:56.909119	66		0
4154	10ykwzo52hc309imnp3u7lckgd	$2a$07$zd.oNMCjyFVqJB8.0D.c9O0O284yGc9kIDe7d.oIdiqeBxFJTpJkO	59	2013-08-03 00:06:45.362181	2013-08-03 00:06:57.055967	66		0
4155	10ef0pvrv5mtbadaba1opn0g16	$2a$07$w7P.cihXvNLdgehXLeSiq.t4UEbov49nUqf1WSou97qmXkLSbdIUC	60	2013-08-03 00:06:45.383616	2013-08-03 00:06:57.20449	66		0
4156	10ffjnd6cj47qt1js46c6q30hd	$2a$07$.DIAEAQR0bqu38WkDt98dOr0pZkighKzgTgGHgt.j6T8XMLYihjl.	61	2013-08-03 00:06:45.407036	2013-08-03 00:06:59.954864	66		0
4157	107nvc8ub3xf3qmkokdp7n6izx	$2a$07$yZdFgrg8pwd1OMzAAze7n.Uo1sFFFOG2D9V18HNd8BVSuEmWRTNVm	62	2013-08-03 00:06:45.428663	2013-08-03 00:07:03.053021	66		0
4158	10zzh1gaihlry2424nba8f722p	$2a$07$5GSBo4HnDEP71SMCz1U2NO7aAQhF1Hy8jJFzt9TfzurLKrx9b7wi6	63	2013-08-03 00:06:45.450075	2013-08-03 00:07:05.958667	66		0
2269	105wqap6zx0fv4zvqbjful6wo5	$2a$07$Zba.kfWoemIH4rkqSncaaefT0V9HhxKR9ciNzsLXpxL/.Sfqr1sB2	1	2013-08-02 21:41:42.084113	2013-08-02 21:41:43.730252	37		0
2270	10huhvud5gzrkif91dchbnq6tr	$2a$07$ygUZlF8kfA8GMR6dwPAgmuiHrrhntRA0AyLbT9EOqBRvuP635y/fm	2	2013-08-02 21:41:42.119585	2013-08-02 21:41:43.871834	37		0
2271	10y9pnv63zx1814gxifmgttyd2	$2a$07$UR0LWbRQDARIPOrfmojXsOx5L/UvPSw/Y8jKBW6zPD59rnybsiUEG	3	2013-08-02 21:41:42.143519	2013-08-02 21:41:43.997076	37		0
2272	10xsmcrey00ry5axeqmiti7bpz	$2a$07$kiaDAwyiRH2LwA1pa/Aoie3.AfHCjBF89xmDF3ez0E6RCPzJHr8ua	4	2013-08-02 21:41:42.175828	2013-08-02 21:41:44.251905	37		0
2273	10ivuzrscfkce8993orp0y335q	$2a$07$GiJVrEuNbBjE32tKFxBc/uw0LmoutGwdPKCTVmdcPBqAauwOAoTQe	5	2013-08-02 21:41:42.209485	2013-08-02 21:41:44.419679	37		0
2274	10snhyv304rwtmlb43gllcdeq8	$2a$07$PXEcq2Td8bHAq5EzDNQgMOONvyvhQYv.x1goDZJsG4HNOlGrdhjju	6	2013-08-02 21:41:42.231021	2013-08-02 21:41:44.743635	37		0
2275	10x04c7lhgyz3d5lpiqlyi9p6a	$2a$07$hv8jRKvSX6h9QJjh9GwO0exUEr.Rh7F40arX7qgMYRIOul0PyOAC2	7	2013-08-02 21:41:42.25259	2013-08-02 21:41:44.874485	37		0
2276	10w1lngq6zjto55sxm8unxe6o6	$2a$07$WviHHBKx.1V72e.Se8rTu.A1D8vPnsd7UtCmx/lgCrqMERAyldgum	8	2013-08-02 21:41:42.274232	2013-08-02 21:41:44.994525	37		0
2277	10yyasn7jwl5hw07arax1kqcyj	$2a$07$.EGHy9yB1hdasvJwmqJ6Ne/IyGRU5SW0bAlTO10kxu8srY2OHNAK2	9	2013-08-02 21:41:42.295534	2013-08-02 21:41:45.128693	37		0
2278	10ibugrwylt64acwzs0uewbvz6	$2a$07$1qd4hZcTqUr4Sr0uc9pys.wGdHn65yW9.dP4d88Cyzk2zqB3FV9Cm	10	2013-08-02 21:41:42.316885	2013-08-02 21:41:45.259087	37		0
2279	10bzdepbu31qd8g7iv26kovw4p	$2a$07$Ho6lkNrgbL597v12UZHwweQNM8e5fLMYh3lBbFQAOSHaG5L7qbf2u	11	2013-08-02 21:41:42.338178	2013-08-02 21:41:45.392994	37		0
2280	10bejqzzb0jrnxgpnm04ki61ul	$2a$07$7V99beqZWlVvgwDaSeN2e.C.vU.DGPi9XBLdiSJXE96svZbaDJrJm	12	2013-08-02 21:41:42.359513	2013-08-02 21:41:45.514616	37		0
2281	10dhzakwqefwtvp6ifqvcjly1g	$2a$07$xZJ2EqHKO8AawOhi4j1c9OB43jzoOiexcMbXh3wi5sHplkeaHldcS	13	2013-08-02 21:41:42.381611	2013-08-02 21:41:45.864069	37		0
2282	10eelgxhqsyb5owzvvs1th7no3	$2a$07$bKh2A0KOBgf8qTl2A9n6tOUCUB8199dfM.32ybV0/dIPnErQSwFSC	14	2013-08-02 21:41:42.402933	2013-08-02 21:41:46.226967	37		0
2283	1001g1t936h341vlsidgwdevhi	$2a$07$Tg0ZBbZ37KKYkW/AStDY3.XIunz2KEgF9b2mQNMNyUbJcuIvX/s56	15	2013-08-02 21:41:42.424201	2013-08-02 21:41:46.593145	37		0
2284	10cd76u1v8awi30w14jhkmidf1	$2a$07$ndBjvCLbsLV3LBQb1Nb4Vuenu2NCGkoW88G9cqgNQoQ2zE1xk1Phy	16	2013-08-02 21:41:42.446611	2013-08-02 21:41:46.95897	37		0
2285	10vds69wvl0k03ab1zhr94ui5e	$2a$07$5FzweVlJ1dKqdblttJlFQe8671C..SsdpGkmtx5EHpTUSlrM8SaZa	17	2013-08-02 21:41:42.469423	2013-08-02 21:41:47.311378	37		0
2286	10t4s6ssfkpwhw2gtgd2ingd6h	$2a$07$zHql83O2eioAgkvxs0qV4Ok/zRjszSTPxrh0563jTFG1eGXhp6B3e	18	2013-08-02 21:41:42.491098	2013-08-02 21:41:47.455975	37		0
2287	108k6jgnznqouhymne7xhow8s1	$2a$07$fBgDHAQw6uU1BOIjin/Z3OapkCes.cqyao.RJGsQSZo/goCxezTLi	19	2013-08-02 21:41:42.512774	2013-08-02 21:41:47.585365	37		0
2288	10ttx4wshakhoshlvskp7t1d4s	$2a$07$0gvrOtQTYrB3SEH8ETdxS.ysuaazDcC3IE0aCNJDJLLlX5TYnNKBC	20	2013-08-02 21:41:42.534359	2013-08-02 21:41:47.722878	37		0
2289	107j2nl58yfz7whoy70pvwr9yj	$2a$07$qiEwiFowoK7RVSe7UBMguOEdFH.BYZfGftGPxgLv9aLjgy48MQC3u	21	2013-08-02 21:41:42.5581	2013-08-02 21:41:47.850127	37		0
2290	10w8yl86y1hoyia0zgf4j2fxxj	$2a$07$l2amJx94Lf87.ddnYQ1FSuPWfz1uGPyVZj8Y/Z.Erh7PinUXhgg/y	22	2013-08-02 21:41:42.585918	2013-08-02 21:41:48.187257	37		0
2291	1071zypx6ah1f4xay6y1dk437d	$2a$07$0tf5eJtg8uN9aRiNfouAou2yQA50/oa0iGG/6uqnxaSaNc/MGkZme	23	2013-08-02 21:41:42.61799	2013-08-02 21:41:48.458166	37		0
2292	10og30lo0joq6wuphglg9p9wt7	$2a$07$.lR3/9TOiv3EMvLwmHxfsexaoK/ISOS5pLr8g.8Y82qmVeVpoaVfu	24	2013-08-02 21:41:42.639319	2013-08-02 21:41:48.724031	37		0
2293	10wffpqzzn36u3i889ck72p1ly	$2a$07$20AJpSaqOVZLb4TqBMQmTezeoqEtKnnGMno3yUmG.KGBwioUJc/DG	25	2013-08-02 21:41:42.660801	2013-08-02 21:41:49.097017	37		0
2294	10gxfrlieoyq05mj2pfxpsqa1l	$2a$07$woG7HEcroW9Hjgdf.kwTg.Z889yKqrv3j.jpmRTtBoJRcggWunY96	26	2013-08-02 21:41:42.682272	2013-08-02 21:41:49.257836	37		0
2295	10cvzspthqbd8dx11thqnulwiv	$2a$07$oD014y30wxPKQg6seBxS/OtkoJm3V4rj2dBvXSDAJUC9GNHJHBVgS	27	2013-08-02 21:41:42.703893	2013-08-02 21:41:49.432385	37		0
2296	10t4f6nsir5lo2cbpu21exx976	$2a$07$o.Pvri47RewPdXqrswYpV.3pN3TQeSnt583h/6ZubjdzIoa2nV0Ae	28	2013-08-02 21:41:42.726125	2013-08-02 21:41:49.795896	37		0
2297	10jip79d6jg6zkh4p8pmhppvpy	$2a$07$9OsOtDOw.tvKTIeGr02AXOTY/uQex8fd3qeeS.ASp4QxGY2ic.mGS	29	2013-08-02 21:41:42.748087	2013-08-02 21:41:50.153896	37		0
2298	10oo9el7lomisgbu33vju5mewn	$2a$07$/wuDng.Z0ACqnvnjQz7oF.Czq5EEtei7.YLEhzTHc93ax9X3v1QzC	30	2013-08-02 21:41:42.772412	2013-08-02 21:41:50.520673	37		0
2299	104wnizb3rn4v0439vqu5368y8	$2a$07$kj8ls.fC4IgA5WT/LoApmOeoSnKlVpM.efPfLQNHh3MtyGxvvZmcy	31	2013-08-02 21:41:42.803781	2013-08-02 21:41:50.665702	37		0
2300	10i68hk36a28lhlhwcy72x6wuw	$2a$07$diR2KTy.8e6IXerZiO4mUe65xplGD3H/PFu0K8il/7p2Snkw5tEIq	32	2013-08-02 21:41:42.826247	2013-08-02 21:41:50.782793	37		0
2301	10l9z1qfoohs7i7nj8tnz97hvd	$2a$07$NSZA3TYT2oo7iXJGB5e/0.b8w/QenUIlUomSbRSWhg9QUSnwfyymi	33	2013-08-02 21:41:42.859105	2013-08-02 21:41:50.929205	37		0
2302	10t0knruunxjwmn3lx1s552hnw	$2a$07$1yPq8cXzPy1vScV6dqxJ6.hJ0DsaylO6eaHNn2/HBz7Xf5j2heICG	34	2013-08-02 21:41:42.897865	2013-08-02 21:41:51.058461	37		0
2303	10nrzbe5dbk3sifl39wxtvjhbu	$2a$07$PW92t1wnhlQI/CUgotG4JO5qE/XyK9I5R7FoOcLQh3qQR4FEaOJGq	35	2013-08-02 21:41:42.921676	2013-08-02 21:41:51.178907	37		0
2304	10s13t4mrgogp2lq799n9n1np0	$2a$07$m94a7/j74qLJ1MVOOZk.HudQN.WIB174wqbnCvCLUB0m7G9ewJM7G	36	2013-08-02 21:41:42.943193	2013-08-02 21:41:51.318997	37		0
2305	107w5uidhp6xwhejzn6b0xvqje	$2a$07$7F7mm17FOCV2lR0WWSZYUev/arL8qFwPlZOpXO0.uFcFIvhM2jvde	37	2013-08-02 21:41:42.964602	2013-08-02 21:41:51.456441	37		0
2306	10qh410okzknum5g1ioibgvi2l	$2a$07$f7lXnx3KNwQZ8/ND3ecFneFBzqe3takZpPdRAm02TqZeCO.HIekIC	38	2013-08-02 21:41:42.985946	2013-08-02 21:41:51.59788	37		0
2307	10v910n1koc632ljxmxn382aw5	$2a$07$tDiyMOd4NeVYWAwo.VGzieAy1VM4aYmWk1BvZFNGp4eqDGmGWgi4u	39	2013-08-02 21:41:43.007356	2013-08-02 21:41:51.726626	37		0
2308	109k6kw6xvm3g71md16pda5tcs	$2a$07$KA8CexTM8aN2QfYOWxmmbOu4wQPyX/55hfg0llhI4U3Yggw3TyUIK	40	2013-08-02 21:41:43.028897	2013-08-02 21:41:52.090087	37		0
2309	10lxufa5cf9r7oqyvoc5zdsn6o	$2a$07$Xwe9HV6Kwksy/56ZRQgVK.G2Rbc7k9IuVO1jNGocysh2b4JXaHR.2	41	2013-08-02 21:41:43.050428	2013-08-02 21:41:52.431517	37		0
2310	10dffqtjpgsa2mn9wabhy1aicd	$2a$07$CcxUY/EEUmWi67jgqgZszegbl4iH0fdbBj0DAQrZq3E6JSKg18/kC	42	2013-08-02 21:41:43.072136	2013-08-02 21:41:52.798395	37		0
2311	10zs6uttlmmh0ds8p0ecr7ov2n	$2a$07$KNlCS0KyEmqIgYs9FcMUx.wTcTC5LEOP1NSIs2JypZGsJFpuHIg2K	43	2013-08-02 21:41:43.093675	2013-08-02 21:41:53.159682	37		0
2312	1039b4tggy836uun8dlk42lysc	$2a$07$AC7duCVrhcPvaYoId0TM9..e3AgdISdzrrzykkz.MlbxarV3.SEny	44	2013-08-02 21:41:43.116664	2013-08-02 21:41:53.500075	37		0
2313	106f3qh3gdpbuhdc5uhfr0qg3u	$2a$07$MaiiaQeLN0opD5sX6o9RNOfr9sQR3hPsAGcD0m3WYk3sLZ/3WQk9.	45	2013-08-02 21:41:43.148248	2013-08-02 21:41:53.831253	37		0
2314	10w3tvcxvc94kvcvpwekargr1p	$2a$07$XgrUxXKrmGz.Ok1D7UXMlu1VVRZEfT0CxF.4QmiW0V9gQDBUp.8Fe	46	2013-08-02 21:41:43.173094	2013-08-02 21:41:54.200222	37		0
2315	10wcxf0hwk83ss7rnroej9b5uh	$2a$07$EaclWKjXUoBVw6YoQ9IBpu5SFqKPgt3i7xaBOlSyH/Za.vnQu.ctS	47	2013-08-02 21:41:43.194526	2013-08-02 21:41:54.554272	37		0
2316	10xn0qg2ppd6neqd0rv62t8fsg	$2a$07$xb5m5fXOLRNQZjqEx0ev9ua9/BjXhxqzpQNfugBKQL2otG0rCslRy	48	2013-08-02 21:41:43.239238	2013-08-02 21:41:54.923704	37		0
2317	10uqo55cmalayvsphvhbln445q	$2a$07$hg6itVFbiRYMgzyMxSRNHO5NhoisEwLcJB4MfeI4Lr1CGF4AQef86	49	2013-08-02 21:41:43.260967	2013-08-02 21:41:55.079785	37		0
2318	10hkibuzbeivllo1ctnjcbj71g	$2a$07$BwNIjv0GR/gDJepvhtViFuU5GIRIcHDmRutcgS2LmObIeyk6agB/i	50	2013-08-02 21:41:43.282302	2013-08-02 21:41:55.243118	37		0
2319	105dikfkll2714vx1to4k8b4ih	$2a$07$URmo8GP1UyM26EkVX/KCw.YjFBH1tndq0Kj86.c9IbXcXR6mlnDiq	51	2013-08-02 21:41:43.303778	2013-08-02 21:41:55.389382	37		0
2320	10adbw1y4mzbes63gnqnv5mr8q	$2a$07$Bfm2VE8jJUbzqqGAS9dyw.O4T/of9g24nNiSQkIYB.jTdzUYABTQy	52	2013-08-02 21:41:43.325195	2013-08-02 21:41:55.782573	37		0
2321	100i718vv4uvl8f7g3v65gyyix	$2a$07$nwLUdxNYa7cBcYN.KZgW1uTsUc.GHswrY08KZJqxb9ZIkMOljEYcO	53	2013-08-02 21:41:43.347958	2013-08-02 21:41:55.913983	37		0
2322	10lnwadl31trftig009i0fz3dj	$2a$07$vsRDq9aL5pLVear3navALOQtSuADwIkxZNNtRXlwnV8puOmJ6Z3NK	54	2013-08-02 21:41:43.369523	2013-08-02 21:41:56.191718	37		0
2323	105clzujkra3q1wgs5ppx4hvi9	$2a$07$yhibkapq78YlsZDPNBfKKeMyfkoWFWI.tJSIBekjD.ExSHvD/e8uO	55	2013-08-02 21:41:43.391187	2013-08-02 21:41:56.559746	37		0
2324	10rrbsai2f9ds37ulet0wlgexn	$2a$07$0wCemj4J7xC4kHyWS3qTEubmMi9pH6y4Hug1auzs0b1.NHkQP1iRG	56	2013-08-02 21:41:43.412819	2013-08-02 21:41:56.922057	37		0
2325	105ak7h8a1s4e89l2yiz9ip734	$2a$07$TeBCLQ76Y/DqMaPbld0vqOHtEuYncEOerwIfWSvo6Aqe4uKog5zwq	57	2013-08-02 21:41:43.434267	2013-08-02 21:41:57.288452	37		0
2326	10pj5vgaw6a9xar49l7tbpj6w8	$2a$07$YYndZODq2xARK2gaCexdkehM8WDZeyC9T4jIid8INmQfdJLPQjGsa	58	2013-08-02 21:41:43.456365	2013-08-02 21:41:57.638946	37		0
2327	10oijmniczqkk484isg9jdl6rg	$2a$07$Or7CbBM9GuVk4eIt1w.bY.ObaxC5b1okU8qZU0vgZn2QyD2Aby3wO	59	2013-08-02 21:41:43.479787	2013-08-02 21:41:57.999387	37		0
2328	10eoxsougzevpd2otkqc38zww8	$2a$07$Wc4852HN12Wp2FuLD9cbBeYfKF.kB72fSFnpnooUlCtx.f2z86rAe	60	2013-08-02 21:41:43.501212	2013-08-02 21:41:58.368423	37		0
2329	10y4vwjrnihlyu6rj9an88tw10	$2a$07$KEOmGEKR7ij/cdzFHkgDQ.KJ30OK0akmodcf6ZbN1Kc27p7MEnBo2	61	2013-08-02 21:41:43.524254	2013-08-02 21:42:01.147597	37		0
2330	10d7xf8kwogkb0e9shutxn6a3q	$2a$07$KQL89y3SAGJo8W6/G2AftuSAew4BHQgDstOFYYczx4WNjKy8SOL0y	62	2013-08-02 21:41:43.554751	2013-08-02 21:42:04.253775	37		0
2331	10euyjgdv4gqb7rz73s7p0yclg	$2a$07$OipwdTuXW0jt.8MVIx3vT.pFxNxfAOzYKH4FxAyGPUc7tXP7IMMca	63	2013-08-02 21:41:43.579652	2013-08-02 21:42:07.321359	37		0
2710	10i5dju41errhzykzyzuyqezpj	$2a$07$W6QIp6D61ojeNNkDI.exGOxp1UAu75r4tkBJ567Mw0SAkBtC1IQeS	1	2013-08-02 22:16:44.070467	2013-08-02 22:16:45.711708	44		0
2711	104dk1zsokbhqd74xeqq21cwu8	$2a$07$AFBwRe.wJn.TgXPsE2wJ0.wpqyQIgYFv7r0H/KkFv1N33hEYKXOte	2	2013-08-02 22:16:44.095081	2013-08-02 22:16:45.858355	44		0
2712	10se189gt4zz4jkl6isq1fgxa2	$2a$07$tABnNQ5YQY.RTe9g08eJUeQBSBEbmQynTOjTqAyPmLFw9dERfDvH.	3	2013-08-02 22:16:44.132769	2013-08-02 22:16:45.999424	44		0
2713	10ssrqm1ickhobo4aj1c3yjpjr	$2a$07$7UXNCiK12sGzpOFk0aQxeOKe36cbuGfR3iLyAKZv4AcVDfBKiBdwK	4	2013-08-02 22:16:44.154792	2013-08-02 22:16:46.306962	44		0
2714	104nqii0adpuoqyihrf3ae1u59	$2a$07$4JU4mYnNNQMKyk5hVEJlNeySvLl98lVQ3k3bi6/K7uvWejdMtMPui	5	2013-08-02 22:16:44.177179	2013-08-02 22:16:46.441459	44		0
2715	10qlk4ftuk9pd570lwsv2lm8cr	$2a$07$LDRH9aPHc8ArkyLPALGMg.xkmBuj5kkMjtDWwlhxWCbTujjanhroe	6	2013-08-02 22:16:44.200013	2013-08-02 22:16:46.634462	44		0
2716	10mmdt4f6f6sqruz7jpad9exl7	$2a$07$6.UkCm7apKFN85U9Th4Y2OtjdNOPM9xHoll1T0iZ5uZF8Il9VLfKW	7	2013-08-02 22:16:44.222636	2013-08-02 22:16:46.776292	44		0
2717	10ttykh8qvwzjaaj01jp9wykw8	$2a$07$.8j/Z/IsQspe6IHFyrC3RegHqoCL5rIGZKZxC5KZ/Ykt5ECl6ovXC	8	2013-08-02 22:16:44.245327	2013-08-02 22:16:46.918118	44		0
2718	10qq0xonzbqej3jfw6o27sesjm	$2a$07$hhNnSpJYN3Dn/7/xfhIftubTLpYEJV3ksdcn4sPxO0Xg91BqYDZ9u	9	2013-08-02 22:16:44.268514	2013-08-02 22:16:47.034207	44		0
2719	10nnehh3gijwuz7xcg42vhh1a1	$2a$07$S.9XV8w6s1mX27P4xocaR.Xy2esc.nXGHEOogEMngS6wViygdsfaS	10	2013-08-02 22:16:44.291199	2013-08-02 22:16:47.181714	44		0
2720	1046ci2zvkiyenelcke6ayon9v	$2a$07$hbneWzBwm512ABz.GowuMeCal5nxiSmLVxGb9WvL0FycbypPNHyKe	11	2013-08-02 22:16:44.314726	2013-08-02 22:16:47.320326	44		0
2721	10qn9o2uuo39q58ku1vbn8l8pz	$2a$07$VC7eovnviTg8oGcMmkLGpeUuPRo4JmNWyRHStd8EZNtShL5RpTUnC	12	2013-08-02 22:16:44.336806	2013-08-02 22:16:47.455264	44		0
2722	108lu1z1ffauph6j0z0xckz15e	$2a$07$jyvWM6G9vCnuV1TkHLIsieGPwW/hMEL/Qo0N.VmAuYZI51/kFTtMC	13	2013-08-02 22:16:44.360045	2013-08-02 22:16:47.829626	44		0
2723	10aox8hrn5a7r07ml8038w29tx	$2a$07$qcxMD7auCVkfOVFvsV4QwefeHHDLNIARYMV.zAwsOfpqGmtJt3Iky	14	2013-08-02 22:16:44.386805	2013-08-02 22:16:48.2058	44		0
2724	10thalfxfbrkjhvr30t3n2zh8z	$2a$07$CW9/HGruABtQuYf/IltvxOSSJFFGZu7HRzwz6axUccJQr1g9dMsUS	15	2013-08-02 22:16:44.409746	2013-08-02 22:16:48.570618	44		0
2725	10m5vjq489kz9mtlvyry9cdv3y	$2a$07$5/qruhyoiP/NScqV0m6nyunE2tkNtJAAP7AkHA6SAzic3e/dQMeL2	16	2013-08-02 22:16:44.441183	2013-08-02 22:16:48.712292	44		0
2726	10d0aoo2dpqiuqh3du8473zhi6	$2a$07$0Mk0vDaBZ1DPIqAe9DrBB.QPZL6.ZnJE.7a5E3UkOkJwnYRJcWV5y	17	2013-08-02 22:16:44.464333	2013-08-02 22:16:48.861596	44		0
2727	107a7oiikmrmecnhnlaaiyxva7	$2a$07$I98PydNLwpZ/LMMtsd305.aH2ReJyKaNRy1NuSWLmnNyj/nQPUeyS	18	2013-08-02 22:16:44.487726	2013-08-02 22:16:49.002932	44		0
2728	10fv9ur1qxcmxk3i5kpkdzxec0	$2a$07$QIPPQsDIzpSHQTu4YIiPHusHpqiGbriaZAnRjQGj3DbSzB1a/4YRW	19	2013-08-02 22:16:44.509649	2013-08-02 22:16:49.140697	44		0
2729	103em57qhkacy6pja31bkuxzt9	$2a$07$1Xgz0wP6bpjbWKsxo7pAQ.Pap36QNSPer.sv9tqrk1V5wxRygJhVu	20	2013-08-02 22:16:44.531247	2013-08-02 22:16:49.273574	44		0
2730	10lcpy2oo7fn5xarcn42ez2ln9	$2a$07$c0g9uAOCrXTeUEg14fHg3.f.FuqEer4qKA63htuaMS8XTKrmVN4nG	21	2013-08-02 22:16:44.552965	2013-08-02 22:16:49.382862	44		0
2731	10ewdypcff3hu6w3z7f23m95te	$2a$07$i1AYsOMfJfyeu9UpBR.i/eipXGgtfhsuBmidc83T117FgTrIYiNZu	22	2013-08-02 22:16:44.576023	2013-08-02 22:16:49.598283	44		0
2732	10kwu9d02tgp0k0h2tcd51nvmo	$2a$07$W.FHr9zw7/3tUjCl.ADIPuCEL0qn4yveQkIbHmYgUAC./TYXODcWi	23	2013-08-02 22:16:44.597726	2013-08-02 22:16:49.772388	44		0
2733	10xkyw8fqsc040fddclq22fu1v	$2a$07$R6m34ZuJisoOJE475Z4h3u1ZoRQwPiFwbUJuiEjViDxTjj4dC91zO	24	2013-08-02 22:16:44.61929	2013-08-02 22:16:49.994535	44		0
2734	10mt6ushurd9vtc8ifxs429twq	$2a$07$sZ5JBGPYq.UvQQ4wSVlkfui3y5zkQJ5WrqeTV7v2G6zwThwhksAOS	25	2013-08-02 22:16:44.640837	2013-08-02 22:16:50.160824	44		0
2735	10safxackmk766wx47li6tjn7t	$2a$07$yxF0pRRUJik1e06iJ7KE/enT.B7oXvWyHFSyDQAeinEGC3bZb.Wa.	26	2013-08-02 22:16:44.66279	2013-08-02 22:16:50.279865	44		0
2736	104ke9dey4ldqah6zvh7mvqdya	$2a$07$LUYPNI8XRXTzlqiYwLvCGe.rw7dfFtmss11R7B0tI//i4FTErZS06	27	2013-08-02 22:16:44.684428	2013-08-02 22:16:50.397053	44		0
2737	1068diobv4ga94l0l5uzmuywrw	$2a$07$fuSU4zUz091yR.hXd/bTeeN94DEjdTZz3haoFraJ0gZoc24s76Aam	28	2013-08-02 22:16:44.706447	2013-08-02 22:16:50.737618	44		0
2738	10ah9llwl8il0fj074jethz3uo	$2a$07$yYs8kiYp/Coyt9voZJxlX.3Q36YxY4nxuxJNdYCRHjjQyr8IVuc9a	29	2013-08-02 22:16:44.728408	2013-08-02 22:16:51.111235	44		0
2739	10gleiltah39tfun5addpbnx3s	$2a$07$STC45j2DUH4WoR2OgjftJ.GN.ZPxu7cBVPGmKIY2BIsvhGHXSU4Uq	30	2013-08-02 22:16:44.751372	2013-08-02 22:16:51.481059	44		0
2740	10uz1hjg2qk42p5m33yi4j4n6b	$2a$07$LDAJkWofRaIua8oSmwD8S.cuS1kObf2hC4F0yfV7G8bD95YmFbuLi	31	2013-08-02 22:16:44.780655	2013-08-02 22:16:51.597213	44		0
2741	100kikrnv8f7ek2213r2onemyx	$2a$07$OuIhomocAxeiOgC/ptk7wO339UdsXi9y2JD3d9YKw8cBvWvLBqZiC	32	2013-08-02 22:16:44.815636	2013-08-02 22:16:51.735788	44		0
2742	108gyowncvdehrvl5qv1vxl7mo	$2a$07$ddFutAy1dfM.rgSkmyPvyeiBjSqAUnNcb7D.J0LAkUb1lH35BjJc.	33	2013-08-02 22:16:44.840925	2013-08-02 22:16:51.871043	44		0
2743	10t89p6fult3hft5dcversc009	$2a$07$Ahi.DhBeTVfYNvdiVvSgT.U4m1X.jDOuYLrJ25czuD9AxCxYBUcZO	34	2013-08-02 22:16:44.862893	2013-08-02 22:16:52.004781	44		0
2744	10j6g1tkffdwwevri6s13a7jlo	$2a$07$v5RXv7Z1m0YrzrrJlJthlOzBC6Bgn5VDVdyP7Mems7sUr/0DOGz7C	35	2013-08-02 22:16:44.886259	2013-08-02 22:16:52.148867	44		0
2745	1026ou3mx56istnilyunoqenx1	$2a$07$h9CYnLIuYpYpC/e3Gn9XBeWzGe/tm8m65NFrRQoicS9bB7aTb6B46	36	2013-08-02 22:16:44.907578	2013-08-02 22:16:52.274032	44		0
2746	10tx4zjakcofp7ss64d1uuvyak	$2a$07$LRCqigufTcUXNXZHMtvdJuIn1sYaXETmlHRvyoNc1mpaqeuqpvdnC	37	2013-08-02 22:16:44.929897	2013-08-02 22:16:52.41799	44		0
2747	10e2sdm83olzyh8vqg9z5ortek	$2a$07$Y5Q2cNKuadZGCHGqVQ/5sOEqSXuqFaTWXi9NyUKPfzkVhwjMLJ1Ju	38	2013-08-02 22:16:44.951485	2013-08-02 22:16:52.557513	44		0
2748	10unq82chqhcm42m8das9nmigr	$2a$07$xCHtDxXZu7WrworTEFVNguiG1N1hS0oeYvM.gIFh.khE3iSJQL4SW	39	2013-08-02 22:16:44.973989	2013-08-02 22:16:52.689953	44		0
2749	10jwvi2h7wxr8w45yl4bg7mo9m	$2a$07$yZloNe28oBB7hMfHjgFzVOoYP.lklS8IvBvTu.DXbYAy.INBRXTIm	40	2013-08-02 22:16:44.997678	2013-08-02 22:16:53.05118	44		0
2750	10nm5iextey1sa038jjf9fp3b9	$2a$07$MUo9r8xbtqYt2nOm/NYCXuI2IJMOtT1w7uahREUtRNUJ6tcKpDhay	41	2013-08-02 22:16:45.019649	2013-08-02 22:16:53.396218	44		0
2751	107tl8xfyth72n51vwlkrh5wqb	$2a$07$U55Qs9gtJ8zXK7ZNSAjBPOAGdscDPzbFnBts48eORAoS8wZ5M5HNa	42	2013-08-02 22:16:45.04128	2013-08-02 22:16:53.747774	44		0
2752	10jk2g2shqxt357a016c7hwj45	$2a$07$pETOAN1R7dmWP/l2f/T3G.2cwdyFO456l.oCKYdtRzDfeK3iZLo3m	43	2013-08-02 22:16:45.062983	2013-08-02 22:16:54.103379	44		0
2753	109x680oit9zknsvccka3w9fmt	$2a$07$L2wDHZJwifXKJqYYyTZdTOERzrXv4M94cYQtL6ZLR5zED0rBwPYJ2	44	2013-08-02 22:16:45.08581	2013-08-02 22:16:54.470495	44		0
2754	100ffahz5q1ziqj8hu8f1dg0ot	$2a$07$pbeSmXWSr9mCoqdkSZC5Jut9KVvA9TltObx5PEe4MpaV5/5uQkVe.	45	2013-08-02 22:16:45.108262	2013-08-02 22:16:54.846049	44		0
2755	10qc4zasduhaypok7kn9zjux2z	$2a$07$/OYsLbHHXXlOxTWA0GMXtuVNKVYdWYRbm5ivoRyAF6Ieuzz8S9y.G	46	2013-08-02 22:16:45.129452	2013-08-02 22:16:55.216197	44		0
2756	10waf5py7zud1k92nynl0c91mn	$2a$07$lh/.p3Y./DkAHWy2eNuOwO5ViFwxZCYbbnlQgjoKTJDSRa7xsqjfy	47	2013-08-02 22:16:45.151261	2013-08-02 22:16:55.582545	44		0
2757	10exb91c2tsdzacirc1gpf5iys	$2a$07$WjQAOT.6hEH2uzmserE5GuaZvDa6yoz2h/b65fAccfZVcmnq7Hxca	48	2013-08-02 22:16:45.174151	2013-08-02 22:16:55.928848	44		0
2758	10irsmvhprx2o5hwzl3lzz5d2x	$2a$07$RTpnDwp0Luj0zun6d0feh.0nCj6REU4V7YS18hE03oOwJSgi/rxey	49	2013-08-02 22:16:45.196396	2013-08-02 22:16:56.284976	44		0
2759	10ftaym72w501eh6jt4r7jbaye	$2a$07$IFHXCXF3DVy0RPXDvjLCSeYC3/ARPe8lpFkIpkirmiYRVNFqHWHxG	50	2013-08-02 22:16:45.221397	2013-08-02 22:16:56.640778	44		0
2760	1034708lfk0dw2ueorxiwfos3f	$2a$07$F9UhPGWgjSqwlbMq0SClNuNhsDc6VlS4/2uW.aPpOV.aBJOkmavCW	51	2013-08-02 22:16:45.248296	2013-08-02 22:16:56.98338	44		0
2761	10quozcr14lsioklq8ej0732u5	$2a$07$ulx.ZhNmYHpXys1nJXQ.CO/jyUW/9fKXVYKS3089yaNmWrPfK8roK	52	2013-08-02 22:16:45.284561	2013-08-02 22:16:57.20596	44		0
2762	10tacv1maalmi6jx7j8cgoth4c	$2a$07$PBvqth9F3ii9K0PCV6Lbhuiye/diibfnhPXvs68OZEdlPeF02MiOG	53	2013-08-02 22:16:45.306941	2013-08-02 22:16:57.444646	44		0
2763	104al25melaogust6i5zy1zgkq	$2a$07$izXUUt4.1vfx6QsBf.Yr0.9Jo/HlRU7qSKFrDshubkkySqobj6QOW	54	2013-08-02 22:16:45.333617	2013-08-02 22:16:57.767994	44		0
2764	10sx033v84klxv5idnpah3ymg2	$2a$07$1QuBFZZw8SDJjMWMueex/.IPqDZjQjs/8VMT74x1iCt4HBLr/WuG.	55	2013-08-02 22:16:45.369708	2013-08-02 22:16:58.113536	44		0
2765	10t052fqu85ly1fia4keotps9o	$2a$07$hDE6jlT0KC5cEZ.9FS/vUehPR0XfR0XUUMx5U5MYgIBsq9fbSMNrO	56	2013-08-02 22:16:45.391576	2013-08-02 22:16:58.398623	44		0
2766	108ccuqk1c1twgltlxdl4t16jb	$2a$07$lfteUUngqqdNaJXXFt3lUeZxFmZ.COoO10fwmw7rbFTjHBeOM5k0i	57	2013-08-02 22:16:45.413515	2013-08-02 22:16:58.53126	44		0
2767	10myfurr63xpeh45c3zo4h8lwt	$2a$07$TRD4daPy.9/F3XDFrZNpHOrM//ao2wVmxA5hh6pfsisyJ26WNAvfa	58	2013-08-02 22:16:45.437066	2013-08-02 22:16:58.872288	44		0
2768	10zadfoeck3t585173fp4vy6v5	$2a$07$vmESDNbLDxfcxcHZHSLI5ecOZRc1pzU2cnkB75aEl76i3wdwCNfdC	59	2013-08-02 22:16:45.460325	2013-08-02 22:16:59.236718	44		0
2769	10n45aesnkive87x0ht4cldhyl	$2a$07$Dwb9hYDmMzvGd0Cjtt0tMe0cNlttgXfUTZmdDjBSqDTjpqYwHymym	60	2013-08-02 22:16:45.483591	2013-08-02 22:16:59.600214	44		0
2770	10sc2v1lur522bugh707bwqflg	$2a$07$J5Bq52ffdCnXweJIZNLcFOaPS4qEeG7Rb0gwg4yU4bUUaM5pGzqP6	61	2013-08-02 22:16:45.505476	2013-08-02 22:17:02.230957	44		0
2771	10zk60451rjdw35tdcesft4mg0	$2a$07$3Cwbd.JqxW2LHfCeIlz7VOxGdqogORD7cF7mbvLh7WghWcGQTIB46	62	2013-08-02 22:16:45.527102	2013-08-02 22:17:05.266136	44		0
2772	10xvt91vibvtyxifczxyak3wq3	$2a$07$xFpG0eQzG0RYZcCvn.E9yu6kcWpZbVQCXXRL1/9bDJTYRrwNdXOdi	63	2013-08-02 22:16:45.548548	2013-08-02 22:17:08.65348	44		0
2332	10q35sqiage3o24iu7jzkzhx9g	$2a$07$iR/Ix7EXaRugTmMIX8rZ..UumdQ3BPoQZ9tb2JHbkz5rBsnm/hKBW	1	2013-08-02 21:46:44.69029	2013-08-02 21:46:46.215996	38		0
2333	10au7049ewxql3lkj9x45z8oz3	$2a$07$blU084lxeRe.rcRT/TqFmuRC5psVQrfj7M8aH8.iKRTFZgZdf2AHi	2	2013-08-02 21:46:44.71246	2013-08-02 21:46:46.356824	38		0
2334	10ho8wk2jwib4scx23hflvu24n	$2a$07$/WVZ9DZKj6Wm2c6G4HkjLeL/F4s0xUw4/joAP1igsQPuwPyRwVK22	3	2013-08-02 21:46:44.734711	2013-08-02 21:46:46.472624	38		0
2335	10p1536n3rbuwc6n7scpn8lrdp	$2a$07$qfkRc3v4RZkDs9F6pKNsfeUfZ.ulroKWbeoKDKoFH5azMhSHMxzle	4	2013-08-02 21:46:44.756205	2013-08-02 21:46:46.807231	38		0
2336	10k7hrowfkh1wm6st9y3nc163x	$2a$07$Ux1vzh41bjJro3VPFEJNA.OM27Y/erHoJetinmM1yBwfU3s4Oh03e	5	2013-08-02 21:46:44.779404	2013-08-02 21:46:47.155443	38		0
2337	10rja3h4htlpehyfwwaqlct5en	$2a$07$Deoxf76XN3TV1WE/9W3wB.UX5dyawolBh3Qw0b8obU7de1uYWG8Hi	6	2013-08-02 21:46:44.802152	2013-08-02 21:46:47.3147	38		0
2338	105yhgna9akc7dte4c5obdd9z9	$2a$07$FSoF4r6a5wOS8A6cXZneXuzV/Ukb/XK6rZwXchzzEqhIWeQuwZmyG	7	2013-08-02 21:46:44.823825	2013-08-02 21:46:47.446844	38		0
2339	10ilk0hgr3wp8awk281ys3cozq	$2a$07$vJ/mrqS0yY9CXad1aieeoeIDtxk6J9d1J0LPzM4Le1Gp2zc0NF5CC	8	2013-08-02 21:46:44.84545	2013-08-02 21:46:47.587213	38		0
2340	10a2n4o5vvyk8sc6aceot6qv3c	$2a$07$tFwAlc73Bt2C7HqW.d7PJesHPKuGgBUnFImxo6Rfww/jFqQK5qbHa	9	2013-08-02 21:46:44.867518	2013-08-02 21:46:47.714866	38		0
2341	10mgekxpd61v08negg6zhxx9ip	$2a$07$.k5l5TqrkeI3gnIwlKGVu.wkw..hnPft/FgJB5D48qf7TjjOJ2HlS	10	2013-08-02 21:46:44.888973	2013-08-02 21:46:47.844142	38		0
2342	10y2j2fo1svbge0xfxna894bz6	$2a$07$dbBvlVq/6/jivb7a6RM7JeJ57iohrHr/zM8Ju..Snr6PE0HHWJi6y	11	2013-08-02 21:46:44.910398	2013-08-02 21:46:47.989862	38		0
2343	10ra8amj1ka8hqndc14anvpey7	$2a$07$vWpvfpldvUzAWlWiUGhNIO78LQyYDUL7CbA4h6XfoKIA4K2bFHyG.	12	2013-08-02 21:46:44.932022	2013-08-02 21:46:48.132715	38		0
2344	10zcmjyn1q7etjhm34baz13q7i	$2a$07$KD8tGomry1Ya4v334u7x8Ouo3vrYqq1EtXQK5y1CgS0vz8MpwHNdC	13	2013-08-02 21:46:44.953684	2013-08-02 21:46:48.512665	38		0
2345	104ks8b0h7lsh16goq0l88u574	$2a$07$pBbeGbGRpYm4.a7nVQTjyOCcWEDN2PGAjf2JebimglzJY9ESPnr9C	14	2013-08-02 21:46:44.975035	2013-08-02 21:46:48.868478	38		0
2346	103iwkk6r52ep1a2hsfo7jhfcd	$2a$07$IMp5dK/nDN3GHEFg9956xOX31qleRSuY5k5V3u5m8Ouvq3XrmtAiC	15	2013-08-02 21:46:44.996494	2013-08-02 21:46:49.239725	38		0
2347	10xbssxijxrcqh2mseu7uuwjyb	$2a$07$Ms59gOwjzaABdLAY7Wfh4evVMi3lBJ68uQrICjrJIYUbzvl7i.6f6	16	2013-08-02 21:46:45.017927	2013-08-02 21:46:49.569326	38		0
2348	10aa8hs2qjrm0y7a2x815q9uz2	$2a$07$p5vwzB.xx2U9mJqfxZgwZelHGdh/4KebqmQ.Yzt0s18cIj92JL4Ry	17	2013-08-02 21:46:45.039448	2013-08-02 21:46:49.751092	38		0
2349	10dz9uj594sqeystyd6kbuc65y	$2a$07$FomwQ5IGIni1bFDrPIThHuYmXm7mJ5h8uJqFlrxCTnxmFfVOcPEEq	18	2013-08-02 21:46:45.061012	2013-08-02 21:46:49.890561	38		0
2350	10yoy8vcdogfe63fmpykwh9dp5	$2a$07$QNPpQA3CJRP7TlQI0n7xIe/Z1SBMW5zDRoU6iNTevDImpV2qOb0wm	19	2013-08-02 21:46:45.082465	2013-08-02 21:46:50.028262	38		0
2351	106877dgj68a6s6xpn9ferun0l	$2a$07$fTDD0kHoy5ABS8bKYnIU9.VEHQQ9F6ztK96AkQ.X506CuSFDRDjeS	20	2013-08-02 21:46:45.105745	2013-08-02 21:46:50.169864	38		0
2352	10gdhv8hzgft63hw6hvj86p8cc	$2a$07$.uJ6qpUlaEQc0RqpYQjVPuK.H.SxWPCRxlF12XTn75WnkQQUbaYou	21	2013-08-02 21:46:45.129041	2013-08-02 21:46:50.304426	38		0
2353	102i8rts64aygrtprh7v43eyv0	$2a$07$P2Usix1Tk5LzYc79agzBqeZKdWy0tEXCElScsfEXJHiC6h1ClRAiG	22	2013-08-02 21:46:45.151466	2013-08-02 21:46:50.655715	38		0
2354	10a3y938v9djxqcfi8utkx4o5w	$2a$07$fh6BXnTo0MwnlHdwN348fOaUdMdkTlHtobu.MFmSLTDvsA77zUaJe	23	2013-08-02 21:46:45.172991	2013-08-02 21:46:51.013543	38		0
2355	10ebzolj9cld7tftru374mgbbv	$2a$07$VqvzW0TTj9yY.uf.v2fyHuV8NcgqRuKj1hS2ts3jbjx1UmGiR5bsq	24	2013-08-02 21:46:45.195593	2013-08-02 21:46:51.31667	38		0
2356	10obbuwu4o7256897qnwd2d24n	$2a$07$wSsZX/JFQijz75a07PgCQ.IMEqmANKtDCzX5gsumGn7DSgA7dVt6q	25	2013-08-02 21:46:45.217023	2013-08-02 21:46:51.654995	38		0
2357	10578724t090keghvlio675xqs	$2a$07$gMzoSPXte5276yc2txSO1eQ5un3PpBkfXMcKdYOdbm5aKGjiJrqtm	26	2013-08-02 21:46:45.238343	2013-08-02 21:46:51.92863	38		0
2358	10vmyqxqddp8cz4y2o8r8stphl	$2a$07$oSzlL7wQgJ6P0PShjUeY4OYLZnUYxiWx9F7vxBV3SnWl9luBSG7N2	27	2013-08-02 21:46:45.259979	2013-08-02 21:46:52.08744	38		0
2359	10qv86a7azk471gbyi52w6s0p3	$2a$07$ExGiFyO9E0sWw6t9OOruLO6HeczE7MBN6zb8mSAmaHuGPb7ZQIrWe	28	2013-08-02 21:46:45.281603	2013-08-02 21:46:52.469303	38		0
2360	10mh34t23z6pbn167hhmlmky3n	$2a$07$OWJhCX02kBG/pcNzBhiRteOMx0pp2Vpg60eAEtKzawPXCTVLXDoOS	29	2013-08-02 21:46:45.302867	2013-08-02 21:46:52.824258	38		0
2361	1060ysz1kna06wer6ba0hlwy10	$2a$07$vcWGyTxCEGEDYQGnbMBbXejFi71lmKbUGx5YFj1Q05ff3OvbcvzmW	30	2013-08-02 21:46:45.324272	2013-08-02 21:46:53.187464	38		0
2362	10gjv6tb1pb3xw53hi6omstywu	$2a$07$0Qq9qjw2DJ5.3Vw0TgO6DO5IkxEGUND5XyPP./B0hTAxWeuTLWPWy	31	2013-08-02 21:46:45.345697	2013-08-02 21:46:53.311791	38		0
2363	10uvvyju5rb5j8f44w9j05ajqz	$2a$07$G9/04m5Hep6ir2Vd2MUGL.c0ByVh2eo1p/75xMQ51.dzekgVmpDtm	32	2013-08-02 21:46:45.367218	2013-08-02 21:46:53.452299	38		0
2364	10kdvkp9b0rzmo3wtmevxks1gk	$2a$07$utQrfdp0U7ck0eHmMRizieENaeKOgJnl9Glp2dCj2LYnoFXp2xDUy	33	2013-08-02 21:46:45.388563	2013-08-02 21:46:53.58355	38		0
2365	10zrc6gr0zcv90qkw09gozrtgw	$2a$07$XhqCjZwuekvPi5Wlu.nUSO1BBPWbWQCjtcFjDmVR/ZwL5gwIHVJji	34	2013-08-02 21:46:45.409961	2013-08-02 21:46:53.719696	38		0
2366	10xlmv4beaz9sqzn3npkzg5clb	$2a$07$08V1fCCIsnjD4PAl91wUueGuqH5LV9v/nVTDXQP1qwaPajGqqAlFu	35	2013-08-02 21:46:45.431322	2013-08-02 21:46:53.844027	38		0
2367	10xzzbd3rg8jkp98lbx0vf5ncs	$2a$07$GMkCfMjdeMP/UE.8mOMzxuxtkWbZeTpR1gWk3Top9ARjk1ZuZjxom	36	2013-08-02 21:46:45.452854	2013-08-02 21:46:53.982374	38		0
2368	100fl6olnltpak284t03ifin7r	$2a$07$pGOMo8SB1hiXh9ajSXpyz.nVrHrz.g7345PCjngbnASLsGq492ai2	37	2013-08-02 21:46:45.474208	2013-08-02 21:46:54.118415	38		0
2369	10ah8g1hrflkg1a0tgy4tqbitm	$2a$07$xnGqrZJD5Ftyx9SvdBIZW.RhCu1drBjBgZlbr6UzCYdHydpPJt4HS	38	2013-08-02 21:46:45.495459	2013-08-02 21:46:54.251693	38		0
2370	10qye3c78v8lt9jnwh04gsu9su	$2a$07$cEuYlC.q5c.FZZGo/R0hr.Gr6I3uCdQTz/8c6rxDmAXsdqSWGZt6O	39	2013-08-02 21:46:45.516845	2013-08-02 21:46:54.389817	38		0
2371	10y4m2o2cquiw2r4t5h2ok0ke4	$2a$07$ARbIwWQP3sdXESIbqlK6Kef6poXtGL1kKNvHU6nVrXy0Bxz1Tm1Zm	40	2013-08-02 21:46:45.538618	2013-08-02 21:46:54.735018	38		0
2372	10s04zzu0x9glv0a9h26gngrsd	$2a$07$C.Df3tG5H19.ge0sLxR5q.EHie9wnc9UCW9zRWzn91knT7jlKb4yS	41	2013-08-02 21:46:45.560583	2013-08-02 21:46:55.106844	38		0
2373	10izsq71mw8yvz1x9y2xkhik1d	$2a$07$v0Tojwy/3Z3N9gRLvtwBbeKSkdR7HIKMEalyQt46pbysk2mw.N.zy	42	2013-08-02 21:46:45.582167	2013-08-02 21:46:55.479777	38		0
2374	10tj5ycsa60u0vpl0o35ndrbut	$2a$07$lIgyksKVFDc2O/fLpLBpb.WMAtRYh9jIM1GhfuhNaPZhJC3.c2Bk.	43	2013-08-02 21:46:45.603536	2013-08-02 21:46:55.834093	38		0
2375	10anzqr2ey5ltxq2288l4so9qc	$2a$07$Os98yLevDz/GW5wsfIWLJe3d3U/ZMzDI8Bkgq.NIJRCVSE6SW7EYm	44	2013-08-02 21:46:45.624765	2013-08-02 21:46:56.160357	38		0
2376	10tyi4n0al997ntelu2o8qs8pb	$2a$07$7kJVWc.esy7s7BrdNroTCeGq6uvQDHp7P71YcR9lmnxLdG9DmAYJe	45	2013-08-02 21:46:45.64881	2013-08-02 21:46:56.517296	38		0
2377	109djlb2jr2skrg2q9wtv8j3kq	$2a$07$l.otOqL68cFHDgEw.G1gr.VwGj9LHjIe7q.K5PDBmLvMFH/LBAsMy	46	2013-08-02 21:46:45.672009	2013-08-02 21:46:56.886308	38		0
2378	10vt5xd0upqh6dp6wb3dvhdgun	$2a$07$zbw038F6RciBodLj104u/etZ7PkuprRL/I6Nf36zDKhYZ4dtcTu6u	47	2013-08-02 21:46:45.697529	2013-08-02 21:46:57.249556	38		0
2379	10b72zfk2jva3ub1l4m26y7b86	$2a$07$3KNzdftMV2TQ3T/Ev1FkpO8MFeYSPw7IR39gjdENPOXfkmYn9UaRq	48	2013-08-02 21:46:45.721925	2013-08-02 21:46:57.604791	38		0
2380	109n7f2ntdm164spbc53dg4v3x	$2a$07$AWEnav0KJBIWwhmk//uI3Oru0dIsImzd75AH5x.8XbZ34bcBAo/j2	49	2013-08-02 21:46:45.751447	2013-08-02 21:46:57.769535	38		0
2381	10cfjpggbwscglqv95t7rn8mzu	$2a$07$qhkRweKlAUNuOQzexVswauqNgbdBMqdARRDaANrSZQ1h7ofgx.Gz2	50	2013-08-02 21:46:45.773104	2013-08-02 21:46:57.937732	38		0
2382	104td2jbjzbxb7187e8yxqmgy3	$2a$07$eoggeW64/Kp.O2kQQLhhYecZlKCGMVr95/DX/PWOHMTk2uT4oIQmy	51	2013-08-02 21:46:45.795771	2013-08-02 21:46:58.070628	38		0
2383	10kk37la0tp52tun13wqxksrpr	$2a$07$s.tMksUy1svca1pdw80ieeuF.0xmvhhC9khb0VkAK8WjTvruH4w8G	52	2013-08-02 21:46:45.817245	2013-08-02 21:46:58.442009	38		0
2384	10jb3b8q8l2ezkf7dclojw7hls	$2a$07$lH.qpZUMQoeTwmZnxdNlYer4nwLqzy9IIYWQ8UaDXvIT3ay040rbS	53	2013-08-02 21:46:45.838838	2013-08-02 21:46:58.80732	38		0
2385	107rmuxzanj9xmxy8p511np3jm	$2a$07$RpFa.QT/1eCav6G0zLG8NOBI5wdP.W7b0EjMWLgzFUwOfSjzIiVNq	54	2013-08-02 21:46:45.860338	2013-08-02 21:46:59.177858	38		0
2386	10zxvkyqtbn339jt7f2k4l3m4p	$2a$07$hY4P/j0a2CqJPQKAiWrdF.fifT9fTc3SIowWEQhGnPtd0qtX66ZsW	55	2013-08-02 21:46:45.881758	2013-08-02 21:46:59.569613	38		0
2387	10midlbceazphhwfth3muy5ugm	$2a$07$IzHLklHQAyARVJkwTf3rc.xgV1OdfsiHOulXJ2Fju.PX0waMExXRO	56	2013-08-02 21:46:45.904106	2013-08-02 21:46:59.929351	38		0
2388	102qbzp4uiuu31eurmysa98jpa	$2a$07$LVFn67SzHBddPcOw8/y4LOaDgtGmKUX1UVpen/fcy9YIyvgXA0jK6	57	2013-08-02 21:46:45.927358	2013-08-02 21:47:00.260931	38		0
2389	10vzoaxhjbnnv3bd36c4grpsua	$2a$07$VUUCzYzeZfeHiD0ZizYkn.vaRgnzMfFil4Q4kkzpTVR0hJwIYNc1.	58	2013-08-02 21:46:45.94981	2013-08-02 21:47:00.604961	38		0
2390	10bmzb1bq5dqrsz196mnv38tkd	$2a$07$JWyGjta1z2bmf1kYEyfd6Ok.1hMnLIi8lquvMH7LK4udrycMeJP4C	59	2013-08-02 21:46:45.97151	2013-08-02 21:47:00.96034	38		0
2391	10x427dotqmxy3m60sjky5ws3n	$2a$07$xhFdA038cK5Xz/B4h4E5E.WP7zeskWpiScRtsFxNyQraJplLCahs6	60	2013-08-02 21:46:45.992963	2013-08-02 21:47:01.330404	38		0
2392	109fpp07jeopzh8kszykx34ajc	$2a$07$PXNrsmz/7ijTGBjVbWTfDObxx8HYLr2lPmWW1LclToTsHMMIToBMK	61	2013-08-02 21:46:46.016344	2013-08-02 21:47:04.100628	38		0
2393	10llgjvku2ttz4y0dguc6tprbq	$2a$07$ZxBKevnFRWbPHqY0QJdJUOczr41Ygrgdfn8UPomtMjjzc2DjuCSxC	62	2013-08-02 21:46:46.038941	2013-08-02 21:47:06.946022	38		0
2394	10alfp4cg45pr582cs3nezhl9e	$2a$07$yeTVLYWidMEoaoHiZ5uMmO9Fayqzl9a/0X6n9ljx.jyOmdFFylN7.	63	2013-08-02 21:46:46.060647	2013-08-02 21:47:09.939538	38		0
3340	10hrx5futofu8vvifc0gol8t7z	$2a$07$jc.WfVJSjr4q2LdqqP4Ap.Y3u2.5Ag6WkTr5r5b31R8kJb8rf2wGu	1	2013-08-02 23:06:44.040805	2013-08-02 23:06:45.80832	54		0
3341	10amkuhddyqgo5g3pw5pu8r46f	$2a$07$.uZefeyDGGWBDU7yyxvkf.PG9HxC.CkuXxBKPGN1VTZUXcytAQ5Be	2	2013-08-02 23:06:44.066336	2013-08-02 23:06:46.228092	54		0
3342	106ru28whux7ce2ttal44a87sd	$2a$07$Ax5EOYAdsohMo0xyAf9mOem7.eOLCIlAwg7EMEVYm3wNuZS/iB0RK	3	2013-08-02 23:06:44.089268	2013-08-02 23:06:46.374998	54		0
3343	10vjbkauengb3lcv3a16zz1bqt	$2a$07$Ty2YtIVhcLI.ZbkmVYN78.JbjLNH27xfDAAIZzJVdHb4YeIMW89ve	4	2013-08-02 23:06:44.110586	2013-08-02 23:06:46.529144	54		0
3344	100mfusi489313e8nsvg8jjb8n	$2a$07$ID1aD.Y2Y6/uONNWDQL1IOAdsNLr83NYnJvKX604z/81d/PsJ7tz6	5	2013-08-02 23:06:44.132382	2013-08-02 23:06:46.6788	54		0
3345	10ss9adganyjn6asy11qc26lbm	$2a$07$FdIQR8krhq2teKNHiemdY.wXb1PLzjQjKi46O20cXrh3/cuUSgb9S	6	2013-08-02 23:06:44.153753	2013-08-02 23:06:46.83434	54		0
3346	10vnxu4pdcnb7xml44ha98pcfm	$2a$07$kQdC9/FHauu4GMg6c.MvIOgaTm/Xhmu6M8s6doaEftQbfq7YU3462	7	2013-08-02 23:06:44.177041	2013-08-02 23:06:47.156946	54		0
3347	10ymquwh0tbhqu293gpt6gzpug	$2a$07$j5dNpBdRkQVvzO6Ju2BxIOts4KwkDi/DcQhaVXy5dUXqAPzv2Dc9C	8	2013-08-02 23:06:44.198494	2013-08-02 23:06:47.313575	54		0
3348	103iq43obi1tefynlkfg11wvbe	$2a$07$sCZlpgwMbivuWsPEBIvNDeuVlGK9Vye1KbU6mtZ9bPAW.q5uGCTGu	9	2013-08-02 23:06:44.21975	2013-08-02 23:06:47.588219	54		0
3349	10lstz4thibxumo646yay7as24	$2a$07$PuUjIBQK20lW2jVQ848hAuPFPKQ4OWVJuszkZR3VmvzXwionuOX0C	10	2013-08-02 23:06:44.241031	2013-08-02 23:06:47.719319	54		0
3350	102nqysgk5ri8s7d7mmkkh3hxg	$2a$07$eTAzoUAMgNxVsCOiljkt/eL9uLiVezEcEqUj/c9mHI9DnbkXcbXim	11	2013-08-02 23:06:44.262177	2013-08-02 23:06:47.853415	54		0
3351	10dkk1dc2chwj2r6i3ucyb1smw	$2a$07$nwbUv/6ZLsho3InveGclFuAjFho6Mio8bMBTAPPvcJx8V/gLxkgl2	12	2013-08-02 23:06:44.283437	2013-08-02 23:06:47.985773	54		0
3352	10q3yaig93eetg0yz0zbdveqd7	$2a$07$d8ern4Y4xxljSO2hFxCfmucup3mqr2oXoiegd7Opcj1FiuzquC1hi	13	2013-08-02 23:06:44.304717	2013-08-02 23:06:48.405349	54		0
3353	106p8ki0fnxusxj2sqcacgpsw6	$2a$07$KdUxZ3f3mz8kiq1IlRSE7uqChLX.sMnOZaCr/SIii5j44Tzhh7vGS	14	2013-08-02 23:06:44.325955	2013-08-02 23:06:48.623954	54		0
3354	10ngs4duen2dfem7uuu7q967gq	$2a$07$.3U1R6Jnf3iJ3SmBBhlfSuLK84rPQu7MKGvBOP.4pBJ.3jYzjJ6aC	15	2013-08-02 23:06:44.347119	2013-08-02 23:06:48.866315	54		0
3355	10q52l3y6gf2t6vzyk8690oldk	$2a$07$ZLGqzxLsSxydIf3Fb3tDquG4xzpl9y2z1JTzcnK00w9ByTVWUG6QG	16	2013-08-02 23:06:44.368286	2013-08-02 23:06:49.256053	54		0
3356	10g8jlyr97h9jh3xlm2kowqbdd	$2a$07$8j3.3/0Gj9ElUvBqjL7eHOAAVoeA4Y6.oxqmCP8.1Na2HUO64haZi	17	2013-08-02 23:06:44.38943	2013-08-02 23:06:49.48704	54		0
3357	10sbcz7h6ui00ibvlv4g3hvjqc	$2a$07$s4TZJawXu9IANhFNhwx./.MHuMASN2UYbvKAgYpSTqyV3FVbcdAIK	18	2013-08-02 23:06:44.410701	2013-08-02 23:06:49.665815	54		0
3358	109updyj9ft1ltgwehhit064xw	$2a$07$Qa6RMqTqOjAPjeonWoXqk.ZKVb5cMNxHYHhGboY7R59goWutLqLDO	19	2013-08-02 23:06:44.43228	2013-08-02 23:06:49.80246	54		0
3359	10am43d71ojbnv5xk8r8bkevyt	$2a$07$x5vBd61tO/QmENi2jUAtbeU8DsnljcZC/PYS8408T4Rt5MiOJhg/S	20	2013-08-02 23:06:44.454005	2013-08-02 23:06:49.940871	54		0
3360	10c241mlvph364a8er8sqgdyxn	$2a$07$v1vLP1jw7hJNuSpk9952KefYM.pn42ilmfpt2BbJ6MwmMATQ2Hgoy	21	2013-08-02 23:06:44.475698	2013-08-02 23:06:50.076867	54		0
3361	10sj9h265caqu2c4b1pxrwwsg4	$2a$07$60xmB2OTNeXjaHEvHkAlAe9EH5FnhkenoucSubAqeBrghm3jFiBJu	22	2013-08-02 23:06:44.497128	2013-08-02 23:06:50.480622	54		0
3362	10xz3tvvbdsxuyuox59r3sp5r2	$2a$07$PHcgfWe8NNpuHs8UDhj47ug/TcIsPuQ0MDrDjWnjoU0WqTuI50kQe	23	2013-08-02 23:06:44.51961	2013-08-02 23:06:50.871537	54		0
3363	10cmpnwi9ri4xskgs3he0nl5ji	$2a$07$.ZVccvyY4lEade09Zx/s.uTWXjQ.nD2Iy0Cpcc9KWb8HxNui9ukmu	24	2013-08-02 23:06:44.542244	2013-08-02 23:06:51.263542	54		0
3364	10hc5zjfujxc0l1tg2huf0jxwk	$2a$07$ezftYbGOJ4THmeNVvHCEV.NducvKlv0/fsvHP3ZyPAYFnbCxfvoKa	25	2013-08-02 23:06:44.565223	2013-08-02 23:06:51.409305	54		0
3365	10yc7rvei6lup29bnw79g5algq	$2a$07$W3X2n7If0o15RzuBeGm1COEOM4Oi9ZE1XhVudjwbW6NY5tuk1ruM2	26	2013-08-02 23:06:44.588721	2013-08-02 23:06:51.729354	54		0
3366	10s6f6ssrqxaeqc37s0pnax0bo	$2a$07$LcD9hnjr9Yjz62dKPWGnX.B2SwyL5LgWlq0lwvtKMEWJQ2Qp8HqSC	27	2013-08-02 23:06:44.61193	2013-08-02 23:06:51.93465	54		0
3367	10znp1gvaj2j48vflm4obt9ucq	$2a$07$Tbi9YuUnvTdmDBJLCHgh6e16Pjum6FBFf3roITjRNw9UNBvEhobRy	28	2013-08-02 23:06:44.635496	2013-08-02 23:06:52.11296	54		0
3368	106ng6n38bvsz76j6knx927jzb	$2a$07$sx7bU/jbtk7sIyDt9ddA6.iiRhVDKMni00mgia426CCESIypUszjG	29	2013-08-02 23:06:44.656576	2013-08-02 23:06:52.310259	54		0
3369	1004fj8zwce53k4etibq0ys2tz	$2a$07$3iWmXGRirqTLPGTRgwzN1uXiZ6huyWDQLHc/Q9qt5L4F5aRct/eYy	30	2013-08-02 23:06:44.677434	2013-08-02 23:06:52.603081	54		0
3370	104uzls1wv830qpn6edealpvc4	$2a$07$diR.xtKqJxmwPlabjZEtreYz4cj.D4b2PCgaYIKqM8JooLV5y/BUe	31	2013-08-02 23:06:44.698518	2013-08-02 23:06:52.737798	54		0
3371	10p6oh36k7fi4011tod0p9ex5t	$2a$07$yCQWIc0CMmIpeg0pt11Gx.CdCiyK5cb/rLLTArPIJiU7NfMcUSb4a	32	2013-08-02 23:06:44.719354	2013-08-02 23:06:52.853109	54		0
3372	10whaazxkye6imazeux6ms50nf	$2a$07$I157hCaww9QC6kM0dyWVPewYnkD9hIkNCswoUsRiw5Ez5wYVYh5EC	33	2013-08-02 23:06:44.740228	2013-08-02 23:06:52.996446	54		0
3373	10x8ekojq2bvc0rmh0r1j1z7jv	$2a$07$T8kH.OCPVlFBWySvAbjaMuCh0QWCp1vaqGK0GcGyr01K4nQVKwsEK	34	2013-08-02 23:06:44.761754	2013-08-02 23:06:53.12979	54		0
3374	10sysgggmsf87db21dpal6wapm	$2a$07$rOIXjnFEtJiuXo7A5hvZauhEQqK0mamBnSOcGIwgWIHP4HoDxHVz6	35	2013-08-02 23:06:44.785063	2013-08-02 23:06:53.264218	54		0
3375	109uv6z87rjklzz3bfybp0ikco	$2a$07$9tePVabO1yVn6QMi7031qub.cHP9cRVbiPL1p67KEfOU9yfsrcdwm	36	2013-08-02 23:06:44.806209	2013-08-02 23:06:53.381676	54		0
3376	10v5zilt4xylx4bese7p2lsu5a	$2a$07$kbbcmkOP25I44B57ivwB1O7naw2Wgdj./2KFp5lBil4ZwD54DQOQK	37	2013-08-02 23:06:44.82709	2013-08-02 23:06:53.61107	54		0
3377	100l65kun7tlln5x0quwi34jq9	$2a$07$QJCBfA5LghQRvw1.2pCG5eRXeM3.139hXdKfIIcZpdsl9WWnglEWy	38	2013-08-02 23:06:44.847991	2013-08-02 23:06:53.784876	54		0
3378	105yhjjlb8ijxze0ubmze445fw	$2a$07$rYN2PJmJh5Jy2spkW0LPLuWBtNMC4lpJ6aGJd2Im4ontmyyQAzPdu	39	2013-08-02 23:06:44.868965	2013-08-02 23:06:54.013688	54		0
3379	10j8unjr66b2rhhj67kjctvwkt	$2a$07$HWw9Sac3I0xlhydTOVPTQucjNRZy4SF70ALeCL2bJm0YIvtga/ImW	40	2013-08-02 23:06:44.890142	2013-08-02 23:06:54.442478	54		0
3380	10wwrki7hib8nb5c8v0zbhz7b3	$2a$07$94Nrt/DW3dlhijwoLz1qF.wzBZ717.RcNUtTOCz3nLeJ5dtKaG3u.	41	2013-08-02 23:06:44.911423	2013-08-02 23:06:54.846835	54		0
3381	101hatfd5tob83ihcbfbqd2ac0	$2a$07$FUVynCfxaWj9yAZEpBYMC.F86gPQLsNCq6Lx1L/wjJLUrSsV5H5Ti	42	2013-08-02 23:06:44.932716	2013-08-02 23:06:55.007976	54		0
3382	10a4k30f8j4z3doa6agtd4lquq	$2a$07$3bna0z28ioliwYAnKbeavuo9bUAy2xUCFF0bwpD/BD9tLrA439XTS	43	2013-08-02 23:06:44.954061	2013-08-02 23:06:55.430303	54		0
3383	10busu8d1zsbzgedt0uizlqzgt	$2a$07$q5u6Is49R5IM6dJd0ACOXOlT7IvbNplE0kG4jd0IoVOckZMsUz5de	44	2013-08-02 23:06:44.977003	2013-08-02 23:06:55.570884	54		0
3384	10kunpigmjx0gqvt4i7xjecfqn	$2a$07$o0mToLcCl2i2v8Zhe5KSW./xB7ayx4yCu1mJ6Z4mZnqUYqBezLz7m	45	2013-08-02 23:06:45.001578	2013-08-02 23:06:55.867779	54		0
3385	10wifkmtfct8jwh2dobhtlcwan	$2a$07$kNwUNO/7fL5sJ6D5kc0qA.8dJ4eggVrkMihTTWl1ziOpcc6Mf4J8.	46	2013-08-02 23:06:45.024257	2013-08-02 23:06:56.171276	54		0
3386	10h6a1mmfwobmyhxulo6hqyugi	$2a$07$J3z3d0hEi1pViDs0zFDCNeCZ.UggOJrITijIH5QuZ2FWBlLaUvyQ6	47	2013-08-02 23:06:45.046864	2013-08-02 23:06:56.383694	54		0
3387	10fb8hzt2tv54kntio9vii09zj	$2a$07$b5UrnHHHkohLpjhQ2sH/IOaRh6tpu2uPf13ndTzbmw8gWv1BuoQ2K	48	2013-08-02 23:06:45.069878	2013-08-02 23:06:56.761753	54		0
3388	10orp56nq1e8sxlkk5qrbni16a	$2a$07$gDZnIWolBrzvtyPrOcHreO9IADlBE6a/fb3ebKyDlQIOdmts73vMW	49	2013-08-02 23:06:45.092558	2013-08-02 23:06:56.919987	54		0
3389	10ih593zcea5usx0yzjx6iye4w	$2a$07$6w/AAJP.eTbC6jn/YaSRC.beNXMHfQ4Nmng0mnq2/tQroc9ntUPeW	50	2013-08-02 23:06:45.115664	2013-08-02 23:06:57.078133	54		0
3390	10mc2p6xmjk938ub0rwtqfg37i	$2a$07$Y8oGdlXn5H05kAXwd7B2leClzxzNlA1Kw6SYHgrCVg1oeqkrlq20K	51	2013-08-02 23:06:45.137535	2013-08-02 23:06:57.234248	54		0
3391	10kmyurqsfy1bkjpm7gwg0nsj4	$2a$07$5VcsTBDE39yhRpnAUFsqXewfHDXsIQS4oo.HNDFeqRuba52Dt18aS	52	2013-08-02 23:06:45.15908	2013-08-02 23:06:57.467311	54		0
3392	10rau45z6cogkysmk2sv6e7jrk	$2a$07$S8GY.JqviEfmUuClIay6weflqfzED4H00W7LRRILAH79KhBG9TSKW	53	2013-08-02 23:06:45.180512	2013-08-02 23:06:57.60967	54		0
3393	10c0ptfzm7morocxn34p4qtfoy	$2a$07$ew0IWW7D/z0meH1yRS.iNeSOkOL3WfgkW.3yLfhWeeC/xt.Enuq4e	54	2013-08-02 23:06:45.201838	2013-08-02 23:06:57.896896	54		0
3394	10vkkv96diof9t2gw9wpb5qcrc	$2a$07$82rSOz03nnER6dcVLKlRX.rcqDGMuAtrWoAtb5cFzWr0.MGy7i4C2	55	2013-08-02 23:06:45.223052	2013-08-02 23:06:58.303391	54		0
3395	102hhckbbfoitdw2sept7bk1z8	$2a$07$JAG2N7fnn3MV24cUlGYmr.ednolx5hFePqxdCeFYOjZp2W.5XExVa	56	2013-08-02 23:06:45.244213	2013-08-02 23:06:58.700928	54		0
3396	10tkx0piu3not6473krgn2hnxp	$2a$07$cb9oG6pQSJZdILaTdZ2WbuANzL7U8vyhvynbIoeUkoTnUmaZz3U32	57	2013-08-02 23:06:45.265407	2013-08-02 23:06:59.08902	54		0
3397	10326larv03d840ksrsx5e6l9y	$2a$07$mSQayFb/upQw0roZphjgyO7ngwZ/1I5jZiI12nhl9yKGP42OAytFm	58	2013-08-02 23:06:45.286702	2013-08-02 23:06:59.505108	54		0
3398	107ed06gibwo87abmko573101b	$2a$07$KpraGHUvYMS5eGUT1fWvcO0iD91z5ijkwa07REBQ1GBGYyc7/a04S	59	2013-08-02 23:06:45.307919	2013-08-02 23:06:59.894461	54		0
3399	10duy3t23m1r9oz01spf77jmvr	$2a$07$.AVXeBm.nto0SQTJ4ep84OUMDSMXTWvRQHSZBTq00fRIr/GwXEyWu	60	2013-08-02 23:06:45.329092	2013-08-02 23:07:00.297465	54		0
3400	104adcjieo3upgjnkkgmecv8wz	$2a$07$EH7FP7Lu4QmkW0iaYZ8DfulYcIvHXPyS3c1OQQKKqQWtpslXHtey.	61	2013-08-02 23:06:45.35025	2013-08-02 23:07:03.001016	54		0
3401	10se5ve9vba4smi1jftroj66e5	$2a$07$eSNwDk3pEhUINuNtsS19CexKJUkgfm0euBjNdmzyD5p1n6Z2mV1Em	62	2013-08-02 23:06:45.371831	2013-08-02 23:07:06.120121	54		0
3402	10wl21jxxwbfyicaqd6bc309np	$2a$07$FHOPk51qxz5g2owyTAA6JOEAvdkeJIoRL7wJnbrHWEKOw8rWKncla	63	2013-08-02 23:06:45.393079	2013-08-02 23:07:09.119736	54		0
2395	101bing7w336tze5bvew2dsbsh	$2a$07$AcZUoNeWV8MOszZvtLDNde0aKhxmYu4NiapHZj10t8pQgpk7haos.	1	2013-08-02 21:51:44.074452	2013-08-02 21:51:45.692376	39		0
2396	10cf8on0urgpd0x0ilw5u6xm5y	$2a$07$w.GYAhfLQdyG/lwKvxr6qe8UKhgxxiY/JhQT6OlwPr6eUm2ksf.AW	2	2013-08-02 21:51:44.099301	2013-08-02 21:51:45.828681	39		0
2397	10fzlnumqmhxksr3r2vr87vkfk	$2a$07$3klH8hGtbSbPGPMewe6Q..qGcyV09VA5POpY8wx8LeH3EKoo027Jq	3	2013-08-02 21:51:44.121473	2013-08-02 21:51:45.971998	39		0
2398	1074b94gi5duja1ad3uhbbiyrw	$2a$07$VTthNwLoKAtPDsDiPwvbqetez5So5fdhMRaspXYBeB9jnAhUGA4Pa	4	2013-08-02 21:51:44.143544	2013-08-02 21:51:46.342513	39		0
2399	10ae0wvd6twijwxvso70aoqvaj	$2a$07$3aq4FKBsCZSm/.JUlL2zauyyXEUTqiRwBNzadmwYhKkGuzzb4bCEy	5	2013-08-02 21:51:44.165531	2013-08-02 21:51:46.729492	39		0
2400	10wr4tthm9i0y7sqnrx2m8o1hz	$2a$07$ol22OxrRmWi9rOkFxWgwC.vWugA97aQpXBUCNmMkRQIkLQcrxelYa	6	2013-08-02 21:51:44.187461	2013-08-02 21:51:46.864463	39		0
2401	10a0pywycysn50l1w23rgs55rf	$2a$07$85O.GTFE0D752M.LtG3ku.NI6g8cW7XQb4nslIehjMG0m2pvcDzn6	7	2013-08-02 21:51:44.209401	2013-08-02 21:51:47.000873	39		0
2402	10dngbi9scmdsu2s6f22v0adz9	$2a$07$EfURlS/1OryCRpDrk5IwPuqRcjxtLHa7HGP88W2Rd8PCcHWsOMyem	8	2013-08-02 21:51:44.23132	2013-08-02 21:51:47.132898	39		0
2403	10h61y23xfww2ids8q626d4qvi	$2a$07$FRXZzp8wh.O7vblzo/aLU.5NmFnZTRhsB8KXYVmMZ6KQ1OFEOALtO	9	2013-08-02 21:51:44.254291	2013-08-02 21:51:47.258699	39		0
2404	10yzmnk1bxvsnj8pastginuquu	$2a$07$J5rBCgi/2UqN0LyRm.L9N.EQ9l6TMyqGd/fTF3x5PMpxdrJ82qf2y	10	2013-08-02 21:51:44.279342	2013-08-02 21:51:47.379499	39		0
2405	10phs4pc8ckpnju6ixz7035sdk	$2a$07$ioM5wsmu9ai/rF2dMrQnxe.EcrV6wWCFGC/yzJJEd37O1JXw4.TpS	11	2013-08-02 21:51:44.302341	2013-08-02 21:51:47.504634	39		0
2406	10ce48tel85laq25vdw298i2vv	$2a$07$rdchsGZq5cNt8gg7o3RxMe0e1F.peHppNVDGBV.YQE1exrJjMnH.C	12	2013-08-02 21:51:44.324774	2013-08-02 21:51:47.635654	39		0
2407	10ja1j450h8psbbjtu3ydxzuuj	$2a$07$rEaUempLubkSqWo4jHsuOODJuU9TyycR7hM6rBwHblMiQDHxh.CSu	13	2013-08-02 21:51:44.347636	2013-08-02 21:51:48.002483	39		0
2408	10e6klsbptguonshm8a9mnkkq3	$2a$07$TTB3uw1ZvfYi0FOEu2oGJeP1EmOOY6ndU2wxOgCaYXZUG4gTy2Veu	14	2013-08-02 21:51:44.370979	2013-08-02 21:51:48.36459	39		0
2409	10eosfm5xq73nmcejug8wiabqv	$2a$07$rqPu.ZyBDa6LPQbflC8dHe7PbIlehWioTXjqEJptD78vwj7Nor8yO	15	2013-08-02 21:51:44.394121	2013-08-02 21:51:48.72257	39		0
2410	10v4rlucn8x8vd0vegasp3e7v6	$2a$07$AQahu.R9QzK3gAzVEBQCK.d63RVjgpfc2.peTgLGVtGDU2AvWFqV.	16	2013-08-02 21:51:44.416254	2013-08-02 21:51:48.981574	39		0
2411	10k5wublo3ygym5b281mr53pyg	$2a$07$M9zR532m3goJwBQEUM9lT.IB2xUdZwCgjh9qbdKLoLxRuTF.IqZTe	17	2013-08-02 21:51:44.438074	2013-08-02 21:51:49.105119	39		0
2412	10euh40mcor9xmym9h8s6j3jqd	$2a$07$WWk3iWfKCI4t7x9z7Fp5YuzymRpMrzg/jvnN.3wtOcbgQs6tI8Nai	18	2013-08-02 21:51:44.486284	2013-08-02 21:51:49.221839	39		0
2413	10cfdd784buydzxfwo0gqib38x	$2a$07$0aVEJiKqCvZvWH6P1MCgoOu8Tv2DaB94h.QIAqa4kphJyKkZ9Xyia	19	2013-08-02 21:51:44.509747	2013-08-02 21:51:49.332699	39		0
2414	103uynzab8xpm73zia5tah6re8	$2a$07$ZOCf74Mk9nXqEuD3wqHykODxZt3eSyr1hBy/RJzczMt6ZCgE6ctOq	20	2013-08-02 21:51:44.532023	2013-08-02 21:51:49.466918	39		0
2415	10jgjnwy4bfn7clennyd2egqaq	$2a$07$qsC.yRHuvlVRWJUJl3WioOyOvl68pN36jNExEc9O5ac725PADElfS	21	2013-08-02 21:51:44.55554	2013-08-02 21:51:49.575273	39		0
2416	1068sfknbj6xsn2pxj6p67j9ph	$2a$07$b4u9b323w0qwEI2VTpRfiuLNzY66qJ3PAtB38JmkbGb3utbHxn9pK	22	2013-08-02 21:51:44.577766	2013-08-02 21:51:49.945376	39		0
2417	10s4mnq96sztc8m20w6z32zxt4	$2a$07$ouC/wKJdSV2L3zTBaCKD2OT79yfZZ6BEFDMk1E9NSMeFWpwD8Ik16	23	2013-08-02 21:51:44.600797	2013-08-02 21:51:50.31231	39		0
2418	10799tzm19n95rgllok0dq7bdk	$2a$07$Dqh6wp.BeoZw2h/qONCoSe3wOcnIFIKusWDiQ3J0K/05XwDOP0CGq	24	2013-08-02 21:51:44.625998	2013-08-02 21:51:50.677165	39		0
2419	10hgz8azulybsytp5yj6h8wzne	$2a$07$MgbvIriziYJpGiXhW1LgZeqbapJiwyDQiHFueQ7S7AzoT6d6Tpag6	25	2013-08-02 21:51:44.65567	2013-08-02 21:51:51.035377	39		0
2420	10pr52nyn4fuk3lpcschv0rltt	$2a$07$H0pW982DIFT8Om8Jf3OXgeoPYoct64F1OQTRYRxUSrbW0pXYLe.vq	26	2013-08-02 21:51:44.67998	2013-08-02 21:51:51.306494	39		0
2421	1049pi72t3jheode9tx5qwg4o6	$2a$07$RXGdzAQnL02Sa8lTw26MLu3Qn4thk07LyaNIHAFfPvtkRLaOSEr1q	27	2013-08-02 21:51:44.704411	2013-08-02 21:51:51.450615	39		0
2422	10kxhnmyt52p2utv19odmdub8p	$2a$07$dGJ7DAhMSncaeQBkhTdpXeGzpDVTC9nbfUw4JsT6sZeVwlTYA8/fm	28	2013-08-02 21:51:44.729744	2013-08-02 21:51:51.786114	39		0
2423	10ofl9xy80dnl5q8ge3drqesac	$2a$07$pCn/BRxv0M5d.XzbmhsIUeKqwskq60Uxyp/iTZmcqDPSOIXdORNIS	29	2013-08-02 21:51:44.755647	2013-08-02 21:51:52.144458	39		0
2424	10ba90qgawk0ijntyk4uzn9uav	$2a$07$jmvRZhffORoihXq4MbvAd.q7fKh/xVgRCK7csMKmRN3l6/jtUVFfO	30	2013-08-02 21:51:44.78154	2013-08-02 21:51:52.513405	39		0
2425	10srn0004wjtrkx8wl1cp5by4x	$2a$07$gMYsXtQHbauq8P7ch6i2ruL.SfBFP2cZ03.ceeZDNCX1ike7O6GIu	31	2013-08-02 21:51:44.805357	2013-08-02 21:51:52.627607	39		0
2426	10gnhmjgyoi90y05n61w48py69	$2a$07$sUvrARiFCYPSkZL/FIjA.ug9SnEsrj4O45G787YgWLw7YsPG7oohy	32	2013-08-02 21:51:44.829652	2013-08-02 21:51:52.760746	39		0
2427	10ru3yoii1pgcoimpagj3s3elm	$2a$07$G7LIVCVEx9eGy0eEPMy/F.1o7tM/X8.rxm7Pc9EWlRGnpDRi7AFNm	33	2013-08-02 21:51:44.857879	2013-08-02 21:51:52.89927	39		0
2428	103yo15347tkg2tz4fig58fopn	$2a$07$.yvL0nenXwNbXPuKaaugIONEYUcuUPX5jjgH7tUTdrus4u601aPj6	34	2013-08-02 21:51:44.882616	2013-08-02 21:51:53.043113	39		0
2429	104d3t8jehrplqiprcx7n4vl3s	$2a$07$AX9bgemCbFov2xHegKGJcOdMAU5V3QmaeqSB/OyV3ir.8WV3g/90S	35	2013-08-02 21:51:44.916136	2013-08-02 21:51:53.189781	39		0
2430	104r0h62euumwgh5g2gvfcyer6	$2a$07$cLlFOY3h4rzSsFwom3SrkOgCPdTUdpEEr/qobLdQNdb8LDMOfzQfa	36	2013-08-02 21:51:44.949531	2013-08-02 21:51:53.344405	39		0
2431	10k1czjr4hm8ffc4u7z5w6hj5x	$2a$07$0YlJnIdy3WOGDlR66NwBp.aipSJHQN610Ob2l9v.woEdmpU8yoCIG	37	2013-08-02 21:51:44.97142	2013-08-02 21:51:53.656205	39		0
2432	10i2utuc6fitgt7et2393exzvt	$2a$07$ps22KrIoQlsrhfPRfcs.VerfigRT534CpB3K.6k8Wx9qbw2n16yHS	38	2013-08-02 21:51:44.993093	2013-08-02 21:51:53.842242	39		0
2433	101u35yg5mt20t73z8u4c1rmfx	$2a$07$nu2RU5Cmo/Q1hwwT2qCMR.fCY/Fj.jEpqvPyojJtXmNVlXuYpIdym	39	2013-08-02 21:51:45.01447	2013-08-02 21:51:54.181328	39		0
2434	10ln9f7xh3swxp730huf50if31	$2a$07$WgXjnXEBEELBSS/e9G8cJOgxT.v3kAqX3KxwIp8Ls9iTqAjhngsE6	40	2013-08-02 21:51:45.035698	2013-08-02 21:51:54.55488	39		0
2435	10tzqt9drimd23sfn2oah8bzmn	$2a$07$3pQB1Aoa/Tij5fPbq/L.XemTRoZFUYj/BwmTS68HfpUF9jYmOIEPG	41	2013-08-02 21:51:45.058522	2013-08-02 21:51:54.916013	39		0
2436	10ggmx4kp422p8fff0hm0gp7o7	$2a$07$miY0Lx3Ek3qxvBC1pXcjZOj7jFPi7e4FEeP9X2n8V4L0sauj7qoLC	42	2013-08-02 21:51:45.080576	2013-08-02 21:51:55.273975	39		0
2437	108cs2lc2r5jrqmpjel8ubueoh	$2a$07$fD2R2B59p9gIx36KyZerseGBI7rbVcvVR/iZVhamhE4dqC49Qlw7C	43	2013-08-02 21:51:45.103265	2013-08-02 21:51:55.641575	39		0
2438	105ao5h71p6tetlg02l1e7w32s	$2a$07$c6GofQZUyJWglBczJ3A5GedCbokiRQeWsmg9w7uVBa58Eip6uEtky	44	2013-08-02 21:51:45.125084	2013-08-02 21:51:55.992526	39		0
2439	103dsek8mqope9fvj552jyxtx6	$2a$07$IEthZoI3GCMFviTIQ5IWLuHJ5/X0WWHvndxTM4FFVKwb.VSKPkkfy	45	2013-08-02 21:51:45.146869	2013-08-02 21:51:56.328095	39		0
2440	10pk8i5ntofs3dy03r2v4ga738	$2a$07$K3QcZdF3JDfB8ZCF19F0bOWlnR.Anz28aSUJwlIgsoYYouq1CwNli	46	2013-08-02 21:51:45.168802	2013-08-02 21:51:56.674871	39		0
2441	101dp7gryj8ktzi7lb6u4kb353	$2a$07$BWVkxXRp5IIa/ZZKuhEh.OmKobFBbzGpVZZXXoDfWBZMJM6aEtGC6	47	2013-08-02 21:51:45.190347	2013-08-02 21:51:57.020456	39		0
2442	10lbis10bga56oovadrtd9caf0	$2a$07$pywsTF7AAqeeGGR06z25Duwc7Uq7WFRMF60pUlip5tUlLynZKvlym	48	2013-08-02 21:51:45.211694	2013-08-02 21:51:57.386673	39		0
2443	1029dwvupkmoj11tgrzf41hwdk	$2a$07$EvQrWWipSSkGsI8KpBzJKeP/Lzh5XF/raXFm3DXQQYiIR5Avj4nSG	49	2013-08-02 21:51:45.233212	2013-08-02 21:51:57.535032	39		0
2444	10dd4gnsqc8cjtsdltyoq5umdz	$2a$07$4T6QekVHnuRmeaSZ.d1tR.U4Fd8C9QqYpq7Y25TMKG1wcE4BK9hIu	50	2013-08-02 21:51:45.254945	2013-08-02 21:51:57.669183	39		0
2445	106cnqwb7r6uww06fg1k50qpvh	$2a$07$Kg8bPR8lKcOI3Iwd.gTbruhXKsfjwymLBrbr3LVZdGg6OmWizk2h.	51	2013-08-02 21:51:45.277634	2013-08-02 21:51:57.804288	39		0
2446	10fbmeqjrjfpd3d4yvffch9fod	$2a$07$6.6EHqjzI4swstmoXShd2OKVaJcLEBp8DSQX47ZOX6rzFXt.6Lex6	52	2013-08-02 21:51:45.300146	2013-08-02 21:51:58.171815	39		0
2447	101zx25heglgc8sqh8ica0o9ql	$2a$07$R.S2./EdKL.dK6cck0kRbuXxgetoi1V.ki3.m.Bqebm6fiPhVUWpm	53	2013-08-02 21:51:45.321638	2013-08-02 21:51:58.536829	39		0
2448	10p6ld4vg5834bf4gc1k7v8rtw	$2a$07$VxVq9kCPFxktMq/rdfw1MuOwqTf.ZMcPNPohUQFSmAlxgb2Wuhx/O	54	2013-08-02 21:51:45.343548	2013-08-02 21:51:58.880998	39		0
2449	10stav59clk9tbipv84z36p7x0	$2a$07$PfHYXw/8MbhstNksQZjNSeCfJizB.aX2RY7DGQdl8uwu8n5m0cabe	55	2013-08-02 21:51:45.365167	2013-08-02 21:51:59.246798	39		0
2450	108u6e0co5x69z404g5b8eacdn	$2a$07$Ay.HJ7EOiyTj9No1rI6MfuQR1P3YGGMvQXpg3RIdmuIGxjk/eUJOm	56	2013-08-02 21:51:45.386523	2013-08-02 21:51:59.611748	39		0
2451	10vn3teof8b12f0mdf39s0c5cd	$2a$07$/pxvtxvvk7OzSsTEcLu5Kufd8rEvb8AE3xUCl85nNrHjFnW4G270G	57	2013-08-02 21:51:45.407973	2013-08-02 21:51:59.967219	39		0
2452	10t114jx130jc59txjfqr0dqi5	$2a$07$p9p94GaT.tUvkgHnVHk05.dr5Ry4hL.yvxr9eEl1ihvcyLA8UgVni	58	2013-08-02 21:51:45.429859	2013-08-02 21:52:00.347095	39		0
2453	10nv2rt7im16nlu7yjft6msvbg	$2a$07$QNOPUo9dfBWuXhweOr63Se/g/DMPPyQTiyPUzUs3lGg2oWDjRef12	59	2013-08-02 21:51:45.453457	2013-08-02 21:52:00.706657	39		0
2454	103gm7r3y6iqrq24oj0o2bvu9g	$2a$07$1e6ih1dEi/9ztboU7nMIyePE20fSI5In4eIzzxAbMnqXlkAzIXKaS	60	2013-08-02 21:51:45.476019	2013-08-02 21:52:01.075885	39		0
2455	10a39p48f1k9c33957f0aqhmzm	$2a$07$YPnEHDoCvKcRoQFInTMaWOs4yJBvuAVYqKJogib.MwVd2AtBH68Vq	61	2013-08-02 21:51:45.497587	2013-08-02 21:52:04.043245	39		0
2456	10eprw1x43lo1e454u352ehdgv	$2a$07$W7U60GvugfVbQ80SbBl/4eNuiAYKlqZ3rH1AlA.csdtr0KrQtRV/m	62	2013-08-02 21:51:45.518935	2013-08-02 21:52:07.229066	39		0
2457	10cyu5w8tkb09ij2k67861xfqf	$2a$07$snFLNb2.ACf83P5w6aRKL.IICfgi3mMFijR4XmCrOz77ZAZHGWyfa	63	2013-08-02 21:51:45.54086	2013-08-02 21:52:10.129073	39		0
2773	101ewl9y4j9jg74ddb942066qb	$2a$07$gXOAWUAVd7OMeq4adYt6teM/kGTQRqqwdLxFTnx7XNqtbgLdiGQE.	1	2013-08-02 22:21:44.039967	2013-08-02 22:21:45.647564	45		0
2774	10lo7yks4vbxv2aphdy5rzn44o	$2a$07$b0qPP10RCDuihGzKYw4vZOLYIWGxD8sTsUQnT82opwFCSd6Mcnn5y	2	2013-08-02 22:21:44.063406	2013-08-02 22:21:45.795293	45		0
2775	10n7v5azcrch7hm8vgsjedu44h	$2a$07$ceDXzrRDPk0p10NjMyCPu.mHAEQLN2b/rzsT.AVKrSXEfYTJEPucW	3	2013-08-02 22:21:44.084904	2013-08-02 22:21:45.93968	45		0
2776	1099edv4d1vhvvploewtpggujl	$2a$07$gVY4o1dEXLmVzwdcGWcqy.VaEW/B7M4NRU0Us0JVMZt8B4f8bYhG6	4	2013-08-02 22:21:44.106437	2013-08-02 22:21:46.312517	45		0
2777	10o2l6vjofipsesr3b8d1dt908	$2a$07$AxTh4cIiBGJ4w4mC3PuNRe72SRQGNSNOPzpjfN625Ae/pkZFzEsHe	5	2013-08-02 22:21:44.130193	2013-08-02 22:21:46.619308	45		0
2778	10agy0362s4fzws0nxb37dc4xe	$2a$07$axfHNGYVxKiAeefnocszqOw.FpnaTlGiNSLYaQfBxKcI1M./kbLP6	6	2013-08-02 22:21:44.153852	2013-08-02 22:21:46.758927	45		0
2779	10kjdq5i7sw7k1rfrydz95a1yr	$2a$07$MCdCdgJB7kHrVqzPxCFjnu.vhWJRFu/VxxwtWSnDTEGaKXxqxisI.	7	2013-08-02 22:21:44.175491	2013-08-02 22:21:46.893776	45		0
2780	10av72jmfqrxefwgfbaqazkp39	$2a$07$EYoa9lWCc5Wd8mKh/IzWi.SNmeoB3PkWarWm4hvHNR6tZJhXzIDFC	8	2013-08-02 22:21:44.197322	2013-08-02 22:21:47.034737	45		0
2781	10madmu003ric5fa7577q3v3nz	$2a$07$FRiF3BICLt2MmKUJs0IwLutK1VfTB63jDc4BC3dwPnr1sYVP4kn0O	9	2013-08-02 22:21:44.220088	2013-08-02 22:21:47.168431	45		0
2782	10ozn36vurwfzlhg49v09xz1bd	$2a$07$bTv5z.kSuJwDTTJJJ7uFj.48.d7P6RMtRPa8FIR2IgBaVwp8qC1Du	10	2013-08-02 22:21:44.251893	2013-08-02 22:21:47.298103	45		0
2783	10btwj09jg14dnc7gujvz3l3b2	$2a$07$rfglufo8ekx6nNP3tgcKL.WlcAwnOkkoq6lq/9AF7rD3VuZDsf2wG	11	2013-08-02 22:21:44.277339	2013-08-02 22:21:47.4427	45		0
2784	10hxet2zgiv67rh0iqbr91b3is	$2a$07$GTyFtTk9NEA2ALqpFoFig.tnR/IwPjjxxJEfY38xg29cB..4in2LC	12	2013-08-02 22:21:44.301111	2013-08-02 22:21:47.562664	45		0
2785	10uyqy9gmj0zl6alexzvi6zike	$2a$07$nhFMtjhi90rD6teYSwzURuXTpcHCwOs9H8GfcBzUfceFu1/h/o68a	13	2013-08-02 22:21:44.322513	2013-08-02 22:21:47.940748	45		0
2786	10zvs2p56fze3yywoxlw6xv5xy	$2a$07$te0LkCqqMLJ5Bstb6uWr4e24S05Z63On/510CEJNGIdIChfvw/2gG	14	2013-08-02 22:21:44.343951	2013-08-02 22:21:48.308185	45		0
2787	10uwv9y3zub3rflx8ugl0qyn83	$2a$07$iDAMvrxfgX0M5.qcsSCUZedNpgKln/NZEkwvjso0SwNPOgyV44yiK	15	2013-08-02 22:21:44.36544	2013-08-02 22:21:48.67387	45		0
2788	10lry2h62ln1he66pn2830prv5	$2a$07$pJzEOlS/HEkwnF9q3LpZKupefaS9RQzOuB6p1deD1uGgElS5rVHSO	16	2013-08-02 22:21:44.388212	2013-08-02 22:21:49.0346	45		0
2789	10tww50qvmp4plz37w2ye4zpfj	$2a$07$loF3.M2LZ46Sbe3.PbEJfe7bBO.5.vSTlNT1cjBQ1Kf5FU0FlHRCm	17	2013-08-02 22:21:44.411316	2013-08-02 22:21:49.192782	45		0
2790	10i18uq268valzv1pa3sxsqd1f	$2a$07$ppUdxl2htWvHFdkcLTgvuOBYfghFFpF7kzB69IEQ.9q6qrC7dSXJe	18	2013-08-02 22:21:44.432306	2013-08-02 22:21:49.335742	45		0
2791	10fm6s6zn9lu7ha3phvp1lplkn	$2a$07$Z2paslUfCrOssCJbkyjJ8eVVcvA9vSQIRhyVo7RVPlAaHUSfskvLO	19	2013-08-02 22:21:44.453938	2013-08-02 22:21:49.477464	45		0
2792	10xobt650w3m9860xcij2udajm	$2a$07$rqmBf5fQMqpsIARPVyMENujBX/al6WyoRA0W8q/6Gs79vuUb0Sox.	20	2013-08-02 22:21:44.498606	2013-08-02 22:21:49.586304	45		0
2793	10bjzfrdin9j28qth4ja0dunvu	$2a$07$0T9zQVNtirl5kji6Bqm1/.5Iiud1uEUV5KSLe5FCNO1pAUQkSPQ5e	21	2013-08-02 22:21:44.520482	2013-08-02 22:21:49.72886	45		0
2794	106k6brl15cjz3yz6x6bna2xj3	$2a$07$vsx5p5vmrFy39i54McMZM.SgqYhuREqjhF9RxRBlCVUtXrxcHStBm	22	2013-08-02 22:21:44.541885	2013-08-02 22:21:50.147242	45		0
2795	108qc12jpq32k34eih1on9l74l	$2a$07$llYndCSw3BVUQXgDWPJsa.dOcEfxQ4k8s8Ebnh.2W1EMqWmhQedXi	23	2013-08-02 22:21:44.563311	2013-08-02 22:21:50.295861	45		0
2796	10imriygj0s8gw616fb4bw5tsq	$2a$07$wH8vPWH0e4OpFyfVVAOsvO6T5yQY34YSPjzCNrk5r42Fu6aNWQ2Zy	24	2013-08-02 22:21:44.585626	2013-08-02 22:21:50.459024	45		0
2797	10t2rck1u13bt0tk1dd07vg04s	$2a$07$.W8hTav4Xk2GgbX1zNeYpOoD1.aTo3qiUtW0z6rGVSZaamndA3v26	25	2013-08-02 22:21:44.607422	2013-08-02 22:21:50.675219	45		0
2798	10imnu8kh4yq0t1o28pkhuvq3x	$2a$07$IxKv53VU0RPzjkk5Z7Bfg.D7Agx/Cq.loijH7Db2RpGnhaw4c4VOC	26	2013-08-02 22:21:44.628873	2013-08-02 22:21:50.888416	45		0
2799	10q8oj2nungd8zsfy61ctgo2on	$2a$07$iu9e.X2B7rut9a37JGhJWexgXnzP6xY09iO3havNJO0egmfHKwJ3u	27	2013-08-02 22:21:44.650817	2013-08-02 22:21:51.134931	45		0
2800	103ej9unv70vtphv55jpew2zkb	$2a$07$dX/ZnjxI8BtSY4niPTBFt..arOow.FIQfm9O8MKfbiCjiwFk07gYi	28	2013-08-02 22:21:44.673447	2013-08-02 22:21:51.505422	45		0
2801	10gozw5b7axu1nmns6miwyma0y	$2a$07$USkCExDbd74X0YdlGWldBO23tVQAZGrATVil.3rqt4x.3a6/MZr/G	29	2013-08-02 22:21:44.698367	2013-08-02 22:21:51.867225	45		0
2802	10txo5q255govchysr1g5g94fn	$2a$07$IxjSIeBODBqlU/XwNP3eOOnIs47ipgB6PBugK2WUEGUYGFZNYLTri	30	2013-08-02 22:21:44.732777	2013-08-02 22:21:52.116364	45		0
2803	10a6ouqwp34rfc8qily8774i88	$2a$07$0iD9dlSXceQVylq0I2X9MeBYWNXLi7ggMS3xDDDB4eUmcFB0HyvXe	31	2013-08-02 22:21:44.767015	2013-08-02 22:21:52.255511	45		0
2804	10ewvw23vrza18teuu36xldsxa	$2a$07$Zags0K.bo9uJf.zk/LbWgumK4YTQsOJTlajIXQLcpNHTsW08QHS5G	32	2013-08-02 22:21:44.792966	2013-08-02 22:21:52.379633	45		0
2805	10adkdrhflih3es2vh1vz3fnjv	$2a$07$vvw1AD6eKxn5DkvQT79tbuP1UOdZYIkrOGoKMvLgGf6YQoxcs6LnO	33	2013-08-02 22:21:44.8153	2013-08-02 22:21:52.505683	45		0
2806	103c62bbeb94dpv2azbpqpot11	$2a$07$Mg6pduvmW1K31V/HWoa6M.HHdynkS/lf9l0ZG0W/Z54y6QtQkYk3K	34	2013-08-02 22:21:44.837607	2013-08-02 22:21:52.644137	45		0
2807	107atbg7l9254h59buw72d4kc1	$2a$07$0RPVwNr5F6TDnyfUhnUAiOt7qbJ4xVhIsrPI.D5jOTal8T3Wc5O2u	35	2013-08-02 22:21:44.859466	2013-08-02 22:21:52.784151	45		0
2808	10o5lmip924su9gr085v4fqobq	$2a$07$1/wYxPDcJdJtHXE9ro63Ruoa7Vupn1GDlS1S3ycXtsQFYILzstYh.	36	2013-08-02 22:21:44.881446	2013-08-02 22:21:52.919109	45		0
2809	10mjb8p0vg5z2pjw9lx6yswohl	$2a$07$GDRs0UtA3Lej.v0LDO1CTexDstaVs16vvETLPZ0Xqq20vQziKZbda	37	2013-08-02 22:21:44.904643	2013-08-02 22:21:53.274767	45		0
2810	10m6hzx5g07983ygmhb3rntw8k	$2a$07$2F6.7UX1sQLur7BCBAtt/.gJlaka5Krzu7EWjueg7be0k92j8H2pW	38	2013-08-02 22:21:44.935715	2013-08-02 22:21:53.63269	45		0
2811	108n07cb1kzbitn0ex63zm6hjz	$2a$07$jtAPsfmyQssdC/Is04XwqeRmc/mIlYSORQsi0dsRxqs0ueCxamlj2	39	2013-08-02 22:21:44.961152	2013-08-02 22:21:53.782084	45		0
2812	10jc91tx05xe0sd18wrph40081	$2a$07$0onwTNKA4QoljdUjP.4fPelp7SjZXxlQ7ERmwNJMlztGCWhj7Y3R6	40	2013-08-02 22:21:44.986375	2013-08-02 22:21:54.162345	45		0
2813	10gt5g4bt74udbqprnth3uope8	$2a$07$FyrVboup8.jtcv.0zo/NUOLhEnP5gbEiE914dsiLtbJs3Bumrd3mW	41	2013-08-02 22:21:45.009623	2013-08-02 22:21:54.527871	45		0
2814	10a54zsfk3gqj6hzk7yvi8ryea	$2a$07$7o50QNiJtMyAyRgUHzHiMuYPUwFs2flEFIq8aGz4NrUJZpbOW7w0u	42	2013-08-02 22:21:45.031232	2013-08-02 22:21:54.894225	45		0
2815	1005ecza6prcavfs2435f3d80b	$2a$07$JVMzUN5LjEexLWA.MswrLOq9TlLAy73Lgn7.zLZYE4KVw7oH8/Z7O	43	2013-08-02 22:21:45.055957	2013-08-02 22:21:55.264707	45		0
2816	10sx1xxib55lf7yxeqfy43xkgz	$2a$07$eTYY.JXYfrJqAO1TJJ7Aw.uKyXe1R/iNgCznGXM4zhHKnjnpaHpCS	44	2013-08-02 22:21:45.077334	2013-08-02 22:21:55.632424	45		0
2817	1013x86773ait0bybcc25dyx5p	$2a$07$/dr5pEhyKSkTYU6MiVuPK.uGSBglUd0yVauXKEI89WNQ2IAQ4H3Je	45	2013-08-02 22:21:45.099307	2013-08-02 22:21:55.995976	45		0
2818	10510q5x0ynminc3a7lw9968lu	$2a$07$2he1igPYtm4VK9OGwILZ7uWNWP4Yza4o.W0fADQDlc1Nr9eFi/MBe	46	2013-08-02 22:21:45.120707	2013-08-02 22:21:56.355941	45		0
2819	100zo1axa6r3v6ooebet9wg9s3	$2a$07$y.DVpJkPl1E8R0K6GpIRKe8nCj1Nljti1XBzmrJr8Ki10oOk2iYqy	47	2013-08-02 22:21:45.142778	2013-08-02 22:21:56.726225	45		0
2820	104djqja76v9bir41c2s1o9pje	$2a$07$K/atZM/KkNDRuoSSe.G8ae7udDJPurWPo5C38KHVCQBtxyJ38cQUm	48	2013-08-02 22:21:45.16663	2013-08-02 22:21:57.098551	45		0
2821	10ufnhjscy8i2uj90aidrauneo	$2a$07$nuCRNslh33bo3UnlKhiHS.YjPHr7ev1RAVvApJ4ZxaNIpajpqqdR2	49	2013-08-02 22:21:45.189563	2013-08-02 22:21:57.46371	45		0
2822	10t75t90xje9hy0keiqa0ppcom	$2a$07$M5pPEJs8pRHH6SQcWucUS.xSBP1oEM9hzezhBPO9AhDpNSSZc1Am.	50	2013-08-02 22:21:45.211671	2013-08-02 22:21:57.823801	45		0
2823	10xlzlotqhey42neqi3ohituyn	$2a$07$Il8EzPw/D4IH2O3SA2ONwepTZAFIsAuQ/7bSEZNVwl8Q1n4hm3nuG	51	2013-08-02 22:21:45.233374	2013-08-02 22:21:58.191799	45		0
2824	10712w2zyw1z5r0v2evpbhlplm	$2a$07$9rlPoP69BjB2ymolyzFVE.ZhiVQxOYl0wup9cdBpsyHAcK9jzZv7i	52	2013-08-02 22:21:45.256072	2013-08-02 22:21:58.552189	45		0
2825	10ae34956ebbevs95dnnizpcxy	$2a$07$m44rOIp5Vf/6Kf4ob.wdgu5xTJMogHhoDtBN8z5GH9OFuHnZpeB3u	53	2013-08-02 22:21:45.277901	2013-08-02 22:21:58.925588	45		0
2826	104p13rdpl6mkjixinwh6zmylc	$2a$07$Sh8ikQl8ZnhnwCDQj3wBp.opIyaK/sfEpV7OzZ0hTzOHTFE7xDXVW	54	2013-08-02 22:21:45.299978	2013-08-02 22:21:59.266199	45		0
2827	10e9aon2vgoucbggrw130vwaaj	$2a$07$.JXVeG7n8yiZq4LKsFL82.tl3rgzkwwTFi4kXYdUSqI7o5o0lm272	55	2013-08-02 22:21:45.321548	2013-08-02 22:21:59.63086	45		0
2828	10wlgxy2pajvqitfbybz8czgtp	$2a$07$7RR84q9hWdTNgo5IsQ5KMei.3yRf5/xtWbEYtvfQjQ99bYe9WEy3C	56	2013-08-02 22:21:45.342944	2013-08-02 22:21:59.990266	45		0
2829	10dmp4wf42ibxxwxm1zr5ssjq4	$2a$07$.9F3hx06sQao6Z89/Ww22u52pLvXp9wsyJyDAS6zQzuurwO216/C6	57	2013-08-02 22:21:45.364429	2013-08-02 22:22:00.369248	45		0
2830	10ixghc5pz7dsvlev8je1t3abm	$2a$07$SUpOb/wGJdNoBv.8vNWncuKsuBvx1ksDSpFUUKDFX2C.fqRtW/fhK	58	2013-08-02 22:21:45.386631	2013-08-02 22:22:00.600872	45		0
2831	10qdy238yl1g7350rdp1qnz2cy	$2a$07$Cm6HQELLTDx5RmuTb0Ly9uasbzUcnCA1YdR35n/UH/qArFZ3JJBFK	59	2013-08-02 22:21:45.410907	2013-08-02 22:22:00.808044	45		0
2832	10n02n8zbzljkoeiecod61k718	$2a$07$HaLElufm8Ut17GI4R2a36.68IgPQnt6.wWlRkcuFYKMCxFbuqMNFi	60	2013-08-02 22:21:45.43289	2013-08-02 22:22:01.165682	45		0
2833	10kn85mmwk396krdjew3spvb4p	$2a$07$sy0kZ1GnfrqHPtGGqtXHMeG4Eav7VPLweI0En6UtgBNiQu7Ae1Ona	61	2013-08-02 22:21:45.455183	2013-08-02 22:22:04.053424	45		0
2834	1081b7x6ep1iph92xkjtmju4uy	$2a$07$HFkcN2Mv3lPcGJNmmu.B2.mHl1d2LiOsDIrkvzNAk0chHSlTF76Oi	62	2013-08-02 22:21:45.477066	2013-08-02 22:22:07.149996	45		0
2835	101eg9am1cvy2etfz8qofly4bu	$2a$07$mAunlNW//vQZI1hqAnLhX.cdPiiEO2isYLdqc75Z3pPh8XfcuVGEC	63	2013-08-02 22:21:45.498764	2013-08-02 22:22:10.448427	45		0
2458	10vycup62usgu1f4k2ap9gx3kq	$2a$07$71uDlrqp8pspNJ5O0QZs8OWttMokr6MA/UFNQiO1DODmE.PUodaCu	1	2013-08-02 21:56:44.129784	2013-08-02 21:56:45.772797	40		0
2459	10bnk9p2vsh6ji7nhiexduqhkw	$2a$07$KOqlrKkt.9Jy3TE9d0ce1.HJ83RrKZojrYdREsNDNR1jv5Ch/49lS	2	2013-08-02 21:56:44.160129	2013-08-02 21:56:45.883582	40		0
2460	100ekbnm68taadkodpiee1cmof	$2a$07$mUfrtqlpRX3QIK3WX77AreFZGd5ogQsRhrMuu0ltMQKm2qiSQu5sO	3	2013-08-02 21:56:44.181597	2013-08-02 21:56:45.991001	40		0
2461	10vdu8ob0z31ezwbeihjl10p13	$2a$07$M/tr3MD/oTzJneKF.q76cuHxroXkAHCfjFm8D2x5dOfDIFv4UcaNG	4	2013-08-02 21:56:44.203047	2013-08-02 21:56:46.279317	40		0
2462	109snw5lfzbxh6b43aa517okow	$2a$07$B0jnQzM13Hnm3HIJn1Vh2OqzM4/E9w5ZKtjyzLBBVeZ0kVCI91KKS	5	2013-08-02 21:56:44.224367	2013-08-02 21:56:46.392801	40		0
2463	10njqmxxu0tc50zfem2kpbzcm2	$2a$07$SpmpVo6YV5.j4RKdLTsXj.6.7Y8nTT2bA9GhMoud8VcALWYsioec.	6	2013-08-02 21:56:44.245841	2013-08-02 21:56:46.616227	40		0
2464	10q8v2f0kzfn3mtp8jhp3w9hcp	$2a$07$A3M6kVmK0YZ23xroI0DhXuFBFvuBtS7igw.SN3IneCosIq5omwsjq	7	2013-08-02 21:56:44.269606	2013-08-02 21:56:46.750514	40		0
2465	107qy7sk7tt04dbcn575d0my9j	$2a$07$8vXx9NeCR55yMCmKd05P4uIn6DUIThndUrsPSuwKq1Yas3CmhLYFC	8	2013-08-02 21:56:44.293074	2013-08-02 21:56:46.880293	40		0
2466	10skslxpbhryp3pu8pz07tznlo	$2a$07$4hasln/8ZQAVmMF3M8rCYetGOf.vXQgl4IszO8GAgCaBeZ9K.HFou	9	2013-08-02 21:56:44.314646	2013-08-02 21:56:47.013547	40		0
2467	107vtsw9e3sxtodw20rocj1dyw	$2a$07$AanF7GA8OffP5UxFPNcQreH/M2IbBxs4RikEtmeLpiaezz62Kw36u	10	2013-08-02 21:56:44.336043	2013-08-02 21:56:47.142724	40		0
2468	10vt08thwwvyvnlfkwyie6p2j0	$2a$07$ZIDTlHJgsmUBdZydtLwrjujgW0e7sNQoztJFiNSsZKVPxSNzKjNry	11	2013-08-02 21:56:44.358784	2013-08-02 21:56:47.274558	40		0
2469	1078wi3vpg4n407mx5lf2o2poj	$2a$07$FcADr2R59AntBrhTlBcix.q.80j6514GGlKkOeqKmsBK.O20S5GQG	12	2013-08-02 21:56:44.395344	2013-08-02 21:56:47.394829	40		0
2470	10fucffqrutkbi4ovuvyyvabqw	$2a$07$WiknVmhXvZmOW6VH/ccfl.V.83.pgqnPE7.zPbd6yKve30gf6I9Ui	13	2013-08-02 21:56:44.420095	2013-08-02 21:56:47.759443	40		0
2471	104rcad6nhl2oexjjzkdhbgvq8	$2a$07$uSreKsZGDw24RhaG0FMdEefYdUrvEH8nO15M2SKC03CCLdfYM8CNW	14	2013-08-02 21:56:44.445751	2013-08-02 21:56:48.084781	40		0
2472	10njhvl6fg2b60ii2njwunsge3	$2a$07$XFCaPD38ql0o96XS6aZBYuQ6X3MCfkKi/e8CodJ.0iuJCKqdKcq1K	15	2013-08-02 21:56:44.477369	2013-08-02 21:56:48.421305	40		0
2473	10pr1tiyqsckuw4r96ohka2hks	$2a$07$qIToXXVwVLcfIwYzOo26F.TseZoTDYX2y/0zMq/bQS6a1.WjqjgI.	16	2013-08-02 21:56:44.514734	2013-08-02 21:56:48.569561	40		0
2474	100dum3a0dgrvhqab01xnign0h	$2a$07$X33HF7lAOf0HrGtw6ztenOnfaqNzdnuXKgpDpQimZ6kZcaOL02p7C	17	2013-08-02 21:56:44.549516	2013-08-02 21:56:48.936824	40		0
2475	10wnhj4tnghku9h33wy1qic8ey	$2a$07$hRjI7eZOv6O3dK4B.WpGHezqCbouFVouolRG2pG/sM7.nYf2mUw9K	18	2013-08-02 21:56:44.571128	2013-08-02 21:56:49.093474	40		0
2476	10nkj2g7962x5j0g3d9gt16rhn	$2a$07$uNKZiFd0G/Yf1dxJ/SzJmuVy6By.DoWJrfWWDXgDso/UbpbO67tEC	19	2013-08-02 21:56:44.59854	2013-08-02 21:56:49.231924	40		0
2477	10o096ofyx4yr78j34t5bhf6m6	$2a$07$6laWjInK4w4MIuv1pVrz2uX5fMMiwsXE06WSOIe0LrK/zFj5cd1sa	20	2013-08-02 21:56:44.62294	2013-08-02 21:56:49.366701	40		0
2478	10a28q095w10kagoatz5565xnf	$2a$07$Zt6jz79eYN/RyHX4xAxdRucPfEUq69xOvf4GbvslSzwmTG88YF2Ga	21	2013-08-02 21:56:44.644428	2013-08-02 21:56:49.514017	40		0
2479	10mgkoyj0d9ajti9f9ggz1stnc	$2a$07$UMCoNsiUQ39ZTDXRfewnP.9ylCocjUQSJE0gg2R.HKbIuJLd7vGim	22	2013-08-02 21:56:44.665809	2013-08-02 21:56:49.866447	40		0
2480	10rm0xfyh488cnn33ndb5nz0un	$2a$07$s8C7pSk9qWas9UxhK4/dhOOc9mcBeD1eOcILaKydL31twsoTEseNi	23	2013-08-02 21:56:44.687186	2013-08-02 21:56:50.237748	40		0
2481	10ete6b52i470jpevm1i4m3xnm	$2a$07$4aGMk1eiSjT4RSA4WD3lmuChGfqEn5od.RqwJgeK6jayS.uR2WGoK	24	2013-08-02 21:56:44.708734	2013-08-02 21:56:50.589626	40		0
2482	10hivnhbw72r7t6eussd8eyrtp	$2a$07$P//jb0aTkUgWBD.pUoVWcuipfJw.iyUwV11aGB/fZiOsBqiAGcxBi	25	2013-08-02 21:56:44.731142	2013-08-02 21:56:50.94375	40		0
2483	10vgcjfiuda49tx8x21zf4yb8z	$2a$07$J89MjbCyI3kYDMWgyfRia.JMFDrJVOjwDhatCCvntxSOfCXSnr4/m	26	2013-08-02 21:56:44.753595	2013-08-02 21:56:51.123057	40		0
2484	10x8gid23fouoehdmzjijesv0f	$2a$07$VFlkC6S0KcDSxbEgyyPhteGhM0xwO5EJFDYhM4SLgugsvxCdo6YaO	27	2013-08-02 21:56:44.776151	2013-08-02 21:56:51.318098	40		0
2485	10l0lpgtyvoa326mvwi5vj8dl0	$2a$07$RiehdLRaP70YFzRjwNJGoe3VmQAEkniLFnK1gEWH0iZXp7D5U91zS	28	2013-08-02 21:56:44.798588	2013-08-02 21:56:51.701451	40		0
2486	10428ehbjjbjunrw3b81oca7hk	$2a$07$pAcbQii1U4.XrYylI1rlZOXTu9g2prWCSXc6JfHWFKtxxQ2Jt2i2O	29	2013-08-02 21:56:44.830013	2013-08-02 21:56:52.050278	40		0
2487	10aw9fm6guiq0h9qhmjr5jhpbi	$2a$07$C8fYpvJ58NXR5bV.ccGN1OXy8YPBda.n93CIM7bcw8qnRt8CbcDVG	30	2013-08-02 21:56:44.863892	2013-08-02 21:56:52.40135	40		0
2488	109y6niz4kaqvjqxc12jddvent	$2a$07$wH1C5p3unfimy7OFXz.5beJ0qxI1CaLHkmVMKd27dQkJx.N0tI1K6	31	2013-08-02 21:56:44.897714	2013-08-02 21:56:52.529902	40		0
2489	10pfrycf5o2omg94cf9q6qqacc	$2a$07$se.GhuoFk1bW4pBsdzIxAeu34Z/1g3TeqmE5vkZwqsnwziQfHyMnK	32	2013-08-02 21:56:44.92535	2013-08-02 21:56:52.660976	40		0
2490	10cx39lgn34h5qyi79cj1t29ht	$2a$07$VEl2yVdcEK/7tSpd7CkGcuYzJMBPEYrBO6CanijcJljd2NWO01cse	33	2013-08-02 21:56:44.958057	2013-08-02 21:56:52.785471	40		0
2491	102x0geqgj44ob3heyyf80quds	$2a$07$0OPu.tL18JbqDXXJhWz3.eRD1Hii7Vs3.iA.eJbO3XFlHW3EYd9hi	34	2013-08-02 21:56:44.979581	2013-08-02 21:56:52.919473	40		0
2492	103yrqa6n3jhtacytptv678475	$2a$07$P9yZUtxE3z9FqBAuWdUHLOTyOmOhEC723zAmUzUAS45CvDB3b60e2	35	2013-08-02 21:56:45.00122	2013-08-02 21:56:53.059329	40		0
2493	10b3d3tsex4ypxrgm9s04983ft	$2a$07$Pu23kp5KNJAC9oFCZZSRf.oLMACi9zgn0hisFb8W.9e/CUfkcl74y	36	2013-08-02 21:56:45.022777	2013-08-02 21:56:53.192892	40		0
2494	10c0mxiq8xdhi6elairrcihta2	$2a$07$BZRbRb35RKNLdE8oLuJxIePvmpYvLelbo1TTC8fw2AFIEFhZglXmq	37	2013-08-02 21:56:45.044755	2013-08-02 21:56:53.326793	40		0
2495	104asqg5vi8qtzr0jwkpt18ecb	$2a$07$vyjmu9TsZGQhlQZQhKuOBeuW/TyO.82idApjNa9nlHcOb5BQy0xW6	38	2013-08-02 21:56:45.067181	2013-08-02 21:56:53.549519	40		0
2496	100v8qrn1rilltv4e1tojixmly	$2a$07$fKCSs8VJZReaohNfUYJXyuoBPubWb0ErMj0qmZKbMAayY9U8bEKqO	39	2013-08-02 21:56:45.08868	2013-08-02 21:56:53.906423	40		0
2497	1027hgqbdmx59jtn9kjwf6v2zk	$2a$07$RHTYH9rlQSp3uJJoCDQoYOGAx7zn3iEhSIR.2hireAkDu1Xxp5b3e	40	2013-08-02 21:56:45.110192	2013-08-02 21:56:54.268466	40		0
2498	10hdw7jviwtyt9y293tdl1qugw	$2a$07$DGc.EXCgRJ4m1K15MeIZReyY5Hwp2V6UWcQCx7xXlBtZSXchepTge	41	2013-08-02 21:56:45.131741	2013-08-02 21:56:54.621375	40		0
2499	10ky9b5nr2tqcqzlx6x4n2pd7z	$2a$07$ObBs5ppuIMJU/Bz6kretHewIUj2cNi.G1SV8cFfZ2gnEFqEfTyA4.	42	2013-08-02 21:56:45.153224	2013-08-02 21:56:54.962721	40		0
2500	10emqpe7o3q4czhk50ywmkai3j	$2a$07$ZcT57QgT22Lbtf1oFc2lB.cH45IOH5E1bqyvuvyu7VwnoLDD5x8gC	43	2013-08-02 21:56:45.174696	2013-08-02 21:56:55.308143	40		0
2501	10738yo2beutaqzb3t71u6icrf	$2a$07$NeJpb4f8/Av3Mv2NiFyIlO03u6ZzAKDdFkqDUbmP6Vdy8n6ZbL.Tm	44	2013-08-02 21:56:45.196119	2013-08-02 21:56:55.640558	40		0
2502	10st5vzb8fqc74mdhrpaswulo2	$2a$07$t6d6OD8UVT8Yr.TGIe0FPebFBDD3F4kfZiPIU6QpBhbmG8WrCVEuO	45	2013-08-02 21:56:45.217467	2013-08-02 21:56:55.987751	40		0
2503	10bty8uq0wgqvzzxnx78recs2s	$2a$07$Lases3NzKXSOJeyTsm3UtO9u1LpkpWMUXYk93F.vstTV6ozF7fpi6	46	2013-08-02 21:56:45.238851	2013-08-02 21:56:56.364644	40		0
2504	10xd4hq92ju57le54b2vunl6zk	$2a$07$wxjHQd1a8RZYAJYLQlg2DO5nXv58mLUFXHJv/rcb0z/ePAPzExiwK	47	2013-08-02 21:56:45.261882	2013-08-02 21:56:56.732096	40		0
2505	106eezuvm59v378uj88vwudjc3	$2a$07$E.3tBqELd5t7CiKg5z.KKeGIoe43GUFK3SHDUflzL.LPKWelVJndi	48	2013-08-02 21:56:45.283539	2013-08-02 21:56:57.097523	40		0
2506	10iba1upomng39iuolzupk4p3g	$2a$07$I9C6bPs26S2xWm8qVCczceIy88Tqw8.K6fvciNpu2QwrzaII1xG3C	49	2013-08-02 21:56:45.30714	2013-08-02 21:56:57.472495	40		0
2507	10s89bc5216qpojsufr611msqo	$2a$07$atu9S3ioQDA/s55He0zH/O4MBLGTuCZaMoYCx5vpIn58jWtLEJiwu	50	2013-08-02 21:56:45.32885	2013-08-02 21:56:57.829642	40		0
2508	10knn8bcfi9pugmvgdxhohfjcl	$2a$07$l0xDKkzPc1Sm91Y9/j/h0enZv2YI6DnRpEVWTnI09CiuyipSkVdiO	51	2013-08-02 21:56:45.350517	2013-08-02 21:56:58.187168	40		0
2509	103w0fxg4soa9s4omn5wjevo1k	$2a$07$Irgblinbso/Xfby8WJWWrOgr0diBCgagTMB28wFQnw8pYJ.C.apHu	52	2013-08-02 21:56:45.372014	2013-08-02 21:56:58.55736	40		0
2510	10qfb5bq0sgswny9tmmdhjj7fw	$2a$07$jFvBsW7X8N2SEztIDfFj5eQt/igEKhJO/TFXeBnNbFfnU3u4KtsNu	53	2013-08-02 21:56:45.393585	2013-08-02 21:56:58.921242	40		0
2511	10059fkr1whv8ein9nrmvs72fz	$2a$07$I6apn8VecIe6uVlRDX3FveZWtGlA2k1oqQXhZL6ZIYfeIFOS1oh5G	54	2013-08-02 21:56:45.416479	2013-08-02 21:56:59.283054	40		0
2512	1032peluq2wa0spfh8glni10k8	$2a$07$BssQo1lg6DlsE6vV7X4bq.ZV/kTM3FBSo1MAxPVEGooU0Pjs4iY/u	55	2013-08-02 21:56:45.438618	2013-08-02 21:56:59.679474	40		0
2513	10b735kdk8fktdtjh9wevgme8b	$2a$07$CvlTLP4vTaLwf4Dw053OyOulB75JcDGh1DPZRn24k5SkPvnSgtMCq	56	2013-08-02 21:56:45.460604	2013-08-02 21:57:00.041739	40		0
2514	10njhy1884sd9zzqby5pfkzsfk	$2a$07$b/wb4WPq7J2T10c/.2UGYuHfuXEHP/4V.adMMsdQOA2cc2VfKx5hO	57	2013-08-02 21:56:45.482527	2013-08-02 21:57:00.23984	40		0
2515	10mcdbg0e12zogepkcitj1kawk	$2a$07$7MRTHq.hlLaoVbeCFrJgDeOWVzJxr.SXhF18xJygRmdTbL08yGCxW	58	2013-08-02 21:56:45.504457	2013-08-02 21:57:00.582372	40		0
2516	10tv7i8q263ii9jk9ttijsi5gq	$2a$07$84EByLAOLc4e0iDlT0dVHuPP6dFOC.igh3NlBO2ZuqvYLWXZmiWUm	59	2013-08-02 21:56:45.526504	2013-08-02 21:57:00.925943	40		0
2517	109hh203cofi1h17tnc5t0li5z	$2a$07$HViMgwZVneX4cmREMKVMl.zj.EiJH6qlFB3wN2eQudTyUWyVfeaW6	60	2013-08-02 21:56:45.549729	2013-08-02 21:57:01.282457	40		0
2518	10zrs1kzgxsnq6z5264rp75i2i	$2a$07$0oG.uPkRgjstRFYft9ecK.sQ6MpLIX9P50Vm8n15JE/qXRlR1OGxu	61	2013-08-02 21:56:45.572652	2013-08-02 21:57:04.086423	40		0
2519	102whlxgf4a8lms12jbtp4a5b9	$2a$07$5HCPN9BqO03JtRv2hTmeAOsC55WeHbbbwpyMtN2rs5lyz3tTRFFl6	62	2013-08-02 21:56:45.595436	2013-08-02 21:57:07.202668	40		0
2520	106ecia8bp3ey74xvljpgvd5dy	$2a$07$9kP.grqh3skAghBA.bd5JOGdcJsX1GTKgz50Fpew5WINBp16.w0b6	63	2013-08-02 21:56:45.619724	2013-08-02 21:57:10.113091	40		0
10941	10rs95g52xbae73iiidkletue6	$2a$07$P8l2DLXDQIuGaSyRj/ShL.UY4NjcFBn5MlOJ7P5YdOVeFhc4Wrfa.	63	2013-08-03 20:21:40.394167	2013-08-03 20:22:06.154905	142		0
5629	10bxpgjy8u58srdi6rj9vhhlcp	$2a$07$Dj4wKLcWhI5BHNTvcXqWYOxeW21hmq8pSZXaDmNuNN/235n15mATK	1	2013-08-03 02:05:34.009036	2013-08-03 02:05:36.173235	89		0
5630	10do8m5scqp01rm9zgvytd8qxf	$2a$07$smJJR9eDnOZrZ4RkrYqvhuyJTKAzvVDA/.QJ5137dfeT.Fdoj2fQa	2	2013-08-03 02:05:34.035287	2013-08-03 02:05:36.313602	89		0
5631	10x4kb006q1v19lwoo1umkcpjx	$2a$07$JI1RZ25Aoo0gHilUTSPuXOiL3ATmZpMLRbzSEUnICGStZCOw8Pc.q	3	2013-08-03 02:05:34.066218	2013-08-03 02:05:36.458164	89		0
5632	10j5jn8di8i82i4s8zuqk2e06o	$2a$07$XXG0bK99R93bDW0i5qSEMujo/t3zKcdWg61yXc4TMSrxNSkbDbsE6	4	2013-08-03 02:05:34.088724	2013-08-03 02:05:36.786381	89		0
5633	10bfc1fp8h4wpk5v6y8wi4biil	$2a$07$9DqagXbnk9rh6bUZ9YM68uxqMj./.lgPbeXWnDs76YL3suXFJLog.	5	2013-08-03 02:05:34.112903	2013-08-03 02:05:36.920122	89		0
5634	10lg13nb92qckz0thcecd3k3b4	$2a$07$JHMzPBo3e0JhzElz6YaVc.YFMEb1fcUOyL/l2mvXHfyF/UkcIm57S	6	2013-08-03 02:05:34.135271	2013-08-03 02:05:37.065045	89		0
5635	1019ssak7cc6hd80acx0toq59l	$2a$07$Sh99wIiJBR9NlW5mKrgY6.ArxEMr3rCrnfUwyiJ7ubI/4t3olBWzO	7	2013-08-03 02:05:34.159994	2013-08-03 02:05:37.370933	89		0
5636	10172qrabvnmgyt0whd6ynf6qy	$2a$07$dU7d5tOFCjm5XgTlB9JMq.8gFRxgdgPGW4rNqtl4nJ6RuQCxtndzu	8	2013-08-03 02:05:34.188447	2013-08-03 02:05:37.455809	89		0
5637	10uwi5ouqyzioyas8pejlq6spy	$2a$07$iXSg5SE/sphNphtARa.W2uigBaBKoiQC8u9tiltpepaPDrq2mONby	9	2013-08-03 02:05:34.211935	2013-08-03 02:05:37.589868	89		0
5638	10q6rjoirhxitje6ndvgvyq51p	$2a$07$Up5fl9ATRwiovO6um1vvBOaoT1v/IUNxMOTfLtXfTT22rHwJQTqA2	10	2013-08-03 02:05:34.23383	2013-08-03 02:05:37.693463	89		0
5639	1010sxw0s6ojf1x2spn0t9nfcg	$2a$07$fV5QDYtxIlTpY9YKvuSTT.Xll6Aowfzc/gldjvaToYeBa82Dpj10.	11	2013-08-03 02:05:34.257142	2013-08-03 02:05:37.831729	89		0
5640	108wwk8enn2628bul6c4d7ll02	$2a$07$BbZ3C2jkmrYeVKwDVIThvebZ9YOpPBidfSziCCOjFZO89RBlWaebe	12	2013-08-03 02:05:34.280377	2013-08-03 02:05:37.937477	89		0
5641	10s7jldtkv2endr33ysexnatq4	$2a$07$d1Yqmzbki4cdpNlTtWTcg.5/hnMCXxMSRQgNRSKdwhlV6UIxL/1DS	13	2013-08-03 02:05:34.303785	2013-08-03 02:05:38.099457	89		0
5642	10kof2dawuvlzv1q98pcx61y08	$2a$07$l88o8pnwA2Nm.YsRmbR0kOletsF0TOwL9WdqgF3v/Lh3mt0vNCsIu	14	2013-08-03 02:05:34.326507	2013-08-03 02:05:38.224011	89		0
5643	10hhoi7p279dxn1uskc5tu4qky	$2a$07$AgtJkGjn6ZFprWzqtOdMN.SwjWqytzqQyEkyc2qRiQ5to9GSldM76	15	2013-08-03 02:05:34.349382	2013-08-03 02:05:38.386791	89		0
5644	10wd8e04tl3a09jlssei8017t7	$2a$07$EoFKOgZhcHsdn7p16zXC4Ore7jskQpKqR4DM/4swTUE3D2OPd1MO2	16	2013-08-03 02:05:34.385437	2013-08-03 02:05:38.625167	89		0
5645	10j7140n4h4ermn662z7yv27xj	$2a$07$6IEkVWW5fuQnLl8kGAL4GeiYfRzMXMsgs9RDvWRcm1Xd0A1N5ApEe	17	2013-08-03 02:05:34.412714	2013-08-03 02:05:38.773674	89		0
5646	10xt7gfimur0dswoa8znj163nv	$2a$07$99D6WOgMqdqK6btn6IQGxe2E6.B6V1riY3BGwR4iTbdvh1p.48oKK	18	2013-08-03 02:05:34.434718	2013-08-03 02:05:39.0146	89		0
5647	109nyu1mg52ot7x2fqq89ie8uz	$2a$07$ciBZDjOOqlqfcuyQf7zRTOg5YMc0gI59x.S5mOlWs4F8TG0.pZ3Ni	19	2013-08-03 02:05:34.457993	2013-08-03 02:05:39.410276	89		0
5648	10gyqdvj9f36juquvnpfy4lbns	$2a$07$GtHq7T2CNvRQoIJoVN9sh.cQuhTtpdFVijUk1XcR5J/unXDVpm.lq	20	2013-08-03 02:05:34.481265	2013-08-03 02:05:39.780755	89		0
5649	10ztub16l8ejnvhuodyq3ot94r	$2a$07$vETge2gmx/Ljq9YO4p89Nu9wSOVQH2FXFRkSehWMjd9RjGqNotj8G	21	2013-08-03 02:05:34.505694	2013-08-03 02:05:40.007968	89		0
5650	109airasjddo8x89rmfbqcji5h	$2a$07$aIE98aj10lZCPAYvpzYBU.6NEcsfakroOfyAA3GvaG9I1EAYUeILS	22	2013-08-03 02:05:34.529476	2013-08-03 02:05:40.28644	89		0
5651	105smdh7f1x7ydff5kdydk0yas	$2a$07$ba1lUxEWHpH8jauT2VdDwOBw.9YPzxUsn38cZP0mbRIxvsqy1sCsq	23	2013-08-03 02:05:34.554825	2013-08-03 02:05:40.438175	89		0
5652	10rr1ckbbmbjg82pw2za1tcb3x	$2a$07$2CbtQXaCt9ufxJyrlolel.K.6SLd.AME.9wNFgdmvnf3oohD6TnQG	24	2013-08-03 02:05:34.578596	2013-08-03 02:05:40.701408	89		0
5653	109f1dn67uvvlovqnjryog6fut	$2a$07$1L9q.4Zki2zO.Uv4AT0m.u/V1lR6FB0VYj8U1ehyeqRnBPUMOaUV6	25	2013-08-03 02:05:34.602721	2013-08-03 02:05:41.095209	89		0
5654	10giqcsise9f3xtv9cyjflqdk9	$2a$07$xIW.W9wAvSY4pEdHbFnE6O7X7kz8xnfhTDx/4wtRWYzrBM3BsYdiy	26	2013-08-03 02:05:34.62884	2013-08-03 02:05:41.471046	89		0
5655	10kzhem2mh3092engaxqt79nuz	$2a$07$AnXFb70pigpneXFTKnol8emTBBFGR1MnroJgC36N9RQXA/PKiCx3m	27	2013-08-03 02:05:34.6606	2013-08-03 02:05:41.600982	89		0
5656	10vp1txiw8xyan4p7135bawdw2	$2a$07$a2NFRC.D.mJMAkB8I/HoQOij4ZusCHKa0BSDFQpU1Ihwtg/bEePPq	28	2013-08-03 02:05:34.70058	2013-08-03 02:05:41.920088	89		0
5657	102td2c8np9oj9zszlo1hf0r22	$2a$07$01qzNYuyek4sICKt7y.GeO8f5IUNUQ1haEWnvkiL7F9vKiJROkR6C	29	2013-08-03 02:05:34.724278	2013-08-03 02:05:42.108964	89		0
5658	104od6wtad9wxkyinavoupl25b	$2a$07$rog0ios5xj5A5tCX8zgsLunPbR8HMAb1L3d3A9OHctcL8tP/0nlEu	30	2013-08-03 02:05:34.747956	2013-08-03 02:05:42.241504	89		0
6617	10ghto5ek5a7z1prhcqknfzrti	$2a$07$ozOML8wgFEVC2tpkRYPa1enSifvwPXd0.yF8T3dh7Drkl6RRy/Rgi	65	2013-08-03 17:00:04.423226	2013-08-03 17:00:33.924287	100		0
6618	10yhn28dae9h9ek9k59somypnj	$2a$07$ClZg6OcVY5l8toDa6gKvturojUmqajU2EvRvWnPWOjLtf0Ot3lxAC	66	2013-08-03 17:00:04.483339	2013-08-03 17:00:35.539659	100		0
6619	10w7hgqqqkk665hw539thjrr9v	$2a$07$2Ztug8.PyfhWPbR8wktOJO9Mjz.jWebTvNXH2plorBuXI998PkAvy	67	2013-08-03 17:00:04.552853	2013-08-03 17:00:35.68572	100		0
6620	10lxl2qa25pgo4uw3n4md8f9cw	$2a$07$KrWQpEsuUjl.C9FiYxILNOv87Q0Mca/.HqXeQVvOlP80j4JOkhPrq	68	2013-08-03 17:00:04.607059	2013-08-03 17:00:35.944857	100		0
6621	10zgy3yo3wyga8zq5fwzy11pr8	$2a$07$d8vNU/kM4wSOh3llJNs27uOjP5igNx8WQpfnBtu6FnzGz/duXroaW	69	2013-08-03 17:00:04.677515	2013-08-03 17:00:36.211327	100		0
6622	10xeafsu2px9e5zf3fip2xne7w	$2a$07$OOt/ZvTIjrCw2ENdlxaq9..3q0NSPl6a8q10tofuVldrdSSj2VsQu	70	2013-08-03 17:00:04.751174	2013-08-03 17:00:36.591866	100		0
6623	10jgwrlr9xlywdhtomq08eay5k	$2a$07$JZjP2ciwTT841zC.i2X8QerzoUYtuLgcZX6Ic3LlNOy1655fo3Mii	71	2013-08-03 17:00:04.832251	2013-08-03 17:00:36.871973	100		0
6624	101evnktr9g9t5t28urnoa8vvc	$2a$07$gOrUn0eHxpYGOjb8nAZPrOtfxAu16uuuxsequStIQiEF.c15z2LGy	72	2013-08-03 17:00:04.908495	2013-08-03 17:00:37.142353	100		0
6625	10vztr6988yovlox1k60wvxfvv	$2a$07$GiHhyTA5HHBKbQ/wbxTtHeYPtTqRNyvJN7eT7k8u.TzlhrXl/v1CC	73	2013-08-03 17:00:04.981574	2013-08-03 17:00:37.256571	100		0
6626	10x628p1fp3wu3501z82tp5rfb	$2a$07$Zz91HY4gFGKpM72uw9QtKusOEtJvkiJZyx7m6i0mCgjpog.86g5vu	74	2013-08-03 17:00:05.04005	2013-08-03 17:00:37.554333	100		0
10942	10lccl4zkqqwenkdbya0drfixx	$2a$07$fU8MbFNDF8WXrt2uwtbaCeYpKBIhL.kRIE7XtyT1d94R1pUXTaJDi	64	2013-08-03 20:21:40.423046	2013-08-03 20:22:06.450546	142		0
6469	10q5vfickng4e4a1ortvtxucg9	$2a$07$wo3fUow1JbtHzta.IoctR.PkQeGBl7dJCLLIe6dtIHO2M1DZ65zNm	1	2013-08-03 02:57:37.566185	2013-08-03 02:57:39.70841	99		0
6470	1086j1psaedmws18hd9ddleapq	$2a$07$9CRSMxNRKvUGqVqdUcZ83u9O5hqa0BO0EY7kSAspnr6RHCQVwE4qG	2	2013-08-03 02:57:37.588544	2013-08-03 02:57:39.844364	99		0
6471	10pmwq7l2mluf2r6z31jbrxbij	$2a$07$CdwM9T0OG.PaNoxFt6HNbefZdLjis4lPrNoSeWInAYa9b7z6/qd6G	3	2013-08-03 02:57:37.610115	2013-08-03 02:57:39.983614	99		0
6472	10rw8ah6mq7if6qyxxjuh2ow7b	$2a$07$JCaipaUh1bAT5EWbXLnhR.ona.K4cYFcltmHfKLPMKU7NBqXMgWUK	4	2013-08-03 02:57:37.631619	2013-08-03 02:57:40.11833	99		0
6473	104fv6fw6jewmqpav3oathgvao	$2a$07$N2F5v9x/uBGepMymw1J4luGp1qdplFmdjCPk5PvSO6oBhaPBZNUAe	5	2013-08-03 02:57:37.653114	2013-08-03 02:57:40.26756	99		0
6474	10k1r1x71ir1f1r9jskjy83g60	$2a$07$ySLZMFWqvw87BhRft9mss.mVkbJP5G6itED9ZDJBP8IlZCl4vcbxi	6	2013-08-03 02:57:37.674612	2013-08-03 02:57:40.410532	99		0
6475	10zbnwpnuo3s6bic8s1ub839d9	$2a$07$sGlRCqZBARIGR1EoLdWOhutTLrwGi5n.50XU4Bw3YgDdHIL0NtKT.	7	2013-08-03 02:57:37.696201	2013-08-03 02:57:40.545449	99		0
6476	1016115v984hexbd7f1b2edcp2	$2a$07$sNhX/ZV9AfO/YM4/mrJeae3lcr2z8vNN7G8dPvjuBicMC8e85O.la	8	2013-08-03 02:57:37.717727	2013-08-03 02:57:40.675507	99		0
6477	10hfpq3p9e7vs9u6jatnmh07wr	$2a$07$tvM66Pf/oOotZ.zK03w1K.0IGOKRRBkxE89AptE/69XC6On9iY8WS	9	2013-08-03 02:57:37.739387	2013-08-03 02:57:40.828474	99		0
6478	10vyhengunah1xw5ra8o4x5z1o	$2a$07$8qofJx1QyNafTlUa58vxZ.xocJUB0no8XceE/dFZpmXb3YeMI3sx2	10	2013-08-03 02:57:37.76106	2013-08-03 02:57:41.037158	99		0
6479	1097kmwu3wmz37pirvbl770eie	$2a$07$.vx8GR/juB/j.kqtZ77A5un/pKWWyt5NHqUH0nhOEGwXqP.9x3Oim	11	2013-08-03 02:57:37.782457	2013-08-03 02:57:41.246611	99		0
6480	10m1jjnxjn41grihoh9jrt9txp	$2a$07$iOupreewq4FTXW0iDARPwO8gc5ewo7QdSNhUuwrA1m5v.X9H1txT2	12	2013-08-03 02:57:37.805565	2013-08-03 02:57:41.417022	99		0
2521	107sjechisxp6b8e3h6mf2a4m0	$2a$07$6vVthq.I2pz8N3WO4gUNzOtwjy/OPr17GhQHd3zPZU3IBDoVJ22.u	1	2013-08-02 22:01:44.122952	2013-08-02 22:01:45.687545	41		0
2522	10c8wldmc8qlckg65q2u7k0qit	$2a$07$wWPA9Q9U3j/AIIgNCaPnhu2ZugXa82M5/OZtwJDqyYglKAQhQVSJW	2	2013-08-02 22:01:44.146134	2013-08-02 22:01:45.828947	41		0
2523	10q7ftvu02uweul3qfbps0nqv8	$2a$07$3IQL6pRRgAMfpNZWbWECh.MMJYbhtAbvwvba/6Vz9k3kLgLPpUYpi	3	2013-08-02 22:01:44.167501	2013-08-02 22:01:45.950817	41		0
2524	10bbxsh6mzhbuj2p6btdpawx0y	$2a$07$2OMm3ckpk635F183seHdK.gWub4xUAqQkL2X3razxkvb.xVnEc88.	4	2013-08-02 22:01:44.189157	2013-08-02 22:01:46.247765	41		0
2525	10gsmaql043iknyjp6z0bbwer8	$2a$07$xvv/FfSBnhhw2evda16AB.qOKkWgn.Sb6zM9o.w64uelE0Fa0lNle	5	2013-08-02 22:01:44.210577	2013-08-02 22:01:46.345507	41		0
2526	10xcninddibclosvjtczz04aie	$2a$07$s85dcqHLV/ptF3nZY4EUB.IldarbFY9t0PgFAjKcptNMwttSvc1RK	6	2013-08-02 22:01:44.231876	2013-08-02 22:01:46.476565	41		0
2527	10c9sljptp1u8pm06xdb0itij3	$2a$07$QUuDX9vlEPWK5RGz/nAGl.XqoJc67H/l9gU96Q8If1W0RxHFcdRy.	7	2013-08-02 22:01:44.253412	2013-08-02 22:01:46.596056	41		0
2528	105ne7gmb6pajtr8mh0vfkv3iw	$2a$07$VVy84BNAqEFtrsJxpnqXuu88qlkXomM5mBwRBSZRigyaoXIBP5Z1e	8	2013-08-02 22:01:44.274847	2013-08-02 22:01:46.710783	41		0
2529	1011uxa335n8yta4i23njz4bc2	$2a$07$0Im7JdS9ZN4rOzFsgSnTGejA1ZCqfSYsWCwj0QcXXk68bhNdxLL1O	9	2013-08-02 22:01:44.296149	2013-08-02 22:01:46.845015	41		0
2530	10hf46zr2hbd7haets024bc1nm	$2a$07$/d5nM93ndoD9cdzMRDux1.Nr9VFTcWMcSnS4A01Uyp7sNv932kSju	10	2013-08-02 22:01:44.318609	2013-08-02 22:01:46.985218	41		0
2531	109nac9875jq943yf4io6n3wjr	$2a$07$eIrrku/uupn8OzSpcwaGZuwlPwFi2lqX0GP5fk3Am/rD77LrCPX8K	11	2013-08-02 22:01:44.339888	2013-08-02 22:01:47.111486	41		0
2532	10kx1vfbs2m95qsdk87g11rpid	$2a$07$1t3YHBUwgFn2C3iUld1oueF8PLdKsBfQViVxNVZhv4k6s8/lOvcIi	12	2013-08-02 22:01:44.367668	2013-08-02 22:01:47.251447	41		0
2533	10v878ncb1013bfi1qnfqpxoq8	$2a$07$I/SETaqRGwfyG2mkNgQIyewhwD4eFEnXZwp5iEE4sf0ooBk9juTNC	13	2013-08-02 22:01:44.389266	2013-08-02 22:01:47.62947	41		0
2534	103ui5clcswdmb3xoovku5oqg9	$2a$07$J4x.YM3.xfRum/XG2GWvSecv1oczlI2oanmEwt24g6d08FKX4NfKK	14	2013-08-02 22:01:44.411317	2013-08-02 22:01:47.995687	41		0
2535	10s4qyr4vv2xms0b5egj5hy2go	$2a$07$tkL6MUhJ6J82VHJRbOIfg.cH5fCea7U1KvXIiYYESBd2f04KatE3S	15	2013-08-02 22:01:44.432684	2013-08-02 22:01:48.381751	41		0
2536	10idh0ge40i8nah4t399y7kd5e	$2a$07$arC0Nt.9N.CmTkO87PewMeDFnm1saHCVMlP5X2KEDDsc5WjnkjnOi	16	2013-08-02 22:01:44.454098	2013-08-02 22:01:48.657641	41		0
2537	1078nbzmo0gp5pqt02wfhj8i1s	$2a$07$D4zbZWiEASg7TqYv0HgppOZjqXcn0F5gu6hA5FHwvSPijVXs7WKma	17	2013-08-02 22:01:44.475427	2013-08-02 22:01:48.791318	41		0
2538	10htluhcwpqhrm54rwvvk0zz2g	$2a$07$oKpLlbKpLSqRkOpDtFI4wObSxr.tNbwKciXpiQ.xjzpkMpdhOMxDK	18	2013-08-02 22:01:44.49677	2013-08-02 22:01:48.991801	41		0
2539	10ctuqdeirrwkzqli2zb7uo97n	$2a$07$AtI1tXcuHtA9M.QG2GYsmuKzrvumjzQA1eHhPQjXYGeLwzPkKHgF6	19	2013-08-02 22:01:44.541114	2013-08-02 22:01:49.113497	41		0
2540	10qt7250h2v8tcnn9hao12odt0	$2a$07$Ni4Zqia2SlAVEZG1xeoTgOL6vndF5H.KPPZakgZ8NGIPtTBOATUDi	20	2013-08-02 22:01:44.564876	2013-08-02 22:01:49.246035	41		0
2541	10vst5cfhzpsxr7r18uqcxdltv	$2a$07$Ipgbuae9ioxZv7heSp4f5eLA1LbrJGelVAf2ZyKxiqlfH6bRs1I8e	21	2013-08-02 22:01:44.58726	2013-08-02 22:01:49.380942	41		0
2542	10zxdlqjpz4xzrz6ublyoec419	$2a$07$yBER56v0XGXHpnZAseLcfeduDp/wOlEMrDgQ6D6nM8lojOciPPh12	22	2013-08-02 22:01:44.608677	2013-08-02 22:01:49.771563	41		0
2543	10wed6wmixicw7t4ujtrupcwhp	$2a$07$ttrkKWLiEp2IeGEEvpd0keFzMvJon7vjbu74lCjhdzSAxOlZRAxWG	23	2013-08-02 22:01:44.631179	2013-08-02 22:01:50.143736	41		0
2544	10l4ci4361mekddg7xkk7pmna6	$2a$07$3DvLIrYZLmF6KPfktdXOYus6x7F4iweQfZwLPRbr5Z1r/Ay5Xp5lW	24	2013-08-02 22:01:44.652873	2013-08-02 22:01:50.487644	41		0
2545	10z1la176fum9brfudfmqlmr0q	$2a$07$hT/VogoTmdGQmT3PHNdRleF1GmvLn0a.zK5ZMUfF.cUvbJknXUWRS	25	2013-08-02 22:01:44.674352	2013-08-02 22:01:50.784757	41		0
2546	10ljl632gom8ze7fgu1sx1zqpi	$2a$07$rkhE30UIjxTm6zt.V9sDWuIR4T918LO0oPYTT1vppoq7p79Toio7K	26	2013-08-02 22:01:44.695989	2013-08-02 22:01:50.918973	41		0
2547	10e9v917ce3vh13r0fsg64mat3	$2a$07$3cZiOAO7MxCVlPosSWxCp.SS3P1ktfdeTnf6N8gluQSJcZCwe1j9u	27	2013-08-02 22:01:44.717607	2013-08-02 22:01:51.174435	41		0
2548	104f56ms6t9jgn545nexp6wxao	$2a$07$nltCcwk8p2naY14V/UVtruxSTEto/L373UktHNviQlDIKo8rPDyRG	28	2013-08-02 22:01:44.739325	2013-08-02 22:01:51.548261	41		0
2549	10gzp76rtqmafg0hn1dda1pxue	$2a$07$AKtMrm8yzz9OPVzDh3GMcO/vZrqkDUPCNDibFwzg7/2FJlHKbOQbi	29	2013-08-02 22:01:44.762705	2013-08-02 22:01:51.916299	41		0
2550	109i4r53iw0d8lmnwztixi1ch9	$2a$07$uGAec01QNE92fq9/ZtZWuO9T8.DXPp.YArx6vIFqD2PQUEm245m8i	30	2013-08-02 22:01:44.794357	2013-08-02 22:01:52.28816	41		0
6628	10vkob3nb9gu8ne0uyiqqqlqjl	$2a$07$Me61cOzfGCeKrr1eZ9bu.ecKgUTcKpCjgxY2MUfqhivzeLeuf0Gc.	76	2013-08-03 17:00:05.162849	2013-08-03 17:00:37.815081	100		0
6629	10t4jku3jw2j17lvsazrfiw1me	$2a$07$zzKS5d93UplGpoX.37sdp.RmKymdp4lbyOcSzQW7X7ni26ec/VKKy	77	2013-08-03 17:00:05.25485	2013-08-03 17:00:38.150456	100		0
6630	10lohvtha2zc2eoc5muuhvhg19	$2a$07$l1OPFPQWTiNavJCGrcFds.rZzruPZzaLcYYDXlMZ7jsTWfv3NK/oy	78	2013-08-03 17:00:05.328837	2013-08-03 17:00:38.286812	100		0
6631	10b7n1iz80ohfhlba6pi95ou22	$2a$07$dOeyfsP2bJFVTpYNqsQqPOJbPfVlwUoZASdw3uYA.8Vf/03wuI9kC	79	2013-08-03 17:00:05.369513	2013-08-03 17:00:38.442786	100		0
6632	10dmec75llr5ikltd0a9jmtaf9	$2a$07$sSWK5Gh/jsYQENov4pYyf.FyhIGjvq3hoTn7h4zZHLVXJ9p7/4Siy	80	2013-08-03 17:00:05.409613	2013-08-03 17:00:38.596925	100		0
6633	10dosdgayjx76qfugo5nunki0f	$2a$07$//GOTCJZuHSfQuRaaebYrevsPDzhybFLUw.iOiPPcPkGj46Wdel8O	81	2013-08-03 17:00:05.44251	2013-08-03 17:00:38.73614	100		0
6634	109nuqfp0oqfvssuofhvvh5gn3	$2a$07$RZvl7W1FlRVbsI8AVitiD.U3QtfvwNqXpFDt9ialKG6e2/4j2iH5G	82	2013-08-03 17:00:05.4771	2013-08-03 17:00:39.212306	100		0
6635	10trk1m8j8if6uepefa30shw7e	$2a$07$Xnt2YacyzqR//3TBI4zR/ujOAkt7ZvjIFPWDf7ZYZ48LlTf6D9ddy	83	2013-08-03 17:00:05.525379	2013-08-03 17:00:40.162264	100		0
6636	104gib8qmhrbx3azmn2dsib6ex	$2a$07$TrklZ72.P/7tmsKlVKR0vezkcf.dx9hpUVq7gfTX90U30yPGqBDoC	84	2013-08-03 17:00:05.560045	2013-08-03 17:00:42.80047	100		0
2551	10f19g5gu9s9xeo8efcy4pz0nz	$2a$07$XlHxGloUex6sXbNY3ebfo.F4fS2U25kNAM4ulThAy8q19Gbv1KsxK	31	2013-08-02 22:01:44.822274	2013-08-02 22:01:52.427488	41		0
2552	10wy93cnbk0amfn9r4uq4gfkhf	$2a$07$VKFuHov71nZKj4MKRozDTOxlm0/H4WwlkidVG8KCdX8BcFYuMojEy	32	2013-08-02 22:01:44.843894	2013-08-02 22:01:52.556207	41		0
2553	10yuy3aeubfz9bvckzg2czshoq	$2a$07$MeUaSCbhYI/h.M631D9OV.NFUqzV917IKCkVDpDuHdY0.C6Zeihyu	33	2013-08-02 22:01:44.86571	2013-08-02 22:01:52.691608	41		0
2554	103fyf50d06foroubp6cwo6nzm	$2a$07$sbzcHGbb1YA4cBllk7M0wOoBaf.DiR05lFFPNDsx9ajhCpv32iW0.	34	2013-08-02 22:01:44.887256	2013-08-02 22:01:52.835899	41		0
2555	10v3l60tdtwq0wma3z22wzogwq	$2a$07$MOOA6/xH9T4aRDk5qWsfueGXqsuLcMNFQBVmgVhlyum9vAbOb62ju	35	2013-08-02 22:01:44.908838	2013-08-02 22:01:52.964615	41		0
2556	10hgfpkufcth58nnzyvp3nswsm	$2a$07$W1KEMBwoS09cbCF2nCVAT.qgZpijpp1pQS60x539z9teZ3AtTLqtW	36	2013-08-02 22:01:44.931365	2013-08-02 22:01:53.094827	41		0
2557	10p2v2ez25uhuqchsz2q60fk18	$2a$07$/TREI3C/Gj.Z6UYBhJevdOSJv0iwowY0AmKAhGtjhKAWaH2lUmuyS	37	2013-08-02 22:01:44.956616	2013-08-02 22:01:53.222524	41		0
2558	10jrzd2cnkhga27ywpg5vf9mdd	$2a$07$uIX5gdAojR8xuUe1.LN3KuXyUSdYwaLJ0kYapPs8TlcAAjuBuyEWi	38	2013-08-02 22:01:44.986431	2013-08-02 22:01:53.353126	41		0
2559	10xki5iq2zfq5t17gisawsyywo	$2a$07$x15IgXldwyLSEdyubqHUH.M0TolLjwI1ElwCl2x75fEmOphDRh.T2	39	2013-08-02 22:01:45.021073	2013-08-02 22:01:53.528116	41		0
2560	109u6xj6kd7h8r29f3jxpz8nom	$2a$07$2UjYq4OTv2XynqBSA5G9kuj2msiUwvk06HN4/DoUbzcUNqDCqbx9i	40	2013-08-02 22:01:45.042677	2013-08-02 22:01:53.898377	41		0
2561	10a4471oomo43ko9n0wtka0426	$2a$07$Gcsh3VRYg7ZIq349KTLp/Oe9/k.RuXYqV.2n9GlY/73z9OnFZjag6	41	2013-08-02 22:01:45.064248	2013-08-02 22:01:54.273228	41		0
2562	10fnhsb7uf19vmghzqjog4lsvi	$2a$07$Rfv1JnW36VhyiehOAkiu/OL6sf0lDV4cODPn6uOPRO6vVLuiZPlwK	42	2013-08-02 22:01:45.085705	2013-08-02 22:01:54.649015	41		0
2563	10k1wxef49ujey3yyzi6gfjyql	$2a$07$kbo4/NWkpz.RFLeQwdK2lubPAPZzrgvmR4f3z9L5aD1PLF3uD8MZq	43	2013-08-02 22:01:45.10733	2013-08-02 22:01:54.983125	41		0
2564	10m7zz82zfxu9h1mpdypqbty6z	$2a$07$kN3ifdoc9JweGDpp6MoBEeHNCUfonYAQ2Ec.5sUWqtEyY9FdxTLsK	44	2013-08-02 22:01:45.128667	2013-08-02 22:01:55.220096	41		0
2565	10lbfbp9qr8l52nz33hhcdmb3m	$2a$07$h1Bo25ApTdWTcilL6yTdzerSDhP0mndOvuto7ZUDkOS1Uv5r7xJx2	45	2013-08-02 22:01:45.15079	2013-08-02 22:01:55.325101	41		0
2566	104jvmsqra6pq0y5ewsd83jr81	$2a$07$EAlJNK10FnsrWepHFA05.uriQPa3xPCTfVNSYN42rlPsGdw1ZC7Oi	46	2013-08-02 22:01:45.172176	2013-08-02 22:01:55.663606	41		0
2567	10hpa7bqgctve9r6j2c3cm9ofm	$2a$07$Yyw4jZcM0wcOx1IqFN/yZ.y0QZAo0LjGmsnIKE.3v1nkb80kniF5a	47	2013-08-02 22:01:45.193707	2013-08-02 22:01:55.866096	41		0
2568	10qqyfd63whgg93kkv1k2o957n	$2a$07$.s7go4vl8w.L7bJUrQ42OOecEbwD1G43CRRAo46bKjHaYv2IBsdMi	48	2013-08-02 22:01:45.215042	2013-08-02 22:01:55.997402	41		0
2569	10fm0aosnfzoqnwain3ul6v7h3	$2a$07$WIYslvJHwa84wvv9EAPdoe8Y.rNGBgieue9lo4SsnlIKCCLRn1ee.	49	2013-08-02 22:01:45.236727	2013-08-02 22:01:56.349078	41		0
2570	102j60efegmvorpf654ewaczp8	$2a$07$uAe21m4NjisoVRM55aF8MuucqnDwgCKUVXPZIJDxThlXU7JFZvxia	50	2013-08-02 22:01:45.258264	2013-08-02 22:01:56.688395	41		0
2571	106u4e7ql2poqqiaxysplega2p	$2a$07$RluXHxAtKfVLFyeeDlHxoeF9awkhRbtbNoJ0c5BF5cB9kgwc2c0MC	51	2013-08-02 22:01:45.279751	2013-08-02 22:01:57.055006	41		0
2572	10ahpm2v1gmecr50t78kef87c5	$2a$07$yyzUWSNwlB9zX/5ABv12de/CnpIwVwGU7lhcrqcPxyjrtshQkYEey	52	2013-08-02 22:01:45.301156	2013-08-02 22:01:57.425246	41		0
2573	10iebrgx8bwbm10ihl5y7ji1mv	$2a$07$/WLgq7evcT3dLqi85EQWReffwpiopmvgNpGFp9YWn.4Sh2tNW2x9S	53	2013-08-02 22:01:45.324387	2013-08-02 22:01:57.79824	41		0
2574	10x9twmv11p0za8ins1rub68pp	$2a$07$VOwl06IGEHY74YrcqadJNusvtSmuCsYkdEu3nPVMzH3oHd8mEQIPC	54	2013-08-02 22:01:45.346351	2013-08-02 22:01:58.15773	41		0
2575	10wahtvmwh4u7urgcc0zpixkf0	$2a$07$8nq9lmUzA6SkI9b.7OqN9u.LwDsxIsnzuZGeUozRfqKgBrapDbch2	55	2013-08-02 22:01:45.368003	2013-08-02 22:01:58.520054	41		0
2576	10uo1xk9zu5q9d1czhl6dbk0au	$2a$07$GK0uKpvKxAB3NetLDvYgtuVpyhKlRo/vCNU0fnuF/cBQVdjQSTh6C	56	2013-08-02 22:01:45.38974	2013-08-02 22:01:58.881386	41		0
2577	10twuc82ji975mfsoxtf5uiune	$2a$07$2Dxb7d9hZN0btIajfVll9ukbhKxfORM9.UA6vyWYTayf4CO1o4RgC	57	2013-08-02 22:01:45.411206	2013-08-02 22:01:59.252682	41		0
2578	10wq512xwjana6n51vc4jxylbq	$2a$07$JNPfs8FqJx3Sy7XhfnvSu.NvZsJcSBdm3H8eRpgML3SIHQKd1nigS	58	2013-08-02 22:01:45.433626	2013-08-02 22:01:59.60984	41		0
2579	10co2oeukd021j7t0si79vt80m	$2a$07$9mKlheUui31udXuLSmeNYec5vT4xSkvzw0bbSfHcCr4yRppbPfZNu	59	2013-08-02 22:01:45.454683	2013-08-02 22:01:59.99205	41		0
2580	10gd0sj9wzrmhypylw7usw7a3o	$2a$07$LJdV0ErOLG8wToeRCQ.R4uJGovkMSKRXIY90zPntlj.JF5PrqD4o.	60	2013-08-02 22:01:45.475703	2013-08-02 22:02:00.351761	41		0
2581	10x2aw2903b2az9kvfq0cwzvns	$2a$07$11CpSD/vBfc3LumWKb.hMOzmSV6m1.NzSRpUmrMfPAEF0z8bOUoRC	61	2013-08-02 22:01:45.496776	2013-08-02 22:02:03.699059	41		0
2582	10vauhc8d3cu8k9fazscfd97qn	$2a$07$TIPZSmjsTplcnEhHJEU2Yea1S5HYtCIejfzy/ove9qeNhPhREPVP2	62	2013-08-02 22:01:45.518491	2013-08-02 22:02:06.79558	41		0
2583	10ykz3zzfy6iixi4g8e6grafnd	$2a$07$0lg3KMBRaI4aZyw2bcWhueNidiHJU5Yn8QtrniBMALErhoe0BbAd.	63	2013-08-02 22:01:45.54008	2013-08-02 22:02:09.993462	41		0
2836	10kgrjffm5ai90zioz8ripegy5	$2a$07$XUNi8lYTmUUj4d0735k4IOZ9H5cwvwOorR/WrXJZRBQvUzkH02BPO	1	2013-08-02 22:26:44.092315	2013-08-02 22:26:45.675663	46		0
2837	10z11g1ylswh5imzvv80ap85pa	$2a$07$dXBlTu8As5XpTFlgrybZyu/bl347hq5fE9yZWXCETVQy5g2EEEob.	2	2013-08-02 22:26:44.115003	2013-08-02 22:26:45.819775	46		0
2838	10tucdyhgt6undyisxfygnjg7v	$2a$07$g2IO/a44Uw1uvD9yRF8fbezlNgJgeeZOIs6zdsq9SuU836yYTkhy2	3	2013-08-02 22:26:44.136419	2013-08-02 22:26:45.963612	46		0
2839	10yvrk7munnteoxl6ec8r26wyr	$2a$07$bUvmQ5UMsaQMMeXmALhHmOoMnOQlxm2OVZIJolMODDBtbHcFzWTAm	4	2013-08-02 22:26:44.158335	2013-08-02 22:26:46.346176	46		0
2840	10hoe6kj2gxhbr1q815o43ytzo	$2a$07$Jhfmp7keZJB.StcshnL0a.veJRkY2xBKsezUo6GUAsXAj70STOxfa	5	2013-08-02 22:26:44.17975	2013-08-02 22:26:46.484763	46		0
2841	10noe3zlb355a45dvvgq17sekj	$2a$07$otT/1rUBPXAm3HuioZf8f.v3PtV4s9cqCs8xYhLg4fLajpcuMGqXq	6	2013-08-02 22:26:44.201221	2013-08-02 22:26:46.739861	46		0
2842	106vmpleyijnh2i4xqbsc4cs45	$2a$07$SWb5SQVJ.J6zlZvi6x02L.rvcAS9MzPQ8/D/paVyRA0P5xOHK0JNC	7	2013-08-02 22:26:44.222726	2013-08-02 22:26:46.879685	46		0
2843	10wlr5rrfv21kqp4bsciqi9ets	$2a$07$3XdKSSpw9EhTOepnsoIRwOhAjUtrP7uynTpR74OHgrAgwBBVWwHRa	8	2013-08-02 22:26:44.244919	2013-08-02 22:26:47.010073	46		0
2844	10i7fyce0sf56whf20gevmg93u	$2a$07$3PASsphNjbdpZqIgRXE2D.J9BkTGOcls42Bms8GBcDmwPuKyocNfW	9	2013-08-02 22:26:44.267375	2013-08-02 22:26:47.135723	46		0
2845	10lsrtybovrlcrz72b9iupugn4	$2a$07$xVhGtR2aKf4ABQPu40yoXOaqvs/Psb37Lvun7/dd2/Yy89ayOBYjS	10	2013-08-02 22:26:44.291441	2013-08-02 22:26:47.251938	46		0
2846	10exvf835iztoza2isemxdy1kn	$2a$07$MVITY1V6yBg1dNE/mboDluIGkQK1MhLTqWyIV29.E8NFV98qF2fvS	11	2013-08-02 22:26:44.313277	2013-08-02 22:26:47.385205	46		0
2847	105wejwyim2jgixnbcmcpc1gu4	$2a$07$9jpckGRTfsgj/ifpmRJuV.K/HvotPkWHwgLFc8RQbOp1S0VWXGlgK	12	2013-08-02 22:26:44.335316	2013-08-02 22:26:47.507951	46		0
2848	10bo3n4vcy2f44nrx4e8nzk4e0	$2a$07$eJJwiJzMoA4yTVOfS/Xwie1sRIvosLGHVgF1NLYYxJGfw3jN7Iem6	13	2013-08-02 22:26:44.356919	2013-08-02 22:26:47.871101	46		0
2849	10un9wlix36zou1u29ekiiqgdc	$2a$07$w56azt2X/pm5BYCSC5Kp9uw3rAj7KpXisTv/9EeLnBa6mbtTNFLo.	14	2013-08-02 22:26:44.378565	2013-08-02 22:26:48.250028	46		0
2850	10zewpnb6jaq1zn6vrrfd071qq	$2a$07$QdYKHnMtS3zQkhPumx0C1eQNrdixiOgPYt3xKe0d6NpCNVHIeXdVq	15	2013-08-02 22:26:44.401207	2013-08-02 22:26:48.615961	46		0
2851	10e2tawi9cr9qft1lh43u1t686	$2a$07$ZMLavGZmkhCTlPKTnDduG.iwLxMEGUFHYqTZfGAcr1PYGEeNM7XOG	16	2013-08-02 22:26:44.424272	2013-08-02 22:26:48.980652	46		0
2852	10vmqoxlqs8g9hn7dpoyon61el	$2a$07$kX2saoLOt/Gj.g06Z/Z7Ke3B2M2E8IzvFPsztgITD1t4VADa/GyMO	17	2013-08-02 22:26:44.445977	2013-08-02 22:26:49.282259	46		0
2853	105fix7dan2lf3vtassofnt321	$2a$07$gdZiMcYO..fp005Dqy9gY.VrjUNvAVy7XEORXc4eKir4qqKi/UkZ6	18	2013-08-02 22:26:44.467845	2013-08-02 22:26:49.4642	46		0
2854	10utu33o2g2pt7x1t0294ybj9d	$2a$07$5pecbyrswnytHMjNVtDW2.3UPBYHwPPjMdEKNpl5T8gNMLAI5MlZ2	19	2013-08-02 22:26:44.48947	2013-08-02 22:26:49.604407	46		0
2855	10qij88x536sgyrbcgpb1kjdvx	$2a$07$cWS9LbyfMpXuW5I1EpJu4.4fHxPPYFvOqxSIQlN3bMbvEJ2M5U0kW	20	2013-08-02 22:26:44.510913	2013-08-02 22:26:49.71753	46		0
2856	10not6u82wlbnpexq9yp4vo156	$2a$07$zYzfz35j/mI.cJR/p7TgF.sSSjFHLTlWH/dhhjhRG9oy6ZFpOkNoC	21	2013-08-02 22:26:44.532789	2013-08-02 22:26:49.871115	46		0
2857	10i75dxdi60an8jvbtnwgf74d8	$2a$07$V5ViOr5fkGRwgaXVFFZPAu15ErjQz9QDbMnEi9oCeHuCxOMVzdub2	22	2013-08-02 22:26:44.554658	2013-08-02 22:26:50.06502	46		0
2858	10uld9wtd392gvyufr8py8lw48	$2a$07$3NbrGf.J88a24Q0sOWjjhuKLFAJfnNtK1KgRPOvn6VQdDZ5qiIa8q	23	2013-08-02 22:26:44.576174	2013-08-02 22:26:50.252223	46		0
2859	100a1avo0fliptfzi5m6oc16ig	$2a$07$nCo7rzOKnBCxFAA7opiWk.r4QOLFZmOLrOVLtpZ4bFPKW//QgzIQy	24	2013-08-02 22:26:44.59773	2013-08-02 22:26:50.44412	46		0
2860	10kjdolez1g1wraxvivoduf4tq	$2a$07$7caFpbZKnvWIrmNK/rHmeuWhEm2SmrL4BlrktyLRigww362dESHSW	25	2013-08-02 22:26:44.619253	2013-08-02 22:26:50.728507	46		0
2861	10yvhmu3cqeyzeurf1w6in5bfd	$2a$07$3TysyfWAKhMq66YUkbURXelOsUWp6PLdpVod/FS/kFprbSuNJi8Wy	26	2013-08-02 22:26:44.64063	2013-08-02 22:26:50.883189	46		0
2862	10wpu7uu22fp4oimhda2f5fgo5	$2a$07$4JaagDnQ4EKpZ3jmSACDxujZHMMTkE/KEY70rR0e.W3bpL9FpaF9.	27	2013-08-02 22:26:44.662088	2013-08-02 22:26:51.159961	46		0
2863	106djux861ot23wmi2p8yzkluu	$2a$07$a/CI/3uRrq6mhK7LlpxGOOUODXJB53xQfgWPuXt.WuUqFVf5fOE8u	28	2013-08-02 22:26:44.683713	2013-08-02 22:26:51.514485	46		0
2864	10wwso09go42szmyrwjnhcb95c	$2a$07$eVRhcxi6qQvfT5iVw8HcvuVSuEedNenumGoZlee88fjGeqGEencuK	29	2013-08-02 22:26:44.706552	2013-08-02 22:26:51.883269	46		0
2865	10572g3fh53bbe79xaovcjvzrk	$2a$07$NqGb76pKo9K06HEsjHOvdOVvAAX0Dqhi2kVwGBemE8aCeZav4ES7G	30	2013-08-02 22:26:44.728427	2013-08-02 22:26:52.23167	46		0
2866	10wbtqutc6lii013tgw94vp5t0	$2a$07$oXT9qz9ER2byqYgtzWxWdewlLEeaOxbdksoCipNUWZPJEHjEL.PVK	31	2013-08-02 22:26:44.750252	2013-08-02 22:26:52.357227	46		0
2867	103wb77xywbu8khfh1q5gtpbgd	$2a$07$.ej6sX/AxsemB4I0QkupsuEa0i7/DM2a81SeDZazM6LcvHlgZEdCW	32	2013-08-02 22:26:44.771803	2013-08-02 22:26:52.477501	46		0
2868	10xrmd074mst4k7mycwq6l0u1n	$2a$07$JOiOTiVZ3pSo0gpe5rk.2.RVHlYGseMU7jbXgXpUxPrFkQBw3I0py	33	2013-08-02 22:26:44.793627	2013-08-02 22:26:52.617214	46		0
2869	103xq0ut6oejso29fo0zp7kat5	$2a$07$dmbgr8vVHNcY/HfVtt2VtOBPG.cCgoqY4jbFWpvY3vpcAzSnRInri	34	2013-08-02 22:26:44.815013	2013-08-02 22:26:52.750517	46		0
2870	1094z37yppyz1z423qtjtrkiq5	$2a$07$Ep0IV9qTnaEOlZZ5ymLIxeWU3l0DthLMEhuTXVi6YP99yo5dpyxhK	35	2013-08-02 22:26:44.837151	2013-08-02 22:26:52.881118	46		0
2871	10fx0x4z4j8c4gwa8nj9z3s1z1	$2a$07$iXEhpN.ntio5PnvfpICzN.4jUNf8gPWFCaIZWllWvPSVwnlqKsiAi	36	2013-08-02 22:26:44.859818	2013-08-02 22:26:53.010693	46		0
2872	100hraystd990aonbela83gmyr	$2a$07$krUU.mNRYKXR1hz32V4QCelYk.rI/I/2iMqonluCa79no446sykYm	37	2013-08-02 22:26:44.882183	2013-08-02 22:26:53.219531	46		0
2873	10inxa8zngfufchvxjprdumv3d	$2a$07$/VzlSp4c1qJ9gph8sEJcy.gZX.eKjWtvjrgOHhxZUDJlLQuTUOyjO	38	2013-08-02 22:26:44.904776	2013-08-02 22:26:53.560347	46		0
2874	10877scwgkjg6t4ak9xck5vuqn	$2a$07$g8KXmBAeKcmKirBRDJmt...nr/eCGwbSwquxdM/JIu/6VA3mj27ju	39	2013-08-02 22:26:44.926339	2013-08-02 22:26:53.913823	46		0
2875	10wk09rebpc727i7275o0fs8rx	$2a$07$4R7na8YUc2Lfoh1AM931beObl3CF6JpztzL9e8yHsroCoPWnWitR2	40	2013-08-02 22:26:44.947823	2013-08-02 22:26:54.285254	46		0
2876	106nfoqr92fvzqvrrn04vgw0oy	$2a$07$uH6MAuCZKvQ7GUctOBtdW.mldgGM0F1aCjDmXbPi9eGUceGqIq4b.	41	2013-08-02 22:26:44.971619	2013-08-02 22:26:54.643796	46		0
2877	10v3qb8t2ajtrf4s2hcz8tb7al	$2a$07$HOtzTaT.VQFMovJU/tx.yO8eYGY0g1rnDGxGoBPrXcMeFchkJmdOW	42	2013-08-02 22:26:44.993754	2013-08-02 22:26:55.006366	46		0
2878	10ucuvwlsm09aasrm22xuefw96	$2a$07$rdm5pnAUjdEYRc2wTV16veJLqfyZP9RBg4ogJ/SyRdkcF81XcJAlW	43	2013-08-02 22:26:45.019776	2013-08-02 22:26:55.364264	46		0
2879	104uieakp4pg3k6sn6s8a6xx5n	$2a$07$Iy8FlAIQBcbdtVHqvDWtBOYrz0hPTTadly4v7BzAT2dLxe6l3uTmy	44	2013-08-02 22:26:45.048696	2013-08-02 22:26:55.734206	46		0
2880	10e62p7rfixcxqhb184149f4hh	$2a$07$tQd.Ny8z/3akJNzCkLe10OHTs0EpzwMoBTL8LlZ/Ep/LZx6ujFrQ.	45	2013-08-02 22:26:45.072479	2013-08-02 22:26:56.099568	46		0
2881	10ai9hwlst6hyvdqcvdqszf2o3	$2a$07$/BOV419T8xL3u3/PMW3SGujSLhf/VJcrkbe4xy3mCVgDwUa/5J0ri	46	2013-08-02 22:26:45.106483	2013-08-02 22:26:56.461348	46		0
2882	10b1r3ktemofkq9wfuy6xj8hix	$2a$07$FR9h1Ik0lCiavr3X46ptnuI1RNTvFUZQk9x/iDAjqwmyT6Ry5j5ge	47	2013-08-02 22:26:45.13241	2013-08-02 22:26:56.802925	46		0
2883	10uvhf7bbf7swxciar4mnakvyp	$2a$07$9yiS861wE6HXJVWjDhv1H.0m58Vaqs0X5LPlfUtLcWKL2stWmpw/O	48	2013-08-02 22:26:45.164025	2013-08-02 22:26:57.153784	46		0
2884	10x2881iqovo7s81alj07mprq7	$2a$07$F40gikE.pW8MnD2Syf8mLuQD8doLNaoaRPMNtmRi939jWdjoXRd1q	49	2013-08-02 22:26:45.200129	2013-08-02 22:26:57.522891	46		0
2885	1039x5gxouhu84uh42id3l0sbx	$2a$07$afRwtvvs0Kb.g8wwrWaaAeX1ZswIc5t41ctefvJLEimL.7yyw3PLe	50	2013-08-02 22:26:45.233973	2013-08-02 22:26:57.875248	46		0
2886	102nbcwa9gnjo4wstdbu6ameoz	$2a$07$zhGgbe3pLekPsbJRj3v1IuD5pcvf4pDjJTzm4W6ES9Sv9QvneTc82	51	2013-08-02 22:26:45.255939	2013-08-02 22:26:58.247113	46		0
2887	10zpczzikk6w66x38a6k1i10h0	$2a$07$pemHwgAgWjVAS060xOWpT.LzrT.oGTzXz.VkkeenDglidlgWC0vcG	52	2013-08-02 22:26:45.277536	2013-08-02 22:26:58.606292	46		0
2888	10flecm42qqgi2nzouj2tk1t88	$2a$07$KxmF8hzX.hWIphHa.Jv.ReDfQF8HHtFGTo/mzb5Xy2cyWj7pEn6HS	53	2013-08-02 22:26:45.29954	2013-08-02 22:26:58.966964	46		0
2889	10pd7a0rjkkjsgw5tab0ggl9y6	$2a$07$lIGm2E7hfS.mz7V5z.ovZOV1/WQUseeZ7HPzEn5oS/Fes4iA2ZmKa	54	2013-08-02 22:26:45.320958	2013-08-02 22:26:59.333626	46		0
2890	10e9nml4qiwaywec5yy9r36bcg	$2a$07$GXT2nYwTi0givN9NqWMBWOlqqKzByKLBuV9vjheGh8bygwSmG2uOi	55	2013-08-02 22:26:45.342806	2013-08-02 22:26:59.703666	46		0
2891	10ut0hot8hsi4ixt9laa7igncn	$2a$07$9buoMr3S6st3O7Lh7V4R3u2iIYJAC.nlwILZJj//YaUTAA47tVa7S	56	2013-08-02 22:26:45.364915	2013-08-02 22:26:59.965753	46		0
2892	10k38nd8sr86yeeti84n9n6w3h	$2a$07$TuA1JujGsKA86pemqMfyYOwjM/wEC.NKJ2sMPkPJi4BujvntJQurO	57	2013-08-02 22:26:45.386479	2013-08-02 22:27:00.204005	46		0
2893	10dc5ag0xpww5s8kr4076uigw6	$2a$07$LNl4jTkProMrCMDpSiJB6e4dp10SPjaO9wnDI6cAfiTPyA2t3S7Ra	58	2013-08-02 22:26:45.409388	2013-08-02 22:27:00.565864	46		0
2894	10jq4bnt070qkzkkkietzb44n5	$2a$07$gfhM7MGDZsWQwdD7djSpvu503TJ6tES4mPyTFG70jEyAtjIGkrrBe	59	2013-08-02 22:26:45.432553	2013-08-02 22:27:00.931758	46		0
2895	102sz9e5r9lcqwprupprsexhc0	$2a$07$sFq7ZKACgTkwcb8RR8Rm1.uYxNidSdYRkgGfgHzQC/H.gtKm9.kJ6	60	2013-08-02 22:26:45.454341	2013-08-02 22:27:01.331767	46		0
2896	10skwdzeulrnt2ylh0m6vjlk3n	$2a$07$8FRqoId2Q8hfi6/TZTfxx.DqrKyOd7VU1R6aXOZulZEIInflaPR62	61	2013-08-02 22:26:45.477249	2013-08-02 22:27:04.140845	46		0
2897	1028vwteat8j5p4vehj7n6xpmi	$2a$07$OdZ/xg8Kf6Sv8ggTWpa/Ke5F8EWiy.YnW4I/t3etzu.a4Z.HI6BiK	62	2013-08-02 22:26:45.498929	2013-08-02 22:27:07.147519	46		0
2898	10pceb35m8v71cbx6emj8xexi7	$2a$07$tROZq3b9hKg7mxuArWf2JOAlotvbQGzwB090AojBGHGlGnQxzDaAy	63	2013-08-02 22:26:45.520389	2013-08-02 22:27:10.326419	46		0
3403	10wz6p0tipvaf4a1vpalgmchpz	$2a$07$EuYpUueUzYa5fVLXXtXTc.GzPfSnHu7SEeAjCeRXFMAOuAwVWTIty	1	2013-08-02 23:11:44.056489	2013-08-02 23:11:45.832023	55		0
3404	10g7llrblv4jr0cg13hbkipu3x	$2a$07$u15LKTvX1vTyXOj6Y1I2NeYw29DgCiaB3O3deDNAzWOqN1f25dMK6	2	2013-08-02 23:11:44.084613	2013-08-02 23:11:46.227376	55		0
3405	104tk2ugv0n1dyv5uyap61rc5c	$2a$07$SYTg7//31tY.zjScuhI5befAb/w4GGpyG0mLerAiYoEkJpZCknRXi	3	2013-08-02 23:11:44.107036	2013-08-02 23:11:46.634087	55		0
3406	10dwpt1ukext5gy311hd4se7di	$2a$07$raNeQ8Iu.zEzIb273pIOre0gmFYiJe.cx8BBM8ee5kBQgx0rm4DBa	4	2013-08-02 23:11:44.129096	2013-08-02 23:11:46.773032	55		0
3407	109mai62xcw035ay4r6wu2dutq	$2a$07$wQ0MDOx/0OOvS3lz83hJW.Htu288Ma1wSLacyV5bYyUoGM658R2Ae	5	2013-08-02 23:11:44.151119	2013-08-02 23:11:46.90933	55		0
3408	10qar1g8iu8ey9ggv65yqzcp49	$2a$07$ovF2h1UfpX5rOJmS/Yolyu/38QUaecqk5jnGRdpCEH5exi3IDeoiK	6	2013-08-02 23:11:44.172509	2013-08-02 23:11:47.056425	55		0
3409	10xjzb3y3gepnpcx4fh628il9j	$2a$07$r38yOQbPwuFB35HewP501.ktZtLwl0M69gAu1GXJIrFhjTe.qlkWy	7	2013-08-02 23:11:44.194047	2013-08-02 23:11:47.462479	55		0
3410	10cdob3h6gcszz6jxwprlm9wxq	$2a$07$aFOVB3q.cG24VpEUcm/ZSOiN58NRpCr8t7E5WuqKbJkd3vRdJHwoe	8	2013-08-02 23:11:44.215691	2013-08-02 23:11:47.851139	55		0
3411	105idweb0dwuddvgddmsymu9xb	$2a$07$k1eWeiL843GcUpom4kOz7.tsTsRtLokVkW3cXun.72kesCk/jF.uy	9	2013-08-02 23:11:44.237226	2013-08-02 23:11:48.275659	55		0
3412	109cvgoevnrtyrm5679cwyvq40	$2a$07$tjrEhaBhShiFjVVkQOVqZOfDG3FSerX0Yy/sFGKk/GZ230y7DrRSK	10	2013-08-02 23:11:44.258553	2013-08-02 23:11:48.418163	55		0
3413	105wipr9h3b0mi16uu0aiiokji	$2a$07$0wc0GStnGwjyAhN6.Gh99uvqzqQP9F43/8.UPLwmY0BzWC3VAYtRK	11	2013-08-02 23:11:44.279875	2013-08-02 23:11:48.562894	55		0
3414	10c8zx14qtf7pg83y8jhnv7bhl	$2a$07$rWUSItWJNA0ZTPSSkMc5TOsgP1CAry.ST6eL4W8CheTxndp0tXCJe	12	2013-08-02 23:11:44.301217	2013-08-02 23:11:48.701983	55		0
3415	109x527u8q3wfl7g6dvjig6tcm	$2a$07$ED8Q6kLSB6JI0ZjBhRxEvui1jdVgDcO6hWHfvToMBt4yj.9s7IuWW	13	2013-08-02 23:11:44.322997	2013-08-02 23:11:49.103308	55		0
3416	10l1aljo7kydydx2sy01vp1ccy	$2a$07$Y8D.sYW31KSzFcbMSsCjKuVQResZ80JVh8p41InAuVp2eNPtkx2GG	14	2013-08-02 23:11:44.344461	2013-08-02 23:11:49.511413	55		0
3417	10coyxta6o6emaw390l2wrqphp	$2a$07$VBe3PtqLTD5uq2BPZwEpTumHCEvMn.23Y57nDVEdOlzOllQwlVJJG	15	2013-08-02 23:11:44.36592	2013-08-02 23:11:49.924618	55		0
3418	10jw0v2u0wlq22rxhd5acqs34n	$2a$07$BuW11Mnn7oIQZhapQRp8NurJbC1EZk16f6FyFSd.U6BP2n6CjUnqu	16	2013-08-02 23:11:44.387196	2013-08-02 23:11:50.069541	55		0
3419	10n631kslrawebcao9q2o7my5o	$2a$07$mtwW4Oa4c8P2.1QASgel.OVjXvGTCZLxOdZXZX13LdlL1IqfyZ6Cu	17	2013-08-02 23:11:44.408512	2013-08-02 23:11:50.261276	55		0
3420	100lc8xkz15mhy7wej35z3f50d	$2a$07$1TlXEtt/59kUiwG0DZTD8ORzxfWatnTCTg2IcDqH35z1BENUt9zt.	18	2013-08-02 23:11:44.429945	2013-08-02 23:11:50.507816	55		0
3421	10ic8zvp14cvte0bt6yxpjtzuz	$2a$07$a/yfMhr0Fq7fjseAXT1nFeggzMsn/K8927sQtidCWye7AuDBRniNG	19	2013-08-02 23:11:44.452746	2013-08-02 23:11:50.871085	55		0
3422	103g5y7by18fy1q5qubl3szzqy	$2a$07$98tvs5JzPWOjt82wCmbWMOVFjFWeUTHG6VRxwUlkqt33I9IpNwbpq	20	2013-08-02 23:11:44.474518	2013-08-02 23:11:51.22332	55		0
3423	10af0zcvyto3mkew32t4kgpvq9	$2a$07$/ClVRcvpHvRInTbIAPINTemdBN6UhePVOOPq8KvZXvYSXQPRnoUXa	21	2013-08-02 23:11:44.495955	2013-08-02 23:11:51.592156	55		0
3424	10hmdz79i4zszi8dgm3o631jkn	$2a$07$KW0TODrORcA9eJwEhDsMC.1CfWiIkzLSw6.n3qwLt999s.UJWjO6W	22	2013-08-02 23:11:44.517585	2013-08-02 23:11:51.995079	55		0
3425	10kqzcgars1gcbw10mv5cwgu7j	$2a$07$KlL/6HRHDoEYY0tNkfJW0eDOiJvqEUYr7Qw8xs3WkZL5h8vX9ZDuS	23	2013-08-02 23:11:44.538904	2013-08-02 23:11:52.40409	55		0
3426	105r2v2zhjubqf21mmoibruzmm	$2a$07$jxnaYYHFc8Ke/fR.ozGqBuK48qfD1OHyEGzRquXpQbX/rz2P8PZim	24	2013-08-02 23:11:44.560247	2013-08-02 23:11:52.83098	55		0
3427	10iy3m995bt6tljr2wjmeq6qh5	$2a$07$ge3VgYPeNeiEtmk5M8O/j.DdxOUzINfvH143ivmrljpOvMflS0ADW	25	2013-08-02 23:11:44.581661	2013-08-02 23:11:53.102362	55		0
3428	10gcneifpu15k3fd2wsnf3fwkm	$2a$07$mCzS3jlGigv8nMJUKdPKYOhIXU2mLDGzWLCtsFJInUlAnc8GI66Ja	26	2013-08-02 23:11:44.603032	2013-08-02 23:11:53.284311	55		0
3429	10gpthgwn0fjwsv1glwjf8leo8	$2a$07$hoN5meFSm0xrBF2N3HeYfO/hDNgz2VHs9S8fvjOb.1KLDlWrikD56	27	2013-08-02 23:11:44.624572	2013-08-02 23:11:53.516034	55		0
3430	10tp96o4p71azdw7xck6uir3m2	$2a$07$qqNrqzjTa9z2ljOL0D6qweKwAV/UxehlXmKyTTx8yPobjQFIDF8Xa	28	2013-08-02 23:11:44.64902	2013-08-02 23:11:53.707032	55		0
3431	106k9wvqtneq6vznide0iepjmg	$2a$07$IWBQca3OW1mxa5cSnkmZzu3OrNOhM1l89MMKXmRnvtEZaw1Cpo9V2	29	2013-08-02 23:11:44.676093	2013-08-02 23:11:53.892206	55		0
3432	100t2z37lstl4suov7vjh59n8k	$2a$07$kUpKRnbZvD64SdTKS.TddeGz6Fnk48GANDGZrM3xxjj4IDoyg75rC	30	2013-08-02 23:11:44.699096	2013-08-02 23:11:54.179163	55		0
3433	108j0xguzy91oou5zgfka3z8pn	$2a$07$KTurjbO1RZhZy5Sg4OKK6eRsiziLbffB36p0mKqtA5.mms9PjSZGW	31	2013-08-02 23:11:44.724061	2013-08-02 23:11:54.31369	55		0
3434	10z4xrcyn0xao5zyw243q5t5sc	$2a$07$6zdKFIA8P.RdSVECcHYzYexYt2gSPCrjUcPwRWp0dKYK8Ps9eTdMO	32	2013-08-02 23:11:44.746871	2013-08-02 23:11:54.451501	55		0
3435	10xlretzk8bukx9uh0lxnuqfql	$2a$07$E8pODZI6xYEqSLfwkC6rtOiF6PNzK.3PwcxyBAwkCtdo7WHRvM7UC	33	2013-08-02 23:11:44.770158	2013-08-02 23:11:54.584656	55		0
3436	10r4ur6bc2bzkbmf7v42d0206q	$2a$07$WDrLVPSycGEkMqx9Wi5WpurMaY8lYZn5UmGTrB4TD5R6T1jsYrO32	34	2013-08-02 23:11:44.792441	2013-08-02 23:11:54.721149	55		0
3437	10hsmawx7w9o41oupbvmrxmqg5	$2a$07$eu125hYQXxXs0zeMyA6wWuSprFFiN1LmoiI6pqc28.gonsWIxC2Ee	35	2013-08-02 23:11:44.815914	2013-08-02 23:11:54.859817	55		0
3438	10xwk015f0ix8g22mvth4u1cjf	$2a$07$OOV078lGwvQ9hxyVIoxkyeiym35dCkrAuyYy0uudUdi3f26eAbl6y	36	2013-08-02 23:11:44.837954	2013-08-02 23:11:54.999601	55		0
3439	10f33o0uy7z5p0vlggpml571ya	$2a$07$YnD2MvpHnx70vzE8oDRZUukD84Ro.WeQTUWTl2Tk0xOWkgI7OcLMm	37	2013-08-02 23:11:44.859215	2013-08-02 23:11:55.263181	55		0
3440	10dafd4mibz8mu908jlod1cm9l	$2a$07$budSuO3/xk5o7Dw7msJNKO94rMs6njGyESKnpQ7RnqMeX8ty/XZP.	38	2013-08-02 23:11:44.880418	2013-08-02 23:11:55.423677	55		0
3441	10ewhq3fa7g3p91bnz6mxuwsjj	$2a$07$aTCnHc0UxlMtvH80ooxH5OhkYxw82rPhwanYp6js70VJW7dNmtxvy	39	2013-08-02 23:11:44.901698	2013-08-02 23:11:55.602595	55		0
3442	10rfbc223x2kcya159ztlmgoyo	$2a$07$EBfdtOZmHTn9M3bWKNKZQenLpRPQbat7Rki1upHK6/kHgA2YQfQDm	40	2013-08-02 23:11:44.922866	2013-08-02 23:11:56.011826	55		0
3443	10xii22z7n1bhj4qqjdqc0bf1m	$2a$07$WPuqdO38VmTc4KgK90OmEeufGwLGXns1Zx79lddMWrDWa62VbIOai	41	2013-08-02 23:11:44.94419	2013-08-02 23:11:56.143849	55		0
3444	10ntqbpdbm2t3ljyc440lxtf11	$2a$07$vA7..lEDfHliLHzkeiJBHey.LHS76nnilQkDGl6bESl.uqhzdbeKy	42	2013-08-02 23:11:44.965858	2013-08-02 23:11:56.366699	55		0
3445	10jp2udeu1dggyoln5kgdz3bkd	$2a$07$NB.GxhKIwrAOQJIN9I5U8eWefgueDcFKBupMvRooAkMMRm7GlqoFq	43	2013-08-02 23:11:44.987294	2013-08-02 23:11:56.77874	55		0
3446	10yo73sz4wyml8m84zq3m5yddp	$2a$07$6o93TX9AGtpBdPE56kltJOnoM.dBYBv5Z8lU7C.FZW8CMDgLOET9i	44	2013-08-02 23:11:45.008831	2013-08-02 23:11:57.0547	55		0
3447	102he8uesyzurwilv8kq7mammo	$2a$07$88ua0yL9uVY6t2ItoNocn.lC0hXE4LP3udmlLi.XWmQXlApZSEjZq	45	2013-08-02 23:11:45.03	2013-08-02 23:11:57.25297	55		0
3448	10xypy14gtlmnd51i29nwt8ju5	$2a$07$JsLUYfsLF/EUIBOinSE64.93iMNx9qgN1ljzDendGeebtwPtK65pW	46	2013-08-02 23:11:45.051941	2013-08-02 23:11:57.500464	55		0
3449	10ge1pii6ntfcfrolsv81xv6xb	$2a$07$ESYjhM.iZv.SEUyJvDgKyuPdq45342br31stZRX16reL6z.kCUgwS	47	2013-08-02 23:11:45.074145	2013-08-02 23:11:57.685355	55		0
3450	10u4v00m53770ivow1lywzj8w8	$2a$07$aI5aSgd8rJklovBg0uUic.8aQBR2merIv3QCJcCNsGRTg3Ll3Z4UG	48	2013-08-02 23:11:45.095397	2013-08-02 23:11:57.93452	55		0
3451	10r4yr7y46srjo8dg28i7o6zv8	$2a$07$Z774Tbf5r7mCNYb1CkeCYeEDrKilH4JswmLiNyae.XepfYGojBWUG	49	2013-08-02 23:11:45.116993	2013-08-02 23:11:58.084336	55		0
3452	109hux3hvsinmzp12jxfrjytk8	$2a$07$/PiZNuveL0v6yhNy5vBNZO44xQRpTDDFjaXHuexjJHc0./J46XJGm	50	2013-08-02 23:11:45.138236	2013-08-02 23:11:58.209661	55		0
3453	10lktq83jo06wx9d345q2nauoo	$2a$07$6gWEVjX8RJM2a.rRPCCWrOYsTyRny97Jm2TeduB4rkNhhVTZRApkq	51	2013-08-02 23:11:45.159613	2013-08-02 23:11:58.357105	55		0
3454	10h1e2q4yl0tk9caw3l0c4qx90	$2a$07$eYHPw3zZaZkWDqoLKiIzKeBvGqzHj7lMwKlwcd/pmKUBUdOlbRFLS	52	2013-08-02 23:11:45.180851	2013-08-02 23:11:58.577593	55		0
3455	10rzzqb4f72qs41stwaytun15u	$2a$07$r.Vfh/100Jw4NqvB1on10.QEpZRMyTwFic/sqI7bfkQbtwwtmoVk6	53	2013-08-02 23:11:45.202103	2013-08-02 23:11:58.832101	55		0
3456	10uu334x2v92gaf136k4564lvn	$2a$07$wpjbf63HUkwGq39QExTk4uq2.l.7vVWMjUGWxcE19JbvizFUoPRQy	54	2013-08-02 23:11:45.223395	2013-08-02 23:11:59.060951	55		0
3457	107ume44mmep0ko14yoj49i8jd	$2a$07$JpnPfynW8KN1S.oAffXgseNnzGBS0aagK.2/opoiNMhAOyehMR59e	55	2013-08-02 23:11:45.244739	2013-08-02 23:11:59.465133	55		0
3458	10cero60qfctmo9nx7if5w4vfu	$2a$07$nApzNLUnC1vTgCP0pzSTJeyWtbkOMWF.umMunFcKpEryHkCpxLuDq	56	2013-08-02 23:11:45.265938	2013-08-02 23:11:59.893549	55		0
3459	10rkoluy0q28u21u8g5qjgp976	$2a$07$QkPTYfVAoFLEy6nHOncex.4KsUI8CeNJflfpWRIc/GwUpUFTPeiVW	57	2013-08-02 23:11:45.28705	2013-08-02 23:12:00.051081	55		0
3460	106x7uearhe9fjv3bs07hqlpe7	$2a$07$W9.ImOeJfPxCb/wTdpZF0uUHC.7HE8yyp1PTdPmQU01CMRmtE4FHy	58	2013-08-02 23:11:45.30872	2013-08-02 23:12:00.284614	55		0
3461	10um3eih0mej2jsg35yqy5f146	$2a$07$di9IIPSj5Lnlz7/QnLT92uwvBPE7J5YWK9og1NVHK6qiTt5h2OWt.	59	2013-08-02 23:11:45.33019	2013-08-02 23:12:00.492955	55		0
3462	10iazcbm4hrtu5wmh4ckny5l8k	$2a$07$UyoUiD3Zr0Uzp/dKuajCX.hGfYhlxAjrdEEXxodXHE8MPXnEzjOcK	60	2013-08-02 23:11:45.351657	2013-08-02 23:12:00.790638	55		0
3463	10ckjie8l7gc71mqiigm7ikzdi	$2a$07$MvVzAAeHlfLcTM8qTNAYrOfSuRykhVDdhTvHxN0MPkUh1jyyjbYby	61	2013-08-02 23:11:45.374175	2013-08-02 23:12:03.509016	55		0
3464	109pbembpepesaqa6fk8e0ylu8	$2a$07$xshgkesLCKfXLf7wnENvqe3w3voIFNqIQvCJ.VSkTQo5Ce8XpW5x.	62	2013-08-02 23:11:45.39541	2013-08-02 23:12:06.415445	55		0
3465	10jecvle2sfvtt3wp2tlj1jx9i	$2a$07$C5FugeevF60wWT.ri/Uj8eDrEGytBjsmNmTUHoEUjSzlgL6/xGktG	63	2013-08-02 23:11:45.416784	2013-08-02 23:12:09.417375	55		0
2899	10pp7i2t4pbmdmgq3x5mh0i575	$2a$07$/P42qfZbv7GTSPY6xqqNO..INK/P3Lpi9hPByt0IzO0A9UtT5ZhPa	1	2013-08-02 22:31:44.088071	2013-08-02 22:31:45.933299	47		0
2900	10coq4hc0fhurp489v7hpd4fbs	$2a$07$bHQqVMwpy68y9jrVqh7X/Op0yTHjPS0Zxo64Rus9ufIxD18LH7Ydm	2	2013-08-02 22:31:44.123582	2013-08-02 22:31:46.29774	47		0
2901	101480vehs9v1hoc0ay1aiwzeg	$2a$07$f0uIgd0qSCisp2hdd2.LEOAjHAZok8RsP4elU8yyszRfSvOLgIy62	3	2013-08-02 22:31:44.145191	2013-08-02 22:31:46.677791	47		0
2902	10g4s1j1a0deoj17p3j0fd3p75	$2a$07$VxoZWQqZ8/ycybumahP5T.nI7l7UvGsXVZMlyFxseshKL2pOxzGni	4	2013-08-02 22:31:44.166882	2013-08-02 22:31:47.059955	47		0
2903	10txq8lnhzzbcsqcf90x9ty0tt	$2a$07$WmqpRSc8IH1DiiZoJJh6TuClQTl9suDIc/tZ6lkUDwM6psVQnwaBe	5	2013-08-02 22:31:44.18828	2013-08-02 22:31:47.434099	47		0
2904	10t13jc0e8t9oz0wq4klszw46r	$2a$07$8PTtrxg6m/YG0WPfRDapT.kxddjdKKlgikirY7tgK.IOL9wEYmcfS	6	2013-08-02 22:31:44.20985	2013-08-02 22:31:47.575339	47		0
2905	107cltd5jwi4fj3621er3mooq5	$2a$07$iRT2eJuurqNToL8ziwA.QeO.xYNBL1gZKFuUY6jdRk6H4vZ9CY3/a	7	2013-08-02 22:31:44.231225	2013-08-02 22:31:47.690568	47		0
2906	1049rp6arhspzjbw3sb1uwxr3v	$2a$07$a2kbEvvY29iovmOXA60t8u68OxLYrzBwoInzoaKMjro6eCU/Ng5u2	8	2013-08-02 22:31:44.252673	2013-08-02 22:31:47.827669	47		0
2907	107ag5cll66y2d33he2j398nkk	$2a$07$zpuH8.AJ6WgfouxlqPVnzORqW8riP3ucFIl/jD.MJC2ug9BFzWx56	9	2013-08-02 22:31:44.274015	2013-08-02 22:31:47.963157	47		0
2908	10jyeawjtmha70gjmrzw56mk13	$2a$07$MIqaSIH3/0Ba9pfYIeXS2.xs6UzD41i4lcH5r5d97fPLHlZncBYjS	10	2013-08-02 22:31:44.295357	2013-08-02 22:31:48.090888	47		0
2909	107cnoe03lce44tmef57d7dz6j	$2a$07$aCAU06PO6MLKbQPXE517zuHgACygT1sr47BZLj694Kuv0uvmNjDO2	11	2013-08-02 22:31:44.316655	2013-08-02 22:31:48.206533	47		0
2910	10qth97q7dumn8ll5xd0m5a2dz	$2a$07$enpGX/EQpHNZ9Nr0TqWuJ.kxHetMYcJKTk.yoPv6xW8iOfrUk7QGW	12	2013-08-02 22:31:44.337985	2013-08-02 22:31:48.341819	47		0
2911	10dsyznazgz0a7x99td0eqds17	$2a$07$fNQSxo0mmrAncEe6wEtU0et1HQdMY1UWwirY2lDKm0rNIHweucw46	13	2013-08-02 22:31:44.359538	2013-08-02 22:31:48.719114	47		0
2912	103sfi7h85xhjek931ranvpxbp	$2a$07$sA1zHQ9W46SOiyPQWS13Auy/.BVl284fkKfm3NW3Uk/nV/JFPkl1G	14	2013-08-02 22:31:44.38102	2013-08-02 22:31:49.089783	47		0
2913	10qopx8bls9ppw5ezhhuagykky	$2a$07$qxLHT0WvDF5heNjCFCRNleihxhWLV4ab1FqlPY3F6sg42OdTO/CZ2	15	2013-08-02 22:31:44.402351	2013-08-02 22:31:49.458963	47		0
2914	10wmwfrbxszd8v4lp52dp4d0yi	$2a$07$YPHqDvGM6T7nFkXSlpuLMOdQ3Zdhbf/Jl/GyynETAdq15yeVNrwFG	16	2013-08-02 22:31:44.423714	2013-08-02 22:31:49.720851	47		0
2915	106dfh5ohi1z6suw9mhjp8fhlt	$2a$07$tyIP1vPae5.KN9KkbaiIrulXfsaEIKcI6yfD3uk19.YNMPP4cMIuy	17	2013-08-02 22:31:44.445092	2013-08-02 22:31:49.860186	47		0
2916	102ogiuhvh68if80pnvcddj65h	$2a$07$R90r.kwEfE3HmxHUI2Nfh.e.KRe/DMoHzI2LnzLB6IZYsIudqaJMe	18	2013-08-02 22:31:44.46647	2013-08-02 22:31:50.146526	47		0
2917	10upgelp70q8t9mww2xa5sd37p	$2a$07$wiAKahyR7dYI.V.uhegPTe/WbcOt//LOz7KVkT5owUftG5Zn98ocy	19	2013-08-02 22:31:44.490042	2013-08-02 22:31:50.303863	47		0
2918	1050lakballg7wx69x8b2ilm2v	$2a$07$ro3lh5xuuWA1B3amSHP2b.Aa7FjRFr9TbDjGnga4L2kdQBbT1fqbe	20	2013-08-02 22:31:44.519043	2013-08-02 22:31:50.402971	47		0
2919	10kpj4feoblkof5zlnzoby9omi	$2a$07$HlBJohU256.83CTU36DXE.QHkSVFbyplbcPZqqUD5qP7N3QusrtN2	21	2013-08-02 22:31:44.565595	2013-08-02 22:31:50.517754	47		0
2920	10pbdwmbn7wra7z98jqotnsf35	$2a$07$eWwH3PWbw8Je4c6yvhnBj.xMyknhOfunTEpP3RLuUGf12q.F3okbS	22	2013-08-02 22:31:44.58726	2013-08-02 22:31:50.763828	47		0
2921	10qwuapp509d6m6eszx6znn5rm	$2a$07$3HX0RuIZJurDLWjvtS8G7.bNQn90upMuQsp5Dke4vkfCzftC.bPHC	23	2013-08-02 22:31:44.608574	2013-08-02 22:31:50.962583	47		0
2922	10cbeuzeomee52ljav3ntdsdtf	$2a$07$yeDKFOGSWzYjmjDOwl.3duDh1ALpWTyW5CeLavPaFzdfcbvLiQ8Tq	24	2013-08-02 22:31:44.630636	2013-08-02 22:31:51.135911	47		0
2923	10dbbajtk6d1otg7d5lntsrd4n	$2a$07$Gz2h4IPjbS/7tmftEQBimOxLDfpNFFJaySEN824BT02l/G172zpfW	25	2013-08-02 22:31:44.653753	2013-08-02 22:31:51.409104	47		0
2924	1019vqrkngr71xvtf9j6fz5zaf	$2a$07$0zfXeqFhHwzLrACti0CdoucRhNCSGutqmip9LkdGw7ROBudAXhc/m	26	2013-08-02 22:31:44.677262	2013-08-02 22:31:51.652464	47		0
2925	10rnajh16jwnes76feuyfpb2l6	$2a$07$xoPux4VjkRKMn4LFbhti5.mniCkjmtNbjrarKj8qnkANzK4zAeqbO	27	2013-08-02 22:31:44.708804	2013-08-02 22:31:51.979699	47		0
2926	10pjg2p1eiudym6pm19c2ogtoq	$2a$07$AeYLbJq4rQ92gdiv7ZPkMudxq5zUUqd3pd9IRPDUMlne6fBbX4g.i	28	2013-08-02 22:31:44.734423	2013-08-02 22:31:52.177309	47		0
2927	10utxx5m1pb7nfja4izimlvuwz	$2a$07$tuWBaMl2BCjCTA2.ad1/8uRqMQ5XU/RlCKywUljN1EDhKJvhFonFi	29	2013-08-02 22:31:44.766134	2013-08-02 22:31:52.36624	47		0
2928	104yrc38nmnm5r6qwb5un5ecvp	$2a$07$cmnAqkQzQMd113YVKuuwY.wxik2N6vHUyxIJOYBBiBCM0TH3HxRpy	30	2013-08-02 22:31:44.787534	2013-08-02 22:31:52.690314	47		0
2929	101fajbg3awg5ya909m6pxwqtp	$2a$07$wOjCPGpiuZPl.zWWEwT1JOq54zePA1r9YBmF7kbVJOJPIACKunYbe	31	2013-08-02 22:31:44.808865	2013-08-02 22:31:52.819015	47		0
2930	10xqsmbxaxnp9r2rwc035cfqwl	$2a$07$4fyHk8M7VlyfDZx5Wy2yxeDdvumW/3oT9oWYDJMtrCcAgPlSTAIlO	32	2013-08-02 22:31:44.830168	2013-08-02 22:31:52.955191	47		0
2931	10u7u49l9yddyaxeq25q6doybr	$2a$07$xskLsi.XNdau2vb5uotqVOPp0qi2GoNWDAwwrv9un7w80j2zX9SMy	33	2013-08-02 22:31:44.853288	2013-08-02 22:31:53.096137	47		0
2932	104003t413528vw2ebv8699qsb	$2a$07$sM6gJ/jHkZweDQUQyJOfFulpClDr3O0A.tnG5fYpwskH18ZSLStX.	34	2013-08-02 22:31:44.876921	2013-08-02 22:31:53.226129	47		0
2933	10jtwtj46zevknp3un1tei15dy	$2a$07$BZ05Wz.T1cAaGsnjg294Te2lVswSUPqsAGBCtiog9uCd8zDwvsO3m	35	2013-08-02 22:31:44.899875	2013-08-02 22:31:53.35693	47		0
2934	10uq9a0kkocz186t2rp2r3i58j	$2a$07$fo7blLWNJxoxjafLNqmz9e4fnuZ9XHiqyQ3Iv7Vkg6A2pz112DwBq	36	2013-08-02 22:31:44.921931	2013-08-02 22:31:53.490547	47		0
2935	10qckcd71bivxvrdez7jdh99o9	$2a$07$/.Cu1UJxghWFfdRq6dLBiOeazyZfPwgT271cL56XDJKGpV.3vqAc.	37	2013-08-02 22:31:44.943508	2013-08-02 22:31:53.700996	47		0
2936	100p1lk6704s87j7sokukg6kpy	$2a$07$r9VifFmhN2VSmKBdLQymVuI68cz8tm25CupFIGnpIlqIzxI3MeXy.	38	2013-08-02 22:31:44.96509	2013-08-02 22:31:53.876732	47		0
2937	10ouhx917kk16j6objjj5mfefv	$2a$07$mxNXMYb.eXgRBKcOZvE4ee2yUJwvGZI0QmyYBZB1rapojMYno/OSW	39	2013-08-02 22:31:44.986655	2013-08-02 22:31:54.214276	47		0
2938	101se0wymeww9qvjnjc1i85zbp	$2a$07$ARgiifbVBkQnucNJ7txJaujQT0nh6GpuxbBGqvQ6dT0qcNQJS/ZYy	40	2013-08-02 22:31:45.00812	2013-08-02 22:31:54.580661	47		0
2939	10hrvvzknhs1ciunzg8zmav9hf	$2a$07$2tSowqCoSgnDVDiFlj6s3usrx4r3RThuJhjyHV5a87qlk/A590Wky	41	2013-08-02 22:31:45.030367	2013-08-02 22:31:54.958513	47		0
2940	1039a3ohlpfy3jh1eqt4kck1ev	$2a$07$PVOYgFeNaio3iu63XQWG6Ovko7cg8BBAguoy6hswpMRTljHYFUR32	42	2013-08-02 22:31:45.054207	2013-08-02 22:31:55.3286	47		0
2941	10966vpz1nyt8mng3vhq2a0so6	$2a$07$GVks3RSIzuRBr1aP3Uj6SOGelpl0bZCabrhy5qygA1XL2hAFJv5Xm	43	2013-08-02 22:31:45.076104	2013-08-02 22:31:55.719632	47		0
2942	10d0js7iqzbvhc0r2f908a9nxi	$2a$07$ffAfSkgoqv4bURSMH7aktu3lP7ZPcBcQJ/l807OgHQ75YXwwbfxjS	44	2013-08-02 22:31:45.097623	2013-08-02 22:31:56.098739	47		0
2943	10yyk41l9dglwzxw8ib4yx1erx	$2a$07$ztLFpdrB7Q3xBldly.pS4ev.l9LVFn2SBNBe8Ysqj739mQbwlPAKe	45	2013-08-02 22:31:45.119482	2013-08-02 22:31:56.479582	47		0
2944	10xb0blpmb9htl1lf8x8h2e47m	$2a$07$29xl49txRV.rjFjhgu3acOqwjh/e2H2OfaTuMSMeAgX5V7NRF05fy	46	2013-08-02 22:31:45.140894	2013-08-02 22:31:56.851457	47		0
2945	10rkzq78ycjsheiwg3nc2p4usq	$2a$07$LD4tadiMrmc5xEk2haIycuxhZAeJ5D68fO.QFFb9NR67NTWd3rzfG	47	2013-08-02 22:31:45.162989	2013-08-02 22:31:57.20843	47		0
2946	10x1v7dtyedo60oux6lsezoftq	$2a$07$jHBnAQUXAR1bW2yDb/J1JOMkltr.rGFkDooOMd7YvAJsyiFLDkZM.	48	2013-08-02 22:31:45.184364	2013-08-02 22:31:57.573296	47		0
2947	109crlimnah9wtxhyt0rtd8qzd	$2a$07$qUDeIFf0gxKILSO9smLF/u/gnKyMJaP0e8qJUmZRFHXGFhwVRmFfu	49	2013-08-02 22:31:45.205919	2013-08-02 22:31:57.713686	47		0
2948	10chfrpp7fijx86xyi082wkhjb	$2a$07$sLvArrGHAVtbtx.1pgzJbuQN0fkJas1MkHZ0BeldM1JbgH6fEL3qW	50	2013-08-02 22:31:45.229521	2013-08-02 22:31:57.85797	47		0
2949	1007rqdn7n47cihki51m25li4v	$2a$07$LyoZ6Djp3yyn4x7TAGXF9O2kHxM4UdLtoxx62pPA7A.KFNu8X7AxC	51	2013-08-02 22:31:45.253879	2013-08-02 22:31:57.99744	47		0
2950	10fw84ttqnblkq2o3l28pss65p	$2a$07$AWJglKpUzQ.pexpK2jVFp.14lsW4YB4Isbqii7zl71mI54hDTz5fC	52	2013-08-02 22:31:45.287823	2013-08-02 22:31:58.37071	47		0
2951	10r3entexvttdyhyshjrbubifc	$2a$07$DaBsvtxLUcb/9tmCOP7rbOmm0dBS8ren8IYHvIaBVmWtX7J/wUIYu	53	2013-08-02 22:31:45.319385	2013-08-02 22:31:58.714822	47		0
2952	10g7bey13l18fmpq6vsu6vnqvu	$2a$07$kobEOwcQttQ9MrOx/fSvk.rmQrygXgOwdsygRf7zcy/BiKM1kYegy	54	2013-08-02 22:31:45.340918	2013-08-02 22:31:59.087599	47		0
2953	10dwn3p197xvz76g80upk26u5g	$2a$07$z3ZNO.6a.F3GE/5.30PlmOG6IGxYLjTbC3mwqNc2pVTvX0q3ZfuWi	55	2013-08-02 22:31:45.363982	2013-08-02 22:31:59.427351	47		0
2954	10icm1asi77p5qfco6efp0sopu	$2a$07$tSQbpESOeEC61grdRYSEIOUKimXjBDVcODqt2pGJRDZ1AZ256.tH2	56	2013-08-02 22:31:45.396188	2013-08-02 22:31:59.578194	47		0
2955	10gek533qrz2owk4b8jmjb76u8	$2a$07$s5ifj/IHRQjoTI4cXcceLuHtskr0CA9fGtVHvGLEI/9m0UhOgK.1y	57	2013-08-02 22:31:45.417693	2013-08-02 22:31:59.880846	47		0
2956	10y335imh03u9e1gwgwrbhuafd	$2a$07$TOuA1VfU86y3Q9LqxPKfE.qeTV7rX1XOHToPf0562Tw2.yG0h6BD6	58	2013-08-02 22:31:45.439439	2013-08-02 22:32:00.244857	47		0
2957	10u4nrkjxb7px63uu9tgn0390f	$2a$07$NlSzJu1XQFu.q2qbizDHH.pmGWgOU.yCtScCo74jG.hDU74IpWPeW	59	2013-08-02 22:31:45.461141	2013-08-02 22:32:00.599286	47		0
2958	10bsi9udy22s3w1s0mctdn4uam	$2a$07$4XNDbEgI4YqEwRyykZJJg.C3kucIGizKcmCrQLVejIgIcX3CsV532	60	2013-08-02 22:31:45.483018	2013-08-02 22:32:00.962092	47		0
2959	10du1vgsphor642k7a0livztbu	$2a$07$CyRmuD3ALWaFtYPcI4utCOCwYmGWhZ1s0L.3tlyklNVCW5H/.lngO	61	2013-08-02 22:31:45.504618	2013-08-02 22:32:03.726804	47		0
2960	10gbfzxrpnc8pritndxnbq35n0	$2a$07$1mmlkzeTGRGIgDkOGboitu8yGArVHqW9U/UzFq1cyDpEGJ9WDSETa	62	2013-08-02 22:31:45.528419	2013-08-02 22:32:06.928246	47		0
2961	10ie129ezs7eh49buopknxdu35	$2a$07$UdQe9DQ2MQxSy094lkYrqOLAKO4nZn9GVsVYSWyOMu6MHO3wd5RS.	63	2013-08-02 22:31:45.55224	2013-08-02 22:32:10.103106	47		0
4159	10pd3nuth615faf56volo7lluh	$2a$07$J/ybe6eQo/fmKS1GZhz.v.H3we7Ua/hUyt0RTX7LWKEPypb4Sokdq	1	2013-08-03 00:11:44.059516	2013-08-03 00:11:45.588433	67		0
4160	10cuxnxlfbt9g0aelv51u11ye0	$2a$07$DRqjKqZGt73kFG2/dmcjyOzBiOE8dBYfCxBqdEwttI6F5rp.LalDe	2	2013-08-03 00:11:44.088273	2013-08-03 00:11:45.73027	67		0
4161	101eaxmptrl61u8te8sua5100d	$2a$07$nn06IqO/LMNfxyp9YhLc/OkcWZ/N.Txi391dF9qiHMScVO8gdSOMy	3	2013-08-03 00:11:44.111695	2013-08-03 00:11:45.871438	67		0
4162	103cjm3xjca9058ttibyhl1oc3	$2a$07$y4EuPUGcdSNtCAgXh9IPHOaBvWCUdVMMmqZdRkLf/yb8CgOy3v3K2	4	2013-08-03 00:11:44.134523	2013-08-03 00:11:46.243264	67		0
4163	10jmr42xft5eji8g52hhfop1lt	$2a$07$HSpwsJ87m.PlVfstIY3e1eq61q5KQGqxPA2eFjNhAaqa0/a/rn8JO	5	2013-08-03 00:11:44.157233	2013-08-03 00:11:46.554232	67		0
4164	10k8xxrx3grlk6mt5zcwlgezqm	$2a$07$7PvES2Lo7F9351uNmtBeUuOB5kk/ofOZFDHdFEkiOW9B8rbZsN/rG	6	2013-08-03 00:11:44.179106	2013-08-03 00:11:46.743087	67		0
4165	10ehor1pztqog4bjou39nerhvc	$2a$07$7vK.423.K/G2w06OuwIMYe6p9kUszvhyLbR3IseSd7czdGbkaFTAK	7	2013-08-03 00:11:44.202107	2013-08-03 00:11:47.113279	67		0
4166	10gaejd7lylzytybtmwrbgwxq4	$2a$07$m5K4R8.w5ZBq.EA6tRQvZeh0LjXa9.1pSMnBhxTYhUnAgxDOjQD9.	8	2013-08-03 00:11:44.225271	2013-08-03 00:11:47.405969	67		0
4167	10b0l6t5dbc7iwhj8bu99j3n51	$2a$07$ZWvW2KqQC1BvSfyuQCe9B.FIDw7gr0oYQal6OxvqhzDiJwcwHg5fG	9	2013-08-03 00:11:44.249327	2013-08-03 00:11:47.542751	67		0
4168	10nmhlv9c1onjh55bgfdb8j6ex	$2a$07$GiuLATBIkLDvum5BIuY1/ekJp0lYxXPUs/fe7T0.qmDX6NP5dXLNK	10	2013-08-03 00:11:44.272153	2013-08-03 00:11:47.685338	67		0
4169	10ln8b4rsrkl7sgt8xfqfgm0xv	$2a$07$hJEjosHaEFrgt2vBcUFz6eQrcmQfsZ94gDqBgbQamiF2QSd50jBs6	11	2013-08-03 00:11:44.29443	2013-08-03 00:11:47.818266	67		0
4170	10mhmynaqyac2quy2tksdhhg0m	$2a$07$EyXJxjWltaqNxHRqED17SuVdINpbGZx5q2BUSlxXxv5yvkcyTIXeC	12	2013-08-03 00:11:44.316908	2013-08-03 00:11:47.966514	67		0
4171	10ryh3whih2vpgo7r0t1fop3hv	$2a$07$Uchv7uksgFMRihR2KuAIi.8yfdZZO.zoQ/uWKIffW8qokacssdt2C	13	2013-08-03 00:11:44.34073	2013-08-03 00:11:48.341348	67		0
4172	10d7tfet40oyg94jpkf9jn9mpu	$2a$07$PlPykPIk58XNa3LO04T0YePQCMkmXZzLbZdydqiGHDNfgY54RwNOC	14	2013-08-03 00:11:44.364743	2013-08-03 00:11:48.476877	67		0
4173	10t3k82rybhzvradfurxjks3tn	$2a$07$WXI8m7xPBKuCuYZcWka4CerEaSzPGcyaGBcu41PYtWO8eP8evaUwK	15	2013-08-03 00:11:44.387968	2013-08-03 00:11:48.772529	67		0
4174	10xrdow8o1rhiaux5ym87aw9ul	$2a$07$ujKdE0pH1gmaGBof7PbWp.9wVxpaEH7tFLt/lh4o0GAqooAsW1IES	16	2013-08-03 00:11:44.40991	2013-08-03 00:11:48.90485	67		0
4175	10vamokamfit93uq5nf9r6qace	$2a$07$8L2Tx893liy7hM27d1Qpq.aVZ/l34OykX7LAQ1ZTJLH2ZF5NvNGoq	17	2013-08-03 00:11:44.432986	2013-08-03 00:11:49.077442	67		0
4176	10hbk84sm5ldo9k7keme7cawzb	$2a$07$6dQj4unn7axcW9ymdqjjx.5rIBw0Wj6dRvjAFf0q0HOWdP09cfuae	18	2013-08-03 00:11:44.456316	2013-08-03 00:11:49.310076	67		0
4177	10bawyjiqfcgrtd0uep4vlyefs	$2a$07$BVelIfUuT.InAd0Qh/6leuIRzJY1Pes7pSJLls3K3Emfr8nQSmsBu	19	2013-08-03 00:11:44.479209	2013-08-03 00:11:49.686015	67		0
4178	10hbllex416eesj9m7ulio6wah	$2a$07$XSwDecC2RmTU5bK1ZVx5yuEdOdFp0VVPHVwQ9DLIl/eudANFvRoWO	20	2013-08-03 00:11:44.501391	2013-08-03 00:11:50.006454	67		0
4179	10wztaq9ugnby1hg4km1j0rfjs	$2a$07$VKCZuZUy8lq6bLmrZPTLZe83zPzV1tioNAFQ/whpiqtUdEVSoZAma	21	2013-08-03 00:11:44.523638	2013-08-03 00:11:50.329285	67		0
4180	10bhcb6ci5lzbmonlm3r8jhk2v	$2a$07$WYl7xnlF0staDkxL1h7rruCetKFcOps4LWPF4gMzkO1KL97ne6bPK	22	2013-08-03 00:11:44.545533	2013-08-03 00:11:50.70284	67		0
4181	10ofi42xgenncew27li8lpxbjr	$2a$07$BxoN.dAUh2I1J8WDLJUvb.wawigMre2sYTX2sKcWvH.o9i3H/.lKu	23	2013-08-03 00:11:44.567135	2013-08-03 00:11:51.071866	67		0
4182	10lq73pecq8eclorwfkdh4e2fd	$2a$07$VqOTZ83gCnY5ZpSLBgeWnO751vicfLdNdjkYlD0iAymOfYAWe5xXC	24	2013-08-03 00:11:44.588612	2013-08-03 00:11:51.440039	67		0
4183	106r8zp1cwlsws950hh9ohafcr	$2a$07$ffvyWJ/NXtIRMjtPkfmrP.YSVfT2ob3d3fhxln9kk73uCvMHw9Jxa	25	2013-08-03 00:11:44.610481	2013-08-03 00:11:51.670506	67		0
4184	10ysdc6uvjz5gv8lhukc1jw0i4	$2a$07$RmexOC2Ex0t1eebG/fIbOeKuRI4qNhf7UFPmbfOnNHjkgAK37BXYS	26	2013-08-03 00:11:44.632361	2013-08-03 00:11:51.91534	67		0
4185	10qo70q73g89w4upup2rbtm2ns	$2a$07$nEvNQMcpvCHOGGHuaYWWAekuXAWxkehWlYaEWMhG0/7yBZmgdbpYG	27	2013-08-03 00:11:44.653752	2013-08-03 00:11:52.220683	67		0
4186	10ygk8ne43ung8w7cezbzr22pa	$2a$07$fzFwVxOUOchdj1cK2BmkrulpU0qPTzeFPzwYOcEXz6ICcUhBExcDS	28	2013-08-03 00:11:44.675208	2013-08-03 00:11:52.417711	67		0
4187	103i27nnurwq8i0gryo2z4tzyy	$2a$07$oBA3NFoGephmm01r1Yyx9e/C/TUeEmUgUBNf1aJIqDpIf1Yjs4aSO	29	2013-08-03 00:11:44.697402	2013-08-03 00:11:52.577016	67		0
4188	10bv2xcz1uew8o83ui3dw7w5sw	$2a$07$Q0fJT4jbZmyhnzi.0Qaee.naljVWVaN0Uu7JSH/6hNyAqKDMeW0yi	30	2013-08-03 00:11:44.721149	2013-08-03 00:11:52.737591	67		0
4189	10gxb38lmklrdxbh2fquh3gzvb	$2a$07$9.aJAhPIgJw3OxKl6.45B.aLA4F0BtFiyRlpYEAGCx7/rxAoeBrIC	31	2013-08-03 00:11:44.742775	2013-08-03 00:11:53.127719	67		0
4190	10tdhfe2eferhesaqxk5iqc6ph	$2a$07$SIYGtP33L7oUcQovEeJT/O/xbbcf8mIq8Zgz94bMP9kGGjRqMvj/C	32	2013-08-03 00:11:44.764692	2013-08-03 00:11:53.484407	67		0
4191	10xmedwhtoce80o46kkpw9zv3r	$2a$07$XTJhqlVKe.J9aKAJ9cz7J.r73N1t/twREzb73Q.nB0EbAeMir1UQG	33	2013-08-03 00:11:44.786087	2013-08-03 00:11:53.861186	67		0
4192	10ku4vj3c7rkkhmvqpq4jrno8l	$2a$07$YqRZAdycTPU96eqWJd6ATeFA/DU.wnDk18c4yY4cqwHzJXnTJoWWm	34	2013-08-03 00:11:44.807778	2013-08-03 00:11:54.204608	67		0
4193	10ysqtomq64vpytj0b2ut5h9rf	$2a$07$pQLmspKRp1G/FWrLi5Byuu6MK6qXG/FDEUkBqhFc6tPk7jmsDcMPS	35	2013-08-03 00:11:44.831524	2013-08-03 00:11:54.376245	67		0
4194	1037kcmauuu0lglvxxb9kc5b3n	$2a$07$4./RHHCr9Ec7BA05Mg4RSuFnLtuawwf10rif15IxFsZv24Hcw5VSa	36	2013-08-03 00:11:44.853012	2013-08-03 00:11:54.536156	67		0
4195	103c1pgtg4abi2x6yi6sad9iai	$2a$07$rIhVbpppSmp9RkFV9plPBuEPItW/Z2M0/6NW9lLnM3hIIQp.kesta	37	2013-08-03 00:11:44.874504	2013-08-03 00:11:54.832317	67		0
4196	10amch83nkgl4vbk9wb2pprjwc	$2a$07$mGN3a8/O5zPDfAWKg4BpJeePRpNZOASzHdtjjVqEHs2dtPobyRB0K	38	2013-08-03 00:11:44.897249	2013-08-03 00:11:55.011314	67		0
4197	107bjmra3l81eirex6bfcd1xsi	$2a$07$EKe.AvYWOussu20VIn7X2OTNWvWAhhOegIpVdOUke7RzKD/A9SezC	39	2013-08-03 00:11:44.920437	2013-08-03 00:11:55.232413	67		0
4198	10lb0zo8moxufuzy7p290nm1c4	$2a$07$BNVHzQ5GWudxwOoF7zns5OSUh9/ntE5f2i3jrujV14T0jHjOY7fMO	40	2013-08-03 00:11:44.942132	2013-08-03 00:11:55.424516	67		0
4199	10fpphk9mdyyqjkpeuonqfsbkr	$2a$07$Zhp30FjtBaQwXROzi0EDou2ASOvQOd2taiOdCD1Xhla6xgqR8MuJW	41	2013-08-03 00:11:44.96369	2013-08-03 00:11:55.707154	67		0
4200	10972zs1mlsbonmeufprcjyv9i	$2a$07$9l3BAZZf02M0X14egNg/o.x3.5VRIsvrOrUOjDeJH6gQFXJmOf8qG	42	2013-08-03 00:11:44.985514	2013-08-03 00:11:55.810232	67		0
4201	10krgbl6fd2kxxliq12xvr74tb	$2a$07$DEdXeu6S26BwTPpvuTGmgOSTcop64bfVFKwIweKIH496t36dcu5Em	43	2013-08-03 00:11:45.007076	2013-08-03 00:11:56.149935	67		0
4202	108o4p708qi1jppydx6vljudrk	$2a$07$ZyMTUEfdMptIkXY6uIalDec3MxFSjQS5mXwwhBtxbx79AsntM5x42	44	2013-08-03 00:11:45.02962	2013-08-03 00:11:56.513004	67		0
4203	10wzntzkthgsvf7aepcu1fzlcd	$2a$07$d.auu5ZGNrIiGhgWYscY4uohL6I8o1CCgxOxISScf.LchCwr2dbK6	45	2013-08-03 00:11:45.051058	2013-08-03 00:11:56.870836	67		0
4204	108c7ppof4jkg82ts4ca39oimk	$2a$07$Ta7blg7EF2ZeoPN60WpjTuIMZ8GkBPOAxe9M0673ti.OqTY6PmF9O	46	2013-08-03 00:11:45.072296	2013-08-03 00:11:57.071663	67		0
4205	10djjv6dimllgduvgq1j54ys67	$2a$07$AD4yBZwbCdaCmivSGgHDL.Q1JxzvAtMYjtvhxK8eXKnkR9Rjz0.gy	47	2013-08-03 00:11:45.093852	2013-08-03 00:11:57.421629	67		0
4206	10tr4aq4cdb8hx4l410gegwazo	$2a$07$wG..xPSr5uyCn.50fEn5COdfhRcvu3sJvDQykRcArrDbDKGccTDGu	48	2013-08-03 00:11:45.116924	2013-08-03 00:11:57.783339	67		0
4207	10jj304fyx7j7bupkbpwoor7um	$2a$07$C/0FvSZH.FQnctvv2KrCW.dxdj9l4qk44iIjOpT17ZyIfH64b6Dxa	49	2013-08-03 00:11:45.139723	2013-08-03 00:11:57.925668	67		0
4208	10dc14qmynzvwz41h1x9vgv1xb	$2a$07$aCHJgnbXz7GoHoaAtOPQXeSuwnFC7AF3wFQLVKD.mXYL8wgFwvkuq	50	2013-08-03 00:11:45.161795	2013-08-03 00:11:58.059508	67		0
4209	104cc8phavbwmsz3jajtop3rks	$2a$07$uoU9qST8oesIntzJsUt4fuE9Rxk4HRn0XuC6qS4evjb.rwZHWy0/C	51	2013-08-03 00:11:45.183633	2013-08-03 00:11:58.185399	67		0
4210	10jfz2xa1oaqlo2avp4vor159z	$2a$07$1Do.J/de7PIj8pOyZA7NXOzWVDa5ZCsCYRAqWC7T9G2rhdhDmvBVm	52	2013-08-03 00:11:45.205132	2013-08-03 00:11:58.327226	67		0
4211	10h4iqxf46wl9vqjfaao3v6htk	$2a$07$crRUKvCF4bG5VJSVhCWbhOXFZfGCY5usg1VIFxOp3pBKXxUNNk1a2	53	2013-08-03 00:11:45.22659	2013-08-03 00:11:58.499682	67		0
4212	10be0ri2lgkjbobvqsfaei1ikn	$2a$07$TgOZIvRTxHXqMli6XbpOSO8JeDVgZZfe/Q/l/H3GbSMr.rhY.4m2.	54	2013-08-03 00:11:45.248359	2013-08-03 00:11:58.688823	67		0
4213	10in77jgakelt7yjs70gnf83mj	$2a$07$NmzeP1t16BdvP.n.uV52SOmsn7BAYTxQcVIBa721ZL7JXUPGaZn0a	55	2013-08-03 00:11:45.270223	2013-08-03 00:11:59.06174	67		0
4214	106tv453tpeke0ka7hp8cukpkl	$2a$07$F6Q2kQ2gfEqMfFN2VGStru/bWYFbhlh7dl6et/bPf9IbrUO0DBl9m	56	2013-08-03 00:11:45.291546	2013-08-03 00:11:59.419347	67		0
4215	10vlak8c3uyihwp3beblsvbtlt	$2a$07$uk2YpuvK9.zyPS.1ULYTdOnpSHF/E.GyE0KminGhCvj44Jf/3IQm.	57	2013-08-03 00:11:45.312818	2013-08-03 00:11:59.790003	67		0
4216	10usisfpx84cnodzq6ixr6rrqr	$2a$07$lhab23.Ngy.n3a3TQPTn2OxhqnLJEjYxIA5azYmss5ST0Oz2w4ANm	58	2013-08-03 00:11:45.334352	2013-08-03 00:12:00.158188	67		0
4217	1013aweo6qzrba8a3627zedicr	$2a$07$OgOQ4o9kuTx6zYLTss8pPOxGObrmxmm2KjJdoAzjDfDPxMFZ6Sf.2	59	2013-08-03 00:11:45.356485	2013-08-03 00:12:00.438076	67		0
4218	1082qq2w0jl5werqq00pdfvdpt	$2a$07$g9BEthJYmu6BEJizVfu.D.BkVZe3kMH/Jex6U8xNpOXj.znEHViXu	60	2013-08-03 00:11:45.377978	2013-08-03 00:12:00.593536	67		0
4219	10m6z080h2kkgx25aq7te85cmy	$2a$07$Ub6LaKdyjgU82b635YnKJ.1u7hJ2w8zlL8RSBpsqF0UkoKdUU/ZN.	61	2013-08-03 00:11:45.399304	2013-08-03 00:12:03.162259	67		0
4220	10u1wj5ydop20io2ajrorvc91l	$2a$07$byn2OjCuXSMN4dSIdiOMRuhqKcp5MubU35hU6uh3PHMUZ8SuYUaxy	62	2013-08-03 00:11:45.421138	2013-08-03 00:12:06.153857	67		0
4221	10p9m4cl3lbmkh36808foxktfx	$2a$07$f/cOT92ZehahAgwyZZ.s0uhJxYj8xyJUBSQnawVi/20e.dR5wvjnK	63	2013-08-03 00:11:45.44312	2013-08-03 00:12:09.254886	67		0
2962	10y23838g25vgl3rvv10s4itze	$2a$07$GPapOSFXu.G0274V/55nv.TLNN4NxP0a9sQt/n6Yjlf5nFIax6Qy.	1	2013-08-02 22:36:44.035314	2013-08-02 22:36:45.58954	48		0
2963	109dpq8hxbwihnrn2xbyey85tq	$2a$07$2AZr.qdKdj7fjIRiMjLVL.fQIlPmzuciYX/DnToJltw2vBWBcd3CS	2	2013-08-02 22:36:44.063865	2013-08-02 22:36:45.728243	48		0
2964	10rugpdhkl5deucugiz607n6b6	$2a$07$cvjJietIJTfeb4jLiGtYr.eZqrnxTyLZzn6fyMnBJ89WuHrDb5Vze	3	2013-08-02 22:36:44.087495	2013-08-02 22:36:45.862555	48		0
2965	107pmhr2n39e01snwqdh1gdgyy	$2a$07$fY55gpahximJZzaK4Vhj9.6RqRTvfwatpcV3oeWIv2XaUp369aAia	4	2013-08-02 22:36:44.109088	2013-08-02 22:36:45.991731	48		0
2966	108a0jucbs1cewndk63vqn6xz8	$2a$07$7j00UQCq2VEnHdyWovizLuPBR8oqJwvCzvkahLm36KORjj7hzDq6i	5	2013-08-02 22:36:44.130736	2013-08-02 22:36:46.125873	48		0
2967	10gy6rpb7d1ojhbl6s5hyrv5ib	$2a$07$lr3StNrylPMgELxpMM7RLOMMsULcGTeR/ns3dnQIA2PbJQMOj5pW6	6	2013-08-02 22:36:44.153742	2013-08-02 22:36:46.24598	48		0
2968	10yoagb2y6chsjg9sr31tccnux	$2a$07$FMR97iY8TQIb9DZE033xHuRtfoiLYnD8BLtbbdtyh8eLURHSEoCGS	7	2013-08-02 22:36:44.176339	2013-08-02 22:36:46.378858	48		0
2969	10dqbmbgu7ljvlhnvl46pxxoyp	$2a$07$82ZnobttnH1viuEvCymGaeJpVWpDdO20TSKw8LItj3YK.hz5ZIahi	8	2013-08-02 22:36:44.198161	2013-08-02 22:36:46.506775	48		0
2970	10pipnu5tmbidoue0tfwtq84lr	$2a$07$CTf.5YoiePaafjjW0ZjmEuyMn0307v1QBMYHySAUEg4PLIJUr0RL.	9	2013-08-02 22:36:44.219775	2013-08-02 22:36:46.622088	48		0
2971	10wna3efi9fri5pqis8055p2af	$2a$07$nwds3nO4s7KMXWZZAhDPveZ6kcYGERzI2LJTlavNn2u7qvXrkPf.i	10	2013-08-02 22:36:44.241733	2013-08-02 22:36:46.761601	48		0
2972	10cbujqtn5rusrslt7yd2qzt03	$2a$07$U4JAD7iQshGRnOjanpJPTOahISnc4fdJA/oZscDSs7wDk0ytKvWtm	11	2013-08-02 22:36:44.263556	2013-08-02 22:36:46.889702	48		0
2973	10nb86gg88hyu0ycton70hwn2k	$2a$07$vx0M4Vov2Yut5en4XJjhju0qYpNS.c9HqBrt7xInsO5PD3BfCI7Pq	12	2013-08-02 22:36:44.285031	2013-08-02 22:36:47.032006	48		0
2974	10y8sb1i8yn4infmkn470qnmxn	$2a$07$bPOO6B7lARKfxn0IzAhYUOHzNYr8o41wGMIs3s9DcBWzJzDiGASAe	13	2013-08-02 22:36:44.306607	2013-08-02 22:36:47.158819	48		0
2975	1079o1rmpgqcbybgopi3ex4pj6	$2a$07$3n8/6vugKCtoDxjOrId8VeApu.Q0zV0zGSucKsl9LUOuen685zIja	14	2013-08-02 22:36:44.328109	2013-08-02 22:36:47.283013	48		0
2976	10umr51bbec0m5x93o5f60z9lg	$2a$07$WitbXoKwNit9rg1QF2SQTur5/vqn9q04Wo/F2o/WYni7bLq07d3VK	15	2013-08-02 22:36:44.349772	2013-08-02 22:36:47.41965	48		0
2977	10anb1veftuvrgnsd4uo2gku9d	$2a$07$2Q2LTazZO5jvdojLHkCTl.dMRRih8f2bBi3jszjuODpC6P.iBS9n.	16	2013-08-02 22:36:44.372466	2013-08-02 22:36:47.55327	48		0
2978	100bbl1zydkin9zeyflweww216	$2a$07$n32K/EzETdzOOjhguWN8ieaoTND7OpHMfzy.rXgrSXonj6dJNPSbC	17	2013-08-02 22:36:44.393975	2013-08-02 22:36:47.680148	48		0
2979	10hr5ie8e1r48n1w4p99qg5bz5	$2a$07$6.Etf4dVp8eN6YvAOSTKqO/NgunNo.Ae7TDbMfzK1GHrNdoAdsF/u	18	2013-08-02 22:36:44.415589	2013-08-02 22:36:47.814009	48		0
2980	10p75h8f5y04c84gc8hcw7rzwl	$2a$07$w51LuQUtNjm7Nx4brq4eMOBL1Z1xqaIQInWKdzJC6gg1euF67VME6	19	2013-08-02 22:36:44.43727	2013-08-02 22:36:47.9499	48		0
2981	10exsdce1c5yjfrndnnctgjxt1	$2a$07$HkGlGQIfr0OclwENIwDawepbNQig.QA6d28HOtfnZ0MvtrDKTMjem	20	2013-08-02 22:36:44.460646	2013-08-02 22:36:48.083797	48		0
2982	10mrxyadeh5ganc0kpvytzixy2	$2a$07$.rmfjGhx6X9o3DEyTMJOeul3BLgHIKLJ0oUt.8W3EQ9dNpSmt7CSK	21	2013-08-02 22:36:44.493454	2013-08-02 22:36:48.227883	48		0
2983	10cpmvse15x8qvpo9cmhla2zud	$2a$07$149T7X8VWH2dwQn/sceNGuULyLHkKLc6MErdK90tk.BHFo8jc6B0e	22	2013-08-02 22:36:44.524038	2013-08-02 22:36:48.369546	48		0
2984	1083dczpncubnlgvbpwxu9map9	$2a$07$9WLpJq1rzcF7nzKXsx1VB.yy90N.sNEmUCC8YeqMM6uRq.9lki8ey	23	2013-08-02 22:36:44.551731	2013-08-02 22:36:48.503188	48		0
2985	10gz3uyss437tbxa3h0nhdrn8t	$2a$07$RYLgP7SVBVBXFTLIEvSpHeuk0nFzob.QaeRtMthY4GCf822YI/Voy	24	2013-08-02 22:36:44.573063	2013-08-02 22:36:48.647304	48		0
2986	10auz5epqvqzypvcthxho67hih	$2a$07$B.NpUfTRES06R0ZzbBGMteKjVSA.X1GlnYi.HQffiN5C1Pd66G.Zu	25	2013-08-02 22:36:44.594382	2013-08-02 22:36:48.78875	48		0
2987	1014jl9t7ipve2w154231nxdaz	$2a$07$Rz4WemD/IYNQhVHmErVgqOjbQ/HjjZtUZqCYAYJd3GQxVRz8Xda7i	26	2013-08-02 22:36:44.615871	2013-08-02 22:36:48.921995	48		0
2988	10os5bhtq1mkinyshvh3s5vedz	$2a$07$lGJzyas04HEKwZL2xk34xep4Iu0dSV6412jXouXfIG0QpUCF1glFK	27	2013-08-02 22:36:44.637222	2013-08-02 22:36:49.053131	48		0
2989	104a6kt2mz34nekix993u5lfea	$2a$07$eF8oFol/mdeg6GwCmhHY3.ziQiDI8w2YelLHJ8GMuNam8Sdv8KSX2	28	2013-08-02 22:36:44.658703	2013-08-02 22:36:49.185762	48		0
2990	100gk3cg6bmli6l2wnd0ldkhja	$2a$07$kytikoNBbhra/BCEhn/a/uR9YyGsghLXK/fBkHjr9c1oPeURv3Cuy	29	2013-08-02 22:36:44.680067	2013-08-02 22:36:49.315774	48		0
2991	109c6t1uq3ahjwmfemmok1ehil	$2a$07$.dYIBFwauxZIScMzFeq5Be7agkbwTtUxFeK6wUpoFLxL76SV3LBiO	30	2013-08-02 22:36:44.702771	2013-08-02 22:36:49.44994	48		0
2992	10cy69g25eraiglv42g143rz0d	$2a$07$t8rlTysvBhcYvVo4ouYFG.obPq.6GgJmPUqXC2WiO/JPsc8cFmuZy	31	2013-08-02 22:36:44.724454	2013-08-02 22:36:49.581843	48		0
2993	10r8ccoeph0u3jgfz5ms2vi1jn	$2a$07$Lej2Xt3d/biTALgasnU/BeZ5gBHe5WzkNxFSzvNxeddguMAgGyMMC	32	2013-08-02 22:36:44.745999	2013-08-02 22:36:49.70033	48		0
2994	10bcostohlr2fscvrv3dxx3vbo	$2a$07$sUIcemgf5/9fLP3GK9dyQeohQrbkpJsbDDl.62Czpzs39KqURiZ8m	33	2013-08-02 22:36:44.767819	2013-08-02 22:36:49.833457	48		0
2995	10khtwdzujw80ab3bfa1x12qgs	$2a$07$0ROaZkd/kHKJYPGL5dr7OunpgSPQnjyKCZnOO6Ucx7/UQzn3JD1Yu	34	2013-08-02 22:36:44.789276	2013-08-02 22:36:49.965992	48		0
2996	10zfmbvew3ny1up0luofgf2846	$2a$07$q3x3/hSk8TU3XHDfawZ15OioO6ynpt6GkaqXAiyQ.GdeI.SABAMDe	35	2013-08-02 22:36:44.810703	2013-08-02 22:36:50.098335	48		0
2997	109epycsn2tuuhblptn54o41ut	$2a$07$nj0or/yNJyFjdo1UM3.KIuFW701ryGfubSgRj9dOtazuTblJ2RXn6	36	2013-08-02 22:36:44.832102	2013-08-02 22:36:50.226802	48		0
2998	103quh9ieyrtzyhi73cl6d1nxk	$2a$07$oEQnuZTH9GT6E.3.2BtFAeL.iLTf8rvYIGfm4mH/qhEYPYP5E8tC2	37	2013-08-02 22:36:44.853661	2013-08-02 22:36:50.347652	48		0
2999	10uxnxju91htivf8x7mh8mox87	$2a$07$EGdBIHJ0B5eMK2e96kFRhekChddzMQCQmuxONv0H7J7XzwZS2mLwC	38	2013-08-02 22:36:44.876784	2013-08-02 22:36:50.467776	48		0
3000	10dq7id9hd6yhdr9et0mjjmnhd	$2a$07$1MFM6YvL1qE3/8DhPIweK.LX5lHeuoOiz4nAegecv6uPj5ou0G26u	39	2013-08-02 22:36:44.898473	2013-08-02 22:36:50.567623	48		0
3001	10eri8jh248i75ks9nou1n7ta2	$2a$07$SgWawj8WoqtI7I8F7KSfW.uT34Gx.ML5VBDj5dk3//E2mO3yw8Eri	40	2013-08-02 22:36:44.920733	2013-08-02 22:36:50.675523	48		0
3002	103n2u28qc9bqfynd4j384j4d1	$2a$07$b6nCSjL0PymWDrQeTDAfCe54JrNLC2E1hu1W598DhX.56s1iGpisi	41	2013-08-02 22:36:44.942482	2013-08-02 22:36:50.811213	48		0
3003	103sloa8yevtbeezjwnmej2fp4	$2a$07$YgtQqmemhS3P3m01F.w8qOTKLI8hbpQv2a.6MbKfycagToNnJEU9y	42	2013-08-02 22:36:44.965382	2013-08-02 22:36:50.958218	48		0
3004	1028z671l5w2inlt47tqrxp1zp	$2a$07$v8LBw.Gwdv4e7GWXlVhYnuDGXZjBMTGYA/twm5Iov3uXujNq7gekm	43	2013-08-02 22:36:44.987055	2013-08-02 22:36:51.094041	48		0
3005	10qu07avigsrja52795fyuoy0f	$2a$07$mxZ2LjMlyJenrebzxIJAZuY7Len.qI/El1.uJl9VA6IfScZqV5dKK	44	2013-08-02 22:36:45.008745	2013-08-02 22:36:51.224216	48		0
3006	10nvus4d080i9tzm64sf2oknob	$2a$07$KEMtLV3hgHajlyNFcMLzc.povew4wR8cCKFv6g/5rpsSnqYtfP5gu	45	2013-08-02 22:36:45.032917	2013-08-02 22:36:51.383842	48		0
3007	10pnrmntnj35n0udrtdiwzfc1k	$2a$07$QQjpeGnzbzcXqwjjIePOS.GJRouCguTsjcYB8ckBRmd7jQH8g7Nce	46	2013-08-02 22:36:45.056028	2013-08-02 22:36:51.541363	48		0
3008	10dzlqg5gba1zsjoaj1oc3ctkb	$2a$07$PZ2Jy0gGEgivwYhvhKmjE.G0C3xwVsESi4/WrT0yD3r7kFwZMy4.C	47	2013-08-02 22:36:45.080741	2013-08-02 22:36:51.687146	48		0
3009	1020bkl9s7voa9bmobfuwahqne	$2a$07$.v7IVdO6XmpATA9yzQ.dJu7yt8Ao8mu0WOh9/WCFlClUCX8MR7Q56	48	2013-08-02 22:36:45.104729	2013-08-02 22:36:51.821408	48		0
3010	10gn8gjt9nef5g5ie7ilw77y00	$2a$07$q2rrsySHauQN2xMXaMhp6uGoW3wSgRJia0VGNWBDmjxwoDN12ad2m	49	2013-08-02 22:36:45.127821	2013-08-02 22:36:51.954701	48		0
3011	107lbwvi656zimvv90qaahk20p	$2a$07$MA.6meHDTHcQd3pUt0.MV.hsc1T.d2Lsms64YQLffcnTThJ6tvcyu	50	2013-08-02 22:36:45.149806	2013-08-02 22:36:52.089253	48		0
3012	106xe4z3v48d299tyudb3pf1d6	$2a$07$7GIVCmbdyM0QCgDr0.TcVOzy2e..m5ukdPMguQsUZLkxfGNaSeT.W	51	2013-08-02 22:36:45.172055	2013-08-02 22:36:52.220676	48		0
3013	10k3oylryu29wz0jawc7vtrwhj	$2a$07$WBK2QOeF4ggunEXhk4rU5uvrU1K5qsY1WePaFQ4nMWifu1/8I.8ui	52	2013-08-02 22:36:45.195964	2013-08-02 22:36:52.338532	48		0
3014	1044srvk9gzinilxrgipkvqn5b	$2a$07$Ypz3BYAgSKnV7.bgHsvApO6P4xAAvSlCeGSexpNhExuAzJUh4gm.u	53	2013-08-02 22:36:45.218733	2013-08-02 22:36:52.470534	48		0
3015	109beudhztnulp50flul2sug2n	$2a$07$50vQI9kxv1yq6Atk8DTn1.YD6ek5vodYQPIvywZCsnML1lij/lPXi	54	2013-08-02 22:36:45.241554	2013-08-02 22:36:52.606001	48		0
3016	109q5esib001cqfz3yv5hv97o2	$2a$07$NzF.vOW6LLHNTWmQzKEaOubcL0.PGLa1O5/09yXyCHtsAcmaHuMeG	55	2013-08-02 22:36:45.26523	2013-08-02 22:36:52.750258	48		0
3017	10hjbvuh49p1w50w4847c0u60o	$2a$07$j7yOXg8gsZc8yJexTuKwN.VnKDWiJNe63krkro/S2oEqn4TbdMZ/K	56	2013-08-02 22:36:45.288036	2013-08-02 22:36:52.879793	48		0
3018	104xkuh35smhbvl3lt04whz3ov	$2a$07$QFfYPDLUJUfHMOaEsHhtceKAnscHj8leB8EYQZFWYJwDwETqXYdtO	57	2013-08-02 22:36:45.311566	2013-08-02 22:36:53.013947	48		0
3019	108ro2atlmewd0ykkzcs8bm5em	$2a$07$hlr4Ku6DqSuBy91LZfoTkOmfqGO1qbzbOMlNfPuXAnPdBYGDqeTeK	58	2013-08-02 22:36:45.333675	2013-08-02 22:36:53.14408	48		0
3020	10yvzhq5t070xrap9kbxhhkjfb	$2a$07$p/aN1N2mHkNIPYbOVjG/HuCvMorq5U3uSddQQVs5/OFp9NgXSFM2G	59	2013-08-02 22:36:45.357266	2013-08-02 22:36:53.277808	48		0
3021	10gnnb0ormkuzj0yvbf6exc5z0	$2a$07$dOVnB2xMwFaCR.lW4CWi8ehbUF2U6To.z0tFxRtL/wZb4WJ9wi/B6	60	2013-08-02 22:36:45.380277	2013-08-02 22:36:53.418232	48		0
3022	10jm0j0swwbpaq4ojcnglqwnzp	$2a$07$BtUi/iU.SHt7gh1b8sQLlOmkJv5i.HYUSDl.2LysLll.rduGOJbme	61	2013-08-02 22:36:45.403676	2013-08-02 22:36:56.10701	48		0
3023	10vjvz942ce0k3d42mdkkk2b6i	$2a$07$7dGAfrctSgoFiAM6XfOCJeh03SquKCcDp8aDtz43VX6WTpF1tJjnu	62	2013-08-02 22:36:45.42664	2013-08-02 22:36:59.281033	48		0
3024	10558upcvivpvpdhcddvi76egx	$2a$07$IRNFnew99rF976nMH.Rh1eB7S69tVXlRffLq0hv4ICWzCvatiAjkS	63	2013-08-02 22:36:45.448656	2013-08-02 22:37:02.501837	48		0
3466	10tq3gmdfb2ei777hb1ff6dk9g	$2a$07$QaL6hu9GQ6a5t0FxGwnxZu4ynheL1IO1gBFUl.xoRpntlI6w7leVK	1	2013-08-02 23:16:44.057995	2013-08-02 23:16:45.883935	56		0
3467	10p3xvu3x6cmd9rxr50al8nlu9	$2a$07$ItxvcNIysMaGcdzFp8O50uQKIFtqfdQQmkRE0gEh0VEqPkIcvIQny	2	2013-08-02 23:16:44.082206	2013-08-02 23:16:46.290446	56		0
3468	10ojgg3ccvy5vur306hoh9icuw	$2a$07$Vq0fe4UqKae0StdscqkPvuFpLgVho7FQFAyUwVeGh9rrWw98a7mme	3	2013-08-02 23:16:44.106131	2013-08-02 23:16:46.477853	56		0
3469	10ou2do0x9jmbv3uyxcemk7ncy	$2a$07$Uw.znJHA7kBFKyGkifxwcuvNPDE43hUiRpA/HTb66Rm0sj2PcBNZe	4	2013-08-02 23:16:44.129935	2013-08-02 23:16:46.624853	56		0
3470	107yrrpkae5u5qus1dzk0606qb	$2a$07$pgwHE7t1SCc9HijzjLbSO.uJZTxRY8jkCx7arvUDEjx26YrZISjza	5	2013-08-02 23:16:44.165315	2013-08-02 23:16:46.782184	56		0
3471	106e3qsnsjblnyerh6afso30vr	$2a$07$PNOqvETVvHn8W11.dThJeOIN8amxvNVV2tPN/LNZhC0nhGkou7XI6	6	2013-08-02 23:16:44.186913	2013-08-02 23:16:46.927914	56		0
3472	10m1gvwyvepf67afntn332fgov	$2a$07$Hk9UgwMsOovbPMC1pUsNWuCBFORR/6sTMdsEcQFcJC8RL/Xz4iR86	7	2013-08-02 23:16:44.208937	2013-08-02 23:16:47.230365	56		0
3473	10snrvwbczwwqzh1sti2kphecg	$2a$07$CKgOgJ6coDF8hFHRyjXKAOQmJzH7Hn9a/WPAVxn6dcSWhP4kFw9vW	8	2013-08-02 23:16:44.23083	2013-08-02 23:16:47.400797	56		0
3474	10ia41n1dwbj4sc5csu88ynjsz	$2a$07$jZM4W1qZlLTRRKwO3H4DnuH6X26gyyXw2ju/H/aIj4FfvsdgS9fQK	9	2013-08-02 23:16:44.25265	2013-08-02 23:16:47.643071	56		0
3475	10haakqtcshfcclsmtpbdb59wj	$2a$07$sfjEWZpzaTP/eo2RuCkHhuy8epo.Z46M9JAnXj9nTSemqbiO6.fYC	10	2013-08-02 23:16:44.274091	2013-08-02 23:16:47.778182	56		0
3476	10y77v8chsapanqq81dombox82	$2a$07$ORD.PL9aPA9eJ/qQYzVgMOzmt/gw7ll8XJ0QShvapmkV0wuEJqyb6	11	2013-08-02 23:16:44.295295	2013-08-02 23:16:47.91791	56		0
3477	10tj8zbfon6r2o96z87g7anifv	$2a$07$0Oem6rbmPyP6B67XencYU.5IrIqpAdAihGx0FalfX4BZISFbzHGcC	12	2013-08-02 23:16:44.3168	2013-08-02 23:16:48.06108	56		0
3478	10zpqkkrzib13agf5akykr839j	$2a$07$lNhyR7fOkKS9NreU10h3Lu4YSqlvY7D13BCZlBK.e77.eEwfuaWH6	13	2013-08-02 23:16:44.338201	2013-08-02 23:16:48.276769	56		0
3479	10s43mcyn4ry9ks5dwaweroayg	$2a$07$8rp36KgRt5ZNgZqp99ajf.Erja6pPnPggzhjX3jSW2LDAiWx59jxa	14	2013-08-02 23:16:44.359783	2013-08-02 23:16:48.45834	56		0
3480	10gnazc647gw7zrijrly31mw6l	$2a$07$5evkh6Bk9Kv8mPq7KXMY3.MsTAtTBqtpbJidk8Cj8GoxvOp7FST.K	15	2013-08-02 23:16:44.404137	2013-08-02 23:16:48.747823	56		0
3481	10uw51pog48a18hnrtw00uzstc	$2a$07$l2Gb4W1z89IeMqeI8iW5suaF6ebX7dn40nnRiP0i/nGaGdDqqnx5m	16	2013-08-02 23:16:44.42572	2013-08-02 23:16:49.126445	56		0
3482	10fugewud4huy0oehy633nnqq9	$2a$07$szflYmMozVTBJeu0XYy8NuEOILa634k.20Yok2XPNa4rpK4nu4NzO	17	2013-08-02 23:16:44.447058	2013-08-02 23:16:49.288875	56		0
3483	10bpwmbjrut1rs4q7tbfi80xlv	$2a$07$NHMt0HPZhnC.tad1RZA0ZOPNelJh5HS7stgJjIrPwKRurBLAJP7J6	18	2013-08-02 23:16:44.468424	2013-08-02 23:16:49.426558	56		0
3484	1031rllwsvh6mddfs6ffvmzn05	$2a$07$ip/JIF5CS9xf7hmnLHwfe.vwCaYGXwRHlQEYFsHYWWoykm1pZtz8G	19	2013-08-02 23:16:44.490266	2013-08-02 23:16:49.812341	56		0
3485	10ki2ud6u6ffgfavi3tgtn2ed3	$2a$07$TmsTieMBPfE1TxamyDC9.uDxSSYWNYeYEMGWQyhM8.xFoLa1F9TIi	20	2013-08-02 23:16:44.511842	2013-08-02 23:16:50.188357	56		0
3486	10kbbj9r3c9z86yqdmrua6iz9a	$2a$07$RAq0uT9wZtZ.MP.gy66CvuZHxL1W1I89ei4.hOp2cfTnuSAqgLkqq	21	2013-08-02 23:16:44.533425	2013-08-02 23:16:50.550106	56		0
3487	10ecgw8ln5z3dq7hor945x092g	$2a$07$iSC2Cbs5Q8Rbo86CeQ1WaeHD7g3hzWXT1XPF3MawrhPKWdFGZlBQW	22	2013-08-02 23:16:44.55505	2013-08-02 23:16:50.936717	56		0
3488	10raklr0hirgs9ar8a9de62zh8	$2a$07$9iqR6aNtHwsQH6LyEOyg2OHeEr9qsQxjYNLdooKX.hplgFLSkRHaa	23	2013-08-02 23:16:44.576561	2013-08-02 23:16:51.296187	56		0
3489	10kww4o54zaqad5ywy2n3u5r1z	$2a$07$mbpb4XcJrad1t3Au/eN/luh1wYlcTO4v8Qv6HvG/zPQRx7xQICELK	24	2013-08-02 23:16:44.598291	2013-08-02 23:16:51.471998	56		0
3490	10ktj25eouaazpl1gnlj8mwop3	$2a$07$oJuMM1YAJIZPjegSiu5c9OLRj2v54Jcz3JKWgAaeegFMEfXOUmCBS	25	2013-08-02 23:16:44.619974	2013-08-02 23:16:51.787603	56		0
3491	10h5qxwai1fdzk8by1ps9y128k	$2a$07$BnR78L1WgLungdPMnQHBKOXT2hIlYjVYT5Qy6zjjYdqFi.q6SO0b2	26	2013-08-02 23:16:44.641582	2013-08-02 23:16:51.981686	56		0
3492	10xk20fk8vnc1ycidfov9dlu5s	$2a$07$f1X7Sy0K9bZef4aXp5FdVeTmunsa0QzQ1efTrVKiEhCFwLOJw7Mzu	27	2013-08-02 23:16:44.663054	2013-08-02 23:16:52.295055	56		0
3493	10iqs8r06f6qubei50zn2nc3az	$2a$07$j2ClM.HE5lfYXJUQ/7tpK.suLZ3Vqdh5ILfz8LIwx8EpId7z1emMy	28	2013-08-02 23:16:44.68468	2013-08-02 23:16:52.568335	56		0
3494	10bxi5g7peatnu0s5s6ob16a51	$2a$07$svt.Mq2CypjrzWX5aq9tVevKuyNxRhZ8S0wC7k7gbFOoicdP6Jtg2	29	2013-08-02 23:16:44.706435	2013-08-02 23:16:52.761742	56		0
3495	10hyri6kjxyz4wusvk31m3rurj	$2a$07$lyD43iK7SWSllV4.0hon1eizyoDkFhcX573bGzhihXYmHQKICXCTi	30	2013-08-02 23:16:44.727778	2013-08-02 23:16:53.058328	56		0
3496	10s7rb7jz0v6wkyi5fkopavax3	$2a$07$8aDdxv1NR0mtPCv1emat3uRHF5LbknKrfLYRhu7CfrrMLwqvEgnaq	31	2013-08-02 23:16:44.749162	2013-08-02 23:16:53.194716	56		0
3497	10caucgh5bm91ox405zpj8nclo	$2a$07$/jokSGqCSEN4bqT3f3Pq0.cYVKUJ38RaNucE2upnsYKmTBNMQwKc.	32	2013-08-02 23:16:44.770876	2013-08-02 23:16:53.338662	56		0
3498	10d7ow8qa12nzdog6ajyznxyyg	$2a$07$FIAs.K.9yBzVfrfGrrstBOd1psT9YU5HVX2BFXM3JTK.x.bar4gq2	33	2013-08-02 23:16:44.792478	2013-08-02 23:16:53.473809	56		0
3499	10y44m7stg380yd1she4oz3ulq	$2a$07$U3nuKfX6qWI6g8O4ToPq.e7Lw7KNALGAljQvQNldRd5zmK6qJ4Z76	34	2013-08-02 23:16:44.813933	2013-08-02 23:16:53.613972	56		0
3500	10yhem0n0srwei7e3rjt5tdpau	$2a$07$i5gv1JrueMtyCRUJRvSF2O.wUu9FbDDfeCohifOdebp3xwR7.fUha	35	2013-08-02 23:16:44.835556	2013-08-02 23:16:53.752708	56		0
3501	10rcx1maakrfcfzlr9znzlpl8u	$2a$07$U5uiIFhkajNnhpZ5Dh/53uoXgt48x5.zuYqKtLN755hiGcmrZeMAu	36	2013-08-02 23:16:44.857163	2013-08-02 23:16:53.888983	56		0
3502	10u1n6opw2nbm1n3t5o8pn3noi	$2a$07$8OV7VGPwCRPgM3T4Hmi3oOmRo7bmCKKh0OIxJJ5V8LWghvk4b8bpq	37	2013-08-02 23:16:44.879367	2013-08-02 23:16:54.088222	56		0
3503	10i3becpkfby9wr79qs93z73d0	$2a$07$HzFDPWs.TLJ1AXqjyNM67eu50AKErqtnHCl9RfhWDr4eKkjrisiF2	38	2013-08-02 23:16:44.902755	2013-08-02 23:16:54.27681	56		0
3504	10ovywxrlw97am5pt8a1s87tei	$2a$07$1YvtgcsOC91snLQBK1MqS.MapvHBI0AaE7E0WzHqe09T7XZ39E0ra	39	2013-08-02 23:16:44.924373	2013-08-02 23:16:54.57171	56		0
3505	10e5r70kq4jip3qaecvuvr6ppa	$2a$07$WF3w9elpFgH9wVm1ONtslOqTITZrKqa0EVsQn3ku9WfoOore6CUnG	40	2013-08-02 23:16:44.946298	2013-08-02 23:16:54.969722	56		0
3506	106guzurm9iscm34z0tnu4fgyo	$2a$07$KiB8.0mkNjXHRoIeBNoN1uUb.UQTNOfLjQ09jxQk1pa6o0qz786M.	41	2013-08-02 23:16:44.968121	2013-08-02 23:16:55.372096	56		0
3507	107oqz8nuwl7742svnhh7ahh3l	$2a$07$mltCjpDHWrZwrxvhB8wVuu/vrGqpMf7nf0IvBwA8H3RI7vKGwlXZO	42	2013-08-02 23:16:44.990142	2013-08-02 23:16:55.583414	56		0
3508	10by34lvh6e8s3rmonb2g19j1m	$2a$07$xjVRhUARSqKjZWoQfAlPOOoWbiM32vP1nG8g5kmLj7pJZm/rLnQkq	43	2013-08-02 23:16:45.011891	2013-08-02 23:16:55.975649	56		0
3509	1007y36n8mok6d3v9lsp6yistz	$2a$07$eYzKoU9eRzLyMFWJYRycJOvbNSAOFe7FnvufCfIjS1bHGxVjzZKt6	44	2013-08-02 23:16:45.034972	2013-08-02 23:16:56.37304	56		0
3510	10sploenmgzfryl2g677rf3q8d	$2a$07$6fookT07vmO9vK5QZmFti.gxf7EcTlZksNoGsBdFS8D5kZ8qgERhq	45	2013-08-02 23:16:45.056739	2013-08-02 23:16:56.784742	56		0
3511	100jvssa8hfihamdu9tbc24das	$2a$07$NuK7fzX4MwsjRLLJn3BcMOsl.rVyQtWiQllj3b1Ur/IkANCa/GkKK	46	2013-08-02 23:16:45.078804	2013-08-02 23:16:57.191062	56		0
3512	10uidu89vrbbt7wvwjxxwbzgnx	$2a$07$5MtBzNPFfbiHfhZ/W2XqgOlaLMWQEocj6To2.kK0X/rpz5scVH3p6	47	2013-08-02 23:16:45.102505	2013-08-02 23:16:57.460367	56		0
3513	10i6q2z0g2afevtvk219hmy54x	$2a$07$Hlf2nvGQbxZHr8wLCHTnGe8e1nbkjLeo4cdkYoDMn0hudGYFqSZoi	48	2013-08-02 23:16:45.127282	2013-08-02 23:16:57.732083	56		0
3514	10a9t4sggw404m645wmg365ezm	$2a$07$O7Gz/kzXSY73/X75RADP2.iuUUk482lfOL7vcYfe6xKCSa0HY0io.	49	2013-08-02 23:16:45.149763	2013-08-02 23:16:57.900852	56		0
3515	10bo4ryxlyd5e4vk4qrlebo5ee	$2a$07$RdEhPYD48kXLFFZfiyAZvexGMpTtaTQx6PGf1.ar8qRPduZsJsjzO	50	2013-08-02 23:16:45.171752	2013-08-02 23:16:58.044027	56		0
3516	10erwfr7n7zebfg2dcpvvkcmdh	$2a$07$BtADgrsbZ4hPqpiGun.QMev44aZnmF.KnTdEQNb7IclPHDlhGtlt.	51	2013-08-02 23:16:45.193789	2013-08-02 23:16:58.181737	56		0
3517	10r8vp9efbzl239biumnqp4edo	$2a$07$47rE/cNqNliRDLyG4U96AeFxip/1besXLd7uVjWODbUzotaWsOA/S	52	2013-08-02 23:16:45.215676	2013-08-02 23:16:58.444032	56		0
3518	10c4qon3wrknjnuz219jokeetv	$2a$07$WFt97T/.nINmehD63wqLaOTX6lckOMIPHXflA148IzV9.hsy2/r.O	53	2013-08-02 23:16:45.237305	2013-08-02 23:16:58.637192	56		0
3519	10rmjuebyeonro5nz1qzgtdxh9	$2a$07$bFncVEqbkw5DOWlS7rrm5O.NezQXzEQ6pGKSeJHHgg7umK0UNEyju	54	2013-08-02 23:16:45.260192	2013-08-02 23:16:59.021142	56		0
3520	10ru2br64u3lp2o6y0hdd3k35t	$2a$07$A9IAp9t8KjeFJrYQPP.F6O9HcPKsPmEqJ7siwZtqbEev//mjVm//e	55	2013-08-02 23:16:45.287411	2013-08-02 23:16:59.311744	56		0
3521	10btdvp4bq9rbo2weg8387as2a	$2a$07$V/.ND6afjAGb0ikwNQMC0eBctzIn31N9meMyM60Die.RskNICcCZ.	56	2013-08-02 23:16:45.311135	2013-08-02 23:16:59.509106	56		0
3522	106bj671hf1oyadwpxnj75iem2	$2a$07$uRc7cNIckVBOKbb7s1KkCutK/i.mA8ibx29u9Nkc255fxXEWFMBmK	57	2013-08-02 23:16:45.33798	2013-08-02 23:16:59.900627	56		0
3523	10x9byy4dujfts6skvtuwst0rh	$2a$07$itd7fRivsQgdR3DGy3NH/O1FBNQMY5rnlcQOjJ9y0gYo5QND0Kg.C	58	2013-08-02 23:16:45.360011	2013-08-02 23:17:00.166559	56		0
3524	10rr1vkjyy446kfckq6fj3lmgb	$2a$07$29m5HdavqUny94DvSAEDJuMAoO1JRPWTFfBsREfSRulDN0mhARNkW	59	2013-08-02 23:16:45.382114	2013-08-02 23:17:00.369508	56		0
3525	10w69aymv2sotut2w6knkutd73	$2a$07$Xz6i5JYdAoHpE9VpoZNsOOYhJBjx7L5EokvWmQOYlXwBUUiuf/3zy	60	2013-08-02 23:16:45.404564	2013-08-02 23:17:00.655352	56		0
3526	10xp2kke73xpbvpa9gb82sovj2	$2a$07$5UnkgqV2FGzhd7KcyNER8.TnPEYGxCcBK99fv.U663LsLbW17de9y	61	2013-08-02 23:16:45.426419	2013-08-02 23:17:03.506028	56		0
3527	104hm8ryzzc5f4dlgbd2cjdswn	$2a$07$M3VUjwkbJP8UMTHXMIXkV.0I7ILbyzGlvcbCN7svLkKQR8DLZbW5K	62	2013-08-02 23:16:45.448247	2013-08-02 23:17:06.801922	56		0
3528	10cd0xnp84zu8krvo9kc5zgvcc	$2a$07$jrvQNpwIww2Y11eDYksIyORt6a4.CudJgSpQi3elpJ6lvzJShDEK6	63	2013-08-02 23:16:45.470077	2013-08-02 23:17:09.907557	56		0
3025	10iaaidy13fd6hh2525q64z8vb	$2a$07$vOEIicXnxcb4XgvYRcQyMO/PXJEAPj5EVmX4HC2oCED0PIc0t44DO	1	2013-08-02 22:41:44.111977	2013-08-02 22:41:45.761557	49		0
3026	10u0fa8r8nxk5awe0v7d4by99n	$2a$07$OfIsU4BgMo7Ssy.NxkvnKueVPEFEROZELxWX6NQiPYv0LztV77iJq	2	2013-08-02 22:41:44.137923	2013-08-02 22:41:45.881748	49		0
3027	10mfrtsl70k206wu9sqrbhi9r8	$2a$07$cyZzB965MZwWgd/UrZxpzusWz610TOVGm3ZJU4h/7xZa6eGWjrffC	3	2013-08-02 22:41:44.169013	2013-08-02 22:41:46.022371	49		0
3028	100iscu6pq0rbeq6tgbcqzy4xl	$2a$07$wFC7KHwbtTlsT4IF1VjY5.K.z01FtHFcLLZhOV9XrGveBdzb9FlyW	4	2013-08-02 22:41:44.200151	2013-08-02 22:41:46.158124	49		0
3029	10hojvmyepqt7ytakn8rtqbuej	$2a$07$Cld3JzB/9Jx9oouXs/q/vey54p5pPieXvroKiD/PFjlbGS9B0joLy	5	2013-08-02 22:41:44.228296	2013-08-02 22:41:46.296091	49		0
3030	10l1pn3mka2obj8klyzj88uin1	$2a$07$rqMa2anncQihKm/SGdddgecpvjfojEu7ze1l.pDqRD8nKuZInhdw.	6	2013-08-02 22:41:44.25599	2013-08-02 22:41:46.428938	49		0
3031	10f28z11rta7pfc0aqvlrm0ef9	$2a$07$Zkaxm08SBaXk7NZ0i3VSVu2Dq79rHGI/gaO8XI9t6m/K.ZuDu9I9W	7	2013-08-02 22:41:44.277687	2013-08-02 22:41:46.563572	49		0
3032	108df7di914psb5p309561r3w1	$2a$07$vDH93.veSRTJ.mqqVeCyKucP/HNlwFBs7I7OLUSW1M/qMtRs/19wy	8	2013-08-02 22:41:44.303228	2013-08-02 22:41:46.699891	49		0
3033	10ou3rs9d02z6inrjm793m18jp	$2a$07$V7CjcAyypQQl3B1h2iVRF.Rwh1zgw.KbR6xGYmUUlKmz/.wZYpvy6	9	2013-08-02 22:41:44.329186	2013-08-02 22:41:46.818127	49		0
3034	10yfgz6mfq72g2dxauyonwmaug	$2a$07$Tr.6FcSG3x4HfJ9byAFrZOuAl8LhKhA0CFwVwqd/YkEFNLYPJrsdi	10	2013-08-02 22:41:44.353629	2013-08-02 22:41:46.954719	49		0
3035	10u4zwwelnjbdmx4f9fje113p0	$2a$07$SZml9TdGhMx9x.Aq9ggnDe7P4KLDzyxb4ALS91RM8P/g6wEYaIq4e	11	2013-08-02 22:41:44.376673	2013-08-02 22:41:47.096507	49		0
3036	10urp6a5usucu1fu93nnjqlbnq	$2a$07$TUdeQxRAEaIPIDTwNOeBneS.mPRQtgUqYhuDa57JQMXtYPGxIhmfq	12	2013-08-02 22:41:44.40013	2013-08-02 22:41:47.226516	49		0
3037	10vlo4d0j22e8vcdj1gwb1f2ej	$2a$07$607UCKcxPmGt13NBzOkd2Or2piTBNkO5WZttqdPg1TpQU2yeZgdfa	13	2013-08-02 22:41:44.431784	2013-08-02 22:41:47.345282	49		0
3038	10lbmdbwuce68hfiy75oentrfu	$2a$07$7GyN5HBUMev6KCwuxmBmP.9qV9pqfrkyYzwJu0nmaStjHFq.hlm1i	14	2013-08-02 22:41:44.454506	2013-08-02 22:41:47.467875	49		0
3039	10jcc642dl5k9phngow57tg570	$2a$07$5OsPkSrkALUToUQZnuZ2LO83ZXyz7I8VW8YABkQGi25OAYNGgZsE2	15	2013-08-02 22:41:44.47609	2013-08-02 22:41:47.60684	49		0
3040	101tptgwpczelopux07x453bqr	$2a$07$RUuIRNcYlKB4plhvvZGXxOrfoy9zQQR2zS2y0hZaCOswjtGMenlQS	16	2013-08-02 22:41:44.497515	2013-08-02 22:41:47.750544	49		0
3041	103ocsbch07gyt9u81j41a8yk3	$2a$07$vq0bUaYrxY1HJWRpJlRSG.8lgy/5Nvq5PIEnd1/qQAa2rCvNs0ive	17	2013-08-02 22:41:44.51915	2013-08-02 22:41:47.889202	49		0
3042	10jdn53ywqhgxwdfg3b5q62skj	$2a$07$GL07sWT9y9dsQk2MtXAO9egZ8UuaRA1TgL3.44kdSOjlmrr9ODYo.	18	2013-08-02 22:41:44.541169	2013-08-02 22:41:48.022376	49		0
3043	10bvuc170v5l0bopv26q9idgez	$2a$07$UnUz/fvKQDMP4a2ZvK2Ez.5xXcSZhTnusnvErLC50RKcdKUioCyTi	19	2013-08-02 22:41:44.562787	2013-08-02 22:41:48.151595	49		0
3044	10xb67603lgo9ydbrbmudhxwfg	$2a$07$KFXpFjNPOKA1e.wY3DxWLuAoz4QYee2y3c/02AqW5t476T9GSufDm	20	2013-08-02 22:41:44.584274	2013-08-02 22:41:48.285791	49		0
3045	10c9y0u6r5h2hs2mnqoijkbyba	$2a$07$059NbhrwAiVdlWQ3THvw9OjW7dp7qwFzDZKebnaUd0Q3cHdU3lB5m	21	2013-08-02 22:41:44.606278	2013-08-02 22:41:48.422457	49		0
3046	10ithqul347xl6x4hxu5kxfx49	$2a$07$90kTgc/ZyIAX1/ws5x6bye41BIU066aHiHpJxh5S9e8OB5QFhWS2.	22	2013-08-02 22:41:44.628073	2013-08-02 22:41:48.546846	49		0
3047	10owfp4c94fjfrqfhbyitkhea5	$2a$07$cN7jbVEqcWYwN6Ymv8aZoeBvvyeeVLviCDO1XdPrTgtkhL9.cGKbm	23	2013-08-02 22:41:44.649918	2013-08-02 22:41:48.681841	49		0
3048	10os4ouh2t8c05sh10593ujach	$2a$07$z9ZcHqQXIMM08S12Am8OQOJzjF9/V68aTx84tvHfkAUiiY6837Lsm	24	2013-08-02 22:41:44.674276	2013-08-02 22:41:48.810566	49		0
3049	10p2oryi7rfn42uj3lyo6c3n34	$2a$07$yl3FGGnRMnzT2Q0Lmhq0SOv.rX0RwlEBgibtrs0gL31MJSl/rC1/G	25	2013-08-02 22:41:44.707816	2013-08-02 22:41:48.943298	49		0
3050	109ddbkujukl7d5t3ug19gw6ar	$2a$07$Kvaqh2hMsGTWRh3y/7Q8g.F3HUMPbDdyk4w2Udh67TSb1d.twySt6	26	2013-08-02 22:41:44.731403	2013-08-02 22:41:49.076925	49		0
3051	10937j3jt4my5q2escl371rhss	$2a$07$ZV.hQcAhgO6wqVOUnWGaO.QnnUopuTnrH.Ca6TlPPFmiWDAeYTkXq	27	2013-08-02 22:41:44.762763	2013-08-02 22:41:49.20786	49		0
3052	10iszn1hnjh6eq9wt3cl0dzyp8	$2a$07$Iyunp5qIHBF9FwkybJ5i6OqPPXwXk7bkxd02Wbw.DRFajXgwqrMbq	28	2013-08-02 22:41:44.792223	2013-08-02 22:41:49.340527	49		0
3053	10fmdvqj0ogfbylzsmq0q0skn7	$2a$07$73ziQCRo1fI4CmUrQiqdUe.vVgARaagI2Dx4HVTtIXrXPcTqwSE.i	29	2013-08-02 22:41:44.816838	2013-08-02 22:41:49.471647	49		0
3054	10244fhp59h8qgvpit7li3y01r	$2a$07$Jka0scg5X5q1bAyeWZWm.OLRTSWSF83zZU3LUHL9xyKN3K5L4nxbO	30	2013-08-02 22:41:44.838727	2013-08-02 22:41:49.585591	49		0
3055	10feg9190586yf45nstsluhh1i	$2a$07$zy781Kay8KuNJV/nkPtqFeXtq/7ZN/xt58b4X9Ls4Syu2lykyajeq	31	2013-08-02 22:41:44.860499	2013-08-02 22:41:49.724697	49		0
3056	10l27c5heyvmcylzh864cuga4r	$2a$07$1OYGr./Dhbuf8nS3RBcZKOVaj2wHm27IB41HciC.GE.1nlpkqkKgm	32	2013-08-02 22:41:44.882445	2013-08-02 22:41:49.855022	49		0
3057	10yg98y20wmgll5zidit4m8ek6	$2a$07$MGKVsiz0DR0hxx0wy.qn/uba2scuOukigsQHv/yKyQr7Auj3JD6aq	33	2013-08-02 22:41:44.904125	2013-08-02 22:41:49.988282	49		0
3058	10um860f1ued455bngun90nhms	$2a$07$D.5c7RPX/j/G.G5ja1MM.OdT4.bqQxKAs5fiW4ELBsrnII6gV92Sa	34	2013-08-02 22:41:44.92557	2013-08-02 22:41:50.119055	49		0
3059	10gnjjxaofewo5cqnbs1vpddog	$2a$07$APr9GF8HuFtKQrqkmNcfmeXRSG2TAENQnZ5TOXyFGszrRruzKJgge	35	2013-08-02 22:41:44.947057	2013-08-02 22:41:50.253662	49		0
3060	1040h49z2vabrrhd8v3f5we1uv	$2a$07$Yvf./efyA5SEoFmrndP3zuvAqNnPjGEhecba3iyc/yzFYBxcG29Y6	36	2013-08-02 22:41:44.969053	2013-08-02 22:41:50.392985	49		0
3061	101jgqj95j4yp03s1atsm9t8tp	$2a$07$Aeh5CJvzOmVj9GT75pL5cOHnFTaBK9cBMIYA3kOS0snNYRhBE/3ba	37	2013-08-02 22:41:44.991336	2013-08-02 22:41:50.522021	49		0
3062	100j4gllm9h96dahl45r7aoxtx	$2a$07$uRQTCg2vgnWaCFdI06GmEeB5kboJPYK214x83R8qtsPJVS0tadV3K	38	2013-08-02 22:41:45.013111	2013-08-02 22:41:50.644763	49		0
3063	102wmywf5zfw1v8vqkhmm7kxih	$2a$07$K4pVvft2J287kysIbHC.LeBd4pW8GAHfCzVb8onRvh0tUX6l/Cyhq	39	2013-08-02 22:41:45.035688	2013-08-02 22:41:50.779032	49		0
3064	10sat55wd0bfia7u6ooz0nyt3g	$2a$07$ISwTTB0/vuapjunTNEY7/OL2ZCxClYSlzEKvTgJaUHjTUMebC3hzm	40	2013-08-02 22:41:45.057435	2013-08-02 22:41:50.914518	49		0
3065	105qa6vtqp5h5y4zsh0yz14gb2	$2a$07$2kdDMejrlBPLiCPT/TRtBeTz75AG48duLViCH0yiXd34L46/TBgga	41	2013-08-02 22:41:45.079584	2013-08-02 22:41:51.04795	49		0
3066	10gdzqlgojl75k7wmbcxqwgxar	$2a$07$TGF8zs9OeD2h9anIj70ahe35GeSX8lYmUYJt6Mg2z5xzLkmcheWr.	42	2013-08-02 22:41:45.101499	2013-08-02 22:41:51.150706	49		0
3067	10tdobuomsl7wya64ykgaaz7te	$2a$07$tA20EhNbF8K94oYH5jnxz.Jrf2rurs982UG/Qv1EXDHU.l9bJaesu	43	2013-08-02 22:41:45.125025	2013-08-02 22:41:51.286024	49		0
3068	1041lfowzp5e0p36cdxq2z78ue	$2a$07$bBiMoXvaRHDrKC7uWvCHkuQ3wOwdaWgjlYAdfGyX7litIOGkl/vPu	44	2013-08-02 22:41:45.147265	2013-08-02 22:41:51.417486	49		0
3069	10byoo05mnwjafg4c1x0n8frro	$2a$07$9sHSlTW8exCVs1kJf62PkeQOTsQ44pWfh0VnuGEyHbCghQr.OmT3i	45	2013-08-02 22:41:45.16936	2013-08-02 22:41:51.54198	49		0
3070	10bjolu3xux1le0wkszo5gz02p	$2a$07$WvGucRmeUsidmEBWKa8CaOWX5.pvl0olhyMCTPO4L0qpbBe48fqN.	46	2013-08-02 22:41:45.191173	2013-08-02 22:41:51.659535	49		0
3071	10iitsn646vqcx2ez11bqirf06	$2a$07$kEEQiP7xq8.55QqqWWB1IOA4OlWbkMcGTRkigiuoRFximlQey3ZRy	47	2013-08-02 22:41:45.213377	2013-08-02 22:41:51.799463	49		0
3072	10tkt009o06sl21yqkjskgodhi	$2a$07$E6cN2CN47sjuMK4vWZi9N.fU1tEfHaL7X.hQ2/6coPmXVwk8.7fuO	48	2013-08-02 22:41:45.236358	2013-08-02 22:41:51.941503	49		0
3073	10stqs62ut1bvvpjpda2hlsumw	$2a$07$ZJkEXMKiWJ.onXT5XWk1qOjoGmtTgfNBJd2260/ikopfP4IvAZ7DG	49	2013-08-02 22:41:45.258115	2013-08-02 22:41:52.067663	49		0
3074	10sr4sx284fgzd1mgeqhptrena	$2a$07$C2fxD3St7aMuAdbpMb1P5.39DTRWeOnwL3kPzZc4isZT0qIYDlO0S	50	2013-08-02 22:41:45.27969	2013-08-02 22:41:52.210965	49		0
3075	10ifx7dd68zvzj8jvf7cv11k0a	$2a$07$ur/OwhWYVWG4G2QRbUo/PesZiduPTzU.YIxJJ.mYARJE5k7ZhfyiW	51	2013-08-02 22:41:45.303034	2013-08-02 22:41:52.34407	49		0
3076	10uwu3yfilo9cc2cuuary1gslx	$2a$07$hEFdADavJXzRWrfsCWW6teiHjVc/JypwZQECMFlwyc7.EALxEPBEO	52	2013-08-02 22:41:45.328752	2013-08-02 22:41:52.482727	49		0
3077	10y2kcv648dvyevp36bymgkc2z	$2a$07$rQ6kYcmDP9w4OLTs4.R4ouj14AqicgGJ7h8b/4dlHFT1d4bMb5wcq	53	2013-08-02 22:41:45.351526	2013-08-02 22:41:52.594241	49		0
3078	10nwg5pqt09ndpwbj2qt0nfu1j	$2a$07$Bpg9/ttFrscO7Dd7oN4IaOAGdmdp8F2KMYILBrQNoZmKF8BfqZ0nW	54	2013-08-02 22:41:45.375531	2013-08-02 22:41:52.716836	49		0
3079	10ozulszk4bf05s4s2hulr1f50	$2a$07$yVeVQSL6Aeka8T6dgg0PTuniDKRhNt/XcjY17mjOjHQrIL1e2i0Ti	55	2013-08-02 22:41:45.397906	2013-08-02 22:41:52.85559	49		0
3080	1077n4cf5rtt46xkg2chas4pjz	$2a$07$QbYRATfMhCpeLnjT1i0oL.dYv3kfFvaAU9LVTlpwRWfT3rxp6i2fq	56	2013-08-02 22:41:45.457682	2013-08-02 22:41:52.989565	49		0
3081	10b18fuwp5cg6rrkxkikn5uork	$2a$07$4S2NLI1XDvJfKQaiv0QA3u3heGmqjH0HBuTCdnWkxOE.VEryUGczG	57	2013-08-02 22:41:45.480778	2013-08-02 22:41:53.12066	49		0
3082	10m5z23pg9kv8dno0eb4urbqm4	$2a$07$FSSMBzYdrkJRLhPTwjmsLe2wKI5i1xQYnw4u/8sE0Dn7U5H/M.Jze	58	2013-08-02 22:41:45.502339	2013-08-02 22:41:53.251533	49		0
3083	10d8iqb989tttifmpswomvc20q	$2a$07$EcEg6aQ4lQSnwYXNobmRg.9w5J7xm5mYhCpr/HNdcXUSPu9OyN0de	59	2013-08-02 22:41:45.525552	2013-08-02 22:41:53.385308	49		0
3084	10ujlx8hosboyqy1msqngnm2dg	$2a$07$oxUhS/vXvvb93Hg91h15K.C8MUi5OJi18iYl1pDMDaIXnzf4qDh7S	60	2013-08-02 22:41:45.54881	2013-08-02 22:41:53.51547	49		0
3085	10vc6f9eijhd3rg2m9suvwa8yt	$2a$07$flF847KGGZpome.WgeAYa.17byPfb2Vg9/sktxVvO8vO7q4T0PPfq	61	2013-08-02 22:41:45.570447	2013-08-02 22:41:56.270506	49		0
3086	106sh9hp7bx2qulntwwo0j9sxy	$2a$07$Ubd951KU8FOFuFd3N/t2mOjSPzYscBq/5HB.lVBev.kmtkkdoBA0m	62	2013-08-02 22:41:45.592052	2013-08-02 22:41:59.298736	49		0
3087	10rj8m3m1cax6vzis57pk97crg	$2a$07$NnUal.yMuDmG90jfE8ErLuZvJzqJr9tNVarVqGsLSoeWNJTomktkK	63	2013-08-02 22:41:45.614333	2013-08-02 22:42:02.492511	49		0
6481	10rr4laudxz8t0lavrig5s8fml	$2a$07$bd8KzpspTAt.Ci5wF72IBuajTMFWh6iD6vGJ/giC1W2VeU/hi08..	13	2013-08-03 02:57:37.827142	2013-08-03 02:57:41.808877	99		0
6482	10v2nc4nokijulnc5fe50az0d6	$2a$07$LCOgTNA3vY8i46o/0PJIAOKH2I85KnPcsoIgs.1QWPJzxtiQqT7mG	14	2013-08-03 02:57:37.848725	2013-08-03 02:57:42.204495	99		0
6483	10dz5df8szrmsldhkxcua0h1ci	$2a$07$Ofn3Kfm3aXth/sHDUpg4F.ZCwQs.F6URzomYK1FDjPoEdiiw7azOK	15	2013-08-03 02:57:37.870179	2013-08-03 02:57:42.387579	99		0
6484	10esnulkfdy1538unxoa0yw87d	$2a$07$eIaLAoEE.zdkM4tIFW8op.9jLVsYnRMO2pMksfWh6i4NSgWuXmMpK	16	2013-08-03 02:57:37.892131	2013-08-03 02:57:42.539539	99		0
6485	10e9vbq1ee6jbyknlppe834vo4	$2a$07$epqnu4/YuzTl9ShvDiwDeeYgDEJrkFViEA.wK7j3jYG19BkTDckRK	17	2013-08-03 02:57:37.914913	2013-08-03 02:57:42.679429	99		0
6486	108u1fuj5whs8epnue28qs4xah	$2a$07$lCTyxyKsFvXtVgcl9dAJAewgeUx4082qZV8OPpkxmj1ACLLOcvLUy	18	2013-08-03 02:57:37.938874	2013-08-03 02:57:42.816744	99		0
6487	10h2zx5khb21h39fhaxbud53os	$2a$07$P1Wic/FzgtCr9KWfRqRWgO1BAOT7Vn8eOKsb.qqSHQ8qU/a6TDshW	19	2013-08-03 02:57:37.964591	2013-08-03 02:57:43.196309	99		0
6488	10esgmvdzuto2da30zsj4gzbey	$2a$07$b.QLJfWTzSNRMxlaUdk51.5m/IbBNJ2du7hCGnpZ003DzctDYTdZi	20	2013-08-03 02:57:37.989505	2013-08-03 02:57:43.58176	99		0
6489	10wt838xhxb4709up6sgncg64u	$2a$07$c1BamZPj52KuqEHIp/QDDeWcjeSPuS7b.RodDLBPbxtFSLFGjNM8q	21	2013-08-03 02:57:38.013001	2013-08-03 02:57:43.853201	99		0
6490	10io6qhorjhzskw56wtob2y62m	$2a$07$PkvSwklix1XOJQDv3nvHHOVQ7IIoBEYpyheVjyoiu0wOOngzWQTYO	22	2013-08-03 02:57:38.034752	2013-08-03 02:57:44.206246	99		0
6491	103li1oyx5dvhcmuf5ktho0mg2	$2a$07$jEGgEqfSM.oEGFOgJKAiOeOA0j2vh/WcapMx.au3GGt3432ArmjES	23	2013-08-03 02:57:38.056275	2013-08-03 02:57:44.545893	99		0
6492	10mv1qntltixir7r0833av35hp	$2a$07$V5qBLUvCWoOq/XyEiW0iIuDj4H8h.0kVUZxgUDi3EUpguHbN5HP3O	24	2013-08-03 02:57:38.077863	2013-08-03 02:57:44.684865	99		0
6493	10pcpo3jcryhjzl0uwbs56959c	$2a$07$xfu2VjUgQPGR5GEuLgXhquOuX3qQV6AuKCcpeWmDW35hSFJ4Hih3m	25	2013-08-03 02:57:38.099534	2013-08-03 02:57:44.821266	99		0
6494	10g819dgo7d31txmidbs6k1732	$2a$07$f/utuGknc3H8zfOva4nIyOR4ZdkYQRM9lDBhjvJSpWVZdUYXODuBS	26	2013-08-03 02:57:38.121058	2013-08-03 02:57:44.971665	99		0
6495	107d58w4in31cwre4chnp09n5g	$2a$07$slRgaGeVZ/IHvL2yiFDxyOvuX.oR0ALB9.pFIJ4mDvgqxLg/yMbuW	27	2013-08-03 02:57:38.142526	2013-08-03 02:57:45.11631	99		0
6496	10h4pcidxdwiweum8rxqblfyl0	$2a$07$lDGSQbN3MANZuLjLtQz1M.W4aNfO9pX0xwSVJ3M06.BBQSpsr912K	28	2013-08-03 02:57:38.163981	2013-08-03 02:57:45.23912	99		0
6497	10qxdyv8uzs7y2bxg45qksd0zj	$2a$07$.UDJHDUMNa/viXYqSsU/ruY5IZxk.y7M7EH7KHXGhUiqYAYAa6RRq	29	2013-08-03 02:57:38.185538	2013-08-03 02:57:45.373804	99		0
6498	10g4158ebw5bn2qxy88zwvefuk	$2a$07$gF1QODBCLX9FIDeAZX2jGOmfwvWj3xkiUEvRipjwmzX5.h88z0.Pa	30	2013-08-03 02:57:38.207116	2013-08-03 02:57:45.516315	99		0
6499	10sr721sopbidikqdpxd6xo2fa	$2a$07$N8GiEdH26Ps0AG2Pqs63LuojEUoscz1L2vLcCqDTZdFkG7XDfkhuK	31	2013-08-03 02:57:38.228456	2013-08-03 02:57:45.65815	99		0
6500	105jn795lp1enpaqysqqiosqlp	$2a$07$GZW61rexC6eyDd/dL6EdHekHydIKZaO8PmGsp3DSRjBivyLT5i1ka	32	2013-08-03 02:57:38.249829	2013-08-03 02:57:45.770976	99		0
6501	10bfe9ycs69rbh1sd8tk1s6jxj	$2a$07$6V652Awrr9DBeUM8SWAODu06nSb6TficKdlNb474I3RBr3jpDeuTa	33	2013-08-03 02:57:38.271417	2013-08-03 02:57:45.90505	99		0
6502	10gby4aovzv0ns9y1k99ihn5i7	$2a$07$TDLoB72pqTa8G4cIj8gQn.633EnptqIe7b1xDAVlozH0AjtN.NCYm	34	2013-08-03 02:57:38.29364	2013-08-03 02:57:46.046388	99		0
6503	10a7xoodd02wittq6s0rp850rj	$2a$07$dhWYrTpbO/TVVCI3xY2h3OojqVRsSyI8HU9D3eqmxG3scrV1J4NMK	35	2013-08-03 02:57:38.316518	2013-08-03 02:57:46.1772	99		0
6504	1045602viim9sbha5twwkd90z7	$2a$07$kLiEaN/3ZQoW45h3qw13YOWud8F00mfjsD5QQdYGsj2lyATDp0myu	36	2013-08-03 02:57:38.338504	2013-08-03 02:57:46.31223	99		0
6505	10f7uic8mqmovm40gqqqm8us3q	$2a$07$JH/5SF6rYrIE4T.jYUu8hOZoq6Y97eqkk1gVSBZ4tJyeiDrE12B6m	37	2013-08-03 02:57:38.361311	2013-08-03 02:57:46.503696	99		0
6506	103np1ew5bkfxcblmg92a19pq4	$2a$07$Gm9zoENRDDDRPL6/onPJfOLnwHo1hxxjdeNpWsecupLNpu2Fy5Ug.	38	2013-08-03 02:57:38.383812	2013-08-03 02:57:46.870927	99		0
6507	108ihyx9rikkm7cqa42vtyi5w3	$2a$07$34PiYqGT9NW9K0DP9zOWj.JaKGZRHVtnDzOs9w6yzzQIQ9e0Vqr8C	39	2013-08-03 02:57:38.405879	2013-08-03 02:57:47.273201	99		0
6508	10sreqldwpq0znzfxwqwnxzo40	$2a$07$DJWZlDBZl1EEcrGEVJxOHeDreNVtJ0hcfvNpwWl1/1eDuUnuLizUm	40	2013-08-03 02:57:38.427591	2013-08-03 02:57:47.410971	99		0
6509	10fc8gnebcjt25jendq5wdeo52	$2a$07$VBOfo5ndOX/.Ux7B8S1awu5XLPBsMM8xbm5VnRSmMrWsFEyd6sFF2	41	2013-08-03 02:57:38.449225	2013-08-03 02:57:47.554483	99		0
6510	10hrbxw3xnqt10phdqouu231sj	$2a$07$WQHSrZFr3DhNrX0dlwCoHeV.GKwKplMg.g/TF8QrMjPnhJyiH96OK	42	2013-08-03 02:57:38.472489	2013-08-03 02:57:47.687597	99		0
6511	1043jyw3y1m5gxtv346gloqbmg	$2a$07$.RESJqjUm33SpJkbgX8BsucQAFoHDMTBY5uiHOzDxCGySq4wQHk9.	43	2013-08-03 02:57:38.494953	2013-08-03 02:57:47.824568	99		0
6512	10jchki496ite73iifeuu8l869	$2a$07$xydmxTEPNS016i9fpXBMteO9SuCy4WUf2I3LwTU/yzrlJNZebj.CO	44	2013-08-03 02:57:38.516776	2013-08-03 02:57:47.961952	99		0
6513	10wnc2y2b6kmak0lggvtcwjnxv	$2a$07$Lfm8P2QHdGkx/shrbyW4Wud/L3Unf/UqfaTfuSbgL/NOLmsJG/7N6	45	2013-08-03 02:57:38.539687	2013-08-03 02:57:48.100664	99		0
6514	10fop60w5expmsbo90caryumo3	$2a$07$rIBwabmOX.7FRf3Z6dHBpuMxlaK9ZXF2voJnqU.n1V4Z9nypxlhOy	46	2013-08-03 02:57:38.562756	2013-08-03 02:57:48.259667	99		0
6515	10gjfmrwd9qs6sy68jlkq6v74u	$2a$07$dMV0.Ip8qxb8PkSMVV9iDe1PaUcXJ05AVtxafH3NZ1Eqq6n.ZRmGq	47	2013-08-03 02:57:38.585023	2013-08-03 02:57:48.401944	99		0
6516	10s44eirugnovo2h6jg9xhw3yd	$2a$07$9zaZNHX65YIw6WER4yZ0B.D2QqYP16JSJG8OyQUU9tsR0KLOVY.6a	48	2013-08-03 02:57:38.608204	2013-08-03 02:57:48.554449	99		0
6517	10ivveepebma96jp24g0mxd9ex	$2a$07$GVqxR4mb0X40UyXgIKO3CehkMq0mpdcqr7TwweEAiZXH66GaGFog2	49	2013-08-03 02:57:38.631414	2013-08-03 02:57:48.697891	99		0
6518	10sw6xupayym3yz2o72sjgoo0k	$2a$07$oxjrK0YtO4k4KCPDphtHSeWwSpwC9lWQsepYw4BbCaiFVPV/l77ku	50	2013-08-03 02:57:38.655501	2013-08-03 02:57:48.830364	99		0
6519	10g5d87y9m6rjwec1bks0niduz	$2a$07$r51pKGQf87E3./qo6KZzWuQvhTBmipMz7f8XgESAO1CLbNxc73jLG	51	2013-08-03 02:57:38.694155	2013-08-03 02:57:48.980048	99		0
6520	10loxwdpicj3lghmupggxliymz	$2a$07$c8GZgJNC29eVcrbDkVeaFuG2uarzaZRXTi7gJGFngoAMlK9rdyx8G	52	2013-08-03 02:57:38.717304	2013-08-03 02:57:49.119937	99		0
6521	10usk4pklkbcsh1563wvyvwxv8	$2a$07$SA/Us.2hS5YPmi5h0kx0huiWynMqUU9YDmdJMXwRTbiDO6CCz/09m	53	2013-08-03 02:57:38.742188	2013-08-03 02:57:49.25623	99		0
5230	10368v59h9g1clvubmhmm9e2a6	$2a$07$uArXUMA7dGSu7J8dP7DJUeV0wrNgyrh1jUZBcDtnvc0LK/z1n.rRu	1	2013-08-03 01:38:48.74642	2013-08-03 01:38:50.454632	84		0
5231	10yoxjc4mteh6o8194sre029d3	$2a$07$eAPyZ4/WEQLVRyHXbivtfOf1qoRMqXNeA6jwjQsXqiSZAnRBQXcQy	2	2013-08-03 01:38:48.770881	2013-08-03 01:38:50.58199	84		0
5232	107n8zd7gsm11ad053yfkfb0u2	$2a$07$zPgSpwOrkSa28Ux1elQXNOIyOSsBudPlf6W9/h7YrG215ehpxvXLK	3	2013-08-03 01:38:48.795172	2013-08-03 01:38:50.715256	84		0
5233	10vpvt0xhsxfoopaejigj0d8lv	$2a$07$HASuK/now76PZk4hCTVBUegar8HoWtBEQodAd0RzWPS.y1KvfLDyu	4	2013-08-03 01:38:48.818135	2013-08-03 01:38:51.219717	84		0
5234	103ynhrrxk5ct4zd39lpmpvrri	$2a$07$RKbipgnFSBGFuBgCEp2oquT9Bxo11GRYZtPAfExfmlAMOURkGVVA.	5	2013-08-03 01:38:48.841124	2013-08-03 01:38:51.545189	84		0
5235	10d7bhpokkb4y9zdbv5qsasj8p	$2a$07$X19CThPfCDvLQkeiebPRb.M22XxN9dqwAAx.QjiqDt8MrWrYO5asu	6	2013-08-03 01:38:48.872568	2013-08-03 01:38:51.674691	84		0
5236	10c0zhm64qkt76u7h6xa2k6yok	$2a$07$Kyd0NtTrqUj7ckkM1oMcq.i9fpbQiT8huQT5AUtit.afs1Xpf10UK	7	2013-08-03 01:38:48.896115	2013-08-03 01:38:52.548017	84		0
5237	108sinn6fc7l7zfrsy6te78udg	$2a$07$7TCmsTRA7sUQbHnlmbCKh.kq2Hipbyz5Vwpx3.pdKk.uxb5Oocz8a	8	2013-08-03 01:38:48.920222	2013-08-03 01:38:53.296427	84		0
5238	109s82zcdvtb26upoxl30llmlm	$2a$07$4xmv11tbjGNAHbwSMBDk4.HJAy5Vppv3wjDUVSm4XWYyIzme4ySm.	9	2013-08-03 01:38:48.946495	2013-08-03 01:38:54.036128	84		0
5239	10uplb7x6jcmaq562lojwwaosz	$2a$07$FNwhJA.hhvP6CmY0a8KfsuHASOPYXhlagmFaRzXEpTBLzTWxblLhK	10	2013-08-03 01:38:48.969535	2013-08-03 01:38:54.167752	84		0
5240	10f4g9o6v1axt3mdod21q4se9r	$2a$07$AJPimMqoYI0RilrNb0Vl9O8/aAF4K.CEusBNpo2FfE3JJFpgl1Kga	11	2013-08-03 01:38:48.995665	2013-08-03 01:38:54.297496	84		0
5241	10igzcxaatzqj8uwtn5oims25e	$2a$07$HbnHYS3yi2jISJagJDbpIu59lozq5.nqI6g7s8M6U0uKyu38n7VAy	12	2013-08-03 01:38:49.021301	2013-08-03 01:38:54.426634	84		0
5242	10lqekbgcq5i111kx3vnvyztgh	$2a$07$vZEFGuj4JKELgMx6dQ2Lvuf0MVd78g8hUOVQqrhs18gIbCsAEgF8i	13	2013-08-03 01:38:49.044837	2013-08-03 01:38:54.742366	84		0
5243	102wg8oo4tkj8hjb075a8o4dq3	$2a$07$5MFF4N7f4Ts5CQU8qE3WHODa6WneZXzKECJ0aeEzxP3Lf0FvaGZa2	14	2013-08-03 01:38:49.070658	2013-08-03 01:38:54.904307	84		0
5244	10uhwzttphzf9uddxbm0mxsc0v	$2a$07$e44zUqAM/O6OiWz8tyNsqe22/DqAxEtcNWf8P1iDbzSgbdlqSsJKW	15	2013-08-03 01:38:49.094492	2013-08-03 01:38:55.111479	84		0
5245	100ccpxgva9a26fyonj24pri5w	$2a$07$T8180BKUtJz5sbM4e2xtwuUADhoIaHTx1dPS/Tw.XH7EaweLVFPoi	16	2013-08-03 01:38:49.119585	2013-08-03 01:38:55.232726	84		0
5246	108xymk2eowyglep9df2364ney	$2a$07$ln4IKfuTPRTgvTjLHnAnMe8H..bvT.y/1ZI4HnQtIJv9pIfbdQA1G	17	2013-08-03 01:38:49.14399	2013-08-03 01:38:55.37506	84		0
5247	10uxt5mnnxr3yo5grperohuv0m	$2a$07$UlebvNJkX.GFreAya8O0OOr2q0/KtOHGU3na0HzOrSdT4eKAvuZw.	18	2013-08-03 01:38:49.170622	2013-08-03 01:38:55.563117	84		0
5248	10k6ko6xffuhnfmlzkzigo4oyh	$2a$07$QgIiu2ZzIfW49./kTrUE9e8arqE7dV4RnWIm/S/c4yC4SudAIEm0K	19	2013-08-03 01:38:49.19403	2013-08-03 01:38:55.933471	84		0
5249	102fvdggict9sj8xp8vzzt7cmt	$2a$07$zGeMXywzogH.Tbqlt8f6GuovVtlO0i5fT1nYD9LgUykRlZqf4xn9u	20	2013-08-03 01:38:49.218648	2013-08-03 01:38:56.281373	84		0
5250	10gf5v615y12bpnuidvijd0fyc	$2a$07$LCYmGjNlW1gCcu9OSOFH2upzI.nkTUgaNASs0He7tByBgpD3oRuh.	21	2013-08-03 01:38:49.246784	2013-08-03 01:38:56.646795	84		0
5251	10jolyj02urbcsdfqwrh5yar27	$2a$07$mJqPyhj8w86RSij5YktcZeqFFr3WRFcojtnJncgdh6JswZD5HWM4G	22	2013-08-03 01:38:49.270931	2013-08-03 01:38:57.011245	84		0
3088	108fdaemfvv8w4yq4ll140sdxc	$2a$07$Va1S8YaCyidQLGoWn.SKuetJ1zRRgZqRGl.w08vXrrdWWCasjvAXO	1	2013-08-02 22:46:44.12472	2013-08-02 22:46:45.709237	50		0
3089	10mt6uo94nprffdnilm0bb6pj0	$2a$07$syN7FPG2Cck8S3j1OMSSpezM5t.i9wac16GzWfVURDQcaJdlqXfq.	2	2013-08-02 22:46:44.15781	2013-08-02 22:46:45.838773	50		0
3090	106dksavtjeu2lonhm63k9imyb	$2a$07$o.nFO9CY3vVyMEm8LP9hm.m89eLDf24ofba4cHDVKv4eczX2oKpe2	3	2013-08-02 22:46:44.17966	2013-08-02 22:46:45.968701	50		0
3091	10rj7gbrw1dvidb86odxkb2e8y	$2a$07$Q83cugChTcCjn2f7nxXUGuGkBsiiUPRP8acT0L2wdazbiDFdjAVBe	4	2013-08-02 22:46:44.201535	2013-08-02 22:46:46.092514	50		0
3092	10i27uk66btzykanlqyycabgf6	$2a$07$NTVlKwWA3ZnxtGuf5/PMGu9.ZGdUJaLboSP4tb9YAFtPO6xUKstXe	5	2013-08-02 22:46:44.223024	2013-08-02 22:46:46.232956	50		0
3093	10lps1mziiygdv39izhc01hav4	$2a$07$DSj1uwMFXtElYxGfCtdG5OBuZ0Ko1VqpBOyT/x9vLdFk3EWI11a5i	6	2013-08-02 22:46:44.245701	2013-08-02 22:46:46.362264	50		0
3094	10z2obw2bs49ciwupizl9yx5cn	$2a$07$I6LJ2HrsdU2tptXBwtWyGeAZlXbC1ev7iGtT0UpQNaNOgwbTlUgPy	7	2013-08-02 22:46:44.267542	2013-08-02 22:46:46.497006	50		0
3095	10vctorj0pfbnm3j774r25cygy	$2a$07$D0oV/hXDpqn9XBqHw/tws.yM6ofPL6m/1pyG10fpKD/m9t/w3Zdau	8	2013-08-02 22:46:44.290954	2013-08-02 22:46:46.626402	50		0
3096	102ffwch9zwz07uni91thfm7gd	$2a$07$hruXWECD3.6GJt6WVsFwT.98j5c4/8QLNnFybQASq7Jo.BlykD6le	9	2013-08-02 22:46:44.313493	2013-08-02 22:46:46.758181	50		0
3097	10837ym3gzzvyps5hbfcqpcb1n	$2a$07$Dq03c4B9NCdJChvT3PJYreQeJrQuF8CtYU8MvpM6hHuRDEk/pgoni	10	2013-08-02 22:46:44.34366	2013-08-02 22:46:46.885236	50		0
3098	104rv354qifvl3nnp2bbn0th3v	$2a$07$uWxTnrF.u4a7eXiGXWwiKOYBvaHJFx.Qi7k/lPVq7R2eQu5BvCVzi	11	2013-08-02 22:46:44.365016	2013-08-02 22:46:47.003702	50		0
3099	106zpzfotfudzc86ft399i1gxd	$2a$07$kyKMlFz3F6BanaZI3IoSVuhsuOasEyOgQVOq5U1h97iwKOXArnU46	12	2013-08-02 22:46:44.386612	2013-08-02 22:46:47.136767	50		0
3100	108cxoat6o9qy0wzvw4gwhgw2l	$2a$07$/qdtrS0Gqbs2EjYB/oKjM.YOfTzYDCeB.4o6UEnxqhfayGAumvwnm	13	2013-08-02 22:46:44.408183	2013-08-02 22:46:47.301112	50		0
3101	10rd5b9xfq2o895nd88z45h6qz	$2a$07$yt3yw40hZgFwIZKHYi0YT.kANmzVHmazTsG4Swa3auPFQNCCticBy	14	2013-08-02 22:46:44.429653	2013-08-02 22:46:47.445506	50		0
3102	10zqxibclmun7xh84nrx5nomwg	$2a$07$0.HoFnNn8dfVGf/7mrpxyOl8scQ.vHCNR9lYGTpx4LudNEgNXQaMO	15	2013-08-02 22:46:44.450966	2013-08-02 22:46:47.588759	50		0
3103	10ew0iq15nxnioyhzhl9qnu50j	$2a$07$LTu75fnSqG/gttt7qSP.DuD.65C/N4j2WFm4ng3w0aDxyH/7jph9a	16	2013-08-02 22:46:44.472449	2013-08-02 22:46:47.731812	50		0
3104	10eu6ww5xy6zgjbq6bprg2ix6m	$2a$07$JiZJDL71EgnAsxGQjHHTRuHT1wJ.ncDOt/ll3QK6QiNPMIVAyOn0a	17	2013-08-02 22:46:44.493838	2013-08-02 22:46:47.87624	50		0
3105	10ni8unchde9h83lp3ksu54atu	$2a$07$80XhsRBQQbUCM2y0bZq0BuVebTi4xlbGjmrY6qODaPrpx/nqkIdam	18	2013-08-02 22:46:44.515255	2013-08-02 22:46:47.997441	50		0
3106	10pelgz7chjx1lfuz00qltffzf	$2a$07$pqGiK7SxKwOsCIFN/2vxt.vK6SCTPRNFGUc1974Ag1SD9Q8CLB7kC	19	2013-08-02 22:46:44.536651	2013-08-02 22:46:48.141264	50		0
3107	10b2r41zpmkt8djradw6ugz4b2	$2a$07$ehkjqXym6XQfdVXqZLAi9.KjQ4HPCque.sdu8a2C7Gj0bLUVIqMq6	20	2013-08-02 22:46:44.558286	2013-08-02 22:46:48.492759	50		0
3108	10z6qqe1ddj1iltlnpxatrwi3a	$2a$07$MmSQ8hIb49U58b4PuCwQHOggiAmCcBDHOma.uqASzVNHqon1.E.8e	21	2013-08-02 22:46:44.579687	2013-08-02 22:46:48.629293	50		0
3109	10x82jbeb9e0d10xj62ob20iuu	$2a$07$4x8Rt5CikBouyIvDJhv54OXQozgxAsUYaoPNCFutWiu0ZDtsvRDTS	22	2013-08-02 22:46:44.601396	2013-08-02 22:46:48.773687	50		0
3110	10jc8nuuiffhk8ihnq7kdzqdn7	$2a$07$BDJLx4GrlvhdfEBqeNhxhe1VwYNRkPirVlOlklUznj3LTD0/jqLnm	23	2013-08-02 22:46:44.624921	2013-08-02 22:46:48.909044	50		0
3111	105wj7go65tfyhulyr5x7rehsd	$2a$07$5m9b5AOrLzqRS/eylMMi9.LYuE/tH8rWKng6UgtZQDRwtPPwzTgBC	24	2013-08-02 22:46:44.662118	2013-08-02 22:46:49.036362	50		0
3112	10yed974qbl59i8cnneu1m7c49	$2a$07$uuydfE2P.zroPzjalPEt1uDaL/a1eB5ilRjsG3lnCpUt34jfQZaIe	25	2013-08-02 22:46:44.694143	2013-08-02 22:46:49.150309	50		0
3113	10a27l6htfo0c035837fs5g746	$2a$07$Rejk/oWzxXILm0HjTM/KLO7nWekg0Tsma7.RaQV7OsLsUfhSk8po2	26	2013-08-02 22:46:44.718646	2013-08-02 22:46:49.284393	50		0
3114	10sbsphgl15s21vhq0927pgfud	$2a$07$uLXOgFRlGX0J5PRC1YLwzu6EWQ0Wfxn0wDft6fcjagsyrGA3qTjzm	27	2013-08-02 22:46:44.740141	2013-08-02 22:46:49.426086	50		0
3115	10q6mmxkjuiz3pl7sy5cwzzysg	$2a$07$J3CG5QjmzJqAW/K5AVO.MuaD2Y9B2oGC4LnqpmD0s98WkzrbyvUiO	28	2013-08-02 22:46:44.761744	2013-08-02 22:46:49.557372	50		0
3116	10y8bf5cyr0vicbv0eaq34aoah	$2a$07$74iWM95tjPNdsAGLMQjIquR6sjQAKM.DsiMcKOEkZuGxXbnnJZU3C	29	2013-08-02 22:46:44.784311	2013-08-02 22:46:49.687205	50		0
3117	10caifrqrzpjug7san4zxr24e8	$2a$07$B6NawNev2C0UHRAR5TDUue0c2lbbzO271CmIg.E2w8B11eS7pABlG	30	2013-08-02 22:46:44.808496	2013-08-02 22:46:49.820973	50		0
3118	104wmfgmhkquxnjkhbuuwelyw3	$2a$07$UlBj3uP8HxCxrlhp1B1yKO2TrdJrwrSuwd2Vk02mpadwa4DR/ZCtC	31	2013-08-02 22:46:44.83222	2013-08-02 22:46:49.956083	50		0
3119	10hec0iovl1lrd4stftp0i64na	$2a$07$GNFcYqZHAbdnnQrnu/Yw/.baw3S6ZcpIKqHxuB9RF0YPwp/uGutI2	32	2013-08-02 22:46:44.853925	2013-08-02 22:46:50.077495	50		0
3120	10hg6v2we43915kgn23wjjwoqr	$2a$07$3fwl0T.IoIRfzbB7x.2MbuU/s7SgS6kjGWpJ7PU4mBHSm98i4HfDi	33	2013-08-02 22:46:44.875492	2013-08-02 22:46:50.216238	50		0
3121	1000m9b6fq0xj3zhyw2a6rck8r	$2a$07$V.6viHfYIKJdX1zf5MYu4.DwroPZSj7tyhqWJheLMyqUjjSXhA6qK	34	2013-08-02 22:46:44.897115	2013-08-02 22:46:50.358152	50		0
3122	10gkmkvd6r6kagdg2dbwtoj5zi	$2a$07$0ga3h49kA.YCpowcj38SFO3HgrwrKZ.9MNEOU15nxtM/pfwjrGGCa	35	2013-08-02 22:46:44.918755	2013-08-02 22:46:50.501077	50		0
3123	108rps58lbdwl8mfqejymfip7t	$2a$07$EyPpd2RgO4io2LDG.rPc3.vEn68TDX7qHtbpdNZN0QX3dE5upTkja	36	2013-08-02 22:46:44.940236	2013-08-02 22:46:50.637593	50		0
3124	10c68fwawot3nru7hhuq2flcas	$2a$07$gk22fbjU1SzymLgIY5Ff6.LBo6Se5GkT5QsX3Pf7a3.oK9lFWE7we	37	2013-08-02 22:46:44.961568	2013-08-02 22:46:50.778382	50		0
3125	10j6vth36ozuyww63z2v2adpu3	$2a$07$9oynTcnHmGdKEiKJ3QmSFOHwvBDefc48FXuX/7EBnqduE.g2MuS3W	38	2013-08-02 22:46:44.983062	2013-08-02 22:46:50.913618	50		0
3126	10px3vxlm5d1vn27yvuggerjk0	$2a$07$vilsL.Y1HDc7NXIbpHxYvePY8ctrB.KIN7bNsgb359iEtP.MsQWJ.	39	2013-08-02 22:46:45.005001	2013-08-02 22:46:51.04614	50		0
3127	10910lws7ada9fpv13sve5nfhs	$2a$07$T2q743SJPCwaH0mtV7hQnu5HGrOO8Da7AEiDRLwRUUGTxwTL3HMba	40	2013-08-02 22:46:45.026484	2013-08-02 22:46:51.164652	50		0
3128	10aav68o7oe9wsz4eqtsrni73k	$2a$07$Cj1tglJpVaJd51ZTipwSW.xhs55uECFn19wRnw1rdy2LV729qbBJG	41	2013-08-02 22:46:45.048937	2013-08-02 22:46:51.307844	50		0
3129	10ckjjofzy1lei11iwhmrncdd7	$2a$07$WxLiYijqcPAt3by1g9jDReXGue6/GSeYoklKgkU9O9.IFEkEyd2Ju	42	2013-08-02 22:46:45.070516	2013-08-02 22:46:51.44391	50		0
3130	1010hkx2qirhak24wo17ctqw4j	$2a$07$FuIO6bAY1D3ntVOs19a3g.FJIvJ92mkUJtvBMSbhm0Tk.lN9G3LUG	43	2013-08-02 22:46:45.091977	2013-08-02 22:46:51.577981	50		0
3131	10meamk51butixkgh7vif77q5d	$2a$07$BghWMDbueV9.UxKdT7TSTuQI0sPdhs9RUu2N5O8d/4r3y1hCQZV0e	44	2013-08-02 22:46:45.113688	2013-08-02 22:46:51.717682	50		0
3132	107qrcggtmrb0naypxjznddx7t	$2a$07$uyxY/.IRsJeZTSE.kbgFKe1GhD3EY7C4AHSmE1C/1.CGefTaG4uue	45	2013-08-02 22:46:45.135052	2013-08-02 22:46:51.860828	50		0
3133	10xb7od29g1jr9gs9ccl7bbkku	$2a$07$CTAFzgMxujjKjWFKNe5fpuhUdZyJNWM4IaehyvJPyn7oHdQOgAgqe	46	2013-08-02 22:46:45.156838	2013-08-02 22:46:52.002314	50		0
3134	101uhepwh7opnpisb7qhxyk8kx	$2a$07$vp5rrsIWCMXQs4A51MoMleFGlo/nX5O2u4nEx2IhxmK.7uNyGwSg6	47	2013-08-02 22:46:45.179806	2013-08-02 22:46:52.126832	50		0
3135	102owz0r9afm19ww5ee5kd2ys3	$2a$07$9fkBajykTLbaiZ8Ue1j5MuerwRAUCBFhaIpXT5xodY5TVAqSSKCHS	48	2013-08-02 22:46:45.201408	2013-08-02 22:46:52.266108	50		0
3136	10i5gql67mt3qtaa9qo4toiohy	$2a$07$i5d6wzt8aBgOV7jmudLE3OnRnLP3v7sxTB.t.n0IGXvYzl5Hld3O.	49	2013-08-02 22:46:45.223242	2013-08-02 22:46:52.398413	50		0
3137	10e6m1n9umcu3o6ezmro40sqqb	$2a$07$uANbaxo14w/k2C.u9y.S8.qHLo4c8IrlTrHTH8Bf8gUHIcEMSb8ma	50	2013-08-02 22:46:45.244668	2013-08-02 22:46:52.544684	50		0
3138	10ztmiu5zdniv6qv79y2wkbakd	$2a$07$nhX27sf8vFRJlTW7o8yq1uK9JQ7vmmNjG0B7pWZlYHFylWh3xMsK2	51	2013-08-02 22:46:45.266156	2013-08-02 22:46:52.691592	50		0
3139	10cg53xg781p5aetonx9absk5v	$2a$07$JVmnLSf.vKV7Km8Xyg0uNeNc8YY/BcZzOqsbBC7gFNzfWrfeWNl0e	52	2013-08-02 22:46:45.287479	2013-08-02 22:46:52.825155	50		0
3140	10cjwy4qfm863y6vc4a4jsa4fc	$2a$07$i3Kb0ckq/IL8YeR3nTHMYu5C92fzQ.INb2B/VvYhReZh7iHxEFsVi	53	2013-08-02 22:46:45.310832	2013-08-02 22:46:52.959368	50		0
3141	1017mq6abvoynbri8zo8wlqpl3	$2a$07$HdMQflkm9L3G7fk3jhsB/OKby5fRnAih2K1a3LOodyKLdZyHAxld6	54	2013-08-02 22:46:45.332151	2013-08-02 22:46:53.086497	50		0
3142	10aijk08e1oc3g370lud01czxk	$2a$07$9tfAV0eITY7OlwqE.dINZeY23247Ty69Ikx9UvdiA4bccga.ry2q.	55	2013-08-02 22:46:45.353617	2013-08-02 22:46:53.221733	50		0
3143	105kf3usyueu6zvhzfyov8zo5f	$2a$07$79ZzmI97vONZoWTscBngyOy6abQWd3GessY4GaDVgghyieR.gca2O	56	2013-08-02 22:46:45.374983	2013-08-02 22:46:53.362451	50		0
3144	101czl73lbvzg11zrqyd4dg7u0	$2a$07$ggowJZyTlWRrOXtY4h5koe8Wla1wN5yQs/QqcS0Gf4TK57BfUczTO	57	2013-08-02 22:46:45.396527	2013-08-02 22:46:53.49984	50		0
3145	10c3pgqgy8ej9d6ppo4a5s0134	$2a$07$lkw7LvnfFl8N0MxqU1znL.8QO.7bs7jOSEDIbsNX7VJfqx0Zz.zDO	58	2013-08-02 22:46:45.418255	2013-08-02 22:46:53.661238	50		0
3146	101l9pvt336b90ptwd14ebxmjz	$2a$07$0xNWtTh3oasa9rHTaKVCHeZHUhbXVXpNvvNdwIaZzFbFhV0Txweu6	59	2013-08-02 22:46:45.441224	2013-08-02 22:46:53.810361	50		0
3147	10g6ehchi0ic7ks9762djyssbs	$2a$07$gpX6bF2fPmiwPzZx0qpbjOWQfP2rgrCtMctxMinOUQwHkOUJrZH0e	60	2013-08-02 22:46:45.467895	2013-08-02 22:46:53.954603	50		0
3148	109mqg9wt1v2gbyfkw87bz8xsg	$2a$07$UAxWVIeyjjzCciZxqb13we8qCB9TIeq6ExQkaL.FYNxAJ.s90.Y9.	61	2013-08-02 22:46:45.497895	2013-08-02 22:46:56.875968	50		0
3149	10f4tf37327strxms05us9o4r2	$2a$07$j9lUw/FMneQXvWSmWwSa9Od5WQwJjUhHdGIgWd7JC30XZac6cTDGW	62	2013-08-02 22:46:45.537414	2013-08-02 22:46:59.986943	50		0
3150	10oixnyddu3acr54vb8b5tqgno	$2a$07$JD/94JWqJQZF0PDpCqM19.fEXyoHds4ztU6uvXtcD5VdTvPe3HeCm	63	2013-08-02 22:46:45.565565	2013-08-02 22:47:03.271223	50		0
3529	10v9awvhe29fqq4or7s87995w2	$2a$07$LTbsRMfYhbhUxbKNLd9FHuYnRBzYnKkNUUYRwpyp.ZzdRkqtZIJZq	1	2013-08-02 23:21:44.042318	2013-08-02 23:21:45.863697	57		0
3530	10gnhh2ihti2ijf2nht9jb2zmt	$2a$07$CADQtZRgkhAD9lnVxpgVDukLIoZ6bHB/N9zM/QBPxpfbYeT1EMxkm	2	2013-08-02 23:21:44.065953	2013-08-02 23:21:46.149586	57		0
3531	102160pci5p6m6zbvs0k5zmwxz	$2a$07$yWoSKQNUJm9dLiARGFa1NO2TMsNF/p4Q8J6XjYVAW1SxsrgcKYqru	3	2013-08-02 23:21:44.089262	2013-08-02 23:21:46.352322	57		0
3532	100k4wi5yadtaa3hm6bidjmf6i	$2a$07$GNN7YPpB00PxyPt7f/N2lucToZ7sQiNj.SA/RofRbe8ZHnaYC2/da	4	2013-08-02 23:21:44.112911	2013-08-02 23:21:46.633238	57		0
3533	10n6ascbb668c7rirvp7dhz3b4	$2a$07$eEk/MFvGoi88ypPfaZ.8AOjHKeWOxrf.BHf85eypIM.YnHt5q8WPe	5	2013-08-02 23:21:44.136752	2013-08-02 23:21:46.863001	57		0
3534	10e0tqsgqqpe99alcnnk4p4icc	$2a$07$pU.oNb.6do131PTwQ9UQherzFClxYYI89ygKfKzaaGZGtzEExXdtS	6	2013-08-02 23:21:44.167075	2013-08-02 23:21:47.163744	57		0
3535	10dm4woig7q7q0892iu1as4miv	$2a$07$ci9hJ5Oe2ebJpKsYx8KF/egaRnJMucPIUO5lH0dKwxd8kdqWl.Mje	7	2013-08-02 23:21:44.189604	2013-08-02 23:21:47.565273	57		0
3536	10rgpnyewsbsnypu967mt7jk0o	$2a$07$dUJfyPbhHH.qIq/4pkVfWuKxONEWT2FP5b9IklUS0GRNvQDQp0LbK	8	2013-08-02 23:21:44.212726	2013-08-02 23:21:47.829047	57		0
3537	10a6aphclki2akuodarbm4fe1a	$2a$07$2NupiSTaWh/MNnfmno3gzOC9qXxNJTY2cwOPoYoj4tEU3vKeg/q62	9	2013-08-02 23:21:44.24913	2013-08-02 23:21:47.958813	57		0
3538	102c3eotycp65oofk0upb7aq02	$2a$07$NYLjNGSAjTMji83aTdu88O7T6ZVzBfRjNwf1hFMnTuhUUkdCUByUm	10	2013-08-02 23:21:44.272367	2013-08-02 23:21:48.051787	57		0
3539	10kkpfw5hl5648bhudsbmii4fb	$2a$07$JCLsa3pwhh2fvEoa9lktbuOaj1pHNRRhB7mu/VlgqjBtn2v6jdWge	11	2013-08-02 23:21:44.309983	2013-08-02 23:21:48.159018	57		0
3540	10fj4aox1mr4aprvwikevg8wxx	$2a$07$uq7zJhxwyYXkRkAwYcth4ubOerNV2UNFy06aPUODGy4YnRaQIvVP2	12	2013-08-02 23:21:44.3364	2013-08-02 23:21:48.284943	57		0
3541	1064w14jqf1p3k6h2dnnivn82i	$2a$07$U97bhpM.fWQbfuH6h540ceTcTcoT4YUeVWCCXqi4aNEavKjEYTyZ6	13	2013-08-02 23:21:44.363517	2013-08-02 23:21:48.673094	57		0
3542	10t4jzexyset4p3ijeu0jhe1bz	$2a$07$6Lm4uFKlnKVqtT/wt/Hg/Owhrfmkg2U5AKOe9/EIvRVqqNts427WC	14	2013-08-02 23:21:44.384527	2013-08-02 23:21:49.064731	57		0
3543	10axbm6cvirydbi311kshnshjh	$2a$07$XjdsKybLQ9Z0RWMVwbkbKuPblZEgiZ3zSh5UtTv9defnM/Sc2GJeu	15	2013-08-02 23:21:44.407486	2013-08-02 23:21:49.461742	57		0
3544	104i2o7cw1li6gveaagqiy1q43	$2a$07$Cqxk1beITJvSpV/7/zcbTu5mYig1EeDPTCzro29VlHwcB9OlA1Jxu	16	2013-08-02 23:21:44.429234	2013-08-02 23:21:49.900147	57		0
3545	10q5nbbpmogklzht2opf8879u5	$2a$07$vzrllWaIJ6DjNI00/wB.Tu0qHM5.dueyyT9kh7ohDfk0Q.KtGTURC	17	2013-08-02 23:21:44.450865	2013-08-02 23:21:50.138104	57		0
3546	1073uixa4urwzj7ioor1xw9j5u	$2a$07$IUrGIyhCqBmtuc.L6wxemO6kFzGWgR9B7f.alF1ullGQSbC2qLNv.	18	2013-08-02 23:21:44.472474	2013-08-02 23:21:50.298233	57		0
3547	10gzwl51gjdw7c6ubgx5ju4igi	$2a$07$2Uy0PNNPzfT0Jx1xIcsmte77OMPL2/AHvCa9g8lUqK9Y5btqZvmaO	19	2013-08-02 23:21:44.494376	2013-08-02 23:21:50.66303	57		0
3548	10gjqvie0ny2szvjp49bk1p0fo	$2a$07$Ae0NVdccH0wgP8g2v2suq.shsWqua415cUON/ZvIJasEJK2GMYdw6	20	2013-08-02 23:21:44.516125	2013-08-02 23:21:51.012464	57		0
3549	10eur090n18t6lldmj94tqoqn0	$2a$07$W9.eqsBzT4vKrDSoY1uECu6RByxz61UsPZku2bbwY2IEfKSY2jYBa	21	2013-08-02 23:21:44.538031	2013-08-02 23:21:51.361967	57		0
3550	10mg6fpob8ilgtqwhbemyr97wz	$2a$07$UkX8WCVeb34CXOodb32Qu.yPBBIrcjp8V0D9.DFApV9J5ITuVZ2se	22	2013-08-02 23:21:44.559557	2013-08-02 23:21:51.756161	57		0
3551	108z6ulbpkobugyu2gh75va0aa	$2a$07$e/mdaRBqbgQbLUGouFsIPuLMqECLeiGDEIAxsy4ulLwltIJmEFNyC	23	2013-08-02 23:21:44.581348	2013-08-02 23:21:52.017597	57		0
3552	10s0r8udebyfbptjby7snaywqs	$2a$07$zVP9s4DYkwG5gic8YM9lLepdP46nqMoiK7LgBFnpwDWB00dIWQKwi	24	2013-08-02 23:21:44.602848	2013-08-02 23:21:52.219558	57		0
3553	10fkc5rk8mzrgnndbb0kfi4gwe	$2a$07$asYUfMLMQ6PIb4oXTOQ1TeMm9Qfq5u..fHpB23EsDHAsNp4GSi67G	25	2013-08-02 23:21:44.626077	2013-08-02 23:21:52.612612	57		0
3554	10mcscrutkvhl1es6nacl0beiq	$2a$07$4Wdo3YKECKIHKB.rEYo5z.CSjKds9QVlH1QLuzaS7AX/QQgre.UzS	26	2013-08-02 23:21:44.64912	2013-08-02 23:21:52.81385	57		0
3555	106l0u6c8ras8sr4regm73a6oj	$2a$07$f.WYkyuNwhhIKt5XZeTKE.BE7TikcoG2/swgQjMZDnRV8n8lxOnNS	27	2013-08-02 23:21:44.671101	2013-08-02 23:21:52.973178	57		0
3556	10ebbi58957axytkqltl6nub6a	$2a$07$1aC3F6Vo4i2RmK95ol/XWuPODprGqvm5wC//qnVxc9k4OHwjl8EoS	28	2013-08-02 23:21:44.693251	2013-08-02 23:21:53.414159	57		0
3557	10x1sedx2xxq7ys52oqwl23xyt	$2a$07$Padakd4hOTinSL42VxVOA.GAf0sGXKBsO.mdJrs4m07y8Q2hNQUu6	29	2013-08-02 23:21:44.714965	2013-08-02 23:21:53.579175	57		0
3558	10pw5h67xj8kdkzxmj24bcw5fi	$2a$07$XeOd1NxkQr3achWcmtjkXeLQXxM/5oF/mumkYmEjRBsEIuzRzBvF6	30	2013-08-02 23:21:44.736715	2013-08-02 23:21:53.85823	57		0
3559	10fcbg0xqh488x6tc0rowao3f4	$2a$07$I4/ldwXQeRjyxT7MDeQUHuoqTSH9NMk8Shzc2huZgWCFr1zbZiK7u	31	2013-08-02 23:21:44.758473	2013-08-02 23:21:53.978143	57		0
3560	100p51w039obd7jcy59k684lyx	$2a$07$aR6/67Ovru4HpUG.wdeP9eFHzIoLmUabVeJ.4/SQHXcvZdlWjC1ly	32	2013-08-02 23:21:44.780139	2013-08-02 23:21:54.11778	57		0
3561	109ulh4cq7je3o1jn8t8fsrcut	$2a$07$29avP.tHd4LRMLNkFFk5EOWs88/oFeVnGIQ2Ih9Xy6w3Opz9wdk32	33	2013-08-02 23:21:44.801921	2013-08-02 23:21:54.250752	57		0
3562	10cl83txm81o0dy1xm2esx6w98	$2a$07$nHVGDqx4PtD3djKHU9Nr3.D/xNuMgbePd8mkZO7L2Os9mSPUZ58FS	34	2013-08-02 23:21:44.824984	2013-08-02 23:21:54.392363	57		0
3563	10nvpubag2dklhw1hi9avgfwt4	$2a$07$v0JSs3JhmAkEc2dqoyuMHuqefRGgasDIL8t7C5DFAhXfsvu6ZDgvq	35	2013-08-02 23:21:44.846798	2013-08-02 23:21:54.525158	57		0
3564	10pl50itirh5dlrudtod2h5vn4	$2a$07$.TQUIfFksL60IcXABu.lBuMAW9sklOTCc5BAFgsd35ZyaHIOQrbK2	36	2013-08-02 23:21:44.868358	2013-08-02 23:21:54.656128	57		0
3565	10gg8hkumwcdsxmnunwq3sv3qk	$2a$07$Xtn/KGfuulArz3HK.zi/AeswnoxU57pt5fHxXgM.6yY7ssSQyiXvq	37	2013-08-02 23:21:44.889994	2013-08-02 23:21:54.934098	57		0
3566	10yy6oelb5qyt3p522fr9ab2ia	$2a$07$zigf5QVwlK7L27vAeo8qzudI7Kfh0VE5N0jXxiB8R0BMtrxQXt25G	38	2013-08-02 23:21:44.911606	2013-08-02 23:21:55.09875	57		0
3567	10xlce27akfs8hcttbm2eoenk1	$2a$07$QQ6WfH0QfBNyhGKc7KiM8Obtwa7fkb4PAcM5ZqZNUzKrzg3UqvEDq	39	2013-08-02 23:21:44.933336	2013-08-02 23:21:55.260692	57		0
3568	10to76k0d8lnhx23bo3l0vzpyi	$2a$07$Hjl1E5DXXSpxrcHTykMW3exNSid9h8LuDzRT.Mxyaohy25kWouZhi	40	2013-08-02 23:21:44.955119	2013-08-02 23:21:55.663004	57		0
3569	10o9yrd8vkt69165afk0cbt21s	$2a$07$FkvELGYvuQwtDRRtZZXe4ejtyvgYFhaxKxmegGUxf3X7uNuf/SBfK	41	2013-08-02 23:21:44.976763	2013-08-02 23:21:56.078834	57		0
3570	10bosd3w2d8nlqqibm37iy5ydk	$2a$07$ClyNJRO9pwQYeNDH53N6gurBrxIxfOqxJlafV15xiiECdOSZLQBFS	42	2013-08-02 23:21:44.998237	2013-08-02 23:21:56.46599	57		0
3571	10ua86gdryag9r3dmxsk44pvok	$2a$07$0T8o40FxVlrEiKGyNUhwgOjjILK4hTiKkeOonLNaURtatYzx1WyxW	43	2013-08-02 23:21:45.019983	2013-08-02 23:21:56.866006	57		0
3572	10hhji3clpkok0ordlvs5bc0dn	$2a$07$w3Zke4LSr1ulAt.974Bofuup.3ueYLLk9fnM1CykMGGFQwnd2CvfG	44	2013-08-02 23:21:45.041642	2013-08-02 23:21:57.259787	57		0
3573	1053k7mlh0c52dekrnlepca872	$2a$07$91RfxLua8MbkIYS2kin79OPFf4DCqE3Thwb/nDavPH2Yd0V.fYyLu	45	2013-08-02 23:21:45.063179	2013-08-02 23:21:57.662282	57		0
3574	10w5px77e7kpxz6mh571crdlez	$2a$07$xw452f8eU0XMAilYAXobl.SDIBLkDIGz7NpmP7krud2PpSzbmPrxq	46	2013-08-02 23:21:45.085991	2013-08-02 23:21:58.059387	57		0
3575	1051wj272qsnx6twgc5qd37w8j	$2a$07$LlI.wlpjOTn5d6oidawZmugRc4me41OuDU/xX4//RKp.jxuHUHwcO	47	2013-08-02 23:21:45.119366	2013-08-02 23:21:58.269533	57		0
3576	10fpzhj7ll82xh4fhm402rb5le	$2a$07$WidlxFKmLezjtWO1tJUwHeeo7mcGBGoD5mlXc4w38nYWo/2vT/9FO	48	2013-08-02 23:21:45.142815	2013-08-02 23:21:58.456202	57		0
3577	102tg28l6x6qhsj3kpkks9o48h	$2a$07$OBVztURX.eKhW.AVz.KYrub9sq8q9jRK0NQWx.fi91SawJw57QYK6	49	2013-08-02 23:21:45.164722	2013-08-02 23:21:58.603468	57		0
3578	10lxdfo6kniokwkrdg2hkpf936	$2a$07$6.PAAI7H8V5IQaT7iBwjIegG08z2JpNWIBmRmZW66iMamZUoQzQ7y	50	2013-08-02 23:21:45.186608	2013-08-02 23:21:58.741963	57		0
3579	10t346rebi3qdpx16lhu17tl9b	$2a$07$ENSW4emU0T0trkJXIedzye5XDWQIoXOZtmUhun8yY/elUaWO60u3G	51	2013-08-02 23:21:45.208747	2013-08-02 23:21:58.888765	57		0
3580	10iltqjrfc4n79gouglir92gd8	$2a$07$C5ytTOkk9vTB./yDRmSJXO.owIq9KDRBLQjonZ0TekUI92PCY0HR6	52	2013-08-02 23:21:45.230313	2013-08-02 23:21:59.130017	57		0
3581	108jzu8xrck8bng0ctgx1lipjl	$2a$07$lsdipz4X2dMfBwcwnikWoekZC.mSjNaoUejppRobHRdTInnOUftBa	53	2013-08-02 23:21:45.252181	2013-08-02 23:21:59.277654	57		0
3582	10lf1gwln4ftip7fearzfaht6v	$2a$07$.D/N35DvTNRPeQ.XPVZ6Cu5g259pmRUtqqpKW4QpgNBJGyFurAVS2	54	2013-08-02 23:21:45.273819	2013-08-02 23:21:59.499241	57		0
3583	10ae7n9lion8025ki7loywtiol	$2a$07$YMPJXhjVyhOSPf7oyRhYPOiiKmzenChVEQcT3i3T1XomfhlMIwrB6	55	2013-08-02 23:21:45.295633	2013-08-02 23:21:59.725978	57		0
3584	10pkov3ai2s5l7dfkt64g79p44	$2a$07$DutJoGZPKhlwl.0RPVI9o.wHoFWh6w8jiQv0RqPrx8JAbPBMgwB22	56	2013-08-02 23:21:45.31742	2013-08-02 23:21:59.952693	57		0
3585	10qqlpfs8mncasxq3i81wb2747	$2a$07$vKEowtlA.rnNdhxKV656FOxXlmVYztmgiuhqHXk6m6aUy8nAeGTNK	57	2013-08-02 23:21:45.339	2013-08-02 23:22:00.317721	57		0
3586	10ak59fq451g05pvzt8532f57k	$2a$07$/SmfMmBWQNmEH8TsLuPP4ePc8/51FW9GhewFZ5b5DYLCg/mVoJZhW	58	2013-08-02 23:21:45.360828	2013-08-02 23:22:00.689814	57		0
3587	10hs5w3zxhia8oaw6axsysnrrl	$2a$07$CVan0KgB5yJYGEYuDW18xOAAinu1xgrDLzHgwCnOoa6UUTkYB0.mm	59	2013-08-02 23:21:45.382467	2013-08-02 23:22:00.946746	57		0
3588	106ffl83ymlpcsrtoj0ln1o8y7	$2a$07$HkzXWfkPl8W6tTeCYWIFAOLgrKPVfcP7zV3LEzBKV4S0SJB0bF2u.	60	2013-08-02 23:21:45.404005	2013-08-02 23:22:01.187191	57		0
3589	10b6uw0ptgskb2080gogtk4buq	$2a$07$NRF9PL65WfB9gwUn9EKCBuSJMkv5BykzLXlpkV0AuueikRkVe22vW	61	2013-08-02 23:21:45.425472	2013-08-02 23:22:03.970985	57		0
3590	10angx7hnuv91ycriqhsdccyqk	$2a$07$mKYXPDMevebAjStBJE.DReiz6QjgHC.CZ4W0KL0izM04rYVuMqULS	62	2013-08-02 23:21:45.447806	2013-08-02 23:22:07.289654	57		0
3591	10dncgyy5k3nynp8i1ogukqcvt	$2a$07$3panqWnAQwyygQFEKqBy9eL4e/bVDWaspxO9.PRrFU0jUnUfRnA.K	63	2013-08-02 23:21:45.469566	2013-08-02 23:22:10.490591	57		0
3151	10s98rg7zz9ejuk2bp2zjx3l2w	$2a$07$UR/zsuA1u16YxXb/c8gXhO3B0kiUrAXRBTZPGBvqGu7EaxtEVQDnO	1	2013-08-02 22:51:44.058632	2013-08-02 22:51:45.997387	51		0
3152	10ktrb2v7nclh7pchegvn0zoyu	$2a$07$hAZbaH6fGuXi3c8bYWZzAOiHpNb73F/6fI2Lf4kJC07Y.2ugCAmOG	2	2013-08-02 22:51:44.08733	2013-08-02 22:51:46.11057	51		0
3153	107d52jxjlpwayc3aa1nk0twv4	$2a$07$BatNBBQu1.BRsjlP3E0wguFhy3BA38iB2OAM9zyxTYRMvEPQTLGZq	3	2013-08-02 22:51:44.109624	2013-08-02 22:51:46.326805	51		0
3154	10ujoha477o1nzqaf19phairp7	$2a$07$ZbhDsNOqu/nMUvsijI3.AOUmlAfLIh4a.Kf..pXcWWBTcWUOyAIS2	4	2013-08-02 22:51:44.131251	2013-08-02 22:51:46.476718	51		0
3155	102m59zx9bbo7no8pmy29zgor7	$2a$07$WagFSetoUi3fvI1z3ZrmIec7PM3xZHcOC9H09hm50AmbbMTjIgjuO	5	2013-08-02 22:51:44.152764	2013-08-02 22:51:46.61362	51		0
3156	109qa2vkf0dwjvxnji8nq6268o	$2a$07$o6tn.m33Fp5o7avNDkW8w.p4LcQB50emBU0BklfMFTeQOjGOwHI.G	6	2013-08-02 22:51:44.176013	2013-08-02 22:51:46.74624	51		0
3157	10l9nsa98uejzhd8yk3ko3nvpl	$2a$07$rmy3d2vrYxzccvFRksiz2..YU5ZsyKMVC8ZxuoP/a5LhK6akE4Y2S	7	2013-08-02 22:51:44.198963	2013-08-02 22:51:46.885252	51		0
3158	10esiyqx13bvzgubt8ossgqum2	$2a$07$IKaChlI.RdEfqU.Sncm2t.MUbfZw9nVPCQ9UgHrsCffJCnPEy1Dp.	8	2013-08-02 22:51:44.220651	2013-08-02 22:51:47.01338	51		0
3159	10cjre7acyacohaf9bjk2m6yl6	$2a$07$Sg2YcVlcMNN/q7tdi23CxuQOrOjewRf8cxVw2cGX9ngez34rL3dc.	9	2013-08-02 22:51:44.242409	2013-08-02 22:51:47.117686	51		0
3160	10gar4ttjzzaqh8mo57kevuzcm	$2a$07$KYo4rS0VaaefOqrrpRfA1uuTnAoj6oTsEEV6cY81YcFGTjUKNs0ay	10	2013-08-02 22:51:44.263888	2013-08-02 22:51:47.253956	51		0
3161	10c0gpsmx3jh98jkw4tj7034s6	$2a$07$xzJU8J8Ln7uv5rg/o.JSueNk7kYWf1QNoCZIkEodFo6K0PGANb1ZC	11	2013-08-02 22:51:44.285325	2013-08-02 22:51:47.384758	51		0
3162	1025j6gdg94ouds3ywkxh6kcp2	$2a$07$6JyQI7dTdXlAA5i7MJclUuKi3nE1iLNnnrkXNZocOcjTjRSWHwVYO	12	2013-08-02 22:51:44.30687	2013-08-02 22:51:47.515743	51		0
3163	10rgqqve0a2h3lln21x8trj48h	$2a$07$M0uteuZglGGA9msBkKKpG.Wers80vTX00qjLRx7jrS9kvmSV1Zakm	13	2013-08-02 22:51:44.328613	2013-08-02 22:51:47.733848	51		0
3164	10kz4gak3gw3xupi888wijjrzi	$2a$07$wV8EuNW5ZHRArt0jlDMFjuiAXZ/5QmmGevdbm7dW0vlXIVlJTCUnO	14	2013-08-02 22:51:44.350142	2013-08-02 22:51:47.950693	51		0
3165	10mu283tv3s8v3tplrrmekoihi	$2a$07$MUlP4U6pNDuMCNdadvBhPO4GZSK.DXsYsL9Ua9D34/gD.D4.u1QQa	15	2013-08-02 22:51:44.372489	2013-08-02 22:51:48.228713	51		0
3166	10cb5qrzj1iww20oz634ypwt6t	$2a$07$n99/hPlNNenDlTMhnIFvMOTGOSu4wr6WjqUwr9O/n6pfL8Knrqe4K	16	2013-08-02 22:51:44.394598	2013-08-02 22:51:48.436608	51		0
3167	10q2nnhgigb9dyj60j2hkdvw2s	$2a$07$G5P6DLBB7dyveOZ0H/zqP.kXN81FAg4STowrNSvAbhBwVcOaJkxJC	17	2013-08-02 22:51:44.418406	2013-08-02 22:51:48.600832	51		0
3168	10ey9zablutgyv5kkq12sz0hch	$2a$07$vNCNLXf5YGEehaCWu6wOHu3oh41HTtjx9HVQW7ex0/nIhwnDNX0Ty	18	2013-08-02 22:51:44.445921	2013-08-02 22:51:48.934226	51		0
3169	108bxp1galdt2b7cu9wv34yfso	$2a$07$w7rAOpUphUiKjmMvHBSNTuvHME2NOyoMb516r2lQ56MZquwb1Z2QC	19	2013-08-02 22:51:44.481942	2013-08-02 22:51:49.067289	51		0
3170	10jdcf6h777tsmfmho8qk9a6es	$2a$07$ekevwoW6P3EsjhDhnLSYTOpO2wipvMfytld2tiqNnOQk5/Ju37qLC	20	2013-08-02 22:51:44.516701	2013-08-02 22:51:49.189873	51		0
3171	10ahk4nkpuoyi1nq5gzjndj7e2	$2a$07$fsnOgMFfYmTzrafBQYrHy.4QHO/7THYR.TuRMLtbAKc3HC7VHFGc2	21	2013-08-02 22:51:44.549828	2013-08-02 22:51:49.315861	51		0
3172	10pbm4nhr4re2mn7gdupoqmgt2	$2a$07$R1rvmF.k4ckGUiD668ENBOFbpcrhF2iYzRv3t1NyaJreKfYBZyZx2	22	2013-08-02 22:51:44.573687	2013-08-02 22:51:49.455621	51		0
3173	10vj2npoboq6apzrn1rndwxj4w	$2a$07$A0lLFRgIllS3Q7E3CCqg0ehzQ.9uqvzx8mHukrqnaH4yoB0UzIx1q	23	2013-08-02 22:51:44.597491	2013-08-02 22:51:49.594013	51		0
3174	10z0j5f7ru38irl3cisl8xrzlt	$2a$07$kpxIzPj6Vv21cly07FX5qORj90dq/MssS5kwNxBhHOs2FCyzu1ZKe	24	2013-08-02 22:51:44.619077	2013-08-02 22:51:49.749574	51		0
3175	10siks0g3p4zy28jcyrcxpre1k	$2a$07$LCd.BF1pcVvDD3bPUu8NLO55THCnAaJkIX9Luoustzv.UIWO534Ve	25	2013-08-02 22:51:44.640763	2013-08-02 22:51:49.901089	51		0
3176	10dcu52wltgbd4sx8u74m5npct	$2a$07$Ab/PBIeIAv4hOoacQK0cvuEB4yC2TeLzHEYzPGjdh9jS1SRRHbkGi	26	2013-08-02 22:51:44.662503	2013-08-02 22:51:50.118278	51		0
3177	108hyrshka5cm8eaxtpt0mgwvm	$2a$07$tD8q1r5peZ9ZfMIqbXyKCOUPJHSJCU7w7rr.e2aTS.uyuvki6ZrOy	27	2013-08-02 22:51:44.687285	2013-08-02 22:51:50.518989	51		0
3178	10kwfjij5qxu8u6dobsclft5n7	$2a$07$6RjQtboYDjmdyrc.oeXnV.HQzoFV2FrjfISI1/JmGxRSQkXRqujqi	28	2013-08-02 22:51:44.715014	2013-08-02 22:51:50.664139	51		0
3179	10e0umwtf1k8y6rkq77lh7c6o7	$2a$07$pVTca.1FiIruXoUpf1iEjeQaFgOkRlIYR4VFfNP2Z0C7fHVCC.noW	29	2013-08-02 22:51:44.737272	2013-08-02 22:51:50.860048	51		0
3180	108gdd78bdekymww89vdggzd6r	$2a$07$3G7k1c3VitTAjFuWCmk/a.LG0z/Hr7GQ.bSFsPu339Zb0FgipAJY6	30	2013-08-02 22:51:44.75993	2013-08-02 22:51:51.102135	51		0
3181	10jsq3r1ake3yph6p9h8jqmm6j	$2a$07$nMzOTF00SUYPlYQUKEsDBOC/cF2yAijda/XKQ5fz0xosF6gRiGEOS	31	2013-08-02 22:51:44.79244	2013-08-02 22:51:51.226318	51		0
3182	10epf1roro7dckcfa66jj9zvha	$2a$07$CjBV56ERvRXw1.x9i8um/usZLpdhha1dTBRQwWdBYz7XCYOIOTIom	32	2013-08-02 22:51:44.823025	2013-08-02 22:51:51.355357	51		0
3183	10jqx5orho9ycy4x6rtw3htg0w	$2a$07$GDJymMlqv09ACGxlIsFg5OzPO3UMSFooawExxjduG42.txQBs0cYS	33	2013-08-02 22:51:44.847146	2013-08-02 22:51:51.446201	51		0
3184	10iiy3pyj2754oorp0d9zm7bte	$2a$07$wVVYwIPHzqCoVFffRotHbeHNPRDx7SApU1wSpQRR/etw845YFRELO	34	2013-08-02 22:51:44.869582	2013-08-02 22:51:51.542166	51		0
3185	103ahflkpg3fl8ws4h421iszwl	$2a$07$ljZ6QzYLB1GfeWo/bJzE.uH8WkwIF0y./tLDRzr1AycB.ajEU3caG	35	2013-08-02 22:51:44.891439	2013-08-02 22:51:51.657374	51		0
3186	10wmlg4jvbppe13m90fsd0s203	$2a$07$QsCkDQNBkkacN4okvfEjCONJBhpJ6HoIyFG25GJ201aRpw0/q27Yq	36	2013-08-02 22:51:44.913137	2013-08-02 22:51:51.833757	51		0
3187	10v9gley2jfvhid1n07k2r3a72	$2a$07$L2uX1vPtn2nMu4BaXwNnpu8MYoE8S6bh3ec8RXbIUG.UauHO/X9ty	37	2013-08-02 22:51:44.934635	2013-08-02 22:51:52.05349	51		0
3188	10gz834nrcxxnqo9yn3myp4i0t	$2a$07$iziFAj5spQQUKdtkWCgitubRyXU6eN9Alkg2KUVN4NrjoC59Kcbo.	38	2013-08-02 22:51:44.956094	2013-08-02 22:51:52.205013	51		0
3189	10nk6oosirbc0du5opven2escc	$2a$07$.sMJkY4JmDUIAALXfAWiau7NhIjkFbNrq16U1dSpc4xamhbjpA2Um	39	2013-08-02 22:51:44.977922	2013-08-02 22:51:52.494854	51		0
3190	10b5govub1isq1kttjjslu0o4a	$2a$07$20CS0bptuf9WpCYxkVjx0ewic4b/uuodkoj7Mcwh6jxAIk1kA4ib2	40	2013-08-02 22:51:44.99948	2013-08-02 22:51:52.89873	51		0
3191	102n9yfo41t36r25wbvsggjvn8	$2a$07$U3BlVXBP2MFG6/B40BMV/uqNMTEdYcOEYs0fWGKw6s5UrwDxIysYG	41	2013-08-02 22:51:45.02317	2013-08-02 22:51:53.280979	51		0
3192	10x20ae2tpxey5kmcpch6aecel	$2a$07$OXj3pNqulpq/DFn4HYj6QeaR4pSZ148uhFg.smdV9hocPh6m2I5/e	42	2013-08-02 22:51:45.047719	2013-08-02 22:51:53.407348	51		0
3193	1051czexemog7sgdeyy6mdz6zn	$2a$07$Mueu3NAAhYhSEWv1BROwTuvZOTZKS7DfABHiuwDidhD8XOIdX/J7.	43	2013-08-02 22:51:45.083443	2013-08-02 22:51:53.813237	51		0
3194	10rqo91jnfnjyablqedjutrf3x	$2a$07$gYVB2PB.Oz0/tCawnz5yjuIx8uT9SDPAWVUvF9DmsVN/zHV4IhINy	44	2013-08-02 22:51:45.116708	2013-08-02 22:51:54.207589	51		0
3195	10yhq8o67mrzdzzjrlmeo7rvim	$2a$07$s4mUD3AgUl56oatwR0laUedhOvKp/HRyk86f8o3nbxlRx0ILDpXq2	45	2013-08-02 22:51:45.151479	2013-08-02 22:51:54.421547	51		0
3196	10khzvfus1jyu0elcajplkn86u	$2a$07$b3//Ocz94YFNsmO2wgdIve8EDmMEhp9n76XycgPHoddtlpLxe.fbG	46	2013-08-02 22:51:45.189332	2013-08-02 22:51:54.824078	51		0
3197	10yg8gvi53ppevdw0f1p1vtlot	$2a$07$yf8UTBia80p7XPqr3vR1m.0osgZMu8dIo9sfHD7FuKvTUC87eEDcu	47	2013-08-02 22:51:45.210958	2013-08-02 22:51:55.047541	51		0
3198	10olbbh1yi0xfcjdftectl0emj	$2a$07$snb5mklqw9XrYOHaFTbbGOALKwm2iTTWPH/SnLNqEGjMlHHlqFeLy	48	2013-08-02 22:51:45.232597	2013-08-02 22:51:55.252281	51		0
3199	103p4u5zmhin42goo8w3ufe9ff	$2a$07$hSPX94k2MDabybB/MumFJ.jzjFJFLD08CVuz/0ENUMo8K3NNlhbuq	49	2013-08-02 22:51:45.254797	2013-08-02 22:51:55.390427	51		0
3200	10l7bqh2702oytewh3x5xetpal	$2a$07$94PJXvg8UXHAHtddLw.ncO6vP9vSwF2Sa9bo41eEhk1mQWTNuXxtq	50	2013-08-02 22:51:45.276464	2013-08-02 22:51:55.511162	51		0
3201	10e4ihwrh08mcdln7gf22ay3ch	$2a$07$.k2/lWfJ8S3G5Gggqhtn3edh/pbc/RaVx5jUFNSNkgBdiENlD6z.O	51	2013-08-02 22:51:45.298852	2013-08-02 22:51:55.659587	51		0
3202	10uxafkcvbnid5l6aeqgsblmcv	$2a$07$JCSYw7GtuG0x3NVjfwoxZOqSxaDFS051KtjiVyUt0X9Hzqlt5Pvvq	52	2013-08-02 22:51:45.320218	2013-08-02 22:51:56.049609	51		0
3203	10fgkvfzdpmv2s24xvmt0t9bqm	$2a$07$P5YHKbGsZWiiIOtq0A6.AeKvDTty60cP86hwtvJSaGiDo76Jnpjbe	53	2013-08-02 22:51:45.342335	2013-08-02 22:51:56.443266	51		0
3204	10k04qzu7txsy3gc179vjx0y77	$2a$07$a7rjPS7BUlIr8D4.TENkFelY37YCCLD2n76aCTjir.owF7qs75NvG	54	2013-08-02 22:51:45.366497	2013-08-02 22:51:56.843126	51		0
3205	10kjftr0eitsgku16q7p5x6415	$2a$07$1CkMIbAUbcrlV/mULp3w/eybsJiqMMxLMFmCozw3vYdGWrA/OqHVS	55	2013-08-02 22:51:45.401877	2013-08-02 22:51:57.097817	51		0
3206	10nrl4nuiaqzcowx9tu8xwswga	$2a$07$wKdkSiccIZ.g1Nts0NcgNer0t7lxamGNnEj1kGxwY8lNJw.9AsE1i	56	2013-08-02 22:51:45.424765	2013-08-02 22:51:57.22068	51		0
3207	10vl5v6m5i9rby47jyzplvqqlf	$2a$07$SrSRNqbpUEor7ES6Qif71eCznTxzCwgTxfnb.D2FdncQCiN51COXW	57	2013-08-02 22:51:45.462029	2013-08-02 22:51:57.437474	51		0
3208	10et1qf5k6gb8scd3j844cfsph	$2a$07$4qifKFME0Y8W.6wV2d24Lee3apbWF1nhbS.6698Yw2VPUhqFZ.fV6	58	2013-08-02 22:51:45.492674	2013-08-02 22:51:57.810204	51		0
3209	10qx2bfsvuwkmtategn8ga04ol	$2a$07$/OMCPq6BiYXl.caBAbGjdu3vsfnqvQhyhj0dyu86JgxXGMvxNfJca	59	2013-08-02 22:51:45.515567	2013-08-02 22:51:58.185886	51		0
3210	10tx63rr7ldgu3ehrka80gn6xm	$2a$07$Szq7aemCdGVbvWYlMYNy4uA74Z522axEe2UGClaoyx3gnkm1sdb5q	60	2013-08-02 22:51:45.538842	2013-08-02 22:51:58.574503	51		0
3211	10ahx76fj71j9hjvolrbrmtbhd	$2a$07$Mum22ktDv6kB2X3nE.vN0u7xIbdGOpMJLj7XV8oq0KWDg3lsGA7yu	61	2013-08-02 22:51:45.560461	2013-08-02 22:52:01.26958	51		0
3212	1003j5ni02qz8n6omvzp8iwzbn	$2a$07$G3JEptIz1z35XBbzcxvJq.L6oKRn8QMvkaN.m1fACHvL7tSTQ.S46	62	2013-08-02 22:51:45.583261	2013-08-02 22:52:04.440999	51		0
3213	10j40wbo21bclkhaltj8l7e2w9	$2a$07$dnsYrUOE4Vv9LIQxYzbkZOMeQAdiW5o3MQpTlRHogjCYfdmjAvaIG	63	2013-08-02 22:51:45.607203	2013-08-02 22:52:07.565348	51		0
4222	10b4r3zxd6p0joysqcf9gfdeei	$2a$07$whSqe5EVEe0S7.MYb/Wp2ONcX7KB6m3huNMlFmApLDQjoLariwNFm	1	2013-08-03 00:16:44.091885	2013-08-03 00:16:45.634959	68		0
4223	10aovkvdlprqzqk2rjn9c8lbvj	$2a$07$2ovVLuy.xOy/a5o7oinJj.R5I/TDje5IkSqKSihi1l0cQt1MIGipG	2	2013-08-03 00:16:44.120318	2013-08-03 00:16:45.777984	68		0
4224	10vmcqnhdvnf7a1ssamv20a9d6	$2a$07$Rg5XS72B90jpG7isR8uzQ.xwHkqLApKJBc2HLU.9r5ZKefJ6cmDWC	3	2013-08-03 00:16:44.141922	2013-08-03 00:16:45.921634	68		0
4225	10ixjd3xctsghwzbj7vcc2fyhz	$2a$07$ycahsJ.u5Fs91Dq.H8Cl8.W7Qf3aRYbXHEOOtAbCKFKxr/oywM1IO	4	2013-08-03 00:16:44.163419	2013-08-03 00:16:46.161959	68		0
4226	10uea3ng05dvt901esonym3ef2	$2a$07$KhE69SPYeNY2MLyuMT8LDeUHXPEU8uyxR.0fVALs2qT8a6gjw.GXq	5	2013-08-03 00:16:44.184904	2013-08-03 00:16:46.339807	68		0
4227	10k42mz56pti8trwmv81z8ovsx	$2a$07$Kv0PtEiO/GiUHDBGd8e7A.WFAE5JqqPTdhmr8h4jbapi3f8rjmCJm	6	2013-08-03 00:16:44.207467	2013-08-03 00:16:46.661175	68		0
4228	10lnjb9a9iefp5c7wvhr8qee6h	$2a$07$bIL587l2L0JY7UhDm1UH9e9.sOobhXcxUQLN8sMcDi1O1IXPW2ZX6	7	2013-08-03 00:16:44.230419	2013-08-03 00:16:46.858796	68		0
4229	10my0iiywk4vv4g2ktdpqyr9ft	$2a$07$9oCsyOrfXtopVRXYOLlK0ebs/LIDdR5WdpMTyMx9pXI80RcVukclC	8	2013-08-03 00:16:44.252205	2013-08-03 00:16:47.095822	68		0
4230	10jebeku9mkrc7qfkrxt6g71qd	$2a$07$iMFRChMnkZgyiLNQoKQK7OjylVeM.zhWz2Vi9gYwJ6pnRO4Cyy23a	9	2013-08-03 00:16:44.273927	2013-08-03 00:16:47.234493	68		0
4231	10igwh9e958rfqy8hv0hxjeciq	$2a$07$/9WdpzgDhSS8aBEaVgwCpOi1/xidRabYHzIdYBPXsx5fUAnX.V7OW	10	2013-08-03 00:16:44.296369	2013-08-03 00:16:47.371319	68		0
4232	10wkmrq2x83pjl7cpq5h6q4b7y	$2a$07$rNPJ30rmqQ2iEn8m.nEMw.OCE7Us224sMtLxi5f5xSF4oF8hRZkfq	11	2013-08-03 00:16:44.31846	2013-08-03 00:16:47.504303	68		0
4233	1011qzt4fmsiaw7kiat4ycjzrq	$2a$07$GrP7GEaHgWhVSG2tRQZ7w.cpWCSVN/dCfzK/tbeKilt6mhx8Y7Cgi	12	2013-08-03 00:16:44.340266	2013-08-03 00:16:47.637963	68		0
4234	10q3gxpofrrbvc2u38w7nm3jj7	$2a$07$iBMnpE0G5OBsmvXG3ijxXeZZcRAzHCxvw3qeuyL9svlh2K5..tU2a	13	2013-08-03 00:16:44.363133	2013-08-03 00:16:48.006354	68		0
4235	10pp1gs7oc2k0uenaaf95qwoy6	$2a$07$LDIF393aLsZg0wNY7CEmuOgh0ojaeRzTa2YkRJkwIegPZa.LeBPJK	14	2013-08-03 00:16:44.384967	2013-08-03 00:16:48.230467	68		0
4236	104r1gp5l19a9d545or4r32qz3	$2a$07$t47nK3fHOrDEnUeB6uY6Cu/y018VjSHY/PfNAz28m6CdNFEqfb0aC	15	2013-08-03 00:16:44.406654	2013-08-03 00:16:48.355365	68		0
4237	1021frbscvfchusgzk83i1mjwl	$2a$07$C9RvG/uYS.cqnGdbu2BhD.O57W3GQ4wqeiNHL8mShtJH8MsEea.J6	16	2013-08-03 00:16:44.42819	2013-08-03 00:16:48.626837	68		0
4238	108c84wtwvhimuuwy21fbpqw3b	$2a$07$nuWdzRzN4l/jOUMZcK1FL.qhdYurKQxTMl8hJwvb4avU3OQH4p/Mi	17	2013-08-03 00:16:44.44958	2013-08-03 00:16:49.161801	68		0
4239	10zrasb2g1cx922jwso7xzb9ev	$2a$07$epLU4.HjNUWdwyKutKE56OIXh28FZmJ3wFK4n9s21cQXeeZLP1w.e	18	2013-08-03 00:16:44.472131	2013-08-03 00:16:49.300133	68		0
4240	10wlbdid2wex3e0s7ngv2xt2kl	$2a$07$.MOiWmx1BgSElugHUJHT9O8BRpnT54IueejJdKMBNp.jTGtTG7BsC	19	2013-08-03 00:16:44.493686	2013-08-03 00:16:49.68427	68		0
4241	10o6b068zs61f4pmys6e6vug3w	$2a$07$ThJPbA27WyfhCvfwBKMryONI5268mWUzkvtXuAIcj1KrHik4y1ct.	20	2013-08-03 00:16:44.515517	2013-08-03 00:16:49.910318	68		0
4242	1040mjqjmr6yjvrybzoh567qdl	$2a$07$uZ1eMRmje2mzyxzjcvv0Vuh9VB0/nTcNsM2uMn1oUkiumrjAZlmzm	21	2013-08-03 00:16:44.538592	2013-08-03 00:16:50.271152	68		0
4243	10xcw03b8qnol7wigvbyavec29	$2a$07$d8ZRywjQOzi1hhtYgFaZJ.rQSL0aDmLSec/y7Aa9.295aEL0X9Yji	22	2013-08-03 00:16:44.560291	2013-08-03 00:16:50.617966	68		0
4244	1040x2y7hvd9of3g74v7f6oe1l	$2a$07$a5C9ernzNTMjOsTDvfQFRuMIPQ.vqD3qf6l4FT2ea9g9P02nBCFsC	23	2013-08-03 00:16:44.582941	2013-08-03 00:16:51.024936	68		0
4245	102z7ucibm62842qvk8b9kvy18	$2a$07$55pj/etGSR9gCUH54GAFrOj5pau34KpCDqlcmnDJRdn.1PoSBC14K	24	2013-08-03 00:16:44.604541	2013-08-03 00:16:51.154722	68		0
4246	101an6husf0wb2clflvh3fio1p	$2a$07$LxWFuzhWcdBDpf7uNc5dSeYOG4ZkMeyfJM1sHqVLyhC7IIH9YJFDa	25	2013-08-03 00:16:44.626138	2013-08-03 00:16:51.36086	68		0
4247	10pjypl7yjm129b8hrq8vfr6s9	$2a$07$ueAdM7gJFN7R6MkwaHNe7.fJbt2agIJKbS1h.YB/wDW4bSGj90Lea	26	2013-08-03 00:16:44.64768	2013-08-03 00:16:51.551033	68		0
4248	10t1xp3ve1fnznw2g2alb6fe9b	$2a$07$Mnc9MygwJJ19SVJwdNX63uqH5tkcjFBFlBu8dlczuZ.qVAlUmoxZS	27	2013-08-03 00:16:44.669582	2013-08-03 00:16:51.936838	68		0
4249	10a935tup4xqgcesa324vz8wps	$2a$07$1Ut8d/AiJ7YPnDZkRf9uleWmTKzjwr4VWm/jTh16AyzImeDbkHCMi	28	2013-08-03 00:16:44.69119	2013-08-03 00:16:52.312459	68		0
4250	10gud9a7r9q7gc2uicvorlgs7e	$2a$07$nCk3d4EzRFmkX7tRb1qkD.Ihcs/XLAGuGhVs0JWx6k/RxTfGjJAe6	29	2013-08-03 00:16:44.712719	2013-08-03 00:16:52.512265	68		0
4251	10y7f13g57dnyx9kzfcq1x5lf1	$2a$07$QJtR/TGs9umTPttCrUSxEeY9aDIpPBWXM/Aux695Ob2QLMeWec.uC	30	2013-08-03 00:16:44.73413	2013-08-03 00:16:52.651498	68		0
4252	108kfuk7z652f7laypbrffb2ls	$2a$07$ldy9v9hlmKtfsVA/WckgtuZz7znOCX93A9AeHVqy.sqII0uGcSRBu	31	2013-08-03 00:16:44.757212	2013-08-03 00:16:53.006764	68		0
4253	10y0fpsv1rf7tg8pcz9i4ui28x	$2a$07$9NgHVcc0gQqLa0/czD65Z.39ZbM64vkqxDT.YfmzB/4GTcj7vd4om	32	2013-08-03 00:16:44.780909	2013-08-03 00:16:53.345304	68		0
4254	10mfel9ho5rvj9u7ip52ipmqu1	$2a$07$5QKu4ADzAFWkbHSn5ho0TuqyqRnehvWCOILrAbDqORaf8PrV7D1JO	33	2013-08-03 00:16:44.802864	2013-08-03 00:16:53.712838	68		0
4255	100ahg6cyeiur5zxgclg8j2qv1	$2a$07$tXKvQjvO6H7MHlY/nlfFV.T3v/TBtVkc.P7s.IPan6IPqA3ilgMCm	34	2013-08-03 00:16:44.824323	2013-08-03 00:16:54.085726	68		0
4256	102yzvhjhi7rjx7ifximokifqj	$2a$07$A.4N/Cbs0OnCM6t471e7duh.ZmU3pW/ujjmzVaqjyz/ckZThMwFqO	35	2013-08-03 00:16:44.845799	2013-08-03 00:16:54.399802	68		0
4257	10ljq94l5m11en3bm3gp4lvcfb	$2a$07$ryGfF8gCNpQMcPBXDR7BouplJyHlTBC5yS6muLWLXHDHfllxiC4Sy	36	2013-08-03 00:16:44.868699	2013-08-03 00:16:54.585974	68		0
4258	10ot7542yp5fszvdjsqeocn82i	$2a$07$13AIrfX/ypZSDQhzWaIWQ.ndez2/ZWfiARHdFj3VZPCMgQoftbsu6	37	2013-08-03 00:16:44.892776	2013-08-03 00:16:54.970165	68		0
4259	10b7onv9li7l5zhbibx52hkax3	$2a$07$FHEdvJShpQanqHfubwKF5eMp7/rEnKzSiKNgKHmcVvlb2g3AQdLyS	38	2013-08-03 00:16:44.914794	2013-08-03 00:16:55.209845	68		0
4260	10oqk0dat9u4wt1j3rvrdqz9pd	$2a$07$nMcMQOi1mauAhf3XVZNIzuknFgFLQpVBZEmvuDXYw4u8O8LwPajpG	39	2013-08-03 00:16:44.936638	2013-08-03 00:16:55.35894	68		0
4261	10xec3u42x4y7cxwatcpwnpwkm	$2a$07$HNVTpcUXVJCEXPlJiclMPOXd0pGvQ2jYnZ9gnNLcoc2FtUvZLtFOe	40	2013-08-03 00:16:44.957818	2013-08-03 00:16:55.50275	68		0
4262	10gtuoojw6vfac0yv0cxvs46qd	$2a$07$pujIoHnBh9G97cM2M1Ot4.wkTwIgU.AcTQfwZOybNRam.p.UbIAzO	41	2013-08-03 00:16:44.978844	2013-08-03 00:16:55.645614	68		0
4263	10ypt5d5vaov7uhaht0c8h56jc	$2a$07$zpFmiIdiB2icgUdKBnmZOu2Om9jUwoosDrNmc2EQf34kIYgE9.ZF6	42	2013-08-03 00:16:44.999783	2013-08-03 00:16:55.78804	68		0
4264	10vdajk4lrdpihyw7p2ov0wxdu	$2a$07$UhZ7VRdwPNzagzm0p/FJyeS1zomRVDlwtt7Mn4uc9sl6Bo2qYhNTG	43	2013-08-03 00:16:45.021135	2013-08-03 00:16:56.154997	68		0
4265	10oeyx0p6edflkp0c6qapk3zur	$2a$07$7HIXxygKI7/0BZDo2beBoeZPFOyzHLkd65gRwwCpc9aJIcgk09E6a	44	2013-08-03 00:16:45.045258	2013-08-03 00:16:56.516148	68		0
4266	10liz0xnwn64owsst9cp8a83pl	$2a$07$y9keflEvTP4BPATfX.W6UuEz/KBQlF2W1mZxOALGgnbaI8Gukul8C	45	2013-08-03 00:16:45.080733	2013-08-03 00:16:56.888063	68		0
4267	10jsn5g8k0po16y0vgp4bmiq9u	$2a$07$NY5a9nyg6Sjv5oTqspnLee837JwhYcVXwlA.ZZJf4KzOYcFREAWw2	46	2013-08-03 00:16:45.11662	2013-08-03 00:16:57.113443	68		0
4268	105bjvcfzgp4vkh6a4r4lt76ae	$2a$07$i.HeamIYyik6V7MmkMXyou2U8XNUFu4Cwke42CNhMbUIQWmYBy6K.	47	2013-08-03 00:16:45.138243	2013-08-03 00:16:57.291052	68		0
4269	1051jba3tuixmlcln2khpaeqic	$2a$07$FXKVc/d0qIvJyRRM.T1JPuy7WyL7QgQGgBsMhuvlmZIKW5VejScaa	48	2013-08-03 00:16:45.159837	2013-08-03 00:16:57.674166	68		0
4270	103pjlobv60ewvbikkfg7y1o20	$2a$07$VRdfSu9B1vbyp.jypLQfM.1BuZYbxQzKFOtJGhSHnTF7lR.mcj6Dq	49	2013-08-03 00:16:45.181455	2013-08-03 00:16:57.819167	68		0
4271	10y8eyt5p7rw1wg2z2gwi2dd0u	$2a$07$FCl0e8QRNaemt5OZ1qqZtOWeA5HtjoC.ikndHE7OSKGd8B.Clfjt6	50	2013-08-03 00:16:45.202827	2013-08-03 00:16:57.959852	68		0
4272	10qxa13g7p8jog9zd60wbzo69p	$2a$07$ra2fkQrlx9f7zG7ySE0s0OrO2K5YwUSrk2x0IsgXp0oNDuRa1XIiO	51	2013-08-03 00:16:45.224452	2013-08-03 00:16:58.104512	68		0
4273	10zdk1putt0bpbjmfptqe80abm	$2a$07$lw9YnzmtRYP7fluRl9IIDu2WA1pvnZGjdkkdAGcZsZ99erEpyJgkO	52	2013-08-03 00:16:45.2458	2013-08-03 00:16:58.227916	68		0
4274	10dx28xkbx6yrp3mm87j803qak	$2a$07$53WcqaXP3RR4GvbM60qOSe5blVbjBuFvn0QfyIa.SesW5yDUgPjtO	53	2013-08-03 00:16:45.267288	2013-08-03 00:16:58.380817	68		0
4275	102v1gs7piun1rddha2fpife7o	$2a$07$hOkx636X1I5eRnZ.Gbyh/.JrdX7wEKp.P5hxmh.sl6b7exblbKylS	54	2013-08-03 00:16:45.288516	2013-08-03 00:16:58.584933	68		0
4276	10frq2510gns3ey983y387f004	$2a$07$XgCCNo6Gz5Gwp1ZLtLtYve6wkpeYBA20BnnTpSrRvrb3Ys0rkJd8S	55	2013-08-03 00:16:45.311755	2013-08-03 00:16:58.948307	68		0
4277	10r1x0fbc9i6ex1w2nq7gsgnyw	$2a$07$1pl98Wa1QlvFsZ8PP.mQCuOHd2LbJcupK/dFY8Oy4Np.tKF5t8k86	56	2013-08-03 00:16:45.335724	2013-08-03 00:16:59.320516	68		0
4278	10jb7oj49kxgk7ywlafm390i1v	$2a$07$BSmfTEIK22.w7y4YV6TyEOJS8NjuvpCxLvofUkr1jfh3oJK.2CLCG	57	2013-08-03 00:16:45.358756	2013-08-03 00:16:59.694199	68		0
4279	10kwzaepvcnhe7pn92jq1vxgr3	$2a$07$nfEBZY/AdEA7F0Ywp4hRu.iN5Z7DVQqnSM2NeNmxDSVfq3rIuqCiK	58	2013-08-03 00:16:45.381276	2013-08-03 00:16:59.922944	68		0
4280	106lwlhf7sgx2aiqh07ytldh1n	$2a$07$hnFKXB76WBVQ/HfuqGO/De1Ru9JqzCZbEOLeDeQuB7r8DkzeIZ6hS	59	2013-08-03 00:16:45.403138	2013-08-03 00:17:00.043978	68		0
4281	10m5o7juj7f7qdxafnt1lj7www	$2a$07$GmuVYHNKmtSxVNfoZMsvs.UuE6ev8oNhqLpgwMp064yScuIm8qsm6	60	2013-08-03 00:16:45.424582	2013-08-03 00:17:00.192919	68		0
4282	10zcnfkrktpal89m61gc1bzump	$2a$07$emCMFW50Dn1xmm3hMxigIOLCWXWkA49LdfAiQ8CDFylWsLkjqDbDm	61	2013-08-03 00:16:45.446166	2013-08-03 00:17:02.798491	68		0
4283	10esq4g002o8uhj5icbypp9lni	$2a$07$e2rPy7jMk9.w36EtKP4NO.qH0Ak585XvQhAkJOE8bGzjykGYpePZO	62	2013-08-03 00:16:45.467698	2013-08-03 00:17:05.8393	68		0
4284	10pwryif54vdsfbsvftnqn0q9s	$2a$07$Vo/OY9w8VgXuJ7c9Phg92uEjX3nplaRyCxhuakgqcgZhm2OxuuY1y	63	2013-08-03 00:16:45.488959	2013-08-03 00:17:09.145432	68		0
3214	1009t39r0sg55ify3lnrrxmfga	$2a$07$4ppT.iXp8VRhopgEFiZqw.JhBVbPK/MC7k3OHXbuaiR2ppQUkYmDu	1	2013-08-02 22:56:44.100177	2013-08-02 22:56:45.954843	52		0
3215	10tjnrjqcmtfw9l0idny0ofivp	$2a$07$hFpz0sQ/Vn0eQQ.TFSznUejeIYW5iGS66dufn.pG9HxvbNp4h6ISS	2	2013-08-02 22:56:44.134727	2013-08-02 22:56:46.149987	52		0
3216	101fexs0re84fjrytdbta8jefm	$2a$07$UCXqbA6VrGL4.Il5suLdSujeqrBPxbFWplIS1vJFg4mMPGxBcaAse	3	2013-08-02 22:56:44.157856	2013-08-02 22:56:46.364628	52		0
3217	10zsad06v6h0j025ocdrj8nejf	$2a$07$GV.8lbun11b3DKk63Z7r9OPoqwL2h5whPGOLmg47Xnt4Wlk2CHXhm	4	2013-08-02 22:56:44.179964	2013-08-02 22:56:46.510722	52		0
3218	10yfmo9hw8gimbb5hj889n1b0p	$2a$07$fE8LpLIB9QwQa0bjBGbLvOvgeYuWvEH/9uVod3d9cJiMILu3MUiqi	5	2013-08-02 22:56:44.201888	2013-08-02 22:56:46.672833	52		0
3219	108hsxk5uybtpe4lqqsfa66nwk	$2a$07$AdsGngKrvk7bPIpFt9L9MODaga5U4g0Gx1ljYdag0rZl/VFQJ8.wW	6	2013-08-02 22:56:44.224185	2013-08-02 22:56:46.825407	52		0
3220	10b3e342y03oczd2hg9iru1wdl	$2a$07$n3c3P6Ytwg8pKCamQtunJ.U9rWKqvL8FgiuGwHWjy25ZnxAsJkAlC	7	2013-08-02 22:56:44.246858	2013-08-02 22:56:47.20046	52		0
3221	10ju96ebl0ccqw973pi3vncrjn	$2a$07$DZobjg6V9PwkzhLuox4BqeyAi.5RWWCGPzhbOXpAQUpei5NKZ1uxe	8	2013-08-02 22:56:44.270021	2013-08-02 22:56:47.571587	52		0
3222	109udcv9zyfee0gbw8knqk03ag	$2a$07$k8rdgCA4zO4ON6pN5Y6ZGOOTHQCeC2rWHdH0W5HLf8XPw/50it0TK	9	2013-08-02 22:56:44.294122	2013-08-02 22:56:48.007874	52		0
3223	1028jcshd0559r69f8nonec0ml	$2a$07$yOh0JIL9IoPp7iXI1Iffwus8X5eYjmpgjTF1FHdeGDozGbRDtbDSq	10	2013-08-02 22:56:44.317161	2013-08-02 22:56:48.142983	52		0
3224	10apf4fso66jp3mopv3r6xgnlj	$2a$07$GacrSE37Y6bkTsR4oaJubevb6em9XPXS1pxyOnI0xyhSqR9UPeyiG	11	2013-08-02 22:56:44.344177	2013-08-02 22:56:48.274379	52		0
3225	10hzsof2iw7zm8pzwheap159fg	$2a$07$W5OXDSHfGGptvjbu6kZ.RumsOP41Cw77nwF/iCIZtvTmY15oN7dmy	12	2013-08-02 22:56:44.36717	2013-08-02 22:56:48.41343	52		0
3226	10rkur20h6ij67jfrfbcpogq1v	$2a$07$foek7CqzL53nOdsm7niSjOweeQv/bcR419lbETyB2CiiZ2QcXyImu	13	2013-08-02 22:56:44.390795	2013-08-02 22:56:48.634939	52		0
3227	10jfuv54es21qtz9nbc4mb3k38	$2a$07$/PnNeFe.xiEAMIeo.FE6FOq9XghPmtXi2olIQhohIpHuG2zHwT2LW	14	2013-08-02 22:56:44.414575	2013-08-02 22:56:48.854269	52		0
3228	10s9z7x8s5tqvv2q1ziea88yve	$2a$07$apPsXmNa7ciugW58QNK8c.bwfCIA8GdBAzQKLuzLIv8wq6iMMspDG	15	2013-08-02 22:56:44.43769	2013-08-02 22:56:49.13817	52		0
3229	10qvwk65riz50bb04fhzpwphy6	$2a$07$IwEF21NaxKvRGj04bpjdBeQfCoIq4LrKioOnlwy2IfSn0zqpoaLyq	16	2013-08-02 22:56:44.460457	2013-08-02 22:56:49.540836	52		0
3230	10oftbx27mr2fup3c8z0imna5y	$2a$07$PDE9j1aOJUWNZC3oITdxi.0m9lAb8w0lpqS3Cse0iHQXXuSjKJ9EO	17	2013-08-02 22:56:44.482469	2013-08-02 22:56:49.880522	52		0
3231	10cvwedudo21oeshf5b4npfu54	$2a$07$.VYNuxe.RyWoC.VWdNj/bu39SXZSaCd8YZVZCB/CVpbN9CxTFLaze	18	2013-08-02 22:56:44.507105	2013-08-02 22:56:50.030556	52		0
3232	105ixaxgspxxpvcj13yz4phexn	$2a$07$BxIIwOON6nP0ZHouKXS6luZywHU2kisnX7odWXiGLJk5MBhvGVBEO	19	2013-08-02 22:56:44.533263	2013-08-02 22:56:50.170076	52		0
3233	10tf9c5lxwju68gnnbeizx3rl3	$2a$07$zajBJGC3KjdKEFicwwTSWOtyofzB/6sHkd9mEKisohdQVpXdFi9W2	20	2013-08-02 22:56:44.558039	2013-08-02 22:56:50.296728	52		0
3234	109i9hq4u7chfkt7pylh3el2q5	$2a$07$9pQXw1eRc1aDeBQKpTX12uBh2Q4xy1OBY6lOmT.b0t2M47WTn6vZm	21	2013-08-02 22:56:44.581288	2013-08-02 22:56:50.432195	52		0
3235	104ti8hijuvduluz89sft49qex	$2a$07$cmLk4X7dDoEevKHyHJVr7Ou/5WgfLDsBKWkhzd6mXb9rggBTKZsYe	22	2013-08-02 22:56:44.602899	2013-08-02 22:56:50.824291	52		0
3236	1041ongi51zivmny4gwl7utijq	$2a$07$QlUqC5XwK5gU2FcPyW8kWO2RSnSIk6.hA3xPb9se4e5NLcwxXha1S	23	2013-08-02 22:56:44.624484	2013-08-02 22:56:51.234877	52		0
3237	10bxucwmyortzdz9nn44fpnmqn	$2a$07$BQNmL.apEwP/2c/vWboj9uah4yZIqzy1ojS82Oe/0kmZpljohootm	24	2013-08-02 22:56:44.646191	2013-08-02 22:56:51.422488	52		0
3238	109menyq3bjz5ihr2eh93za2v3	$2a$07$UBgZASF8gv.DaDoKnHxGuuHnL0NE6vIXsNn4rxTgKLGuvsUTJH/XS	25	2013-08-02 22:56:44.669181	2013-08-02 22:56:51.730798	52		0
3239	10u2p358i9srwx4n6l12cgst53	$2a$07$qmOwtKDWIsCMb0EPn4AFHehu6JOeZEpKfdB0NUtHJZjwhjXi4dNeS	26	2013-08-02 22:56:44.690646	2013-08-02 22:56:51.893873	52		0
3240	10wo6sdv7yygncwp9g38rixa3l	$2a$07$95uTMgSFA4OZGnI5nMNXVuuCHzou9quKa644PhtoCXzsbcCnmhQM6	27	2013-08-02 22:56:44.712572	2013-08-02 22:56:52.09098	52		0
3241	108wj616vndpjw8qdmc3tvns28	$2a$07$lsKM/p.RQldKWcACTXpd5.YVdS0qlIp.HrSuzi2NSFFpfw7Igdfoq	28	2013-08-02 22:56:44.734253	2013-08-02 22:56:52.323708	52		0
3242	10jxzcyi7lnuv4dr4fynaqrzjv	$2a$07$bc8EjPxpRZUIHeqvOqwXjeKVr0Q5qYyEUqJNJ2e/9AIzkx6YPZbhu	29	2013-08-02 22:56:44.755628	2013-08-02 22:56:52.458797	52		0
3243	10ghz9kpwer4vsirjgizf9h3gs	$2a$07$BJukqcGsXz0IYVNdesoXsuMGeT8i.CphN82lsiZ7O1VF6fsPT/Kja	30	2013-08-02 22:56:44.779652	2013-08-02 22:56:52.654271	52		0
3244	102nan3vd7o8h5h1d7l8fruo6v	$2a$07$mGczCOkRjnBWogBmflU8pOarTI1rgwB5d//mZobrlQeYYPHDW4qMe	31	2013-08-02 22:56:44.806094	2013-08-02 22:56:52.785369	52		0
3245	10iab2c9drjt9htqbs3aaibifo	$2a$07$qYWg/Stwyjm2oENw3aw9GurxhQQ36t.CKTR4QpckIU1pPVNgSJ7ni	32	2013-08-02 22:56:44.827654	2013-08-02 22:56:52.900581	52		0
3246	10lwhrzqw99hs1vrxn0mpm6gqd	$2a$07$jfVnMnbXifEvID2DhFOuduR0xL6qxlum3yIzXeD5EOfgZ.w432Y/O	33	2013-08-02 22:56:44.849292	2013-08-02 22:56:53.015996	52		0
3247	10nzpx95lpr7bkn67jv79yv0o3	$2a$07$jGoDyQGFaf2I4lp7uz98OO9GL.JvltGJLAgWJhv3AxO.x00hvUe6.	34	2013-08-02 22:56:44.870952	2013-08-02 22:56:56.742096	52		0
3248	107a103q8z0xnvbpxx34jvxi5u	$2a$07$L6ZLp.tY2ySriZC35n.okedEkX8hfFY40szYsyQiF4ptRsWQb5Tqi	35	2013-08-02 22:56:44.892601	2013-08-02 22:56:56.871645	52		0
3249	10dzihs63gqvp6825yoq7684da	$2a$07$jnFCXmHfduS6i4OaKWlPG.dluss3AySnvZVcilthdDHCySSAnOkHq	36	2013-08-02 22:56:44.914319	2013-08-02 22:56:57.006457	52		0
3250	10lawffgmgiaqufhzigpdyvwl0	$2a$07$nmNtCLtoSryB7D7LMxO8jel7xM2P.rhhfnK17/55t/EuizAHuu8a.	37	2013-08-02 22:56:44.935669	2013-08-02 22:56:57.384325	52		0
3251	10eogdpd8rixua99i1iowkyta1	$2a$07$BM3aJQa5oHqO.b2W.R6jweG4wfB.FmkYKZE9fjIRxVxchgU0d6jEy	38	2013-08-02 22:56:44.957032	2013-08-02 22:56:57.529902	52		0
3252	10obdocybn3ilghgr47h320z7l	$2a$07$hJw4qJsP1dh4OOz.7iOIT.IHLHBs.4dEr12KdpVS/Rltqofy9SThK	39	2013-08-02 22:56:44.978486	2013-08-02 22:56:57.730702	52		0
3253	104x5t2x4ndmsj7wc2j35spukd	$2a$07$.uhPrRXlR.0m/YKw0OfuEulKoK7YzMOyyD5KYquLzZ83OgaeetYsC	40	2013-08-02 22:56:44.999868	2013-08-02 22:56:58.109419	52		0
3254	10l74mxaw37t5juh6ij47g69ey	$2a$07$wYLSCrBQOupqV7vxgPVWCONYu2gAcX.0ib4bbQRMSIp3Z2h/XU7Gi	41	2013-08-02 22:56:45.021322	2013-08-02 22:56:58.48631	52		0
3255	10jqa6ddsm1b0q0ww1gc0boqdi	$2a$07$Upg6Fg7a/vMYogWzcXVQA.duVAEVL4Pk7OejTv3J62qjyeRT.49ge	42	2013-08-02 22:56:45.04293	2013-08-02 22:56:58.876742	52		0
3256	10lb535hh7wguma5mi70g29rr4	$2a$07$v/OI5KnO.UQm8BhgcwBbA.97CAs/IlsjTcuVIRIb2/aRVMzXqiwxK	43	2013-08-02 22:56:45.064581	2013-08-02 22:56:59.117266	52		0
3257	102uxwynry6ropn9ovqszklezi	$2a$07$VAr8wRzGI5FOiK158fyNvepNR.ZJdpmpIpv2xlmpXb2tJFe9j0Fjq	44	2013-08-02 22:56:45.086035	2013-08-02 22:56:59.320188	52		0
3258	10zsq8crbf41z3ry8lfehzjmvx	$2a$07$MM2Mj69sD7F1pCIckK8GAOl/OgzuWsotsKaxqAreBprM.UGoSlkKW	45	2013-08-02 22:56:45.107326	2013-08-02 22:56:59.602907	52		0
3259	103g2yv16csj6wbw2b3zl5mx89	$2a$07$0X4RVDMUTZM4C15wYdHqGOEp9BL7wpC5iASU5CoremfQSOv98ACEW	46	2013-08-02 22:56:45.131154	2013-08-02 22:56:59.982821	52		0
3260	10q5164xy2wmthtpjh46eyjw6c	$2a$07$JV3QJMuFhr5HNNC0q50g6.0FGz/YMjXiLC3Qd/qJddGlfukgDNCqq	47	2013-08-02 22:56:45.1562	2013-08-02 22:57:00.161322	52		0
3261	104bq8h9dnwmvflczxj5cat7ip	$2a$07$GIYDJMfrZEy52nD6fTJSOO82z1lO1.ZZrqKw43jixeVbXhLeeE6Ta	48	2013-08-02 22:56:45.180702	2013-08-02 22:57:00.437862	52		0
3262	10r80ghiyqqk69q4gy2ks88wz7	$2a$07$A77ZAhHT/Mzb5gDsadn36.tLjdeibKuPPmt5KKBNSxKNPvAAynbUS	49	2013-08-02 22:56:45.204979	2013-08-02 22:57:00.561322	52		0
3263	10vdsfycv4wsqapms57uuo7fta	$2a$07$aeySiyP8fLrkMpu4sywblu76hwqsQLrSkIDl9tZkZCuWo8V2kiEHK	50	2013-08-02 22:56:45.238896	2013-08-02 22:57:00.70113	52		0
3264	10asoeutsxvurxcxba79g887ul	$2a$07$U2dxQ4oOJfeokHHmHoxFMuD4etgE8rFpp/IgHzbKiyQswvqHKWOk6	51	2013-08-02 22:56:45.273407	2013-08-02 22:57:00.839885	52		0
3265	10dht0l3r6ai7cr0cnrfq8628b	$2a$07$A7euQVglbIDsWon2tKwafOnHmQIsLhW/B4XAQY9Qfx5suv2s9FkEu	52	2013-08-02 22:56:45.295473	2013-08-02 22:57:01.245212	52		0
3266	10qasid36wibxn5sqccevcb3he	$2a$07$ZAsl73rfy.n8uzZcUuHCAeFkNMdxXmPp6g.PXks/k/RnQsqb7th5C	53	2013-08-02 22:56:45.318007	2013-08-02 22:57:01.62903	52		0
3267	10vug6wrawqbzduc8ickrcgef7	$2a$07$ZVZzWpW.rxHzT3w3uMnmDOwKEfeWkptsJILGNrASJfZt1Ow3D5/hi	54	2013-08-02 22:56:45.340217	2013-08-02 22:57:02.022055	52		0
3268	10862sjx9y7ikzwx9d35k2fp3m	$2a$07$o5.I.07RghFrOieNULW8KOlyA8UyeZPZe.DjRaYivkRY6adsigAh2	55	2013-08-02 22:56:45.362615	2013-08-02 22:57:02.359238	52		0
3269	101sx3r6585rmv23cete9pjw1m	$2a$07$jIagrq1W65Gw.pRUQDdaauXbX7X5uDUIovolznudAS6vSnaExswLK	56	2013-08-02 22:56:45.384587	2013-08-02 22:57:02.535372	52		0
3270	101fbk2tj0msdtmqnzol99niw5	$2a$07$Stz2Bm/B7mIjQT/HYKZmqe.jXcSpbkOivviavG2UVSxxbE4WPLkEq	57	2013-08-02 22:56:45.407745	2013-08-02 22:57:02.800106	52		0
3271	10jru3xwi6bw5598q0tva5x94k	$2a$07$GWAaloQZyQYQl/pbL5fK5e/ZxRdn6qc7hwLbUJSfSo2LsuxBcsHlS	58	2013-08-02 22:56:45.441507	2013-08-02 22:57:03.033316	52		0
3272	1005q12lx5xebzgig6s88mtgs5	$2a$07$syH5rvEewGKFrVJv37BcCeraIBwCwkow/3pm6NXN4r9XoMCveetOm	59	2013-08-02 22:56:45.463443	2013-08-02 22:57:03.254857	52		0
3273	10sdkc96xuf0wjha1sgb01sqpp	$2a$07$TkSyPAxfo.ZSi.jgROU8buMjdzLOQU0lN/CROzA5.OtzZXaSDZoBK	60	2013-08-02 22:56:45.485665	2013-08-02 22:57:03.540393	52		0
3274	10ueh87dgpby0bioz0p0tik6r5	$2a$07$F4kITYd/mNGj2L0lLDxdNe4iK0K4gLDcbhjRoJh8gEGZD/U5ZnTHu	61	2013-08-02 22:56:45.507587	2013-08-02 22:57:06.127859	52		0
3275	10mod8iau83ptikz1ncb1qaolp	$2a$07$XArovT.6OMwn/BwjGATEd.0elTBYUDYJ/DHsXCUVSmfcJ8qveC4O2	62	2013-08-02 22:56:45.529056	2013-08-02 22:57:09.455385	52		0
3276	10jljmxioti8id8hv3qghr5epz	$2a$07$ujJkfZXNZs32VAax1jnaT.q0MIdgVmcj/KKwzBVYzGQIlCnHF4P8G	63	2013-08-02 22:56:45.550604	2013-08-02 22:57:12.450236	52		0
3592	10e2nc2ssv9d5fz7jpo146s5rk	$2a$07$kM6j9CI/dkShbV8G3GsDTOBaq0mvVWEP2zZiA64bsNnpn1vKjStIS	1	2013-08-02 23:26:44.087957	2013-08-02 23:26:45.764293	58		0
3593	101whdlb4kxblmulte92p25ljy	$2a$07$GSfPqPTDc314PyaNRHD9bupwbykgVskEXFbl9s36RWffO8viHZAkG	2	2013-08-02 23:26:44.110808	2013-08-02 23:26:45.954683	58		0
3594	10cyrq4ewn9ju3bz2aicg52jel	$2a$07$XXEqG4IxbwTw2Iy.r9q2jeg4hMFlvy.SwtHGrUnzoUxpOv58MlhFO	3	2013-08-02 23:26:44.133407	2013-08-02 23:26:46.2592	58		0
3595	10ufonuu8c2m36pkol6cgw75wv	$2a$07$pTNAh4HQKVH0UE.Fhk2kUuF/xkocsIzEkdLPJ1c1l1bFg.gVW08Cm	4	2013-08-02 23:26:44.155042	2013-08-02 23:26:46.522597	58		0
3596	100kw44mlh7s6u8parcilgep1p	$2a$07$E0TJ.oVNEzqzdY8TvWNhDOt6esQsKCQ9YBWIqqbWJ4zH7Ny0Z7j0y	5	2013-08-02 23:26:44.176886	2013-08-02 23:26:46.692111	58		0
3597	10r65ge4ts9tcdb0aph9aqhs8m	$2a$07$xb5XFat4CSlHITTHo/AANOXmc/198.MUkXg7qCFrNKS7.gEPFkBO6	6	2013-08-02 23:26:44.19829	2013-08-02 23:26:46.851581	58		0
3598	10qkuhkv0vcy1y9pcp1tk3unjx	$2a$07$YRbdK0lGhJAvMw9rgWYhFOyFv9YheUYyhPQURUJpjHi189pb99dZS	7	2013-08-02 23:26:44.219752	2013-08-02 23:26:47.242864	58		0
3599	1017w6lclun1iq56jz8spfz6j5	$2a$07$pWZ9r8H8ml5FQ42NOdELHO3tu4iPQEFn8Zp3KjLQGjkH/octqIk9W	8	2013-08-02 23:26:44.241227	2013-08-02 23:26:47.62446	58		0
3600	10kzeglzjbwixw0qajgif4xyxm	$2a$07$qeA5b02gVcaMKbIah8J/IuO2n5ZDgWkZRgPImyLtn9KQOQn49pbRq	9	2013-08-02 23:26:44.262817	2013-08-02 23:26:47.978179	58		0
3601	10vkag24kxgn4bt8yeibvu3ahq	$2a$07$ZUCEIExCh2he2w2IzSwb6eBRHuVGaXF63wk1iYxZtBchxlMJTXefu	10	2013-08-02 23:26:44.286019	2013-08-02 23:26:48.106355	58		0
3602	10omqbrrfzungiyt01d81dlkpp	$2a$07$N624/6eUhGdIl1o5EDjSQuJvHfSfRVHISh0FbzD1KHEaNtMsxMQii	11	2013-08-02 23:26:44.311551	2013-08-02 23:26:48.242023	58		0
3603	10lfdqcpoo56u1mlgz58zywjn5	$2a$07$8R52y05xU2uQu.TEooCME.CudLn4tEcCG2XBCRvLUA.zjcBsgr1kS	12	2013-08-02 23:26:44.336364	2013-08-02 23:26:48.38299	58		0
3604	10z5czlsjb5ioiwlsnsnx1od1w	$2a$07$2HbEu85Cjc588tZFooGln.kklVaX4eQE6aPUlvTK1kX6oFVWPV.i6	13	2013-08-02 23:26:44.363781	2013-08-02 23:26:48.779266	58		0
3605	10iosbgg0ucfywlareq3fy0e70	$2a$07$.DeeM1LTfPY9dn9efipKCuIhuGbyHzsjFZqhFUiK10uPEBm7Kbgjq	14	2013-08-02 23:26:44.395041	2013-08-02 23:26:49.041854	58		0
3606	102icdo2crv45ko6l7yetfz2np	$2a$07$ZefD1RrcOt8QgTvx85n6e.AIf8z1EPChW6LrvNEKNggYKSrH2t1nS	15	2013-08-02 23:26:44.416938	2013-08-02 23:26:49.238129	58		0
3607	10xjytu4n9zeeica1pkeidpua8	$2a$07$M/bJ2U6FWVtjohyG5YqqweMWx.KmxsUpLRgULkFfr0bpjkOvGrtYC	16	2013-08-02 23:26:44.438776	2013-08-02 23:26:49.631717	58		0
3608	10tp5fq6wss68fwcm9i18xdg72	$2a$07$hYG76/cCHzLPrJ3HXQEJFOjxhBOpHk32MuSvrWhGm0vZIBsHCUs9m	17	2013-08-02 23:26:44.461609	2013-08-02 23:26:49.929517	58		0
3609	10365gaaaeb6p43uibd582uvov	$2a$07$QxbwDpnp1fS5J4O016HKducRdcy9r4Ne1jrBZ3pAtGLRx7taUlrpG	18	2013-08-02 23:26:44.485101	2013-08-02 23:26:50.0812	58		0
3610	107enxdyhf67k2wfzbr7apnz88	$2a$07$JlRI9qG5ocGoG2dRa3KyzuqgPDjwVFBXhMeya7ghsevU42GmcDEQG	19	2013-08-02 23:26:44.508139	2013-08-02 23:26:50.450736	58		0
3611	10pe93qg5e49ia3hlcmn8t5bgh	$2a$07$X/baduG04VRZBvvqAgMufOf090ngYpZTVeI4Y0e1W5cln5NLxpyRu	20	2013-08-02 23:26:44.530043	2013-08-02 23:26:50.815722	58		0
3612	10xapyueu2nsydgdxpvxvtugyn	$2a$07$MMttYvv9MEc0FWG9mN2d8.Ier82u7nOqp.r2cm0eaBxVpp51S0G8m	21	2013-08-02 23:26:44.554047	2013-08-02 23:26:51.181025	58		0
3613	10tsw6czazm05vzrea91fjh65m	$2a$07$WPuUxHVvtuMCvex7rVAZA.sa7xiJnVxxqNbJBonYOeKPANvXvCcle	22	2013-08-02 23:26:44.578835	2013-08-02 23:26:51.422913	58		0
3614	10r2jlh8xtpjt9ierj52kym9ao	$2a$07$S1guP1inc1pvbrvtClGxhuzFpNx0je6WF6h52LyW0O0Jjw9gBNpFO	23	2013-08-02 23:26:44.602864	2013-08-02 23:26:51.658465	58		0
3615	104ta5c97k2wka7gtfezvasln5	$2a$07$YIbp.yz.UDGrxDFgWFtdnefG11lWgO/SoxkJjMb/ML4IMMd9KGwPO	24	2013-08-02 23:26:44.628998	2013-08-02 23:26:52.038079	58		0
3616	10hkgdhmahebgn6ns7j403gqa5	$2a$07$KzrNECPGKa.wXogXySxJzeY/N.gwioHY/8AH.iV0XbyLmON3D3dqO	25	2013-08-02 23:26:44.654452	2013-08-02 23:26:52.207099	58		0
3617	106tkyh15ldck8xhodtwn81bsa	$2a$07$5nEcgayUGWfOI5/xCTSbuuPFcpJYdZ6qITAh.ZZyb3e89SP1eHuhi	26	2013-08-02 23:26:44.678236	2013-08-02 23:26:52.407506	58		0
3618	105swypt73ere45qtlstk64dl1	$2a$07$CeEqhrCSEbyTnaxiqWQyG.Iqk59zsQup3EAAgWeFKZLEqiheMs5Ii	27	2013-08-02 23:26:44.701931	2013-08-02 23:26:52.740605	58		0
3619	1028e58o5v3qtnkd4o6mm9409j	$2a$07$.7/ogGGU512lecJ/jhGvt.h1Ua5ooaq.unGRs0A05Dh8BjdHL8OVK	28	2013-08-02 23:26:44.728309	2013-08-02 23:26:53.133576	58		0
3620	10fh30vhrjuby88b4klf8xsjyk	$2a$07$.qiBVV9YgabKz2RuBA1n0uFnDCVL/TrDYLRy9xU9Gj3WuxfP31aFS	29	2013-08-02 23:26:44.751662	2013-08-02 23:26:53.360205	58		0
3621	10ehp7hzerkyl7bhstkp1od1bs	$2a$07$bMLEfy678ZVcKuoGrGZ0nOBpQtAcI9wY6qksCywSPlJ9dhcOTFK7O	30	2013-08-02 23:26:44.778778	2013-08-02 23:26:53.538872	58		0
3622	10oku3auasmtfl3jwxa1dmve38	$2a$07$a9EO5VGkJ8YnFH21y5xDQOUhCBU13wxWJgArCXZUHZLqhwxXjO816	31	2013-08-02 23:26:44.801999	2013-08-02 23:26:53.664436	58		0
3623	1083y414cw2h6njv6vgbsjq4fn	$2a$07$.fpl/iGqkqgf.fcs0HZvKuXu.LOk91OiGf8PZRaI5RhrThurLSqki	32	2013-08-02 23:26:44.824472	2013-08-02 23:26:53.81725	58		0
3624	10h5dwwvnp1vg5oxl755azw0ls	$2a$07$qVCvOpl9xC8EGGMF13hW9OICeSrObrYReeGQ650EpcZfRcZMsq9xi	33	2013-08-02 23:26:44.846403	2013-08-02 23:26:53.939709	58		0
3625	10rk8slsa9rbgjg70m4xu7q3vo	$2a$07$qbj2LPtHb8cdtUl5mVYlvObxXob3r1F/L7qN2oVhT9Ll69NfOjAuC	34	2013-08-02 23:26:44.867829	2013-08-02 23:26:54.355487	58		0
3626	10j6fw03cgwr5ff67mfskzy9mj	$2a$07$gV6oASL945ZDkzLO1ZW2oeezyCQ2w8oKxPfaozXKR50b6MGhlH6WK	35	2013-08-02 23:26:44.88951	2013-08-02 23:26:54.743965	58		0
3627	10aeax59ac4zbcfgfxd1i1qddx	$2a$07$BkyIb/lR4SjHwjhc/nlqdeEJYNNsSG2U.dEwUWfmIXxF5V0V2vP..	36	2013-08-02 23:26:44.911383	2013-08-02 23:26:54.952141	58		0
3628	10arvoagyqg5gpmqzk907scdc1	$2a$07$KspHOzGyIDiD9AiYLpk5XelMQy9B2XdO8iamJToK7pOaHGVOkN6l6	37	2013-08-02 23:26:44.93385	2013-08-02 23:26:55.147689	58		0
3629	10by02y5aoqhbvlejr2lrc2hxq	$2a$07$bCe09eKuTQm4ktwrKSCEHuq5KLOrZlGdN.NTPCrCIpFoHqVk5cAPS	38	2013-08-02 23:26:44.955581	2013-08-02 23:26:55.448942	58		0
3630	10t67tzqm7rhjpn31zfnwjv68v	$2a$07$j1kpCo9ncm8nOgX6MzoWN.OKhRXtAdjjXMdeJsDZZVTe41jXK4uDy	39	2013-08-02 23:26:44.977146	2013-08-02 23:26:55.832885	58		0
3631	10rvuzd43z3sy5v342usbmrx3t	$2a$07$FJwGiVEaS6QAqO8lkVdcxuiWiXYGP40.FlLgT5VKkDz61arGU3JCK	40	2013-08-02 23:26:44.998599	2013-08-02 23:26:56.042593	58		0
3632	10l9wlhhgxzpwanw5ej7as48yx	$2a$07$TICDoycuoRYD9/MoM5niX.p67Xym2YdltdB/jJlHjWSIHVYX/VGu2	41	2013-08-02 23:26:45.020227	2013-08-02 23:26:56.278393	58		0
3633	10l0oxapgalgdc8wi8tazee07d	$2a$07$KUuCnLf5jakLA9uo.SuNKuxOlI9j0wkDAJOtsrmlDO1Bnin39aWOK	42	2013-08-02 23:26:45.041783	2013-08-02 23:26:56.555085	58		0
3634	10letdadzjue567av9jqnfma72	$2a$07$YRLg36gTspgcHpk8iRIS8uuis8/pDWj8M6d7rOlSCObbdZNFU8wS6	43	2013-08-02 23:26:45.063406	2013-08-02 23:26:56.952275	58		0
3635	10jyhvttde8qy86d7m2ypaee92	$2a$07$OaMUVWmQFHPovW.dSc8Xge8Qr4J3j/vOf5E51i8oZk2PegkrEQBQO	44	2013-08-02 23:26:45.085031	2013-08-02 23:26:57.215665	58		0
3636	1014qognc3qnksk9jiwbvj8jcp	$2a$07$CLUEh2DIgi4TaV1W.mREauCgxnBcYDXO14YbYlP7FWjTDTVVCOSWa	45	2013-08-02 23:26:45.106662	2013-08-02 23:26:57.434459	58		0
3637	106poyirt7wa6mo88gmiwt3g0k	$2a$07$mG/gkmHikQvb80yEKLAf6udLe5rcGHTlum1l5WrUVTuIFO.N.m.z2	46	2013-08-02 23:26:45.128099	2013-08-02 23:26:57.83813	58		0
3638	10yzb2ehc9m7i5jgbac02xa885	$2a$07$Z35iQfK8Qb6gwBjO7CFxr..4/dg3RSlFy2BfxL/t.Kh/.lpkgE3IO	47	2013-08-02 23:26:45.149575	2013-08-02 23:26:58.058539	58		0
3639	10s4u22bx4bpjrm4m3gmf4m7np	$2a$07$H7kDNHf2CNzGuA9MyhKS7ubjUwZvutMrUAgJnGvaEcT5KdMySQ7Q.	48	2013-08-02 23:26:45.171232	2013-08-02 23:26:58.275768	58		0
3640	10g912qn751ebxlgwzrcqxawvz	$2a$07$xppN/wZ6sih3WGp46qAsZuJn6sg38IZ.iEYxC17FkBPwsK9UJX10O	49	2013-08-02 23:26:45.19259	2013-08-02 23:26:58.422782	58		0
3641	109bxqvzgxaqn7191amrgttdl8	$2a$07$P6L83.bncDvu2L1TBomSaegmhhY2EYXVAZDwaWftoSD/rACygWuXC	50	2013-08-02 23:26:45.214522	2013-08-02 23:26:58.563784	58		0
3642	10n1k74qfixhiy4jgnnlonpazj	$2a$07$2WvMoscLsfj813PYYCvwnuASYOzr14ZLz9ZW1SUpTqZX/ulJhKFKC	51	2013-08-02 23:26:45.235936	2013-08-02 23:26:58.705485	58		0
3643	10mfsgn627b6f1801yrbmpo9fm	$2a$07$fOuudp.XECzInIdW1qHze.G9rU7p812c1EQtecNMayu6DeVQlDb/2	52	2013-08-02 23:26:45.257385	2013-08-02 23:26:59.10758	58		0
3644	10nlpn5neqbpjyr6gw7qs80kod	$2a$07$j92wajJBdSxiShmdmD.tNOi0.m3rVJWtB9wo1x1eKYgY4QBFRI31m	53	2013-08-02 23:26:45.278851	2013-08-02 23:26:59.338265	58		0
3645	10d9haodtpc26zmecv2fg6bzg1	$2a$07$37mdX6l7UhpI1p2XwJnnU.w/JfgO4Gt6L6kR1pF.lFvNdbhlu5CX2	54	2013-08-02 23:26:45.300203	2013-08-02 23:26:59.52798	58		0
3646	10swrh9isfyk8jjfoqomj9tvme	$2a$07$6Pptf1ywVewaLuqMFXi4TOj/Uq4kskLt4eZcsPMoqegSRTOs1b3Oq	55	2013-08-02 23:26:45.323221	2013-08-02 23:26:59.930133	58		0
3647	10ftcvyq39auna6y0znuxr83oa	$2a$07$735Bkwox6mjGiT7xMVhwZuQrDZj6ak4TzznPDceFPm/z8xX4QVUpS	56	2013-08-02 23:26:45.34952	2013-08-02 23:27:00.338539	58		0
3648	103nkdyuvhtzxr6tudt5bum7pv	$2a$07$9fPHxJMSgQ4G9kohKaDPj.GcgLEd/7hiIlEdrkyCvRJf7xvWaDGH6	57	2013-08-02 23:26:45.382875	2013-08-02 23:27:00.729087	58		0
3649	10pnx52nm2siemee3ucwvtfxvf	$2a$07$EzghJZPyvkuRQlXgYqHN1uxIxS82ympXdesQV2iWdWo4mggkm/bc2	58	2013-08-02 23:26:45.404426	2013-08-02 23:27:01.117129	58		0
3650	100sc4043lz6ln2yvftiay1y67	$2a$07$n7OvfAOhbmVDR/ULMQ/p7.w.bMQp2ucYkG2Cq/9OKATBYwXMnv0xy	59	2013-08-02 23:26:45.427213	2013-08-02 23:27:01.217328	58		0
3651	103ziamq5xyws2p0kfynfc6wg8	$2a$07$fJFHahW64eslDtVWJiR7rO.ijgYUdDXuBMtsKXBdMJ9/93n1z.8uO	60	2013-08-02 23:26:45.448743	2013-08-02 23:27:01.350929	58		0
3652	103ot7tk5wuh3qibf0bhymwq2e	$2a$07$sECh5GgrrbvbzWTZxheSy.QTW0HC1aLim/US2Nq2vq4bdW0TH3f6m	61	2013-08-02 23:26:45.470781	2013-08-02 23:27:04.170512	58		0
3653	10ozxm9nsql6krs28rur0tg03d	$2a$07$o8oF5LV/696KrUV6Apnt2eHOdmDlVQl6z0MLr09o3TD1VV/Nl0ILy	62	2013-08-02 23:26:45.494061	2013-08-02 23:27:07.065521	58		0
3654	10pbtkqlq1i8yzon9tojpppdpa	$2a$07$mBCHLJPAJyrjkOhQRle94ufrcasgHSZZO7dxAdvkY3IAYHt0iWVt6	63	2013-08-02 23:26:45.516649	2013-08-02 23:27:10.065163	58		0
5252	10ha04z4oiv5cew1e29x4bqepw	$2a$07$q0hAttYOTbv/ctlKb9AKSuikc0SB1iffZFUnaZv379yjBIhSNKPtW	23	2013-08-03 01:38:49.29301	2013-08-03 01:38:57.250539	84		0
5253	109t738avgjcff1vadb6ch8yyk	$2a$07$uFYtW0I2KPqRL/FHJkZCZ.XnPBygDy7mC0FEVibBmA/3A02d2/M9i	24	2013-08-03 01:38:49.315531	2013-08-03 01:38:57.355836	84		0
5254	10sd1byy4l5jbbjdztz1io6wnn	$2a$07$T7m9rWtA6UexrUMB0POQbe00xoQpLhoxPiT1vDV6DuzU91TnbmyNO	25	2013-08-03 01:38:49.337216	2013-08-03 01:38:57.552028	84		0
5255	1010apu34szqogqusqq1f832r0	$2a$07$4btkJxg69sJzwuFC9wvkw.shYjNsK6prYCM3CuTMUSQ6j1LLKVTKO	26	2013-08-03 01:38:49.358896	2013-08-03 01:38:57.658825	84		0
5256	10epd9d4na9wj0kgvgge31qnte	$2a$07$G87a4LzzlommgtGS97Du6.YEj.Jb0dcMIJvZYEmzaQTxzFBUsw70G	27	2013-08-03 01:38:49.380885	2013-08-03 01:38:57.829803	84		0
5257	10djczgh7ao2j3d8yias7fpm7k	$2a$07$cXlc/7LtE6bc2cu5WVytNOiioBgJeUQ0pJl78U/vArsP2nK13nk0C	28	2013-08-03 01:38:49.402483	2013-08-03 01:38:58.136723	84		0
5258	10njed5rvi05vxhs0hl0a1wpas	$2a$07$nxW6ZVj0.jiGfxRu67BzW.oMiGygIzAKiyrTyWDpsN.Eap3qW6MWq	29	2013-08-03 01:38:49.424059	2013-08-03 01:38:58.324726	84		0
5259	10ya5hyn096ads4a702hqe5i34	$2a$07$SZm82fuSlw5IynbfDAGAxOJtn9vFh0cQm5tQj0xoUQkl4CVWa0CpS	30	2013-08-03 01:38:49.445681	2013-08-03 01:38:58.45976	84		0
5260	108hlm0svc4j1f75tn9zm34rhz	$2a$07$Vy3wJn5LuciyxnvgczW5F.DGf.kWaJugbySVH1u8jLD34UsMxIt6O	31	2013-08-03 01:38:49.467234	2013-08-03 01:38:58.591541	84		0
5261	1069w93z8fg66jm0ccah4k64fb	$2a$07$7YUlBmpVv5XaJ08GpO9wGuktesnXstquHu6qlplH3IfiZX6gK7Krm	32	2013-08-03 01:38:49.48885	2013-08-03 01:38:58.719051	84		0
5262	108i33npk14tbu9h1f3kkphzwz	$2a$07$khySBvTIcBlV52pMb8W.X.waDRkcDnrqN0p8Qmd7x0U9i9nEnHNqa	33	2013-08-03 01:38:49.510849	2013-08-03 01:38:58.852003	84		0
5263	10p0w5j0r1jyq4zzzbpf4vq50d	$2a$07$9jXq5TbVeedmyAoG9wje/.12Xz2D40IUdV8ur7iqzFRFEprEFD4zq	34	2013-08-03 01:38:49.532389	2013-08-03 01:38:59.156558	84		0
5264	1005r4b3nz2x9o6p2ikada6wtr	$2a$07$9Tge5Tw5B442Hk5E.e/r0uLqU1jVYiDIZRlko/ZGidBKZDcpCVGX.	35	2013-08-03 01:38:49.553958	2013-08-03 01:38:59.298242	84		0
5265	104jdp15eq772an44zv0631afx	$2a$07$LxNtbYyxXM9gAb1WzOL4ZeWDLADWrcWYxTf4ZhMN.BUXwvDW5B0pu	36	2013-08-03 01:38:49.57551	2013-08-03 01:38:59.462144	84		0
5266	10j9u9z7g5n2s7d8zxlnz3ir49	$2a$07$AY6XvSlgTwEHWEMGEJrvfeDzRNweMWeDoCsULjUmSK9MusINOrpsW	37	2013-08-03 01:38:49.597442	2013-08-03 01:38:59.692755	84		0
5267	1055x0c23nxg3sb82fvx4zml4h	$2a$07$aptRF8mivMIcFSVWKp5Bg.W6YE5SsHDqWYwzuJ.dnRwYRsg3lYvgi	38	2013-08-03 01:38:49.619012	2013-08-03 01:38:59.866229	84		0
5268	10opqddq4s0zk1xjtm4mjyq7j8	$2a$07$6V0sDDxn/bNATOOKvxPi0uvuPWUip0ij3GeNWZyqRzOKQoeFIhYzi	39	2013-08-03 01:38:49.641025	2013-08-03 01:39:00.012411	84		0
5269	104pz716wuto1gvpsourd37ujo	$2a$07$cfYmPKQb3A8am9GU.A1jtOMepH0XU8EktTmkS.9CDf3C2UI2rkzua	40	2013-08-03 01:38:49.663804	2013-08-03 01:39:00.386791	84		0
5270	10ebgpm4n4b2u5tg1c82eqb2ge	$2a$07$zF/.6YqsHYqObLTskcsq1.VJyZoA9C4lk2cYk61qqRwaA8mBZGW8u	41	2013-08-03 01:38:49.685613	2013-08-03 01:39:00.731032	84		0
5271	10jp1ep98ws44c1zbn5xkwhsg2	$2a$07$nvpbefCHQ.XodVihTBB8oOb/PhpWGOlXOpYYKB3QkA7mB.E1Y1cGW	42	2013-08-03 01:38:49.733008	2013-08-03 01:39:00.933203	84		0
5272	10ssm56dca5qazpa2cz1rvyajv	$2a$07$sB27rO3uvlm7ST.IH1IYgu7apE5cXQ2fqmOWgo40CXaZT5oMqXMS.	43	2013-08-03 01:38:49.76185	2013-08-03 01:39:01.294888	84		0
5273	103lxc4rspbdxjj64z6u89h7zp	$2a$07$KsgBiCcu7Xq8M.tnO78sZuBeMjvmxP3acJPlfDTwE1YlAoOzLr8A6	44	2013-08-03 01:38:49.786131	2013-08-03 01:39:01.635969	84		0
5274	10k9jwu1pe0rvvphzcipxu6i4e	$2a$07$ag4PmMQyGG46k4iVLdQftOL1co13JbVCCOrkVMepwMJTjSUqEWTsa	45	2013-08-03 01:38:49.80808	2013-08-03 01:39:01.992187	84		0
5275	10a4asmlbt0tv158iq676jtbv3	$2a$07$6M8rGLD3c2K89VpDPEbrdu.YpzyyZiI/LNPd5v.7r5zjNz4nnJtNu	46	2013-08-03 01:38:49.830086	2013-08-03 01:39:02.169483	84		0
5276	10rhr35p3n7j6fjnld4d35b34e	$2a$07$heexN95As0.kDrH/URcqw.Dt/jmREFcQjqCQth4HVTBoNNWOXpFMm	47	2013-08-03 01:38:49.851757	2013-08-03 01:39:02.321274	84		0
5277	10pyqjgkb06486nbvdsa6b6gs7	$2a$07$korayRmW8FrCdCBrR.4UIuoJXLGNcgl..r/EYDFhjc3.0Hb06CLJq	48	2013-08-03 01:38:49.873333	2013-08-03 01:39:02.56052	84		0
5278	10d79i3cueu7o412zeaojm15ok	$2a$07$lz2TAjyUQ.2ZFaPEWhhJ0eHgRNNgir.EsdU.5xJiTOPpWVuqUASQe	49	2013-08-03 01:38:49.896796	2013-08-03 01:39:02.67906	84		0
5279	10py8gq3pgqkc54lxc0c3riyib	$2a$07$aAe7aMTWa3Sj7SJovThlouyWGh36nJcDCmUCnFxHtelnOFAPsViXG	50	2013-08-03 01:38:49.918314	2013-08-03 01:39:02.797243	84		0
5280	106gjpmbbm62wy7t9sobl6shuh	$2a$07$vSc9AB86a1dZA.cqYF68HuIR5GNuxFHld5n8uK0fogXntD5X0pdkq	51	2013-08-03 01:38:49.942074	2013-08-03 01:39:02.891573	84		0
5281	1018x9ck1gtbqad9cw7q42orkm	$2a$07$E8qDoyA3YFnqUsNVM/n6QeMNLrsCEGT.28T3V3z6inEyZrwsm3Uv6	52	2013-08-03 01:38:49.977556	2013-08-03 01:39:03.231498	84		0
5282	10rmdvou6hlnw336xdt336uji1	$2a$07$PkM8zVaT/PratWCByXAdoOBTSoVG/U2JhzLVPNyk1ynSuiuXrcbwW	53	2013-08-03 01:38:50.006483	2013-08-03 01:39:03.378742	84		0
5283	1083taazefmmcqw5nxwy1lmkl6	$2a$07$DhjDHu3UXfvSDJFxpK021uWCjM9tItB5YCzUCghnW/9RTkPo3rBUO	54	2013-08-03 01:38:50.036314	2013-08-03 01:39:03.527007	84		0
5284	10mqyyjr41l7zodtxes09vj5i1	$2a$07$G1kcu4kcH22rMVJvXChSkOyYC77E98wMBx7eIqqR1ZrzHab.CRK8S	55	2013-08-03 01:38:50.070365	2013-08-03 01:39:03.846396	84		0
5285	10nk96vcni0c0rdtuvafxauxbq	$2a$07$ltdNSEZQM5wsAW7QL3m12Ox3Q97eXYwB5bLuNycG8o/EOJLOUzPkW	56	2013-08-03 01:38:50.097214	2013-08-03 01:39:04.069661	84		0
5286	10jtttcanyjakxl3i5t4nrms0o	$2a$07$DAvdalY28n3JRY76Lg73Pe1cinXahXc.RRrGr.EPnnHkGaes7kDGS	57	2013-08-03 01:38:50.120026	2013-08-03 01:39:04.454424	84		0
5287	109geg17pyjmudf03tgstedy0x	$2a$07$zDognXgoN3iHsBE6pHPkZu0Q4CHYB6MXJNPb7n45PrSyHHKXvfr/e	58	2013-08-03 01:38:50.141864	2013-08-03 01:39:04.63851	84		0
5288	105ec0ehamvn4w4c4gmbmy5yqx	$2a$07$YE84tKpRAfFw6z1rRXnXcezar4zcBsVLTAbeyqcvCBHFA0TTF4CsC	59	2013-08-03 01:38:50.163493	2013-08-03 01:39:04.796867	84		0
5289	10affsb8tk2haw8kiq4cxacifr	$2a$07$OGWfmsif.uKSSzfnML7a2.yCWfqS0MqwLMeeqme7yqKzPKfpIfBXy	60	2013-08-03 01:38:50.185441	2013-08-03 01:39:05.010655	84		0
5290	10hlc1kywoeqjtcjh0gxpmsc8b	$2a$07$n7b7C0lPUdQ5Th9k0fia7erNt7NzdLHHyomfvfwslpTTvnhjID7aG	61	2013-08-03 01:38:50.207114	2013-08-03 01:39:07.935056	84		0
5291	10mo8s9uy6pq6765mcka63f38g	$2a$07$otTvnrDO80vu18DXSJKjhuL9sEUGQcEYUNfKRPVT/zeSg0I4XyF2O	62	2013-08-03 01:38:50.228871	2013-08-03 01:39:10.834616	84		0
5292	1040l8csyrstlg59iccy8bhfbe	$2a$07$roNFSycnig6PTGWNqWS.7.aqr7OmZd29wv9Sx8.aSBKlEeVdRcJqS	63	2013-08-03 01:38:50.250615	2013-08-03 01:39:14.01328	84		0
5659	107gw5l1hn145pqvoj22l0y8m9	$2a$07$jLvokae0y3vSJDAPRpc7medwYXEMP9kgDKjiPLaXs4jg5JanaU/dy	31	2013-08-03 02:05:34.77227	2013-08-03 02:05:42.396715	89		0
5660	10gturavmoc785hxaklt4w38f8	$2a$07$X8Hx43f79FIoigReofDn4ebQh3Polrqu.A6hqYxlvj3UtHHQqTpqa	32	2013-08-03 02:05:34.797229	2013-08-03 02:05:42.532434	89		0
5661	10kwkffaxdx5tozwwt46q7x6f1	$2a$07$mwtbWMeQhfgJpuBhXqAcf.m8nJYbqSKUbjC9Vt8CctY/kz8T/aLnm	33	2013-08-03 02:05:34.82114	2013-08-03 02:05:42.665829	89		0
5662	10anuj0kzyir8bzy6wdlv4u9xw	$2a$07$8SueVNI6Kx/wWvkhDRJFVeojU2yvgnJL0td/AeaevfNi5E0BvJyZ2	34	2013-08-03 02:05:34.843741	2013-08-03 02:05:42.8052	89		0
5663	109thso3nxolka15qnvsxn72zg	$2a$07$Ncg7D.HT5nlajEa1M8Kj9eu6Qtd07RdJCWNqYiRKkmjZ6C.W4I2we	35	2013-08-03 02:05:34.867327	2013-08-03 02:05:43.022131	89		0
5664	100fbiydzu9bwet2hoomyzimy9	$2a$07$9MlUwof9HE1OcoAolVRArOEwPXlOVKhKPiPfGQWovNI25F6mHBH.m	36	2013-08-03 02:05:34.890534	2013-08-03 02:05:43.167797	89		0
5665	10vzawb1bze6qzpvp2o7l287j9	$2a$07$ODuJEdxVkYz584bOxv6SfeZBurBJeVPU1K1Ct7Ely9HHE6cH4tZBC	37	2013-08-03 02:05:34.914312	2013-08-03 02:05:43.412424	89		0
5666	10ly2vonracipknxhao5um2ijs	$2a$07$QPy58hNPBz72ZYl/NA1ig.NA8rL7yGAwc/i5mT12hVqLRXGD7J7iO	38	2013-08-03 02:05:34.937782	2013-08-03 02:05:43.65976	89		0
5667	10gudyvqflha42ozh1339xrcp3	$2a$07$zqJKLZMkOtyDwbuw300rLO53eh9Otfv2XSKP2SrVZqUEFtY1Y5/02	39	2013-08-03 02:05:34.96135	2013-08-03 02:05:43.971007	89		0
5668	10y43l94rc0yhzbazw3qfjpsmt	$2a$07$bYvUDo8Aafy6nvzvd1WRwOlSQ8IE2hjUETpJC6Z/9FsIhRI0QdQ/S	40	2013-08-03 02:05:34.984384	2013-08-03 02:05:44.362832	89		0
5669	10q4ba7khc7kpf2buc8g7ykpmo	$2a$07$ZppP88yQBEKSS3i/QEV4ReG9Q2zYPp0649b3SDBvp2q07sLci4b6.	41	2013-08-03 02:05:35.008436	2013-08-03 02:05:44.545919	89		0
5670	10dvml7b94tenyvfib4r9akh69	$2a$07$kRss1F/Vf7dhXquOTf9eLOd69eIYAP0yjKI3NF8w98ntjbLDynM0O	42	2013-08-03 02:05:35.033675	2013-08-03 02:05:44.724888	89		0
5671	10kbcp4n28k4d6sg9prjxi3hj3	$2a$07$VSoHRyDoin6fCjyxt49GUODnCk8jHiMsuTVK.OwLrFj0k2tr1XGOe	43	2013-08-03 02:05:35.056927	2013-08-03 02:05:45.070024	89		0
5672	10rlnortw1shnghtq4igmw7blx	$2a$07$N0x55mXdvueSnqDD7TkdNeiEh7X.X/bPg1a7o5ikSNwiaAZc5X3CK	44	2013-08-03 02:05:35.079853	2013-08-03 02:05:45.23906	89		0
5673	10jzv4qvx5ehmc3n0zzyvnuxdi	$2a$07$d8o74LV/OPq4znJ1kujLfeA7NowCE3Qj2ibMct8OY/K1VfgGIr17i	45	2013-08-03 02:05:35.103421	2013-08-03 02:05:45.390905	89		0
5674	10pq2obup161fxtw6nyc08y1xg	$2a$07$0wcbXFK7so9jSPq/IAywSeqQBsFVLyGf6yRWYdAqY0d/sSR90j8nq	46	2013-08-03 02:05:35.1283	2013-08-03 02:05:45.77588	89		0
5675	1046bimj49o0rmxn2mtstd7ofe	$2a$07$ezu4RyRr3kZoLc2e.D70seIfRaC056NrXnakzI4xPR9Rtmjgw4k1G	47	2013-08-03 02:05:35.152409	2013-08-03 02:05:45.996196	89		0
5676	106eoybcqcljfcs1bvxj1v2253	$2a$07$RSGBLnDOASPCX9wmxGPKx.vPWLd94sf6s5lw4iEcxU3vAwK5v3igO	48	2013-08-03 02:05:35.176467	2013-08-03 02:05:46.116237	89		0
5677	10kunpqra6bmhxy7xhyoqoca8s	$2a$07$Grt23HCrDnlZh0E37nUqKeJRM55f3T4U8xu9UDhrA3Kll5.Y0YSgO	49	2013-08-03 02:05:35.1996	2013-08-03 02:05:46.255858	89		0
5678	10mlozpkumjm5kkjk43vawwgzr	$2a$07$XDgluLnM53eq9vI.77MxKuWqrtoJiRNkLQ.fssPmPgIG5xZZcSzvm	50	2013-08-03 02:05:35.222266	2013-08-03 02:05:46.404155	89		0
5679	10fk15wpt01rv1thbnvzqiti2u	$2a$07$e5/TKgTfTPM9GhGmxiwefepOrB.j495uZVg7jVdoc34mDDVt6P2Nq	51	2013-08-03 02:05:35.243902	2013-08-03 02:05:46.546141	89		0
5680	1092t43q1wnh52nvlcck3d0sg9	$2a$07$QQdJkr5pQawswEs7N5qh3e.mfbxxSdIoNWQVsxFyyJzRUnFwHDl86	52	2013-08-03 02:05:35.266927	2013-08-03 02:05:46.773174	89		0
3655	102wif6krnxnfw611n7kucd1lh	$2a$07$WEPccs0CyCs2WmP9YKN37OAlLkIiEZK6fJ7s0bXnN.Z2Cl7u9RHP6	1	2013-08-02 23:31:44.104016	2013-08-02 23:31:45.945234	59		0
3656	10kk2irwt72ebj8jkmkytp81ui	$2a$07$L12ZwdNjwqPWJrcQ/ZUTFeMQYylfIsYS46IpfsAk1F0paaYZRKt36	2	2013-08-02 23:31:44.129589	2013-08-02 23:31:46.352775	59		0
3657	102bqldjameapvqfq8ut75sb6k	$2a$07$E9LnWmAouq.her190nma5OZDpVX8dOxncOO31OrC32i.R9GRlcZjW	3	2013-08-02 23:31:44.152613	2013-08-02 23:31:46.72442	59		0
3658	10dhgaihv5q81goz411odgiqe7	$2a$07$giktnIQHPVqBkV3JXPe0s.Mm8aGiIe/8DaLwDiXTHjUO8wE2HP98u	4	2013-08-02 23:31:44.174285	2013-08-02 23:31:47.112154	59		0
3659	10fwezar2w2zlcd72z9g3rtp6d	$2a$07$TyJDXnrb4n3glAzDU/DvcuTD.WOI1mkySSLZoSrTRjqxhiVY1Y0..	5	2013-08-02 23:31:44.195697	2013-08-02 23:31:47.376918	59		0
3660	10wvmpsz7r04yk0k6yy8ttzfo9	$2a$07$s0qaThr2ZwLGmNKqU2ZDIesEwmELox5fwLH3P8lSrDSHEziQpLOum	6	2013-08-02 23:31:44.21788	2013-08-02 23:31:47.511751	59		0
3661	10be83arqj7sg6131jjj09y069	$2a$07$tEKpVmae0mE.Hc6u6BZlHuSw.iOK6C4AZX5AXQtVeCRplgPq59pQG	7	2013-08-02 23:31:44.239671	2013-08-02 23:31:47.886338	59		0
3662	10ckro5gqbq5xlizfcjygg2jx0	$2a$07$JLIhiamuAa1/fWglFVdj/egyiXaANt69rE4SZqA2i2ynJvJ6NqU1i	8	2013-08-02 23:31:44.261164	2013-08-02 23:31:48.258877	59		0
3663	1093sae377nzjrdse3fbz5a03b	$2a$07$IVUox8i3mS/z5FYpZB/LG..gdOtZ/cYIVdPX.O8N8jNoETIK0mj4.	9	2013-08-02 23:31:44.284332	2013-08-02 23:31:48.623715	59		0
3664	10srzx7ytyfv3swg0ubm77tl4g	$2a$07$hjFY1.4AaYrZQU6xVQ3F..0GQGNhSO23HF11BWd2jczCuJaLnFsFe	10	2013-08-02 23:31:44.309872	2013-08-02 23:31:48.764301	59		0
3665	10fv6h8brtkr8xv4mwexgzmglw	$2a$07$G67XWpIlvnyzYTPmcdf4kOXqSySFwioMF./dGvst91xuFQJsfjWq2	11	2013-08-02 23:31:44.334908	2013-08-02 23:31:48.92802	59		0
3666	105xf7jpknw9ajr1trg7ktk87z	$2a$07$4Q2iAJji04T7suDcS6S6RumvBleXpUH9zVOGNQZm1PYliqTD.2fte	12	2013-08-02 23:31:44.368026	2013-08-02 23:31:49.062837	59		0
3667	10xwxu93mc62manc14vtbbyt5n	$2a$07$LpoZoq4zgRvOLOJtR4D91.92QUisDY4MlbxBe4zH5XoOjcRHn274y	13	2013-08-02 23:31:44.398962	2013-08-02 23:31:49.398591	59		0
3668	102w7c1pvzheijr3wylms4kse6	$2a$07$PnuD3KISLzTXxtXGx1G/R.0J5xh9yn9wobiRdB0U046CvNa3nnbS.	14	2013-08-02 23:31:44.423831	2013-08-02 23:31:49.561313	59		0
3669	108m8ityz716qt5tjncr8dg4wi	$2a$07$eeW3U.m32J/JnZH5O5dJuOYLEqNks6.lX7C95LeukJDhK9ue5/AG6	15	2013-08-02 23:31:44.447675	2013-08-02 23:31:49.814519	59		0
3670	10ibebflbcphnr8kzt7soy0p2u	$2a$07$xLWI8PBowiynJ/mZfOE/VeH5nSBxG6oRrZX4xnjtLKCZisdElT9i.	16	2013-08-02 23:31:44.469472	2013-08-02 23:31:50.019756	59		0
3671	1061e22r0augq60jvey0cvjj9d	$2a$07$bTA1RwNLttNG4Yk3peNvF.FfgeQ8oz3x06FyyyWUczvB98UUhaQ1W	17	2013-08-02 23:31:44.491938	2013-08-02 23:31:50.248758	59		0
3672	100zvbwk6gn42hmanmkm0ukurc	$2a$07$U04d6vpjDf2u.8zQav.uX.UqTbQ/y.KQm8XWg0Mdvbbolt5b4rkQS	18	2013-08-02 23:31:44.514864	2013-08-02 23:31:50.526643	59		0
3673	10ypk812ndqkrqfhun2gxgjaah	$2a$07$UKUxtcLeIb.Bmlu6zVtecu/2eAPUcZSwalc4Bt9uaWOqPmRYfUbUe	19	2013-08-02 23:31:44.537103	2013-08-02 23:31:50.889003	59		0
3674	106p550scqmere6ni8edsr44z9	$2a$07$Enpf4jd/3Xe9T9l4mqPYieQL70UkdFwctquT3AOkqmjKUFjstHdDy	20	2013-08-02 23:31:44.558807	2013-08-02 23:31:51.227018	59		0
3675	10mkjnet5v2ncxtskvmsryirwz	$2a$07$8N1qIp9ysZo9XUjvyZ8e4uvYpxm0PG5wqN0/2enBE0ekTn4T4wpC2	21	2013-08-02 23:31:44.580178	2013-08-02 23:31:51.580232	59		0
3676	10078o8fy0d8r30teb9nlm5q8q	$2a$07$3MmukSkSqTpaOMlB3ahXCOt8KRLzGtjzAueZ1n0pg15e7ELXjJpiK	22	2013-08-02 23:31:44.601735	2013-08-02 23:31:51.96219	59		0
3677	10ejezdh0c7hlmota5shtlrwqv	$2a$07$pZtY1grRNmgEh6OYEO7EzeGp9QToq2l8Gp20wUgXcmGyxnsrv0DVC	23	2013-08-02 23:31:44.623565	2013-08-02 23:31:52.183066	59		0
3678	10otx6csc6ecnph4wzkrltk4bd	$2a$07$EFqm5PxsV/3xhoWr9iQXUOwVksg8uG8CNnCRjtRr/KvQlk.pQbi9u	24	2013-08-02 23:31:44.645283	2013-08-02 23:31:52.437323	59		0
3679	10n2ara9gteeooyc2moof9cs1b	$2a$07$NNswgawFwOQkh0so.W70T.E3dAEi/bCx5hm0xWzyJkadwe3W1g3yy	25	2013-08-02 23:31:44.666622	2013-08-02 23:31:52.818382	59		0
3680	102tkix7lt4dl2q980yyq37u7r	$2a$07$8WQunIT2QtG4ysU6eMZXletqNUNmdMAfmFeEP5PeVRNn2v3BSztj2	26	2013-08-02 23:31:44.687897	2013-08-02 23:31:52.989697	59		0
3681	10oefawut2vhulifol8vcas6vb	$2a$07$mKoS0jpXERMr.HFHyduN0.ki..wDElw.eBHC/OeR6bjm5GZbSiwoC	27	2013-08-02 23:31:44.709509	2013-08-02 23:31:53.19005	59		0
3682	10gs5at747s97cl52fcmnhg913	$2a$07$dyAaL1eJvKzKwkhenSGFN.PmSyr5x57309.jUX68vn016Hm5lQhKu	28	2013-08-02 23:31:44.731387	2013-08-02 23:31:53.422477	59		0
3683	10plctyt2c2rfo0ow95f18a5p1	$2a$07$P36QIRsE5OTOTgzd/FSDNeMtph/D1lrHMqtMOnpvozj.7Qc9MSVk.	29	2013-08-02 23:31:44.753428	2013-08-02 23:31:53.645431	59		0
3684	107afnlnkbxky51ez3d615omgl	$2a$07$.sXh0/6j.PPc8Ieulfb1Be.Fkn4S5nPb6e/HfncIg7hosuZe/a8U2	30	2013-08-02 23:31:44.776209	2013-08-02 23:31:53.879292	59		0
3685	10iyndnz1p25ttg6rhafgsrrum	$2a$07$4KwdIAKAYWkzC6kK9W9S/OxchR14NYqErbfurDLDI.vbrfknBVbgq	31	2013-08-02 23:31:44.799261	2013-08-02 23:31:54.020767	59		0
3686	103cq47q84u85fh7dmzqqo5ocz	$2a$07$flvKsxsyafw/LnLxBjjLv.Vp6bpBAiY53/ACAjtPflC/Mtrc8PL8a	32	2013-08-02 23:31:44.822078	2013-08-02 23:31:54.15609	59		0
3687	10vq0giy3aws3fjoro2loffgc9	$2a$07$i0F7SNnhvw.6yjIfSq1OcunHdH1u162fNsmcNSIw6FtbFOar6Es7S	33	2013-08-02 23:31:44.844001	2013-08-02 23:31:54.274133	59		0
3688	104oizihagbl638sypkjiaeers	$2a$07$JfcQCAk8xnPwbUrmU49Keu9Xvswa4F88d/0vRH7aKH7jMU54aEFrW	34	2013-08-02 23:31:44.86647	2013-08-02 23:31:54.518286	59		0
3689	109n9medbwf1f9dk20j4sxbyt0	$2a$07$b5sckeQ2kpgMtBSMKEACQeyt0o4nogserNI1LQvhdoQ8AoZ1LtwF.	35	2013-08-02 23:31:44.889591	2013-08-02 23:31:54.748313	59		0
3690	108cpsnmfcwibq9j5jmdkuzo04	$2a$07$/2bcpbrYpRj9JX5D0AA05OGJnD1UCn94Im3vwsft8yw9Hai06bfDW	36	2013-08-02 23:31:44.912981	2013-08-02 23:31:55.048709	59		0
3691	1050xpd30nkntux7ta2qmls7me	$2a$07$VJj.iDZTsfNrmBQwVsAzP.g5HOMBDkfTAyA.NcftdOAkylbm9cPw.	37	2013-08-02 23:31:44.936416	2013-08-02 23:31:55.457031	59		0
3692	104fzvkopsht119ctz50vhpngt	$2a$07$Mk2yQhpyQMhv0cZMeRvThuUJnmKiw5cFQxyOu5wD7qwUYRD2p2mb2	38	2013-08-02 23:31:44.958297	2013-08-02 23:31:55.64608	59		0
3693	10r7bd15irxb7h5lm6ofwb6goe	$2a$07$NhOoyo4r.sMAEnMCzzYrLeUu0QwdlfyhgZR1KP6XIHJ2klSwW56E.	39	2013-08-02 23:31:44.980037	2013-08-02 23:31:55.783173	59		0
3694	10obz0cdh74eszcp0mfxawixt8	$2a$07$WA1Q0T4jhWaTXzBbmnRWBeyFU/sGa93QQyDUXNHLkeJG4zsEmnnWG	40	2013-08-02 23:31:45.002056	2013-08-02 23:31:56.179733	59		0
3695	10yenlvypp8zlgjnnijr1yvh34	$2a$07$OgmMnRQChmHh6y6IRzxtg.hzFqb1LBuNucHzY1iiP4oNFoCOOwAF6	41	2013-08-02 23:31:45.024623	2013-08-02 23:31:56.569661	59		0
3696	10c7sws9u74bmc51ge5jpppogl	$2a$07$59bQK2g/62/dvXgK9Z.vvevhh5oIqaJXu3xIqTbF3LdRX.JNEFTZi	42	2013-08-02 23:31:45.046954	2013-08-02 23:31:56.966136	59		0
3697	10lz5rz4susk05tngumabbdmis	$2a$07$0vXdQTWVUk1bLS74D1vGYOAFL/r10QGP3m3416DSStpi433PnUV5m	43	2013-08-02 23:31:45.068301	2013-08-02 23:31:57.194121	59		0
3698	102mx9rnk3lkvqartq90oj739o	$2a$07$XYXY5yOOrvqpatQeyiOLjOlHmQ7xic1Dloft5qqBY7okn5KMz4Ede	44	2013-08-02 23:31:45.090052	2013-08-02 23:31:57.306044	59		0
3699	10bk95wx6m5yfq41svwp6ayqge	$2a$07$nmmh8.kbQMnyl8cWpC0AYeA1j/p45VdIXWiAZ4XM3HP4xDXKZJLC2	45	2013-08-02 23:31:45.111588	2013-08-02 23:31:57.514846	59		0
3700	10sf51fivuu8urgptjniz0ojfw	$2a$07$gQCfLsXLIGKJnvW2sDr7XOgMuc.96dMAG7G8mgD0JwSn.9OpmALn6	46	2013-08-02 23:31:45.133319	2013-08-02 23:31:57.891038	59		0
3701	10yc3vetm8fxe5lcd243pnumwi	$2a$07$YpfRrGNogFYvKCea5.ir3e3zPr5YefHN6rjW0RFEMLj9T74l8q7Iy	47	2013-08-02 23:31:45.155528	2013-08-02 23:31:58.123852	59		0
3702	10nip1ksfxwqbj1cm6ybs5prsn	$2a$07$zJC0I18MrGG08iENHa8uJOXEpWq6ne0XhbBfRpOSFGey2aAHdNliG	48	2013-08-02 23:31:45.178334	2013-08-02 23:31:58.293469	59		0
3703	10v5eudkybn2lv6cdnffx4c10h	$2a$07$KT2bSQATo/K4UQD2lQxJpOgF7Zj5YKO/YyGYGjvWAncWqHZaQwJ/K	49	2013-08-02 23:31:45.200356	2013-08-02 23:31:58.654895	59		0
3704	10za0rp2u3h90c4qrt7ioxd66t	$2a$07$Gccyj1WWvTfm45xiLy2xQ.moQYaeYeyPgZURWhMiUEwlXgP4VADkG	50	2013-08-02 23:31:45.223365	2013-08-02 23:31:58.794818	59		0
3705	10acu4snp05bnaahl632957cie	$2a$07$FVAKgsywIN1ZjKBUoMJ1LOaRcyAHU2.uVMTJV.SzMsMw1jBM9KnTu	51	2013-08-02 23:31:45.244866	2013-08-02 23:31:58.934391	59		0
3706	10bqsctiiyszlty72zdz7wu0y4	$2a$07$ldmg8gAWqoazWr/wagdlKeBLx5ngBin.SJl4dmqPMojJBNKFV.UYi	52	2013-08-02 23:31:45.26624	2013-08-02 23:31:59.311502	59		0
3707	106wudtx2tpcie3rr1t1tbg2p5	$2a$07$Klf6MuUGQ4.B.GDnzu0Lye9IcohaNq2/Io0ANZ.ONN34/e0hsWcza	53	2013-08-02 23:31:45.289289	2013-08-02 23:31:59.66996	59		0
3708	10rcs55szhlbcb12mpssh6774t	$2a$07$kMZyil6Nrr3Q4OOUi.XE0efNx4gDh0pQMJ36xqciC.EiPdmTFLavi	54	2013-08-02 23:31:45.311331	2013-08-02 23:31:59.847012	59		0
3709	1068v477fqj4gklzb1ktl6lwcu	$2a$07$zH739y2gmL.9H0NhYTHmaO4u4x6d6IdEL0tlii62J15uPIjF9Uu9a	55	2013-08-02 23:31:45.335587	2013-08-02 23:32:00.249433	59		0
3710	10hztjj777ri82w8alkvmzfk1d	$2a$07$hsX8r6Ct3W25GwJ.VOeF/uXor0/nLYDOIVMEIi4EPwNXHMFFb0OlS	56	2013-08-02 23:31:45.360562	2013-08-02 23:32:00.483131	59		0
3711	10czqtd8x83j2p97e0beg4fapf	$2a$07$mguiJc9h29F9GLAzwDz1qefWdKRHIkoM6IrCaw12FUKGe2N9XyjYS	57	2013-08-02 23:31:45.383788	2013-08-02 23:32:00.633457	59		0
3712	10p1yj9vdkwn1ktz3ooyj6kuj3	$2a$07$gYKhlVcYrRx48ZqzWFF3UeNDKR77BGLXYu652jj4c0bAfAL.OJx3y	58	2013-08-02 23:31:45.405777	2013-08-02 23:32:00.755117	59		0
3713	10mxhlnk31b55mvfbs0kejnvkd	$2a$07$4sJEyZnEhf8iRRv.kNrjEeaDtT0oGbf2IAosQAFHvC.zU0jyhsCre	59	2013-08-02 23:31:45.428367	2013-08-02 23:32:00.92797	59		0
3714	102b2090ni9iq38ocwqn0nr0or	$2a$07$1fuPqr9kxqAZ./e5keSdp.67zzpxfMrao1209qeiHDMeq1JlyDVXK	60	2013-08-02 23:31:45.452503	2013-08-02 23:32:01.160227	59		0
3715	10c0d7kpn26qr7vwp6h51mr1xd	$2a$07$q41nBtTB4glmSsA6Y93Z0OFCMk8/vcRH2IyrgyybsZC99K0m0mixu	61	2013-08-02 23:31:45.476263	2013-08-02 23:32:03.945409	59		0
3716	10uzr6gyzk5kr43wl8xxn8yjwk	$2a$07$xPB4.jYQobRTTNcy7Kaxueue.mXXqD8ynVzbONTus0MJRmgML1ACq	62	2013-08-02 23:31:45.499883	2013-08-02 23:32:06.865838	59		0
3717	10d2ihuu9la9byyt3vethmwywn	$2a$07$hyGzw8pHwxjSNzH/.T1yI.ObPVf29pRxAfKGvxp46m65XXDrzt/e.	63	2013-08-02 23:31:45.521606	2013-08-02 23:32:09.953785	59		0
4285	10wg5i1y6uq5b27vbqsvthm1x6	$2a$07$Cl9gkMQZdL/BlaBRmvZXi.0fhj.YzyCyzHtCEOClt3whstUJ418ci	1	2013-08-03 00:21:44.12955	2013-08-03 00:21:45.771473	69		0
4286	106guxhtefbte2bseofre6dre9	$2a$07$YIFvAX.wuYyJXZjRfiXRuOFkmNK4N/hOWQt1XNDf/etvD5a.IBbmq	2	2013-08-03 00:21:44.158211	2013-08-03 00:21:45.91252	69		0
4287	10s8u8l0ttw7y2kpen7o8qdxgs	$2a$07$r2hDLv4HlldoVCgyg2Y/I.FBwm8SLEpPzRBVrTQIdemC5VeTWHBHi	3	2013-08-03 00:21:44.184298	2013-08-03 00:21:46.094231	69		0
4288	10qt9zmo01lw4e4xfikbcv7gh5	$2a$07$LKzEoQ5KRtxd4SF18oMYOOoFyMmBknGseygT0Ap6GvdUERTZwYnaq	4	2013-08-03 00:21:44.219878	2013-08-03 00:21:46.46078	69		0
4289	10nqmx3ml48p270rzc4yg96adm	$2a$07$5szXq13nC5V.5xXhC1Nz2eJ0Xj2z4qX8uZb8ZPyWsLSDAOUe/QFty	5	2013-08-03 00:21:44.250519	2013-08-03 00:21:46.730881	69		0
4290	109x5fq13djs5lj7l6rk7kcr9i	$2a$07$5IqUj1zPx6ZGx94itzEbUuWxcAaAxgVn5m938yrxCT/J4gGMxj1bq	6	2013-08-03 00:21:44.272417	2013-08-03 00:21:46.832155	69		0
4291	10ommxsm352koyxww9hqoumtnr	$2a$07$c5T/TBKoaqoN5rv6G.j8euc67i8KKIN5OvOgok8eqHQe6kKongM3u	7	2013-08-03 00:21:44.294488	2013-08-03 00:21:46.994647	69		0
4292	10ogb6tlyzf29sxk5s2bsif4oh	$2a$07$ySIncvK40jRpXN1aD2zDmOrUSO8FDr8zbCvwPAE49yNGeL5hu4XW.	8	2013-08-03 00:21:44.316435	2013-08-03 00:21:47.122975	69		0
4293	10fa45hstcy7xowmy8kg2g1g21	$2a$07$/9UjaFQSY5XLCiakXKKyxu8k8qd/sjDy22jo.da6HgVvZivmoK1.O	9	2013-08-03 00:21:44.338362	2013-08-03 00:21:47.266406	69		0
4294	10oo1fe57w4y614xzpq7u6f8fs	$2a$07$mwhdwc5uXFf8b1/aGezhRO9yl5aCy6u.2IDONEg3RVMIVgK0jxWAW	10	2013-08-03 00:21:44.360326	2013-08-03 00:21:47.382504	69		0
4295	101gel3yrhdg8kr6ogs4fdvzae	$2a$07$bpAA6896WOp2Rm9aAH4o2.vGJVcnaK8r78VOijHk2m3Cq4NpkczKq	11	2013-08-03 00:21:44.382251	2013-08-03 00:21:47.518556	69		0
4296	10a9d726cymz6dl9ejt1nccysv	$2a$07$DX6kFGUO5BtskPp1dM.XtO0u1pomWXJACaPGGwkWFj7ByoTc..YKa	12	2013-08-03 00:21:44.404274	2013-08-03 00:21:47.652591	69		0
4297	10g4bhrc6q4y5k3pj3a2h5v63d	$2a$07$a6X0tEEqthPSv4jPu7DCBOxe4XJFn9v3YfgnwMdZjhY9EsAOIitES	13	2013-08-03 00:21:44.428655	2013-08-03 00:21:47.821166	69		0
4298	10spm7npk4bk00i2l7c2s8e8xn	$2a$07$de5Oz6zFVGHaBNxRSsHMVeUh57UNenauAtRGVxxS7LE/QAibAv9pS	14	2013-08-03 00:21:44.456935	2013-08-03 00:21:47.97903	69		0
4299	104jqkdwidd9qusq9rk23qmqf4	$2a$07$PvxsVXcfaEEuC3jxb95LreQVgupOmO6pC5cutQaqkGZYhFk5Z3FKC	15	2013-08-03 00:21:44.493224	2013-08-03 00:21:48.196713	69		0
4300	101cr5ij7qh9ar39g4oyz4ovn5	$2a$07$JPaOtofgVxpspRz/M97WcO6II2kv/uyPxwBZVwsJaO1h/qGRye88O	16	2013-08-03 00:21:44.527605	2013-08-03 00:21:48.35491	69		0
4301	10xtv85718j85t7anpn2w9cvwv	$2a$07$/XHOnOyRXtSWfreNPXcHaOpAjbJfVjxrBdEsYtpkl4DGptc0zdA32	17	2013-08-03 00:21:44.557603	2013-08-03 00:21:48.486915	69		0
4302	10skrvriur7ivi29088qsuojr1	$2a$07$RjFVWyivgLZ7sMKyibOzhehybI3I7j.0YDyNR80CBvofEApmU4UHi	18	2013-08-03 00:21:44.587463	2013-08-03 00:21:48.75925	69		0
4303	10fuemqgmnjtejytv8hbybpgsr	$2a$07$5QpCBuw8fxIDSKTEykwvlufuavwU7cFzMAk6vfXIyFlvTW.2JPTAC	19	2013-08-03 00:21:44.609462	2013-08-03 00:21:49.14206	69		0
4304	10vnq4bko8ecxtkznqqjcrkw8d	$2a$07$Fv5t1e1GSbjf0.qrcKLtUeYW9ztFLM.ZVmnc7aTqdhcf/qeqEe.O2	20	2013-08-03 00:21:44.631313	2013-08-03 00:21:49.302866	69		0
4305	10gne1e1vttaamfexc747nsxa2	$2a$07$GJ4/BJan7XFcJ8thcYNDle6yiH8A6Os0v9qOzIb52ImIZTrPJqgYe	21	2013-08-03 00:21:44.653418	2013-08-03 00:21:49.565807	69		0
4306	10tb2qenii6ezfc6euftlwj96l	$2a$07$4v1n46plidQ.2bsvu9u4aOcZvtHhuDq0NCv3dGEAKgBVaN9i9Wrgy	22	2013-08-03 00:21:44.677123	2013-08-03 00:21:49.679829	69		0
4307	1080739fw12rw2kerrqglybddc	$2a$07$.dC50CaIS/.W8sg.jy9mX.MAGoICxdzQ4Dg05kDSWPy4L18o5a9OW	23	2013-08-03 00:21:44.699154	2013-08-03 00:21:49.78626	69		0
4308	10ivwgz5vjn2dhzj49vieowva4	$2a$07$9cRoS1ObU41XW.gvMpoYQehr0EiSfRb2gt5npcmDjFzG6YgIlpaqW	24	2013-08-03 00:21:44.721083	2013-08-03 00:21:49.900243	69		0
4309	100p65vdxfsggr1shy5sux44r6	$2a$07$X8BW7xLdWdjVt6ZIl38RsOfHz4AHQzGpGReslLU0gCa9jGkMUqSW2	25	2013-08-03 00:21:44.742972	2013-08-03 00:21:50.124393	69		0
4310	10lx589zlprm0pgmhreuwh7kuv	$2a$07$d9j1/FYNt988RPH7vm3f2.hoDJK6E2JyLTJSRwyISpvj2GOjEbQD6	26	2013-08-03 00:21:44.766222	2013-08-03 00:21:50.261304	69		0
4311	10kb82t66kefx4pjjbdo2rbfdd	$2a$07$Yka9stc/O3plv5vQstzrXOYdx03lMXqITk6zIzIHowqrm28DhMSBG	27	2013-08-03 00:21:44.788464	2013-08-03 00:21:50.506475	69		0
4312	108wbicz98zdltit401dlzz0fk	$2a$07$deOS6/09jxxPxJk2c9eXB.XOABI5xP2Uo7.NI9oTFSHgVtfvAYJt6	28	2013-08-03 00:21:44.810995	2013-08-03 00:21:50.65275	69		0
4313	107a0hnbdias9aoz9dn5hkhw4a	$2a$07$pkH6MDCu62DqhxjZW/ukDOSeL4NRehAlpnFLcbOyfFHU3E.SRSadW	29	2013-08-03 00:21:44.83371	2013-08-03 00:21:51.010396	69		0
4314	10vf5xz5o69rpm14ruvno9g789	$2a$07$MP46tWHRmFToxcnsjdu/I.9qAFUD476c8d5Jvl5ZePecYtUH5.WFm	30	2013-08-03 00:21:44.855868	2013-08-03 00:21:51.382874	69		0
4315	10b9pf9e9jk6awva59r18m70gm	$2a$07$HKbtcDV8XXG46h3jB3/2Y.NjVDQ4cYhqUkthi.g4pfVXBiCIs7OTO	31	2013-08-03 00:21:44.877832	2013-08-03 00:21:51.725664	69		0
4316	10n69ra8g42ixr2cn7wunpxuls	$2a$07$8KWBmmN.Rhsa5KclJx/6jeNBY0Adj3cSDvMsIjI.ID08e0zvjZ1ma	32	2013-08-03 00:21:44.899849	2013-08-03 00:21:52.094004	69		0
4317	1045pdsw20vgve8z6gin8ts7nj	$2a$07$nLdHthOaYXsHn8v/CRBaxuKmSA08yLOqTcPt3651HEHCD3yZsEl1G	33	2013-08-03 00:21:44.924467	2013-08-03 00:21:52.470322	69		0
4318	10e7fn3iixxojp0bba4o7qnwnz	$2a$07$yFr5OcGkjdliWZf6wCfMu.qOCTacEkV3/g7fNlPIteMe3TZh3VgcO	34	2013-08-03 00:21:44.948836	2013-08-03 00:21:52.627304	69		0
4319	10o4unmolt2b1q0r5jbdrlf0f0	$2a$07$66T4Uh2xq4j2dyp5qkT2d.4FPCrUbaBA/MCENJw6JfeNy1KmioRRO	35	2013-08-03 00:21:44.985512	2013-08-03 00:21:52.78869	69		0
4320	100io6byke28k25pswow8a9u0n	$2a$07$C2cFpvwfeaW5LoSKwDEv/OpTYr8hKVzXo5V2OqXrt8Mc4xc8LPP/W	36	2013-08-03 00:21:45.007795	2013-08-03 00:21:53.005674	69		0
4321	102l4ffdp7phvjp3865pfg7gff	$2a$07$uMvqhSVMZuOm5Ley861p3eoOB5qmLSaQ2/rSzLmuHuKS3XhDdBTJ2	37	2013-08-03 00:21:45.030104	2013-08-03 00:21:53.354351	69		0
4322	10mat1ujcn73x68kalpgly62wh	$2a$07$e2ybdLL5MRon3mTSM/zhbeLxlPVvFGc1KAVeWJPh8RichU5QRjAly	38	2013-08-03 00:21:45.051992	2013-08-03 00:21:53.699242	69		0
4323	10l0rm9mhak5uyykt3qsk7a9ot	$2a$07$ET72ZitQyqTV467xKo1wq.Pca71.5gadEA4bwb0.ZosZarOssuePO	39	2013-08-03 00:21:45.07395	2013-08-03 00:21:53.832473	69		0
4324	10612v7ii0273t1q2ybqbn0rbz	$2a$07$QDah0Bclrt00QOPofhpklOmJ/BKYybsa//TqYOFuVHAwwKsgUH8om	40	2013-08-03 00:21:45.095913	2013-08-03 00:21:54.033552	69		0
4325	1028jv9qfge8devuxgsoj3ihgv	$2a$07$kr4hhmbcxjRDJ7nq.Nft8eCE7ows769TFtMfezQ13L2jy.yib1rsy	41	2013-08-03 00:21:45.117834	2013-08-03 00:21:54.175831	69		0
4326	10cbnqh0u9plvhg0fldgyxdum8	$2a$07$4FbdiL.Fk3CZHdsAK0dUl.K8Cirwl7xCmDyk7Z70FaN0sroMPY7kq	42	2013-08-03 00:21:45.139682	2013-08-03 00:21:54.312476	69		0
4327	10j495zyqcnuz1t71lbha0q0t7	$2a$07$eTjmuhfjeCw.cqUzjoioeuC8z1Hzz5uy2RkcoRFdWr25Wb.t.nEOi	43	2013-08-03 00:21:45.161948	2013-08-03 00:21:54.689347	69		0
4328	10tps7zyhoowq1qzcz29ddlem9	$2a$07$6aOZVoDFnFNK3bY1WxyDGeE.BVdssW4hLgFipNpyZJnWpD4yOJlDy	44	2013-08-03 00:21:45.185727	2013-08-03 00:21:55.079761	69		0
4329	10nsdc834v09i38q1l4hu3mlch	$2a$07$AgoZkMopKRFNIgf.rgGNg.ONNRELhcr5TVW0kmF3GovaxTaKAEvy.	45	2013-08-03 00:21:45.209749	2013-08-03 00:21:55.435737	69		0
4330	102lsm6017u4sou64u4e2kuhhv	$2a$07$JO.ln.P0663QPVCZPkO8AuWWpsO0wf1y2hNSosrZu1FhZBEw8eL9y	46	2013-08-03 00:21:45.233105	2013-08-03 00:21:55.69693	69		0
4331	10k690cyw30edhyhkzk8r3dp4w	$2a$07$JKlwGwAdpYIHG0RIeMwnIeRMWy5ZVYkBVb72fnbwvns4ElhB8CgKO	47	2013-08-03 00:21:45.256435	2013-08-03 00:21:55.892935	69		0
4332	104a6f4fus9ihlcysyuyyk4pm8	$2a$07$nDPhfpwzlcnE5lwOqWzcSerWxiWC.4vHVuVnBBqiV5FnCVpUddj3O	48	2013-08-03 00:21:45.278568	2013-08-03 00:21:56.068848	69		0
4333	10poth3d0b7mbwpcstwkrudc7a	$2a$07$l/GCw8NbYvs2tFbVougezOCuDeHqvCdQI4rRYkXJwapVr5EpZ5Bsy	49	2013-08-03 00:21:45.300783	2013-08-03 00:21:56.213909	69		0
4334	10596odnwc48u9zcbgvlcya90t	$2a$07$UvtW6S785.kaKzty0Hp4B.g8Mi37a6mKaIpC5WmH0rU3OpeMbJTJK	50	2013-08-03 00:21:45.322724	2013-08-03 00:21:56.354893	69		0
4335	10nynzfyxyk7m3a1wynzdvdj0q	$2a$07$h2WWB6batMw8x/f/Xdrkv.pDSKcAwHK9BUQOFiM8mjBUy35Lduvb6	51	2013-08-03 00:21:45.344654	2013-08-03 00:21:56.49757	69		0
4336	10aurh6ynckx22b3h79ozo8dwc	$2a$07$DvkjP2SFdlJSM0XqeO/oqODY/5ISB5SA/4QbjlCIVh9jaT1v76YIO	52	2013-08-03 00:21:45.367309	2013-08-03 00:21:56.649953	69		0
4337	10h3707d1bf397pn5l76j59hw7	$2a$07$af3JngCV/8p4T1Frql8ZMeqbF7Dnn0PSIDC7y.NQ0LNXvYj2JSKDa	53	2013-08-03 00:21:45.390404	2013-08-03 00:21:56.863164	69		0
4338	10ulacqiel0xoihizicp2apjlw	$2a$07$cJ0vCyoweqvtqlv8VrhWj.yzA7SIDITZvuzPqYjCwEBkCXIU23tDC	54	2013-08-03 00:21:45.415262	2013-08-03 00:21:57.147332	69		0
4339	105ujt83nq5krac1i5hre8g30p	$2a$07$rXZ5CQS4tgsp4yDKFAZRTu9RWOT/9TzMllhSFH6DvpUANSLMpDa/W	55	2013-08-03 00:21:45.438576	2013-08-03 00:21:57.514498	69		0
4340	10cwk7btnda8zdyxi4c1lj345n	$2a$07$NePS97gh8wt6stURveHxT.cYYl0ANvcL4ZOrQG96oylJ2nStIHaWa	56	2013-08-03 00:21:45.463255	2013-08-03 00:21:57.942761	69		0
4341	10mp4wms0tlv97xdwqkmy0l8iv	$2a$07$RHTq4UMjwlexDtiwF8POfuVbgnqp0FC40k2f8RhIXUkL/ogeDWWNe	57	2013-08-03 00:21:45.486048	2013-08-03 00:21:58.318351	69		0
4342	10iv9fv9f6kskvmy13mbfh7csu	$2a$07$w83JAUUaSfdmvnCvch2FRe1IYna9wtSmnrRXzgtCqPar10RhWlDg2	58	2013-08-03 00:21:45.508478	2013-08-03 00:21:58.472425	69		0
4343	10hvpwe6n9m54ax721302qil4t	$2a$07$IcTM132pnPiRJbI8c4Pm7.6C4vZPH4In88CcZ6JOrGnr0Qkpyfl2W	59	2013-08-03 00:21:45.5323	2013-08-03 00:21:58.659254	69		0
4344	105t9y4wruya7v8m4fbxo2tfua	$2a$07$YckJcruDVao95kcmlYpTqOaH6Ht2LQawfa83.drjpgQP10THSHKTW	60	2013-08-03 00:21:45.555742	2013-08-03 00:21:58.858834	69		0
4345	10cohqviax0iqn5m8kq9jbpis6	$2a$07$D2LLYKFtOYtX7dDeFnj48uEhSpEgVqroAhzMqYT/u5VeST884O5C2	61	2013-08-03 00:21:45.578885	2013-08-03 00:22:01.434254	69		0
4346	105021jc91f8ouq0a05g1chyu7	$2a$07$0bF1hp20JaIdYBtw.BpFV.xEe.k2ZtfadjEULiFDCdx7MfSq7s6dm	62	2013-08-03 00:21:45.601221	2013-08-03 00:22:04.642173	69		0
4347	1000ac2bupqnpj0cakabkx30lq	$2a$07$0XG7jVgfsXHtF8O33MzNpOauwG63P6AbGCYvP6bOkhMyBVbgA.0s6	63	2013-08-03 00:21:45.623239	2013-08-03 00:22:08.038903	69		0
3718	10jo5h0qf69ymf3o3wasmklbyn	$2a$07$I2ChGTrnfXEMiZNID53es.9vDnEA5V3xeftJO4P/JFiekklc.IxWy	1	2013-08-02 23:36:44.03509	2013-08-02 23:36:45.883525	60		0
3719	10wi1u8kc07toj3s6rmhtsxbds	$2a$07$jPeGp.7X5XQx5AUA2z.hjOM/WzDDNcHCkolkY7z1i0uvrt28yCat2	2	2013-08-02 23:36:44.061009	2013-08-02 23:36:46.022995	60		0
3720	107ryfk43laxn3zot17mhkfmfj	$2a$07$H5e3kTkBIMNQB16MAopuPeKN4z6U0vxZ3ktT.NHG0ZQhkNdOzLrgu	3	2013-08-02 23:36:44.082449	2013-08-02 23:36:46.24866	60		0
3721	10f07s0rpfym8ilg7ofkea2ia2	$2a$07$TupstcF8s9PHSwLOdnT1oeczxpsVMw/qXjpgR40R7LFWof/hozCD6	4	2013-08-02 23:36:44.103844	2013-08-02 23:36:46.570229	60		0
3722	10q0vh4ewt8g7h0iicgaw4pp0t	$2a$07$J2I5ki5L0hrkJ2QO4vqrAeubYWKx79MRpLukReiciPb8ZV8n3HcRu	5	2013-08-02 23:36:44.125377	2013-08-02 23:36:46.751625	60		0
3723	106o497nhwdmolbe3p162axz2h	$2a$07$d96n32PPifcWG9H/df9LiOy9ulnrGSZn8.j9SOHUUZ9lIjtsWgmvG	6	2013-08-02 23:36:44.147903	2013-08-02 23:36:46.953492	60		0
3724	10loch0yjtm3sjn5ym1783jum4	$2a$07$M11D34UbPsxcf7q.i/xvbeEwWy.ACyMj2N3aOPFaX666NOtV2lRv6	7	2013-08-02 23:36:44.171786	2013-08-02 23:36:47.202831	60		0
3725	10zdk76ls0p9cwiqiow1sc0uw0	$2a$07$fr0D0bJvnykNYOALc.Aui..TGxvOSAoMVTkbKFORJcqnnseDVq77i	8	2013-08-02 23:36:44.196107	2013-08-02 23:36:47.378752	60		0
3726	10jbqwsdhx9015wwl1eih0ovgg	$2a$07$toCqs0txFCcm2WO2RpDumuBttWUG8krITGV85oZ8Ymrg7UhUUZgg6	9	2013-08-02 23:36:44.219061	2013-08-02 23:36:47.649919	60		0
3727	10a2cdelgqiklsqntx9aslys1u	$2a$07$HBHmp9lirBmTQNv1adphTu2NcydJEJwoEC7dcga9KyBbCnXt/V5ae	10	2013-08-02 23:36:44.240797	2013-08-02 23:36:47.782242	60		0
3728	10iunnj41o9k9uca0ggb151s9i	$2a$07$/VXv2npGPrec8QiXIKf29enYPUxWse299Pvekw5FII2Wq4EJWZ8fa	11	2013-08-02 23:36:44.262402	2013-08-02 23:36:47.911366	60		0
3729	10r2qu5sqv0v889b6qgfbeskdm	$2a$07$i4c72SisBj2hz/pWk2YQwOl5wuOUzPv3S4CjTanhBT6KCWjvlTvMq	12	2013-08-02 23:36:44.284256	2013-08-02 23:36:48.045022	60		0
3730	10txkh52labzsy84rcf1exuztk	$2a$07$eVX5etX5L8JEtx/hr5IO7uxuRL6AdZGsdD1VsB28ltuhhT7WbEGLe	13	2013-08-02 23:36:44.30596	2013-08-02 23:36:48.43983	60		0
3731	10t80f3w7n068k22xl6d2nuv8t	$2a$07$OyZMoHaQFIhpzPvnSCTXy.MilhTC5dFDnEn.UzBpb0nRM5jhU/09u	14	2013-08-02 23:36:44.327456	2013-08-02 23:36:48.723308	60		0
3732	10mtux7j56a6b3t12dl72e251t	$2a$07$JGjcLUEsXJU8i0t.u1R0leBT3/dIJgTK4rrsTo16RlblzTu0nwiGa	15	2013-08-02 23:36:44.348988	2013-08-02 23:36:48.901886	60		0
3733	10aej8zg4m7g08rgif0rpphd26	$2a$07$rZHuyzUkRZEqWRC.Ak.yFOkuUYO40.gcJSP37EUFyNXBfuCM2Siai	16	2013-08-02 23:36:44.370846	2013-08-02 23:36:49.135642	60		0
3734	10wjoj2uhtrvi80y4smi3g5o8d	$2a$07$jGzLaxMk8Y8XJ0Gp0dRSXetJm9Q5/2Wtu.UXz8mUhw/0SCHMwkrXK	17	2013-08-02 23:36:44.392649	2013-08-02 23:36:49.27604	60		0
3735	10eu5wecgbj190whmxpg0mn2ia	$2a$07$xxqjswy9.fxeVmloUblJhOP.C9nlOTDFcZTfa/SgIszxZqmsoyU7W	18	2013-08-02 23:36:44.416025	2013-08-02 23:36:49.437259	60		0
3736	10h1mtmj4e47islvnrkzxcjl46	$2a$07$NIeU0.7AAroAsNlxijqfgetDGePihe48k6wl4Qb/ZAhOifxA2YkKW	19	2013-08-02 23:36:44.441324	2013-08-02 23:36:49.810934	60		0
3737	10c9aze0q6pqccfwyl6jh06qip	$2a$07$iIITth7uIXV0iiMmXaUhuO6QKBVACEUeJNLQ9u34iXXsODS2e98z6	20	2013-08-02 23:36:44.481167	2013-08-02 23:36:50.180808	60		0
3738	10zvjta5s84s2pundc8ehod5t5	$2a$07$q8.mGx/sqIHTdsQ15dsu6uSwiPo8u6BEbguFzrsIGyfE8JB.q4WI6	21	2013-08-02 23:36:44.513916	2013-08-02 23:36:50.502104	60		0
3739	10ido5vodx4dnqmwhi123w158r	$2a$07$BKu8ErPFS8L4qTmwjLTnLuoQmUQVbozZWvTLygsUtjXHkix/i2sF.	22	2013-08-02 23:36:44.535322	2013-08-02 23:36:50.699451	60		0
3740	10o0dqt6mvz1b258znduwlgkvn	$2a$07$CVIW9XOfHZ5x5mmC6/AQXOpiAjUBYVqTyI2j2ew2EG4qImcDCZ77K	23	2013-08-02 23:36:44.55664	2013-08-02 23:36:50.918089	60		0
3741	10ycb6mmydzrj6oh2tx1n3bfcm	$2a$07$eit1VEbhMIJt42/DElMCGuHWsXCrhNgibDNu6a.qJ1RHgzYnB4bGG	24	2013-08-02 23:36:44.578194	2013-08-02 23:36:51.356491	60		0
3742	1098wpu7o5boley1b8msl35j49	$2a$07$YxCy0WDCF8xbAHjJmTRlGei4FXazkIA0eUY.4FdE08yCfLCxqFE8u	25	2013-08-02 23:36:44.599817	2013-08-02 23:36:51.748728	60		0
3743	10ohch910d47ayld32ytdbt271	$2a$07$ViMd.XxmPRXI7DCsE6bKsuYIBRzk2LVo/CNmlK3FS6MJWtZanmDJy	26	2013-08-02 23:36:44.621854	2013-08-02 23:36:51.884846	60		0
3744	10tw7xb2klwbh2qmwlf0oa2oxu	$2a$07$gueo59i3reyiNIld3qISIOPqGSDK/tAFuOvWabTowmxxv6OWGnOMW	27	2013-08-02 23:36:44.64498	2013-08-02 23:36:52.059152	60		0
3745	106kjjoegfmd13kjfqgz61dg2q	$2a$07$G8dBobP6n.VCI0m8/1yK3e8KqsXU9mGstLLIzCZCVltBoO7enq0p2	28	2013-08-02 23:36:44.666664	2013-08-02 23:36:52.316065	60		0
3746	109t3v71hrgt5uke2k4hdtdfvz	$2a$07$0epBK6mX5wGXhlELOIsTkuDNugWAsNT0.GV.7YVMNUYAmxoX6DwQa	29	2013-08-02 23:36:44.688815	2013-08-02 23:36:52.441719	60		0
3747	10j4q29uo3heowhj3dr8ivdrka	$2a$07$9UwcoYpoMl/G0UrgtW0avuRO2kLxBH/J3rbF51sR0IeBTz.Efy7tq	30	2013-08-02 23:36:44.710696	2013-08-02 23:36:52.591868	60		0
3748	10xx63kkvvt8n2z4mqsm8uxv1u	$2a$07$DFo8NGZoxHY60/qqvtcl/uAbEVnui5ojBUPgx6pEYA2e3LveCCGYm	31	2013-08-02 23:36:44.732086	2013-08-02 23:36:52.725398	60		0
3749	10vwmf2awtomnt7grrb0zv6cip	$2a$07$TkWBk6YDKfysbQpFuZsVj.Msbj9AOxo4dM11iURxsBZx9GOwoGmk.	32	2013-08-02 23:36:44.753644	2013-08-02 23:36:52.859101	60		0
3750	10zquocar7tx5xun5fv7sagms8	$2a$07$8cfW4QvbfR6wM5gmATi0c.3MOP9IvDuVl9JjjwEjiUAUL2DUv9lgW	33	2013-08-02 23:36:44.77539	2013-08-02 23:36:52.995486	60		0
3751	107lltnjctpo4jzfh5qhx96fxt	$2a$07$iCSouTq87eunSDVdjxEjpOQ011Gm8rPqAi0XZmHIll.MRfJbkFXhK	34	2013-08-02 23:36:44.796951	2013-08-02 23:36:53.401679	60		0
3752	108jydqq1r2ri1qovyfs3vez1q	$2a$07$5bQiXGXqSbfot6go1V4mTOriWCPvYQSxt6HVMdMIVwS8Ozj.FLApG	35	2013-08-02 23:36:44.818814	2013-08-02 23:36:53.786192	60		0
3753	105dybimr45lvpldn0zf3zaqp2	$2a$07$mhwctjiDlR.9ykrO1m28YOaKlpzd0Ma/OABWXoo..PVfO7KQ3oN2O	36	2013-08-02 23:36:44.842454	2013-08-02 23:36:54.18929	60		0
3754	10ouxnrq1ihsf0qu52p8qyumo3	$2a$07$T0AQ.XQ.rpf0vcAkvjsRC.ib5EvZKEIyMkfgqkWJV3rbfU2rdhnaq	37	2013-08-02 23:36:44.86672	2013-08-02 23:36:54.36415	60		0
3755	10xprlewleta9zto1w8dzaqccp	$2a$07$vGXseGkX4ov.XtmtgI7K0e/nuy1Vna5PEAbcj0lAYblg/DYx3RuoW	38	2013-08-02 23:36:44.901087	2013-08-02 23:36:54.625185	60		0
3756	1070x29vxd1f7z893qa6upl581	$2a$07$PxVXnaAkXQTWvLQQ6L2qVuV89hBcDRvkyoCM6tKMBtOFIUbnB4AN6	39	2013-08-02 23:36:44.922735	2013-08-02 23:36:54.901432	60		0
3757	10r3nklzqgkrrkid9bgvnkw6ej	$2a$07$RfZuhrzLoJObbAWABfDuPuP3hSRq/RJOZeQz3GCXOyEGlitzUT13W	40	2013-08-02 23:36:44.94441	2013-08-02 23:36:55.289058	60		0
3758	109tt1e9d9zjtw0jajeb2zgelb	$2a$07$tu54r8g09ob/KqyJqZaaleLBK23NDt.DY0xfr8tXloBozufeFxgn6	41	2013-08-02 23:36:44.965915	2013-08-02 23:36:55.666296	60		0
3759	1088xgrpoy2t0pyqsp36180mom	$2a$07$zxS0yCr8P5cHKMyvCf0/2uxuw.VCWPbZuj0lxgjlpCk0I7k7MpAAy	42	2013-08-02 23:36:44.987277	2013-08-02 23:36:56.072021	60		0
3760	10mmv92t30195b504sg3wxciq0	$2a$07$ih95NI4jhjEgq9O/35ITv.cXz95biXrzKU0NsyK1A.A.twUA7Yem.	43	2013-08-02 23:36:45.008602	2013-08-02 23:36:56.309202	60		0
3761	10547gelce7nwlhk7sofg10ea6	$2a$07$HqUxB2zzDLeGaZ5aeMZ2YecRtap/2jwBU2JhJZt32fYzfkolVVTGy	44	2013-08-02 23:36:45.02991	2013-08-02 23:36:56.534255	60		0
3762	10fot0rbr47fd167wmk6xm703x	$2a$07$1ffD03HxM1YbYa.StavQIePbudNNtXqf0D0hUlHicDb3tUylLVd6S	45	2013-08-02 23:36:45.051235	2013-08-02 23:36:56.920731	60		0
3763	109eilgx1b790iq0zz5djpxo0p	$2a$07$EuXMNf9i1f1aPybUskNOtOIguwoqaJuI5LdfZnZLhDuCd7ftYVFWK	46	2013-08-02 23:36:45.072789	2013-08-02 23:36:57.19746	60		0
3764	10yrpurd0qvh96czffg7rxfu5s	$2a$07$8aD4VfUwcauxKZZv5xjblepZWY8ilC3VnXKt3BH0tzP2RLV4XW2DS	47	2013-08-02 23:36:45.094174	2013-08-02 23:36:57.331927	60		0
3765	10xh3bzxg4pt7kqu0sjb9o6hyk	$2a$07$kKSHoCTB0huNgwXvZUg2/O8oEREoO.Ljh19kh.EpFHxEA2M/P.M/y	48	2013-08-02 23:36:45.116029	2013-08-02 23:36:57.557419	60		0
3766	10mbxpn6axcqeghw3ase9x3n37	$2a$07$mO/4hrfUGBJ3v9ECosAIv.O8rJbdkyAoBmEU.88t7bIZ8WqRS0zb.	49	2013-08-02 23:36:45.137559	2013-08-02 23:36:57.680393	60		0
3767	10i5g3v7tnf65qqldvtl14j0ng	$2a$07$1cdz.KuXCyUJ/6vmAhnTJOSMDd3Tav4.vKi/2BoIymyMbRHGtaI/O	50	2013-08-02 23:36:45.158916	2013-08-02 23:36:57.817422	60		0
3768	10b7r5qrm0odpjn3m90lworfef	$2a$07$WWtHGCDisTpza2bIJxf1teukKQEvRFWXUA./HlvodiLtpbR7vces.	51	2013-08-02 23:36:45.18215	2013-08-02 23:36:57.962857	60		0
3769	104gszvq1rgfsg0gnexvsmgweh	$2a$07$Oo6Wd9pPVstNu0rmT.Oeq.1iSBU4ANiaJRu/srsKaeuuk/28c/kHq	52	2013-08-02 23:36:45.210622	2013-08-02 23:36:58.197069	60		0
3770	10akk8x3trqv02n8jko1y1eptj	$2a$07$YeAPEEtHKHyn3tu6l63LGuIIr6CGBxlWMY2sKzwoaFPPJ6hwYAbPq	53	2013-08-02 23:36:45.234005	2013-08-02 23:36:58.413365	60		0
3771	10cp50aczajv50mb3lqgai4yxw	$2a$07$FkN5/Ai6po1Zzd1ue5SqVO4JnKWBWX2.AHFN2VeFXAmrQ/aOTq/ES	54	2013-08-02 23:36:45.274148	2013-08-02 23:36:58.70419	60		0
3772	10zd7c9delpfs99u4z9wg3wwmm	$2a$07$tMGq3WvmJ6.Uo1PndSo9p.jZUbczKEToYMvCGY84WCbKQEIDtkRLO	55	2013-08-02 23:36:45.306627	2013-08-02 23:36:58.97776	60		0
3773	10pl9zaegrtj0i73s1dtp18vsu	$2a$07$qyey3EMRDiYwMU8jGOYJ.ur.1B4bS7HrJrPsftug8RP3AVy5LCZV6	56	2013-08-02 23:36:45.332837	2013-08-02 23:36:59.089529	60		0
3774	10wrk9y97mm571xu7g9d7wrm40	$2a$07$FTO/72MDNnr8.PICeNdeWewyLuQtJMFSaplk3Niqa11O0/feFKPlC	57	2013-08-02 23:36:45.367516	2013-08-02 23:36:59.257645	60		0
3775	10dyj295xh1nyca8044d2x6kx2	$2a$07$9kxBrsq/tjJv7kG8HxpY5e/6t8s7KHV0VdCknuyi8NxCmRyoq1k/O	58	2013-08-02 23:36:45.390531	2013-08-02 23:36:59.434881	60		0
3776	1007ghszkjopxwyzvmzii5ryxg	$2a$07$omI4goELhMUNKpMBqtIe.OT8ymdCgWFAWd.1g1b63szBfc8AOglAG	59	2013-08-02 23:36:45.412574	2013-08-02 23:36:59.567595	60		0
3777	10why250cg91lpec9ebquqmn3e	$2a$07$9cIVMzfROW1M.oKrm19LX.bjgTgA68yAhUagqBGfbOzXpoj.T7MzW	60	2013-08-02 23:36:45.43636	2013-08-02 23:36:59.808036	60		0
3778	10pa75fnk6xfwqg3ab95eu7q0f	$2a$07$5znouKbAyvY55BVXJ9M60ODBR9393UFAf/UIltobdQHX0iRf2xZg2	61	2013-08-02 23:36:45.458829	2013-08-02 23:37:02.446439	60		0
3779	10qignmjefvnqnk50b41akspvk	$2a$07$pJBe6wkskuShxtMZt2xcfO1oyBAVq0MG/QeUUAJYniwkJtAsPY2Gm	62	2013-08-02 23:36:45.482436	2013-08-02 23:37:05.735409	60		0
3780	10ss7tr7vds16v2c4uyxffmfld	$2a$07$jcyHuXYYN7gKBxxwpFLn/u2X0ftuh9bwKzwYCp8oCSJ0/HXAGqqoe	63	2013-08-02 23:36:45.505473	2013-08-02 23:37:08.841065	60		0
6522	10zhkikh1p5k5b46adnymfomv9	$2a$07$kp25P8GQkXqSBYvhVcsOsezp/bn4WNt5qX2xsYz04zafHDCcxmgkO	54	2013-08-03 02:57:38.782149	2013-08-03 02:57:49.368919	99		0
6523	107ze0sd8ej50svhpnnygfoq4h	$2a$07$PQOxM0/fGsR.HBojwIDqAuMQK02U/z7kja3QqJ.8Te7BrsmHrrMZi	55	2013-08-03 02:57:38.81014	2013-08-03 02:57:49.755839	99		0
6524	10w7p2zkwoii0yby3tc2f1kxa8	$2a$07$7UO892twd17aMR8oHt2UCeQ5M9QRb7rW/0KzfGBImvO2iUAcLFK1i	56	2013-08-03 02:57:38.832139	2013-08-03 02:57:50.12377	99		0
6525	10wpsxnbr2oolw01gxpwwzexjl	$2a$07$htnDimQnqXbcVc5Evmnb5OmL2QKbnmQNBVzbRTsJ/A54rEOmld.hu	57	2013-08-03 02:57:38.855555	2013-08-03 02:57:50.4818	99		0
6526	104ld76y99xt20wr1a6nu44vj4	$2a$07$RwcDzNjGOvRkTbgnPJsQ8OosM9eNgMHC46h2sdeoriNMOM220V0Eu	58	2013-08-03 02:57:38.879259	2013-08-03 02:57:50.856076	99		0
6527	10i2nqrp8kjyb6t6ev8idp2ees	$2a$07$l0i0OG4NMs.aUuwGjqbZL.fMrR/qJ7WOQVaInyd7VqW2aHynmJCjS	59	2013-08-03 02:57:38.912015	2013-08-03 02:57:51.227635	99		0
6528	107zk7r3sbc48ft35r0ne4b4y0	$2a$07$ikO5DrXz7w2RQFIAW9ICEeQwIlQIhDtaMSsudtEKZREB5PP7Xq61y	60	2013-08-03 02:57:38.946618	2013-08-03 02:57:51.568791	99		0
6529	10tp0zehenud1d9w54a5g8h8go	$2a$07$W5invnohXSItegoI3kcgHuqYq1ni/6N.0BpiVnrOzA6zepVwXrx0C	61	2013-08-03 02:57:38.970106	2013-08-03 02:57:54.499845	99		0
6530	10l3i34n05j3e2t7e379i4nbvv	$2a$07$Gp20xB1Y3xEtPfBsjTlJquE3nLLMgJBpA3cip0du22SlObUJ.ygg.	62	2013-08-03 02:57:38.993165	2013-08-03 02:57:57.624373	99		0
6531	104mf6xj3985p3lprtovzz4bpf	$2a$07$K3ymrLSOxRag3Y0UbaqSAeKGj0mhs3aY/R/HDwC/Br3nV2B8UgzNe	63	2013-08-03 02:57:39.01473	2013-08-03 02:58:00.817702	99		0
6532	10b63j7vyk7v95v1zotspd8ufe	$2a$07$hcrmpo8juvLAclYE08vmfuL/Olm8ydFJpzOzT6NbOEpQn1khDq4EG	64	2013-08-03 02:57:39.0364	2013-08-03 02:58:00.94655	99		0
6533	1001slx54o6xavkg2ns2s486s7	$2a$07$/yZwXD3TJh.fNT.cfwGfxePd6uTPPZVVIsgAu//CpzAudjFJL1LhC	65	2013-08-03 02:57:39.058041	2013-08-03 02:58:01.07337	99		0
6534	1034burlhue74his915qy4pah6	$2a$07$po/6ua.qAoy5hP078GlB7O5.7TFdB6CvmhAFogjNWPf8Cdw/Duplm	66	2013-08-03 02:57:39.079648	2013-08-03 02:58:01.201901	99		0
6535	108772d0ug4u171e5e67qu2mqu	$2a$07$gWZfnd8TznIMK.sYxkftB./2msZAPP5hgaTdOIGtCevN5vodzypzS	67	2013-08-03 02:57:39.102381	2013-08-03 02:58:01.330159	99		0
6536	10hms1s626wnkcaya6g3ri63ok	$2a$07$rr64GkUTVWb.KfzPJJ4u6.rgJO6RPSYbwOFkaUNpS1zc5m4xiPmMu	68	2013-08-03 02:57:39.123985	2013-08-03 02:58:01.47163	99		0
6537	10t1l519tmnj9olhw7sq8a4wl7	$2a$07$DwE3wd6e076gElOcnZSinOK5U18fMWJukhOBl3YlHYbg.4yXp2ngO	69	2013-08-03 02:57:39.145492	2013-08-03 02:58:01.606077	99		0
6538	10jrickt0hjt0jd4qm4cq5866v	$2a$07$2W94J1oqXHI9ZP69mlhS5OMbk7zmIbekd1FvwQY9n358NWVyFn/ca	70	2013-08-03 02:57:39.167031	2013-08-03 02:58:01.97444	99		0
6539	10nywewip97od4vl5ybetq4pcv	$2a$07$keTFgVEwRVPGqNLO/.aZcOl.3S5BoYE/4bCDzyOvBXPlkSJa1mo3u	71	2013-08-03 02:57:39.188412	2013-08-03 02:58:02.33553	99		0
6540	10hi2z9lhg9jxbz5ojk8e26nqy	$2a$07$LWS63Qrz6Nb7zX9V6QCWd.s4u10CsHHxmX13C8W138frJl7/6PhvO	72	2013-08-03 02:57:39.209906	2013-08-03 02:58:02.515285	99		0
6541	10qh0pdbvl7asdo8sw7ldywwm8	$2a$07$Eh/NrlCh..wkLB3FhT8sxOlJLozrvxbgsT.GDajRusDSZuM1mwtzW	73	2013-08-03 02:57:39.231309	2013-08-03 02:58:02.655323	99		0
6542	10nwxp6748ylit66bhm8tia28j	$2a$07$XayDUyhCFFLkqyhTSukUs.6SmxfceEznStPDUh96GQBaZq5984cZW	74	2013-08-03 02:57:39.25287	2013-08-03 02:58:02.787532	99		0
6543	10p55j84f1htxl2ewa2xvv9irp	$2a$07$4bQyJOIcpe7H2.ru.MQzKOnPwp7gMds5zfQBzIUYiiG2ZsZhV3tpy	75	2013-08-03 02:57:39.2746	2013-08-03 02:58:02.945239	99		0
6544	1001t3zn15mk50u05yo78zgv9v	$2a$07$rg4dIyNDAzfa8V/iklPa/.20f/Wrjy9cTE1Dx1JxGwinQ6Z4nVtka	76	2013-08-03 02:57:39.29895	2013-08-03 02:58:03.31377	99		0
6545	10yi53fbhxuw0lj1paww0zg5uc	$2a$07$ZoWTz7o1mRGqkPGM5jy2r.DK47yjzocq/OXfW8OcC8LnCuBoFEIFG	77	2013-08-03 02:57:39.326664	2013-08-03 02:58:03.45466	99		0
6546	10up5mn3icn1v84zklx2701rdx	$2a$07$uRJdaG3q/Wkw.COe6o/Sh.C0y4D0HMsZAm8s8adN8f.Gd7s2v8jgG	78	2013-08-03 02:57:39.348159	2013-08-03 02:58:03.597436	99		0
6547	10znhycly30q3vewf22m338bnn	$2a$07$GZjhbtGwn.eIH4FdWihs/.rhlDCSQQrriVEZdzAGg0WLgbq1NWkhi	79	2013-08-03 02:57:39.369628	2013-08-03 02:58:03.734807	99		0
6548	108b4uimztx35f5fz5bgmmjshn	$2a$07$9xUkwKgzsPuYdHj0Jlx.huqrD0nCa46f.hoMfxR48GiHUtAJUkYBG	80	2013-08-03 02:57:39.3914	2013-08-03 02:58:03.891127	99		0
6549	10lqndki4hxf56xic5noqb9u36	$2a$07$vM7.1j557mFJPTAyx4.9Z.3xXseJmv7OozDlM7qb5zVoVIWCV/Du2	81	2013-08-03 02:57:39.412736	2013-08-03 02:58:04.050808	99		0
6550	10sf7pombmm2ss2i2ly9ch602k	$2a$07$u48hwGqzOzdZZx0GV2n5Ye5iCXxn7AkWFcJ.858unpYJMSW6d/3ka	82	2013-08-03 02:57:39.434192	2013-08-03 02:58:04.422141	99		0
6551	10ids99t3ag154ho2c0eieeipr	$2a$07$6/ULoIIbGgJN1iXdUk0fU.bRI5ATwXj54hdwvFRNT44GwrqnpezAm	83	2013-08-03 02:57:39.455329	2013-08-03 02:58:04.695378	99		0
6552	10b8107jsmer7mti6kd97bb5gf	$2a$07$Nx.hjOVhDX7u24LnNe9N/eQJBOVl36O7RqcpuSiPjFjVe1IytUe8W	84	2013-08-03 02:57:39.476927	2013-08-03 02:58:07.626378	99		0
6553	10jg2qe8ca7bhtdcy5ncw6713c	$2a$07$ddZNO5W0g2DgalXMlHrNsOggZN9Whznkkd4PAoKZWbukYQxqoG8Em	1	2013-08-03 17:00:00.003467	2013-08-03 17:00:05.900968	100		0
6580	103uc6i3fwth1decw1e0v6us0l	$2a$07$XxA06lnnfSFMnMqC2eCJkO3Yqz2WyLvXzV7fwZP7AkjHwbMLfFdzm	28	2013-08-03 17:00:01.895176	2013-08-03 17:00:12.117933	100		0
6595	10kk2nbugl78jl11op2unroctr	$2a$07$ao0KewiW8L8kju6b8tj2P.jtySFnUc4b1IaLb0slNeWcR.ReickVu	43	2013-08-03 17:00:02.963475	2013-08-03 17:00:17.568342	100		0
6615	10sdgr4od0s6e3j9iw2ein1h8k	$2a$07$uuxCt6cYcFP/fS3QKCYVsuqDDd.dsS6o5jQTTTojZMH//ANi3X.xO	63	2013-08-03 17:00:04.270189	2013-08-03 17:00:32.200642	100		0
6616	10wofhudc8gvn1bl7foly9sve8	$2a$07$YP.IDQa.PnA2vHLml4YTpOVz8yIYahc3AnLESLL.5egY.oNEE1lRW	64	2013-08-03 17:00:04.355608	2013-08-03 17:00:33.660353	100		0
6627	102yerwopbwf8xtgvqop4df34p	$2a$07$JV.vV8nfVIGaPp7d0LMmhu8O9dF7lDYNc/N4qJ3mbVGK0.7/UKqJ.	75	2013-08-03 17:00:05.116902	2013-08-03 17:00:37.687643	100		0
10943	10ldc8bfcfqald7suat866fvfx	$2a$07$9ovi605aieUhJq.xt9kBzul2vQ7GhqNTJYpVi9reiYiwFzj3.lK5.	65	2013-08-03 20:21:40.446981	2013-08-03 20:22:06.598732	142		0
10944	10k0ed45nrce6wxhin1aokmija	$2a$07$JlnXv54s17/jEc/.fHATreS75PNTEMaHl2t8aG2Ska9mlnDKYV722	66	2013-08-03 20:21:40.470657	2013-08-03 20:22:08.737048	142		0
10945	10j3yldrknfdtiw994fzpx3lle	$2a$07$gN1l65IDcCbmqDQFB02CaOA6pdoNMvysvgVCFwsx9IIS1Hc9i5Egi	67	2013-08-03 20:21:40.493443	2013-08-03 20:22:08.880646	142		0
10946	10jjgonai0s0rze1u2orls6jpr	$2a$07$CfCdtnSg2DobXmao//pOBuMshilfzauHdTbV84/DYK4p.4roa5C0.	68	2013-08-03 20:21:40.516299	2013-08-03 20:22:09.033067	142		0
10947	10qmqmg6xl5n16rrwtrnoiz9b6	$2a$07$atBc3Oz8BuZoGXyPipm9lOyjx2sg0RBv.XVJXFiIj3GjDuITlwY8S	69	2013-08-03 20:21:40.539766	2013-08-03 20:22:09.155683	142		0
10948	102hj45kxrbgp2nkp15t3oyudn	$2a$07$TEvHRgcl0x0yZs/ij6rXhO8YKIy8KEkfCjqpZa3BCHkcwhZj.WFr.	70	2013-08-03 20:21:40.56303	2013-08-03 20:22:09.285924	142		0
10949	101mcox9a5rnon3twzausbiyps	$2a$07$AUGTjkKPe6OtAlZCRkXGweWnECf/S9K.gTq2DUxi.RgO.evq4A5FG	71	2013-08-03 20:21:40.586235	2013-08-03 20:22:09.40865	142		0
10950	10nupfaqex5eiegscw2xe9mpu2	$2a$07$N4g.KxxCHtOz.xWBB5Insu60zpA4lSGzZU7VT3vu2qlW17IiWAL9S	72	2013-08-03 20:21:40.610236	2013-08-03 20:22:09.530612	142		0
10951	109lpeoys4aqv3pmtvjull5ti7	$2a$07$npzbha6k5lXVDlUiALiC2OxN4rlCJ.7MRvgudpvT3odswT8n/e6ou	73	2013-08-03 20:21:40.633742	2013-08-03 20:22:09.804428	142		0
10952	10wp2nvq95a41208c867a8xw0u	$2a$07$lfFea/7fEuwI7zLFsw.w2eFPwnN/rrv6oj//G29D6UGsKnvBDT4Ca	74	2013-08-03 20:21:40.658346	2013-08-03 20:22:09.943497	142		0
10953	10xq36gksaqdhgrr2c6p5s1dqm	$2a$07$Y5vhjBJ6qxN3MVDNkrSawet/0nsH6baMhByQfb7.9VSB8UFa7bC3G	75	2013-08-03 20:21:40.687078	2013-08-03 20:22:10.090268	142		0
10954	104ua78wz2h23sx9v99tzoamrc	$2a$07$tWu4ZVxG11xOzJ5lnRHW.edFMz./5CTFwMuflh0tuTvMnQaZPYkDG	76	2013-08-03 20:21:40.712405	2013-08-03 20:22:10.23298	142		0
10955	10a271hfpmd2mbcuz9vk417mq6	$2a$07$yJn7uVrVzfniLlI1HS4REOdAyGyB5LmrPcSwMQQbBE8xYVWSJteji	77	2013-08-03 20:21:40.747404	2013-08-03 20:22:10.395631	142		0
10956	10y72yqcwv4lrf7hhrn8fm41zj	$2a$07$r2U0nQH1Oda0BAyubGZshuL./mP6THZiVUiwHf1jtjv3Ixjyn2Xqe	78	2013-08-03 20:21:40.776354	2013-08-03 20:22:10.515495	142		0
10957	10r1rbtisw6kal6bnubxxh24ew	$2a$07$XtwXEFTVhwSd5BtA/56Jte7m9v/3LcrN563X/dZx2tFP/UfXJcZtK	79	2013-08-03 20:21:40.806778	2013-08-03 20:22:10.915309	142		0
10958	10zwykbvw9u9u3gqye4h4jmu0x	$2a$07$VKwpJNnE0NrfNnjEq9MPYusN1JXpcGvTcO635xyFgZjTe4GT3/1gu	80	2013-08-03 20:21:40.833154	2013-08-03 20:22:11.058093	142		0
10959	101hatuphg0orc6o0e596i3ydo	$2a$07$/HhqAV0M.5HFXCnAVDylPuFS4hmcGSr0aOVhI1oj7utQEWazH6zsO	81	2013-08-03 20:21:40.869692	2013-08-03 20:22:11.326512	142		0
10960	10k1z0cqgm3bjy2my4r2i703wo	$2a$07$j4shjthIzY1gbr5pdQamw.7LQJex9eRQhO1Q/A/YeNIF9Iyus7fzO	82	2013-08-03 20:21:40.897739	2013-08-03 20:22:11.44707	142		0
10961	10x80chn3fbsfsb3t21y2xcfhx	$2a$07$9unhZSVkLkm7N4pknBVDW.2B5ByjCAyenF0LyjCT/.gHXyFwP51k.	83	2013-08-03 20:21:40.921889	2013-08-03 20:22:11.737629	142		0
10962	10t3toikg7q2105yjajmp92cp6	$2a$07$C7S0m3ZAU1w.x2SKs.mmiOibeOPlAP4v2vXB3p4S.mReyCF/Bl1rK	84	2013-08-03 20:21:40.945496	2013-08-03 20:22:14.338452	142		0
10963	10kvprgpb7fqdudegz17a0czeo	$2a$07$dLgYSkpsC9qgEL7qe6Mj4uyeXw5ARyi1zf8WNjsT/tN3wjIv3blJa	85	2013-08-03 20:21:40.968628	2013-08-03 20:22:14.646701	142		0
10964	106krpihymfnjeng0ji3jr3ysm	$2a$07$5DD6pBOS/2f.XtjxMcNu4O7TmQymRMb3xKvDJz/bfo7.L01ci2Ni6	86	2013-08-03 20:21:41.000306	2013-08-03 20:22:14.954146	142		0
10965	109sbkgeedv9e7groghy0r1l9d	$2a$07$yuD48ACyLCIh42yceqHqU.SA36qXjMBXUTnYooWPGTRACEBQP61ZG	87	2013-08-03 20:21:41.024286	2013-08-03 20:22:15.097009	142		0
10966	10of7ew7vfqpmc8s0sq1v23r34	$2a$07$xXHo9QwK110pyb2j.THW1e7wputiP5UKmF7KiFY3Px7I8dPKIxC.G	88	2013-08-03 20:21:41.053076	2013-08-03 20:22:15.23572	142		0
10967	10aofythpksc63fnd5o1xetodk	$2a$07$fna3ctrfP2CCWp7Gk0/e7OjeTKrrnUbH1mHVwP3Sd96rGxNcGzgxe	89	2013-08-03 20:21:41.087165	2013-08-03 20:22:17.421782	142		0
10968	102fbtpl4cd4shhi3tzs2876m7	$2a$07$tD4MFDZg8nZvSNVtiWcU8uNoGz5zrJoSYRI01h9SoyOpeN3sisuvK	90	2013-08-03 20:21:41.111167	2013-08-03 20:22:19.520849	142		0
3781	10elw2btni12vu7iax1w7w36lv	$2a$07$BM8O8ybvLUudDKl6p89FfuDoT9Ko1.tNjOVrTP13U4QkZ7dW.wq3u	1	2013-08-02 23:41:44.128204	2013-08-02 23:41:45.722111	61		0
3782	10p30in8omeaeyvuq4gq8eu5jm	$2a$07$2b40vFVRABIA.y8ZkAowj.AHPe5yu9OfRnKtJAqqCCRW/sB1R3JQG	2	2013-08-02 23:41:44.157859	2013-08-02 23:41:45.858309	61		0
3783	103stc4kbvassh7b82chk4v9wb	$2a$07$50lEvzxu1.TFQ1gN.OsiJe7GMGk4AKojfoEzlUHsMJ7o.nTL2gTZa	3	2013-08-02 23:41:44.179486	2013-08-02 23:41:46.008132	61		0
3784	101aewn53fh4snxkcqzche939v	$2a$07$rXj5TdG2LesvjcXsXvf0Z.LYkpn/hc5AgSTYJkMiicWhjl0ewthLC	4	2013-08-02 23:41:44.20097	2013-08-02 23:41:46.366781	61		0
3785	10dqe2fukrdbc3o2iijgnt6sxv	$2a$07$LU4oiemx.i6/K89dWEzy/OOB1F8T7YTRfAmH7dwgO00oPAECXdUI2	5	2013-08-02 23:41:44.222463	2013-08-02 23:41:46.506389	61		0
3786	10nddfc1ztv5svi6tw3qolr7go	$2a$07$WmZmIwdxYjDtqODONMFNUO.QeSKHZjvTfKEHxjLEioPHyUdvoB6WK	6	2013-08-02 23:41:44.243931	2013-08-02 23:41:46.704425	61		0
3787	104pvz804mo61xzosonx8i82e4	$2a$07$ZvhbsYMNoOdSK49QhXfktOwf6lwGGECk1I1wyNqjhAdrZf5bwCu32	7	2013-08-02 23:41:44.266777	2013-08-02 23:41:47.062091	61		0
3788	10voufscnswel3u59qp8zdcc6q	$2a$07$fX8w/DF9CbFJcY9oLucV5OzBTbok/ZpE8ZS32WCKWVzKCCnamE8Dm	8	2013-08-02 23:41:44.288696	2013-08-02 23:41:47.210463	61		0
3789	107lp85ei2ra45f34ccscyqo94	$2a$07$KkUJ.XhIYnezh8nLc5dl8OUOhbNTeYMNDsAfqtxdbp91TCcaEwr52	9	2013-08-02 23:41:44.311913	2013-08-02 23:41:47.362191	61		0
3790	10a9hd3ko9f9bgqtnl3mx3qpfv	$2a$07$TmA1IffmdMuKglFdFa4soeBEMtJl2WOq6y5qTALmJVTDPStItl4ze	10	2013-08-02 23:41:44.335161	2013-08-02 23:41:47.491602	61		0
3791	107toqa8hhte1d1rnay0h6rxsr	$2a$07$G/ajL7PcCq0Z64854SNshOOPczE/2MDWpbYxKCHQ6Dr3yg0Sq8TOC	11	2013-08-02 23:41:44.358292	2013-08-02 23:41:47.62334	61		0
3792	10muzu7jo01d0k5hoae59ajue2	$2a$07$ev22kuWXFMyCeWDvujncAexfAcN6MMzv2CuQkYZrDR1AMXFtbTaaG	12	2013-08-02 23:41:44.381648	2013-08-02 23:41:47.747915	61		0
3793	10i0f8da8d91ouxw0bcge15pnj	$2a$07$ckpda.9EYtmZd6D0/9xBNOeaCAPFNgQOMXu.xdt.wHTit5bENzIRG	13	2013-08-02 23:41:44.404618	2013-08-02 23:41:47.883101	61		0
3794	104h0puf6le6p2xht66civfl4i	$2a$07$OY2zK8ZBhvKsgCYqdPXQG.1aP9G3Xv0gSoExW7iGQwN3jxv7LjwDe	14	2013-08-02 23:41:44.428466	2013-08-02 23:41:48.02657	61		0
3795	10t0gbjihf4fk5qipvrbm8l5nv	$2a$07$QaqtL8k8sGbaa52YFPqmWuEx2NwjrBrMDK/EWSAU6LrmhDfp4JhDe	15	2013-08-02 23:41:44.450128	2013-08-02 23:41:48.172707	61		0
3796	1026kk287tvrcvqtfam4nzhrre	$2a$07$fAbgXA6rd8PVd1s6lpnzKepJCWShPnWCzMrBhV2SxnO0EI72hpxSK	16	2013-08-02 23:41:44.472371	2013-08-02 23:41:48.315445	61		0
3797	10t9tvdoje560u22zw04ga0ct2	$2a$07$K4/Pmkkb2uNbGNVvsfiA7uQE6De1HEKzI1FRweQYxEg5tKj8B1xiC	17	2013-08-02 23:41:44.494232	2013-08-02 23:41:48.458739	61		0
3798	10aiae7cdginnye9uap8u4fwl3	$2a$07$PmpwRVeuV2bN9fviFQzOue3k/FS45GxKEWonkrD1Cr2N4PP1KbeMm	18	2013-08-02 23:41:44.515983	2013-08-02 23:41:48.603094	61		0
3799	109b8yixpzuy65498jxsr3hzea	$2a$07$yZgVd78UFmsv1NPnoAa6QefdPc1zv7GUlwhbOe8I7Dg9o7k8NssNO	19	2013-08-02 23:41:44.537746	2013-08-02 23:41:48.961361	61		0
3800	100ai0l1cwylre96rcl5p844l3	$2a$07$rZkTl/CGzNr9cMe8.fLsc.SY5ShQg8rE2.vTF0/Jx1DSEXsYPzcVy	20	2013-08-02 23:41:44.559304	2013-08-02 23:41:49.328376	61		0
3801	105mefkmqo441zlxp7w1b2uve2	$2a$07$UFSGjkcWDvZ4PbTQNBBBtucbM7hQc5p4nnySoYXxyeBO4z06cXuVy	21	2013-08-02 23:41:44.582462	2013-08-02 23:41:49.693796	61		0
3802	105n5hhiw4ztu5lnp12c8gsz7r	$2a$07$f.8DhkPxJRrFEcLXon7da.sh66piVkSd1CyAzB57dqP1RXQXqxYTq	22	2013-08-02 23:41:44.611528	2013-08-02 23:41:50.090193	61		0
3803	1086tavmryrh7naxtukef17s77	$2a$07$1jSPJoq5dNrbIVbrYbqQSOnRr34TtuZewP513jqgLq6L6MynBRvoO	23	2013-08-02 23:41:44.637469	2013-08-02 23:41:50.291458	61		0
3804	10nh4h1tloqe1ksjj6skfl9jnl	$2a$07$t3bO1x6ek00CPiI9xzeR9eVGYA3TMAlU/Vx4KXWCSFnPo0eSZlV9W	24	2013-08-02 23:41:44.659782	2013-08-02 23:41:50.47905	61		0
3805	10qplap48z06jrcyo4oezdpqzb	$2a$07$Nivg1as18OK9tXtxfdp8ROGGxkrVaov0K41OpajJQFXt/UXjy3ur.	25	2013-08-02 23:41:44.683909	2013-08-02 23:41:50.898234	61		0
3806	10gtwu0xcyeuehiknnbu8uomwj	$2a$07$7.XmFHCKDh.15Fd2WtFJXOOKYsi0oCh7jzoZP/mdyIwTuVipYgFEK	26	2013-08-02 23:41:44.708064	2013-08-02 23:41:51.049761	61		0
3807	10jpn607qxrrfk390wu82p9sd0	$2a$07$HFaH68O7W94bO2dFBGDtSuJX0m/DK1cTE8vcpzzpkcYPHHfGX98PO	27	2013-08-02 23:41:44.730752	2013-08-02 23:41:51.240627	61		0
3808	10566xpzgfjdymrnkdlom1vsa3	$2a$07$LPWGius0iKw3nCSKv1NghOI9JUw/3APupMMvq08OBjBzrvumex.9O	28	2013-08-02 23:41:44.753172	2013-08-02 23:41:51.632196	61		0
3809	10vkvd0qz3g4ckvtwqukes9ksw	$2a$07$grnXFev.gcYKXwu7bDKi9./FlHll3ZKxXj.9SvTTSfeXkpgL0enDS	29	2013-08-02 23:41:44.775596	2013-08-02 23:41:51.891599	61		0
3810	10469e0o91l732k5t03xqwbbwu	$2a$07$2I1/X0zvrEDU7UZMMT2pCOwJbXdWz4AToY19JN/m80/q8/O1UerQC	30	2013-08-02 23:41:44.805494	2013-08-02 23:41:52.077655	61		0
3811	10trl1quxppomephx7cs96fk6e	$2a$07$Ogj8Z9mnJhEEgQQ4bmiknu9rmkKZ6x034xiBWemZGG8gyrkAiAIUi	31	2013-08-02 23:41:44.841059	2013-08-02 23:41:52.474611	61		0
3812	100sajbisypm3cbakdxshp81b2	$2a$07$CGgBHzdDAASfGssQHBoNX.1dv0nZRMBUmqKUEHAV/Ckvmt3FzR/.C	32	2013-08-02 23:41:44.862763	2013-08-02 23:41:52.882001	61		0
3813	10fizu0v3wlu5k09m6m26t0np4	$2a$07$57NbckHXWdAQvm0a3aYbZubvoeXYm1dgj0YRNASAS5EEHunhv7BqS	33	2013-08-02 23:41:44.884286	2013-08-02 23:41:53.047442	61		0
3814	10deuhfqpbvl1ebcmskhxsff2y	$2a$07$7m1thWor1M4s8dSlXBGPXOkBHMKAkD2QiUcTd2AyI7jk04TOsTFXO	34	2013-08-02 23:41:44.905851	2013-08-02 23:41:53.360358	61		0
3815	10hrbxtxrwo8zocmptpvf14nb7	$2a$07$lOp6jl8f0vWWKVc3T61sG.PbxFc8WTk/ITsCO61ZI.it5AvqP7ND6	35	2013-08-02 23:41:44.927385	2013-08-02 23:41:53.522279	61		0
3816	105j3ge7l4o1c1x264w7h0wx7d	$2a$07$.ylxkfTSbrc2M29vrhUmhu7K4n1aI2QyrEiYxE8UtaFVaCaimquLK	36	2013-08-02 23:41:44.948847	2013-08-02 23:41:53.797301	61		0
3817	1093sqfo6bnkxyyqgau3itb0no	$2a$07$T8YTII1hMTRMMpSJWY5DleSVuOuVkRu/MDadzox1c/FBR2hWrn6H2	37	2013-08-02 23:41:44.970206	2013-08-02 23:41:54.206189	61		0
3818	10vj4p298hzxvhcvql5qz2gyeb	$2a$07$5gyZEnmCNdBZ490qu6Z1cOnU3wF/kpY4B8HAyd/gpreblPa4v9TCi	38	2013-08-02 23:41:44.991638	2013-08-02 23:41:54.497105	61		0
3819	10d8cmd48ye1ss0s3y38v7i9qu	$2a$07$SmreFjtnzonmW9OUad4nuOEbMAHpxZgD7vds/llhj5e9tNGlIJQMC	39	2013-08-02 23:41:45.013575	2013-08-02 23:41:54.668676	61		0
3820	10hn7eg84ks5vljsybn4npondp	$2a$07$MpHzsX4dhkN9U3WhDmcCge6Q8rISEbSZetYTKd10ECWnt8OPXZZF.	40	2013-08-02 23:41:45.035679	2013-08-02 23:41:54.988433	61		0
3821	10v3sg8h0u2cxas9y4w6l5qa8t	$2a$07$ocxRuXiY1AowfRKurPJ3QuAJA.hMu1s2vKfBXUPikuQom3FrndGuC	41	2013-08-02 23:41:45.057283	2013-08-02 23:41:55.162942	61		0
3822	109trilxvli3hhn61xyhoz7ax0	$2a$07$z2/umuG.0ikh0pzvzFDPRO2ID/piNCBceNmOrJMKRH0hUwLQqoKN2	42	2013-08-02 23:41:45.07891	2013-08-02 23:41:55.43597	61		0
3823	10s6kikj541dhouviaygazl8rt	$2a$07$B9IX8fUFUBRFGEWffCfJ8eXpyf87VlDgJWk7bjCZlYJquwgfPAfx.	43	2013-08-02 23:41:45.101034	2013-08-02 23:41:55.595483	61		0
3824	104vc5lys4u0hsve3endl77bn0	$2a$07$7c.W.SAVZuK0ult3vFdOh.BQya4QBV4UcBuiILgRBoaIleoH8G5hW	44	2013-08-02 23:41:45.12263	2013-08-02 23:41:55.740695	61		0
3825	10s8zk9pwmsl2jyw6aswzm9d0b	$2a$07$hdzqv0bSHdaJtfk.YBFKqu4n1vHhzbJCUJQ0gjdas/88aqwxRR3/G	45	2013-08-02 23:41:45.144147	2013-08-02 23:41:55.888048	61		0
3826	101ziikuihpgrp7l80676jplai	$2a$07$p9./kYm24QmvvNAIY/me3OA.Ok8xStRtT7l0dYtU8Fzkq7FxCyMk.	46	2013-08-02 23:41:45.165669	2013-08-02 23:41:56.183855	61		0
3827	10wt6l04ba5qknshpxvno8j8gz	$2a$07$20P3XuLyNYrUjVKc0RNbZuqaH589wyo8OYPzYdvIorxgMstsEbQc2	47	2013-08-02 23:41:45.187186	2013-08-02 23:41:56.385098	61		0
3828	10p43hmn5wpyyee9cyfb2pmlhc	$2a$07$x1ndSsIkY6zKnuKyZwB6be6LwJpDNlJPzIUIBIzL8pUHVlrRWLQry	48	2013-08-02 23:41:45.208689	2013-08-02 23:41:56.674162	61		0
3829	10xtkkshgyk1qg3x0x95qml4ki	$2a$07$Pyg4Nr14IvjOrwspAscUQeFBpDiOKzV2rSdNGWkmpy.gcZydnU0Q2	49	2013-08-02 23:41:45.230177	2013-08-02 23:41:56.810384	61		0
3830	1048tajpf2dlieqcyls4myc4xh	$2a$07$LxavQBp3ad1ENSsxjuInaelGtfBF6M5u2pGtbuWcePqkicN/gmYw6	50	2013-08-02 23:41:45.251511	2013-08-02 23:41:56.957833	61		0
3831	10kgy3e9m3rvck7nounbpqoxrf	$2a$07$t2vEZ5h8w.cCYKO.uSC85uGYGl51nYtOqowXHmwmtek0uxw454h4O	51	2013-08-02 23:41:45.273533	2013-08-02 23:41:57.09721	61		0
3832	10tvuc4i4x04vgxqvkdtlvoix6	$2a$07$Vhr8/l3joWfhZWvzXoQZH.HwSUd7AEA8CLkueboNVLmICc1sUr8wK	52	2013-08-02 23:41:45.294998	2013-08-02 23:41:57.49318	61		0
3833	10v7f6i6av0hpn9gl562y73h65	$2a$07$5OYLoAPXQJL5gz65qNORweljikC40tXpVm7iDoyURj.6xN/IB6Z0i	53	2013-08-02 23:41:45.316522	2013-08-02 23:41:57.878243	61		0
3834	10jbiskxtysir217vaiykzwsvv	$2a$07$5oUqrQtPaPXotPpS7bREM.b0.QMT42KxScRnzWip1UQ1TQdgEkETa	54	2013-08-02 23:41:45.338173	2013-08-02 23:41:58.236336	61		0
3835	10p474hce98414w5guxsjnnng6	$2a$07$zppxgjB2ghS/JLOdyoZdAuZbaf0edw7I18T4eNkxiGoffSUnrYs.C	55	2013-08-02 23:41:45.359661	2013-08-02 23:41:58.543513	61		0
3836	10boiqghbuy8s8x0a7aetq8xtk	$2a$07$9GT93qV/wpg1uEADVv5ujuZeQJNL7WCP/KMQesn.QrtJcZNHWfb6y	56	2013-08-02 23:41:45.381008	2013-08-02 23:41:58.704491	61		0
3837	1078eqwp8ti9gw6f3bm76w4xnm	$2a$07$U2Fglvz9e5QNRQSMpsODeOHY/YIZGPVC8hWB.kBb1Zb7lj1DgBhJG	57	2013-08-02 23:41:45.40242	2013-08-02 23:41:58.979702	61		0
3838	10jtawa8c29ftoosawae39cv99	$2a$07$fuWk/p12qTde/Ir3E065ye.OKxBVWNqnmucBSqzaNMU1e0feHsL4y	58	2013-08-02 23:41:45.423889	2013-08-02 23:41:59.153963	61		0
3839	107mwj5ktlw16ay64zyspesq6m	$2a$07$oConWtDh1fp57DgdY3t8keApYOLytSsgoV6zPm2Jpi0eXSXWiw4JS	59	2013-08-02 23:41:45.445556	2013-08-02 23:41:59.305403	61		0
3840	100h8upm59pq48uxmaxwvrt1an	$2a$07$Fng0ucSNxQ3d8w4eCN6keeR2dW/WWc0cg9PVnR.KPDrhelJo0Llsi	60	2013-08-02 23:41:45.467695	2013-08-02 23:41:59.450514	61		0
3841	10xyjqpjr6o3zkm0aoh9vtwefl	$2a$07$tzYd7N8ezYjNtmukFUSKZOYhmLs9d5qLOhrJ5HB2JttgD6g1a9eMW	61	2013-08-02 23:41:45.490511	2013-08-02 23:42:02.225572	61		0
3842	10seyzbcmbmsm0eyu456jladyy	$2a$07$ZdQHyZxuTGN1VEh7Rk2wvuu2ZjzMeXbWRS0G1xpA5.obOk/zLVraW	62	2013-08-02 23:41:45.51324	2013-08-02 23:42:05.245021	61		0
3843	10itbswn4o7uqia8zl1rc44usz	$2a$07$YtBk79iJVdlttvfvaOD0E.FkwMnDXOYxtGLSLDXzswTgnIVch9pgG	63	2013-08-02 23:41:45.542261	2013-08-02 23:42:08.213338	61		0
4348	10zcf3m0to4hac204luqd2iymn	$2a$07$.pk4mY/OuKRxjAnZO.Y1X.wsZ7dmocFNPj00UJG2zBy5McP2eOD9G	1	2013-08-03 00:26:44.10771	2013-08-03 00:26:45.725672	70		0
4349	10j09h3zemv35e7hqe137yi0h5	$2a$07$Q/y5SPjfZqMbS8Sjm2SqSOhCUQjYxfiFjWnZ99BMUPscoXYORvtwi	2	2013-08-03 00:26:44.135098	2013-08-03 00:26:45.870511	70		0
4350	10d5vuhbsur99znin8fdwiu6y2	$2a$07$D5QU2GJgrFy5t4mlSYuKReM8ldVCqXlyOujdCWtKJ8nJL7Rz.rngC	3	2013-08-03 00:26:44.156628	2013-08-03 00:26:46.013454	70		0
4351	10hbwr5wiiu1cqqb88xfl17cl2	$2a$07$/E2UQrDO43FGAi.6OKskwesX1Ev1igZhbDfoFb6uQOtO0Q8sfA3Pa	4	2013-08-03 00:26:44.178502	2013-08-03 00:26:46.210798	70		0
4352	10eq2qtd166s35jh1nrm6udv5n	$2a$07$K8nZdnpyzSds0kQd7mT2uOSm7hm6CiGiUQiyFH29EDIjumGgr7xMS	5	2013-08-03 00:26:44.200231	2013-08-03 00:26:46.360311	70		0
4353	10mf7nnactan4spe14ina5tsiq	$2a$07$m9vARRfhlcf0Pk.3noN5L.THnSLS6ULi0WPqyaglgEALRGVEYn/8K	6	2013-08-03 00:26:44.22278	2013-08-03 00:26:46.499933	70		0
4354	10iwcdmcj57lv11y4jvbuoi1tz	$2a$07$YYPUOQwSFpZoexz/Gy4oyus7thY4u255Jb3UiJe8HlAc2r3j2bXW.	7	2013-08-03 00:26:44.245887	2013-08-03 00:26:46.648961	70		0
4355	10r5edhdish0r9vgj57m10hh8e	$2a$07$dvHEkoN.lScL1euWjqDs..CVGwaSDWUZJwtgZiiykYZ8aAID9xyia	8	2013-08-03 00:26:44.267768	2013-08-03 00:26:46.798528	70		0
4356	106l92d2yd9wgncheliv41rodu	$2a$07$xSG20oM/H3z2TwhMfmLnJ.hJjZqJ18sC52pCHyPhG/b1fcs9un1lq	9	2013-08-03 00:26:44.289195	2013-08-03 00:26:46.936864	70		0
4357	10ydk8aoncoiz5ykqy0qyo0rrk	$2a$07$bwteZrMPmcaRiK339mrXKeFTqk103WanVZ8jYgCu927ovkm5keCGC	10	2013-08-03 00:26:44.310554	2013-08-03 00:26:47.057159	70		0
4358	10bu58nii0e0jeevlwfw7m5s22	$2a$07$BIvPfwLMP.gHwQ49hChHt.Q8lqEWw0NC3vpf8VNX4Ard2TZVXLfiy	11	2013-08-03 00:26:44.332398	2013-08-03 00:26:47.161281	70		0
4359	101crkupz2prrtyuhmb98eqw6v	$2a$07$JXazqPAYY1tsT4N6dMneX..457nlefPzK4Nz99/bDnAt5njmykb72	12	2013-08-03 00:26:44.353769	2013-08-03 00:26:47.255524	70		0
4360	10hmwstkiyovks9yjjxhqbrhtq	$2a$07$QCGWXb9qgyPhZkE2O3y8lea3famIFMniqpn5tphPK2TBbs9SuDWe6	13	2013-08-03 00:26:44.375275	2013-08-03 00:26:47.462953	70		0
4361	10us9bg98r50qege4asjx58hl5	$2a$07$ejH4gf5x1qbUgDA7BQnyhu7mJbfN82k.bTLWvOvbhSKktLwS231fC	14	2013-08-03 00:26:44.396722	2013-08-03 00:26:47.606511	70		0
4362	10zs63oa5tjcyb493hdeicfkcp	$2a$07$fl3UvSV5WtzYcRbj9Sw3EuzIzkXf7V8.M1EQUnAJ9z8w5p2p92wuu	15	2013-08-03 00:26:44.418128	2013-08-03 00:26:47.867474	70		0
4363	10ysgd0g1iz1h2ilptuow96dud	$2a$07$pAK97iWxV.DnHGX4SbtBsORB8Pn7ph1XxfAPWKPXLggGJIVTyePxO	16	2013-08-03 00:26:44.439543	2013-08-03 00:26:48.029596	70		0
4364	109244ktbb3e84pko42re15w7n	$2a$07$VdAXARppVqXncNmdxBrucOaqBxHqNgYdP95o4OHONAK/n3oK7axLC	17	2013-08-03 00:26:44.46099	2013-08-03 00:26:48.17717	70		0
4365	10viizfdzjsorzdr3cz12bld2h	$2a$07$d.B/6BM2DctWb.wGdf1DieGKYBaukeSen4HcnIJm7b6PkHtV.h.0O	18	2013-08-03 00:26:44.485724	2013-08-03 00:26:48.328485	70		0
4366	10itbp4i8td27qp59o030qb0sq	$2a$07$XpVo64j1m4LWIXQVrooJYelGnZ6t0GpDUmJU48pjKzgTXlebGvrn.	19	2013-08-03 00:26:44.508165	2013-08-03 00:26:48.700842	70		0
4367	10lgfyxdoxo15xdonogmsodkwf	$2a$07$utr.6FzoTHsMYvvigqMpwesMieyXA7S8VyAAgL4LNURXDX.bvAKtW	20	2013-08-03 00:26:44.530643	2013-08-03 00:26:49.083545	70		0
4368	10d6xwgf3go5imk126svna9c25	$2a$07$wG5ykDm8NhZoRGu0eplsXet8rua476HqT1S1mMYAeo7Q.c/VkwKBW	21	2013-08-03 00:26:44.552991	2013-08-03 00:26:49.464448	70		0
4369	105dl8ecae4c001vemxko1oo6p	$2a$07$w5ru5StpHO/RpHTkrxQpfOsWeikug/K86ZEYStKimG4vRmdspyIl.	22	2013-08-03 00:26:44.575003	2013-08-03 00:26:49.608071	70		0
4370	10q1u6pt3wodgck97kdffiyfgk	$2a$07$SsZ17BchiwRCly2ujB3ya.cdOTyl7j5T2hObui0smnZcumPo3yTy2	23	2013-08-03 00:26:44.597036	2013-08-03 00:26:49.750451	70		0
4371	102nqa4d7ie96frr61pvqnuf8v	$2a$07$ic54bQ/j2.S5YsaQ8cRGx.6AzDfQUiu4F5UZWQJGMi8dt2UHqvcU2	24	2013-08-03 00:26:44.618941	2013-08-03 00:26:49.901587	70		0
4372	10s1l265q5z5niteq47qyfwyxa	$2a$07$Tt80gMQ8.OKeOWJP7E06NO58N7tSVxzVOkL4N5DeZhloKnJy5K09y	25	2013-08-03 00:26:44.640824	2013-08-03 00:26:50.262519	70		0
4373	10v8jq5pdw63eqv934ao1k2a23	$2a$07$Y75tA.Oekm3F9AOFYGmIkerTMKv6H2aj8aQgjZp0xiAqihg3ekY2C	26	2013-08-03 00:26:44.662532	2013-08-03 00:26:50.412445	70		0
4374	103xarjplnzgp0vreiztom1syy	$2a$07$Kexm3cFxjDg59Cwe81qRF.7xU7tW1HzKFcfL726CfY0uIlc.obZcO	27	2013-08-03 00:26:44.684404	2013-08-03 00:26:50.620457	70		0
4375	109vyiq6ku7s4rydiguzs4i7vq	$2a$07$/L/FKxOboQSM8Plfohdrn.9O1jjEKPKmF.jDQRazowASivcIz9WWW	28	2013-08-03 00:26:44.706325	2013-08-03 00:26:50.767547	70		0
4376	105hcl6uy70r6hatnx9xp8kw8d	$2a$07$PCBtWlZ2pd2oWT2pdeXn4en6TTM0U8na26V2wP9Nzi0HFqKtUGxEm	29	2013-08-03 00:26:44.72845	2013-08-03 00:26:50.913192	70		0
4377	101gthba410uhvt6t0psgkjneq	$2a$07$ley6eL6XmJdH3LzmYwrUVeW5MhHcvSPJlrsO4ocRDpuYvLpxzq3qm	30	2013-08-03 00:26:44.75331	2013-08-03 00:26:51.042564	70		0
4378	10qd8pdtu8yyxvvndonylugzbp	$2a$07$fp12oOalkGtMT1ecqDqLjufPW59M9xRUiq27dDIlqbGdr3iTJ5f5m	31	2013-08-03 00:26:44.781954	2013-08-03 00:26:51.40945	70		0
4379	100tubl2lj90sr1pca5qlvzok1	$2a$07$WE3u0cn4IA1mBTx/Ji17mevVIeodaYTJXzOSP1Qy.6PiaLNn0KdZK	32	2013-08-03 00:26:44.805513	2013-08-03 00:26:51.781119	70		0
4380	10bw63cadqol4cb88rronr9pfp	$2a$07$ZP8/nlD8wuplj1PEdCVDDOdQAiuVze9mfZysydTxtcV8Glq1tJ5PG	33	2013-08-03 00:26:44.828635	2013-08-03 00:26:52.157956	70		0
4381	10ri0mxy902qqylyllpk52z6r2	$2a$07$r7UB7kHZJFyotZsYlhudFOoU3kuw4CC3WiwiJE2TILdYwwsoGR/Gu	34	2013-08-03 00:26:44.852375	2013-08-03 00:26:52.305873	70		0
4382	10w6qcnq7m2vo8766yjjbnax39	$2a$07$1ZhK9xSr7yWF8cLXNfludeEe/K1dKcAVwTWdLtSwTWDJScw8Ih1Ey	35	2013-08-03 00:26:44.875753	2013-08-03 00:26:52.457937	70		0
4383	10i85h7zrj36rp2zm1h12eyhgh	$2a$07$VvDC4Z0SyrCpRh3bscM0MeABEJ4BBbirLGYXHWbp4JkfZylwDJX7S	36	2013-08-03 00:26:44.898713	2013-08-03 00:26:52.603856	70		0
4384	10hyiniq6xodj5lnf9w9egnker	$2a$07$TFGZHWol3XZRj53A9Nbf6ebvprdJNSbA1LMIhQLseB5MWJfKaBkl2	37	2013-08-03 00:26:44.922527	2013-08-03 00:26:52.893141	70		0
4385	10b3pg3frz7yaknql5f3tjni3q	$2a$07$LW74vp5ygPH7J2bp07K6A.jDilCbxU8DwXUPAWdxleb2lCn3on9jO	38	2013-08-03 00:26:44.94709	2013-08-03 00:26:53.049157	70		0
4386	10aoiin4j8y7xw05kp6dohyoou	$2a$07$DBaVuPcOvxriaJ5P.9Z/3OmXU8dbakc9dXHiVeBszryHVO8oevGfu	39	2013-08-03 00:26:44.970745	2013-08-03 00:26:53.333672	70		0
4387	10k154mxk3h1yvnpwkitcxc00h	$2a$07$T0M2vmPRZmr9KqEhjfA.mOEBKt95fr8VvY7q0DGri4BRFkr9U57Qi	40	2013-08-03 00:26:44.996777	2013-08-03 00:26:53.479501	70		0
4388	10pt9c6sgi5vzfr30ck3tlqs8m	$2a$07$.9mED4HDXZ7belWBgatwb.PXpONnFB5iTLTW5bWdxI8OgvYq3uC0G	41	2013-08-03 00:26:45.020385	2013-08-03 00:26:53.623894	70		0
4389	10m5l1mk0sm7qewoqis8xwjvyw	$2a$07$P61i6YQRar1/e.ow3Xeli.aOV3BFTKRdJxv1su/EZym9zVdGzBYZW	42	2013-08-03 00:26:45.044118	2013-08-03 00:26:53.790804	70		0
4390	10umlo51s36tgzflxgxfpcbmq5	$2a$07$vcEerdHSBHqrXb.VH5770.7smMeAuf1L.uATf8en3gGTl69F7QKX6	43	2013-08-03 00:26:45.067523	2013-08-03 00:26:53.935303	70		0
4391	10p533obyfduptv9pjiagxya5i	$2a$07$3DfT09edSftOAkTFFpWnv.Pg/Mog/Ui2fOOQhCH1FpESEUjKOb5f.	44	2013-08-03 00:26:45.090318	2013-08-03 00:26:54.0881	70		0
4392	10ttc8qfqu64i04h92uh3773as	$2a$07$In0DZkH0nf8.EdZ/wbuILusiLGN3DknaJPH5mpxfAVxwNzztC0rAW	45	2013-08-03 00:26:45.13605	2013-08-03 00:26:54.21767	70		0
4393	1036t9xmzjl3x62w873blonirx	$2a$07$9R.GPO07lWNOjKK7M3K3kuOkRH3odcmbVL3O.2tyI70yLs1epjBeW	46	2013-08-03 00:26:45.159239	2013-08-03 00:26:54.390524	70		0
4394	10d5r4kv6tx9yg5m1dw064ikdj	$2a$07$Ae6UUacis7I5wdDec6EC/.UJUr2Z7Q/SYRZGf3y3ncMbEWhG/RY7a	47	2013-08-03 00:26:45.182756	2013-08-03 00:26:54.598497	70		0
4395	10rs3utjsrs307vetugaaz7bqg	$2a$07$gTdM69sDdQChhgvtYpYPx.KysTVD7euAqIzy9RFxAcoPlNyhgbwGG	48	2013-08-03 00:26:45.206929	2013-08-03 00:26:54.790764	70		0
4396	101pjsjt24j2mmuk0kh2slw31r	$2a$07$880NhfU/LATQ2kW.u1yrQ.bhcotEOvZ94JEoN4zDPV57NzNXSFA7G	49	2013-08-03 00:26:45.232427	2013-08-03 00:26:54.918389	70		0
4397	10muu373savzpm19um949j1vh5	$2a$07$3rp6FwWX6vFkrKHFLc./dOWwNJOeTS3fHcTfLC7vJrL8ITGb3jDeW	50	2013-08-03 00:26:45.255941	2013-08-03 00:26:55.068459	70		0
4398	10z7lt0ogabgge00c4lbwahq8m	$2a$07$JSoCW01Z.ZAi0zcBJgo6H.Qsr7pbahBPp8Xn/5zqd4f2sQYaU7jxm	51	2013-08-03 00:26:45.278689	2013-08-03 00:26:55.217601	70		0
4399	10fwg6hq9plet66plny9zjesoo	$2a$07$atrydyiVeehkXe44GUrAOOOYwKZTalctxiZwx3xedDwoHA8kwlOVK	52	2013-08-03 00:26:45.301599	2013-08-03 00:26:55.370226	70		0
4400	10dxyavqrzqd5mf1ryouhnplkp	$2a$07$UeTR1VNnquIcq4ezggUGC.F6999E3K3G.O1FaK7qW4qgkQZW1x1DO	53	2013-08-03 00:26:45.323867	2013-08-03 00:26:55.517748	70		0
4401	10jyt77n4lingr78msls8x5d89	$2a$07$8g8qcXhjKRSJ430B37uBzOZLs9UcxO0aGuAMq5a8dJWgxX0A2088G	54	2013-08-03 00:26:45.345973	2013-08-03 00:26:55.655575	70		0
4402	10skrwme1sdbq9wjh206zwqssf	$2a$07$BlZgUEeQN8ic3Iu9c2yTK.kLnJKNVRCZviHos0hJGD8X/8p0j9SLG	55	2013-08-03 00:26:45.367521	2013-08-03 00:26:56.025289	70		0
4403	104jfbf2wzdbwjxb69mhz2tgd4	$2a$07$AZJazI8IxGr82eg/cubXJO.FUssiPRROATSX0I98FKMHpI9e1GcyW	56	2013-08-03 00:26:45.389015	2013-08-03 00:26:56.377756	70		0
4404	108pmk929i7f8dsckhh1a2dgzd	$2a$07$zaE4xvgK.Epk5WAMaEHg5OzwlRY/RKgtbxzpso3i3ErWYLSL9rcwm	57	2013-08-03 00:26:45.410425	2013-08-03 00:26:56.711401	70		0
4405	108122odfc3jws2tmrrca6n673	$2a$07$n3iIw3WzLDowIQgfxWGyzOUlAVwZ9X2j1qgZ1FwJDrSBMteiI1O8q	58	2013-08-03 00:26:45.431826	2013-08-03 00:26:56.82558	70		0
4406	10418gwubox3qolpu65q4ttlj4	$2a$07$r/NXPWpZVOQLpN9S1bqYSu/jV/DsIkzgeyKr6MNNap93qFOWQ5e2y	59	2013-08-03 00:26:45.453448	2013-08-03 00:26:56.957077	70		0
4407	10uhlqgdhjgt6h0wub2mdlzkii	$2a$07$zasm.6z/z3FQgDtGRKj5EeBxV1VRHYs1wlf.CU1E3IY1.WxmLIIy.	60	2013-08-03 00:26:45.474821	2013-08-03 00:26:57.09664	70		0
4408	104cx8qa2xrliiuxpziosnwk12	$2a$07$/omdt1YAqAq4R/UafzU31enldY3p3KXi0wqIOZ4flMQ1be86BMSFm	61	2013-08-03 00:26:45.498	2013-08-03 00:26:59.682681	70		0
4409	10qfr5i3ge1fapfmfubocfhahy	$2a$07$VvEmZoIzUcyCwhWkvDv6jOoK9Oywkc2Rl5l7dcZQzrUB19oDHxeQy	62	2013-08-03 00:26:45.521783	2013-08-03 00:27:02.912337	70		0
4410	10dlbnu1zulo0e118dp68xre02	$2a$07$P/IJJZNbFpsMWv0qFOsJV.LW9KWmHHXy6.PBHh1JM1J9A5kTnmTxq	63	2013-08-03 00:26:45.546346	2013-08-03 00:27:06.012563	70		0
3844	100aulg9wel4q81ml5kiw4wxjt	$2a$07$/1UQQqZEbxbwG8OOqZOgR.dmSgVBuKcnYhQj/poomvjRRQ9QhZ./q	1	2013-08-02 23:46:44.126083	2013-08-02 23:46:45.663163	62		0
3845	108pckzfki5aq5su3lsc858736	$2a$07$W7meR6ZNkrnOL.7H6qjOhuxeFPesvuKJtpKJmpDzy/QJAKS31YXee	2	2013-08-02 23:46:44.151229	2013-08-02 23:46:45.882756	62		0
3846	107v872wlrtmaffxhnx4q7mb9t	$2a$07$6K54fl5oRfFvddDzB12eSelw0u6ADYLBeHk/FuaA1/j2bRpU4kIHC	3	2013-08-02 23:46:44.177868	2013-08-02 23:46:46.246014	62		0
3847	106vyn9znt4ncy3fsxehkexttq	$2a$07$uOgR2stUg8Q46sfHDs/gSe1QmJBcBXrgwyaAhThBzmddRVUeijfUi	4	2013-08-02 23:46:44.213277	2013-08-02 23:46:46.620469	62		0
3848	10h6euf1pnfzzbkgjf8n7xz2he	$2a$07$KuRf0QO7Cbq7RZtYGtDTPuRmugtynBt1t4OOAxy/iJDD8RsUNHuIy	5	2013-08-02 23:46:44.235901	2013-08-02 23:46:46.785288	62		0
3849	107864xjsozh2ud20fi7ujr0t5	$2a$07$h6iWPsJ6GbHFQjWRSvzla.KKsVmvCq2UtHcwvtEagxX6y6yJ0z4Pe	6	2013-08-02 23:46:44.25743	2013-08-02 23:46:47.126166	62		0
3850	1053qjlvnjkd2jp3gqgtqqobmq	$2a$07$xgeAGpa/nUrRYf51iBADFuQNReJ.MvuBSVI3uVmrLERC.xST/JomO	7	2013-08-02 23:46:44.280187	2013-08-02 23:46:47.539131	62		0
3851	10njgusxl9016gyrydjywdawm5	$2a$07$WOkAUvwAeGYd300EEX3W9.eV.hwCt0tN1SnPuISNTz/3wU5aYD3cu	8	2013-08-02 23:46:44.302097	2013-08-02 23:46:47.678074	62		0
3852	10bysxcku7v8s6wplachizcz4x	$2a$07$lZSoey0xWFUBh8mYp6qVGexwQ/.sjHN6HxCU3fwOujJKZfBtG3TZW	9	2013-08-02 23:46:44.325084	2013-08-02 23:46:47.824186	62		0
3853	10bj2ioxm2wnwr7yh5v9owdlq4	$2a$07$8y48T48Gr6vDmDdsOLiv7ehwm/qdkpdSgRoyISFKmWF1tdwwk5DmS	10	2013-08-02 23:46:44.346818	2013-08-02 23:46:47.957999	62		0
3854	10nggz9d6f4sy8x8698va1lt40	$2a$07$mSGKPZbC/YmY3Lr40YNHjesTYs9D/3BL2f6QbqPlDVXW8dyqOII8W	11	2013-08-02 23:46:44.368446	2013-08-02 23:46:48.108165	62		0
3855	10pjtjx8r7n1ij57blrhovdrm9	$2a$07$.wVFmKzo6hq27woRlHqnhebYI8YESGuvYR/w373hmQkek6Xi4SFYq	12	2013-08-02 23:46:44.39167	2013-08-02 23:46:48.251627	62		0
3856	10c7e4h3s9fyoewtw0nb2dgjlz	$2a$07$VZPKXEquo2doWgSrJQsh1Osw8rusAbnQkZQLRc3qOs/Ns3ric6/R.	13	2013-08-02 23:46:44.412937	2013-08-02 23:46:48.639718	62		0
3857	104420adc5qvi30d3ju55ygp9i	$2a$07$cf1dc3fOzIieajoREw.E2O78p3Maz9tmMZm7nbGF6et48ZnzZW6Q2	14	2013-08-02 23:46:44.434032	2013-08-02 23:46:48.808052	62		0
3858	10r6gnggwu5malqchf1fr6ohl9	$2a$07$6N.8dTRIkmlx.lFQhmNceeTkH.CgxAl6ooASNsDRVFWOS80C8FViK	15	2013-08-02 23:46:44.455193	2013-08-02 23:46:49.15519	62		0
3859	10cnf9wzv745nteu9udze4dch3	$2a$07$p2UFbUNnnmU1nF/9/yT7cuwGniostwNeBhzZEaQiOBIFNqFnXOHuu	16	2013-08-02 23:46:44.476351	2013-08-02 23:46:49.290635	62		0
3860	1037s15vxo18ijv0w5hnvb11k0	$2a$07$71vkxzNjjhVmYWFfyDNVUe4fd5sKJJ3Nwo/POhZxKc6NQ18cvc0ri	17	2013-08-02 23:46:44.497458	2013-08-02 23:46:49.438301	62		0
3861	10ne1ipvva4b6vbvvlwny57cgn	$2a$07$Y9gJg6hNtnd.8e4BxIx/VuuKvG/v9lA1E1MdDNjQIm.MqYz726ES2	18	2013-08-02 23:46:44.518487	2013-08-02 23:46:49.57486	62		0
3862	10edl19x5lt3a84v6ouawzo0rw	$2a$07$gHVV4Jd.QYCZa1zH0.ESUOvCEf2vVoAryxJg3JY0OiLbLPNOeFbw6	19	2013-08-02 23:46:44.539491	2013-08-02 23:46:49.942451	62		0
3863	1088zxxx0lh0gacqlnqzt9mfc4	$2a$07$orqIY9TQuMhx69hSo5BYF.pSP/9vFXT3UnEX491gBtqMrLf/TDLRu	20	2013-08-02 23:46:44.560486	2013-08-02 23:46:50.323742	62		0
3864	1018fpdoc8zhkk7eed85lltmgq	$2a$07$0PaBbdgeQopk4H7WmtGQceYgBo1mE0bTYW245oc0B.Pm5yU48v.ta	21	2013-08-02 23:46:44.581449	2013-08-02 23:46:50.670171	62		0
3865	107flllbytkahi31076qmtgxg0	$2a$07$BdgJH4ZIj2KQQxyqwFWSFe8HRMHGzrjCxAm9AGJv/GRhZb7hCKsQK	22	2013-08-02 23:46:44.603031	2013-08-02 23:46:51.032945	62		0
3866	10ozhrqkwvsjag5tlko1ae6sai	$2a$07$Yu2EYy0eWXe9nUeLEx1zlupblhCp0dde5wKjvYf5hdhTeqssT2N1a	23	2013-08-02 23:46:44.6239	2013-08-02 23:46:51.41674	62		0
3867	10shmdhp5pfp103mhtm8la42pa	$2a$07$K8Bhu0m/wZgf3zPYfA.TNetcJqVPf08q/vyD1.AaevqiGZgz767.C	24	2013-08-02 23:46:44.644949	2013-08-02 23:46:51.805524	62		0
3868	10vk1stz7rc22ryqln06tvfmfo	$2a$07$kNs8AvRUtRcof/vCwu01TuQd3E584lj6q4.FwSqS7mbbFZjclfv3S	25	2013-08-02 23:46:44.665883	2013-08-02 23:46:52.184222	62		0
3869	10kldawil6qp1lbxo3lcshg86m	$2a$07$9NUzFUj9s7UVU7tKwZgAEelCHQqS7EmFW8EBk.vDtVSlISevXGht.	26	2013-08-02 23:46:44.686851	2013-08-02 23:46:52.310853	62		0
3870	10a8ryarbiunncg0tmo6z9326z	$2a$07$E4LXshmUTVptly2ZslMqJ.lt3frVYgnuSxNchH4PNwwLaXGpTL77m	27	2013-08-02 23:46:44.70786	2013-08-02 23:46:52.444493	62		0
3871	10qxdrs2lzrcpnjnyv3jbsytn1	$2a$07$LZTrk0RtIFnhu0uPBoeH0uYf69R1afvRMaLyVHN2JKLbjhJBh3fTS	28	2013-08-02 23:46:44.728677	2013-08-02 23:46:52.736461	62		0
3872	10yrkw4ljfj3o1tinz33wmh5sy	$2a$07$Kv8xnBMeT3QoE/wB3RbeJ.QTf.bV1D/Adc0n3lYdlUtBSwgRMNuk6	29	2013-08-02 23:46:44.749553	2013-08-02 23:46:53.111496	62		0
3873	107mw94ybpvnfnuw64iklcwiz0	$2a$07$EjB8907Ba/0eWplw6lvDf.9.48zYjZ8W5rw5CMDekjF1I5unbK5lC	30	2013-08-02 23:46:44.770389	2013-08-02 23:46:53.288317	62		0
3874	10l6c0v7gargozd87qo5prwmm2	$2a$07$aabCh55ncpPGSDc/mCiQm.EKzkgJRzdM0gKNWLDRBfIzuJijrrMyO	31	2013-08-02 23:46:44.791361	2013-08-02 23:46:53.622946	62		0
3875	10sl5tmuawh7ziydk0rketf1ed	$2a$07$iTUhkGaT.baPJHZLEoN0X.isrhF18lzzvBlNorkTxUCFzejLE1MR6	32	2013-08-02 23:46:44.812357	2013-08-02 23:46:53.996299	62		0
3876	10bpx2lgf7hay5n66r6c83lu7w	$2a$07$Mt/4ie/H2t4ZZTvb.LWNje9uX8EzL4ptnrka07u8dazQ1z.fA98FO	33	2013-08-02 23:46:44.833509	2013-08-02 23:46:54.357652	62		0
3877	10dxxmb9kslln92kgzji524p8a	$2a$07$2w8ofGrwMNo.mGufQ0upMOcBOl5nEyTo5On1rCPh5hc6JS4FeQ0PO	34	2013-08-02 23:46:44.856238	2013-08-02 23:46:54.7005	62		0
3878	10qt76x7h2me41uk1qjhk9p1av	$2a$07$fSIPpYs9P7vk7kwEu0czP.3Mv5W0Bd3af9gUNElJ.8tPfqdfaoe8y	35	2013-08-02 23:46:44.878252	2013-08-02 23:46:55.079208	62		0
3879	10m9zxcl4z439skfyfw5beb9cx	$2a$07$qx5DCRkm0M.dopAhEi.pOujIib.0rRmd7rtvwrycwqiQOtkdqSc1C	36	2013-08-02 23:46:44.902825	2013-08-02 23:46:55.447627	62		0
3880	106iuw2eg3p3n6c5lqjhhx994w	$2a$07$kyAEBEGQPOkBaZE7vFHlX.N1ubAx2hqui2TQjjA0p.pbk2miQLmCe	37	2013-08-02 23:46:44.927453	2013-08-02 23:46:55.801552	62		0
3881	10oobzeavbendbw1ra8qgitku2	$2a$07$IMKSzW76FKIKR5.ssxXgWeB4Y783EC3IH88qh14XJFA9D1U/rQneK	38	2013-08-02 23:46:44.949754	2013-08-02 23:46:56.184892	62		0
3882	10ahtdw6t4gn5af9vx88aep24l	$2a$07$.7z2IMDgnAvarNNYW3suDOZ9wmCpQVfa7uZmN8Y1JHS4optrgbdfW	39	2013-08-02 23:46:44.971764	2013-08-02 23:46:56.31683	62		0
3883	10zmo3qovvtqkonjgz35ci70lo	$2a$07$SYdNoaSwvJDYvNnuEuCVBu67MFpM.lHxme7lnXSYMA9UHc34E9Dyq	40	2013-08-02 23:46:44.993246	2013-08-02 23:46:56.657633	62		0
3884	10thgcf76l12sxwuu7xxdl0t2j	$2a$07$hb/8.MrMWBKVXzKe5XzqceZiuqbPLB6cvwJSYnhdQWVBHx/y4BIGK	41	2013-08-02 23:46:45.01696	2013-08-02 23:46:57.030858	62		0
3885	10djoyi5bkwe28m779l8jsapzq	$2a$07$cnKMjoEDvJ2gYZ2cRZwHm.nGB5Yy.K0Qny9aq.nOW717ENhAQnCa2	42	2013-08-02 23:46:45.048727	2013-08-02 23:46:57.404266	62		0
3886	101mlf81mb8245mvdhj74394rs	$2a$07$pcLVvltTifzxf6AneYbq5O2fdVAEqaYwi7RHDjr1Bnhq3RhoBswSm	43	2013-08-02 23:46:45.078895	2013-08-02 23:46:57.772029	62		0
3887	10rroeu8q48uex53tmzjqppzx0	$2a$07$kzEnPUTPBBwIBPx6zc4YxeOST9DeVHx3d5YzvcpENBWaj2XsPCeum	44	2013-08-02 23:46:45.101778	2013-08-02 23:46:58.130523	62		0
3888	109ntn58rbzu8w31w8u1ek71rd	$2a$07$UHshEYYbbAPLqjp6HqiafeHL5MYxskMgWbZX3yNPJBxQI2.llLuRS	45	2013-08-02 23:46:45.123231	2013-08-02 23:46:58.479788	62		0
3889	101ym8gd2w1khmoajlo7qcqggw	$2a$07$ygRwL/Egp8PTAEvIRKbW0.tjLfvMhIVyvpZdQyKoHGyj0p2O2/986	46	2013-08-02 23:46:45.144732	2013-08-02 23:46:58.847908	62		0
3890	108w1zc0286sdwp1kfa1khd2or	$2a$07$7DolFmEoY/XPoy2XlGRxl.0ZjREcP.9y5Me4Fuwn3Edt4ZkJuXGJy	47	2013-08-02 23:46:45.166273	2013-08-02 23:46:59.226406	62		0
3891	100x3hek2dwpkd9q5ly30562jg	$2a$07$AeX7PFI1s3zeAfKrQofk/./ghGVHJEZTzBf7.aibleWZJbQlHLHyK	48	2013-08-02 23:46:45.187533	2013-08-02 23:46:59.601853	62		0
3892	10idfb0psus0aa1zjbh67ujxn9	$2a$07$XCYRmUXn1UK6iw4Zx9Hi5ODFi9nv5rAT8ljYRBK0O0chThyGbUJdq	49	2013-08-02 23:46:45.208997	2013-08-02 23:46:59.744304	62		0
3893	10csfybgp51x46rijw31aw38tk	$2a$07$fC/6Ssu2lr8jeeTcEGIncO6UZsIPoMcee14vCrhaFIWjU3g1KvYl2	50	2013-08-02 23:46:45.230206	2013-08-02 23:46:59.891736	62		0
3894	10kb3lc85s50d1jrqt2o5aeeef	$2a$07$Raq2JoyJiKmOudmE4C7AcOHTvv2h0mdAd4Zz2ucfZSan3zV4k5M5G	51	2013-08-02 23:46:45.251557	2013-08-02 23:47:00.038601	62		0
3895	10m387w6w0hjn3imhjmrfe9xx1	$2a$07$YHPqET5twft8gaovz7oGp.ug//3Urcw0AFWYIP2zsRskeKzqGC0Fm	52	2013-08-02 23:46:45.272876	2013-08-02 23:47:00.195497	62		0
3896	10i1c2s0e6abv91i4ipk54dz7s	$2a$07$jPKJBNCdf8iiN3CgfExZ6epd5TKw8GfQVF.4l948flWfIrqTTP9va	53	2013-08-02 23:46:45.294253	2013-08-02 23:47:00.328654	62		0
3897	103lsr28d4uouid07tlxwhovj6	$2a$07$lxfsUkd3/DzXOHU/MWs7eeUJyV1VOEHC8iifDlNjNYkde1pm6s1Gy	54	2013-08-02 23:46:45.315639	2013-08-02 23:47:00.505592	62		0
3898	10ufjj3byyooqnj6exrmu78q0g	$2a$07$PwA3gsrHYaqAkfmqdBgK8.flGFD/QNUpLnKwnW9NGAwrSdXDwluXy	55	2013-08-02 23:46:45.337255	2013-08-02 23:47:00.878981	62		0
3899	10b8lljnwwv0zrn4zmwuiwadko	$2a$07$BMB1XDgWmapFpVa6r4FdgO7cLmFjc6Vq7Xm2TVb7uprFsuvlsM.Je	56	2013-08-02 23:46:45.359267	2013-08-02 23:47:01.248658	62		0
3900	10ch33sbh7jipit0cj6k9kmanj	$2a$07$sPWeOxo99x/EwOQzyz.X6OofdEWv69m8EKTB.MWjUZxXtXukoaoIO	57	2013-08-02 23:46:45.382033	2013-08-02 23:47:01.613418	62		0
3901	10qn16fi5cgxla96p7z7pf2suh	$2a$07$9a5yklJzEiRrdicZ6wRLFOkAG1zrvr9KgUlKTwMEoe9h8lOGBUKvi	58	2013-08-02 23:46:45.404587	2013-08-02 23:47:01.753734	62		0
3902	10pc9xazqkykntveqtgs2nui8k	$2a$07$/zmpH0Wny586vi5zLbOv6.xiEtKnEZHnzdL0mOBOKZFV/NgE/PEpG	59	2013-08-02 23:46:45.427442	2013-08-02 23:47:01.898208	62		0
3903	10eoqps70vmvkkaxo4pgad22gn	$2a$07$K5dmAoaeL5fxgZYZO/zZJOqUmeeVncHUWtzt9SuHKQv8kiMOdtFXK	60	2013-08-02 23:46:45.449027	2013-08-02 23:47:02.1421	62		0
3904	10nr3f3zum0mhf07z3973z763m	$2a$07$4kD1oPe/hWZOShum9DjjN.JPidPaHP440eQzjSJrNGc2tVDJZ6D.S	61	2013-08-02 23:46:45.47069	2013-08-02 23:47:05.027221	62		0
3905	108gu2akw8k4a48sxjlf5jdinh	$2a$07$LrjxRZRmUkn3sYEnKqrLKeUbxr7BbYXuWaNGsAVpQvFRJeucyWv.O	62	2013-08-02 23:46:45.492136	2013-08-02 23:47:08.111234	62		0
3906	10m277gtbfejte48f329jk8yh4	$2a$07$eNOg8CwpKZ5SEHGiMUcQU.IzsM1f3JPaNm7k1W86qljtM6O96rJZ.	63	2013-08-02 23:46:45.513716	2013-08-02 23:47:11.507318	62		0
10969	108jb781xxplgik6ftni0blmjq	$2a$07$.PP7QZLjNx1K.LAxaViTSuGagYoxJvuC30WfpugKkkHQRNjZL2PLy	91	2013-08-03 20:21:41.142773	2013-08-03 20:22:19.65424	142		0
10970	10p7fkqhqco34p83g2122ptnfb	$2a$07$vVLqmWJbvrWtyoh0AyDbZeOqsnXJXdT8msD65krsYlhfaprY0MpOK	92	2013-08-03 20:21:41.167682	2013-08-03 20:22:19.785347	142		0
10971	10wbbge564yj0x9ep141eeemo9	$2a$07$gsQVXoUodU3kIteoELogRO8DNxdPaFDJcleeQcfFlDSy92y2bGRoi	93	2013-08-03 20:21:41.197105	2013-08-03 20:22:19.900892	142		0
10972	101thcue95kmou4ezdev83rjzv	$2a$07$8Lh7AiK1uB0lkqXCgwjY0OLsWB7pZX5N4b989pzmWYveFfLW0IuG.	94	2013-08-03 20:21:41.220212	2013-08-03 20:22:20.010394	142		0
10973	108v1ktpclgil0azip0uybum8k	$2a$07$tsRNNInDdU5lbmzSaY1msu3pGi9PfTkMpjUUpgWgtqotfq.9IxtOq	95	2013-08-03 20:21:41.244633	2013-08-03 20:22:20.127927	142		0
10974	10jqhp5q4lb8gwhcus205plzfc	$2a$07$o1OK1Z57zyzFT8NlRzSfA.1/wGeqUaX8t2gQW9v1N.yEijEvJvsk.	96	2013-08-03 20:21:41.277663	2013-08-03 20:22:20.256536	142		0
10975	10uoqvb3o40hoh9rzoabrk7j82	$2a$07$3MnXPGefpUc.grFezouaMuVSJWL5yuc057IAXZNForGJdR5Q52qVi	97	2013-08-03 20:21:41.315299	2013-08-03 20:22:20.382529	142		0
10976	10js10y223t6b1ikwem5xnrlwz	$2a$07$i8413tz3XZDI5dX2dtBQWuRLLH0slMXzDv/voXAareJ/IeYcTDbR.	98	2013-08-03 20:21:41.349218	2013-08-03 20:22:20.477192	142		0
10977	10iz1dws321ukywpfoggi7hg56	$2a$07$5QatZVZ/7PIhIXqTx8LtZeSpQi6wAau9Ko.yr8klyRnbnokPWrsJS	99	2013-08-03 20:21:41.378022	2013-08-03 20:22:20.60273	142		0
10978	10c9562gulv79oos919vmq55bn	$2a$07$l3dlFHtgIpER2l4mhji/Fu0eJhenREQFnMsTTBsBiBA1dCRQK6e1y	100	2013-08-03 20:21:41.403925	2013-08-03 20:22:20.747579	142		0
10979	10715jdxw6qpv9i2ykzjkwyk4j	$2a$07$2P8tOjkv8CBk9HU9ByWo0OzyHi/ThOO22SnQ84F0Z4VhagLQZ4l16	101	2013-08-03 20:21:41.428709	2013-08-03 20:22:20.870268	142		0
10980	10omvtlb1ak3z9elsrcoyupzsr	$2a$07$hCds5kVwKaTcFrkXGKO5NuSzjbaJ20LRHHVTT8CQiJF895M73kwlG	102	2013-08-03 20:21:41.453708	2013-08-03 20:22:20.989838	142		0
10981	10tchnz8u9otowoioni8gik24k	$2a$07$/iO8riIfLdPwaq/VSj0saOY3yy6Fi2zpZ.SvjcJaZ6.eu6BGjrc2y	103	2013-08-03 20:21:41.480624	2013-08-03 20:22:21.193269	142		0
10982	10u23tsssp9wdms40fcv31hnm6	$2a$07$6yw4ZRUXWPd4G1bsYyzPJukaQRoaVLSl0.wcpmq74GFFNMFwg5Ioe	104	2013-08-03 20:21:41.504715	2013-08-03 20:22:21.439206	142		0
10983	10yf94q40u0we97f7jdae0osfp	$2a$07$BtyMYdxM8ScNu4JZjtmat.em78Qs5klh3DrxvxI9hyyogW37D3CHK	105	2013-08-03 20:21:41.529709	2013-08-03 20:22:21.557981	142		0
10984	10x9b0zbxr3mixl64dik4itnfv	$2a$07$wNzJF2aftVQlRO54U92NTeRPJyF3KsoinRiI3AWwjwljU5BH953ym	106	2013-08-03 20:21:41.558665	2013-08-03 20:22:21.665037	142		0
10985	1006fj13cki3hau6hfauuibh8d	$2a$07$NhdOP2m3LoCa7Zo87U2VMu.yCASdVKPl9DQK0qJqS9DbiBErQsvtm	107	2013-08-03 20:21:41.582884	2013-08-03 20:22:21.784427	142		0
10986	1036v5vlzdw63kug4r92ih62fs	$2a$07$WwWQzvtKmvHRQEIc7DC0teEUVxOHr3a3ncC7pcpuFExBGXKRyWWD6	108	2013-08-03 20:21:41.606228	2013-08-03 20:22:21.915296	142		0
10987	10r4d2tky03gz7zauomx3kx1z7	$2a$07$H/yBZKs0NDr4J.3NlcR9C.pDjj8bmQFACmSiXV6JkuO9/6wJrWeT.	109	2013-08-03 20:21:41.634782	2013-08-03 20:22:22.026847	142		0
10988	10cf7uhqu9vm6mir8qjuax7nmv	$2a$07$GE152qLvUJT8UPzQGUtpturKeKSSV8pEmgbhZHuhxZ7/IxCfFDFnS	110	2013-08-03 20:21:41.658797	2013-08-03 20:22:22.128567	142		0
10989	10w4j8st9vxfxslknfdz4o4502	$2a$07$sRTFvp6MFZV1bOX0uoBT6.uiT9Q94T3yydpclqaBAgvGOXuh9pXbO	111	2013-08-03 20:21:41.68338	2013-08-03 20:22:22.24597	142		0
5293	10684rmc0rbitgi8kyr21v77cr	$2a$07$cxwDnTigWqWLscROepCuMeI85LSRWqE4pLRTL7a6TRnkCsF0t6xom	1	2013-08-03 01:44:58.301145	2013-08-03 01:45:00.422046	85		0
5294	106b7j78udanyj7br6r5ubtijf	$2a$07$9y3cs3Q2/9YuKLNY3zmdo.DrXlkAA6iprAb1vg1NAVIMEjpV28za2	2	2013-08-03 01:44:58.325604	2013-08-03 01:45:00.536159	85		0
5295	10bdwogy4f16kxv0ny5jcfk8mw	$2a$07$3k5jKmo7IFxgrIi0nmWmhuQwnz7h6skzXgZFENLucEorW98EJuIIe	3	2013-08-03 01:44:58.349169	2013-08-03 01:45:00.663804	85		0
5296	10wor32dorv6tvfuaakhczvfbg	$2a$07$RTTzuSG/lMUFfugtWi1X4OGxnfd88grboT7d0roIG/czDxYPGT7lS	4	2013-08-03 01:44:58.37111	2013-08-03 01:45:00.95621	85		0
5297	10pspdfgi5z73qqcealpjk2da8	$2a$07$KhKYbe3VmJg20SZ4b2beQujUKz5bRfcgjSuQwL3SIkKfN6nutMq6G	5	2013-08-03 01:44:58.392638	2013-08-03 01:45:01.089965	85		0
5298	10wb0d45o95mvke1zlw1zhc94w	$2a$07$E.H/4PQntTMDPqh1PA9XF.fU1QS..rRfExTuReeLkKfk504Ko/Ymy	6	2013-08-03 01:44:58.414161	2013-08-03 01:45:01.220365	85		0
5299	102svvh8c1jf1udd5gvlrj7dxm	$2a$07$KWu84UMhpIazJQswcfGWg.wLq1E/jA1l8Z1R5dIn7HTsTbUMWP6gy	7	2013-08-03 01:44:58.435634	2013-08-03 01:45:01.591024	85		0
5300	10fbwgrp91q372f5hlp538jei7	$2a$07$ehjYuBu9wYPXjVP8UbLDJ.ZglAKrEWtz/H9H/A5o3hnD4zJS8cqbe	8	2013-08-03 01:44:58.457196	2013-08-03 01:45:01.94504	85		0
5301	109p323afiwkjh5rglkn07i92v	$2a$07$rAhXiIPb12ei27Ja.sHBje3hzgBVpPESy9dEt5EPzuzg.SSZ6pMM.	9	2013-08-03 01:44:58.478652	2013-08-03 01:45:02.318817	85		0
5302	10c566ho00i5vn35vaz9ni1yph	$2a$07$4BNwHSK1R6MDMzs6q4GgeOxCIrIYA6WKzQSL7y7O.kzUw7LQCsccK	10	2013-08-03 01:44:58.500024	2013-08-03 01:45:02.448961	85		0
5303	10xoahs9r6nf7sd54r48grhbbk	$2a$07$nEu/nHtQR.6Q7vw.arq.D.HWa3nIa6OAGupxfiqJ4W78fzdZ14RvO	11	2013-08-03 01:44:58.52256	2013-08-03 01:45:02.581415	85		0
5304	10e84d0evi22vs780x4cp5p5zh	$2a$07$xNk0rsqib62/uM35HL2yUuhEtgU7ckLbC.rOXqmlL/fZXaEgSnoK2	12	2013-08-03 01:44:58.546838	2013-08-03 01:45:02.689446	85		0
5305	10kungegd4mmlmtwi5od7xqlpu	$2a$07$gwa1GhsJjmRtdWnnoC5SFOOpxu5BUO11RdFQVNkF2kMecSitPOY7W	13	2013-08-03 01:44:58.570999	2013-08-03 01:45:02.854664	85		0
5306	100e8wly8meokilrhksd929p9s	$2a$07$udZBET0D5HgKYVd2CJK6T.wGiiLAnfMiZQppVOCa09OaO8Xzfwzla	14	2013-08-03 01:44:58.594917	2013-08-03 01:45:03.022681	85		0
5307	10pm7lxz4o1bh29ld9n5oy8lnf	$2a$07$ukfwfgaLHggmjXPAgDrFP.UB1alY8kkivUDvXrIFcc5LncljJaLWC	15	2013-08-03 01:44:58.618766	2013-08-03 01:45:03.252868	85		0
5308	10ovfs83qjtpd5zjy0828cum7k	$2a$07$BI4IW7b4rZh6R8eWlHH4TOX7gsfT9QeqDndn0Bw.52Ba.vMg9EvaC	16	2013-08-03 01:44:58.642552	2013-08-03 01:45:03.415934	85		0
5309	10qa3voc6ujz29vsycplhjlm8c	$2a$07$OLFQuT2hB.7Wr66Ify.1We//nj.9kvaitvYy5PL8FLWugvZOOdlka	17	2013-08-03 01:44:58.665031	2013-08-03 01:45:03.590151	85		0
5310	107zd4iziek9bodl6nb94zv65r	$2a$07$7lI/30KXR2vMK5UGIYHSkeZQaLJ6SeLh4OPW3O1bJVaxC3aoUzft6	18	2013-08-03 01:44:58.688312	2013-08-03 01:45:03.825723	85		0
5311	108r9vpg2wqvdwke6kqrgao664	$2a$07$om0IReGr7eDZnyjk2zuVFeYBlIcGBn2inIgRbaffvQbPAW3vnssEC	19	2013-08-03 01:44:58.711449	2013-08-03 01:45:04.19011	85		0
5312	101u35vm0re6n0m8ckf8r5q05w	$2a$07$w11GbdsbBmv8e92wW.ZOy.KGQ0LAcNXSIqkedUVkbW3Qg7F/TFN86	20	2013-08-03 01:44:58.735688	2013-08-03 01:45:04.557907	85		0
5313	10xbt6vbom47zdm039n9vpu3re	$2a$07$9/Uw8dpm4JAEBiyFkXtiUeVKPayNQ80sG5kHp/mccgakhvth3YAoG	21	2013-08-03 01:44:58.759588	2013-08-03 01:45:04.920163	85		0
5314	10gfoctcz6awh94mblfer1jk23	$2a$07$2teVT5bxamCoYZaPB6eYCOSkiKyzZ4Iu.doGUVG6isc2J5rbUJA36	22	2013-08-03 01:44:58.782683	2013-08-03 01:45:05.055599	85		0
5315	10m35es9b4egokh0eiyck9i3et	$2a$07$kJlDnewX5d3457QEem5caejTnT/Di.YZvvF8Z68peOa8tn7uiehDi	23	2013-08-03 01:44:58.806836	2013-08-03 01:45:05.337473	85		0
5316	10j96iq4c0trvxcqvjockzvi0v	$2a$07$52nILKfKAnBc64DOu4pyzeWBkUkV9HiFH.c5pqNciOOYbph/w5xJy	24	2013-08-03 01:44:58.82964	2013-08-03 01:45:05.467933	85		0
5317	10ur27v4huf8l7eebquqwl0l6s	$2a$07$jgCb1ktswiaOII/fCLkZKeK2pgfMfcRVCGjG2pm35nQo1kJ/AQdGm	25	2013-08-03 01:44:58.851045	2013-08-03 01:45:05.596223	85		0
5318	10a4s4478b8i58akthk1p4ogm8	$2a$07$NvpGQCWckg/tdTr1QY2CwOi5K4eoxGJ1FP923AzY.uH3m5hbGJJvC	26	2013-08-03 01:44:58.872773	2013-08-03 01:45:05.784645	85		0
5319	102yvhrfkfau2nhuyh3x6km9mm	$2a$07$XoNDQdyBpeN/7/IJk1OGb.P5ATMHaUgRPQvnz8rh6nxbFDMriGg9K	27	2013-08-03 01:44:58.8959	2013-08-03 01:45:05.958387	85		0
5320	1018v0ep398wwwdlucl65vfqrp	$2a$07$QThTs.Vrixo96fzk3u/k1OZ4MkInn7mwaB.nxwKwulj/5YbKj2c42	28	2013-08-03 01:44:58.919767	2013-08-03 01:45:06.092103	85		0
5321	10c9ffqd4v8w3zc0czrrzkhydw	$2a$07$R4Uuz0nHBgQITAlbsiBkYup4u.2qfCriIE9o3WwIBs2GKgakpTRwK	29	2013-08-03 01:44:58.942934	2013-08-03 01:45:06.230955	85		0
5322	1093dxbrac8g8kd5uhj82c16wn	$2a$07$F3w8nAeQmzrhSqBg63a9AOA0wmnBcTHQWN/I/nWT.eRMS3l.2ZIEe	30	2013-08-03 01:44:58.966825	2013-08-03 01:45:06.407707	85		0
5323	10wpigvcnp706vb7guc2dw1g3s	$2a$07$A3GaRhZwbFEBBt9pq3rBgewQUs7s8AtumJXCDhsdIekjvfIcIZZk2	31	2013-08-03 01:44:58.990613	2013-08-03 01:45:06.544398	85		0
5324	10oct6mhpbf2x3j16soqcxde6s	$2a$07$nk.koSFB0G1ugLA7ykX7DeoEzbg93WJe/WFzxdLi9xjusye7JSKPi	32	2013-08-03 01:44:59.013583	2013-08-03 01:45:06.682451	85		0
5325	10sik9oy5pfhjjs9uoard6ovfw	$2a$07$sXjy.TAZMgr.XxWcsbSdFOYjdQcEZQYgEo73o975wFH4k9.nviDGu	33	2013-08-03 01:44:59.036754	2013-08-03 01:45:06.815308	85		0
5326	103vic4nr5uuyavmhl2lkzus37	$2a$07$VZDBLZGMcAZvfswQiZUU1en0WP3SHeU0GiZT85wV5gFLSavUi9AGe	34	2013-08-03 01:44:59.060314	2013-08-03 01:45:07.169552	85		0
5327	10cy9p7iuc9psxj6vv6o707ak5	$2a$07$QmL4dcwIgYFl7XRARIlgh.z1y7XCNCWkuxEgjy7qbTddSo6qD5p9.	35	2013-08-03 01:44:59.082228	2013-08-03 01:45:07.448328	85		0
5328	10wft8obuhjs7w996xlp1or6fu	$2a$07$6odz8AfOvkYbwqE32ESYjOEWICxHCmVioJ42szHjYmgmVoY2oW..G	36	2013-08-03 01:44:59.103527	2013-08-03 01:45:07.612885	85		0
5329	10lfkx3fxkrmnq7il82xrnxtfb	$2a$07$bZcEr4oJb8FtLrBXzCUcbekENHE7d92XTz7U76vMHDrFNiXwpMKB.	37	2013-08-03 01:44:59.126095	2013-08-03 01:45:07.876269	85		0
5330	10eiv1kvrlx2v6cqygw1y1df7a	$2a$07$tq44xWntvFFdYD2F3ErjnuCtDraEeiSA4tYq.dk6Dc9cG7e0UaJXW	38	2013-08-03 01:44:59.14753	2013-08-03 01:45:07.997689	85		0
5331	106ftuyr2uoq5gi70tcql8adng	$2a$07$vxAIY81g5EbcMBauvGIZN.T6XvQ5dyZZi6ebjHhklbR2lMVOtStDO	39	2013-08-03 01:44:59.170307	2013-08-03 01:45:08.177979	85		0
5332	10rzt1zrtmq862mer8oeiblys1	$2a$07$ZLnDb5zI2COjSPNFN/lds.M2iGcEbkwx9QrjgRtdK001ngnv1HnrW	40	2013-08-03 01:44:59.193965	2013-08-03 01:45:08.543011	85		0
5333	10bep6il5b6vjiilv2o2nmveye	$2a$07$mS2iyfiMw8Kgq/MmW4.94..p3xtS7wBjUk0fK8rUlJLrgYvwPTfhG	41	2013-08-03 01:44:59.243602	2013-08-03 01:45:08.707119	85		0
5334	10kl0ef7ouya1rqx5y4xz5cpyc	$2a$07$KUaQLh1nHcmS4yXQ4mjUyONWLuFrqz3C5p8pDR2gW6xLobh5hRLva	42	2013-08-03 01:44:59.266616	2013-08-03 01:45:08.917535	85		0
3907	10y4sjdph98w12m0smgefpyvqx	$2a$07$NoOFYKPK/y0nXren3vilw.HKzPvdihsti7K29pNQJzPhkCkSVYK2.	1	2013-08-02 23:51:44.091277	2013-08-02 23:51:45.945643	63		0
3908	102v6awgmc3n5srjkk6ent6fmd	$2a$07$j097icSuG04UDsBdi8pSI.ntrcuAUjmaG9/WLvqwANnJpnmSglAam	2	2013-08-02 23:51:44.116291	2013-08-02 23:51:46.332919	63		0
3909	100pzekhx5zv8yrndn0ay0n2b8	$2a$07$xvZdyVHa.ePJISU7yd2WquFCa9zXO1auX8jT2NtzBN5cSWhX1i2au	3	2013-08-02 23:51:44.14191	2013-08-02 23:51:46.693291	63		0
3910	10o8ny4wkyaf92e3l3fuuiahi4	$2a$07$T419CAIkcQxxeLxayieMf.FDUI7qyhCg11pFXQ0h2CKYyPdjvzacC	4	2013-08-02 23:51:44.170488	2013-08-02 23:51:47.041047	63		0
3911	10twrdbovv17ttriipfvqaj43f	$2a$07$mWcp8O/vnvc/0eXLFbvzve1poyCeKnSdUCMNGn5uXqdJCuQ1JmLAK	5	2013-08-02 23:51:44.196113	2013-08-02 23:51:47.402363	63		0
3912	102kkm24xgq41ngqzj9q38qrxt	$2a$07$kKK/iq8dyffFJjZyHoNhL.IWy8y6zBr1ndUacw97zx0Ztt8u3UH9u	6	2013-08-02 23:51:44.22018	2013-08-02 23:51:47.706188	63		0
3913	10eueaq9ygtgpv8f2bve7z897z	$2a$07$yTI7RzfoGbXt77l5dWbjyOBQ28WK3rzUAfRE5KMmhgThz8UnAHIlW	7	2013-08-02 23:51:44.25198	2013-08-02 23:51:48.086703	63		0
3914	10dnrvlwub01ynj5i1dp1nc5om	$2a$07$coyTUeUHDeMDfoWrx3YTw.gWnzRfFv8q5/OWFSeP1MoicQoqtriBi	8	2013-08-02 23:51:44.273954	2013-08-02 23:51:48.426057	63		0
3915	107jg863a3l30hqd0a821f69i6	$2a$07$8LL1b8ZbDuYgQjGMDCLTEuIy7eC3DDRfY5mo3t75vyVY9/dpE8i5u	9	2013-08-02 23:51:44.297339	2013-08-02 23:51:48.79525	63		0
3916	10ex1oc34c4rd879l12sid4zxc	$2a$07$t.xH8DUmccUT7/qxt98Y0e8fn8siBO91lug.2nj0syJLGDkixLVNu	10	2013-08-02 23:51:44.319294	2013-08-02 23:51:48.982964	63		0
3917	10xq7wy0xzn0a25qj0euvza6do	$2a$07$HCZmWM7WIJAypmkH4mJK2umEIClcM7EDwwTzm0nKKLd48wCHbEJl2	11	2013-08-02 23:51:44.341324	2013-08-02 23:51:49.13916	63		0
3918	102qpcuyzxc5o44cqabr5ktec4	$2a$07$cE1LjMelbG//OY..gVs35.2PYO.fJJUplT8Z/rnmqM39vqBzwgilq	12	2013-08-02 23:51:44.36359	2013-08-02 23:51:49.280707	63		0
3919	10n34stahgeomh8oz5leyfknhq	$2a$07$UwCQEf/HEPipHWUCqQyo1.rPKBJnIA/6w2ttLKZ3/YG1wsqpAcGAq	13	2013-08-02 23:51:44.385704	2013-08-02 23:51:49.498623	63		0
3920	1005v4etxvrwt2z0bb3dna6gsp	$2a$07$p05ICsstNnYAIGJBaXlJUuZPYhuwXtCHgZnfVhoK6ztLcB0unx5R.	14	2013-08-02 23:51:44.407756	2013-08-02 23:51:49.644778	63		0
3921	10lqcfwi3yb9knxepliaaesyet	$2a$07$U7X2UpAN4RZPHZckivdNuuE/5xTFkShJfoaCh/uWf8JLOCk0lRtPO	15	2013-08-02 23:51:44.429737	2013-08-02 23:51:49.762867	63		0
3922	10lxtbr4qnh3woofu9lslifzch	$2a$07$fsecr3PpzsnsMoB/3h1zN.E7bIZUU4yZ8VF9Dz2XvQDJzMnfgKiKO	16	2013-08-02 23:51:44.451639	2013-08-02 23:51:50.048691	63		0
3923	102vus2o9k8m35qy7igmo3oau5	$2a$07$aPQlLouDtIyOSikYQEXv4u5A3FNQANMEhyijCTXVXzMM94uSAa8v6	17	2013-08-02 23:51:44.473444	2013-08-02 23:51:50.20085	63		0
3924	10z31x174e68pgvgfegtsblma9	$2a$07$FaUI2j8UbAi23mmh1Wgl0uggW5tg8a.qtCeUop3eiBARhAa0cjkdi	18	2013-08-02 23:51:44.495448	2013-08-02 23:51:50.331577	63		0
3925	10mar107u9r1i8fb2ylw0wlz1a	$2a$07$4ASb402e906DxykvH76IjupPhqOO7CL9asjLUeCdbVlKqQRm/fydW	19	2013-08-02 23:51:44.517782	2013-08-02 23:51:50.661164	63		0
3926	10q9mv65quppqv8rqphgm4d18j	$2a$07$Wz6wxuq3JNV3a/bK/J61XeSTRHbyfqQMWAA7NKWxSl7w1cBOdnVZi	20	2013-08-02 23:51:44.540656	2013-08-02 23:51:50.824277	63		0
3927	10whjwtjf6l90vk3fbhjlv237n	$2a$07$kdW423z8gkUunLBdD07geu8F8C8NTOVs2ylhEdp55WX6k/dYJ66hK	21	2013-08-02 23:51:44.564735	2013-08-02 23:51:51.139356	63		0
3928	102079ntfvuvebywr1sfdhlo7z	$2a$07$8G8i0Bcso6lrnN7g41ta8ek5uf7Wpr9GDkQtevEVGcDI1BIiBOFhC	22	2013-08-02 23:51:44.587155	2013-08-02 23:51:51.496269	63		0
3929	10tt1smf8qlpl834giuvl55v7v	$2a$07$OWrPhP0dW/GmfE/AYOhHd.F4h88viI3cGw.tnTwHEi.xxQN7GqJTO	23	2013-08-02 23:51:44.610317	2013-08-02 23:51:51.69161	63		0
3930	10545fejgd42z4fwgoedsu9fyv	$2a$07$ywdXJpOSG4vtvcYHDuPjZu/Jsmb6n6n8JpuDtV84VyFMEPak0ayKW	24	2013-08-02 23:51:44.632843	2013-08-02 23:51:52.053418	63		0
3931	108scnzq649965483wa7ldrxkg	$2a$07$qnFldb2ZAfD/1A0DeIGc5u1.8i5lwbW.aBCf44H.QNbXBlhpjK8y.	25	2013-08-02 23:51:44.655162	2013-08-02 23:51:52.200962	63		0
3932	10cyxwz8cpnidec15nou7l9gy1	$2a$07$aSAIn5KOu9SslfHuuf0VYOiYrfxkGPtVPWwLmoV4VAudODBRnriPW	26	2013-08-02 23:51:44.678347	2013-08-02 23:51:52.497648	63		0
3933	10rkoqwc87jz0ov5t0rmh94gw6	$2a$07$m6gHNH7yIXx6TGfVWTrj/.QYuWDL.aBEMiJIcLFDl9czULbw.8gVy	27	2013-08-02 23:51:44.702532	2013-08-02 23:51:52.613239	63		0
3934	10i31e736m1rn3n2rahrytt6tw	$2a$07$LmfTk0ifQY1P9wDpZ9t6..ouy4O2oZStXLu2AJn1ztzY9iGoyz2Qy	28	2013-08-02 23:51:44.725249	2013-08-02 23:51:52.981391	63		0
3935	10uzr072p42nshlf93dz63k4fy	$2a$07$WLszd761Bbc37ZgV.Wrv4OjQq5j0adUV2.zi0VQRuGD6vYwcK0f7i	29	2013-08-02 23:51:44.750691	2013-08-02 23:51:53.188862	63		0
3936	10rg700i1n7gxjchyy6xuwdfbg	$2a$07$ifDjkACP3iRVFWeFI4qGCuZv/eAkQ9BFgLx/jIqetyl8ygsTvU2rS	30	2013-08-02 23:51:44.774853	2013-08-02 23:51:53.3348	63		0
3937	10hbzatwnk87ryowm84pxsj8zr	$2a$07$BoA9biLolF.3Juwcz5/dSOwb/FogDm2oAToy4fohDNGGvB44c6JcO	31	2013-08-02 23:51:44.798484	2013-08-02 23:51:53.709131	63		0
3938	10h410e5tp7gtkv2nppctyie2y	$2a$07$4.IBkpG.nRu9zCO5PRGgz.pNwpORiZggRb9ALrVIEXFYcrtN9bJkK	32	2013-08-02 23:51:44.822576	2013-08-02 23:51:53.927662	63		0
3939	103j7yhro5pl9bvxuj9ubzy4j4	$2a$07$OI5I5lq1FPTrtfU.AL.7IulLknahPDbtHfKYKSfJCwzA2bOy3Bh9q	33	2013-08-02 23:51:44.845077	2013-08-02 23:51:54.118252	63		0
3940	10e7d4qhlkyub9k9i4btpp8var	$2a$07$nxsjtyqukws/zeUanIiqKuntlnkwMbXqLB27nWtmZSV19cx4F/WRu	34	2013-08-02 23:51:44.868893	2013-08-02 23:51:54.278287	63		0
3941	102qp2uufcfpdymto5td7w5ay3	$2a$07$bGuRWi0.hB4spizaGnwl4.34NIdrjI0dvf.WODPIRjmwztdXj9yj.	35	2013-08-02 23:51:44.893618	2013-08-02 23:51:54.461096	63		0
3942	10m50hjznuagouplw6zawvbqz4	$2a$07$He7Fik2xIVbRA2Qp4ONmH.CZF8cj/NFr4kHSNEFrYWVQJau1eltXu	36	2013-08-02 23:51:44.919335	2013-08-02 23:51:54.660191	63		0
3943	10m2hfycst2odsg8xvmkdc6duv	$2a$07$NmTxbM2ZpFjnCJ.Pv7dw8eOytomsuqI5/tR1aHx9y0vNDhW0a9wLO	37	2013-08-02 23:51:44.945681	2013-08-02 23:51:55.023315	63		0
3944	10vlz5rithddtzknjvft4pk27o	$2a$07$bRQvVLFYrPEB9BMxcGDEg.Vf35G0b1pv/NJPDIb37TTTnZq8/kidG	38	2013-08-02 23:51:44.969659	2013-08-02 23:51:55.39843	63		0
3945	10pgxtnlawl377hbikwn5pwhbb	$2a$07$uBRWJe47Ta8SaRJ3tnFpKOSdlIYDB./1jV2Yxp6gssmF11swbpLCK	39	2013-08-02 23:51:44.997479	2013-08-02 23:51:55.685217	63		0
3946	104wjhvnqgylzvran7xow2q1zb	$2a$07$KZtnOhH8kZ3ntT5fhniWpePW8YFMJjfojOK7LhBbplF7PwyYlAJqK	40	2013-08-02 23:51:45.021716	2013-08-02 23:51:56.036112	63		0
3947	10kaxjw85guhruf4g7ud46pn5b	$2a$07$BJkY/YH6kawTSvDYbpsO7u0v/oCsjrH3PQUz10KIe9XDqlNixqWAK	41	2013-08-02 23:51:45.043552	2013-08-02 23:51:56.392021	63		0
3948	100vwnil3g6qo3hnkc1ydwa11g	$2a$07$kgEkdF4/klFtBs3Kg5SDRud9a/BeFtDJpJghHCk5KFy/JI7etVfiS	42	2013-08-02 23:51:45.065431	2013-08-02 23:51:56.768123	63		0
3949	10s37isk4pqxjwkzuxwfd0za7f	$2a$07$FOrEfneLfBWW1d7P2Vd70OCCT8xxYvsXDytt80/OwkQ6JylJfyQaq	43	2013-08-02 23:51:45.087168	2013-08-02 23:51:57.132573	63		0
3950	10yzd798einabdh7u2onpoue3a	$2a$07$DVZPb0EBS8ODQ0TswdxSEOiA4vRCF/MTV.bX4Dt5uPo2JoMntZJBO	44	2013-08-02 23:51:45.110653	2013-08-02 23:51:57.503607	63		0
3951	10o169bziu8krh3tbfa6fhqf0t	$2a$07$vXsoUhDLq.iVTX4P/Esl7uOsUoV56NUUq4zUvUHb5BOuZGgtD8RGq	45	2013-08-02 23:51:45.133478	2013-08-02 23:51:57.871943	63		0
3952	10xz56fguf8zotnq25ndaztc78	$2a$07$xYDL.3AJdMYIIPtS/9lkiezGRbzjRc989Z.GMNtljgaZ3MkCPLiUe	46	2013-08-02 23:51:45.155023	2013-08-02 23:51:58.222624	63		0
3953	10dw4t5c35sbf1q47dx7h042ve	$2a$07$scqAcMvkHyUu5rMn/oA4E.82vn.ZSE3e8yarZeHzlG4dyBBJWiUvS	47	2013-08-02 23:51:45.177536	2013-08-02 23:51:58.586707	63		0
3954	10xd28asi2mq8967hbi6wsbzpn	$2a$07$4Sy7oPe.LCuhsu53uXDzMOZuBqYaA7NpeHgIEhtVD5f7N1Mft9u3C	48	2013-08-02 23:51:45.198994	2013-08-02 23:51:58.939396	63		0
3955	10xk6ber0ad2zhkj4qn26xusfd	$2a$07$YpmRTWcfy2gU791uaEVFwerlC51Ik0vJRlB/oDhgQB.0o2qG.esu.	49	2013-08-02 23:51:45.221439	2013-08-02 23:51:59.070856	63		0
3956	10fi3w76xpe57twy2jy05i3i6r	$2a$07$EIQqeJXLBry10ezjG2BNK.77cVKS8JqnA6oAkZjUVQtWHFh2fZZmu	50	2013-08-02 23:51:45.243366	2013-08-02 23:51:59.200383	63		0
3957	10l8scr52ooa81j9nvp4ybn78z	$2a$07$mTPs1tU2TJ3bOgpzYxAhU.ZY7yHWAZo90wsHijRh0J9zoqH7cBWlq	51	2013-08-02 23:51:45.266749	2013-08-02 23:51:59.327745	63		0
3958	10mlbwi9dlgrdtcs4sja1v9yz8	$2a$07$nDutz032CZmqgBpYLADuYu6ZAo.l8QcBEQiOMzHMYBIBt4J5MTj9m	52	2013-08-02 23:51:45.29056	2013-08-02 23:51:59.61795	63		0
3959	10fpg95pfe46zd6n81ytj0h4l6	$2a$07$jUUQB7fsTl2QCOAjyj28IOBSlrHeXjYveScubtQBfSYp5MPc6Dk76	53	2013-08-02 23:51:45.314242	2013-08-02 23:51:59.792835	63		0
3960	103sty3kfuyanlqa5a7qm4e5rr	$2a$07$8mQyG/2mszDHjkwd8GSQX.yxArxkBUxmnHI1PpH1qdsBfobHxQegW	54	2013-08-02 23:51:45.337367	2013-08-02 23:52:00.046194	63		0
3961	10kcf3fkpumjsl2nn9uuss8a14	$2a$07$S/lVX9EbN5sL1H1DfnTnxu2f4JnEGoeUxYz2SYLd89nKh4SWnw6J2	55	2013-08-02 23:51:45.360988	2013-08-02 23:52:00.417933	63		0
3962	10efmvb95r7y3c8ezw32kd35ke	$2a$07$vPR4PKovZCA.R4V3h7ozOu0xZiPdGonsc3Kz/EN042l.DoSCY88YS	56	2013-08-02 23:51:45.384612	2013-08-02 23:52:00.775318	63		0
3963	10eutd30uz8ufxkojm6g7rp5up	$2a$07$n8hRJ0378sgchRgupfQa.eBf6/fqcyChGGG6p1FJ2AlI.joXocFTW	57	2013-08-02 23:51:45.407816	2013-08-02 23:52:01.145063	63		0
3964	105te4v20fnt6msdzgohjhc96s	$2a$07$.tF2xDNSJrvO.dSjO0o4ReCCDns6A3UQ4Xn0AYl5PcKMhDgWgEzt.	58	2013-08-02 23:51:45.43062	2013-08-02 23:52:01.401764	63		0
3965	10r4fn50wtuvc041zdskfg2u9i	$2a$07$HjQHe5Yma9/9ugae4a3OVeP7W9ddcokE.BGR74yYKQPNW3w/NVj3G	59	2013-08-02 23:51:45.454232	2013-08-02 23:52:01.638865	63		0
3966	10z4yaovrrs9lyjbrsge98o8tl	$2a$07$hyWm2nbILs/6c.ESRDpAH.XLhKTpwTLK4u37jfWRD/zg6pouBR8le	60	2013-08-02 23:51:45.477167	2013-08-02 23:52:01.80423	63		0
3967	10zk7b3utipotj2b4zssj5ni75	$2a$07$S8FXn609rxKitLpV4uSwoeORXP8y6o1gYZYyiFskOMD9WLP24Swvy	61	2013-08-02 23:51:45.500411	2013-08-02 23:52:04.615349	63		0
3968	10zwvpmp1tk0h6mijs702dtalb	$2a$07$KPgWJFg95xszXU2R0965YOeAsgwa8YHh/B4q0F/3VJ8DBE5GanehC	62	2013-08-02 23:51:45.522124	2013-08-02 23:52:07.605674	63		0
3969	10d3cu0w3twthguzim5zeea8pp	$2a$07$sem8yuQJy1WbSuO7cQpTh.KWgKX4wCfnm0HHrYh44p5LpwL1t2CSG	63	2013-08-02 23:51:45.544085	2013-08-02 23:52:10.419056	63		0
4411	10r4d592euuidriwwpdjpr2lv7	$2a$07$vPaClZgF1BrwBoRw1o9rqONmYd2umS0ausP3HIb8qHhq2ZkLPZtai	1	2013-08-03 00:31:44.117687	2013-08-03 00:31:45.847931	71		0
4412	10ej9z6wencnecpi2j8ryr7lfn	$2a$07$WK46yLUKzoPHGSmqKQZlEO68v2OYNsfManogGIAWjkSmB93JxNTNe	2	2013-08-03 00:31:44.14211	2013-08-03 00:31:45.985687	71		0
4413	10bd3houjq2laykkuyma8ewwyu	$2a$07$JmycR9BHTeg3G5dsPBYF1eaSgXniV7Xh2B0TfO3DUYbTexw76PUA2	3	2013-08-03 00:31:44.166289	2013-08-03 00:31:46.125806	71		0
4414	1059mi86m91imyd7p39z8sx0my	$2a$07$qNp5CoKsN7WmgVdpAUIzL.2W1MTz4akGjNZn63/4Hy9aqqzSpgxFC	4	2013-08-03 00:31:44.196302	2013-08-03 00:31:46.384468	71		0
4415	10hwaejmid9rw5bit5ar4iqo0f	$2a$07$LpHw0tNvTKbyHqdjgo.cT.lOKlJlv5vhNw2A7KenVeiloVYhuOXrC	5	2013-08-03 00:31:44.228436	2013-08-03 00:31:46.580843	71		0
4416	10yvbvva5gp8j7nvpa9tlncqf9	$2a$07$EZvBScDC95UVcj716YVOC.L.YgfAxqgppjY00pTg0w6O0HiQXJ74q	6	2013-08-03 00:31:44.254006	2013-08-03 00:31:46.832883	71		0
4417	10ek1fjp5j4bqn6xymm45ti1f0	$2a$07$xbekgLg7gH.esBkC8mrNAOub4vnmC0AT.g4UPcVWDyK36GP6MvRrO	7	2013-08-03 00:31:44.291879	2013-08-03 00:31:47.002568	71		0
4418	10k81wsbh6sdf98lhqfhs2tyev	$2a$07$UzvrIa0055Njv6bSCr3fLuEnNttGoYqft6Njp81.Mg/hrzwp2FY9W	8	2013-08-03 00:31:44.325638	2013-08-03 00:31:47.152371	71		0
4419	10gny3n61f7ljzu95n2qicq68r	$2a$07$oYTfZEkmEcq7lOIvKdv9j.T0btw6XJIuQg5.ky6ZRJX8zZnsylUrG	9	2013-08-03 00:31:44.358237	2013-08-03 00:31:47.292099	71		0
4420	10jv661lumfzt8nkmh87cvpske	$2a$07$FFYcaTSOtf3/z69GB6SkXuhc7lH5fFLsK4f9ckfCdOuDBsXSO.5.6	10	2013-08-03 00:31:44.380394	2013-08-03 00:31:47.430267	71		0
4421	10vmzyd0jfl66jtcqc9pn0qxbp	$2a$07$QSwJnD0OHiflDXUp0eD3lOe9SD8Leucp7e1QGXN01bvbFuVyTUJR2	11	2013-08-03 00:31:44.402491	2013-08-03 00:31:47.556947	71		0
4422	10bkmusbf6j3t8gjdfnhvtlx7m	$2a$07$btTLnYT7ooZxFAK6bM.K/un93fBIXL0vbqL0ks1oDTVi6B3Q2fPCC	12	2013-08-03 00:31:44.424502	2013-08-03 00:31:47.682947	71		0
4423	10gyouajaa86sl8129onpn46ht	$2a$07$9QyvuMKdbGWWUq5KpiBgeu4UQyJPjftAcnzeC8wzShFRAwHm3z0Yu	13	2013-08-03 00:31:44.449525	2013-08-03 00:31:47.877142	71		0
4424	10tal8xt0muamptbmuheojbfpm	$2a$07$hBtSWjEnxISdkVxyq3ccZuauZZMsVA9KefuxPkFPrJ/cP4A7OM8UO	14	2013-08-03 00:31:44.480466	2013-08-03 00:31:48.072213	71		0
4425	10fuyap4fqkqb6xsgtb6jrdm97	$2a$07$6SCq4aYMRB6BIFzZwWXUH.Q.O3rJi2uKjv37mKAkg1BG/V2HJKVp.	15	2013-08-03 00:31:44.511452	2013-08-03 00:31:48.299965	71		0
4426	10brn057lpyxyvvdkb7u36cww7	$2a$07$IVTClnyIzhrYqkQrOtbZBukORpMvMPYkVgd2wBv79rMqiN2cge7si	16	2013-08-03 00:31:44.535354	2013-08-03 00:31:48.461617	71		0
4427	10i16zgcrtih3ungz7rdkpyrgk	$2a$07$aqpyGQz0samdJ2e6jKONWeRnDwJVyGVYEkAmEZXmbQKz1Xaf0TQvu	17	2013-08-03 00:31:44.558818	2013-08-03 00:31:48.596347	71		0
4428	10s1cjnaku0r8l3o40447y4ifz	$2a$07$hwxGlxYaZB3ydvZvncqEsOwGCL1MY1EeKU7XdMCNZ1vEM8IDTILwu	18	2013-08-03 00:31:44.581522	2013-08-03 00:31:48.74262	71		0
4429	101hav0hcxszuws59nn6dy1q9f	$2a$07$lSf4ptie76kVWaWWK04r8.NIG1bMvcMFx6EVHOTcm9kPvLYVwnLwm	19	2013-08-03 00:31:44.605236	2013-08-03 00:31:49.114016	71		0
4430	10r21oxl95veaj1vrd80edip63	$2a$07$pIq4n75IezsMBTrKDGEyDeYo4DR5ReRJbERMpTNja/MA7hJBNuU.2	20	2013-08-03 00:31:44.628835	2013-08-03 00:31:49.443433	71		0
4431	103a7oeifa3xk7qjwa5t2zzkq2	$2a$07$MjRCTTa9qJeGjOUSKLy6CuvPxp9rZH.ZSlNzIMZHlRzcDoeCfEDPG	21	2013-08-03 00:31:44.651025	2013-08-03 00:31:49.653526	71		0
4432	103rakql0ns326vc0q6q4st4an	$2a$07$T2KMAZrn.9QFqZp4AMH0d.qJpipRSCO7T8dRKSnLq3ONdRBIpqTyu	22	2013-08-03 00:31:44.673236	2013-08-03 00:31:49.802917	71		0
4433	102p471lqhe3rm4j3d9oohf0k4	$2a$07$jhiYvJ6T9Y6zShzWvgoq9.FeGwHRAm7DtTqk27oBZy1EaYTfIIC1u	23	2013-08-03 00:31:44.69581	2013-08-03 00:31:49.950951	71		0
4434	104640b0rmoh9r41gqexaqkys6	$2a$07$1hYv5rqXtglAM7shgVx4BOUnKmsMpJGK8SmLwYThAyURlpOtpcY2y	24	2013-08-03 00:31:44.719132	2013-08-03 00:31:50.063052	71		0
4435	10jjhirap42ixn80d79a6lyclr	$2a$07$a3Dcaro36D/WkAJzUMe8PucOwyrpF6ywv4BFgXUVGf0iLAdCNyj7q	25	2013-08-03 00:31:44.741332	2013-08-03 00:31:50.177004	71		0
4436	10nqemmghgnjcbsjcvc7vmqeg3	$2a$07$92acynLmvZaEXmO.DiFBWOKo9MPMdtaIaVPHZK4n41wwD.KJa5qRy	26	2013-08-03 00:31:44.763434	2013-08-03 00:31:50.327856	71		0
4437	10u1ynjvloipsjsj2x4zctwnr6	$2a$07$VO5onVw1/KMkb/ww7yLw3ucTG9MMb35SvkyP8QQLpUYsGk9UAGoQC	27	2013-08-03 00:31:44.785842	2013-08-03 00:31:50.612374	71		0
4438	10szo00y7rkqkhlrby8yp5yb3m	$2a$07$d2NrQeLN8.dk.jfbqoRWaewAQuLcB/utrXAsZaXNsxZfhCZVf4Bb.	28	2013-08-03 00:31:44.807712	2013-08-03 00:31:50.725401	71		0
4439	10srx8rd0nldm6yoyhkbxvm67s	$2a$07$n/B2eGmJe0zePBLDPSSZXOOb2gUy3ie7m0iZUSmjt1FAMKOQBvkmS	29	2013-08-03 00:31:44.831712	2013-08-03 00:31:50.863464	71		0
4440	10whekct7i7bomz72n7hrj8wgn	$2a$07$PetZ.OLoVMGxOly3MGf/5.SafBm8laQyWX7VkKaGgBgd74NvnxpUe	30	2013-08-03 00:31:44.853924	2013-08-03 00:31:51.023416	71		0
4441	10gc8dri56rkjo9um4poufj4op	$2a$07$1L2eZNt8w/7vk9dzcuxunORuZH4BI5SLN9QvaC4I8DGaJaMUgkDka	31	2013-08-03 00:31:44.876067	2013-08-03 00:31:51.17298	71		0
4442	10aq8hmx9uilvf1zulzdp8hcew	$2a$07$cUi39F.82OMFCNCAmZ4isutjJ.Hn/4d/EqTX6hFDusW8YJ3wWAcqO	32	2013-08-03 00:31:44.898636	2013-08-03 00:31:51.335335	71		0
4443	10k3ehkdgtpg56xcy7mrjfy1uo	$2a$07$1D8gn6CnI.il3hY9IWm/muKoQClTR5eh1j62lvNzZh0.FKbqrkBNK	33	2013-08-03 00:31:44.92111	2013-08-03 00:31:51.626777	71		0
4444	10fgxbo0qk9vlj7itxokmlzyjs	$2a$07$gm5OHQ11PAPJahEV31Ro4u/oraWXAOoVsN5iGznc/PiwkIw.sUbLe	34	2013-08-03 00:31:44.943959	2013-08-03 00:31:51.761596	71		0
4445	10y3nd6s9xnaseqjrolqbw1p9w	$2a$07$D3TICD/7BnXyhd2OGEpWW.t6qZCvaX1932SX/qIUjf6uaRPWaQqt.	35	2013-08-03 00:31:44.966842	2013-08-03 00:31:51.910721	71		0
4446	10nde4qky25dn3aekteohijoql	$2a$07$c1ZH31CbLUNUJ2l9cM0oz.4N.JNKJixyiFvqjepJFJ9V/MjpELehS	36	2013-08-03 00:31:44.989419	2013-08-03 00:31:52.048131	71		0
4447	10tdr2f4j4m4mvaq74cuvbr8uc	$2a$07$w/aejK6go2KQBxqXKDZexOh/b2VvU9UZB3VVuZy5bHl4MnZPBW2bG	37	2013-08-03 00:31:45.011649	2013-08-03 00:31:52.417298	71		0
4448	1029xm5zvmpszngoz4nsyvl4r2	$2a$07$mJCZEsjFyvZfq3W65CBM/uuObwi7iv7oJ2Wsln0A3VFvXiWHLGqTe	38	2013-08-03 00:31:45.036366	2013-08-03 00:31:52.820971	71		0
4449	10eglw31lgl1rnx5bug7rlfvl4	$2a$07$XGCR8W2cKXIWZPr0c4Z/CeZejb0HTnUCjVkGdmCOoA/.CRyjf5N7K	39	2013-08-03 00:31:45.059754	2013-08-03 00:31:52.99977	71		0
4450	10vf10tq3h8niq2fj8yowiu03c	$2a$07$yaafmZ7eKlESHMrByQYOXu1/6qsgCxIwMJg6TQH2j5BcsqJvzK2xm	40	2013-08-03 00:31:45.081933	2013-08-03 00:31:53.146547	71		0
4451	10stwqgpospoaf1vx2kj2zj7tm	$2a$07$93LsnjFMDZRoxodFQ5a9kuvmcllb.SIf9noyXCXaoShaFTsYC5bEG	41	2013-08-03 00:31:45.105495	2013-08-03 00:31:53.297425	71		0
4452	103rsr3mwrazod4qpxac6dqcug	$2a$07$d0.P12bclxmO1mWbAp6tg.aw6h3FpQqI3fcxUiucmKXl7GHURNtKm	42	2013-08-03 00:31:45.128689	2013-08-03 00:31:53.428658	71		0
4453	10wes8k1oicx6u0u0e8arij5gr	$2a$07$4VBFzuYVmwWbpJy09vsahej2ttsx8tedPHfKRi8sRne65NuzSINaS	43	2013-08-03 00:31:45.154211	2013-08-03 00:31:53.572855	71		0
4454	107mtyvzdw4zs1vyl36x5e41vi	$2a$07$l5jiF1Opo97o0ESe4WIdkuZqnLDRuhJNaiO25kGXefl3EwrGojfMa	44	2013-08-03 00:31:45.178139	2013-08-03 00:31:53.722762	71		0
4455	10flpa2swmbirnc3iit0cjqpmj	$2a$07$2UylzuxWxQ7s2ZwGKd4IWe32ZqSptFzfA7svPIzNcmthwZbx2Lkwa	45	2013-08-03 00:31:45.200898	2013-08-03 00:31:53.85165	71		0
4456	10gzj5xvthrog6plcuf1ppjy58	$2a$07$zy2MS3MAeFY03fwvtgpQ/.LOl6rCSK5Je06ID7F6k0E0t1wa9TEUa	46	2013-08-03 00:31:45.223001	2013-08-03 00:31:53.997366	71		0
4457	10evhjb917mrwr0c8omvj73xnz	$2a$07$UKz7omVe7hEnhiyDJhoslO5jF68MQVyKX2MHL2IGM5BOuShHsD4ba	47	2013-08-03 00:31:45.246182	2013-08-03 00:31:54.101873	71		0
4458	1036wu4541yobbrdu2vrww5aoa	$2a$07$W6HmBL9e.YPTxWb6Wv8FlOVlFBDyUCp4w9Boagm3uPY.LqRD96P4q	48	2013-08-03 00:31:45.2692	2013-08-03 00:31:54.231836	71		0
4459	10ftlil92f2zg5vj4oonqgq9po	$2a$07$YsftaDi.Q8APA/b0TGIlweWIn0XO0Re45QMjiBPxPEZQ3L9oQkTQK	49	2013-08-03 00:31:45.292566	2013-08-03 00:31:54.348472	71		0
4460	10wf0p2o8rh2ktat3n41djvgu2	$2a$07$atNXwsWkRHn11E9sWc3Vo.RSzOkgGd5siEx/BPq.ndWJKY1mCdJM.	50	2013-08-03 00:31:45.315079	2013-08-03 00:31:54.463245	71		0
4461	10jw63epe2pydk6o67fecsz7oq	$2a$07$YWI3TtnKMUHEcsgdrLNQtOaJBKfyUJAkfObrudiiXKKCb4x4O2hGK	51	2013-08-03 00:31:45.33741	2013-08-03 00:31:54.587629	71		0
4462	10g9x0xxlh2g1htz3qa72iofvz	$2a$07$iQIlI.t.tvF6HadmjXq5yuUiUJHtU83lIoA93u9oNBHFSr/TROYF.	52	2013-08-03 00:31:45.382898	2013-08-03 00:31:54.735318	71		0
4463	10knnijwu2xjgturppk2mjibxo	$2a$07$yDNRVz01MfSSjksMsdDYBOIckpiJ3AtaM29O0/8SJqD3.hnBYGxdK	53	2013-08-03 00:31:45.404774	2013-08-03 00:31:54.883507	71		0
4464	10p2u0auzqfoe556nydzo9p5xg	$2a$07$2Ai2HGCgDvpfWF2JZodqneVISQNgSlStL7g5yGzpj6E1bbRLXSh5O	54	2013-08-03 00:31:45.42827	2013-08-03 00:31:55.027202	71		0
4465	10ofw8yh676jwfc8xlcssd5q7d	$2a$07$QpJesdjsVVBrchQzDTBT3eKuT59YNwaTDublHbecHsqpYFqdTHkHO	55	2013-08-03 00:31:45.450357	2013-08-03 00:31:55.393338	71		0
4466	10sibs1h3ak0u6wqdbkuz17jd0	$2a$07$0MO1ynSo2XwwuJpOVaIaeOHr11DF362jcCf5w4Ir9CGqGpodFIvN6	56	2013-08-03 00:31:45.473444	2013-08-03 00:31:55.767164	71		0
4467	100btxkoqwn4lffvge2chvcpjj	$2a$07$y/Xc2lhDvwsiX8oQZNjgG.DSD2QQeEeO/E8vMPu5LpTv0kCcEb10u	57	2013-08-03 00:31:45.499184	2013-08-03 00:31:56.149921	71		0
4468	1031u6wm1g4x47xer7vaxk9dts	$2a$07$Jfu7IYqDnLBBj7LbGoY6c.aZDoQCeMRUn/0QP3g3O2W/d.moqOgNO	58	2013-08-03 00:31:45.537044	2013-08-03 00:31:56.303918	71		0
4469	10v7xerp4y1qix0r3pqygcsmyh	$2a$07$P/uYemklVp.DFUmTP/KIpuAiqCJSPu5SefAlm4Ylnlu3cwdTaYLFm	59	2013-08-03 00:31:45.567907	2013-08-03 00:31:56.453177	71		0
4470	10gs6ik3v2nrcwi9p5k5z1qw67	$2a$07$MFkK2aEmjw0rU/ua4P4pVuHB2kfctlLwvUc1/y/Wwhn7hi9BB9CeW	60	2013-08-03 00:31:45.592189	2013-08-03 00:31:56.597681	71		0
4471	10xnii4cmernnzx900zzezxpn1	$2a$07$68eTP6W0044wfj08i9JtSuJoCqCU.eFtaMpHs.7skk/fEJCWpx/0O	61	2013-08-03 00:31:45.649592	2013-08-03 00:31:59.477918	71		0
4472	10qqo5epqmg5qbbaqr5jsbm7hr	$2a$07$Bg.fET5s0aeE.s.lWOiABOxXQ8lndn1F1s/.5ZFrOglWQ8VEpI1fK	62	2013-08-03 00:31:45.673093	2013-08-03 00:32:02.304155	71		0
4473	10zzdzobj7c7kbtyixr0pvqjk2	$2a$07$XVITgaZt/5QREGkbeTLP3.PBUOzCH5NPWWf3TVKL5wygFkjyWKHT.	63	2013-08-03 00:31:45.697099	2013-08-03 00:32:05.402545	71		0
3970	107l3rpr457ucy2gp9nqhxd2aj	$2a$07$8fzw6GIVCTSahXcp/hSiBOymEaea01XqMW5Lbwo4xVgk5/cBB.ujC	1	2013-08-02 23:56:44.097104	2013-08-02 23:56:45.657808	64		0
3971	10xjlkrr7ms031kr1gic478v9u	$2a$07$POQmfNyAcn/EFTU4vCF4../.4EvypqO.8ikIc9.iQxVQM6i.otPoq	2	2013-08-02 23:56:44.121111	2013-08-02 23:56:45.80057	64		0
3972	1057rak7df0v037hfdfj17h8pk	$2a$07$PITzkMlIHJu42iRHAm2vwOmGnhF4HXw.gyZgMeL6OlGY1BUhjriHm	3	2013-08-02 23:56:44.143531	2013-08-02 23:56:45.92423	64		0
3973	10kjj8ozyyg5lrzldydyv2s3jl	$2a$07$4sw4XwBqB8TAmb28E6P00OmowExGxKqnqYCBh/25xO/fbv9SCCZ3e	4	2013-08-02 23:56:44.165924	2013-08-02 23:56:46.201338	64		0
3974	10n7qmf2k4ds8wcpy6phtfbhzy	$2a$07$DcEaESAJN9KtqXXiV8/F0uANMfAHSXMC8NmsnZi8eWqZsrV2p/Tfu	5	2013-08-02 23:56:44.189171	2013-08-02 23:56:46.365587	64		0
3975	10l9yswf5n6tsnfylah2n60czs	$2a$07$79Zx6lMtVyM73OtpjWv7AOY3F0aknRsEILSVX6.Ox5U0IcHHZTlWS	6	2013-08-02 23:56:44.213162	2013-08-02 23:56:46.741821	64		0
3976	10602esqbri9p4vhpn9p5sswbt	$2a$07$xscn/.4s691XzdK6V.GvoesbBWVR3FMdNQAoh58S2s63czx1HhdlO	7	2013-08-02 23:56:44.236646	2013-08-02 23:56:47.121078	64		0
3977	10d7s4iyirnfm9jzidtkfojdxs	$2a$07$qWYfZ4kDWz.iKtXwNAAcT.J1DtIJzVneRcHIF0yxMVFqw/Ep8yMUi	8	2013-08-02 23:56:44.26054	2013-08-02 23:56:47.363357	64		0
3978	10pkfbk7qav2uu4mf3ixh85l9k	$2a$07$x/TkO0zLJyayl1gJjgO2beL8wQi15dl.ACTJQHnoy1akAXtkuOrIS	9	2013-08-02 23:56:44.283798	2013-08-02 23:56:47.505351	64		0
3979	10os2lv1li50ijx8o581du5uau	$2a$07$KsCat487/GqMuicbjSdT9OXxkXrTVWFadEXVOZrA2aSuDlJde3buG	10	2013-08-02 23:56:44.306607	2013-08-02 23:56:47.645395	64		0
3980	1023l2rq7yrphily34223xvye9	$2a$07$wiBYjeI7p2jJv78RIXsxUObn47e0i0Vde2r4sPU1ud0Sjg79vpqUG	11	2013-08-02 23:56:44.330138	2013-08-02 23:56:47.780257	64		0
3981	10nvnpftsdpp8razybe2kmrc28	$2a$07$ez57wh9UdZ4b3VqFzaMq3u9TOLYKKd4QYah1SGF1ZMlmqHTKcpRvy	12	2013-08-02 23:56:44.353628	2013-08-02 23:56:47.906201	64		0
3982	10u3ixacpnoshmefdnsyj0melb	$2a$07$moemBcwloitf5ec9C.XeGO2J3L9LEFBScbDiskszKf7sgsWstLpaG	13	2013-08-02 23:56:44.376942	2013-08-02 23:56:48.237325	64		0
3983	107k1zojd1x2lwz8ohcunisvsm	$2a$07$bRjasK0zeYVX78pe8f8GyeH/ek9hMpBC0APrbwK8SqAmYqgVWdltK	14	2013-08-02 23:56:44.400081	2013-08-02 23:56:48.37814	64		0
3984	10z0mtt6dpvkjdp543zl07d3f5	$2a$07$c/4QBmkYxdwe0.JATy99ce5qMVU11WqcTS80qYUlmitCVNeOhJ3iu	15	2013-08-02 23:56:44.422938	2013-08-02 23:56:48.559198	64		0
3985	10me0fhn7ijt4myuktlq0q8p92	$2a$07$Wzy.0fkS8kwtCORZQ.OPoep9L1t32thiu5LA7rMKitD22zFUQXSV2	16	2013-08-02 23:56:44.453325	2013-08-02 23:56:48.698598	64		0
3986	10ppkbflzfv6ci1otsh4s9gi74	$2a$07$xmgBPJolrPc172KUhUCbbuUtlViQAbNNHRuXz3hjSzBOPyZurNk5y	17	2013-08-02 23:56:44.475111	2013-08-02 23:56:48.840084	64		0
3987	10q6zpizkknoeuhb44yx9jrw6v	$2a$07$hyykr7gR4B2y5uJzKhOvIOCEwKZwx9eKPZgCBqVmYVzlPAJ8d4bE6	18	2013-08-02 23:56:44.497155	2013-08-02 23:56:48.961703	64		0
3988	109wsed1wuhvdlhzi4asb8f0sn	$2a$07$dpHeHgCtSeDpZRnJ2WK3ye7y5S5/fhlhn7qZLhG11u4h8XN7jiqL6	19	2013-08-02 23:56:44.518864	2013-08-02 23:56:49.269093	64		0
3989	10vbievxmvy9frbfmf63wxjebg	$2a$07$uCzZm/BLwW.xDVpyrZRtg.QOBUlqrSX1o8fNJMqj.zRi.r6aKB3ei	20	2013-08-02 23:56:44.540809	2013-08-02 23:56:49.487108	64		0
3990	10m2ks6pjnnulf7pznhy0skg3z	$2a$07$Jt0Nd1PQdKcSA/PiTUWUX.NF.pqdTB8P.43fhAqUgYZjsL3v9et7C	21	2013-08-02 23:56:44.562306	2013-08-02 23:56:49.878235	64		0
3991	10smnemh0mwvd0cl9awaj5j6oz	$2a$07$DiCpLL9fwo.vKPYTq2Rmje2qSacsOj6Ig.AGJXj1Bm2lzMe8A8d3q	22	2013-08-02 23:56:44.583853	2013-08-02 23:56:50.01736	64		0
3992	104bkd0e9xebbm2rgdyhxh4a12	$2a$07$3wgE3sZlv52GMC2zLY8mvegsQ.jum4WxfSaghLnIsl9aBNDE3Q4Jq	23	2013-08-02 23:56:44.605312	2013-08-02 23:56:50.14197	64		0
3993	10ox5unlulg3d83g1y9s2h5u8z	$2a$07$ZRj1LsMr2V7tqCoxQnazjuHbm0JVzkph/jawXQziBLugciVsuDG2W	24	2013-08-02 23:56:44.62725	2013-08-02 23:56:50.268677	64		0
3994	10wzjnen860csxaa1ni5bljea4	$2a$07$niu8glCGnNOVd2Yd5xAPhe99OL4u71VVQY6btY4nkMgAJH7CY4wk2	25	2013-08-02 23:56:44.648913	2013-08-02 23:56:50.621312	64		0
3995	10bl5txfpa06s8pd0tkjy46bwz	$2a$07$Vetv9sk2KWX8bDccROUYAO3/MGwPXinCxeTJNcVCK.jhh4aRMRWVq	26	2013-08-02 23:56:44.671717	2013-08-02 23:56:50.822962	64		0
3996	10r0211f6xtkdxhpxnxri87ox5	$2a$07$yja8y.fR4v/O/8UJFMcnjOxK5Mfcf.H4qO7EEqEmPNHhgBJ20Ye12	27	2013-08-02 23:56:44.693624	2013-08-02 23:56:51.016236	64		0
3997	10t3xp9sbkmeg7ntdqmaa9cnw0	$2a$07$Vr2tdy8TU/m2xKvqqj4f2.l2a67.oB.dIdhNm7eHni3Y69D5qek2m	28	2013-08-02 23:56:44.715955	2013-08-02 23:56:51.152481	64		0
3998	1015tuolgp7w29vbzqau3qttg1	$2a$07$cfgtxHZ8RHPJcV3j3qPNpuddp1iL1/QeyFm2S1D.argv2KeBkE8NW	29	2013-08-02 23:56:44.73762	2013-08-02 23:56:51.287166	64		0
3999	10hz3jk0wtlzvzgvd99nq537pe	$2a$07$Rvhg9eF3RTjw5Se8cikPYu/4CF1l/JgU/vfg0KEyCa6ym5hdf3TWC	30	2013-08-02 23:56:44.761187	2013-08-02 23:56:51.417725	64		0
4000	10yjb45yoob00ye3yb29xatayf	$2a$07$O2xnTosNA8EJZ6oXtmQSdeWsqKgdJnXypCpAk.h1rC.kVsM9IN2xi	31	2013-08-02 23:56:44.782667	2013-08-02 23:56:51.790231	64		0
4001	10pvacn38130ktrvaj1n5pmf4v	$2a$07$WMQ7akJYA3bNiJ9ZH2yToeFQX8dnkBGb7YCLMvFlLxbkbD2Hg6iL6	32	2013-08-02 23:56:44.804399	2013-08-02 23:56:52.204493	64		0
4002	10mcmkmh1a0274044tqrnsua20	$2a$07$z1sO3B1AjZkf5LfsVHght.EHk68rZb.Ts/3Vg8trtJtN1qtMs5vSG	33	2013-08-02 23:56:44.826127	2013-08-02 23:56:52.564476	64		0
4003	102mwzdr8yk55elsej7zrojgsd	$2a$07$251abtlt8mDEGRRABW1w7eDfvVlYCYF2m5buquVComo1YTLs6CJcK	34	2013-08-02 23:56:44.847508	2013-08-02 23:56:52.726123	64		0
4004	10lbv7a2huqms7gjuzdvub3euu	$2a$07$yjCz1l.UUvP8BNZLDtAvc.eUtTuQ/TFOQZRcJCVSzPS7nZyHjZDlu	35	2013-08-02 23:56:44.868971	2013-08-02 23:56:52.950963	64		0
4005	10zejrge5yk8j8za1j4rwjha3q	$2a$07$dBlylEeZKhNp6ADzm4n24ObPm3jN2eRjj3sQCniYT4sy0OtslJINi	36	2013-08-02 23:56:44.891981	2013-08-02 23:56:53.322355	64		0
4006	10e6babnkogs1koqkdh7qnuyl7	$2a$07$QW4Zg8kwsv3o.uDevsZ.ZeaCIMYNYqwWi7Kt4wggjWqiggBpJhug.	37	2013-08-02 23:56:44.914137	2013-08-02 23:56:53.455988	64		0
4007	1051y6y5gsfu8jbn4annj3txtu	$2a$07$MZ4ZfcZGNY7Fzt2dDhiD8uA0LqFzHSznPXUltGlJRQWHMV/g3zgNK	38	2013-08-02 23:56:44.937492	2013-08-02 23:56:53.591243	64		0
4008	10nrnsfiw73y6cjxg3a6f93o7s	$2a$07$ShPtA7xBNtl05sfVVVrAY.er2MXiTdjokUW6Ypc7KLa/ctlCUTX9e	39	2013-08-02 23:56:44.971804	2013-08-02 23:56:53.732865	64		0
4009	10fr4cji9qdwc3r9hlqlfq7a51	$2a$07$bCFpp.e0rgejnL9.IV6WueSyMTH7cUt1Jd7o8YYPvvWPjDa4z/hqa	40	2013-08-02 23:56:44.997089	2013-08-02 23:56:53.869817	64		0
4010	10ipd3797zpmewsxpwqrno2mtd	$2a$07$z6UBjY6zIctYu9DyDqRV8.tZKiF1IfjhqSZSOJRfVgAuyn7gZMeeu	41	2013-08-02 23:56:45.019157	2013-08-02 23:56:54.017479	64		0
4011	10bhhi372rt8lsaart766l5s7q	$2a$07$cByGeroTIQ8umfjyzLvv5e7bv3I7wn0WkVnqxEnfXrfiy/c3iDzFC	42	2013-08-02 23:56:45.040986	2013-08-02 23:56:54.152379	64		0
4012	10vqbfwijqvty7ezim5iap4vvb	$2a$07$2S8jOxd/yvHUyK/O2XRMmeMKCWl3qOz6DE7B43lNO8OCIGB/D81ty	43	2013-08-02 23:56:45.062822	2013-08-02 23:56:54.277276	64		0
4013	108vi7hds82t7oyx4a4rgogcq6	$2a$07$oiwSFc3/C8WSizzT9wBeP.ai8NlP8CFmGhoNljoT1uKCrAf4g21Ua	44	2013-08-02 23:56:45.084456	2013-08-02 23:56:54.410435	64		0
4014	10avkx9va48dp5y55ew7n837fe	$2a$07$E.VAZAb01Qbx.0q.E7maXOXFW.AdmptpXAEUi6Y5JSZuM.v3FIUfq	45	2013-08-02 23:56:45.109191	2013-08-02 23:56:54.534864	64		0
4015	10kgvosq6y4w6gw2rquedvl0dj	$2a$07$UD1s6To/Kj266PLCjjaew.zA7uxH.rJT0Aq76i6oZI4yYlZOYyigG	46	2013-08-02 23:56:45.134202	2013-08-02 23:56:54.670832	64		0
4016	10v2xmx97om0femhebufapxcqq	$2a$07$wBkLffNMK1LH3cl/R.Wvl.Lp2axrp4psvRmwIcohFKPtsS1SeEf6S	47	2013-08-02 23:56:45.166291	2013-08-02 23:56:54.80708	64		0
4017	10zoqt0ieniviezf6u62uhfkc1	$2a$07$7eJ55WNMdWaWjo7XRPnz3elDv2T3pNniMHGnN4bdGPQJRz82HSFke	48	2013-08-02 23:56:45.187617	2013-08-02 23:56:54.937626	64		0
4018	10ff7xa6cjs6vcrt2biot2bjaf	$2a$07$irl0lo8yLog89BL9iPabJufhPLKM9DExOyp.xLscmJaHZKIJ4Kl3a	49	2013-08-02 23:56:45.209332	2013-08-02 23:56:55.046234	64		0
4019	10vqkcqxnrm01sj5panl3uzqgn	$2a$07$wZ9LJPzGPOmTzM0BOlDCxeSuRTs3pF6ZwlUDd4lzW./k9CkTbplZm	50	2013-08-02 23:56:45.231268	2013-08-02 23:56:55.164059	64		0
4020	10wkuuxad18ejfxciueyziyeiq	$2a$07$hqWpW/YkhSa1P7q4VaeRRu7Y3Sr2L9v47w6LXhMMZG44RM8Ab/8DS	51	2013-08-02 23:56:45.253111	2013-08-02 23:56:55.298322	64		0
4021	10gvlratrujecb1cmtqvxkqk5j	$2a$07$9ETu6PMQ2bDyej0.jdwUjOoq9F3bmAU.0zYAw2Tp/2YsNitMe4StG	52	2013-08-02 23:56:45.275198	2013-08-02 23:56:55.6049	64		0
4022	1013jn4jo08e0z62xgh214hw01	$2a$07$j1hpkEluIl/VWdn02iiDbeQA6msM4Bd7wGKX86sucY4TQpQcuWI6S	53	2013-08-02 23:56:45.297296	2013-08-02 23:56:55.93773	64		0
4023	10f90yspj7mdm56aqr7vr4xh6x	$2a$07$Dayen7IkECcUDzFezR7J/.bFIhbp6lvsqOW9/8Fa.B7uZVYGVsAdy	54	2013-08-02 23:56:45.31939	2013-08-02 23:56:56.046148	64		0
4024	10i1au2kod2qricr2q9nmsz253	$2a$07$QdIUvXWIBuL15esJNAiswu8BooXAyTtjAptHwq9AwzExmdOtoPK56	55	2013-08-02 23:56:45.340943	2013-08-02 23:56:56.402086	64		0
4025	10j9t5jjtlm3757w0246pqo0ou	$2a$07$vvVdbtyyV59MJIpvSnl5Aer02AjhLRsy0txmINwJ6QpwDEw9aaf3y	56	2013-08-02 23:56:45.362496	2013-08-02 23:56:56.773962	64		0
4026	101pc0np3lnp51of8p7qqm36vj	$2a$07$YZh6KAhiQIPL3S6j/cnuFe0vuxQKYLKTGYTuTUPWjM3MTmJWutP9W	57	2013-08-02 23:56:45.383888	2013-08-02 23:56:57.148219	64		0
4027	10ex1tfv7f0i95f7r28os1ruck	$2a$07$T8mSYcNwACfrlmi9geZg7OBOPw0uKehWdXEg2iEDUF69TlKcXLaUa	58	2013-08-02 23:56:45.405701	2013-08-02 23:56:57.503029	64		0
4028	10qr1zrwa43qi3nce4iij04nft	$2a$07$hkllRi3InWyKFMah8PcbpeEWMKlDeImIliZonPXsrFDiKpMuJWKXu	59	2013-08-02 23:56:45.42767	2013-08-02 23:56:57.697699	64		0
4029	103pqwi3a4z8jyfj87agntaltc	$2a$07$lMOxfrw01i4w10rzvhyIwOW8YUqMGoG2Uv9ZaT873ouhUtVEz.oP2	60	2013-08-02 23:56:45.449311	2013-08-02 23:56:57.846987	64		0
4030	10v5vfvv69rtc4qoma2ostvbe1	$2a$07$k6voEZu97XAY6InIYBYQnuwuEVoS30uZKVLVj/i/76uklNCsbWKXe	61	2013-08-02 23:56:45.470845	2013-08-02 23:57:00.569633	64		0
4031	107dnppomwf17ql4tyjy7geset	$2a$07$L5wrch8eoH4ky7PLZ/2oJOjAWE80JAvW6UKLdVSDXi7cQuH6Xki6O	62	2013-08-02 23:56:45.492441	2013-08-02 23:57:03.90045	64		0
4032	10jalfojxr96iuijlmrw4w1woh	$2a$07$/koxJMYICFFy1.s0q8MR3e09Ckp5FzxLr4vpCgYKMNGn1MxGCSJEy	63	2013-08-02 23:56:45.514533	2013-08-02 23:57:06.899967	64		0
5335	103bfq287gp9r2bdi6ku7kvq0q	$2a$07$6LlvMxRB4fn53U6dfCc6ru2omOa6YLUU1bceAaziMHnKMDEnSt4we	43	2013-08-03 01:44:59.288204	2013-08-03 01:45:09.26771	85		0
5336	107hofbai0rth172a9grhxufg8	$2a$07$69juLllCNMviigey2chJhevVE..dwsnmsogFdyr8asVPKJWS5X17O	44	2013-08-03 01:44:59.309597	2013-08-03 01:45:09.629392	85		0
5337	10fl3lzbql76e9hrupbuczsvyl	$2a$07$ughZbneUnwr0k6lO9WVnaO5N14HMpcB3MVGwWD0XXj2x2ZGb2hpAi	45	2013-08-03 01:44:59.330834	2013-08-03 01:45:09.992794	85		0
5338	1004cmth94nqavq4z0l5k2zphm	$2a$07$Gi61pqNvNQ4hECTcM0PvUeQIpmZADT6fEppR7Jccz.tLUBNXnmUWK	46	2013-08-03 01:44:59.352134	2013-08-03 01:45:10.397819	85		0
5339	10f4h7gpnntm0irro0wrnysuxs	$2a$07$hBKcsCUTW6MchRJbxdUaR.Fv4grzCb2JjEHNMRTOemYs6Ru7GtVvK	47	2013-08-03 01:44:59.373739	2013-08-03 01:45:10.576396	85		0
5340	10ac4uhjc4fg80fkn17zryqfxz	$2a$07$57N1h806GH.Wgc3Ktgg/ruUnn78G74dBuVEGFanQY53ZdsFzBsRRq	48	2013-08-03 01:44:59.395051	2013-08-03 01:45:10.804075	85		0
5341	102hcrnntsgsdiywxramn861s1	$2a$07$fEHF5/oGR6BoxG/C2y/9K.NYkscPLuOhE2c3BzXiskvXLJ4xWn.rK	49	2013-08-03 01:44:59.416329	2013-08-03 01:45:10.944058	85		0
5342	104nsoa4n53guen7h4zuer6tnv	$2a$07$FBe17GIHhiMUMklFh9.EQej7m8/xRXUOUsjFsZcWWLxHRMCe7whPW	50	2013-08-03 01:44:59.438011	2013-08-03 01:45:11.062957	85		0
5343	109rldmnq0o3hy02sb49ajf0vl	$2a$07$PYkYBjaU2fO7wICJp/m7p.EyLBiGNm/VmEyxHV2AJXNIYsQEr40aW	51	2013-08-03 01:44:59.459561	2013-08-03 01:45:11.169879	85		0
5344	104wsps5z95ltvhec5nldp2f1u	$2a$07$IU8wOs/JjE1.IpesB3buReJse5xNNmLHhC7k/O8yvrU31ODpMpz1e	52	2013-08-03 01:44:59.48082	2013-08-03 01:45:11.483251	85		0
5345	10mk675b5rzs4mblone8zpyiot	$2a$07$0ARDMHH/.ZqwwVHtw.GaIeRIQ/EbTJyKKSGH5ogKxen54kZCSh2MK	53	2013-08-03 01:44:59.502124	2013-08-03 01:45:11.847162	85		0
5346	10ne3cg4w46ppo4egyixo7l6q8	$2a$07$gle1jgSh7TZqgQniaV00gOe2X/Q3GwHr.8W7s1.9AQnbzbuSKGJKe	54	2013-08-03 01:44:59.523375	2013-08-03 01:45:12.127437	85		0
5347	10v3xan06o11rogsjn0pnuetgu	$2a$07$IhrPd7JA3DTQBEi2MaOh2OrYTHRIGVmZifcjI8yEUno9f7S14ywPK	55	2013-08-03 01:44:59.547504	2013-08-03 01:45:12.355194	85		0
5348	10h29lb0ucyfoze2749d1ulksd	$2a$07$lRpeLi8DFM83zJkcilO5deiJMCsHHfMaKu.tpBTejJrprhuBvAUxe	56	2013-08-03 01:44:59.571079	2013-08-03 01:45:12.552039	85		0
5349	10b9h4uj9zggmt7hhist1btuf5	$2a$07$Ws/q3ZWJ/pD2qAFr5CepAOlq9pPlJzGT89YjK8E8ywUkoi/8rNTDS	57	2013-08-03 01:44:59.595198	2013-08-03 01:45:12.850939	85		0
5350	10kjtmr3x47ckyzb3jhr0x6f0a	$2a$07$fzoNJRHYwtvFFJfk9s1aduTs1zvbxuUQ39EcB4sDl5C6BWInFJfQe	58	2013-08-03 01:44:59.617793	2013-08-03 01:45:13.082559	85		0
5351	102r90dcxugg5clmmxyt6o3onp	$2a$07$cdngjDqnnKZO/dFuNGBOruWbbsImMKnfXdG.xi3pcecX9Qx1B2FJa	59	2013-08-03 01:44:59.640231	2013-08-03 01:45:13.226763	85		0
5352	10fk1qvaverdtwgcfpjgr5hmq9	$2a$07$Nz9MQN1c6TtNvf5IcEfunuHjw1IRNikPzNXiFYjK7bL0cRF5vErNK	60	2013-08-03 01:44:59.662138	2013-08-03 01:45:13.388502	85		0
5353	10v26qsv9ne7h30i4kb5je81un	$2a$07$s8hQctu.dj.1zQuRb9LTnuBzCe9kqS1Y2DcGkhv3i49/H0gdXrVdS	61	2013-08-03 01:44:59.683324	2013-08-03 01:45:16.069151	85		0
5354	10kzqn8v4fo26bl8t0gjuv5724	$2a$07$7rMYchR5zZO9mQ/buFc7E..2sV2jaOJb84vem6cDFc7isPJiIgN6m	62	2013-08-03 01:44:59.705618	2013-08-03 01:45:19.206387	85		0
5355	10wctfzb0ltsrgf79q3htjts1c	$2a$07$HwiCqvoyUdjXcFR3ASoQIeHBRRTcS8dcXAAVaM0CnMdiO3RLrEaqu	63	2013-08-03 01:44:59.72787	2013-08-03 01:45:22.058049	85		0
5356	10ea2ybu7golx8hzej8l01dj86	$2a$07$2uZ9cCs/G6fId66gCbSPgOE1pcvYiMkd0rlBTPkHJwFGFb4LWZGzG	64	2013-08-03 01:44:59.755419	2013-08-03 01:45:22.2035	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5357	10s526jcjdcd31w8rfi3508803	$2a$07$gvtgXaOXF8KtomQNKfTeSu5dwLXWMNUdyZwv2nWiiuPbsltCixj8m	65	2013-08-03 01:44:59.783254	2013-08-03 01:45:22.484655	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5358	10k90t6q8duxmtvni1vzdj4yl7	$2a$07$oLmc1wgXsJ1ZgOkGLOsx5.UBTnIT5qThHHyuD9wdduwmKnqO.E6VW	66	2013-08-03 01:44:59.816379	2013-08-03 01:45:22.830865	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5359	10q533rodk9dxrec5ar6b633k6	$2a$07$v2tVMgyyR8TYsjPAE5UMSO4U4mJZldWFdhulJxFGL8KzAXbsDYkM.	67	2013-08-03 01:44:59.839363	2013-08-03 01:45:22.95589	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5360	10p9qf8ax6cf9j5n90h7stu3en	$2a$07$4h/W3olXgy3AZI/WAdkSb.JfWRvzMrcuuUNPreUovII895glmfdvO	68	2013-08-03 01:44:59.863085	2013-08-03 01:45:23.2472	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5361	10djbqr81ft74wb4l1sy02i199	$2a$07$Naw9QYdNBHvnkmsGdOrSQe0.EDKRYi7vXS5W4WrnCOJJY1F1kbpvS	69	2013-08-03 01:44:59.885718	2013-08-03 01:45:23.466274	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5362	10ygv7pp67w7d0n3viwycw36g8	$2a$07$BtLOeou..fxbBQOQMMMVGeWe4c.lgUmUknkoLDJu8KNNh.yv1BIb2	70	2013-08-03 01:44:59.908642	2013-08-03 01:45:23.828452	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5363	10d5075u8ls3jp11ohiazchvrm	$2a$07$DUybUqQ1.YGoBgMpS4uwVeJOpS/C2PgY6MVwO18TlUkbb31JLjs4a	71	2013-08-03 01:44:59.930285	2013-08-03 01:45:24.146244	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5364	10ll2d3blxlq2hbn8fwts3jd8l	$2a$07$4eMHpwP5xn1JGM/6rGckAuEU3oV998dha1IZIdyDMnLs83w3veOPG	72	2013-08-03 01:44:59.954117	2013-08-03 01:45:24.406006	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5365	10xh8c5l4yz4m372e6mj0zfdh5	$2a$07$W9b34Okq/FKAKYI9V24OPu287pa7Fz.9n7RU6wL7RXfqu8eLGqz3K	73	2013-08-03 01:44:59.977182	2013-08-03 01:45:24.575901	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5366	10t2u7nibgaa6wkibs3jk2thn9	$2a$07$HdQxfNd2lzn2iTmlViPAle/.5duSC3wlY5NXowgNjytouhZkPAYTa	74	2013-08-03 01:45:00.000625	2013-08-03 01:45:24.695309	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5681	10e11pjcc79a7k8ia1ce1h7bmb	$2a$07$O0kGvhRmJ0wSURmr/NUBOuuypAasm53H9zqVzxkMtIqIVwQEeE.Mu	53	2013-08-03 02:05:35.288859	2013-08-03 02:05:46.911162	89		0
5367	102oje784zoqly3rg8rsmek2wz	$2a$07$GvyQbKWp/uTNIqqAsIzmqOtXY9s9t.5KWVuRipnJ9TWpKC8DPQLB.	75	2013-08-03 01:45:00.023454	2013-08-03 01:45:24.830319	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5368	10g8y7w5qplvatwop8swhdp21f	$2a$07$pLvb5zCld1VXlV6TYDfhKOUkuTp.3qO8UQcnMWAQbbUVtJ/9P8lTq	76	2013-08-03 01:45:00.046575	2013-08-03 01:45:25.045836	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5369	10a1micip77p1rafe9oq2p5tr4	$2a$07$GplILpFLy5NzoMPGi4YYIu7qjfNlW9U7fjTU7WWiQpObecQ4zGt3a	77	2013-08-03 01:45:00.069749	2013-08-03 01:45:25.202717	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5370	10pumm5nzqv02mzd2b9zgyhz2b	$2a$07$Psk7EwQSEqbMrAraSkKVKuJaE7WwHsVfGjbOBwz64Naz6gpcjHQ/O	78	2013-08-03 01:45:00.093654	2013-08-03 01:45:25.570229	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5371	10e31qycj6pfyccayo7ynfg7ze	$2a$07$oh1IqccjjBKMvqCewKcKFuR9CzAR0atJIW4BNJky7OBvTffWGrhsW	79	2013-08-03 01:45:00.116909	2013-08-03 01:45:25.764236	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5372	10h91w4dyxn433j3iyoxa4632u	$2a$07$OwIuVe23hd2aoLqNDijk7eVrOIDXeM48y8cdDIw9KMZ9pJDNwGftu	80	2013-08-03 01:45:00.139286	2013-08-03 01:45:25.907963	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5373	10n7gcr00yy9m862pdwaya2rqp	$2a$07$VKinhxebnwihtVXp7J/GoeqgmSUpC1v.MX/Uee4sD5tbN8SKtKqqG	81	2013-08-03 01:45:00.162179	2013-08-03 01:45:26.054229	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5374	10h40j7gzx0ta4vy8624m7sck4	$2a$07$yWQuGChkG8YqAM9dUvU9.Onvu3iBFK3wOgZZN/PJlh2/dBEx39ZK6	82	2013-08-03 01:45:00.184039	2013-08-03 01:45:26.331563	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5682	10tes8m1swkcd0u710u4s0hlah	$2a$07$A.T/AU.8bwWyMbLR/TpLouuEZh5hSKC4alFDwCsN306XO99zGw6JC	54	2013-08-03 02:05:35.312245	2013-08-03 02:05:47.080194	89		0
4033	10g8mjt8cp5tufl03jlp2pjl0l	$2a$07$iFAJcsG7oUzPPu1AgPHPjuMV7PnOfEkDxvI4.LN7jeOrIrP12HOK6	1	2013-08-03 00:01:44.111174	2013-08-03 00:01:45.72305	65		0
4034	10zwadv2te76blfov0iprd5q1c	$2a$07$OfBv6lvSx6g7PDBWyk2DQe1ij/Fm1s0o/bSxBtmexn1RfXi/cvq0C	2	2013-08-03 00:01:44.134727	2013-08-03 00:01:45.867949	65		0
4035	107k13gwno06zm4m444vhhj3kw	$2a$07$GY1LK41Ledp/1TAFPKbuwOaqiLmuUN8SL24EEBof6jFCTUUALhUba	3	2013-08-03 00:01:44.156422	2013-08-03 00:01:46.006549	65		0
4036	10af6mru95c1h0aniysm4s4chr	$2a$07$b8GdL5XMENLQpkgMm0k0lurEONYwcBfn.VmXZQWblsq1RRpJKk4uC	4	2013-08-03 00:01:44.178231	2013-08-03 00:01:46.399237	65		0
4037	10tpt61d9j5fcw31rjtrny2fpm	$2a$07$Kwqujti3cyPM28brOj/Rqellbc6k8nTWJKba5AXKLxRMN9kNvbHtO	5	2013-08-03 00:01:44.202164	2013-08-03 00:01:46.61086	65		0
4038	10vkpsx60t2zovtvzzyuod4poe	$2a$07$ovFjzKDrIQqnTmDyd2JFTOR/e4Of7A9du3cDI5OqG.aqmegOXX6A.	6	2013-08-03 00:01:44.223981	2013-08-03 00:01:46.746438	65		0
4039	10rucde0pnuozk7rpyesc9pdj1	$2a$07$29OyRHc8cA2KZicLsXsvYu7EVbokU/RWMQr.ubmEecKZ516q.ETya	7	2013-08-03 00:01:44.245861	2013-08-03 00:01:46.884871	65		0
4040	106q2x5z1rfensjojmuzl3jw8i	$2a$07$lp9/0nYC15Z9y8VLuei0U.J/iCDXqRaeTSnceqrVEhAltOdTMHm4e	8	2013-08-03 00:01:44.268013	2013-08-03 00:01:47.021091	65		0
4041	106sgnv3q9uika701fsc3airyo	$2a$07$S.EAQrxzxOXXz3I6yjlm/O0itG.M5jQR4qljrLfLCCTLLZwnIA9Sy	9	2013-08-03 00:01:44.290077	2013-08-03 00:01:47.158105	65		0
4042	1013puycxp2d3vlt7a8fk8xgzh	$2a$07$1XnMo73YKvDVLeCl6oXGe.9vb2/E3F3Sd0oF5A3vKGKUzYfteMCga	10	2013-08-03 00:01:44.313521	2013-08-03 00:01:47.285552	65		0
4043	10svam0g5pe2rxup5ibhvjzxaq	$2a$07$BTZ0d91AebuHmYAX2Frka./K5KrPNHKjBLhrU0lPO2VviBRTUAex.	11	2013-08-03 00:01:44.335681	2013-08-03 00:01:47.418579	65		0
4044	1041zkonynfoemk40740m7xg50	$2a$07$VNTpL4RM97gtRLIPMC874ubb0KkHDGUaQhbeba6eWZXml1e8oj/Yy	12	2013-08-03 00:01:44.358712	2013-08-03 00:01:47.553986	65		0
4045	103uz7wbq7z50xdyhyp2tjpv29	$2a$07$7AkTezSZnWeGKAY6T899eOX.K4rDOJkI8b4v5LguYTuB/UujWJPT6	13	2013-08-03 00:01:44.381067	2013-08-03 00:01:47.929981	65		0
4046	1045vmu7rwo1xrweoo58hw8cgl	$2a$07$4KGUfdS20YUZCYH17bO6FuTVNEOMiCypS/j4ia3bAEh9bk9gSKlnW	14	2013-08-03 00:01:44.403188	2013-08-03 00:01:48.302383	65		0
4047	10zlco75guoqcp2g2fetlwn187	$2a$07$UIyfVb6n7hprBzF0althLOtR94n3SvVthJDXeSQYHCWqw0siXO/J6	15	2013-08-03 00:01:44.425254	2013-08-03 00:01:48.678196	65		0
4048	10fqi6q0kcub31xbnxgmumfs3e	$2a$07$gzZ8IXvhLUtHnVwUPNbT1OQNatxp9lLxeVHshrfaMG7Mq1affgpsC	16	2013-08-03 00:01:44.447435	2013-08-03 00:01:48.813218	65		0
4049	108zlyqx8afgc8l8vqb98346c5	$2a$07$f94kzAk.t7yDc2mzbeCTpOY8ptvwzig1AWzahRakg./nCk60.49dm	17	2013-08-03 00:01:44.469235	2013-08-03 00:01:48.93831	65		0
4050	10idnc476zw6lcz5xxz2s0s7ud	$2a$07$nEJ9knTwyhGmPTMLqifyVefPRpIgcgs1ePxCZLXhLJTQ3usIQEQOO	18	2013-08-03 00:01:44.492503	2013-08-03 00:01:49.066629	65		0
4051	1066pwfquwxtuj3cgjliib46jg	$2a$07$ImzHgH8slr/eIncMnkmV1.nS6goF.LJitFFN4fWA/NsjZpxAgrMwW	19	2013-08-03 00:01:44.514544	2013-08-03 00:01:49.446322	65		0
4052	10r4bwq8z63upwcl70j5qapkju	$2a$07$z2pqdRgeIAS.4Z4.YQUraOaqb2y/o7x80fvKdTjdR40QdNZJtdqY6	20	2013-08-03 00:01:44.536297	2013-08-03 00:01:49.819627	65		0
4053	10jri7m1nm2br44t1o1t01k77d	$2a$07$7RV.4gxfoeHzKnOnfr8puObyIll2tFfmLjbO8WhuF6/P6canVpR3K	21	2013-08-03 00:01:44.558048	2013-08-03 00:01:50.17722	65		0
4054	10mm3ivl63yyd6guhhl9xoircr	$2a$07$i7QmioGAyn2dl/AVOu2Sz.MVw3oSRJAPfV3AdEIlZ2r8VDmyY4Iva	22	2013-08-03 00:01:44.579679	2013-08-03 00:01:50.555001	65		0
4055	10cnzdjkbgubb2riza6jg9r40w	$2a$07$QZO0GT77kL2mR9/7ZGybvuzkJo8KAO/my4kQdtIIxcQsJtn95KPt.	23	2013-08-03 00:01:44.601127	2013-08-03 00:01:50.965885	65		0
4056	1009ez2q0r2ze2atv87x02jdk6	$2a$07$8zpqYl6nOLVkZThp5af0FeJoaUkN.YRkc4saN5Y.vm/hOtR.qHhR6	24	2013-08-03 00:01:44.622888	2013-08-03 00:01:51.146343	65		0
4057	10wtciwvxytltafq0zlxvc2ths	$2a$07$bxGZcjwDb1plv3i0TJDyE.6Zwz9YWoIUm8wvQpjW4hjhuhOpkvEY.	25	2013-08-03 00:01:44.644768	2013-08-03 00:01:51.317595	65		0
4058	10shdp5kopluvikzjdgiutq1jr	$2a$07$3FGSkxWFP8w1w5Ev0bH2m.NE8J7aS0UPreCaMHu8TAymFhrnAKHLG	26	2013-08-03 00:01:44.666341	2013-08-03 00:01:51.574088	65		0
4059	10towaiwc0w33obtminebod6nv	$2a$07$Pn1bQJOEpWvhIs2j5ooV7.nmv6uTHqaniSR/Rb5eLSKS4.yzPtB1y	27	2013-08-03 00:01:44.687896	2013-08-03 00:01:51.835823	65		0
4060	107238wual0mu0v22ej3wgvjh3	$2a$07$Inb0esBvsnvFJREWSatVI.hfLHYlqrFnF.WJUUBP7k1gQNEnKiTu6	28	2013-08-03 00:01:44.71162	2013-08-03 00:01:51.981923	65		0
4061	10yj90zfqctasekzsraxm2793y	$2a$07$tj7Iy5ogIvF3VNA8qUXYAOoQ4q6zzRihfrBCX2HPHtQD4Qunbi/2e	29	2013-08-03 00:01:44.733663	2013-08-03 00:01:52.127002	65		0
4062	10ftu2ukrl00h5uulh1rali3yt	$2a$07$yPCEQyUoIG.jO3btevoeGORFVAhv6b6HRK1Y56pK1Rkrh.qeY0PuO	30	2013-08-03 00:01:44.75577	2013-08-03 00:01:52.266496	65		0
4063	10mt8iutqhdzpk62d7rhovram3	$2a$07$.fZqMppvb8MfHOc11o1Ijus3dkd9WRq2vxztVQRAGKpfFnQmmXLoS	31	2013-08-03 00:01:44.777723	2013-08-03 00:01:52.502554	65		0
4064	10nqzek7u2iwq13hbkqh21nkq4	$2a$07$HwkODWBquYQgCOAv8d9y2OWIZBqE./YKtPyHgKYqW0fVWeWd42Z.O	32	2013-08-03 00:01:44.799683	2013-08-03 00:01:52.67703	65		0
4065	10d6iiet9awr4u4mokg7ji3nmh	$2a$07$fLzR1kbvrqgRw5TS/ipN6.28J/ZWwBLUn41IGgvfpTTymxhcahSHa	33	2013-08-03 00:01:44.821846	2013-08-03 00:01:52.93234	65		0
4066	1094cdf4ueiygi0bkrts40aydk	$2a$07$Yr0GloDt1/NI7C5LdPM8neR8A.jfu4IIpZFW0BcBUOMyvaTsW4y7m	34	2013-08-03 00:01:44.843546	2013-08-03 00:01:53.066436	65		0
4067	10yidj2mbl9al08eccp0y78fsp	$2a$07$UXH9h4Q.QAemioYh1vb1w.mdRCZCIt4ZSHR0zsNHC/TyNRIyA43Iq	35	2013-08-03 00:01:44.866535	2013-08-03 00:01:53.202837	65		0
4068	10mzckw26zb6z82v8ynn6ca785	$2a$07$rsLA.9XOPTH/ZnwzjP511uE99ofIQbjPq4UITnz8gsm9.YnQdX2G2	36	2013-08-03 00:01:44.888901	2013-08-03 00:01:53.328786	65		0
4069	107yuk281j0cm3j0217wz012pt	$2a$07$rOfS7LVuZTFwQrTH552uf.rcuuNN08h5QgUkNovHM/qkmPoOzlIAe	37	2013-08-03 00:01:44.911012	2013-08-03 00:01:53.494129	65		0
4070	10hcavrxixynxadmhu8ihgv0ci	$2a$07$fq/UR1xSMRSE/GEtHB.HBu4QYyHg6KGX9Ddcd6ZrGUJLg2fncjew6	38	2013-08-03 00:01:44.934932	2013-08-03 00:01:53.84759	65		0
4071	10yxkfw8j3wgwtsjk59rz0etcp	$2a$07$QfRWoSNVXW41QW0ipskkN.EkWazcDxdry4OWnC4FBvcn9TBKRmfrK	39	2013-08-03 00:01:44.963222	2013-08-03 00:01:54.227394	65		0
4072	10zxytlpi65056ik9n9p09yx8a	$2a$07$sZDvbV/jI7dt9YwbUB.v1eco0SkUa2vCIlGIuNWJaFNO76AH0AiQa	40	2013-08-03 00:01:44.995007	2013-08-03 00:01:54.36868	65		0
4073	10lix2zxv7af6dgc7pad97hq4s	$2a$07$kSpaRUp32ZU5Xz0KtxrZ6.CkfKFg1KMkrhoQzmVET2G/8Eu4uRnve	41	2013-08-03 00:01:45.017123	2013-08-03 00:01:54.515207	65		0
4074	10o866ihvozuc7l5h0v56g9uol	$2a$07$5gCmioDb2jkxMdGvmU/HSu9811BA8Z3Rdjnpkh4yr/H2fuHkvC/Rq	42	2013-08-03 00:01:45.03909	2013-08-03 00:01:54.662502	65		0
4075	107l3yejylt167f4pmq9kmsshw	$2a$07$4wKeI4qMxKMNAxNRdxigmeNNKTDrjlsq7Ijeuxrg32CP.OcT35MSW	43	2013-08-03 00:01:45.063007	2013-08-03 00:01:55.082792	65		0
4076	10vc15ury9l93rj5iceyvutude	$2a$07$EDYKPM2u8Iw1ERlcUQ8Ct.qDG5mHyYoB3XYqY/733ErqMtlSs3nb.	44	2013-08-03 00:01:45.119017	2013-08-03 00:01:55.24056	65		0
4077	1065nbklef4cc1xhmi3a5rxf7i	$2a$07$umEseOe0JWvG.rGalU7YyuDSKy0W0LusSDkgdHSGaCEeBKWwFZZhq	45	2013-08-03 00:01:45.14478	2013-08-03 00:01:55.454149	65		0
4078	10bmacz5wvkpovvtxvmlwhix6r	$2a$07$nFkSXtQhT6IGJBnrKeGPoOKuJocsnKoNGvwdTtbjCHZGPcBdW7RAW	46	2013-08-03 00:01:45.166429	2013-08-03 00:01:55.829126	65		0
4079	10hdi5f2lphjj3iyc5517phu7a	$2a$07$lXD4WjkSGTSAs2QHXbstv.uagiAtu1v4woAVpGncp2BzLOeNXwHgK	47	2013-08-03 00:01:45.18838	2013-08-03 00:01:56.195882	65		0
4080	102odsupbtvosefijpdbvta2l3	$2a$07$LE0Hq7FGj8izk8udvW4sRenveYUb.0fv7Rh6TrpnJsdm0d5iMO6zy	48	2013-08-03 00:01:45.210133	2013-08-03 00:01:56.568841	65		0
4081	10b66e285jy0xumd25ijvodbnc	$2a$07$aJQzvAofImW9IbWfU0dT9eb/zhZkABLkmeNaPskdUzfXANHwgbUwy	49	2013-08-03 00:01:45.231553	2013-08-03 00:01:56.710064	65		0
4082	1080fwgp54t1qw1oinbg3gqze5	$2a$07$IBrQJEz/AbvJpRj6LsOSCefKNyeqx.eqnBtMnZMu.Zc3xHmuCyv7S	50	2013-08-03 00:01:45.252853	2013-08-03 00:01:56.854632	65		0
4083	10ohd0bpkgc4xs9xgj0h8gu8g2	$2a$07$DkxdSV.wptONlmbiWoBsjuPGUJ0o8D6pMEE7NIbF7MzRqEw5KhYWG	51	2013-08-03 00:01:45.274166	2013-08-03 00:01:56.996297	65		0
4084	1032xn1gemc4kd95k6feev8eu2	$2a$07$RV0/vAWHj3P03vBldQoNS.fuwKzF3CS.NssLdQbtxEMsmpvPYSAa.	52	2013-08-03 00:01:45.295565	2013-08-03 00:01:57.132751	65		0
4085	10lh2tm1st98nh2qnf7go7g8c9	$2a$07$rD5noEywto/lM.dY9gVPfeiOHZfMlJSsl/15hfFm.whn9iCfkP.vi	53	2013-08-03 00:01:45.317198	2013-08-03 00:01:57.283943	65		0
4086	10f07zc4jglfo8ek7j11fml9cg	$2a$07$KSXNARpCzA0Bhu0XodbxGuj09qSLCT50cDKOPAd9tfzjhxenQqOqG	54	2013-08-03 00:01:45.33894	2013-08-03 00:01:57.432857	65		0
4087	10kxnue26kjnkmorew4dzvenyv	$2a$07$9nbuVcmSZKqQfchr9iml1u0xpphpFi8qWU46vFxBXvgWkhi12lTsu	55	2013-08-03 00:01:45.36044	2013-08-03 00:01:57.641622	65		0
4088	10knrvjw17kc3w8dt17ss38odl	$2a$07$iCdhURXjQCp1wisMrAKGx.hdC2FwQFa2NL971oSxBIBebxnCLj3PS	56	2013-08-03 00:01:45.38395	2013-08-03 00:01:57.846163	65		0
4089	10mg8z0z95dnr6q75pniikj9vh	$2a$07$vhQDCxLY.qlQCsrfn4lZOeRQeNLQz1zVe0I5hv.wgSbGR1/BLsJw2	57	2013-08-03 00:01:45.407616	2013-08-03 00:01:58.102264	65		0
4090	10avdy27jmmetjv6xd6dubuso9	$2a$07$igK2.7OHqBi0FLBp7TjMje0GcSkVWYKoBsuxQib231rSHDvpOQIby	58	2013-08-03 00:01:45.430357	2013-08-03 00:01:58.245139	65		0
4091	10g1v11jmco4a8hp5u1xsv9sgl	$2a$07$.C0FmU7kfBn7xmvBpig15eKnYopczSCi/SVfo5fv9yJeEu.KB0h6m	59	2013-08-03 00:01:45.453623	2013-08-03 00:01:58.370277	65		0
4092	10og4nm368637heqill8vogido	$2a$07$DKUrt6ZVo35c.H8bR.qi.OWe4.SJ3QRohDhceduKI3pZ.JHiO/6Ma	60	2013-08-03 00:01:45.475413	2013-08-03 00:01:58.518401	65		0
4093	10vr65hk3vabrrqopewbitzi4o	$2a$07$m6elEykuBdLmZddeUfkIQeUzxkqMhnho4wp7j.EAyCRJf94f0gZJC	61	2013-08-03 00:01:45.496892	2013-08-03 00:02:01.181876	65		0
4094	108vsxpgnnzujylbfvewdkgqh1	$2a$07$m2twwGRgVcpiHrN7XVICAuxlFtPy0pD5uD7EX4OUWdTOLflPZx6VS	62	2013-08-03 00:01:45.521052	2013-08-03 00:02:04.186559	65		0
4095	101xi6kvjk7ywf2tj2ywlhnr9m	$2a$07$ny7.o1Di/4QwigmJcgFhpOawnL.zZZCjbZ8yii68DXIIgMjy8JeEm	63	2013-08-03 00:01:45.558291	2013-08-03 00:02:07.482505	65		0
4474	10q3n8w3s2u1alkwfxyaa462y2	$2a$07$u24szBMhI.gVvqjBzO9ev.MrnHUWOV40C4uHpUKkXOUQdfQhFVnW2	1	2013-08-03 00:36:44.097101	2013-08-03 00:36:45.650694	72		0
4475	10gvr1nrqg3sqwb62x7mayqzo4	$2a$07$lUR.9nchbqKCvONtyR7h5.i9.kC2XHbiEouT833mYAdYVyZTVSkLy	2	2013-08-03 00:36:44.119303	2013-08-03 00:36:45.75938	72		0
4476	1014coitn2k1a10hs9tk84ds5i	$2a$07$uDOgiwxljGbCblC2ThBCSehOuEfx8ULrt9JBwchULNCKUMo8y5bga	3	2013-08-03 00:36:44.141104	2013-08-03 00:36:45.864422	72		0
4477	10zwnsi0gg8a0mgc8eyzrd5y0c	$2a$07$6f4LsAY.m7w60x4A3owafeYjGGVpWwC9PIn/4A0w9noO6ZMpz/X5e	4	2013-08-03 00:36:44.162906	2013-08-03 00:36:46.081805	72		0
4478	108j58x122af756eu2ieghp9gc	$2a$07$.R5JnVrG2tKD5UQFnVolGOHSoKQdP7WAcFRhFyZ9urCIOrQp7.26O	5	2013-08-03 00:36:44.184832	2013-08-03 00:36:46.189249	72		0
4479	10a60qi2hkzcvsxna1u9xxdnli	$2a$07$nzJVw3hof8vBd6bPn51PW.nKbKFxLjARIGeBz77.Lqt6UbF.LHiZu	6	2013-08-03 00:36:44.208997	2013-08-03 00:36:46.311723	72		0
4480	10li1hlq16lor4dwj689zxvkv0	$2a$07$KqNBwun3IVZKOs5wlHYtiu4rFnjmpIzxgux6Pm3VempYaI.j2bftO	7	2013-08-03 00:36:44.231335	2013-08-03 00:36:46.438284	72		0
4481	10wxc5zfxz8msr293kwe57p4ko	$2a$07$NoPpw3NO86ZE3u.gUpYgtOxYLxXLDAoP6B86sCc5OUAEUFGmgSrKS	8	2013-08-03 00:36:44.254373	2013-08-03 00:36:46.554488	72		0
4482	1060a4be04vhqhuhqcc7eba6ty	$2a$07$PzgihWN8TQwaRZRTOcRMA.xpj.OxGfmzu2bHu/7LgZ7eD4hDz3SXm	9	2013-08-03 00:36:44.277147	2013-08-03 00:36:46.698759	72		0
4483	10n0lmi55uk3d0k7fsmkkigys4	$2a$07$prb38nGjqksBqhVfyE4QcOq7C4A34zgHKyMpBDKQTuZW/NhVqnAwm	10	2013-08-03 00:36:44.29924	2013-08-03 00:36:46.822382	72		0
4484	10kgaeymm5xi56lj50clm8fg3a	$2a$07$/EJJN6jGVDs3o6U75p1z8O75HVGxObTqQ6ZUj.TfjyV1/S4n9Wzk6	11	2013-08-03 00:36:44.321415	2013-08-03 00:36:46.957956	72		0
4485	10h2h65z4ixclkbskd7jwmioaq	$2a$07$3uymcqbyZZOb8ZVYFDYYfuiZgmoK7SKecs2Gr5m8bm/OuWxL0cUOe	12	2013-08-03 00:36:44.343287	2013-08-03 00:36:47.097742	72		0
4486	10xfkpou1b0qzg0youh8prrezf	$2a$07$zb/oV8sU/zedko329TH9HusHu1MPcAMFZ7Wf.snr8ttpV46rCsKz6	13	2013-08-03 00:36:44.364833	2013-08-03 00:36:47.501305	72		0
4487	108unts15n0bg5kdb8zt7u4jfs	$2a$07$Wb1wScFXwToxDRvzXjl2pO.HFLnh3EuW8GvtQ0Ilt6kxDOilPmBzO	14	2013-08-03 00:36:44.3862	2013-08-03 00:36:47.904005	72		0
4488	10ptofu22fa3kq87sny10zigzh	$2a$07$tPREqBqS1cqrg365eN/vUumyUXM1ooGyREeEdI3Cytu.2pZ.NLLUa	15	2013-08-03 00:36:44.407576	2013-08-03 00:36:48.283484	72		0
4489	101mb8xk7iovdqbgq6koieikp4	$2a$07$UjLyuXmjROs672tFh8vqneaNeG4uDeOxXlWyupxU73FqSDdm8loxS	16	2013-08-03 00:36:44.429043	2013-08-03 00:36:48.431754	72		0
4490	10enzgz52v9oqg63ldlijgngvw	$2a$07$GWelXCogJqZsnF6IgSR//e7kr2HQE6j/5Afcux7pa/o/qUxr6uKt6	17	2013-08-03 00:36:44.450399	2013-08-03 00:36:48.582724	72		0
4491	10sdx4laxhx6qvze2tucidujz6	$2a$07$8XaEOO/VBmKT8eM8PUT0huU2rI5k0HnMajqzu7/MjIuKn0QPicePq	18	2013-08-03 00:36:44.472236	2013-08-03 00:36:48.726663	72		0
4492	10z7vwrummj754c1lkx3ri13vm	$2a$07$m3uoyOD5z6qDf1oycU4DcO0Gy8SvK3t7W3pbfOssQ9OMQF/ZgcNee	19	2013-08-03 00:36:44.493895	2013-08-03 00:36:48.963015	72		0
4493	10ktjbjy0dtlkhfon26yfatcg4	$2a$07$baq99mo1lLp7xZ0Q6acDD.MkFQVuI84uyAAl6iv6LrOPgjtr10uES	20	2013-08-03 00:36:44.515294	2013-08-03 00:36:49.189687	72		0
4494	10voj42yjjpis599z56mgjxyr9	$2a$07$2pogZu49XRwz8ZGspdIF6.uCFIOK43m7p8yHBJj4ihLx5gRsrxye.	21	2013-08-03 00:36:44.536779	2013-08-03 00:36:49.579869	72		0
4495	10u5qqdvnjourxdnmz3tvawgat	$2a$07$mkJ8yDKgq46Qtkr1qSHq3OsKCit8ZGkF1T6rxTt2rnY3PzJjV910q	22	2013-08-03 00:36:44.558184	2013-08-03 00:36:49.816727	72		0
4496	10ks8xlrd4ry7dn8wl7tmh2tih	$2a$07$39SlKAlkn7wZQ6mLJqvhu.e/jiceQ4zq6mYuzXmBc1fesoA1MA/mq	23	2013-08-03 00:36:44.579532	2013-08-03 00:36:49.963538	72		0
4497	10bexyl4axbpcmqv7fio4j5a59	$2a$07$WOSQP6D/0Lv3alVVGe3OMOHXLUTm826M16bXd5KlodbkRn245gBse	24	2013-08-03 00:36:44.601799	2013-08-03 00:36:50.217083	72		0
4498	103o95oht2kh0a4l8g4389bsar	$2a$07$DcduK1Do1BLjTc5t6FJe8e57ju9cPsNs3ZDuZqS7UnLKZAAjXIQp2	25	2013-08-03 00:36:44.624793	2013-08-03 00:36:50.572943	72		0
4499	10kkdtt4ig3lxwd9nyvlua78mb	$2a$07$4hQNUoZhG4eJnsMi/ll/xeUqqniphGBAp1ofuwm9T/TVAOa7T6Rsu	26	2013-08-03 00:36:44.647545	2013-08-03 00:36:50.81567	72		0
4500	10f3dvz040sax54ekfvvc394dh	$2a$07$7sOMEncU9qLVK8.E99WVzODOm1CP4LVbbI8ijEIDbDwTkX188FFsK	27	2013-08-03 00:36:44.669518	2013-08-03 00:36:50.97234	72		0
4501	101dq0kq21rx5wi9alt55pbecz	$2a$07$RxNNFUPgoo5h1EVPCgpldeo3SGutNBW1vJuY/xTqby4dHD.ABNHR.	28	2013-08-03 00:36:44.691441	2013-08-03 00:36:51.12108	72		0
4502	109r1ybtu61svqldjst8zgfvuk	$2a$07$3e1I2IsidmzXtlwJk80o/eJhyfhkrK.0zaWF.J/dHhgeej0igkOxO	29	2013-08-03 00:36:44.728148	2013-08-03 00:36:51.26768	72		0
4503	10leenyjnzof3p6vtdh17oyjud	$2a$07$sB2flErtXNDE7hEh1lvGWeksPxwjop4R1jJfIh2aKShaVb17Uq1lC	30	2013-08-03 00:36:44.74988	2013-08-03 00:36:51.423096	72		0
4504	10p0sb41yokal7or7qx8d605qe	$2a$07$y9aW//7EBBIBRg.TyKXtuuIpJpyfyS7nyf.3adCQ/M5RHpJP1gsJu	31	2013-08-03 00:36:44.771741	2013-08-03 00:36:51.793738	72		0
4505	10eberqh9tict7cb4osg48xbi4	$2a$07$ro67G3kW8zEYhCP8/6gGeuQt9cK6aJtoNGbD633xRRjL7OhMtQYGq	32	2013-08-03 00:36:44.796253	2013-08-03 00:36:52.145538	72		0
4506	10nhbek0et3pbwv22hyspey1bf	$2a$07$ICdrt0WB.8bOx0N2Jur1suTw3qgzqpyojyPbhwzLWA9TXbBboEh0.	33	2013-08-03 00:36:44.828747	2013-08-03 00:36:52.271077	72		0
4507	10uhpqj4iau39md9xii6c52ky8	$2a$07$mnrjuWLsOkzD48VNQV0cieIdxqRAKirk7ZkiWgck656gb00HGU1Se	34	2013-08-03 00:36:44.851534	2013-08-03 00:36:52.472931	72		0
4508	10iz6q2fesplel1hq1wxvr33xp	$2a$07$H42P6XnrixPnh.gleyS9O.SCdgY6USd41jkwMrG1MbgXMvHmixkqq	35	2013-08-03 00:36:44.873197	2013-08-03 00:36:52.802934	72		0
4509	10rlebldj8ik9ap0zeq4tljsfm	$2a$07$z1i7eKIkh9IDUHTj62h5JOH94tO23E8HKqvBN8kpLXUqfAr3Jtfia	36	2013-08-03 00:36:44.895049	2013-08-03 00:36:53.185277	72		0
4510	108mjo3teptr7wxfmwbpy7e7x0	$2a$07$q0yQyLMwpQLODeoUglooW.TCH9T5v9461XfbVsi78JR4Rx6BRX7e.	37	2013-08-03 00:36:44.918711	2013-08-03 00:36:53.5505	72		0
4511	10yddcigvoces1z0501f2eql4k	$2a$07$wd2qeZvJs2y9OyAbr3Qzv.cOeiFPh3.X9YBtwZoIKP3gDyp/Pq.E.	38	2013-08-03 00:36:44.940072	2013-08-03 00:36:53.778183	72		0
4512	103oeom08m0e470lwq763bq86c	$2a$07$3Peyblj1HZ1oYzGMBdZK9OIDFSnZV4/bMJQB3MQJiM58KCpHQCLU.	39	2013-08-03 00:36:44.963277	2013-08-03 00:36:53.960689	72		0
4513	10bjn0capeha1uledzbkqcooix	$2a$07$Pc/i2Rbx/BRT/7IzQhPr5eOuj5picxbFirwrjQHBc0mqiwG.uWZuO	40	2013-08-03 00:36:44.987434	2013-08-03 00:36:54.145636	72		0
4514	10tl0dxqvi55hr0wjhyfa5p0gr	$2a$07$X/QCSCvI1XOLQ7DCB8ds8eGlKEdXwaHEKVFhyEYrs6u7Zpb/2yG0K	41	2013-08-03 00:36:45.009069	2013-08-03 00:36:54.359913	72		0
4515	104wxhm2uulvbndvligcdjevh0	$2a$07$/S/f7pZZoSxtHz9JduYeTu8JWO37SXf0srSAQDzQ2DFZ/aaldoQKC	42	2013-08-03 00:36:45.030619	2013-08-03 00:36:54.530483	72		0
4516	10jh2jg4c6q1rz29cuyxenrc68	$2a$07$7vKVuH.RkYwUJiCiVqQeNuigkp5rbU0bRwl4hYOssv18PajhI.AVO	43	2013-08-03 00:36:45.052073	2013-08-03 00:36:54.787835	72		0
4517	10a3o3egs22tdju2oda9ef8k5n	$2a$07$oiUT8IYqny/EOI1GEKcEJODarCmfwPXeYwA8QzRehfA9t6PVufsS.	44	2013-08-03 00:36:45.073495	2013-08-03 00:36:55.017917	72		0
4518	105gm4fgngvk8zik8lhuf8clrf	$2a$07$IDDqnFhTlQZLzY43CsIEc.BMDvrk/BMfvfyQg7s8ndtJ3b0vlST/O	45	2013-08-03 00:36:45.094878	2013-08-03 00:36:55.174531	72		0
4519	10kznomzlmw4nedv2e6zrwu2wp	$2a$07$377T5M5ZX3nkPPcwcNKubeHeyHkpxEPyUG7o9lKwpykZ0s70oOKTC	46	2013-08-03 00:36:45.116767	2013-08-03 00:36:55.305679	72		0
4520	1025jmzh5r0iaq3q0ijzdd0le2	$2a$07$Il0BSdfDCEaPZOUN.2sIXeko6dxo8rGVAyJw5Np01sByHIOsUVi5O	47	2013-08-03 00:36:45.138425	2013-08-03 00:36:55.476454	72		0
4521	10j0flq2gkhspz0m5s7ujgxucv	$2a$07$Jaed4cMrkj7PiwqAk5JX1.sdjw8PUTaiWFqh4dwywhv.mTVFIdy0y	48	2013-08-03 00:36:45.159813	2013-08-03 00:36:55.63737	72		0
4522	10n9egrf0nnlpmcm2h1e3tchc9	$2a$07$oNW9/tnh8lhAq9Tl40ckdepsiBkxjXFa5E65BuOceCeh.EWkjaVIO	49	2013-08-03 00:36:45.18175	2013-08-03 00:36:55.782265	72		0
4523	109orcusr7vygscvhmdvqukvvk	$2a$07$XcgibaWU.Bf/aIU8PyfklOL2S0mzh2xEtE9A9N8yXFl7mSk.aSV7q	50	2013-08-03 00:36:45.205715	2013-08-03 00:36:55.930037	72		0
4524	10hsu0bsplfm9wc0xobhqwatsf	$2a$07$t59YmO3CKPpP6DDt6Ggxle7KkRzJPF.gL7CFQCN9tEyjxg7/rbXJm	51	2013-08-03 00:36:45.230714	2013-08-03 00:36:56.045895	72		0
4525	10c8pd71pdtdk5itgfbihbxldh	$2a$07$Alb6Y/DznDI1m3/jvGshL.d8K6.HplTlnVVQChwO40jtCwLeS21sG	52	2013-08-03 00:36:45.252774	2013-08-03 00:36:56.180656	72		0
4526	10o6d7fzg57hlguirxyvgs9d9c	$2a$07$fuBImRSZx.N6jxf0ygEQPOZN.Vq3C65klj4lJ5YaFn3EdzikIzLyu	53	2013-08-03 00:36:45.275222	2013-08-03 00:36:56.324156	72		0
4527	109fnowjf8thlgcgrusyw6gmvp	$2a$07$Xz53aWi7pYnL3QPEXlw1AuCVFQZ1sstoRc6G8z7bAYGn74p/8PkMy	54	2013-08-03 00:36:45.297102	2013-08-03 00:36:56.464117	72		0
4528	10zjjose12cxr3fxhgzjpxcbyp	$2a$07$tBFGIXvTZhHcczflqSzt6.V.FvinEwvUiJOrmF.rdRiUVKBI30uQK	55	2013-08-03 00:36:45.320418	2013-08-03 00:36:56.669307	72		0
4529	107vt8fkih942bdo8f0rwb9zpp	$2a$07$EmMhMjZ25yQq4zlZPnpUeuKjBf7rCFBcf.yuSkMS9CLeO28v2pXQO	56	2013-08-03 00:36:45.342944	2013-08-03 00:36:56.900087	72		0
4530	10avy3uxg0puuy7zktc8edquk2	$2a$07$yNBHMz.YUKPNPeeonCm5i.28f80qz5tfFGPm91cWjwNDVIpmG8.F.	57	2013-08-03 00:36:45.365585	2013-08-03 00:36:57.05277	72		0
4531	10fpbtzei7k56lnzwkzsir9zcl	$2a$07$f1GrjcO.7ZIp/HC8rKO7/urnpZr4O5l9axIF.uYcB9hHvdwG8U0WW	58	2013-08-03 00:36:45.388572	2013-08-03 00:36:57.158897	72		0
4532	10idwn93t8cucamnp6ces4jgla	$2a$07$m4XicDvwSg2fVaSbDmyxkuLiXx2Eu.I77Zl4rvLZBJiRj0cLr5c4S	59	2013-08-03 00:36:45.416442	2013-08-03 00:36:57.253378	72		0
4533	10e0z09bzoovzrq6ddy0jz8oq8	$2a$07$W/tzKNXdW1y9Q/FB8QAvPe1JaM5LIsGVZ2Wno0QZQONde/znOpMTa	60	2013-08-03 00:36:45.453152	2013-08-03 00:36:57.35705	72		0
4534	100prpy0rz4fizar3qtebcvtrg	$2a$07$vhthrwspMWUxw.Q5s9croeanH3j6ntoUwjiNU.GshaPwp5Gezv.sW	61	2013-08-03 00:36:45.475677	2013-08-03 00:37:00.072094	72		0
4535	106wy0tr4023p1uax5uxkcvyqg	$2a$07$Mh04HGfCn0zJJa5/pWVgSOpSm0wB9WEOt02ara3kk.jd9mmedpbMK	62	2013-08-03 00:36:45.49779	2013-08-03 00:37:03.105564	72		0
4536	10phvtj2bdvjf0odmh6kt3n1vo	$2a$07$I2g4ZJd.9/2mFFZkS0DUK.k9mAW4mmceDPAC/Lad22QZvDkkeIuyW	63	2013-08-03 00:36:45.519476	2013-08-03 00:37:05.879291	72		0
5375	10qi9yfystef4c67krrsuw986s	$2a$07$o7p26VEvWAl8LKqK5WZwC.3o0lxexzMnmU/rEiIsenYJHEzhpH3DG	83	2013-08-03 01:45:00.207678	2013-08-03 01:45:26.471008	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
5376	100l7zkendq9d62g4s7nr5tre0	$2a$07$Il18dlaMQUTJ.hJRdI74T.kX8qT3Vly6dVmQxdoQ.wtNtIThfqeEq	84	2013-08-03 01:45:00.230991	2013-08-03 01:45:29.297361	85	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/reeses: No such file or directory\n	0
10990	10qovkigfha7xqoto0vxqndvha	$2a$07$SS6kRHnSYf2m4PoCfLD/lexq.kLi7XzpM89RJum3Pl/bcoX6VqJU2	112	2013-08-03 20:21:41.706503	2013-08-03 20:22:22.387482	142		0
10991	10lfzdh7h17khh3dl6whxj7t6j	$2a$07$WI61eFBJzfWI7UuJW5GZfue69oAw/FBTWRgGjqHqWHQ/oa9dMAMdC	113	2013-08-03 20:21:41.729912	2013-08-03 20:22:22.512118	142		0
10992	10dozqudh96o3m55qa6l61n4b6	$2a$07$n9k0S.LdtPGSg1QhAY1Umuz5c6J4WeIrmGdf6gmwKeOhbjAEIYtz.	114	2013-08-03 20:21:41.754124	2013-08-03 20:22:22.633654	142		0
10993	10to6malot2rgovub6agfl3v8l	$2a$07$s/GURW9rqJ0QfOUmmxKpXeg.D4PUF/PUvdxXYSbnX.rYcTPcaov/G	115	2013-08-03 20:21:41.781039	2013-08-03 20:22:22.784123	142		0
10994	10johqgubukffclj69aavafdqf	$2a$07$ixnYO6MkGicix5MaYRWwvuSsUpmw1bVx.lShN8SpZFvMB.qKH1xmG	116	2013-08-03 20:21:41.805755	2013-08-03 20:22:22.924566	142		0
10995	10uocbh3f34ltv2n8q61zjzbba	$2a$07$MHKn4Ie48wtY2XDY00mUO..CeNjI9nZ47zfe5zGa2y7TMHsIvU04C	117	2013-08-03 20:21:41.835005	2013-08-03 20:22:23.033385	142		0
10996	10akzffcgx3bvhhlhmfx21s2sf	$2a$07$6LluaUHZTzE.SqSHP5H8gOr63OMAvQqsy1vGgfXV2AtoolZDqCBUy	118	2013-08-03 20:21:41.857051	2013-08-03 20:22:23.149434	142		0
10997	10pfgmbc36a7eec4m5jowztw68	$2a$07$sZzHNnsmAV7E7WYEB.PRmOw.vBe2tlhwCNEquyd8mFJy.1f3So9fe	119	2013-08-03 20:21:41.881024	2013-08-03 20:22:23.25664	142		0
10998	10hzjobhk3oit4aha1611gfupt	$2a$07$fpVqIcl4noqK9LV/l8jS9.KDfpos/cBY4vN1WDf7WYlGPpv9sBkIe	120	2013-08-03 20:21:41.904186	2013-08-03 20:22:23.377383	142		0
10999	10xj9vln7l6lqozoefkce5v1z5	$2a$07$WpaJPhAC5CmRmLCZUZEKrudEQDnSHPMFlXyUq7uo1VETd9JuZx0Be	121	2013-08-03 20:21:41.926971	2013-08-03 20:22:23.499301	142		0
11000	101t6d7kfhaxf4ia2b2zbhjv4l	$2a$07$kqCcLn9su1pkkjnTt/c0S.3uVt8C3Fpm984LXuaGrdLfJ3fijQoFu	122	2013-08-03 20:21:41.949666	2013-08-03 20:22:23.628498	142		0
11001	1090eklonswrw3wja5fqi2y21d	$2a$07$drFQugnfaVYmtM9iEFYYYePI6Zzrf9ga2D98Trg24xbodjL9RO04u	123	2013-08-03 20:21:41.972411	2013-08-03 20:22:26.436298	142		0
11002	10lmag245c4c2f52tg4zjs298j	$2a$07$BntS0tbPmqHdEjRrQUgCx.u24hzepVfpW/7oS3Elq6rHrKvwL1wBO	124	2013-08-03 20:21:41.994464	2013-08-03 20:22:29.223869	142		0
11003	10p8tclstklsow9k90vh651hju	$2a$07$66fBkCMPeilzbt61XhB./e/TvDYoHeGXbfudaaSXwoaFexg2QrCMu	125	2013-08-03 20:21:42.01782	2013-08-03 20:22:29.388483	142		0
11004	10tgvcbe365xyce5clviact0lh	$2a$07$8Ttv11NwiCn2qGUq9cojr.i0Z1RJQnCfa88BD/7DRn/6zTYD..7ym	126	2013-08-03 20:21:42.041333	2013-08-03 20:22:29.522378	142		0
7469	1014jm758zld3m09adp9tb5o7y	$2a$07$U3vV6C6L.PmSJV6OOV86.OhxphWmd1dVHZnOmOuL2zuklE/eP6sqy	77	2013-08-03 17:46:33.901469	2013-08-03 17:46:59.396877	111		0
7470	10653sgxaia79d97sozhk3l6kb	$2a$07$oToN8gBll.dk3/31EqkVOeqSFvMEE22k/qnf3u0RXwILiFi1dBX5.	78	2013-08-03 17:46:33.923299	2013-08-03 17:46:59.523347	111		0
7471	10chcppnb8pmbm2yr8fsjlpr3r	$2a$07$Au1aOgeb6I4ggPHPmTUgjuqierOdlpYfFnr9B1FYxXipTJjtMWbDW	79	2013-08-03 17:46:33.945505	2013-08-03 17:46:59.667581	111		0
7472	1043iutb0fxga1abi23ukaxq9p	$2a$07$5h2UVbQFuevYg3cCWZPZA.JOAgJp7R9O7bnSSEynXxny7c/RITuQS	80	2013-08-03 17:46:33.968034	2013-08-03 17:46:59.811425	111		0
7473	10gpsk4oxqechfj9130pjqd7e3	$2a$07$pq9v7VVOf1fxrikY5y7W8OwpZaaggeEpcLp.ri535J6m1Nfy7AMtm	81	2013-08-03 17:46:33.990573	2013-08-03 17:46:59.931263	111		0
7474	106s9fng241wjgq7he58w8dznu	$2a$07$waZwtRCOINOfATWQo5Bup.zEoSvuEqPA54anSeJIWHuS7gJ999oCO	82	2013-08-03 17:46:34.012381	2013-08-03 17:47:00.205167	111		0
7475	10oi2i5hmt7hm0hxfk81t0kw9a	$2a$07$S5qm2ZyOYBCTtTVwCMzh1eVpppwIjVYeSig2jX.9imqPyemrZ4M.G	83	2013-08-03 17:46:34.036239	2013-08-03 17:47:00.840428	111		0
7476	10r7fgj22kiq4sjmxfsjj73mjh	$2a$07$8JMg/3CkWAWnGjZR5VFdJO.YIQmflnO3Y4wU5rHn209bDldik2DoK	84	2013-08-03 17:46:34.059424	2013-08-03 17:47:03.44911	111		0
4537	10yt0p4a07doetxsenq5uk7r04	$2a$07$W8DqLQsOFC0efKoNcnpD2.BHxChWz1np9OYZMS5wcZ/Xi6O/BuPmS	1	2013-08-03 00:41:44.115398	2013-08-03 00:41:45.678763	73		0
4538	1022vd0gspv8j8jogkmzur4xnx	$2a$07$P93xfSJagAslaJ5CFha5HuCzB.pA1z5kDXX6e9AbSzFO58sl4EQ6O	2	2013-08-03 00:41:44.145002	2013-08-03 00:41:45.822349	73		0
4539	10pc65evt8b8wvzweiybw9meng	$2a$07$j//TTEjVfMgpDTJr7rrbDOoQcclx.4gYzVXVnbWSF40RpOWb2x1li	3	2013-08-03 00:41:44.166974	2013-08-03 00:41:45.964139	73		0
4540	10ciqumodhu8n48rqt8qg040eo	$2a$07$v3P23VcP7nXKkcWOqg50COBMX1I6utSRFRDeursi8BkNubw10T2Eu	4	2013-08-03 00:41:44.189834	2013-08-03 00:41:46.106438	73		0
4541	10f1hwnfwkghqyanhmsq7kblz8	$2a$07$2H/tMKwsx5aqvLXHNDyiZOXXEPoQ4.xinJJ/3r09McWyAFMQWNsJO	5	2013-08-03 00:41:44.211533	2013-08-03 00:41:46.260946	73		0
4542	10nu441id9cahxj0ph3xja1pjs	$2a$07$68Ly3mJ4taRjuGvxi7fNievntgfcELiK6btFOhgaObE9VviDHCrxO	6	2013-08-03 00:41:44.233086	2013-08-03 00:41:46.48917	73		0
4543	10mh0n7cky8eh5cai3v7tz4qy3	$2a$07$db4tl.4yTFLsarzAvpX5hupDuQ78Ygu2U0MNfWtqAMWTaWbzdk3Ou	7	2013-08-03 00:41:44.256942	2013-08-03 00:41:46.647267	73		0
4544	109d9x70aw1ndcknr3ya5apsch	$2a$07$nU.oo4oEewXzBMO/XBAzfuTdn0Fl.xDHhn/.1bVJEDaG4macxN7Oy	8	2013-08-03 00:41:44.280492	2013-08-03 00:41:46.80448	73		0
4545	10qd1ew8kvijftpbpvzc29lbq5	$2a$07$A91yzPJ.P8RSLdAf1U4RQ.wDrxTduh3SZhd4OCzM5SlZSW00QDT9y	9	2013-08-03 00:41:44.310429	2013-08-03 00:41:46.953332	73		0
4546	10bfupaecl3c4chvmpl32l6hsu	$2a$07$qtYCGFQpdQk1/FZB6kayNO/uOuqoiPWTX7XAs7D7B905.9bnrUtbe	10	2013-08-03 00:41:44.338163	2013-08-03 00:41:47.083511	73		0
4547	10s8u6i94ajfxqxkbeobzgsa1y	$2a$07$lVP7NYmzOj.cSnOgF/Kg2Oza/Q8MHgR/nFIU/NoKt59DTGm4sDvKC	11	2013-08-03 00:41:44.361903	2013-08-03 00:41:47.201855	73		0
4548	10saihmrb9mu509oiqyn8t38yn	$2a$07$qq8J5pMpSooeVXTKxvblOOrkw7lV42f5UcKNTtSf1p48sW.rUWvnm	12	2013-08-03 00:41:44.385444	2013-08-03 00:41:47.312927	73		0
4549	100op3m7qcvu7gdvay4lt4n1dh	$2a$07$B6ArEqsl337DpmomtSp60.ztaMlrhdeLWXEABNJ7UWENk45D.g46m	13	2013-08-03 00:41:44.407095	2013-08-03 00:41:47.680077	73		0
4550	106ogk0fib70vgyabm44t8v109	$2a$07$Pmub63mC1wuV1MV0kUUpiu334gRKAcf0JQIRJn1Ns3WpShkz/asiS	14	2013-08-03 00:41:44.428918	2013-08-03 00:41:48.081618	73		0
4551	10ho75t4fp0to2pgod4ta076nn	$2a$07$FzqGoggxDwJEaOvNTlXb3ueswQOOV2w99XP6H8KDT/7WVbvbaMFwG	15	2013-08-03 00:41:44.450541	2013-08-03 00:41:48.441163	73		0
4552	10gstafwh1lv8vyhu801woi6l0	$2a$07$QkZ9oTYpQs6I8thNUiBLkOLwBTwzgYNt4USg2gqsdzqPvcB43JRxW	16	2013-08-03 00:41:44.47305	2013-08-03 00:41:48.549233	73		0
4553	10krdxwkazs8z38qq4xy97zebw	$2a$07$enZewBTjh7LtcJssjIEOAuQV0KlFrIOHxDGA12KSovIuME1U7Vi7e	17	2013-08-03 00:41:44.497455	2013-08-03 00:41:48.662604	73		0
4554	10398xcii1ffajdpuqneic0e5q	$2a$07$FTtcj6ZxhslcC9nrQRYdMe.kLufOVYwAkJcrNfXSOMp09xvqtKkUi	18	2013-08-03 00:41:44.521421	2013-08-03 00:41:48.762256	73		0
4555	10pcw02yacaneigsp14hsl29i0	$2a$07$ieWcH9Kq7Y96fd/wMAs/8ObMFwZKWOmYhuILV5A73gG1/GGSOv0UG	19	2013-08-03 00:41:44.554068	2013-08-03 00:41:49.12696	73		0
4556	10itmtarv8cr9tuflr20u1a5gk	$2a$07$j20.DS.otOT20Ghup9CXeu0AQYqus3sL/o0w8dny4emQtzezrycYW	20	2013-08-03 00:41:44.575811	2013-08-03 00:41:49.466226	73		0
4557	10eondmou9ek208n8qr2kd2qcy	$2a$07$2AEnUHQ0e49NGNCY8fUd7uGEYtfvQbxcuV5nrnmZ/tGVcVDSGQ33K	21	2013-08-03 00:41:44.597616	2013-08-03 00:41:49.743506	73		0
4558	10bhe67rp72f26pm5w0clpfyjd	$2a$07$yJUPTwtIY8CTNrgTFmc9pu1wQ3OxQVO.TWxio8cpCJ/fOzpblcbAO	22	2013-08-03 00:41:44.619105	2013-08-03 00:41:50.121678	73		0
4559	103tevvobe92ch0h58ke980wss	$2a$07$bYztXgLgeUWTxU5RCqxAgOPIdD2lggPTO92Qc3Z6ERp5TH21UNEEu	23	2013-08-03 00:41:44.640526	2013-08-03 00:41:50.490232	73		0
4560	10kr45tcotuyirw7xcgqgpefms	$2a$07$siRh/7Txo1apENtVYtqezO7uJ7jIoTRaFhPivgZQXbpNUtHNJZjDu	24	2013-08-03 00:41:44.662079	2013-08-03 00:41:50.711458	73		0
4561	10pgp97f04s46lmng0femt3za6	$2a$07$9A5R3K14.EJlWZtXIobB.Oa6.XZObzb0DWoLKHWUSlrlEh.D.GHea	25	2013-08-03 00:41:44.683536	2013-08-03 00:41:51.097895	73		0
4562	10fdaft4q7iossc74wky2cijqd	$2a$07$YbtsVLOmpVX6/9JfSYg13OEfGbNDp5RFjUZu3v7WQEVAUCsefqgRW	26	2013-08-03 00:41:44.704871	2013-08-03 00:41:51.233088	73		0
4563	10aewh8g2nvt118368hggg8rge	$2a$07$Lh4WYvQdeAWtFr0PRKU8eujhG0rEDOzdOtOnnBocbl8bsfVUJOmJm	27	2013-08-03 00:41:44.726341	2013-08-03 00:41:51.499037	73		0
4564	103sh3km1ds0xjy1dyqm9gu6yl	$2a$07$jK954atRgcrwNK0qMomPyOHHuFsb/dtPs8VSSDEd6A.CL232ybcbq	28	2013-08-03 00:41:44.747748	2013-08-03 00:41:51.657417	73		0
4565	100grskcic1gre6nn142rqhxf5	$2a$07$KLkuOsgqj2WIJSXlx4LZpuMH6QkeThmvdAfsYI2VQS6IWvTFIT2d6	29	2013-08-03 00:41:44.7695	2013-08-03 00:41:51.796765	73		0
4566	10nnd6j13523w1haqqo5pfacpk	$2a$07$HcY9or0cK6OYvSfpR8UpKu3n7XgHCYwhc.W3.PsSzTDdferZ4Rv82	30	2013-08-03 00:41:44.791122	2013-08-03 00:41:51.942805	73		0
4567	10mgcm7ymehrd4vfac9xmksv8d	$2a$07$.3mOWIGn1S3eE2hbVuZwvu/GoiK5cSZD4OyWc9NgJpeZ27J04CMg2	31	2013-08-03 00:41:44.81385	2013-08-03 00:41:52.082864	73		0
4568	10ffuprust7txvd88jqp0cbqdo	$2a$07$GB7b324jcFSaq.B99fk.VOZLTBlWMAbJyWQA.Uk3tmPc0Dbhtww8u	32	2013-08-03 00:41:44.836854	2013-08-03 00:41:52.246889	73		0
4569	109tzhc4ifnf508jtj09jzre5t	$2a$07$NoO2q/XKlJGFuOkhpO8zc.OeqyrfUa0ixPad7v6XdjqliSlCpGx/i	33	2013-08-03 00:41:44.860629	2013-08-03 00:41:52.398027	73		0
4570	104eysuivmbf762t92f2a8kznm	$2a$07$BO7guEDLgNgu5Y8yv7mIdeZGGt2ZVCaWpd39u8kT5CMgMiBdo0cq6	34	2013-08-03 00:41:44.881777	2013-08-03 00:41:52.549721	73		0
4571	10xac3qlz5w420zqjd7m9ofdg4	$2a$07$J.pmwYm5rUxVbBvrayfiE.37gfptaJ2bo7To0Gj.YgC8Na1TQrW8O	35	2013-08-03 00:41:44.90283	2013-08-03 00:41:52.694621	73		0
4572	10qbqyljgiuqrxa0b0n5cmx1s2	$2a$07$B86XXhENxsWNOEhDLA5tfeNddhIf65Sbp09ebixo9Sv0vkAC30K9O	36	2013-08-03 00:41:44.923928	2013-08-03 00:41:52.833075	73		0
4573	107jfvj75xq5tpe3z8ssujhmuz	$2a$07$x92bKn1vpyYL.X8gly3zxOaI5grOSTs2hKJlaZmbrPRyFkZbwo8Ea	37	2013-08-03 00:41:44.944871	2013-08-03 00:41:53.225088	73		0
4574	103npf59nzoqjvw0kwfgaoy1s1	$2a$07$htsw0xXu1EUupBxp0F/rruqilcnhT2AlvVbLb5va7ZTMZypsdSGWa	38	2013-08-03 00:41:44.967233	2013-08-03 00:41:53.462441	73		0
4575	10a8ehg2z7vgqtm93poebhq5u1	$2a$07$iRZvmX4zsEM6B/88bzPxV.BKa/hZn77L5zVhgCmixwxfxJibcnvHC	39	2013-08-03 00:41:44.989031	2013-08-03 00:41:53.602857	73		0
4576	10jjg30m8w5j5lyl7ij5ndyzdw	$2a$07$S2KICSIZMs77ConY53nfjeCjXnvTq84sNaBsdkhlm..2VoV0jh/6G	40	2013-08-03 00:41:45.010491	2013-08-03 00:41:53.780709	73		0
4577	10rewx50v5piy5xopcpoyznb9l	$2a$07$tNir1Kn6sWpVtiyo8G2J9uCx0NYgViLyoZ22/9agQaOe5v5DWP1om	41	2013-08-03 00:41:45.032196	2013-08-03 00:41:53.95941	73		0
4578	100961a1tczfofqg3pndfa5ac6	$2a$07$rrjBj1bE4HlNQ.HH5//m0uY3VZgE.Prr1Jht8YQ.tTixTXyUSd2uG	42	2013-08-03 00:41:45.055095	2013-08-03 00:41:54.165621	73		0
4579	103cajhcwam7atdc6yxsihcg9w	$2a$07$.DRTlc9IzDr3fvo5m1c9I.1jKyIJ4JFSDqeR0TlI3VwsBUeYXoIpu	43	2013-08-03 00:41:45.076794	2013-08-03 00:41:54.427085	73		0
4580	1060gynlmyyo4i3gxrjdw7kavc	$2a$07$CQXRCQjDojRhTw/UcBKvJ.vRAIz7Ti5Rajrf5VF2kmoA0GIuSI5aS	44	2013-08-03 00:41:45.098549	2013-08-03 00:41:54.596161	73		0
4581	10vykjetc5c3oolk484yz41zvn	$2a$07$Bk3CNagFkeRxj/eY7C4mgOspBnD5wyzY4UkAh6PvFEN.3xrvEsXhW	45	2013-08-03 00:41:45.120007	2013-08-03 00:41:54.789648	73		0
4582	10az6g78fcxc6bsjizg0g120kf	$2a$07$OpaoYT9atTvxIjpFKJqA5uzlLbzTnxlIyP/p9Wvzlg1G6.x.xhg8C	46	2013-08-03 00:41:45.141295	2013-08-03 00:41:54.971523	73		0
4583	10iq2pu5debafeh02akhk45fma	$2a$07$A2nU.qCz6HypFP88VLYak.WecIESmUBLoWQMr/fU8243D7vB0OYtW	47	2013-08-03 00:41:45.162751	2013-08-03 00:41:55.172216	73		0
4584	10oe1rgc53xexdpo99m0m5sjc1	$2a$07$hL8VljYCvJGdllQnY/VU3uWohOTxCkUVODlPELZeS6iG17EbHybrO	48	2013-08-03 00:41:45.184098	2013-08-03 00:41:55.374327	73		0
4585	102kabykcghuj7nae3gowd8zds	$2a$07$kgmT7rH.uo4cUqBOyET.c.xEvZJL9Z2EdklcDa5tI0ZRs2t8MMIM.	49	2013-08-03 00:41:45.205533	2013-08-03 00:41:55.529479	73		0
4586	100jow12vhywfi7luemvgm2kxo	$2a$07$kFm2QptLiMmUP1k.Ao2NpOnCO5.3AG/g4gSaQCrpJloiJlqkT6w/K	50	2013-08-03 00:41:45.227463	2013-08-03 00:41:55.671318	73		0
4587	1058617wammsdoui0deo1yqnhv	$2a$07$olAaT.d9D4xh9hueNAdoi.ZamD8TB7ziZ1w59HVDZN8ZFQ6mAB30m	51	2013-08-03 00:41:45.249474	2013-08-03 00:41:55.830038	73		0
4588	10519vhkhz52399qz3iajfdhfw	$2a$07$/NJIirrw5VVs3e0jABVuv.Dx4.IvDvlRInuWfGFU8wDuq/sIYfsG6	52	2013-08-03 00:41:45.272967	2013-08-03 00:41:55.987608	73		0
4589	10ds0gf7gerbizec9ux2xqg74j	$2a$07$SByznNe/aS/J2RTzgPg4hurGPmTfZhwLDhpDHZPr9fZZU2A7FWCxK	53	2013-08-03 00:41:45.295916	2013-08-03 00:41:56.138948	73		0
4590	10jqgla1w08x7w0ocuxb4ksr3s	$2a$07$aIXMoyBU9Urlkn0NDxnmCuJHseBKEPrnnagYl4Mkn6.UouVVDSoAa	54	2013-08-03 00:41:45.317736	2013-08-03 00:41:56.295873	73		0
4591	10fzktzhpsop02p7ax9pfwcd5w	$2a$07$vvI/jL6Qlq/XLxmR7j27Z.GYshmHFVaWTp0p4OWN.Ze7dzXyt96rS	55	2013-08-03 00:41:45.339158	2013-08-03 00:41:56.528354	73		0
4592	10mu92obe7vueui4yzcaf9d9qm	$2a$07$Ji7QbT5aH6dmGCnuvWRgsO22QLHhIKDA3hKOfnHmv0tlpgYApDCOS	56	2013-08-03 00:41:45.36062	2013-08-03 00:41:56.752588	73		0
4593	10jmu4mbletzeyl08x9eiumcyw	$2a$07$WDL2JvFjea9HvmPIoNsKmeXeA3avgzzx/1syyVCepjCeP7OphTwmy	57	2013-08-03 00:41:45.383361	2013-08-03 00:41:57.039621	73		0
4594	10qyestbhjctae2qrkruho7tc9	$2a$07$fWUGBfoduGdgRZpUXUDRp.Dm/wGN.gG.YjE1fwJ.9PFX/fBhvonsG	58	2013-08-03 00:41:45.404767	2013-08-03 00:41:57.192715	73		0
4595	108h3oevmlxr9rggezjpciy9ry	$2a$07$44GI8J3Uhwz5BNc2YjUI.OvM8yvg2/klAKNmYLYgspZTyOdJOiv0a	59	2013-08-03 00:41:45.426238	2013-08-03 00:41:57.380115	73		0
4596	105vkblfr70gdj96ibi7bl5e6f	$2a$07$DCBribSjJ7UnhtPwwjHI9ecw.BxC84HrUh4xo26LeZ.svBfyjuFoC	60	2013-08-03 00:41:45.447903	2013-08-03 00:41:57.619042	73		0
4597	10ba8v29uuhky0unxxx2yim3o9	$2a$07$H9LtS1UuXiQKrYDaYq1Rqen3o/Ha7hfCFfSZoTD9eL0m4Wf5/BaIy	61	2013-08-03 00:41:45.469429	2013-08-03 00:42:00.278409	73		0
4598	102g1nv479jacuoaak8n4td407	$2a$07$fbkoyJSluDL28MleutHTKOabS5Ciu9jNZyOGXfGIX9nLQGCB9pPW6	62	2013-08-03 00:41:45.492346	2013-08-03 00:42:03.177974	73		0
4599	10khpf8he57nokhgfgg6w5y11q	$2a$07$xDgdhwyZcEBQhY9CXJcHnOXlMHAWonESyv7VKe5sYQJ0R7Lmdorl6	63	2013-08-03 00:41:45.523598	2013-08-03 00:42:06.374882	73		0
6637	103egthvrs1p61ji0q3h7zrkh4	$2a$07$Uvwg76xL5n.o6tTCfxTBXu84Nj.G09HafB7gGsX5eAfLJNikPmh9q	1	2013-08-03 17:04:59.137943	2013-08-03 17:05:01.225647	102		0
6638	10t2sb6qnhq6eu8n28pb5flxa6	$2a$07$N3O5bN2JTSzc6Z98pxIJtunmo3Ks.m/3qAwhHAGvZMQ9wxpMhUT9C	2	2013-08-03 17:04:59.162657	2013-08-03 17:05:01.359832	102		0
6639	10ye0n207l8j0xi0jw1mdb3gix	$2a$07$pZ3U4RkIz8zbgVQ3WxFVFufe/OvnONdU51AUdvjWor2AULDPDCCUm	3	2013-08-03 17:04:59.185836	2013-08-03 17:05:01.498409	102		0
6640	10ieljer78a6j98vjvsb444i2n	$2a$07$CHVhq3iUtUHwlbShY0e0SOJ8lbQv7O7hpVsR5NQARv9bQdTEXPs9m	4	2013-08-03 17:04:59.207408	2013-08-03 17:05:01.717662	102		0
6641	10dzum7kwhfmcr8cfiq6f3rmwa	$2a$07$AIx3xTepI32tES5YEP6fbOWln7qSPyIW078sDw43qg0.ieplN9tuW	5	2013-08-03 17:04:59.229	2013-08-03 17:05:01.940834	102		0
6642	10dar0mmuawjddrxc1c2hfhdiu	$2a$07$PVI83GlQTnXXFf3Qp05IDebR0OSfUSV44s8AWgYcNmzPvlzRHf/Sq	6	2013-08-03 17:04:59.250524	2013-08-03 17:05:02.22535	102		0
6643	10e1se95mi1a53wbcx3hwcmo6b	$2a$07$2r18uFiZ2IRUPHkr85u/W.KwvhLsagwT9T8nRukaaPN4KtRjEx4uK	7	2013-08-03 17:04:59.271972	2013-08-03 17:05:02.582861	102		0
6644	105xt173p8cvjgwbnrh51qqvz1	$2a$07$WPsqgSBRSN5hGqPj7m4l9OuUa8jqT6BSX/AmrQFI1oNtPT98BaGe6	8	2013-08-03 17:04:59.295118	2013-08-03 17:05:02.956987	102		0
6645	10j7nxr6onk977625cpjalt08b	$2a$07$5E08lFIKaDjqmUXGsZ6lieE/eH5IIe7zN6mIF/uh.ZBt72undgf4W	9	2013-08-03 17:04:59.316798	2013-08-03 17:05:03.084217	102		0
6646	10m0ur64827ab9fuyf5ok0hfn8	$2a$07$AOuLQk00Eq3CflLF7nP8/OlGSAQQMqxRjXzVz8tL11ikwdDLxxy5G	10	2013-08-03 17:04:59.338152	2013-08-03 17:05:03.328354	102		0
6647	10iblog68lww64yf4wwpusm1ac	$2a$07$MX8ehvqcbhohXCIlNO2PGe0xI0aZARq0NfY/Abd9NfjNbpQubDMpu	11	2013-08-03 17:04:59.361211	2013-08-03 17:05:03.483618	102		0
6648	10bp6fth83rb5w0l2vibqd1qel	$2a$07$ipRGTpu9c/XFnFC4n0CuMOmibUC8AQw3Qr2Gs0DP2NcC9WSi3h3P6	12	2013-08-03 17:04:59.383543	2013-08-03 17:05:03.716723	102		0
6649	10kl1pi72phixlj0u1u8ei0v43	$2a$07$MVKsx0DTFvou7NCWNiyDD.HzloTKnko16M9xTPOP8VHERObG6LUki	13	2013-08-03 17:04:59.405703	2013-08-03 17:05:04.082205	102		0
6650	10jzg4l5zet06gt5w1y6ivqr01	$2a$07$ijhzO6Tl6PTDWKUOIqaubuOA79su8gxBNnAWYVkzoRxUBDdhwbSyK	14	2013-08-03 17:04:59.427466	2013-08-03 17:05:04.442047	102		0
6651	10inq4nw9783op6m0ho0jmd52j	$2a$07$3zc2jiQ5Shmawy92II3vSOjQ0DAjknUjy9RemGX9/xOiMeHjyBvCS	15	2013-08-03 17:04:59.449049	2013-08-03 17:05:04.707681	102		0
6652	104b2pcwjjilcudaescvfqxluu	$2a$07$A2VaoYxRePg4asrmBv0ht.ta7Gt2WMroPn.k.TkVrNA2GrCrBpEIK	16	2013-08-03 17:04:59.470585	2013-08-03 17:05:04.873741	102		0
6653	10bj85oqgs5lt959v6ept9xwib	$2a$07$gXH646bwfrotZh1ZvqhPa.MY5zVHF36d97k4Pi4ugbTh2v0LK9tHm	17	2013-08-03 17:04:59.492118	2013-08-03 17:05:04.978337	102		0
6654	10kza2tvorre2q9ndzndt88w98	$2a$07$3v.HuSXxtDYIVssORx74iudrSpCcIz4.LXfyZ5HSKll/0GC.Q.6HK	18	2013-08-03 17:04:59.51438	2013-08-03 17:05:05.195165	102		0
6655	108muq6a7wq5og7nmv3f2l61p1	$2a$07$gp23jnuJNMcXezKsV6r5LOIBtnjH7igOgSJ7zs5hkX7ly0gsBkhTC	19	2013-08-03 17:04:59.535895	2013-08-03 17:05:05.433995	102		0
6656	10l10v439cvkc5zh6s42kdbfj2	$2a$07$PzrzPE9Aukgf7xjx0jjHo.5VXt5ynDRrLBg9eiZRI.fpGdDkjis8S	20	2013-08-03 17:04:59.558163	2013-08-03 17:05:05.597566	102		0
6657	10us2dt32k3iqajhb6dvubepta	$2a$07$LDylsE/Kpd5DCefnFsCeJ.VwXY.2YM2aj4UVtB5Fnu4xDcppa3Qsa	21	2013-08-03 17:04:59.580989	2013-08-03 17:05:05.962144	102		0
5377	100vjl87agp9qci2wle4c75w76	$2a$07$8ugW36JkgjVQOTsB9zKecu57mQOkPADCJeq52ouknQkEx4wViCNeO	1	2013-08-03 01:50:17.968931	2013-08-03 01:50:20.175101	86		0
5378	10dk8bzqhsefgp58uka625k4we	$2a$07$OFY3s9aCDltNJO7AeddVWewEBA5ntmHfgkj9miPsWgm96dNoHCKd2	2	2013-08-03 01:50:17.992607	2013-08-03 01:50:20.298996	86		0
5379	104dgssvf3gbtotyrkccob63iv	$2a$07$wd/016jCgsf4aviR0NYuQ./GRIZx9FKYHdkCQdSsm87RbJVs79LsW	3	2013-08-03 01:50:18.018306	2013-08-03 01:50:20.435326	86		0
5380	10cc6w6zm1zfmdn46oe6ai3wab	$2a$07$P5Pz.3iaxQYjb1fiyF69o.MfdBbx46s23MJhXyH/u4g6OlzQRqEeu	4	2013-08-03 01:50:18.042895	2013-08-03 01:50:20.742393	86		0
5381	10usv0htz1uvx7xbyx8zumcsu5	$2a$07$VifzdMYgOKCZlc/sMOfe2.pMwUuQDkoCYwkWrS4iZQuIJm2XDvl1C	5	2013-08-03 01:50:18.067298	2013-08-03 01:50:20.920696	86		0
5382	10h6tjnxwtxf5hmqpy8q8gkhxm	$2a$07$y5LxOX35iDSpJpsqBpG04OxhAY5HSxQVMk7cKVwwJ4LRVmeXRwO3W	6	2013-08-03 01:50:18.091958	2013-08-03 01:50:21.074156	86		0
5383	105b97j72pood99iu7ce6ogtfa	$2a$07$.RsaUNr1Dhh5mezPKwWlHujCu8rjEMFstfAwmNg0vXcVhP0hiikre	7	2013-08-03 01:50:18.115457	2013-08-03 01:50:21.190139	86		0
5384	10vvmlc9i30pbhhzsywmmihvql	$2a$07$fXZ4GV2U5oVteYJ1DYa37OQ5MlMWwFTdffosL0mmVtnP5upou86Je	8	2013-08-03 01:50:18.139256	2013-08-03 01:50:21.316756	86		0
5385	10bpq2wvaq1wxzgw4z7jg0dcfn	$2a$07$7BULG1oh8Q30Aa.SZx3Q7exu5BGLtfqxvph1rzsN3DOGRvfSmjkSa	9	2013-08-03 01:50:18.162597	2013-08-03 01:50:21.417769	86		0
5386	10eqeis6ni1qcw2k5qqa0jgvq0	$2a$07$Zj.pwrttg2kD4oe4ymGGeOStiRwqHfvAeSKFZ961NknVGQC9X7WHW	10	2013-08-03 01:50:18.185993	2013-08-03 01:50:21.518646	86		0
5387	102jqcjd79o73g0mctp9vpg01v	$2a$07$Rkcc4z0HudrR9X9LZTZJaO98fi82ttU4SPQg/ZPTOymt9XvDoH4RS	11	2013-08-03 01:50:18.211467	2013-08-03 01:50:21.616326	86		0
5388	10zut2sl05royb8n55n9ch5lr7	$2a$07$4n2Ld0FlTq9RbQsgzRqIg.WtJaz8zy9A/.tFxHKeygKQCiEC4vt7K	12	2013-08-03 01:50:18.24761	2013-08-03 01:50:21.711165	86		0
5389	10qcd49jr9tk82c29wrxp85w52	$2a$07$l5VF3N40QFE66dd9cIwfq.LvYMnZkCSPXSzhMMciDPHH7FjOf14R2	13	2013-08-03 01:50:18.271427	2013-08-03 01:50:22.071921	86		0
5390	10jng903iu563kwncqj7lqrwnl	$2a$07$Sr8C3ygkQ06InpsHUAfjZOq36ohg6KmoPmk0NS0Nft3qtB.TfnELm	14	2013-08-03 01:50:18.295814	2013-08-03 01:50:22.473949	86		0
5391	10wy1glfv5x2d4axtqyi884tb5	$2a$07$f2PsWGDcE3BnsseGPe4BEewqxL2VCvLCyIxXuLVl03P1lDltVoMra	15	2013-08-03 01:50:18.331543	2013-08-03 01:50:22.872255	86		0
5392	10vn2n4n7rbz2o83o4rbdtzi0h	$2a$07$flKJioV8gY2/hQ5BuugltuKnkQ4wBnKtCQfJH2fOjCoX2YfXLGWZm	16	2013-08-03 01:50:18.356222	2013-08-03 01:50:23.125129	86		0
5393	100bmpp5l35rbupsvvl8s5ui5k	$2a$07$/XnSyRmjkQrO08UlcBV13OzriKhgvA869LBMWEqLfr6N0dbKsQVki	17	2013-08-03 01:50:18.382959	2013-08-03 01:50:23.307972	86		0
5394	1070i4mkpt0cet0a6wgzxdlhsf	$2a$07$9jfXKo/vqaPMQOQ3rSnQveoVQm/ocCjbOPp4NQgf57Qp28hyLykMa	18	2013-08-03 01:50:18.408125	2013-08-03 01:50:23.456686	86		0
5395	10je1ruqqxrmnfkdln77p7cva5	$2a$07$KFmMs1wohg2absNECRWULeLzNlXTj1nMmJVwCvkoOl9aJwOuhUIHS	19	2013-08-03 01:50:18.431535	2013-08-03 01:50:23.816038	86		0
5396	104q9swgqpe8vrf70tqnzcwvqc	$2a$07$T3HJty5DPkskYxSqpPkd4eZe8tDli9I9sl/FdLj1S8IuJuUrjb3OG	20	2013-08-03 01:50:18.467055	2013-08-03 01:50:23.937353	86		0
5397	10zc2rfr30i3lmwkx24fzjasla	$2a$07$Ep6XrtevPb3iwx.L5RQlm.s8WZmwiNZP4cG6D3tYXKiyQ/IChuW9G	21	2013-08-03 01:50:18.504999	2013-08-03 01:50:24.150775	86		0
5398	10254j5ftvihhawuj89mi1b9dg	$2a$07$D8RJjUn2Op0TOAbaxJV7bOIP877zn8xWOZPlX3UrstT8AWXRqxtpS	22	2013-08-03 01:50:18.530856	2013-08-03 01:50:24.347758	86		0
5399	10t9nzykh2t5dqx5r3947g7au0	$2a$07$mRS4b7FxiCF3yt4nMY42x.eQURbxTrO9TzS7WOxMIn27tytOvAyQu	23	2013-08-03 01:50:18.558517	2013-08-03 01:50:24.516692	86		0
5400	100z3koseeoefnkc54f4htbmcc	$2a$07$XZFVBiUdjJNGRf19bs8xkuyzqjR6CuBnTSihZR7b.aTvYo35V9.Iq	24	2013-08-03 01:50:18.598882	2013-08-03 01:50:24.864851	86		0
5401	108alaa8fl03mezl2a5lwrzwgd	$2a$07$B5cUP9lhzZV9zlHwuf43b.0DGdSHvCA97p1SRiBfmwq5IuDMZiB3.	25	2013-08-03 01:50:18.634545	2013-08-03 01:50:25.096527	86		0
5402	10kfp6datvgfwbdlc3crou92vc	$2a$07$ShT8kAvMpIToxqH2iRfn/eLCeYFazNjJVcLFpxikEsN91d60mNSZy	26	2013-08-03 01:50:18.660784	2013-08-03 01:50:25.230268	86		0
5403	10l3se9ss7zjbgtkpzfdh5lgl2	$2a$07$FlAGFMoZ/pLOGaWwCZjiUugOKaG6W2nU2aQPrxwKXkiOHeXNl5Ab6	27	2013-08-03 01:50:18.683399	2013-08-03 01:50:25.476799	86		0
5404	103w1srq0kqniv0ojfky6qgc2u	$2a$07$TIDimzEzUCFcHKDeLSUOT.qufXwUymuzncTHn4PN/XWfyDTS4ev.y	28	2013-08-03 01:50:18.705721	2013-08-03 01:50:25.607788	86		0
5405	10idmewfx01ldlkb288cfd80v1	$2a$07$t7aH0MZmNQm7VCmQx15fKuf2fxOn42BhQmVMZSDe4CGXRnQQPmvk.	29	2013-08-03 01:50:18.727798	2013-08-03 01:50:25.729784	86		0
5406	10192axd96mb661msc6tk4s7u6	$2a$07$m/tdHOmD27aX3GPDfVK5kujHXNTlcxP0KXLI7HnJZwkrQDrbfGi5W	30	2013-08-03 01:50:18.749841	2013-08-03 01:50:25.851518	86		0
5407	10a71a7nnj5kp2r4c37mzx5j5s	$2a$07$wEZ1PENKPmIu8tqTWJtxp.YBwhZlMIdUqeggm61cgNCLHKGfMdotq	31	2013-08-03 01:50:18.771807	2013-08-03 01:50:25.97278	86		0
5408	10tnfq2y3oshr1gqj42tht8xco	$2a$07$JEYhpKRmZBWx1K7z6TlzUOCh66Ta6uVrzq/EbSD7t0VitUhb7.URS	32	2013-08-03 01:50:18.793761	2013-08-03 01:50:26.094261	86		0
5409	10c8gpt1nwk5bnly4ik9j07ndi	$2a$07$ZPQ0BJWhxrko/KHkHR.7RuEHcO/ezhsIpWqo7kNIgVh/jGtvFyVBK	33	2013-08-03 01:50:18.815581	2013-08-03 01:50:26.233001	86		0
5410	10mu3furhc57c4lku6kt7wrs4t	$2a$07$zM1uYQd2robXrQ2MXjYOyezmg0BTQmUwFcWmv1PqNg/xgOGv6jNU2	34	2013-08-03 01:50:18.837709	2013-08-03 01:50:26.374298	86		0
5411	10wez1kmn3z8say1wv14f8o6qj	$2a$07$afKKr6um6Cd9A0YeorsgS.DUn3tw64ZIry0K/XJtCwh.WdW3BGjwK	35	2013-08-03 01:50:18.859959	2013-08-03 01:50:26.575203	86		0
5412	10dlyehaa3s61qw02yywod051m	$2a$07$w4lNmCQoUg4Y1REGnruc8e2/zBR24EulcF8RLkrAj3wGSbGaBfVLq	36	2013-08-03 01:50:18.881902	2013-08-03 01:50:26.910992	86		0
5413	10kgia4i4wh84je14z9ygpeyl6	$2a$07$txMkDuCYI4Jqzn4xQeaL9OvIcA2G7bV4kjZT8k4gtTAF5qkpGgC7m	37	2013-08-03 01:50:18.904177	2013-08-03 01:50:27.310637	86		0
5414	10ux9mnjv3ou51yk2w0m0rm2aj	$2a$07$XgEeYpegeoFIDbFFI5fjZebI28eNCDXjy8m21.jpG5oeqRaS5eyxm	38	2013-08-03 01:50:18.926107	2013-08-03 01:50:27.461975	86		0
4600	10u1402gelxplke8firvsovnav	$2a$07$K6.5XX88ny7QVBBlMrOUbejwH/o8/auubHtAvkotgn/fd4HvVfIIu	1	2013-08-03 00:46:44.042751	2013-08-03 00:46:45.650752	74		0
4601	10ogpr4r3j1uu4dslkgr997ush	$2a$07$jg0Kqi/upVc3pis0pEckLeqETNn6a3xKTKMkfypFjmP3sxzxss2Zy	2	2013-08-03 00:46:44.073445	2013-08-03 00:46:45.757447	74		0
4602	10wuzyyo1k64bnr2u6waoi1wgv	$2a$07$kMwS2eem5R2tyGNiL.KnAOhe3orTlTJxpIbDlsTWGclBNjMvpXNd.	3	2013-08-03 00:46:44.097966	2013-08-03 00:46:45.866528	74		0
4603	10jns4qkk32h9doomg0rt8nilk	$2a$07$TAcBm.oc8InTWEgzj2D/iO43n4k.qB.Yi3OkHUbUDqTAoK5m/PCqS	4	2013-08-03 00:46:44.124008	2013-08-03 00:46:45.972735	74		0
4604	10a5tqagrzs8n3zl3347cyh8a6	$2a$07$5bGPXkHs9A5vSm7pMLHBSOeOn6ytF/JmfnYGU/Eo9Ck0HBicRCycm	5	2013-08-03 00:46:44.147932	2013-08-03 00:46:46.082049	74		0
4605	10nketfmhlnnf16z3jsm5shn0j	$2a$07$w3gsVd8MNZHm2lqDmIreweRXuBELuURtzPNEWSuIFzDVp5XHbZsYq	6	2013-08-03 00:46:44.174163	2013-08-03 00:46:46.218037	74		0
4606	10te5qcdfqjrtm3a622qtfo1zp	$2a$07$BCzQa2XIYBfYX8K4pcCMeuVBZzPXgEKYjYgMwxitE35sblZqnu59u	7	2013-08-03 00:46:44.199985	2013-08-03 00:46:46.338217	74		0
4607	10g1t89ckl8aovcukuzwthjz25	$2a$07$aA2r8nKDgo9YAzJBpyTPD.S.6OGI0pah7WM6ZqSCXmLTdem1MZehq	8	2013-08-03 00:46:44.226712	2013-08-03 00:46:46.453439	74		0
4608	104yc19g2dar9bvr3bq915xnyi	$2a$07$YOjEgOkn7ZCwzYZhZx7awehsJuLIpfbpC1reyhtPYBj/tMgjO8cy2	9	2013-08-03 00:46:44.25558	2013-08-03 00:46:46.574989	74		0
4609	10174lunueauk92bnonkb0ire8	$2a$07$wjpjc0aA5x9BszRPPGn45uYCbPQdeKLrJaiHEJ9DLE3MgqiJsx73K	10	2013-08-03 00:46:44.289327	2013-08-03 00:46:46.70272	74		0
4610	10j7eifubw5lndm0b0xdkizz1g	$2a$07$ThNoEDSUcz3nJ9REJvCm9.N3PdZa36xMv2Kzx8bSvWW4A3W5/iZ6a	11	2013-08-03 00:46:44.313755	2013-08-03 00:46:46.826962	74		0
4611	10y8gxsduta61hgojrreac1tjq	$2a$07$cT4W82rkN8iYq633ypNQIuCfVyXCNmw0xktoItbiap/4ycqraBIja	12	2013-08-03 00:46:44.339099	2013-08-03 00:46:46.949433	74		0
4612	10fhf0cd3kzlldkh72q12j45df	$2a$07$1E0Rd6BYc46TtpZAj0ByZ.ZPP50nBGijKsvoYyGt.lkX2/D1cFz/6	13	2013-08-03 00:46:44.361807	2013-08-03 00:46:47.329258	74		0
4613	10px2z9xwup5vfnqldww10qvya	$2a$07$/v8/CEfETdiSkOZdm/pjSO9iukStDCIHPTMarYZ1mxim.swiW9/p2	14	2013-08-03 00:46:44.384923	2013-08-03 00:46:47.724108	74		0
4614	10rp04z42e0cnq0ozvcxb6d6eq	$2a$07$qzYmf8ZBW0UirfJK7FAxVu5TTz.O3hhA/LihmjjVLk8vJfrJWObrG	15	2013-08-03 00:46:44.40854	2013-08-03 00:46:48.089231	74		0
4615	1053gjglxzb4xj6hjrlwscgcg2	$2a$07$qEHFr2WJXAp8xs.0UmDM2e4aXp7ueewO9KrFrNPx2bCJAI6ezKkoS	16	2013-08-03 00:46:44.43229	2013-08-03 00:46:48.220698	74		0
4616	10hr71wpxdrackp3r7a0sqc6s4	$2a$07$T.xes9AfWURey/WNQ5BhTe1jVPpL6oDtIcdtYbkQXjRLPveazPpYq	17	2013-08-03 00:46:44.45562	2013-08-03 00:46:48.364086	74		0
4617	10s9hdwy4zg99u4uvaeis6z38s	$2a$07$EFzm6r/VU67ws9HamtUpJOartS.yN/Qfz7GHrSkBmsvInU2Ukx3vi	18	2013-08-03 00:46:44.478246	2013-08-03 00:46:48.495758	74		0
4618	10tzs458wi0cl9n6qh4l6ki8qi	$2a$07$d.aiN3b2A.jzO6XujAPKMOsbkOQ/8Cju6AQnmqKh9553s/0I1IFgu	19	2013-08-03 00:46:44.502017	2013-08-03 00:46:48.916797	74		0
4619	10ph2ywwsg5ilnc3p86g9ym1rs	$2a$07$7Eu11lKP2SFP8YhKntuu9.5mZtTWoGKCMv0Sc9sc0xU0e5tSx9w6m	20	2013-08-03 00:46:44.525882	2013-08-03 00:46:49.280713	74		0
4620	10slnfwxkxab1t47ivqqa0efio	$2a$07$/9yqQZBVcStX4u5hR8i/4uwLIRrUgLAKKiSWF5wg3F.RCMveNUlbu	21	2013-08-03 00:46:44.549262	2013-08-03 00:46:49.666191	74		0
4621	10an1c3efo56fwr61a3vwwqa75	$2a$07$csfAZOFwj8H/RT3dHVnKr.BEmZdxbJJoC.qJriNfoRsteXiE./d0i	22	2013-08-03 00:46:44.572304	2013-08-03 00:46:50.047636	74		0
4622	103rlvypu8gfk3spfk5df55czq	$2a$07$jxcf3UtK92bWny6EkiJ6jeTH/DWl/gnZL6VV07djFr.0s72K1Yf1S	23	2013-08-03 00:46:44.594673	2013-08-03 00:46:50.368967	74		0
4623	10h4gnfuywk3p34rhgg45r43yh	$2a$07$6XWyQzw1q2yXwG4qeMqSOes2CMWHec/6okF/0fQaibiCTG3b5n2KW	24	2013-08-03 00:46:44.617248	2013-08-03 00:46:50.618774	74		0
4624	10hhma05x6tn2tlhk9w8r3o1p0	$2a$07$TzG9X65HSS6aBVfe0Vp1HevzN4gX/YwvgpNaAEInD4piYdBTa9xc6	25	2013-08-03 00:46:44.641138	2013-08-03 00:46:50.790426	74		0
4625	10yr9owfyb3da683l3qp3q87r1	$2a$07$fdOu7VEAw4j8OvluZZ3o5.uXkq3ZWjv0jCTzlqrsbTMqXQmTBs8pi	26	2013-08-03 00:46:44.664449	2013-08-03 00:46:50.994637	74		0
4626	10bv66otzgr3q6z76kvenoo0e5	$2a$07$kxTNvyDMjQQWO6EpIrlz/OsMqrR8VKEkBaWF31rzkH0B9drCujCuC	27	2013-08-03 00:46:44.686156	2013-08-03 00:46:51.285961	74		0
4627	106ctnyye333qd0ouwezh3yxf0	$2a$07$5NMtX7/gcG7lkRSWJVxX4.nnflK/Fvz3b3rWuzA4VziHruDd5nQeS	28	2013-08-03 00:46:44.708113	2013-08-03 00:46:51.435735	74		0
4628	10lrbxnbti434zx8g0k7tjzf2b	$2a$07$FNhii9wDzljDPnqXSjSZnOoW6d6JOQw3wflbiKKmJ0BEZtagQ4gIK	29	2013-08-03 00:46:44.733389	2013-08-03 00:46:51.580533	74		0
4629	104etikac56l71adv28i1b0ghe	$2a$07$hmDO2arydVkbtHY8ogEfAeUzrSseUIu./7qTiyRd1Nh/Jd14XG27G	30	2013-08-03 00:46:44.767567	2013-08-03 00:46:51.775335	74		0
4630	101j4ycli4ik7c5w72w3dv2pi9	$2a$07$mTD1CZ13pz928/qiw2NPB.Dv/d6gzKjTD4Dkrcsp6sMR.lh/lVUUe	31	2013-08-03 00:46:44.789416	2013-08-03 00:46:51.920658	74		0
4631	10zlhxnt60oshnfie4rx8klqpj	$2a$07$IzU84yIuRH2C4oLrWNVQ7OkCSHgVuGBq2rHvGuY8izyrqLSmCaWWe	32	2013-08-03 00:46:44.811853	2013-08-03 00:46:52.066072	74		0
4632	10bd94xc8j4ibomrv6lpr1ikxj	$2a$07$mkij83PHsqF/Sh0C3GkneO/4v1C2CTWDkBTjhzsvTrSGcyHwvCvhe	33	2013-08-03 00:46:44.835204	2013-08-03 00:46:52.225959	74		0
4633	100osc11fez3k0s30p970c67dg	$2a$07$U.gziwzPe2.AzDycWaXHgO4B0lbdspHrJPbhlHDVqoRc2N6kB1YbC	34	2013-08-03 00:46:44.85668	2013-08-03 00:46:52.351321	74		0
4634	103v4ui7obiac1uororwu319tq	$2a$07$mdrZp2iRCpEyVCPPtmpy0.e9.TRodEFgSnTj4MPwIz1XBLmWm6CxK	35	2013-08-03 00:46:44.878064	2013-08-03 00:46:52.495044	74		0
4635	10oac1yb9q09t0ykuweukk7o64	$2a$07$6y0x7H98i2q4hxuvo6IiNO/tg1qIy10DQ4wWoNCi5U2gGBOEuesDi	36	2013-08-03 00:46:44.899686	2013-08-03 00:46:52.646347	74		0
4636	10x0h2yrajiz8pqgweuncmqhh1	$2a$07$HdoPiirRoK3M.dBz6vwJMORQSn.E2fsyy/AT4aWSpHMBIJ4iRlVpW	37	2013-08-03 00:46:44.921534	2013-08-03 00:46:53.019401	74		0
4637	1039s5gsh2c2ertt115jmgmpq6	$2a$07$lEnNFee9.mf/gFzWT.gEH.vYNsbIjLMqpfE573V0s84SGmVKXRnba	38	2013-08-03 00:46:44.94273	2013-08-03 00:46:53.320285	74		0
4638	10gscgbdl59waj1ifvg50z989a	$2a$07$sfES4jbQEHSWwYPZv0axx.zmW6bMeIm2WxHm42mzentfg5Z.KCGN.	39	2013-08-03 00:46:44.964291	2013-08-03 00:46:53.448161	74		0
4639	10wjqaztpa11ktnl94951n3hh8	$2a$07$KPO6MNHL1Oxwpn9hIM598.UyNS9x.7l5ZzkCxj9jZ93BgVgIxbNve	40	2013-08-03 00:46:44.988129	2013-08-03 00:46:53.594661	74		0
4640	1007ivhr0xmrrenu69b71rdon2	$2a$07$.Rz8HMDiEQONO0BeiwxYOeAnC4S6tJx.CT.Ws87TyBKfpclLvKZg6	41	2013-08-03 00:46:45.010516	2013-08-03 00:46:53.778026	74		0
4641	10kawzermml4px4fvhoo8bxzl5	$2a$07$JBfRUt7LFG1Cs6VXyDqjE.F5TomtBXjtKTrekKmNs8Qp2y/mXjiy6	42	2013-08-03 00:46:45.03421	2013-08-03 00:46:53.977972	74		0
4642	10ueddrvblbjquy58slblax8di	$2a$07$4MiDoSpMQLLyyzp7xOcjWul4V64Wgq4cewzT4o0svbe0hh9bUuyL2	43	2013-08-03 00:46:45.05656	2013-08-03 00:46:54.206917	74		0
4643	10ibnralb2jfx35ul2gdri0he4	$2a$07$pRG1DIyodXam2mgv9oVga.i4hOqpQ7nzZgRzoANTqvM6TLzShOzeq	44	2013-08-03 00:46:45.079462	2013-08-03 00:46:54.386521	74		0
4644	10xzmtoqkr6dmfjer26l0heuhe	$2a$07$mmUNa.rJ/bk8saN6tkcm1uxkSlVG3sBLr.5ktfbVFnl47AjDKDWji	45	2013-08-03 00:46:45.102746	2013-08-03 00:46:54.639712	74		0
4645	10y5rtijkwg7kn4x4759tkyvxv	$2a$07$R7wvxmGD6rpRXiX7m.oIaOvlhEeBBDK2CCHERlF9f1b.KoJv6QwIK	46	2013-08-03 00:46:45.124935	2013-08-03 00:46:54.831253	74		0
4646	10542dn5uxqtl3wh92jw1zfh2c	$2a$07$DnE.lJr7pTAIu26VOgzqtOnXyuQ40nsivhIptkA.hm6vWK.Fgzdre	47	2013-08-03 00:46:45.146954	2013-08-03 00:46:55.005246	74		0
4647	10r3wfz0yq1y503bb9asj677pd	$2a$07$EgdzALHmIToTvwNR0NEHj.NyhmIpFTMTKoGTosRoyDVl/ckYcgt3G	48	2013-08-03 00:46:45.168761	2013-08-03 00:46:55.165032	74		0
4648	1088uoiqz51zzjg48k3hf1rmpx	$2a$07$E3UPa6hEqXVPPCBNCv9qx.8P90zsh/wgiXeauI7p6LjoXDi5wo4Pi	49	2013-08-03 00:46:45.192071	2013-08-03 00:46:55.270699	74		0
4649	10ndedkakuao1glfflvgo3rzk0	$2a$07$BYEON6NaIScLvswQEUImZu4zpBqhDgy8gkMvZMqD8qA0Vfg1O.uy6	50	2013-08-03 00:46:45.216686	2013-08-03 00:46:55.394112	74		0
4650	1044wwrsf270ais4k1v18qqu4v	$2a$07$RsEHQoXtKjTGQgqPESLD6uoyec4QaJ1a6a9CXAryNgqdmVdLTuyLS	51	2013-08-03 00:46:45.239366	2013-08-03 00:46:55.49938	74		0
4651	10tzgayovz0bxs6iroq10xq2in	$2a$07$4U4f3IpcDg0ZTBr1b3ullul.wz962Qu600TdNjkYE2/WqO.oEVC7.	52	2013-08-03 00:46:45.261306	2013-08-03 00:46:55.628583	74		0
4652	10cf8eq5afqm0cg76job3colf3	$2a$07$LPoj1RVkrVkFOx0OLAXtxuO8aMkEFO6y0tZAiJ4vI/FSkrwdIhxO2	53	2013-08-03 00:46:45.283422	2013-08-03 00:46:55.757618	74		0
4653	1011zk955sb3shsonrvjha72e4	$2a$07$.iISDg.PV6.8hQNYn086a.bJAR6wzDFWpIP45lKG1QOuHATWYyhF2	54	2013-08-03 00:46:45.305691	2013-08-03 00:46:55.874434	74		0
4654	10fj8z9aruvt6o1uu4ysmmyna9	$2a$07$TRTjxiVyltRX2dAs2uVrPejDYVQpzkp9pJ5CNIOYma691h6BAn2YO	55	2013-08-03 00:46:45.328705	2013-08-03 00:46:56.227163	74		0
4655	10jag2gl0z6fcze5821qi6o8a8	$2a$07$c1GYSAGgs0xBYWDXMjmjJ.JeqhABa1lFXJ6du247NOzIPzAxT/.w.	56	2013-08-03 00:46:45.351093	2013-08-03 00:46:56.582997	74		0
4656	10nw5772clhgw92fo66w1xto98	$2a$07$pFWY75TpXFDTplvpwv/.BehmO99fxEAq9Cerck0V9Bwi/3hj.6Aei	57	2013-08-03 00:46:45.37417	2013-08-03 00:46:56.96371	74		0
4657	10rae583zcxvfm0v3ip17n1hix	$2a$07$pQ.6GA6/ZYf5hCW9okRnVupdL6sBqsSoW5FiHozbv/XshCIPDLvxe	58	2013-08-03 00:46:45.39762	2013-08-03 00:46:57.114395	74		0
4658	10bxoof57xsa9ht800lb9sghkm	$2a$07$6/Lw97j12YY8GM39BS6kf.ZLHvawm/n.v7TCCQZyuv13YVA0hUg0a	59	2013-08-03 00:46:45.421207	2013-08-03 00:46:57.281157	74		0
4659	101ff9xhipq9083cl4dq0pn9qc	$2a$07$/bk2Wg39SLFFY4MuOz22suLU61FBvclYLlmmkKY69MKsrk4YkrDFG	60	2013-08-03 00:46:45.450141	2013-08-03 00:46:57.586317	74		0
4660	10g6tf8r9bubn8og2v4otg6gus	$2a$07$EGcaLjPeQlx8UDV3XVl7iec06jV16hDnZVDcojltSbzZxUkPOqP8y	61	2013-08-03 00:46:45.473431	2013-08-03 00:47:00.168401	74		0
4661	10fawho9j0nks4q1jt0fj1cfht	$2a$07$2jo60nW.djCqxyDb/i778e09VF93jm.Np7EPpH77OY7AB2YRCxxfm	62	2013-08-03 00:46:45.496418	2013-08-03 00:47:03.254462	74		0
4662	10ds2g79r2p29wq7cfcd4mikg2	$2a$07$.5yjCq.GAwv4qdTkpCeXVOv2tbycKWQaEGdhQunpeJ1XGObd2deIy	63	2013-08-03 00:46:45.519741	2013-08-03 00:47:06.362534	74		0
5415	10wfbwwsai3qdpdexsj3spkpk4	$2a$07$r7Cn7iuU4Dv.Q2uNNOXjGuHnaibqbZBKYAkRonrx8NWQY98yNXug6	39	2013-08-03 01:50:18.948084	2013-08-03 01:50:27.6714	86		0
5416	1025sby0mdzv7j5u4zpjes4yny	$2a$07$vtlx.aC2etQxsXMZ1ILyf.4UkDf4ewtOfAkDJtPJhO.9Jwf/nWIzi	40	2013-08-03 01:50:18.970164	2013-08-03 01:50:28.08115	86		0
5417	10ory1p7knazsly367nfyquylr	$2a$07$97JoyLDajFdrb/0UvQ70teVb/uoGOzWQdySoyh8D4vnEdjZgcNHb6	41	2013-08-03 01:50:18.991832	2013-08-03 01:50:28.473439	86		0
5418	10otqu9rg8ihk3rb7mtoffop9k	$2a$07$epH6In8sR4V5TsNK5xL0COsAmCSvgu2MRr59uSO4ykD2pUPEiNeA6	42	2013-08-03 01:50:19.013295	2013-08-03 01:50:28.777583	86		0
5419	100fiqfuqw7tuhrgq2yvk2gxha	$2a$07$sRRFGgbp6lCnxwFHmfgsLeZYGhLTryAdk1gnvsAyStu0W77qbHSyu	43	2013-08-03 01:50:19.034875	2013-08-03 01:50:29.199714	86		0
5420	104bddte9tzqs0fy7aaboaqg9q	$2a$07$5zyOmxQz6wOmj0C0pHZ7neFhJjzjR5GlNTlMpaxrsMegBi4JqCbtK	44	2013-08-03 01:50:19.056786	2013-08-03 01:50:29.3294	86		0
5421	109xcsepnliucdt5pzzxgv5qba	$2a$07$vkT8tG8HAjv0nA3X8YJGjuHe73tZOMgQt2XZz7vQWVUmuY.euFjBm	45	2013-08-03 01:50:19.080049	2013-08-03 01:50:29.474586	86		0
5422	107sylr0y9ae3kwkf4q9xvzl2k	$2a$07$lGzVQoC5HFN/4d7lB2AH0ewFIyYe/2EQSS77hR5h1EI/OHVzxDrTm	46	2013-08-03 01:50:19.102998	2013-08-03 01:50:29.629182	86		0
5423	1057nntjyfvjse3r6tfksodx8h	$2a$07$K2jU6L7IShAUyiWRf7U7Nuwrd0gVu6FGRG9AUz71QZ6LnKakpddoG	47	2013-08-03 01:50:19.125049	2013-08-03 01:50:29.845422	86		0
5424	108sbkyloxze41y025z6jxxebv	$2a$07$31/Vy/cVGI1j3GjzNEMZ3Oyy3RFms1mfq7arRHu/NUEFIxnkZu6DO	48	2013-08-03 01:50:19.147095	2013-08-03 01:50:30.007077	86		0
5425	10fm6nwpu6txrwsxxnxbufkbau	$2a$07$RkbDHmQpuQCQ0rH9fr72AOC5UVjGLE6oVB25MFTUq8bgeM1aC2Kiq	49	2013-08-03 01:50:19.169221	2013-08-03 01:50:30.136806	86		0
5426	10jy4gx82kqnhbx7mk15md893l	$2a$07$6Gx3j3FkaqCc/DrZOhnu/eYxTb02gC601UfQlyn.hSFBqKUVknwAa	50	2013-08-03 01:50:19.19099	2013-08-03 01:50:30.285922	86		0
5427	10dxb19xua8372ls3ciwkq6l0x	$2a$07$Wce1csC/ULm8xPkm0KrE.ey8DfKEalgP9KlKeyFiSEFK5hmDqnfq2	51	2013-08-03 01:50:19.212976	2013-08-03 01:50:30.418619	86		0
5428	10ywwz6d24zqnz6qntz9drze0d	$2a$07$pKbUp2zyB/Dx133qyMr5kuOU0X1E35MhO.XO.F9iMNPMbLi6lyNYa	52	2013-08-03 01:50:19.234974	2013-08-03 01:50:30.799632	86		0
5429	10i943q7odhp7sefz19sy63jdr	$2a$07$g.oHG18BUzA1sKldZGazjeyg0/PTFhU/dnIL.dxN9LhaVBzfdTrfG	53	2013-08-03 01:50:19.256915	2013-08-03 01:50:31.03694	86		0
5430	107ef1srsq3r1mttt1n39yy30d	$2a$07$j1W0zdIbVuc5OF9U/Jb.E.JPv5EqbXhBHbTFVRpva5rc1pP88T2W2	54	2013-08-03 01:50:19.279474	2013-08-03 01:50:31.176294	86		0
5431	10gdz8gp1qa3kmm07j0mpcxh7d	$2a$07$HPdO6dUZdaL70vKCSZGkLem5s9zm/Fq8k3.gv50QPoVzJmZlHZKje	55	2013-08-03 01:50:19.301435	2013-08-03 01:50:31.34945	86		0
5432	10hacyxngn4aisnhbe3iqbp5ml	$2a$07$6J5tJBB2j6RseeyUR2fCI.WyYTGzNLjZRD85PrAvhoIYtuaM3nbsq	56	2013-08-03 01:50:19.325443	2013-08-03 01:50:31.582618	86		0
5433	10ip6mqaxfys112o4qvyrnaie5	$2a$07$Sp0YyARgdAp4bzsVQsR9leXP1qwh7oZepooRv2CHdEYTexClPBRZ2	57	2013-08-03 01:50:19.352316	2013-08-03 01:50:31.840119	86		0
5434	10p3fw4k6ndzkmodubjntgla1n	$2a$07$HKfLp6pDkttndhZX4k3MXuO2liVSFyoMfrfyTY1kIKYnH9zwPBZca	58	2013-08-03 01:50:19.381331	2013-08-03 01:50:32.079911	86		0
5435	10hozti80po5fex8u3cu9cso13	$2a$07$WwoI2YGZSVt7I4/eprRlrOOekdgK3MKZqXA/0mZdFh7loz3syR1nG	59	2013-08-03 01:50:19.406164	2013-08-03 01:50:32.229264	86		0
5436	105yw6gt1k2wo95x7ixbc1funb	$2a$07$.nKD4M8wHnhAymwM93hTDeUMWsV7jeyS.pJ9CEEdafu.5.iU3vJye	60	2013-08-03 01:50:19.429908	2013-08-03 01:50:32.366864	86		0
5437	10liwhsgn9l3df6rsad7c69v44	$2a$07$.sd.KJ9L2zsxFmBb2f/ZaOkVVH.lNahG1SKYXl/BjpnvkF30/Bn7a	61	2013-08-03 01:50:19.451996	2013-08-03 01:50:35.397798	86		0
5438	10bc73nqg8t9m1ehpcqo7tulux	$2a$07$L.hM18HewMBsOQ34oOClUeciDZ0/RKJZZDLg.u47B.6B2oNTaLAcO	62	2013-08-03 01:50:19.47508	2013-08-03 01:50:38.510185	86		0
5439	10i71t39isgrlrqa8pfywk6eyb	$2a$07$hvmOXAixETkGsFVpjoIex.u5U98C.M70zHnZfVr8NCwdvexekZh1K	63	2013-08-03 01:50:19.497152	2013-08-03 01:50:41.390539	86		0
5440	10im9sm3scufsh5kafru89i42d	$2a$07$2WBnTVozlx.qDPUqR9gzmuW49j90FzQB/copQXzPgLhdt6fqL1ao.	64	2013-08-03 01:50:19.521886	2013-08-03 01:50:41.52619	86		0
5441	104ll3qschd5mmh4brip1ld9p8	$2a$07$NLX3w/YkQ3H6TEEdI64yvuaVptNo.R2kwtAmqnG50jHsA.r2MM3FO	65	2013-08-03 01:50:19.546609	2013-08-03 01:50:41.753556	86		0
5442	10iv0skck0ami1it2li8afpc3u	$2a$07$IFJbUJt11qJZKEPMbdNyt.UqMDPAssk3ZRFnpzFwSUciW5ougGdOe	66	2013-08-03 01:50:19.571902	2013-08-03 01:50:41.975115	86		0
5443	10zu7r6ofqrq825mvigblfuwwv	$2a$07$KlkVT0sbTyjQ29.A09K60uu4JyxC3nx7TbQ6om1bKHgaTXVbr0bpC	67	2013-08-03 01:50:19.598433	2013-08-03 01:50:42.108232	86		0
5444	10608v5aa35rz6r8640am6crf5	$2a$07$ucIwgEH26VZoltYsryn0NeQxh1krkzWqb2QvZj4sMGhOX6WL9uI3q	68	2013-08-03 01:50:19.634244	2013-08-03 01:50:42.494361	86		0
5445	10ssvul5b0zla26xu0h2ngyptj	$2a$07$euZM5FVGvP.vg5y9gQH9q.rxxCEfFnBqQF/FVwl7ZRu8HhbGYbnum	69	2013-08-03 01:50:19.667504	2013-08-03 01:50:42.718239	86		0
5446	10xrvu8ufucenv2o4viu8u0a17	$2a$07$c/MslVY2NpBMYrJS7eRXfuK7bdfMN1Mngo4CxIX3/bYIXrD8n8zE2	70	2013-08-03 01:50:19.701673	2013-08-03 01:50:43.06719	86		0
5447	10qvbx3n8hkgyrxow7a4bi1vp3	$2a$07$ejwZ.ukyV4/dU5qGs47NDeU8GRKs8qsYNBmMvPfx/KkveQ./VDIhS	71	2013-08-03 01:50:19.737287	2013-08-03 01:50:43.22481	86		0
5448	10j3hip01gdtqq1x891w7mlgjl	$2a$07$iz4qvL27v0X1FrbRj7OtSu08Ihxr09JeStxzaOKNjIZTr2GQQ7dv6	72	2013-08-03 01:50:19.758974	2013-08-03 01:50:43.41621	86		0
5449	10wzca2k55fothwt2z4ujooja2	$2a$07$9mxgGeTxTpDaSq4uePiF5.EgOa5TyyuDRL0kb81HfSMaIJ0x9W1xm	73	2013-08-03 01:50:19.780646	2013-08-03 01:50:43.64789	86		0
5450	10sems9xkeh0z2f40thll0atr0	$2a$07$.JchqKIeEQjD5htKi5PrbON6AJ7RzRlPowtL7LoQ.wRvukyHuIeX2	74	2013-08-03 01:50:19.802214	2013-08-03 01:50:43.781934	86		0
5451	10vln217ieo4tg2tmc8437t7wy	$2a$07$GY7BPq5/CKJpVaX9Eqr6x.y5svymh6AWMrAzE1wRJ7QqM2lFCe9BK	75	2013-08-03 01:50:19.823693	2013-08-03 01:50:44.00546	86		0
5452	107sb4jcihojhm39bepu8mpoqk	$2a$07$eY85PFitO6uyrQivtwuuDO5pHjbKNI3eG3.AkThG2bjz5wg8YI1bK	76	2013-08-03 01:50:19.845079	2013-08-03 01:50:44.26241	86		0
5453	106gsme3yw5ru4yvs771t3u0pp	$2a$07$jUFVmPeCnJ2n8teIZCTJyeXMaxzGZm6qO6rdZ7cucNqv8NV3Im.Ku	77	2013-08-03 01:50:19.867098	2013-08-03 01:50:44.623925	86		0
5454	10ly0m4wnq0midefibhjwjjtd2	$2a$07$slG9/3uYclht5P1BnMX46.q6Q4gb4z0ylTVJHoHEDblpbcqdBeUs.	78	2013-08-03 01:50:19.889011	2013-08-03 01:50:44.993196	86		0
5455	10hrb2zmqw4yzgptke06g8yhew	$2a$07$Ab3JArmzuN15H9tCPEK2PeSh9eSQgCrUiSTvxaF1tCdirW6lpBYjK	79	2013-08-03 01:50:19.911587	2013-08-03 01:50:45.1601	86		0
5456	101xz2ykcecwtcpt7ip6l1bp0i	$2a$07$XbJXCHF12bGHT010aEg55u1r6AGeR2W0IqyslVV87AkIqrs2ZJMHe	80	2013-08-03 01:50:19.933279	2013-08-03 01:50:45.279598	86		0
5457	10oycl53kdc8dujmkevuzsdeqb	$2a$07$gYR8n51gIclgXCVFi/Rp0OSd3gSP8TRWyMk./dCcIffKcY4Jnm14u	81	2013-08-03 01:50:19.955066	2013-08-03 01:50:45.531746	86		0
5458	105en83i6oa1fkhz9bld829cwh	$2a$07$fKZo7Mxm1S0sd5w8S/rMY.Y3IvDpCo7lyXHclxjAhk9EoCQ7PHHXu	82	2013-08-03 01:50:19.977598	2013-08-03 01:50:45.787131	86		0
5459	106kvle4p5t31309pvq8z80u9z	$2a$07$XAxhXbxfaKqWyx81ytqG8u/Qsn6FFe990WsytwrG4DIKb6CUBQSRC	83	2013-08-03 01:50:20.001496	2013-08-03 01:50:46.05759	86		0
5460	10vadpvg2gz6dagkizmbzcgm9d	$2a$07$dY8G17Y/087NobtLcx0V1ux2Ff8edZEkbHnsXnQdCbQmnMF2l6BjS	84	2013-08-03 01:50:20.025235	2013-08-03 01:50:48.974071	86		0
6658	104r1kgqmbynqp6zu0m8b68juo	$2a$07$zsGHce6kTkKKx/vLd5W1duUZ84ykvAGdIDZLIJgrMqwu4WCggvJdu	22	2013-08-03 17:04:59.603317	2013-08-03 17:05:06.126691	102		0
6659	10l8vqqptkd72mwhz4bvg46xat	$2a$07$U770c318UL/Wv6CS4A77TO11g2yh088IR9v2Z6Gbkna0oA8dsHc4m	23	2013-08-03 17:04:59.624917	2013-08-03 17:05:06.358502	102		0
6660	106q30s44vqox2b7uexipc5igt	$2a$07$jRxLL0/7hh2K0Jni1Pj4kusMtATfJUwTQJ8bQiAJ8gTR14lXcuXTy	24	2013-08-03 17:04:59.646543	2013-08-03 17:05:06.516748	102		0
6661	10znh1avh7cqw4s9pcw47ud8du	$2a$07$aNovvSpfeFnqUC6t9jFEo..NpQ4Y9CI/kmGFJ7vyTqKHlITuFXXKW	25	2013-08-03 17:04:59.669362	2013-08-03 17:05:06.822923	102		0
6662	10azr42qxdr7ygaqmzimplselq	$2a$07$wkqsQ1PTbW4YVggqmiCiM.fAiIa5/YuRruxpBjqM7.g/BIfvFocxm	26	2013-08-03 17:04:59.692919	2013-08-03 17:05:06.982982	102		0
6663	10kcp3gck3qzmnwpshonvtlvuq	$2a$07$apck.mRgGtQRr9Kk9BAhc.WEn/pRDkjC1cCkql8UDgqRBgENoRxWG	27	2013-08-03 17:04:59.724509	2013-08-03 17:05:07.166059	102		0
6664	100w9murm9lj7jf5vv8j156q8d	$2a$07$5jOVud2Elh2Psgugc8OxUeSfg9two0FbJYJ/daQOMpeTg1Hq0w1E.	28	2013-08-03 17:04:59.747487	2013-08-03 17:05:07.537467	102		0
6665	10vp9pwic4xf7wl0e90mlfaoiz	$2a$07$vbgPt3XD2fhg7I6GOAmCFO3ifx9zJXhX/0qj0DVUP1g9M1NRNxzuy	29	2013-08-03 17:04:59.770589	2013-08-03 17:05:07.901654	102		0
6666	10jg5m6magdqnyncdnkvebdz5r	$2a$07$2Z/TYibDY2jGTilynBoXueVaWxLykb0LCvda1qQnqv.OyP0G3NdOm	30	2013-08-03 17:04:59.793959	2013-08-03 17:05:08.275215	102		0
6667	10b9yvwqn7wp6weoqw8p6jj957	$2a$07$6C1BQec.Ov8Pcp.qRgH4ZeJypP/4M2LahGBjCyJkDVHSi648.nSo2	31	2013-08-03 17:04:59.816724	2013-08-03 17:05:08.420628	102		0
6668	10l7dp7e47jptlqmmcy5mpa5cw	$2a$07$onSpSz0cHmRR4oRnezFgE.LHoCYIhHzmTHj2y8K4kxNE7w7uG6yJW	32	2013-08-03 17:04:59.839595	2013-08-03 17:05:08.551797	102		0
6669	1087vvlgh2x8alf3vn6ylarlj0	$2a$07$PbkUIGZIMC6TGblAD5X.ZexQGJYw75y6VJNKtC9nAfjHkfaS1OU66	33	2013-08-03 17:04:59.862816	2013-08-03 17:05:08.677473	102		0
6670	10d8ji8we2a03i03rcf2etc089	$2a$07$fif5gUqKeHnJwfDraFOF7.d1MhwMRQ7BhKpWW0HZKjyH2yjPU2WFC	34	2013-08-03 17:04:59.885875	2013-08-03 17:05:09.048088	102		0
6671	10lgrfxdbmgnhjzp6ola5ojzi0	$2a$07$ararc.I7CfzfJndtsTqNc.BmyPQjQuD9UltqQnhEgLE6Fp4fQAhti	35	2013-08-03 17:04:59.908891	2013-08-03 17:05:09.417987	102		0
6672	10uilnd3jlfn55pd3u0cambrsu	$2a$07$ZSf6rMOxZ.125lN2VlzxlObXjM5kNYkAwg5E45BSv9j/1zZF8w27q	36	2013-08-03 17:04:59.932859	2013-08-03 17:05:09.823152	102		0
6673	10mt70nlse926agp4vn9qs87vu	$2a$07$1FAKL3hG4Nocfh7j1EnAu.KyNZ5/M.7TneGVzlvPHkntdQ/WyhrlW	37	2013-08-03 17:04:59.962706	2013-08-03 17:05:10.192377	102		0
6674	10r3gfqy0injy94byokmmprhpk	$2a$07$JMDgDmoCJxRYKqF1ZsUnc.l9bR2kp2TNw.pSx4vNbb6jKEwUpdbva	38	2013-08-03 17:04:59.986705	2013-08-03 17:05:10.492378	102		0
4663	10b9ffma330w9rk28jzt9zo301	$2a$07$IyXIvR2U4gFuET0B03qmR.qbH1p1vKgL9/vcyTHjPdY4jY3Z2laXO	1	2013-08-03 00:51:44.106809	2013-08-03 00:51:45.750102	75		0
4664	10luwohbzqfjy8bx3cbsabuf5l	$2a$07$p15mBBknPiJyb0kjhW3AGeyF7wbgmC97AHQyHYnincL7GRGtb5r66	2	2013-08-03 00:51:44.133238	2013-08-03 00:51:45.871456	75		0
4665	10m0l8q3khjf2fxkl78asco33f	$2a$07$fUM.SwHEveegFsEjpvGroeRkXKyJHioHpDLJPjhaDeq3hzxnwGB0O	3	2013-08-03 00:51:44.156894	2013-08-03 00:51:46.007527	75		0
4666	107o08pao8c26wdgwe3osg2ogb	$2a$07$p.yKDQ48fwm2CckDhr.yGu1PumKsXUQglC58rkkCXjU19EVlxsyKm	4	2013-08-03 00:51:44.180286	2013-08-03 00:51:46.194988	75		0
4667	10n9ifb23xindad8780k2wsjvp	$2a$07$xrQn5kthRNDMrMZlIz3Xc.CYEPvBiQUY.zE4FCs4Cnjnv50W6wKp2	5	2013-08-03 00:51:44.203553	2013-08-03 00:51:46.339899	75		0
4668	10bk1s51j9fxoj02s1v3cawjl0	$2a$07$BOaLg.IfzZDkOtqtiey/OuCUwttHMlzaBXUmZ2L2RibN7SBgvdFDi	6	2013-08-03 00:51:44.230603	2013-08-03 00:51:46.480962	75		0
4669	10mow7mi3gfyu8ucqbayyl4gyi	$2a$07$7JdCxodMMhbPAFCuwvXzFeWtpoEpn/.NkGv.YI8Uiej4JoIksPzq6	7	2013-08-03 00:51:44.253002	2013-08-03 00:51:46.700932	75		0
4670	10o59ght6hpd6d4joophjmjue6	$2a$07$pDGxT5PpgDiFKEVxu95gke9uIyS.gyzjGdkzRf5.fzmahrrYvc8vi	8	2013-08-03 00:51:44.277914	2013-08-03 00:51:46.837703	75		0
4671	10bbgneu6dr7jhnrdxcqyjamz4	$2a$07$16uG8FDKrOkAPx0fLBbzoerlu/aNpFvjkese52.BbYv/Zu8HMLil2	9	2013-08-03 00:51:44.301913	2013-08-03 00:51:47.009818	75		0
4672	10rddvgh13gdbzup3mdn4p7lq2	$2a$07$rO5V2WNbQYXBknpbdSB8PuLi8M0Q6wtZlCABH0qeerRFpwaOpQ5Sm	10	2013-08-03 00:51:44.324665	2013-08-03 00:51:47.155543	75		0
4673	10stv0fdvtwnndbuu962uoy7oa	$2a$07$AiDRL8B99dklj8iD1DCo7.lgDCPiVrD4e.LwVntHzG0YpMBOuALfa	11	2013-08-03 00:51:44.349137	2013-08-03 00:51:47.271433	75		0
4674	1005g97v8y98yz04ow0liqa17p	$2a$07$3v4x97DVawd6GJqPwGzHYuRWsgwIOsJwEOAsOua8QOHWwALm6ilUG	12	2013-08-03 00:51:44.372954	2013-08-03 00:51:47.417019	75		0
4675	10tv3ot3ld1f2lrl8q74q6pali	$2a$07$LES3epR4C5RRNnx8qiKdCupELbEYDvvZisUYeSZkjRFpauVjKxcnG	13	2013-08-03 00:51:44.395008	2013-08-03 00:51:47.772931	75		0
4676	105nvacmqgusv2241utft7tcdx	$2a$07$fNWkSl3giOpsgX05XtKXauIGimu3y1lxie5O8tatF0AT0aZWkKk7K	14	2013-08-03 00:51:44.417294	2013-08-03 00:51:48.043263	75		0
4677	102czf4pi27rw0mz0930ebczkt	$2a$07$cnRbIGjPQrMd8YkH/dkVau7DAS2No6dzmRZ3viblgFgYRKhKrzZMG	15	2013-08-03 00:51:44.43919	2013-08-03 00:51:48.26214	75		0
4678	108ifk7x1xyld2vn9pa32ul217	$2a$07$Nx9wGuMYXn4.jfXNKxBms.vauvRiWn0KDCI5XyfA589JNo.w/yoZO	16	2013-08-03 00:51:44.46298	2013-08-03 00:51:48.378038	75		0
4679	10n20m1iwx15cv4spdnk8m8piu	$2a$07$hoQ4EpJmE0XN3CTT8yVbAOCIcombTpvbBFSG9I9loIVIJkd7weibm	17	2013-08-03 00:51:44.486484	2013-08-03 00:51:48.500487	75		0
4680	10rznq5pn7x9k9f9q9hx8njcov	$2a$07$Ai8UQBfXcC4zLAx9dpwQmetEwZS9A7OeAFovuGhw97ORmGugb7tHi	18	2013-08-03 00:51:44.508613	2013-08-03 00:51:48.607539	75		0
4681	10cprar1o92cgmx6l256gdtceu	$2a$07$U2GttK8mLilxWXAZAlRhpeymH2QfMRZrP8n9hUwOtv0ee6yf9CHB2	19	2013-08-03 00:51:44.530504	2013-08-03 00:51:48.947042	75		0
4682	106pvo1snjc6asmildxp4pjn89	$2a$07$F8MJAsRPmTKHAftmaZui1O2FNGVOVrd6fbX8rh3zFlGY8qpzS2p/i	20	2013-08-03 00:51:44.552792	2013-08-03 00:51:49.316953	75		0
4683	1005uq2yk042nw9zaj6tcapcmn	$2a$07$j2W0Fc2vGiTjZRFaNSzoNuTU53ZoAIhrzVaQ6kos6aRf/5XdzQc0W	21	2013-08-03 00:51:44.575556	2013-08-03 00:51:49.682282	75		0
4684	101njyjw7u4nt7qbd6jo7dkvp8	$2a$07$U6gaah2TcQR3.3evIP/qZOa8tWMfEeLR2h.v.GEBlii4QvphP7Sx2	22	2013-08-03 00:51:44.5976	2013-08-03 00:51:49.952228	75		0
4685	10dsu9mak3e3r30hhbza0miw83	$2a$07$X6hHL8zjifLACS0UorCeZuj0.vMmDhKIAOiBqsHJrhaBzpmMdxJSe	23	2013-08-03 00:51:44.619886	2013-08-03 00:51:50.269838	75		0
4686	10tt3psval037wuqi4b3ga1rac	$2a$07$p688j8B3NGoJHBPgmviUxOYDGV4iTFdPVbEUw458qjbAGcviDbMV2	24	2013-08-03 00:51:44.642661	2013-08-03 00:51:50.644577	75		0
4687	10hvejxmzy17pyyocgukjjku4u	$2a$07$XdU7wIfABz1gQ1BPLZdGP.099dUEATG7ez3wtsV.ZO31blnWgwdyW	25	2013-08-03 00:51:44.666019	2013-08-03 00:51:51.008619	75		0
4688	108bcd1pwytrqqlqptg2sohec6	$2a$07$x6/o8M9sNxfkkKza9D8s1udglnzUQNU.oHbEKWB0Tpc3GH60XHlh.	26	2013-08-03 00:51:44.691095	2013-08-03 00:51:51.148863	75		0
4689	10ndr71la6v8sn32rwhg9p1e4q	$2a$07$8G23coI/7FLqnyhVNZZbTu.GpsfNQKaQx1z4CTt2wwzgZ0Xsd/Ica	27	2013-08-03 00:51:44.716976	2013-08-03 00:51:51.275852	75		0
4690	10n6rb3rdlz5gvhdbq3tu33iao	$2a$07$kNgTZGk2KUEjpzkkqMQnJu9g9GVdEmkfRn7iHKsfi.bBW1Exvc.ha	28	2013-08-03 00:51:44.744318	2013-08-03 00:51:51.387218	75		0
4691	10mwkswz36uyjkan81d3ee993k	$2a$07$F/Am.q5Ji9IdjoWuo92.Q.RoP/NecNnbz1cT4mtFsLfnOdxr4gx8C	29	2013-08-03 00:51:44.767604	2013-08-03 00:51:51.504717	75		0
4692	1082gbkspjo252qptv8zs5g205	$2a$07$DljK6VDT.zPB/y5zbW/bdOpkeadPWHlutMytq.gZFofEw1s2Kz9Am	30	2013-08-03 00:51:44.79259	2013-08-03 00:51:51.618255	75		0
4693	10kjpazg9m77zidnal2hk7n4i1	$2a$07$x4P9a2.7bX4ojAUZ/kIYWOjp5/dDVtn53huvQxJU/HQqp7MYp960e	31	2013-08-03 00:51:44.815796	2013-08-03 00:51:51.719757	75		0
4694	107aqwwstbb6azlpxpdintoh2e	$2a$07$ZO.mOxELwnNmTJ89ASN6r.gY1vjD3fFIJYMgC4fAo8NZzbyI98PNm	32	2013-08-03 00:51:44.842491	2013-08-03 00:51:51.83647	75		0
4695	107usp65utvm1b7i46x8qie2em	$2a$07$kJjwH5GJsgtsfmp/Uhl4Vew4c2u1K1dlWvaiFw9P8ihY2.zO7jli2	33	2013-08-03 00:51:44.870438	2013-08-03 00:51:51.942433	75		0
4696	10x7w8htu7ys1z541964cy7cx7	$2a$07$4zs/RrQWZNjD/keOGA7qgezrGYflrKcC1ET9pnLfg/aS4Vcfd7eDG	34	2013-08-03 00:51:44.896493	2013-08-03 00:51:52.055471	75		0
4697	10hkw0gjj2f9r0fwlci7rqcg8c	$2a$07$gX45ZOrle7VoaxjgAMM2p.FrTrcoaIHR4xS1/E6Z7vLzt2s/U3keu	35	2013-08-03 00:51:44.919363	2013-08-03 00:51:52.192232	75		0
4698	10s7ccm9yg0g0yudq9odc00t62	$2a$07$bDHqX1lla.Iez3fOuzERUeIYXAn33/4i2Ens6hsiUyTW7Ef8zZGVK	36	2013-08-03 00:51:44.941502	2013-08-03 00:51:52.315876	75		0
4699	10us8c7k9ya6ox9ltce2kxx1t1	$2a$07$fZw4IUloIeMdvt3MMm5sDeRyXzKB1vPwrQX0zUeiIoZ.CEhR0l0gu	37	2013-08-03 00:51:44.965052	2013-08-03 00:51:52.521888	75		0
4700	10nkwf47ie3k7iqwqn4lchspqo	$2a$07$oiRez6vm2Jy3nZGvVGK7YOdlrhDZqP34BJlcraVUaMo8M.68I1cmq	38	2013-08-03 00:51:44.989201	2013-08-03 00:51:52.686576	75		0
4701	10lcz1njrnvry4n1l5tpjmrrk8	$2a$07$G0vmWINxExIJ8WrFD/5bT.KSYhBGWH9kBy6wt0oSNuHoCHAf6nriu	39	2013-08-03 00:51:45.014269	2013-08-03 00:51:52.969662	75		0
4702	1094voi5e40sn1j47sdttgt5t0	$2a$07$FZOW58uDzHaUVK2b9daEsec31Roo1h.gFf.wIon4ib/pcvPE3B1sm	40	2013-08-03 00:51:45.037192	2013-08-03 00:51:53.159351	75		0
4703	105j7s5x3m8vnxbgke6zt8gqbf	$2a$07$gx4kO5SA94mT6HOJ936Cgutm/tDHSYehaR8uGWYn9ZydIWeD8xVVm	41	2013-08-03 00:51:45.063332	2013-08-03 00:51:53.33348	75		0
4704	10b9ghpf7zsa1s3twcltd00y9o	$2a$07$iDz2agT5i55nd5OpRmzsre/eagXHkm8tNQaOwAgS8mu3/N4ttLLXe	42	2013-08-03 00:51:45.088988	2013-08-03 00:51:53.487577	75		0
4705	10g3j7v27rxeoo1t2wu2dswg2c	$2a$07$FLpW695K04KDexsnfOmjp.W9Qm9/zXHfQA5EinnfdKpgCAXAO4OLW	43	2013-08-03 00:51:45.114141	2013-08-03 00:51:53.866131	75		0
4706	1079628xqoicqejbjsd4a0gx8x	$2a$07$Gf7Qt1eqOh.h9gczTem5N.nqvUOQZ.iJgkYujO8zEHErVfKPNv6o2	44	2013-08-03 00:51:45.142853	2013-08-03 00:51:54.211442	75		0
4707	108xf305zlyadnxs6c2bh8111g	$2a$07$IQPKqdvedxvsrh0ZA7TA1uYISsPQjotkiCFVVsJrpHwYmo31a7N6C	45	2013-08-03 00:51:45.16831	2013-08-03 00:51:54.549461	75		0
4708	10rinip0qn2wmi9dnj5w7nkxlv	$2a$07$8kSoSeZrNYPfnqzT2pUgbevaDKEiRtv1BW3b5fQwnmXGTVhSM3AZK	46	2013-08-03 00:51:45.191987	2013-08-03 00:51:54.781038	75		0
4709	10ykf69qcp83xx9goudflw750s	$2a$07$1qS2lICJCsbBJ1JLxgCECOZBNtBjgLUWuFFhMZkaqhfQc9N6bwj4q	47	2013-08-03 00:51:45.216859	2013-08-03 00:51:54.897302	75		0
4710	1094vya99bqol1gkd7wq2wv97n	$2a$07$2M3RJquQ/q96kYvj.C66dObRIW8bSUXuTSOATPuvLVHZlIpGDwGyC	48	2013-08-03 00:51:45.240576	2013-08-03 00:51:55.033066	75		0
4711	10cl8phv6ftgmrql8zuj8oy491	$2a$07$OiskidR9QNqCZXkRl8hd/./WrtcUwn1Ny4kW/gAnaDZ1ZfOqDLNp6	49	2013-08-03 00:51:45.263718	2013-08-03 00:51:55.159145	75		0
4712	10chl0f9kvhm0vxngkz4w276ji	$2a$07$nr8HEPa19Q5NJQ0e9bSAQOGN6/cGNgHmPmSgF5gSMG3pk2B2sW49m	50	2013-08-03 00:51:45.287323	2013-08-03 00:51:55.294666	75		0
4713	10h5ern5c0qzzbktjahdjb95ah	$2a$07$gZe.RUTeaEcScUbLfWMZv.Jb4DV4ZoJnpSrn4nvpjKVRMqiHWj24m	51	2013-08-03 00:51:45.310302	2013-08-03 00:51:55.423535	75		0
4714	10vd1q0kff7cixjnw6nteyyk6m	$2a$07$7MhFq/xtv0BRCOV3bRA1C.Qbps/J3A6vMljXzDYGFpOZfd6AS5Rtm	52	2013-08-03 00:51:45.332215	2013-08-03 00:51:55.571881	75		0
4715	10ywlaamlhq19252l0rt2yr77n	$2a$07$3pMryPaXwC8GFoNsHh23juy.kb6qUNIi..W4a8K8vLiEZvMGnqnLm	53	2013-08-03 00:51:45.35447	2013-08-03 00:51:55.721568	75		0
4716	10ne8gbjc5senxy3cz9uat8h0v	$2a$07$nyf9FYFQ9GLGL44t4Znsyu5T.NSbJ6MNWc.ZTphcRTr/lKgKAJ1Qy	54	2013-08-03 00:51:45.3763	2013-08-03 00:51:55.86539	75		0
4717	10qexkekqjev61w3am90zvogat	$2a$07$hmTsMTCR5a53OguGUekYzOzzWB9peZbfkGk/3GZOhB/KKPD5dJcF6	55	2013-08-03 00:51:45.400287	2013-08-03 00:51:56.066854	75		0
4718	10k44j7vrkgpzbq0cw1tsqpirt	$2a$07$k0b3j3a/.BtjaF4i20gYF.NA5ij.HAPTNOmOktrBthIDRC5DNldhC	56	2013-08-03 00:51:45.424494	2013-08-03 00:51:56.227871	75		0
4719	10ig8ks054zpp9e92qeajzoa28	$2a$07$1FSWW2hETRI6DQ4fPvS/1Ov3Zrbk2lB060l680qxY1eanC73jhz96	57	2013-08-03 00:51:45.447763	2013-08-03 00:51:56.42134	75		0
4720	10uekjksvywo7bc46zkiwkysx2	$2a$07$.VfZwfFov1arHIOYzBtWve8ixuGOLSWzpc4aN.cBlsz.WqITBbb1q	58	2013-08-03 00:51:45.471114	2013-08-03 00:51:56.554752	75		0
4721	10sqr7jce21puna62bza03uuc1	$2a$07$vrPh.cyblQSimNfBqwm9ee79cgnSR5C8jvuLFeOm3IdF9OXZHcFt.	59	2013-08-03 00:51:45.495045	2013-08-03 00:51:56.709424	75		0
4722	10u4qflzzah503h1vnlcwrl0ca	$2a$07$KeJNdhsCnCd.6JU6r5HluecTYnTjbstooF9ZgSWjd66nM5yH0RL9u	60	2013-08-03 00:51:45.518903	2013-08-03 00:51:56.855929	75		0
4723	105m8feecl7hvow6kunb5fwzjg	$2a$07$wxRDucN.ZQ1jpGmmwx/qDuaHTrIK4e7OlVrBFvZWm.HsoorXj4T8u	61	2013-08-03 00:51:45.542951	2013-08-03 00:51:59.652893	75		0
4724	10cdv0vqxj3jyosw8p3dh2wub9	$2a$07$GYk7HCt9S3QSf1sgbxGYKuOXkgr4nOOnJCqbJy6zthQjKvs4AdKny	62	2013-08-03 00:51:45.566217	2013-08-03 00:52:02.544027	75		0
4725	10tnca15qn6capgf8eh05oyr8s	$2a$07$8n5jIY2rNfG16Vtr6aEqk.gO08gQ4fKLVcja/PQbWsfzpVSN0sg7i	63	2013-08-03 00:51:45.589003	2013-08-03 00:52:05.544236	75		0
6675	10nve48snjzwdkqihcroe3c4sn	$2a$07$KT65lo70Tyip4KT2DXabUueVNIrKK2.1Ix0YoTzL0ETX6Fu32FvtS	39	2013-08-03 17:05:00.016673	2013-08-03 17:05:10.627111	102		0
6676	10vwzcmat2i9lfcyns58cy65kh	$2a$07$uP/VTv1j1ImKTYg33FxnS.YFV/k8Hu.MOnjtISWngliR3x22G51IW	40	2013-08-03 17:05:00.041773	2013-08-03 17:05:11.004807	102		0
6677	10inxm8zc5riw47cyxhnokx3im	$2a$07$yuejVxUb0exGbF7CdrpQEOvcPqCbxAvDTfuqEUltStgqQzlUHDhby	41	2013-08-03 17:05:00.081703	2013-08-03 17:05:11.380004	102		0
6678	108vsj80n5a2x16z2mlgi9307j	$2a$07$sLvS0O0ICnPMwe/H5wPR.epnDT/VTEPSdKCqiXXiFfU/NlBG4F1FS	42	2013-08-03 17:05:00.11459	2013-08-03 17:05:11.744697	102		0
6679	10fhihs75gsv2ong6cyqlc0rp1	$2a$07$1bGfaqCfj4C8YYJ0Y2L.vOwGjUe1N1i2zNEmXpIM1McJWDVBN9FJW	43	2013-08-03 17:05:00.142823	2013-08-03 17:05:12.114082	102		0
6680	106oqa2b0i39v1dsfslyxy36d0	$2a$07$SUJR9v28hrDzYMRnZyc9bO4m.SfWr11ojwaNmzKIWbgwvoFgMYmdy	44	2013-08-03 17:05:00.164417	2013-08-03 17:05:12.473475	102		0
6681	10gy8n2zg3j7attqfg0n2geym2	$2a$07$MKRDUVXI.KwdYxCWpPAaF..b8l4iMxHrr4bryjwPO3xwT6AqANGUK	45	2013-08-03 17:05:00.185857	2013-08-03 17:05:12.827705	102		0
6682	10ly2torm2oyq8gp1icxbtwhu7	$2a$07$jwd4J1P0tFTiRPuIKJil7uO4ogjYxaFVP04tAkJ8tvUUY0uEOAfsK	46	2013-08-03 17:05:00.207251	2013-08-03 17:05:12.976317	102		0
6683	106aq4foeax997jbva2px6uvak	$2a$07$pOHwcYtKEzeP/NggFi1Oy.XE3T807H.eqP4b6/GGApPSMJ/vzVxLq	47	2013-08-03 17:05:00.228979	2013-08-03 17:05:13.120146	102		0
6684	104igvxd2yhk0ax9fw85kja7ms	$2a$07$D7ggYnhEZlZOReKScdY2ReZYCIvjYRUF4kI7JMIa8g/tg9jozI0Cy	48	2013-08-03 17:05:00.250278	2013-08-03 17:05:13.263056	102		0
6685	104dxppthlj8lfyzvx60contrc	$2a$07$4nw66T55ehWI5oVJLeDexuGvL/mnMIZ9POIVRhWg5j7KlLda3U17W	49	2013-08-03 17:05:00.272254	2013-08-03 17:05:13.554321	102		0
6686	10njpd0yog4pocc9lzq7x4gbwv	$2a$07$IHonm1B9LDfoo7ilG3M4jOCL6YvvK5J4sz9q64onE1IycHJcmU83u	50	2013-08-03 17:05:00.296081	2013-08-03 17:05:13.741657	102		0
6687	10mot7jrumsgqu5475lv4zbd5g	$2a$07$O5HwBszIHdLD2LQZTH2Da.BMr7.MtySdai08tsSag9/4NRboqHi.u	51	2013-08-03 17:05:00.320683	2013-08-03 17:05:14.093676	102		0
6688	1001acw9obtjtzcq6cq41h5jws	$2a$07$pwOIfiBSyXl/DJOtMieU8Ou6mWDgBkdX3x.NK6J.q4TszDFMUqCTG	52	2013-08-03 17:05:00.342901	2013-08-03 17:05:14.227316	102		0
6689	10a4q0ybrohxsf0l70yfmqitbk	$2a$07$PQPC.QkaVjdYeENLqkVIfOD/5U/dDYOZQpY16A1ibn0aUknML2YNm	53	2013-08-03 17:05:00.3657	2013-08-03 17:05:14.358043	102		0
6690	107s2u0gi670y9pnii4plojg7k	$2a$07$T3.VM/cGYqNZOaRtT024rOu.26DEwfbok5SajxDHEVOZH7rBWhEvO	54	2013-08-03 17:05:00.38797	2013-08-03 17:05:14.491513	102		0
6691	10cer252gf8c3c26h4oc66iczt	$2a$07$/iej5KI6T9JdS.BXrGZIcu5LCHrB7q/Nl4pogcM2o7PDx9lb2gZle	55	2013-08-03 17:05:00.41209	2013-08-03 17:05:14.859273	102		0
6692	10yh9tcf6rdnm5ce3ukg7e5qar	$2a$07$IO22w9omFSJg0W7AxFP6sOtFeu3Ikgezv4cmH5G1CbqVYxVaOOokm	56	2013-08-03 17:05:00.435822	2013-08-03 17:05:15.247799	102		0
6693	10tk2k4qe93jgjpf34q2t2v7ec	$2a$07$qtwALSCCVBUl2/lrbGf2AuE/l1DfAPt88k9pcNFXSozEKpIfseFMW	57	2013-08-03 17:05:00.458084	2013-08-03 17:05:15.612882	102		0
6694	102g2jxs67nthod3jonproav32	$2a$07$Ora/RvDsJyw6KNpeCl.nQOwHtgi5zqBcfbsMkCtV9wGJ20/uMn0Iq	58	2013-08-03 17:05:00.481662	2013-08-03 17:05:15.955605	102		0
6695	10r86nk9l5eleyq4vifp6wd6r8	$2a$07$7v/4y424YNvmtr2IzOicyuHqKaUiH3smSGS9i/EVsKQaCxBj0zMCG	59	2013-08-03 17:05:00.50334	2013-08-03 17:05:16.328254	102		0
6696	10paqbtlj27l4bjm22qz0eol7p	$2a$07$G8IQpu9zmHovo47aR2QsjOBwDcYD7.S0.qXqKdmI9LfKZmSLZVUkK	60	2013-08-03 17:05:00.525116	2013-08-03 17:05:16.456524	102		0
6697	10dtttdht2l9e9c7uolajtebck	$2a$07$CZpEX4wLrKT3uqkBTdGZE.fSB6xJg8rofFzHNuZSLmDXoy9/1CT8C	61	2013-08-03 17:05:00.546623	2013-08-03 17:05:19.258282	102		0
6698	1095x61wpilaq33nm33kovo9xx	$2a$07$uKOp.T8lJvAUUoNQ6p/9aO4D3hfrWBAD1yaG1oVIykUUJVNGs2v.u	62	2013-08-03 17:05:00.567949	2013-08-03 17:05:22.500825	102		0
6699	10zib4d61mtkphtst8h8jzy0uu	$2a$07$2VcPBdI9/ygn5.hRtr.f1O8jsH5bOIVshJ0rI3Qv7OhEChs4Nsz3a	63	2013-08-03 17:05:00.589301	2013-08-03 17:05:25.484581	102		0
6700	10q49z97429i2wky5f1updhvv0	$2a$07$Fximd6gYO/HsA/5Ne.loKefFRfxSexc3rNX1ZpD2yKD5ql624sxai	64	2013-08-03 17:05:00.610885	2013-08-03 17:05:25.623512	102		0
6701	10t6z1sz9ssow13i6zrig6s638	$2a$07$mWWJVtqBimaamoL0XRAFcePOWwKYzlG4oTuP5rGGrdF93KNINYMbG	65	2013-08-03 17:05:00.633136	2013-08-03 17:05:25.849362	102		0
6702	10p50rsscsa8wdly3ti0lkai9r	$2a$07$rBM1C13ja0EXdeGgZuYmAeVLkbyLVFLJdv.Gz8q0LssdV3iqggLrm	66	2013-08-03 17:05:00.65467	2013-08-03 17:05:26.211636	102		0
6703	10ij4t7o4ijmuyp3z0drgyjcfx	$2a$07$z.1GJW3KVUJ.iOkSLQUT8uvPlnn4yJN0IQIsd8y34sk9LM7SOcrD6	67	2013-08-03 17:05:00.676065	2013-08-03 17:05:26.595493	102		0
6704	101albq71enw27rrmmyzxc0ho9	$2a$07$3rAKEaxXS5PTNARBilu3mOeA8jVUGYVKxkUF.UoB/OsaPTdhPz0Ju	68	2013-08-03 17:05:00.697447	2013-08-03 17:05:26.968285	102		0
6705	10b00wxsd6jj94vg5exakhl1r1	$2a$07$TJeWnQxTJsfuhhsgWKuEiuH0tiTgUP7dmDOCcqxzxKD7tJoNa34V.	69	2013-08-03 17:05:00.719001	2013-08-03 17:05:27.105965	102		0
6706	1039suaqr0m8l07pu41o4pffzl	$2a$07$xgCeJr0KGR8KJ/7W9jfSVuE2arqay9zmZOqj2PChJqi9ciKw4yKca	70	2013-08-03 17:05:00.740384	2013-08-03 17:05:27.468537	102		0
6707	10l4ky8keclszv9pccwjjywxjg	$2a$07$hTvFN4mLwNcsTDbE0wxsy.jlRTm.yRqDN1PsZUgTJQYUT..YtyVGO	71	2013-08-03 17:05:00.76165	2013-08-03 17:05:27.637105	102		0
6708	1070z9vx3z119bryuv6j2c2o6l	$2a$07$JlsKiQgQyrxoMhTqfSkzNefJyWgnSJ7KerIihorid4vKX1dpXnlb.	72	2013-08-03 17:05:00.782965	2013-08-03 17:05:27.988376	102		0
6709	10mi7ahmz1qsp0a07mxy399svm	$2a$07$GQjDmdNmtstu0H3YfZt3z.0ThjqoaVVbl2m9doyxEerrbPUzRC7ha	73	2013-08-03 17:05:00.80435	2013-08-03 17:05:28.343621	102		0
6710	10py1fyx6mjatyalzyzro8t2pp	$2a$07$fp2yAED6yc7.dPwaXgiw9O8Nc9ctWVtlu3K04qKiBVuzU1SFhUB0W	74	2013-08-03 17:05:00.826155	2013-08-03 17:05:28.585102	102		0
6711	10tstra4b3rfme1w1vkdq3ttpm	$2a$07$dlrenKf/OEdb4/mGF/ARKOZO3UqaXPsUClGaHQ3xPZt4GJzaHP8uK	75	2013-08-03 17:05:00.847492	2013-08-03 17:05:28.89959	102		0
6712	101mo3mxu6gzb4fsowmfzmxs3l	$2a$07$ymFdPKDoopThvj8WUYaeCOYDDLk.Tcfqx5tA6DI1owRtkNrgYDcNC	76	2013-08-03 17:05:00.868785	2013-08-03 17:05:29.26513	102		0
6713	109y07grftrvermkfpl4txzmwd	$2a$07$kerSxRMHDUR1PW9s2G1bUORW2BPHyGpLXDzPzSdUwtzuiWIoXHsN6	77	2013-08-03 17:05:00.890174	2013-08-03 17:05:29.616465	102		0
6714	10p534343fmj2hchi45gts7bry	$2a$07$YI.xp5RxaLnl9TMw71ae9O86EQkSzKof5d1XElLPiQpsgHAvPVHP2	78	2013-08-03 17:05:00.911779	2013-08-03 17:05:29.972317	102		0
6715	10qjc4dkq81vbuu1jax3a1f8r1	$2a$07$Q.RU7bOT9ME4wgmJXG5DCOM966K.c/3sEweI2P0mMgmstj7j.J0S.	79	2013-08-03 17:05:00.935846	2013-08-03 17:05:30.100814	102		0
6716	1054qcrv6kx57aazheken3frmv	$2a$07$k6fdvIvlLCfzkKmhyIvxN.gGkaIHtluGVcX0acsqb00KtMlz.OvIC	80	2013-08-03 17:05:00.957655	2013-08-03 17:05:30.468506	102		0
6717	10hqkblqbh4f5217suhdcxcwkx	$2a$07$SI8H2xwjI5z2MjtPHtEXIuZjxd1s0I.7oO0opYcfX5C9o/etr.Agi	81	2013-08-03 17:05:00.991823	2013-08-03 17:05:30.595591	102		0
6718	10w25iius1h5i6usqqawt05xd0	$2a$07$h//kRDjrAgTyUbkWs1.PKulkYp7QCJRfsOdzEe8qNH4kWFVDfSUTm	82	2013-08-03 17:05:01.016642	2013-08-03 17:05:30.978127	102		0
6719	10bmtu2z4gdl8flszey7sym2t2	$2a$07$RcxfQEcXzQIxbG6F.7zOzOKnIuYOutwIp1t2yVaKnJ01QIT/.42yC	83	2013-08-03 17:05:01.045423	2013-08-03 17:05:31.279397	102		0
6720	10q8heuh1plo9mo1m9suhhq250	$2a$07$6u4r41Yb0qwXmH2wuJE14.L7ThZv.woebopnLd7a2XVEuYVj55EYe	84	2013-08-03 17:05:01.074047	2013-08-03 17:05:34.074992	102		0
4726	10cynp28nmm48ladb5mn1u8ora	$2a$07$SD0iqNrrmOaFYRCww7yVxO9jBBjaENiEgvcHkiskR1VRr2EhqOYkC	1	2013-08-03 00:56:44.066192	2013-08-03 00:56:45.640958	76		0
4727	105nkh6ckjh24b8qvd2k9gkp40	$2a$07$s1GaMoqtaLfj0ZSlHUmeBulYjeucKeixMD0hjdNyfX3GRjhPVHNU.	2	2013-08-03 00:56:44.095691	2013-08-03 00:56:45.788225	76		0
4728	10hy8x2yqv3anenw7bub740vil	$2a$07$MGi147CZAE77dbdaRFNqPeXpp45bfconmJO3TF0OKb182dz4rOkHG	3	2013-08-03 00:56:44.117481	2013-08-03 00:56:45.923401	76		0
4729	10qddyyxswwf129ncjxsp9yo44	$2a$07$DQQ2CQxY4e80KRahZ1NLoeFxlly5QnbRup4LyPIt4V0qojPxQ782G	4	2013-08-03 00:56:44.138935	2013-08-03 00:56:46.167883	76		0
4730	101o7qtooc1rrlpmlmik7uafrl	$2a$07$WrjhjxCkw6nAgy/4/TGQzu/jsqjzrTeDo6hEOrZbthbF4zBCmqu2e	5	2013-08-03 00:56:44.160831	2013-08-03 00:56:46.315295	76		0
4731	103vdg3lunbjxhxbqd5rr4yvg3	$2a$07$fIeOuOYsPYiQoQBVaFNkPebmQGAAtlugnfkyx0nny6JG7be962Iv.	6	2013-08-03 00:56:44.185172	2013-08-03 00:56:46.455271	76		0
4732	104qhwwrpgzp52gy3ru8kuolp1	$2a$07$rkNNnTIb8Nl7/vIYTyTZyOx7GOnKgI5PdSYp6jmEfQy90YGOI/hu2	7	2013-08-03 00:56:44.208226	2013-08-03 00:56:46.843436	76		0
4733	10ip1mjg8jz4tz2ggfzxsmspfr	$2a$07$Om/xuDtY8eqlAYKwNOqCweqkzm9HA8zgJBEHnYs3TFUrtNE/ZvUqO	8	2013-08-03 00:56:44.230255	2013-08-03 00:56:47.211895	76		0
4734	108zpblc4wfcj9ctenuuuw0pbs	$2a$07$GshRYJ.TEipaWy9bfsXQ6u0gHI7pWZQ6PZfo7gDSesfCk8oIHJFje	9	2013-08-03 00:56:44.25255	2013-08-03 00:56:47.580066	76		0
4735	10pb6d4uhsfls5rmbck2k4ut8s	$2a$07$mxCcUP48K2eGNwxOCnIS3eQNS2vOEbRc0kbeZn2iuJXprDnpoOFNu	10	2013-08-03 00:56:44.274994	2013-08-03 00:56:47.730394	76		0
4736	103sssmyvjvomq8qkap9p5yiy6	$2a$07$6ns5lD/Z7MTFgqTvb/NlyuP5aD/0NtdV0TRS9VJ2C8PZvIXTvch4.	11	2013-08-03 00:56:44.297631	2013-08-03 00:56:47.8428	76		0
4737	109x2epqw1mkxc9ze0j88higqg	$2a$07$ra9h4R4udS4miTWZguB.WuT6AZZUBGvKVS.WXPJUahy4aenEYZHsW	12	2013-08-03 00:56:44.319823	2013-08-03 00:56:47.958171	76		0
4738	10zrfc934191trwcdu0zb375r1	$2a$07$MmI./2uNthFv8Hk1WxCCcugMEZ.8cQViN4B9xWsxZvhmVYF5E3DJq	13	2013-08-03 00:56:44.34241	2013-08-03 00:56:48.118496	76		0
4739	10xqiwfr9rhatsjz4osbtwvy8y	$2a$07$rkw87Y5cyNEcUovlTrObbOmEycNqP3gHCZgKR4KM2t/udPCCRvoBW	14	2013-08-03 00:56:44.364054	2013-08-03 00:56:48.223449	76		0
4740	101hnqfkn4qde06rkefyacz3gm	$2a$07$hPPszxVKSpeJygiRRIXX1eYbewJQHOryx6eLTGIMfUcZD36Lw36Dy	15	2013-08-03 00:56:44.385532	2013-08-03 00:56:48.331924	76		0
4741	107o1nbn66gq8pktf3p3yeo0t7	$2a$07$.aC8BHWktWGU.rHxirqQjOAqE0MTTjx1aC8YaJk6F1tHFF2PiVHXW	16	2013-08-03 00:56:44.407255	2013-08-03 00:56:48.443251	76		0
4742	10omhy1egif7u1v6rwpqrkle3d	$2a$07$cNKF/givLuzRYHLli17tw.lTvQdFNEYRlgWGhxs6xth274JyZBw9a	17	2013-08-03 00:56:44.428749	2013-08-03 00:56:48.562811	76		0
4743	100tqxp1oxrgkbiqokq7b4d6fo	$2a$07$KOKKCkaVZyyM94SM/rZqJO.8Tird6tGKtFsCDtboZa6vMFtnULKPi	18	2013-08-03 00:56:44.450343	2013-08-03 00:56:48.682069	76		0
4744	10y7wf2t04z9azk7v80cem9agu	$2a$07$4erLFPfnnZIybVbnSolCgOhD/p3U/Fp5p3nip7r1CTyHtcNI0Idem	19	2013-08-03 00:56:44.471942	2013-08-03 00:56:48.895061	76		0
4745	10rxhg4g8ic3af59alf8yqc86g	$2a$07$bh3lztvlLHv4ewPZhvBBH.ldE6rN1UmPgy6EdyUqL7LSTqnk2z5qq	20	2013-08-03 00:56:44.493382	2013-08-03 00:56:49.015703	76		0
4746	10nsp0to3cvtmb2cmmx9zr68w9	$2a$07$948wXsLMQqlwSpdxaHTTceGDbzn.KqsWgLsbBxwNUrj9p86lY0sG2	21	2013-08-03 00:56:44.514814	2013-08-03 00:56:49.27631	76		0
4747	10x3tx5g0j33n93v0mvq41j0ia	$2a$07$P9a9YS1C13KT51xxxX6L4usJboVt8wYbL0ySMl9s6i31wh5r7picq	22	2013-08-03 00:56:44.536288	2013-08-03 00:56:49.487353	76		0
4748	105xzc380mdp99j0nfssg64rhm	$2a$07$ojatwjmdb60/kSGBvXbo1ecrRf.VlL3gOtWBj6Es7ZvpxcR7uywIe	23	2013-08-03 00:56:44.558279	2013-08-03 00:56:49.683538	76		0
4749	10j3kl0sfpt5ec64l1dahg4qvd	$2a$07$VKnhQZA41fSLDN/YYTsOUO80yiCFFCTOcRQXKgPdu1UKEAZVU9Flm	24	2013-08-03 00:56:44.580392	2013-08-03 00:56:49.968675	76		0
4750	10ipu2a9g9za6f5fevnrabqiag	$2a$07$BvEodij1js.OMh/BEcozyeTkAulooCsTYwZUx8uvLMFzCyCiyuvSi	25	2013-08-03 00:56:44.603148	2013-08-03 00:56:50.154064	76		0
4751	10txdvzpdy250xnme3oh5ez1r1	$2a$07$QGoJ4iQzLeCOO2GyFtdrwuTWHuxiu.8JwkROonWOH53H9PvuXamxy	26	2013-08-03 00:56:44.624764	2013-08-03 00:56:50.33397	76		0
4752	10bvlg58rwdbtxohp3vatyhawq	$2a$07$n.gTfJBQx3kwv0jBTBAHMOt69wOvB3hUBuEe2u9nzjBREebmeoR3W	27	2013-08-03 00:56:44.646478	2013-08-03 00:56:50.538443	76		0
4753	109rbmblxwpdgk66grlnvxz2k3	$2a$07$Wsv5qSaFfCx4nbKinRmfs.cjxTPV4aY7G3eiX0rj4lQZIKkWSi4fe	28	2013-08-03 00:56:44.668146	2013-08-03 00:56:50.692651	76		0
4754	10ixmqrwazc2cnfoldweu7c8vh	$2a$07$68Ncit.97p4q9sQ5gq93x.e8zTC1iPWXsR5IbjJBIOXm81K4oZw6m	29	2013-08-03 00:56:44.690076	2013-08-03 00:56:50.845822	76		0
4755	10oyzyefrg7x28chyfyhcaq5y2	$2a$07$Z2J1CJHlSJLUjKIULJpRKOCQTXckG4hVcvI16F2mStQcGXDJRVp4O	30	2013-08-03 00:56:44.711707	2013-08-03 00:56:50.977346	76		0
4756	10y64e2oiggst3up4akfnz9kej	$2a$07$lxmr8iBEvhqVNO4MOD9vG.WWXsi0oJ3SJMTGKCORAUC1lk9MLu4dG	31	2013-08-03 00:56:44.733328	2013-08-03 00:56:51.309615	76		0
4757	10ptb8fg11pzm6rxpconq5nj8a	$2a$07$xgNbRYnzaPtDsd3fYNUO6.9dZaeqqBl6fhlow8wLpYNLLaVQ5cBvW	32	2013-08-03 00:56:44.754873	2013-08-03 00:56:51.645126	76		0
4758	10cpoe11j7ihyr113rpcscaw4o	$2a$07$ejUFSav6zdtyWD2.rlbmmO1AWHY/t1PZqpW1BdD5OdOuxoaXgCi.G	33	2013-08-03 00:56:44.778088	2013-08-03 00:56:51.98591	76		0
4759	103d83un1hti74whg304hh0bih	$2a$07$OaNuER77AaZcYO2zSK3RY.Gl3ifQvJtTJNbFubTA9TNcGunMyOJTu	34	2013-08-03 00:56:44.802472	2013-08-03 00:56:52.111094	76		0
4760	10a00gs1zu78pf9sn7xsx3m5ta	$2a$07$xjEzEHY4XofSGASCGMWSi.6YP5.kVai03MUwmIU9PFWL6/lzbEsL.	35	2013-08-03 00:56:44.849144	2013-08-03 00:56:52.226945	76		0
4761	10nkmpc7jqap5gun6towxqs4wz	$2a$07$CDIFpWYfkDHVz6oOjUhdq.Fanun3n1BjrAQlkIyeBH8yfSQj9ZMyO	36	2013-08-03 00:56:44.871323	2013-08-03 00:56:52.346226	76		0
4762	10a44vsyitxhskvijtmnc76ud7	$2a$07$M4sGelYsgQ4URwGglzwFEOYxgUBQHGXxD0HiKBAmmjsozVMC/XKdq	37	2013-08-03 00:56:44.892987	2013-08-03 00:56:52.516078	76		0
4763	10vgg6s426ndioxx6y903z5t25	$2a$07$aIVtOvYlN7eYlsDmbKlAPOaKJZlWfjKabR49okOmYyMpRInTiP8rm	38	2013-08-03 00:56:44.914583	2013-08-03 00:56:52.692649	76		0
4764	10ugttsfhj1jh0z8h9sgq0ricw	$2a$07$mUbR7W/JHxIGKyuak74Fk.pVkVY7XZoHLRDcYoPWf43OExn2NHuRG	39	2013-08-03 00:56:44.936753	2013-08-03 00:56:52.958821	76		0
4765	10x6jbmxbx3z1pwvtn66g2qfib	$2a$07$NNL4Ab/JwnAYI6PaVetZwec8.EdhPsxqYKy8kKYo0waxWylpSt7cu	40	2013-08-03 00:56:44.958186	2013-08-03 00:56:53.152659	76		0
4766	10ndwxjxr4yb3s9pymtv2yey00	$2a$07$QO3tw1NL6jRo1DPb18RnUuTTVEHTTWLZRNjt1aX8LR1VDJcvKU4Uq	41	2013-08-03 00:56:44.979774	2013-08-03 00:56:53.319337	76		0
4767	1011hv6pnwdt6t94j3rzf450fr	$2a$07$RBKRJ5Kb6jiw6MOw1zqIeOC2ynw9So11H3OJVhBr.80bluPh0loFy	42	2013-08-03 00:56:45.002626	2013-08-03 00:56:53.45314	76		0
4768	10se0r9rj30scqzeiird264kgz	$2a$07$MHZV2o/IKvVg.YerFsuivuC9Y65m0uoSkBvLxUW6SS0zN5g934Kym	43	2013-08-03 00:56:45.024941	2013-08-03 00:56:53.832501	76		0
4769	10aeo75mf6no2r14yqj83nbhh9	$2a$07$pNTb1fjyvLBtzxokWivMEuHTwaZeIMLAUchNfZHEPNks8Ina0/al6	44	2013-08-03 00:56:45.047082	2013-08-03 00:56:54.051247	76		0
4770	10veewixwlsjxrrbxrai5gnk3j	$2a$07$loqwXHFWr4rcz47KzbdXoeeK96a2D2Zv5y5RZiK4UzaOjypsJPxK2	45	2013-08-03 00:56:45.070669	2013-08-03 00:56:54.161773	76		0
4771	10ri4fk8dx9ggfadul4v86ru5i	$2a$07$J/zfKp6k2ooj4J0V06olOO3Rr0X9CthiPt6lN.n1pO02bxNbN7oZu	46	2013-08-03 00:56:45.092418	2013-08-03 00:56:54.375546	76		0
4772	10yczmq160j1stdbh4zz2s266a	$2a$07$PJqd7mlFmEnjIetlZCzBf.P72J9k1fobEhoiz21wYhz/Bik3viapy	47	2013-08-03 00:56:45.115047	2013-08-03 00:56:54.489514	76		0
4773	105tbmyesf7pddcm7ew71hou9t	$2a$07$G0XsZXq60zQvlvywP4G/nuNLFnH1nj5zMA7jxCd//sD/7/zdmpxHe	48	2013-08-03 00:56:45.136605	2013-08-03 00:56:54.647191	76		0
4774	10uu6ifaosibqz9w63mkwnavhb	$2a$07$9wLxYcorYrSY7O8QlDiOB.FuiXiWnK8k/KF0JPGzJ73wfEqOeoOze	49	2013-08-03 00:56:45.158087	2013-08-03 00:56:54.772894	76		0
4775	10fub2jt8ltis9shu8psraqqxo	$2a$07$hYe9i2L5ixEzdykrrcVNUOSE625lAnwZKfbGPQgk.m8eBnJP5VCG.	50	2013-08-03 00:56:45.181295	2013-08-03 00:56:54.884949	76		0
4776	103lql8rbos2fz22dwp3h21rc1	$2a$07$YWETIta4ocQlJRDWbrZ7AeYdFSc0pZIry8BKW19D6ZQrUMRkVczZW	51	2013-08-03 00:56:45.205647	2013-08-03 00:56:55.006352	76		0
4777	10v7hwej0jqj47kuk0svdvuz8o	$2a$07$z9o6v0MT5att3gt7zX55PO47MWFLh6VR8DzKV/U91tc9c4qIREkq.	52	2013-08-03 00:56:45.228901	2013-08-03 00:56:55.132286	76		0
4778	1085mnerfktgge6a3w782ojmir	$2a$07$K87CuI5/CI/X9iA6tAg4vOgLPVuBt.uwk2S.tTwhouJGoKWCsBdTS	53	2013-08-03 00:56:45.261525	2013-08-03 00:56:55.257463	76		0
4779	1036zk4uo3u9knkhkf4xn7ugun	$2a$07$I1IzO4ihynkw.eEfHVt.Cu5Ap5sPyMaNPfXNfZ3UNJKHldckG.vZm	54	2013-08-03 00:56:45.294094	2013-08-03 00:56:55.384383	76		0
4780	10jasqx7f2xb5hta8man0dkkvl	$2a$07$VB.ecQYccBKjrUHK/TXMQ.M.KZlW5f//1xiG577WhCr8OE.oLClSO	55	2013-08-03 00:56:45.316254	2013-08-03 00:56:55.515428	76		0
4781	10qmtcoidoan21brefw62o4eha	$2a$07$871whVSZRfbfLeKyBeXlQOGUEQ0NcgVGuSd6E6fkIpmaPPjGW44Mm	56	2013-08-03 00:56:45.338047	2013-08-03 00:56:55.657089	76		0
4782	10m91aoiwuaw7e67g2d92xcb8u	$2a$07$MAT3FQf/UdpnJ0CKk/tOm.Oc2ZxiUW9CVjwIGOURL5fgjyLn6PIBy	57	2013-08-03 00:56:45.360001	2013-08-03 00:56:55.836859	76		0
4783	106j087sift5pgyiznzruo65tu	$2a$07$FTTAn1lddBHnasHLrYzfjuxsSEI2/LowtYxlHisB1M5cZuHonu39W	58	2013-08-03 00:56:45.381653	2013-08-03 00:56:55.995953	76		0
4784	10v23nojmfy0durskhe90dg990	$2a$07$AQslql7wCTT0cPdxUW.k5eV6nkuO/OmgwcImRV1Fx2M0Mk/NMgOta	59	2013-08-03 00:56:45.403317	2013-08-03 00:56:56.13277	76		0
4785	10vk7d5me4iko476k3j99fc6fr	$2a$07$Hd4MItfmVq4sgor9hpd/V.MOy7y7vFSd8pGovaAm5txmfKVivgfCy	60	2013-08-03 00:56:45.424815	2013-08-03 00:56:56.268677	76		0
4786	10i7p43wdqwvv0144zbhwqvc6a	$2a$07$.ShiVe1PIyBXE25Yio5o9eONg9R.5BSA8Oyoi3zVXiDalFMW2/3oS	61	2013-08-03 00:56:45.446647	2013-08-03 00:56:58.674994	76		0
4787	10ad0doimtathy3j800uncqii0	$2a$07$Q14vxnbIPfZl6cZ7p5h5Q.eYR6H8X2B4zllhDKBueVfG3LpmkBMEm	62	2013-08-03 00:56:45.468491	2013-08-03 00:57:01.812455	76		0
4788	10wtath9e9c38oedzf70aezpwz	$2a$07$UsMusOAnnyEwLgn6q4DHP.LymWMGvtqJu4xbm3hGsaAT2iDddQzhy	63	2013-08-03 00:56:45.49025	2013-08-03 00:57:04.726004	76		0
8737	10msw1q0997wb0iy38yu5qwb02	$2a$07$.t.cStzIa73xlYBPxQfPVePCN4e0S5xel2KPfJPo4Ojos/Lj5hDs2	1	2013-08-03 18:56:32.064269	2013-08-03 18:56:35.296018	125		0
5461	109ftuhxlig72tbukt5qc8dsoa	$2a$07$LPuvx0jkxRr08EvMSSsipeRrIDTeOk5HL3wJyc72.KUakPbPmFDrO	1	2013-08-03 01:55:29.025955	2013-08-03 01:55:31.112091	87		0
5462	10gn8oooa10376fbnzz9lkr0at	$2a$07$XjVXYyFQ3/ifNt5DFJ9qSetJBE7mzD8CejecILaAFexHKKTPaLPsy	2	2013-08-03 01:55:29.052746	2013-08-03 01:55:31.242622	87		0
5463	100vhd5zn9wx0h56r6roi6o56t	$2a$07$UrqX/PHDo4VmfBiCD5nbFOIFKqCtxqR4kns3b1FdR6Uh29olJyRCG	3	2013-08-03 01:55:29.074211	2013-08-03 01:55:31.363583	87		0
5464	10w7wa76mbp4lypa3io7a564qp	$2a$07$x2EmcssuuDkR2jYX0Fqvhek7N.EO3h2LOK8oekdIiclV64830iw0S	4	2013-08-03 01:55:29.096048	2013-08-03 01:55:31.63556	87		0
5465	10x4vhsusxvn5ujl20zml2tyd0	$2a$07$ql3sO6oXtiZxmyzFKoMPguVYwWBPrf4/v/O/NNJHaZwZaJgx3poaq	5	2013-08-03 01:55:29.118394	2013-08-03 01:55:31.744873	87		0
5466	10o9lzuvoh1s9leuyosbe0naic	$2a$07$CB2ZZpjeQqEJvIQkAO8WjeuU3chCyraTFxCxXmcN9SDrvT.wb3TpK	6	2013-08-03 01:55:29.145104	2013-08-03 01:55:31.846329	87		0
5467	103x5sjenn2dygq6xif7m4ciha	$2a$07$MFslS2lpkA4BwK46USaDgeEvucFftyG1kVl7/Wuq0mSYSqhn0Jjz.	7	2013-08-03 01:55:29.167838	2013-08-03 01:55:32.052387	87		0
5468	10eh4wam5putgyqb65theiapwb	$2a$07$526TGzX9zWCRyc1uJVTYv.FIQ49.ww6JJp52s8N63VEFeDBnQTcRW	8	2013-08-03 01:55:29.191899	2013-08-03 01:55:32.192628	87		0
5469	10a06hyl621gvcy1kaozrumy5c	$2a$07$fGdR7vOMNrSyKQFAZr6hzuA/47L7wM9xoUueEIr8dpmVhAtqaiAIS	9	2013-08-03 01:55:29.22527	2013-08-03 01:55:32.349561	87		0
5470	10fqzc73p8892hoo5pwz1qlf2j	$2a$07$Kix6i6FZqtuo54liEDZdNeqTjDIEv350HQWsVoi5IKUe.bRFMgWZu	10	2013-08-03 01:55:29.246819	2013-08-03 01:55:32.480311	87		0
5471	100ij0zu21pl1kv84ck0zm882r	$2a$07$V8BADwpk5xvWtDJNnz.whuxqdV3cpCez5z4pE8dd.PLBz3MeAqm/y	11	2013-08-03 01:55:29.268382	2013-08-03 01:55:32.606639	87		0
5472	108tihprwwu6h45b7f0uvwq2d5	$2a$07$rayMElH5/rDXpDibSeO3qeidcSZFxbhdD7dmyXMLK0pZdsajp8OGC	12	2013-08-03 01:55:29.290396	2013-08-03 01:55:32.745939	87		0
5473	10jks2swpkk22npwazv0s6y7hw	$2a$07$eK57.tDx9KeAOz8ltLDCzew2i3NvScQgjSb4Z6u9lF1tTLY19.sNm	13	2013-08-03 01:55:29.312925	2013-08-03 01:55:33.125802	87		0
5474	10813hsfd0xaj6x8ogteiz5bv6	$2a$07$3PE.HhCr8XRy6HrZznoIr.SIU2i3z/A.YP8Q/lUyVt06gnhGfWngG	14	2013-08-03 01:55:29.34343	2013-08-03 01:55:33.508574	87		0
5475	10cnfge4gbbvvakroaipcmdwut	$2a$07$oczakOk3SlXeSvTxMO0pg.TX9gEotlhQtTRzFDtBS0/PU2Z26N.YK	15	2013-08-03 01:55:29.374656	2013-08-03 01:55:33.880111	87		0
5476	1025n6vv4xiwm59f00714gzvcm	$2a$07$DhlKQaY1BqQda2EOtP99a.2n4UgNU4u8U2YqdvcrVSzKgHMxBOAzm	16	2013-08-03 01:55:29.396221	2013-08-03 01:55:34.019528	87		0
5477	10qarnzsca7xl3poxljth29kcn	$2a$07$Sw5cyjqj7e0M0ZctF/cUt.bHi67/808E9uqo5CEtL1nzu5AYrYBpS	17	2013-08-03 01:55:29.417694	2013-08-03 01:55:34.165961	87		0
5478	10u93rgyzul64i1t5iyk9ihz1z	$2a$07$hKdjYXHNAdqqxsMXeWlcJ.Cv/l9Nmb5eTizutssToAAious4bWVg2	18	2013-08-03 01:55:29.439342	2013-08-03 01:55:34.405358	87		0
5479	10u0nicwnx5jshgfjinkqvywar	$2a$07$o/gIqWQEtq21fTZtGOzh5Ony2ziy1FmkxNWqMDPDMyJLWiZ0QLbqe	19	2013-08-03 01:55:29.461124	2013-08-03 01:55:34.796157	87		0
5480	10dmw01hu6bhqmf8fuzw01dv1q	$2a$07$8n7QO5SZhmCoTTMvBJYwbOQdcAYgEM98H97MR4UR7O0gk3Us3o4Nu	20	2013-08-03 01:55:29.48545	2013-08-03 01:55:35.139292	87		0
5481	108s4cl7iq8zdirs199k9ndz5e	$2a$07$l49O/LvK75AFGkerhqIWy.WHPkN4fMQJ9doh0cV6DNY8znrJaRHsm	21	2013-08-03 01:55:29.508809	2013-08-03 01:55:35.53902	87		0
5482	10o7mobyb8ixaxjaqfpt9z8cbx	$2a$07$BChs/qzYpOWCT9iaEbhmJO.LDaXDvGRAFuGYcNTGbPI7dlcUtOnv6	22	2013-08-03 01:55:29.530626	2013-08-03 01:55:35.677162	87		0
5483	10fi8djlhwxqwl2hgrn7azibgk	$2a$07$axtMS60ug0zjoY9/DZ3GcubJhigmnxwComJthFWb1n7HMmZEWwGZS	23	2013-08-03 01:55:29.552101	2013-08-03 01:55:35.819938	87		0
5484	10f2lq6qvgbkgo6l7c4ume25ea	$2a$07$k5BdHWvOO8f2tevrZeM4.uooLiczaEhoN6hOZ7LA/AlWTYTB7ZEdm	24	2013-08-03 01:55:29.573709	2013-08-03 01:55:35.946991	87		0
5485	107bdhpqic6ajv0rtf9c0xefbg	$2a$07$9R5E1F/YVtiILZZdkdW/muqPpto4vaf71HeKPax8DHe8hPokxGu86	25	2013-08-03 01:55:29.595318	2013-08-03 01:55:36.195973	87		0
5486	105guqqd7e1anq2lp9luxhcy4h	$2a$07$kBxTzM1.pRPR90DT1fj0yOlaklqjQoTdOl28MS1F2JxQp2qdA.Fxa	26	2013-08-03 01:55:29.616691	2013-08-03 01:55:36.351412	87		0
5487	105byglhjndxvyv2tj4syhjokm	$2a$07$WtLCUvSUohYm0vphcs8JYuthV6Vr.94oBwKOXvAhP.60alGBtyOoC	27	2013-08-03 01:55:29.638498	2013-08-03 01:55:36.540262	87		0
5488	10caea0r0eyeiqbhmctti9expg	$2a$07$aOSxj7GNrmuCgz5W2z2e8Oc1hdR4.fe/OQyF1snBCeOTziDOYxuAe	28	2013-08-03 01:55:29.661255	2013-08-03 01:55:36.691329	87		0
5489	10sf25a70jueov19kksf77ohc1	$2a$07$wscyChR4thInXXj0I68/Qu6JZ44XIMXHu6RTb/vSRRGTaunHW6LNe	29	2013-08-03 01:55:29.693635	2013-08-03 01:55:36.970744	87		0
5490	109h7dw795y9nif2u4x7aq799e	$2a$07$8U3SDEdBplNPtILkoNai7unTTiZfErtzk3e5hZ/fxhiQYMkcvLu4S	30	2013-08-03 01:55:29.726917	2013-08-03 01:55:37.094475	87		0
5491	10e1e0384ndyhczu7qzvxl53zx	$2a$07$zb3igt.FWUHs2UtuulIdzOgCKKsmEiHhQy3ikhBritkQIy1P3XSyS	31	2013-08-03 01:55:29.748313	2013-08-03 01:55:37.227373	87		0
5492	10tlqsvqio944butbihwzvm1d4	$2a$07$z.gl1bV95T9Q7jH.wvDhO.whQTgByE6Mr5txtGEuq8lR7wnskPDIW	32	2013-08-03 01:55:29.770107	2013-08-03 01:55:37.36273	87		0
5493	103elc0bacf7xndm8bi3owk9wq	$2a$07$LBDWqdb1Mo0vUJnklWLIGemrmnJIoN.DlZKPBs.YEgGVPzW6n2mVi	33	2013-08-03 01:55:29.791641	2013-08-03 01:55:37.49828	87		0
5494	10eynrmlbt9mv18v72qt1ge73y	$2a$07$ZEDRLOy2F0RLPECsMjoBteMRpsMuyYb.HmGbyZN.Q6VO9adLhaMlq	34	2013-08-03 01:55:29.81336	2013-08-03 01:55:37.630266	87		0
5495	10feywsrbdyvmyh1n18o52qip8	$2a$07$1bXd1XCg2dCK6VCsMRl/He0MOUVF7CGFT5r8C48aDHlaxdjslfIlC	35	2013-08-03 01:55:29.83673	2013-08-03 01:55:37.8787	87		0
5496	10wxsyub320pwarh50athxtmpy	$2a$07$2JdqH8riBxjl4Gy1sbfjvOF4nk65rKxuneo8AgsfUJEHqHW9/ci5W	36	2013-08-03 01:55:29.861502	2013-08-03 01:55:38.046046	87		0
5497	10g6x8q3rqd21cujmq0ewmwzvd	$2a$07$fFWiV6foYrttN.eR5XbyIuyW0rvGdVsYy3/WJJCHnkOxHAwJ4g8Ea	37	2013-08-03 01:55:29.895241	2013-08-03 01:55:38.341171	87		0
5498	100x2f7f1h1i3zw7qcngjj4ze4	$2a$07$ORg7fXlaEFQri3Ewv7QO1ON0.fMO/uoGff89NVDvSK23nSsmGHaw6	38	2013-08-03 01:55:29.91728	2013-08-03 01:55:38.484022	87		0
5499	10j0b4pwfa02xbqc9skwu57pj5	$2a$07$I.lBBzKwRuUikCE2MS/AIOrUtuw.9FHgXpdqztBh8Xl5qFyhQFw.i	39	2013-08-03 01:55:29.938703	2013-08-03 01:55:38.744212	87		0
5500	10yud1ccwlcc2bboy57iiusy97	$2a$07$Rs8Hyo6KxLhDrQRgVMJ11.AdzXtHeqTE9xtLLOMhE2ZTuSN1hmVi2	40	2013-08-03 01:55:29.960031	2013-08-03 01:55:38.96121	87		0
5501	10mqt4j3j3anxkn3wve5j6x39o	$2a$07$FjlXyAFyknInAP/9ND6RXuah4ItMYXej2tByoOaMf2ayhZ2eeT1BC	41	2013-08-03 01:55:29.981888	2013-08-03 01:55:39.160264	87		0
5502	10671varung0ebmv2gdbc02ii2	$2a$07$.deky0waujLpI2iHZlDoHeFjIPSUGVI896xgBmCOFaZ2KEMhvApJq	42	2013-08-03 01:55:30.003569	2013-08-03 01:55:39.359918	87		0
5503	10987p7vyq5tadyv1kwza5h8nm	$2a$07$h.X/4UJ7bBUZrc4H1LHAsO3/RxbXz.U3/g7m5yg2c3McvO550mcZC	43	2013-08-03 01:55:30.025186	2013-08-03 01:55:39.514272	87		0
5504	109mx6ls4chjzn7xa7ohimv8rn	$2a$07$TTHMKJjviooX2SZnj6Z8v.llQloQZhtNXGbI.fbcYMeQGF0K62BWW	44	2013-08-03 01:55:30.047182	2013-08-03 01:55:39.760049	87		0
5505	103qx94gao2kshikx5jn79b391	$2a$07$thm9DWUxIHH5.R/uDLcEf.lqYn6WIPeG15MbtjuBnn59CUqpeE7Cy	45	2013-08-03 01:55:30.068626	2013-08-03 01:55:40.095725	87		0
5506	10zt5d0z4jby7x0vrpbv1yh97t	$2a$07$4YUWhxkzeZqe7A/yLqXtrupQLZxJ.hDl/TNCey2WR.8lw1jqM/kQm	46	2013-08-03 01:55:30.09032	2013-08-03 01:55:40.526304	87		0
5507	10lee99xn57kdu713b9k4ec11c	$2a$07$WOnpw1IhsADf/1hvEL2QvOne0ScVWpU.nnlFI1g8LLhIWjEV0.jm6	47	2013-08-03 01:55:30.113204	2013-08-03 01:55:40.922496	87		0
5508	106oqygf7cr5e9rcm5v85bsnkb	$2a$07$FlpwrAP2xxU9AAfmLocFOuXb/RM8E1TD1QNx4uxpNk9WAmd82qNCW	48	2013-08-03 01:55:30.149573	2013-08-03 01:55:41.279426	87		0
5509	10faw11p632wqqhn8obh5s60wa	$2a$07$.uQaLZcDGx9XCEXF5LVVteiowhccZgD0eK5BqSLsM36lwYoqTyD0q	49	2013-08-03 01:55:30.175921	2013-08-03 01:55:41.417411	87		0
5510	10g3a1d891lye33v4z4nkgx3k1	$2a$07$spZsTeqGFLXAKSafVlmZe.8FVYdrccLaJMVAUbAEbEIiRPwSXMaIK	50	2013-08-03 01:55:30.196893	2013-08-03 01:55:41.565792	87		0
5511	10vk1xvzaoecomg0ek5fp58mn9	$2a$07$xRpJkUtAJbr8rp.7wmGQ..YfR8JjeFT1Yk72X0ZT1XVf.7su/sU8e	51	2013-08-03 01:55:30.218597	2013-08-03 01:55:41.7023	87		0
5512	10g1yt00ynoh44rog0aqav9fao	$2a$07$bjcr9RzGzHoqoQdEZVlFVeOhwRKWO1hYNx/uHnapN5J1KrbhDTBiq	52	2013-08-03 01:55:30.239895	2013-08-03 01:55:41.859353	87		0
5513	10v2bv2uyrea6dpos00i5vwfkl	$2a$07$D2HQPO93k/Y/jXI3Zkw30.P6r6nQ24vFwueITpSjMnZ.tB8Swy0/i	53	2013-08-03 01:55:30.261386	2013-08-03 01:55:42.014722	87		0
5514	1062h4cdjshp5eil9wkib2kg5n	$2a$07$.e7yIktMgx0hVuQfT1yUSuz87PNGcKwD8WvcQGFpF.QG1tgoSm4ym	54	2013-08-03 01:55:30.283215	2013-08-03 01:55:42.195279	87		0
5515	10ql2nfhlr7fvhftqwo205756q	$2a$07$gnwp8dkU.1qcp7thqaE3juyvDxdGKruu9mH13rQcWxSUa3rFqY92m	55	2013-08-03 01:55:30.306462	2013-08-03 01:55:42.57223	87		0
5516	10cmhdxrwdl2lgmxjc2ix1mj73	$2a$07$JZfbxwlFm3pIzQ61eF8iCOlesTUIgcj7UkZ0PGk0zTYgXY.bdBtU2	56	2013-08-03 01:55:30.329577	2013-08-03 01:55:42.936326	87		0
5517	10j4053623g1ulstuc6yo0e5uu	$2a$07$G99S.QYIB6JdluInXbbQmuJ14Vicvm51MRW9Zfs0aoL.uYIGd72tC	57	2013-08-03 01:55:30.351836	2013-08-03 01:55:43.297908	87		0
5518	10jgx6567bculz1lvu21beddye	$2a$07$zb.hLZAp5RTj76bikFtMxOSYtp9dCmCcqbZYTmm1D0YOUTozhMrp.	58	2013-08-03 01:55:30.373716	2013-08-03 01:55:43.441917	87		0
5519	108n58ezxllkf8s6tzq32io4cg	$2a$07$NZK81VMxHRnwW4DmPCgEcu.w3f6lhTq7.O1DIAw5hf3dfKDpZBOnq	59	2013-08-03 01:55:30.395511	2013-08-03 01:55:43.589714	87		0
4789	106f51lt2zifwp3vxleb0etxlz	$2a$07$e7wS1kgaNx3i27.Bi764tuh1KMqeavxayHLM.JI0wm5dUVLMfh9ge	1	2013-08-03 01:01:44.041328	2013-08-03 01:01:45.59789	77		0
4790	10andq9g68xhq81rifn9mf0jo0	$2a$07$8VSbXr2ZPPz25oie3RQTz.nj7k66hxPYMe3rIAXVf1SiplgSSEiJS	2	2013-08-03 01:01:44.072724	2013-08-03 01:01:45.735692	77		0
4791	10s3o1qo8hdet3wnf16zg9dytb	$2a$07$cQRqpHpLQXCKadf4QILKE.ugtMcyrh0QWcpAM9egOp32LLAwhIgFO	3	2013-08-03 01:01:44.094395	2013-08-03 01:01:45.844518	77		0
4792	10ahr3h90hj2f6rcfi69xfswkt	$2a$07$38d/lO4.CZZ4aD9U4M5B/OHoXxSydDy5Okm.ai8YvNXRpM92R162G	4	2013-08-03 01:01:44.115981	2013-08-03 01:01:46.207478	77		0
4793	10lqbl4k5klg9td9hcinfx50u5	$2a$07$.UA3LvAOrDvCbhr7luDg9.OPY3lQWSqF2UlGe60/gNNAQMK86hQ4a	5	2013-08-03 01:01:44.137598	2013-08-03 01:01:46.496135	77		0
4794	10llf0bjkx074769ccy55zgezs	$2a$07$5djVp4jT6hHnffMMcgKQ7erV/1Dh0MqxS8uzPoBSxxYqMoSqey5nS	6	2013-08-03 01:01:44.161847	2013-08-03 01:01:46.595975	77		0
4795	10uiez9doeb53oq9sjmnkxxv08	$2a$07$SuZa7hTodxYekyeBvYnICuhcK/5Bu6L5pgx2raX0hjS/v6kvrAaK2	7	2013-08-03 01:01:44.184248	2013-08-03 01:01:46.945437	77		0
4796	10v5dmqfs6wfo6t2n5vg6ns21u	$2a$07$vqEVCl4qxKbaKE.4E.AUzOZ43I621LEMuVXp3y8tXDIg3KFBMSqSa	8	2013-08-03 01:01:44.20684	2013-08-03 01:01:47.282876	77		0
4797	10kxx7jd1br7mq0be8rvqz9m7w	$2a$07$RLYrBZnSbLC6vK8Og5v.pekbbj9Gs2rKYo7vtsFylCxYCs/qidxwS	9	2013-08-03 01:01:44.228622	2013-08-03 01:01:47.644255	77		0
4798	10ajenw7uylkzeygv90sox1n51	$2a$07$VBj5nkuAD1aejxrNpCZUs.4SaTiov1yWCJWjwO/8bQqtEJNfoZOWy	10	2013-08-03 01:01:44.250176	2013-08-03 01:01:47.745874	77		0
4799	10p09m2bgyepuuyldh4gd18820	$2a$07$6OOVopHdB4y4aTLyzmkbY.vRhzLM3mtBg/Hu4sP5dkzLJ.SqaSJ5S	11	2013-08-03 01:01:44.272084	2013-08-03 01:01:47.851322	77		0
4800	10k94y39klcvc4wigg2z6hu2cr	$2a$07$1n3YAqXo6vJlWfshHxJ6r.hH1fxDGyea1sHIrGm/MQacO5I3kMYkS	12	2013-08-03 01:01:44.294922	2013-08-03 01:01:47.953	77		0
4801	10ar7vrb922vhh75l7i7i3xuk6	$2a$07$L95TZ97KA7ix8erTObIdIOGAaA/zbTtH4b6o1qc6ogLpXvZLCEtka	13	2013-08-03 01:01:44.316656	2013-08-03 01:01:48.112603	77		0
4802	10t05gnwzaincslzj4iwwf8fei	$2a$07$PFE514A/SYf1Os2k8fkMaOXO16YQHfSIyvLTxkVuEaCV5v7dtOH/2	14	2013-08-03 01:01:44.338387	2013-08-03 01:01:48.253675	77		0
4803	105xy4qesyxxy6k3et2mkjq3co	$2a$07$TkliMDdcXByZVbhzKKn5qu03WjvPGsLKnUpIGT8cZNAhZntY5cLZS	15	2013-08-03 01:01:44.360325	2013-08-03 01:01:48.44593	77		0
4804	102gy59jlaw2k85ti503lwlkg1	$2a$07$LljiseBLN/.IHEkb2OqAReODfYa7TqDKbq/MVypUQ8S62IeYrvJzG	16	2013-08-03 01:01:44.382365	2013-08-03 01:01:48.603687	77		0
4805	108xkbktsza6eg58m4lk57ldkt	$2a$07$NMBPqhCKhEtBMhkRprFHS.l7bXFkl2pSPWfTeNYxiXQb2uSkPKN4e	17	2013-08-03 01:01:44.408886	2013-08-03 01:01:48.766832	77		0
4806	10552e2ka5w3px6dabh49gq1an	$2a$07$QAXGt6ccTEGW7Oj3mj6Q0O4zcuJggRg.2ZngNmZQBM9/Bxv23Z/jG	18	2013-08-03 01:01:44.444927	2013-08-03 01:01:48.958529	77		0
4807	10lzdsyk760qy8ks3k9tckl7vt	$2a$07$43kZSpFXQMnZEvEOkvEg5eYUcg8AOJs1JDddUMIY5tKGA1PImdu4S	19	2013-08-03 01:01:44.466739	2013-08-03 01:01:49.328058	77		0
4808	10lmk338mdk3zd3rzp2km1vo9t	$2a$07$sMs6UBSBSXUkOTuLZ8pQUeZ4GQAM6olRC/9a/yG3BJWFye5Qsj1im	20	2013-08-03 01:01:44.488729	2013-08-03 01:01:49.686585	77		0
4809	10bg8kestnwu68p45wtsgfsuvx	$2a$07$ASgFvw1lqqXfWWYcnSjtdOzu2AIp1sqxwx7gun5soAbsAq9n4mcsy	21	2013-08-03 01:01:44.510633	2013-08-03 01:01:50.045593	77		0
4810	10jr1gs4e8exgqlwpi28w4m0jj	$2a$07$xX4Leim1czU4rXhhpx8OeuLCLuRznR2R2mUYyuJp9DVsHrRYC2MCe	22	2013-08-03 01:01:44.533311	2013-08-03 01:01:50.261232	77		0
4811	102mr3iybt26jzccto0y35ju9t	$2a$07$N0zYLsP2EtzBT2B1XbAqb.vY8xXMxx9pNORSmGWHyjhafj4NX77oG	23	2013-08-03 01:01:44.554824	2013-08-03 01:01:50.471645	77		0
4812	10ca58r9chj7tvq57c3vig5t7z	$2a$07$eIeVr3qwCMVYQgf/4MKdteAruDJAeuqrJlmCYQGF1k8TpY/my8UJK	24	2013-08-03 01:01:44.576403	2013-08-03 01:01:50.688476	77		0
4813	10oacme9eco11ecku5tcm55p3c	$2a$07$2jj7p/RIznd1bEfj1QOEXOP2MmfDHof.mQ5ImyEFK.MOljGYGBZ6i	25	2013-08-03 01:01:44.59799	2013-08-03 01:01:51.031819	77		0
4814	10pfv4fb0887n6lq2tm299994n	$2a$07$xi9TB24oEOKgg0k4DcOMyeGNBDujtcGMza4F/pFrUDBsGgFnnLxsG	26	2013-08-03 01:01:44.620785	2013-08-03 01:01:51.373797	77		0
4815	10p6h90ie8akyr7lh7tudn0ora	$2a$07$mpFRO1Vvtb4mcEySVotYX.ywoPuX5.6b8gzvajf1gIwtTXNCMTaUq	27	2013-08-03 01:01:44.642441	2013-08-03 01:01:51.728862	77		0
4816	10inqy8t643urmqho59zifchsx	$2a$07$XW.K7wFzGstROCKoqJ00f.G/xdHWp6nI.Cs4On3MDJ/JGJUydNyDy	28	2013-08-03 01:01:44.665859	2013-08-03 01:01:51.96496	77		0
4817	10zlz2xx0y6owte74jpk96esbl	$2a$07$Npkm09UIS2q9jrgmfBEPmuQe5V7ciEshG0EcOYUaEaaDOrNse6fKq	29	2013-08-03 01:01:44.68859	2013-08-03 01:01:52.108847	77		0
4818	107x5l7fnodfyh9ceqo8oym1ph	$2a$07$3YTqx0v7fJJhqeQE.Bjia.pna7cfhY6s99oFesUAIlXFQFdg2rYVi	30	2013-08-03 01:01:44.711318	2013-08-03 01:01:52.275872	77		0
4819	107dnci5qgaoek3ysw97qzb1np	$2a$07$fYNUlUt5f4h88T4GRMwUDux6CSIUhXtBBZNMRWjgiOMeIEtBdkXnK	31	2013-08-03 01:01:44.740377	2013-08-03 01:01:52.624713	77		0
4820	10fqbqagisl16gxait9m2aqu5y	$2a$07$J3xAZaGwwWREkJHjnnuKZ.14uwMGoLg.q3ZSc2bv.Jg5NbjbBdC2i	32	2013-08-03 01:01:44.77679	2013-08-03 01:01:52.962126	77		0
4821	106y29p5iuxuy4saq81b424wiw	$2a$07$on.cusenN1Nyv2SR6cw9ZenSWWEYnOiyPkQgJZJbBsLYU1rl84Rhe	33	2013-08-03 01:01:44.798398	2013-08-03 01:01:53.292984	77		0
4822	10tfqonp6q70takh5huumr6lkf	$2a$07$9yIPDQXoqieWLeoOs3xmNeeLr4UnZk.Kttdo4FC/JZbzOh9SBbYUy	34	2013-08-03 01:01:44.81986	2013-08-03 01:01:53.397328	77		0
4823	10ctps404fofycytmrbcrd11ym	$2a$07$2A1ysIfAZucLq9jORUg8A.UyaCkHZm27UkwBTEJuXvfWmWGlBB2ti	35	2013-08-03 01:01:44.84143	2013-08-03 01:01:53.506785	77		0
4824	103g0li145hnitlymdgks5s79w	$2a$07$fqFFr2lb4mWAvNipdvW8Lu0zPRGuXMOHEmPLvGyzkFt3ijPpunaCC	36	2013-08-03 01:01:44.863085	2013-08-03 01:01:53.696637	77		0
4825	10g47e5om0ogocsm1oaf0queaf	$2a$07$K.VSwL2YZtMacb/HbYEyYerST7WyzGRhgcMAdil//WZJMI8qju6Xa	37	2013-08-03 01:01:44.884739	2013-08-03 01:01:53.963752	77		0
4826	10ayjddf5aft5jxuh2b6u1vjnf	$2a$07$9cSnHFFC62vJB5V1DPdWr.PQBhbhm9LXesrhdEHHyINWJvqWCd2Fa	38	2013-08-03 01:01:44.907755	2013-08-03 01:01:54.089486	77		0
4827	10rmhmta499xbfirititftc0z0	$2a$07$cYp5HK3Ekk6aAwCQe1gIvuLs1I8I/XyGm3mHesFOTLRbiWsa6GVve	39	2013-08-03 01:01:44.935796	2013-08-03 01:01:54.341928	77		0
4828	10p4d2akb4i1y6i9v309ff6pie	$2a$07$494yJQt0/jCD0KVh73sqXe3AYjcWCPIkHWeSeomKaQhIFRCCB6GWC	40	2013-08-03 01:01:44.960145	2013-08-03 01:01:54.511945	77		0
4829	10qgrnd5uihhvj0ug5hrff18u0	$2a$07$Ie/DRMuJ7naUyVCj8kzYKe5rQAsI7pJVBFoXap29hBcga0eCyGvWW	41	2013-08-03 01:01:44.982211	2013-08-03 01:01:54.684185	77		0
4830	10onc1ljldlijd3s7jeyem55gf	$2a$07$8npD4tfm92sCMp3Z2ocsTet7e/TyQNUpjZfKxF7ddPzGFGuNWLR1y	42	2013-08-03 01:01:45.005696	2013-08-03 01:01:54.827239	77		0
4831	10mel6j0bhghjthiye6d7eonn7	$2a$07$TYiXPeskKLZaj6xi3tk5lOIQUJUx59PvJTWKVdXiNJE2MpOnqFH1q	43	2013-08-03 01:01:45.027286	2013-08-03 01:01:55.17767	77		0
4832	101auy84e35x5auw92gwz1p3qz	$2a$07$VandjznaPb4Cmba26EbbK.qBfaN64YxWfzhahbMzugQwopMTUvcdS	44	2013-08-03 01:01:45.048885	2013-08-03 01:01:55.393117	77		0
4833	10ri8stqi80m7vdbd9z51ksn36	$2a$07$0anLPbDzkfdYYxjj0C5C.ORFVycbSwFyycPgyogI2K/dWRJGG4xhC	45	2013-08-03 01:01:45.070306	2013-08-03 01:01:55.542595	77		0
4834	10t26ggyai3fkx5uliqencucxz	$2a$07$RUOnubO122xtjd656h7imut/RMccFFZo7E28zxiirkYBl.HGbQwrm	46	2013-08-03 01:01:45.091746	2013-08-03 01:01:55.888624	77		0
4835	10v3jrdk8w03qw9gyalt23totw	$2a$07$9IPzSakfvpBIZTCPtBxZjuyxTQ7OiEP5qCU/Y87/4ZiIVGD7FRHVi	47	2013-08-03 01:01:45.113302	2013-08-03 01:01:56.219748	77		0
4836	10mfqilp1hz6rolppf2umsmyar	$2a$07$pNs3/OopUIoxRT25tfV/bu8e3PtXmBMmEq70PwmdLAcgyj7Jav4Ae	48	2013-08-03 01:01:45.135575	2013-08-03 01:01:56.553921	77		0
4837	10oydhrq5lwgcqg7wmf8wvcio4	$2a$07$bPWriPJW/FC2t01UisI1HOJ3OPKLWvCKgCNSzmQCi5wJHRsabn1JO	49	2013-08-03 01:01:45.158925	2013-08-03 01:01:56.668974	77		0
4838	10oqwnp6sv044kycjimv6celck	$2a$07$H1c8aQf..j0l7cgOhR4UyeGbiJHShuJfaFM1TdHMIbGLX45w1QJ5e	50	2013-08-03 01:01:45.181409	2013-08-03 01:01:56.786251	77		0
4839	10qdjswgsjtvk5mb7osy43t8co	$2a$07$eskv3JpanQlK81l7uWCf6.AV6Tvovl5NdeZmUZRaRVLTCj/bczTQG	51	2013-08-03 01:01:45.202895	2013-08-03 01:01:56.900853	77		0
4840	10otk1uuvb87ff8wibcr2537qu	$2a$07$d8TMJ9mQCnKnYYVjbxHZouyXal46Kuk60sxAttlp3xfnu7fN/SZYW	52	2013-08-03 01:01:45.224328	2013-08-03 01:01:57.195659	77		0
4841	107ujoryod6h585g47x4xccxpr	$2a$07$NKMhM/YmZIOv4RcHDYSG9.7tN9/cemTy2wkjReSXYyaniWvQoXNBe	53	2013-08-03 01:01:45.245834	2013-08-03 01:01:57.320651	77		0
4842	102aldg6m7tv1u33qikyma2irz	$2a$07$OwVRTGpVXS/VlCa8u9pD.O2ihhHLJ3LwigYdRL9t7LOFrvI6aK5/O	54	2013-08-03 01:01:45.267979	2013-08-03 01:01:57.471567	77		0
4843	10nvrfdz0lpa329m4nuhcrn2o6	$2a$07$2/TxfncyLzatDLdoBYFp1eqmy3DsDVKTSEdAw.LwDDxURXYlc.zLq	55	2013-08-03 01:01:45.289912	2013-08-03 01:01:57.67115	77		0
4844	10qj5gyukw5y0dow226sm1ieum	$2a$07$M9Lexa7g5eaN2QPBOrcsWOGka2OJGT.ZV.asDXGp6LTR8vUcC8Zje	56	2013-08-03 01:01:45.31275	2013-08-03 01:01:57.914445	77		0
4845	10nmnz47if35pqpluymbrvbj87	$2a$07$ShhKbLZ91zfaEd5/bKl2TOfkG16QBLVuJAQ8KSA6ECS/fDBpzD4sa	57	2013-08-03 01:01:45.334216	2013-08-03 01:01:58.067576	77		0
4846	10173oo9gr7q25e9xcjj2qjixl	$2a$07$27Z9yIILTyDkyE/Hu8Szz.d4epN1Pmtn1z0HsHVo0J1DtlIp81yfa	58	2013-08-03 01:01:45.355873	2013-08-03 01:01:58.322224	77		0
4847	10c9qjjjllyujr5ok6cbj7veim	$2a$07$cBmczuRcKsZ0Veb8G1gJx.t86vCecBYIvEQrjcDipl3n.zeHC65Mu	59	2013-08-03 01:01:45.378036	2013-08-03 01:01:58.458742	77		0
4848	10dd3y27t6pc4r82n7m94njvhe	$2a$07$w7mTfty89QwpF/Bu4Nqu8OgkBxg18a9k2gwld/lB.I7spqEnhp3s6	60	2013-08-03 01:01:45.399756	2013-08-03 01:01:58.638735	77		0
4849	109anwwbh47w0tfzh9lhht7hzy	$2a$07$7XGXfyKy8PELl.nPYrOcQeF7xnF2RokNTr4RpD4s6Nm2D8p/asWBS	61	2013-08-03 01:01:45.421209	2013-08-03 01:02:01.407039	77		0
4850	10pujthhz2keymq97nmgfs293q	$2a$07$9uhNM5IwByxLrb6d1jfkaelPGePpqHP/qsDaqlM9rzvoYES2dgg92	62	2013-08-03 01:01:45.442747	2013-08-03 01:02:04.007769	77		0
4851	10fwtp9f11d9hd6rxkuz1e928u	$2a$07$FsYSC5BNFGmggb5yu12ziuiZ9.XYpV097y0.zD8f78UZoC1Onx8Pm	63	2013-08-03 01:01:45.464057	2013-08-03 01:02:06.809284	77		0
5520	10pnmxzbpebw58r0s5gv3jjaoz	$2a$07$IbavTBd2UVrYdbz/RnK0OOXjTSVytoeMXLCFw0gZuXfxB5H2XNycm	60	2013-08-03 01:55:30.418565	2013-08-03 01:55:43.738821	87		0
5521	10j8jz3meyl9pc7dqvv56dfuhp	$2a$07$T5W0EpQ.SpSYdVWKSrAYq.PfE7ge19qn881/n6LjxXJxFqRd4J7Cy	61	2013-08-03 01:55:30.440062	2013-08-03 01:55:46.781361	87		0
5522	10v8b4hax84dbo63m9ib05n3lw	$2a$07$hiKph9CRvsip2eCRClhe.u0gSs9OafcyzDuI4y8rnp/o1Fx1nZ27m	62	2013-08-03 01:55:30.461743	2013-08-03 01:55:49.885811	87		0
5523	10wb74xqpo0oj8idtp33mw8r2d	$2a$07$VLQJONI/vfIwz05bUfWlguMDJZ7Rwhidpa6CuQvu7isUBH.0Cj/fW	63	2013-08-03 01:55:30.484297	2013-08-03 01:55:53.082884	87		0
5524	10d06udnqwbcohtaydskljclqa	$2a$07$r2Alhjee5Qzqzcvx4ojG0OI.KEdecHb0oFwoKWcFVFDXDAklswj1G	64	2013-08-03 01:55:30.508578	2013-08-03 01:55:53.219259	87		0
5525	10oh8uvcl4vhb70zv7rkcr88qs	$2a$07$MYUfEHgP0rsX7WQgmCA4q.KqcCy5ebSHp4xvGCM4OaSr0N6oSjTUO	65	2013-08-03 01:55:30.532673	2013-08-03 01:55:53.393248	87		0
5526	10fpf0u4walc8c8hnvwgyquxwu	$2a$07$CozPNp.9Aq.Rsd0QY4VzleoZYmQUBIgubcJRVRaymURbUGeY5RNeG	66	2013-08-03 01:55:30.554496	2013-08-03 01:55:53.632404	87		0
5527	10smqhdiqqwymqr9mdc4s47epi	$2a$07$VIf8GceljbpQZOdZyEWOg.ogOmq.tndjbIE97JWd0wgk7JL.Y.HPW	67	2013-08-03 01:55:30.577458	2013-08-03 01:55:53.768879	87		0
5528	10ip8x7vlgypxtj1bh57d6tdwg	$2a$07$bOnuWl0dl.5xksN0rb2ujeEPg4t.MWIibmRMLbpVsCc3fOjuPZynG	68	2013-08-03 01:55:30.607955	2013-08-03 01:55:53.9169	87		0
5529	100eg4imnlfpije1hd8cdgjq3e	$2a$07$GgSPjTTOFRct76aaZwwH6e3d/vNQFzy.YEjc.A65SZIlKtLRkOiSG	69	2013-08-03 01:55:30.632873	2013-08-03 01:55:54.288659	87		0
5530	103vvwm0tetpzwm2lx0nm730mu	$2a$07$zVJ4ufUkMboCl2j3maSzn.z5HXMqkJaOD8IMjGzs7cq.jxthCFdya	70	2013-08-03 01:55:30.655262	2013-08-03 01:55:54.608644	87		0
5531	109b19pubbh9n6e68o3cul40ic	$2a$07$q1PjotVK9XzZKjZ2ixZbPObf/BxYqI60FeszNzEgGFcbJuMVRVbd6	71	2013-08-03 01:55:30.679574	2013-08-03 01:55:54.756716	87		0
5532	10pii8h7rcwhuw28iy1i6a8u46	$2a$07$ULoybwoGJvR87VnFD.3SXOHXNHchRP2nnzpLS7.BDqzIldSkj6VLe	72	2013-08-03 01:55:30.703298	2013-08-03 01:55:55.000963	87		0
5533	10lmcumwwkvuhc90ubxi4rczkw	$2a$07$QUt.maKd6qa0x1gjDZsiPuToeXTMnrhdc5MDfWTG2c/HT/qeZIPGu	73	2013-08-03 01:55:30.727113	2013-08-03 01:55:55.382515	87		0
5534	103a97g131sna3m7u6d08psejt	$2a$07$YWMoWezK7Lrw.IGgYA9BIOx3C46Qx2bIMoqsQZExzerzi/05ySpM6	74	2013-08-03 01:55:30.749642	2013-08-03 01:55:55.520004	87		0
5535	10pz9emnm5a9y397cc104nqgpj	$2a$07$wle.pZIku9C6igfaFSgK7uGlBHwGKBBBYd.jHyMFsDA6lx/03Aska	75	2013-08-03 01:55:30.773462	2013-08-03 01:55:55.672065	87		0
5536	10w6cgafcwvtdz58fh4cz2jle4	$2a$07$K/k9PdU2sKGONKvMQm5.de3xN9/dSKDt6YA2uSg6Q043a8f1f/txq	76	2013-08-03 01:55:30.796327	2013-08-03 01:55:56.006681	87		0
5537	103mir58o5aiubho323fvufme6	$2a$07$96DSqaHeEdXS8AFEDX5qAO09loj0eQZ1Ar6N/obXLFLhdW3jucY3q	77	2013-08-03 01:55:30.817805	2013-08-03 01:55:56.265404	87		0
5538	10drs1mzjb3eu7cdaltiwk00nh	$2a$07$KZ2t6nWNfrWdVqPXnbsKXeYfps2.zcIFciAq6G7ONsdmaylCOvhZ6	78	2013-08-03 01:55:30.839559	2013-08-03 01:55:56.454068	87		0
5539	10r0blp8sivn8h7mkstm7sxwce	$2a$07$njwAy0K32sDDqot0uJbGE.1JUGhUA13vLJ.njZS/ymxJllwkfrCOm	79	2013-08-03 01:55:30.862229	2013-08-03 01:55:56.818793	87		0
5540	10byfs65tqgjn911ec0nq3asae	$2a$07$dddAyPwLUK9d5Tso/t3Z6u3EWzPDCrBhqBBM4zLStGZX5WFyvptbq	80	2013-08-03 01:55:30.885247	2013-08-03 01:55:56.95579	87		0
5541	10ndv387qvgekrfyqi15g6hcu9	$2a$07$v2Dl7lW8Aa0IRwMU6knr1eh3WmRB1BEDJPSwn6r2pGp93OGI/mkl6	81	2013-08-03 01:55:30.906665	2013-08-03 01:55:57.141034	87		0
5542	10w9u1c8j75hclvwjvof87csoz	$2a$07$GzzJ6bMS.uvYB4eZKsaXgu4pQa09H.BkdIAyOjcl6zfr1d8PFANZK	82	2013-08-03 01:55:30.928014	2013-08-03 01:55:57.498475	87		0
5543	10vtp4mdbgfga0hnmadsoaqcdv	$2a$07$Y0CJZ5bk8QPo25QH3MVHdOo2/KkUC9ieHX4qQAQ.fnMV7eLlv0Og6	83	2013-08-03 01:55:30.949302	2013-08-03 01:55:57.701572	87		0
5544	106esphkk62i1w2dp74cs299rr	$2a$07$VeyHj5zmFzk4dxr3AuFsIuQoNRKjyDaR5spY2KvO.4zC8szDPy5Ai	84	2013-08-03 01:55:30.97074	2013-08-03 01:56:00.578172	87		0
8738	10zk0mxkvzvjip5r8hyih1v0y1	$2a$07$HKX3QNAT07XTB7NCwjOgKu5HYk1dBn70l3kgpfI0xR84pKz3SLFqu	2	2013-08-03 18:56:32.088686	2013-08-03 18:56:35.611326	125		0
8739	10cibiqwdpg78h2tpoegxdyaa9	$2a$07$fci1iZNcHT/MkoNWyz7yXuaneCUsdnOANIi8pSnBWJV.GcaFUDWZa	3	2013-08-03 18:56:32.110293	2013-08-03 18:56:35.96134	125		0
8740	10vu02ywfmxx1cuka5hm1ascf7	$2a$07$lg308crb8FcICmhm5C4BEuubf2tjk/7Bdb8GQ4nbl4MiOd0zVKsEy	4	2013-08-03 18:56:32.133231	2013-08-03 18:56:36.129174	125		0
8741	10c089iwqsd9nw1qk1rd2xwai2	$2a$07$FFjtJO.Tf/ZUMfY.ObCVO.h2DjkQRrBoJvKysWtCmocBddVnOgPH.	5	2013-08-03 18:56:32.154203	2013-08-03 18:56:36.29316	125		0
8742	10eev7ir2fu1dpzwo86jornsof	$2a$07$2czrQ9EwyylBLhHjJbgUp.uQaeBoVl15R1syzVMK./M2NjcGPaUFO	6	2013-08-03 18:56:32.175683	2013-08-03 18:56:36.447998	125		0
8743	10xedizr9zz669exot0xnm579z	$2a$07$cR3cb26FbtgDgr.BBC1pne0Gv8f.BRiZNRbMPztANOuvvZ0vzoTP.	7	2013-08-03 18:56:32.197162	2013-08-03 18:56:40.133341	125		0
8744	107k129qid2jfn5g70y5nyqdy4	$2a$07$QowjePmZf.6EdN1cFwX/D.OwH6sNNiFWuhJpw2oHv5nx6yZmYfC0O	8	2013-08-03 18:56:32.218565	2013-08-03 18:56:43.798399	125		0
8745	10rwi8itsjhz1iy7wt93d9dzdz	$2a$07$gyscFrYECJzQxWHojo25GOKpQTrhb.8jVmEeUJfJlumxc5PTNKpN2	9	2013-08-03 18:56:32.240173	2013-08-03 18:56:47.78325	125		0
8746	10dpbmpm8nr476qtf2hx10zz80	$2a$07$Cryopl.pHAY8GbpeZpfQiOXebNjAK4tvMx2PYFzVculaetXYK6VQ6	10	2013-08-03 18:56:32.26226	2013-08-03 18:56:47.898082	125		0
8747	10lrqofi364zk7sudbdmih2e9v	$2a$07$2D5GYpdBH3YvQb8UJaAjfeh5HnHBiYuAaJF9fMwlAPX50dZSFzP/u	11	2013-08-03 18:56:32.28484	2013-08-03 18:56:48.019625	125		0
8748	10rse2i11kcrazium9bovuyl67	$2a$07$MHBrnT5B/SLKlDNHCUx97.7gXRkLI8jI/Yo61BPj940YdRbqdFeAK	12	2013-08-03 18:56:32.307546	2013-08-03 18:56:48.156043	125		0
8749	105nbzy6z9949j155ljfzmcptt	$2a$07$ls0E5ZA8iu4J3qWknCAU7Op1I3VLGnmUlL3J6cOsrXJI6Az1PoxjW	13	2013-08-03 18:56:32.330057	2013-08-03 18:56:48.296541	125		0
8750	10ippdm9azdg6r4nunwarqciuq	$2a$07$TtNUN/ELQxuQTU3SpvMEqOZVuYfb6T.JWqtzGBvT05Betgn/gsBkq	14	2013-08-03 18:56:32.361336	2013-08-03 18:56:48.434289	125		0
8751	10pkol1gmmrld5cq6pd557ptb6	$2a$07$MALI1ItNail84IC/t/StxeUsNURvAzTo82JM8a6IuV.nWj2UGTdhq	15	2013-08-03 18:56:32.383958	2013-08-03 18:56:48.559267	125		0
8752	10l4mopecywvov7nh0f1mnbl7c	$2a$07$U0Ta.r0Gle31pBG.p5kz9emgQLOdFD4mEYaNJLRFxxL4h4aaPwjGq	16	2013-08-03 18:56:32.405947	2013-08-03 18:56:48.693608	125		0
8753	100lhebqdih28blob3eva9k2qn	$2a$07$NihaZl.Cl1LgacycwX.xvOQMe7q08DvwSSkCJ28BEhzki2IdlowLu	17	2013-08-03 18:56:32.427585	2013-08-03 18:56:48.833359	125		0
8754	106g5tr3kwi39y5fxr80fdvx9c	$2a$07$4hPBnLEfM7NSrQTkABo61O6ENN1C2IcSzFip0urUoovgpKx2yX60e	18	2013-08-03 18:56:32.449132	2013-08-03 18:56:48.970365	125		0
8755	101kci0e8xqh8kzhbvqft48z1e	$2a$07$bd2pfWJg6jiktz40xkfL3.o4n5/PtxAOzrvrWc28BFQ4F48FIf4re	19	2013-08-03 18:56:32.470525	2013-08-03 18:56:49.109213	125		0
8756	1028s57df4gozfny0h5dqg98h9	$2a$07$tQlwyOT4opp8IFoX6mx7GO94VGdgLpMxGkBFYb8NK4thASAXIlMKm	20	2013-08-03 18:56:32.491893	2013-08-03 18:56:49.241556	125		0
8757	10qxezr5094ft075sjjyf8n2ja	$2a$07$U1OOirjMwFhrgZJ73h2Bl.DxejqeLg7vcxTCrPh8ebYHp3j6Zat4W	21	2013-08-03 18:56:32.513274	2013-08-03 18:56:49.371531	125		0
8758	10fmslxr3wugp8s8dvptf916sg	$2a$07$OLwHDN9h3nfIJLP93rdLTedAokRXNfB.MfbPtClorH.wEX.GwCC7e	22	2013-08-03 18:56:32.534915	2013-08-03 18:56:49.511473	125		0
8759	10sjlxyok45o3rtj6s3bw3r5yk	$2a$07$18moNapQMO4gTNwtXx2Lwu3I9/d8jdqKS7d6q2Csdwe1HEMjz3aEu	23	2013-08-03 18:56:32.556425	2013-08-03 18:56:49.640895	125		0
8760	10o46ghpidte9s22dz6gctj9l2	$2a$07$sLGhDByPRzSydIwWGaHSE.kbkfxW3.kHCiiS7Ey3o.3H6BgXQVZ4O	24	2013-08-03 18:56:32.577826	2013-08-03 18:56:49.766867	125		0
8761	106ab39vapl7mdbmqs8xxwigfk	$2a$07$OB2GcmAYd/7Csy6eTQU8BOV.BQz1GWYWrfbZwpacG9UW.jNVwWA3y	25	2013-08-03 18:56:32.599085	2013-08-03 18:56:49.903735	125		0
8762	10bjc8evnqww6h4aez7o38rz6z	$2a$07$y.2u/g4IuLK/k7DjYrn3PufODfPo21lK7P0LXQ6Mnf0E4bsqvruHi	26	2013-08-03 18:56:32.620596	2013-08-03 18:56:50.034285	125		0
8763	10tcz7onzh0d9bgoh9t99axunq	$2a$07$8z.fLvCm2hY28VoeE9cYYOXoe8Cu39dYs563OrB9WJOUSxOA5T10W	27	2013-08-03 18:56:32.642674	2013-08-03 18:56:50.162589	125		0
8764	10fov5hggo85adv65r593ab75q	$2a$07$dmS1kjto3LT44sUXTD5BR.i1XoZ3ipsch2hKa90vaaQNnuw4bKz0m	28	2013-08-03 18:56:32.664214	2013-08-03 18:56:50.305933	125		0
8765	10xg7us1eegd32vh5tyhwbmlq3	$2a$07$niQ8qhQITkiTYfoWhoTEBuMxBqvOQJQl.cBQK7xoIms1LQEPl8Iym	29	2013-08-03 18:56:32.686494	2013-08-03 18:56:50.454429	125		0
8766	10mtq9anewarnzznq1e1d0nawy	$2a$07$QRqEQI0dlBUkhQCI41U.zOyBY4aR.sk9bI1YOQJrk1p3Swu5f8Apq	30	2013-08-03 18:56:32.708008	2013-08-03 18:56:50.592256	125		0
8767	10ztk0hukr8k4aa1xef23xgjpk	$2a$07$hb1o3wJmeZBtTOwKolXciOpp0rWRQg3mKJby5hQRvsu7Iu0gPcpjS	31	2013-08-03 18:56:32.73137	2013-08-03 18:56:50.70464	125		0
8768	103p8s6m7zkuaw4im3o7hkv1lo	$2a$07$OfQrOL6q0cb.IxRbAUC9bOJrdChKMy8vBIoN/KuorI6zx.huzLPp2	32	2013-08-03 18:56:32.754268	2013-08-03 18:56:50.839104	125		0
8769	10tbot080gis55xervpcp0nxtv	$2a$07$rNrSi1L3Ud7WFabIqKCf.OFhDutIeCzoDbApxmAzQ0cwajSqam6Qm	33	2013-08-03 18:56:32.777414	2013-08-03 18:56:50.961203	125		0
8770	109l42n4u7ywc1nz31ub8eh3jl	$2a$07$kBmNsjjAJTZ0Ic9319mPbOzPu9yMBReOOHWD8CiHYQkNBnvpWRsNu	34	2013-08-03 18:56:32.800514	2013-08-03 18:56:51.102661	125		0
8771	10stpy9a87dtzfuvxm1wn6zr7i	$2a$07$2NaebIhggU27QUvfuomKcOyfVykJOiTh6Z0TI8bj1XotqlQSlTe8q	35	2013-08-03 18:56:32.822148	2013-08-03 18:56:51.236773	125		0
8772	10zcblgcsbys2pbh14rl1zvsem	$2a$07$DpyJjIYgiCdBl6Te6mbt9uTmD9YSErcGlb66IB.spIV4Kr3azRBR2	36	2013-08-03 18:56:32.844561	2013-08-03 18:56:51.369637	125		0
8773	10hyeyqj5chvdd8lc0m50ev5ji	$2a$07$09QKalmGJQIYZvjhZhu4reT6wCNBhfnOAQDqcxS8ufIcdOnQBsseS	37	2013-08-03 18:56:32.8682	2013-08-03 18:56:51.49948	125		0
8774	10cxdpkel98wabrnm697yydnzu	$2a$07$T6LyHIJVFrZjie3xMCMOrOUEkP7ta8zVKmUAODA.0jmljmMkn5Jfq	38	2013-08-03 18:56:32.90271	2013-08-03 18:56:51.631946	125		0
8775	102eu2d1xc83y6kl89dofcsysl	$2a$07$z9LyTxFOr50I1tcZ6TDcKOPxpyRYrRhLo73Xi/idfMoFxzOzh0lEq	39	2013-08-03 18:56:32.938459	2013-08-03 18:56:51.765717	125		0
4852	10f44w87wznap2omzrw78fhq9t	$2a$07$pL8uoH2OMDGvTjbiokvzN.stMIKN1GIaY3mdGOYMPcD/hTDY5p0bu	1	2013-08-03 01:06:44.045942	2013-08-03 01:06:45.666201	78		0
4853	10mtp65l9elj1q0vauj44bbuvr	$2a$07$Z4Hd4gOnIqY47ejV1hqlHO2jLxlhXJ8O.r1x0H.uLjp4mGxAHl7zG	2	2013-08-03 01:06:44.073345	2013-08-03 01:06:45.807197	78		0
4854	105ndj49bkzgavr2llj2by2do9	$2a$07$MqMz1cSPyE/ij.b14nseuuxmORYHfIp.Xvm6tg7GCZi/y5jvcrV3.	3	2013-08-03 01:06:44.095238	2013-08-03 01:06:45.945738	78		0
4855	103cm3qhf4zubdbmwqx8sdwim5	$2a$07$j6Gabu1e/GVgyf1yyR8uHuuwWXEwVBPo.0fekOZEiZHCJ5RPEXwhW	4	2013-08-03 01:06:44.117498	2013-08-03 01:06:46.15097	78		0
4856	10k5jmyq2g2pr0r8da76k03ff6	$2a$07$BiCpJXBK1HgAaK.tGnNPYOCShamUgehE5UeK0f6rjWQR0VqMa6nDy	5	2013-08-03 01:06:44.139729	2013-08-03 01:06:46.293541	78		0
4857	10mf1dehgw2yg3z19v7qud3u8q	$2a$07$Pjs7UmAyPLnZsrmbC8X3GuvKuWLLr.rDDE0wqSEcWP3Ew/7Tw9LHi	6	2013-08-03 01:06:44.161832	2013-08-03 01:06:46.438019	78		0
4858	1077xxp0rzipy3y6mcwheqs4ry	$2a$07$jesIDHr/C.yiSJXawDG8xOmLb1fvgDfNyZWy8vkMNVUTNna4j1YU6	7	2013-08-03 01:06:44.184317	2013-08-03 01:06:46.814785	78		0
4859	10cgz2228khkql9e50dw2r308x	$2a$07$YmlQ1PimxwMJod.uifh14OpKjn4Me5Bq2MgD94lXctBJmhP7yziBu	8	2013-08-03 01:06:44.206412	2013-08-03 01:06:47.179254	78		0
4860	107srhqzgsej4cu45wxb3f4aba	$2a$07$FmoNpG4l8M5385IT0GPvdO3Am57Xice9aukCg9eQTz2c6scMq1UhK	9	2013-08-03 01:06:44.228367	2013-08-03 01:06:47.456474	78		0
4861	10u17zfmc7bhs70jajc4u5v17e	$2a$07$Y/0L0qoQww81930K7ARTse5igLYxAPwtMcl2u/rXKLvjoho7tiETy	10	2013-08-03 01:06:44.250355	2013-08-03 01:06:47.565912	78		0
4862	10epqbbnlc6tkcembnldrz53fy	$2a$07$6uVJ5iD07Wbhay3u6dTlPuC34pm6DFeQC5kQE7UluwLM5Eh8LtGSu	11	2013-08-03 01:06:44.272257	2013-08-03 01:06:47.691985	78		0
4863	10jqiuznk0d5c0i53c0lbk8lww	$2a$07$RTwbBJ.FaS33u5EkbrDVt.k3P8iEv1SZuRsmjqst7UGY7Q1k4CcaG	12	2013-08-03 01:06:44.294098	2013-08-03 01:06:47.828782	78		0
4864	10ushtrenj5kegkmgfjgimxlsg	$2a$07$NrxbFBFKZrm0jjzqoEMvuORBw5q/GomFU207AngXI1it.3GDh53cO	13	2013-08-03 01:06:44.316342	2013-08-03 01:06:48.057662	78		0
4865	10a4ebrl4dc9rng3ltaad4qh0p	$2a$07$S4kJoSZaN9YDy2OFKOsURuXsVkZw2LaZs7ZQygJpHS//AnqDnyUUW	14	2013-08-03 01:06:44.342155	2013-08-03 01:06:48.307866	78		0
4866	10ytahhf0drk72mxiwoaiogxxw	$2a$07$pejOVMe4M6p9HQifsSs8bOqBauqP64MRXbzqzgx.m7r3nbXpIsiUK	15	2013-08-03 01:06:44.374206	2013-08-03 01:06:48.549326	78		0
4867	10pev0i4hw6dvd5svlexqezokc	$2a$07$/vN3SYkHgd3hPm8BiZ6hnuP7YzqRrIMbjLugLAlue2PB1Tst1ydEm	16	2013-08-03 01:06:44.400877	2013-08-03 01:06:48.694218	78		0
4868	105unlwb6eepw6u8pxz460lqyx	$2a$07$UCvdJTPQcXkLpq6v9Cd7Lu6amB6K1ZlXkNfzda69cZg.dZQdDMBr.	17	2013-08-03 01:06:44.425644	2013-08-03 01:06:48.832944	78		0
4869	10dg9uykdeoo839bpe1c65dx8q	$2a$07$oNi.O2TXlTyBRf/nWKisrex9/oAPIWW87DUl8XSwFxVBDh8eY2N4O	18	2013-08-03 01:06:44.450035	2013-08-03 01:06:48.977915	78		0
4870	10wihzwy4d98clvf9p2c88x0y1	$2a$07$odT1QVg4/Ei1X/qNciZD5e1Ry/be.6XjBFDgoyLPt5M3k0.ri4tuK	19	2013-08-03 01:06:44.472247	2013-08-03 01:06:49.346986	78		0
4871	10gzoz0thwte08fv4u4p2j2ok2	$2a$07$eYQ5FcvOb8JjimMNRK5HZetHxl1i1w25ORsHgnd1Zy2PKVbluXzPa	20	2013-08-03 01:06:44.495729	2013-08-03 01:06:49.707789	78		0
4872	10d3b31z91fcj8adddo03sptzy	$2a$07$UG7x9.rMBcQxB158aMEn.uOKXcGd7W0F4huIGRxCIdu6rL/sYZTy6	21	2013-08-03 01:06:44.520642	2013-08-03 01:06:50.053146	78		0
4873	1025j7qlylb47p7jkbsqk4o4vt	$2a$07$xAI5JMHkTwM8O8oPynL5keqfFfDUljNokFveT7vBF4dv0MnczSfBK	22	2013-08-03 01:06:44.542907	2013-08-03 01:06:50.229023	78		0
4874	10lzf7ee7gzz5goda3ljhkafha	$2a$07$F71EAd3NL4eYCAD0lSfQ5OJEjpdeYTR3IF3Rz92rzj8ZQTen8husm	23	2013-08-03 01:06:44.602356	2013-08-03 01:06:50.395681	78		0
4875	10onap6nfdpjovz96187unp80n	$2a$07$M1LbTBJqrNDbQ1ZzgYkZ6uCkCotIGPMeh//JAn1hP1fThZnliQcZu	24	2013-08-03 01:06:44.624072	2013-08-03 01:06:50.525148	78		0
4876	10bbxbfjmkvkktw56l3hpszojn	$2a$07$XsJcsXpfH3biiTgr4.PEY.W7Qlt3Ul.eH3i6hfH2LcU6AZLkZlZzy	25	2013-08-03 01:06:44.64572	2013-08-03 01:06:50.804772	78		0
4877	10nwmyrr4qyez656n2uq1kw71j	$2a$07$QaKqbSWuWJZ6/qmR6eDQ/.jAJr.EEbTksVNYuFBJN3nggh69VFlK.	26	2013-08-03 01:06:44.667027	2013-08-03 01:06:50.967453	78		0
4878	10o8b2qkhitp77e7ayn2vlhife	$2a$07$vPQ0Fv.z/NOLs.BNQNjCR.XmMJjFu4UaTQy0fAH5OSvYjCDnZKqwi	27	2013-08-03 01:06:44.688595	2013-08-03 01:06:51.237542	78		0
4879	10u8eyblxtdmixbec8k7576oik	$2a$07$1hHbPeEl3aoXUdpgsekRweMYlbbuoF8bVBeelXXTZpDZthgLenZCy	28	2013-08-03 01:06:44.709827	2013-08-03 01:06:51.380179	78		0
4880	10ny4vzfmr9gf6n1iwfso53esp	$2a$07$O2J.WDDF/TsijccW1TU0K.HK6NWabx5EZsSZD7Fmo1xbk5gH8.uSq	29	2013-08-03 01:06:44.731096	2013-08-03 01:06:51.528575	78		0
4881	10brls1iu2nscs3wltomoh83hm	$2a$07$RoHwhQ9V1y1duAEpX2.WBOwID8Rk0bXOxjzkRbHaYC.h67ZOAZRoa	30	2013-08-03 01:06:44.752259	2013-08-03 01:06:51.637008	78		0
4882	10jqy79boh2bvaxgjs5xx4ipmq	$2a$07$Ndy63b2bwoesILfiV5CdqejGOTGZDT.7.bh3WujhgGpc482tfqVxu	31	2013-08-03 01:06:44.773493	2013-08-03 01:06:52.006476	78		0
4883	10adw1qogyf63y50k3033sahl7	$2a$07$k0NSt7/nYVLpmUw0Ij46GuVKhiuc7FPetLt5YkObrYTpzI9vVWf2C	32	2013-08-03 01:06:44.794732	2013-08-03 01:06:52.37712	78		0
4884	102lxoa1pyv5bi066i9c3b5fau	$2a$07$F6MiFnDUbk.puSP./63CYeMTJ8Wj0QvV8k/8on.Kn81sakncIsarC	33	2013-08-03 01:06:44.816098	2013-08-03 01:06:52.741083	78		0
4885	10cz1jaz92h00jk7yqsjjlxx3m	$2a$07$d6tId9kGGD5BcO.j8KVka.ip3sPQIoeZPhDaj3dE7yNYSHcilMzfW	34	2013-08-03 01:06:44.838675	2013-08-03 01:06:52.886442	78		0
4886	10rim93jxcxwuu2okjpv8g2w19	$2a$07$EbDFKWKOzoMSpBwe23qjK.2EBl/nMzPnWqzR6qmXAgP6tACx4gQAy	35	2013-08-03 01:06:44.862243	2013-08-03 01:06:53.03293	78		0
4887	10dxaxtbpro3lsj2pjj441w9ht	$2a$07$mr/culXxqx9z9oXyx/1K/OY8ko79OuyiJ6NX8w7XQEJ2Wo.JhrwGu	36	2013-08-03 01:06:44.884704	2013-08-03 01:06:53.176893	78		0
4888	10gn6e3fo17wgpzdejq0i2bmlf	$2a$07$MJqXTFyg.hJLgrDNONH45e9noc0eE0/me6ufZyLCjq1ShKH9ytFdG	37	2013-08-03 01:06:44.907543	2013-08-03 01:06:53.388153	78		0
4889	10855mgsn3ala5mj2xyflea0mc	$2a$07$t2ujVpnPAWNO9uptSO/LI.rXmw7DMs5I0sdXcDaHENoYHKiVh4A/y	38	2013-08-03 01:06:44.929751	2013-08-03 01:06:53.565241	78		0
4890	10tnp6frarqvfllwwx4uurqbpe	$2a$07$eYH.IZ5glcXKQXlR0aYIv.s/1.44vXt2ETYFruiUG368FDXQrgSNy	39	2013-08-03 01:06:44.951437	2013-08-03 01:06:53.874031	78		0
4891	10c6mqjq2mpdq6g5mplt0hn69y	$2a$07$i945U9tWzR7hBzUUou8zpu5NC1T0L5XST4XJLMCaAgz8g1mQuG9wS	40	2013-08-03 01:06:44.973965	2013-08-03 01:06:54.023306	78		0
4892	10pbbndlgcr5emvkr96do8dmrm	$2a$07$lOvnX59fWHDg52kMPqoICeC0cOcvYVLoEcegzIEYZweOE95nv.98W	41	2013-08-03 01:06:44.996648	2013-08-03 01:06:54.226493	78		0
4893	10tnwqv0pxuesave84wk4ywfql	$2a$07$CVvI/HPeB1jOKp6rUvmSVe9YQa.93erElwyC0KEyWL9N415S8AqgS	42	2013-08-03 01:06:45.019337	2013-08-03 01:06:54.445965	78		0
4894	10xopm87nkrcp4rliixilarxog	$2a$07$vemYv/6giJuQJXJpDzyZKO0rhoIU4/bAqDmWz9UL0isDsLwno6VBu	43	2013-08-03 01:06:45.042391	2013-08-03 01:06:54.840175	78		0
4895	100c5p7h3dh2sehpyxdznw9wiu	$2a$07$LGJbMCsGB2nuV5HIIZJOgu/QT3BKXCeanYizh/uMEjNSQaAc.oiLC	44	2013-08-03 01:06:45.066187	2013-08-03 01:06:55.071222	78		0
4896	10pt2ki4hcnmooxh0zh069uakw	$2a$07$8jmkTpR3clqm0/mjtIXk2eMh0Eu4BtSv8VNYgizxGwYq9fJPznsiW	45	2013-08-03 01:06:45.088414	2013-08-03 01:06:55.25436	78		0
4897	10p9238h2hgtjy12pj9hvf9kf8	$2a$07$WiyZZSGHs7Gl1nVhx3o/Vuf5tTOEhUAh6mLn7U6H2rr9N7Rltaiuy	46	2013-08-03 01:06:45.111444	2013-08-03 01:06:55.40369	78		0
4898	10a0oq5ue6svjyt9q48y4fg8dh	$2a$07$jwoawoZksI27tSQU.3d30.AK4x3KgHoqH1UrwNPxrFvAhRVvuruFy	47	2013-08-03 01:06:45.13421	2013-08-03 01:06:55.527507	78		0
4899	10wd65xl5uiel7zzqdf1qu6xpq	$2a$07$Z7uLw3hA31R8leJxTsu6O.we9LoU5OiHTKoKLP8RvDwO680ECPQm6	48	2013-08-03 01:06:45.155842	2013-08-03 01:06:55.675288	78		0
4900	102z0gsjoen4l2uk5x9g7l8t2d	$2a$07$ITlCY1Mhl21H2cm1i9TxM.GOkIiSD9iaN8Y2vc6GLAeTlLXYTLubi	49	2013-08-03 01:06:45.178377	2013-08-03 01:06:55.808314	78		0
4901	10bo0toizkltyeof6m99dx26pd	$2a$07$7/5jZaY7YpVEhfKax3BpouxG5QxEXwk7e0/BNCd/ez5gNGnfwnjxy	50	2013-08-03 01:06:45.201275	2013-08-03 01:06:55.951201	78		0
4902	10cr7uso6ld3x1n9sk1a4md3vr	$2a$07$8pwjVOfeUGWfZbwppV68mO1D/BqTp3.5upRLJGx7Wc5nCC/5LCTCi	51	2013-08-03 01:06:45.222835	2013-08-03 01:06:56.069803	78		0
4903	10qqtkiypja31yltfhbe9t42f0	$2a$07$J2pOCSAka1yNCuOu0mUmO.eEVTqQDJYRV/vtTvoe9abtgWkXSuCZS	52	2013-08-03 01:06:45.244845	2013-08-03 01:06:56.224816	78		0
4904	10gmbsvxhq8cm563jausi853e0	$2a$07$U7BKM/7FW5IcVGtoehE4TOJd1WjbUPOZEKMdgX35VJuzIY4djIZsC	53	2013-08-03 01:06:45.26836	2013-08-03 01:06:56.350183	78		0
4905	10nhngv7klafp5mgbu1folwt1t	$2a$07$bRIABJEk/KV6Fdnq4PeD0Ob7qV1dlEM81LNjusSt7SqgG91qJeQam	54	2013-08-03 01:06:45.289957	2013-08-03 01:06:56.491186	78		0
4906	10d9o2xf0cgkffdrplv1s10vvl	$2a$07$De6aNFvMjE4eTIc3DfmY/.NzpmoLueQ14mx0Y2U0v6zj489YBuw6O	55	2013-08-03 01:06:45.312425	2013-08-03 01:06:56.856704	78		0
4907	10gmq51rl4ghp64wkugq2xcb69	$2a$07$aEBrI6GIyo/xAJRlnzaQDuCHyThpz5/tNCSJ8.2vUJLsexYifeX/i	56	2013-08-03 01:06:45.335788	2013-08-03 01:06:57.231446	78		0
4908	106ik49nb2d9ewinx49uoqsfuf	$2a$07$BPHnuqznKAEUmaupkkWNfu8NK4PUo8s5cwfTtUGB243v7OCVbmOJq	57	2013-08-03 01:06:45.359146	2013-08-03 01:06:57.608174	78		0
4909	108e6fluec0uwge7epn462ucc5	$2a$07$WuHezhH2D45PNby83IVfdeSxl75gycb5GVcJb3fTQji8NTgclUqU2	58	2013-08-03 01:06:45.381225	2013-08-03 01:06:57.7546	78		0
4910	10wumemrq67xqlxqh4hmcad60o	$2a$07$JTrqJ/DB0e286pl/p2ONj.d0FKmBHL7TzeVbfUomZzfB.dEy3YtJe	59	2013-08-03 01:06:45.404523	2013-08-03 01:06:57.865484	78		0
4911	10zscyz9682d9tpnj8ij0fh0ee	$2a$07$AuY4fZLyakt.dyVXBmPWwuT1QKnZyOZpGPhCkFAXSmTX6TEtGQq9i	60	2013-08-03 01:06:45.429907	2013-08-03 01:06:58.013321	78		0
4912	10q3x6ogfhdfvljr4ca9ppbm31	$2a$07$0gDnuQuXMpgSLH9.f.6P7.8JziEtq8SrxZ0vk2EpULOONuKj2jTGS	61	2013-08-03 01:06:45.454558	2013-08-03 01:07:00.911824	78		0
4913	10v81qllsajj072xgod669br0u	$2a$07$HKC9QniTRehqSwKIBUxxROFv1M2Qlp/h/LpItykADzvET2P.Uk5JK	62	2013-08-03 01:06:45.481394	2013-08-03 01:07:04.098137	78		0
4914	10puy7boc2kcyede22edcyje2q	$2a$07$9VFALDAo4XyIpxPA/kh0NO0Oo01uqjBsSFvbx/tdbn2lizxi6lb.G	63	2013-08-03 01:06:45.509728	2013-08-03 01:07:06.997327	78		0
8776	10b71kezc3zlwoyhcrshds6x55	$2a$07$GRl5ox6FCUd04/cRQFp/1OqdSSPzOlycRsiYcjzsUPAe1XLE/atKy	40	2013-08-03 18:56:32.960185	2013-08-03 18:56:51.892438	125		0
8777	10qiu4id6omocl1r3xfvu6miwi	$2a$07$Y1tdUFIj4Tp2OvBgMPDcHOpibNfqYZ3ZRLSZnfpheHJ2DhNijEj8u	41	2013-08-03 18:56:32.983042	2013-08-03 18:56:52.015456	125		0
8778	10s75ovfq0u93kx51zi7vls0xp	$2a$07$YwsrqlAe4mZbuyyD9aY2yeOq/ChEu2i3GWyc1G09N3UNSS3M5xDNu	42	2013-08-03 18:56:33.006248	2013-08-03 18:56:52.1335	125		0
8779	10ordm48ftiepa549rtaeoww2z	$2a$07$Dui0reFblUbGgjY83bgWx.lLzWum5wvxU5Y.ZFslaLqub7ojxTvpW	43	2013-08-03 18:56:33.02792	2013-08-03 18:56:52.284716	125		0
8780	1088k1ean3a3xk7z7zey2x33ks	$2a$07$0TiBI.xwS5i3wyVSHyk7IOc8y2GmFjSYjxuasV1wbxZtlz.RgRcN2	44	2013-08-03 18:56:33.04969	2013-08-03 18:56:52.438646	125		0
8781	10fk8t8iwoheo589yc8pz2f08v	$2a$07$sVU8dBqE.FABZy179wRmzeKSKGO3cQq8hbM0BLsa2CEGI0J3ry9KC	45	2013-08-03 18:56:33.071546	2013-08-03 18:56:52.572207	125		0
8782	10x4cqczbcu0isdzfjy7noyy3y	$2a$07$AAG8s70O01nbVJQSGUcCwuK2y15Pa6WGQVlQrO4ANB6RzYjWscpsq	46	2013-08-03 18:56:33.093334	2013-08-03 18:56:52.989518	125		0
8783	10a1pmw7rkjg6ltmxx1ylv7p09	$2a$07$xslZ27KmNAi9VTB9GP.hq.3pFfIxTeHay1Ge2KJHh5/F4Hb8nwt1i	47	2013-08-03 18:56:33.114997	2013-08-03 18:56:53.375373	125		0
8784	10k6lmvlm6u9hv751j5aiccc5m	$2a$07$roREAzSt1cJbaWIiAaFjie4gPevji.nJ9.ScoZNkt6DuUkOsQcPaS	48	2013-08-03 18:56:33.138225	2013-08-03 18:56:53.522214	125		0
8785	10tfdlxmm61rj9oiuos2iq67rc	$2a$07$hfMD3b4QfKCZn334376yP.yEHo.wKF09b7.ZO59F2p4Idb/QkZ8CC	49	2013-08-03 18:56:33.159702	2013-08-03 18:56:53.668492	125		0
8786	10jyas1xlckl4amj1jiwvzfqia	$2a$07$xEkgkz8AVuVX37gC3bD3cu1ZXU/4U8XPyf6YPN.ooOEFSNgdhkg1W	50	2013-08-03 18:56:33.182589	2013-08-03 18:56:53.814087	125		0
8787	10vq26og03wm58g3ew2stl4u4x	$2a$07$XLHRW89k7NFvyIo9j3a5Tun0B8NUfOvQQU7XwLPcNo0vUqajoU6la	51	2013-08-03 18:56:33.205307	2013-08-03 18:56:53.958441	125		0
8788	10aotqz11t9x2286hzpd1aixws	$2a$07$HCLdkgeOwD2kWQ7N4ta3Z.08WJloUTFrStWeWQxr5b/A/GQzvU3Rq	52	2013-08-03 18:56:33.227848	2013-08-03 18:56:54.098881	125		0
8789	10gosn2s3iyqhu0jp3eqv3j8ek	$2a$07$5b2SVozpvOPYlK3FyhgzHuD01zobqMOyzd0O8uC5ppc/NSd8TA5WG	53	2013-08-03 18:56:33.249773	2013-08-03 18:56:54.238057	125		0
8790	10pxhw3ng5721153jvau8x35p7	$2a$07$oi859jXxXfD7XEV8dnXWieRtbJ.qImXcnsh3Tzkdg7aLCM2J85pB.	54	2013-08-03 18:56:33.272063	2013-08-03 18:56:54.381527	125		0
8791	10kyvrs4knm8wabm4uztugyf79	$2a$07$mY0zHkqP6t81nIghRH2uxuxouPyUK0RssfhUxB.IaSDXuYwya9oRS	55	2013-08-03 18:56:33.294997	2013-08-03 18:56:54.509286	125		0
8792	109rco5n6jilxtc1ppcmq71gx0	$2a$07$vXXhSOu/zNxLfXrh/seWO.a81VfAKlAOIbMGSHR2S1WMRUyfVghgW	56	2013-08-03 18:56:33.316588	2013-08-03 18:56:54.638337	125		0
8793	10qi1wvumjl9zv9cxfze868y7m	$2a$07$1IzBVG3SCL76i7yV7n5S9.EHEa1PbEMT7B0shjSrRh.WdfjrKiaii	57	2013-08-03 18:56:33.339289	2013-08-03 18:56:54.792478	125		0
8794	103u58itdc02kwss8xnz70q3cn	$2a$07$2SBjdCbzy2ZjClpfGHVZ/esk7J8KwVDvQwbWX0dMwmUea09hC.zq2	58	2013-08-03 18:56:33.361319	2013-08-03 18:56:54.953407	125		0
8795	10m1k9bzbqy92yb6zltte16qhj	$2a$07$zAZv/GmPSfA4dNVRc2lnC.X2kILFQYU9bV1r..hgHXSsoXuhxK4eG	59	2013-08-03 18:56:33.382828	2013-08-03 18:56:55.09335	125		0
8796	10agubydiqkq4sbbz7q81yogtu	$2a$07$Aj6cZqA49eoiqFVZzklrNuqQS83nTjBf..12Aq.clX1LI4TBMvV7a	60	2013-08-03 18:56:33.406078	2013-08-03 18:56:55.246365	125		0
8797	102g7k3tpu6j0klw4lgrw1ccml	$2a$07$U51bajLvAea.MhJ9jMnuh.if63lbIzCxT1MVloY/HZmMjQmc98ZYG	61	2013-08-03 18:56:33.42909	2013-08-03 18:56:57.961075	125		0
8798	100jrbldhdyo27o7orlk58d4od	$2a$07$Cka6AhNAg8MFP6OH3ENcee47aoQtIVA/xQLO.nLW/hcUwsEM24LEu	62	2013-08-03 18:56:33.452817	2013-08-03 18:57:01.076129	125		0
8799	10ijteqq71zq2hc4y0cx4o81mg	$2a$07$EmuccMRWadAehd9/9SE2YevUPywcbRcNjxlGVy3AbZmd/kpKGPr0u	63	2013-08-03 18:56:33.475911	2013-08-03 18:57:04.063006	125		0
8800	10ayw6y1n8ykb9ab4n1x6yl2uy	$2a$07$SXheCn.jN2mOEjeoWUozEOwkUZvTS4ApSFcPdxyvKrsmAlNPSSFtC	64	2013-08-03 18:56:33.497751	2013-08-03 18:57:04.490051	125		0
6721	10g8uc2cb5gjzoknmlk1p1xlgj	$2a$07$ApmXRnB80CaxFPEZzZMfEu.3BNXKw5fnQ8zw.L.tw6F99oSGIgMr6	1	2013-08-03 17:09:59.118226	2013-08-03 17:10:01.380906	103		0
6722	10bfrio79wwbo7zx0tbl8qjglp	$2a$07$j0Z./Y7SdBXwvEaG2hasz.Wluny3KLadNc9KC756NcP0GZleVbi8K	2	2013-08-03 17:09:59.143867	2013-08-03 17:10:01.505378	103		0
6723	10yh66dwa8numghwacpjfpnc9i	$2a$07$Ip8x4iWNyHb3O4bmnVrRruVbFFCYO1MSC2m9bW4AiESWvlDHO2BFa	3	2013-08-03 17:09:59.168009	2013-08-03 17:10:01.639795	103		0
6724	10kj4lag1lrluh24mcclzwxizb	$2a$07$YLnECB.yiGy8HIdY8yvvEeKdUduN.U2asRhlfdQCf1Gx6dZU0Vn.a	4	2013-08-03 17:09:59.192753	2013-08-03 17:10:02.01029	103		0
6725	1045w45vzl5hul7o9azgul5ea6	$2a$07$fI63BNuRePeEozpojqK1vO31sNOghjvwCsdlyHsOrDOPJELCoIM1e	5	2013-08-03 17:09:59.217231	2013-08-03 17:10:02.175554	103		0
6726	10onp8tt5ssglbz0bl5pn22gen	$2a$07$dM4f7HcDwv/Lacl/tYkfcejArFQYCE1r3VFps2T/WfXHb/7ADEq1O	6	2013-08-03 17:09:59.241523	2013-08-03 17:10:02.484751	103		0
6727	10jaswv928bzz3zkryn133mstx	$2a$07$nrFBC3UqZWvHFuPKKKIjeuRmT8Ch2k455NKnYaMC4JtDDTuIoRHca	7	2013-08-03 17:09:59.265016	2013-08-03 17:10:02.840038	103		0
6728	10kqy5k9hjh6vxgx5s7rrx9qvi	$2a$07$lrpbCX1LZBfbAPMXOFMQ9uZJE9h3f9Afk7At1i5mSdm4rQT9il4em	8	2013-08-03 17:09:59.288802	2013-08-03 17:10:03.086281	103		0
6729	103i5tvtg8akkbkrh1zz70phdr	$2a$07$/PWNpDKmHtqfSxp0vYZ4tuNBiJbpsvO4acKIFiMdyJsLKCzBceeKq	9	2013-08-03 17:09:59.314582	2013-08-03 17:10:03.21391	103		0
6730	10u08fayt4zclgtyroij74ot0e	$2a$07$tVPPkDpNXk8wb0IJuMiz2OSCXPKejJxG.uOGTmPTZsIQ5fJSRBuCq	10	2013-08-03 17:09:59.352114	2013-08-03 17:10:03.609434	103		0
6731	10djoizwhj33yn9g6di1pio8zt	$2a$07$g.0SabouluPS6urz.hRjpOblK4JPRrUyvpEJjwq8mrSpfCkAxn8eC	11	2013-08-03 17:09:59.377946	2013-08-03 17:10:03.837628	103		0
6732	10i8v28zgjnsbk4zakqc2fe1er	$2a$07$sQ4UisjF8m.oBIUZVLtJfOKZXecERHFvdzd.LCbT292QKd/IO5OYe	12	2013-08-03 17:09:59.400478	2013-08-03 17:10:04.046386	103		0
6733	10fqmumbyk6ltw68wpjjxts9vb	$2a$07$b5tr4YAM71iXvsO3yI3UH.uqGoK7Q71ti34L/wdpFEVARpkiMSYcO	13	2013-08-03 17:09:59.425353	2013-08-03 17:10:04.38962	103		0
6734	10zguyt89umr62wf2c0mgq72r6	$2a$07$OKIZesIrArvrtWL6yoijpePbwHhwTBJCZlQ/h03KWM1LunbKSdUoK	14	2013-08-03 17:09:59.455996	2013-08-03 17:10:04.753267	103		0
6735	10myhtblbprmqy4ruc1nwsfmmg	$2a$07$Mf6NMoAnP36x6pjgnNLwG.Gofm2kJ/c2COqwMh5zsvQ.RaOV3xhD.	15	2013-08-03 17:09:59.484411	2013-08-03 17:10:05.013054	103		0
6736	102sgrve9qlzgc5rjvp4pl8z4i	$2a$07$wsCfWKJLilptWojBiwmRQ.0DkCiUkoqRFa98Bq1Uh5WsdPUP4b3Y2	16	2013-08-03 17:09:59.516877	2013-08-03 17:10:05.197816	103		0
6737	10msw9e1jwju2sfqeis7urgwy8	$2a$07$vJN/AWKqQ9P9N.5XPB37T.OBvPduogCfauvff/pi3hY/29nHQ2Opq	17	2013-08-03 17:09:59.541146	2013-08-03 17:10:05.344299	103		0
6738	10ua1fx9h9jzqy2c2r7kwaz41d	$2a$07$mtPzCluM5LY4oM2Sy3JN4.90Taqt9egvhbfLwAlDjUT09ev3i9uAu	18	2013-08-03 17:09:59.565297	2013-08-03 17:10:05.678503	103		0
6739	10izbw0razcglek7kco1b4d062	$2a$07$oKKhagzcXonFMCoCcQuDnOWmLufFZyUJKxDX4cSgtX6HN53meZgYG	19	2013-08-03 17:09:59.589626	2013-08-03 17:10:05.912044	103		0
6740	104b6alt0phf8t5ugwpgj47nsv	$2a$07$J91c.sHMkLVy.zpiuqGTm.1P0T8J0hdATNCkn06MFjGSAtfiHeQI6	20	2013-08-03 17:09:59.615193	2013-08-03 17:10:06.148799	103		0
6741	105va19udx1xezo8jb4pmv2pvz	$2a$07$3dbzWodt2eUoS3.xwmkHJub7DydD/ZzTIN.cc2HscUnFE.y86ftJO	21	2013-08-03 17:09:59.647736	2013-08-03 17:10:06.478022	103		0
5545	10t59p37cyg4whzf3hsbscaewj	$2a$07$oHlRlcvRHB.zKzSCxkC3U.i4h6qC3b4v24h0sEjFZI4bXcq9PSQku	1	2013-08-03 02:00:29.069057	2013-08-03 02:00:31.215186	88		0
5546	10bsjb9ci4y7x5u4eg9nw0jitt	$2a$07$66Zav17jFHEJJlGEU/AO/eSL.RzUGbY/LD9wfnFo.katic/eY4S56	2	2013-08-03 02:00:29.097363	2013-08-03 02:00:31.354006	88		0
5547	10crzyz2f89eci8rd3roay9ju1	$2a$07$skWaT2W9oZr1JJUwO9OPaO8.U7au48iheO.PZuiMpXT7.8PC18dlO	3	2013-08-03 02:00:29.123719	2013-08-03 02:00:31.456463	88		0
5548	10p9zbeqfibazltf4qo588ag12	$2a$07$rJ8Uam9HnWY98VJOo38MU.Cm3eND54cDLRJkpb.a13znIILcR8VGm	4	2013-08-03 02:00:29.145523	2013-08-03 02:00:31.712406	88		0
5549	10obu80lbqk5ts1m4hiy4xmhxf	$2a$07$x532DdvMRzir13RQTTqEmeMvbyQv/w1g1YVapSLsh7AtZk6tHEE5O	5	2013-08-03 02:00:29.167623	2013-08-03 02:00:31.833719	88		0
5550	10hg2ec4g5rb2kqrsxmriezm6v	$2a$07$f0nkvec76mQSz53YDci1NOMAMqjj4ri7g20xtJaUzdRIox9HzoUNa	6	2013-08-03 02:00:29.189493	2013-08-03 02:00:31.967733	88		0
5551	10frfn8oydhqassxyda3ojakai	$2a$07$TobU9T1UShs36DkW3gcrBu6TwmlHr3YLf5NXllGsvfqtxhwxFZmcG	7	2013-08-03 02:00:29.211305	2013-08-03 02:00:32.129555	88		0
5552	10ulzbe6jy4vw90r18zv2yxbbn	$2a$07$yPuailjojvFP7HNhXTC7yuGWUzj8E3j8REOwRFvVhlMKImRTC/QJK	8	2013-08-03 02:00:29.232873	2013-08-03 02:00:32.323444	88		0
5553	10pvfb7bg5skd8ssa9kn1uk668	$2a$07$TlR7G8Dl6UG50BH4Y3haOegbzY6qYjXbuf17ud4SL966ESOZMLos.	9	2013-08-03 02:00:29.254453	2013-08-03 02:00:32.454981	88		0
5554	103goe6brs59tjg6ivh5e2l0nq	$2a$07$YBU0GNK5E4uPriXtt534w.Vclwk8WH95R1qk8js4lm8aLAIRY48Z2	10	2013-08-03 02:00:29.275889	2013-08-03 02:00:32.547936	88		0
5555	10t8d1654lplthuzyokcgvl380	$2a$07$XXAsXspxHgAlCMP5IWKEpuV4plppQpdnWV/ZwIGj5dYvp148lxYTm	11	2013-08-03 02:00:29.298294	2013-08-03 02:00:32.645172	88		0
5556	10i14xy67v97nyaa5fqktpe3ch	$2a$07$iFRTluwn2RrIkjefDDVAOuUS/7.dhFoNQZu3csu4UXMXL5ORb143K	12	2013-08-03 02:00:29.320828	2013-08-03 02:00:32.739899	88		0
5557	1045mrg546vf41rbnnin9j0yra	$2a$07$PlATU8GKaSo67NICNSur1emFVSDg2NSsbVbX3uQorAvVdfHT..UoG	13	2013-08-03 02:00:29.344256	2013-08-03 02:00:33.078278	88		0
5558	10pbbej80lrb8grsjlfp82r1f7	$2a$07$FaZ8rW3QBkm7VpO1MAUskeRh80r7z81TfQ.Z3OJw7YqMW2qJmXMFO	14	2013-08-03 02:00:29.366415	2013-08-03 02:00:33.27532	88		0
5559	105pfbulqd2rzc0nnamn8v7vom	$2a$07$GHU64x7J9QZfCgzl53aK/OjexETPNlqBSl8DqmClQHElcfdF7oi.m	15	2013-08-03 02:00:29.389366	2013-08-03 02:00:33.50601	88		0
5560	10yw7ek080ex5lsnl8rzm5t5me	$2a$07$yWw/np2Lr9XgKLn8C09G3ehibt66NL8wSfI53u2hxdz6RziaJZPQO	16	2013-08-03 02:00:29.420283	2013-08-03 02:00:33.727372	88		0
5561	10drzv9mm52vellkv7v23rhu3w	$2a$07$rRdLQPhsckZ464IQ0cAReezbMrjOFhSNjij6YFHG9Xkt4dzMQ2M/W	17	2013-08-03 02:00:29.454924	2013-08-03 02:00:33.855927	88		0
4915	104msatt43iye09g0wu179b561	$2a$07$mlrbm4zXwYgvNhHSNVULmuqEPwe3wmuh.baH3/.IrIhAzGFpEY03W	1	2013-08-03 01:13:19.397514	2013-08-03 01:13:21.201357	79		0
4916	10m00e3o5u9m8le0bn8p2lx0eg	$2a$07$Hgve5uNUaHCIfoj4fzUt1eHOYQBK6QiCDN1B/CcRMWH4v0u19aeqW	2	2013-08-03 01:13:19.422894	2013-08-03 01:13:21.343532	79		0
4917	103tdrdit1jrcacxo7thz8pnp1	$2a$07$n/X.I1A95PDtxWzswmVPROsb2F5SUl7BwuHds/t532UXYEcblcH2.	3	2013-08-03 01:13:19.462142	2013-08-03 01:13:21.489278	79		0
4918	10k3xj476nvgrq1huoccrscmll	$2a$07$7/eaS1F3veTdjLp7a5FlmeyXc/SpmZyYfHnrz3HqPO4BmkSunxiRK	4	2013-08-03 01:13:19.495365	2013-08-03 01:13:21.663947	79		0
4919	107r9ci0rmdh3a534x0c6ylhp6	$2a$07$7hRTDkCjJ5c4R05031CUA.Tv7ADstuzjK8jWQtzAOpUCz.Aho9TTW	5	2013-08-03 01:13:19.518409	2013-08-03 01:13:21.847319	79		0
4920	107xfohdt1rebkbavze0lpipa2	$2a$07$Ieca8dZsiG0rGBZ9.AREnOKim/veab0EaO23hAncM40m89ZfL7m6.	6	2013-08-03 01:13:19.541126	2013-08-03 01:13:22.046367	79		0
4921	10jo43m18hynn8maeotp9ryc3g	$2a$07$guXOF94zJ9b9Da4YCX86gOR0Nkf4uLFudV3JH6XAe2h2GdEly0mD.	7	2013-08-03 01:13:19.563458	2013-08-03 01:13:22.184185	79		0
4922	10sk8oq3p7swwudyi93acg3528	$2a$07$624hpOLXLllVmyB.sbDwvOEfSlN.p/wDqAufOlCn1n.hEJf8/EkLm	8	2013-08-03 01:13:19.586739	2013-08-03 01:13:22.438998	79		0
4923	10j63ynok0tmwq3h8fhgl2iwpw	$2a$07$ZjlP/NLLKSNFBX4rFpPDkeDKyuK2/IdidtFl96byIKBQOJnel8c8y	9	2013-08-03 01:13:19.610859	2013-08-03 01:13:22.800391	79		0
4924	109hoxo6rgfhfy5iapx7msaxhu	$2a$07$mbCKHK0uA0Ajq7z3G2OU2eaGFLjGqOlpE0F823HWrtYI0seqyi94u	10	2013-08-03 01:13:19.636462	2013-08-03 01:13:22.90341	79		0
4925	10ojuecm4j7kwor182xum0853q	$2a$07$XvufD04w9a6YebV98AEZQuPUHI1RkBpDmGLEQ5DhZJoCK8Tu7Lrbe	11	2013-08-03 01:13:19.67377	2013-08-03 01:13:23.030756	79		0
4926	10a9bri2uclz8bia729rnkfa3s	$2a$07$M5wvAXpK3aBOzGiEO64hBudalJPY5lI6WPYo6CDN9z5Xc3m0Q5TBS	12	2013-08-03 01:13:19.697636	2013-08-03 01:13:23.16615	79		0
4927	108ivx3xhucm69ssd6t6xza58j	$2a$07$x9F.Wf8wPeL7bNeDojkY0ebBIghjLLSEh8FoVynR6HIh06ecXXWFi	13	2013-08-03 01:13:19.722033	2013-08-03 01:13:23.443548	79		0
4928	10n4226u7uzb1s8ykrxgjf2prt	$2a$07$1yE7K7ixNjbbqhSHYNye9OSc2gvwHERo1feA0ARXEP0NGx5KKali6	14	2013-08-03 01:13:19.745726	2013-08-03 01:13:23.588326	79		0
4929	10n2q49tahf6vie1dacdy207ij	$2a$07$cQns9/mfl.Dprh1QrfkYkOWTC.jeDCfQI.b/fgiXDD71y/OmQiYIi	15	2013-08-03 01:13:19.769097	2013-08-03 01:13:23.768464	79		0
4930	1091kblq7t21znsbuiq12ya0e5	$2a$07$/bCTrWL6j/tNTBTtuyitPuWvtPnVAbfLaVWR4tGdXc3u8ihIAsJyC	16	2013-08-03 01:13:19.792466	2013-08-03 01:13:23.919323	79		0
4931	104bqzekocjqpzbhtb03es09wv	$2a$07$lNMY88ulDYFF/RXEr.JS0.8PABWVOPJXu4Ns3xsskrOIpkbPf0GVO	17	2013-08-03 01:13:19.816626	2013-08-03 01:13:24.077014	79		0
4932	10s59thoyqnq1gphh2z1sdcnww	$2a$07$xTSyF6ZO0G7nVpkx.s6oeuUuNUUvOU6//ATYaiFapTtGUHSIt.6Se	18	2013-08-03 01:13:19.841007	2013-08-03 01:13:24.221412	79		0
4933	10dvtq9e4x547obzp887e8m4cc	$2a$07$T1/YWBq8UW2YDLuCleuw2.HZwlrALW1wEHaQczkqdE5krJKAL.ArC	19	2013-08-03 01:13:19.866173	2013-08-03 01:13:24.530824	79		0
4934	10lhlwe438idv7z2hqu3r17yqy	$2a$07$BAi/.77Qzub3zjpkkDtlDumQHEfHkzp6DEOjse4RIfbYIY8iw2Veu	20	2013-08-03 01:13:19.896412	2013-08-03 01:13:24.72163	79		0
4935	10htrzcdstyuqej1lwwyu8uycx	$2a$07$AjrifNwxvtfRb7KFqEHzxezjMkB.fjFVU15hbKhEFUspK62vOBkrG	21	2013-08-03 01:13:19.930554	2013-08-03 01:13:25.067768	79		0
4936	107idq5a2guh888yy9of0ur6f2	$2a$07$bFYf9OeFnG3BJWHTBO/5COqFnO1gIXeKMSeNxQucHd.dxldyfczJ2	22	2013-08-03 01:13:19.955863	2013-08-03 01:13:25.263741	79		0
4937	10ztul7eif3szhru7i5u603627	$2a$07$HMAd8.br7MWo2B7mW/cI3eFyGEomPgfmGd/sQkXuhLqBNXjZWPwc6	23	2013-08-03 01:13:19.990467	2013-08-03 01:13:25.441938	79		0
4938	102dy3wo6qbtkqnc7xonwpu2bh	$2a$07$Y.1KHmMb.c648OVyNgNxBOgOZo/QAtxi4XTc6PAlAHYVioxko3sUm	24	2013-08-03 01:13:20.022077	2013-08-03 01:13:25.801249	79		0
4939	103qfh529pvbrnc5e6c7q4lzh9	$2a$07$z.gauF.wu2ejjMpd4WM6gufAHrjVXjM3/vCLZwpVndiNHCYQJ/2e2	25	2013-08-03 01:13:20.058309	2013-08-03 01:13:26.088268	79		0
4940	108moy8xzao9jo2uduv4438uu7	$2a$07$oBXeCkJqTBq..A3Ojsw.0e4fd7RqBSyo7ukZ4X7SBP1rAUgNKpAfq	26	2013-08-03 01:13:20.08167	2013-08-03 01:13:26.276534	79		0
4941	10uktkc2t3rxaa95evuip8mblw	$2a$07$XPDfdfukxBwtoFq1e.2hq.JmnbCIqoijrwoq/o7dCgj/6dwCOI5Uq	27	2013-08-03 01:13:20.104875	2013-08-03 01:13:26.560143	79		0
4942	10il8qvrb3gwe0qv5aa2p1osr2	$2a$07$S7LqYtb54Hd8xI68G114j.JpjxjlmQtSOK0amECdUJHBz1dLFWaRC	28	2013-08-03 01:13:20.127259	2013-08-03 01:13:26.714029	79		0
4943	10mjf01rnu5zjbqkk6y73u0ita	$2a$07$D3cZApCKgazK8zTLEz/p9.dwNJcbP6Re2UWaWnOdxn8.SXEwoHEJ2	29	2013-08-03 01:13:20.150438	2013-08-03 01:13:26.858705	79		0
4944	10k0r2fb3y0gkqxwu87cp82pqt	$2a$07$tvDLFcG4ZrDbMdOAI4H7G.GYVpUoBOTO4FK5Ffo6BTPJbgkwMDq1O	30	2013-08-03 01:13:20.172568	2013-08-03 01:13:26.993184	79		0
4945	106r22do2fkacnmjt6s6559elg	$2a$07$zi40XQ9ZOrMjjHrKRlcGn.7AfI5FsIxrTFkdgudNDDlCKeZcRtqJO	31	2013-08-03 01:13:20.195456	2013-08-03 01:13:27.383259	79		0
4946	10j1ywbzaikts0zrlpkguy094o	$2a$07$dyi2vqFfqZaeytcf0lI0iOI0Ej3/.fe9O5aT6aIDyDGbjtgi1L4my	32	2013-08-03 01:13:20.229806	2013-08-03 01:13:27.758976	79		0
4947	10fme28wnd7xiyzgsij7ei9krd	$2a$07$mGOUkiAJML172zsjn84DsOoSaD/n3lMifVGVSN8eJ.rtiH5DFgedi	33	2013-08-03 01:13:20.257736	2013-08-03 01:13:28.146693	79		0
4948	10wksafa7olih7cotlemrdx2zs	$2a$07$96X9V30gjFMke9HfhC9TP.STyb4nfSBGDNDqIaImLN0GoO9giZcne	34	2013-08-03 01:13:20.279574	2013-08-03 01:13:28.293043	79		0
4949	101khq071tizqppb0q3y0kkfqb	$2a$07$Xs.xmDlmfO.1UTrumb3b8Oh/z6QOVTf6Iwdx3wTG1EElMQf0NAjUC	35	2013-08-03 01:13:20.302168	2013-08-03 01:13:28.407844	79		0
4950	109sce5i5dnsplw25bzqbab95h	$2a$07$6ncF4t23XNMJkSJZ5EVBGentQ.ssV6UXTvMKrVHHXQtfyiv05/FyG	36	2013-08-03 01:13:20.325709	2013-08-03 01:13:28.541834	79		0
4951	10iojzioph22xe3szxy3npv25p	$2a$07$I219QrQ.aTpsXiAQdh7WguFVasUTje1AxU58.pl3i.HK0YhbnEpy2	37	2013-08-03 01:13:20.353793	2013-08-03 01:13:28.761108	79		0
4952	10x7eeuj9qrxozm6r5l0meu5wg	$2a$07$pYPJT2.KBRS6ONZjLf/EqeClHOjBu/qehLfOW6qV0ha04JYM84s.u	38	2013-08-03 01:13:20.376342	2013-08-03 01:13:28.936491	79		0
4953	101m4n7k7tg0drnl8hr9na89pp	$2a$07$xhRmrs0xtpbIeT1KYKArT.7NMFQrEBfzE19sBMIx7gGet4Nm5WFE6	39	2013-08-03 01:13:20.410555	2013-08-03 01:13:29.149735	79		0
4954	10qg3u2g46ofqojwu7g0rwljkp	$2a$07$rOoNGpL6zahUobpoVoUhR.3iPP8A/I1IKRu1NUqyKz7EevFh4mh86	40	2013-08-03 01:13:20.433267	2013-08-03 01:13:29.300503	79		0
4955	10gbhifb5p1yvt0v6r6a05mpfz	$2a$07$1r1mv7tTPDeV64tm0EMjpelGxH7kb9Vbi.1lXzq1k0PzahK054xWy	41	2013-08-03 01:13:20.455988	2013-08-03 01:13:29.45279	79		0
4956	10gcijo6yx14h8eilbwuyx27fd	$2a$07$.LxooAzliG0azhBKFm2mheirmMmKEK9maTZhQODlWaM6DYf1otEni	42	2013-08-03 01:13:20.478849	2013-08-03 01:13:29.599294	79		0
4957	10r9dvcgqj1bykp5skx4u2dpe2	$2a$07$X3OUSnGJs7TDjKEC1gAxCeeUhcIfP6ngmLEI3Qlpw.gov58dD3q.2	43	2013-08-03 01:13:20.501111	2013-08-03 01:13:29.859913	79		0
4958	10xpdl2p2vjb10cefqw99ozi2c	$2a$07$AWrLxJNZVbdL9fwFv8gRVOK7mjWxMfmdxDYKLNRCf3/KBqiH5b1je	44	2013-08-03 01:13:20.52464	2013-08-03 01:13:30.025762	79		0
4959	10sjflyqtvrigc9f2o102iwx01	$2a$07$CpEYF9z.1oPtgrFGORf3AOCWrI0ZFRbR/JZredu9zgEws.JJ5nECG	45	2013-08-03 01:13:20.546564	2013-08-03 01:13:30.231515	79		0
4960	10o906383xfrmoypdsok4530y4	$2a$07$knyzmJ5y85ToHK/utbLy/.VPZ2q/8q6J4WfgUHALZjT/J4nTw1j9i	46	2013-08-03 01:13:20.57021	2013-08-03 01:13:30.447608	79		0
4961	10l72smww9xx3jyhv3d15g6g4w	$2a$07$qNumxVXXw0fFdFpa/aaUK.DX/z2GmRDSqogJ6KrrLCC0ObDSIth7u	47	2013-08-03 01:13:20.592297	2013-08-03 01:13:30.642507	79		0
4962	10zlupstiptzukl2ymumhesz9x	$2a$07$KMpxnAKgmiLyqh.yGy29fusjcB16KnoYgcJkbUUNTiNUPQ894mdMu	48	2013-08-03 01:13:20.615463	2013-08-03 01:13:30.89795	79		0
4963	10zf1jbu2zsjbwakytfg0dnny4	$2a$07$t3boaESL3TEQ7YCPLX3ptOf1k2FfeBPZytQeFLjlthoWByDwTH18a	49	2013-08-03 01:13:20.641024	2013-08-03 01:13:31.044417	79		0
4964	100629kiauoou7yw5q5hy3u5e3	$2a$07$zPQEGtakOFK4UZ1MKUAxAeRrjPscJ08DFzN/QYKXRUFctRusfjWf6	50	2013-08-03 01:13:20.664569	2013-08-03 01:13:31.166386	79		0
4965	10fjzzw0jjslvtdr96vx6jo5rx	$2a$07$Wm4d3MnxblmnRnd.gPDRHeXPQRjuE.Kcad3BK3ONKATmPDm5YMUfO	51	2013-08-03 01:13:20.687386	2013-08-03 01:13:31.310846	79		0
4966	10k7593n34o3g9eo65pwj3mtaa	$2a$07$4aROGib2Ov9huhreuh.53.tc.3bFzX3HDQH0j5dQ7Z2g2sDJJfaz.	52	2013-08-03 01:13:20.711904	2013-08-03 01:13:31.460003	79		0
4967	10vf9p6ng2496yfue3qidxg1kl	$2a$07$Eb9TO0oPLvFtd76z60lzqeHJuiA9eF2HCbMNOisT5s9XLYMr.JnoG	53	2013-08-03 01:13:20.743389	2013-08-03 01:13:31.613752	79		0
4968	104vz5jqzi9iatx7g4pn4f60wa	$2a$07$IIsLKapfzOKlJod00XG6geqyoqzsGVlCUpEwcqvp6/5FIppD.aCXq	54	2013-08-03 01:13:20.779167	2013-08-03 01:13:31.758931	79		0
4969	10j2t468vy9m2bwp6dcoihxxy1	$2a$07$/bFqQEhrCcSV77XF26AGzufYMG0sFBaO3UzpnIoCh3QyxHsupZck2	55	2013-08-03 01:13:20.802285	2013-08-03 01:13:31.986742	79		0
4970	106k0wpxmheyscsgro8pye6cda	$2a$07$ulNP4s/tldW/WDAMMDyTbuZjw3PdsIwtPRSm.cECKWddSlKCat9sm	56	2013-08-03 01:13:20.824158	2013-08-03 01:13:32.142425	79		0
4971	10couxhy0aqwbb3er9t01bvf9n	$2a$07$BdyEHDhySRWneL7q4GrukuNV4qws4uLsWDn0f2VSm1SEh3KlT2Fye	57	2013-08-03 01:13:20.847576	2013-08-03 01:13:32.324152	79		0
4972	102ytdsdfu496vcnphefdafgz2	$2a$07$rCjbG5jw8eezapXe9MMRdOa.KOgWK8Sg9yyWGOHxoiTMDMkbwrm76	58	2013-08-03 01:13:20.87197	2013-08-03 01:13:32.474633	79		0
4973	10l4mxth5srq0ei12x91wf0u0o	$2a$07$CA8AggrH8S/TDpXy4G71me1GFlrQ4tdv71tp/FSPZACwUtlXzpYbC	59	2013-08-03 01:13:20.897341	2013-08-03 01:13:32.613145	79		0
4974	1054wvynjkelpjq6s2in0eoju6	$2a$07$hwNfniuYGUbMMtkWeaBr3uOMtgmxJwYV0FrahaxoFN5KV1Ay6a7oS	60	2013-08-03 01:13:20.923229	2013-08-03 01:13:32.771254	79		0
4975	10gkdkr9zypxz8mbvijyxck87u	$2a$07$Sc7VUY6IRKMlUgVJhbfDg.ltE/p86A9aT.ho089c/h8kdS9WHiBme	61	2013-08-03 01:13:20.947613	2013-08-03 01:13:35.679101	79		0
4976	10vklpndlz8potj006aucui1qd	$2a$07$qA41pCUBKY4AK5O8ndnMWOaVdyM/LqTeqyCWEa8AEXUBDURIbVqKW	62	2013-08-03 01:13:20.970057	2013-08-03 01:13:38.572615	79		0
4977	10w4sdt963yidd52ovc9l1iu8h	$2a$07$H2yVcMWW1r/fAmryMwkw/u6d3f11lVdpkKmiG7R5DwlVI5GWlg3ly	63	2013-08-03 01:13:20.996485	2013-08-03 01:13:41.593705	79		0
5562	109esf0u2b96nz9tm4cxtm4b4h	$2a$07$gXX/cbJoTHjexGxP/1rHKu8FOYZw0Ua.H3gNfzpE.c2XHAsxOVXoC	18	2013-08-03 02:00:29.48525	2013-08-03 02:00:34.04203	88		0
5563	10nrtq8h3wxdlzfdwhexca4hjc	$2a$07$D25d/ke6DAWv9X75QGweA.57WUiShuLHqDPewybhTTqlLoEo/45Va	19	2013-08-03 02:00:29.516426	2013-08-03 02:00:34.424423	88		0
5564	10ub1quannzqbukgj3tgtpwgok	$2a$07$M5i7rby1yBNg9/sUFcrpR.2nNBatOnTy3rGfawk6fJL5PRMJF03O6	20	2013-08-03 02:00:29.543969	2013-08-03 02:00:34.785412	88		0
5565	10uya6itulnvvh6tgchkt9djj5	$2a$07$H7fRJSj4AGycN4hupVMEuOG2bDJjB72zt2TDNvw9kbdxwJ9lBUNma	21	2013-08-03 02:00:29.565629	2013-08-03 02:00:35.13392	88		0
5566	10w5zkhrxc59hhsl5mr3165vdq	$2a$07$.e0bcqNwoNOJ8Uv5V5dfFO3oZprk8ZBkoaoBZqJ9Nih5MlCs8SpbG	22	2013-08-03 02:00:29.587266	2013-08-03 02:00:35.474808	88		0
5567	10miqlktkqdbv01wkqu39b3qcc	$2a$07$.WtbK8ri0ASCWsttNhYxqOCqfpaYN6xUHRzwuGotzK.3tB0rOanS.	23	2013-08-03 02:00:29.608774	2013-08-03 02:00:35.617027	88		0
5568	1062w6elqb96krl98j15xa0po8	$2a$07$H3Sn4cQq0Jn4EuZv/USkuOihw4XJBb/AS2HYLbsCoC1hEwnv0B0J6	24	2013-08-03 02:00:29.630399	2013-08-03 02:00:35.864753	88		0
5569	10j6rpztj76gpes1qe6sb61jfo	$2a$07$VAWFMEYWxdoxkRjHeq3wtu85.w2Gzm6KPAIL12i3eTxlE2YhZ/27m	25	2013-08-03 02:00:29.651835	2013-08-03 02:00:35.983792	88		0
5570	10sdf4zmuxvl1o1spefowzrv5f	$2a$07$GSRKspCLbbV6nE3yDVLB2O6t1y/G.F83O8N..6xH1addZ4/cyTG3e	26	2013-08-03 02:00:29.675379	2013-08-03 02:00:36.120584	88		0
5571	10incvf4zt0cq5m3korhgpv6xo	$2a$07$OUGwJAwxJLjyUszmuaiQ4uEshLjbFdDkbWgsQncd1FOYMibYejory	27	2013-08-03 02:00:29.699008	2013-08-03 02:00:36.261139	88		0
5572	10v4tff3tk7s1infy3w11vdqh3	$2a$07$xMKzfb/iPpjTX.g3fQoyXe4Yq8APVqBw72tTUjdQEeGMW1QBtXmsC	28	2013-08-03 02:00:29.720517	2013-08-03 02:00:36.393353	88		0
5573	10hxyclqgao1r0jmqxodc3c9bh	$2a$07$KKse1rS2hzyyiIzHUtAy6Oo8WgncApKKH1Gnvh3PwvJMuEMUY5oXK	29	2013-08-03 02:00:29.742055	2013-08-03 02:00:36.629772	88		0
5574	10bykgaext4p406n2527hwrd7t	$2a$07$6ZvSF3IQtXiW9JbkzRQGhe.s6MJD0z1jCxQEOh.RhRvoTHHs0Z/d2	30	2013-08-03 02:00:29.76362	2013-08-03 02:00:36.964101	88		0
5575	108tyeayrta4fsjsxm1xe4i3nu	$2a$07$NGGr0Gm648LSKDD3LS0pWesuz0k4V3EKarbNXwWk2Bh3WszYf2ZMG	31	2013-08-03 02:00:29.784978	2013-08-03 02:00:37.303302	88		0
5576	10yvoz5mdxc9b761kk26nve9e6	$2a$07$PuJ.q2VlR91gsORa0HpW9uAXzAv0XvUliLOyh.BZE/nPK3F.LMm9y	32	2013-08-03 02:00:29.806384	2013-08-03 02:00:37.443725	88		0
5577	10787lmg11o1ypn9sxct1cj1z1	$2a$07$d41TrRz8W55DBOeXCgC5/uZh2heMkRW6IRaUo4RIrv3rrgq/Bxj0y	33	2013-08-03 02:00:29.827991	2013-08-03 02:00:37.571554	88		0
5578	10tmoe1mt6rv6b3l9tx0u5p3x3	$2a$07$xS6R87tKqu8Fa/.0OLOx2ep50AKOvKMlt1z7O8nqxfDbNwYokjqyy	34	2013-08-03 02:00:29.849597	2013-08-03 02:00:37.679494	88		0
5579	10ha2nj1dqilwx8hi3pcsjv3sa	$2a$07$3VcEuku55zNRPFd8K6CXROjdakOu2/pfueoELrrmiqR9UeTTCydCG	35	2013-08-03 02:00:29.871227	2013-08-03 02:00:37.78205	88		0
5580	10428zhirkdb562jmmlcyhj0dm	$2a$07$bUag91G9oKnr5QjHzI.SXOb2mALE6eS6qDZqyoyFj7pSp9l7Oe0RC	36	2013-08-03 02:00:29.930355	2013-08-03 02:00:37.896422	88		0
5581	10bti6lcjs3k99ay5aay5xp3hw	$2a$07$631Qu.G2mPSgx62mInSm8.LcwaH7GS0GjllbOB.kZ3pEHKMdPbVN2	37	2013-08-03 02:00:29.95247	2013-08-03 02:00:38.127378	88		0
5582	10utovt8ba4rl5bnzs8uwsfhd5	$2a$07$IIEChbrtVMvcwxqCiUUNlO1UV1.WfP2A0K/Z.QsLU12h5cQA8t/Gu	38	2013-08-03 02:00:29.974014	2013-08-03 02:00:38.285431	88		0
5583	10oxaev5tjw7v7wfggpr1d1hom	$2a$07$vdlBVuy5ppSjo2fO2rC65OqxT97s1aggY9DwqPitW3owbw8gVszb.	39	2013-08-03 02:00:29.995486	2013-08-03 02:00:38.555971	88		0
5584	10t4d11k8pxo6sbacj58r7rncs	$2a$07$IWQv6KEx0cdPBdD8qhfh6OzqgpUXS8nsgFAMZtug100nSEeDrGkSe	40	2013-08-03 02:00:30.01696	2013-08-03 02:00:38.898287	88		0
5585	10h0tjt09hca259ylbmn7umyye	$2a$07$S2zujclmiRg748BdlG/QYeQxWhnPWfZUuYYZc/71lJCCZBtg8y5qu	41	2013-08-03 02:00:30.038382	2013-08-03 02:00:39.250686	88		0
5586	10r21ktvaj7apz2j93jxwymnho	$2a$07$gELOCBf3vcanE6Ogf/3qje1GSWX0x90lKkkcIGsFz3I8AhDwghKuu	42	2013-08-03 02:00:30.059675	2013-08-03 02:00:39.622279	88		0
5587	10udlxyx0rmblfohnnrvguf1mu	$2a$07$m2SEC8a4MH9eQVEuqY4pb.IIWUYr58RSjaTwzBk7eGcaabqfcjjcy	43	2013-08-03 02:00:30.081357	2013-08-03 02:00:39.996447	88		0
5588	10dxw7e99s3swctqte1jssn0iy	$2a$07$VgdJI0Mgk6wJxTVBW4Weiumpb59b1pFdi.UExBG8lcG5vnzYB0uc.	44	2013-08-03 02:00:30.1049	2013-08-03 02:00:40.157023	88		0
5589	103dkm1swcpjsjrk5g23tszahw	$2a$07$uT/5C4PVGGro0lLKC7pjBeZy4.CNMyXw/ebiDKNj7S14LBQNq1PTm	45	2013-08-03 02:00:30.131664	2013-08-03 02:00:40.300645	88		0
5590	10mez8tizws1he21x5egms0z9e	$2a$07$KGjZFrRyEV9CTz2gchSm0OCKlN20YugAkDswwS/VBtp6WI8KcP8.6	46	2013-08-03 02:00:30.158051	2013-08-03 02:00:40.504681	88		0
5591	10oi3k2fq28tso8f0dhdqh554y	$2a$07$Q9cWKFtS4nzDbLvXEX9wY.AwgV2hvlKyXlF.oVewCC2iT6n9n4.qC	47	2013-08-03 02:00:30.189081	2013-08-03 02:00:40.725316	88		0
5592	109el3utwv9rv57m2rh9hm6udy	$2a$07$tBOTgwoXnABjIsjIEaEJaOER/DJ28o.VUhTvdsg3dD0R013YmLlcS	48	2013-08-03 02:00:30.22189	2013-08-03 02:00:40.926818	88		0
5593	10vcdopa564sez9r2xr7vn2evg	$2a$07$qzdrZjhte25E5ElHE34QRO.qPGQ0x3785MtzjgSEkBpldZILFaBb6	49	2013-08-03 02:00:30.246731	2013-08-03 02:00:41.03706	88		0
5594	10wgxps7xwxf73obzpeeb4nmpd	$2a$07$y0dm6ONqQOuceK7AnrYXYOwgtvZo.39qGcWAUnHi7XC2OyPOALvHO	50	2013-08-03 02:00:30.268114	2013-08-03 02:00:41.15857	88		0
5595	10q0sg0pqjqd6hprlc9g5v54g5	$2a$07$XPuqePC1O.kIB5a6v8fEZuuB92OkWaEHXWBgXXgpyUrsXJXjA0pBS	51	2013-08-03 02:00:30.289875	2013-08-03 02:00:41.308196	88		0
5596	10rh1dsom1vfvfpll849x5mn93	$2a$07$DJgsARcxivl/EO1W2JZTMuNqkKO1k5pdMU5WW66QKUFdG8wAcAQai	52	2013-08-03 02:00:30.311308	2013-08-03 02:00:41.489301	88		0
5597	10tammtuzoj47ypf5ovi7bih7k	$2a$07$Z014/jsGKXbmok0wXRVUMO3YNpXa0Tp8cTbujJyM9X1RkjVWD372.	53	2013-08-03 02:00:30.334155	2013-08-03 02:00:41.853944	88		0
5598	100gi4np2ucjh97ngjhyfrapqx	$2a$07$4EAwaPDI9VNX46DzeCHbJeAav.H.KmsX3evHf4CGQuKBdWyab1yRS	54	2013-08-03 02:00:30.370449	2013-08-03 02:00:42.077451	88		0
5599	10nzgesqix41ym26iplum6k5tw	$2a$07$HihMWx0WWaBh2ksuIKafmuVKsDUsA/jkhcsvkfBgoMDi7ot8.n3fG	55	2013-08-03 02:00:30.394307	2013-08-03 02:00:42.296063	88		0
5600	1087c8scrm85z29usc8zxebfct	$2a$07$5e5jS4RCUDpUCBO5pexwheMRWMDMU2d5C3H.nt3WmES1DBv4/siXO	56	2013-08-03 02:00:30.430284	2013-08-03 02:00:42.467903	88		0
5601	103e8xz4h0jrydltqqikx653xs	$2a$07$mjXpAqkcCacqtDGPZSFZMe1t6x1XdZ3T8V.hDhDebBNcAcNxEBKEq	57	2013-08-03 02:00:30.464108	2013-08-03 02:00:42.721912	88		0
5602	1022p6d25k0anhnjk4octuox43	$2a$07$Cs4F9JV1IHEIj4rgulRNw.OJOYI422qBYOOO.uWqQ6hLKIZ47dVkC	58	2013-08-03 02:00:30.493473	2013-08-03 02:00:42.863321	88		0
5603	10ep97mgb2hufdd03tfc8mjb8g	$2a$07$IMezDVdXNKBHXOv.CbmfKuyozH.LCeUby6qjSAKeKHzz6D4.AyLvW	59	2013-08-03 02:00:30.523331	2013-08-03 02:00:43.002219	88		0
5604	103bipidg8idwnjiytb9qokdxv	$2a$07$HczPatuGEaAZXaRwUaVd6Oh363O.u1Hae6TNwJ5qXjcTJg8STudkS	60	2013-08-03 02:00:30.547777	2013-08-03 02:00:43.14153	88		0
5605	101t3oy6e7oxyt1zqbk7ef3vfg	$2a$07$yLhLUFpy5ABNAyaUT19bzuDbgL0amWciehLcX2d3c4vao1rhP741e	61	2013-08-03 02:00:30.569145	2013-08-03 02:00:45.749357	88		0
5606	10n2zdbxwwc9m1o2fcap68d0oz	$2a$07$2FPpex7SsWEWl/bPH/9BBevwG0eM0TWvys8oY6cImrHWIzAINgK76	62	2013-08-03 02:00:30.590514	2013-08-03 02:00:48.67252	88		0
5607	100c7t3b5birfld4cvfjk7ae2u	$2a$07$SL4kgeFHDiVDs0kHqA4A5uiDzM6qsVIgx8fQD9UgAhm5M.ulkX4cC	63	2013-08-03 02:00:30.612026	2013-08-03 02:00:51.77729	88		0
5608	10981oieansryhcufc6qdo24w2	$2a$07$Vgl/SkpmsPp2i7RCZyF6w.bMmdPPS8VJshXeUD57ZfNqxRD8IBsIC	64	2013-08-03 02:00:30.633599	2013-08-03 02:00:51.917403	88		0
5609	10gx9tcfs0h37l0u4beznpe8w4	$2a$07$7Ta8wCXa1a2VGNNrgxE3mOP7zL8SzKZHXD4NUe2HDA0ssg985bAJa	65	2013-08-03 02:00:30.654988	2013-08-03 02:00:52.21859	88		0
5610	10yeip8ban7ky6fdtf55cow8tf	$2a$07$QUMKbH3KCR.x9gLMj0A6EuOEE0amu7GUwXrkp7CLCq6Uk4lQ8jsYS	66	2013-08-03 02:00:30.677555	2013-08-03 02:00:52.618307	88		0
5611	10j09l9otzdik7vb5b2aec3efr	$2a$07$yczLbPBYKxhYn/07TjvRguameWAGd6VZmLyqqSSgjd5ot38paosdi	67	2013-08-03 02:00:30.699336	2013-08-03 02:00:52.752436	88		0
5612	10ag15fyzbgjyphe34p2yqymqz	$2a$07$5yd6NqqwWbQkmAG5cbM/FuaV1yrsVkZebnqK/oQeylygrkW0iSf06	68	2013-08-03 02:00:30.720947	2013-08-03 02:00:53.006947	88		0
5613	10meh0zbdqrtkyhn157coqg60j	$2a$07$cv75XEomTaZmH05m9KwBGudIRypUZIhZxniJxTH8zPxGyBLoeU5au	69	2013-08-03 02:00:30.742333	2013-08-03 02:00:53.190081	88		0
5614	1098kxa4zaryto2i14063tquz7	$2a$07$LjHAG7t/CsEYyKFW9NrSLelShLGWClnPTKaJJ2.y4OXXyHsZHMsFe	70	2013-08-03 02:00:30.763822	2013-08-03 02:00:53.574462	88		0
5615	10p59iazlwkh3l33n6y59uichg	$2a$07$Bth71wc6QsR5Eau5LZ2Th.Aa7zIXYoMzAkuSE71iM/Jzu0M.qUcsi	71	2013-08-03 02:00:30.787106	2013-08-03 02:00:53.877145	88		0
5616	108s8pijpoaebgotdakmhrky0g	$2a$07$CI6eH9Ua.o.xMhOgglG5geRck2jzp3vwaquCW7NYUUKOSagwn.KIa	72	2013-08-03 02:00:30.808705	2013-08-03 02:00:53.980904	88		0
5617	10bjd8aswjgqhpuav5pooouegj	$2a$07$iBTkXgA6ZOuRuakgmt4CFeyfC2S8.DC2LuCEhOd1IVRq3Jg5SrfWC	73	2013-08-03 02:00:30.830521	2013-08-03 02:00:54.095997	88		0
5618	1029su3y1j3phvaywo8u4q501f	$2a$07$bJgRQTYzDZWzjkJobc0ivuJrX0eqeNecQ2bzcIoYvr4efqUDYFy5m	74	2013-08-03 02:00:30.852236	2013-08-03 02:00:54.200748	88		0
5619	1081q0989kmceneysylvrqr04i	$2a$07$fHicL/AQodc1EQAvva7ckO60G4HWOq.LW.a/ZSS5PkxQcisUeWx/q	75	2013-08-03 02:00:30.873706	2013-08-03 02:00:54.330313	88		0
5620	10gwrzh0e34jiloby85f1y9db4	$2a$07$xPC07XHJKyPOTUjIyT/qtOSUSVFlgf6gHiSrVjBiwXsDE9B6fvKKC	76	2013-08-03 02:00:30.895166	2013-08-03 02:00:54.463019	88		0
5621	10ts9cjvu3ue24jiken4tx8i4r	$2a$07$/FUzI0I1JdRQpbaXQB6dIezfEP.AKspZvGFy2/yvvQV5cqBKd3P0u	77	2013-08-03 02:00:30.917053	2013-08-03 02:00:54.837554	88		0
5622	10no8c603ayvy80q36p1x21oqq	$2a$07$HxsS.uBd6OFoxwjHvAS7yO1eY6GSwgVkP82ZZ3yEFv.RgX.JV6yTm	78	2013-08-03 02:00:30.938332	2013-08-03 02:00:55.199929	88		0
5623	10p8k6rfs1dogb5uf8ego64b07	$2a$07$DVeh/D.6/06jWnDC7cM3RuQuJnS3yLMhl5FqjaTRSaEvA3AFxQA8a	79	2013-08-03 02:00:30.959461	2013-08-03 02:00:55.302767	88		0
5624	10s1wtnowz7gk41iylexgyfyws	$2a$07$zwSBEVaW5JMpe0JB41SzG.Tg8QxtWSSPIZ8Dp09eLhu5NS8X0OFl6	80	2013-08-03 02:00:30.980587	2013-08-03 02:00:55.419439	88		0
4978	10n5jffc3p7vgx0tcpcihvpvts	$2a$07$Z3F62wes5e/32SsUGiBEyOGfpdqhiGGxc6DC1vstjc5PMqr33SqPS	1	2013-08-03 01:19:09.743986	2013-08-03 01:19:11.501388	80		0
4979	10rf662sqlof6mprf6dbzhbref	$2a$07$I.f8WaiaU7k3ReV8DFpEvOElZwhP8pHSFzOozy3g5IC0zqLvdUnAm	2	2013-08-03 01:19:09.768997	2013-08-03 01:19:11.650684	80		0
4980	10uthoq5q2t8lx1lvl3tuffb3l	$2a$07$Fa.F8r78OYiIOWidF1KvsOKrhkc86LAyW22HxyJ6UsK75u0pHdn3.	3	2013-08-03 01:19:09.792377	2013-08-03 01:19:11.782343	80		0
4981	101q2pa41d58yc9xc11kdppznd	$2a$07$LcBr6GOzOT8qOXyRZ6LSN.f6M9trnOqKd0iDWKjIHtpzIOaOmKuCK	4	2013-08-03 01:19:09.815315	2013-08-03 01:19:12.00892	80		0
4982	10f2a2h47mfzrdlclhjtm2rl07	$2a$07$YKg3wX4NFWXPUwwrfkSRUe.kQWsUpbtJcgEU9TY9kvEt2ErDtxHz6	5	2013-08-03 01:19:09.840701	2013-08-03 01:19:12.149205	80		0
4983	10447crh80w6lc4bmwgywravwa	$2a$07$LWj9XJQnBforXE05kuoc/uz4DrOp6hrW.wnD2mzKA5iqx49.EByiK	6	2013-08-03 01:19:09.868651	2013-08-03 01:19:12.295578	80		0
4984	10lr4auc3h7v2tx6gn2ewmrxho	$2a$07$0uGaG0S2DOR84Qm9QC8UWe/WkmAOeoYEZxItCscxuy2yQz14Vi/sy	7	2013-08-03 01:19:09.890813	2013-08-03 01:19:12.431912	80		0
4985	101gzygxpjexif94gvtzlv7tkq	$2a$07$fhIWn5ODBPtiCzozng5FwO8gQxyBdYp4Ke/8V8P4poEeyRFg9Wqqe	8	2013-08-03 01:19:09.912777	2013-08-03 01:19:12.593935	80		0
4986	10llizc5676w90zazx193aqjj2	$2a$07$/cbzS9BK6y7mqr2sRNchPOsme7uNKgHRRh01qRYYm0x9Sr57CniJO	9	2013-08-03 01:19:09.934711	2013-08-03 01:19:12.733656	80		0
4987	10v9owemstcve9z6p0mg4gkmsg	$2a$07$49.iHvhKKHydRYRHUPEjteMiT4h0ds6gtSbapjIdobMG.M9LrvVyq	10	2013-08-03 01:19:09.958251	2013-08-03 01:19:12.861781	80		0
4988	101q2cwg55d1p13jdhonnlv9os	$2a$07$DUWNur9g4cABmpx5N685lexZxQBF1nFGQ5rgwc1W6zSge1aA994pq	11	2013-08-03 01:19:09.981878	2013-08-03 01:19:12.992992	80		0
4989	109kifdm6jy1elx73fc20n91u5	$2a$07$4vcU1sCYwDSth.hRUyZBYunmksUNCTCKoDwwqcmJrTdMqj6A7LDsK	12	2013-08-03 01:19:10.005362	2013-08-03 01:19:13.131362	80		0
4990	10668p4mgnqnav1n7hch5iozw5	$2a$07$DYd.6n5GZ1A93bNEqoMKde.tdt2EKZglMBm0AwGA4uvlQpy80LHpa	13	2013-08-03 01:19:10.029794	2013-08-03 01:19:13.270748	80		0
4991	10tpf9az5hh9w4elwxnejqaoyw	$2a$07$uWLfs6FJJPM83n9P3mTPtO3CC5jf8nvsTV8tEvayJfHKuwE62EVXm	14	2013-08-03 01:19:10.053326	2013-08-03 01:19:13.443322	80		0
4992	10f1dn7d0tfsyt8eawz3i42zyh	$2a$07$wKNsQXtmVy8MYNEUDoMb2.RrJq4Kf7.ddT0Kgo1PpA7tsgKYPg4nC	15	2013-08-03 01:19:10.078275	2013-08-03 01:19:13.717764	80		0
4993	1052by6okzerui1yb89gyupn95	$2a$07$9EKAH9gXkg/L2zIa7vTkruV77DsDKe8ddrp2qIaDnIvJ/avU3mVQy	16	2013-08-03 01:19:10.101022	2013-08-03 01:19:13.854672	80		0
4994	10japftknh2ee0xwzfm6sdn0m7	$2a$07$IdT59GR/ZER/X711Zt4une7cIDHdftcPr95VAVJb3SYnOEraD4S6m	17	2013-08-03 01:19:10.124105	2013-08-03 01:19:14.003515	80		0
4995	10peb8kaaqe9ueh8eihtgesw5v	$2a$07$y/ZQngQXN7KWWy9sEXVnseWUTUxaHDGigGEgPuMgO.toYPKgCseaO	18	2013-08-03 01:19:10.148277	2013-08-03 01:19:14.205308	80		0
4996	10wmles1jz4y175zkotyh0tc74	$2a$07$k4Sh1kvsD9Vezl2OtDJHiepDs.faK2Rx5hq002XseTYYYy1.2eIhO	19	2013-08-03 01:19:10.183352	2013-08-03 01:19:14.571204	80		0
4997	10vgc164ga0keycd85bblnzvkp	$2a$07$w7eD/rKTVhd.fxuOQE..Rull2K6twpWnUPp0qvmfv4gPEY6uLiT7G	20	2013-08-03 01:19:10.205902	2013-08-03 01:19:14.953616	80		0
4998	10rbcqvx3tn81y4yckzmdkearh	$2a$07$hSmyty23nCZAw.aySG17IeKd.WOVrOMPaaMEOg2iNxyNdMKRqSgiW	21	2013-08-03 01:19:10.228951	2013-08-03 01:19:15.33911	80		0
4999	10dnz88ve9wwabsvwju9n8tsb5	$2a$07$srMfy.Ca2nL2RCm5qJ5b.ut9.AbKsH9oIbD0HbS1VTdeQbehk2ENq	22	2013-08-03 01:19:10.254441	2013-08-03 01:19:15.471965	80		0
5000	10mdrjfmlovbq6s1xblk5hrspm	$2a$07$D17fwAV4iy5Fba749NEqYeWt7iBusluabxVb/zFxmV2P89kh/gY/a	23	2013-08-03 01:19:10.280762	2013-08-03 01:19:15.602961	80		0
5001	10xwnzihq409cnpashnnnzp6xz	$2a$07$UlokbY9icge2MNfQaXLJ0OY0AmhKhxcXZivHYd.AmxueJD8nsQI1W	24	2013-08-03 01:19:10.314924	2013-08-03 01:19:15.737811	80		0
5002	10lydbwxfkyuwxv0vna278qbaz	$2a$07$pxc8oKhvI.2xWdqzMpyvGeU0KZ34uv6Vb8rXY4SAjIO3JX1AwTakS	25	2013-08-03 01:19:10.338127	2013-08-03 01:19:15.902576	80		0
5003	103xzt8xaxq51pbuldheyyd1ga	$2a$07$yyO4m6vilmGSmmTc5q8qKOs4V4Cy5O4mT0I6oD1ktg30SNCNufAjy	26	2013-08-03 01:19:10.361182	2013-08-03 01:19:16.062019	80		0
5004	100p21thktdtloxv7erl1le64o	$2a$07$JNcMfw9muXpRxqkdmm.KeOoebInFcLmqtduJTRy0Ds/UuRePpy.hq	27	2013-08-03 01:19:10.384943	2013-08-03 01:19:16.350471	80		0
5005	10clw9qoayeijitoujtf4upgej	$2a$07$7aQU72p4MjmqLur4jqgp4eCY9NWabkF7cB0Kiz9L19HnSPN1n1QBO	28	2013-08-03 01:19:10.41754	2013-08-03 01:19:16.47299	80		0
5006	10v8xr9n332w6aq8ly1jd96rrs	$2a$07$.e6q4nvKWw2jeaRIvAcCWum4DhcqNciw.kRYt1zPGA7Rs7ZizjKwC	29	2013-08-03 01:19:10.452107	2013-08-03 01:19:16.61068	80		0
5007	10anigfrbe8v8mg3idicn3fucc	$2a$07$xKKNUJ60mis.OEjvGci9U.ue4TKmrGsqWEzs5ri0Y7ZhphFWgoer6	30	2013-08-03 01:19:10.475487	2013-08-03 01:19:16.750735	80		0
5008	10izbicl3ah4ehe98q8zugj4sl	$2a$07$/7CPLxfYdl72QBweXdC0Ye1NN/D8J2o0sA0Tzv5fv70zwxxhd.Q1O	31	2013-08-03 01:19:10.504156	2013-08-03 01:19:16.902379	80		0
5009	10xnhiaq8qstcfmqrquyrjc20i	$2a$07$RB6E3sVTPET5WPz.pxjFyeyEB7NXxRn5eOCFi0Ayo78HVDTCPCn7.	32	2013-08-03 01:19:10.535223	2013-08-03 01:19:17.063128	80		0
5010	10hjockx0okwif2rcwj6ib7b0m	$2a$07$gLQpjMnTOQeNyAxN86SN/.F9yMr4UMni3AybP1EmdCa2q4Srz.Jn2	33	2013-08-03 01:19:10.557261	2013-08-03 01:19:17.233841	80		0
5011	10an7vp0zyfkyz4o9y846hnv5z	$2a$07$lE/kNwmovAO/duY7uS4cD.lqAP5oAQP0A1kMogahWZmF/HKsINLc2	34	2013-08-03 01:19:10.581154	2013-08-03 01:19:17.367115	80		0
5012	10xibmw2pipgmpssd4krqoozrz	$2a$07$4Kx3Wvpdfz.iFftaQo9JIOZA/ybUki8aCFPhbchc5ywG9wEty8jxS	35	2013-08-03 01:19:10.604493	2013-08-03 01:19:17.49197	80		0
5013	10w4n6f2tq3uy15fojstygxyg3	$2a$07$GqhQsfPdMATxX53VOJ5CHOmoicAEQzecLqK3nLgKDaZ/.29XzHbhS	36	2013-08-03 01:19:10.628587	2013-08-03 01:19:17.631803	80		0
5014	10cq6uylistxoqex2nbywn3ojc	$2a$07$e77tqAREEnC7yJBEIynUkO4vfJLkwbN0Ltor7so1r6/oGVlDEE1fa	37	2013-08-03 01:19:10.652822	2013-08-03 01:19:18.023549	80		0
5015	10y7wima1j0xaiky0yeop4hzao	$2a$07$ldf9BdKdQn44WGLEi.BiaOmNgy0oXjrtwjf.7Bpa6BuiAY2VEtNDm	38	2013-08-03 01:19:10.676108	2013-08-03 01:19:18.178719	80		0
5016	102kzvuwb2e6rianpu7qc1d8lr	$2a$07$zncF3pPEPMM7jLYNaqYTeupmqO5xINBJJhPjz71J0hqtKdRFkvtWa	39	2013-08-03 01:19:10.700702	2013-08-03 01:19:18.329907	80		0
5017	109xvxpbmhik5ttahmz4upqyji	$2a$07$gDg7MDanIIEyxxa1KLieGezt9q2AOIcCKiAJG/MdzzdtYEY8DxP0u	40	2013-08-03 01:19:10.724182	2013-08-03 01:19:18.46997	80		0
5018	103ymhnmdp8a1bv15mpv4c7ggk	$2a$07$zhv/GEMyr8lzvSYxvw83G.s9RLLEPNULXZ2b1oxmAmVzmiuVXavgC	41	2013-08-03 01:19:10.746886	2013-08-03 01:19:18.596458	80		0
5019	10l9n5lo2hrnr6r4nyv8maglm1	$2a$07$b5M2HVNm374YtEQuzufBQOv1gzHcTRX2E1GkmU6kt6BL6vfCNtdzW	42	2013-08-03 01:19:10.770586	2013-08-03 01:19:18.746615	80		0
5020	10qx8shtfeu3yuq8otyyhb8phz	$2a$07$KoMjNX.bXc27Dq.tp0hodetXujCh8z7cmi8k.so5qSsAWNZuANqqy	43	2013-08-03 01:19:10.796208	2013-08-03 01:19:18.881022	80		0
5021	10m35mkmzio1rw9b4sstm1pu2l	$2a$07$0aAXK4JvNpm.EuftBJ7sn.kuKfXfTRXxKFMIZ7tSzmjDmvwmAkrWy	44	2013-08-03 01:19:10.824516	2013-08-03 01:19:19.068054	80		0
5022	10sojlmwyxjsv2pwgrkt28oxuf	$2a$07$azqYoD3lGJkSSbEbusm/Te7fodmW7eMvoS8PyhOGJ3ftvowALBTTa	45	2013-08-03 01:19:10.849971	2013-08-03 01:19:19.326419	80		0
5023	10dqwwzmtpm7w1sf3sbfs60m31	$2a$07$2imoiyxrsVGPsjQcKPz20eptxvWHie2hOs6FPaK6aiPV46R/aK/Gy	46	2013-08-03 01:19:10.874077	2013-08-03 01:19:19.50084	80		0
5024	10flp4jz5h6zdk6cc2564hf1ro	$2a$07$XtUfR5JsYXaNY1vBoO0xZefyCqXcakFFQWmF97agZXAzqz0RIVZg2	47	2013-08-03 01:19:10.908453	2013-08-03 01:19:19.627616	80		0
5025	10cujw5wbixxkvzp4qp2cx2z79	$2a$07$gDzABqWSdlNT2QflfiuZ6O85WrAevjh.KPVAfSJO4clhbjih6aNza	48	2013-08-03 01:19:10.93556	2013-08-03 01:19:19.777475	80		0
5026	102qi0xaask34he24u42tmopoy	$2a$07$qQd/arEgWXAKWQHnQiI69eWpClDnk/m1ExeVGf06f4hG5TxP4Pf5i	49	2013-08-03 01:19:10.976523	2013-08-03 01:19:19.923113	80		0
5027	10yqtspbdvmj5pary0gc9gerhc	$2a$07$ndDEU0NTIiYR/r8nRliO3.rhdXKZpsA7Os45Wfasq0RonqcmAhs1m	50	2013-08-03 01:19:11.000764	2013-08-03 01:19:20.059239	80		0
5028	10ylvx11t1k2w1j60sljagjxo4	$2a$07$baISSi33.CivloL.IFVN6u3bk5beDwKG9aRB8FFK/3ef2khPc24BK	51	2013-08-03 01:19:11.035711	2013-08-03 01:19:20.20379	80		0
5029	10j4hkderjlbd3k0ucz4ire63z	$2a$07$oX5i.rwgIMU6g7B856enfu/nGAJPaJnZYelzHI2lbTNE8wcwDrH8e	52	2013-08-03 01:19:11.060309	2013-08-03 01:19:20.357232	80		0
5030	10v2ufs9djery5n208rmz1uync	$2a$07$m3BcsiYlNOCknwrg7yWrLu/VPG3aVfdZOJgNu0e1XPh3aXfJslXhO	53	2013-08-03 01:19:11.097374	2013-08-03 01:19:20.512648	80		0
5031	10lf7fd206q8zef3ye11qok72k	$2a$07$Sz0Aa9vMaY7jNKs68nUhqeEy0VPJ6HUxx8R2Cl55iMKKgeGalnkiK	54	2013-08-03 01:19:11.131123	2013-08-03 01:19:20.658561	80		0
5032	10ek3guneul82pqms6y87gvp6c	$2a$07$gmjtoKdNscaZNXoWj7Wcd.d7qxxvFRK2G63xy9plTDQQCMTxNv42.	55	2013-08-03 01:19:11.165947	2013-08-03 01:19:20.907765	80		0
5033	10rghbi1hb9w3qfurwg1nvhvd1	$2a$07$vwm4WY6fud9PXma0sSzzpOjUMU3lUMgi1ov/n0cuVHCLPMf9loqh6	56	2013-08-03 01:19:11.188084	2013-08-03 01:19:21.091665	80		0
5034	10evnqh1vx1xduwbdxz9md5yyb	$2a$07$M9hoPB/2whMlu.4t0G3lCOlUFcLEhIn8lRBA2sf0nOCyMItrdVXem	57	2013-08-03 01:19:11.210109	2013-08-03 01:19:21.328779	80		0
5035	10ocncp6yfqwjiaf41t3bdbd3z	$2a$07$XBWoZUygBWPYLu.K4dVL4eCv5NPQxgy7lncanh20L3O3PyrLurF8q	58	2013-08-03 01:19:11.231787	2013-08-03 01:19:21.572047	80		0
5036	10165i1wzp3oaz054erv2sey5b	$2a$07$qkGN4Ext.KAkeXquumPpQ./UMio9NjHwXPucyDMgrcUvabkFvhaNS	59	2013-08-03 01:19:11.253826	2013-08-03 01:19:21.786425	80		0
5037	1029uejf45gj1fqdpt902ft48g	$2a$07$quDeTWKmdGNPF6BBMIeJH.xim6VyFs0G1bwhXE2sJureHi/vwia/m	60	2013-08-03 01:19:11.275729	2013-08-03 01:19:21.997565	80		0
5038	10xb3stczk6z7znvl9h051a3x6	$2a$07$CwvpnvKlgSbZIQLl9qbMsO4iMv7egfw71IzI7zTMU1q2NkTQhCsl2	61	2013-08-03 01:19:11.29939	2013-08-03 01:19:24.866682	80		0
5039	102r85swj7hevmu9jbbeuwzwwv	$2a$07$Tn/PNwerynXMoxRheAMIaeOl1Rrq/.JppmIgwpHf4QITgA3WTMMXq	62	2013-08-03 01:19:11.320884	2013-08-03 01:19:27.958813	80		0
5040	10vzlaaa3pn2zb2r0j0n54g5h5	$2a$07$.zYkyJrlXon3MtT5ZIwYBOWpty7pfLV1tH/J88eWuUTXn/GyKrmD6	63	2013-08-03 01:19:11.342693	2013-08-03 01:19:31.056731	80		0
5625	10mic2nc1svq563ckznxlynsmq	$2a$07$ysNY/SqBF6dQ.K6MaH.DiOjEx9tLmifkGToPzYeg9ig2ATXBA5htm	81	2013-08-03 02:00:31.001974	2013-08-03 02:00:55.779482	88		0
5626	10llk3906syvz1l1nle96jy2g6	$2a$07$bNd0oSlVZ7IR/UIVhR8ZvOjOCbwf7.t5P/46UWFvt8YoKTU34mMYi	82	2013-08-03 02:00:31.02436	2013-08-03 02:00:56.010587	88		0
5627	10zvout5yrze3wnidc3huunobt	$2a$07$7rvJJ73WpBfO7mxwlRcxX.ppbqwX96M7N7y4Ob0D9EmTJBYN6aUbS	83	2013-08-03 02:00:31.045979	2013-08-03 02:00:56.135095	88		0
5628	10e8u2mtoqgin37a8zpbbaxj9v	$2a$07$7BRY0MG7u9mcaI8rfdzCk.X41z9UgMbjD2HZqQEpb0YiBxUZhRY4K	84	2013-08-03 02:00:31.067042	2013-08-03 02:00:58.866304	88		0
5683	10kjun15d4g5g3eu8t2rfpfdrg	$2a$07$a/csAm7WPgAgb6AElQTmj.9g.WrsBFAEhtiBMcj4j0I3fyQKM3qX6	55	2013-08-03 02:05:35.335489	2013-08-03 02:05:47.206667	89		0
5684	10iazm6ttg7oql5y5pdgqbu19d	$2a$07$Ab/Phyr8nT2ir/UGrVxQ4OxFTBV29qrRoSeOQx4LF8PNP1Kn9pxQO	56	2013-08-03 02:05:35.357417	2013-08-03 02:05:47.320267	89		0
5685	10ajmhqoxgvqwgaagweivj994m	$2a$07$OFZgEXbXM7VGRvZPhk5dUO/ogUtA32Ee5435fM1RTWTqCafI5W/mq	57	2013-08-03 02:05:35.381576	2013-08-03 02:05:47.492432	89		0
5686	100cd5igv5q00905oi5gp287uo	$2a$07$AGTv.UyVJ60ybXHMor2iOeoSdyCVtfsKmq2jTEpWn20trPZt.NGI.	58	2013-08-03 02:05:35.418475	2013-08-03 02:05:47.701642	89		0
5687	101mskyygpzl44peucqja4l9ko	$2a$07$TSTqGKssXri3HWsxmt3JwujZIuoLKYoaCbZ.2o4osCdIVgYcPTkiC	59	2013-08-03 02:05:35.456399	2013-08-03 02:05:47.833248	89		0
5688	1032oj8eidxv5bmqdi91pgfhti	$2a$07$lJlIhtpANe9NHK1hsqXtTOd81.HRWAX3KV16OMLSo9X6I8p2hOakK	60	2013-08-03 02:05:35.478842	2013-08-03 02:05:48.002569	89		0
5689	10fhkwmcqqrqhkv1l4o0ow90q8	$2a$07$ReqoN9CuT2MamDtdDvF9U.zT/z56NP/DNTK2rZOEcMB6rGKrWUjJS	61	2013-08-03 02:05:35.500314	2013-08-03 02:05:50.938611	89		0
5690	10vfhzsxmx87orhuf9lzlysctw	$2a$07$HthZji5bodcMH2chxyj90en76h23DkzCC1QL1OIkFFfzo/z3zdyl6	62	2013-08-03 02:05:35.523549	2013-08-03 02:05:53.925221	89		0
5691	10e5j63lcmdijsu6b22knzagd0	$2a$07$lXIhqPw3XvGZcF/AY7DSrugwbo53Ad.g5Ss.FMx1qtx0wvwABw84O	63	2013-08-03 02:05:35.546224	2013-08-03 02:05:57.045382	89		0
5692	104eiq7pqy2yd4a4bps2wkveso	$2a$07$QXIL6IKVUj.uFfk/.go.MuTteCTlpPl7R2IX9IcLgzUnaJoYty1rC	64	2013-08-03 02:05:35.567846	2013-08-03 02:05:57.183388	89		0
5693	10wxban8gfch34l4z2ekkm5k46	$2a$07$d0.gw18qftzrCrmUFfeXyODEcQMgmLgeMqNlf5trra6hz2i8/Y0lS	65	2013-08-03 02:05:35.590464	2013-08-03 02:05:57.316517	89		0
5694	10ivjdaxybw063134q1pw7ia0t	$2a$07$9jARmeyGpI2nlt.oqlL6i.i0tJ7Hi282M1MOh882cEhR9rXn5PLSO	66	2013-08-03 02:05:35.611993	2013-08-03 02:05:57.423349	89		0
5695	10z6yrplp2k31j8wrf2k0zcrmo	$2a$07$xs24We9o.ugpY0gWfeJvdOwmuZSzFouB48bTR1fThI7C1j58w2zge	67	2013-08-03 02:05:35.63366	2013-08-03 02:05:57.562367	89		0
5696	1095nqselqlyp2wqi19xqxnxwr	$2a$07$xDH4gQ/VZx0CDtJS06RdsOJTlb8/vOaCjY8F27yEzJ5OisNJlGDC2	68	2013-08-03 02:05:35.6551	2013-08-03 02:05:57.719268	89		0
5697	10x0nhmz4qoj68dg8bj9xf10mq	$2a$07$AHwprXeFHpoPcSIv9S3HFOlwNNBmaul6L0c430kSVPXK0Q4UxcC4e	69	2013-08-03 02:05:35.676563	2013-08-03 02:05:57.925124	89		0
5698	10ta7ltuytmzod9txcmvw543t3	$2a$07$5/BL6AJUkwdGSdMZ5NOFxeEpL67VWvl9cYLeqBr0YVPsJ8Y87V1Lq	70	2013-08-03 02:05:35.698054	2013-08-03 02:05:58.13811	89		0
5699	10eebs8pn1viqte9k6a0rtvyuj	$2a$07$b2CZu7Obhwe/d8mq9wGCU.6yatz7nZsBDqWc.4oO5y.eF9yOn/LIy	71	2013-08-03 02:05:35.719399	2013-08-03 02:05:58.539243	89		0
5700	10pr7sls6zx3nhdvwpxdf0n8rg	$2a$07$wr7IVMkdyx3EOy2YkXkyaePvUivZkvWMSTz5iOkfQ8akism6MQqvu	72	2013-08-03 02:05:35.740877	2013-08-03 02:05:58.753921	89		0
5701	10eo2b20mxnovft2ngf8huw3fh	$2a$07$3NZ0VfpByBdnez8D5wLhfug361NfyRJLQZFNQod5CB7DMQM01cJFG	73	2013-08-03 02:05:35.762374	2013-08-03 02:05:58.895421	89		0
5702	10u16iyyqkyxn1a7ywl5bqsnvl	$2a$07$YL.7B.TawhwDcG/TFUxcyewZZ3zJZHiOn1mg/R7KBGJwKS8dfUUrG	74	2013-08-03 02:05:35.785296	2013-08-03 02:05:59.03314	89		0
5703	10sdj50ft9nc3ncexpeyy5u167	$2a$07$Z9gn7WHD7nQnFfMTbc9O2utxSn8mdMpbpT2YNEyRw9CJ.SIh1tUde	75	2013-08-03 02:05:35.812959	2013-08-03 02:05:59.310435	89		0
5704	10u4wawwwu2xmpgk3upvr4gkhv	$2a$07$CDXxdkANWudS3s5NVImqnOL/lT8xYvrLRJspk9.bCbvKrfIAEuH1C	76	2013-08-03 02:05:35.842188	2013-08-03 02:05:59.616041	89		0
5705	10gx0z290l7umow8ei0g728fyb	$2a$07$ZP0qpxKyBKUb/xnFoldiaOv9s/1.E9p6UZw/azxMWb0FTsbwTnTuG	77	2013-08-03 02:05:35.865587	2013-08-03 02:05:59.833121	89		0
5706	10iifodj7cofu215f24ubruc19	$2a$07$ZwW.ofXW5qcnnWTAfcPPOuAVoVEKfjDZyG9VmNSXU33UHJdQ5C.da	78	2013-08-03 02:05:35.887914	2013-08-03 02:06:00.159774	89		0
5707	10oz78jgg1cgq9zmfg8im0kz0v	$2a$07$5Vh2Zmc/7gPeg1W1z3JL/eiDQDB6xNdNKhietdlfTEAULVAesBGwW	79	2013-08-03 02:05:35.909863	2013-08-03 02:06:00.275254	89		0
5708	10er3784m7iqzsdqmob3rf4d52	$2a$07$UiFYxp31A4FqMotpgeqz2erG0ReRbQ6U9esszqYX6xb7D5lGFFCp6	80	2013-08-03 02:05:35.931698	2013-08-03 02:06:00.413104	89		0
5709	101t0bkvj27kxsuu6r2kb2u6vn	$2a$07$IkLDVFMdb.OLu590SsilaOuAOz/OxDNM6QXDM2FMudkXgs1IfhMVm	81	2013-08-03 02:05:35.953667	2013-08-03 02:06:00.596904	89		0
5710	1072dxv5lpwmfqd1p77ma886lv	$2a$07$J5313DuAAbQ6gmGXcAiV0OhWEpvpA1xIPizgz5l6XUImkProku.UW	82	2013-08-03 02:05:35.975991	2013-08-03 02:06:00.824738	89		0
5711	10tpfia2fmwgg2bsrpr7jabb0a	$2a$07$ftparqRJcgFvr4d8lQVkeO5UWTc2Kqa1L.GjxZ7rEbozytjCeFnti	83	2013-08-03 02:05:35.997817	2013-08-03 02:06:00.964636	89		0
5712	10881yif3ygq2jgvwx8k8nazop	$2a$07$72Hyf8y2Gi7Owu7CLTfYeuh18NPd2n26s7ZEP8RzkY5W59kLQJWVC	84	2013-08-03 02:05:36.021459	2013-08-03 02:06:03.647803	89		0
6742	10eptz2s1pox1mnxpwja8w5r1h	$2a$07$CqSLE8L.d/9CQTDcDNBsZOJdnmRbuHAQhr7bjcW18ifq7FO3JcSkS	22	2013-08-03 17:09:59.677548	2013-08-03 17:10:06.657881	103		0
6743	10ordj6kx6kdf301qfksd62oli	$2a$07$SnyYNGR.7LzO6T2a9gATFuqgTN9/VONSPlX2AIqDQB13DgkT8WQ/6	23	2013-08-03 17:09:59.701223	2013-08-03 17:10:06.898128	103		0
6744	10mvfvpsk1xykbrnb1830gwojt	$2a$07$WkkMmOy40Q3htvaxQlLinOF/KOAd7vY3u.21C.1qqYWsqm2nw6toe	24	2013-08-03 17:09:59.725035	2013-08-03 17:10:07.035896	103		0
6745	10nf7lo5t9g7d8c50oa8824fxp	$2a$07$HisZk.c6whDreB3tlsm2nOqX62P48UqohqNBBn1maM6mVySF2eviy	25	2013-08-03 17:09:59.74885	2013-08-03 17:10:07.363467	103		0
6746	10zwtj3j5zaf75n6le2u7kw2c8	$2a$07$dK1xL0ZHtAHr0Zn.9xAcIOBx9tOEf0oELeUzGIcQq90BcB2CTwmZG	26	2013-08-03 17:09:59.772461	2013-08-03 17:10:07.630846	103		0
6747	10ocauxfop7sb85x2urcgo8v9a	$2a$07$OMtXAEB9czx1.meMpoXlG.yR6uaLzS.GUUb9zqUtvCNdVRzkmzKUm	27	2013-08-03 17:09:59.795981	2013-08-03 17:10:07.853423	103		0
6748	10kpsw0t7n2rmliz4hirta6r38	$2a$07$YVFCyTrfPifjtYFNGzRB2OjwztaInE0SyakYtuOny7KbWZERh5Zkq	28	2013-08-03 17:09:59.817595	2013-08-03 17:10:08.22677	103		0
6749	107zcomxg5uo7knfbu4j380ts6	$2a$07$osbUuocOBKAuWBa2Jgkgf.V1.bH78H5L0UC77FcEPt8ko8sXhx6AC	29	2013-08-03 17:09:59.839372	2013-08-03 17:10:08.574911	103		0
6750	10qs5mry9ivedd79aj71n0b2bk	$2a$07$eSUDc9xLLFPHmGg.K5ElVOGjUca5jXP/6ApiLlDPfII7JcK9gn3MW	30	2013-08-03 17:09:59.864506	2013-08-03 17:10:08.938747	103		0
6751	10rgm50jeknzmuy9300lbwcvex	$2a$07$kzEzPNtYBUzTx1i.b983DeMWPEkYQWTH/UG28kyOC.XgsKQjieqau	31	2013-08-03 17:09:59.88992	2013-08-03 17:10:09.173359	103		0
6752	10f1ewly8scjwuwfpq76y2jd1b	$2a$07$Genv63r7qy6oqx9asEPA2OSW7k09Edw5N2WRP3SSXkizXSiZzQIuC	32	2013-08-03 17:09:59.914402	2013-08-03 17:10:09.285153	103		0
6753	10j8bcpezhrb6a8ghadht5b0wa	$2a$07$xfMxx6awQhKXvjtWzS/xhO/S/rad0.moUPjWDcxCqGEA5aiKBrVMm	33	2013-08-03 17:09:59.948935	2013-08-03 17:10:09.473757	103		0
6754	10ps459nzp8tmox4npzmtqhom0	$2a$07$dknzYum43Qn24Z3i992syuE.7XcLpRO28slWVb72dsvDORxk/87Fa	34	2013-08-03 17:09:59.974886	2013-08-03 17:10:09.883039	103		0
6755	10ne03463lhwaintr6pa5s8txe	$2a$07$8NxV83Qb.yFFRhloG4gBs.ya8KFAf2iqisupcU3uW/FO1q5bq.9TK	35	2013-08-03 17:10:00.00776	2013-08-03 17:10:10.043587	103		0
6756	107m0n0bwpeviutlt9iqsh8vgy	$2a$07$HWDgNluet/SIrDKbSnY8IuYi3VYdVx.41uq/EFq5gtG8ykpk6h4zG	36	2013-08-03 17:10:00.034482	2013-08-03 17:10:10.312321	103		0
6757	10joqydqy1oyzymrpte9zg0n9i	$2a$07$nm2IqYRD8ybUMoiajntkPOjU8DvLqY8r1o.Bl4opfRZS6nBGMBl2e	37	2013-08-03 17:10:00.068238	2013-08-03 17:10:10.668869	103		0
6758	10ninqo9t0bws6ldclw5axmx1c	$2a$07$E69jU6emQl56e61bLrWG5.DfZcJbYX5g8lRXbrO1DVIJYO.98/wgu	38	2013-08-03 17:10:00.100191	2013-08-03 17:10:11.017891	103		0
6759	10o0dfn2c89yt4m8a1kprkzk29	$2a$07$0OMmiQBwiJ777Hwe3Hg9ruga1gz4SDgWokPNN4RZN3za9daxLrFwi	39	2013-08-03 17:10:00.142538	2013-08-03 17:10:11.392753	103		0
6760	10zn33yrn9mplvu9i6qd63336l	$2a$07$t20Dc.vRBRWRYuA7K8OUPONM4RoFZsEtlF/7r3i9O.eqEyMiBLZ5S	40	2013-08-03 17:10:00.167894	2013-08-03 17:10:11.762477	103		0
6761	10v61cxkyesr0z2wowm08q3tsk	$2a$07$S3zgFtuc.tqmOoPBFopo/eyMZ2NdVStDf1yu8HsROMpLcOOVk7Puy	41	2013-08-03 17:10:00.192456	2013-08-03 17:10:12.114512	103		0
6762	1013wq4gjv11a6qms800nolofz	$2a$07$3CrZ7vSWU.vwrvFY3o0XQumV6w3DUKZSxls1PP4k1Z5KkTLIgfVm6	42	2013-08-03 17:10:00.215086	2013-08-03 17:10:12.468366	103		0
6763	100emra2c8bfxk4wwvgpx8kba6	$2a$07$8o5ViRLEZZeROsbTNFN3M.ifUagRA07eIlDizCi48oV7X.PldPW7.	43	2013-08-03 17:10:00.23891	2013-08-03 17:10:12.594851	103		0
6764	10zmflawfzs95pdlmm0zqumzk0	$2a$07$ig3uy/xBKowug78OR5yscO0d1Z9aqAkbr/C/uEDPYW7xdi/3N7VaG	44	2013-08-03 17:10:00.261917	2013-08-03 17:10:12.734867	103		0
6765	10norje1wo639rsp9q0e69qpk0	$2a$07$i0KT9wSo2cy43mG7NlyjMO4pBxOs..k.0GpFHsjx9ZvQ8uz3kOiZ2	45	2013-08-03 17:10:00.285451	2013-08-03 17:10:12.876734	103		0
6766	10idjgnxac2bs6jr5i8c7t2bre	$2a$07$kMCWxbIT1uAtaE.GkdGEP.BpLKM10iqUetTnrnqjKWMtvpe0cUr6.	46	2013-08-03 17:10:00.308435	2013-08-03 17:10:13.256289	103		0
6767	10offsgcnvhqop3mrl79vo7il1	$2a$07$scBOMG.1PjpJahZhKZHZru.hgFeUvAj2kGYRy4EOEh.TI2GBIdy4S	47	2013-08-03 17:10:00.330894	2013-08-03 17:10:13.605903	103		0
6768	10ipnspmpwruf91gjinqteprcg	$2a$07$QKexZ2JtXwgjexG0o0yC1.f1fKwls2sekkTlETanMwQeHWCtflAQq	48	2013-08-03 17:10:00.354511	2013-08-03 17:10:13.821746	103		0
6769	10xf9lhl3o2j1v1ggilpgv79he	$2a$07$b/TGzeVnCWu3xR2uSsA8yePk/Ts86SFIuURbRTazXAUhWdHUWjSrO	49	2013-08-03 17:10:00.378683	2013-08-03 17:10:13.958856	103		0
6770	10jjljgos9mlhcj5oetgef547a	$2a$07$rkEOtXG2mb3musKF5Culguc/otVDbrn7otFMT1sseucRACvj1EnYW	50	2013-08-03 17:10:00.401921	2013-08-03 17:10:14.069546	103		0
5041	10mgpev6x481ml8x35il4ak5cq	$2a$07$Nm.h1KbksHDm6PH0Hzi0NeVt0nZ4/litNBI5HueOEspYYJK/WAep2	1	2013-08-03 01:24:57.353935	2013-08-03 01:24:58.917219	81		0
5042	10v76zrpji9ire41iotoqc7sd1	$2a$07$cJgcTRi.lPkCGfQCLkxFReOyPz2qUmdNmaS9C5RXup3eCYOh9W9li	2	2013-08-03 01:24:57.381896	2013-08-03 01:24:59.061505	81		0
5043	10k0tadbxdo4i3u91kzavwsz2q	$2a$07$kmY0tJxOD.RzBN/CDMnrLOCp3xLeWA/W1NkHtxP5C9Akx0GFoTO52	3	2013-08-03 01:24:57.40472	2013-08-03 01:24:59.199584	81		0
5044	10grqv5v7355n9y3ywcpphjjq7	$2a$07$TI3yBUZhCMHFP0K4Wm8PPe8h5xUhk18TAPgWDY2sjIWhmCJBZ5YVy	4	2013-08-03 01:24:57.426353	2013-08-03 01:24:59.563664	81		0
5045	10tie42yqaddd3uqql0ex80d0f	$2a$07$QU/5MU7ELKvpm7/1fjZITOVX8.NDUXygJNlxU3kMS7aCRKmbVvWSe	5	2013-08-03 01:24:57.448014	2013-08-03 01:24:59.923567	81		0
5046	10ii1zkpdnv976dtrayagr41zx	$2a$07$L5WlUzs6UAy89xQ9fPlFHuVP2EWtYgVAekXJnCXbBWfeL7uxXcRhW	6	2013-08-03 01:24:57.469645	2013-08-03 01:25:00.057133	81		0
5047	10bl4ieruowkxkme4prinrq06q	$2a$07$De5xWtsv511rAWQ8QQFpgeezHEaaUSku9kWu565SLmmLdpT2aQVJe	7	2013-08-03 01:24:57.493008	2013-08-03 01:25:00.249284	81		0
5048	10pjvrjd17pv1rf81n29fsvgjp	$2a$07$Rui.BO9qUTLdpFiAef7hzefnPvSoKKi2lrRgl1YVjb3i6vSwdx7rq	8	2013-08-03 01:24:57.515535	2013-08-03 01:25:00.402377	81		0
5049	10p6auvlble6t53ahgcgp30ual	$2a$07$yVDoKTrTamgvqDRAw0FloeEWokDGW6LvRzy9B3Y/Ff4seeotYMhBm	9	2013-08-03 01:24:57.537176	2013-08-03 01:25:00.776194	81		0
5050	10e15l1hxg9ubxg4nlvi6truw8	$2a$07$heCvqAY1EOpcZLqFsu.xL.vaP33dut6ZbcAYmffuE3Ex2RyJ/fRdK	10	2013-08-03 01:24:57.559506	2013-08-03 01:25:00.881606	81		0
5051	10mvfka5w2pr26gfa76r6c284e	$2a$07$ysnI43dZN4Y8hnimm1Gf9eDZGO0jlp.OJpjnqvZocJ4aaoebh4dVa	11	2013-08-03 01:24:57.583458	2013-08-03 01:25:01.009139	81		0
5052	1040x3v10l8ep1c40jcaniuhyu	$2a$07$O0UCSgeKsXMs1ctx194/w.SuIGQncQgYvSkuAMgW5nidZqQkrxJoO	12	2013-08-03 01:24:57.605192	2013-08-03 01:25:01.130366	81		0
5053	107irhplneu9myn0twaipyvs31	$2a$07$yWTOpO975XCmOEmJvLAL3OZZFVapZ6AOcdDivhS.1Nuk9cEcHmKke	13	2013-08-03 01:24:57.626777	2013-08-03 01:25:01.498123	81		0
5054	10kyn4h4d5h0holigq92k0jdic	$2a$07$6KeeYP9fg68PNpzNbK0Ds.loMDjugLgmphFLxnM0Ds59VWWl3flsa	14	2013-08-03 01:24:57.648598	2013-08-03 01:25:01.851372	81		0
5055	10tjf2enmpwdoi22nwiteevhh1	$2a$07$dUVu4TzVff8ANAY9zCiymOqaTGQ1TiV8jqs/CevZcZgVpAilXZp1C	15	2013-08-03 01:24:57.670067	2013-08-03 01:25:02.190617	81		0
5056	10fn724lglqb3c186l1xn703n5	$2a$07$EUDnp3HhUNW0FPya2FuJq.xVqgu105HRvDNczl5ykzstPfRwqLHZ2	16	2013-08-03 01:24:57.691836	2013-08-03 01:25:02.579121	81		0
5057	105qw8u1ebuuw8ez69bt42n3lj	$2a$07$hA7ng94/fk83qK/ghLPk1.XILm7aWjXOWuns3OJ69a.7rs6MXfy7S	17	2013-08-03 01:24:57.713228	2013-08-03 01:25:02.843888	81		0
5058	10f3gkk4danj9ayoqbe1hhsumz	$2a$07$.Eup1wLnscjRCBb1R5qc4elDWDDlnBJygb2dO.LpF/wpIFP6YSF.O	18	2013-08-03 01:24:57.735367	2013-08-03 01:25:02.977289	81		0
5059	100i7d1edhc6hhm7qh8ffcpk1s	$2a$07$GDy8bcHXryEDGkM2iXlQ6e0uqw2oNcwvC/11GLZQBBRiZOwI3eVLy	19	2013-08-03 01:24:57.758994	2013-08-03 01:25:03.224893	81		0
5060	10mjcxd5o4rfqafyb6ubh7qoaz	$2a$07$WLYNLVn9s2ngUlE1/RDkYuHx3oNjfAgYam5N6mGdZgeggptcibFLe	20	2013-08-03 01:24:57.780197	2013-08-03 01:25:03.458829	81		0
5061	10nq72ze6t6c09ylznqng0jchl	$2a$07$szEIbZOGSOcshStYqwyIIO6dfYzMcm6nihWR.9kfK4BTWiV07qrhC	21	2013-08-03 01:24:57.801442	2013-08-03 01:25:03.79781	81		0
5062	1091ufjoq9qdphzzbqkbazsuqv	$2a$07$OWoSD.p47041KQBWd5OTPOA2.MQ8fwgEGqkkS0eKc6ZV9WtkCndkm	22	2013-08-03 01:24:57.824589	2013-08-03 01:25:04.176612	81		0
5063	107sqc290gygox79pb1kg20j5k	$2a$07$OwmV0WY0njkSGbQki6n04.uRG5eYnHCmCoiz0yG94JXSgDopcsMNS	23	2013-08-03 01:24:57.846667	2013-08-03 01:25:04.423797	81		0
5064	10typ7gl9q5tuvpaparpix46p9	$2a$07$Li5Qe43DYGJAxJmr0Uh93ucB2H.Jo73twZGrV99ugXp.1EsxfXFVG	24	2013-08-03 01:24:57.8724	2013-08-03 01:25:04.549202	81		0
5065	109f4ieaamneyzit51lclnul81	$2a$07$eI97D.YDNJc92GkX7w0knOjjlbviPnRE7ZJ.PQyY/NjY9GynlyefC	25	2013-08-03 01:24:57.905782	2013-08-03 01:25:04.855841	81		0
5066	10sqwk2op6ogq4cremth3r52e8	$2a$07$fIVasY1WxzOQAxJMOMEx5.uLmoYbKp0bR3H8QLsK3QnBJmc1V8Tvy	26	2013-08-03 01:24:57.930285	2013-08-03 01:25:04.991182	81		0
5067	10irzrir1b7xpcrr8vjj2dh7xn	$2a$07$OvXl1WKwVuYkuE4ioGgiGuNmF8wXjZlriSzLtOda/5uA2fZ9gCbcG	27	2013-08-03 01:24:57.952704	2013-08-03 01:25:05.187143	81		0
5068	10ikulvb8xjwj58ostb79r45ji	$2a$07$4pATl7HW3kfi6ircQQXDTObAVkMhEUrJXO2HoNiRQUqxGQfTb0Gd.	28	2013-08-03 01:24:57.9795	2013-08-03 01:25:05.563248	81		0
5069	10y0qo75324c1nrx4g3vsfl5zl	$2a$07$XNjqkG5H3lC.jw7lpn3Cr.wMgHuG5HGrYEhR2NbOrLnpdzSrbcagy	29	2013-08-03 01:24:58.00076	2013-08-03 01:25:05.789808	81		0
5070	10ribdo2rta2435mzz132bqa75	$2a$07$UaxMARF/RAX6m3gphSzpnufQOT2Z6qclK2QTsT4f91YPs0qRCiK7K	30	2013-08-03 01:24:58.021962	2013-08-03 01:25:05.927664	81		0
5071	105bm9faje0m5i79h2xua5grtb	$2a$07$u4bpophUYUqHMdMIOVRyNODv5QAPcpYSifnDAvwuicLTCgCEtv3/W	31	2013-08-03 01:24:58.044877	2013-08-03 01:25:06.284273	81		0
5072	1099xjvz19n9m53887xego04z2	$2a$07$Plz0utWKq2uQUPU5KfIGMOS7owTXfV2kjqlBGPwkPCWtFlHu59LAS	32	2013-08-03 01:24:58.066456	2013-08-03 01:25:06.64825	81		0
5073	10lrbrymggh3htc4w1o7fh8zdb	$2a$07$.l1Ki.V3N/x9Evcq4CkkHO3ce/azKrxiI5iRDQryHA7RUQgfVrKjW	33	2013-08-03 01:24:58.088098	2013-08-03 01:25:06.889262	81		0
5074	10ylepszaelk4f45b8yyzb2083	$2a$07$CFBq8D.uepqX9cDo3NBDF.0Nt8csxsG.E0yR0jsdPOsY7uBxGg1Zm	34	2013-08-03 01:24:58.109525	2013-08-03 01:25:07.267727	81		0
5075	10vfg9gwat61dg5wxax3v5bws2	$2a$07$tXc6aUzFT6r.NW7tiIESqerb55xvpgFLHU0ZyZUgxTVMXa8pJ2.E.	35	2013-08-03 01:24:58.131026	2013-08-03 01:25:07.652354	81		0
5076	101db4tfvxdibm4udes3zut8qv	$2a$07$eznqIj/6PCfou/u6xfyYwu2PoofhBNXvHRUwKcxWWcUQYf3a3kyUG	36	2013-08-03 01:24:58.152547	2013-08-03 01:25:07.989233	81		0
5077	1032lrq2d0h904e1v30s9b2ynq	$2a$07$fX4UL4cbv7zZlb9ol9LiPOQ3O.60Smen.9zn1wPaSPeao2Aa7U7iC	37	2013-08-03 01:24:58.173906	2013-08-03 01:25:08.153752	81		0
5078	10owwe06vqu0uxdad561wvs1ro	$2a$07$6E6TaNPj68SeqM/bQkPWReJiuHDLOpdw2TcESUsHS2BgwBBYRusYy	38	2013-08-03 01:24:58.195947	2013-08-03 01:25:08.306881	81		0
5079	107g1iq96x43qscru5pu8bk3ka	$2a$07$AJPS8hBJJ.6xSOxkVin4TOhV4wP7e9C.7ZXpuIOEogwqTds1EHtVi	39	2013-08-03 01:24:58.218628	2013-08-03 01:25:08.513533	81		0
5080	10x7wkzqvweggo3nbm30pxk961	$2a$07$OHwS3cn7PSX8OcFcqBzmIO4C.YRRWNoWOYYNZluAVfUMQfiF1K88C	40	2013-08-03 01:24:58.242757	2013-08-03 01:25:08.666053	81		0
5081	10s8c7i5ha3ii9f4eb13go5pi1	$2a$07$3cnHH.xjrhNN8ds08pgN9OkxbZ3OeDXhgtQYSEtULzg96.MUWmDf6	41	2013-08-03 01:24:58.264651	2013-08-03 01:25:08.827929	81		0
5082	10rjyae4dz4fa1xlsbhi3r3jwh	$2a$07$hkK2twD3x2xAHJsJ7cJaDetawXSq64CdBWW9SKQ4OZwbHYle6cUPS	42	2013-08-03 01:24:58.286579	2013-08-03 01:25:08.970614	81		0
5083	10y6xc1t9lqrtm1q27e4tdgf7n	$2a$07$Ns9nHVuVTtsadO30FEONu.Vnvx4KEwvm8tHeHgce8hGdhI0Ar1biy	43	2013-08-03 01:24:58.308261	2013-08-03 01:25:09.338336	81		0
5084	10tc4n3nptcla4lf5046yks4xb	$2a$07$es2bWAKsxGs3i3BmcQfrB.IEuTYRFwhpR9Ss1R79joFScOdWAlZ0e	44	2013-08-03 01:24:58.330115	2013-08-03 01:25:09.705248	81		0
5085	10tu9lumizeps42ab869tmnfy8	$2a$07$PTxL79W4fl1r/XzXQoSMgeC7PdGeVqI0F1UtXBfU1ko9CZeNGv9by	45	2013-08-03 01:24:58.351754	2013-08-03 01:25:10.057512	81		0
5086	100mva178zgltnbs4eclfjri8o	$2a$07$28R26pIMoTS2eEuRBACiR.6qVqo02i8Kdy8IB1c.i3UjSaEeqfi/y	46	2013-08-03 01:24:58.373554	2013-08-03 01:25:10.416045	81		0
5087	10l8j1hnwktiqxurgx530jv65a	$2a$07$RxlZEi1OU.NXEFLS1gZvSOEbSGL083qwQISmEv3zmFWGwL6zjSJtm	47	2013-08-03 01:24:58.395383	2013-08-03 01:25:10.779519	81		0
5088	10qhj033vxmh3gxfanz8ydez49	$2a$07$v2n/4BFef2T1iXDL4xXs7etaMKS0HYU3YmgEg9eHTsJkfm.XxngJe	48	2013-08-03 01:24:58.416798	2013-08-03 01:25:11.143466	81		0
5089	109g0hpqlxf3acuktrs6c5z5gg	$2a$07$vxYg3VlP599B.vmyz9PAwOHZrsagmN45ngktqTeh2foBnzIJDeUBG	49	2013-08-03 01:24:58.438405	2013-08-03 01:25:11.288979	81		0
5090	10bwyxn06tbm6p63t2k0bc8m3x	$2a$07$DZcrXQvjPD9xLt6QYAo.ZuEdwwFoCF88PAZToePilpm1TrinX6Fza	50	2013-08-03 01:24:58.45976	2013-08-03 01:25:11.443567	81		0
5091	10notcryr0o2bzwprulziebam4	$2a$07$dVUAsxP1FADGkgQaiNnWB./uBshV5.F48nuOsEyHZZmUXEbfDOAP.	51	2013-08-03 01:24:58.481215	2013-08-03 01:25:11.604587	81		0
5092	109qg9v3kes5uq7cku7k8nx66p	$2a$07$hzW5J4XoB6Nt2FFaFnrbO.c7bj7vc9W/W5RkMse98Snmu3byp.KrS	52	2013-08-03 01:24:58.503626	2013-08-03 01:25:11.968375	81		0
5093	10wot3wd8h7fpu03o2fmteplya	$2a$07$6yddwj3IUYKE0ddgVaRLfen6w//p9xH8HFVax.Nd6KRhMZ1NcAwUm	53	2013-08-03 01:24:58.527717	2013-08-03 01:25:12.196441	81		0
5094	10xkr09upafft75t79gn9xnegi	$2a$07$5SWyKxg.cvxxC/f2hLrHVekzeGKKdzhiS3GkF50muNgRu2xatv6QO	54	2013-08-03 01:24:58.550545	2013-08-03 01:25:12.334351	81		0
5095	10fvaqctece3ywcc5top0bf5sj	$2a$07$hReMrKSPTZFhLr0LzO2i7eUtwYcYYjgst7GH8XxI6p2guO4BMlYQG	55	2013-08-03 01:24:58.572446	2013-08-03 01:25:12.669877	81		0
5096	104u5obpnz0o0ootfmq01qw3b1	$2a$07$w3.KqbbMKOadOfUolOEAPO8kYy.8BseXcS0p2ynJX8aoexObIdBje	56	2013-08-03 01:24:58.594126	2013-08-03 01:25:12.815167	81		0
5097	10gwkvbh49w4b4v87m6g5ckzrv	$2a$07$PVV1VGlzOsWWWAtmyND15O6IatWUyQmHfloHpsPnu9i26NJifm.le	57	2013-08-03 01:24:58.615518	2013-08-03 01:25:12.98479	81		0
5098	10fkj4li23up4aer14fr6qdq0m	$2a$07$HHYlNoxbDwR1G4G2f0.Nae8jyIVAznxhUjbPHpzZggahD7FQwjGl.	58	2013-08-03 01:24:58.63693	2013-08-03 01:25:13.246907	81		0
5099	10pj2rhaqizy0cu1ntsxkayrxx	$2a$07$NjPd8ONWgiWQHGWYPjmIVOyFXXCgUqJGrpwXM2kQcB03yiNoecznu	59	2013-08-03 01:24:58.658567	2013-08-03 01:25:13.38482	81		0
5100	10v0zrr0r8reytswekpus4ycy2	$2a$07$awGnyHFKbmRHNfGD9hQcKOv9CL2rfVkI3Bs8g6ABMwZdsObeO8O7e	60	2013-08-03 01:24:58.681572	2013-08-03 01:25:13.533985	81		0
5101	10xhep7x4cyvo91qrm3cvuwbm8	$2a$07$KQNaijRT9e6s6wBd8ZB3COxHXFQ090LCK4mEycV..TSvyY.GtaAuK	61	2013-08-03 01:24:58.711088	2013-08-03 01:25:16.247771	81		0
5102	10em4hykc9rts33da4zebt00as	$2a$07$5gZD1S3FX77elfmKz6njmuawkHWHyeBLnT50h8b2jlRY92L3oI64m	62	2013-08-03 01:24:58.735497	2013-08-03 01:25:19.357048	81		0
5103	10rfoiow8bzv0id2ud8k9f463p	$2a$07$7g2H26A3G/rzyoEmLBGCKu0DHSRPs/Rph.7lV.m6NWs6b8ZIt0.TO	63	2013-08-03 01:24:58.761418	2013-08-03 01:25:22.456856	81		0
6771	10yz5m0vymm006q9zo6ca9l08z	$2a$07$p8ndWK.WGsV3T3.v0IgP5eQCwtJIa89X0UvcKrJsHjDAkLI4Te5Vy	51	2013-08-03 17:10:00.426229	2013-08-03 17:10:14.199322	103		0
6772	10hlzi4r39au7s32qokvnhxv6j	$2a$07$x4YaFOTuLdN5c.LEkvabUeZCucnFvLdTiIPd1ljrDlCMunrd310Am	52	2013-08-03 17:10:00.45095	2013-08-03 17:10:14.333723	103		0
6773	107podpc7lgf6w82clyhku72x5	$2a$07$g5CHO/xG690z85k.JBS7YO0FruaNr8NuG0S0JpA6XqovI3jWR9luC	53	2013-08-03 17:10:00.476178	2013-08-03 17:10:14.457427	103		0
6774	10y0f0ooybjo36wyi14oe91a33	$2a$07$khS7fwDdHUMuBQPMjbHjZeDYAlermJKQQngnj50VSr/eD5oYAcsaa	54	2013-08-03 17:10:00.499681	2013-08-03 17:10:14.575907	103		0
6775	10a72lzm74wv4481ljj7ydgkdq	$2a$07$edZWBE9KaCTmQTjOOpIkr.4ZOlSSZ.q1AawiHKwB1owOI14B1sblq	55	2013-08-03 17:10:00.522347	2013-08-03 17:10:14.950488	103		0
6776	10a71dz2wbw1sy730e0sbuhvrs	$2a$07$hxr8l.qPATucbQ5a1FmUxuBWlXVipU0Jhok3nnYF96EfWvIlUNa7.	56	2013-08-03 17:10:00.546168	2013-08-03 17:10:15.311209	103		0
6777	10fxfxulcirw9eaj6hkr627wwl	$2a$07$g9dyO58y/emfmffD9dzobeOhVKztnHTkbn1cRIcm9E38leB8UbyqK	57	2013-08-03 17:10:00.568229	2013-08-03 17:10:15.67252	103		0
6778	10i64hkxg19bi558t82fendggh	$2a$07$Ua6AE5OJMd.O9PiaE4ExYeNRXqbkyoz2uBCYBx3wB7jXAkSwPX692	58	2013-08-03 17:10:00.591397	2013-08-03 17:10:16.034444	103		0
6779	10mbvuzfmmrqyvirgbx3fzz6kt	$2a$07$/qR7IJ4Mcp/TwlmBwQGaduOl.edOVoxGnoLQXxP80V8UbbyTj9p1.	59	2013-08-03 17:10:00.613459	2013-08-03 17:10:16.351697	103		0
6780	10bwjbgw0vcv2achj1vp1vu6mz	$2a$07$382.gI8pYdPJrw6y7aNCuORleIbmXemxzBBP4yFYWUMLfZl40RJcC	60	2013-08-03 17:10:00.636939	2013-08-03 17:10:16.49262	103		0
6781	109xuyvn1yiknmp6xh12oqfx5s	$2a$07$iSQdBijIkR1oK1165wX8k.rcQilN2UXxpY4Ocs8Z65MQHRAtGYOXe	61	2013-08-03 17:10:00.658757	2013-08-03 17:10:19.087052	103		0
6782	10jae35r80x9aol0jl4bp1cuqz	$2a$07$11Ifqw.kUBnQjro0.F6Bi.znhY8FG0LHBqPzquEw4j255YIta9.4O	62	2013-08-03 17:10:00.681628	2013-08-03 17:10:22.072581	103		0
6783	10on9m4eoxdcrq6ie5vkcg0xwi	$2a$07$vpKpwsAtL50olZd4ZAQXj.54X6et6JHdnW3CntU5EYdB8Gi2G7M/2	63	2013-08-03 17:10:00.709074	2013-08-03 17:10:24.665563	103		0
6784	106mwaba5w8dijws9k5izx1pco	$2a$07$ICpA6vUqhZ4ZvwGfnwAEHebSNHyXVjW3sFh69TEb6jP/hWOPUA4Ku	64	2013-08-03 17:10:00.741588	2013-08-03 17:10:24.796193	103		0
6785	109k8yu4y8kgk5hogn0gcjxny1	$2a$07$aW6yrK9RoBriAShBVgu//ey8aj.iC71nkmX.pE9dkj5Q65B3/x0iK	65	2013-08-03 17:10:00.776821	2013-08-03 17:10:25.022208	103		0
6786	10cch7boyxtopnil4qmd9ahy7d	$2a$07$a8nFUn9AUQCohm.o6QJ0QuQbfEXPlMzH9oHCvnsrRsCeUIfmk7O0W	66	2013-08-03 17:10:00.799193	2013-08-03 17:10:25.139431	103		0
6787	10orobsx374rw12imbjoc653pi	$2a$07$YYX100.F1ibxdwcNcfpKgerIt4506Lfmu/ZwObbDUf0SJ4Se4.dLq	67	2013-08-03 17:10:00.822637	2013-08-03 17:10:25.281214	103		0
6788	10mkfwnpqmteicrj4ggz9bpn17	$2a$07$bhCOMTJ59QSbZSZY.3H4IOQ0br58O35/EBT7sLM6ph2jUQ8vmpVWm	68	2013-08-03 17:10:00.844669	2013-08-03 17:10:25.515369	103		0
6789	10ry5vcr5dyugnqb54iv40407t	$2a$07$iGz.f8KpXtUMffMpcv5KyudNE6osH2.KXaNA1n9KeRUez1p2zqqpS	69	2013-08-03 17:10:00.866845	2013-08-03 17:10:25.668974	103		0
6790	102bh4e6ibg651r555u8x2h87s	$2a$07$AF2cX3I8PEijC92wCKABrOsolc5PTx4LTiw7nsvxohfgiPWCuUQ8G	70	2013-08-03 17:10:00.891003	2013-08-03 17:10:26.034916	103		0
6791	10c3d1rwspvmvruem136w8055i	$2a$07$hcAnUqWdNJ1Mn7cKQqO.Fug/vVFXkEX9zxrOHcMuzjY93oHZXTgyS	71	2013-08-03 17:10:00.916725	2013-08-03 17:10:26.414961	103		0
6792	10nhkgoyd3np57vxaf6wedtvw1	$2a$07$JDRbagB.tQsbYtb/5vvaOelneTkeZhilLrdOJq3VFkhGASk8SktRu	72	2013-08-03 17:10:00.940933	2013-08-03 17:10:26.725515	103		0
6793	10k7c6er36gj130ogstnmmter8	$2a$07$glvY6JPgFsZdvRAnlanRLOx2b1pgqm5khTxfREqg1Ovbl6lJowksK	73	2013-08-03 17:10:00.965335	2013-08-03 17:10:26.874563	103		0
6794	10hrpcp82rn579kdkfyda9e2tq	$2a$07$FPKN0Xkpncu403kBndf8t.33Nj60mLUncLZOJtz8YFyMdOkveK8pu	74	2013-08-03 17:10:00.988385	2013-08-03 17:10:26.997489	103		0
6795	1097p0tfvuix7c3supidpwx4zz	$2a$07$vCZ.b6FhHOz1IRG3ZXAzY.9lYFiB/FkABYgUzmw5tUHe1nDU/9bOi	75	2013-08-03 17:10:01.010754	2013-08-03 17:10:27.132267	103		0
6796	108scf9q7bylyhgsu6xp489srf	$2a$07$pcHkWA1chwkJtXbhjV1hMu.iDoDUkqJMk3591S16e/N4Zf8Glwhti	76	2013-08-03 17:10:01.03389	2013-08-03 17:10:27.253464	103		0
6797	10oetqal9uaa1hvyp8ve6npifw	$2a$07$gJxpLaCI.Mo3WmdJ4FzxsOx1/ArtGghzid7mmOr1FFvVkWHAjsdOK	77	2013-08-03 17:10:01.055517	2013-08-03 17:10:27.625156	103		0
6798	10t62367hfs2zfnabhytaz4hd1	$2a$07$Y249n09otx7Qf7VFUP33KOUhp3hP9tJoZHozmkZ4NldKmbnTQNdNm	78	2013-08-03 17:10:01.077131	2013-08-03 17:10:27.779843	103		0
6799	10nap7l1exkhlulmulwhnxiv7u	$2a$07$MwckF5fhNDb7V4eO/g6W5uxRJRzroNaVxla2yNQYpJX3SRmSQvk/K	79	2013-08-03 17:10:01.09943	2013-08-03 17:10:27.928381	103		0
6800	10rfkbnv8lqryup3pc4ur463hj	$2a$07$jDgfH5y76UR8ge6SEZbdJ.O8HpCcbiIPrv9biLSWD1uyeDFFCGaN2	80	2013-08-03 17:10:01.121578	2013-08-03 17:10:28.084439	103		0
6801	104d8ur1q1igq5x21dnhcnzzhp	$2a$07$WM2AhnEUIyrCOrVkjJqNfOsDsXcjEWEnthL.i5CRNJOEupWVafYdC	81	2013-08-03 17:10:01.144483	2013-08-03 17:10:28.42666	103		0
6802	10s4m0k9f4vepg0bpwar815cww	$2a$07$uNnP.tho0oY21xbUoCIcg.qQ3zKdJCs1s/WgkJhoEJu7sW6Nsuypq	82	2013-08-03 17:10:01.169786	2013-08-03 17:10:28.789122	103		0
6803	10wpt1pm161jo46gdky20l92c6	$2a$07$BHfWcDM4RXww7v03HZd0duREtHSZ6tiDSa572TDmyz/r1jDNuQGSO	83	2013-08-03 17:10:01.194974	2013-08-03 17:10:28.891628	103		0
6804	10fx6mcj8wb2751ejre2zc708u	$2a$07$lDQcbaokJJSFDNo2qTURJeYW2DqIgJvkdv5zH14dbKkyldhQ6O1ou	84	2013-08-03 17:10:01.255341	2013-08-03 17:10:31.569331	103		0
8801	10v9ydxlebebmkvmahlvwgm1c7	$2a$07$a7lvphyD4N9giv6bylR8aeMkIyOmvBol8LBxwhLcIB55DMJSBtWRG	65	2013-08-03 18:56:33.520361	2013-08-03 18:57:04.636661	125		0
8802	10f6zvo6v3ww6fgdsqvmxr7qm5	$2a$07$Srd1Oqr2byi1Y9pPoqmchu5H5ImDPopW99g96QGI61qHpWHM2vvRa	66	2013-08-03 18:56:33.543205	2013-08-03 18:57:08.662275	125		0
8803	10d7urqieb1exxbvw1228snjsk	$2a$07$jVibLo/suLS84aP9wIO.Be5hIeR5K0NPE50nYuy30Yv3TqUGfKRvm	67	2013-08-03 18:56:33.572412	2013-08-03 18:57:08.802902	125		0
8804	10uvcbn7vwmygy38w9yimxd3uq	$2a$07$9jvMN2X5Lu3QmfYWyKp/fejFTfYPzPy6G5vXbnH5QHdFEhZDPbBd2	68	2013-08-03 18:56:33.605062	2013-08-03 18:57:09.096793	125		0
8805	10g3vi46wqdqzksk5vwfls0c81	$2a$07$ofaKOWf7d4wZlguKrVFShuPj5/3tR8S2/RzQFH/ZCbBTYbhY3y.W2	69	2013-08-03 18:56:33.62706	2013-08-03 18:57:09.235488	125		0
8806	101q5fndqqcszka6g96mlzw971	$2a$07$flcp5tPsN3uMqc1KJaUbPOQTOU6jGfQ8jI/LiN3gqdkdzWrgbs//W	70	2013-08-03 18:56:33.650303	2013-08-03 18:57:09.353011	125		0
8807	10ila8vlbl1pq2ivo85m9qmy0l	$2a$07$LXL8daXOIZYKFfpuapa9IuzX.wU7lKOqE0c8io6CGYjPDLiDiMV.W	71	2013-08-03 18:56:33.674091	2013-08-03 18:57:09.487841	125		0
8808	10d87xzq9f6fut7jz10g8eewxw	$2a$07$9MedTojHmJJEGchCwi3wx.9oXAZDpzX3vdPF83rvB0967YsdstORi	72	2013-08-03 18:56:33.695917	2013-08-03 18:57:09.623421	125		0
8809	10i54jkxuxxcl1cfcfqpa6vj98	$2a$07$FzFBWcLQO//MI/ww4qEM/OdZIkukoGwiBTSpjVJ3z.0g/iK.zvQre	73	2013-08-03 18:56:33.7175	2013-08-03 18:57:09.776212	125		0
8810	10mxoj5ptvvtnlwqpelyv6t9o4	$2a$07$CCwWX.v5U3zgKZuG9RCYH.4AFC49ZQfT.iDZtkWIF0cbiDSz1Wa6S	74	2013-08-03 18:56:33.738922	2013-08-03 18:57:09.896576	125		0
8811	10vvapegas0mnx6bxyl9kfbll5	$2a$07$hHWEYu/B4F76CRxI726KIuQmjgMFi4ly3t/J/9Fou6q9koCQbfjK.	75	2013-08-03 18:56:33.760516	2013-08-03 18:57:10.008469	125		0
8812	1062gmbjoioiu9j9sn0uj8bhtv	$2a$07$3raUqofYqqEICgJwa6buGuQW1oHHdJRdtDAVyH5fp/8EpT3LDz2uK	76	2013-08-03 18:56:33.781883	2013-08-03 18:57:10.152066	125		0
8813	10y8d056lyb3mh07yz1nwovmft	$2a$07$fW43d1KLvF6OCEdgwOy0deeHMj9wkBPCOxW0H7xD/cPufhW4bYoFi	77	2013-08-03 18:56:33.803401	2013-08-03 18:57:10.282034	125		0
8814	10wyrezu62eg7kofma9wusswjc	$2a$07$rDenjrAB5n0aQqgtmo2L7ONqW9vpATZRuJxmHgVO/jU/JjLtbRzjW	78	2013-08-03 18:56:33.825287	2013-08-03 18:57:10.440622	125		0
8815	10ay0x6bdcuh2im1ivy2kfqe3q	$2a$07$u0lvH0wQBAWKgvMRX7e.bO4MhMJlZlk/LXzbTsGGmHf90E77ccnS2	79	2013-08-03 18:56:33.846669	2013-08-03 18:57:10.640285	125		0
8816	10w997ql17o2kkd8d8qsv1fvu7	$2a$07$aqvqE8cHu8Hx1vkrb6H54OxWIv.WBg6NU4F2QOGtLswxfwU0DjtG2	80	2013-08-03 18:56:33.86794	2013-08-03 18:57:10.79056	125		0
8817	104p3k9f6va1tfe8v4r8t9o2z2	$2a$07$8/nOKEab73Nk2PO7LziTTOJZhv/cvzHu3asuVvkOoXBKik.Ipe0h6	81	2013-08-03 18:56:33.889312	2013-08-03 18:57:10.929971	125		0
8818	100gmfjiaj49qwaaxd97qcyk78	$2a$07$.7rnQUgEakUFLs7FQ2r8ke21sEykbAFwq7gDhfszGtiwNLcgajhoC	82	2013-08-03 18:56:33.910683	2013-08-03 18:57:11.059686	125		0
8819	10l9px8viasur6ahgkm69hs7yp	$2a$07$4hJNibM6/39R7HmSf9Ahg.H7L29cn0Zp/q7X0SKUbjA.E5gFZtRc6	83	2013-08-03 18:56:33.932155	2013-08-03 18:57:11.18984	125		0
8820	10vg2yfgbhu6ejptc6f49zagtm	$2a$07$rK/6bu0lcVEPa436p57oZ.u/CiWUwaYxanditN8GjgEvkWVQJoucG	84	2013-08-03 18:56:33.95517	2013-08-03 18:57:14.170476	125		0
8821	108dqwob0g7p3b8r8cgp1fvvdv	$2a$07$MlepN6H9UlqA0Gt03ihJNuZ2mo6vKz.iKbBXObzU9d3PFjCTzWRhK	85	2013-08-03 18:56:33.977481	2013-08-03 18:57:14.570135	125		0
8822	10p6ka7iar1vqfr9vvsa326pe9	$2a$07$KxolT.b3SNtbxpcY3enZHeWv0ZeUjjM49WqUbJw0xzLqhGjTPCPiG	86	2013-08-03 18:56:33.999711	2013-08-03 18:57:14.94479	125		0
8823	107uyvq6bf2csxxbv2qt6sxu04	$2a$07$k0KG8jRqnd5O0Oe0vpmvxeGXUHcCccnvDEKBgcgb0LA3hudvXoLZ.	87	2013-08-03 18:56:34.021337	2013-08-03 18:57:15.105394	125		0
8824	10dfqjzj61na9lqdghe17kbf0m	$2a$07$dNpkLlC89fggSUL5qdogEOBQZhh8jQONjfwrKGHZqCMeBXRcxJA46	88	2013-08-03 18:56:34.043954	2013-08-03 18:57:15.2715	125		0
8825	10fduw2xrfm1czkzb2fo0gzfpa	$2a$07$m6uMsWxeLw/c5OLr0Tnx2.ArwVGG3RgiP3ZFbqcqtmBRqxFiut52y	89	2013-08-03 18:56:34.066656	2013-08-03 18:57:19.902401	125		0
8826	10nyx1tbmykrj6v79ja9m3f6qq	$2a$07$HE6EAaMNw5TLv4L8iFuJb.mSI6HC.hgQsPY0bR833KVHP8QI12QDq	90	2013-08-03 18:56:34.097655	2013-08-03 18:57:23.952326	125		0
8827	10iz5nstvy9wwz4c0z6kty5g81	$2a$07$5qYxOrnzkS9fiBMBRz5wp.TDGXY8u.ER3HkCLVpzdvvZAiF0scNAi	91	2013-08-03 18:56:34.122071	2013-08-03 18:57:24.09344	125		0
8828	104hkg6rpg9hf0uc03h9ok9vym	$2a$07$mw4mQIEzpnrHC.C2GKIH4.jHlRgv8rFsWGQPYtViP5zUvd061uxim	92	2013-08-03 18:56:34.145817	2013-08-03 18:57:24.251028	125		0
8829	105bgh1k3hydoozlnpu47mwcpu	$2a$07$49QnokG7T812PkyljoWYLenkLuFqx5WiplUaYfJlng1OE2aUi9UcG	93	2013-08-03 18:56:34.168573	2013-08-03 18:57:24.536667	125		0
5104	10tygoipgdawqf4rlmc1dpgmmk	$2a$07$7Gl5KWsTruVE6vD35z.kr.4h5Cedm4xezYh6tk/iPE9PUvIceNxje	1	2013-08-03 01:31:52.21836	2013-08-03 01:31:53.845918	82		0
5105	10az4cgax5ujc7o36kotlmr7tw	$2a$07$ZYcdjsO/LdVklI8MTjo8xurRqo/8G8oA4m84fDKFl97S26yIM81OS	2	2013-08-03 01:31:52.246467	2013-08-03 01:31:53.979049	82		0
5106	105th5cmim5o14jvi3oexzdc6g	$2a$07$KExsndjYkjsmqyx74odX.Ovao8.g8pF/Ns0Zmfa7AWYy6ClUsmV/G	3	2013-08-03 01:31:52.281186	2013-08-03 01:31:54.126113	82		0
5107	10g57e0g51kpvcjh62vg91one8	$2a$07$VhFKlTy8bA4VJI/cpoTZ8.894vKt9ak36wq7LTufcmI4BYB5vfn6W	4	2013-08-03 01:31:52.343166	2013-08-03 01:31:54.252986	82		0
5108	109yj7sop3z0otwsj6s97hpkum	$2a$07$JgCVqfXRm.AZi2EgJetsv.5CLdGHg5/CxOVviUnGk4PUP1yc3wpra	5	2013-08-03 01:31:52.365434	2013-08-03 01:31:54.385323	82		0
5109	10rpe85zh9k7jtal4z03dln18m	$2a$07$RWOy5N8cr6uC962fakOMBO.dMpyraX8tpW/s26K4boAWsO44LF2EC	6	2013-08-03 01:31:52.387103	2013-08-03 01:31:54.569981	82		0
5110	10rhkxz4zmpbc7xxb3rlglkn01	$2a$07$nMMXEYvshPhhbE8sBulBM.vW2Qf1s4WLeTmvhX72UQjK4SE77LXYW	7	2013-08-03 01:31:52.408714	2013-08-03 01:31:54.712484	82		0
5111	10md4lc8oy0gm0liqv5ewh8558	$2a$07$ahXVmLVEkzID.yADfhB6jegiMeIRAR8j6fa9ADOrX1o3NMUN5Z8j.	8	2013-08-03 01:31:52.430127	2013-08-03 01:31:54.835648	82		0
5112	10czfgjj9qmwwq4gvuadon1bo2	$2a$07$bLDiIw4BOE/cxC5HIi0pHecu5gb08OKqgi9IqeY98QfPWBth8LBjy	9	2013-08-03 01:31:52.451656	2013-08-03 01:31:54.953565	82		0
5113	10f68ytofhaw2qmomdf9sp6dme	$2a$07$WaNejB9PnIjuUVu95v8tne5tqtTWwIru9KrrgtpkTYWzLUrknmRZy	10	2013-08-03 01:31:52.473168	2013-08-03 01:31:55.089126	82		0
5114	10uabzq3h2rzmskbcwcd6lap7k	$2a$07$ZFVVjW/Qy4vZ3Gr9PVT.a.s43shTA7CR/.cx1D.hkpTRMMiJgVTO.	11	2013-08-03 01:31:52.494764	2013-08-03 01:31:55.221324	82		0
5115	10xioq8jjnt0u9va7l0qe87a0m	$2a$07$AADGsoVSuCcJS.hxofGOl.dFC4Xwwbi3DUYttMO8qCMAC5.Adz0yu	12	2013-08-03 01:31:52.516286	2013-08-03 01:31:55.353219	82		0
5116	10h7jr60vqgo2h44cdqfqsx34u	$2a$07$ud/3JWiLhQeOjc6zz9Waveuqg.Saq63Ego5906tCckyJjMmPrgupi	13	2013-08-03 01:31:52.537947	2013-08-03 01:31:55.723657	82		0
5117	10jy6qvf43biguurql1wnze76w	$2a$07$ccvqn79Wkwwmcsc7d1zUKODwcJdPgY50LOtZ.Kn1DdleTpypUsIZi	14	2013-08-03 01:31:52.55972	2013-08-03 01:31:56.01264	82		0
5118	10scps433n9hhjg2o68q6yf4bc	$2a$07$m31Z8YqKZFYiJyY4yGuNruYRwUNiUdp/Hh//p7ckJYXRTbzBlzDOO	15	2013-08-03 01:31:52.581188	2013-08-03 01:31:56.156031	82		0
5119	10j7soxgb2kv46pjpswyrw78ob	$2a$07$PF29eyG5doyfbxD5DqB/PuzHHPTZyWt7L91lDEotGKG6PZ2NdXRLC	16	2013-08-03 01:31:52.603819	2013-08-03 01:31:56.307725	82		0
5120	104npyfflrytb5a55we88sehvi	$2a$07$dJQPRyFMP0QDFMrs5wLFbeANRhRfkNJT98hvI7veRqmTtf.PRDU2y	17	2013-08-03 01:31:52.62743	2013-08-03 01:31:56.453487	82		0
5121	10viiws9a6120uakfsiar3l8i4	$2a$07$2kqs5uPZ6sWNZ8EQqb5ryOWVLyq.6Iqt16UcuZOQncLTP2UlVElwe	18	2013-08-03 01:31:52.649241	2013-08-03 01:31:56.597481	82		0
5122	10lh9h1a6ecz6jn314rjv0uipu	$2a$07$FV10NThby3.mL76hZB2soeREgdReR12Jwy1cWEXbAUTUevY2im3Ti	19	2013-08-03 01:31:52.671064	2013-08-03 01:31:56.817571	82		0
5123	104b1rm5p9riziaya4z8e43xdl	$2a$07$L0kS184M3tB4qNeZlwQ8t.QvMBDDiwNAxqJkIfJS7gv.diu0PEtne	20	2013-08-03 01:31:52.692583	2013-08-03 01:31:57.085188	82		0
5124	1016hyy167a09xpfrkc69pxg1t	$2a$07$HLrqCPpi.q1LNCUURhNfRuFfIdQSb.6JgC7808JjRWgbhdvZdttSG	21	2013-08-03 01:31:52.714066	2013-08-03 01:31:57.440334	82		0
5125	102uxyuppesu09xqyaf33rsa9p	$2a$07$0mFuceT3an.Y3Fv2/yXZH.nd7p2AlRTFNkt4SdBW7jQFw2j0hmm72	22	2013-08-03 01:31:52.737067	2013-08-03 01:31:57.610322	82		0
5126	10q2lzlnpz0jcsg7i5zul8tk23	$2a$07$CuD15p4kCDhrQkOzlpLSlOK1kpcg57nm/4wPkyVRQkmt5daDwUEIO	23	2013-08-03 01:31:52.772056	2013-08-03 01:31:57.746315	82		0
5127	10be5lbxks3mimyi9weg614a5j	$2a$07$yJaQyMl9fJAqQj8Qwwj0L.qYOp479M8JVwZRgpYMB50V9YjGBgPGi	24	2013-08-03 01:31:52.797332	2013-08-03 01:31:57.871499	82		0
5128	108ixjdxgdpkd9ehyykle01zmp	$2a$07$zZdU/Tw7/8dx0Ig41TA7COTPhTpWylEmix9sMFhPzxsb688q.BP0u	25	2013-08-03 01:31:52.819061	2013-08-03 01:31:58.04572	82		0
5129	102kfcww00b7uyf0ibpfnrqg6u	$2a$07$IHdZvoph2g41IcU7EvoK6.nm4BJzpP/HKrbdV1fAHTZh5vYyTzsSq	26	2013-08-03 01:31:52.840752	2013-08-03 01:31:58.190169	82		0
5130	10bum26ouogvvfdgzqm30rkuz0	$2a$07$A0YBwVSKpES1le3c4brP2u1dhdUxKFCwJWgh0l3pR0vl1ODvhgZ.C	27	2013-08-03 01:31:52.862288	2013-08-03 01:31:58.380458	82		0
5131	10mj4b01ndoejqu70eg5vr64yt	$2a$07$mZuWsVYOTGZLluPFg4H6E.yxwB/n/EKNchTTG6Ud8.t//A3j2urxe	28	2013-08-03 01:31:52.883614	2013-08-03 01:31:58.527183	82		0
5132	108jipwzwd484t0j9ancv5vg3t	$2a$07$7LX7P3307iRKffplcJo3LOazqe/3IxTBIGdWgc7SKbZ1bj7Ll691a	29	2013-08-03 01:31:52.905004	2013-08-03 01:31:58.707941	82		0
5133	10lj7q67xrj8zssf0r6vmbjtu0	$2a$07$FAs5MF6t4eAhSJgo7zb3puASsPXRtbZr/lD8ApWekW69gUBjRHGSK	30	2013-08-03 01:31:52.926425	2013-08-03 01:31:58.872466	82		0
5134	10ekuofduxi1uehfpwsnx0knj0	$2a$07$hTpEwrJziw0O7a6g/RyBg.ivu.4pQ.sAIIytBGE/7OLQqAjyn2VPq	31	2013-08-03 01:31:52.948026	2013-08-03 01:31:58.99354	82		0
5135	106v1mp65i4iec35kxkyi6sxtk	$2a$07$.61GUdK3ZzPBgEDsSJbVzOSDjvXFXvWN89uTzZL13u/xFfPowHaNW	32	2013-08-03 01:31:52.969613	2013-08-03 01:31:59.12106	82		0
5136	10xtsfwvhzo7qbumtw3cku2arr	$2a$07$FtZTDpNlLwBK6K1XvXGupeGxPdkZMOsu1jt3ElO/vdP5/KHXav3CC	33	2013-08-03 01:31:52.99251	2013-08-03 01:31:59.253437	82		0
5137	10gyasdw4thmfo9ekgnel76kd3	$2a$07$d6DFIXIL71BC6tTG8SdRR.HF3ncvec3ctTjoUChjnxphAGiVYdpeS	34	2013-08-03 01:31:53.014495	2013-08-03 01:31:59.417779	82		0
5138	10aris2oy8w1e3tj26i4npjqfi	$2a$07$LvhLiqceYNUnMFmbCchGhulNlUSKYsbuvHxml//Bpse.HwRkDxfs6	35	2013-08-03 01:31:53.036844	2013-08-03 01:31:59.582085	82		0
5139	1077uaqh6r4sv01anloybbxvio	$2a$07$.2ma3ODGG6iBu90Eix4FgOViLKsxxZWuEdeSxP0/ikLK1m68krpTW	36	2013-08-03 01:31:53.05929	2013-08-03 01:31:59.745404	82		0
5140	10kibb0ah5km1yp8hv5rayaywv	$2a$07$Ev7QNMWWshrLW/gAQ6rj2urfco9E2X6as1HJ26Qel995.OM/sGtim	37	2013-08-03 01:31:53.093276	2013-08-03 01:31:59.996721	82		0
5141	10ncdns8cnzmpn0yasz4c76kl9	$2a$07$RCHgPhE3fZH9OnfqzINAcOTCGKOfS.wfzSshFZrTNgc45ZRWjuYu.	38	2013-08-03 01:31:53.1308	2013-08-03 01:32:00.157391	82		0
5142	10ubabi0rtvq0bxtkplxbnzibd	$2a$07$iZdeUEMCJViROJzxMshFpeFTdIuQ1xP73d8QBD3h94rOG36G.Udpu	39	2013-08-03 01:31:53.163574	2013-08-03 01:32:00.342901	82		0
5143	10nvvrizvlfd4q3uqvup92so0s	$2a$07$S4Qlp.eMW50h7nIF/g8m.ejz3h5AEKokt/AkD0Ij6AWfb2HyKuXCS	40	2013-08-03 01:31:53.185237	2013-08-03 01:32:00.53895	82		0
5144	103nnhlz4a46sqiytr3af3rgwq	$2a$07$Ik5IbzxZSn7ZeaRjLJx3XeOCFRxV8OxbbUJnf4Yz/05LqdtfAA4qu	41	2013-08-03 01:31:53.208029	2013-08-03 01:32:00.695699	82		0
5145	102aaz0uganxasdto9n73fn2k1	$2a$07$dPkKzIaTfEA3w2rx55DQoe4DrHQU3tlGw78Sf04Xx.sFWAoYSXet6	42	2013-08-03 01:31:53.231048	2013-08-03 01:32:00.877645	82		0
5146	10e9zpfjflm5267b4vpkbyue98	$2a$07$R38XMkCXye4vkX3AQv3zPOONDblxSR6R1AgrhXLIuoyXjbAeyYDb2	43	2013-08-03 01:31:53.252702	2013-08-03 01:32:01.025664	82		0
5147	10orta8fm3ip6p3nytwexykhzu	$2a$07$IQoY5SpDUajO0TZGgomJXu4gpN7DZWSPUzLeuUtF3yIgAon2zKMK2	44	2013-08-03 01:31:53.274969	2013-08-03 01:32:01.173268	82		0
5148	10qbssrelbzmozwt06hq421mly	$2a$07$JfFhW/uVtegrNHRBK6CIu.PPdx3F1zrDorjPkoqVhnwVHZ93azVk.	45	2013-08-03 01:31:53.2985	2013-08-03 01:32:01.31682	82		0
5149	103via07l5wr7tpoj96xd3mds5	$2a$07$mEzyZjNGLjvpb/l9RtddGe4.EsVwxOxazL58dhUPYDTH9rFcodF1q	46	2013-08-03 01:31:53.320118	2013-08-03 01:32:01.570918	82		0
5150	10oex5jmdyfhqmgym13z1nmlx4	$2a$07$lbMqeDOcrYfO0Hl.m5zlPet.DLleolqf1x6UDqClRa5YdFPp7u8I2	47	2013-08-03 01:31:53.343662	2013-08-03 01:32:01.784007	82		0
5151	10pet7n2odfy4ifu78s1wlebld	$2a$07$rPUdJttScsKfZiHaNTaLRexPar2ziZveHyALeToSk.wPH3RAPdw9W	48	2013-08-03 01:31:53.367547	2013-08-03 01:32:02.011599	82		0
5152	10emc286egia5utoh3sj1qv5hu	$2a$07$sUwPjt8xbD36dPfwILedGOVD923dfFi3PnwEm9.b.sYmBaiBRIw3G	49	2013-08-03 01:31:53.389645	2013-08-03 01:32:02.16213	82		0
5153	10ftyrqnzvy83k89voh8ad2qh6	$2a$07$UobuZE.pBcnvt1Sv544ZK.fWCQeOEVWjLlGJB77HdzlV.VCoTfrjW	50	2013-08-03 01:31:53.412112	2013-08-03 01:32:02.318648	82		0
5154	10nnk8aul3cqvraqxcixrzxnch	$2a$07$tUbnq6Qi0iMUm3lrMG6HsuwpFpvDi37vcUIaed0iHTGnCM3fhvj5W	51	2013-08-03 01:31:53.435042	2013-08-03 01:32:02.467337	82		0
5155	10hvdbqe1movbb89nd7inghr8d	$2a$07$veoN4lCB1qMOGAwup.C3ReN6YI/8Km6Fic72LvETY/TMcElmuFFrm	52	2013-08-03 01:31:53.456931	2013-08-03 01:32:02.626484	82		0
5156	10wuwx1z01uhktht098qva9hid	$2a$07$KjzExmSnxIV20iJ/gpBSq.WgkcbyfFDkHSGGsdAP0rS.Cry6tEQnS	53	2013-08-03 01:31:53.478895	2013-08-03 01:32:02.770216	82		0
5157	10eqwmftmkzg2xlw3wd2yr1wze	$2a$07$MEwYTi3aLE4F4/b5Du6feez8RMQMDhUSOAHct0o4vueFs2ebARyY6	54	2013-08-03 01:31:53.50205	2013-08-03 01:32:02.919772	82		0
5158	10n58v0v7d700bqc3re0xszuwf	$2a$07$MVEA2bs6W1VR/l0jRvfXmOOiwDuIfOnoc39hZZvjF4o3p7qr2KcKy	55	2013-08-03 01:31:53.524591	2013-08-03 01:32:03.169863	82		0
5159	10v2rkn1txdnwury5ash0mz2g4	$2a$07$7X9crIOhJmpBkbLSye/0Q.BSJ7VWqq5QCEk9K78UY3oxwyXOJ53J.	56	2013-08-03 01:31:53.546317	2013-08-03 01:32:03.33604	82		0
5160	10kx0w50kho3uy8id9z50rbnbd	$2a$07$HtWzafNQj3VZNVvQbLLjPesuwRyXNYZf/hoxMD3t21pTofbD9fZ0C	57	2013-08-03 01:31:53.568974	2013-08-03 01:32:03.57939	82		0
5161	10qm5a9al6g0hbrgboc7v7fwnr	$2a$07$8hsJD.JFQVVkdkd9Eq8M5uBl9vRZ/w9zAyXMrYa.suUYPzf2ym.du	58	2013-08-03 01:31:53.591594	2013-08-03 01:32:03.954862	82		0
5162	10kyrjokbgwa3livb0ajfdva1l	$2a$07$zAbQUyLCjMXHgPr8LEzuZ.WBGVQqcCMqgygSaVL6DxzU7064PfMpm	59	2013-08-03 01:31:53.613461	2013-08-03 01:32:04.102291	82		0
5163	10m2lf141busx3nxd06zkgskkt	$2a$07$/UVLeUiKjJ1OPpqmKK51leyBZttigZHRVTE230JpqPYVC/2xNzDTW	60	2013-08-03 01:31:53.636587	2013-08-03 01:32:04.375823	82		0
5164	10r1o6y7ij75nlnm4ek0ouhzw7	$2a$07$pa9QiZZONwLtkB41hWtDROkDKnh7RdrAu.ldk7nS77Zt2KylcB6Na	61	2013-08-03 01:31:53.659186	2013-08-03 01:32:07.243563	82		0
5165	10s5stcikk2647tdzu0vy5gosq	$2a$07$T4CQ1iEorRcvS6XPLtexLO6fusoPaD8phV0Dvd4yKT5m0YhAPBsTq	62	2013-08-03 01:31:53.682237	2013-08-03 01:32:10.445566	82		0
5166	100wvhf5ndy6bmtrpfxadv3hc8	$2a$07$j2sf8Oos5SpZ9f2NlcTp5OqpswEYdIgzKHrsGXArorCUaaYLfySH6	63	2013-08-03 01:31:53.705446	2013-08-03 01:32:13.419929	82		0
8830	10wbv0211hr716pfayan0vazn4	$2a$07$ZFW/b.hnBv97rcKX0mKq5.K44LN9I3HzUwMsWa0mUFurDCQups6gG	94	2013-08-03 18:56:34.191469	2013-08-03 18:57:24.765567	125		0
8831	10tbs8ww3jtgofhni7ry1yajug	$2a$07$kd8C5p1P5RYwX3QEcwrim.ILYMqDlta1HTWrNzmj5.H7FY540Djne	95	2013-08-03 18:56:34.227641	2013-08-03 18:57:24.899349	125		0
8832	109awu71uo86lis3ullbybfy6h	$2a$07$njGn2wtThTd6/vhGXouFTOPSeiVg4u/1t.9ngAU2DPy8YCfYPU9TG	96	2013-08-03 18:56:34.255021	2013-08-03 18:57:25.040712	125		0
8833	10rmhyyjcp13n1ybn1t8mqtrwi	$2a$07$9lB9B2YsIzMz1lLbQqYs9.nVwMI5eYBANzkqb3jXeK2L1jtgbfXwm	97	2013-08-03 18:56:34.276431	2013-08-03 18:57:25.172855	125		0
8834	10wzr6dcu91oyjz503ao7412xf	$2a$07$BHmKcaJWJVxmfoPi.GdaCOI9rRC42HgDbW8XYmOD3hJ/.LBDrVeAu	98	2013-08-03 18:56:34.297806	2013-08-03 18:57:25.308609	125		0
8835	10f9n7q1t3xuzo4htx0ao8wcgc	$2a$07$9rUiy5WmA7QAm7RQH2PDnuF92ollX0J2VhsqQN0hVWTdRr7iZ6Wn6	99	2013-08-03 18:56:34.320596	2013-08-03 18:57:25.429955	125		0
8836	105hzdj09llthlvlcy0dbdb0vj	$2a$07$z3AYDLlFsiRS5IcNC0I/cujZ5aghxh2IRJghNUvebY9X/q.mB0.di	100	2013-08-03 18:56:34.342231	2013-08-03 18:57:25.569652	125		0
8837	104iv46myygphkdsap3wqgrwc6	$2a$07$9U4Jyy0VjU7qlNH/skCrNuEyG89cIVsv8lttpIp8l76HYeazJkfzO	101	2013-08-03 18:56:34.363932	2013-08-03 18:57:25.711132	125		0
8838	10m19q3gu2nimi7h9l9706f7ji	$2a$07$K4H5oZXcYu5j9op.AklTIe35iY.H94bTdZTwzowGJeP.3o1YjFZsm	102	2013-08-03 18:56:34.386719	2013-08-03 18:57:25.827357	125		0
8839	10plbyeqp9750q7ikq5ptkr9le	$2a$07$IL5A40QDMfIhtkhNwMaltu0xqoS7eHJIbY67l0OkZPqCyqLLqE86C	103	2013-08-03 18:56:34.40929	2013-08-03 18:57:25.999917	125		0
8840	10uj0mlohnnbolzh3uk8b2oh7u	$2a$07$1nPULuBN7zlWaEdwr09TVuE3KiLrYIo3.kGqIMHvSZnilB1z4jf9i	104	2013-08-03 18:56:34.432643	2013-08-03 18:57:26.145018	125		0
8841	101mhb4h8awz72j1yrtre52pc6	$2a$07$su80nPxp0PxXvQBRsDCRoumFB8QB8L1l5HhfGMw9WEQh64XqDO1zK	105	2013-08-03 18:56:34.455254	2013-08-03 18:57:26.279727	125		0
8842	100ueyzuukzccm7fwsh56ea3kp	$2a$07$Z4ezXcBwJlHSuLjTd6hv0.S3kUEWdcNYWrIZOaozj7/BxIbAcEQAy	106	2013-08-03 18:56:34.479109	2013-08-03 18:57:26.413758	125		0
8843	108f2m7nogekj5rnxkec6xiavd	$2a$07$nXqExfM.ZjdYyT..HRDz0uQ9GUydx76rfsJnrxq8W7NCUPzMPe4Sm	107	2013-08-03 18:56:34.501579	2013-08-03 18:57:26.551729	125		0
8844	10rhzy6a4iunbur82gfwum4zlf	$2a$07$IOHoWO2BTaqHmueel957Lu3kbAAnzeDQYt6dmQTcNtBe4eCSmQGqC	108	2013-08-03 18:56:34.523315	2013-08-03 18:57:26.679038	125		0
8845	1095gtixzv7iyyzj1576n4pu7i	$2a$07$OavAL7YnBbgngp5B86lQ6enfeScJf7RHStrfUPNVUv1zOphThWZty	109	2013-08-03 18:56:34.587304	2013-08-03 18:57:26.807459	125		0
8846	10mvz5h2yo4gig98ox8as9cxxo	$2a$07$uHNj5thrT6gAPgjbuRuxAu3jOy.Z7Qy19gI7tS6Iua6ZxrB2z4Mk2	110	2013-08-03 18:56:34.614222	2013-08-03 18:57:26.939319	125		0
8847	108v5iephls5tg32dqpi2ltoeh	$2a$07$x4hr485w3akZytKiD2fxL.Qt4.1NXY9nFLmLzUbDEuSYyOJEbJwBe	111	2013-08-03 18:56:34.636318	2013-08-03 18:57:27.070135	125		0
8848	100hgp9xhzx5g4ce09d7mza2qn	$2a$07$Dc0pl0UcZg1QzFQ9xqmpjORE694q7x9u1wA2LeACk5JqeqJlScxwO	112	2013-08-03 18:56:34.658355	2013-08-03 18:57:27.211281	125		0
8849	10ydzx0p7tl056tbj75pjuozh4	$2a$07$yKrqQMtul74pkU/DOd1cducbEe0q3FWSKvQdP26J2zbXJyVGdyh5m	113	2013-08-03 18:56:34.67977	2013-08-03 18:57:27.371612	125		0
8850	10x710v00cn1qbugmba3lxq8ce	$2a$07$xAhsQy3WJKdb4PUOOTGdRuLkmPAkHGCnLGCzzIaJ3WmxffKmvv1.2	114	2013-08-03 18:56:34.701276	2013-08-03 18:57:27.492416	125		0
8851	10ght7qaazx918gofsvlhpn31v	$2a$07$d4JhHNzMGQmFirYKi1t8GuQW5y6B9kfIRPQ2As4becam67NV24csK	115	2013-08-03 18:56:34.72301	2013-08-03 18:57:27.766905	125		0
8852	10yiao9rwuhwm3uki0yuh8nwig	$2a$07$804lm.ZJTpxS8z7UYmCxpO/NPkK1JygGRgVOwOOm3gVdfozfvmFue	116	2013-08-03 18:56:34.744438	2013-08-03 18:57:27.878939	125		0
8853	10yw2stq00pur0cnqtmn9pc4en	$2a$07$z.sxIElSs0RDL6Tx2bgd9.e0mJuA/L0Lc8NDLJ4gUPWtJgJe7nOVK	117	2013-08-03 18:56:34.766014	2013-08-03 18:57:28.017158	125		0
8854	10v3mvy11o80hnpldi4nkw59ui	$2a$07$qYFXEkEGBEeOkPGIn209uuaSuiMYhrgZyYnyuPugj/ZZYPYr7FHuy	118	2013-08-03 18:56:34.787255	2013-08-03 18:57:28.166824	125		0
8855	10sxipl157kbapnjv2md55a6ix	$2a$07$Ffu0UaNELaoGtDsQGEw3Q.Vy83gq.BApnSrOGuymSrqn1MHaJDbRC	119	2013-08-03 18:56:34.808742	2013-08-03 18:57:28.386414	125		0
8856	109e8mblyzzyg2ga0ne3i361my	$2a$07$qS5nuhkNNK3WLz0dBYHxnupESvSfrNtChoHvet5075r3CU/SVX7PG	120	2013-08-03 18:56:34.830148	2013-08-03 18:57:28.541468	125		0
8857	109h9csq1tl8ts2bf5p123c8bv	$2a$07$u.KpevUuh6SO.zRS3ehikuUN1/jjbiHurWgBQVChzqjMIZ9hKRLaa	121	2013-08-03 18:56:34.851459	2013-08-03 18:57:28.708148	125		0
8858	10ki9mvf6rwlj1q8m9ff7acp2w	$2a$07$F2Coi4Rmq53o9FwC7MIGO.ezEabAmuhqvBe6G.5qFy52S56m3gY9q	122	2013-08-03 18:56:34.873048	2013-08-03 18:57:28.845397	125		0
8859	10apkt2wri2if8xmz7prlxav0s	$2a$07$aU8iJ4pOueNnTpiqPEjuIufKT2ZnQI.SDIbeFnKTD2dusy.8QoLqe	123	2013-08-03 18:56:34.894792	2013-08-03 18:57:31.787213	125		0
8860	10ut5kdax6txxsf7ke8ija5msu	$2a$07$TVqhE43B/17DRMhTgBq6Ie5cU49QpzzeuuDrmaQsq9JP4.YDkDaEC	124	2013-08-03 18:56:34.916571	2013-08-03 18:57:34.984917	125		0
8861	10jgcirqgl0rfwj7efsyweyskv	$2a$07$2J0HLtsP5ZCCfmS7xui13eD8/ITSuM3eHlAoyv.iEjRiVhIJ25t.S	125	2013-08-03 18:56:34.939597	2013-08-03 18:57:35.152407	125		0
8862	108fi8ag9rxu2rjy2u8peh8eye	$2a$07$q..vY0Sd51i/GqwXQghiXeOlbDLu5QY9U/v0KrvsH8oMEB27bWo9m	126	2013-08-03 18:56:34.963871	2013-08-03 18:57:35.312847	125		0
6805	10cm5x7rzqpl3xhitftmfi4i1z	$2a$07$ianCeCuSt/q5rffRmcCRauwBVR/X0OCT0buCiDjTBymFdxOVrR.mq	1	2013-08-03 17:14:59.098	2013-08-03 17:15:01.316897	104		0
6806	101jliik8c2q8mg62py3w7m1yv	$2a$07$j8fPsRx.7P3yhPtVSDDJR.0OTZdwLnuodZYO4WMYy2xc2xBd4THXS	2	2013-08-03 17:14:59.122565	2013-08-03 17:15:01.464007	104		0
6807	10rpy1n2528bzb9oqp4l91vc1u	$2a$07$3wlW//sc4taX9k/eSMCNbeBSGvWU0tB9R/CSv8hZ7VZpDhGtI.4Dm	3	2013-08-03 17:14:59.14396	2013-08-03 17:15:01.594028	104		0
6808	10pl1ek2rw1w0k9w212y8g67wy	$2a$07$un6sOYSvj9qUYCDwh/unI.NRqAANAnBtaqb2YUO6zj0bESJRhJPLe	4	2013-08-03 17:14:59.166509	2013-08-03 17:15:01.772636	104		0
6809	10fhvt1mj8epdes7jslenh7dkr	$2a$07$SO/BPt3hTdxaWAi3BwaK/e0L7wbhqcbz45LCihSYR3DtyYB6WaKNO	5	2013-08-03 17:14:59.204973	2013-08-03 17:15:01.893757	104		0
6810	1015k6kv3s8hsqin34p6wb4n5f	$2a$07$Kw05KomYbgukMtAvHgdSmeTmzXkybDgiG2rvXiM/LJhifh0XA3C72	6	2013-08-03 17:14:59.240373	2013-08-03 17:15:02.10214	104		0
6811	10r8ow4gamyu9c9k9a5zrc5jls	$2a$07$pYRT2xXwUfet7Zp3moavducqzeIglQwreJBX1A9CwueLb06pZORG2	7	2013-08-03 17:14:59.262296	2013-08-03 17:15:02.433066	104		0
6812	10eqzy6mtxdvfaogdvww1ru8ru	$2a$07$sxxh31JbeDyZ173nBuRZ4OHAWM7.F3dqsY.UfzXTM9.eEL.QOcdSu	8	2013-08-03 17:14:59.284648	2013-08-03 17:15:02.752815	104		0
6813	10dzt46b5eswhfhno4gyq0hl5x	$2a$07$ZoGAGWWamcs5Eh4IMkS10OGXHxFFR7CQ7FYx7al8DB4ViEk4fBh6a	9	2013-08-03 17:14:59.306744	2013-08-03 17:15:03.067994	104		0
6814	10ok450m894bk3u0uv96m81gkv	$2a$07$xjr5PxXVME6hLULZoQbPvuo2gWsfpSqf4L/iTy..zfA8geJZckxYO	10	2013-08-03 17:14:59.328257	2013-08-03 17:15:03.238001	104		0
6815	10kxzthfsg7cfp3mzc6gl4p7gy	$2a$07$zKyh4a9cljWuscJbDf/R.eJE8qBO0ADiT2sXpoireg8flys2s1Pqq	11	2013-08-03 17:14:59.34993	2013-08-03 17:15:03.442752	104		0
6816	10w2rlyfz5qyy434kdsmuk75x4	$2a$07$zamHdu1KZNEZLlC5.4R52u2JEtR7mwvcGwSu4ktnr7jIolEQJ/elC	12	2013-08-03 17:14:59.371359	2013-08-03 17:15:03.742829	104		0
6817	10lokkacejdtbmzq7ow03oaavv	$2a$07$1HSTQqmsUOZe2UhHMyuiCuibFTOzZG4EKeRQR2y/HKkeu7TQWWAbK	13	2013-08-03 17:14:59.393123	2013-08-03 17:15:04.057255	104		0
6818	10n7fqsx455th2w05bsm5hqzzl	$2a$07$jIYiKXg6G8QyInVQO6pDTudBxdRduy/63weeBAeayHQvFZDB/lulG	14	2013-08-03 17:14:59.414732	2013-08-03 17:15:04.193267	104		0
6819	10g8m5hjsfrguhgswsn77ru93l	$2a$07$Id.qEPtRkYUv2nbzwEdeLe5K1kEcyuG9H4DTMhvInqExauQCmTOti	15	2013-08-03 17:14:59.436044	2013-08-03 17:15:04.343575	104		0
6820	1018wb5smqgdffzimh6fnzahwi	$2a$07$prFtI.uriqcpgWNsLfUiS.mSiIF11RS4yoyvYsGhSOw6un8ZHYYyO	16	2013-08-03 17:14:59.460177	2013-08-03 17:15:04.60709	104		0
6821	10w1wujy3g52cjpqrfayx3927n	$2a$07$YUTIIBDvYiEnr9AIhK0n3OkRqTtpCmar80plZer62YI4nsoYSNluy	17	2013-08-03 17:14:59.486193	2013-08-03 17:15:04.761543	104		0
6822	10a9u9i6uj3cmv0a3gkjoua9hf	$2a$07$2wx1uDbIvt/SQhtcnuv2M.r5yzc0zi4k2Oi3QFY/oZEtjkyUoE8U6	18	2013-08-03 17:14:59.517436	2013-08-03 17:15:04.914715	104		0
6823	10rfj989iff3rfoj1ezorl680i	$2a$07$dAWVx8cf0QAe3W70QrBnROEuox/QTy0KfT0gD3Pgj84QSA06bW2/S	19	2013-08-03 17:14:59.548578	2013-08-03 17:15:05.280132	104		0
5713	10nh7tbglwa484hszp7o20rid9	$2a$07$KpmN.1PGqk2tQMhnKJeEd.y2GtZvvxolBCH3rlMgqdu3TqXMsxT1a	1	2013-08-03 02:10:34.057641	2013-08-03 02:10:36.220081	90		0
5714	10yo7w27m7dem6zd3lg9qqcap6	$2a$07$8DWmRfpyw30qYUyqX4ZP..PcUwsfr7BbAfx8xV.MnOgTz/exwW6ZW	2	2013-08-03 02:10:34.080015	2013-08-03 02:10:36.365351	90		0
5715	10wa0sr0blsckiaut4xthp3zvt	$2a$07$sRD2EiG8e97Jw3UxjlbAXe1Imn.5kdNmb66UkE.nbBB1vgESlYiAa	3	2013-08-03 02:10:34.102832	2013-08-03 02:10:36.499487	90		0
5716	10pu7w1zdz9ugf1td0vxrmvnqa	$2a$07$L6BwfNzn0CiUggebM65o/enM9PfsoiNz45Sa6PCMGafbUmyZ/mE36	4	2013-08-03 02:10:34.124745	2013-08-03 02:10:36.865985	90		0
5717	10x4pw7md66smara8sb685vrp3	$2a$07$TVmrr/IsylktvsCH1k.Y/.UBxCsDXXhp4hRqbmkBnswppWUcNY61i	5	2013-08-03 02:10:34.146709	2013-08-03 02:10:36.99881	90		0
5718	10oioxs0yv3tars21pb53iwxdk	$2a$07$mid0pitCaUInoISXwNWmR.I.3X/xq8EDZnjK2xJTtIe8S9Xc2a67W	6	2013-08-03 02:10:34.168345	2013-08-03 02:10:37.130627	90		0
5719	10gu0j1ad22am7080prunq00cb	$2a$07$bXX1MELJDtxZ7jZfSdSyCeV1jZGaGFtaI.DoxBbLd7zSt9UMagrBy	7	2013-08-03 02:10:34.18987	2013-08-03 02:10:37.484812	90		0
5720	10kww6clgai418s6t8hcam7422	$2a$07$E51eosde0CDcjNmKw/SVK.cbYpp92zIS1asIajQAhYzVQP0bKTc/G	8	2013-08-03 02:10:34.212893	2013-08-03 02:10:37.854632	90		0
5721	10aaaq6e3hekn40f5tsbsszy3j	$2a$07$s0n1kx54X9J5k2FGx3nnO.y7m.u0..9fyrV0/s.etvg0ZWwfM.dry	9	2013-08-03 02:10:34.235767	2013-08-03 02:10:37.993621	90		0
5722	102jzazzz8fvc5vn5m4oac8ez6	$2a$07$evRhBwM6lyJ7HX8pWNI/GuL2ij4kcFnkJk4mL2sd7XADJvCkTAJHq	10	2013-08-03 02:10:34.258616	2013-08-03 02:10:38.131331	90		0
5723	10cc1ihzkqtbv45x20k6g6fosm	$2a$07$gkpcwLLAfvipJSImjfX8luSo4KudxHA48NJIcVKWNVaaJbCxb8Fyq	11	2013-08-03 02:10:34.280983	2013-08-03 02:10:38.264133	90		0
5724	10dw0r0adpqyc8dnst4f1hoav6	$2a$07$ZbU9wAB3dE1NSWAk0vM6p.36GHNmOI1jPkfJvNqpJM9gGIHhdI56.	12	2013-08-03 02:10:34.304485	2013-08-03 02:10:38.397834	90		0
5725	10yjvmi402t0vtm8yemo3dtnak	$2a$07$EmcGuuvPruvDZf7PjpNRFukqj0DPTk.fpZsW1TTjz5Q0xLhPJ3CzO	13	2013-08-03 02:10:34.337814	2013-08-03 02:10:38.603862	90		0
5726	108x6l9cyysdbahq6oejrxpjzt	$2a$07$qSgkZ0X.iXr2VrrQ/fEkJObvFCHh6CR15nEwl8UGQ3rnKKcascdr6	14	2013-08-03 02:10:34.363879	2013-08-03 02:10:38.790269	90		0
5727	10lrv00pa4pedfpj85tnha433b	$2a$07$rjKcm2upogp3qwPInp0fRu44s9UyhLmWH85H/4tYYGdKsfbBOZWim	15	2013-08-03 02:10:34.398904	2013-08-03 02:10:39.013254	90		0
5728	10d4zym3tt47pj84y1i7rup14k	$2a$07$6zRGrvwihoHo9./BB8FTNOC87gUIzpMgYr8tHy1MBi6CLeqvIHs.i	16	2013-08-03 02:10:34.433662	2013-08-03 02:10:39.162911	90		0
5729	10ercpwttcpzr1aqh2pkwfbzag	$2a$07$c0.pUnGqEKGjvpMp8MaDfeegz9yDbVeU4InauqbkjkysK7FGraU/e	17	2013-08-03 02:10:34.455548	2013-08-03 02:10:39.311666	90		0
5730	10e37vbaxzban5z55ncq2jcv2q	$2a$07$n1K64YcpsC4.9c486teRbOYV0mpe/IhMtDtA0DZT7mQuRB8EW5G.m	18	2013-08-03 02:10:34.477467	2013-08-03 02:10:39.546903	90		0
5731	105111m73rvk3nk06h5of1wet7	$2a$07$VBZC9a.f/IIhgbJhyZ/DEevWkqZXvPFbI6zJwQg5tYvi7NNlAC31G	19	2013-08-03 02:10:34.50016	2013-08-03 02:10:39.90039	90		0
5732	10uzxj4ncy48ayw80gu987pugg	$2a$07$FIqIxlG2JILFvHh26CDA2e0yrIO51Dx296TVTeD/cg26VCz32VJX.	20	2013-08-03 02:10:34.524097	2013-08-03 02:10:40.279113	90		0
5733	10kjjrzuecvevhq67d1tztmnf7	$2a$07$Wl2MHQ5cPlTczl2B5Vdrt.9cv.WATxpJtpXDm/Mo2WVfrF11WYcuK	21	2013-08-03 02:10:34.547271	2013-08-03 02:10:40.655678	90		0
5734	104vejadtjw3amqvweqhgbjnb5	$2a$07$BlVjBVKyrKMRDrnZ1QBob.u4T4971UuSxo1pXnERUoQrsmBf4uQQm	22	2013-08-03 02:10:34.570794	2013-08-03 02:10:41.015684	90		0
5735	106qko7p0cz7kbd6he3divlbfd	$2a$07$Kr9SNY2jQX.ITDM4NMMwtuV/r321LkkJr4fqcnZBaLB3X9mq9eroq	23	2013-08-03 02:10:34.593849	2013-08-03 02:10:41.350678	90		0
5736	10nle0k49pttcv0sqs79sm1pud	$2a$07$HnxgK9uY1P.MR.p94CfG6.tOCYY1hWel9hu56cM.ttmG4PJwQY8oe	24	2013-08-03 02:10:34.616177	2013-08-03 02:10:41.527839	90		0
5737	10cb35iv3mfirxip1njrc3ut53	$2a$07$6zQxMv.6G/y.PbYoH1CISeP7.ebTt/uBQpOGn49k9dnusS.VnpglO	25	2013-08-03 02:10:34.638875	2013-08-03 02:10:41.687394	90		0
5738	10zc8ttt4a7fu592xvclnmnlrg	$2a$07$h83pRb8/059Hd.vRH6hO0eBA974COSKSpRzMxdSGA7ZyumV8Ktf2G	26	2013-08-03 02:10:34.662735	2013-08-03 02:10:41.894027	90		0
5739	1035tt5bfbrfafy957e4vwna0g	$2a$07$wHB/Hx6A5yMUPNeivVmzj.2pXgmSJ8qqwVFK9Jr6qmuDrI3ESnbK.	27	2013-08-03 02:10:34.686381	2013-08-03 02:10:42.24381	90		0
5740	104udgvt7tewz1fdmdcurw0ejp	$2a$07$Ba8WcFjo8TLa3R4jto0bSuDTy4wwgeF8s5aaYe591Gt9F2dgOM/ve	28	2013-08-03 02:10:34.710471	2013-08-03 02:10:42.39119	90		0
5741	104pib2hkmjzhtyv0u2pic7b1z	$2a$07$F3ueuMy4uZ8WQJo7GxsYduVc/rMwcTs4qMduzB5WLXPij00aRNdGC	29	2013-08-03 02:10:34.734752	2013-08-03 02:10:42.523546	90		0
5742	10sq190yjtpigh31u3gnhbl0xo	$2a$07$TOMSVSl/sIFa4RkzxadeYOTdLI0qbLv7wO4KiSbHfzeo2UB3Xle7u	30	2013-08-03 02:10:34.760358	2013-08-03 02:10:42.650641	90		0
5743	106i81688fq74rrk6movvym65u	$2a$07$9hTk3FMG0kvFOSdSqJS18./kXRXCD6n4cVftL5lcOMR.l.QNqvsWS	31	2013-08-03 02:10:34.785658	2013-08-03 02:10:42.790152	90		0
5744	10gb1m4nkxjuczijp7hgllm866	$2a$07$0xetj9eiM77RcNowHNFyzOL9Qv8z01DcotgyCfT5Lv/QOP5Ofs3fO	32	2013-08-03 02:10:34.809183	2013-08-03 02:10:42.906561	90		0
5745	10w3znrvsfcalxt27tvkw5j4j5	$2a$07$uQb6DHXxUsE3Sygc.Ld00e2SUsuCuaIpjdDBjooUeN1rb34SZ732S	33	2013-08-03 02:10:34.837473	2013-08-03 02:10:43.040105	90		0
5746	10g6cn46g42tly7qwha70rzgak	$2a$07$YWl8zqJY19zKnU0ubWs6f.P1SHRLeCRnkf6R6..J6wBUr7ikpNW9a	34	2013-08-03 02:10:34.860794	2013-08-03 02:10:43.171813	90		0
5747	10un0xvwx97fwvsqt1ko7cskzv	$2a$07$aNz7YOO1JVeUD0gVbdvoteezKAglrpuPFvgwsOl8qCRYRAXDg20vW	35	2013-08-03 02:10:34.882826	2013-08-03 02:10:43.321904	90		0
5748	10holbzqkr2k4368j6l8folg7z	$2a$07$hfPNSyQZrpbKYQOsofYCxeSLcX9w.QBfLIFhjf2WR69NLroJSYnm.	36	2013-08-03 02:10:34.908366	2013-08-03 02:10:43.550114	90		0
5749	10hn7gp7d50gnxxwtsw5hgopvj	$2a$07$O/.e9AplAQPR5gipD/QmBuxWzfVuZvG8V1J0.kkMAkQSrYHnehVoy	37	2013-08-03 02:10:34.937199	2013-08-03 02:10:43.797524	90		0
5750	1086jl1v6aaawa6eci0fom76i4	$2a$07$N9vvrYVfKU32cxE4sQwLquPLhkF7VMTrAxXzcbGroAzYoUWxK1jQe	38	2013-08-03 02:10:34.962631	2013-08-03 02:10:44.010211	90		0
5751	10oqqia3gwfm978q6fc6zo9cnd	$2a$07$YetsyEfM/7fs02oXmhxDl.dop6DHz5McHkn6lFNL503YtovnV1sqS	39	2013-08-03 02:10:34.987003	2013-08-03 02:10:44.150944	90		0
5752	102g4llu9uhns7sszwo1ov8gjw	$2a$07$bjyPmXpL8BOx9Zck/NKUD.eCkfg9oyhUgOJy82DJ.5Mq9KXMG8Vle	40	2013-08-03 02:10:35.011169	2013-08-03 02:10:44.420603	90		0
5753	10lsvuu30ys9n104zq8n7itleu	$2a$07$KypLaSOp3PWqcYeIJinS5uUmWIAU9iv3IxEybioJ/u35YxI8hYH6u	41	2013-08-03 02:10:35.035395	2013-08-03 02:10:44.553543	90		0
5754	10zp9wvy4w7l4eod9y955h8y3e	$2a$07$dG6LAB.ouMbOAfGK1M5M4uzqXX7GeoxUyQHGxTgBzHt3oBhhsxoW.	42	2013-08-03 02:10:35.059064	2013-08-03 02:10:44.797737	90		0
5755	10i4n21o8u9tnq6dd5ym0yy0p8	$2a$07$437lSL.sLpZERHKQAPPeqOxezC/4W0MWMhNVE.W7ddC44HyAjemAO	43	2013-08-03 02:10:35.083325	2013-08-03 02:10:45.166536	90		0
5756	10nd304zaikal4gmdtn89duxk8	$2a$07$ddwl2Y8H1Or1uCRFWYEmXuuUlimbPGBdZW0mcl0vrFCEZ79xdhD8u	44	2013-08-03 02:10:35.111045	2013-08-03 02:10:45.545436	90		0
5757	10eg1lqjxq4nwiscy3q1doc9f9	$2a$07$ImYVq5IV9bjPdPEUZFBf3u2VtkVu8MaDFbT0r3WruZnGYdppvkxjG	45	2013-08-03 02:10:35.145256	2013-08-03 02:10:45.740268	90		0
5758	108slh1xqnk5fti5yoai1fd3uw	$2a$07$o8VUeV4YNlptRWHoy/pMMOeA59Hn6iziBkY2jDodJAmkSFC.oI6kW	46	2013-08-03 02:10:35.179201	2013-08-03 02:10:45.89475	90		0
5759	10qqs5xd0zzwuwprfpuvz3ntv0	$2a$07$D9EMyjO9c9ult6Oy8ig0CO1HIivfG6btH9WB3Ae2cpw2pMVioLKea	47	2013-08-03 02:10:35.213344	2013-08-03 02:10:46.057712	90		0
5760	10agb1f726wtn5s51j7jfcton8	$2a$07$o1F9VV9c6YGnCZpPXo8rS.rNFxmtTpsFtLKzRvK.O8c1oQE54Brte	48	2013-08-03 02:10:35.236623	2013-08-03 02:10:46.276677	90		0
5761	10txve8cxmwstzw1gntdsypxvo	$2a$07$QvxF6BEmsmHtqQPYG9G/eet6oSfueBAeX7fToMBLAfPza9pgh4W72	49	2013-08-03 02:10:35.260223	2013-08-03 02:10:46.428586	90		0
5762	106wlym2vct2t8y7ui284grltc	$2a$07$JDN76t41uGdKDBXMeGYKluwdkGWYJvG5cu7.nQ5UOOGqNkCRF50Pa	50	2013-08-03 02:10:35.283593	2013-08-03 02:10:46.578421	90		0
5763	10mieclidpes64lci8umc16jh2	$2a$07$vMAjqv3AkVvrY1oVDq2AjOKFv8Jla5WjWyD./dV9AKw7KTns2Mpwa	51	2013-08-03 02:10:35.307286	2013-08-03 02:10:46.722548	90		0
5764	10e0rummdae5og2h6kdutpyfnb	$2a$07$9MVZ.QFxpFrDOE6xLKs16uAUba7hJ4Nt7WzHcDQcC9icS9zI4q77S	52	2013-08-03 02:10:35.330237	2013-08-03 02:10:46.860447	90		0
5765	10pfzfzqy111ba8fb73uk952p9	$2a$07$.GfScrxUdeGzpbJlaFAPkO55x1n0aKEpXg1H0BgY0P1Yqt1mzktIC	53	2013-08-03 02:10:35.35186	2013-08-03 02:10:47.054684	90		0
5766	100w9xhnaalrhytrue520uqgsl	$2a$07$XqmsWpHhuoL2Pe68.zp/n.Ma05cJhu/wyUlNVbI.B4w4xdyjjn8e6	54	2013-08-03 02:10:35.374835	2013-08-03 02:10:47.191509	90		0
5767	10rqmzsl4ifdchivspba6q8ngy	$2a$07$E3dASA1IxSSNXFeReOsjqOjHAVD.WmG7ImYGbFkDpKYRYWMGg11MK	55	2013-08-03 02:10:35.396643	2013-08-03 02:10:47.331456	90		0
5768	10ypg61gl6bzd5i2siyfpwllpy	$2a$07$wjuKaQU/ueJuVjCWTyTqxuz6DRY4t2Yos1HrcqU/x1eQFal/5d44.	56	2013-08-03 02:10:35.418481	2013-08-03 02:10:47.554062	90		0
5769	10jwvng2h6ysa3grmc1u0gum47	$2a$07$KLAE7FaevIlJ734cKmFOhuqavQZtx7k.9723l7i8m2AVRAiqtZHdi	57	2013-08-03 02:10:35.439971	2013-08-03 02:10:47.799862	90		0
5770	10488yy9nxh3t3l6qq5umxrx1w	$2a$07$CytHFfwreGeBVz44luZZ3eybaob4IsBkA6N8LLdBM.39WW1y8rPq.	58	2013-08-03 02:10:35.461522	2013-08-03 02:10:48.037419	90		0
5771	10b340bxvpnr9wn4jsaa0mirjo	$2a$07$hZKDwHyhZlk0pTlKn7RA2OH0qRkbFkjMX4i9prASvQaGILUnPg.Om	59	2013-08-03 02:10:35.482976	2013-08-03 02:10:48.162982	90		0
5772	1007hsgzippzx5grpm0dgy9jiv	$2a$07$aLk.XlTB3V/MT739MDDueO2HYhmAfUL38s7cHxD7V0KlQfC/xJdze	60	2013-08-03 02:10:35.504583	2013-08-03 02:10:48.306181	90		0
5773	10q7m9lgoj9mrgf3gmnlachznj	$2a$07$GsZlg6CvVpJjYQICSg7iQ.pliJmrIQtPI.CZMJkojRhsSyXq3MyW6	61	2013-08-03 02:10:35.525992	2013-08-03 02:10:50.945462	90		0
5774	10qnlckiszm41nk7uqzsaqpwq3	$2a$07$gS3yV3LsvqS6byiY94igZeEiC7CjnqGQTk.YDy9ApKOQjqRoTweDy	62	2013-08-03 02:10:35.548308	2013-08-03 02:10:54.117874	90		0
5775	101om7z4zrh8qlwiivk0rk0pij	$2a$07$U8LuzAdT2jFjEorSrolQM.pd8IUyj0IX4xx69giSrY4FGLq79iZ4e	63	2013-08-03 02:10:35.570973	2013-08-03 02:10:57.120016	90		0
5776	10zoetifiitwelljlhmkgs42x1	$2a$07$ILwCiHdPvnNOq1IduWV/U.EMAH.UMhMb9hOLz7L/30XpzMD768Q3y	64	2013-08-03 02:10:35.592762	2013-08-03 02:10:57.272975	90		0
5777	10yb03uq2cdw2mhqw0bevvh0qe	$2a$07$BR7KDzq.lk1063KAO2Lv6.sHTm6tGiSxqAaJazHb/Uvxu8szSQzbK	65	2013-08-03 02:10:35.614373	2013-08-03 02:10:57.408972	90		0
5778	10ppz2mq9q69qgyu3h5grwfw70	$2a$07$r0dULtwyWIWBMzArzCubE.b1Pe6bjFbezYYTQ3zF/9GIqdSXcGt5q	66	2013-08-03 02:10:35.637767	2013-08-03 02:10:57.790572	90		0
5779	100xmhgd17co28ves2yzjd7k9b	$2a$07$2KMovzVVrg5.5nWNwTbdrOAArVDptqPmkuiSSJwyhEtjE.KaA.2E.	67	2013-08-03 02:10:35.671145	2013-08-03 02:10:57.921959	90		0
5780	10cbg6i37htiovn0wk4txpej11	$2a$07$/d2l45Z1vQ5zRerDQZyAqOf2mT7bMEYvt3CrI7bJw8ShnjO3UQmAa	68	2013-08-03 02:10:35.695338	2013-08-03 02:10:58.216896	90		0
5781	10bjya9yt83yaw5i1furhhlk65	$2a$07$8WHVakJreLiwNIdDx/5rCu9UZxsjPrSqDNDyNwiwYALr/BRN5YK3e	69	2013-08-03 02:10:35.718544	2013-08-03 02:10:58.352868	90		0
5782	10ft5wk23ni451aho7ovxb4v2k	$2a$07$HoAeEjWdOtYXAwM0co/eyeEGr1fDEqTZ.V8UEN7G576H1dNhsh57C	70	2013-08-03 02:10:35.74216	2013-08-03 02:10:58.731694	90		0
5783	108n6ua0fyn8zl54eea193ap43	$2a$07$iTtgZbdwJdOR39X/6/v5mO/PXZp301OopyfLcal/4Fqx.cmiZSeem	71	2013-08-03 02:10:35.764957	2013-08-03 02:10:58.912316	90		0
5784	106d1etps1w19emq65lolrt8tc	$2a$07$quvPgJo5oygDI8gZkN52iuVW9dzpJIVU4UfN0r5Drt71o9A9fcqzG	72	2013-08-03 02:10:35.786486	2013-08-03 02:10:59.080364	90		0
5785	10xs3iygwam2hd22bkfmn4aj5g	$2a$07$xjgZrgLhFZzXyj9kT/Gkr.PdJn4bO00eEpyCxI14Od5WLKqeM5JZy	73	2013-08-03 02:10:35.808291	2013-08-03 02:10:59.310519	90		0
5786	107ihwxbdnwt2e9ii1efokfu53	$2a$07$uXRlTOLliXH84gBvXdsyv.rUtqmLr4ULqfRJH/ln0VaplAN9mgNtW	74	2013-08-03 02:10:35.830312	2013-08-03 02:10:59.442606	90		0
5787	10tqezrye9a77s9qi84g0ivtjn	$2a$07$hKL4HN0QWCOKeWDQYiqKHOA988t2Yiokd/E5KRFlKE2ue1bFkuDDq	75	2013-08-03 02:10:35.851732	2013-08-03 02:10:59.802223	90		0
5788	10hmpq2i31loqacfjwkddougl4	$2a$07$gjRK66uUrIdnOy2y3v9YJe040SREGr7CXm1EPQscqCwm740K4vZse	76	2013-08-03 02:10:35.873336	2013-08-03 02:11:00.177512	90		0
5789	10lvufcpjx0zb3mddk5g7i90t7	$2a$07$BPeUA4PoJscAtdxxN1rnDOWu6RuH6EcoSX6OXl3cI/71de2pZugNK	77	2013-08-03 02:10:35.895927	2013-08-03 02:11:00.552777	90		0
5790	10luoof7mk8o34z6fmfwbt15ia	$2a$07$aZpuiBUeXARgvQphW1DR2.OgjjDBc1VnovCcYsaGevLdPOA1C/Hji	78	2013-08-03 02:10:35.91752	2013-08-03 02:11:00.86856	90		0
5791	10mn7knb5i0chyr465vzhppd4d	$2a$07$p5za0uL54RbBMi1WROWzzeasJO6uJFUwtyf1GWnKEQ8zRWSdm48k.	79	2013-08-03 02:10:35.939611	2013-08-03 02:11:01.066777	90		0
5792	102aja9tbri1w51lbwbzim8q4b	$2a$07$XaUpsy9Xye6InjepOUHzwuFJEt8.HRQn8MEfwJceICiGWXt6Hks.O	80	2013-08-03 02:10:35.96109	2013-08-03 02:11:01.2186	90		0
5793	10utgmotvbo764w28k4z78vwuh	$2a$07$XyH1K1FvcFmRuNG62Qlw2u7cuP/z22nEXB8SEy8NGD3YTABSY7s42	81	2013-08-03 02:10:35.982603	2013-08-03 02:11:01.40285	90		0
5794	10lxqop9krpyaflphl7qpollxo	$2a$07$cUQCgk7OjA8ADWMy.06s2ep5ObJjAgLuwtmqyZD7Pk9LNXgRxE1ea	82	2013-08-03 02:10:36.006435	2013-08-03 02:11:01.667947	90		0
5795	10jjn2t0pulge3wlotln3jjrk6	$2a$07$TTE8WnahfJu3AjDcyvJ7AO4axiWXiA1LD5LlkbaGfgwrUZdOGKwxW	83	2013-08-03 02:10:36.041814	2013-08-03 02:11:01.849096	90		0
5796	10pywahdezb7e0h7w71rz5bsej	$2a$07$pqOj5bDydUE0V3FHJrZyGuvNfDQhgK7F1SqLi/TsgRufW/fPBE8rS	84	2013-08-03 02:10:36.068227	2013-08-03 02:11:04.606294	90		0
6824	10zprnnwiiam68ete2u4r3wqgy	$2a$07$VXaeUQQPxn0fEao0j94qBeLU77Pbtgd2Zsmch9rA6uT4mlLqMAS.q	20	2013-08-03 17:14:59.57147	2013-08-03 17:15:05.646769	104		0
6825	10sfryq5lj9wlzm14xdfoyvlja	$2a$07$ArQf8CY/N8zP/l/pop4eGONJKrmKwq5SNcK6pnVvvXBFWGC23TZau	21	2013-08-03 17:14:59.603104	2013-08-03 17:15:06.018117	104		0
6826	10c2p2mp2y5niqsjdg5c3xzj7z	$2a$07$R91j0RwShpQ0ZzEuIT3RCuvSMYwRTPXXGXNYYqUGVKGu5wyodt.n2	22	2013-08-03 17:14:59.633865	2013-08-03 17:15:06.245038	104		0
6827	10doq2mnykbzkqljxsm7k4t5ce	$2a$07$llWVkPfNv5N1f9IiKSo96uH64jmxObMW9/eEhvtf5N0ukJiHDz8uy	23	2013-08-03 17:14:59.655765	2013-08-03 17:15:06.395826	104		0
6828	105lcaf1c3dnk6g4orjx09gk6r	$2a$07$mykGFGJ2q5A.6hNRiVYra.TjW60TIO./SuAvbi3.ZUTMHNL.m6wzS	24	2013-08-03 17:14:59.677396	2013-08-03 17:15:06.727261	104		0
6829	1091mvljcm1zfu6ld9dy3xmeia	$2a$07$uxfyl3sT9Fn17LewCo5SQeDBbcxSI37PMeGlGdhN/uJNev859FwEG	25	2013-08-03 17:14:59.699213	2013-08-03 17:15:06.951806	104		0
6830	107zqr34df1sd0qajia0w37soz	$2a$07$OgKbMWE17Kth5GUP3WslLetcht8kw1JQlWAZvABzqNBCN3I02tJqG	26	2013-08-03 17:14:59.720598	2013-08-03 17:15:07.081549	104		0
6831	10gs8c9opmtsce6hkqh123dcnn	$2a$07$OoDIkx1PpP2fbXjjxdZWlexDvyvFU3Ivx3HDJyIetvGMoWU0p4EO6	27	2013-08-03 17:14:59.74294	2013-08-03 17:15:07.409736	104		0
6832	10ix96599t1ghmotgxwi2bj8d4	$2a$07$PzQaZgIgJdoyceuCOnyBZOuMbdgQvyaWKEZI/ISutWQ1fpDOC08Sq	28	2013-08-03 17:14:59.764602	2013-08-03 17:15:07.775152	104		0
6833	10jyhgg6q5tsu32j6yp5kmipzo	$2a$07$JtVzw/M0voXHm63bitjas.Jb.iZvqlYPvgEwZNJ0ReW.CBv3r5Ji2	29	2013-08-03 17:14:59.787178	2013-08-03 17:15:07.970509	104		0
6834	10rcd48ablasgj2oaah1zlkz5d	$2a$07$tG3cCsCOS83vQVFjKWDo2uPSYaKhemQJo.MXDF3GuhARdIyOLOh5.	30	2013-08-03 17:14:59.81107	2013-08-03 17:15:08.098542	104		0
6835	10rly29kgsqm06zqmhyq2w8x9p	$2a$07$IX6lg4Esy9Hbh4dwvH8YSOrn2xmUTs1owE0VxUCtzkm.OXlc/oOcq	31	2013-08-03 17:14:59.834111	2013-08-03 17:15:08.290982	104		0
6836	10z0zez6blahfeb5tbis6sr055	$2a$07$VvpsvinyppnBtC.ChGNG8eMzistRRCERYB6D0ML65m1uuOZqFAllO	32	2013-08-03 17:14:59.863945	2013-08-03 17:15:08.434074	104		0
6837	10k0uedmu69woj7p0np0ktsv9k	$2a$07$dOtfn1.17TTQ2oIoCzHmr.k1NpoJhn9miOBbC3J2ZI6vXaxVraIJO	33	2013-08-03 17:14:59.885483	2013-08-03 17:15:08.577356	104		0
6838	101zk315bdi0oxpes0c1vu18bc	$2a$07$oQnWBsTGzIcDcNGus5DZTOBESpryud69pdG7ChI/J.48x2EiriegO	34	2013-08-03 17:14:59.90704	2013-08-03 17:15:08.965018	104		0
6839	10b56m4hzf7rl7pvi2tmyrjpr2	$2a$07$lJLFVdw488vuYWFiM4p6X.ROUfe/B7n2KwVrlX3YNFZ3FAkjoTdCu	35	2013-08-03 17:14:59.928535	2013-08-03 17:15:09.215012	104		0
6840	109m90ed6tjtd8m6h1jmqhfr2i	$2a$07$DTYDw6ilGnC1QgHc8n9tne4MCuNwkjPmKU9pD5.EJTTLwq/Vm9i.2	36	2013-08-03 17:14:59.950898	2013-08-03 17:15:09.61196	104		0
6841	10qs1hpy93bv3jetns5zpmyo8v	$2a$07$JdGMVGuJyBD2Prh.KGbHeOJMD3BdWG7WJkndD2mZ.sqZRB14FI3AS	37	2013-08-03 17:14:59.97254	2013-08-03 17:15:09.841661	104		0
6842	10ld4pk8559j776koa2nav5n6v	$2a$07$yJDucixLmTPOMwNprr024eIcRy31EIDTp.BGQ.19p4GDOfgIWJBe.	38	2013-08-03 17:14:59.994247	2013-08-03 17:15:10.027073	104		0
6843	10m21k9w4t6jgoeqvdeqxssabt	$2a$07$fey4VDq5dLTcCDBSpPBHquzmlFoQxeQYvEOOBgk41/SDVWydQLhju	39	2013-08-03 17:15:00.016128	2013-08-03 17:15:10.264412	104		0
6844	10sqmejq1n1ufd5ljolltskzfq	$2a$07$bG.lGqL5LG0aNEJBphry3OmZEvmnbv5jfJKSop7Wy06x6fquGtrla	40	2013-08-03 17:15:00.037629	2013-08-03 17:15:10.595534	104		0
6845	10es11reh24idwqr54c8xfqit9	$2a$07$Z6jze3tSsQhMja9nRTw40OVBeNhql5rdna2EDX18FGD8k9FN8ZvrS	41	2013-08-03 17:15:00.061887	2013-08-03 17:15:10.799074	104		0
6846	10acjiihsb6686nm2fsg30aggp	$2a$07$Efr8SZ08rjV7LhPbJGhwZuv.ZJ3S/bQfadc.77dhD4pJrHbwf5GeG	42	2013-08-03 17:15:00.092907	2013-08-03 17:15:11.166583	104		0
6847	10lhj40gnfhdovra4rhzmyno8x	$2a$07$YevIt78L6ikAyUgrWd4O8ejmBl6cW.eer2Gz/TJIZorb5DPkLn32S	43	2013-08-03 17:15:00.130247	2013-08-03 17:15:11.306599	104		0
6848	10npuh914t3y1bvefculrab2jc	$2a$07$OYz644s0LbCn/7i4bGw.u.6Mv10ngv4PoMJ1ivDi1EqY98P8RFopC	44	2013-08-03 17:15:00.16611	2013-08-03 17:15:11.44735	104		0
6849	10pfkb8epo7506asq7ukud8851	$2a$07$GQg/2vTG3TmaEWK7PXdFV.oXvigUwqmXuE.U93UuH8A5WaKqlovzO	45	2013-08-03 17:15:00.200962	2013-08-03 17:15:11.569882	104		0
6850	10aetwjqvaadko1qybgkgzppsh	$2a$07$vfRPbgNa88t98ItkUMn2Bez3FfrDiRn2db1UxGADV14eVwvW9Vm0K	46	2013-08-03 17:15:00.222458	2013-08-03 17:15:11.79885	104		0
6851	10wnpw4kk970dt7ovtl373h5mb	$2a$07$qj1mvtM.YJEl7sWXAOCFLecms9cPsY3J5aIP74/DvoYkapxO5n2eq	47	2013-08-03 17:15:00.244475	2013-08-03 17:15:11.981183	104		0
6852	10t6x21gu85t3ega7cv16439z6	$2a$07$.NOI6ZPjOoS84bh4nBv8b.i4kXEpwmykSbtfgf5RH2h4b7n.OytFy	48	2013-08-03 17:15:00.266233	2013-08-03 17:15:12.233887	104		0
6853	10minizr2nbzgswoppvki0u23c	$2a$07$6xe78zXtHpdwEltDSAaAnOO.A2DEruHiIt3YYb7DRgbGL7cIVH4tC	49	2013-08-03 17:15:00.288548	2013-08-03 17:15:12.387608	104		0
6854	10mj7dkky84uc9pbc8amkj5syp	$2a$07$YSoj6g1y3sHsSaBgZid5h.hE2JJ3/oQit/JtzKXIRxy843IEvcS3.	50	2013-08-03 17:15:00.310665	2013-08-03 17:15:12.612688	104		0
6855	10hmvggibhanvqrnsnme8cx86d	$2a$07$7rl0a2Uu7lgZR4kKvOHkcOvy7V3h5ffm32k4V5stHSvsR.JmqlPFO	51	2013-08-03 17:15:00.332222	2013-08-03 17:15:12.765736	104		0
6856	101icfds8lo18c1woo1s58hceq	$2a$07$P6Stq.GrqgJA503cQ2fSme9FCZQdumFnlOGtMXG2pOqHhOullSD5W	52	2013-08-03 17:15:00.353801	2013-08-03 17:15:12.901571	104		0
6857	10yshzmg7w5k5si9ro7hz3uo8f	$2a$07$FeafyC6HICG5okM9jy2LjOjT8Pe587W1QSh9H9tD/NRtJyYF90u5q	53	2013-08-03 17:15:00.375439	2013-08-03 17:15:13.010997	104		0
6858	10tq7hgag5hjpiqrz0sk4crt6k	$2a$07$OOTLYKU8oSNtyllTOr4VcO.7cMC9c0Ty9VC1..Ulo6F99MEdIcIyi	54	2013-08-03 17:15:00.398197	2013-08-03 17:15:13.149821	104		0
6859	1006z0mkm90tjpwfz3vn3g39ar	$2a$07$hN.kub4IGoacecDltVMd/OobWUYf.1aO9hgM.B3rwkSIikQk0OP2y	55	2013-08-03 17:15:00.41966	2013-08-03 17:15:13.526913	104		0
6860	10wc16qo6gvidkgwnczk10i6i6	$2a$07$aHZxRlaQeHcuAYxCxUT8NeS91LP0nd7T/3zhcokTICdUm7g78nqwa	56	2013-08-03 17:15:00.441178	2013-08-03 17:15:13.889811	104		0
6861	10judeexist260gkb67x6afdbh	$2a$07$uTJNAqyJaQo7Fp/XPlYopOVwPadqHlA6D1W72JJTB8N/GdFp.8A4G	57	2013-08-03 17:15:00.465305	2013-08-03 17:15:14.033487	104		0
6862	104p0d9shdeiateb1s43jw5etr	$2a$07$CC5HbWIQRM9T6bSZO5xoLe3b5AI4qe/Ui8OTdWuYbYjvHl9c5dnfG	58	2013-08-03 17:15:00.488401	2013-08-03 17:15:14.275587	104		0
6863	10dsff7907dg5w85ukyr61q1g7	$2a$07$yFQcSaenkLiFAM1.GD7QzuRru9p/lYPVofVvDuvD7h1eSszPyzBeG	59	2013-08-03 17:15:00.510329	2013-08-03 17:15:14.45916	104		0
6864	1041pwpakwzhu25cgnxqupwlnq	$2a$07$HREoTIv7IFdZqAUcH0Xif.jHC7WH8rZ9mIgNWskN86aTR9jwBJofu	60	2013-08-03 17:15:00.532279	2013-08-03 17:15:14.837506	104		0
6865	101rk0enhfk9ozcvizb832y9q0	$2a$07$ZyPOrikER7sT.KFpAI1S9uYcIn.GsqGyWcfKaz4kYc/O15FHsm5XW	61	2013-08-03 17:15:00.594738	2013-08-03 17:15:17.872951	104		0
6866	10cf7vmkdbyil9xr72d58uf9k1	$2a$07$hc0VnQWaUEnefwnX/H8st.iAO27zGNIIh1RlrI4.Ut6OTSbYO/.jS	62	2013-08-03 17:15:00.623728	2013-08-03 17:15:21.172089	104		0
6867	102jiiihre6n3b0mwm5svg854h	$2a$07$564NyIas2DBnipWQm3hW8.CiqeG2Gs0k6NG7/DfzQTQYwCdJ6VV1O	63	2013-08-03 17:15:00.647971	2013-08-03 17:15:24.271082	104		0
6868	10zrb481d7a5wqptkcgdqanubo	$2a$07$UBa202RCQdRKzIYDkfxL8edWIG9HfoQoBQbmy47G2frqB9Gf.7b8e	64	2013-08-03 17:15:00.67131	2013-08-03 17:15:24.413343	104		0
6869	10e78qiixn12m2ga87w45uloh2	$2a$07$Usj5RQafRjkAZYHPsbdArOjvdXQNKxtoBaxvCix6dIpKOHv8HdwzO	65	2013-08-03 17:15:00.695887	2013-08-03 17:15:24.780517	104		0
6870	10lgjg1xhzm66oclkbtaimjjwn	$2a$07$2M/93eEshlJc0an1HasBYuJtvkKzinqzQWWKGGhYOFC.o/E/YNmoq	66	2013-08-03 17:15:00.722673	2013-08-03 17:15:25.0487	104		0
6871	108x05q1cjwn6my69ylrpfqf9w	$2a$07$xbgNqfME0YZmVYZqe7pFyup4wMYmdZLLnwYHlihwVPd5lwGp7mBJS	67	2013-08-03 17:15:00.747015	2013-08-03 17:15:25.41818	104		0
6872	10me6ymouz8uip01cmae82kizp	$2a$07$FAUS9sFGse0tdcE2As.g..2ZQ/2rK.6n6Qd5Sn5qmSieaxStARrh.	68	2013-08-03 17:15:00.770298	2013-08-03 17:15:25.689146	104		0
6873	10y9uxn85exdo23bkw60odyel8	$2a$07$rN7TbfojP1WXvIWzAXu8WOmTNsGPKUi6IC5ujs0I3s9jMyu5YnGoO	69	2013-08-03 17:15:00.795259	2013-08-03 17:15:25.855714	104		0
6874	10njabbpuwfwnvxgz80uong3va	$2a$07$wJN761W6/oaVq26YuZ4TNunGQzQWrhu6EK9chCHFF8O3WBoazSyv2	70	2013-08-03 17:15:00.821714	2013-08-03 17:15:26.214107	104		0
6875	10vqn4m1bxie62sd9d2zox42ef	$2a$07$bBqwmoa1vDOeAg6VKdrthOKwdRXgSX9uFDYzeuju4i8x29lX3MfIe	71	2013-08-03 17:15:00.845551	2013-08-03 17:15:26.418991	104		0
6876	10laqch6c5mql1wa7dwjnqouqy	$2a$07$RDwSvkq.mo09VczxxTIAb.0oR/sT.aLR1DC/L3jXWVbr9MR4F8yy6	72	2013-08-03 17:15:00.869183	2013-08-03 17:15:26.689088	104		0
6877	10cla089iwbfao4wtx2pxxl0d0	$2a$07$HgxVp2rX8rws4r3j2HyF2edrKvxdMYyivN7t8FgL0tuakGJse2hhC	73	2013-08-03 17:15:00.893233	2013-08-03 17:15:26.866012	104		0
6878	10hwslnirblvkd7hmmf4ghu2l8	$2a$07$JM/OVwVtcaK5ZIf8edWDJee6.9D57dipAL8Xt/HqywS/1RkmdDT6q	74	2013-08-03 17:15:00.921165	2013-08-03 17:15:26.995166	104		0
6879	107b30own4s56bgmaf0j5wrdvz	$2a$07$jANxkQ9h6lImbpfv5xDEh.exuFYm.PwkQuDPxSnW2Aa5RjivruYDG	75	2013-08-03 17:15:00.948494	2013-08-03 17:15:27.204239	104		0
6880	10xkugoknbwujf3jb1foliop7o	$2a$07$9y7ifl2lk2.iqoslLu4T4.ppABKKIhblzSnd1R8slu9C/AvsKYhSi	76	2013-08-03 17:15:00.974868	2013-08-03 17:15:27.564762	104		0
6881	109wlcs6aei9peai0r1x2ttvuz	$2a$07$p1Jn/WRA70/aqRGEC..Qn.21YWkrwaXihaAedOKGs47yyDX3q5CNu	77	2013-08-03 17:15:01.00313	2013-08-03 17:15:27.810934	104		0
6882	10ol0z7ly6cqt7d1jx5b6dwnrg	$2a$07$nJGWGnj64dwkKU1SdWuALOPRim1xdBvirN4vQ50/Otlh8KwGnk/1.	78	2013-08-03 17:15:01.026144	2013-08-03 17:15:28.085671	104		0
6883	10wxkpbmz4er39e1lqyet0y3ub	$2a$07$G5vnead3u/TZ7rPx/BeS8ehwf9grI8x35EZfrn7VEuIfXjIezELxi	79	2013-08-03 17:15:01.049438	2013-08-03 17:15:28.310002	104		0
6884	10t7j6oaueqazzakjl2795wbjy	$2a$07$jYtfvs2CI1ZYvi/to7bQouHdUrjIKS/x71sB4r6u3X9hn8ar4xQAO	80	2013-08-03 17:15:01.071753	2013-08-03 17:15:28.602589	104		0
6885	10qxq70m93zomy8s36551hfbao	$2a$07$vJooDnaWQ1ebj0Kr.7n/iuXVWSvsyO5gFMe180awoCvrLO2W3TVg2	81	2013-08-03 17:15:01.094006	2013-08-03 17:15:28.750126	104		0
6886	10xy436ob61ajs1wfwn8dn6549	$2a$07$8pp2CKGmH82MlmqhSFRwm.ysKp97e3JCbIPRkYZnCUj37AeIS/oPa	82	2013-08-03 17:15:01.11645	2013-08-03 17:15:29.14546	104		0
6887	10z2mv0tkt81dmbg8rwn7kj7zr	$2a$07$ik1Ftdw/ufOAbbh4KaD2geLyV3O6CXg.sIs5n5Gm5EgY3jZ8yyj9C	83	2013-08-03 17:15:01.138422	2013-08-03 17:15:29.269127	104		0
6888	10dp9mysbs3tsy0l3zhua3jb1v	$2a$07$SFJE6b0s4V5sUnCqswEtkOcE3vwjERa/dX06xEgI7RJe9Ripj05ey	84	2013-08-03 17:15:01.161113	2013-08-03 17:15:32.072292	104		0
5797	108atws790lvtpqou2j25ylsgd	$2a$07$jtYw1WoOl5HRv4MbeUJd7eF2TR5IUeQPjuwYtjGX5v7bJjTzN0JKe	1	2013-08-03 02:15:54.643077	2013-08-03 02:15:56.823189	91		0
5798	10fyh7tiu4diwi3zjuj4v64vde	$2a$07$Yi4QsK.s2DRLUSrowuhVH.xegGEdWJJEK89/5PAuNlbqPXMNyZfv6	2	2013-08-03 02:15:54.67114	2013-08-03 02:15:56.969446	91		0
5799	109phm4a2to58x8mzibge15waj	$2a$07$3ox7RhIrrl2MADM8pd5IY.EmpbpMloWy9Jg2b7x3C3Sff7hxvkOsK	3	2013-08-03 02:15:54.694183	2013-08-03 02:15:57.112038	91		0
5800	10u1v3bie150rn0eu9i33buc8c	$2a$07$q43OdK6Iy0vfowQ3rH8QxuKZ83mrHm4U.SEwMoEM6FiGxf7l3mFpW	4	2013-08-03 02:15:54.717524	2013-08-03 02:15:57.376995	91		0
5801	10ufqarqxussmk62f05imsy8cm	$2a$07$cvH9BX0k06cQ4HyOmN1sL.nBDbT2GODngv1eW5ofZ3uLUOw2cUDUq	5	2013-08-03 02:15:54.740704	2013-08-03 02:15:57.496163	91		0
5802	10y54jzcpm6tlnrukigmtgqkz6	$2a$07$0w2Ab83m02m5k4ggAlt.geyGzVoqK4i3WiJMGP2nKgFR9PVGU0AqW	6	2013-08-03 02:15:54.762606	2013-08-03 02:15:57.623817	91		0
5803	10q5981f5z5dbb4d4ztyv5v75g	$2a$07$tLJTEEKFx8PiXVrn/FLjtebdpR7SNNc1QTPl1Q2cnO3Q4Inumey22	7	2013-08-03 02:15:54.785146	2013-08-03 02:15:57.766022	91		0
5804	1059fnzkxg0i2vla5wyipgoz8n	$2a$07$Z6xcQlJWmu.bs0qzprPvDujTeNF13HsYPUAwNhwf62XxutDUYbPzi	8	2013-08-03 02:15:54.808994	2013-08-03 02:15:57.899398	91		0
5805	10xl9iq1flgcd8v8tmu2ex03qk	$2a$07$SNPBtfblKHIbx1QX9wq9EO0mnaFGHU8Oa9Pxy4tT/d6GziMvsZmHS	9	2013-08-03 02:15:54.831553	2013-08-03 02:15:58.044095	91		0
5806	10jq8q37yo5ycx6huyq4vgdtuh	$2a$07$C/pp7OuZ4RTiaUVk7X.PFuTlgSV/ZcTeBMPNcgTmrHcNvg6NRldLu	10	2013-08-03 02:15:54.853056	2013-08-03 02:15:58.187171	91		0
5807	10zd7zqjeqx14tdu14w709ul8t	$2a$07$6FewuuZnnki686LkxqdkOuLMLNV5dl7fbnbxZA.jgeDq8D4lbp6/K	11	2013-08-03 02:15:54.874984	2013-08-03 02:15:58.323835	91		0
5808	10r8sr7qk34zndipgeyf011yyf	$2a$07$b2TXy.aJxfMP6vZDEMrGqeHyAKhocyf3VnCs2gIg6w.R/vfQCUjTu	12	2013-08-03 02:15:54.896532	2013-08-03 02:15:58.443719	91		0
5809	10wr88gpzulu4r9c61urdebonm	$2a$07$Pl7yeleJQMln1uSqn4YAi.4WAKT7xIQqXLNji3k4jKaA4g2WP5uDe	13	2013-08-03 02:15:54.918345	2013-08-03 02:15:58.582803	91		0
5810	10luns6o0a7b4x15hp4i4yne91	$2a$07$cAPVINsLRnaRQ.p86qn6UO6.btPFgO7/vgI3NbX39p9iKGqO5LQcy	14	2013-08-03 02:15:54.940258	2013-08-03 02:15:58.864219	91		0
5811	10xfp6z8x7w1nanuj8o17fzglm	$2a$07$Bppgqk3qLlkZRebqlzZe0OZm1ATnt04gdnrnGNcM4DYfAAer6ti.a	15	2013-08-03 02:15:54.963484	2013-08-03 02:15:59.0849	91		0
5812	10qjxo8j8f7rfz7mynmz9qvx5n	$2a$07$eknwS.RkX32lZmG/wCQ0F.DoaW79BeHe3ee2yHXR5/DMk2J4qzMiq	16	2013-08-03 02:15:54.986068	2013-08-03 02:15:59.184819	91		0
5813	100j5odg3j5yxb8bff76djmyb8	$2a$07$XC0ZcbK1HFnYrn2MbStG7.R9hGGJiskJfIvLw2asf4LSWgUXXWFR2	17	2013-08-03 02:15:55.009194	2013-08-03 02:15:59.398226	91		0
5814	10n3chjr6u66lhe2mnp3su9f7w	$2a$07$CU8KZgpy7eSVqSAX6oB42.jZ6PU1GtSu.v/.3p4E.k8Z82geMK2su	18	2013-08-03 02:15:55.03212	2013-08-03 02:15:59.590254	91		0
5815	10lzfubbflzf39ft5rzvoylpp8	$2a$07$92h18gNcl8sc0W4SDUcu7ewY9dFznTd/RCvHzYz6ktsEdIU.xAK4y	19	2013-08-03 02:15:55.054846	2013-08-03 02:15:59.720646	91		0
5816	10fnm1o0ngm3mgt40ryx20rjxz	$2a$07$ONXGaKtUSmKGUP404aIb.OY2WPAfQoha6BNcjpwLY6FXU.xVGZUBC	20	2013-08-03 02:15:55.078019	2013-08-03 02:15:59.872874	91		0
5817	103z9hllzyz1gg8yrlwri2jygh	$2a$07$N8G4mUXlJ0H2zgOVG/KHH.jQ6CY/RS7zbfimZ1CAcYzQK2vGcuw9K	21	2013-08-03 02:15:55.100666	2013-08-03 02:16:00.049004	91		0
5818	106ho2hxb7lxzk5ribo90yyx7n	$2a$07$JgaIaU9u3CSkonraGXkaae5ybcP5wuAlN3AEiWt75WwIINAYaaxy6	22	2013-08-03 02:15:55.123293	2013-08-03 02:16:00.430283	91		0
5819	101ho21cuw9691g1xsrinaugdu	$2a$07$papwFVo2Ym3LVDkqPXGhquhZ/xJMUdiR6hM3E0DI6e/Sn4aauO1Q.	23	2013-08-03 02:15:55.146325	2013-08-03 02:16:00.620463	91		0
5820	10028y5jfe9ahtjd8umxjt67l2	$2a$07$oxdfroVXYArp7aXUamth7OcCg3aNT4mz/kuANgLXIflYU30ataWcK	24	2013-08-03 02:15:55.169002	2013-08-03 02:16:00.963248	91		0
5821	107mq0o4hhzkv1v02vaorgza8h	$2a$07$bjF.6.pxgM2mJXCaKsHzEeMfIxG70x4oVM9li1mYeG7SZlhDx/MWi	25	2013-08-03 02:15:55.191349	2013-08-03 02:16:01.079161	91		0
5822	10ei0ttbsy1uy4oo7sgixpg5aw	$2a$07$CorEO4eySBfUlYGSuP9YN.4qN2GucrBxC.cdKQIWkaiY5fsCG3Kre	26	2013-08-03 02:15:55.214194	2013-08-03 02:16:01.293724	91		0
5823	10vv1tk3gz6vl8asz9gery3lou	$2a$07$8W31NJBUqjhdyhIgIYj.KOkovqREJuc0rFeg8stlMBFGSBpsz3iiO	27	2013-08-03 02:15:55.238744	2013-08-03 02:16:01.482256	91		0
5824	10qk8lr7cg6xehym5ry2tsdw5x	$2a$07$0rwk4RE7FsoxERD546joXOK0n2uHyShWfupxnJTBq8rExu85r/JkS	28	2013-08-03 02:15:55.263535	2013-08-03 02:16:01.608558	91		0
5825	103u1hlaqhc0njqazki7jrbtsu	$2a$07$YEl2noYqeSx66VHVSjl0teVxIix.XT6J7QPmAzfIAV3esegDVZoym	29	2013-08-03 02:15:55.286126	2013-08-03 02:16:01.749484	91		0
5826	103ot38siai9cgxrm8ydg7x2ro	$2a$07$/0gc.hyFWMX9uXXFlKjn4.kzni6izrhlRwiHIwXTkt9p4dsj1YV3e	30	2013-08-03 02:15:55.318516	2013-08-03 02:16:02.026088	91		0
5827	107w5njoh2kl56y2ures0n95hd	$2a$07$CHulQuELTE/stQigra1gXOO.BK/AuJiPKS7i.yv8lSTPcie4J2ex2	31	2013-08-03 02:15:55.342318	2013-08-03 02:16:02.123345	91		0
5828	1025c4b4gxyd9q7evtniiye21w	$2a$07$Dg5k7lmehE/HV8x/UrEfdO6nMYFSzAd.iV90JdP9FniEqYBQvQ9dK	32	2013-08-03 02:15:55.367074	2013-08-03 02:16:02.22968	91		0
5829	10r7envaprqdpi6yz7voqd9fam	$2a$07$T7MNgUebKybE74r0ThwuJOQNB3q8deWiYcsFwI36n3IwhUYhPrxWC	33	2013-08-03 02:15:55.39498	2013-08-03 02:16:02.355676	91		0
5830	10riz70sbw7cib2jm40sasztdz	$2a$07$zH48mqJeQDHXOfQWkrm8xeJr/LTTriaILm14WlLWDgcKwUT8aJdD.	34	2013-08-03 02:15:55.418717	2013-08-03 02:16:02.596269	91		0
5831	10tp9z8phwm5kkzkc2hr37k5r2	$2a$07$cI3WEXGVO6LkBusJFfF2iehe.Z.sjfIwfLnQlo8ewonTzu1U29.9q	35	2013-08-03 02:15:55.442216	2013-08-03 02:16:02.727513	91		0
5832	10up476cirynqkdqsunps5ke9z	$2a$07$mJi.8AM32B2HoHCm6uZWEeHVpP7epf0lD/SdVKAr8sFEV9I46iBGe	36	2013-08-03 02:15:55.465883	2013-08-03 02:16:02.897112	91		0
5833	10p6u8v4vwqz1ez8e5j8fxyusj	$2a$07$sLwblUMsYt2tUGy4ziXfNuK68oUmw7Swtih4RTbdJLkE7gF6eDYq6	37	2013-08-03 02:15:55.488413	2013-08-03 02:16:03.103835	91		0
5834	10i2kc21qsy1i2hj75ggkh0qvy	$2a$07$cw/vvzgQVnZsqyFu8zMA6Ow/s4CDOkuGYoQ.89CkfflqL3wX6exmK	38	2013-08-03 02:15:55.511789	2013-08-03 02:16:03.278502	91		0
5835	10go6qodwpb3m44to7i9c4a425	$2a$07$lIbU.UFTQR2ErJhhYxeSZO3GOi0JTsLW/G4YnhlCQ.ESmG2M75Odm	39	2013-08-03 02:15:55.534112	2013-08-03 02:16:03.543628	91		0
5836	10s9hkk06kzbqlw52nipxdl6iv	$2a$07$ZJJBNpzhm7raE6MY/m0zgepGAgg9oNkHd94CYfXZolRdOr/YZomhO	40	2013-08-03 02:15:55.557417	2013-08-03 02:16:03.954056	91		0
5837	10h9qj8nnxcr3dmwz5xynzmduk	$2a$07$gJjGOnmjNc0T.w86yQKFjeALYdYxe7vRED08AteoyRENVBDO9qQ.e	41	2013-08-03 02:15:55.581451	2013-08-03 02:16:04.285278	91		0
5838	10u85a199kfd1ne0eywusgvt4s	$2a$07$pfSDowKYUuWMDTRGHHvXMeyj2A4VRafYxndfJDQ7bRjc4oIxtPs5y	42	2013-08-03 02:15:55.610785	2013-08-03 02:16:04.497106	91		0
5839	107a9cau71ur320zbjb18bg9rr	$2a$07$nTNwgEOOTmIVXLbO5OfSk.Vynl.vt7jy4dCPrJ9602C6uoe.NOx8q	43	2013-08-03 02:15:55.644774	2013-08-03 02:16:04.859954	91		0
5840	10i7oi0pg1ityci3ndj38m6c22	$2a$07$4RTNUoCnI5TQbPZ4hVs36OkTEL8X6/s1e3cQw81S5OjmeZiYN/qy6	44	2013-08-03 02:15:55.676852	2013-08-03 02:16:05.222373	91		0
5841	10kslv74mkifj0t1858cl3573r	$2a$07$k9ARvAQOoVYRmEyxIk2L3ORSXtt7Tt3T3DGNA/S4IFnp2mZhgmIwe	45	2013-08-03 02:15:55.71553	2013-08-03 02:16:05.595558	91		0
5842	10em95timxsuynvestwpiytbya	$2a$07$XRJpLa00JrVuTbBpoJBCR.LXj3eg6XASr/y32/HbS0BUzChv.trMO	46	2013-08-03 02:15:55.749739	2013-08-03 02:16:05.748115	91		0
5843	10xur7zpoztd1fnkta2bu6gkme	$2a$07$vjT747Qf7oWfPAYP73bIgOME3KjReupZ0awJNSzpXyODDd.NRPk1K	47	2013-08-03 02:15:55.777161	2013-08-03 02:16:05.883958	91		0
5844	10fdtmku9niodgqbg42bcf1u5c	$2a$07$9uVg9FPlfIzfdGEUx7FYvefjYofcGtIp7H5MnO6SXKHkWZw0amt/e	48	2013-08-03 02:15:55.798917	2013-08-03 02:16:06.025041	91		0
5845	10grqlwdfayxlsl6v68gtxp0fv	$2a$07$9w34tzlAkuyIzfCzqF9tAOGRVIzjeLlTKGOVjdVDjgDFQtsyHB6Fi	49	2013-08-03 02:15:55.821679	2013-08-03 02:16:06.141686	91		0
5846	102aico0rhcpwj33rfovvwhn2a	$2a$07$uuDqrGz8EgsXPOYIN/NWRunNf.QkM0KYt5suLUAjXVSvv4FT4ujLW	50	2013-08-03 02:15:55.885041	2013-08-03 02:16:06.277794	91		0
5847	109jc4xqx4z33gvhnqwyn4jm3q	$2a$07$ShzTHrlKb45OPfi5u9R/1uDXkvNF54AlAqlFjGni0v8P2rMYELiSG	51	2013-08-03 02:15:55.908832	2013-08-03 02:16:06.423151	91		0
5848	10o2320fribtwi6ri6rcpuzfql	$2a$07$EyLdVk6DUIJs1pI1AXKCkuT3cyo/dD4qH0eLUA.sicqAcE01oBCA.	52	2013-08-03 02:15:55.931386	2013-08-03 02:16:06.736636	91		0
5849	102ir7rcolxqmise1pjaxm378m	$2a$07$.e.h/1ongV6ZuJ6GzkVV/eLKukLj3huR9UJqJ8eiEhnnSoKANn8w6	53	2013-08-03 02:15:55.954336	2013-08-03 02:16:06.879448	91		0
5850	1049ssexc4lhay4e4gi3hgrvqw	$2a$07$cuL1RY18kQDGHGn6kxgnp.Vsy/BVefvFSEjZv22iib4uOaSLhLduu	54	2013-08-03 02:15:55.979133	2013-08-03 02:16:07.059259	91		0
5851	10owcz04duhn7jh3uxowh9kaq8	$2a$07$ic5i1NBrznin72h2bZgImeess7U9HbmBau6tDzIaYInw.VxUln3la	55	2013-08-03 02:15:56.001664	2013-08-03 02:16:07.204133	91		0
5852	102f4m14aec27qeg2qt63wxu1b	$2a$07$9H8RG3V0x8sLLG56nqSpguavQwp1t3O17q6YLkwdVwgO3dajfxBoK	56	2013-08-03 02:15:56.025447	2013-08-03 02:16:07.444005	91		0
5853	1090r09cxfizi6ceesd6ffbd38	$2a$07$9ZfG9MoQPzHNf5s5zNwhrOIVu2M86a.AhaTf3R8LrKHFoSThmgj4W	57	2013-08-03 02:15:56.047506	2013-08-03 02:16:07.642873	91		0
5854	10frmo5fd8vxej7cxk5fozz4yp	$2a$07$SZbAWGi2aqm9w9fydO3oYOarfye9aRuUbyNjlqf0.iQTQ/mMcaJTm	58	2013-08-03 02:15:56.069227	2013-08-03 02:16:07.764367	91		0
5855	10hc2ld11hmdmmxjr41b32g0mh	$2a$07$1yEDF7D5KcwYEsgeRhpCA.z2akKFtdqRA6GgVmh/kP6hUfYayAAZu	59	2013-08-03 02:15:56.09161	2013-08-03 02:16:07.913191	91		0
5856	1043ehmgp5qeko6ecaut1o5ovi	$2a$07$QqOUdG8ianhmv0JFNxX9SeV/prc.A6n94ugONrmeYhDmB53fUwzQW	60	2013-08-03 02:15:56.114524	2013-08-03 02:16:08.169995	91		0
5857	10scmos7w4vj9qo4rkbjxpqezv	$2a$07$GgNSB4Qyl.K1hVvuLrbI1OBuKW6Y/KvMCojjhyfsQ8IrFzRi.OLly	61	2013-08-03 02:15:56.137148	2013-08-03 02:16:10.928749	91		0
5858	108r2bk33y1cf3xzy9ermz82sb	$2a$07$V/8YmO3sJhGqkLBP/cTLE.SpQQiAwzAKBhCjC2L7UhojnGo5Om.5a	62	2013-08-03 02:15:56.158728	2013-08-03 02:16:14.125049	91		0
5859	10azy2aryzfhrq1o6f2lqpwqsg	$2a$07$gaBSXnIyM3I3sp6HVP37bukmNtpQH/TMEsbtzuZxy5OxErp7IeKe2	63	2013-08-03 02:15:56.180413	2013-08-03 02:16:17.147154	91		0
5860	10mcxsi2pkd92dozfmwve21ph0	$2a$07$sezMOUYrPQpLveD6FZwRLeEffC9wp7GJsGluA1IuqVJBWeiAR0uoq	64	2013-08-03 02:15:56.202185	2013-08-03 02:16:17.286518	91		0
5861	1004igt3my4ejnkfhmrntz911x	$2a$07$Bhexv3D8Ae.06IjKAWfABOGPpWsOiTtFELM/EZwYznNNQOLfNrXyC	65	2013-08-03 02:15:56.225004	2013-08-03 02:16:17.432881	91		0
5862	106vaiprn38dez8z5t6txlknpa	$2a$07$7P7/SO72bX4qG7FxxfQ.HuTFwdD1XJeqMoEsANMgMxC/PHrsZOLY2	66	2013-08-03 02:15:56.246772	2013-08-03 02:16:17.5739	91		0
5863	10gfod29dca32pmlfrp1cx38np	$2a$07$c0704W5hrU8NcdXj0t2eXuSeeH/4.6yWBKdMBKynAycwbYwA7Kvzq	67	2013-08-03 02:15:56.277378	2013-08-03 02:16:17.716262	91		0
5864	10sx7dliay6c6do4nhz2yh2dsy	$2a$07$HC.fUBZSnSXbyjJA30t58uhKJ2GpW.oKZe8itc9CYhskII8hcuYUu	68	2013-08-03 02:15:56.301385	2013-08-03 02:16:18.002952	91		0
5865	10f0x3dynk4vyea5j28w93hvwh	$2a$07$53HqYH8GReOUyHc7nnvrmuk7cl3g0BIMjXIxuNh/.wWlbEc1TEbkC	69	2013-08-03 02:15:56.335709	2013-08-03 02:16:18.282003	91		0
5866	1095xkdq6mc2se53jijn8kp3p3	$2a$07$p.QmJvpF8Cout9GX94/pz.GYnCmURtGuX21UyUbo5CME4nr7Zu.Rq	70	2013-08-03 02:15:56.362968	2013-08-03 02:16:18.416307	91		0
5867	10we526w256j5m7vfno6dtp0b1	$2a$07$CG1rPbNuePUsrPAzZRh5HOLOTRmExe/LaD7.TJsqFRA3NprCIXMva	71	2013-08-03 02:15:56.385018	2013-08-03 02:16:18.586724	91		0
5868	10limwfn53jelod17qlixylafk	$2a$07$2jvv.8X5EYXdZm4VbuL4mOEzg7IVVEJDO4cBx9TKKEmlBxFXiVUaa	72	2013-08-03 02:15:56.40703	2013-08-03 02:16:18.756326	91		0
5869	10meqcxzchycyoz3nr26d6blvs	$2a$07$DxgyUH6btlhL6b7Dow2SUO.WP29svikl9k3aGh57T7LGSsBgk1kSO	73	2013-08-03 02:15:56.429009	2013-08-03 02:16:18.893739	91		0
5870	1054pjqom98q0fz8p766kx6y52	$2a$07$H6qJIkTuqwIBWNgsWxjKle5Cc8QHgWzBfTlG4Dnk2S/Iywcux9c3S	74	2013-08-03 02:15:56.451542	2013-08-03 02:16:19.033705	91		0
5871	10ww0nic5tregqwpne90ucbsos	$2a$07$.Ms539fw8WymG.2sBmj07..GJWj148iGnfEX2ReXngk5BtlsSfh7q	75	2013-08-03 02:15:56.475371	2013-08-03 02:16:19.164864	91		0
5872	10ti1t5y08bt5cgmmy276rf50k	$2a$07$h9ZKFeF/QE7sGbXftlG3OOABTau76c/N4G5pc5WbivhEdWeqD08Qq	76	2013-08-03 02:15:56.497419	2013-08-03 02:16:19.558499	91		0
5873	10pr8g7tvn3u5wlo7p8qwfoui3	$2a$07$.SSSISvjsoc3lsfttdN4o.mMGR7yVHNlV0/j1049GEg4pfOhJ7Bmm	77	2013-08-03 02:15:56.518971	2013-08-03 02:16:19.880831	91		0
5874	10rk9vxx1lmysduah8udgs9frv	$2a$07$SAccfYFBVjrwSWCw5yc7ueW05vQI710ewBEKoFRCwtsmzEPp6mruy	78	2013-08-03 02:15:56.540723	2013-08-03 02:16:20.239976	91		0
5875	10qtgn83gwuf6pthwdldcmulfv	$2a$07$R6oYCW3fikAIuNyzF1LmF.LTRMoFpz1VtU/L9cIh9ICtQqEhYB.92	79	2013-08-03 02:15:56.56228	2013-08-03 02:16:20.363971	91		0
5876	10di4vb4ufb2rtizjo8qel82iw	$2a$07$Rj/.gmB0L9vkjbWxIVkFxeP3zaKGxOCvrKWiAHKpsZXLGQSm6pCYK	80	2013-08-03 02:15:56.583672	2013-08-03 02:16:20.509888	91		0
5877	108q0jt0eg9dq8azbfr82lt7ke	$2a$07$ZzV.7S0RxxLNmh18iFXTc.Pt9b31kbAPFI6G1PBUA4U/Wrk6fpAh.	81	2013-08-03 02:15:56.605131	2013-08-03 02:16:20.743697	91		0
5878	101z9952ycyy21k8gny02h8vr0	$2a$07$TIV2qeLi2FSy8JgkefecJOMfXQohG5xPmNRU/wb79FqSv6k6rRfZC	82	2013-08-03 02:15:56.626816	2013-08-03 02:16:20.99094	91		0
5879	10s6awa5qublimlq2a1walcn31	$2a$07$sU79uDrXeivVpOmnk2c.hOalCWOKJL20zCWCnzT9QXfHKBiVEey5K	83	2013-08-03 02:15:56.649151	2013-08-03 02:16:21.205476	91		0
5880	1066qpmxkmapau8zmlxnc4fbjj	$2a$07$dnIYgSLiGjiTniUJhN03luCPEWvPgLm3ejLxehp5M73i83f8neGUi	84	2013-08-03 02:15:56.670588	2013-08-03 02:16:23.920164	91		0
7225	10y2tgf3o6p60j9lft86am6bwt	$2a$07$7T4DTop.TTjQTmRXLbqDiOU6JY3P6rE5zJ.jedx2lcCpHYC/vbQjK	1	2013-08-03 17:34:33.508827	2013-08-03 17:34:35.986368	109		0
7226	107aujg93ojccbhzfci0pvriwz	$2a$07$l4csMrwpxyJ1rsjkLNO23egmKYlVX2ryogyxjEyq4cNgC1YuUNTKC	2	2013-08-03 17:34:33.533193	2013-08-03 17:34:36.426167	109		0
7227	104lydpeypufwrvdf9jy9qc3qg	$2a$07$gpJYVquEdEZ94x9FEZDOi.ZmKMf4BTWsUTugpSvnFS2g7vWOS88YW	3	2013-08-03 17:34:33.554938	2013-08-03 17:34:36.87138	109		0
7228	104gd2by7w4jmngoizf0878h9a	$2a$07$EzMVkQ6BlSGZ2OReJeARC.3cSc1SD4gQTkJSZczgmnIUroTmiu.Ua	4	2013-08-03 17:34:33.576838	2013-08-03 17:34:37.006267	109		0
7229	10dlqwzrizvs222h5t6ir9qwd4	$2a$07$Y6ClZf0ltm7IuLCEx5UUfeBMKUNyjzfbHaGo1wLcH2vUXKt99HbKq	5	2013-08-03 17:34:33.598408	2013-08-03 17:34:37.151506	109		0
7230	10wup6zbmtrdxuyagtrgmbwm8c	$2a$07$67PQyGaLLJWpeRc7fCLK0.u5d96EPbZo1XUr5C0ulIShpWsHhgn0m	6	2013-08-03 17:34:33.61987	2013-08-03 17:34:37.309641	109		0
7231	10j3kk2zin5lb56mkf470v05mk	$2a$07$oNsDEzCOk0fAJ5SbmqKeCepi8p9eH35T8uT9TKeElqJmTWRv3/sBq	7	2013-08-03 17:34:33.641938	2013-08-03 17:34:37.65991	109		0
7232	10pyftpwrtm8eejml9ncc7o4nr	$2a$07$AYha5M9bavz9M/z35J1yE.YsVdLijA4g7/qq6iYa3ELW.fJRCkAr.	8	2013-08-03 17:34:33.671929	2013-08-03 17:34:38.077771	109		0
7233	10icpw9smu8t7vzkk260557uar	$2a$07$CEWvdwxCL3R4CXAk4pJgWOj5f9yR7kSCMtaaZ16D/ZYpk6jeZXum6	9	2013-08-03 17:34:33.693576	2013-08-03 17:34:38.414902	109		0
7234	10dhntedpi60kdzl4hhbft8enl	$2a$07$5IPbJL8lcdFv0K3rGiP.LuouOESDABkKjn0BLdAzaxI0NzwisETHS	10	2013-08-03 17:34:33.716869	2013-08-03 17:34:38.555917	109		0
7235	10wfitck7ecp30y79ztpez6oow	$2a$07$BWVBG3.H8gq4DTuwMc.k4ebgLw2YOmO.PLX2Ht2ienme920uBMJUC	11	2013-08-03 17:34:33.742393	2013-08-03 17:34:38.691615	109		0
7236	10h074buhuar1dflzs4v5h4n4k	$2a$07$5bTvqohNrCltPKgDn7NxeOR3fyb7uEDuAHbTYiRLQZMN43nQnwFPm	12	2013-08-03 17:34:33.763973	2013-08-03 17:34:38.81803	109		0
7237	10magvu6f3a0pw0dossy63r95d	$2a$07$YhZeeaHuznAi4warcAR4Ie8O7tbFO5tgBncBNuncmz1hpcQlmTZHi	13	2013-08-03 17:34:33.785739	2013-08-03 17:34:38.939642	109		0
7238	10pr9k51s4hpcye7jb26pxyhql	$2a$07$yaX/NoCDukREpEEXizbzwOdhWZ3KC0gkhXYSBsjwRQGzI6YnWZ98a	14	2013-08-03 17:34:33.809112	2013-08-03 17:34:39.069658	109		0
7239	10uzwvje6ow3jfyvnh0edz3ofe	$2a$07$0bFfCTE/JJqbTu5caGxoI.GJu4pGK2iGupn8R26cA6ghJZacdfLWO	15	2013-08-03 17:34:33.832296	2013-08-03 17:34:39.18251	109		0
7240	10kbtvod66b4yqpbiec3znmy9p	$2a$07$wAb2ZQ8DnlzctXsoMfgh0Oas0avt5SJ1W6MpAvuIbR5zRHnoDPGZK	16	2013-08-03 17:34:33.854063	2013-08-03 17:34:39.288039	109		0
7241	10t3ktxy7i34jq6rgzp4pedqcx	$2a$07$AsbSfsM1fXtvOYZAj6z4h.atf8zjzf4xIvEvVOPXUkj6axWxoIbMa	17	2013-08-03 17:34:33.885601	2013-08-03 17:34:39.412137	109		0
7242	10e1hz22lhzwqc210io84395v1	$2a$07$w1JiLEPWlY.AgjvmQhZToujpHtEvI6E2xcUjkWYKrXRu0cHoVWfzG	18	2013-08-03 17:34:33.921087	2013-08-03 17:34:39.554048	109		0
7243	105eqmq4ydo1mdjfdnsza4kk1g	$2a$07$GjNOCAhg3fZZUT.3JJYKQONpA33Yn4mc/sfgQDr5Wo8bi/RRBzRR2	19	2013-08-03 17:34:33.943219	2013-08-03 17:34:39.6954	109		0
7244	10aibvhvcmg4fm9cd2v2gte9zm	$2a$07$2XbNikkkXSJrwfuAEEHKceZ3yDS/9Yg3WpztqAYTkAbzsimZIW.za	20	2013-08-03 17:34:33.965957	2013-08-03 17:34:39.817098	109		0
7245	10wp08uf8hw3u32pxxhomnyypi	$2a$07$w8u7/2TZazS4mvCJnMwGKOAkOgxrRc5cAW1ao3LbEMUBQLLOEE1Ee	21	2013-08-03 17:34:33.988676	2013-08-03 17:34:39.928543	109		0
7246	10roge3lz5h8l4sj4u9no6apkz	$2a$07$2SgBM2FxUyR3S7IGuF8bxuI8oiXukqJ.fSwddkiCCFM/utEB2WRWu	22	2013-08-03 17:34:34.010619	2013-08-03 17:34:40.063271	109		0
7247	10o3jgeqgr3rc9t0kbmolafmon	$2a$07$ZW9GWi0au4ScmwN6a9ht7uv74VMloLo8YnVayVhWJdGqZA0F6kvsC	23	2013-08-03 17:34:34.033496	2013-08-03 17:34:40.168504	109		0
7248	10e5ecqngz3lirt8c7v94a7q3x	$2a$07$uJC3v43.ZD4onTGGa4hWQeuAahg8DAXO6m4oN/fNMuUVw6KbFcduq	24	2013-08-03 17:34:34.056727	2013-08-03 17:34:40.294705	109		0
7249	105pufc49kj177vj4hs9s4unmk	$2a$07$Q.Z9ELKvzZWrVSj/M03yT.JuM6heCXyE5CpG9Sr4tHVc7RUObkESa	25	2013-08-03 17:34:34.081669	2013-08-03 17:34:40.413232	109		0
7250	1050jnj1kzqjrx9qk8ctourppk	$2a$07$tIy1v6wqfKGbeRbUPR7Wk.SFui73cCqHogTydNpMNutPx0l3.JN6S	26	2013-08-03 17:34:34.111363	2013-08-03 17:34:40.543867	109		0
7251	1014nohsqyjnp34yp0et1hp39f	$2a$07$c7Tc5bdVOHQ1ZEaH04ufx.E6PhgZEPMjyddntF4WSHE10DusSfVmG	27	2013-08-03 17:34:34.14913	2013-08-03 17:34:40.682461	109		0
7252	106z0aunase738qx13wpkn0jtj	$2a$07$Py3rdiWBMuNLspXcgfRfgugZtwd.U5WXwUsuWidFUkh6WyvRWQnX2	28	2013-08-03 17:34:34.18464	2013-08-03 17:34:40.808526	109		0
7253	10w100ql4ndnu44csltdt4dzrm	$2a$07$lhpgem7GxkcUAi7QaRRw5Ocq7KRhmkS4CBeKJe2UTO.PJaWOZ1iCO	29	2013-08-03 17:34:34.206076	2013-08-03 17:34:40.939016	109		0
7254	10v1l19c627vlnamnxwvisv4j1	$2a$07$pj0yPmX9TbLvjCR3G5zrHOeT5kv/zgS/nyBo.0/YKlvlr5kIqQxR.	30	2013-08-03 17:34:34.227709	2013-08-03 17:34:41.051716	109		0
7255	10i9prmtyfgk2kuwouwotfqq3a	$2a$07$7IWZEykLjAdwC46.sp0Ts.k5gJxEOJ/B./tHnY3j8z3xCOhjMmANO	31	2013-08-03 17:34:34.250161	2013-08-03 17:34:41.175878	109		0
7256	10g9pvj9nh5hd7sa7wacypzewx	$2a$07$4PO8SeAqYbpu/KMxryk9Su5WJe/0GN111ri4CdhhEBzah5DIpVffO	32	2013-08-03 17:34:34.271602	2013-08-03 17:34:41.294261	109		0
7257	100r8kskvr8z2r2lusl3eyjjtp	$2a$07$xvEhdYkmuvfu7iIEKBTAx.4r/YNvt2s1eRkxbuOni36OinP13PLKq	33	2013-08-03 17:34:34.293148	2013-08-03 17:34:41.429459	109		0
7258	107jr1vz7o04bduzntr1d04bg1	$2a$07$3Ly1sYuSabw8BL49iZIPk.vMzsDgO2Ev/xEQVklveghr.eQKE2qL6	34	2013-08-03 17:34:34.314769	2013-08-03 17:34:41.563524	109		0
7259	10asdwvfmo7yeacoq72ea7ozf5	$2a$07$aH9oFvAq8sEy8kqrnWwJFuPG/Tls0fXGFk/CsEtVNmY9oh41xVN/O	35	2013-08-03 17:34:34.336205	2013-08-03 17:34:41.695164	109		0
7260	107yy25wl3uagmbbo19gsw4u7x	$2a$07$mds3BJowmOG0oLXvQy9SG.3XU8o6DgS9jMcik6g8I6BsUa2ggld/W	36	2013-08-03 17:34:34.357828	2013-08-03 17:34:41.822741	109		0
7261	10zuz02empwlmxca98kqh1wxfi	$2a$07$bQIsP5IB9jjgK3oXxzfBOO0qDuv786qOiAiAV9SsfWAkXw8t6RRkS	37	2013-08-03 17:34:34.379374	2013-08-03 17:34:41.936236	109		0
7262	109gqwiiko7v05p1iig4hslq9h	$2a$07$mqr2./YR50pZRfiQzSQOpeR29qTl7rp2GjmmUYtytqGTd2M72PsWC	38	2013-08-03 17:34:34.431212	2013-08-03 17:34:42.056901	109		0
7263	10mawgverel04lgf39bm9kwf25	$2a$07$uGtzOpXhv.bgLVn4L50iDuKH1/ynbTP6opBfLReBh29gu12GPJckq	39	2013-08-03 17:34:34.461118	2013-08-03 17:34:42.197737	109		0
7264	10kjopsju5dgzmlrgkbfapjloa	$2a$07$HCoJCDQd0cmOk79VV0Q7l.wrXTnbIjMztdyC3W1SWYEH5SSSukgQa	40	2013-08-03 17:34:34.49337	2013-08-03 17:34:42.316222	109		0
7265	1027hon32uk84t659c22dzpzgb	$2a$07$0PSUSjhoDe.OKYtAzVpuWu.PFHjoMBeZz6ojugaRF2HwijVdt6w4y	41	2013-08-03 17:34:34.516728	2013-08-03 17:34:42.450045	109		0
7266	10i6rbdsyg8ke577mwg015y7o5	$2a$07$8l0eqZ1PDf6GSD0NWcCiX.7nyy08xFAxPWg1KSJyePCxrluRXwL8G	42	2013-08-03 17:34:34.540506	2013-08-03 17:34:42.582053	109		0
7267	101jkfii9dn64giaiakieisr70	$2a$07$FfcY6TltO47mxE74IFO2M.oDT0LZuf4Oq0gh/XfF6AybtQu4IT4n2	43	2013-08-03 17:34:34.564005	2013-08-03 17:34:42.757435	109		0
7268	10fj00fxudc9i1hn8jzbb6nyi0	$2a$07$/QLxDFICCgUfMwQCvXvI1uFy8SoZN/hswmKLThU3e75D/VsZpNS1u	44	2013-08-03 17:34:34.586229	2013-08-03 17:34:42.888038	109		0
7269	10zae499pb3q340kzk08mz9bly	$2a$07$/nboLvUSvS5YWGldR1jjF.8wln4VUKTadqZOCNvZwtMoub34LdVgG	45	2013-08-03 17:34:34.607642	2013-08-03 17:34:43.02872	109		0
7270	10wo1aiyeebb3qyzzmbs2e387k	$2a$07$0p/4uP1h6bdcn8IM76CIhepebCeX9m.xMbalkntDY7.htaJ9nAvwq	46	2013-08-03 17:34:34.629295	2013-08-03 17:34:43.173604	109		0
7271	10ymf0uor5zibpq62153rnwtob	$2a$07$0xuBf3.QxHtZEOCp4yCWW.rzsqV90tmVIiUwyhvETZ9TnSUKrJH3u	47	2013-08-03 17:34:34.65156	2013-08-03 17:34:43.296935	109		0
7272	10g8cy2093obadchb7ew2g672g	$2a$07$1JzVVzUJOpVlGNPajD9/Euq6Pahr1dZvnm/.xkPfIl0WPJuOI4vOu	48	2013-08-03 17:34:34.674841	2013-08-03 17:34:43.445551	109		0
7273	10hvlzd053ldvyu3mo9zh2ifu5	$2a$07$8Bca2/fRXgQII5bwF.c9Reo6/J1fJe/UVO4PrpMpQM8G65m.Uh4/C	49	2013-08-03 17:34:34.696417	2013-08-03 17:34:43.584768	109		0
7274	10dho02trmimv9xm78qacylr7f	$2a$07$guv2AuUD76A9YjHPKdT/KOpBeFYboEEb9FzJMAlMqc9DAZnDk7LZe	50	2013-08-03 17:34:34.718837	2013-08-03 17:34:43.702856	109		0
7275	10goidpk6pyunztfvy795ae71h	$2a$07$jbmcXVseC2UiR0fyQth1V.uGgfoa03dJkLy4m1Z5Y1ia/x.VSPiCq	51	2013-08-03 17:34:34.747753	2013-08-03 17:34:43.833587	109		0
7276	1060kdsbxntihmh0lwtx102wwq	$2a$07$.M6YKmZhTHHgg4SFN4WqdessHp/OEHsZFxPDViwcWhhbEUaTQaohe	52	2013-08-03 17:34:34.784686	2013-08-03 17:34:43.973188	109		0
7277	10hd2ejvhu34icb7cjnc8mpwnj	$2a$07$vkzvgpFR4V2ylzEXp0M92.C7BaB.5RfIREUkpUcXceE8po2s6VVDe	53	2013-08-03 17:34:34.809031	2013-08-03 17:34:44.126246	109		0
7278	10min16xvuoqnag006dueepfta	$2a$07$x.SCxHjJRWDH.n8V2aDrleRVfe5FT1asWbDIb8VOG5VvWAWRjV566	54	2013-08-03 17:34:34.833078	2013-08-03 17:34:44.25698	109		0
7279	10j1grjygettkd4txxxrbg2j8v	$2a$07$ATwT/otSI3khhw5gPAifdOi5d18E.iIC0RFHwYv/KkbC7mJae7Ghi	55	2013-08-03 17:34:34.856346	2013-08-03 17:34:44.367241	109		0
6889	10znia9k40akxy3w8enondepxr	$2a$07$jycUCqVgn0GBdwJjCgcrAeNyAdM3O4ryunu4rFvKU9GLGi3dIaCyK	1	2013-08-03 17:19:59.041738	2013-08-03 17:20:01.141187	105		0
6890	10lpm96lhgqf485j95zu0lev1c	$2a$07$2vQsBVeDv4kE2wFZUQlGke8RYhj/NBwGt0WN9rf8XPa89IRsE1ITy	2	2013-08-03 17:19:59.07485	2013-08-03 17:20:01.269784	105		0
6891	10lwdf2by7gqjlshk4y9vto12g	$2a$07$nI1saBwIYUgZd9ZBMa/Jku5yx/zdZnW2..dv9NDO4/u629lf6AZtm	3	2013-08-03 17:19:59.096311	2013-08-03 17:20:01.389922	105		0
6892	10vwqif1js4ounie0aqxacbshq	$2a$07$4iQBGGrkB30sMg1dUUszSOB2E8Nl1.FFZHxInjiU87G2bZUTZxBd2	4	2013-08-03 17:19:59.117703	2013-08-03 17:20:01.523677	105		0
6893	10elcmd1ha4dmlyx65i35ujf5i	$2a$07$wFjQC6NVz4teokfqOq6MxekOzsfYqAyR0EcAYs07bGLfeZJg8eMdC	5	2013-08-03 17:19:59.141748	2013-08-03 17:20:01.666951	105		0
6894	1079b5z9qajijmtx8p6o5hsigl	$2a$07$HHEzFQo6k.o5nXyZp7gXkOP/nx6.8sBx4fpxVtvJkpsmFe0jflZiy	6	2013-08-03 17:19:59.164519	2013-08-03 17:20:01.825003	105		0
6895	10uhlsw8i1k3w8sqcaq51xeb9m	$2a$07$WNeXYC515csFjntsx0XtJ.RIm30HeBBxOVikAllCwgabEJkH0rCC.	7	2013-08-03 17:19:59.186271	2013-08-03 17:20:02.20997	105		0
6896	10su65jt005qtqjh03n2uya3h0	$2a$07$5zEbnu1yqanX4YY8S4KOtOmpCn8HGR9Xd5xMkD36H6bq77GEc2Opy	8	2013-08-03 17:19:59.207835	2013-08-03 17:20:02.602145	105		0
6897	104zohis5dn2z9rjxc7mjad1a1	$2a$07$nPwSxkQJIMaBhcKi4okuEu.eTtK9A2iE9D9sbJX1yqQBDza4GK6uq	9	2013-08-03 17:19:59.229485	2013-08-03 17:20:02.957856	105		0
6898	10krw9ken5u2psaw5kpbdsxpjq	$2a$07$KcU343FG5INO3jWvuXvlGOB4Dz.hU1YMvj6EMCFBRGcpD/UJDwo3q	10	2013-08-03 17:19:59.250924	2013-08-03 17:20:03.266033	105		0
6899	10wblby0udhm1ypzrrrh9dyxo5	$2a$07$ZCcghoJUz1z2imlK9d0ZNeP6AtXDLv7pwUTZ9Yd2KtOU2YPjCcMIG	11	2013-08-03 17:19:59.272927	2013-08-03 17:20:03.396655	105		0
6900	108nz1uqz37j6w2k9zphjo26wb	$2a$07$0I3/mtTHxCA85GEpUOkZcuzhc0ryp1ce1YcJ6c7aX0d3oFx9n.5DC	12	2013-08-03 17:19:59.29437	2013-08-03 17:20:03.583339	105		0
6901	10tc4m9xuyfdl1a5feg861oxse	$2a$07$d04/XDk/o73VJVwtdkrHbOTmt1ebDy2.cUg.0znYjhbg.4PC2N4VO	13	2013-08-03 17:19:59.315823	2013-08-03 17:20:03.794194	105		0
6902	10hn9bc9odb8lqj4tg9wolhrk1	$2a$07$0vptglEwQiZutSaT4hME2e68oxFPKvQndx6rV58e0cB0BlMs6ocGK	14	2013-08-03 17:19:59.347972	2013-08-03 17:20:03.945661	105		0
6903	100rtonebhlpu8a1nq55shdbe0	$2a$07$QckJvGSkQ3KEnJkN5IRu9OfFKCgBBVVu/.Zxo7l5a/WrbeKubQE3m	15	2013-08-03 17:19:59.371743	2013-08-03 17:20:04.211634	105		0
6904	10nw0542kjaos73o6fnztu4t93	$2a$07$nrqOMeJ1bX73f6HbBaKi1.CHE34KiSLi6AhB8FzgUeltCNIj/TiEe	16	2013-08-03 17:19:59.404845	2013-08-03 17:20:04.445154	105		0
6905	1078n5zs11bedmz06rsf0mg9hg	$2a$07$IzQ1YOuQxopCIpQTHbHUOOKDt26p0kYJgpFFUC.zHQE8jBY4t2lSa	17	2013-08-03 17:19:59.427991	2013-08-03 17:20:04.737892	105		0
6906	10inzz33r74bfiyw335gu1vhy6	$2a$07$s5z6CAYixGdZh/oisQSIG.ArpPfVwkSRZlwHjGb84QQoVlrQ8tqEC	18	2013-08-03 17:19:59.450132	2013-08-03 17:20:04.879183	105		0
6907	109hdmccfuc9q1rgpqv4rg5wjp	$2a$07$au8AeCT4Rqx3ViF2BjvlzegqpvTD/2bi9EQRCgn5TJx6Z097VKLFW	19	2013-08-03 17:19:59.471806	2013-08-03 17:20:05.250103	105		0
5881	10mr46lkkb0fz1i1vihmtfr23g	$2a$07$VDUmpj9BQ.ke5tj72L/P/.aDT7428fZ5SZw4zhj8Q/a4gi07pvR0a	1	2013-08-03 02:21:15.922135	2013-08-03 02:21:18.031368	92		0
5882	10uzatagsa5q77khozk79pfk19	$2a$07$LQa5FoHSbYP6XCjREiuAbejEKxI3R8.5wIREOJk7dwh7I7wErOGGS	2	2013-08-03 02:21:15.945809	2013-08-03 02:21:18.183737	92		0
5883	10qn0lhw8jo1t2f6jk98xoklkb	$2a$07$7yLxU6MgFMlk2zdbWv8lAereqwTkr2EMmjV9P2Y9ZUZovV1UUtsta	3	2013-08-03 02:21:15.979653	2013-08-03 02:21:18.318134	92		0
5884	105qk0ec2jyfet3bo1fdyvjdxr	$2a$07$qskfU13WvvP6rywVnpMgzuWKX93Y98PlTpPqAswaCuN0qSAg3aPq6	4	2013-08-03 02:21:16.001891	2013-08-03 02:21:18.47218	92		0
5885	10vzsagg7t5db2srtt58mgcfzw	$2a$07$PNORNPgoGCbbetiBLh18pOLeZtby.DozdOpgaT53S65u/0vSwSg/O	5	2013-08-03 02:21:16.032817	2013-08-03 02:21:18.614967	92		0
5886	10tezjzr3rtanrx335d1icawit	$2a$07$jsWTdO3aPpCZ0bz2Z2XMxuUzeDZ2rF.Bhh3LQOKYEosi13/ztvmjK	6	2013-08-03 02:21:16.063931	2013-08-03 02:21:18.84754	92		0
5887	107oykb1wvvj55sly61svf7i3u	$2a$07$9D1yABGPzsuIhW96PiRoAecIbejYEF9rQwz8bq5Jo/2FQGrR1WSAq	7	2013-08-03 02:21:16.085876	2013-08-03 02:21:18.994231	92		0
5888	10yft0m0fxnglaz85l327dxxka	$2a$07$ZxOyl8HnQuFNHGgL38D1M.tAVHNCbEVM1/hpFc2JuBxA5IEnHWNqe	8	2013-08-03 02:21:16.10737	2013-08-03 02:21:19.13238	92		0
5889	105dv26gs6853y06s57wv45gzf	$2a$07$DF961hN8c8urLZoIEHiHZO5PvFsKHMxL2IDqZKF4p2ds0P7L63MO.	9	2013-08-03 02:21:16.128929	2013-08-03 02:21:19.271323	92		0
5890	10parainkogokfrjyrsaluhdxt	$2a$07$/21hQPvREM.cpT0Vl6N1zOsMJzz3uA9EFA1DptkNOxy6.xCa58HyC	10	2013-08-03 02:21:16.150539	2013-08-03 02:21:19.40939	92		0
5891	10sagcfm9ha7tpt8nwmdk3wu48	$2a$07$xDNGw1vhmXuBN90Q/9IDSOTNjkTSvXwbUZN3JDQQbczpw0sIKr5Xe	11	2013-08-03 02:21:16.173166	2013-08-03 02:21:19.53785	92		0
5892	10u8hjdu64hqm0of7ppqo0dacg	$2a$07$VfxkJuYxIRGhx7Fnjas6LufBu2cYlQqK8HDP5tEG67K241oMrEUju	12	2013-08-03 02:21:16.194774	2013-08-03 02:21:19.665782	92		0
5893	104pvajq2k2naazfnrbiyyozvm	$2a$07$LLEC4hJ8tcvmqrP/Y.FGiOtAdN1j9Aboez1BRinslZr5RRATzWsaK	13	2013-08-03 02:21:16.217153	2013-08-03 02:21:19.850761	92		0
5894	107ich41581c5oylneawmbxs4l	$2a$07$.RWX.Buuq0El0PAaPU.K8.rwmKXaYgzst0xZ7JV/Rz07ZY62KQP/W	14	2013-08-03 02:21:16.238877	2013-08-03 02:21:19.973327	92		0
5895	10pn8yxeby4chnaafos9x93dxs	$2a$07$hsgTiNrtDonPM5gKxhlBlOi8yY2nziZO.8NrIumpujE0HsJodN4O2	15	2013-08-03 02:21:16.261361	2013-08-03 02:21:20.096682	92		0
5896	10pjsy33hq3qhou73iv2tyuktu	$2a$07$X/DLWCx8Q.JRLJjw9dMP6ec5dDc2fy2JwHQzBzARulFoEwlIIgagK	16	2013-08-03 02:21:16.283017	2013-08-03 02:21:20.235794	92		0
5897	10m20u8bkfy8yr1fxbuij707t1	$2a$07$cIRGu2.DCPxaXEoTEi3Ur.k5nxln.f8KVUJGzqi/z4YFKeLrM4R1C	17	2013-08-03 02:21:16.304402	2013-08-03 02:21:20.484476	92		0
5898	10v0yr2dvc6k4qtsirq6ckxj3r	$2a$07$o7aua5eolrZQhVHdOjOQU.HEB0IshebLg3fz4cWwUX54Y98yQPFsG	18	2013-08-03 02:21:16.328811	2013-08-03 02:21:20.736416	92		0
5899	105aq6i3mlk02zjemwaoqlm2s4	$2a$07$UTfTg73KOH4H4F//m/U43uhFqbs5Wkh7fe3nF/jo4uWhYdqGsSR2.	19	2013-08-03 02:21:16.362135	2013-08-03 02:21:20.990367	92		0
5900	108iz205dhhlsn2sk03hlsq9kz	$2a$07$c/vx9dOsK2EoP9tMwjhtvOCaeiMlWLmuQ9LBBHcKwLHQ0Lvhk3vxi	20	2013-08-03 02:21:16.389074	2013-08-03 02:21:21.266207	92		0
5901	103ec19vphekxg6r1quv9wr36b	$2a$07$oSepvUdGSXMXr93d0.uAVOT4M47l7fUqVW58F5M9j4C94CgUJSFRa	21	2013-08-03 02:21:16.412127	2013-08-03 02:21:21.422026	92		0
5902	10o77ko3ospyy0zq3waupu0018	$2a$07$3AcCKRwzkqJl0nl/z88jAeX/aXgLq7/YkEB.yWvvHzs8iUyxb8X7i	22	2013-08-03 02:21:16.434688	2013-08-03 02:21:21.818969	92		0
5903	10qe9nqj65gldteyuqc1ciwuyv	$2a$07$rnaFU0Y/fGu8dy.xZgzoPeAFm6P7091YWzZSxwT5.HD2SkzUFGGZy	23	2013-08-03 02:21:16.45662	2013-08-03 02:21:22.18842	92		0
5904	10ly6anmt2g5wcpok9ryuxfai7	$2a$07$MD4kbdHOsG.acaBBtPtE0e4rNb5TAHSKmVXtjc6emHF7jSXHR9BD.	24	2013-08-03 02:21:16.478535	2013-08-03 02:21:22.564384	92		0
5905	10fj8maoxob6l5m3rns12g6way	$2a$07$O9LwwuC3B.Zv/Gn7DM4CkeIRy0UEckeTL3D9P8bJR7CMHOfP4xffC	25	2013-08-03 02:21:16.500459	2013-08-03 02:21:22.747681	92		0
5906	10ggihzq539pu8i112rjd3dbyg	$2a$07$rgsK1ajLtbLLtlWJzVmnnu9amUKGznGhBXl8w1KeyntIYDZMkqcHy	26	2013-08-03 02:21:16.523551	2013-08-03 02:21:22.853235	92		0
5907	10xk7vpm2lgb6wexhe09vgs8sf	$2a$07$75Yh76JqO74Vjz40c8bM8.TpuwIQus6nc4uyZaIX/nJCPi5iza.a2	27	2013-08-03 02:21:16.545905	2013-08-03 02:21:22.988508	92		0
5908	10tcj3bjaahn9aaxgkbnsms6my	$2a$07$Pv4e3rkpjfWdfOLGbgSQCeTF0WjncRpa48jQ3EuvYcwIPPAn8/5qy	28	2013-08-03 02:21:16.569299	2013-08-03 02:21:23.095972	92		0
5909	101gd299m10tsmzvu9uk311kbm	$2a$07$gAaKAMgOgX2.v9qq8S4IpeMi6BtareOb75WcEbc6sgyPt/wgdXFzu	29	2013-08-03 02:21:16.592019	2013-08-03 02:21:23.218082	92		0
5910	10bm9fbrbkvk0wq66xtcftdgsk	$2a$07$Ax2luy6bscPxvkbIvb27MuU7ARD0ikBu5P2V64atgLxjEmEgKpg1S	30	2013-08-03 02:21:16.61476	2013-08-03 02:21:23.35979	92		0
5911	10bjvcub2x0ocdd8mw4nn4stcl	$2a$07$K/qepqVHzgaunxFBX5pj8uzdEPgj3AoiQYzYJsG3t101.csXaiWPi	31	2013-08-03 02:21:16.637575	2013-08-03 02:21:23.541715	92		0
5912	100fa6okgietwxgjh88s6y6hhy	$2a$07$W9ORa2a730iI4YbQ6DAFnuaWJ8DOotVohn2xOzCITj/hBFXTBqvTS	32	2013-08-03 02:21:16.660391	2013-08-03 02:21:23.865523	92		0
5913	105q21pd714i5xkpyml931ti2i	$2a$07$eW804tCSdUvR0J.n3dRlxudbDuwRMBPLJBwCyQ.NlPX5ppSOaAtYe	33	2013-08-03 02:21:16.68315	2013-08-03 02:21:24.16511	92		0
5914	10540heeqc8ob4g3izlugdep59	$2a$07$n.9lvzge9QvQZVTxraZcA.FDIhE2OorxRkg9e2yLtwLF9lxOnLE8q	34	2013-08-03 02:21:16.707183	2013-08-03 02:21:24.311002	92		0
5915	10ibyfg0g2ogenqr64olvtlse3	$2a$07$TSBa9/qxm2ud8Xkfo/CVn.tOXFar6/TepEueMarDmUR8gVpvxoT7G	35	2013-08-03 02:21:16.730863	2013-08-03 02:21:24.465374	92		0
5916	10cf4ayzm4df1px43nszuiw1c8	$2a$07$K4oVJYW8Qxeayc8cbvI2F.w3BlTh/9Sze0CwhhxY5RD7.DWtdLqUO	36	2013-08-03 02:21:16.753189	2013-08-03 02:21:24.599514	92		0
5917	10j9odnl6s37xsukfiyks3hohd	$2a$07$nh5N3WqoZYWH8fFK/tKNeOkk1rJ/gz2tZkjg2MqV4YFZ4G5mROAPa	37	2013-08-03 02:21:16.776419	2013-08-03 02:21:24.801308	92		0
5918	10a5mwuj2yhvvoj8cz36wjlc0b	$2a$07$Kj6pL6j2hoAFLtT5n8eW.O.lJi9U6E4xUIykKvXpdnDbAC8XBdEry	38	2013-08-03 02:21:16.799937	2013-08-03 02:21:25.171111	92		0
5919	10o65ihb08qekidusfcl58c8z4	$2a$07$vPPRlCpWYK0UA297cKVmSeNOHaJIeMJ43orfcxpXKQPlHGBbhT.q.	39	2013-08-03 02:21:16.822732	2013-08-03 02:21:25.678935	92		0
5920	10ms2nmon3vfazsljz7rfdq565	$2a$07$twjJy15.50XRKMDwMGPzauxj592W6ukSUMsj/FnBkTKmz1l9Hqlh.	40	2013-08-03 02:21:16.84567	2013-08-03 02:21:26.038153	92		0
5921	107zdgr0pgail8me2x8e8wpvbt	$2a$07$FgZ59NdJEFAh0rAJQSq1A.LnqfIIXiZO5gPSb2sbuHFGEHZ6PVrES	41	2013-08-03 02:21:16.868191	2013-08-03 02:21:26.387191	92		0
5922	10a6hepx8aeha90vccqy5nqw5h	$2a$07$QFp/OWLmyrLlric7878WQeeDpKqwbGOoOK16oibOKW495qZ8bkTTC	42	2013-08-03 02:21:16.903912	2013-08-03 02:21:26.795527	92		0
5923	101ru9hzupsrv9nbadczbd4850	$2a$07$v7pxurAOIPVHk19sNmPiH.BnYZW1auHW1jEhKCgdelWxx7B1Jt84a	43	2013-08-03 02:21:16.93407	2013-08-03 02:21:27.169419	92		0
5924	104wg5hhcwlt4ptl1te76n47py	$2a$07$13cFZu6Ueo6/74WAK45tWez6.GSz76sXQHlnZdk2sQ7daygoEmbKC	44	2013-08-03 02:21:16.95708	2013-08-03 02:21:27.312894	92		0
5925	100h5rvfrt95ei5xbnecvbmxkj	$2a$07$D92CCl9jf4wgAIzsOUSmlu84W1ZJS7pAUj2gG5g.GBEaYu24qhIj2	45	2013-08-03 02:21:16.978695	2013-08-03 02:21:27.596483	92		0
5926	103jki73f4aire5w2lsi1dgp5s	$2a$07$J1qIpH10.R8Q6.Ow4RnFEuVjDlB9r2IE5mghC4qLsz9WnzQsrPT4C	46	2013-08-03 02:21:17.001037	2013-08-03 02:21:27.750242	92		0
5927	10cs7oyyccvt2hbm041og8dyuw	$2a$07$JO5GL.tIhSrMsZ8BSjNJ1OOrQLWU5vHAOvUQfjgs6nayilPduKEa.	47	2013-08-03 02:21:17.023472	2013-08-03 02:21:27.895414	92		0
5928	10eewcg9gofbr8uq2g1k8s20ye	$2a$07$xT9Ux66ygzKYMzULfFZ18u9bUjBabvBfhAnYBYPpDZTrOQkiz2DUq	48	2013-08-03 02:21:17.045546	2013-08-03 02:21:28.043407	92		0
5929	103kod3jtu2f1s9hf3kqvtx404	$2a$07$G9LC5TF1ku2ZX23JbNd.DOdKDe8Dj2eEDe.Lef9Ox03Gh8mO13m/O	49	2013-08-03 02:21:17.06841	2013-08-03 02:21:28.201117	92		0
5930	100aqcokl2yqlabt6vmrp2j4c8	$2a$07$7OsOlfsgNDUkzIuNxVoOceGo75BnDTTnlt/tKBTnXKKsDQmxnNxFG	50	2013-08-03 02:21:17.090051	2013-08-03 02:21:28.321618	92		0
5931	10ant80fqqsqz3020g08sgm5ns	$2a$07$x3W.rRtoC65GsOdvhKDh8uaqpUXKYpgIdcGqXBidohymyknPw92wy	51	2013-08-03 02:21:17.111931	2013-08-03 02:21:28.4707	92		0
5932	10hkkw462zw5mv5bkxc3nphcnj	$2a$07$2HtpLq7RZOFh1DAXxkFViOvA/y9wChMhCVnw6/IqLrLivWjBFxvU2	52	2013-08-03 02:21:17.133863	2013-08-03 02:21:28.602637	92		0
5933	10aapzpy025qcswr89g0q07b8t	$2a$07$UO6fPfDL0Ej0WVlCG/7Q7uhZvJ.SEFiJKQCjM3jFvq3xVT3XromGy	53	2013-08-03 02:21:17.155666	2013-08-03 02:21:28.736929	92		0
5934	10h7rra5o122eft1t1dfcdixmj	$2a$07$KumniXpxAf2IfqeMDPLC6OocHsHek/MOM8DJjFfQHE0OxiEhdTXV6	54	2013-08-03 02:21:17.177483	2013-08-03 02:21:28.870374	92		0
5935	10hfpyr7s5urduepbj5bopep44	$2a$07$0aufT5l80Cfu2rHN1oJQlO7XHo/fy5m1FWmwyLf5aInlaEgysT59W	55	2013-08-03 02:21:17.199405	2013-08-03 02:21:29.05635	92		0
5936	10hnpr7tpfks7fsedenvtv9572	$2a$07$Csh.XN0Djs2SwUgCGLCznuOmE3v0O61t3ANrjxN5yrUAoXvjHvF2i	56	2013-08-03 02:21:17.222047	2013-08-03 02:21:29.191177	92		0
5937	10niugc54xcc8nr9ankatqtwop	$2a$07$rh4DeqVQFehv8YiFqWEaJukTP8mnP956/FcGa.YH3qxPiZwd0yEpu	57	2013-08-03 02:21:17.243697	2013-08-03 02:21:29.371196	92		0
5938	10rcksqgx3mra09c681ku02nso	$2a$07$B4ALS2uKdQWKxUz2TwybAOUFhcqnOxOMg9nRiZImq0dBjST3Ywpju	58	2013-08-03 02:21:17.265263	2013-08-03 02:21:29.496342	92		0
5939	1083eslp9car954ps66kioz0rn	$2a$07$yLTJ9WxIkILVAtdOYtLqEuaqboT1lCa0yGk8kTsGCZladofApkQrm	59	2013-08-03 02:21:17.288519	2013-08-03 02:21:29.754149	92		0
5940	10cjy5vq57souhkye7ra9eu3im	$2a$07$5WLaNe4rr5ElcklmsyMCrOAB61CIbW.rlrqTrYpvzlxWboU49ev/e	60	2013-08-03 02:21:17.321596	2013-08-03 02:21:29.900275	92		0
5941	10baod8hv6ixcl9rq8jodhvsdm	$2a$07$2r9uAVNLpwdQ8Bk0i9Aqqex3WXszRQjdkSOZ/yJoZa43Zupl9myWW	61	2013-08-03 02:21:17.345771	2013-08-03 02:21:33.603412	92		0
5942	10t0opyex0zbsw3zym9n18h78i	$2a$07$vebEYS4h3wlojJkLAE3bkeZmOof6JIu0e5xI8jCXVQbnEiBFUq6jS	62	2013-08-03 02:21:17.368757	2013-08-03 02:21:36.811825	92		0
5943	10u0jnpz4az26i8soebkpd76eh	$2a$07$vC3VaXz44SSYQ9fqNuPJGeRSKv4j0nonhxidVLNFvbne.RSVoBdna	63	2013-08-03 02:21:17.392054	2013-08-03 02:21:39.906871	92		0
5944	10c0rfaalzqaugb270emwddudi	$2a$07$lYC.M7fD6enteNAlimrtTuyqrvnreLkkucyAN/bywu1QbpYVijV0i	64	2013-08-03 02:21:17.413819	2013-08-03 02:21:40.027719	92		0
5945	10408loj6yd6enkbgrlippavz6	$2a$07$n78dcwKcwi0kuX4E3N0hdOjdGdC1NPBJu.9yvSp/tWiabTKfQqaue	65	2013-08-03 02:21:17.437283	2013-08-03 02:21:40.216804	92		0
5946	10nwfqy3laex3jd4t3gd56hoe1	$2a$07$ajqoT.VTD0vCn6zIwq7oVu.nkVUPlUlpTI02I.snnEA8mWwn7yZ0m	66	2013-08-03 02:21:17.458969	2013-08-03 02:21:40.358393	92		0
5947	10pri9uy8cujalosdgfuo8q2ua	$2a$07$X4PkuxJZLYuxyQaDO1TdrOqHoXrZV13G4japp9/kDBFqyzqzgS.1q	67	2013-08-03 02:21:17.480495	2013-08-03 02:21:40.473595	92		0
5948	10qx1955ns5f6dfxob2mn5u69u	$2a$07$HvWXYAkoSj0I4A0mJZRuOO1XeIYM20hr69Al6dra1nf2/HO5uGA.S	68	2013-08-03 02:21:17.50207	2013-08-03 02:21:40.693054	92		0
5949	10sl45qn0q8przt9e3hdmh13fy	$2a$07$3YnefnWF4rgVH3f3ttkV3usuVNYLdCcwyWu1Ui6W7i5pZF4cLOrb2	69	2013-08-03 02:21:17.523404	2013-08-03 02:21:41.02048	92		0
5950	102bblhsoerjf979ywgewzsayo	$2a$07$y7NQawvfSeJ7g3sIe8cMtuDbA/In.JIW1D0q7qG5plRYVXYF7ZWie	70	2013-08-03 02:21:17.545068	2013-08-03 02:21:41.230015	92		0
5951	10iptqwcs1r42zg1eu465wc4s0	$2a$07$uqwNvORz5ewnDhkLKeDSkem5rJYLbDaclBr6Hfn0Ir.io1dfeWexO	71	2013-08-03 02:21:17.566666	2013-08-03 02:21:41.470633	92		0
5952	108aqlt4uvcrzlpc4amddhvf0q	$2a$07$YG5QC8NexSMviptH7s1zmuVE9l8y.pjZQH4YTiFm3NKu6c7oged4y	72	2013-08-03 02:21:17.588099	2013-08-03 02:21:41.785049	92		0
5953	10obnid9dcby6zqoppphvje1t3	$2a$07$UGDory5U.BoQxK2eCKxFnedDWa6bo8cf87kwY.Sfdt1XYCeD8RBVe	73	2013-08-03 02:21:17.609703	2013-08-03 02:21:42.038521	92		0
5954	10lamf9qxndoylci78n9r2y0op	$2a$07$zpDfddbJaHTZ3c4fHAeuw.FzUnP4mFZnk.wJ4k67s2e5fut1a/J0K	74	2013-08-03 02:21:17.631915	2013-08-03 02:21:42.300411	92		0
5955	10szt6rzs5bqwer4gflc6al8g8	$2a$07$1Sgzw2uJRCu9Cy0wjgOQtejUl9P8wdZ2waZwBYvPqqdpNxCErZXs6	75	2013-08-03 02:21:17.654514	2013-08-03 02:21:42.44517	92		0
5956	10bwkeskp0bbae6biqo84g89hh	$2a$07$dFkYMyLlQzKhrr4ZkDXcDuiuB0MJ18luZJ/XYtI3CWI75v7v5lc3q	76	2013-08-03 02:21:17.677799	2013-08-03 02:21:42.625935	92		0
5957	10ts58bs2080z3y1qk0j6p0ewa	$2a$07$XYbJMIELVPVQCVf3tcgq4urfF4CsGvyizpSTHsRr0AvTRt7wevVGy	77	2013-08-03 02:21:17.7012	2013-08-03 02:21:42.831956	92		0
5958	10asmh33ofqonca3ihjv17ymhj	$2a$07$OAPY1yLEQcl6/qRi2d127OgOO4tDFPyqdFdJ2Pgs/W0CpJnrw0yti	78	2013-08-03 02:21:17.72364	2013-08-03 02:21:43.147934	92		0
5959	105w3w0zxrj3gecqjy8bam5n9d	$2a$07$fOdTVQeROi6ksXMP/aTXzeg.ORz4j.mGqstVETaWyWtCyFANJXOUS	79	2013-08-03 02:21:17.745579	2013-08-03 02:21:43.360721	92		0
5960	10wk6z65ky87z8tsuzd276s0la	$2a$07$WBgEWcW7ujHX8STtsNjrUeTPvijYbUVrlgzi4lX12RNJUD/HkBNs2	80	2013-08-03 02:21:17.767477	2013-08-03 02:21:43.51277	92		0
5961	10s9mi3t1x6fp9cukdypjbbs9y	$2a$07$vFyaPhA.g3smnMzH60DlfuBHlfKbLIjHPXOWzhmoyFbSc.LSEKCve	81	2013-08-03 02:21:17.789423	2013-08-03 02:21:43.63014	92		0
5962	1055mgu1ydkr3mfun0a50oc168	$2a$07$8kNp8y7sWzGho/khug7r5u.vyDfnDFNhrOovkqFLyQQamBCYNRp0G	82	2013-08-03 02:21:17.811463	2013-08-03 02:21:43.860947	92		0
5963	10no77qdaso916eztdmeta8axm	$2a$07$LxX4vcuP2qsyMYJH4AxHTOjML0kh48nW6Y.MeIhkYdcah7G4hVm5e	83	2013-08-03 02:21:17.835416	2013-08-03 02:21:44.009464	92		0
5964	10pnxm4anzba4avpta0675hx7i	$2a$07$fHVFK8HXrTYTB.F83rGddO4ZgOFTc.4NV6qcjn2QKs9Mut76wNfku	84	2013-08-03 02:21:17.860879	2013-08-03 02:21:46.912688	92		0
6908	10uu8s0l6roqaao1u24vjsj1m7	$2a$07$SX0OreLDfYt8QKstKGDp5OrliI/ctFkm3c.xaMA4woZ6JR/glsY4q	20	2013-08-03 17:19:59.493275	2013-08-03 17:20:05.605255	105		0
6909	10hhgo360sue58u5lr6mmm3o3i	$2a$07$fsqOeSfmi6ufaOkO5IbxEOumjH16V4BCgoXcqiQjEjQv5HpiWwXiO	21	2013-08-03 17:19:59.514696	2013-08-03 17:20:05.964109	105		0
6910	10j19vk1e8o3g55alcmus9mxbo	$2a$07$S77oo1Kfa6bx7dwh13Fh/OD9/sd0iOxfvZuzZzM8XeNTEsdXZ.g7W	22	2013-08-03 17:19:59.536114	2013-08-03 17:20:06.351495	105		0
6911	10zkahongvbk29c4sw625518pz	$2a$07$XAEJpaJCnfWNssXSvlvNRO14C8IBa0lKUxv0tAaFTVm3B/2./SI06	23	2013-08-03 17:19:59.557532	2013-08-03 17:20:06.705614	105		0
6912	10tweabcer5zlf8y99tf519nff	$2a$07$3HIHux7d5RWeCcx/iBekZeBddaZQWrNuuZcqfTc4YEsI7/88MCEUW	24	2013-08-03 17:19:59.579145	2013-08-03 17:20:06.944421	105		0
6913	10lzninwexbxg201gwklu2sm9i	$2a$07$r9HoPrBFjHuuJTmgSMEmEu4B80bqsBhGeSqxsBkiwQt.Mj/6E4ZTO	25	2013-08-03 17:19:59.600998	2013-08-03 17:20:07.324672	105		0
6914	10qpbyplb2wpmlrs30rrj7568h	$2a$07$NTqol.n7J4OdAFDETMl/Ie21J5JENcW8BbZKsOqvU/4.yrz6zQzZm	26	2013-08-03 17:19:59.62237	2013-08-03 17:20:07.592838	105		0
6915	109b6e0e7ca2k9lb5rbh4s49fh	$2a$07$aSa74hvYuBDTFL8xkJyprO5/nRHsZfsFhC1L/6X0kb0Enix20QaTm	27	2013-08-03 17:19:59.644061	2013-08-03 17:20:07.729642	105		0
6916	10xn29talufxnzf58y2wmsw8ww	$2a$07$Oeod/wTeoQmpm6BqGC.7x.MJfFKZLvjkxzYm/9eVJK1tblI4kgJnC	28	2013-08-03 17:19:59.666796	2013-08-03 17:20:08.028716	105		0
6917	10d98zw0n0irlk835ghq4xj1bz	$2a$07$omohArLpbsC1mpihWRQiTO2LdRcs5tSKqyiU4ZSf2X3XTDkUNgBk2	29	2013-08-03 17:19:59.688424	2013-08-03 17:20:08.217034	105		0
6918	10syp5komo4fodau2csunwj7ip	$2a$07$ijgIDqG6Fs0bKMpdv63QfO3KTCPiRz/DwJ9fRHh2Kl8o29JiCSOru	30	2013-08-03 17:19:59.7121	2013-08-03 17:20:08.415229	105		0
6919	10ovpx8qbk31hiug68l6mz5dlh	$2a$07$09fHAYVbcqbqeSJsDId1Hu7040AAM731z6IisFTW35BEbrdZl8e4.	31	2013-08-03 17:19:59.746602	2013-08-03 17:20:08.700739	105		0
6920	10r816ouqhorwcje7qq99qj3k5	$2a$07$xbnkyN/kIqoNAF6VUGFYbOQTcFRxbOsAfd0Y4SZohZ56DdfXwXER6	32	2013-08-03 17:19:59.780755	2013-08-03 17:20:08.812737	105		0
6921	10j77itckyrjr00qqoei5f1s8b	$2a$07$GNJwY3ZN9xo50jMdAPwb7e5gjnYVpxOjqDRv2SoDZihBueIv5Rom2	33	2013-08-03 17:19:59.803384	2013-08-03 17:20:09.016691	105		0
6922	10ytb3atwspto78nl8qjwny0iz	$2a$07$OzyjkKKPexcYE0jQS4SYYeNC2whHgJ89kp7pMvgAYlriGUlyr.ySS	34	2013-08-03 17:19:59.824925	2013-08-03 17:20:09.384916	105		0
6923	10rbkxx6gqfj58gcequz4ohhgj	$2a$07$Pt4rfhJciK3uCDAC4IkRvutSC3Yf.JubsBlTptPzEf4HSaQvTZUcG	35	2013-08-03 17:19:59.846524	2013-08-03 17:20:09.771054	105		0
6924	108zhm29dfry468131qk8c936i	$2a$07$kC3VC7PtpDVEZiYudV.5o.GwO/dSHoNZ9P4K0oh6AoYQ4RuTqM87i	36	2013-08-03 17:19:59.868417	2013-08-03 17:20:09.993224	105		0
6925	10jy0drvoabbr6zuugw4pfky8t	$2a$07$VPFye8zfscSEXhr4aA8Xqu7sUUOnJa//h4nzor8MxVZtGtPP4m8je	37	2013-08-03 17:19:59.890062	2013-08-03 17:20:10.419764	105		0
6926	10usw4h9pj2yqpv1uaqr2i0g1o	$2a$07$RNN7xS1A3GA54ApR/lwVzuqd.a0sx3KnDnHVlIHOaeKYIS1AcSanO	38	2013-08-03 17:19:59.913035	2013-08-03 17:20:10.767491	105		0
6927	10s7tof7nhryzjnenkpcncjqwm	$2a$07$wyUg3kNAWI1.Mm7EFoXx2O2ZB225BzUtKD72hWHIEMqX620jzzRte	39	2013-08-03 17:19:59.934721	2013-08-03 17:20:10.999706	105		0
6928	103ymn9cmbog6adyw4cismfwbv	$2a$07$HCibyRNBUa/U86hPeAaAouOT.sjhOIf1frO3TR.mplCUxPTF3v2pK	40	2013-08-03 17:19:59.956604	2013-08-03 17:20:11.380967	105		0
6929	1004zq8wyfwhwwgkjb8s5s37e9	$2a$07$oKchlnLBBk7Dj.mk1aolfupOG5MkYBihskac1VgpZQ5gLlVWmjLDW	41	2013-08-03 17:19:59.97887	2013-08-03 17:20:11.74492	105		0
6930	10frtyr639tnjp3mzj2l79o47c	$2a$07$qAtK1OCN0cpfDfPSVtpSDetEKQA6WT0W.hcNTbNkypk0q8Y.O56IS	42	2013-08-03 17:20:00.002169	2013-08-03 17:20:12.124438	105		0
6931	108ufpy9lkcm9exgdvetd18ttg	$2a$07$.TBQ9ojXHo.DB9dKea6f1.rKW.QW2KWJn7bCqRIBYE1UELPN1ZU6q	43	2013-08-03 17:20:00.023795	2013-08-03 17:20:12.256699	105		0
6932	105pxq479qmoxi9p0sspk0pvu0	$2a$07$qbdNjfYiqMD7rgSvxU3nremv12tStVcbbykMEuzcr0h78tEMmPv4y	44	2013-08-03 17:20:00.045471	2013-08-03 17:20:12.385713	105		0
6933	10oemthtebtdsi27l1n8np0sew	$2a$07$kBJBsUHzGhmOLp9s92l5jO0Ha4QvGGUKwyxSILiIoyte2h2miAzoa	45	2013-08-03 17:20:00.067081	2013-08-03 17:20:12.524255	105		0
6934	103lxqkdkwm1tijhzu4g2c22cw	$2a$07$Fm25F3D7rghJbEoMaOH1d.dSX50hKDMb70ccJHgyzNp.vPjI6GkzK	46	2013-08-03 17:20:00.088798	2013-08-03 17:20:12.881438	105		0
6935	10mnt4nn4oxp9hynzpi5c527ag	$2a$07$YdHlFNnF3mwaFhIafogwjO5qSFqcGpe662EEVDLTWiyshIUJZzNwK	47	2013-08-03 17:20:00.110277	2013-08-03 17:20:13.251998	105		0
6936	10oxq329imj2sfmrphw9w2cgus	$2a$07$lavU8oy1XOFXjICsLdljUeXegCkWdxUwYYgq7TYLEmayYg2Z9UH2K	48	2013-08-03 17:20:00.133422	2013-08-03 17:20:13.381063	105		0
6937	10a90nt8b59s2ama1vobxt7bj1	$2a$07$j/XLTuwbllI0aqmKWczUCuwOdvRcl3PXLA/OrX/ocuSAnBPU9jQ3e	49	2013-08-03 17:20:00.157753	2013-08-03 17:20:13.753595	105		0
6938	10kum915nh7fnxbsls75f3kqf3	$2a$07$9GbokDakztQ/19hkQZ0e8.7w0D6LTwJaw5T3J2Mna5mT8ZsrvHodO	50	2013-08-03 17:20:00.190954	2013-08-03 17:20:14.130083	105		0
6939	10i4mgc25cfok8ab15tbtdj193	$2a$07$BJjJ7Zz0SBjI8Ep4nSO3J.sA9DmF0mMkF65YlayJqag0Hy9uEz4uO	51	2013-08-03 17:20:00.219169	2013-08-03 17:20:14.496812	105		0
6940	10jlkb0h3huji4q6gisn78uzx4	$2a$07$YsZKiwkKzlqPszUjFJhh7Oa/SUhCF4gZPzWW5BQBEVWe9bQFbR3ky	52	2013-08-03 17:20:00.251151	2013-08-03 17:20:14.627344	105		0
6941	10m9tmv5fm04ogjsss02yjqmgj	$2a$07$LiVB5vHFq8izcRois3hN4Oejz7NkZoC8zwUD.Ow4LvZBrE2HwgUk.	53	2013-08-03 17:20:00.285729	2013-08-03 17:20:14.754961	105		0
6942	10y2jbreimzaolwwto5967apn3	$2a$07$iZaywk7R99.On8LjUwfNaOYk4NzgXMHG6.j.ItTBqf.Wx4qUi9qFC	54	2013-08-03 17:20:00.307307	2013-08-03 17:20:14.882517	105		0
6943	10sr9s8zpy3zhf44zcr6fhzr00	$2a$07$4f2rPItHDzS9OSZypKE8xOn2E7QqUL9G4CNRG9vgaQlhYJEAadLNe	55	2013-08-03 17:20:00.329113	2013-08-03 17:20:15.256871	105		0
6944	106siopj1u8lrk4zv0fl0gbjrc	$2a$07$6EMwGEugd3DFMv8h.IWqteD0MHK.vr3jceJ.Mt7hPDyRODbF9XZf6	56	2013-08-03 17:20:00.353092	2013-08-03 17:20:15.617239	105		0
6945	10t895xda3uyt0ca7uqpyty0s5	$2a$07$jxlfjBBdAqhOQ2HKr2jh4u6v88XQtFruOhONO0fTK.6SRndtLHATq	57	2013-08-03 17:20:00.376535	2013-08-03 17:20:15.993025	105		0
6946	10qxl84ukbi29lelv8i5ppkw8k	$2a$07$oYJxGhZ39zzpQypXCLxuRuQuYuYtsW8hZ9hXfa.SgxLYTtG3vPhGW	58	2013-08-03 17:20:00.398722	2013-08-03 17:20:16.177603	105		0
6947	10r9z4ifz9wsqdxi0u7gl9wl2i	$2a$07$lnciGhvYzzUQAaXY1rZFcePk8Z81guEYucphpHGfLKe2iOaZAPE3O	59	2013-08-03 17:20:00.420964	2013-08-03 17:20:16.317007	105		0
6948	10gl69eu71idn5kbac3wx9evwe	$2a$07$almTLYLRUUP9SFO6WdOY0O0dQFFiZUYbbYqhP1luxJ.iQ4rFZYm7.	60	2013-08-03 17:20:00.443648	2013-08-03 17:20:16.464024	105		0
6949	101huupjtfvh6cuav3r1vu12f1	$2a$07$GXXZUlv4jZjRchsI4qLX9OTPJtfkrFCBACoE9/2hedy5zDg6lX1hi	61	2013-08-03 17:20:00.465413	2013-08-03 17:20:19.231083	105		0
6950	10za2obd7vixfk347ysu5glpn0	$2a$07$S/DwvGJLfVcVcL63DBY.Tu6tKnmkzlPHwmp4UDpN903RpwhWnGWky	62	2013-08-03 17:20:00.487293	2013-08-03 17:20:22.23779	105		0
6951	1067jtw0xbi06m8mw5j74xc8uw	$2a$07$8iN.gWtuneRvAhMZCIbreugtkcx8cwMnj/ldol8u7fyAto569My6i	63	2013-08-03 17:20:00.508734	2013-08-03 17:20:25.460752	105		0
6952	102v9guoah9cnsgkr82znprtlp	$2a$07$0CzllaqecBqlIE7/bHqb2Od.DB/uT47VUv.LRrL9s4xmr1YNOjYxu	64	2013-08-03 17:20:00.530211	2013-08-03 17:20:25.598347	105		0
6953	10mht5pubs47343pcm83cyi5ur	$2a$07$NsR3YkpWwCwtsqNe0EUofexC7wmk4XoAwqyaR.Fm2SPAqMLWmvGda	65	2013-08-03 17:20:00.551817	2013-08-03 17:20:25.750296	105		0
6954	10jag114k9qt9i15kdfripzii4	$2a$07$Q6pEMBkE7x4aLDmBzKnlPO4caiuUUIMyZxuxDc9Q6k0u29zY9/.Ue	66	2013-08-03 17:20:00.573422	2013-08-03 17:20:26.184135	105		0
6955	10sfn18b181mlr7a0miuuesw02	$2a$07$csH0O5QbnMNzM7AuCxp5n.JADbukuUTG2l/DBBv110Ug.EN0iphUC	67	2013-08-03 17:20:00.594777	2013-08-03 17:20:26.545906	105		0
6956	10b876ndg22n7elw2ar3qn8pq2	$2a$07$DXiOOcyZjwIbX5C8VFkep.MDuroV1Aou4fwC9j.xkDs6jfeDL7DU.	68	2013-08-03 17:20:00.616213	2013-08-03 17:20:26.806739	105		0
6957	100xi660znrx3n4redv1tlzpse	$2a$07$ZF.jYjUFkKrrHXmbQD/FfuWVck5hXz0z58eUDHXpJCZArlRk1GtLa	69	2013-08-03 17:20:00.639881	2013-08-03 17:20:27.158114	105		0
6958	10yh3cxvwitf2yojswtdcpxuxt	$2a$07$OZPsyHX3fIXxF.s4RRApL.BgJlPuBD1oo5SfbK.hspsPG2yR1T3LG	70	2013-08-03 17:20:00.680101	2013-08-03 17:20:27.506607	105		0
6959	10r6ugtnfbfszu8b4s0njuzgdy	$2a$07$ScYxYu84w55JsgC7CfJg2OouNyquKH5Mk8u1IzK2ByypbNIYjplxK	71	2013-08-03 17:20:00.715829	2013-08-03 17:20:27.885829	105		0
6960	10u81l9nw1nrbsny3njuecfhu7	$2a$07$x5zUpDL7DL7YTY9hIuyRROWH4GGNN/w4sMujDjuM9qQIo4V3oOg42	72	2013-08-03 17:20:00.737189	2013-08-03 17:20:28.076387	105		0
6961	10p35wxdno50v7bfltwi3rczec	$2a$07$FzAF8Rli9pB9fMXfhur2SOqDfM1SasVrhO73tdEwjMcI1soZkYmem	73	2013-08-03 17:20:00.758691	2013-08-03 17:20:28.444984	105		0
6962	10czuvfu6hp4uu5x78216uv2j0	$2a$07$MYXstwRH/vrk9OVRlcqxneRgwEPiTqR4Zbk3u0r2mzCkhBCwffF5C	74	2013-08-03 17:20:00.780049	2013-08-03 17:20:28.618879	105		0
6963	10cjp8si64n39z889fja0tbe7m	$2a$07$ZiYVI/l5ENu9Esf6r7GCsOnRJDYLkON8efktnQOkSaps7n2Tx.WpG	75	2013-08-03 17:20:00.801717	2013-08-03 17:20:28.869697	105		0
6964	10pw913jq9i25aqnbi7b4zgi2a	$2a$07$ttjNceVUrztYXjLa45UyLOiM2F0CXMA5pRzsLhc5PLMFeJMq7TGT2	76	2013-08-03 17:20:00.823077	2013-08-03 17:20:29.01941	105		0
6965	10jeam7m4gxhwsg6ndyl4h11ny	$2a$07$HBrASCtVn2J9uoAM.X3mTOtDavzhNDvmk/0iCsoiBAHjR9dlnPh6i	77	2013-08-03 17:20:00.844405	2013-08-03 17:20:29.30771	105		0
6966	10z3k0qxcmr2x9b8graffd5ggg	$2a$07$NdLijPkRt4oFRpPkdZeHdOoYJveT/kyd/KO7Ua2pFNnUeC8gdJpyu	78	2013-08-03 17:20:00.865782	2013-08-03 17:20:29.44646	105		0
6967	10aqmv1pi6q3a97j9ioauv2grk	$2a$07$O.tJ2h9g7M8bvcU2FUQP0euScLRlIvW4eVMR2sT9VnIgf9ndFMhuq	79	2013-08-03 17:20:00.887199	2013-08-03 17:20:29.697496	105		0
6968	105et1d6st0pzhrp34ww187w01	$2a$07$I2LqubNQ58OKYQ85rxgJme0alutTxETipQrJ52svA0UsVh9yTED/a	80	2013-08-03 17:20:00.908731	2013-08-03 17:20:29.925324	105		0
6969	10voofl8ko8r9vuw1dzh92c2pn	$2a$07$6kWW1dhEWq/yLV/TUrE4yeBUeVplfPtGUwJrfSw2OxvHSxpLeDBKO	81	2013-08-03 17:20:00.93011	2013-08-03 17:20:30.066749	105		0
6970	10vlfy3bi6pueyz347us3rc4er	$2a$07$PgV/EM7xPnxS8dpy9a1Z0.HMINckZoLSevtsb9.IRjkHl8r7Q0rAa	82	2013-08-03 17:20:00.951623	2013-08-03 17:20:30.302656	105		0
6971	10nqjalxqm0timn66iplffeaiu	$2a$07$t8Erfl1k5VbUo..DAByo9e3JtKp56cMq7JwmzCdL21kw0fBXConHe	83	2013-08-03 17:20:00.973087	2013-08-03 17:20:30.552469	105		0
6972	10isagnvx9cxofl17brc562nfa	$2a$07$M2w2JePuTJMsKF21WXQjY.GiyYEN/NdIuvGI4Z2b9cyolc9795IZ2	84	2013-08-03 17:20:00.994446	2013-08-03 17:20:33.537365	105		0
7280	10b4qhcp73kxsezy8z70fuio1t	$2a$07$fnBVNs2uiAigd9cJkHQ7iuFa92P5CIR9LHzvidoJK7zJOWxOB5qy.	56	2013-08-03 17:34:34.879753	2013-08-03 17:34:44.481835	109		0
7281	105iy9si68id7i9heissjii8e8	$2a$07$ciwxS4o/TgOQbzMQBfWMYearlM99dWwgH4l7la9YWgiDZI8.To7Vy	57	2013-08-03 17:34:34.901842	2013-08-03 17:34:44.573055	109		0
7282	1010ott1lyofkr8ylnkbzub8tk	$2a$07$Jpu2jOsuEhn1dr1xMs6Ov.QQnVDUOB0bp1mBYLd0q0FAnFHFKxumO	58	2013-08-03 17:34:34.92549	2013-08-03 17:34:44.97652	109		0
7283	10rc23ae1uyh4e8tu13u3pr1yo	$2a$07$LKr1TiHs3l3NfAZTKjv0je4TsOzms9qBHfnZFoFAZPCw7sRu3NhFe	59	2013-08-03 17:34:34.949107	2013-08-03 17:34:45.430798	109		0
7284	103kbxkbk318z6riovi11eh307	$2a$07$tukOY1f863dwNW56Hpd/1eZz5xnTc9QfvR6Cjk130kNIGjImfN5sS	60	2013-08-03 17:34:34.972557	2013-08-03 17:34:45.816458	109		0
7285	10tr28nljk0p0853kxoer2fh8p	$2a$07$i2eDCcVGIvky9QPmFDaboeffv.OmsbA53Rpdmgf1zgDGAOEMlkqbK	61	2013-08-03 17:34:34.99515	2013-08-03 17:34:48.675791	109		0
7286	10vvhmh9l42f6blqjwhem6a4ox	$2a$07$B1Kh41yXzRo2xkBQj73qGejEH0ZE7ubIqQSdfJi7MqJI8YB0hjg76	62	2013-08-03 17:34:35.018476	2013-08-03 17:34:51.608885	109		0
7287	1061mzlsjqoa6wsxdt76srsi8o	$2a$07$PPftx.ByvpYfSO436GCYYuGwZdoTZNO521pXRUBlk9DDiOx99XaqW	63	2013-08-03 17:34:35.042121	2013-08-03 17:34:54.607647	109		0
7288	10jhhe41gyw9zkcjbrrm4ro2ax	$2a$07$WCb/JDK54NTv//rQY0rkOeNateCI0p3DAel7yPEcrcH/kqHYKAlcm	64	2013-08-03 17:34:35.065228	2013-08-03 17:34:55.729103	109		0
7289	10kplth3qfxsd8ymjfm6jasvk2	$2a$07$b94GjVSCzV85m9qdPI6AaOb/PzHgMgU3CwaP.nJNiYFIGRuPFUet.	65	2013-08-03 17:34:35.088631	2013-08-03 17:34:55.864879	109		0
7290	1079adbayigj5bbnmd8gcjl4k1	$2a$07$qlO99eHdwguUYQ4d.6GP5uF/EcsX8R.nPBuFvag7oKXOorbrY.4yu	66	2013-08-03 17:34:35.112428	2013-08-03 17:34:56.331452	109		0
7291	10u66bti35ibzik2tke7mek61k	$2a$07$Mxc0P05cHGCguA0MGhfJU.Cit3L/vJu2/czVCQE0IjqUEii1RCrFy	67	2013-08-03 17:34:35.136171	2013-08-03 17:34:56.464355	109		0
7292	10mghaliam5dfft67o057lj1ex	$2a$07$6lpC37TdJZ3kF/iXxzKXHee.gPZ5KyCdvBriPlSq0/WfQBq1WAXq2	68	2013-08-03 17:34:35.159306	2013-08-03 17:34:56.581267	109		0
7293	10myn0j1xn1fr46ju1ldl92f10	$2a$07$yEOGeRfgnQBe7XaFld2WeO9E.70tcFdODdYtkcMX.vNXJ/2XKqWZK	69	2013-08-03 17:34:35.182749	2013-08-03 17:34:56.693074	109		0
7294	1064rnk3o0af80tmrgrvz3t6ka	$2a$07$3uI3syEatHQmbfBF72pQyOvZTPKVtiGsQ/jFbX9DSwTKr3JqHEy0m	70	2013-08-03 17:34:35.206492	2013-08-03 17:34:56.837422	109		0
7295	103q17ghl9ke0ow8ngptbgyrez	$2a$07$2pQxCbDgC/6O7RpwZZGlme2M6Lcft952bNDQOsDoOPnlICWLa1AR2	71	2013-08-03 17:34:35.229967	2013-08-03 17:34:56.964305	109		0
7296	10s85wferv6ppyrabm2a2d2xym	$2a$07$m7NU2frBESAcns.V5O/VHuC24n4DWAbsFqKgngVr4lwIFhEECW6VS	72	2013-08-03 17:34:35.252996	2013-08-03 17:34:57.073261	109		0
7297	10gejw6uzwkx3gsy37mm83pxsh	$2a$07$hvBxBxk51mO6PSFOxCdW.uJKT40LU0tys3vlkLShj130oQ6tVnFBS	73	2013-08-03 17:34:35.276473	2013-08-03 17:34:57.208123	109		0
7298	10jcuu5clazairl0zkdfo8nesz	$2a$07$.zrmjeB60u24glfOFLv3c.VcsQw.UBJEmAnKdFPZbwFjrQiI55iN6	74	2013-08-03 17:34:35.300693	2013-08-03 17:34:57.327435	109		0
5965	10b77k72ra1gkm9z9c9gwu3f3r	$2a$07$4E7sgF1E4ygbc3QoYRUoW.qwmIGAogkqvraMFK8W94cV1SLKgbBsu	1	2013-08-03 02:26:23.598629	2013-08-03 02:26:25.799353	93		0
5966	103s95b7ny8egb0k2zjjx8c11i	$2a$07$2dYcOcK6KYF/Av10u7gl/e7aicluwrJwI5L4IOo5.69AmuFVW4U2K	2	2013-08-03 02:26:23.628236	2013-08-03 02:26:25.951853	93		0
5967	10amiw4sokj4reeo74zty2h9ms	$2a$07$/uFqlSJSHcl3.Vov3Lxn8OWzY0MCkM5IvL44H9TWcgKSmVp3cLtZi	3	2013-08-03 02:26:23.649868	2013-08-03 02:26:26.073644	93		0
5968	10paeo50o726fzxlwi1rssygqm	$2a$07$rsegpn5e7k6pOFMRV5ThxuySXQUB1CVxNJRl2lpFBPkBzeOBuSlgu	4	2013-08-03 02:26:23.671382	2013-08-03 02:26:26.340944	93		0
5969	10euog9q2xf7hqip5mrl0vm4n6	$2a$07$7yoAcI7pfVA2Pom8cU1SW.xbrwb/0X/uuqB4y9hBXpJodlSqW3f2i	5	2013-08-03 02:26:23.692976	2013-08-03 02:26:26.440462	93		0
5970	106glw5aqfex7p6h3amezm0lj2	$2a$07$Q5yhXu8RalO8w0bDcWhBTeyVXgnTWR4YnPpyGDHeCD/p6NU12ypsq	6	2013-08-03 02:26:23.714517	2013-08-03 02:26:26.614171	93		0
5971	10pwh4kq3lu5wpodvaeamzkgd2	$2a$07$w7R4PiyMPnaQlHNWlVaVs.mlUXCjuVZa6bm2nfri8L6MIJC.BJD4u	7	2013-08-03 02:26:23.736436	2013-08-03 02:26:26.970483	93		0
5972	10kf0qyrjoxqbevaggb1q60ehs	$2a$07$uuaBm.8dVfiCMNxW5A7LCeyEytSaHbweKK6GOkCX7nqPGE7XyvIEq	8	2013-08-03 02:26:23.758727	2013-08-03 02:26:27.317998	93		0
5973	10mi2lubzle2w7sn020ttkw3sq	$2a$07$q7JAclBYYrGYt5AvQAGHc.TS/kC1WQs987QSZoHcyfpaLiP0GqAP6	9	2013-08-03 02:26:23.788867	2013-08-03 02:26:27.462797	93		0
5974	101zhprlbp6sr3e5e042t60edn	$2a$07$qX3RMHcdCB.7/G/9aMPyBuuy9SI9RJ5RRv30I/9AxVgg2mLCOIWV6	10	2013-08-03 02:26:23.810459	2013-08-03 02:26:27.608233	93		0
5975	10lokosy63wjr4felar94d01ms	$2a$07$Sx6dQmRCphl5XI0w2I98NeTm6eyxwlneCYWtqMUehxKcW..vZpguO	11	2013-08-03 02:26:23.831984	2013-08-03 02:26:27.752181	93		0
5976	10argw2g0h85kae2tqnxdh8le3	$2a$07$7rPTCNerlk1wsrA07jNIL.y3I51DxRacJXiMBSRrn17LJ/kQjCkve	12	2013-08-03 02:26:23.853527	2013-08-03 02:26:27.879729	93		0
5977	105m04rzk8klrrb5m97no11nu8	$2a$07$pH8bqLmeuv755cNsnjkRguf0WDuBBR8Gahlwe06DqUhCkFEHttcPm	13	2013-08-03 02:26:23.875688	2013-08-03 02:26:28.143071	93		0
5978	10kdcidu030e55ugf0gz95uepz	$2a$07$6UJBQDU5KlFB5bs6m8PAY.IP0wMkDNPLkJTA1nh7p9HvwU/7sCIVe	14	2013-08-03 02:26:23.897472	2013-08-03 02:26:28.281207	93		0
5979	10ozlzwg6gqirz9fwtnj0hisio	$2a$07$Q.CUC19sLg/Cs1795fB5deMplhtafjg2r7pXtuJiHjNaKC8bW2m4y	15	2013-08-03 02:26:23.919017	2013-08-03 02:26:28.407495	93		0
5980	10hwawnci0ptmxhvpqu8h9ac1a	$2a$07$J9b7loQuEjatdpYsX8vFA.fh943PzQWhygLZufizYRhuzZk0ODBvm	16	2013-08-03 02:26:23.94044	2013-08-03 02:26:28.563588	93		0
5981	10i9eucvqmo8mebu3850ljkuu5	$2a$07$EwWiXAsJlLOFeKbKG6lE/u//dP/6crqxcn6muFYhlyJ6UlmLkD.Ry	17	2013-08-03 02:26:23.961841	2013-08-03 02:26:28.740286	93		0
5982	10tmj0hcet7suj2o3fc75kevty	$2a$07$nW0MBE6.CDvdQpU0PQ7g9.3sBLIPAbe1q3Uh7UuUmNYAojXFickaq	18	2013-08-03 02:26:23.985174	2013-08-03 02:26:28.95132	93		0
5983	10u8f5z5j6kpq9pky4z47p0dx0	$2a$07$3Wf52lgE3DzSfOFKiEzIjOU7APmDj3lYxDpLWP5H.ts85wOJfdfP2	19	2013-08-03 02:26:24.008768	2013-08-03 02:26:29.333512	93		0
5984	10qkjtshni8wqruvhy2gtsyeu1	$2a$07$VLsoLSKq1uVGf3rN0vIcweFdT6jxbfqngZeYPhFMHQIPTwwprGXW6	20	2013-08-03 02:26:24.037582	2013-08-03 02:26:29.691814	93		0
5985	1035lhecysyhjlux49me8zh98c	$2a$07$1ep/ssZVQfEf6xRlzXFRd.E3gAyqlQz0SEnz7EOhdWTydqn4TFhNu	21	2013-08-03 02:26:24.060625	2013-08-03 02:26:30.065025	93		0
5986	107vrhsjrd3cwi30v0zolfysk7	$2a$07$0njtM/h8Mm45n1A4.OsASOIDHAIAQculqwAIrdgBVuLG/5EcSC.VS	22	2013-08-03 02:26:24.092196	2013-08-03 02:26:30.414314	93		0
5987	106gcrrabj8vo9kujbj4vru3fo	$2a$07$HJXodpO9n290GDNhoVSufedEVvdCFGW53PcrCcTAkF4pQP8YeWRSW	23	2013-08-03 02:26:24.126522	2013-08-03 02:26:30.591284	93		0
5988	1062xgbsrdgk5qlwq5b6lbkxsc	$2a$07$1exbk9at6wCTzl8k0tsxyOmqjbJKfejipYRG44WSCCdWZNy6AZ0pa	24	2013-08-03 02:26:24.149864	2013-08-03 02:26:30.94963	93		0
5989	10wu76442c3yvsb3f27iblhq0o	$2a$07$q/QRx9VCKM5AVSMahE1LmOBO2E.XhJYaia/10IMEw7PcPeeSD0jK2	25	2013-08-03 02:26:24.173553	2013-08-03 02:26:31.20072	93		0
5990	104vd3elre3mz9fup5aas3prrg	$2a$07$5wzMKzWFxlCE5hUdHRIAi.rVyzoMdi.IWrgUWanuUjvM.BAS9O0t.	26	2013-08-03 02:26:24.197756	2013-08-03 02:26:31.344933	93		0
5991	108knprtep4v9pxhdrvxi4z7cx	$2a$07$IBPdSV.SLsx39Bgdn1p6Lu1egnUk3i0f1/TEfGdF6v6.L5LPQZ.O.	27	2013-08-03 02:26:24.220166	2013-08-03 02:26:31.527229	93		0
5992	108ciz1kdte48gc94i385ebpql	$2a$07$xBV1BiZipGpyiogpUddrb.T08QaY9gUwkccI8b4zZLgfFehSVKHbq	28	2013-08-03 02:26:24.243528	2013-08-03 02:26:31.687231	93		0
5993	10lcklk17qid7qf721vf4ys2ne	$2a$07$4lCPofUz6dlvxoPrPwlk4OCTqz.xgiA.4VWynVVLvjbdPiaoyduZ6	29	2013-08-03 02:26:24.26726	2013-08-03 02:26:31.838141	93		0
5994	10zsgkontpir3wl02fbh9olf89	$2a$07$h1DW8DMmE3YG.ndzlhdLReyHNa7MRXLr/iiuf4JGSI2ol4Zpq.54S	30	2013-08-03 02:26:24.291176	2013-08-03 02:26:31.986291	93		0
5995	10uw2e4621qpz95wbudwb7ykpp	$2a$07$5byEMkivbM9gCkM2mKA23uq29.oLaLT4mWSsZAlFMxhKeTmUWvDQW	31	2013-08-03 02:26:24.318926	2013-08-03 02:26:32.383126	93		0
5996	10lmfzrl55avqbfsplzrk1d0dm	$2a$07$mwgMIyLVnuL6bVjwQWpdsO9DF9KzqZ.sVqr8Hn9rpLfin6xTmyfyq	32	2013-08-03 02:26:24.3426	2013-08-03 02:26:32.767464	93		0
5997	10bih8znmmb4wjni1g48hl9e7q	$2a$07$guJKwR68uV5es0lTAxvbhecLeWVKHKnpjVncIaLk.zPnC7tK6nKlq	33	2013-08-03 02:26:24.365851	2013-08-03 02:26:33.14954	93		0
5998	10v56uckmy5oca7uszntml0yki	$2a$07$Dnt9VVLY.QdF/aQ6Rsg8heCjPa2ZexhMBnABlrV/Qj6GsbAlHxnze	34	2013-08-03 02:26:24.388919	2013-08-03 02:26:33.288863	93		0
5999	10mtvg902fg3rzqxe8zjwrptri	$2a$07$9wGejf2HXaOZTX0.Ya5RiumQxLFD3s/DA2MIrs5yqz5/Ntet3OY1G	35	2013-08-03 02:26:24.41244	2013-08-03 02:26:33.412335	93		0
6000	10n69ngrzdpdpn73sd4kwyo5xb	$2a$07$VaxocFXlyZGXH738IHj.yeHXl.Hh.YmLcwkU4zR5vCvILVYYUvVb2	36	2013-08-03 02:26:24.438136	2013-08-03 02:26:33.559955	93		0
6001	10iqrdxb3jbftn1lja4ovcncgr	$2a$07$OrsEKw1Yh4vN9CpFb57bwOkFafcN6Yr5H1cyfRm.fgFoQwpdmDFri	37	2013-08-03 02:26:24.469083	2013-08-03 02:26:33.86706	93		0
6002	10k8cbe9wign56u4vh0b8cbley	$2a$07$S.8tXB6sAepNV83IoXdhe.vYksc/i2Xcw8zLCfipW7eG5HYLJY2R2	38	2013-08-03 02:26:24.493891	2013-08-03 02:26:33.989339	93		0
6003	10z4hgnarc0ij4vfq9y14f184q	$2a$07$k7sZco3tBSLCXWiP/3fu8.f8jjSnmkDq5hSCL69VglpGNRXHKoa6y	39	2013-08-03 02:26:24.528397	2013-08-03 02:26:34.192352	93		0
6004	10qp9cmt1m07ukm6cq1n690iv5	$2a$07$KBPEDY1LXOJjOT7On1FLd.m.1ChKEsgiiU3aO14xEoZIY3pGopooi	40	2013-08-03 02:26:24.564074	2013-08-03 02:26:34.563682	93		0
6005	10kv7gwkvjuehmlipg38bnc1ss	$2a$07$ahvM1SnTRtaIidTqH4uLtOeJzFo0NYWwpnwZZcDZygDhiGSRwfE8y	41	2013-08-03 02:26:24.599215	2013-08-03 02:26:34.916895	93		0
6006	10zerc850zlkionn8jvig2iaz3	$2a$07$pvrt5NSvdzgHHzM7ii64vuAZtsovIGw0oabRN70I1LrNE9zBgMxvG	42	2013-08-03 02:26:24.622016	2013-08-03 02:26:35.196157	93		0
6007	1031v9u3gwdwjvtxjgjy4v0g7i	$2a$07$V.q6W/PrjAQZf7ibbBgp.O6xrM.SASjL3SW5GSwYwbwDMM3DnnpPO	43	2013-08-03 02:26:24.645718	2013-08-03 02:26:35.449212	93		0
6008	10w1d85js0ffy31ko03kr9wsax	$2a$07$EOPJBSuecDQuZ1W2UdmryOKr84bFyBiK7nQ09rPyOu0HsI3nce2vG	44	2013-08-03 02:26:24.681438	2013-08-03 02:26:35.639538	93		0
6009	10tpdi43yz46gb5dcys61q0xk9	$2a$07$eykQk958uLR3tzV8ElBSsOoI3vY3ZvD14nNt9c7gwOZPs.VPvh7VS	45	2013-08-03 02:26:24.703371	2013-08-03 02:26:35.923298	93		0
6010	10ym7kku3mh9cz0xsezvoqyv8q	$2a$07$LruiNakoJ6506gpga2DAE.UZPK3ENBPjuxuQkKM8quaGaWyJ5Bgmu	46	2013-08-03 02:26:24.727263	2013-08-03 02:26:36.05462	93		0
6011	108vni1g4xhstclumnielnpp3m	$2a$07$4McSotO.kO/NWHfAPDeetuGgjzoHZ9qVvrx7KyEymjemRDtI.bC8.	47	2013-08-03 02:26:24.750258	2013-08-03 02:26:36.21905	93		0
6012	10fytzp1pvgi8gdf0sjeu8hc48	$2a$07$LN/MAwCL3j8i.uV0SX7lNeXcb6q5Le5xQRIW49I0IIGkoyDQxikeG	48	2013-08-03 02:26:24.773511	2013-08-03 02:26:36.45308	93		0
6013	10gjdnwromksu0swzteu7uhuie	$2a$07$xHQ7gm.fn2waZy8.HwdD3.NWa8oKzVIK.HraHAU5CkJCewbbLEiGq	49	2013-08-03 02:26:24.79713	2013-08-03 02:26:36.611198	93		0
6014	10j2bostc6ernlsp7vsfa3bof7	$2a$07$3ui4br4rDvJBTr8fyXvwleYZZwPoR3rANMhgvyn1HRy5guyh1Nqk2	50	2013-08-03 02:26:24.820017	2013-08-03 02:26:36.741385	93		0
6015	10oww17lyp4gzn1sa5fluv8y0k	$2a$07$ZsbtyIJeHA2QPXdSXtMbsO8/eP1l5LHCOJ.j2/h1k3Tksj6fOC6qe	51	2013-08-03 02:26:24.843214	2013-08-03 02:26:36.889436	93		0
6016	10yock75n45935l3s2to0hlka9	$2a$07$qQaXCLkD6E/SRDqPNsu1QeH8IIwYhf4mzpjAXi1x6YSxfeev9ml9u	52	2013-08-03 02:26:24.865403	2013-08-03 02:26:37.03457	93		0
6017	10n9ha626d63guvxrvuejs08xb	$2a$07$9JPi14N/XEj5F4kkNdZEsuf/xXr9lpCnU7ugtNVkn/CzugMSBsdIm	53	2013-08-03 02:26:24.88856	2013-08-03 02:26:37.181029	93		0
6018	106r8o2xribzvz4uo4y0rlb94s	$2a$07$HBhu9NRQVVS8d3N85id/5OQghF9nT4SVFAst4QE.AxpQiHk5Tq9aW	54	2013-08-03 02:26:24.911022	2013-08-03 02:26:37.329348	93		0
6019	10j69nzurzdl4rm9x30h48wgoy	$2a$07$ooTEYpTqGwJZp5PcH2B0XOR/D6AqrZMwCiFbeheCi.hZDriBgA1.6	55	2013-08-03 02:26:24.934929	2013-08-03 02:26:37.460089	93		0
6020	10za7n4u1ivp2x52mqu9qgt6f0	$2a$07$Bwe.Dx2SqWf3Q3ZVBLdABes5hoQGDWvE85Oxosb/grPGSN//8KEBi	56	2013-08-03 02:26:24.957733	2013-08-03 02:26:37.61221	93		0
6021	10s585ri6f2urttm06dknqeq5n	$2a$07$5HMFN9YqaCHg9FvCieNpFOoVXlFt9za5/4Sf7pLmo6pTCR0Se/0oK	57	2013-08-03 02:26:24.989922	2013-08-03 02:26:37.894599	93		0
6022	10bbxktpdzdr3kzuv6fxcdopxi	$2a$07$lIm9hd7aqmWVqBQL3m87ZelLirhNuCyZpkotdpEnzC/r/ArSWCB36	58	2013-08-03 02:26:25.016017	2013-08-03 02:26:38.108749	93		0
6023	10dq9ao7xtqebkavv5szqww4lm	$2a$07$GSkgQmlYizoYbjYzm.Nzj.JPdtwBs9Hklt8SHShoAWnja2otEGV06	59	2013-08-03 02:26:25.041797	2013-08-03 02:26:38.245913	93		0
6024	10ou4ciam27hs6xqcmcpjr7ar0	$2a$07$BF5VLuj4C8fcOD1pVn3d7usynuEy16lXjR/h6.BZ3QGO5T0IMzKsi	60	2013-08-03 02:26:25.065457	2013-08-03 02:26:38.405875	93		0
6025	1081f1su5ze5sjugeej7bmddvw	$2a$07$xWRR2KbaUYNNRI/QPsOekeJ5l/.aoMqYNdjetmuJ3DLkoeuCcsSI6	61	2013-08-03 02:26:25.089495	2013-08-03 02:26:41.302306	93		0
6026	10j9tqxgdqt200ltfpt61mjnh0	$2a$07$L9Tzsq6jRoVypq9JuuJXGONru6JgPFoc8XDu7USV3HkzXIM4LFcxO	62	2013-08-03 02:26:25.113981	2013-08-03 02:26:44.610238	93		0
6027	102ypdkb550vnbdc09n6btn3q1	$2a$07$sGC5F/7R9oeI4bM0pN3wYe1yiKQuDEpv7EId6bcFaQCre1I2AQoMq	63	2013-08-03 02:26:25.13783	2013-08-03 02:26:47.697586	93		0
6028	10u75305dw17mg7hjg2c461sci	$2a$07$l13YeR9jPGeIX9x//AELCu/EbBfi5HaAzxUAQU/YgdZMIBP7up1Ti	64	2013-08-03 02:26:25.161497	2013-08-03 02:26:47.828369	93		0
6029	10cej9bsma2wqule0yadgnlpp0	$2a$07$.RetI80382EPVtOcIVRqpeRd1.YA7TX8uXoIrUy2Xo38vT7zdWnv6	65	2013-08-03 02:26:25.185157	2013-08-03 02:26:48.094799	93		0
6030	10r434y6om9gqnz8p2acetag6p	$2a$07$gF/ZpgwJaEFS86ipD8jfouKieeP8oy/Ikk/WDGVtN9rMKdmipY19i	66	2013-08-03 02:26:25.21499	2013-08-03 02:26:48.232503	93		0
6031	10aq5hapw3gra03c5ri8wezozl	$2a$07$3PgO9czrPtr9od/FI1Y4t.E1V5OvDEcrhkp5GwJR51vUa25x1Xj4q	67	2013-08-03 02:26:25.238276	2013-08-03 02:26:48.424042	93		0
6032	10yuxr9o58u2gvbdle9pf08aan	$2a$07$tfDPJ4ntcOCqf8mYWEggouqnvcb/os57UUnQIsKYtkIL3pKwQMmcS	68	2013-08-03 02:26:25.260057	2013-08-03 02:26:48.797557	93		0
6033	10oi4n10qrvwavxeuppgqel0r1	$2a$07$nl592XKY2Fp.OtK4l1ZtMuNx2rpblpgWbRZER7JUvuvWeCZobBCQK	69	2013-08-03 02:26:25.295854	2013-08-03 02:26:48.941034	93		0
6034	102fgvu6fqgj71zabszgzrovsw	$2a$07$oQCxpv4xrzPmdu63s4gsZ.rSzn9HemrWxraPYBkCbSVOn/1BWuJ/i	70	2013-08-03 02:26:25.320121	2013-08-03 02:26:49.319739	93		0
6035	100mw5748x4mj1gvqo7u5qjd8u	$2a$07$ByMXWuhIuDxZSs6xC9TDH.m9ek2panYt294QqU8ecsF4mj.AmGneK	71	2013-08-03 02:26:25.343363	2013-08-03 02:26:49.695133	93		0
6036	10ewqe36hlq41b2ew02sd5m96o	$2a$07$OY6Q1zir0oNO8G77SQT4P.9fAmvxJYlRg.wh4ugK5Ks7S39IzZ4TW	72	2013-08-03 02:26:25.365119	2013-08-03 02:26:49.836597	93		0
6037	10xno3pgxxveu67jb6amovgsla	$2a$07$J0npcq7C8z4zd.r0Ye8ys.Xz0GKCFcCkh9R90NN/pS4FsWcNsHHby	73	2013-08-03 02:26:25.386574	2013-08-03 02:26:49.95325	93		0
6038	104qpwvfbbbcwvd2xkrlxmo9gv	$2a$07$XcV1qRIHyobJcxzi9JwfLu5J3s9U13QobBdRYa1goj5tNMahFN0a6	74	2013-08-03 02:26:25.409771	2013-08-03 02:26:50.09599	93		0
6039	100nr4wf6uyyui6tfct5lfrqxj	$2a$07$Anw5IcCzAYBZrKIf5IzNquShpOmlzYuidOI4pgtw2KKNwq.GEf32C	75	2013-08-03 02:26:25.433203	2013-08-03 02:26:50.239292	93		0
6040	10ca4aw6nfp1f1a5hcnsr4lje3	$2a$07$SYT3xljQSmJkR5mBAO8NcOmEZSUhQYd4gnykb8MIaojdyHNjU4akO	76	2013-08-03 02:26:25.47195	2013-08-03 02:26:50.373959	93		0
6041	10wp4w307bd4bk9r6xxev7o5u8	$2a$07$1Lq.6Nt2Rqxjhfi84UKPouB7.uV.AvkFFugbpashc3Vf6DEETj0p6	77	2013-08-03 02:26:25.503631	2013-08-03 02:26:50.526079	93		0
6042	10wvwn0hg8a952r4kq60585xez	$2a$07$Q5N8eQ.peRLJVEV8tE5Nq.DG6kBqNUdgunqpXDzne.yBpczkHKzV6	78	2013-08-03 02:26:25.524828	2013-08-03 02:26:50.826115	93		0
6043	103lcdt5pqj78pr9b6acnzukan	$2a$07$kwPVWO/JNkY57OLusj4lQOeTr3zZ1C5rOfkB335yUEr6d4mqsoZyS	79	2013-08-03 02:26:25.54638	2013-08-03 02:26:51.178023	93		0
6044	10yqkofrwi3lve2yz5u16udlya	$2a$07$giFk.MPOz0w.Iho8hJAZDOvo.gb22KGtRK.JNlghv/0MmvCaO1ylG	80	2013-08-03 02:26:25.567787	2013-08-03 02:26:51.316185	93		0
6045	10s431axwwmhazrikfj9ezx7az	$2a$07$Q18zztl2H3EF8TTNbsxeUuSeqtvhwHGe9IRXCp.VkjrMyA4tAEI72	81	2013-08-03 02:26:25.589088	2013-08-03 02:26:51.451723	93		0
6046	10b45877qi60mgh2rmhia6sxnu	$2a$07$WeRjXTNOKQT83SCqrMYJm.DwklhWA0ddmggAMt1t48yhEoD/hiRS6	82	2013-08-03 02:26:25.610347	2013-08-03 02:26:51.6469	93		0
6047	10fcaay9d43tu45slqqs3427fw	$2a$07$5nm7/5KKYor9/ZKT..e8d.Uhg5zyqF0y8sUuJ.SENb4NT2ZvxQIB6	83	2013-08-03 02:26:25.63151	2013-08-03 02:26:51.804026	93		0
6048	10ms3gzld4nidpeefvrdsh1unz	$2a$07$9FPoy3PlfF.qywggD6xSNO6akBaXzE7F4qgZiY9J2vB8aMzaDcGDK	84	2013-08-03 02:26:25.652771	2013-08-03 02:26:54.658759	93		0
7299	10insmizn2o0rmn9wxo5qsd4mf	$2a$07$9xGOaVQzBzr2nMexYf0JIOX9CN7wSFoyw3Ztu/WT12CkQk9koyzTS	75	2013-08-03 17:34:35.323606	2013-08-03 17:34:57.448466	109		0
7300	10w0iagjflgnp6i3t9rgr9p3ov	$2a$07$NwLngNUXxWVRXmynuxEbauNaRr.EmXwwro8s5GLmXYQ0VrjXi.iCC	76	2013-08-03 17:34:35.346561	2013-08-03 17:34:57.575948	109		0
7301	10voptv6ysg73m3vkct1yhr54w	$2a$07$5x/A/2aAN5udoZc32DCvuuGiFykRI137QSu7CTAVDdT3UNllqP7ay	77	2013-08-03 17:34:35.370336	2013-08-03 17:34:57.67436	109		0
7302	10m1qhzt5vn3660wwkdjwvoix1	$2a$07$5wLg/wf4h7Mp.7kuWYUpH.ghMtLJ0ugKeh.V2EWnAi5xB6aZSmPjq	78	2013-08-03 17:34:35.393545	2013-08-03 17:34:57.872481	109		0
7303	10hgbh8hufjzpqh9m5itu39mst	$2a$07$1oqpoH8wfKQsxBRAjfDsJ.nYX3oWmggz7cM431lO4C8R8trF6lU5G	79	2013-08-03 17:34:35.416587	2013-08-03 17:34:58.010312	109		0
7304	1037rrufe12wt468kbpqk61y3s	$2a$07$Z5cFtWV8k.Q4GdfaBRSxmOlZTc1r/sOIbk79/l/nrSHp1XXZd7I4y	80	2013-08-03 17:34:35.439501	2013-08-03 17:34:58.132268	109		0
7305	10v6ab0tnrysezuco4rbw6xcmr	$2a$07$0R/6/f7.0kvGRQTLDratduW4VT.fnsBbbxFzQVckqZH9xFsGBn4.6	81	2013-08-03 17:34:35.463059	2013-08-03 17:34:58.302784	109		0
7306	10ngjzqdau8s90dmndsrrp9tew	$2a$07$bGDF8ULtnnNSh0nXcj7r7.OiS9Ti5GJCzk3kpwsBeBdajnvPB7FZm	82	2013-08-03 17:34:35.486793	2013-08-03 17:34:58.451153	109		0
7307	102fvwuu1idcl5p6k8xf43cfng	$2a$07$o0uXnYA9az4RfjidIEGtZuGXl.CC8YPiWkUFNrIp.ucrdp7ujyTju	83	2013-08-03 17:34:35.510421	2013-08-03 17:34:58.880205	109		0
7308	104zbkwhtmhumr3675zk7f35f7	$2a$07$uiWsrbEICpINVsvDPaxheeLFevhk1fQFfi3G/Y8kFNdnkIxhSQeK6	84	2013-08-03 17:34:35.534784	2013-08-03 17:35:01.706327	109		0
11005	10q8g5ze3gci7yuwftyh6jpiiq	$2a$07$g2ZCZ87oxBCPY8vcxsDnM.sBbls5LyZbB.u8GEkMxIwO1RXojwb.2	1	2013-08-03 20:26:38.164035	2013-08-03 20:26:41.726808	143		0
11006	10uuzyakmednhjhjj9mib9681m	$2a$07$ZiJErt3.glFfFJ62cXbVaOlru6BxsSulicwBehSdGE65bLplZx.Ey	2	2013-08-03 20:26:38.187873	2013-08-03 20:26:42.096573	143		0
11007	105ypoupow6g1qg52vndq2eqbq	$2a$07$LIIJ9F3mKnk0mRLpzEXU5O5CK7MVTo7zp96A2oMO9OOZZnwqPSCQW	3	2013-08-03 20:26:38.211524	2013-08-03 20:26:42.381512	143		0
11008	10dji2m8juexmbdy2pvffhko5a	$2a$07$3MW1nZlKDOhUU638fg91iuikP6IXKuQmDJ6PSQlfF3w98DLQ9ioc2	4	2013-08-03 20:26:38.235309	2013-08-03 20:26:42.506876	143		0
11009	10qahp7v0tjuj67qjisqa7hxua	$2a$07$eEUVTnt8xQ//A25bMhI.0.wH7fLPykyaxc4hdSsCwzxf3wu/Ut9KO	5	2013-08-03 20:26:38.258367	2013-08-03 20:26:42.636069	143		0
11010	108yquv8xzaujbalxhotb2if8p	$2a$07$F/q4pzzydVpf24NpYv27I.KCIu70SuGiuSd11CvZxsvQ8OsuJtYmu	6	2013-08-03 20:26:38.281057	2013-08-03 20:26:42.76095	143		0
11011	10sl0a58babvbdest12rfehrw5	$2a$07$HuRWMEPpad.uqTxqiCjOsuBSyCdPwGLq.fAySt90jGvsmwL6bH9je	7	2013-08-03 20:26:38.304899	2013-08-03 20:26:43.962205	143		0
11012	101h4o4t2iin3p4rwbzvvxkdxj	$2a$07$P3X7USA0GflLNQeZTr8ENe1jCvB0QJfSS9XMno58dop353NREEMGK	8	2013-08-03 20:26:38.328258	2013-08-03 20:26:45.281755	143		0
11013	10g0h1o19pcemc3b3x7m6zz3n5	$2a$07$XV3hgKsGsTJcYH/WoQUSku2jFj95Gpe0/V8yByU4W3NwG3bZDgqV2	9	2013-08-03 20:26:38.350616	2013-08-03 20:26:46.75364	143		0
11014	10yowyj3jfrq675zcu8dkw64v1	$2a$07$RwMA6rVlUmTBSOwUeJfB0ODLHyrwljVhu/jovfeZGphxu8nlNTFYW	10	2013-08-03 20:26:38.373444	2013-08-03 20:26:46.882243	143		0
11015	10j3i24xlf7ti4mw1w9c5b5f8x	$2a$07$T7cnKqaKyNzRd0vBnLZ41OIVHcfIHyW0GldyPszKJcs30BNYz6C76	11	2013-08-03 20:26:38.396019	2013-08-03 20:26:47.014451	143		0
11016	107c8x9dcwfw1h83xg1v0os8vr	$2a$07$IrBLLCPWRuJyTLndlFD2BeabGaSe3PekYzi.rWA.HXfLuALlNQvxi	12	2013-08-03 20:26:38.418815	2013-08-03 20:26:47.128962	143		0
11017	1095rh1ee9owwstjod5jd3npn7	$2a$07$BpgHEKZTMgZbDmcgbDHUcu8Jt1ZpCDiSgSaAdX62BMiyC84yDBjAG	13	2013-08-03 20:26:38.441635	2013-08-03 20:26:47.360991	143		0
11018	10gv7twptdjuq5zry4k1aeun54	$2a$07$3RcZzsv/veCNWp/Avuz00ux4uRMlFKR3pC/4zI4.gESbxudj2m/O6	14	2013-08-03 20:26:38.464348	2013-08-03 20:26:47.521975	143		0
11019	108ry5bcod1brehm9d8obma11z	$2a$07$uMT/g9Ue7XGAFplleqDcK.y96wlzwBqNf9W0vIHFSv804A8TT.mva	15	2013-08-03 20:26:38.487885	2013-08-03 20:26:47.692534	143		0
11020	100wnhv942lanht0gqzzh1wzup	$2a$07$5xOmR.CtS7W/RT/p4VZ39OmWhfos4WzLaUnhwsY1U5RHVsLqdLRou	16	2013-08-03 20:26:38.51104	2013-08-03 20:26:47.80947	143		0
11021	10yfaxk89cbawevonxmp1dsjiv	$2a$07$SczUo30MNAufFQVrTWVp9.F6EsXjz4N3UwAHuE9YwupxG0ftWnNku	17	2013-08-03 20:26:38.534899	2013-08-03 20:26:47.943698	143		0
11022	1064i5vx7mtzvxtl6v9pdfsmqu	$2a$07$y3lTA0uZc5pEGI209YwjMOx7v42h3UEw8DrFwVIRSbQ/hBDYbEQyy	18	2013-08-03 20:26:38.559423	2013-08-03 20:26:48.073494	143		0
11023	10nwb1vmw03txl0r4jixpvuh6w	$2a$07$gjsGydT2PQnipIEaaPfHLe6yhKqKw7qM.Eo/jFbjK0xaYt0vcs8uu	19	2013-08-03 20:26:38.592766	2013-08-03 20:26:48.20973	143		0
11024	109llr585dpyexq0upzajzwb68	$2a$07$iW3iuVmrA9MSlUOFS0iLN.kQH3hxChTZ4qix.rv6vyjOyRIfdpYkq	20	2013-08-03 20:26:38.617417	2013-08-03 20:26:48.401537	143		0
11025	107l3y7t9tzs6exocmcas71klj	$2a$07$7zls3e0z4xHEjON6MMTMu.X3l9.USyr80LQWH524NBcItfqtyvD66	21	2013-08-03 20:26:38.642472	2013-08-03 20:26:48.572614	143		0
11026	10nm8a8n1c3sg6he2ybhn5d5ks	$2a$07$6N3cWwEplKH3Mr/4kMGhNOpmT6QsyeMYHjMq18.7t9batMxuRHb22	22	2013-08-03 20:26:38.667293	2013-08-03 20:26:48.68625	143		0
11027	10io6a5ho9y1jay32nxtd1hjup	$2a$07$7XpDFzk8vQlz6SLdOmuGION/Z3J9T9SCEWJPaTACBJ11HbIQn.aXy	23	2013-08-03 20:26:38.698008	2013-08-03 20:26:48.821057	143		0
11028	10d12hws7j3zq1aidra8ecpm9x	$2a$07$Icy2faxoP6L/KXtd.uoBE.5R/.kr2fNk6VGxN3Akc678emc7VB0xG	24	2013-08-03 20:26:38.722455	2013-08-03 20:26:48.952034	143		0
11029	103uqlccoiqpacqskbp0big9eg	$2a$07$x9UrzacpWMeHgJnvk9Yd3eYUreKK6pHoCatGSKBjAVAC4eFQhpVoS	25	2013-08-03 20:26:38.752745	2013-08-03 20:26:49.053161	143		0
11030	1019r7f0pyxps62lh0tqyn0z1q	$2a$07$MFfAmFfknndqWkFdPVr.LOa8de1.tDRZbSWjV8mt66fJ3biNvXDxW	26	2013-08-03 20:26:38.777052	2013-08-03 20:26:49.183929	143		0
11031	10gmkue13hq6pn0x3uzb9uc8df	$2a$07$1fuU.rGM.HesQLwwwdMky.l7gHfTpvmy.AueZRUnpjsVMQceOjPzG	27	2013-08-03 20:26:38.804252	2013-08-03 20:26:49.290929	143		0
11032	10sgx1ebk55m3uvffkgsfwustb	$2a$07$qicqDRPgMLAqX2sKzU2.EuUFDaD0NewfHVxmf39jNq5u9SbMWBzZC	28	2013-08-03 20:26:38.830588	2013-08-03 20:26:49.553395	143		0
11033	109cnov31mjr9qkuuwp7cdhaig	$2a$07$iu7S1kXW/8AjX16g5FqeMueMDUpvQ16deFt9Zzf/2EmDB5h6hLnTS	29	2013-08-03 20:26:38.857385	2013-08-03 20:26:49.723357	143		0
11034	109xqpka43n6vigybk1pjv25dv	$2a$07$dz5nT1DEANaYgO8UYEIZfOevWuyqLAfu6V5p4yM66Nq8EyGYqzj4u	30	2013-08-03 20:26:38.883734	2013-08-03 20:26:49.958178	143		0
11035	103dvfln7b7vu0secohrzj8li0	$2a$07$St/w0/rCqfMYWbrCrwjemexLQt/rjX8Mh66cXSL/xxERDQY2m0jDe	31	2013-08-03 20:26:38.908578	2013-08-03 20:26:50.087933	143		0
11036	10af77h7uf3rmluyj5xy7kqfwx	$2a$07$8dLjmeqpaFtWrQehtx8jFuyzKWI/RJdk2S3PNwC40CMIePTblm0gO	32	2013-08-03 20:26:38.931517	2013-08-03 20:26:50.216242	143		0
11037	101ulmfp0hittkq85szkokdoo8	$2a$07$a0QhwzsPuhd0nUymjZ/B8uND1tF9lvRjGhSZKWPg0yWgm8VAzqgXO	33	2013-08-03 20:26:38.95753	2013-08-03 20:26:50.350034	143		0
11038	10zls952gevs2q4f0umeifmyqx	$2a$07$zcu/vpB/mFtuQ0h0K.cDheHwW0QQGcbMG0d2gM1lmoYR/5asacSy.	34	2013-08-03 20:26:38.980868	2013-08-03 20:26:50.477932	143		0
11039	10wpmy0qvdmjlgxwx9f1d2vz8y	$2a$07$BBDxIbnRkebQ3WUzXr8jLelsYVHKhBSScKQx3LCx1x3yjgCYWpUjO	35	2013-08-03 20:26:39.003606	2013-08-03 20:26:50.623327	143		0
11040	106ibh9npq84c3mgrgfwqzskg2	$2a$07$bC/Z5zJrNEqEbJKYxfHY0uIwgtVS0MnLdENBVSEv4Xsi.M9lHlq4W	36	2013-08-03 20:26:39.027351	2013-08-03 20:26:50.750668	143		0
11041	10tyt1q6oushva0b8w7qic99pe	$2a$07$HaPyVLNqDCxMdOkin9egSucU7WqIBIPTxXEojgcbKQoN6xLl.xjHu	37	2013-08-03 20:26:39.050055	2013-08-03 20:26:50.869759	143		0
11042	10qc3ffchgyez3k4xy1io2hwg9	$2a$07$GlEJdY9smaA5A3pDO/Gal.v60um78IDVe6w.EGefwlzR0.tfV0AlO	38	2013-08-03 20:26:39.07297	2013-08-03 20:26:50.989538	143		0
11043	10pauz3s1a6t68p385jh09fg00	$2a$07$moMiiYOU0VOP2rJ0RovqJuvVfjdSlOCuuUsRn8jZeaZ4Q6hN9ivFO	39	2013-08-03 20:26:39.09714	2013-08-03 20:26:51.083985	143		0
11044	101kn905vmt4aw6uaqe0o6wbj1	$2a$07$K9ewA4c/BIsNcDk1jv8QMOCKgfQT0cR3T9T6lOXQc2U2M965dmV0G	40	2013-08-03 20:26:39.121866	2013-08-03 20:26:51.214331	143		0
11045	10txg1ga7zm9zaocot8lkenvdo	$2a$07$2unVOd0I2XZjdE6AWV9vpe3139q.DzMw.pBxoRCV0Yq/8gGpw0j8.	41	2013-08-03 20:26:39.148991	2013-08-03 20:26:51.35765	143		0
11046	10cxvnyqv6fj29o53p6bd21u3l	$2a$07$ToyO/NexmlFU8txS.ZGR7uRVqws6k7dAOhQ8QDTOrDXObuD0xHm1G	42	2013-08-03 20:26:39.177308	2013-08-03 20:26:51.479468	143		0
11047	10fhs7hmipsdd6woyplfhs7wsj	$2a$07$sly2Yn9yT18CAlnaxS05N.xa65FrE1lVI556ujvQMzj/xUddcEYn.	43	2013-08-03 20:26:39.201703	2013-08-03 20:26:51.618667	143		0
11048	10y9020n8hscg06db8ukl3t0vi	$2a$07$bdTalYkV6aLja81UncF2s.iz5XJMfapI8yWx9joOME7VsWe.yyCB6	44	2013-08-03 20:26:39.23103	2013-08-03 20:26:51.744956	143		0
11049	1001r1hki9w28ctisk6r6s7ygd	$2a$07$rRrzTT4eBFfWi48jWYbYC.yYHBTvSfS9AHSFdMYbO040EUOBWELCm	45	2013-08-03 20:26:39.254846	2013-08-03 20:26:51.860136	143		0
11050	10g6dg4yjmhpsbnnmok1x9hr2e	$2a$07$UjSFWfRrpoG.sjRn0O3gWuMjSJaswtM1vX45nntbsYGvzJdPIxYk6	46	2013-08-03 20:26:39.278625	2013-08-03 20:26:51.973709	143		0
11051	1021kbwouz6ofietsd5qoycolj	$2a$07$tqY3iuRUd3.8EPuyPj.COOQF0S2VxYxNXGCSIu3iotEhNTv3tm3jG	47	2013-08-03 20:26:39.302521	2013-08-03 20:26:52.146458	143		0
11052	10atbnk8t7wz8l5l755t06pm9p	$2a$07$9DQMdkNTK5HW.P2AU8Ci8Ok6.1xilyIeYgKeXVluQ9aZB9waM3Q8q	48	2013-08-03 20:26:39.329752	2013-08-03 20:26:52.37391	143		0
11053	10ti9x7jzm7cinr5n845rnfapz	$2a$07$NFIbYWZfDYtwHZbYkq/H2OiFJSf2ip8qobcbnj401q8xYTAZmmgZW	49	2013-08-03 20:26:39.358995	2013-08-03 20:26:52.512468	143		0
11054	10stg09k0rnlvybhattmbfh6ho	$2a$07$lUyvWYLHC.MdeAPftOlnde2P1ha72N6kM6FaOhhMcMIGdv56TPhwS	50	2013-08-03 20:26:39.386751	2013-08-03 20:26:52.654819	143		0
11055	104792kdd8fasooyjgpqwr63rj	$2a$07$OwWrGwRoDBhQ8.CUPBMtium6zGExvc.q.QOaHb17jpMnaYUHNstOy	51	2013-08-03 20:26:39.412083	2013-08-03 20:26:52.801901	143		0
11056	10pj615t69tmqzczazaeoiq8ge	$2a$07$nDnQd5LnCKzKuQgtqRIx..6k3JesYmudyeJaMytWOJnJJNO/r8DdS	52	2013-08-03 20:26:39.436355	2013-08-03 20:26:53.06193	143		0
11057	10d19toego8moibm2p5k568mzb	$2a$07$62TrQfdgU0r7h8QNPtN/tepelb/JYA8w1RUFstAVPsiF.55tq.wNO	53	2013-08-03 20:26:39.476536	2013-08-03 20:26:53.192041	143		0
6973	10wpgbdjbhwhdszzvqt1qmqg7y	$2a$07$TFFkUArY5KjCQ3mRPYtZg.VGEg0Bw.CsFb82oUgbNq7eHJxjilXV2	1	2013-08-03 17:24:59.080298	2013-08-03 17:25:01.525963	106		0
6974	10d035errtdrqjh6w4w93d8kf9	$2a$07$eAcObzBLdIdQWt2rwiKQFunt8rnuonWZiERDYHj//PQDPG8f5d9.q	2	2013-08-03 17:24:59.110624	2013-08-03 17:25:01.7657	106		0
6975	10cv6ztr6dts4qyt7ya3x61avq	$2a$07$hM9ByRZFJMA34y19Mt8SHeBkq8TylZWbA5ua1j4EJbQIINE4djoG2	3	2013-08-03 17:24:59.133769	2013-08-03 17:25:01.994824	106		0
6976	101s0ei5yq3fuvb8jnl8s5sn5x	$2a$07$Nh7RWr/WcIxRPwfOa7SER.NY7TU.mo/Rqq3Cw58NauduyMh3gHeri	4	2013-08-03 17:24:59.157201	2013-08-03 17:25:02.138626	106		0
6977	10qlqqiy6na2j2n954j5r7b6x7	$2a$07$L02qU3ILzZPkrVblYiFRNe1/0/GbOGf.8YdhfKmkW5EMQO5IR9q1m	5	2013-08-03 17:24:59.180387	2013-08-03 17:25:02.258121	106		0
6978	10h1kbfbzi6ewq76zx7pi0upnh	$2a$07$9rMhq60o9gMNYjApztNT6eitxuHZvc31FY2DG8uHFDHPQ1Zq4/MZu	6	2013-08-03 17:24:59.204878	2013-08-03 17:25:02.399652	106		0
6049	10lq5lgqlga5ckgwni6qd2flep	$2a$07$Db2VW7X3c6fZSL5RDmsmp.BiSbqLkLNR/qnrUgqT4/HzFSPgKujiO	1	2013-08-03 02:31:35.481032	2013-08-03 02:31:37.578245	94		0
6050	10q94i7hbujv0vkozz00qi5aly	$2a$07$XvlkqwDscODxzUzwmQF1p.gufW5CpDqtG21Qcpiz.c2g5S3VCpyAu	2	2013-08-03 02:31:35.509432	2013-08-03 02:31:37.718064	94		0
6051	108327lsmklmx9btams0y15o9a	$2a$07$K4u/A/o17YloGDHSSCVIYucLjTaB7vDPTfugAvfIHzUQDVmJCnrTm	3	2013-08-03 02:31:35.530974	2013-08-03 02:31:37.865827	94		0
6052	102twdkqxmciotugib8dqlki9p	$2a$07$Wj81AmZYZpxcWtpWbpcwHu4zVTVmdYCsEVyRU6XjG8Ikq.LDUt7SC	4	2013-08-03 02:31:35.554056	2013-08-03 02:31:38.010075	94		0
6053	100b4yyrk4co490vus3vzcrvm6	$2a$07$.nmBTvw0VB5Wo2eoO5lt8OjIZGwFuDjZVUPy9JxQyzmfiYKUZz7G.	5	2013-08-03 02:31:35.576594	2013-08-03 02:31:38.146999	94		0
6054	10q8fxu2bno9ua35qar1qcugbt	$2a$07$dPLN8lWjEKYrwoOcHxtsDuQJcRKwFHeDmHrXfrAF4uZZ5v6Qz/u2y	6	2013-08-03 02:31:35.598094	2013-08-03 02:31:38.352306	94		0
6055	10hxqiooy8f5k782yl8lkuqr6j	$2a$07$zqB1YHlPrdEkuwWDBsvnjuIQeIMVBFYm3URfnaASm/Czn0baUrMBe	7	2013-08-03 02:31:35.620782	2013-08-03 02:31:38.672971	94		0
6056	10858mfwcilltpu5shi8q63cba	$2a$07$cIbOQjsHY1XZ3.MxM9BIZeZcCe7XOgoiM6youKlB8i1//z.bP5RhW	8	2013-08-03 02:31:35.642682	2013-08-03 02:31:38.906613	94		0
6057	10o3qgmeitm9pbh817eqd891ny	$2a$07$fvuTznGylZsPvZt0C.dwSe786wPPmYjCma/y5ZPZ8THuU3mcwbgIW	9	2013-08-03 02:31:35.665355	2013-08-03 02:31:39.056035	94		0
6058	10mk14fol73uz59w95ctkcha16	$2a$07$PMiT5cPH1iQQHP32/l/QzuTqnG75Wcha0STGbz2QZGr3hlnJr/yxq	10	2013-08-03 02:31:35.686979	2013-08-03 02:31:39.184998	94		0
6059	10vm5rysjmo9myl5jqadsfnxzn	$2a$07$Bp0uOAZ/eMMxv/h/raMsrOsDWaj7RZrECGTLToap9jbcgHn.kpOjG	11	2013-08-03 02:31:35.709423	2013-08-03 02:31:39.31252	94		0
6060	10ae745bat78xna1abqyagyb1j	$2a$07$Uo0TWuNwmmI2MVPN2KywVOgRsP9g2jFsDqRkQFp/rlpQ15nrUZezq	12	2013-08-03 02:31:35.732666	2013-08-03 02:31:39.439622	94		0
6061	10akh4ovvbdtpgyzsfd745z4hn	$2a$07$5T9vwLCjdrn1XILcedxaducC6Y551j7wDKqUcBfhFtY2vUyNpi7i.	13	2013-08-03 02:31:35.770164	2013-08-03 02:31:39.587814	94		0
6062	10wiuogyxjsz6xmm9azhfeu3la	$2a$07$WwOuvILbnUpVxE4jICg2huig6MBgIMiKJ5j228jPbkNBzr04Iek.y	14	2013-08-03 02:31:35.798172	2013-08-03 02:31:39.917582	94		0
6063	10uyuurvndc2fgu3520pe224n1	$2a$07$HEi8YwsPwJPs6rt6bNj6Ie7jDMqiGO1maDVYatlCFTESCTDVcdl.C	15	2013-08-03 02:31:35.827479	2013-08-03 02:31:40.285458	94		0
6064	10w17d0xtyl2dlevxftj12wds7	$2a$07$RgBPHE.83OqkNdq3x0dQS.WuzifjvznlgN/JWYXPpenasmOoZtz8.	16	2013-08-03 02:31:35.862918	2013-08-03 02:31:40.404519	94		0
6065	10rtv7xylzsyfjyqhsz81efepr	$2a$07$OvnzLP.sJfDN6fTvyppbFe01u6pcc5gUx1t21BunJhUOfEUrZu4Bu	17	2013-08-03 02:31:35.88805	2013-08-03 02:31:40.660562	94		0
6066	10div4j4pzowjw8m1fgzg7b14m	$2a$07$McO7fASL64EF6L1s3YjHHeOeeXZC2m3FX.XKyGFuUjI.GEWPqK2nq	18	2013-08-03 02:31:35.920068	2013-08-03 02:31:40.982655	94		0
6067	10xyq5q1u3fg7ojq1rrlu9pcp4	$2a$07$9mWZncVl0hsaJwLPeUR67.axaZM/ur4Fni7bJOUeBQV86PWJ7uDmS	19	2013-08-03 02:31:35.941471	2013-08-03 02:31:41.333678	94		0
6068	10e4f8tatwsgzlpiadpd5ypx2n	$2a$07$f0zqUQd88g84SkFYkuo75O8rOTETz6190dwPqtC/NbM/KsS2pCUcy	20	2013-08-03 02:31:35.962733	2013-08-03 02:31:41.696466	94		0
6069	10ccv613w8dxel2247lawdfg8m	$2a$07$nHeFmcwVI1fUjvC6xhqNeeuLunfRB5Rpkjrkodl4Hom0NFwkJ/1Pe	21	2013-08-03 02:31:35.984076	2013-08-03 02:31:41.852867	94		0
6070	10kyvl1iqzqe6etn9lwrwei0fr	$2a$07$5lVlQVKq6MhTo/uQZ3t5DOFiVaXLbi5nz7V7yPoSvsMaM6rar1pfi	22	2013-08-03 02:31:36.006093	2013-08-03 02:31:42.226025	94		0
6071	10ofahodn0738j38kz2138a1cj	$2a$07$flal5KUua/YES198cGOsM./p9XSxQky8BKWNQRgPj27LoRY7zZlPe	23	2013-08-03 02:31:36.028898	2013-08-03 02:31:42.520824	94		0
6072	10xgqvn5ut6w2wfd1p2ade0fqs	$2a$07$5sjKwmYdbd8ROk2yZj7CQePvKqvzNqBHj7lJFdaV0iDagHwk7J6hO	24	2013-08-03 02:31:36.050576	2013-08-03 02:31:42.726584	94		0
6073	10pg0xse2ygtfx3ck0iex897u8	$2a$07$VoVDHIdm4FtYYQYnVDSwkOamnWf8ZOH4XmUVh4za.SULSuXuZzPEq	25	2013-08-03 02:31:36.073579	2013-08-03 02:31:42.982307	94		0
6074	106e137r9ko9ng3xmt0ti82qh0	$2a$07$iiRFK5dIfv.UfuLWRdMq..J.lqCpy.kO5QR/TapQLoLWykhv7VRg2	26	2013-08-03 02:31:36.0949	2013-08-03 02:31:43.174292	94		0
6075	10pxjh42fnm82sqohwr5iy91b7	$2a$07$A.sGSUxMWn8Gqts9UXfOA.S6H3A1S.6Brnt0kP8zcldDWE2TnS9ve	27	2013-08-03 02:31:36.11691	2013-08-03 02:31:43.312958	94		0
6076	10wwzhrmwrjxko858kpmg9jxoi	$2a$07$u7fhdC3WfLXFZva6xr0C3OJAG8Tik8.7WDurWHlLVGc6O6dHlnIgu	28	2013-08-03 02:31:36.138323	2013-08-03 02:31:43.46806	94		0
6077	10u0bouuhjt1umcqsvki2yupfb	$2a$07$uWhLAq/Ux3WqQz5pZCWD9O7FT4.d07yUf2b6hLJkr1sHpXOx.Q.Vq	29	2013-08-03 02:31:36.161137	2013-08-03 02:31:43.607808	94		0
6078	101o509nalanle9yl6bafzq4li	$2a$07$1ag2htI3JdLXkkL.YHOLVu.7.uN0cIJj2pu3PXSjNFvku/qI29C4m	30	2013-08-03 02:31:36.183673	2013-08-03 02:31:43.933174	94		0
6079	10hvrp2yviblgqapu8stj38fg6	$2a$07$P1SjQ8euzNH9XZLgWVG5UepiFBQwCB7G6wr/iq/EAxpYa3TBB8dc6	31	2013-08-03 02:31:36.205981	2013-08-03 02:31:44.289296	94		0
6080	106ka630lm4z4f7e8nmnd9sgwa	$2a$07$z9Pz/z/4hYOmxe5qDLmdX.ZI5YPZvA.DnXoqXXJgkNQbvOGYp3EtW	32	2013-08-03 02:31:36.228093	2013-08-03 02:31:44.624833	94		0
6081	10ydqqk7w27uul7d4k1ip5zy97	$2a$07$Cg8BbNwYeqnCqaaFSqribeex80xxqtHBqzNZ1.8bueFxqRYS6CL5S	33	2013-08-03 02:31:36.249638	2013-08-03 02:31:44.986665	94		0
6082	10yuoii6m529mo42w0xq8w9cn3	$2a$07$OO3Jgd0pdgur9uLrMs2hNut9e.bColzB29n3t7XTwyUlbwZ/jS2A2	34	2013-08-03 02:31:36.271022	2013-08-03 02:31:45.153807	94		0
6083	10ze6w83sdcrdjhms9dlkkgt70	$2a$07$mbRcxUSJ08ZzxlOo2GKokereLmCVyckUkXgjw49abr8deMdcWcFeS	35	2013-08-03 02:31:36.292666	2013-08-03 02:31:45.276148	94		0
6084	108n92zx250wy7svbfqkuim7o3	$2a$07$TfdHaIjkFAjAOtjR.HysE.O3jf2EaFWZtGUZpw5iSSkmFW.70w6/S	36	2013-08-03 02:31:36.313898	2013-08-03 02:31:45.472339	94		0
6085	104eo7myt427aaeju46z16d192	$2a$07$KJZ/i8Cjf7xs54Q8gIPCreYyzs5H8gH/I9E/e6PoAEfCU1Vv/dfpu	37	2013-08-03 02:31:36.335057	2013-08-03 02:31:45.818611	94		0
6086	106xv41xf77l4spai3evot6jzr	$2a$07$kDHdOav/7Tm4p675S2BwV.H/imJtqaRh78IHLeJvUUJezEo5.mnH2	38	2013-08-03 02:31:36.356374	2013-08-03 02:31:46.146462	94		0
6087	1084ng0bx9kfqk0x5oazertb0k	$2a$07$53DtiKMG7LY1fEvEe2Azqe2mgva3NjQQ0MwJvFoT5rIkEg8XbuBju	39	2013-08-03 02:31:36.377846	2013-08-03 02:31:46.255214	94		0
6088	104hq196z9hd78l3l5cy1qsc9l	$2a$07$o7f1/4/fCn9CgqDKI9UFxeXcATih0M.VaMqwL9rEnvnK.iOtY1LcW	40	2013-08-03 02:31:36.399058	2013-08-03 02:31:46.509021	94		0
6089	10x9glk0gzcngnlofyajlmelou	$2a$07$HR/1W27wQicOLepIeVtWQOZ9jL1Y0nXjTiq4Zdde.MGXko66qe/pK	41	2013-08-03 02:31:36.420459	2013-08-03 02:31:46.63967	94		0
6090	10m4mkbrcsyqflrlnubegipvb5	$2a$07$bxqViLL22xeqa8nOPAsS/uFnuERpa/oB6SxPUEJ5WsAl4/FyFIMki	42	2013-08-03 02:31:36.442904	2013-08-03 02:31:46.800523	94		0
6091	10ud50n9obaw63tizohnpkl6p0	$2a$07$5LYFcf1gOgv2sOAmNyFvS.T8.EJFsUcjVWpY9UTxCwQifjsuSyRwq	43	2013-08-03 02:31:36.466072	2013-08-03 02:31:47.189433	94		0
6092	100kljni520dbihm98x8woqswl	$2a$07$J0JGIdYlFmHOVarR8S/bkuIdy3/72IlMHJfUhjFou7LGxoUtgZAn2	44	2013-08-03 02:31:36.487515	2013-08-03 02:31:47.351957	94		0
6093	10s6rkw6cdwtam2z05wgplasgf	$2a$07$cl.FQnAOVVtCuErOLDG/Be95D6XKOYbSNAbtH7Ldp/D9WIl9xEYKy	45	2013-08-03 02:31:36.508884	2013-08-03 02:31:47.600314	94		0
6094	10fcf9apoa5iitlr2h4bqyetu9	$2a$07$5oGx6zgqtng71jggmJzSeOedETyiABlmVunwj/fcCiIjvajGPow5W	46	2013-08-03 02:31:36.530539	2013-08-03 02:31:47.802159	94		0
6095	10lizbe7sp51613axr9dr9vbqs	$2a$07$tKocdBMTebR0KDBDyNy.HewXDUQKSQ9Ve1YhcUIlJGIC3YsdUyfA6	47	2013-08-03 02:31:36.551859	2013-08-03 02:31:48.022822	94		0
6096	10tl21bjtxw20vj7evbxnqnwmo	$2a$07$pbsrv8egj69EZq/I1Y6eOOFC0Q6cBOCk4GHvjbi165Yw2EuC0t4y6	48	2013-08-03 02:31:36.574218	2013-08-03 02:31:48.25909	94		0
6097	10l9z1uqf38bht16n919e2gaxb	$2a$07$V/zO1WkvRjz6.rQSP.A5S.FARmptMfi7WbaGJiYPePQbkbXjuJ0OO	49	2013-08-03 02:31:36.59565	2013-08-03 02:31:48.386431	94		0
6098	106awkprd5utkpqo72c062rv6q	$2a$07$BsRFPn5RezUz2.1VuBQUjulAIncV/hzIkAGQG1MQvOw2A7uotIzW.	50	2013-08-03 02:31:36.617149	2013-08-03 02:31:48.531121	94		0
6099	10zu64ifk46ddoexjrgmduxxlu	$2a$07$tRpHNVO5VqwxnlNYHz9fBOLqyDAiD8tROj0eBcIEYbIvzLULrn2ui	51	2013-08-03 02:31:36.638935	2013-08-03 02:31:48.682038	94		0
6100	10vozjbvo3o1eo37ggizaci6ji	$2a$07$9CX20Gcn0PeGNX24wh/LPus8qs8YlDikngFsCLLdIYf6CXBQ3fxsS	52	2013-08-03 02:31:36.660299	2013-08-03 02:31:48.811776	94		0
6101	10oar28vvkj4gey6ebt2xgotsb	$2a$07$S0Nh9YjdcL8ThowtJ1tmN.j/QReFzCF1z/hc8HA7mi4bofAoiR5r.	53	2013-08-03 02:31:36.681571	2013-08-03 02:31:48.931133	94		0
6102	10mxp57uu75zp0dtad2isf1yzx	$2a$07$vd54mamPIxtZuVxxu1rc1uemYBZlFDpZQIFkv3iJazoDdF3GpTdK6	54	2013-08-03 02:31:36.702832	2013-08-03 02:31:49.056673	94		0
6103	10t1w46mj4nc90u23aucdr76j2	$2a$07$t4wYT9IVyBMn7YCerNes/uQFEOm8id2i0sSVpXNgkoBMCkIIEsoK.	55	2013-08-03 02:31:36.725697	2013-08-03 02:31:49.232427	94		0
6104	10eh5g71oirpjfir240kapitdb	$2a$07$iwHwv4dLd4bQTsp6AfIcr.ui5V5Rru5o0aBNDCiwx9yeOtCPtcA4y	56	2013-08-03 02:31:36.747109	2013-08-03 02:31:49.431705	94		0
6105	10ifn19cdlbfg64fwm89og35ih	$2a$07$BcPH.H9B3iIn6umRQgFjM.4eLgbrO.vOZy19.a675gQkLTdn13/4K	57	2013-08-03 02:31:36.768431	2013-08-03 02:31:49.737077	94		0
6106	10afjmhdg7tsyf2s3ioh07gqna	$2a$07$BpgD.qO1YFvsw7cYIZLBneBcI7uzxtGLyCwlIAGsJCXU9yGXsAkS6	58	2013-08-03 02:31:36.79131	2013-08-03 02:31:49.904366	94		0
6107	10yj8il7njwymex1galwvd6gvx	$2a$07$MFB5UPdp0ZAJLdDqLfHkbeoCEAt9Qk.L7J8Kb0kBEzlPVMwdJtK1u	59	2013-08-03 02:31:36.814523	2013-08-03 02:31:50.106873	94		0
6108	10cstxxwwiz8afl7vh8elpqvtg	$2a$07$NeG.LEv4QVOb5yo21fYe2ufs/iteECCYmpoCbNmlPcoQ73bF7p6z2	60	2013-08-03 02:31:36.836557	2013-08-03 02:31:50.4786	94		0
6109	10vdji29ndh8eego0u0erasidw	$2a$07$j6ScpM9U4cSJHqN/nObWluJ8d82LAUB4NuiDDNiQWcmo4fH45bCYa	61	2013-08-03 02:31:36.858	2013-08-03 02:31:53.17458	94		0
6110	10b3g4625l7c1i099ssyfa3mj8	$2a$07$Za/FOTKjn1V337bdbdwXI.ux8BIDePSS06Ra.CtoCtGysY01XhdHi	62	2013-08-03 02:31:36.881946	2013-08-03 02:31:56.177137	94		0
6111	105yjlybor1zjkhun26sqttsxm	$2a$07$x4Lf4L4y3PhOI12nWfRQWuGOw22D2hReXsLZ02bjfeyLkhKwUckue	63	2013-08-03 02:31:36.906117	2013-08-03 02:31:59.271277	94		0
6112	10c61xqg5g19kq680eovrwsoro	$2a$07$h71pp6xcWTGGfpoJGXRW2ea8vGBKRfbB27EVD7aHKAGpwSJHGF4O2	64	2013-08-03 02:31:36.931137	2013-08-03 02:31:59.400656	94		0
6113	10ectjmb56k5wk0h28n3pu98le	$2a$07$H56hlFEATzgrvelf2LhFsu3p/FqOh7HCN0ixm.xxMDrKnIVbYJgdS	65	2013-08-03 02:31:36.969401	2013-08-03 02:31:59.66053	94		0
6114	10edmvc9zhxzscmwk4idbec0e5	$2a$07$m34rAyempgIwWwT3hsMLJ.LPr6XkEbmjMTlOEp4JzwShPJshJMOea	66	2013-08-03 02:31:36.996867	2013-08-03 02:31:59.799902	94		0
6115	105uha0wgoqlluwc8vl63k4z0j	$2a$07$b07AqrSOlu22RbkPLtu7GO3v9gKbYANQilvtYn14iudTm41Ri7iFe	67	2013-08-03 02:31:37.025553	2013-08-03 02:31:59.937865	94		0
6116	105mecbcqfo6fsi4mac8ql9rhj	$2a$07$7teAezHH3wsS5utydpkKrOm6VPPbD3lA6eUW9BM6roeErDxHBzR3C	68	2013-08-03 02:31:37.04976	2013-08-03 02:32:00.30962	94		0
6117	103jpop90av7sd7uhxdq44vtct	$2a$07$8MTB5B2HHfySfvbHWK9dr.rSJxpExABhk9qeqJ851TFgy6rGf3EUS	69	2013-08-03 02:31:37.074157	2013-08-03 02:32:00.536533	94		0
6118	10zdy99q49irfg4okqnvt306dn	$2a$07$aVC7n7QnfA.S2/yBrCSql.vyXiFRf8yZimHawMy4ljZ0n71bvMhBy	70	2013-08-03 02:31:37.101876	2013-08-03 02:32:00.916666	94		0
6119	10blufys721axid37wz89dwqza	$2a$07$wEy0GQ6ijVV7dB7F34SjU.fEuEDPBmAbDcCmtP6IZ5fMRzIhrsG6O	71	2013-08-03 02:31:37.137123	2013-08-03 02:32:01.057219	94		0
6120	101p7vo83k83cl9ygcqaihd2oq	$2a$07$z1I624U0QE2tQEtEMv2.UeZS62lt428Klz4aHj/o3ENzTVm79sL1C	72	2013-08-03 02:31:37.158795	2013-08-03 02:32:01.285566	94		0
6121	10yi6t3xaap496pw6v5j8klgh7	$2a$07$0eHhVwh1sxmjKcsQjwsgOedFnHHbCmyrKburiXIFmYrKXLa9J.nvS	73	2013-08-03 02:31:37.180141	2013-08-03 02:32:01.432804	94		0
6122	10cp4jgj1cgivxijoo8jfhz1tr	$2a$07$DEVeSyGku6QhizPIUh4GzeQCYVmkr93HPBrxuBPRQwqq0gAg9dUn6	74	2013-08-03 02:31:37.201635	2013-08-03 02:32:01.824924	94		0
6123	100wl0bzew5h5ote20mynbk38a	$2a$07$eATBU6NJpNAE71Ujk1JcPuS9qaXFSBKXzj8TTts/u0V.b0.oeR/da	75	2013-08-03 02:31:37.222919	2013-08-03 02:32:02.051537	94		0
6124	10g6gc2lzrv2ie7vquzzcaqu95	$2a$07$9qa.S5gCvVcFVPPPq6JO1.OTvh9KJe2b1xmbb7qD/tEzT7JEXpzge	76	2013-08-03 02:31:37.245442	2013-08-03 02:32:02.417862	94		0
6125	10ku87ru2f1j68qtiz0yvpg51h	$2a$07$Dn9gKNBKjan.dZl04ZldyOd59fTBMysGNH42fhAS4zRiTgHjUh7Va	77	2013-08-03 02:31:37.267286	2013-08-03 02:32:02.785103	94		0
6126	10dwchpbohmlxnrvnubfg9slb9	$2a$07$QB2tUcNMVWCALnRKwVFDbOI2vf054Pwfyg4pTBUOBEaYWYvmYyjie	78	2013-08-03 02:31:37.289102	2013-08-03 02:32:03.125007	94		0
6127	10vt5ogs39ij1vgmsr7ufzhkar	$2a$07$WLHc0Ytc6FkXnQyyWoqMMOI58p93bqqiYgozESN3ILBxcx7Xo8..K	79	2013-08-03 02:31:37.311088	2013-08-03 02:32:03.472917	94		0
6128	10xljvqz004ly53g7qu10pq9jt	$2a$07$Zaq0fHjBKMiVXbgMsVYwTuP29q2eD0vOUN2xdVpSkg/S3rovC8U1i	80	2013-08-03 02:31:37.333517	2013-08-03 02:32:03.619202	94		0
6129	10lv7z6hles7f7jq4oq7juk3xz	$2a$07$TSGEN6HDsvs0wPxo16AWLeeu/XN5NNHGaTYR/FeSi9MOqLl4OptXy	81	2013-08-03 02:31:37.356687	2013-08-03 02:32:03.820901	94		0
6130	106ymg2wzkbrnsnnsbxsrh66bs	$2a$07$JyC6G/bhKsja6DHI6hm3z.bVh65kEUUo2lq8/TAkvrbe/jsHXP6yG	82	2013-08-03 02:31:37.378348	2013-08-03 02:32:03.985556	94		0
6131	10habm3breub788l30la01ctm7	$2a$07$uSC2JP/6I2Dd3LRR9T5FTOfuJNf8xa7wtnxz3axsXiCeE6L1wPQgq	83	2013-08-03 02:31:37.400138	2013-08-03 02:32:04.11733	94		0
6132	105z7umogg9pgyoqbrbbhr42qc	$2a$07$L5K/Tu3LlAzLBCthfcSpceqYT9jbhWAzcTDfDLtjT.v/IdchusTtK	84	2013-08-03 02:31:37.422226	2013-08-03 02:32:07.177166	94		0
6979	10rdc7ynyv00um2eumovldcyht	$2a$07$CWkb46GLEGhunu8AnTye5ukndRIVqT43irgq912d/9uFM/kTT3qT.	7	2013-08-03 17:24:59.238214	2013-08-03 17:25:02.834317	106		0
6980	10s6gs1gbn82fokhobmtxhpg99	$2a$07$VE1ON9xzb/hrzqu14/5uye0.oOqPWhn8QI3Nq37Vl.yWPmi7IYrWy	8	2013-08-03 17:24:59.27712	2013-08-03 17:25:03.29747	106		0
6981	10nfcuadj62e8rig5ujku6gewz	$2a$07$snyogjCi5OiIKK/.dILAOe00AeyGpqtXl/2KOnIq7YAp1gLQ1eaPG	9	2013-08-03 17:24:59.29996	2013-08-03 17:25:03.612452	106		0
6982	101yqjfciwl3mrm3tpqz4fypy7	$2a$07$1z.noCB0iA.8zWgm/Z5ArOKw3./WOA.u8MTUwe6E4GdhM0YHZr3kS	10	2013-08-03 17:24:59.324298	2013-08-03 17:25:03.748382	106		0
6983	10dep921iddivwk6ay75c7tl4h	$2a$07$Z5Ld6UEzAk9IXsaBf9KSYu8QIdMPxodGUPGu/FF2AAz.W/rYinFNS	11	2013-08-03 17:24:59.35621	2013-08-03 17:25:03.887412	106		0
6984	1003a3gwglgq3fshq8ku0kw97b	$2a$07$YeD8L4fOASWFEMCSHD94GeATiwfzLHXsAmyOlOOzdm48ZIE0GIiXK	12	2013-08-03 17:24:59.394049	2013-08-03 17:25:04.084319	106		0
6985	1033qn92tjr6p69t8hqye16adu	$2a$07$Vc8mOlGAJQZBTJ3WaxH7lOXUqxbNc86r8R9hoZPOQfgg/IBhvQPWe	13	2013-08-03 17:24:59.419542	2013-08-03 17:25:04.442323	106		0
6986	10459i1q6rg61buf2sknfjerho	$2a$07$k1MnHwrObkUMPGATAg0BhucWAx2XJpcta9EjWAyCGxMR2p9.SwSTi	14	2013-08-03 17:24:59.447059	2013-08-03 17:25:04.814023	106		0
6987	10r38hqffcasend9sfx9kxmm9j	$2a$07$x5gy59/XxVSfizHEyx7HEOa65lP10.qvxMjH6v0ebP8cdSdGO8y/.	15	2013-08-03 17:24:59.470594	2013-08-03 17:25:05.164242	106		0
6988	10eejhl10j7fsf76dgm8fzr14w	$2a$07$0Jgf5O.fu5FLXGY61fkrjus.T7UxY9WyqF.JzGocWnt81cgeTWQqO	16	2013-08-03 17:24:59.494598	2013-08-03 17:25:05.411941	106		0
6989	10z84d58h926lakolb6jqgi5xq	$2a$07$hgfBV6MtgjmlU3WDY9PaAeM8khc5mdgDP2/f/hDRltxwgBEnBiIai	17	2013-08-03 17:24:59.528528	2013-08-03 17:25:05.537367	106		0
6990	10houw1hnexlsfku5si9wvrk6j	$2a$07$dBIlo7t75YkW9N84VaC/BOOOQ4gPyQL5HO0.LhHi5oJ2igl/kD.u.	18	2013-08-03 17:24:59.554244	2013-08-03 17:25:05.816824	106		0
6991	1049y4gcuk4re2qokkaqel7fz0	$2a$07$JH7doXhgwXGJgKoTMEIUoOiYthVxtXfaGf0gDLmTGF2jm37wJ1vCO	19	2013-08-03 17:24:59.576609	2013-08-03 17:25:06.081974	106		0
6992	10ir8soaa9gj28luu0x7l74tqz	$2a$07$Yb8N0nPU5cNXzqqGr7n2iuc6dyY.vj.16lr/L6.4Llcfcs4mLZuI6	20	2013-08-03 17:24:59.599352	2013-08-03 17:25:06.287431	106		0
6993	10tirfe6jojl14r3822ruwbknd	$2a$07$GJMYS/IpRW0YNSC7YWGt4epCTU4JaOJ0N.DiM7xCWln211dTeeLde	21	2013-08-03 17:24:59.623429	2013-08-03 17:25:06.467598	106		0
6994	10vezln0e3m37o30ec40zo3cxr	$2a$07$d1kICZEXnewv3zTcG.V8Nu62dTINTEHGl90M8BNrdgC4fdogV9iHy	22	2013-08-03 17:24:59.657012	2013-08-03 17:25:06.784649	106		0
6995	10mpdw6fk0d6wvpzyjpxi0q90j	$2a$07$S42.HCSrwh.B9lCyc.ZQJO3vX8DmEFqY1BclXC0aA3B7Jas7HdjpS	23	2013-08-03 17:24:59.680676	2013-08-03 17:25:06.983197	106		0
6996	10uby1wv54l5n869bw4v3avul6	$2a$07$Rupxvlm/Dj8p.fqkHbXOseWTF5Ij1y/5DAdfbQgQVoDfeeUMpmfCe	24	2013-08-03 17:24:59.719581	2013-08-03 17:25:07.349398	106		0
6997	101kyesz3f8feq2jujlu7blfij	$2a$07$aJ4etgDMWEVTNWVR8OS8YuC.Sbvht4dIgZ8kOiuhYK4vZ.y.aPXk.	25	2013-08-03 17:24:59.749095	2013-08-03 17:25:07.702962	106		0
6998	10znemjume3os2gun5fqlewrko	$2a$07$dPj/pd1yAO3u8DJIXjlNc.WQCYRi1S4E1cY5mx2EAU4JdPyoaPGxm	26	2013-08-03 17:24:59.773222	2013-08-03 17:25:08.081264	106		0
6999	10ys1a0fwqc0tl7izfyh57bqy8	$2a$07$iD.LbifGGMX9E1UjN41xrOvAmmiT3F8IUlgSn1iiaD.W8iRYZvOcm	27	2013-08-03 17:24:59.796974	2013-08-03 17:25:08.380977	106		0
7000	10yliw388oxgvsdmsavrr6dwdu	$2a$07$3lhwcXBgSifZbOUTldxXOOy2/cL0xNLbZ4JN5m2lCOpsApPiPMKvO	28	2013-08-03 17:24:59.820148	2013-08-03 17:25:08.526132	106		0
7001	10144i16mgj937cyaiq2azzifg	$2a$07$67EHe2yRCjE0bffO7DBui.xDdbxFESvP96cTdODxLml2k9b6HSBEK	29	2013-08-03 17:24:59.842595	2013-08-03 17:25:08.659638	106		0
7002	10unmw13n9kfjkjou53tn0mgx5	$2a$07$lsIpfbvDcH9Gd2a/5pPy9OYoA.mq.xrDYAtU3CYcLAbGYIFSEojWa	30	2013-08-03 17:24:59.865664	2013-08-03 17:25:08.805769	106		0
7003	106yyh0ts6etsgar7apapipzoi	$2a$07$SJ86ATtWcIJsEidIzV34JeeD8LTxT93h1x27Bb7kUv1CwZQsvl9OG	31	2013-08-03 17:24:59.887529	2013-08-03 17:25:09.149742	106		0
7004	10hs6s1nykeq7q6e9dk9tsvmy3	$2a$07$fsoUxnmV6HaxTlCcZXb.0.2V/tWLvPhOZ4U9NQacvGtVnZNwWUSxq	32	2013-08-03 17:24:59.91192	2013-08-03 17:25:09.334562	106		0
7005	107t5zykecckyg6fdrkdts5zxb	$2a$07$b7AhzeCeQwk8TrTz5qo/p.L.d6rMmfo8uhniSR7SR78SMmKQL0Cq2	33	2013-08-03 17:24:59.937395	2013-08-03 17:25:09.456944	106		0
7006	106p6psrm4u0c89gs8jw0qllyv	$2a$07$3xdIs3SQepuoNzwYDPHbaOCypa/HbJyL.aQRf5RBhFsvKhjXNUZqq	34	2013-08-03 17:24:59.961414	2013-08-03 17:25:09.841639	106		0
7007	100amift3pml3gbqngtn6pcj3a	$2a$07$SpTS32z4Z6KZY1gbNgL6xu/X83uo4kxZCGCmdSCHCd.Usd5nutQC.	35	2013-08-03 17:24:59.985899	2013-08-03 17:25:09.97638	106		0
7008	10belva0664rxs1k16x9mxbuh4	$2a$07$qjRW2A3ESzmru4emi2GBku0KNTrI3c6XACGSAjDc/9QBYHv/43/a6	36	2013-08-03 17:25:00.01427	2013-08-03 17:25:10.118764	106		0
7009	10ezzr37mo8559iyo1czm5gvvx	$2a$07$mGtojt6mHqd/IxCOJbeFdOaeco1H4riPTnBSaIVv6Pd9rKHSsw4fu	37	2013-08-03 17:25:00.039349	2013-08-03 17:25:10.39221	106		0
7010	10jek8q7538u5vd3q1nlyk16jc	$2a$07$2nP.Uy9FajeQukk.OkhoLeIXQvNHWljfI6R/yt2bbufv3HG5ibOF2	38	2013-08-03 17:25:00.063634	2013-08-03 17:25:10.528726	106		0
7011	104oth7fnrn65ostgu2082ikle	$2a$07$/yOJPVs4dd91Vq5K6H0m1.CQrWYZnK80ukw8Y5cRt6P1CniDpq.PG	39	2013-08-03 17:25:00.087483	2013-08-03 17:25:10.637291	106		0
7012	10qtmxmd0c7kyxe7oymlwjtlst	$2a$07$YbwM2rnk1a/rjJ3hYnGm5O/RAYiIMrLLsXtkfvRIMNYAn3Oq3N.V.	40	2013-08-03 17:25:00.110483	2013-08-03 17:25:10.73824	106		0
7013	108uayznu1g2r65koty0sygvcp	$2a$07$sWlQ236q4ZsjZn38mANQ/u/5KvzBNOzuLmMXFv1bdaBtZz4KHXBEi	41	2013-08-03 17:25:00.134031	2013-08-03 17:25:10.881106	106		0
7014	10torlzcb736tmrz06onv5orry	$2a$07$fXXbvdMj/6wlBt.9zWEhCOM3m0xqxE3GsufBpMHGZKXiIqiXPUuR6	42	2013-08-03 17:25:00.158429	2013-08-03 17:25:11.114875	106		0
7015	100ipbpvs3mha5be1yqf3wy3gt	$2a$07$fbOluvyR9wJ1anpc9DUFmu8L3Wr/piaPBzU9gisMih8pOo8WP9gg2	43	2013-08-03 17:25:00.180617	2013-08-03 17:25:11.333159	106		0
7016	10br6oi4mw2uel7rv631vtamwd	$2a$07$I/TCNR3q5ax5Nf/9FF0wrOnwIKEk9RrS3m5O6NTBYESVcwiuXe8O2	44	2013-08-03 17:25:00.20475	2013-08-03 17:25:11.468033	106		0
7017	10xrmlv0bcfnrymhdacqzar1hr	$2a$07$vKh/4ZBxt.ziF2V2ke5k9.PuIaQ6uH83ry5a5Tdsing1mBQHZw6Ei	45	2013-08-03 17:25:00.227204	2013-08-03 17:25:11.650143	106		0
7018	109ng1w8tjfvqpf5falfcugzwj	$2a$07$T/xGrDBVCE1AQTiVijfw2e3cnNmtq45tFt97g3PjXrxtTUceybWse	46	2013-08-03 17:25:00.25804	2013-08-03 17:25:11.775083	106		0
7019	10eog2qgpu4sfytpxxbfjt1ddv	$2a$07$JH/H13ddAHCcUaqeOK8AXO3yMtUUfFv.VoaKW5cIbq6kk08D9zlmu	47	2013-08-03 17:25:00.284027	2013-08-03 17:25:11.981938	106		0
7020	102cdmtpzabu3v9qi3k9p368z2	$2a$07$klumg15Z.izWq23P4h4iVOphuGJPnwVH1MnxKBSDExDo5h0F1xh0O	48	2013-08-03 17:25:00.307969	2013-08-03 17:25:12.201807	106		0
7021	10ieevmygj98qm4qdp2rl9g18h	$2a$07$mCyRRw0sui5.m2Fwt78igubs48HxUMvx7S9PIR3PDcxND.9o81Idq	49	2013-08-03 17:25:00.329883	2013-08-03 17:25:12.366488	106		0
7022	10yx1ec2gs84qjrc0jevoh6uwi	$2a$07$9YMQw8d1DnsNDxL6tpTLe.fjvOwQ7ac0SMU47Y.GSP.ne3hG6wASm	50	2013-08-03 17:25:00.353038	2013-08-03 17:25:12.500193	106		0
7023	10h88zld9fuiotsbe3i6gc4ac0	$2a$07$6mi995tOwmkJNTkNqQE3uuL.ZJKI23qZCGXNcN8Ch5X3ydAiO3sEq	51	2013-08-03 17:25:00.375073	2013-08-03 17:25:12.637853	106		0
7024	10cn9bgn6mo9cprflltwurntj2	$2a$07$CqlWdWELBpIDfdcjuLBrHeQoEkG7XjSA7bazeqSJYgbVb1okhrTsa	52	2013-08-03 17:25:00.398578	2013-08-03 17:25:12.752411	106		0
7025	107titsfzdh8kfi1m1ihs56t0f	$2a$07$wO/Q85WKCd7Wlrt52nB90.gLkAGQwpEVd8WQ2Rk10s61UZyRwhuvO	53	2013-08-03 17:25:00.422609	2013-08-03 17:25:12.88332	106		0
7026	10i9111akmwgb7lr6i5oniyw5e	$2a$07$pb1JRr1zOHRktY4qdqCDDOU6AmAxGCs.hPnXaQz5xKCqfX6crFe8y	54	2013-08-03 17:25:00.445828	2013-08-03 17:25:13.017192	106		0
7027	10pj0y31d84vdvwr01o4s8aci9	$2a$07$nEh94ahEBrmDLD6uehUimuo6E/3dt.pvKB85CLTWUEEhrDuMXom0.	55	2013-08-03 17:25:00.468714	2013-08-03 17:25:13.277478	106		0
7028	10mq3ydb3nl49hjcjdsa554a08	$2a$07$WEZXIDTi.Ukd86LumkzC7u1TCj5eLm1Xht6tvYezESb1fpaxPHm2e	56	2013-08-03 17:25:00.492175	2013-08-03 17:25:13.469523	106		0
7029	10c1zje0lgusrhjew8cy8nkdrk	$2a$07$jzweyhRf.J21VkaLAi7L4O3xdX52MY/UYabBSMgPJR5hDpaDEzVPC	57	2013-08-03 17:25:00.520602	2013-08-03 17:25:13.724406	106		0
7030	10ajx9dmdtmgtf53thp7p1x902	$2a$07$SfgdZhOwDH7zmLZM6d0n6Ou1BW/Jc4b0ADJGX3t.6rRHcANGteENK	58	2013-08-03 17:25:00.557355	2013-08-03 17:25:14.033722	106		0
7031	10idbveka3ccktgz4urhc5u9u1	$2a$07$8UNQPM3Jlfh1KfmaJryHA.RLeD9S.tvrZLD8oFdr9gQZhPr9t1QqS	59	2013-08-03 17:25:00.583599	2013-08-03 17:25:14.273407	106		0
7032	10w0g5cgv7aaj3bnqiefj8rezg	$2a$07$qVtuYjCALywt1dyYKAfC1Oo2H8S9EI24oec96WNhGTIaTTDoCewZO	60	2013-08-03 17:25:00.619175	2013-08-03 17:25:14.55206	106		0
7033	102ir6t173hl86z0eicao7uwck	$2a$07$FAY4fyys/EgH.AxXDaDH8.Nm1NIN06sGw/wU3lEfal.5deKaawDfG	61	2013-08-03 17:25:00.647413	2013-08-03 17:25:17.291311	106		0
7034	10hkkgtmt2oe2ju0ahz47mbm1o	$2a$07$02Y5h.l9SNc6SLQaBU.4k.vqf9IoHz8OsP02ydNYy1uq/PBsqvbvu	62	2013-08-03 17:25:00.670939	2013-08-03 17:25:20.426702	106		0
7035	10exs8hy9gsm6zlxzif5094u5x	$2a$07$PDMHWqutJCf8L7VHFUWEweTKMvnhNEe7hdGNOTaql5.sI9fivxhKG	63	2013-08-03 17:25:00.692903	2013-08-03 17:25:23.305475	106		0
7036	10x7tk6d8br6kgo20mdrzn5uqz	$2a$07$QKGmoseCC94dkhCyQoKzl.B3902JGa7//Nyk.FnUidCdw5PLC.wk2	64	2013-08-03 17:25:00.716176	2013-08-03 17:25:23.653966	106		0
7037	102t51cps69g0tu9v3tqc8bo1k	$2a$07$pRsxF.hNKGW5gsOoD2/Oe.EV2WpjGQTPBZE2GW2DuOJsILe93r9UK	65	2013-08-03 17:25:00.738504	2013-08-03 17:25:23.803836	106		0
7038	101kpbivpqbkkvdjt7q1og5e7e	$2a$07$7TgHxPaY9/IQvQgWbUeR6e44kt8OBxJ5LH8qi.rJObsTRzka3WW9u	66	2013-08-03 17:25:00.761385	2013-08-03 17:25:24.236703	106		0
7039	10bxswar4a6e12pkftml25fkqd	$2a$07$eDUsqo3b7vk7yJvl9MZpZe5xp1JJaIP74D4.FownI4dobEJAt.Qz6	67	2013-08-03 17:25:00.784973	2013-08-03 17:25:24.605034	106		0
7040	10puqokgp6jy37sleg6oqw4sew	$2a$07$PBunPSx17BCZ6M3cCkIpQuUj3jALd.54Y.OSz76navv4SDDVEfMF2	68	2013-08-03 17:25:00.824082	2013-08-03 17:25:24.973585	106		0
7041	10kia6j7u7u4wy5c5rtssncw5q	$2a$07$rO8kW4itE2DGHeB7aFQ/hOqHnRCLNON6pXysLea4gbKpsCLopWJjq	69	2013-08-03 17:25:00.85171	2013-08-03 17:25:25.221162	106		0
7042	10zgx08b353cgod2g4wyogxx6l	$2a$07$En6rAwRpy5o4ccXSKX55IuywFkbDqCd.o4WkGCMvAJDLdLsrrV4Kq	70	2013-08-03 17:25:00.875349	2013-08-03 17:25:25.585351	106		0
7043	10jvdchm2ifglwcvzh78qasrjq	$2a$07$y9956xm0kDPIO.AWJRVY4O70G4aH..atr1QFClIgbsuYw/eIzEaQe	71	2013-08-03 17:25:00.89749	2013-08-03 17:25:25.965501	106		0
7044	105qh3f08v660xrr2y2fpf3nfo	$2a$07$ZmdnoepxHd.gPYxExHPDneyWoFwe0IwUAjmDlomRfmrQ.8s9c66o2	72	2013-08-03 17:25:00.92032	2013-08-03 17:25:26.199052	106		0
7045	10ta3guj1y9methl5on1rl65xz	$2a$07$KPh0LiAUoBT1jb/Jqa8qreE5lnTcJlTcRt77dXJOcn67QGkKrfXZ2	73	2013-08-03 17:25:00.944166	2013-08-03 17:25:26.346752	106		0
7046	10sl5nnj9anjywymbr2q8949fk	$2a$07$aBB03i7HPa0S9V2Il2rE/ubc9vcIxM0GrTJrWIBWn.Htdy0bZoTLu	74	2013-08-03 17:25:00.979899	2013-08-03 17:25:26.709577	106		0
7047	100o9sm0xkkpnejetdhvrudtk0	$2a$07$JVpebVTwQQsfXTzOAmYFd.WP/vq/gmi0DldYNPVKOTBkwRExLPlSC	75	2013-08-03 17:25:01.001385	2013-08-03 17:25:26.992304	106		0
7048	106q4ddi98wk8e9v8kj1mo1c6o	$2a$07$tbWL4.GR9U3tUBO3vIds2uloSjZNZsy0nMgoGa.iukVGwp754l4i6	76	2013-08-03 17:25:01.022852	2013-08-03 17:25:27.18064	106		0
7049	103pi3rx6r3zofsvpytjekiogq	$2a$07$4LBrDCCj29MVN55keQ6Lb.vVrPq2byRgANzcfJBlfP0Z4nCh.KR/q	77	2013-08-03 17:25:01.045836	2013-08-03 17:25:27.346627	106		0
7050	10po574nfxvl1i3bif8f5lu38a	$2a$07$Gf1hB4r5z3T5nP3LGofOXOlH/Ow1j07JLut9mUQOM7uisvb1Tew2W	78	2013-08-03 17:25:01.070845	2013-08-03 17:25:27.512054	106		0
7051	10cft0x88rps5glarrsvhayhpy	$2a$07$EUiou4VvzKVYqL4v07hlnOGt/jM9tFbafNqOPPWh1hudPTwVtfv8O	79	2013-08-03 17:25:01.095589	2013-08-03 17:25:27.710946	106		0
7052	10aeeuxbalx1st52aoh4v5tga0	$2a$07$f3E.Uwpo8zvzRskiJ1T1Ee/3fbrw6QfRMwMQ1FZCaIjYrU3oov4bS	80	2013-08-03 17:25:01.127898	2013-08-03 17:25:27.839726	106		0
7053	10jxc30ycvtpebd623roalyamk	$2a$07$FoGNWjVJvPqOJtxmkmFQAur4ftCbPHQPjIFzEIM08KnDwVqsg4Qkm	81	2013-08-03 17:25:01.152879	2013-08-03 17:25:27.956075	106		0
7054	10iksmthpdtuzaay9qu5zjpnnj	$2a$07$GpttKaLKvDSojpvpazRhI.DyFB1vB8aZGb/n4Bb7XvgZWYt3aSC3S	82	2013-08-03 17:25:01.17636	2013-08-03 17:25:28.266764	106		0
7055	10l8s7nubi5vl9sln6xl4qu4c2	$2a$07$vgTMEed3EgzKNTxrlm4ESu3gdF9SOlAdGSLcdmxgGBu8zd8zaE0te	83	2013-08-03 17:25:01.19934	2013-08-03 17:25:28.586926	106		0
7056	10tr8wgz8bvi2vqivt7q0f4cmo	$2a$07$KmtOOr9CxR1APr5yoDyb2uixhVrRFWVsF7nPt03joWb.olQiojDw.	84	2013-08-03 17:25:01.222868	2013-08-03 17:25:31.544084	106		0
11058	106wg0gujg14bvxvw2dwg14pw8	$2a$07$eHYRIqe1KNouCd6tPG0YTOuauuwP0oSVWEBWuyOD9VShSnizF3vRi	54	2013-08-03 20:26:39.499261	2013-08-03 20:26:56.101394	143		0
11059	1012k0rwtfeoojbsxzt1rolwjw	$2a$07$cjrnUcHqg6gnPdY721/nO.2yFBiQshGIpgGRcfN/nhKd.fItXam0m	55	2013-08-03 20:26:39.522535	2013-08-03 20:26:56.278365	143		0
11060	10bqwdl7sskljkafd6qdhuulz2	$2a$07$S6xBwwFOj56sJyfcDAwTP.oGC5nrGlzR18xmJ5/n.dITTPuoPbclK	56	2013-08-03 20:26:39.54636	2013-08-03 20:26:56.431431	143		0
11061	10p0jtkd4vahu2snhvnff7bkke	$2a$07$UFcnf4ANczizyyLQGWwSzuYzxw3hrOBw0eME3AgPHx2nIxladDvqK	57	2013-08-03 20:26:39.569619	2013-08-03 20:26:56.546334	143		0
11062	10vvy85p3zhgxh0h662jfec22u	$2a$07$EYU1205s6ADOdatzT8.CNO.Qnhy0nxMDVZOqc/JXpZIlJlNbINqw2	58	2013-08-03 20:26:39.593041	2013-08-03 20:26:56.846811	143		0
11063	10wwwrtvhx1x1f7n634txzc5re	$2a$07$ScTzMzyZhCfZfgCMIlXfXuMO7WT1MiuAb0OsClow1nrfMsoCwv9eS	59	2013-08-03 20:26:39.615123	2013-08-03 20:26:57.079657	143		0
6133	10jtbgmeiixlz2ubc1kej9r061	$2a$07$HoFnMR/x2WFmuxs24MLYweEgQe3qKZaltlBsFwe4zWVLE85pSw7J.	1	2013-08-03 02:36:45.68562	2013-08-03 02:36:47.836414	95		0
6134	1080y080lqppqs26rs2wedgzld	$2a$07$bZG8ElVXE1WKDCLg4kVSa.x2scr1/pqQLPKqsI6eyZq65Nf8HWr8y	2	2013-08-03 02:36:45.709817	2013-08-03 02:36:47.975945	95		0
6135	10w2gybcmiahgh7bnhch1ep2r5	$2a$07$VX.gCgoG0TNan0YXetnMdeUiZjYJ22/r6ZL2tBN17/87PMUi1mlbS	3	2013-08-03 02:36:45.731468	2013-08-03 02:36:48.113756	95		0
6136	10pf94xmkq2xgg311x4t44p3vc	$2a$07$mDKBdECq/Flqsy.DwE8/BOUwOZ3YMEUZvIwbFV/Ub2yi5iJyTYRRi	4	2013-08-03 02:36:45.754238	2013-08-03 02:36:48.253186	95		0
6137	10hx54r7eyyo8d9a0fsw0a675b	$2a$07$cP21YCLlseAfc.qOD0DLC.HCxK/oGbf1XkEl4dMytq5VHxxOwva5G	5	2013-08-03 02:36:45.77834	2013-08-03 02:36:48.373449	95		0
6138	10j0qyhu8vit5df5m9ty2xn7mc	$2a$07$1QdVQn60KCczNgfbaT/uDuzhPT5LUPavrZJkO0o/PcZT02bJQ7TQC	6	2013-08-03 02:36:45.814448	2013-08-03 02:36:48.666034	95		0
6139	101dew3edbrixw88jgjhlutn49	$2a$07$QzudFa.L5Y8eqHq6V729KO1WG8ZpNOJv4Tabb7cP8miUuAlWUN87e	7	2013-08-03 02:36:45.849427	2013-08-03 02:36:49.035156	95		0
6140	10kvm5iyj02kvutk93l0ul5dyt	$2a$07$rn9EvmokpizSKwqvWloIGOC8vn8CDEfY5HhfRchBSE5dl4z6rMCoa	8	2013-08-03 02:36:45.872515	2013-08-03 02:36:49.246377	95		0
6141	10g5c9wjgi38skwz8ext8u4poq	$2a$07$ygv1X29gjdzwNT2QuJLdIu4Ox5o9p3TIeq5GHkpl.kefImuCqADuS	9	2013-08-03 02:36:45.896025	2013-08-03 02:36:49.395213	95		0
6142	107m251lk6r7gp03b0j0zqtc7h	$2a$07$UfDI/JZJqa2d.aUnx3eYpu3KBF9FMQ.AJRziQRuPNUtKh5tNLsQxK	10	2013-08-03 02:36:45.921343	2013-08-03 02:36:49.523621	95		0
6143	10swd7pbsbjqw0ulyu2wm9uj36	$2a$07$8XQ3CkvDQfKyW4Fs9EECl.xYX4PESa6LJkKKYsAe4AnC/Fg8sZaeq	11	2013-08-03 02:36:45.951686	2013-08-03 02:36:49.678204	95		0
6144	103fh2ztcap1riqnsv91xpghyu	$2a$07$jlUshTvbO/rIKVpUGhm0H.AuMIRNUKRqkd9MC9DeYJ59WNqWVFsXm	12	2013-08-03 02:36:45.974976	2013-08-03 02:36:49.832228	95		0
6145	10l0punueiyk71mzzdtwi6p4iy	$2a$07$nMEyn8W7l.QAp.n6vPFhlO6ktjIyaPnAaIeCnKru4Voa87d9tq52q	13	2013-08-03 02:36:46.004671	2013-08-03 02:36:50.19925	95		0
6146	10taq2fuv8gryabnpebndn4nfb	$2a$07$L6BQJuiBQvaIq401bGUG/Ou1Z8ph6JYYagrrrSIoxDngjcWnuwFbO	14	2013-08-03 02:36:46.033407	2013-08-03 02:36:50.565216	95		0
6147	10adzfdwus353hmekpz69z5wvc	$2a$07$GI6oe7cpQfp6Qrt3L2s8Eub/ann7w2904IsgIakEraEOxUeZGJWr2	15	2013-08-03 02:36:46.05512	2013-08-03 02:36:50.929951	95		0
6148	10jvoq7fgy6f3u2hwysd1s4hit	$2a$07$o3znwK9C7QEJQJl0K6NJo.6yHhQRweI4HKhY7BAylo8din.z/aBa6	16	2013-08-03 02:36:46.076802	2013-08-03 02:36:51.127422	95		0
6149	102jmxfhidewm397qyt850y3s3	$2a$07$k/kFEUzIAOX9DE5GmOT7Q.Np6yjjnvDYE8g1q.FMJrm21Wro4CNGm	17	2013-08-03 02:36:46.098614	2013-08-03 02:36:51.333832	95		0
6150	104v5rbnvtwikb7zv50rq5r259	$2a$07$U/c0ef0Nms3D1Ev.EUtSGObktyaeKM.nSfmylqRBU3eNzXbb6Ad8m	18	2013-08-03 02:36:46.120104	2013-08-03 02:36:51.530952	95		0
6151	10q0eeb3sn2lc642mja3ioboih	$2a$07$tRmxacG7s0mDy4950NU3EePIU0RAqcWjUZupwYduufbcp5KBeigHm	19	2013-08-03 02:36:46.141739	2013-08-03 02:36:51.740226	95		0
6152	10h4nr2ryc8uwng95r1ny3tygj	$2a$07$k2XqXXeJEOSUeNCQ94CXue013V385cX6iOxn8VykssmbQYdm1lHTu	20	2013-08-03 02:36:46.163325	2013-08-03 02:36:51.943715	95		0
6153	10oeb66k62rihoxncvurcvyyph	$2a$07$9Mg6pR3Ro7FB5EFbsW4dRur5VCwXldKEPZCxia5Iy0AGIpRfPdlCq	21	2013-08-03 02:36:46.184953	2013-08-03 02:36:52.21816	95		0
6154	10gmsre8bdwfvgvuwdusxmot9v	$2a$07$pthyv9iVNiAFFs7i7y7ikOg87zeDzwlwcQtnAlbYm.gs9pse1bame	22	2013-08-03 02:36:46.206404	2013-08-03 02:36:52.601349	95		0
6155	104i87smc449rzqj92qws1dsnp	$2a$07$PzAdduTxNcWexiC8/GH96eBp7e.jmsd9fReXFJKuWsLpEdzVjUMcK	23	2013-08-03 02:36:46.229425	2013-08-03 02:36:52.965246	95		0
6156	100gsfdisecme6gyhabp6o8ckf	$2a$07$mGLmo.c39oG6lgiTUUFdaOUigG24UGfH7.8/QuykaxC6tcXr6FRPa	24	2013-08-03 02:36:46.252388	2013-08-03 02:36:53.288114	95		0
6157	10h3prx9eqxfyircuxbvs4osqu	$2a$07$IgxxreA7VhTWmNHlc9Rz9u1Y89WHcNDRUCZnSHmFM8roTbDiqMKDO	25	2013-08-03 02:36:46.274153	2013-08-03 02:36:53.503765	95		0
6158	10kbwhq16z34h0983u9ciglgij	$2a$07$UQ8fbOFGE7TCodEiOmsNzeu/R.aGJy85Wm6P1Wt8doLJVQxFituWC	26	2013-08-03 02:36:46.295717	2013-08-03 02:36:53.646334	95		0
6159	102f890leglrn8j5kfj3c9md1r	$2a$07$2ovxQy4zeHkIspx38tY6ZOc2ywc5AYMtNWbAm.9vEnJTQaEDuOMoy	27	2013-08-03 02:36:46.319857	2013-08-03 02:36:53.806714	95		0
6160	10vpuzcexofxsrgaltbg9sskzz	$2a$07$BsSH5N890tv.avLRg/WQd.v79d5Jc0IhpS5PxmtKlfAm7ahHWPwAK	28	2013-08-03 02:36:46.343281	2013-08-03 02:36:53.984492	95		0
6161	10i570qwb0zjypb11tsmn4ty6l	$2a$07$cvVumAYgMnQaw8ylCiQ6xOKJ2lFsOAjF72QbIMVyZPTb2zyEBtFWG	29	2013-08-03 02:36:46.364994	2013-08-03 02:36:54.127327	95		0
6162	10qsqncv2w04u2amzlyn3x3ufg	$2a$07$2KiOtsDO.n58RV.UGgfMQ.P1IqFT51GSbl.fhgPLiBdxm4JOf7IJO	30	2013-08-03 02:36:46.386482	2013-08-03 02:36:54.273158	95		0
6163	1064v0uuixjo61e5bcya6nbweh	$2a$07$wwMDacnlZljS6lvesP5aHuJWsbbOXGmuUXtwWpnsS0u5FPwv4OTmm	31	2013-08-03 02:36:46.408119	2013-08-03 02:36:54.408058	95		0
6164	10o599scd323trauym8y5h6w8g	$2a$07$2pifREP0BqZW0WXXfLvdZ.8hnJP03pbiR7kAXWFyyaO6/6eGpcS.C	32	2013-08-03 02:36:46.430063	2013-08-03 02:36:54.614533	95		0
6165	10myraob2onbvl6gpted48z71z	$2a$07$qh9QWIbNwZ3AZqgUEQBlaewlPdD0jo7nZ9LqyxVZvko/PNaelCb5K	33	2013-08-03 02:36:46.451865	2013-08-03 02:36:54.931355	95		0
6166	10ybdr7qfr4cahtiitwx2uv1ja	$2a$07$3jE4NAxB4cUUXYDzQtRgreQoYagmvhNCUWkNz/OuUnyxSRu3R4OA2	34	2013-08-03 02:36:46.47488	2013-08-03 02:36:55.21905	95		0
6167	10atdnr267sqc7ibqrgdq8dfom	$2a$07$yChuddsuUskVSGjqbmzM7umBSPzAqTGCKy29ucupsnRJ0OrQiCrde	35	2013-08-03 02:36:46.498501	2013-08-03 02:36:55.372095	95		0
6168	10ixv3ula6uir5espo9vt7tx65	$2a$07$Kbv7OeY/h8JdR7/mqjMObuJ.sdHPzhTwhOav3XpQgoKEDp7B4bO6i	36	2013-08-03 02:36:46.521112	2013-08-03 02:36:55.511163	95		0
6169	102b3449xbw3f2g2vo9wti8xm3	$2a$07$KbrenMN0nkgwotplXmjKsevt62ujnhDZ9PPOCHB305nPuT/gn6Su6	37	2013-08-03 02:36:46.542698	2013-08-03 02:36:55.744778	95		0
6170	10xkllx4p4106c00ga4k8isfzy	$2a$07$oSurHXwoN0Tg682XY4w7Ze7xhciGjlorB5BQPymH71hrsUDKIhaNC	38	2013-08-03 02:36:46.564111	2013-08-03 02:36:55.925533	95		0
6171	10kb6lkllm43gd6cea4lk2nnt2	$2a$07$SCev0euelZnfP4/hjjnWUeehg3aUkHoDXRqUS5t6clLxH9/KjaLH.	39	2013-08-03 02:36:46.587366	2013-08-03 02:36:56.21078	95		0
6172	10higgunozqinmcckh1eb1ps1m	$2a$07$.lgTWc9Uv6LGY/xBynFgIeFCa/QiCIS9E2s2UX4CTxIP6Cft1dbiq	40	2013-08-03 02:36:46.61162	2013-08-03 02:36:56.46439	95		0
6173	10d983hrqujo5pegppk9at2iai	$2a$07$J/oeDXt0avw4GqDBMoSBb.gi9AQ5DJ6WUE1YjAqvslG/DPOrdBqtm	41	2013-08-03 02:36:46.634593	2013-08-03 02:36:56.653613	95		0
6174	10zp2qjp6iliohcukfoamc8ojt	$2a$07$e.BX/RmfzkOj.wPQmBYeZ.mHHE6EB/HTSTbt4zzgCPVMHeTC0GbI2	42	2013-08-03 02:36:46.657734	2013-08-03 02:36:56.903193	95		0
6175	10y1wuzomhjga6rpil43xaapdl	$2a$07$iURhyVa9AUahYZzI7HCageNUkSwI1sPheKqeeQoxFzy0lD3U5vJ02	43	2013-08-03 02:36:46.681646	2013-08-03 02:36:57.135332	95		0
6176	10h5sv0t813whjdfrsf0fjsmm7	$2a$07$q7kGm9dkoVHjP11MMge1YePvw5ScoIi9RMOgaWUS65EWMiBQowSBq	44	2013-08-03 02:36:46.705004	2013-08-03 02:36:57.340243	95		0
6177	109z2w6rm6x2jre83lkz26cy6o	$2a$07$GRHwcV/rqSQLCmsYhxEaaO3sYYCOnQJ5nows90OmI9D6wlCbKSWra	45	2013-08-03 02:36:46.727928	2013-08-03 02:36:57.60879	95		0
6178	10k33z7m8bildfyo3ztnv4nwza	$2a$07$MItO2M3.j79iK3CvGDHOGOQkrSm98fBkM9Ee0LXOLNRSiOpGkNiqC	46	2013-08-03 02:36:46.751626	2013-08-03 02:36:57.979151	95		0
6179	10bgem1a8j90764fu67y1c8b7t	$2a$07$Z4JcTi.ZHLiy4/69990gbu7n4H7aPeQ0n.F1BTdbg.uWpPWADlIpq	47	2013-08-03 02:36:46.775454	2013-08-03 02:36:58.288747	95		0
6180	10xog78jnohurbjir2lkcz35ul	$2a$07$DnogOmljqHv3GS7/JXsVC.o85ZU4ftpIvST/c5wl8NwleGIM9MBAi	48	2013-08-03 02:36:46.809595	2013-08-03 02:36:58.423552	95		0
6181	101ue14m00cghr6wjnmsnrldwk	$2a$07$HhKaCLyvEq04n8D51lvR.OI1qkvE88HrldMmDCST4F/Tdtt1IWDrK	49	2013-08-03 02:36:46.833853	2013-08-03 02:36:58.569136	95		0
6182	10blccjnormmi88ee8th28z61c	$2a$07$EGo4wpvc9ku2YxrpGt57IeBGWe9Uolsi2CHKEmhBmOo/wgpnWD8zi	50	2013-08-03 02:36:46.862049	2013-08-03 02:36:58.698191	95		0
6183	10iu3h2vtzm3dnrxr2d363gtzg	$2a$07$FX/E4HrwxmzDew7jgf6hWurtvn9rTII8F.GuyGH1FlYWh33580jiK	51	2013-08-03 02:36:46.885468	2013-08-03 02:36:58.815188	95		0
6184	10b2jh48fmyiqdgr6mpbnvbgy1	$2a$07$prNjQSDi1yRz3OQ1aAr1.ut0RGT2qmqgpa2PpFCvpFvtaUjVRpI9i	52	2013-08-03 02:36:46.909584	2013-08-03 02:36:58.909576	95		0
6185	10qv0i73s6tfwbiushjbgmowjw	$2a$07$B9oAAnLWN72EOz79NwAAw.7KYa5DYZbEizdbUVZ2itZlDlAaEelc2	53	2013-08-03 02:36:46.93237	2013-08-03 02:36:59.041598	95		0
6186	10o0acwgpef20sdib656muu4d9	$2a$07$.WLYCgJWALxmulS7GGowDejd1zv6j3MG9ebb/8nXOoQQScsr.VzAe	54	2013-08-03 02:36:46.956741	2013-08-03 02:36:59.16965	95		0
6187	10m6lg85fpjnpnmk2u8fn7b00d	$2a$07$fgvd.F5.nlwC/iSxzWu/xOFOAsKIkA1D3HqaXMd/SulCFMPZUtv/e	55	2013-08-03 02:36:46.980158	2013-08-03 02:36:59.556424	95		0
6188	104ymcpe72xw2jxlf0q5slltu3	$2a$07$TIuFzr9Uf1da/KlWQuWVMev8djBSZ2QupObRiuhy5LtP9BGsamPBG	56	2013-08-03 02:36:47.004002	2013-08-03 02:36:59.92279	95		0
6189	10dmkjay89ijy7fyvnsi4i9af5	$2a$07$AJu/lS3Vq8hKdChAF9KxKudT8SWKtF9ZfqDOmiudlxwpYXf.HYDgy	57	2013-08-03 02:36:47.030222	2013-08-03 02:37:00.27942	95		0
6190	10xeadw62i7rq9sb206p7seh75	$2a$07$GVevhornxfMf9E6L2bI7O.RY6kVEgQHs.1rN18Gvf52Jcnb4ZY5CS	58	2013-08-03 02:36:47.052622	2013-08-03 02:37:00.657291	95		0
6191	10rp1muwycsu2bu28blkxo7pc7	$2a$07$ygS6dPubO/uSze4NsYqiJ.JehxfsvQPXESZyrkSD8tp1OLjQavDd.	59	2013-08-03 02:36:47.076052	2013-08-03 02:37:00.940814	95		0
6192	10hhpq5gnl3r7bmfsfoovcff5s	$2a$07$ZnurE1eR/yAA/WZu8pAc3O9Abjo/iA0vuWic7m.gz3ZdEOfuit.8S	60	2013-08-03 02:36:47.099252	2013-08-03 02:37:01.07555	95		0
6193	10op7k3c5ikl68rallw92toyz6	$2a$07$DfuKaTrPxrsSbws5ZslV7uyh2gjLPLPN4ygREeoFk2LuaoNjVd2yu	61	2013-08-03 02:36:47.131226	2013-08-03 02:37:03.825597	95		0
6194	10fjn8pcanhq6bi0x30bb9gfcc	$2a$07$S/aENI2qIB7fyIc78BBIgO4lUkPBAnQqeeAuOrBcc/ZTyEnlYkFXC	62	2013-08-03 02:36:47.154068	2013-08-03 02:37:06.957336	95		0
6195	1013yju88pwt54u1zghpzahnm4	$2a$07$qHE9BO3X76.2DzvyAWUV2up3p3MAkNzLNWL6L8mb3c/YoXFioXNyO	63	2013-08-03 02:36:47.177318	2013-08-03 02:37:10.071745	95		0
6196	107shebm1efhn2m1vrusy0mua1	$2a$07$q47kzS3l6oTPZ3QIzTtECuHvqcW.jzAVGwG/jLFK4xiZxCbfoiTji	64	2013-08-03 02:36:47.201239	2013-08-03 02:37:10.21345	95		0
6197	101ldhfj3tf42kfm7i6j1q1189	$2a$07$jSxEnXyPMgEx5S8DXvMgTOAQqNezzU.Rn8/GLsWzseX0zsJlzZV/G	65	2013-08-03 02:36:47.224392	2013-08-03 02:37:10.358771	95		0
6198	10a5fmlktubr6pdgvgtssjmrie	$2a$07$d9pLxbf9RTxifoXe3PkMOu1Vrn6mEif6r4SNOBRmxaiCtoWU0pkDO	66	2013-08-03 02:36:47.248205	2013-08-03 02:37:10.506846	95		0
6199	10gnpzpb42zyekwz9g291sxecm	$2a$07$ALSEL/7YG09sj4RSwzL5uOPbG5.tc9mpiqYEzCkrkU1hwnFNsHiYi	67	2013-08-03 02:36:47.27201	2013-08-03 02:37:10.661247	95		0
6200	10kqgpis9684sg6ph4ii6f13sa	$2a$07$TPwzt17eV./.eKGnWvw1mukEgY0Rt.WhjPWR9c/fYH2TyDzsJxBWG	68	2013-08-03 02:36:47.295161	2013-08-03 02:37:10.836443	95		0
6201	10yrnqkyvpudczc4fonzj39ppr	$2a$07$xiZ4Yvd7JP5ACl7aHST2T.hLERkgLTS30jHuetDFZVwOPpKZESzgS	69	2013-08-03 02:36:47.318222	2013-08-03 02:37:10.999527	95		0
6202	107lq84fjy7l5d7ldrovm1rx9x	$2a$07$eO/QwmlydGWR3dv5QSwMMes3W5.TmfQ5qi0Pn8eXVaOYPjsWb9tgO	70	2013-08-03 02:36:47.341942	2013-08-03 02:37:11.357706	95		0
6203	10rrp0bogb89gemxlu5nttbpz5	$2a$07$StymUbudn/BChHrXSCxz/.yenho9WNPjgemVy4JtAlZciKsuJdygK	71	2013-08-03 02:36:47.365868	2013-08-03 02:37:11.729539	95		0
6204	10dttki5zptsvya0wnasakxm6z	$2a$07$TX1KobrjiKbggqgSGQpeb.K22f1gbeyQPncbu7zA83wpWpcXyPR1y	72	2013-08-03 02:36:47.38895	2013-08-03 02:37:11.896096	95		0
6205	10r9jpdtqyz9e1i0dyb04nt3n2	$2a$07$HZMEKj8P/NH.SJl/KxUiVOivqN0uTM6I.VN2vQlgyGeXKCT3QlYU.	73	2013-08-03 02:36:47.412323	2013-08-03 02:37:12.058548	95		0
6206	10lcy5zn6wqayo2azickpijjmq	$2a$07$6udQPBoR2maQk49LzJu/m.Cl3F1y3l.4sQaBMzjNAad231OonzkcS	74	2013-08-03 02:36:47.436239	2013-08-03 02:37:12.354563	95		0
6207	100xbbom8y46iyg4sp2y2hm3sg	$2a$07$.JK1OpERWthJPJ6DKXEe9eDr6Ga5j77OfbA9xV6uIXCsDCkt/gEJy	75	2013-08-03 02:36:47.459551	2013-08-03 02:37:12.492308	95		0
6208	10kukl54u0he6awduvffiqfql5	$2a$07$Mw/DI3ONPUG3qhJpELzFIuXON.3KTI2Y8sOdgTHakC/EDkAtCs2m6	76	2013-08-03 02:36:47.483223	2013-08-03 02:37:12.758556	95		0
6209	107e56sq6v94d0nc1g3cuiz1cr	$2a$07$f2NCZnHb7yEzktQzLNTYzuaffErBawGEKDXqFoQC568vYFFtSW7N.	77	2013-08-03 02:36:47.506658	2013-08-03 02:37:12.986076	95		0
6210	10opp984lf5hyssuo13j6fbn1j	$2a$07$LSe9npg1fLJ98vuHHLmlEOIUPKOarpbHnFXcMINnRisgzPt88j3uK	78	2013-08-03 02:36:47.530311	2013-08-03 02:37:13.313231	95		0
6211	10s2pq30fd3i4gs9uwedvxudl2	$2a$07$OWjPt751b3wTCyuC5iVhfeuDFrb6Abh0BrdrfQJby4vAvHa334jAm	79	2013-08-03 02:36:47.552259	2013-08-03 02:37:13.694834	95		0
6212	10gda53uni3g69go0irydb8p0w	$2a$07$A3A6IFdeS/ZnKxQwgsR3X.P5EV6GB7CArlLg/KfwyhqKatj0WAPqa	80	2013-08-03 02:36:47.574807	2013-08-03 02:37:13.835468	95		0
6213	10wrl77l1yzod5ai8z1wvz1k5j	$2a$07$yjZtrF7ZkdquWMrapWXsS.nEjFYp8L3kFvHp3ge5iS2Dz.TtZmsH2	81	2013-08-03 02:36:47.59864	2013-08-03 02:37:14.070067	95		0
6214	10d4y15euax4sn24a1kdg2yiia	$2a$07$a348lcEvn3pVOj8gBccjm.cU1L.cHQd1qQJ1xIDKAqD6uv.NQ2rki	82	2013-08-03 02:36:47.624731	2013-08-03 02:37:14.44111	95		0
6215	10gp40hpsq6trqtwxxyt26e6kb	$2a$07$qoK7v7XYweZdzO6N4w91/ugBW34rQK7kWAcSbiJMprDTxAiF5zHy.	83	2013-08-03 02:36:47.649096	2013-08-03 02:37:14.57947	95		0
6216	10d8f1qhulg5n54l8vg98plqw9	$2a$07$GDmSRrcaI/dJiqFAH5utxOsizMnAgIatyhSGgTHnbln6mb45/Yt16	84	2013-08-03 02:36:47.678553	2013-08-03 02:37:17.342159	95		0
11064	101d90l6wha7us2rq5dzfby2l3	$2a$07$67pwkjTrYjbmLg987MhdnebQibXQMaqF7p6p/kCeEuhnNokYCQmmS	60	2013-08-03 20:26:39.638152	2013-08-03 20:26:57.451258	143		0
8863	10uvagc6g6bb5f24vmh3rysctp	$2a$07$Z2.bkBe6MCo9EWEeNArApORdo2jVnawPJDe8G29u.s/dqHd8.dE4e	1	2013-08-03 19:01:32.116373	2013-08-03 19:01:35.508729	126		0
8864	108hgoe6bpltwajcvujx4os2bo	$2a$07$okd5E7mSF/ATJx/roltlG.igsZDmTdXdndxYWGqUe5a2e8EKrD01e	2	2013-08-03 19:01:32.142222	2013-08-03 19:01:35.978371	126		0
8865	107lh0o5zy4598b5qe11x7plfq	$2a$07$aGiixifC1dH77W0qJ0dV4.3YaGSmLwAdb/rj0FJExHujzba9dtUBy	3	2013-08-03 19:01:32.167875	2013-08-03 19:01:36.38867	126		0
8866	10wsi71xc5hhawrueew8jn5ydb	$2a$07$Y6ULRIdAn568SCstafPuH.dUM8RDSymcrUxWE8j18H5wnjc5VjSny	4	2013-08-03 19:01:32.192124	2013-08-03 19:01:36.520632	126		0
8867	10sejmev2j02bk6offsfcqtxn7	$2a$07$rmoHbvIMquom3PxofPwDSe/0T0lRzMcVewHrE1y2Bv0Su1VAxFnPm	5	2013-08-03 19:01:32.227706	2013-08-03 19:01:36.685787	126		0
8868	10xlu31umg2nfn7sjhwprejdbs	$2a$07$me3RC50ZVLm9hJOiDCxnDeB4/dYUpdbcWYoiJggGXMnwgxcQl0Ygy	6	2013-08-03 19:01:32.255202	2013-08-03 19:01:36.84434	126		0
8869	10c0xdchzo0meysdkhiauo024q	$2a$07$zw4At7b0YAO9cLUehJskTe87ZaAYUulhSpINsSzxavnaWZCdNzFgO	7	2013-08-03 19:01:32.279482	2013-08-03 19:01:40.746133	126		0
8870	10am6y13tz7ll3qm9w3jz0skk3	$2a$07$pEapAxO6ScnnoSAf39Lyhe0Ww/1gJXKKTXnUrcCPOhfs4nASTc8UW	8	2013-08-03 19:01:32.301493	2013-08-03 19:01:44.81159	126		0
8871	1027ly7npla57p9m142vkxkkhv	$2a$07$HO1x.T3lccUrvMJY.msv0es7Rv/g4L/DrSuY1jQw4oqu0GlI9bR3a	9	2013-08-03 19:01:32.323409	2013-08-03 19:01:48.845657	126		0
8872	10o7xhc5vo55j5zle8qfotrnq5	$2a$07$w.UTqSeSLLDX3Fg8KXESc.584oTR.Hsy3cdhvgXtsqDPV5cmo75sO	10	2013-08-03 19:01:32.345059	2013-08-03 19:01:48.985763	126		0
8873	10mz9d8qgr3byzgwjcvhza6u8p	$2a$07$M6QGTsDSQz3AvuAGnpCmgu2VUS8a4W4igOB6vlByy0WeVNv1utWBu	11	2013-08-03 19:01:32.369659	2013-08-03 19:01:49.117428	126		0
8874	1038rqu1vo7vljuv0bnuyz8q4d	$2a$07$SPmW7LGNxNhDB/RT.Px.Ou2zBPdGEvc7gMrnzTE0YqAGzrHkvI2Jm	12	2013-08-03 19:01:32.398296	2013-08-03 19:01:49.263877	126		0
8875	10l0avzcxj9jps6tojctkrlqpt	$2a$07$GU70FBHob1OtyDThRI/XD.SH.Xq4XO/Dpk6ijHNdFXQPuWTmh9fe2	13	2013-08-03 19:01:32.431204	2013-08-03 19:01:49.44858	126		0
7309	109qqcy9jbaixfpr0osvd0s2rn	$2a$07$DzoNuVv7cgn0fWfvRe12/utixRdOMcWN81uOyBrkQqj3bb/30p2au	1	2013-08-03 17:41:32.429026	2013-08-03 17:41:34.748954	110		0
7310	1078mwfao3eqqucwi8hznjst42	$2a$07$qxUpXMeTNVQoolnqOOMjSuwRN7bNPH3a9UJ0tVEvNtitK0LL0OGTe	2	2013-08-03 17:41:32.453442	2013-08-03 17:41:35.162876	110		0
7311	10norxiyzy1a7llmwp8zvahrp5	$2a$07$5xOhPAUkEdGNgI7fuiGMpOz2ogYyBQTiiSKYLd/ptqtmR96Yh3ZNy	3	2013-08-03 17:41:32.478195	2013-08-03 17:41:35.568401	110		0
7312	10ksstmt300vsjuxw0m0g04kqs	$2a$07$.ndFYB7ySiFOeQInoI.9feWn3VXBSA/9GHG1QjsRKllJo9c0Vvvxy	4	2013-08-03 17:41:32.499798	2013-08-03 17:41:35.709325	110		0
7313	10yyora3k8zu9fttnz0q2fxmec	$2a$07$MOBkh7wQzWBVx2Gj8skqNesWeMoY9h.ueYRxhtXAqvtX.vhCW7dve	5	2013-08-03 17:41:32.521258	2013-08-03 17:41:35.830631	110		0
7314	10h7aydy1ka77lxslh9ssqhzww	$2a$07$oGxUJ7Wht0sJifdHWGZtueDwWkHFdR5PpIVCHqS8mN2LevJWy7Ake	6	2013-08-03 17:41:32.542599	2013-08-03 17:41:35.973947	110		0
7315	10kk04he312gnm6bwjcr74u0ab	$2a$07$JtDxo00sRke/v7Xo2ZpjVOG2iFwAnbZnsg2LR1gokh4perOIgvfQK	7	2013-08-03 17:41:32.566152	2013-08-03 17:41:36.325068	110		0
7316	10b4ipfs73i1agfc14k2gfgq2g	$2a$07$8Rk3v1fQc76UOgb1.eO.MueIRhuwo6AuHFtrS9u76m9LjvNh6cYzu	8	2013-08-03 17:41:32.587686	2013-08-03 17:41:36.748944	110		0
7317	10577m7pm5vkvy5xsm4lf2xcub	$2a$07$G4VPQ8C4S0GvBG/RkfWUH./RryFjv0Z2N5.wtnGELNB9b88VnJxDG	9	2013-08-03 17:41:32.609196	2013-08-03 17:41:37.185718	110		0
7318	109ueqy58k68wwl1vey78duqux	$2a$07$POlR/piQEYQa6KmEPoDF4.12tbY2D17hrYaBCj7JMf70wy0hlkNiK	10	2013-08-03 17:41:32.630739	2013-08-03 17:41:37.309322	110		0
7319	10m8grvf73vxolsvbb3dzd4gn6	$2a$07$Bb4cgbgv5v.ks3u8wGVzz.zxfYhpbz0OZBU7FrOV2Z1Av3CjUUuPi	11	2013-08-03 17:41:32.65222	2013-08-03 17:41:37.433807	110		0
7320	10m26702zhgny5sxzy5yi9kuhg	$2a$07$/x0ekwdNQ34JwCeapbrvLOLPzc.axlaJrpWUanlEdkpvvOwDh6tsO	12	2013-08-03 17:41:32.673753	2013-08-03 17:41:37.559585	110		0
7321	10o1s34n1rjapbfjdsa1oecuct	$2a$07$6h5NyVS4keZVdqDa/ar4fetYxpJiwSCT.Ulc9eihmYQONDUV9IZm6	13	2013-08-03 17:41:32.695173	2013-08-03 17:41:37.661855	110		0
7322	10vfgkuvg8zmthjy28cwsyc6ms	$2a$07$OMmneNILuR5gFKN/XN8HXeU04.vXaVX.XJWZN/dFyiZvTr.FdS5gi	14	2013-08-03 17:41:32.716907	2013-08-03 17:41:37.815008	110		0
7323	10oco4uyp142r4mlxihp2lokuk	$2a$07$qxNVoDeCe32oBTOiEJJQseVCegeKBnPC8F/OJsNY4WYWDn3Dtufd6	15	2013-08-03 17:41:32.738375	2013-08-03 17:41:37.964273	110		0
7324	10biht8xz9gr055ma9604oop26	$2a$07$Rq6/bDmdg19asPiWYwXk7.Q4F8Vpwk2XoyazTf.zvKjvYX/wgDWsq	16	2013-08-03 17:41:32.760045	2013-08-03 17:41:38.105758	110		0
7325	10yga6ipb0w55i064img2l59o1	$2a$07$41WKur.aCCj/NMXKkH6drundqdrMY7gDyClJMdXrgzpw2M96yHYBW	17	2013-08-03 17:41:32.781638	2013-08-03 17:41:38.244114	110		0
7326	10gvpiewctxt5co3xactob800d	$2a$07$Wv6erQ7Na6OhUPnfIzadyOiUzO.6Nast6yAK/PnLyZoRJXNvzEkie	18	2013-08-03 17:41:32.803459	2013-08-03 17:41:38.363622	110		0
7327	109mf46k2oqmaovujf6gsjqp9x	$2a$07$qswyIZPjCR4dNt1oHwVr5OGiIgLrfurkQ7Q5VP36KF2yp3ZxBnLhW	19	2013-08-03 17:41:32.82553	2013-08-03 17:41:38.475482	110		0
7328	10nazxlw0ek6imo0rcu5031g4i	$2a$07$iuaP/TaNTbd0fpa1OW6FS.R55TW09NA5gef58GTB5W5XFV1rNXA6m	20	2013-08-03 17:41:32.848883	2013-08-03 17:41:38.617526	110		0
7329	100mdfk1s39k5ovmc85bu4hy8e	$2a$07$Wkd3vUdZ1h0DbuhlOWpJ1.dae6Ez0/PkejMFOGRKL1E95X3YO/qLG	21	2013-08-03 17:41:32.875451	2013-08-03 17:41:38.73145	110		0
7330	1005lhi2wim373u8rx12xb5qvv	$2a$07$KCBsvsEgvKTHqP06f9VMsuZB4.EpTdfTsBNvXBmAWOdqIn7cCjQWq	22	2013-08-03 17:41:32.901196	2013-08-03 17:41:38.853799	110		0
7331	101egk6afskyetbwfzufvb1gm6	$2a$07$uaoBEAd.CRcBHU1H5nHib.fs9hk4x6xTuVLX7T7qgjA0ciyiPqUVS	23	2013-08-03 17:41:32.92299	2013-08-03 17:41:38.967184	110		0
7332	10x93kx1avopff3ne8bdbqwgrj	$2a$07$SijxnRAUtMEyT5BOAblLdeoc/PnlHmyQ9LemX4fpxNoSzdSMx1G1G	24	2013-08-03 17:41:32.944523	2013-08-03 17:41:39.086706	110		0
7333	10q4urprnkqvtiphls4pnfxay4	$2a$07$iOnp.epxL4CV6fnf/TZKsuOZbVcg6cXJMoaz4ePNVG1UiTDBrH3Rq	25	2013-08-03 17:41:32.966898	2013-08-03 17:41:39.218411	110		0
7334	10xg0gy95491qme2oern4ob6h6	$2a$07$GXblUcGq7JDp/dNq5KVHL.Bqg7Dl6DwAO7LatB7xHKf41IJoTW.E2	26	2013-08-03 17:41:32.988416	2013-08-03 17:41:39.353604	110		0
7335	10zxh46cl819aswk7vcaissd8g	$2a$07$NiYC4uVEdiZDhIOl8a6rnuXWnyozEaVe24FBJ1WIH1dAha2uH1wmS	27	2013-08-03 17:41:33.010004	2013-08-03 17:41:39.467819	110		0
7336	10fvvrcegl6prljox19q2hi1nr	$2a$07$g/pYdf0cK1nmegeXhARhh.5jJMGzWABtMkUvcQWwO8alhtwMUnQzi	28	2013-08-03 17:41:33.031741	2013-08-03 17:41:39.59868	110		0
7337	10g36pl1ep6ldesfqcxi47idoy	$2a$07$KsosNwvvhQQtBzKEGz1F9.TYH8O4xSlNqQC8M5d/rtoEGeoeFlk5m	29	2013-08-03 17:41:33.053794	2013-08-03 17:41:39.734001	110		0
7338	10uj6fdb9keffp1i6s0bia3rjf	$2a$07$PnS3c5IL60s212QiALi0suKYyGNOgTf0iY6aQsO1LQPGtnJ9AN7bi	30	2013-08-03 17:41:33.075918	2013-08-03 17:41:39.969504	110		0
7339	107pa6d373g1437ma23y112m07	$2a$07$FwtYMiUGFiR9.Fvrf4Gceu5HXrwKgAz3l3U44.9Mn9q/4fBVnudyS	31	2013-08-03 17:41:33.097372	2013-08-03 17:41:40.102816	110		0
7340	10pah3tehqeax9aqrpdz0u8htd	$2a$07$HsF0H1PDrv9N32BAccnkBe/giRsSFVLsXq87gxSuKhsArLqY4RdEe	32	2013-08-03 17:41:33.11845	2013-08-03 17:41:40.232573	110		0
7341	10a275a51u2765hk9a5a51axhw	$2a$07$nPxCzaIShXH0/eS5BmibFeqhmlERcv15HKxZjHHXpvByFpp1SVQcW	33	2013-08-03 17:41:33.139617	2013-08-03 17:41:40.367475	110		0
7342	10j8pa7eo4vbzs7w7koqcfoj4d	$2a$07$nbRtZYxSPB1OPY8zlBbRFOoNykrPa3vQ9E7R5HOqTZWBxM1PhxS32	34	2013-08-03 17:41:33.161648	2013-08-03 17:41:40.48736	110		0
7343	10bftrgwxgk5v3v4zvzrkpg3bv	$2a$07$.jb3vjFdh.Yj02GcnPs78OjNE65GBSiZZ2IaSgx9uoBMWGKg06Rh6	35	2013-08-03 17:41:33.18324	2013-08-03 17:41:40.616096	110		0
7344	106b3w3ge8pqflpf6dysubmdzi	$2a$07$ff7g0tXJkZj/9Nd2VFE/2uGa2jryZxvCIQ8GKBNCxmKMUN6ZbbELq	36	2013-08-03 17:41:33.204793	2013-08-03 17:41:40.733141	110		0
7345	10e7743w4oqxotmf2ttzkzpvli	$2a$07$G7I/s.F/uIg0HJbuFNcXG.SvXVaTgngeyIR7KpHA/7NX5EQ/gIUJG	37	2013-08-03 17:41:33.226254	2013-08-03 17:41:40.865884	110		0
7346	10zxtigp58mx9je3sn45apbb4x	$2a$07$iVPZ8csUb3g3pNfHQO3w5eEZQNXzOL8LHS3e4Sgsx4eKWGmkH3VwO	38	2013-08-03 17:41:33.277253	2013-08-03 17:41:41.000095	110		0
7347	10shis9pe5ey37y30q0v9wre6w	$2a$07$F7akpT3Xt5BkGRfv2MjeUut7fGuAnYu8zy/U7tgEJhbHtb0LcTDLm	39	2013-08-03 17:41:33.302627	2013-08-03 17:41:41.135373	110		0
7348	101qn86oayymyrshaj2ejwaqer	$2a$07$fetEe5SWGdqE1HpFPBtEOOAtO3k2zMGiLhnsmGxrmqQfGBBY1wqTW	40	2013-08-03 17:41:33.324276	2013-08-03 17:41:41.272171	110		0
7349	10g3b1y0kabnw5m3r2hnlpb3zi	$2a$07$mXjyHxYv92wa3bNJmXwQbuAe4mqI6aRksmXmLd/9VVm3w/2eArrni	41	2013-08-03 17:41:33.346191	2013-08-03 17:41:41.401604	110		0
7350	10hsqvxbm7903yr4zfdt47gn5t	$2a$07$G3BQ4R.XomRXrPg9CLbtp.k0GWZK8XhkqWT.b53sSIiK0sarVryw6	42	2013-08-03 17:41:33.368152	2013-08-03 17:41:41.512891	110		0
7351	10xbvaw8obnfc51v69pjz669oe	$2a$07$XGxF9VSi5P10COYAcxFy7eTVJUr0WAG/XXTmYdzLcChsBtXwtkC1S	43	2013-08-03 17:41:33.389859	2013-08-03 17:41:41.624455	110		0
7352	10e6lgmm80rk1zjvd8e4qpav5k	$2a$07$O9hMr2PpJc7mlquI1IQz3.YDE18s2D5w3LyZFm1sa/r4APZy5jqXu	44	2013-08-03 17:41:33.412596	2013-08-03 17:41:41.743392	110		0
7353	10qqjqkjt5tz78owkyr5m3ejld	$2a$07$rG5LhCjOl2/Ik.wO1gbgteNb3al6QNncS1RC9Fg1Am50No3Vxz566	45	2013-08-03 17:41:33.435931	2013-08-03 17:41:41.879082	110		0
7354	10nfal9hd5maorx9o8jpigugcc	$2a$07$AnWXWXwYylttcFYxxD.09egbk7mFIxfpxHLyEsFzkDibJ0sC6y7iy	46	2013-08-03 17:41:33.461158	2013-08-03 17:41:42.024294	110		0
7355	10e2bcsoofk7k4z11tu228dfnx	$2a$07$EJnojlDueOT7D7Dhr8ZVFOQH7eW4jSbXe28y3u4AI3/366rnbQbL6	47	2013-08-03 17:41:33.496476	2013-08-03 17:41:42.18417	110		0
7356	10a26olrf7kjshhivpfawxnwth	$2a$07$RNMDnkS/Uhy1xtofsw3XPOdnMvQNJ.S0f9IgjaxpojE8wb29fGxni	48	2013-08-03 17:41:33.522766	2013-08-03 17:41:42.327433	110		0
7357	10xtesdiqywi6dmfauh0tvnxlf	$2a$07$.T4mwiDBmQVUVxi2HMCwk.j5bNs8kqhg0Pjf0/oQY.OxjSl.vFcES	49	2013-08-03 17:41:33.546038	2013-08-03 17:41:42.466235	110		0
7358	10a7hnq3boxffo2mlct2bnj7hi	$2a$07$cPZtqLneAuUiPvwSF8XNiuAls8fLodWsIemg4pHlvqSnTFrU.elNa	50	2013-08-03 17:41:33.568791	2013-08-03 17:41:42.588919	110		0
7359	100usj1dkew5ro4ptoba3l35b4	$2a$07$LI28pHOseDQOn3YU/aC/g.JaxnTSjchOWpgpmt3FRAs7lmBGrFtKy	51	2013-08-03 17:41:33.590873	2013-08-03 17:41:42.730664	110		0
7360	10j4w7drn9icn9fekrz6d9abgx	$2a$07$ytL5oGJY6d9bwedO4B1oIuJHelkg7KuAnwEF6u.P4d087AZQdOTTe	52	2013-08-03 17:41:33.612272	2013-08-03 17:41:42.88144	110		0
7361	103j78vop4hfj2tnw0y7qkvia7	$2a$07$WdK1.6/iFjGxZIzoGkr7hewg351rI1shAZOzSB3y7E9/4I1EANzxK	53	2013-08-03 17:41:33.634501	2013-08-03 17:41:43.022838	110		0
7362	10ecit57rblexyyzlkfmfiuu2e	$2a$07$x/7T7jEqJFrpHYFWhFhZU.j4sFxrbTRYT4TxF7b4gH0Fb29/8t.m6	54	2013-08-03 17:41:33.656226	2013-08-03 17:41:43.178442	110		0
7363	10hyevm0859rc1ohop8il7k9vo	$2a$07$OYaQ0WiTXxzXFocGb53xIusARBRGpCB5Jdi.mYIkXbVBwgaWB.ce2	55	2013-08-03 17:41:33.678283	2013-08-03 17:41:43.314205	110		0
7364	10t47d3jd3uxy5jqoeej4lrp6w	$2a$07$KLr/vXsUJ9RdodMfszjcyO8jEOWYF/LXTKMMeMSQBSZ4H5h4WIUC2	56	2013-08-03 17:41:33.70085	2013-08-03 17:41:43.446747	110		0
7365	10wzgatik8pwlqxsgul9vvchmn	$2a$07$mp5vFYgllm9dQQwFQfaWE.mo2XOZHGAdo.2nuiUtf1j6j/O8BzaVe	57	2013-08-03 17:41:33.724618	2013-08-03 17:41:43.55796	110		0
7366	10gkz72w80ndy559jy8s84meo5	$2a$07$6Uu/Imy9c16eEhQ8L5nnquLc32cLRMrQS9kM8vy9ghoGmpQ1SWtmS	58	2013-08-03 17:41:33.746288	2013-08-03 17:41:43.998288	110		0
7367	103f5dozfqqm54wa2xxm0y98gb	$2a$07$UjV4sO45/7GBOZfYMtGuEOiIoR1loKcp2PjNCgQoF/9bS3ExA5EXW	59	2013-08-03 17:41:33.768209	2013-08-03 17:41:44.603054	110		0
7368	10yjkynn3hwjilnuby3m760r43	$2a$07$4hp9PkVU9Bb.0IQERj/Ym.t3CvBiyE6ue0Mz1HIGtA9AwU1VqlO4q	60	2013-08-03 17:41:33.790021	2013-08-03 17:41:45.233297	110		0
7369	10gudfpjuip9kq30xu2qr2xcd0	$2a$07$pnAF8X0NI7sACd92OyRxj.5Vo1B9tFzNxTBVXkgwBYZDXKSj7LcJW	61	2013-08-03 17:41:33.811553	2013-08-03 17:41:47.994474	110		0
7370	10hw67gqjul168d0op6hsqb3d2	$2a$07$eHsPNjhnN.j2NGckh4UPNOl1BW/DpDNc3drKiQp.pcVSPCqVKLyD2	62	2013-08-03 17:41:33.833896	2013-08-03 17:41:51.086954	110		0
7371	10qihuhy8qqnu6ignksmxj3d7h	$2a$07$vmZ61uNbI7whBNPcpriHZOZnvY46tAVH6sjMs6hieTaIcYpgKomTO	63	2013-08-03 17:41:33.855299	2013-08-03 17:41:54.194088	110		0
7372	106myiiz13kez8rx8wiyyinmz4	$2a$07$zXvCZB.ONE0NepNbiksTOu3xQ7Ox8EdB4Wyq7olt1F7lK5fPXuKBC	64	2013-08-03 17:41:33.876775	2013-08-03 17:41:54.677626	110		0
7373	10lnkolsgtldmw52ocui1q42iv	$2a$07$KdkS..ts7s9yO.qY6irOMexGVpqm90mj310f0hjbZBYTX5TB5QDO.	65	2013-08-03 17:41:33.89836	2013-08-03 17:41:54.804684	110		0
7374	10mrnxg448op4i9l8vehhact3a	$2a$07$0df3mYSEmGrEBM9tjuo/reHiCxxSJy658PiOt824XOIzlznrTdmuO	66	2013-08-03 17:41:33.919951	2013-08-03 17:41:55.251044	110		0
7375	105pdmglpw3aixaz535bw7if7u	$2a$07$3ksDRve2s/G7LB1qRCmAZOcWw74H8NFeDSkWGid/3OeobvBqueEj6	67	2013-08-03 17:41:33.941338	2013-08-03 17:41:55.372684	110		0
7376	10q5xl49ixrcocfj44qz61sg0g	$2a$07$r0f6/FAHvQ31lZUBlfahi.l6cyDoMgVFMSYbtuTsA2ej8An.dNgL.	68	2013-08-03 17:41:33.962685	2013-08-03 17:41:55.509846	110		0
7377	108m2zri3p3mpm8c5eyj580yrz	$2a$07$cUoPN2QWXinS/nLv6u/tf.tCtVYz/dCdZQRN/IKC2GHqjWmRm24Ny	69	2013-08-03 17:41:33.984238	2013-08-03 17:41:55.640943	110		0
7378	10m722ytxqy71t7r5dy1fw1560	$2a$07$ZuCRv1j6JhthQSXWuNvoH.AlKWe1PLiZKuXSsjwdxlK42jHktg.z.	70	2013-08-03 17:41:34.005759	2013-08-03 17:41:55.799693	110		0
6217	10ltninpms7et2o3jjkvf9g2m3	$2a$07$OpvW6..yKRWD0wtLfpgKCebtNOtijsujYMxRHgLwYM3w.96B2IaGq	1	2013-08-03 02:42:06.358622	2013-08-03 02:42:08.397601	96		0
6218	109327q37gqmfobib83pg5hl9x	$2a$07$Y3ttPCqPHPdgiHvL5u0ZJOl52L.F15MwLRY6TYHZgfiFatPeCSTgS	2	2013-08-03 02:42:06.384268	2013-08-03 02:42:08.535817	96		0
6219	10l4icst4zs2yhopx9mspf27xw	$2a$07$18GJXVNL7q/GzvU29jdbZuq7vnJCJEunH.8Tf5n1M/fqSX5Az1vFe	3	2013-08-03 02:42:06.406102	2013-08-03 02:42:08.666724	96		0
6220	10lpay5qregjwofyzac6drvltx	$2a$07$VMIRBn3xDai46sG9/oJ4te3obLR..Jm00uG8j/.J0R/hrBZyBy1KK	4	2013-08-03 02:42:06.427816	2013-08-03 02:42:08.917502	96		0
6221	105mo0b58hjtaaq3mznh6ep4gl	$2a$07$X3i.go3Q0IlziayVG3Re/.CQ5bMsh7EMq1JOtpkT7IExOsM4xmolm	5	2013-08-03 02:42:06.449322	2013-08-03 02:42:09.058056	96		0
6222	10ayvu3yifnnfielmbob8cv1ou	$2a$07$7sZ6T1BUukiT9Pr8pVF0fuR5fmwX1i9bLI6hl5Ah3wLPz16.1VilW	6	2013-08-03 02:42:06.470651	2013-08-03 02:42:09.253289	96		0
6223	10ckq8a5vm1jvjb2elapid6mfo	$2a$07$BlxzroaNTmPrrRPRJq2TjeZiEGtgqI.yuCFYTZZOui4QYG06LR2oK	7	2013-08-03 02:42:06.492457	2013-08-03 02:42:09.375928	96		0
6224	101w0ffz2mb2p8djle8hj4decb	$2a$07$9kmymG3nNuHmSBhkEdtsxeTYhGg2/Ch5pH37yooXqsFCuuEujNQIa	8	2013-08-03 02:42:06.51393	2013-08-03 02:42:09.54149	96		0
6225	108g0nay1lxj7lzlrbnb3d0ejf	$2a$07$Xw6egeRFiavpaejG7hGTce/NxtVHEMjWSIFepzFuezoDqJ4VuOvOG	9	2013-08-03 02:42:06.535346	2013-08-03 02:42:09.678805	96		0
6226	108cnlt9v30iif7ey42qouwq6s	$2a$07$j/PQsf5nRNqNWGVHIi8wNOPHQXCiBFia.10DJ.0efeeL3zxbfpCO6	10	2013-08-03 02:42:06.556691	2013-08-03 02:42:09.812626	96		0
6227	10yoj0jd4l3wp2qal2mwfvsk9w	$2a$07$Fspn7fOoYWi6sViXdwG1jOpwW9fAkFDIqU3zs.f7CuB5DzuacV73G	11	2013-08-03 02:42:06.578069	2013-08-03 02:42:09.952845	96		0
6228	107ih4juxi5weqbf3j9lhy63hb	$2a$07$inyFOo5QPdzw3DGSPhYzTe347twszsLk0YX32tEqRFMbK6u7awKQy	12	2013-08-03 02:42:06.600889	2013-08-03 02:42:10.08744	96		0
6229	10nxm3d37o0owomizuudqlpyfh	$2a$07$/DqGxgVCqNI3NTQzmecX/O3LIkF34uggY6IGsW5W/Fi7d4fnX0PWK	13	2013-08-03 02:42:06.623619	2013-08-03 02:42:10.452105	96		0
6230	10hlqjqvxp2ox9mafjif98qo6j	$2a$07$HxJ1v75Rv45wQIB9ainoU.YchsDHrr9q0AL4XrxjAMtDiD8zVfEpO	14	2013-08-03 02:42:06.645165	2013-08-03 02:42:10.818743	96		0
6231	1023c6w4yt78bxccrmpgpj7ue4	$2a$07$1sSilzYIp1VNUUQtdXWIbudBDh5yK3D2ye8mPjapirWoq9ab9MwSa	15	2013-08-03 02:42:06.666864	2013-08-03 02:42:11.19342	96		0
6232	10ud3trjvhg7t6grkumzl8lkzh	$2a$07$pLv6fJr9cE6pb6NMpZb3puSXXsq1aHP3RoUGkMv.k4yGOr0zQ2fZ2	16	2013-08-03 02:42:06.688653	2013-08-03 02:42:11.321386	96		0
6233	100172qej4w9y388lzqwyl5yiv	$2a$07$Dso1iqPxCQvcAt8XCNjw4uiHilhJIX2HC2ZLtJ8SgelLXDusxWUq.	17	2013-08-03 02:42:06.710606	2013-08-03 02:42:11.815263	96		0
6234	10h4cs6licf3xy4xtspsy70ajb	$2a$07$jKFMPn0d/ds7wZDSMg25kupe9M1cpM2eadCQpLa02BETukQZ5RAmy	18	2013-08-03 02:42:06.733915	2013-08-03 02:42:11.999638	96		0
6235	10kklom038e1s6l7ran7l2j9d5	$2a$07$JVxvmzjJ04cNtDAj/HDH6uFH92CA89WuWdMbnrxu6jhkTmqkSgfUW	19	2013-08-03 02:42:06.756736	2013-08-03 02:42:12.377507	96		0
6236	10r2cn3zjk8lz1lgzkvgrsigbd	$2a$07$ueEyIElPQPBzNTnp45oYqOW5NRMyYQ7i2tBOv71KvXVMvO2Syh.MW	20	2013-08-03 02:42:06.779425	2013-08-03 02:42:12.591433	96		0
6237	10mamti6f32ud7yr7bwbst2bmd	$2a$07$xUHM5hX4P0EieuU5OQLM2e4hGFUkRQXCpjpnjU93wfBzHJaCnKtla	21	2013-08-03 02:42:06.803777	2013-08-03 02:42:12.710115	96		0
6238	109ggl1xe5eda861evni7k3034	$2a$07$AWU6zn.9DzozIQTblNup8.MxC9pCHrLOZy.7fkv2Bpkso7XtrNmtq	22	2013-08-03 02:42:06.825596	2013-08-03 02:42:12.92593	96		0
6239	107ue6pyhepp6knv2mam6kis0j	$2a$07$PvUi5mfn5LjAv24qYqfyye0xyikRGmKipONGCOMCmGdkyjNB6qDBG	23	2013-08-03 02:42:06.84691	2013-08-03 02:42:13.132327	96		0
6240	1087tl52srya12pii1im6ykylm	$2a$07$veULWiD8hevTwT3QeiIRSur4rLjMBDwVoquYOHPbx6PX8UOTUMwnW	24	2013-08-03 02:42:06.86835	2013-08-03 02:42:13.532101	96		0
6241	107igg1qvxgq8vn2ya38ko2vih	$2a$07$YUfkZj9paoXAz9QlMm7RUeTyIcQTB1njVCPo4QiAUWSJB46EVIabW	25	2013-08-03 02:42:06.889744	2013-08-03 02:42:13.864295	96		0
6242	10jowe9ruolxzfoenkx4m4br1z	$2a$07$2vVKoInharNrbF9qk3q9cOz0JwApJqI1LSEzqKukwy4lih0XxDCRK	26	2013-08-03 02:42:06.911203	2013-08-03 02:42:14.245172	96		0
6243	10lst0l4ilyz48zvjgc130dr10	$2a$07$5wVNySZkNBVQVX2jUypOQ.llBn2Jo0owlrNYUHoCna3BYbeA8VDPi	27	2013-08-03 02:42:06.932793	2013-08-03 02:42:14.625675	96		0
6244	1093660j7tw6ctlrtwdxecn4cg	$2a$07$5BQb3awUiMfkkuL00txnoe4.TTmKsr7461KKsiQGssxc4X7Vjocky	28	2013-08-03 02:42:06.955239	2013-08-03 02:42:14.876447	96		0
6245	10znqy6rndorc24hw6snqwjqd3	$2a$07$17R6BYGSat2fpLkYBPP1wuyVJC3ZFsEQ3m/wSrCcG.fL5Jw2353iO	29	2013-08-03 02:42:06.976697	2013-08-03 02:42:15.008587	96		0
6246	107dkn2611a2uzdqydh8l3uhe0	$2a$07$xotHrsebVIIwhBoN6zTjTuvRXxXZ7HbcCUPyaTNZlDhiee9ty0SSi	30	2013-08-03 02:42:06.997968	2013-08-03 02:42:15.140755	96		0
6247	10sh9hz22qmdh9boiowam5cd4u	$2a$07$JlFLhKC.6A9K0wZhouOin.m/pSwo.kGcvROkD8QLxH2ddWN8E0FaK	31	2013-08-03 02:42:07.019175	2013-08-03 02:42:15.35343	96		0
6248	10oll3adohknj1zz9hm3a6k19e	$2a$07$2Jp.4U0pQF1a82iCpJk.QOgHhtOwEOEDYSPGvjXpRLngBlEsKVS..	32	2013-08-03 02:42:07.040443	2013-08-03 02:42:15.490821	96		0
6249	10fprml4est57bsxxtd8lbf5hk	$2a$07$wo98PCucqQ.Vx1bZ6OHryuTR42AzP9CTtK7CJLdy.kHtX327tA/Q6	33	2013-08-03 02:42:07.061759	2013-08-03 02:42:15.679562	96		0
6250	10ltcqse2pxw20s6yukt9jwh58	$2a$07$vBlblsrqHUzsV7Ap7NFVG.UmtZjFaS2XzLPdvYJRllcuOsktO5JAq	34	2013-08-03 02:42:07.083296	2013-08-03 02:42:15.817036	96		0
6251	10mr68z8oy1gm9uyhws1f11yl9	$2a$07$dphBRcoCiEDIpj1a42t83.kUNuSidvKrdcpanEM3sfCOADHoQpF1e	35	2013-08-03 02:42:07.104602	2013-08-03 02:42:15.962036	96		0
6252	10zq94nn8zda0g2gj2qmw1odkh	$2a$07$JnXA1WPr1CNguQuQrYOSB.8i5HfVIqxLqBL7FxTeI/A8x2sX943J2	36	2013-08-03 02:42:07.126252	2013-08-03 02:42:16.097986	96		0
6253	10v2d6baw27f2vt2dda52fj81k	$2a$07$1ndw7njjAuj3nBeLQ9cLjuCDEah4.D83nDSvdXwGaDndJVh4X9Qym	37	2013-08-03 02:42:07.147436	2013-08-03 02:42:16.243886	96		0
6254	10s502ec6f6j94xty60uzpgmqc	$2a$07$HDdYpXeTwq0jzt.jnwBd6uP/6o8mwctLLRlloLwCgekKCGCpOdwUW	38	2013-08-03 02:42:07.168748	2013-08-03 02:42:16.498622	96		0
6255	10bqcki8k37u66wp8dcrticvic	$2a$07$7VUv9i6a8YyFUQ1Snyrrd.aZ00h7bCDNxekGocnPSL9c39Ye6iiQ6	39	2013-08-03 02:42:07.190346	2013-08-03 02:42:16.846403	96		0
6256	103pa6jk8sicmkcs3sfjna67jh	$2a$07$ovmaRRPexpx1RArTz/RvUeH.qbd/YFhyVcbkbbjpU9ZGHuvGXlAYe	40	2013-08-03 02:42:07.213167	2013-08-03 02:42:17.194469	96		0
6257	10hw4nb9gykru2b5i4x5r7cjuk	$2a$07$DU1gTF6aAkXjderOmcyrbOOEMyMikz9q.UeeExVq2ZrJMSZpzBf7m	41	2013-08-03 02:42:07.23609	2013-08-03 02:42:17.559615	96		0
6258	103rxxaawjdmo756k1qdg8gxve	$2a$07$OcZ3kA0ZlJoal0KAsaw2Ce5qtuK8O3Q01U7xsSR8.e53RAzMIi9Bu	42	2013-08-03 02:42:07.257458	2013-08-03 02:42:17.995406	96		0
6259	10vvefzmpx5bzrjz6spre3py0d	$2a$07$KMBBWFWKdNUbTGazH2cjB.ybCHazUZ4HJoRHjgdAbZz.c6004zNeS	43	2013-08-03 02:42:07.279239	2013-08-03 02:42:18.379758	96		0
6260	10zj2a1o6zj7l9eqkzn0ok893a	$2a$07$ADJS3ixOrD2UW5YTPN1deOl/cSTDY4XRysPybbLHDL.u9AR1iFAou	44	2013-08-03 02:42:07.30065	2013-08-03 02:42:18.516448	96		0
6261	10fgsd3txyaew4mtyleaci65b9	$2a$07$Siv3uPJT43KkVUFzj74d9u07AtGra/GQJ298cBbZQUGO6voM1v2sy	45	2013-08-03 02:42:07.322136	2013-08-03 02:42:18.630446	96		0
6262	1049gdv1l0ncj9zv2wzw4cm33a	$2a$07$/4QlbyiqumWj5/rJEQr1IuAZABf/YDYTu8akv7cKrCYtB5LwNav96	46	2013-08-03 02:42:07.343434	2013-08-03 02:42:18.993736	96		0
6263	10yr5ji1anv9j34y0v3pngvyq0	$2a$07$iuMnrXaJ1wxLOp9FUZBQzOCxpCay87Ra1/2G6L2ISXfIEU3d13Ob.	47	2013-08-03 02:42:07.364803	2013-08-03 02:42:19.363879	96		0
6264	1065ne3l98em3pggr09plyl6rs	$2a$07$MhDOIr9EZKk6atnMwKUV/uyhggLpMvKbSAO11xmYtCJOdA57DvRrG	48	2013-08-03 02:42:07.385988	2013-08-03 02:42:19.721688	96		0
6265	10ervp9kjeklm8lz9ez9yxdawd	$2a$07$.MX5JXo3XNOHmet2e8p1Runy4ATLkMkVqJdNGT0GY4dpg/UHCQ70C	49	2013-08-03 02:42:07.407419	2013-08-03 02:42:19.87552	96		0
6266	10pdcu4pzzy7ewq36yd5lajpum	$2a$07$Dz//yWISeGX267KeSMXeR.52TUyS32cAQYXNSL17MQc9k8tRsUtKW	50	2013-08-03 02:42:07.430067	2013-08-03 02:42:20.013887	96		0
6267	10fsbibgn28ovrzbt49lhetd8t	$2a$07$N3GanntOFVcsO5JOyXrGSOhySDRe0O7eGZL3Erb2iQDCZK0BOAvji	51	2013-08-03 02:42:07.451519	2013-08-03 02:42:20.147955	96		0
6268	104w62a09v448676yr3e7q8he3	$2a$07$meok1pV1OZTE/DLwHIesCeu9o5vx3FQusM7GlphZXMHtaY6lEluW.	52	2013-08-03 02:42:07.474771	2013-08-03 02:42:20.263961	96		0
6269	10s4ztbhjwgfccjchokzk0mfeh	$2a$07$psqe8RKQLnX5wpbHQVye8OXLANpzAqsolXCJF.es5Y.nZRjNhA4ZC	53	2013-08-03 02:42:07.496218	2013-08-03 02:42:20.397143	96		0
6270	10z9rgt7zgyxadb0j65a3x0dy5	$2a$07$9zYEeS80E8c2RZwxBlg1f.ApWMYQs8jYBvib3Vq/BsQDysHh5pZay	54	2013-08-03 02:42:07.518472	2013-08-03 02:42:20.56319	96		0
6271	109obys4xb8ge484ovjkya5b26	$2a$07$CCUD74C8AMuiO/qW46aLfe3jJHcTXabpNhNIs7q/lfn/bCMPIfdDW	55	2013-08-03 02:42:07.541214	2013-08-03 02:42:20.955248	96		0
6272	10d6l7focyc1n7bglo2qtnp932	$2a$07$noURgDM4JLBZ59pdBB9SKOqKtprw3DQJUNg7xYl.3mtb6LVSbNNMW	56	2013-08-03 02:42:07.563648	2013-08-03 02:42:21.364608	96		0
6273	10dqa0rkhx7zyt2d1kqjm904eu	$2a$07$6/v.5TYBX1HgS3N5Qq4SE.MK9ZeaCs3AenzfeR0.nOjd5ZKINNEtq	57	2013-08-03 02:42:07.58569	2013-08-03 02:42:21.600644	96		0
6274	10fepqaitzwyslzcofpe0oza7v	$2a$07$6lAEvvWdvdL4eHWTaMHUx.6EVYk4FXmoiL0O8OJn6/mDzsdKYkMvK	58	2013-08-03 02:42:07.607936	2013-08-03 02:42:21.990553	96		0
6275	1016q8w7a2k995skovo02wt90n	$2a$07$mU4hww8wVNwrsrEthqZW4OyKlmqnnCdSBp8e5LJc.LZnzieMN39B.	59	2013-08-03 02:42:07.631852	2013-08-03 02:42:22.370636	96		0
6276	10p6xjaiavcydf03aph4jripnb	$2a$07$y2i8kko6oks0K4VJ42zJ.O7jZlI0EEzranA6KFcXPZgAiMEwzP5yu	60	2013-08-03 02:42:07.654769	2013-08-03 02:42:22.577327	96		0
6277	109m1fnyqjmizesf2sv2kycjf3	$2a$07$ZsfZCdSc8I/FblwH1R/7uOuho164GszhmDXmO4tk21mS5k8yHanIy	61	2013-08-03 02:42:07.676192	2013-08-03 02:42:25.359627	96		0
6278	104dzapx48mxtazamexrxm9ppg	$2a$07$YY9rms5ehsmIGaEEpWdxieSsaVKiCO9qg1BBH9n9mNey7yRtZto7S	62	2013-08-03 02:42:07.697952	2013-08-03 02:42:28.255793	96		0
6279	10005z59n9iwonokd1eo21wxtr	$2a$07$HGI/auWmlrqCt7fEXDK6feBWHcYvr9DWogHlYt1jXdCVZdqib5qdG	63	2013-08-03 02:42:07.719573	2013-08-03 02:42:31.465777	96		0
6280	1004tmlrhbmtbmqmqh828n3nph	$2a$07$RcwqmktXPHk7ubaON792AuXUZZWxzaP8xproovqQb98FPc94LsQyu	64	2013-08-03 02:42:07.740967	2013-08-03 02:42:31.58895	96		0
6281	10zswi6l2q394b0km6jmfa6q9s	$2a$07$0nlJ7cr94UckGCz08sPmXeeU8rUkpm6U1Gn78hZS.KXCiKJRZLW0q	65	2013-08-03 02:42:07.762314	2013-08-03 02:42:31.826473	96		0
6282	10bmf2v21bzcjo5po4fdkykuc1	$2a$07$QfXvqnEY7qGyREyhETzKN.AyhhyQ736gCemk.BX0AtVN8T78KHKqO	66	2013-08-03 02:42:07.783441	2013-08-03 02:42:31.97062	96		0
6283	10o56oswvmxsjfxsru9czp1p3g	$2a$07$6fzPyrEZsu3YLClp6u9Rt..stITMKY7EEZ4X9clARqhc706lEz5iO	67	2013-08-03 02:42:07.804779	2013-08-03 02:42:32.101909	96		0
6284	10e3od9cypfhr5r8kfcbh9j4ls	$2a$07$DLXAsJA.YReJlqpgWuWNy..6Vwl3eQKQ/BV5FAEgS7pnIwMWiqT86	68	2013-08-03 02:42:07.828315	2013-08-03 02:42:32.466787	96		0
6285	10keji6d9rqxaqktnrjnu727gf	$2a$07$jBmyieRCYuhUNuAbdHqn7ORWxw18X1QgplFPtWosRvAuXmSgOLkVq	69	2013-08-03 02:42:07.851233	2013-08-03 02:42:32.71006	96		0
6286	10rkyp74vawjajj9utke12qbeu	$2a$07$aBfs0ign0oVXdGr0LT1udOb./PUgqrKXqjmdTIiGDWTmN9E2UmwnC	70	2013-08-03 02:42:07.872721	2013-08-03 02:42:33.069532	96		0
6287	10xcytl1eszctp0ic15isw4fsd	$2a$07$fSecDIIQvEAc5LaE4f54Geo7E/2D/mQ5sX9zg9xAqBYPDSfvoSmMy	71	2013-08-03 02:42:07.893952	2013-08-03 02:42:33.424429	96		0
6288	109sghmv03yiofy4lc0zx37n9f	$2a$07$aB98kagPsB6yI2dpahARD.8CqJUoE1JDRjHT7dQydv910WLn2A1/a	72	2013-08-03 02:42:07.915405	2013-08-03 02:42:33.798531	96		0
6289	10l2vdqua7xkbto9zaiuj1607u	$2a$07$YArp/Bm.rwKQ85r.DUTQ6.RgUhZyvZ/UWFxxPcW.BYlk6QdH7QJO6	73	2013-08-03 02:42:07.938537	2013-08-03 02:42:34.003903	96		0
6290	10p4yzccze7y1r8l997r2ok4ph	$2a$07$4JJpR8K5UZ3//uJzipa9geKah8bhnAY0orlKfUck54BYOP/LPuNbK	74	2013-08-03 02:42:07.970666	2013-08-03 02:42:34.370806	96		0
6291	10zjidlj4krgap6yxfwb3tnrei	$2a$07$9sa37O1X.uaUARSZ7LuDneHhAY4c52oqjp8XIfRKgX8vbRIBeuGqC	75	2013-08-03 02:42:08.000404	2013-08-03 02:42:34.592077	96		0
6292	10wnbcgqa4rs7vh2wxaxlb4j9a	$2a$07$jL6mMZg2KnARhkmsf81.Juomt1DoQmmsVCFon12rKf/IbnQsOqqhW	76	2013-08-03 02:42:08.023529	2013-08-03 02:42:34.721219	96		0
6293	10htwb6oubc4nnirzty3kergiv	$2a$07$RpgxznyGmV1fm0ssVOGAiu08AXRNAu4JwlpRjVIeJrVNgS1PzJ0aS	77	2013-08-03 02:42:08.05292	2013-08-03 02:42:35.049955	96		0
6294	10hynl0sv104fjuxmqutvb15jl	$2a$07$juo72ZYctbTrklPoEJsak.bJ5hJCfWeuQo5aL7oKWaBhRJZDsyP6y	78	2013-08-03 02:42:08.08313	2013-08-03 02:42:35.201818	96		0
6295	10gqird7nvl3azg5qx0ncfks3a	$2a$07$zXkDcUJydGmtZfIlxvEur.xvrDw0H7OU7he2d4ZKATkBVO2ihC1wa	79	2013-08-03 02:42:08.106785	2013-08-03 02:42:35.557569	96		0
6296	10aeaq54h4alhyvh1c5g2drcfo	$2a$07$a6ZORRIGMjX6hTNgYIBTluR6zW181DI74If3Tv.aHGt/YPnDPxRBK	80	2013-08-03 02:42:08.136937	2013-08-03 02:42:35.699098	96		0
6297	105pnawphwblf1g86wilgubext	$2a$07$wXbGFH38ceTdcKK1d6zIG.dBeya72hB3OSv9ZyIYV/pe0.D6qLD5m	81	2013-08-03 02:42:08.166902	2013-08-03 02:42:35.846167	96		0
6298	10d1wvhosprv7dypvwfzxgg87h	$2a$07$3rt4OdS/RqAQf.r/X4MkMexLy4OI1fIwmdNdhGG9w/ZUn20r5Obkm	82	2013-08-03 02:42:08.18849	2013-08-03 02:42:35.994407	96		0
6299	101g02i5ng0b8m4bqeym6tgaoy	$2a$07$CI5/MNs.iaATpy.81Mq3v.yDVzLhb.e6w3/WwVbIfFcPbjh7j6IX2	83	2013-08-03 02:42:08.21	2013-08-03 02:42:36.272782	96		0
6300	105nf0i5rcv9zh6mxbmxclllmz	$2a$07$kmXjAvL0rzyZvp5k.qeg.uUpdAsG7b0h8zKm9lZhlz.l0fHnYUvt.	84	2013-08-03 02:42:08.232236	2013-08-03 02:42:39.356409	96		0
7379	100yqbl5ym2g0fxh4qenvhnrd0	$2a$07$G.HkZwEHmXgV5v8lMRYRN..NEYvieNotxVQWmPb6vYyTJB3jlRhhK	71	2013-08-03 17:41:34.027264	2013-08-03 17:41:55.912663	110		0
7380	10lwv3kvfrbbo4ugaewqqxhhwg	$2a$07$DZroF9AGvf7gxCA/RDEIK.khUf3GA0XhhzreViWgBvTwEZ0dBaRYm	72	2013-08-03 17:41:34.051027	2013-08-03 17:41:56.045745	110		0
7381	105124vr5ddmrhyif5rkx1yqdl	$2a$07$8/VUDRu0PmeqitXA224sJ.kWlHY14mhKuiHooqKF1NG.c3PHQqpLe	73	2013-08-03 17:41:34.073054	2013-08-03 17:41:56.182081	110		0
7382	10vta8f3e6q4pqddh15h1vqggw	$2a$07$IfEh7N6l/OJ59FMGh1UuJ.IVkG9pww1mAuJ24xZHgJFDuDz/wV9Te	74	2013-08-03 17:41:34.09588	2013-08-03 17:41:56.331218	110		0
7383	10f4q31p98izingssxnaqhsvjc	$2a$07$yL9fwjGEcjkpTMFL/karK.roQ.qCaRbrzlpUOrjAGZby1BiYWjn3a	75	2013-08-03 17:41:34.118881	2013-08-03 17:41:56.484212	110		0
7384	10lny6ne7tiw1u60khgz8wjoc7	$2a$07$n61XwEGVqqhPhTgMrNa1Re/BNwCDICtyFkQewDafyGgslTPOeNi5O	76	2013-08-03 17:41:34.141944	2013-08-03 17:41:56.611307	110		0
7385	10g6jquko24uac5veb3xfglkqq	$2a$07$HKSyF7jX.DCgwmACkoQklOl1xeY63M1QLVpUA/bFIX94BXzqh0UhC	77	2013-08-03 17:41:34.16566	2013-08-03 17:41:56.739849	110		0
7386	109b9j50ypurgw67fwgi5fgjhv	$2a$07$PdQgq3xw0MoEA8u.WFux0.7f3uio3CnNCyeAbrQEMYi0H1eMWrUqu	78	2013-08-03 17:41:34.18739	2013-08-03 17:41:56.867871	110		0
7387	10v8igr0sdg4k5yh5a27cmcedp	$2a$07$nGLL5GLmqfpORVMQqMohruVvJdWuQ/mscmej5Alc5fEIvWkbvk4g6	79	2013-08-03 17:41:34.208741	2013-08-03 17:41:56.988328	110		0
7388	10nghupxu7zn6vjxmjc75ma9pb	$2a$07$zldl1Omv/wJJNJfzfYjLouZEpVBShgjWN6d1wuU9aqgeXrIXsMZOm	80	2013-08-03 17:41:34.230305	2013-08-03 17:41:57.118119	110		0
7389	107jue3sbw97ix4c6ari8nir6a	$2a$07$17iGhIFuOicvcwyl0Rkzy.xad41ldA66Et//UIvpE3/XAA3yAeFCy	81	2013-08-03 17:41:34.252003	2013-08-03 17:41:57.270039	110		0
7390	10010z4oh5bo1uw6ievzbx52qo	$2a$07$SXw2vn1P3xnt4LN9gQujeebyVWUWZA6AML/rmKDdgRWi5jzF37htK	82	2013-08-03 17:41:34.273594	2013-08-03 17:41:57.412318	110		0
7391	10t3r52euauawabwn7engog5js	$2a$07$9OZJRPmKCeSYXFKom2qXXOjPbh76h5CKUpjFes9ElD2qlFVmM.ljS	83	2013-08-03 17:41:34.296537	2013-08-03 17:41:57.927871	110		0
7392	10tkoky1d13a2t1a1ankwzv16f	$2a$07$zmAQiVR8xJ5BUpeu3OIMP.939OUrTtMBQeZ5j7uAXKmn66rZFr5lS	84	2013-08-03 17:41:34.324252	2013-08-03 17:42:00.475274	110		0
8876	10sokeh2h5shinque06q7w6nq6	$2a$07$WYp5s2fHg9SI.4HjgpmdjOQdihCkQOLvr1EZ3Ks9Ep5I0OZezoXF2	14	2013-08-03 19:01:32.466633	2013-08-03 19:01:49.613538	126		0
8877	10mg2t28h9cp2k5w4xgippvvlu	$2a$07$IHAggKKDaEPukbQ.bzGUA.SIxejF1tMVdocX5f2Cao6gQowMS/CuK	15	2013-08-03 19:01:32.492759	2013-08-03 19:01:49.889668	126		0
8878	10uw27p4z027skabpfr7ebjr4a	$2a$07$bzJgvvxICWxI1pTxgm8dnOuIVUXcw.66XZep8OUeULRDinsu.7Gb6	16	2013-08-03 19:01:32.514987	2013-08-03 19:01:50.048315	126		0
8879	10kuvs33i0mvoz7tbbcspdminz	$2a$07$rNMe.fxSy4EZd9vL4DAoneYYgvSavUymVLL8xbAg8p8jR83mG13x6	17	2013-08-03 19:01:32.539016	2013-08-03 19:01:50.242914	126		0
8880	109lr6ss3hj3eokqscnoklcujx	$2a$07$iUV/ZXSAfN2GtKpMhNFSyeZEtyFzOy.rbuqiJgPLR2FaTgGlXgN3.	18	2013-08-03 19:01:32.561456	2013-08-03 19:01:50.382454	126		0
8881	10l56gdiq7enjvunjsn90kvkbi	$2a$07$PoDZ9TxOLhdXL62AQk6x8uv7yy1JWSSbs/j/9rXRalAc8VFVOONqy	19	2013-08-03 19:01:32.58454	2013-08-03 19:01:50.518764	126		0
8882	10sssx9ga9qno3p5n8z3pavypg	$2a$07$Br9se78JYL9GFx0Y8UXF4OYDMCd3iOxuf.aK7UV.pTUJUixV2/Phe	20	2013-08-03 19:01:32.606935	2013-08-03 19:01:50.657811	126		0
8883	100veeyplt1frbc9ghll1kqt4n	$2a$07$TOahxc/JRQLUhciKBHJaI.YJDxgWRjOYgS8cdNpsgYUh8sSW9RSTa	21	2013-08-03 19:01:32.63033	2013-08-03 19:01:50.804571	126		0
8884	10b07kvtx7rg9oolqh8w9cn1ap	$2a$07$eKScZhSbbecQ41xY7gdhV.6KsZ2I7s0s0i82zt.sGIwN2WsaQ5bjS	22	2013-08-03 19:01:32.653162	2013-08-03 19:01:50.99704	126		0
8885	10st7mdq9kma56iph3awmaotvj	$2a$07$r9EQVBo3Fca7X.ivh6Meq.5t8KeLrnnUJdore0lCcSdRNzfXLKiuu	23	2013-08-03 19:01:32.675676	2013-08-03 19:01:51.176495	126		0
8886	1015nvd7whje4r62hdovbsn6c3	$2a$07$dUgrqpeB2n5GXlSxPLalCOBvERP8FB63aEsN/eAJfC.U4w/IrPt2W	24	2013-08-03 19:01:32.6992	2013-08-03 19:01:51.32073	126		0
8887	1027lp5rzxu0v04p7wf0uxku9g	$2a$07$1hd3jjyEVJMlf1sCCCgYyuHDMQeN1tgenFydexnDj9EmwnvBveahG	25	2013-08-03 19:01:32.721476	2013-08-03 19:01:51.444687	126		0
8888	106m70jdzm6lwdy6ji75x3d36t	$2a$07$/ZaeHCgZ3Mw3LdLR9F0dkOq.cwVJaS2F5SuRewtawCK1H3hThsxtm	26	2013-08-03 19:01:32.742962	2013-08-03 19:01:51.581805	126		0
8889	108rbofdpu1kj54l2lfciuvjvv	$2a$07$/.HqHgxaW3wKGW9Cn1DZWeEVJJUPvTJkjX0H/7M2neFCyCsc1qeRu	27	2013-08-03 19:01:32.765391	2013-08-03 19:01:51.698967	126		0
8890	10t1rwfq6b2t18qqu4d2wia8f9	$2a$07$jJhbe74VXGIJW1VV0EDRQ.dZuV3tb6mJjvARtvpxogq17Up08Fjku	28	2013-08-03 19:01:32.788378	2013-08-03 19:01:51.822218	126		0
8891	10j91yzk9cvv5h5ljvw0yf8rkq	$2a$07$kUKu6y2nqXKsy2ydVT8qaemFmak9n4XEqT8b98ioWOicVKcFTed86	29	2013-08-03 19:01:32.809876	2013-08-03 19:01:51.961857	126		0
8892	10p6917qe6gf24np8dvvm768pm	$2a$07$Qx/Jqk915m6v658TqZJUAu0BXINzStsR.sXcYnCjK5SxnsDduMjYK	30	2013-08-03 19:01:32.833376	2013-08-03 19:01:52.089201	126		0
8893	10008r2hteoxnqk3d1fhhcr35w	$2a$07$mupyRgeoRus/O.UdyZvBROyeaAlVQOqXbEk53TLU2Mx1Uo2SlKyBm	31	2013-08-03 19:01:32.864294	2013-08-03 19:01:52.247829	126		0
8894	10vh2fsbnjl4zl7whlpxtk1yw7	$2a$07$agCjBywcWNQj.te9smwXBeb0olXOOWSzpmY4.D7KACM2lKRBDE2j6	32	2013-08-03 19:01:32.895698	2013-08-03 19:01:52.406523	126		0
8895	104eobsq74jhtcr10kkjo7fz5a	$2a$07$ey4BDSF9spHA3aQpsrJvv.COasUSbl2Quql1FQm.NahKtM17weIxS	33	2013-08-03 19:01:32.933186	2013-08-03 19:01:52.578188	126		0
8896	10baduv1n7ulbtfpbvaxxqwc6d	$2a$07$q8HTkpRYACbqM3sQ1UQ3uucErVKBoSsTJXfp7t.Oj7yu7doqN2iOS	34	2013-08-03 19:01:32.959485	2013-08-03 19:01:52.715664	126		0
8897	10i96fdya8knicc5kexwtqzpp9	$2a$07$dltYAbStGG0mlsXgR/5fT.4lkQFuv7jZJJpT/g5kuZQ.IQsibPX0m	35	2013-08-03 19:01:32.983538	2013-08-03 19:01:52.856627	126		0
8898	10pgm18tc4bbcjfysirqe3iegl	$2a$07$uZHaKjgANz1H37C8NOP2r.FX0AaEfbcYPWNqSv1Be9YlyaenzLFui	36	2013-08-03 19:01:33.008546	2013-08-03 19:01:52.98403	126		0
8899	10o0p9h68yzizwphai6z15ozp4	$2a$07$SgFo2d2Da5tUYLuDquwczehIWKZ7/R9SzOm7ZdnmHDCzuBRbU39nq	37	2013-08-03 19:01:33.032628	2013-08-03 19:01:53.126814	126		0
8900	10q49ocex5o3dh2c3g91ej4rui	$2a$07$Fpif8rnyX3sEefRx5HIWIeSLM4qUbZZytU7i2vOAeSLIZ2dZdn2nO	38	2013-08-03 19:01:33.054498	2013-08-03 19:01:53.282103	126		0
8901	10ptioecyvyhp41xm010ywyxtq	$2a$07$Mb4IuH4OWxZp9B7HD7Z80ezrGqEstYXHVQVw.BOysP02YGaqQ0Ev2	39	2013-08-03 19:01:33.076009	2013-08-03 19:01:53.424988	126		0
8902	10qyqbmhyukvrupx1toglvv088	$2a$07$Y9XDRppGYV9X87YPKTcfAOe0S1pslQxAHQHyEE4gfNRBqJnfSz7WW	40	2013-08-03 19:01:33.097577	2013-08-03 19:01:53.537008	126		0
8903	10py8bpuukefyswzw2nxgiag6z	$2a$07$ktbTLqLSA/GNyjr5AP0JPOkweQJ2BmbfZoqOjOLtKRfSwjt9PsLDC	41	2013-08-03 19:01:33.119043	2013-08-03 19:01:53.667024	126		0
8904	10tyagmhjoyhed7vnd1xd79dnc	$2a$07$lH3ek7hQ5/UpwPCH6ryaUeoV.bGIfDHS8EmrHrPsukNgr5Wv6RNCq	42	2013-08-03 19:01:33.140546	2013-08-03 19:01:53.801222	126		0
8905	10lsn2otdvbmfnfg4hxdth5hb5	$2a$07$lohO5F2J8zxSBPx0FoiGAu9Z/j9tKPGXhWqkqwVUgojAKksUE6vzG	43	2013-08-03 19:01:33.162074	2013-08-03 19:01:53.928791	126		0
8906	10k7frm6r7dvqg11vbp8f9edud	$2a$07$VTZ0DY2W/g2.uDajbiSsyuriSMS4kcxO5OSmCZ4AIRGeoCzkyimqC	44	2013-08-03 19:01:33.185135	2013-08-03 19:01:54.053753	126		0
8907	10t0tc4dn7c3xl174cqvufpssy	$2a$07$vislNPmC58TtRfaJ8Uog4eNx98ozok78biuka8K0jea2xjn8it9j2	45	2013-08-03 19:01:33.207124	2013-08-03 19:01:54.197476	126		0
8908	1023o5uwtlso7cdvrn27dp50wb	$2a$07$V7uXG0VPnAk4YkrZbDwQc.WinU8daOl9Cr1z6eE7D4WoozwoECs6O	46	2013-08-03 19:01:33.228853	2013-08-03 19:01:54.405805	126		0
8909	10lsziy3s7sd8rpeu64crg2fmc	$2a$07$nwWS54n43xMUoRMXj5Sk6.Tinl02D59GgtEocFQxQcamFWXb.dule	47	2013-08-03 19:01:33.250459	2013-08-03 19:01:54.53477	126		0
8910	10cgw46pcxe8r85xbtfrp8qimd	$2a$07$E06Kvy/xNsiFB0SVeWhmw.fms.KcQity1K.e5T6ScF4IahlhMQ7Sy	48	2013-08-03 19:01:33.272758	2013-08-03 19:01:54.734808	126		0
8911	10oearq604idqefrrxdpabhqm9	$2a$07$bCMvEqlSsHBCIPv6XQMtJ.L3C5bW2A8f9rRSqWQbbSkJPZVYz31v2	49	2013-08-03 19:01:33.296695	2013-08-03 19:01:54.842703	126		0
8912	10l0n2xe29tw2379tasu9mcwed	$2a$07$X3hEFtMnKQy4A7g53f6M3OtM1sx/2Mz3myanikGYbNH/rz20ea2qe	50	2013-08-03 19:01:33.320113	2013-08-03 19:01:54.980812	126		0
8913	10n1ktvh36m0n4vo0o0ecv4a9h	$2a$07$a/PykSBVItvasliiwN9bm.iA67iDdtjM/zvUFJklcdPBOWjFZe52W	51	2013-08-03 19:01:33.342846	2013-08-03 19:01:55.102789	126		0
8914	108105qv2leccxhblob07ujho0	$2a$07$Le/alAb3hP5ofRJbuXju0OS6anqhIS4.tzmlcpy7kYrFlf./0WYKm	52	2013-08-03 19:01:33.366075	2013-08-03 19:01:55.214934	126		0
8915	10olye46kqs377cut3jczulkfj	$2a$07$LGATL0BKEJRZfUSgzzHkK.477s7bSGIJHXy2ZUz/IvISJ6i7J48ua	53	2013-08-03 19:01:33.388684	2013-08-03 19:01:55.350634	126		0
8916	102ptid1hqy28see65ocfgkf37	$2a$07$zFirc/tnRy1zNVDq/zXVWOChoQBPeWhYvrqzSgUj/xGBg1owwBJ4C	54	2013-08-03 19:01:33.411623	2013-08-03 19:01:55.501269	126		0
8917	10y07bo1p9q1bjl51skau1l9me	$2a$07$Oc88uqxKhi5D3IO2vtJzPOpjVv8fpiiegdHs76iAEPqBBdUr7ml2.	55	2013-08-03 19:01:33.435273	2013-08-03 19:01:55.641354	126		0
8918	102rdf13tjevdytfdiyrd40wxp	$2a$07$tDVWJ4RN3.2ad3938kPoW.a1vuOXOsQjLa9O/KvWTsFaiGOAEWyhe	56	2013-08-03 19:01:33.458001	2013-08-03 19:01:55.781885	126		0
8919	10sk9ifqelj0plr301iczdvn1w	$2a$07$wL08f5rD81iFKVJciyxaM.wd.UITMkzmUolrO7mUtM647FUQABluG	57	2013-08-03 19:01:33.480434	2013-08-03 19:01:55.91127	126		0
8920	10pf2o1xju6jfq3s6y99pjp73e	$2a$07$vwbqx015HJcej/056bwtEe6ogB7AjhScDoIQwAQ4.Ve87U.BzP/ke	58	2013-08-03 19:01:33.502189	2013-08-03 19:01:56.062899	126		0
8921	101keflxp62v1chyqfe8i6ofyp	$2a$07$Y1QHny5W2I9E/csMnAuJP.RUY.GTCk2PnS2rzyqIDbxdDQZOtyJr2	59	2013-08-03 19:01:33.523763	2013-08-03 19:01:56.220469	126		0
8922	10ajscp1vjbftcpaku78q7479q	$2a$07$l0ouCmh2d8LDg1eYXEHicOsdSNq7O.2huQr7DciCGEEaOeMbHpDeu	60	2013-08-03 19:01:33.545465	2013-08-03 19:01:56.381118	126		0
8923	10p6pe9ckvozf3f42p6mpbcu2r	$2a$07$4C7zaavKotqrB.QPNifWjOokvl0D1elkavGiAGFg6H81Huzr73Fzq	61	2013-08-03 19:01:33.566853	2013-08-03 19:01:59.264966	126		0
8924	10ozjlnb6kz6drrexvq4ga2c4s	$2a$07$UxFHWvE5dgf./ta.oI3pVuFvtpbVK/O2tVZhU.nMx/.K3a781YUY6	62	2013-08-03 19:01:33.588683	2013-08-03 19:02:02.373863	126		0
8925	10y9jabfm9aod5c56wlwqpvtir	$2a$07$QsVuNpzbNRTEItLY4Xm4QeFHJtkVg6ksw4aXqUac0nJKBCC.f81Qm	63	2013-08-03 19:01:33.610611	2013-08-03 19:02:05.380787	126		0
8926	107tnvojibg0z519oz5m4pjn63	$2a$07$oIubQPNcflKTolDEe11xWuDI0P.zb12QLaYNXn1310Syl.TgEG2CK	64	2013-08-03 19:01:33.632384	2013-08-03 19:02:05.793488	126		0
8927	10mpp8eeqq2s72n02e1fa67geo	$2a$07$yyv7X0lAD.vDINfyCkolKOGX3Ru5LCGxqO9OMOb2uTC20zmFOHwoe	65	2013-08-03 19:01:33.653881	2013-08-03 19:02:05.954252	126		0
8928	107dfl37e6swfz0u9fervhsa56	$2a$07$Eveegv2CIwhqc.hX19zuz.BClbiu8tmzc9DqGyq2UxYZqgnsRPhzS	66	2013-08-03 19:01:33.675381	2013-08-03 19:02:10.046952	126		0
8929	10ym936gcc4did12wwyn48tbds	$2a$07$Yz1xJYmfUO09piKQPPFeN.lxqTlSFgp7NPCxocXrW4wdF7DDg/w9C	67	2013-08-03 19:01:33.697587	2013-08-03 19:02:10.161681	126		0
8930	106tb1zsjrkqpoodx7wkchdy0k	$2a$07$q.nTxWXmbno6CLl.Ak0mM.kgPRFKHwCnwOvSML87ir93PW3Z3QLZ6	68	2013-08-03 19:01:33.721266	2013-08-03 19:02:10.397796	126		0
8931	10zaffsngyzbhbwvj97ogrlt5b	$2a$07$eKgkG2Q2YrPCcWwO1T.m1ugOZ7/md4NadxWGpII28MFcEjJtyUz9.	69	2013-08-03 19:01:33.74369	2013-08-03 19:02:10.546245	126		0
8932	100eemnidzkhjxboitwtx4pzu6	$2a$07$wQf.cLQONGxDKwDMoZXfSuhchuTU4SqrITqCtoxieFeBU.1VZ8LRC	70	2013-08-03 19:01:33.765255	2013-08-03 19:02:10.671621	126		0
8933	10sacbzfx08dsrcuqajsmrwm07	$2a$07$iEPJMQth/GcB7AxugNxBF.421e.vtvuyeesS679Uo2ZYtc2Z88mhm	71	2013-08-03 19:01:33.787145	2013-08-03 19:02:10.822833	126		0
8934	1019tebl52g4so8w3zszq7khg6	$2a$07$h.m5hqvkis5atNMMKPftX./WYMiuo3zdaCtTkWt.ZoK02L5ascN1.	72	2013-08-03 19:01:33.820236	2013-08-03 19:02:10.939828	126		0
8935	10g2wxor182paeks52z64vuzrm	$2a$07$lkLHTBJn9ByLAjt01RYf1.M214gauA/UPVJWsVE7LFQS0MsHqJJu6	73	2013-08-03 19:01:33.842044	2013-08-03 19:02:11.083668	126		0
8936	10m8k2wiykfd75m22gjwtdbzfd	$2a$07$8AULZUIpb7GQs9HSJIPCGeT2z/56dDS/iOSTt/Am4KCSYeAVkH036	74	2013-08-03 19:01:33.865198	2013-08-03 19:02:11.217064	126		0
8937	10ca0fhs3v78sq0k9fvnyqt7wl	$2a$07$8EYj6FnzIMIXT1SSKWqYwOOEKVF8b6RxBZODXpUIOWd8iX4yI2RhW	75	2013-08-03 19:01:33.88919	2013-08-03 19:02:11.334722	126		0
8938	105fl11cegnhkebhfz9q2ado0y	$2a$07$fc0cqZYAdBi0cwEVb7goV.HT3lUuFTUFzKpMGR62P332Hy/.1mKl6	76	2013-08-03 19:01:33.910335	2013-08-03 19:02:11.4597	126		0
8939	10x5ydtpleo3ooqvi8yiz74s42	$2a$07$RtzNCpgS/MtOQTlpE2uZFOEAh/4YbySKbvCfMXYqgImS4wsJ3vDbC	77	2013-08-03 19:01:33.931333	2013-08-03 19:02:11.632706	126		0
8940	10srxtw9flo0x61o7pg0hbfb7e	$2a$07$AX2P196XIag7T4vW6DhWtONPXhjPSgxo.8R25o/4f5BJU7wl3qmm2	78	2013-08-03 19:01:33.952407	2013-08-03 19:02:11.761499	126		0
8941	103c84v1r8dwpy6beaassad07c	$2a$07$YdnU9xHERy1CRlFXjpewOusPdMqQtyoixWE1JKzoKCYznwXNeGeQm	79	2013-08-03 19:01:33.973816	2013-08-03 19:02:12.005699	126		0
8942	10mv1w4zlykokgo0qw3sw7jy3o	$2a$07$e8LmJu3xrPoIOSexLXJKkuaR9XQWfhxSF5D/emrDQ8Mh/hwfWNkXa	80	2013-08-03 19:01:33.996593	2013-08-03 19:02:12.152219	126		0
8943	1080l8qx9gjqarh1kg7v35o4yz	$2a$07$yR6CuuUXCnghcLq3LiibQeYEUboj305VnXwtVqLIKHGZHuLWfUrAW	81	2013-08-03 19:01:34.018204	2013-08-03 19:02:12.289408	126		0
8944	10qv94cjz9l1ptl20qknh6a31a	$2a$07$Qgdwj86S3/2Sj9oygpS4e.K5nSl2/OCAuKpRez2q729OD/RY1gU86	82	2013-08-03 19:01:34.039893	2013-08-03 19:02:12.438501	126		0
8945	106p2k14wt4ryupxvf6o387iad	$2a$07$zBVdNmuBYuxFnllldJ27AOHr9ajGe9Xof5DPp71qpKJJPTvx5JAPK	83	2013-08-03 19:01:34.06147	2013-08-03 19:02:12.571094	126		0
6301	107chznzy1e1m5ur0n26isbh5g	$2a$07$RQPOHGiExFWyhGh8Yc/RQeW9kxRl8.ETEF9zkHtYplDYJp3zS48rW	1	2013-08-03 02:47:20.354073	2013-08-03 02:47:22.494915	97		0
6302	10kawfhf4wzyq07dr0v5rvi3dh	$2a$07$8mDY63dF/sVGVnC905HzyOTtRwT7i4w.FNPLAs0Vvp/UcfqRTbQsm	2	2013-08-03 02:47:20.379659	2013-08-03 02:47:22.622731	97		0
6303	10gjba52e9jj6865y116bvg700	$2a$07$BkIt4n2vF86DsnomiuYMGOLnnjty3Mams7IciwclBxCHRlBYwPV2a	3	2013-08-03 02:47:20.419977	2013-08-03 02:47:22.763888	97		0
6304	10l33449o4y3xt0ya1tpgo0q0e	$2a$07$CDijBSVnutxm61E8tgg5suZu6588LPvYy9dMd4ZTNRFffGP/gYw.C	4	2013-08-03 02:47:20.441751	2013-08-03 02:47:22.948859	97		0
6305	102zu3rc1r8vegqtfouk7dor8m	$2a$07$W1fKSfyI4JJoXtyvIERoTuDcl/jflE8qs1O3g1U9La7gH5TgfWJ6i	5	2013-08-03 02:47:20.465245	2013-08-03 02:47:23.270646	97		0
6306	10qgp39fbarhk9qco53h26kjwt	$2a$07$kBrwibBCyTH7b4tk32JwpOlktcjqhdmHKFy3LSjzusjxplt8Ux8Km	6	2013-08-03 02:47:20.492587	2013-08-03 02:47:23.404347	97		0
6307	10837501z2wxrogkl4pkv0ar8c	$2a$07$Rull.ZgzeoN5Mutp3XfgeOC.6MxAi5VmJM5U1uMNVO03NnXQRez66	7	2013-08-03 02:47:20.528941	2013-08-03 02:47:23.547444	97		0
6308	10eixxtrx3smbsojupnjwokpxk	$2a$07$m.t7.ekDdewPvQ6tCfHb4eB6NP62lUi7paE9IfbZeexfSO/7UxBhC	8	2013-08-03 02:47:20.550717	2013-08-03 02:47:23.846883	97		0
6309	10lewp171ebt3k8smh17ysnyvx	$2a$07$f34mKiEuvJ0Hq.IZhvO8pebJDs.KG6ysORo3QNVucyRptnP.ss7B6	9	2013-08-03 02:47:20.572184	2013-08-03 02:47:24.025378	97		0
6310	10x4pseyjo7d1uxxcr5580w7ug	$2a$07$uDRJuyXBXALJSTGkkN/GR.m/CzQCO0/r5dyVrSHSIRmNgvQM6b5Ci	10	2013-08-03 02:47:20.593527	2013-08-03 02:47:24.174159	97		0
6311	10d53rf0j8lr6pxaamrpuaz2gn	$2a$07$WhWdD.KEbYjVKWXKEJ4r1O9JX2UduPju7M3ePjezkSgEHcGsug83S	11	2013-08-03 02:47:20.614963	2013-08-03 02:47:24.324277	97		0
6312	10qmwqwfr0l46f36ipznb4cl3l	$2a$07$zp93TgZGPooqjnIX12uXm.83lvBoZBTYtPh11FRcjjNy.Lhzskn7a	12	2013-08-03 02:47:20.636319	2013-08-03 02:47:24.479188	97		0
6313	107gx6m78btyqqcst0f6m33qxk	$2a$07$LQiETxNLp0wI9Az9sBjQIOCUPwn3qjhgW46zdzvdrOh2DinK.YShq	13	2013-08-03 02:47:20.657778	2013-08-03 02:47:24.865126	97		0
6314	10vza0iskvi8noy4925txwpo1r	$2a$07$yi2c.a6dKYagykWGecVnEuTmnnZws5y0PGnkKt1WYPLDy.YPF9k4C	14	2013-08-03 02:47:20.679339	2013-08-03 02:47:25.2295	97		0
6315	10nkeoxidrw25hdkedzi9y3q9l	$2a$07$SRixx4Az/CCmjvD5LYi5Wu0oAkw8c9Qhg/pvcHgnAJw5kUCUgINMu	15	2013-08-03 02:47:20.700774	2013-08-03 02:47:25.595273	97		0
6316	1068pihyhasl4ph1tnf5bk749q	$2a$07$JWdqKbU3BZlcwvE.J23ASuRZ6Syt8Fc.P67oZgANk9Cl/mQe9nOMa	16	2013-08-03 02:47:20.72219	2013-08-03 02:47:25.71046	97		0
6317	10cdh8kt7k3l2ykt2959bbtmna	$2a$07$gC1wSRJLcVLlmXbAPbL14u2MtJMphyLKe33cCDlzLtUBu6MNz5j/O	17	2013-08-03 02:47:20.743579	2013-08-03 02:47:25.825779	97		0
6318	100fmq378o4l3aofoxc2shagjx	$2a$07$yYSkPrxwuKWssyEpjq1AqOEw0vd54TOQKf5juTFFJm42tpvDV7UEC	18	2013-08-03 02:47:20.765039	2013-08-03 02:47:25.942701	97		0
6319	10y4l3ii6qtlwa9ze202udfoae	$2a$07$MnE2gf327Osq.JRNtv.w/OIrK3AlbV2LD/VmJ1WRe9LkQRJi73Ubi	19	2013-08-03 02:47:20.786608	2013-08-03 02:47:26.304069	97		0
6320	10mvfo8v7358w9pthdswvm7p3l	$2a$07$RTOPtOGp/zPs38CX64wWAuvJ61Orv9vPhvioteEp9nrWHLbXpJSsm	20	2013-08-03 02:47:20.809388	2013-08-03 02:47:26.583917	97		0
6321	109rkezekyl8guuuxfptxyjx66	$2a$07$UnUvyYAo.DtHy9Cy96C.Gu6Dby6uSuSmWvM/Q6okwP69bzLAvqj32	21	2013-08-03 02:47:20.831433	2013-08-03 02:47:26.722859	97		0
6322	10pnljfescwf89dl6712tj6dk5	$2a$07$RZo1MPF0l4vdjoEvWsiCCus.a37xh.m5wPegpmu.3/HyXYjtz3FSS	22	2013-08-03 02:47:20.854693	2013-08-03 02:47:27.086444	97		0
6323	105yih4n3zbn0fc621v9c8gwbx	$2a$07$LlgEDIVDSvk1elXcHlLvzeCL7ts4fFyag/RkK357BNoxipjLOcyca	23	2013-08-03 02:47:20.877512	2013-08-03 02:47:27.382098	97		0
6324	10z8avzccmjigs9varlxv5k4dk	$2a$07$odFOtdubUGS8slhXd4aEEOEv72xoloIawmKEPgb/kLZ1QVCeUvcUG	24	2013-08-03 02:47:20.899334	2013-08-03 02:47:27.543767	97		0
6325	10bs04486fzh3nwt25so1xyly6	$2a$07$1TizY/SK4AuS03XGoSQ3PefB.SFLOLJUxfisqH0sFBJinQmFQOX4O	25	2013-08-03 02:47:20.922502	2013-08-03 02:47:27.915089	97		0
6326	10j154omjhz0ldoui0fdk55oh7	$2a$07$JBljqQvuJ9.Bvawx2Th7hupi6J9CA9wOA0rF6xlJb.U.AeL4OIJKu	26	2013-08-03 02:47:20.944143	2013-08-03 02:47:28.216783	97		0
6327	108k0hkav5yf7m82llt4pvrb8m	$2a$07$PYnCj7HkzjRH03psTys1IOtdkUN1shTAfnSjuu9e5C7UBrvpqv91u	27	2013-08-03 02:47:20.965973	2013-08-03 02:47:28.397233	97		0
6328	10g3hx7y8e14gemwcz7d7kihcr	$2a$07$3uVOqggz2hQiJEqF6GModOYzXi2cQ5WDxMNlKU67WBZLcN9BR/K6S	28	2013-08-03 02:47:20.989073	2013-08-03 02:47:28.546581	97		0
6329	104hz47se34salxekqg6s472fa	$2a$07$MYrd7YniMTvImD5PgFXoBuin0mDDEXq1n/c17XsU7S1v2qlAk1DqK	29	2013-08-03 02:47:21.012309	2013-08-03 02:47:28.668342	97		0
6330	10m49xbjxh7navaycowjjauujk	$2a$07$0QnzZ.zqdrKVdpobmT5yjO5VFhD/.ybQcApbvGuTh2fhRkpD.ah.q	30	2013-08-03 02:47:21.036776	2013-08-03 02:47:28.840951	97		0
6331	107sjjgdainvaiylnz2vl8qfyo	$2a$07$x5N1WG9cEJjjJg//0g7fNO/t6v6lfGIjHe3VEqwsqNsqpvzoT7hl6	31	2013-08-03 02:47:21.059509	2013-08-03 02:47:28.95808	97		0
6332	10h9wg0sd5svcmi5oag7dal44p	$2a$07$hnJL5SE046oglTYK/mmlM.lmYM2q2B1Jej9iIgeXDo1kjFfNOQK7q	32	2013-08-03 02:47:21.092247	2013-08-03 02:47:29.140525	97		0
6333	10o8b72q1sdz1u97gwla77x6p1	$2a$07$oFBtwCDNmCLv9KDji180gOwZm9tREWxSvr5fYfVQhT0jTBBhgSwPG	33	2013-08-03 02:47:21.113872	2013-08-03 02:47:29.491314	97		0
6334	10jujwzqjzrc3ryk91dcy95hus	$2a$07$a9/jC5itCyUEYOJZmyYcLuzxE/4Xn5axZ7JOvyoJ7L/2HWCOsHnDS	34	2013-08-03 02:47:21.135443	2013-08-03 02:47:29.627501	97		0
6335	10djump23r08dett1l0vlme8c5	$2a$07$lyrEyd7r0B7OBlmcYNOY6evg6XQvt9ztMRhc6ss1hqADufpMgtFz2	35	2013-08-03 02:47:21.157008	2013-08-03 02:47:29.747317	97		0
6336	10a95m4riew9nnaa6ewwf0vp5w	$2a$07$TT0udU7wggKkz3m54z1LfuPRcopebyJSBcQzP8Di3R2jwBM79tGOO	36	2013-08-03 02:47:21.178516	2013-08-03 02:47:29.873388	97		0
6337	10w3fc3kto47qrkxicig3phhye	$2a$07$gNjLpYOLFjGYd7sV8p/T4.wDH/eUsMT8JYSWbMmQkAzlYzavGSBtm	37	2013-08-03 02:47:21.20002	2013-08-03 02:47:30.036722	97		0
6338	109z7a33m0omxyqwv9mwfxqpft	$2a$07$aLovjsHE72mUfguVPRzEp.yNXr8JSfs3LditgANhWhQXzV7r7Tvxe	38	2013-08-03 02:47:21.221698	2013-08-03 02:47:30.220036	97		0
6339	10vyv4gvyu59lptxifesc6wc36	$2a$07$MC3G7YigAejbUVmBZz4e3egVUVraVNoXpdIs/DLjW0//sb4ZpN9a.	39	2013-08-03 02:47:21.245138	2013-08-03 02:47:30.463673	97		0
6340	10lfe6fr0b64zrli69nvx9tli3	$2a$07$FW9R4TWmP/dYr07jPJ5I5.mJiiWk6YhfOngQsb1YKrlCr.ruDF55u	40	2013-08-03 02:47:21.268172	2013-08-03 02:47:30.652643	97		0
6341	10f7o91u63myoec0t5dkdizadx	$2a$07$w5QShY58Z9X5yvmvQwgEg.AbSxknQE4elpZsfX3MB.0aAmJVn.PTy	41	2013-08-03 02:47:21.292224	2013-08-03 02:47:30.864962	97		0
6342	10itgnmlvixdm38lnd6q9cmiv9	$2a$07$eZjQU.XDmvlqF/DrHzxaLe7x04aJzufe/F79HWuMt/x6C5OoiVuWa	42	2013-08-03 02:47:21.31574	2013-08-03 02:47:31.040298	97		0
6343	10nk2i6tpyys5koygjb0eostri	$2a$07$F0fh03H0oYBz9vaW5rwtF.o1jhi3mZTpy2JdllzvM4pj2RtkMlk9y	43	2013-08-03 02:47:21.342522	2013-08-03 02:47:31.235263	97		0
6344	10lfdyhp2arsua0eo75r2euh4s	$2a$07$dxVBNM2kx4q.snaMm7clmuybkq5cx.WXDEjY4fshFAQsVlrO.FRva	44	2013-08-03 02:47:21.364058	2013-08-03 02:47:31.428139	97		0
6345	109lvqsz4ozvtmvvhpq5zj11rz	$2a$07$W5HtjdBDFqIX8r1/N3/6vOqhp6R95RoLiMlvYhKEiwMOUrX8agmqC	45	2013-08-03 02:47:21.38546	2013-08-03 02:47:31.629967	97		0
6346	10bb205lun1x84w6pqitp9pffw	$2a$07$YxHDpmdeC42u9MUzWdvTmexGGLwGH4uUt41CnucVdHe9svi2qYdzy	46	2013-08-03 02:47:21.407321	2013-08-03 02:47:31.987506	97		0
6347	10b79d2yz9rw0nvwstj71kbkf5	$2a$07$l89qLTXnun8F69W28AM/n.wgH4q/PdaTV5LZVBahHi/8pIIR7.P2W	47	2013-08-03 02:47:21.42888	2013-08-03 02:47:32.364662	97		0
6348	10bp08u84jgktjni9agtz1xxo9	$2a$07$NTdM0pueKdwpNCXFNHPJqu7e4KJDChzQjhu0h/yod2nyeGWlYUaVm	48	2013-08-03 02:47:21.450508	2013-08-03 02:47:32.751557	97		0
6349	10yur0gn01fbusp47cv8rklcay	$2a$07$CERFi9xC5CtO7f.OW44B8uJSveJyzacs.Fmj7t0CCoV.Kmtk7sf2.	49	2013-08-03 02:47:21.473303	2013-08-03 02:47:32.897526	97		0
6350	10jysjta5t1w2fekjfnfog9x38	$2a$07$EmKa5tOhmPl9TwyLwgYr4ex72A0cxL6uTnKVemuOWg9pYfrzEcMJC	50	2013-08-03 02:47:21.50244	2013-08-03 02:47:33.037339	97		0
6351	10vir1zm55zq0jqwdnajswo2bz	$2a$07$P6gS8.H8lUdeHWdKONqDBuCJPmgtlu.P.3DFNIcHRz563205p7Bny	51	2013-08-03 02:47:21.535279	2013-08-03 02:47:33.173344	97		0
6352	10wwc9uw7tchsmdfgmqgr4hsdi	$2a$07$pw8SX50Yv0bj9JnmNT3G/./vNepWniLXRRWalEcUaP6/VINvnxsDy	52	2013-08-03 02:47:21.556943	2013-08-03 02:47:33.455384	97		0
6353	10fhxmjhvkx8l0k9wqowbnklsb	$2a$07$KQaUeL6/x2AuQM2VAKC1pup80uI1CBM4EiskM1DQJECOfr79pDcAW	53	2013-08-03 02:47:21.578732	2013-08-03 02:47:33.675118	97		0
6354	107i2k1nimi36ugr7gh9ktlaw1	$2a$07$2eK1.tseaF25kAsp0AXk5.gvvyIX2SyU/f95MTkk80c9UYEfXFOEa	54	2013-08-03 02:47:21.601441	2013-08-03 02:47:33.940506	97		0
6355	10aky82eqdst2ghyo94m4bglkk	$2a$07$uLoanVeVHlL84EAMG1CzY.cepLfCm3YH2IjAthb0VvlhE0nuFkadK	55	2013-08-03 02:47:21.623068	2013-08-03 02:47:34.085294	97		0
6356	109cnko3lne9xwd3a3jeg58f0y	$2a$07$IIxoThPkoRmH9jFNMVubt./Gbj58uuRpaVDoHINm/chPtJkhdyZmO	56	2013-08-03 02:47:21.644956	2013-08-03 02:47:34.246668	97		0
6357	10d7prqxudm0hz51gnet004pf7	$2a$07$n0cZtzMJMF3QanBsC5efOufhJj3l8d10VSAVp7VMMAKitbK5WhGC.	57	2013-08-03 02:47:21.666605	2013-08-03 02:47:34.587445	97		0
6358	10tx54ldw3xh9wnk4p2qtppc10	$2a$07$dRPbmgu5IsE3cSH9VGejbOAL/Ss9frtb7/5P0wfTGS3ck8eQuz1se	58	2013-08-03 02:47:21.68804	2013-08-03 02:47:34.824973	97		0
6359	10euzctc90j84va9m665jkxgua	$2a$07$vNkIRWgJ4Ww6FbjUhWQNa.q7HRDmRGUjt17qeiPXlXxVXo3dOuahG	59	2013-08-03 02:47:21.745997	2013-08-03 02:47:34.97589	97		0
6360	10hlvroc27ehucga14hjpvq0h3	$2a$07$z7JpE4i2jS/rTJDhOwU/cOD7j1fKW1a4cYZYmsasWNI0PyiZYZwXy	60	2013-08-03 02:47:21.76847	2013-08-03 02:47:35.151743	97		0
6361	10g6ftmmwkxoq2ri3fyzimdy3v	$2a$07$Tf7tLqY4Vo4O0fIyAHJn3ea8O/RfwEHeCq2KtVadkMEqbZfR08FmC	61	2013-08-03 02:47:21.791188	2013-08-03 02:47:37.935811	97		0
6362	10880uh89pwxqnvkno9qea0j09	$2a$07$aRErdGHNiqP2S2b7iXb3DucOz5l.tDeS7eJJ6JExUfgCrWnrN/3t6	62	2013-08-03 02:47:21.813836	2013-08-03 02:47:40.822587	97		0
6363	10fvvwpp8enxxgmuvt5ml932h0	$2a$07$011lQqdQMO9JqZSxkQ3a8.BcqO8xF3Mv4a.Jas8Izv2O.Z79cCiN.	63	2013-08-03 02:47:21.835309	2013-08-03 02:47:44.137035	97		0
6364	102hkf4svu9cky515y54ti42iy	$2a$07$q4aJLisiGoJilf/nqz/cC.kG1WjQwPhd/1VgnqUj/JaPwgvQ25p.K	64	2013-08-03 02:47:21.857036	2013-08-03 02:47:44.272309	97		0
6365	10t7gaexjor76v5td5gqt2x4vd	$2a$07$j10G1BhDOw5NRiup3/qDYO.RFJdr6bs/bt/RgTMhBNJo8CHAgbPy2	65	2013-08-03 02:47:21.878638	2013-08-03 02:47:44.580908	97		0
6366	10v23lkvajfo4oqfvu9wb7li06	$2a$07$bhw8MFyMY5NC3PE0UJi3wOTaVm81ZvVETcMWlVGF9tN031QMqGAP.	66	2013-08-03 02:47:21.900033	2013-08-03 02:47:44.880484	97		0
6367	10munbevw9fgrsrd8pxviphceo	$2a$07$sHZPJi43ZEh1ffEAe36iEu2W/kXcuAnZM42eHyHEuMoxUvY2EVH62	67	2013-08-03 02:47:21.921555	2013-08-03 02:47:45.000603	97		0
6368	10tnhu24zxy4zeqoo765xonf3a	$2a$07$30F7Ais6bM1Au.AOfSe2buiQjx.Mf8g5chnOgD.bX/7Ul/gXqT5La	68	2013-08-03 02:47:21.942947	2013-08-03 02:47:45.391827	97		0
6369	10tqumtseulhrjwck3o1jw6tc4	$2a$07$mZc/jFAUwsFeMQO8foNhgerOMlj2MYUSJD9EUHZjN6R4agGPqm/w6	69	2013-08-03 02:47:21.964355	2013-08-03 02:47:45.542002	97		0
6370	10qdm66nbryzp6ldmulsmopt6y	$2a$07$tiMq8M9j8FuZ2EdkUjFN6epW4DvdPfbjUq3N9HWNvO3bSe7jZgQGW	70	2013-08-03 02:47:21.985957	2013-08-03 02:47:45.858674	97		0
6371	10pi3qu9xvvfzeq35duhs6iwpo	$2a$07$mVx5tCSSs.KKd01r2wsN4ekdQOssy3TQGJRZw9u93SfEIPCrHxvyG	71	2013-08-03 02:47:22.01059	2013-08-03 02:47:46.079896	97		0
6372	1010f7ph2y2rl69bheydahhxts	$2a$07$pakiwfZVXFHUJw7rFPgZyuwK/qSacosQVa./xDXMZlpFi.OM6WAqm	72	2013-08-03 02:47:22.035166	2013-08-03 02:47:46.436994	97		0
6373	108jnusugmw2rqgg46iqxd70q5	$2a$07$cS0IPY9Ehh4wap6I3KDPau/hqELoBaRdhUD71j.pRJXzxq.r5d2H6	73	2013-08-03 02:47:22.057509	2013-08-03 02:47:46.58316	97		0
6374	1083bam4lb3mzrx20jqo5ho2q6	$2a$07$VWoRD8kZkQfoePp2ZWY9MuVIqhGaRONs0hOBlzgkhIq4eI8mQBluu	74	2013-08-03 02:47:22.07999	2013-08-03 02:47:46.841846	97		0
6375	10wisd1xhvt4hxr5fcveyrpwkh	$2a$07$pE309DLZgwS5VLwaV5CL0ecdozz52b/4nmVdI9M7jI95YlEMdmWpC	75	2013-08-03 02:47:22.114973	2013-08-03 02:47:46.990798	97		0
6376	10jrc5hph6o0q3na0u4xohtxfv	$2a$07$CyjlEH9REXvs9QZZpFYmheYFM1JEXnIQw1HBYEQTJvbcw4Bb5/DcW	76	2013-08-03 02:47:22.14775	2013-08-03 02:47:47.248651	97		0
6377	10gmjuqmxkq0xwexkf5a70d4sp	$2a$07$bSZBgvDTzTo2U3PsDgyJOONLcoHhZNZuH9iT4dRqOQfcBOulUaiDy	77	2013-08-03 02:47:22.181497	2013-08-03 02:47:47.441018	97		0
6378	10z2gznxfzk6c4ylq6cr998tg4	$2a$07$pI1KoZO0UQ1Fc6Gm6pfpiu3jlk7af2MrjfPp9kp86NpgpeJxBmNa2	78	2013-08-03 02:47:22.202889	2013-08-03 02:47:47.589118	97		0
6379	10d01ip2spfda9hafejzgykpro	$2a$07$2kMxeUA1R56L/ol8kVcL6.N7R06x00CvoXSGKoTt6QNy9nwZrPJyu	79	2013-08-03 02:47:22.224101	2013-08-03 02:47:47.961265	97		0
6380	103isk7pqlldozwbfs8502h5ij	$2a$07$rzZH6oKGJIVDuEH/fV0vOe/U8ZZTND/vbbCxj2WNwiFzdEwjqfRXO	80	2013-08-03 02:47:22.245291	2013-08-03 02:47:48.103267	97		0
6381	1061jim6glu8pxykck5f6hmykp	$2a$07$hRIt/luQTK4ICkyMQwX9xuQkte42BoutFS.zR8XpR5s3V/rtP8/Jm	81	2013-08-03 02:47:22.266709	2013-08-03 02:47:48.350394	97		0
6382	104dmhtktkpszewh9vn0ikxu9j	$2a$07$c40BqGXQbkoYMrVQWr92FeXLLennVWmleVyY5qt2sbyAIu2lG512e	82	2013-08-03 02:47:22.288231	2013-08-03 02:47:48.583854	97		0
6383	103cny5l3p5twwvuevrnpdqq6w	$2a$07$X8qLpeCc3gOiuGMxvheKoenmxPo2zarNtj5l0upR4ivI4m2U1Raq6	83	2013-08-03 02:47:22.309511	2013-08-03 02:47:48.753195	97		0
6384	10bkfqwrx8l2l7ufqie8oqer78	$2a$07$0fZa9yuW3Ib3i9GQDJjl/.p9/lj5oIFFH7n8UXHrRMhkaHXCXTtQ6	84	2013-08-03 02:47:22.336081	2013-08-03 02:47:51.42749	97		0
8946	10ysjxir92qk6jw8fpvjnkjzu0	$2a$07$loNjVfr/rCXGiYYOw.CfR.LgxkfbpZ2gnrCCl309qcmToSsgqGOOG	84	2013-08-03 19:01:34.083426	2013-08-03 19:02:15.337694	126		0
8947	1072ekokt5tgkqo15aphc00kp3	$2a$07$o27MvBG40c5PG.zE5geyz.b4Gnbj6XEL7Zc1BkCBf1kvnMjkkP29q	85	2013-08-03 19:01:34.104894	2013-08-03 19:02:15.772221	126		0
8948	10t4sn9amx8wzfbhoy7tskebff	$2a$07$0AUWcRGcZF5M1cOfPJi.Jef7sS/ZbSNDBtEmtupPS8VMcbDBw/0di	86	2013-08-03 19:01:34.12622	2013-08-03 19:02:16.297373	126		0
8949	10l7fif9gej9vz9f5nvbiv2xzs	$2a$07$YgO/6GeA9CsAd0u7rQbgquW9PEcPJNKhN.RnHCXUek9NF0mb/VZBy	87	2013-08-03 19:01:34.147651	2013-08-03 19:02:16.448129	126		0
8950	10oeexgjcejkto6dz2vgfsyke0	$2a$07$gkBUcniltDRlObYW/dxdT.HCTO41eGG/wi5q2qxQp2MjQ/KgfYVsy	88	2013-08-03 19:01:34.169164	2013-08-03 19:02:16.614047	126		0
8951	10s1zsxb080e6ikgvbk4eltl3n	$2a$07$mMsAt7KZwldxLmbBPFlfCuw5nVrq97WBDj1cPjvrQNlFl769DFhuS	89	2013-08-03 19:01:34.190798	2013-08-03 19:02:20.479436	126		0
8952	10tmv8ufmjjhv313qhf93uluy5	$2a$07$hMoA50jS/2sk0liaUtudf.OCPoNbq7h/JhUGvaSAQBgr4dnP8i2Dm	90	2013-08-03 19:01:34.212511	2013-08-03 19:02:24.17371	126		0
8953	10s7gm9lfjz9sggjlzfqkt9393	$2a$07$er9h3cQEDaGIjPRN.Wk0ZO58vz1ts15GTDLvLvAAdDPVjJm5I/5h6	91	2013-08-03 19:01:34.234756	2013-08-03 19:02:24.317674	126		0
8954	10ljvhafxgs2wmxoe9ptc8o144	$2a$07$jSOm6H0Q7sd/NL83ZU0CxO9lY1ha6/44zwJK3IMDPEMD9aqAzVyb.	92	2013-08-03 19:01:34.258378	2013-08-03 19:02:24.454644	126		0
8955	10tw8h6r1lj5h9ptwvi484bsuo	$2a$07$J2E0Z3Dr/97BWW5KPG2qy.lXrhaKXZNKRFbABnCNDRZjj0sPUr9s6	93	2013-08-03 19:01:34.281453	2013-08-03 19:02:24.674091	126		0
8956	100wr8uet6d4ef3iccrs9gvb97	$2a$07$AuM1C0nd1FpH4X56LhVWsO19rsWEWHrWOKltqkx21rT.nmcjnykD.	94	2013-08-03 19:01:34.305669	2013-08-03 19:02:24.883345	126		0
8957	10xdvbu702xxbr00ewekuvb6tr	$2a$07$AGIfQRDo20v/iylIfWR/HuvQ8V9Uo0hm4sT7y7oy517qAhhD16qNO	95	2013-08-03 19:01:34.3289	2013-08-03 19:02:25.022518	126		0
8958	10vn5kuagboex0bguko2boz5uo	$2a$07$ILbrGQ5FUn50TmNJahQwfeXmVVyHSExbUFff.SG0XRVll0hoKm2tG	96	2013-08-03 19:01:34.351702	2013-08-03 19:02:25.160784	126		0
8959	10tvogtarzerpbnxbu7zre429k	$2a$07$sD4A0xrGgQAizd.LhwoduelOBaKemlH0WB7VBRXaFLW54oFitp0/a	97	2013-08-03 19:01:34.373328	2013-08-03 19:02:25.281357	126		0
7393	10ccbymgkhqnfj7wprp23o3u49	$2a$07$MKv/06TGPQwH.6WyRwTV6.auXZ5hkyTds10Wi7vXLecvyUOsUWTz6	1	2013-08-03 17:46:32.094339	2013-08-03 17:46:34.574425	111		0
7394	10x4dillmveotecavb48qb6sb1	$2a$07$aPa1.6FL3F920ssCN0qlHuxEegmOtDp719vdKZVUufXKZdFFEp9WO	2	2013-08-03 17:46:32.11704	2013-08-03 17:46:35.175938	111		0
7395	10xxstz0lvi6osylv5hnjrt53h	$2a$07$6pa.bAavzxeMnM2COVDaj.P44FdiSiV54Mr49dk0H6W1vQZ/TWjGq	3	2013-08-03 17:46:32.141071	2013-08-03 17:46:35.757647	111		0
7396	10c039lsh20fc038g0rpibuai9	$2a$07$Yyw2F1Ucpwi62PV109SCYuXnV.Fxa4EmvtHPihIGi5NqBSr3TlpFK	4	2013-08-03 17:46:32.166613	2013-08-03 17:46:35.87641	111		0
7397	10vox380qacwgvsl51p3yz7h3o	$2a$07$e75kGGybjniFzHgm7R7R4u5OGzhtQYRF3uKJVpaAV8xGHQFOEbR4e	5	2013-08-03 17:46:32.19211	2013-08-03 17:46:36.027297	111		0
7398	107jsueuhm07llqr4lfp38btlv	$2a$07$4omkFvMe/OKFjcDKO/eEJ.VC7fU5t6HTGK38disnRRRHaiQ5ZlufC	6	2013-08-03 17:46:32.222886	2013-08-03 17:46:36.152219	111		0
7399	107jaazsugvng5ad0tftt05t9n	$2a$07$ksP.Pb0KWzQbg4swSLqLse0m7XHG6U7m.612A9vx3paSGxLZNFKdO	7	2013-08-03 17:46:32.246325	2013-08-03 17:46:36.57256	111		0
7400	107ihew6rtcfpeo7tiu5qlpz6t	$2a$07$jUEQn62Cy2K8T5qbpM9RjuLaRW9xDNDsmuV90ZdW6YW6feIUMCVY6	8	2013-08-03 17:46:32.270162	2013-08-03 17:46:36.942064	111		0
7401	10959owpsjxn3o7ysdezh4hh08	$2a$07$O7wyzdqVfFhCQSg27luvgOPtx5wvoN/b3ilrs8MCrO8.f7BppHKLW	9	2013-08-03 17:46:32.293606	2013-08-03 17:46:37.270255	111		0
7402	10hdjroeigooc459be3j7y53mi	$2a$07$7.XVMXxSvn0x5WgXsp35o.WO44amAKa9S0MoqXjHhZuSvm9p0IcHG	10	2013-08-03 17:46:32.317008	2013-08-03 17:46:37.513327	111		0
7403	10odo0s9s0ctogc3vvaf1cc1fq	$2a$07$/643VSHhpT4mr1hl4YAAHekzjIkjnGYEuv4nTnIej8TVzmm0fJ60u	11	2013-08-03 17:46:32.339609	2013-08-03 17:46:37.655645	111		0
7404	10vaeoenrjnaqy2kmh0hf8r5nx	$2a$07$mnkOQO1dXf7e1CRwhkW6nOm6PsUv6cREQ4GLIXvgfhIA6fp./HJGu	12	2013-08-03 17:46:32.363307	2013-08-03 17:46:37.80605	111		0
7405	100zna714im6d2h2tp7rarnfa1	$2a$07$zzdejisaK0WmIvmv6mQBJ.fpQdI.IgzBXizBZjyfRUDcXrD8ibdla	13	2013-08-03 17:46:32.385848	2013-08-03 17:46:37.927927	111		0
7406	108470ws37n5vl0agjuaccga3m	$2a$07$0YNx7/Y./11WtKsdk6jcaeVarqXUVzUUk7buMt.AFusjRdILrr58i	14	2013-08-03 17:46:32.408971	2013-08-03 17:46:38.046907	111		0
7407	101dulupb3t4fsm7f3u2zs3d2j	$2a$07$uYbGrIRIQgmoWD7lNVg5uu11GTGWFgWw3zopfW7Vt3Se.5fUbQUdG	15	2013-08-03 17:46:32.432044	2013-08-03 17:46:38.169062	111		0
7408	10aeu4bwky9x1t8qb17zrqs3xv	$2a$07$HX703fuoNp/w9c5CwSNHqOvjs3eCRX1HbS5Wy6eCmWDAGRmLgP1EO	16	2013-08-03 17:46:32.453869	2013-08-03 17:46:38.299964	111		0
7409	10rj9yti7y548slormmzkw2nou	$2a$07$/BMhSHBa6GAQgqno5kjmO.isK3Da.BVl51Q6BzL50oyupobrgy7h.	17	2013-08-03 17:46:32.476007	2013-08-03 17:46:38.424802	111		0
7410	103g9ff7s5oped5mb6n9omqbt5	$2a$07$sfzpgzkWVledT4ujkF/rMugv3H9mXpSfBnEjRB9jcxc0yRjeJNJh6	18	2013-08-03 17:46:32.498219	2013-08-03 17:46:38.554364	111		0
7411	10htxgmzsuyen7pc5ky4ht7k4b	$2a$07$8aLCadRjxH4grnsZ33RIb.WYw6AW1oUtW82RDH6UHfiHqsMj78/7e	19	2013-08-03 17:46:32.520902	2013-08-03 17:46:38.675676	111		0
7412	10maqjbk3nbyetm8773czbx8of	$2a$07$p1OqHKL2AMm33CFzgddUaOjb81H4ONla2rrrzBbZ4JBheJ3bJQgXC	20	2013-08-03 17:46:32.542368	2013-08-03 17:46:38.807097	111		0
7413	10xkpo08umi2actpv6uptk1o7l	$2a$07$MEGQkgwW9AyvCtiP.J/iXeiVh3jBDq5omkYm4MU//h7oGOJA/.EFm	21	2013-08-03 17:46:32.565015	2013-08-03 17:46:38.933438	111		0
7414	10vz80g31z3qkjwuli31tcxsrk	$2a$07$K3aywB5zeSLp.uzMqdVDce1apcpOpCzxvF0TxVe7zT8xIF1e9Y2bK	22	2013-08-03 17:46:32.587096	2013-08-03 17:46:39.125964	111		0
7415	10l0s2hagv2skhud7hh2jg5tfv	$2a$07$mUbBPv/44bB3TlFa906buOMwVveYO8af9pOPdbGloTl6dxlevj34m	23	2013-08-03 17:46:32.608921	2013-08-03 17:46:39.348034	111		0
7416	10r7dzlar18ob0ohanyn1tz092	$2a$07$LaJNCS7Jy1fXYF/pWa88YeTt4Sk5u92YxRdeL5fkEFsFXqqcwUD7m	24	2013-08-03 17:46:32.630644	2013-08-03 17:46:39.579561	111		0
7417	10pdsyoz3uvmv6f6hrtu7bgnzz	$2a$07$3c4NG8U/ihJ62xR.fM51IuEkabrOUbkPbL8ipz0rVFhNN3zPvVIl2	25	2013-08-03 17:46:32.652126	2013-08-03 17:46:39.709595	111		0
7418	10aax1g1ozg3xbwvt7tbenbe5l	$2a$07$oD0TYy.oG0ilEKZASv1k.OEiuveplhqJ.R2C.cwHSiq1i64FVNl9.	26	2013-08-03 17:46:32.674002	2013-08-03 17:46:39.835319	111		0
7419	108vl9ynyg1q3fy8q2y485i1m7	$2a$07$MRhWzfPSZ/WAc9dlmfEVpO0RYoBXjzV1uX51UWOYvI5272JTmsOl.	27	2013-08-03 17:46:32.697401	2013-08-03 17:46:39.966887	111		0
7420	10s4tffo6jz89qlr40drht85qv	$2a$07$CGpTIuIxRnb7F6Zvta8NpuktOE1zc9u4uNxIQJBmcCvpfubJ9S4SS	28	2013-08-03 17:46:32.719603	2013-08-03 17:46:40.164547	111		0
7421	10ihy6qzfz8qukm89baqtnmycr	$2a$07$wJxFhAyOygFY3ys1ORGsGOWIu8AqBXDI71vXqaQDJfLM60oshuOPy	29	2013-08-03 17:46:32.741941	2013-08-03 17:46:40.290993	111		0
7422	10vkldoxe500icdle7hqsqr3em	$2a$07$BuGgNUJsnx/xQntH0ywR/ORc4Qvc49Gd14Vqihc9Gax5RhVJ0Kjfe	30	2013-08-03 17:46:32.763827	2013-08-03 17:46:40.409329	111		0
7423	10l6jcx797rciy9p1h9jfrsbcz	$2a$07$sI5cHn5cvHStMdrWkkyTfOLP6u9IoII2MXVWD/kl2nEGafNQleLmq	31	2013-08-03 17:46:32.785624	2013-08-03 17:46:40.670499	111		0
7424	10vf4qmskd237v85e7fh2gh8aj	$2a$07$Hh3QiIWJhaLk0LE3E.Y3hOt5cM/98TxzFEc4eoOLDKhPtDndz4boi	32	2013-08-03 17:46:32.809198	2013-08-03 17:46:40.81709	111		0
7425	10l2u9k7fzlvrhydmov710d2ef	$2a$07$DdP8qGVfnJFZsrXpRoppO.iwhwAeuamH.uxTihFosBtSKQWFVIRkK	33	2013-08-03 17:46:32.833463	2013-08-03 17:46:40.932248	111		0
7426	10yjago01btl3e2rvmgwirzmk9	$2a$07$JSNluuEgBJvVgxZFo4V9IeEose76zTVVop9jd0ZA9YT6s69XtO0J2	34	2013-08-03 17:46:32.85546	2013-08-03 17:46:41.293871	111		0
7427	10uovxxbhjb3bfq51von6ciqxv	$2a$07$tWSiy2uQLIkF9.MKlUyKOeqDW7xIgegJLMzS5pWcrnxSkbacCCnRO	35	2013-08-03 17:46:32.886566	2013-08-03 17:46:41.414604	111		0
7428	1058dvlesrd7ivq93wlcu1q5d8	$2a$07$veiDkkwXUatbZDqKjAR.lOXFsr84nKCZMYScDfOabS5Uiu1ixmpse	36	2013-08-03 17:46:32.908445	2013-08-03 17:46:41.522196	111		0
7429	10omgms0s16ickq3xxv9s5uywz	$2a$07$kZOb9qdwl5zTg/9jx6/z8.lw71Jn.CApxTA5Dbvyet6N3GVkexrp6	37	2013-08-03 17:46:32.931166	2013-08-03 17:46:41.688195	111		0
7430	10xsa3dglhjz6lwp6pzntvs531	$2a$07$T9CU5Ft2UY8uvTXsyBaL3OznCCfbZ/6DS9/4HfL2L.2ExIMa/6pMq	38	2013-08-03 17:46:32.954705	2013-08-03 17:46:41.894812	111		0
7431	10qzw15i2qnk3hvmbgh8qhdqxr	$2a$07$y9HMq/shvbQ6WZPE/ztVpuOlLbJ.r4A0DhkWrgYh.XXWcFhcW.WFm	39	2013-08-03 17:46:32.977169	2013-08-03 17:46:42.101801	111		0
7432	10pna6q8rsge038bke1vvm57wk	$2a$07$hdPGj7y7w.iZ/mkvCNiS1exseB.Q93XL.ZVE9kaic6D89i7b4TWve	40	2013-08-03 17:46:33.000796	2013-08-03 17:46:42.225896	111		0
7433	106v03lh5yydfd9oodvo4jj0jj	$2a$07$gqpCPZwhnc.B4JJyE4dqiey63xnktB1aW9hoJG6UDZEuswwKKV/Wi	41	2013-08-03 17:46:33.059218	2013-08-03 17:46:42.345049	111		0
7434	10q0xr8dgv7dogvzwb2z3fsw1n	$2a$07$11Hgg6ECso3SQzRmC2EWBe2xxmU5CXdbOvcAHh51f/Y8yyR.yfVpS	42	2013-08-03 17:46:33.085053	2013-08-03 17:46:42.475938	111		0
7435	10tft443fg9zek70s02ci97mk3	$2a$07$qvd3VJVdHWRTAalzQtHZeOfzeYE.oEnPhhUySNtgiz9tLYhDOgPJe	43	2013-08-03 17:46:33.107656	2013-08-03 17:46:42.575805	111		0
7436	105jov7x4oo26p89b9br0ia1c6	$2a$07$PKuYCFae6i8SPPZkxoB2m.Bb.eYMzwv7DZqM8GdFxaTs3WzFOzZNW	44	2013-08-03 17:46:33.131374	2013-08-03 17:46:42.703459	111		0
7437	100enc3qoowq6dy7a4atpurheh	$2a$07$PJmWqLqaWSjDacpMU.a5welJw7gI9Pc7XE2PLQMZwd0MeW6lt7MLa	45	2013-08-03 17:46:33.154659	2013-08-03 17:46:42.840108	111		0
7438	10s2i3pu5hc5tmeyyte3kbensg	$2a$07$8QoTO3yMHj8zx4F371cCEeku7LawDRr9ly51aZxCTjjPtTLfLJ9Jm	46	2013-08-03 17:46:33.178547	2013-08-03 17:46:42.991228	111		0
7439	1090qulqcijg2nc0dxv0pzahu9	$2a$07$m7Ery.tnEdhx9iW/hIEEMeIMxD8tYD6M0hgu4n.WvTzODwZ.5qQSq	47	2013-08-03 17:46:33.203402	2013-08-03 17:46:43.251338	111		0
7440	10tpke6ox5dp0tnxv56rcyp17m	$2a$07$NfKnma97t26Cvz5beCLsZOu9DkOAXyYLMIq3H5lbOyL7sIJCKxBwe	48	2013-08-03 17:46:33.232202	2013-08-03 17:46:43.596271	111		0
7441	10plh0qj05435dqi6xaw17zf7j	$2a$07$iyLSav1q6.zeCR9EsMmk/ejgjn1atTS4vuy1cgO2OTocYJTWy7Wtu	49	2013-08-03 17:46:33.255706	2013-08-03 17:46:43.737443	111		0
7442	104bu8k3jwjmlj699niet8rugs	$2a$07$QFyh0XPX3nG2LPpTyAKzyuqqT5.gq3d6tljYVxvyrt10E2lSrW91m	50	2013-08-03 17:46:33.29495	2013-08-03 17:46:43.860201	111		0
7443	109byb8e58g1vcgk6dariznoqh	$2a$07$gAV9fEQwjQmSl8059KSijud9o1UOBho5Sj/7UwXMbWI1YLbnMpu8q	51	2013-08-03 17:46:33.316834	2013-08-03 17:46:43.97426	111		0
7444	10lkgb79oepxcgscg9jc6xrdui	$2a$07$vh5qW1HO8cq9uOb/6bm1Xugw3hDxuQa5/lNcf7WWJHIrdKMLRFnsu	52	2013-08-03 17:46:33.33887	2013-08-03 17:46:44.348965	111		0
7445	10d72t4dpet1gnvbc4o9rn10f7	$2a$07$L6lvtwP6Jc9.xMOX9o4sb.ntLPsWvFkPZ1R7kN7rNNEHt6SgCGnWe	53	2013-08-03 17:46:33.361848	2013-08-03 17:46:44.704137	111		0
7446	10xn4zqn820w4bno6oyd6e13gv	$2a$07$ZTQjkLfDQz27QslGDm7RRenDQlhaj0MwjH8MaPDAk6Dr02AY/lMHi	54	2013-08-03 17:46:33.383693	2013-08-03 17:46:44.947639	111		0
7447	10qwd5bkxvh63y7cuvrnyb4ro1	$2a$07$pDR7Gw500aVs4XAR/Rs7FOlstP3ikAq8FIfKltIN9m2O/BXQlfnn.	55	2013-08-03 17:46:33.407251	2013-08-03 17:46:45.213339	111		0
7448	10kod2adoumqcx5ct0u2k78ae6	$2a$07$fw.jEVf4uRlMR2LKROGAqul6OBag9zjx36Thjblh2rT3wg8kMM.nG	56	2013-08-03 17:46:33.430534	2013-08-03 17:46:45.37373	111		0
7449	10si22ia3t438c86s9pg00m5qk	$2a$07$7zlbMGaVhnFRKH.O3jCAX.F6ZEP6gUD0yK9fcZ894z.LgCmyL7FA6	57	2013-08-03 17:46:33.452416	2013-08-03 17:46:45.644193	111		0
7450	10p95p7n8grjhtur6xejnv2v7n	$2a$07$n7rp7VGDI6ZOwaTFm01KJ.iUZKP1NvZXWTFWUGB5Qq1f8yl9VBnsq	58	2013-08-03 17:46:33.47532	2013-08-03 17:46:46.095827	111		0
7451	10o58p9lhmcja1v1ex2hp53ewi	$2a$07$nHPzOwU9PbaRtnN38h4FIuvLpuTqU67h050WCqz4f18aPInc0EdR6	59	2013-08-03 17:46:33.498722	2013-08-03 17:46:46.693291	111		0
7452	10zjn3w3efuj3ysi33nfepptoa	$2a$07$E11qIHrHP3p/UWAibLqXVOne0uDRtMjQ5kI15tV43wg2wbcN7N326	60	2013-08-03 17:46:33.521481	2013-08-03 17:46:47.191167	111		0
7453	10p53e2fhhybvr2jfqss6ro29h	$2a$07$fzhVXxiQINzBAubXPimYc.InOW5Z2GFJSsyQA8rmFj4gM2mzIP/nS	61	2013-08-03 17:46:33.542795	2013-08-03 17:46:50.058935	111		0
7454	102hma8974zexrsq5oiirqy1zp	$2a$07$7SQLSpvF1k.sm3/RV7U3EeKAqolyo4uL2x4Wbn/PMZE2fh8s7EYbW	62	2013-08-03 17:46:33.564218	2013-08-03 17:46:53.287387	111		0
7455	10yd2lq3l5k7fvxnc1pvij6ih2	$2a$07$fw8A5L6kd/fjSyxVPglDG.ObRfNUVCDyD1CyyeTf7yIyd7OR4DvBK	63	2013-08-03 17:46:33.585747	2013-08-03 17:46:56.373344	111		0
7456	105slop3pmn15uf7b1bspablbh	$2a$07$9ZhR.tdsu9td2RNVSQRj0OTNWzxB9XBfa5r6LeVivzV2Dp746wOIm	64	2013-08-03 17:46:33.607406	2013-08-03 17:46:56.970347	111		0
7457	10z7k7oos6eni1zmd0kwkhkyov	$2a$07$lMVM6fzmHOVi1W9i5TCck.590cee5HXVWGEjeEBjG2sS8p4B8lXEy	65	2013-08-03 17:46:33.630613	2013-08-03 17:46:57.092668	111		0
7458	10ynkxnreae7oxz2o4woa18p71	$2a$07$o9mS8p5HFDlBJssJCREWlemUn4Feg4p9lqpsHX3s1UF5//syPD4jq	66	2013-08-03 17:46:33.65262	2013-08-03 17:46:57.486538	111		0
7459	10uy9r3f7fvbtu6kqhwy8z7h17	$2a$07$dDm.IaNQUgSR6HxHH1lErOYlVxWwPUcNjmpTe0RREe/OIP3o1CfV6	67	2013-08-03 17:46:33.676039	2013-08-03 17:46:57.639987	111		0
7460	10w5qh4c9punc0nd8a1d4eqraa	$2a$07$RcQR1o2N10AkLaP5b66oa.VLT0mA3465lp7AI4xHRr6MBJQmoYYQ6	68	2013-08-03 17:46:33.69931	2013-08-03 17:46:57.792281	111		0
7461	10hp49ntc7s6pefmz1mf123nc2	$2a$07$9cm7ApksNWmcZHr8ysJupuZARjGu5ICZ6sTatwvfKyVcJ2e2A0QAi	69	2013-08-03 17:46:33.723014	2013-08-03 17:46:57.933483	111		0
7462	10yjuk02abym1s0kxp7iwsw5c1	$2a$07$lD2lDoxVw7DccS23mOAEf.V1Qc64nX0d79OTC8urRmaG.LaKFCXWG	70	2013-08-03 17:46:33.746935	2013-08-03 17:46:58.077575	111		0
6385	10kyu5ofnyj2whhqpexf57ftfj	$2a$07$s00ETFcocWXS3NHTLQL87uKoVLew7Pl0kY39j6Fz1xDSxxFAfr7dK	1	2013-08-03 02:52:32.997687	2013-08-03 02:52:35.157097	98		0
6386	10zfjl2kpm1dp32gmq9tcseo67	$2a$07$D4/Aod/I3M2Euias9AqiruYekljnnRzNCBCUjp/TU7jdqzfHibuuu	2	2013-08-03 02:52:33.025785	2013-08-03 02:52:35.302367	98		0
6387	10lexpjpvnj73g5kqclbfkrzeq	$2a$07$cxb4NT0pWGjGiWxJOTIw7.S0TOSWhlJz9paA1dgPHEK4Wxz8ezbR6	3	2013-08-03 02:52:33.048736	2013-08-03 02:52:35.440804	98		0
6388	107z7tg12ffqfddagb1llbn5jk	$2a$07$wXjubq.4G9cT.yI0X0KvLugy5mwnT1/gOwZhsO.hgfHnwY7U71xue	4	2013-08-03 02:52:33.072491	2013-08-03 02:52:35.766313	98		0
6389	10w1jcdq6skjefmd0zptf83ayz	$2a$07$02RPFg8YTa.Er6j4qmmjXuWkZ/uH8vBD1LJPXw.0Y5ybiC3VXXDH.	5	2013-08-03 02:52:33.102871	2013-08-03 02:52:35.904955	98		0
6390	10mhekob76htmbc73wdiiq26v5	$2a$07$Qct4QsjZxANkapp0r/FuHOuYlIorskyeedwCRxkgjwWA3vYQBOU2C	6	2013-08-03 02:52:33.12737	2013-08-03 02:52:36.047249	98		0
6391	10iacz2uaaj4csfo51pkhk2d0a	$2a$07$cu/W3JVjGRJou9TGGmkSx.A/ans/clpwbZPRp3INwNS2qx5Fx.o6e	7	2013-08-03 02:52:33.153957	2013-08-03 02:52:36.167661	98		0
6392	10scczmdxl67tbq2ou4234figl	$2a$07$hEgJx6xWKhIoR9YJS3Y85uPSMVb90X60mykLyI6Vb9.YXysoB7wN2	8	2013-08-03 02:52:33.185694	2013-08-03 02:52:36.316371	98		0
6393	10p9vez56b4r900xw0bwli2qc9	$2a$07$e8Xx/juIfElsjH0M5GQSk.UYSgiIkmCx7wY998w.MaioMSyPqhT9y	9	2013-08-03 02:52:33.212452	2013-08-03 02:52:36.456363	98		0
6394	109hzp8w65h8h08ll4rn6rq3r0	$2a$07$8aSoV5El5aGRFjZ0pFziLOpiwvlD7PuAZ32THiwV5QjpaByPbAgE2	10	2013-08-03 02:52:33.238106	2013-08-03 02:52:36.616414	98		0
6395	108omlitoq8wj96l8ixmp5agd2	$2a$07$RKw8sEeXDB/DTcU5iC3Xue3byPrmy67BlCALE/BGVvHoVBX7WgkgC	11	2013-08-03 02:52:33.261495	2013-08-03 02:52:36.763243	98		0
6396	10japyrngyjd4lmeiy38ll3tcj	$2a$07$dD95abxTK4xmHotoj3.O1.OAdVq2.Rc7iuprtSGyrcdwFMJZ8aDk6	12	2013-08-03 02:52:33.282878	2013-08-03 02:52:36.920725	98		0
6397	10cxev2p8shcerumwkm7kjl7vh	$2a$07$kNsu8HpJ3oVYCKqPq9rmNOprA0a7gyLZiHORepwaSNbyH88PQT00y	13	2013-08-03 02:52:33.304309	2013-08-03 02:52:37.151945	98		0
6398	10k9mmu8fganuu5k5bg8316mm3	$2a$07$zfgFYe9AuuvJHe4ofxOacOYmu.ahdGtGl9Jn5262MZPM7a72fuuFi	14	2013-08-03 02:52:33.325826	2013-08-03 02:52:37.303877	98		0
6399	107z6jxhld4bhofizoj4k7tygq	$2a$07$JAEXSKK0qy2zZmNixs.TQe7g09.SgZ/TfylPD7jks9ulIdrWn/tG.	15	2013-08-03 02:52:33.34721	2013-08-03 02:52:37.642184	98		0
6400	1057a4x695bl9a7h2kgc9jpnd5	$2a$07$7nmDtt4nVkmwixq5zfroVukkD2mF8TRmqMp0/u0JS9EZ6i0JHa2sy	16	2013-08-03 02:52:33.392916	2013-08-03 02:52:38.028492	98		0
6401	10ml42tybgztdpddh6oi7cm4yn	$2a$07$Cgi1663hDx2edeFROdcwzuAnvKUtRFrmvje090fM9Mtf5VVo9Jcum	17	2013-08-03 02:52:33.415381	2013-08-03 02:52:38.184965	98		0
6402	108da77pqa0d90v7hye3khvqi4	$2a$07$Ajdymkp7coxreTgMZbvo/.JHU2O6zaXizzZt0tl.6lRDnMjvNZ5ce	18	2013-08-03 02:52:33.437442	2013-08-03 02:52:38.287142	98		0
6403	10rbvk73igs04iqewp11rtaqo5	$2a$07$0iuvvHPqvJP0IE8gnxyL0u2rBhtdb/GpvXxx70Ey6Sr9gMA02lmdO	19	2013-08-03 02:52:33.459357	2013-08-03 02:52:38.489202	98		0
6404	10ni1hfkilr7mpq2g6rkfntota	$2a$07$TyL09yJTiI/xrrBsFL2lp.l1wUUpWDnqU3Cpfbi4yvGZKuip4bVsi	20	2013-08-03 02:52:33.481329	2013-08-03 02:52:38.670189	98		0
6405	100dhipk42grihqadthrgjjbb3	$2a$07$A4xgD05F5ZWsEHnZWEjgP.ScJCjC0dmSskLbUQKFQBX4nLfemL3nq	21	2013-08-03 02:52:33.503261	2013-08-03 02:52:38.939232	98		0
6406	10in7h77iep5rhzzh7xvyfi0yr	$2a$07$7bMLfJeIbIJrDztUR60Q2u7Ypwf3xvjYZR5tr6nkHf8Dl6FPb1AK.	22	2013-08-03 02:52:33.525197	2013-08-03 02:52:39.181252	98		0
6407	105k6krcl32woxzv7cd1klduyj	$2a$07$mfJQn9UjV2fURuQ7SLBsLuQUH4XQKG7jVSnytrd3ehfFiKYzIhrKm	23	2013-08-03 02:52:33.547744	2013-08-03 02:52:39.387685	98		0
6408	1049755ryydhsq873m3jylt2fg	$2a$07$Zsr1TMt0.OsNY7GL25jWMu6z8UrUC2qM24cr9jDDiuMTaGEvynrYi	24	2013-08-03 02:52:33.571215	2013-08-03 02:52:39.726629	98		0
6409	10mpuc7l7cp8yryts2asndoklu	$2a$07$9zy.dCs6uwZ//SE40ovr6OzUe3ZBJXV2ziD8BR4euBLyDOyAPO1Fa	25	2013-08-03 02:52:33.594703	2013-08-03 02:52:39.86673	98		0
6410	10lj2j9gcjnffszwn09gc5qw1c	$2a$07$hE1CArxSCYYBJHdR98L7Q.RGRcMCS68Cp90xSsiwT2VJ1x0A.Wv4.	26	2013-08-03 02:52:33.619448	2013-08-03 02:52:40.006294	98		0
6411	100i66kkbmznho9u1ies7ljgfd	$2a$07$WM3XpVYFMKNLRy7tNXWVau6FzxCXqmIfjWAFNgjQowvGrPmvYG9tS	27	2013-08-03 02:52:33.642843	2013-08-03 02:52:40.210113	98		0
6412	10z185fl6jur2hy5xei3g7c85v	$2a$07$ll4U55S2feqr/nUFydMAB.hAZtTIvXJao9LhddfIePH1gyFkBhB82	28	2013-08-03 02:52:33.666548	2013-08-03 02:52:40.322219	98		0
6413	10i1gqeud1fauhulgjmcwdpfii	$2a$07$WFj0nyEUoY1ZL5HhjnUF8ecYVrCi7T12sARUDwTT4N6PsupHVTxke	29	2013-08-03 02:52:33.689275	2013-08-03 02:52:40.463366	98		0
6414	100yzbwlzhts6jrzy9txuitgmr	$2a$07$M.BsN7yZpxFgsf3D8W5DG.xpnTP4CfdcWr5veE7.SLCeeB2VY9Ae6	30	2013-08-03 02:52:33.710971	2013-08-03 02:52:40.578272	98		0
6415	10ghudn6tsytddxph7ceavjvtj	$2a$07$6HsiWFW9l/f7KW3XE0cxY.uEZ5cn62WSSOuBRICDCVTWACFKCgcR2	31	2013-08-03 02:52:33.733652	2013-08-03 02:52:40.674687	98		0
6416	10xy1kstm7tqo92nl918yz83gx	$2a$07$Th7IAkPgv8qlKxDSiyZxbOzJaaEd2I1XWd1x1uMC6JAsRxxOLjnOa	32	2013-08-03 02:52:33.757172	2013-08-03 02:52:40.783746	98		0
6417	10x1z23hclv3vbs3u9t5jqahxm	$2a$07$DQfMktKZFqrAf0J9OQhvH.x/KgEpOrZTLqzgPzK7sg7EH8OJodug6	33	2013-08-03 02:52:33.778832	2013-08-03 02:52:40.894099	98		0
6418	10zfyj1yxueffvs7w8u0wwjzay	$2a$07$yQR4RmQp50ixxF6MbZBpmuaH6EB3.3khvL/fjivLINshXIDHXlFaW	34	2013-08-03 02:52:33.800432	2013-08-03 02:52:41.014413	98		0
6419	10utt1vwg8p3q8x930lrgunh9d	$2a$07$U3B./t/P/X1l2zedyNByEu4dmt571pMsXw6U0MElTAJd02WplOVNi	35	2013-08-03 02:52:33.82208	2013-08-03 02:52:41.14549	98		0
6420	10orovbsv8qyrvkp11be8oha4r	$2a$07$uiF9FKrqzMP3BqimbvDsD.Iw7Qm5mutIEHPWdL1TG1e1FoBJ1xKd.	36	2013-08-03 02:52:33.843681	2013-08-03 02:52:41.298906	98		0
6421	10na99tyr5a9x45mojsb9mafqk	$2a$07$tYwbeUei7wH0mtmrmvahnOBB/eUTm5YRYxDxqLRg0ZB3kOfQ.N6dy	37	2013-08-03 02:52:33.865084	2013-08-03 02:52:41.596503	98		0
6422	10zmlf8ps1jku2vj8y4u1er93k	$2a$07$d1IW5w2m05BAP7xPYhGc9.INJJLAPSRfHZTUABZfS3Kr1EG/w1bRW	38	2013-08-03 02:52:33.88668	2013-08-03 02:52:41.736711	98		0
6423	10mo0s79nleetfhdh84zujsdis	$2a$07$1XcyoeRILCPhgX3Ba.mrMOpFYOyvxHEj2ZzAQ44c7XjBA6xKTrJiy	39	2013-08-03 02:52:33.908398	2013-08-03 02:52:42.04596	98		0
6424	10ja1jw2xhjny8wozhibkz3hg6	$2a$07$nQEC3pa.Y0aUFpeoXbgAAuD4jvdLrlAWMDUzaD437q7gr0bDRtDfu	40	2013-08-03 02:52:33.93051	2013-08-03 02:52:42.396585	98		0
6425	1042wtby3dij8i7dxbtsxi4pnt	$2a$07$lgx9sCsfYz.0GwQb2Ag6VOoS7SkTfCrn7A6G8Nd9TkopgQNebTDUa	41	2013-08-03 02:52:33.952137	2013-08-03 02:52:42.549738	98		0
6426	10h1rqxhm0s8omqfq24gfmd688	$2a$07$MDw9bGvB8IPMEjJzxKzdQuyvlusdIHrbIC3MtGolIvwGMb5fq.L8G	42	2013-08-03 02:52:33.973585	2013-08-03 02:52:42.692258	98		0
6427	10y375nb2u1kuk5x2fpz1biqxr	$2a$07$ZmsAwcxEAL5uEnm2Gwt6V.Vv9GCEs31kipbTVTHitOSVLq837vsj.	43	2013-08-03 02:52:33.996213	2013-08-03 02:52:42.82842	98		0
6428	10jm9ik3rq7nsgs9pzoiz8vmxa	$2a$07$a6bAdRVfq.WzHzklHp2AFuuImGL4GJH8Vvst0.pN6zWxGQZ0y4HOW	44	2013-08-03 02:52:34.018508	2013-08-03 02:52:42.959699	98		0
6429	108gn08ahaj223980zptsh6s1j	$2a$07$68lKaW/h4zreBbprnTTeb.CDGQR5Zz.MEJxGp2afZMtj1iQ/icgCW	45	2013-08-03 02:52:34.041158	2013-08-03 02:52:43.091737	98		0
6430	10iyktod0q0uit6id9pmg277g8	$2a$07$X3oWjqyBl4hVZSkB6O4RkeR1A.o5vqEPDtKxw95xatst8fRUx8ElO	46	2013-08-03 02:52:34.066134	2013-08-03 02:52:43.468382	98		0
6431	10hy7levag1hchkvu5zuzka9qf	$2a$07$yrb5A7Ghm48oCTtjd1rj2OfiutQI5x.PmPlmoaHmcjHBRYtWydcGi	47	2013-08-03 02:52:34.089235	2013-08-03 02:52:43.833938	98		0
6432	10cgy7wuy034pp6ecqm715w99r	$2a$07$XMk2l6E.S2ps4mTdb5E1yOwqsKJvooPQWfcPHqC2YqsJXGq20krVi	48	2013-08-03 02:52:34.112634	2013-08-03 02:52:44.206728	98		0
6433	1010m1zma27k3lt5v0gmv6nb2a	$2a$07$RPlrkVqjYsLxCAX.uoE5Yuk55jRNqzro37NePNHg/xGMVx7nGtKqW	49	2013-08-03 02:52:34.13627	2013-08-03 02:52:44.35051	98		0
6434	108ww8sr6v1honi52gu6ncpib6	$2a$07$CiiVXBo753hNkBTgEIObreBAIFkasMs41eb7nb.kt9XDiGMYz68By	50	2013-08-03 02:52:34.159055	2013-08-03 02:52:44.475087	98		0
6435	107gng9m9fl6xont79ebgalzzs	$2a$07$YmYBOKfhqGSt514wMb3VRO0/dt6COhOHaYNak07xEDXi0BfZa0Tsi	51	2013-08-03 02:52:34.182402	2013-08-03 02:52:44.620827	98		0
6436	10f5kybbwi8zwrv3fhjdzdpndy	$2a$07$YjjUb0EuGuu//GovHa2XgeLrLjDi54W4Lw6f6WI.ltIyKlC1i.iNC	52	2013-08-03 02:52:34.20432	2013-08-03 02:52:44.951229	98		0
6437	10sqanh866iblb6sl1qes6pqr3	$2a$07$WMShxtVwXNZZ2mBzy49g3O0mvAxdnPB6.gjiiFE55Wnn8J4e2PhsW	53	2013-08-03 02:52:34.226601	2013-08-03 02:52:45.286887	98		0
6438	10ll4kx8b7gn0qo07q3e4nf8l3	$2a$07$bydQL58ZPETSJ/tEFaynzeh5nYXM9asudR7oyZ8al68TSknWhk4XG	54	2013-08-03 02:52:34.24829	2013-08-03 02:52:45.516336	98		0
6439	10vqfxpxw91cfbh2kvpdox255x	$2a$07$KNo.r0GxXhKpm5eFO5RDm.ghr5My2RZ0eHqVUn9a3qv3UWbijzeaW	55	2013-08-03 02:52:34.271099	2013-08-03 02:52:45.756159	98		0
6440	101wgi9kjavkiagz3a8kxuuf0a	$2a$07$1U7E6KpSr5sXdPXK2C0TeuNYpP/l34tisOi.GCuIYVQxw9lxI3AdS	56	2013-08-03 02:52:34.30263	2013-08-03 02:52:45.936274	98		0
6441	10cq3wfs8eenvrmxbdqasr9tbm	$2a$07$HH7Svuue57cw9AAXSf49f.KW2WI8g65rB2tri8Hp1r9Q7CkWmFLQO	57	2013-08-03 02:52:34.327388	2013-08-03 02:52:46.232859	98		0
6442	10pvxrsg7j9b8rvqk0a463i2op	$2a$07$MLjoidVloliuX1vNK.abL.rxm2B5XbTw3ZzcXULAhuHX2s/s1Y7tC	58	2013-08-03 02:52:34.348845	2013-08-03 02:52:46.587457	98		0
6443	10hsb77hl61xcdkvhmwnzo1bbr	$2a$07$zI0WcZCFyQ34.U0oLEVPLu6vdOUfqGjR62DpF0CVgJS.w2diA4nzq	59	2013-08-03 02:52:34.370715	2013-08-03 02:52:46.732211	98		0
6444	10y7k8jljly00fcfek4j9qhafa	$2a$07$s7EahKeTzWLMOYhTCuSh7e6vsKpwpfR6Zggojxs7csia9YmhrkDE2	60	2013-08-03 02:52:34.39341	2013-08-03 02:52:47.071847	98		0
6445	10qdrip2ngizu32zr54kas4ye5	$2a$07$u01dDzBC6SscPQbxPuGuyeehlaJhWGfhlkCg4XH.U4IM5LUYes3Zy	61	2013-08-03 02:52:34.416072	2013-08-03 02:52:49.80152	98		0
6446	10z93ybhun85shd4jhohb3ca0v	$2a$07$3NHTNAaApAkA5ssad9FcxeC8lwBvoMXMPiefD7g0i6AF2kuN6Jqji	62	2013-08-03 02:52:34.449093	2013-08-03 02:52:52.935234	98		0
6447	10izgfowdb34gch9ryghnf1qhh	$2a$07$N0a6mOE79.TGYP85kER4zuPApYmhVynFzlcg1gvewgL90oVtUJp2O	63	2013-08-03 02:52:34.483149	2013-08-03 02:52:56.001981	98		0
6448	10yj0fk1c9zmdalv6e97xldzsv	$2a$07$/VtXv6k3oYFiksdt7gC6fOP44oei.V0hTrURk6aiSlf1YVhqr9DTG	64	2013-08-03 02:52:34.508599	2013-08-03 02:52:56.143735	98		0
6449	10xunwhd7dkl3xtfi0zyunzl5s	$2a$07$qyuEQbLH3swY43AGm4BGTeSlwJ57dbuQj.L6LvpJJpx.R3MaVY1LC	65	2013-08-03 02:52:34.530333	2013-08-03 02:52:56.290159	98		0
6450	10nk73ycowye0xpwjx07t2an0x	$2a$07$7nQpZwio6qAe5r6y0wgY7O2KzhHU9e6B3sAcsFO5wz.wHMKndYJVS	66	2013-08-03 02:52:34.552056	2013-08-03 02:52:56.506013	98		0
6451	100oc93ixvpzlfrneqriu0uy4i	$2a$07$A4ucKER5BI4v8.SLLOksOeTrUuulblqjc5smPiR9kkTPlZTiqnYui	67	2013-08-03 02:52:34.573495	2013-08-03 02:52:56.649246	98		0
6452	10wkqwhiccdq0rewo059febakj	$2a$07$dvH7oFCZh4mf2gd71R.fzOTopH6R1ADXX0jeXHJx4Vg8Xd6NrYwn.	68	2013-08-03 02:52:34.594986	2013-08-03 02:52:57.025031	98		0
6453	10vhktpxpfzj9ig8lztpgiw2z3	$2a$07$kQGaFVTpO3Y.0gy0hBK23eTU1AMp36q/1vdLWSZD/lomJBugjw4ca	69	2013-08-03 02:52:34.616508	2013-08-03 02:52:57.249525	98		0
6454	104aznnvs5dklgpqah7gxgioqe	$2a$07$VzzbyIC2JwVD0SsvqrZZY.o2LZKacOQXP/WKPuVB9dGoZVJ7F70DO	70	2013-08-03 02:52:34.638317	2013-08-03 02:52:57.599118	98		0
6455	108jbo3gwlh0r11zkih4cgzo1x	$2a$07$tDPfMOpEcz4h.qveYLIOsucH5zja1Nrxi7w0o8JB.ts3pF31cdqvS	71	2013-08-03 02:52:34.659858	2013-08-03 02:52:57.883965	98		0
6456	10ys195l9264yhviqgjjka84re	$2a$07$nIvayIMDzDpc67RWGm831enWReWQF1wcsoPgkcmI8X5tyS737MEhO	72	2013-08-03 02:52:34.681785	2013-08-03 02:52:58.258416	98		0
6457	10bkdwgpdctcepvnyajbj4o1bo	$2a$07$IJEQnDjDAzgz9JpH8logG.peW1N4bXw2tAaPgJnm9awpOSPs10GHa	73	2013-08-03 02:52:34.703504	2013-08-03 02:52:58.392078	98		0
6458	10zhlqs2mssraxor4jhebvsxde	$2a$07$Aa9xLIa6ZxGVBLwqz4g8je75ftG6FZcx1W/MnKBdhOg7qpL7Qlo3a	74	2013-08-03 02:52:34.725345	2013-08-03 02:52:58.497686	98		0
6459	10ko6d9vfzhg7ofo56tziij3qc	$2a$07$L8WV9ktu5zQ4P/ESiGL7Be/oPbGSANEjX8mG0PAA2ucUf5U4lVzcG	75	2013-08-03 02:52:34.748263	2013-08-03 02:52:58.633555	98		0
6460	1089ge8peg6c180489h2nku0my	$2a$07$Gv4xLpUsEQXEfmEW.9ixeuA7mr/Hou4nroL5vuRN0D8lXht5iRaEK	76	2013-08-03 02:52:34.771998	2013-08-03 02:52:58.998054	98		0
6461	10kvt7m3ezg1vreb9687s6dd6h	$2a$07$fNQadWwD9H4kjy.fZUKisu16Hxt8G.ttTjNmPFboPSnWjhrQv//06	77	2013-08-03 02:52:34.79529	2013-08-03 02:52:59.37723	98		0
6462	10eg708ax6vtmwwppzqfcqtlq7	$2a$07$Yjf0ANu05Oi4pd29C.VEiOp7Wjh4P9mYn.qY.Gpclg2lSN5dOW8Ba	78	2013-08-03 02:52:34.820105	2013-08-03 02:52:59.512038	98		0
6463	108uuvjbtdeopagogoa8wz26t5	$2a$07$qSOzMZHP4Bvx.EyVkZ0fK.1G2wY/lHPN1oPJn6CfjSGNHppnu2ZM6	79	2013-08-03 02:52:34.845708	2013-08-03 02:52:59.873527	98		0
6464	104zsd3fi5e2awz0uzf7p4gqac	$2a$07$rE2MqmT5R4Q3Ga2h6oKy.uxbpyQ2benXZuyFSGru6vFapG52FalFi	80	2013-08-03 02:52:34.86966	2013-08-03 02:53:00.00914	98		0
6465	107vynppycbcr3fxypasj4d6li	$2a$07$FR0XFKHxh3xtGJ9WYWcOG.H4/huiQ2bH0aYiYsyYd4OFboFksFX62	81	2013-08-03 02:52:34.900477	2013-08-03 02:53:00.295372	98		0
6466	10z7y9yj2wy3vik8rbfcshdnis	$2a$07$yn.Jg3y87g7Hip9BtClvCuhWMKrha8QQSzC/UEKeLSb8KZYZ9cKCS	82	2013-08-03 02:52:34.938189	2013-08-03 02:53:00.474281	98		0
6467	10lpwx2nwwkv212gvqy0gjrsqx	$2a$07$XLeGO6363hOUxe9p3eRvQeV47/yv0rUsu89zcYNMfQj25lXSAw9BK	83	2013-08-03 02:52:34.97673	2013-08-03 02:53:00.730129	98		0
6468	1037ndhf1ffh25tz8tth7srh32	$2a$07$/I8yTkvNyYPSOZL41u/b7uTGT2Xl/pG2DvbGermMQ2pJ3nMTvLCc.	84	2013-08-03 02:52:35.011652	2013-08-03 02:53:03.601864	98		0
7463	101mreiii8u5avwx9125rnrqcw	$2a$07$LvOk9S2IkBixY/C1G7mWeOmH5H65dzMwKH5vORHQvPO0Pini6rneu	71	2013-08-03 17:46:33.769473	2013-08-03 17:46:58.269907	111		0
7464	100nul5yyg2ihxdo3pkhq3rztr	$2a$07$U7tC55mtSm0soDwLl9bm5ecmUJNqvUoEqSjGCU6ILARhMTO0MEzQm	72	2013-08-03 17:46:33.791428	2013-08-03 17:46:58.395039	111		0
7465	10p02rt5kyzz43davff5te3wta	$2a$07$yvF0ds.unDRxSqvfHwPrieL6klStCtttI50QZL4pnCSSLiLYUFyG2	73	2013-08-03 17:46:33.813397	2013-08-03 17:46:58.559536	111		0
7466	10fuq93kc26bvq2jrzzfae1306	$2a$07$8VWs/hdGWJCsmNain7BOe.QIvyqnBN8VxAoPaDQtvvKiR38C6LXKy	74	2013-08-03 17:46:33.834977	2013-08-03 17:46:58.955813	111		0
7467	10yoazb5eq5dsyqonnxpd7ahgr	$2a$07$bOIvAmZN7cXZsZ2DlbB6L.Dj1jYpeW4lGVWC2P6CVMSRnoUa7XGCC	75	2013-08-03 17:46:33.85821	2013-08-03 17:46:59.119467	111		0
7468	10aa9qakv99z8z2ijr74dzupdj	$2a$07$WdZW0tM.1kaUEyFWIU8IHuSXE4Petv5GMAnhfidqUL3HV8h1ARbne	76	2013-08-03 17:46:33.879955	2013-08-03 17:46:59.26531	111		0
8960	10jag8jagy7w8rkrsrstfooxl2	$2a$07$KBc8CKum.Ze1nxV.ouEvh.vGQoDfGEYWRLDVytvTK5C6kg04e1sNu	98	2013-08-03 19:01:34.394949	2013-08-03 19:02:25.386015	126		0
8961	10ucj3wqbeeqdrplzbzigydj92	$2a$07$ZzSz0m1lXJdTtigDMM0c8.o6bqlS78hydmvX1keAwxpo22ONX/d9K	99	2013-08-03 19:01:34.417621	2013-08-03 19:02:25.515157	126		0
8962	10e28bxckwtca2fajdc1mz428b	$2a$07$3AVm0J2Ppy4lC14wRuRsse6uAhUv0hhMfjf0rlEPBVMo0fdDtpEoi	100	2013-08-03 19:01:34.439963	2013-08-03 19:02:25.659831	126		0
8963	10dzyspbm2oknrofxs3s0xkin3	$2a$07$cXY/C7UQ769njlyTf1P5ne8D1acBSZa0HQa2HUCunD/OT12iZWm5O	101	2013-08-03 19:01:34.461571	2013-08-03 19:02:25.785911	126		0
8964	1028pxkbp2aosm80vbpepgedak	$2a$07$armcZh4Kn6j6ghwEeEhU6.mnKvo4aTlZyrfSnN.O8JZbPQ3tQlhYy	102	2013-08-03 19:01:34.483003	2013-08-03 19:02:25.917781	126		0
8965	1055xm1q8sb3ws0s7rwqdbrdmd	$2a$07$l4erKiUdsgffJamdNXNEau8iF7B3WejKWGS/8Cj8588ghN9VYq2Jm	103	2013-08-03 19:01:34.504407	2013-08-03 19:02:26.085367	126		0
8966	10y43szkr40qpd5o9cfr1sxy0k	$2a$07$SHFD3i0KVM0kQgxe5UxgGuUSwKv6uezNmFzMGCKQ97kh392iaVErS	104	2013-08-03 19:01:34.525743	2013-08-03 19:02:26.233148	126		0
8967	10zrp4rvfhog6oqfwhcy8tlaa6	$2a$07$2vXOxG9oNhxL86Ygr/Ln2OlMyeddgTKwZ2EfjewGw0aC5tFpsfWSu	105	2013-08-03 19:01:34.547348	2013-08-03 19:02:26.355629	126		0
8968	10g017pqm1z278vizumbkczjd7	$2a$07$UckbZdiEDt.a20E3MUwKhe3.TYvDe/V7t0qy1.5h2GzaQHkys9KM2	106	2013-08-03 19:01:34.568751	2013-08-03 19:02:26.477288	126		0
8969	10nxnqh2qso4imfyb9016pn04h	$2a$07$k.GGtHw92NywCBGFI.JtLeG2WYA9ByXXMci4wDNeDH6AiTPs9IEQm	107	2013-08-03 19:01:34.590096	2013-08-03 19:02:26.614107	126		0
8970	10zci10xqis22p91k6rp3fkxes	$2a$07$QkEDNjQ2KpuasU97GIMy7u2ZWlm1G1QpLiX8e1OX6EhbIvExuI7Pq	108	2013-08-03 19:01:34.611416	2013-08-03 19:02:26.75434	126		0
8971	10nz3kv1xdcxhyhfd1bynfpavj	$2a$07$Vfi9s5R936bY4U/J.Uw1M.wq/5ZgHso7fDnDd7N9BZExAKl8qs/tK	109	2013-08-03 19:01:34.632993	2013-08-03 19:02:26.892089	126		0
8972	103092nc2jpl0v8lvzg1dnpuk8	$2a$07$vl6ekvQG15gwzpyYO9IhKunRZnQPFQ4jsA7MzuYz4mIagaXv/xf5G	110	2013-08-03 19:01:34.654383	2013-08-03 19:02:27.033687	126		0
8973	10a8clczkztliwn1zaoovu6hvd	$2a$07$A7dTC/9xjnY8NFwee0QBbu5pvUL.dXMW7VfDkKbcV3EIFU86MsWOi	111	2013-08-03 19:01:34.675842	2013-08-03 19:02:27.166144	126		0
8974	10i77i305gwsbsm1blq5hgpv6r	$2a$07$9xeBhlom6Fobuokw6QzCcOTRnI1ynJ9gkEEioCVpPmWNPM87DxlTa	112	2013-08-03 19:01:34.697284	2013-08-03 19:02:27.300758	126		0
8975	10i3sez2nrlzmo621nz8v99i3p	$2a$07$eDBVRU2WaT/3KqcyURfDP.BIZ.xfRd/vachFAw8qHmGH.Pg.zYkZ6	113	2013-08-03 19:01:34.718861	2013-08-03 19:02:27.419247	126		0
8976	109mwyndnf5e4l3fbq4g2zs9tu	$2a$07$9Db4EjnCbhEJOzrP/Xpl5uGiJlOGyPLhqsUKAsGi0rBEF.3d02cRO	114	2013-08-03 19:01:34.740881	2013-08-03 19:02:27.558409	126		0
8977	10byem0w4coy9zsnz0s9sl02ax	$2a$07$gWtt48vfZSMpvlhkcQkndO9j.J5BS1/ulb2mwOTTXezq2.0plg2n.	115	2013-08-03 19:01:34.762684	2013-08-03 19:02:27.819087	126		0
8978	10qf3gwtl1xbwrix2exf96gr6v	$2a$07$t16vB6cx/PoH1R/3kGxSE.MYgWywhkszDvGcMPzE9PRsa5DO1MHQC	116	2013-08-03 19:01:34.785253	2013-08-03 19:02:27.961887	126		0
8979	10ka5toiuhj8z0tbm25jnk0qdn	$2a$07$tDPlJbb5AZzBv24kjkR8tu6htxtcs73LIRrwcgDiHt0lIuu9BdTMC	117	2013-08-03 19:01:34.807024	2013-08-03 19:02:28.109956	126		0
8980	100gew4d78xlv9oavs3k2vbmz4	$2a$07$mYWeIiLqu4qMJqaYKqxJV.sq/2U4fdFtPVvqKGT97dmZw1di1T/Zy	118	2013-08-03 19:01:34.828458	2013-08-03 19:02:28.253459	126		0
8981	10ecd3ng1hfktw5dg84ydpxl51	$2a$07$.35DuSREUqbHSaF2ZvJdMOsa4R8zF.1mMcBbXXGUjgDmVKiyN8Cgq	119	2013-08-03 19:01:34.849966	2013-08-03 19:02:28.391865	126		0
8982	10lwljy21uhu68le2f1vylch2v	$2a$07$O3OOxBwGesJ0wQB62H/HlOHfjpRmdRws41iCnovyP/Wcvi0j/qA6e	120	2013-08-03 19:01:34.871577	2013-08-03 19:02:28.532038	126		0
8983	10qqhjzxhqfvybufsfif9yf95x	$2a$07$FO6zQQ7e/yISrR8Ic4bZOubQHeySILWiFEmQDh65QprtJh7Rd8rSK	121	2013-08-03 19:01:34.895586	2013-08-03 19:02:28.672174	126		0
8984	1017zkb0khlwettk02jacfe02n	$2a$07$cr.I15fWoBn3G7v9Fqzi0.nGibF.Enpd5dAQqoG8EJlbr9N.7WVCK	122	2013-08-03 19:01:34.919013	2013-08-03 19:02:28.80918	126		0
8985	104gdsuifl1tlull55aymmo11w	$2a$07$kzJzXkGN.9xVwSpQpRFjpeOQq6yR3cvY4jlxe7R5rZp5s4FID41sO	123	2013-08-03 19:01:34.942664	2013-08-03 19:02:31.576936	126		0
8986	10core11g3ke26q7rk7b8lhlb3	$2a$07$hIPJCHcKpruuE997ZfTykuISMW2ycCywEoeHeoW0VB/hYHOPs0Rvq	124	2013-08-03 19:01:34.964306	2013-08-03 19:02:34.763444	126		0
8987	10w49bwxq9lg4hm1ni4i9jy5ol	$2a$07$sEca04DfM3SGHc1F7HPNIOK5VQh1zdF8/QM3qnrrVT42lfgOdgpTu	125	2013-08-03 19:01:34.985923	2013-08-03 19:02:34.904002	126		0
8988	10wz0cw2y7iaiqqzfbonat07mi	$2a$07$OOyepLr2gXG0EXx6oWez1.5BRo0pWFacsvqs3/asRdrfYtRckFGnO	126	2013-08-03 19:01:35.007454	2013-08-03 19:02:35.040749	126		0
9531	10scly2vc8p9m287j4ga3rp8pf	$2a$07$GGn2EQsdq5i0E5RdIfktU.l3etEj/cukeBkgdgvcLePQUlyeY80ua	39	2013-08-03 19:26:33.057667	2013-08-03 19:26:55.288863	131		0
9532	102g9ha2gz858w73ai0rflty88	$2a$07$lvA1BOqm2u49qD3pH6cE/OYlSty8jitL0II33I2Ry9r.FsfTFD43O	40	2013-08-03 19:26:33.081206	2013-08-03 19:26:55.414681	131		0
9533	10weuob6kyltq0n9wee6flpjv6	$2a$07$F37LoY7ug1cI9C4pX85LtOAvSX1x8ldz/xPkwhUw0hc/UiXI9vM0i	41	2013-08-03 19:26:33.105011	2013-08-03 19:26:55.541179	131		0
9534	10kv8hd2o82lhkskp969ixyamy	$2a$07$g62.5/v6fomPLFNNyu0pOunCm.B2IgMPX4pwpWonqy6D5oRbYhcUe	42	2013-08-03 19:26:33.133201	2013-08-03 19:26:55.6888	131		0
9535	10i6gjjykmtl1jltcljn0zunn8	$2a$07$/.UHrE95060/vNlAm7PhOeVLdH3mRvmCL6KV55Fe5HpT8XP8geuSG	43	2013-08-03 19:26:33.161622	2013-08-03 19:26:55.816052	131		0
9536	10njunayoz6owuwq77ro66j6xo	$2a$07$8q0Jzzg9Ot5et9SsXgGEeuOX2wZoE1JSspsiBNudkVRMGhCWgGLkm	44	2013-08-03 19:26:33.184868	2013-08-03 19:26:55.951956	131		0
9537	10g3x71yuse6v9e8y2q6f2sg4w	$2a$07$7u2pTMyxpASU4fWoXpIsQOtPGpQwNwvditb/UBTwweROgc07D0TPu	45	2013-08-03 19:26:33.20793	2013-08-03 19:26:56.121454	131		0
9538	10rtwab47zclrdwdsmyxbnr7up	$2a$07$44gfKe9fOlu3IQzG3wOunuSq38wNlSQZFOK3OFzVlIcsPdKB.ZLWi	46	2013-08-03 19:26:33.231229	2013-08-03 19:26:56.497302	131		0
9539	100ag3u40y0gakd3tsgc8lslg8	$2a$07$fSLUBqJPU05HVOtYumdg2.e4jROvvLMtUeOQyO.pHrSY5RT5FA0g.	47	2013-08-03 19:26:33.254882	2013-08-03 19:26:56.733755	131		0
9540	10of94ddee1w3cfikenbh9jdke	$2a$07$i5j03v4of8kJ1Jxf7m4.1ePQCcuBSO1APeINXxODSKMonNZaVHf5m	48	2013-08-03 19:26:33.277662	2013-08-03 19:26:56.907215	131		0
9541	10d82914h0676zpwuqfcv70egr	$2a$07$3jJAzDp15lLNxrLn7QVtF.CjDoOQ84FLAWvBTDEBCNMBddIsVGPEC	49	2013-08-03 19:26:33.301906	2013-08-03 19:26:57.034293	131		0
9542	10pqj46ch3dhl6fk5fqucxefoq	$2a$07$xcHiIKk93ELYwQc7sCFJpeireli3rTPgBss0GbnomV1Elg4aUztfK	50	2013-08-03 19:26:33.327432	2013-08-03 19:26:57.160417	131		0
9543	10be42ld6sm13nd60htbr3l286	$2a$07$A6QCBnQvHTwGn4/1IaxzrOf7g56jQambw5GsEEsS8zMvudbS9XduG	51	2013-08-03 19:26:33.358457	2013-08-03 19:26:57.287782	131		0
9544	10g4159mv98zdbdlsode2n5vnw	$2a$07$AVWG92qjVhTKY0Q6xlwbA.P1wG0RAbanrsVmhxjvu/3e0W7k4v2ta	52	2013-08-03 19:26:33.382939	2013-08-03 19:26:57.431678	131		0
9545	1077shek0qtyqu1zoobl9ay4ti	$2a$07$0kR1tvTN8DLoFeWEpHTPn.OWWs4mppwmrG1eMvy/Iqv3WuYL.mEzy	53	2013-08-03 19:26:33.407125	2013-08-03 19:26:57.591804	131		0
9546	10vmsp8ev8dbd0oyss4rgox7zz	$2a$07$rO1t/3CD.aX7IF6azoMn6uvG2u/h6/PeLSKUEPwCmrJVuYpLq5LGm	54	2013-08-03 19:26:33.430543	2013-08-03 19:26:57.743428	131		0
9547	10r4z53fyqrtl13knrrzo94rat	$2a$07$.FWXsj8eMwUG04jh8weNmeM9cS8rfGns7oTCTyKygAxci.Oc9b9rm	55	2013-08-03 19:26:33.452668	2013-08-03 19:26:57.882665	131		0
9548	10wjgo0yppbt8z2tv0kkq5su1z	$2a$07$Hp4kLm.kZdydeuTimnf/K.z58EZqSV5rjP5FemXP81sp.TjCKuoEC	56	2013-08-03 19:26:33.478005	2013-08-03 19:26:57.998703	131		0
9549	10gs57z9e0n99b09tabimv4jk5	$2a$07$.wByz8E8OLHsiJCohAmQf.UO2otjrQpYdg9GHRqESV8EojtfinyXO	57	2013-08-03 19:26:33.506995	2013-08-03 19:26:58.125215	131		0
9550	10imeuh3rcpcyz3h1qvi0fmc1g	$2a$07$.ts/IjOGltIHPqEqNGP6YuzJqrXEvPd76ZCsZAYwIwQohDXTma4Gi	58	2013-08-03 19:26:33.531081	2013-08-03 19:26:58.28402	131		0
9551	1084nel4hmccn0hqrdx1afqw59	$2a$07$OfQZpSeWY9GpzN/3yYkPreof5jA8RUY7t9rMjmUGSNrG.vbzR8rL.	59	2013-08-03 19:26:33.554159	2013-08-03 19:26:58.409135	131		0
9552	10za2rwa130wm1uzysndduraw9	$2a$07$jRMRBTKAbaIG3qaGuMpCLuO7WrLfeL4r1uapvQFlVOLZkLzMOJHJ6	60	2013-08-03 19:26:33.577584	2013-08-03 19:26:58.546915	131		0
9553	10pcpt9o3ydm4at3ookcfh7stu	$2a$07$W7ddjXiWFe7Blkh3geMOju9ly7N1dg4bB3a2j9gnYRLKKOVDJBs8u	61	2013-08-03 19:26:33.602675	2013-08-03 19:27:01.362832	131		0
11065	10uezpzbyg8qlq6jrkgheiisnf	$2a$07$yaHH36.7MOGjDJLSzpffruDqR6j3jlljuvSz3rAPwYhE1Y4V0d3L2	61	2013-08-03 20:26:39.660557	2013-08-03 20:27:00.147706	143		0
11066	108id6otgomran1303x7l3ajxz	$2a$07$wOhxtlYP/og6T2QTZhhjNeSWITANS6F79muvQbJAx6VNidvjSUDWG	62	2013-08-03 20:26:39.684411	2013-08-03 20:27:03.238252	143		0
11067	102bvqagoef4mcgfxmvp2h6wx3	$2a$07$ioyq9c6g38IWWI58HCY2/OX6N7KqW5txwX1cv3./W69lEOFqYiZZu	63	2013-08-03 20:26:39.708774	2013-08-03 20:27:06.450286	143		0
11068	10ujssr42wgdx5u3y8d5c3n8ll	$2a$07$wYM1Tl5F4ztxwOS0qF24q.MZejOCGnbccEmLCie7Z7UfnLgpIRjBC	64	2013-08-03 20:26:39.732699	2013-08-03 20:27:06.714814	143		0
11069	10u2p4ycg9vuzkf99pahfb5ye7	$2a$07$y4e6UM5Q2eDdSrESV86/vunYl.gJjASWSXsTtCp2cgLHyCY30F6py	65	2013-08-03 20:26:39.75928	2013-08-03 20:27:06.859325	143		0
11070	10vrbita3101bdg39dihpu60cn	$2a$07$zB1WCGdy/n12bKzQwmBSN.17F1yK13NJ91bwRO4U0kr3KciMedeKy	66	2013-08-03 20:26:39.784198	2013-08-03 20:27:08.903228	143		0
7477	105eag6xj19kn1cor3h16mro1q	$2a$07$ox2nydfJdchK.uCD0.H6/.VgXjJIl4JcSqVuydkUZYxxSxku0/9fi	1	2013-08-03 17:51:32.041071	2013-08-03 17:51:34.587857	112		0
7478	10dk5m4emgtf7h5i2jpmjtlgik	$2a$07$XP2lfGQSK9KhcJhuyRjWSeRKsBgWj2QfsPUrokxTGwRX9HkdfdyAC	2	2013-08-03 17:51:32.06761	2013-08-03 17:51:35.066314	112		0
7479	10msggavduyriyai0mv7s8g4fr	$2a$07$EY7v8nUFbNpxa3lIkyhK9ueC0D7Cy0ASUi/yrk.cM1rWo/164FVQq	3	2013-08-03 17:51:32.096098	2013-08-03 17:51:35.567399	112		0
7480	100xpp3dcl7m5cl3v9iou1akl0	$2a$07$sMls4ljXtaE2Zxc.FVsi0OWcDGTF1HP2nr/3KJSTH62CzWSYQYZiW	4	2013-08-03 17:51:32.122338	2013-08-03 17:51:35.829338	112		0
7481	10lbzzti7eqn0h6601pbaohuil	$2a$07$dYStCaOA.Opw4ZrkiA/eo.z11rpy674ZY3LePD0F48mMmZtmJdtC6	5	2013-08-03 17:51:32.148203	2013-08-03 17:51:36.021401	112		0
7482	10bkczqjpur05x2qpc80m4rhse	$2a$07$mFuex8CjoOMOxzb6rZ7iEeLAtHCIfAMEj2slHNH189UMzchDxGaIm	6	2013-08-03 17:51:32.173058	2013-08-03 17:51:36.221162	112		0
7483	108qk8m2vx0m9w1uhi3ijo41ql	$2a$07$mnZkLC6Z9LJ8KD2Te3ChAeE2BjLFOEuNm2VZUjbdQgGgniA2LsH02	7	2013-08-03 17:51:32.197775	2013-08-03 17:51:36.550035	112		0
7484	10uy41vzzl1ku3ta3ia0c66ojv	$2a$07$NROZzA/lZXjdg1RfZ7A41u7bfmq/JEP49G85gL03pzpCWGdhJ1zku	8	2013-08-03 17:51:32.222506	2013-08-03 17:51:36.799709	112		0
7485	10za61s7p7wclfs8xsv6o1jt6d	$2a$07$WACPNMde8ixQnulagpe5v.cqzyVK3yGktQ2YIfuXiOXIlDW78wLY2	9	2013-08-03 17:51:32.24774	2013-08-03 17:51:37.149464	112		0
7486	10xkav9ufcsdg9u3uo5iv5am63	$2a$07$N8Vwx0tOQqKAwvo0xIynyuH3mY8Equ/Tt7GvaRkJSarEq6vVp3Moy	10	2013-08-03 17:51:32.272946	2013-08-03 17:51:37.278841	112		0
7487	10i1m4qi90y2kdqefcy3p9rrpm	$2a$07$UCYRN/Rwzp7ky2xmznjueOccD797FwFL1vGPmG8e7VwAT/sM9Rh2q	11	2013-08-03 17:51:32.297933	2013-08-03 17:51:37.408665	112		0
7488	10cr5i2zqex95xziztd07kdj26	$2a$07$rcZGNXknFTcdISVqwwFp9e6W7ncNXK.Dj78CJJNmYujR90zaI7DbS	12	2013-08-03 17:51:32.323053	2013-08-03 17:51:37.548866	112		0
7489	1056nfxnyufijl3eul52ytdkqg	$2a$07$XfbIh7XdpuKvofT7jkMwH.A/QtqOjPjGdLz.WC3O2kFBMwrrQqH4O	13	2013-08-03 17:51:32.347613	2013-08-03 17:51:37.660811	112		0
7490	10a3ezc6tczcfe7kmidit5ilnz	$2a$07$5c/Jk0C95l8mUOhS5M5BV.7VOiqoRp4jh.zOolXpQecV5zHhPK502	14	2013-08-03 17:51:32.372232	2013-08-03 17:51:37.813112	112		0
7491	109s1bouelsp0t9rqog1en17ju	$2a$07$jdjWcqEWpUjFKIlBKUKQ.eGSY2lqARLK72mPAl.OVQBSKyqlfpD2a	15	2013-08-03 17:51:32.397555	2013-08-03 17:51:37.963819	112		0
7492	10oll7goqod6an2t4ejask5ci5	$2a$07$h6PWzp3f7/pmOIY6Ryf30.mYuLlTMK6K2smBSAgDbOGRJyuB2Su26	16	2013-08-03 17:51:32.422514	2013-08-03 17:51:38.112702	112		0
7493	10a5489l8w77g0gwbs2us9xpbh	$2a$07$sMuh.AZKv5SPuHhduIuRvOM3dytJ/MCeFhemIwO048BrGmTHr1hye	17	2013-08-03 17:51:32.449182	2013-08-03 17:51:38.272307	112		0
7494	10qvev008c8wfd5iovbwgrrjor	$2a$07$uSVrd80tTzj8luJ5fU4Pke6ekRXSE0sIMwhpem6XzHkJfcloIHZbG	18	2013-08-03 17:51:32.474325	2013-08-03 17:51:38.416304	112		0
7495	104y01mwwp4xst3jqq1tnamsq7	$2a$07$n9cyav6.SplkoUdDdKKY2e68hW6xVytSqntsYdqh2yy1FC9TWgIAu	19	2013-08-03 17:51:32.499511	2013-08-03 17:51:38.565258	112		0
7496	10kawos2ekae3ivyqvky98ydnr	$2a$07$ykWz1scaC91MQur7XgcBv.CRaHSye0rFu7cG7MABV8CExAYY6DD72	20	2013-08-03 17:51:32.524431	2013-08-03 17:51:38.714543	112		0
7497	10fd23f9v5825715z179zyhr97	$2a$07$2e4WrKzDHCeKhi88.vsOKevEJIN3BzaGWw5Gm8P3Ufg6fV8GFg8ci	21	2013-08-03 17:51:32.549051	2013-08-03 17:51:38.847333	112		0
7498	10jztb2svycglf828q95qh00zv	$2a$07$IPctxx6KQVlnND2425nJaO3yA1Mqe3wdsPh2.UpCvBXYVzuD/nSd6	22	2013-08-03 17:51:32.573223	2013-08-03 17:51:38.982708	112		0
7499	108oxs6rim8zmmljpc8wgsi02f	$2a$07$0XtJJpQrmIN.e0KBLvlM4exHreFGd7Ca/kp/OOX9cqRxo60zcfTTK	23	2013-08-03 17:51:32.59723	2013-08-03 17:51:39.114653	112		0
7500	10hf44gbthl3wk8eesbimjrkz5	$2a$07$Agtc72w7mfVsJ.lLohEtneq1c2/dKY3vs0flWhzFvbwdDCVGsvbnO	24	2013-08-03 17:51:32.621262	2013-08-03 17:51:39.241517	112		0
7501	10vq0amz1kk7msdch76dps98t1	$2a$07$9xsMG1S.0cAdaNVoubG0Ie3E6PWrxsEEAdV6hzggwpRvx8DTYEbna	25	2013-08-03 17:51:32.6456	2013-08-03 17:51:39.370479	112		0
7502	10ybb2zx9usru5lg4p2emw639f	$2a$07$bDIvy.RooJXib.2PtBqF1ejxA7pljLAo0jwJX2vlBCXpa71Mjk8Py	26	2013-08-03 17:51:32.670147	2013-08-03 17:51:39.498417	112		0
7503	107nrniu3jf3cv2qhfuanr7xhw	$2a$07$c9RpLLCzzIkikIYALtXmgeeaSzhJH7AmunybSoA2.BGeW/N2hdcDC	27	2013-08-03 17:51:32.694691	2013-08-03 17:51:39.630574	112		0
7504	10o8zl7b2n9c41tnbindvs34hv	$2a$07$SVo2kvUUSa4OGwA34hi08unRMb6ECzkLM4Vau6L.lpZWN9lwTFVrW	28	2013-08-03 17:51:32.719183	2013-08-03 17:51:39.852159	112		0
7505	10rtugdsp00lrz1pfi4vtjjt31	$2a$07$8HNpIcpmpZS7/X6zs3U4P.TJH37iEyEkFfmarfPXX5mLA6o.SAQY6	29	2013-08-03 17:51:32.74342	2013-08-03 17:51:40.118027	112		0
7506	10x1wucyevzdwjkfm3pr8gwdyj	$2a$07$oYtHHuXbH873UX6pCBQkzul8Jb6Jdh0VHKusxkkO/2nDM/rYEaO6u	30	2013-08-03 17:51:32.767899	2013-08-03 17:51:40.23998	112		0
7507	10zqsz9zvyf2trzjicvl2njo5r	$2a$07$HZRt9tNfgBsvf.uTBpiKH.7jgFHIVYdpyc6Y3gzWGf6x48Csursdq	31	2013-08-03 17:51:32.792526	2013-08-03 17:51:40.365352	112		0
7508	10enjxh6ez56j0k49cyy7xefa5	$2a$07$xVJjEeTmp828j0BMpRf1KuD8jxbUvSl2vBAK0qVt8ntuqJguOX5D6	32	2013-08-03 17:51:32.817135	2013-08-03 17:51:40.468239	112		0
7509	1099svsksaswsjglgbotnts3k4	$2a$07$0tYO/Mc9MGvqiKyDDIXkfuzdIlUbucJPEjm62w1Wo1DB6pwqkCR6.	33	2013-08-03 17:51:32.841865	2013-08-03 17:51:40.570804	112		0
7510	101425i6bbvxawn6f31tlpv4xx	$2a$07$vSEurdvwdVM2QFS6J40IvOHIdH1zoCgz9xEJOVK5Ifna5tzZR9xHO	34	2013-08-03 17:51:32.867135	2013-08-03 17:51:40.67327	112		0
7511	10mn3wejgn5qedxn63h6kz5dga	$2a$07$t7/n.zJW5koLuHNHN7eU1ODFnTmA0vuLblDoQwQnLKIfjpAAHLiRC	35	2013-08-03 17:51:32.891887	2013-08-03 17:51:40.796808	112		0
7512	10fd0xe4zmnw24o27io8qz3qsl	$2a$07$YsbZr.na3Hn6rsVwywPEL.hcVqnLnziF56NiVYe54yk5GAFIWgT7C	36	2013-08-03 17:51:32.917085	2013-08-03 17:51:40.920257	112		0
7513	10yyvyq4tm7k0o4fvjrtntqhxu	$2a$07$ZmvHw7szWC2JUf0JYHdx5O7wl62VTLf0EaSHOqXBsE.bhLTISt3ky	37	2013-08-03 17:51:32.941562	2013-08-03 17:51:41.041342	112		0
7514	10ar1dzd9ikj77uk89ce50xrf1	$2a$07$PTNibsjQCYxXcZJNzDAxyuSr3i/2WHTwaOHct1GwBLe.dZGAwvRi6	38	2013-08-03 17:51:32.967379	2013-08-03 17:51:41.174018	112		0
7515	10h8f1r0mhpgkey734nj59nf8g	$2a$07$iy6HVFQdF20n8gFwOts7O.9rUq/CcW2h99a5Th3wkeS26bYnZC.Pi	39	2013-08-03 17:51:32.99172	2013-08-03 17:51:41.309251	112		0
7516	10er5la87o0k7svt17rj4y5v4x	$2a$07$huC1PHWoEDB2N0g9esBedeSLoMCgcrhO0Gne.jPqbD14P56uYCDAW	40	2013-08-03 17:51:33.015789	2013-08-03 17:51:41.43376	112		0
7517	10n50552003ks1jwayw6ro970g	$2a$07$ctM0lx1KhpNM1nUPeQXQRuK5uLRTg3.RPq1O7MumKAI.EPY48D1ai	41	2013-08-03 17:51:33.039892	2013-08-03 17:51:41.56445	112		0
7518	1053l3qc9hgs5fbbmobjnm66j4	$2a$07$pJ1RpL4Js9716kQ0IUulfuxy673DyXhoegHrvNvcTiS7EWV7qxlSC	42	2013-08-03 17:51:33.06484	2013-08-03 17:51:41.68698	112		0
7519	10pvueg0z8yev49wiquvhjbzya	$2a$07$GqzcvT4cV9klM0IyFHqkCOuxBjcKtSRaOzffK5XTjdbdig5Zav8Ne	43	2013-08-03 17:51:33.089392	2013-08-03 17:51:41.823152	112		0
7520	1067ipzf7mhg9mqydyfa15kwmx	$2a$07$QtcQ9azo/F8Je2/tM5bnQ.jEmJsm8CBMvW5Q7kgTjeif7ouiOQqEK	44	2013-08-03 17:51:33.118442	2013-08-03 17:51:41.946696	112		0
7521	10cot8sptwrr7lkepu7ohnw2jq	$2a$07$ThsrD2s0ff01ldtOgypg..cc0lVyUpnRjkkeOTwR7FWkpcrtvCSwS	45	2013-08-03 17:51:33.147117	2013-08-03 17:51:42.097804	112		0
7522	10xnh2jarjflolon8ksowf5b7d	$2a$07$jylyuECstEWxAwABbXDPT.ffWQNSdcf.0.TIQ/hsi4kQq3cV4EUc.	46	2013-08-03 17:51:33.172451	2013-08-03 17:51:42.297966	112		0
7523	10ehk0fflza8q0v7znh8ue963f	$2a$07$970vT73aQ08K9JquAR0cueY2A8mwtGeCChBUc4c56ECIMOpRc2uS2	47	2013-08-03 17:51:33.200127	2013-08-03 17:51:42.406011	112		0
7524	10dsmgpjkvscwy0yuiob5ag4ig	$2a$07$dgeS94/VATvzBnCABlq3HOYbkEteOuet/UD.4FBPALD2gxKI9WV6C	48	2013-08-03 17:51:33.2246	2013-08-03 17:51:42.52095	112		0
7525	10znhmhg2kg7txj3px7ee5u5pp	$2a$07$xA.MwMtYlpX4uEqH26gopOFLriMtlp8X3LyJ5ANV9k65Pz3hQVJGa	49	2013-08-03 17:51:33.249458	2013-08-03 17:51:42.658625	112		0
7526	10kgzd936sd3xyhtn8j9upkufu	$2a$07$ptsI47/ut7Z6pH16NBZ.7exuC3u2dMZuu.rnZwiJnREfkGqXUBlMG	50	2013-08-03 17:51:33.275372	2013-08-03 17:51:42.781221	112		0
7527	10y4wvqp5xvbhlhqcacgei2u8d	$2a$07$6TnGBHqF.k1faFJSn0biP.nDgt5rtkzVzkh4K8IOcNLFYTZ2JoF8S	51	2013-08-03 17:51:33.300433	2013-08-03 17:51:42.892501	112		0
7528	10aghn9w72717hhtw9365okyoy	$2a$07$PTp.tvw3lnEqzUvj1vhLiOs7EqfB7uLZFs0A8mJJH.RBv.NiEIu.u	52	2013-08-03 17:51:33.325011	2013-08-03 17:51:43.009098	112		0
7529	10x27iilbl4unnrn7modjmov9u	$2a$07$xIyFSW/bdwSASYfixpEk4ervL9/bk6vvSockEabIbzuQcCdzCVu3W	53	2013-08-03 17:51:33.349875	2013-08-03 17:51:43.104326	112		0
7530	10mfkupx5udhlvot07w0n9z1gu	$2a$07$LOdo3lf.Gtn.TVAtu3I0BuaCo6p4MmzsuV1JgqbVJPN577mM6Mj96	54	2013-08-03 17:51:33.374404	2013-08-03 17:51:43.215248	112		0
7531	10gx1u0390uzu6w7513mukzfj2	$2a$07$tk2FytJ.P1yf9u4Eoqa5mepRGvWwwRFwG5uV0ixrevC0z2ZgqH.hm	55	2013-08-03 17:51:33.404275	2013-08-03 17:51:43.329182	112		0
7532	10ndeng11nxvh6whdoi0kqt1st	$2a$07$jlmPoSeFgQKlkCBJGSFWS.aPlYuJ.qT5vzM3wP5JDDZQ8eaa402l2	56	2013-08-03 17:51:33.433189	2013-08-03 17:51:43.456642	112		0
7533	10kx2p3umrskl3593lnpz1buci	$2a$07$1J1aq0yFHx6O/pjQQrGaZ.Huk3OiBrupUVsJL/vvntUuiBwzjOIum	57	2013-08-03 17:51:33.45528	2013-08-03 17:51:43.591161	112		0
7534	10417bta8g5e3yunw7svcoodba	$2a$07$ky0jhOnEuxIv6nqDlv/OXuTXLDYusbkGntrmA2F.nbPxxpBJYnrJe	58	2013-08-03 17:51:33.477412	2013-08-03 17:51:44.262108	112		0
7535	10vb5h6qbje0sp2qbw89r1awzk	$2a$07$347krVaHYZHmfGpYECpeCuGB99Y6TOtLKYG9GysGreXdOnwbJ2wii	59	2013-08-03 17:51:33.500318	2013-08-03 17:51:44.906532	112		0
7536	10ail16ptbu0gpvwx6vsg797rl	$2a$07$DJXIgbVBpoo8uEppFkKlT.ytlR7SV6JOspTGx5NwGmyBt0DWFr.Ga	60	2013-08-03 17:51:33.521824	2013-08-03 17:51:45.358775	112		0
7537	10f0dmkwic8m61p56p7hoakeka	$2a$07$C1.ZX468KhMJyoF1Mzwx.u7xBVyy8tKNojyX2pXO3i50uuTW/g08.	61	2013-08-03 17:51:33.544604	2013-08-03 17:51:48.13184	112		0
7538	10vj7r8abmfx6a55jfzee02skq	$2a$07$tEdBYcfrXINRZhFwotjvk.89t7RpFG5hYqbJmTzC.T6uqoQMMRNiW	62	2013-08-03 17:51:33.568179	2013-08-03 17:51:51.155018	112		0
7539	10pag3r03s1woweu1hei0uzu4t	$2a$07$BmkZdJPNBpl9CuR8SwOGqedkm/FgkkQDlg6Q3su0LzjT5ogB3PMjq	63	2013-08-03 17:51:33.591149	2013-08-03 17:51:54.344204	112		0
7540	10nbf29wg38kqra96gapt4jkcb	$2a$07$6Us/x4ZANkGvu2RNndcpg.F.R80saSFXnUSX0X/xpWKjjdZukMKVS	64	2013-08-03 17:51:33.614357	2013-08-03 17:51:54.922445	112		0
7541	10pgs00bwv3viwajf9grb07wd6	$2a$07$q7SbdnXAZBmWhCyT64ej/Oej5zzbj79D/VTqFMnGFiF8kj4NUPbQm	65	2013-08-03 17:51:33.637408	2013-08-03 17:51:55.189087	112		0
7542	10rpl7hn6c14qvtl7f5m353out	$2a$07$gv3Cn6sJ4ujBltGicZhr/Ou8Wv9M8VUkNP.UauRIlm/izcAuXkjZ6	66	2013-08-03 17:51:33.659769	2013-08-03 17:51:55.610877	112		0
7543	10f29ibhg70a21hwzjn4mr5rnn	$2a$07$JLLo6cxy6H2seU2QrG0wxe2WWcU4DNLOKWASE6huSOcglR6R/Cn8O	67	2013-08-03 17:51:33.684279	2013-08-03 17:51:55.716369	112		0
7544	10bwg8icxiinpbxmhkgw90i2ay	$2a$07$/g/AAhPQSc8A0H9Ec5ClH.ygyc5xdFcdsXofEvSpjMrt8qJKxLzmO	68	2013-08-03 17:51:33.718209	2013-08-03 17:51:55.86791	112		0
7545	10txcbb7kat2dkmd69qfc469bs	$2a$07$Dn1PaW7abCSF9Js1J8adk.9dxBXITJmichO9es9azuxKuVqBOe5fe	69	2013-08-03 17:51:33.742221	2013-08-03 17:51:56.187256	112		0
7546	106tce5jpia4yrlbp1ko6dxt4a	$2a$07$Q7h.oogKSZ8r9KhsVC779uEIljpJDLz91bHSuPzao3UPUdfCNzuEy	70	2013-08-03 17:51:33.765754	2013-08-03 17:51:56.321092	112		0
7547	10m8zsu61skx2di2t62r8whsbt	$2a$07$roJdYeMFt6a4jcrxJ85/iOQ58K4vlJQu9TdkrNLqQ0loRwv9bKqJK	71	2013-08-03 17:51:33.789818	2013-08-03 17:51:56.453418	112		0
7548	106uorbl6nzzfqa2gsu3fehr9u	$2a$07$eoJCjnVBaTU8QDbMnfEC6Ojad6f7kUbUjLVL4esDxORnD0LsAf6j.	72	2013-08-03 17:51:33.817374	2013-08-03 17:51:56.588706	112		0
7549	10923p9f83e1ypzxbtpukxz3dg	$2a$07$Lt3I9MpatKpxAjkLczN/CO5ifv6mg7woDKIuDyLPPjsTvEfHoV5iS	73	2013-08-03 17:51:33.844227	2013-08-03 17:51:56.743309	112		0
7550	108lmid2m7vx1seqhrsouwbvnb	$2a$07$ErFZlMarKAQaqA7ARKJHvui39mIz5hyZqVYo4Uz1DYJ41ZlWmrRBe	74	2013-08-03 17:51:33.868372	2013-08-03 17:51:56.887425	112		0
7551	10bi65ap9j8ci82p5ygjg5ous2	$2a$07$kdpRW/ZtiabWD2D881UleODooxpVg7d406EXRK3YxqOeYF5DpsRlu	75	2013-08-03 17:51:33.891316	2013-08-03 17:51:57.02037	112		0
7552	10eh17lgvgg0blepq5kztv957j	$2a$07$U7mA6WztVAAD0W2.MuDGQu3P9GdWWAVOkSAfKMWjWYBRkYNsugqD6	76	2013-08-03 17:51:33.914457	2013-08-03 17:51:57.13168	112		0
7553	10z25hpfkdj3oxtgwi8ww63svk	$2a$07$YNFWLlPA3Ki0gdwwZsFQxe4rQ0R5ySMiA15/2TEsWwsKeKUcVBPne	77	2013-08-03 17:51:33.938276	2013-08-03 17:51:57.26524	112		0
7554	10xd7oxykptxxm6fqo4mfsot9n	$2a$07$xqdq.DsZf0n0zE6slK8P5eBL2lIv2YVCHkHINSt2shDhfd8HlB99a	78	2013-08-03 17:51:33.961527	2013-08-03 17:51:57.430145	112		0
7555	10bs6ju2hgd4hnbjd4a7jmar0h	$2a$07$P2kKGwEcbha1mFHNKFCUH.7tf6rQ3QjHnDG4EqOZZ2pJifVRa8LeW	79	2013-08-03 17:51:33.990066	2013-08-03 17:51:57.625342	112		0
7556	108w5a2626szz3p0c9wsnwmzxb	$2a$07$enEF2ONtDKq4qg.AWKYaV.e6p9zOvKqFRXknVkXx/F2nc09VOXc8.	80	2013-08-03 17:51:34.014196	2013-08-03 17:51:57.770586	112		0
7557	10ao3ztr73p69kehk37dy4uw50	$2a$07$C4iYaJH971ntrEpeQABygO/c3WzROXBqJgKgYcHfqxbUvUUbxlQXK	81	2013-08-03 17:51:34.037414	2013-08-03 17:51:57.883655	112		0
7558	10z699pc0kf5ljmze5j9zr62c3	$2a$07$/ayyOMCe.IWO69mYUVsy5Orbs61nnkY3n3ots24YvwoebNpSVkU.O	82	2013-08-03 17:51:34.060535	2013-08-03 17:51:58.023174	112		0
7559	10ukduyaexpg9fd1nkynv8eki5	$2a$07$cd/UMVmkPjqx7u6RcHiwx.iiRY4f4AfDu3zNoT2IGK6awZxLPKWGK	83	2013-08-03 17:51:34.08289	2013-08-03 17:51:58.617734	112		0
7560	10ivwh8glrt8m7cx7yjwvbapv5	$2a$07$Y9e8TIzYHd3as7P7xPL6weNR.jAtx5wTzSHwIO3SRSzzaK7RPL3Fi	84	2013-08-03 17:51:34.106784	2013-08-03 17:52:01.461447	112		0
11071	10dgdk5z62oc8fi0kwjb9zwql9	$2a$07$77xdHtI8qwLRWx2WUeyWMu0uIyVOV8f5LhnLd.OgHcJRJb3P76Vme	67	2013-08-03 20:26:39.808669	2013-08-03 20:27:09.01319	143		0
11072	10rtq98ovuaarip6a557f3bbjt	$2a$07$c8M5MdZtvfpjt8/HdxzM2.ZdVhXwBN8Qb4Xpq4aCs0bSzHuMMFQ3q	68	2013-08-03 20:26:39.833288	2013-08-03 20:27:09.149757	143		0
11073	103lqgi0gl7z5smv99v4skw3ns	$2a$07$u7g0dU0076q/8/OxKY.PDOY6oJdT5Qs.j7ppfviexMr/4mlXNONwS	69	2013-08-03 20:26:39.857766	2013-08-03 20:27:09.299855	143		0
11074	10pjutt0rirxzosrfj7k7j2bn7	$2a$07$GwOStnQU9CqJRfh8IHwcwuuBRIMKPBNpR2oANNSkAgZmYEOUwVzEC	70	2013-08-03 20:26:39.881424	2013-08-03 20:27:09.450313	143		0
11075	10a4pkvi8haicsucandlxq9cqi	$2a$07$MQj4YAHlir.nUhRlwP91peIu38CLOmzY/xEloCtMWBl.hQmN5aDQy	71	2013-08-03 20:26:39.90524	2013-08-03 20:27:09.582804	143		0
11076	10blr63dsquihq4ger0g7x4ahl	$2a$07$Iqkc5mQJxLdNkFCVkaOqxOCgLbqv7AjNhFi239o7jzzcqJIDL3BJO	72	2013-08-03 20:26:39.931731	2013-08-03 20:27:09.695063	143		0
11077	10752oasx2ryr2e6wbr3jqslbw	$2a$07$VHeSlz094FuFE9Ldw9NO9ewGmKLCqvVTRdS.RDM8Sc8YwKEpWEZIW	73	2013-08-03 20:26:39.958065	2013-08-03 20:27:09.938986	143		0
11078	104e4vwyw4fk38fk1tb5w4on5v	$2a$07$phhLIDot/BVXovqyhBPiVuyIiHaQyzlhf5DiyV2A9fkCaRk9V29RO	74	2013-08-03 20:26:39.98329	2013-08-03 20:27:10.080069	143		0
11079	101uz9ocv0eae3gion0nvf9m27	$2a$07$9PgUvIQGaa4.ozjBSOCwourRPNOQjE/vH6Ov2C/MSw8HTGvfHg7qS	75	2013-08-03 20:26:40.013939	2013-08-03 20:27:10.217394	143		0
11080	10x26o7vvi8oo0o6mtakizchwp	$2a$07$9.Rdw99oDkoUWa2sC2.UneiRT3NV.XxQrRk5vMIZlJslcWi2x8s6O	76	2013-08-03 20:26:40.038569	2013-08-03 20:27:10.348774	143		0
11081	102j5w67r599x00undjfen6rq2	$2a$07$BTQ/y8mLTglGqDvS6syTp.bRcRLCatV33i9gtCznXlGrqSPfNqGRm	77	2013-08-03 20:26:40.06105	2013-08-03 20:27:10.48084	143		0
11082	10zxlwaap8821nux9i0hnnh2nv	$2a$07$nTg9GkonrPi9uz5uADCnWekIokHc3PIMEH.ZswDjKNwk3CofPIASG	78	2013-08-03 20:26:40.084162	2013-08-03 20:27:10.609778	143		0
11083	101exq7xa9o6qlkymu2dkxnx6d	$2a$07$GcpKABRda1jO7ub3mih1n.wLS0dEPrLYSmipXH6rckNAf8hGN17j6	79	2013-08-03 20:26:40.107222	2013-08-03 20:27:10.744909	143		0
11084	10fkwkvbyryhqaayda79h4mrs6	$2a$07$XytSIwWs4cTnCu8HmhdnJ..pTNRw/4/9ImwL3x6Y1k2jdc2J4xWH6	80	2013-08-03 20:26:40.130487	2013-08-03 20:27:10.870831	143		0
11085	10yc0y3zvkschcjvzeh59eckr8	$2a$07$FPpOoE5FQT339zOLr/vtwebLNjcheEA6C2QNbhT4vspKkDt6yCvwW	81	2013-08-03 20:26:40.15431	2013-08-03 20:27:11.175689	143		0
11086	10ddhxg0iv9lo2vj9ctkb03pu0	$2a$07$j43nwDLOBlaVfOQVruJQJeNHUia5ZL4FCspiv.4OFzRsRhct/iKX2	82	2013-08-03 20:26:40.177872	2013-08-03 20:27:11.298524	143		0
11087	10wlxgmaslr0g8gdkk8q3vv90h	$2a$07$9pQ9zKfg8anCfBMDDDRocOV1BOQwJMVaaffKNe8nyZ7Fzmil1/1PC	83	2013-08-03 20:26:40.202761	2013-08-03 20:27:11.68477	143		0
11088	10zjyy6l7cnak1r4v5aw32apxr	$2a$07$8X78vcQ5GbGPSFq0WV3K4uY2H9t45Us4lXw9c4hN3y/ibtLfhlBNy	84	2013-08-03 20:26:40.225733	2013-08-03 20:27:14.347881	143		0
11089	101odjydl9mjbe03u7lsv2zcqo	$2a$07$SovrNlH9y7m551ZpQEesXeu5agXLESFYa1lZ7WS.gOqbcz8Snl8q6	85	2013-08-03 20:26:40.249393	2013-08-03 20:27:14.508372	143		0
11090	10c7z28x84xor26a46hspgal62	$2a$07$F4RDjXoUniw.J7dpfzTlx.w1P97TrNIt6vdAfDhuzj7Zhg7m9AT4u	86	2013-08-03 20:26:40.278005	2013-08-03 20:27:14.669446	143		0
11091	10d6ipdy3sempuduuuhy8uj5l1	$2a$07$GnCAbyIKCXBuC4cvIfdzfeAICLQmsVjcSUBi50aUZyMEwWuOpniMm	87	2013-08-03 20:26:40.301821	2013-08-03 20:27:14.81005	143		0
11092	10hkpdkkxsep6ggec461e5a5v6	$2a$07$mdyuUvuaDa17jb7DmCCJ0.SF81bTrdMU5aa39AQjf70KCkHku7cp2	88	2013-08-03 20:26:40.334454	2013-08-03 20:27:14.937481	143		0
11093	10x5grc5mlmf9ygcbcmcpasu5h	$2a$07$aUqNrqf11JUQkesD8m7mDOntLGzWIl3fYHiqlfyHDiwSQcGhJoMre	89	2013-08-03 20:26:40.358338	2013-08-03 20:27:16.710305	143		0
11094	10jn442hicq4k1xwjbbqiwpxee	$2a$07$Rb5YBHlDmXip26Gyk2aKW.td4X.sXpgzRJTSq2cvbpbJBMAxWiEvu	90	2013-08-03 20:26:40.390773	2013-08-03 20:27:18.572349	143		0
11095	10wzy1i2gu8iqnghs77jhcwrs0	$2a$07$cH/OviV5RUI9iYuDCDrkYONRZcaxbvSjJrivr1gZ3hIwQHaHaMuQ6	91	2013-08-03 20:26:40.414188	2013-08-03 20:27:18.701204	143		0
11096	10bkd6r02ydhcyo2965tv8g98n	$2a$07$ARfqcURtZY6J2cKoZcEcL.ScduG.aDt86.qADSO4rd66k6A6Xnga.	92	2013-08-03 20:26:40.438251	2013-08-03 20:27:18.873953	143		0
11097	10ttsi1dcsji971jh6w987zcdn	$2a$07$zBdJrmC3fLgyBn.EKvRqWu27Y.HbCarptrcpYkZuaDAkJBpspOegC	93	2013-08-03 20:26:40.461937	2013-08-03 20:27:18.984221	143		0
11098	10rvjfoms3rc4gzr9otcvgqkmc	$2a$07$nqEieQXIqsv8hekMHCWlQ.J1zNAv9wRQet2bNZs5L3b1DOqPqMP4O	94	2013-08-03 20:26:40.485543	2013-08-03 20:27:19.134041	143		0
11099	10d32dlbi96o52ljk8acwt253q	$2a$07$NG1PxFOZKpQkMh8mg2TCcu32uXA3VaJ56kbibgqDtiUmwLnBaNZUa	95	2013-08-03 20:26:40.517758	2013-08-03 20:27:19.263045	143		0
11100	10g3khs3i9dzlojcv78nqcyvzm	$2a$07$6r7kqGOhJ59c6lI52C4b1OODybHDR7SNDEkpRIjAA..eAMUk3IWP2	96	2013-08-03 20:26:40.546117	2013-08-03 20:27:19.404303	143		0
11101	10aqo9f0906uvkdqpp6eupj6f1	$2a$07$LnuJzcms9v8sefpLb1XgbevQQLp3lrK/BWrSsJoauhErh4kvpUgiq	97	2013-08-03 20:26:40.57818	2013-08-03 20:27:19.619424	143		0
11102	10rk7wf73esxmneudi1j04v9du	$2a$07$FMpmlXzUI7A39S5CooJV/OZ1D1gMB1aplAEVjGQY1laxBt0iU0mOG	98	2013-08-03 20:26:40.600244	2013-08-03 20:27:19.774187	143		0
11103	10b7b2b1qqp9ovch60hvjiivlk	$2a$07$S.mh2x.cbJs3dVPxKl5ts.LQjORS3ooftrvQFIJW1evsZmqTF1Eje	99	2013-08-03 20:26:40.622203	2013-08-03 20:27:19.908102	143		0
11104	10m4pg3omxtp792csvrtpw46rq	$2a$07$8bdbM6KMAfuDpOpAS4WKveIdZf7oWOtbp2eh9c0qQdsu1qMhe6S26	100	2013-08-03 20:26:40.651586	2013-08-03 20:27:20.045142	143		0
11105	10wtpo759m3o0r91z4pwzc9pau	$2a$07$WYat.q5JKkux3GzgDdJua.6s26UVegJ7Q19IahRdhTvYjd7IojQ9m	101	2013-08-03 20:26:40.685092	2013-08-03 20:27:20.181524	143		0
11106	10h0khp9xiqb068nuj6aj252xj	$2a$07$qxUJNu.VwiRnjlpBkTRt4ON1FPkYW3BzWoZh63GK8UriG6igWCxAa	102	2013-08-03 20:26:40.723683	2013-08-03 20:27:20.298365	143		0
11107	10ndwk1lpto7uglejsziztotp7	$2a$07$md94GLlZ0JlW6yr079Ia0OA4Hq7Hn6w3h7iYiO8ZhLI5DPBijJoiu	103	2013-08-03 20:26:40.749421	2013-08-03 20:27:20.54981	143		0
11108	10re41hrpdlb6j4yj4wz3gi3ej	$2a$07$uMWiNvZl.Q4itFIbQik7xuFtUEAJ8i8jXJfhp2tNlY5.z5Amwqg3i	104	2013-08-03 20:26:40.778482	2013-08-03 20:27:20.791864	143		0
11109	10opiwm5nthdejjsp9pe0wq1w5	$2a$07$mA6JvCv9/d9caMcchzGI7OQGeSFhdi5hn.AGSiFUoKyXN4vgmEPNq	105	2013-08-03 20:26:40.815485	2013-08-03 20:27:20.925618	143		0
11110	10mxs6o9yl2x4t6oecmuqiuvpr	$2a$07$LlWOqtgQD4fvhRSWuopoju/0M.XDNCUo.6Z859YMErmpFB44s6wGu	106	2013-08-03 20:26:40.84467	2013-08-03 20:27:21.054454	143		0
11111	10an99q8fhy39h8na5rw8s3wey	$2a$07$YbI2Qo32HeF/0asGK1rsAuDhXXOUUWhiVXp9kaF6Kqz2DhNt1eRKO	107	2013-08-03 20:26:40.867918	2013-08-03 20:27:21.190583	143		0
11112	103mt1wr476kt4sv54cb4yd8o2	$2a$07$romCb1TMnCqXoEXEKj1dEuOX/w6Q3.D9zBU9sfed/dZi4YK0r6ZJS	108	2013-08-03 20:26:40.891697	2013-08-03 20:27:21.311781	143		0
11113	10u6s2usevggwnopv9cyy7ao7x	$2a$07$st/k9MModZpeDGKvRD7WZuxL8LPzMF.6zwtV/mgqFo8VVeY9sg2GC	109	2013-08-03 20:26:40.91529	2013-08-03 20:27:21.454933	143		0
11114	10kqkmkb3s27txwq6o4ul7bh9p	$2a$07$PWN/h68jnjcFbnxrI3JKTOwl8NPl5T1MwvQlF.adHfXlymrAhIzKu	110	2013-08-03 20:26:40.938869	2013-08-03 20:27:21.58093	143		0
11115	10by5k3pv1gmnvvfsmzjs4y26g	$2a$07$d0lqdvfm0OXYxHgBh26kDuIWv6pNwhhqhiHSn/.MNLlrhvW0AcBhK	111	2013-08-03 20:26:40.961685	2013-08-03 20:27:21.699394	143		0
11116	10z31x8dy88195elhjzqog7fr4	$2a$07$kObbX9PgaqV5r53zXYBB5OQ6rTIXubUXOHn5s/8GNcTwF3KCqHpkq	112	2013-08-03 20:26:40.986176	2013-08-03 20:27:21.838049	143		0
11117	10qf7t0nfq3fgv79x7p3gir6sq	$2a$07$FK2GPhY3mHAtwaGTfqq/xO4abwYcK7SAoVchUceWfN82nCX0snOJS	113	2013-08-03 20:26:41.011317	2013-08-03 20:27:21.95829	143		0
11118	10vb8u03x52u9em9h2en3s4sln	$2a$07$4uTcY1t8Rcm8QE/00uixPe.z3Y/t8uZvafve/w0UUzjoDO.qFI.im	114	2013-08-03 20:26:41.036192	2013-08-03 20:27:22.084863	143		0
11119	10a3tixrq6r87wdsbilo36u5fu	$2a$07$l.VqP4eczcsEvHtCSCPK6OzH2Qz/LtqTyblUKgPcZmT7JY.5CGHTO	115	2013-08-03 20:26:41.060945	2013-08-03 20:27:22.347339	143		0
11120	109u3hoptnglx4em00zeoxm6x2	$2a$07$7HYOLGvUUOCCR4jNtWHMb.FNfPLwB57KE8UT5.61RJ/5OZ/GEHY6G	116	2013-08-03 20:26:41.095596	2013-08-03 20:27:22.546892	143		0
11121	10fup7ngmeghf70uub98mymt4b	$2a$07$prIcSrsvlsEBCqPugt3zlOfasIu/3O8o8aoWFngGa6P5R7umWeI4u	117	2013-08-03 20:26:41.136997	2013-08-03 20:27:22.653105	143		0
11122	106q6d489gb8s56n69ifg3pvsb	$2a$07$Pu.jY/gqnwtC.gOP7ADDT.1sRFe.k8FxAZn8BiSj4o8vAJReVeR0i	118	2013-08-03 20:26:41.160683	2013-08-03 20:27:22.782524	143		0
11123	10vuqq3mxj2lakld5uufaq1kba	$2a$07$6Dy8fBkVdj264q0NI0CcXeffV1gYSU7NKV1UtRbmmTt9w8jGT/8Ra	119	2013-08-03 20:26:41.184491	2013-08-03 20:27:22.918837	143		0
11124	10izezt74udoo0ukqvuqypa73m	$2a$07$Lg4kJqSnYb/W/UH9T3gUeuVZeIPvsd2VbvYiJve2BBfqb98gRWTdK	120	2013-08-03 20:26:41.2074	2013-08-03 20:27:23.065183	143		0
11125	10i334y8csexyw8g6vlssa74uf	$2a$07$udcZ5QR6k3FGAhL222mWwuL5G2H1ho8Pm5mYrIFV3sgnL88klCS06	121	2013-08-03 20:26:41.22934	2013-08-03 20:27:23.335318	143		0
11126	10ipbwuf1sqvsbsn886be56uz4	$2a$07$XR1Uy8vMElTfqGURWaNsFucbNjDhQ/lP1F37sSGooaIm6zQqKiohS	122	2013-08-03 20:26:41.25299	2013-08-03 20:27:23.623697	143		0
11127	10cbcx54d43zbeixz2y7u3o6jg	$2a$07$oaXFj6rVQgiUGsUlAtBbFumLFK39wckLKIuzoFC1O6xQkArWmmWBC	123	2013-08-03 20:26:41.276397	2013-08-03 20:27:26.644743	143		0
11128	10xeyz0i0wtteieongtf7synax	$2a$07$mvVpHWPxH8s17SzQM/j3MeVaK0t877bOYpzbHXg/UTo0ok/R7wBH6	124	2013-08-03 20:26:41.299255	2013-08-03 20:27:29.723065	143		0
11129	10bfv7bitqywo35ngqjfg4g8ak	$2a$07$H8PAzhjfD5CewIIHXeBnmOcFGY4l/KUP9IHrAcjIVpYWR3jwZB9Nu	125	2013-08-03 20:26:41.322577	2013-08-03 20:27:29.95049	143		0
11130	105nc8ketl6izmhjvs52wkf5o1	$2a$07$eVpQX8vF4eouXHAbcSrNpuua8Ua8spkN.2f4qcTmlWH9WAnNgj5dG	126	2013-08-03 20:26:41.346067	2013-08-03 20:27:30.161806	143		0
13273	106rnyczzw1qq1mm9r0cl5qynx	$2a$07$9u.y4dLFxJa2glliihuqauclH9tAJeU/56f8UOckUA6cXFTc6R98.	1	2013-08-03 21:53:35.104341	2013-08-03 21:53:38.11043	161		0
13274	109lapq01tzdrvmmskem0d338b	$2a$07$UVzFJjQrRlecpb5OS5h1PelrHR3g0RdBjXDtqL1S8xqwji/x7JuMK	2	2013-08-03 21:53:35.127339	2013-08-03 21:53:38.251851	161		0
13275	10h1dmhshi95xgo3jxs6yp9gdf	$2a$07$bd4jK6kdypUULqymeBwVA.HFp2/4.RJZocCZy9rdDf7BFlVxG5qlC	3	2013-08-03 21:53:35.149132	2013-08-03 21:53:38.37313	161		0
13276	10wz5eadtevd7svkh80bteri4a	$2a$07$ilSNc7VpMi76NfQ5t62GWe828HIEGwsdAS6Pz3yl0WT5RdMt7.s26	4	2013-08-03 21:53:35.170961	2013-08-03 21:53:38.501258	161		0
13277	10g2z22zvkfl8lecksrkcdai07	$2a$07$3v/.adXa/OFhoOhsqd.pOepeiUbBOPldDVa7psEvRmYN1GnbINDzu	5	2013-08-03 21:53:35.19343	2013-08-03 21:53:38.641823	161		0
13278	106q4oxn8aud7fk17m6ptmcrjd	$2a$07$0R5F7F9wMzmbHgH61vF.E.0D6FRBFetmcpBl69/Bz04WpKQXDVD/i	6	2013-08-03 21:53:35.217102	2013-08-03 21:53:38.784558	161		0
13279	10yj1oye4rg2a7tybk4211xjmr	$2a$07$KgRDrj91lncfsvklQpsGF.ELe1LNE9D8AdcERbciHmaSIfHinlVqO	7	2013-08-03 21:53:35.241819	2013-08-03 21:53:39.638518	161		0
13280	108s0xzfe0lp33l7yvsti10ylh	$2a$07$4rZ0BGGafR1EDehYPtprpefHgAMwVW5LfGQLNwmSQ4hHCil.aXYke	8	2013-08-03 21:53:35.270031	2013-08-03 21:53:40.620684	161		0
13281	10az6bqw60iiv6tgayv2vnu58d	$2a$07$IXiYAdJCRz3mOZ31PVI62ezJIpVnGCc/p8EW2zS6JAIvQaWcdOWTa	9	2013-08-03 21:53:35.303562	2013-08-03 21:53:41.575635	161		0
13282	10glilg9acy9qkib8c8hwzkg2h	$2a$07$rVjBPS8.j.nqo0uD21OMAOVF9DKL5btJHvWncVd53Q5/2bDieNOsq	10	2013-08-03 21:53:35.330927	2013-08-03 21:53:41.693755	161		0
13283	10j0i6nczgt6m0mmrvzbjf031z	$2a$07$0WXqCkEVErkrc6KBF85/AeByvj7Aqx9EscfEOrsQ6OKpL009amQJy	11	2013-08-03 21:53:35.361837	2013-08-03 21:53:41.814519	161		0
13284	10zv6ziqji57o39q5uypv7xm4o	$2a$07$XQW0BI/d5.BHm815CFUfu.jVnuNVuNV.Jybi/LsFQC1ySNjCJ/FD6	12	2013-08-03 21:53:35.38658	2013-08-03 21:53:41.937562	161		0
13285	1003ofooyxggx1gbj578wn49wf	$2a$07$MyYelnLJgNlBBncxHcN26.bNoRk5rrYhWWwxlmDMRmvPAodkvEX1e	13	2013-08-03 21:53:35.409933	2013-08-03 21:53:42.047929	161		0
13286	10wplxq8rd8h3voxbew0g9c7t5	$2a$07$49zClWasKbK8WuxPtN/Gve/quioZmISItj2jBjZjfBR5vJq/DbUWG	14	2013-08-03 21:53:35.433307	2013-08-03 21:53:42.15739	161		0
13287	10ay7j9kdzf15l6uxmqviqh0lg	$2a$07$Tr1PUS4q/H/.1iStsMZe4.oayL6gVw02HEkxR85Jjgm2d29Kbp3gK	15	2013-08-03 21:53:35.457191	2013-08-03 21:53:42.285097	161		0
13288	10t1kv1p7x5w15owlr74yn7vcw	$2a$07$GcPakaZzBUiVSpVyKhLNzeRzKi8rVAaSsxAz5bWH3ijDJq9/rrnTS	16	2013-08-03 21:53:35.480271	2013-08-03 21:53:42.416785	161		0
13289	10b5swpoxkqz320x2t2cfrn318	$2a$07$Ja8ly1vPodmv20hUAssKgeNJSt1cHxx0ZfB10JbzXYAtEqt0uNzw.	17	2013-08-03 21:53:35.503145	2013-08-03 21:53:42.561791	161		0
13290	10m5nkur6d8iii5tejxnqfehjx	$2a$07$ySuopTQkxd82vLRH0HJ8kOjBTK94vgKSHkzspXNnwwBQYLDwWRO9y	18	2013-08-03 21:53:35.526584	2013-08-03 21:53:42.690748	161		0
13291	10zu3fn3r95lpbs2pndej08wsk	$2a$07$SawkZKQuPXDLglLKLyItd.bHDgNDIaUfrrMc50cxtnrhtIwJynMsK	19	2013-08-03 21:53:35.548029	2013-08-03 21:53:42.825027	161		0
13292	10w8qrzswwxp3hdrznhuagk0ou	$2a$07$uFsLXbXenp2MtJz1xP1KYuFIjMp.CyeVNBx66ZAlt6JgPsn8yqkqy	20	2013-08-03 21:53:35.570104	2013-08-03 21:53:42.96184	161		0
13293	1066dpc3ukoz1gycolwpc1b23z	$2a$07$NcgkjP5jrqs/o3RHvU8OcuJUdw1VD7kTpVf9F6XlGE1tHBqIv4n5u	21	2013-08-03 21:53:35.59304	2013-08-03 21:53:43.098401	161		0
13294	10elykketdoigvpu4cjeoakm6s	$2a$07$1s20qNSc.jK5M7PUcm8iue4XwrocNQIclGgM7NNp9wygti0aL2x6G	22	2013-08-03 21:53:35.615623	2013-08-03 21:53:43.223126	161		0
13295	1090toz9c7hvao68m19v3519o4	$2a$07$oDBOGz/loiaZtigbQDXVPut3Q2EfM23.mE8NROL3/Q8b6.TV/fH1K	23	2013-08-03 21:53:35.638665	2013-08-03 21:53:43.34368	161		0
13296	10pjml5xwip9vq3i2irh1sopda	$2a$07$y77KgIl3OlD5UucTvmD0ZepAHQ6NP6k2b.uRaRwFizpHBnjbUY1UW	24	2013-08-03 21:53:35.661855	2013-08-03 21:53:43.475064	161		0
7561	109n8d3yefeg8i1e9x73fj3n1o	$2a$07$O7PVyl6sL1VsMM01/8oOgu6hcNfZCxN.lSS5W811HXMWyjPRtakwa	1	2013-08-03 17:56:32.122492	2013-08-03 17:56:34.748076	113		0
7562	10p75snsq0bszkvt9opjhffoze	$2a$07$FD1aqK1CTLIqSNIZNS9s4uEMIVh8qwAL.owVIFJJGsBWA4TjD1E5m	2	2013-08-03 17:56:32.145937	2013-08-03 17:56:35.553299	113		0
7563	10on0h2sonwpniyjgo5w3v1ng2	$2a$07$lckuL8Dl4m.yebLp3b5Oy.5LNvJnwvOaMEO6ZKkJElcgCFtxtY57e	3	2013-08-03 17:56:32.167255	2013-08-03 17:56:36.400426	113		0
7564	108fp49srrwbu6g7y54ja54woi	$2a$07$z7daOYaSqyKJyTk99Mo12evTpH0kqePOqFaSiFYlo1IHq47SLZ2DO	4	2013-08-03 17:56:32.188857	2013-08-03 17:56:36.591886	113		0
7565	10lx851hlff7ho47a9ice28dsg	$2a$07$jGaGuCKkHAxCGo6RE6PphuIXQTdQ8bckS08OErahudZ3hbECsnZVy	5	2013-08-03 17:56:32.210655	2013-08-03 17:56:36.817021	113		0
7566	1028b2fhtvvevcb6ru0z3gccqg	$2a$07$HsEt/aL1ifRGECXbCPSlXOoBF0ueUUii1EoiASAteFg20r2Nr2lEa	6	2013-08-03 17:56:32.234028	2013-08-03 17:56:37.009694	113		0
7567	10gshi525raa5i4jyolnbr3vgg	$2a$07$KTqZQl7yJEufAftyfcM5zOPUTNKklopevCE7RykLCEc.BGIIyWex2	7	2013-08-03 17:56:32.256312	2013-08-03 17:56:39.309284	113	mux_client_request_session: read from master failed: Broken pipe\r\n	0
7568	10b155dlm1gt0lvlutr4pyj9z4	$2a$07$ZWUKy7KtVpvaYYNpbJQOSOL6L8ugRlFIhk1PiKfKRSxvAGzhvQVEO	8	2013-08-03 17:56:32.278889	2013-08-03 17:56:41.490754	113		0
7569	10pyz8gxn61o2ts4ijgikur4wc	$2a$07$XuJGmSmYeHzPIgM2Tet52ex8vpyIyK.Pkcf8fP5WTjrlVgWXEBZUe	9	2013-08-03 17:56:32.301277	2013-08-03 17:56:43.616588	113		0
7570	10fy3ucwncmq4o0lwzvtqo0omp	$2a$07$Mdtg6INN5vT0cKzrf80RaO2uQGiSnfJV4l1jMCpslvn4Ip9Sn8fMO	10	2013-08-03 17:56:32.323213	2013-08-03 17:56:43.728788	113		0
7571	105eouvwy4ltmrtezfjcchmoit	$2a$07$v/Xv9P1cU5Zs..v2.tKwvOIg8cfwPKT21XGBmTE2o.urfklPVYOmO	11	2013-08-03 17:56:32.346721	2013-08-03 17:56:43.862197	113		0
7572	106d709xnys99k8kaorpxxmal1	$2a$07$8YMlqwimXf10a5zAX9vusetQxTIztDt.mFolcD4kimx.U95zSgcua	12	2013-08-03 17:56:32.3707	2013-08-03 17:56:44.017192	113		0
7573	10unqnak49urfdo83cq81hwik5	$2a$07$tAaYPbnxhuc4llyO/ByjzOKyTAECn1dG.gR5kXO35Me1LJslaNkka	13	2013-08-03 17:56:32.393955	2013-08-03 17:56:44.165145	113		0
7574	10r7lbtr2brpsrlt40egtxr8j8	$2a$07$jRAUvZXgxiGAVRDf9NM4XupQbkbQMeBJZ0E438G.j1.o6VH6aRpzS	14	2013-08-03 17:56:32.41715	2013-08-03 17:56:44.304261	113		0
7575	10vnjy7y0li1jqvk0kjzt42tca	$2a$07$dQ36Uz/TRrMDJBiu/jq6Z.8hG0rUwFJWl1u.aqsFCYvVpJUNbT4X.	15	2013-08-03 17:56:32.440233	2013-08-03 17:56:44.441095	113		0
7576	10a0evo1qa71rzsx5ekh9zl2ri	$2a$07$cQuoiW4Io2aMVV0zDKtsTeCKdLXNgd3CM6B8iLYlyPZhzkrUp0yPq	16	2013-08-03 17:56:32.463113	2013-08-03 17:56:44.591611	113		0
7577	10ko37n198cudcrb3x5igu1mg3	$2a$07$.G9wwtfHPHtcGbQlvwgjsuPqHDQUVOkMY/XfWZ6jcp5FJcr/45MFy	17	2013-08-03 17:56:32.484976	2013-08-03 17:56:44.832886	113		0
7578	10js0ugynbcwzvftks08x4up8s	$2a$07$9TeEmI74jmblLG7yUVurleX9DHWDuPR8mlGkUQxMG1C25eOvcAbk2	18	2013-08-03 17:56:32.515474	2013-08-03 17:56:45.089393	113		0
7579	10lghec1fmffn7kxplqxnkkchu	$2a$07$xLFXXk2jKCQmBFHxbjbPNulzl6RPYGNA5Koip1z/PL.gBc23z/2Aq	19	2013-08-03 17:56:32.537047	2013-08-03 17:56:45.218279	113		0
7580	10x5q9qtixa86gnfkrwomzojx3	$2a$07$5UpQQCJqQVuiDSFDcr/E1ew7XdEaC664hYKIhGe1BZZnw5dQ9Td.e	20	2013-08-03 17:56:32.558925	2013-08-03 17:56:45.339819	113		0
7581	10qzcdw270kkc5eslqtizei9ro	$2a$07$6AzTgbPGAfaQfvsFnvkANumLywznSZGV5reJt0ulPGLPvTOsKFHie	21	2013-08-03 17:56:32.581138	2013-08-03 17:56:45.46472	113		0
7582	10jzi4ydydaw5q2gmq7qqbtl7i	$2a$07$s6yt3lTXmttoJRbiATZ0K.zeq2.HOs1KW6YgYerkfWGGSKzyYmMu2	22	2013-08-03 17:56:32.602937	2013-08-03 17:56:45.581956	113		0
7583	10m7t8sleghxi08apiopqnqkd3	$2a$07$GI4ivEwlqAzWsb4PtUvAs.tCdkF0QzbglXFGdPDcLne0Qey3NMc/6	23	2013-08-03 17:56:32.626109	2013-08-03 17:56:45.68889	113		0
7584	10insc8ni96kp25q4h3zv4rwi8	$2a$07$dq5KrVgC3BrXoSdn2UjVcejbh.dxmuhGsx7rJCi.n/qNXRcUr5Ini	24	2013-08-03 17:56:32.649246	2013-08-03 17:56:45.798798	113		0
7585	10obrql8phr1z2mgo8rguih0os	$2a$07$eK20CxrRAsSzBsCtLgept.JkBlHGcLWHC083WPqLRVQZNxi7QEjIy	25	2013-08-03 17:56:32.672279	2013-08-03 17:56:45.929425	113		0
7586	10pskpb6cb6pgu4oqldu5nsvcz	$2a$07$AknTQYUK5Riu6Sy/vU9UIeKsvuXAHpGDxxhlBPxSPzRvCXtm/DhQW	26	2013-08-03 17:56:32.693979	2013-08-03 17:56:46.055919	113		0
7587	101kzx1fyol44nxjl6gnd38d0n	$2a$07$QtfrJ0OhZm0phaQ9EC1TIeKndAExNL.5uB0Y4fLupDPBBOLsX6KPq	27	2013-08-03 17:56:32.715734	2013-08-03 17:56:46.195956	113		0
7588	108zmvjd1717ira6u1qdj8wpuk	$2a$07$vrAGZBXRWYV/mr04Aiu6MOZdsr89uveFw7NVKHFPwVJPs0hxvbLjy	28	2013-08-03 17:56:32.737712	2013-08-03 17:56:46.357226	113		0
7589	1037kelk1fs0y7yzkyuhnxl9dh	$2a$07$KhZp.CelKQCCJVGlH3jjTeBLNTF/uZnWk5N7Km/TQ.95eaizySc9.	29	2013-08-03 17:56:32.7596	2013-08-03 17:56:46.50175	113		0
7590	10b3oq9foro429gwijgc5jehts	$2a$07$4nqeH.qO73CvgmyTcDGRc.EkQfrxupC/jy2jVjYlC9L7UPxeWM1XS	30	2013-08-03 17:56:32.781478	2013-08-03 17:56:46.627108	113		0
7591	103lb9wxrhhzzho7slam1cde7o	$2a$07$WHxS4p9Xu9n0N6xkXIxwLuJ3MFOjfB2k4jCB1iQVLuo2DmQqDVFTu	31	2013-08-03 17:56:32.803476	2013-08-03 17:56:46.778527	113		0
7592	10ya3y5tn37eqj8qcsbn2vcagt	$2a$07$W84Oi9omlZyr7eZdx.5r7Os5FJgTFyIE9venfhpH8xcEIiHlOjqgW	32	2013-08-03 17:56:32.825912	2013-08-03 17:56:46.915357	113		0
7593	10dicordxeib3wqgcsld2qfg8o	$2a$07$M/IuoQbbvQ2OBntAqav7eu3bBG/g3MGxOw7FIlSpJ5M/s57HpFi.W	33	2013-08-03 17:56:32.847646	2013-08-03 17:56:47.039179	113		0
7594	10ei5gy1jbpkpimb9i081c20bj	$2a$07$ZLVaQCEAudh0Kkfhr9Rgo.zCPYjPhqaN3WCGQmzIfWD3CMtU8TfoO	34	2013-08-03 17:56:32.870119	2013-08-03 17:56:47.172408	113		0
7595	109tsf1p0jo2n4ky01liobgfku	$2a$07$q2sRp4KEQnJo2Om3MQrKj.0xqKwP.H/Rzjcz6Ro8JQdfXVC5BPqIm	35	2013-08-03 17:56:32.89219	2013-08-03 17:56:47.312985	113		0
7596	10iw70rppmcxt1gy8jk5ag9ofq	$2a$07$F2SnvaSPCxJcExEktXKDw.r9H0Dhby9JAPBUMjbqbTr9TtRtUQqzO	36	2013-08-03 17:56:32.914368	2013-08-03 17:56:47.446791	113		0
7597	103ijf5saw9jsljc6bbruxpe8r	$2a$07$qe8lRPhGmBluWAIfkNElIeL1BwEgzC01Q2oMu6TKxaAxgqTWZ.Rua	37	2013-08-03 17:56:32.935917	2013-08-03 17:56:47.575874	113		0
7598	105h1nrhesh6ojwermffm0c14k	$2a$07$zI0IGTRPDInV1ud..vxRjeDu6QgqEPc.jfW8KUAS4TOi0u9uxFU2a	38	2013-08-03 17:56:32.958774	2013-08-03 17:56:47.68361	113		0
7599	109xzceospqzzkga826eer893p	$2a$07$9TUxAohtYUlze1q3EHzK8OnK5sxlEwC.Vj2IddWLwtlEyhlj3hkY2	39	2013-08-03 17:56:32.986362	2013-08-03 17:56:47.814266	113		0
7600	10ibp2vn3bb7k1k9gf3swm8se5	$2a$07$Jz.4Q4vYKRRPjWdrUrrNoOYY47PwdqzOUZS1s0b.RYkONycM7.vJm	40	2013-08-03 17:56:33.020535	2013-08-03 17:56:47.938372	113		0
7601	1046lbtsxzmjfzdgvtosdgx1g3	$2a$07$UDjRGtpkXzTnUAru54EALOFE.odU4CLrfPoORs0jsojesbwW1B.CC	41	2013-08-03 17:56:33.042236	2013-08-03 17:56:48.069131	113		0
7602	10zkq3u7ti3fbll0u7zrezqwyd	$2a$07$cx/qfyGExyd.m8VOLxX.neKtWMJQaWibyAphKuHs0oODgxBPdGkf2	42	2013-08-03 17:56:33.065444	2013-08-03 17:56:48.208345	113		0
7603	10w7663tz5xmntq83bmir5e4vl	$2a$07$zNidUwtccaP5dg6xPbyo8.9L5lYMpLddeTgKcBFGYjkr/bZhveXJi	43	2013-08-03 17:56:33.089786	2013-08-03 17:56:48.498666	113		0
7604	10pvbwwisyf4lrey2qsjnltpvh	$2a$07$yCp9/e7Jvua59le7vxHs8.zf0rjylDOkOVbXkU8UAyBoEAD48UC1m	44	2013-08-03 17:56:33.116741	2013-08-03 17:56:48.773148	113		0
7605	10pb3sgysw1hgzfiqrbrjd9pvr	$2a$07$Dk7/q8VortYcw98c.nNa0uioaV0BoYdEVxW8O02CkcqHBDvlKz5Gq	45	2013-08-03 17:56:33.141046	2013-08-03 17:56:49.068252	113		0
7606	10djisj8qeuvhw6fhttnvimgnp	$2a$07$kN8ZjDua41Qg1LI.QxNFvup/sImdf2N.KLnsYSUIP0JhOPDDzRG32	46	2013-08-03 17:56:33.162724	2013-08-03 17:56:49.197659	113		0
7607	10m21e5pl3m9szabsli9k2hu0d	$2a$07$s4GmEGSGh6sL1fJE/HHB1eHxWDpH5bLL1qU1eXzHOJShhG44uR19q	47	2013-08-03 17:56:33.184232	2013-08-03 17:56:49.397566	113		0
7608	100vycwvzzjof222ied6ogzpzu	$2a$07$I9DyBxG7PjX6HqVp94J23uwo8ZnRK3QsAVuKdH/cUN7IkiFQENUea	48	2013-08-03 17:56:33.205594	2013-08-03 17:56:49.610339	113		0
7609	10xcy5fh2mb9v0nua8dctkeyu0	$2a$07$GemHAhA8re4EcNlvqfUlW.2eKmojdd/2qSx2wjRYW3HzMiXNDhUJG	49	2013-08-03 17:56:33.228139	2013-08-03 17:56:49.742144	113		0
7610	10ovnyr0z5ha8g1s8cgf4a669q	$2a$07$ob04rDj5F8ofxvS5lzoopeXSHN3aoEyGjViVmCxdE5xLM7fW7q.XS	50	2013-08-03 17:56:33.251232	2013-08-03 17:56:49.888521	113		0
7611	108jv86e2yifaiay9ddfp70kou	$2a$07$XuR9qI3MKx5VHPB5HeuRv.R9K1579UYEbOqUuxv.bVmA2.UsXcycS	51	2013-08-03 17:56:33.273137	2013-08-03 17:56:50.031831	113		0
7612	10k6mllhwwb48xot8ls58sp6zc	$2a$07$iai6/FMWEOQCC603YOD91eOmA7BZFYbwJkoqnQyj5Wzsnrrp/Ey42	52	2013-08-03 17:56:33.294555	2013-08-03 17:56:50.163041	113		0
7613	10cm6uren1bvyl01gfk0tntae5	$2a$07$vtsT4iBl4JGVrMLUIYT8xObCuoPY4Mq20mMMK80gwTJHGrdKL3YHy	53	2013-08-03 17:56:33.316125	2013-08-03 17:56:50.30117	113		0
7614	10topl2dhamao70hnp654lmybt	$2a$07$9X0q2m9ORx1Dxeh3.d9kyurA49lxTFJZlfnB9qQLYjcTvj1g.JqFG	54	2013-08-03 17:56:33.337459	2013-08-03 17:56:50.415296	113		0
7615	1069aelvo0jbetdc5nqqpxy7ty	$2a$07$vA/svTzZLR/QR5ETP6KoKOm7nbcvKhtAkDAwhs.fieoiQE/BVlXEK	55	2013-08-03 17:56:33.358972	2013-08-03 17:56:50.55245	113		0
7616	10gt3eoyzlsgjf97waw4hdbe5g	$2a$07$Rr9rTVGkA3vHPp1ThWdU2.AK.qc4l6tllNeg0TUnIiq1PDQ2GYxYu	56	2013-08-03 17:56:33.382203	2013-08-03 17:56:50.689574	113		0
7617	101cwndhryw61spy8uqcx0bjcr	$2a$07$Ekz1JryRVRJlVnInP3w.de85k7Her.D92a8hUSryRRgr.WJERthBW	57	2013-08-03 17:56:33.405372	2013-08-03 17:56:50.80179	113		0
7618	10h22m70ba9iughsp4hqfsd8sn	$2a$07$qOf3Az97B3HHinYWLwFmCu4FUb39VUyNgwcwfMbYkzrPVZ.XwiJKO	58	2013-08-03 17:56:33.428744	2013-08-03 17:56:51.526048	113		0
7619	10tlf6e0aadzs4lfc74y1fim09	$2a$07$cMIuhI/YTAqhSoOqIEE2o.Na.koqTP6cFv4bYJR27V1yb5oUdYe9e	59	2013-08-03 17:56:33.451936	2013-08-03 17:56:52.128555	113		0
7620	10bu0y8hdioxy98kvq21tgzzjp	$2a$07$C4GfUH9BA9y541AqakTLLu.JBxu0NlpW0d9IyuOPGJB4WCzc69phW	60	2013-08-03 17:56:33.474123	2013-08-03 17:56:52.63588	113		0
7621	10w8peoen2fzlw3do90thj7dli	$2a$07$I7aNiGU604aFJK6T4aYEJ.A7drGedgd8n4kIh2LqHYZiSxfsoVEi2	61	2013-08-03 17:56:33.496247	2013-08-03 17:56:55.340728	113		0
7622	10ulao7qemj3bzdi194lxj8usm	$2a$07$7OJ19SXFa1MVwVf5QZ/FkOZVG2jO3FZdAgXXK7PJGCgC0pwTeLkMK	62	2013-08-03 17:56:33.518652	2013-08-03 17:56:58.564893	113		0
7623	107ouykmh1onunrr6r3u7o5oun	$2a$07$8DuC8RQArZzQP2I/b7806OskB.EtTYBguh0LCF8h4FcD2vcJDcWl.	63	2013-08-03 17:56:33.541258	2013-08-03 17:57:01.523164	113		0
7624	10cxb7xpqdyiiibxsdr4pt2n5u	$2a$07$4ATMvu2mhEJmOEAnn49kbOv1JQwFrFdrWM39sQ2GcDnZrOSiCkhSm	64	2013-08-03 17:56:33.564354	2013-08-03 17:57:02.267619	113		0
7625	107wfs07pe97640xwtq5e18w5z	$2a$07$gBrgh46.hBCKaIdyvqA5Ge9ERSxMYwo.s73mXPqTpWasSA0ZL9Bx6	65	2013-08-03 17:56:33.586706	2013-08-03 17:57:02.395456	113		0
7626	10rdbguqgftqj608wq3v1bhb2j	$2a$07$XdsF/YvCpqYz4IQw.d2aKeojuW3Rbv5CrpPicaZzhCX3UyLIFdR6q	66	2013-08-03 17:56:33.608591	2013-08-03 17:57:04.593563	113		0
7627	10swg56bqb8bs979qhdbsu81cu	$2a$07$Fz.s2lVvguLGfa9Pd8eek.OfQt36rnwu.AzYJMeqdXPzQFvfRIJtW	67	2013-08-03 17:56:33.631767	2013-08-03 17:57:04.698269	113		0
7628	10npkbxixdb1yqifezpzabzbfh	$2a$07$szJnYYqXT9qkK558ioPX2uWatwdvqKsS8a96jFun2NE2w4693xcYm	68	2013-08-03 17:56:33.6544	2013-08-03 17:57:04.815383	113		0
7629	106y3e3qrihlkojk37tbfsnmjs	$2a$07$u0EhfX22SqQeHDi2NpoCCeiboJimGVc8iRal./7zKwXahxhojoMcy	69	2013-08-03 17:56:33.677586	2013-08-03 17:57:04.908975	113		0
7630	10osdz7z6mam1vmujyjnat6jfc	$2a$07$AoZF067IB5xO4xXZtEyVouQQFTz4IoOY4f73E01TxJRllnqO7fR5.	70	2013-08-03 17:56:33.701375	2013-08-03 17:57:05.008445	113		0
7631	1086uqw9e7fhgjocuwmypwlxwz	$2a$07$0Dgzkfu9ZWxkU/s.ffoo9OgPe4U4F70c1QaY/aILm8gKYnyGkl1Gi	71	2013-08-03 17:56:33.725084	2013-08-03 17:57:05.10723	113		0
7632	10vggz4fzzwuxvxttrkwx1256x	$2a$07$yBBF6U4ya8G1uv8IWrI27OkHFEEbNoEk6PRoKV6Fz.iq9uFpy0xU6	72	2013-08-03 17:56:33.747203	2013-08-03 17:57:05.205214	113		0
7633	10p8ou85jg23hdrl0ko3tq7yo3	$2a$07$1gPbtoYvkZTdWess/WIONOWSe/xdETB3vyXzD4q43an1PGdQ.Vite	73	2013-08-03 17:56:33.770497	2013-08-03 17:57:05.317502	113		0
7634	107zwugy48qqbohi63yik5j6ao	$2a$07$hv42hHlXzfjV6ESSgYg4MeZrgSzBmFjwBebo7aQHCwAfZ/whq8lOq	74	2013-08-03 17:56:33.793828	2013-08-03 17:57:05.421972	113		0
7635	10aptzf3qfsrvwrbdjxzcft26n	$2a$07$r7b/ravgiUS1WIwB0f3iE.7Zm1oUBOVy3q/K9AXWfNdU7xc7sWNkS	75	2013-08-03 17:56:33.816624	2013-08-03 17:57:05.519088	113		0
7636	10czo4n3jrrhpmzis88gyezorl	$2a$07$.zUVeWyuhcpKxp0C5L1FLelidJhZJ8Kw13EVssPwvbSZgRwHltQri	76	2013-08-03 17:56:33.840216	2013-08-03 17:57:05.619267	113		0
7637	10ylucfnbad6wctu7g5t7011to	$2a$07$2XeNllr8jwv3xepK.4x77ui2V0hTB1gfHrh4G1QwplRRy3iXzktt6	77	2013-08-03 17:56:33.865138	2013-08-03 17:57:05.737157	113		0
7638	10fbb966xoy9hizktf3thyy1hq	$2a$07$N9bR8PADH22qGOwsJRmvkuLvOLr1iFlnD7V0u.w/J2mG3ZZyU.Jeq	78	2013-08-03 17:56:33.890854	2013-08-03 17:57:05.843536	113		0
7639	10y69ih0y19vclxxyeg4gewy9h	$2a$07$WhUrLkrxsgur4NOiyHflOe77fqf8N9wEH6fS2puqm5DF2Y5bSJetm	79	2013-08-03 17:56:33.921449	2013-08-03 17:57:06.066622	113		0
7640	10jmzhk2oal07zzz8gochrzfry	$2a$07$lMl03goTEGD9gfDoXqh5Te4nb4UQzsnmGb2YXaKJh.yEnKEk8RbXy	80	2013-08-03 17:56:33.954227	2013-08-03 17:57:06.178849	113		0
7641	10msjf1ttusmt01i99a7gk77xa	$2a$07$5ZWUoxWx4VULOXLrnBu85usEJunm8dzs6HK4yjnb1n/c08ZSXQkHm	81	2013-08-03 17:56:33.977906	2013-08-03 17:57:06.356176	113		0
7642	10k0oh2d37o1et574qeuh2k8qp	$2a$07$p//AtQmKGaQOgMAHnUf3gOUlpi2enWw2yqy1fCaZEC.Dpvs6Bp7qq	82	2013-08-03 17:56:34.001505	2013-08-03 17:57:06.462406	113		0
7643	10k8neml1bmg4yat8wa47rpi09	$2a$07$Icjp/IFo/0jiwHx9uODbgOlC15i9tDHwFOfVnDgICljvk5V1/z/ei	83	2013-08-03 17:56:34.024119	2013-08-03 17:57:07.056751	113		0
7644	10gpx3xojmucbssvagf4kznij7	$2a$07$lnpzF7Q.UjG1DQ.yERWlf.NujiO6CODtOKsjxrwcbyHuH6bVW2tqi	84	2013-08-03 17:56:34.045776	2013-08-03 17:57:09.648761	113		0
13297	1029yu2w0tmjj791z4i90lc3gv	$2a$07$zpGi5WMD6BTmP6cAUqOJYuRpjsHofQYcTTmFfiveMZTFhzsBAos5q	25	2013-08-03 21:53:35.683494	2013-08-03 21:53:43.596505	161		0
13298	10qws64pkua0twfcfzmyq9pksr	$2a$07$dqjNNs5b2o5zOUXUX6TNeO8er2bclmbSDhwL7LPuZRHXLS/TI7iNy	26	2013-08-03 21:53:35.706606	2013-08-03 21:53:43.717954	161		0
13299	102skejnefeyco7eepo4tdbazu	$2a$07$wc4EYvmuFCB.GXRU8bsDoeaUw6cPkNsOIaAlW3vw6F3/Hy/B.Pwsq	27	2013-08-03 21:53:35.729518	2013-08-03 21:53:43.824642	161		0
13300	10tpfl3uzm1ai04pezc79cu4rx	$2a$07$cqXzilJnmZHDBvPP7GS35OEBk0giwxpp877yJa62.hxEszfRfnDke	28	2013-08-03 21:53:35.751737	2013-08-03 21:53:44.165813	161		0
13301	103romzrogus41vdu3xfi1n2ta	$2a$07$lvsMXnPugXX1MO8RbZovUeQSP0GjiEgo7.Q7IdQrxzRFcUB6420tW	29	2013-08-03 21:53:35.773197	2013-08-03 21:53:44.572608	161		0
13302	104rffmku8wierr436brog1xcq	$2a$07$wOq4F9rAjcHpMdmYJT8gxOaKs4MxxOIWufCsll2YeriVyFMv7FkMW	30	2013-08-03 21:53:35.796338	2013-08-03 21:53:44.887745	161		0
13303	10ylrq7fv5r5h7pojmeycgynmf	$2a$07$bXc8GCvrnZz5DAiQLIOX7etlt6iSoZNJ6qgMTR8AqK4p5DnM8Gium	31	2013-08-03 21:53:35.8178	2013-08-03 21:53:45.022552	161		0
13304	10o5d6bga9cvyrhj28u3h818bi	$2a$07$NNehyS5ujnk7rKJF6Jtlau6tDL4d0dibxMUct76Auq3YhfK9QEV3K	32	2013-08-03 21:53:35.840303	2013-08-03 21:53:45.165265	161		0
13305	10m3ny717hyv3s8ojjaliuyjj0	$2a$07$4MwafO63Z6qDysY1vPyYuufhvXUGAWS0d4KooNxycByi.tIod/l8C	33	2013-08-03 21:53:35.861665	2013-08-03 21:53:45.297758	161		0
13306	10w8t7ulmh9u1dcg1e2dainrqh	$2a$07$0xNDGQ9wnEEDAfTHDDZBaeM1f87Ec8aeqKNUIkRfTij1Ykej/0ecK	34	2013-08-03 21:53:35.883454	2013-08-03 21:53:45.475048	161		0
13307	10btym6rj2q3fuwmg8wjjsypid	$2a$07$SCASQVxcAF6w93WIHHtzKezQpT8Z0urQ2mS9OjdGfEsvTdGDIIt6y	35	2013-08-03 21:53:35.906057	2013-08-03 21:53:45.671214	161		0
13308	10p4701fos4y8g62i2hjuqhyf8	$2a$07$u6gnvIfKeFI97gzSpHWBuuh/sV8.XukXB5lQv2JFN6/KxcWwJRzA2	36	2013-08-03 21:53:35.928226	2013-08-03 21:53:45.860464	161		0
13309	10bo276ol9ezqalxtmej9ufakr	$2a$07$YpXc/Didcp/JsfIxuOH4jOXYX5HDzDeHgjkg07IPbxhl6UWyQvcpK	37	2013-08-03 21:53:35.952386	2013-08-03 21:53:46.01377	161		0
13310	10pgluwj2up8q1bqktvk9a27ny	$2a$07$/5mkQN19.CbPzjBB9svby.y6B4rR2IqyyohC0vXOuUseguPqR0lSK	38	2013-08-03 21:53:35.975198	2013-08-03 21:53:46.168646	161		0
13311	10mjxvikd06dof1fk19l80jtl6	$2a$07$6kILITozH10I7WbTilm9hOUQ8gBvGXxqYhGMOv0M6R7i32ngOiJ/S	39	2013-08-03 21:53:35.996774	2013-08-03 21:53:46.320198	161		0
13312	10u542rtcatmvf3oayoxf7e1ee	$2a$07$cmdePRAxA58qvcsGwAhqGuo3/4F98V74yN3ItQ.nXDBOU1TFWfAme	40	2013-08-03 21:53:36.018072	2013-08-03 21:53:46.466558	161		0
13313	10mg4t2ezkp6fuexzfxzt5d28f	$2a$07$EjTDtMRjBi/VomuCkhBDa.zlt27BBqEQEvaE8WPKqjXJP7fBX0L/a	41	2013-08-03 21:53:36.039467	2013-08-03 21:53:46.585436	161		0
13314	10uhhtewex8e3ro9ah2iu7tioa	$2a$07$9wcJHhqU8zI31XVbSxo6QOmoa4TPwyaVgAS4YHVl8jsmUUHZWe9ZS	42	2013-08-03 21:53:36.061234	2013-08-03 21:53:46.714608	161		0
13315	10d1hmp32nrr9d19gt2a8ztsia	$2a$07$tOjk9fuao6nKWzXV8cTTreZS7Uh8nTVVHV83L3MPN.jFjrjgkaKr2	43	2013-08-03 21:53:36.084188	2013-08-03 21:53:46.984018	161		0
13316	103l3dix6215c8hmeg3bkpsydf	$2a$07$H7ELtXh7AqdcqFlCJvhKFuix2H5G8no0r0AUXVaNtCgpr/HAljgBq	44	2013-08-03 21:53:36.106153	2013-08-03 21:53:47.306012	161		0
13317	10husc372h7mk16ypul5we46ek	$2a$07$n.2zx0YgiVhG8wMsz3iH4.OVpsNZ8GLbbNYHSZxvSwt9T15vC.oo.	45	2013-08-03 21:53:36.128578	2013-08-03 21:53:47.669154	161		0
13318	10mggilzdp7d1y2b0k42cltbh8	$2a$07$mDDjKIjpmR6B9dCA58CofemD9cYItHONlTTAzmN.2jH.GOSwam39m	46	2013-08-03 21:53:36.150807	2013-08-03 21:53:47.803439	161		0
13319	109ubhbayxtmyudzabcajnm4wy	$2a$07$2qt23ASe1VSyaIm6tC73eeCBBm6DJENkCz7JWirwZK/CTvR6yx8hi	47	2013-08-03 21:53:36.173718	2013-08-03 21:53:47.953183	161		0
13320	10xh6v6lw6i8a4spv96jzo81l2	$2a$07$ZUM5sOD/dtfpTYXCVQuzrOlk3yUwRRrrKXQ0tBlgYUs.dUaqOy60S	48	2013-08-03 21:53:36.197511	2013-08-03 21:53:48.106682	161		0
13321	10rj9k9oedhoamuc4qgkvu4zfe	$2a$07$7acUOHcBLcQPpsm6TUn2uuuuVM0SD3R1l.DOzC2j718AEk4.frUne	49	2013-08-03 21:53:36.221359	2013-08-03 21:53:48.244597	161		0
13322	10py65mgeyge9qobkr65dzv591	$2a$07$rYhFRhWpXeP.q69EPi000uh59c9JoXkWfk7KXAqYJCutfNugm3K/W	50	2013-08-03 21:53:36.244125	2013-08-03 21:53:48.378341	161		0
13323	10vp0f0cvt19cyzs0mdlze8sem	$2a$07$QBFiaaamSG66zioxdpZsZOQHIHnVUWuF8r.7ylWuzhCl6n4.UCpzm	51	2013-08-03 21:53:36.265867	2013-08-03 21:53:48.552704	161		0
13324	10274lgq5xrnaz62kqotw20abn	$2a$07$ffEDQtGCpRdUQfy/R8mlXOJAJe7OnK94JNzBAIPAv2Nvh43n87pRC	52	2013-08-03 21:53:36.287739	2013-08-03 21:53:48.854034	161		0
13325	104wk2duxesh7ua9hr4owdff6w	$2a$07$N9ctkTOsAbz12K8pnWPlRusUyI9LISg/aBSUyEdeqpO7CRl4cIPWG	53	2013-08-03 21:53:36.311085	2013-08-03 21:53:49.200803	161		0
13326	10kzfwcncxe8igiuujg3414o3s	$2a$07$dw5dI9GyjIb5jsEm3QBBdezXakArbT.X8dYBz4aed5ZO12ale.t4i	54	2013-08-03 21:53:36.335056	2013-08-03 21:53:49.545769	161		0
13327	109by3b758u6lkfv1wwzfjxdmj	$2a$07$xdu/rS1EIgT53oKNHhv08e6DahBA3CulkUlzMS7JYUf9FwdJFMgW6	55	2013-08-03 21:53:36.358367	2013-08-03 21:53:49.658485	161		0
13328	103f5d5s8gxylzo2geej5ysl26	$2a$07$JvOWFOVp7hIR0.sbN0fV8OBVNQnYBi2AQTnI/pf5LpuAY.zIX0OZa	56	2013-08-03 21:53:36.380347	2013-08-03 21:53:49.767421	161		0
13329	10zu55pewg0jocn02pul3s9fzr	$2a$07$0LCA0j6k0MXMc9sN.puAPez9GjAAkq/0R00dEkm8I7GrVng7rIbi2	57	2013-08-03 21:53:36.404246	2013-08-03 21:53:49.893807	161		0
13330	10awv3hyv3cjhp4gfv0osd1iiq	$2a$07$7IRSBpmEPEoTapm9bdRHXeUvG4JOEib5Y47sjf4aj9Ne.M8wlzfBK	58	2013-08-03 21:53:36.43016	2013-08-03 21:53:50.034953	161		0
13331	10blpeh9ublfcjbve9kbt1wnq5	$2a$07$Gl8f9WsnT5YbTBVDg0rcC.y7s6TIbhuJejjB/XstH7XnP4FZzW.P6	59	2013-08-03 21:53:36.456204	2013-08-03 21:53:50.183833	161		0
13332	10jheoafkz2qv3zyb4zeaibcnq	$2a$07$mB8g1BDhhArDA2Z40slYr.2EH..kuCXdnjWpbRXQd1EW2dsDTBfpy	60	2013-08-03 21:53:36.482012	2013-08-03 21:53:50.336407	161		0
8989	10fzp89hyeieecg94mcqox8pbg	$2a$07$29n6BCNuazDLxkXgMpefBuVFx51t.bwwCaYxLBX.YVHbyNzzCrkPS	1	2013-08-03 19:06:32.088217	2013-08-03 19:06:35.71957	127		0
8990	10v6gxajwdno6rao8no85nmzc4	$2a$07$TiaobueDPItwvdH6JLx3aOZEGb8Dh0OEOWzjGti9AyYTvrs/EfHki	2	2013-08-03 19:06:32.113642	2013-08-03 19:06:35.836122	127		0
8991	10aylj8s05c0z7nvfzqii1mfip	$2a$07$nG.5UqZp5XARMZrXEKLJ0uvYqkvSx.8JNTRe3il0Maw950z2pQsCC	3	2013-08-03 19:06:32.14447	2013-08-03 19:06:35.958136	127		0
8992	105q6meq2twrlhxq4ypdwo91qw	$2a$07$b9wh9ZJbJmvb0qJ/jfuzTuGbTPJRO8VJ1IqXsdBsYaSu/zxo9r65u	4	2013-08-03 19:06:32.176436	2013-08-03 19:06:36.090048	127		0
8993	108mk85gh2yzbvlj17lpvozqxf	$2a$07$khCOp/XLK5DbmP.n8m.6Ee.pi.lNs8wH/kURhjnbzBE3DrpP3thyG	5	2013-08-03 19:06:32.208185	2013-08-03 19:06:36.225584	127		0
8994	10buasvl6smcica4yo7pqgbwqp	$2a$07$yxCFnRA9BCQW8U7JeneIOeSBAg4PVEyEjtSU2MpSKS73ueBn1LpiS	6	2013-08-03 19:06:32.236021	2013-08-03 19:06:36.355242	127		0
8995	10hh0z2kw0yx2eqlz301jt2ffy	$2a$07$EacpW4JkaD8yNlZlPJCcCu4bK87AlaVVcB8jCnWCTtren/e4olTxe	7	2013-08-03 19:06:32.260387	2013-08-03 19:06:40.255965	127		0
8996	1017z1gtz2rqzlmkbzh8dsu0s3	$2a$07$bZuWhFfNgsdWk9/fO5sfRu2YpN9/jUt.0k/H1eP6mvM.MRfiBtzFS	8	2013-08-03 19:06:32.284671	2013-08-03 19:06:44.150728	127		0
8997	10ezve1topp4442vjmixfi9584	$2a$07$W6D8vwdU9gmzfrS72RQhEOtsByDgJ3kKtUrP/fOfloBEjsr2IkIC.	9	2013-08-03 19:06:32.309037	2013-08-03 19:06:48.531049	127		0
8998	106s9o4skrmv5bse7v6spdnzrf	$2a$07$T9EKAHovwkvdfQFDpicFaOiJDQ3zzfObL2MMAKh77e5bhk5VRmEgK	10	2013-08-03 19:06:32.334668	2013-08-03 19:06:48.692454	127		0
8999	1034eg253nle9vk10e35fr9gz4	$2a$07$P9tIqrdLKlP31JSYiF0ZA.h4lwoBwaHHv6zyRZTMt9OFMOEnODxhC	11	2013-08-03 19:06:32.364511	2013-08-03 19:06:48.853322	127		0
9000	10bz123jwe2fscyez5buc512le	$2a$07$uQX9Bn2ZlQLSOhE.uVrLbOXL2VQ5Dhns2erkYV592IxIbDCUTKwlO	12	2013-08-03 19:06:32.400224	2013-08-03 19:06:49.007438	127		0
9001	100xzdtowrqnrquyt3f71zlqc6	$2a$07$cGvoIJLHntnXut95lKSCeuP5BQsNzb0Fv7kVpT.33NodnoFjjxO7m	13	2013-08-03 19:06:32.425195	2013-08-03 19:06:49.232094	127		0
9002	10atg1l36abqaiivd55jhoa7r6	$2a$07$7nGMGR3I3KKs2ixg8A8qZOiBsR9PSNJI7WnL.WTHGHMQ9yH4VS87i	14	2013-08-03 19:06:32.450885	2013-08-03 19:06:49.513428	127		0
9003	10rewyogbjgv1q1cz7ty01lyxf	$2a$07$4OwFxNbOH4hI9x4Tsyw4jOT7YyUKVO/uoF3q9wizYsmQ8NUsF7.fS	15	2013-08-03 19:06:32.477789	2013-08-03 19:06:49.669046	127		0
9004	10wlsvyorkbcsu3pdswsmq8wyk	$2a$07$aG4kVEz7wrTlECDORYlunOHHwoKXD85ojglAPlKw9yg2Nt0/WDdau	16	2013-08-03 19:06:32.511107	2013-08-03 19:06:49.793735	127		0
9005	1027s8twaof0tfn1w8agshq8ll	$2a$07$kJ6Zm38vAxeNaw.xuZ.eb.AXCVPIxHUzbFLiUdqBm/SiyKPLFf9Bm	17	2013-08-03 19:06:32.544406	2013-08-03 19:06:49.903962	127		0
9006	10d5pm4cbf16s9kiekrnurm32p	$2a$07$XsBNL81Y0gV/xePB1TJ/EOa9aqUTWUwSyogmIOb47I6sMjQJuwAN2	18	2013-08-03 19:06:32.575033	2013-08-03 19:06:50.004199	127		0
9007	10de0t0pcg2vo3re9gzc3uw1iq	$2a$07$b28eHCmnlzr07QsZXyGKa.Kbi3nyfy8oMEQ7WwKkikNsIy.I73fyy	19	2013-08-03 19:06:32.601481	2013-08-03 19:06:50.106482	127		0
9008	10fard2v6ztjzsvnj44oy9h638	$2a$07$6khOxs8rP75dWXTRnWbas.w78SQ4lIosSYzwqEXHE2.XIXL4QAlrK	20	2013-08-03 19:06:32.626453	2013-08-03 19:06:50.202331	127		0
9009	10hxeesb165h0a464r9okso3w8	$2a$07$Ghpjsf0YnoUw2dE5jtEYNuvRW8lksKfJ7h5jsZH2nsvzkofKibVw.	21	2013-08-03 19:06:32.651507	2013-08-03 19:06:50.297233	127		0
9010	10feao9ok7ewrik1nigasaz9ly	$2a$07$5z9DjFmL6mBXILnPJgDMjuhlsVLTM2iVVHDbA0fcnkpDFhq89Deo2	22	2013-08-03 19:06:32.67706	2013-08-03 19:06:50.402289	127		0
9011	10lt8wi7ww45mlt057ileh59n1	$2a$07$Gr27FQznEBfOs0LSxf8ZWezytXtUqTnU.YS8O9amZQYOwBURrMuzG	23	2013-08-03 19:06:32.708351	2013-08-03 19:06:50.498262	127		0
9012	10lkscjqr3jbl1qpi6be3suci0	$2a$07$Q5dLBas19YEXfgcpht2cmunSx3kcM6ukgWj6rGG8eAEBj4wVP1TE6	24	2013-08-03 19:06:32.742093	2013-08-03 19:06:50.596343	127		0
9013	1046fvcjmml10rj0ka2k5hpaba	$2a$07$rRyXtaV.C7GEsccZ3be0BuRqdALHg51tFivox9WBPpj4d45Bsiscq	25	2013-08-03 19:06:32.77082	2013-08-03 19:06:50.694061	127		0
9014	10oua4v7edkyr91o0rsv3h019a	$2a$07$uoj0pYYYGXUA5FZWBFM4VOYYWIyy.VPM4tq67Ssg/2YvI8pAr/Ol2	26	2013-08-03 19:06:32.797263	2013-08-03 19:06:50.79475	127		0
9015	10kv89vwu8dzmzd36z4dawm0fk	$2a$07$36aUmRMu4w4vMvaZb5uMaeO5x1nSOr2oVR3K4laSscqa1GfcLkEeq	27	2013-08-03 19:06:32.822304	2013-08-03 19:06:50.899925	127		0
9016	10w4c5b83px7y98cmdrn1l26hp	$2a$07$HElk1j03mjMNifUIkSP77u9DIBU0mbuL6MaozoTbB/vD3PTJkKkry	28	2013-08-03 19:06:32.847871	2013-08-03 19:06:51.021976	127		0
9017	10j6i1ac71xln49ji5hqo4ptrz	$2a$07$Y2zjGQv0Qaq4XRuiJPIY4.a9E0BgN3L5nR4s67XW4ct.2rTUOjACy	29	2013-08-03 19:06:32.873558	2013-08-03 19:06:51.120743	127		0
9018	10tgqtztg1oku9o5w9bd17n3ml	$2a$07$KyAVpTE7pQveWQa4PQ1cZ.W9BFZjjp5dv30oYRfHblU8.zqqVKj1q	30	2013-08-03 19:06:32.90597	2013-08-03 19:06:51.284429	127		0
9019	10umxo4uwcl17ovs9aadeyh3cx	$2a$07$kzOx6xWK3P/TGRFQ1PRxCugt4DFPo5zKw7w406zj1Pi2tc63FaoEC	31	2013-08-03 19:06:32.938415	2013-08-03 19:06:51.381261	127		0
9020	10ockc766f0y19zg3p8razahng	$2a$07$rBoWTA5.h2uxgKrHBs/U8um5dXe.gvqPOGJ7Kq.FC8sg0touVJ4RS	32	2013-08-03 19:06:32.968926	2013-08-03 19:06:51.489861	127		0
9021	10cx0r7ycjb1366hasenr6yua5	$2a$07$MYoPRWkfGZyQSLKsoy.mMO44zQJRkadJMkSGekn4p8oefXZKEvVcO	33	2013-08-03 19:06:32.993955	2013-08-03 19:06:51.587298	127		0
9022	10fpi46kp8fefmgsbpl7qdl8p1	$2a$07$mT.xMpwzHCTmnFf5.4OofeTQtYNVzymsMAooiH0dMOQN/1S9FKEUG	34	2013-08-03 19:06:33.018632	2013-08-03 19:06:51.696589	127		0
9023	10qkrgfpyjx13ilwj7odkmjmha	$2a$07$P0eq4PfhdYzrO0w0TrIWkeq/EfzfSxsKs317FwwB/X8G1yoCpKE/e	35	2013-08-03 19:06:33.043175	2013-08-03 19:06:51.804235	127		0
9024	104wpdcsm4dchmif33fox5dxd9	$2a$07$HsJ..bZzrQyd4ghREKz56OA3Hza5meaABnK1vKV/GLAepr24USzqa	36	2013-08-03 19:06:33.068286	2013-08-03 19:06:51.896766	127		0
9025	10px43ygmdjuxb9n71ka69nncj	$2a$07$8bc374KB5uackQ5cIE92ZOKbin2Fqq7JIyLbHWtDQWLcONWPgAF/G	37	2013-08-03 19:06:33.09878	2013-08-03 19:06:52.008668	127		0
9026	109vdqoqlz18gnfcsv83hmhyoq	$2a$07$nWMwBqXr5ritNbaxLPBhhO3Hrd4R6QqWbY0sUFbNRHjJyRR.AvkFq	38	2013-08-03 19:06:33.130545	2013-08-03 19:06:52.118026	127		0
9027	10u4pxr948tvckkqrjh7cbzrmp	$2a$07$ximV0IOJ6WIIVPYLSR8qeuOKGQ6ynSYG1urf3jeR0i97qAQkWaDdS	39	2013-08-03 19:06:33.163255	2013-08-03 19:06:52.225072	127		0
9028	10ot7nkjtwdet1qua9cd38sdlz	$2a$07$nFZJ.4LLQC/wFd5T8wAqcOTqbuT6D6uXY7kxk9u4Qq/obEL5h6e0e	40	2013-08-03 19:06:33.189026	2013-08-03 19:06:52.339872	127		0
9029	102ua5in57rj7t19ms99ni3ahw	$2a$07$FwUDtY/6.NRRrLqJh8IIiuhIACNWWqHkcY0xSGIgg73u0wj5GHwUG	41	2013-08-03 19:06:33.21371	2013-08-03 19:06:52.453548	127		0
9030	10q5c0usardo0snuavdu3ba9aj	$2a$07$5A.2qFptNpP27Q1vRhne1O6rpG9l/B8dg1ub0fUQgA2ROxDFNTLiO	42	2013-08-03 19:06:33.238244	2013-08-03 19:06:52.550566	127		0
9031	108kxojkxjpklz66zittyeif4y	$2a$07$2N9zi1rBMbil9wWh5ZxrYeACml8KFSy2yX6noKabjd8wl5psn6Afu	43	2013-08-03 19:06:33.264248	2013-08-03 19:06:52.670624	127		0
9032	10m5rb2mgn48sbqqgdnj2w9cv7	$2a$07$zLVagEFsfRHUBFok4Yb92e731zpk.FAuyz0iyHjoQXHdrLe30Crpu	44	2013-08-03 19:06:33.296407	2013-08-03 19:06:52.777539	127		0
9033	10ptyik9bq3ry62frxzkxt7f1a	$2a$07$Kz2l8i2/rPFgJGSWM4HEIOzsnJGsIm5J4OeRy04O8UbURJYVpyljS	45	2013-08-03 19:06:33.328802	2013-08-03 19:06:52.891709	127		0
9034	10v6t8shnhtjq9yo53yxnd8w8d	$2a$07$PpXQHSH2TMovw0sLOTUKM.QcK32.yTudSVLPU/g5eeIA8p.dIZcYu	46	2013-08-03 19:06:33.359477	2013-08-03 19:06:53.164501	127		0
9035	10p0ewnbbwia9nzd5lkp9aex3o	$2a$07$QZ9lGJh3MC0TfiAFnnLthOZ3qgr0KK2zQYhGvUHMBF50qWJnyAIRW	47	2013-08-03 19:06:33.384716	2013-08-03 19:06:53.339143	127		0
9036	10yplunduz1md499jfdjlzvkq9	$2a$07$i8Qqb32H24PRk8/IUJrXA.vs0wRZ95xr8e8QOtiEJcL7eYCZOptsW	48	2013-08-03 19:06:33.409552	2013-08-03 19:06:53.541524	127		0
7645	10adxo73r4a9iaib1xiin9bxnq	$2a$07$TRkGap4S8sHtZz05bhgbgunnhsbEQUvFOSEQPLKekZc00Yz3zHe46	1	2013-08-03 18:01:32.193384	2013-08-03 18:01:34.883695	114		0
7646	10dni8btqh4yjtfqj4k9qhzmo3	$2a$07$pmPAxYrsYIZspMaO7KA1/ewh6bQSsH.hfKgLe7xpLcS0qjeF12myO	2	2013-08-03 18:01:32.217843	2013-08-03 18:01:35.461178	114		0
7647	106h45fummy84ymau0lfpklel6	$2a$07$KvQg9pqDZjFb4jjvh6ubXeHINQ8LhAjzej/O.km05tQsmnLJSmuMO	3	2013-08-03 18:01:32.240086	2013-08-03 18:01:36.05325	114		0
7648	10srshll0u0337msr0cnyergv7	$2a$07$/XRr5QawEC64lTU2MsM3iuqXpViG7EFrt97Os7DjqOfpB0sI1cUFy	4	2013-08-03 18:01:32.261787	2013-08-03 18:01:36.239621	114		0
7649	10c34dnoftcnp0eb1bz7z84beh	$2a$07$XP9lAf1QpxBrQHT/WYe1sOl16x1Tv3p9WKq3ydzQz0BcM8lVqyBh2	5	2013-08-03 18:01:32.283434	2013-08-03 18:01:36.530969	114		0
7650	10skxszr6gf1du99hpxgq4i3x5	$2a$07$IFveVmSV41YG8XLqiAUmFOxEfvirqpcaNc.6/AzNd9EyI6T9Iyv9S	6	2013-08-03 18:01:32.304815	2013-08-03 18:01:36.740104	114		0
7651	105xt1y5uc89d208ve44vd00az	$2a$07$svEtFA2m1ld4XFaMju6VLeEpANM7YrqWquwo4NnnBg6N/cQfTelBC	7	2013-08-03 18:01:32.326487	2013-08-03 18:01:40.36979	114		0
7652	10ut4jitt54aspegr7s68e332x	$2a$07$VScQrww4fYu1MYXXSHQ3XOi9ge/uwmM/Ikz8E5DI0YhASL9Q7beDK	8	2013-08-03 18:01:32.347958	2013-08-03 18:01:43.517718	114		0
7653	10jecuhzyx0737thm66kqdv0f8	$2a$07$vnuLZOIVklcG9FhuW.F6.u.xL3zNNW7ixQY9XWIVVT0UiwdEl/jSG	9	2013-08-03 18:01:32.36942	2013-08-03 18:01:46.963947	114		0
7654	10tmo5gxkfw1cxjm1t3ez7p774	$2a$07$JYQwnPZ8JuNziMVmAOEHe.vmJ5k4lR3Kdssjf4Lh.gB7tPKpiF72q	10	2013-08-03 18:01:32.390788	2013-08-03 18:01:47.091275	114		0
7655	10nxby4xm6mmdcdbffwbedthtv	$2a$07$NBoADvmgWn0JZctV5xJ/Ke3xocPYw2avrbku7E/rjpfUDhMgHFsx2	11	2013-08-03 18:01:32.412992	2013-08-03 18:01:47.227076	114		0
7656	10w11i591qa4aeikfujmpxv3sy	$2a$07$Ry.xR7fm1C7bRNx1bIXmx.vGKPlKY9RVdSbUs1EOdChxhivUrmoAq	12	2013-08-03 18:01:32.437613	2013-08-03 18:01:47.336548	114		0
7657	102mfq4obn5jd9bzol66hb5mgh	$2a$07$OAb6wvr0sqHp3Ab24.HYne3GZ5T5ef3xipRnLEXZXYZALv16abATu	13	2013-08-03 18:01:32.459251	2013-08-03 18:01:47.449899	114		0
7658	10lfebtlqnxr5tr7dk6wvjsy2c	$2a$07$32N/TXw5iiqkyWXSgHvvYuZoAmu9rcbuHcIHgclwmtLf2cG1Ly06m	14	2013-08-03 18:01:32.482097	2013-08-03 18:01:47.616882	114		0
7659	10l5tv8y7zm397pocwxdhys5rc	$2a$07$NNMI8iDdcJpd/f0QJFeXWeMJRX5JA9g3Z4lXZ89mi.Spchob3kFZO	15	2013-08-03 18:01:32.516437	2013-08-03 18:01:47.771339	114		0
7660	10feiddr6ig1navoz7hgbq690m	$2a$07$BOQgIJyRWotlc7gqgTFE7OFPk0n5iwg5CpAw9QeE26JGirSTwklEu	16	2013-08-03 18:01:32.550342	2013-08-03 18:01:47.933818	114		0
7661	10m84c769g5q10pb1976k06kmn	$2a$07$lROwy7a0Iz3GlDpn4M9LAuugBbheZ1FNqo0BHTUJ.CBbFvWv.v39q	17	2013-08-03 18:01:32.573492	2013-08-03 18:01:48.110021	114		0
7662	10ytgfwbg3a1zw5r3eoyji97l5	$2a$07$SeXTR0OiJ0Uoph38wuB6W.sXRheafk7jJz8GiANM4EuTEPLMJx5Ku	18	2013-08-03 18:01:32.59702	2013-08-03 18:01:48.294305	114		0
7663	10zt0miokh5vluhzg9eyaneo41	$2a$07$m0Kz45FBO2EZtVUxgyhKS.r5nXYFkR9q8EHr9wmKPjH7vRYBWE1s2	19	2013-08-03 18:01:32.618624	2013-08-03 18:01:48.422495	114		0
7664	10k6nejtsjsi9zqbji1oexlpbx	$2a$07$tbu2c0fKCd0.DmbEic7B0u18F/lKV.13Hs8pKJS7Q/h.zZwterIFG	20	2013-08-03 18:01:32.640863	2013-08-03 18:01:48.561591	114		0
7665	101ixcux7f42l5ls4horra3gk8	$2a$07$LYotTQE3u/o/Alxk6HqKSuic8mNP2UL0lSNSPI9.DWkFQB87b.HjG	21	2013-08-03 18:01:32.663626	2013-08-03 18:01:48.693353	114		0
7666	100dvgrob9nxkyhd7xanlgmc20	$2a$07$Gm756y68Q6AedFVzf416z..pb1SMj7JImmnwhSq2c80AL6CcQCjTG	22	2013-08-03 18:01:32.696991	2013-08-03 18:01:48.832241	114		0
7667	10fpw8cujn63a5oebbyp04ssns	$2a$07$zvZkb7j2YS1uB9Tks.VGDulMpUTSO5TvINqKTmAwjX9FQjn5Ep2.2	23	2013-08-03 18:01:32.726241	2013-08-03 18:01:48.954851	114		0
7668	10h7n1z72pwgnw76hh0l72w80g	$2a$07$YQM77bbREabfxn0yloaZ5OohWPt5gVh4XiQ51eRmEPuWWGnVPIhoy	24	2013-08-03 18:01:32.749148	2013-08-03 18:01:49.086469	114		0
7669	108037cdc3dcj46qz93k2setuj	$2a$07$Umxxa0MpKuZxnKn3tK0Sqe32/vQ7Q2XoMMmz8Mt0aJjsKTqhu/kMm	25	2013-08-03 18:01:32.778973	2013-08-03 18:01:49.211046	114		0
7670	10vk2kak0r4tiqqmfj0mehkgai	$2a$07$dciU/.7qtYelwu0z8RzXhOWLOTQnk7U5n7rP5F7sxRldqHDya1avm	26	2013-08-03 18:01:32.80323	2013-08-03 18:01:49.321782	114		0
7671	10mhbqx8igtqdvo7fdnurdhg36	$2a$07$dlbUgCa4Elv2pet70N/y2.5q4gpwZzLssm6MnRNXVs8T.YfcYG5mW	27	2013-08-03 18:01:32.825233	2013-08-03 18:01:49.452705	114		0
7672	10ai9vzjvqkn47a00l72osf9oq	$2a$07$WLLkNmFhe65Ao7.7diHz8Od2mdT6hJ1rbBXsw.wMBhUCyKOiAy8ji	28	2013-08-03 18:01:32.847806	2013-08-03 18:01:49.596371	114		0
7673	109uo1fuofn7uxvpusq7w6g7py	$2a$07$i5wkFySPH2YUje4ht7EQVuZnapks4P1b9fhnnySpBMK7ssLv21t8G	29	2013-08-03 18:01:32.871924	2013-08-03 18:01:49.747331	114		0
7674	10xsrbmfzkci8tzhk4mk04west	$2a$07$lmvHXErSVbxmdfxP8xl/q.KJAeVZIj2KypJDM0ylHKt9gnSZ6i6z6	30	2013-08-03 18:01:32.895528	2013-08-03 18:01:49.886595	114		0
7675	10e7a0iggoy57xhvxmzihmxjm1	$2a$07$S.zKRANSk8FVI4uqCkVaUuPTBAbB8Xva4OV9psqJtxyKAQhdaGBx6	31	2013-08-03 18:01:32.918711	2013-08-03 18:01:50.004152	114		0
7676	10ctli8fk6d4eiyg2f6f9ifmiu	$2a$07$boyGv4U8UnUFGiRHKOQhLuCifZSagiPEUUNxO/EPbl7KIf7SI7j9O	32	2013-08-03 18:01:32.948009	2013-08-03 18:01:50.140659	114		0
7677	10lmz14u0l7nunvu8vypf2qtib	$2a$07$fhElAUHFjb4DhVS7.B22hO4qwpfXiwfQJcuFcA008wO7Jo8fLOG9m	33	2013-08-03 18:01:32.982773	2013-08-03 18:01:50.264532	114		0
7678	107crjzw16bsx9zs7knatvhkho	$2a$07$.uuyaI9rsBdWbMKz9TKak.KXsgcjU9JJdCXjQuc6hGY4KBe0dPaQC	34	2013-08-03 18:01:33.00736	2013-08-03 18:01:50.393195	114		0
7679	10v8g5vc4tb531tblpvlmxp3wb	$2a$07$j3i.EUl.RF1H5SkMnmtRjeSha0bSuSndJUKdQvgifPC5r2tbGNXee	35	2013-08-03 18:01:33.033061	2013-08-03 18:01:50.52176	114		0
7680	1078ms21ig18e2b5xyx9v31thp	$2a$07$/Xfwz90vUnqEJvVVwJoU2uY27cPrsbePGDVYkAYpA.cslLMnKIRIq	36	2013-08-03 18:01:33.070666	2013-08-03 18:01:50.64216	114		0
7681	10b4cr02mnhbbq6f1nermy4skx	$2a$07$lpbfS1d9mv6Fpu/84cj2N.bGrLOhDntM0QZs8mw.IQdeRJmhEEtje	37	2013-08-03 18:01:33.105531	2013-08-03 18:01:50.782565	114		0
7682	100tz674wyljsq4my4ktcnevup	$2a$07$ryMJT7kjbwXfp1wNUOE98ukH2l3G8UBJ4LrB1o6M0qTKhfAhTBXh6	38	2013-08-03 18:01:33.128729	2013-08-03 18:01:50.898528	114		0
7683	10saax8er4lwb7r4dxxwwp990b	$2a$07$aUd5NFTATV/72FO6oMsO.OZvLTGc88wpFZK7qqB.2KO4O9SYKUlgW	39	2013-08-03 18:01:33.151881	2013-08-03 18:01:51.025129	114		0
7684	10lwowvzo6lp15f1hhxsatymux	$2a$07$kkh6rXMvJ5YVD8o8fRhc8.Bo/gkBWgKAXz17DfHMw6FlNhd0BKrUW	40	2013-08-03 18:01:33.175678	2013-08-03 18:01:51.144678	114		0
7685	10v3m0qmz6yf90clt4a7b2ftxs	$2a$07$FOX9/qzTjkTQLFVdJt4yYeIJ6WfdEQlGJ8FV2GxYsjChbNbrTx85C	41	2013-08-03 18:01:33.198562	2013-08-03 18:01:51.268324	114		0
7686	10blzxr4fianqi8m7y04vfr657	$2a$07$ZfPuj1r8HnJwH7A91viHG.rC2DNpL2OvllNvJsj6XBK0Oru.4xl.2	42	2013-08-03 18:01:33.220292	2013-08-03 18:01:51.383888	114		0
7687	10oi3n9fp30778tj3moe5cvgkr	$2a$07$hNlKmog3siYmodcnVDpWuOik45a9mLcV.s3KFUk5D.izubvybtZv2	43	2013-08-03 18:01:33.243047	2013-08-03 18:01:51.54004	114		0
7688	10x9fl286so49kr9rms04wncey	$2a$07$JDtI9.CPKppr7V.R9KkvE.EtzUqGsbmSKrIF/qr/D81FIrE4fD6Py	44	2013-08-03 18:01:33.265694	2013-08-03 18:01:51.669055	114		0
7689	10407j6z3wm1h1yayohmzbmgzf	$2a$07$oCr8Y1TMQWFxe9bp1gHCWehm1v8UADvUPxCHeLwUKf3RXZAbdeK1C	45	2013-08-03 18:01:33.288855	2013-08-03 18:01:51.797868	114		0
7690	1072bbnvu6jrv5ad675gw5n5ls	$2a$07$CxoNsDtQYRrh2/mb8y/yDOU9Ealw1GFqlWWeKLaA1/rI3U8aDCe4.	46	2013-08-03 18:01:33.31215	2013-08-03 18:01:51.960381	114		0
7691	10jspv8ujd310aef8ry2h4fo7m	$2a$07$CFQyD4Mu89Lp3ux47M8zVuXbInoXQAkMxW/b.PpZaTU2ikeSqXhoi	47	2013-08-03 18:01:33.335685	2013-08-03 18:01:52.121108	114		0
7692	109kgx6jurc0snf16yx474xxxn	$2a$07$0VrHNBBdd4uK8GvAW2pNFejV8eGCl/SL66xAxccM856XFDiXCFpj.	48	2013-08-03 18:01:33.35927	2013-08-03 18:01:52.277958	114		0
7693	10eay9d2bja603yr0bnranrir8	$2a$07$.J637ynP.DUF3i.DvrqgOeVREoHQmkM6EL8rKvDBv51dAI5D.jl9y	49	2013-08-03 18:01:33.38147	2013-08-03 18:01:52.453115	114		0
7694	10ewmufh9b7nkabfjfi6kpbxz1	$2a$07$Cg58mJw2F5T0e5xLJFil7uO5UqUiWpd1JgCqkUy.WcXOo3BYd.5re	50	2013-08-03 18:01:33.403926	2013-08-03 18:01:52.556297	114		0
7695	10wiroh9g0hznho3xxynwaimfu	$2a$07$KJlcrFRDg1KIXUuwWLLJr.2.hfsHXODjQpzPcIcp.XujBAUB6ysq.	51	2013-08-03 18:01:33.426727	2013-08-03 18:01:52.695889	114		0
7696	10syep0mwovs7hmd8b9r1hs622	$2a$07$QiADWJly51VE4ki2AiQPUec.6huU44kCn8iA9Gpmys13HzE1NCIGm	52	2013-08-03 18:01:33.450565	2013-08-03 18:01:52.849395	114		0
7697	100m8pqu8e4kd14c0bgz1ziw3v	$2a$07$9dYToQHo8SFgL7hlRwfwL.vVlAp5xhdg9pFcq6rIAgkwf.SYZZkrK	53	2013-08-03 18:01:33.475305	2013-08-03 18:01:52.994179	114		0
7698	10wftwca17insr2sedd3sy65b9	$2a$07$TZVaSeV9PgdFrLBd9qhJies55XubW38QmYxnBwHd6LJZfnyOqiBP2	54	2013-08-03 18:01:33.497584	2013-08-03 18:01:53.126098	114		0
7699	10439nvxg809sdaaay3rrndeui	$2a$07$IYKMWLAKVKQ5O/qvTSIqXuclxMeGpeQlgMQQOptzNDuo7yiP9rOjO	55	2013-08-03 18:01:33.520379	2013-08-03 18:01:53.252825	114		0
7700	10b62mdfk06gfjiyyeggzyyt68	$2a$07$zHkoMTgT0fMjAaEWO2E9P.WQAjauK0AzxLwEXKYNOd8rNKJvLXgdC	56	2013-08-03 18:01:33.543397	2013-08-03 18:01:53.370922	114		0
7701	104y7io4i58ipn1f8nhnh2h8ld	$2a$07$jQzlmJdPTavrr07FPTdF4uf0CvWQbqGlpanw4TgIlU32VKGR5pkfi	57	2013-08-03 18:01:33.564839	2013-08-03 18:01:53.497425	114		0
7702	10u8ioqtu0buy8r3fg5g3f6jwp	$2a$07$sfnnandvwigH8CYQIh5QUeLw62vJ83VYrLHzKLgu/Fg0rlyvUQmuu	58	2013-08-03 18:01:33.586331	2013-08-03 18:01:54.068449	114		0
7703	1071m4vurx3j0o5maudjn93aoc	$2a$07$0hQWUBaMwsq6G.JUK2plteUsuh.oh/x.u/OOUjaUVxmhMb3bEdshK	59	2013-08-03 18:01:33.60883	2013-08-03 18:01:54.698511	114		0
7704	10pa4oa8l8el52s1oqrh2ql9z2	$2a$07$Lc..Z6Ts/uOTadXYrlo5/.x2Iq873P2q0EwrOXF.YLO1t8OJ7wpqi	60	2013-08-03 18:01:33.631053	2013-08-03 18:01:55.197795	114		0
7705	10fwitq5n3v2memutrw1om857y	$2a$07$gw2iVM9Q5h6EEpseIRpYs.REbOLCXB2pjElQnAayGtJedCEWkfsdO	61	2013-08-03 18:01:33.652405	2013-08-03 18:01:58.040183	114		0
7706	10tur8ub50sx5eey12fghg8cje	$2a$07$8WmSKSC.83xDEIEG4vRRMO0E7AYaxexiZNmsjl0Su3olMWz4eXZIW	62	2013-08-03 18:01:33.673965	2013-08-03 18:02:01.042036	114		0
7707	10bjdh50cfhlwk3e15nettscgb	$2a$07$.UXePtcy.OwkpVJW6dya9efSoIULdYAsvGJm0AoyxmTOOqCSfu/L2	63	2013-08-03 18:01:33.695389	2013-08-03 18:02:04.232548	114		0
7708	10smqjvlfy8n1nabslhgac86sy	$2a$07$0Zi9TseKK6anMfRJZW..mOEEYuPeIQ3lAmIBjfw/TKzEWnPPbVeru	64	2013-08-03 18:01:33.716753	2013-08-03 18:02:04.846489	114		0
7709	10owu9ywi8bfmm5yy7lm4vglba	$2a$07$NI/3JDVkJIEisxwxj4nrTelbyDL45fGMtFYM6xKcl7KkdHeOJMKxa	65	2013-08-03 18:01:33.73961	2013-08-03 18:02:05.048687	114		0
7710	10kzd2i01g8en42mta5f16zx2e	$2a$07$nr66.rXxWi/71svPCjyftuHxyEg29kdt208C2j4ePYoys2LkWeTda	66	2013-08-03 18:01:33.761096	2013-08-03 18:02:08.87197	114		0
7711	10xyj7z31z6edpb8xi2ktkqczv	$2a$07$7ic4kIl9T6NC3LRJP95PYOJ0UyyeUOvYR0/Z1QulSVnljA8w2MblC	67	2013-08-03 18:01:33.782558	2013-08-03 18:02:09.007659	114		0
7712	10i2de9k6a5qqkgwkj74k97of7	$2a$07$RnxmYSBrSeF8ux1OhfZ67O58cWG3HtdBtaw81j6psMWCZYrwMgQ/G	68	2013-08-03 18:01:33.8039	2013-08-03 18:02:09.160448	114		0
7713	10eqs54ryflqy1a7f5wqxxt8xa	$2a$07$o.tYm91O7Qk2nAXStglJUu5cyDpC9D.7X09FqF.WiJc7JzApUEW2m	69	2013-08-03 18:01:33.826914	2013-08-03 18:02:09.339462	114		0
7714	10qouugvhs3r0yd6fq2e1yaulb	$2a$07$PPwviWIvK07JW5Mh8eWnIOEtpe65Sn8SeU.9DO9xm9.2xzup60u9m	70	2013-08-03 18:01:33.857778	2013-08-03 18:02:09.475592	114		0
7715	1037z7kzf4bjn2l9lha3h1e67x	$2a$07$nu7r4Xnjk7S9eJ0v3dpFTecywrKxYxCJ0HeOCCd843JvU..r5DeCm	71	2013-08-03 18:01:33.879737	2013-08-03 18:02:09.60462	114		0
7716	10uxzybvyqudw32gzlkliv8elv	$2a$07$qSMWszN58YpDtwQ/Q1fLS.qaFy0fF9Wy7wC.1jjVIj51lvy6IgcUO	72	2013-08-03 18:01:33.904115	2013-08-03 18:02:09.732056	114		0
7717	10ozwoy3sttu4j26xamo0vxu47	$2a$07$Uusod.UV1TebW2V5U7cmqu/ER/Kt6ix2bmzNT4G1sTgT0w907qTsq	73	2013-08-03 18:01:33.927436	2013-08-03 18:02:09.942833	114		0
7718	10sxhk2040jlowj7bsrovsz8th	$2a$07$PmTP3a6MDiIxCXjLiWF3vuKu4L3Ec7pPvcadF99wETz/u964Dvtd6	74	2013-08-03 18:01:33.951026	2013-08-03 18:02:10.090359	114		0
7719	10mza8lfcyqres8y0kdzyvonl6	$2a$07$Lx7qaRU5ECn2djyKeewStOk9b2Fp8rlD9z4d31SUP5LHflK7TJITK	75	2013-08-03 18:01:33.973986	2013-08-03 18:02:10.207118	114		0
7720	10kuhsw2qa8q66f94dlxg92d5b	$2a$07$NzXdK02JTZrGzzAzv900POb1c22sw8UnsoqOH5loREcCOrCEsx2DW	76	2013-08-03 18:01:33.998227	2013-08-03 18:02:10.340005	114		0
7721	103dec6uy4eipdp3to6f84wilp	$2a$07$Czbn771FGNCECct494i8JuvsdmElBd6NZWb3vNT3QJ8cBQjFydbLO	77	2013-08-03 18:01:34.024098	2013-08-03 18:02:10.471292	114		0
7722	10gc4b9sjs8leo0lmit5xpahb9	$2a$07$S2RyTvfPswb.l/EAwBYFf.JGzNzQ6iJZVgATFAg6war3mt8QUjcZ2	78	2013-08-03 18:01:34.050519	2013-08-03 18:02:10.590968	114		0
7723	105rt5031380lhwmj3szzc3wl6	$2a$07$92vZ3eJjBHcEgBXrTLtNFewF74phA3CM1UbOumk7fKectdubLAsGO	79	2013-08-03 18:01:34.089021	2013-08-03 18:02:10.741747	114		0
7724	10at479l5cnt3xm2xzsohn1k32	$2a$07$sUVvgcpGdzAYnEeJzpmaeOz5jDtMbdLY59Ch1cQwGldcEJ5ZfBoNa	80	2013-08-03 18:01:34.115643	2013-08-03 18:02:10.846059	114		0
7725	10esird699n1g5x3bmznw9l93q	$2a$07$onoJVoDJQ5j9GOJXpSx5ZeMEelLQI3ZjFsJeW8wGqC1if6r8ONynq	81	2013-08-03 18:01:34.137252	2013-08-03 18:02:11.037373	114		0
7726	10ckh5yil4iata67bs38warplw	$2a$07$vJfwrA.6C3e0nazevmzaw.Eh61vTn.Wm82aBpQ596O/jShM09YnSK	82	2013-08-03 18:01:34.160589	2013-08-03 18:02:11.15224	114		0
7727	10p5n19lg4hfebn1g23stubc9q	$2a$07$LybFxeqj85PkC.8Afww6BuWJf30bt4LqOJpSwc9j/1HbZyBQK6U52	83	2013-08-03 18:01:34.182278	2013-08-03 18:02:11.532116	114		0
7728	10ifuok9jqz3okjjm4oo8a8c26	$2a$07$tEFuT3HIYFtals8GtXpGpOqtr8Zkm9Za/6afwaXKAmaN2PObBsop.	84	2013-08-03 18:01:34.204854	2013-08-03 18:02:14.140899	114		0
9037	10a4izr0edww92j2xj3xyho7gc	$2a$07$e5JpsgOBoBOzAeZGyBly4OxcOhVdbAs53/Vj8GPviWgzWBSuxgK.a	49	2013-08-03 19:06:33.436338	2013-08-03 19:06:53.672001	127		0
9038	10ppp6ebfoapipphd08n5wbbp9	$2a$07$yDhjVANJwn8gV/P0P5MVfOB/96TqR76lQa5Pxujva0zQ.UzPbBfwG	50	2013-08-03 19:06:33.468334	2013-08-03 19:06:53.780321	127		0
9039	10vsjdkn492ex686fq3yn1yvzd	$2a$07$R5yTuLAZqlIo9xju2P9Bf.NrujfsXY0TFKfRU31WyAELnvGH6ecdi	51	2013-08-03 19:06:33.500283	2013-08-03 19:06:53.897724	127		0
9040	10yx1ik9ogtf4ph4pj0mfxyhv5	$2a$07$SEwHQvOHupRrJ3.cDBrEeeJFrcIe5/SperbABxOpE5g337WDEv90O	52	2013-08-03 19:06:33.530902	2013-08-03 19:06:54.020714	127		0
9041	10e8ympakxwcg1p8xg4ytx6ojz	$2a$07$MquUofmbGBmi6c3hrXSmeOqmH0/oIFj6047v1e2V1r5LqMpdf2NCG	53	2013-08-03 19:06:33.555414	2013-08-03 19:06:54.132853	127		0
9042	10lyigappi6qsvw8wpul7zvxl8	$2a$07$Gh.BHVoEtHHMKTz1e3BY0u7pqq0fZQ.lAcchxWSfGeKI8LYQUd.Ry	54	2013-08-03 19:06:33.579538	2013-08-03 19:06:54.26026	127		0
9043	10f9gx0kov3tlm80tywz9xzbgn	$2a$07$lWat6bmbI511Y9WZwoTjzeRU1XNxHqDukoQZTmKYJ3Ubz/k/oAIyu	55	2013-08-03 19:06:33.604168	2013-08-03 19:06:54.393448	127		0
9044	10jsg54oa9aqj8w4rra4c2hesf	$2a$07$eqrdtYtG/mUYFyqfVkdkTuftgCOG6fOyVcXvLUjEvaAvM.EJXjCoq	56	2013-08-03 19:06:33.628348	2013-08-03 19:06:54.52785	127		0
9045	10es5twguq9nnh78lqx1a6o1c7	$2a$07$KcFnzTryVWjbDUlo7LDyKOKOHUDiUCwnVOVtQJYM6x/gW/pAX0O5S	57	2013-08-03 19:06:33.653939	2013-08-03 19:06:54.62929	127		0
9046	10v70xwut1x94wr5do8vlzxlc9	$2a$07$AbW5vJWguICn0RysLKeCkubdUOr1iIPmAYeC/I896dLR2qE5wS4bG	58	2013-08-03 19:06:33.683843	2013-08-03 19:06:54.730964	127		0
9047	100bqxwahyks0itykoa2qzl16r	$2a$07$fcSsT/rp1DZemDBnNpEIA.XrYGKMSURmMfPdg2DYUu/MCVjFFT2V6	59	2013-08-03 19:06:33.715324	2013-08-03 19:06:54.837964	127		0
9048	10qozb9wd8tlm1oeh5f32cepeh	$2a$07$Fjg3Al4M2Nrss0wR3R.SrO3x.voUPyuQAJ5s8QoIhIScWg4F1HUqS	60	2013-08-03 19:06:33.749418	2013-08-03 19:06:54.974653	127		0
9049	109hwfhxcn9tf4nndmwui97vyj	$2a$07$wahAaZTalzzsOvZncX.07.Z2OcMZQVYi1GgEAMETE0Kcf5KiMvhiS	61	2013-08-03 19:06:33.775509	2013-08-03 19:06:57.541014	127		0
9050	10t96exc2uhbaa59lyqqn2q8cv	$2a$07$5EpvmpAVmstdYPjvXdN8.uEzqVnIhfAb7l.6uGxhCMdOaX9.2opii	62	2013-08-03 19:06:33.800021	2013-08-03 19:07:00.427963	127		0
9051	109m5mipw7dxztmyjojlz5n6xe	$2a$07$BEEYO3.Tah.vKCjz3UXWrezfqTSjUWiqbASczr/NULAFop1pYUeUS	63	2013-08-03 19:06:33.82327	2013-08-03 19:07:03.760542	127		0
9052	10yfcfah5q27iaob9a9oj6pc8x	$2a$07$lI807z.QyVWRAqMTOMyaCe3zG4ng9cuj6Sn7YGEQ3xx/pn9qKPjLy	64	2013-08-03 19:06:33.844844	2013-08-03 19:07:04.07829	127		0
9053	10kt09ntu8dgo4ineijx04tu5o	$2a$07$aGx1jowhndtqZXQ2cUDrxu3emp1wum/JUWW4MuFXFC5Wpuk743FMO	65	2013-08-03 19:06:33.867194	2013-08-03 19:07:04.199164	127		0
9054	103rxkudcn41tz5r4s03xwl7dk	$2a$07$89wY5mt0ikycFUTFNL9kZO1CJZRKC5Mx/V9KxFp1tc8up1JbM9Zzq	66	2013-08-03 19:06:33.889809	2013-08-03 19:07:08.406121	127		0
9055	10x361f7lfu47rgiej2zr25xux	$2a$07$cGb6MtOijgVt6WK1ydzCEu03S6bcnOSuJ1fAcNBQI0tm0jAacnQgS	67	2013-08-03 19:06:33.912594	2013-08-03 19:07:09.199462	127		0
9056	1065lu243w33ooeu76tpun52qj	$2a$07$QyMcA6rh3PEFvJa4Da5HSOKfFTuhau2H7m4xLewSe.jqFqxkwh2jO	68	2013-08-03 19:06:33.937732	2013-08-03 19:07:09.501441	127		0
9057	109t68ka0wuwbzmhhzbesnngzv	$2a$07$AZs4uqGuh/iGf1u1dvoBDOyREjJe.DYgt9XwVOo4dlt6JILWyPOo2	69	2013-08-03 19:06:33.962858	2013-08-03 19:07:09.589537	127		0
9058	10dom7tttwvihyqmddnhzsstgp	$2a$07$Xv9HqDpT3n/CMHesOwHsuOxgIYOC9krAVmpZwrI4iLX1EQA5.8nmC	70	2013-08-03 19:06:33.987733	2013-08-03 19:07:09.690483	127		0
9059	10zv8214zkseq719ofhjugyjbr	$2a$07$u0Xw8xUI7vstzHOw2vljuOt6frxKx9lK2UrkZxK/XI/x36Ai/CWtS	71	2013-08-03 19:06:34.012307	2013-08-03 19:07:09.805308	127		0
9060	10wm6kmduohw4k9276eibvc7pf	$2a$07$N25jkInjvDyGg31QhhXjLuMucGenYyc2tATG1TMaeEuuNYfwm5ja6	72	2013-08-03 19:06:34.036523	2013-08-03 19:07:09.901619	127		0
9061	10ps0p41321ju2mh2uhggdchue	$2a$07$/UMZzrhBcpHmI8TIBfsrEOx/3Mn6IuvqPXZS0R6f4dGrk84Np/jK6	73	2013-08-03 19:06:34.060789	2013-08-03 19:07:10.023968	127		0
9062	10etdtunkdxsmdmpxn8dd0j1sg	$2a$07$AbQ2GwP7hKVIypd8bozACeOeaJYrZ9BmGVUY8AER1Zj84PCu5EHbi	74	2013-08-03 19:06:34.085039	2013-08-03 19:07:10.118076	127		0
9063	10bl6khus49wbgg0n4nloak73m	$2a$07$5umOncKL2vmLnR2zArb6Vu/i1xzwfzS7fTQ.9jV3zvFKJWpMi/Lm2	75	2013-08-03 19:06:34.109165	2013-08-03 19:07:10.209786	127		0
9064	10xfq6ss1391nn9kukt22pl4wu	$2a$07$7c89ixr45LJmpeyoweDMsOJW0vNjyhjtQSiHG8orRtY/P06zRl/Z6	76	2013-08-03 19:06:34.133166	2013-08-03 19:07:10.360606	127		0
9065	10ipngflorazanh884dfdvb5lv	$2a$07$1p73z3I9jxynSTA0.LuPOOAvXzLkSsl.5OUZXVoqBqIDp6R8U1VKq	77	2013-08-03 19:06:34.157776	2013-08-03 19:07:10.460293	127		0
9066	10gvyt4hnpcuhric14mif8oada	$2a$07$nkbOxWWOizwPuswuEmE..eM8D71xagpuZfdPNX9e2kvDKPK5AxryO	78	2013-08-03 19:06:34.183151	2013-08-03 19:07:10.561421	127		0
9067	10dlwdeji3ajxnx91yjtgia82t	$2a$07$8rQ8DbBeLu3eS4OX.XDOhuNZdKLTArRKVK8XiklhIM73rhXwH.8NC	79	2013-08-03 19:06:34.208799	2013-08-03 19:07:10.850678	127		0
9068	10jlfxseaigpjsk61dsfrhr5rx	$2a$07$adWUUumr6yapQetdhbxLZuYfw6YWp2IsyV1crEmZsr3JZ.tKq.5be	80	2013-08-03 19:06:34.23808	2013-08-03 19:07:10.943461	127		0
9069	10ez4sk77lvh2rgmlgyxx43mlh	$2a$07$5VfwlQ2hWeFlgbVTq2TcU.bh0/bMsB8tR0SI6ONU5F4RnRgxyxNGK	81	2013-08-03 19:06:34.263774	2013-08-03 19:07:11.028722	127		0
9070	10uspligf3aqrb7sl1a8h5xdad	$2a$07$S/.R4lw2DaA2LGaPz0ifZOznzYJWi8JgfJGFcaybmAOLKSrPIrXgi	82	2013-08-03 19:06:34.28919	2013-08-03 19:07:11.127826	127		0
9071	10n7x08jf6zgsiy010d3z3fc74	$2a$07$a1jSKddt62GwOyuM1DdFTuVk/XjiUwvjiRNnVs702C32Ubxzx2Vf6	83	2013-08-03 19:06:34.314752	2013-08-03 19:07:11.216092	127		0
9072	10il36px2g62eqt8rkxy1h3wh2	$2a$07$rzFxgYrPy8VnPwQRX4ForeRVh6F0b3H1t4yUo1eu36hIRSDPpJNQK	84	2013-08-03 19:06:34.346531	2013-08-03 19:07:13.65401	127		0
9073	10uw3p796tcq3dbogvew1mjfkl	$2a$07$3Keso2NdLKjMN02M9w/jMeyEFdmDmQ.Z2rM2aiOUk2G6sSM3YXMs.	85	2013-08-03 19:06:34.37831	2013-08-03 19:07:13.758953	127		0
9074	10qfhrt1eax0x0k7so7gkt5ej0	$2a$07$QymJtOqupz9YP/eqTJPIeeoBWsXKdYdklNIjIMkCYghN3.uEA0Pui	86	2013-08-03 19:06:34.408112	2013-08-03 19:07:13.870991	127		0
9075	10euu2hlzztndsu56thiqifcam	$2a$07$LgkbrgNQngd3PZKk3jTUle1QBm9BfVhJ7VCGibRbj1oa2iJkyCJMS	87	2013-08-03 19:06:34.433616	2013-08-03 19:07:13.993927	127		0
9076	10s2pnql7wtamudjsrrsa16g05	$2a$07$Tgw5A0gap/udMWDE8T4UbO2KqmipHCcHE.gWhzZpL5ys1M7XJOPDK	88	2013-08-03 19:06:34.460349	2013-08-03 19:07:14.118399	127		0
9077	10yi9v9p18aew6y1lqtth25uez	$2a$07$/v0Ud5dMbJxAWC/Zic..4O1Nf8b2/CxhC9qKDcChzdg41Nt/cXJtu	89	2013-08-03 19:06:34.486628	2013-08-03 19:07:18.539635	127		0
9078	1054tniwfoefrnl70jdrxn0cf7	$2a$07$fxM7d2vz8ddCSngBiQWBleDxX2qtXbkdy3ftb4oERhsi2ytokYyBS	90	2013-08-03 19:06:34.515881	2013-08-03 19:07:23.032704	127		0
9079	10yafix7uz7mtqvai06rct4ri0	$2a$07$ge.nszEb0./WFBrlM1N1HOdHQ0sjzN8509Iq9fbs3afxBge5iOcBe	91	2013-08-03 19:06:34.547393	2013-08-03 19:07:23.177319	127		0
9080	10jr292iy9pt8fn98fakxc6cdp	$2a$07$IphD3Zp.d9yUkhZymSGGd.2KirOLHRzyvjLUnZ3G5zxo7oXXrRJ7C	92	2013-08-03 19:06:34.580847	2013-08-03 19:07:23.3155	127		0
9081	10aqfciom43iwxj1wn1akujygq	$2a$07$y3ZVeC2MYA2Bk2TXDt9/ruU4GEdMsnqyc5eWLT2qmqBMXISCK4HpK	93	2013-08-03 19:06:34.611135	2013-08-03 19:07:23.5805	127		0
9082	10as3j4ccxk9u5s076u5uddam0	$2a$07$x6Eb.hpAISVamSzeaSL2.usjktDX66PjbcJLEoLNpyeUnmJPcMsjK	94	2013-08-03 19:06:34.635179	2013-08-03 19:07:23.848867	127		0
9083	10pa5vg0d94kgtu324547uhbmr	$2a$07$2OMc//nYEabzf/1soVDRa.BPK0/m8MkN3c15Pi3wNuQkZwqRnyoMy	95	2013-08-03 19:06:34.659131	2013-08-03 19:07:23.991535	127		0
9084	10nyxz7z484yqe8ze2evelvgth	$2a$07$r5ZxeRW2kqZHz49gC5CuXeY6xrq7kkIYLvNeAQ3WTLfc5pybNMvpi	96	2013-08-03 19:06:34.683032	2013-08-03 19:07:24.132789	127		0
9085	10ydy21gq7kzmdamhwyyb4mmc8	$2a$07$4NcxA/xnrErgoi7bpSJ9Z.jpGliMHBi3U/5Djh.NL7FpyS1XMAcDO	97	2013-08-03 19:06:34.707205	2013-08-03 19:07:24.251411	127		0
9086	10s72fc9rmiew513eyrh6yam44	$2a$07$6fBxpTWwrcjEDvsamDuY8uuZ9g/eWnoJbFgAlZy81pA1wAqLzC6cu	98	2013-08-03 19:06:34.731116	2013-08-03 19:07:24.387743	127		0
9087	1022cqafi7g44kt9mulo66yjwe	$2a$07$0LvnxyV8PlnL1pxQyr9IvO/lIOofSwg1VUUsEY9ey..Gmsciq7lc.	99	2013-08-03 19:06:34.759068	2013-08-03 19:07:24.517318	127		0
9088	10iqtyzmlwrnwcnr560lb1kb2f	$2a$07$l.be7gk4k9HrCTqLOBv3CuR51AsTY48.XOhll2RlAsqXuUmYMQsnS	100	2013-08-03 19:06:34.790909	2013-08-03 19:07:24.631812	127		0
9089	10pye04p87vvpkf2cqh43sgvej	$2a$07$9mQoqdH.Bv62ATibHxnJEelKswwG1JcfrQwDMnEMGluBwrlWh0x6W	101	2013-08-03 19:06:34.82296	2013-08-03 19:07:24.748499	127		0
9090	105oeip1exvluw13fva3wap63v	$2a$07$YgFJ2YpZPSVvHsXgaN5hluD5UK/hI5gLd2koBDmvmlr7MTWqifuqC	102	2013-08-03 19:06:34.84988	2013-08-03 19:07:24.867938	127		0
9091	10gndocdgfd34sih0gr16czqwb	$2a$07$S.8OrpzC4W/.Hau56VACK.81H2CzYJG2YB79n2iJ25mdJLG9Ji52C	103	2013-08-03 19:06:34.874269	2013-08-03 19:07:25.01096	127		0
9092	100ly5fl1et47xszqrq3x19z8f	$2a$07$Z8mom9Wu3gQdvJa8P6e2GOAJiKShnyY7SxxKg30pmsJD0dye9cOm2	104	2013-08-03 19:06:34.899793	2013-08-03 19:07:25.151578	127		0
9093	107p7oerbc5468v0ej8gp5dsxo	$2a$07$E2v03arbBZBmXQ2K7hKe/e1pDkzMwRt/wGTQKW9yedMZKOunuc8vC	105	2013-08-03 19:06:34.924344	2013-08-03 19:07:25.285017	127		0
9094	10afkn51zw8orzzcav3y7fnusz	$2a$07$HYslcSaUzaVchFh35FecuuE5UZcq448qEHtPJsAY1BLWU2/JstVLe	106	2013-08-03 19:06:34.948428	2013-08-03 19:07:25.419866	127		0
9095	10qffll3uhivs14gd9bjm5yztk	$2a$07$DgViHofsJJkTg6ZAsRX8Red54PxuaxatAYadLEwleURpI2t3unDWm	107	2013-08-03 19:06:34.973982	2013-08-03 19:07:25.5607	127		0
9096	1039bljdxst3d5cg6yn879afmy	$2a$07$39qqdmT6WOoxP7GZQUM4sOMKPdqSH1duEkWvnx96vUc97OOc37nX2	108	2013-08-03 19:06:35.006091	2013-08-03 19:07:25.698161	127		0
9097	10ogair5n3pzksf2y6ye8fk2tz	$2a$07$.em/cBgOowtK.ZCsNjaf8.w3qr/ubMHJnvHqhAVoUilcN2ilrd9XK	109	2013-08-03 19:06:35.03789	2013-08-03 19:07:25.823102	127		0
9098	104gnnu15wojwdzrsast0yyw3f	$2a$07$AG4d1odz2Z5Kq44PsTxL8ujgAcCXaWC6CmOS03N/nHVJW7gll/282	110	2013-08-03 19:06:35.065851	2013-08-03 19:07:25.953402	127		0
9099	10wyb736c47b260005vd6kxtlz	$2a$07$3vfEEHVz2QSRkFYUBnuKu.vQIl2iMlc3SVhCjFlmx7PDE0LiWaw5i	111	2013-08-03 19:06:35.091123	2013-08-03 19:07:26.101735	127		0
9100	10803wyifocs2xpclflulrjjht	$2a$07$6j84eK2WwzIZrZcHadIqOuOqC0RC/aEPkQo/ZY84WK31FE7qqvoCO	112	2013-08-03 19:06:35.120051	2013-08-03 19:07:26.25484	127		0
9101	10gxgpf5cogqcr0rj2eks8m46m	$2a$07$5kpKAzGnw9uvJPB2VnU5HesTnM2wE309sDmDqltesvIMGsNDCxsPO	113	2013-08-03 19:06:35.146414	2013-08-03 19:07:26.37871	127		0
9102	106hwv8cn9g2ri3kt0f2z6nl7p	$2a$07$z8Y4IDNl4IinALsZV0Yu4OTefr2.nxvJHFmSk9o5dI.14vw7ze4VG	114	2013-08-03 19:06:35.177402	2013-08-03 19:07:26.521174	127		0
9103	10d57mnslhra4k4cl7nr5uc96o	$2a$07$JsxdDOoCWl8k57xT7jXv8Oa7vzBxjkDF975fgH9ht0MY4pEJKjo7i	115	2013-08-03 19:06:35.208969	2013-08-03 19:07:26.946586	127		0
9104	10if5enx8fg0f78d02lqg3jfsm	$2a$07$XJWU8OBsA2ZekqQUJLld/er3IQXZ34VuR2DC3htnFNQ0IGVBV8tXC	116	2013-08-03 19:06:35.238796	2013-08-03 19:07:27.092153	127		0
9105	10v76sqme96gjwhelweql0tebk	$2a$07$GTDzEd.OR8c9wbeYkr1gG.en5EG2RNM3W9NH2A3TTBdHLooNQa3ki	117	2013-08-03 19:06:35.264929	2013-08-03 19:07:27.226757	127		0
9106	10ackvw0wc8a3wxkkscjqp7dkl	$2a$07$aBR2X5A6kpzkJqU.oxau9.lBlpJgh7NUcjsDHaDrRCaFrIMtMNiTG	118	2013-08-03 19:06:35.289393	2013-08-03 19:07:27.375246	127		0
9107	10wgn2x18hkrsn2yn67rz2uqjr	$2a$07$SkpznKOD2XFidXgi3BoMueJQBKtLsJ5LRUM/e5o7MWiejMH4gXg2u	119	2013-08-03 19:06:35.313425	2013-08-03 19:07:27.511832	127		0
9108	109eu21uywtr3ueeny6ppnek5f	$2a$07$PRpu5mL9Aju97RLZlt1bke9mBaAwxbZ3lBwShRm8g6wQ6d.PDbHn2	120	2013-08-03 19:06:35.343236	2013-08-03 19:07:27.646222	127		0
9109	101sxp6xkbnrc5pqjtqa8z9eqj	$2a$07$wEVAvO1wrhfVKEYvUHAnROeGgJB.8BxreaNgPH2EziISPoyBq7./a	121	2013-08-03 19:06:35.375242	2013-08-03 19:07:27.797025	127		0
9110	10e4ausyiwg2i0p8hf8mjfjcw5	$2a$07$UCqshd1B6RsH5guqoFqtjej2YX4hGZjNs.0q7K077W70v7YV76jAS	122	2013-08-03 19:06:35.4066	2013-08-03 19:07:27.925858	127		0
9111	103jla11rzo0qgeel7pyumxnko	$2a$07$hj.ILGScLDgOlmPZgBk4h.Rhe47bsXLUikoiK0Va2Ia8QLM6YpGP6	123	2013-08-03 19:06:35.431814	2013-08-03 19:07:30.5617	127		0
9112	10zm57kf50yb17h7vnuxozlmia	$2a$07$4D3Fn5E2vQHpj5QOoUbTceRl3ojv09.H88o3jPySGNO8FST9mQpE.	124	2013-08-03 19:06:35.456169	2013-08-03 19:07:33.55894	127		0
9113	10ys09hiui253rg0i8ibjvntg7	$2a$07$VbQZ3uGqHwNpc7SsuP0qYeG8y43k/YXdV2sbWHRtDxu4i142jApVq	125	2013-08-03 19:06:35.480731	2013-08-03 19:07:33.692745	127		0
9114	10nnjw4e9cuarl8lafln8agt1x	$2a$07$Hn9Eh/Jqk.g.D0BPMy5YDeQd8F33ij6dQlmd7POLhH5rfItWMxr5m	126	2013-08-03 19:06:35.506013	2013-08-03 19:07:33.811976	127		0
13333	10bvnukny1jmm1tg20exkysxz3	$2a$07$784tZiGBdbinHoDDLkkLnOmtT.caNiHys3ebmUYtcuexdLGy2iMFu	61	2013-08-03 21:53:36.507656	2013-08-03 21:53:53.090902	161		0
13334	10tib9zxta2r45a7g8zbemqudi	$2a$07$FipC.SsCUQLM/x1ged4rP.ZSkCzaJ4MOfM7zori7jE8igew/UzcKS	62	2013-08-03 21:53:36.530377	2013-08-03 21:53:55.777978	161		0
13335	10n6actflj0uoi21nv3kzqg9a6	$2a$07$jdIuLDAxZJCTJYRKKLb4Uu13AgJpFLggEOn3DQkpKdHIumAeQcwBC	63	2013-08-03 21:53:36.553965	2013-08-03 21:53:58.809185	161		0
13336	10kc2g2spbu6gjcrymsa29tivu	$2a$07$KneNqiOLAH3T7omZlQfinegx3DdRtdPEcXaXxP1USLzA8g1ObfhaK	64	2013-08-03 21:53:36.576691	2013-08-03 21:53:58.943918	161		0
13337	10ahzqifl5fngisik4wwq15cla	$2a$07$OcfDd4eIl7EpOH6uj0gTke9Wg.xNpsuZoXYsaOzyUH6yAbpVj6h1y	65	2013-08-03 21:53:36.599789	2013-08-03 21:53:59.075043	161		0
13338	10rprhlyj7a47iftyhb187o43r	$2a$07$KhHn3I0Lhm7PGixlhyezku39wrsRSPEv0oT7nr9t7vZdmuR8Ov01K	66	2013-08-03 21:53:36.621511	2013-08-03 21:54:00.030828	161		0
7729	10gpep990xqa3n2hdkxcndrbdr	$2a$07$qShY1gRznd9djVNbUVh6Tex/ZVOwHWU7J/Xant2NaGFH9rP6dChL2	1	2013-08-03 18:06:32.084254	2013-08-03 18:06:34.735494	115		0
7730	10pgz5otbctjgrtitlcknk8ond	$2a$07$0cJLWxizshUmdwes1GIthOz06Yx1aMsYEJZb9isHoD3rlpXqjXXt2	2	2013-08-03 18:06:32.113091	2013-08-03 18:06:35.390159	115		0
7731	10yc0t27nina9jpzujvjpnbbxk	$2a$07$E.5ovGe492QM9qMoICuenuNfUiQC4CFFuimvAH.2b5nUjiex/pahi	3	2013-08-03 18:06:32.134667	2013-08-03 18:06:36.091008	115		0
7732	101kyrpcclx66orf247x2kpx2g	$2a$07$wluRKas/Lt9/g6vg6Bwcfefd7wHqoJ6o1AGaeGPIfJCMdq7v3l8by	4	2013-08-03 18:06:32.156316	2013-08-03 18:06:36.22432	115		0
7733	105hem8auayx5fqh3qs0ikbmmh	$2a$07$YHv3XK9.g7LF3NvBXOTz4emqsAlOrQ4ZaD7WwWPW5wuhOsXvzii4O	5	2013-08-03 18:06:32.177842	2013-08-03 18:06:36.355868	115		0
7734	10x7ids4lqf47uyjy4cs79lj4m	$2a$07$r8mbfy6JBl7FUJRQKErUhOfyr69nTcT5fWSOo5yCmJGueV1FhYklK	6	2013-08-03 18:06:32.201533	2013-08-03 18:06:36.491467	115		0
7735	10u5i7sv7ch6ltd6xzwuduzqiw	$2a$07$tzDv7eIv7D/.PUm6KhF/DuyzfvxRrAoI6TXDbxJhAZknHA1mXkdRq	7	2013-08-03 18:06:32.223485	2013-08-03 18:06:40.025647	115		0
7736	10ujstjq8ks6rebrwbuwawfojh	$2a$07$BfUCtaq1EUXnvpVsqgVHjOnzHNODspGB09IkUHQB0SdgGhGURfxdC	8	2013-08-03 18:06:32.251805	2013-08-03 18:06:44.060339	115		0
7737	1075e9l139ixl3etf4549j3usu	$2a$07$9R8j3SKxXufkhC64xgLyoeXUAh0.LVs/yw9a0IH9VoBU/8TC0WIpS	9	2013-08-03 18:06:32.284898	2013-08-03 18:06:48.425024	115		0
7738	10v8s2csayj2hm0nalksfwjzji	$2a$07$x61liJ/euYKEjGu5/h4e/.CtFZhZw4fPAHrAR.CpfBjNHCl9ZrKDG	10	2013-08-03 18:06:32.306301	2013-08-03 18:06:48.558682	115		0
7739	10eh0t19tlimw3d98qoaday0tn	$2a$07$.2optuiJd/7lmpMpiJFoAO3S7OGVLgnPFgPWrVL.ysdRiAP/dzsQO	11	2013-08-03 18:06:32.327821	2013-08-03 18:06:48.693102	115		0
7740	10a8mq7px7ykh6cegce9n9e9k9	$2a$07$6mfzH38ocSL7giWD4awEpeI7z2ieuw4YsjtuqtKcKu4k1W85cAW3.	12	2013-08-03 18:06:32.349378	2013-08-03 18:06:48.825341	115		0
7741	10llfr5r63wdh9aeri73p8mbpk	$2a$07$Fn.lIoIol6h37tetozZkiu1gnR/joDF4TxUQaGI30uo3HpqoET6ZK	13	2013-08-03 18:06:32.370881	2013-08-03 18:06:48.991835	115		0
7742	10yj82ptl6flkb35deswgnmmvt	$2a$07$bNctS/h5ykRWUaShBwgu0ONmTKugp3tcLQ63tvK56H.46SpBnHNY2	14	2013-08-03 18:06:32.392357	2013-08-03 18:06:49.198244	115		0
7743	10c8uyn332xu22ci3nzopb7brf	$2a$07$BBWyzZbaI49zeRC1wR.ZL.G3ycpA7LxaRkVM4/XYKCloykxGKHlFW	15	2013-08-03 18:06:32.413672	2013-08-03 18:06:49.362421	115		0
7744	10lk2pn19dyu3yyoy0hngvp56l	$2a$07$zc2cD/ah8VnqSlE4cJoRLudr2dOGPQSf5.pZsQC3ypI.ie7b0.vru	16	2013-08-03 18:06:32.43541	2013-08-03 18:06:49.672327	115		0
7745	107skroypdudlk4qvadb2w4ojj	$2a$07$9nmy.eE0OfqHYpeqAPbJ4e1dFepXSX6nHBDTGop.Jii6WNNQ8swXm	17	2013-08-03 18:06:32.456737	2013-08-03 18:06:49.805722	115		0
7746	10rpftbstgjj5l2xz72c206b6z	$2a$07$y.0AdBxcGGDhoiOZav54TukLVSE6NDeYdw2WtzbK7RTttGYMtvaKq	18	2013-08-03 18:06:32.478936	2013-08-03 18:06:50.000944	115		0
7747	10440x8crwj15b0uapew54cvqi	$2a$07$dE0uxpLGJpLCDNCjFwsSKe53ub0gPR5huld3iq9vIzChinYNn2tOO	19	2013-08-03 18:06:32.503439	2013-08-03 18:06:50.134946	115		0
7748	10y45enyuiswi3hcctjm3fbmnh	$2a$07$yNd59HlqeJum4sEichNyi.InQw6BBf62GIQmA2HLctYWq2mNc6yD2	20	2013-08-03 18:06:32.537645	2013-08-03 18:06:50.270187	115		0
7749	10wdzj6dbst6u24rsco250ysla	$2a$07$8HJKEpIMhVMyQB/Rkwdr2.u5GWp4N/26P2ulBAUr7UCpFpqISvNty	21	2013-08-03 18:06:32.576738	2013-08-03 18:06:50.396112	115		0
7750	108qljpdl5dfipz2gmdwiiy12q	$2a$07$ptTqa5rlBTddpt3QgWev4.s4gPaggMV5/LLGZir4LKh2Xpp3NuOvO	22	2013-08-03 18:06:32.612425	2013-08-03 18:06:50.517377	115		0
7751	10yy682kcyfa4f15bb18nbu58i	$2a$07$50LqBg1FY4/97qUyAfvfJeWZV.O19ZmE7YB8Jsppg4.XN8oITKRNO	23	2013-08-03 18:06:32.634818	2013-08-03 18:06:50.655031	115		0
7752	105qa2op2gxmo1333z8epp11yc	$2a$07$wiLUB3qpRqFAb2WnlxqRAeHVmsbKlkyRHHUqG6yE.Ejx12W4Pwrvi	24	2013-08-03 18:06:32.65777	2013-08-03 18:06:50.794171	115		0
7753	10a4f9dfzynhvdxqlhp9p6v7gd	$2a$07$8s5952CA/K5bCx87qQRBb.PoAs8ZkMWh6M4BrhQ/wmjGWUXQZIdMu	25	2013-08-03 18:06:32.679522	2013-08-03 18:06:50.925291	115		0
7754	10ue21qw8nkpz3k60zkpsjbbvn	$2a$07$qdXphHHuj86kh37Af7osSuMMUaQy16H57C.kf.VzPIOrOHuwry86e	26	2013-08-03 18:06:32.701954	2013-08-03 18:06:51.052971	115		0
7755	10vjabll3xvotlzchydqj4rfig	$2a$07$YUOTDXmggDbmvKQroN4up.RTUEY7EA7aJ.8rIRc3YaUurRp6H9Y5O	27	2013-08-03 18:06:32.723548	2013-08-03 18:06:51.18789	115		0
7756	10w8o8byjpb8i3psp8wzyrqja6	$2a$07$.WbRlkmUsPmW/4Hw/YGg1ux1aexaHxIqe76fwftjdNqmK.ZxcMSFS	28	2013-08-03 18:06:32.745057	2013-08-03 18:06:51.325323	115		0
7757	108sxzrbq7zejhitbhmxu9x6tu	$2a$07$loF4mb4/HUuYQOiBPqkrkeQKK6CVKwaA1zC5sFGcbCuv2yoUSCSAe	29	2013-08-03 18:06:32.766731	2013-08-03 18:06:51.465414	115		0
7758	100diqd7j4ar16np5am7m1sabc	$2a$07$WrC/Sd8wSxlXs6j3fiHs4OSRXFPXeKNaHx8WVjmSIJK3bp9BjU8Za	30	2013-08-03 18:06:32.789378	2013-08-03 18:06:51.589577	115		0
7759	10xvdiaw2yzgk4ii10zprm6y7g	$2a$07$eMs.tvzHD7MA.ylb3Q9nlO5bovE.vQ5Uwfm6j1wY7nsuQoyWxUASa	31	2013-08-03 18:06:32.812329	2013-08-03 18:06:51.728098	115		0
7760	10w616lmjftppak3oqoac0cq6l	$2a$07$iF0Q.yNGygm8GLqswwnAGuRVKplcX8LCA3RV1yI66FrhHd30iNIoG	32	2013-08-03 18:06:32.833946	2013-08-03 18:06:51.862937	115		0
7761	10k0a8yncwmxcy2e6t51vg08vw	$2a$07$KGNziG6rOD1p672WPaJMB.sKg9WoXdEAWQHRuWItovQNs94cWxHCS	33	2013-08-03 18:06:32.8579	2013-08-03 18:06:52.004581	115		0
7762	10vzak5ksqp3zefcehn5qjnjod	$2a$07$EjsjkP8zbHeYydYVB.Pl.OQBFyDOY8yqUE0Zv8jefWnApcRKgYmta	34	2013-08-03 18:06:32.881282	2013-08-03 18:06:52.130591	115		0
7763	10eyk4c2zf4zmcylqsylj3ntcw	$2a$07$WOzMqvczMg1Vd7YcNLLGhO5uUOcGF3TxPuWpEdaw5DhXqvoQJ4NgW	35	2013-08-03 18:06:32.903697	2013-08-03 18:06:52.26726	115		0
7764	1040t5kys49jzthecjkuher0hi	$2a$07$FPOjkrJrXAfmgS5a1lyen.ZnCAjtX464HLp4bp97FEQK5yoSEpMyC	36	2013-08-03 18:06:32.926213	2013-08-03 18:06:52.397317	115		0
7765	1036vmlwvvu4zzcdhsub19ublj	$2a$07$dCeAKcJmaqQ0wIO67p8GneQrccWIGkBvtQgRpMGnUTeoGsaCM3w2q	37	2013-08-03 18:06:32.949955	2013-08-03 18:06:52.52418	115		0
7766	109jl0mmf6yz9ps320jcksr1dm	$2a$07$dw7EehRbb2czKpXZVeWyoOU70b2UNoWt25RXF/mx4y51wLPdx5Rdm	38	2013-08-03 18:06:32.9732	2013-08-03 18:06:52.64966	115		0
7767	109q6hgh0lvvf05a4kru27ua4z	$2a$07$KZJ.xcJirmUXklskMmCaXe/cu9c5CJy6U29ih8Nx7XpnlGZBpVz.e	39	2013-08-03 18:06:32.995596	2013-08-03 18:06:52.792441	115		0
7768	10wfl0erqpic2p27uoqj0otg7f	$2a$07$9bNR.rOvsWJdR0TEbkalienSpCb7Og3sRVJmWFyRSmBIlFUf.9ZAu	40	2013-08-03 18:06:33.019265	2013-08-03 18:06:52.927613	115		0
7769	10ck3pzijip8p0givk66htrl6c	$2a$07$aWy5LM1oPzk.5t4ACNQHFuyZ5odc3HP4tGSsUOsI7Y7nob8I6jdmG	41	2013-08-03 18:06:33.042062	2013-08-03 18:06:53.060895	115		0
7770	1031dno4p2rjbn01l2g9i7sl8n	$2a$07$nrIhixxiQgfTocasakKjIuDoAIE.mkt9br0GcSj9V8Gbbp.Sfj5xu	42	2013-08-03 18:06:33.064968	2013-08-03 18:06:53.1934	115		0
7771	10w0yumzlkjejygmuwtidcmhs5	$2a$07$P/khLSBGll6cvjKJdmEA4uqNdm05b5c/Oz3VztXQmzFrFPfrrhXKK	43	2013-08-03 18:06:33.088299	2013-08-03 18:06:53.334041	115		0
7772	10h3us927yq2xr7nvw2zb9u315	$2a$07$fM8iBvZxe6NfYkC7SzsoleZZjya0nBdFuMoRMJrXeaSl1hFOTakT.	44	2013-08-03 18:06:33.11107	2013-08-03 18:06:53.471305	115		0
7773	10nki9lw324qtnrs4myka5qz7f	$2a$07$G7ytAd1WiHhKVoDAkJ6ytuvaCXuz/ZqF7.N58XYl2NQP832oG6HH6	45	2013-08-03 18:06:33.132641	2013-08-03 18:06:53.619061	115		0
7774	10p53knbjmj5x51po0cr8qlrtq	$2a$07$dqKYYuduQJYoAsGNt6Yo0egiArLUXIS0uwX1e0XVPdn2ZWMuzbx5m	46	2013-08-03 18:06:33.154269	2013-08-03 18:06:53.742811	115		0
7775	10zrs87n84u6942739kj966fvo	$2a$07$rPlfTiZhdWXxbFIHEGp2JO5NqpRHJ2cIz0TkT7C2ZwL2YQerrNjUa	47	2013-08-03 18:06:33.176178	2013-08-03 18:06:53.864497	115		0
7776	100t0tdi6n03edo65voyiksmgq	$2a$07$tekd291frVYiYAQGLI.0FOc1YH.31TJ5lt27Vcn8oRTnMlR6sXBNm	48	2013-08-03 18:06:33.199313	2013-08-03 18:06:54.006807	115		0
7777	10h7z6t6tig9bpv89vfv2omd0l	$2a$07$zQlsBtbAgZSiLVsVfD18FOFFCBNIfxbh/1A3tTDlKqaCzny4EYype	49	2013-08-03 18:06:33.221443	2013-08-03 18:06:54.146816	115		0
7778	100eyfy0low6su3zz8119nabwg	$2a$07$qj9z0qS7HuEqAwbd.yXlZ.HSKMZw67jKdjLM9Ob3/mdbcCbAJlUwO	50	2013-08-03 18:06:33.243077	2013-08-03 18:06:54.292764	115		0
7779	1009biym9a42zoqun7b6vmlx24	$2a$07$V4BhK1sxVHOl1TfaHc1lH.P3tu79gEejqm//75H1ySATBaPtpUJKy	51	2013-08-03 18:06:33.264606	2013-08-03 18:06:54.432119	115		0
7780	10ah66v867o2633d073qezlweg	$2a$07$zbVovlrOiM9VTicSesM5sOYpAdmwfoozA.sKH1TEqzYYMqz6Fg9r2	52	2013-08-03 18:06:33.286034	2013-08-03 18:06:54.562027	115		0
7781	108is88a0bcwaveh3pm53k6dqz	$2a$07$9qZZKf0.5vEt1aTMHzZWXOYtslKMo9KcDcXBk4zBuX50QQFRuQJ/y	53	2013-08-03 18:06:33.308108	2013-08-03 18:06:54.697724	115		0
7782	10xjxuk6dxzqbzq3u6qx1mt3bh	$2a$07$sWapKU7FJ/9KO2m49/wBMu2XOtmnRRkxYbVZ4QzJaJ2fBSQHo5Cke	54	2013-08-03 18:06:33.329416	2013-08-03 18:06:54.947731	115		0
7783	10srv79947eo2znymm8m7d0sqn	$2a$07$3/nhus3MONHOL.gMXk9fGOVZiLIleilIHQOdyg5vfrkMrP52RZI8C	55	2013-08-03 18:06:33.351096	2013-08-03 18:06:55.08671	115		0
7784	10yep85mgzm965q8r0omyz86wx	$2a$07$YciAaBCi.QgEWxV29jQaS.jk9VRDZipxth8R7Q5Ww4VomNAPNBWS.	56	2013-08-03 18:06:33.372454	2013-08-03 18:06:55.221814	115		0
7785	10y0y8kalv1104ydfvp8mfsedt	$2a$07$qETai/s9dRVWypRlr.lYBO3NbiUKfzm44autv6OJbogiiILRD1dui	57	2013-08-03 18:06:33.394184	2013-08-03 18:06:55.362554	115		0
7786	10yh5sdkghc0w283089d1au4mt	$2a$07$kG.4iqyXtcHtnKde6m2NpeaKlWYK5Lq7ie8mVf.ED/emgpUf5FfxG	58	2013-08-03 18:06:33.415781	2013-08-03 18:06:55.920981	115		0
7787	100a9v5ury6o9670y3wji2ll86	$2a$07$qBYVKgsGOI0xml0h4UXVEeQwRey0CKYwDEiwrOPaOT0QHV0ZPaPk2	59	2013-08-03 18:06:33.437282	2013-08-03 18:06:56.435645	115		0
7788	106cua0urddf0o4ss6e3d4p1fw	$2a$07$33fPRoMLRwWIA1EU4aCAMuwL.jyINN8qQ2KLQzsqXBIK.rhm0jGni	60	2013-08-03 18:06:33.458658	2013-08-03 18:06:56.890998	115		0
7789	10ynkwmknoa4kjrm38lfiutywt	$2a$07$n4SPYhyI/sWxSqz2fpqwbu4BFeVuDi46oQ2x21N5ygXdQs3Prewii	61	2013-08-03 18:06:33.480024	2013-08-03 18:06:59.62312	115		0
7790	100hvyakmcos1bgfk8mdzj2txc	$2a$07$maEYLXUUCsO6UnHc.t5ak.GhnXYR0DYbkV2k9jWRmOwb1sPKn7rsO	62	2013-08-03 18:06:33.5015	2013-08-03 18:07:02.504901	115		0
7791	102pzmi79wnx9srun5yzfzc2d4	$2a$07$F4tb4Q0bOObniMH2rU78XeXO3zowXnlooZDSLE7ORa6qLIdaMXL6W	63	2013-08-03 18:06:33.522877	2013-08-03 18:07:05.538723	115		0
7792	1090suub38bziez54l9dotgmeo	$2a$07$x2BRIQoQ8y4Aeaa2GoEAhu5hMG1bnhXzrx.iTMj6Y3nC1U74/3szS	64	2013-08-03 18:06:33.544232	2013-08-03 18:07:06.266282	115		0
7793	10wtpttgigmx8zkrzezi08cjr9	$2a$07$jxt6zVtLPU1/EsO9YPgXPuy/IcLvbCbRH.OzwrfKCumaIb2QFudiW	65	2013-08-03 18:06:33.565706	2013-08-03 18:07:06.396222	115		0
7794	109b9bfbvoo3a09abosfpm88oe	$2a$07$dNX.v6bW4vQejsWOOitJgevOMTc1g8X5fXK3SIqzjH8MB6TRo9WqS	66	2013-08-03 18:06:33.587163	2013-08-03 18:07:11.437193	115		0
7795	10m3osq1d71y6fmzdcsuditoi4	$2a$07$G8cbpWgqFz8PXFf2gejfSuvp9RcyrP2EU/rb.ZKK8R7PgDeHsKj2.	67	2013-08-03 18:06:33.608779	2013-08-03 18:07:11.58341	115		0
7796	10iht56a2ttxljjmx4bbw0q4xr	$2a$07$LuYtHQjZ.JPQy.WPESZQHuTobl/ZuEa.tkfiEmQpp8MZAgJTUQurq	68	2013-08-03 18:06:33.630296	2013-08-03 18:07:11.806756	115		0
7797	10r09p599qs8cn2cq7fsyml1dm	$2a$07$eUzWZxng4X6Gf.c3/.cpdOC1nuKFe47GrencbFlaFrfxX7vPNq1Qq	69	2013-08-03 18:06:33.651628	2013-08-03 18:07:11.995777	115		0
7798	10ba7w5vc6lx98ggn70t5svpgb	$2a$07$pZxs2KxCu1AZ3dEuIq38s.yMYwXkgA/3G6KBSpBYsq1YDGiFVpyOy	70	2013-08-03 18:06:33.673106	2013-08-03 18:07:12.154286	115		0
7799	10mvkw5jbn6iawwpsupe2m7jnn	$2a$07$yac2OlbG/M0SLlGJdu/7Le5FTWCA01rzsDQzJYjQQVSXVZe2RkL/K	71	2013-08-03 18:06:33.694403	2013-08-03 18:07:12.26019	115		0
7800	10lmx4q49od6hb1ry3698ycg00	$2a$07$709z2uUWHciX2CobtQYonOlL729W1QwEUr4q6skfA8ICW7M8PWgLy	72	2013-08-03 18:06:33.715732	2013-08-03 18:07:12.380018	115		0
7801	10q8n12yfu7w024ymatu6eeisb	$2a$07$eSDfrGWrQkmrKEaE.UaZYOYdAOKRJWT6.JqgliFP.Vmq15OqKh8Tu	73	2013-08-03 18:06:33.737411	2013-08-03 18:07:12.520592	115		0
7802	10omjcpvb1m8guh8s30pjn2br5	$2a$07$DmYb7ORjc4b8446WCQmbb.w76rhbPb68KCyhs8gKSAR5ewSA5GRRi	74	2013-08-03 18:06:33.760215	2013-08-03 18:07:12.655799	115		0
7803	10srlfz3uqj6h07kxiba1bd2cq	$2a$07$dQ6kF4Z9kHaLYNtYlVydsuPDxj3kd1QxH9Xztkn3uniLFqb9KZDUW	75	2013-08-03 18:06:33.781924	2013-08-03 18:07:12.79375	115		0
7804	10tx4yeq1j6kv88ixafgwewrnn	$2a$07$FIwDemg85OBdso7dKl1VH.D1erBreV/wP2F7.KeOkVtCzE7guHXwG	76	2013-08-03 18:06:33.805295	2013-08-03 18:07:12.939919	115		0
7805	102vig5te218uew4djwvicywye	$2a$07$KXrMJj9b0b4BjnGHWev5U.iuvIF8pt5Hw7KKSzooD4IkS0MexUbuS	77	2013-08-03 18:06:33.828441	2013-08-03 18:07:13.076131	115		0
7806	10t3imjg72vz7rboxc0ym42vsi	$2a$07$QezPNGRybcl4cAbz.VHyte7jFh17pojJJ.zCaNUItQ3CEXv2ppDVW	78	2013-08-03 18:06:33.852721	2013-08-03 18:07:13.193494	115		0
7807	10encazfouf8omkd26qnyevxy8	$2a$07$DExZPBd9gSwM1KXd9E2YDOus3C452AzUEzF8Na1YJDkuTJpgnPXUG	79	2013-08-03 18:06:33.876991	2013-08-03 18:07:13.346817	115		0
7808	10bu2fkgjbuaybc297ya2u1nly	$2a$07$UI2zZNEQ5kZkflw20YaAWOzKUsGqUhdY4vkqvmuR0Evrif4sBnCnG	80	2013-08-03 18:06:33.90055	2013-08-03 18:07:13.485778	115		0
7809	10ke9bhizo40a1m6ikx45w6drm	$2a$07$T1YpEPCFIiZZbbFNyRClvO39vD.L.Ep/4GIo5NVFz36NCHZi/oqum	81	2013-08-03 18:06:33.922314	2013-08-03 18:07:13.651663	115		0
7810	10ibnkk12n21dot269faax21zp	$2a$07$CRy/tvr.ixTAouGemhAzu.7CAqClFUBP9dIsFDhiQgcQd3ZQSyx1u	82	2013-08-03 18:06:33.943898	2013-08-03 18:07:13.786545	115		0
7811	1077m8hefhwfm8e9mpv0e6rudr	$2a$07$3hSi.SNYfMSWbhVr70AOn.PvSUUs.chgLWzZdoiUldgRXthrxg7hu	83	2013-08-03 18:06:33.967451	2013-08-03 18:07:14.480116	115		0
7812	10g9wuc1z7t1cae1v96ho3l6ii	$2a$07$IqMYESl9AGHL5fW7NZd3r.aOzxdcMYH..B5jRcZXF92HlxCfUrsJ.	84	2013-08-03 18:06:33.995181	2013-08-03 18:07:17.414008	115		0
13339	109e8c3xooyjoa8t0arcbfjxz3	$2a$07$hiwXb3CROYW1D.ua1V5KF.b0nkDzsoVdwvrYVGqCLTB2n.SI/L69a	67	2013-08-03 21:53:36.645524	2013-08-03 21:54:00.16806	161		0
13340	107z9u3jmfaroup5hjsia8ywt5	$2a$07$L8P5IwczwGdbBA3UzxoHpeYKoFTy55EJbMU5XWJBjVGcJVnDFFeEa	68	2013-08-03 21:53:36.679403	2013-08-03 21:54:00.303012	161		0
13341	10bl3pw6qpljkrrfgqopcceru9	$2a$07$9NFRCXRQxnK1Mpqnd6vz8.vioWl.l9m2mAE7DRK7Y5pAwZdsCrrme	69	2013-08-03 21:53:36.708604	2013-08-03 21:54:00.428451	161		0
13342	101pqcd7aehd8onzz6wo2zgw09	$2a$07$hGTD78qEtD3G.H3kxzyax.ZM8AzmNU6H/CAQCWuC/wGjnrtCI.T4u	70	2013-08-03 21:53:36.739392	2013-08-03 21:54:00.572594	161		0
13343	10uexvaxiro9vg3fgvpj4yxzrg	$2a$07$n/poebeyTUXQtfXcEKX/XO5Agiyzlph6Dh4uHWiwV0FO4Jgj3aAla	71	2013-08-03 21:53:36.762103	2013-08-03 21:54:00.731935	161		0
13344	1057os8ef8cso8j7c065rfwpfb	$2a$07$LRP3XkqQLEXd27.VLiNSFOgxtXqHby//MypSBUaf1t/fPR7riXCXC	72	2013-08-03 21:53:36.784025	2013-08-03 21:54:00.863952	161		0
13345	10p7og00ixefdcae8fkyjqhovh	$2a$07$10IYeRHp6Qx9/N3sA5hVIekxJgUOFYxzrpSWY4HPpUbJcj4L/HFnu	73	2013-08-03 21:53:36.806269	2013-08-03 21:54:01.272403	161		0
13346	10g7qleva6scegwt86qclc919r	$2a$07$KY5HdNevN0N.8rhSdhOGDe72Er3IwxGldvbKHkDkKbtScl9FM7K1u	74	2013-08-03 21:53:36.829165	2013-08-03 21:54:01.403266	161		0
13347	10fpai45y5u7rujntbrtwy9l44	$2a$07$lRB3ul0Wl749I5utp1j3be9UPmkEyVphBDCj/pdPmGewI2sRv3eC.	75	2013-08-03 21:53:36.851019	2013-08-03 21:54:01.545212	161		0
13348	105keljcj4gxmpsuu7ieywcgpv	$2a$07$5ThSJ97wl9hd8x38Ay3IJeJGKm4SJJOTf3PMDnO2C5QC5//SlND1q	76	2013-08-03 21:53:36.873385	2013-08-03 21:54:01.704669	161		0
13349	10gi7im64aepb9jas1wdausosf	$2a$07$QPYi0YMDBdSYj4uc9u7JIe/IEEFPB0eN2tm1uOeQdcK2Ealy3PXq6	77	2013-08-03 21:53:36.894649	2013-08-03 21:54:01.818111	161		0
13350	10imreealhal7619ju9yohtpxt	$2a$07$3hEAHcmO4rHL/dq3E54wou078mRRESIPt0BebHxAenXmRMBwayA4K	78	2013-08-03 21:53:36.917123	2013-08-03 21:54:01.975725	161		0
13351	10etau10pwylprwov6rppsaro8	$2a$07$kW2GKKV1JRGtELY2vhyZWuMaWm0km6CGDI/5FV1wh2G3E.OMn/H6G	79	2013-08-03 21:53:36.940456	2013-08-03 21:54:02.117041	161		0
13352	10ttgzcls5yyt3nd5gf86j55ih	$2a$07$YZEOdKopmkgjaK6zHZlp2uY7QpOpk9OCYm7paUFX10n7kSqZ7PBq2	80	2013-08-03 21:53:36.962192	2013-08-03 21:54:02.224731	161		0
13353	106gt833mht6skupcrnrc8y0xb	$2a$07$4MaWw01yXpSqky/cEBuk9.JW7OaCeuyZcj/mmetytoAwzL/4hD942	81	2013-08-03 21:53:36.983664	2013-08-03 21:54:02.580125	161		0
13354	1039rlig2cjjudgbl97e0filp7	$2a$07$0GJY/owTHKUJeBVTedMDfO45tsbDnnH8ldBsmjNI6n/23O4tZSIby	82	2013-08-03 21:53:37.00564	2013-08-03 21:54:02.71076	161		0
13355	104woigrxvo5qmlgtmgs2xb5vu	$2a$07$5jk8gmxkTFIgnN8OHBzcR.gDTW2reNmH/xtMlImmBbRdHy9uZDj8u	83	2013-08-03 21:53:37.027996	2013-08-03 21:54:02.885678	161		0
13356	10s116vdlt8k9d2em29mj1rrb0	$2a$07$Fnj2FuZgVM3l7JMIDYWkSOyuUJQwIFiCmbdQ5thz8XuE/oDWrIh5O	84	2013-08-03 21:53:37.049485	2013-08-03 21:54:05.901543	161		0
13357	102xb8fhzjxs56rkhz4qxor6kl	$2a$07$INPoRDjEQkLDh5bUh4bAbOpKcubFnvH/zfI1sYLdIamBuaO8akIWC	85	2013-08-03 21:53:37.07211	2013-08-03 21:54:06.045033	161		0
13358	1034yekiq2fnwu5fe5dj3tcedp	$2a$07$2IC46aLyDQYL5a51FwuKP.ge7v2VDjcCQoFBJF7LP99/uxCTsiFaK	86	2013-08-03 21:53:37.094303	2013-08-03 21:54:06.180104	161		0
13359	10hnrsm1dy9c27ati1u7fs4nse	$2a$07$p9r2P0jn23kucBo347Iq1ugIwOX5myDgiIAugtxQv1cpMi6LKp9oe	87	2013-08-03 21:53:37.116248	2013-08-03 21:54:06.30586	161		0
13360	10hvtb99ib4evllr6ffm4h04sw	$2a$07$pcJNdHHXpU65ZRdBdttCHuS6zf0efKZKCIqdnJQ.6EDsa3kf9Zkv.	88	2013-08-03 21:53:37.137539	2013-08-03 21:54:06.438731	161		0
13361	1061pvtai2pg8hsctbccp2gqip	$2a$07$gg8ERGrPUVMxtbEWW.baSOM2DbSFh68lGiW3BeWUtkhLs2HyL8JUW	89	2013-08-03 21:53:37.159081	2013-08-03 21:54:07.424655	161		0
13362	10eqrfi568izjo02y6nf9pnmk4	$2a$07$1wF.6z/lzVo4g29aUdDzfOiMfMvgAtxgFIoODiSrFxtZeHwLYvBRa	90	2013-08-03 21:53:37.180336	2013-08-03 21:54:08.41539	161		0
13363	10o8x7lyq00g5d1kmwj3uihosq	$2a$07$tGydyBuF2AQyAnY3K8KhxureyUx1Zsn9847ik6UH0Ht99XNM94.Nu	91	2013-08-03 21:53:37.201728	2013-08-03 21:54:08.548726	161		0
13364	10piq0aurii1p96adpwm2ytqms	$2a$07$v8jpG9wUFhF//igak403LetQO.RqRxZv07LiNLptd0..3ULNAlhQ2	92	2013-08-03 21:53:37.223016	2013-08-03 21:54:08.662299	161		0
13365	10bkarm6nt9rhdyi1u0pl3wo7a	$2a$07$8GEXlAzPPfTSYAgOAE638e5Kx8qDcWyCTQQZFP/TuczVe.aYnuh2i	93	2013-08-03 21:53:37.244231	2013-08-03 21:54:08.801864	161		0
13366	10izrgqztrcsp9w7ftkaliv1wz	$2a$07$g.b0cAr1tiZleGOM9DWEK.vxnxk3kuziknrKGbcDsMn0gOk.r8UZa	94	2013-08-03 21:53:37.265425	2013-08-03 21:54:08.939071	161		0
13367	10lw6j5osw1r07wkvm40hngt73	$2a$07$1w.LRGrVXWb7/lF.3Tj98eMD9ssDP.pVVKoX.vrYoKj20fjHQ4gH2	95	2013-08-03 21:53:37.286752	2013-08-03 21:54:09.105834	161		0
13368	10r4cvg8780f5a6bjnfcdwolk6	$2a$07$nqQw9plZVySsztU/MtEbW.J.bYSjhYsB2Xk7O7YZfBJYiggvd4AO.	96	2013-08-03 21:53:37.307998	2013-08-03 21:54:09.2559	161		0
13369	10824o9nnha57g36vjxbo5mwn7	$2a$07$MQhnt2logqfpSkR2WuodB.TpLD6fP2yKjd.IfzUxlT0XgpN5hN7Bi	97	2013-08-03 21:53:37.330822	2013-08-03 21:54:09.407176	161		0
13370	10c8ws17n5tiz9p4tqybmohbec	$2a$07$f9GK21IvFK6wBGyVnGBh8u6v5m5ZOYO1WCOcIjBe09TLt9iu2iA6q	98	2013-08-03 21:53:37.353808	2013-08-03 21:54:09.556017	161		0
13371	104zpel08i8eu57ozk19i0a01x	$2a$07$/3a2QadV16gjhqFQ8L.PI.km0OKomo5oWvECPP4JOTBmdPYkWX.gm	99	2013-08-03 21:53:37.375372	2013-08-03 21:54:09.690987	161		0
13372	10z9va78ovs32ygi8kr8epx1ny	$2a$07$FNRQsx9RByphZL72bhs8EeqBb6iMqIU51maf8hGZ/NGF0OY1xn3k.	100	2013-08-03 21:53:37.396712	2013-08-03 21:54:09.825163	161		0
13373	1028cer745w22dlp7dp5n988hc	$2a$07$kO4x6y8WNCGJ4qakmbp0XOTB0XDjXBOt1FxHocQ9Wya1r1FbBus6u	101	2013-08-03 21:53:37.417901	2013-08-03 21:54:09.965164	161		0
13374	10828beu2yhpcjkc2z03u596n6	$2a$07$3oYOb7AJjUF8Ry9FPUv.2eDFM6EE8EouNy/nwD.oZwDg.O1topvzq	102	2013-08-03 21:53:37.439159	2013-08-03 21:54:10.099934	161		0
13375	10mgxd2o2p030exr6wtb428x2m	$2a$07$2KCP6AxmeRsypnLvtzQvXeHbpOKTY78.7f/uBtwDX7ydM71cNXm/S	103	2013-08-03 21:53:37.463517	2013-08-03 21:54:10.444897	161		0
13376	10pz8ve4xhvqa3pnr3frpgep7o	$2a$07$mj7PA08tTCjqMLL7A08Av.mQqyLL9IDRF7qmnJEd77rG/cJQybSjq	104	2013-08-03 21:53:37.486124	2013-08-03 21:54:10.822085	161		0
13377	10as47w7e1hjsnr3l75s8xlgmv	$2a$07$WEkAPAtVbkBL8vIDfq./ruo1laft/OEDAYq/I1j/VG15nr8SFxP/O	105	2013-08-03 21:53:37.507509	2013-08-03 21:54:10.957222	161		0
13378	10dszgmx6kuqqtgd1gdgr4m5fd	$2a$07$g4QblblUv8xej9pluG3e9eCXvaX6BDvqGMwhmxDvULZUontqxu2le	106	2013-08-03 21:53:37.52877	2013-08-03 21:54:11.072512	161		0
13379	10xcho4ia10673r3h0zrkjhoe6	$2a$07$7/QmnN0c1665C/QnENZ/be0vMTbMvteeNFj9jsOfPU1W39RXX9CNW	107	2013-08-03 21:53:37.549928	2013-08-03 21:54:11.207135	161		0
13380	10kble5hsxfbisa6eunz9bdt18	$2a$07$ytiIs2qVddBBczAMN.XpYuP9Qp/SnbdRa/xKpwL4EYWM6OLo9zliG	108	2013-08-03 21:53:37.571044	2013-08-03 21:54:11.33814	161		0
13381	10pj84l8mloaq3qtvbngbequb5	$2a$07$2tWuOkbZrQ3iZKU.dVgnpupQe78jzhf84ACLURGpZCg6b8NG1Gj/K	109	2013-08-03 21:53:37.592352	2013-08-03 21:54:11.465523	161		0
13382	108rhz3eoc7vw1967t6oigs008	$2a$07$Q8fnMSRVLMewPl8vAnv3aen/DsyHLJ24mBfBexgdcaCHq/emVtlVq	110	2013-08-03 21:53:37.613719	2013-08-03 21:54:11.663129	161		0
13383	102esoyrzeafk7t5gr2mr8hf59	$2a$07$Zp1m0VoEfXd8hbd/FzQkL.IlG3wDAcUwYmbPg402tsyjm0qE04YS.	111	2013-08-03 21:53:37.635877	2013-08-03 21:54:11.81068	161		0
13384	10dqske7vrrk3xp8kjw3iieirl	$2a$07$cQkIt7ZHhGB9j8E8cItxbeKnh84mUj/5Ni0/rcs6e1.o6HAPe0aMy	112	2013-08-03 21:53:37.658397	2013-08-03 21:54:11.948656	161		0
13385	10vbjktwjtc44ctva3n5rvkfab	$2a$07$Odf5KCLb5MfcPx1QAjfIteDp4IaslUrVp8gucOEeyWnI0fv2qWima	113	2013-08-03 21:53:37.679815	2013-08-03 21:54:12.264499	161		0
13386	10brzv141sz8kbxezw6fatac3m	$2a$07$69D7FZCnjD4xpD6UyhIb2eOhsU9GgtUoaeDPeQmio6rYkjblZkf8C	114	2013-08-03 21:53:37.70134	2013-08-03 21:54:12.511467	161		0
13387	10rpnncodjry08pahjntprlw3x	$2a$07$JoAGpUMun6jJt442.JXWdu5prlm2ej4RF0SYA2LhTp1jDIPj6eZfC	115	2013-08-03 21:53:37.723054	2013-08-03 21:54:12.652349	161		0
13388	107dwscfkzb5xaqy4gsr3d9jbx	$2a$07$rEQHfzmp95fX8nH9JT67Q.zYjkFteFjrQw6mcrCDJOGIsiI7AtSmm	116	2013-08-03 21:53:37.746498	2013-08-03 21:54:12.78935	161		0
13389	10wdrx1yza3lo5rbsxkwz8dzqj	$2a$07$9BMKvSmZ9gCH28GDInkxrORKvHOLHJ1wgMf1Mq3q1bQ9DrDvra2oi	117	2013-08-03 21:53:37.76931	2013-08-03 21:54:12.930804	161		0
13390	10b8ze1d4p6prdpf43rrb4ex2z	$2a$07$/MsiudPaSDN5HCPQoXMuReB5Gzmn0iB8fz3QmSPteEgg7.SXs9s6e	118	2013-08-03 21:53:37.791272	2013-08-03 21:54:13.069904	161		0
13391	1075ji8rt2ry2n62ifszlve7av	$2a$07$oXxosF6AJeB7NqSfO32zNONCZUnrOawT5XF9ml4GbAA0O77E93saW	119	2013-08-03 21:53:37.812767	2013-08-03 21:54:13.205634	161		0
13392	101m5spwo10vps2i8sqp0oj6oy	$2a$07$cTtVxmK3YbsQVrNmNlzoNeNjA4EDamUvisMk3zBiVAEO0o5/vbjNS	120	2013-08-03 21:53:37.834083	2013-08-03 21:54:13.339459	161		0
13393	10755bkhvt648tx9rw9cgyi78g	$2a$07$GhxKS4qSkj0Ul0kV3TfZ8Oitm7fv4mnBNYwlt.lCk9YLNWZ51aJtu	121	2013-08-03 21:53:37.855489	2013-08-03 21:54:13.474201	161		0
13394	10ai62uo9714f8oahez7965a6w	$2a$07$qWOtRoDK4/keNxB3RcOTHeAGKwbYLLW76Os.APvUCP1E.1oI/yPWi	122	2013-08-03 21:53:37.877321	2013-08-03 21:54:13.617234	161		0
13395	10w8u8n61bkz5qt37ppkw6omgq	$2a$07$p6IZJcJx9KdC/3U4ov/xj.o4z0WW2zGV45/QKhyrbc/8apZSO4QUO	123	2013-08-03 21:53:37.899961	2013-08-03 21:54:16.613111	161		0
13396	10y3daawywvkqprukoctx9frrm	$2a$07$yRHSpufUOMYFPNqYpobofuvaRrymnROkUGyHpWpUmBbvBINbiEBmq	124	2013-08-03 21:53:37.921452	2013-08-03 21:54:19.699118	161		0
13397	100ua9e56pglsf2ou0y2y18exo	$2a$07$gkD6SDQxPLnEVOp3xRlt.enIlpCNTT2TvBdQfzi09m2Vh2nEBJt5C	125	2013-08-03 21:53:37.942842	2013-08-03 21:54:20.228808	161		0
13398	10bold4dupcje6ea4l0kaceihj	$2a$07$bfJTNLmMVcOZGZ9ggsJmu.Q8cO3R5Eks8/.2CMDPujXfZzq3l.Z6y	126	2013-08-03 21:53:37.964668	2013-08-03 21:54:20.691603	161		0
11131	10iwq7r5hwgsefkj44z6cu5ydt	$2a$07$8XMXzX6I65LcDlGdBq1yWejIcSuTqqlX2OR6eJk1OyBLz4osw.Y4.	1	2013-08-03 20:31:38.036327	2013-08-03 20:31:41.182562	144		0
11132	10cul1cc1sfyox2sce9b7ow3t6	$2a$07$Hf2fl4Boemhc5jl8Hcytz.hQKUFxTwFdWSJRezU.UYRp4VaHbq.CW	2	2013-08-03 20:31:38.060842	2013-08-03 20:31:41.334882	144		0
11133	10svkbj18xghqwgk2gyfev7afv	$2a$07$FN2oq3NgFeJmuUbOOuYgMOmhSsGjpKP0/3rX7ey4YXeHD2ZoaNHk2	3	2013-08-03 20:31:38.086246	2013-08-03 20:31:41.530559	144		0
11134	10gfudq80vhilnus61ed6d0wal	$2a$07$biLq5b6NYPmicF32O0YefOnsaMrA5aF6bGDo1Xlrn2Qk88N6dl8uO	4	2013-08-03 20:31:38.112297	2013-08-03 20:31:41.692298	144		0
11135	10xlu6igine14er9dg6wzb9a0a	$2a$07$VaJAkb7Ga.h1bxO1itvZYeXBUCCCNxOSAtM3s6BU03bFUfcKkbfo2	5	2013-08-03 20:31:38.136876	2013-08-03 20:31:41.832082	144		0
11136	10x0v0id4uiq79bmwewp8ni899	$2a$07$WcuDqwxp8HOlUZ.1Jvt5A.UySFIWuMdhQ.sJ7SwGnM10EUiUsG0IG	6	2013-08-03 20:31:38.160966	2013-08-03 20:31:41.967331	144		0
11137	10ijg54i4a7abfwtx5xy5ci6wb	$2a$07$yVN9BX1mfnPgMTeJDz5brOpl6JIUQgSIfqsJUGi5XbkoHGdG8EqM6	7	2013-08-03 20:31:38.182729	2013-08-03 20:31:43.077234	144		0
11138	10nsdhzwty2tmdrvcd7od1ov6h	$2a$07$hCDO8dUxH857rLspiZ5/Y.yj7J1xnumRgoc6VHsCxYLnU1amo3ggW	8	2013-08-03 20:31:38.204587	2013-08-03 20:31:44.115508	144		0
11139	10d8runcoj9jlycz7kfxsg49i4	$2a$07$RXeZxLHQZM8G0b24jjHm6.2MkLe7Yalz/GVYFGYTzqf4CC86uyH6e	9	2013-08-03 20:31:38.226026	2013-08-03 20:31:45.201572	144		0
11140	10u3nzbvvani3b01zvp4sm5a3r	$2a$07$IePnEXyTW.tg64Gk3igp1utYHof8nTM612llQ8tpS4UPOswY0h2nG	10	2013-08-03 20:31:38.247626	2013-08-03 20:31:45.391008	144		0
11141	10qjcygnhsyx3ox2yv2m9qfwwc	$2a$07$L4nnSGQfNjfP0c2V9l2H0u10LmB3ua/lWT/Zy2lKtHXBp3mQakhEO	11	2013-08-03 20:31:38.269333	2013-08-03 20:31:45.537056	144		0
11142	10jx8qbjhomq2ar5qh2qarkjgr	$2a$07$2SQUTNadOFYSH87osaRH8ueBBofFHckosQprWyLn82GEsWdlPnD6m	12	2013-08-03 20:31:38.290721	2013-08-03 20:31:45.675406	144		0
11143	10ib55nt9hagt1j7bn326ogrj9	$2a$07$/ca1YLUB2PP.m9p.cJf/dOZnTN4Mve/mzmlIHhUmEqphLaJvInqMe	13	2013-08-03 20:31:38.313132	2013-08-03 20:31:45.830057	144		0
11144	10sn7abnnkuo7evfofajvtl9xz	$2a$07$zJXUTKv3JLg86TVEhaj7DulaTBEGDEHYJaka62sMRoyxgMPD2ITNW	14	2013-08-03 20:31:38.335609	2013-08-03 20:31:45.978229	144		0
11145	100wt1l4pxth7thbtuyax22402	$2a$07$zgZuynaoYrx6MA838HOyr.VKB6giRO8S/XA3iK.x/V4Hj3qFVALA.	15	2013-08-03 20:31:38.357687	2013-08-03 20:31:46.107388	144		0
11146	105nzd8a3wqhw3zoq4a9cpox7y	$2a$07$.Z5wftsPZAlWCQiTSnQQiuvYtviwQgTbdKiM3uywKTMV.SwtxahZi	16	2013-08-03 20:31:38.379302	2013-08-03 20:31:46.232904	144		0
11147	109p886afoqenv8omyg0qs63ps	$2a$07$.2O2LB2U6GT5ovHQS6.aIOhIYmy5c/ujltu5dmwz6LDoqKDtS4xHu	17	2013-08-03 20:31:38.402279	2013-08-03 20:31:46.370464	144		0
11148	10b93ifh0almjwa5yjbc720x09	$2a$07$rAEblSzt34TKtDKEZPy/3eM4cVJtSTlCZKoyBv4UIoXNFN1vQNNy2	18	2013-08-03 20:31:38.425184	2013-08-03 20:31:46.49181	144		0
11149	10mwbkrl58pieq0v2zx46dffjq	$2a$07$w19u1/aMH/prdQUJVEJvM..sWcq4pZYAsD0PFSkioh8gZnqkjUMBK	19	2013-08-03 20:31:38.447093	2013-08-03 20:31:46.610739	144		0
11150	10em69wmt4gg9v2tc911hk52r0	$2a$07$TLSVF3d9x3LFYBpAYHmTm.moctEZD/hVb51j83X8n708JywntFBpm	20	2013-08-03 20:31:38.468733	2013-08-03 20:31:46.744386	144		0
11151	10bmlsxz1pw6hdb2gom2qebvwc	$2a$07$jqQJHm4pve8HFp52Sa90le3KQCTMc0bLemYEJsl7W0d92QghGyqBC	21	2013-08-03 20:31:38.490372	2013-08-03 20:31:46.85904	144		0
11152	10ox1wilawpsixjql6zqzeiyzy	$2a$07$kBhLLsMHs2zKViXaDi5cpeyeE50cPJaLjJEcBl0mU.oQ/..YNfXDK	22	2013-08-03 20:31:38.511972	2013-08-03 20:31:46.992457	144		0
11153	1044ldc5wff0nfjy0dk2b8fa1c	$2a$07$bi/Ic1sWaTpRuVcC1QQBju7vCYBCmQD/uihiyi9bhbzwUNCTz8POm	23	2013-08-03 20:31:38.533466	2013-08-03 20:31:47.130448	144		0
11154	104mwojhktjggsfe8t907966zy	$2a$07$2/6C8yF6YSk6NffcKrw2m.UtWWWlruNHIbJUSGWCnYHQ8dTUbVReu	24	2013-08-03 20:31:38.555944	2013-08-03 20:31:47.241285	144		0
7813	103upiq53xfwdtaj09ui0eoamz	$2a$07$fQ6b8oWd2YXvGuFGsLyLae5TfkA6c8uiDSmqmoBJwGBYotyLFdaEu	1	2013-08-03 18:11:32.051681	2013-08-03 18:11:34.818444	116		0
7814	10rwc7a13g877u8altlt6fqmp3	$2a$07$2aulcRm1tUSGEBkbFmQcauENwIFVMgCpLGMYsLWG8KvZ26u6ei3ei	2	2013-08-03 18:11:32.075722	2013-08-03 18:11:35.326612	116		0
7815	10ty1njmnprwzv3smzra1jtxle	$2a$07$AGbBGNwW75DZcoBbdw.1L.n0.Pju3RePP8lZsNmI5M88LfSBA.XY2	3	2013-08-03 18:11:32.099589	2013-08-03 18:11:35.908571	116		0
7816	106jybl7bnidqmfxt3vepzyos4	$2a$07$okfQZ0oC/XzkPG/8COXd4.FODl5JhOrU1HOmtv9LK18ayMNAYYlEq	4	2013-08-03 18:11:32.12287	2013-08-03 18:11:36.037503	116		0
7817	10t2i1dv4njbe53u5uzdjph4s6	$2a$07$ymaS7LMNoXggXdbm/52ZruY5BdMXgG1jkzHKRUUaTxCsgGYw9UhfS	5	2013-08-03 18:11:32.145741	2013-08-03 18:11:36.166397	116		0
7818	10dj51n0iorarlgtfvjak2yu6d	$2a$07$EH/tnEPV//raJbknA05/eejgrYKlV1tPRCMuUNt7LTaPZlnnQ8lYi	6	2013-08-03 18:11:32.167897	2013-08-03 18:11:36.296175	116		0
7819	10q40cxh4swje7zc98ebt20xoz	$2a$07$nbVt04zZgmV.zsJ61BTl1.yAzlWcPEK.oJ0oJ95kMvPfDacYEChRO	7	2013-08-03 18:11:32.190116	2013-08-03 18:11:42.622083	116		0
7820	10uruo7e2lh1166z8e3sckia3e	$2a$07$iuD8EsYbMWEpoUo1qGXCTeF/RCOoibvCCAhKQOERZXdwxBEim0G5.	8	2013-08-03 18:11:32.213854	2013-08-03 18:11:47.682068	116		0
7821	10ovixo5gzevkbvy90rbtndhp9	$2a$07$p1f4hQkQzZygzdMkEXxBOuf0UDdtb48E04NivoDOiWIqmH4SXHWBu	9	2013-08-03 18:11:32.236648	2013-08-03 18:11:54.360484	116		0
7822	10wm2s9hcrzxsntw9hypvayqpk	$2a$07$ztWjaxrP9I8u40lk4fRwA.ZL1s9mCY9yR3B/sGis5d5YJp2R2dqIy	10	2013-08-03 18:11:32.259704	2013-08-03 18:11:54.476204	116		0
7823	10ibbpcp9d7o1bqzx25ga8eult	$2a$07$u/f..mV9fh52rc5mPPLBxuQq/eg/0rCNJ.xZrIH5zfDRe8KtQwg8i	11	2013-08-03 18:11:32.284755	2013-08-03 18:11:54.609329	116		0
7824	10cw94q7v22k74idsoi90omcjb	$2a$07$i.OpPTIh3SWQrXbkwX0MzeSxXKMLKfEnrTVSc58vmqggfmIUJBQli	12	2013-08-03 18:11:32.309159	2013-08-03 18:11:54.745658	116		0
7825	10azx93y9431up86crsck8xhiw	$2a$07$yXj4RlBKjxVQvPzwNEmmUuRBQozFzgXsOorcNzPd/3rLA0YgMDO3y	13	2013-08-03 18:11:32.333017	2013-08-03 18:11:54.87876	116		0
7826	10kocogszs14lzizfshfyl33kj	$2a$07$xTA57e3VfujmQLQe6./e.e1ZRP8im8zXSbQOx8Wq4DWNtlE3RD9LW	14	2013-08-03 18:11:32.355975	2013-08-03 18:11:55.038563	116		0
7827	10f0ik4mb0kljhr04hfob8bs0c	$2a$07$gXeh/xF2cvM9/RGtReWs7e1fUYj7ILPokqGG7UtFW5P1cWJIdr8t6	15	2013-08-03 18:11:32.37968	2013-08-03 18:11:55.188653	116		0
7828	109keoa9j84dvdtnat3mcfd6af	$2a$07$M6N7MQg4m3yeW8gK0GhBe.qX1lQpkKeudMnWibW9jCqJKBkg1/ane	16	2013-08-03 18:11:32.403707	2013-08-03 18:11:55.356516	116		0
7829	10xlyb8h9f8k4e2irkfjoo2zxq	$2a$07$VFp5iQyHsOtmReL4MLorJuZh1iGyUYIf3eXk5wqSBe02PG.OqtqUS	17	2013-08-03 18:11:32.427503	2013-08-03 18:11:55.643289	116		0
7830	10wt1mmy6c5wtqfnf6cq5gl9sq	$2a$07$IGagD693od3I0ufvfqRMyunAsRAvhVJKKC19clSB/N4Qs8MkRFGAO	18	2013-08-03 18:11:32.450594	2013-08-03 18:11:55.897077	116		0
7831	10qnl4lq0amncpfj96geuy40oq	$2a$07$GKb56yoOIcJpxbNupAuP3e8wJXHji251kpd8HL7iAdtmEwMXFR6gC	19	2013-08-03 18:11:32.474081	2013-08-03 18:11:56.020965	116		0
7832	10cc97mmc1pxlh2iya0je3au3k	$2a$07$Ti3Lj/HOtaLR4Q685y7Q4O06GNMcz2AXA.FzCgE3CLMCf8VSkkVq2	20	2013-08-03 18:11:32.497174	2013-08-03 18:11:56.15339	116		0
7833	10iknuuaz88ehjntxfgovb7py2	$2a$07$yLMVuxTvOUV61dY4fuhAf.91da8YS5EmKSHPkVJyATihbxs77J/g2	21	2013-08-03 18:11:32.520389	2013-08-03 18:11:56.282805	116		0
7834	10iy6h4ewuj3g712gqli3jb6ta	$2a$07$l.MYqZUKRsk3Kf64CTLPMeKvd4xbmeHyKQIKtDz4wS6qA8kOr2KCK	22	2013-08-03 18:11:32.54428	2013-08-03 18:11:56.415951	116		0
7835	10c1hvfjgwjcc5peh6vfwz4ztq	$2a$07$i.y5oSQUBHsLna/wAoNj7.79kGYG9pcEvC6RCD2nuxYlgKtL8hTmW	23	2013-08-03 18:11:32.566655	2013-08-03 18:11:56.542637	116		0
7836	10a5tpm2czfy1ikbq95siikt2p	$2a$07$/o.cHIitLwmzojvF3BfmkumrlcxBGK/g6.1JvP9Qr3UmhNsqLDMhe	24	2013-08-03 18:11:32.589416	2013-08-03 18:11:56.687852	116		0
7837	10r54igiidtcyuflffqo15v9me	$2a$07$AAe4opz8FPY3.m9/b7FDk.448XsIKXoMj6.qfM4WBsLOPKbYxQ2Yq	25	2013-08-03 18:11:32.6139	2013-08-03 18:11:56.814386	116		0
7838	10b6bc9pbeerakgpc89hh3urms	$2a$07$KDCpTeNSRXQaRrj4sI6kTuy40LK0wEo8M3FDI5e1Qlf.TJ2LcejeO	26	2013-08-03 18:11:32.636642	2013-08-03 18:11:56.92139	116		0
7839	105eyybouoootpp99eh20q43mp	$2a$07$zs6kRBCHMKuL8bUfLWf2du8EHoDD2aqbiDLzE42amTaoHbzCLePDa	27	2013-08-03 18:11:32.659627	2013-08-03 18:11:57.027503	116		0
7840	106w4ow7pln1y1nst725dn5lc5	$2a$07$F6Mn4xmagl5FfMdagtvooe1Q7xth8dwpIWlie1A3DWxNuHIpFdSNu	28	2013-08-03 18:11:32.682734	2013-08-03 18:11:57.159198	116		0
7841	1053chgnnh9gw6a4zn6ifuycvg	$2a$07$2qvLRuKxUa7Ea/nu0NfB9eK9RuBElkKpftu40w3/XWjwFgXKM0dq2	29	2013-08-03 18:11:32.704758	2013-08-03 18:11:57.297284	116		0
7842	10f02xezyi3q2lffjfpuo2wnnj	$2a$07$rUqbIHJn86nHQWA3f4wzo.P5ZWGZLQoZvuIXgWXI6yOatX/JuOQqC	30	2013-08-03 18:11:32.728035	2013-08-03 18:11:57.437156	116		0
7843	10m32806t4aqabom6fhjmzzv9j	$2a$07$OTBKt7Xy7Lx.dn4VUMXMzO/6AXnYTdwtGDcm14OkhfDYdVaBpYbxO	31	2013-08-03 18:11:32.74997	2013-08-03 18:11:57.574104	116		0
7844	10jrl9r01nzzzyx9szucs2u2h7	$2a$07$RsGJQzr4ajJk5UvRETKCIuxhZwgZz5dSu9q1/4Xe5sH0kgpSOjudW	32	2013-08-03 18:11:32.772717	2013-08-03 18:11:57.70624	116		0
7845	100f68xcmm916bxlnf5egv7yx4	$2a$07$6LUwd90ZMZyWiEULhPKp/.mstdKLurQKSwyFzCo7ahcTB8m7KUQuO	33	2013-08-03 18:11:32.796843	2013-08-03 18:11:57.857871	116		0
7846	10nqekir26znut4snh2gfvaqym	$2a$07$U57uE8hnDdepWYRkXXwgx.vkpMhRQMGD8.Z7qMaO4Z6TL3Fh0fyNm	34	2013-08-03 18:11:32.830032	2013-08-03 18:11:57.989782	116		0
7847	10nwfrepuiz36am592sdlvbod3	$2a$07$HHdwpqiyozCi74B8uGPgHus3vube09VjLtaOIzjlKyi7baaWvO8Bi	35	2013-08-03 18:11:32.854191	2013-08-03 18:11:58.127378	116		0
7848	10o32u2hkt9wmjuhsu3se2yozf	$2a$07$gDcX0i2qWVvH.bEQ3oKaG.2528zawpsafeWxmapSJQvgkqBO1yjpC	36	2013-08-03 18:11:32.876098	2013-08-03 18:11:58.255081	116		0
7849	105dbjnz5xmh521kmmgm4im1j1	$2a$07$IKaJpLMI8NE3VgDoWSIWuOQtmX0ZpqXmP6bNNzAta7LBCGxV4Kr5G	37	2013-08-03 18:11:32.898723	2013-08-03 18:11:58.384842	116		0
7850	10108v3rketujy5ed6fdpirap0	$2a$07$.duckBxtpEUoFKx4mQT9D.kgUUvEyYIe4Xu0nhpQsQrMZsSYQvaZu	38	2013-08-03 18:11:32.920916	2013-08-03 18:11:58.503145	116		0
7851	10nbnfgorxm7ea8nlbtz6r9lx2	$2a$07$zzQgg/4pxnLo9Bmu1pD94.qu0NmC90fRXabhZTLxnrSTGckpEDlGW	39	2013-08-03 18:11:32.943056	2013-08-03 18:11:58.867319	116		0
7852	10k69ndpu34wveles946l6rjfn	$2a$07$cfKRj3uTMcK5X6vuN7.t6OBSH8M8rxBY9Y2GfU/p0AmL5r0aDhOAq	40	2013-08-03 18:11:32.966528	2013-08-03 18:11:58.984933	116		0
7853	10qsbk9493ip7in371tgxf6gi8	$2a$07$RKUh1y65igFGDhdEhErM9.vEArcHmne8g0Q0bRE.H3EcD.zvY6Xsq	41	2013-08-03 18:11:32.989532	2013-08-03 18:11:59.097883	116		0
7854	10x7jsnw42voh5nupeopkl2qsu	$2a$07$SL1ge9WB6gogqbQog8XrMu.44VasY90Uox4RsznZyZWeAvnNtOeEO	42	2013-08-03 18:11:33.011353	2013-08-03 18:11:59.225258	116		0
7855	1022m290i0d8ckjz0sb56ns5ti	$2a$07$caXJj4VdcWFkFymHG.utNu7D5sS2uX.bboYnyNpfqqydtiDQWWA0q	43	2013-08-03 18:11:33.032606	2013-08-03 18:11:59.364043	116		0
7856	107m9fqed9np4esnkfr7p7nj9s	$2a$07$mGjymVt1t3CIPqmkQt/aFuyXzzTzT7lxFJ0c7GYTC/SbEWuR/Od4i	44	2013-08-03 18:11:33.054269	2013-08-03 18:11:59.513726	116		0
7857	10m5af3o360suqbm4ujhvwggtx	$2a$07$rMNokjdQ1PvkT7hurReg0uSrxlP4yGI4aVA0lYXmd6GX0ZyBHnK/y	45	2013-08-03 18:11:33.076492	2013-08-03 18:11:59.647491	116		0
7858	1008y38ed5p2ttqr1weikz36dr	$2a$07$mnaLXthA7CQk8FgOh8JzzuIsBNXaYbu6oeXvsBXhDt8Ty2iqec45q	46	2013-08-03 18:11:33.098042	2013-08-03 18:11:59.81944	116		0
7859	10h9ibeta4z1ge21hu5ytjpktu	$2a$07$YHb4GaYU0bfG5eMDfEs6ve8hot72rrjLaIB4YOph4H1jAXu9p5Qj.	47	2013-08-03 18:11:33.12093	2013-08-03 18:11:59.999006	116		0
7860	10lfphcyz0zg5a8kvysg4jtdp6	$2a$07$0czdRhtaLI3Z6ktg/NqgBuGuBlbaM9VRA/fA3ataIJs4k42bxNKNu	48	2013-08-03 18:11:33.145544	2013-08-03 18:12:00.138567	116		0
7861	10lg1a47z329c81170h4xjh0ug	$2a$07$derU/lxlSuvXymtFr0mtEuOKg72CufsQmEu1xm8Kaw39KZzC7rt4G	49	2013-08-03 18:11:33.17452	2013-08-03 18:12:00.283311	116		0
7862	10w2qktdjjxdgrt4rh2s2qr1e1	$2a$07$alWOlbirIQyPvGTSTzzrEuMTXLmTJwC1SIExoTyv6nkuNtQuaWGcW	50	2013-08-03 18:11:33.197478	2013-08-03 18:12:00.426797	116		0
7863	10eoqm94v2d5yjo05ycbahlq2n	$2a$07$lppuRYwoQXQUhOV4AYxb4OMczbfQ3SIczfve3VHPDfQAY7Zw6VFhm	51	2013-08-03 18:11:33.219696	2013-08-03 18:12:00.567505	116		0
7864	103iu24s3i77y767u3f1dnzrui	$2a$07$25IH5ysrIB2hUw5pOW1jGO.5xahFfBgdaDdqRPTlcxn.8EKtzoN8G	52	2013-08-03 18:11:33.24184	2013-08-03 18:12:00.710324	116		0
7865	10uqjjqlgjauhj1qvyydqr1m0t	$2a$07$fYuDL.Wso30kCjuzxKmdOeuSMjvNdhJ7uQ6A/dcDFuw.ZbIua2vyS	53	2013-08-03 18:11:33.263995	2013-08-03 18:12:00.847018	116		0
7866	10ksgy3j4izxsj3m3ebxmgvkgq	$2a$07$XPVj1fCNZxYP6UK9G8rSTO/0dN/ZM1SXCtBS3y3TRPGGnb/Ajf9qK	54	2013-08-03 18:11:33.28578	2013-08-03 18:12:00.973038	116		0
7867	10a4zbk5w4ybdfru3g1qfb5w4p	$2a$07$oKH.W0aFHj3SliVRUmHyOOhtK4LzW59czE3m5L9HjtmcPVzWcG0QO	55	2013-08-03 18:11:33.309901	2013-08-03 18:12:01.106429	116		0
7868	10fah3wwgweotmps321bwf1qy7	$2a$07$MC.Kkjd6DSrBhgrRoDZDCuJKdJtoZq2tNdfuaFyoTldTyJ1hVDTfa	56	2013-08-03 18:11:33.334136	2013-08-03 18:12:01.228793	116		0
7869	10ur6lgsbjq6ignwtwr8p1ljjb	$2a$07$5y6pttvqOpeXgA61h10R3OuaURq9H8E.rOfJHIVzhsRQGrthSdAP2	57	2013-08-03 18:11:33.360688	2013-08-03 18:12:01.369766	116		0
7870	10e90jmgcv5n8jf7w3sa7mw1jf	$2a$07$txc8NV0mG1/eGoxfx5s/euOpFrF32tWO53bIurvKk4yEvp5jsh0by	58	2013-08-03 18:11:33.386458	2013-08-03 18:12:01.749684	116		0
7871	10zcy1uaalyi6y1ex34inqvtk8	$2a$07$outoo5hhsZaN.LUJgNxZhObo9cidJFlRzNZM350SyFbLceRoU5NZC	59	2013-08-03 18:11:33.424155	2013-08-03 18:12:02.114803	116		0
7872	102m11ef0nndrs61l0mli6izw4	$2a$07$gx7LMGobUpYOeGL2nW.J.eiibctc7I7NyFl9Xe6A90uTxqNyHlKEW	60	2013-08-03 18:11:33.445556	2013-08-03 18:12:02.406947	116		0
7873	104cdx9nfcgwnabjq99t9gc44w	$2a$07$CzA/JO7okU3YBinCPQWSEeO3jFRJSrCeTf5HyvveN0l3cXN9kTcuu	61	2013-08-03 18:11:33.476397	2013-08-03 18:12:05.409007	116		0
7874	10w27ou5mwory2k6q4co0zonu8	$2a$07$nRo.b0XS8.Jo6GpZ1qHnbeBd38oPjBxJ0CqfJzoRPXDzkhkgyAWbW	62	2013-08-03 18:11:33.498893	2013-08-03 18:12:08.70963	116		0
7875	10xu6ls7l4g89dvce8nhxrr12n	$2a$07$aR.j/.aVKk/RVkeOjYSpi.QiZDJDV.WQchq3xZE4npdd4DfXXSHxe	63	2013-08-03 18:11:33.522232	2013-08-03 18:12:11.719931	116		0
7876	10hvzhmxbpoy8n7phbr2fhzsut	$2a$07$MjTQXBh5gZ0AlD/mBCZrMeFlB64qwkX2z6eFNSsIN03n0FsJpGrdO	64	2013-08-03 18:11:33.545528	2013-08-03 18:12:12.321152	116		0
7877	10caz603zyg1j2w0jbalt9m96k	$2a$07$gbbKNQGsi/acgEXf4duZW.vbSDCjiUZJsvihWhrF0DsCP0NdINGjm	65	2013-08-03 18:11:33.568641	2013-08-03 18:12:12.45151	116		0
7878	10xpycjwub6dll9swanlbxoxbf	$2a$07$noAB9d1kmXVlCGk8pWxSA.VbBZCpJD5UAf3QXUp0AV06cxaWrrVTy	66	2013-08-03 18:11:33.59217	2013-08-03 18:12:18.246071	116		0
7879	10bujlc1496rlxlmwyvtlxbrpn	$2a$07$DhCgsS2vp6WBddQ2sXhFO.HyU3zIS.YBa4WuM5UCe4cHcH4JAjkNy	67	2013-08-03 18:11:33.61779	2013-08-03 18:12:18.381332	116		0
7880	107mryif9xy8y8p46o1l13ww3z	$2a$07$aZQ5pTpldGqOkxTjiECoNezZ51btBmjowADKiU7KjTxdRmhReELSW	68	2013-08-03 18:11:33.642133	2013-08-03 18:12:18.506873	116		0
7881	10efw0bann1xfgbz2q3hg9rcjw	$2a$07$7kHjQii8YGncZj2poK6jhey0Bf6EGQBZMCmz10Yo.YEPdKlgLLdAK	69	2013-08-03 18:11:33.665081	2013-08-03 18:12:18.749468	116		0
7882	10lsy1srvtssgewav905259n9j	$2a$07$67re.bMa6YfOW4nTn8ZMg.NvhMhrgSi8kkj.dpEGWV2vYI/PwgjZy	70	2013-08-03 18:11:33.688182	2013-08-03 18:12:18.881658	116		0
7883	10e7374w6ahvbdfvcxkbv9mpkj	$2a$07$rKplLEPSt4Ofx/YFNYiCCOL/A6YamVQHcm.WOKyjoedghywcYJnLC	71	2013-08-03 18:11:33.717576	2013-08-03 18:12:19.001218	116		0
7884	10gf6jd9ye09dyq9fhhvsokxgc	$2a$07$HqQqennDvQnpbqcU7Nqdu.8nOPFtVmT9pZtBHcVibFHiR0A0KmiS6	72	2013-08-03 18:11:33.742342	2013-08-03 18:12:19.120938	116		0
7885	102xh2sudpjiuc1y6qf00q4o6r	$2a$07$pszl/Wq6NoO0qRBYoJvZ1OM0XOQDw/orPvXXfxtsJ/TK/1/iXex4C	73	2013-08-03 18:11:33.772175	2013-08-03 18:12:19.269335	116		0
7886	103zi87cbej0w4wn9md6bbczat	$2a$07$TJq4fG09T2Hvz8SLjJpKY.Fy6WLogHxfNHFDOQLNC7HCxn6qKtKEK	74	2013-08-03 18:11:33.809316	2013-08-03 18:12:19.417292	116		0
7887	10v7vrixmkl7a382tomjdq4qv1	$2a$07$SQbfrTV/K.OvM3fcdc49b.J8mT8N48kKFUAkPZNwIUrXP/L5zn.jG	75	2013-08-03 18:11:33.831851	2013-08-03 18:12:19.537765	116		0
7888	10yim23lvehajdbipkb47xgcge	$2a$07$bn0O7dGYvfuBwhjpw.OsGemW8JkM0rKNMODD5qjTzAmBi4.ddxLv2	76	2013-08-03 18:11:33.855877	2013-08-03 18:12:19.678454	116		0
7889	10apwz57bnl09bmjn0r6ribv5m	$2a$07$hdqC8tcf2EYANdwsboZ3HuHtfiPit0SKIwEI.76WRXZJDuWa0NFj2	77	2013-08-03 18:11:33.896219	2013-08-03 18:12:19.811982	116		0
7890	10dniqy15cbcejs7ktlj4g5whc	$2a$07$UTEhK979E9K7uUhwCPOM2uwyAprP565YTCy9JSplnMsDY0s2sTDyW	78	2013-08-03 18:11:33.930267	2013-08-03 18:12:19.953592	116		0
7891	10hl9kbuvwpmmhopkgi665rsr4	$2a$07$pwp3GzwgpjktBNJIEqoAWOfkFM2TezTdF1ak8bzpE9KjrVyz8Q7jy	79	2013-08-03 18:11:33.964552	2013-08-03 18:12:20.15147	116		0
7892	10kec5oklejtm03tfd3y6xrzfg	$2a$07$EhpcBclXiaBZWh7QlecyC.Y0jS/XntRZc5vh4vYlM/D3oTPyrubyO	80	2013-08-03 18:11:33.986235	2013-08-03 18:12:20.294187	116		0
7893	103pkabucpbqlpns911mtbqffc	$2a$07$tA7qF3ZlKSnyaRh8N2twA.QygyNGc0Rw3QcP8WNxzJUI2chQ5ysOa	81	2013-08-03 18:11:34.007931	2013-08-03 18:12:20.447927	116		0
7894	10zytoh19d9do33e1iill5w08u	$2a$07$iF1DmHwM/zThsvolK9GIKeI2qus4VzZN09hIpZhx7vI7S.YfyEVKm	82	2013-08-03 18:11:34.029932	2013-08-03 18:12:20.561268	116		0
7895	10dmk6m6iadxqfaywy9kzr0c3a	$2a$07$jvOhzHmB/02XR8YTl5kLKe.vonpUGDEVi0I2GVcRVRJ.pZVOkq5mW	83	2013-08-03 18:11:34.053269	2013-08-03 18:12:20.944842	116		0
7896	106oj1zk0ic8zn4mr9wowej5zj	$2a$07$BIfuLQJUZMLLnvwa6.oOFekyNvT27VqgqTf0mxklwBp.gII23W0Be	84	2013-08-03 18:11:34.077572	2013-08-03 18:12:23.776401	116		0
11155	1000zneq7vq47fxyrb36knm592	$2a$07$vT0joVvno1aNvIAHSCSssO.CNTFJmZDdjZjIGyksMKOu9uDtQcPa6	25	2013-08-03 20:31:38.579722	2013-08-03 20:31:47.335287	144		0
11156	107qy84436pjpapam66tckalba	$2a$07$Tex9n1O0lyuIEo5gtEsK/uHSICghduI.gs96y/WMkox9czyAH43ki	26	2013-08-03 20:31:38.603925	2013-08-03 20:31:47.440371	144		0
11157	10loyvuy9i5ookui3rlzhbb9wo	$2a$07$6iaspX0YBDR7tcSWxHLA9upgtN6mlugB2fxT1LcTKXvgsgLI5ilcK	27	2013-08-03 20:31:38.631581	2013-08-03 20:31:47.547247	144		0
11158	10m9r6srslnxpaevyqvu4tow8o	$2a$07$KvgQFT.sK.650/qQvaEzr.AYonQOYiMvK4DK1WypI8T2gjXNes8bG	28	2013-08-03 20:31:38.65959	2013-08-03 20:31:47.678222	144		0
11159	1031g7bnp1ltgcrwmernttdsia	$2a$07$FD4CKCZ14gE77zcN5kTSQOQlcydxkUX2BJlz5so3/4w/epgL6rjDW	29	2013-08-03 20:31:38.686621	2013-08-03 20:31:47.822204	144		0
11160	102mojda27xsx18e6mhme6aaej	$2a$07$Iz8OdVMPvzQZQZDCU98lQ.Epe9f2riflqsNCYVjHnhJltJI4PoV8G	30	2013-08-03 20:31:38.709512	2013-08-03 20:31:47.963372	144		0
11161	10z4krg1l9zaj40hxr3ntp4pgt	$2a$07$8PPFrpBS9i/64r4IQvRDbOMDdp92AAbSLfV3B5iaP0.8jKgKfndPG	31	2013-08-03 20:31:38.73253	2013-08-03 20:31:48.100163	144		0
11162	107plv47nx74w7uh1cdadhqhiv	$2a$07$XG0GWL.dc7XTZdTtNo5D4e70wYQQQARFaLFN8GJIx1XrTVz37lSzK	32	2013-08-03 20:31:38.756832	2013-08-03 20:31:48.231664	144		0
11163	10z732w9ytucjyvh6zbplhs3on	$2a$07$dy75tCzt/fRkWfC/KpdbwebMLRXoGgocip.MmCaekiW1O82fVD9k2	33	2013-08-03 20:31:38.778693	2013-08-03 20:31:48.358248	144		0
11164	101dctdwei6zg8k38w4njgc5mg	$2a$07$0Lf0h2KYAJuFCZSA7VLQ0ev5MwvcbIi3diMVSPTcTt4GfiDD.98hC	34	2013-08-03 20:31:38.801699	2013-08-03 20:31:48.480388	144		0
11165	108h0cplajzz1hlfa5gr9hr5qt	$2a$07$svbJFjBDJBqwA.Bm9ZIag./P2LUzcJJov8hGIb47zBgHLDWNdQfoa	35	2013-08-03 20:31:38.828979	2013-08-03 20:31:48.589159	144		0
11166	10k2riw0kert0pjxothiagpnbn	$2a$07$iTnPtUQBS8Gi2s3kEHcri.K7tn.GPPPHX7f2BEQDcCQwRIDbJWbZe	36	2013-08-03 20:31:38.863047	2013-08-03 20:31:48.726473	144		0
11167	10r3v1mxpu03zrqqwzx7y4seae	$2a$07$NV24I5lRERJCHy/xbbI9QOPbBYjDtmt3QeC84mjBBnXSe7e8N63Tm	37	2013-08-03 20:31:38.887262	2013-08-03 20:31:48.835734	144		0
11168	10t3coslriwiqcywfk0bki4h4s	$2a$07$oy.J07OCW.zN19cOZ26KcuXOhpwV4BBbkrywTX.hzAOCJkXgo4/gW	38	2013-08-03 20:31:38.922141	2013-08-03 20:31:48.958085	144		0
11169	10m2u5jgpo9lzpy9gamyccl7wn	$2a$07$H9VMJ5Usl08xP6yJoBSTGuq0E6UDtoCUaPXS0Cml4.zu/hgQLlj9W	39	2013-08-03 20:31:38.956526	2013-08-03 20:31:49.076298	144		0
11170	10h5iid3w9cknr1vpx48o0ma34	$2a$07$khJNR2qJmTReWUqoCkB/3euoYgH/bTV3puWqSzb1SwYq6Zpu3un8.	40	2013-08-03 20:31:38.979059	2013-08-03 20:31:49.210361	144		0
11171	10x5ssxx5v0l6ijhx4p4bwve4l	$2a$07$clXgmFdnUpUsKMdD.AHT8OBa49W30x/QNDQ3WSGhKFQsPayfo89Zy	41	2013-08-03 20:31:39.000786	2013-08-03 20:31:49.330296	144		0
11172	10p1dototdyg2vyt0p4m0wa78s	$2a$07$l/2lh514HDAYMKsTBRWbuuCQcNrOmKNbQIljplM4d57wFAMHjbqXu	42	2013-08-03 20:31:39.022357	2013-08-03 20:31:49.464667	144		0
11173	10uq6kc2t2i4c7omsvnfa0now4	$2a$07$b5gMiJwLsA9fv5xtax5i/OEYjXeEbBH9kjAuIuJbzBtjadkzj0VJ.	43	2013-08-03 20:31:39.044012	2013-08-03 20:31:49.614091	144		0
11174	104byhgjymzxiwknvo2f1wfivq	$2a$07$rEVlb.UYQUeCNQDmsfNkGuODC.9MzUtcohSccXoyea4KYpVKLZP86	44	2013-08-03 20:31:39.065574	2013-08-03 20:31:49.738854	144		0
11175	1042dt2h21lmst9d2tb72igiqf	$2a$07$EmEFqqIakLawidDKVYGQKuGmfVODfpDwFqjkPUvr58I2bd/OYcrwK	45	2013-08-03 20:31:39.087008	2013-08-03 20:31:49.864518	144		0
11176	10ml8fc309z4r5n72jruorjkhk	$2a$07$V15taJl17TBGuK1irPNhS.tDok4gql8xy4dKw9RMSx8ghqSYPvwSe	46	2013-08-03 20:31:39.10848	2013-08-03 20:31:50.211422	144		0
11177	10hup50xb6gwct9lkyqvkc4e8h	$2a$07$DvirJLkIz9eq0i/3dURgZ.ZRFkujfDlshajzSrE1oc77CmRhBKAsG	47	2013-08-03 20:31:39.130214	2013-08-03 20:31:50.378655	144		0
11178	10uawy9ag0iq1x9kk43ud65my7	$2a$07$UUtIETg1xnWiSmHayQV1ket1HTFodeUdLVVPF8DYwYiIuYB7vQonq	48	2013-08-03 20:31:39.155616	2013-08-03 20:31:50.554725	144		0
11179	100p5e0gb7nn5uiulxeq5tapyi	$2a$07$nT2Kai6xc16ISScki/S58uFz0UbsaSYYXFml04S5YICL2Tc.ZrCHG	49	2013-08-03 20:31:39.180521	2013-08-03 20:31:50.683556	144		0
11180	10tm36sjaxsgxgepekkubpujkh	$2a$07$ylg9Y.kGMp17TT.lK.IIBO2CD23oNto0DYi7Sq/iecnQiG39T601C	50	2013-08-03 20:31:39.205436	2013-08-03 20:31:50.795346	144		0
11181	10jbp0fd0mw4bgxsec436ifrge	$2a$07$24L7qaMwQDVhs/xiB1X/f.QQGnoRxTCiIvpJsaSqLKZdq3CzaE3Om	51	2013-08-03 20:31:39.235323	2013-08-03 20:31:50.907241	144		0
11182	10a1uqk57rwkaywcpneqifwlo5	$2a$07$yEYeSy0rCGa.px757nAKJe7wzV0CkR7gEF4m/NKMd/dE999lLkSNa	52	2013-08-03 20:31:39.258151	2013-08-03 20:31:51.223393	144		0
11183	100w7gufiml1ojuq3jqyidw122	$2a$07$Kc72hMfJZjFLTGXEC3.VJee3XYPtyHo7yaZt6jHxav9aK/fiQJzlW	53	2013-08-03 20:31:39.279935	2013-08-03 20:31:51.483383	144		0
11184	10rfj8umrl3qhjhqidworgkk5e	$2a$07$0FRSfbW5ZEnqpasxRQehaO9oGGSSd30k9BY.HCCoqmt8C3z5vvpg.	54	2013-08-03 20:31:39.301757	2013-08-03 20:31:51.719203	144		0
11185	10v67zjyzgw9les4crlr236phh	$2a$07$cBrfzbwm7at/.di2qMbi3e44D5jsT5qAIgUU1MoaX233nYj2V122y	55	2013-08-03 20:31:39.324019	2013-08-03 20:31:51.856338	144		0
11186	108sprfc3dofbwzt7n185su2a9	$2a$07$TwZNKifEa6rVsRE0XEAoJu693sCOF6ev904Rmer2KNy.3nLt6ehrK	56	2013-08-03 20:31:39.345716	2013-08-03 20:31:51.989394	144		0
11187	10x52phk71ucn26aon8yised4e	$2a$07$Wm4mS6H9ZvdDGJ2F3nGAd.aeK7bRSiL55keTYmvPLxpTkdczlVnwO	57	2013-08-03 20:31:39.367179	2013-08-03 20:31:52.139013	144		0
11188	10jd3wrd4m80nm6s2askq1ie3h	$2a$07$7MxudQQNJkjXrQyHcy7k2uywMnwm4muMt6ww9YrU2iHiAq9R3C5cq	58	2013-08-03 20:31:39.388711	2013-08-03 20:31:52.31903	144		0
11189	10tyxy981trp55nenqqvapovqt	$2a$07$o7RSdi4oW4vhPCJByM1xsulDR255.X4eraqAS8EBj6cjehAkBPjiS	59	2013-08-03 20:31:39.412006	2013-08-03 20:31:52.625449	144		0
11190	108r7r2xw9628cy13y0m99b1h9	$2a$07$SJMwPvuBmx.A2oql0LDw.e7Rryd70nHd8cSBLSgopVgoY8Y/jdyeG	60	2013-08-03 20:31:39.434388	2013-08-03 20:31:52.929394	144		0
9115	10pdf7p0is2s62lfqrrajxf0qf	$2a$07$kbg29xwtE6cG6R3EpAj4AeuKU8rFnZS9keVv0Nej7EgL.3BfhMy.K	1	2013-08-03 19:11:32.019466	2013-08-03 19:11:35.13243	128		0
9116	10tlqwr8x20d7ac49kjad4i6xb	$2a$07$v9Zt.pQd13.5YcyiZz.mRe/GV1q2/KO2f4TUIiQLc6pgz2QNNmCm2	2	2013-08-03 19:11:32.044965	2013-08-03 19:11:35.299233	128		0
9117	107zfx1pt9vrlwwqwmig40hytg	$2a$07$DW.S9/7/r0U1vq6bp7.hLOTB1yTf8TsHJIc2xG1Fnwx1KeZ1DGjl6	3	2013-08-03 19:11:32.068377	2013-08-03 19:11:35.580147	128		0
9118	109gx6serrpm5a20gln8m533a1	$2a$07$yingnLX4HV2oJTt6W16QP.4nCHIISXo7cz//B00LedVq7UWsaXZuq	4	2013-08-03 19:11:32.106467	2013-08-03 19:11:35.722539	128		0
9119	105uamzylnju55jntv8xynxx9s	$2a$07$x66TnpBF37Fn34EA3NLkBeBfrhv.XrfuYSWV0qJkW1U7kXKcY/kBy	5	2013-08-03 19:11:32.142016	2013-08-03 19:11:35.877717	128		0
9120	10kp1be2myma5sxxkldki7c0b7	$2a$07$gBB8ZuxbKjKL55SZLE/NO.e8Dq.Wm/EKrTaPqH28bzpQazhpU/b52	6	2013-08-03 19:11:32.165004	2013-08-03 19:11:36.030278	128		0
9121	104wcahayz0klrtk0dv5j6tb01	$2a$07$EO1MMRkT3eNrT9a3c8//Zelq1z8uHVM4jmRRxT7UtZxM5OUYq9x/S	7	2013-08-03 19:11:32.188379	2013-08-03 19:11:40.108854	128		0
9122	10j2jkqqrkgylvu678wtro8xxi	$2a$07$YQptFEERh/ZJk4X2EYxoI.OKuXO1FTp1sJl1w5iGTdhC9BhVifhn.	8	2013-08-03 19:11:32.21064	2013-08-03 19:11:44.206127	128		0
9123	10bf7hmiovf65gx1yflueuzvkv	$2a$07$w0iBPIj1rREKBPHlfHrzPeHC22dPWRGS4IQ0nS2mAAuCsLGa/K5Pq	9	2013-08-03 19:11:32.232881	2013-08-03 19:11:48.395646	128		0
9124	10jdnkl90x0qg7mghu3a7lcsy3	$2a$07$I7tVlud5yK5vWd0xiXHbXeScdAEv3pIJFQHeOd0tfuHPO.p3eU.iG	10	2013-08-03 19:11:32.256237	2013-08-03 19:11:48.516127	128		0
9125	10un0gp5xqfjx7bdxh9i097c3o	$2a$07$5PHQZN7tRB8zm9C.H1oRKemUo5Eq9K5oanpyI9L6XUBSprRI0KYR2	11	2013-08-03 19:11:32.278269	2013-08-03 19:11:48.632828	128		0
9126	109936kdf6e1xxdngtikowx8kb	$2a$07$dgPyH1W3E0P3biX/AqZQ8eNYX3G9zV4I3m/CHWI7mVA9Mz9A/2cgu	12	2013-08-03 19:11:32.30265	2013-08-03 19:11:48.749703	128		0
9127	103002p0porjvge9k224czw0yy	$2a$07$/Yy.DK8Uu4SFkONX.iAe1.LlRNa583aeR13mQGW8TH1hULWuSG6V.	13	2013-08-03 19:11:32.32718	2013-08-03 19:11:48.982099	128		0
9128	101cm8kahg65hbkth9is34662x	$2a$07$R1J4svGXsFDLqbSnnMFnO.BrJViNZ.OE/TNu5Xr9cWS1pN8zhY8oO	14	2013-08-03 19:11:32.350909	2013-08-03 19:11:49.272457	128		0
9129	10j2hkedtwwshzcz29fu9nt8d7	$2a$07$SgByeh0hoSs6TaMiZiXNseb0VbyyBMMIy/vQ0reuKjW2GSF9RXaXO	15	2013-08-03 19:11:32.37521	2013-08-03 19:11:49.531713	128		0
9130	102o55vnbctnch82hdnvv1zz43	$2a$07$AZicM5hJt/HBJOuCjYaOoeGPDL06zn68TwdLpOsGSiDKmJq30Rqyi	16	2013-08-03 19:11:32.410408	2013-08-03 19:11:49.667722	128		0
9131	10th5efzlncp40sq5upoitz0v9	$2a$07$D23whXlSYLu3J3yGyF0tyei0HMLVfeIXiQN6fQDJV92dOtjxTQpyG	17	2013-08-03 19:11:32.432002	2013-08-03 19:11:49.816242	128		0
9132	10vgaj6m7ko6dnvz2zw59818an	$2a$07$sCUt4VNfkvl3EuBex1o3yubOfdUyEOV0WG6bYXU3S1xc/l1PGc.im	18	2013-08-03 19:11:32.453676	2013-08-03 19:11:49.933947	128		0
9133	1030ovxoxr2noap8cmacxhoq49	$2a$07$RHrwMkCCGfF8xA/EUOVOh.ZB/M3raikzIkl/3s/va1oaQR42/iGcS	19	2013-08-03 19:11:32.475109	2013-08-03 19:11:50.047961	128		0
9134	10t9738celx158yk29h983jp6j	$2a$07$fA4DcByZNPscnOWdlvpqne9oInwt8m4bDp1j9q9IEAwrkyjFh0aJq	20	2013-08-03 19:11:32.496815	2013-08-03 19:11:50.210864	128		0
9135	10aaltfhq75pxcor8hipk0lvns	$2a$07$xCtVIYON4I8IMfE377uwZunbfVvWpHMiNEaraSTokzyLy8Qt9zfOO	21	2013-08-03 19:11:32.518762	2013-08-03 19:11:50.324779	128		0
9136	10bmpib85onyk0kl8sn07msw1h	$2a$07$oOdp2IBgswjKNRcfkofWIexVCSup/BKTQIXB7qtBSwK6Icr8Sxqe.	22	2013-08-03 19:11:32.540381	2013-08-03 19:11:50.43778	128		0
9137	10vvy48j6kljs6fcr0aitbruiw	$2a$07$Xa7.LHyw0kvHsoXKcVABauf9RDRZiuW.mmEuWllst6zJBt1AqVgN.	23	2013-08-03 19:11:32.562972	2013-08-03 19:11:50.562492	128		0
9138	10pfva66yyhkcyz7y0ldpahmya	$2a$07$.RYOzCz1o9BwM/gyuY8yauXO1wzytE98l43WCQavJofhTubaxb3iW	24	2013-08-03 19:11:32.584865	2013-08-03 19:11:50.666	128		0
9139	10f2pn8wolk5hjvbrkw6heowvk	$2a$07$ecl3D.zIphCcliSYH6oftexUdgt/VuL8gOKy4hVbsZvcRottn5/SG	25	2013-08-03 19:11:32.606601	2013-08-03 19:11:50.787378	128		0
9140	104u8ycg2byt9xhxyyu6r1mwl8	$2a$07$lVyZZV1DdyucvljilMNPmu1uNdrRGRuT2NHZA3Dj86HFRbyzcY4cy	26	2013-08-03 19:11:32.62866	2013-08-03 19:11:50.930806	128		0
9141	10ly7wivg6zv30l3op0ny5gg3s	$2a$07$wssNGoEg9Inam8h2a0vLr.4gqD7fpgveGCIU.GxdoPUnOwAYptvEy	27	2013-08-03 19:11:32.651373	2013-08-03 19:11:51.050439	128		0
9142	10z6mkk278vmdgu7hitmc013ys	$2a$07$sblvYeSPmUR/JtYRC.rkKeMK.Mkvjoz/paKS3fxGPHqP97bFEyW0K	28	2013-08-03 19:11:32.673044	2013-08-03 19:11:51.218481	128		0
9143	106uz9rd6jbnf5u458iv3n1wp2	$2a$07$TKAr4PhE/2tnd0kcbLNr7uDcjB5f7YlRPbuc19nf9E67hDc0XCs8C	29	2013-08-03 19:11:32.694606	2013-08-03 19:11:51.356842	128		0
9144	1070iiryll54d1y9q9p3fbbsrt	$2a$07$9oMwUpqYkdXATK1dm0zvdOI/RLO5iQQU.9DelaH4b1XNefNbSGlEK	30	2013-08-03 19:11:32.716271	2013-08-03 19:11:51.549551	128		0
9145	10dlm7wvx4grg4ppxjf78vnl3s	$2a$07$td6N2NziODv.TSKI/uVIVux0NRNhZiHffI/u9b5cpU95EIX/BfdU2	31	2013-08-03 19:11:32.739065	2013-08-03 19:11:51.668268	128		0
9146	1009kk0woub9wxia0hw47cklpv	$2a$07$S4k.ZmTPLv6IYHvvyevjWOwblRhw9LCaF.d/dbHo8VQA0.A9pmHR6	32	2013-08-03 19:11:32.761097	2013-08-03 19:11:51.790952	128		0
9147	104eqs0mxbh2hnrz7w2srfql1w	$2a$07$t1Iiiz9MmLWHXTyvAXcA7OHeWqhigCOZ0GRVkxFnRoyTXfoMNGp62	33	2013-08-03 19:11:32.782605	2013-08-03 19:11:51.909777	128		0
9148	10b3pwckymm5vneeceibz04l8n	$2a$07$3WJj5fflHeyZbvui/Gy5repAGjXx2jI1TB73aZGWvFdlcCHgAgaM6	34	2013-08-03 19:11:32.804266	2013-08-03 19:11:52.030944	128		0
9149	10amhmnagaa07nlmynnl3m8x2c	$2a$07$sGUDuOUFNJpgQlbExeY8neuiFq47p.5vT8h7oniv/XkstLWRLZ88e	35	2013-08-03 19:11:32.827011	2013-08-03 19:11:52.160231	128		0
9150	10p9pdqvqfdqfsbo5o4ypmgwrx	$2a$07$Kbgpv7sXvjTiy.nP6j/5BeOSl0JBMhxkFx1c.w2P3Az6cR2Gmgjm.	36	2013-08-03 19:11:32.849016	2013-08-03 19:11:52.293851	128		0
9151	10d2trv7zuqspmhdvkfjniuw70	$2a$07$7iezWWlTtDXARrm6jGpY1OF3qV3V6lLHFoOsrgWSOq7mH0TJOtQlm	37	2013-08-03 19:11:32.871168	2013-08-03 19:11:52.423181	128		0
9152	10xgftsi0qt4gs758if294t514	$2a$07$wOC0ZNbFL.BqbZ//f2wu..oc1bum.qL.PHRz.41IkCe97y05.uN1C	38	2013-08-03 19:11:32.8939	2013-08-03 19:11:52.558143	128		0
9153	10unpn5upg8m2wrhrxu06gotnt	$2a$07$cN8jVtkFmwnmcYpiw8WWCuNqlgpvjLBJW7wV6lSoBKHxv8N6LfxES	39	2013-08-03 19:11:32.917419	2013-08-03 19:11:52.661704	128		0
9154	10mgzjnt1tk7svu3okzfrk6dt8	$2a$07$YDGbHPtya6mtkPpQR56wSOWd5H0G0AdL6slEoNQQIooSUoNlIaBd6	40	2013-08-03 19:11:32.941703	2013-08-03 19:11:52.795252	128		0
9155	10ram8n5sf67zizh20udh56l1d	$2a$07$j.j1/4g23UcERW1pY8rDUOtzntKL7DV61KTUX19P7W52g0MOfUJZq	41	2013-08-03 19:11:32.963963	2013-08-03 19:11:52.907276	128		0
9156	1022h3w56o4w0576kht2gz7gmq	$2a$07$J3b/slSVOx3jwC.znpGy7OevC4kyR0oKY9loHqzcQHct3Q43MVYqi	42	2013-08-03 19:11:32.98557	2013-08-03 19:11:53.021501	128		0
9157	10phghf9im0xw0bi0eq1yiptns	$2a$07$mEPjLPC0FKMlpe3IP6Wn7u96KmHIDC1/8bMqgMVG7wIIsbvBteJwW	43	2013-08-03 19:11:33.007131	2013-08-03 19:11:53.149265	128		0
9158	104m0zf3rsxc3xar0eyb57b8qw	$2a$07$MhkA6WvkgvoH7fKJOb7B1.pehEGYOUqabEG/GmjVBbZk9MSgNS/X.	44	2013-08-03 19:11:33.028813	2013-08-03 19:11:53.286824	128		0
9159	10ry3219kt0144i1t7vkkat7dd	$2a$07$VtkVJaOjnhMKh7R0.kJYhe1KPStj0eGFwMqk/WvZDNpYw.UYRqK/C	45	2013-08-03 19:11:33.050232	2013-08-03 19:11:53.446797	128		0
9160	10wxsk6xl8s6dtm41rfhlszblt	$2a$07$ub7WRqengdvEXcqtefMQveU4yoWn0s2qyZ0j2SZUyiEEp6VfyADVe	46	2013-08-03 19:11:33.072033	2013-08-03 19:11:53.676268	128		0
9161	106z231elb6wsi0ghgp3aldyov	$2a$07$8aBQldZ3akMPBw8mBsWrfeq3RVES6H7GB4qyWyuaZ2ydzUzA8OA2O	47	2013-08-03 19:11:33.094191	2013-08-03 19:11:53.8919	128		0
9162	10au501bjt9u5rfwjagukgqe74	$2a$07$JCwJ.q0IcTsa0w8ypSrYU.E6eSagtOXdZcUP22ZwKYUVvzHdHVymi	48	2013-08-03 19:11:33.116554	2013-08-03 19:11:54.116794	128		0
7897	1081d2a9lwq00us563kbklwrpx	$2a$07$qqSLywMkrNmBOZe4xWOsku3BSclf6wAW.qox4TD8ssEZ/iZw2bY7W	1	2013-08-03 18:16:32.042928	2013-08-03 18:16:34.481027	117		0
7898	10y9o4kr5mqpxxbi7olh1nwj5i	$2a$07$o.2M1cUvZ.WEpDk2A8F.rugT9b.dDyUPisXkPKUSRIdQ/49f86MJa	2	2013-08-03 18:16:32.066148	2013-08-03 18:16:35.005155	117		0
7899	10he1tvnfbyehgygg2nhe413tj	$2a$07$IPujVzkKlJz.EgBEKQoqNeZEXq0mRtAzn8zXXYbeAw.2wbsqhlwda	3	2013-08-03 18:16:32.08824	2013-08-03 18:16:35.559137	117		0
7900	10721egbt2ou1x7klvtek6lgz1	$2a$07$35TfTrWe0.fcqWceZu/BGuolwnjCqvEDbaVnMq6zS9dlNVENeawZe	4	2013-08-03 18:16:32.109814	2013-08-03 18:16:35.695739	117		0
7901	10i0go56co153yohcqhz1byklt	$2a$07$XKYI/pALPEh7iyBxTIj36.N.Gfm.chUnDoqN2ZaUKvjmxTYedy0PO	5	2013-08-03 18:16:32.131521	2013-08-03 18:16:35.847374	117		0
7902	10rvol03w1kbhumikihiauph77	$2a$07$rdTRnHUh6HRbO.S.XWDknuYrDKj5nhsDbRtP1k28PlTOpPTWCXvDK	6	2013-08-03 18:16:32.152963	2013-08-03 18:16:35.997258	117		0
7903	10x5h7dyppe16bh5wuv4xradrc	$2a$07$9C6kEG0/vYZicE6rUxRe7O8ycNwhPs.Hm7uDaCTkIMtgwe4twNMCi	7	2013-08-03 18:16:32.174551	2013-08-03 18:16:40.040354	117		0
7904	10bi4q4bvnmvudx2rnmrtfcd4l	$2a$07$4bYh2C/oS4FGHOJLelXdT.gO1BRzxHu.Ux3z25k296A4safQFGV7K	8	2013-08-03 18:16:32.196327	2013-08-03 18:16:45.081586	117		0
7905	106so2q42hpdmvmmefsaumln7w	$2a$07$t7fDFg0rwCg2gf4ZIZgdNO.Hu/UEnFZtTsfCId.vuLwXr0oEQITvi	9	2013-08-03 18:16:32.217935	2013-08-03 18:16:49.593685	117		0
7906	10267rnmm9xig3b7ul2ixcwfcj	$2a$07$p9xs6g4eYffByW3Rh0H7UuGJneN59UOfFyDwMSxmBLH1OzYVEpQVq	10	2013-08-03 18:16:32.239339	2013-08-03 18:16:49.730252	117		0
7907	10e8pivwld74cy4mv4tbojf538	$2a$07$jzTp.T3k8FgptKQaPnYgiuzf/PZVswuRbuQWUcGL8LKIgLJSdqm..	11	2013-08-03 18:16:32.261056	2013-08-03 18:16:49.866453	117		0
7908	10d8leexsev091xj27utmafkj3	$2a$07$u7zKd9./CE.L0IFPJyNSAu1aiXaZZLwZohbe7H6LVg5EYarc1F.A6	12	2013-08-03 18:16:32.282624	2013-08-03 18:16:50.006543	117		0
7909	10x8xr4a64fgxjldzaoyt1mkhz	$2a$07$Nz2Jwo6dhhiV9G6YEN5tUeg5LMnw72FIwPdHoIs1AlflNGebBpf3e	13	2013-08-03 18:16:32.304382	2013-08-03 18:16:50.15588	117		0
7910	10zerrk3d5h02v0uylu38go0b5	$2a$07$ogq7W2hLOhbZoGoMqly70eazeQv44QVxcn2odiAHKZUM85RlexrbG	14	2013-08-03 18:16:32.326116	2013-08-03 18:16:50.320817	117		0
7911	10gylqo1m91toget22bp5vfd3v	$2a$07$NIn4nnT4SIRiHGyH5pNfme4VYU9n666SMwf/OR46WUG/L.yGF4vwy	15	2013-08-03 18:16:32.347918	2013-08-03 18:16:50.491624	117		0
7912	10wpkmgk5ge07v5khwi68i9qop	$2a$07$YsAFrfUKl0mzrLSIbtcXz..Tkxxl2HWg6y3bxE0HQ1nQesTGMcc7.	16	2013-08-03 18:16:32.370304	2013-08-03 18:16:50.633347	117		0
7913	10yhwi4roddq0wakqifj4vkaad	$2a$07$3qiq3vY9bnmUbrA6moV6ZesWkIVmF0lNZ2vxu4JVLNqJ.7x3Znr92	17	2013-08-03 18:16:32.398446	2013-08-03 18:16:50.76379	117		0
7914	10trpa8180ddl5ku2io7ledq7w	$2a$07$tulo9zF0W12Z2boA7RAfX.xQO5ZucFdZ/Qr0oHozszfSi2YRrSPcK	18	2013-08-03 18:16:32.420249	2013-08-03 18:16:50.90536	117		0
7915	10lui21kl4wjttv7bnhes8j2ji	$2a$07$zg3j1M6XnbbxsVKKNk5D.OCZAC4Vwee9xaAj67f9htd2eUDKEKkwq	19	2013-08-03 18:16:32.442032	2013-08-03 18:16:51.035724	117		0
7916	10ib4gj1ucgkp6kj0hwqkzlz6p	$2a$07$gfBMlaAl52vKmWU85bxI0uJqv3M/S40zHEBZFPFGHzNpNxzf1cANC	20	2013-08-03 18:16:32.463598	2013-08-03 18:16:51.149846	117		0
7917	10jykkqdcw6mbirbuqrzcdt2zm	$2a$07$JHCcL7LQNS3r0SjKxHzxc.WcKTKOTTgGwozUi7Pte54t.XXbmNfjS	21	2013-08-03 18:16:32.485258	2013-08-03 18:16:51.281368	117		0
7918	10ma981bim2mox1d6kjqb5cmo5	$2a$07$mJsyJozH7cq2F4YblrzRd.uSCquTcnQpdEqveiaFigopXFJy0.dtK	22	2013-08-03 18:16:32.508495	2013-08-03 18:16:51.423601	117		0
7919	10ciafnw541pq0tto178mkbn2e	$2a$07$itR6mONHEPU6WhfExua3UuVATZp/xm3ZAJv51TK2AxtjmMHO3V7PS	23	2013-08-03 18:16:32.53302	2013-08-03 18:16:51.561515	117		0
7920	10x49wmmtpe4nxhzdhkq9v347p	$2a$07$EVZUU3gyqGda6H9X1.98J.ySA3sApqXLUlFThIhiuk0Gv.isQBZEi	24	2013-08-03 18:16:32.562759	2013-08-03 18:16:51.692944	117		0
7921	10qaqc22nrd4h1ynvbm7ja360k	$2a$07$1JwWR6a/kQsj3OHAv/7mSu/IlJMpBV8sFoh800YENaJEqwNlunSFy	25	2013-08-03 18:16:32.59708	2013-08-03 18:16:51.824442	117		0
7922	10u2yx8yvqv1o137abrv07j14t	$2a$07$voiE68vx1J4vknGa8nbIXe5EsnHwW2WuSoqV7T/NFNmGLIzYgTB4S	26	2013-08-03 18:16:32.622081	2013-08-03 18:16:51.960804	117		0
7923	10n8chqa77zvmdmqaubnmp53bx	$2a$07$TUnWvqZzrX0jhL/P2LyzGePyuZ9lAatxDmj3dGw76Br3wN3XCFhji	27	2013-08-03 18:16:32.64935	2013-08-03 18:16:52.178038	117		0
7924	10i8mbgj0ii5n6nkeiltqhu5zq	$2a$07$MDzQKBLVK0brWF26TyZMEery2SQle2q7n0ehe4qWwy6Ra4t2ym8Jq	28	2013-08-03 18:16:32.670925	2013-08-03 18:16:52.337049	117		0
7925	10v38wrtj4of0s4442zz1rnvfx	$2a$07$Wb0PAfsIyeRmdP61fmlNgODXf1OXf1ribjeqpXIuKomK3sonlCpT2	29	2013-08-03 18:16:32.693371	2013-08-03 18:16:52.480776	117		0
7926	10hvbtsw5xr9n1xpjt301kioch	$2a$07$.DNQ.bITpnWgUeAItlbpUOhASLDuyyZwrYsVBLbhWfr5naIbUBqUS	30	2013-08-03 18:16:32.716475	2013-08-03 18:16:52.625795	117		0
7927	10iaf65r5x9yk8d8ctts4pxjlu	$2a$07$qqftE9p5W3T.c5l2NWXnPe4Ue/W7y0EGihcP1n935K6R/Ab78.jQ6	31	2013-08-03 18:16:32.741181	2013-08-03 18:16:52.761026	117		0
7928	106dljpenhmikz320z1sdxz15v	$2a$07$Oe1petj2u/XbBOFldEiX6OYlE671ihjAa5cJX6ywPp409n0bXnPrG	32	2013-08-03 18:16:32.77415	2013-08-03 18:16:52.896494	117		0
7929	1036908ikkvlbyx47wp845ubyu	$2a$07$9l18W7bNo0yInZ63w1jVN.H9OSJPamfVqXdJiSL4K/XTpayClaIHa	33	2013-08-03 18:16:32.795907	2013-08-03 18:16:53.022369	117		0
7930	10832chuau8862m1focjvlevc9	$2a$07$ZLJlStZzRcpbc68eGH19euDKaZ4eK3eVe4l7SLwwi750N.EIwGxJ6	34	2013-08-03 18:16:32.818726	2013-08-03 18:16:53.142355	117		0
7931	10pwkxx9kqfjuisco4otikqo5t	$2a$07$bx.GDHqpaH6r9Lz7FmcrLed0Ybx/O6/W/iVWjluXYlIDVve9p4.yy	35	2013-08-03 18:16:32.840272	2013-08-03 18:16:53.273583	117		0
7932	10cb6ptrado5pga9n6gbt8prgu	$2a$07$hs1f5OWi1cpiljidcxGoU.KqApT3TjPDWB0eQ5QT2px3T56EVeinS	36	2013-08-03 18:16:32.862608	2013-08-03 18:16:53.387713	117		0
7933	10wmq4yoy3kkb29yq6wyhw5v70	$2a$07$9yP0wkQaFDOI.nycZAquJOnK3d0u.4C6boPz/ecaa7zskQLCQoc5C	37	2013-08-03 18:16:32.884368	2013-08-03 18:16:53.527416	117		0
7934	10e3chnsb4yw459wge11o82jhv	$2a$07$pf7igNXJ2fhgbosovDc9EOxcqhswbnZyJka9R229pVIVnUcm5Uoz2	38	2013-08-03 18:16:32.906034	2013-08-03 18:16:53.658033	117		0
7935	1050mc8j1wsn91d7rx3iv3cgvc	$2a$07$U.mQLKKIvinlTcv.bOBNPu2cdVN9lHDsKb4K6AUCISgh5fvoIzzAa	39	2013-08-03 18:16:32.929618	2013-08-03 18:16:53.796556	117		0
7936	107etusfr372qthk75pqf7hzd2	$2a$07$El1CM3XDbnYlF64x2ewLkOElcIcc524KdUJbCNlNb3z0WiWngYU7.	40	2013-08-03 18:16:32.952152	2013-08-03 18:16:53.935334	117		0
7937	10xcifbiijjer3ssqluvc2dn9n	$2a$07$OzLrlZKJFYnm98njmjEXpue1M6PwkK3X5Mh1BWRBO6Sxh80lp0H0.	41	2013-08-03 18:16:32.973783	2013-08-03 18:16:54.06113	117		0
7938	108xokegbz7ip9gedvawlodiuu	$2a$07$uQ2YWgiTYU76fvLMMTUoe.uK.FEWn84Npk3UnhVX84H3CEEq6kpQu	42	2013-08-03 18:16:32.995454	2013-08-03 18:16:54.170396	117		0
7939	10urgahz9h564g6mojgz9eyaqu	$2a$07$aO1pEPJpukTi9sdKcYXTqOAn38xxi/FpbhNM8BjL0iLlzjaOGRR1O	43	2013-08-03 18:16:33.01735	2013-08-03 18:16:54.311265	117		0
7940	10f2l4swb9ilcgsub8qy06d6zy	$2a$07$BMMVvmvYUmYG1zHjxUQQt.ItdPBhC6goSBUZMR2VNLvQk0CanDVHi	44	2013-08-03 18:16:33.03977	2013-08-03 18:16:54.441339	117		0
7941	10dntiz2cbcxsn17xqx8gyc1er	$2a$07$k72e9jh7vlhO/kQILD2/6ueV99pKf.y9RJ5g99RNmXScj37Z4tOQ6	45	2013-08-03 18:16:33.061381	2013-08-03 18:16:54.602279	117		0
7942	10dfrtkwhomxbyql0grsluwbtd	$2a$07$6RV4DGXHCX8zPGW..H8uYeei7or6gDSehycJF6QJV1VfOvOP1k9wa	46	2013-08-03 18:16:33.083282	2013-08-03 18:16:54.767723	117		0
7943	10bv6h1mjlvwvlmnt5u474r6xe	$2a$07$enatIgYwZCL/WjOsDyCoG.A4mgJV7Mx2mbJK3Lnm4wZV87llKOipC	47	2013-08-03 18:16:33.104876	2013-08-03 18:16:54.911854	117		0
7944	10w0q3pkrnawk19iksyezcfvpm	$2a$07$hL4Cfcwz5V3XpeGE1iGdIeOrBHcZSiMIkdwFAxNM/CC3q2/TzL9zu	48	2013-08-03 18:16:33.126877	2013-08-03 18:16:55.055646	117		0
7945	10e9xqkvobc1suuwv37t8a8dey	$2a$07$WHzM0CycofEBGjbDoLiTX.d.9tTn6B4/Yf.9Dz8.oNsyT5QBV.NL6	49	2013-08-03 18:16:33.1486	2013-08-03 18:16:55.179642	117		0
7946	10yo51ep4kcl2snr6woxlyyvdh	$2a$07$R4QN/KFM1Tsjb8EhTyaE7uMzt0Gr9WWF3r/65GMg8NvchyNLC361O	50	2013-08-03 18:16:33.170372	2013-08-03 18:16:55.307838	117		0
7947	104v3jpwnf8t4pwjafi6x9xez5	$2a$07$IY4.U2Wk4Gy304Qo61xZzOsQpChjVBgDQ8NMntFvebori4gDogiW6	51	2013-08-03 18:16:33.192781	2013-08-03 18:16:55.455373	117		0
7948	10yhz9x687fxpwyfov9h5fs7iv	$2a$07$.U2/JR.lasQct7XKl9k3f.z2HoP2/ym1OU5AV4qjI2IqNF2WEo3cW	52	2013-08-03 18:16:33.216755	2013-08-03 18:16:55.607495	117		0
7949	10hlwsme8cvqzx3rhdidqolns2	$2a$07$wfpV4MG3v7t3tt.vl7oOU.pSFsDbHfVjmMGK6LuVtvpWJD/ZIQ6bu	53	2013-08-03 18:16:33.239997	2013-08-03 18:16:55.759961	117		0
7950	10v0hlnp8w1pli0n72938lztv0	$2a$07$EtsLy88zYIqASTSgHjyghuUIwxIbfctf.VPVUZAf7RCP4sBPATfou	54	2013-08-03 18:16:33.261766	2013-08-03 18:16:55.910402	117		0
7951	10lo90didjz2wae090r3xs23y9	$2a$07$TGIW/KD//sSB6X6iKNJ1k.LwdavLRykAl3CdcsG9A8TXXaRLzqZjq	55	2013-08-03 18:16:33.283572	2013-08-03 18:16:56.046311	117		0
7952	10xp8dabh2zn1aznrvn9y8cism	$2a$07$IjBq999lRG.xark0VfnBu.BzuIHFo6nF/WpNokVVuf9AsKHDs97AS	56	2013-08-03 18:16:33.305971	2013-08-03 18:16:56.174589	117		0
7953	10w0g3rrcxbfcgqkzftcco2rvx	$2a$07$NqO9LesWDhNKFOr8INpeP.PeXqDp3r0pBZy/N0HX3nuXcUrhdfO4O	57	2013-08-03 18:16:33.32826	2013-08-03 18:16:56.288819	117		0
7954	1060axk4pn6mb0ekkk76o6zjo0	$2a$07$LUC/mgLkiYLjeQoWtV6A6usX/8lXVNOgkxOO/kPfVoN4.7mznewJq	58	2013-08-03 18:16:33.35079	2013-08-03 18:16:56.390824	117		0
7955	10d1smg1zt4pxaakmd0j81crul	$2a$07$0Bw38KJe7S2qTYWbnWFZFuvRXPtZFMlfnu1nZnhZHAusaIfbw.IxG	59	2013-08-03 18:16:33.373163	2013-08-03 18:16:56.529515	117		0
7956	10btdgjlzf25uzrziohxwq3qz4	$2a$07$JJvcOAE2LKhjdMDFmJco5u786VdNV7g20vIZTotS8vUHCp1Le5sYO	60	2013-08-03 18:16:33.394699	2013-08-03 18:16:56.685026	117		0
7957	10hjryahjyonu5o4trawt73axu	$2a$07$h3ThO5CIazpT2GrzFLanhe9Chttq4BICOXD/ibGsuqpMjFZP85gea	61	2013-08-03 18:16:33.417206	2013-08-03 18:16:59.465755	117		0
7958	10ma6c0cuh2oc1ab1j2n1tgpve	$2a$07$dgyQhNcZ0x3NSP9dRTMyy.4kyfKeitzYritgxnQVhvMXvIFC2yoAO	62	2013-08-03 18:16:33.438911	2013-08-03 18:17:02.60322	117		0
7959	1083vn0p62srp9hcxmmjgl8aiu	$2a$07$HqIPp855MGrbA57O6NdqVOQ/GXXCgRCVZGH8gFM2nFY02vcnU0KOq	63	2013-08-03 18:16:33.460325	2013-08-03 18:17:05.692545	117		0
7960	10f7oozbnp900hur5s4ng5aro3	$2a$07$6p1FShLoTeAkOfRgPq5PUeRPG761vVdnXXUu9bButQ41PU1eiOliS	64	2013-08-03 18:16:33.482007	2013-08-03 18:17:06.239154	117		0
7961	1002e5ap52fyd34m8fd6bqi2xm	$2a$07$jNCsCRLnajiSrZgNu00alu7DLrb6/KH9IHEG84s8k41XptZrnGJ2G	65	2013-08-03 18:16:33.505029	2013-08-03 18:17:06.404879	117		0
7962	10v97sn1n9vg0n02r1433lspd8	$2a$07$K7.c7cr7cVcJtR4blFJGcuLfvHpb9T5HRZxx.nUFEKC/F38RqAOci	66	2013-08-03 18:16:33.52936	2013-08-03 18:17:10.789069	117		0
7963	10ficga8iwk2t1nlh48pkkm16i	$2a$07$xj.Uli42qw2dZXgqB55sMeW6IbE/2TTzVLhVpuG1dyaWWMeq1V6pe	67	2013-08-03 18:16:33.554082	2013-08-03 18:17:10.930198	117		0
7964	10kw7lwt0r38flru7zo08jwsgl	$2a$07$4mAvC9x3C9orRalT4cmBEOvvWrrSlRxtNY4OuzCQhBEJM1Ohl9uDq	68	2013-08-03 18:16:33.583113	2013-08-03 18:17:11.105334	117		0
7965	107894vsusyhq72f8tel5xj8el	$2a$07$e73yiBgkqbxiC3kf29MqLuc9prjwzgmIYpDfdedXx9qUUqE47iDaG	69	2013-08-03 18:16:33.607094	2013-08-03 18:17:11.30072	117		0
7966	10z4tvwr3hwt7ad2520vhnz87t	$2a$07$Nj6x9HfuaaUPzcQxb0Aeqe3qNNwGyLKVvrMQ0aTo3mbyJbXaHRrYu	70	2013-08-03 18:16:33.630386	2013-08-03 18:17:11.433594	117		0
7967	10emi7i8ss55f6hltmxjunqu4e	$2a$07$aAI.ridVyDppr6J75Q/4Y.tkS5qa/bbnaGqG9kmsJYFVQhiJ2JXYi	71	2013-08-03 18:16:33.65412	2013-08-03 18:17:11.620253	117		0
7968	108nhh9dy9uv4kzsksd244jlzb	$2a$07$PU2e50gf9zuQyQ6i4M1qSO2dcUInmB4KQ8OPvQ4McVS6XXDEqKx16	72	2013-08-03 18:16:33.678013	2013-08-03 18:17:11.773676	117		0
7969	10oj2br2incgvpaa4wazbuv0hr	$2a$07$4MMJIgb5YN4PPD3Qieh6vOc.r9hMqTmEJbiPc0cR1UTeNeulwdFI6	73	2013-08-03 18:16:33.701543	2013-08-03 18:17:11.930609	117		0
7970	10wd7nqbuy43mpe912jm4rsab4	$2a$07$Iv6wC5SDfzDwP.YRGpFrQOP2W0wuT9S0.e9qp3P3kAwL40/KD4Gra	74	2013-08-03 18:16:33.724481	2013-08-03 18:17:12.053721	117		0
7971	10rvvn3b3cdgwg2keutxvc7fol	$2a$07$LsIp7JqMDETKjNGVqPYdJ.qjZB0ezWTzArA/pllqCamleSxLg0Zlm	75	2013-08-03 18:16:33.747892	2013-08-03 18:17:12.179465	117		0
7972	1097n9o8yjomvw6lirb31p27xs	$2a$07$70PxLDU9J96ojFd2.RRbDeV8tw7eKGPov340MYbEiZV1D4jEmS/kO	76	2013-08-03 18:16:33.770279	2013-08-03 18:17:12.31748	117		0
7973	10b59nsei9q1qcx0ffcmxuttjj	$2a$07$D.Rz5cey8jKLy6mHjCSdw.PaQGKFdKLlMGF..CEj.N5O473FQ2qai	77	2013-08-03 18:16:33.792954	2013-08-03 18:17:12.449385	117		0
7974	10ppvd2i5fy1ha7bp3vrnhg8gi	$2a$07$m8//pfhErnHodt21uBsZDeJV0ePYuuD9pBwuprarxG9S2H3BZ7jsa	78	2013-08-03 18:16:33.816974	2013-08-03 18:17:12.580874	117		0
7975	1023kvmci52be1znaoqgji4x1z	$2a$07$YVWuEMpeZIcgsNOXzTExFukVhABmjkK1vk29Q9o59fM1FRujUI/Ku	79	2013-08-03 18:16:33.840422	2013-08-03 18:17:12.731149	117		0
7976	108lo9sfczz0ay9zuqzuw3oyma	$2a$07$8E8atTFBRryXRiDn9qpKUekRZR9bRMrZBx/Ve88ErWaJ4xH6cbzgi	80	2013-08-03 18:16:33.861771	2013-08-03 18:17:12.881045	117		0
7977	10w9vb03r6p4218oxpngyvgo86	$2a$07$7o/SJx67A3KJhq3wTqc06uGTf4NfErvcbPQ.JOhlnZxZ2VWF/uSWC	81	2013-08-03 18:16:33.883572	2013-08-03 18:17:13.030803	117		0
7978	10e88lffvngp9mokwfadt55huc	$2a$07$qnjerr0HHMbIttZ.hQQO6.3CdxgVjROpAJG0ftdaAtY0y9DoAeF1i	82	2013-08-03 18:16:33.904675	2013-08-03 18:17:13.167388	117		0
7979	107zscqrvvve821rqvapdcf2o7	$2a$07$kGgcf6/4IRin8CNoVbrmEeYryMPQPbPXhXIXLI/Gw5coob.fvG1bG	83	2013-08-03 18:16:33.92606	2013-08-03 18:17:13.30273	117		0
7980	10w4c377lc168mfre8hdvxyofl	$2a$07$D0Bh/jcpy48kpAzs5q0aDOABAWSQFNnaLPpqgKlk.Na2aA1muT44u	84	2013-08-03 18:16:33.948136	2013-08-03 18:17:16.178237	117		0
9163	107b9dblsgh97fka082mp5d2mu	$2a$07$I4sxMwzLON3/iDcNxzUHWuCu.o41obTUriU5pbvI2NWrmKXri5GOy	49	2013-08-03 19:11:33.13821	2013-08-03 19:11:54.241061	128		0
9164	10ombxd2p8yuj9iohjpicrimyv	$2a$07$/cectXBQWEihLbA4.HKOHuOX5Ppr8LAgXUfDQ1xQ.vySzI9JRkZPq	50	2013-08-03 19:11:33.159988	2013-08-03 19:11:54.368735	128		0
9165	10ogg0wj2axjs6ijd2fbasbqdn	$2a$07$z62P7hLcSH3wmjyqQY7LmeIad7NWV/fDvgHBGgoauTjSqbxoG0uKK	51	2013-08-03 19:11:33.18148	2013-08-03 19:11:54.503677	128		0
9166	10d5mu8ko63sw30stdjdktlk4n	$2a$07$uUZlCZzALab4ozHMTvkMHe.aBQDQGUTt2mtQMUwTFPTy2D98xjxVG	52	2013-08-03 19:11:33.204151	2013-08-03 19:11:54.626485	128		0
9167	10y971qg668d88oqm1gl2fqzde	$2a$07$1zpm7m5nqgpzRxXkVlXfi.S43zU1YFA.i9v3jgLfFwS.xbyDj7QSu	53	2013-08-03 19:11:33.23672	2013-08-03 19:11:54.74149	128		0
9168	104punvj1o9e3r1gebh91cmo5t	$2a$07$asFfNw3JXeU0W5DEQOPA4.JxAiCIohOLrr8f1z8yFR3aPS1M0OiY6	54	2013-08-03 19:11:33.27163	2013-08-03 19:11:54.861913	128		0
9169	10ddyfkpfwng26liyh4r0c7fbj	$2a$07$eIVTRN7gddxvUwDd5L2Or.hZeH38xh..lRU7FqU4zyv4kCaG54jF.	55	2013-08-03 19:11:33.293416	2013-08-03 19:11:54.99456	128		0
9170	1085dcvic3tx2hn7apewxd4g9e	$2a$07$LApVl6mnHvxYHQ3JpVwSpeY1uk2V4Dz9pul0e8SCazibSJBOhcf7i	56	2013-08-03 19:11:33.315581	2013-08-03 19:11:55.125185	128		0
9171	10tf1ll04jroh17gkl9uagppwq	$2a$07$rqHwtlPBHdTCPIcXg4m6cuNgrbT6.DNRExjr3kj5q0f2PT3Vczb8u	57	2013-08-03 19:11:33.33718	2013-08-03 19:11:55.228554	128		0
9172	10sw09d02sjpeonyu6uedkwu1n	$2a$07$GjqeATxSlVUOaoQvIBa0VejhX/Vv34IgyyRWPF3Q0zpjRCkCH4zQi	58	2013-08-03 19:11:33.361371	2013-08-03 19:11:55.373899	128		0
9173	10rncoijhe9ug99aqf4zpn5i0a	$2a$07$ZcDiXvo7.uN0fWihbLcSM.lUABuF9C86XllAp4GhcJG4ocq5m25pe	59	2013-08-03 19:11:33.384968	2013-08-03 19:11:55.520802	128		0
9174	10b7ni1hu03fbply4qjz1g62ea	$2a$07$KUHvlMjOewFq1NRazLyLAevm9uorMlJYjJcpszlZo1xjTdbrL1c9e	60	2013-08-03 19:11:33.413107	2013-08-03 19:11:55.655475	128		0
9175	105epcu1vcvpvk3wfukd7f10f5	$2a$07$9terY0k9bLqrmhl0C3MbfO6vqvfQRn9trPfSTIS6EwoFAxMd8XS4W	61	2013-08-03 19:11:33.451249	2013-08-03 19:11:58.430805	128		0
9176	10txc3nh2j8x8cbf24al006oqi	$2a$07$.E8zmCn.lYJRPFhjtth20ObdkyO2v2IT7qUprnLUfFaCKwcGBpVmG	62	2013-08-03 19:11:33.472858	2013-08-03 19:12:01.545515	128		0
9177	10hkfndkix7v90gqus0qu466f8	$2a$07$oQsQraMe.sVYtHgC1c3JUOxN9/.W3.j.PLaV.ftdsgL.lNPeFkYkW	63	2013-08-03 19:11:33.494328	2013-08-03 19:12:04.742912	128		0
9178	10towipdkcty3m3h5ucdxil7w0	$2a$07$Wo6IGmbGyQO8Mqp/7WhLpumFp8y65zQ96xnZxGVHaaQOa5NlJ9dTm	64	2013-08-03 19:11:33.515963	2013-08-03 19:12:05.00801	128		0
9179	10400lqcp000qx50fhsoilfulu	$2a$07$ZeRgLFuXrE7PmXFnZHtOoOia/Fc6hYX7vsUtjn.X./fJ35jPdQY/6	65	2013-08-03 19:11:33.537648	2013-08-03 19:12:05.17024	128		0
9180	10cr967iyx7jj9uhkn39qv8zvm	$2a$07$/OR0vpOyP4/obGMM6tjbFemD82kSBCAoM3Y9nSh1BU1MG6vg88ggO	66	2013-08-03 19:11:33.558993	2013-08-03 19:12:09.237131	128		0
9181	106rsjafbtv9paekp6r48apsxh	$2a$07$FRCMMHzIj5oje8Z54.FD2uPdh3BHQmGLFsiOTzw8gGLq.6GgvQ7eK	67	2013-08-03 19:11:33.580369	2013-08-03 19:12:09.373599	128		0
9182	10z4whvvcm5xj0zzqwhapon5yy	$2a$07$u.XuFbjlWZPqjX56dRKnQuBEbGj6QQBMHVQnv7AYlMjFkLSyQk.C2	68	2013-08-03 19:11:33.60348	2013-08-03 19:12:09.566238	128		0
9183	10dse04zasouyv5mu72mnyux2x	$2a$07$.Rzn9XVXagxfccOQJP.VuuS3ft0UJvc3M2V.qinGxiAv2iK.tFeBG	69	2013-08-03 19:11:33.626916	2013-08-03 19:12:09.68576	128		0
9184	1086pxwbvi2awsjzc5oeugn4j9	$2a$07$W2vEwsi9nZ4YjaMxAyT4SOwcAa3fK6zbgxnuqt7yyis9n2VYBHhTW	70	2013-08-03 19:11:33.656269	2013-08-03 19:12:09.811271	128		0
9185	10kv31w9i7mbc459z4f335l6j1	$2a$07$M8m4L2k0ekGCgFJtrF7jQe809u1f55CgJzYS4Sc5v4n4/grvynwk2	71	2013-08-03 19:11:33.685752	2013-08-03 19:12:09.96167	128		0
9186	10qvp93pzdn039f68kf1vfydd4	$2a$07$gTczQz5VMmV2TfyaH5NIHuBtjk/jmIL2qF7q84oJBlucDxdpu3zxO	72	2013-08-03 19:11:33.708792	2013-08-03 19:12:10.084973	128		0
9187	10halcnx9kczjhyaj3f1p8ds0h	$2a$07$o.QE2MfwrLZxCoSDX1gW1uVvvdYCqZEpqj8crF47scsI03FpPJiRK	73	2013-08-03 19:11:33.731194	2013-08-03 19:12:10.225649	128		0
9188	10bpcgrgln1stjgjrztn47gj9o	$2a$07$.y.l7V72nw2sTKi4p/4TDuw9CslRdjvRlg8MfDDtZA1iRIiv0JkCe	74	2013-08-03 19:11:33.754786	2013-08-03 19:12:10.365769	128		0
9189	10ka6n7l69fwt8xfpg18txoz6r	$2a$07$AMartoByVsrsNyzHcALxTe3K/BL24mgZbt6xt5lPTybrIN9R7NKs6	75	2013-08-03 19:11:33.787061	2013-08-03 19:12:10.507145	128		0
9190	10pjv7gzg5ba3tijnj5uc3n2qp	$2a$07$xTGe2f4zUJ7AO2RprD9MTugjqt7s7MSJ5ZyBd9OOHXNIa1KLWUT.G	76	2013-08-03 19:11:33.822089	2013-08-03 19:12:10.690293	128		0
9191	10gttio7wmc4cva1pf0cpnpoew	$2a$07$jpfLZNFIOVXnoW3Ita2KJ.Z6qjsvb2kI5OP7vfDpzcpUCleYv4Vfy	77	2013-08-03 19:11:33.848106	2013-08-03 19:12:10.849622	128		0
9192	10sgco4jli5vnemvzl9pu2rxei	$2a$07$kFWj2I.KKtZczJEBbs9Ja.07p972qjfoByN9I.ptzs.I6ljVOQe9e	78	2013-08-03 19:11:33.871377	2013-08-03 19:12:10.99611	128		0
9193	10iy0vxz5ke8ognaixpw7ip9jc	$2a$07$b.ThBSsTA9lUeukYMGwgO.58B0v6gbYS0lk2voUs6JHEASBKpMZhO	79	2013-08-03 19:11:33.894826	2013-08-03 19:12:11.341209	128		0
9194	10il897slxs0r6bjl0vg8eljzx	$2a$07$5uGLPsxeOmYGkK7dSmDLBeUxNSZuRbooo1EwoBwx8bmzNwtMTQp7S	80	2013-08-03 19:11:33.916369	2013-08-03 19:12:11.476835	128		0
9195	10x3la49catwsn0kxr7ocsaef0	$2a$07$ne1ZuRwlEwNrnn8oW8aDSOO6FntYMvi1BySUjo09oGunStv.BUPHq	81	2013-08-03 19:11:33.939614	2013-08-03 19:12:11.616853	128		0
9196	10ozj6a1s9mzk0nnnwsrwdxg19	$2a$07$8ejeONgFT7/v5M8AoIN4aOfLKrwinBdsJg2gmO9i3m8TnVqc445i6	82	2013-08-03 19:11:33.964046	2013-08-03 19:12:11.757522	128		0
9197	10zs5ta5c0ie8q3ph3nrry3n33	$2a$07$Lq0xfNRx7QgwG9e4eGlus.8CfLD7YxFgkxEnqYlo5vISgHSWat99q	83	2013-08-03 19:11:33.987834	2013-08-03 19:12:11.896424	128		0
9198	10t6zwvg4qv9tuw0fdi9ti6os1	$2a$07$p4XZrN6dECKZywxLjS0ZNunZrI/G19kbG1mY/xLWWEsu8FMd17v7a	84	2013-08-03 19:11:34.010566	2013-08-03 19:12:14.729755	128		0
9199	10yvguflic98ah66zf3cd0s6o1	$2a$07$Y4vhx3wmeOOGn9vWbR6/3OPnO8LgLeXE039KpQ9K/qzQPlH.JS7wS	85	2013-08-03 19:11:34.032611	2013-08-03 19:12:14.999165	128		0
9200	1067k340t6g6kb1r5vdnv991d1	$2a$07$UAf/rwwaFRHvovCc8nreB.irklJtky7Evx5P9SQ5gipxrTfKMGOOe	86	2013-08-03 19:11:34.054265	2013-08-03 19:12:15.20358	128		0
9201	10z9fqzlynsr5z3n9674pwna88	$2a$07$3icuzyghxo0aGZ4TQrmit.Gg0NH7uH7dCowLbxT8nTcUnVOfaqAEa	87	2013-08-03 19:11:34.076379	2013-08-03 19:12:15.348299	128		0
9202	102i7cb4znckw6v0o29hvkkunf	$2a$07$9lEKfu.IeYnhWTSazerk8u2Sa3bsr3DMgGHhEynB4mRFgl/diK/OS	88	2013-08-03 19:11:34.099158	2013-08-03 19:12:15.511723	128		0
9203	1085bogvc66p0vee72mpq7t55h	$2a$07$lZIN51sC4BeP929MRY7BPeKh83Gc/8sbxiW/bTej8dowdxsgZBTrK	89	2013-08-03 19:11:34.120954	2013-08-03 19:12:19.340779	128		0
9204	10f9n9981ma2q9ilewfhbz2npk	$2a$07$NnQ5RlNK5sZEKdEy2DKtDeN49vbop0tgNvbjjffZHFFeY7m9sKd1W	90	2013-08-03 19:11:34.150438	2013-08-03 19:12:23.059572	128		0
9205	10egohj1prtdwmxi4ldiaoygtg	$2a$07$IW5qVsf1i28RJ7cpsoUOJO6b5gcoiqhuF6BwAvYPYKJSq0PMs1XM2	91	2013-08-03 19:11:34.181941	2013-08-03 19:12:23.201413	128		0
9206	10jtai9bcesa0ifi3ttd5r6jcx	$2a$07$CJgILcp73yuLN883lIKf2OuF2Vh0w1i947bsEUxL1IUcJizINNSjC	92	2013-08-03 19:11:34.204796	2013-08-03 19:12:23.334707	128		0
9207	10iynjb8cizbgl5nulmmp2tom2	$2a$07$9jizY8OwJqD1NGCKlP9bfumzvGlAc9vUShTw4D2esKAd/hFs93Sua	93	2013-08-03 19:11:34.228958	2013-08-03 19:12:23.575314	128		0
9208	10kaembh22bn5mmyceys0d3nqf	$2a$07$m58Nzu6NTlXbl5Y33G8QzeWdrI5kviIDMPrOyGZYtlD6/SD3Lyfv6	94	2013-08-03 19:11:34.252364	2013-08-03 19:12:23.80129	128		0
9209	109go8i66u84xd2b5xxji18urm	$2a$07$YViSJDKD8J.Xfl98P17fvOVzVY8OPpKUUFsAlQyVN4sVbR8yhFD86	95	2013-08-03 19:11:34.275329	2013-08-03 19:12:23.923856	128		0
9210	1014disnl9fmgp3dj4gejtf1il	$2a$07$F4zvONz2HRH/Ib0i1lkg9OGxuNSClJTe8gGjEv5aUvf6g/lNY6Y7i	96	2013-08-03 19:11:34.298667	2013-08-03 19:12:24.052073	128		0
9211	10wbp3ry6h4ljrcobff4cn3840	$2a$07$WZcBvl4qIF/OM.kyGroxC.VTcq.NTg1XppAaoJDU7AFNkGJwJYQAC	97	2013-08-03 19:11:34.320528	2013-08-03 19:12:24.178949	128		0
9212	10zikp5wee3c2sv1momvnxd4zl	$2a$07$811LNX4Ne8zWuwPc5mEA9ObJaYEx.Ssg4EecKDHqYRL5nHCAiFv42	98	2013-08-03 19:11:34.343401	2013-08-03 19:12:24.32533	128		0
9213	10qjkqgfvo8dm0ktq6ijbjrdz3	$2a$07$jASLnVi0vTyI275jEem6Ru69GZG50474pUUbOwnfiEIhz/9aI.1ny	99	2013-08-03 19:11:34.369105	2013-08-03 19:12:24.572415	128		0
9214	10m1clxcuzf9iuq4xy85b0yf5e	$2a$07$vY/sqdqcT7AlnMHD24mZNuB.IfCM0tjo/LyPPiKTtfDpZOkWsp9IC	100	2013-08-03 19:11:34.393871	2013-08-03 19:12:24.710797	128		0
9215	10wwkwlnv9uj2n8nykuss1mz4f	$2a$07$2bCyymGvobrxnsvrchdpaOZPdb49gasSnl8kihkW9aT3B2LoBbuwu	101	2013-08-03 19:11:34.42024	2013-08-03 19:12:24.851258	128		0
9216	10mph1dwwtqi16afzt9thb9z0s	$2a$07$pmHSeHanoTuxDNAm1j3p2uXK6jGw5QY6CNtmTB25JlZBcwyStvN4a	102	2013-08-03 19:11:34.448158	2013-08-03 19:12:24.967405	128		0
9217	10ja7c79qtsai4oorpiz2nxjlo	$2a$07$Z2DCP6I.JhAlaL2LuUFsU.77pyvFdBSshu/Lag62Di8z3fqNhk00u	103	2013-08-03 19:11:34.470656	2013-08-03 19:12:25.229482	128		0
9218	10e14y04da4tkdez12sklr0qw5	$2a$07$OzPeWJJp6e3Fo3tgHNknsuuXrUoiEvE26pU1pJHuCxsEnVDVH8/CG	104	2013-08-03 19:11:34.494464	2013-08-03 19:12:25.476812	128		0
9219	10hy5y0aln4619xprm1i3hngb1	$2a$07$c0wYCLdECktWNpq4XEY0x.hWuql6ZEEFRtd/FKWa.VLBFF/4SMhX.	105	2013-08-03 19:11:34.517643	2013-08-03 19:12:25.605753	128		0
9220	10dixu6kd63bwwa6e4duhv6hx1	$2a$07$EhsCALozBLCGai2H2WgPcuOsNaZ2WkYd/WfqL0UL0269ES6LRAwFi	106	2013-08-03 19:11:34.539557	2013-08-03 19:12:25.733695	128		0
9221	10u8wl6k682nrugx025yb9f8u4	$2a$07$cZi7UgGarmpqe3zxVvewHOvAUgGTS/R9/zbaelUX2up5nFqsZI2oe	107	2013-08-03 19:11:34.561387	2013-08-03 19:12:25.840629	128		0
9222	10gn77r2fdkzwy4xq8h8qv5y29	$2a$07$HxcCMhMVxYw1ydSlaO2l6emaXloHwjSrYr9xVBXr.eyNkzXlwVnim	108	2013-08-03 19:11:34.584323	2013-08-03 19:12:25.94224	128		0
9223	10imu31dbhve5tavx9a1kqrfbh	$2a$07$7Xlm7t1D8o82cBwJtZEkveZXjNsSoQf4LmUue9aCiS93G1TkzUAwy	109	2013-08-03 19:11:34.608367	2013-08-03 19:12:26.04292	128		0
9224	109hasbdz7rpep0v6lx9m6yq28	$2a$07$IHR1p7Qsj8ZWxGXdqNwCpup2tUe2AHW/4jipLCT8EiLTBYropjVK6	110	2013-08-03 19:11:34.630425	2013-08-03 19:12:26.160048	128		0
9225	1009rikzxjevpo8boi9ih55m2q	$2a$07$xFsLqGBANkIMQS/yn5HWQOyFA9wi.fnPoyJBAC2Q26iSY40nJAUSO	111	2013-08-03 19:11:34.652625	2013-08-03 19:12:26.299563	128		0
9226	101lgjp4d6jc2mjduyissopwll	$2a$07$B7A1oQ/dyR.j7EVdQjjC..s/S7OH/JM.6AWeUZmEaRdnKwTa1ib.2	112	2013-08-03 19:11:34.676363	2013-08-03 19:12:26.431039	128		0
9227	108rwu75pdt8jnfwv72edo1erh	$2a$07$zCcSgc96DD/cJpHhDSMLz.3qUMDgL3BDpajGjLqY6c.jNzAE9BB5O	113	2013-08-03 19:11:34.698333	2013-08-03 19:12:26.582345	128		0
9228	10gfbvcz15su2tuatggol5dcw3	$2a$07$WmfIFrpc4tOwmaQz5C9EWOYb/IS7Hq0P0OT5rr0zeRSTRHpRd5w5.	114	2013-08-03 19:11:34.722313	2013-08-03 19:12:26.711632	128		0
9229	10p25n75fsikby2s1dsu9qk59f	$2a$07$vR69KIqaGxMfGvaG2k2.c.vBDIAhxiGtS9ftTqcGha.D1zwFQEzii	115	2013-08-03 19:11:34.746131	2013-08-03 19:12:26.968519	128		0
9230	10qksm2727nmrjxwtpdlgx3c2x	$2a$07$RnyLRYP/j.ZpQsfRbmYueedDyhQeh9uKygytmGoz0v8t25ZrRLY6i	116	2013-08-03 19:11:34.769253	2013-08-03 19:12:27.1634	128		0
9231	104mcdi9ca5w2shc2czjvry3i6	$2a$07$9rpFexmXECNetbGzsr3WOOPBVHzvi82HdjLwz90qtiKK5WPE4XwLy	117	2013-08-03 19:11:34.793576	2013-08-03 19:12:27.289374	128		0
9232	10rw6as3krrbe7y9ugnvwak6w8	$2a$07$PrUnX.D1cAoBEEllRdPUkObKOrfmBthUjDO6TrBL1QkBcxSQF96QO	118	2013-08-03 19:11:34.815356	2013-08-03 19:12:27.413568	128		0
9233	10d11hree5fbk5x9byzb4r75xc	$2a$07$lWryCO9MuZNd/p2xlhuBeOtjW6q1oHcwVQEUArkQnJR2I/oeyzG6m	119	2013-08-03 19:11:34.837032	2013-08-03 19:12:27.553878	128		0
9234	10pfprwqldppoj7ac8kuotwsp2	$2a$07$A9JUZ3/guynoYdr/5JYhNedY1Zt/smxLDSwdk2WEopHkfESywM76i	120	2013-08-03 19:11:34.859307	2013-08-03 19:12:27.673485	128		0
9235	10ugdhzbx8vjmqrnqdn6as5rec	$2a$07$kSptG2OOH37jqONAEY0hj.sdjpViAvrFwdy8BGKqoPzv1iH3OSUEa	121	2013-08-03 19:11:34.882077	2013-08-03 19:12:27.772917	128		0
9236	10ufpctk6rgrrb313uv7acbie3	$2a$07$Evp7e8MPKbnXtJK6IFQaxOlyhG1axeXbAxsiFBzRRxmgPCGkkWnhK	122	2013-08-03 19:11:34.904232	2013-08-03 19:12:27.897785	128		0
9237	108mffu65lpf8esaglr20vr4sm	$2a$07$uQeXxjz/i4iFBan4G6GpGed1jhTG2D4httja1rHxxXayCFcScwqmi	123	2013-08-03 19:11:34.92573	2013-08-03 19:12:30.962884	128		0
9238	10cljwg2o1xr83y1mh5vki4lxl	$2a$07$W9AhR25Y4IW/KEpanqcB1.5UYtd7rOldwWsUFwcrXFeiJLShgMIrG	124	2013-08-03 19:11:34.947118	2013-08-03 19:12:33.910682	128		0
9239	1053c0ohoyf1g9ffj1x1sckzbu	$2a$07$1LMPEBLzJD1Nf11fKURVkeDBxX0dWjq/.ypPfJVqQN7JNtz0VEs2W	125	2013-08-03 19:11:34.970805	2013-08-03 19:12:34.039582	128		0
9240	106lugm9xa9ulliomho939cd3x	$2a$07$G2U.pXN5zU1uWUqcYcpJ9O7yAIGMGzhlzjCvWVEswkSRRzN4mJ8e.	126	2013-08-03 19:11:34.993992	2013-08-03 19:12:34.173853	128		0
11191	10rlxk3dkulctossf450p5hoss	$2a$07$o/rdoxjHh4GxCN7wQS35P.rirKDpWkuzi8P9jwGl3Y6vGz9Oi/otO	61	2013-08-03 20:31:39.456552	2013-08-03 20:31:55.517301	144		0
11192	10qp51zpe7lc973kgsyp1hvw0j	$2a$07$kYjZGDFVUVz06AP/DGyDSOqsMxqCDzMjuaD6/MrRL/ORNEGH4mEym	62	2013-08-03 20:31:39.479184	2013-08-03 20:31:58.344464	144		0
11193	10rtgml19zkjj2lg4jigicciyl	$2a$07$MEOkasBDIXb7Lt2tvEOAfORAPZ9K6TOzP8udPXfOpHELX2bOCTxZy	63	2013-08-03 20:31:39.510241	2013-08-03 20:32:01.532332	144		0
11194	107w1mrnx24mgu97pe5n2382wf	$2a$07$QrEIMTEs3MtrD1lUWeV54uHH86rIiqAf7kQcqgFyISxhO9Wi6MG12	64	2013-08-03 20:31:39.546344	2013-08-03 20:32:01.98981	144		0
11195	104yugln9gex5qv0v1d0zrcwdr	$2a$07$xYhNKx0uogbGMxu7DE2QYu1V80lY0MPFuqgXCL0668s218G9f0ozS	65	2013-08-03 20:31:39.574806	2013-08-03 20:32:02.126377	144		0
11196	102v01bqkd28qaqk3h6qb1qh3v	$2a$07$TbLH7D8pG8XUOxmKtAmPUeJgkAras0Gajbk2Hc2uo8hUP5wNE9Szy	66	2013-08-03 20:31:39.597541	2013-08-03 20:32:03.492822	144		0
7981	104nssmuwai30qodj5j8v0gh1m	$2a$07$0dAQpeAZcrT0lV0Sy2y/se89rMUIKeTMG6IQUGQObXxKAD.mb6moe	1	2013-08-03 18:21:32.047181	2013-08-03 18:21:34.418005	118		0
7982	10rtntpjybgwioqus7jjqeyhr8	$2a$07$24xzfA7NAHObpO9XmR672etrtWeCXM58LEdRe9BFIYDx2dxIVCAAm	2	2013-08-03 18:21:32.072325	2013-08-03 18:21:34.621119	118		0
7983	10iv4o3ynhq30gjbevy6u9bsnz	$2a$07$3BJB8G3/CWrL1wsMndDU0.knEoZ9d/a4aOOPKOaV0SB1r94CMD71y	3	2013-08-03 18:21:32.096077	2013-08-03 18:21:34.80218	118		0
7984	107rufynwhihx238bq6cppukju	$2a$07$u7VPjL5JzLTSL0TXlV1yoOXWgl7WeJk30RC.GulymuLMgsJIe6N.m	4	2013-08-03 18:21:32.120012	2013-08-03 18:21:34.958967	118		0
7985	10w2n0ms3bjrkyens6v6tgujet	$2a$07$GArgs89rbq5XT1I.G5MIne5cmdmbIVjoSPNVNnwa231W/hAzEFT3q	5	2013-08-03 18:21:32.144509	2013-08-03 18:21:35.113391	118		0
7986	1063tmucexr2j5fmzc6jb5oaxc	$2a$07$p5ZUdLUIl2bW3gBU6zmBmekxkkitxgZqnF9rysHbf.FdQaW3OEsBi	6	2013-08-03 18:21:32.169021	2013-08-03 18:21:35.265135	118		0
7987	10kyy37zxs262dr74c6fxz21pb	$2a$07$KG8C0FM5LR2uWu6VgEY92Oyp2KwlSYPWkzxSmQsI.oxh7RUV2PYAy	7	2013-08-03 18:21:32.196194	2013-08-03 18:21:39.163147	118		0
7988	10zfgo9kizfzx99umxsoj6sr93	$2a$07$ZoCV4cjmBZRYaHzj1.PS9eJC4kgGKq3Y1r.u9T/FZKJnW0/OGWgl2	8	2013-08-03 18:21:32.221552	2013-08-03 18:21:43.346925	118		0
7989	10gvrp9s2fjnh75ami9povahsy	$2a$07$kPCyeJHo3j8w4z3E.2FLoORym5wjZg6HyHb1BKbW6Pf1tjsgKKvsy	9	2013-08-03 18:21:32.249395	2013-08-03 18:21:46.802009	118		0
7990	10wk1jb838o2hfqbcndakat3v1	$2a$07$kkAlbTzGQ4w6ZLZpSrET7eCynSXdDAYS4vOnZ1UnNeps50ilQ2CU.	10	2013-08-03 18:21:32.275521	2013-08-03 18:21:46.944044	118		0
7991	103mmbjneuhal7x11u9rrvf0ta	$2a$07$DK/ocXpBGvXmf610aA1yae4xIG7lyow6FT1ur0BTOar0BBEd9wzCm	11	2013-08-03 18:21:32.300813	2013-08-03 18:21:47.068759	118		0
7992	10266ajluzo7qrog7metj18wp4	$2a$07$MEPjt5aSRFvYKgMwEiVhQesuyCelCXPkQ29DxG3ImxGTf84Hk7z3q	12	2013-08-03 18:21:32.326717	2013-08-03 18:21:47.205644	118		0
7993	101vf92hedupaxf9xawynvyppu	$2a$07$yuIV3j9D.4eeoz4ylvKOA.8DE7W/jIMYc3OJ46BDp17Sh9KFEj7Vi	13	2013-08-03 18:21:32.352628	2013-08-03 18:21:47.35398	118		0
7994	10vretpc9nn8zmj44cxnaftck3	$2a$07$DZhFQn3G.ra6wCpmwAjAcePfwF0fzsfWTpD9w91uhPDvW4JV1wZHW	14	2013-08-03 18:21:32.377026	2013-08-03 18:21:47.486773	118		0
7995	10f2knfkm3i7dj9psi3hgtg32c	$2a$07$7EmjiD6baVzrCKq5Uf/P4.OwIsmrPSc2syi2xdIRQ0rcr0oYpvD7e	15	2013-08-03 18:21:32.401521	2013-08-03 18:21:47.717856	118		0
7996	10emnfxcr1x8fy0xaiiz1d4hx1	$2a$07$XBzv58kASYu3AFRkGxtxHe6vYEzzPfK3daKFWpow6tLSW5ENFAZpS	16	2013-08-03 18:21:32.427473	2013-08-03 18:21:47.919425	118		0
7997	103dud4jw9z6fd6w2sickz1crw	$2a$07$0QJk92311qFx3M5Pz3BXBOw7nKCYLvxiXAhm6HHozmTj33YbZWpJG	17	2013-08-03 18:21:32.450851	2013-08-03 18:21:48.063311	118		0
7998	10o2vhfjw2kv3iikbnx0n4rul3	$2a$07$5GX6UwTDrVoV05IRk/lOkedYxm0mx69XRTM7eLUkg0mjouMackHty	18	2013-08-03 18:21:32.47684	2013-08-03 18:21:48.243888	118		0
7999	10txfilui9r82kskr5cvia78mb	$2a$07$.WJPerZbJ4ap/n1k5AKbVe1jmB4afT7VImtyJixPf5jhNvB2wGlxK	19	2013-08-03 18:21:32.501373	2013-08-03 18:21:48.369396	118		0
8000	10p09fm8767s6qrdekw8fiarbo	$2a$07$h8N.krJMUo9aga7xDbeqKuoKOw8xfvZhPLXwp2Od.qVVIv05fbCzW	20	2013-08-03 18:21:32.525317	2013-08-03 18:21:48.507657	118		0
8001	10pfmmovcx4jtma8ryoykd9xnl	$2a$07$kIwyYcTLtXCE2vT13/InT.3RHZ2pnN85MOEtSXiS89kFxcda8Kzzy	21	2013-08-03 18:21:32.549236	2013-08-03 18:21:48.642308	118		0
8002	10v0ohe4v432rqqhetqs2ez86n	$2a$07$gwlfqTB.VOh6OSKyUrdlTudISrgiG.NaZobpgdzXQ4fWxuzSMewuC	22	2013-08-03 18:21:32.573582	2013-08-03 18:21:48.775241	118		0
8003	10kwepd7t9v5j28pba5ngq6dsk	$2a$07$ihUWd/53gkttk9q7wWrwsuISE39JoA5VUpo7JbqOLDShSRQ3wp8Sm	23	2013-08-03 18:21:32.596768	2013-08-03 18:21:48.905207	118		0
8004	10pm2sof9skgtrxzp4a59k9hku	$2a$07$DqTNm08Awgl9zVYUeIkoQueB26l2/x.XYSYk47p3/SZbhXCbRUsUu	24	2013-08-03 18:21:32.621084	2013-08-03 18:21:49.025704	118		0
8005	10m96iyg1sukzeyaxde9zgy6st	$2a$07$ZHXRXQs.D6/chEjbUiaWI.3eZdmbOOPqER2W8qGJt8VrlsvG9b6A6	25	2013-08-03 18:21:32.661773	2013-08-03 18:21:49.15972	118		0
8006	103sz48p16k48avuijh5pewqut	$2a$07$Q8qxUHtZcfvMNGkXxgGFTed5COdAniVrtOC1gsuBq2pcSLyI5Ync2	26	2013-08-03 18:21:32.696045	2013-08-03 18:21:49.292999	118		0
8007	104dfxmp9tvl4rejeiias501ur	$2a$07$iLNUyafgpqbRV8vzhaf/W.R6bVbpGhouWhE/z5RkUNAZOad01tdyS	27	2013-08-03 18:21:32.721264	2013-08-03 18:21:49.403107	118		0
8008	10zzyr0i9vy6i5nv6pkxkbmw2k	$2a$07$skDW8lyZxysjSipK8Z3Hh.PS79VaAoc6oax2j0McA.AEUUUbDohOa	28	2013-08-03 18:21:32.743933	2013-08-03 18:21:49.729155	118		0
8009	10j97le90nl9m68101dusllgso	$2a$07$xDtlyCQN4NK1nu.xDpWDKejlrxxcRLt1QnSggh1unRMtTYbF/cvkW	29	2013-08-03 18:21:32.76696	2013-08-03 18:21:49.867325	118		0
8010	10e79oqca50rxu2c38u35aepg0	$2a$07$YgmaCr.aoZ1pS3uNQQDfteOQpCJEKM1pNPvbX.gWi4xaasysatXMC	30	2013-08-03 18:21:32.791216	2013-08-03 18:21:49.974626	118		0
8011	10sy7778b3p726dispk1otki0a	$2a$07$cagJYibKadaU8feTitIK9Os9t9Ifmh9IMtvCGQd/75JFc7SQnn1gW	31	2013-08-03 18:21:32.814246	2013-08-03 18:21:50.13714	118		0
8012	107g6wz9bc3fhopd9zxm1w7r7r	$2a$07$6f9xIdsxtFDKWdt8F6BTgOv89spClHgG9y9M3W9M/gXD8CsY7V4ea	32	2013-08-03 18:21:32.837466	2013-08-03 18:21:50.296167	118		0
8013	10t094de3aw8xnpthh31ce1uou	$2a$07$gS5ccqD4Yjebg2070PE8KuaP.Dh/yUcDwytYFKWiH7gJgupONTgQ.	33	2013-08-03 18:21:32.86125	2013-08-03 18:21:50.443652	118		0
8014	107lnydyipothe2ibo5syxu4aw	$2a$07$9E9ZnUpZItek9UkZcUI5weucef1YZOTr0lFfo8b4/ZJEBYKdWZCli	34	2013-08-03 18:21:32.88458	2013-08-03 18:21:50.564564	118		0
8015	10hhrzl1ecvbqwjh3w29szpfj2	$2a$07$n9FDqY5.RKVFTVTpon6p9uVGY2I948L2n9p/x/kkhPeky3Q8FXGYG	35	2013-08-03 18:21:32.911147	2013-08-03 18:21:50.70418	118		0
8016	10aksbzzxmszdgp2nnq4iozi6k	$2a$07$tqM4gsB.jEOa6H3QyRzFLu3YVOK0H3/VAp1YWg/f4Qf0QY6sFYUM.	36	2013-08-03 18:21:32.940453	2013-08-03 18:21:50.834648	118		0
8017	10d7fz71d79qbnvhmn0jlkqulq	$2a$07$6.gA/c0JH4Ugm3HMPN1kW.LRJutBkuGv5dBhHQ/1GcLIOPxptBtZy	37	2013-08-03 18:21:32.96546	2013-08-03 18:21:51.000468	118		0
8018	10lv5e3z04bn57v4vovz5bdmy2	$2a$07$bTkTNgJL6D9znHo6VjxDp.ExY2tmI1XUnbBwXyXfn/oGR2iFyNW4W	38	2013-08-03 18:21:32.988736	2013-08-03 18:21:51.16653	118		0
8019	10w3ciupe6t0hwsq88nmzp3lam	$2a$07$yB6S9UP1LjqJwB16wJVFEeercNpCczNJ99k9J0SniOtgp9XtmzS6.	39	2013-08-03 18:21:33.012704	2013-08-03 18:21:51.299377	118		0
8020	10aezzxdy35w26mgbpx5hi53jz	$2a$07$bjTIwuN4vYwSxWfS1neJoelOP/5iUqA/nmqv.uepQPIInIwohGevG	40	2013-08-03 18:21:33.036902	2013-08-03 18:21:51.434833	118		0
8021	10xa5i14rirs4c2qwfopsa9k63	$2a$07$5Fm7HYRCDxqX3xbNORm4GOc1XYn3LTfSuT7eWyzeJodR/IEVM0Rt.	41	2013-08-03 18:21:33.060156	2013-08-03 18:21:51.557221	118		0
8022	10xn8zrsep5nwwjbqzhyrra8vz	$2a$07$2PDj7j0kPy1uHdzTuMtM3eY/nXwurDcdEyLod5frFafcijbQCVNVu	42	2013-08-03 18:21:33.083996	2013-08-03 18:21:51.722247	118		0
8023	10n11sn56aojub0gqzowtw6x1e	$2a$07$ht.S/YUpZr7eUt9/p.iEneR5o60ZNa0imb6BDE9oUjJuBLQc.SA/m	43	2013-08-03 18:21:33.112189	2013-08-03 18:21:51.93973	118		0
8024	100sfwb6cueopqgeic3d714c1n	$2a$07$vFyyChEyXbX7sujLhha2a.X8ksWA8e61mu.WrG7VQHvmlhXwFZyKC	44	2013-08-03 18:21:33.135609	2013-08-03 18:21:52.151402	118		0
8025	100fbqhtstbrr7e3f3a34w7qy0	$2a$07$gU/uKxl6kkhFMxR501qYUOtDLDrTSc5RkF5xtragx1XprpiZ.WzOm	45	2013-08-03 18:21:33.158635	2013-08-03 18:21:52.29956	118		0
8026	10sfw2mbcqmvnwtp1e9hxayd7g	$2a$07$3HLzUti7bKZW5/B8k1tjHelq4BViXVhOLwtf.X/YAirJUw7fL2bQ2	46	2013-08-03 18:21:33.182188	2013-08-03 18:21:52.547024	118		0
8027	10uyugmgleja4zz4voe4s1899a	$2a$07$MpEGvNCdSTWGAV9CinGSDe9momekjqYPGvbxxL1hUad3ZrJtJf/Iu	47	2013-08-03 18:21:33.204992	2013-08-03 18:21:52.785232	118		0
8028	10o4xwhuwn4d23dpeg4rcai4ao	$2a$07$8Up.QvXLTmfpGi/RtoE7Iu7mbQpYMmd.JXwDDE6XL.jJEjs/T6hY6	48	2013-08-03 18:21:33.228083	2013-08-03 18:21:52.93077	118		0
8029	10lj4mujifzsv7u2yfw1hiavlc	$2a$07$9DBzG1rvzEKCD6nt9NBG.OAz9V18JXo70fNqQROSpbQwNa6lBC6Pq	49	2013-08-03 18:21:33.251967	2013-08-03 18:21:53.065214	118		0
8030	100ddcfaanar5qimivty30yc9m	$2a$07$BpMoiduiO.XoeJXKq70Lh.MCpLCIIncBd3EZlfQLhbHfPTqD9byRi	50	2013-08-03 18:21:33.273621	2013-08-03 18:21:53.211092	118		0
8031	103netg2d44d29fyyenujmlqop	$2a$07$cGo6U9BfznMUlNr9LVB8Puf5c71nsS2xItousObaFpngdKZ1i8fR.	51	2013-08-03 18:21:33.297943	2013-08-03 18:21:53.352477	118		0
8032	10cyhiv90by9kzaufknopdtaad	$2a$07$pw9DF0x.RA1VEstz0PzdYO/Y2r8kIx7rXWqBO6iOU5AFz89wTD8yy	52	2013-08-03 18:21:33.322748	2013-08-03 18:21:53.471324	118		0
8033	10mw5yn8h693f7g7tfx5bok1yh	$2a$07$QBkU9wam6.bDlLfm3iIPFu1bLKuqEvTb4rymteKm4OBBnPNp.0F0G	53	2013-08-03 18:21:33.347206	2013-08-03 18:21:53.601579	118		0
8034	10sybpg5va4ewqrtguecr39fth	$2a$07$NPBH22Ge9KQdKHvY.wiSFuu3e5HVB12gOZGK1lnpgTMgyOhXuGoWO	54	2013-08-03 18:21:33.372516	2013-08-03 18:21:53.726071	118		0
8035	101nikajibi4v4z4cueqb73vqa	$2a$07$2AApKZXTbVmtuiXZzg37q.Sdb7CUexfNKV0jjQbN6uu8e49pXChga	55	2013-08-03 18:21:33.398589	2013-08-03 18:21:53.869761	118		0
8036	10k3fpigx8nilvh0yshuz18580	$2a$07$ESAd.msc3FBHHB4tyAj3huNEx7SbC/Ca6ZyEf6VjAv3VxPytyYGsK	56	2013-08-03 18:21:33.42332	2013-08-03 18:21:53.999277	118		0
8037	10f9yqb1xktnw452djx0tblfzx	$2a$07$KVEMuGxxc6sHtk05mpKUzuqH1efmUUIj5g0cPcmj667EcLdJfJ0L.	57	2013-08-03 18:21:33.448989	2013-08-03 18:21:54.11712	118		0
8038	10s5lu6pskq8yqc3j0lr0mete8	$2a$07$82X6a8QzZRCX3/wRnptSC.KP5hlASXqu6cCjZI4qwCmzKoULmxp1q	58	2013-08-03 18:21:33.486599	2013-08-03 18:21:54.230154	118		0
8039	10n8xc3aywknmm7m14voncjkn7	$2a$07$bM.RGoK5PcQN5EJO3RRN4ue0EuIhljqyLYV48kPdOOr7v4Hxx0rQ.	59	2013-08-03 18:21:33.518648	2013-08-03 18:21:54.350567	118		0
8040	10tnmt5klgzqwovkczk6e4l7us	$2a$07$O6hF.7XDhq3EH18lIeSLseMp.5s3xZh72f32KUzkZNicwAdhnKa.W	60	2013-08-03 18:21:33.541911	2013-08-03 18:21:54.470588	118		0
8041	10ewy916nuqimzyxiipsmu81hk	$2a$07$3PJfiOByiV.vU3AswyANl.zX8lEwTdVmD02sslbxlbYRTfDwnIgdy	61	2013-08-03 18:21:33.565309	2013-08-03 18:21:57.069956	118		0
8042	10ew7g7igaycc9197svg170rpk	$2a$07$FTfF6MR9C8TY1OnOoNQbWeIcrZglbPzQ0pJD3TJ1ZGAnNHr8im7UK	62	2013-08-03 18:21:33.589122	2013-08-03 18:21:59.974133	118		0
8043	10f95mm26m5wutkboblmbj47zw	$2a$07$Y6P57DUvTy96YOiTAJXD2.vhJkGTdPXL0NKqtZlbL.FairHf/5wl2	63	2013-08-03 18:21:33.612401	2013-08-03 18:22:02.968681	118		0
8044	10uv24vsmn1j19tzp4d8hrd0aa	$2a$07$.WrFxWw4d6q4/KqNxFsxPe0gOzSAhpH.bT7RK5bVmzI1kKtGAesU.	64	2013-08-03 18:21:33.647494	2013-08-03 18:22:03.093246	118		0
8045	10cu1xj2bl1k4udkx58kakkcms	$2a$07$OKb2NrQJpF9.4mFChDOxeuGlDgoNDkVuHiBi0yBKPBc2cO3DbIaFC	65	2013-08-03 18:21:33.679976	2013-08-03 18:22:03.253046	118		0
8046	10k0i71d48jn1eode7go1wndlw	$2a$07$d49hI0Pv06/HRmZyzqK1..m59zS233E02P6aT6SIudjzzzgO8.03e	66	2013-08-03 18:21:33.703407	2013-08-03 18:22:07.434294	118		0
8047	1077v04pzpsm6d0gs3xrqhl2ll	$2a$07$g7cfE3H7ndHtUsM6u8SUoeCl8vwEdHUSlnOnECqMzvHTMb1YDjvjK	67	2013-08-03 18:21:33.726711	2013-08-03 18:22:07.566433	118		0
8048	10rv5ra99tvrov81g5usx1950c	$2a$07$oDyYwL./h6Xz466C4a9vmenwZH7UbRzUoXvcnGurDKSa4Cc0gWz.S	68	2013-08-03 18:21:33.749639	2013-08-03 18:22:07.806695	118		0
8049	10zt6gd3myh3qge4t1ccnf6lgt	$2a$07$qfQ/XwVRYcu2st9uiYL8fOEESK8nrf3q19QfagSGCR.ea5LCIc0K6	69	2013-08-03 18:21:33.77399	2013-08-03 18:22:07.939133	118		0
8050	10bj7zu396get15scbqe2y3dul	$2a$07$f55Ib1FIZVd0j6EPconIp.k11QA.7x76kCd0Q1szqd0M5u/XZ1AI2	70	2013-08-03 18:21:33.796831	2013-08-03 18:22:08.043493	118		0
8051	10f8mp29wqn7sap3knalljxurb	$2a$07$khJtDaiExmO9CuuLZk5eduogHlHplj3/vyZRe5oMPpLP3m8YVaKEW	71	2013-08-03 18:21:33.820114	2013-08-03 18:22:08.153883	118		0
8052	102nzybbz5nfx20xbx1stx7i00	$2a$07$zMhdW54b2CVTnvoo9sDY3.mXDub0Oj2/uyTSS6IRgwkjg7fu02DQa	72	2013-08-03 18:21:33.845055	2013-08-03 18:22:08.270553	118		0
8053	10lelikl1z2y81jx97yeppxnl4	$2a$07$j/e7zC0PhYrM4WKoC0FFYebQK1u0LIabzh8cHHk1saO.MYkTW0YdC	73	2013-08-03 18:21:33.881312	2013-08-03 18:22:08.385089	118		0
8054	10zy0sw24u5ux1x195i4x0xgo9	$2a$07$SLxnKEcyfjQKlY26I6vdQeWe0bWRgCvM0X4uXTFgrLvPJxsmLVm7m	74	2013-08-03 18:21:33.905344	2013-08-03 18:22:08.497938	118		0
8055	10zbk7h2n6sfakq6fptdyk6s9w	$2a$07$xnKWP1eWATJyuHfrLFsdrOFApOCtxRJHCvBinTfDvOBIFtLnLc2Aa	75	2013-08-03 18:21:33.931369	2013-08-03 18:22:08.609841	118		0
8056	109d1l9re9zvmui5gc55t15nm7	$2a$07$pG8xfS6z4H13uHM8CXzlreKOM0juXIcs6HG4Pf0aZuE3yjU9.2TUG	76	2013-08-03 18:21:33.956248	2013-08-03 18:22:08.721903	118		0
8057	10mu44opvrr1oep0iei5zjbdt4	$2a$07$PkoNF1N8WQrCCM94.R5biuW7UoP/UuPfZ7gdNoTsbNkqrSvz0OVnS	77	2013-08-03 18:21:33.991716	2013-08-03 18:22:08.837482	118		0
8058	10k2ce0yl7ezdwxmy2im1jwxxd	$2a$07$NWSjqDWqUN1HIrT7KwX4qupou/RTWVHzA93OfQ5UPqgvK7XzZvHbK	78	2013-08-03 18:21:34.027117	2013-08-03 18:22:08.970624	118		0
8059	10lt1mp9k1bd71sh0v30nhddxr	$2a$07$Hz749dyzfvkLXu9kR8mm3uypIb79Qm2xvrLfyr1tJ3n5UqO.3xwJe	79	2013-08-03 18:21:34.053545	2013-08-03 18:22:09.230812	118		0
8060	10bdua9wdmh8d4iyecjhq32dm8	$2a$07$ZHkT5Zq3PtU9simXS8aplOKEALF1FlbVlEwbEpUMEB1awMv0m2X.m	80	2013-08-03 18:21:34.076755	2013-08-03 18:22:09.379503	118		0
8061	10djlc7pm56rijeqn2g84n7kzi	$2a$07$Tw7LSf2lWj1gxm3BdZv3KOZKKdoajGoERFzdOhHUfXikComB56z8e	81	2013-08-03 18:21:34.100229	2013-08-03 18:22:09.517583	118		0
8062	10ivmptsrnjgo938iu9oj7ctpx	$2a$07$XfINFGBdvIIkSBz8HAGzs.ckE/BWEaKfFGvMklbiBQLUW.YwJiEq2	82	2013-08-03 18:21:34.122307	2013-08-03 18:22:09.658505	118		0
8063	105k5zzm46ov04j4if56lk1n57	$2a$07$tJnDbmeVLa7iTbGyrUyRDu5ow.Gj9dOCttx0UBe6JoS5uCneE9/UO	83	2013-08-03 18:21:34.14573	2013-08-03 18:22:09.876918	118		0
8064	10hnvsn04g8n0abi5yassjgly4	$2a$07$Hlf6wHGyy4LVjyjfl4ROf.09CXccRK48zkmL.LjseszlNHSL2G2nm	84	2013-08-03 18:21:34.169203	2013-08-03 18:22:12.665171	118		0
11197	10sghitr3v3gnjgtmbtahuippd	$2a$07$bSrxcpI7f0bReKqiIKgJYOo2NOAjrFbaYYVEqOoXrQSA7W0VE/AVq	67	2013-08-03 20:31:39.620696	2013-08-03 20:32:03.608444	144		0
11198	10reqxzgaqr0qx8lsjvr0p377k	$2a$07$Gukwq8.K3/2XWtd6mXK6/uGfg5Dhap9OEM1F8ki/PP.QFxjpyYuui	68	2013-08-03 20:31:39.642303	2013-08-03 20:32:03.735655	144		0
11199	10ob1ngz6bbi71k6z3vk7abr1u	$2a$07$ujJIx4sB1X9G3q4OGXHaJe6odeEvqyHkwHj0ezXWMVOrGT8Cj3pwW	69	2013-08-03 20:31:39.663779	2013-08-03 20:32:03.864238	144		0
11200	10qun9rexh96j68sz5k724v9va	$2a$07$TVrBOFNsiMGfiLLYgAkkM.0beRLuTIFN8c4wcc9469lz.yiDv7Zym	70	2013-08-03 20:31:39.685463	2013-08-03 20:32:03.983157	144		0
11201	10mbn3i3qbt25u1u74512w9wg3	$2a$07$UVh./t4CGRZh7b61UzpWgeybnXkYk5W4rWmQ1T/ieMB4U3064Fg8.	71	2013-08-03 20:31:39.707694	2013-08-03 20:32:04.103609	144		0
11202	107n1eju3y2qrbylrujh6lh63j	$2a$07$ByVVtQd13VHC5EQ4LHGqGO81CRtHgWOknEByIhbEfp7pdu9eRSKYC	72	2013-08-03 20:31:39.729966	2013-08-03 20:32:04.219027	144		0
11203	10etqxnb74e8l08le5w6lomgeb	$2a$07$cVaSImHs6/5E5n00WUWOEOgmmgIt7aUfyKl7DAkrrJfGeJ58YVBgy	73	2013-08-03 20:31:39.753406	2013-08-03 20:32:04.522906	144		0
11204	10ouhw2j5v4ud0r0h608lgdjpw	$2a$07$2FqarCp7HPLfzUEbyjWYlu167dJGPPuIvE4LjVtKTrWTSNaYUZIXO	74	2013-08-03 20:31:39.77676	2013-08-03 20:32:04.630698	144		0
11205	10snc7o5kz3t027mo85autsikn	$2a$07$WM3X0rOeWyH8Atyf2L4A0Og1aMurkvA4rjz5lp1eDtr9WyF8hQG2K	75	2013-08-03 20:31:39.798549	2013-08-03 20:32:04.755182	144		0
11206	10vtg4qml74cfbcobxpgu3jtq9	$2a$07$uu9.DilVqiHTfg5W2tBfFe01WeL8IY.4SSWLToiOD/Lc2Fn0fonbO	76	2013-08-03 20:31:39.820324	2013-08-03 20:32:04.884854	144		0
11207	10qlx9vs7zsx3fgw34az0q8nlt	$2a$07$1yqajMEfV4pDDw5mANODhuRswlc/d5BuAamhHpaeZmmJU4YHoiHzu	77	2013-08-03 20:31:39.841755	2013-08-03 20:32:05.020007	144		0
11208	105xpw3oe95lygo07p6skge9yl	$2a$07$qLp3gGj.NCEB4TsIirU4kOkodBSrX4CayvbGtIr9xZH.BJE/W2v4u	78	2013-08-03 20:31:39.864015	2013-08-03 20:32:05.14079	144		0
11209	1071u43ubehptp2ouwjq9qab4c	$2a$07$MFJUi3LmrxkIRzyUJD3anuLVKytt.Rn.zva4zYUVKnSJPMJuxurBW	79	2013-08-03 20:31:39.886803	2013-08-03 20:32:05.259338	144		0
11210	100lomlf5786z7r2fgg5ekzrfa	$2a$07$ukCx/G00nzLvPmnZPIgM7.kLwxGmAkhFz5yvvx7fWENp3qLi3Y01e	80	2013-08-03 20:31:39.908513	2013-08-03 20:32:05.402949	144		0
11211	100g48i2cul8fwaqc9r3862xgc	$2a$07$ZZVwaNh1VvDpFk4cuEOpOu35uvgfOanrYNgIDpBwW2D/L6qTLCesa	81	2013-08-03 20:31:39.930216	2013-08-03 20:32:05.534806	144		0
11212	10aykr2ye8ubvbo3zh35wjptod	$2a$07$wZ0N1L9oMDSOK6DG7XJKcuEAbxhHVvc.IdUUTJedc84ikhQyEgnjq	82	2013-08-03 20:31:39.952246	2013-08-03 20:32:05.657529	144		0
11213	10i9x53frcgavqyz05vsjmaold	$2a$07$EzMnXfedyj6LtELfSUJAau.mKnNssi.9DKWuT4ouXnoTqCZqhHfuW	83	2013-08-03 20:31:39.973992	2013-08-03 20:32:05.962054	144		0
11214	109t7t0yrv4wta2h073rj8auvz	$2a$07$zuX9hWrtgWrN8.jz6Mtmru.yrWO.2pPrGytpS6GrH5nw9wQl4kyDC	84	2013-08-03 20:31:39.997611	2013-08-03 20:32:08.620747	144		0
11215	10bmoyeatemznuyfydnmetpq7u	$2a$07$H/2331XoOyaAiWjAuTYoceQle8G6iLeS685jwIwYQrCJFmcL1yyKG	85	2013-08-03 20:31:40.020061	2013-08-03 20:32:09.069969	144		0
11216	10p8b7ewieulq4bbt4u2npw7lj	$2a$07$L8ZPQOZrQVea648liSVZaeA6kbZpj5T22oBOG9lyfq9L/KsQaHZHK	86	2013-08-03 20:31:40.042865	2013-08-03 20:32:09.474279	144		0
11217	100xogq2fwln2hnqdpvd7lbc4u	$2a$07$QNCMcuiFk3Cy4csZfDBWleprJ0pWe27jDQABRuDIEWqPeDrWt.OkK	87	2013-08-03 20:31:40.064406	2013-08-03 20:32:09.632663	144		0
11218	10e1oqrng2ty7i8f3m4pv0col6	$2a$07$iELMb/Xe8ZEgfa198lt/xe2f9vLy0UGw5aeSdrU/roEW6p7Xbntia	88	2013-08-03 20:31:40.086839	2013-08-03 20:32:09.784936	144		0
11219	10hu1jpp4lucn3vb6m9bq5x4tc	$2a$07$5WJy1sFVtldQrGXLx1sfyOIszp1DagJ6U/glWR0iY6jcWKjRs6KbS	89	2013-08-03 20:31:40.108626	2013-08-03 20:32:10.953071	144		0
11220	10t37dmvy511kbkio2hsvdlgpm	$2a$07$nTmRBAMlEEMCAfXcZgQoxO9X8n2MLE1Kdk39Tqy3bzZYj9FfX/.em	90	2013-08-03 20:31:40.130229	2013-08-03 20:32:12.004731	144		0
11221	10m9ox1ihk9m9spxp3s282q6zq	$2a$07$DK0gw1wInZq5N6dc8iscHek6U7bX3lenocjM.cC/H.vdnyj09KIl6	91	2013-08-03 20:31:40.151845	2013-08-03 20:32:12.130581	144		0
11222	10i6jc5bpgis3pdvmozapsdeyj	$2a$07$J6JGd6nGVbgUSIkEfp8ZbO3z2YZ4FyLj7.E.o6rCAxFT7pjjXkd/e	92	2013-08-03 20:31:40.173432	2013-08-03 20:32:12.274472	144		0
11223	10m67wzd8q81e1e1f28mlrf5fm	$2a$07$JKLg4EcbmpT9J3rmz6juuecX68N.wdo4hJYlEWUgU/2pMfhAXpawi	93	2013-08-03 20:31:40.19725	2013-08-03 20:32:12.431178	144		0
11224	10a1nz1cxxfsx3noal5se9i2ra	$2a$07$COMdH0tN78gRJFmsxji31.js5gbjzaIyzffzfH8crxxAjEEh7lwmq	94	2013-08-03 20:31:40.218697	2013-08-03 20:32:12.65862	144		0
11225	10gk5ego3s1z3p3e8gtsjf8nlh	$2a$07$./Ffxu4wAZVLGN4qraRTeOTZUc/TRGJDVqaIURWb1eVzRJVTTlw.K	95	2013-08-03 20:31:40.240413	2013-08-03 20:32:12.801741	144		0
11226	10kj10s51ptabv7ueudhq07exm	$2a$07$8tH1KrNwRtEQvvGzfU.5v.e.f813vQECrdpJpH9uR8i64GP9VdIXS	96	2013-08-03 20:31:40.262047	2013-08-03 20:32:12.935113	144		0
11227	10ljqkkb8i9gpl2t91tiife41t	$2a$07$E1xVjmQZvVGrsHe4cBRiGu6u4OL7Q6B5MrK2Sk5WDVLKZrXUkAKGe	97	2013-08-03 20:31:40.28353	2013-08-03 20:32:13.075303	144		0
11228	10h792mynlakf7w7vur0eubdk6	$2a$07$6uNiJNbUV.lEKnyOvvd6PuIRqgeCL0s5nXz0IR6v1EGhn9aBj5UAK	98	2013-08-03 20:31:40.306914	2013-08-03 20:32:13.208365	144		0
11229	10xpirnw7sjtsdk3k7bxgvvac5	$2a$07$YjirAoPHaQzlocUdT2gYuOGhNa/j87nmVHJ/wQAXbsp8ZLYAcnj7y	99	2013-08-03 20:31:40.339174	2013-08-03 20:32:13.345355	144		0
11230	101koe8au0db8oa06xchf7nls5	$2a$07$qp7bvXUNyoBS8R50orRnNegNnlHpSHYt4i2mk3ViBndvntJFglzSq	100	2013-08-03 20:31:40.372826	2013-08-03 20:32:13.487699	144		0
11231	10bnhtuy6cwl99cf243ab8qgg3	$2a$07$hPhp/lMf62wGbQ7ysxwFeOHbDBjcVHfz43w.larR16RGItbNtcPQ2	101	2013-08-03 20:31:40.394257	2013-08-03 20:32:13.61149	144		0
11232	100fz97y93rwkencc7f5gleura	$2a$07$X97yG2Nfvw.3Y6WfY2huIup8fxpV1b70mXKfR7JCL9nDqCudzacCS	102	2013-08-03 20:31:40.415897	2013-08-03 20:32:13.748282	144		0
11233	10nvbnek9p0bl4gu9gnrd67uvf	$2a$07$QQs5ugKNkfXw7QAzhzuET.GLvFc.3DthI1DoNqM7opZ.9y8Kwsi86	103	2013-08-03 20:31:40.437598	2013-08-03 20:32:13.927612	144		0
11234	10h4zsgrhpi2imy6ww0huc0lpc	$2a$07$cFtJrH7R1vLUvvnw4OcKpe8LWxqlqlQqCVglS/LOVPIpTTruhTwIm	104	2013-08-03 20:31:40.458961	2013-08-03 20:32:14.129045	144		0
11235	10q52078wvin8xuv10g8w3vg5x	$2a$07$FoaHmPrCczQrHdL7JH/CROlqTEtm/GWRzgxZ9uGnQ3cTVGN/sxUDW	105	2013-08-03 20:31:40.480337	2013-08-03 20:32:14.258803	144		0
11236	10jg8ybcds26zfh8dhlmnu7drx	$2a$07$uStQGu20cKv63mCnZYKPGetJ0IE3v4rEFVo.dKxr0ZnNnqk9.RH1G	106	2013-08-03 20:31:40.501604	2013-08-03 20:32:14.396731	144		0
11237	10uiwfuspvwwh195t96fq00n4d	$2a$07$H9pkHlV0yE.sb2TRj6dZb.zng8nv1PwQSbfrq3PETW88QN8gejiEa	107	2013-08-03 20:31:40.523281	2013-08-03 20:32:14.532792	144		0
11238	10ej0233p7z8xgd00bjgyag7g3	$2a$07$r.7eKhUy.ctJeJnLf3KDFeuo.jyvTQTJ6CA8tuenyMAhq.b2B8gF2	108	2013-08-03 20:31:40.544795	2013-08-03 20:32:14.64267	144		0
11239	103g1dins5v3d7g61jbz547bks	$2a$07$mGyBx1pQUOA10fv91a/VkeRjrWpoLxVP.mmUI1nlvpgpD6MC58no.	109	2013-08-03 20:31:40.566218	2013-08-03 20:32:14.770169	144		0
11240	10h6n9zphl5zdct09835jwptba	$2a$07$pEFhtRrsBN4Vm2gjkG8IeePBDwXM1Qdq31.tm1wzY9PRgQ9.JHD76	110	2013-08-03 20:31:40.588987	2013-08-03 20:32:15.086386	144		0
11241	1035vuby05sjtq0gzg2ncsni8k	$2a$07$vLuuwBUoHXPzhDuxmcNdxubCPiSm6ZU7rBbSVIx0qtGmQuEKyJMGq	111	2013-08-03 20:31:40.61278	2013-08-03 20:32:15.201685	144		0
11242	10vytop1ke3jaombp5fhbmkeul	$2a$07$TuDLo/rkC6TbUol2ZYEQtuA6CKm.0ySgWiIPzEufDNKbnVLN2FhRG	112	2013-08-03 20:31:40.636623	2013-08-03 20:32:15.342981	144		0
11243	10n4aiuavx0xd9kxah4b2sl7wp	$2a$07$X56Z/S6L3WuwWdiKmvw4Q.1JC7sFfBDpfHsb0G33cTR7gse5BkTV.	113	2013-08-03 20:31:40.659515	2013-08-03 20:32:15.473129	144		0
11244	10eocarmwi259vw3hcyn8g4clf	$2a$07$oFJFAnJm050fbNpmmprAneh47pwMOpe1AiNkNmD/YS3b1MFNsyiwK	114	2013-08-03 20:31:40.694037	2013-08-03 20:32:15.613914	144		0
11245	10tu761cu332yaed9f9f84lqan	$2a$07$Pcr.oWB30Llmol1p22.yle83GLjZ0r1G4UEa34WdhV14e0YQOCxEq	115	2013-08-03 20:31:40.718711	2013-08-03 20:32:15.833017	144		0
11246	1058evoyry8t49xzdsitdvbc4a	$2a$07$DYykfWCY4O/6G5RxdpHkUO2NmuSeMM6A53mJgitdgC.ygq40P0o6a	116	2013-08-03 20:31:40.745564	2013-08-03 20:32:16.068975	144		0
11247	10du2tkrlkcjbv7jzmnfw9mi60	$2a$07$DFMu.XXhGGStGcCNVnfIYu4xqAysIfa39fjOdMpyAfKR2g8dWfvdO	117	2013-08-03 20:31:40.771626	2013-08-03 20:32:16.211021	144		0
11248	10fzyhm58jdjakjaav4a5byjhu	$2a$07$pcvMhcmdehMqJK33Ve32VeXk5ogjvoYn1kVOQAOyDGZJi8sft/Yx.	118	2013-08-03 20:31:40.800574	2013-08-03 20:32:16.348114	144		0
11249	10guzszfmv101mlfosrqsn5w7t	$2a$07$clRBfZiVRhNVfCjFpJajRuvIyK.JjwUJeXbHykESVyioEHsiR69ZW	119	2013-08-03 20:31:40.829611	2013-08-03 20:32:16.480669	144		0
11250	10qc254hq7agaguiko8691tu6m	$2a$07$/nA6dau0efkoTq/ZGbQEAOf/cOKpnascS.4aUig/DMJQ8pftEmFdi	120	2013-08-03 20:31:40.856756	2013-08-03 20:32:16.619616	144		0
11251	10drbuyrb45dhhuwpfqle10fev	$2a$07$5oE7RrRYM8eYBQqeN9XzMeyj14V3QqOGlIrEjx9OWfLijPQBICsUe	121	2013-08-03 20:31:40.879699	2013-08-03 20:32:16.853031	144		0
11252	10ninwahv5g84me9bwxm4bofj6	$2a$07$IPQTnLFFqHkiggpfAM3HBeRHH8/LVeyx9XvwM1ZavxvXAAzgaKgnq	122	2013-08-03 20:31:40.903547	2013-08-03 20:32:16.997998	144		0
11253	10rm27gy6jtbla4abbf6u1lysa	$2a$07$V2LBn5Rrzhc3z6Jl2a7mNO0HY.d0/RxpaOVOF5lA.YJd6mGb2n4TW	123	2013-08-03 20:31:40.927853	2013-08-03 20:32:19.822082	144		0
11254	10y7un1bkfyhijiz0dtrxbnvus	$2a$07$tmjRw3HaNgavbdfBTN0k2.vJioxCJff4/GJIKuAl/I.MjrvkRNhSm	124	2013-08-03 20:31:40.95557	2013-08-03 20:32:22.928416	144		0
11255	10dv3b2fyy5ou9zh8v7f97nbhm	$2a$07$mW3zHKCvslB5W8iiN1X.ou59VNR7mFExobs9qkPcRX9YU7yQLKB4m	125	2013-08-03 20:31:40.98705	2013-08-03 20:32:23.175262	144		0
11256	10i1t9mji78sg8nhj9zvqeqpuy	$2a$07$1ebz3tS2h/DNQItCV8wCEuMuaOkIIC8eNCIfpTEDorPCPlhtu8R.2	126	2013-08-03 20:31:41.025471	2013-08-03 20:32:23.461389	144		0
16423	10htbfoc3xpzp17ec28yrbjc9i	$2a$07$cUiUgYXzoRt0WX.Ug/r5l.zLR6KvIhlcH/55w.LX5QF98dSpA/mAK	1	2013-08-03 23:59:31.108356	2013-08-03 23:59:34.366698	186		0
16424	10rtnfyiujh661l5ffondh7tmr	$2a$07$.YDiAf1qUU9gpFk6tI8cEOlMN.rvV3QNJBG5dBaOjHmzNLHwN6YSK	2	2013-08-03 23:59:31.13327	2013-08-03 23:59:34.493568	186		0
16425	103hxang3ghtroxaef7shid7f0	$2a$07$.ffwcplVBgFzRDtWN3HqAeBL0H.sa3PghPnVAI2WdnIjOvZhyQ.6G	3	2013-08-03 23:59:31.163573	2013-08-03 23:59:34.630745	186		0
16426	10h8ch7zkn22uzrd085e6pol5y	$2a$07$zCB9R.jMbpT3JLskaOTVX.IDbp0cQQ.RXafx2xP2INzDGo0/d5uqa	4	2013-08-03 23:59:31.194483	2013-08-03 23:59:34.792712	186		0
16427	10o72gneeh3yuw5lsvhl6o38sv	$2a$07$JkJMciZA5GFO3BvK1cqscOAiQR7C3zqkMXDZ6G8q4yJIbO40o4hhm	5	2013-08-03 23:59:31.221289	2013-08-03 23:59:34.934308	186		0
16428	10h5i9tu1pumymnedpr25hkfim	$2a$07$uwN517T4oUcMvmVIf4.zIuA1wKASBypsgi1nVAVp7B3DBcr.6naze	6	2013-08-03 23:59:31.24437	2013-08-03 23:59:35.058159	186		0
16429	10ivw6kprcuhaq3a7dyd48bb5g	$2a$07$BEg8WR0Y/cyctdmvHve3cevTFfHkrJfFR9q7VvkIxSSrV/eszgZXG	7	2013-08-03 23:59:31.269644	2013-08-03 23:59:36.060628	186		0
16430	106my77moa9u1fj8nooo10grmt	$2a$07$cZJdqutG9fx0UhszOlvZfuZ.vgC09fV4Z2nPc08LbjcKf35e8ZnWm	8	2013-08-03 23:59:31.294854	2013-08-03 23:59:37.083178	186		0
16431	10jeprpz41c6escdjhzftg7jcy	$2a$07$3blcOwme8Y7ht5nep926Zu9FLHzC2SgYfmdyO.i0YDcoc2wV6T.4u	9	2013-08-03 23:59:31.324184	2013-08-03 23:59:38.047535	186		0
16432	10d8e9madgsjwm2r9yevdsnfek	$2a$07$WHltmXOiEWVZltGHbEbc..rybNVmTffKBGjNr0fRPLvAk1HUZR68e	10	2013-08-03 23:59:31.352562	2013-08-03 23:59:38.166595	186		0
16433	106iv5ilh857vncfabhja0hxl2	$2a$07$G2dcoQtXnfRp9KlT04jHt.FR2clibmsMSK.uOG/FNZH.7slWiXcRm	11	2013-08-03 23:59:31.387821	2013-08-03 23:59:38.278574	186		0
16434	10zzxrkfce9ul8sha82ge5dyj5	$2a$07$cIkOFG0KdJA8qrMVPK1dauaJnZrfUvcYUqKCn2OwQ/Z7IIcgB1R.6	12	2013-08-03 23:59:31.422478	2013-08-03 23:59:38.413876	186		0
16435	107hqh7wnc104qpvtzel8qrf4x	$2a$07$yVRHGCRWKxotcSIr5w79sun0glewKIyZpBHby4Ypbwk3GGXOBRT52	13	2013-08-03 23:59:31.446442	2013-08-03 23:59:38.565669	186		0
16436	10jyd0hss8x7b8awtrve1lysig	$2a$07$sI.u/sYiMEvz08GGQUl5QeVOYAVuUEl4b0HhNLP85Gqa3ufeSgPRm	14	2013-08-03 23:59:31.46887	2013-08-03 23:59:38.717617	186		0
16437	103g65w8vur4k24um58prw2sye	$2a$07$0leSO4cv8RvaXM2KOT1SlOTxxd4H5u0EUA.qYFUQEnOPAb5EpuyD.	15	2013-08-03 23:59:31.491907	2013-08-03 23:59:38.841007	186		0
16438	10jg5cg8m5c3pv5d86zny567du	$2a$07$BejBvTHbEV7sIYsLg7TAYu0DFVLWiphwZwRs1BdGB5wr6b2S67Oy6	16	2013-08-03 23:59:31.514028	2013-08-03 23:59:38.958815	186		0
16439	10t93atlluav361sr6t1njzwhs	$2a$07$Krm8blGMTpdDr.9qNIDjIulJqlpbL1u2hAFytC5cbsSCkJsWYlDtG	17	2013-08-03 23:59:31.537541	2013-08-03 23:59:39.102092	186		0
16440	10nvyy08y2j2ibvdyzwegaiik1	$2a$07$cMcyccMRHTkauCvipiB.z.m6JYMZeHJGNzUgLTaEDJMvv6n.GNxoa	18	2013-08-03 23:59:31.559429	2013-08-03 23:59:39.236245	186		0
16441	10skkhgr397hqwew804wnjhhwb	$2a$07$Wg541BAksF/GzeyW.6G/OOZU0m0HtWRog2n7JL/TWDtV33ryLwId2	19	2013-08-03 23:59:31.582665	2013-08-03 23:59:39.387846	186		0
16442	10r7q0wk0yszhz47um6c0tmlmr	$2a$07$QkKE2YRFnTsM/5g6sKcdwu71INrmw80nkUNokdxJVAamtxmHGjOW.	20	2013-08-03 23:59:31.60546	2013-08-03 23:59:39.514087	186		0
16443	10p8todxb8lupz4nf71i39fffw	$2a$07$MZnC3Ca116ejbDQ1cJw.Bewwggv9Iyz1j5PZj1/j3HJgA4dftmmx6	21	2013-08-03 23:59:31.629063	2013-08-03 23:59:39.664629	186		0
16444	10gxm2biuvwj212ggrqclvazmd	$2a$07$y8dqZmbsJtLpxb5eQeHZcOCJfWcXbrY2h9EygHGiMS8PAHAQRLJ5a	22	2013-08-03 23:59:31.653726	2013-08-03 23:59:39.801357	186		0
16445	10p6f80azyextetwphwl2145ke	$2a$07$xy4rRWrqqFjT4/dKzYeIde0SrltBOBEtBq7T1fD3ALV1wVBeUYfYW	23	2013-08-03 23:59:31.684553	2013-08-03 23:59:39.93627	186		0
16446	10hkp7tm1yjxfwtios63ulcsuk	$2a$07$ZGzBc9y13AJGkC2YAF42OOjO2AGRypZlt.j4BOJBGk0FCzE7z6eTi	24	2013-08-03 23:59:31.716497	2013-08-03 23:59:40.06804	186		0
8065	102es9wyumitilqrwzf2i6rczb	$2a$07$17AOk8GRAxsZqJ2euk05VOXXPqcQVJrKfhEJik0gYcuTB/iomrHuu	1	2013-08-03 18:26:32.039889	2013-08-03 18:26:34.259826	119		0
8066	10ja5kfm1es65wrqu1ombuuu1u	$2a$07$ywKZBmYqXv9f.xzr5eu40.7eS8walhQRyijDbQNukdlwNZyxAfYkW	2	2013-08-03 18:26:32.064856	2013-08-03 18:26:34.458964	119		0
8067	10bagg95zbwu1xqzpn19ujf2n4	$2a$07$qaMqd.LCEKWZOMlgq3O2j.bQvdYo0A9xfZ2G2TaLjUdiVupdb38e2	3	2013-08-03 18:26:32.08823	2013-08-03 18:26:34.657074	119		0
8068	107e8voqb9mlnu6wpwuwpy7brd	$2a$07$V0Dp3bxEjr.ZXrYdkSGDPuH2vWegCqLJ6ZrZkyUWyEjCBQoL9.NgO	4	2013-08-03 18:26:32.114163	2013-08-03 18:26:34.810853	119		0
8069	10giwtpc9vvfkogeubtd1ihsz0	$2a$07$4NM9GEs.bP0KiBuHxkJshuBSbY9E9oHN.XdXvO0jtOJ6pm/9b7rre	5	2013-08-03 18:26:32.138049	2013-08-03 18:26:34.974459	119		0
8070	10r0bbap6w6dd2sis14gflcjhr	$2a$07$zMrT0YPsrDAMeOlwoi7qpOQHkdrx0QsYkSQjHiWv4beyWHzeh0IC2	6	2013-08-03 18:26:32.161845	2013-08-03 18:26:35.114044	119		0
8071	10pui21l5excw2xqs4o5sy6lm1	$2a$07$rWr806fIIgsiSQTIgXLmc.EJFry93cse6Zh4rlBed1BinHvZdSRxi	7	2013-08-03 18:26:32.186041	2013-08-03 18:26:38.632126	119		0
8072	10hw8iv1xpw9v9p6yoswy5zbpg	$2a$07$0SmaebPObJhYNS/wY8zRIuEXbeivRBAOVnQOqa/VjiNLDPhsdmWRq	8	2013-08-03 18:26:32.209914	2013-08-03 18:26:42.359884	119		0
8073	10paqgst9t6iqhmhgkticgw9od	$2a$07$Y.tLfZ6fWy0M4nWnrvuqKeMBJ0RGGZptd77qN0ySKGSITbRnizNui	9	2013-08-03 18:26:32.233775	2013-08-03 18:26:46.249257	119		0
8074	10ojy5tyg2v71m9otzmq4j6oty	$2a$07$oJCDPeCuJVLBzp3cTrZUEedhtJetMiZl..c.usMk8Ng4Z.YUeSqju	10	2013-08-03 18:26:32.25789	2013-08-03 18:26:46.37829	119		0
8075	1045bgsuxj5996tifk38wdg50e	$2a$07$dxiYr/UIEMzcRPjtDxe4GeejAqKruuB3Fe.Wm9ZFFv7fNVzoCOfd6	11	2013-08-03 18:26:32.281902	2013-08-03 18:26:46.525896	119		0
8076	103um8vt1fa0esrg2l3788dipu	$2a$07$l0gllEhfqvXreAIdfA0ireXMjtra/eHvpSkPyHswXz67h864r.CGq	12	2013-08-03 18:26:32.305755	2013-08-03 18:26:46.66565	119		0
8077	10ctq3abkhos7dokbs2t8hir3x	$2a$07$D.ofHxqPmx7EfA.8oM1QDeWaONJT4LYKEuHVd9VICbt5UJfphnLpW	13	2013-08-03 18:26:32.330151	2013-08-03 18:26:46.909664	119		0
8078	10g2o7u542kw4qy88aglm8h2gb	$2a$07$l/J.vRnkjMvZVLT/A/mirO6I1M6NVenKwMqXkqPvSzsNuvrYjWag.	14	2013-08-03 18:26:32.354178	2013-08-03 18:26:47.128972	119		0
8079	10f7oaj59i7ad1h74knd6x9zda	$2a$07$AY3rMXIOlmBFFYC1eVSQguTRI91aT9gxaCnZ50sp6uKX0UNvEXtse	15	2013-08-03 18:26:32.378457	2013-08-03 18:26:47.287598	119		0
8080	10yvp09agldypq3kn4ttkfw57b	$2a$07$pipMB/xYXCBa2NCSCn0w4ekH/DHTGlekhTVrlL6YQO/cLSsMf8PIW	16	2013-08-03 18:26:32.402539	2013-08-03 18:26:47.472405	119		0
8081	10160rc4k3vcm7otcq3as5ykp8	$2a$07$S4AMmhOJEiDzSMnoQzbXGuv.Cm7xscjYHlgf/JGxGR4LcjU6RhM/.	17	2013-08-03 18:26:32.425899	2013-08-03 18:26:47.631069	119		0
8082	10m3jmrzdlnxq1nmnwc6a6iplh	$2a$07$YVDUMBgoqwSL9BrAZT.6..WsOOLRdKgg937MD9SolKtBjMJNQrYPS	18	2013-08-03 18:26:32.449025	2013-08-03 18:26:47.856919	119		0
8083	10zrmss3u3d3sgo39x8pwavrli	$2a$07$T7ZlYtClQeUbrRyaLSDbxu6b9sBOFj/hBlEVbGuZjYnz/YlHRqQfq	19	2013-08-03 18:26:32.472209	2013-08-03 18:26:47.975702	119		0
8084	10w66whjnucd9vqazhvruztj2e	$2a$07$O5cw62a.8fwz5SzFz8U/9.ZbwCE/wPToDHhDQY5alcuFtnFQI8Yoe	20	2013-08-03 18:26:32.496742	2013-08-03 18:26:48.089058	119		0
8085	10whp9i01ccb6imdngsn3d3x9m	$2a$07$5pte/THdt4pxduhzmHpxtObsMQ2EK5Dl7k6.RKIKqZjWmhjjVKaPu	21	2013-08-03 18:26:32.520629	2013-08-03 18:26:48.225656	119		0
8086	10zj2h04tdbnzou60bic0p9edd	$2a$07$us253dgvH6oOjHD0kqyNX.oHbcgnjuIttXi.aBTijQhED4P0kaugS	22	2013-08-03 18:26:32.544175	2013-08-03 18:26:48.367321	119		0
8087	107si7besokxtfsmhvh1tewaxf	$2a$07$Ytuou.Q7xCpaoA4EbkntMeXTltgIoHUZ.MyNhpFy0xFWTuWtd3AoS	23	2013-08-03 18:26:32.576807	2013-08-03 18:26:48.699384	119		0
8088	106zunuhau1zd1lwthsufzqudo	$2a$07$8WTp4jRuoOtuQgRL/ki13eZpVVIbSM7ASeXI/vK7hKDfCxPQHTxMa	24	2013-08-03 18:26:32.610767	2013-08-03 18:26:48.803974	119		0
8089	10brozzwvswusooa2w6mvlul49	$2a$07$n0z.GGimP1D7s2kdlSxjbu64rdD8xeoSWbZi.Cx/4dLg350qMmqJa	25	2013-08-03 18:26:32.63358	2013-08-03 18:26:48.932655	119		0
8090	10poy8zat7tt953h0lb3dblq4e	$2a$07$lmxf7RSbpJ5kskCh2EkhGuZbjsj8y6C3IQNaD1LwQPounuQUcY34W	26	2013-08-03 18:26:32.656468	2013-08-03 18:26:49.062966	119		0
8091	10wqzafg5potqltx199gaahk4x	$2a$07$sBgEEh99Gh0/DISuAphDWOxy7W5VTYeKzpirfSmbzb9/PUu0OxEVK	27	2013-08-03 18:26:32.679702	2013-08-03 18:26:49.189806	119		0
8092	10r5dp1mey37qnso2teneg7381	$2a$07$W9Ybl.tnGKnMev9BDfAzGOtB0DVJNCzhcHU67wfRNLfEVZc5qUO1K	28	2013-08-03 18:26:32.701947	2013-08-03 18:26:49.582365	119		0
8093	1076seftl6fnj5qgzypb2fil22	$2a$07$YQrvSZQDBApf6XlM2ojU2.S8jw5q4r0xwy62aOQaJZ89uGi/vUJle	29	2013-08-03 18:26:32.724917	2013-08-03 18:26:49.844584	119		0
8094	10ykro5eywf0bm12vdoum3e8xy	$2a$07$nO9KMCUmZO6J5h1ATd6sc.IkFTPLEXKOO65/m4rYjMuensbli3pYO	30	2013-08-03 18:26:32.748261	2013-08-03 18:26:49.961504	119		0
8095	10lamkvzt5p8djx1ch58r4mlc3	$2a$07$6mkCc5pWSirOI3aXggL2f.LN4Sfd0gCVADIGFFqk6iuyJDpo0p9Im	31	2013-08-03 18:26:32.773603	2013-08-03 18:26:50.10126	119		0
8096	10tjt7oeexxntvbb68qdn6k6fx	$2a$07$sG3qfm3IKcM26YrYL3CgEO2cEr5q2zz2iri2fkzIVgtyaoe5yLqnq	32	2013-08-03 18:26:32.799661	2013-08-03 18:26:50.228751	119		0
8097	10twy5ywclpppjk30bwi3gzgdf	$2a$07$CQ3gVNUZwWU1uuQKubSZUu9D9OEj4kDx6sUgcwnA3dhvjqO2B2Qca	33	2013-08-03 18:26:32.82589	2013-08-03 18:26:50.358207	119		0
8098	10fy2l2f8azzqy8dpin6v2qvtz	$2a$07$suqPfKpHWliv92HxR2SYbuszAmVBPDfSrh5zhN0kxPwQNGomKDcnK	34	2013-08-03 18:26:32.851403	2013-08-03 18:26:50.503186	119		0
8099	10ahdnhoill955l3vnc3d3bb2f	$2a$07$BLN2AmPTVPSUMYGG6zr8vORib7RqBpJd7tm4w699x4K2oaWXDeBvi	35	2013-08-03 18:26:32.876892	2013-08-03 18:26:50.629577	119		0
8100	10yh86ua6oafr8mofmjlm5wnpt	$2a$07$eG4.LlmqCFs0C3.my73NB.9wt0VxF8uiGXUqX2DTk2DFfEjyWNORe	36	2013-08-03 18:26:32.901351	2013-08-03 18:26:50.763965	119		0
8101	10ixkd74tno742tca8yqqijmyc	$2a$07$CK7sQysvJTjOkk8iyFcm.ucyQBN3dxTA2CF0K6PkWhjlK0HNskqG.	37	2013-08-03 18:26:32.924723	2013-08-03 18:26:50.886815	119		0
8102	10cc2dw9b2e8fmadogw2tu3ouw	$2a$07$TByWgbAA/yNfbSfibBtkgu51bWAht1wTPVJr.a2ZRLu7MF31aXl5W	38	2013-08-03 18:26:32.949269	2013-08-03 18:26:51.009136	119		0
8103	10wiaa9qi1wbaswjp207i4l05y	$2a$07$JaIXYsOGHT6w8znIztGxmO8k34ZTrztje0WrgU.JBP99ZtiJ6617y	39	2013-08-03 18:26:32.97314	2013-08-03 18:26:51.139979	119		0
8104	103dozf3owne6wi03b0lx6v8ei	$2a$07$edsCoFwA6OQd6Hc4lHPZV.nKhYNdq/AuFaRclWEobFq.Pj5jatvL2	40	2013-08-03 18:26:32.996037	2013-08-03 18:26:51.28973	119		0
8105	10r1gicugpf4wlcf87bqzzw5kv	$2a$07$3xpfokhqrWGVn4MPwcRZzOzXfInsW6qWQKi6MisRf8xLK5/ONloi.	41	2013-08-03 18:26:33.018825	2013-08-03 18:26:51.424022	119		0
8106	10n6n6ui99likje8gy2y13b6lv	$2a$07$IliZlYVQV.cikRp2aQz1V.1XJU61UYp5cQA4CxNf5ayU0zR4R9L7O	42	2013-08-03 18:26:33.041344	2013-08-03 18:26:51.542105	119		0
8107	1002k2p522lw9s0jn3lznh11hz	$2a$07$MsYRHfpo0F1LA74tQuw7SOfcGuOA0Y1JoQ6kV54nm4cmk3L/CnnOO	43	2013-08-03 18:26:33.064951	2013-08-03 18:26:51.701924	119		0
8108	105z8lxdlng6wjb1yrfrupko0a	$2a$07$7tKT4eoDSrCqZoISd1G.tO6yVDB0kFHuzPx1cEPX/h3argU2PihlS	44	2013-08-03 18:26:33.088354	2013-08-03 18:26:51.854909	119		0
8109	10xquc0xtljmmyl9d6kvwoktr6	$2a$07$PIiT.O4rnUpHMrDcWhMzkeGvM0bsVfb.JgkTBtgneXKJLtr4eG0yi	45	2013-08-03 18:26:33.109935	2013-08-03 18:26:51.998262	119		0
8110	10z9ez9c0kri9m77l02r75wgwa	$2a$07$7iYyn9PL/q5K1xhqhR2Nyeumk7VghnxjN10/MQAkNNlpHH75fqYxy	46	2013-08-03 18:26:33.141812	2013-08-03 18:26:52.130602	119		0
8111	10eofjp6jioopr29copvdw9q0g	$2a$07$7U6NMFFDW3kd8cw.tV3LcefoWjoMfzU0.DQ0aZiDg3hPqGzbBNr3O	47	2013-08-03 18:26:33.173608	2013-08-03 18:26:52.316245	119		0
8112	10u0pq0b7x93wmhqvq4cbpou5u	$2a$07$qVfrG9LV9Zp.cPXEkGBNgeBy7kMbjgTJxBri0ReQ6HwxEVgEMzPWK	48	2013-08-03 18:26:33.195577	2013-08-03 18:26:52.537215	119		0
8113	10hz159857yakqqj7hwl2ewi0d	$2a$07$4PimCagzX6qmRkSAqDS49OTkBwgXXKooqr8.CfLdETlzsPVMg3xD6	49	2013-08-03 18:26:33.219381	2013-08-03 18:26:52.648273	119		0
8114	108v4b8d2362l18rovvljstitm	$2a$07$9sRXBPOaWActSwQuwIRGHu2LtCBWq3MbRKNKDouCX6pQM1/MQCZr6	50	2013-08-03 18:26:33.242074	2013-08-03 18:26:52.759244	119		0
8115	1054477lql0eun6254ld0mo5mm	$2a$07$K3FHoKtnvBP.N6w2Q75gBuzeEAy807TSJO4lXDFVrOHcjUl3bcqv6	51	2013-08-03 18:26:33.265276	2013-08-03 18:26:52.886769	119		0
8116	10e6z28cm832tvm57dyedludra	$2a$07$NOjUEJZ8pronUlF2JQpoQe1FILpjzHRgi/u6OHSWaSdmKwY7aEmn6	52	2013-08-03 18:26:33.28824	2013-08-03 18:26:53.102922	119		0
8117	10jdetcca23ddal3ux05xqu8ly	$2a$07$tPRMnHJot7Qs7Q8TdWoEa.nv/4M3tSvucI.u5/n5lFRkDiRsnqQH.	53	2013-08-03 18:26:33.310802	2013-08-03 18:26:53.268364	119		0
8118	105mim3q7av096431v3yxosmbc	$2a$07$rXTDHA8iGwW3PO4a8tD2ROoUxrdLOhkqfibZQrVKIWzJQH/4hBNv.	54	2013-08-03 18:26:33.334889	2013-08-03 18:26:53.412948	119		0
8119	103fzmp1dcuaorwixzwdc8cnb6	$2a$07$8aiizwaZMe7CFdI4DwLBhOnlfatny2N7Qu0ZCDfUc9Y0AlTPZs7r2	55	2013-08-03 18:26:33.358863	2013-08-03 18:26:53.545119	119		0
8120	10yjgmm3bl3zg4k7630820mpvn	$2a$07$bl4bZwPjeSzWWPfYWNMRwurt.Zxple8jIz4pXMyZI0Juj/PgbU1nG	56	2013-08-03 18:26:33.38093	2013-08-03 18:26:53.68129	119		0
8121	10lwsonh7m85hklyp69o06xqex	$2a$07$pQX6qqgCayjUCqwnE/APp.wxEdRvgCsUMB2nN6wLQiizU7pVpdcnu	57	2013-08-03 18:26:33.404338	2013-08-03 18:26:53.823035	119		0
8122	10bz1oh3g84behbx1jnzu56o4w	$2a$07$0jF9BmEuD4a.HtDxWe39LOBEv5p547AWl6Xadp1GE92F2fF.xxy5i	58	2013-08-03 18:26:33.427831	2013-08-03 18:26:53.967667	119		0
8123	106kuyngmpdq644aus452dml2j	$2a$07$eM3KJUbUrsbaKvOcl.QKkOXcw38Kqr7yU5De3pXkuuC7BWrsmILMe	59	2013-08-03 18:26:33.449604	2013-08-03 18:26:54.096225	119		0
8124	1038uy7zmrz93vljpd4zb96yi9	$2a$07$rNr4/vtHW32JHGtwOxIJzulO4JVZn.blZF6.8JW2yZyK5D/2ZJvNe	60	2013-08-03 18:26:33.473	2013-08-03 18:26:54.214249	119		0
8125	10fskw2sw7edjmz5xbfmhhklpt	$2a$07$uuEtEP4DGYfVMNm86EL1E.j6M6eTkCyA6WbusGGzMvsdkAHsuNhrq	61	2013-08-03 18:26:33.495108	2013-08-03 18:26:56.874415	119		0
8126	106ns28dqwebogbh5pavs2d2ky	$2a$07$QLKUpwbEHk8rlZ2A75.Mzu9QdzvD268kY5CDgtmq/soIq/b6C1wz2	62	2013-08-03 18:26:33.5182	2013-08-03 18:26:59.765875	119		0
8127	10h38m0nrrtjadc1kj1gsclt7o	$2a$07$HUL15hc1cdWnxDDNiVi6wOzQc0Z/AOnNLkRbdvo0gu0KdrQecuUMa	63	2013-08-03 18:26:33.541253	2013-08-03 18:27:02.745947	119		0
8128	10615wmg88grjxey85zuh9bgtg	$2a$07$H.14LERh6etZn.0fsY9Tle9OAaEVCQg0sBRKpsjiyPgH6EDJObUZG	64	2013-08-03 18:26:33.564466	2013-08-03 18:27:02.86896	119		0
8129	10sznuu4x306uia9345kuvsf4l	$2a$07$9N6ckya0sty.poJ1M73lOOzOiLz4FfRQTat.XVvhxAuzOQcT3gfUm	65	2013-08-03 18:26:33.587401	2013-08-03 18:27:03.030921	119		0
8130	10zn9bwfcx9jy5sghbhoziqadu	$2a$07$toNIgejEtb1s3mEqNJPo/.t2GhO7PRDoWEjtIXxETp9lQG.SQ3hVa	66	2013-08-03 18:26:33.610627	2013-08-03 18:27:07.113701	119		0
8131	10olsqqr86xt35dshsz40bdgu2	$2a$07$JQTF7ZbfPrIE0pod2scaOu95Gcdf8tJl0xrlL4q/HhoheqlApUHwK	67	2013-08-03 18:26:33.63281	2013-08-03 18:27:07.256571	119		0
8132	10w6l7cvsk6icqgxs9t4ee277y	$2a$07$wVXAjALerkt/WWhIcyqR7OLPsOk8F//jR4n8g5hNgOB7eQaN7a2IW	68	2013-08-03 18:26:33.65639	2013-08-03 18:27:07.432602	119		0
8133	10bwfidowwbcm7pv7gp46nizf4	$2a$07$QlZc.Dgm9/o9WeEfvIx4UO6ZqVGA5AVobWBiCjQarpAe5zOD8rMLy	69	2013-08-03 18:26:33.678196	2013-08-03 18:27:07.688094	119		0
8134	1065j9tiy6e2p1i9ro3hu3q6lw	$2a$07$EMTB4fq56ZWRPQI.rwa6/OZu8WERwiMU/Fan1pl1pHGkZnHNlXNma	70	2013-08-03 18:26:33.701072	2013-08-03 18:27:07.809327	119		0
8135	10eoqxovmfm10reod061arryfy	$2a$07$IjLhq3gAeh3UgKXVqp39S.MiGXMKt74yTVYt5LKWIKq8CpeTxWxTW	71	2013-08-03 18:26:33.728248	2013-08-03 18:27:07.914528	119		0
8136	10te38izpf7yg4h6fl37ql4zdl	$2a$07$eN.ALOnl5zEBb972ACIZWOIIj9iXKZIk6N7DKFnMukoY8fiTEikV2	72	2013-08-03 18:26:33.760866	2013-08-03 18:27:08.035195	119		0
8137	10he8av9ermowq72u737kmvnp5	$2a$07$TBeqT1v6jqVdlHwjcMfPKONIFBadp2zSd2H2CeU3yFE3XW.lVkIUO	73	2013-08-03 18:26:33.783925	2013-08-03 18:27:08.39587	119		0
8138	10l1qu66sc1nhji8wuakdcb8oz	$2a$07$qpjPJR6g2Atsy4eBjKtveeyQ5FcvzZN6ym4xZxS0KQdohk7Njov1.	74	2013-08-03 18:26:33.806973	2013-08-03 18:27:08.525507	119		0
8139	10ojz1qxc3huma5x5lxinae20x	$2a$07$Fzk8XbGxOGqdyIF7czuBaewdQHOechPmQsSty2lwwcLf7p6gNAUBC	75	2013-08-03 18:26:33.830184	2013-08-03 18:27:08.661378	119		0
8140	10zaa5xx47wo62q4zhg03tclt1	$2a$07$SlSLMLflDhthRBc1QZwmc.XgfawuvuRluagyVuQkLV0QsxMy7mS32	76	2013-08-03 18:26:33.853637	2013-08-03 18:27:08.803796	119		0
8141	10mittgdrfbuy1b3s4zd99dkbu	$2a$07$/QgOfHcFJ/DrnUWrbY7VSuSd6Rkpt6ktPFPkpVN8Cm7XBW5CuCWyO	77	2013-08-03 18:26:33.892271	2013-08-03 18:27:08.934089	119		0
8142	10vna6dgywfv1q1h95fri42kk5	$2a$07$pZWr0UnDyK74KGlesqf6T.Ysa7J2qJkDnQj/y1jxgNTVH/S16fm0K	78	2013-08-03 18:26:33.917598	2013-08-03 18:27:09.071224	119		0
8143	109ogp7ro2nfk3ixplayevt5gn	$2a$07$D/vzOc5LdKpUuQWR9SfuleXFpUJM6sStqkFpfqnPr7cjm7PIkzm86	79	2013-08-03 18:26:33.943344	2013-08-03 18:27:09.266099	119		0
8144	10y6d8pqros20f29l0wcfs2gwm	$2a$07$nYOrNj5cuIsJ.TmyHedAEuv3jXFgbrnbVVdLsSuUH5TxElmr5vkZy	80	2013-08-03 18:26:33.96814	2013-08-03 18:27:09.406454	119		0
8145	10w6d5qygx79wdwg9k1bb6kf84	$2a$07$pvfGm3nSOQBQPHfVuB620.QrLDRO6pvsiOrxQBt6uJyxZD09b4.Bq	81	2013-08-03 18:26:33.993978	2013-08-03 18:27:09.571912	119		0
8146	10y2hqiq2lngo26n82dhdtj19z	$2a$07$CXt7AI0riDSNGKrXh92IeuGNB1vcwA6E0Kn85VMgNZcI4SwmePQdW	82	2013-08-03 18:26:34.030779	2013-08-03 18:27:09.722243	119		0
8147	10tgm79ls7jg86bbz74kf3pd9s	$2a$07$0d.weVLy8xZg2y2Gtj61bOV8faWPKmDba9yPqXqOWjvZQzZCbHiie	83	2013-08-03 18:26:34.057244	2013-08-03 18:27:09.879361	119		0
8148	10eq3gl5zvgovpq7a0n811ysks	$2a$07$TyUY0MPfkEizV4gamPMlm.FMMepgaLv5WDsRSwZRVYc7zzm.u7z72	84	2013-08-03 18:26:34.080324	2013-08-03 18:27:12.857671	119		0
16447	10kladjx2o4yrfj0g22clhjxii	$2a$07$85VtIs.Jsw8aIWUQzdAJDeMu0MHie4MBn9oQP6rav88fa2W37d4D.	25	2013-08-03 23:59:31.740523	2013-08-03 23:59:40.19247	186		0
16448	10l3shlnars8136ad6a14qjxam	$2a$07$vZPJuXzVCWUsFo8Y/WENdOVoW3qnOf/7kUlUZDugE01gJJMGulFMa	26	2013-08-03 23:59:31.763701	2013-08-03 23:59:40.291101	186		0
16449	101qzi6edkrqge7i6m271mmr79	$2a$07$QmsxMSwNcIg2YncaEWbMfewtLntoOZfZ6mKaVKUM9DIAd3CvuXVXm	27	2013-08-03 23:59:31.787365	2013-08-03 23:59:40.414041	186		0
16450	10j7t5bsjk58bupl2xnjc3xyiv	$2a$07$oE8fkISJ/FBJn8WhJ7siduF3IE1vhEnFv3RisnZb1fIc4Fdi59vAC	28	2013-08-03 23:59:31.809502	2013-08-03 23:59:40.723659	186		0
16451	106d9m4lhee7kge13abjgglo05	$2a$07$YZD3yreLYOyZSQ3/Ub7S5eaXmaZu764mqa9O0vWeLYzZqkrofD6KC	29	2013-08-03 23:59:31.832948	2013-08-03 23:59:41.109111	186		0
16452	10zuol4eclqmzxtm7c0unkokc6	$2a$07$wSjhMzpRk.ZJCSpvQQoVounn8emN0lD0ceCIJ2g6M2rtDPzU3Prv6	30	2013-08-03 23:59:31.855808	2013-08-03 23:59:41.420035	186		0
16453	10tz9ocyt8bqchd0jtdsny801m	$2a$07$0vV60kMBQBJWBgpAwgEQ2.XupPmJsc27CqZKxyg2eLVKwlIyColmC	31	2013-08-03 23:59:31.879825	2013-08-03 23:59:41.551998	186		0
16454	10o2gxsbzomymoh9r55g8o40vj	$2a$07$84jcSmr7UvVf5hPxQpD9nuWHOQ/U/crujfGawBeUqIyDgSVCl.LgG	32	2013-08-03 23:59:31.902874	2013-08-03 23:59:41.676238	186		0
16455	10fph8cwcbk9e7m24ow4gdkr8u	$2a$07$kSS27YzQC224sLXZMgwFc.EEGUD/QuOHYhHhgBeO/qgJlefrW2CB6	33	2013-08-03 23:59:31.928458	2013-08-03 23:59:41.804213	186		0
16456	10hy3ccq62nrerl3y4eynic5a5	$2a$07$W.sjt8BIIElrrtPeA.q2k.C6b2xfrLbuRI.pWMcP8/OV4BKeE2enS	34	2013-08-03 23:59:31.95258	2013-08-03 23:59:41.948239	186		0
16457	10i3hr8pv7zy1evfps88utq5ym	$2a$07$6EbUyso.jKkxCVeozzwnveYaCHXArK62wC8Qa4NhEMpXEvpQCCSva	35	2013-08-03 23:59:31.975133	2013-08-03 23:59:42.083062	186		0
16458	102lzdy4r3k8y228n1hlpcy5m4	$2a$07$gV.bwPyydog5.1FgEYl21Ol/kghIGTKfWxalKXQVT0gRpiYbqYb.i	36	2013-08-03 23:59:31.997816	2013-08-03 23:59:42.224278	186		0
16459	10c3qgiit4hfe0j9dbdbujieuj	$2a$07$/Y6/C4ROhLxLD9BkSeEkJuaUfSUFjz0.4aDkBy9SEDNtg9G2W.8Pq	37	2013-08-03 23:59:32.021541	2013-08-03 23:59:42.415973	186		0
16460	10lekm1ukgpxq8fdx1fzt9sioj	$2a$07$kqMgEJUntUDuwFstR//bNOcsHSSX7.viAeYQ2raF5O5uShpYaTzKe	38	2013-08-03 23:59:32.045722	2013-08-03 23:59:42.636631	186		0
16461	104tqi14abwakjps2s62tpmpwh	$2a$07$ka4lSHsb/gs6ZR4buGcCpOEA.0PH33jIUhsvzrFgWmoZgkfQJrn9O	39	2013-08-03 23:59:32.068625	2013-08-03 23:59:42.77518	186		0
16462	10y44abuwsgfdkv1fwkg6xemcf	$2a$07$zXwa5f7posIrgBWj57gHfu/TIL5obrOg4W1rorJp5y7nVQ2gibA66	40	2013-08-03 23:59:32.092026	2013-08-03 23:59:42.910388	186		0
16463	10n7l2y76ldloywy3wb0l0xs44	$2a$07$ePlWslgPOW8AHfQfMjYmE.gfOv2mKzFMN76JUSKoiXMtvoyWI/Igi	41	2013-08-03 23:59:32.115196	2013-08-03 23:59:43.044891	186		0
16464	10k2gyor3gk88a9v98kivn12ns	$2a$07$3f9AlWRRlK4zU.9u9hzKq.B762IITm4wHYfh5KS7IRy0v61uYsFxm	42	2013-08-03 23:59:32.138194	2013-08-03 23:59:43.184067	186		0
16465	102vjl2sx4koi9cc9vb059b70b	$2a$07$t1Q5qhxEwVC.IS0Ua/eaMe7.gvxBJA0ftg0mvxmjPt0CsxaDWsGh2	43	2013-08-03 23:59:32.161196	2013-08-03 23:59:44.162441	186		0
16466	10awc3rdsotz75t5imntws2h63	$2a$07$Lh84a.CY1W4T4Z/9JAvKPO1eBfsRqT36fd1FBS/Ihfv.Pkk.L5zUa	44	2013-08-03 23:59:32.184963	2013-08-03 23:59:45.207109	186		0
16467	10lor7v30fpe06ztexnxtvnohy	$2a$07$N0PQL9RCtc5LH3F0F3yMXeetFp9Ja8Bsv5vDEhj4vNR6JBdCoT/qG	45	2013-08-03 23:59:32.208236	2013-08-03 23:59:46.276936	186		0
16468	10i7qc6gmrov4edm8ljp6eqq8e	$2a$07$x6jwq/WC4nXenWzXr7XAAeWCpXDpBu1HZ3tmIvjjHaHMikNie7faq	46	2013-08-03 23:59:32.232337	2013-08-03 23:59:46.402798	186		0
16469	1063g63nthlg9dia86vqbdg7ki	$2a$07$hzHR1.C78anv5RhV4No9iu1y3aUmRw70f1T.Zae8qu0GzpubZjMXW	47	2013-08-03 23:59:32.2551	2013-08-03 23:59:46.514572	186		0
16470	10dhmo8f14sg3flan19l50cxbw	$2a$07$/a9hp7wL885WsgJNr1slLOm3oW8he.W3giqQ0ig8Qbjx1ipVj8pRS	48	2013-08-03 23:59:32.278643	2013-08-03 23:59:46.620848	186		0
16471	105yos59njjjytatfzr2y5ema9	$2a$07$3NQGeguMVG.BVgEB2P/Bt.eoU2Isn0hx2sgwIlCX5iBXrbelh0w3S	49	2013-08-03 23:59:32.301339	2013-08-03 23:59:46.745675	186		0
16472	10zbflxfh7pw94965i85veua5z	$2a$07$3.5ux/doAh.ycRLi0bZiR.CsaG0dUqPoVlCLodJpXAcQMCwqE84wu	50	2013-08-03 23:59:32.325524	2013-08-03 23:59:46.885711	186		0
16473	10ps0z2790d9isvkrr1i3d8zla	$2a$07$nzo1SUBjGVw7U/EXuckyk.SeFaReeZUeSkHs.j.27UZ8G83nLPhkG	51	2013-08-03 23:59:32.347569	2013-08-03 23:59:47.031583	186		0
16474	10bmtw9ebi95np9j314dpbmupd	$2a$07$L9sGnZLdDbqkYFo77akIRuBcnOFusSelNFeOcujCmCJrovtK1WrZK	52	2013-08-03 23:59:32.37083	2013-08-03 23:59:47.317582	186		0
16475	10ry9jbi7di1rx9jevw2cxww0d	$2a$07$JcBZxqwtDR51Y7/yuutAK.QuNPAa.k.fAWBqM.FOIujt9rOJtOxs6	53	2013-08-03 23:59:32.39412	2013-08-03 23:59:47.692223	186		0
16476	10dm2eudzcafqjzwamfxbeb2ls	$2a$07$gPgc7qdIDSXRPeHk.Gw/meETA0jZNxviCxkt5l3BCbLGxWi72eX7O	54	2013-08-03 23:59:32.417894	2013-08-03 23:59:48.057157	186		0
16477	1019xpam8qya0cgq3ylxtzw8vg	$2a$07$p/uzM4u7zMflTfIfEGT9LexnLCivlvN7GcFYi0oW2iVjKWy9Wa7km	55	2013-08-03 23:59:32.441455	2013-08-03 23:59:48.191533	186		0
16478	10a989jxmaez6ulu80o07ugj6z	$2a$07$dJVlppn2pKRGBznz94faau2M4zmiMrPskrvPoSizsZRgmE/2Yf0z.	56	2013-08-03 23:59:32.464607	2013-08-03 23:59:48.325508	186		0
16479	10jnop8upx44750n1ewk99r1or	$2a$07$RzboV4q4zYerM18r6OpXrO7SwcvozKPBn56TIMPm0F6MLXQdemoRa	57	2013-08-03 23:59:32.494767	2013-08-03 23:59:48.482935	186		0
16480	10d1vvkhvagn9k8805lsaaw7sv	$2a$07$cPwmRLsBqxESh04wLsFiGeg3zvhbmg2OtuhYgimHCxez4EBY83z.a	58	2013-08-03 23:59:32.519484	2013-08-03 23:59:48.639169	186		0
16481	10cgsyc4bqxbmgtcz28r5fcahj	$2a$07$Eou8GUuhhhBUjxKahGEmkexLRL9W6A0PZC18REG.DyLCnRKBMMYj6	59	2013-08-03 23:59:32.542326	2013-08-03 23:59:48.835631	186		0
16482	107g6ddqe1ydflo10cxgezbglm	$2a$07$6/SBHeUHg3WGFafVexwFt.nXg.mHsmc108HH3gMsk7N4FP3puZu1u	60	2013-08-03 23:59:32.565031	2013-08-03 23:59:49.00835	186		0
9241	1090ft51oquhr4yvtgi7k9a0j6	$2a$07$4EiiXjMoI35z4.w4HfPX9OQuyEp7YMPs1CF8wX9ugV/a1QRlRgcRG	1	2013-08-03 19:16:32.042386	2013-08-03 19:16:35.458843	129		0
9242	10htwd64htf784vs9iwxkixnmz	$2a$07$aQpWkND6JCnic2kPk19wVulJVDI5c9UoFDXKtPgc4TqnxM2m2pjrC	2	2013-08-03 19:16:32.066394	2013-08-03 19:16:35.594622	129		0
9243	10v04ph1allac6gy0c0oybsqe5	$2a$07$ZerOdSlyeNUU.WUhU4r/JeRf8OOeaUnHOZA9vwxXM7u1c77iNZGMi	3	2013-08-03 19:16:32.090209	2013-08-03 19:16:35.728865	129		0
9244	10twe55ac92mhffauov77czzis	$2a$07$ryX2Rs7wwCYMhUvqMkCtzOr20oVwQyVP81m8YboNgD4i4GC4DxHk.	4	2013-08-03 19:16:32.112852	2013-08-03 19:16:35.867217	129		0
9245	10vkthaebbmui615kjcczvqts8	$2a$07$emHTczlT7vWMeNBVSSl.5O1oxQL8Dao9f6QigQhRaBNbvYBTgeZhq	5	2013-08-03 19:16:32.136593	2013-08-03 19:16:36.018579	129		0
9246	10oyajo2nv3dtyjfekhaugzn8c	$2a$07$YJGnRuWPbOpLkUbtG7ENHurq79nuOURGhlyge/iHJsz7iFpV4UZfO	6	2013-08-03 19:16:32.159239	2013-08-03 19:16:36.184141	129		0
9247	10pkp39s7w0uz6n3nq1pd1bigg	$2a$07$K3dMgOcrBz6rz.raGvND3.4dQV6XhCwx4AZQs/eMZuktCUKyyrqx6	7	2013-08-03 19:16:32.181514	2013-08-03 19:16:40.438892	129		0
9248	10jpghtmhqd5a0hmuck2m4fd28	$2a$07$fuQAbhZAGpXoEDzBYcxe3..V0taujFglai7icczk.uzlWbPjod.du	8	2013-08-03 19:16:32.205064	2013-08-03 19:16:44.574013	129		0
9249	10u1hng3336np0uxve9p50vcyx	$2a$07$rlzt1vs3r7zn.VrnQKmvS.0EWeQ.fJQGixaIIuYyoQdbGbgJ0xxeK	9	2013-08-03 19:16:32.227472	2013-08-03 19:16:48.668827	129		0
9250	10bif3qvynb1vbaf38l7juddqt	$2a$07$vX2j/RwkIfrdP8jyOEVvOu90zS9wJ6Yy4lqY5mSMSQq7TKA1CaLLe	10	2013-08-03 19:16:32.251719	2013-08-03 19:16:48.813491	129		0
9251	109uz7vrz42cs66kgtn2apqhbp	$2a$07$D5lnwcx2ANRwNVpPxltcuufoPbHBKe0.Inhp1o/fa75sv55ijY.xm	11	2013-08-03 19:16:32.286181	2013-08-03 19:16:48.95737	129		0
9252	10p5n3mx7kezd6esgyr5ubd5yo	$2a$07$558uDTkRh45oE5dFoM03Auo1I1xJ/01Ym32w9TpkE9dlAhlr2wGSS	12	2013-08-03 19:16:32.310246	2013-08-03 19:16:49.085126	129		0
9253	103z3hauyviyzuhks19g20kfcy	$2a$07$KVjuKtDxPcqzbr0nW2EkN.xRo.9.9UH1C6f2DUIriwnTLMHKOceW6	13	2013-08-03 19:16:32.343956	2013-08-03 19:16:49.25783	129		0
9254	107423jd7goo2a6c9shplkn1rg	$2a$07$wPC1lzQBxWjv1QuHOZP2MOSjFiU9ijna4bYMpC0XjpORd5yEJ0YtW	14	2013-08-03 19:16:32.368983	2013-08-03 19:16:49.380568	129		0
9255	10xuolsv5f3mjmh9058zkeoawx	$2a$07$ol/THVUvUWZmZeRquNJTDOLqgwJgJlt0jeZfn0EG2gilm1AIm/nHm	15	2013-08-03 19:16:32.394236	2013-08-03 19:16:49.604296	129		0
9256	10yf3akzk912ly6a7n7hk5rqt5	$2a$07$oxtcSJIRjUnqTeh7CwA6GeOppkpIvB1nVLEyljCv3JDiP6ULTUvLG	16	2013-08-03 19:16:32.418364	2013-08-03 19:16:49.740273	129		0
9257	1083cqg62r74gjxfrg02n1a0mp	$2a$07$OSYEVHvgE/JF0TxwS.NQq.Z0rU8ZPyEHy0QqSpqoWH6f9VKgzRIKW	17	2013-08-03 19:16:32.440015	2013-08-03 19:16:49.878345	129		0
9258	10j4k1fu8qebvdn982vky76zkf	$2a$07$moNZzsztqD7TovY8IpDeremc.Ds/WixG5s9B5HE9bzxjIEZmmEqo2	18	2013-08-03 19:16:32.463276	2013-08-03 19:16:50.014048	129		0
9259	10chmcqaofz3geyy1gzojl0006	$2a$07$QGnV9EVa6MfwX81msdemjOYcJFbIjFBdulNyNDLGZtbAW3ZrngCl2	19	2013-08-03 19:16:32.485555	2013-08-03 19:16:50.126667	129		0
9260	10njquzgkjjhx5cw6ua1802z96	$2a$07$DdE4C1pQwHbs8Q/5raQihegBFlbEQuQfzrQmsSuaAS5AyYft.y6P.	20	2013-08-03 19:16:32.509138	2013-08-03 19:16:50.24587	129		0
9261	1003c7byynpj44xsfpow254yqs	$2a$07$JRbrDEY6iYk9ObNpy3FrQeiM3cGC2nPMsv109pbd7ZrzIxUtlt1SW	21	2013-08-03 19:16:32.530837	2013-08-03 19:16:50.380277	129		0
9262	10gw3b6gj1xvrtmrr3lzsvsz9x	$2a$07$oXYmCke78NjO4bW1/7jxWOWc4Nk6Ec5L6srfa4aAY.xf.0SQ5iX4i	22	2013-08-03 19:16:32.553598	2013-08-03 19:16:50.497352	129		0
9263	100sbf44hezr3ct64l8wt0l8ol	$2a$07$m7TdZhvewaTYWejbpGxEA.1HFos4IeGR241HXUnYOxtD.u8T8A4Nq	23	2013-08-03 19:16:32.577191	2013-08-03 19:16:50.628308	129		0
9264	10rz1yl7rv70k6vug4poe3n0y5	$2a$07$g.fGT.t3G4JTr3ca9QSWWOozLv4cICFS3g6z1.FV/G59ttSeLxwLS	24	2013-08-03 19:16:32.600505	2013-08-03 19:16:50.761257	129		0
9265	10gpldb598xmdsac8pqb19pfb1	$2a$07$FJB4fJIqhNs8LJdu7wYQa.3pTLTJ/eP/HoMXhd4inROPhqWDWrTz2	25	2013-08-03 19:16:32.624778	2013-08-03 19:16:50.877638	129		0
9266	10i3fd4pi2o5xwjmbbyc236b06	$2a$07$ikqO/SS7AY0cL91TjvKMguNwosUXn/c9Qwr.YxM.s13VDV0zxGyFq	26	2013-08-03 19:16:32.647269	2013-08-03 19:16:51.015835	129		0
9267	10n7qj2j4m4btvepc7laz6v0xi	$2a$07$MEZiaDiHFuZOImFzL1VaPu80nQXs3ZZext1Fn9How20Y7xFAbT2wq	27	2013-08-03 19:16:32.670715	2013-08-03 19:16:51.125178	129		0
9268	10hnewj1ef1gq59x70yme8qh2t	$2a$07$pjcrAz6EXVT88PobMaj/H.eReyUZlglv63SNXZ1M5wnIxVr9/QITW	28	2013-08-03 19:16:32.694604	2013-08-03 19:16:51.313821	129		0
9269	1096d5mk8ilrb67560dppddldl	$2a$07$Tv0hmyT5sHbb813ccvGhV.XXDxB.QA.CzF28fZbG03IHaV7emSqjm	29	2013-08-03 19:16:32.718272	2013-08-03 19:16:51.435528	129		0
9270	102wuk9i4c3qf6rc18nhvyvgeo	$2a$07$ml4rP/Q/f.R2eApEzLyGwem8YPCH3AfO4y6dqA9kkOEkK2EwdNsWG	30	2013-08-03 19:16:32.742224	2013-08-03 19:16:51.754116	129		0
9271	10ultkaogs82ll12fxpndwd1l2	$2a$07$RK3x3zG61l3Ixch4T3frCOsBgztSIyUIoIyFpvrS50XfHzhX/zJta	31	2013-08-03 19:16:32.764619	2013-08-03 19:16:51.890087	129		0
9272	10jcf5q84d4b5jtj9m8ei3xi1x	$2a$07$zlC7YY0Piihs9V6zws2qgeNJRaIu9CyzeJIs/PSwtPsbuYdWfNoPa	32	2013-08-03 19:16:32.787624	2013-08-03 19:16:52.018613	129		0
9273	10gfjdrtmce0za44y0japvb0wq	$2a$07$tVH5OHDvADlFhgJBIH22h.5WZ80jKY7Lt9Bw/cd1iDEZTd6jQH4LG	33	2013-08-03 19:16:32.811924	2013-08-03 19:16:52.218401	129		0
9274	10sgctovx5q5nacl08e7ba6e6y	$2a$07$sDPUhpAYjlZyopF5irelPO1XCVEWfF7p7.ng3BWj8oAvaBrP7dalS	34	2013-08-03 19:16:32.835945	2013-08-03 19:16:52.367977	129		0
9275	10knwvuc4f02waebq04y31n1uh	$2a$07$9kMhvinNlzHId235t4q9AenwALh3cBR/GZoiW7FEOBnHr0YzQJSXe	35	2013-08-03 19:16:32.859037	2013-08-03 19:16:52.511932	129		0
9276	10604zbs9ga5p030csouqao4qg	$2a$07$DQB/GHjtFAJr3Dc3G7AP8ebtJzG2NWfYHitZ3pMmKrSH999Zm9Q5q	36	2013-08-03 19:16:32.882724	2013-08-03 19:16:52.634587	129		0
9277	108ug6j520oe3flim5cp5pzam7	$2a$07$tBKpfTbzu4.OWWxyO4pH4eyCIFukwm.rrf22AXhrcDSHhJsaBl14O	37	2013-08-03 19:16:32.906211	2013-08-03 19:16:52.773559	129		0
9278	10n379u6nn29p4k8rztd36nmko	$2a$07$k0yAGlYywu33LlRL/s8YKOAUd6Z3xrusjUoJQFlhrwcRwq2/wWOka	38	2013-08-03 19:16:32.928915	2013-08-03 19:16:52.91259	129		0
9279	10wvxp2vdkpf9b2ohf05q59w9s	$2a$07$c1pEiCCByykzgaBf3AwqReV6eblHIP52UziKHSJYOZfLkwr6c1cmm	39	2013-08-03 19:16:32.951559	2013-08-03 19:16:53.053475	129		0
9280	10jutrfbxd0eqy9fepyl06p8s7	$2a$07$464jbx3FGuQx1mlqvbJLBOlpGsmYzunM7Bp58DJszL5CWqMgmWE2a	40	2013-08-03 19:16:32.974954	2013-08-03 19:16:53.160217	129		0
9281	10lqzm507e4rwdaar25j1snbac	$2a$07$pn255MDuBSXsXRFauBXc.u5kQCyQZ5FxlOguLYP58XlYd638Vfcvq	41	2013-08-03 19:16:32.997679	2013-08-03 19:16:53.276913	129		0
9282	10lm45p4fmu5btr5qq706hx4nf	$2a$07$KWx39/.nol4/QZKoGCCrRuCwck9azsRYnYplZPBFuYnP6eOZq6sUa	42	2013-08-03 19:16:33.020259	2013-08-03 19:16:53.428274	129		0
9283	10qs3v0yr5yvqg997jne33ux5c	$2a$07$cjjIDdvoFm60.JBLbuzjx.wkJVy0gZxtueGljs8lf0Mj0JrHe3KxS	43	2013-08-03 19:16:33.042826	2013-08-03 19:16:53.567851	129		0
9284	10gc00nsinsebges5le8rfhz89	$2a$07$/9wNS1WEDw.9emz9fVjnN.oZ5KKNVxsSiBjt5KfCbQU5BvmbQF4JK	44	2013-08-03 19:16:33.065375	2013-08-03 19:16:53.677025	129		0
9285	10fs0ga6wzpvf1ipoas9x6eok4	$2a$07$qF6zufcAGW.z3xCmGLZWRe3ACoFPACbyTsUtFhCFoWL/5JmxIq3pe	45	2013-08-03 19:16:33.08919	2013-08-03 19:16:53.813826	129		0
9286	107tsahsfwc7s2r1pqd4t8xruu	$2a$07$J3LnNcV0j0Q6xh5ejCej/uGYxYhVFNg8QX5bZl8qTDpouWHfV4lee	46	2013-08-03 19:16:33.11206	2013-08-03 19:16:54.070896	129		0
9287	10f19csytl0lxenf7rb8utanls	$2a$07$MdeKVaf9.QKPuMlOGInsF.NRXeZetBP1qnGt2auoAGmxkmqm3wOve	47	2013-08-03 19:16:33.134881	2013-08-03 19:16:54.255648	129		0
9288	10mpns8z74xnwkwmdz7minpook	$2a$07$ZgeMANu2vQZd/f4rR4DPE.rc4ed.kuaEOoxO0izPt9oW3jFJ/roB.	48	2013-08-03 19:16:33.1571	2013-08-03 19:16:54.489388	129		0
8149	10svmdrl6ckwq40tgtuow4qvgn	$2a$07$t9AQn.OjEbZkk4QxoJOtGuBy1A4eqYGifwKpNhkKL5ugMtgc7UuD2	1	2013-08-03 18:31:32.124288	2013-08-03 18:31:34.257607	120		0
8150	10th2o1368ckids5srrpss3da4	$2a$07$HDQMJdrdFy7C3XTobKil/.x.zS8jYe2Zl1ueLjUymYzFD/f1J3cpG	2	2013-08-03 18:31:32.148569	2013-08-03 18:31:34.385044	120		0
8151	10apwddtbzwrzlqnyhnq7i34pi	$2a$07$dVxir3JdTGljbAOqOKN7c.KXn3bzEe3Dv2nCoz4or3F5GWMvsypxa	3	2013-08-03 18:31:32.173346	2013-08-03 18:31:34.512708	120		0
8152	10o9zqc5fyg5knhotvuyr25uoy	$2a$07$.4jVc/8uzLInqrDKRSleYOJknOpfmbUSumdWabmhKh/glOSEKZ2fS	4	2013-08-03 18:31:32.196353	2013-08-03 18:31:34.647972	120		0
8153	10ipg3kwkivc0nw9oahkngpuuz	$2a$07$Bb5/d9hgumAPQuLbRJ314uEhq1pl3xUoHN89kMGSGXa8YKoNK63Te	5	2013-08-03 18:31:32.219827	2013-08-03 18:31:34.78355	120		0
8154	10sra16rm20933ld4663hf9l6m	$2a$07$erPHS7m/.mnXKxU91cb4ZOGNCEkGtOSK8LW1wsMh0roofrMhYvT3.	6	2013-08-03 18:31:32.244204	2013-08-03 18:31:34.918313	120		0
8155	10lwdvkoc619qzr7999wxf9jr0	$2a$07$i.MxftMnq3d8mr8P37yE9eADZ.Wif0F9uiHw.yZz3.SMvi9K3EjNK	7	2013-08-03 18:31:32.267557	2013-08-03 18:31:39.361181	120		0
8156	10wr9ttkonbahmufor3go9z1dz	$2a$07$y9VN5B1b1h8N3W9qjfjjDeRpF2h9fVSrCtoLyiPnxz8vCANJr2NHO	8	2013-08-03 18:31:32.291418	2013-08-03 18:31:43.506952	120		0
8157	1055vpchrh2pxomnza8nbgusp4	$2a$07$/pYiFz1WbCo0MWg.oBYlDuCYz7hoy/Rz4Jij3917iBnORE6kQ/XgW	9	2013-08-03 18:31:32.315856	2013-08-03 18:31:47.236693	120		0
8158	10t8edwkkhtf3cvl0sdxlpnfat	$2a$07$WpSV8oX8CSpkdZszCaHI6.lbs.UFaKUUkiWjAdlBgngVEoIwMNF/y	10	2013-08-03 18:31:32.339689	2013-08-03 18:31:47.34529	120		0
8159	10ln1t2zlnfro5xtkyvzp3rbwd	$2a$07$eUsoS3J9FRqTBqt.0P3i2ujxPcpDNlaWPT9T5O43nNSJWuNFLHoga	11	2013-08-03 18:31:32.364608	2013-08-03 18:31:47.460082	120		0
8160	10asb54nqp6tr3xyhr5fjwplno	$2a$07$42euAYVRlQLjq5v5vwyFiObvlJv9TvZzCwXAaka6bUgR9511DpCUS	12	2013-08-03 18:31:32.389105	2013-08-03 18:31:47.596152	120		0
8161	1028f594ypf3ut848tu479y92m	$2a$07$0CoIKeVYr6RUHeTzjFhSuuRpxYde9mgb4LUjBIyPJpNwtG/HemKcO	13	2013-08-03 18:31:32.413032	2013-08-03 18:31:47.838804	120		0
8162	10a8vs7f9jh20f4e0aq3o9qkxo	$2a$07$Z2eGgM.TitiCQVpmUO4CTuNRElIoFUlCyW8Seav5GpwzFdiIvsk4.	14	2013-08-03 18:31:32.436714	2013-08-03 18:31:48.100316	120		0
8163	10ajouh05nsd1qw05o0f1f928m	$2a$07$FkL0rMoyR.a4peezP87Ly.MW0R9MAOoBnNWxLM3r4lwHyCOG9lvDW	15	2013-08-03 18:31:32.459914	2013-08-03 18:31:48.373626	120		0
8164	10r63nemb0cvsahko45878rts1	$2a$07$8WT3w6FXlF8K2OPn5IOQs.PhBbgb.fo.ZpQtzQN0jPWIC7F8ZlyeW	16	2013-08-03 18:31:32.482999	2013-08-03 18:31:48.608523	120		0
8165	107qukhb5upw26h707wb3jc1jd	$2a$07$/PIOETPAbRkYicOA5lO2sO1u4sjhMG6aX8QTtz61rY./uqfZB/CsG	17	2013-08-03 18:31:32.506358	2013-08-03 18:31:48.738554	120		0
8166	10isufsp4hxqgxknr02k4j3zbr	$2a$07$biO8BKrvq9dphGm1Pizku.KUdJXhJn4IHGcU4RHsUBBD89bBwl3Tm	18	2013-08-03 18:31:32.528946	2013-08-03 18:31:48.944868	120		0
8167	10ujfnyfhvu83rhgogf903nqmz	$2a$07$2wICwWcms77q6RTkPYnATeOt2Xtb6JYWGXEyOG2fqZrc2itGXUrK.	19	2013-08-03 18:31:32.55182	2013-08-03 18:31:49.066856	120		0
8168	108ajo0prt9wov6rs1d7krudv5	$2a$07$JMx2wek7IkH5pFH/4Ku.1OVlcPsYjTC1gOLhJpUX9pdMzxBveZFFy	20	2013-08-03 18:31:32.57508	2013-08-03 18:31:49.214061	120		0
8169	10an9ot5xciv13z0qoy6au6ses	$2a$07$RE/xLt0cobPqq5b.zB/2IuxhI7bFB6ACKMrbbtWXegjL3g5oW9Ary	21	2013-08-03 18:31:32.598507	2013-08-03 18:31:49.339455	120		0
8170	10gbm9cefy3nkeqiec1doulkdv	$2a$07$mtxNbyyayAIE8xMWa38LVOXRoI6D6yzWG1a76xgPMRnLumAbzpYDy	22	2013-08-03 18:31:32.622113	2013-08-03 18:31:49.459691	120		0
8171	10qdjn8tdd4jq4yq2ebe4cbtih	$2a$07$2JneDuoISaQrl43d8VXUcejvDeyfd37n5Uw9HMaS0x55wZD7c7Oaa	23	2013-08-03 18:31:32.645727	2013-08-03 18:31:49.587506	120		0
8172	10addwvamatg5kg5ruus74yz0s	$2a$07$ZrmZerrtHsqBV3pQYCjEsegTUaJ64FBSk/H89vi2alwZn2zfoDORy	24	2013-08-03 18:31:32.668722	2013-08-03 18:31:49.692841	120		0
8173	105u7k1ko34sq1z48gzvg5iu68	$2a$07$Spt5cQaCacBwyEdRJWntXONygvYSMBwDBdiCkm.dhJ1LpDyUPNApi	25	2013-08-03 18:31:32.691912	2013-08-03 18:31:49.807782	120		0
8174	10u2gqnezr44ddqt38wmy7mke3	$2a$07$59HD366XM6TfGZiZaBL.He7Z6EiGTTKkTh98Cpf/gACBlIo8jNTde	26	2013-08-03 18:31:32.715228	2013-08-03 18:31:50.008807	120		0
8175	10qb5ppc3vcwsjbxqd1l36sjn3	$2a$07$sDYe5fCORzD6O7KOTgg7revtq7iVU5Lw52kovFzZ.zkxDCurEj2C2	27	2013-08-03 18:31:32.738893	2013-08-03 18:31:50.141536	120		0
8176	10qcjiu1nvqsp4sc30gr7szdy5	$2a$07$QeBi8R0nNJAVcO.t46KFGuqIOjuvCq0Z9rVXNHLiQKa1sxiKAIU1u	28	2013-08-03 18:31:32.761706	2013-08-03 18:31:50.499441	120		0
8177	10ijceflaw7ubjbedst7nhsf5s	$2a$07$tCaUQfLoBnCAmYxVxC9fEuEM8wMmlGqhx4kO4ioYIRwSs9pl3JsJC	29	2013-08-03 18:31:32.784036	2013-08-03 18:31:50.859364	120		0
8178	10vrujw4xw8dvuvlnsd7ienuq5	$2a$07$F2fc/e/oTyysiKB5okJCluHtzqJHpVN2dRV7HixjQsZpgbCdA1CXK	30	2013-08-03 18:31:32.806811	2013-08-03 18:31:51.220128	120		0
8179	10tz0qfj275t1enf0mb66sdwju	$2a$07$cLt1C92pxgIcr0/EcLXKQeCUy4pQxiaVkYFr/nrwInUXE/8Lj9sFG	31	2013-08-03 18:31:32.830799	2013-08-03 18:31:51.346517	120		0
8180	10ki0b15qudxirsj1nxzjmtj2z	$2a$07$gl3F/wB3dP57zj5S/2XsDu3Fqdjcwd59XVWoJWH1fmxTk6DSPRtyy	32	2013-08-03 18:31:32.854451	2013-08-03 18:31:51.487375	120		0
8181	1031itde0ob1eqe80tdqt3n8x6	$2a$07$FJDJcN5ANAXTCA2jW.8LYO9Z5VH424aWgOgWCfHLI6Dpv0OsOj686	33	2013-08-03 18:31:32.877709	2013-08-03 18:31:51.633777	120		0
8182	107y39x7wynrybh89jgj74j971	$2a$07$tjDwb.xfhcj5pqb58bo.U.DCk/bJf51GlFMnFsdVvBMOomubEJ.tm	34	2013-08-03 18:31:32.901519	2013-08-03 18:31:51.760717	120		0
8183	10nm2b8qcmrd9t3xxb3fru28xs	$2a$07$VYMuOrL7.YbPD13dUROyCOhQrmx5FFgoJ0hNJg.cBfT9LDp4rIcaG	35	2013-08-03 18:31:32.924941	2013-08-03 18:31:51.899313	120		0
8184	10i0l7huxkplz8uwvgsy5g1iig	$2a$07$sjZbf4SpadpCX91jXcrebuBfJpZFUYPhMNSyLB1FRJAHkFZ8w1N0y	36	2013-08-03 18:31:32.948219	2013-08-03 18:31:52.037187	120		0
8185	10n9zzbiol4cfztd27mgsjwmuc	$2a$07$ZjP3ibXuQhB1cdkmyJwIousrvLxTYTXt1iLmsMoEGew4c9OfbVkGe	37	2013-08-03 18:31:32.971393	2013-08-03 18:31:52.166598	120		0
8186	10we9lt9mqf3rvikxiri2m1l0m	$2a$07$CDTBckZknziR7cSswjuSaOJa3Fj17j.yZvhixcyTj6b4cvysJANqm	38	2013-08-03 18:31:32.994222	2013-08-03 18:31:52.302184	120		0
8187	102nd1j4z1zhv2wo6ad3zan64g	$2a$07$TDpyEsa1omE/XoObugsozulh5.QQFl1MVIzYbt5DweHThXg4c.Xsq	39	2013-08-03 18:31:33.017797	2013-08-03 18:31:52.422791	120		0
8188	10b2kwz6lkujx9js59m88ascra	$2a$07$Cfa.fy8AhIoCQb00maS8ZOjb17LEZelxH1BK9hKKbF6uyyUumk1Sm	40	2013-08-03 18:31:33.041008	2013-08-03 18:31:52.538993	120		0
8189	10b54gdzynzgqcmmm7egure5sg	$2a$07$uH7e/dMMbNBoJxEj1VCWkufyMBGjvTg57T0pEx/4pm.6rNJLaEK4u	41	2013-08-03 18:31:33.063582	2013-08-03 18:31:52.662654	120		0
8190	1041qoouy6ie0szxd5qeklglib	$2a$07$4Ew8SzjZVtU1ywnZbJVmNeU0Drt63FCnN4lUkzKH99erpnSzo6LIC	42	2013-08-03 18:31:33.086664	2013-08-03 18:31:52.783653	120		0
8191	10zq4gw69enpcnvwp0e3dz6sz9	$2a$07$fPJEku/TLY.lQo43QEJeOedDF8wYRsARHT3hHPLERod7f27kKpLve	43	2013-08-03 18:31:33.109816	2013-08-03 18:31:52.919632	120		0
8192	10438rruwojixtm4kdsyfufppp	$2a$07$MkfZZRasQyaNBfnt8m8GIuuS2/pjiRfaa.js6nWtNS0y0YjDUSsSu	44	2013-08-03 18:31:33.132136	2013-08-03 18:31:53.04952	120		0
8193	109xz7nvvj74d0f27eadestfmt	$2a$07$AV8MD27GUF4qEOZuR9SYaep5JP8O1/PVmr4ocykvGYd3/Vk.470fm	45	2013-08-03 18:31:33.15511	2013-08-03 18:31:53.178318	120		0
8194	10tfdbxb3b7yxlpotexcbqkdkl	$2a$07$HwdgP3WYR2VMEfAx3YgO2utB3cXAuHTVggj3EJ9/RVzvsQdpPb/Be	46	2013-08-03 18:31:33.179208	2013-08-03 18:31:53.423571	120		0
8195	10jtenzn1g86e6ibjyn7intm0e	$2a$07$hDmTwEI/b/GlWQrjUh779e8QZseoQu1xe4RQBFBe.WZGWGxBvruR2	47	2013-08-03 18:31:33.201301	2013-08-03 18:31:53.563834	120		0
8196	10slh0ba37u1khj7jv86qwy0ll	$2a$07$gNsZjNeYmVIyCL0gtmRNz.hg6cGmO5ubWrEG9GQMAs2pUOfD6CcKS	48	2013-08-03 18:31:33.224436	2013-08-03 18:31:53.689796	120		0
8197	1034r7gfj8tx4b1n7dg5c97js7	$2a$07$603b0rDC8kEkRAy4IuNy7uVv/53xNaEWDNVG6u4boR0kWT0zxGh4u	49	2013-08-03 18:31:33.248528	2013-08-03 18:31:53.823911	120		0
8198	10ovdbkbb6d1wq87ip12il4gsy	$2a$07$k967cknbJLUPcbX3j3/PZe08UBGGTQnhBpcYA6GWXHaAf4heoJ4IO	50	2013-08-03 18:31:33.270836	2013-08-03 18:31:53.970405	120		0
8199	10nzbltdxf7nq6oq970jradjqw	$2a$07$xJqfcyU2GuCdHkeFO/9a5eZN7HCix3g55SVU.NqPMCSKW12lCOmYu	51	2013-08-03 18:31:33.293952	2013-08-03 18:31:54.113236	120		0
8200	101umfw7gr3zwrqmtnxddojm5e	$2a$07$HPweg4j90.nM1qqvVthwW.rE/7YRv.A6xDRsaagMfY0HLQV5.q6G6	52	2013-08-03 18:31:33.316742	2013-08-03 18:31:54.247013	120		0
8201	10l67rri0gcfggtx4ug9nxfvrk	$2a$07$LOp4q3vouAH/Wuk4wgevvO/HOdg1PzPDowCdAK.0.vCs0hYgsH6fm	53	2013-08-03 18:31:33.340606	2013-08-03 18:31:54.371641	120		0
8202	10kna1ili8myb66kk1rrq1wknl	$2a$07$VoRAZQjhXALAoGfDXO61KuFHA0lQs9.Q.im/V68lFuvaLIdBKefy.	54	2013-08-03 18:31:33.364495	2013-08-03 18:31:54.47772	120		0
8203	10il1e9sucn9gson81nrazaz55	$2a$07$WGI/4gDY396q3cWvHmMGLuMBBOwkH5ym3AxnMISN7253smnHNNMRu	55	2013-08-03 18:31:33.387824	2013-08-03 18:31:54.572775	120		0
8204	10prz55fv7xq0o420j5g8v7nin	$2a$07$bVXOCkO6.rMZOwyQ1vwEzOYXZQt8CgNDTpjAlXX0iguGuiptG4Kuy	56	2013-08-03 18:31:33.410935	2013-08-03 18:31:54.68131	120		0
8205	10v4ddbsbnqzpsuz9dv23p24vp	$2a$07$gvxEQErWKfmAe7CgZBmQl..EpGSXiaSh9rT7JnSEPgDcw3cBqHqbG	57	2013-08-03 18:31:33.435643	2013-08-03 18:31:54.791338	120		0
8206	1029a94ibcl6vtqx5bvwjqb96c	$2a$07$/daNFGag81/Gs4ws7gOi/.hveXt1ZO9HkaXjjMHehRw8MYlZiAWr2	58	2013-08-03 18:31:33.46117	2013-08-03 18:31:54.928889	120		0
8207	106jzn70w8jdhg4lt1fd40fgk6	$2a$07$rONXON35fOCDkhzpyCNiaey.Zxdoo4EzvdGTtwCn2oxKnLCKZj6ya	59	2013-08-03 18:31:33.485129	2013-08-03 18:31:55.067175	120		0
8208	10xoysqqpmyl4x462jotdmbvb1	$2a$07$niuHiaIwQ9UJJUJ6Ir0HCOr9L93506acJU/yWXubCq3zPvXzjmsRm	60	2013-08-03 18:31:33.514176	2013-08-03 18:31:55.197541	120		0
8209	10j2m02snjzhr4fq5o7sb2ysp1	$2a$07$GyDdgGrwruJ1P47mU0qdIucYUZFdl8Bu0rRiUlB9kkWddINoZJ3RW	61	2013-08-03 18:31:33.54636	2013-08-03 18:31:57.998388	120		0
8210	109fpfsu4kqg9z6hau7441b2oc	$2a$07$g0/9VlysrvM7w/dzJrROnudKcRFcCZgnTklQbkOnC4NT9YonxiHYC	62	2013-08-03 18:31:33.583866	2013-08-03 18:32:01.152177	120		0
8211	10l7syf4a89pqfvgx3ib2zg0lv	$2a$07$FLf70.tcKJm8K/fRCK12AeGxCnB70jqzgk4WHiqOb7nX0shzH8VUK	63	2013-08-03 18:31:33.622336	2013-08-03 18:32:04.163135	120		0
8212	10xkq3vhk838fy1yew2g3n0y8r	$2a$07$XyxtNLCwf3KB2VKRYmK42eYGdJSfKkqhlyHYcVeGj5OQrJ5hZ3GWy	64	2013-08-03 18:31:33.653466	2013-08-03 18:32:04.360271	120		0
8213	10rslm2q7bbr7l0weiabkoge0m	$2a$07$FCSTipzZjBa6muZtWu.AzukkAsAtdl3saKtsylbu05eLhosRi9tUG	65	2013-08-03 18:31:33.676067	2013-08-03 18:32:04.512545	120		0
8214	10rbe1vmfef72g6cour1yom2u7	$2a$07$usJbGzaKglYjcagmTGfGJuzF39AumpxuqRdhw94oAXIjlbSx0V2eq	66	2013-08-03 18:31:33.700003	2013-08-03 18:32:08.247157	120		0
8215	10z3zd5hdk5fmgcp1hq0eeekfg	$2a$07$oOVPEhjgJyt0erxBINRTPeAfVzz27zUVO7yn6QyFnClTvqkji8B3m	67	2013-08-03 18:31:33.723213	2013-08-03 18:32:08.371042	120		0
8216	108rjlqn3rgbzb3ol28px2qzie	$2a$07$B3apayGSndDB0iV65NyNqefQbW7aCqOxko21CCZXa/FiQKiY.ob2O	68	2013-08-03 18:31:33.747533	2013-08-03 18:32:08.545077	120		0
8217	10rsv20izxametd4yoy9zod2xg	$2a$07$aygU7NBjuD1yvqaDTA2xIu2fC63NsjfYErPeh2CRSg6d6sTU3WFlO	69	2013-08-03 18:31:33.770191	2013-08-03 18:32:08.988848	120		0
8218	10379r0dei6yngrk1mtvg5hcuf	$2a$07$B51I2.UgTU8Vj97NRXv6DeWj.5rs.3Qknyjqcs.dem441mRMI6/ty	70	2013-08-03 18:31:33.7935	2013-08-03 18:32:09.117241	120		0
8219	10rf9wha1ufxbshyc4rd8ug4lw	$2a$07$OknCAYvxZRjOBSv8yBxLMeUNwYSW4vy1sRx7IlUAZQ8M2XdgOemd2	71	2013-08-03 18:31:33.816687	2013-08-03 18:32:09.247019	120		0
8220	10wg4u72zz3zywobohwc8gnc90	$2a$07$fuC3xU3WzDCavspNn2H0rev5buw8W//8xFFY3k50S9X.sYJ.rbKfG	72	2013-08-03 18:31:33.840957	2013-08-03 18:32:09.344161	120		0
8221	10pd48vkn1g4l06pi5dghy01d6	$2a$07$aShbxQk4RxUkHbcbtR0bzuGNMYQFaX058OXLXU3FSSq.Z4rRS.K92	73	2013-08-03 18:31:33.864947	2013-08-03 18:32:09.756712	120		0
8222	10c7ey6h554yv5931s5qb8mcjy	$2a$07$W/mIc/SYRCppJ6py.THJquwc6B6.lqL03DuW.UcKW5ASY0XB2p/qO	74	2013-08-03 18:31:33.887504	2013-08-03 18:32:09.879836	120		0
8223	10p0evw53xnn2jemfza3mrnpdg	$2a$07$BDzk6Zr7.Ht5SBMyx9CpfeEac73m43rJ5/fCBIxbQxzrGH.R8tyQe	75	2013-08-03 18:31:33.9103	2013-08-03 18:32:10.014955	120		0
8224	10j2ml6ut6tkdtgbiyenlz2drf	$2a$07$lcuKKCaBXNs3zDDvnrAWVe96boz7L.rNyf8zmQ77VXSUl5dHgt7Cq	76	2013-08-03 18:31:33.933714	2013-08-03 18:32:10.161442	120		0
8225	10bn231cierbanop8lddgqqt6v	$2a$07$RQWuCnAl68tXjFbDYbjqMOtYYo.ek/Fj4gwdO22WhMDQLyhXWVaq2	77	2013-08-03 18:31:33.957064	2013-08-03 18:32:10.311999	120		0
8226	10mef2bjo8tlfdt6mc8vik16yx	$2a$07$e9AGqyhKpc1JJuvTxkf04O/Uq0bu1xHUcf1iVR4bBsvyiflp3tRSS	78	2013-08-03 18:31:33.981143	2013-08-03 18:32:10.450322	120		0
8227	101aajhrri7n9mwll29s561auf	$2a$07$Ulcw9a9IBYy0qbKib2gbuOP9OHLTQLD7zGxilJLb23B0P3TbNv3k6	79	2013-08-03 18:31:34.005667	2013-08-03 18:32:10.686038	120		0
8228	103ndbmdpr4dlnc4bgl3w0t68m	$2a$07$.d1GAjHVHYNjURJjCsesBOJw1p22KTj1SGOwZxgYYaBGMX3yl1d0q	80	2013-08-03 18:31:34.029883	2013-08-03 18:32:10.808302	120		0
8229	10f62ysuakgvakfbdqs6a5pf4y	$2a$07$36Osc5/QCHuaIIZc7irafeVzzDi9rg91aOWUV9chk/HzEPy6v4yTK	81	2013-08-03 18:31:34.054293	2013-08-03 18:32:10.998028	120		0
8230	10j5kkx1s9cru5v367fpn89amj	$2a$07$BGqNavkbxTZnbdHI3MNpEuHBc6e35lBC3IEjMZDaqPlnH7uXWKBge	82	2013-08-03 18:31:34.07814	2013-08-03 18:32:11.135477	120		0
8231	10abxxiw8cityxe32wptjelo68	$2a$07$xctqyaKjDZoyxbkfMPxLs.7W2wlPLDIvSU1wsbgCuLYkd3ABS8f4W	83	2013-08-03 18:31:34.101242	2013-08-03 18:32:11.251371	120		0
8232	10lk0ziwsbf0hxdwy1iwyt33tr	$2a$07$uEN2dBkS5Oc8X3Aw4gVdD.L0I3Gr5RHpBVeVxd28tlwWq60Kl93le	84	2013-08-03 18:31:34.124645	2013-08-03 18:32:14.031126	120		0
9289	1066li0tr3f7u11b6ke74xso4t	$2a$07$RcYNek1iPcNSOCd5TBQgq.pVzUL.uiveTid9QBwrwkHR3q.J3CJN.	49	2013-08-03 19:16:33.180392	2013-08-03 19:16:54.6311	129		0
9290	1039x8sztvlb63ghst59562ts5	$2a$07$ASvtGSrj5YEgdhRam.frwOTc1uZGZSyBbd7wPEWLfpb5hPXledcfS	50	2013-08-03 19:16:33.202502	2013-08-03 19:16:54.76913	129		0
9291	10bs465bfgw8ssyed384bwcvg6	$2a$07$gjJy7LZMFWZ5n1a5Udx3guhFP.5KZ6B4KHJV/1SLNQ0LRD5.Xvuv6	51	2013-08-03 19:16:33.225998	2013-08-03 19:16:54.920732	129		0
9292	10tatvn3vnpb5mh9n11u35sy66	$2a$07$s/jW92v0URC8gdoCKFHKjOxRDLu7Ws1c/.Ztw34Sn1ZP/g3qaBhRW	52	2013-08-03 19:16:33.249094	2013-08-03 19:16:55.084707	129		0
9293	10bt45h4i1ypgngafrtsebeyho	$2a$07$bMhkkDg.wGUcTMP08I1w7uU84I2qzrUeHwfBtKNUxDHfBspmvB9oC	53	2013-08-03 19:16:33.271987	2013-08-03 19:16:55.23843	129		0
9294	10ibwm3pcpqv7sh9ingy4rpsi9	$2a$07$ZirZqm/YLymDKWrDIhsjoe7Gkm7X80dEJGLn6W6B6GZvKT63jMzT6	54	2013-08-03 19:16:33.295231	2013-08-03 19:16:55.390045	129		0
9295	10vo0ug9zd5qn39t138vuaiinh	$2a$07$ozSyYNOFC7e5Oyry32dOMeCXH6JF9JDEVAIIcXBrgIzVKesqJ56Ey	55	2013-08-03 19:16:33.318679	2013-08-03 19:16:55.538806	129		0
9296	10gd0kr4fu8b5nbsfma0kcwkep	$2a$07$h/R04JQhYgHoC481KDCJVehpxtj.iPCoA4QDc9TZRKtPgU6Tor20S	56	2013-08-03 19:16:33.342252	2013-08-03 19:16:55.67786	129		0
9297	10xixrhauurq0mevkw32540p3w	$2a$07$8bWLls1J9gSdnjDTsegWd.twZltLnWAF/IMzqItUqnYcpJC8kz65O	57	2013-08-03 19:16:33.365484	2013-08-03 19:16:55.801373	129		0
9298	10opu5mk8pe7na4ogqh7omtubu	$2a$07$pRmzejfUfCZ3SPCu2yu17O8FDbKWhqZSbLF30o1.Eb3Vg9t1sT2jS	58	2013-08-03 19:16:33.389305	2013-08-03 19:16:55.936238	129		0
9299	10ebobrzibcsyhhrhtkpqvnfpp	$2a$07$ICaWeu/WzrH8lr.VQUBvquO9L1PVK7h0rOnzeT3jeCquVD0ueo8bu	59	2013-08-03 19:16:33.414027	2013-08-03 19:16:56.069794	129		0
9300	10ulhospaosl0rwcdul72a45uy	$2a$07$8m3KVK80lsqPUCtIkMJLe.Albo.Pt5TM4QFM9WHJ9ZaACPIjxAMUO	60	2013-08-03 19:16:33.438834	2013-08-03 19:16:56.200861	129		0
9301	100o01russu1bvjvdrvv0zijsx	$2a$07$tjPFhrp0.78Vfwdyq9e5MOQ7NQAZ3D0djjnzW//jF.1/Tb9sH2/A6	61	2013-08-03 19:16:33.463864	2013-08-03 19:16:59.029164	129		0
9302	10c7hrpkpt90mm7zzffjjldptc	$2a$07$8xWl56/LomYe7qq0Olbk3.mr.IkZ5vF8gknU1A71LpiM/5BnW/WPa	62	2013-08-03 19:16:33.491633	2013-08-03 19:17:02.125976	129		0
9303	10bcfikikqsuz6eoer1sqyr0rx	$2a$07$wrA33JMrQ0t9ij3YNrI.4.P2hLPnuM6mdGkkzUaxrTWgIWCaLV24q	63	2013-08-03 19:16:33.516068	2013-08-03 19:17:05.132935	129		0
9304	10el2gzux0q31lswpy7t7eosbf	$2a$07$1Z1vHm1u38X52wu8IjX5KuWSuMcb6DPnx4coA0cANewj7Y7HTLSZa	64	2013-08-03 19:16:33.550086	2013-08-03 19:17:05.407107	129		0
9305	107n5upj86fwg4b11uju7q6s4c	$2a$07$O9p4CFKrgdiK3psH/HsKd.zds2TAl5ZeHzMmOZrX3nsNjU1bd4trG	65	2013-08-03 19:16:33.58241	2013-08-03 19:17:05.557536	129		0
9306	1019elyu3m58a6hnxnphyv3tgd	$2a$07$6f5N9csHuAyM26Pd6kivCubyS0MooSdAwY/a4Nx4SMD8rlGMhXV3K	66	2013-08-03 19:16:33.605819	2013-08-03 19:17:10.002723	129		0
9307	104x6x64f8nii25xaloxy6kz9t	$2a$07$FbbbSDzdsitd7MDa/Yk.1Oy/sdDmKJBrEp19f/atC66MGkmCZD0MW	67	2013-08-03 19:16:33.629376	2013-08-03 19:17:10.124687	129		0
9308	10dvxin4obymdumc6u8mfos117	$2a$07$DzhlcrQevrD13cjljLS5l./qnBLH6J58PHY67GJLi0aCc2jSEZluC	68	2013-08-03 19:16:33.653068	2013-08-03 19:17:10.25166	129		0
9309	10k4a89yttyek8v23rgw1ij0h9	$2a$07$ypxBt/d7kzxhv.yVYScYJ.6jev3zMDaN0vnfuW.CR7vzTwBI5.JYW	69	2013-08-03 19:16:33.6765	2013-08-03 19:17:10.381108	129		0
9310	10ent2g7l989hjwd7edkqxpune	$2a$07$uyImJPMw0hmnTz.MbwZJo.is8pHWNAF4OUBLp/pHDMM3fjMjHdrUS	70	2013-08-03 19:16:33.70007	2013-08-03 19:17:10.49888	129		0
9311	10q8qo7py5o556fdkl3sb02e6t	$2a$07$VbgvTCiPdoSKoevoqyiOjeOP7YcGWWk5bOIkB6lVQEKrhGbU7FvYW	71	2013-08-03 19:16:33.722828	2013-08-03 19:17:10.636905	129		0
9312	10vu3viv2t8lccwt0trg82mvij	$2a$07$nqigKyqTwJq9bf8i5yDZ7eUKN.k118gYJUa34NNpbYfx.a7npACWm	72	2013-08-03 19:16:33.746373	2013-08-03 19:17:10.746419	129		0
9313	104vm3rgnjb57omcpn41c9khz2	$2a$07$f8y9Q0JVk7LxrcxE0xdr/eYL26GGq4Wn22.kjg6xR0mJV/P9KGf8m	73	2013-08-03 19:16:33.770033	2013-08-03 19:17:10.933577	129		0
9314	10ax93i1v5igspj6p6wg6p1l36	$2a$07$f0/Scjxt7yh90KObcMiH8e/pQRwtIy8N6XdCXTgB01QMh2jtlPDve	74	2013-08-03 19:16:33.791855	2013-08-03 19:17:11.060062	129		0
9315	107jhbvvvez5cwqa2css01m1s8	$2a$07$0yiHhCZJFCzeyk0tgN00m.UIu0J/QIBqJH0S.4hYV1BJVjGfQHqVe	75	2013-08-03 19:16:33.815135	2013-08-03 19:17:11.660523	129		0
9316	104bbeev73fkwukmw0ihazy9cz	$2a$07$N6bqzsohWmzGsLTg9PKBUOlCUfV993G5f5D2UFtVajp17t4.VttTW	76	2013-08-03 19:16:33.838607	2013-08-03 19:17:11.775271	129		0
9317	10doto1quefdpegytpuiamwe0g	$2a$07$AKhldTsR9z5/AI8u7tyl9O3ykO18Zc4.WVVov4pD5qNs9YnDEAmse	77	2013-08-03 19:16:33.862907	2013-08-03 19:17:11.906577	129		0
9318	10eepboocybjakbz3it9brsyd2	$2a$07$0djTGm7tF8JHmfGUTwD/DepndBsqIbJ0QByY1rhxwdRnVF6QJ1eNu	78	2013-08-03 19:16:33.886072	2013-08-03 19:17:12.031972	129		0
9319	10hxdim8qxtrbgpvk8nntxvmwp	$2a$07$yfQUwiDMwWcbh/OhhpVnN.KpLOgkmTFiEYmxcBAjXyFdu92hcvcnW	79	2013-08-03 19:16:33.909144	2013-08-03 19:17:12.264082	129		0
9320	100nm3x4c8671az1gt17skukj3	$2a$07$N9niA0Res2d/Tq2xsv49DOhF9NGDkgmFUEtfM6b/w0fgFwpHV0cA.	80	2013-08-03 19:16:33.931899	2013-08-03 19:17:12.421779	129		0
9321	10dzq18infknz5zof4jyi6ljgt	$2a$07$5Pn3SOKhlN1g19SaEHIrcO/.OM/9k.CnIgHBj9IwII3IE/TojpIhu	81	2013-08-03 19:16:33.954032	2013-08-03 19:17:12.629011	129		0
9322	10v62h8rnbzzgac7ne40jqkble	$2a$07$aedtLTVlmLmsRkRJLqVTB.Lj4MqkgWxp4H65M4N9rCO5JZFFgf.uK	82	2013-08-03 19:16:33.977731	2013-08-03 19:17:12.760618	129		0
9323	10mngk6qjo5pj9nsf6l83hfxcz	$2a$07$4z0lQDNxntXtxeJ3cE0DQu/KMSgg5t2VNIm5W.qBl9mACveTHHZe.	83	2013-08-03 19:16:34.001272	2013-08-03 19:17:12.864931	129		0
9324	10jtnbg1vmgrxg24r36yq19j4c	$2a$07$TjlIG3q4L7T/MzvWNazhi.Rb1V.TdonWFyHIMLwArpNKHXDPou3ru	84	2013-08-03 19:16:34.024627	2013-08-03 19:17:15.498838	129		0
9325	10veuhpj9wrsvuk0a47r2v58dk	$2a$07$QDkMsxVRpp0cvF6HpOuIWeiBULxhDcw7Bab1159.ps2gqFeN3PCvy	85	2013-08-03 19:16:34.060552	2013-08-03 19:17:15.682262	129		0
9326	108cqtus4okq23coruo7z5osfb	$2a$07$Bft4FNe/HoDR5NpAtgQUnuocxBqpekEytiZjVxDjMVzdhaCj6UKfK	86	2013-08-03 19:16:34.083383	2013-08-03 19:17:15.848565	129		0
9327	10k7fex685jhucnnyvzf3umlz6	$2a$07$y8BWBjmc6.tc.YJZwLrTa.LFdAvStuF8ACFUsYoCYW5BLJ9rHgTBq	87	2013-08-03 19:16:34.111255	2013-08-03 19:17:15.989434	129		0
9328	10r8fnfwxbylc0fdcwf9tzpm1z	$2a$07$d2ML.KtcvF4Gnaua1lk4V.4angsmk.3Mc6e8ansyQwPsCQMQiUPB.	88	2013-08-03 19:16:34.133881	2013-08-03 19:17:16.131982	129		0
9329	10rpdopqavjwhqw6gs0bqksph6	$2a$07$.Blua.z5S.cdoAbzcOgdX.CgAf2A6tAbegy4SD0WwA.jkZYtNmPRm	89	2013-08-03 19:16:34.157139	2013-08-03 19:17:20.393671	129		0
9330	109fulema251slj952epf2d226	$2a$07$XtD3NPMNEVh5YVVtk7a/9uI5IoenuvA2TH8h6lv94TSYcOkoy5xXO	90	2013-08-03 19:16:34.178674	2013-08-03 19:17:25.198639	129		0
9331	103xqe4xv59w4vf3oissdbsqwd	$2a$07$nWCjuY5HI0EKI1WaCDMiCu7UDT1QKmpbXcb6nTm5DbKx/KNpyn2We	91	2013-08-03 19:16:34.201438	2013-08-03 19:17:25.300465	129		0
9332	104qjoawkd2gu6bl1xnl0dandm	$2a$07$Awx50KGjcrayVbzYC7wBMuuPK5eLfZ4N6sanE97.m/jnBWqasiEvm	92	2013-08-03 19:16:34.223304	2013-08-03 19:17:25.431727	129		0
9333	1035oezkf210kjpvxcju219pnc	$2a$07$EHryqKtf67jEA0iPVoZ0luNRUB6vjJ8UJaIML6rLi8wDN04dCwVGS	93	2013-08-03 19:16:34.246699	2013-08-03 19:17:25.593181	129		0
9334	10y0ecpdgnxhdb5k4ztk4sl6oz	$2a$07$PE5.D1RGbWggSjZ05FzfCeLiQAmoxW7Voobbjlyxw7xudUkrPRPM2	94	2013-08-03 19:16:34.269349	2013-08-03 19:17:25.718319	129		0
9335	10g37l6wyxsc1dymubhydc7ts3	$2a$07$UHC6ELxRAM9T0ilFJr3iFOtNFdjs6Qa1PcOe2hOhPJ.jjTTA2D5Bu	95	2013-08-03 19:16:34.29225	2013-08-03 19:17:25.864529	129		0
9336	10gacgvjdg0s8m9mro2216uit3	$2a$07$RYrTXzyaLfOCgaVO90dxPOWVn.8fMYDUhVnESp.ZuSvDuvEKn3rfG	96	2013-08-03 19:16:34.314264	2013-08-03 19:17:25.998051	129		0
9337	10uc8ex0xfe949py06kuphxrgr	$2a$07$ksk5XjIuGvqJzook0slRneZSwaD8Nhh2D3Usj72j6J1uqksR3Hd..	97	2013-08-03 19:16:34.337053	2013-08-03 19:17:26.131775	129		0
9338	10tjzfl7gaes6rvs87p5fttc2c	$2a$07$E4MrNUP8ZknC3uE1pX2/9ee2ysQ3mAGPodDX/3SF750mW2aEx5utC	98	2013-08-03 19:16:34.359544	2013-08-03 19:17:26.249771	129		0
9339	108v2wyyin0ekn21vwwg3xx92x	$2a$07$AVUHsAExBgwHnyso7dju5eAACL7aXaBPaArFtt2FngGwShnxWjh8u	99	2013-08-03 19:16:34.383004	2013-08-03 19:17:26.386527	129		0
9340	10e0yu0b37uaq7xac64wzqybk1	$2a$07$bwfjEI4b34zxSRY18dzXlerOYjJa9YY/XQVkI4/Ba5hF8htiqJqRK	100	2013-08-03 19:16:34.405375	2013-08-03 19:17:26.553178	129		0
9341	10gutiuyez76t8nh9iljpitird	$2a$07$sHRX8B60.YHGN8m/tGW9QuNVAfymtJtfGIrIB7hc0qUh.BymOEz8e	101	2013-08-03 19:16:34.428441	2013-08-03 19:17:26.67108	129		0
9342	10hnzuu2d2nqlnyftbrejt523s	$2a$07$yLeFNycIeKf/.DW640Ej3.sRMkIpbbE5AC8ugFsCBRdGS4.PxDRX2	102	2013-08-03 19:16:34.451502	2013-08-03 19:17:26.78628	129		0
9343	10etsbhil64i2uz5fire1ahezi	$2a$07$Irx3.l1Jzo43ghVsEFjcIOiaKjVE.pnJ0FT3gEbgP6l7TMPYbyREK	103	2013-08-03 19:16:34.485486	2013-08-03 19:17:26.960205	129		0
9344	10a1sxf39ei5u8i5ryw684z713	$2a$07$KpGX/h1T9niWNElRUB44det20f/fY77qkLVxgpEflTWRpYcgtJUUC	104	2013-08-03 19:16:34.510582	2013-08-03 19:17:27.133057	129		0
9345	10s7zu7id3ynbmw8wysdryjr53	$2a$07$/2wY8xeN4VZ.Bdq2JDkPA.lX3.adv0C7z4fa.feUHkkq24v0wAco2	105	2013-08-03 19:16:34.5357	2013-08-03 19:17:27.266893	129		0
9346	10985fcijcziz2aw1ki6s7y03l	$2a$07$RNdtPPYqPN5b21SFQzcLSOhHN0C3pe44hsVQvx27nZMetroUIx2/e	106	2013-08-03 19:16:34.559902	2013-08-03 19:17:27.391887	129		0
9347	10p9hsc6prn24qemm3cqnkjj1b	$2a$07$YzXlgIbz5l/zxrbFLLkN0uAmPzxgOzeFKLAkkfZyJjn7EJFsi.Ume	107	2013-08-03 19:16:34.583257	2013-08-03 19:17:27.484897	129		0
9348	10kyn9oirknmnfkawxleg6f396	$2a$07$gPv/4AJ4ds64f1Pdxe3ZfO4C48KaJ8SV03vUiUzq/ZryfZ.ipR8Si	108	2013-08-03 19:16:34.607049	2013-08-03 19:17:27.590953	129		0
9349	10311o0o9pdu4jcegzddcpv33v	$2a$07$Rw8utfYKMz6xbaIy83P6K.ue.2v2kAzBxRpFmeRPLWHPLCAjSrRz6	109	2013-08-03 19:16:34.630854	2013-08-03 19:17:27.727851	129		0
9350	10uxwlp59fo2fy8jjg7hrkehgh	$2a$07$Zfgs2XTvDsbkOhx99i2k0O71NRL5WFGDMmAfxxN6wAAM/7Hlx/uzG	110	2013-08-03 19:16:34.654816	2013-08-03 19:17:27.8663	129		0
9351	10yl261k1lhmv2cuh8b2f27of2	$2a$07$BcsvBScFbTx92Nn2IwG.eeow1LKr1e62amuCwFzHucSrXkoOh7V2K	111	2013-08-03 19:16:34.679872	2013-08-03 19:17:27.993899	129		0
9352	1020kvp9khx4wx000aryx6azr7	$2a$07$jLwjgH6OptcRz7TtWqYmfulBQNQdprsbhMAl8oX6hMTtVRjl.P6nq	112	2013-08-03 19:16:34.705537	2013-08-03 19:17:28.135242	129		0
9353	106ecfrofhzppk8uzzzv5ks6ix	$2a$07$1jkEdkkzpr9MxQk/tRmgG.MT0z.z0eZ7B2mSw2bZj4ljmD8pU1qHG	113	2013-08-03 19:16:34.729585	2013-08-03 19:17:28.278549	129		0
9354	10tzkfd5i12v5pjif115qp6n0c	$2a$07$duZ/kUFk4H.D.ie63oUA.O93okNHGW.veQHkxpRSkWmqoL6B.IIDW	114	2013-08-03 19:16:34.753594	2013-08-03 19:17:28.400407	129		0
9355	10ojgq9n7equo4hdoik87k7dje	$2a$07$HEm4Hbn6MKqWdSNBGlT1k.Tvmvj/hkAKnH0zsl6vhQKqZMKmEhNAG	115	2013-08-03 19:16:34.783404	2013-08-03 19:17:28.678566	129		0
9356	10cvhbuk6gusno4aoml4zdd3u1	$2a$07$UZjIWyue8QLMNvPhgwulne.vU/NBqXlId.AK2tEJz8r0LCvD47MR2	116	2013-08-03 19:16:34.80708	2013-08-03 19:17:29.04221	129		0
9357	102jk5q39jwqi9qm08qmbmd34j	$2a$07$yB3xUMbcrtMUPWljASVTpOgddeoBy1L3HFto/H0zRbGIbEKK7ye4q	117	2013-08-03 19:16:34.830194	2013-08-03 19:17:29.179387	129		0
9358	10pfz2e65puw310w2rate27nhf	$2a$07$rkb8NA0lHkINkyUgqw3cTOd9Dw4zvDGbh82.S5UrC4WVQnm2.vJ5.	118	2013-08-03 19:16:34.855213	2013-08-03 19:17:29.285214	129		0
9359	10rus82xpaugniw2o3fib6y83k	$2a$07$FTuqxBKmWLqcbs7WNvAwPOLv6VJnmESHEc789KUbazEEJ7cN7NsBG	119	2013-08-03 19:16:34.879171	2013-08-03 19:17:29.427004	129		0
9360	101paiwyz4yt2bgrv5133qyb0f	$2a$07$13QNiLw1K38zvcWPVp5Xc.0ubdkxWfiBRkG79pdZlG7f5r6IDRt8a	120	2013-08-03 19:16:34.903995	2013-08-03 19:17:29.578529	129		0
9361	10q5rw4lom9ebfvnb7w78ttotm	$2a$07$C.jRi4Ed9/w6pJgxEENft.w4XXjh19.V4/UN.BGdS8f3OUjywKLeO	121	2013-08-03 19:16:34.936069	2013-08-03 19:17:29.708117	129		0
9362	10lz6i3d1jo02qo058x0m6n17w	$2a$07$9npszi5ODKpwYCa/BM9GH.9PlZGS2CoFh1H11IK5oDOQScWBLrU/S	122	2013-08-03 19:16:34.958917	2013-08-03 19:17:29.851154	129		0
9363	106slr0gmjl8iwcto6ylgcvprs	$2a$07$Z70TPhG1S90BPgcFj6Qg0.9xbn/5QrMOrswLI4X3y7D2u2fUeRSBS	123	2013-08-03 19:16:34.982466	2013-08-03 19:17:32.725613	129		0
9364	10gncw5fg7469gd00ghkx3pe3u	$2a$07$4TJZSmbMxgEgUhz5bYHu8u4yTQSxbfA.NqWx7Vl4k6q3xjQxpnHPK	124	2013-08-03 19:16:35.005632	2013-08-03 19:17:35.723994	129		0
9365	105uew1onjzc6er620ny8fbtgu	$2a$07$gcRPZtzaqltCihPmYFSMSOaCLfS983FSsodtFZYF8XLtIcVqoN5kC	125	2013-08-03 19:16:35.02806	2013-08-03 19:17:35.883021	129		0
9366	10wqnnelt2sg7tgz4gjh8tw2wq	$2a$07$rxkLWIgCWnoHMqiyXcrJQuZiV9HizrA1PZbJgiMZqXLKrfxCuq5Nq	126	2013-08-03 19:16:35.051465	2013-08-03 19:17:36.037508	129		0
16483	10pybidpxmcq42xns9lpl388vk	$2a$07$gNsi.DuEPIvzIqi24nGkfejUm2gGKMrnL3FUo9OpQDU4Y4db6v6MG	61	2013-08-03 23:59:32.588225	2013-08-03 23:59:51.653287	186		0
16484	10zuwlt1k723vhjn66luthtr7q	$2a$07$qAyPenCW.Vdn/e/IwCLLu.g1l13.RbfKnWQH8Ofos1xQjxAH89tyy	62	2013-08-03 23:59:32.611572	2013-08-03 23:59:54.674178	186		0
16485	103v4cvyqgv3m2m293k0t5xu30	$2a$07$Aa58ePHufNscKL71fEKx4eHrwOAv0LM1S92u85lKz3EfFGmjGuBa6	63	2013-08-03 23:59:32.636347	2013-08-03 23:59:57.641947	186		0
16486	10axxp3z69ebdf3q5rs29tqa0k	$2a$07$nMALOOAUUbhp4zTimQgY6e6LBl3Ha1GwNrMHJ7wTR9CR74JfiT1Va	64	2013-08-03 23:59:32.661731	2013-08-03 23:59:57.740058	186		0
16487	10ayocb4obvjxdf0qccrahkjpu	$2a$07$WEPelJDmo5izVLYPcaTQ5enmDu7rb41XVTYKbMfXm.2AIMj9wizFK	65	2013-08-03 23:59:32.68561	2013-08-03 23:59:57.875534	186		0
16488	10wozv8xcpfatf128btqcslj3m	$2a$07$x5iNmY169rD7ohAkMherYOs55PI5UUDgGZ5G30Inf7c8ueSjnzQn6	66	2013-08-03 23:59:32.728066	2013-08-03 23:59:58.904831	186		0
16489	10xqjzlx6ts6rr1f5lb7ldvht5	$2a$07$Wl2q8Bd.UXfDsCeU3NE...6bYMVKxoygXH57sDdqXDZMAxXwbhQkm	67	2013-08-03 23:59:32.75112	2013-08-03 23:59:59.022488	186		0
16490	10dj5rp7fzre261r99xrii7oct	$2a$07$bEInk9z5GtvaqXZ.TzV7VO/FJjQL5SAycPC0ICY352.903oUmN2US	68	2013-08-03 23:59:32.775129	2013-08-03 23:59:59.123452	186		0
16491	10215day839577oiwbnyjng13d	$2a$07$Hzz8wzSaBfgmOxXERcwNPOpnV/pLbAUToWkfFypf/xhDC4PPknQEm	69	2013-08-03 23:59:32.796756	2013-08-03 23:59:59.232412	186		0
16492	10zqdv61by5svhsrrqzztfehac	$2a$07$Qh66w1TM9NndCyt7aqJDd.EtpZeuvJvjyJ4I7Alg52II0fuHmnC6a	70	2013-08-03 23:59:32.820394	2013-08-03 23:59:59.368424	186		0
16493	106rlolbh1ns5ag2aqe8j9q3xm	$2a$07$zSzXvrhkCWv3dnj111lUJOWli63i74UHUSO6PkeY/91QmqVfbTSYC	71	2013-08-03 23:59:32.843776	2013-08-03 23:59:59.498171	186		0
16494	10jndye9wqmuxypsdfs21w9raa	$2a$07$uLnvA4GKaqIFq7iQLBYZouHHwkN9kOUNlhbnYPUR/MJ.mEzg3vTXi	72	2013-08-03 23:59:32.874787	2013-08-03 23:59:59.624998	186		0
16495	10cu4eb1e7spip61mzqpr8roel	$2a$07$yaN3edYwRltnK0n81ySc0O.RPFk9Hlteyih/4tujdtgyFIbIpPd/.	73	2013-08-03 23:59:32.899042	2013-08-04 00:00:00.077951	186		0
16496	10ethsfuspmpdjnijm8nay42zf	$2a$07$gB3U2cTizbx1hGzGFLIZCeK43ZLyQ8rvL6nN0viH4P6aLrj3XaBgO	74	2013-08-03 23:59:32.923759	2013-08-04 00:00:00.209402	186		0
16497	1011dzod2jp9k7wgobkdfmfb0g	$2a$07$I7BeHKiz6ughUDs/vyzGJuIWB0hh6IeMGZT6p8BSkBy7eRGDbeqn2	75	2013-08-03 23:59:32.948067	2013-08-04 00:00:00.345671	186		0
16498	10z4aopig25z7k1mwx911zjgvr	$2a$07$1iQntF70PgP7UmEGyIiQyuG9UrQudTIkZGz8SS/835uX.aQVot2Fq	76	2013-08-03 23:59:32.97258	2013-08-04 00:00:00.519665	186		0
16499	10fzk7u4ep45cx8e0vzt67eqr3	$2a$07$Y/Yrk2vtJrPkehi2H048uuInNRPOlAZ38tLQRhjLPBofKfCK.5JNy	77	2013-08-03 23:59:32.997096	2013-08-04 00:00:00.646824	186		0
16500	10u7ze1tea5jswyv72894tntax	$2a$07$6Dhfndv9iYE3Wtn3CfA/dOu3sHEnbeX0jdt7N9JsC.6x79TDxKfm6	78	2013-08-03 23:59:33.024809	2013-08-04 00:00:01.742841	186		0
16501	103cz99ciaw8bkiawqf62m78n5	$2a$07$NbRlrVVIjHTjCX4Odmkp6uSH7R1HJwgJNvIdRKVRt8BoIU..UdAKa	79	2013-08-03 23:59:33.048196	2013-08-04 00:00:01.863227	186		0
16502	10s349uwanvt4m33mjy19p399j	$2a$07$e6.P/Kra8rmrPDxqGWB8RuPwmD/FGGzR0MK7gdfUrpOtQ2.pfz1KC	80	2013-08-03 23:59:33.072139	2013-08-04 00:00:02.039735	186		0
16503	10y6ff7m55vnuduibou56c3lv4	$2a$07$90wWREPK.ZhcRdyCEzz5XOpzzU6Dc2WsFnBbMy65YuZHMnR1LjUtW	81	2013-08-03 23:59:33.095012	2013-08-04 00:00:02.381649	186		0
16504	10ujp5230sxvbe4lqcjkdgb7d2	$2a$07$CwM9osGKsadJr5z72Vho5uN1lxZsGPq2KOukYL0bDzbu0vBsYdCu.	82	2013-08-03 23:59:33.11814	2013-08-04 00:00:02.503694	186		0
16505	1091fqhcasic5nno2w0g9gvame	$2a$07$Gvf24NkU96u0wi9lfpC51.dGKFhv5PRNl1k4/78IoOTVt5dfpiJpW	83	2013-08-03 23:59:33.140536	2013-08-04 00:00:02.652534	186		0
16506	10ulr138hrkgbxku6yxjq1c0bs	$2a$07$Cg.N7S2.ZAtaZFUmKUQhWOqCotkmumTb5gHycX1MFU5gn.yONRJnu	84	2013-08-03 23:59:33.16341	2013-08-04 00:00:05.229389	186		0
16507	10vk5ms33iisasb8hpvfmqkp7k	$2a$07$bawMu.bmiSeDsbtjzDkAAuoAqM2Fs2Wn.vU/ius8QSQ.B5aySNRR2	85	2013-08-03 23:59:33.187199	2013-08-04 00:00:05.357196	186		0
16508	10yvlsf655i7s4ohxbk8h9royt	$2a$07$GTr6riod5CAK59nV./zA3OlADNt7BNpJxbPKmz.gKHDo3bhewC5Va	86	2013-08-03 23:59:33.210322	2013-08-04 00:00:05.478437	186		0
16509	10r6judk1enugxtjhephfju4t5	$2a$07$dLjVXgb/CsbhgaMJakWgEOREYC.J0a1b44DX/mUc4z6iufikFMi8e	87	2013-08-03 23:59:33.232843	2013-08-04 00:00:05.605157	186		0
16510	1074i1kb7nsimd7lvjhgyaci6z	$2a$07$TBpQpym17qhPNlBWyq9S3.xrUvMJw9R6AvpmvvjAqGbvf.IIgsXSG	88	2013-08-03 23:59:33.254874	2013-08-04 00:00:05.740578	186		0
16511	10cproh6oe3zyifpxjca0rfqv3	$2a$07$QDMltNjjyTUZXpNjIMhrj.Aurmi82Jz7Smp7NqPScSp1DbMZame1W	89	2013-08-03 23:59:33.277887	2013-08-04 00:00:06.826678	186		0
16512	10r7ypm9ez7mf594x6iq5so3w5	$2a$07$abmQuC8d4W6Z0xw6cJz2m.e1bqD8IArA1w3mcVi2H5qlM1KcoRZhy	90	2013-08-03 23:59:33.301352	2013-08-04 00:00:07.928673	186		0
16513	10qbitos64uhouck4hu0sbxhjv	$2a$07$MpPMAGjDNglx3jS4pHLkEu2vV5UmHEpkDQyLDlLFQYUqtqjfOZE0a	91	2013-08-03 23:59:33.324365	2013-08-04 00:00:08.066606	186		0
16514	10sbbgb739gdo0x553d9szgx4t	$2a$07$ka3vI84mZgkvQLzuI43Fg.ATIFZCALgoaWgzoE/Owd9vsUXUGq07G	92	2013-08-03 23:59:33.349949	2013-08-04 00:00:08.211089	186		0
16515	10i7gl5yneu04u5ky6yyhk0k0e	$2a$07$imFhjR2rOvSU8.UV0y7gnu.E/ZPB.tg3hgRuWkp/HRHbs.0.8wx.y	93	2013-08-03 23:59:33.373331	2013-08-04 00:00:08.328939	186		0
16516	10sdwty1ic6p16l3zyah60jkff	$2a$07$2JlgjeMg5vTJO0m/ypKeSOYCDMIi29ABK.zGbmZIwjS.SqhYtfkLy	94	2013-08-03 23:59:33.398398	2013-08-04 00:00:08.464445	186		0
16517	10r473bhka8d3vx2rso9koas5r	$2a$07$nkf8K6jk4txfNHD7qzhj8.1pah3Vf9ga6oyvkP3tNborodA8BYWES	95	2013-08-03 23:59:33.432118	2013-08-04 00:00:08.575944	186		0
16518	10z8nu9ogppmmksuepw4r6feff	$2a$07$kiagCN1m7NIIDAwmDf5ghODNCbfQ7sqnZdLCgivloDE4BpsrKuHR2	96	2013-08-03 23:59:33.45547	2013-08-04 00:00:08.721181	186		0
16519	10b71szmngv1qpsq1ncv9urudq	$2a$07$qdqfdOzLkdoloDgJi2p8PO.EoNIxZIlav1seKwf1z242nw2n5CF72	97	2013-08-03 23:59:33.48461	2013-08-04 00:00:08.876998	186		0
16520	10ko908kk31tarmi9hfby7rd75	$2a$07$8kdayOclMQqCHBw2g0DrlOTlFiZ/aaGPzrc1GIM5JXmrBygWDjp6m	98	2013-08-03 23:59:33.508027	2013-08-04 00:00:09.023951	186		0
16521	102bc5d8kjgmw7ceid7wkdkido	$2a$07$XpV6T./8cv75LAeVDGrI7eGxcK4XUBUH2p/3AMrgaxyc.e8yfnAq2	99	2013-08-03 23:59:33.530942	2013-08-04 00:00:09.139963	186		0
16522	10qhhmx38hw4nnd5qvsm4ukqb0	$2a$07$SrNzWgU1TMreEtZQ0V9sjORQxI..rc00U1vd3u73jOUMpA/yIIE3y	100	2013-08-03 23:59:33.553751	2013-08-04 00:00:09.277798	186		0
16523	102vlljxz4wgz453fdqkpslb9f	$2a$07$kK6WlDMbYzb8iNBRGYlupuGmtoPuQ5hWMCMKPrCLiOBU3KmHnYWt2	101	2013-08-03 23:59:33.576761	2013-08-04 00:00:09.39672	186		0
16524	10h2dt8ikirz8qvzijnnkid9wn	$2a$07$tPOulTxLG8wL6li3LClze.piUGi30hCSX8DJSqcqNCUKL1ZU0IvYq	102	2013-08-03 23:59:33.599835	2013-08-04 00:00:09.510418	186		0
16525	10sh8nf8upee4b75wapa2lz6mq	$2a$07$VUauekBEW.mYlhQAKUJ5X.GvyGJBO3uNqr2q3O1S0hUhrcI.8VbF2	103	2013-08-03 23:59:33.630519	2013-08-04 00:00:09.972129	186		0
16526	10zbqaxfn78rb82ofpqwu2y1d4	$2a$07$M5s5y56wsHUZNeyj5dgh5Ory5Q8R51T0kaWYMQBmDd/geHMUZvu0m	104	2013-08-03 23:59:33.654935	2013-08-04 00:00:10.359013	186		0
16527	10o8o1numtuc1ovbkburycxf7i	$2a$07$KfIOrWDggiNazkae40R0dehYhQGez7I4aXghGExz5uRLaK1xzUgtS	105	2013-08-03 23:59:33.69416	2013-08-04 00:00:10.50257	186		0
16528	109xr96m8vz4b2bx6lqv4gyi8m	$2a$07$T4atEvAGRw.w0bNIGR7dIOTEepf9aRKuuh6SFfTz.MoXJp4EpEdd2	106	2013-08-03 23:59:33.727947	2013-08-04 00:00:10.605134	186		0
16529	10l61zyim41ftg6vxepkzu3jff	$2a$07$ps6oO72zaGwJR/B1kM4nMeC0lGfoJ/AZ9DtxXL/8Ar5kGBIvsFsPa	107	2013-08-03 23:59:33.751326	2013-08-04 00:00:10.761488	186		0
16530	1099ffhg5zuj0sdmvxxm1yo39p	$2a$07$i8pYiHZ/4A.KMq0rzI213Ozl5v6g.R61qD09rt.opCZC/VsE6t3Cq	108	2013-08-03 23:59:33.77484	2013-08-04 00:00:10.901946	186		0
8233	10bulq5ercqm8odxsl9ejqydx1	$2a$07$xAfzPKm5GjwmAxEBOoSgDejbQg7T5xUz23i6oP5ksbXcVAym1GXUS	1	2013-08-03 18:36:32.199091	2013-08-03 18:36:35.309336	121		0
8234	10jt4zbzna40ts46z8tfpgd27v	$2a$07$3bP8IIsnSlOEBQQf2O.XoO19cDFpkkTJr9ADwr5ZowZT8clIm5NOy	2	2013-08-03 18:36:32.223376	2013-08-03 18:36:35.578746	121		0
8235	10w4ao91nkux3c4jw2p02siruu	$2a$07$1RMsBdH5GZHiHlnjvLG1I.okFAOvpgmsgMXub54IuK4L6R6FQjCwy	3	2013-08-03 18:36:32.246706	2013-08-03 18:36:35.953101	121		0
8236	10ycb6oybnk09hx26bbwm4tvwa	$2a$07$BRq5IVBmxmfgc9GHDOFmOu7vFit7dstahRjq8eKxtP4vHaeq3UTW.	4	2013-08-03 18:36:32.269282	2013-08-03 18:36:36.103042	121		0
8237	10y0zhm54qmwqmgg4b5r2k5752	$2a$07$P.C0kn1Z5JYmdcepGqqx.eq0x5MHeC2ypmaU6ws/arLBaJDqe4BAW	5	2013-08-03 18:36:32.295451	2013-08-03 18:36:36.267517	121		0
8238	10u974d130jkfm9jclu25zc5h6	$2a$07$zSYsPWUVuRFTz6KSo1kQ0.b5ZXn61dHLoY65s5uApHjMRoVRh7hrC	6	2013-08-03 18:36:32.318901	2013-08-03 18:36:36.432961	121		0
8239	103nwuhmx8fbzq0wrqovsp3u19	$2a$07$5i9IS0d6AGKs4Ssb5vNPKetlsPi5FZH8nWZaxGaFWlVrWGSRLk77e	7	2013-08-03 18:36:32.343978	2013-08-03 18:36:40.896162	121		0
8240	10nd86df2r4igx2bj591ayw5uk	$2a$07$1Ebs3TSrOcZkUxdDDWfRa.YW6Z1CkEKIiswdggDljKOyc3ksAq.QO	8	2013-08-03 18:36:32.368693	2013-08-03 18:36:45.004089	121		0
8241	108y26vndegjbpk5yqevjku3vf	$2a$07$96iMGnFv2spcvD6jDLn1O.2XOxEfkjl3yxR6axI89Ygd0UqZj.FQm	9	2013-08-03 18:36:32.394059	2013-08-03 18:36:48.888812	121		0
8242	10bbb46l6alf94vnnxhmn9z31h	$2a$07$CAqo2OgpW9ahImYsQT54seoqgJNZTMdKHr8lvdPReE/PMon7ffuJK	10	2013-08-03 18:36:32.427394	2013-08-03 18:36:49.521902	121		0
8243	105o48ksp0h5wuedxlppiraiiy	$2a$07$BSVg1jYmX4KYqN6C.HHRmeWmnON0k.kPXTSck5P2vInqFHfpN0PYS	11	2013-08-03 18:36:32.467945	2013-08-03 18:36:49.661004	121		0
8244	10ljpms8drbpu0yrl3ccgyh8mw	$2a$07$32E5u1V2a7g5nNLt07B05ugBCvI6wNJlvlHZTvmlNCpIdmgq5AiLq	12	2013-08-03 18:36:32.492822	2013-08-03 18:36:49.801323	121		0
8245	10j0ouwfv6meekplz87equiadp	$2a$07$cCtmsTkh7Eovpx0CqVmXYuwZBCk5lsW5Fh5AESUC/B1ly1wDU7S8q	13	2013-08-03 18:36:32.516247	2013-08-03 18:36:49.956688	121		0
8246	10a9udhk8709bf7w9w5n2mq9hk	$2a$07$idi2gNnKGTcIswudHg.8JeQur9j7du5RomBB9S1tUiPPzvExhpD7G	14	2013-08-03 18:36:32.537324	2013-08-03 18:36:50.116464	121		0
8247	10gkdhuhrvpmvr9750kiplpcvr	$2a$07$PaTRBgrS3LhQYbpwfy/KF.kq4Hsz7IHAthDhGw1YiaW9VFf.Mlelu	15	2013-08-03 18:36:32.558285	2013-08-03 18:36:50.276431	121		0
8248	10xjkavnm10b6ban4bxddazh7t	$2a$07$SAhAlE5oQFtSpHRZouzy7.kCTOAA.9K79XsfH0QAPO9/01bW56ZEu	16	2013-08-03 18:36:32.579571	2013-08-03 18:36:50.492356	121		0
8249	10jv2h7c6px7lw7b3k5lca3g8n	$2a$07$w4sfkJDo5ERX91vaYuC1we/fyJZl5Ro56JsimmhBPWYmH1QC7AylO	17	2013-08-03 18:36:32.600797	2013-08-03 18:36:50.643721	121		0
8250	10axneg3crv59qeju5kv7n10l9	$2a$07$Nl61M88T90mnuE7/b/6PbeQO3f5b2d8eU7B2XHCJZy6LwKXKlGH9a	18	2013-08-03 18:36:32.621805	2013-08-03 18:36:50.888711	121		0
8251	10077wo8kyob0rq85rahvmgxij	$2a$07$zer.Vu78isGh6RvpuEeAG.gw.TPYt7MA3Fb19T5jTFt5cogbZkH/u	19	2013-08-03 18:36:32.642754	2013-08-03 18:36:51.011516	121		0
8252	10th1ar4cxwnw6ynxd8aia2j8n	$2a$07$PWcyJ6HkyFBJpTM2OC/E9.gqVTe/Ts5Jl/a2hFFb6IkTZ8/uJBpoq	20	2013-08-03 18:36:32.663608	2013-08-03 18:36:51.148127	121		0
8253	10uly3t8v8f7rkx8me5ksh55fs	$2a$07$uYCoDiz50AHlKzFOFfl2QOfjcKCSKG1Txe3wcR4C3ooFtWcECQojS	21	2013-08-03 18:36:32.684532	2013-08-03 18:36:51.280049	121		0
8254	10ojza2auyf8pab7wfolm15lmj	$2a$07$jvWiSo7iaXXADFMxNrj9bOSquVdGX.dXdpbQ/DeTrowf9Wgf.itJ.	22	2013-08-03 18:36:32.708356	2013-08-03 18:36:51.412678	121		0
8255	10b1pivofo67bkm1sv7d12palw	$2a$07$bHkk076Njye.3oHlM4LQGO4D231RqQjT2iJTJQearmATTb6wMB7te	23	2013-08-03 18:36:32.730522	2013-08-03 18:36:51.530726	121		0
8256	103pmnedfsd3wsimjhiab2hbom	$2a$07$oeHyPpJ5P6nJA5SQ.XSoReZPFRkuJ6k2J3eaD1Fmpyhz7hfcTe8fa	24	2013-08-03 18:36:32.752161	2013-08-03 18:36:51.657199	121		0
8257	10q4udwpd9o0fl8d39ku443cvi	$2a$07$oClcN/xUybCYCVGPY9p6Ke0l8W0LQyjSq80cpmNPyKkqHjpB4XYSG	25	2013-08-03 18:36:32.773542	2013-08-03 18:36:51.789886	121		0
8258	10hykmfxelv0e4kwqrv6evf0n4	$2a$07$UqFg3VlTrXz1yePadyRAku3sseuvpmwpiFHe9WQMAQQstYPv3WVpO	26	2013-08-03 18:36:32.794875	2013-08-03 18:36:51.918909	121		0
8259	10rg980yh8c9j13nefn0rglwq1	$2a$07$3KvWV7MxVBukhrTB13vrEevODOlItLFX.epH1M8rwPvTnUIX4cYj2	27	2013-08-03 18:36:32.816362	2013-08-03 18:36:52.041187	121		0
8260	1073pivenwk6currvebwyu8j88	$2a$07$YxwYgQPnBbCRwT05w4M5.uWbxjElEmvYn7wUrVYwveE25EPDyD2rm	28	2013-08-03 18:36:32.838162	2013-08-03 18:36:52.252928	121		0
8261	10qqunay6fclspwhf8kemo1xhw	$2a$07$CTvOJDkdj5eZQ8IDZ.jFsOs0fU/bkeZUg3GMCWJuUzxdOGro7Gj2G	29	2013-08-03 18:36:32.859639	2013-08-03 18:36:52.510741	121		0
8262	10x2m6lmu3xh96ffumg8p5n4n3	$2a$07$QTzDnBUzJQmLUY7Kpx54..zPS8anMm.c6RBOddSfST1dVvjFGQdoK	30	2013-08-03 18:36:32.880914	2013-08-03 18:36:52.659868	121		0
8263	10tq3h91bswnx4y820184xdga0	$2a$07$NdUuKrfWL5a0TUwM8vTHIuzag6Bqxxm3WqX2VSN6L5HXh7Rp9OBZy	31	2013-08-03 18:36:32.902503	2013-08-03 18:36:52.783243	121		0
8264	10rmctfw7t5hx0b7bqisazcpz9	$2a$07$wqfiYRtRu2bxIEZryvvESu4T7fAW8jOSMV9JhvDfBPIr24Irnzrz.	32	2013-08-03 18:36:32.92399	2013-08-03 18:36:52.894919	121		0
8265	10ewda9q1uk2jc0qequ36uajyq	$2a$07$sz2sGDWk4cO/3h9DsvJJR.BnL3Y.HFT4Y.FEMaS3NWkSehqjWMkCu	33	2013-08-03 18:36:32.945359	2013-08-03 18:36:53.046528	121		0
8266	10eu0oc8p89ru5mavk80sjfnnp	$2a$07$o2UxH9wGom4B9n4GBfgneOZqPq6HLnHFyvXZavuzcKuY8vAEEFmNK	34	2013-08-03 18:36:32.968379	2013-08-03 18:36:53.174491	121		0
8267	105yuez47hxf8if3wl1pwkqt60	$2a$07$8ES1W8pjowB9Z5ST3O1yuOqBMSTU8bbuJi9BRYLsYdf9hxcWq8O6y	35	2013-08-03 18:36:32.990073	2013-08-03 18:36:53.294452	121		0
8268	101bmcawpfbdy9bdcrhw7xvxdv	$2a$07$3QoHoTGSfgmw.QB7MnvMtOs9vNOeLCyN.dlCG8I13uk/6uKTOIGRa	36	2013-08-03 18:36:33.012038	2013-08-03 18:36:53.423604	121		0
8269	10x9je9ddk1elggeqllrnto9fn	$2a$07$TnA9zrpX5yOMNHRaNUCs7eD1xBJBmtuXiUwVa7KOCbIjpTLESVxRW	37	2013-08-03 18:36:33.03353	2013-08-03 18:36:53.542695	121		0
8270	1035m6r8kdvr9j7pb0g0g5dk8x	$2a$07$deDlVorwmA.E1ZU/DmNAOunvCycOknQ.deRmmxekz87/QxDMKO7Wy	38	2013-08-03 18:36:33.054936	2013-08-03 18:36:53.657286	121		0
8271	10dz005scoruz3l9ub9d90utbh	$2a$07$/WaC9oqF4UeiFb2c5/NXuOrd4BWxdvnuK7HCXI0i5.03WW1VrRRX.	39	2013-08-03 18:36:33.076233	2013-08-03 18:36:53.792732	121		0
8272	10u4h0zg57ompdxpzn2itpd0up	$2a$07$obCs0OJUjdOezsQuF3W84e.72Syli/6OLjZC7qsO08EFPJcTAbca6	40	2013-08-03 18:36:33.099602	2013-08-03 18:36:53.928915	121		0
8273	10vjhl4r4ovzqpyjeoh00bsdl0	$2a$07$JX5DiMZhhPxZZJiu5NBjguCzMzSYZXyxsMzly2btNTHJZM/6XqkxK	41	2013-08-03 18:36:33.12267	2013-08-03 18:36:54.075904	121		0
8274	10s779w8wjp2h3dvd7jyj7kint	$2a$07$N0tiYLt.H22p5iQX4qBzduIuxoztXIAMPWLS/DZdMV/5iX/js5PkC	42	2013-08-03 18:36:33.145325	2013-08-03 18:36:54.217824	121		0
8275	108rr66wd5bivx3e6yoebhq5kf	$2a$07$GFUziq6umcvxPO4oaUFPYOcC3rbF7yi6ChIa3TT5t0/zqqrcu7xX.	43	2013-08-03 18:36:33.166825	2013-08-03 18:36:54.347347	121		0
8276	1057vez3mxmmx8k3ttf7j1l691	$2a$07$SnqnXHfTSjtzmCCy2di8UeKU.fTrp22kBuWAk35xJ6963/P/p2GE.	44	2013-08-03 18:36:33.188596	2013-08-03 18:36:54.491805	121		0
8277	10j99r0pfr25eybrmh3ey3qnfw	$2a$07$Ot2RqnIeiFX48RvyQXoGEORbfLJmvlioL7MU39UEjyC/dFKPNM1ya	45	2013-08-03 18:36:33.21121	2013-08-03 18:36:54.622841	121		0
8278	10cdw18f191zvw7idbikr3e9ry	$2a$07$WLuVJDTKggAQWI/FSFF8X.nU4JAXkk3qq0wtbB2MCdHtI/njmK2mu	46	2013-08-03 18:36:33.232701	2013-08-03 18:36:54.888934	121		0
8279	107pmdhm2va81icxc0ekrg2ulp	$2a$07$JqPhqCfd2CU2WRM0HxiiSOnaHewvpmuRFRTU.s9NX8eoCllFwCwua	47	2013-08-03 18:36:33.254859	2013-08-03 18:36:55.077866	121		0
8280	106fisy52pku485jyvfwagzna4	$2a$07$fT7DQD5FuPFJqAhX2GliqOpsvOVtAJJlemGQZfO241Dsl3a64EstO	48	2013-08-03 18:36:33.277236	2013-08-03 18:36:55.336857	121		0
8281	10to7jdgzfqik6wxebvudu4x4l	$2a$07$.qRFWnu8FHMV4sFUDzUz4eIaDmysh//1rrWYhrwMIiSOMHd6Ad.OK	49	2013-08-03 18:36:33.298974	2013-08-03 18:36:55.474167	121		0
8282	10tup7cn8oovn1f9duqcug4y31	$2a$07$sX9OeFEkq6XJnKHZ1N6uHuSJxf01WBLaCImHu6G6djQmipz0alcSi	50	2013-08-03 18:36:33.320493	2013-08-03 18:36:55.587651	121		0
8283	10hsxqf0rzpgy6vk2hgi9de8o8	$2a$07$GJAF4qsYME.eB1x11U.kLO7HRLgU9fIYiIgxI3aZXeBk2b/WOdgWC	51	2013-08-03 18:36:33.341896	2013-08-03 18:36:55.727638	121		0
8284	10ireawn4vbocg8zxh6f0a18d4	$2a$07$pSxiALlIH37xWyb/M/fOy.hxjXqt2NpcxDm4LiIKwKRd9I6lAjcZK	52	2013-08-03 18:36:33.363296	2013-08-03 18:36:55.858427	121		0
8285	109yxeygmsunh1tc30khl1lsrs	$2a$07$bv.JYvlIRq9TiTrfJad3AukefLKhMyDKG2gzGcwXWROIrUqYILQQa	53	2013-08-03 18:36:33.385158	2013-08-03 18:36:55.994541	121		0
8286	10ax6eszury5qx2as7nhb5u22c	$2a$07$UX4DLHfywF7zAReazFnCL.S8lsaU8vUWO98c0mZ4jUPd.hoHtxgRy	54	2013-08-03 18:36:33.406741	2013-08-03 18:36:56.133179	121		0
8287	10b7rvld1bdowel8wjwh3baxhg	$2a$07$jG6QesuPQnACjKdy/Qjf..FC55w1e9fK46OCUElhJfSt9CSamRL5y	55	2013-08-03 18:36:33.428232	2013-08-03 18:36:56.265841	121		0
8288	10uwmtig1nr7orznd6b5oduad5	$2a$07$uigUGPrN0u8./JQJTwzpe.yqj0N6/UqqQLWUWEYnvYFAnvhircEHy	56	2013-08-03 18:36:33.451101	2013-08-03 18:36:56.391398	121		0
8289	10cugtk87920823xjmc8jx9914	$2a$07$dXhvCf0hnGm1wuYRNCCIDOleYzSKof5ACW6O6oTwP9ERXZT/FZ2dm	57	2013-08-03 18:36:33.474231	2013-08-03 18:36:56.534871	121		0
8290	10fry9xfpfmcjj4bzdhgf8i39r	$2a$07$tvYKPaP115mOJdn4u67Xw.w1PCe0QtYSUk9EH3cQhdJI8eipJnaGq	58	2013-08-03 18:36:33.497436	2013-08-03 18:36:56.663611	121		0
8291	1090kc96m9ur4ajr7q8uy2lzwo	$2a$07$Omc5uOYvoPNoyrsmv1aH5uQvye.gUioqHElJF1PUFOrGbIBe3AIJ2	59	2013-08-03 18:36:33.523113	2013-08-03 18:36:56.79908	121		0
8292	101rqy6zr7dnvwzuo94ayybotu	$2a$07$EVj7AyewJ8cSTSO12T.KK.VovkWxdu2tiwRNwzzAozaO56vdH69/m	60	2013-08-03 18:36:33.560585	2013-08-03 18:36:56.933926	121		0
8293	10melvdwodpcr2mmyz35ozmp3e	$2a$07$JgIZAKpy.11Z.U6mJjKuoOvBWhuUo4/YybAHdipQHyTBRoR8J1J9m	61	2013-08-03 18:36:33.602076	2013-08-03 18:36:59.846099	121		0
8294	10p8zf3or84nwsjivzlddlhubj	$2a$07$O/lun/41Z8lz1Fpfdn.dEeJnMt/YTR3FQz9ONF615LEpGmk4OG9Hm	62	2013-08-03 18:36:33.631915	2013-08-03 18:37:03.044141	121		0
8295	10eadh6ac1ss2ncs9bw74mlmg4	$2a$07$qDKP0JBVScWiks43O8qJXeIc2f4byjbpKN4cUYX1px5mTf4vzYp1K	63	2013-08-03 18:36:33.653481	2013-08-03 18:37:06.120232	121		0
8296	100skaju9ahxlsbqob9163yny0	$2a$07$nFD6AH1Qe8ZsLp..jsFCC.ogJul16zSdUmZJ1ZpgN2s0D//AuqZim	64	2013-08-03 18:36:33.676384	2013-08-03 18:37:06.249321	121		0
8297	10u9myrwtqe4qtid764rm1134m	$2a$07$UhHtBS6rhlv.f.sbZliU4.J9e0Q0vAJzoA7Gv3za3Af.v7x9lXWJa	65	2013-08-03 18:36:33.700634	2013-08-03 18:37:06.40236	121		0
8298	10yqqi8e5xxt5aprzpcl2nj4g2	$2a$07$7Q5N2gHM564P8iZDlXEJ3.5qXd/wsy/2Qp8GkZYiyPD1TnQKMqbCu	66	2013-08-03 18:36:33.728056	2013-08-03 18:37:10.302615	121		0
8299	1046vcgj1w5feg0z08zt4rj1lq	$2a$07$Oo335KTjZXjtzNs4HXIGEeY.rMA3PyFeNyofrJ5U1HFbkkevFEJ06	67	2013-08-03 18:36:33.750045	2013-08-03 18:37:11.710679	121		0
8300	10fovesndrd6nle4mo15ts5o2l	$2a$07$2tCKaEPmWeC/eqM85egVsu.xHp.u0uNfycQLdMEPZAM0y/aXt1FWW	68	2013-08-03 18:36:33.771361	2013-08-03 18:37:11.899702	121		0
8301	102wb7ptmt8tcqs4qe9c1wiwz9	$2a$07$2RwJ1lWbcbPjHw8//7am9uTxelYDNGPN09c3l1pHICSxLkl6QSz3S	69	2013-08-03 18:36:33.79268	2013-08-03 18:37:12.080265	121		0
8302	101bl6hgs30w2nesbayyg6npg4	$2a$07$G5dzHIfQqG5pOL7QpAQ.Bu820PQQrIxN4neEX3mPN9dGSSF5O/udi	70	2013-08-03 18:36:33.813935	2013-08-03 18:37:12.211612	121		0
8303	10si9n7cqpi2fbwrgv3ws1lvv0	$2a$07$d6ZO7RyZbbP8XA.Qt93d8.wQMA97OJlBjhG59eGdjIiy2pHYoTvBO	71	2013-08-03 18:36:33.835075	2013-08-03 18:37:12.346581	121		0
8304	10qz74kx8ohrq8i4gcgf13dhhf	$2a$07$kOi7IP/gj7qEBpCKdoGsjeoP3O/SDjO/jcmOE8LDuVJDB8PCom7DK	72	2013-08-03 18:36:33.85631	2013-08-03 18:37:12.476985	121		0
8305	108l31d17eccdlfzyafxbie1cf	$2a$07$am/FtF.nE57V0GH.EDjtQuzHjvhIarZLU9PN2lBGpvIlOs39yvupe	73	2013-08-03 18:36:33.87752	2013-08-03 18:37:12.621171	121		0
8306	10hmuaap3oy54gad5wsivn1hbm	$2a$07$BKuUlvyR7owhMbV/FxXrD.5mAFLgI./R15GfcevS3.DT64ZJpK3JS	74	2013-08-03 18:36:33.898683	2013-08-03 18:37:12.74888	121		0
8307	10drcwcm7if08a7g78fmdnounf	$2a$07$jMG4R.pv8kwURZe45onlGuecZkHnq3FqIKTs7yYiMX2M5GRGZ4.Ga	75	2013-08-03 18:36:33.920023	2013-08-03 18:37:12.881154	121		0
8308	10owwzzwvmketn9963n2x27f2k	$2a$07$5REDe/cjtM.a91Cq44oLaO0x2dPSCiKwOKaTriiubsFVegOVr/AYi	76	2013-08-03 18:36:33.941411	2013-08-03 18:37:13.014656	121		0
8309	10m2bnb411bov9jmifq2nipf6b	$2a$07$7uQYiFxoqJ.51RwDg/BsIuVlQKL0oQHCIrJwOZ4Xgsrlq3hcGDCve	77	2013-08-03 18:36:33.962606	2013-08-03 18:37:13.159957	121		0
8310	10s1sx8iuenw87umt1qyv7k3la	$2a$07$tA7W1EN8kcJVVmhKKbQT9uiKSHMS97qRySL/Qm2jqQUsJEHih/fIm	78	2013-08-03 18:36:33.983819	2013-08-03 18:37:13.28226	121		0
8311	10bz6if2nxdeahlm8v1b6cla6w	$2a$07$2EzRFVxNTeRcmFDRJUHlJOdfOWZmdlJKhyQlpHjGq0TpChpAnOMmC	79	2013-08-03 18:36:34.005835	2013-08-03 18:37:13.470972	121		0
8312	10fhxl6xvxfggu5nzbp3ydkx0l	$2a$07$X4Ir2X3KiGv6gifOB81DVurtTS99oXaIoYOZme5lYyo979SVzdw2m	80	2013-08-03 18:36:34.028367	2013-08-03 18:37:13.614196	121		0
8313	10rh8ey5l13unxuwcs00ufling	$2a$07$M7BUPlatTjjc50dWZ/layefubmEXnVQ4gUFZ2bZwJeEL2xUDqSLdG	81	2013-08-03 18:36:34.050125	2013-08-03 18:37:13.741256	121		0
8314	109x5jdrr00725b7cnbrs6xapu	$2a$07$pDUal8AIvCrdu1dJRMGNWeDB2bPqQ9MOKh7wdaFBaSFuFhqPGVEoW	82	2013-08-03 18:36:34.07143	2013-08-03 18:37:13.880827	121		0
8315	10kbxobq9ybbzlcyv80vs2hxmu	$2a$07$GBGQR43nxIPUjb8e3ENXiOEON.ehvfzk/P0pAO4ZAzstuog6JFIe.	83	2013-08-03 18:36:34.092976	2013-08-03 18:37:14.013826	121		0
8316	10vf1zsn1gdmn7dbny18jjb5dw	$2a$07$g0Ar1ZN6iyKYSimWuwyCz.6k/ROzWEKvfpVbN68RDazdhXqoVJedu	84	2013-08-03 18:36:34.116805	2013-08-03 18:37:16.847009	121		0
8317	103h5bap0z3jb62a7behepw81t	$2a$07$oJc8puk0fZOSMi9SuxyP9.I7FrEYwUpxP9I0wEzydmYi6u/2cF50.	85	2013-08-03 18:36:34.13926	2013-08-03 18:37:16.98648	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8318	10qg8ll4r9otabgkdilcdqqqcv	$2a$07$umQSR1zHmukEWBDCYAfLmO6oYrcuMro0Dc8Ejxzz0WPAXHuZO533K	86	2013-08-03 18:36:34.160653	2013-08-03 18:37:17.119659	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8319	10o3rfhwa53njbjs6nucqzr0c9	$2a$07$WjF3BcZwzzOg4nyNSmxOhee0TNLsGriMWlACpPdpwfTb3Pc1Oh2oW	87	2013-08-03 18:36:34.182163	2013-08-03 18:37:17.276114	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8320	10bf6uuazcrd1lxyfsgw6sw5db	$2a$07$KeJL4IPM7HnAB3yFNMHal.d8e/eM8Wplio8/z073vgFRrDhZcILgC	88	2013-08-03 18:36:34.203406	2013-08-03 18:37:17.430576	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8321	104z96xby7n3l0z9jkncl3qkwx	$2a$07$Pt6iMd9Ebz7xGRjIOxWBzu6B.YHdpk2HRWxwaBzHm4gMu7GKdyM1C	89	2013-08-03 18:36:34.225072	2013-08-03 18:37:20.992087	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8322	10tqyrcsvcj8jhu2mnpbbpoe64	$2a$07$gU/xkUkz7khdN66MiLtaXOk5T3tFAjogYokftJGp2vQAusiWHuSvW	90	2013-08-03 18:36:34.246584	2013-08-03 18:37:25.2273	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8323	10f8jm8hnid2rbi5herptlwkcb	$2a$07$6mPyPnyXattw0sRPLPSCZ.Ruy4IDbzZk6HSDl3q2mNEBcIkF/YLbC	91	2013-08-03 18:36:34.268135	2013-08-03 18:37:25.367005	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8324	10rhv9e2p2ze77hhi7rvi0e1u2	$2a$07$oqczY69ilYJ4Z8h1X/flDu1CiPdL4Ed2xypdYnLEVh5QHXK2YbRni	92	2013-08-03 18:36:34.290824	2013-08-03 18:37:25.486715	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8325	10z2idvvjc6hvagsngdoaejbdw	$2a$07$jpO/0dmA6qw.EumT1hb8LOIH0b4m0BlqoVTkRFtttu.Oe6v8GuBl2	93	2013-08-03 18:36:34.312161	2013-08-03 18:37:25.62314	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8326	10moq67z4e8w5cokacsfvlnvpa	$2a$07$wdDyOvlK1lD/OL5Eg2q31uNtwzL3eVLrN6MZHGHQ6WzGawon3QVJO	94	2013-08-03 18:36:34.333418	2013-08-03 18:37:25.779854	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8327	109rbfa9jkfmk1n5gd3x6n5w6i	$2a$07$DmQrygJV1lb1IBw4gGCACOF6jkd9dl0T/P1G1Ag8X33bjZpPVjlMu	95	2013-08-03 18:36:34.354709	2013-08-03 18:37:26.0039	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8328	10dy18j0wj5izsd44sgig0v9ae	$2a$07$d6Ay657sivl7dDS20R/2ZeuRhgR6k31o6fdkCnouBL5VyMdjLqN4u	96	2013-08-03 18:36:34.375948	2013-08-03 18:37:26.220938	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8329	10zi8xhofxde2mv1agfmnrg0dx	$2a$07$AD7xxpncU6EXhWlyYPEBHeyKeNdrIzHefFrp.6suGFhoUHULXQgQy	97	2013-08-03 18:36:34.397192	2013-08-03 18:37:26.355005	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8330	10yadt5k2se8qimxg548ejg9ai	$2a$07$cw2SBVE91ddLym8VIwqwKu7BkAGwXf8gP1r6BYyUOZnptBTGr7YEq	98	2013-08-03 18:36:34.418403	2013-08-03 18:37:26.480203	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8331	10002af3wz86w9vzssemhy8tet	$2a$07$A7gkm2T1V/GjMdbeEMcH3ejZD0tqPVeUw4cqK.4lQ.QGJKh0Inhvq	99	2013-08-03 18:36:34.43986	2013-08-03 18:37:26.613895	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8332	10vwi61riw28wqln3pvmkp7k8m	$2a$07$C.EYZ4pCEvF6gPbGYlLHU.0/RRQP.FDAMWmOP0dE3kE8TElaXLMsO	100	2013-08-03 18:36:34.462585	2013-08-03 18:37:26.73455	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8333	10cd8x610sx8qkef1snrj94v1i	$2a$07$Ks2jDp2cSN8i59XBim84Ce/uxO7PQws86BYIiJyFJC5JxSS4.xps6	101	2013-08-03 18:36:34.485135	2013-08-03 18:37:26.867314	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8334	10t1ix8mr0bwld0l4wtknxjolf	$2a$07$6B53vZgfeFUHakNPMNLGae1ZE710xRlHtM1vwSGX.k5BBbO3lywBC	102	2013-08-03 18:36:34.506803	2013-08-03 18:37:27.013488	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8335	10d8jieucm3kykfu0xljj7qxsz	$2a$07$JKSS9kIjlm4Shutfwcy4cOicKye8BYRyRgn8mv7DhqSFcl0jXC.72	103	2013-08-03 18:36:34.529204	2013-08-03 18:37:27.37403	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8336	10y56jv697577ljdpeerzksinj	$2a$07$iWVRC0Ne/TgI83WSfGSM8Os6r8vfxwibk/zava76Qh.MwmxE/4x3G	104	2013-08-03 18:36:34.550463	2013-08-03 18:37:27.775801	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8337	10bjgvi15p6i28k7iyp3umebrh	$2a$07$0yCZpvWYBmc8X9WTPbiZYuhuLmtrsd73rFlPA5/RtHllAgvbKi9C.	105	2013-08-03 18:36:34.571702	2013-08-03 18:37:27.884122	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8338	10rwki8kj0ybhbwznu4idcxt8u	$2a$07$/Iw19rSccE/2EjWodANHu.6/DfHFNjS2iLmIf3elkmKOQzeOmBJDy	106	2013-08-03 18:36:34.59296	2013-08-03 18:37:28.089628	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8339	10t2809ilwmwnkcrd2447iapkq	$2a$07$WapIelGNA1vscrheedu3wuxe5b1W51miJLxmxDMYOlJiscQirg7Va	107	2013-08-03 18:36:34.614319	2013-08-03 18:37:28.218713	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8340	10qmvgsqedcnuoh2kolhla47m7	$2a$07$eYxTxYYQMpwE7cYHPZlGFOACx7fGlfq5rdQMK268S9oO9gj3tlZSK	108	2013-08-03 18:36:34.635477	2013-08-03 18:37:28.349685	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8341	10lxuh0urfbenqhhp11ktf5t95	$2a$07$g4UyD6CZ54KcNe1D5ZRk..sX.gt34DvUKQUK6Z0KYtIkXY42rGu.a	109	2013-08-03 18:36:34.656666	2013-08-03 18:37:28.481002	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8342	10w8bo8d2ykcft302m4pwv0eki	$2a$07$13X.lZZyhuHVfeftUTIWyu5uwPddbudVVBkc99FHIg4TXLubz1tji	110	2013-08-03 18:36:34.67799	2013-08-03 18:37:28.602725	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8343	10n718tqr3swppdjo63zn5m5qm	$2a$07$deur9YeRDnRV5SK8HqvPF.iurVsVbEQfVkjusEPLOw05QiLNflcPu	111	2013-08-03 18:36:34.699256	2013-08-03 18:37:28.708488	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8344	10ik22oc4vfmtd15gsl6yihd5f	$2a$07$zVX1ZC3rzmFCgr3OZ1eA8.tv8kT0afxS8Srbr.bj8jnTw2lWsE.hW	112	2013-08-03 18:36:34.722072	2013-08-03 18:37:28.811465	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8345	10ycaq6ue6sdkzxvgf8zdj7hu0	$2a$07$CBEMb9Yr35TqTPxcrq4pmezU/ZMDoaqjbjxOoz6qX4kgFRqdYEQC2	113	2013-08-03 18:36:34.743249	2013-08-03 18:37:28.939313	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8346	10glv06oi9aq2foiqnlrr9jb0d	$2a$07$bRUhgPgFxh/VgK6uqcz9S.clh10i9MgPDOZEsfXIL97yt81gp8WtS	114	2013-08-03 18:36:34.764473	2013-08-03 18:37:29.06763	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8347	108wkr4tzts9z5pb2j5fff0llp	$2a$07$pfZ2srJxKejkI1FAkkfSyuXvVVBhzfAC1xMWtdc7MehV4SFtzBypy	115	2013-08-03 18:36:34.785656	2013-08-03 18:37:29.484729	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8348	1034wvzs7nvzy580vc4ug4o4re	$2a$07$XT6ymoKhbi5UYrmVRzcpcuzzIQ30ZDJR6NOdf33gs3aQVQ1c39Kty	116	2013-08-03 18:36:34.806814	2013-08-03 18:37:29.765933	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8349	10t3zp80esjvccwvzbsfzgqa9h	$2a$07$vr6y0i51vJ4I2x7j9sU3ke/Ehgay/fs2l4QOn64er0WWo0hdGfoKW	117	2013-08-03 18:36:34.82797	2013-08-03 18:37:29.91213	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
16531	105nyvgxst0h9nz3aqrh7x5uqu	$2a$07$Tjp45Ozc4uYdgX5U08YTp.pOiVpDlxbST1lYsXZFr0bsC/2SiQ2D2	109	2013-08-03 23:59:33.797828	2013-08-04 00:00:11.038947	186		0
8350	1004b9fg0yg39a4kj09t73i4uz	$2a$07$cFNoFn10L69LadnHgB7jQedsp.c4KcZsLHi7KdMGbRv.5YCtTQ7lO	118	2013-08-03 18:36:34.84916	2013-08-03 18:37:30.049579	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8351	10i6i6s9fa90mar62bouziw11b	$2a$07$24kkAsy6gK4A.dxQjcX3KumWZrr.3fgQVH2g6dGFGTh356IvH9QV2	119	2013-08-03 18:36:34.870271	2013-08-03 18:37:30.192851	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8352	10b7t6pd65wqnsjb63grphad8e	$2a$07$nv9HeOb2DlVbR0zB13/3nuoVSHonSE3TYYX.W9jEJ1OZrWDs2yNYS	120	2013-08-03 18:36:34.891515	2013-08-03 18:37:30.315586	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8353	1078turh9fbn23o94la70c103x	$2a$07$/rRiEd1/YNFbTcFVZyWHOuyLxRSNAh1gssnuI3m1AwOWVzu3ZaiWe	121	2013-08-03 18:36:34.912774	2013-08-03 18:37:30.438206	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8354	101g99fherwi1euqbzbbxxtdzk	$2a$07$..3q.PrQFy2syiy69Z0Tme2pKtMrQds77od0Xs4yI4o0E3tQ7B9yK	122	2013-08-03 18:36:34.934027	2013-08-03 18:37:30.567222	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8355	10r3g5y39qfc4lo0ibmyuyf4an	$2a$07$xGCdZ3v12JHjd3lJ/3Q1reOyzDYfrVIgSwKIJAxCs0NkembGtK3im	123	2013-08-03 18:36:34.955515	2013-08-03 18:37:33.347385	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8356	10i8dmtqtbkpbhwuhezg7efj51	$2a$07$S6SPoJ/kadAu1IiwfrYJMOpavMadoaMhqH1DfHZ.Iyc0yKijJlkeK	124	2013-08-03 18:36:34.978252	2013-08-03 18:37:36.527041	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
8357	10g53is43ycme9bl6jt0o9xgpw	$2a$07$k3mgnj09ItR5PlA6ETDJReHngWyttFSLZk/uY.xMzE05VJAgJtUaS	125	2013-08-03 18:36:35.001684	2013-08-03 18:37:36.659677	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/trouver: No such file or directory\n	0
8358	10s1i8tp2qnetb634n1sc0x3vg	$2a$07$i4OcaMjm/UgUXADyb7UFKuaiRMEFBQ5nyjBQ1yqe7L8jBxXa2zVBq	126	2013-08-03 18:36:35.023113	2013-08-03 18:37:36.81993	121	ls: cannot access /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\ncat: /mnt/lxc/lxclib/team/rootfs/home/tokens/avoir: No such file or directory\n	0
16532	10yo98q589httzw397xn0pc9kp	$2a$07$wbULUomV4cbURCt8Fu40GO757rPes4QW/H5sTxhGy0wID29NNA55G	110	2013-08-03 23:59:33.824096	2013-08-04 00:00:11.183798	186		0
16533	10ctxmvzdg1gp5f0nt3imzont8	$2a$07$2492JKOKtbgTuryDe1M7JubOuTutqUruEnx/41fb7sqHLfbJX5gcW	111	2013-08-03 23:59:33.859045	2013-08-04 00:00:11.311186	186		0
16534	100ijyrywc2j3twekoytcxwvp5	$2a$07$/QjtDrNUDrJlAMTeqWThieANqt9Qn.goe0LpB1azvZ38WypiGy25m	112	2013-08-03 23:59:33.886264	2013-08-04 00:00:11.455227	186		0
16535	1076l2m07h0r1e91xtf90g5gts	$2a$07$UHiziuvrLxemrjnSbvLwkuNR5GKtlMGFFAt2fYPAXCoTan0SUBYxS	113	2013-08-03 23:59:33.9173	2013-08-04 00:00:12.352744	186		0
16536	10owwgy32k1fktotdawe5jz3i1	$2a$07$ytb/jFpAXByErTvWING.F.jQtU4687645oIF/eFfN/Mnzs2/hC9nW	114	2013-08-03 23:59:33.941363	2013-08-04 00:00:14.387633	186		0
16537	10vvekxiptfmzwc1xf58et32dg	$2a$07$fM82ZZcK1HoUdbrWphit7OyyamtwidnluQJTDKnCmbB1KO8WP0eAe	115	2013-08-03 23:59:33.970325	2013-08-04 00:00:14.539703	186		0
16538	100c42368g4dt8i5kdwz9xh0kr	$2a$07$2iLR9GF/tvZReKnDq6ruUutnow9P/VhYatDEfKohTlSA8Uo9rHoNa	116	2013-08-03 23:59:33.993034	2013-08-04 00:00:14.679354	186		0
16539	10hypny9jyoheq1x26dswbfukm	$2a$07$Zg8xy6p6yRZpFE4ZPQe/.ums/9e2InG9nRXBdtY0SDDSbdQdJgzSe	117	2013-08-03 23:59:34.018497	2013-08-04 00:00:14.816262	186		0
16540	10ehiad3vfn5t8s2jgr2cwct73	$2a$07$Y8HOm4L7NjLr58oTMMOzveGiKAM62r/K9f0IQkE61Cw0IMBR0/ZsC	118	2013-08-03 23:59:34.042954	2013-08-04 00:00:14.951561	186		0
16541	100th3imvwghngnobh45tv9df1	$2a$07$AEIhQdyk6/Vt5eFmipk4bOEyeG2UTpN7MzE5rbnvxTucJMRGaNZXO	119	2013-08-03 23:59:34.066486	2013-08-04 00:00:15.096222	186		0
16542	10hlid0qfq0r5y72kvmo762y1n	$2a$07$d/6nzF37txCDqP38GPebje4HmwvZwtISZn6cyORHW5M62papFrT3W	120	2013-08-03 23:59:34.090698	2013-08-04 00:00:15.236944	186		0
16543	10tzr3bbucvb5vocteqnh1fb0k	$2a$07$SjsyCoFNz4/LlIMzhxILluWlicmQQx6WKaWfip9T3lRJOWZO/do66	121	2013-08-03 23:59:34.114612	2013-08-04 00:00:15.362069	186		0
16544	10kqkfhpbeswbdm5ebz390k8by	$2a$07$7zzvXuWT9qvXKucOPjEUQeXhL17Owqs.YmGUKIjoqnEEzlAVyjxXO	122	2013-08-03 23:59:34.138837	2013-08-04 00:00:15.496815	186		0
16545	10rsf8o7ao58yebrz5rlwqfa3b	$2a$07$QuCxXDJpG3LGIlz1rSUJkOa3hA3pIrFuuQNuKeNEBk56JRKIO4tV6	123	2013-08-03 23:59:34.162936	2013-08-04 00:00:18.276196	186		0
16546	10663adzl1d5q0na2u0nrdxzxp	$2a$07$P0BdgwtRNZN/4X3genMmJ.p6YFGEGhUP/wwBQ6tBOzKjDdgUPPAuC	124	2013-08-03 23:59:34.186441	2013-08-04 00:00:21.375576	186		0
16547	10npimmad84c1a87daerhzlbdh	$2a$07$pvMU3CHagGOEqHCYhw5FJeutLaKCLvLrDh0s3lcnTcCVlRLqdzh5C	125	2013-08-03 23:59:34.209704	2013-08-04 00:00:21.730564	186		0
16548	10cflckldhvdr0a4tes9lpjghs	$2a$07$nuy56lAsALmqaTaVzzs1COGVGUKUgbJ8CRtCtgjd1VVoVIZuRB.7y	126	2013-08-03 23:59:34.233412	2013-08-04 00:00:22.024657	186		0
13399	10mqn5nbvr1u0ypc5mynyicy5c	$2a$07$BdfvBzrjapCyQY.ZvzqJheFLXvSc2EUDPyFG2fqD./PSjqQOzLguy	1	2013-08-03 21:58:35.149933	2013-08-03 21:58:38.224805	162		0
13400	10ol5wt647zd7cuzn0ppvtbkip	$2a$07$oGkea39sfm48jj3NDig/CeeS0mDMDQ4QJVIr2YJOGRI.YoARw5XO.	2	2013-08-03 21:58:35.174815	2013-08-03 21:58:38.36396	162		0
13401	10k9e7860z3hwj0fjg28t7f0po	$2a$07$gqsypVkY.vjIOF4WxQaPkOpw6IuA/VFYHgoHtAg6RLKsDqdMJ4p/a	3	2013-08-03 21:58:35.19702	2013-08-03 21:58:38.486488	162		0
13402	107o2v8nynv7bp7xltpzdjnwrn	$2a$07$6Gww/TaBTFsNYbwftUEn0eWbwNzsGABmQ/hkINDhbEAG/780Rsp.2	4	2013-08-03 21:58:35.21883	2013-08-03 21:58:38.656854	162		0
13403	10y73c5nq77qzx09q7wmxmozfz	$2a$07$fR4rZzk6m.67Blr0YsuU0uFiOkNbsPnNtgGully3Q/4OT/KyQl80S	5	2013-08-03 21:58:35.240562	2013-08-03 21:58:38.809344	162		0
13404	10vqjld6v1cf6sf2kphhw943o1	$2a$07$NDDT8CedBf9kRypDBIzyCeceYv0569tTz.Pm9yQGwDKMWsCQTw4n.	6	2013-08-03 21:58:35.264027	2013-08-03 21:58:38.95212	162		0
13405	10379x3q5ih6ualj41vsg87r7t	$2a$07$coo38THBlDU31XItoaQG3.RR/k2aWs3JVwmSxd930x59D9bmyM/Xa	7	2013-08-03 21:58:35.2863	2013-08-03 21:58:40.157735	162		0
13406	10rnzalyjrjzmoro1jzg1wj6wq	$2a$07$tQph.uNbX21FzdS1.kFm/urFxBkHvujgT1NV1BvbDY71DN0jgaDB6	8	2013-08-03 21:58:35.309397	2013-08-03 21:58:41.570181	162		0
13407	10ek3sz6m48qh4tqp4ozg8o5wm	$2a$07$wlmJ0cglvBgU5Gg6tbvbeOmqfFuw.IJmY63HXFKLTgsz3E1q3.JWG	9	2013-08-03 21:58:35.33109	2013-08-03 21:58:42.649889	162		0
13408	10mbkfxva67x0vvaevfvwf6tw7	$2a$07$7IQUo5jYOepZtWnVetpdCOcPUAeXq0fJ1X3plBSCpxiyGMDuuj1Tu	10	2013-08-03 21:58:35.353594	2013-08-03 21:58:42.775015	162		0
13409	10kookv8gajf34z943ma3ftzca	$2a$07$HWXKwpmyp5oji05o8PvVhOiFeAR44mQl9FQDbF9hAzUHzw7VfD7vC	11	2013-08-03 21:58:35.375019	2013-08-03 21:58:42.903832	162		0
13410	105eumxwptb2o7jsc1bsak3f8a	$2a$07$5v1CIBzjBqkp.m5mscvQje0gPMjmVPvYHcq/nxIHDTBqOEQQ2quuW	12	2013-08-03 21:58:35.396732	2013-08-03 21:58:43.023001	162		0
13411	10xhkwxic12z7zv4utvh6g8xqw	$2a$07$mvSX2ZjclQoOg2JtOI23lO6FRDh2eiqJMILdTmxiMIJtsYi6Wl0ju	13	2013-08-03 21:58:35.419542	2013-08-03 21:58:43.16123	162		0
13412	10y5fxrtmx43i8kith33h0yth2	$2a$07$Cv.OB5qlog9qq9yCgGxzx.35CqnTYOzgxj6EQYMIctBAF.kysGZGe	14	2013-08-03 21:58:35.44105	2013-08-03 21:58:43.292346	162		0
13413	10mwr8yoxs0mt98m7bxwuowgoo	$2a$07$6AyFjdgugswv8Ec34SDna.wpAGeyhBi6p/LD4Nnf274JNhF1BSHZe	15	2013-08-03 21:58:35.462371	2013-08-03 21:58:43.405302	162		0
13414	10299qgc2t7ugf2edxse406b83	$2a$07$T0EskVAPt0uPol9gih8HF.Y0w1HQQvvv6kLqtWukFqRet4WV1UgWu	16	2013-08-03 21:58:35.483789	2013-08-03 21:58:43.521168	162		0
13415	10nrqyk1w4p0aiv0sj1do5l40z	$2a$07$UAxrwOSA902TpU3D6nHXMuNGK98ppFiitAu0vcj61xeoZUCR/J4hu	17	2013-08-03 21:58:35.505368	2013-08-03 21:58:43.661238	162		0
13416	10xor2df60l5ela4e0qk6t1gv6	$2a$07$1o7z7a7oV9qsY44yB3APAuFyYv0ktuFgYKSPiDZKXCLQ7YPdqSWp2	18	2013-08-03 21:58:35.528045	2013-08-03 21:58:43.794441	162		0
13417	10wgqcx6zhdzj7nxx9a1ecgm4g	$2a$07$XYDi2DJSUY5p8hU81S4SiO8Lnz67UjTyIGq6phpLifcfwchK5BAky	19	2013-08-03 21:58:35.550946	2013-08-03 21:58:43.91728	162		0
13418	10y21nwc7cnnyxt62m8ayz721h	$2a$07$BaqXZERAn7Njb9idOptWFO7Wkx0y3yzRIWAEfex4XYj083wpt7YFa	20	2013-08-03 21:58:35.572503	2013-08-03 21:58:44.040955	162		0
13419	10iyp4fin5n9rn4q2kx64x54rl	$2a$07$of3bXiAgbrpGa7hRNg2kle9EwMeX.3fel41rAXc3vPcQIT.sdt2f2	21	2013-08-03 21:58:35.595506	2013-08-03 21:58:44.182164	162		0
13420	10grsqa6i8odrx40uw2amyw1bo	$2a$07$P5hGFEfP.dxwmmHci66CrufU32.PJcEOjB928GgDacllhwd0.5ix2	22	2013-08-03 21:58:35.618239	2013-08-03 21:58:44.288647	162		0
13421	10kbi3v34i6nuxq5j2xhnmp3po	$2a$07$rrrXhuFUh9O1V7q5h3dA4uZ62CPjldiEHtg3S1YHtPc.PD9YvL7NO	23	2013-08-03 21:58:35.640858	2013-08-03 21:58:44.425939	162		0
13422	109odvl31vrbi8f34va8irnjpz	$2a$07$a3nWekxlmrT7hiS3uq7fkOXdtoLFHX02sFXNPLOq8J6f1/ZGF2muG	24	2013-08-03 21:58:35.66238	2013-08-03 21:58:44.563157	162		0
11257	1045214k1nyru3rkk0iclm1o3g	$2a$07$KWrPqo/Uk6ZwNXBsUlIgGeDySMPRqJ0pE0fL6M4sqpu1sPl2S3szK	1	2013-08-03 20:36:38.100838	2013-08-03 20:36:41.427817	145		0
11258	101jyapvw0z6mll67jusw71vqp	$2a$07$fzq2nOk6vYF2fH6uUMRISeZ2QHPc0IQcKQAxC7QKzwRvL2pViWG2G	2	2013-08-03 20:36:38.12841	2013-08-03 20:36:41.615433	145		0
11259	10sjro8vzr2x0ves1blpe3j91h	$2a$07$LLUvysu0d16xPhn71JFFaOOZLU4/oZY6DVz4j5ozSavoxMMWPQHg.	3	2013-08-03 20:36:38.151554	2013-08-03 20:36:41.973627	145		0
11260	10ovqu7jojmnc2qiz2nlgss9r9	$2a$07$G7qz.7WQSf8SUwogEM9dAuf0nlcM4JewcfKGvZ0XLi6DPSj4J27Iu	4	2013-08-03 20:36:38.175067	2013-08-03 20:36:42.118705	145		0
11261	10rrtx0hdwbc3k0k8qu4ihiug6	$2a$07$VeJqIorlwBD.cRWor6BZm.KGvRZ0s1NUXvm6jZ.hFPS3ZUrsETIS.	5	2013-08-03 20:36:38.204452	2013-08-03 20:36:42.263682	145		0
11262	10ce0fi2mauw5xd7yemiq9y36i	$2a$07$uefV3PTyCgBFQusu4olWROJnTqt/xLChBeTFOCk70XOe5qFlZ1zYW	6	2013-08-03 20:36:38.238634	2013-08-03 20:36:42.40846	145		0
11263	103r3bd6vcn2gb3e8kxy0ze0rc	$2a$07$c8AeiCRXXwjsyQWrnUqt3ehUhl466JBwrYzPKT52sMQbeboy1GVEa	7	2013-08-03 20:36:38.264897	2013-08-03 20:36:45.149793	145		0
11264	10b9k2m4016j2jw8mhpx3codz0	$2a$07$u/nUYNqRY3Zw.u8PFnMxqOUxkuB5ZEIk89NnHxkGTnf8XfQ4T35ey	8	2013-08-03 20:36:38.29346	2013-08-03 20:36:47.584868	145		0
11265	10icex76ewkkpdyet52yzukbj9	$2a$07$dI45XegUYLf/B0C8XsqLEud7f0u9KDOOZW3Ww0MuPas5Irirbny7K	9	2013-08-03 20:36:38.325072	2013-08-03 20:36:50.080657	145		0
11266	1025vdyexumlmow3rq9tvt591e	$2a$07$TN039aCjaxzRWKGJWFq/0.ibLXAwsB9dZvDxT.lE6fm8y4iGFJqGe	10	2013-08-03 20:36:38.367446	2013-08-03 20:36:50.207535	145		0
11267	109adc0kf2rus79kkcysbv0q6r	$2a$07$I3BJgwGJOOafEQa1CS6y9eIHshJ2K4TfeOyH6gFqLh6.zbRSwhOtu	11	2013-08-03 20:36:38.392134	2013-08-03 20:36:50.344805	145		0
11268	10nj6ek2u0t7duavazimoyc4jp	$2a$07$yIESbbr7How5JCyFK0DALeLYAvd57RGXmj2WV0p7APOUcEvWweaQe	12	2013-08-03 20:36:38.424446	2013-08-03 20:36:50.471218	145		0
11269	1092seww148ahb6hcyfh4u5nlh	$2a$07$9HhmNXh17wO3cXgKt31PLeWaGgEv5JU2H6Khxokk/iYgKutr348q.	13	2013-08-03 20:36:38.457201	2013-08-03 20:36:50.62565	145		0
11270	10s9qrs2rromtsvdscqo7h3djj	$2a$07$KrW6yNCjWQ6yrSz3CgiT.uHBxzIpkwvDm.KDZcRM0Ltf4Umms4YK.	14	2013-08-03 20:36:38.480029	2013-08-03 20:36:50.750697	145		0
11271	10oe1t4jozuox1y0py6utjwiqo	$2a$07$TdvICEOglR3J1PxR4hbJCOVJUxZWxAvK2uNrNHH7NNfglK2ke8UKO	15	2013-08-03 20:36:38.503103	2013-08-03 20:36:50.851087	145		0
11272	10c1a9ytn94klywkrzjniyruvn	$2a$07$L6ztmN1d7QdSxtCaaX9LY.pGFjefub.Ny/yXalgasMENtG7o8xjG.	16	2013-08-03 20:36:38.527524	2013-08-03 20:36:50.962704	145		0
11273	1020cfqy1ewq8i5vdy22xwt911	$2a$07$HDtI.UuQMbkUCOskyKoWpuYasO5lFJ7.RnmHUW4PmER/Jfwj.SlC2	17	2013-08-03 20:36:38.551833	2013-08-03 20:36:51.096824	145		0
11274	1007gvm8rsmawb4acxikkn8l80	$2a$07$WOx1Dnk45CUIPaAPoeEEouXUYCC3ZiqklPVqmo8xjT1YcD6SGBffa	18	2013-08-03 20:36:38.577025	2013-08-03 20:36:51.23804	145		0
11275	10sbqvn603r21472g1rheoye5n	$2a$07$XA4/DtErvsA18zQAW2pu5u9Bu/m/zGO8yhUrW2YthpxflSE9pUEVW	19	2013-08-03 20:36:38.602029	2013-08-03 20:36:51.380288	145		0
11276	10xs2obohcbiklxd4w9qjk1kiw	$2a$07$GqMl.2PNc8GeDCOBcRxjX.7206fAO.iUfc9BRm/wFhU7ETEIT9KX2	20	2013-08-03 20:36:38.627938	2013-08-03 20:36:51.491343	145		0
11277	106h5u9zrqif4xnipdoe6pw53p	$2a$07$AielYOfmar954EEMZ64gi.GIjqWyAKTyTwYgGerqNvTVq1J97dBcu	21	2013-08-03 20:36:38.65218	2013-08-03 20:36:51.591322	145		0
11278	10pbbvsk3xgp9d91wqdhs0xg9x	$2a$07$RE.DMBt1dawVt0k5aM7Bu.mz.dH0nfExJDkFCXAsMbdzSqGrF9a8O	22	2013-08-03 20:36:38.679827	2013-08-03 20:36:51.728781	145		0
11279	10ellkflo6k3yjwovwfxcxi2lz	$2a$07$.s0eZd/4AEFpKLa9NRUFAey781qIlmri5rZvWx28K0mnn6vEgK3x6	23	2013-08-03 20:36:38.705988	2013-08-03 20:36:51.840984	145		0
11280	10ijtw3s8zyh50v1b9qzvcp88w	$2a$07$0IX1r4DZ9zPEaT0rS.hTG.nh7J77/TzNeUVsHI1BI2iPpPD.Z/NDW	24	2013-08-03 20:36:38.73408	2013-08-03 20:36:51.943577	145		0
11281	10exlafe572g3uc3rypeibog3t	$2a$07$r8qR03/5mPJqZtI9XKvdfuVCjXern37sjNdVHsOdjyJ6nGYkY6li6	25	2013-08-03 20:36:38.758931	2013-08-03 20:36:52.065201	145		0
11282	10ejggy4z4zx55jrftxvm4ccjo	$2a$07$eFQv6Xxk1olyzyqSkRVxROgGxKhZcAAPAqEvEZyh1LEK4ji.rwVwu	26	2013-08-03 20:36:38.794753	2013-08-03 20:36:52.192569	145		0
11283	10qy2v2mck6dulgz2cwgtcgbi2	$2a$07$1TSZE6lRcQuFGSpWB03eheaPVoCMR71c9i22U1mUIyt8fiQN1zmri	27	2013-08-03 20:36:38.826299	2013-08-03 20:36:52.319382	145		0
11284	10jxc4kaybkii542577itfv92k	$2a$07$5mueNGQww7PZ5F0HaRlXV.r4/hGrxlEqcqhOaaFaSZ3Vtf6h.XgEy	28	2013-08-03 20:36:38.853439	2013-08-03 20:36:52.592196	145		0
11285	10r5nzqumtbcg4ijtq29d8gx3b	$2a$07$o1VbWx7i1.y6f4ePCzYPG.nEjVqIoEphspwC0hS67IMQnAhkPMnS6	29	2013-08-03 20:36:38.887163	2013-08-03 20:36:52.901808	145		0
11286	10wpycn8wtoh2um2wv029d58ns	$2a$07$Y1UvhOttuEESf9DbRSQ5r.GNjmd12DCDeJY3rtqbRv1tQvQ6hVabm	30	2013-08-03 20:36:38.909367	2013-08-03 20:36:53.14216	145		0
11287	10e1fkj2qsr1bmqn03m49nqo75	$2a$07$nkM6/d4ShmM5UN60NQSltunMLUPVw6TEC1LVYe3kEsfdDB4d2bBWm	31	2013-08-03 20:36:38.932608	2013-08-03 20:36:53.299543	145		0
11288	10rxyelbgh5w5xstx8wd74f6x5	$2a$07$DPibFEP0BWGalSX.Ux0VWeZSFtOiFP7C8dbGa0Y/1e1x6OuD4Bqy2	32	2013-08-03 20:36:38.955909	2013-08-03 20:36:53.464765	145		0
11289	10x3us2d3tmlto4v4taung01r7	$2a$07$BCO9dV0BbFqMEF9pWQUXv.8tvS44njHjbXP9sGOwfR2tJCuMMaJ/q	33	2013-08-03 20:36:38.978056	2013-08-03 20:36:53.61985	145		0
11290	100sdj0gdx5srs324hiyirlh03	$2a$07$C36phDnBUwShWs6CdQzi3eUxAIXa3/zL7GboLQACo1MhuiX6MT74u	34	2013-08-03 20:36:39.001389	2013-08-03 20:36:53.781887	145		0
11291	10vse8anruqt3dzkaybgqvjb0m	$2a$07$g8DezUqjcl3eNRUNViUTE.aLw13345YmKW1l6oWtUtfPB3CIzXb.K	35	2013-08-03 20:36:39.024785	2013-08-03 20:36:53.908462	145		0
11292	10t6iq832bajtglc7t3pgf6t9w	$2a$07$tMsXImfujvY/3ubnLkTRJOZU.AaVN.XTY7KoCOiMnn.Dcbm89wHPG	36	2013-08-03 20:36:39.047592	2013-08-03 20:36:54.074683	145		0
9367	10k2knihmttjqafds1ie5uddpe	$2a$07$v9syEftaRLL8Y41h212FNOuPqGqqdxzgaKnjvui4PYwOIiDBz8XWy	1	2013-08-03 19:21:32.057587	2013-08-03 19:21:35.401554	130		0
9368	10uhnwpjc2gl92ervo0yej2fey	$2a$07$xUx3IliRM61QCK39ecYYguH68pbD58t1RzwCWvapfxG2Ecj3M48vi	2	2013-08-03 19:21:32.08095	2013-08-03 19:21:35.560217	130		0
9369	10qbcrghtab7bohub2ehzwphzq	$2a$07$azvbmX5d/s7TSDNq1BOUqey8jZ11C597L7hSCMVXCavu9J8nJWv3u	3	2013-08-03 19:21:32.104493	2013-08-03 19:21:35.706753	130		0
9370	10iwfkr7y6lcg5zsk51yua9wy8	$2a$07$3x1puKYlk9Y7IadpNfCsE.PmXw9DBUv7HyU8q7uB9TeF1q9xluQQ2	4	2013-08-03 19:21:32.128923	2013-08-03 19:21:35.871741	130		0
9371	107yzmgf4o9cb45842vd61egm3	$2a$07$SQ2GjQxXuNxJ9PIjOts5d.OrIvNGANBtEnlja4YK2jH7UuKc0XalW	5	2013-08-03 19:21:32.167324	2013-08-03 19:21:36.012789	130		0
9372	10bwls4r2z66kjbmykiasd3fnf	$2a$07$oVg.kmqU2031/sjcAK5qfO90/Yvp3yesm7pYk.4d9toGqJwitl/WC	6	2013-08-03 19:21:32.19037	2013-08-03 19:21:36.149801	130		0
9373	10jz7ynqlq8argqeog0xy9146l	$2a$07$71oKcJ5lNTZVw8o/JNj5hevi97BvPntbsYiquHv/cx8.ha0uQjlW6	7	2013-08-03 19:21:32.225808	2013-08-03 19:21:40.537897	130		0
9374	10du8vrlx1ihy7dnbhcod9y1r3	$2a$07$t.0SNa5bnmiLaprKrW9w7uSxW6ibPZp6ZGi387ntBowcC2HcXTwDW	8	2013-08-03 19:21:32.247718	2013-08-03 19:21:44.816364	130		0
9375	10e2dfzc8so918rn2x2j31ebn0	$2a$07$dle96ef2vfc1MWebrPuuruPsn3Wr7bB8QWXIoUOhfHiyz9.SrtQxq	9	2013-08-03 19:21:32.269478	2013-08-03 19:21:49.061029	130		0
9376	10uwc67d5c3v3k0z3x0x33khs5	$2a$07$CZ71tBYJFM1uh0MCNNAI8e9dvLy6QvAqmjiH9XibBUVOseuth/FGy	10	2013-08-03 19:21:32.291199	2013-08-03 19:21:49.188525	130		0
9377	103gnh3m01mgiv046alt4ljgh7	$2a$07$07NHWTeBSU3E0o4.5aAGTusE2IK.49tz9NkSCyoEFk/a4njuXiuka	11	2013-08-03 19:21:32.312969	2013-08-03 19:21:49.306279	130		0
9378	109gdf596c82wrpkqrb5ieyxkb	$2a$07$1Fp9vL89q4haRHHR8Y862OeiVxDl7OMw7YemQjUQDmSVCtW96VEDe	12	2013-08-03 19:21:32.334484	2013-08-03 19:21:49.4048	130		0
9379	10n1r41hgbz32qju7ejdw0cwc1	$2a$07$px.J.BNbPo3ymopbg85GF.4ABKj64r/WyBxL/ld3r2lQ5bmCirK5a	13	2013-08-03 19:21:32.357315	2013-08-03 19:21:49.508573	130		0
9380	10snwf8fnmrl6ri5s51kzoeaqo	$2a$07$aFBED5KwvczuNICDZbZsk.NaD.DU.9c3e1zhahJ2rP/nJz0SPTo9q	14	2013-08-03 19:21:32.385158	2013-08-03 19:21:49.642385	130		0
9381	10nkp8d0fp8zbrd2dwg3m4os5x	$2a$07$UQYhvDKgPaUp78POSQI/.uG2P223L/Zq4GmC9l83ovIgA43J3gREG	15	2013-08-03 19:21:32.409673	2013-08-03 19:21:49.778311	130		0
9382	10dc00av7jxj2qnvttg51hh5u1	$2a$07$ArOeX3s1gJO5ozqxGOYrxuzjiqCEXVbK2r5dQhobEVR1Jgc6xjZJ2	16	2013-08-03 19:21:32.441708	2013-08-03 19:21:49.904144	130		0
9383	105wobrihheer8n0drufiekj72	$2a$07$7rVZZ8bUMvRREUa6q7WCfexkY7VlylyTIVlQho3E.u1rcczRhEUDm	17	2013-08-03 19:21:32.466332	2013-08-03 19:21:50.025722	130		0
9384	10a7k0n5pl5drv0aydy1pd28bk	$2a$07$/nAKApW0xhgi.bBR0Gud4.Iicgw.1SqR2i29mir892p9EnSCYWx0e	18	2013-08-03 19:21:32.504701	2013-08-03 19:21:50.157384	130		0
9385	10e2zkuda3kf2pk6wvxrpgttjx	$2a$07$qUU.n3B4NYJIrLyzqIRvG.eUjpIJ2f.DIyAPhXrwpmjOLAE5EIen.	19	2013-08-03 19:21:32.537193	2013-08-03 19:21:50.278502	130		0
9386	10e8y6iomw8xe2i2m070xazqau	$2a$07$NcX9.pdq5EstT2BdPeH9WuvRBEb6bgYZASBns5N6MSmq9dQuq.zzC	20	2013-08-03 19:21:32.558694	2013-08-03 19:21:50.418042	130		0
9387	10jdp075cr7efx5esg7wn10oep	$2a$07$nqkBFNJBZkuNg6UXipZxxu.MYcq0lEjxySK8H9ZUzlrbVawn3KyrG	21	2013-08-03 19:21:32.580513	2013-08-03 19:21:50.566415	130		0
9388	10lkupsk7vv7cum4mdbn16dz1r	$2a$07$aW8O5Kugp3a1PqMBSy1ErOmii4fjwzwTMwLKPLEF1bVckynP03LJK	22	2013-08-03 19:21:32.601929	2013-08-03 19:21:50.69953	130		0
9389	10232ti3yz7er9woyg891qcghl	$2a$07$3HjnbBb4Jp.vHuL3caeH4uj.JERIuxtClDY4HB1j4iZZdSPjj21TO	23	2013-08-03 19:21:32.623759	2013-08-03 19:21:50.834819	130		0
9390	103cns3trugpojxss9q16v5h2i	$2a$07$y8UkcoQ664NieQhAY43k4eZvojXDHDjUKbLjToJg89XB1fyNaESQW	24	2013-08-03 19:21:32.645264	2013-08-03 19:21:50.973115	130		0
9391	10e9sp7go5icjf5j52qz6ttdc5	$2a$07$s2.bSMLR2d5IbcNGSFHkoul3mm5ETiHIUl6ckFxpH7/XLKsXBjvJ2	25	2013-08-03 19:21:32.666716	2013-08-03 19:21:51.110035	130		0
9392	109i5d2ep9lxukb9oea9657aqe	$2a$07$08j8ffHO0eLQcR0Vl0gNruFBxdgKqTkc7qiEd44DFKLSKkF/TyRMq	26	2013-08-03 19:21:32.688152	2013-08-03 19:21:51.249332	130		0
9393	1034wf8powj417du5n0fdvohdx	$2a$07$Du9p2qdh8Bg2sGa.JMcAkeebHyPJ2IOcwq/WS7cyhuPNWVFVzUlcq	27	2013-08-03 19:21:32.711429	2013-08-03 19:21:51.380061	130		0
9394	101rwxe762bls2e774ly94igk4	$2a$07$4y6DwvR8ZC2056m7dhDYFOALfXN8DPsKkqinYBnpS/DUymqo3cI8a	28	2013-08-03 19:21:32.746386	2013-08-03 19:21:51.52006	130		0
9395	10vcc4zuw33cs6t4fhnpvh8yuj	$2a$07$sxqS1A7irVatfSQ.kKPwq.mxCXSrF2IgCVQLnX0JPFl/.GwMl0BTe	29	2013-08-03 19:21:32.771157	2013-08-03 19:21:51.681757	130		0
9396	10ku8v3sj0c1eoghr59vdev035	$2a$07$TIpv68Ym9VE3DzJAdFHKIuLsj.tIJrEg8i2wD/JRzNSl9M4Sm1Nkq	30	2013-08-03 19:21:32.798896	2013-08-03 19:21:52.05358	130		0
9397	107umra8xytospm1to72n8npnw	$2a$07$cDGGG7p3vgiQqv.nP7iOoe6UcjSk3xlOwakRI711ydtS3F896wZzC	31	2013-08-03 19:21:32.820569	2013-08-03 19:21:52.193055	130		0
9398	10o5nko20xhdp87go8alq5pf8l	$2a$07$VEr0FDCGZf62LlthKnLVFuzjhS1iE.Gw960NrYyfT.zEVTqr6g8Nu	32	2013-08-03 19:21:32.843268	2013-08-03 19:21:52.297569	130		0
9399	10pb0iy727of3fvwy33uum8qlr	$2a$07$auTrBxUysY4xoq6TbWK4L.WJlXewX/E2fzTR3wYQdLLFn16wjjRzK	33	2013-08-03 19:21:32.874073	2013-08-03 19:21:52.434959	130		0
9400	10d12zh4esv8qx5h4161gye4t8	$2a$07$uS9tQw9lo13Y5LOANpTuhOkdbEEMi0RvgB.KzVjd2uzrQNBHyL/9S	34	2013-08-03 19:21:32.898437	2013-08-03 19:21:52.562277	130		0
9401	1073mht38ne8zd8nq1hzvqa4da	$2a$07$bP1Kz5F.BE/dOd2cVqK2mOd6XlpVmUpMbCoS8doYaK4Ivyfqr4wOa	35	2013-08-03 19:21:32.92097	2013-08-03 19:21:52.722331	130		0
9402	10sccsfnwnpifayxwrfrg42jbz	$2a$07$gkMlu.JSSi5mFRBihmSN5eOdhR9GZz80iblviwNI6ldr0dhi/SPE.	36	2013-08-03 19:21:32.943795	2013-08-03 19:21:52.873616	130		0
9403	10wh503ge3oy2rrhrqwdo1jex6	$2a$07$h622Sdk5MCqq5tFxyV9wGuW8MigzJAq83TAWlkf9oljMhh0rEMqu.	37	2013-08-03 19:21:32.966066	2013-08-03 19:21:52.986292	130		0
9404	104c9ml3rq8t80ff6oclz0gejt	$2a$07$j6iax84gtU9r3Hj.8UnSNeRFf1KYqMIFnju9Xuxoigz.rGtXz9/Za	38	2013-08-03 19:21:32.987867	2013-08-03 19:21:53.1228	130		0
9405	1010zzn7aaie4alyfkw3yg4p5d	$2a$07$gJxzGhWon7cTU1QaPeMMGu59c8rXmc.eQestAVVm4HTyEOWrsQkdq	39	2013-08-03 19:21:33.009612	2013-08-03 19:21:53.263512	130		0
9406	10v8kihgeff605so1oivgsn2xr	$2a$07$vMDNJRlWt3KUL3.HV2gj1.WIva3x/NTaXJ7CQhmcCoFZ58Ae3/qEi	40	2013-08-03 19:21:33.031296	2013-08-03 19:21:53.389269	130		0
9407	10i4whmptp19pwiwfinlwgedse	$2a$07$vawg1OCi.crFeBl7IsOBZOr8NWztOv6JDM7eb62qPq5KkKBYFfzde	41	2013-08-03 19:21:33.053235	2013-08-03 19:21:53.536423	130		0
9408	10x1bo6z63ages03dljncb7mpd	$2a$07$V9sVURO0V6sKKDCmuKOMEOvL4WiZXX8v223oH0ZBsmnUim/dVTSB2	42	2013-08-03 19:21:33.076772	2013-08-03 19:21:53.659269	130		0
9409	10jfud1slvtwa4l6ybw2hp3xmy	$2a$07$lNAQruJh42eLs63Fs16BT.YOrbHMOfh0t70z3aKExo26CdJGiY9US	43	2013-08-03 19:21:33.098303	2013-08-03 19:21:53.803459	130		0
9410	10gubavxektv2sfypu7gc10wld	$2a$07$5.VcegFgAFlMrAUUxGsicuYQR4szME2hRkuah836bw0bRCObF576C	44	2013-08-03 19:21:33.165415	2013-08-03 19:21:53.931116	130		0
9411	101oiiawe830amvmy4u2x42tcu	$2a$07$I.ASzJP7YUbLfU/GwMViB.a5xU6D9LY9gfDTDM.LPOI/TpOVtYzxW	45	2013-08-03 19:21:33.18883	2013-08-03 19:21:54.076009	130		0
9412	10o1yss0306smu8xu7sfgq8qj9	$2a$07$zXoJRoDTqEjFSZvJpXsfE.3q/TFIX3Wq9r3z/X2ONhhTtqyV/5eBm	46	2013-08-03 19:21:33.210818	2013-08-03 19:21:54.326895	130		0
9413	10v4ixpg80mwznokwiawk16xal	$2a$07$VQc..X.8yMMCpl1k1CMmcegX5R8r6gQqiBeyZkh9dnPI5ZKAswIgi	47	2013-08-03 19:21:33.233862	2013-08-03 19:21:54.46701	130		0
9414	10hpwo8ambst1ti7wfpvovzpvz	$2a$07$OtbhEPfqtwZAcHDWHxyxRu9sxTdO735Mp.ohRkbgckb.hvhmX35d2	48	2013-08-03 19:21:33.256456	2013-08-03 19:21:54.695946	130		0
8359	10o4sksasygphdm9o6kgek304q	$2a$07$FRQv7PMe6.Susw5TQwJK2OuEoCQkmyt/D0aquACM9.rl3VO0Bwi1a	1	2013-08-03 18:41:32.117324	2013-08-03 18:41:35.377568	122		0
8360	106qzkokpb47ll3ucip3gdjc5n	$2a$07$wF7EBjV/E37wD697mqdbM.hUK1QwGHof8fpoiWiYCqn38/Rs4EiAi	2	2013-08-03 18:41:32.141981	2013-08-03 18:41:35.528353	122		0
8361	10lw301d6e8504fmq6kgsae1hb	$2a$07$2gREWaL4.JZGQwHZUU02XeQ4FpEToW6eia5NDZ3NOznHrtu23SHQW	3	2013-08-03 18:41:32.164852	2013-08-03 18:41:35.733296	122		0
8362	102dpdid2yy5tjm5534osjhsjv	$2a$07$rs4qtsDRP2vQbMS1pS/5tedC3ZC3SjtL7GWfvb0m0E4rFMnqTBQhG	4	2013-08-03 18:41:32.187407	2013-08-03 18:41:35.904682	122		0
8363	10sv2s08hzspw41xzkvl1n3sqx	$2a$07$X..N53HGz/PpudV/ptS6uuqnj7Ks5mYbb9bPlVT87hIw5hA9Cnilq	5	2013-08-03 18:41:32.209025	2013-08-03 18:41:36.059993	122		0
8364	10tj1hmg5onngjk1ehxk3hsctm	$2a$07$rYelNY7oUb2/51r4JUblVOPmgh1ACps0Sa7/AyxOQdP4u3SgSSaoS	6	2013-08-03 18:41:32.230504	2013-08-03 18:41:36.215039	122		0
8365	10uq0lm1s4plrzrqjgbqq2b7b1	$2a$07$Y6GIorWrVS1HqgZkKfL8Qe.fTCYfR6M2qiDNGeIVwV1FnaJ.HcQSG	7	2013-08-03 18:41:32.265024	2013-08-03 18:41:40.465125	122		0
8366	1099h8xwo46bzzzyzedgxkbdd6	$2a$07$yWHpyHt0eOpLAIQm70bWWuNy/HtUmGQZqu9bqXru9HSAWcMAD/b6y	8	2013-08-03 18:41:32.300961	2013-08-03 18:41:44.631832	122		0
8367	10r6s0xf0qb59l4uszlltb4ymw	$2a$07$Lw/z1ogrBJCQVRuMsNefTOD.ZmAaijo8jrpg6rwk/2wuBqZi4rf16	9	2013-08-03 18:41:32.325233	2013-08-03 18:41:48.462131	122		0
8368	10oia7n2d1cpikpfls6bvb1xyy	$2a$07$D7bGZHIDT0w/z/CY57bg1uCReMSq3RDPNxye4vzOyxMvpvTzeE4dS	10	2013-08-03 18:41:32.358809	2013-08-03 18:41:48.599699	122		0
8369	103t6023fu4t9khjy4g24khfvc	$2a$07$OqdPAlVMv.V9aNqiVZryUeEFHhsBMm83S7TC8eTySNtGDq.1dAD6.	11	2013-08-03 18:41:32.396893	2013-08-03 18:41:48.739337	122		0
8370	10p8w9p08hfvb4o4gy7d34uhka	$2a$07$X2TRBs2xjskIfyTEIJcItO4PLXNNo/Qd8j0525h5u6BtnGxLvQqee	12	2013-08-03 18:41:32.431738	2013-08-03 18:41:48.872319	122		0
8371	10f8qxclpq3hm2if4mkh53smar	$2a$07$DFTkN7oAhVzaX0.84cU/H.tZFmXK/lNOwOK/F4CXw3tYiT/NbLIDK	13	2013-08-03 18:41:32.468886	2013-08-03 18:41:49.009888	122		0
8372	10zxe8ty22t79wb9ah43vt3s0a	$2a$07$1WQYqX/jhvpF4Npv7lJOa.SVGIrwF6lvSjUkGS0P8hXmGCujXvs66	14	2013-08-03 18:41:32.490598	2013-08-03 18:41:49.173525	122		0
8373	10ws209ijs0r3u699q6gwr1qv0	$2a$07$VHCTMZd8xQrrsuIaVBcJDeRxl5EUbDXLEeD7xjNpNhRwB42KcFH9u	15	2013-08-03 18:41:32.512016	2013-08-03 18:41:49.343093	122		0
8374	106hzzmtxcax7pylf553hzpvgy	$2a$07$8KhxhWHKlk/OwQJkb2biFe7eljUvgHjtMR6sGvk2sIillZRGMSgdW	16	2013-08-03 18:41:32.535106	2013-08-03 18:41:49.521717	122		0
8375	10ywxleh9y5dudw4c4o4yaa3k6	$2a$07$14YXRv3qyJ9Apu.5ca8.jeRvByMFOf8ZZrZJKH/hR2aoiyixsfW/C	17	2013-08-03 18:41:32.560285	2013-08-03 18:41:49.669207	122		0
8376	10ovu4qajisigythxcvha3jhkd	$2a$07$gKaomWIairc8stlDJ611wOErc0Q9Bv6n.VFKK3/bukgPKRm4FNfXu	18	2013-08-03 18:41:32.58665	2013-08-03 18:41:49.943415	122		0
8377	1012t4isax85mwa90tlikjak7v	$2a$07$omHDMkr6T0k0rKS4yW/fvOqXKmsEG1y.GH5u1MEbodSNkUwQwX2Q2	19	2013-08-03 18:41:32.614224	2013-08-03 18:41:50.059412	122		0
8378	10i9ii5gfma2mwakp2jskzw4vt	$2a$07$wZUzlj1hA2DI.W7C7UiDX.bNwb6NdBhXXmWzG5aZUAKpZalnS63M6	20	2013-08-03 18:41:32.635971	2013-08-03 18:41:50.170196	122		0
8379	10ah96l1jilr6o9f4vlpinv1cm	$2a$07$.ccm7qaIP9wFl1cKLJ1b3eWJ2bdRolGYt/myVYRJ6eQhWhrFLVGOq	21	2013-08-03 18:41:32.657788	2013-08-03 18:41:50.295983	122		0
8380	10j0sctb50hhd0vnqa16gvlxc9	$2a$07$PQf2gVgIAkTRklvUQSbT5.osaOuTz9VjCgfnwd6Ko2g5WaeqY1mye	22	2013-08-03 18:41:32.680355	2013-08-03 18:41:50.405804	122		0
8381	10wirvnh5ml2wn4a72ynheyrin	$2a$07$oT5pmCQuSrmQr/DhAeKq6O1xsHLHtM5rwztY7529HlILoGs7UUun6	23	2013-08-03 18:41:32.70193	2013-08-03 18:41:50.544515	122		0
8382	10b88jisu0r5697d3z415dipwg	$2a$07$53FkUTl/Wb0hjhPubQ4muODjoo3JlzMZTz4PiM/JWeKiAWw6wNhli	24	2013-08-03 18:41:32.725134	2013-08-03 18:41:50.672216	122		0
8383	10rhli1tbsz2q4fmrqaczb0dog	$2a$07$yQBtRAciS8YFf/.VvHIqVeKnECm1HCIsOywqy1y7Lk33sXCbLJjFy	25	2013-08-03 18:41:32.7482	2013-08-03 18:41:50.784912	122		0
8384	1047prrti9o7po9eztny5cdcr5	$2a$07$l3cXQM9Fh21R9AvSYduvL.3VVv2Wz7199oDTDyw1QmiTl6s5coaau	26	2013-08-03 18:41:32.771272	2013-08-03 18:41:50.921218	122		0
8385	10onp3hxhjz6i96ujfhtg49x16	$2a$07$scLFn74RZ5QnUtndlqqo..G7Le5tinRe0oVB19Z4r/ISqGrlhchiK	27	2013-08-03 18:41:32.795135	2013-08-03 18:41:51.051226	122		0
8386	109rjjdf5djo3hlku6rkupq549	$2a$07$ywcpdPN6l4zBrtMmCn5/JuCXvjtbOtrpKngwEO7DBYOzzdvlKwlZC	28	2013-08-03 18:41:32.818295	2013-08-03 18:41:51.339294	122		0
8387	10ubt94ex6e07fwviplzblk5wj	$2a$07$LstpG.Gm0dDM4C4bWgBq7O4Dt7NevYeckNR0gWW2dENHe13SHMHVW	29	2013-08-03 18:41:32.841426	2013-08-03 18:41:51.603809	122		0
8388	10k8m5w90vstbbven142hrodr0	$2a$07$5dbK890Nirs9iSqawQrzheal10sgocqb2jzxHQx7gzNAh27sAp5ZW	30	2013-08-03 18:41:32.863094	2013-08-03 18:41:51.77746	122		0
8389	104pr2h61cg19v0wu4oflgv9xx	$2a$07$HFHL.yAKxtRpWq189KalDuC77BUxnyTpjoRDoJl2irW7suuMJCRjm	31	2013-08-03 18:41:32.885094	2013-08-03 18:41:51.908163	122		0
8390	105tm4f38pay7nye6tt340q021	$2a$07$0.1dA22A7kt9AnOSei1Ciu.3tXXlj.swXoSczUZE5377HuXzMCi4m	32	2013-08-03 18:41:32.908622	2013-08-03 18:41:52.089332	122		0
8391	10nyt2b3qoz9he6hqjrzeqwb9c	$2a$07$8fAI5A0IIqyyXtGuC8svzeavEGRMvs/esxk3Cb5Bf.OdZA8MC8tSu	33	2013-08-03 18:41:32.932164	2013-08-03 18:41:52.224972	122		0
8392	10yxaajxqmtmhynrxrp8pecl2k	$2a$07$C6O1tsjNATlf3UHyzmMIWOQ3I.wPZaVTjkJyaKf4VM6XwGHmT6Jna	34	2013-08-03 18:41:32.954852	2013-08-03 18:41:52.360695	122		0
8393	10pd83b8iplrqujfqc7fhhimjl	$2a$07$L7CdigFdTx/UomKTLAEdVe/2riERx.0jhf5fOQTJY26Lj4D30LO32	35	2013-08-03 18:41:32.977295	2013-08-03 18:41:52.492841	122		0
8394	10p8mjo7npseaukhqs9sz6k2tn	$2a$07$qFrEocLok1VlImXlPtzXxefPpLJeKILNKXozhddRbo7JEiPbjGI1K	36	2013-08-03 18:41:33.000078	2013-08-03 18:41:52.625447	122		0
8395	10xettepicniowltvuq4nky026	$2a$07$/pWQhjTvcqwEwf/eWCWHdOiMjwEMB4jB/G5SpQ9bcFYKUHhHlYpUC	37	2013-08-03 18:41:33.023259	2013-08-03 18:41:52.760243	122		0
8396	10oalyn83wp3apasy9k39hpqrp	$2a$07$TSfXZe02SehUVd6DkDqTruB1yS85GT036fpMCCK4dx4xLDthz1A7O	38	2013-08-03 18:41:33.046305	2013-08-03 18:41:52.894958	122		0
8397	10yvndz0ibh4vhafoat4hdkazm	$2a$07$Mak1xuVJuyilLEgasjUE0uRuCc6.OE9UqL9j/CTTNK9VtfstV0K52	39	2013-08-03 18:41:33.068184	2013-08-03 18:41:53.019971	122		0
8398	106uoozdjj80nho5vqae7khcgc	$2a$07$FGTBqUpPEeLMbI/d2CqcVuizn3FS/NDj.XvN3M.wO2MzPJMbR7kke	40	2013-08-03 18:41:33.089654	2013-08-03 18:41:53.152051	122		0
8399	10lwofowx1h2cktegslfv6fmml	$2a$07$ZU330/xbM5flOKg7KWPQsOXMnUwZDsIehB5hR8iaeZkI0GwNeh9XO	41	2013-08-03 18:41:33.111966	2013-08-03 18:41:53.263046	122		0
8400	10yx4hzxft4ag5xgzyywo2uqej	$2a$07$DsuM.rwT0IMXVhCC06yg5O62fbeP8rzfO.JUDpqCqXrusp3Fy3Swe	42	2013-08-03 18:41:33.135089	2013-08-03 18:41:53.370377	122		0
8401	10tdp9zhs211wzg18yki1k7jv6	$2a$07$Qc8KSKYU03/tUUGSG35W/ewszstMaLYadNXiOS0ugxiOYQWNDilN.	43	2013-08-03 18:41:33.156765	2013-08-03 18:41:53.488871	122		0
8402	10fxd2ibmlnc1crsii9c1km1j8	$2a$07$M38cMjfPVXyhA6R0LRT7ROJBu4Aa3NQ7CixbVsHfjTrF17Lq1mz4u	44	2013-08-03 18:41:33.178323	2013-08-03 18:41:53.622038	122		0
8403	1009ez17jrrms4lqss2s3bsjii	$2a$07$nT0cal3yUd.OTGfkf850yeHi9V.v/iwT4GisJo/6NwbvdfB1h7OES	45	2013-08-03 18:41:33.200563	2013-08-03 18:41:53.754885	122		0
8404	10ngcpf942j1wkm1w9sj1bv205	$2a$07$8hrOQUXnF.9XWtrB2sL6sOwYvxPyi1ndQ7Y9mf61Pd/p/UWVsxKfC	46	2013-08-03 18:41:33.222118	2013-08-03 18:41:53.97639	122		0
8405	10oyzblvsqntzypr0k3t78j5f4	$2a$07$EdljIsLV1orKWP0koYOIQ.q24LLL4XvjPb31jCDBDYUnp38rt7mXy	47	2013-08-03 18:41:33.243645	2013-08-03 18:41:54.16516	122		0
8406	10nj11hophbk19gnrw1jlgom0f	$2a$07$cm8njq24IAZIsYxTCQijpOxIVUWPJhUpIB3C597eob./rG90DGAfm	48	2013-08-03 18:41:33.266169	2013-08-03 18:41:54.522512	122		0
8407	10ur7depgxyofckjwiw475jsma	$2a$07$ZBxUUIZZ./L4AxeVdvQwW.e9prtFidw9udlu1K1xA9fJhxbiH345W	49	2013-08-03 18:41:33.288091	2013-08-03 18:41:54.649816	122		0
8408	10a4hmk0sqb0xy90kix6j0qm0y	$2a$07$zV7PS/HZWgHwPBj6PsvKeu56RQ1cx2y7Tr.v8XzLY4gt7.WxfCXve	50	2013-08-03 18:41:33.309668	2013-08-03 18:41:54.789255	122		0
8409	101tv8mtfupnmms292cy04y8zn	$2a$07$SuprAIsi8YHQ014qFyF7De176eMYi/fFmjLE8nzw9KV8RxVS5MAHi	51	2013-08-03 18:41:33.331377	2013-08-03 18:41:54.932491	122		0
8410	108jgj7uvw056qf0a2w0rkmf2o	$2a$07$68jCdiwO9NihrNCF0P343.19cxtxEEgZKbuc3LZrfAHWd2CwcU3Sa	52	2013-08-03 18:41:33.352928	2013-08-03 18:41:55.077313	122		0
8411	10ju16q5nyscd4i10zb6ipzh03	$2a$07$/92XvB/ibbaJK6IztDQwB.WyGWkPpBC6jDgbfh4ivtf8XZ9q6Okaa	53	2013-08-03 18:41:33.374645	2013-08-03 18:41:55.21551	122		0
8412	102gfcj6zsawuc39ogpdlbm8m6	$2a$07$YUnXpjbGSzalvu4UA94CfeslvDHdpMTHF3cjYKvhVBMa9FsSSFk0u	54	2013-08-03 18:41:33.396083	2013-08-03 18:41:55.346055	122		0
8413	107m1kyicxc9h56sceo1qk0i8w	$2a$07$Fq.HA8IX2X/3f2FFVYGRbuRpszYwRlHZfzBtwgj8EwXp8SKEQlQky	55	2013-08-03 18:41:33.418497	2013-08-03 18:41:55.481737	122		0
8414	10u4n1ycvivop3bna4w78i6m5a	$2a$07$N9dDi0mwwa2Mvxmg8WCB.OelZdbrhY19fo6ALLx9wYpcB6LqTUcfC	56	2013-08-03 18:41:33.440811	2013-08-03 18:41:55.606767	122		0
8415	10jki7hxozfvym49agv4bql7p0	$2a$07$vEAm5trG7amehOHNwFK4YuRSrFwQKo.I8s15KC8fKAHL5BcKW8w/u	57	2013-08-03 18:41:33.462446	2013-08-03 18:41:55.736567	122		0
8416	102p0nitsdi5e7c1smbe4084o5	$2a$07$rZk/Ju28SyQM76GjpBd28eoKen9YssavLljh6A3OuhGAmk9hSH6n6	58	2013-08-03 18:41:33.484066	2013-08-03 18:41:55.865272	122		0
8417	10ib1vy3zkl92suib1dq96hgfg	$2a$07$PUpbP2p6IWyY4nlPCjEl3.JF0cYxKPlnGUj9YOtYNQdo2Q41/MGiu	59	2013-08-03 18:41:33.505531	2013-08-03 18:41:55.998431	122		0
8418	10zs6avuea7sl4daa7izh8vz05	$2a$07$eg89qL9VZc9NIB2/kqgBWu5DteQXtKfeXBe5hzgTUmOhBF/2kNYxm	60	2013-08-03 18:41:33.526963	2013-08-03 18:41:56.131739	122		0
8419	10asbcmc7s9in07pfd6sgwb859	$2a$07$u79dtC8JJSqWajdBmWhNF.sLeGOdaggbTHSHj1ur2sQONRHbWvwPe	61	2013-08-03 18:41:33.550832	2013-08-03 18:41:58.79393	122		0
8420	10xah35w0o61sgxfca3ur5jse0	$2a$07$sEt002NvUfD52lpYoka0eeVBSGVbhr1b1RtSWHnP8MgWFez2tgQr6	62	2013-08-03 18:41:33.580007	2013-08-03 18:42:01.925228	122		0
8421	103ebxfrjzj7n5f5qes67l2r3q	$2a$07$654ajpGDf0ABS9ab2Cv9fu1QuRow5dgUrBfeXbjYWye6/CGRUkInW	63	2013-08-03 18:41:33.60904	2013-08-03 18:42:04.831965	122		0
8422	10v6wa35qx4thtuakmjy3lmk1h	$2a$07$Eijz9FcbCA/qVefR7S5JU.vRewBCZCQN6Tgj2mcvxKJqIS6jdKtMm	64	2013-08-03 18:41:33.641863	2013-08-03 18:42:05.086096	122		0
8423	10r3l491iku7s1gq3ym49c34fv	$2a$07$590xIBi/h6Hkusi4BUSHqOTwe/vCCJp/soCNcX9lnV.Q6wlWNz3i2	65	2013-08-03 18:41:33.665533	2013-08-03 18:42:05.234204	122		0
8424	10jbhjpyp0c0llfkllzu6tv1a1	$2a$07$D2C9IUDK.30tSgrr5iG6hOBUR7WLI7.o3VeF3tqXFH8UWAyk1YVHa	66	2013-08-03 18:41:33.687086	2013-08-03 18:42:09.325998	122		0
8425	10wup9crtqabe9weu5pxji78g7	$2a$07$kPBLm/q5u/tA/RmLX8gWNuAaKfQwnmCHHUP29d7CLNMiDJ.s6nv6a	67	2013-08-03 18:41:33.709692	2013-08-03 18:42:09.453049	122		0
8426	10ib6bmw4dcqvee4stwhvj3k25	$2a$07$KL5blHjofJj5K4SWOpxBSeDVGrRikFxvjUaCWn1qPgKuEoGNU25N.	68	2013-08-03 18:41:33.736181	2013-08-03 18:42:09.638495	122		0
8427	10yura8re6hb6g8qhyd0tysasm	$2a$07$G24F4MNk5iedvW8IFUQ.8uI1NS72OTHh3sMc0YWinnM89kCSUE5gS	69	2013-08-03 18:41:33.775857	2013-08-03 18:42:09.925893	122		0
8428	10auvsa3awecwj1zv3tymhohjd	$2a$07$k/8ABDAPtpGVf5.Q7mtIGO0ibOgNZPO8npPVQhE92DDjkCd9O2w7i	70	2013-08-03 18:41:33.809927	2013-08-03 18:42:10.052356	122		0
8429	10gujzwaw8l9strclsvfnmkwlz	$2a$07$d3qNePxMk1Nyj8qjB5CwTeMRf02.3YCKhl0Nnwo0Cqe./QpKDwF3O	71	2013-08-03 18:41:33.835657	2013-08-03 18:42:10.181415	122		0
8430	10yrsl15beidcrsi1o4soeldi4	$2a$07$GHpdiysp0ZTvDwWTeyFEBur2qrJEzh7GNa6wxNYyWxKj31QSbuRVa	72	2013-08-03 18:41:33.871075	2013-08-03 18:42:10.312024	122		0
8431	10h9g2r4gl91p3e366hn7cltbc	$2a$07$a.zeOY5XBK/xQNgo7CcB3ugWbEtXm1m73MFxrh6JIB8jRuBIvozAC	73	2013-08-03 18:41:33.893403	2013-08-03 18:42:10.454497	122		0
8432	104b4w2fbmx5lp3r8g3w6yj7a8	$2a$07$hlNNcmDefyE0tdwx7Xmck.YLjFbmWrYFpeTTgEICqKpZZzxvcptL2	74	2013-08-03 18:41:33.914871	2013-08-03 18:42:10.574988	122		0
8433	107i812wlo454hcfqmdzwundw9	$2a$07$x5GXLPjxvZVrLHNOIGEBPeYA2YB7cSkiEDDsh0Z/0psQweDo41/s6	75	2013-08-03 18:41:33.936671	2013-08-03 18:42:10.711733	122		0
8434	10oxdng7iqh601k3uyoftmekb7	$2a$07$cfLMaS44Krr5UFzBpOPn2.0FjEVo608U8LUi3Aa8Ya3JbR5dFvyI2	76	2013-08-03 18:41:33.958981	2013-08-03 18:42:10.846057	122		0
8435	109egdo85d9c9xu8gc29u5uqfz	$2a$07$nZ8d7cKvJn/5y9CdSd/r8OZRFUcddZTI9CN96UQXrqVatuhT5HixW	77	2013-08-03 18:41:33.980452	2013-08-03 18:42:10.966788	122		0
8436	10u8qnpy10zbyefi64yg8dasqp	$2a$07$/bnElVl1CED4mp9VWLIsGO9DYHXqPdZUb4J5Wv7Cvbi29vtcMNUJS	78	2013-08-03 18:41:34.002012	2013-08-03 18:42:11.096483	122		0
8437	1059k55h3t5hvehzw88vwjtx3v	$2a$07$s.zsL2BnScvfMGCIV/f.nezZxfgehFUYh87mcxDfLa4QwBSWcANKm	79	2013-08-03 18:41:34.023568	2013-08-03 18:42:11.278954	122		0
8438	10j2oyd8dk94l83my31if9tbji	$2a$07$5QiyjDvyl8Fe2OCDA3IzE.wiUa4is1rcVIeDQmpiSsbVuzuRsCWve	80	2013-08-03 18:41:34.046317	2013-08-03 18:42:11.431776	122		0
8439	10k7vfstp0z0j8vx786o8cb3i4	$2a$07$O2NxB8eHHmLYi/qiRniBselBt1BlmaXlDsQuJMgrLYsMeUTyNziAe	81	2013-08-03 18:41:34.068229	2013-08-03 18:42:11.566169	122		0
8440	10alfrbc15i758pse95spfw8p8	$2a$07$7JEHJ1nd1m8E6TXhn6DKmO343Yj/agx4KSle6jbQCxFDoXFuykrP6	82	2013-08-03 18:41:34.089735	2013-08-03 18:42:11.689501	122		0
8441	108jrkicv3kt0oey2bnh2avmk5	$2a$07$Br9lrXikRsQeKrrOuCxeHuHM6wU6gAt.NniSrhN7zXSzk3EJmQV4C	83	2013-08-03 18:41:34.111344	2013-08-03 18:42:11.840429	122		0
8442	10rjbjsseqjgwy42nkb5l5b98y	$2a$07$JBClpvdMGGF1ZLqXJDB83eysuManFpo3sq3COhXKaQPy140kCpNOG	84	2013-08-03 18:41:34.132827	2013-08-03 18:42:14.528614	122		0
8443	10lzdjyjoidlrjd8fgqlszl0kl	$2a$07$ZL3CfR3D39v4.8gED4ApWe73g.aEaTnrroGk6.qHay8s00M6f.qwa	85	2013-08-03 18:41:34.154222	2013-08-03 18:42:14.657533	122		0
8444	10bab4pl187itxgcc6awz4tbm0	$2a$07$j0D2I.UdNJPybZnQ6RK3cuwAMb66ncuKBTMMCAUzTolLMw4hhQMaC	86	2013-08-03 18:41:34.175558	2013-08-03 18:42:14.780205	122		0
8445	10m7godnmczo6wdxjgj6osk9uw	$2a$07$MOCEqSNhHKamsPQG5ZQVnOZJhJq6QYqWrzd.one339nab.w4HT8Bi	87	2013-08-03 18:41:34.197165	2013-08-03 18:42:14.928429	122		0
8446	10c2ya76a0vutzg3zklu0p122v	$2a$07$UytnmQwlyfiC1Ng8pmUe8OUdXMMXLsMKkWdxJOCaDetfneO9rx79S	88	2013-08-03 18:41:34.220007	2013-08-03 18:42:15.074025	122		0
8447	10k2uf9aqd2esf2unrfgnigozy	$2a$07$yKlUBLCvXGubUSsJBfp.hOfP6rlUkJLI7m0s/hCl5NeorgJbuBDuW	89	2013-08-03 18:41:34.2442	2013-08-03 18:42:18.965217	122		0
8448	107thfchi75afx90i7pmf7cbhu	$2a$07$l.54oBsFLXhcg1bItROV0OMeYd7UWMaMnlRGNU7d3cghm5Gj6LsWy	90	2013-08-03 18:41:34.279933	2013-08-03 18:42:23.287227	122		0
8449	1072t2a94nysinumi56rmjq3g6	$2a$07$RNAvAvrkmPu6qhvbyEc.h.VRwdzhCxbZNZMQjMNoQq35erbv8c1zm	91	2013-08-03 18:41:34.301523	2013-08-03 18:42:23.427052	122		0
8450	10r7h0z8zva1wji2e3bndkssof	$2a$07$tyGLm4S.MHqWypnl9yxtaOCrngODIfKK3JkgVCaR28nG7oyPENL72	92	2013-08-03 18:41:34.323386	2013-08-03 18:42:23.565703	122		0
8451	10v4q72vzvmqrsxozfcql7khyq	$2a$07$v1BWaSrvitptE52yAcwWquit3QppF9VPvMD3wsxV4b8uOsr9rFK8W	93	2013-08-03 18:41:34.346379	2013-08-03 18:42:23.821641	122		0
8452	10oz3nyxdniidv7puztmd95f43	$2a$07$005x/hL23Kx74yBfsnq4me.60PrWpfB4enIjVn/do..LxMB4dCXqm	94	2013-08-03 18:41:34.370107	2013-08-03 18:42:24.071035	122		0
8453	10vpe8wncq8p70zyzmayt55sy5	$2a$07$4sYZ84geX22jKJUu6IZK8uQpiwgyAJ4RGv5Swst6Cvm5dGyINlfNm	95	2013-08-03 18:41:34.393055	2013-08-03 18:42:24.25443	122		0
8454	10rtgtufhwu1x8ixzl8ix1xpjh	$2a$07$wxoTPYQhChaJ1vFgGaxVre.yRBg17xxvPwXDZOND9EyE4/KyvO5zW	96	2013-08-03 18:41:34.414856	2013-08-03 18:42:24.501787	122		0
8455	10qlcju8ltf1euq35lc7pfr11j	$2a$07$pNeutlFBQMiZmLHFoBzwzOMQRkD2ydY6c4zxzV505.g3QrVDztR.O	97	2013-08-03 18:41:34.43829	2013-08-03 18:42:24.629029	122		0
8456	10mznbiany60mhinlu1x2sc5nk	$2a$07$EFVvBcBw2q/Iyw4lm1OoAuiKfE5VH2Zl.4XlzYofhYYLX8FzqRdt2	98	2013-08-03 18:41:34.461623	2013-08-03 18:42:24.761149	122		0
8457	108008596ep66ckwd5n5ij6daw	$2a$07$Wna84dkmnJRhVeuZfcVyse4Mk6mxyVUEGASvmI/IXdtIZZhq5gvEa	99	2013-08-03 18:41:34.484374	2013-08-03 18:42:24.904133	122		0
8458	10bvdlc9kmk2uw5ockfshr5l5c	$2a$07$z6UQq9cphxMXLDVxmTqD0eKXkQyqvKyeLNJ/ZmwZ8YT3fpcoCQXT2	100	2013-08-03 18:41:34.505817	2013-08-03 18:42:25.027181	122		0
8459	10bo0vuh7fdqkwqoilj28lhdze	$2a$07$5u95tGlMtZCLW42YbdQP0.EjN7NLcEOYZJNx.AHtgadvLT026J1FC	101	2013-08-03 18:41:34.527718	2013-08-03 18:42:25.162327	122		0
8460	10t182rhxfhslshtvir0l9qz23	$2a$07$O5OK7eojFUKqH29mVS/XfO6xAbQw4QXgFQqlQx.pgwczzQIUEqvza	102	2013-08-03 18:41:34.549258	2013-08-03 18:42:25.295337	122		0
8461	10q1wipeky3tchzquwcdc9mnib	$2a$07$zSx0ZbNBf.ulKV0e8rqzW.DBczm7GBhshFYu.gUK87pzpP4ZVxKLi	103	2013-08-03 18:41:34.572657	2013-08-03 18:42:25.40196	122		0
8462	10dsybwx0d1n6k8r843lr8thb1	$2a$07$.F6H8oCWYbOm2E6rg0VB/ujgrlpMTvvYgp0sJaQtcd/JkmpGcI54i	104	2013-08-03 18:41:34.597016	2013-08-03 18:42:25.536498	122		0
8463	10b2lvrcoxsajddxwleyqdn0hd	$2a$07$4XSDw43nCnifn1NY59t5l.HaXfgBwhHaKVtgv0IFH/fIOy/9HZG.O	105	2013-08-03 18:41:34.620939	2013-08-03 18:42:25.673073	122		0
8464	10f9vwcxcsxkjtneti8guljx2x	$2a$07$MtBGYGAs4NmpQH/iH4L8oejc3csKnFN537qSqgil.IJwi190oqhQu	106	2013-08-03 18:41:34.643145	2013-08-03 18:42:25.805447	122		0
8465	100krxpbz9fguwhze6wavx1h08	$2a$07$s/IyzSEKrfs8CTRFNg3iu.YVEL8mEj8g6CiVzZSF/otRB68AB/a7O	107	2013-08-03 18:41:34.664773	2013-08-03 18:42:25.957935	122		0
8466	10z9flbfnovwcqgos30rsog612	$2a$07$nAKTpocXmNfGm9Gc.7FueOkksTVAFElx/ZccLQkTaFe9PI2Y4cNP.	108	2013-08-03 18:41:34.686212	2013-08-03 18:42:26.119878	122		0
8467	10m4cgyravpqdxzy92crns796p	$2a$07$9zzTXt46URcyT6LEI4rAw.ODLvfM/YzjO06O1N1.FVf.P3mBWSwLC	109	2013-08-03 18:41:34.708942	2013-08-03 18:42:26.262868	122		0
8468	10ldrkbd5iojy82yx34zm0hj8f	$2a$07$QUqmYh6zON6y2HU3A/3tp.yhmIKJPbNty7s0wrXBCK29iH4DHrH9i	110	2013-08-03 18:41:34.730602	2013-08-03 18:42:26.448116	122		0
8469	10xypadbf80ik86z9776e6sm7z	$2a$07$Ay6820emwj.wDi3doo6xpOr/xHc8x1R6RWSBqK3q.MAX2gnccrc/K	111	2013-08-03 18:41:34.752819	2013-08-03 18:42:26.58518	122		0
8470	10mjhyqcomw54r8sqqs6xw6pqz	$2a$07$ycdi6kvCz/zlxLT2m1iVR.jCsBko.ZJmMPboC5Ozc1djdpqBLg1oi	112	2013-08-03 18:41:34.775285	2013-08-03 18:42:26.707623	122		0
8471	109bqgkflrmh6psbyes7zgff97	$2a$07$C76tXu7BMa.tw7RgW3JZzeca3IrnOe/pfz6mWaJFJjrrq3rfw/E.e	113	2013-08-03 18:41:34.796738	2013-08-03 18:42:26.852269	122		0
8472	10be8yo2utpfyo8ml8ja1413p4	$2a$07$YwdYAsg2Hr3XSGyAkiAIYukJ6KW.JbSCArONndmJx1pm6crt/SpZe	114	2013-08-03 18:41:34.819158	2013-08-03 18:42:27.006932	122		0
8473	107qulo4w4u3z1w2ivw4zf6lfg	$2a$07$ehuQu0ZQklaZvUrTWmjIZeoyU2ttFZVV3EHTaCkRlRjbh6E/x/rSS	115	2013-08-03 18:41:34.843002	2013-08-03 18:42:27.167657	122		0
8474	10ydifd8ez6limhdk9u24itexx	$2a$07$viXukoToQr12yP7Y82C9cOtE64fp8Io7RxKFi/7kLRtO92PZCZLZ6	116	2013-08-03 18:41:34.864855	2013-08-03 18:42:27.385113	122		0
8475	10lstgaef0ssbwqvql091bvuz1	$2a$07$SehPDlak7gGNmPUtXAe1uOnius77k4ICQufh4GbQSI0ChP5bFvgUO	117	2013-08-03 18:41:34.887221	2013-08-03 18:42:27.531478	122		0
8476	10n3ecmzk21h1y4n18rhfcbed5	$2a$07$A8d5pB040iAs7oErANmZAewRbr.IvqlaxuotAYNHjoPYDUSKjm31u	118	2013-08-03 18:41:34.90955	2013-08-03 18:42:27.678926	122		0
8477	107cp1x69sdeeo8lcozogavooq	$2a$07$DzkQCwsdw97V7LoEIGiJeOzABz8TuOPKYS3Av7Lz6BNdq58I7MBP.	119	2013-08-03 18:41:34.933352	2013-08-03 18:42:27.818066	122		0
8478	102xzvle8uv6dxp13xchw6hdu6	$2a$07$9TASCXk6z/pNpQA39IE7ZOC2fHe89YWfIOpWW75mU9STeY9KbQzKe	120	2013-08-03 18:41:34.957377	2013-08-03 18:42:27.954326	122		0
8479	1035qixrfl4zjulz9nw8jt3x4n	$2a$07$eUSHmR2z3rqoWxxjBkectO.xvAC9ckLC9njZE7T1KkQK7Pd6nHMOS	121	2013-08-03 18:41:34.98548	2013-08-03 18:42:28.083233	122		0
8480	10twcpgdwx5f0ptgxk3d6sajod	$2a$07$.7v5EHH02UY.T.WH2q9GnuLWmxiGwJhb1Gw9MhcKQcCw8sYuov3uu	122	2013-08-03 18:41:35.010185	2013-08-03 18:42:28.192729	122		0
8481	10zubpj8ov9774i9o74dashchs	$2a$07$Hb26J.eJv2VFYyGRaQjwI.uwGUXmL5QkvSS6iARrwOqqRfIMyqV3q	123	2013-08-03 18:41:35.033207	2013-08-03 18:42:30.917847	122		0
8482	100csg5zvq8uzgt0uv6mgn2hlq	$2a$07$3E96G/sf57gH0oqynjau2.jfOcRGs.V1xgCKzbUzmDxAMXroJBUKe	124	2013-08-03 18:41:35.056173	2013-08-03 18:42:34.23995	122		0
8483	10buqleufp47u108hg7kh4merr	$2a$07$XwWDKvDZ6MXX2F7PFIBRa.620ujoReFLyYx7.vwY8fSDt/vXO/F0m	125	2013-08-03 18:41:35.079642	2013-08-03 18:42:34.389829	122		0
8484	1090iji039rl5e4o7atj0gtgdd	$2a$07$QYPsa6NJV05oVSEiI7r1UOCadfQHGb0snqYhVdtfm0XrIGIE1U07a	126	2013-08-03 18:41:35.10364	2013-08-03 18:42:34.512091	122		0
9415	10g41l9ow0nn6oaq3g3wve51rr	$2a$07$hN9VCp5Y95xh/EizaKaU9.LXW1RQ0Zk5wGgqCQhcLs2B0.8bCJZke	49	2013-08-03 19:21:33.278502	2013-08-03 19:21:54.835476	130		0
9416	10bwlzj1l1kan9qjnvmqzrpqym	$2a$07$hknDv.uHNXzGVs9qS9.A2.1bWpTNKEAZkb5gWNgqHhzL.k7cgthri	50	2013-08-03 19:21:33.302013	2013-08-03 19:21:54.958232	130		0
9417	10ead0drus3094fuo1d8xduk8m	$2a$07$VKsnUrDc1G1MCcLgEZOKR.eq8m3EW4qUTHlk7B.NvwHi69ceW2ZyK	51	2013-08-03 19:21:33.326053	2013-08-03 19:21:55.10038	130		0
9418	10zq04sc3vt2wtm8v80rlxhiu0	$2a$07$Ba4.qmp0kLNPqKHUKiKsZuA3Tpoc2b80/.AaC7Hg5wXxcK8wSk92G	52	2013-08-03 19:21:33.347834	2013-08-03 19:21:55.352569	130		0
9419	105z65p0jzqgy9lp5q7iybi19d	$2a$07$B7f4aIgEhpuv71sTDZrJ2u7//5HQp3GmVbUmnwuyEjSm1jJ/oiwqC	53	2013-08-03 19:21:33.369972	2013-08-03 19:21:55.526805	130		0
9420	10t6bmqzeu6u0kq86ytj5u7nji	$2a$07$HluFCUpakz3QjaTp.J.j5O99fug0L4RhgVj6vkUxo.TXTyw4aRIgy	54	2013-08-03 19:21:33.391767	2013-08-03 19:21:55.741149	130		0
9421	10o5tv2gvb9vfpjpjgjdt0jk7q	$2a$07$p8Tu/jv73HCpgDh53Xrjn.n2frw537SMvr0AoW1BAF.tuVN6FqHS.	55	2013-08-03 19:21:33.416091	2013-08-03 19:21:55.870977	130		0
9422	10i36ywpsj0dhrw2z3juh8iow0	$2a$07$dOiLth2B1tQGZI2kpSHu6uyVQ967s7cClW1ggVq.mkNKR/qWiwmSK	56	2013-08-03 19:21:33.441444	2013-08-03 19:21:56.010827	130		0
9423	10wc5bosu1z8qtzybsd5up23q5	$2a$07$/.MpAL4qAF6fuGc2.phsG.CqCDN7K8us.nXHHdGnEPGvKUt75mCh6	57	2013-08-03 19:21:33.466295	2013-08-03 19:21:56.120983	130		0
9424	101834f66hkflo5bdaxiwbw4gg	$2a$07$iDgctA4VvXBgJKVmLjN44urQd06cDO14rYu.p2cHbNS9peZuL8gt.	58	2013-08-03 19:21:33.497808	2013-08-03 19:21:56.259296	130		0
9425	10vmqyj2rspi0mctzyuniyy51h	$2a$07$mKoWoKp3fbSQFPAZY6XKg.feakf9Oc5rkQqOAeGSlK5Gxw/omjBIO	59	2013-08-03 19:21:33.525419	2013-08-03 19:21:56.385186	130		0
9426	1057ke4h5xoixmqf6j6fi69tqt	$2a$07$BlgMPRmZA43VxMKmqPaUSOmR92xqzs7nQfRNvWmf1Fxpky4h8AeSK	60	2013-08-03 19:21:33.555947	2013-08-03 19:21:56.514125	130		0
9427	10u4tofuuehsw3c76qnof28rsj	$2a$07$KBz.GO2K.GSQHdRbu9iCcubQJ5JnChSBvA8jbFc6guTItlO/MUItW	61	2013-08-03 19:21:33.583429	2013-08-03 19:21:59.116613	130		0
9428	10m72r44xvq8gwifzc0n2ma3ou	$2a$07$MQq8Ggj3WafQiqbefS3hwuKyKbznbMjEF8FmC68v5eAKR9KadUFPG	62	2013-08-03 19:21:33.609223	2013-08-03 19:22:02.209602	130		0
9429	10lf2jy2p9xqrl3qt8wyo3fc7y	$2a$07$4Knhs6ZQY2JL3xTzUc6Hd.yUl1/HG53LFKT/fFRySlXUw8C9mbflO	63	2013-08-03 19:21:33.644248	2013-08-03 19:22:05.126861	130		0
9430	10zzrrss1op6w6cyirxutnb7ky	$2a$07$oihnZDoctXUa6T2EkSmOKOnCR6mY.YZohqBJ3pSLVGFKZmcwkgCj.	64	2013-08-03 19:21:33.667126	2013-08-03 19:22:05.258148	130		0
9431	10hbetoi9qyvyhl5je981q54ml	$2a$07$PshNWVOWQ.NnmfxIC2P9L.olaIutzDHB.mu9cH7osHaRlG0mW.dNi	65	2013-08-03 19:21:33.68874	2013-08-03 19:22:05.415052	130		0
9432	10tl38fkphoa3shmivlg4p6ns1	$2a$07$yjl.LYFzyUG9iFLx7MNvo.pAB/mEagO8fwSqi2SRAxgiYaSH1cX8K	66	2013-08-03 19:21:33.711236	2013-08-03 19:22:10.243379	130		0
9433	10esenuhxbyhntms7ml0mdkw82	$2a$07$4RlIyO9R8LRCFKoYiP9GcOzQoC.JHFEBy/oo08Lt.wF3W1KIG6WS.	67	2013-08-03 19:21:33.732792	2013-08-03 19:22:10.383035	130		0
9434	10i7n21a5x9nibh0k8543i12cb	$2a$07$C6srKomMSQ344HZbT10uA.p.F314Q3DmeBslzBlyC55.vo12z.toy	68	2013-08-03 19:21:33.754355	2013-08-03 19:22:10.529825	130		0
9435	10knsz8ys41li0syy5d8cbksgu	$2a$07$/yu4n/GGYVIMeCMp7KDvSuBQR7uTl4yfRjUmbnNv1PqHRvDtp53qy	69	2013-08-03 19:21:33.777826	2013-08-03 19:22:10.662264	130		0
9436	102tp1gpiy1nryxsrsiq92vzke	$2a$07$Og.2494HVohBDNDmiKRmOOvyA1p3g4O/TswqyZmEKHCjSBP6vkEKa	70	2013-08-03 19:21:33.801694	2013-08-03 19:22:10.781844	130		0
9437	10zmnp22xhplmwlf6qigkg97aa	$2a$07$jqNHuntI1C126aZ7xkqX/.hTUhz0iFdkVFaRcW4WbHxXd3YIq2rNu	71	2013-08-03 19:21:33.824864	2013-08-03 19:22:10.927323	130		0
9438	10mb4raw2t7zjgit7uy2cws6id	$2a$07$oXSenohdzt3XrfTQMRPK0.IoZIcd71QYKqINAJkiyqybFN/WIVvei	72	2013-08-03 19:21:33.84646	2013-08-03 19:22:11.056873	130		0
9439	102eupyop8xwhyr1e381d5am1j	$2a$07$fDIBaRqI33e8Q4B3bALkKeViQ1UYblKUrdRUCjcKn9hBxfqww3qEq	73	2013-08-03 19:21:33.868194	2013-08-03 19:22:11.363197	130		0
9440	10t6mylg9xzfb1s5ei0z8sqmk7	$2a$07$3zfrrUXiF9LrW3uIzi8jdOWPHc2hhvDngowVQ0WsXfOu3N5tYgUxC	74	2013-08-03 19:21:33.889512	2013-08-03 19:22:11.501111	130		0
9441	10k4ox08a77abfo0ejznstuwt1	$2a$07$5p.TcgnQMA8hnBqn73H3GOeUBx41Hu4xXEBKRm5ENmYpjJecjkXui	75	2013-08-03 19:21:33.911052	2013-08-03 19:22:11.639779	130		0
9442	10j2zc353uib72qc5tckv0a40s	$2a$07$fum5sHNeqeM/gVU0lB3OGOenXffzjqDWeLSwCoffcPjxwbY4uWbEm	76	2013-08-03 19:21:33.932641	2013-08-03 19:22:11.777895	130		0
9443	10sv5xsue8rvdw1m9z9um5amo1	$2a$07$BMkqPym0Gk7lWvmeAo73xeYJXHca0i/b0P1u03jQ3jr0jQQIQuvii	77	2013-08-03 19:21:33.954072	2013-08-03 19:22:11.904663	130		0
9444	10ag0tj7c2oqhq3z63ln7umpyp	$2a$07$gDLDX9aYK8EeYmxBbtYe1Ouh62zuZ5WCr6mLNkU6NCAutZfAbCEHu	78	2013-08-03 19:21:33.976548	2013-08-03 19:22:12.042252	130		0
9445	10q4dm4zxw7rb92cr9luvc4pw9	$2a$07$V1mgPrmufWf1ctJgAcevVe2rEv0JuJQc0fmzMv9oFf5M8U5Pob7Ye	79	2013-08-03 19:21:33.998281	2013-08-03 19:22:12.240767	130		0
9446	10peu427mawkq8arbes9fetzsv	$2a$07$IUJXFWDLCNfowHPF.U2x2.X47G744iqMFAs8nhzsFwgeD/bj43QpW	80	2013-08-03 19:21:34.019901	2013-08-03 19:22:12.362857	130		0
9447	101o1r33pcgotm17mffe1kn0ra	$2a$07$EiElY0llM0qJxACb.ffhfezq4hlYz.4EplWHfxJjwA883tmnhS8ty	81	2013-08-03 19:21:34.041574	2013-08-03 19:22:12.650852	130		0
9448	10fu20txd5ti6cfoadb8mh6hi8	$2a$07$.YgYXjTkaiQO6Ekzl1YLu.108Bc0y8XJ3GaXtwVLBVnUmDbuuOB06	82	2013-08-03 19:21:34.063091	2013-08-03 19:22:12.774388	130		0
9449	100w8pqg4mj1qm1i3jb2wq8dpa	$2a$07$yZi2vLcrYFblKAwLZ9F02Ojg8zdmL5Qz9Q2lSlRjcoQRTRz1ebc5e	83	2013-08-03 19:21:34.087786	2013-08-03 19:22:12.895522	130		0
9450	10dzt2a8zo2gk7p5sg13onbmdn	$2a$07$Z6oyp9Ksq4rzo7m4nZhFzu9MTP1dE.PBQeAU1OYH4n8LWVpK.w7wC	84	2013-08-03 19:21:34.109944	2013-08-03 19:22:15.518224	130		0
9451	101jpviuuynem8pnotv3p775kr	$2a$07$DFWR0wVNVf8Xtmaq83tC7uTBX/IWErrukotcu1C7AKQurDsX9wkbC	85	2013-08-03 19:21:34.131621	2013-08-03 19:22:15.889764	130		0
9452	10bzx5druoaz05c8hcsf763t46	$2a$07$d9fcPtFOEyf3VscoeYBNsufEU/q7Juw0LzWT7XOYrNbO5OJi7rWli	86	2013-08-03 19:21:34.153039	2013-08-03 19:22:16.232412	130		0
9453	10sj8zdkkoliuynss0k9d0pvnd	$2a$07$9xFVMXxiuldeuovQ6W4.tOrCgYRm3J9Sgt3LBbupypgmpdhoFWouS	87	2013-08-03 19:21:34.174451	2013-08-03 19:22:16.404182	130		0
9454	10kfd5g1ezw59nrmj08977mq0f	$2a$07$j4u0C0Yi/M9znbw5SynRxe7F2h/YG.x7xYqg7zh0qXbsPjCeIWv7C	88	2013-08-03 19:21:34.196403	2013-08-03 19:22:16.539719	130		0
9455	10n5s050mwjmrz365f58ah41cx	$2a$07$lqKCG25M..rKkFuEkLb4H.8ZR3s89ibRlpFavgMZTqPiN9H.BCnpa	89	2013-08-03 19:21:34.21879	2013-08-03 19:22:21.271106	130		0
9456	10y3buc5p7oxghwehs91z6uaqw	$2a$07$MNrJOB6rTLrNRj49D3FwG.ls7yqnq46giqMVYQDR5ZjP5zrTiK1je	90	2013-08-03 19:21:34.241467	2013-08-03 19:22:25.589252	130		0
9457	10nh6djy65en6je2ix4leh8gdu	$2a$07$6zTU68pRCMBtK/wb3qmHSu8Ad4syUcBzzT40cncKrdHSWnbn9.HW2	91	2013-08-03 19:21:34.263103	2013-08-03 19:22:25.729225	130		0
9458	10a5tf9991e4j3w3bxvetnnvno	$2a$07$kvO.eGQpTeW0m/o8hzjzzuYsZydBG3s8CIKb9iB7EYxo.F6p7BgiS	92	2013-08-03 19:21:34.284716	2013-08-03 19:22:25.855344	130		0
9459	10cd7me3f4vjml3amzc09587xb	$2a$07$1lK2x09KFcb3UN1Y6Qabpuoq64LjrurDUh6Cdt4.KXRHn1Bfsj2oS	93	2013-08-03 19:21:34.307682	2013-08-03 19:22:25.987164	130		0
9460	102j4x4cd1f56qsq5eu4f18oqe	$2a$07$taorn/kX.jAQGgoX2XHYtO2oNfuNFm7dS0iAxpvQjee4XQLTTBe0G	94	2013-08-03 19:21:34.337938	2013-08-03 19:22:26.142001	130		0
9461	109pz2npr1nsy6ab0e30aga0tk	$2a$07$X0LhK4LnsNH/9f5tT6SsTuQKTJ2Unk15PPjw6JBHEj3cyx5OPeVvS	95	2013-08-03 19:21:34.363549	2013-08-03 19:22:26.260425	130		0
9462	107lk8ry4zigoypa49g7h62ir2	$2a$07$pk1gXHUHSYToojaUYpI5kOEXLpA1AE9a57K8yV9bp0QteXx.VBBhm	96	2013-08-03 19:21:34.398086	2013-08-03 19:22:26.405345	130		0
9463	10ef8q5dqjt9c2tmg2q8mw9bsz	$2a$07$tdxbUi1YDNajbeup7KNIje/G.ZCG/ZhhZnrgLdLmqCOTxhD.3DNBu	97	2013-08-03 19:21:34.43265	2013-08-03 19:22:26.537671	130		0
9464	10f0pmnpdo6zww7t599n4e4740	$2a$07$HkJeT.mcHaY2l2t9pCl4qeTcVbtkiqskRDcsTkIfNS7C.yo7.NQgO	98	2013-08-03 19:21:34.454048	2013-08-03 19:22:26.643166	130		0
9465	101f0v0urhfjot6vzdz87ft1zp	$2a$07$MOAEcDK603yC5YCOecvoBeUQjt85YEd.YlguozaFKiCv96c2WfRd2	99	2013-08-03 19:21:34.482723	2013-08-03 19:22:26.785286	130		0
9466	10igy9sb9kcgzinnx118bmmbud	$2a$07$OxBnXCX6k20Jdf2p44c5ledQVOoefkDztS44Fd5PP4w2Wuriz90ea	100	2013-08-03 19:21:34.51957	2013-08-03 19:22:26.925143	130		0
9467	1090y88ul5kbvs7u6nz9u5olv3	$2a$07$J3/MuIneVIZOw2C2px6YxuyRy.YA9nR9o92wwu8NWI8ZOy3eGWmIS	101	2013-08-03 19:21:34.545398	2013-08-03 19:22:27.056362	130		0
9468	10hfobbjraapflfm84zxnbhlwj	$2a$07$ZKjAdASg8RIXPhZ0DUIFN.nqcrG8jWTbAtV0jpx./Y/UoKz/fOG0m	102	2013-08-03 19:21:34.577478	2013-08-03 19:22:27.172389	130		0
9469	105gvht82ygkvyzicnkmzg49so	$2a$07$V2Yh6nCtQVdgtKr4tfYSKuPfuw5CVlcKFMIs3RtY3/9gNsF5.OE5C	103	2013-08-03 19:21:34.599678	2013-08-03 19:22:27.553676	130		0
9470	10au6kpycgsoudv81ydetzp9zo	$2a$07$AT3LMof7LmE4oOUjpPfw8ersT0bfMjeK6wuRblX9ohhQC3DBxqb36	104	2013-08-03 19:21:34.623076	2013-08-03 19:22:27.677873	130		0
9471	10wqzdbqnrkssu16tollkolad9	$2a$07$6XgbCOGj7JBMSbqwx5HoG.E8.caP4sFm5fp.1mkxmi2KGZmtv262u	105	2013-08-03 19:21:34.660997	2013-08-03 19:22:27.836138	130		0
9472	10zm5248qwrqjlmele0xhkz48g	$2a$07$c3Kvfya6NxztoeGgfYc72uBqlaVMzU8/LAN4qjJuxSPe9wEGNtCmu	106	2013-08-03 19:21:34.699625	2013-08-03 19:22:27.969611	130		0
9473	10zfcl7pyyg7qi33jrcjoejmb2	$2a$07$iUqlEmJ2vDi1rAvQmgCmR.BahQA6/AmJAWIvF6y4D2CaOdzMHt6HK	107	2013-08-03 19:21:34.721136	2013-08-03 19:22:28.100046	130		0
9474	109pg7a08uouzsc7yau3weve4n	$2a$07$by/d3OYnowiVs0muR0payeoypfhH.uPBXTXEIJZk.0DWMcNOfGwwa	108	2013-08-03 19:21:34.743575	2013-08-03 19:22:28.233434	130		0
9475	101o0e0znox8g72uiorax7cwld	$2a$07$hYfNBG4ubSRN7f6Yo6WCFOhwF/8KJFXb.YNh45tR7WNvorQxwF6bq	109	2013-08-03 19:21:34.765301	2013-08-03 19:22:28.419857	130		0
9476	10xvi3nrczcukmqxko6zv5effz	$2a$07$l4U0aMegPCC7vg6Xi4ypYewwfHAQgIQ/K3F46jAFqAtpD6SrQhm1O	110	2013-08-03 19:21:34.788485	2013-08-03 19:22:28.562606	130		0
9477	1039w91v24susimvfqzfjeky2o	$2a$07$dQrAX7BzJbD.V7mXYg3m/.9ufasxbG21b6m/rX1FTJ3oq3P159scu	111	2013-08-03 19:21:34.813199	2013-08-03 19:22:28.700133	130		0
9478	10m3a0bzs9z1volc7z3o4rtzm8	$2a$07$0kWU0VmQXqFEmpQRLLJGTeNlSw/BvlNaXeC0Rddvoh/rPgD.yXbxG	112	2013-08-03 19:21:34.834747	2013-08-03 19:22:28.84714	130		0
9479	10w3nr0jjdihzb0iyn0468ztx3	$2a$07$FY7KX/kHM5BuoyHWXJJoi.if9vydPVpZfto0ZMPJVWwwN9LqSKEqW	113	2013-08-03 19:21:34.856062	2013-08-03 19:22:28.997997	130		0
9480	10sgdqprlk2enr563jbaus3gkd	$2a$07$LKg85Ldp6QQOtIWKVBzwPe7P/uyfZWQ5gFtO4e37hJ7ZXYxZ7pIbC	114	2013-08-03 19:21:34.877273	2013-08-03 19:22:29.138986	130		0
9481	10p76b0iwqtob41re7ttrz71e2	$2a$07$O1rJn7uP.HAfzY0MBwLaTO8FWhyaNb0Bmtf7KdcqsS2xRapt.BVJC	115	2013-08-03 19:21:34.898444	2013-08-03 19:22:29.418871	130		0
9482	10uymbz8ahm77kis1ik06iijru	$2a$07$QNIE4xvh9u/h/LwCymfX5Opbx7aQa72LmM.ZBPviq.j34qs12YMdy	116	2013-08-03 19:21:34.920304	2013-08-03 19:22:29.662925	130		0
9483	10l1i8hhu64mcqdre8haqg1d8r	$2a$07$a1MOsnOJY9qZJyqCakJ/Iu/bhYsn3KjlBg93DjfsCkdGHSUzLR98e	117	2013-08-03 19:21:34.942076	2013-08-03 19:22:29.795148	130		0
9484	10ic8z66hda1jzz427b2nadtl5	$2a$07$wUSijrzFW7tY320aSBAs.uCIJzVs5avdt/a4C/NuEk35MN44OHSVG	118	2013-08-03 19:21:34.967051	2013-08-03 19:22:29.92882	130		0
9485	10ca40sm8isjv0v4xmxwt9jvag	$2a$07$wpCRIOHCdCoh4KZXiAGPNuw7A/WztZBNTd/Cdf7mrNN9GAqyLMRSK	119	2013-08-03 19:21:34.998956	2013-08-03 19:22:30.089633	130		0
9486	10urvdxu9ifti4tzgapftjtixf	$2a$07$xsziIQIZ.ATVA.R6ugeT1O0riaWotTFALxJ8avYfGnPY.qcHGMFxO	120	2013-08-03 19:21:35.029606	2013-08-03 19:22:30.231783	130		0
9487	10sm4onyw245jkf5eqagb0bn1x	$2a$07$OClprkyWa15Qz46LksAxQeCwWw9sMMqiK6Ny3vB3xrflFeB1MZvs.	121	2013-08-03 19:21:35.062837	2013-08-03 19:22:30.386411	130		0
9488	107nqg4ev693oinb0fypygwby1	$2a$07$e78lvExWDn8okuwFrsaOP.tl0UpTiVnnFEFYTQlpaBxnCtTFP1Mqy	122	2013-08-03 19:21:35.091294	2013-08-03 19:22:30.510323	130		0
9489	10x7ypfcd36632d64clxtt6zj3	$2a$07$FgYPQ/TEg00s9o3RkdRgjuNY8/qO8LXRv7Ml0fAFOyCCYpQoYVsBq	123	2013-08-03 19:21:35.115059	2013-08-03 19:22:32.903214	130		0
9490	10l0gv7whr4k2jee9vhnux01uj	$2a$07$gSwpKuQQrVzgCx7.VMSQku4NALfNp58xq9vFdaXQeYbTNBHY9EYt.	124	2013-08-03 19:21:35.138613	2013-08-03 19:22:35.829081	130		0
9491	10uhsgh159watxp53gpyopyz2f	$2a$07$RKfeIKS6b759aM2fnwws..nmaUPkgai5MuEcSCF4rfKyC6JDYytZm	125	2013-08-03 19:21:35.166447	2013-08-03 19:22:36.069093	130		0
9492	10acn57ad5kfu7q89a9tpg806t	$2a$07$rM42dsR4fhaEP6xqrZuxruR.lHxtBFqbuxX5vnZgiN1bPlMM0G.Ea	126	2013-08-03 19:21:35.190222	2013-08-03 19:22:36.344521	130		0
9554	105vpzsq6ci3wtrbt2akpr1q9d	$2a$07$61xbrFdajKxepaWX.iLuieT31jTTpDTBGpmnclF6xnFFb9eQsFzkK	62	2013-08-03 19:26:33.634088	2013-08-03 19:27:04.403973	131		0
9555	10q1e5qgx1wb33gh3y65cneuzd	$2a$07$qpH6IQQqbnihXfmP8cxyzeZkKEoczrOCvFRef5oR6bQo8T6UfLZle	63	2013-08-03 19:26:33.668051	2013-08-03 19:27:07.472536	131		0
9556	1061kf9mbi9o2h9glgflr5x7lb	$2a$07$DkmFrBOcdDjv2bLLjldrF.ZTOwXKLlNat8Hr8Eop03cWFjsjSFBmG	64	2013-08-03 19:26:33.704096	2013-08-03 19:27:07.748217	131		0
9557	10tg1cketg8qx69dbtkdyj60xr	$2a$07$WY.zbD0fGvYgZb65GixLm.C1nb7Bf3.o4gQ/a46rsesp1l87e5pXC	65	2013-08-03 19:26:33.728726	2013-08-03 19:27:07.894845	131		0
9558	10hdbrgphza9rfcjm6yhi9tqbp	$2a$07$HZoFauhyZ5eDNPyeRcRWGuuuj6arDa5KXvvFWtr232z2FLmgl7QeO	66	2013-08-03 19:26:33.754433	2013-08-03 19:27:12.36231	131		0
9559	10ozjrwyz7ueu2qvm4p5tfvdej	$2a$07$AMBYnyqBgRbcuYZL8QkpY.kBqW/OPiW6I.cotm.hKwV7A3UGdjPjm	67	2013-08-03 19:26:33.778771	2013-08-03 19:27:12.500327	131		0
9560	10158jkslkzwju6t7kp74lfksx	$2a$07$w/deV0rLFS7Z1XSMEWZNtubKl167BlSuZnUQkntCDbKBgrahVd5UW	68	2013-08-03 19:26:33.801693	2013-08-03 19:27:12.616699	131		0
9561	10ksluwjuz2ywuests8bvitam2	$2a$07$tokzUSlR1Ef5CHSS0ZcYGef5uq//d2taQxYz7s0afTdnd6iALA3Ym	69	2013-08-03 19:26:33.824801	2013-08-03 19:27:12.750411	131		0
9562	10pv50shxcbo6wrrvpwi7mfzww	$2a$07$EQx1PgKMu7FaCkKdJ.hPIeob1cTAm01MMoS6lQ3sJEHtbPT6eP6KS	70	2013-08-03 19:26:33.848093	2013-08-03 19:27:12.866084	131		0
9563	10w49bkkxrwx5dv4dzmyckv1du	$2a$07$5a6rKZyTlN0yz1nPd51JWe7nFa0k93RVe5AFybyVRx8ndrK99RoCi	71	2013-08-03 19:26:33.870481	2013-08-03 19:27:13.009428	131		0
9564	10phsqxl9dmlg85wy82mk5x88h	$2a$07$jsubbivn0d1Offht4GZU5OBNg1nBR8nYCNE2AwF9esEWQyttQKPKi	72	2013-08-03 19:26:33.893714	2013-08-03 19:27:13.135175	131		0
9565	100081wte16kt6ov2lu9svp9hi	$2a$07$5UKYchO1f0HZ4MfZhFiluelvOXrMQBs/4K9Pj1ApYZ7ImrR.d5JNq	73	2013-08-03 19:26:33.916015	2013-08-03 19:27:13.258015	131		0
9566	104553g4n12byc16fccbb6mhv3	$2a$07$YKo4OkmfHEsh4hizs6l1N.NvekJZsqlLfEo7xHMwwFODNyG2hvPb.	74	2013-08-03 19:26:33.938759	2013-08-03 19:27:13.385025	131		0
9567	1094gr75ihp1xagesjcuc20yor	$2a$07$HlezflHtnM3avujURL6bzeDKm/hUsOUgfNmj2JIJ1W26OVf.qhIM2	75	2013-08-03 19:26:33.971348	2013-08-03 19:27:13.540061	131		0
9568	10lpg3p4g0pa5wnlauw72e2ego	$2a$07$.xqEwYgMo3.4g59gEFjc7uIjkw0tmsM0aE.GGgDEbuqW.2BiXWPZO	76	2013-08-03 19:26:34.003049	2013-08-03 19:27:13.658003	131		0
9569	10o5y0yhl4azqew8bdrnz93e8e	$2a$07$OAkoZ39B7yR/lRcfvxx7muHoJo.8sBHBY8IxS4wt/NwZEw5ARK.b6	77	2013-08-03 19:26:34.029894	2013-08-03 19:27:13.758039	131		0
11293	10w60g52x2inpt3x7khjolexq6	$2a$07$xqr3q69cqOzB7LIacKGI8.0drLrAKr3MeSHmt1KVpyRTQeznCwRwa	37	2013-08-03 20:36:39.080485	2013-08-03 20:36:54.247433	145		0
11294	10fwcqak69ohod8w4jamnhbv6t	$2a$07$YlQkDNt7tV/yfFdCQkybG.ZZ8khbWQ3LgmZeOmGedO.Dzwz6bhKZa	38	2013-08-03 20:36:39.106254	2013-08-03 20:36:54.401212	145		0
11295	10led53z13uzdnem1i29sa0k9d	$2a$07$ebu4OGdoiXgLb7BtlXsTDuob3u4j.GSFsmwvYXDlqX5/2He0bkp66	39	2013-08-03 20:36:39.129612	2013-08-03 20:36:54.541075	145		0
11296	1041r498gsue0k34yxyl2huiyl	$2a$07$uK0F1qPkHIiajsZxoAffWO.L5dKwbL/kYAr0XUaBN369JBko5g7Pu	40	2013-08-03 20:36:39.151833	2013-08-03 20:36:54.673382	145		0
11297	10uib8k8s4v88xspiov29db9rg	$2a$07$Q7uVjzaHiWacHi/NHAlvF.eZqlIJOncpltCBtgglnTxlzCjKxnZai	41	2013-08-03 20:36:39.175097	2013-08-03 20:36:54.818034	145		0
11298	10rcz463qe7w13jqv2xdke0kdi	$2a$07$PS9hsu6Cpg8d6BrXGCMmz.3LF6PfZr/qrDHjhzqhbBWQ0T3LMdMI6	42	2013-08-03 20:36:39.198211	2013-08-03 20:36:54.948201	145		0
11299	1094a8p9znujmm1ztwiv445oxu	$2a$07$baJs3kXcqVdybsxcwNdB3.a5CgngNgn0Goj531UcafjDWN3pCsLXS	43	2013-08-03 20:36:39.221333	2013-08-03 20:36:55.105659	145		0
11300	10t89t9g1lxons52glgc8s6lqo	$2a$07$Mv8yMcOHBBL1yGrTADbUyeWPq5a7QRm0BJxZ/gssJXsd2QRpAtUva	44	2013-08-03 20:36:39.245074	2013-08-03 20:36:55.280615	145		0
11301	100kmcy3tcmx5jw2xn2p524f70	$2a$07$B76jArMwJfoCGz/.4SkFCeS5hoFz8tFY4zZtp2QDK7BX9/SnW5N9.	45	2013-08-03 20:36:39.268936	2013-08-03 20:36:55.445045	145		0
11302	10v6ve8qduome71wvp1tpplsxj	$2a$07$5pTaA9G/gfIcVrokoR7zPuai0uKqeKLK4cMIb7aIAvLkDXteTbt0a	46	2013-08-03 20:36:39.293068	2013-08-03 20:36:55.723818	145		0
11303	100w16wiurfzmqvlpmulp9q1rh	$2a$07$8g.CBRHGILzAZ3cHy.hFZO.8GPhmV7ePlOKX7dWV74.YcmO/jzDvK	47	2013-08-03 20:36:39.317194	2013-08-03 20:36:55.860891	145		0
11304	10gl8yd5hrc297btp11y0wxs6u	$2a$07$uyUZl4R1xN.tAnbWMWbMfODbk4kqZAfQAqPxfEeLLrPyw8vLdgode	48	2013-08-03 20:36:39.341537	2013-08-03 20:36:56.080772	145		0
11305	100rqz924enw7tisxwij0k7s8w	$2a$07$DtwY9hWUd0PEEYF1kxY66OrGohbUDqZUbtwqBMVXNAngyWJ2J2Nxe	49	2013-08-03 20:36:39.365665	2013-08-03 20:36:56.235827	145		0
11306	10nsfh89wz7dvhs8pm1txh6ng6	$2a$07$tRG3uV5eDUu/jtJPwlTWz.dOC9bXknGGxo8NWZU/ovbovsxWIOHhS	50	2013-08-03 20:36:39.389618	2013-08-03 20:36:56.355846	145		0
11307	10qlf602u3x2qcvmyfwfq3zqc0	$2a$07$apDackeyzwvWnFySMqMhoOAqxfgZ9kOHGUIOOxpJzC8VlVxTaME4S	51	2013-08-03 20:36:39.413622	2013-08-03 20:36:56.501503	145		0
11308	109uh2puqcbhxdbcx9j8xbqx2i	$2a$07$A4tYp7DlQfNFvKZeglkyG.4cd6gmpSZvidYI6yDFW82ZBuHH5c5Pm	52	2013-08-03 20:36:39.437192	2013-08-03 20:36:56.789552	145		0
11309	10beuyoqylkj0xpjxcgptx31j1	$2a$07$lYakMqBMq7sV83ZZnOPfaevVkm66IX5qgIwUzSP3VX0h/gjn/Hw42	53	2013-08-03 20:36:39.460685	2013-08-03 20:36:57.096954	145		0
11310	10qsrz70oafuwslv1on3401v95	$2a$07$rcvzEWyeLb9UfbWMTUjFd.MaxgOWKsE4MKCyXMYdVjVa1Sq4SW/rC	54	2013-08-03 20:36:39.484155	2013-08-03 20:36:57.424296	145		0
11311	104rgax9vrbrgjyso0w7ibwfsu	$2a$07$CubakW3vu1HKgZeOVidxM.jHd4//Bav7IXadsx3bNTpmPye4UBavS	55	2013-08-03 20:36:39.508093	2013-08-03 20:36:57.572755	145		0
11312	10czmeb4h9j03kiwtfv31d1jwn	$2a$07$TLNwFJpIPppYqRQyntdqqeq3N8L5PkEqpDpxfKevAB8ig098iiqT.	56	2013-08-03 20:36:39.531858	2013-08-03 20:36:57.761267	145		0
11313	10a8h68w9do9qj95hhvq6lnb5f	$2a$07$bp1ZyExuoMA6B7LWJ0tZ6uzhZzNQNZlrdz6KQLqs17lF32.cTDtui	57	2013-08-03 20:36:39.556039	2013-08-03 20:36:57.973597	145		0
11314	1040qn0hm0wv2dfe20hghg7sll	$2a$07$LfHLwQuVF0M2UyoQCIX8L.Glsmd0ku86tMWhFpabF3T6ZcYArUsl.	58	2013-08-03 20:36:39.579962	2013-08-03 20:36:58.316107	145		0
11315	10qafdfme991276ta7sv2d3ou4	$2a$07$r8Aw8xdPkU4CXKSLMDlJR.DiXj6lJymX2UEagBNevtAEE2McX2Cde	59	2013-08-03 20:36:39.606177	2013-08-03 20:36:58.677309	145		0
11316	10ph72s18os852ixgoz40gx27t	$2a$07$w4Dhk/qIc9eEa5O5QcCVI.sH8Q4/6CG44U1BbARVilZtPtkfCwz2G	60	2013-08-03 20:36:39.632231	2013-08-03 20:36:59.004115	145		0
11317	100u61izzxyzu7ild2t8l3tsif	$2a$07$XJ7QwESHgqFzocVNVtgkY.Py/fK20FpaQkzIv1jb2nkrfEtA/SqlW	61	2013-08-03 20:36:39.657775	2013-08-03 20:37:01.694708	145		0
11318	10fj8ig75uiuksy53pdpi2e4an	$2a$07$lQOy2N6/5VrR0ydBGltuK.sCmL/p6ytLtNkwAjoKDrrIyJL9ei942	62	2013-08-03 20:36:39.682066	2013-08-03 20:37:04.815986	145		0
11319	108evgiizgiuim62euf972wl38	$2a$07$1W7kId5i1BPgFnpsaij9se4G4j0k9HPsjGyp/O29hQxUZ2voVXnsC	63	2013-08-03 20:36:39.70607	2013-08-03 20:37:07.826521	145		0
11320	10qeshh5ailc76crm90rf80bij	$2a$07$AvI/86D2pdprTQRxLuQKWe8XwwvTpnrydslb9FFURKMD3wA3Asd/6	64	2013-08-03 20:36:39.730833	2013-08-03 20:37:08.14125	145		0
11321	10rd6ugmeeppdohlr8gwwy0ycn	$2a$07$fTqqONBB8bpa0boPFZPi7e655gJlhcpsER0cDrR4pMwuc4yZWHWWW	65	2013-08-03 20:36:39.755688	2013-08-03 20:37:08.281744	145		0
11322	10v6aogs9zlisyifyja47pthoj	$2a$07$idUG/y09NRZobUdYnegUGemB7KEeSUiqKRCVUNWH1sk1Vzi.gbDE6	66	2013-08-03 20:36:39.788182	2013-08-03 20:37:11.194369	145		0
11323	10uqew0mokruek78jssucov6ue	$2a$07$60amNwvC0X8eqqtNx/3W4.vakNqco4Ob7PbAPb6tYFayRhm8KPPBa	67	2013-08-03 20:36:39.816682	2013-08-03 20:37:11.333734	145		0
11324	10j4xm564agawmhw8dugmcmu18	$2a$07$.cTxc8/eMcFoJc7ukUf9uuZ4BTqkW.vuh4lmiLGNaCp3zCqLFLRuu	68	2013-08-03 20:36:39.852274	2013-08-03 20:37:11.477174	145		0
8485	10fjxp2qxdw3z324tr1l5wck8y	$2a$07$hf3Z61den8KPjG5ux39lWuZtTpdNEoir1RYKm3UbB2GZwLV7vMJ3O	1	2013-08-03 18:46:32.034027	2013-08-03 18:46:35.539906	123		0
8486	1051kudrxa4be4hw9oe5f072x6	$2a$07$3EqsYkbEcRvJmJH6byc8yOyoUpy/ZcL3Wwiq5NfbpkNwNfrAUuchy	2	2013-08-03 18:46:32.059686	2013-08-03 18:46:35.939485	123		0
8487	10p7aqssvch010ljhgath5rwhc	$2a$07$9X9mfO84/HvykmhwY5KumOMIVl./1pNjQ9RYr/laPBf463M/K2AHG	3	2013-08-03 18:46:32.088313	2013-08-03 18:46:36.349618	123		0
8488	10be3voluac19a6agu5cngkokv	$2a$07$PEaREbR6lhaVlTi6RxSAiOY9p810Yf3/s55wLqyletMHKUwW.XqVq	4	2013-08-03 18:46:32.112095	2013-08-03 18:46:36.489644	123		0
8489	10ckzxe0t5r1oyb1n0ua6a6yw2	$2a$07$jnrQ0P.PsbVOb2Rmd1ce3efGN4l.3Z2y.3SKd306Ktu.qYude75Qm	5	2013-08-03 18:46:32.136182	2013-08-03 18:46:36.632922	123		0
8490	10vqz1ulmdfp8kd42d4f0u93ws	$2a$07$YXn8nvQW3zEcJAeh/KN2te/rO4vlCcdd.2YRPHTKqSb7zy2IxzKDW	6	2013-08-03 18:46:32.162193	2013-08-03 18:46:36.780056	123		0
8491	10q5mvxu1axio7b3cu42vgju5u	$2a$07$kuMx19kekfchDh8Pu2RtSuYOR73v15eKfuhUzGWwtoh65sja4Euz6	7	2013-08-03 18:46:32.187181	2013-08-03 18:46:40.715691	123		0
8492	109wgj4jngwdncp0hc2tayh1l1	$2a$07$yB6gG4oC6IcEYTtd45wfo.0FSEe.1NY/JRdHPEmKJsdgj2L2J7qj6	8	2013-08-03 18:46:32.21255	2013-08-03 18:46:44.911007	123		0
8493	108i81oyric0butkfolqcgx4n1	$2a$07$aGgIZOqDrRsjZEZ4Jc8q1.J5t1Zjg.HWS9BPRfsEuObH7AUb3l/8m	9	2013-08-03 18:46:32.234956	2013-08-03 18:46:48.934085	123		0
8494	10phmyuoadaaz7xnitrshem6r8	$2a$07$ZQ.35jpSQSrpiE.GWmjXSO8LRk/ZLgKPDW6Yjp6PkeQSHhRCyjHPy	10	2013-08-03 18:46:32.258364	2013-08-03 18:46:49.073512	123		0
8495	10f7nwln1q81sw7su323akpyk9	$2a$07$JVRs1k9q8SbfDQuMBf3rbOOkW2xEK36xSpCh6G.39bYYslIQm7Ccu	11	2013-08-03 18:46:32.281575	2013-08-03 18:46:49.207897	123		0
8496	10hhjeon543b7o5e24w8bmanp5	$2a$07$/4GNujXLvThZV18bggHrf.9EDEJ1bzi.cA5sUF9d33Ekailk8/7Ua	12	2013-08-03 18:46:32.305521	2013-08-03 18:46:49.334039	123		0
8497	1008udg3qxu3p54il0jmkp9xvd	$2a$07$M1Bn74u7kZjG1e/ijUDuYO9TiCMz/e9Lt96O/qpSZkqMVSUEMawPu	13	2013-08-03 18:46:32.329501	2013-08-03 18:46:49.492306	123		0
8498	10rig3tlxfkx10fm2hzenes6m1	$2a$07$0YOT2C7RkQybuFPdnQLSpO3ThUmUKhXY.ZWd3KWnPb1Isu7KU.toy	14	2013-08-03 18:46:32.352102	2013-08-03 18:46:49.63504	123		0
8499	10dgopp0eop2wc97btzggsfhje	$2a$07$AJ8ZLlmaP2TQmh0auJWVyO.4aynz8Vvvuy0SIupydbrKzkoYTgXuu	15	2013-08-03 18:46:32.375891	2013-08-03 18:46:49.824463	123		0
8500	10f278lpswvloeymrecjl4843f	$2a$07$arICwByz2nqhwSzb8Ty.CeY0QYDKXSIvgaBaXiZzbAJrJqYpKxW8y	16	2013-08-03 18:46:32.3999	2013-08-03 18:46:50.012247	123		0
8501	10fbwgzzalrg5gzurdp9i9o1v4	$2a$07$xMSZYrF/6M5/KRrccpbRKu/xkZIb.9dZCpzKb/fTbJNTVxf/6A6Ja	17	2013-08-03 18:46:32.423467	2013-08-03 18:46:50.24068	123		0
8502	10ibreptk4arwsr196bn9wj65r	$2a$07$I5TXPHTvmnUz./hqU8fGMObx6whEkniqrcuoDYTejH1YRfJwW1J9S	18	2013-08-03 18:46:32.44969	2013-08-03 18:46:50.437445	123		0
8503	10mmdg7wdgzk9hd3iz3r5zwwzy	$2a$07$mNeVFZxqjLwX5uSJn6691O/rc9N5ak.vdK08.inRlbg/4ZIbL8zqm	19	2013-08-03 18:46:32.474465	2013-08-03 18:46:50.562332	123		0
8504	101pos996z4hbpg9zfdhdtd0wx	$2a$07$ffTTqdJfusrZ6Vs5F3hzlufZJRSPpXxHQ2LOZMWyfdiHvqswflbLC	20	2013-08-03 18:46:32.499317	2013-08-03 18:46:50.698824	123		0
8505	10z4mm2egpzbm47c95ssq4gfsb	$2a$07$bTsO46lug4xC..WdxwaMTuWuKCeAUodCHV8FagaZ8mu3bmYwd7k6O	21	2013-08-03 18:46:32.523226	2013-08-03 18:46:50.812258	123		0
8506	10ltwqahvzdnwxps0x1yfpnp3v	$2a$07$NzBPOG2oF5dX2l/Vbra8petzTyaKLfvLWO4f6obBb4Q4bIH4Is50C	22	2013-08-03 18:46:32.546278	2013-08-03 18:46:50.97318	123		0
8507	105l11sfgqiw7o8ebsxq63oba1	$2a$07$PAcodjE48M77kl.Ktp2gO.6CVr4g2Ovhp3V4/EB1xGGFxEVN9Y5Fa	23	2013-08-03 18:46:32.570336	2013-08-03 18:46:51.111714	123		0
8508	10tlsxi842kcezwmo86xxiaks6	$2a$07$G3DOiBoQ0JdmEaXwLhyVB.sIu6v4av0kQNL/k/qF/GqsoaNxksvLm	24	2013-08-03 18:46:32.603061	2013-08-03 18:46:51.239476	123		0
8509	1043dbo0c4ch32x3gmpoatzov8	$2a$07$2Yg/LSbERuKPGjDZ9yZwguxuqwRkx5OP7VBd1EHTJ0vQ1hWdKu6s2	25	2013-08-03 18:46:32.629036	2013-08-03 18:46:51.379626	123		0
8510	105pisvzgggupm8fg2f1su2r4i	$2a$07$L/fW0n6YwNgG4UJYl9wqoOezZ05Mmuj5ke6aTrqqyjcHnmKqb5RZG	26	2013-08-03 18:46:32.651701	2013-08-03 18:46:51.505469	123		0
8511	10xlsa0mne3lzwv37srconlerz	$2a$07$NUnbzjtWAdZ9UEBtgftCauTgWHzn0nJtm1JT23eWIj.lO3yCbYtoa	27	2013-08-03 18:46:32.675701	2013-08-03 18:46:51.645444	123		0
8512	10bt2u8777j9co4rx096278d7c	$2a$07$NdDoNubSI6ujUOdU15Xf3OQAFUkoITm6HuT80gXnySiey205STJV2	28	2013-08-03 18:46:32.698865	2013-08-03 18:46:51.76893	123		0
8513	10rtf5y0dkrmg825q5l34zrz9f	$2a$07$a9UZHB0kse9PTlLOuqRhjOt30oSreRZJYD.AP3fkjcv.6BkHEhpYy	29	2013-08-03 18:46:32.723718	2013-08-03 18:46:51.915692	123		0
8514	10areqv5cmp4aa25x4l54bu3ai	$2a$07$fDSi3HfWPlCgfo1QW92qdeEzHRPXmpD6ahHD0ySJNEhkDk0RW7gEG	30	2013-08-03 18:46:32.747733	2013-08-03 18:46:52.037494	123		0
8515	103lta4sbmzg6gxyuhzu3dwyci	$2a$07$ShIJ0Qc13rYFHtPwWiN3IemXLLjuNewL2JAuZntPHJxJqon9uwkxu	31	2013-08-03 18:46:32.771448	2013-08-03 18:46:52.231575	123		0
8516	10msdv9bros2n8u8su2iey34jl	$2a$07$Xa39I6V/4AAP7Mp/8kU5TezPFa.sTFHnvl27ZtQoudht2.kL5g/sG	32	2013-08-03 18:46:32.795639	2013-08-03 18:46:52.382531	123		0
8517	1048awljvd3wkvento7mi3ge0k	$2a$07$QshfpVAeO15ZCyoWSEdR2OX9zR38GDQqLWK/vXut6i8n2caNj4gFm	33	2013-08-03 18:46:32.81938	2013-08-03 18:46:52.503943	123		0
8518	10ngtep7ygrtuv9oai2loewq6j	$2a$07$gEre9.EQqYpWlLcHIBVNzeKUYviRy4uHvlaqHJoqEMjK6wwLqwn9.	34	2013-08-03 18:46:32.843545	2013-08-03 18:46:52.664169	123		0
8519	10mpeid0kqra934tgttwu7593g	$2a$07$.RxrjV5FvJ4q34XcPH5jKeVvlwPY/kPyJzcaRHnmbDXfS2hQ.SpbG	35	2013-08-03 18:46:32.866974	2013-08-03 18:46:52.801341	123		0
8520	10lhozs60ag9wnpcbdeoh7wmli	$2a$07$QJIKWkyWCGuC.SgfBFOdJebtJe4PK4JvCQDjqR29v5BFER.yaHXk2	36	2013-08-03 18:46:32.891138	2013-08-03 18:46:52.892134	123		0
8521	10uvuk2fs4gz98u0j5j37culqm	$2a$07$0M/vLF9/PBOj4.FaNrZ.wuGEM7TTatGT6WWFqbefuPIPD0jSz9gfe	37	2013-08-03 18:46:32.916045	2013-08-03 18:46:53.012703	123		0
8522	109ypt5o66o0lul1rilz20gltt	$2a$07$ufujeUIV5b.tUfzxWm.qIONfsSOMEHrRSD9KWapPbOeO2wG5fHdbe	38	2013-08-03 18:46:32.940586	2013-08-03 18:46:53.165875	123		0
8523	10lso072rvx5oyhp8ftbfl2qw0	$2a$07$Td8Ioa7Ztwtal7DANnbPJe8NysDwh3dUJ2AN0NQNN5x4C4hwWj9kS	39	2013-08-03 18:46:32.965684	2013-08-03 18:46:53.316048	123		0
8524	10k3but7cls61lqgwdw9n9y799	$2a$07$Bp2xdZ4NKO2kZuqw87TlDOcA4MnJyDzjvLyc.23j/HcfqI52dfaLW	40	2013-08-03 18:46:32.98987	2013-08-03 18:46:53.455661	123		0
8525	104npmxgwamynxhx20o6ik1rw0	$2a$07$1XoOkRVoEQ9fYeuQyiWkwufv.mD/SkfE/IclBEGIAX4Eft2E6IeGq	41	2013-08-03 18:46:33.013364	2013-08-03 18:46:53.591621	123		0
8526	103pwp6j2l9gy7yuflw4vrwviy	$2a$07$csbUEuHapqHH81Mzuk4UYuHK5H0jpfKtf/mirnHyEbQL0IUkyaOe.	42	2013-08-03 18:46:33.044872	2013-08-03 18:46:53.807799	123		0
8527	10qebjeuhg3acy1mz4f48b616f	$2a$07$Shpjl1JZ8FgK9GbNCPkUiOBt5VC/DmvBqVPwN0pI/pwXltvbRQdhy	43	2013-08-03 18:46:33.070553	2013-08-03 18:46:53.930515	123		0
8528	10hjnc8444kpzfntxnyqnwf1zn	$2a$07$F.mEqThYZZm2nZHaTIJYs.A4X2cbi5l5YZh7N3j1e9SsGB63VEL8C	44	2013-08-03 18:46:33.093987	2013-08-03 18:46:54.081023	123		0
8529	1016mbev50y6dvhididry06l4p	$2a$07$qYMWtvlfkaHEjWXd1VPMWONx64UE4IYbG5s1vRZXUs7mJeVdA4wJq	45	2013-08-03 18:46:33.117932	2013-08-03 18:46:54.222164	123		0
8530	10e6ojdtf73hm5uyqy0jrnvf6d	$2a$07$qFs35ad1ipEDZthfQm7qVOPHkGuaa5/XO99vHGR/GhcprGW52kwG6	46	2013-08-03 18:46:33.142585	2013-08-03 18:46:54.644373	123		0
8531	10h6aln318kz462o4dltjb5hqr	$2a$07$NJGNMhO2yjO.Gxm3ziw5q.GLFRvwi5/4uSmX02cD4muGFqsPPTKby	47	2013-08-03 18:46:33.166751	2013-08-03 18:46:55.068736	123		0
8532	10dp6f74imad9bcne28wgx803h	$2a$07$PGGH/eSsc1z9SkZNpXEG4.kCIkXfURwvGgf4i6SVxE9Cg305n4Y.y	48	2013-08-03 18:46:33.191954	2013-08-03 18:46:55.414222	123		0
8533	10bg3hlcbuxhwcbcfvek1se758	$2a$07$MeM3JvqDDi4EmPGxhmin6Ob4oMBe40UFSaRQYkIpqvbzyBMsEip/K	49	2013-08-03 18:46:33.217789	2013-08-03 18:46:55.563059	123		0
8534	10usoxaouqe8ukfoovku8e70py	$2a$07$3w7oVVWEit0PRC6NVS4mN.HtJCDzfXt/5d.yfXSMaveMfJI3xW4Va	50	2013-08-03 18:46:33.244013	2013-08-03 18:46:55.68825	123		0
8535	109f8jqsmoqylgp1nkccg9p4hl	$2a$07$GPCMgBwz5P3NpO53iA1BC.52i1/CHguITTOA3JIxjUA1Bo792ACzi	51	2013-08-03 18:46:33.269426	2013-08-03 18:46:55.829353	123		0
8536	10j2ra82dym9zfqek3vfq99tar	$2a$07$5rCeG2Fgn17iX36eLW1CNesWm4fN/iyv/uYhitv6K03OxaoHOHrm.	52	2013-08-03 18:46:33.294284	2013-08-03 18:46:56.045622	123		0
8537	10gzukije7hop7vj7u8733vplk	$2a$07$iFgYEuyhmV8xxci8piFqN.iEPewOOseeVxHuRYY/Zm7gmIQxaP9L2	53	2013-08-03 18:46:33.321089	2013-08-03 18:46:56.170044	123		0
8538	10vbqzg23e8j17r0hujn8e10sb	$2a$07$r2I1sHzzEGCkadD0Imu1ierHwvfV2p0oOEmS3oWyZ6EUtT8wYRBAC	54	2013-08-03 18:46:33.344921	2013-08-03 18:46:56.29398	123		0
8539	10jwx0a9zq3s827gk7ed0qtzs9	$2a$07$z1taKZkKKHKxHYCe3/jP0uWMFpzXImOym/y1aAaLHCPSoOAlyR8b6	55	2013-08-03 18:46:33.36745	2013-08-03 18:46:56.426964	123		0
8540	10tb7frwr2s0vvn7p3c1i5n6dr	$2a$07$yE5EkevosrL649gFD69Xxeq9kCi6Je5AwEzHyRxBYCHF12x68Gzha	56	2013-08-03 18:46:33.390336	2013-08-03 18:46:56.534112	123		0
8541	10grzkby1ve571zwuj2k0czoau	$2a$07$6ofMzTIowqlQqd6DSI2m2udrRZHotrR4Bsckhg0I/QPC2/W2xf1QG	57	2013-08-03 18:46:33.413518	2013-08-03 18:46:56.670866	123		0
8542	10poshvwx5k2x68j2x11qckjwl	$2a$07$7fsrq7spbWF57ePoJr5tGe0byebGaiKb2TRicbP9QDE9aZDGAKR2a	58	2013-08-03 18:46:33.438407	2013-08-03 18:46:56.787305	123		0
8543	10ved6vl6k2h6o1rff0y0axmva	$2a$07$wfKmysiXzSUuAiTPKKbZD.NdMGUDknQdvUpckaI04g9A99cLRi3DW	59	2013-08-03 18:46:33.465749	2013-08-03 18:46:56.893482	123		0
8544	104dwusrt1oactmlsz3fzibeot	$2a$07$Iqn2cIaNNS3lAYjPX95COeRBL1ag3HrfciHmm/Z2jpDe7Eai1DXVu	60	2013-08-03 18:46:33.48909	2013-08-03 18:46:57.001602	123		0
8545	10vg1h7fcjfb6lucl0vxnjmhk6	$2a$07$HiutFpY12X.LTch4a8uBHuLLM5Z5CFaWkuC8kDQ7Eh9/zw.ak24wS	61	2013-08-03 18:46:33.512288	2013-08-03 18:46:59.560061	123		0
8546	10l8zotmx9n36n0h6ozelcy1sh	$2a$07$RmLX5.7PblsZPjRJ3s2ScOINOg9BxPTf4cESMoRGEiityywKZmg8C	62	2013-08-03 18:46:33.536555	2013-08-03 18:47:02.419874	123		0
8547	10curhjn739guoj3i7ze40agmy	$2a$07$xwBul9XqkHD7a3e4LuweuOOtqzNK.v4WqEtMFvBlJh683NRc6rbwK	63	2013-08-03 18:46:33.561005	2013-08-03 18:47:05.511465	123		0
8548	102bzmo42vow5ihwpmy8j9povk	$2a$07$jfdrF5LId166XTs0N6MY/uO63aQ7kT0WOG6lGGWHFT5OdTn5ot4US	64	2013-08-03 18:46:33.584674	2013-08-03 18:47:05.92065	123		0
8549	10a9nmb6nwmh3izllenepcdu3h	$2a$07$6zbapLeTrfJTdpRyMsti8O94Bf8RDIGZi5HDqsfJdG4td0XDcjG0y	65	2013-08-03 18:46:33.607242	2013-08-03 18:47:06.076831	123		0
8550	10muovxgm53by21io8lzuft4e9	$2a$07$AnqBl/LnGsHqW9mi1bNGleK.S09WZ3.SytXuFanJM7IDuVzJxcqV2	66	2013-08-03 18:46:33.630565	2013-08-03 18:47:09.996787	123		0
8551	10doz2z4tthkmbh7ylt4hijgrj	$2a$07$O8v52SfukI7PSOQay7UiYOGc3KmUxaNUSqjpy6rCytHXzZkqclv5i	67	2013-08-03 18:46:33.654316	2013-08-03 18:47:10.165386	123		0
8552	10nao1kpvqtjkxzg7s06nmfubb	$2a$07$v0LssoBe4Z1GsJF5HhcM4.hWWu3Q4WH0nFm9Z3dDY4nw/aFiCaNDK	68	2013-08-03 18:46:33.680193	2013-08-03 18:47:10.351279	123		0
8553	10yhwtq5ptof20dscg216g3whb	$2a$07$h06hgeKvAIr/vEu.jSKToeqNq47XV4AQQmRH9ZdtkCAdhC2ZS./Iu	69	2013-08-03 18:46:33.705197	2013-08-03 18:47:10.459812	123		0
8554	10at08zdr1qudt1xp15lqia8kp	$2a$07$xtbY8Z3GAUqx21MpGwquDuwqz2wEKszz16bEWs8FoMAI8QtDgQYKy	70	2013-08-03 18:46:33.729678	2013-08-03 18:47:10.571232	123		0
8555	10k4emol26a6jkwi9u6w7kbro8	$2a$07$eGNNszTkfjz8CCpnxX0pSutHSAHExCemqB9ANvou6CPyAck5rTIU2	71	2013-08-03 18:46:33.754555	2013-08-03 18:47:10.711555	123		0
8556	10wxyzjfa5f4h8t6znaumxb5nx	$2a$07$4J3xPL8kMjHxrJxAI9UIhOxbKUtNC.hmH9sJKBI6ZuqRAeWZKFS/W	72	2013-08-03 18:46:33.785508	2013-08-03 18:47:10.831966	123		0
8557	10g272ylrj8bcj9dvoi0o7mmw0	$2a$07$Jd.OkHYcj2.YxdlQ9jVOM.2/ND2QEc4vAUSeV0MCUQvctjPOrH52y	73	2013-08-03 18:46:33.813705	2013-08-03 18:47:10.952977	123		0
8558	10bdwkrt9s63uckm7rjrgqeber	$2a$07$S2w.K/pSWBhXm6Ml/SAHOuMcsbV/nhBtETdE6yv/QoO2u8Sh0uvne	74	2013-08-03 18:46:33.843393	2013-08-03 18:47:11.072199	123		0
8559	10u03t2n7le5eznnytl6yh19ze	$2a$07$W.N3SFQ8PKTeWrJXsSOf1.r/m44TrE2qidv3yOJrtlClqpknqzqWy	75	2013-08-03 18:46:33.86651	2013-08-03 18:47:11.189096	123		0
8560	10vczckasobvojcmfw9v363p5k	$2a$07$VFwuketwhUFBEMR4wVvXPOc5nvFtTFoN1JZ590P0WWbXL4TGfxGda	76	2013-08-03 18:46:33.891966	2013-08-03 18:47:11.311157	123		0
8561	10gxq3qk3oziaa8qfr93k1jc3f	$2a$07$zh9MCVDBXOnuYhzfXs3A6.0481JukeVBLb8MVWljdwc46O4GH4qEy	77	2013-08-03 18:46:33.9248	2013-08-03 18:47:11.427091	123		0
8562	10p7pjulgv9yzjt506tw90we8t	$2a$07$dZnNEx.gkqV0nIWF1zpKFeK0YYCPtnyv0PMffxcpxrGgOr6REagIS	78	2013-08-03 18:46:33.956697	2013-08-03 18:47:11.538015	123		0
8563	10tmmfun60m4ssn03c03jef5li	$2a$07$y0z2o952B0TarMYgw3z5j.xyxdTmBoxEi34bF8DhlOhisDp/kVYfW	79	2013-08-03 18:46:33.980951	2013-08-03 18:47:11.944192	123		0
8564	10tcruhc9jbjjfccne6kjgck4c	$2a$07$294ibxwwmYwKxDLbVFP4XO/RVR3D4XpRVdyIRTOaMeS6D5CfFjxI6	80	2013-08-03 18:46:34.004676	2013-08-03 18:47:12.070306	123		0
8565	10x7axii8ej9x22kyufk6t9696	$2a$07$feft38.mgzJm.Ku88Rp/7.vyy89PQVHxvqCiMCMs8jozUGYCt4HLm	81	2013-08-03 18:46:34.028486	2013-08-03 18:47:12.193604	123		0
8566	100pgkxdae81f3zj2nvrfbh0uz	$2a$07$kyQ0S0hP1lQb3mmFS.NHu.gcCCqJnWbAYnjMhs31sZa2OGZsN0tzC	82	2013-08-03 18:46:34.052272	2013-08-03 18:47:12.308341	123		0
8567	10rmn65mli7z9iujt5fe5j1kxa	$2a$07$as362BGA1GTzdnWoV6MNyePzW50Wwtm2Bu0Lc4PMel.8uFDZjfUdi	83	2013-08-03 18:46:34.080988	2013-08-03 18:47:12.431587	123		0
8568	10a7lnqvf2pzx0qdgmw7rg2wb4	$2a$07$lVJYhRyXkLYOdXbZv76xRuB0mvucoHscoh8dOuzLlnxUDnRZjSZ9q	84	2013-08-03 18:46:34.113134	2013-08-03 18:47:15.223128	123		0
8569	10lpyzkusk839x8wwswsdc0ikb	$2a$07$IIHm5CjjluCbbewf8Pdmt.gSoi9WIMb7rBDKkt96ohLyhTDdMnvJm	85	2013-08-03 18:46:34.137716	2013-08-03 18:47:15.347254	123		0
8570	10f6ys6bo1ra71r23r1hp8o1rk	$2a$07$g1sWd5l4I8NXSSzWsNDdn.MVve2ep71PCxBa0V2kxfLzECBwIlPPm	86	2013-08-03 18:46:34.162722	2013-08-03 18:47:15.481524	123		0
8571	10avxlh01eospsvp3vp22xrt9c	$2a$07$pu3AVTzb9FvLgWjm33vTUOMP7wPuQYIAz5OZN0r7E92y2ezG1lPA6	87	2013-08-03 18:46:34.18801	2013-08-03 18:47:15.613185	123		0
8572	10o2xjv5qeyee84fr6y0ols8bj	$2a$07$44FxF3bryH9JJBtOprXFhuN7s.pL1jDOuEk/JCXHUbS4Sf11y8Zt6	88	2013-08-03 18:46:34.210596	2013-08-03 18:47:15.74664	123		0
8573	10i9ow2f9uohmkngx4lj3xl3l0	$2a$07$VQzIZghRieLwX/XTL/jjSut3NxtlmZRr/GuHF4gVo19L6PyFfxfcW	89	2013-08-03 18:46:34.234657	2013-08-03 18:47:19.908127	123		0
8574	10dgmoltknqjh622kv8x1g7vom	$2a$07$mwRDxHYOgIpZv6Vfqw4YPuwASe9yGJ3SpmhnuTw5RVkniOOsqcYUy	90	2013-08-03 18:46:34.259606	2013-08-03 18:47:23.832482	123		0
8575	10b2a2to5olphqadvreh2ylmps	$2a$07$MAF5HZE4tgOheUIxmK7h4.RKMx12OMSJ7xPximGzWAixbjGQILY5G	91	2013-08-03 18:46:34.29852	2013-08-03 18:47:24.02299	123		0
8576	10ask8l5g77wof4hi4r0xys1sn	$2a$07$NKXRXfhh6pdM9kVyFfLUqugja1M/mCFRPDZPY37PrMQVwmSwMwdBu	92	2013-08-03 18:46:34.32422	2013-08-03 18:47:24.200377	123		0
8577	10srpbtj9asshd7ee03v0e6yqw	$2a$07$0YS5UZeryoFuqC1q4n52.unxEc.GfBDq9paf.dWVr0AnadcdobkWe	93	2013-08-03 18:46:34.352465	2013-08-03 18:47:24.34555	123		0
8578	10oqmmawgihytvp6k2qbu2xhjc	$2a$07$aQcjZoAd3xYVimYJq/RysuqaFoRwlVyX/TtBcScWmE8KMWqI6IicW	94	2013-08-03 18:46:34.37745	2013-08-03 18:47:24.49214	123		0
8579	103s4yi485ob2lzr72y4b8r7jj	$2a$07$KlMlfoKL0vJgiUdyFmohPesyPPa56b2vhEU/aG2kGnRzc/qqbb7di	95	2013-08-03 18:46:34.403968	2013-08-03 18:47:24.62914	123		0
8580	10seukfjgn7jh9alot70dhe8hm	$2a$07$W3H8tP/dRmuy4jzPJ7a/F.SC1YcuqxYJqpGcFzDfoZ1yYpJghJCWi	96	2013-08-03 18:46:34.42845	2013-08-03 18:47:24.751182	123		0
8581	102li9mdasf9mvbw423fy1vhib	$2a$07$aUh.WBTaMKdyT2bB.e35yOK3vdQCU3pMRwSPv1stTb8RPQ3PiuTfy	97	2013-08-03 18:46:34.454265	2013-08-03 18:47:24.853944	123		0
8582	10et9o0ezbfbgu9ai5get2zxkh	$2a$07$VUZGGK1HrePX9FLWbT1pbuklpwjMgtjFyi7wfXZ4DC6FeN7RUa3IW	98	2013-08-03 18:46:34.495846	2013-08-03 18:47:24.978335	123		0
8583	10kp35el2cfgsvtk49cecp2lxr	$2a$07$mbldrbRvHa2LBqO8CQ3Hiu7LCfY9FcJXfuzzSmT5m0YFcXJnf1j16	99	2013-08-03 18:46:34.525276	2013-08-03 18:47:25.129319	123		0
8584	10mkg0zpc26j7xrymaf1kpezba	$2a$07$Ep6AIqbWwoUWfOYAF3O46e6Yp45VuLucXNinBEFWR6NmTnBpplwvK	100	2013-08-03 18:46:34.548346	2013-08-03 18:47:25.248221	123		0
8585	10s31ulhbmws3ls54rar43hl2u	$2a$07$QnTMnVtlIoM1F0ypH3fnUeq5u1l79pmbbF3kA40Kz9oK138ThdlFW	101	2013-08-03 18:46:34.572488	2013-08-03 18:47:25.366883	123		0
8586	107cnw3gjjg7x0ary7hracs9nb	$2a$07$lEh5jn2NXz.zh9hu.uav3.jGaRlR5NMkBnCJTSe3NwkPYSQfDzcdu	102	2013-08-03 18:46:34.597066	2013-08-03 18:47:25.50538	123		0
8587	10qwdrk92airq4ucy6fx4c2o1l	$2a$07$YytjApf4caNVITbmyQ/af.cAUH8jI3YDCTG7bK.RI3f8VluwdKU8i	103	2013-08-03 18:46:34.620878	2013-08-03 18:47:25.710002	123		0
8588	10ixp06pf6nkgdjvz3lc7ua8l5	$2a$07$0EVEuY1fZleJpPRBX/5yVOTqyUigSW9qD54LtKB6MJShCgtNMcDdq	104	2013-08-03 18:46:34.645148	2013-08-03 18:47:26.053171	123		0
8589	10y6l49632x61q585txmhgp7ja	$2a$07$Hgq1GL2A6q6oK7b05wfxe.mIdVdqvZoyDjaMIQQ3T1XEmek3hqr6q	105	2013-08-03 18:46:34.669767	2013-08-03 18:47:26.187931	123		0
8590	10v3gearvmr3lzrryblxj8lsls	$2a$07$uiwMYbhtHkqRvADmKsxkZ.TVaqc9GoU.99S3Kh0tP/.bVIRuTsAZW	106	2013-08-03 18:46:34.704507	2013-08-03 18:47:26.308056	123		0
8591	10w1eb2me1rakt5upaj8hgxq4i	$2a$07$j6lJJ.EobsAXPmNsnhTF7umk9TBp6kksP0..UzHujjLbhoBACjlX.	107	2013-08-03 18:46:34.728432	2013-08-03 18:47:26.412035	123		0
8592	10tv26acol26gtra2kmudphqaq	$2a$07$K48LKNw3HA5y6XgJ60NRfu1hYBKwg69hYdRtyA9PGbc9Ai6bkanZC	108	2013-08-03 18:46:34.752349	2013-08-03 18:47:26.533994	123		0
8593	105qja9c9vytl86s6kcxkowknu	$2a$07$K/6ZOorCi4zqfYtw1Q9ynuht6B5L0o9i2LudV4eM9btIV0kJjOuvS	109	2013-08-03 18:46:34.775844	2013-08-03 18:47:26.646773	123		0
8594	10sadj5d5fty3ul4fpdy2se9nv	$2a$07$3zZk3C5Bxj/JHVFdCYxdeO8Pu/W5M7ZO332iW7/OdO7Cfkd5PAjGe	110	2013-08-03 18:46:34.799219	2013-08-03 18:47:26.775791	123		0
8595	10e31ao4z6tsany01r1w0x9mdj	$2a$07$MJhRaGMYd5K12dMF4LFpou2qFIaq1vXOHF7Rz2J2ZxnDorG5PFXj.	111	2013-08-03 18:46:34.823431	2013-08-03 18:47:26.905315	123		0
8596	10nhtgdth23w099ctuxihf5pob	$2a$07$FMQPmscfjRd6PcGmNlJ4Be2Cu/8KFLEksx/IVfhEpGG9RObYzup4K	112	2013-08-03 18:46:34.847679	2013-08-03 18:47:27.031967	123		0
8597	10awyn8hkkfj2ti9ew43u25wnl	$2a$07$V099mLABhxC73t9uEDRm7.VaUhup1214BgjkS2Se9PG/VezOTaeAa	113	2013-08-03 18:46:34.876022	2013-08-03 18:47:27.163698	123		0
8598	105x02t91q37yyczyw2uxhty8b	$2a$07$qaAQWhHiuTzSmeAVBWP9/uqp/3nqYx2uia2e1YbobltfVusp9haqe	114	2013-08-03 18:46:34.916751	2013-08-03 18:47:27.300377	123		0
8599	10wdrrv977dlcoe85k78r7fw7g	$2a$07$9i8llMX7rqwTfzUDz4/3Pu1eJGL6TJb/lT6JiNu/GQurpgn/XAtfu	115	2013-08-03 18:46:34.939663	2013-08-03 18:47:27.548367	123		0
8600	10xje7t4is5uvabsl8ocduh0dd	$2a$07$5C1VpEpHC0jcV0Mq7BP4oO.f7KFg.a1V9iSgOG1UX1YDWGlbhVNUG	116	2013-08-03 18:46:34.963438	2013-08-03 18:47:27.689961	123		0
8601	10x1tqmcl0awd0edd9mj6ckgcv	$2a$07$bhtDyN85sMnAmp1xiO0qEea/omUirkhqX1hnclxD4ik0vSjvXhCVa	117	2013-08-03 18:46:34.987318	2013-08-03 18:47:27.822705	123		0
8602	10vh0xketx2fjige0t3gk0ymaj	$2a$07$9XVU6jNc58wQ98GXHg2i8uWVOTxMtNwVQhmPgrh/0bxJ/Og2oq4Mi	118	2013-08-03 18:46:35.011274	2013-08-03 18:47:27.977081	123		0
8603	10a8uoemicw38i1skbn4wjqzvu	$2a$07$jtXd4GU/lWeXX.yPJ6tWE.9zH4ZYO55VVzezwCy4SddzMODokTcXW	119	2013-08-03 18:46:35.035791	2013-08-03 18:47:28.111317	123		0
8604	10t6y25q81mbgmte1yu5xzgzqr	$2a$07$HFCP5a/bEKhyjMc.HeukIObefm3M65wkh7b47W3O3n4omPSf5Fwqi	120	2013-08-03 18:46:35.059643	2013-08-03 18:47:28.238742	123		0
8605	10jvl3vuzmr65t2g78ldqdf3kb	$2a$07$iJTp.7aG3fdXpsnBAhJ8euPMg30Co79CohgUDgSfqVZhJuOmbywqC	121	2013-08-03 18:46:35.081955	2013-08-03 18:47:28.372848	123		0
8606	10md2z4im730eyh2twl03ygpem	$2a$07$kw/JozMA6GX.yyzAGMiG9.O0a7bhyz3RM8Sf95O3rcZAjkD2sTUiS	122	2013-08-03 18:46:35.105464	2013-08-03 18:47:28.501987	123		0
8607	10ki3ypuyciwmdbc3brhxlp6n8	$2a$07$yUJzxLsQSbClATbBErPrQOWmoSBZiUZ5ol7KXLg0kPolsQvzE/By6	123	2013-08-03 18:46:35.129475	2013-08-03 18:47:31.407417	123		0
8608	10zok3fqoo8q9wtbmb5mh2bm7s	$2a$07$jCJtPhxg1bldHt2ijDXjfOqiERUnINFrFMLlMnny/6aQoSEv1BByW	124	2013-08-03 18:46:35.151885	2013-08-03 18:47:34.518825	123		0
8609	10tdpqeejkpvmquyd7431yx55e	$2a$07$oX2BE8L1D9MiBSNpCOK/ruz444H87maue/BYgoMPy/ranNDpxyxoK	125	2013-08-03 18:46:35.176601	2013-08-03 18:47:34.655198	123		0
8610	10xbo4ju6k75wff2iobhyyfylv	$2a$07$dPRrrUhf3T86nawCi0G5Du2B9e/mTPbcoOccd9MYrpe0mGeWtArRG	126	2013-08-03 18:46:35.203669	2013-08-03 18:47:34.778916	123		0
11325	10gf8fzlf1gnlxv6wgc7cqcn4f	$2a$07$zm11z7N0/Kt9dLAjXSK2xOoT82KwGhAkiiXTzLFzIbFrsCJEv7.Bm	69	2013-08-03 20:36:39.883394	2013-08-03 20:37:11.603156	145		0
11326	10trkfqhfn2kgffmz8jqjqhii8	$2a$07$Ceb3t.3yBWeT1WD3ot9xkeQadVWQfPri931gB.FAJbVYCxfOZ4bo.	70	2013-08-03 20:36:39.90699	2013-08-03 20:37:11.740049	145		0
11327	10rftrapw65qd629dgeefk7gx3	$2a$07$sqFFWTB2cDzrp7WsaxsVsej.YE/LjwvhsHOuO0bivVzpPbdLZud52	71	2013-08-03 20:36:39.930837	2013-08-03 20:37:11.854331	145		0
11328	107p3pqku7utnj7q60rt9o5cyt	$2a$07$EsXC8ulOUlHPQYmwgulbm.j.7YtPbwg8OGmVnZwl3erI.wBDzo7d2	72	2013-08-03 20:36:39.953176	2013-08-03 20:37:11.972822	145		0
11329	10ko4e1xqo76yq30i8yh4bmfob	$2a$07$2KHCxmyfHIYuUyS2uDvHO.hhGSZUVyASbEfA7aLc9scucCmNRwvs6	73	2013-08-03 20:36:39.976756	2013-08-03 20:37:12.299742	145		0
11330	10v0c14f0j8dq1ik1ebfx1k8qj	$2a$07$axZaFQsxEls3TaRVcbbOreWmc13PJ155wb1bRGzVsx.St6oDOT0dK	74	2013-08-03 20:36:40.000462	2013-08-03 20:37:12.431505	145		0
11331	105imr9d3xna7yskwgg6gq8y8c	$2a$07$y4xG6A2aIt6qJjGkTz1EZ.lmMNlHc65G9hK8NMJMcsy5mLBhYge82	75	2013-08-03 20:36:40.023377	2013-08-03 20:37:12.556961	145		0
11332	10xbfu4rzmbj1ict83tmyw444w	$2a$07$bbL3CHI6QDaRp2foA8FBh.3h8v9PbzKg1VacnVgcs5vHi6Srx4ZBa	76	2013-08-03 20:36:40.047369	2013-08-03 20:37:12.705489	145		0
11333	10tqn0wjdftd8yypbbkwbn3bkl	$2a$07$R8.riZ1YP748brX9qqxxAu/8fyjQrtcUQr1hqvPfhtya5xUx268Uq	77	2013-08-03 20:36:40.070577	2013-08-03 20:37:12.84216	145		0
11334	10lg195uc0s8842g3wj93uu09n	$2a$07$EOtfHcWpJUJKxijk/Z6C4engslFQtIRpi0ufFDVpcqX9WOzHxFre6	78	2013-08-03 20:36:40.092804	2013-08-03 20:37:12.969203	145		0
11335	10t25fc9hhumv0pnco0eiq7p2t	$2a$07$okykde9G7MhJ82m7Ha5ZSu50mXsY4RzJzdeFl2akoBZqHMD6mvhMS	79	2013-08-03 20:36:40.117449	2013-08-03 20:37:13.128279	145		0
11336	10xuse4ic4rseqk11cj9pxt7c8	$2a$07$lD.lluzH33CPCZJYdNqDCOgNDx/QLgC6rMni4PkkQpFYAqNaXrv2W	80	2013-08-03 20:36:40.144974	2013-08-03 20:37:13.277065	145		0
11337	10xw5zxjd0e65qplhi9xbhxt81	$2a$07$b6OwRWwTDrJYR5ezmD.7iOvb.WRDLUd9VY/3u27dCMatmbIu.upkO	81	2013-08-03 20:36:40.173816	2013-08-03 20:37:13.569213	145		0
11338	10pp61kj5akwm8pef78fqhc40h	$2a$07$1uxseIJXuW9LuPOqbbIZI.cuG/XaKrYmk4MbvRugoZrM/uD43i4GG	82	2013-08-03 20:36:40.201483	2013-08-03 20:37:13.727809	145		0
11339	10lgh5prvcfbz16sy1p4sz4fw9	$2a$07$yyHwQITR3bBmWKMQ2MyUgOOVc8u0iizpCJTdNvtRwvdzknCIoOYVC	83	2013-08-03 20:36:40.2308	2013-08-03 20:37:14.055961	145		0
11340	10vj03sttzdtyfhsl6gtgpu898	$2a$07$LOgdh8KYbVgCAeWo4t6Tne8WfkdNyUu4pZJnYlmLAhjUzNqFwbVIy	84	2013-08-03 20:36:40.254589	2013-08-03 20:37:16.689109	145		0
11341	10cuchz744q28i6muysh8ijx4a	$2a$07$SlaT4Y8B63MTKef7vEgSK.SUZJzLIfIHZn/789MU9WadYpvdjj29a	85	2013-08-03 20:36:40.278542	2013-08-03 20:37:16.975332	145		0
11342	10cy28yhufbxumyv72silsywj5	$2a$07$c1gz0oo/dJPpMPOIr4PCQeFqySD4pCMC1KucqMG/MjS96WbikjcJO	86	2013-08-03 20:36:40.304876	2013-08-03 20:37:17.230281	145		0
11343	10cvvvhk0m9oif9jmlert99mmb	$2a$07$IMu4QU6qoFmSO4TlIwnGC.5sHwH7qK/R/kfGOsjtbvD7K99rj7uee	87	2013-08-03 20:36:40.336176	2013-08-03 20:37:17.384236	145		0
11344	109nllypyi9q9ez86odu8hii7a	$2a$07$0M/yo6OqA1bvg6/g1gwuduWA2pB1c0D/K1IqY5E0.LhlvZXp7cY22	88	2013-08-03 20:36:40.359006	2013-08-03 20:37:17.530032	145		0
11345	10xc6hfz8a8t18lfz9psy33mu1	$2a$07$fpaklGdBTVadP6PEuQw6wOftfrq5wZa4ZKdZiigmKI1hgNJwRfvqy	89	2013-08-03 20:36:40.38197	2013-08-03 20:37:20.262899	145		0
11346	10cp4dz4gwkhbyggb9k5m3njgo	$2a$07$531Ay2In.qRBWyqzZwR6dOpncZ6AuFY.SAsJUG458OglJBbmMrFvW	90	2013-08-03 20:36:40.409051	2013-08-03 20:37:23.248704	145		0
11347	1001lfqk3lg4q2rhr5yj9h8z5h	$2a$07$MixHDgHk4Usy.s6b6y1wgOscTo7VBjFKzqMREI/gb5VtseCAnMVZy	91	2013-08-03 20:36:40.448594	2013-08-03 20:37:23.390045	145		0
11348	10idczv9841hfgfp0lt7k09xdc	$2a$07$3e9cywamxeDNAqjiC3gLq.oEevGeg88QQvOxJW461.jC6T0Z1ZUHi	92	2013-08-03 20:36:40.47205	2013-08-03 20:37:23.53137	145		0
11349	10t2kgvyodkvbo34wvqrmne96b	$2a$07$1eYBvKcsaZ/LP0J/rfYbP.1BERx8Ag7mpmAlWBjqq7q1ZkVmgsTiK	93	2013-08-03 20:36:40.495839	2013-08-03 20:37:23.672136	145		0
11350	106q8p0egm4hvfzhicxgkzwxds	$2a$07$b3YDYdesXeosSNQKFDGUrOTu7ayXb4P6DlhFSMBzMBLpR63MaQtQC	94	2013-08-03 20:36:40.518838	2013-08-03 20:37:23.866684	145		0
11351	1067p73gtw9tk8ydjgjcanfeax	$2a$07$zXA/F9VJVG3OSEYCg3zdQu0oE3rmqtatdTsnRDyZbZMJZrHFQmuxK	95	2013-08-03 20:36:40.542752	2013-08-03 20:37:24.005677	145		0
11352	10fa3li44g4upf96lumii1fejk	$2a$07$qc/j2kkPNc8aAR7OGMXrqO8Or4Q7bGo3.fTiMtwN8wPL4NZcNBK/O	96	2013-08-03 20:36:40.566609	2013-08-03 20:37:24.15029	145		0
11353	103egbjbw8f4gl7wst0imlt7we	$2a$07$HmYtKA6Bs.09Iq4I3/lb9e1gdA8wLHqBx/99qFVwPlO3HcQRCgla.	97	2013-08-03 20:36:40.590872	2013-08-03 20:37:24.282856	145		0
11354	10ag18jsvikdctz630cmnw6a6z	$2a$07$cF.1J/SmvmpZfO49NkXyqODxjpuRmHaxxX8C4r2ErrM8D7UwBCuzS	98	2013-08-03 20:36:40.615919	2013-08-03 20:37:24.407052	145		0
11355	10nt37lj8crpa96pubi71fjjkc	$2a$07$lMCSJgVBleV1k9NA0h.6KOEwyu1Eam/CRnEWCb6wVbYXurnQIZ9oO	99	2013-08-03 20:36:40.638731	2013-08-03 20:37:24.542163	145		0
11356	10pomxuqhlgakk8kffd6xzdgs8	$2a$07$l.X/ZmlmjW28USSNiiIiuukfDJSBCUsfklzTiv7S8NLzOeG6VWbYC	100	2013-08-03 20:36:40.662188	2013-08-03 20:37:24.682617	145		0
11357	109g4gaepoyoxh5c4o8mtrfalk	$2a$07$lbFsGHZI/H/zYwPqyoSDVeg7O3IhL62HlPVqAFoGMvzS4OWCn.pTW	101	2013-08-03 20:36:40.685115	2013-08-03 20:37:24.795717	145		0
11358	10dhu44oxg7ur1mkh1flk4k51l	$2a$07$PdWAhSCFZamBuFN5I1A3MODm7E3Rub6cyZpuaZR9m.TvoJ2Syupwm	102	2013-08-03 20:36:40.707771	2013-08-03 20:37:24.911449	145		0
11359	10c4an895pqrkpxz7w8ijjhxw4	$2a$07$7FIu1jWc5D6WWuQPkurGmeENOjMQkEfHreD1O6Ta8.5EPitv3i81y	103	2013-08-03 20:36:40.731069	2013-08-03 20:37:25.026328	145		0
11360	10siwnnyy15ou2hp4nt1ey0khu	$2a$07$Asx7u.fjLJRBXDGeX4hByOh98o88uXP9F1DMQQ4lssWXj9jw7npzS	104	2013-08-03 20:36:40.755926	2013-08-03 20:37:25.147261	145		0
11361	10x22c0arx8ztljt8bypv7fozf	$2a$07$FXYOHFGxI5RG/BDPjYlWeuKmr/lUWiYD5GQu/rs5C3jVCGapqFieW	105	2013-08-03 20:36:40.781472	2013-08-03 20:37:25.248813	145		0
11362	109hvv1sc14qo6gehxtf6cbvqh	$2a$07$pn55O1cmIiXkASbAesHYbetguEM6Eoe1GV0BDV83cSWpM6Vz5c0wm	106	2013-08-03 20:36:40.806854	2013-08-03 20:37:25.355106	145		0
11363	108djrioxuf74b4881kmd6c21s	$2a$07$qMd4Sp7bUdZp8avCFMUuTOmbqZAap74eiGE5jzo.EAWaFp3OPyIQK	107	2013-08-03 20:36:40.830382	2013-08-03 20:37:25.493436	145		0
11364	1033hv15azmoxlatytq5xgh30i	$2a$07$Iso6.OUcUZV4VuZ/6EvRPurUg/Oaot11YGmFeGC2xmqeNv4XXfXju	108	2013-08-03 20:36:40.852583	2013-08-03 20:37:25.648337	145		0
11365	10ywj6sewpo8k1fhvqtberihe4	$2a$07$Ty0TCTkhU5bFyE2t5OnQF..nBOugi6D5ZsSkDTwafQr8UWyQBBR5G	109	2013-08-03 20:36:40.875907	2013-08-03 20:37:25.757427	145		0
11366	10hsuyuu70b1honexlp7e0ysa3	$2a$07$luwWcmC/U3MvsBe5dYpjuueW2r.fR9uMFzQ88Mne8A8bSDJWZ3X2K	110	2013-08-03 20:36:40.899093	2013-08-03 20:37:25.86247	145		0
11367	102jwl3d7wfqpl4no6z55t6r8y	$2a$07$euFdklxF87vwRKxjTVUfT.ry5oZ7enkXCWseKQF0u57TyHkgjY0YK	111	2013-08-03 20:36:40.922617	2013-08-03 20:37:25.97829	145		0
11368	10nunodn62jfxjqusl8ap8db24	$2a$07$ufByFGu9mCuJXE8T46eaeeiZc/RxUHywIOyqkNzlRlTyDZ.36F5Cm	112	2013-08-03 20:36:40.945774	2013-08-03 20:37:26.110523	145		0
11369	10xyy85e5vg2k31eoufq2oz6yh	$2a$07$HO27uIHCLcXZVoXLJguxfua86TAsrc4rnQHVzK7g86soQO0RU7Lc2	113	2013-08-03 20:36:40.967977	2013-08-03 20:37:26.228199	145		0
11370	10g9ffq0p47t7scua9s1kk1kdp	$2a$07$39hH2.c15RjwymNgOiuut.63/7H2Zvfu.o2qeUo2AhfKjErLCW..u	114	2013-08-03 20:36:40.991022	2013-08-03 20:37:26.358244	145		0
11371	10ed5i2yqvz0jrj7tvyd8d1u8s	$2a$07$a7NeGqiRl1L/D6GjYP/L0exKXTzyGR4woob1r9Mn/DFVQg2N5CCG2	115	2013-08-03 20:36:41.014924	2013-08-03 20:37:26.529598	145		0
11372	10p59h735se4xtfl4y5g9jqrq0	$2a$07$oXDuHmVB2YcDNrbNDZpgDeIX8/bBoLu73Q6S8mMqeC9Ga4IXJIklC	116	2013-08-03 20:36:41.038736	2013-08-03 20:37:26.674192	145		0
11373	10hc91fy0broqou50thb8hxphq	$2a$07$hnDt3YWQJk9kEOA9siXLXuMLNWOHDj5Q79SEHh5O7hK0v5wPcC2OO	117	2013-08-03 20:36:41.072777	2013-08-03 20:37:26.8132	145		0
11374	10n1n4iq5nbvx5zxbagdabzd56	$2a$07$IECnHRxi45O0VRArSM/5U.mc6uTBopLWkqoouY2OvD5BGXnZnChbO	118	2013-08-03 20:36:41.09666	2013-08-03 20:37:26.932251	145		0
11375	10dcgwhgs7srkbt458gnriier1	$2a$07$fM928eruY4c9PX1YKa8lveAvliM4HMWTlHseHT8lGDvlNWz671X6a	119	2013-08-03 20:36:41.124796	2013-08-03 20:37:27.039655	145		0
11376	10fd7nxgwq94oqde5vtauojjn6	$2a$07$vc/HNMdTOWZwZJRyHz7NY.NBP4VvLnj8XuB/.BRWVnIgL3UJlQXC2	120	2013-08-03 20:36:41.160047	2013-08-03 20:37:27.154645	145		0
11377	10a39gruhyjlzqckf21s3dnx4o	$2a$07$psZYRK8DqohnLNN92HswUuFLtof2bsmp/Ro6KS7Q50v3b5ezcLHn2	121	2013-08-03 20:36:41.18481	2013-08-03 20:37:27.290503	145		0
11378	10z4og30f0ikdetblpqnthdo05	$2a$07$kEvws9nY3OFRJ3OIdvYJdejLi9f8kGCUgpOAqVUTBwc83dWoj79FO	122	2013-08-03 20:36:41.207857	2013-08-03 20:37:27.426454	145		0
11379	10d5ytge4lvb3f0gf2qxsbu87x	$2a$07$O4FvsJQKE4INxbVFxogapeFsXh.czOOagvQT/Djq0TdAFzvbNxpdK	123	2013-08-03 20:36:41.231107	2013-08-03 20:37:30.200199	145		0
11380	10b1y0ycqauv5nzec0lo5g6c9j	$2a$07$P2LVZhJ5LVcaFtFylx6YTO7ZUzjaZgQFPj49MkI8EbNtO/SaeccbC	124	2013-08-03 20:36:41.253206	2013-08-03 20:37:33.12325	145		0
11381	10mug3vut2w7infong65wjx4pm	$2a$07$8vQjRtuqsmMUmxm62XER5.KKcfs7bzdYu5ggDtpUTw.cowpITihDO	125	2013-08-03 20:36:41.27627	2013-08-03 20:37:33.373105	145		0
11382	10zsgkf42222k8y7sve46exfyb	$2a$07$YFEiXmY0DwdwTMa5m5K.F.mKXe7XuONDy0j8e.2.B9iOa.tytmVu.	126	2013-08-03 20:36:41.299348	2013-08-03 20:37:33.565678	145		0
13423	10wgulzopftef0u41o2rku4697	$2a$07$CbOvz66cJt1CuWFIjYWupeXqEmI7A222nRBsVEJanmkWi5qcb3oq6	25	2013-08-03 21:58:35.684017	2013-08-03 21:58:44.70063	162		0
13424	10tlbyciwj9mdw3zb7dbre0rct	$2a$07$y3UNL3Snjk6OEmKV2IqiO.ShLX5hfgMbctKo9I664Ye3wolUz0mdu	26	2013-08-03 21:58:35.70574	2013-08-03 21:58:44.831395	162		0
13425	10rmxfsa4q4ob0kodgas49ijl8	$2a$07$.QnIrNL.M.R50PN9HphWJuV5J/MBWMmfDzVugvO8nOtI/nOnUGWxq	27	2013-08-03 21:58:35.72993	2013-08-03 21:58:44.968078	162		0
13426	10d9dxclvya6kel9qkgvdgjg8q	$2a$07$MzDv6OfEX9bUBVQIOLRWZ.LkrER70dDh.YlGU0VFHgFq/ULIQGjyC	28	2013-08-03 21:58:35.751397	2013-08-03 21:58:45.37025	162		0
13427	10ysvlfvx3k9u0vprbsuvm91ph	$2a$07$FejBZcr4yYgtj4GYn.xNNOa9KQEDqxdX5L8h8tCLs4irc63NiGjAW	29	2013-08-03 21:58:35.772808	2013-08-03 21:58:45.76403	162		0
13428	1029zuqxgjryr5w8pw0os1d4x8	$2a$07$W9g6dIFMXt665Ff73Wd10.0E4oYYZjQ8Q3nRcKXgmEdJK5X87OToC	30	2013-08-03 21:58:35.794461	2013-08-03 21:58:46.139305	162		0
13429	102oo88dbq8qxbfl64nt6f258t	$2a$07$v4ee5SO9nDE8QCsktThpW.phQj7JhAqU.gDDgKT2.ONw/tXH3NC8O	31	2013-08-03 21:58:35.818207	2013-08-03 21:58:46.275952	162		0
13430	10j7khec6xm7uiv7qdqphqrvjf	$2a$07$ykHmQWoMvYgyvyhih.vaF.XClH9.hcjG7aN6oZnuA.t.sB/ZnguUu	32	2013-08-03 21:58:35.841353	2013-08-03 21:58:46.392134	162		0
13431	10bx2ghwigp9gp6nuupiytmawg	$2a$07$Ba0C3SQ7bHG/3z53PfsZAOw779sZMrYEYQmY.RPgdMCj.Nmo1BR/i	33	2013-08-03 21:58:35.863648	2013-08-03 21:58:46.524842	162		0
13432	10y7czxw8cvz8bebx2k988kkvp	$2a$07$7msfp70XPebsfDGyfvhkLOBFEfdNAHnRZ7zByPYsyrRfa8AoPpCaG	34	2013-08-03 21:58:35.886739	2013-08-03 21:58:46.67324	162		0
13433	10b3ygp42icqjh7nk9hhk2qy1z	$2a$07$y22YKrvjxK2lO5jqf/cRe.44MbO5Id7FpGCW7rWc9ddN8wb1SEGla	35	2013-08-03 21:58:35.908535	2013-08-03 21:58:46.802305	162		0
13434	10bhudgbb36zm34io93p1t6dbx	$2a$07$OWzgymE9E85UdL6wII8kx.l0Cdf0ZosZrUtRYz2qsjxsBfhO7rNhq	36	2013-08-03 21:58:35.930011	2013-08-03 21:58:46.921221	162		0
13435	10tn9jx58z5m0wjfoxva2emoim	$2a$07$y7.oPVXbCS9MI31epNFP0ujMp1AdYnlSWN9jHbTy51hua5RabtE8O	37	2013-08-03 21:58:35.952607	2013-08-03 21:58:47.038185	162		0
13436	101sba3pjrabp73hcg92osbje4	$2a$07$4QOrSAVEqJFix6LdLs8T/uQ6WqDxuaT9LfVSqGoGJsez5XA3LCKOi	38	2013-08-03 21:58:35.973919	2013-08-03 21:58:47.13866	162		0
13437	10jblfvkrobe5czkbx0r7iwzrq	$2a$07$j.EpXYJKG.dLrIZDgQv4m.ADjcf7TpeRdV5os9idu1e4cJUrx4I8m	39	2013-08-03 21:58:35.995357	2013-08-03 21:58:47.27548	162		0
13438	10jvwb60tf2aolikqhgw6nrzli	$2a$07$KkThixst.64r4tstwdpDLuVWj.sSoV2sFXafsRcq3EdiXQKQdomse	40	2013-08-03 21:58:36.019486	2013-08-03 21:58:47.41013	162		0
13439	10wwzy4x6eejsr4e5ruv8r36d5	$2a$07$kl.UlJywGJY8t50DZ6reOOPzRIDORQYrF8hVbJuodiEdHpjAuFrj2	41	2013-08-03 21:58:36.042128	2013-08-03 21:58:47.533513	162		0
13440	10bqahr221mp6nh9xd0dghjl0d	$2a$07$a3MjAaJiuULNwUc3cR5uIeWUgghOGQc4vIqKB.BP40/6Bth/VWxcS	42	2013-08-03 21:58:36.064345	2013-08-03 21:58:47.647556	162		0
13441	108orxlqi197xdjcoyq86vce1r	$2a$07$48o76StR76Ff9/teXPg0Me/oiPelYYJZ6Yz4JZOHs4FIGAiT4zK5u	43	2013-08-03 21:58:36.087217	2013-08-03 21:58:47.771244	162		0
13442	10qq8yxc6w5dunuxboufpn4cth	$2a$07$.7EVtWQtm/fPrlc4zgxjSOSF.PnRo0sHLX.t.HG/CH5sq0j1Ba3jC	44	2013-08-03 21:58:36.108725	2013-08-03 21:58:47.918778	162		0
13443	10m5jnwfip3enxc84wjjkyoxea	$2a$07$MXlBLe4R/L5Lg6dQB2FR9OoVrT3hyk2r93ryyPrAnuOOxk/pk0hIC	45	2013-08-03 21:58:36.131667	2013-08-03 21:58:48.031858	162		0
13444	10j8z35fhngrvrqq6g6gm8m5ry	$2a$07$lGAPf2hZFS1cDmozIWfEjO21CXVC1JwhvApe33/8.IxyOtW5XeP1m	46	2013-08-03 21:58:36.153133	2013-08-03 21:58:48.150838	162		0
13445	10240wi52uxel4ta2gumwvaayj	$2a$07$dIbUmiKXKpeTnnPVeM1/beAhAAomnJxIayyxz2EzL3SSGOWlc.3zm	47	2013-08-03 21:58:36.17449	2013-08-03 21:58:48.269495	162		0
13446	10e05l17n6jcg6djxocwhqk2ar	$2a$07$v7ILK.8Cu55W1jbSfZerc.0ZvEP40lHj6ARlx1pC.2Jfi4aod.ruG	48	2013-08-03 21:58:36.195741	2013-08-03 21:58:48.436281	162		0
13447	107sxa8czrxm3lnh4skq7rwomj	$2a$07$OTa97E99Y463HGPHzxoSLegmX1IAYSHeeTg2uxQRJLmfqFrVzcdH.	49	2013-08-03 21:58:36.217051	2013-08-03 21:58:48.574608	162		0
13448	106js9uwyqfrh94u1hetmfjjnl	$2a$07$wR.ahMbgY.kMsIX29a0RhuPNd3/kqA8v2UHMW2.qgPtDP6s7fei6i	50	2013-08-03 21:58:36.238559	2013-08-03 21:58:48.68614	162		0
13449	10beefy0zh4l27mmyp7zgo1pet	$2a$07$OsNWrh1cFH/JiSS76XBVLetM0IQekrJDhJC62sXuyBrnwBLzIYa/K	51	2013-08-03 21:58:36.259996	2013-08-03 21:58:48.828379	162		0
13450	10rbsamhvitsjrscyn5u7n053a	$2a$07$rIXUmI39ez6uxpECMzrG.ego2jf3sN6HxfyReowFwlE.Mkj3/CMKe	52	2013-08-03 21:58:36.281256	2013-08-03 21:58:49.198263	162		0
13451	10a1s7w99ftgeufs4dzv64rm1g	$2a$07$YPAd.yD8PDPRSm9HXupiaOO2Yxxclqxg9HMTHNs4skfJDT2gm1LZ2	53	2013-08-03 21:58:36.302839	2013-08-03 21:58:49.552042	162		0
13452	10wdnnqylin9edjdo03fd0kxx6	$2a$07$.tOLK3Cwtl.jcT0voPsH1.ih4OVtMq3DGn9Q6RhyCwBvj2M68QVzu	54	2013-08-03 21:58:36.324747	2013-08-03 21:58:49.876762	162		0
13453	10kxsi9mivq4re3ste75590607	$2a$07$l8CAiW9ijfvmtEeXABi6nOclt0jgVRB.cwZ43rx6bNnmfIndkimGK	55	2013-08-03 21:58:36.34614	2013-08-03 21:58:50.019315	162		0
13454	10odcqcrvhag5klxkg5gqf73wb	$2a$07$5CNtKGbVeIdeUbdaPpPcpOBuxL4uA5Jb7AV3ryUmPxedxTaRLBKLK	56	2013-08-03 21:58:36.367412	2013-08-03 21:58:50.150547	162		0
13455	10mfuevtwpfnpxamrpzab8he46	$2a$07$MrkjqDhiV.88yxJ0V86Upum/E289dNWuYy6Om9gD3W3nyb6MQrcuO	57	2013-08-03 21:58:36.38873	2013-08-03 21:58:50.265321	162		0
13456	10dlmhzeqpycnls1mcd1is0rxh	$2a$07$U0m4xShQWogFLuwY7x4AMuQoCGWDPPwt0jKhMHfNr2uSMxqvatvIK	58	2013-08-03 21:58:36.41096	2013-08-03 21:58:50.527181	162		0
13457	10wphoya6kikf9zjev638lfv39	$2a$07$fhNeBeNtsikoJCjeDxGYn.yfaeKXPIx6p1O.tb7eEa2WbHE6yq0S2	59	2013-08-03 21:58:36.433317	2013-08-03 21:58:50.662419	162		0
13458	10koiq17jejecvb6om5nnuc2p0	$2a$07$anP2JgkdeVxOFD2KTZ5VBuFwbET2pJ55WC4331ldnmQrx0eFd/rfi	60	2013-08-03 21:58:36.45542	2013-08-03 21:58:50.790744	162		0
9493	10t9k70gf3zt5bt5hwj16ft0ae	$2a$07$DAIZxu0r6Qob/3o/L256.OxE7wRrtMuCyxQSe5bV5nWpOssXWrJ4S	1	2013-08-03 19:26:32.116329	2013-08-03 19:26:35.554361	131		0
9494	10erkdzcu5qqq21qv1vepgmup0	$2a$07$uXUP.xuue/sYbwcjizMHzumvFdSwlMSrrdqLok3h.8TAdu/zZeLAu	2	2013-08-03 19:26:32.141386	2013-08-03 19:26:35.753904	131		0
9495	10nybfi55f8uwxejunp737ghn4	$2a$07$n.f32LwcgyVZkGVAwxAM0.1Xpe35bhtKLOj41CfVgoHJnlH0bjc0O	3	2013-08-03 19:26:32.165416	2013-08-03 19:26:36.02481	131		0
9496	10prdlljuk9ni81cm4rqfpw93x	$2a$07$nNhudppM7M3uQAVQ7lzs2u1cPvulTbTc/YgM7tBj.1uUwEYxlfrqS	4	2013-08-03 19:26:32.188678	2013-08-03 19:26:36.173807	131		0
9497	10p94ppbnxqxrk8xbkwsibqqn2	$2a$07$HUyfvuLQcZru4AMfPuPFCuawJvfUhvQbLLQuk0PVFpT0HcbRegkCa	5	2013-08-03 19:26:32.211851	2013-08-03 19:26:36.320598	131		0
9498	10wrz71cnh6jo0ika7us2zbgba	$2a$07$p8bp/bFJVRp4IFWXaRrw.Ogl/xtnxMKMQ564QiRgAg5OY1FZIZaGm	6	2013-08-03 19:26:32.236094	2013-08-03 19:26:36.447727	131		0
9499	10jkx09b5ywvx1doxwex5h7we8	$2a$07$Ti.MkIr4B64sziBCqcJkO.fX/xTFCW7Xz.0sp8DKSFGDNVpM9fqra	7	2013-08-03 19:26:32.271698	2013-08-03 19:26:40.793935	131		0
9500	102y0kkjaeshp6s5hh2u5nelzr	$2a$07$1USCJkIXfONHTjAch8QDVOkq6At.ZMOK77rRkW5YaLKnBUpCnqCbW	8	2013-08-03 19:26:32.303316	2013-08-03 19:26:45.702432	131		0
9501	1019j6caknqqfg6glid9dw2z3l	$2a$07$y8/wG/yXslmjFEZ0fn4dje1zf2zk.pBa3FmLypd6UJoDS.DGqpLRS	9	2013-08-03 19:26:32.326817	2013-08-03 19:26:50.649581	131		0
9502	10i5va6jol7iwbaym14ko3jnlv	$2a$07$AD6BUa37qno5eUO/OUyauuMTklP5Bv8li8HlQyrTNaztmjooqt3WG	10	2013-08-03 19:26:32.350599	2013-08-03 19:26:50.798507	131		0
9503	106tx6on6aksr3vlizjzi9zi7z	$2a$07$o/r51mL7wfAjByeWbNledOpN7TD.a27/0j8O5C5CZ9rk1dPtwxzqS	11	2013-08-03 19:26:32.3747	2013-08-03 19:26:50.919258	131		0
9504	10pwz3slxdtqqol1n901u3r52v	$2a$07$U9QuoXgHF0fBvuFOVNWOXOIKU8AgclRUyTbgp3OZWsnpCTb4UpbGG	12	2013-08-03 19:26:32.40614	2013-08-03 19:26:51.064597	131		0
9505	10nnp4htc38l30gc7kh60gkdt3	$2a$07$oBqabyqZ9TCtCD4b8mOho.QsqIgMkW1icWRsl1oYW9yhbl83ud.Yq	13	2013-08-03 19:26:32.429519	2013-08-03 19:26:51.225339	131		0
9506	107shfjcbn43ojh2ts84ylnsuc	$2a$07$yWY4JRMAwQF4uIgwu/6OR.zaOlOJocC1AEo6JXpPy0ycJoQfBGVRm	14	2013-08-03 19:26:32.452632	2013-08-03 19:26:51.410452	131		0
9507	10pwis9t315gqa9fethxf8enfe	$2a$07$/e9VT0Id6686aFcuJFdqmuE4t1TQxilUEpyk0c88hOLPwcwUBRuqu	15	2013-08-03 19:26:32.476291	2013-08-03 19:26:51.590839	131		0
9508	1037j3obtg57pociinvf5uocvg	$2a$07$8X8xTzL61kn8AeyQSfBnHelntkYBdhA8mmXoOFvXb/PMPWtWZNcbq	16	2013-08-03 19:26:32.499246	2013-08-03 19:26:51.731059	131		0
9509	10j4mnuatltrlo136cnf0zocr0	$2a$07$JXqdW/nwEzoOFWpbjaJ.nOswJCyR7K1.cV/Vfa5odYZ06jmeCd2ty	17	2013-08-03 19:26:32.522064	2013-08-03 19:26:51.858993	131		0
9510	10echqbp33qorn5ri78i3651km	$2a$07$dbr8jo25mXJXjaM2f8X64.edNe3WdQRxVnY51YX6.HA5Hr7eWdZY.	18	2013-08-03 19:26:32.545142	2013-08-03 19:26:51.978283	131		0
9511	10limgi9nutbbf3anw7t8qrjip	$2a$07$g5lZfnQAiXvezxCCLjnFsuLNBZscD39Vx/xWaqqNIuCsolCK0a6Ci	19	2013-08-03 19:26:32.569442	2013-08-03 19:26:52.093398	131		0
9512	10ou078vxgwp0wpynpp1ivdo14	$2a$07$OhY2Ie65EGg8Idxb.CdAw.llKmZH/6FwISWiyIg8zTCZdIP6GdaBC	20	2013-08-03 19:26:32.591701	2013-08-03 19:26:52.214673	131		0
9513	10lgr7gdwdsf37uauagphb7pqd	$2a$07$XsUQvyQOKsrcHdgbKFbE0Om5eHtOseIzQ1ERWdtLV9YCY4a7XnO6q	21	2013-08-03 19:26:32.614505	2013-08-03 19:26:52.356891	131		0
9514	10tz7pu4ixv6ju290jgvwdxgab	$2a$07$Bq4yKOEoQpud7/TCJFLpreq4CLhsGmia7JsIumcTMSFxylg6MM2mm	22	2013-08-03 19:26:32.638226	2013-08-03 19:26:52.521256	131		0
9515	10lj1qxlalv5d9gofiuf4jr83g	$2a$07$lU4cf0n0kI0DvI89mmCPE./x5GNNitatpiyWW.6UM3I5yFu6EAnC.	23	2013-08-03 19:26:32.66342	2013-08-03 19:26:52.675392	131		0
9516	10xxz3dspbg13a9dza3mmkx54f	$2a$07$hfpVV4osw6JPR9CwfR313eaRtCeZmWgkX2czTCRGA2ZqiyVzQVAve	24	2013-08-03 19:26:32.688606	2013-08-03 19:26:52.807377	131		0
9517	10e5e2hxhpe8xto687rtz2veh8	$2a$07$/NFjOf.cjjvsF1M.wMasf.eM5y.1EJLthqeO/gdAZGGjPp0f56z4m	25	2013-08-03 19:26:32.713049	2013-08-03 19:26:52.921134	131		0
9518	10x87netpwgdvjjwwdiguv5yj0	$2a$07$4v26KCmJ3AHC1xWokRagSu3myMIOmDjLyvKpGk2Eg9mB/fbpxfaMO	26	2013-08-03 19:26:32.746216	2013-08-03 19:26:53.030473	131		0
9519	1076qaj3yx5kt85c039fq2pmdg	$2a$07$1/mCO5gBfQhBGkWCXiLfo.pOGGwec4Vobfa77muzif3duul/2SOX2	27	2013-08-03 19:26:32.777715	2013-08-03 19:26:53.129316	131		0
9520	10ytq7y0ed63musq5cakjqqtxl	$2a$07$LGpiyGmb9NnMG8d.Zo564.Fjl8WSCm038iX1LQbqheOw3npbf9VLS	28	2013-08-03 19:26:32.803602	2013-08-03 19:26:53.461109	131		0
9521	10qw6b6913shh2j0mbx1x1t767	$2a$07$mDwyAc7oe0tuOq/TV0qhq.APhDfYeAwCtBywv9Jdj7jLEIzZwuPBy	29	2013-08-03 19:26:32.826525	2013-08-03 19:26:53.735446	131		0
9522	10795sae98vxl7rqpft1qkhv0g	$2a$07$2H1c1oZo1JrRR1.y1bJGnuplQZIOuEdJxJ0z1vOCqfzSicMaAaTLa	30	2013-08-03 19:26:32.84907	2013-08-03 19:26:53.924942	131		0
9523	10qlywyfxqespeyk68awj7p4z0	$2a$07$EcZM7aKZqV1A/2RD0siuD.VkyOUwWyW7qjI9S6RroTY5C9U5ROXHW	31	2013-08-03 19:26:32.871829	2013-08-03 19:26:54.040187	131		0
9524	10z6gn9sqkfotdvll7naqkgfqy	$2a$07$TpQONuWM6vLZg4C40trTaOzN4TCyteqb96.swk.F5l5mrBzfljKdG	32	2013-08-03 19:26:32.894387	2013-08-03 19:26:54.190376	131		0
8611	1044ai723aumjkr15wp4eungh4	$2a$07$kK6I.4mfsGHVC1xUbWEx9OMW8Le6RSljtQYs3EifW23Zy1bX7UttK	1	2013-08-03 18:51:32.095286	2013-08-03 18:51:35.566067	124		0
8612	10t66zggqezhp8yuc5xw961b9j	$2a$07$/zIqCYyK7D8iyMXKwrYX5.WKK.IeN1NZmSnRsFmNhxt4ESZ6ahAJG	2	2013-08-03 18:51:32.121696	2013-08-03 18:51:35.759263	124		0
8613	10r8re0wavbzqsjjlmk0qj0y16	$2a$07$xutxDAEjBlodrkhmM5znBeK1cerTNcTCzfGnltxV.ly4QTN.roE7K	3	2013-08-03 18:51:32.143623	2013-08-03 18:51:35.972125	124		0
8614	10j4v0nus49v53kjp6si3y7xkd	$2a$07$f7zCfUoirbWkgClzE1LBkuXClvFki/NRrOjJWFLMgJwyw8I5rhAmu	4	2013-08-03 18:51:32.165208	2013-08-03 18:51:36.092813	124		0
8615	10563vy4ppb2fxscqhtd7ifcog	$2a$07$NFup.JRqCM.JgMQ26yEtf.0wPDX6As.r2fBmSxjiy6mSuv3mcK6Eu	5	2013-08-03 18:51:32.186971	2013-08-03 18:51:36.21153	124		0
8616	10oqcaspyf9tn8finqxi6qgzsb	$2a$07$m.fKzVLeoKSTiUh4eeRi/.zw2qm5aKekvVPBNJSJOozHvDtbO/qmG	6	2013-08-03 18:51:32.208632	2013-08-03 18:51:36.367347	124		0
8617	10fnvgvocj0j98ysc8zkz67pxv	$2a$07$2STlSVNtkaVAaNLkVzUyauGX131oIADulSQUGV2aBXw5p2VjUT226	7	2013-08-03 18:51:32.230646	2013-08-03 18:51:40.206263	124		0
8618	10iptnor5j1z9xzl4fhb1cus8p	$2a$07$HsovgyCNiUsliyC5Y5cF3OJjqLZjn/ig8hUPvmzzxs3iC/EwO.sLa	8	2013-08-03 18:51:32.252987	2013-08-03 18:51:44.18598	124		0
8619	10a2s01kherr9qq1xd5c2nyrio	$2a$07$axYpsRRaDV2xLqzWfXe95ej4P4VhsBAtuHR6laECxxmGHiw1oyDra	9	2013-08-03 18:51:32.274576	2013-08-03 18:51:47.971505	124		0
8620	1002njanifmyoaxhwsc9e5ir3s	$2a$07$J68EBw6SGS2oi.kXjWulX.a2mmrtuea.qINPKyvPH7xlsOnO8S9wW	10	2013-08-03 18:51:32.296046	2013-08-03 18:51:48.105016	124		0
8621	10ssqqjee3oyvisbwopaz8j5x2	$2a$07$V17Whe8K4dV/yZUf9fA4Tu/QOsv9vKsjjeHpdR1L3B9jFMBWOAgjO	11	2013-08-03 18:51:32.318894	2013-08-03 18:51:48.243807	124		0
8622	10bqvlab6xlopfvkkpdv8q0jcp	$2a$07$a0f2ouRN8svtp/TO2PdQEuAndUegbuNMTkbBkcrP2WdC9W1YOiIJe	12	2013-08-03 18:51:32.340423	2013-08-03 18:51:48.384504	124		0
8623	10fv78n1crve36wohsn1ed8yhs	$2a$07$9nsopOVhFScIcdQHOFJq5eNcE62njXeDOSvI1bjANLcUmJP3Y6Rr.	13	2013-08-03 18:51:32.36214	2013-08-03 18:51:48.622689	124		0
8624	10m0xkd1gbbmoqyscv3kcm5ek1	$2a$07$b7zFbmSUGmxTLMua3FSwMutdfNIQ.6Qpa7RCEggGKXSzXhI7opWbC	14	2013-08-03 18:51:32.383736	2013-08-03 18:51:48.857226	124		0
8625	10z8v7ahk4mcwxulth3fpxdcfv	$2a$07$.bd6uhLShmn00pGdK0sHOu3hSqct4ZPvsnEohCh6MYBSSwLf7Urw.	15	2013-08-03 18:51:32.407076	2013-08-03 18:51:49.082463	124		0
8626	10khod93ym8bhjy8fgxdhp924g	$2a$07$TEwSJ/scX4Oq2ohy1VC1QOASOouMZua0G1gIcwd8vtFkUb.MOImmK	16	2013-08-03 18:51:32.431246	2013-08-03 18:51:49.224253	124		0
8627	10hu7f5fwqc9agqh7lvhfg231k	$2a$07$7tbiiZGu63YhIykEjUOovOgbpxiN2Khd9LvGOE7os63n3Avrx2awK	17	2013-08-03 18:51:32.456608	2013-08-03 18:51:49.357601	124		0
8628	10sy1ivuzlt0a3u6qetmoi42zk	$2a$07$7qx0zT3YKz5ZFICtCm/rF.6p4XWQi81YLKxjPrIJT/beNQ4heX7QW	18	2013-08-03 18:51:32.47858	2013-08-03 18:51:49.491711	124		0
8629	10g7yjpun9ovl4t43qt1rh6amd	$2a$07$/F3BfZD33kgbNLyP3Xri5OlS9AzkY2T03wJPCpUeW80.WNjSgsps6	19	2013-08-03 18:51:32.500444	2013-08-03 18:51:49.59774	124		0
8630	10rv39v8g0dudnkt11zokzcb9w	$2a$07$x.36mlEca92cqn2Sczs7kehRU6UN3m40a2SptTFiLtkqYvX2p5TWa	20	2013-08-03 18:51:32.523411	2013-08-03 18:51:49.727937	124		0
8631	10nfasl3tl9q96b6d0iudq08y3	$2a$07$ZKOn8lAMGV4b8LqpwKB.SuWrJ1WI17L36k0b6j8xYk11zUQlhPzru	21	2013-08-03 18:51:32.551247	2013-08-03 18:51:49.875734	124		0
8632	10rxx3enr2j0imstsn55sy1pue	$2a$07$v9omcJX.owigwwaAv5dXYuPEMkWyPC8XQx6.Lo6sNRCzdrk.G7IXu	22	2013-08-03 18:51:32.574355	2013-08-03 18:51:50.004852	124		0
8633	10tbsykl8tolwyha17vi914f5p	$2a$07$/TlOg6bJudndgFSwYNfOguw1qPaIjodVHheKRhHuPIzNCaMPxztRG	23	2013-08-03 18:51:32.599933	2013-08-03 18:51:50.133384	124		0
8634	10v38bsummgtnucoh64cbhl76r	$2a$07$9yFGOUvlfdj2aX3PmJO0ZeykCQbdyxX9ZWk/sQywrvo.12c7L2UYy	24	2013-08-03 18:51:32.634603	2013-08-03 18:51:50.248891	124		0
8635	109t4e0v0hc5vd429cyp21don6	$2a$07$AFn0ffkbDnlj5xq3CZRyd.7QpbP9ZV.bxqN6OOeGAhWFtOr/de7Pa	25	2013-08-03 18:51:32.668663	2013-08-03 18:51:50.381472	124		0
8636	10zk7dcwpvffo5q0c62iyjv5q7	$2a$07$uhx9JxhyDovpc7WGJ80KROTlEpae/uCkWnYBqO45rnaVlS86WBen6	26	2013-08-03 18:51:32.690591	2013-08-03 18:51:50.50368	124		0
8637	107v8rj7n78xi2r9eedhpk9q7p	$2a$07$1gYIn6PFhi0AahpJDlvnmegETajx4smRvMMAc34tEZtUFFw2W7WdW	27	2013-08-03 18:51:32.713104	2013-08-03 18:51:50.628769	124		0
8638	10m3uixssfz4wp7jv3v12oi91j	$2a$07$0GAEV9O3aiCJW2SUFXT/beFxioO9fqDudbwJFT4mOGAp8czUKiKkS	28	2013-08-03 18:51:32.736558	2013-08-03 18:51:50.815207	124		0
8639	1099p2mynj7eejorqhdslwg2ds	$2a$07$cCa0bGsC3ek7fITJnePQ9OkkNfEYbfVXPTFoOnl1ZBQTjxVv8MaFG	29	2013-08-03 18:51:32.760052	2013-08-03 18:51:50.975131	124		0
8640	10egxtefrhlidx7ct8l9jcxbf6	$2a$07$t9DHnhRt8l5Ua4L2qq7rCOb7GUmY5nIlnGE3TBgU1tQhspz3G3tsu	30	2013-08-03 18:51:32.790554	2013-08-03 18:51:51.246576	124		0
8641	10axewyopg0agf3k7ciurt8wgl	$2a$07$UF76bO88HQwQQhLzss.JHuPYNX87isMk1hqqM7asBtoTDGZOnUYZ2	31	2013-08-03 18:51:32.819534	2013-08-03 18:51:51.395492	124		0
8642	107qe9o8ox3jwea4sttn1evjkr	$2a$07$XoAE0kzkdomtc5w5ScaH9.EnZ/ZWcpahiFpTC.sTMfF9mGOvg/lF6	32	2013-08-03 18:51:32.845982	2013-08-03 18:51:51.547127	124		0
8643	10yx43yg3mnxzprawzcpzs3b8c	$2a$07$rXjrUeaWBK/e6UCd.1T5MO9u2dg1EevlyIj89e71sM1kaOVGcWDnW	33	2013-08-03 18:51:32.875717	2013-08-03 18:51:51.682862	124		0
8644	10jckmou0ss6qosdriwl1skxzc	$2a$07$pGhbfaqvwT9BXAYypADn4.L9ixpPtZ7rMtKisjylR9ERl.TOuhoTm	34	2013-08-03 18:51:32.912035	2013-08-03 18:51:51.795882	124		0
8645	10mth8v48vaapg2ir0ifeblxtb	$2a$07$MCmfiNb58GN2qDRyXmIsPeZB3.77vPsdbgJ2Qo.0keEc4Ph0O./dK	35	2013-08-03 18:51:32.935183	2013-08-03 18:51:51.934335	124		0
8646	103o43u2lchsalkkw4p1pak6bx	$2a$07$OB/0GFGg.JFmTP.ZpzZlBeYlNzyaWsWOVfrLOqtKEXeFMC/u775n2	36	2013-08-03 18:51:32.958906	2013-08-03 18:51:52.055631	124		0
8647	10ptqv2uqo0i12n2k9tbu0ldty	$2a$07$FSKbmnXWmH8QYS3DVPbP4OYRnpAFcJqE9.6uXWkdwNjmHDXSMyia.	37	2013-08-03 18:51:32.980867	2013-08-03 18:51:52.203004	124		0
8648	10qaqlrytx32tmho170w04fhra	$2a$07$0PQMSoKDt2RWh3qN409skeWNRWAkVoIsPUGAj8V3qfjlAAPetRjLO	38	2013-08-03 18:51:33.003061	2013-08-03 18:51:52.367806	124		0
8649	10i29aazh8dkifkeh0wblbbgdj	$2a$07$ejk1tShGuUVi/DQAhPpGQuAPnvc669YEhIF4kQHYjSz5ynamrfocm	39	2013-08-03 18:51:33.025883	2013-08-03 18:51:52.487768	124		0
8650	10rompb5g3to2o8urjayxbt8wx	$2a$07$.3UHapy56px.Od2wj8Ig1.qcLeLSv9LqIW3gq2wWwEqeUJ2YbhyEe	40	2013-08-03 18:51:33.049232	2013-08-03 18:51:52.619463	124		0
8651	10hf66etv15kbyt1s3sgoxswgh	$2a$07$bQPXnDO488Jy52oJ4Dt/me2EQiF4V5MqE/gSbYaSCHGjlJwtj/pNu	41	2013-08-03 18:51:33.072662	2013-08-03 18:51:52.757421	124		0
8652	10nnnljhspjcrx0u1zaqm0ck7o	$2a$07$r1McXNlw85kuHzoLogu7MO3X4enUwOXU8PFhk87d5tHH5sroUKIL6	42	2013-08-03 18:51:33.102987	2013-08-03 18:51:52.871742	124		0
8653	105uimy6f5xl3ymxg27g5h37u0	$2a$07$CfhryjRjvNkYu9S0.01gg.Fk.lGpG64snluvtmusGnRruGpavX6fe	43	2013-08-03 18:51:33.12648	2013-08-03 18:51:53.000171	124		0
8654	109lj4etene01tofz084b40a6k	$2a$07$1kyEIaHPQRNiZMsYVuqtSeaRcBFOazYp9Q1.UxntWxadmZsTgUKpa	44	2013-08-03 18:51:33.151561	2013-08-03 18:51:53.119888	124		0
8655	10qmxhrzxzuf8c4tzl35c1wecn	$2a$07$wXt/9khzdAlq7f42KY4EeexCzBOk3liDmRJS4PZppnixhLBs31E1e	45	2013-08-03 18:51:33.178963	2013-08-03 18:51:53.247429	124		0
8656	10fwcaudiwvtqtnc9yasi98vlz	$2a$07$WOLktsqPoez.NPhpmIcnaOJVLdJIh1DYBf2epYzYOWE2PHcc2cNeC	46	2013-08-03 18:51:33.210237	2013-08-03 18:51:53.445522	124		0
8657	10y907tqqnlpdmzzt5ls3sbj0a	$2a$07$O5eCisH0z/doRtSS.ayTBuxAWScyNoABmAVfGExPkdCEL7EAgjuMO	47	2013-08-03 18:51:33.248545	2013-08-03 18:51:53.626573	124		0
8658	10dx2p8oc8hm3aowh3sizccs9w	$2a$07$AdKJS0nlslCkcOOzbIWWhuFLrW.hH71Cm9Puqm41E5.DmNrnDSBxW	48	2013-08-03 18:51:33.27254	2013-08-03 18:51:53.883147	124		0
8659	10nkwwkk3mqmxurlrsh7qn74d9	$2a$07$I4CqqEwf8XVEzyyBMITPae9A72v3bXshqy0pHf6tWFlpBYQQysvBG	49	2013-08-03 18:51:33.297407	2013-08-03 18:51:53.998023	124		0
8660	102k1be0vxjs4eo9lqjse07ywp	$2a$07$t6iAYTMt4Fo/1H1ObJ.uhuM1bZ3qQsms2.ABDkRQU.zGYAOSyXbhy	50	2013-08-03 18:51:33.331868	2013-08-03 18:51:54.161904	124		0
8661	109fg8en6yw64dhfvl9ep8ft6e	$2a$07$g7FgqwkdUNlFB1gtOhETzezwWhkFMgQAP7jHV7luM.ZPhRtrP60YK	51	2013-08-03 18:51:33.361431	2013-08-03 18:51:54.295954	124		0
8662	10rqccl4orndvopolqs1mzn8r7	$2a$07$iVif4PMt4vf77rJ1LmmoAeTatbzqy/4jWnebwtGg2ICCcjJxG/ZO2	52	2013-08-03 18:51:33.385276	2013-08-03 18:51:54.41781	124		0
8663	10qp3pbrxslrgqv6lx7vjr6do9	$2a$07$cUNQWtrMyVSWWgWDx4bRxunTmU6FDFqbaGgWvKOoQmmFxGAtS8U.G	53	2013-08-03 18:51:33.409531	2013-08-03 18:51:54.566225	124		0
8664	108c9dkx4fg0b793c1f37o025s	$2a$07$gys9OGIeyMTm7PviZWifyuYgp9uuFLsdlGgN5FxcTnnfLyFrcfvlu	54	2013-08-03 18:51:33.435803	2013-08-03 18:51:54.708562	124		0
8665	10z65q821h8yu112vnwsnn91fc	$2a$07$9oP1y7oaB8zuG1pZyqmR4.0nnmeZMhqzUDHkck.NMhwmZUeGLbo1W	55	2013-08-03 18:51:33.459837	2013-08-03 18:51:54.854296	124		0
8666	10jxip0kkxst92dfgk2aggrhid	$2a$07$lZ264VgPuaLTCFacblMy8umeIaiBpdEp7YoX6DNFX.q/2nJD22c2O	56	2013-08-03 18:51:33.484013	2013-08-03 18:51:54.991373	124		0
8667	10vlh5ccf3mng7hynya607qbtk	$2a$07$tEcPcHMBnol8KEqZqffS7ugMTX6Hcz4uVwinvT3E8ak4sdG0fmtGm	57	2013-08-03 18:51:33.507288	2013-08-03 18:51:55.093373	124		0
8668	102hbq9ha8lvpj2thk2pfvh95r	$2a$07$F7cwxhPrA6PqeQ2qK.j1n.aqf688.gdcqXz4gGNAzurC5x5pKqE4.	58	2013-08-03 18:51:33.530426	2013-08-03 18:51:55.210188	124		0
8669	10uerinp7bfffzrtc9xj4ievrb	$2a$07$RwkvhhlbcUNhCBIMxPm01.zquLVEgj2uL1csIbWTeYGRPsIk/GFKC	59	2013-08-03 18:51:33.554217	2013-08-03 18:51:55.319623	124		0
8670	10q7xt97niflf4l1ofyh8hc5r2	$2a$07$B5QAbhpCeUJ80lE79TzReu7a4ClIKwCRfuLrlFkNmo/U5twDchuKC	60	2013-08-03 18:51:33.578212	2013-08-03 18:51:55.411857	124		0
8671	10odmdpwrya5hlg5er58tg28vu	$2a$07$CJ9mFKMVxIStqp8Q8EAw.uXmSzNimYmB3PJsm75T91j0Z9y18B7yS	61	2013-08-03 18:51:33.602666	2013-08-03 18:51:58.309315	124		0
8672	10kpmiac1676ntp2y9hspe5328	$2a$07$4VsoH5yvkqc6GCuazDMvTOB423UICKyhMBo671ww/uMTINKqbyv/W	62	2013-08-03 18:51:33.628396	2013-08-03 18:52:01.085349	124		0
8673	10ob9m81xm5a5qoocqi07tb0zu	$2a$07$SAdTtee9scoFeRnpd782lOrKMqjugQyarcVeedNKw4zZIP4Dzte1q	63	2013-08-03 18:51:33.652593	2013-08-03 18:52:04.099225	124		0
8674	10lvz5a0tnmsb43g0j5okyjlfo	$2a$07$8HiAuXJNHbLXSa3IsQ9nhOFpEVwok23ZEGEzZ.cqvf.ooN.Kvoxwi	64	2013-08-03 18:51:33.676409	2013-08-03 18:52:04.240057	124		0
8675	10awotoqe9d28refim5vwcvfx6	$2a$07$l57O9DL4xWBar0rQ/1YfieJIoL509mlEsdKr45BB/71jCSgbgf4Va	65	2013-08-03 18:51:33.699714	2013-08-03 18:52:04.382308	124		0
8676	10q2gy5ml7c5dxwurq4gnhjzyp	$2a$07$HV5czQf2B8cRsAw8Gg7aNugnRpt4RJX4bJCAwDwcLGOt9HrelPWZe	66	2013-08-03 18:51:33.72376	2013-08-03 18:52:08.08977	124		0
8677	109crn1sjfc0rxnlqtuobkq2u9	$2a$07$QkoIDcl6z7S9k0A5OzQgq.UeZFOqPqeUdYLa6l.Q7FaLMZH9AqWyS	67	2013-08-03 18:51:33.746559	2013-08-03 18:52:08.228873	124		0
8678	109q327ife83w92tat00wef3l3	$2a$07$5DIsid1H6tb8auY3jOl6buSWNcH6PtqMKRuX4wg7qll8jEUzR/LJG	68	2013-08-03 18:51:33.769588	2013-08-03 18:52:08.499386	124		0
8679	1067fx1rxy0femev99o91x5daj	$2a$07$bj.Vzun3M.o4EHnC/PTJfuDZtv0kh8yL9DKqqgTXG11HXbhwlVI26	69	2013-08-03 18:51:33.792595	2013-08-03 18:52:08.63026	124		0
8680	10tsfnbpl7njncst6wtsij9hyj	$2a$07$7y3CmRahzqpsT1jxQYYoMOz.HnlElYxNuxaOrAFYHqTk8KPVPh6sW	70	2013-08-03 18:51:33.816104	2013-08-03 18:52:08.780544	124		0
8681	107xwghe3g1xx6e5g36i0cftdh	$2a$07$C1tN1P7xwUtW/8IvypWtauhlQXbQ7KwsOsHaZevKshnBbX8nSp9i2	71	2013-08-03 18:51:33.838282	2013-08-03 18:52:08.901077	124		0
8682	10bpefn7nb7k4j22210z4nb5a6	$2a$07$P4IVa/7SuCrY6tOwPPKPQOgxVfwSaDcp20WtG2vtev8vLB79P7s0K	72	2013-08-03 18:51:33.861974	2013-08-03 18:52:09.017585	124		0
8683	10lounwtejr62tzanlfuaxv0vh	$2a$07$OGFChGs9YyFu/ClqRVb1duMgY3ogqN60I4Lub1bw12aIAJss5atXG	73	2013-08-03 18:51:33.88589	2013-08-03 18:52:09.144149	124		0
8684	10myl1cz657fhshunvsxww9753	$2a$07$pXSeG/.rttyem9Db9osf/OtB4UaOXZ9y8.lZycfW7zQHOybh7kzby	74	2013-08-03 18:51:33.908021	2013-08-03 18:52:09.265046	124		0
8685	10ht197t3wnr9i11np031jp4yb	$2a$07$naBd71td05b3URQo58pRjeCr3GkdAlt2hA.OT3BCS6FeW8RWWJmZW	75	2013-08-03 18:51:33.931062	2013-08-03 18:52:09.389453	124		0
8686	10y2min9g7rqltoo6bxgvh9mjk	$2a$07$FmiMfEtNzbmpvlEqoLGzw.QfbBz9YSKps/kKhmApLfIyNsZRag2bm	76	2013-08-03 18:51:33.953904	2013-08-03 18:52:09.526235	124		0
8687	10ulmtux2nmlsp58x6maldqmys	$2a$07$7UOOJRxXoFTwEgwaBiTKs.G203XTaS0KNhtDidi4vXHSALFanRtrK	77	2013-08-03 18:51:33.977389	2013-08-03 18:52:09.65404	124		0
8688	103et9svkvkkwcng6n631ebqkq	$2a$07$91QGi2SBOI833B4k3Nner.FwsSNwaJJVnmy3kzy4C1EQgohOgn/Uu	78	2013-08-03 18:51:34.000892	2013-08-03 18:52:09.787183	124		0
8689	10cqxm6evbtezk33w9abrscwfp	$2a$07$Ex7t28KdG6MCYy66lyDC3eUPIl3iI.fAk8I0MKK0tOCWypyjvnFi6	79	2013-08-03 18:51:34.023789	2013-08-03 18:52:10.091887	124		0
8690	10pw4ak3cd3d4zz1p9ie8i4rfl	$2a$07$jwXnNTjus44hAZlBIBpbDuc3F.D6N94WHJFAzqpNER6Z3ZZtRSN7e	80	2013-08-03 18:51:34.046737	2013-08-03 18:52:10.205886	124		0
8691	10dse9whsak5talyxbnzh7l1z8	$2a$07$suERYryjyC.Ug19j8wgxqu5F/VgFT5.YaLlH.rFTexEq8m/arBpgG	81	2013-08-03 18:51:34.070225	2013-08-03 18:52:10.401447	124		0
8692	10dv6zf7z23yo320w61qrzwcxh	$2a$07$XTh8U5M0HyCdQ6b47JMWeehaTNA54XHA4GybFhxi9NriZ2R.4.WH2	82	2013-08-03 18:51:34.093287	2013-08-03 18:52:10.510089	124		0
8693	10v56xaq1tjncns57r7fx6x62a	$2a$07$SwP4qGcHEOrs8Af2Fbj29OX8Nwg2lMxy0Bpm2NI3C7684opXymFdy	83	2013-08-03 18:51:34.116317	2013-08-03 18:52:10.632752	124		0
8694	10qsea733elqa53enb6fhj45op	$2a$07$xVFwy5R.x9VIV5mroUDTVeNLYIuAWwiLj.ag0Qxus6Lz.GE/zCYxu	84	2013-08-03 18:51:34.13785	2013-08-03 18:52:13.484249	124		0
8695	10hdgez15588t0m1s7sfnmo7ds	$2a$07$X0qBAbQIQRZ54VrOy6mZgeigpSQKtZzBTAA4ajeMaYX5JxI4hkWTy	85	2013-08-03 18:51:34.160959	2013-08-03 18:52:13.614571	124		0
8696	10dg37ol6u66wtnksn9zt4kk21	$2a$07$74ejy6aV.41pFaUTNQf8jORKMQMY61e5Fbkaq52wRWfkeDbWn9i3C	86	2013-08-03 18:51:34.185451	2013-08-03 18:52:13.729926	124		0
8697	10r219wg3nad8l8s2v0xy7l0at	$2a$07$2tmnouscTWxgMPy7jYM.J.x2xOep0m2FLSNfJwRt.FIdZxZX8EjfS	87	2013-08-03 18:51:34.223113	2013-08-03 18:52:13.850545	124		0
8698	10tl2goqy7q2k81bgswmxtdcsc	$2a$07$RneCJ.Ye1Uqslx5aF0/Ylu12bpADuVQlsF7n8kVDm9t6z/9pz.ntq	88	2013-08-03 18:51:34.256383	2013-08-03 18:52:13.993341	124		0
8699	103ysemd061kxehclnre7mfaev	$2a$07$UYwpZJfkSbkRcManiPQtMOGn4K8t718zkkUAUfKlXXBMCdzo21zH6	89	2013-08-03 18:51:34.278254	2013-08-03 18:52:18.049722	124		0
8700	10swrna0p3b8ir8kpigmqlequ7	$2a$07$wyvbtRmYjaokFie5jh5/q.4erg9V6YX11X5LYR2DDIXzrvgNQq2B6	90	2013-08-03 18:51:34.301236	2013-08-03 18:52:21.939669	124		0
8701	1030jgsbsv0ycunkn6wz40pt4r	$2a$07$TZe3CGcwBi6e0Q/P5P1fYuwImcy48wuFpSR3RLkBMfftzwhkPAa0m	91	2013-08-03 18:51:34.323343	2013-08-03 18:52:22.077829	124		0
8702	10ebkyk7kilhi1vxu2i68cjgv1	$2a$07$bEk4HvWSB2fT1pFOT5NYLOTupHwG6BtQrsPjaRGMxiDi34woW0ZHe	92	2013-08-03 18:51:34.34639	2013-08-03 18:52:22.212612	124		0
8703	10adyz37vub0uplp8o6vl04qbo	$2a$07$WquVjHgkRau13.h2KgUZ6.vYAtp7P/0l7J0KG9z4oYxoZ5yNj2Gyi	93	2013-08-03 18:51:34.368741	2013-08-03 18:52:22.366796	124		0
8704	10yammma1ljqy2ljs7rb8308rd	$2a$07$LI4J8wt3w57LqsYXzRmngO6S1Ssr2Mqv6hUw.wGqkICJi27WFmMyO	94	2013-08-03 18:51:34.391365	2013-08-03 18:52:22.631472	124		0
8705	10v74q7l5pe2cvovxmy52ljagu	$2a$07$lrN38wkXxZh2KT/bb59XgOQ6GU5WrJWYW0YDMI8cc8AxummXYtRDO	95	2013-08-03 18:51:34.414407	2013-08-03 18:52:22.741439	124		0
8706	10jdzox8m66t7ks924gyhu1ksy	$2a$07$IFW0Zge.6PEFkDc4ZLr.0u2/1sg1918E25ZJsDxAxRbeI7cG3mdo6	96	2013-08-03 18:51:34.449361	2013-08-03 18:52:22.847778	124		0
8707	10huezn6fbqblhk65h3jr6fefi	$2a$07$UW.fjcxyFIN5y9emtvigIO09ouZpUtE3sli5Bx6tbi1YtD0MTEQqa	97	2013-08-03 18:51:34.473718	2013-08-03 18:52:22.96253	124		0
8708	10c22y4wnc5jhw7dk5th7aj2m4	$2a$07$0kxFkDwWRmRwbOJQ3ze5J.fbYqpyN4wsBWkMSNgJF.uxXRrS3gZ3e	98	2013-08-03 18:51:34.497954	2013-08-03 18:52:23.063064	124		0
8709	105b63w7p73i0jpm8fnxzua1oy	$2a$07$.SwFMBchEVHqWKeM.UNc9.UT2h8wZDGA6MDavCvYnx2/dPPDTsVke	99	2013-08-03 18:51:34.525638	2013-08-03 18:52:23.160968	124		0
8710	10vpeunutyc7qvhu8eqco2p2i8	$2a$07$vEZVDKrONY6OvQlldWbHVeY14KQsDTtBlPjaz4R3OzboMi4ihNFiu	100	2013-08-03 18:51:34.54799	2013-08-03 18:52:23.30395	124		0
8711	10e0vmhzn8jclo7z1s8gekofjv	$2a$07$6YH34WrXJfCGG9Bm8LqBBu8jWivM4V96rUkgEOF/AKBpvyFs9mSHG	101	2013-08-03 18:51:34.571121	2013-08-03 18:52:23.421328	124		0
8712	10r6d94xo5xb8sb41kh047g4nf	$2a$07$S36dgh3tDR4tSzjLzLjMbuFD3e/xVmNRDBjjl0L.KoJDTSblVol8G	102	2013-08-03 18:51:34.593192	2013-08-03 18:52:23.540823	124		0
8713	10fxej3xsektdps1kx0oes65th	$2a$07$r7j1Yi2zMZ29R9XpFmmZAu3DmYE884mg8tK1t9A.hGBP20DDgoaqW	103	2013-08-03 18:51:34.615806	2013-08-03 18:52:23.691777	124		0
8714	10haed6opcsz8cjve7eduloj4o	$2a$07$Bnn70eY5TycEKk3WF/v2C.kC7C9Z7XOHCiPd24b5S8/xChSeSTJwG	104	2013-08-03 18:51:34.639243	2013-08-03 18:52:23.802673	124		0
8715	10aahoqbv6dpne23jm3jostb5s	$2a$07$XTGDtwdznDgu/KEWNZdM5uAAhjxBc5lng/bYMpUViEe0Zyw56qqfO	105	2013-08-03 18:51:34.663242	2013-08-03 18:52:23.943548	124		0
8716	10girh4o96ak7a95eq2xwsy4bp	$2a$07$07mrrnSwwQcuB/t8jag1.OdXE6bfx5vb1paPhZLizZcu78aEJmwJW	106	2013-08-03 18:51:34.687722	2013-08-03 18:52:24.066323	124		0
8717	10pq0d2iyv6rd3cqrknvke0kok	$2a$07$Jsm1edxGgw8ODJwTNdZFPei85V.b9dXnvZjGRHFq6DrjT3Y5T5kzy	107	2013-08-03 18:51:34.712802	2013-08-03 18:52:24.188282	124		0
8718	10opcldfz3wjgw099zdnfud08e	$2a$07$6tC44XrYHeVHPO2b/Ijxq.ifS8XgRUREVMwlXVRjvPwZ7TMzfkWoy	108	2013-08-03 18:51:34.744778	2013-08-03 18:52:24.318423	124		0
8719	10ru8knge2nrfnh401nqbpu429	$2a$07$YfAkrG9ysy8ymFUS1wEds.OQmXQQJnRivSDZszeTffx/o.I/NmDMq	109	2013-08-03 18:51:34.769164	2013-08-03 18:52:24.440341	124		0
8720	10c6nmrrxdhldnkz4zibfpbxls	$2a$07$iS9vo5cxuEF9X5SXgB5SQuhp4GcqWY./v1wljgF7Ff0QqD8I9ZziK	110	2013-08-03 18:51:34.807234	2013-08-03 18:52:24.565002	124		0
8721	1084wrl89mvzd470vlrr3qst2f	$2a$07$sQIGcNRhprr7bCHopD496u.NlfvY72qGJZMVWQF.f78YyfZHu67vO	111	2013-08-03 18:51:34.844939	2013-08-03 18:52:24.668788	124		0
8722	102hr2xom527gbln9dslgpd2qt	$2a$07$fvy.F5uPQtH8PHP4uO6v3uq0MG2FZ/mX7judR6ZM98QRS50UKMxVO	112	2013-08-03 18:51:34.869099	2013-08-03 18:52:24.792344	124		0
8723	10tufh5pldijsbw9n8nc2r14ay	$2a$07$C8U363XDQAR1l6mTyWclDO7a8a/wAXTkSG1wT3.8Skwj3Z2vJujoG	113	2013-08-03 18:51:34.903278	2013-08-03 18:52:24.897291	124		0
8724	10p0bp8voibsr5ahtbjdk9kpde	$2a$07$WNtNl68232Nkq2n4LUUM6OkduplLNoj.z33ZBwhMkP7nHomlJrim2	114	2013-08-03 18:51:34.926489	2013-08-03 18:52:25.259167	124		0
8725	109qx2fosspnqmocn1oq6un14p	$2a$07$GNuz3vK7CVateR4hZxmB2uNH/XvEccs1TOJyVGx3bSMKtIaBIp28q	115	2013-08-03 18:51:34.961786	2013-08-03 18:52:25.595091	124		0
8726	10ppm2d0l33jm2pexj36tqwmhq	$2a$07$ihRchSJAEZsybz6fzSiCquFA8Wsc24UpwM86/9sBSsmc5JMMQpIrq	116	2013-08-03 18:51:34.989781	2013-08-03 18:52:25.756697	124		0
8727	10kdsfep349xtaxz3biet15mml	$2a$07$diGaPvebqhgxtvKkVcY/muBBVJ4U9APzJRQlSuRxmeFq3VsGGFuWe	117	2013-08-03 18:51:35.027207	2013-08-03 18:52:25.908385	124		0
8728	10hv3c8gxddguqzbrspt2hyfl2	$2a$07$LlZRONlEIjKE3UC1HNbJtOSUm/xTd.ZN2sBgkWHbWp/bRBpXD3fIK	118	2013-08-03 18:51:35.063617	2013-08-03 18:52:26.010447	124		0
8729	107fn4ib2mcowsr1kjrirzw0fa	$2a$07$yoBxWLqb5qv3oj64VS9osOgDByemY70NEcDy5YvLtZmKFeV.9HuDe	119	2013-08-03 18:51:35.099076	2013-08-03 18:52:26.148505	124		0
8730	107qcef61hzffryw6io18kg0iv	$2a$07$hDo1aaqLiMrWYXH4AEAKoebi5KAtJz/uAe0FI1AkB5O2OH2zgGf9m	120	2013-08-03 18:51:35.122857	2013-08-03 18:52:26.283966	124		0
8731	10gyrgslqs5osugteze3tymks3	$2a$07$vvsCFKGbCaivKrePlcyG9uUnTs4KdOoxzALMXWUQABJGuDG.VErIu	121	2013-08-03 18:51:35.15069	2013-08-03 18:52:26.420547	124		0
8732	10swe8w6lcmdev2btuqjymlpoa	$2a$07$narZRO6B6fGQ1jTTsQU5p.1Xd/0q2sEQ3p4e2GMFVUHPJTqfq1ydm	122	2013-08-03 18:51:35.179914	2013-08-03 18:52:26.555624	124		0
8733	10f79amyfjmemo5bk5nq6imsb2	$2a$07$QpX6lsIo7mGpvpmZQLTcvOFTp6udDOhU8mBfaUQWC/FFjI0wjog6S	123	2013-08-03 18:51:35.215845	2013-08-03 18:52:29.188461	124		0
8734	10hgpu8qpykcm43h68hkt4xrdy	$2a$07$YTLMS8O0T/jPkbcMGUhxr.zGU3dCCAY8zOaC.B5amD66sTUE2DGK.	124	2013-08-03 18:51:35.250726	2013-08-03 18:52:32.206775	124		0
8735	102vw1auekizlgz54205kjisym	$2a$07$pie0A3gYwB4fgbqs.5depOl3TYYFS7Dc7TSr/ELVMV0OnHWaJNToO	125	2013-08-03 18:51:35.276392	2013-08-03 18:52:32.314816	124		0
8736	107llqib6oafd92dslvj2e2w8l	$2a$07$kiog/lI9mxdZ.N9yFPm0U.uNEc0IwhcTck0sT.YkAx8HftBY/bXJS	126	2013-08-03 18:51:35.299248	2013-08-03 18:52:32.414107	124		0
9525	10f7h246evma5kunrfsfq5zdz9	$2a$07$u0T6uz30EcijrI5HCnM//um8oAWtzfSOQiH8Gt.wwAsk1BfY6wlaS	33	2013-08-03 19:26:32.917448	2013-08-03 19:26:54.355401	131		0
9526	10mnojldyaojdclwt197lykaky	$2a$07$/DJ1JOlFO4/V93HS0kw09.bw/n.5W/nCWHvLtShxyMFNDgpWhyV32	34	2013-08-03 19:26:32.940737	2013-08-03 19:26:54.504144	131		0
9527	10iqx0hft2za96kpk6yf365e86	$2a$07$ypFn7yZlxOd3bqyyWynJ0uWQxMRk1Zv6PlfQ0/tCkLx9gqurrN/DC	35	2013-08-03 19:26:32.963516	2013-08-03 19:26:54.653915	131		0
9528	10naco9755gl0ccflwsechozaz	$2a$07$IijjTPrEJJ466.E4bU3BL.4D4D4pXKFb0sjXhT9.v4pGx.AZwuf2i	36	2013-08-03 19:26:32.986369	2013-08-03 19:26:54.782449	131		0
9529	10ucrj4bhco0nl493dy5jk4xk0	$2a$07$JVJxgwVi05cykImP8hTBm.X7E8LH8NG2AvQN3Vn/9XeSeVLhIapNe	37	2013-08-03 19:26:33.010647	2013-08-03 19:26:54.930099	131		0
9530	10hs8km5gg0ctd2kmpcq9kezkv	$2a$07$1xEr5SFbm57krYEi5WLKY.GxjrJ2FrY2KaTPohcto3W6TNulqpGgy	38	2013-08-03 19:26:33.033961	2013-08-03 19:26:55.098321	131		0
9570	10erawvxp3c65x6qak6vlgpt3i	$2a$07$rrbicC8LjgSXT5w23sgQ..J1s8Ic2wggDIeiWfzUEwbUV.86XQ1bG	78	2013-08-03 19:26:34.060978	2013-08-03 19:27:13.857982	131		0
9571	10hrlha9kl4876t9tpwvlqwe2m	$2a$07$p9FUB6rrRI5hhX3/XpaHxuRm7gvPXbF/1xQ9cgtgtWSKjYtg7LNAC	79	2013-08-03 19:26:34.08441	2013-08-03 19:27:14.091919	131		0
9572	10rjnjh9l4vljlhw7chp7pe1qr	$2a$07$FrgWtSOO/FRPi92.BPg4guC4cWHL0R9yrHVlAhLm060OFEeE232ki	80	2013-08-03 19:26:34.10809	2013-08-03 19:27:14.226029	131		0
9573	10qsgpi7qnvhyxvs62jvz9ayj2	$2a$07$WJPWGI2XaVP.s0ymJSK/t.pJs7McciZgcg8g8lArAohfaQKfclhSy	81	2013-08-03 19:26:34.135082	2013-08-03 19:27:14.345167	131		0
9574	10im2ae8jyzto9pansq7guzxzf	$2a$07$9Iz9U/qmxi8/rZm54TtosOQrAOESKyCazNEkSa8sNrP8.oZMUTaS6	82	2013-08-03 19:26:34.158135	2013-08-03 19:27:14.461963	131		0
9575	10atl4t6rk3rkvswzzanoea19h	$2a$07$vVTuzkHHTOsswISGsq9kIOkY5Zxs6KHJ7Es31wM0vKXp0tDg1qQma	83	2013-08-03 19:26:34.18103	2013-08-03 19:27:14.579845	131		0
9576	10do8snceb8ejiffvdb5iovcye	$2a$07$gRFC/Kri2il2qWaAFQb6Y.MGP.Gw7uNBdwSMBrASGGvlSTF9PsS0W	84	2013-08-03 19:26:34.213113	2013-08-03 19:27:17.278474	131		0
9577	10qr5do8nu9auogwvuj58ryjke	$2a$07$rZU2BnLjW73IRuW09z6v4.GLr034h7GABvhM8oiHaNIu8dtVFrTmq	85	2013-08-03 19:26:34.243218	2013-08-03 19:27:17.565878	131		0
9578	10nti854em6albmvhnoqfyik1h	$2a$07$sZ5LqyU2BblF1cYTtVDWVekkflUUL1M3zXojp99DQasJoMwvST3qS	86	2013-08-03 19:26:34.282328	2013-08-03 19:27:17.73037	131		0
9579	10qf34co2vc5dbgjs41r89lzjm	$2a$07$ef7oe/Aw.wxqeUErSRLFp.bEyzkuMgX9YIVPgoKD85nMj6UuEciM6	87	2013-08-03 19:26:34.31503	2013-08-03 19:27:17.886071	131		0
9580	1062t3cnlc0akjl485zn1ipygp	$2a$07$qErH37DSK7eKmHwC9uOs2.kVajp8StRE4uyp1zkLoQDzJlsUjwrqy	88	2013-08-03 19:26:34.33804	2013-08-03 19:27:18.03081	131		0
9581	10pfuciuzhuzl9ai3ted2emkg9	$2a$07$v1KAj8jIa2JscW7T.gzrbeY7yrDU4kRGGGxytKMHYvHptP.WrHqei	89	2013-08-03 19:26:34.362117	2013-08-03 19:27:22.505593	131		0
9582	10wcnswbgn3y4t9gqme0swd2iu	$2a$07$YAWEaBQJMhH4s7qA0BaK0utOMbQF3t0a24NvdmB6QFhZOZlHSgLKm	90	2013-08-03 19:26:34.38611	2013-08-03 19:27:26.561193	131		0
9583	104mnd1uuj5vngc5y02s0lub48	$2a$07$okvOrIQxLdhBdYm.t48HQOWbmksbwIFADWxdqUXh38SXkyj/rFczK	91	2013-08-03 19:26:34.410167	2013-08-03 19:27:26.693461	131		0
9584	105ajrawq3ykrxgiibh33alqek	$2a$07$UF2fYQmCHP.w4giOKWq9Vet368ebJXCjURx.wuTbkwgHTEAbbk4mS	92	2013-08-03 19:26:34.433537	2013-08-03 19:27:26.840476	131		0
9585	1080q0ndhlcc52ph05vztoqr2n	$2a$07$I.0AqFdNL1H.DVF5Mu4Bg.b1pQF6EYRxj4uFsZ8Qh9IOrR3JilPQ.	93	2013-08-03 19:26:34.457262	2013-08-03 19:27:26.958131	131		0
9586	100qmdzgm9gpnpausjriyipbkz	$2a$07$htOlHtaktjUEjsjmlZd7c.fkqRYIYPXff1AebHUhGtA3rWi0wOoaq	94	2013-08-03 19:26:34.480805	2013-08-03 19:27:27.101052	131		0
9587	1023gwh91w3r680x3oc0slic2x	$2a$07$Nwp5vKhAJk/PvnsdO.2e9.FVML.1XuN3IWyICJ6WPDQe333oo.gM2	95	2013-08-03 19:26:34.504896	2013-08-03 19:27:27.22663	131		0
9588	10dfyq2u0mc1d4d0rvld04rod5	$2a$07$pLsVJeBy2dDs57h/h6nO3eYwzYKqB3h/aqFX9VyM/xGyNTrnnlZS6	96	2013-08-03 19:26:34.528276	2013-08-03 19:27:27.340985	131		0
9589	1041vdh7r83pht291u3wk79ktp	$2a$07$XX9KchBVy5C9AIyJYdPKue1onR2C/1TT1ITSWacVKz1tYrEe7gQkq	97	2013-08-03 19:26:34.551615	2013-08-03 19:27:27.479656	131		0
9590	10xoyun84sjju8x2p6no5a0u0j	$2a$07$Gp80KGR1qbsotnC9wePesuRccTsd0WG8Dh9E6gJSjq0Opa.pzVVN2	98	2013-08-03 19:26:34.575514	2013-08-03 19:27:27.61156	131		0
9591	10k6pcxcm974x23l0s5sdzd9q0	$2a$07$8nfUGAEsb5Hxqqn8qpQ0rOoIqzrMHl9HB.BDk5IoCzZaBorYXXa7O	99	2013-08-03 19:26:34.601774	2013-08-03 19:27:27.778561	131		0
9592	10qzejit9dammcf9ncd75b269r	$2a$07$NKx//a9x/8L35PRNbNvyOO436CK0pNrrCQxMo66nVYFiegfpQZ3da	100	2013-08-03 19:26:34.630837	2013-08-03 19:27:27.934218	131		0
9593	10o40cb4m118m1t337a584ka35	$2a$07$jcBm8j7q0G3G25qgrJH1eu4RtbC37d8P7drmqWoVWeLdya8yom28a	101	2013-08-03 19:26:34.654381	2013-08-03 19:27:28.074847	131		0
9594	10rhplerimwy9b55parbj6hbgi	$2a$07$fhwK/0oAD9jV/j.ORO5Rf.jwwxM/mzu7ERn3pBDcmePfX3hWPM0M6	102	2013-08-03 19:26:34.67819	2013-08-03 19:27:28.211684	131		0
9595	10q1mk5tj4eyb7c5wlcq7rspf4	$2a$07$Er5m0VQLmJewIlLPoLctTukdvcU7TNkalDudX1c7Ji2wW7o2ooue6	103	2013-08-03 19:26:34.701702	2013-08-03 19:27:28.596277	131		0
9596	10p9keocbh5p1e7ldvwz01h0c9	$2a$07$1r9wCswJexidlkNELjwcOewL2UcBrzAto9LMR6YfDlstYHi38TwLS	104	2013-08-03 19:26:34.724246	2013-08-03 19:27:28.789403	131		0
9597	10iipl048in16ybkieb2uaf2ln	$2a$07$2MQmQ0T8FIr/pQe/KZvG3.wZ1vOwdWr.29fiqt6nvPUyN4dUPQSLa	105	2013-08-03 19:26:34.748459	2013-08-03 19:27:28.904652	131		0
9598	10ohzbyc1uvtzik1xeko9li7xl	$2a$07$qijiWju1PZSAvx9Rm2xXCeq1j2p9mNQTTtIjYfSUtoq/qLMq81ALy	106	2013-08-03 19:26:34.775184	2013-08-03 19:27:29.009093	131		0
9599	109rynqbcanac35xoblk63eldj	$2a$07$PLiigEJg.5EHNt7zkZpmKON24NaDF1ireq7i5cqzzPly9.9RGtMUS	107	2013-08-03 19:26:34.79956	2013-08-03 19:27:29.232753	131		0
9600	10f9fzy7esmjn912zzu5ji8d9t	$2a$07$A497trhPbHVSMugbL8KV2uZlvdIDSbXodkv5gVtYTIqrA/vhQcIH2	108	2013-08-03 19:26:34.824267	2013-08-03 19:27:29.364252	131		0
9601	10103c2ltjnglx4gn6ojqqyum1	$2a$07$cLVgRmo8/FsvfbshK9sWYOTTvosOMliS2IPGX/7CMBWjFyBhWzWAu	109	2013-08-03 19:26:34.848674	2013-08-03 19:27:29.477871	131		0
9602	10ab582i0mlk2555823l3ydltb	$2a$07$.P2Al9HPmpDbFIfLEjb/Ge9qEvFFv8HfBCzRqp8hKzTHplWV/iFAW	110	2013-08-03 19:26:34.872126	2013-08-03 19:27:29.608471	131		0
9603	10ljp1vi1i4q57w5wt6rbl6gga	$2a$07$6mp1jkl0M6W2a4LodQiYiOhEdf.XVjIjM/dcjPTFtCvHrSex1qiVW	111	2013-08-03 19:26:34.900499	2013-08-03 19:27:29.749829	131		0
9604	10pugzqp1ln5ky01gvuadny03r	$2a$07$QSo6mfZqW93AiBtA6ftozu4J/8.SoFW6L0p8H6AGGn//A5DHU5Mqi	112	2013-08-03 19:26:34.928426	2013-08-03 19:27:29.892145	131		0
9605	104vznr8zxlt0rhxjynk9zorit	$2a$07$YkdWZG5EL7AkVkK.6qgY..g/eboz2g4da60LLDXj8PSLt7ZpbvJ7y	113	2013-08-03 19:26:34.953285	2013-08-03 19:27:30.043251	131		0
9606	10a51dds9fbdentktd2mwcfuct	$2a$07$EaoYMPL3Rey0I0aKWHew6uYcVf4Izpp3K44dtA/UUBtTYHwQntAWG	114	2013-08-03 19:26:34.976991	2013-08-03 19:27:30.154123	131		0
9607	10lp9bp5mo7kdcoss7v7z8wb8q	$2a$07$YJy9uJYua8vLWxzRqzNb3ujN4lxcwc5YMAybkuiQNpFb7JeQ8vpKq	115	2013-08-03 19:26:35.001966	2013-08-03 19:27:30.415111	131		0
9608	10bobrs9vs2729xbys0kyngfdv	$2a$07$qFS3tWyK0x/AKUkiUI3P1.w70qZ/OZEVBI0JGYw5Ix/tluEljqxwy	116	2013-08-03 19:26:35.031106	2013-08-03 19:27:30.549824	131		0
9609	10ec2j33926qofcluxqi7545ig	$2a$07$74Dmfdxo7/ZjwZ2NStZMk.34TTKaNCxD0PxCkd5mTlGLh81bYqa3m	117	2013-08-03 19:26:35.069947	2013-08-03 19:27:30.690354	131		0
9610	100la5gz0svuzrkziqwthzvsys	$2a$07$uZDEBqPEP8aSdgpYv8nIDugLV2YegFgkLgs2K53//oZgcOBhci/Gi	118	2013-08-03 19:26:35.108253	2013-08-03 19:27:30.827843	131		0
9611	10u9j9s35rjtzb50qhe8fcd0ou	$2a$07$RNJZvcoRLSOur9ZRZmWyfeZ39iMnxKlqZDCboJrCw4Om3jaFzcJIC	119	2013-08-03 19:26:35.130267	2013-08-03 19:27:30.972887	131		0
9612	10a023pecuw5q4noc3qny8co1j	$2a$07$eGbFasUvwG5TrKN2VEfCsOZa5zaQSGgc5pEdNVKx/94KdOB7URzwi	120	2013-08-03 19:26:35.153321	2013-08-03 19:27:31.093277	131		0
9613	10fj30ea4tqwhpeqev004wqvyu	$2a$07$vZSWwQkJFONtwLROjXhaLOaj0rPFRNZwD9f67o3Df0cBykQBENuR2	121	2013-08-03 19:26:35.176153	2013-08-03 19:27:31.234129	131		0
9614	106rfu6tcwqtbatozh8sfdmafc	$2a$07$5UeNWfPuqM.0WdqRMhtn8uOW3lXjQxY2HkT8MNfjzz5kHtV1oNt0O	122	2013-08-03 19:26:35.198726	2013-08-03 19:27:31.362997	131		0
9615	100xaucsxisdicum3ep5hk8qb5	$2a$07$KQsG4Kd6DQZwKVJGtF1FvOd/KrUiH/SWBsUxxI2WmpMBKbYwC3i42	123	2013-08-03 19:26:35.221929	2013-08-03 19:27:33.815046	131		0
9616	10lixeal4sr3u08famj600ruqa	$2a$07$ekRTA1D6RMnm7E.CTJrF6ONao8rKYMpfHfCVjjiwV.itR8pTyUGF.	124	2013-08-03 19:26:35.24501	2013-08-03 19:27:36.719053	131		0
9617	1055qmd2nljx1gw43p2b8z7dvn	$2a$07$2CvgklXJW2cOyFyuOg/VVeDTEHaNqNh1D5R74S6VjzaNKy1yku6bS	125	2013-08-03 19:26:35.26697	2013-08-03 19:27:36.965302	131		0
9618	104kdileuw2fbmumg2nxkjzxhr	$2a$07$e8D.tdVPygBd7Bw8bcDeruEE2F0AxX8chj.fOR5j6X3nSYJlvqMCW	126	2013-08-03 19:26:35.290535	2013-08-03 19:27:37.215813	131		0
13459	10dk4pgtp4phvimw2aon6l9krt	$2a$07$tIVgaQoeuJcOI81DNSaf8eMG7jECGIZMHZ36VTd229CBvBnOU2J3G	61	2013-08-03 21:58:36.478655	2013-08-03 21:58:53.580892	162		0
13460	10igklnq1ls4yvdnlkchm186jd	$2a$07$bA9pkhT.LTctcRgHGZQpn.jYYjS7zZzKrWXjffobe7RARTSQdcrv2	62	2013-08-03 21:58:36.500707	2013-08-03 21:58:56.590652	162		0
13461	10s47hbuqjkm7vfcy8aj08qmg4	$2a$07$5JMVXUHLScp0.SPhkJTOgOXbnEWSESKaavS5TlxOly/S19Gu0Y6Wa	63	2013-08-03 21:58:36.524026	2013-08-03 21:58:59.465625	162		0
13462	10fc26sr2tmjwlgmmckwxthsu0	$2a$07$g4stZY/E72dy1IDtoYmLluCZ6Cx2m4I9IG7UMh3ksQ.pbjAigI37W	64	2013-08-03 21:58:36.547754	2013-08-03 21:58:59.588319	162		0
13463	10e20sbmgsrza6keffyxbvzd1i	$2a$07$Kjyl7xWYltiToGZu5EYP7.GZ/WcawPfJj7WJeNGI2nCe4wiZI1Ilm	65	2013-08-03 21:58:36.570477	2013-08-03 21:58:59.784742	162		0
13464	101miqevbk9srnvhux73wgho2v	$2a$07$51krnxgj9tORDcdGYt/UbenKsSMXCIjpIj7B4Pp12mx4oGr5vgy9u	66	2013-08-03 21:58:36.592327	2013-08-03 21:59:00.986734	162		0
13465	10hw0ue43d6wvm7u38e6azfub1	$2a$07$im9iGo/oNqx40jl7v4eejOLCkvsrtAaSVofUIFcMPCbxqjPjPw6Ja	67	2013-08-03 21:58:36.613617	2013-08-03 21:59:01.117727	162		0
13466	107s154hiwjz6pmxznly0gee86	$2a$07$IPUToJCtwk2zyWgYLdXQ6OjoqEQvePkDKG7.b.262GycBcLdSSOhO	68	2013-08-03 21:58:36.634883	2013-08-03 21:59:01.264855	162		0
13467	109qj2ega7fp5r9eecmzw4s3xn	$2a$07$NHimlW5svSwIZJ28cPpbSeUdRh3mA.J4GK2Pow/d8vSTd3xm2tag2	69	2013-08-03 21:58:36.656242	2013-08-03 21:59:01.40742	162		0
13468	10ht0ndcxucusajdpp2wz8hltu	$2a$07$4eGSOthELwYj62UoMZjDSu8ux3k.utp.YxpPJU7pQJQVk33fe6H46	70	2013-08-03 21:58:36.678834	2013-08-03 21:59:01.543987	162		0
13469	10cj5pbiisv1aov1d3dguh91wm	$2a$07$C6WyHlVvBHoxN.T8SgNNPuJI1j5/gtn3BvHqhSfj6pcDXA.uKuIHm	71	2013-08-03 21:58:36.702426	2013-08-03 21:59:01.693765	162		0
13470	10stuypbdtewy7cu6bzjpglrvr	$2a$07$V.iI2lLdCpCEks4M69IqG.Ymbil5N7WEINfT6GN4iEo0.eaYkzVDm	72	2013-08-03 21:58:36.7263	2013-08-03 21:59:01.812282	162		0
13471	105n0hnld35ubhghsi2egj39ik	$2a$07$3wbGfqYWjTMAroHzeU5KfuFBkSeXPdAGsqs/JMxy5mHfrAUSJWcMy	73	2013-08-03 21:58:36.750562	2013-08-03 21:59:02.253447	162		0
13472	105x6xdl7ox26zvg1u45gt2feb	$2a$07$f4Pt0UunwZANX34doXV4kOJTD5E8Az1IkbXqMwwcVsH2NRSXqepp6	74	2013-08-03 21:58:36.774271	2013-08-03 21:59:02.379093	162		0
13473	10qf770nb0w9wglqcdcbeobr5y	$2a$07$HM.4z//UmmM9dvSossrUBuoXB9VQ5wKL7nTJV6zM50lXBCtnYBKaS	75	2013-08-03 21:58:36.798109	2013-08-03 21:59:02.493215	162		0
13474	1094ji37bbvybo9nbjwtjgebyh	$2a$07$5MlYalvuyTa0f5cQ74/Ch..1ySusW15P9rORLJnL34B5KxGP28Oom	76	2013-08-03 21:58:36.822624	2013-08-03 21:59:02.617554	162		0
13475	101r6k6xsg8cuioovb65mv7axx	$2a$07$zCyDIv/1hqL89xTqMQrevu9XzRf1G5oBRw8gi1.umxEWPdQD.MBru	77	2013-08-03 21:58:36.848436	2013-08-03 21:59:02.80313	162		0
13476	1076xbdp8e6qlowym3d2h713ri	$2a$07$akIPj8fNaQKccLyJ6WiOWO1m441DktI2jkMazaGW2gX/klrhThaCS	78	2013-08-03 21:58:36.872363	2013-08-03 21:59:02.957343	162		0
13477	10y4jplor46tjrzjxyxz5fenul	$2a$07$vyPTPMRRUim1aGLD7x8SXeHtufw4C1Rpg26Dit2ARThmrTWJvxUqm	79	2013-08-03 21:58:36.89908	2013-08-03 21:59:03.129161	162		0
13478	10q4a7w5m9foy2o5i1juex065u	$2a$07$k9GC0Zz/CObZ09bbx7vn0ObW2QgCKSAyW5w6CfWRyXSksVHJ/WE4u	80	2013-08-03 21:58:36.925142	2013-08-03 21:59:03.263031	162		0
13479	10huhjv9z5cnfwk6o8slkclf5o	$2a$07$LnZ3qkj.fxY/AEdWoARMFuyJ8vuic6jlankvszTAPAzyUb0/sllkG	81	2013-08-03 21:58:36.948035	2013-08-03 21:59:03.624312	162		0
13480	10voln06cemdme0a4idkl3qozo	$2a$07$NxJtrtSSBiyQ8ZJFkEQnlOV60UHzjCj5c.3vVKHoaC89lFBvkcyNC	82	2013-08-03 21:58:36.971354	2013-08-03 21:59:03.851072	162		0
13481	10brwrogxcwk86r4nfrxd4bz2j	$2a$07$6dunnbP9ssR4i1kJtMhzv.6lD7EJpiLDfxescwoJnk/blM1TXA0iy	83	2013-08-03 21:58:36.994721	2013-08-03 21:59:04.052656	162		0
13482	10w3xtb3mr45flx1xtselz6s15	$2a$07$2f..PkuNTPWXibwSGOMkO.l7Ymt/FpL2emSt9dV2FasvZdJhquad.	84	2013-08-03 21:58:37.018576	2013-08-03 21:59:06.838906	162		0
13483	1040wrklhxbnh68mwa8tgpsndy	$2a$07$XtjZu7DDCAeZZGruu/nDr.jUdceOzQtU62WGMHrbMTU2w165CD2lu	85	2013-08-03 21:58:37.043656	2013-08-03 21:59:06.977658	162		0
13484	1081fy7aw34pszwneql7ssjc7x	$2a$07$a2uLI27Acq/qwDS1tYWkQuAeVZ71WPjXdkASZ72r0a1D0VC4fowxe	86	2013-08-03 21:58:37.06822	2013-08-03 21:59:07.111132	162		0
13485	10g2ea8o1lc7d7iaem8deb20sa	$2a$07$9SqlvQTJwsL3G0Yrr7wE4.yyj3v91mDmXuFyU5JvgeedvBhqNESN6	87	2013-08-03 21:58:37.093334	2013-08-03 21:59:07.251109	162		0
13486	10czny3ooaaz2o7kwa36wkrtrs	$2a$07$OQ3A4ohMAwGaANZm19Z6pudS3aSj6wIWdfd8U17wL0sHnRp402iGW	88	2013-08-03 21:58:37.125255	2013-08-03 21:59:07.405517	162		0
13487	10zppxjehh7fsptfvvz6dentfm	$2a$07$6cmD.KAckohMppe7/B8CMuivg1rI2i49g4SEQBBgN/iJNGYOsEl3y	89	2013-08-03 21:58:37.157117	2013-08-03 21:59:08.632913	162		0
13488	102m1vkir266i9ehn5ntei2ts5	$2a$07$Ptfsmz5CnzSJStQ/r/bRfOGu20MHJ/NBbpohxv/3vVYNO1SMSp5Gm	90	2013-08-03 21:58:37.179669	2013-08-03 21:59:09.780808	162		0
13489	100hm1259snpn9quh7006mybnh	$2a$07$a9Jw0t2zklk59v7LTp3sI.Z6io7ogbs/jU4TK4bLz81UmtbBjsmti	91	2013-08-03 21:58:37.204089	2013-08-03 21:59:09.893512	162		0
13490	10kgv5sd5j7vjaer6lpcgu52ew	$2a$07$r4ZuRDvevo3kqhruy5Oe6uxFunCmFKZqF/zV5tRoDQgUMdvk/VAFS	92	2013-08-03 21:58:37.226629	2013-08-03 21:59:10.01345	162		0
13491	10na0rtdchyswg1j0bd8tw4cte	$2a$07$7IcUPzVZjn3hqG28kJNpfOrEK0CfVyLPKXLadghoHDkCVtT87XPDW	93	2013-08-03 21:58:37.249613	2013-08-03 21:59:10.1449	162		0
13492	10dg0lx8wbi57yrvqkdmlp40la	$2a$07$T1y75dxBhcPP0NUxac.On.afykqhOMLgjKeI9.b5i3uAvGrOeKviu	94	2013-08-03 21:58:37.273118	2013-08-03 21:59:10.272198	162		0
13493	10u0soloh2fru8cooae8vx9c31	$2a$07$05T6n/.RpMQMt7IZdkcqROGRRVLwdF9229hiKUA2BFv05AsCLnWXi	95	2013-08-03 21:58:37.296471	2013-08-03 21:59:10.397381	162		0
13494	10gyrzamqlkvk7a14jyyrbmye3	$2a$07$mIS.DUGK/b3/8/X0/VKQNORkMWKD2L02BvmeiM00pXwylVM9Ip9Oi	96	2013-08-03 21:58:37.321444	2013-08-03 21:59:10.544634	162		0
13495	10wu2fglr511daw6c7m696n7fn	$2a$07$rWPlxenCOxiXcEvVgrp7Ru4o6wrmZYc4e270H8yrui6DMwl5OwGVa	97	2013-08-03 21:58:37.353766	2013-08-03 21:59:10.663994	162		0
13496	10pcpvp80wj186h4fovz7t0wkp	$2a$07$YGch9uabzyrNsyyrMgZ6cOCCGAc31KLrH8fWduwx8xUaU.HfaiYN2	98	2013-08-03 21:58:37.379045	2013-08-03 21:59:10.793492	162		0
13497	10so9i6d2g9a126kjbe81b3q60	$2a$07$eJP84X8tbuPP7IM9gVQhZeEEhQ15rxXidPgfDNgsKo/36KNQimr.e	99	2013-08-03 21:58:37.403911	2013-08-03 21:59:10.935058	162		0
13498	10veingqyrgjiun97184gp2ajv	$2a$07$h4J2hzUIdq3uZoz2xPmWOuufWxxClsD74bfRMZQgkzIWTipLxIZ6C	100	2013-08-03 21:58:37.435494	2013-08-03 21:59:11.071744	162		0
13499	10qryzftfdoxvdd20a3ek43b00	$2a$07$.KxWsQT8sqTbHY.sJK70O.hwi8sR.T8Fid6sQrxOlgtLXcNfqiNe6	101	2013-08-03 21:58:37.461404	2013-08-03 21:59:11.20445	162		0
13500	10r3sc8p1ivfnw0fco9k57ucyf	$2a$07$Lyw.zepkwm7AXVc5Z3U6Nu135hZjkyFnMstbsor2ExYBSRWgtq7xG	102	2013-08-03 21:58:37.485	2013-08-03 21:59:11.315904	162		0
13501	1032uhzceynlbrv6ymm8i3n3yl	$2a$07$tcM.Da8B9rfRamJABUsbXecqxgfIh.wl/8TP1h7F3WL03vo25pRO6	103	2013-08-03 21:58:37.507403	2013-08-03 21:59:11.818688	162		0
13502	10vqu0cl2625s7gkm6s9owo6po	$2a$07$afdpVJEwilLVaoZhWIIZMOryQOqqJFbmuGBR5utDwat07oLsJ9H66	104	2013-08-03 21:58:37.53037	2013-08-03 21:59:12.267641	162		0
13503	100443riesev1lxu3oq2y76ii3	$2a$07$pbTN1xVSxcw8qAxd3hHezefg3MDucDR9fzOO7ZUhhWqNZBVDKNik6	105	2013-08-03 21:58:37.556036	2013-08-03 21:59:12.406822	162		0
13504	10m9uofhym0rir4bhb1xqep9w3	$2a$07$k3Nyrww7wgsFUUXTnt/euu8RHgPU5siSYHnqXw2.XQZ.Io2oT6/aa	106	2013-08-03 21:58:37.589969	2013-08-03 21:59:12.554589	162		0
13505	107uresjaqwlwd68g4hshm6wrv	$2a$07$8y47c3KEwponRIgFjhvMT.F4XfjAqP5dAWltQuzYTlWnGh6gjSUlK	107	2013-08-03 21:58:37.614173	2013-08-03 21:59:12.691339	162		0
13506	105nho9roso7cwi4smt4wn8irw	$2a$07$eN6wBIGmHSykuPagPRPZVueBM56s15dopGHRPVejgJgj62Kb/difC	108	2013-08-03 21:58:37.642517	2013-08-03 21:59:12.797858	162		0
13507	10gqv6cfpcigk1h2qq9nal2s1e	$2a$07$EmVva1kR4fhUIML4scSJ3.xNFIe3iKLORWx1uH5cjnH3y9mrrM/km	109	2013-08-03 21:58:37.665597	2013-08-03 21:59:12.939618	162		0
13508	10o2tnxh1cpdux8up5m0dhvl5l	$2a$07$hGGpO7lH4yM8cN5apx/2XelX8ln6m3bnbR6lq3oF/wmUW/dBLS2ty	110	2013-08-03 21:58:37.689637	2013-08-03 21:59:13.094526	162		0
13509	105lzthbw8s4yhqvrbflil7z22	$2a$07$mLc9OiyEif24DbKdaNYH..ASIe4PSjhJXkq8mFFgccEQLqwxFBHge	111	2013-08-03 21:58:37.715033	2013-08-03 21:59:13.257454	162		0
13510	10ai53l0p8c7youovirpp0atwb	$2a$07$/hd352hyq.XWIRWIEajxBOrrXyfxzbag8kBEPosklcXQmMsdmVvt2	112	2013-08-03 21:58:37.751881	2013-08-03 21:59:13.407538	162		0
13511	10v0e5vdkim2wxghw6t6o1b6mu	$2a$07$D8wvyRvrV4tFsVK/H2wZm.Rz.3GkOr856GGbtx6IYW9wBaxqCTY5q	113	2013-08-03 21:58:37.777326	2013-08-03 21:59:13.551177	162		0
13512	10l3yb3cdrwp5mgia0fq3augaq	$2a$07$/n17SGMWWoGQCDM.Yw7dQOmEaX6e/XDKgB1kAHj9ZlOUSx3wJlwDi	114	2013-08-03 21:58:37.799073	2013-08-03 21:59:13.691057	162		0
13513	10ho7u3g1tlocsfc6o2sufjxpu	$2a$07$Ofcrq7vBa/S.qkvvWJX5wu4JQcT3W80HbXXgl9BrXSD7n4OXT94hq	115	2013-08-03 21:58:37.821104	2013-08-03 21:59:13.846343	162		0
13514	102pheysifi4nmpmrc0xoefawa	$2a$07$0HZaKoHuEabYadRobMSEt.UTPGdZjXDMwuuYKVDfn1Yqn2w4Pg.Ky	116	2013-08-03 21:58:37.843904	2013-08-03 21:59:13.9795	162		0
13515	10ruqam73vp4x2tt1eu91f10w8	$2a$07$2xa.AND7cWwgvnfOKhkQ7eWFYA9N8td8rZs.kV7C9ka5Wfs4owpnu	117	2013-08-03 21:58:37.866918	2013-08-03 21:59:14.120795	162		0
13516	10r7ppi5ujc2tcv2zebbz73h4u	$2a$07$4H/wS2niYBMibLSWx5HLv.m0sIwHlMnC13D8Y6fm.yjaNqhe2DDke	118	2013-08-03 21:58:37.889617	2013-08-03 21:59:14.254005	162		0
13517	10zp4lvkefifppwwcw11b4d4az	$2a$07$sfDdn1s/Kkk1mHK3FylKAutGXx9EKF9B4F7r6uDkM18qy2y86g.WW	119	2013-08-03 21:58:37.912357	2013-08-03 21:59:14.384966	162		0
13518	10rn699jl08we9bhet9dxnswwj	$2a$07$VrPXALn1ayzbBiJZeCIUbussVQ1qT4TJ0TY5qNPNAAfVl3xu8YSae	120	2013-08-03 21:58:37.934485	2013-08-03 21:59:14.515848	162		0
13519	108euv3gvyx77mv1etm4rcfw3y	$2a$07$0n0hyx9rr28Wah6Fanqfa.CN0ItU8ntCqFiy4RaWf97JcyNF/63xi	121	2013-08-03 21:58:37.956296	2013-08-03 21:59:14.966925	162		0
13520	10c6y4yu1w081y52o4w3130gkl	$2a$07$Qd4ADXBeb/O3MEhf0SUYwOH8dSwA7eokmel5ZhvlX/HpqapIKwqVe	122	2013-08-03 21:58:37.977757	2013-08-03 21:59:15.436541	162		0
13521	10812znkuyf8hnlql2igsew10h	$2a$07$mi6WVRQ8Nu8T0a4VEvJkQ.ZBZJw4/FZKiEQklzfHPYMqUDyfAY76u	123	2013-08-03 21:58:37.999195	2013-08-03 21:59:17.987561	162		0
13522	10bdn5qcj5jkhp1iherma95hko	$2a$07$gY96sP.JVAovtEe4zJO98erasw2ItBVeysDG/xps9MLWDtV8OvVKy	124	2013-08-03 21:58:38.021543	2013-08-03 21:59:21.00571	162		0
13523	10yhu2y7m56m96o2sp29iwhzqx	$2a$07$5zl3ZbPoxTj2/nLSOdqUOu0CGImSMS5mX45Hv5Di0m1CXF4GPuSwu	125	2013-08-03 21:58:38.043327	2013-08-03 21:59:21.400351	162		0
13524	10x059bz1654dq291lczor8bop	$2a$07$haS7O7fnEqYbj0SuwJ4oN.F.W3bNCVSfOay8Qn8Gf4re4VONEuJBi	126	2013-08-03 21:58:38.066218	2013-08-03 21:59:21.805735	162		0
20329	10gz6afgaxcytmpmjfbhfenjqk	$2a$07$GjLouZrtsCTQmXKeRtfwXOV/2Q5Ykn3QHygPdsv7ql2BfzIZCZCDG	1	2013-08-04 02:34:51.13042	2013-08-04 02:34:54.459067	217		0
20330	10x4azessc3cxo2jk496i9eqky	$2a$07$jIfgxgC1tTxMaSRQzlsGA.PEDTm12shUrJJp0iMqbf9Z7MVqjr9i2	2	2013-08-04 02:34:51.15925	2013-08-04 02:34:54.634725	217		0
20331	10uxt4afvuq4ya191obrv8bv1s	$2a$07$LveaBTWbS8B9FmrdPUPyeO4zXtzKoV/4dZG8LCXLTsD5Di8HDQrZu	3	2013-08-04 02:34:51.181254	2013-08-04 02:34:54.839457	217		0
20332	102gfyybjm1gcze5qet2yvxif7	$2a$07$Z4GJQbyi7L3WrntjE2x7suQrgzplYTgH5sSa7M/S7mgh2NBZtUxL2	4	2013-08-04 02:34:51.20407	2013-08-04 02:34:54.987867	217		0
20333	10x9c0z6npa3dtjug7tje0kktw	$2a$07$.fep2JSZf8J.XyTzEwEU/OQjWsl/AK/cR7GK.a1bx.VX2.z7BiATW	5	2013-08-04 02:34:51.22594	2013-08-04 02:34:55.129497	217		0
20334	10sidg8i2amrp1lw2z4ofcwo9a	$2a$07$ajev0m7g.yNGTeYBjnnb4Ovhn54Nc6bZ06xhMKshyopa.dwrX3sHa	6	2013-08-04 02:34:51.247809	2013-08-04 02:34:55.266774	217		0
20335	104h8mkblvgl7p1vvuiomc1ptu	$2a$07$0nDXZFswSWkqHeZdNbX60O70VUCX4MEo.ObVXvn9/xSz9VvVsHVme	7	2013-08-04 02:34:51.27104	2013-08-04 02:34:56.21838	217		0
20336	10c717tfr6h91cfucdm5badphr	$2a$07$O4kIIENks/N2EvjOYA7u8.5014TWPcu0OkChnrxZdFOsjC0zXVog6	8	2013-08-04 02:34:51.294416	2013-08-04 02:34:57.222591	217		0
20337	10gu2l7zqzc1r9wjafrp32wnp6	$2a$07$IrnBmDLDI1Cqy7n7pzHiiOQQxrE1/QftNLUkg7vFDsjrgUTTzU1SO	9	2013-08-04 02:34:51.316087	2013-08-04 02:34:58.140897	217		0
20338	10v02w35dqnvq539leuaf1xrno	$2a$07$Wv/aq9m9O0CzeFdTh/QuVO9NT6fFX5QOujfgoYj7.UZk5zQSEt/x.	10	2013-08-04 02:34:51.33785	2013-08-04 02:34:58.238802	217		0
20339	10xz296w67el5qunwda7l0jad5	$2a$07$yeqXmTb34NCEN.boqkYCjO2MXTyGjYvAnO6OynFdidlw1d52CtLz2	11	2013-08-04 02:34:51.361025	2013-08-04 02:34:58.359812	217		0
20340	105aj9rf73xdo6fm9iupow27zo	$2a$07$e4He/2lr2i.A3PkGcqe0o.Knx53r71NbG40H.5U5LsAUIxbAhF7qe	12	2013-08-04 02:34:51.382712	2013-08-04 02:34:58.476367	217		0
20341	101durb8tcte0o5m9gab2fupu4	$2a$07$26sd9ynZwqrAJdHLAqAzuOI4wE6UKNmDkkdWcmOGgykfgUYynxqwu	13	2013-08-04 02:34:51.405382	2013-08-04 02:34:58.597882	217		0
20342	10prpbeh7hqzemoayxcwjxfow1	$2a$07$6wpZB7ZYfmusGtM9r7gmHO1vePolWYpy.R6WJPJEjiTeIatfRPAMm	14	2013-08-04 02:34:51.428821	2013-08-04 02:34:58.72487	217		0
20343	10f1mwqohpmmuaupzo5xcwnmuu	$2a$07$XZe8/QVOcJAvqmeNu1iFHu69k5rtr7QwykGaY/x1VQTU/qogKb4NC	15	2013-08-04 02:34:51.452145	2013-08-04 02:34:58.842436	217		0
20344	10gr6azkr3x6d7txm2tiqsgfiu	$2a$07$8TeNwTuP5EztDBnppr1VkuNtDr7iEV77/qOt317ve4LSZ5D/Mrd3W	16	2013-08-04 02:34:51.475587	2013-08-04 02:34:58.949415	217		0
20345	10est8bfe0vjzkt6yaoy33wx7k	$2a$07$G7zcNhbBrTNYirBtrBk8l.kkxwCs6LfuW.tpMAZqdY1Ehon5Je6JK	17	2013-08-04 02:34:51.499954	2013-08-04 02:34:59.04988	217		0
20346	103ta1ygiuoycr4o3z3bcrjqbr	$2a$07$vzMos9TBESyWcnGgNHS55unebTKKMG545PJN9DeqVuEn4n7T.1dB6	18	2013-08-04 02:34:51.524801	2013-08-04 02:34:59.152429	217		0
20347	1048d2wc5qc5c4kvrzzm3s6t4c	$2a$07$nTna90rtHtV29xGqC/Lj3OtWbQSMcoo4VLjaPAjaM9STXhVAXcw8O	19	2013-08-04 02:34:51.548181	2013-08-04 02:34:59.273325	217		0
20348	10kqizb7fw923xsgzwjxx7yzxe	$2a$07$JAzREIWEC0nsC3Wx8XluEuMSDgZvLxTMGCkB6B6xTGwqBFpNIMG3.	20	2013-08-04 02:34:51.571574	2013-08-04 02:34:59.403108	217		0
20349	10i1wf319mas1h8opbcwtvbtev	$2a$07$B4CRBoWLb8Kd0nOWtcnOJume9kKu4Pbu5VyH0JZZM0NqaCnfXN8wW	21	2013-08-04 02:34:51.595224	2013-08-04 02:34:59.538588	217		0
20350	102e02bw9q3xouq4gjxheo4g7z	$2a$07$BGOf8s5EiPx3TVvbMh011e5oIQ20sLuVKDmxHK3mHVICdnpd9ioTi	22	2013-08-04 02:34:51.618654	2013-08-04 02:34:59.682649	217		0
20351	10fui0lyj5t9513gzkc0kpzc4b	$2a$07$s68txFTnIXJm76/LMomvY.0Na2260aj7YoOFAqOm0vcXwgtIR8/8C	23	2013-08-04 02:34:51.641921	2013-08-04 02:34:59.812211	217		0
20352	10emsb6d0hgrk8ftowr73sqltb	$2a$07$Q8m2dpqPRqF5PGBZGY34k.YicTqrDqJfSfpK2woE6BGGGD0QQm29i	24	2013-08-04 02:34:51.66676	2013-08-04 02:34:59.931668	217		0
11383	10sxcbw9i715lk2bu0l9w9ez4j	$2a$07$MNQHgu4zvJtHCagB9fqTZODe1EWNSGdScCrpgZcQtP93GYM8npoci	1	2013-08-03 20:41:38.113361	2013-08-03 20:41:41.61005	146		0
11384	10x7xakaa8omjnrb1i3rp29um0	$2a$07$95YLoq27ELNadkf/1Uu.ZOEPwxFkmsvUrVKgDA4qVzfvsi4p7PFbm	2	2013-08-03 20:41:38.137841	2013-08-03 20:41:42.012101	146		0
11385	1022xi15qaj3mkx9gi6k7y808z	$2a$07$kYbIIzmOSTNIDdNIjpEFiO9T7sv9OsZDrmRZ2qgxp6Xuj8ada2pLa	3	2013-08-03 20:41:38.167287	2013-08-03 20:41:42.389882	146		0
11386	10covm7dakx7gx2rr0b6ct5v7z	$2a$07$fNEBvvdFD9VqiD4QWkDteOwsnxD21LKI56Yo81RYsE0LzqsQvCEdy	4	2013-08-03 20:41:38.1931	2013-08-03 20:41:42.532399	146		0
11387	10fk1sda1e20c8b1oz5c6yzivm	$2a$07$wTeR78tjFTU/LYo29UdL2u5WGm4rsmKFPt.YzMMf0j9m/AdgOdsyC	5	2013-08-03 20:41:38.229971	2013-08-03 20:41:42.686597	146		0
11388	105yhpyugy52coy3dfntvdpzm8	$2a$07$gThnfT.V57mksxEaVRhEOugMPeH68nwDklxEd0GNtiCb6.mpwhNz.	6	2013-08-03 20:41:38.25999	2013-08-03 20:41:42.842171	146		0
11389	105vwof8pwm5ty5k89k4l746y1	$2a$07$958.1yQR.2TSW9QhNM331uD2HlDC3tMvh3Vu5JSE0Jz16Lyfmt8Oq	7	2013-08-03 20:41:38.28317	2013-08-03 20:41:44.125644	146		0
11390	10phh36gj7ssksbxtqaru97iei	$2a$07$tGL7EqHErcfzltc0skdmNepLKwYwSdPWdeuy.JluW1tneedfwTkV2	8	2013-08-03 20:41:38.306055	2013-08-03 20:41:45.401328	146		0
11391	10nxzdvauc3x5vcbztdwybbvh4	$2a$07$S/bd0ogHLHhqVLc5Kpwhb.LpFCF3GuKINl9iUTkHToCl0Au28gB0G	9	2013-08-03 20:41:38.328918	2013-08-03 20:41:46.738627	146		0
11392	10rvqxl661l11csn1nxr5g0ro8	$2a$07$vadmT5i24.CrD6Py77QNrusrxDemwgXOUl2J5FR4DhZMoSmAFP2MG	10	2013-08-03 20:41:38.353781	2013-08-03 20:41:46.86439	146		0
11393	10wgpvcci6k33yavr2sgkebiwm	$2a$07$2om4aSxiTQJ64cwssZgSjuhnCpDYY48J0RjDPioM60CutqVfOua52	11	2013-08-03 20:41:38.379078	2013-08-03 20:41:46.996219	146		0
11394	102ndbse3uuqamne8vwov8ez5z	$2a$07$GNScRsm5SUPvMIo1D/UNBOBddn/vRT23Tq17KbJ3lclwdiVI1/VpS	12	2013-08-03 20:41:38.40836	2013-08-03 20:41:47.118917	146		0
11395	10xal8ch1p1enk0fcj6ua8ej3h	$2a$07$fOWz3CmMCaER93o1TRqEsewBsMawgIKRw8aasWXXb7n8/8oEvlOX6	13	2013-08-03 20:41:38.434142	2013-08-03 20:41:47.334767	146		0
11396	10p61fkns1xakjxhrmo0xxf607	$2a$07$IGNTINFzRMvEpb/L0Ox1F.1/ms0f/Tg7H8yHjFUHthApRFyCsQfIi	14	2013-08-03 20:41:38.45743	2013-08-03 20:41:47.553648	146		0
11397	10sh2w8gypf1tvjh07shnll2ny	$2a$07$unySydgYQRjFx1iEOSCWxeRDnck/lq.n/BkBbvvgKdNbJUURpNQSu	15	2013-08-03 20:41:38.480418	2013-08-03 20:41:47.729875	146		0
11398	106zo2s01xe9vvrm042xo3b5fk	$2a$07$8nLvC6J4IpVLRvTTjfFyhO4h6bDgsWj9HpkakQ96DDQKbK0E.OmL6	16	2013-08-03 20:41:38.513788	2013-08-03 20:41:47.858799	146		0
11399	10nuf04xq9fc9xsxown1orjx61	$2a$07$4w4aGUiDZMVdMPdW0f4JUe6cmmmWEtwal/3ePgWaE0IydEwCR56oW	17	2013-08-03 20:41:38.539453	2013-08-03 20:41:48.005452	146		0
11400	10g8xkmz0jbvabbbi9bvhp5ykr	$2a$07$mQbf7Dya7y24Ty9l2yU/8.VL.wM5E2Gtszd75zJwe7eFMIiEbXtP6	18	2013-08-03 20:41:38.565167	2013-08-03 20:41:48.132742	146		0
11401	10hc2j1tkjco5xrdc31x6wl64m	$2a$07$h00LRLP05c0.NycZEEQObukJq7Z.JpFluIObMdXe.jAgurZh7exZ.	19	2013-08-03 20:41:38.588763	2013-08-03 20:41:48.231324	146		0
11402	10palimjrjetfhawatvisotu7h	$2a$07$ZOOPbiUgkLY/t/.xyplBZehVN4FGiCzilagRvvWQ1jxhlzOqudc3O	20	2013-08-03 20:41:38.611011	2013-08-03 20:41:48.369316	146		0
11403	10mee47fl1f1jmluv9utpbg3q3	$2a$07$LzWRO2qtFHv/NHMWog47y.7JMbAt/KBlpEdfqhp0BsvVwf1RF.2Qi	21	2013-08-03 20:41:38.633591	2013-08-03 20:41:48.515592	146		0
11404	10k0w22fmwpylkhcvsclhx0xcf	$2a$07$Vbk9jQ.dd1VTf6uHW.7lU.sSNEZQClt9v0PRI6LH9NsuZxt5ejCBy	22	2013-08-03 20:41:38.662047	2013-08-03 20:41:48.656888	146		0
11405	106w9mjp27ariahni5yyfm5vdz	$2a$07$NCSf.CETQAhMAodDs5ZMEO000WkiHbn7P4b7KqWfCAhPFLQJA0Ale	23	2013-08-03 20:41:38.699485	2013-08-03 20:41:48.817048	146		0
11406	10k3d7n1v92t25it4akzbgmx9e	$2a$07$rRG7AwEjF6gtg0AWXPkHBeDAQcmSftVcCRNAT8g7no1pA9ES48NFe	24	2013-08-03 20:41:38.735555	2013-08-03 20:41:49.042047	146		0
11407	103bp360yif41zlqrti5y7ysk4	$2a$07$aVJ81dU2tgZNEAuqn93uB.WnWc5phv4Va4.e5Rat4bNWLxOSQysUG	25	2013-08-03 20:41:38.769769	2013-08-03 20:41:49.171928	146		0
11408	10lbrmgc2qng4syhu8tujt65yn	$2a$07$VPGoKlfAY.KvFN0Wn1L6ReNhHdqrjkjZZ4E6GWPp2JngMwaKzi9..	26	2013-08-03 20:41:38.802697	2013-08-03 20:41:49.297442	146		0
11409	102fvvplwbd70n25j0eu58h73g	$2a$07$WtgEDX011/S6.Uz/1T5nZukP80icU2cjM8fF6HnmhjfMg97gfGczy	27	2013-08-03 20:41:38.826047	2013-08-03 20:41:49.431757	146		0
11410	10yxjzyq3y1oehwaigq8nfhut6	$2a$07$IANt6n3JLvgMOefMrWLYOOqqsICzhn5nQpagHhx4dHFXjwr8cCPWq	28	2013-08-03 20:41:38.847958	2013-08-03 20:41:49.778452	146		0
11411	1081obhqa7skcpstd9sz7wtipr	$2a$07$.zmAesrjY9WKEyr4ffCDsuu/uKPM1pQqw1J3SONB1nQMik4svJW1u	29	2013-08-03 20:41:38.870432	2013-08-03 20:41:50.067975	146		0
11412	10brtfcctb6iayvh0b9319z2t2	$2a$07$h/VVedcpErVNlRwunSxtmeZbE.7hYGLPa835siYamfC3Chx0x.kUy	30	2013-08-03 20:41:38.8932	2013-08-03 20:41:50.193413	146		0
11413	10cwiqvmarhhxndsjo7k0l73hv	$2a$07$goegVaH/Vc5bh.CWh6kkDueTuNbE.rcocQhjJnHZlrks33RsP1VoK	31	2013-08-03 20:41:38.916866	2013-08-03 20:41:50.319907	146		0
11414	102u1p14bim35qrfy5844gvnz7	$2a$07$krNXnTWa9OZpivp4j680UerdbUq7.EuHE/uZg4lmxF6mWej4NHp4m	32	2013-08-03 20:41:38.940967	2013-08-03 20:41:50.456159	146		0
11415	106t80wfbrvqayj1flr8e1jwva	$2a$07$/Uu3duodHjLKKY8w1iliJOIMFFKTotgS1ZdMzz8esr2oXWXRVKyg.	33	2013-08-03 20:41:38.964712	2013-08-03 20:41:50.593569	146		0
11416	10hrvakbjn73bllibbjzofosya	$2a$07$ak7e0cTG8mwUViRmdq/Go.wKmCc4ojao/MNA1VtJbPpG7lYUQx4A6	34	2013-08-03 20:41:38.988	2013-08-03 20:41:50.730342	146		0
11417	1010c2tfa8rk6078c4pv0x5vyu	$2a$07$b.xfLJ7hjLnHZuP85E1jB.yPoZoORgXtvqyQLW/aYCbp6Qjmj0SHG	35	2013-08-03 20:41:39.016734	2013-08-03 20:41:50.868044	146		0
11418	10rd55wwycbb1q4zi47bbi5b9n	$2a$07$QkbtiEHnXv5.JNhxQDXfyeYsAkUuWsqWQkidP48pE9KDHJlnQrnBG	36	2013-08-03 20:41:39.040354	2013-08-03 20:41:51.006234	146		0
9619	10rr7uehc47fsd42ki2pwz6otp	$2a$07$Z7oezoiPoJ1KO41KVTPbnu8pp9m5pLTVq/IkKkpUwdiuybOwggqz.	1	2013-08-03 19:31:32.053092	2013-08-03 19:31:35.551527	132		0
9620	10ix3afz8dqhgcpadcszsy9n23	$2a$07$MvDObm//7ZIBtCtIwLFXUe5eQpmkFtzL3rhnNyopGqd2WrQaBwI4O	2	2013-08-03 19:31:32.076839	2013-08-03 19:31:35.973632	132		0
9621	100aum1irtnmjsx4euryr5ixi2	$2a$07$hF9CSaLSGluwt4sVEMeYHOT44tNFspbWrtumTCpiFGOBorugdpWV.	3	2013-08-03 19:31:32.100615	2013-08-03 19:31:36.247073	132		0
9622	106pyalhh570m3k9m3qdp9jd0u	$2a$07$lsAWNTzYea7C0NWHIVXb9.6EayQjHB2OL5SCEvwtmLUohL.xf5eJK	4	2013-08-03 19:31:32.124972	2013-08-03 19:31:36.403255	132		0
9623	10zzn4qfv8tmpiuksd1wu2bajd	$2a$07$u6.RuN91TVbseFIXTs8/1ejNBZ/59RH3qQj6D.x3xcgkIjAgVeHAG	5	2013-08-03 19:31:32.150893	2013-08-03 19:31:36.541513	132		0
9624	10un6i369jm6ccweqo54j4mpys	$2a$07$PDBQlu07FWQU1o9k5YQvrOWhyiWPznvy6YF2NXqznr5V2TPg2xR6S	6	2013-08-03 19:31:32.175319	2013-08-03 19:31:36.701501	132		0
9625	10tr2y7l7g40vj2n39zkffnq14	$2a$07$gZROUnAgvawdCQo2U6ti0eu0vrTxraB4Diq8aeP2Rj1ZxCcSDI6hO	7	2013-08-03 19:31:32.201201	2013-08-03 19:31:41.196341	132		0
9626	10fop0iwm6m3vgacfkp84vla9n	$2a$07$nvFl/c60BHoHuCL/Eh4JBeDwXVaGtoHKCPGgHxdSNQsJp/gGiczNS	8	2013-08-03 19:31:32.227882	2013-08-03 19:31:45.850499	132		0
9627	10vpu3hdg96rg1ik3tm9hxqsvc	$2a$07$yqik9.SFRFDgvZx6WcXwkupk45o7thTE3YQ3Y9kAqXPwURkVIy.di	9	2013-08-03 19:31:32.250964	2013-08-03 19:31:50.685162	132		0
9628	1008coyx4y461k4yk887t199n1	$2a$07$MbPjdFc1ZvWd1G/IdlJB8.HMxVfWUVxbC27XzXE8DL0.qO2rWHH8q	10	2013-08-03 19:31:32.273704	2013-08-03 19:31:50.821602	132		0
9629	10o5lv5pylpj17qo39eqv7ajeb	$2a$07$ATJdjgZ50QQNtCQ1Yvvjuue8RxVcIiJoFwWOshY8Couf.HYiCUmbu	11	2013-08-03 19:31:32.297223	2013-08-03 19:31:50.957837	132		0
9630	10pr6dq1im43s1akib6trxwtdn	$2a$07$/TA.VOs1TqWg/C2LlhIoD.WNYlU9NrHGdY6H9l.XmokRI3wj9N8wu	12	2013-08-03 19:31:32.320792	2013-08-03 19:31:51.097381	132		0
9631	10h8oj63vqmj7medxxc9ytmwpm	$2a$07$3mkafISOVryDVXGBrjQi6eYE4azvvp/id3JvLf0YLOzpgq82zc2FC	13	2013-08-03 19:31:32.344597	2013-08-03 19:31:51.233565	132		0
9632	105t73py0x4sp5qzdrss6zezt4	$2a$07$xROOAMNk0Zn5y85pc5ubq.bs5iUQ7lpWiW1/BAbd04G6EyLQY.Z8W	14	2013-08-03 19:31:32.372314	2013-08-03 19:31:51.365477	132		0
9633	10ggls2s7ck3s7jzjsy9soyvvz	$2a$07$jVp3/britiuEnX24fLMnhuSvBPq6kGXwyQoXi18HiTBoOmRTcP0ki	15	2013-08-03 19:31:32.395216	2013-08-03 19:31:51.471996	132		0
9634	10hjsalsofqoc7dqichcxpwcsn	$2a$07$8opBGf7PMCmlN6Q1LLof.OquSWRm10QjVop5j5tzPsWRjaFFLCxNu	16	2013-08-03 19:31:32.418431	2013-08-03 19:31:51.601951	132		0
9635	1090iqnz27p344knz2y0j9dwho	$2a$07$/Hih3MRxjv1YJsUDL9lM9uQR3cR1/4QF0U3HJrurTYw9IpCim/krG	17	2013-08-03 19:31:32.440869	2013-08-03 19:31:51.74473	132		0
9636	10ccrd7bsfh47znbb4fbjsu5n3	$2a$07$AXQIIYDCqZ80bHxriE4hWuImQxaRC4y0.rSz2xgCIsYq7N9aQ7/9a	18	2013-08-03 19:31:32.463891	2013-08-03 19:31:51.894467	132		0
9637	10j2ppc0zy5wmuy8k920trqjl9	$2a$07$.MYn7PgHJ9UUJNx23uOs8etWnV3BnMK7LdIzp4dukVglRSKCIq7v2	19	2013-08-03 19:31:32.488708	2013-08-03 19:31:52.02206	132		0
9638	10nrkw92r0ms303syc4q1obbrc	$2a$07$z2U1Vhok7CVMjoDP0nJrlOxu0rXNXrlN6CMclnYN0NkZrzIFJl5rq	20	2013-08-03 19:31:32.525054	2013-08-03 19:31:52.146293	132		0
9639	10f5hn570xbl5maxmaignoscnn	$2a$07$BAxBD.mXlC7yHR5mnfWb2u7RUI7jDK3RYejvVPyrTN2Fa4UO3qJc2	21	2013-08-03 19:31:32.560789	2013-08-03 19:31:52.275851	132		0
9640	104o9t7a4o6y6hg5orzr4mgg41	$2a$07$wJg0donQRAoBbxnwUxaKLOfeeSGUpUYyTDZgn93LKs4EvqVuzWcGi	22	2013-08-03 19:31:32.584298	2013-08-03 19:31:52.400939	132		0
9641	10ndqctczv82eglk377e6gx1tl	$2a$07$dLjwwznHqHm/.D1mHg5BNehuWxx7sCnU9EeyXO1iUvJoimquI5wda	23	2013-08-03 19:31:32.608576	2013-08-03 19:31:52.521308	132		0
9642	10yqkbuo7gqv4msei4fibr840e	$2a$07$A2U.EwbpTYaHy07K5PkbUeyhr7ogGvb5H3eIwmcsmALH5C3SNhadW	24	2013-08-03 19:31:32.648419	2013-08-03 19:31:52.708328	132		0
9643	107wqo1i6hr2frgf2yfvfh0upg	$2a$07$tgBnNKpUKhLYsojrdo4ioOJAxvXyew6/6.Z3Yckpb1LF4aG57TqA2	25	2013-08-03 19:31:32.675727	2013-08-03 19:31:52.835554	132		0
9644	10x6hdi8j1x4ice5tc8wocpyz3	$2a$07$9.pTowdqVD.lIasQvR62L.YV0M9skhRr8rZ8G2EG5DLIhdAEtOEvC	26	2013-08-03 19:31:32.699043	2013-08-03 19:31:52.955729	132		0
9645	10ap4hyjhojphx0x61apmf5bs3	$2a$07$tZbJs7fF9awO4S.nnMsQDehQiwFqmAkVmXknMIOy4gIsPhxfwCVcW	27	2013-08-03 19:31:32.722875	2013-08-03 19:31:53.101196	132		0
9646	10g9le8kjf5atci2e6hpxdlmqd	$2a$07$I.Jdq.FmVnaohTx56.rePemgQrKAnjD2wWIr7qRyRWYPqmD9bGikK	28	2013-08-03 19:31:32.74649	2013-08-03 19:31:53.262699	132		0
9647	10enikhul5d2o4thye1qr4gh8u	$2a$07$FQCYhvlq8vNgbe1zL6HfCe9nze0tMZoE1AJPMJwaG2pT2Bdgd6vXy	29	2013-08-03 19:31:32.769575	2013-08-03 19:31:53.402099	132		0
9648	10fi6g422me82s5vg0vzrw15xp	$2a$07$2dw7x/5F7aLfzwCRK4bGO.QUL.GjtCWXZs1RUEow4poIFPwAuYW4q	30	2013-08-03 19:31:32.792697	2013-08-03 19:31:53.538519	132		0
9649	10gt2m6o01jwz4asmnpxp8evr6	$2a$07$EbILe57AfZ0v2nSPdVE8lupYEsjCd/J2wIS29J0vhJ3R5pKsfEbvu	31	2013-08-03 19:31:32.81569	2013-08-03 19:31:53.646647	132		0
9650	104vlwyeexefcnphqutfhpd2i6	$2a$07$Yk3Z97dAVle2Mf406G0w/ueRcdkUbxLrpv17iSL2Vepgk.2WaeOL.	32	2013-08-03 19:31:32.838394	2013-08-03 19:31:53.778078	132		0
9651	10njl7b0gvzaq6vyu6hw1q5ero	$2a$07$nHUcn5cia.FPvZpoqnMS7ecxInvEJimgLnVnh0jh40TDeeEV71vSe	33	2013-08-03 19:31:32.860359	2013-08-03 19:31:53.9021	132		0
9652	10jhx28315fgdvsei995kudnba	$2a$07$UM7OmsBBOZ5nhhUbI/nlCuhUXTMTJnyKo9fI8YyTsO.yW/3Mdnary	34	2013-08-03 19:31:32.883355	2013-08-03 19:31:54.038058	132		0
9653	10hw3azetkiqfr0ijigcfo9s16	$2a$07$IjQ3y9UUgeoHuvMaM4uuMud.4s7MEbyQYsEOXTi.oS3Q5/JVSUVs2	35	2013-08-03 19:31:32.908719	2013-08-03 19:31:54.182662	132		0
9654	10xh4s409m1a2lwuqf0igx9ywf	$2a$07$pwiU89SdSC0srQAMiIzRX.LqaXoLxA9RnAYpPcj7BBkhwUQf6JI2i	36	2013-08-03 19:31:32.946397	2013-08-03 19:31:54.32631	132		0
9655	10b5fjrsgfy8h6wk64fgmefir6	$2a$07$yc5tN4cJjtfszfncDk2oAONOMik9M8jnpgq7i7ZCwuUKHbow/shuW	37	2013-08-03 19:31:32.981535	2013-08-03 19:31:54.453832	132		0
9656	10a32cehyzzakfumpwmubvugns	$2a$07$.T8TApT7GjHVwTU/hjlAWeTGNr8jxcGoXMkzJoFDLREKdLg7FtTtK	38	2013-08-03 19:31:33.004219	2013-08-03 19:31:54.563246	132		0
9657	107icdh5glzwv22xrr9phu2xqi	$2a$07$sDrSZrye06CSmKenHJBGdOqfS1/Al4wNdTCFHoVT/VfUA6qRkthoW	39	2013-08-03 19:31:33.026768	2013-08-03 19:31:54.67348	132		0
9658	10a6wiuhwpejjh3u6e1thi1zh4	$2a$07$EU6sAheNktEAGdQPDyiUeu40zAhWKJE43kAYdMSwrVghz75xQzFhe	40	2013-08-03 19:31:33.049853	2013-08-03 19:31:54.791354	132		0
9659	10zp0cs4qpyv99jh76x5qu4zcr	$2a$07$hjXWEfIBiVxtMzE7aLC0XOAtT8OCHpL96zpQ26rO/Y2CxcJvzCRx6	41	2013-08-03 19:31:33.072884	2013-08-03 19:31:54.936531	132		0
9660	10ge8uhlg0g0sajsbge169lskg	$2a$07$AzJppSXVha6OJRQNLdt6xeCkSbqfIoHIRZKv/N0WFQckkjzxGsKsS	42	2013-08-03 19:31:33.095719	2013-08-03 19:31:55.059995	132		0
9661	10gxjfmqrqm8n5nbwttosul1ps	$2a$07$s754S4mm8rNcvfFZxSEYDOYkF3scwKs6wXEt194g/GcIXPVbf5rVW	43	2013-08-03 19:31:33.128047	2013-08-03 19:31:55.190516	132		0
9662	10ytg3oxuu8pi94e9iztaxzb93	$2a$07$XMU.MknUHEtEsJm1iqde7uDCgGcYrwiNYdJuDK/ubh3emNqEo0G66	44	2013-08-03 19:31:33.162767	2013-08-03 19:31:55.302807	132		0
9663	10uxrt767s67b5s6qbh2kak1l6	$2a$07$bTSu.qFQIDrQtiXfyw.q1OVKLLrR5mC3GyuNOEjENgk24YBgQnnyG	45	2013-08-03 19:31:33.188325	2013-08-03 19:31:55.432289	132		0
9664	1030vcagetkyxz24de4j6isqu5	$2a$07$byMms5gnYdcd3BXeyYmRBeUD0YAcUMogNF.Pz.Pwz0d0TEK9Xfa1.	46	2013-08-03 19:31:33.213977	2013-08-03 19:31:55.54129	132		0
9665	10xax9qfwivdz4rmjwtfozo5m6	$2a$07$rEfIoAiwYX.C1o1wzs4T6eEkTKmaYH30Ifh9w50k/1qIZ0jqBz5yC	47	2013-08-03 19:31:33.239158	2013-08-03 19:31:55.707264	132		0
9666	1093uk9wlagpxujzqkmpvxjc4c	$2a$07$sczAwItYhV1QmK68SC3hteFecI79mSDVJcRrtCtvDMPVa/3KMbqdG	48	2013-08-03 19:31:33.262981	2013-08-03 19:31:55.948303	132		0
9667	10949agy1p22h9u6hnhz9hu855	$2a$07$CettzMqEEl062se4AIbNCOggbZjlhMMNXVbQj8znCGqsVVNnxv.JO	49	2013-08-03 19:31:33.287139	2013-08-03 19:31:56.088728	132		0
9668	10kxsduw9ae4qn5u7qs2o1h5ct	$2a$07$pr3UDJpEcshM2sTEtu84bex6GEM63.V7yxRu3I/Rx3nRzO775fsiG	50	2013-08-03 19:31:33.310258	2013-08-03 19:31:56.242395	132		0
9669	10mpkce6nz87o00n3tbzy65jjm	$2a$07$NFqBYFNNxu82j21FOzipBepaYzG1GZZKMP3nEpWLfv5GVYWgWehuq	51	2013-08-03 19:31:33.334354	2013-08-03 19:31:56.368278	132		0
9670	10r8uxagucd0ldldc186h9pko1	$2a$07$bVh0gJw4NB61V6hn.z4niuQb6Yu4Zra8U4tb6AmSuJl/2ivrH//qC	52	2013-08-03 19:31:33.359739	2013-08-03 19:31:56.688486	132		0
9671	10n4isy0v368pr8lk7b8m1uzoa	$2a$07$3IWPH8VnTol68WzLRRqx4OWEXIUxlek80g/tUNGt/ZwFHs7LXZoVa	53	2013-08-03 19:31:33.384702	2013-08-03 19:31:57.059227	132		0
9672	101esxzum1csog27kjkeic5c65	$2a$07$rxbSLLZNUbZFcTc9OAuoBuDDUnoo6puuyVjjI9d8Jd132csMjw2dq	54	2013-08-03 19:31:33.408313	2013-08-03 19:31:57.380673	132		0
9673	1035hps3lom4ugs3feac2hypwa	$2a$07$xN38fqSr3jYmEbSrUvA8t.Fs9Ku4R2zhFj4GsO0CmZ/5grHC.CwMq	55	2013-08-03 19:31:33.432966	2013-08-03 19:31:57.494073	132		0
9674	107cjzzvx3r8j1167h9fwzlgav	$2a$07$SPo9vUdho/uzWwhqSKpSGO4yqCcG3/emQMYW7RT0/PT2VTb.Bq2EG	56	2013-08-03 19:31:33.457948	2013-08-03 19:31:57.602124	132		0
9675	10e0sd2dd9mzhww5czviml53cf	$2a$07$UAEQYxSRRHqWdPgDctdNpO210kCZNnUq5rtroOTi6rPcKy3lRY2Py	57	2013-08-03 19:31:33.481526	2013-08-03 19:31:57.702952	132		0
9676	10ix8rkpfabvc95tn326osb5je	$2a$07$ivRACPhoOBoNPIyBIsfQuOZ85JwaY0adnUWAdeHu5K1SGccK9hn1S	58	2013-08-03 19:31:33.503717	2013-08-03 19:31:57.829784	132		0
9677	10lrmbaekmz00du52dboilb4pt	$2a$07$9ZH04zFj6MDDcr7l7MH9QOXqkDD87m5kSovvCw4oPPMA9djY0sywC	59	2013-08-03 19:31:33.527257	2013-08-03 19:31:57.937994	132		0
9678	10y3b15n7j82agxxr2x13yy15i	$2a$07$W7L20YZUjlS6TMZkMfdWZuzPPZ9UtLggQ5RFb5Gbe3pNxmlN4DFeK	60	2013-08-03 19:31:33.551281	2013-08-03 19:31:58.064831	132		0
9679	10o1w00zsobe4mg97d9dvmrtdy	$2a$07$syICvEstg6JPPaagCVJRZOZ0ocqprzW6TR1tqPRlxSLTDrLpCDajG	61	2013-08-03 19:31:33.573412	2013-08-03 19:32:00.589051	132		0
9680	10i07koe77pekmupbm22tg8386	$2a$07$/NH.bzYTTpkofmjUWLWouuo7WPRtoo8V/d6qZ1zjK1bNgiMnoAD1G	62	2013-08-03 19:31:33.59714	2013-08-03 19:32:03.692861	132		0
9681	10troink5tsb7zc1rn75n322dp	$2a$07$ewSKGA5qagszzcIF/Pf86eAnQf3YvtdZ9WxdPocSN0MJac3BqJmhq	63	2013-08-03 19:31:33.620416	2013-08-03 19:32:06.502907	132		0
9682	10dpl5k33tpdi6npt2nchgknde	$2a$07$Y556n.mQRvpzG6DLHYp/QuRUV0PGoe.L8owB4HM0ox8cfXAF6sLRu	64	2013-08-03 19:31:33.642319	2013-08-03 19:32:06.884964	132		0
9683	10mmvcto184zqbz7mct3xnj3v4	$2a$07$xeN22eIyjoxCuJ886YUJzeC.SX2SPnvuAZe64Ua.Qk9JUbnuuTdmy	65	2013-08-03 19:31:33.66602	2013-08-03 19:32:07.020155	132		0
9684	10bv2kilkvsolj4q5ktwoz79sr	$2a$07$Ojw37II9qlRpn.be2hB3M.QK3kdnFDyvAl0eRKICHQmq5UgSuRkxe	66	2013-08-03 19:31:33.68772	2013-08-03 19:32:11.205665	132		0
9685	10v8rx65qtn32gjvrx4ivsrqnd	$2a$07$gN3wr1fZfK00E0WU4CT3J.lsXwVFhwDlaPeDrqBkwbYh9WVAo.U.a	67	2013-08-03 19:31:33.710564	2013-08-03 19:32:11.309603	132		0
9686	10d9ybjhasmk3zhcw54evr7w2c	$2a$07$Q2AbQaTSkyffz.nstgvejug3BOaIq4Re4dUCukz.LNnCpuoqm7BfK	68	2013-08-03 19:31:33.732712	2013-08-03 19:32:11.437906	132		0
9687	10n8tvcq7q7p7vf4q9gkab5xxd	$2a$07$KgrupihQdPEUJz0IrIhkeuCYxooZ1DEErSzHsPyWJl1b8Mqj9/Wt2	69	2013-08-03 19:31:33.756136	2013-08-03 19:32:11.574958	132		0
9688	10q5me964nuh2mf7tm79ybgiag	$2a$07$InBTJCzK5rk.gm78ZI6eAuMs/9Ja16t2ejLjchA0zgWppdMiUzK3i	70	2013-08-03 19:31:33.780685	2013-08-03 19:32:11.700674	132		0
9689	10szmi64uriamuxlzfl5laaiaz	$2a$07$AmCwO1eIKvDkyahURUpFnOQKmGruG3BDsCvaYtbUxHVFxl1g/rHPm	71	2013-08-03 19:31:33.804541	2013-08-03 19:32:11.823498	132		0
9690	10ikq1pg4pjmxwttn9n2uk6p6t	$2a$07$pXHp6.dbF8ywkcQDq5/w9.psn7KhQy6IfrDIbIgsxnPmB3SFTsgo2	72	2013-08-03 19:31:33.829999	2013-08-03 19:32:11.942918	132		0
9691	10yb6427li3aimnhgabq8py1mk	$2a$07$kcBCd9HyvOKBxlPkeXig1eVJeP.A/jz6ilkj6ruidymj54clgRFwS	73	2013-08-03 19:31:33.855661	2013-08-03 19:32:12.056875	132		0
9692	10bcz933488qvxk9qvy6debzi3	$2a$07$Aw9AKFFV.vyWgzKf5XJZ8uq5LO8BSir6.8E3/KQGMD/mU1.rSf1jK	74	2013-08-03 19:31:33.880731	2013-08-03 19:32:12.189049	132		0
9693	1016v5zpd3asxvopq5z21jpgw5	$2a$07$rhc285El6SQbFKIZRMoFRe1RikrrV3N09v.NOKEttL4nv.naDBPGi	75	2013-08-03 19:31:33.905345	2013-08-03 19:32:12.328882	132		0
9694	10yohcbyv3djuzqpyu2vxbnoou	$2a$07$y9EjPE1Oc4MdjgebXH./U.svir.zeTTxy2Pkpk3yMQs9hCkqGmjJW	76	2013-08-03 19:31:33.930727	2013-08-03 19:32:12.470167	132		0
9695	10dwdgd11ev5swpk015skg7v80	$2a$07$Z1JvHMEmbV9krX8yUansyeosH.2Ik260/Tvkoi1k.4ixGspoSgpai	77	2013-08-03 19:31:33.955266	2013-08-03 19:32:12.616679	132		0
9696	10aaaa9lzinft9tkfvpiklvsv0	$2a$07$7a2Wld59AIkv9ayjWQkInuMlNYfpHyRg1OxrAi.3JS5GMvTuk51ly	78	2013-08-03 19:31:33.979265	2013-08-03 19:32:12.751098	132		0
9697	1033yjhxkew9oqfovikkpil4dw	$2a$07$GCgP2RCwBZ8HdS288GxN8ukUsNhyj8mCNbjeiZQednZCbrU1A19n2	79	2013-08-03 19:31:34.003106	2013-08-03 19:32:13.132017	132		0
9698	10zacqhtzsnfvsvty3qumf138g	$2a$07$lqHvqQcx/VzHnMUK9e.asuAWg3fEJCjJtPJbMg3wBCPGzGJ5n5Xqe	80	2013-08-03 19:31:34.026784	2013-08-03 19:32:13.263498	132		0
9699	103fhhmxp197wqk17rkx0nc5ey	$2a$07$wQ4Psz.9tJCaCOZ2elUcb.uoTQn0ou7VYs32yUSBI0/HR1eA1Phky	81	2013-08-03 19:31:34.051066	2013-08-03 19:32:13.613756	132		0
9700	10c6lim7xjfy459b8pzxwgznkc	$2a$07$GsP3RoqbhGaMtw66XGMSeeOt8d9ZgMG4TXGkr.60DvCEIKSMA0lJ2	82	2013-08-03 19:31:34.078165	2013-08-03 19:32:13.747635	132		0
9701	10r2f37ofp4pt8whibb0lnzkws	$2a$07$2TtRtZwG/IfJx3W4G8vCEO5hLF5aGqVVilWzwHViBPC6rO3GT0MB2	83	2013-08-03 19:31:34.109078	2013-08-03 19:32:13.882538	132		0
9702	10vy9zibszrkzjgjk9oga54659	$2a$07$xZJiu9NAuIXoFbKIxJ.M4uFr4o0VcaZJAQBUy6drkRDko5LqxrF3G	84	2013-08-03 19:31:34.136603	2013-08-03 19:32:16.705425	132		0
9703	10ogry3frsyb92fz8lzf4x1z7t	$2a$07$6cRr7TpKCH12AT6tn9otvOdXaso6D9WH9h8CD07ACEO6kqYAeBlNS	85	2013-08-03 19:31:34.159921	2013-08-03 19:32:17.091003	132		0
9704	10ewfv0cw14r6mcm6dd24kbuyr	$2a$07$qzW06kPcVubnTOw4o2WTWefk6wcV5X8HikO6Nz52H3ANjzsKUVugO	86	2013-08-03 19:31:34.1846	2013-08-03 19:32:17.414743	132		0
9705	10kgibu6rubkqjqi5gup83algt	$2a$07$9NsHM9F2xCL0y6txx0qliuF4T.lJexE3zW4Q.dajANZyBc5JlPMri	87	2013-08-03 19:31:34.221552	2013-08-03 19:32:17.57447	132		0
9706	108h7hg2lahd7wf9uik7dj9wa8	$2a$07$PI.BxFBh5fAFluD76phQVe17MmQ7T13etHekU9gDrl6KqrbDrXdXO	88	2013-08-03 19:31:34.249633	2013-08-03 19:32:17.729442	132		0
9707	103tn2ckyouy0bi9o7djlz7fp1	$2a$07$euOakzsEFaMUPwwyi/nb/.j9gq20yjR6JBvIKTqdwWdMJyXpi8V3e	89	2013-08-03 19:31:34.274855	2013-08-03 19:32:22.239013	132		0
9708	10kfu1gzss7szk555qepxtaovy	$2a$07$XXCG2TYXQPwFTMFx1HwHpOXZ9Bn/00cv1OWxTCTGM1vdpX/r/Ln5S	90	2013-08-03 19:31:34.298849	2013-08-03 19:32:25.963588	132		0
9709	101u8oe4et7j69q7s7uxwipj7d	$2a$07$obbQV3hLmVI31pBOQAmBYOOSKECGpDHAFfKcm9GW36SaHBW4v4RmS	91	2013-08-03 19:31:34.322646	2013-08-03 19:32:26.10296	132		0
9710	10ztwseheywkbgoxaudw964fob	$2a$07$sBKaSNypV88Y2/Cjz0R5zuv26SezsEU9Au9BzHJqF8HYOr08f9aXq	92	2013-08-03 19:31:34.346198	2013-08-03 19:32:26.240409	132		0
9711	10yyip17ev5owdhtkemr3v7y91	$2a$07$xeFxGiPinnGYPHvZ7QwTN.lyU7i4Z9rfgBgo/OyovfhJYe1tySWvK	93	2013-08-03 19:31:34.368107	2013-08-03 19:32:26.379439	132		0
9712	10j5buwpfiijcrnlyor2lu9czq	$2a$07$wg7W25Au/H1dD.Eyt5WNdOVdHeIEDHerKqxjlFKZ59fdjWSwBqYgy	94	2013-08-03 19:31:34.390156	2013-08-03 19:32:26.50384	132		0
9713	105pp7gww1ggm169o7orqufd1l	$2a$07$ENN4MwturW5qIEvwztToOewOgCaKIQTAc6Iqwza4KlBgTxhRlYEJO	95	2013-08-03 19:31:34.411712	2013-08-03 19:32:26.640623	132		0
9714	106bam5ga444wiffcaw5o6m95k	$2a$07$nMc..89uHplPoftOEwQetOGQiSAN3mhsyDn0d1BX9DicykeLmYraO	96	2013-08-03 19:31:34.434177	2013-08-03 19:32:26.766281	132		0
9715	10898fw3yw0xixj1tsr3n0ska3	$2a$07$lLntRT5Kr2aiU8NWSYWBrOxH8wSFpK0Ra939Xt2QIr6dT8f5gYf8a	97	2013-08-03 19:31:34.45552	2013-08-03 19:32:26.9029	132		0
9716	1082djs8zrbw3ponfdkbgp8j6y	$2a$07$C/VOUDktrbR1m218N9wRceMkqIma.D4XSUXffM37qiEsTpSvXeejW	98	2013-08-03 19:31:34.478428	2013-08-03 19:32:27.048114	132		0
9717	10byigq7wv2ddv6yxg43k2o65y	$2a$07$jCfFT9MStlZ1mm8zbqx04uf1VnQYBjR59mPn1Hptn.bQsg.rvdLZW	99	2013-08-03 19:31:34.500791	2013-08-03 19:32:27.148168	132		0
9718	10ad0dhwfuf2ky60o27fnjdftq	$2a$07$QrdF9lgMCL2iJwjWrn7VieEdJjZyiiek7vef0QYDsmBR5X3IPKtrC	100	2013-08-03 19:31:34.525037	2013-08-03 19:32:27.281032	132		0
9719	10teoouf7r9eknkl6fkiqr1m8o	$2a$07$sG9dFjgtuU6TmeVtDkumg.9HN/cG4nUDsqaC.k5QSXogM05yiwf2m	101	2013-08-03 19:31:34.557383	2013-08-03 19:32:27.399015	132		0
9720	10ww9ajgd92vqe6i7eevuyfxp1	$2a$07$lsUwW0jbA64SdvvqjaOZGOQN8wS4b9Z.r2wlFMq9EuV7X7GDymj7O	102	2013-08-03 19:31:34.590417	2013-08-03 19:32:27.509537	132		0
9721	10r2ixmp7n5vp91n2lznntny7o	$2a$07$jjlclUJeNP5Z7uLuKDSxMOE0BJjrumR8JaCyhqAXuxQr/WaErRiIm	103	2013-08-03 19:31:34.613343	2013-08-03 19:32:27.891158	132		0
9722	104x8id67ghgbl1emyats0ma9p	$2a$07$fnDxRQNcMr6wP2Sr5qbVOOSueaFAaaEhuhBuBULZKiOuEMCgBff1q	104	2013-08-03 19:31:34.637309	2013-08-03 19:32:28.081489	132		0
9723	1030gra2dm8rnxmp2hbpefd677	$2a$07$cpJT5guQ2OuF5w.rEMDateUL4Q1trQKhdXkKvxF8U6GyqbDBYnua.	105	2013-08-03 19:31:34.659888	2013-08-03 19:32:28.206748	132		0
9724	10uu5s5iu5uki67vftkw6apn7z	$2a$07$MPbpvEV32Qz7Xsk.KCMZ/epQlUdy79/NzqNkBZFqk8b1d0oFyIuTa	106	2013-08-03 19:31:34.688519	2013-08-03 19:32:28.338139	132		0
9725	10qluygc7t7eg6bsqak2yrjnyz	$2a$07$wslgvT8/mB1NLRxpDOByquQRFeQGN1bduQxsPoOJBs3eoI7WdTiiW	107	2013-08-03 19:31:34.721441	2013-08-03 19:32:28.457329	132		0
9726	10ia6opuqfe99g5wwjym8y2647	$2a$07$0ladpIZVMoBtn4qvQhGBVuUPWQHNF.z.xhiJ/jbMlQTtOwqOwSs4m	108	2013-08-03 19:31:34.744087	2013-08-03 19:32:28.555402	132		0
9727	10hwcdw09p1mdz04hsq8jwkpr4	$2a$07$YQeDAP.DuvVOL/0Z.W2HZOxuLRiohN4DT6RKogiRtSpN1OBGP78zi	109	2013-08-03 19:31:34.767595	2013-08-03 19:32:28.676928	132		0
9728	10x2ncxiu8h3jb4bh2yy9mi4q2	$2a$07$TQxyp9JdMd2a4gpQzhqd9uPBvh7RZ0VufO8/xV5j.fkUVRIYlcYie	110	2013-08-03 19:31:34.791666	2013-08-03 19:32:28.795806	132		0
9729	108r165puz8kbv526plh1dt7yh	$2a$07$MVvII2ROaZLcY9ZfpuJIt.KVmOnKDCdtTIUTDJEIOHWz7Nn22lIdq	111	2013-08-03 19:31:34.815014	2013-08-03 19:32:28.919795	132		0
9730	10n9iw8wlezbgc0xkny3noisjb	$2a$07$IvLxKB0A0b9nFOObSi/JAu.V5hnJDLnwghd2beZ/lA.40miYMGCAi	112	2013-08-03 19:31:34.838217	2013-08-03 19:32:29.053183	132		0
9731	10eypivfyatc75ppgi9rb4462t	$2a$07$MXf5qJNtmGCzS.Ts7.sCweueoC.jqhA02BbsR7Jz3riVCWYiA42te	113	2013-08-03 19:31:34.86017	2013-08-03 19:32:29.197768	132		0
9732	100j45hqda7zhsjtr16wndwb4g	$2a$07$PwKWkboWoaZwoUmBKUTLFeVHgTCTlvNmr2oZFjzG8WGJ6q1YrpJzm	114	2013-08-03 19:31:34.883155	2013-08-03 19:32:29.33618	132		0
9733	10yuiv6mdsz6u9ppc28ll3nvxu	$2a$07$CddKNZ96xIk5El62i.g58e1VEGCNLQ4SlfxTeZky1tNoAtLm538FC	115	2013-08-03 19:31:34.906082	2013-08-03 19:32:29.705233	132		0
9734	10udrvrwpbb5vqslhalvj5rkmq	$2a$07$SXz8Pf/LmDzCePYCtJ0NMuIF1ban7DDottRfSVZrg.n9h2RueOgcu	116	2013-08-03 19:31:34.928763	2013-08-03 19:32:30.049247	132		0
9735	10dg4jtv5bwxzjgtq84pd2sfla	$2a$07$DHQe645jKbMtcWGbTP2WIOSRtsBx.9a5VoAaBKLJJzDUZINkdmUsy	117	2013-08-03 19:31:34.951999	2013-08-03 19:32:30.163726	132		0
9736	10965ypntlly2bkd3hwo31tnui	$2a$07$PrGkr/YEFIYtOEt4mPfRSOimTlnakFWkitlx2okRbzX45wRAZeh9G	118	2013-08-03 19:31:34.974437	2013-08-03 19:32:30.298434	132		0
9737	10mvslc91bb7721ov15x5igsu4	$2a$07$oFhmAdn05XTpgVeO/2o8WOVAGzH5ix1awRObMf59eXhvIuOsSYLpy	119	2013-08-03 19:31:34.997309	2013-08-03 19:32:30.433575	132		0
9738	10m6blaeq8uhs74p0wm1niatdj	$2a$07$Kq9JHYNYs9ucXtPDTWBXm.XA8J5e4O.Yx6kbSrUxwvt7NZU1oG4Ra	120	2013-08-03 19:31:35.021508	2013-08-03 19:32:30.56774	132		0
9739	105kpnb8s5ygzr5lfaacip86hr	$2a$07$C/oO5t5YAQwEl3a0AE9p6.6IhiC9DMaMSfSCXq0LVp3yND2n33Fh6	121	2013-08-03 19:31:35.045331	2013-08-03 19:32:30.696497	132		0
9740	108s2vvd73zkp999wk9qk2y0i3	$2a$07$g8Ix1qCbMq2w4pK.QXBZ/OMOt.HQid5sHgaxhJuB7soUMndfnPv/.	122	2013-08-03 19:31:35.068943	2013-08-03 19:32:30.823617	132		0
9741	10oj0h3pcsabslj0dk11k270zx	$2a$07$3VpxXx6DjtVb3OMI1lyhO.bfGbhsuoMc5QwYfwJESrNh5SXMWig3K	123	2013-08-03 19:31:35.091017	2013-08-03 19:32:33.504975	132		0
9742	1088l2nruid6loqe3qape5yecn	$2a$07$GfGbeYQJdFNLh8fmgGKrUOMZEy.L.G5eoFEUgK4wHUBi9VENrMZN2	124	2013-08-03 19:31:35.115125	2013-08-03 19:32:36.471031	132		0
9743	106nh1ii7lbml8b7dn0ae27w2v	$2a$07$wNcAnhbKr2AK6NL3T.ZeQu3gHNdL3xbiHURXkazBQB3fLjGDdfIES	125	2013-08-03 19:31:35.138923	2013-08-03 19:32:36.781792	132		0
9744	10pao211eisvsbs6da9anvxanh	$2a$07$5uYUfizs0ST/5gd.hBArLegFgG/HQE6thPuN/4EYw5Us35B2M5hRm	126	2013-08-03 19:31:35.161612	2013-08-03 19:32:37.133905	132		0
11419	10yyv86j7ovr38gctq0mnp21f3	$2a$07$Db3BRdPebzd4.Lzp/Ep6ReKarCdt7qtDKxlA31WGRE3DmjQj5lOYe	37	2013-08-03 20:41:39.063376	2013-08-03 20:41:51.153308	146		0
11420	10bpqjmt2wmy76po5zq08hz9zs	$2a$07$g3EJags9jFcBad2i4lCJvekDzPW6vxy9GncPLFPGOOJ61PmfgQpz.	38	2013-08-03 20:41:39.087698	2013-08-03 20:41:51.294793	146		0
11421	1070zsc9w5n7soz14v5kyka4cq	$2a$07$XQyskaRzPwJoTD8SekxS/.o9K4uLOD.egeKtRuTKP8gKyRx6e..vy	39	2013-08-03 20:41:39.11074	2013-08-03 20:41:51.416005	146		0
11422	10q3ekmk98iltut393ek9vgejc	$2a$07$uCMNSwv2SymMFbl2dqbbsO3vtPk55j3xY4ZkiqlvnWLqxiolZPhwC	40	2013-08-03 20:41:39.133902	2013-08-03 20:41:51.555159	146		0
11423	10ontftagu72hjwdhlspt6f6k7	$2a$07$CA/aB/XLXXdeX864.lZJ0OOAHkurajShOfg94TyjDAbL0PlIR8zpC	41	2013-08-03 20:41:39.156399	2013-08-03 20:41:51.68926	146		0
11424	10gsk8p405rflagsfqi7zgo01a	$2a$07$8x0hBmOjQ/1U4AFiYh24O.35GBEXIeyyVtINfSc8xwbbKAwXiKUUi	42	2013-08-03 20:41:39.179426	2013-08-03 20:41:51.812364	146		0
11425	10xbphiufc5hu8wkz7boah1lf1	$2a$07$4eXdlDQ/SSIMsUuKmAuTqugP3j6MequTFztOoEYKGPxPcx.Eo04B.	43	2013-08-03 20:41:39.20129	2013-08-03 20:41:52.118539	146		0
11426	10rem67380vgz0ce9tj6d2gc6i	$2a$07$OGh2yCFg610c0EnJqZdGHevkGn9K5ME9CWb05jaRQd81UNezn7VvG	44	2013-08-03 20:41:39.224243	2013-08-03 20:41:52.443467	146		0
11427	10gz14zutdqf6u2cib4548nm5j	$2a$07$sW7lsZgH2.TTCJ21uU8k4OA8mhFIsQINCJqLnrGOA5yNs1d.Sy1/6	45	2013-08-03 20:41:39.24672	2013-08-03 20:41:52.754188	146		0
11428	10oqblj5bnza1089n2d4u0rlx3	$2a$07$Qkn0JNeYQ3QFn4OqR7afzePxzPiQwLJaCkIKCeeKiKCN.j9ca28Nu	46	2013-08-03 20:41:39.269795	2013-08-03 20:41:52.913305	146		0
11429	10gsqxm2wbiydyuijsp969y916	$2a$07$M5UBqL6g//H7JrQjJO4owurSObvAzLTRxxrrgmhKIeab53w.PXVoC	47	2013-08-03 20:41:39.292978	2013-08-03 20:41:53.031257	146		0
11430	10ez1w5qwn96m70wsv3xxge38m	$2a$07$aWrnu5qUOxzEqKy627bfGeGQ2sVjXbUQ1cKPrwkGNyWisCQ/XCVra	48	2013-08-03 20:41:39.315401	2013-08-03 20:41:53.189267	146		0
11431	10b36rphxgjzyt69ho4yyfozuj	$2a$07$5OfyN9HPPhv9xuK4uN2HE.6nDBFA7vHf3TbRbwatnmRivTVBrFjv6	49	2013-08-03 20:41:39.338844	2013-08-03 20:41:53.340098	146		0
11432	10qja32pvjidekj92onhjftj4s	$2a$07$XKBBCcK94BsyJTjN6Oc07eKbCy18MASH5zmJ78IQ7dd3MPnlN4Jve	50	2013-08-03 20:41:39.36414	2013-08-03 20:41:53.510121	146		0
11433	10zyovachwwz2j6bvuy8tbkif0	$2a$07$MAIR0fNuUClERPROibvzB.cFW83ZOFOA85TuVHP0hUKX9n0KUqVca	51	2013-08-03 20:41:39.388416	2013-08-03 20:41:53.646787	146		0
11434	108ggtap6xb3vybbd0kbabqr1n	$2a$07$ralORVKfxV1R9HF5roX5POT7F3U7KBlyu1rGUJdQLqKQdFJFWIAG6	52	2013-08-03 20:41:39.410174	2013-08-03 20:41:53.99107	146		0
11435	10enzpehbk3titycepa2c9vq21	$2a$07$hNkax8Hi9cIgC9P7rkQ1xOeoeL/zu8Lh00BqgHPU3RLvkS/naPN/C	53	2013-08-03 20:41:39.432399	2013-08-03 20:41:54.25615	146		0
11436	104rn6mq1gpnfqbt57bqj7qzrr	$2a$07$7qiNIqlV.OqA/w4pkr4Mw.fhPZRMwdxjwLVlb0aEjsTr8nHRX3Al6	54	2013-08-03 20:41:39.454952	2013-08-03 20:41:54.685877	146		0
11437	10b1lvebtgw18vv8cpmlaiep2u	$2a$07$QBthsLBYyxuM68CPEe.T3urKaRVMcezqiXnlZKFh4dJ8s7Mg3ttCG	55	2013-08-03 20:41:39.477765	2013-08-03 20:41:54.805864	146		0
11438	10vvfnrsc365wp9r8wjwqr1t2e	$2a$07$hYfloxDvZIoaX3Lzi/5lbuP8OPSdajw0g38NbNMCWWqwuDcsPj7re	56	2013-08-03 20:41:39.500253	2013-08-03 20:41:54.907278	146		0
11439	10flvoyigrch6g7pjrvpcjfftm	$2a$07$mulGHdRv.FUEUFh6Yb8nce.AsdJ2aGDKfmux8Q8XN3qNQMcxJ6NS.	57	2013-08-03 20:41:39.523726	2013-08-03 20:41:55.029464	146		0
11440	10a1htij54ru24kjdirz1xfywn	$2a$07$5WVCtrjBok3AOQeh/V6y7evYcKQmYLZ/.7Fd7clSy0hsP9k32Uao6	58	2013-08-03 20:41:39.558665	2013-08-03 20:41:55.353437	146		0
11441	10eoh3ja1mqazagnstn2ku9uak	$2a$07$.cEe.dhsEm2aGJCwEVXtzuRIWe0z6JByGT776a3ZHAthVLsB5VasO	59	2013-08-03 20:41:39.589819	2013-08-03 20:41:55.673573	146		0
11442	100metoibqj8xvef42svba1jyd	$2a$07$8oKxF5X9o.BCccrNcaFVyOHk309.5moXgSdYho1uzFLqQLQKgaxia	60	2013-08-03 20:41:39.61486	2013-08-03 20:41:56.04833	146		0
11443	107976bzvwdak718eo8wglv3iy	$2a$07$GOydqOmzQIkeIHCcoz2XoehBET8dpSxIVCySUlImX33qHdGrTkcw.	61	2013-08-03 20:41:39.639394	2013-08-03 20:41:58.472922	146		0
11444	10m4s2zgnp2geafm87768ee93g	$2a$07$ROc22ZmFhJ0vkzLdSCpfTeo6x9UgRXehN/be/wlzRW3pg9bWAYDFy	62	2013-08-03 20:41:39.663372	2013-08-03 20:42:01.499429	146		0
11445	10vio5ssdeio71zh7g4zfagvrc	$2a$07$Mnt9jK8pET2QE9Ljvt.ZoOZXVhK0cr1Ut7R43jFh.jMSnbH2L5MW2	63	2013-08-03 20:41:39.684627	2013-08-03 20:42:04.467938	146		0
11446	10ccjy8xpdk6qj90h5mh6ldecn	$2a$07$vVQHHPbUK18O/mVPOlw/WOMKjpJfmt5PwfpfdOP7gsglXmhKC02xW	64	2013-08-03 20:41:39.707774	2013-08-03 20:42:04.617902	146		0
11447	10cnolp18fx7tf7a5n1pxnr4oo	$2a$07$fYQRPKnAGgQjXFPLHEqcp.nEVWT47T3oGkybbJvCidToRdcae7jpK	65	2013-08-03 20:41:39.730159	2013-08-03 20:42:04.754575	146		0
11448	10guoks7jz5v7scfmjioektq9w	$2a$07$bcAZL40O3F1yOPjAiXgSuewhC5VdOYlCvw5QKrU73YUFgstEDNoke	66	2013-08-03 20:41:39.753072	2013-08-03 20:42:05.743242	146		0
11449	10rpv3y087ovjgdwvz6cs8y8ws	$2a$07$K7Zv.C3Uwgjoc1IPyIgqLOzb5VfogMqAjlbaJSE1l6Xtl1.haCayC	67	2013-08-03 20:41:39.77587	2013-08-03 20:42:05.885979	146		0
11450	106qzcy7ggd0xztgf2wubj6x28	$2a$07$RmUIbEkEpC/8/pP3F6Rggecv4NFAI7hwL6p5qDsJ6GZfxIQGPraJi	68	2013-08-03 20:41:39.814971	2013-08-03 20:42:06.073768	146		0
11451	10lbhjc7f9rxvwkzrdyaqvh2qm	$2a$07$efqxE6ymnCoZiXNlQCU8lOD15mkTQQA1GSmUtTL0d8GOssfqqmH/e	69	2013-08-03 20:41:39.840707	2013-08-03 20:42:06.212832	146		0
11452	1042e3y97mjc4u5l6wiinx5972	$2a$07$d2ltFATkzFRI2NNVSppP6uX2jmut1/ZDwuskmoEQEJZHtEB47q8e.	70	2013-08-03 20:41:39.863919	2013-08-03 20:42:06.332765	146		0
11453	10hiumfl73v58unzu4a49evwiz	$2a$07$mFiK2rAuNEL52NTdDZkfUO2haCRhZMh9QObhB5vBaLYokf7mx0zLy	71	2013-08-03 20:41:39.887465	2013-08-03 20:42:06.474244	146		0
11454	10rb45qmkz3o11upd3yycerbq5	$2a$07$FUCJQxVsS.Tieo3BrqxMM.eyEXW8dSLTjE1xYIiC2UCo16x7qTDvG	72	2013-08-03 20:41:39.910096	2013-08-03 20:42:06.608272	146		0
11455	10olubhq3rd5ytm2izb6j13cy2	$2a$07$eNBPljGezcRRP7NoSM8DdOQxQA2WWpdzvHG6U5eRSG2DvVQWKkVnK	73	2013-08-03 20:41:39.932603	2013-08-03 20:42:06.950355	146		0
11456	109vks65rmvyxin4kp2avzjivw	$2a$07$b2qqESxaJ23HmPies6jcceUeymAqghbG3mM1fyU94lTHPEkpkOAwi	74	2013-08-03 20:41:39.955377	2013-08-03 20:42:07.066936	146		0
11457	10ujtjqjcw1ct23jyqve9oq3ye	$2a$07$skPB5ohqEHuBAiW2bnrXOuCezsH4ZHFNRnP9A.x7vgtpiKjYrOMP.	75	2013-08-03 20:41:39.978243	2013-08-03 20:42:07.217824	146		0
11458	10fxh6lto6z22pifzvfyhs2fdg	$2a$07$Z.Am5GeSuHnYk8Q0kOmcg.rzQ.vwsOjsMKyBDzcbOQwRStwQ8nHbu	76	2013-08-03 20:41:40.0017	2013-08-03 20:42:07.320596	146		0
11459	10t3re89qc5pqjiuv8yma52uov	$2a$07$UmkyYzxRwtt3JjMDMx/2iO21/yvzxop30erSrgu42VpS4jpPSJI.m	77	2013-08-03 20:41:40.024508	2013-08-03 20:42:07.448873	146		0
11460	10oggyd6orb27s5a75y9oe1qtz	$2a$07$xZsE3Yo/UgkA3GYWZP9EHOVwaSE40umBUQe4jMCfQLjpt30rkXPE2	78	2013-08-03 20:41:40.046178	2013-08-03 20:42:07.657887	146		0
11461	10dq7sy4z8a8dyooffis8uo45z	$2a$07$KfvrnVoLyQRkJy5vrkX8FeZi7BQNw1npbChPs3XNn8rMcHSHnikLe	79	2013-08-03 20:41:40.068846	2013-08-03 20:42:07.841745	146		0
11462	101e1myto7dbbao5p7ifmatv1t	$2a$07$/0gSJKE/UnYPcpfq9Z8ls.uD6HfxBrqqJkFlQJah7F28dNaLHuG6G	80	2013-08-03 20:41:40.091484	2013-08-03 20:42:07.980286	146		0
11463	106ympxz5e2ackg0cb29rfw8cd	$2a$07$QLD/H7eH6QzqHSVj/4M1V.72YWYlFor2d7L4nLMyOKWNPSelIyoSa	81	2013-08-03 20:41:40.114323	2013-08-03 20:42:08.220485	146		0
11464	108qyf2a2lx5uhnc0tntq2sul5	$2a$07$eFCxgcZOB6Vhq8ayu241Y.VGvy9qN7mg.URPeSrxZmt1KuJnR9pom	82	2013-08-03 20:41:40.137182	2013-08-03 20:42:08.328258	146		0
11465	1013la18toeikew0mcp1fmygdz	$2a$07$XWr8ddZBErdftdLHEADuROIL85uyaxLy5EYdGlakY67fKDCjTqUwK	83	2013-08-03 20:41:40.159672	2013-08-03 20:42:08.636732	146		0
11466	10uz30gc9g78031dy4sq8ew6co	$2a$07$A8VSJmI//aYJjECMlh/dAuLd3PuZgxZPSUtkV.yWMOIB89T3cww0a	84	2013-08-03 20:41:40.182934	2013-08-03 20:42:11.365226	146		0
11467	107inups33r8usq0j75hkd8349	$2a$07$Ylq6Y5V3BMGzxkEFtlk89.KdwGLrbKnhzouAJE9Yuu26eZhNuiODC	85	2013-08-03 20:41:40.204773	2013-08-03 20:42:11.630573	146		0
11468	1075zne3h4j454zudl7xtt0mgf	$2a$07$jV0ZCU2mdUfgtFrfaEaeTuLOdF3EYvihcL672w9FAP28gJ.MddWgW	86	2013-08-03 20:41:40.227903	2013-08-03 20:42:11.925408	146		0
11469	10cxtqqt7wfoo6c8vx0nc7cg8n	$2a$07$SeEKd3jyEx68wkqBD9n3XugUb2aVOycmYU.yhGNlXU4wnM5MZCWnK	87	2013-08-03 20:41:40.249189	2013-08-03 20:42:12.056374	146		0
11470	10sr23rdoxgfh8wt2whtpcyaxo	$2a$07$DNTKcYfiaCHw5DQ/g3FnPungg/6RpxqC8mLS.1wzo8tzJjUnpH4Ca	88	2013-08-03 20:41:40.2706	2013-08-03 20:42:12.196254	146		0
11471	10naks1zxz8i46wtik5nac84ss	$2a$07$Mfvg8d3CNx9aIBRZwuoxq.Zui3yqjNgZa.cv1m40OSZp3rW/6j1AC	89	2013-08-03 20:41:40.29305	2013-08-03 20:42:14.783454	146		0
11472	10eobp4loa8u9dubp5xf9p37uu	$2a$07$W8YQjbo28DVLLvJx9B3CF.gP8FvIf6uwM0pDBZhUbafPNhgtBsiS6	90	2013-08-03 20:41:40.315832	2013-08-03 20:42:17.262286	146		0
11473	10qioab2nr3spq853hh5b1p494	$2a$07$CeJGcF4SH0EkmR4hbfgEgOiMMHnGuz6yZjkQeDiK/bmEqbxeqL0V2	91	2013-08-03 20:41:40.338901	2013-08-03 20:42:17.397351	146		0
11474	105e9flsm77ml2lp1gyxqdaucz	$2a$07$j7uIL1ylabD2PWQ5MfjXE.S2kT3HM1iRr/i5vV2XaUQXfLAhf.fNC	92	2013-08-03 20:41:40.360658	2013-08-03 20:42:17.536134	146		0
11475	10ualvhfwao26aiaajne7yem39	$2a$07$d59WItbug38WOq6n3V0XvuW.Ot8hLKdJcDobmGfztY6zSVkDlUKMS	93	2013-08-03 20:41:40.383824	2013-08-03 20:42:17.733757	146		0
11476	10zf7i52n12te4p6qxtofi1r03	$2a$07$z2.nsoV9lCj0a80lngNpHeFs4iTiMCrUywvJJIlWdBnEeXJXp/QY.	94	2013-08-03 20:41:40.410786	2013-08-03 20:42:17.898214	146		0
11477	10y8406guklhsm0dxekek8ib60	$2a$07$ndV4n9zwpJxqNx8/9.pgzOu7uBCLYQuriyP1D6vrEf0hb/hSwTt56	95	2013-08-03 20:41:40.435067	2013-08-03 20:42:18.010139	146		0
11478	10frjyuq7wux4jfl9x28n5asqk	$2a$07$yb52QZ1V8gk6B9063CxTwevoWtqroRnU1TOb1odHDX864CyxPPAxC	96	2013-08-03 20:41:40.457653	2013-08-03 20:42:18.130681	146		0
11479	10gpkh5dsszdmhta5813uypznx	$2a$07$ttxypttKogFSrQZX3aRCF.UcIZpu4xtA.I.a3LDu4ztA0xttUdl6O	97	2013-08-03 20:41:40.479252	2013-08-03 20:42:18.260985	146		0
11480	103f7ao4j31xsvr9gxkaymkz5h	$2a$07$K9qsoFiStvrM9VdNBoZkSO2Ha1v9KZmk1HSVEqcby12sNqGQpK4nG	98	2013-08-03 20:41:40.500803	2013-08-03 20:42:18.401518	146		0
11481	10bk5z5k6xfxvthze2zywl6jz7	$2a$07$ylRH2FpPME0QRECC5IaRge1MAnxxrQTGuByAd0d4/1XuYlBsLYrWS	99	2013-08-03 20:41:40.522219	2013-08-03 20:42:18.537989	146		0
11482	10stzyxgocbcfa826gawymswgy	$2a$07$.74n3hvoEVJyDmsnppcBWuykuyLvC.KynWB1tH9OkV8D8u1.1rV16	100	2013-08-03 20:41:40.54356	2013-08-03 20:42:18.685546	146		0
11483	10qv5g92tk46g420izh8c67y6i	$2a$07$BHtLJXFVA74CAClEaoQYCOuK/jGNVoNw0zYnxGu.D81kK8qGCw9Re	101	2013-08-03 20:41:40.566579	2013-08-03 20:42:18.824462	146		0
11484	10my5dag06uq35mghpxqi0zb7y	$2a$07$sFv7b8DO/0JZtn9KMfPaL.rXgKPek0eLC0aZUNdsBT17.k7ElKI5C	102	2013-08-03 20:41:40.58813	2013-08-03 20:42:18.948896	146		0
11485	104po4c1yptyjsa4on6zkaw3a6	$2a$07$cJBAEE/TY3yLZ6cwvrh1gO8ZMwPYc2YGPISnzeOUcrk5mt0P5xWqe	103	2013-08-03 20:41:40.609707	2013-08-03 20:42:19.081062	146		0
11486	10b8jwtr0zxauno9deisq9ldsz	$2a$07$jpOBxcbUOri0CFgaCc7dpuXnn02q2BEYplkCJJcNWJGz/5yx1wDZO	104	2013-08-03 20:41:40.633413	2013-08-03 20:42:19.216436	146		0
11487	10eisnlwvhk3i22jd6fb4lhjei	$2a$07$.3zOh59lPtfypm3XBxRBC.wXG66cIAWCzedFDCYMjx21WkIIOsHYq	105	2013-08-03 20:41:40.657113	2013-08-03 20:42:19.352945	146		0
11488	105dq1v5wlbhcleqd9i6yfitnf	$2a$07$c5OFePZwxjgNsjYsO/6om.6l..F01GEx6Kq0xCdYWoo93qcg8HAYq	106	2013-08-03 20:41:40.681702	2013-08-03 20:42:19.477277	146		0
11489	10thf6ljzk4masusvsehn0re93	$2a$07$IQD4t/xmipuekTdoHOzO9uxYn0GxP1GWgrQRkBs5HJlOHVJDhaOkO	107	2013-08-03 20:41:40.705042	2013-08-03 20:42:19.615989	146		0
11490	10qrhfjv1kgzazc1ghk8p3jgcy	$2a$07$iv.Ux/oJbvtyDoNLq587EOO93JVX/n6M8yKoQfDT/Cp0o.Ggg1Q46	108	2013-08-03 20:41:40.727294	2013-08-03 20:42:19.727322	146		0
11491	10w886k0t4cr0jtpezjpo1xpxq	$2a$07$bMeO.01fCAXoCyc.GoN4/ef7WFGO0zOtvL3kSbK2AJ8gpn3FNX6s.	109	2013-08-03 20:41:40.749644	2013-08-03 20:42:19.859717	146		0
11492	10wplow80se8chl5fh8ezogwxr	$2a$07$nGIqRyg/InVmGWZrOnb5hO4dmKoAlf4QjeTEI9c8Ib2HWw6aFrYU6	110	2013-08-03 20:41:40.772756	2013-08-03 20:42:20.012357	146		0
11493	10isik2vyvupwc23abkwoz4brx	$2a$07$Sv2aWbf95jBVzA3gYPWvL.cVgJhbgN.5H7LFAvNIGJCy0/Bv9CFBK	111	2013-08-03 20:41:40.796939	2013-08-03 20:42:20.156104	146		0
11494	10u736z0iwl4mwrwi7djjtsz6w	$2a$07$xl8kKBa30mCbVTOOmsUIsuFRYq7zR3J.ckakbXr5boWx/kUkLOejy	112	2013-08-03 20:41:40.830801	2013-08-03 20:42:20.294621	146		0
11495	102gk5p266q5qyufg6w98iwsx4	$2a$07$6lziCEc25jPdCaPzWodTieVgp.2F9KJOPYCyJO/qp5nLy/jrqNMbW	113	2013-08-03 20:41:40.866167	2013-08-03 20:42:20.68834	146		0
11496	10hh16trs1u82zjlnzafgedm56	$2a$07$1q1sjI58x4duYRdSjSwTN.5vKHV8iY/M9XTgKqyK/Y.7n7rQ6cBn6	114	2013-08-03 20:41:40.901757	2013-08-03 20:42:21.001638	146		0
11497	10hkfxedny3kp8uj5h9kr9st24	$2a$07$sRqig4OMk9.Re73tROcBgOEr17FCWTUWDUimOkauVQsyYQOsd4MlW	115	2013-08-03 20:41:40.924362	2013-08-03 20:42:21.379542	146		0
11498	10btje6m6wqi11yrrfhm19vl5d	$2a$07$dQLJRLqfk3p6sbyP7zq9ZuFHW3zrIbR7xyR87KuEabX2PVxGVMmAm	116	2013-08-03 20:41:40.946398	2013-08-03 20:42:21.53948	146		0
11499	10iohs8jb8k9axcodlp9k3r7n7	$2a$07$LYaPXR1vrEZUbbv7TIrNQuZqMdFrRSCMd9q8yns3ut.NKqrtBKwoq	117	2013-08-03 20:41:40.969348	2013-08-03 20:42:21.671917	146		0
11500	1017ncgnvqhq5kps4silpplzxh	$2a$07$o/W5rpiosDdvB66hnatvEe5KR7OdWVLyc/G9nQGKnCg1uXbojtvg.	118	2013-08-03 20:41:40.991395	2013-08-03 20:42:21.79489	146		0
11501	10ydisv8lpbfadhjm9ntl8r2en	$2a$07$6Tk28jAaZXHeaLzFEjHFredL45fhoexRs/4QfRFASWRMUNgHdoU/G	119	2013-08-03 20:41:41.013263	2013-08-03 20:42:21.933989	146		0
11502	10pvfsu6c6bq5t36xdng1hd5i6	$2a$07$VaANVAXdmBZqxfj.i4xHP.jrtp/Pm/xKc28gW6Q5QJi5nzRXL.qPW	120	2013-08-03 20:41:41.036456	2013-08-03 20:42:22.055217	146		0
11503	10fpkavthrxjabr5nmoxfx5d1c	$2a$07$p3lLLPEz4YuLQ2ObAGRHgeMJ4nWGDKMU19gcs8skak6akeFI40eEm	121	2013-08-03 20:41:41.058481	2013-08-03 20:42:22.198589	146		0
11504	101e62duim1azw95pdoeng1gac	$2a$07$UBEn4wWD4kOaJVDqiZOlf.PhBy28JG4DSzldSDTTf/P4uGJ3UmYIy	122	2013-08-03 20:41:41.081273	2013-08-03 20:42:22.518423	146		0
11505	10ro59bim7u7rl1w8381eouhgj	$2a$07$ciTCgUaArWvDnzTYNhcHsu5QLIL34nLqAL4Y.3vE.QkfLmyVSA/li	123	2013-08-03 20:41:41.103848	2013-08-03 20:42:25.506749	146		0
11506	10nnlc3ejqogern5jjnnifi9tr	$2a$07$H4RV5Z6MVwy14IwQsyRjIe1kDzxLyGm8tW7/ABLfqRUNr0xEEh6dW	124	2013-08-03 20:41:41.126761	2013-08-03 20:42:28.495111	146		0
11507	10nil8gntcelqz1gdzcc22joya	$2a$07$kBg.EqxQ5AB3vWnS3tcVMuM8dledDGU7m/FN4045BBA5QD1gEBAIC	125	2013-08-03 20:41:41.148608	2013-08-03 20:42:28.724358	146		0
11508	10wgleb2qv3d6vxh53ti6g0sj1	$2a$07$AdPygPAZpaskaxXe6MY.j.dT9SScNzYWCmizfUf/Gz1Yu913e7za2	126	2013-08-03 20:41:41.172282	2013-08-03 20:42:28.919872	146		0
20353	104b8ixb311ki89w1anosli0je	$2a$07$gXRJsj2dSA/2A3.0T/tdo.Xa8gEmYifujOP7e1dXKSpk4KwFGxIhS	25	2013-08-04 02:34:51.708039	2013-08-04 02:35:00.067691	217		0
20354	10slr0jcpghscnl6qhb992dqhu	$2a$07$Atbp6VQg3fNjz0CGZjfIbOzvIPToxT6QkJLP90PJfpPhJfLhv3.Xe	26	2013-08-04 02:34:51.73295	2013-08-04 02:35:00.225923	217		0
20355	10xprte2jw0o5q7ns0e8fng49z	$2a$07$4buKkfWPwYelvm1omxE.cuxGHznuzh.D3HYovtrgQhHiIwKrreqZy	27	2013-08-04 02:34:51.756738	2013-08-04 02:35:00.360697	217		0
20356	108eex6cmfz8fpqi1ruvfjhu96	$2a$07$90phISdRVYT8fJmmrTrYbeJBYcwQDBkRAis3F7FKjEJFkbBQP1Ny6	28	2013-08-04 02:34:51.781966	2013-08-04 02:35:00.468418	217		0
20357	100k81tpolv6vg7knqz3yhlcih	$2a$07$XNaC4S95pRjkscVvR.FheeVC0Wr2hqhwJVUCZEasC1UVTBc838R76	29	2013-08-04 02:34:51.812091	2013-08-04 02:35:00.584718	217		0
20358	10nr6m5sd9pnepj0vm3r86gnxu	$2a$07$KuhqvbkK.pJVclBNmfU/Ru8B23ABpxgdHARYz7pZ/zjvL7cRit4QO	30	2013-08-04 02:34:51.837031	2013-08-04 02:35:00.703769	217		0
20359	10yy52pili1zyst2dz50vl62m9	$2a$07$tMspBf3XTfQicUm1XwzQc.kATosjVrifxamnIUE4YaimNwdYrgD2i	31	2013-08-04 02:34:51.863952	2013-08-04 02:35:01.051115	217		0
20360	10aqtaahogn6hebo1s688ax7lf	$2a$07$dZii3qewAmaCTqSHD.EekuQhLZClTCCSF95jPOp9VdYRFbEqFgMUy	32	2013-08-04 02:34:51.897447	2013-08-04 02:35:01.171966	217		0
20361	10ivusua5lazv9i4yv2m8njkb0	$2a$07$rkL9zngEXXn0TzvflhaBYOdx73VTr04534iEpSSKb7qjHbRAlWf4S	33	2013-08-04 02:34:51.92407	2013-08-04 02:35:01.286955	217		0
20362	109rn03xtrivb4hulmulp338ix	$2a$07$QfG/PTZgIGOfG8/rwbv6hOJ2q56A8Z3lPLDd.iIlvN1UTxmx60esG	34	2013-08-04 02:34:51.947072	2013-08-04 02:35:01.433278	217		0
20363	107ssp765z4hlcl6kd8s7jadhf	$2a$07$h3iIbqK1.6Dmprph/X4zRuQVNBa7AKcEYbScWnwbB0fCkkUxGoTja	35	2013-08-04 02:34:51.969545	2013-08-04 02:35:01.578462	217		0
20364	10y5te6pus54lrqvguef83vwl1	$2a$07$VVVk3yhM2.Sk3lQ95uRx1OYeEqeajIp5qM7nVuwXlzgWyTAMCRiku	36	2013-08-04 02:34:51.992406	2013-08-04 02:35:01.720926	217		0
20365	10nyo6vqdencsx705o1f8u33k4	$2a$07$oYfrLZ29P6/ysBdTDidmi.cLLLHfkhFCXnfdJvj4hdxo39ewRuu6u	37	2013-08-04 02:34:52.016323	2013-08-04 02:35:01.844403	217		0
20366	104i8yiz5s0mc7foys42uspz1f	$2a$07$jcI2MCukqkYlXsy/XhNeruOnzcIHdV3OPoMlYL9/KK9XUwIr6Tq7q	38	2013-08-04 02:34:52.039662	2013-08-04 02:35:01.976257	217		0
20367	10e13caz4zmudo0fxi6kbw478g	$2a$07$QJ9YNTR.4irbAGxJdejK5.OMD7lWMOQhB29tVt3HMeAsWHRtjLggu	39	2013-08-04 02:34:52.063016	2013-08-04 02:35:02.08295	217		0
20368	103u55kh70u6wp7zx7p8wywkif	$2a$07$O8ydhbDJwk0VRebPuHX3HuPOSivjbf/kbYGT5jTipml6ONL9o75G2	40	2013-08-04 02:34:52.086198	2013-08-04 02:35:02.181346	217		0
20369	10ughympcyuj3mwhdf4tpgdbyq	$2a$07$llUr19QHcJ.HLjjWWIIPV..nVxYc65ks4Rf2n.wUlDfO5VaVOpQGC	41	2013-08-04 02:34:52.109664	2013-08-04 02:35:02.319633	217		0
20370	10kgjff0nwdgqny9i5cbej5kjm	$2a$07$SPtfU8PPD2mLl8fVnweO1urONMtqazSg.9z/uCCr7sGDAKyrDsieq	42	2013-08-04 02:34:52.131717	2013-08-04 02:35:02.4303	217		0
20371	10o4ff3uxmrmx7xpxlmswrzyr0	$2a$07$YgbkV5XloHv8GCc1SBPMf.zOCCn5QREzt5UhKTC7zw/FKJkc1.h5e	43	2013-08-04 02:34:52.154818	2013-08-04 02:35:03.524984	217		0
20372	109sfyb6xbixxfhja59pjq9hhk	$2a$07$hzA0rdcLL0z6O48lI7o40.OWyeAdllaUzLOMG7oEPk2P55rYvBF5y	44	2013-08-04 02:34:52.176971	2013-08-04 02:35:04.932471	217		0
20373	10xbebcr17lxipnbcc01y4yolu	$2a$07$.oOZxmIoQmBaoWMgZoWU/eSKKHk/2w/JSCzqVSk2I/JIlcuBUr65C	45	2013-08-04 02:34:52.201427	2013-08-04 02:35:06.550579	217		0
20374	10za3hvz2swhpv9fwt57nmogjh	$2a$07$T.RdpLXTL6U0sDRrODZ87.7pEWAtRX26t6wWjb8rBHHmmhzi2q27W	46	2013-08-04 02:34:52.232951	2013-08-04 02:35:06.713315	217		0
20375	10y867wrdv8mqkhggwinxzgf16	$2a$07$omdwUsyk5GlR950bownKg.Qx9wMx9am0dM49Dzf/pgYDueyY.Wu0i	47	2013-08-04 02:34:52.26802	2013-08-04 02:35:06.869057	217		0
20376	109mwox4d2w8fz9p8k2rv5qq8e	$2a$07$Px0I5HGt0WMYZ/5P9YfP/ecktcj0oLr24jGbM3aiO9Q8MoN9z/WpC	48	2013-08-04 02:34:52.293871	2013-08-04 02:35:07.019612	217		0
20377	10h1ymfxnyup1rdouaik4hc68i	$2a$07$z768Za1PSywEdDx0QsFNjOX2rtvMK8RjjPMADut6LtnsaYcE3WzgS	49	2013-08-04 02:34:52.327214	2013-08-04 02:35:07.143273	217		0
20378	10zrhx6e0wd4fazz6ddhe959zg	$2a$07$Ip58xt.FiDJCG7iAiFKuzOj1sTzAP6A0x.XnbXCLKurU9or0Ndhcy	50	2013-08-04 02:34:52.362502	2013-08-04 02:35:07.29496	217		0
20379	10dclgo6tvf2kyc18k27mi3rh4	$2a$07$5SuybIi60jUMa6hvCxPvEuf.xvTSw7V7RlVKDb9knongbjbp2nGca	51	2013-08-04 02:34:52.392542	2013-08-04 02:35:07.419833	217		0
20380	10umz7mhhj2cmfea8hrhvfx7xr	$2a$07$oypO7hcv0O3uKRhBbKCv7OUEPW9EAvJgmAZS3iQ1E14tflm9DhT/C	52	2013-08-04 02:34:52.416117	2013-08-04 02:35:07.5284	217		0
20381	10xlhhtvxchjdjyx803nq63920	$2a$07$8I3/tmFwBYVllML7fIS2Qu5VVuwJjl6Fv0RlNmlAznuKJa4oFhdk.	53	2013-08-04 02:34:52.440226	2013-08-04 02:35:07.631286	217		0
20382	10djon7ug4pht9g2mfzgw2pv07	$2a$07$BmA40DzDbwW8IW9bnjcble2vdlbi7018j47iFFI1w99nJXpzCIsBO	54	2013-08-04 02:34:52.462045	2013-08-04 02:35:07.756028	217		0
20383	10kgmo44fkmoz59du70v0pumct	$2a$07$fxiGiQ5hjogXwl2OMgn1MunKEfDb4W.1J03M7Nu.BLHNaq/aX.c4y	55	2013-08-04 02:34:52.483641	2013-08-04 02:35:07.889296	217		0
20384	10gchy4v0y1fmavcva436udzsg	$2a$07$8jUcrMQfLhouDXVc8WsrEe6Moz3rSQW4T6TnhVMDyJdznL6ZeuPOu	56	2013-08-04 02:34:52.50537	2013-08-04 02:35:08.02517	217		0
20385	10x1wgcgxxuvnxw6z37uihnxsg	$2a$07$PWuaGfrMvGOrz2ufQm5Z2uQQaXzWoFSBSvFtnimFUMFZpKfUE0wsK	57	2013-08-04 02:34:52.528023	2013-08-04 02:35:08.153769	217		0
20386	101idfbequx129t19b6z6g12f2	$2a$07$51QWYMRr.AfOgNQBNCKctuCRdIgJTmSWVBMzEcODCkMtGVD8kIds2	58	2013-08-04 02:34:52.551025	2013-08-04 02:35:08.268438	217		0
20387	10repn92jh46xg3zfegjv93712	$2a$07$Ew8oADdnmjBTHlygw/iXRugKMcsabniXNB79LTRuESI1kmtCdgs0O	59	2013-08-04 02:34:52.573203	2013-08-04 02:35:08.392295	217		0
20388	10kweh4z5calearrrdxfvnglpj	$2a$07$rHp8MKMj7C2JvYFqbC1CguxtkActua5grqd2apRpITnxUPjiBhhvy	60	2013-08-04 02:34:52.596003	2013-08-04 02:35:08.502379	217		0
9745	10zmpwij6hn79fe8rqy0ua9eck	$2a$07$dXwO2csfuTUz0oqX4Lv2aOyqXTfEmPbl6TyIaEMjoN0HUS3U2Qmhm	1	2013-08-03 19:36:32.139837	2013-08-03 19:36:35.737551	133		0
9746	10zz7yrh6oz9yzimu5slphmec3	$2a$07$6nWRdNsfSPJvd/5pmI/8UeU/akg.xHvmzVQeVE3J34suWhtqJw0T2	2	2013-08-03 19:36:32.163685	2013-08-03 19:36:36.107807	133		0
9747	10jkewj4t3vc9a82fp5bbca4qf	$2a$07$MmwaFrd2kzT7JZqZFvdmteo.n0V2cR0GzTsbqikdzfTDmFJTr8f5O	3	2013-08-03 19:36:32.188133	2013-08-03 19:36:36.483836	133		0
9748	109n3ibyc17me84zc7xx5r9sa0	$2a$07$t5LN5q5kQtxu6zGmvchpDur2W3/YDsEYU5hfKg4xM3bc38PP.Z3Be	4	2013-08-03 19:36:32.227715	2013-08-03 19:36:36.628507	133		0
9749	108lb73lubcg7bv202pde5em6n	$2a$07$zqQALSa2MCT8ymUDoRwo.u11f4tnWeb8/XMIQVMYSrbE7/PigXgQS	5	2013-08-03 19:36:32.254391	2013-08-03 19:36:36.782499	133		0
9750	10e98m0ue1nfjxwerfsfntd9bc	$2a$07$cJ8MHfqZgo/tVUNhNg0tA.lXAAwglVg8iR4ku5D90o/Sb0AFcM7fa	6	2013-08-03 19:36:32.286952	2013-08-03 19:36:36.92904	133		0
9751	10d8ki3e8gl3gknjx4g1sebrk9	$2a$07$QXB7De1G6r8NdKHiRni5Ju5HqY8e8y0zBtLP6u5uJZCICdw1x.l/C	7	2013-08-03 19:36:32.313401	2013-08-03 19:36:41.079863	133		0
9752	109bxpzif6tlrm5oc40k4nt6nn	$2a$07$Cj5iAj71ot08VGK/mGPvyu4.zx8nWrKiq8pwdQRv6eWB/YescPp9W	8	2013-08-03 19:36:32.33706	2013-08-03 19:36:45.607673	133		0
9753	1067174t9utw0qst3hz1nc1bwv	$2a$07$GgRqeipCrJlKbkIj1HOZ2ujbLckM0ybmVvoUZs5MVIproFZz/eZPy	9	2013-08-03 19:36:32.360736	2013-08-03 19:36:50.048937	133		0
9754	10mvfp1mx1i2a5mwkct6jg6qhc	$2a$07$fn307eFopRKKTmCdozpxwOxD7U65UERuCSPXdnVKjQnvOt3XUnQNi	10	2013-08-03 19:36:32.38465	2013-08-03 19:36:50.160845	133		0
9755	103tynf8zobtzbrf1zi10zupeo	$2a$07$ah.cUmgeKnaaDcnpinaCGeVXUMg9CiVtiulk7ajT76gPB0UKjErgi	11	2013-08-03 19:36:32.408163	2013-08-03 19:36:50.298053	133		0
9756	10xlo2cyh7t7cmno91tqnnsqpp	$2a$07$q/dDK.GI1uRHoQHYF.5iZ.KchQeU9faw8haVcE5qfIiGCgKNQP2Lq	12	2013-08-03 19:36:32.431141	2013-08-03 19:36:50.442391	133		0
9757	1008dw2a947g9wphaore3qol0u	$2a$07$xCaH8M5nOt2hsStBFSxokevaZa6TAcyLmngOV3yWeiX1lWgAOgP3i	13	2013-08-03 19:36:32.456166	2013-08-03 19:36:50.647476	133		0
9758	10glix05vxgzbp77264f0dd7g3	$2a$07$EeAEzad.zaQvNjLkWtCRR.K1myXmd1YWw8MhrvnLenY.NDtkuddu2	14	2013-08-03 19:36:32.490849	2013-08-03 19:36:50.793094	133		0
9759	10uaxpo1481zlygnirf60cg0eo	$2a$07$cWMyk1fukQMReaBij4LT5Oap6o50e/ADW85yOd1rmPNx4P4mdnxxm	15	2013-08-03 19:36:32.525919	2013-08-03 19:36:50.933847	133		0
9760	10uvxzl5byttvvsxwqxfvgvs4k	$2a$07$jx3na.dqk9liikStwx1Ws.6l.eG3aYxweANNP34bVcQERWtpCvTtW	16	2013-08-03 19:36:32.552783	2013-08-03 19:36:51.06733	133		0
9761	10bwce2ctaz3y08d83778d4wj4	$2a$07$.F5QJ0EfcL1m9TNDZPFyI.dznlIjhKrtXxOIScmkijbh97l7VQBPq	17	2013-08-03 19:36:32.57775	2013-08-03 19:36:51.186225	133		0
9762	10c2h7tp3sabrcwptd6lm57blv	$2a$07$AgoJSsPf86kEEoJ0GYz2/OZwyahZEbqcpM0AiZnvAunkuzcFV9y2q	18	2013-08-03 19:36:32.602207	2013-08-03 19:36:51.314004	133		0
9763	104sv6n4wp1ozaessmuvnuqrbi	$2a$07$F5va00MJdsAjjvlm5eavOekEL3I0bJpRmULhFHC6ZCz0MYa54MD2W	19	2013-08-03 19:36:32.627126	2013-08-03 19:36:51.458423	133		0
9764	10o6w0oszwx32njkon20fbvmv8	$2a$07$JU4Is9ZfkQBvcS0mRlT1J.D/rTSv8flUAgnikEvuTbUDc6ZwxmATW	20	2013-08-03 19:36:32.659152	2013-08-03 19:36:51.572823	133		0
9765	10mh7fwqucz5jk09hkes4gdcdd	$2a$07$Oec0VS/swQHXuAtOMj8ylOHPTVlgpQ0SWgJM1cSjndS8BzFRSVSfe	21	2013-08-03 19:36:32.682066	2013-08-03 19:36:51.711696	133		0
9766	10lqdfbg9i0nx8lpmyx8lpg0qp	$2a$07$kqLg6cpsXFXonr.mDyBbf.qXlIPpmX05lR/spCixwDdp0peuIp7ey	22	2013-08-03 19:36:32.705539	2013-08-03 19:36:51.86207	133		0
9767	10wshl9y4ds047xj96ek2dlg5y	$2a$07$WVtrkXDp4KmOiIOXU2t0Xu7bZvMjj4u2qaGAODk2zv8CNqHyfByeC	23	2013-08-03 19:36:32.729572	2013-08-03 19:36:51.982133	133		0
9768	105vacsekrcgaqhfj2m4dluzaf	$2a$07$vSDNJNA5lMEaKpJcXG00e.MO9NldzZ151X2XNWf944/XWL0aeN176	24	2013-08-03 19:36:32.752472	2013-08-03 19:36:52.104995	133		0
9769	10yvu7ou0t0f8x7fynjy3pe3sr	$2a$07$NAJlL0R9NnMfZqW.Bghwoe6rqPLj8pXfVxlP3h3cw9F63P67NEa0O	25	2013-08-03 19:36:32.776193	2013-08-03 19:36:52.217411	133		0
9770	106kylqruujz4ipyi7u0vjd8pu	$2a$07$qix5v5UBzW0hFS.8Qtk7teb330/l96HXvia0iQhoNY3.rdXOSf1z6	26	2013-08-03 19:36:32.801536	2013-08-03 19:36:52.358381	133		0
9771	10rl2p30buljfpfyuhyaltz0gv	$2a$07$brM77SbKkzA3kp.EL.EiIuSCia8.YvzIOPZ5xPtbBlUC4TxrJxyBm	27	2013-08-03 19:36:32.823481	2013-08-03 19:36:52.490101	133		0
9772	10sk25y5fev5953yb2yo9g7jqr	$2a$07$h3VH.LSnge2wgrINmCcD3eQ2YEBjez4gj8zziVttsz3sb4Bb8J/dm	28	2013-08-03 19:36:32.846532	2013-08-03 19:36:53.036081	133		0
9773	10t3xpe875jfhvtmtuewunvz3k	$2a$07$3e/QD1CIUm8KC1txM4GY8OkZOAx/ECEGBfPCV4j498j.gAgvydsqu	29	2013-08-03 19:36:32.871536	2013-08-03 19:36:53.503273	133		0
9774	103v35tndsmz2h6437ci85yhpl	$2a$07$aackVlZm5GAt4ER6rqv3yOGpEuXQCJ9BJij2aFFaDTzGmdVkSOyKu	30	2013-08-03 19:36:32.896151	2013-08-03 19:36:53.893216	133		0
9775	10lsct8njw8iu6n2aurm2zoelu	$2a$07$jnyYSj9CKAtCz2PfKN6Mj.sPwMDH833rRyLDZBR7JMPWKTr/zUdyW	31	2013-08-03 19:36:32.919837	2013-08-03 19:36:54.014195	133		0
9776	10fx7rlq9kiuwhfe1339wvpy4o	$2a$07$.vfj7gxV3H1bJaOr3hz16.bhaqHFME991zOgyZvpl6B8ZyHLjuK4m	32	2013-08-03 19:36:32.944762	2013-08-03 19:36:54.12541	133		0
9777	10f6y5y68ijpv4rx8t40cs2u31	$2a$07$WKSDloJkxu7Q3HmeI5Ccj.4wRAs7VNxn9SKmx8j8CQP8t/kZsI6by	33	2013-08-03 19:36:32.98177	2013-08-03 19:36:54.25149	133		0
9778	10xltyxidbxjfmqw6yi0olaret	$2a$07$u3jL.SnMbtk3qSjeRriNReAoeRtULgWQu5VoeXM06PyXlubHDm0im	34	2013-08-03 19:36:33.004722	2013-08-03 19:36:54.433144	133		0
9779	10tagsst7t7410ggbt8qp0r289	$2a$07$K3QW32.Qdd6eBa0K2CHg2eHP25jBYrAH.2IObb21qlcMZetltxwJi	35	2013-08-03 19:36:33.03228	2013-08-03 19:36:54.648224	133		0
9780	10s1xcr07yniyo3ggufwzwakf7	$2a$07$Vt6qvUQ8Gl5zKybCtcxq0O7GwqCWSveUgqexX52UlOHxkqyHMVyBm	36	2013-08-03 19:36:33.056642	2013-08-03 19:36:54.802866	133		0
9781	1081pi6j3n2kd4jb7lpxlkohw4	$2a$07$O7.7pTTKwGdxUqxz8yxyyO.7f/xIM6oZhE.uhGO6ptTDtWZjB2gWa	37	2013-08-03 19:36:33.089024	2013-08-03 19:36:54.904726	133		0
9782	106k6m4647kr4bkc3y5ziixvj7	$2a$07$TrwcfrCOFsCQb.xF/chZaO5c.ONk.UgJbE71moYLTUjfgOxZUk9gC	38	2013-08-03 19:36:33.1112	2013-08-03 19:36:55.033982	133		0
9783	10i104ga9hs3s3wwknat13qkf8	$2a$07$beuT2BeMbJJMoXxDoCSQAOSUwEGbpoShG7l30Pltt9MxSgwRU4soS	39	2013-08-03 19:36:33.139115	2013-08-03 19:36:55.150149	133		0
9784	10wmfhmbvqinl15xygnrowb0p1	$2a$07$M0rIyfQHD0sa/TP.VSPhAOfzuMUdcbIo/idnt33GcKxsbS5n5ZU/6	40	2013-08-03 19:36:33.174743	2013-08-03 19:36:55.361311	133		0
9785	10hnx137ejtgv2ahohufh53tnc	$2a$07$AZ9OTPAIx64iuXBpXBYp6.b8D9Klo2Bg3sKky.ToBzdRXMsfBGCuK	41	2013-08-03 19:36:33.198497	2013-08-03 19:36:55.542886	133		0
9786	10srp0ncunv43knusu884ufghk	$2a$07$Kg9rQk0McCk8CjkIc2IShe7yAozIIAOaGR6mBMNRVS.H8/vwv2alK	42	2013-08-03 19:36:33.225013	2013-08-03 19:36:55.675164	133		0
9787	10fp6fxgwi731hx9ppc8nk7f6f	$2a$07$TKO9B.nAXXCZCL/mJ6.W5uwZAOt7TKmghi/qEbHpqbcXblbIoAe42	43	2013-08-03 19:36:33.254754	2013-08-03 19:36:56.179109	133		0
9788	10sg0fzcp9my7mkzj4x6bumtgw	$2a$07$y2k4fZE2QEZ/jXX.kxTFPuUGHX9SOzSFEw/yGEaEjfbyk8QWO7pXC	44	2013-08-03 19:36:33.279117	2013-08-03 19:36:56.555204	133		0
9789	10oxs146tvdgilweb6akarkm3x	$2a$07$RhAoOokI5CUsSOzFnYbfr.2ZJMoCNjS6rarpOTTPVLeujiz7YgU2C	45	2013-08-03 19:36:33.301936	2013-08-03 19:36:56.917072	133		0
9790	102iuakt3deaagz9cxsx6stym9	$2a$07$yadUqD6ZRWyv0AgqJkoXs.zVg7ucSfeof97c2ofeIz3xGE3Q2XDvq	46	2013-08-03 19:36:33.327992	2013-08-03 19:36:57.288742	133		0
9791	10khon2lety9vf28ety31hjr8y	$2a$07$edXL6YiC1wwpXlqGTzkgEeXawX/KHv5jYZLYXyY7OFNRQ8O6qAXwi	47	2013-08-03 19:36:33.351974	2013-08-03 19:36:57.492021	133		0
9792	10pdy29k3fdmzmkmn55j7g9j3j	$2a$07$zAnaNcSKyGc6P1YtCQJGWO3O1UEjlYwF3qk0POllm608GuXjcndHy	48	2013-08-03 19:36:33.383836	2013-08-03 19:36:57.647568	133		0
9793	10nv4l4azxe9hcrywcdt13w8v6	$2a$07$S36okOLG.DwH3QP2YfITCe.t4aNhanRYmKUuccO8Qyuh2MngIWqlm	49	2013-08-03 19:36:33.407401	2013-08-03 19:36:57.770724	133		0
9794	10j9e97en8rmylmkghrnhkcv30	$2a$07$T4WvsT.pXUcfXAeQrh21zOYmAAeWQpRQm12DX.HAlzYKDUT8V4mq.	50	2013-08-03 19:36:33.430679	2013-08-03 19:36:57.906059	133		0
9795	106bablnt01ftdi5t2tyr65yam	$2a$07$Tx0kcMkJH5/B1/9u..pGD.5lIlQKL2pTss7AOMF0U4hG.dB4raFsK	51	2013-08-03 19:36:33.453849	2013-08-03 19:36:58.019134	133		0
9796	10ttiphy9vy6i9j6c8kk4kx921	$2a$07$etUuuH7RvU7eAMbiYzGVeuh8wySiKQV4DBWcoY7k8v2EgIjmVCLN6	52	2013-08-03 19:36:33.476146	2013-08-03 19:36:58.373408	133		0
9797	10pgzk2jcr78ba6pnc3jjsi3i8	$2a$07$ATG0UD8Yltcq2nxqcsWnGeWoIP.Plt5q4XfPucIFXLidwB99.QC3e	53	2013-08-03 19:36:33.498983	2013-08-03 19:36:58.775154	133		0
9798	10y0jq3spj22eudznosry2bct5	$2a$07$j87DhfOABXrMZhr9GY2L2uUsYESae2sHm0U5.jRBWhI2R2.9k4mFy	54	2013-08-03 19:36:33.522739	2013-08-03 19:36:59.249463	133		0
9799	10vgu15hsnxld8wlwzw2hodyrr	$2a$07$xPUQTK2Kg78/udTK613bCeJ0ANj.539.9TdwAzIFWICtgct/zQVEK	55	2013-08-03 19:36:33.546328	2013-08-03 19:36:59.389563	133		0
9800	10sxewhje4ftzji9wrts6u3ym5	$2a$07$NM2Znv3oCUS.p3L8w33k3eqLM4pcnIvGRhHUnfs9xMWyFBSyPBxP.	56	2013-08-03 19:36:33.625799	2013-08-03 19:36:59.54644	133		0
9801	10w7cgwv3mfijnc0mga4x3kurs	$2a$07$juEaB7kvhaslJvute9FjfOuGuYbwHrD5gWfrSwtxlKkhh3uLPHqeG	57	2013-08-03 19:36:33.648496	2013-08-03 19:36:59.748603	133		0
9802	10udt6nv7npmny3m12utzruddi	$2a$07$VWvPJi2jU7CtcwGCw9jRNeLRahSa8evdY/DKVNzhKo9GZV3DXEog6	58	2013-08-03 19:36:33.671859	2013-08-03 19:36:59.916885	133		0
9803	10qrefy6a42q7watc2u9kvl6vh	$2a$07$wlT9MBpnxZ92DJaXCrJpeeWhbBIIHI/QuvpuJb/YxPxM8qRhhctqO	59	2013-08-03 19:36:33.695386	2013-08-03 19:37:00.064704	133		0
9804	10umzp04341zeiwqis6yb6g0da	$2a$07$TnW65xFCv4FabRVr78FIIeBzwV49YhPUJmaislQdIV43IsjM2KMm6	60	2013-08-03 19:36:33.717757	2013-08-03 19:37:00.192387	133		0
9805	10ytc6g7z5znnbggznp464wilp	$2a$07$OQ0ucDgSLtYm6wKjQTefo.BalM6rYSWptKc8ryAxhE4FsBDaCOexW	61	2013-08-03 19:36:33.741232	2013-08-03 19:37:03.252484	133		0
9806	10nh6r2brxhxhi6hsnvr7rg2m1	$2a$07$Pf8qfGKvWBEhuyxNf2IeN.WLRlF/SSVbO1KXwgeCBXW8r33sMoEd6	62	2013-08-03 19:36:33.765597	2013-08-03 19:37:06.277776	133		0
9807	10jjwusruf789ujd1nijyjm3qd	$2a$07$np1o0B5vnnDkBQSPoO.VDOGTxNz5lhBUWw5m0FqRRJLMg2YCYVDmO	63	2013-08-03 19:36:33.800503	2013-08-03 19:37:09.282263	133		0
9808	10m2d0bclmkbtw6yje12xqk1wx	$2a$07$rq6N4UvJTQLduuGzkdmkOeRGOCcov011l25pJBEbN0OypItpnhOse	64	2013-08-03 19:36:33.835266	2013-08-03 19:37:09.514228	133		0
9809	106ne6r3p6l7cmtr2i2xu4lnk6	$2a$07$CYanVybij5RGx1u3kif8UOSZiELEZjVqIcQhY3E.1KStegFXJTVu2	65	2013-08-03 19:36:33.858024	2013-08-03 19:37:09.672372	133		0
9810	10a9exkqopqkszy80mcptd7y2l	$2a$07$.Zat8ptRR9ccZpiQMkyQfOG5LSFqUBdEVqBV4AWTWJapxyCAiDYNW	66	2013-08-03 19:36:33.882161	2013-08-03 19:37:14.196685	133		0
9811	105di7e5orihg4ivx2sgebmhsj	$2a$07$/P2sT1Kv/63ZMLnalHfJJuh/0MYNjcdNzx5uBzoptxe4NcsQy0ULK	67	2013-08-03 19:36:33.910678	2013-08-03 19:37:14.341609	133		0
9812	10or2juzdfen17m0wkmsusxwkq	$2a$07$xkZ0luW/bzioegeZTV4B8uNJWrF7nbxCsaEP.2V1vop/.mi8uZFJe	68	2013-08-03 19:36:33.93573	2013-08-03 19:37:14.501513	133		0
9813	10jyipf40vku6ne5fsyyl2vrjo	$2a$07$d54818NG33pn8zxYhKcVweiOgbdIbp4M6Smn9UbGTV4tL9Hu1mpq6	69	2013-08-03 19:36:33.959687	2013-08-03 19:37:14.628648	133		0
9814	1040ruta6stt2aoccniytlj4lw	$2a$07$cpxLk4VjRgZdeuZK2sjWHuzG3tjRe3BuywGKSvqajBEO/7xRnUo5.	70	2013-08-03 19:36:33.983481	2013-08-03 19:37:14.744184	133		0
9815	105409facrkrbqzb4fwamxpfxb	$2a$07$Sb9M7kCGYdyjAY97aGKqLOb/awTdWaVFKkvQpKvu9Pz4Uu47vSzPy	71	2013-08-03 19:36:34.006351	2013-08-03 19:37:14.877756	133		0
9816	10a6p1b2voir0szop6uwzg30d8	$2a$07$e2cgO2X9sh2oeikCc4pQduaFkiDugXGWwQz7bIwmWpGsZWTNCQ20K	72	2013-08-03 19:36:34.029083	2013-08-03 19:37:15.027935	133		0
9817	10nb5ia92u6g4qja8ij9v09h6e	$2a$07$lmkcTFMbtmp.L7BP2jKFL.sEerHvglmxaf0ofxeUk/pPEMLDLHEui	73	2013-08-03 19:36:34.051405	2013-08-03 19:37:15.461451	133		0
9818	10f0gkv8m00vk8dgz615ipf4v4	$2a$07$XvYVckXzNvxn8zMWRhGpWufRpV3f/p9e75ixsABYCOKMJG5Wot.c2	74	2013-08-03 19:36:34.075059	2013-08-03 19:37:15.59557	133		0
9819	10zw5dbe6l06kt3vzlvxyausqr	$2a$07$KLWx56VOlNC.LlS0U01cS.KUvwr2gb/DyQFS3hqBqoMo5SLb9Uvw6	75	2013-08-03 19:36:34.098072	2013-08-03 19:37:15.712098	133		0
9820	10paivyj2oanpbfz7g736qktyo	$2a$07$dhSYSTmrToWEDv8heKgWe.Vsf.XU17mVRvucOQZ3vt9c6CKleLC4S	76	2013-08-03 19:36:34.120591	2013-08-03 19:37:15.859097	133		0
9821	10re22xonev6hjv6170b4ys27n	$2a$07$zPirQri.TEgdsdCXsaF23uaupr2Bwc/5caKxx.FKCkQIh3VefNO5m	77	2013-08-03 19:36:34.144651	2013-08-03 19:37:16.003432	133		0
9822	10atdkofp5xm4gd9ty630t8rqg	$2a$07$c5dLTucPZdCHnjc6zWr2AeM2CsZVezFZqtGk62b7JcncvNIYLE1re	78	2013-08-03 19:36:34.173148	2013-08-03 19:37:16.40301	133		0
9823	1061bsmwnbfze8v2qbl5z9eevj	$2a$07$7XTfYQn/OX.PjDJlknAbmO6Ss6kb8fARn4ctw0iSxr3Rv9uAwfXhu	79	2013-08-03 19:36:34.195597	2013-08-03 19:37:16.808256	133		0
9824	10sf9ri19ylf9nzyn5l1mtuxev	$2a$07$fhGY.z11hBi2UoJS6Lv.5OQdvXN5zU6quxoBbslN/ZKa47RSBCX46	80	2013-08-03 19:36:34.228412	2013-08-03 19:37:16.959027	133		0
9825	10ckl8avod2j46n3vbqhkjmoht	$2a$07$XbC0wqQzG3PCD0dqy1T2HeJKp0rDb53EHOwimNCqfPSOa0oMaG2um	81	2013-08-03 19:36:34.258596	2013-08-03 19:37:17.329401	133		0
9826	10pgoi0xcdkr8ejsfhg3nftzu4	$2a$07$iZuwLGoB7lJQ7mktx.6/lujWhpku/.J7DeWhiepkXqLfH8QJfWrKu	82	2013-08-03 19:36:34.289717	2013-08-03 19:37:17.555682	133		0
9827	10nbagib2ujtgzeaqfi8g5tg3i	$2a$07$w.4LPV8Mh5IOaRxa4btq8urrmU7E5xhfU02wfJ.5IWAHzaa9L39KK	83	2013-08-03 19:36:34.311759	2013-08-03 19:37:17.696303	133		0
9828	108855x81bbfjdn40dlf1o0k7c	$2a$07$3Nvkp1hRvXfgJTa2sWFLaeTpwEgVkVROxOJH221Paj429BpPLpNoS	84	2013-08-03 19:36:34.334908	2013-08-03 19:37:20.474129	133		0
9829	1062ue151etehek49ysxcbciur	$2a$07$QZE8l1x4IY6aD5kPubRJ4eZVhlnRn0WZOfTz/ev2S/ZckF2Si3Pf6	85	2013-08-03 19:36:34.359514	2013-08-03 19:37:20.76323	133		0
9830	1053rwzzeo4qrumeilig6kq9w9	$2a$07$US.Bz4TFrN1fYFl2rRC/aeC2eAkq421WEL.d/5g/.VTYvfcaLeKqK	86	2013-08-03 19:36:34.383152	2013-08-03 19:37:20.990382	133		0
9831	108cwhoi3w7r06mnmqstw7ifn9	$2a$07$kKzb2ltcMd08eaIts8uDMeo75CkCks3t8C2E.6pxV/tCEz0hMKMZO	87	2013-08-03 19:36:34.411761	2013-08-03 19:37:21.131965	133		0
9832	10dreg5wmfyva0wpdndn5mdxoi	$2a$07$OfdBYE0njdbyMLHh5lN.cen240IIvc4p1liM9wCf2rNC3kLlrF6X2	88	2013-08-03 19:36:34.434192	2013-08-03 19:37:21.290455	133		0
9833	10isbpe6wjgkevplsvjd6clmo3	$2a$07$Wb/xN6dNuavIlOtyhGZe6OkyMU7/JRDYv7MxrXcLZQa8ALqXejkj2	89	2013-08-03 19:36:34.458104	2013-08-03 19:37:25.857028	133		0
9834	106f8fdio7pq6jucktc91jt92o	$2a$07$9oTPNPQlN/i/oVSUrEOCP.CbZMV0zZaP/RKrOy0v4kJYqsu2Fc1.K	90	2013-08-03 19:36:34.482552	2013-08-03 19:37:30.600981	133		0
9835	10sm16g35z9yyvw5sb0qg7pvqr	$2a$07$olM1ECyv3QyzcsQtLaVTI.dikGoin1MDkkja0hYAS9k04t4j3.YMy	91	2013-08-03 19:36:34.505675	2013-08-03 19:37:30.73349	133		0
9836	104f78dg9708tah098wvzlroxn	$2a$07$yEsk0SSR.zApbB20o5aoUuUtyPUVeGG9RLAKnqnjTw5WA.uRL9Jq.	92	2013-08-03 19:36:34.532003	2013-08-03 19:37:30.861086	133		0
9837	10dcszqlpxvfvpepfzv6g522b6	$2a$07$Ip4eRW./X.AKxsKwEcDQION7WtN7lD3LLY7/CVJ3daC1RA0STaIga	93	2013-08-03 19:36:34.564596	2013-08-03 19:37:30.97271	133		0
9838	10m5wy2u3mkqwk8q9zy8hi6yrt	$2a$07$u0TVhwktgkxsQxUGIceJEuLQI8m8VymwdWDE0xG/7LHdLqMTRWBsK	94	2013-08-03 19:36:34.587884	2013-08-03 19:37:31.064706	133		0
9839	10tz4hjdgzfpwtu9lpfmstx7c4	$2a$07$oqyricebnt6mrfp2cHHcbe8GEs0tTuJWIv.FTrGF9NgxYQpZC7GFq	95	2013-08-03 19:36:34.611189	2013-08-03 19:37:31.183627	133		0
9840	10y0hjuaz07yj748omrbclum8h	$2a$07$BZvZrKX5z95hdZWQthZvzeu5oKyQx4fqXmUAuDBc0DTmKsyDe17T2	96	2013-08-03 19:36:34.63513	2013-08-03 19:37:31.3138	133		0
9841	106ih0hetep1mo4ruyynxa06w3	$2a$07$1P5kkDIYeVXBlSqade5oLOL0FQnHa9QP4fhM3aP2jb3oPxpvoBK62	97	2013-08-03 19:36:34.658543	2013-08-03 19:37:31.44677	133		0
9842	10k26t1phwxbgnwktnh49pc75n	$2a$07$KQ4fJ10HMlLiRONwltbQ2uu69WUgd3rXwDFBuWoSXOqMcLzcKYX5e	98	2013-08-03 19:36:34.681309	2013-08-03 19:37:31.568722	133		0
9843	10ygdkqmia0ycxk56llqi18zfw	$2a$07$MHWPasqjCAuRon5yxLpsY.zOqIyWTQKbT.hOEi3ghoJlzb6p6jXQO	99	2013-08-03 19:36:34.704683	2013-08-03 19:37:31.700294	133		0
9844	10k772nzltntv3vxjeir29ejco	$2a$07$mDwsJajh/tn78x7OkfhDUuahFxMFZU9q5AZ3CXqVWuSEOqmI01Nmq	100	2013-08-03 19:36:34.728195	2013-08-03 19:37:31.810352	133		0
9845	102770yj3i9ive7j7z54wyufc4	$2a$07$o1ZZoFTR8sj4rJIytq5jyuoF9mmNi9vXl/jp3PMr7xjZUJ3e1MajO	101	2013-08-03 19:36:34.75164	2013-08-03 19:37:31.929406	133		0
9846	106upu11fmoovubuk83oqemq6z	$2a$07$gKmwJXOzuVnS9H7./v8SJuDEqv0n/VmMHp7La7Y2MS2IaDQcqLIbq	102	2013-08-03 19:36:34.775049	2013-08-03 19:37:32.035068	133		0
9847	10fqe1yrckzicu7evid7oaizle	$2a$07$DUIAXqS.O8595o5Xw7hYauV0lTi8uo.IXKVzVj9zw9sCRTYBFyok.	103	2013-08-03 19:36:34.798721	2013-08-03 19:37:32.482347	133		0
9848	10frdl20byg2p0jk5p7nj0xrer	$2a$07$muswZChJSYZVrDOc7Frcm.AOUnkQm14VXARH04BFlQzn3oY/ti7Be	104	2013-08-03 19:36:34.822647	2013-08-03 19:37:32.944521	133		0
9849	106jjlvef29a9xjptv57s53329	$2a$07$49dQkOVAzLFd2WU8MD2lke8jO7S7SPsh8YFaw0XE9lWxYro4tMB3G	105	2013-08-03 19:36:34.846309	2013-08-03 19:37:33.052072	133		0
9850	10xlucyq3i2pn6viv93fb1fown	$2a$07$/EZg/FVyVCqUTAkl6ZxaJ.ka3Ozt..TDl1mdyN9z1UxWvmC8YuXaG	106	2013-08-03 19:36:34.873062	2013-08-03 19:37:33.160554	133		0
9851	10sd3v9fbsh31vh7wt60ul287l	$2a$07$rvd9B/aV0Pf2VINsCh5TsesV6TE7rfmucPqterKCWZWTD25X6egTW	107	2013-08-03 19:36:34.896221	2013-08-03 19:37:33.278211	133		0
9852	101lzc4eccb9qqiqlbntskja0a	$2a$07$6PfUslUts40gVT3giZd62.NoIpCDQNT/EvQJkzHIQWoUi63VUBlOe	108	2013-08-03 19:36:34.919922	2013-08-03 19:37:33.399923	133		0
9853	10jqpflt7annnzg7r7ea61xb6i	$2a$07$mcRoaCCJ.4fZX3BSrwJ4POtisoWsyDXNls8w6reHxiZuH1IbPbVZa	109	2013-08-03 19:36:34.943258	2013-08-03 19:37:33.515063	133		0
9854	103b96dpryqvvdohbqk1tq6r2a	$2a$07$DRrRipsV.QNn4UKGmQmRPekIXel1kfYQmfBilJBQc18B4joFW0k4G	110	2013-08-03 19:36:34.968555	2013-08-03 19:37:33.624819	133		0
9855	103mq1r4ihd5dt628krtdg28v0	$2a$07$HndAh8iLGeHJXQTSXapNGeTFONcpEbK/sQPEJ9kghyNLbhccWO.Em	111	2013-08-03 19:36:34.99409	2013-08-03 19:37:33.739179	133		0
9856	10fmhevuraad65x8qoh3t4f5xw	$2a$07$XM/pF3rEIZmAlVo9usauX.mATPva.5.N1M3cwcnw0clM.wmsWSEEq	112	2013-08-03 19:36:35.020013	2013-08-03 19:37:33.905233	133		0
9857	10np9wx3mx2y2i9gfiuokl3iil	$2a$07$oi9u.nendThZCc3Y1uIthOT38RBxzVxSsnFmuRRnqJkDAxwAhWFv2	113	2013-08-03 19:36:35.046574	2013-08-03 19:37:34.345958	133		0
9858	10166nxdr8cx3kls620065ed2m	$2a$07$FaMw.c2W0VM/bb0E8gwic.TQV.SdIx2LoSIotVQmIpq71usucGd1a	114	2013-08-03 19:36:35.073874	2013-08-03 19:37:34.942429	133		0
9859	10i4m7zg0ro01i38ccpmqk4rye	$2a$07$8U.6wLx1bjhDizeK73YsZuOI.FblRCJc4bmXdY1BPq3UJmmtMTYc6	115	2013-08-03 19:36:35.098203	2013-08-03 19:37:35.10272	133		0
9860	10iop21wfi445wah5un8rdd1ry	$2a$07$CKwGZMqnJKp3pCskaG4rCeKVg8w3.vffr5h3sEWR/eldZzbjj7Pmy	116	2013-08-03 19:36:35.120559	2013-08-03 19:37:35.261204	133		0
9861	10pm0wbyzthean9tbk718g52zy	$2a$07$yqR8cuqPW45wRN7W6Nj0EOEVmOMF6l8PFnIamWYpESxNWhbZRi8H.	117	2013-08-03 19:36:35.143514	2013-08-03 19:37:35.414303	133		0
9862	10w5lkdt6t9dz7gj2b4u8qxo08	$2a$07$lEMeqH7Yi0ImNusEcLKkHOc47QNwz2c8CxFNx9qbSUgSdvL1zCIxu	118	2013-08-03 19:36:35.166217	2013-08-03 19:37:35.560822	133		0
9863	10qdvs0r8k1128n7fnyem0ckvx	$2a$07$SKL92P3c.G08larr92gGG.dHtKpz6eMxGG.uA1TkWq78EQactIKLe	119	2013-08-03 19:36:35.188481	2013-08-03 19:37:35.722088	133		0
9864	10leftt3j64536w2aonhuo1p7j	$2a$07$sy93w0LKwzBF60Fr5yxxRekIHmol.hk8.IHxvJT61oIF/QwU1ewUC	120	2013-08-03 19:36:35.211271	2013-08-03 19:37:35.872841	133		0
9865	103k14d9wmuqjeewp2ro903aty	$2a$07$uwTzYusoKaYxKNqgDaiEO.7OKLM8E0npqBZUJ/L4lrNmkYzfxVq9O	121	2013-08-03 19:36:35.233818	2013-08-03 19:37:35.996639	133		0
9866	107icrztgujm9s3kilnfz1yi8b	$2a$07$zaCkzwjXUguDsAqPN87W8uqlY0OyKdhlHiRyHNWfHRVQxt9fyCRGm	122	2013-08-03 19:36:35.256222	2013-08-03 19:37:36.134429	133		0
9867	10sf0ssaxm97tbjq9so8krhw5b	$2a$07$FRK2VrbvQUZyv0t62Xd4XuSRLqnxTzTGHD/jxi2r283LHJewTde8O	123	2013-08-03 19:36:35.278953	2013-08-03 19:37:39.056311	133		0
9868	10ujrnnc51a1b34q7ib9eenf2l	$2a$07$RSeCazTmXsslqh/1J/V1LeNbh29/7brLETT3cIPiGhb3Oo7LJ6ugO	124	2013-08-03 19:36:35.30135	2013-08-03 19:37:42.089956	133		0
9869	1000qj0ltddj17739sfp20yxh9	$2a$07$lzckvMNCUWgcv4OJCQ1WyelIhYgdU9M9gWuF3OrJyXXUS/hdyIbMO	125	2013-08-03 19:36:35.323767	2013-08-03 19:37:42.493825	133		0
9870	102tytpvvc0d7nvpo8nfjrewi6	$2a$07$xA1Tbo.NpJDTs.xmqwIqIOpeJscZuUigKVOluTuUNu./TU1ofLHle	126	2013-08-03 19:36:35.34656	2013-08-03 19:37:42.842807	133		0
20389	10gt1y1k82c4v69qdb538859v1	$2a$07$b7RrPiTJSo1KcRfCDWLVEOs2gxHdEwOGSGDH.q1zDdsQ52ApIexlq	61	2013-08-04 02:34:52.618989	2013-08-04 02:35:11.112053	217		0
20390	106bewnxgqfacle4ijxegmj7jq	$2a$07$BYuvYeqRvraOfXNivwtCoOaeGN0HU02xzhT5pI1SwCUrQsTT1T8n6	62	2013-08-04 02:34:52.643483	2013-08-04 02:35:14.260945	217		0
20391	100tilthyy04ozrmi3wa9g64jd	$2a$07$0x96lDww2ljniuKU1a9ugenXQdHWuRwX2vQx59Dez7lxAB5u2gfcS	63	2013-08-04 02:34:52.675599	2013-08-04 02:35:17.039085	217		0
20392	10i6tp5sxyfaim20nuqsgfgzu2	$2a$07$xKj3/io8P9gSU5fUXeo/H.8wAp0yQ3EpOG2NpmGpePVe7a5A4E/m2	64	2013-08-04 02:34:52.701646	2013-08-04 02:35:17.274848	217		0
20393	100kvn6ib8nlbiukwwdhznnkqg	$2a$07$C.LzRupkqOudewFnBEc8ouEl1rwsuCVzhci/O.0JfS1PURnFxGBT.	65	2013-08-04 02:34:52.725686	2013-08-04 02:35:17.409257	217		0
20394	10k9yi3iid19307pi5ppwa7m68	$2a$07$d5Oy9OopRKA4uhDar949oeXtCleodTSXRrTWODB9akxv9LTIGtcqu	66	2013-08-04 02:34:52.749352	2013-08-04 02:35:18.347453	217		0
20395	10rjyef1vm7e7058zvg4zycr2y	$2a$07$FapLZIMp9sNKDp7HkKn7RueOZ01bcAzNm0FOk.y6wpLlRQzdh5oKO	67	2013-08-04 02:34:52.77403	2013-08-04 02:35:18.474854	217		0
20396	101kc5pl18wnkyfdnmpdip17mz	$2a$07$ogrZ.9l.zoGS2HeMVQ2EfumCXEqS4J1X5zFwCLRph9SK5OfFImxea	68	2013-08-04 02:34:52.798145	2013-08-04 02:35:18.595875	217		0
20397	10r0oq9k9mue6citn3ivzveass	$2a$07$QqrU7tlaC/NG0ZWHcAB63OnSHXQtjPL9EsYt7dv8mjC8M2gwkkReW	69	2013-08-04 02:34:52.824274	2013-08-04 02:35:18.71314	217		0
20398	10nbpydel4lgqiv9llolnw7v0g	$2a$07$GIn/S221Rrwk5xnxlCUOee1a1gFn8xct5bd9xidfOAi1Cg6zTaUEa	70	2013-08-04 02:34:52.848471	2013-08-04 02:35:18.848962	217		0
20399	104ty2gbt0fkd1g282bwfw7luf	$2a$07$MrmbY6a47aJ7yKRQoq9QqO3U0QXuV9NlSLzzo3REl2dYtjkE6775S	71	2013-08-04 02:34:52.872356	2013-08-04 02:35:18.987047	217		0
20400	10qbm0uqwpn7otuwnjd7qkomb2	$2a$07$Zq9paOPNxkfZ8dbP5dF90eECNUCE5Cxiw2/NyVAg2o6Av.hgTWvZC	72	2013-08-04 02:34:52.895509	2013-08-04 02:35:19.236152	217		0
20401	10s9h3a3y48vm0unmin8wh8ihf	$2a$07$w2XiC42tIx7gPqhLdAig1uJipbaKYbbnpllsyAXGueO5N/JhKEfki	73	2013-08-04 02:34:52.919499	2013-08-04 02:35:19.351613	217		0
20402	108anjfl6dzmtpiy38qw3fvfw4	$2a$07$NQIq3H52VJLrw3qh9QFeEedKZMk63pYE64ofP6VQ2/eVL6oTNk6vu	74	2013-08-04 02:34:52.94303	2013-08-04 02:35:19.493492	217		0
20403	105m8ib4iwquv5ijxbi2qsubun	$2a$07$EZ/iVEB7lEt/fj8bI6I6EOpySpFTV5qykQu1SIFsiGZ/G7ZCpcKQi	75	2013-08-04 02:34:52.965962	2013-08-04 02:35:19.650843	217		0
20404	10dvd1gok7hno8bit52p1fk73f	$2a$07$086jTAVIp9t1kpTLKKHtkuZIZFxH7X8yCpVLaLiJUYdpJ6mgTdQ6W	76	2013-08-04 02:34:52.988706	2013-08-04 02:35:19.787489	217		0
20405	10sldhut69h6f2ii1u31xpnwyi	$2a$07$xTLt2/uUBItRWK5SVt4ZuOSwuEISdkdnaR4hqRKRuQWRWXjkTYTnC	77	2013-08-04 02:34:53.012103	2013-08-04 02:35:19.920309	217		0
20406	10jaappker5pfl9wswjhlueiqe	$2a$07$s/4YP.V6EfcEFy3S/i4MVOzMRt/CeIo9vUqgedQkU8.HYpHeZUfX6	78	2013-08-04 02:34:53.039653	2013-08-04 02:35:22.294295	217		0
20407	108yxs7mfpu6t797lknqqmbssj	$2a$07$LJBFH6NIKOM0Gb04YY.9TOZ6HqmX.EO5nmC2PMbCHDwh7ap2ZiCq.	79	2013-08-04 02:34:53.074377	2013-08-04 02:35:22.455723	217		0
20408	107ly5ofdkx5dmzgrd2tz415yu	$2a$07$C7Y38EXoYRnBdQ76ForqsuIFXHj766AV9xNWhK.FYvFB6AQZ2MjRy	80	2013-08-04 02:34:53.105225	2013-08-04 02:35:22.592602	217		0
20409	10qsqqfmuj328d3g4o8pirls1l	$2a$07$3zevjzFRWRNoDIbvYQFshOPRkrS9tFnrGybaih9FZOaRIGRPydbqe	81	2013-08-04 02:34:53.129288	2013-08-04 02:35:22.727402	217		0
20410	10wl7kkjoyh3eqksz0z8yyq33o	$2a$07$X0OgaJNywboOixj6fmsUqOu4Becyy/WtOLHuRxaUUnJbaxrGbDXlG	82	2013-08-04 02:34:53.150995	2013-08-04 02:35:22.84877	217		0
20411	10j8qdr5tbt3nimzl79jrdxpwc	$2a$07$LLlRqnrwTUTyTpzgkE8IQ.ENPHFRrjvu/zTWmhC2qrKqSTCqVKZXu	83	2013-08-04 02:34:53.172604	2013-08-04 02:35:22.971111	217		0
20412	10fk15y7wvtiren1iodiq7koto	$2a$07$Bz2eVlwwqV/cuG.SdIh6ge.1FeftW//BXuCzojp5iUF5zcWUrJ8N.	84	2013-08-04 02:34:53.194071	2013-08-04 02:35:25.752398	217		0
20413	10m6yn3mvu5dvc119uu5o86luw	$2a$07$MsS1lOrgzX9uEtg4V.xB0O/Hzl4N5zFK.GpCrHqm6GJcn0MDHT59u	85	2013-08-04 02:34:53.21542	2013-08-04 02:35:25.874579	217		0
20414	10adjqxzfrims1fkyo5k9gzb9h	$2a$07$H5KAmnw6XSlMWqyNHddRc.0.5AvMxizx/rJYEDXb496JA7.E.N7hq	86	2013-08-04 02:34:53.238031	2013-08-04 02:35:26.015691	217		0
20415	10nw4lcag9w3y0ugnmkjacnkqv	$2a$07$O5JargQmoKiNjsp6Bw5KC.asvcpvPqlae29b6wsfttS2DqbCpDINa	87	2013-08-04 02:34:53.264679	2013-08-04 02:35:26.164586	217		0
20416	10tidleyfkyti9thj7dit0m5er	$2a$07$qRztViQQHPjEe4hRavSUZe5NP2Bt4hm/6LkB8/AnLRF2PgyNtgScq	88	2013-08-04 02:34:53.296913	2013-08-04 02:35:26.282615	217		0
20417	10u44hpe1x1xb89tb44idwxegq	$2a$07$SZH5IcXnscG2g6/e19Dhweiw39.WJmlg8CBxv3z7daYsKvc9Aq39y	89	2013-08-04 02:34:53.318185	2013-08-04 02:35:27.229337	217		0
20418	10yvn280fvcg4eczmgo1n5hdg8	$2a$07$91zeK/jp.EHfnwRoeidVKeLjghMZn0.yp8iB6VcIwjoUE4YvJS8mm	90	2013-08-04 02:34:53.339195	2013-08-04 02:35:28.182748	217		0
20419	10842h57bohbq1rwncxesppy2x	$2a$07$rF4MS6O3vA8pagY8fbfPFuXVej9LRbFKOajj9zuyp4pgV8lq2IZoO	91	2013-08-04 02:34:53.360636	2013-08-04 02:35:28.320624	217		0
20420	10iqlaazlw0moy1zo44rdom01j	$2a$07$WEa34XRdnTpJkeWMVllCQeqqYsd.wo1RRnDdfmv80B7bCCmn.0BD.	92	2013-08-04 02:34:53.38189	2013-08-04 02:35:28.451742	217		0
20421	10js83d9lpw9o8l0556e8i4k1x	$2a$07$AxGU.sckXa9caR752uTG8enlgWQJ1zUuMqELIUqKK.yX5DUU3WM3S	93	2013-08-04 02:34:53.403757	2013-08-04 02:35:28.571123	217		0
20422	102fpgsrmxdor0vknyitlzqpoy	$2a$07$3QCwsvE9TK6KZhU3nE7Q6eCWAzM56TrGdoIlTsPgxKp/3dMNXF392	94	2013-08-04 02:34:53.425292	2013-08-04 02:35:28.710113	217		0
20423	10mbncmpwz80ie2uevbpwd6mq3	$2a$07$9IX6YXeAspu9CbM8TVOwwOwqNvQQQIpgV/EEhfASy.UtrcLZIXRSW	95	2013-08-04 02:34:53.455429	2013-08-04 02:35:28.839297	217		0
20424	10k8dndq17xrqxsfmb2ahp9512	$2a$07$VIJ017Nt1F7HyX0Pw7R3W.RKs3sNHgnKWD48p9ahqe9GNFBLMoIvq	96	2013-08-04 02:34:53.491964	2013-08-04 02:35:28.966206	217		0
20425	1082andjv9uw4ymyaxjxv5p2rn	$2a$07$H0W8gTs/QwZFcSRmZjku6O4JtimC7W51rJc6sdxxj5qB/DQbv6GDi	97	2013-08-04 02:34:53.513344	2013-08-04 02:35:29.11324	217		0
20426	10k9w4wkofzwyp17ubhc8ghiil	$2a$07$jQB/opi.aUWLQEdteZ5aZuuTyWD7nede6.coRDy5cKkMozOqk3lpG	98	2013-08-04 02:34:53.535713	2013-08-04 02:35:29.257744	217		0
20427	10ic0pevmmk6enqdqsagi0yzsl	$2a$07$qCM7QPpZ9Q5OCVEj.vlTj.3CS1NU/kghZ6/1ummhuq9fmpPQKmj86	99	2013-08-04 02:34:53.559712	2013-08-04 02:35:29.394094	217		0
20428	10s4ez5rk6ej3xugbz8czx40te	$2a$07$bnwYGUGAZBPQKvN30/uvqOLTHJxiwXt0zvUw2JeFc20P3.kFXGSPq	100	2013-08-04 02:34:53.58223	2013-08-04 02:35:29.527378	217		0
20429	10dghlatbzicf039hruz0j2c85	$2a$07$NN85dQMgeXzSTNi55z4wQumL.ky.grKielHDVlkhuH5QC7xc21etu	101	2013-08-04 02:34:53.647389	2013-08-04 02:35:29.737501	217		0
20430	10famgl1duksmhmtag0f4em95g	$2a$07$tVzaRJuyTlwAd5Oaww9w.e978AeA8GoVjN0cAqRQPDCThcv/NoJ1i	102	2013-08-04 02:34:53.673726	2013-08-04 02:35:29.960019	217		0
20431	10718kf8vwmq1is5cd6x6tp27w	$2a$07$rRErtrUjgpc/nR.ucYdLxep.EjzNuHL8gYeXfmj4LT1dNyddM7JXi	103	2013-08-04 02:34:53.696877	2013-08-04 02:35:30.091343	217		0
20432	10gf1o84u6yv5afktqup2nlymx	$2a$07$78yBvMoNaqHVjQA06lDkceuNOvFpBmP0Is4aHOzEFUVYs1JcPB2XW	104	2013-08-04 02:34:53.718482	2013-08-04 02:35:30.208522	217		0
20433	10oj3hvrmn5jjh6t8l4e0bu02g	$2a$07$v962wkH1/ZljX9YD/LHIdeuILPEKvQ7Cqtt55Tku7VodqAFzmUxGW	105	2013-08-04 02:34:53.740171	2013-08-04 02:35:30.345775	217		0
20434	10o1p9mos96pajdv06r10251sn	$2a$07$71R.4S9CKAaJnOVMcfiqO.1JBivAUI3Bnb8SmyJ/4z8d38TrgoWA.	106	2013-08-04 02:34:53.761741	2013-08-04 02:35:30.487952	217		0
20435	10r1nsfv819qbngl755tr4bcr8	$2a$07$ax65RFCONWu1XRIBFiIRp.vOduuMtjYwDdyMc4g4D4vGPd1CMmfQ6	107	2013-08-04 02:34:53.783471	2013-08-04 02:35:30.632719	217		0
20436	10q3nq2qbnrb29b57zi1pkbno0	$2a$07$39PfyqtlE0BWFhQC54A9t.RDUL/TfCfFP8Iek0oyZ.fiyb.ewJqwa	108	2013-08-04 02:34:53.807029	2013-08-04 02:35:30.782457	217		0
20437	10346auutg3wm7r3zjb25d3qv6	$2a$07$UCykaShQLJDzIxJ9QDLzjOrBATBmWtp8n7BD8SaSVWnpc3Z73w7hK	109	2013-08-04 02:34:53.82915	2013-08-04 02:35:30.919281	217		0
20438	10vvf60njamv3wif0q50mfplzv	$2a$07$pE60XM.khPBZ/t015KO9hO.LoCBcqxZnfL0ulJ0sCPZstKm.Le/Ou	110	2013-08-04 02:34:53.85076	2013-08-04 02:35:31.037565	217		0
20439	10ze7pxzg4ktexgoztn34s8n4n	$2a$07$3PtEdXwJTGhx5c5bRmO5lOWQAsKZDb0fRI9o54pvwdlPXbqIsBRsy	111	2013-08-04 02:34:53.872452	2013-08-04 02:35:31.169134	217		0
20440	105c3xxd3336pwknisss0uer9u	$2a$07$c2AizbRtwxXC5tqz4lpyGeTGVg0Ird0eX8FjWfv5XoKepJ9oh4Dey	112	2013-08-04 02:34:53.894149	2013-08-04 02:35:31.296373	217		0
20441	100cwb58siiz5wuz5z2nfi1ben	$2a$07$SfO6tQ3mfGpPXKnhmMkqZOztmgkEgDmZqEXwxDxB5QfVUfMouBcqq	113	2013-08-04 02:34:53.915862	2013-08-04 02:35:32.272533	217		0
20442	10rc33q00igxvknwjwgb7ratg8	$2a$07$exaTQ/vs5pQse0g0OnsYhO5MSFcQGhwl1kISDxJlnG.Dl85bL6Tpm	114	2013-08-04 02:34:53.939351	2013-08-04 02:35:33.227358	217		0
20443	10pmbjatksgwairo5bjxcmxcdp	$2a$07$5GQw2T1eM/vfZhJr23qCYugDcLxNIJRIqWjcpt990FIyT5dsDPSOG	115	2013-08-04 02:34:53.962167	2013-08-04 02:35:33.357563	217		0
20444	10jh4tare83aihd4o6oqc2ge4n	$2a$07$WnARprd.FHG0AWyxL8I40e13EROp9SORjsquRTIgd8skf1RrjI8Pi	116	2013-08-04 02:34:53.983707	2013-08-04 02:35:33.487708	217		0
20445	10x1d0dgxxqc8i4jeya2p8ixam	$2a$07$0Uu2.CxCtvVR0DNy1vHEvO4ikYw3vNgFmFaOx8cBVesR9ZC6Ehupq	117	2013-08-04 02:34:54.00561	2013-08-04 02:35:33.619591	217		0
20446	102rxe4zgl2b9mygtnqyxdjwza	$2a$07$kCiEN5WdlpH9u68pp66b9.6Kng7qJeZenZvz0PwU5sMY0B0EAJbnm	118	2013-08-04 02:34:54.027175	2013-08-04 02:35:33.76003	217		0
20447	105afyd2cxw1b2wa1550hgdbb6	$2a$07$L2PSdLogbii02mYbBhtcXeUAQy6HFencNz1I6R8OkVtYZTDAtL/Pi	119	2013-08-04 02:34:54.048667	2013-08-04 02:35:33.897849	217		0
20448	10ke03mzc944npka20jfebfhuh	$2a$07$rPQ4TvZ9xQrj.78.LcHgy.Il4NQLEOzINOcuy0hraXoKJHqTd2KVO	120	2013-08-04 02:34:54.070233	2013-08-04 02:35:34.044931	217		0
20449	10w8da8c0ys1wtv2ft0wei27l9	$2a$07$OEfjadS7/j4Fwb42b/stMeq7TMZsMs/1W4uHhSfBc9RDGz8PY1caO	121	2013-08-04 02:34:54.091639	2013-08-04 02:35:34.193198	217		0
20450	10h7kxxy38xo43stelexil0vyt	$2a$07$oJd.XCb33uoQcfkXWV9OR.NDRpo0Z1CjcJGg9d9Q1bscLKY/QWn8m	122	2013-08-04 02:34:54.113044	2013-08-04 02:35:34.321945	217		0
20451	10gfyz14cfefnwgnxzjaukqvf7	$2a$07$ISOOBqLq9BWpzXwrOj8KVOx4LOz3tDwC7NLjbry49JAedQTk7CkbO	123	2013-08-04 02:34:54.13452	2013-08-04 02:35:37.135293	217		0
20452	10bfx9dqsn0kv3hu72uk7s83oz	$2a$07$sPmtZVP8tWLSQ3WPYsQXLOpcP1iv9NqWcK8ppEyRsFWlTr0v.yrsy	124	2013-08-04 02:34:54.155961	2013-08-04 02:35:40.161822	217		0
20453	100m93r1nivh0f3ebmx3qccx6k	$2a$07$IDUCNtJyvSH8UNblJ6ESHuPGAPjFCXQkHjl0zY9IyCopgMcpliuse	125	2013-08-04 02:34:54.177475	2013-08-04 02:35:40.288203	217		0
20454	10o72bir55jrqryl51soazqluv	$2a$07$Pg9paK2Q678GGoghouXnYOgJkaLhqNYu75WfzMX4bDvqSnuNme7Cu	126	2013-08-04 02:34:54.198948	2013-08-04 02:35:40.482877	217		0
13525	10cvqxzgogckzrhhtvnj1znhug	$2a$07$srFUUXTMhFZOK4WJcfaNl.ihvPQbAwe2lZx11Rtjq1SQbvUPG/cr.	1	2013-08-03 22:03:35.057053	2013-08-03 22:03:38.196329	163		0
13526	10zs4qlj33c2o39sktr6himvxa	$2a$07$9YYKo1xnHXtwPq49BM3DaOmBNmHr/uzbS6IGYbEqD7SCOA0WOenzm	2	2013-08-03 22:03:35.07953	2013-08-03 22:03:38.336202	163		0
13527	10vtrgvnaglnicxe0vgdwjlgnt	$2a$07$MQ99NinahOsaeYujasqWKOGCz7WtTOml5dn/VjQpn0nm9aD5gOzUG	3	2013-08-03 22:03:35.102418	2013-08-03 22:03:38.435023	163		0
13528	10b399hy7qw18hnjpkg8vzg1o5	$2a$07$JGB5Ao/b84ml5pel6xx19e7oY87tiJ0ENdqPVd6Sr8FEQsTVSmp7q	4	2013-08-03 22:03:35.125714	2013-08-03 22:03:38.58162	163		0
13529	10mk4aigr5j9mwythjl0zw7fr3	$2a$07$OuA8gECuLOyb4uLHBg9WwuNVzY/Jon9MaLTAvcrhgTHkNuQq/aKVe	5	2013-08-03 22:03:35.148777	2013-08-03 22:03:38.724434	163		0
13530	10qar4ln1b3nbct7r843m5yfyx	$2a$07$VoB1LZiIGKNC7Z.TcqWmBu22gtYVqvD6Bg8Oj6sgrI2RjDUZsg5IO	6	2013-08-03 22:03:35.172039	2013-08-03 22:03:38.874371	163		0
13531	10gcjtv0408jag31z12ownbxvq	$2a$07$ez73H4eVSgFQvMj3z18qlOLQCQggAN/4jHzFBS9xztuasE3MO4nP.	7	2013-08-03 22:03:35.193836	2013-08-03 22:03:39.877473	163		0
13532	10jinjgq9vhtxt8t9i7qs9ex7b	$2a$07$ngHQxo8nkPLGF/usg1U21.2adSDpBeOLoisL0OR/RoP3e7X9186R2	8	2013-08-03 22:03:35.215367	2013-08-03 22:03:40.870973	163		0
13533	10ymva6w4s4tba07hwlodtw303	$2a$07$h8l7QAty5USHgWm67uAjhekZpdiq/JU1so7Y97MbQ/WG3kzKrEnFm	9	2013-08-03 22:03:35.238895	2013-08-03 22:03:41.803397	163		0
13534	10rzb19a3m9zjuqv9u7dg6mo14	$2a$07$zFEiK8bB.VkwY2c38tIx.ePKG0pXFi35MiPrOuRATmwDRNkdyCek.	10	2013-08-03 22:03:35.262944	2013-08-03 22:03:41.916938	163		0
13535	100wifqa3wtt82k8yeaqgdr189	$2a$07$6p.mV386NLsHNwimAvB78erP0JOwgXzKMhirUJnP5UKJAkkU/y4B2	11	2013-08-03 22:03:35.286601	2013-08-03 22:03:42.020083	163		0
13536	10m5ayr722wfrjvgvs4cu5o3ng	$2a$07$nDegy9fIMdZ1UftZ.FZaVuib4IS3x2COdGPOfz7Kk5AnbsexU70yS	12	2013-08-03 22:03:35.310323	2013-08-03 22:03:42.136512	163		0
13537	1089xl8a8ttyj0ronncktg7fjc	$2a$07$qHZX71JoDlDDIRpiJwoZSe2TUrkc//VD/5YuA3.ZEA88CqPgf9ygy	13	2013-08-03 22:03:35.335293	2013-08-03 22:03:42.26974	163		0
13538	10ztzpp1eup43bu312m0jd19fv	$2a$07$e7V6jXZmPopIYgaDkteX7uff6e3yBJK.r8j/Eg1sKwkvkVIgLe/EC	14	2013-08-03 22:03:35.360552	2013-08-03 22:03:42.398754	163		0
13539	107ymo13p03ds25tjorha1cqlo	$2a$07$Bosj7S/pnEmh9wniaonJcOegKBduYvT0/LZaCPUWxge2qd9mF92B6	15	2013-08-03 22:03:35.382372	2013-08-03 22:03:42.515703	163		0
13540	10ny6l9mz6ncmydcc727hccx3o	$2a$07$jdpGB4S4u3MaYQ.8I8EcFeS6adXERaHcG3gqJYp4oBox84fS6qyEy	16	2013-08-03 22:03:35.405131	2013-08-03 22:03:42.660737	163		0
13541	10z7ks4yiwbf34v9t1ao3i8gqi	$2a$07$66uACpatSwC/zTOFpzssxuCKUShyU.chE47UaJnOVmMEzfQ3XwFP.	17	2013-08-03 22:03:35.428955	2013-08-03 22:03:42.796723	163		0
13542	10feelcaf2erdrji72hpegriha	$2a$07$aaC0akRkBakdpq25uu.t6OzHIm/mfssyD7N41Oc340tGuBzR22NtC	18	2013-08-03 22:03:35.450991	2013-08-03 22:03:42.918642	163		0
13543	103r9y4tcs8pc0a2r4w1ga1l49	$2a$07$nBSWDUdhX5eo2cZm7/tFS.c89OcUqsWgmyphkgu2F089wxy4mY92i	19	2013-08-03 22:03:35.472507	2013-08-03 22:03:43.038987	163		0
13544	10gojb4tuv6ymvtcxsj8uptvsm	$2a$07$pO2FCuVFi7qJpHD72VaeE.oDKQ5k1ZKrFCE8yU0vXyUS12DtQXDdK	20	2013-08-03 22:03:35.494751	2013-08-03 22:03:43.16151	163		0
13545	106mgxuhitvsl9gc7md7487hzt	$2a$07$NMulUb8aYaYnFZWNSjxDvuxQtbxjGqatkR/kZ7ZchR9FWn3iNy3D2	21	2013-08-03 22:03:35.51658	2013-08-03 22:03:43.285582	163		0
13546	108p2vth2ixbbnquf86i10e6mu	$2a$07$6c2zQ3c2GOqDH2fseUSose0awHeQuBSvOnsUSrCeDPslJ6D4nD5BS	22	2013-08-03 22:03:35.539863	2013-08-03 22:03:43.416004	163		0
13547	1074qpmrx54uupz1p1dthfslbo	$2a$07$SMrHVjtD.IiiSKLuCWQfhe.mOzxyIRPsu5UpYnNFxW.xEvJradFbK	23	2013-08-03 22:03:35.562846	2013-08-03 22:03:43.506898	163		0
13548	10x6xqq5u9cycszb13kzj2sqog	$2a$07$CgB5auik3gpzbx4Andx7L.A9UKErepxm5b.Yh6b6ZvpF/JeKsTCsy	24	2013-08-03 22:03:35.585471	2013-08-03 22:03:43.628687	163		0
11509	10j915t6j01lumg7agoa177yx7	$2a$07$Y.ZlOrGMP.UoRkMgVlOYZeNRbEcnOuAGCM7gT79EsAHxtIDvzvxZ.	1	2013-08-03 20:46:38.022451	2013-08-03 20:46:41.184934	147		0
11510	10210nkuy1y6xzwenjv6s3j0zr	$2a$07$YqRNrHNRVqfgDIiKqfJbgek/LSq6.Zc/goLIb8Y42QyQbvRzpfEfu	2	2013-08-03 20:46:38.04626	2013-08-03 20:46:41.340051	147		0
11511	10m8p4oa3rb2ac0tidm3n13frq	$2a$07$m0TzJMWOLdgXrFQQfV.HveE0tLni0uU.vt3rnneVfVFvnvlOHIJL6	3	2013-08-03 20:46:38.067766	2013-08-03 20:46:41.473138	147		0
11512	109h31xxelickxlz60bcvmvfq6	$2a$07$p7C8S0ppHvKskcyT10yg0.wyAa9NbXbxRLQpQeKurDXLLHc.P9ULS	4	2013-08-03 20:46:38.089663	2013-08-03 20:46:41.615417	147		0
11513	10dhe0dmeuva4s6wufhvr3v5yu	$2a$07$zc5bAxQrM98XHbpvU9eksOwRqwBpKxbnOja5ljbVDvt7PC7nNGOHm	5	2013-08-03 20:46:38.11414	2013-08-03 20:46:41.770385	147		0
11514	1026n71iq4pm68pe2zhl7np3zk	$2a$07$BLz0q5eJ8I43G1xUFYieOupO6B7VvjQOnW/MLPwKMQXNQomhxEbV.	6	2013-08-03 20:46:38.135635	2013-08-03 20:46:41.926794	147		0
11515	105rt81x3kkni5m0l9ho3k1le6	$2a$07$rQdPVfi4O6T8wScBs3/DauZ3CFK25Tv4wTQucd1fzxQ3qkd5a1f6.	7	2013-08-03 20:46:38.158328	2013-08-03 20:46:43.888745	147		0
11516	10kxltzjstmt5zvxyi3zt1qvbt	$2a$07$ExPtwjUqizSCIurQHcwtV.k7GIy/PPhyShVhwHAZzMiEnvRFqArOS	8	2013-08-03 20:46:38.183197	2013-08-03 20:46:45.833831	147		0
11517	106jdv08jxei6l6vnksuxdu30c	$2a$07$s91cTp9XSYyUBXpqRqGlj.rOpBxuxqwqYK0xtftoZoa.lUHHRoDia	9	2013-08-03 20:46:38.210887	2013-08-03 20:46:47.868912	147		0
11518	10b5hqqrp9q3wazdloxc6zwybt	$2a$07$pBN5DwIiBu7m./4ClxSAHeHfRTzBlQUGl2H/A61grIfx.H5EnjmOC	10	2013-08-03 20:46:38.232781	2013-08-03 20:46:48.003037	147		0
11519	10sjnd2iuh78h536j3a88srwgv	$2a$07$W7CEtwn1n1rvda7KdZ/eUebVnvv3O1bGV/bNn7yngBz8rSbe9Zds2	11	2013-08-03 20:46:38.254871	2013-08-03 20:46:48.142307	147		0
11520	10sbca04chv2hikzzd1rnnbl07	$2a$07$rly2L8vuB.fXZz/cL8IQB.yHZENuud7T0c3/gjFmwRBVOAKS68hbq	12	2013-08-03 20:46:38.277324	2013-08-03 20:46:48.280411	147		0
11521	10678n2f96zruf0di2cw7cunpe	$2a$07$jZLQ2WPaDl6lx.DvkUYZNOX.P/WEezVnidQR5t/CBH60RieBcZx2.	13	2013-08-03 20:46:38.300235	2013-08-03 20:46:48.417577	147		0
11522	10uk6u2orvv067t3gzhsy9qfc4	$2a$07$RPIep9ioSsIv326HOSqsHuyXPFkcODdD8/MnlxC8Y.2/gOrt24KZi	14	2013-08-03 20:46:38.323134	2013-08-03 20:46:48.544711	147		0
11523	10dqe1u1137hoz990b4vzq43n0	$2a$07$87UYHMzv6QnT7i5SZC6YU.mc6xsj3jzyTqVOFp.AIktgg7WFGZ5rW	15	2013-08-03 20:46:38.345641	2013-08-03 20:46:48.670605	147		0
11524	100z68d6xjejfknomzd1fmrznu	$2a$07$96jeMKFssi/qwL0xE.rp/OXSQ4tFuTi/LeXuXmhwvl8IN7Z1jIvcW	16	2013-08-03 20:46:38.382035	2013-08-03 20:46:48.797057	147		0
11525	10c8euhon5wieruw0ov1c7b476	$2a$07$5/5/OgRyixHSyuo5qkL9SejfmjkyRkcTJ517CzsprIj/RQ5Cvt7C2	17	2013-08-03 20:46:38.403795	2013-08-03 20:46:48.932369	147		0
11526	10kii7tazq93ify60xy8v2zjmv	$2a$07$l9twc3jID1E5hudpqfUU4e58xBGQzDci8VyX/tsq1dNoHq0zZBkJK	18	2013-08-03 20:46:38.425095	2013-08-03 20:46:49.06495	147		0
11527	10nxnd133yhtm849fjs8vkajj3	$2a$07$KfciuaQWxwg6FJRygvPnUuakRPq8Hw5rJ5EoF07yY5AB6GDu2EzN6	19	2013-08-03 20:46:38.446649	2013-08-03 20:46:49.206745	147		0
11528	10srs8onhr9moov4l1qke2fstk	$2a$07$UMv9/yhS7XMwxjZiKvOq1uZS5j0xpOpXU8bf6CuC1CMxZTBI0ch.K	20	2013-08-03 20:46:38.467916	2013-08-03 20:46:49.336088	147		0
11529	10pqv4vxr6v1f5o48nza3t3rz1	$2a$07$g6G.q4qCpOir.ZWEGjRgzOv9HdqqV.zZgOXXWvXE4btz.CSFrFfnu	21	2013-08-03 20:46:38.489261	2013-08-03 20:46:49.461398	147		0
11530	104wcr3aak23hzvvhz5grsmct8	$2a$07$pgR/60zVPSgT0rQfvNbGVOnKCEYWMEdeoEmnd5YMYvA/v1QMrWYC2	22	2013-08-03 20:46:38.510462	2013-08-03 20:46:49.585577	147		0
11531	10dqukr7y9qa9z9zpk7orsdjkx	$2a$07$vLO5/aV/dojqqFRNbBdQQuInUzfL5tzh4T0POPCh7XTfMt4WFP9zu	23	2013-08-03 20:46:38.531953	2013-08-03 20:46:49.714175	147		0
11532	10rr3qpthr9qttnjuy7qhuamgc	$2a$07$cvrh9d/GJj8Un6vBJ.1g/eGeOpAo2C3zvMRCBdLWbGYdCICXnrxG.	24	2013-08-03 20:46:38.553853	2013-08-03 20:46:49.834655	147		0
11533	10nq0qw4ro2fbqcfebd63auavp	$2a$07$/JNT0ndLhjDlfVxfor..vefnvZ0IXPCLbsp5.p2lBJBpLlCxlW5vO	25	2013-08-03 20:46:38.576979	2013-08-03 20:46:49.976002	147		0
11534	10p3dlgjo1ghtiqifhs0i9caea	$2a$07$0nbzt3dj0LYXI0blbWE7KO/MsZE6ic7N4xO/7YMY2ImORBJWWO.c6	26	2013-08-03 20:46:38.599887	2013-08-03 20:46:50.112726	147		0
11535	10nthvzuocrtiano339t3absh6	$2a$07$aIfmjrhX6aautW3ZEqRq2e5HGPNNNBuY5bY3NcQYXPtSkzI3W7n5m	27	2013-08-03 20:46:38.621332	2013-08-03 20:46:50.24866	147		0
11536	10ylxkvc9ny33nd0qugfmtzdg8	$2a$07$7eONmyOm20BoiF4cAxveFuqGOsMI6mQfhtlBhSM5Vw0C/8wNZeo.S	28	2013-08-03 20:46:38.642506	2013-08-03 20:46:50.637793	147		0
11537	10m2gaullju1timi1zklv4hhg2	$2a$07$wTzGg2bpzr5o9/OgnlmiHex70Q2cGAthE6TFnvgh327nLJ3brZsO.	29	2013-08-03 20:46:38.663853	2013-08-03 20:46:50.913028	147		0
11538	10rib99s12ifh881765el2p05u	$2a$07$9TiI8yaIsT7MwnX3mK5OQ.WD1/tX1DX1pvDV.ScDYOcke30eufddq	30	2013-08-03 20:46:38.684835	2013-08-03 20:46:51.288179	147		0
11539	10qfeowzuzycos4poxur9onkry	$2a$07$yS4h5BfhrzbbZd6x6RAc1.I8ebPRsRQ8BrPNGD7Q0kzejJAbDf5R6	31	2013-08-03 20:46:38.706207	2013-08-03 20:46:51.418868	147		0
11540	10b8n6sob3q754qvrx9fzx42id	$2a$07$hwYAgKAe/vAte4cx86BEAOcWdXq2gA9xUgeKtz1rqDCdD3m5ZGW8m	32	2013-08-03 20:46:38.727536	2013-08-03 20:46:51.56043	147		0
11541	103xfa5p5a04r28dnycfypjls1	$2a$07$Y.3GygKuaQFhgIShnVNytuoeOLZ/eWFhE9gmrsKLqkrGsAAuC2rpC	33	2013-08-03 20:46:38.748728	2013-08-03 20:46:51.693037	147		0
11542	107f13o3ebcei1tgcwbq5hl9rv	$2a$07$FqeBu69T0s0vpdgAnRiOdOr/CxP0zm2k.1Rd3WZ2ZKNNdts7YWyR6	34	2013-08-03 20:46:38.769873	2013-08-03 20:46:51.821914	147		0
11543	10lw8vd1jey6r36ncszbr1lyb6	$2a$07$Npc9gaVsieQ9HN3zPBo.Fu7AZBVH.WSvNw.2msFI0nvy.8iSqT7Gi	35	2013-08-03 20:46:38.79238	2013-08-03 20:46:51.960968	147		0
11544	101pxmavm0qyhi8wj60m7ub8lc	$2a$07$n5FSgEKxgXLytt5MyL9weexFA3sT3P4ASCcd1JEL9vaWa1jExWrri	36	2013-08-03 20:46:38.81377	2013-08-03 20:46:52.085759	147		0
9871	10182rqluxkmlwl5okp8efl46o	$2a$07$rO.nqjVdI32M0nY.JmPBpu3w55SnX3blQBrK4bkbyS./Vwm0ETna.	1	2013-08-03 19:41:32.058604	2013-08-03 19:41:35.242278	134		0
9872	103j57dwkidkaoj3j89xzyfsej	$2a$07$y862Tag4Fsmy9Axi/StdM.prFw4aBulNWWLFPxpd63/628iVKANkm	2	2013-08-03 19:41:32.082301	2013-08-03 19:41:35.493513	134		0
9873	10evdvy3u58elzdqe9xsi1o88a	$2a$07$CYf5vlVSY.oxRLPt42XUGuHrFctXb0a9iCVUBXEWio2ipxqjWtgF.	3	2013-08-03 19:41:32.106057	2013-08-03 19:41:35.773227	134		0
9874	10f9q24xw91ht8vif7bjw432z8	$2a$07$zFkGmr7n0i6Nd7TKLmB5gutO2RO.8twYg481wuLd90VJlO/R7XW7q	4	2013-08-03 19:41:32.129089	2013-08-03 19:41:35.927595	134		0
9875	107xk4d1yrs7emvzyy0ybx0fut	$2a$07$qhcJr/EzEC1x6w8IA3sunOe6G/tw6nAiIhsiMTYxxTj4ND.2.txbK	5	2013-08-03 19:41:32.151908	2013-08-03 19:41:36.061511	134		0
9876	10o52f2m96ywnwge93w62bno74	$2a$07$.wg7uZgUwKhdb5.lcnLTvOE1.3II.Z/o/5BbG7OwOHA6mgKZfGj/2	6	2013-08-03 19:41:32.173665	2013-08-03 19:41:36.211852	134		0
9877	10re6gpwwslpimkn4vklesfm3o	$2a$07$pX6SiKjexIdzNE/g10pp9.35Gb7UmuEfjS.HigNrgJq.wucvVWHkW	7	2013-08-03 19:41:32.19677	2013-08-03 19:41:37.346009	134		0
9878	108bzc5h0fpqj5637iy37dh905	$2a$07$Lf0bMGGlZ3UkE5OQU9ZZ6eEEdTcWsREpMj6f8qlIEHdk/aW8MzvPW	8	2013-08-03 19:41:32.218829	2013-08-03 19:41:38.283152	134		0
9879	107i8o3d5pdn7kbjfzg5hk9afl	$2a$07$zH2ZqL6QRPu38N04zdwKS.4iUw2TMukmOW7NA3viJnaA.ELOxKoJ2	9	2013-08-03 19:41:32.241021	2013-08-03 19:41:39.203388	134		0
9880	10ov3on8ldmw3qbc1ogmjsuhzt	$2a$07$f4OzAY5O9Xu176UQ9sGwRu9ghc3O7PX0N7.a6iWEaLhYAebgbD2kC	10	2013-08-03 19:41:32.263257	2013-08-03 19:41:39.327871	134		0
9881	106g5qnueqyhndvvvybli6zws9	$2a$07$DHAjpy0prdCpEziKMFQI3OaZ0ZGi8tTAbpDatB2E7scq/kUbRLlCC	11	2013-08-03 19:41:32.285676	2013-08-03 19:41:39.46171	134		0
9882	10qlopaz8ksl68fuubw04by5n8	$2a$07$wM2p8TBO78fZa97DDudiHea5Dp160VKvhWMTP7wqXJcLXQPLZ7fAy	12	2013-08-03 19:41:32.308663	2013-08-03 19:41:39.590205	134		0
9883	10kr5o65ugbun7yeohdzdpii3f	$2a$07$938aHT8YKUGtnW/7qAjZRe0BaAWSuB5bK7GoV7KkZrLYNopHc6bZS	13	2013-08-03 19:41:32.332465	2013-08-03 19:41:39.71804	134		0
9884	10scztmfwd71iw60uthotceky1	$2a$07$s8Zsd6uAFSrSgAjzRvMes.oYutquNPgQVEahaE2n.gOBlB1DJaeE2	14	2013-08-03 19:41:32.356208	2013-08-03 19:41:39.86399	134		0
9885	10ycg0cf74lekxgtmhqlxalpos	$2a$07$PvTesiUWjp.KALk.4G4g/uW0LlCp6BFHY8/5SquObKYovcx3C0MGi	15	2013-08-03 19:41:32.378981	2013-08-03 19:41:40.029522	134		0
9886	10ljn36u3h2keovad7wkyg4tu1	$2a$07$XTzJ0O4DsA0FhK5i23RcZOrTZqrEw25u2bcI2d7WBEwb12252CCy.	16	2013-08-03 19:41:32.401921	2013-08-03 19:41:40.171288	134		0
9887	10u7vu8vtbmf3h45m4erviltie	$2a$07$ih/uQU7oDXTICDpOGeMIhORuh8viIY1pGr6.cPE3H9T7xjUcv4nou	17	2013-08-03 19:41:32.424946	2013-08-03 19:41:40.296186	134		0
9888	10viw93o6x9otner810k8a9ug4	$2a$07$lC445hSbqXiZ7sOD47BCjeib42GJ7pe2yDmCJIuNT5iDpYzvZnJca	18	2013-08-03 19:41:32.447693	2013-08-03 19:41:40.431045	134		0
9889	102zwslzur83l95yy85u7g306r	$2a$07$OxCb/cBTI/kHA/YXo4Mq.euLKHUVlbAV9kST.awBqP5BBhjPFGDB.	19	2013-08-03 19:41:32.46975	2013-08-03 19:41:40.556166	134		0
9890	10q4wiliq8tngqqtv2k032jxom	$2a$07$9bVqmvDc2q8W/lpuzjv.hu7UR8a8g026RPv8cNRYyUMqlPM2fhfqG	20	2013-08-03 19:41:32.49262	2013-08-03 19:41:40.689356	134		0
9891	10ets8vy2ajwns04nh2j9sy0pl	$2a$07$sUE2U2lXVnPxIoBGKDlui.UIY0Tv/mGO1w5n9GTBQWwgMn6sBy0a6	21	2013-08-03 19:41:32.515366	2013-08-03 19:41:40.830154	134		0
9892	101edfmonjw5yjs9sftunx2pg8	$2a$07$1vPh3Hfdc1bcgZTMp5fa5.nkdfuAWFblJRA8L8RKKOxnPkPq.4c46	22	2013-08-03 19:41:32.538054	2013-08-03 19:41:40.96883	134		0
9893	10ekhr9tc9i9otu7carnnnadgk	$2a$07$tk1b8QM6DWQUTElYkSvGWeA7fBii2S7dcfSbNDQqX2j409rlJ.dzG	23	2013-08-03 19:41:32.560623	2013-08-03 19:41:41.088263	134		0
9894	10ei67c1cfvqhzrwruixvc4d7b	$2a$07$yNKtNzz8rauV6pL3JPlwkeWMWsg0SS9zkmlCwPAtlXWnG3B2ppMya	24	2013-08-03 19:41:32.582371	2013-08-03 19:41:41.203745	134		0
9895	10qs3i36mzqpj7683sgvu2yy5r	$2a$07$wQ2FkxZ7y/mLt4QcSeO3heUFLou0xiQ7rcanQTYNJ7xNszqJIZwTK	25	2013-08-03 19:41:32.604386	2013-08-03 19:41:41.3258	134		0
9896	106mumi3fcwo6lsa0q54t6oxdn	$2a$07$1b/mSV4MrqUAbG3Ixda5e.aS0o7nwm2sqzdI703TfIUbwIVDvTj8S	26	2013-08-03 19:41:32.62574	2013-08-03 19:41:41.44203	134		0
9897	10j6ser3ctzb5ce3kx0qm9wiod	$2a$07$dfHcvcV4DrrJkc/K6e19r.d024lq676DzdNqlN/n75uAy9Y6NlMi2	27	2013-08-03 19:41:32.648932	2013-08-03 19:41:41.565599	134		0
9898	10seuho5mierf3leq1ub70e1lk	$2a$07$HQDXMWeZglhS1U9tn7Izp.C0ge5affOiUeUjcUzuFQ6u.9n/qhqE.	28	2013-08-03 19:41:32.670804	2013-08-03 19:41:41.886729	134		0
9899	10nmhrf38tf2z9diiig8mybpm2	$2a$07$xttIBwDkCRbZs.AttdQJ0elaj.v8XBIQeSfp/B7bEuLdjvCJZTvK6	29	2013-08-03 19:41:32.692906	2013-08-03 19:41:42.199671	134		0
9900	1053uhrsw2t1wrylgw6ru4vgr0	$2a$07$mwLoKdhuSMJalna1qrkNB.Jn.cQ/tTgZYhWs8QewEwsCEVlO99vsS	30	2013-08-03 19:41:32.714392	2013-08-03 19:41:42.53462	134		0
9901	100ghea794la9s7r589gfrljji	$2a$07$3TGZe2tinAsEWLbQvtlftuE9fPqabK57tPATRhytIYxjGCi4Stiu.	31	2013-08-03 19:41:32.737139	2013-08-03 19:41:42.674338	134		0
9902	10dn0dk8mfnd3gmne0rrcos73a	$2a$07$JHp6WwRn1LdhzBd79y5Lj.1L80A2sNtl0pI1igx8wmFTyKKD2HnXC	32	2013-08-03 19:41:32.7604	2013-08-03 19:41:42.814836	134		0
9903	101ft3q46sjkeo66bgi32vm47e	$2a$07$V.Jd8sPVK.vwJqlPBXdIM.8N2E77MCmdl9mGWg8lBGUfJMs00uCde	33	2013-08-03 19:41:32.791337	2013-08-03 19:41:42.947933	134		0
9904	108k6iyvwtasgv4f3une4ich6r	$2a$07$mePxXsCGAYyi/WIqDnIN4eUsa0mphpabfsASfyzVfSjDha3EKkB4C	34	2013-08-03 19:41:32.829086	2013-08-03 19:41:43.162311	134		0
9905	10ljdubvmne0vf85wutuxmi2v1	$2a$07$weEqpVWvNA214zaDELZj6OuVPjVc2pad4W/9A/1LJU3xbmyM6f2y.	35	2013-08-03 19:41:32.861509	2013-08-03 19:41:43.33658	134		0
9906	10txy7ly2hhfkup2mdua7dgu3u	$2a$07$Ry6U59SUz6wYk2Mfb8Du6.LV3AzhOhSWn7AZRkJYsQvvMVRm9h0Yi	36	2013-08-03 19:41:32.884097	2013-08-03 19:41:43.446382	134		0
9907	10mai34cv0ycrgn10iq5nu1znq	$2a$07$/4uSnkb5tM5k0To2aXb5w.D17.3Ukxw9FM.wDk8UJuFG10nNg/yBu	37	2013-08-03 19:41:32.90602	2013-08-03 19:41:43.599221	134		0
9908	10tkmm8xliszpnf9jw8fp61zez	$2a$07$Q8wfMvf21r/hCLRa71bCReSKm/k7DpHu395Ye20WVF7H/d2imsdQK	38	2013-08-03 19:41:32.927722	2013-08-03 19:41:43.73765	134		0
9909	10f5ehl61e2k1mefkrqgqajqur	$2a$07$Gxpos3fnXVQvprr/Nbk38u9J802aBEAUwa04AWXG68I1NttA61DVG	39	2013-08-03 19:41:32.949364	2013-08-03 19:41:43.897371	134		0
9910	10je20z2owzuydyusj78gfnpbj	$2a$07$6N7iNFm9QNauPPrWVx9jeu.l.borOPyC9ncGB4A.hYhSX79Z4XogS	40	2013-08-03 19:41:32.970916	2013-08-03 19:41:44.052401	134		0
9911	108vgxr8u1xrdy3d9yhzpsfnh2	$2a$07$0CiiO1qg7/9j0SZVnr/ysuw.Fik/oLrGFZX88TKNq8qZjjqBdR4KC	41	2013-08-03 19:41:32.992794	2013-08-03 19:41:44.202471	134		0
9912	109zede6gnh1sckq6gba2pdxnt	$2a$07$kRg9QQoAyWPCr6z0zFDqteUN7zFuC8guGXVy1zoW6Ehdq4yR56yH.	42	2013-08-03 19:41:33.0166	2013-08-03 19:41:44.35061	134		0
9913	10s88qszte1padmxkilalvyxpk	$2a$07$agwEZaZ4Id2JE5tFRlRo1eZxzSUonWEWCkn3wp7Q48Qz1SpfvG3uS	43	2013-08-03 19:41:33.03931	2013-08-03 19:41:44.654232	134		0
9914	101d84wm98hsuzouf0ikyf4c8f	$2a$07$ZE2rs8.trLcVRmLv/HncNOA5CMzCoQRpHygOR.VOkTjEdwMCtduJi	44	2013-08-03 19:41:33.060909	2013-08-03 19:41:44.966642	134		0
9915	10rc2on49g51q5jdnhgu2bxpnu	$2a$07$R6vpIS4Sw/WhZ1aHWZF/mOFzHUQLinecQciee1mfdEv8SAPMJCHyy	45	2013-08-03 19:41:33.082604	2013-08-03 19:41:45.236507	134		0
9916	10cfl3ja9c2383hyapekzafxs5	$2a$07$sWrDYcCQOT4Mp.eWFAu28eRFOAjR1Ty67CN3idb3sVpXq3tZ5m1oG	46	2013-08-03 19:41:33.106047	2013-08-03 19:41:45.409467	134		0
9917	10n8vd7cctmxexbe387f0kjera	$2a$07$i5jlIoCvu1QYhrfulQ0VHeuzIuZfeMg3RRehPLs9ZjxJ12egNjtaG	47	2013-08-03 19:41:33.12953	2013-08-03 19:41:45.561505	134		0
9918	10fx4cm1e3fn1h61b8frixjzcj	$2a$07$AxDuDc5b4S.kDSVrjFysDuIDy3vnDd0tKE/67r6yQ9Tap4iu3Rucm	48	2013-08-03 19:41:33.152826	2013-08-03 19:41:45.73418	134		0
9919	100w1tbg2bro0lq4uybkj5k09k	$2a$07$5q3h.RgxssRABVROmJp7O.Ask6RLI/0c1wdT8t5gE/ssgBewxwyVi	49	2013-08-03 19:41:33.188652	2013-08-03 19:41:45.867735	134		0
9920	109lpir5dywwswijsi5ctozdf2	$2a$07$jCB7hBUVamtpjd841Lthduaf981pm8/KV1FfhgQFJaZRfngA3/SJu	50	2013-08-03 19:41:33.211448	2013-08-03 19:41:46.003228	134		0
9921	105r5vzqobn6l1nob29i6xm78g	$2a$07$KxxNbH60vhlJZhOTWbmyXebgqBJ2CgecFu1hUJneOucdKpj/8DB/e	51	2013-08-03 19:41:33.233284	2013-08-03 19:41:46.137409	134		0
9922	108akzidgba1x0v9bjoxzgijih	$2a$07$QAzlLu6BtY2g7O5Yk48STO/Lr/aKIJj5B/D3jZKRvMHCiduGwqVfa	52	2013-08-03 19:41:33.256534	2013-08-03 19:41:46.306677	134		0
9923	10ost7kgmgz44ozsxeiqcq9uhv	$2a$07$fGVoAIXmtrvYN3OcwV60E.H6LyRtx9Qkod/AN2fys1dcqCmr5QezC	53	2013-08-03 19:41:33.279519	2013-08-03 19:41:46.621777	134		0
9924	10qtawk1a45ng5u707ds9gkxg3	$2a$07$8jcueeaEUaB68YH1KG032.Fu/fiJiF2yf3Ixp.NjrsoZZYP9pCB9m	54	2013-08-03 19:41:33.303001	2013-08-03 19:41:46.797805	134		0
9925	10u48aematgbo3ejpmoggmqx8s	$2a$07$3PWscmYXrrtzcrDsecGOQ.q3FJfb5lMm8pSLrEtWLV9suwUIDaPqe	55	2013-08-03 19:41:33.343963	2013-08-03 19:41:46.935098	134		0
9926	10frdvwqhqw6kozrmiu0kf5j3t	$2a$07$UQb2gIpDEP92c0GVeMHnOuI25xGeTXMLQB1RUGRCuroyMhGKOjBOC	56	2013-08-03 19:41:33.366938	2013-08-03 19:41:47.067881	134		0
9927	108g6jxa4d190mmiccpq6wcz8n	$2a$07$TE9cd5RYgJ1k6ph0Op31au/8Jw4xEEBgw0axzKD81KMHw/tAipbiK	57	2013-08-03 19:41:33.389203	2013-08-03 19:41:47.2281	134		0
9928	10t5c8nub8u2g7btlrslkj5865	$2a$07$wY6zJW7klcHU1Awpn.BwQODxoAa.tG1fmFzgEnGFMNkaVlQR5pzq6	58	2013-08-03 19:41:33.410806	2013-08-03 19:41:47.388819	134		0
9929	10iia8zkmxkuj023uh23a2sgl0	$2a$07$4uNUCUFDon9MTsott33t/OVFLvIDgq3BiIL6xwoZz6D0JCyFlRWNC	59	2013-08-03 19:41:33.432605	2013-08-03 19:41:47.51807	134		0
9930	10bwp12o702xtkwdjnm02qvhfm	$2a$07$gPhUBQHhZxOz9Ds99U.R9eqr2DPh5EBK6zl8XMWK0J7h2nMjWftPO	60	2013-08-03 19:41:33.454655	2013-08-03 19:41:47.630343	134		0
9931	10gv9tqlttl5ja0uqvwobwcpk1	$2a$07$UssNsUrhLOlhcbkNRCAkTu5o6fwYmk9vv9uDMGnwL5TJrU7N0yZBq	61	2013-08-03 19:41:33.477123	2013-08-03 19:41:50.570401	134		0
9932	107r60fpxytvf26s6fax35o6ba	$2a$07$X4MtxQcDIQuhAjqNCD1AIezzCJtP1N8IVPVlzrLp2XO.Cc75nhDOa	62	2013-08-03 19:41:33.498887	2013-08-03 19:41:53.862727	134		0
9933	103z1cxmns5akk4ppknm75wy3g	$2a$07$qhVKZuW4WyD.s/svl0h1w.I1OoVDdIxC9ZuOw7SW4VaS69ct8kpxe	63	2013-08-03 19:41:33.520655	2013-08-03 19:41:57.063213	134		0
9934	10harpyr5jyf3n7c0roaegffk8	$2a$07$UUmSB7bWw.O4PLRuRDxkDOBO24W5oQFosepG4XsbxFrTOCgnrioXe	64	2013-08-03 19:41:33.543674	2013-08-03 19:41:57.371461	134		0
9935	10mmn1zrsun5dny5f5mqobjtcb	$2a$07$/bDtfarE1ZH6MQhwhAEJeu5O2pnj7m7ejZWC2yoVgAryXYWwZtBHm	65	2013-08-03 19:41:33.565626	2013-08-03 19:41:57.526056	134		0
9936	10057y2egidmnck0j85f9v5vn7	$2a$07$6E5.6p00pISL5AwxOkxlNuEe1ASxE5NdssiN4.LS0QDNJwS4lOg0G	66	2013-08-03 19:41:33.586954	2013-08-03 19:41:58.492109	134		0
9937	10zpu4easctgcd3nxtsqld0e1q	$2a$07$AC4Bv4U.vOBESq7V3EEBaOmFNdges2m.um6leN1WirJycXB/kSLU.	67	2013-08-03 19:41:33.608557	2013-08-03 19:41:58.619458	134		0
9938	10r360co1gjek9dxq5ze5bpjyj	$2a$07$M/CcSwUvPmsbi4Lll9hzVupcaUC/Et.p5H.avCYX2Jstq7TUZ2YVu	68	2013-08-03 19:41:33.630064	2013-08-03 19:41:58.745926	134		0
9939	10ush943zp8gcydi96zdo3rft4	$2a$07$xZJCb4CVyzh1fqFZwN8ufOETC3TnWhqh7QYjMFlao1JIoPhpT6VRC	69	2013-08-03 19:41:33.651433	2013-08-03 19:41:58.855871	134		0
9940	10hab1chbae03gimgfzp5mfrdw	$2a$07$tHVLj/3aIT4UvaJF6r7sQuThr93X17G6EOCtTa5njtAse6oUEoabm	70	2013-08-03 19:41:33.672833	2013-08-03 19:41:58.989199	134		0
9941	10zxniflrat1d67b15l9hevuet	$2a$07$1bEiXjXpGEHlWTCT87My2eKx4xbXo5kmR9LIXwmY0pymqAMXLOjk.	71	2013-08-03 19:41:33.694285	2013-08-03 19:41:59.099986	134		0
9942	109txyef7hqu4kquh4qm9wpvdl	$2a$07$.hmz99Jw0Zh/iHRyP4R4Y.zq4XhJxxK0aN5IGMDt1KV2NT1OdxPV6	72	2013-08-03 19:41:33.715598	2013-08-03 19:41:59.228119	134		0
9943	107b6j35sqilx5kiekvpq737cd	$2a$07$.4snvcmp5P/x61xfms/oSuvqlBQ4AfffEiXhs2uep8XxaBSUaG/eC	73	2013-08-03 19:41:33.737312	2013-08-03 19:41:59.527968	134		0
9944	10i1pqcwt8x6kswctb4c2ktuzl	$2a$07$g5GezVWKZDBVJfo8NfNaHOfG8eQJeM3pvyTUaIl0ZwnGH6wkU7OXq	74	2013-08-03 19:41:33.758849	2013-08-03 19:41:59.665401	134		0
9945	10bicr3kcpf6qqgw0j4lhxsy87	$2a$07$bZynwh5lb6NXMEL3iQ5mpON5qC6yYKRBey1GosHrbtQsBxXe/FXWe	75	2013-08-03 19:41:33.780144	2013-08-03 19:41:59.819499	134		0
9946	1034aee0twencqy0zipv4832rh	$2a$07$kxsmuEW/wcPJrFpchczN2eRHWdiT/koEpTmTak4XZvO3Q3H9a5ibG	76	2013-08-03 19:41:33.801806	2013-08-03 19:41:59.958085	134		0
9947	10wrgqv6o16lyhy408ybiqsiha	$2a$07$3uaiyHJA98TboNi0EW676.CAcTy0IY/dHnEQc5UX03z.rDt7wr4HW	77	2013-08-03 19:41:33.823338	2013-08-03 19:42:00.08118	134		0
9948	105c72pd0hw77z7jpjwaavy06w	$2a$07$sD.HE9kAptUi8TBZ05ov6O4o3VOIPrYPU07Udv6hb0gYqsNJIab8G	78	2013-08-03 19:41:33.844837	2013-08-03 19:42:00.430613	134		0
9949	106bo7ov75x7met6sxm7unm133	$2a$07$kBZdwye77YB1db.1ryXagOsfQWgOi/DkRiy.AI345Cfbyq3nuj4Sm	79	2013-08-03 19:41:33.866163	2013-08-03 19:42:00.6129	134		0
9950	10klwyfyjdnsq2ypznc96vkjsf	$2a$07$il7h0xT12.aGEagjcDef5Osn8wYVGPYDciLllQ00KEzWQdXNleusu	80	2013-08-03 19:41:33.887917	2013-08-03 19:42:00.741418	134		0
9951	10ktcplhfpio17rwics1v4hopi	$2a$07$5Ax/PW89fQcQDD17MYIl2uymbE5aeayi0KPYMWtioIEaStA4H5v9q	81	2013-08-03 19:41:33.909237	2013-08-03 19:42:01.136195	134		0
9952	10wgvpn9w4nr99qgcv6bil94kv	$2a$07$bdhFYbWWekw14zMkOz.XEOSideM.DOLfvsQDjYOYdF1glPZE7iTIC	82	2013-08-03 19:41:33.930817	2013-08-03 19:42:01.283418	134		0
9953	10f5196ewc0kxjxnwk9f0x21ig	$2a$07$UdSgplXe9WoiZfZk5gyfrevTuqNy3ktEtEwo/hM8ANS2nrBStEBAS	83	2013-08-03 19:41:33.95443	2013-08-03 19:42:01.618749	134		0
9954	109snlwdvki7buigxz21p9ysg6	$2a$07$p53imCzgoHWQc61ZoMLYK.V8ZFGArXX2pkr5npJ.ymMMhFLXPryrW	84	2013-08-03 19:41:33.97715	2013-08-03 19:42:04.567459	134		0
9955	10nvm9udelim6gs3ksj2bribna	$2a$07$myVElB5q5OC/kMbEeYplTO/ruM.953eLQhjGMcwRn5.2dx//El5cq	85	2013-08-03 19:41:33.99879	2013-08-03 19:42:04.937518	134		0
9956	10itltyj64ti2yesdif6qj3e51	$2a$07$O6ebxD8858eU5sXpABmTcOPwuiMTHd6zoVhNAYrfuG/o8Ks4bUW4W	86	2013-08-03 19:41:34.070337	2013-08-03 19:42:05.342112	134		0
9957	10n3zcndvu0qnf1xnxe9egiv7i	$2a$07$RjEGClgmtRP5SMLdT83n2.hXqmjXMXjYBxCsJIFFoX95Eydfl8IaK	87	2013-08-03 19:41:34.092666	2013-08-03 19:42:05.495264	134		0
9958	106e8567wcy6xeyt042pbc77mu	$2a$07$0iSgcKCiW5a8iL3pgPMkw.68TGny4dxKdMK9SwU764Hled2Vg5xh.	88	2013-08-03 19:41:34.116416	2013-08-03 19:42:05.650228	134		0
9959	10xqh3gydc2c5bbhcjx6bgsl3a	$2a$07$ckIRwB.t32aewdEsK122gu.qDAZS6OjqqlvyDYGF652PSfPiNNSUe	89	2013-08-03 19:41:34.138696	2013-08-03 19:42:07.643388	134		0
9960	10dm87ai225iy86o6xefz376vd	$2a$07$ZymakR6lVZJrVj75wjnE.emjAqlptl6PIjXszgrTzqjv8n0fYROVu	90	2013-08-03 19:41:34.16043	2013-08-03 19:42:09.643049	134		0
9961	10h7edyfmedxjx8mibo9wlurby	$2a$07$8Dw8OsXuQPbt8jvOkyTzE.FcmIgpDxUK/9MkXA4yLfVdP60zQdube	91	2013-08-03 19:41:34.182022	2013-08-03 19:42:09.783548	134		0
9962	10r9ir8kwbww4195gi5d9d1885	$2a$07$83SdZakpDu78//Xt7QuWFOKzdfWpicCKSh.ULXHx1.Y1pgWux1g7q	92	2013-08-03 19:41:34.203398	2013-08-03 19:42:09.923501	134		0
9963	10790nrz2n3wgdovltxsttvjrv	$2a$07$iAu1y2UNFWrKxpe1ahMatOcG9HtqAMCb3OVgAMG/Sm82IrnLtBEuW	93	2013-08-03 19:41:34.226241	2013-08-03 19:42:10.073001	134		0
9964	10e9u8fc3ek9jx5exp4pzzv3of	$2a$07$Gfa5dutotu82/qlOoqbfSuuOtVyBTKC.cOHHOgIc9AK31XE8.22Vy	94	2013-08-03 19:41:34.257536	2013-08-03 19:42:10.204669	134		0
9965	10fe2xhi2wcqxaex7deavc2pk7	$2a$07$Nh4QbmYMwq.HT7jGAx4uCuIlr3yrpExZ/8inIDOg80O2LKdpbV9/K	95	2013-08-03 19:41:34.289533	2013-08-03 19:42:10.325362	134		0
9966	10e60w8kd8ec98jpss1ympq6tz	$2a$07$IhWHYs08Szls/emR4vZAFuGa0L01Ng0OjmRMrZD0Na5SxsDtCP9jy	96	2013-08-03 19:41:34.310977	2013-08-03 19:42:10.447591	134		0
9967	10g0vcyllsjxfx1ggxkac807gi	$2a$07$p3OYMYbfSB6nzfrsCh0jLe6pynqZ6FefjcAozZ0fCgyXxvquTpKHu	97	2013-08-03 19:41:34.332664	2013-08-03 19:42:10.579125	134		0
9968	10652oyvag5b8jp9amqmo1rc8n	$2a$07$.0VPD9CjFCQjyEylti8H.uMPBgvYrRZdYrWwpoU/yLhOFChcdEY9e	98	2013-08-03 19:41:34.355579	2013-08-03 19:42:10.711615	134		0
9969	105tloa96khl6dtkadqhub4pgg	$2a$07$e.vN.oe8PDFihqiiskH3/eyWTfJ01iWf6O3jtXhH1Ik9xzlvDTQhS	99	2013-08-03 19:41:34.378772	2013-08-03 19:42:10.862795	134		0
9970	10gaoez2ct6q3cg7y1ogvhlsa4	$2a$07$uAdqsl2L90rXK1J0WW/mTe.dr4s5j52oTZFZNq8MBhwFva4A0kODu	100	2013-08-03 19:41:34.400292	2013-08-03 19:42:11.01593	134		0
9971	108x0t4qbj1m5ilrt709a6hvlw	$2a$07$3NJem4OFAMZRWcvvtNyBqup/EqjGBeODnC55eqBXI6DHWbO8yWpF6	101	2013-08-03 19:41:34.421987	2013-08-03 19:42:11.144263	134		0
9972	10rtilp667y3x5hkxfa7zpbano	$2a$07$/NYNz1kpBRfLovc3e9To8eAJzApt9dHneqlj6CX3T.M/H8MAuETLO	102	2013-08-03 19:41:34.443575	2013-08-03 19:42:11.283985	134		0
9973	103atqhkznywnt4rjf4rsr7ubn	$2a$07$bK1Ew0/umepEq0bg5UNQK.XS444wjgd0FLTwgSngutypAv6uHZLUm	103	2013-08-03 19:41:34.465079	2013-08-03 19:42:11.578052	134		0
9974	1010psknt4ij8ztkp0y1b5fx4m	$2a$07$JmQjSAmbhjecAw5yw8MCJe0oJNzzjm3anb5CAj7/AS.CnMtnKZ9Ki	104	2013-08-03 19:41:34.487509	2013-08-03 19:42:11.843152	134		0
9975	100jnohmv945z1g9bi0wx6q0hl	$2a$07$ofIM1mq5rU0y97Y6t35CqeEFxrE0WutS3vDNkllQr6knYrlTrhhGG	105	2013-08-03 19:41:34.509077	2013-08-03 19:42:11.977438	134		0
9976	105gzx17zajoxyo6lgvdvuqn5x	$2a$07$oWg5epKmNTMXik.UzzuICuAJrOVl4YuVDr7FovrPPxYP1kh8KxDLe	106	2013-08-03 19:41:34.530669	2013-08-03 19:42:12.1116	134		0
9977	107vdxtibwy3hg5bh7xuhxks25	$2a$07$lL1UFtFMzxgnf4PW1kn1UuDNkKZQ2xXWVFhpcilHSOLojh76.XklC	107	2013-08-03 19:41:34.552098	2013-08-03 19:42:12.241527	134		0
9978	10f70p0ci7l12vgop4kzak9i2e	$2a$07$dVwDIf1UsdBHks4avlbIUu437rVLp/SQkLus.R.a6P.uyAJjUk/NK	108	2013-08-03 19:41:34.573613	2013-08-03 19:42:12.357494	134		0
9979	108xuyhovviko5e6e9ss8q3k15	$2a$07$R.5sP9UawFBPLsyuJGM8tOqRhxd7Fo/NRt28MvLWzSyaBloGIibbu	109	2013-08-03 19:41:34.594953	2013-08-03 19:42:12.491457	134		0
9980	107fkm3m0tkb2uiyphpvpbxiq4	$2a$07$8asT5zEt5yHDT.q82NDns.iS/bFY.tTwCU88UrZGqHnz2jnjS0e3K	110	2013-08-03 19:41:34.616755	2013-08-03 19:42:12.632035	134		0
9981	10izhj7jh7kz3zhfw66oeflwyt	$2a$07$tl9liTFREAR4LjIhm7hsnOaTALzH8lF9mJjIdf20Q.dyCmdmbvknW	111	2013-08-03 19:41:34.638362	2013-08-03 19:42:12.763174	134		0
9982	104ivaqu4ipo2czmdfofswlqpg	$2a$07$7yQUwCW.1Tve/nhNtFcdGeURXasXw/HcwxnBxGx7Q/r/O7uy3MVUC	112	2013-08-03 19:41:34.659682	2013-08-03 19:42:12.895816	134		0
9983	106oad0l8ei408rrglec4b67mv	$2a$07$qHi4a6nDkKZcgrA5EyPtk.VJlBoQO9dQq9reGncQt2wKfwszcd30O	113	2013-08-03 19:41:34.681933	2013-08-03 19:42:13.191356	134		0
9984	10fuvcw9sn1epysv5fnjy15hg4	$2a$07$m.NbYJaNkiILoOWqTTiEqu2k5ikb6pKp5SEtrNv1UCBYcY4vTykGy	114	2013-08-03 19:41:34.703551	2013-08-03 19:42:13.504062	134		0
9985	10lvpzolfine4vsc0bnflew2ip	$2a$07$uYVMkRgdcNMvxccGdMClyu5qdVEhHRjQxpoymN9cAhipeZunuAh0u	115	2013-08-03 19:41:34.725041	2013-08-03 19:42:13.620797	134		0
9986	1039ak6rriqway4ldddrq8oemb	$2a$07$Cisq230OwfSmvVqujVtVPODguFiaqxMjOF13vNWgLfUdYaTwxRAAC	116	2013-08-03 19:41:34.746988	2013-08-03 19:42:13.736806	134		0
9987	10bgr3vqlihopjmjytpuykq3ep	$2a$07$DSJlNj0xAlvqBeZcX6yoVOBuaD5UTQcjZHkZDBpxqJvp/X5THchDu	117	2013-08-03 19:41:34.768416	2013-08-03 19:42:13.865483	134		0
9988	10sfys8rjz2fmsy6vkhzg2f4n0	$2a$07$Xwzu4Csq2atxijnuqGOLBOjM891KB0re7pCvcq3mMnuGERI9HK0vO	118	2013-08-03 19:41:34.790309	2013-08-03 19:42:14.007975	134		0
9989	106agzoad7dzmnxnh78z8iw1sp	$2a$07$ozUJUaqk5UQcVTMC3DBXhOzWZ/UfqHuwh2Wj9mas.sZo1G4r/ZjBe	119	2013-08-03 19:41:34.812298	2013-08-03 19:42:14.17739	134		0
9990	10sxjer7qln98v5c7h4w23fkuc	$2a$07$3wL0VGTO.3sntSUFLexEkeB89/7XCDOFjj59h7vhwu8boppG3UtP.	120	2013-08-03 19:41:34.83374	2013-08-03 19:42:14.31837	134		0
9991	10te6nwidixl2p1ytltyegtlww	$2a$07$jO4I.jzRJFAmVqlRJIFEyOdi951ZybwicMOiyOkTaOEaiTJw7sani	121	2013-08-03 19:41:34.855321	2013-08-03 19:42:14.665695	134		0
9992	10uifnhfow1ybmbrinqnyxags5	$2a$07$.Jf8riKf0Ia8QjxEUqnEj.l.dk.1gQs1EQXov6C/KU9rN0/oX6VNK	122	2013-08-03 19:41:34.876702	2013-08-03 19:42:14.989463	134		0
9993	105sc8lsvwyehpjloivhvs0hoa	$2a$07$jYiSIustWT1WzSAwh9SQtuSeQN0iSnYPoSeXOZ4wyVo8fqVcYv3c6	123	2013-08-03 19:41:34.898019	2013-08-03 19:42:17.649455	134		0
9994	10dz3y23ayg3nh2ahxcf3akw0f	$2a$07$0.h7X4Ts6ze/WZjqm2ty4uuaFEBI6.SfFqAv1/t0.Gg/t6lqDw.36	124	2013-08-03 19:41:34.920185	2013-08-03 19:42:20.779334	134		0
9995	10atldfrlg2y80xlpb1banxbyr	$2a$07$K7Tcqnwb.2k223/MNQVCQ.nNK04p0290C7mWbxO3WQJfxCNNN56Ii	125	2013-08-03 19:41:34.941754	2013-08-03 19:42:21.09472	134		0
9996	10mivxraxxpdzorcw7n5l6gy4l	$2a$07$xxoxx4CeWC0/PlTyhZsDDuk6qOWleWxoiRdgcSGVLB.zuaz6RwQee	126	2013-08-03 19:41:34.963275	2013-08-03 19:42:21.470525	134		0
11545	10z2ltph4wpe91gwlm1gxn2dqh	$2a$07$z3NHiMXmrp6PPq5sJJyZrOWR2bD1uBOIv55n.bRgcDjxGfBZ1MbZy	37	2013-08-03 20:46:38.835097	2013-08-03 20:46:52.201619	147		0
11546	104bwuqbkwah0gbrrcie3sqh6k	$2a$07$P6KYXCMh7NMiMl5NNmoLHONq25XPfibmotlt2f.OZN41ftdbp33x6	38	2013-08-03 20:46:38.856495	2013-08-03 20:46:52.357069	147		0
11547	102throfvsvlcq7qfv2xdj8g0v	$2a$07$WY0DjTKSEp8roAvPkBTcIONpoy8bf.MMyO.b/9tzxj8cTo8D5dE4i	39	2013-08-03 20:46:38.877866	2013-08-03 20:46:52.482079	147		0
11548	104sgkuzri58h25jyvbtshuu9w	$2a$07$jCdvF2gf.WG9P7NBcSeLs.NXjOLvYbWKBJ2oLZHVjn50KxAvLkzme	40	2013-08-03 20:46:38.89906	2013-08-03 20:46:52.608937	147		0
11549	10pvdzxz34rfdm8ofbckwevdsm	$2a$07$no2RCA8U5oAXoW4e26sVTeOFxaWNoCkFJ1FC3gDgZ85BArDS9a6Hi	41	2013-08-03 20:46:38.920338	2013-08-03 20:46:52.742507	147		0
11550	10kll7vwhl2aivt9r4n7oz0l82	$2a$07$YxvRowBb6lTu/GbOEg459ON5IIFrEUL/IUpRtHJZgNZE7kcyCl.nW	42	2013-08-03 20:46:38.943016	2013-08-03 20:46:52.869803	147		0
11551	10i4rvx8ukfopfnwsgwlzbdne1	$2a$07$0zVmTnIcYYW.Mdo8sM2hMubvEj6IePgrY2CiFGJa7Gto7u7lDkWnS	43	2013-08-03 20:46:38.980475	2013-08-03 20:46:53.084682	147		0
11552	10gtpy3h6mm00uu65atbpnuz9n	$2a$07$gDXagk3JCuNr0uNujEKvJ.iqISvLdbhSnf3Rw01jUSAwv./VslVBy	44	2013-08-03 20:46:39.017775	2013-08-03 20:46:53.253747	147		0
11553	105cvcp98x5ehxim0smp33heef	$2a$07$RBVlIbzEbdA5Stz0bS9oC.d0hiv0TTOvQtE9mDF6DLuLF2v84QcUi	45	2013-08-03 20:46:39.0461	2013-08-03 20:46:53.41108	147		0
11554	10jfrr8nc1r5gsxsu9er48ab5z	$2a$07$ASUpLiGbUv/S10ST/P8tc.1avbzOt5asxYkqia2qqpMLrwMq4IWay	46	2013-08-03 20:46:39.067247	2013-08-03 20:46:53.570154	147		0
11555	101362wek1z5qw5moc9wrbounr	$2a$07$oQ8xtsYqpmKPT4.L8tUXFOjtmu6MT4MasHd0FwgE8MIzNAIc7DrwG	47	2013-08-03 20:46:39.089002	2013-08-03 20:46:53.726739	147		0
11556	10vjwupcl70q1o7woi359giihd	$2a$07$RFAzxlnu91xv6dSXN.9DQOqu/Op335FQHtsQelH8px0XtTH1Mg8xi	48	2013-08-03 20:46:39.112847	2013-08-03 20:46:53.953244	147		0
11557	105i12hlibdf14si33hnn250mx	$2a$07$83LQ35qAd7zZpxvvzOXE6ugpCmZ/VQ06kn2beeibRICFeEQfefvnO	49	2013-08-03 20:46:39.144	2013-08-03 20:46:54.088329	147		0
11558	1087xyc6evs57wt4cr8c5hfdqd	$2a$07$WJLFPc7Nlfze33JVeMtkjuKURwkfDJGfOIZhPHJ1qVLP2kyFtMDQi	50	2013-08-03 20:46:39.177303	2013-08-03 20:46:54.240397	147		0
11559	1067vtzoql6t98sau4cy2mwnpq	$2a$07$susfRofwhxeLc6WU86qOf.tq/s33kMhKMh/AX3nAEXqWyfU.kRJZa	51	2013-08-03 20:46:39.199463	2013-08-03 20:46:54.38896	147		0
11560	106oe98cu3qsaq1n9hf5ux1nc1	$2a$07$1qoDzZ6Zl9lCeXvMahbRq.ut1Z1TDE1IEzRVg/ZxHWRyFIzqTVDLy	52	2013-08-03 20:46:39.222082	2013-08-03 20:46:54.590165	147		0
11561	10yywk2qdxxfdm10lqhmth4v2g	$2a$07$XSbL.vE9ScwflniCht9jaeUOIdKZpoBs7vs5OTY7dc4fYCWJ0Gvh.	53	2013-08-03 20:46:39.245971	2013-08-03 20:46:54.787354	147		0
11562	10j3vv0ffs8mia9aly8kq5kvao	$2a$07$LGWH/UPX.FgpYgpuxrLpY.HSFdzA4Kq6nq7OqGecc4r4alaCE6M.S	54	2013-08-03 20:46:39.269553	2013-08-03 20:46:55.057885	147		0
11563	10b6bswv07bttbvqmghw9qfjni	$2a$07$wsUQfXjuD/JDfG4qFaC/mufgqEBTsuvzPjFmOcwuj2UHwBOe0Bbj.	55	2013-08-03 20:46:39.308906	2013-08-03 20:46:55.195715	147		0
11564	10uomng706jkr91oay4tsr2ksh	$2a$07$fzymap26u3tD/yWGZw/9B.O34tuT6xk3X74njZEP/CNsR2uDR2efa	56	2013-08-03 20:46:39.333427	2013-08-03 20:46:55.327075	147		0
11565	10kgejd4gxuw0necedpnhx73sx	$2a$07$spF2q9DxdCmZTfIgUb4PpOczyKG09ERxLJbgivxipdy9HXh04Xn.K	57	2013-08-03 20:46:39.369026	2013-08-03 20:46:55.460834	147		0
11566	101s7sb3qfxqs3v0j5qsytxko4	$2a$07$M7dMP5kFSURBktMD6qWD..bbnVc35MwAeMhpkbgclXAvjgDedY75i	58	2013-08-03 20:46:39.390896	2013-08-03 20:46:55.580107	147		0
11567	1093jl01jt8edquredudlkrb7b	$2a$07$EgXXoCfM04xepj5H283aOueE0yPIi.kGlrZU9uryHMBA8jEZZkyXO	59	2013-08-03 20:46:39.413952	2013-08-03 20:46:55.724306	147		0
11568	104j04bh4bujeikx2xtlkzqiwf	$2a$07$hkYOGKNruxC.qVG6DxBZ/e95/4shW6.Dei0c3zOiXPyg56S4NNwxG	60	2013-08-03 20:46:39.435813	2013-08-03 20:46:55.858298	147		0
11569	10rwoj74ssfaeuh5jr7vazploi	$2a$07$jWdMVHa7ocjrkPhuokZ6L.ofFWiEKVO91Al12l570Hx.1LPGJ6Qcq	61	2013-08-03 20:46:39.457839	2013-08-03 20:46:58.697101	147		0
11570	10qbo5k31mto5xjj9m2s7pbadq	$2a$07$sTDYlMVZbOR0DUpL8IRe0.Mbvhtc2LZfAfMuyrSXR.UqTOrETRd/C	62	2013-08-03 20:46:39.479549	2013-08-03 20:47:01.901302	147		0
11571	10s02ymxop1pj02yrp5juy8uts	$2a$07$DSCKAy1lh6WiPVeuDRMLDO8p/svy.p1aoAi504dZIgGihGCT8d0qO	63	2013-08-03 20:46:39.500702	2013-08-03 20:47:04.996178	147		0
11572	1028j01322iyoxt7vehbtboi8q	$2a$07$lmZ1T0e8ySJUWescrLPQEeR5ezsHuyE5EMnBESld6CzIqWAEV7JH2	64	2013-08-03 20:46:39.521776	2013-08-03 20:47:05.234371	147		0
11573	10bqx6k5lhvqcukyuj421uunk5	$2a$07$7AhAmYZ3K74j.niSrt37seGLSb4Z8QbMrfkY./sPb.xdYvkX64UlG	65	2013-08-03 20:46:39.544366	2013-08-03 20:47:05.389603	147		0
11574	10vt80o96o9bfuos7dh983kklq	$2a$07$tJ02D0aA0j1lf1ka10IX5uYJEoKaJyrOBVV0pjIm.9pndcfmDPPmK	66	2013-08-03 20:46:39.566856	2013-08-03 20:47:06.956291	147		0
11575	1094vm610fbjtwj84rsqosp7g4	$2a$07$KCZT6LNaPuCZgH1v7wMo5OP6TNzVA/1nHRH1O2bAeAQwZ/PMSnVXO	67	2013-08-03 20:46:39.588349	2013-08-03 20:47:07.068445	147		0
11576	10g4kyexlq0uqqd49rpb42w4zb	$2a$07$GY1ESAtW4hU6yuAOXjyYg.ELKe2bs/YSt.MCActIlOvxjjioMM7N6	68	2013-08-03 20:46:39.61008	2013-08-03 20:47:07.208817	147		0
11577	10vc3te9i5091y4f4h3dj9yjcq	$2a$07$x93.sq6TQNj5v1lt1sTnoe9TMR8gU6k.BSG0BVX5PIv7oAmh9d2n2	69	2013-08-03 20:46:39.632115	2013-08-03 20:47:07.347217	147		0
11578	10lfp45fpzj8158n57xzykswkm	$2a$07$hab8r8NV8OjA5vErdzmWQ.G47Y214Fj4vevqaCCfs.uQy.Z5rO0ui	70	2013-08-03 20:46:39.653477	2013-08-03 20:47:07.48406	147		0
11579	105aeri4lkx6rwdm9he00wgrnk	$2a$07$njSEvWwo00RaPa1.wK8S0es07VnuZmPK7SKKh9hFaeLBJndFEsrqu	71	2013-08-03 20:46:39.674861	2013-08-03 20:47:07.627588	147		0
11580	100ug0mb5a88o4f5kg0pt9culp	$2a$07$tE5PaF6WExekuFQTtgeUl.gtT.I/opXMLLuSstAgzKOxcFe.YQFuy	72	2013-08-03 20:46:39.696505	2013-08-03 20:47:07.764463	147		0
11581	10m29jfj72jykn030hhbhhvl2o	$2a$07$vYCoQPKEFTY1F6Dl6EfrX.ByBtToVeC.ksp2wUSTTyKzVWQjk7DFi	73	2013-08-03 20:46:39.718188	2013-08-03 20:47:08.071953	147		0
11582	106ip7paei7y2lpzjcq63b2bvp	$2a$07$ZYpV6uOrePtywMtTY7a9M.yJ0DWRx9ilhB7pC23sdMYb39EwBdxPi	74	2013-08-03 20:46:39.739841	2013-08-03 20:47:08.202413	147		0
11583	10tllfzq4wc7zlicmrxp49ydn2	$2a$07$caXf.1bQza.DZtYHHQ8xnuQuDnfG5S.4I0UmSEiafq/Fv7Tu20dd6	75	2013-08-03 20:46:39.761345	2013-08-03 20:47:08.32363	147		0
11584	107wu2rt9zehvvg38k8cheayp1	$2a$07$6K0k.T0INugx71d/WC9.juUFOoOUHqs1WMZBqG5e3XS6AmYWOFUKO	76	2013-08-03 20:46:39.783129	2013-08-03 20:47:08.529904	147		0
11585	10z9wde2mcnh4gsrxalnsn5uax	$2a$07$nt0AiDZUtNXJ7nQiY3UTR.vcM441uyS4QjsmsneWRP/NMNtgSfHN6	77	2013-08-03 20:46:39.804746	2013-08-03 20:47:08.675886	147		0
11586	105w767g40ez8cvgejdslatwrw	$2a$07$hcyXMM680WgRQhUITVtMpuyEer.twahRLwMhnrBVrS26oQk5RdspO	78	2013-08-03 20:46:39.835102	2013-08-03 20:47:08.87943	147		0
11587	10npf8jg4a98q84bepguffcj6e	$2a$07$GrI7CFuIwXdMx4TCW3NUaejRT4jU17rCZRe.VDBcvzOEmiCeOqxOG	79	2013-08-03 20:46:39.857074	2013-08-03 20:47:09.123508	147		0
11588	105gd00gtdsr09rve07g829a1a	$2a$07$ouLgYJQnKEur12XqgLPI8.oOmhg3Jr8nxgVKmBie8TFMUvQ25bGsy	80	2013-08-03 20:46:39.880294	2013-08-03 20:47:09.273017	147		0
11589	10vzzzqmf4eynwgftwqykw7xfm	$2a$07$TRxOm6M//6jXk.KM23imEu.olbUgcWXF8aPrtGgFbzYQwLv4uaGry	81	2013-08-03 20:46:39.902232	2013-08-03 20:47:09.586971	147		0
11590	105nvs1mrrutfp2h0dmdryykoc	$2a$07$BFoo2hpFzN4MxH6IdtVIyuUcWW/yYFZJ/igzVfF2XZULe0JiGGaxi	82	2013-08-03 20:46:39.924927	2013-08-03 20:47:09.712674	147		0
11591	10sbslvq2y09fdft3o5licsydz	$2a$07$f0T2CfYXtrIdLOSEEESDFuXnAbci1vPcZmuCQjzT1jd57zUqFBh4q	83	2013-08-03 20:46:40.001982	2013-08-03 20:47:09.980248	147		0
11592	10lf0uqr1o9uqs0ovmjwnrly9j	$2a$07$SHFgXVbGC6M1dlUHNH4dKuqQClN4bmg0mLvlGicqCMQHFBhDPZd6G	84	2013-08-03 20:46:40.032997	2013-08-03 20:47:12.75875	147		0
11593	10o4obhvnz8fcifgfn4ef09386	$2a$07$NppXVruV0CgaWBpv6gd.F.avcl/pqgZApfVxt1OAQys6XvjZJX4Y6	85	2013-08-03 20:46:40.057659	2013-08-03 20:47:13.125976	147		0
11594	10wjxjw82yqcl7gnrdi59ei6ym	$2a$07$ftkF3MoQTEWtsntzOh4a/uiqd1O8cAXzZ/R2hXSFhyXD91g2luHJm	86	2013-08-03 20:46:40.084941	2013-08-03 20:47:13.476008	147		0
11595	102a6y5nujhitzv00ggajhk5c8	$2a$07$gU6DrSY6G0QGh0brasp4ceAllWJIKbEPrOt65nTL8ohKV6/d2TO16	87	2013-08-03 20:46:40.125052	2013-08-03 20:47:13.629016	147		0
11596	10kx9q0ykhud3qbbytqadfzkak	$2a$07$4hE4s0zvZOQZ8QM9Ifj1UeDBRCcIkzvD8qY54RqjoiS0TplqxXI6S	88	2013-08-03 20:46:40.149348	2013-08-03 20:47:13.786471	147		0
11597	10po9szow6ldpcxyrnu5uav6gz	$2a$07$Dc2Cb8VjJ7GP/4LtYBPvLuRbTWPdHNqw1yriuKSLq/U1JHNRaG7G2	89	2013-08-03 20:46:40.172314	2013-08-03 20:47:15.86283	147		0
11598	10jhgmkz889mpv56m41x6tjog2	$2a$07$IG0xRQOB1RyoiowukEbAh.aKdiMvfmwTMNCgzETlK0b6e6s3UMSDK	90	2013-08-03 20:46:40.193853	2013-08-03 20:47:18.062864	147		0
11599	10681lr2yhtvifqpq3kwi44xb8	$2a$07$0REOWEu05Bqu7eumaxSkgeTjg1WT.METB6mUVhhY9cmUfqU/RCmtK	91	2013-08-03 20:46:40.215755	2013-08-03 20:47:18.200917	147		0
11600	10un5ltrsw0yekv177zs72ojtu	$2a$07$6M6g6BE6no/vvJPuNMT77uxSnBOGF0xrj2zLamHXyvR.3SQZbo8Tq	92	2013-08-03 20:46:40.237791	2013-08-03 20:47:18.333905	147		0
11601	10hcedpx815cn17bbk6om1eh0l	$2a$07$2u0OfRCu68VbD2/n.jZE.Olt8kXK/A6eDIByFE0/tI/UkdL8gPe9i	93	2013-08-03 20:46:40.260139	2013-08-03 20:47:18.474143	147		0
11602	10nvqrklwbr9l9bz32d7o8eobd	$2a$07$c0llcQYAvhwPZTqRLua0cO0OAwCaL/g20UYLpZTohfv/JbdVOMKeW	94	2013-08-03 20:46:40.281763	2013-08-03 20:47:18.59741	147		0
11603	10qkh6arglvcu08t559v2tug8v	$2a$07$13no65jIK9HNnsxErvUDM.SDwc.f2kl9p9ELUpS5ExtCb566GhDFy	95	2013-08-03 20:46:40.303406	2013-08-03 20:47:18.74273	147		0
11604	10mcgxuoeopgmklezuscjv9kyk	$2a$07$K3GNL9CAESN5uuv.4ktJFuphavdZz0S6z9w62ib8Bx8Fa1WkjpQk2	96	2013-08-03 20:46:40.324948	2013-08-03 20:47:18.88269	147		0
11605	1061gltuv0d20e6u2bg2p9i6wu	$2a$07$/ml86JaU8wMdYIQoZXmZ0uxy646S73w5Q7ICciZR1ODQXu7blG2Ui	97	2013-08-03 20:46:40.346596	2013-08-03 20:47:19.01968	147		0
11606	10ilmq91az8tly0b45u34jx8jd	$2a$07$sZCONfMBKbpcU412WWSLu.f2G5F7VL/moNnTuJsgjXnFDR.VA/Jky	98	2013-08-03 20:46:40.368467	2013-08-03 20:47:19.149871	147		0
11607	102itiis3n169z3shncml875dy	$2a$07$A9cAYtl70I8Go/6icx5ove/deLn9wIv8neOoH25F2.1IWg6HCk9o.	99	2013-08-03 20:46:40.389821	2013-08-03 20:47:19.281891	147		0
11608	109e2ee5300a35zfjrkp9ckhoh	$2a$07$wDbJJ37pdvvdMSTyxNru8uVWGgI9vCn/j2OsM0x5o/cFoyMla.CL2	100	2013-08-03 20:46:40.411993	2013-08-03 20:47:19.425056	147		0
11609	10i4kn414oj5o20gjy60xostci	$2a$07$eKQ754QF/YZmLsxMEriO0./.Y9fGpGE7KlmQiIrbwTjTPA9JOVEYm	101	2013-08-03 20:46:40.43642	2013-08-03 20:47:19.556393	147		0
11610	10ahdfkv5z8b9xhgv43ngr8plx	$2a$07$oNGUmmSjuLlGQkvWN1lEV.s4NprHcIg.vi1VTBhoVTrQ4Ysq1Exei	102	2013-08-03 20:46:40.460266	2013-08-03 20:47:19.698311	147		0
11611	10ivtleu75baq6l5722ylv5d3n	$2a$07$5HK/5X4LZ.wLZk/GZN4jlOygkqDyr9K8vIUg4V8TDeSZYWomlqTq.	103	2013-08-03 20:46:40.484286	2013-08-03 20:47:19.959561	147		0
11612	10jny3h4bqf1ggjep63ks158pf	$2a$07$IRPVtfsYeNQSVsMdSnylsuV53/.tgvdXJvWn3kG1K5jXqmRk0dJey	104	2013-08-03 20:46:40.507289	2013-08-03 20:47:20.31836	147		0
11613	101cwx18sdwcigkoel42b8qj4r	$2a$07$9Rg9v2nHijAAuaSY/zF0/uviku.gSkNT.qTSpvX4X1sItK20K7o7i	105	2013-08-03 20:46:40.535473	2013-08-03 20:47:20.46974	147		0
11614	1026ucbeij9w29n9n0ojjz6kha	$2a$07$dXdO5bM5YtAvoMT3Yl.hBugtlZ6AsjKsXzG2jwRpzSGoWnQZ3R1iK	106	2013-08-03 20:46:40.55896	2013-08-03 20:47:20.61747	147		0
11615	10ooimxtnl3n0q1mjay6069ws8	$2a$07$grMikdMpO9Wzwa3f3CkxmeXwOoiNIj6W23u6u6cfFBfjBnmYAkDeC	107	2013-08-03 20:46:40.590409	2013-08-03 20:47:20.727158	147		0
11616	10m2hdwh9u683mcagmnwl72iyp	$2a$07$hWNbxf47OM398WdX.mNLleCyi6cSb9IIy69et2S/nI1R3rh4QPSmS	108	2013-08-03 20:46:40.61536	2013-08-03 20:47:20.868731	147		0
11617	10ixyqx6p8o3d61xea8360faaw	$2a$07$o.SxG1VMyFxZKRmy9YMzNuCahBqWIlUridKaozHshGTrOCeTHTUki	109	2013-08-03 20:46:40.648201	2013-08-03 20:47:21.005122	147		0
11618	10ulgz6xd77ryj164wi6qig5xr	$2a$07$5EQxq5/iz4eMdyE3C0iZ3uFdMFnAmVhEhYzprmToKXx4I0NT9nj.O	110	2013-08-03 20:46:40.671841	2013-08-03 20:47:21.146867	147		0
11619	10t4hfxmx9igglb73p9rtqd5qp	$2a$07$vQCbFSvaAXjuchcS8lGZwO722tEu5OfnyeRXpAMXKVAAoUv1F1xRS	111	2013-08-03 20:46:40.695239	2013-08-03 20:47:21.287505	147		0
11620	100253ym9u08xle3hc88900qbx	$2a$07$GGlubwGpUqHpAUOdwIw/lOEDG.gygTzpR7BJCBWtGIuGLrH6k2xX.	112	2013-08-03 20:46:40.720184	2013-08-03 20:47:21.411063	147		0
11621	10vy28de8qh6j10qnm68gzltln	$2a$07$gLgyc.ImhqpxjUM3fdM1aOkL2tHusHIqKwvpCtOxN7F5SeiROJd5q	113	2013-08-03 20:46:40.749903	2013-08-03 20:47:21.608632	147		0
11622	10086wzpkie3ebkevud9mnaan9	$2a$07$Rwlw8Em1F1T.xMd00cGJZ.l.QHxYV.AeSojKZEGfAR.KUzevdcWmW	114	2013-08-03 20:46:40.773122	2013-08-03 20:47:21.817563	147		0
11623	10zyhj6zv4q84nnk4xnpgomsbl	$2a$07$D1o5KPUXiAlWqZbxNdIVROK/wHS1q3nNrqMa29ty5nF2lYZxLc85K	115	2013-08-03 20:46:40.794711	2013-08-03 20:47:22.06168	147		0
11624	10vvv03ll32fdlfxsyrwn3li29	$2a$07$AZsU5d8NyEs/Ld937SM5/.0fP2Jx/qnFqz3DZmUawt7.dtOVcOkJq	116	2013-08-03 20:46:40.816754	2013-08-03 20:47:22.188767	147		0
11625	10jz8d22f5renlt1c3qgxlsk1h	$2a$07$92KDso8kQmy4O1Zl1Zj5iuyWn9jj3lckrtIFr1sUCPZx454hut1ja	117	2013-08-03 20:46:40.838359	2013-08-03 20:47:22.332789	147		0
11626	10gelecj1zi3nob254ldqoaar0	$2a$07$uOtInW/EtBbAHbXlMyGMsugKQbBPUpEMSYFLCdav1mY50PdxbbSTW	118	2013-08-03 20:46:40.86132	2013-08-03 20:47:22.45841	147		0
11627	10wbv0v7qqy5woveamd4ntktgx	$2a$07$8ypokGAveYcffAiSbnccG.cja5Q6meGYd.uuLEQDY9m2CgwSFpbW2	119	2013-08-03 20:46:40.884151	2013-08-03 20:47:22.572851	147		0
11628	1066kav6aaqgurgtdjk8oyq8eo	$2a$07$2Ua35W1dUSAFDHrLTxEeP.wNZ.aVbETs5Mp065sU3ZjHEQ1rAz3K.	120	2013-08-03 20:46:40.907518	2013-08-03 20:47:22.733028	147		0
11629	10m1loqob2gdb9j7qlmtp17snx	$2a$07$Xsx8PfM1dshxjzPxnEK1HeqRotJqy2THTjsut7T.oqrrfZLCaLDe6	121	2013-08-03 20:46:40.930487	2013-08-03 20:47:23.040322	147		0
11630	10bl9oyiq58nhbjabycbckfpar	$2a$07$B3JQW3E7vqyRNb5rWEipXeXmQFOeY4xcRgFy7a8CwdC.TQGqmghiK	122	2013-08-03 20:46:40.951926	2013-08-03 20:47:23.329596	147		0
11631	107s2hgrnmd5kbxah8fk7bl5my	$2a$07$IFPqfbGtzzesvFxkc5pCVu2sYk9Bl7VVDG0RzEUiGKqVnZUERCLJy	123	2013-08-03 20:46:40.974078	2013-08-03 20:47:26.094429	147		0
11632	108sy0g9wf157jmingwej7mudl	$2a$07$c5uRaPBiJl1UAjr5IAlDReRo8WixrHv8lc1/hvfk.yfgxGWpXzRU2	124	2013-08-03 20:46:40.995428	2013-08-03 20:47:29.306906	147		0
11633	10oefrkus08j8q09ir2vynnwv9	$2a$07$KOotqA6xvBRCOkpZjkqG3.KIsrKbIs15zbBYo8v4qH7bzU5wwUtyS	125	2013-08-03 20:46:41.018245	2013-08-03 20:47:29.446717	147		0
11634	10vgwd3l1onpf7ag4e1ngblrfx	$2a$07$4fBZ/IL.BFmPkLAdzMQsf.5zlRbjsizVN6yRr.x7/SlMGw5ixIDgu	126	2013-08-03 20:46:41.041851	2013-08-03 20:47:29.597966	147		0
13549	10qhlignsg4ghbdbmf4x7qmutz	$2a$07$HjItAU/J8aneSD5MBnAS5eT5N4Z7tY865DCIEbvBkL/83RL5iwLnK	25	2013-08-03 22:03:35.607478	2013-08-03 22:03:43.750824	163		0
13550	10v8aw838yylmsbmyektra0dpz	$2a$07$fNI25V9VadhiHbJ2FB5mPObtyn2CoWXet74GY.s1uDL3Z.VMlXBi.	26	2013-08-03 22:03:35.632517	2013-08-03 22:03:43.871374	163		0
13551	10d5or0d0l9lgjtm3ziymscwnx	$2a$07$4/xsuTy3wup3zcFNyErjNOFGz5zLr24ge9IFySnA9a5aM2q3gzd9S	27	2013-08-03 22:03:35.658842	2013-08-03 22:03:44.047559	163		0
13552	10bm75swur9bg5to4pyykckvs7	$2a$07$YNDLir5o/m7B5EFHEsMYo.ECKJdqPrfIPOLoRtFEC4drx4KMdC/au	28	2013-08-03 22:03:35.685751	2013-08-03 22:03:44.504907	163		0
13553	10gvbdx83o9cjpe0pf770ty2ax	$2a$07$PU90IEd2F.jTwskmSGJ.3ucC1jvsN0uwpAOb1Cjep4ZEAbbH/QVu6	29	2013-08-03 22:03:35.711159	2013-08-03 22:03:44.869073	163		0
13554	100fmm17v6htrqgzulqspb1hay	$2a$07$h3uFwm7c5Yl8ugIGjZ4zpuoWU0mdpgpbg5tKHtAc/aetOJu8nzAbm	30	2013-08-03 22:03:35.737468	2013-08-03 22:03:45.253231	163		0
13555	1039asfzvcv46xr5q1oddnc9mj	$2a$07$uBDARvYaJEcyb4zGraY8a.EUyWdCG2LhLbVU4Tk4svZwG/6muaFUe	31	2013-08-03 22:03:35.763131	2013-08-03 22:03:45.375342	163		0
13556	106skj9i4tndl4tytpfmdivv56	$2a$07$KfijcVa4j5v786BRbF.Koup34CFG4i.TGhLl8xjVCE2.R3DPDPAzy	32	2013-08-03 22:03:35.787449	2013-08-03 22:03:45.490834	163		0
13557	10iw5binkadovgqd8tsvavvmwp	$2a$07$E9U1EnvcRd1Z.haXWKbkSOf0W9zTiZsa56x3SfauFmdAilB.WKsUu	33	2013-08-03 22:03:35.82006	2013-08-03 22:03:45.589913	163		0
13558	10tgq63k73hmud5lloat73b6rm	$2a$07$ivEiEk/KWewWV2d4ew6E9ObTHtkn7D7XzgsdXaoG7yOkWCr/5AH3m	34	2013-08-03 22:03:35.843763	2013-08-03 22:03:45.712369	163		0
13559	10aog3idabck8zp2iesifuzwyx	$2a$07$nAjrGujZAph.RWnt6xeISu9lfEFca2CFDTT1PR54hldterWieMd8K	35	2013-08-03 22:03:35.869506	2013-08-03 22:03:45.990615	163		0
13560	10ejp7ufg4lyxr3wonrmumqy7v	$2a$07$uFHoN4Jt6iYYUtOTmx2WO.yEcGdszkvg5irVCIZoxZ5j93bGoDa42	36	2013-08-03 22:03:35.894287	2013-08-03 22:03:46.265019	163		0
13561	10h8allpuzppndcncm8nnpi9ax	$2a$07$h9iTprSJsDyr6seRQW4PRuZD16eJEnROcxhlUn04K44fSk4SYWCH2	37	2013-08-03 22:03:35.926868	2013-08-03 22:03:46.422563	163		0
13562	10tg60320yp5fhha2oyyq6zoh1	$2a$07$zt/6Hee9XOV9bhEmk/iMM.fSDj7eBBDDa3vcbwTIvfhzkmlUX3I7.	38	2013-08-03 22:03:35.959645	2013-08-03 22:03:46.569438	163		0
13563	10wur32m2nr65tipb85q8apqed	$2a$07$rbMYR0pXrWBdisp0JMyQr.3i11G3kxUp4TVSmrQ9UkDeoo04F3iEy	39	2013-08-03 22:03:35.997302	2013-08-03 22:03:46.701322	163		0
13564	10k9p3nityv1rgl24ub83eneqm	$2a$07$p6F2VdoSN2kTfiDW7xl2QeqtQrTEB0b50T6EbUvuviPe5rgHTp95a	40	2013-08-03 22:03:36.021325	2013-08-03 22:03:46.838837	163		0
13565	101eta9z12o2wjc7gpxq7pwouc	$2a$07$P/hjAQDUmZwhuf0XGpjWnesAQxiDAMuoW7SAlh0Y98FqmOx4y5v3i	41	2013-08-03 22:03:36.045024	2013-08-03 22:03:46.972311	163		0
13566	10pksbhxsqvyf189zq4eim93ng	$2a$07$I/aJ/2WXPZl5TyN3FS1xfeSHzQiy/GSUOLiR4bZDjX8ZZYEAquQdG	42	2013-08-03 22:03:36.069504	2013-08-03 22:03:47.083527	163		0
13567	10mq3cnmw026hlurmdoq0zgr2z	$2a$07$d6UO6/WqHCobujlFsBOMC.8SPuO91ntPCFA6Tea6AeYNb6sWkKZeG	43	2013-08-03 22:03:36.105595	2013-08-03 22:03:47.221723	163		0
13568	101ly1yynxcu25kajc0w3ugz88	$2a$07$LgUJO.9CVj2K4mkMTp6.F.H4cUHvITzuP94Ll7VEAv.ZvIQxhj9vW	44	2013-08-03 22:03:36.134062	2013-08-03 22:03:47.347743	163		0
13569	1083ha7yv3eqso4wubjv2g4qrl	$2a$07$1S4BlLl1j4t4/X2rL7ou6OiEFi3p.wt14VY0ByKIVCUb2RSHcwifO	45	2013-08-03 22:03:36.157023	2013-08-03 22:03:47.487125	163		0
13570	10qdg63trthlwykn3hvneot85c	$2a$07$VQ0f/2bXDhnUpEW31A.bqOdLsV7JroZicIO19e2VKbgzYWfO15FqC	46	2013-08-03 22:03:36.180941	2013-08-03 22:03:47.628009	163		0
13571	100o1g4dtr622gp4rat235gd2t	$2a$07$LgJgZtmQr4W5LMgIckyI6OH9bSupKv3kcRMO87XW8FAknHIeCfrpK	47	2013-08-03 22:03:36.20476	2013-08-03 22:03:47.766471	163		0
13572	10mpr5ks4to3zbymagoag7ivpe	$2a$07$hHXj3.6ivygMXhk2Twoa.OSWbSVF59mVkh2A9RoF0PgGu6jrmXtNC	48	2013-08-03 22:03:36.228648	2013-08-03 22:03:47.902012	163		0
13573	10xvq1hgsz8azemv2u2nrw14ev	$2a$07$XgsJx/dNlbeMTA3IM55tD.fOFfO/u7yNamQOPjjwI4dyt6Tf78YCm	49	2013-08-03 22:03:36.253363	2013-08-03 22:03:48.047433	163		0
13574	10xavyljkj96d7ozxpqfg72d10	$2a$07$tp22cOpe1CeFi6mT41IMHeMDW31E5zt28AqSqKiJBLPB0qHn7dRVi	50	2013-08-03 22:03:36.279311	2013-08-03 22:03:48.197626	163		0
13575	10o9j54erc3peefk472g89ovje	$2a$07$Hg8GlgyIS6peanuI0J7DiOahdCLdQnh31SmuRcff/W7TDB0W4Yf8q	51	2013-08-03 22:03:36.302805	2013-08-03 22:03:48.326737	163		0
13576	10vbjgvj8ytt73awq11c39lcvk	$2a$07$IH4.n.DneR8drz2LcqJ46OvUjByxpX2hFggU10RAIh2WjnEYEkjOS	52	2013-08-03 22:03:36.326842	2013-08-03 22:03:48.558174	163		0
13577	10mtaf1pm5qp5baj7lbb4cpace	$2a$07$9ex2h3R42ImZNGQKf9V9fOUGNQMIZ0q4G8e4IwUHcC91k3H5NMeoS	53	2013-08-03 22:03:36.3505	2013-08-03 22:03:48.704495	163		0
13578	10cy2b3pgig1o8o3ffvkgqqo90	$2a$07$cE/VyO/8/KAW/vovazGNEuZ4B38gZLMRyo1e65PxCHrU0KXOa1TSe	54	2013-08-03 22:03:36.373138	2013-08-03 22:03:48.83748	163		0
13579	10texrzx9cml9a5xiochq9z5pd	$2a$07$3jRqc616MEM6HkNUWKo1Gu.plJT/IBQqQbtxfOdJRe8u4OcmD.Pzu	55	2013-08-03 22:03:36.397199	2013-08-03 22:03:48.978029	163		0
13580	10fvdiogq4xqvigrzl1e2g34bd	$2a$07$8s78okdEbDd.mTuOnbXuWumMoxfQKg5Kin8mmZObUjo3FZhqM/lXC	56	2013-08-03 22:03:36.420442	2013-08-03 22:03:49.113081	163		0
13581	10jshgwcdhbobok4akwkw08q4i	$2a$07$0mjFKWpAh2hddFN8kXGpNuLzVupUZA3EbQsEEDiWavsr0x5/iYp56	57	2013-08-03 22:03:36.443845	2013-08-03 22:03:49.253758	163		0
13582	108a6hn7jqbm2ng7d83t9z8bzq	$2a$07$h5AfGw5LfWX/YPJarvHvGOlfgR5Is5Q0RLHMyC6FDjQyKWKPP3nRe	58	2013-08-03 22:03:36.467221	2013-08-03 22:03:49.411879	163		0
13583	10d294mcdbkws0xl5xsbic95x4	$2a$07$b7H4HTyePQTIotsmUuwUE.gIow5QpMZ8MRKYOWbuC38JgwcOEJfYW	59	2013-08-03 22:03:36.490214	2013-08-03 22:03:49.570988	163		0
13584	10c7m53arhd80dmfthabveth5y	$2a$07$Pdw4Hlya8JRZG14l.kLrlu7RCZyJaPq2cphVH9MYAJFOVS6DIL8LC	60	2013-08-03 22:03:36.514158	2013-08-03 22:03:49.746737	163		0
9997	10c3ut815t8fyhbsbu6wwntmt3	$2a$07$gsrRzr6r92FFcdgRZvFfeOHXUBPEQvVqSuLQA/w.xWyga0OhvwCf2	1	2013-08-03 19:46:32.120833	2013-08-03 19:46:35.452237	135		0
9998	105411tcnnpf0im3l9dvq69tg9	$2a$07$Vy9uIVwLsSIkX1YHIj5TlezJkjfM6pjDHBcyRlZFee6vkseMoksxm	2	2013-08-03 19:46:32.147171	2013-08-03 19:46:35.766663	135		0
9999	107sqp7nl2obn91cri27qf9cgp	$2a$07$xrDYs60s2Sfs/gkwv/DazerOLN57xGRg9y.47RUwmAJLev/PX84pe	3	2013-08-03 19:46:32.180489	2013-08-03 19:46:36.105238	135		0
10000	103bsqlarl26wvoy9h32uputcr	$2a$07$S6Lhc.NcVtm3VEgGiBdWLum6WdD9VBYGhZEbCHeK8/MWVvL/0y0/O	4	2013-08-03 19:46:32.204252	2013-08-03 19:46:36.255044	135		0
10001	101tm0vvdc8axm53c2glmq10f4	$2a$07$Fm5iE/0c14eVQsS9ZhbnsuoOjgA/KXQwHaa0tM/ey4Ha7iP8sKuJq	5	2013-08-03 19:46:32.226547	2013-08-03 19:46:36.404234	135		0
10002	105q4bqpd0suqtzhg3vjdfo0br	$2a$07$77jc/vYeQCdnMeE37JK2sez9KaY2OoD9GQ6SZitLpFr84tHLjubFK	6	2013-08-03 19:46:32.248992	2013-08-03 19:46:36.564122	135		0
10003	10e0snhh1nok7f7cjb0i23vim3	$2a$07$fV9NzIrTU97ZCWq8lVThceuoAqv6p4fEfPqSh6i0h.BciwNFkNAaq	7	2013-08-03 19:46:32.272144	2013-08-03 19:46:38.70679	135		0
10004	109uxa8b5dw5x02tl9zm5nd2hd	$2a$07$QOsQOywFkexLBlxlMos6juep0pZdt3afXCQ3X8snQb1eqtp3r1h8m	8	2013-08-03 19:46:32.293608	2013-08-03 19:46:40.986628	135		0
10005	107w9cy82q3ogsc3n79ajzzw1s	$2a$07$Dkvz.fzYYrbQCtfFd3jNvuhwfaSne5LO6ozJO.s2Y2Ou4CA9CKSn.	9	2013-08-03 19:46:32.315462	2013-08-03 19:46:42.98655	135		0
10006	10jzrdsslft67ngd6bke07kaft	$2a$07$Bs4cWQN1382x6MJrPe2A3eYEL7PGq7oheSNgWTnbDrHNjdqIsQ4H6	10	2013-08-03 19:46:32.338794	2013-08-03 19:46:43.1251	135		0
10007	100cn8jx6so5shd8wlmdjatkpg	$2a$07$AwnlnxrM3A8WLda2qTVqTebIKgOh3G/0qhYfmQzYJVDl8RPOKvHYK	11	2013-08-03 19:46:32.362313	2013-08-03 19:46:43.267061	135		0
10008	10n8kzfwb5ozrhu8oxhykfoe4y	$2a$07$LGISBC4X09cKjpTA/MwRTOp54ZfRE8toqFsuJpDrD6fw9A26tkcPO	12	2013-08-03 19:46:32.386652	2013-08-03 19:46:43.394397	135		0
10009	10ibonfdzu4zboxsf6zvaziswx	$2a$07$p70AxNPinyohE9bwNdKbp.n50l16v38R5NF2HyTbpeAU6492p9MTi	13	2013-08-03 19:46:32.409319	2013-08-03 19:46:43.585935	135		0
10010	10vwgh5vvjxxxxdnzgv3pqgi20	$2a$07$f3VzvhsEtHI5LvmrxE74U.Jj2L6gZ5aq/LHlUNCA8/HBE/ExgMW8K	14	2013-08-03 19:46:32.430492	2013-08-03 19:46:43.737582	135		0
10011	102dc3n6dxysu0inqi6jl1jm0h	$2a$07$ZT4Pm1LuK3trCq4/vZTMVuTudJBkjoQxaZxQ6g5EBnFa7bW9gYnsi	15	2013-08-03 19:46:32.451896	2013-08-03 19:46:43.87053	135		0
10012	109sia8mk0vlruzgn2kr6kkjar	$2a$07$sTnnXD5yRb0zkVSJ/Tc89elzYy/UX2P8ZQkir/eo/Me.xdpb3TfzW	16	2013-08-03 19:46:32.473745	2013-08-03 19:46:44.014786	135		0
10013	10e2ox20t2bnj9rv5g0i5peer5	$2a$07$eBlYygiAUddg4NuCAV/Y9.O8OfwdDT5M/T3haVbS773U/BG/sjZQm	17	2013-08-03 19:46:32.49483	2013-08-03 19:46:44.158506	135		0
10014	10xq29v5mclnyjf040ezosyxup	$2a$07$CZWwUi7tKRVQKyc7CFR7oecsWeKU6H7pBb6.63BVURiNgy7g./EES	18	2013-08-03 19:46:32.517198	2013-08-03 19:46:44.297956	135		0
10015	10acg0hkoys90ualu8dim6fckb	$2a$07$W5OK4oFuU3SZUWLt24dH5uslJ2Sn1WCf8KWePuNEKi8Y7w9PGdj0C	19	2013-08-03 19:46:32.538246	2013-08-03 19:46:44.418515	135		0
10016	10ruqr4vop9154g05rjsk95kma	$2a$07$vOh6tcjGXqBw2rfD8LJ3jen0zX6GYnmOq/VHzyaXWuFmS4dZLu7x6	20	2013-08-03 19:46:32.559177	2013-08-03 19:46:44.523687	135		0
10017	103a2n2ko7qmqbzz8bku8bta7x	$2a$07$gvtGCOnp52bviIzYUUcT5uehbiY3gKbNvdZGZKANkAtpr//jGP6pG	21	2013-08-03 19:46:32.581429	2013-08-03 19:46:44.671054	135		0
10018	10650v2wp6vbab4j7um7ssxzpz	$2a$07$AttnN7IQ2VBL9xgotO6rS.9/hxHGFy6TSFozQE/cjujdiGyGCu.lC	22	2013-08-03 19:46:32.602601	2013-08-03 19:46:44.83456	135		0
10019	10ia7mk5c1kt8svpexkctbmt4s	$2a$07$B2bquftDuIy0/l.G2N0giuRcTqT2zPnRIWI4sQwW9VYzg/T2QXqxK	23	2013-08-03 19:46:32.624187	2013-08-03 19:46:44.985329	135		0
10020	106rwe849ip2jhs0nj15gywzrf	$2a$07$R9naZfHaIhqtFle9Azl30ui47IA6JaMV1aYgrO4QCjGldc0fzspb6	24	2013-08-03 19:46:32.646393	2013-08-03 19:46:45.123197	135		0
10021	10bndrrb3l6diz59uyfugqvixu	$2a$07$WiygWpVlHOGZ1uIcXPNSruwLZKWEZDkm6lFCRl7wx27FTAAt.uQXe	25	2013-08-03 19:46:32.668512	2013-08-03 19:46:45.262474	135		0
10022	10hgvf5ktbu030hao3xr60ut8z	$2a$07$kfNvg88t.tn6Rrwb4duywOOsq20W0kxLKp6B0iYrovj2qFY/jiTg.	26	2013-08-03 19:46:32.689566	2013-08-03 19:46:45.404581	135		0
10023	10diuto2e6chbu8wkr18nb8ifi	$2a$07$kexM9/xlUO90xMT4M4CaWu/ECPKxOPL15QwIgVu1t6FvGaCx/b5WO	27	2013-08-03 19:46:32.711884	2013-08-03 19:46:45.514133	135		0
10024	103ccov4xj2s6ly1javru604vq	$2a$07$KnlYMXKpz15.EKL5NAZGUuEqbvB6BR8W6Z7hUlKwDCuKKaY1KEB0u	28	2013-08-03 19:46:32.732923	2013-08-03 19:46:45.794882	135		0
10025	10i3hiu2g3azbl68y5am21ssws	$2a$07$El4.EmruseKdi1lP.ofbBeigAMSqtB0Ul9fWrb4P1LPRQ2JhjYPEe	29	2013-08-03 19:46:32.753996	2013-08-03 19:46:45.957621	135		0
10026	10q2grmdf2r29lie4a37t0hepk	$2a$07$4B/mf6qiJT0tGR4R3Y2/QueLygMOUJ/UB0Ztsigp9Xhug4YEgZxQG	30	2013-08-03 19:46:32.776986	2013-08-03 19:46:46.108264	135		0
10027	10ayvw2h6x7f1by5wsamuiu7ze	$2a$07$Z5D7MZYIEz88qER8Gv1V7eXgj1oEd8yTJjeI3mrAWVySmm96jLzf6	31	2013-08-03 19:46:32.798284	2013-08-03 19:46:46.232138	135		0
10028	10s0kguf8s3rowe8cjtp110fd6	$2a$07$6es3efbkCNstQyq.oMWrheUnsS1ivVw5M89puR9.rl79bjIJHRqYC	32	2013-08-03 19:46:32.82073	2013-08-03 19:46:46.356168	135		0
10029	105limiitqw7fncqih3ibn373r	$2a$07$/kFF3CzfIlidEqWUzNiJQOAZJCAtZGCIYt6koe2bcO9yV18LTOQRK	33	2013-08-03 19:46:32.843937	2013-08-03 19:46:46.478676	135		0
10030	105c8yl2xzpx9cf63ohzc7m4ve	$2a$07$u/s3EO0v6IWU4bEgOGSFquSuPCWCo.RukgY9fw1RjS52sHzOascxW	34	2013-08-03 19:46:32.866776	2013-08-03 19:46:46.587288	135		0
10031	1014km0j4xtva5zsisvhkvsswt	$2a$07$FpKsyQxaFne5ELJ67OH6AOF65loUiStmod9NkF0R0uiLcNeITywQK	35	2013-08-03 19:46:32.888158	2013-08-03 19:46:46.688042	135		0
10032	10zgb4nd9hb0itfocmqd584t7j	$2a$07$TxXyn/brscr47eFuS9d99e6YCjFbDH6vo/0AfgaiddaYMdTcIYx6O	36	2013-08-03 19:46:32.911181	2013-08-03 19:46:46.792511	135		0
10033	10129mts0ghh3r0g771gp9h4xk	$2a$07$6NOfrs8mSf.WtzUa7xBnUeIah9..h/K69YhKJsXB/ofcOB8kgMA1i	37	2013-08-03 19:46:32.935127	2013-08-03 19:46:46.935853	135		0
10034	1009zntrm0hm16sxx6vh0gdz1j	$2a$07$DDL.j4N/kkwP6mVxpjR7Jei4tyPZQoHDikwOnbiYr2TDNtdFMPqrS	38	2013-08-03 19:46:32.959226	2013-08-03 19:46:47.052643	135		0
10035	10qz069vuy7viympnuitbnp28x	$2a$07$qUhKMM/gAq05qzeCo2yqkOkmm5TW0Fnh8PdCIHBtRqC0hZz0NNP8O	39	2013-08-03 19:46:32.981721	2013-08-03 19:46:47.180901	135		0
10036	108tqehnpumezbe8k33dlggzhm	$2a$07$TEoo9CayTJVZMz6WDaZomu5r3BfZr07wyW4cstOnLLhH4bmXV6ECy	40	2013-08-03 19:46:33.007158	2013-08-03 19:46:47.334993	135		0
10037	103c8kkf5lso3vn6tzdozi7ocz	$2a$07$LduztQcVBdlbE8Gg1CyYS.bbMS1bs4j68/Ij/Fedrl5/T3gYFUOva	41	2013-08-03 19:46:33.031126	2013-08-03 19:46:47.491563	135		0
10038	109cvraq9btb84xcwx06h8si6y	$2a$07$oQ1MJ3EgyiJjU7qfnNXn1.yQaO15x/f4sR4cJ99yJVTQJpig9dkHS	42	2013-08-03 19:46:33.0691	2013-08-03 19:46:47.618361	135		0
10039	10w1ppt8e4nmg2bsx2lr0c5enu	$2a$07$ZFbauA6cK3HK1dSXB/cBpOP/BVn8Y8W7FsO3.ilzE.xaCs5AjIxFu	43	2013-08-03 19:46:33.094994	2013-08-03 19:46:47.883158	135		0
10040	106dxqr1usiukboeifkxdw72b0	$2a$07$IHHBHfLP/huXiTwUjqTMs.yucVrlAI4TDLev2mLLMguI9aCoJPJG2	44	2013-08-03 19:46:33.12255	2013-08-03 19:46:48.218439	135		0
10041	100rlm2r2y6bynjdnf4a3mu80p	$2a$07$J6FcKxiY.8.EcHCrwFs6e.t0EAijzCvpi3OV.bRoHRSH9iULjZWm.	45	2013-08-03 19:46:33.144926	2013-08-03 19:46:48.540241	135		0
10042	10a7o791fzwfmyiw2kbrguipqx	$2a$07$8Mbzq5mYEqZ7xlrrvb88pOSgrvg358KF39xlgwngYf4dHengU5Huy	46	2013-08-03 19:46:33.168182	2013-08-03 19:46:48.649796	135		0
10043	10wwfi5qn435ljdtxyq4iq4kz9	$2a$07$TFGe6.x.Bh0deOZnbDhY.ewS/URple9KpDHOGaWNipr1An8wUsq7i	47	2013-08-03 19:46:33.190249	2013-08-03 19:46:48.850342	135		0
10044	105l4wvrsg0ospgbj85vi41kt9	$2a$07$RBU8kdVlCGQCsrrRf85RUuY1PTPvQ6kUjFndbHpC5NkoEE8SG1fKm	48	2013-08-03 19:46:33.213078	2013-08-03 19:46:49.072507	135		0
10045	10tahhsjm86nrrx2vsbnsbk7ny	$2a$07$x5TyBgHteh1bT35DFjf0su078ynDCpDrwOvvO7WVmLe4LERuX7Akq	49	2013-08-03 19:46:33.235012	2013-08-03 19:46:49.223801	135		0
10046	107eisfkj094bwalpn73qesz59	$2a$07$RbNoU7DK5dRYzOvTCaOkaeSKzR/Xx8HoUqZDETzgyEHUAmnpHk/bm	50	2013-08-03 19:46:33.258099	2013-08-03 19:46:49.3482	135		0
10047	109hu2u417zvvxxgeb7ynfklxw	$2a$07$oMbdNd6UAhyC4p5deLowWu7v0ZKxJIhOYhpYhe6a5r0Smx9COWDH6	51	2013-08-03 19:46:33.280657	2013-08-03 19:46:49.466758	135		0
10048	101euptv6vgy159sw2pjqs8nwy	$2a$07$Z8ugaOXnX4VZyl3Olv4yYelEGxdn8ttYgULQT.8m2WiGhl9f5WUjq	52	2013-08-03 19:46:33.303392	2013-08-03 19:46:49.769655	135		0
10049	10ufky1ebxbsuijr4yo2b4p5bl	$2a$07$e/e4PRcfLkNxDmxFfy8Hxe1YTiaQvqsngbuy4p4a9UliJmzThxUzG	53	2013-08-03 19:46:33.327184	2013-08-03 19:46:50.0481	135		0
10050	105db0rciutbadwpw05s8ep7j4	$2a$07$Dp7PTRkylb2BINI5SvO.ruLt8ToVe629nXiP.2U8mlY2JeK3LN3Uq	54	2013-08-03 19:46:33.350496	2013-08-03 19:46:50.343024	135		0
10051	100xl0i9rcvgh6x9652m8wmmid	$2a$07$UbZo4JK30qq6EU.rY.y0ve720MS7.2adAI04rHVwkxvDZlZ.JotVK	55	2013-08-03 19:46:33.372717	2013-08-03 19:46:50.481139	135		0
10052	105mod0igs8aryfzspkirm6wxh	$2a$07$Jmr.8JH5ZXDTEepFseeSMus1d5Bb9HyYg6V271pfpe7dGWGfnaDZy	56	2013-08-03 19:46:33.39432	2013-08-03 19:46:50.61788	135		0
10053	10tbekx0t6l40dkri3transcd0	$2a$07$FP8NBhFcVjRkfQDElA6LrulnM5oTgPA95pbVBQgmUzEZ/KVXCrOaO	57	2013-08-03 19:46:33.4175	2013-08-03 19:46:50.739088	135		0
10054	10wv6vhccujicdmivkza40zptt	$2a$07$d2vccHGUm8J81vD0jekrReKjKD.KXYp46RyM.JxU2YY7lPGL20916	58	2013-08-03 19:46:33.439712	2013-08-03 19:46:50.872264	135		0
10055	108pc1tm5fk9pbvaetxta0ne4l	$2a$07$uUYFWgLPrKmzNKFfcGpY1uX6kbPW66pVAiGx/3J3BxAeCuTvaKPKa	59	2013-08-03 19:46:33.461947	2013-08-03 19:46:50.994255	135		0
10056	10s0omobmdjeiaev3stxweokfb	$2a$07$498cm3mnRWWNoF8wPrDdsuy7TW1gUwrFY4LJf220FM5I3HzTpvOy6	60	2013-08-03 19:46:33.484426	2013-08-03 19:46:51.128525	135		0
10057	10npi7zgk5uhuvud2c8c8jriq1	$2a$07$08GfdXwwrbOnLi7yEAvJVOqpKngo8zItiXoqdNPkN1SFsHkHQTLIu	61	2013-08-03 19:46:33.506225	2013-08-03 19:46:53.65265	135		0
10058	105049ikiwde15eom2tk33k68r	$2a$07$MPW30ZYcOL7iDSSjP3ni9OCzE.btC5/Nwat.61ghl7woNIq4D55uu	62	2013-08-03 19:46:33.529094	2013-08-03 19:46:56.646297	135		0
10059	10tg8s6tflqkgvwoh1gqi0bzq0	$2a$07$XvA1sxVFJd8y/tmZiw5Xde2V4RcdUWvzeh4oC2fxNIHmG8OsBFPxq	63	2013-08-03 19:46:33.551006	2013-08-03 19:46:59.756845	135		0
10060	10e6ilro3lgx5umypzox2g9guk	$2a$07$vs0A2yTuCuWKLfqIu8ZEW.y3KcjleXmbXl/CtxaNPjsyrgarBonMW	64	2013-08-03 19:46:33.575303	2013-08-03 19:47:00.13115	135		0
10061	10h8ysncfvi57zo4y7rf838ca3	$2a$07$ISeF4Po1G3aLhbArSsQYku/UTMDUmlC4uGu10nBDXnSpIssHT3uEy	65	2013-08-03 19:46:33.602377	2013-08-03 19:47:00.28126	135		0
10062	10wiqv6a10o6ocjo0ubzkwskkr	$2a$07$jl47OAjh5X/PCeoShGlE5eSwLUY8fHv5YMWexpt1ok5h8G1n2zNne	66	2013-08-03 19:46:33.626198	2013-08-03 19:47:02.461253	135		0
10063	10mb3xnzkr9noy0ib9oe0qgc5w	$2a$07$ovueJK6MqgDTBpkijCkuxue1NbcJHBsrzzYRwYs9HjNNy9HA8wytS	67	2013-08-03 19:46:33.648944	2013-08-03 19:47:02.582616	135		0
10064	10qu3v156leqcmuv3c1vc38lle	$2a$07$.id4pFlq6.445yzjds8hH.DFEiXReVvPgAJKKvjZhJqF1Zq3QKUuq	68	2013-08-03 19:46:33.670379	2013-08-03 19:47:02.724812	135		0
10065	100tycezxeoqvpedtzmkozjdjb	$2a$07$XwlVo9847DAbQcGTU3e/MufRoUxJZBP4Pm4O7owhtmXjrEOU5P9Iq	69	2013-08-03 19:46:33.692449	2013-08-03 19:47:02.866406	135		0
10066	103gc5x4g5dh43dgpr83mx2qvw	$2a$07$TLBAV7GLsmxU/lVYbS..l.GKDmN5XPWrpmUY7f21CNSf.9nGzXJWa	70	2013-08-03 19:46:33.715075	2013-08-03 19:47:03.009102	135		0
10067	103lu7tkrr3zo27kcg9lblkzea	$2a$07$6TJWL1WeTJaciTNba2RzluB16oRun8sVV/yMPGs7R8imRYw0XWISK	71	2013-08-03 19:46:33.737755	2013-08-03 19:47:03.142153	135		0
10068	10w9ineapucci5497zjfnxp5bu	$2a$07$XoSaIz.ZoOBszo05RET7n.sdoE8c49SiE.i7/ZyeEo6N2sF6HLlYy	72	2013-08-03 19:46:33.803527	2013-08-03 19:47:03.276769	135		0
10069	10xxr6tkn38zv2kt3ncu6kr5q2	$2a$07$U6AJcd.VeZfvdLRGIu8MCeX3fpxUuwxJMpXbszW9tK1Dr2eemJpcG	73	2013-08-03 19:46:33.829713	2013-08-03 19:47:03.55956	135		0
10070	10y8for1lojjhifjotj674q97g	$2a$07$8XJiGh4YnOY4Wyfn2nPb4u6fOJeVxqMHvPYigs/6IuqShZOqcDijm	74	2013-08-03 19:46:33.852912	2013-08-03 19:47:03.683524	135		0
10071	10va1t5mbdvezyifmd6f8r48sl	$2a$07$nY3gVT9./mddjHyX4DZ1POUOn.6gKdN7s36dvKT8mbgM3X0.KVsRu	75	2013-08-03 19:46:33.874467	2013-08-03 19:47:03.831552	135		0
10072	10skamyjhadcz6etdvijwk5sri	$2a$07$YGz4/Ixt5VJ/rfPfHBfVY.9Kcb9oBT3SB0NSmb89zGSlq9IlKODYu	76	2013-08-03 19:46:33.895996	2013-08-03 19:47:03.954455	135		0
10073	10jyp80it9qek5ikny9c26t2jz	$2a$07$YkZCCA5MgdSl1c9u1PzKIOF4jNCWbymUUKLeIICrYLd/lMsDe9A/a	77	2013-08-03 19:46:33.918228	2013-08-03 19:47:04.085879	135		0
10074	10pc53i1nmvdhwg160vyl13jbz	$2a$07$P7knyPkBW0w2OkszMOXgWevxpARNUdKgWdv7p3tAuGFtVr9o0HjMC	78	2013-08-03 19:46:33.941648	2013-08-03 19:47:04.342399	135		0
10075	102nmyvrg6i53ylw95bnvv2mz5	$2a$07$QKtNBOt7vg2Gbtxz/X3PCukAizfuYZd87R.hdBUkfPdqUyILck0wC	79	2013-08-03 19:46:33.966376	2013-08-03 19:47:04.509843	135		0
10076	1022xdngfjrc3if7xaqh2o56xo	$2a$07$pNBtmAXDVDc6tc9teCUe0upGSfGwzvK/pmrBRI.YcvtfHXwEN24KS	80	2013-08-03 19:46:33.9898	2013-08-03 19:47:04.647312	135		0
10077	10qzyvgl4djdneigl3lv9pi5a1	$2a$07$nSKDCYq1uPmgJEVRJNXW6ekcwRy9aB1Ma3He0sA9dUOeFb7AroSRS	81	2013-08-03 19:46:34.011069	2013-08-03 19:47:04.937102	135		0
10078	10z3f4phk7mb70wslohxjqh11w	$2a$07$3.kjeZ07EZBfshhEFtBOeOGTg8Ruj9f.RrIkA4sDEAUVFTz6L1DN2	82	2013-08-03 19:46:34.033026	2013-08-03 19:47:05.073061	135		0
10079	10jup9cfb4zegw5zqrlo73liex	$2a$07$e7xe4qzW1dbbLvVW6mBNnuQMoXCYdEp2rmTRScuxUuULkGgINUsaC	83	2013-08-03 19:46:34.05645	2013-08-03 19:47:05.203472	135		0
10080	10zg0eadb7clz2vz93vb9k0tpt	$2a$07$41uDmRNZSRUWcD6TQzUb2u/B3r5CoPARNCLUKkMLTClCgYlZCh3IS	84	2013-08-03 19:46:34.07978	2013-08-03 19:47:08.160061	135		0
10081	10ejx5oy7zahsz44f1otqcecjp	$2a$07$jEcIAbq02TN6J.UXzWENX.wJjNctLZ9gD89yh2TzU4tvr6.xPAAL6	85	2013-08-03 19:46:34.104364	2013-08-03 19:47:08.386298	135		0
10082	1096hrh6690sm65z5gsoymkvvy	$2a$07$w0JQb7S6RcQXcAyFqcRXkuIyfxcY8AUsRbSZZ3nIXCEcodJs3Y0uO	86	2013-08-03 19:46:34.135427	2013-08-03 19:47:08.53054	135		0
10083	10ornyn38m6s7vbn8ov8n0tefh	$2a$07$zUg7jIEYPtQqaXtHUJRoJ.o9o4XWd2VvRehq52Gjf9oo6uhqfCEO.	87	2013-08-03 19:46:34.167215	2013-08-03 19:47:08.692931	135		0
10084	10h9ovp8bww0hf153pyc3nz1p2	$2a$07$Q7enDjnVurQr39f1W9Aqh.RD/nLAv5lUjUpn/dzUEv7qdfquZHw3C	88	2013-08-03 19:46:34.191705	2013-08-03 19:47:08.837927	135		0
10085	10i1hmd3yradn0tnvvn65r0tjj	$2a$07$txlmfOlAMcF8XJWsMU7duOz0GXpwsrPfy0B76tfDRLPYdxwvp8E5u	89	2013-08-03 19:46:34.216212	2013-08-03 19:47:11.149103	135		0
10086	10gdb6ob78hsjre78pk6vwq1le	$2a$07$SO.vXCN9D5vBTEJyT9CCGeuagC3UJhpvdWU4U8oeP74HkoW/7rSTu	90	2013-08-03 19:46:34.239336	2013-08-03 19:47:13.075164	135		0
10087	10hpe3jl7v6ud0tvsrkgnealob	$2a$07$HUlZrY3AjPmAkjixEtsrSeng5adLjyH3FJ30SgDicJpLVh2Z6qC8.	91	2013-08-03 19:46:34.264456	2013-08-03 19:47:13.202121	135		0
10088	10qmp50rew98qqzb3bm9rilt8o	$2a$07$eMv42YJmKwaiBS17DQl9pOdMMPiix5lUO6chFT2XCj0Hr5/OhrB0y	92	2013-08-03 19:46:34.290083	2013-08-03 19:47:13.33456	135		0
10089	10rzq5jalhk3tskxtis60urtvy	$2a$07$saS0mnUAAeYLtmJlta6fE.3yRGJG/pBGoM2dP61SH8U.JKGKmfAne	93	2013-08-03 19:46:34.328646	2013-08-03 19:47:13.440392	135		0
10090	10agqdyokph8vvwbxzx3onwf9w	$2a$07$Q4q2sS5EcuGmzw/TsGBg.erFdJEW8ZzBmnS0GfCofBIOcwB0FE3Ki	94	2013-08-03 19:46:34.358	2013-08-03 19:47:13.551588	135		0
10091	10ikju6p2rfpf25g3frx8549ok	$2a$07$lccPYeJcUWdk4K.y7VDyf.djcH5EOQ5a/cvuw5XV9ExuP/uvhb4KK	95	2013-08-03 19:46:34.38337	2013-08-03 19:47:13.696054	135		0
10092	103llvru4016x8bbyuy7acspwc	$2a$07$D1jtoSLezJ19MFrKuNi/oO0URjMwtOo//fb7Vdkt.AwRhm2jtoVcC	96	2013-08-03 19:46:34.40622	2013-08-03 19:47:13.834243	135		0
10093	10jx67o5r0tfcuspuqacxgtkkv	$2a$07$X8thxCjBwA70GgkT2rV8.OM1InbjXs6AviY6c/E2pN/RQfWxceAVy	97	2013-08-03 19:46:34.428369	2013-08-03 19:47:13.967273	135		0
10094	104s41757ewd913varfuxnf22f	$2a$07$ADIwhdWVgob8heoi747HvuyvaZtU.ouAZT6J.h8xpxwABQ/SYRmzy	98	2013-08-03 19:46:34.451155	2013-08-03 19:47:14.084913	135		0
10095	10hslkjvqo1qa1plsczek4tvkx	$2a$07$UXs3lEynpNrZHIDrTF9RPe1Ghs16Yq/5/BRuRX.y0i1y7mMiO0oya	99	2013-08-03 19:46:34.475046	2013-08-03 19:47:14.212968	135		0
10096	10uz5upkzgai9bxp3g80entf38	$2a$07$r/qbgBapeTNUyCT4y1a7QOSRlWKx6laDfz4ATYW2owt27CGWt5KVi	100	2013-08-03 19:46:34.509292	2013-08-03 19:47:14.329586	135		0
10097	10t21okziwomvask5bbk5p3zl9	$2a$07$rePeSLSmvH9ZSZ93/0mUquYyBSN6WAgz6j4D7eK2zETmxCaET/X5e	101	2013-08-03 19:46:34.532309	2013-08-03 19:47:14.450027	135		0
10098	10fcfwomnlczkpkxzecda951iw	$2a$07$W9vH65bJK6jW6meED1JuG.1Vm6jIGO58deiw6Bt8.AFKIkyr/KrRG	102	2013-08-03 19:46:34.557391	2013-08-03 19:47:14.560027	135		0
10099	100t4azstcmt5qic15n69rppxy	$2a$07$iU2W3d4Sw5U0PCfByVA2EeECZ1qIZ1qRBv3g4T009KrIlZuVA.BUG	103	2013-08-03 19:46:34.58143	2013-08-03 19:47:14.727179	135		0
10100	10x6kutcvtqh9a5qisodmt9mo5	$2a$07$lVIxNt6BH0TGTBtSVv4w9eqh/Hr/yEbzzCLLyTvGL5e/cWPtt8Yl6	104	2013-08-03 19:46:34.604748	2013-08-03 19:47:14.863483	135		0
10101	10pzqajy5x5ucvjat3oemmgyxb	$2a$07$Q2HRJ.LLYWrfWk2tOnAmP.k7RK4iy.bpdlLeLZtlN8zTdH5FCXBmW	105	2013-08-03 19:46:34.62819	2013-08-03 19:47:14.999421	135		0
10102	10927ohn5dqub5cx2r75nxlxbs	$2a$07$MRLBD93TYIdiOtjvLO9s6emkTQk2ErvrBF0v2yX36N1LUlAcjgmS2	106	2013-08-03 19:46:34.661635	2013-08-03 19:47:15.127865	135		0
10103	10cizdilnr05lhfoebzzdcwwjl	$2a$07$3dCtnkvtPFQr7h6qRxO0I.wRBuT2RCgNi4c/SkKEwkMVSIDqJ4Dg.	107	2013-08-03 19:46:34.68829	2013-08-03 19:47:15.285628	135		0
10104	10pov0hlyt29pef0g77a9z81mn	$2a$07$rXK63KC9/tSXPqvl15hQY.BPP62lwEnQaV1YEl6t7pzGKytFd2HTm	108	2013-08-03 19:46:34.710532	2013-08-03 19:47:15.466761	135		0
10105	10w64291txwlluikbis2uqhtoj	$2a$07$R/7KCgMU8j1MA//pdoKDG.75AL1AzVpzJpALXyM3xRl3lb9J2kUO6	109	2013-08-03 19:46:34.733103	2013-08-03 19:47:15.607844	135		0
10106	10ouftpmhs8sorjsjs8ivzb354	$2a$07$Uk.2VOqDSR9VpF1l4ATxBuPeitZXcc.fQYn/apOxaNMcRZo9IKS.C	110	2013-08-03 19:46:34.767617	2013-08-03 19:47:15.735598	135		0
10107	107o93r5b32twpa884nz6hjydp	$2a$07$s5JwCVM5MiCqODSUqGwJU.f/ioZ/4rVaGOK.1LbABB53HOxO02x/u	111	2013-08-03 19:46:34.791096	2013-08-03 19:47:15.856252	135		0
10108	102c7vgvkubm48qn11ouh4fswo	$2a$07$iyX6fHCBB5yqHLq7Ciw6cOS7H2jiwLLX5C0jZRH4CbB1BE.tq2bha	112	2013-08-03 19:46:34.813507	2013-08-03 19:47:15.992065	135		0
10109	10cblrvrn1dfes835a1lwzqj1k	$2a$07$cQoOKBzbGdlLDFvZq8rsiOWnkzNMWkz0T3ZmKiJ5dpWq1EDebRIS.	113	2013-08-03 19:46:34.8357	2013-08-03 19:47:16.240543	135		0
10110	109ocwojs6ghy80m9cod3xuid5	$2a$07$2IaUbyiOxE8PNWwtu2mT9OivVSIw0j9o6OH98ARFSQXBvDmg2pV3W	114	2013-08-03 19:46:34.858696	2013-08-03 19:47:16.476759	135		0
10111	101losd6t6x6hmrezjgnw77gue	$2a$07$1md2LSzdW1CR8WHKNC0ynu530DIPciK0cC46qhW6C.c3LSXnmmeim	115	2013-08-03 19:46:34.882763	2013-08-03 19:47:16.83982	135		0
10112	10hy9gvsa6phofgiayl8d2njou	$2a$07$/WcX6RygfdXTwU8.JwUR2OuWLi3cltTyVGm90KZmX2sADCx9HRPwG	116	2013-08-03 19:46:34.913309	2013-08-03 19:47:17.199412	135		0
10113	10pqbqeomy0ko1r56bta6khccd	$2a$07$FdDO6t2JSTWZ1YwIwb3xxO2ou/JSeHrT/O6K27jg20iYTZFjRXzti	117	2013-08-03 19:46:34.949627	2013-08-03 19:47:17.387164	135		0
10114	10r56ezvj69n9tevomnlw4k2k0	$2a$07$1jAK9iQaKbu9ekxHTgml/uYZDcPfnJuEYm9Tby3eUVDiyEKW.uQvS	118	2013-08-03 19:46:34.988789	2013-08-03 19:47:17.52805	135		0
10115	10ulyp4ckl4wb32ky6amfk6ofq	$2a$07$TKsKPy/p/sGwa4ciyKe2z.7Sl5oSQh/Ft6CadBESpF0pv2U8Gzs2G	119	2013-08-03 19:46:35.013642	2013-08-03 19:47:17.633802	135		0
10116	10htdkrmd3k9e8tor9tll3ikeq	$2a$07$4GbOrvdPle5xFnu0IcPd8.qcC7DWn9zBzZYCBx5bggnUdM65QGZii	120	2013-08-03 19:46:35.039526	2013-08-03 19:47:17.749847	135		0
10117	10aat3g8ogkt5dssyefcaf6r3f	$2a$07$3sj/g0SS8YDnXO7kwa3y9.itfX5A2Zp043.ko9OPLD6dYakTby/Qa	121	2013-08-03 19:46:35.060895	2013-08-03 19:47:18.097535	135		0
10118	10pzozy8whkrbphqhia74tfhzv	$2a$07$tbd9v7OUXPgrXq8z.wINFOEyJFyA018p/f575cjE/MzYoUI/54eba	122	2013-08-03 19:46:35.083479	2013-08-03 19:47:18.424195	135		0
10119	10edlzk07yzbbnel61qa86t3up	$2a$07$szFLDKyTBZYWLpzjbETXl.lkEKuAYgVjMwhr7u/cOR1QChw3NKz.u	123	2013-08-03 19:46:35.10773	2013-08-03 19:47:21.158161	135		0
10120	10al8vfmovkmvgvxfiqijbb9wb	$2a$07$cufHQbUiW/QCWFr/dsjTl.dLuuvgfq48K4EHxjAPdyxQfj9grGqhq	124	2013-08-03 19:46:35.132074	2013-08-03 19:47:24.126971	135		0
10121	1021ipwryhi2wcpo9xqs2xt355	$2a$07$ra75X/Q6BrhYZ2Qcwbin2OW5jnf1p5eFtorqlaYPxQyD69no7xJ4a	125	2013-08-03 19:46:35.15504	2013-08-03 19:47:24.470777	135		0
10122	10u1pq8mttm9rpmlw9j72si1yl	$2a$07$oQTSKRmBmlO27l11daZc8OEfmYByvR2/slSTDe56D1IUmlC6cNdo6	126	2013-08-03 19:46:35.183424	2013-08-03 19:47:24.826382	135		0
13585	10us2gy9ucyb05rtrl2bn5zq1e	$2a$07$UhEYyzkDcgNSqcufoWdE.eieSwu1OQCB2cO3c7F3cOwNGvZ/6OocO	61	2013-08-03 22:03:36.536134	2013-08-03 22:03:52.34819	163		0
13586	107cue60iag0mycy4pv2vaw57n	$2a$07$IDFI4i6fzBncXVEPWOwScuhN.e4ev9Y.jzaJEJMKC18Vkkql88DXe	62	2013-08-03 22:03:36.558943	2013-08-03 22:03:55.47874	163		0
13587	10u93ds4flwbi4h20v06y4qkz5	$2a$07$s.v.D16BIOPdK53SsN7m1./R.GH36P3QCLaVuTsgyiRRuSssL9v6q	63	2013-08-03 22:03:36.582879	2013-08-03 22:03:58.58479	163		0
13588	10khrlsmfszbjw01twn0ynuwcl	$2a$07$Ql2CZHj5sRtIC8Yh3l59PuR05a6aiH1mn7ZV/7.YM7k7AeTpBRXKW	64	2013-08-03 22:03:36.604987	2013-08-03 22:03:58.72984	163		0
13589	10e5ozv8yjkurwiatcppjb6duv	$2a$07$Xke5d.Jlf.N6kwWbu7wDXeKaMOLlhAK/HHx32t2KT4AOH1NsouNpG	65	2013-08-03 22:03:36.627547	2013-08-03 22:03:58.90321	163		0
13590	100zuwl4v3nhg5hp9ri2jogzuw	$2a$07$227phm9w/u.8JSa9FgGKQexdV1pgEjYNBu.O8MV.DLzHQucCy4hJG	66	2013-08-03 22:03:36.651469	2013-08-03 22:03:59.874107	163		0
13591	10k1uom6lny5zne7sjubkjonrv	$2a$07$SVd39J4wRQ8r./mHZdYjw.FxAeR00UC4TsE0flgMOfZ3m4p95WBYa	67	2013-08-03 22:03:36.675873	2013-08-03 22:03:59.997177	163		0
13592	105um1bdsmuvfd9vvrs0v1tvu7	$2a$07$t4Aq3t1iwAeuDeKWS.u.1efLQCgEZawebe6oTA9bCB7DMIFDdPwMq	68	2013-08-03 22:03:36.699843	2013-08-03 22:04:00.132114	163		0
13593	109w1cgpqz4gczx7towizytgxw	$2a$07$2FccQ8tFYbVm4eRqvsOErOO5AggZbrUX0MRBf2vDa8Tf4OF3A9acC	69	2013-08-03 22:03:36.724491	2013-08-03 22:04:00.25309	163		0
13594	10olmnvj9pdagtle9key3wcrgt	$2a$07$jsTmOzoFzpmT1LFwPuqWged6u5PANYV1S4dFMH4MPCG9CNS0D/azi	70	2013-08-03 22:03:36.748604	2013-08-03 22:04:00.368795	163		0
13595	10d3oi2t0yvgf0u08tzt12g22x	$2a$07$1cdJyOB9VG2vj/XY4b.yUOCOZF360qB.AxVjEScqZ8rZAu8.1vMma	71	2013-08-03 22:03:36.771522	2013-08-03 22:04:00.500652	163		0
13596	1034whiw35itj14rx2j6apx53v	$2a$07$QcqKnlod/FvHP1JBmfoe8.FuUl18W.EPqFyRw5R6/8gTO2IiTMCMS	72	2013-08-03 22:03:36.79373	2013-08-03 22:04:00.628501	163		0
13597	10rkmti5j07m7k1vgwdeh9g4xu	$2a$07$y6oy5XZAxSFlgBVvO/eAW.yZALxiNZxxoC1yoYmSOY28uX.xWqTmW	73	2013-08-03 22:03:36.815302	2013-08-03 22:04:00.964982	163		0
13598	10oox3xi1oxdwbd9f4tw1cf35p	$2a$07$h.k8dLCktxWwrm7CutopaeHFREXH5f/.uFrO6dWgV8hgBfSHhQ3nq	74	2013-08-03 22:03:36.837061	2013-08-03 22:04:01.098944	163		0
13599	101u944usfhvmjgix0o1472y5d	$2a$07$7Qa00EtAtN6M5DVTaRBQR.nF.OBdQR6krS98QyGMsYu7VMqasPNde	75	2013-08-03 22:03:36.859965	2013-08-03 22:04:01.219694	163		0
13600	10axe2wcwaphbf0wlr6x8361je	$2a$07$RNTNVjRxjDO0z9i/yDN7QebqjPpabj6.a3JbydheTNLI.jtc0jt8m	76	2013-08-03 22:03:36.881456	2013-08-03 22:04:01.364265	163		0
13601	10wbirvcfhog3tiusj8db0ghpb	$2a$07$y2Of8h9pcIUp0ckLEqCfheq9OZbSe.6LGJZ90djc1EZwownWMnKMu	77	2013-08-03 22:03:36.902905	2013-08-03 22:04:01.496875	163		0
13602	10499hf3m2adnlve7w96p86kzf	$2a$07$cMwkSRB9IZU7TX6DiuO/qOJ10K9CXjW6IzWpJWDycrCP7rPj8TMiG	78	2013-08-03 22:03:36.924219	2013-08-03 22:04:01.653741	163		0
13603	10uiw2nl4fv1ucvhvo2kd1v87t	$2a$07$2BJkvM6hpgHTy3woExpA..r9GithogihmxrMUxwvMSIMlNxkAjDge	79	2013-08-03 22:03:36.949003	2013-08-03 22:04:01.805864	163		0
13604	10ds7axpsqqs4x6btc7gdq93fo	$2a$07$IOM1LBMfNmA2V09Vhv/mGeCv1PdIIFgKOZL1WGtQtIGhJPizt/mI2	80	2013-08-03 22:03:36.977656	2013-08-03 22:04:01.942648	163		0
13605	10gucysrzbyf9848htzc0fsygq	$2a$07$3DUbrobGg1yUrq4/IyAfVeFp4psTHBjXNSR6wVO.szLq3kPr1ju7e	81	2013-08-03 22:03:36.999008	2013-08-03 22:04:02.437985	163		0
13606	10bvhigjlcakksmbne7nmgc2fi	$2a$07$69oLMHxOSzvz.6vjAB1.luOPq9EPfWoHqF0WU00uavnBm1.CTlD7S	82	2013-08-03 22:03:37.021658	2013-08-03 22:04:02.586368	163		0
13607	10jkyutldek51qoht4wz468reh	$2a$07$/Aeygr28tuqBbVHYQriJ3.tugZVcK8Nl8WduGKSl.k5qIMOrZvpp2	83	2013-08-03 22:03:37.044377	2013-08-03 22:04:02.764186	163		0
13608	10ueg5mcgqfor5dq0ei9h1hstf	$2a$07$KFSgq1pyVqSkCrNVUI4YD.r6vjZy/R5YzodORZFcfLnJVcUnUVvsC	84	2013-08-03 22:03:37.067094	2013-08-03 22:04:05.558891	163		0
13609	10wq4uhuveq73jkxysjh9dzr30	$2a$07$iEFDvaBEWivSGiVHrDIgzuq66gBRfQqmTiYw/hOTsCiuDl1h0i2xu	85	2013-08-03 22:03:37.08991	2013-08-03 22:04:06.313512	163		0
13610	109mnwdh5jd3b5ie9d51ccq4pa	$2a$07$6pERLynCRM42N9.0zEL4geDuKyaNpp4eKym9h0o/4hX/2e/f7JCXS	86	2013-08-03 22:03:37.111457	2013-08-03 22:04:07.032042	163		0
13611	104uvrbq988b49jr08dnrq49km	$2a$07$/uqEjlGTwJw/u0KJ3m2nIerVLX5GYV4Hh80yNmvHswpSehmS60Dj.	87	2013-08-03 22:03:37.133013	2013-08-03 22:04:07.216742	163		0
13612	10wffgbtgysmtkfpou7lnzxpx2	$2a$07$MgzK2WLmtBMxmAwiw3cJ2.8vhKD40vuwZmrKfeg3EkvuC6uNC7fSK	88	2013-08-03 22:03:37.154429	2013-08-03 22:04:07.399763	163		0
13613	1092189eepw9svlselmxszo6hd	$2a$07$Mie6qn5FRSNH2szdGNBifOcXozVhIJdueqihV3uK0rQDRPIf3W5Na	89	2013-08-03 22:03:37.175958	2013-08-03 22:04:08.313726	163		0
13614	101pt202vmz3wty8xasmf1uvju	$2a$07$QMkMNKd7ZJEQkvBWbJ73Per0Opux5d7ygMShafjEHIRXoIXgTbwcW	90	2013-08-03 22:03:37.198686	2013-08-03 22:04:09.221302	163		0
13615	10ufw8ug8sw4lsyow5ryb57hje	$2a$07$tqXPxpFnCWjgVh8tO1BqWOQgewwVoKeHK0vmHwVjJ.EM6PtKPvc7K	91	2013-08-03 22:03:37.221334	2013-08-03 22:04:09.362477	163		0
13616	10v7r5e0abo1a3vxs76ayxwtu3	$2a$07$G02N6vfhNy28CDm0Qi3/meDvL2zNF2911mz5kFRAzDs8cHh/mTDBy	92	2013-08-03 22:03:37.242894	2013-08-03 22:04:09.4806	163		0
13617	100al8svsos2ja0rl9ixpz0l13	$2a$07$6UTAuFwYC2IZytglMkpk3.gOFu1s5xMFh2rrlwgpug5zrUm1NB3D.	93	2013-08-03 22:03:37.264535	2013-08-03 22:04:09.634564	163		0
13618	10cmtf17ddwuazyeg7cvfq1e1p	$2a$07$rKvVj81uC8CAZgc5Y9SPZ.Quhi4K6NF27aWU46HxVZpnuoCMTI/0K	94	2013-08-03 22:03:37.289704	2013-08-03 22:04:09.762551	163		0
13619	10mzg0akr6mw3oq3d1w6jl59b1	$2a$07$w5UFpCiIu.4SlHdzsg0gNOWH4HIZcTTCYIZeF9wt2Rco8BbtECzx6	95	2013-08-03 22:03:37.31567	2013-08-03 22:04:09.89188	163		0
13620	10f50dakh0wl9e33bm765cr469	$2a$07$arVF925Uo50SO/Cgi5wNnu6WOmpGaLPr37SfzCbIDSA96cfigT35u	96	2013-08-03 22:03:37.339833	2013-08-03 22:04:10.026936	163		0
13621	10ymbn9t5e524xj9v979r743ix	$2a$07$TYdAkR2JIaovcJyMVEwPvuzwhjEXUmftgNfzgyaWYvvKK5YwGdsHi	97	2013-08-03 22:03:37.376112	2013-08-03 22:04:10.143735	163		0
13622	10zw1x66bgo2orntc00ijj5v7o	$2a$07$0sGxZXZaNBo8SerQbRaAO.u1CG3Wg4r/haBCu/k5v2zADtB.M8R/y	98	2013-08-03 22:03:37.39778	2013-08-03 22:04:10.263325	163		0
13623	10jzf64cu2sc8zwhh9jsu5ppxb	$2a$07$AzHRPwQwQ9P05KYYhJ915uWim2Zc7Sm4/EH9HpDrrHq06sMKLfpB.	99	2013-08-03 22:03:37.419123	2013-08-03 22:04:10.381257	163		0
13624	101xmqql6pt9sj3ces1oh8pyyf	$2a$07$kX2FGPr8JcrIAOo7lD5MAu6255M3Q9Sn9lxG29oTi8Cz2mQW7ujRq	100	2013-08-03 22:03:37.441512	2013-08-03 22:04:10.504683	163		0
13625	10cai0fqaa0ucq2cj8q55lo79y	$2a$07$3u9DRKYuC853EriXrWstj.GwTwgkkzWZV1wG.AJTsFNPIsj8xaXL6	101	2013-08-03 22:03:37.464816	2013-08-03 22:04:10.630434	163		0
13626	10sn996m4oqk6ciwtbyfny331q	$2a$07$n3kjsIilrcwPifakqpH.n.S.aEVnsbclnf/0KK1aKUfOwdwH43qsa	102	2013-08-03 22:03:37.489237	2013-08-03 22:04:10.765422	163		0
13627	10nucv6unu5vxrsn41nj60ik2k	$2a$07$iQBuZ5r1HQn0VIoT/zYQ/uc.QQfsWXKgb/PIdUXm.6Uw9IO3PoJpS	103	2013-08-03 22:03:37.51167	2013-08-03 22:04:11.038186	163		0
13628	103tb9in19y9fi5wluwlcykv1e	$2a$07$JVfwPQh2YAxfJrsTlMExq.HzfBU3RRSemgXyXPuxhrmkfWENg9ST.	104	2013-08-03 22:03:37.533557	2013-08-03 22:04:11.322367	163		0
13629	10zlamt5nb98632lro7qapa3mx	$2a$07$hSCG/FeF/ZPYUoHUkVmPD.LiIg0cPtZC.QTK/B8Xr0Un2PHpKVzra	105	2013-08-03 22:03:37.555491	2013-08-03 22:04:11.449376	163		0
13630	10huwz38ceparg6109r7zlsmy7	$2a$07$NiL45eIEmOY7w8qjRwqEMuoBPuccfsvYDNu12BS.sQPIajjG2f.sa	106	2013-08-03 22:03:37.577247	2013-08-03 22:04:11.571112	163		0
13631	10nn77c0o3u0lh6d53henbjunh	$2a$07$3AKp4U.jbeFt8hyRPbDbaugHCXIbth96.yNSGJVSIzn.WO7zC6Jgi	107	2013-08-03 22:03:37.599342	2013-08-03 22:04:11.803073	163		0
13632	101mpe9r81bipz5o3yxj30gt8a	$2a$07$TQRMAiUoLAkocv.M5syp8.JfGUAA45SfL6NuTkwGnzWGrKdZWdM/C	108	2013-08-03 22:03:37.622905	2013-08-03 22:04:11.947016	163		0
13633	10zru6tzvqdzbedixt0t9vtju0	$2a$07$JoQHn.asDwQedAYWBODty.UAIPbaHiwKfP23z7lsUi.2i8Hqj.qxK	109	2013-08-03 22:03:37.64841	2013-08-03 22:04:12.086462	163		0
13634	10pjybh24j99nhd59wu2fqsfnn	$2a$07$R9l0pyFcjyMOvzU7LOAt/eRzlgo5rkLPFkkpI0ZT58ANv8U0QeFg2	110	2013-08-03 22:03:37.676717	2013-08-03 22:04:12.242133	163		0
13635	10a5rft2fbit2qmb2irkglrr13	$2a$07$dQ3j3Al2E7rxZf.YGutRweJLNWOGXisMTbjXdXqrGIMI/RX8IevhC	111	2013-08-03 22:03:37.712021	2013-08-03 22:04:12.390031	163		0
13636	10zx85js2cymlntxn76brwuxfa	$2a$07$9nTUjHf6gcyxv92WIQlRsez3gAPoeefdfIGMBdEnrenYeWha2ALpO	112	2013-08-03 22:03:37.736009	2013-08-03 22:04:12.540637	163		0
13637	10oc6kt941k3nbw31b9c7u77z0	$2a$07$4U1qh2Mn09InUZFmRo/dyuCcY4pbUXKW48p1.2kE0GsM1b.h66fxW	113	2013-08-03 22:03:37.762928	2013-08-03 22:04:12.665865	163		0
13638	10hvhho1ex8p53wdiz925nfjaz	$2a$07$/G4f5AfJ8NxGMWlC2B/d7O.Vk60mY0TghtYM69vctBjP377UItgG.	114	2013-08-03 22:03:37.786144	2013-08-03 22:04:12.828964	163		0
13639	104iadacfmoio59k51i1efh6r6	$2a$07$RvuEarRb9fOshvjOyqaNqeV5OwmCpB4UF0ms2ugBnVkQSVz9h1WCe	115	2013-08-03 22:03:37.808936	2013-08-03 22:04:12.985729	163		0
13640	10lc2313if0ecw3xkk19b7p4c7	$2a$07$3ww/Y65thJFH1ViUebbIXeb9y1n.fu.i3MhEw/N8.cAIW0WZbAqPK	116	2013-08-03 22:03:37.831253	2013-08-03 22:04:13.122689	163		0
13641	10p327w135bpjty23a9mjgisk5	$2a$07$76LsVbY6VdVn/CV1rZlfgO6dTXagMpD4o0EM1PVHLxMJcDPDuPWWW	117	2013-08-03 22:03:37.853019	2013-08-03 22:04:13.245753	163		0
13642	109guwuidn0r7qh0ii9e19j1cr	$2a$07$b7G97r1cSpf744oIj6BQgO915i1AeDbqd4AeHtyV.k0cW5l7Soupe	118	2013-08-03 22:03:37.875753	2013-08-03 22:04:13.391155	163		0
13643	105743n93qjrtdj2kmvx7rhl7k	$2a$07$NcMMNzgSEn.IpKh.Jv1NhOI6Q.CQUt59WoLsuf9b0ehQ3KaDCtO12	119	2013-08-03 22:03:37.898594	2013-08-03 22:04:13.534653	163		0
13644	10zpjvl6jxwo177cjd6ltz5nyg	$2a$07$3pUPMnZQAUIyhiF.mI7anOt5.ey3nRb28Igw.sifmO15A9aCTyNjW	120	2013-08-03 22:03:37.920037	2013-08-03 22:04:13.64413	163		0
13645	10tk2fbttb48bo70rnmaonqnz2	$2a$07$d3ssyrpNTlDCR/R4i4gWMeBRFEQxG6PeRLWMgjrtFVvs3YqoTkO2a	121	2013-08-03 22:03:37.941272	2013-08-03 22:04:13.808503	163		0
13646	1058r21tbihalzkbkupa9w3tlq	$2a$07$REeGkYjMV/U6oEcaTEomj.paQqYYxPZM3uO8ezyhpyulRmdQIx4a6	122	2013-08-03 22:03:37.962676	2013-08-03 22:04:14.038104	163		0
13647	1095l5d0x1od5qkj4li5hw6p6j	$2a$07$OHPd/LcK6z3srSLX/670x.4FL5OsBztuxz/dWDX0RZnXXB4f2/.96	123	2013-08-03 22:03:37.984101	2013-08-03 22:04:16.781399	163		0
13648	10n6v1ti6k0lrzd67ie6m8o0dr	$2a$07$HUOABXE2FuwdZHMiSKDqXeHD2Ef33VL6CKszK6PUdyzI7IIloChtu	124	2013-08-03 22:03:38.00644	2013-08-03 22:04:19.958279	163		0
13649	10td2pmkzpmsjzdv92z2mm5ypn	$2a$07$QxC2/qRSGgMA8NKVoB1K5e4AjmS3vzBVZ0mgzZ1t3m51CLN/MsP9a	125	2013-08-03 22:03:38.028802	2013-08-03 22:04:20.222042	163		0
13650	10ak8vlcqc9l9phppxr4e73abu	$2a$07$HP6HRf/hPmoqVMNfa6HfKeTkS4kUa/ZTPezrWqCUs4Wz0uJpmJyS.	126	2013-08-03 22:03:38.052413	2013-08-03 22:04:20.591278	163		0
16549	10peb94bsh1lh2urygtnqtzpzu	$2a$07$rSY/0PVWdDeuZCdiq8avZ.I2sKqvY6HdQ6usWPnUzF7RpMULs8/ya	1	2013-08-04 00:04:48.193063	2013-08-04 00:04:51.50354	187		0
16550	10rwt4d5wbe2h45jchj3tm9rgr	$2a$07$psmMQcR89arJhVaTzcL.CO51HTgY5C0EcmxOrHeHFK.RcVNXsB.2G	2	2013-08-04 00:04:48.218957	2013-08-04 00:04:51.638507	187		0
16551	10v0q80sb8yyi3ofsdasnbkjvo	$2a$07$g3fkMpgzGG5VU81VGuLGRencYb2CsaYHTCOKkOqWXKQ1FBVwkGuRC	3	2013-08-04 00:04:48.250548	2013-08-04 00:04:51.789335	187		0
16552	10c1xuk9jie3uehvirfup9y1sz	$2a$07$dcAVyaVhvqlGQa9QrDpDxueLfk6SjPTrqvohe29gPrBbAGz/lVVma	4	2013-08-04 00:04:48.279426	2013-08-04 00:04:51.927103	187		0
16553	10ylk91vzc1mov6mdz1n77qehq	$2a$07$7uQdo/cjz8VSMYT/890OmuFXQiG82BOzd2OG3riyilvBejAn3fLYC	5	2013-08-04 00:04:48.304886	2013-08-04 00:04:52.049506	187		0
16554	106s0ygxhz46zlrqfyojpew04t	$2a$07$wDxwVELYMuDfWxwiB8zXse6inzbpgGtkBPVRQF2wEc4JxbCHmmqsu	6	2013-08-04 00:04:48.332274	2013-08-04 00:04:52.15792	187		0
16555	10e8cb03x09k7bvw8ds9bu8ugl	$2a$07$j1Q0XRUf6spdD663fCAA/Oo1QEo10JmgDcQKMOGhabeX6GuWqAeCC	7	2013-08-04 00:04:48.35672	2013-08-04 00:04:53.076895	187		0
16556	103h6zroz98n1azfj5glthsc7l	$2a$07$qFVsmnj0jaj3ycTjpRERO.eTHff6YVq3vgVtAWATxG8Okmw89Vt2W	8	2013-08-04 00:04:48.379625	2013-08-04 00:04:53.999127	187		0
16557	105cfs6g2hg09xvsknd3dog3t0	$2a$07$NtP9nB5VLdViJ.Ht99orduXBzewrv39Mp3otjs85NuB0.duMJKkqK	9	2013-08-04 00:04:48.402885	2013-08-04 00:04:54.990735	187		0
16558	103olxhr0eao7texzg0dx1vzyp	$2a$07$xjAhpM/Ktvf2DMFzWLT.6eV0Cia3fEKIIbQhEoJ9L7yZTIkV9DU2y	10	2013-08-04 00:04:48.426729	2013-08-04 00:04:55.082026	187		0
16559	10h7v7ud1wzu9vtfklk06tipj3	$2a$07$ztzO0XkHxRK6r4JsiVzeR.pEoKj03conVbr8czlba9VKajUfeXlSO	11	2013-08-04 00:04:48.450507	2013-08-04 00:04:55.196714	187		0
16560	10k38nzmxskcbxm9ofzwh96xzc	$2a$07$N1ifEz4EfM8OADRcAhnT1eU0PMDQTXYczaCDvkuit6v2u5zxAHn6G	12	2013-08-04 00:04:48.474857	2013-08-04 00:04:55.320251	187		0
16561	10nsask0yzp45fjbr5p8km4xgt	$2a$07$iJZJAJ/pCgu6ZV52CJySNu4RgJs1fbXPH9fYFsnQyVwSZ..7qSVYm	13	2013-08-04 00:04:48.504741	2013-08-04 00:04:55.459406	187		0
16562	1032v4ee6yvc2s5yyg3uqy2v9q	$2a$07$SwO09TGeFekwn3BU8qMWZeShtutSuY7K83ABOKARA5DVi9i3nTiuW	14	2013-08-04 00:04:48.534685	2013-08-04 00:04:55.599975	187		0
16563	10yd2xrzk44m6edxhj1cwqei6j	$2a$07$hAg.hd7qwdsIgxcLGFD8z.Dpy.VsUuM7cxlm2wqCKnJs497EQ8r.y	15	2013-08-04 00:04:48.557183	2013-08-04 00:04:55.716682	187		0
16564	10u6cb52enhbk1z1jiw5h23gwv	$2a$07$dlt1FISxJciFMfByMb1ecu4XBUYkT5QTuYcxgykA6Digw73c2AvAe	16	2013-08-04 00:04:48.581577	2013-08-04 00:04:55.848565	187		0
16565	10z0m6pz5nsrrkegddlei19chh	$2a$07$bR00K6Xph81FMXOqd8eZVenURx4F.uQcC387qDTr6jdgU.USlTkxa	17	2013-08-04 00:04:48.607051	2013-08-04 00:04:55.985923	187		0
16566	10j9eg4qz8e2600cenvvgm06go	$2a$07$gyDGSh7.u2YDcKTSFLfLgOs9KdxafQ5INQc/veA2VWW7VhqYlXGfy	18	2013-08-04 00:04:48.632077	2013-08-04 00:04:56.109505	187		0
16567	10yzfls0crwqlnks4q1v4q7jlt	$2a$07$c35Pv50O/ZJfdUzouVZdEeSTyegoAIF9LN8SlZaBWB5bCrPtkQJzm	19	2013-08-04 00:04:48.655234	2013-08-04 00:04:56.227431	187		0
16568	105rcsacibeijvn6os9lxpqk8l	$2a$07$jYsT3hQngFTE/LCbhFHMAeoL.6hq36cZAwfoiwQMGRRC1gNE2RbjW	20	2013-08-04 00:04:48.67885	2013-08-04 00:04:56.361613	187		0
16569	10b5kknzvo81q0ejxdodz79l0c	$2a$07$0eU65fmSAknn15IJ0Batn.JJvNgLdi2YbF//vG25D12HXTyt6AkFW	21	2013-08-04 00:04:48.702367	2013-08-04 00:04:56.54274	187		0
16570	10jqy2auicdkchwh2ec8ne9vn5	$2a$07$F6ZQ0cHSvxnFVdXswd6J/ujMUvS95sMICvogxTSt/q.1B9tGQdAyy	22	2013-08-04 00:04:48.726156	2013-08-04 00:04:56.700243	187		0
16571	10a47zascevokr40g98uen65zu	$2a$07$5ntK4Whfs2Qt/52rj3ql5uPWOnAm29CAqBvAOV/NY8ynyqK1mbA3C	23	2013-08-04 00:04:48.749456	2013-08-04 00:04:56.845563	187		0
16572	101tkmfok02irp1rw7xpblvhf4	$2a$07$IjfkDLyQadCNY67TZnAQNu4EXZTr1LATwdGP0w/.q/3T4iQRcZT/u	24	2013-08-04 00:04:48.77306	2013-08-04 00:04:56.982348	187		0
11635	104wh91t890fgwsum5nk43jwry	$2a$07$ha34bToF0Xkmf5Cm7ljYRO74V4bK2e7V0IenHL4uLIte.mlXPouuu	1	2013-08-03 20:51:38.028198	2013-08-03 20:51:41.394252	148		0
11636	10nwqb4v3ji8xc8b0on8mtf9j9	$2a$07$VWVyleFXMcUudXu5DMc94uIhe6RW.hqT5XE3VTEtjxKDOxFT0l25u	2	2013-08-03 20:51:38.051249	2013-08-03 20:51:41.614468	148		0
11637	10bmtu9elz8hjv3w4vs2dvn6z6	$2a$07$4PdYUDV5WhakpUAocYUMd..cXCb6pDrGAauoMYfOE5xxokKZ2EJOG	3	2013-08-03 20:51:38.073565	2013-08-03 20:51:41.873696	148		0
11638	10640xnmik9we39z0vg1qgb3x8	$2a$07$QeT6qNZWRC9sJ2B/01xIVOlH.mw.v2zY386UKLyZSCbLHt17B75H6	4	2013-08-03 20:51:38.097271	2013-08-03 20:51:41.994804	148		0
11639	10er5a8rcs2zmgzaa7chqavgsf	$2a$07$pjCYDBpuRHVUd6dYpgGFOexipcr/i/WFe0tGvHz3Yl5T88FF1skiK	5	2013-08-03 20:51:38.120731	2013-08-03 20:51:42.133725	148		0
11640	10hmupe9u8ej5jlvx7y4te8oan	$2a$07$dj7iso3Z1SZ5n1.v4hURkupexxhFNAV8pSwSh/1ukLiWGH1Zi3rPK	6	2013-08-03 20:51:38.143624	2013-08-03 20:51:42.276677	148		0
11641	101m2x5ex5963md04rodcko8pq	$2a$07$RkDDO6HZDnjkuT9rVfE7QejmdkyG/PtQx7FRO3H2A9/l/9P7ffj7C	7	2013-08-03 20:51:38.16656	2013-08-03 20:51:44.949664	148		0
11642	10hnjmfv1w0j4zetu9kf3dk6kr	$2a$07$m2k1sKG8VKVleVObx5T64uSUGDvx9G3gdoCbNHmRGyrewfdOzvqxi	8	2013-08-03 20:51:38.188705	2013-08-03 20:51:47.854255	148		0
11643	10r3jp2d182qg8vhz7z9gggml3	$2a$07$83WkY/afxyLsFsMeMHB3Re2eIZI7T8Cl/EaAhxehyrp.w7KJZZlrS	9	2013-08-03 20:51:38.210804	2013-08-03 20:51:50.906945	148		0
11644	10yi4k8unkq3drpdelrti4fpgb	$2a$07$YFD1cNC36aAQuXpLhuWRIelEOJRnxOuB1QSDEALCxTNis91AW4aX6	10	2013-08-03 20:51:38.23272	2013-08-03 20:51:51.03356	148		0
11645	103107x6rfhprzahqlqctotxhh	$2a$07$QxAB3t/FOgkq1x443NzVMOPskEIjs8BhAV11zT6CTL5tXlWt4gavS	11	2013-08-03 20:51:38.255884	2013-08-03 20:51:51.158399	148		0
11646	10yxxlq1xhpj7sj8t3k6ibu2eh	$2a$07$FBtPPBskMbGtXo8JJ.wrSOIY9QBYZEwekhC52mg5I3I6c4qGyz5nm	12	2013-08-03 20:51:38.278612	2013-08-03 20:51:51.283506	148		0
11647	10djm824sz39eduu39yf04l63g	$2a$07$rnpg5KMvUtTJvleflAZ6VOEuraSORltGba5cXcHg6wPsxC13XUBCW	13	2013-08-03 20:51:38.310559	2013-08-03 20:51:51.414481	148		0
11648	10kdg7neb2d08d2wdnwmp93bla	$2a$07$wi.ygTE9KlciFFfsl7/EbOQOWC/GDn5SDv9kBtuIg6Dt8.yOxROLq	14	2013-08-03 20:51:38.333912	2013-08-03 20:51:51.567407	148		0
11649	10x1sqbnp2w4yae2j9zi6y6eux	$2a$07$IAbLIv4/crcC123q96VsUuVlnlSpHrc/vX9DdCR05SWWLai5mpBLe	15	2013-08-03 20:51:38.369534	2013-08-03 20:51:51.730438	148		0
11650	10ustvg45kgbg8psx5qjxstfbf	$2a$07$JT1pPDwRj4kun6eAEfyaD.i7qLDUPEmHKsq5WK/Yn3uGE/mY327BS	16	2013-08-03 20:51:38.397193	2013-08-03 20:51:51.864627	148		0
11651	102m317b5kyye2bx9yhlfv7w0b	$2a$07$2oYfYyIBDS7H9d.z63f1rekQsdntF9ChBGtlXtQFtu3zwlbrJ6Gcy	17	2013-08-03 20:51:38.429663	2013-08-03 20:51:52.009432	148		0
11652	10mdo0wwgm8013vicquzzqpx09	$2a$07$zUX4eT8BfRc.CKMk4uhGpOcu/.yQ0PPhhF5eNuIULF8PRXU56xFki	18	2013-08-03 20:51:38.451935	2013-08-03 20:51:52.152285	148		0
11653	10zynmek892er5jhp3f004w1ds	$2a$07$2x8GN.N7w8SokXDV441CT.5OEOwtBfY3FEQID8V/LmvFT/g09SJ5y	19	2013-08-03 20:51:38.488104	2013-08-03 20:51:52.271682	148		0
11654	106hu2klo5cz3m5mikm3casdr2	$2a$07$HvFGTeok.qh5ug2syIK3A.SgH3s6jK0II6rWqsErli5raOExBWuFC	20	2013-08-03 20:51:38.509304	2013-08-03 20:51:52.401058	148		0
11655	1096giabpy6ebje3aezyf58hsg	$2a$07$DueMNF8oipTeWBb.0IK6quPymEo8h.jyT1YaAOOmclgwSqzo.sJFq	21	2013-08-03 20:51:38.539795	2013-08-03 20:51:52.534599	148		0
11656	10onp6fay4zkudzs0ivsmqw15x	$2a$07$weggMGa5NZXyUrQKKExBtuqfGRnaoKNOy2UTGJo9GC6ifMvcQbvJK	22	2013-08-03 20:51:38.563534	2013-08-03 20:51:52.669322	148		0
11657	10t194pd8b4spoul84yyk4f95z	$2a$07$bUiRs8P1myUo8A.OIrdy4efp9lNkvVgniKjlwOBTgEmdgCR8o5R5e	23	2013-08-03 20:51:38.588255	2013-08-03 20:51:52.806482	148		0
11658	10ypjmtwgdoxuvvxw2jikcl4rx	$2a$07$/H3O3/BsuezMvKY75KVW9.RcMugoLzH84otY2cx5JJBG4ImxDJONW	24	2013-08-03 20:51:38.611004	2013-08-03 20:51:52.940398	148		0
11659	10gmh3o2iycf2sozy32n2hxp24	$2a$07$UM6BcitXe0hBqnZaMaEgkeTHA9wqQtn32qESWe.ij3VUwgJmoIvz2	25	2013-08-03 20:51:38.632819	2013-08-03 20:51:53.065719	148		0
11660	10xiza8pjigjb6ephv96vvz9pk	$2a$07$tz6DMwRsXc1mygn1OIbmY.ZZvKG7pprAx5D56dsU5AShElTJy3NKe	26	2013-08-03 20:51:38.654474	2013-08-03 20:51:53.183083	148		0
11661	1000upiw7w68cxvfk0bn6887ok	$2a$07$e32c5BbPLrVjyN7vviuw4uzqUZ0v10rnM2FX2FIMJ2.Yy19BiqBMS	27	2013-08-03 20:51:38.676434	2013-08-03 20:51:53.310923	148		0
11662	10bz9swzz2q8j2k5v4d8vjbbk3	$2a$07$zM/YD1p7UDiVP6XcvYiRHuTu3F9OF0Eo2tnVdQyGPhCRPBgggDxvS	28	2013-08-03 20:51:38.698823	2013-08-03 20:51:53.584265	148		0
11663	10crnenaq82ypky6bu9k1bdrks	$2a$07$LQNCARfyOGv6b9aIcmNybufwcGBc53Mn8HAGrdfzW6aM9kXPUucpK	29	2013-08-03 20:51:38.721578	2013-08-03 20:51:53.899066	148		0
11664	10vcmqfhm2legp00cl1zrizraz	$2a$07$gEzMbOA7Zb.QSR1z69vU7etHDbTiLuQH19xZhCe.Uos2..munkqo6	30	2013-08-03 20:51:38.755791	2013-08-03 20:51:54.173905	148		0
11665	10z1k4pcc05q6j50gsbst2sipz	$2a$07$WSlOcxh.Zf8FEVRFeJv3T.qbKrTgXKagQmp2D1Vef0haAykxbAt7K	31	2013-08-03 20:51:38.789814	2013-08-03 20:51:54.310435	148		0
11666	102sxxse1v8f75v7ffeexgiw5r	$2a$07$njj1MTSRzi9VGj/uit6TgevESS0RLOqkLU1YsrwnXxkwgpIfLbTM6	32	2013-08-03 20:51:38.813449	2013-08-03 20:51:54.514231	148		0
11667	10qop4ujqc5acvy30sclqjvrtj	$2a$07$uz0pJKw23VcSv5qdQ23SduFCwoHwxCdLDYRrPl.e.uEZBrRlhrMXa	33	2013-08-03 20:51:38.835255	2013-08-03 20:51:54.74403	148		0
11668	10gui28dhzg222tbkozmbsqha8	$2a$07$xJ2ET9rduZJ/02cv0gS6oeMJBRaQpBrAl0CgGM.XU.1y1tiPs.QGa	34	2013-08-03 20:51:38.857074	2013-08-03 20:51:54.859226	148		0
11669	10y3st0iqxo7kga7by1j1sm2zr	$2a$07$MVRKAmYto682daoIoYU5XeIgNiHS7CPckZi/V0TtRBQdqk0y.qLYm	35	2013-08-03 20:51:38.878934	2013-08-03 20:51:54.993048	148		0
11670	10elepzebs01gx724e37n5oeum	$2a$07$yBlyP3s2Fjti.LwkZ4aX.eyLjD..SLsd2UO7nWT1SXx8orcMzXvkq	36	2013-08-03 20:51:38.900654	2013-08-03 20:51:55.126949	148		0
10123	10nz21ijdmstkys9w1i5uhxbzr	$2a$07$ID3yLwd/gVf0NUJButEDCuAtrL21R0lvobjAXeYKiZbx9utzWDZWm	1	2013-08-03 19:51:32.058321	2013-08-03 19:51:35.447869	136		0
10124	10jyqvelymthxhwj4igmqoznpd	$2a$07$h0QguUENLPUBOP/gsC.95u0FeFBoJGobz6T5H4eXwRPS.CbkfvZle	2	2013-08-03 19:51:32.088995	2013-08-03 19:51:35.717391	136		0
10125	10h4ljj62eq6ymlf9bzwpjj0d7	$2a$07$afKlSEGBU6XFaZpD0Gftruiuyo2ddoJ7fWif3FgRSi1j.9PYXIbQ2	3	2013-08-03 19:51:32.112694	2013-08-03 19:51:36.093763	136		0
10126	10ea1ohn35kaxe8neujkxwrx17	$2a$07$8SSZStjMHY7V7lLQ3nQquezZoP4fBb9HHKSHfhrleigskol4mFeuW	4	2013-08-03 19:51:32.136659	2013-08-03 19:51:36.22392	136		0
10127	10k1gctww0qrpw6wqo3exncflh	$2a$07$xJXlyOk05kQFXqa7lb5PVuONFFiUhfkvBq7mJx47YXBcB5fMsC0hG	5	2013-08-03 19:51:32.166722	2013-08-03 19:51:36.348446	136		0
10128	10h27ekgonkb6vjeeys73m5vlp	$2a$07$2eubKp3QL7eX/8D92PM7leYy4AFx.a/Y/Lzhgwk2swdNvlVgSzeaS	6	2013-08-03 19:51:32.205779	2013-08-03 19:51:36.468863	136		0
10129	1006ircs5res4aow5z7e01bkmf	$2a$07$34u87OAZdB6eY3BXK6UZzeoQYLhCYQ..SOu3PVBi9jfwVrAAKopOu	7	2013-08-03 19:51:32.228346	2013-08-03 19:51:38.659438	136		0
10130	10ocnyafiu6j7gsbt5a75vk9bm	$2a$07$udE2pp6S4PR86XrjR/1X4OSaDPC8V8H01YPKW9a/vRwHvg4FgGzZS	8	2013-08-03 19:51:32.253629	2013-08-03 19:51:40.834427	136		0
10131	10ajmwim2z2kkfk1fe5wf3uabi	$2a$07$k3X/t/55VnjaoizqwLWCP.Nj6cyRrLCpsD8be9k8wVD4oKO3qcysK	9	2013-08-03 19:51:32.286539	2013-08-03 19:51:42.74085	136		0
10132	10t3b4ilpi1sxhlpdqh18br1qo	$2a$07$N.1auZjV2/3ovo0vfZG9MOOeSgPiB4DXOjBdyXbPGajXbY6D/emCG	10	2013-08-03 19:51:32.326346	2013-08-03 19:51:42.858557	136		0
10133	10fukcw0iu4kav9gzccrytfdks	$2a$07$WgB/htinfPn0XUYMLriVY.xltzWxKQ4A3rC2ij8j0bAw1tSA3kRHe	11	2013-08-03 19:51:32.358775	2013-08-03 19:51:42.990835	136		0
10134	10ci61y8sk82zrvtztj5nlhaoz	$2a$07$VTfHEcqt7IpVV9cTJuJnAufV9qZWn9q7UV97OxnQm/bEPeTI0Il5O	12	2013-08-03 19:51:32.382847	2013-08-03 19:51:43.114876	136		0
10135	106tsq8kbq1ohu9x8hx8kkpjcr	$2a$07$xUh1Mkok7IRtqSGYQvgLHOjH6Ix.rXXA4nVSkvM3oA3KXnpaN7IHe	13	2013-08-03 19:51:32.46665	2013-08-03 19:51:43.248296	136		0
10136	10adaohpk1ggrzffr6i8sspvar	$2a$07$6w8xm1dQ2gQ9yQPgE8L8wuPrzzQls.Hk9scX5xzdTRkqVMZjS44I2	14	2013-08-03 19:51:32.489762	2013-08-03 19:51:43.38176	136		0
10137	10zgqb5xvlde02v5l8djirf4rd	$2a$07$jweYorZSoYD0oNXsh63HpOAYwIIbejWI5J9T62LXvGybjwE70YG26	15	2013-08-03 19:51:32.511946	2013-08-03 19:51:43.53447	136		0
10138	10jv9iep409jdq43ingh0ghji4	$2a$07$F486WNqnHG0iaK9yv65o2OWOBLTSOgwxkG0AZVk8pFn2x/rG1eSX.	16	2013-08-03 19:51:32.53568	2013-08-03 19:51:43.671523	136		0
10139	1071pgf99ms9n4vxc7wrl9eskn	$2a$07$pqogQsZLhtlsFvRmyZBL3ubdwKWaWCzMvem5S/luDkzk3t9j9e8eC	17	2013-08-03 19:51:32.559246	2013-08-03 19:51:43.806728	136		0
10140	10uyhjfj053pinat5a2hijwjbe	$2a$07$dt.CmLXH26oR6he82bJideMGHJK6ztDn8cJ9zkWQtsAz8VnoDPC22	18	2013-08-03 19:51:32.581703	2013-08-03 19:51:43.939115	136		0
10141	10b6m6gbmz84vndd0l1bz6nisy	$2a$07$a093Q6dlVJJOxttpPMscmecGQahDGQp2RWP1K7hbH4jVP0yp/1jNe	19	2013-08-03 19:51:32.604733	2013-08-03 19:51:44.04583	136		0
10142	10yg99biri34oy0dqpvzod3axh	$2a$07$36TDf5XYLpShJw9104mJIOKjbfN.BSrITP1QfwueMr53P.SRPmqG6	20	2013-08-03 19:51:32.628321	2013-08-03 19:51:44.144868	136		0
10143	10iazkrk798qhce1bjcz1nvnh1	$2a$07$W0Q42AoYDWT2awwqSTQkoeHWaU9gdY.RrOSl/DpCl1z6kTz.T3xEC	21	2013-08-03 19:51:32.650842	2013-08-03 19:51:44.276832	136		0
10144	10cl6natl5w9xamw0uxbrfmts9	$2a$07$RF1pKsq5k8.LqBfYIjUrDeluQDq/I6qzgqlLjBeF4dj30ModToxMG	22	2013-08-03 19:51:32.673934	2013-08-03 19:51:44.434356	136		0
10145	10gmlj09v2vt3rqasncazrjy9m	$2a$07$r/Jl.Jpl6jlKbFSf4xIrTOxII5TZzdTwGbDO8J6R9HsYZCimI30Gi	23	2013-08-03 19:51:32.697511	2013-08-03 19:51:44.562844	136		0
10146	10kkoadcwtnqu01icnlb9dk2no	$2a$07$6VwYWxs9Qwl3vGkRi1xsv.ATe8UTOe0QhbvJX9dhinmvE/t6Xi9j2	24	2013-08-03 19:51:32.719642	2013-08-03 19:51:44.688574	136		0
10147	10uyms6wp8hwldg5sasebhux0u	$2a$07$awpod76Sqve6OzYR1YPK3e7BwV1bv7t7uuelAB2M1tN/KG5FdxAVO	25	2013-08-03 19:51:32.74246	2013-08-03 19:51:44.82493	136		0
10148	10o7g224w4gvnducov9uu0qeqg	$2a$07$.1K4mGOYPpyAyqsikAArWuW6IZVbIQeDFLVgFYjFiNYE5WLF3CyS.	26	2013-08-03 19:51:32.766177	2013-08-03 19:51:44.94785	136		0
10149	103odisbdbd4hcncvwjm9hy99p	$2a$07$Egd9UknOxq.29uh2UwGE8uOEl8.9b61mgiggr9r0B6zZFhKsiGwqa	27	2013-08-03 19:51:32.790352	2013-08-03 19:51:45.0709	136		0
10150	10gq0cf8hxkmvdwkwxaavkfn9x	$2a$07$156VlAw1X60Ble5YB/greuyJqU8YpZFLn.NG5kpD8IPo4Pxff2cDK	28	2013-08-03 19:51:32.814737	2013-08-03 19:51:45.371013	136		0
10151	10h296hr5eg118cc95v2u80hnr	$2a$07$AWPRVc4wF5KFjT387kHXSeBn2GqPouvG.v2af0nJ1t1SkacCZLU42	29	2013-08-03 19:51:32.838814	2013-08-03 19:51:45.641175	136		0
10152	10udo2zjq4id6gie502oge8pjk	$2a$07$ZbgBtbRrC7nnsPm590yFXusWtyY.Z5E4P.1WLOiNWIBtfxYqdgxhq	30	2013-08-03 19:51:32.862766	2013-08-03 19:51:45.875076	136		0
10153	10raf8b1if2agtjdgnh4ab2n2h	$2a$07$GLzCMGBjDB29xEQWJrpE1u4CyXwCW749HB266w5TYU0UuMEvCbyC2	31	2013-08-03 19:51:32.88676	2013-08-03 19:51:45.992955	136		0
10154	10dzp0rspycetk3dl61l1lceci	$2a$07$LEipJkvUk.QIiFtzwAdNuuIv0USTJpoXxbaMf729pvlaR7XTmV/eW	32	2013-08-03 19:51:32.911063	2013-08-03 19:51:46.094734	136		0
10155	10x1mmzlzk2mit7bdkoyw2jf3e	$2a$07$lR6PkqChT/5NBojwxOyNuO9K//Vpj5w3vVostXlgpU2GW8PGRwD4S	33	2013-08-03 19:51:32.934995	2013-08-03 19:51:46.211375	136		0
10156	10jm14xsfgoim00e6ieccuq5hm	$2a$07$zjL2Cox0WVZrzD22VuyRzeKqmCrRun525eFyHnZqQhDa0ZU4hWthK	34	2013-08-03 19:51:32.959078	2013-08-03 19:51:46.324581	136		0
10157	10xdpjof21johvr2vdyl6dyzbt	$2a$07$WY9WTkOGNwvxmdAb2crSd.EREVXMLGBdEmbF/et6B7hsh8gag6Tk6	35	2013-08-03 19:51:32.982193	2013-08-03 19:51:46.429988	136		0
10158	10nzl0m8v5cwujfypvucc1bdv6	$2a$07$q9uG8xnBa7y0hv3WpZWWS.cDiFY67AMYAaGXVxsMKWwDHIMuOoVBK	36	2013-08-03 19:51:33.006252	2013-08-03 19:51:46.551708	136		0
10159	10e4bavxiyu0gvbzce0siuh1k0	$2a$07$KkNaGIbQWpJ8XZ8EmJbo0Oll7FD51GGXuS03ooR5yoqW.M/q80eI6	37	2013-08-03 19:51:33.036889	2013-08-03 19:51:46.671875	136		0
10160	10rmomp9vdjdokfghk158rz5mr	$2a$07$7tcgf3isCkIdwiSGhNU4Y.aqorX.a8Pa6lPfDhGi4xHgijqk8FxK6	38	2013-08-03 19:51:33.061855	2013-08-03 19:51:46.77883	136		0
10161	10t8fegqpsko4ee66m055go6j4	$2a$07$VGi31oyqkIQ4X6hJzgu4zunnIwkkoIrPxX.xCgATHnhGrZL78PfPS	39	2013-08-03 19:51:33.087059	2013-08-03 19:51:46.909522	136		0
10162	10nf7vklxix3hv1qdkyumv0vdw	$2a$07$8QMb8Wv4.UPCyZXZmXx7ke0LhRZa8L/Yhay9B4NYTj/u4.QEUTSl.	40	2013-08-03 19:51:33.111537	2013-08-03 19:51:47.040062	136		0
10163	10fwys4lvnrwl02c7x7ft1ad2w	$2a$07$LxtVk6d/5yTpdLg9mxVo9.ROfxotMHyiEZhHCRsVwxOW7cEKzEOYq	41	2013-08-03 19:51:33.13388	2013-08-03 19:51:47.13993	136		0
10164	10qwhuakmirs89p8imd4022z68	$2a$07$Li7DNk5VSrUIG7hqILDTGOBWMClGmvF35jpsd0Lgt3O39yWFnZOv.	42	2013-08-03 19:51:33.157473	2013-08-03 19:51:47.254049	136		0
10165	10nchhgnt3o0192ciirnbx6uye	$2a$07$DT/ETCUSOdyYJIS8CwgRwOAWI4t02mHhgHvqvCb1be2mN.46cm8sS	43	2013-08-03 19:51:33.18092	2013-08-03 19:51:47.629736	136		0
10166	105yv03sfwgikjgqy3ciikwx95	$2a$07$gyFKCfPRLabdD3.TA5wSBubsK7osgLJtkuvbYAhNv4TND4vyi8vHe	44	2013-08-03 19:51:33.207541	2013-08-03 19:51:48.060196	136		0
10167	100qi8gxgg36c0bbllta7h1ltc	$2a$07$fT4TrIeYqbwSDZl77ZvP7.PhwVbdk07Sk1YLY7fupai//1mY7X6Vu	45	2013-08-03 19:51:33.235664	2013-08-03 19:51:48.416643	136		0
10168	10run1t9qoo3srz9o1txgsoo0v	$2a$07$MFv4aIlMYJ8oKPgBPhHoe.ozsa/HWrjzQXbFhj/M1.vLaqLiyLNiG	46	2013-08-03 19:51:33.268622	2013-08-03 19:51:48.574501	136		0
10169	10jlo7dpq0t9d06qbiyh5k6c7x	$2a$07$WCxnxMa3cO90wNtDqkN0O.x/nST0VQpvDl7NrNh52tlRYHLtF8WkO	47	2013-08-03 19:51:33.294441	2013-08-03 19:51:48.710378	136		0
10170	107kthgrrz6x0idgo197ud82m4	$2a$07$0VW71zSo1vWgS8DwBIKuoO9xc2fJB0yfc9..R2isXDU8yaDX8PYwm	48	2013-08-03 19:51:33.319717	2013-08-03 19:51:48.886015	136		0
10171	10dfcr5277ti1kjwwd3wa5fa3i	$2a$07$cpUKG/d6SQbNDsp2IFE.Sep6XLh4kFtZOt00JsoTJ3FoE3EW.GF/W	49	2013-08-03 19:51:33.355533	2013-08-03 19:51:49.020462	136		0
10172	10r9snwztmwe2je1oh3xrmdez0	$2a$07$6Nnnk2ogVPEJX2fLBbJsoO/PKwu9X17ld6sXv1Vrv9PSt3V9oNzwC	50	2013-08-03 19:51:33.393294	2013-08-03 19:51:49.163199	136		0
10173	10ohsqo0efg1g4u2d63srhmo5s	$2a$07$Gw1orZVdAWrPkJsDZ53PwuCKOm6QaxlldbSFCYEw/NOp1hMSupFge	51	2013-08-03 19:51:33.415498	2013-08-03 19:51:49.29676	136		0
10174	10wm9943t2sxgpb367b2rarwzi	$2a$07$lFkYv57xApoOpmAZs/8xyeisOe3QIBm4WnMfBv5b3CfMr3svDaYgm	52	2013-08-03 19:51:33.438441	2013-08-03 19:51:49.410312	136		0
10175	10siaw3s3zsitxc1nsifuuy6vt	$2a$07$7KiUJIZAQk21h/crHe2xXO7s4HjQgpMSbNipdU3WPWyPGp7IMWMLa	53	2013-08-03 19:51:33.462218	2013-08-03 19:51:49.513664	136		0
10176	106pcle7gjj3byz696ozoof8pq	$2a$07$IUHqQ3lbCTGjkpuBiJsgJOEipgM11mk3z7F8DOGtCvxaYuWFRHoZO	54	2013-08-03 19:51:33.486035	2013-08-03 19:51:49.641428	136		0
10177	10z5wgjjvul6vaftwszvqpockt	$2a$07$ct.9NdXNDkte6/bE249BQuLYiTkZ/ArocKDY9yzOG823Egn95rC46	55	2013-08-03 19:51:33.509033	2013-08-03 19:51:49.761754	136		0
10178	101qj7otm68zmo6vl72sfwy7xv	$2a$07$4Zwgcf9b6He/HpJ6gZ/ekujajz8vo9X/PQ7nZAFdD9n6CwI3p/rNC	56	2013-08-03 19:51:33.534317	2013-08-03 19:51:49.899555	136		0
10179	10ocrudmu3eznwd8840lo7h62f	$2a$07$7SGxWKsgJ.VH5Uqq7a7aHOIwSU27HmyERa4yDke0KVJJwk72J9GPy	57	2013-08-03 19:51:33.564382	2013-08-03 19:51:50.013265	136		0
10180	10q3jfifc9lycc28eap351zu07	$2a$07$v3WpajcP/WHfNEnPkzh2Zet6c0B3RFU/xiLgiKhxQpym1lF7YeWWq	58	2013-08-03 19:51:33.593143	2013-08-03 19:51:50.15825	136		0
10181	1080oid623isel59uw7cfc2nan	$2a$07$/ASl3bjpddyRS.SEvIs4UulKXh8N0yiLgX/81AUvlfxUrsOLUOfb.	59	2013-08-03 19:51:33.623451	2013-08-03 19:51:50.306157	136		0
10182	10by4dezc109rr9z6nemaaer74	$2a$07$8navWmerDWy9logcYgVln.NItcmg.1ei7QxzXmgZcNkZ.VFEBFO32	60	2013-08-03 19:51:33.657645	2013-08-03 19:51:50.429818	136		0
10183	1050ortoiixfvf9qs2sfppw3fs	$2a$07$0gtvDuyjzLIW4axC2014ge9quk/yiwqxhf3.JdrldYKkXHbh0uGP2	61	2013-08-03 19:51:33.689014	2013-08-03 19:51:53.32716	136		0
10184	10mhgupk8hv0ot41do55l0ctuh	$2a$07$hpA1IYIjAIQZiUmzk3Y1QOcGjoefLQUtRIF0SVbOyhycA0eqUnd4C	62	2013-08-03 19:51:33.716974	2013-08-03 19:51:56.255733	136		0
10185	10fuuv8ip9zu55vuxw3qm05rox	$2a$07$f3HJSfxyHqlmNWYL5CCWROXTz.OQsrEtI0a9HOzHOvuNCmlksBjQC	63	2013-08-03 19:51:33.753217	2013-08-03 19:51:59.011886	136		0
10186	10d6zngjhcjed7417g0p9tx4n2	$2a$07$Jtcs6amjDFg0EAje/ofFi.pQr.3nART5zaxy6AT.FbutUuRAsJPhe	64	2013-08-03 19:51:33.776727	2013-08-03 19:51:59.381685	136		0
10187	10u5jsy5g9q49i95gat1ilfwkh	$2a$07$w2KmmlzuUX.nHnPp8Y4EduVZzD3oCQiCAmoJxc4TTZk5gH5zpZrHi	65	2013-08-03 19:51:33.801197	2013-08-03 19:51:59.535696	136		0
10188	108jo3au3hma8ltqpc48jzuquc	$2a$07$iItt4gH9hWtleByLyHdHZODC0bDadMxR3LCzZFDPO2V3Cr52h1vdS	66	2013-08-03 19:51:33.824275	2013-08-03 19:52:01.629829	136		0
10189	10izqdms044qlikbh9kny3auro	$2a$07$zI.Rac.HOCnnBkjrYnG3MOU9ZPdRpFNxBEDKknUOD9cZ0dO7gbJ3K	67	2013-08-03 19:51:33.846805	2013-08-03 19:52:01.75821	136		0
10190	108bkwl640dw72tx08svp7y2vy	$2a$07$Mn3cbjZbD01Fg082Q04/oOlxojtcfAN.cZuY84KMXN5kdF.MQLsaK	68	2013-08-03 19:51:33.869404	2013-08-03 19:52:01.926392	136		0
10191	10usx4v0kzi7x8k2cnti81r834	$2a$07$ernPL//dSTy7YYfmokE.c.LNaa5St6WtyTj1cAecdG6Z/aFIbJEjO	69	2013-08-03 19:51:33.892572	2013-08-03 19:52:02.068115	136		0
10192	10gzg9eeu4ug7hhdmska1ao1f1	$2a$07$D.guuOlt7qB2KHTCoHEMyOyiFHMwAHjJON9voapNsQ/Cm8aa6574m	70	2013-08-03 19:51:33.915466	2013-08-03 19:52:02.194522	136		0
10193	10azzfgoeze5szvpoqof9e4sbj	$2a$07$KfL7zjh1pVlai77A220BQ.CgVubKjpmug.CIpVhDP3OZL5l910Nb6	71	2013-08-03 19:51:33.937897	2013-08-03 19:52:02.333935	136		0
10194	10fecblhy92biqvgp8oiert7kr	$2a$07$Kx8azliVJhx66z2XUBbVBOil3usxRL6vg2VRPf.yws8ejwuCN5MZO	72	2013-08-03 19:51:33.961171	2013-08-03 19:52:02.475227	136		0
10195	10vn2mowgtqmambi8ys3fm9ced	$2a$07$0Q/KBYjyCT7i7dEQgJ6QOui.q6GFmfPdBNCvhzI4qPDjX11.1RlQG	73	2013-08-03 19:51:33.983192	2013-08-03 19:52:02.750527	136		0
10196	10rm16lm8i3lclwmws8ndg6imc	$2a$07$icsAzP2wFh0HirADOaK.NO.qPPGQTvsSqMFWulGj7istV9l7WniiW	74	2013-08-03 19:51:34.006075	2013-08-03 19:52:02.8898	136		0
10197	10u09xpurflbhsidu3k0uok2qy	$2a$07$g/tqz6p5wF4C0aPY2.qI9ur4D0whdcghDqgveJwxhPQRQJAuB3oje	75	2013-08-03 19:51:34.028747	2013-08-03 19:52:03.04818	136		0
10198	10x9dh9joy3fvk0eij47hm1thq	$2a$07$5JsVQ5LWQw8lejp2q6RT.eknscGLOpytqSO0kZJ2nqDHhIa5UN4ie	76	2013-08-03 19:51:34.051687	2013-08-03 19:52:03.215344	136		0
10199	10qfnkzysakbqiu27ih4sgckcy	$2a$07$prBMem7Q2r2s54g8UEC4JOEFJJlYCN.OcJZpuJvYWRjX7shIfqJVO	77	2013-08-03 19:51:34.07514	2013-08-03 19:52:03.355065	136		0
10200	1044dn56trr2i4u1d7os23wetf	$2a$07$vy2YMJpmviVoH5O2ND3XBu/Iwt6pDsHjNTGzxi83vn1H1BbLuEO9.	78	2013-08-03 19:51:34.098809	2013-08-03 19:52:03.719695	136		0
10201	10ca5sak9l40t4pun4fd1ggop2	$2a$07$RupaN//F/PH9ynJ4M7b8gu4nuc1CxXYrz3PsuHGay6rt14cIaW83.	79	2013-08-03 19:51:34.126771	2013-08-03 19:52:03.905318	136		0
10202	10i54lidu3ggxie2c3w4qbrugy	$2a$07$CRT29gSF5OeXU8HgP6ArtueTgNF4gpbgN16fqLrtdFIfj.zdskIM2	80	2013-08-03 19:51:34.15166	2013-08-03 19:52:04.051883	136		0
10203	103g77cmbmb5u5qjbek5cn9w35	$2a$07$Ed9WB4gU.8V5eKdHNcySP.f90A/A1V3O043FSfXi2ELc5rlSwa02u	81	2013-08-03 19:51:34.177244	2013-08-03 19:52:04.177141	136		0
10204	10i64b9kz51tfkk5ocmygqv1s2	$2a$07$55VdRRdVkS/M2psc8SHgnuSHmZij73dLllCqRCBGtX9upkgvGHQTK	82	2013-08-03 19:51:34.206937	2013-08-03 19:52:04.313863	136		0
10205	10tfz8ulqx4dquyni1nb1zoyvy	$2a$07$ROqx2hMIjuODnE8lb5kX3.Y2R661WgpPPC3t3t4Y93Um4UrDoHIvO	83	2013-08-03 19:51:34.230018	2013-08-03 19:52:04.451797	136		0
10206	10wfiotrgg29k51ei2mxi06gqb	$2a$07$lAUlETsXAPmFYeffM.NsrOtffoLfmxW.0AqDrmm1ig8UNy1llgII.	84	2013-08-03 19:51:34.253332	2013-08-03 19:52:07.435858	136		0
10207	10qp24hldioymgun1xuvivvu33	$2a$07$YM6EdnJwhVtl3XBA4qPESuI9aMQw9Q0ml.qe16KWm.FF53hPPa1gS	85	2013-08-03 19:51:34.276583	2013-08-03 19:52:07.750581	136		0
10208	100rtzq9c9g05z1m2j1ay4dmwd	$2a$07$pcwfbUz10PlrbVHWOHyw5eruK.tPNMhy14i46yXGcYK8jOLdqpawy	86	2013-08-03 19:51:34.299811	2013-08-03 19:52:08.036411	136		0
10209	1093on89i4rxoa5glj96ab7302	$2a$07$S5eJWKg6gvzY4YHNpsY/A.cATPiCV.P5H5MTcotpQVVg6bxqZxrUG	87	2013-08-03 19:51:34.322167	2013-08-03 19:52:08.194889	136		0
10210	10ecke9isphmbzkbtnutem7p50	$2a$07$i2QKNmd1vTR5dN7FHZM4XeSXw0zCSLLr6hAIBNvNqMHZuHrKxRleW	88	2013-08-03 19:51:34.345472	2013-08-03 19:52:08.335374	136		0
10211	104ptexh1rwsg1kjqe1xmqhcl6	$2a$07$pQL6TzxOA85sYBlgQcLrtuiJQRoFplygaaKKjVZQhbgpKJ1nDaPf.	89	2013-08-03 19:51:34.369373	2013-08-03 19:52:10.539165	136		0
10212	10nnwjfcb1k12ecgrvltsod147	$2a$07$/IkSi5q6AjsipvP5K5swSOMSVgpjSWiuumZ27NZWUf5pdDn2i.WXu	90	2013-08-03 19:51:34.392055	2013-08-03 19:52:12.782622	136		0
10213	10cculm9xwlacqkgaw4hfadats	$2a$07$i31hmcNlPguP7hemXDBbqeK3o9vxFhiqrmXsSRbARxQuZvXG.id7K	91	2013-08-03 19:51:34.415966	2013-08-03 19:52:12.91818	136		0
10214	10or5ylbl4g5bny964k1cq1ya4	$2a$07$PSvcEYtpJ.vo1AB9rJDTYuTr60H/ong36MOiewFronWzvZqeo4z9W	92	2013-08-03 19:51:34.439533	2013-08-03 19:52:13.0298	136		0
10215	10b5c4zz4durmvm6vtu8fdtnpx	$2a$07$bh7k3X9OPAvDh82mVLeSaOYOYD98DzVM6lDCHvSnNqILZJ.aKpEfa	93	2013-08-03 19:51:34.461574	2013-08-03 19:52:13.191887	136		0
10216	10uloln79s7l99zm4otgd71ya7	$2a$07$O.zCcRdUqbCaZYq.6cCxUeGoBjGEG5GnnNj3TeW7W1Y9WxRqhjGuq	94	2013-08-03 19:51:34.484405	2013-08-03 19:52:13.411796	136		0
10217	10d54a1q85r0v8y970u8px86hn	$2a$07$qdbM8QK13kFtS7SClCi6yupanhC7wD7OOuqVnaaFSusweXc0BWxrm	95	2013-08-03 19:51:34.507095	2013-08-03 19:52:13.548541	136		0
10218	10f6tk5a3fayqbwx3lldfo5r36	$2a$07$mG3KTO.YI5s3v27Vgy8ebevzSnOVrj/2xw0gKOTY3PC3SXc35zYJ2	96	2013-08-03 19:51:34.529152	2013-08-03 19:52:13.690878	136		0
10219	10ii72cm392n3xys6dpvd93a9g	$2a$07$KMnQx.uL3Ux/.DIQco1lduvdetdoMt6CpA9sKOAQixQdgY0fhg7Vy	97	2013-08-03 19:51:34.552347	2013-08-03 19:52:13.788909	136		0
10220	10rtm4q9gekscwkvlxprhtf1wu	$2a$07$leLQpgUz6YGyUQuca9z4KuZnBtEWWNtxS2CmQ/xNC.WOWGVcSs6PG	98	2013-08-03 19:51:34.57528	2013-08-03 19:52:13.91373	136		0
10221	1083bg4lqee6kg9ubojubls7zj	$2a$07$Bxu9Y3QuwRLM7jXUJOnOrurZMm/VJ.Om3NQibUBhjPM16Flo93sZa	99	2013-08-03 19:51:34.597345	2013-08-03 19:52:14.106564	136		0
10222	10l8nuolz75vs7i8f4f5xn0011	$2a$07$8vL1PrPcdKjVTZEuAe4dtOJWybdhVwzEj6cy5s4fPknMC5qHEa6n.	100	2013-08-03 19:51:34.620291	2013-08-03 19:52:14.253597	136		0
10223	10kzt6ylbawl8ph2514oui18dh	$2a$07$RnrENNhFQlnuDigAo9YpmOahTQn5XtQuU/xD3PeUBY4uAwcZ61b66	101	2013-08-03 19:51:34.643199	2013-08-03 19:52:14.3998	136		0
10224	10t65yg8xcuvhqjp24r1opr6ne	$2a$07$kL4rrUqgEZtRos/qpgnUz.N4isJKd0W6mZDfSpC1PR6RX0G3oNH3y	102	2013-08-03 19:51:34.665805	2013-08-03 19:52:14.535713	136		0
10225	10ehhmcoq9u0nv6hf1sl63hjmn	$2a$07$FSZtsJTxjXgWar1OehKrkOf5JZn7lUo3EU2w.v6wjOzoOJrflOYUS	103	2013-08-03 19:51:34.688821	2013-08-03 19:52:14.687278	136		0
10226	10emhfpt1vcqr3hwy11plid3ji	$2a$07$gczhbHvBwH7FmX30m2eFMeOixUCu4zbTx3XoPMdmXNbATvFfWClw6	104	2013-08-03 19:51:34.710589	2013-08-03 19:52:14.819394	136		0
10227	102d3te36rcq637y5tuxo9te3b	$2a$07$klK7pt1mYbD33yc96xhDfe2xQeaAN.7t66KgWepwMjmIpNJzubmli	105	2013-08-03 19:51:34.733347	2013-08-03 19:52:14.966601	136		0
10228	10v2k2r4n5akpnl9impdvsda4w	$2a$07$XOsO0DjvWx/hqwRhkig5AuRsWxzy9gcgnfoEtF6MVPukUAqyi4HWW	106	2013-08-03 19:51:34.756005	2013-08-03 19:52:15.121481	136		0
10229	10lyhw5bf59jna0nhrvelcis56	$2a$07$7JQFXxPE9Sx.90z7y.Nmq.Wg98w6PgJLbHCNPpZ1ZpPutBLPCz2QG	107	2013-08-03 19:51:34.778372	2013-08-03 19:52:15.27774	136		0
10230	107vv62zqo0krhpvfweermwjfq	$2a$07$YSJ.E5CkCfxDbKSm7vb4YuFO5RQ4wL5HgCVV/5IWOiSn0oyWzfSle	108	2013-08-03 19:51:34.801801	2013-08-03 19:52:15.43271	136		0
10231	10yygusbqpyu86oguehshkbti7	$2a$07$CH86uLJUpIRm5fHeFsXEve4yxUrAArBedtJ9B1dSnMFn.812mwD0C	109	2013-08-03 19:51:34.826292	2013-08-03 19:52:15.572781	136		0
10232	10eazv2tbh1w9207ivnal1bn9r	$2a$07$pzsQixNdhZYC7dXHMi7MVO6ggB/3skjcRvJClO9oXZ8GfkU6AXb.2	110	2013-08-03 19:51:34.849902	2013-08-03 19:52:15.70927	136		0
10233	10k6lgbxb6cuzv065o3goa5quu	$2a$07$C6EI/uAivCYKEVz.dfUu..hUa4OYzYPYo7ZdEsCI9FHBGqlpa9/1C	111	2013-08-03 19:51:34.873143	2013-08-03 19:52:15.845032	136		0
10234	1026f442257esf9h0lyl46s68z	$2a$07$LWXpRzxd0ttOKCG5WqPhZerzNck/ECL0HGljv.LZJMIN3FwkAqTnK	112	2013-08-03 19:51:34.895006	2013-08-03 19:52:15.966763	136		0
10235	10kgjbu5bik9cihp4hshmz1mxw	$2a$07$U/WACV.x.x6U0kjVInlnGOeQEEQeez4hmXcAekwfAc1ddN/D4a5L.	113	2013-08-03 19:51:34.918455	2013-08-03 19:52:16.339615	136		0
10236	10bvejvvokplv3zl9aju9ioyv9	$2a$07$.xFR6l..pk.HKv/z3/7HoOi.Pafl.mH6mdqs6Yu9YICd/h7HSCII6	114	2013-08-03 19:51:34.941828	2013-08-03 19:52:16.733658	136		0
10237	103epuagofiq7kuakya502y1ma	$2a$07$hs3Ap0JOC7739KQWSQvaruUPxsydz8J.f7tWA3Mt93tYqLGzs2vCG	115	2013-08-03 19:51:34.964222	2013-08-03 19:52:17.09969	136		0
10238	10x081l1emppz41qg56rlwcn41	$2a$07$ianXkVzHDNI7HqB9CbGe4.PHoAFvqeUcDrzVzU5wv6R0gh3XPVKPe	116	2013-08-03 19:51:34.987413	2013-08-03 19:52:17.350305	136		0
10239	101oif7iaipwohxnfdpp6hbwpt	$2a$07$.wzjV7YJMxEvXUQLHbQhh.4DDPa3O9LceYgL8NiZOLg7oWZYMLL6e	117	2013-08-03 19:51:35.011268	2013-08-03 19:52:17.49425	136		0
10240	102smp0cpwmn3yq1qga8wanmvq	$2a$07$CyQhmEWpIDSpYC0g7zdYXe3ymSfPKj1370GGsrtxAGgo.ieFAj/lO	118	2013-08-03 19:51:35.032903	2013-08-03 19:52:17.63203	136		0
10241	109vy3170fw9zijgy99jwbdmqp	$2a$07$uzi46rIteQGOss6Q5ihiK.reV7pSeNaxzUHEFjRZfOhuf0QrBI2AG	119	2013-08-03 19:51:35.055889	2013-08-03 19:52:17.795435	136		0
10242	10q4jfy9n41o01cxna724u4b7z	$2a$07$3IOjyUNGp9A6r1GSp6WXO.fNeH3T55J35G.olqHUTCRkUkq0hwdn2	120	2013-08-03 19:51:35.077717	2013-08-03 19:52:17.942082	136		0
10243	10o0xqfehlpi934hqdzy75mnjf	$2a$07$ys7CHI5HHmTlTfVl.xC67OMZjHhdDBx4pb/cSlaDYdseD0O/21FDC	121	2013-08-03 19:51:35.101003	2013-08-03 19:52:18.245374	136		0
10244	103havbngx3w7odl8bwunhm7iu	$2a$07$opUqk6M5QZrtif9toY3doObduvS/tUjM4ssXXkeVQNClqGZ8ZJDKK	122	2013-08-03 19:51:35.123734	2013-08-03 19:52:18.614163	136		0
10245	10dphv1ea5z7th39s3hc4kmh5p	$2a$07$KHhp4GjxgdUNVOV.ngvTBesuZ.xycDDmDxXPizFEaXLYtCBVLKYxW	123	2013-08-03 19:51:35.146887	2013-08-03 19:52:21.63049	136		0
10246	10nndkld74m0v1sl16oe6xx8ii	$2a$07$JNWAPyt/rk.fsyUTzoR5s.rdeJR0ni5nWoMTwu5xc8/72f5gCXoL.	124	2013-08-03 19:51:35.171497	2013-08-03 19:52:24.700895	136		0
10247	10pd1cbgcx3vhba9r6dfgb05zf	$2a$07$TF2svhbMB/loBSlskYXhaeOZVweXz6WPTx80MRli8Puue.9g7VBzK	125	2013-08-03 19:51:35.195848	2013-08-03 19:52:25.03399	136		0
10248	10cewu98t5i9ltnsugbhh72el1	$2a$07$bm7Ll8Kwy3E3qYFR9SRJR.ROOx.OT0w3rwiB.K3qPIdKre3yzDVoK	126	2013-08-03 19:51:35.219012	2013-08-03 19:52:25.366949	136		0
11671	10efn0ao5ub1edl1e5dvfy8uxf	$2a$07$pOa.beNAwH8lKuAIUwhOhuTqXme1pnNJwR1OuFkm8rI.HRw75N7Uy	37	2013-08-03 20:51:38.922421	2013-08-03 20:51:55.265402	148		0
11672	10pya1dedwz17upsvrqohp8iv7	$2a$07$RH72tl9GZdNvKnBjSNYPkuZRBvCX17JymxXNVJECQz7lg5nwd9dZy	38	2013-08-03 20:51:38.944139	2013-08-03 20:51:55.38366	148		0
11673	10mih6bjw3vos04vtxxhzdo74o	$2a$07$0OaA7ReYdVWA5UbWzewOcOS.A8ZZolfgWK1gWdxHRWL.RYUtuC6xy	39	2013-08-03 20:51:38.965958	2013-08-03 20:51:55.519673	148		0
11674	107qmsr7ul6pjqmb402ywn87u1	$2a$07$Wq.yU4.wo9qL88rs5vDu2eFZT.MHqrKTJ15vOg0/ZeLcOoPzwVhX6	40	2013-08-03 20:51:38.987564	2013-08-03 20:51:55.65685	148		0
11675	105ctq04le9xmvs7llsypxlhrc	$2a$07$edo2nI6DF3JXXl0j96EnGuu/71C6x.xKuoDq00/g2K3YhQN80GdFm	41	2013-08-03 20:51:39.010675	2013-08-03 20:51:55.806357	148		0
11676	10j6cvkvw9ebus4k1xe8wh3vtf	$2a$07$SdtM8S7aBN/t3p1mJyMdVeMRqOQgqx0RNB.RMEKfK6Sg7v4kDAGDS	42	2013-08-03 20:51:39.042852	2013-08-03 20:51:55.961501	148		0
11677	1016jlmt17vkj77037qwb5oumc	$2a$07$yZhYWmt1Oxknz1ln3gHsbeq9C.5wZUSeDGfEcZhmoUX5pO7R8yTR2	43	2013-08-03 20:51:39.07622	2013-08-03 20:51:56.118446	148		0
11678	106f6hvouj8wc9spovy58ge0k9	$2a$07$saCMfXBIvpYZ2MRwxQYypOy65CMp3GS/S4vHqsnwCQIkdMUz0MqIu	44	2013-08-03 20:51:39.098301	2013-08-03 20:51:56.260857	148		0
11679	10bzw3j0wbfwrm0k4nxum09ghd	$2a$07$jrXJ4eMNdcPIoSsf.3EF0O2o9vXSU0U28VPiv3bifGKa15rtZ1Qyu	45	2013-08-03 20:51:39.120094	2013-08-03 20:51:56.399244	148		0
11680	10oov6yu32r8rqtpb9vkacqh5k	$2a$07$XNDFNyfMR2eNKq09KMIER.aAzzM8kkL6JNPSG.uXjHK5mSuKT1HEi	46	2013-08-03 20:51:39.14228	2013-08-03 20:51:56.655972	148		0
11681	10ci3diov5cjduh89ftoloh20a	$2a$07$bo640EYgxE6y4Qf8KFtruOso/12iQpfN4umrAyXfd/AxKRgfM5wxe	47	2013-08-03 20:51:39.164715	2013-08-03 20:51:56.808183	148		0
11682	102kx7lzhy2k4x523ghs7ccfgm	$2a$07$IqzpiS.0ESfeA3Zx1sO0OOtnOn2/NN0bi6TK6SIVYduk.6nNDhcNe	48	2013-08-03 20:51:39.186433	2013-08-03 20:51:56.991431	148		0
11683	10fifouieyb5mu3u1f8vibefg2	$2a$07$M97ZdSeXP4OGAi.IWPo1muOjCMdd.ToiE4nrRUdxORGyTERI0tJMW	49	2013-08-03 20:51:39.208582	2013-08-03 20:51:57.119869	148		0
11684	10ehmdh9stgpqdlicqsw2kjzva	$2a$07$y6CW8OCmbww9J8QM0fTpFOf4pgJXI.bBI1f85vylAn/6W7oiqtBvm	50	2013-08-03 20:51:39.23027	2013-08-03 20:51:57.246997	148		0
11685	10bwdaa0iav5lcm6je3b74tgtn	$2a$07$iNdGx4eF835FvqtfbrDmnuA8lJK6nLMb8HWqXBqghbLoz91fvXyi2	51	2013-08-03 20:51:39.25201	2013-08-03 20:51:57.373586	148		0
11686	106nyc4x44f54h7aaf4fdcs8wu	$2a$07$XT2.GqWkw9xXWsYpvWekA.qu.mh5lbCV2NFvpIbd.cyQ4ddzKOxBK	52	2013-08-03 20:51:39.274344	2013-08-03 20:51:57.514548	148		0
11687	106xg2jm4jpfr2e1e7mhr7vq79	$2a$07$kH5ygfbDc7JUP5udKqpYP.pXXEsTUWBLzn4HU34d3bhPT78aaqdBq	53	2013-08-03 20:51:39.296324	2013-08-03 20:51:57.738821	148		0
11688	109cuebgqndqwh8yld95ugkeau	$2a$07$FjW07aTS6IU8HUftmeyUa.Pqz47Vl3wmQtd.qxaEhEFnw90CBeOlu	54	2013-08-03 20:51:39.319219	2013-08-03 20:51:58.055642	148		0
11689	10sj033ser4ghr54zwex4o4oql	$2a$07$OkcBgLNpr2z1SYzFknHMguPxJmgRX9y4W8Dqo/ipIULEkr0qi7EZS	55	2013-08-03 20:51:39.341746	2013-08-03 20:51:58.17355	148		0
11690	104x52e27c9sqm7ctkq2us9pit	$2a$07$dxPLOmlKIPhErhowyifxtuqNyKNZfiRpSpgZnt45cL57mn5fZ4Bwy	56	2013-08-03 20:51:39.364918	2013-08-03 20:51:58.348956	148		0
11691	10vr1q1hydk1dnlot8mcylytou	$2a$07$IdpIEy8LH7evhiBtEwh4S.r6mXUWDdELj8yqZf6dxQzBkR91.wkpy	57	2013-08-03 20:51:39.40322	2013-08-03 20:51:58.47284	148		0
11692	1085gkahkgyupusb1i1f8zo57a	$2a$07$LqNnyhmRJj9EIDee1SPq6eJlnHwEaBs8jash3Lnn92aIJeeGglaGS	58	2013-08-03 20:51:39.424948	2013-08-03 20:51:58.616593	148		0
11693	10bt0xnfk7iybxrwuan9k5peti	$2a$07$SfdaR7lpqdDf22Uz1JyBbOb7OqxmoJlbl.A8qDe9.e7/jpdc3i8dW	59	2013-08-03 20:51:39.446748	2013-08-03 20:51:58.756032	148		0
11694	10bbfsknfh914anxfav9w4bhxe	$2a$07$45mafCwU/dTgcRBYRAdFWOYwwf7FzdtY/RTxXGCxD5ooSFpK90ar6	60	2013-08-03 20:51:39.468468	2013-08-03 20:51:58.906808	148		0
11695	10oo6bz8gyoqs96c6zt4gf4dlc	$2a$07$sgTuZCVBf9vSXWoLlHtj0u2I9cloKFqKFf9hsT94VvBG7dcX7kJWe	61	2013-08-03 20:51:39.49185	2013-08-03 20:52:01.552969	148		0
11696	10g4iql1sxud6gfs87ya90ws8s	$2a$07$3Go1CKR7Vz3P6yXMg69vjelKn0fRR8SqqLL22m3k3ug9Y1NR7Ltp.	62	2013-08-03 20:51:39.523958	2013-08-03 20:52:04.673799	148		0
11697	10kaw9rucxa1exdnzl9q43mqu2	$2a$07$gKDDR2m.4gTT.0/o7YYd7uqTU5u.2Ew1bgGDcgvbCn8nd3rFuhqzS	63	2013-08-03 20:51:39.548579	2013-08-03 20:52:07.794512	148		0
11698	10n6s7c9i6gruw8cj1vkqs2c24	$2a$07$h3cGaEIH5jVYCdnjOxOnjevJQzk1au5REpuKYH3dMBzByJ.Swp/c6	64	2013-08-03 20:51:39.585624	2013-08-03 20:52:07.920204	148		0
11699	10s7uv5idwf0xmp2yqkilsg9io	$2a$07$3Zw9YyYWJ33UvfxbNZOCuu6gUKNmAHTTbGGpOnDstVJN4oxgwKNKO	65	2013-08-03 20:51:39.612645	2013-08-03 20:52:08.040271	148		0
11700	10jr4ikolu69p2lsgd31f78c0g	$2a$07$thxklgf.WkBk6WERse4S0O7KNy82DUd.YuDSeknqwCaxZKvEBxZsG	66	2013-08-03 20:51:39.635619	2013-08-03 20:52:11.405406	148		0
11701	10tc507qz5yyfy3has1lzcfqs5	$2a$07$imRtboKd7IYjUChFWqiXSOxSTo2OuJvr6xfeFVtGa2n0i1UQc9Ix2	67	2013-08-03 20:51:39.668199	2013-08-03 20:52:11.53169	148		0
11702	10bi10yt9rzwqaibokc1uy03kv	$2a$07$Kyik3LNm0WKrZ2OwFUR84eTn8jt46bXujRB/K4LeXU/A1KmSHH1XO	68	2013-08-03 20:51:39.69265	2013-08-03 20:52:11.66307	148		0
11703	10epndents6r6i4ay039vq6333	$2a$07$GS/EZ/YiIjWx/6UBtT3Lsu6b.lfQ.0BCpRg3jfn2/tDHXRp0lwD42	69	2013-08-03 20:51:39.715603	2013-08-03 20:52:11.808043	148		0
11704	10hqc8yglenq1tid6htiha8b1c	$2a$07$xPmhv4egDvZTFjl.4Fe/.eEC0Hvc8xqD8s6990pHlUC1Tp9UTVK.O	70	2013-08-03 20:51:39.740028	2013-08-03 20:52:11.939456	148		0
11705	10fy6ztgfqggdw96cz64o9b89b	$2a$07$.m1BCfVHhxKdVljgw0hhIOevla6QRZgL9JhzRUNSPWowhB33hY/Ga	71	2013-08-03 20:51:39.774412	2013-08-03 20:52:12.067547	148		0
11706	108tn7zywjkt6ipwzujhx0rzf0	$2a$07$HGp0Vtx3tQuO4ETtVd5Hterex.lPFRAW9GOuA568sh2yzDUXgKfoS	72	2013-08-03 20:51:39.80922	2013-08-03 20:52:12.203577	148		0
11707	10zre66uqu8z3gdvskn5xe7f17	$2a$07$9iawm9jUgjU3/g4WE8DDCOFTVxyDxrGI8rZp0eLefDygSsesSHTGC	73	2013-08-03 20:51:39.833408	2013-08-03 20:52:12.537863	148		0
11708	109ujh2pa3m2zxl2lh2b3bck4e	$2a$07$hQSg821XTsyXDKiBH3GFfukItaV3SdigM/ga0x1sHoAseXvtJ7Txm	74	2013-08-03 20:51:39.856374	2013-08-03 20:52:12.704078	148		0
11709	10sun4glrdfjg6sewlnrp7zlyo	$2a$07$vc4fu99KYmo7u3fcCwXFW.NRczS/q3ka6ldZmBgJX3rcwCrWLFECm	75	2013-08-03 20:51:39.879486	2013-08-03 20:52:12.822673	148		0
11710	106xqagjsiscvploqyhn9pmwoh	$2a$07$zspK863FoXbkJEMqDBiFCOvtKHnvrcvoTYHeoU6myn4WTnWQJTik6	76	2013-08-03 20:51:39.900929	2013-08-03 20:52:12.971169	148		0
11711	10yc5aya4nxo52v23g0d9l6ohz	$2a$07$Bhlt.B3IT7esIjvMLwtTke95Z9GI.PXJr8a2DNhGBmdGflcvjAuEu	77	2013-08-03 20:51:39.922271	2013-08-03 20:52:13.10926	148		0
11712	10rc6ubwa8ufx9paczpslm2yhe	$2a$07$V9SaJXDbnFbRgI4AwYb0qezjDS8fMUuQ5TgcrwZAOW2nm0L5Tfe3G	78	2013-08-03 20:51:39.943505	2013-08-03 20:52:13.356571	148		0
11713	10z32o3gay47zimksrcujkah9f	$2a$07$mdl7IffihDDjirJlb2fiOejYv018s9cuHQvqC/gP2iG9lDHKjmobe	79	2013-08-03 20:51:39.964924	2013-08-03 20:52:13.5708	148		0
11714	10p4aqy4zr1gnk9xudw2hnbu75	$2a$07$BtPuMbrMkp8MtehDwi2PROtCyttVibMnNP2KftKZRAyI/r1uYmNSa	80	2013-08-03 20:51:39.986321	2013-08-03 20:52:13.695134	148		0
11715	10u45hyi26fa909ao8tgqavdgn	$2a$07$wvgOF4y5JKjDkNMJjfyxY.cKzNRgzQmyzrDpgvz7elp.WARsW1I4u	81	2013-08-03 20:51:40.008817	2013-08-03 20:52:13.996127	148		0
11716	10vqozv0a6ofcfrq7df6mklkdb	$2a$07$/SR2e1bdeGgar5FohWPAP.BPF4TXefSdM63iQSNff7hVzaM8W3nE2	82	2013-08-03 20:51:40.033614	2013-08-03 20:52:14.093431	148		0
11717	10on11023dsf0nq2c1wegnl4y0	$2a$07$JhG3cHlKQ2C.PXBfEwDlRelk00lpR6B6s3Tu2g3NrDh9jST9TXDAm	83	2013-08-03 20:51:40.056275	2013-08-03 20:52:14.314144	148		0
11718	10az1w83it5y9fjnembb99d5nj	$2a$07$.PLL3MrYz4Ty1JdP9YLtOOZfKCavndia6ddTpLkb0lUvDDN4Lh3Ga	84	2013-08-03 20:51:40.078765	2013-08-03 20:52:16.983321	148		0
11719	10tvuu5nhv420n3cjqyryr86d6	$2a$07$FMHIpfqV5r6qvA8ZHpNnTOI4/5sVsBE3UXdX2gUiH03ddV1xGafKK	85	2013-08-03 20:51:40.100638	2013-08-03 20:52:17.18996	148		0
11720	106t45wqg0iukjgle3lp44x3gz	$2a$07$PK59B/9ZpKppKWjWjGgBFeh1PU8VPKfw5GPrc3qP1s4zUHI7M1pXy	86	2013-08-03 20:51:40.122453	2013-08-03 20:52:17.492838	148		0
11721	109m8sg9mcq7g53kwovds6qheu	$2a$07$rt2yQCWBM1kKVhSSAiUzCe70NbjGBJntWu1FWWUIvj.VAJmC04rXW	87	2013-08-03 20:51:40.145307	2013-08-03 20:52:17.646421	148		0
11722	10e2w7fym7ra2whcolvavdhu72	$2a$07$SkK1DRO9uBhaN6TgrriVr./R7rjpTWO7pNUlWdwN1PgzaiP8hPkxq	88	2013-08-03 20:51:40.168552	2013-08-03 20:52:17.811781	148		0
11723	1005fx2g6uev2py9av40cw6bl9	$2a$07$vFmPBiMkxbepj0bKuWLQVuVBCMCYv.4wxzz3zm0J1VavTu6ziygOS	89	2013-08-03 20:51:40.194162	2013-08-03 20:52:20.87903	148		0
11724	103ntk8bvts1idsdcc72t01zff	$2a$07$1PnB77lO2uUrvLlRclHqsON364r9QS/rvBbbksBk9kwYuYtxHdS/2	90	2013-08-03 20:51:40.21673	2013-08-03 20:52:23.687602	148		0
11725	1068nmckjamzfodhgh4mnzqb3y	$2a$07$o2oXYW8xoNzkSHTyJ7Fs6uxtuPpBS4CuFaykA.OGe6d6iDRZJj8Gy	91	2013-08-03 20:51:40.256306	2013-08-03 20:52:23.81876	148		0
11726	10rw16xbttv7lep3os9jcpymc4	$2a$07$IgOAliPk.Spo5LhqLyAqOeCSiTP1FXbV5Cpv.PJUog352OdQmWw.G	92	2013-08-03 20:51:40.283231	2013-08-03 20:52:23.965909	148		0
11727	10ex7b8cycfrwa1r0gum1oq25a	$2a$07$9Tp9L5NYsvZurWdBrlkjQOp8hGEBxVCrL5b.OSXeXR3LpG7yztU7O	93	2013-08-03 20:51:40.317941	2013-08-03 20:52:24.116097	148		0
11728	10qksef521ghz0twrx7fkckaq7	$2a$07$f1M7a8Z4TKtuwbhi5ijDk.K7T8V69SqwzqtwNw590f0knZ.AUGi/W	94	2013-08-03 20:51:40.341557	2013-08-03 20:52:24.265689	148		0
11729	103nk00xx3u9pkggyd9ewjt27w	$2a$07$M3EoYm9Ba5lAu6uUPXbhrOTDygScFDrUqTNJd9cNlLKOyfm2FaZ3q	95	2013-08-03 20:51:40.365446	2013-08-03 20:52:24.405738	148		0
11730	10a7j8quu03ba6xv1kqx51wm89	$2a$07$5L9c24Sc0HG0JhQS7e0HxuUJJ1RAiwC2GoKIfzUlgkrfXPMAvMueO	96	2013-08-03 20:51:40.389529	2013-08-03 20:52:24.555034	148		0
11731	1097due5q87k9bfr4f28kwtaes	$2a$07$1Lkaj2mQUkbGGqDOSsvk3eIQlkc1aEJ2JyZzoaKXVt0Ax6kJfNu02	97	2013-08-03 20:51:40.411362	2013-08-03 20:52:24.682866	148		0
11732	107y1he0363g1bbp9h57bb7xld	$2a$07$Jta9WXcuRuE1kO/gR9oHd.ZBERqJYjBZiYgGPE47QThgjj9vEwH3S	98	2013-08-03 20:51:40.434322	2013-08-03 20:52:24.828092	148		0
11733	107k9jsbda9w7d2xw752n2tdh2	$2a$07$nddKcVOK5pEczzm0FwESCeHMwTrsmyK/kzXVzxrqU4HsAq3N16.xW	99	2013-08-03 20:51:40.457721	2013-08-03 20:52:24.973692	148		0
11734	10ok4ydynsf6r38vmqgvq7l0g9	$2a$07$iV7t6TWgAxr0lRnyHK4gbeJTK4x4zwVNNUPpiqUZc.UZlNLJ5eDQW	100	2013-08-03 20:51:40.480735	2013-08-03 20:52:25.096664	148		0
11735	10gqv22cfpsrgdieiceig8g0xd	$2a$07$MBfel0asR3K/HwDO9XQlJORrdE/c4qLn0fBe0FiNDiHEHE74PSSNe	101	2013-08-03 20:51:40.50257	2013-08-03 20:52:25.216322	148		0
11736	10qc2p0bbi67t007a9uafk8k0h	$2a$07$5OPp/.p6JOP4u1mq.f72q.sOROLZqa1qm0LXZlSXWXMnraxmBHypq	102	2013-08-03 20:51:40.52469	2013-08-03 20:52:25.364088	148		0
11737	10f716sodzsovvj77bphgn6rx4	$2a$07$OkvKxlFKy4tiQnudrHux7.otXSMV66OkuEOHnrtCI9TEdU0IYVIM.	103	2013-08-03 20:51:40.548209	2013-08-03 20:52:25.789495	148		0
11738	10y582bjvpx28n9v22z7an031g	$2a$07$WZnh1acb2eXnsHX1eFGAbuE.rU3ydcZGyJa7WTkQabmTjpjdwozMC	104	2013-08-03 20:51:40.577087	2013-08-03 20:52:26.212117	148		0
11739	10qv9cs8ag064usvd998xk7s38	$2a$07$rZ8bjj9gvzY8FldRCV26Eejav77Z/bVRXn66lOC16g6qFa9.OofrG	105	2013-08-03 20:51:40.602829	2013-08-03 20:52:26.364186	148		0
11740	10olq9okyucw90xjrafu1mafl1	$2a$07$z9KbkbWEn.VUfPlaPU6SB.om8pC4XGMw1zDpfYbtH2Cp9KSkN.CCe	106	2013-08-03 20:51:40.628495	2013-08-03 20:52:26.504065	148		0
11741	10a4v5cm5gfcyj4b0pcr9agjrv	$2a$07$Yi9xcuwHIyCGcjHn0SSJQu94BC65DCapFTeIaT37CaoywjSpLfr2C	107	2013-08-03 20:51:40.655159	2013-08-03 20:52:26.64243	148		0
11742	106naobvmo3dwaim93kxln0z4m	$2a$07$qRonlpWQE0Kwv3XX9aKAKOfxRH4YlgrwludkpcgYtZVr/RGDgyPEe	108	2013-08-03 20:51:40.681338	2013-08-03 20:52:26.765898	148		0
11743	1067b31ipsm1jh5qt1ln863kas	$2a$07$YIoZt.oOdFawWS1T8WU0meGop9ErcjNgaqt.0T6KaUe.3O0lN3z42	109	2013-08-03 20:51:40.704472	2013-08-03 20:52:26.896845	148		0
11744	10nhsucv0yzqvh2dlgx2c49mwi	$2a$07$MuXqFaWkDj/xESu5oiffxeGosMFT3c2NLkDr5uUaeN.rKWGcDnDga	110	2013-08-03 20:51:40.727674	2013-08-03 20:52:27.024401	148		0
11745	10b0o6tvsvtu6e8foaejxiou2c	$2a$07$8o9Xd68uSYWZ7ATPxBkJ3.b8E.VNZNriFwODi4Bzk2xqXOISlsX3.	111	2013-08-03 20:51:40.750534	2013-08-03 20:52:27.149169	148		0
11746	1047i457gex1rlbirwvbxsjhka	$2a$07$8Hz/eRspZb6cYG9NB2.auumV/0gAw2aXrTg//zwxlgxy0.8N8uhk.	112	2013-08-03 20:51:40.772513	2013-08-03 20:52:27.268676	148		0
11747	10jrblw1fwi2x1ntakdnjcar10	$2a$07$yjCD/T/f26TzyQbZjc354ukxmR.R/Vk0y7i3pGqIU1Hns.g3XJkem	113	2013-08-03 20:51:40.795773	2013-08-03 20:52:27.460119	148		0
11748	10wgt6t5owf007c0k2d909xix0	$2a$07$N/IPoTSX.bFy8iiCrGl8a.V9d8Gr0vjtk/IFam44vFdyGRVZ3fRnu	114	2013-08-03 20:51:40.817185	2013-08-03 20:52:27.69613	148		0
11749	10ref2129s7plvgxw4s1h2mwa3	$2a$07$JkFxJQKICFUkHQWCWbHyW.Tn7k21cgjxWFzzDGkl5a8sOY4VBOnNi	115	2013-08-03 20:51:40.840193	2013-08-03 20:52:27.846938	148		0
11750	104xtsl28o6pfq7lsfjbvgjk23	$2a$07$1FxGUe1p8uzD7X.LhULJMes0TKBXP7PY81U70H2r9a0gxbkBvHv3i	116	2013-08-03 20:51:40.861911	2013-08-03 20:52:27.975638	148		0
11751	10wn9ldmuz9qot79se3mb0yexd	$2a$07$XXM/JG2fET0j8yWrC6qpheZXAFiAnAJDjDrE5kdWRVjdpb8CU/6gO	117	2013-08-03 20:51:40.883184	2013-08-03 20:52:28.106011	148		0
11752	10a5uplsjzj8tp4jhrxns0ow8f	$2a$07$K9ge.7qOPcd.x.VZMYuBBOnmBXZKpRavoEoRPjqQKhP3/aF6.gUJi	118	2013-08-03 20:51:40.904319	2013-08-03 20:52:28.20829	148		0
11753	10bcuicqao11fi9jh9mf1zeuun	$2a$07$W14rcBIEplmXWi86TPyxGO1Rpyc3ABmUlNX1sauwCeE2x0/juozB6	119	2013-08-03 20:51:40.928156	2013-08-03 20:52:28.332574	148		0
11754	10tsm9crx0mwqwcpkmq8k8blpc	$2a$07$BFgu8MULBQPMu/ytURjPlOc2ES1.uCn3c56Dcwjv46SesOlnjNBgG	120	2013-08-03 20:51:40.956332	2013-08-03 20:52:28.471555	148		0
11755	10jargc2zqz1nbfctockyjvq40	$2a$07$aQeUTZflUHZ7CddNrrnOWeUvlh3PzPHOYN0yoO/zMfMQNKVryt3qG	121	2013-08-03 20:51:40.977719	2013-08-03 20:52:28.74788	148		0
11756	10i6ngobihfh369sa9lhj1bgje	$2a$07$WbenQlP4YgEwe6FM59q0L.svHb9Ej/LRgCBTJ3q2z86HB.sjfOh.S	122	2013-08-03 20:51:40.999116	2013-08-03 20:52:28.983576	148		0
11757	10464cd1smlxnazb13h3i73hl8	$2a$07$E/PhKJ7IWw7RnlTvM6XAk.OevF/zQ8n0XUPRGOZIePiQAym49Cu4y	123	2013-08-03 20:51:41.021557	2013-08-03 20:52:31.557438	148		0
11758	10n61se8iwohcrfa7qa3o35b1q	$2a$07$e5m2WwN307xFJ1tqsBu0v.rY0E88cAOiW1.yB6Z6y9kIUds9kf21a	124	2013-08-03 20:51:41.047708	2013-08-03 20:52:34.376298	148		0
11759	109ckkkwzagd4ai55em83xqi7w	$2a$07$KQnD7WCJbRoyVTLRIdv5eeqXHnxomZL4QdqGM2cSgRztfD5a.yPau	125	2013-08-03 20:51:41.072061	2013-08-03 20:52:34.684001	148		0
11760	104q58squhlocey6875saz8vo8	$2a$07$SwsDyNwj/4EL2iXVO6Knv.2kr39KxUPEFPrZCuUbSTPFcMnjggrsG	126	2013-08-03 20:51:41.09541	2013-08-03 20:52:35.012316	148		0
16573	10bxxk9fpcy083qef2n3x3w3jn	$2a$07$S51oHrwLCAUwMQwBsBrkoeyTCLh606E/3lnDKeixCWsLP5m8CvWE6	25	2013-08-04 00:04:48.797295	2013-08-04 00:04:57.100444	187		0
16574	10ebgpkq81l8pyriiydh98rvj9	$2a$07$XgN5huPkvwdCj4AkbVoAduebH4yQIJTKQL9Z1axfNPXUciCZN.eFu	26	2013-08-04 00:04:48.820718	2013-08-04 00:04:57.21419	187		0
16575	10avxlbg97b410cqhzofm0y5x4	$2a$07$c83/wDnv7AaSpZilkeEcF.Pkzd7XP4eQLmrdn1AnAtqjJO7g99BAS	27	2013-08-04 00:04:48.843033	2013-08-04 00:04:57.355536	187		0
16576	104uoescy2kw79jfoj4bov0vmg	$2a$07$HYiz1.p/kGWWLO6wQGKD8ORRWq9PeXgCpV/pvVdTxJ5qDpDEYGRBi	28	2013-08-04 00:04:48.866311	2013-08-04 00:04:57.781181	187		0
16577	1041mmxjiue0rvnvx5uz2ohwum	$2a$07$NHLpOBWZ4.NyfEunHy4imuPk4z.t4qdfeQhksumqqpU90lndNhPzy	29	2013-08-04 00:04:48.888711	2013-08-04 00:04:58.230836	187		0
16578	102t8o5bxn82i72evsg9kh696d	$2a$07$V1gX1rXOoaRjND9.34MQl..76ErHaMJCxwI2HCeybJP/p/zEj1fSm	30	2013-08-04 00:04:48.91234	2013-08-04 00:04:58.732268	187		0
16579	10xsflvacwedwt4b97vc5rbrx9	$2a$07$dkXTMQzwKOkxzWMy8u2kL.XGppg9UB3zrX7QAEL.c6DVhOC3IjTr.	31	2013-08-04 00:04:48.93484	2013-08-04 00:04:58.856149	187		0
16580	10ptwobt45mqtj9rhvoxozl9w0	$2a$07$4AaGkwLzWuVgq4FOOgmQFuMo35SwWghySoSMq3SGN2.5dXU/ctl16	32	2013-08-04 00:04:48.958116	2013-08-04 00:04:58.981524	187		0
16581	10k8zaehfyebi9mn535fwtzhcr	$2a$07$F4AxAUM0WzWuEMdLK7NdQeBoY15I3l5YAxLAzN2QjNP6l9pw5riRG	33	2013-08-04 00:04:48.981697	2013-08-04 00:04:59.105812	187		0
16582	10z35vj1fyc2u8m0v6rrt28mn9	$2a$07$k30GS9oENBUYnhGjgAoSW.D9fIe9lv0ozD1JykMKK7s5Hc0RJY2VS	34	2013-08-04 00:04:49.005478	2013-08-04 00:04:59.249513	187		0
16583	10y7w4i0f76xo174ab06rbvtej	$2a$07$HhIvRAqNHkr/fbtWC4wO2OE6X6y0bSwE/r6XKVMPUqAJfrk6cnONO	35	2013-08-04 00:04:49.028563	2013-08-04 00:04:59.399141	187		0
16584	10szrpue1akimrderlwnykxlv9	$2a$07$9.4eqHEL.8mDZTZPcVJWRu7E08AYX5vYn9TTI9IF4t/CXpw1geaum	36	2013-08-04 00:04:49.053424	2013-08-04 00:04:59.543993	187		0
16585	10z8bs6xbx6n7hjcfzmivbl5ns	$2a$07$DSz.Wzhu.qwq7BHefdI10.4Itjrgt4/7ugTpgu3cP/2llglHzYCiW	37	2013-08-04 00:04:49.079449	2013-08-04 00:04:59.812336	187		0
16586	109bd7mogaxstuw5pwyfum1emh	$2a$07$JuYiPS.m3mitFMxL3r2xV.9pkgmNNv1vRo5VE7uK48NNYp7.yvVVy	38	2013-08-04 00:04:49.112746	2013-08-04 00:05:00.02239	187		0
16587	10wwuf4l1bfrq7h4bsjfrkiyd2	$2a$07$gSJv3pMbKpmA6U0c1O/eR.78YBriO.3NUY6VySroqasYmsczIk1FG	39	2013-08-04 00:04:49.138696	2013-08-04 00:05:00.16769	187		0
16588	10a3slsqks0o7k42d8ilhes3f0	$2a$07$sgXt4KcJuj36BVd5T7bCz.zNc3qksnE44DNlUnlkEtk7AQQnym6ve	40	2013-08-04 00:04:49.173968	2013-08-04 00:05:00.281543	187		0
16589	102d1pz70a4x05wj1cbwfohc86	$2a$07$70iuSEnijIiiHsaxPuK5Hufy/POltKhGkbRfJo8AoJYx27/4QIw0m	41	2013-08-04 00:04:49.201802	2013-08-04 00:05:00.421704	187		0
16590	10snn4ie5n7rzapiokpo24y6gu	$2a$07$MFxKidc6Ezc3CGD/hSSWneIP0AFrv.FbWWjT3DEnvbv6YLp5ZgAQ.	42	2013-08-04 00:04:49.225982	2013-08-04 00:05:00.547012	187		0
16591	10u3q17w3zfg7fnisj7xie16nu	$2a$07$wPbU158mQ..fKYi3C.vziOexeg2NAh0wHA9uoji9o/W5s6plQAS5O	43	2013-08-04 00:04:49.251383	2013-08-04 00:05:01.529677	187		0
16592	10i0paoan7o9tpcigijli21wa5	$2a$07$DFvESP.epiCU8rQ7u8g1dugjwpF/0quTEq62Bqagt.6qeJhrRv8dq	44	2013-08-04 00:04:49.27796	2013-08-04 00:05:02.669581	187		0
16593	10yvxib66pcicjhoz63vqebgnb	$2a$07$.ZI3Vt/IoWc2izVEnmHE3eKHGCJcMkQNQIWYO9JzlP52WtpjmcYNa	45	2013-08-04 00:04:49.301946	2013-08-04 00:05:03.812005	187		0
16594	10ay87he0992v3j6v5jtibgly6	$2a$07$mYQ8hHIbWcX17s1/3u8sjen/Hkq1tecd0OYqN5PCflJ6RyykX1XUO	46	2013-08-04 00:04:49.326425	2013-08-04 00:05:03.925904	187		0
16595	10x90lhww6cahczgvi9ejoq97r	$2a$07$whiEaE0aEdvFt7e4LL4Mmeem3vCUa1V.Ut7Fj08V3.K4/3CIfN8ue	47	2013-08-04 00:04:49.350759	2013-08-04 00:05:04.033458	187		0
16596	10aywkek2twkj4e7iacyfgkajn	$2a$07$GqSbGNDPnJXdcFWuhbFTgeFbtMHI6HAeY06LQe7XvljPKydgS/vbm	48	2013-08-04 00:04:49.375334	2013-08-04 00:05:04.374291	187		0
16597	1014ailzz9abbczjbz6z8pscbu	$2a$07$MiL7L3KjKFA.rQD/TvcLLuVh0ddAkVvzGXPTIKElThYQFbw/Mm9JG	49	2013-08-04 00:04:49.399522	2013-08-04 00:05:04.531804	187		0
16598	10aybe26c195virul5ie1r10uy	$2a$07$4XhENoQUEGrR0aR9SvpP4.yfODzBnnOJHN1EX/FCr5gGD2MywoH0m	50	2013-08-04 00:04:49.429887	2013-08-04 00:05:04.686291	187		0
16599	102kgzxav9iilr5m2a6tykpxzs	$2a$07$blZ7Fw3sUTEuu9unnsUvTeHKk4xQfp6N28M509qFhI9esZqeGlwNS	51	2013-08-04 00:04:49.454123	2013-08-04 00:05:04.841232	187		0
16600	108s5ie4oqb4accokis0wvbv87	$2a$07$RrwDD7JkznCVudwmPcO20u4iBZf8LZRwHFOLjilR6gijL9BL6lRjS	52	2013-08-04 00:04:49.478831	2013-08-04 00:05:05.247625	187		0
16601	10juxjx09yp8wy2ekuimrk8wpk	$2a$07$ZFeKt20g6HvPaw7qZPsTWuOD3xqTSBxR7orYtUbKvSOopbLZ9HiOm	53	2013-08-04 00:04:49.50376	2013-08-04 00:05:05.663225	187		0
16602	10fsn5vvi0y24hi846dnoe7zfq	$2a$07$E5Gq87iu0DEelQRsVvSZAupw3llGm44m1AEAtFHmRhFmcndkqSny.	54	2013-08-04 00:04:49.527365	2013-08-04 00:05:06.00156	187		0
16603	10gfkq6h78uxdvqwi8umtzil5q	$2a$07$uuzdn6esbZlfewIYvE0tf.ILWxpJp65lOFLsidoRvNwAFQribpQ7q	55	2013-08-04 00:04:49.551475	2013-08-04 00:05:06.139861	187		0
16604	1060jt7w5p98uvzgtwweh66itn	$2a$07$KzDsheK5.qpKxn7vld0mj..L09B14QL.vCPeMbd26CEtJCXHRiSl6	56	2013-08-04 00:04:49.574891	2013-08-04 00:05:06.260344	187		0
16605	108cuddem7qea2xglp7rooqw4m	$2a$07$HnllYg5O2Uqtu5KSkkp1COm2HJLfSqrpMNox1cdjfwPzFBi.DdF2m	57	2013-08-04 00:04:49.598835	2013-08-04 00:05:06.395471	187		0
16606	10mjgswgysz0fk1ea52i7u3zqf	$2a$07$QcUJqV7w8CCpugC1ATpCU.pyUsPTUMbTUGh3wHFwru.fJ8jnV/5pS	58	2013-08-04 00:04:49.620966	2013-08-04 00:05:06.571049	187		0
16607	10csjcgwzkf4mid70bzqwbj5gf	$2a$07$NuQX/WWvDW4syD/Ogio/d.LpHWXq8qFKerL/sGHRBslImtytkZRcq	59	2013-08-04 00:04:49.645399	2013-08-04 00:05:06.801744	187		0
16608	10recoz71dg7au5pwinxjjhrs8	$2a$07$/cRo7UuMG3uw56vKPgMXWORJK8t6NcgK78UlIDRRjPnuALH.MEBh.	60	2013-08-04 00:04:49.670719	2013-08-04 00:05:07.001439	187		0
10249	10coz1oyzibt9cx22n2rhqtz0c	$2a$07$/3lVmmhrPtUs.PNVS9HfH.4CI1Raq6TmI22n5tb1y9fn8Zavsa6l.	1	2013-08-03 19:56:32.041808	2013-08-03 19:56:35.353747	137		0
10250	10f6tftajge9yif23le8orwenk	$2a$07$zHq23yFGiX82hvALCzmiiemwzSG5le/qkJv9zrntvgpzo23yzXCGm	2	2013-08-03 19:56:32.066575	2013-08-03 19:56:35.633454	137		0
10251	108xfxp7ijh2kf79650aoskpk6	$2a$07$QdaFBRPi5ssM7R.ns5R39OLCQRXyKJ6KNTjZqTrJhueCVHNnlUn9O	3	2013-08-03 19:56:32.09046	2013-08-03 19:56:35.943943	137		0
10252	10rjqm44p7qxcp4sm9ou0bbi1e	$2a$07$Nh15oavxqfOI9j3nWEXyO.HnMbag9k.Glh0gCGddIwwU2pGSAXXz.	4	2013-08-03 19:56:32.11465	2013-08-03 19:56:36.071593	137		0
10253	10cru9m6vy02u65e43fqgakogh	$2a$07$61SRZfwexThrtbg/MpMaae5xPyQwXvyIScowcfjQab4DeDkBCiZw6	5	2013-08-03 19:56:32.142995	2013-08-03 19:56:36.209142	137		0
10254	101j2sw9zvy3pdqxja4b3fupb2	$2a$07$zDV3VWhrKrs7fQl1z0vgfek1PhB1AUEq80GchK2bRv40XrQxyq0X6	6	2013-08-03 19:56:32.166354	2013-08-03 19:56:36.368307	137		0
10255	10jjxorlcevnvsql7zrdo2uq11	$2a$07$xTOsdebuk6O6jCD1/5FvKuAA8kP7BA1D9NPyN5fx19r6rHTI6eXIm	7	2013-08-03 19:56:32.188913	2013-08-03 19:56:38.596443	137		0
10256	10aun3mdia1765ugcnw1azneew	$2a$07$qYs.zzPPbjc9tYutjgpvauH90eJh/rcRsBeY5iyqjgChu8G4giHaO	8	2013-08-03 19:56:32.213093	2013-08-03 19:56:40.745838	137		0
10257	10lrlqc62a3ncqjtk2toncpod5	$2a$07$SW4KpK1B8kQmeP6ecmd.eutPcxP7yONoEKWfEzE4fo/BUAfQm2jFK	9	2013-08-03 19:56:32.236905	2013-08-03 19:56:42.625898	137		0
10258	10k07f6ox13hg3amw4rlrasech	$2a$07$mACTsUo0ellaEKFQPuVm6e7hHtZy9JwFRuPFCDBjNnBugsaWhGuuC	10	2013-08-03 19:56:32.259551	2013-08-03 19:56:42.736619	137		0
10259	10b14l79y6sayjgtt01i9urtjo	$2a$07$Xj77Vj5gVY5xBcggKhS1zOLgNfgLrZ/eGOi0uhXJB.KtOGqvEhsT2	11	2013-08-03 19:56:32.286193	2013-08-03 19:56:42.852216	137		0
10260	10v1fy63zkamoekwvb0dd7vfq6	$2a$07$blmfACbF51WUco3uWBZynuESdXop.ePWOT3P7amGOodX70nHwmAHa	12	2013-08-03 19:56:32.309614	2013-08-03 19:56:42.972715	137		0
10261	10stdt3ljbspy8s39qtp7cn9y9	$2a$07$0d/g.tbpNy9ZlWK0OgeU6uZ9pynfmJoxkeCFiFORlsgJ3/O0nlJga	13	2013-08-03 19:56:32.332163	2013-08-03 19:56:43.12616	137		0
10262	108y7gsaeurubm9g1wpby8vlgv	$2a$07$AtcXUspD1Ho7F3PILoep3Of.lv0yRg5N1/B34ifFphsFRJ5mjBZnm	14	2013-08-03 19:56:32.355414	2013-08-03 19:56:43.271832	137		0
10263	10m2fjlzerpobstdo4as1nzklm	$2a$07$NQxIHuFaaCvCrfV1gn17R.134H.71dJRgHEsA.z73wi1fwBHG2Zom	15	2013-08-03 19:56:32.379017	2013-08-03 19:56:43.401953	137		0
10264	104j9yoebz3zq55sjo577vg9mm	$2a$07$gouunNk0YGmf0wrEC5m2R.JZ8qL1FWDaD3lokWW3PwU44iqAjmYKa	16	2013-08-03 19:56:32.401933	2013-08-03 19:56:43.540807	137		0
10265	105ugxrtr4wnjcuj6zpoughmh3	$2a$07$93SPgLi41kHEf4rsbCwTduqXVQCRTAL0mI7IRDXqvhfhwZn96byQS	17	2013-08-03 19:56:32.425089	2013-08-03 19:56:43.666621	137		0
10266	107qk047c6m08e2vwcqr1zim1i	$2a$07$sUREFPeRqGwE3Uja5FPc3eA2lnq7t4y/UJTG/p2YVG6lpKyOvJgni	18	2013-08-03 19:56:32.447721	2013-08-03 19:56:43.80483	137		0
10267	10ptj1wqg0ms1uyo4hm6du8t8h	$2a$07$L6AZpeUnP24DhE8TjX6kTuXbHVkXxTmbwg/UdKqx1t5db1zj7rpsW	19	2013-08-03 19:56:32.471259	2013-08-03 19:56:43.947178	137		0
10268	10n45yqqgmyfthjyjfetv04tvg	$2a$07$2YRoAybSxtd8ypFMiltqw.7Dft1/H9e.scM8vOXOVwChEIWx4Y8ce	20	2013-08-03 19:56:32.493848	2013-08-03 19:56:44.069668	137		0
10269	1077r8dkb15pt19494yh89r9g8	$2a$07$ulhHxr15oS4DJZ8Wj1JlKuNR20vXk/vGJ1p5Sic9DNl8A3sM1Lk.a	21	2013-08-03 19:56:32.518397	2013-08-03 19:56:44.186783	137		0
10270	10o3d2p9sgus6w451rn7mzgzj4	$2a$07$EVHh9CRaemkPDciar6XmmuJlzT9gI9cLZm.xkaud4RZiuHF9RS8Te	22	2013-08-03 19:56:32.542204	2013-08-03 19:56:44.305832	137		0
10271	102nxt8h0c97fbqk6o7rsjprcy	$2a$07$BJlLIP6QGkOvJ0XVPE0IjuF467JNuJNY8yRabU95bgn3QzDN5RkrO	23	2013-08-03 19:56:32.564825	2013-08-03 19:56:44.434342	137		0
10272	10pt6p21l7unq828uvhina48t3	$2a$07$f7IBszukTpxhE0D2v3TT.eF0UuO6/TnuveVpIqpe0N1fY/OEquyye	24	2013-08-03 19:56:32.586334	2013-08-03 19:56:44.556982	137		0
10273	10l7k3u52xnixqjqy5ox3hzzby	$2a$07$IcYTbCLBzopGRQiUb5Rhk.gQrZWQUE3wWr0QhNHLVzcilFpFx2sp.	25	2013-08-03 19:56:32.609388	2013-08-03 19:56:44.676404	137		0
10274	10cxlbzw17oap5sltdpr6rir7w	$2a$07$YlY2ZPXkaJTciLaBbDA2qeUZu6sg5JFIfUS1KdeiP9klAs7zxO02.	26	2013-08-03 19:56:32.632312	2013-08-03 19:56:44.794482	137		0
10275	100tsabp828mozpwq933ko9jrz	$2a$07$31Q.8xdjBp7OCwHcdV6y5eLzAeL6BxJhOa1fzen4.f5/TejJzB.ZO	27	2013-08-03 19:56:32.657477	2013-08-03 19:56:44.929715	137		0
10276	1035gusf9p9qe1wh5n7ehl0hj3	$2a$07$nvE/guyyHkzqgtBA1h0lROgB8R/frIvmtERKmt7dn8hYeyyw3Grxi	28	2013-08-03 19:56:32.681972	2013-08-03 19:56:45.088762	137		0
10277	10mivq47k68vzyt83oiblvch5s	$2a$07$wcS/MqUemYelq4lxPiS7.uRXkqfW055aPejyfn4YPohYdW2xeBKc.	29	2013-08-03 19:56:32.70691	2013-08-03 19:56:45.216978	137		0
10278	10lwxbuhk2dzw17ykcdty66fb4	$2a$07$KMwSGQQlUH/9Oki.DUzq5OIskIkSk7vsuE2JIQ1Xc8BB4igHLgvP6	30	2013-08-03 19:56:32.730012	2013-08-03 19:56:45.352369	137		0
10279	10tigq9ryq6zyei0rbyrjrmymx	$2a$07$wkp.72SU/n9y58aAJXJ9qOzoL7MkFucrnZ6/k6SPiTr9Q7r6UTT7i	31	2013-08-03 19:56:32.753705	2013-08-03 19:56:45.495291	137		0
10280	10v3s52lc3ysxftym7w6fwqof4	$2a$07$UWoMaUbHL0W4pMuRtcJrbOpL0Qtnm5lW.3YyTqOeV2D9MQfSF4cs.	32	2013-08-03 19:56:32.776762	2013-08-03 19:56:45.631084	137		0
10281	10hlgcxs43y283ohmmn6rwi3wc	$2a$07$1EAUJyrBUjKE7dxDBdsuAeNmko8u086hKOpOBS7IFBZ4pR4NHMXRC	33	2013-08-03 19:56:32.799196	2013-08-03 19:56:45.772663	137		0
10282	10t2ld37r8db4vj78s2jj216eo	$2a$07$qrPZgmLhYyIe7r2UoibMSerg5KDwCdW/0nftLh24IDh/EX7wQedPG	34	2013-08-03 19:56:32.823504	2013-08-03 19:56:45.886914	137		0
10283	10m14evgo2cslp8jrzwf8aafdm	$2a$07$n8yLIT3muDEYkuXWjaeKVOxcpXVu99CwjZdzHH897uPGCw..JQvAi	35	2013-08-03 19:56:32.848559	2013-08-03 19:56:46.032239	137		0
10284	10d3su0xs2kil0vodtgq3ivbfv	$2a$07$59Doj6Vm9zdPgoyXAlbWm.1NxrsjLdCGtkBL2fozyGfxjbxCV0t8a	36	2013-08-03 19:56:32.873724	2013-08-03 19:56:46.196503	137		0
10285	10aom9kugyu0wynctzrd97cdox	$2a$07$avlXU1AGj3OoydZDIZkwNOjDTEuMVKIVrjDeUzXhv2VCaHkcGNs6G	37	2013-08-03 19:56:32.897668	2013-08-03 19:56:46.32962	137		0
10286	10blmgbm1migljdcaisqza154x	$2a$07$hxqyIM1QWhpvCO.fYCML1usm17Fc72nkqBNE9mY1GXFG1GarpZOHG	38	2013-08-03 19:56:32.921433	2013-08-03 19:56:46.480147	137		0
10287	10rko7od7a17uy4davq2rcdp67	$2a$07$KddQZCt9yK7rhNVw.khyZuers3UZQxbBdHh85klV7Wq13CsuSn3ne	39	2013-08-03 19:56:32.944651	2013-08-03 19:56:46.619701	137		0
10288	10ha6gag0a6c5gltlyy3dm9ety	$2a$07$JZJH567USWyffwpIz977wOtXF2xQnqBhHnOhq0OkL6iR.YrflVQ06	40	2013-08-03 19:56:32.967117	2013-08-03 19:56:46.740354	137		0
10289	100f82cssualxlfg0s4lzf8ed1	$2a$07$aYDw4n4Fr53pbqFkmizzQerN9xuEHfh2HPKbnwX54sGbyaP5exvxG	41	2013-08-03 19:56:32.990567	2013-08-03 19:56:46.885033	137		0
10290	10s95ml1x0zyj24b8ji3caf7iv	$2a$07$wsBsaOHq8jbKdCjbuRMPUOudFHamU/SUELsthycm7UlH/eCQDaGjm	42	2013-08-03 19:56:33.014211	2013-08-03 19:56:47.022833	137		0
10291	108ix0oc4sf0lwi4jd3lu7zzux	$2a$07$SK36vYjpgqqea2rU6r6uneme/VcEqkxuc7HkUeyhy.gsGAgdedzpC	43	2013-08-03 19:56:33.036545	2013-08-03 19:56:47.147453	137		0
10292	107w5hll1ehjj12ub5j2laov9g	$2a$07$xGArndvnqJpLOl8tR21RXusg8GQRUPKXSMjhn8J36wKL/btTKYE72	44	2013-08-03 19:56:33.060347	2013-08-03 19:56:47.253974	137		0
10293	10koxjqxhfm5rlta1s8z1zcoqf	$2a$07$sCdGYF21uxdBIKcITvtdh.hyGPwB4RxhN59Hfl4UNw9V0u4k2qHna	45	2013-08-03 19:56:33.084539	2013-08-03 19:56:47.402503	137		0
10294	10aw49achwsoai80v6ztzlrasc	$2a$07$39AXQ0DKcD.5J7tjmy.2d.Fs6A0V3txtNtwnl8tBHkJEL05rcPeQO	46	2013-08-03 19:56:33.107621	2013-08-03 19:56:47.573283	137		0
10295	10rtjd6zd42trqesdl3zif68dh	$2a$07$ebBz3OzrbbfKO2FKHGh2ZOpKwfs3evEGfewA.MNz6aEfQCZeob13G	47	2013-08-03 19:56:33.138418	2013-08-03 19:56:47.732359	137		0
10296	10k02ilku5t0txchn6bhv0128c	$2a$07$uZ9BWWtbmYYbZsLspQ2vpe6Y7pnKo8DWV2r4kQV1tRUynF.canJk.	48	2013-08-03 19:56:33.174129	2013-08-03 19:56:47.903188	137		0
10297	10ppi50ywvihj7k4rbdsxs0jym	$2a$07$6EBIFwyaDtfsZm58PIgnXe0UcpYetLk9HZKrtoD/8U1zAavpgOvJy	49	2013-08-03 19:56:33.198319	2013-08-03 19:56:48.045189	137		0
10298	10yaxsr0xqdjgcp4x67z4dazxm	$2a$07$Qs8vRl.u6w5o0GZ1BJKyxOtAly2D4VIbTRXL5u6zVgHS78BWYa.5K	50	2013-08-03 19:56:33.224148	2013-08-03 19:56:48.185533	137		0
10299	100s5mcbnrn6ocn823c6u2vsza	$2a$07$g81nn6Tz/1I5oKzqI9NW9eQO0Wytj6gH0OwOJE116pXqLxW7.C/Aq	51	2013-08-03 19:56:33.246937	2013-08-03 19:56:48.309071	137		0
10300	10kvp0vvl9a40d6qd7hcq1uhsr	$2a$07$n2i7YO3wODyilAV50lYiUekf2PJO0OZmJtQFZBofZb02uToDqNHMS	52	2013-08-03 19:56:33.270141	2013-08-03 19:56:48.577355	137		0
10301	10ibnaehyc88bpu3ctlj6hb5w2	$2a$07$8lFMeNLiROjq32kmeo6bJuk18k1BEgLW4640EoLGEmiG1lPfY5nii	53	2013-08-03 19:56:33.292254	2013-08-03 19:56:48.93434	137		0
10302	109s3biyzm8o255ora6lvscpus	$2a$07$/AYMe9k/Gq7vrtudTFd53uwsVfEha.haK6V.duIJOey/mfwwch7SG	54	2013-08-03 19:56:33.315168	2013-08-03 19:56:49.16981	137		0
10303	104i9au2w42jrfy9r0wyqpbnd7	$2a$07$n8BwCTEZnKAbRY2C9DaOC.O1hHNYwIb0I8RZcr2LYstTVtm6FYUDG	55	2013-08-03 19:56:33.338138	2013-08-03 19:56:49.268072	137		0
10304	107sk2t0fd109fiyhtqsjpjqlf	$2a$07$4cEM/f5Elg/k1vwVhGIgIOFkBXIYC/sOhmXXaqpBL8Zati1YoDz/.	56	2013-08-03 19:56:33.360339	2013-08-03 19:56:49.383991	137		0
10305	10btkqxzzben8j7rs551w6iyij	$2a$07$wuPb3sZsA4NX8EW8KZ15p.FNOXTVtnlR3/NEVM3xQ2SA2AIJnCm7S	57	2013-08-03 19:56:33.383527	2013-08-03 19:56:49.51965	137		0
10306	101894t0wxjtslojb45gx50452	$2a$07$WLc3Fbfuav3kN6dNBo.k0.gpFLQVxmKEGzcegJB3QIx3x5SuZu0By	58	2013-08-03 19:56:33.406561	2013-08-03 19:56:49.896093	137		0
10307	10m9gf533ucrgxswdczlcqyahs	$2a$07$rEV67hqpggCH8JOkiFZJIuxGXkXoDvzT6MnUcHg.aUgXoYDaKaeom	59	2013-08-03 19:56:33.429397	2013-08-03 19:56:50.255405	137		0
10308	109c57gfvokj23r4vew1rdmvte	$2a$07$VhQQ0fh4.IhCZRuTkkGlq.OuTHkt/k1du/t.wqlZKfV78ZIiOXr7a	60	2013-08-03 19:56:33.452553	2013-08-03 19:56:50.617426	137		0
10309	10q4alczq33q2oysaopfdvkuia	$2a$07$FRigxyU7kcgqa2JNdKyf3ePjLISzsFqu8z.qkHtch/Q/et9SDN./e	61	2013-08-03 19:56:33.476551	2013-08-03 19:56:53.405092	137		0
10310	10if81zkbtsbos11mdgkhro0ac	$2a$07$Max4YOdgTUAiXwkooG7MkOU5jHmq0EQQAV75j05HTacGY2dvYOuse	62	2013-08-03 19:56:33.501609	2013-08-03 19:56:56.31334	137		0
10311	1051ygbxieygbpi1p1j0krwj2m	$2a$07$kzhxfu4xefbY2M4CstjDWebRdXR61dWu0dkPN7wEjdaqhJB3xdDSG	63	2013-08-03 19:56:33.524886	2013-08-03 19:56:59.42686	137		0
10312	10rt9qulofm3uhvay9xq92lhh0	$2a$07$ArTbD.yJ.qQZJQMvRP3w1.UWA3j4JBOp9lFn5isJVWGFDcwQ/2a7S	64	2013-08-03 19:56:33.555993	2013-08-03 19:56:59.753899	137		0
10313	10x0ym01vtt1tq9e6vscg67niy	$2a$07$60GRjKL.AUJyjlwQuZqXfO5UsWbz1hpkZbGLOB28I8XwWLo0qhHE6	65	2013-08-03 19:56:33.579716	2013-08-03 19:56:59.908365	137		0
10314	10i4jgko6nus6uoossacome8y1	$2a$07$d8benmFUQIprlr4gjw6NLOEwR47qXk.DqvfVBUxeOjESD/64EsaF6	66	2013-08-03 19:56:33.604289	2013-08-03 19:57:01.938749	137		0
10315	108fzdkykxjvaaehdvdq01t92p	$2a$07$vN.DFCgUbjQPIDLq6Ny5XOsYgdIHgh4BSpSnu9mCeSD0kXN/mzzlm	67	2013-08-03 19:56:33.631043	2013-08-03 19:57:02.051695	137		0
10316	10im2ajelng19dnkznb760yft2	$2a$07$vxH3NoiFqvXZbLO9C0j/5uV0.S6b8iZ3RcnWZa3zq/abNAuNcSfG2	68	2013-08-03 19:56:33.656931	2013-08-03 19:57:02.184548	137		0
10317	10o14b3mwd28epv10fpcqjylaq	$2a$07$H0dk8q5p6/2O4qHca3MMC.UDDNpIspvL93JtLQW7hRdX/dmaLZaFW	69	2013-08-03 19:56:33.68368	2013-08-03 19:57:02.285874	137		0
10318	10zas27gwgi1fwb3f8d61fu8w7	$2a$07$fJ2zDGwM1jmuJS5vJ75dheCYxKV4n5Qj2RZBSTrH5zsTFNJhZrz9q	70	2013-08-03 19:56:33.709782	2013-08-03 19:57:02.415905	137		0
10319	10vp0a9j3jmen8ysm9hdvt2yg7	$2a$07$qjyNmotWe79yKyG0/y8MmuNKxdWJznEwvkNBsajFOypj5Kuh/nK5O	71	2013-08-03 19:56:33.733659	2013-08-03 19:57:02.531662	137		0
10320	10n3jiw6jv2go54avt71wu0knz	$2a$07$c474zyFlv1ScqDBhVkBkuegVdlA6HqdUigEh22ZtskGXstj/.9gm2	72	2013-08-03 19:56:33.755672	2013-08-03 19:57:02.653791	137		0
10321	10m9btagqnrx80nj5yjdc3amm4	$2a$07$NL3EJCSP1Y8UJBNJIMNkZub6RPo4YVYThs6PJzQZEnT4ot1GRba22	73	2013-08-03 19:56:33.779447	2013-08-03 19:57:02.762843	137		0
10322	10girx3cax8r3wile6gvr67qg3	$2a$07$9omWP7Hz60n4UN5IAapRO.lAaiQmYwxrqemUxRK4MvS66JJzsBcuu	74	2013-08-03 19:56:33.802979	2013-08-03 19:57:02.885366	137		0
10323	10pqem0j0y2jbamvruycteu5fe	$2a$07$A/WObuiyr6ryX0Mzx/FI5epm00nJsZ/RA7evnJ815wuXlPCZGykyO	75	2013-08-03 19:56:33.825283	2013-08-03 19:57:03.002267	137		0
10324	10us3iapiokqycm6h56a4rpg0l	$2a$07$pyihrREB5uBwNWloZkGWXuelpz3Tdi5E45ieR/cgA/ISeOuQ/93Ga	76	2013-08-03 19:56:33.850039	2013-08-03 19:57:03.110742	137		0
10325	10ytdh4io2dry89qstj0bz1kaz	$2a$07$GGWYIWq1NyIbVpzObyWoQuvRjKIYyFhptWvgLHUw5tZkazlOvLnqu	77	2013-08-03 19:56:33.882567	2013-08-03 19:57:03.220242	137		0
10326	10qzu78fp7gzkhchnnl01fokyb	$2a$07$Uf8UHRWRyAFYuQRpMSNGS.K/EhxO.z3hMrcUhrgIU8eph.EhTtqaq	78	2013-08-03 19:56:33.907811	2013-08-03 19:57:03.351068	137		0
10327	10o22278ubq9rdjxywdoz7i4w5	$2a$07$6vY7RU4NVXxlG33/CwsVveyMWOmSaanFy522TL0i5lQniwpZJQxqO	79	2013-08-03 19:56:33.932912	2013-08-03 19:57:03.469778	137		0
10328	10pz2fwe4tmj84kba5nyptruwo	$2a$07$bAdNyMd9Tmzuy5b0P7OGFujQQpvlJSOrBU5iFModNQAziJYkCmpuW	80	2013-08-03 19:56:33.95654	2013-08-03 19:57:03.591348	137		0
10329	10srlsu7z1h2kdmzwpmmnjtlwf	$2a$07$KqSYoEzdfN4/erDjM3WafeT24ZsvMcGrENLDGUGzzDfr7nhtTW55K	81	2013-08-03 19:56:33.978268	2013-08-03 19:57:03.70957	137		0
10330	10ugsf0adr718kbr85zwbh2p46	$2a$07$fOB8AtIXt9xi6W.ILlqR9OBf9WXaxAXOWAn4fMkGPRtwLG/xPpHOS	82	2013-08-03 19:56:34.001273	2013-08-03 19:57:03.84058	137		0
10331	10lv91jdd9kvbtyzqc18ua8ite	$2a$07$bcq6w9Au4aKJRTY66/rhSON7e6rvKe7VU0eTtm38aF96SSQnGjSzq	83	2013-08-03 19:56:34.024685	2013-08-03 19:57:04.214051	137		0
10332	10hz1u01ilhy6v2tytlti0udud	$2a$07$E0yKfribEwYVOhAMylYgc.NxctfpTz/9TmUOpp31XY7E4UBidDNNa	84	2013-08-03 19:56:34.046599	2013-08-03 19:57:07.025309	137		0
10333	10r258jcn667jjgqkt9embj5zc	$2a$07$Ec.Zvk3XBckovNz/zmiTCuowk3D9iLwY9DmLlwJ43tyrLtqPsOiEm	85	2013-08-03 19:56:34.07052	2013-08-03 19:57:07.334292	137		0
10334	10oe1o632txoy6sgoc43pbenqf	$2a$07$TZAq0GEDgrCGg9JlJkuH4e/Dl0EDTXJtSTOZ2SSbSZWRwTVd8rqLi	86	2013-08-03 19:56:34.094134	2013-08-03 19:57:07.670192	137		0
10335	109cd3xss4sypcqwtjmorwr6vj	$2a$07$66IByj0KljlDk7IDknTwG.eukGdDquCehAqN45WiklNS/xfuwzlGm	87	2013-08-03 19:56:34.116702	2013-08-03 19:57:07.828791	137		0
10336	10z7xx0c9kiihtxqi61v2r2zsu	$2a$07$zftHHz2ZWh899nTcvz0Ku.izOXw5RYY3b.kYAdESKsDjutw3mCVvu	88	2013-08-03 19:56:34.139597	2013-08-03 19:57:07.955901	137		0
10337	10epucbm8sk93qi7qwrlx14or4	$2a$07$a9W/Bbf77MKGFiRB7.k2o.u8ORHcVf7CKMs0ZTu6W/zar9nCuyYPW	89	2013-08-03 19:56:34.163363	2013-08-03 19:57:10.136495	137		0
10338	1096u7hro9uf30zyi5n1fkblkt	$2a$07$RYv3Y3HlI09LBhjg9ydVMOezvu83hp/m/K6ybCxpofc9yUf/3oBBW	90	2013-08-03 19:56:34.185775	2013-08-03 19:57:12.14013	137		0
10339	10uudx3nnnntitpybevisd3tfi	$2a$07$3UoJ7anOetVKrf86Pah6Nev8S2AnjtNqZvoRcWQV1ucMl7cSx/tbS	91	2013-08-03 19:56:34.20882	2013-08-03 19:57:12.277098	137		0
10340	10mhy7c9d0a0hpzuzxzplmszyt	$2a$07$xMlvO1Z42AaYAJvubZ6LO.gtfYnzs1Ps.E4s9FcWRWm3axrDyU/9O	92	2013-08-03 19:56:34.232166	2013-08-03 19:57:12.412574	137		0
10341	10o9xvqa3irkun3vxaarycji97	$2a$07$3RQ8aJfqoNNTnI4wxb8XEOR0Dij8XMxM1wzcMMb7XRCKBQf3h4gRu	93	2013-08-03 19:56:34.255986	2013-08-03 19:57:12.62209	137		0
10342	10swpecb45td8b62zw6e2s2pzk	$2a$07$.uFz/2LI/A1wxRDucUVUWeAb1SBymPjKbZvR17o0jkDFEJjdh/BZW	94	2013-08-03 19:56:34.280091	2013-08-03 19:57:12.776847	137		0
10343	102e3csl2215brm14p4mzjp9o2	$2a$07$Ma7yr8InJeGvI38zlN9RjuQf.r57xbVPBN6EUIeZb5CyfY32nuBtm	95	2013-08-03 19:56:34.303198	2013-08-03 19:57:12.916072	137		0
10344	10zviw44u0p4ltdgimbtd5w9dw	$2a$07$AxHpx0.zUiTZ0BrNY91Ht.CJST8KvqjAYK1fpLZbChQfuJ5CnE4w2	96	2013-08-03 19:56:34.327301	2013-08-03 19:57:13.026148	137		0
10345	10o0o5e9usijqze381nq3ycox9	$2a$07$giXCm6./bTtgBpY1oDtSn.cw873swru6m1ZZsyD92tWy0tZV5r5Na	97	2013-08-03 19:56:34.350565	2013-08-03 19:57:13.152429	137		0
10346	109wx7p5xhn903frbv2uh3cjpy	$2a$07$XyDR9f6.o2pMABd5UvwjyuzbmuuPfyXuTyFMzJslVqFWOP4r5kVEK	98	2013-08-03 19:56:34.373498	2013-08-03 19:57:13.28619	137		0
10347	10lbc8vcsdld2q8xk1aw6t76uo	$2a$07$F/isT75BM3T8IFvI7ipb/OEnU3/vK02zk7cEb8pmn19NL3iiVGmSe	99	2013-08-03 19:56:34.396547	2013-08-03 19:57:13.414299	137		0
10348	100aj6pljd4rhgguauz5c1yrww	$2a$07$dVWm9w3jZ0uUC7aGB1Dq7unjUk3pr.cuZitjKZMMmVwNrEEUNfCOO	100	2013-08-03 19:56:34.420806	2013-08-03 19:57:13.554138	137		0
10349	108xhx5s4w4qwhbtvoykzj386o	$2a$07$s8Byry8zQdKmuthjKvBkaOiUmFRMb2AzJ6wPZj50q3wjdpGu4mV/G	101	2013-08-03 19:56:34.443179	2013-08-03 19:57:13.692385	137		0
10350	1071gnp5rbfd3l30xrwacw1z1q	$2a$07$oLEqDY2vgRK.T1NyD1HYTegtIyep73k/w7jmWFfrjU2xw6o3Wyyuq	102	2013-08-03 19:56:34.4662	2013-08-03 19:57:13.81569	137		0
10351	10g3uts0p9t3kj8nc25mhooyf6	$2a$07$Dig3lWGTjx7vsICXrz8kLuwEbWoeWtUSy31Qs1kRIIgEDqyCPisgS	103	2013-08-03 19:56:34.489412	2013-08-03 19:57:13.947	137		0
10352	10ldr6ajpolosiaxkoco76euvj	$2a$07$iDlcLG0uURsHzDKHOZpPr.ScSY/ov01.mcgoqMR1xkcPnqNpDhDz6	104	2013-08-03 19:56:34.511703	2013-08-03 19:57:14.056156	137		0
10353	108xvjpg221fhj1217snv0v3do	$2a$07$Ej3.QzCklWIfqeJlSPwFS.xwD./R2TZOmNg7a7m6ANksByxzXlbM6	105	2013-08-03 19:56:34.53486	2013-08-03 19:57:14.191079	137		0
10354	10igv4t98i3gh7yt4fzj18uhft	$2a$07$x6bLvy70CIPLi69ajV3QreZdkFthvHRLs2iOiK75l7CR/8wYU/PN2	106	2013-08-03 19:56:34.557543	2013-08-03 19:57:14.325785	137		0
10355	10ywfhnenme760qcg20dfu22uw	$2a$07$SQsCHhqs5aWtYsvZ3DBXA.bOUdX8v5a4i0D6tTTV4eRktqFXQWqyG	107	2013-08-03 19:56:34.581023	2013-08-03 19:57:14.465901	137		0
10356	10i23b3n81u6jkwypyx22g3nfw	$2a$07$rhRGwC4MGMKGBq//qR1yRut3oMbJQbJIInlCNNyiWYiDQz9NOCmoS	108	2013-08-03 19:56:34.604192	2013-08-03 19:57:14.634961	137		0
10357	10i4lic7vi5agcttejhgmrosqn	$2a$07$cQgbCzGFMcJMRKwI4R/K.u25vPsV7ouPgR47BzWn2k3y4Ck0blx9y	109	2013-08-03 19:56:34.626344	2013-08-03 19:57:14.775546	137		0
10358	10ouccge9zafa9r1jq0yz5y5w7	$2a$07$hAR3oUo.KwT5qI2IeOzaAe.f0THppUKmvdW8PA5WTQ7QygO2sNVeC	110	2013-08-03 19:56:34.64944	2013-08-03 19:57:14.923611	137		0
10359	10hr1qyv6ia1go2dihj82npyfp	$2a$07$wcr6E6QpRivh7.4SzEFTdORSdEqjX5AeSLaQBWT5zFA46GIh8YcPC	111	2013-08-03 19:56:34.672531	2013-08-03 19:57:15.040635	137		0
10360	10hhi7kcw6ailckm9khg16igty	$2a$07$u2s0M.qgXxrz6.7z0NMWhO9J26UUOc4fYASIPrIzUDWhOhTIaNeQi	112	2013-08-03 19:56:34.69601	2013-08-03 19:57:15.150363	137		0
10361	10p7g1mqyj1djatx1iv3eshz3b	$2a$07$ylzQQ0tfADDai6TNt1QrIuwIyfXdIyz6lslEprn5xZJUFq1W7rw.6	113	2013-08-03 19:56:34.719724	2013-08-03 19:57:15.477702	137		0
10362	105zpnfwzkz2gjeowvd1ru3e7k	$2a$07$HIp9L.JxJfB3wlzq8QEiMeszr/dxDFTKPYUHherQHuwzbiUYNzfl2	114	2013-08-03 19:56:34.743504	2013-08-03 19:57:15.747653	137		0
10363	10y1cyajo20quptravzb2fbwdd	$2a$07$5GljvZ9COjS8tpwSGLc0L.dEnrfHfrA4S3aY3OxXgjp8/blaiH0Ka	115	2013-08-03 19:56:34.769247	2013-08-03 19:57:16.124344	137		0
10364	102jc8vv02q60u6al76ecmdhh2	$2a$07$ZESFdRPEhtlgQlUEj/qseerUf1knr3h4lIg407xMziap9.Op2fcN6	116	2013-08-03 19:56:34.797803	2013-08-03 19:57:16.325774	137		0
10365	10ksaeucscw99aemgigi97g2qx	$2a$07$wsI5Zm2AkBi3OD/ZwrEL3us3mT9KxhiLc6vBNU.drp.qXB0/XKzJ2	117	2013-08-03 19:56:34.821081	2013-08-03 19:57:16.464945	137		0
10366	10985hebj2d5sp1e3awsx2bksq	$2a$07$gF/0AuPx3ECHRcvCmxVgnewJgcWmKshJmtd5XvXQ05v2ORzDzWu.u	118	2013-08-03 19:56:34.844301	2013-08-03 19:57:16.597218	137		0
10367	10ktyoiyebeh6uwy0xpzmw103k	$2a$07$xy3PibfQB9JIdBkVyliwc.0Xn9AJBC/t7rb.ZeVumHpMlMKQh/fOu	119	2013-08-03 19:56:34.876521	2013-08-03 19:57:16.72059	137		0
10368	10w3krvah520n4uvh7dxhsloca	$2a$07$fdOJGp.8inhYtQzBY.FoouaInT/qddCeRVWmL2ZStwVufQdLY07ve	120	2013-08-03 19:56:34.90089	2013-08-03 19:57:16.85654	137		0
10369	10y7u20ym33o8o2rqdjv6salod	$2a$07$h9LZcOdErgM5Zq93VIJncuSTptb4fFvRhBSZxcjob0.V2vrfofWRS	121	2013-08-03 19:56:34.937603	2013-08-03 19:57:17.276539	137		0
10370	10zjimkkxd8p9ffwfg383xfm9r	$2a$07$YaQIlm0AlgPOs9yWVM4LbeABaPPpt3xrsexJYSxd4NL.sdLTI6/jq	122	2013-08-03 19:56:34.965077	2013-08-03 19:57:17.651846	137		0
10371	102fryvp6e391cxzs3b7rkig0g	$2a$07$J3OiDkrVIyI//xwYDTpEF.oheP0JWhiMFZoy4F4.efRh3aGau66Zi	123	2013-08-03 19:56:34.990559	2013-08-03 19:57:20.082303	137		0
10372	1000ivotjkurn0oxythxtt2sys	$2a$07$tmjARoNR3A82LaDrMGyuFuhQ20iGn0aUruLJFRDtcVY7CQTbMznUq	124	2013-08-03 19:56:35.015945	2013-08-03 19:57:23.12624	137		0
10373	10qbg3i86xlq86koiyhvnntwf9	$2a$07$GZs26E4O4Zqzibv/yixaf.wO23BbQpfWnK9OhhbV1Mmg4KCJniXBK	125	2013-08-03 19:56:35.042007	2013-08-03 19:57:23.262791	137		0
10374	10kfhypbmsu5ajcgy5e0bampja	$2a$07$uzAcqvdkD00gDBO/o/9VDuxKtneVWKRICQZqaj2B2Y.Zc.h.1MoZC	126	2013-08-03 19:56:35.06635	2013-08-03 19:57:23.391146	137		0
16609	10t9deb4fhip1wnrniqjyhhps8	$2a$07$neZRgOsR4ZaYTN7TgCDbj..zwW5ZXlrZhReP3Hov.kGBHO4zdJeCW	61	2013-08-04 00:04:49.696032	2013-08-04 00:05:09.771651	187		0
16610	10y37auwmuglaadcdi6alrlygg	$2a$07$LclQOmpi2PX0zAANsei2LOHCDAd/XldaqkxJ/tos4vdUktjvQI91a	62	2013-08-04 00:04:49.722388	2013-08-04 00:05:12.862129	187		0
16611	10087301tnff9ha33dp33lfp08	$2a$07$op6gkKHajb5RnCuI8QlKLOpETnLj72ea78t4nSB2FR7yyhe/V2KdC	63	2013-08-04 00:04:49.746995	2013-08-04 00:05:15.931548	187		0
16612	101h50qke0pzw9ny1jd1biwbyp	$2a$07$L1WDem8F25ocrHEZlOMaq.i.ThGzP4FVmN/T1ZsKpunMC3e.ZaxAW	64	2013-08-04 00:04:49.770372	2013-08-04 00:05:16.058676	187		0
16613	10km97v6y1wyfgued28hkzmf77	$2a$07$eI/jULWjCU32lyCK6.zWoOuxmegrMIj4grNnV6z9AtM6J91r/y6am	65	2013-08-04 00:04:49.793948	2013-08-04 00:05:16.185861	187		0
16614	100itm4167powvcw5tdz60vbzd	$2a$07$tHbZiI8d17Jykof.BFfp9.TTofuuqaxcTwmDx4PMkQSZPxeBouUtO	66	2013-08-04 00:04:49.818115	2013-08-04 00:05:17.179191	187		0
16615	109rk7hwmo9qjqmkptlyxz1y71	$2a$07$1gcWBqdEjYdpJ87QvEcJm.cvnaViL3ld8st.ic2d2/VeLBMVcbeqK	67	2013-08-04 00:04:49.841579	2013-08-04 00:05:17.300247	187		0
16616	1088gbrpi943xcde0z9f0o4al5	$2a$07$jiUrKMlTXwEpe7YlNIhS9.XWb/sPfzs2fDHBTY9fTQBkMg/5SqnYm	68	2013-08-04 00:04:49.865065	2013-08-04 00:05:17.456196	187		0
16617	102dngnkamnjl23yvlnjshoqxe	$2a$07$nxwOCPtYqJCrVHsBwn6c7.N71y.EPZOA3OQ1ML7SCcIsVV0ttnzBe	69	2013-08-04 00:04:49.888206	2013-08-04 00:05:17.593	187		0
16618	10j9hq169bxzbo7c6efjlilw62	$2a$07$zU2SJwV7itU8ror7bCslM.3CuilbpKDgsX0ybocevDwyDXrc.lzQe	70	2013-08-04 00:04:49.91185	2013-08-04 00:05:17.804129	187		0
16619	10aifxua1wplkpuf9e08wly7nd	$2a$07$iBPdHYNzByjTtXZ2tFNuUuH.w57bt5kdTZm7HPJ0ydAozWckPqlEq	71	2013-08-04 00:04:49.944935	2013-08-04 00:05:17.935493	187		0
16620	10one5mu5n12pq0mxiyw1w8l2r	$2a$07$nU4JQhmEKOiNWJP9llTYhu127i3U5fzT9aC34ClZUVFZOxk1F4aTK	72	2013-08-04 00:04:49.967004	2013-08-04 00:05:18.054115	187		0
16621	10s65liudznzvvdm3vyazp4boc	$2a$07$FhsP40T5J4c63BARGXSlyu.oZn7pRjC8fUJx/ZCWjpYDVdvcnw/KG	73	2013-08-04 00:04:49.990372	2013-08-04 00:05:18.625412	187		0
16622	10l4hwpymafyr3ubmhrcpas0dx	$2a$07$2qu32Wnm9pNyuhOFNds84O1iXd6VK6MrHI8XG1mCo1XHbHsaHB.06	74	2013-08-04 00:04:50.013373	2013-08-04 00:05:18.756017	187		0
16623	103q6j0daab6w8y0p4sjcpz8f5	$2a$07$r43hKgKl0R9YQYh7x2xnVucW2O2IxAezoU0P4Wiczd9JzRrarlSyS	75	2013-08-04 00:04:50.037081	2013-08-04 00:05:18.903089	187		0
16624	10jbwx633ip8ydy0j2hev8pl3f	$2a$07$PBYNt8IPVObV4ptskWlyhuHzp/QIDagJYOaiE28eynglbGsMBKrPK	76	2013-08-04 00:04:50.061289	2013-08-04 00:05:19.043179	187		0
16625	10ddzpyj8kl726v78hvo4ujzgl	$2a$07$pFmqw.xLJuGuuSNPXQNNSuoI5yvIBRLeBdHkrxearWBar3K4NlFDS	77	2013-08-04 00:04:50.085353	2013-08-04 00:05:19.197079	187		0
16626	10az8f74qlloz4tn7lso0tbpq2	$2a$07$6AA16zBM2SKsH0Kh6XA0J.vR9f0cNoWFY50l5FzN6Mt5yLTxSFdom	78	2013-08-04 00:04:50.108871	2013-08-04 00:05:20.271249	187		0
16627	10j0cok4o1toojio0oh1y2qq8j	$2a$07$XepIaXZWWnkj8zd5BOwIb.C8G.H0A3qxjO6P/4YumcAd3YjYNUxSm	79	2013-08-04 00:04:50.132332	2013-08-04 00:05:20.406379	187		0
16628	107yt6bepd58zgyp0voh4varev	$2a$07$OwH7in6KFQQDGnu9uqXPeuvBTAaaz1XTLmYAVcQpSyUwZ4RBNtnzW	80	2013-08-04 00:04:50.165344	2013-08-04 00:05:20.551167	187		0
16629	10r2z044w5fhr9qjvzquvhn52e	$2a$07$Xgnap6f9qki6PAqbX5ZifObuEzJebCWvpS06eFba8l58jQstkv/wG	81	2013-08-04 00:04:50.195155	2013-08-04 00:05:20.851059	187		0
16630	10s8dm7u83xqmzm2s35s9lciet	$2a$07$Ha3Ql6ndFF.EYmloX1dzC.kc03kyPecepr2BwoS0Cfwu2Da8Utxm2	82	2013-08-04 00:04:50.219842	2013-08-04 00:05:20.991992	187		0
16631	10eimaol667bwfprnl8r7ntbpd	$2a$07$T959B7GebFvhSgsNWwXI0euG1tbIJB3TtkA7ZbPmKxgjV.nXCxwue	83	2013-08-04 00:04:50.244689	2013-08-04 00:05:21.293799	187		0
16632	10g57n1hf51gcjf8vl9tcqvzxs	$2a$07$vKLDSA059oy4sdhBipbHT.wtDjX7batzt/NNJWPV2rP8h9B3JvBsO	84	2013-08-04 00:04:50.26853	2013-08-04 00:05:24.065402	187		0
16633	107rbv7cmekva668420ewptnr6	$2a$07$AzmD3KDedIODH6SRw2DZKe5Lp6zyf0h9dxkNOSVSqztisrOwYdDHq	85	2013-08-04 00:04:50.29876	2013-08-04 00:05:24.169697	187		0
16634	10qerklwcum975mnbrcjsa25yu	$2a$07$WugNyvgbKVILJ8lrQi5UC.lVhcCDzVDv1y3Z2Ls/ltXztlEhAR9ES	86	2013-08-04 00:04:50.321465	2013-08-04 00:05:24.306932	187		0
16635	10xw9kbnh6x4wr4qme9xn1i73y	$2a$07$gSZZvDs6JCqfdTJjjZgouuAjOttxWiio9LfxP9EpLM2PvGWUo3ZYK	87	2013-08-04 00:04:50.34461	2013-08-04 00:05:24.443651	187		0
16636	1016orhztkmd2ghx3tevul3xdr	$2a$07$d1EEcJ1Ll2TxCAPxE7WyLu.Rvl05HfQZDSPIupLWRtnPACTQOzsvO	88	2013-08-04 00:04:50.371958	2013-08-04 00:05:24.545414	187		0
16637	10h5lqg6payqghwb9glv8c5rxu	$2a$07$N/7ZMsFw5hDOs897iAfLp.5kLTukM2pI5mVdfIkC4.CLJEcVR.vGK	89	2013-08-04 00:04:50.400559	2013-08-04 00:05:25.56388	187		0
16638	10m3raa7ko7dm7qngbdskkt6of	$2a$07$OaOnjaERC3ghsK.DYaQL4eZRM7e9NmTxDT.k4kZvKSlyEjcYfdw7C	90	2013-08-04 00:04:50.430934	2013-08-04 00:05:26.494069	187		0
16639	10o0d2rpl5rj7hlngd9aguw136	$2a$07$PwXYMhCM06/yR2v3N45BxumM/eQuPQd2bAWcspOkJcQ/CjGls6RRa	91	2013-08-04 00:04:50.454105	2013-08-04 00:05:26.616015	187		0
16640	101n16mczkkzmreo3y0sqc9p1f	$2a$07$PD4BnKQWoGi.RwGdw5ooy..hUUb9NgsKGj08cgGgGmyQKfsib3xkG	92	2013-08-04 00:04:50.477102	2013-08-04 00:05:26.731264	187		0
16641	1056hf221qyjb7z3k74nx8gxy2	$2a$07$oJux6LgfS.LyASJGgzGgiO245rZBvLEA8V2TEsSLywEcCX1CWq5Ji	93	2013-08-04 00:04:50.500012	2013-08-04 00:05:26.859669	187		0
16642	10tthotj7yc5sfu79eza5bzqut	$2a$07$hlhHZy07xXsTxvvGWnzZJuzYrCbbplgeLAwj4GZXY.RvFKcAJPQ4a	94	2013-08-04 00:04:50.523873	2013-08-04 00:05:26.994388	187		0
16643	109xjy5lfgcn3w5volx7sglox3	$2a$07$pJauYWYJ.wselVCoAZEoyO902yjoCGFpPOyhRRed54H0Vh.pN8Qgy	95	2013-08-04 00:04:50.551271	2013-08-04 00:05:27.121924	187		0
16644	10j3saujpgxufyclh3sadt5wyi	$2a$07$y2pQXkCAYy0gECO.wwCideIm/h7beZozFY31wwfNY50coEhwScNEC	96	2013-08-04 00:04:50.588061	2013-08-04 00:05:27.252488	187		0
16645	10bbg62l4h2dlmt4klpu393oen	$2a$07$EUq0jcH5K9e3HJmZ2GSpoeM3R5lo4EkmYMKBrGnEaHpgD0bZDocqS	97	2013-08-04 00:04:50.611837	2013-08-04 00:05:27.393493	187		0
16646	10pd17ze7i92gffw54hbzw5v3g	$2a$07$mETLQaKrtkOWLPegr1yFj.XfT3pcE3VqjjXDSpq5EJ3BxXqk60PIe	98	2013-08-04 00:04:50.635038	2013-08-04 00:05:27.542186	187		0
16647	10hjks1e5d4oggs7u6n9ahuggm	$2a$07$Q2ly5Zp3LvkF1J6ACqaYiu7TyI50Th35goySMEMJYDsD60jU2uQ6q	99	2013-08-04 00:04:50.657397	2013-08-04 00:05:27.67207	187		0
16648	109bibj8gqxisevlzbn88ssygk	$2a$07$VEfmjBku.l7yAJVqbDRmtO0q3B7166iUXXz5NBSvQ0vQ1UwaepA0u	100	2013-08-04 00:04:50.684717	2013-08-04 00:05:27.782089	187		0
16649	106wbphmpdrc1zsimeznifxhe7	$2a$07$SDIm/GeL58Ncl7CPrFD2cOCUFRhdhKmoLzQt/SNFkhHJvTlRi0Wk.	101	2013-08-04 00:04:50.721242	2013-08-04 00:05:27.912035	187		0
16650	10iqo2ts1fmzg3p7nltib5btpm	$2a$07$yE3IRnT9x6x3E9TZFpzjXOOa9qyuymIjYfAHMlxXx1GALTL7q0FwC	102	2013-08-04 00:04:50.746025	2013-08-04 00:05:28.035397	187		0
16651	103t541199yj1m7bokf61sog96	$2a$07$kRXcd.gA1f1GabF0pPTTquiGMoWe1XbRmy4Pyl7b/RxT2bqMk7E2i	103	2013-08-04 00:04:50.771847	2013-08-04 00:05:28.548593	187		0
16652	10pcmc1ap55tu98kp8xdk1rkih	$2a$07$a9OBOsFmQp/UYMDPIrTLSuF/anEiCSDH3uYRAyOqwU6GNB5uZ2pKO	104	2013-08-04 00:04:50.800463	2013-08-04 00:05:29.074364	187		0
16653	10nii1x64mjgmgjgzdsgim1fsl	$2a$07$LewZYAwXU7BHASkW7hIbTuRvQOzYxgDKIa0nC5.4Qx.SkYjwcahkO	105	2013-08-04 00:04:50.824561	2013-08-04 00:05:29.205159	187		0
16654	10bayq5y9ftm6okyhpgachq9cm	$2a$07$N9hZhjszyOX2Gt9BkJj5j.JOLOXaPRO0lK5aY0k6Kd2iLITgh/AEe	106	2013-08-04 00:04:50.851461	2013-08-04 00:05:29.336778	187		0
16655	10ksbbjv27rbpptn8ksemyow0g	$2a$07$2.hoCKCLNeqQQd/sAQmSzO1Ii5XRc7LT7uzSumw5swNEGRd5KcFeC	107	2013-08-04 00:04:50.880793	2013-08-04 00:05:29.457783	187		0
16656	10d8boixc000svgfuic750p9ah	$2a$07$bdyL27azEtKGW9jRHSNIj.xo8e/leGwhEz73SUnYfijGUi8Qa1ziG	108	2013-08-04 00:04:50.904073	2013-08-04 00:05:29.602896	187		0
16657	10dlb83vvw5susf8kor5j0ze01	$2a$07$rBW7iTXLnmnLywNSc4N.wuXALiLp3VJTJoGW6S7wy5j88BaZiaYei	109	2013-08-04 00:04:50.92676	2013-08-04 00:05:29.744086	187		0
16658	10j3mbyfsy5cspk1fzzx9d1cuh	$2a$07$ap7nuiKHp4c1slhQN3iJM.5FNBLspE7NPQiUxxSEZgAn5K.XsGSZW	110	2013-08-04 00:04:50.958655	2013-08-04 00:05:29.890215	187		0
16659	10q6qnrdlcfhmub1sb0qi46rmh	$2a$07$xckoyFhsV33z5yxcaqX.6OGXUUsub8Jv0JKwR53audRLBeKfcRwfS	111	2013-08-04 00:04:50.995293	2013-08-04 00:05:30.022655	187		0
16660	10vua1478z8vuyhes53f6wm344	$2a$07$hXP9gYXEnd5CmSjxGpljv.s9bs0n747AgqidNviE8gO2iovzqWkKy	112	2013-08-04 00:04:51.021769	2013-08-04 00:05:30.166516	187		0
16661	10y68ofylw1a29zcwpyfwjtiu3	$2a$07$Gl1/gBNKdZSt47i55Kqf0eYDGbsRWLbmI7EMfTu8Ie.QOlAX0m/.O	113	2013-08-04 00:04:51.046845	2013-08-04 00:05:31.178432	187		0
16662	10ct62ylpkxt3kny3tpozm0pst	$2a$07$31.HdO0xpF0bJYwNLEHCU.HxAxEovMsxKQ6zpDdVtdgUtQM60q4xu	114	2013-08-04 00:04:51.071852	2013-08-04 00:05:32.345143	187		0
16663	10f9oif4zx5n8dg3bzbp2kyjwt	$2a$07$Plo.bhs/0tnQ.gLxkexGcOn8Oc51cdhal39iQLiXj9hJezx61qyIW	115	2013-08-04 00:04:51.095089	2013-08-04 00:05:32.460932	187		0
16664	10cbrde4b80fxlz5d0gvi2l41v	$2a$07$4t0W6AGZewmunlrKV1QbL.KRnSgelehExA1wTLiK5j1BQqcFYTJ3e	116	2013-08-04 00:04:51.118627	2013-08-04 00:05:32.595807	187		0
16665	10sxve6zm9toxh4ip17kxytnsm	$2a$07$3o5IhrLhu845y66QJyq/Q.DBqC3mMA6w.yA94Pw8FSrwzs4F7si66	117	2013-08-04 00:04:51.14164	2013-08-04 00:05:32.73097	187		0
16666	10gbi320gftry7grwzw8e5ncml	$2a$07$1Sq8Go0.ru/VfgYLb/8dXeRSZmmJBUjlUUpeNsywnlGWpeNmpRAzy	118	2013-08-04 00:04:51.165797	2013-08-04 00:05:32.879061	187		0
16667	10acnjndoqgg7qfn3ktdvaq7o8	$2a$07$sih473wZuksWEKsP79nflebmpJ.8Vw42ZY9FO1QOeeLK1JKfpHLo6	119	2013-08-04 00:04:51.187397	2013-08-04 00:05:33.035142	187		0
16668	104uvypogbyvr4vsy0jpotkmmu	$2a$07$hVqpWxFeeylCNQxmJ6Qn6OZu9mwnqzAmAua9QFgiqC5jTeMhiZFlS	120	2013-08-04 00:04:51.21011	2013-08-04 00:05:33.199133	187		0
16669	10l6gn4fl184j66m2b70n9qco0	$2a$07$yMRxEwcYWg2Woi8Uj5kdkeeTaxeLIQX3oMhEXauHb3ky.oc1MmOlG	121	2013-08-04 00:04:51.233254	2013-08-04 00:05:33.330832	187		0
16670	102bgo4dkfuo1lq066qeg4ijdc	$2a$07$5SSlZdqpM8VxOUMf1FBm2OeuyYqtG83sJJ94vosB/rHZO.dcm2GXS	122	2013-08-04 00:04:51.25783	2013-08-04 00:05:33.477954	187		0
16671	10ful6ojypuecjvbhd3qj1tlj3	$2a$07$qwxrrHOuU.mpRwHR7GZp2eBxlcPafueUrwIiz4X8HfTls9ynqWSyq	123	2013-08-04 00:04:51.2807	2013-08-04 00:05:36.260015	187		0
16672	10b5n87vm1yyxi7oujog7ydhra	$2a$07$6lwmgftrcw/zZytvqjRvyulUcplQ/3EDN0YbTS0GTnCHSHv/wDiCm	124	2013-08-04 00:04:51.304637	2013-08-04 00:05:39.434857	187		0
16673	1091pyeurjifmpxmjjp1pmxg5h	$2a$07$ihxpSRn0NTius/uUdWBsMuUu5R.OpehhULukY0CiDCLaBXpdKvn8C	125	2013-08-04 00:04:51.328412	2013-08-04 00:05:39.736429	187		0
16674	10oqzq4cy0nws3t0jl5d7lj9tk	$2a$07$WFgZIx6jrxyJKnQWMTB5zu/AZl.oKnu9A6ZZtiUSoJaODgpjrBXLW	126	2013-08-04 00:04:51.353557	2013-08-04 00:05:40.052409	187		0
13651	10jmuu4ggkx8qvvemf3ggytyso	$2a$07$UukVcSdcfic14JWgaXLO5eSwFSWaxVoqu8/Vmm65i7m6IpOYC4WnG	1	2013-08-03 22:08:35.073262	2013-08-03 22:08:38.686713	164		0
13652	10zpq3x54hqo68d4h0629vn092	$2a$07$gYXzGJ8dV/LrS9j/WMhQEuRT6ckXSuYLJtpWCXQ9ALopG5ggfg9Eu	2	2013-08-03 22:08:35.096677	2013-08-03 22:08:39.215551	164		0
13653	10zfc636kroya0kykimaow978v	$2a$07$drnLx6zPirj4.RY0FQJ12On3QtOXDnHQ3miP0R5U/MzgLnwCufa0.	3	2013-08-03 22:08:35.120845	2013-08-03 22:08:39.733561	164		0
13654	10rgbb9f0w4iwvfm355mz1alsu	$2a$07$veVR9An/bP.viYD8goOJBuP0BmfiamzQQp0hVsZ7Rxn7dQKfs/pmi	4	2013-08-03 22:08:35.14341	2013-08-03 22:08:39.940582	164		0
13655	100e76afvjlh6fhroh41155e1z	$2a$07$w8oezRvHGZuLgrzH0Yo2lOjtgyyQKEXKQ7A2Gv9JRS374hqERZbHq	5	2013-08-03 22:08:35.167466	2013-08-03 22:08:40.074608	164		0
13656	106h7gwjm7nmcvmjbnzhznrds9	$2a$07$laFcEUR/HJ.dI4hfiNNuLOEAlwGjSXadpKm7UfnKroRj44.0ftcNm	6	2013-08-03 22:08:35.200466	2013-08-03 22:08:40.217566	164		0
13657	10bz7jmcnggpz0spnw9lfrtamn	$2a$07$nfNPt79Pu1/PXQbCyIBqze5V3/ovKisT3DY5TLu6wXw5kVw476QMq	7	2013-08-03 22:08:35.224665	2013-08-03 22:08:41.188971	164		0
13658	10onl2c94hsh82ll0xfxztaw6z	$2a$07$354yZqmCp0ZblZ73FkzJ8emeMNC5EMhGwwIa3CGQoqXUtJG5qD0UG	8	2013-08-03 22:08:35.247349	2013-08-03 22:08:42.153614	164		0
13659	10snz9ex05u2ezp9hi02bot4pk	$2a$07$ay7j6hApxbNk8Q7Ph.Ce.exrG9sorZ6HMNHpOCA/PjFGKaR6e1FBi	9	2013-08-03 22:08:35.272418	2013-08-03 22:08:43.094658	164		0
13660	106ii05wzl63u0vqeg0yyavkuq	$2a$07$46IuL.SIbkacEkLKu.ZLdeTiXPQu47J2l2iMO7Mp2/4DwnFfZD3Sy	10	2013-08-03 22:08:35.30921	2013-08-03 22:08:43.208377	164		0
13661	10cin7d85097d7yewtiasd4254	$2a$07$lzmqMgJ3.xarLGh.v2/ouuzkLlOiyLBduF4s7zvACOVA7qRAxf9Xq	11	2013-08-03 22:08:35.332015	2013-08-03 22:08:43.331239	164		0
13662	10m3tuivror1pyaxijswo5hm23	$2a$07$JsMCBGDjV8jU29LYvliU8uOwAMw3vM3.egVBYuUp28eVjOPTV5HVe	12	2013-08-03 22:08:35.35768	2013-08-03 22:08:43.487421	164		0
13663	108cgq7mtkzafmi2cohuofli4k	$2a$07$Ea4pWEWtg3LByGFGDL6QL.qOZtuOrUhab7QgQj763ERqz4UvzPSkO	13	2013-08-03 22:08:35.381587	2013-08-03 22:08:43.644442	164		0
13664	10mntfu6wyhkaosh16zhdpi4e4	$2a$07$a4XacnsJCzVJF7s0ohoHIuonb1DEdO5fK6J1ljCjEfP88kwuada52	14	2013-08-03 22:08:35.405406	2013-08-03 22:08:43.80986	164		0
13665	10fh1b7jn6g8usbh8vakqp104i	$2a$07$z41OFHB5u/AR/DfCt6aNIu1snxmB0smM4C9dWZ.EWXlRBTYR.ZzHm	15	2013-08-03 22:08:35.429129	2013-08-03 22:08:43.960547	164		0
13666	10zpydcra9mc2o6yapxezo9phg	$2a$07$ZSuaqZp4GV.g87sGR7hVae3fT4KXHz9n1sobI5l03KkQw1F/8r.4S	16	2013-08-03 22:08:35.452473	2013-08-03 22:08:44.109945	164		0
13667	101wesjnpgvys5a2uav3nf1jng	$2a$07$MFSc.742X5SBLNTFgdRoMOO0.2bpvrTVeVbNBBiCzdtSMNA/gGbYe	17	2013-08-03 22:08:35.476224	2013-08-03 22:08:44.220519	164		0
13668	103y2w3s8p6miuch3da8mtfli5	$2a$07$ewA6OpWpyvKoKEoQ7XAvJeAU35VYKeoG0b7VJTdNmQIEiSFqeCUSG	18	2013-08-03 22:08:35.499379	2013-08-03 22:08:44.343203	164		0
13669	10kj9e9jjrv6n48yglp1hx7oce	$2a$07$dQfdRiRrZRkEpyvvgv5E2uSEP3meCx5HsgfAuqLuWb6imyxTxdPhi	19	2013-08-03 22:08:35.522067	2013-08-03 22:08:44.503943	164		0
13670	100b2mozhkaf84we9hak73lu90	$2a$07$DU/ei2TrqYhzexgjKk8MiOrfTa54MVgFLfZnuaXvCCdgS0O9K6vLK	20	2013-08-03 22:08:35.544889	2013-08-03 22:08:44.657415	164		0
13671	10u6ivlhlii2ees6njdvtrc3ar	$2a$07$LDU/FK7y9VMDMVU7ImeHNOhF7RP91wUAsLXS3D/MFcTfhlq6rohOW	21	2013-08-03 22:08:35.566797	2013-08-03 22:08:44.79806	164		0
13672	10xdftceh90s6cydfxi2hdem4i	$2a$07$GLSkGzk.9v./6/NDOjxTDuy1CluoEaSvpTSoK791DY69tNBDYHPIe	22	2013-08-03 22:08:35.590412	2013-08-03 22:08:45.000571	164		0
13673	101gi9f9jxci3k4x4nr7wp0peh	$2a$07$Bzkgn5OH0i96gSf6ksVIG.BPqPXRKO7GvErcIAoxBb1ORMelB9e.q	23	2013-08-03 22:08:35.615345	2013-08-03 22:08:45.178644	164		0
13674	10ru67xxyhn6xgksbqsyy9g15x	$2a$07$ktCihLBIMYdQmOG7k2wnAOuCI3ldvwifV0L2Z4/ncSD2KrmwR4o2y	24	2013-08-03 22:08:35.640704	2013-08-03 22:08:45.310381	164		0
13675	10zrrexbrq11mqc9xd1ipsau90	$2a$07$8l1i40V7kuSW367nxEtZc.pgbGcljAhCDgF1YbQwgrQsc12nYK21q	25	2013-08-03 22:08:35.665211	2013-08-03 22:08:45.422857	164		0
13676	10u91wma5h17ps2yqrvydew7x7	$2a$07$jNlen.56NGJh40JN6EjVh.KsJiwXokPFvr6RV/KcMOVcipu8I2l3.	26	2013-08-03 22:08:35.69067	2013-08-03 22:08:45.524118	164		0
13677	10maj9rhtt8uvofm6zvego86zx	$2a$07$IbnFzV8gcHx0TNAzF1eXE.61Fq9uBz68Ot5217.tyXeE6YiMYf.A6	27	2013-08-03 22:08:35.714316	2013-08-03 22:08:45.662996	164		0
13678	10mr20nuhbfp81nwbcgldh06rv	$2a$07$eans6GN5qWyqF2rBHZQncuawssb.nCZsudXZpvEDWREMRdTq7ZSqm	28	2013-08-03 22:08:35.74013	2013-08-03 22:08:46.012819	164		0
13679	10uxqzey2dtx16h335sjo4lt8b	$2a$07$JSCLeUOcnutD4h7QyFr.A..6H2uwwVAdCXMVhyOqVKigu7K6Gh8Ai	29	2013-08-03 22:08:35.764207	2013-08-03 22:08:46.403007	164		0
13680	10sa5y193o3nhw2neguvdil4os	$2a$07$O9JVMRXGhi5Yvy9lHmCiheMe/KBbQ2xChS91HWhSeeSMvWGumdFci	30	2013-08-03 22:08:35.805326	2013-08-03 22:08:46.764287	164		0
13681	10zfvd7ecgmu7oqxwg3u9q8zr1	$2a$07$b5DRTpDaxkC06nxam7VUyOXr6z.U.CK9.V5AbhdXJHu1jdojIadQe	31	2013-08-03 22:08:35.839038	2013-08-03 22:08:46.913947	164		0
13682	1054szb3aeukbbps7mrk0r1e8f	$2a$07$mmmpYRY.CDYVDB5BQ.hUFeS6IA8QZz5sBa2P1hJb6A/0B8.9JHTLC	32	2013-08-03 22:08:35.870486	2013-08-03 22:08:47.054567	164		0
13683	10ueyhrmqjb8pm3soy526u1jqi	$2a$07$05z3WZjrmfkypdQZReqcxuk8pXNOX9HqtaCN4satN2LVVP.NQ9pq2	33	2013-08-03 22:08:35.895076	2013-08-03 22:08:47.183564	164		0
13684	10pcf3b4i75tfgvjoz8qz8pu8a	$2a$07$n4GnCyB/SyNQJMxxPIhOteOLXJR.lTtIEmFsXGAEDf2k75vSajrRm	34	2013-08-03 22:08:35.918473	2013-08-03 22:08:47.458205	164		0
13685	1021ygn7vbzktbxbp16xcwolnx	$2a$07$RTXiYR/n7p4zo4mAmFjQuO0sMBXKO.BY0.wgGMWhoy76OuEavPOXe	35	2013-08-03 22:08:35.949476	2013-08-03 22:08:47.664417	164		0
13686	102t61thiry56qphmvql0mpv0x	$2a$07$4Q0nhZ6ifLvr1d4vfBuTWuoIwav7Kn02IHYAu2p29e/mJf0.EBH6C	36	2013-08-03 22:08:35.975218	2013-08-03 22:08:47.821791	164		0
13687	10aljh2x2762nt2itz23yx75hf	$2a$07$4Dar7wixOifGft1xsOdsle2q6y.AzUOy7xq8ZE1SGcp/8fXqz95Ua	37	2013-08-03 22:08:35.998886	2013-08-03 22:08:48.039429	164		0
13688	102muei1qtkmom6d6eh1ektcet	$2a$07$a3jjCfkvWhPxJKB3fR6Lv.KlJMMNL/nOHjrrQV4nsb.ZwbrKCF4z2	38	2013-08-03 22:08:36.02316	2013-08-03 22:08:48.257006	164		0
13689	10agk8hvcjmvp14ts4zyxgrufx	$2a$07$Q1z4T4iISrnLww/DgF7.UexfWBfp2rsXXVMuPEotI801vDRPn8G7G	39	2013-08-03 22:08:36.047209	2013-08-03 22:08:48.391051	164		0
13690	10h1u8tf3lmg8couvabl2rj610	$2a$07$YqjQ7uWq9VFf0sCqD.o5JOBw2cxxGQOEtXvnZM0mvYvNq4rXf4Hc2	40	2013-08-03 22:08:36.071618	2013-08-03 22:08:48.490944	164		0
13691	10mqqojf5iymwlj9x31ndly4mw	$2a$07$gyEqg3X2FXA7FQLev3mM..rbGVD5mW/RE8CiosfvKSS9qVYU7lU6m	41	2013-08-03 22:08:36.095726	2013-08-03 22:08:48.620994	164		0
13692	10b4mhoogam02pq83e4v5etn8s	$2a$07$9MkNF69lI3V5cbTBqBJdCuNUtu1FRiP5oybESxsgSXvLpA1SBQV.i	42	2013-08-03 22:08:36.119404	2013-08-03 22:08:48.853492	164		0
13693	10ex3b1odtqnhk9kte2gpnfjjo	$2a$07$zLFIwy7WQuA108FvncAgyu/gNdz/qhYKR8ZJZI7mvGpi8TWS1Ll.W	43	2013-08-03 22:08:36.14311	2013-08-03 22:08:48.987012	164		0
13694	109vaadct30uivh9gq1a8288r3	$2a$07$pJ3IJWXnF3O.RVCJn0uQb.Pz7Q7Ec1zjzz5TBZWhqx6LcZtd2Hw42	44	2013-08-03 22:08:36.167045	2013-08-03 22:08:49.146773	164		0
13695	1036jv9cmt3e35dl0idvaowaow	$2a$07$KF3.ySiuR5qxsT8dS1BOmu9sjVSBezW0MjXLyH9Ur5WBKWkCLV2o.	45	2013-08-03 22:08:36.189731	2013-08-03 22:08:49.296357	164		0
13696	10dvsa6qvg11dfxlaelrjfu9t3	$2a$07$iIEWBZ14QMQn4bm19tv0pOPOPWG3u9QJlHli/caVHNhqr295Lieme	46	2013-08-03 22:08:36.221339	2013-08-03 22:08:49.453579	164		0
13697	100bzifd5zgq6i5b5je03s2ddh	$2a$07$j33/qMDF7qWhjH4HDr/wlufofE8BxLD/VEXIEqSS1WTA5Fq/XqLQi	47	2013-08-03 22:08:36.243692	2013-08-03 22:08:49.602784	164		0
13698	1061a3hcdzp6shjx85sgaw04xl	$2a$07$caLna4FWXafxMKNkro.7dOzXa3e127UjSlNZZgc65H4Eaux5HJlgG	48	2013-08-03 22:08:36.26766	2013-08-03 22:08:49.744207	164		0
13699	10417jda45mv20tdczsw8qdlxp	$2a$07$5sPmYzwnzwTLh7ys5fgC5eoYTPkiBbLHaO4eI7lPwODcE482T93pK	49	2013-08-03 22:08:36.292009	2013-08-03 22:08:49.899104	164		0
13700	10std1t4uwkkogjg2ck4mdns92	$2a$07$dn3CQmz5tdxe1G3G0vwMBeKGnPR4xrx9t/u9Sa7DGlVVRhS0SCIEa	50	2013-08-03 22:08:36.318804	2013-08-03 22:08:50.058581	164		0
13701	10tgt2v0t7telw4fphbfz3l3ie	$2a$07$z5iaIJBWvvWZkJ5U60XzDuXQCK3Df2yaKk6fco9WCO4kl05pbdPpS	51	2013-08-03 22:08:36.342031	2013-08-03 22:08:50.205208	164		0
13702	10e770nwcxzts87dw9zgg6t4fr	$2a$07$JOzKdw5fOrfMd5vmgH3o1.q.9rJCKSCYnxC1BE.0dHBZALnLVlFMq	52	2013-08-03 22:08:36.365432	2013-08-03 22:08:50.594302	164		0
13703	105gwm70qiuq3jqoyadehsfjqd	$2a$07$5so6z17FYOX4kweB6cgqA.qX/9cymhATcdNE3pXyAkDSP.qBW6zbi	53	2013-08-03 22:08:36.389199	2013-08-03 22:08:50.869493	164		0
13704	10ueqndidolxblrpc3w29wsx17	$2a$07$KwjNGZq4j0C3K1R29M36pOeRqO0aYHezQoeBfoOU4n9DJvlOSxThm	54	2013-08-03 22:08:36.415804	2013-08-03 22:08:51.274295	164		0
13705	104so02bz223qd2sb1xrsh0grp	$2a$07$FmW/eb48z9Y03NFOeVgtquPqlkzZTI9aB54oZjHoD3ptatFT5nXs2	55	2013-08-03 22:08:36.440525	2013-08-03 22:08:51.398411	164		0
13706	10byy28i8xvydgxfd7a03l7x5p	$2a$07$dSAUCFaDB7xvepwCvA/pU.scBO.YdSPMxlSBESVuwsA.agX1M2p72	56	2013-08-03 22:08:36.473168	2013-08-03 22:08:51.571097	164		0
13707	10tov78ogilsfi831dtbis33t9	$2a$07$a6T5jkw4OUAyLtTA4wysPebzSnFZFY8AbvWN4yOYDIPhJopKN3OWy	57	2013-08-03 22:08:36.495507	2013-08-03 22:08:51.759012	164		0
13708	108w1qoqpzri92g7qkw2wo8kfg	$2a$07$QgrTXcIzXi9324twHGCRoOaADbvhE/x4Cv08r3vKhTgQooIK8MUYO	58	2013-08-03 22:08:36.518618	2013-08-03 22:08:51.992289	164		0
13709	10yoddj3tje6gs4oh6yynqyb1o	$2a$07$yxwbHCRIb5YfZ/uGBIV1feiqxwbrHI0KkRsgLjbdo4.8b75ii4K6K	59	2013-08-03 22:08:36.542511	2013-08-03 22:08:52.236053	164		0
13710	10ns6xcba274m2wrirwm1bowrp	$2a$07$RWya4Q9FunGZ5/5uT/OUCuzreYdmKv5fLiFOnccYR76VOky6.WBru	60	2013-08-03 22:08:36.566403	2013-08-03 22:08:52.459394	164		0
10375	104ut9isqzq9ft54fg11vgvsqk	$2a$07$7ySomzel/StgziinowoLmuEmlGhNnIhVB/C3B.wh5nxE0oO.btYci	1	2013-08-03 20:01:32.038945	2013-08-03 20:01:35.276531	138		0
10376	1043f0n0ramesawbv3yusf6fte	$2a$07$7qw5k2hEKhdpqtmJyV40y.U/Y818HKvZwTxSKySar2ureHVDrHoEa	2	2013-08-03 20:01:32.063423	2013-08-03 20:01:35.556777	138		0
10377	10fi9q41hwz7vjlfbu3usayiq1	$2a$07$WNhISAvysaNlYdqRq6/HDOwWnaUevTaEKXdxhoog5oXCDOa5fUs16	3	2013-08-03 20:01:32.092407	2013-08-03 20:01:35.812355	138		0
10378	10mm8avl7eahyw627uow63hwe6	$2a$07$3gD44Kr4HCI1DWVO5bMepePgNfX35Agll7M0I4b3uomPwVzVOi9Ta	4	2013-08-03 20:01:32.114557	2013-08-03 20:01:35.966604	138		0
10379	10pf0499klkgi0u6pln0h5d7es	$2a$07$g4ARJdwKzdt14wbgR3Aza.enIguNHLgyE3Wfx7.VPIdeoSJg2tqLS	5	2013-08-03 20:01:32.136279	2013-08-03 20:01:36.101444	138		0
10380	102h4nmsy880zm2vpl2i6c3kcr	$2a$07$BiyoeHnGVkt41bpbde471.rLv1PMtgrX9xnmvEFSA2.SDugEktABC	6	2013-08-03 20:01:32.158145	2013-08-03 20:01:36.240029	138		0
10381	10s2pzcd7uqz392q89mql9kzeq	$2a$07$/Th8T73jw/.lBLoB4kK.B.nvWkdENZWeJ5pnpaLxHJK0hKd8ksnb2	7	2013-08-03 20:01:32.179934	2013-08-03 20:01:38.328445	138		0
10382	10dan53bdyc9sdne2wti8t8zz1	$2a$07$qvEfm8BRWqimfU4SqeeBE.6JKcjEF04lphloavKTCNkLbQyzO262W	8	2013-08-03 20:01:32.201628	2013-08-03 20:01:40.35365	138		0
10383	10vkvrhkzncmbj62e7mi0p9u0s	$2a$07$Nfr0kAgTIsCFnSjSq7vLrOUUhFx8hUJU9tU/7ePFIRWvIZmx4TCZu	9	2013-08-03 20:01:32.223112	2013-08-03 20:01:42.438021	138		0
10384	10b45pk1mhq6clg19gt6ihbih9	$2a$07$XCjmv.AEp80loev6l7Ubie41Uh.dqC7n3sV14Gn6wzMwIRPQTpI2K	10	2013-08-03 20:01:32.24464	2013-08-03 20:01:42.571806	138		0
10385	10rttfg3zy4zefrxrus2asw042	$2a$07$16xNIpbD2.bS3RrOIUlHq.g/82W6Bd4XOZ55hHlVAf6RNPZQRxOLu	11	2013-08-03 20:01:32.266303	2013-08-03 20:01:42.683832	138		0
10386	10sst4er5goz0se9yrnwduhd2m	$2a$07$4wJQqeLX0M9MdwmGUBiJIOC4OS3ADzhM5YIYAz7REzuclSG4D6GFW	12	2013-08-03 20:01:32.288231	2013-08-03 20:01:42.819587	138		0
10387	10hhqp9fw7674jj2hko18izoei	$2a$07$tiawK.J8jGaLaKm3QfB0c.wQxay.Th7OftQ9Htaioz/FeRg83Hed2	13	2013-08-03 20:01:32.309841	2013-08-03 20:01:42.974367	138		0
10388	10rikbci9ymhfk9rxw4a8fy8s6	$2a$07$IIQO9kpPIijFOpWu8X0Ej.CpcjOMi/1dOglOQ3yQuBpswcOcbm0Fm	14	2013-08-03 20:01:32.331364	2013-08-03 20:01:43.109162	138		0
10389	10i03yrgua19h8hiu9pt5z704x	$2a$07$DX9wgfHP7cMkcTQmDPq2weHSwNGFYr2P1D7DG2uPRsXldQARCoLly	15	2013-08-03 20:01:32.355189	2013-08-03 20:01:43.260801	138		0
10390	10tuizvn7d4jftkkj1z340nim0	$2a$07$ZaG4anZMQGLjyH/dN88WLuF1aOZZ3qhictdRLdPFNROt6p/SjE3Ou	16	2013-08-03 20:01:32.378226	2013-08-03 20:01:43.39852	138		0
10391	105jlkc5b0tswg5m02eejsz7r0	$2a$07$cK9vQ2Cjvbl/59wiARXCyuRnj7VYp.i2ADf1VyQ87Vvh3OmJo8VWO	17	2013-08-03 20:01:32.400516	2013-08-03 20:01:43.516649	138		0
10392	103i1f51wl67r0hl0c2d3mnjil	$2a$07$Wm5GZQcWpwSUmoyPmkEG2e5g4RpS.a2VzzGqQ1OcQ.A8qKmXE4rye	18	2013-08-03 20:01:32.423242	2013-08-03 20:01:43.652158	138		0
10393	10l4clfyped0src61ua69uhi0z	$2a$07$BHsI/AumKHJuEz/KXTlXEuiW9vCmVeMt9.na9rwLDw7A6eL2iemPa	19	2013-08-03 20:01:32.446628	2013-08-03 20:01:43.763948	138		0
10394	10e32zud1hpp6e794gpnek1dib	$2a$07$JZ1g7ziocOrhf2nZvsOjxuMCRpBI2kv0PpMyNJXgOT32dbg7P1m8e	20	2013-08-03 20:01:32.469208	2013-08-03 20:01:43.892756	138		0
10395	10iw2gjqdurt8l4reqh1ldl158	$2a$07$NrXyWnIROzqqbZzQPNPvEeFiS0xI3B5RSZJTsCVXhL2EIAKVQG.Vy	21	2013-08-03 20:01:32.491944	2013-08-03 20:01:44.007265	138		0
10396	10ijsw14ug332tcdlbwr0pm1oa	$2a$07$aVnOxocqFQlrZjHyfuKrQ.8eQvxexWW47rzNZJ5do1uHKfS94U50.	22	2013-08-03 20:01:32.514351	2013-08-03 20:01:44.13464	138		0
10397	100zj7t7m6fs6inim25ttq7oet	$2a$07$kvmt0fv7VuXXVmyKPWFjne.Zjqou770fn59G6da4h3TKsZS8r9bk6	23	2013-08-03 20:01:32.53757	2013-08-03 20:01:44.259656	138		0
10398	100sgnk7cf57r2dljqy3lk89mv	$2a$07$1UDJt/DvJ3ZB.sQm4M06w.asIi/qA5bNKQuTEf1qX4TP34ClnQBYW	24	2013-08-03 20:01:32.560589	2013-08-03 20:01:44.408087	138		0
10399	10jpt97s59e93946pz4lb0m5nw	$2a$07$wk.aYJ03yi797OQrsaTl0eboRIsZKCl5l8takzZR8dR/3RbcEF.Ya	25	2013-08-03 20:01:32.583817	2013-08-03 20:01:44.542102	138		0
10400	102983t7th5h2hnlfff412mwrm	$2a$07$/b./e7oN0TqLRASWDyKavuzFJ.KUJP5SuhVQmDZUFv84xm4LxGxp.	26	2013-08-03 20:01:32.605678	2013-08-03 20:01:44.683523	138		0
10401	106q88qtgspd3q0zzq5o3calg9	$2a$07$SEPVh24pFH7PdqPBlPVbIeXZGEhy8WcoHNvzN1HotRn9qq726BTQO	27	2013-08-03 20:01:32.62743	2013-08-03 20:01:44.80458	138		0
10402	10zz341ifpuib8rjhrvtbj9f6c	$2a$07$T2R.nQ25LZ4M2GkPaaKY4.A486IPKBPjJCq0rBAVGhJKQSWJ8n0hG	28	2013-08-03 20:01:32.649509	2013-08-03 20:01:44.96083	138		0
10403	10m1065k7p6y5apd8nc6ome0d9	$2a$07$p9Y3cpVw7nBSDPz/RnfHJ.5ED1im8UiqklbSJWWO9FTx6oA6uraja	29	2013-08-03 20:01:32.672677	2013-08-03 20:01:45.133597	138		0
10404	104omc3nt2dk6y9hsipwe7yi0j	$2a$07$3Ah/zxOvGzjavizzTJlzpuXPTltJGZqejvh6mh/qTW9w5mjWyhXvO	30	2013-08-03 20:01:32.694709	2013-08-03 20:01:45.298287	138		0
10405	10r3qo86m7ig00e199ajd5c9ca	$2a$07$0riOJR897h7zBO/dLuvr5OM9uYctuiXsnLResUkxiKamfDryAo1ku	31	2013-08-03 20:01:32.716271	2013-08-03 20:01:45.440901	138		0
10406	10n4s9irrdy82u59vmmc0versw	$2a$07$/ds7ppZs.NmbuwfkLYq1FeJ5VYDLPQF2KGSBoo8x0UL/ARETNbv5e	32	2013-08-03 20:01:32.738174	2013-08-03 20:01:45.573612	138		0
10407	109kaziltb7khdffum05tjctj0	$2a$07$T0jLOzvjB2wzQhECUdxamumq4PFoSSqVBMtBGKXD3sG6/xj5xQ9y2	33	2013-08-03 20:01:32.759907	2013-08-03 20:01:45.737088	138		0
10408	10idj070sqz0ww0u3obddvv93u	$2a$07$3khOvpMpVOK94wMjGm8.F.KnwTxVX/zZlL62fnnBM5HJEjZhbJwri	34	2013-08-03 20:01:32.781571	2013-08-03 20:01:45.863679	138		0
10409	104ce0osupyebhxl55jel9b2cv	$2a$07$PtyPrQkBDWMFiYnw78Sc0ubVivS2s97y9yQDcI0/8KZai7HopdKsS	35	2013-08-03 20:01:32.803211	2013-08-03 20:01:45.994574	138		0
10410	10zlc9j5fs45j3k79z3t1plzww	$2a$07$IFaXqzVXdUjya3yBXlZkB.HLVi4ykx0JC1nvIPGR9JY5aT0BExubi	36	2013-08-03 20:01:32.824931	2013-08-03 20:01:46.1285	138		0
10411	104a8u5e2nvnm7wdn054dlyeez	$2a$07$Ck3g0JUAslrtRwnwNJ9ApeGTgilmiad4O0ynsMwSWW3ADy1hLpKEG	37	2013-08-03 20:01:32.847335	2013-08-03 20:01:46.268732	138		0
10412	10tebt5u0n8i50h66sd41f67w6	$2a$07$xrRB2gmm8W44IPpVWEOTl.ZVTzTSEoq1wX.EFeCjldWe8xL7gNRWS	38	2013-08-03 20:01:32.869004	2013-08-03 20:01:46.393296	138		0
10413	10q0rpncsmwdf4ecf9l2ga9qiz	$2a$07$P.UqeHlq/3HfHbxoBACLgOqDQRhHBV/0GKjGhR3xbs01W7I08jBKO	39	2013-08-03 20:01:32.890694	2013-08-03 20:01:46.520925	138		0
10414	10t3csq8nizps5uyk86p66tlvg	$2a$07$N3BdepAsmkZhsiq49/BvdeUdoAUXGTBlrb0rSmDcyftXQLFqmj0Nu	40	2013-08-03 20:01:32.912237	2013-08-03 20:01:46.647094	138		0
10415	10jrr30s7aranbdiuffbj26hj0	$2a$07$k1rwfuJYoyWRUU0/4ea7KOxNiJdrH8gtv9vWajALJ5sH.wJcU599y	41	2013-08-03 20:01:32.933741	2013-08-03 20:01:46.783776	138		0
10416	10oxcjksm0i74gxy8emvb6e0ly	$2a$07$fs1QuCtd9RBtqYewMye4Y.R9q.uQ2QEcZvwdbmeWZQwCc8WdcXZuO	42	2013-08-03 20:01:32.955571	2013-08-03 20:01:46.901156	138		0
10417	10zsd0ijtkt56lrqjxj3kcatk5	$2a$07$gtDoiH5bFfjedLAlMRYL3eHyZQqUJmopSJkpCv8oCcn4tzwCiW.LC	43	2013-08-03 20:01:32.977519	2013-08-03 20:01:47.069588	138		0
10418	103z9f1budn6w58v03bjlnsjf5	$2a$07$GnA9pO8xQRApBLZo/CkGieNytzMYqkoXp83MY/2Dryekdfj8dL3O2	44	2013-08-03 20:01:33.000354	2013-08-03 20:01:47.229561	138		0
10419	10ejk018ifbho7vgkjzu9uh0fo	$2a$07$0VmwjjBAjsqldQEjrZvl0uLfsNyYkBTapbUzwLR4RNN01sbKvgVtS	45	2013-08-03 20:01:33.022318	2013-08-03 20:01:47.465199	138		0
10420	10ieoi83k8pdap144lggylbfow	$2a$07$FG0kR6EcngnTKkefVFRT.OrPG3m9wJK8DXdJT2HFPFakfHFaKjv9G	46	2013-08-03 20:01:33.04559	2013-08-03 20:01:47.709932	138		0
10421	1056pzk4h0m6282qx41k84f8bb	$2a$07$wqccQRw4ulBontMUoikFJezYx8UQEgEnv9KLV6iYW13qyLokVUfjy	47	2013-08-03 20:01:33.06779	2013-08-03 20:01:47.856741	138		0
10422	106a07rqm4fdcle6dztr4mw9tb	$2a$07$1p6fzlgS2eF3VJ86dKx68uPDWutKBtRay0JhcLtyGf5C3sbjbEpsG	48	2013-08-03 20:01:33.090909	2013-08-03 20:01:48.037916	138		0
10423	10kw84gcsi0ltvwvl7tvogzxz5	$2a$07$M0bDLmd.jf5sKBsAW.6tzeLwJqgX236bG7qikAYFzUZAkgc23PCqm	49	2013-08-03 20:01:33.112806	2013-08-03 20:01:48.163826	138		0
10424	10ajs63h21fjqsnh8htxqx2eas	$2a$07$KepY6JzPtxPD262JuVADQuL.M1IZZ9bcfzmju1EfOBr/SIcX7wTgW	50	2013-08-03 20:01:33.134375	2013-08-03 20:01:48.300646	138		0
10425	10aktaru261n1xae3cbmoqxn0r	$2a$07$ZXk7dZo6XDWrWqrm.0sywuujiY/r8GHd6k.M3G5VfCHQX9Ee/PvrK	51	2013-08-03 20:01:33.155877	2013-08-03 20:01:48.434943	138		0
10426	10z1n4ljl6exxaonv4yh3qdtu0	$2a$07$OeqESbQrXazXXjaZuy7x7uJn0UVnBnRtkqMDtd8OCwxpubZLJ6gNi	52	2013-08-03 20:01:33.177455	2013-08-03 20:01:48.741462	138		0
10427	10tgux09fmqavxwhtfcbuqzt4a	$2a$07$MTGBNmxzABNx1AwXDQFcFO0BedcpgukIpEReLErWSY0hnEOB.AJ.m	53	2013-08-03 20:01:33.199407	2013-08-03 20:01:49.061607	138		0
10428	102h6rzttgt6b525fg6e1xnh04	$2a$07$pEqGSXurZAeta6zRXnOZkuXPWtco3Y7yzAbwgE9rPsKcriT.KqSeC	54	2013-08-03 20:01:33.221242	2013-08-03 20:01:49.43662	138		0
10429	10ywva4xbmb4b8lutfnsql1xx0	$2a$07$9fEyUKEa9B8nsuP8o3VQGeY0ai0XUwFZxQoEsV6h1KtC5a/3V5p5S	55	2013-08-03 20:01:33.244056	2013-08-03 20:01:49.589354	138		0
10430	10jifuwkf6rbigk0cyzaujt1hh	$2a$07$vNLNZ.pdXN1hG/II5oc6yee.2RlKwHTmzTHloFNzLvBn/1fBwFMCG	56	2013-08-03 20:01:33.267366	2013-08-03 20:01:49.741121	138		0
10431	103ffx1vk7p3sldyxw32733mbd	$2a$07$fQlfjH0JBbeTC7OgkDyBdO9qPXbjyCQMrCJm2KkTt7droQ8Ad.JNC	57	2013-08-03 20:01:33.295833	2013-08-03 20:01:49.870091	138		0
10432	108hacqxaw7iv16vxfgt3td0cu	$2a$07$j0BASE3vlmqkGCuCIo51FucID/35oLoGbyYazov4LeLHgbeNcqXI.	58	2013-08-03 20:01:33.317482	2013-08-03 20:01:50.05973	138		0
10433	10u3lfwbbcaj5dhpqbj5l2b4r6	$2a$07$wlx2/b8VdfYCou4WWpXlGOcel35Uct3qMbvRklOHrZUA/4M74hhYG	59	2013-08-03 20:01:33.339219	2013-08-03 20:01:50.242685	138		0
10434	10nyf1d7s41rg30jrym0o2emk7	$2a$07$faxGnPJZQGYrbWlnSOASbO2e83fTm6wza7TUifQe9SXumPBXwRWwG	60	2013-08-03 20:01:33.361668	2013-08-03 20:01:50.384534	138		0
10435	10ofppqay75je3rxvldoc90jdl	$2a$07$viszEm9vJ/r7DwbyQEzuTuNl0j0Xq.zAVtYow4jStzR40jGlGaSJq	61	2013-08-03 20:01:33.385755	2013-08-03 20:01:53.088927	138		0
10436	10hyh1uf26wjgmcjrdgc4urdwd	$2a$07$qMyoh6WJdtwtj/59HaPDU.fO2M8INKcQArZZwkIpBb7l1cM/hyCTq	62	2013-08-03 20:01:33.41076	2013-08-03 20:01:56.296467	138		0
10437	10o0xf78o9wkxlkmwdwnkckey4	$2a$07$inuEpHvGLR8Be25YV0DLV.TBLP/PL56v8hbUaiktycKcFPhFIxSJe	63	2013-08-03 20:01:33.433357	2013-08-03 20:01:59.436705	138		0
10438	105n7g9tcb9hthzchafknlq1d7	$2a$07$.KEoOcXObLXpNkshZ5V5wuJvw54OTiSG8WkfnEMQVI.O5KpiNeMdC	64	2013-08-03 20:01:33.465216	2013-08-03 20:01:59.856563	138		0
10439	10rd3az8vi7fviiz0s2lblpt9p	$2a$07$Wj9xMCeSY0Pn6YXGPPeywegbFxaGSXFWvyl9KGtB9KS/gSwSuoFiC	65	2013-08-03 20:01:33.488546	2013-08-03 20:01:59.996136	138		0
10440	10ts051usofn30o4p5fa9rmmda	$2a$07$Jrr2opXwCZhvWoWzfrsuNehOt3Vu8x.2MtqPRBoQz6HU.80bsDirC	66	2013-08-03 20:01:33.510253	2013-08-03 20:02:02.205316	138		0
10441	10ihi2wf456go5s0u5h04l69l2	$2a$07$PGSfZKXb9tvKcyW.sXH5pudUcS6VlFyEOCHEgEA6ShmwQv1y1Qp6K	67	2013-08-03 20:01:33.531814	2013-08-03 20:02:02.33551	138		0
10442	10s2s1pz7icmxxuty3vkjkkpgd	$2a$07$HWecv1PPwI4gywTzrv3qROsdZ7YEHUgOhHHiJpn510HIzMlsWbtxm	68	2013-08-03 20:01:33.553287	2013-08-03 20:02:02.49849	138		0
10443	10wzhrpr1sd9pss74gdtnuz6wd	$2a$07$gwJmBneWCgUvM2ytcNVoOe0EvFrR2hpF4BSpkKWYOMqFeA4eag5Dm	69	2013-08-03 20:01:33.574744	2013-08-03 20:02:02.637922	138		0
10444	10qoi1raocxk06atvzxx1xgmmv	$2a$07$z.K5lF4mT/RWeUhxKhiM7ObhqfNpaOe1XuNsc33RJm02tMpowwBoS	70	2013-08-03 20:01:33.596668	2013-08-03 20:02:02.779318	138		0
10445	100mkgpklp260ind57qt267wh6	$2a$07$bXQcs5YRhHgcU9A0clPgJeHgbiuPsz/ki6KSYfXOOTEcaasciS3Z2	71	2013-08-03 20:01:33.618733	2013-08-03 20:02:02.915476	138		0
10446	10e4kiivgjbjnmmzh3aszul1gu	$2a$07$H5FXYfFwsprpLnf.Ji5KQOdj0/JV542r6kjYfNhBSVPyuF2y0BMQu	72	2013-08-03 20:01:33.64597	2013-08-03 20:02:03.038686	138		0
10447	10bgpknsiq17b0fq4aecu7pygh	$2a$07$k5pN9rLUevMZ6azWKn0qO.HN5It/VuSKKL3pd6pAZ3EPCWtyt/PeS	73	2013-08-03 20:01:33.680661	2013-08-03 20:02:03.185523	138		0
10448	10esoxizfn03uesiwj1eupvl2m	$2a$07$kT4v9APjTcBkvP4Ydluzee8VhnFSzsJaePhdZbP5ZTg/h/2FSPFt2	74	2013-08-03 20:01:33.703056	2013-08-03 20:02:03.32321	138		0
10449	10pa9wundr9ji0jau6phmwpejs	$2a$07$WpQhLuvOtfg.EA.gPH0EF.xhr1gneCM4kqteYKrdpnbk6hmrFx3L.	75	2013-08-03 20:01:33.725874	2013-08-03 20:02:03.46131	138		0
10450	1047heg1ve17t2tpwr26pkodag	$2a$07$DCRzMJxlTNKr1OkfYdkZh.lh0tT9n2eTUfN3ElCEjMgu/O/pha0kC	76	2013-08-03 20:01:33.748191	2013-08-03 20:02:03.594967	138		0
10451	10x1rm2qi80dglh614kty01ro8	$2a$07$ndGpWc35uJbz73Xq56ITTeTNmKjTURcrEKJfDtQRp/5IXlAQoE/ka	77	2013-08-03 20:01:33.772541	2013-08-03 20:02:03.731908	138		0
10452	10e42q8tmkrzvzzahbjs0ol59x	$2a$07$gwQBr71Zy3ltOOAjbWjlveQvPsA64O6R4iGg049JmvGAQRltUKYxK	78	2013-08-03 20:01:33.809774	2013-08-03 20:02:03.870966	138		0
10453	108f4nwvvdtint968dtl49l0hu	$2a$07$x9BWbjEOoqPDezuY.OpVFO87L/a/YVvmGuCS1ruKC0O9TdR/g8G6.	79	2013-08-03 20:01:33.844526	2013-08-03 20:02:04.058106	138		0
10454	107idbhkzn8zr2uf36e6rx7x9b	$2a$07$SWUEftuXSXZBB16u3/Sbu.CUZFt3RvopBZD5EKR58AtnYD2eO7Kva	80	2013-08-03 20:01:33.866675	2013-08-03 20:02:04.194339	138		0
10455	10xomse4i7vaimli50br81dlhg	$2a$07$dsWSrT65P2e5SgJLYajALuTK1ZhCaZDEhaMHzsBjgTvilaRZPtMZO	81	2013-08-03 20:01:33.890045	2013-08-03 20:02:04.505704	138		0
10456	10js0ouzn3nasij026tnf5vg5w	$2a$07$rUhBk8lXDiUVQsG2RnHuGOybhNSUJ1LAxvySXm5jVcvx7DQI6r/9O	82	2013-08-03 20:01:33.913537	2013-08-03 20:02:04.642577	138		0
10457	10fzcidkdbswwzxdps0n8tjn6o	$2a$07$wMG5tHSgCywQ8.9MbObogeaVR5w2c1FOkQgApFyVqUN2K9vCyan9a	83	2013-08-03 20:01:33.950173	2013-08-03 20:02:04.80228	138		0
10458	10a3esojz0q2akhn2nfw319yuy	$2a$07$kkZktrWgUT/UJwaf/Z1pI.ojrHk7pUFZVENzPmjGxUkl.xkZh3gkm	84	2013-08-03 20:01:33.976167	2013-08-03 20:02:07.694205	138		0
10459	10q0uip6d26gw4u0mhh3m862j3	$2a$07$S.MrIwhP/WgKQExJ7snsJ.vZHc0BvjdxE3thHJMaYXGd7oYyuDM62	85	2013-08-03 20:01:33.997771	2013-08-03 20:02:08.099497	138		0
10460	10kw1px6005c92wxswxwim0rhy	$2a$07$NAmHz.0KbzCYZyHZDqWxHupgFEVIPWdbDPSi85lkoCtXP1Mctmc7u	86	2013-08-03 20:01:34.020876	2013-08-03 20:02:08.483676	138		0
10461	10rrg9z2ohjq51mh6kxjbfx2wl	$2a$07$F.2eO2JHjA52Cr5Wksjcp..PZbSaqLgQoYFaeJltdhcfiL2/ZjNKm	87	2013-08-03 20:01:34.04236	2013-08-03 20:02:08.605588	138		0
10462	10i93zgnc04y8ea7mr52354ze5	$2a$07$A3yXlcz85uCQm1Ao1A5sK.G7FWp3i8uGVt3w9n4rkHTKTC/RzxhSi	88	2013-08-03 20:01:34.065169	2013-08-03 20:02:08.760597	138		0
10463	10dgj527deusacadvqw0k6988g	$2a$07$NDbdROH02v6R4xeGB8xTNOx.mPShx6t5TaGMAyTw5DlcOP9bf3lsi	89	2013-08-03 20:01:34.087535	2013-08-03 20:02:10.892151	138		0
10464	10639jkyvx5n6vnlsd7iwb07lf	$2a$07$K.TQ.YjU/aU/b4OeaXQRmO10jfsV9xMRxBlARnieXovK8Tg3deEU.	90	2013-08-03 20:01:34.112101	2013-08-03 20:02:13.017297	138		0
10465	10xncj0ieahs9bqoy8caw43dvi	$2a$07$F/ov03hrjVhkFGd8sOW1ueBbTkmnkEt.60jrBNqY22CZyHZyEKPrW	91	2013-08-03 20:01:34.14303	2013-08-03 20:02:13.154796	138		0
10466	10ihobe3825omlvw27o0s5iplt	$2a$07$O/emU1qhc479WjEcQvYQz.I/7iZOKZaAqZC9PtcJpHzIFeIctL1zK	92	2013-08-03 20:01:34.164571	2013-08-03 20:02:13.295236	138		0
10467	103y37st0tqq6w1w4g54srxigh	$2a$07$ZEuY5g0C7OKsdI6HRrg0S.hhVcYmVC46Yj9fIG3CiBmXxsyXhtnP.	93	2013-08-03 20:01:34.186029	2013-08-03 20:02:13.4279	138		0
10468	1067whobgu8co6qogt18arnnrw	$2a$07$cAN2tPH49XVXnLxzEKtzauwIaDBP.WzrmR5cd/5Ad3lOlpHZJk5G6	94	2013-08-03 20:01:34.207387	2013-08-03 20:02:13.593228	138		0
10469	104ot0m6af3chveyhk3lgnkwk3	$2a$07$aj9q6XwFpDZl5zAcNfLiDugbs.JxMpiRs52602v3Um2pXNp6rPY/S	95	2013-08-03 20:01:34.228841	2013-08-03 20:02:13.732026	138		0
10470	10ws1zqf0skoo3oluvamg46w91	$2a$07$SFnoWUD0zcIScg9fIeqtJe/E7iLNwbC.vPxL3flSwat8o2GpJ.RKC	96	2013-08-03 20:01:34.251203	2013-08-03 20:02:13.873897	138		0
10471	1075bkdf6j34np38sbpelzy2dv	$2a$07$9yX7QhWa4iaNrVo0uPHNkuLp7hng1srdJA.Bxi2BFy2vGa/FgNaaK	97	2013-08-03 20:01:34.27274	2013-08-03 20:02:14.013051	138		0
10472	10vixpzew9n19ktwu2goishd0f	$2a$07$TL48y7j58p1fgOUb6CcGP.pazwyJYt3F04tr8v5JvxsKPs7s3FX7C	98	2013-08-03 20:01:34.303209	2013-08-03 20:02:14.157687	138		0
10473	10fpm0w19oxb4kltnghlz6b5yl	$2a$07$Ad2OdsSn2KIpFyi5ufBTMuTypCK1UVs2YVctJxNeiwnPLNwIDvLc6	99	2013-08-03 20:01:34.324717	2013-08-03 20:02:14.253715	138		0
10474	10hy1wt1a6tjwh4fo51bif2wsx	$2a$07$4VcoDOmxNmI4SrBc24XqvuUZGL8EkNLS/Bxay.BSDBFhnzcyzsg3u	100	2013-08-03 20:01:34.346149	2013-08-03 20:02:14.413502	138		0
10475	10jrwttrbbrst4ldvipg0ja0zz	$2a$07$lJ.f4pSs9W6J3aR3m0k9y.i0sHsTxkUF16NBneA2QGmkOixFhZjny	101	2013-08-03 20:01:34.367582	2013-08-03 20:02:14.545553	138		0
10476	10lkp5ymvhonbyulx4e0r8znuz	$2a$07$Nu2wNjAKTxgBia7MA.WEee7jB9EOlUZOlOGvTifaApr/yDcOeJLzG	102	2013-08-03 20:01:34.391221	2013-08-03 20:02:14.669306	138		0
10477	10lxrxok1mrserb5iy3h8y7zkc	$2a$07$zn9Agl2kHOfybI5RXOHCte17y3fVIqvvS39O5o2fB.Y9km8WXEUq.	103	2013-08-03 20:01:34.414432	2013-08-03 20:02:14.922469	138		0
10478	10vox6v88txra0axu503a558pa	$2a$07$pk9ALuts7Uifnxck4ImF/ujn4Xqi8Eh8Elk71kspTo1NYMBHH/v6W	104	2013-08-03 20:01:34.43741	2013-08-03 20:02:15.093916	138		0
10479	10v7vvgs651kz8c73su3j23r68	$2a$07$v0.S2jbuI0kjCMEsHsak5ObKqvTpqKBuNGRtJFWUNx6etKxeFIb6.	105	2013-08-03 20:01:34.459134	2013-08-03 20:02:15.234191	138		0
10480	100c0qe71xgvhs9y91608pgwrk	$2a$07$U4o2OYDvdRteYT0.3SoEZOzuAbDaXwnJknjJf8Pf2QYJj53CKc.yi	106	2013-08-03 20:01:34.480739	2013-08-03 20:02:15.361199	138		0
10481	106tz4ssw8nr2dxxluu6vu0u5z	$2a$07$u3SKoh/aMhTWdCYOybAIo.ZUvz9KR5ubV6mkmGjD4HKBJsIlBj7rm	107	2013-08-03 20:01:34.502494	2013-08-03 20:02:15.49128	138		0
10482	1077uy3b0s32f77a02cstpwxw3	$2a$07$x4u3WQuHY4aBNT5AschhXuj2nkk9HN72ZVpLR3VkRPhB2i6DSBpiS	108	2013-08-03 20:01:34.523978	2013-08-03 20:02:15.622536	138		0
10483	10dj3zu429w2skj8x7m9d3lijq	$2a$07$SRN6iZp6ypDBmNa3kRej/eV0zoM35l6WmSs1sEyV6uoMryJO.d9OO	109	2013-08-03 20:01:34.545653	2013-08-03 20:02:15.768871	138		0
10484	1080g5bzxkx0gegbekzx7tee1r	$2a$07$pNoQivFZ9Q2.qli9mf/hN.W6VPZTegicsbr3QnWDfDHkScJLkPPtm	110	2013-08-03 20:01:34.568398	2013-08-03 20:02:15.92301	138		0
10485	101negh6ywmzwyv3z383y4fra1	$2a$07$nCmJUO1R/CvKR0d8/7XdJe5u7wO2LOhc6QBOwkoQR0aF6GZRReOmq	111	2013-08-03 20:01:34.590161	2013-08-03 20:02:16.055671	138		0
10486	10tdsv4dtuy0jqtnnpyibqi6d5	$2a$07$IAemeWVt74VdEYvqp8yT8OjlTLvflo3T2bmvN4ZJCvtmJMIKCyjYC	112	2013-08-03 20:01:34.612073	2013-08-03 20:02:16.194435	138		0
10487	10zpeytes5mcndhs0nxtahg2kq	$2a$07$HFV0zty6dpKiph2HWNJlFOote/JpZTu/Yx7QnE4pFX33JixmQ/sh2	113	2013-08-03 20:01:34.633588	2013-08-03 20:02:16.322987	138		0
10488	100l6w4r3ay9rzgsosucwyhr47	$2a$07$.OluqYwkutiy31COTXRWWOTB8RLMJsXyncGGU0lP34pUE2YJhfebS	114	2013-08-03 20:01:34.654963	2013-08-03 20:02:16.455179	138		0
10489	10sug20dl2zztnw03l1kvakh22	$2a$07$/U5we8wfM5x4ZqmqSfA4ne5vDEkZxLA6GZDszwKOfOmwybjmEexUS	115	2013-08-03 20:01:34.678485	2013-08-03 20:02:16.719604	138		0
10490	10ts0cnygp4qtrufqkbxreucsq	$2a$07$wb7SA3x1RIVDAM0/08LOt..fTWzvqlOYdRt1u6FKMgiHTJijZibne	116	2013-08-03 20:01:34.702814	2013-08-03 20:02:16.944368	138		0
10491	10oqw0mivqjs2hk592rg0gyg2n	$2a$07$uSeZ/5NQl3taLhIy/qH9FuqszW0EIVRa.yeV6z5AUY6odYiYj7arC	117	2013-08-03 20:01:34.724639	2013-08-03 20:02:17.071174	138		0
10492	10n71rzmj0czyjabhvlzi1gn2e	$2a$07$50QaXVok0NZ64TtNS.Eri.wqoFnNeMdS7tfKnfHd69F2SyRj.93Za	118	2013-08-03 20:01:34.74648	2013-08-03 20:02:17.207482	138		0
10493	10kmca6fliuybre3ffoksmhew4	$2a$07$bvFVWJmjKr2j1VWH4XwjYehGpR8nHheO9ETPZZfSjTG.zHinps.5K	119	2013-08-03 20:01:34.768146	2013-08-03 20:02:17.33088	138		0
10494	101ljigmc7wt069mz3evgi5m5x	$2a$07$P8nViSmbWCmbOq1FMa5xBuM5KQDPgN/iYwWA87KEI6reYRpWilrvO	120	2013-08-03 20:01:34.790665	2013-08-03 20:02:17.463769	138		0
10495	10npebikwjfwqavzgqix61gxyy	$2a$07$wsBO1tInFWn3a5yuhfrMbOhG3nQJtPmq58R8vBEUSckJDdL1xlj.i	121	2013-08-03 20:01:34.813924	2013-08-03 20:02:17.602952	138		0
10496	10x34treol0937ls2tz8svatw1	$2a$07$rfACTBbeqpYXB3v96IuZUevnY854FpCvSGlodj3ubED53K0ox4EtG	122	2013-08-03 20:01:34.837387	2013-08-03 20:02:17.728819	138		0
10497	10cpel76bcg0xil0449t73pflc	$2a$07$iPrC0lrglrLwSI0.3mWTS.bROWb6grUdZD0O5YOHEHwJvLxxWHSAW	123	2013-08-03 20:01:34.861113	2013-08-03 20:02:20.906165	138		0
10498	10kt18qp2yn7w4nbbxhgusavfl	$2a$07$k8p4r5lJiv67pCgDDM94/uinpoVLiDss4qImeRb2Sa/kwiypomfwG	124	2013-08-03 20:01:34.883404	2013-08-03 20:02:24.0125	138		0
10499	10l5hisgcr1wyvuecopt3dbjwk	$2a$07$qBmL91emEdHPtkJzGsSUaOJptIPouBL/8IR8bwYtrn2gy7kbhlGuG	125	2013-08-03 20:01:34.905142	2013-08-03 20:02:24.289485	138		0
10500	10vqfcb4hp45cjmlcdsl8aj9d5	$2a$07$Ug2cSRk2WuboZ2breK0yi.4bJQ9R0agmml1R6tlAGq/VeUhfT/Yny	126	2013-08-03 20:01:34.92662	2013-08-03 20:02:24.540418	138		0
13711	1092ear9q6jioqlmt4kyqv3icn	$2a$07$SH27hV67H6UQEx5mlmgJrOAOJBp0JsG8vCz6QaS6av8t143pSVhx6	61	2013-08-03 22:08:36.590114	2013-08-03 22:08:55.468853	164		0
13712	106s6mf7lva8sdo11voe6ltixf	$2a$07$Tqqb7MkgoiqS94ZCVf5WMutNZM7XL2y9bHamKhCo2idnEanaWsp7W	62	2013-08-03 22:08:36.613471	2013-08-03 22:08:58.464261	164		0
13713	10vgk1d8u0m3sgpta66b6uy8zw	$2a$07$D43Ay.xsyJZ.liajddRE7.fAgI/3q.Qdck//V3rLoBDQWKvi7pFle	63	2013-08-03 22:08:36.637783	2013-08-03 22:09:01.423336	164		0
13714	10ibj4b6j18s17uvhdc79ciw4w	$2a$07$YL3oq8BATWQp45pvIiSN9u/nZ1zRltJXaE8Ux9UGJzzJTn5VJQCuW	64	2013-08-03 22:08:36.660525	2013-08-03 22:09:02.059831	164		0
13715	10o3mw9y3e0z6f6c3w2b6dg85o	$2a$07$CPeq7XpTBCm58iQn47D9e.7qE7NtLSnoMP0YjijsEyRpMwO6zB49C	65	2013-08-03 22:08:36.684176	2013-08-03 22:09:02.215075	164		0
13716	10pdc1odd8rvblxhoq4wbakmbu	$2a$07$4vBlvrzLNaEac2J1h/06GePnJqRGg3iZFtI8ukS267DmnbeK1yNom	66	2013-08-03 22:08:36.708303	2013-08-03 22:09:03.161973	164		0
13717	10sj0o6b1yuqgu3tvzvoydot2n	$2a$07$NhNV.mHticAi0wP4AxlsXe2rvHK03hpQVLTbJewjYYmoGJDiq2Via	67	2013-08-03 22:08:36.732541	2013-08-03 22:09:03.300895	164		0
13718	10xomu9bo56jah1gskonibh7g9	$2a$07$ReZJz9yBsWSZZiwNSYlrhOXAQffN2EY1EBUXkoi4RQM/0q44KndzW	68	2013-08-03 22:08:36.75663	2013-08-03 22:09:03.434616	164		0
13719	10ehcuxix5htrzp1r94rf2khza	$2a$07$DF9GbYkJGUX28NjmMvRB4uN3jUMzfms.tKr2ShiheM5EaWbPzhTWm	69	2013-08-03 22:08:36.78185	2013-08-03 22:09:03.571266	164		0
13720	10sinvwxnxd16z7nwintm4z3tb	$2a$07$nVs8n9qrPA38lmwu3ap9iOguRJpb2zz8XmYQRyCPkbUvJ.HRU5u6u	70	2013-08-03 22:08:36.80643	2013-08-03 22:09:03.723782	164		0
13721	1011h1vfoysh9sk6zonb5wv294	$2a$07$5Xh1N4XiRlHWRGonzPH8SukQpAdatEbEeDN5l6hZLQPFU.i2ccGH.	71	2013-08-03 22:08:36.829378	2013-08-03 22:09:03.833532	164		0
13722	10gh7ab2bb3u4ofpk5ds3a51sz	$2a$07$ElpNERbzHCjqGDDL4X6d9elqsfS.4lWdXZvJ3KhFdm86ArhWQL.Km	72	2013-08-03 22:08:36.852457	2013-08-03 22:09:03.937848	164		0
13723	10ywyc56sm3tmiau1arqhyx88d	$2a$07$s5UfyYkhthgHYbASmKKAlOQpsgPFkSPum.dJFu/RLtwZM1NryeyIy	73	2013-08-03 22:08:36.87656	2013-08-03 22:09:04.285298	164		0
13724	10wwhe61ntrtpzzaudn8cbnyj1	$2a$07$htQFEM.LJW8f8dOsJlikjuACboP3R54gfJn130CfjdeU3z9sukuOi	74	2013-08-03 22:08:36.901655	2013-08-03 22:09:04.420919	164		0
13725	10cznonmxxur04cttdhx5ny9uv	$2a$07$RufydB5r4tYfhlXtG2k7wu30d3uqgkBwRObqTPilhdT9u9YBc4Mn2	75	2013-08-03 22:08:36.926083	2013-08-03 22:09:04.562036	164		0
13726	10vk4p4slsuaomdb6lmbja1uup	$2a$07$StfiWBEwQ/z7uzsOz.UNoOCK2BinsFVGLml6DrNWs1W8yjFty3d52	76	2013-08-03 22:08:36.949306	2013-08-03 22:09:04.739405	164		0
13727	10a8syni5uzpac0lhqqwus8xbb	$2a$07$tHnPM1dxeTaczLdhTvYV6O2lETHDXcTj/uSTR4ouR0khdtNlZ2Mh2	77	2013-08-03 22:08:36.971844	2013-08-03 22:09:04.857752	164		0
13728	104g5d4kzixu1xw0kt4l542u21	$2a$07$g3vWJ6.l07daBtW9mgG5huvAan404uMFuPemekN5b4jEC1Ev5RORu	78	2013-08-03 22:08:36.995511	2013-08-03 22:09:05.000866	164		0
13729	10kuzgnz3evajmciihdwf6wmi3	$2a$07$EgDueD/44W/ElZw.ZiZuX.NlPKa3JSJTOc5xFCgUIFK5/yy/LwikG	79	2013-08-03 22:08:37.019294	2013-08-03 22:09:05.125468	164		0
13730	1095bchkbl8gwpbmlfeu7h0paf	$2a$07$x4xImCQvk8rr6I3UhMgsrehxRXYrxV/6Dku4TrLnjKTkw9MBYdvdq	80	2013-08-03 22:08:37.042934	2013-08-03 22:09:05.267634	164		0
13731	109anl0at6tyc77yaw26lk7aec	$2a$07$SHSxZn10A/DYjd7b20SmTeRr/z6H.11hlKoUaDAuE83.IVOcClYZq	81	2013-08-03 22:08:37.066431	2013-08-03 22:09:05.587072	164		0
13732	10cxjgnvgn520bv4vg0g29rhhe	$2a$07$7WIUs3fAJ9hwsCh/ytOB7uFtMTLUZn6DGd0NZnsJjkkiLPXxaAHPa	82	2013-08-03 22:08:37.093057	2013-08-03 22:09:05.72012	164		0
13733	10jz8vqtn9lu7wablujuj9rvm8	$2a$07$W2zfOQ1BtnV/1gn/nv6b1OvevsSiRk3QbOT.4Ulm./6Fma0Jv8nlG	83	2013-08-03 22:08:37.115769	2013-08-03 22:09:05.866116	164		0
13734	10ro1nizux73byv1t0kanci4d3	$2a$07$SFLYSGppeOzVUqSu8p9p4OaeaW.VBfyNH.QfGv6U4z887Z8nkwwzS	84	2013-08-03 22:08:37.139649	2013-08-03 22:09:08.463196	164		0
13735	10uya5aw9wfwh02xv7e4s6o0pr	$2a$07$10KDGjifDJ612u4hE70OW.oALDTPKXAfk83mAsNz4o3mxPfbTqfz2	85	2013-08-03 22:08:37.162074	2013-08-03 22:09:08.913708	164		0
13736	10e4nkgqrh1pxs5m1m4dw2vn8l	$2a$07$RwsbYnY149bzs5YCv7VW8OuH7ZCfG8ZzrSIB17TciHXX2Ij.Pd8sa	86	2013-08-03 22:08:37.18531	2013-08-03 22:09:09.323703	164		0
13737	10xbgydlofgy64bbzdz51wm90j	$2a$07$cuMG.NvMOGV6BWiRn00unuVZ8ZJ/sMRmWLVPIaGl72B5ipUD6mJgu	87	2013-08-03 22:08:37.208829	2013-08-03 22:09:09.464587	164		0
13738	10w2h6pnz37ddpwbfhktx9jguh	$2a$07$C1YbeJelISn0kqHVQgoBturscLW4zCFkZg7b/iwkQ/RgnMqBYXcH2	88	2013-08-03 22:08:37.231243	2013-08-03 22:09:09.605282	164		0
13739	100rpd5zzdn95mx3km3l2ei9v5	$2a$07$Gloi.JZPzj5hrIGnc/ynG./MO4HxovRTdd38HD39JX0.ilQrfSiGm	89	2013-08-03 22:08:37.253868	2013-08-03 22:09:10.445634	164		0
13740	109kzccaubclthhjpuxqjsts33	$2a$07$pAIUOZuaVAkD77LaRl3Ji.ru2SKm/.YfjtDGQWLKOKwXZWfUNMRc.	90	2013-08-03 22:08:37.276801	2013-08-03 22:09:11.359886	164		0
13741	10vctt3dnjprg0y6qbw0poq4tz	$2a$07$ubo7MzuGJVB163zLbEmWdOMaZ0tQ0W5Csv6zzy.6Owl3yvWzBCeGS	91	2013-08-03 22:08:37.299565	2013-08-03 22:09:11.482362	164		0
13742	10spo17msjeyu6pzwv0k4zrodz	$2a$07$m6MEAVwE9oShWjR5ZBMEs.yoje4QKWNn1x74Z/SnS/.Gjsx7OySlC	92	2013-08-03 22:08:37.327829	2013-08-03 22:09:11.614803	164		0
13743	100g08igweucqh4825uzm0say4	$2a$07$2cvXrUP7WVxT9r68smYbueuvEKfp8STbw0oXvJ4Lnq98EfImSZEYW	93	2013-08-03 22:08:37.350712	2013-08-03 22:09:11.756634	164		0
13744	10vpmvr2nhtxal5tb7qpu6q3yz	$2a$07$Rz7slU15U0EmEhlrjPZox.1xqZ7ZIf.jQUmDTCVsUM5F7LSP80bum	94	2013-08-03 22:08:37.383337	2013-08-03 22:09:11.889605	164		0
13745	1052ba7u435bk1k5obr59yo3l0	$2a$07$EAyilvabsTYc8hAUDuzhr.xcTcKLj7jnXUKPE6aTQ.VwqmaN/aN9a	95	2013-08-03 22:08:37.410386	2013-08-03 22:09:12.010042	164		0
13746	10b5ej5335ekq6ppfrcf6b74mv	$2a$07$89eP1N3F7OxV7/UDK1obpu5qmLhALTAf2tkv3dlU8pejX7Ng7hVNy	96	2013-08-03 22:08:37.43411	2013-08-03 22:09:12.12973	164		0
13747	10mqhqeruckcvt4oefllvbi2rt	$2a$07$7YZlr7mVj3JoJ0HQB4pGRurhyeoMsGe20dAi4utnBs0cA9iQwoQ2u	97	2013-08-03 22:08:37.460434	2013-08-03 22:09:12.30898	164		0
13748	10s26e9j3smmpg1t8z7kf870z8	$2a$07$1hiFHi7BsuTiLtdrXmgFQu.iG9KmvMWrUS27Fm0ZhyghdHt9zNzm.	98	2013-08-03 22:08:37.484044	2013-08-03 22:09:12.448332	164		0
13749	10qu1aonxdolcowaa5ib959e32	$2a$07$nuuimmhsi79.6JbhwwhkvODFFlDfyVVw55h6Ho5vf39bmwE0UDn5S	99	2013-08-03 22:08:37.507429	2013-08-03 22:09:12.548732	164		0
13750	10v1tm54wmz2lt4ql42n247pao	$2a$07$jcT06lymsc2.9Z/ndD7se.4ykMVaBhXhh363aGWFNtk3KIxbWnEAC	100	2013-08-03 22:08:37.532207	2013-08-03 22:09:12.681843	164		0
13751	10ru7ro0txk8uic089ax5t996r	$2a$07$JmZVF/ua.oiXdG7r9XMOKuTR6pKZQpqKVJog6v7B7t3ELzABRHYTm	101	2013-08-03 22:08:37.564046	2013-08-03 22:09:12.814805	164		0
13752	10wqrs8f4d730jw1mycj5w7t2z	$2a$07$JPa/S3uDrDdc5oJARGdW8.uoi/EaadM70xBnk67uj2.Tu9A9xGCk.	102	2013-08-03 22:08:37.598847	2013-08-03 22:09:12.928191	164		0
13753	10qu1usthj2y8tgzbw6lpkr3kh	$2a$07$e.Y91EO0yL2WK.ZotEUBO.dcBILSPFoD46Ycd5PrzoZU12v8iVpkS	103	2013-08-03 22:08:37.621444	2013-08-03 22:09:13.211354	164		0
13754	10o3jkwc6tvlaytgcoin2wb4wd	$2a$07$kBEZQrxsdKzODQZDBqbXvOmByF0pFkTAXGlDtbX9v8pw5LGa0GnJa	104	2013-08-03 22:08:37.647756	2013-08-03 22:09:13.521591	164		0
13755	10lpw62m1c4yzheby20n69bmeb	$2a$07$UxCfK0nbX.zPFFE5QP7eUuOze5qJ8K.lUe138tLhxk/IPRi4dZPM2	105	2013-08-03 22:08:37.681588	2013-08-03 22:09:13.626555	164		0
13756	10gd6nceztxw2z8j8s7cv2rnwv	$2a$07$sZY7a4lqKMCXVD2I1a3XuOjTIsjQEot1SjdvWe.xLdEyBm/G.JMKO	106	2013-08-03 22:08:37.706159	2013-08-03 22:09:13.72468	164		0
13757	10l8p52ximwymr3183r245o2pt	$2a$07$eXz6NTARCzrW0xX94Almi.UdkewJnBOOFkp.0JOFGBgnsvTbG8abe	107	2013-08-03 22:08:37.738388	2013-08-03 22:09:13.829667	164		0
13758	10nr3po1wg4gfqo6z2m2y9f0hp	$2a$07$qK2GihJjxpeF.QLr4x1cUOPq01g4fpA3c3ntGKL3OjD60WjEPI6mW	108	2013-08-03 22:08:37.76184	2013-08-03 22:09:13.945394	164		0
13759	10uivs2exuz60hiyaalqmnguqd	$2a$07$dlBDzz1bDUmqTe/z99N10eFwQBwvb0mA/Jv9lP1.IUQGEachAJCM2	109	2013-08-03 22:08:37.784995	2013-08-03 22:09:14.121708	164		0
13760	10zvm6z48953t42847ce2hbqjj	$2a$07$gRLRrEJsFMnD1SOE6xuzq.ki5nk8Jkg3PS0pMGGM/B9Ojf6VBv3.y	110	2013-08-03 22:08:37.808802	2013-08-03 22:09:14.258106	164		0
13761	10kxq6sv5wfq450ek8hfzk5bqy	$2a$07$cFM.bRflc8hu4VNfP7zhKe5fM8oFxQAc.eSiyJIt0xGO.Ae30Y8oG	111	2013-08-03 22:08:37.834091	2013-08-03 22:09:14.413299	164		0
13762	10rv30a3jwctxabg5c19botobm	$2a$07$8/wOpE6gPIjPoaZ9urUfAO5JOQl.mML9BdV9oSoC1KtIwLQ9WwgMO	112	2013-08-03 22:08:37.858964	2013-08-03 22:09:14.556825	164		0
13763	108a9b9s8d4lmufenosyfe2w15	$2a$07$S8z3mQosQiolaNEJIAQ2feK78SSMPARmde1wRD1yY83sGtydx3JTy	113	2013-08-03 22:08:37.883396	2013-08-03 22:09:14.719718	164		0
13764	10xz66s32cwh1mfu8polwjvsu7	$2a$07$JY7cOMDfSgjiGOQ2uZKJxOcKyMNnc8T.ukwFPyQRUu5DQgLLUodmm	114	2013-08-03 22:08:37.911949	2013-08-03 22:09:14.886	164		0
13765	10onkbvngtdnrkjwmbztv77vph	$2a$07$KOCxgJfxTOgg1ViyhTtRfOSqXcjQGXfCrxPCG0UoBdx3y../PQmmS	115	2013-08-03 22:08:37.939087	2013-08-03 22:09:15.027763	164		0
13766	10veav05rbwohgughiq5mxwh4w	$2a$07$kvVzgdiomljh4Tb86A0/weHxorm2nrfpT6xPlikq1OZTB9rL0uBe2	116	2013-08-03 22:08:37.963361	2013-08-03 22:09:15.144545	164		0
13767	1065m53jj0l9jagvb57biom85o	$2a$07$JFtCbq3duSV5tUSbTzre4.GnftY0Uji/9Rt7gL685huw3ZqBb5sK2	117	2013-08-03 22:08:37.987094	2013-08-03 22:09:15.292848	164		0
13768	105i94x6jr3lsrczvbksicdtkg	$2a$07$9KOUkVi7eX/EhhqYxdJItew3XA40pVFv15uNG5AbV0VRQE/N7X4YO	118	2013-08-03 22:08:38.011427	2013-08-03 22:09:15.452695	164		0
13769	102vyf61gazgiy2wxf6eks19h4	$2a$07$Lei0WzWUMjhnETK5hF3BUOkcGuU7uVLOhyFpnF/qd.RfxMYWHV8N.	119	2013-08-03 22:08:38.034854	2013-08-03 22:09:15.605104	164		0
13770	10sapn2y3kxhlx0k9ylwnf0gs0	$2a$07$dUsouTk5zmMP4/nqEjryxuLYf.4OVJLhUV3nk5XVPcHf0xjFw0MR2	120	2013-08-03 22:08:38.058055	2013-08-03 22:09:15.738111	164		0
13771	10djr565fufr88z5e9gvnox2zi	$2a$07$H6.6qkTgsR9cfxzyVK02ke3CZjacFtQYYTMCzCkvxP0/fKfz7o9Hi	121	2013-08-03 22:08:38.081149	2013-08-03 22:09:15.981715	164		0
13772	109gwrchn5t7p7bp4ngayfja3l	$2a$07$HpN0FWJxk8hMTZIlkbtwH.CzYBvn4tTC6bWTOGCJ0iGZL7mzbjjKC	122	2013-08-03 22:08:38.104165	2013-08-03 22:09:16.280714	164		0
13773	10712xvivdx5wszt2ep3ytut4t	$2a$07$Lx0f3WShoH3w0jDud71JG.anwpKn26FvXqa4qiaea54tpy7XqqyOC	123	2013-08-03 22:08:38.12696	2013-08-03 22:09:19.282351	164		0
13774	10pk6xkq2632c3z6ajvvrhbfku	$2a$07$0hoRdOAxGSSWMH/OL7F6gezp2ofePpUvHr6/Bal9MOxa8hkSIW66K	124	2013-08-03 22:08:38.14976	2013-08-03 22:09:22.372274	164		0
13775	10no3vd5oolichjkze7y9hc4zo	$2a$07$UXW2jNqX1v/ySvcu70eqmu5bWLFpMNSRQ7BZZQAv3tScHJA/Mh1DS	125	2013-08-03 22:08:38.17361	2013-08-03 22:09:22.716385	164		0
13776	10zns0n8r75tmn4nu5z74b195j	$2a$07$WhYhJBl9LEFMaYZrl3UvX.pqeDG1da8nJ20fRQ6v8Yq8hdnCzKbvu	126	2013-08-03 22:08:38.20234	2013-08-03 22:09:23.122744	164		0
26251	103ub2plbyn6hm79erghjl0tax	$2a$07$2DKPZ385xLioPDF0Aoxk1.QCbphKSFsoVr0vrCPfxkjxpZ.9sVonu	1	2013-08-04 20:36:19.045265	2013-08-04 20:36:22.144662	264		0
21086	10flrof8swqpfd2m0evel62s91	$2a$07$JVMRY5Ji3ttUGkEAIOMQ/uoW.13nCVyXLVQS1yfXhjICrX2fFnvzy	2	2013-08-04 16:59:59.270967	2013-08-04 17:00:04.363366	223		0
21087	10cuoskmhikgia0uxjwgmetwtr	$2a$07$cmGq4n1eX8Xn7kroF/IE4eNsGuEX2uSDi0iGHIV5eosSdvaT2d6Ki	3	2013-08-04 16:59:59.318919	2013-08-04 17:00:04.5075	223		0
21088	10lcb8lyc3ax34rgktcda0k6ws	$2a$07$MkmmMi1a.3LG7juXty2x5ObPw.LiL7HFzJjVVoVQrMhxQ9IvJSrZa	4	2013-08-04 16:59:59.358972	2013-08-04 17:00:04.654751	223		0
21089	105j1wc9fq4c44x40w7qsv7rok	$2a$07$Ze8r1ivrDpvCfxzatWeWv.RjTvSc7aJUaTXI0d8Wg7NwRNnOZirNC	5	2013-08-04 16:59:59.393151	2013-08-04 17:00:04.802394	223		0
21090	10n737c1gbstlu2j10cafmub23	$2a$07$SP2oNgGQ4x/NgiG8yGAdqeMYJ/vGhG02OTCmKX0fSDeNAn8TguaBi	6	2013-08-04 16:59:59.425061	2013-08-04 17:00:04.993712	223		0
21091	10nxsic6d5euousdi8xp64orqy	$2a$07$q1Z0qn09hcpzGcDIpUaTiuOXcezjq//xtplD.1vlSq1P9WsRABIai	7	2013-08-04 16:59:59.457974	2013-08-04 17:00:05.160205	223		0
21092	104eolewxvfgafc5ubdo1e84g9	$2a$07$c/43xhhhI6EkdGUFnAPoHuGKuqZ83A/mzL0AmnAs//7lwlwn05zm2	8	2013-08-04 16:59:59.491319	2013-08-04 17:00:05.29869	223		0
21093	10jez0jik3cln8mwzz9gwh41ca	$2a$07$EOS5ic6cbrgc0zoScBiALuVVC3kOVJxxy/gRC0uVoCdxoKk7YWKf6	9	2013-08-04 16:59:59.533107	2013-08-04 17:00:05.449826	223		0
21094	10uj9qgzoy0tod00k550319cn8	$2a$07$XHzhpPFhaNqBCV1fjMbXQOTAVKfi.vxJhl77Q/cTKD2YhMB3ZjfyO	10	2013-08-04 16:59:59.574534	2013-08-04 17:00:05.621487	223		0
21095	10buap3d91ixu0hbkuftgk8h01	$2a$07$FvArPa.hDSlBI25KAmgL4OHSKNw2tcO3hponxwOQEBQD9kXLk9HB6	11	2013-08-04 16:59:59.614734	2013-08-04 17:00:05.773921	223		0
21096	10wawznup30ckosfwzffgvm39g	$2a$07$5WwOYDyaJROxSvgYI8CmvuCFwBXB42Uuplm36ZiUX5vECqKnf5AFy	12	2013-08-04 16:59:59.657378	2013-08-04 17:00:05.918443	223		0
21097	10cqh7i6byr1i5ga0anw2c9zwc	$2a$07$MutlXIS5.IMZPR6va3cx8OYrmlcM2afLWDFo/qPnVVxVC3Q5ScZAW	13	2013-08-04 16:59:59.699433	2013-08-04 17:00:06.064818	223		0
21098	106xle3azrnxqmb7be0wxahqe8	$2a$07$Meq9vzQE2VsuAvMSG9hIAON2x7GC5ejPhULsb4W8XbS0Bj4/Vt.nK	14	2013-08-04 16:59:59.740653	2013-08-04 17:00:06.213339	223		0
21099	10msuhvdwwcgimdonwncv3tdbt	$2a$07$UY7x3PSgUzRpRVdkkoDf6OkgSB2Uvb0.hqY8fGltZmoJGv0Qwvu8q	15	2013-08-04 16:59:59.815443	2013-08-04 17:00:06.358575	223		0
21101	1080r2ai9jew0tk2gpaesteg4e	$2a$07$UcpComDdqWDwflOIFabbeeV5rQ.N/mc1lprp2spsJvUMdFY46AAD2	17	2013-08-04 16:59:59.896358	2013-08-04 17:00:06.692883	223		0
21102	10p7kpe3ysih1yav4hdy5q2w3k	$2a$07$avDCa2/OH3.yO.CkfWq0QuXB8ToYysS.n.pK.jPvEIMFkuVJZTePC	18	2013-08-04 16:59:59.929476	2013-08-04 17:00:06.838432	223		0
21103	107vwe3zi8nwgdoxca6ud5jh36	$2a$07$Mn0Dz7DzQcknQV7QCs0ywu/rddAz.G5Wno5yKg5ZPA.HA.xCKqO8G	19	2013-08-04 16:59:59.962872	2013-08-04 17:00:07.297176	223		0
21104	10on8lj7wxtwqswhphofvmxcxy	$2a$07$WFtswDRnvlyahziES0pU3.JDLTkHz4ycPtp92m9u/7KzEuIHw9Yam	20	2013-08-04 16:59:59.995685	2013-08-04 17:00:07.699118	223		0
21105	10ipr1io4ggbu9svubemnylvkc	$2a$07$vGJVF6/YFxOSMz7XmZuvIumAFKh8lQQZcasFWEdf.R.qbWGw3L54C	21	2013-08-04 17:00:00.028716	2013-08-04 17:00:07.914142	223		0
21106	10k5tqlhau387hdr06to109yem	$2a$07$FtSVWYq1r3aFclTkgOB16O3mpEdlh1HIF9fwjTvVmiQj1clU.Ora6	22	2013-08-04 17:00:00.061762	2013-08-04 17:00:08.075494	223		0
21107	106wdmah6lrdxek4zw3oe9n95e	$2a$07$RbsfYyO7v1PysCNtOTHHqOSjVh6JE6/T0svkyDo1CeqsHgJ4QosbK	23	2013-08-04 17:00:00.094915	2013-08-04 17:00:08.228432	223		0
21108	10fkwyeg6z2fzxw4jzgcquhcxr	$2a$07$x5s8qce1YaLg8QwXRnAe/eUflSfAvJxnWDLXeFgH/b4Rixp8UjNwa	24	2013-08-04 17:00:00.12794	2013-08-04 17:00:08.377464	223		0
21109	10lwb9i5l7ggvs63l74kc6potq	$2a$07$hYTviXJPkNGXBxUCQ0waauQZByWoAO4Hzz6WNh4JV07lR02HEKmlK	25	2013-08-04 17:00:00.170887	2013-08-04 17:00:08.750911	223		0
21110	105hyuj6gg1hnw2ibnvxuecfxz	$2a$07$Va.PO7Z2m6aSsEorQvGOI.d92QVAE9V43ZXgpeljbZlt6PD4RJnUG	26	2013-08-04 17:00:00.204494	2013-08-04 17:00:09.018078	223		0
21111	10n977wnb3e62m6dqcyjwevhwg	$2a$07$gS/gvpFV6nk7yhPL.q1jlufAULQMoZFjAhDwHl3c3eSIFs0wEaovq	27	2013-08-04 17:00:00.246553	2013-08-04 17:00:09.211732	223		0
21112	10kru34odi5kdf45yhlnw2b5xb	$2a$07$wmin8syBLdYKTxwMryKyLOteC/XhZ/dGCp3zL/uIbpiFOfZaFEZxG	28	2013-08-04 17:00:00.278101	2013-08-04 17:00:09.402205	223		0
21113	107x96bqnixwlmkn3himhn1l25	$2a$07$u4lbRoMcqoU693EJvXB7..qjO6o3ZSAPajoxEtW46CBz8BsEybybG	29	2013-08-04 17:00:00.312455	2013-08-04 17:00:09.525752	223		0
21114	10n13ec3ph3ybppz7jvx4ftf3v	$2a$07$LQRc16vfYVwbOhYsXE.Lsec6VlKzHQrNTwbqNWGP2uOFnpGITeVKa	30	2013-08-04 17:00:00.352682	2013-08-04 17:00:09.669036	223		0
21115	10sjq6y2sr35lfzdotu5s1zh24	$2a$07$qzXZaYx4/C0FENUjoQCLq.QiMpMMQrmTB9YY5vhnP9EZNv80P3rS6	31	2013-08-04 17:00:00.385744	2013-08-04 17:00:09.853123	223		0
21116	10za1u3vny2qh2936sqi3phnb5	$2a$07$IWtECDvnRewGGw/HL5E89e0AMxSK4ozaDvSDaBkdwUBQ5tTq683W6	32	2013-08-04 17:00:00.418893	2013-08-04 17:00:10.009561	223		0
21117	10umvnfpfmakj5tpoci4ee2l77	$2a$07$K4gY74VtYDXn7rwNVshKdeqSmxdGy/Y8aeKWAgjEJwJlsuA5WWBVm	33	2013-08-04 17:00:00.453375	2013-08-04 17:00:10.14705	223		0
21118	109tk14jg9ahftklhk6sse42w7	$2a$07$tIlxw3jsw3V88J/gk4SSL.9qoJTHHzD7IqepqP8IHlMGp13DxZy7a	34	2013-08-04 17:00:00.518591	2013-08-04 17:00:10.315227	223		0
21119	10ynb4mj97cvyttvtm9cl9h2ly	$2a$07$gIS9fILoQhfvZGH8gxGTy.lmc9f8.1qkol6JKl4020NBYcWDFuUgy	35	2013-08-04 17:00:00.552408	2013-08-04 17:00:10.448819	223		0
21120	109qgrtj3f36vv7k8bvqb6epm5	$2a$07$0aj2d2NjzKQnyna4kd0GauquBWQqzTyENZcgoS8JoXI3SuLWlJVDy	36	2013-08-04 17:00:00.592701	2013-08-04 17:00:10.595522	223		0
21121	108pqro8l1tg1sqetpj6bsa8c7	$2a$07$qcV6rWmtO39Tz7r/HyUN1.P2ep6szSXnszJ/srON.IMm5sAnRP3Be	37	2013-08-04 17:00:00.63379	2013-08-04 17:00:10.788098	223		0
21122	10uod90yi1mphr025ite0lvzib	$2a$07$ZC7gI0YwSW/3O148.WH5quxS.jr6RQZacf96m6KNZqu8hPi5RZknu	38	2013-08-04 17:00:00.67547	2013-08-04 17:00:10.887961	223		0
21123	10gwb9fpee4rvhxe2rlul65muj	$2a$07$IxAxsoeuCMhXUeUMh.NhA.jPH8OsKCix84Ohe4RvKV5koBt87YNBi	39	2013-08-04 17:00:00.70828	2013-08-04 17:00:10.987101	223		0
21124	1033fp9iv011880yrs856arivb	$2a$07$8bE/xp4NjaRDebViL6Klce8TlkK1PqnFkItEETZObhAXGyctAWN.G	40	2013-08-04 17:00:00.741254	2013-08-04 17:00:11.107905	223		0
21125	107qh692mgykhcrw3vmjmbmqb3	$2a$07$frG..NrTkR2SBKRaV87blOuSgeoUNsx5XFs1whqUXKi.xqNTvEPT.	41	2013-08-04 17:00:00.783803	2013-08-04 17:00:11.215185	223		0
21126	102y4tw425o14pbctupyfkao3n	$2a$07$bl/nSApEoBioRaPyOGmuY..KvYhUXWpnq.35/aSbhYM7xAOwAv6/i	42	2013-08-04 17:00:00.8249	2013-08-04 17:00:11.319441	223		0
21127	104i3dthhv30hplxdodrk2qtd0	$2a$07$RMP3O1syWkBzzwqJHkdFw.DmXTr77vj9h4uriiLzt3.mcdNKRfCqW	43	2013-08-04 17:00:00.866582	2013-08-04 17:00:11.468153	223		0
21128	10qu572gnw2mtm10i5u4ts346i	$2a$07$4NLxi3s6GG25fYLOdDzUAeTGyiaoerUio4DIcW86zK/D.jWoGlUp6	44	2013-08-04 17:00:00.914852	2013-08-04 17:00:11.566959	223		0
21129	103h23dheb9203acc91qklu2y4	$2a$07$95qmOCrd6rIOtVODH8F/0elGFM0oclYiqQqkr/rmeWfdXu6cT45eG	45	2013-08-04 17:00:00.949118	2013-08-04 17:00:11.665836	223		0
10501	10d41nzlwxjz8gym362q6m2eqv	$2a$07$W/AvvUcjOUwGNmQH4Ux0de4XV4ey1j1w766UrifmvsC541E0dH6X2	1	2013-08-03 20:06:32.105415	2013-08-03 20:06:35.84027	139		0
10502	100yqnkjxhpz27twfu9vsfp74e	$2a$07$A/jNS9TO3kWOIkbGDkkPM..0CS6AfkmIwgzk5V.yNFCSdaKBabrha	2	2013-08-03 20:06:32.133938	2013-08-03 20:06:36.219283	139		0
10503	10nb0v5tw3qhky02vajp08y987	$2a$07$GyckIvjGkmly5S7iO6FmL.ORkA.WeoF/Ox.BCnT5SUANyq/y0uZUm	3	2013-08-03 20:06:32.16784	2013-08-03 20:06:36.45586	139		0
10504	10eieckuumqbvzlohof94ryr42	$2a$07$gTB/b.nIHYEiROTGUdjaZ.9cxLQwmPMkyL.OA05AjKArrMDZ0/LJm	4	2013-08-03 20:06:32.192204	2013-08-03 20:06:36.584515	139		0
10505	108iegn3pmlz27eyufhpcncb0u	$2a$07$M0Uk3MlwXz61ASasnZP4HeXrdfI3oTCm8jlf9ZCwpxstmFhtXEBiK	5	2013-08-03 20:06:32.228379	2013-08-03 20:06:36.726561	139		0
10506	10sgz5m3iy27289dvekx7g71fg	$2a$07$Dt2.0CdUXIV1WXj7yo09NOGZ0NN15rNIfKJB/A.Oo.Y/Nu6qIQ9z6	6	2013-08-03 20:06:32.253258	2013-08-03 20:06:36.864753	139		0
10507	10mmg88oe53lsefmtts6riy1ev	$2a$07$moXm7sb88wiheVOGBx6k6OkJMjIiGmNcNLPj0j1LgtA2giPI4Zgeq	7	2013-08-03 20:06:32.279872	2013-08-03 20:06:38.868015	139		0
10508	10vau6vacjdojqyxlkue1mfd6s	$2a$07$eE7jQbnsUv2/47UARVI3c.egjF4kRodzatbMkHBiY7QVx.oZpmkIK	8	2013-08-03 20:06:32.311166	2013-08-03 20:06:40.955323	139		0
10509	10wmh48uod3ep2m1wrfgpui8l0	$2a$07$02dyHlUO.TjrTbOZABNhHOoWiYhI844ThwTkGHxtVETLp7vIusPHy	9	2013-08-03 20:06:32.350792	2013-08-03 20:06:43.021613	139		0
10510	10t7l3a6swasi3as9ud0oqa5vz	$2a$07$bh3w3gs85IVqF.THyau/cewGLi7rCe2lpfH3KsKOVx2S7HcnmsVg.	10	2013-08-03 20:06:32.385088	2013-08-03 20:06:43.152095	139		0
10511	10tuuv10ovrdjmoftgbxh90otb	$2a$07$jBYVHWnwjAY32ylDa2DM8.7yKy563R8Db6eNvpY8/t0vHubkOddse	11	2013-08-03 20:06:32.413344	2013-08-03 20:06:43.291303	139		0
10512	10jd8s4txe8sioiw6vprtrrtfo	$2a$07$dHEys7bumQsUXb.t43Cfp.WXO3E/sbfd3pHsf9NkzxWBzgRTkADcy	12	2013-08-03 20:06:32.43981	2013-08-03 20:06:43.422983	139		0
10513	10mxf6zhcu12mrobcph5wj7v0g	$2a$07$AqhUilwb5ssYTCp/v9qNXe92dy3SylKvqV9kByMuLxjtScpVDgWme	13	2013-08-03 20:06:32.471297	2013-08-03 20:06:43.614254	139		0
10514	10yfhhzi1n2kn032chthxal1nj	$2a$07$3mUyeFp3pz9dMwNu3LXjteGFHOvc10kispMHqyvg/x00St5y4aOQW	14	2013-08-03 20:06:32.502752	2013-08-03 20:06:43.76895	139		0
10515	10cg8gdg91w0fb5amhz5k9s9qd	$2a$07$mjkle.AFu63QUcwRWI99DuJNIXuUvaCOxqB6twJnpwW31e7t/6Mx6	15	2013-08-03 20:06:32.530502	2013-08-03 20:06:43.917432	139		0
10516	10wp7915gfv8hygharc6d08dv9	$2a$07$xvroKvBlddrNk/SQj4voB.FrOK/K2Bmil9FjKUgj.ZZfVwK6B71va	16	2013-08-03 20:06:32.55486	2013-08-03 20:06:44.04023	139		0
10517	106qyfkt6l0d8dt3hhfjl9z2uj	$2a$07$t4WIESsC2TUdUxeDLhavtOX1QysJ6Vm8ztYbQ9mZy7hqkBTLHjKj.	17	2013-08-03 20:06:32.580056	2013-08-03 20:06:44.185594	139		0
10518	10g4nvffv8f4fko8t8lom54rom	$2a$07$g.l7i36xZ13U8lznpldMnuhAyZtgUIOwaNZDjooZMKxZCLF2Nq4kW	18	2013-08-03 20:06:32.611834	2013-08-03 20:06:44.321624	139		0
10519	105gv95z3n4w20pzhky9csbk9e	$2a$07$zeO/O6zrJcf/dFBMLmFXHu33Vbo7TFuy5aaqZHeHqgtHxsJWt4bMS	19	2013-08-03 20:06:32.64019	2013-08-03 20:06:44.456387	139		0
10520	107twur8clyy2cp4jgpsvr1wfj	$2a$07$6EipiOT/kPOL2ILVmVou2uQqSzd5lFxsjYG2Ifa8pKXKCC/AEMMsq	20	2013-08-03 20:06:32.6718	2013-08-03 20:06:44.579492	139		0
10521	100wqw9e56czn6h4vogi99nncp	$2a$07$LG9ECiIZtTUBnAlKjsuGt.pBTAG7p9vRl8Gq0MttNxzNx4uoFKb7q	21	2013-08-03 20:06:32.709389	2013-08-03 20:06:44.688136	139		0
10522	10jzd161u988q980eoxaqawjls	$2a$07$Kh0nypkvCNvKG.i9yf5ggeTg.1ygQqUktbXuRmJB08eHnDVSiYlim	22	2013-08-03 20:06:32.745624	2013-08-03 20:06:44.80666	139		0
10523	1060f2z7ysuh56b7y27e1hj9cw	$2a$07$cOM9RmybCs2W4C1X.QxacevK3TPpaLYLn9J.KtNLMPfp0UK5JiHgO	23	2013-08-03 20:06:32.770078	2013-08-03 20:06:44.944395	139		0
10524	10ctpgfbymybs3frzfqa6e2jhm	$2a$07$74P6O5Se0Jt00RQ8G.1Zpe3Urv6RYsp1bC71vCLbCmZ2lBQkfFx.e	24	2013-08-03 20:06:32.793703	2013-08-03 20:06:45.094197	139		0
10525	101t7v1l2oa04poqsnvp10lmcz	$2a$07$AiqcoQWV1vxbkLvEQlKXn.6UJGaW9U2vYmo8tDLZq4iCLpCE19o8W	25	2013-08-03 20:06:32.817199	2013-08-03 20:06:45.233323	139		0
10526	10l8zrry72mnzol94pypayi1wv	$2a$07$a4tRT3Rzjk2AZpZ57Cto7OiOB153oixX23mnmzQSnTLcdjSWk7cNu	26	2013-08-03 20:06:32.841048	2013-08-03 20:06:45.367943	139		0
10527	10qjjgl39o3vnxgdvydt21rlj7	$2a$07$rH..xsfcolEXDhHmS0TM6OFOv6/zaijOOL5iJC/ar2XPlLmZLdFte	27	2013-08-03 20:06:32.864953	2013-08-03 20:06:45.500534	139		0
10528	10ijfog6zcyqhz1fgpovc3gqwq	$2a$07$VT5vdgOVroJ612ctTO4sKOWdvbJWJ7PbPelZYj.n8qmKezsXzb5xO	28	2013-08-03 20:06:32.890735	2013-08-03 20:06:45.652106	139		0
10529	1045wmm8key5myifqcqrh8yuci	$2a$07$SYZf7fxR7waCCIRLClsjOu5KmlaWApI6iHft7zgd16T15sso6BSq2	29	2013-08-03 20:06:32.923422	2013-08-03 20:06:45.777278	139		0
10530	10egzg6c8kzgw3zvsngm6apihv	$2a$07$T0k8Zbflcu.KH69paDnMueIJESGRXxmAfxKYRVG/hRjuxEISFChSe	30	2013-08-03 20:06:32.94822	2013-08-03 20:06:45.880595	139		0
10531	101m68a79ham4voxzo1ctgae9b	$2a$07$pXt.YnQCH2YnGwr8fxUtIuc/gWYcmv7bWAAWoKLlTSONszl6wqW4q	31	2013-08-03 20:06:32.973101	2013-08-03 20:06:45.996728	139		0
10532	10iau1i7rstvc0nehatdlizyra	$2a$07$669yoBaRtv5BgiJNd7lsT.3fTzUvpVzX7rp/WWmYumpL4OmDubVAq	32	2013-08-03 20:06:32.996672	2013-08-03 20:06:46.143106	139		0
10533	105765bo2bf1iyyazh5cxxu86u	$2a$07$kSYkAqbTP/algro0oJBpeu8mocLNBMjZzaE0bCfrmZUy8VtiwRfUa	33	2013-08-03 20:06:33.020001	2013-08-03 20:06:46.286774	139		0
10534	10z9m4ddnizgugnbo25nivip3x	$2a$07$FO6LuRaYOhPdsQdWueA67elnrF./CEhEvJ1S2JZac0sQNJKRznw3e	34	2013-08-03 20:06:33.042994	2013-08-03 20:06:46.500194	139		0
10535	1080ubnq1aeff5rrw2qyf2v1vn	$2a$07$2/FwoGXXUhd.mkQ5vz/YFu6U7Iu6NS.IBjkcX8FkpQILkchLnt3p6	35	2013-08-03 20:06:33.06458	2013-08-03 20:06:46.684289	139		0
10536	107hnbazf7oa2opks26vwl2xz9	$2a$07$zLXG7NAW69vLBAcGW2hbQucXXGiw3Ai5UmhEPDJiECfRG34mV59cO	36	2013-08-03 20:06:33.087141	2013-08-03 20:06:46.820273	139		0
10537	108k2vn0aue028na0w6jrbdeye	$2a$07$97IF1djb8ahvQ97yPgiqZ.iUafWJhUMeD2mokp5nHY4zh0n5n.0Ba	37	2013-08-03 20:06:33.109869	2013-08-03 20:06:46.967399	139		0
21131	10dup9a08f1tvavm5sx13damm3	$2a$07$a6npy7Yn0Vvh9Xpv0bgQ.OYs/rwhlpDGAHnjK.uKutWMC199Gti1K	47	2013-08-04 17:00:01.022353	2013-08-04 17:00:11.930005	223		0
21132	10dndw6v0a5lho2k4w1apjdjdb	$2a$07$IR6ZALF74i6g8qsdGiR2EuCM3KpineqExmN4SAeRxs6JEGQoNI16G	48	2013-08-04 17:00:01.056005	2013-08-04 17:00:12.139407	223		0
21133	10mn3826zppppn6qsh339d9wi8	$2a$07$hhEjUrgfsAfvBN/b2csDj.s67EQfzgWDk66HsdcJhofmf3wf/TvF2	49	2013-08-04 17:00:01.097582	2013-08-04 17:00:12.540887	223		0
21134	10m7ipcl0bf4qwmdymgu0ftgn6	$2a$07$mQTyXmVb2JkIwyVDfkGGl.mjKNX/TcxQtLO3olzZdAeZi679punVu	50	2013-08-04 17:00:01.146056	2013-08-04 17:00:12.938149	223		0
21135	10k6qdlprb0y7rtjxgx9dvfwwy	$2a$07$27ZRbI5xWk/eiJObCT8pjOTY7YJa3gsksDXz09Wlvg3sKeUtW.x86	51	2013-08-04 17:00:01.188317	2013-08-04 17:00:13.0864	223		0
21136	10ldvtli9p93j0yb0ypv34v64y	$2a$07$7B4Z9a.2Ji4Us4Xi8Kx2r.QC/m1OSzoqdBSNnPSxLyTDPv3o13jsy	52	2013-08-04 17:00:01.228794	2013-08-04 17:00:13.240311	223		0
21137	103gwsasryfr07jgthbeix393t	$2a$07$3/BaNi9GQhPav9j71jx79.3ocBH/TPY85OqTO9ZjMbSf9PGpwxd9e	53	2013-08-04 17:00:01.270468	2013-08-04 17:00:13.399288	223		0
21138	10tnxac82ab66aqu6u016yaob7	$2a$07$m45g.cglgZVX1ULTgdYpseZwubLlJmzTQrSZpOe7DrYqcIGrc0qnq	54	2013-08-04 17:00:01.311731	2013-08-04 17:00:13.734508	223		0
21139	10ei8rd8x2a5x1y3n1ejsn50s0	$2a$07$9rE3ClJPJNRCoGm6W7gIVu6Ay14Tqo1V2PvLRUssoQFIlgG0sp9rC	55	2013-08-04 17:00:01.344772	2013-08-04 17:00:13.900901	223		0
21140	10808a6srd2bdwr2u0gox1xmlp	$2a$07$FUW0Lta1chji434V6gkMuuoejlduRHkQ9RzzbZ36hmNJhmdc0SWTe	56	2013-08-04 17:00:01.377331	2013-08-04 17:00:14.05479	223		0
21141	10dgu0o4xqywqk48m8gagk0no4	$2a$07$4mJs3ATYHgUs6zHyMnktpOkhQAOPbxhFI5whWP1ZTUKyyctlZ5TFC	57	2013-08-04 17:00:01.410962	2013-08-04 17:00:14.204065	223		0
21142	1065bpb02lwp342czw1fjz0ulw	$2a$07$mtHGd0trhvii3nZYNCv2juRVtEU24JC3sjFcDkRB0idVcRS4Z5Qbe	58	2013-08-04 17:00:01.444125	2013-08-04 17:00:14.528157	223		0
21143	10jybgh1vvwgqo727yt4nidl2z	$2a$07$bV7HhJSoqGAsjEG.VBlpPO..5f80tV4boCL9ely437M9MxNyoNGBm	59	2013-08-04 17:00:01.477167	2013-08-04 17:00:14.735138	223		0
21144	10dx1hd14hyf3ixqzyq49mut8r	$2a$07$7JkS2fo5A85pk3ebMTL2uOeDxt0Ws/YNaRBcmEysfulpeGhnsydoO	60	2013-08-04 17:00:01.510153	2013-08-04 17:00:15.115787	223		0
10538	10on0lt7ymi22469qxy68rnatx	$2a$07$CM48VoitmkUGJ6QTQncNIuanFsE9ixuYJEkewVnihhmB9/R/9zuC6	38	2013-08-03 20:06:33.132542	2013-08-03 20:06:47.113873	139		0
10539	1079douy56cfpv6yz25lnby2e7	$2a$07$YD3c1mPzT8x8xepMCWqXleipopg6aOZ0PYP7vy8xRP.wt/BGduDue	39	2013-08-03 20:06:33.156277	2013-08-03 20:06:47.247614	139		0
10540	10naxprst2m183u6u51jtt5maa	$2a$07$kH7BoDwRwc0hNAWM/gPTjO.MqpWMAdg3iItwqQ.qOHrArEaSU9hAi	40	2013-08-03 20:06:33.187711	2013-08-03 20:06:47.394039	139		0
10541	10v3ay4jyyob2pu0of4kon25j7	$2a$07$KDm8ZxoFS8kslVMSBrKV6exYIa2koX3H2euUilyIRB18TxZllPoq.	41	2013-08-03 20:06:33.225646	2013-08-03 20:06:47.607565	139		0
10542	10vn984orohbt43i30d7amqouv	$2a$07$qM//u22wDIDKRtZgZ/vRp.cdAaERVyDc2xhY42zyzEfP9SOcLMMhy	42	2013-08-03 20:06:33.251115	2013-08-03 20:06:47.790712	139		0
10543	10lsgyfudpdeipdp99mv3yu1s9	$2a$07$H5mGamuaIXkpUHh.7/w78.dqK6dHJASrt.jG7AL6d5n0GDK7m0PUu	43	2013-08-03 20:06:33.285857	2013-08-03 20:06:48.102419	139		0
10544	10a32799icq4z7qbq554pkxrdt	$2a$07$8GlafCHLYnx3flzl3BVVbeORG07mfXrNWb/jczegKRVVHcNlSbcwq	44	2013-08-03 20:06:33.318193	2013-08-03 20:06:48.342359	139		0
10545	10ehwjj5fyt6lbncyjxevhv1bb	$2a$07$utcPPCKhnlF3CdFim0NLmObAJuEPxiTVEf.vDjwDEHZwwMemPm/1i	45	2013-08-03 20:06:33.342594	2013-08-03 20:06:48.627266	139		0
10546	10hfz96quriq4tkwc68owrob9f	$2a$07$99ZEEGdr8yrSf6V.H6vPdexTl2vFV79cx2Zta6a6gfcmnHMv.mxfG	46	2013-08-03 20:06:33.377611	2013-08-03 20:06:48.748411	139		0
10547	10dgdbc3bnz8ox6zsbdlwfk8rr	$2a$07$Q7OiAEjwPH8tI2x9JwV9ieZ6/LnL4ZBp7KsLxqjBxyxE4xICHNgH.	47	2013-08-03 20:06:33.404942	2013-08-03 20:06:48.871585	139		0
10548	10kri9hri3thg1ecuc9ow2skz7	$2a$07$Gwj3VAawCFWd6CtkqyCOEeVOhK/F/DA2gG/32dAmlK30JTmQKh0Pe	48	2013-08-03 20:06:33.427253	2013-08-03 20:06:49.180358	139		0
10549	10mneqluwc7ynizmrn54tlr73q	$2a$07$X.Mdl4PCtalrkKZtYVxpF.Cb3tWrJDU45wYoLUoLW.7UPKPfuyokq	49	2013-08-03 20:06:33.448933	2013-08-03 20:06:49.311005	139		0
10550	10b27ez7u5g08bla6jl8dgrneu	$2a$07$/wOzw7zUoCJM34EPe.kZ/e9Ue19YMzjHw67hONo8W3niaZhhUZGOS	50	2013-08-03 20:06:33.470661	2013-08-03 20:06:49.441011	139		0
10551	107y1cqydr0n6q3q5b3080g6kd	$2a$07$vCygbuMv6PODhV76FpSUWugGyHUTy.Qv0dQHofDZVansQX.Xw.Ozy	51	2013-08-03 20:06:33.493218	2013-08-03 20:06:49.571651	139		0
10552	10f40j74y77tmgfb8sttwqhekn	$2a$07$c6Zal.SAA5ebztXj6Urx8OYXG9.HLUHjR9cQf.1oR/BLlZ2P6MtdG	52	2013-08-03 20:06:33.516469	2013-08-03 20:06:49.757707	139		0
10553	10wio9t2s3mik6h0bgcgp9hr83	$2a$07$kjzpmppwlptRuEnWosFjjeuxlGonIZyLpy6/cwpFfj/12h.i6T8wm	53	2013-08-03 20:06:33.540397	2013-08-03 20:06:50.00232	139		0
10554	10zerle2nyb7ezj0pu7f8x3dun	$2a$07$Vh1hf2Q18Ktpsd04o60az.WvPo6HHNY470LY8BApAigyTAIz1nJrm	54	2013-08-03 20:06:33.562511	2013-08-03 20:06:50.292008	139		0
10555	1034ju3mrl039onmmx3qqhf0m9	$2a$07$fhX9qwf2IkOX40z.T1/oS.0Ewor6Uk3BIzMIk1zO1bXnnKKuOSyx6	55	2013-08-03 20:06:33.587192	2013-08-03 20:06:50.441111	139		0
10556	10ea97kv1s08qkvwa3ksern9zo	$2a$07$4t5HwMO89YqgsQVAi5e2zuIpEFKDEXYJ89er65TdUJ2vIDtQgN.4u	56	2013-08-03 20:06:33.611668	2013-08-03 20:06:50.604806	139		0
10557	10w61sxcev5akoxuyoacsp1qsz	$2a$07$vSs7RCEE3tyx0gKZLFdriuGd7rvAfNu0Xb9GgI9uZ4FP7jH4DknEe	57	2013-08-03 20:06:33.647818	2013-08-03 20:06:50.726571	139		0
10558	10n7gu0ukmw8wmwaup0goo0ndu	$2a$07$EzsitsgT6tPBC0btcVe7quFAexRzY.gsAcc1YSgPcEeCwR0CLMu6W	58	2013-08-03 20:06:33.680106	2013-08-03 20:06:51.082113	139		0
10559	10er51987kdk3iyur8xaapwnvd	$2a$07$Vk70ZH9E5C/gv5uIAUJCT.5q..6165fDWaPc0qLsGnn99vDjqL2ie	59	2013-08-03 20:06:33.71171	2013-08-03 20:06:51.472159	139		0
10560	10njdy2ws61kytec8pp25x5c3t	$2a$07$yxA9wriLfgFmeE6SOrmwpeqEHpjJuox0Mn7HODpfNyuFLJ3RDcPZ6	60	2013-08-03 20:06:33.751967	2013-08-03 20:06:51.89985	139		0
10561	1086483pt1rphv8zxnh45ogtds	$2a$07$xGFlBA95l1EVrPldd0Z5lOGi3.gMv6SYjmz1GcpW/gRZ5X4NOUy8K	61	2013-08-03 20:06:33.785086	2013-08-03 20:06:54.602578	139		0
10562	10odvdfnelpdil9syxmbr9sg52	$2a$07$judPhY4n6obbJoMfiZi5nOpDNYgF4dwI2q9NjXhXfk90iCY4kr28m	62	2013-08-03 20:06:33.810817	2013-08-03 20:06:57.710998	139		0
10563	106wzaf53yaaw7vyx5o1v7bed9	$2a$07$ynosMUpnH.tcpMfEJNozPO3dATvHz4/wDTMFYpfbNfXIIIyFgAJBe	63	2013-08-03 20:06:33.841888	2013-08-03 20:07:00.792765	139		0
10564	10hr017n6gn1750x12bnt7cszz	$2a$07$rO0OgkB3jZJixi5m6ndDfeFBrh8U1yhn5TQrcBv2T8vWOV.N/uA52	64	2013-08-03 20:06:33.873738	2013-08-03 20:07:01.121077	139		0
10565	108uxnan3iazkefe6hciumm4le	$2a$07$vrxtQ91xqMJNa2zmOW7NW..g1bMo/OtAOUvjb/pGTc.HHCJ9R7gTS	65	2013-08-03 20:06:33.904492	2013-08-03 20:07:01.248446	139		0
10566	10zfzown3sepx1rvbzbn59pvxt	$2a$07$qus/hr4kFee1RYGe883onebJ9hymyANWf7hc9n/ivp8.qrJwR3252	66	2013-08-03 20:06:33.928002	2013-08-03 20:07:03.444926	139		0
10567	10e42ekwkepqqit22i8suvouxh	$2a$07$WlyHhTtqjPYQBkOxPnyTquhIUknEoH4p3m5pQrFZusM7N7ipu5/T.	67	2013-08-03 20:06:33.956551	2013-08-03 20:07:03.566744	139		0
10568	10du4nss6coeez9hjz6jk166ou	$2a$07$4wYlBitupIgjHxwdZhLRW.pDEt6Rxl/QX0bFYh2dLMznfl4JOcyi2	68	2013-08-03 20:06:33.982665	2013-08-03 20:07:03.736247	139		0
10569	10y82p4s8b3vhlcimnevtnezkj	$2a$07$jd85JNHeN79CG4706VT2E.edbppJ4.O6PpF67ZzQ56lNuITpVTobm	69	2013-08-03 20:06:34.016686	2013-08-03 20:07:03.862354	139		0
10570	10wb3kjfzbg0s4phd07v94xyu8	$2a$07$HpPRvGVodHz86QtuRmZOZOrRy5WCyRjDxrBIJ3CqBDCpHSQ8yG7SK	70	2013-08-03 20:06:34.051909	2013-08-03 20:07:04.007217	139		0
10571	100uu7bcneg3ystgsmkj9f6a1t	$2a$07$hcczxLUeAdfyZIAqI7CzUuIoo.ggBziXDP/b6rdbqgFA/uMCdBZbS	71	2013-08-03 20:06:34.078306	2013-08-03 20:07:04.144256	139		0
10572	10ipafjtmpq1wqr6nwjinbbv28	$2a$07$HllPDoPDgUccXikP.jzCU.zrgbmchYSWqae30oDvPB.tsGhRe6BYS	72	2013-08-03 20:06:34.100064	2013-08-03 20:07:04.284337	139		0
10573	10lkaorlm058napiuaz20s9q1d	$2a$07$L0KIySpzntiK.9EwLV2GPeCT.oec/fJAEpPqoFVMcomsKFDg7u4LC	73	2013-08-03 20:06:34.122332	2013-08-03 20:07:04.52888	139		0
10574	105i13e2oom2sgco47y3tq8086	$2a$07$/8gMK2hErI3jPrlewnpzNOcaf12jLayGwhLXH1DEzMIgaD5gzY8bq	74	2013-08-03 20:06:34.14381	2013-08-03 20:07:04.663724	139		0
10575	10lyugusfwk67grp8i8c872fka	$2a$07$LFDUhRDDFouw7VYE3YgbZeT.D..nzyps4J5.XpV.6Z.LOzdH5Q75G	75	2013-08-03 20:06:34.165562	2013-08-03 20:07:04.796255	139		0
10576	10l6eiwk56e2k28g8cls8bwppy	$2a$07$F.7mumKqnxtKnuw6iBy1x.o0GDk7hDn7jlMp4txvTKW4OzaYubix2	76	2013-08-03 20:06:34.190552	2013-08-03 20:07:04.927378	139		0
10577	10a0gxz7uk03o98njfev0uyh6b	$2a$07$zVledX/cxkA88YEXre8zSeRXJR1NCuSYDfxc5rzp4PsdnnRrKYg0q	77	2013-08-03 20:06:34.222177	2013-08-03 20:07:05.063084	139		0
10578	10sijged305bf8fg0n1bv7nqmw	$2a$07$O6O7FCkKTW3ojPR5uL0R9.6ytYRpggZkRVPD/TayaGRdo2CX5GKeu	78	2013-08-03 20:06:34.246386	2013-08-03 20:07:05.179043	139		0
10579	10drn66b1cu8qurnabob0navyh	$2a$07$qLniOI2beZL.CbpmxvUSv.bxUrIaeH33VmkuoU9eWwjj6an44daNa	79	2013-08-03 20:06:34.268955	2013-08-03 20:07:05.412919	139		0
10580	10zrwthq8i9ryzy1uga742uuyp	$2a$07$HkStgXYfQ2NLbpUX39d1HOp6BS5jcwq1MpZJm9Q3TqnOPWTGFw//W	80	2013-08-03 20:06:34.292231	2013-08-03 20:07:05.551217	139		0
10581	10ac874a51p7hky1ei8ij6nxlj	$2a$07$FSSwuM.lisFy2lP3RtdEMOLOTTW65cDyoJLLGyPwAmk0AdXEr75Ru	81	2013-08-03 20:06:34.31742	2013-08-03 20:07:05.782175	139		0
10582	10qzzqf3ju4ugv49yyjsrl5oed	$2a$07$VQecO0x/8y0P8P6mvdR9kOCzZiCFQLMV4WnR12EqRqQ0NOieX.Cui	82	2013-08-03 20:06:34.35173	2013-08-03 20:07:05.914104	139		0
10583	10sub7isl4fkqxfw5oamyetey2	$2a$07$zwb9VdJUI3po0r1wNjXdbeR2q4Yp/a64IfHiIeDkUevB9cZDny/h6	83	2013-08-03 20:06:34.389502	2013-08-03 20:07:06.057584	139		0
10584	10q3qvvd4wpr2xj06qkby93w2x	$2a$07$BxYnvwXDPVJ7Rh/.keNiNuzIez90iyS8ixMV2meuQlPV.snCOK2EW	84	2013-08-03 20:06:34.412052	2013-08-03 20:07:08.86535	139		0
10585	10u7xjiqzmcjpsv9cjzdnijy41	$2a$07$LOXpjvHs/EmlkUdfrPbkTeiQ7f11eaCBmc.UpvqQwoooWr3HsY5M6	85	2013-08-03 20:06:34.434705	2013-08-03 20:07:09.22722	139		0
10586	10dlaj8odv7u5g6awy1v269j28	$2a$07$k5IYx9HNdQ9wAiCzlaYXR.G3quaomCK2zTvKMan6rKkHrHTQzUzh.	86	2013-08-03 20:06:34.4576	2013-08-03 20:07:09.477284	139		0
10587	10qc6hysxo36x3k76pfj9ydn1u	$2a$07$plBojFI/Z3rgj118Ooacw.zqmi8RLm6tKllHf1SZeaW7yw3TqkJy2	87	2013-08-03 20:06:34.481463	2013-08-03 20:07:09.633323	139		0
10588	10iesq0qi0mr6g1hscly5erb44	$2a$07$CTiGwBwEgDQoBsj3VXSgM.tGgo679Pi6uq3fdpahUkjrrtaXOMb8W	88	2013-08-03 20:06:34.519687	2013-08-03 20:07:09.798493	139		0
10589	10zo2x628kl92ehgw2e0z09i9s	$2a$07$u4UPqdnJQZGPf5HYgiXvnuowQI/nYin1o/kq3cVnj02Vd/PN71AkW	89	2013-08-03 20:06:34.54462	2013-08-03 20:07:11.88787	139		0
10590	10e8gqo54s9kgc10rxv2pjowr5	$2a$07$TP8Vma7Vl0YvgMXw6GhXSesDdDnOfAvclXQ0o8MaxuoM3eLgoMJTe	90	2013-08-03 20:06:34.583029	2013-08-03 20:07:13.959157	139		0
10591	10dy2p9wj2m38oxtuysq8vrzyn	$2a$07$u/bHlHij5/hfN/3IlIN/S.DwAc0Ig8ycI9DivzCux7a5xi0aG3/te	91	2013-08-03 20:06:34.616606	2013-08-03 20:07:14.078024	139		0
10592	10yve2bundrcg9pk9pa7ax5dhg	$2a$07$klbNWuvIHSoDoEVZ/kDfZuPfv3TR.aD6nHsOngv1Kf7/xjpAuxNN2	92	2013-08-03 20:06:34.641407	2013-08-03 20:07:14.18318	139		0
10593	10xx7637sgvxvuwnehtfu07m12	$2a$07$LMk2wV08I/b06J4rg6C/r.m9ITEWLKFzEWagbjHJ4pdyAtn6w5qsO	93	2013-08-03 20:06:34.665498	2013-08-03 20:07:14.404309	139		0
10594	104r81zg64jslyu1opjpvb8uhf	$2a$07$jkToaPp4pnuM.XjSToFXG.p2yv0PUKgZxEfvJJDhc2QFNEzb.nltO	94	2013-08-03 20:06:34.68908	2013-08-03 20:07:14.639305	139		0
10595	10ix4xnnci2zd8gz87xi81eryb	$2a$07$5XNiF6Y/PwVJqEqpP6Cple5oSz5HBfQHlXFZuzFMyeXWUR0mwlQ6m	95	2013-08-03 20:06:34.712256	2013-08-03 20:07:14.767807	139		0
10596	10pdvnwjhin9hfvqu42a7zn6jz	$2a$07$VTCLiodVyQAXhP75Pvqobu7.B9yF/ofvAa1FhFRw9RHBFc8ohwgL.	96	2013-08-03 20:06:34.734945	2013-08-03 20:07:14.892581	139		0
10597	10v38ohvc3nmdfmgjvlv2v0za4	$2a$07$/5NSHdO7BFnmlZ3pwS0GXu9Yp7M0drtgkkqkzvKO32KGhFWrqdkyq	97	2013-08-03 20:06:34.757435	2013-08-03 20:07:15.021905	139		0
10598	10ulro3k0bqjzxqxidyzo8k1ug	$2a$07$WN.b5TNDImu8dupwBWMnp.vBNXnzRJL.bGRTr7uDI5yYMPhHRolKS	98	2013-08-03 20:06:34.779498	2013-08-03 20:07:15.167426	139		0
10599	10pznt0f6i4j3g9dhnraxnk1xo	$2a$07$pwohzgTFCaugUVLGiRyUguRQQGo3earVi4SHjSK2g8o5iV2gWje86	99	2013-08-03 20:06:34.80251	2013-08-03 20:07:15.285601	139		0
10600	10rvn0ozeg40uqnobapzq7nkrz	$2a$07$Vu6HEuUM2uPzUJAZyceqMOo1mV1EZSX0xR/e6b1dOuqkwlpsMngfG	100	2013-08-03 20:06:34.825739	2013-08-03 20:07:15.425994	139		0
10601	10oa9zz9if5qb9lrr09tq2rfkg	$2a$07$sF0PLgOQ71mufpMW5ubcIOZSOMOPgwtWGcDsePBEi/7tfrQfioBDq	101	2013-08-03 20:06:34.849158	2013-08-03 20:07:15.563022	139		0
10602	10jj8gts529fmfylp8fg6k4mcq	$2a$07$UyqhEmtgrkit62OXIM.Bkude.sg9i0jYWccmRwJU99f/JXuTg8UxW	102	2013-08-03 20:06:34.87121	2013-08-03 20:07:15.677766	139		0
10603	108pkzvr87ndcovh6otrl8bdk0	$2a$07$J3bBFjHpJIbfqmHlUfTZ/.kjhlt4/Z7g334TiSzGyMQbsStjZiHpW	103	2013-08-03 20:06:34.894087	2013-08-03 20:07:15.883197	139		0
10604	106nk2taxzmtyr17nr5fvb3nip	$2a$07$w1qMl.rcLkUlnOvJdHHm.eyk.6d6S/hMCPXN527D0tcvSlUO74jtO	104	2013-08-03 20:06:34.917079	2013-08-03 20:07:16.258404	139		0
10605	10bciadez9nqie1lb3uahbsx4y	$2a$07$0KvXDFu4LeL8Yy2VBum8k.zRDTKkzmv5dxvwdrAh7eI4zUAXSxYna	105	2013-08-03 20:06:34.939884	2013-08-03 20:07:16.370979	139		0
10606	10wuutxsj7do42wdhj5lsa9q82	$2a$07$tfr.a6ozxFGiTUknrCFU2.YAW1zWEm50zoyZidogi71e6ZkkeVjGW	106	2013-08-03 20:06:34.963453	2013-08-03 20:07:16.511954	139		0
10607	10ajpts5v8kn7fbxgz3pjj36dx	$2a$07$T4M8OTxdCe2ebGqJmEfVd.F0xe9tvEzAJMn9d0SYi2jRUzLkeO/WS	107	2013-08-03 20:06:34.98681	2013-08-03 20:07:16.630509	139		0
10608	10xd8q2ng35rpe8c359w2sc076	$2a$07$IERKMn3KuxU5R9Bns/kBCesB.VYaaCax8hfzlThEb2xFDSFLwLGu2	108	2013-08-03 20:06:35.009051	2013-08-03 20:07:16.761267	139		0
10609	10r1wiwohjser0k26ns1mk9vem	$2a$07$5IymqUpEJxjOhkksB/8feev/GpfukM4zq.l5uZMUsQARsyqD9A4LS	109	2013-08-03 20:06:35.031836	2013-08-03 20:07:16.897888	139		0
10610	10mi3vntyimtsc0e1eb83nwqqp	$2a$07$gaf7AgcnndeNLQGC6Hgjjuh2ABjBsqFoh4C4IJT2STWH8a6qeqihO	110	2013-08-03 20:06:35.055058	2013-08-03 20:07:17.038161	139		0
10611	10wcj5to0it8f0d2ganinukbts	$2a$07$sg9Ok5eu8p/RfBfU90mdRuhkuIsVNtbYdItdB/mnsKu.c98sHyM76	111	2013-08-03 20:06:35.077206	2013-08-03 20:07:17.162806	139		0
10612	10frat8xf367hdtd4do0d11r17	$2a$07$iqI2YLyf9HouwxC.oxqtKO.pJJDTX3.BRqdP82IYJPT2lgZZb30g2	112	2013-08-03 20:06:35.100066	2013-08-03 20:07:17.31193	139		0
10613	10cz5rtbukgf3rbb3v9eq9haun	$2a$07$4iWVfYbVr6lad3MRtNH1c.sAEXJbUnz/Ayh3uiA4dr78cYO1ZQsRy	113	2013-08-03 20:06:35.123989	2013-08-03 20:07:17.429886	139		0
10614	10l531r08s996pivk5apzqitgo	$2a$07$C1auZ5JAs9rQ..DFDDPJEuCHS.b.37vwsZN.OE1.VJLxPXmOUiKKK	114	2013-08-03 20:06:35.145698	2013-08-03 20:07:17.531459	139		0
10615	10ljkz3hsvoayi7lmg8ed38bz3	$2a$07$DqvdRn7VBtR.K/rXVhWVieVz1b77dc7liMMVLJe3zaqIdpG.Pnni6	115	2013-08-03 20:06:35.168778	2013-08-03 20:07:17.916623	139		0
10616	10cprs7br63ljaqhymtvjanu19	$2a$07$pE3.oYIn3ZPeGvGGvj0RV.UGizLC99Qp6H5bgQ4dvhib588IyuZaq	116	2013-08-03 20:06:35.191537	2013-08-03 20:07:18.053583	139		0
10617	104djmxifwulcx898qzkggcpdf	$2a$07$s9wd5VPuD/nPhINxjpv0QOxrmDOKxz6pmVWuyS/rGwZN7iwa5E/Tm	117	2013-08-03 20:06:35.217267	2013-08-03 20:07:18.199036	139		0
10618	1001md2j2slmcgt6c0sfxu0eb6	$2a$07$Dq5i.rEizvoSph.qpFIYl.aSpsZN/qYolFYMUZ4I8b4/wEl51sfAC	118	2013-08-03 20:06:35.243341	2013-08-03 20:07:18.339903	139		0
10619	10b3aokeohhmhnb1xjcr4fedng	$2a$07$1PEJEvryIfizieXoTgx92e3kaGKLll.4G1ESPLDKHC/fBscV/DKK.	119	2013-08-03 20:06:35.267326	2013-08-03 20:07:18.483173	139		0
10620	100n39bn3lp3sblcfknepb9zsy	$2a$07$hwoGrUeAhNa4wvszqGmm5.YKq/.L7bU5zYYlSoHouQFShGUfHOLI6	120	2013-08-03 20:06:35.291395	2013-08-03 20:07:18.608357	139		0
10621	10rrn7635s3zja7o5ow4xoasx4	$2a$07$90PDEpAuqoCSqz9e3pdct.1bmT0AGUUunGvqKUE2iYbwSwuOw9icK	121	2013-08-03 20:06:35.320574	2013-08-03 20:07:18.966745	139		0
10622	10olbhayzrd46ssbj6gg1gbo4j	$2a$07$qPDDWVpt2SBeUGMr9fhnnuYeaVlunEDNK5Ic0mMza4iT5XXuOa9Xa	122	2013-08-03 20:06:35.346112	2013-08-03 20:07:19.28608	139		0
10623	10j1xgf8ay3j8lbcaohaagezfc	$2a$07$6ng.JN2zOxWoeNgZe9q1yuhPoKHFETzt3G5zOfuJHlJY/hW26PRyu	123	2013-08-03 20:06:35.370166	2013-08-03 20:07:22.202477	139		0
10624	10ywb64jdaj7d4bc7ze3oopv8x	$2a$07$NIXmSBmZbe8VVwBbdUy/EOO7DSVfOdTzCE1cIDKxLzbfLmrPcOJ.a	124	2013-08-03 20:06:35.396849	2013-08-03 20:07:25.502999	139		0
10625	105tqmcvxkhy7ytzarankmf35r	$2a$07$2iALKIhjpKWKUYzUNBZTIe3YZzj7CEvi6A.BtGwYZcZQTbm5azQGa	125	2013-08-03 20:06:35.422413	2013-08-03 20:07:25.638936	139		0
10626	10n01mpapuyds6nwt0ecvwbw7v	$2a$07$DRv2aokn30TWgzwaZ4OdMekAmjPROx/rOpzpTBWoywlZ5pzK6xDOG	126	2013-08-03 20:06:35.458131	2013-08-03 20:07:25.761788	139		0
21146	10tki6ntxsj70d0r59hm3kv1tm	$2a$07$Kr4gnSm2xUrbDWk2gGABMeA1UyGZVpQGy1ncLMie2EJJwYLGdhqF2	62	2013-08-04 17:00:01.585554	2013-08-04 17:00:21.31114	223		0
21147	10rag3al3ba60mkwisrw9c6ig1	$2a$07$c7Ym1JJxruu.kwvghM2kWOOmak7l292BK9550SMd46KmUcceL5Nxa	63	2013-08-04 17:00:01.627262	2013-08-04 17:00:24.616749	223		0
21148	1017czr4om1pz8v5xc55yjjey7	$2a$07$LWx.J3JwIDYMo4MQMBuU6epBx7KzPHliBYz4WUPRLsiF12e9RBkvm	64	2013-08-04 17:00:01.675095	2013-08-04 17:00:24.755278	223		0
21149	10a75t7uita3958c0j8vx0y4rk	$2a$07$fjf8D0yTaZDhiZZYG3.srerFe3yRp8hwFINsO/CHB514yGGH7rXx6	65	2013-08-04 17:00:01.718097	2013-08-04 17:00:24.912862	223		0
21150	10i7zco7mk9vuw9asvk999i6bd	$2a$07$4a7sQkkwp2l6h5TxY0lgFOGGCh1wItlGDchdIk0REK4YpWSs9RGsq	66	2013-08-04 17:00:01.767693	2013-08-04 17:00:25.114559	223		0
21151	10mrz9l5u0yw2tr5dmdgb8vuzi	$2a$07$fQGN5x3UCeunLdshDHGP8unwZxUdtaL4jt9zbiKakmRyQwYMRSiNi	67	2013-08-04 17:00:01.816654	2013-08-04 17:00:25.264684	223		0
21152	10c0m0asd8c8d5xueez2cqmgdl	$2a$07$K5vnduEZBK0HqMxbk8eade4iFQFhPuzqrC4hIC1WC492nO0n9qpwC	68	2013-08-04 17:00:01.85737	2013-08-04 17:00:25.414062	223		0
21153	10clqbxox2nrfvnh5sj4danel3	$2a$07$sTPAKmiM952zUcuE1THa/eGFtalIo9b.CgrqLp1EDo2QyGvELifUG	69	2013-08-04 17:00:01.890348	2013-08-04 17:00:25.55563	223		0
21154	10pi4objcpuwfusqedlj6upu0o	$2a$07$Mgex8d/8om7XEZ3JUG5diOMQk49RsHNXpSca3vuZKgSQJAvfacq5K	70	2013-08-04 17:00:01.923751	2013-08-04 17:00:25.888046	223		0
21155	10da0bi8izu6f8lg13wn07gf87	$2a$07$6PrQo8ECppMHvuXbd2T9TO2pA6hvIgs7ab3h.LplBz5//AMVR3mau	71	2013-08-04 17:00:01.956487	2013-08-04 17:00:26.040115	223		0
21156	108p60xtd0xthm25q9fs4hbu5e	$2a$07$3wEHeDTtmKQoBEs84HH0ceF3Jtue1.aQhWdcGItEHzKtIIrpsyezi	72	2013-08-04 17:00:01.98951	2013-08-04 17:00:26.239759	223		0
21157	10eg8ystzdjum8uqkh7qq61w49	$2a$07$hU/6ITqnLfI5qsqoPm5Pc.dKrQwLy6T/sl4ehyiZgdTWEXOmsfIIG	73	2013-08-04 17:00:02.030864	2013-08-04 17:00:26.380559	223		0
21158	10uwhkzuy8h0qozm61rooz89ts	$2a$07$smDIwMQk0qVG6qGjYu8CNeXqnFAtfuljbJLUHJT51vsZcmIHrN8wq	74	2013-08-04 17:00:02.065195	2013-08-04 17:00:26.516414	223		0
21159	10i7ed5gskxfrhygerjd3asu1a	$2a$07$vXULqKJ5.AzUB8QRltDJ.OM1yoD/y0/D5hpcthoGQ..7haRifP1Fa	75	2013-08-04 17:00:02.106471	2013-08-04 17:00:26.676102	223		0
26252	102j1kiwn5bnwuk905h5qi16zx	$2a$07$SotFzwsimQuuxdojwkrEMeciC8mGm9MqEfrL63XycQXX9SlHcPlO6	2	2013-08-04 20:36:19.070498	2013-08-04 20:36:22.27768	264		0
13777	10790delfhovyfo2h6j8juke6k	$2a$07$61OcAao82OHkChIK5bceW.eVMvPxrNXij4xQlRe6aNhD5fsuufNvO	1	2013-08-03 22:13:35.098334	2013-08-03 22:13:38.796631	165		0
21161	10c3fu634gtm95p1cf906yj40t	$2a$07$bzXomG7h9MZWrikipELJH.wrISb12FYdZaSXrlVVc/uPiPchcsAne	77	2013-08-04 17:00:02.189102	2013-08-04 17:00:27.112733	223		0
21162	1027msroas4cr9vqommjrll5nx	$2a$07$0WOsWgfX85lDhH9DPXiY4ura/domP9S1A6TFgZVR4ftAlBFF9I9ye	78	2013-08-04 17:00:02.220844	2013-08-04 17:00:27.258918	223		0
21163	10dtut3kjoumivz0qa7rf6mx25	$2a$07$9z6AJ9BvNLm0JSLJhQ0QL.vhz3L/GRvmntIeMZfKcQtYYg/O4A1iS	79	2013-08-04 17:00:02.253797	2013-08-04 17:00:27.419539	223		0
21164	106yvtgvfy7ttw68l50az8prav	$2a$07$tV8.Xg8aejchID3MNd57pOcZpeGCnON0THZmdiIvUPu1stagwCG2q	80	2013-08-04 17:00:02.296507	2013-08-04 17:00:27.80364	223		0
21165	10yd475lse8b4cpxteqk4bgy5n	$2a$07$rpXaEf9GLcYumVPbI4sCTup1WgysNssYWodoT1PZVlMDSOAFLud2C	81	2013-08-04 17:00:02.328145	2013-08-04 17:00:27.99344	223		0
21166	107xjmddesq92mwbasjy1wpnyh	$2a$07$g4wJwgGL8EImkB7tsE364.yM87bUL2Wy/5aoCDeXKFFK46ad8wyGe	82	2013-08-04 17:00:02.36197	2013-08-04 17:00:28.182707	223		0
21167	1025t498k94z7uwu3a750mwn5e	$2a$07$Vzk.GIaafTsEv59H5Kzb5ufEP19bejlXUCQamEIYbPC2KNPXoq4Z2	83	2013-08-04 17:00:02.403875	2013-08-04 17:00:28.481971	223		0
21168	10y0dle4z2vng26xuv7oi8jgrg	$2a$07$3ZcrwLfEYDLt5SWWgFev0eR9zTLyiGLjYj6pt8wb1AzWZt/Nm/It6	84	2013-08-04 17:00:02.435686	2013-08-04 17:00:31.097933	223		0
21169	109skhixrb6bw36pryuj1s4e7k	$2a$07$0R8qHHFR4Ql2lNrkHPqhJu4f5oY1bi2VuRsAPBv4Ok/Bp1P.zho1y	85	2013-08-04 17:00:02.468513	2013-08-04 17:00:31.291654	223		0
21170	10j3tunf19ozq93923brfdgn4m	$2a$07$VGWJWtXSefMRhLQXBIUBjOGVzfU1hq7LxFgpND9d0s24znm4TZyve	86	2013-08-04 17:00:02.501825	2013-08-04 17:00:31.41535	223		0
21171	10rravmeaq7raux2x6lm1yvop4	$2a$07$wpqd8/mIy9OFL2Y53nbrfeVIVMyRTHdrba1DVKJ47DtUhzxpJVNe6	87	2013-08-04 17:00:02.53486	2013-08-04 17:00:31.65571	223		0
21172	10qgvpa30bpdo8tj8ipc3h0zzx	$2a$07$ErszxAmjCFo.gntkO4S0MeKIzIW7MlWrKdZmE9SAhxhrQ4w4zYehq	88	2013-08-04 17:00:02.568968	2013-08-04 17:00:31.83468	223		0
21173	10n3awxzpnwzk08leayfj07x4n	$2a$07$BahEgqlATTb9CF6XaNzE8OvCuOLURkUBTgaaOVy5wsXBwNH9b.oYu	89	2013-08-04 17:00:02.608345	2013-08-04 17:00:32.047001	223		0
21174	10qxjmo4xkejtvzif8edo2t1b9	$2a$07$xDHZDPDyKPa70vsgN4BzV.GRPngUttiygeaAujIbtisA2P2nAUdhK	90	2013-08-04 17:00:02.643111	2013-08-04 17:00:32.204411	223		0
21176	10uytqlmde52wt8lut57270i3y	$2a$07$edRd1vibSILsAsa.HcBAV.MCIxoNZ/n6FMWul7gPb4TOKrDjNSJE.	92	2013-08-04 17:00:02.708933	2013-08-04 17:00:32.489518	223		0
21177	10mm5g7cnr78gid4tvwi1pvwry	$2a$07$/knlMt5lGb7G3ORueh8KP.ERM.0Ryvvk3yq9EFcwxcy4XBwah7fCO	93	2013-08-04 17:00:02.750073	2013-08-04 17:00:32.628242	223		0
21178	10kwzndkwbbyamwsfanpxw19g4	$2a$07$3JcrciG37iPXEJiy4ZgtPeBns7mmMwMlb3GlLDdp1XemJwtPOaaZ2	94	2013-08-04 17:00:02.790493	2013-08-04 17:00:32.7676	223		0
21179	10eoz9d134zwn2fezsfbqyuyj0	$2a$07$lspj1JWzhnjzdJ1.Z8hFHOjSEFKrubnTLuCnimule9GC/jPpjOoVe	95	2013-08-04 17:00:02.824522	2013-08-04 17:00:32.922727	223		0
21180	107tdkruip7sx3knxlmb7t87x2	$2a$07$qOAib9GvM7vQcqEYtj4f8ujWPyVTDTsPxMX9ULfkdg2KNTz9yedU2	96	2013-08-04 17:00:02.865817	2013-08-04 17:00:33.062333	223		0
21181	10m9leugkuqde9oklloofngrvf	$2a$07$A0zs667X/KtJVkl7iIhYT.JPqfhllNISG2ZoRJTIIcs.XxCMBcLHm	97	2013-08-04 17:00:02.907467	2013-08-04 17:00:33.469693	223		0
21182	10qsmw029ppa3ul4gp2uy92zg5	$2a$07$AJAKbhBO2GbL3zMc4oJuquT8sXFAvmScasekQJSii3QgL8kV3EBa6	98	2013-08-04 17:00:02.939861	2013-08-04 17:00:33.606143	223		0
21183	104l16ovghzmxlg5w9hpl8fckl	$2a$07$O3JKaSqD4C4mRo9PcsxMoOHWU2v7J494D5.SFsnTueq9g40.qN112	99	2013-08-04 17:00:02.972886	2013-08-04 17:00:33.746543	223		0
21184	10k4uoycqgiczs2a9osh2up6kv	$2a$07$C3.Ya1uuCPK.FjeuLmKIq.qSYvzjePe02kXkME9TzNjPsbM3.srGq	100	2013-08-04 17:00:03.014178	2013-08-04 17:00:33.883141	223		0
21185	101ixkbuyjvtn09dysi7cwllg6	$2a$07$2dBzZo6C2LoKUdQcOdQZIeqWgBUmyPiLTD9Y7Vk7syUrBMwfXi176	101	2013-08-04 17:00:03.04791	2013-08-04 17:00:34.029627	223		0
21186	10s8l9q7pq896kpvwtv0jommny	$2a$07$J8efpmt0DKoB7VZNIHzHKu2LWRvtu9FjssxCeJsWkyoYC8vKknAqu	102	2013-08-04 17:00:03.087843	2013-08-04 17:00:34.176237	223		0
21187	10pb0btxi8ijbfms8xq57yr2bo	$2a$07$q/I5DlrGgs2RHHOWX0gK.uJprMcww1oHU6d.n9LdyMMx6O9b20EgG	103	2013-08-04 17:00:03.122702	2013-08-04 17:00:34.325337	223		0
21188	105t69vx8x2zaav3v8u7uso3ux	$2a$07$oesIKV6IdUtgee0k0dVmbOkdZtNbwb7EUTqte1F6qCdllhlwHECdC	104	2013-08-04 17:00:03.172369	2013-08-04 17:00:34.485879	223		0
21189	1051e5l8f3bn0mxmznelyemd06	$2a$07$7Ub4vhp3bIfO9us530ibm.UA0HAlPEEd7UvqTbLSq596dhYYeS5RS	105	2013-08-04 17:00:03.220467	2013-08-04 17:00:34.633199	223		0
21190	10icfdcdnvjt75geaalqnjfrwj	$2a$07$UX4t0rstPprN0eMevXiTTu9YLJgNPzZECscv/eBcx15eOor5MukRC	106	2013-08-04 17:00:03.254993	2013-08-04 17:00:34.772612	223		0
21191	10xyy30czl5rcfjo2oypykkzfl	$2a$07$5N64Bl4HsBwuuCZq.TBaieawj41K5ax2K6U0lp4k7rF1O7RwwezpS	107	2013-08-04 17:00:03.303715	2013-08-04 17:00:34.917773	223		0
21192	102tyrcf1cyns55prpem7uyt0i	$2a$07$swJqJ5kCaETIEztEUNCg/u8nKGd3CjCkxLBcaVBV8.RK5tuqhtsH2	108	2013-08-04 17:00:03.336648	2013-08-04 17:00:35.063559	223		0
21193	10weuo7uk7tl22wua8pyi3kkjg	$2a$07$/rn9gsZ3T.RMw8wNvePd6OtVImWLENGn1bnVuppPE0R3PHBXB3/kW	109	2013-08-04 17:00:03.378974	2013-08-04 17:00:35.195029	223		0
21194	10pw5t8quzpyk06idggmi3trnu	$2a$07$LYNqK7bRwFS.3ihlUfl69.Gin7bPf43yQmEktOrlD1.8qvRT5Gh5y	110	2013-08-04 17:00:03.410807	2013-08-04 17:00:35.322914	223		0
21195	10z2vqjyk9xcr93j4lhknr0y8p	$2a$07$OR5l79lkXANlZrk6dIqN.OoF846pf9j8NFVro5elw0dtouHYa20G.	111	2013-08-04 17:00:03.443769	2013-08-04 17:00:35.476544	223		0
21196	10smxvoq4xervbd0mnxr4rcsj5	$2a$07$jDJ64s/JfCcMytPKQixms.gAFM/p/UQsX54/Bya5G/BcVaIz7fyFW	112	2013-08-04 17:00:03.478036	2013-08-04 17:00:35.617175	223		0
21197	10c9g7orok0dp7to9o40hbrv0u	$2a$07$X5oVpCRWhqDKDyI74Uo2xedxeZrXolZXNFtnWMYYNcM8l15vwyJRO	113	2013-08-04 17:00:03.518092	2013-08-04 17:00:35.766781	223		0
21198	10i0r6fmmqtghtgxk7f6pgfxo6	$2a$07$V8SJ7rs0U87xtufTeauaY.f6A7ai8FvbBIaGgQP1IVQtIW6cv0k3y	114	2013-08-04 17:00:03.551354	2013-08-04 17:00:35.909694	223		0
21199	108d5d7zu6du3aogxjohojc1uy	$2a$07$3Yxqz1HmGx4LYl5POTfVB.ovHlQiIakTgxuHa/sqNr6edy6mH9RFm	115	2013-08-04 17:00:03.592689	2013-08-04 17:00:36.092592	223		0
21200	10ncmjvt28j09zc61kusu2usrq	$2a$07$tAb2l9fOOeJSV4q5hv0vlOOR2MAfOhzqiR.WlxjpNTB37kmyabuIm	116	2013-08-04 17:00:03.634278	2013-08-04 17:00:36.264053	223		0
21201	10sgay97713vzd5jqb124wtw9m	$2a$07$mHbXL014ujkvY9hI39YE1OSRKXoh0kOCc18QmRI.gBu9DTLeTwIfm	117	2013-08-04 17:00:03.676302	2013-08-04 17:00:36.404911	223		0
21202	1064gawkghv665d97gm9b6byuj	$2a$07$p21IO24e1mvrlDj.1Z5OfeZVowV6ux6z0KcDxfZ5YM85czVDlyPa6	118	2013-08-04 17:00:03.709154	2013-08-04 17:00:36.550473	223		0
21203	10lwy0rsl2fp2w7gtmpko9131o	$2a$07$AhVpIvlG3giyL3yraJmLJebJx4AcZl9R3olJ5112nYdUDp5poe9cC	119	2013-08-04 17:00:03.749316	2013-08-04 17:00:36.857055	223		0
21204	109rc0bgvkoe2e8hku0gu8ox6p	$2a$07$ulJ/2HF0pF4mNpvpUvGvuOH/3vutt3AX61U61D4vuyXo.dAquGzuy	120	2013-08-04 17:00:03.782479	2013-08-04 17:00:37.041282	223		0
21205	10u7olj3qqlaosmr6idiefb4tp	$2a$07$MXHtObo//vjiqz/AKE.W9ePt19PMtP/ZtFcutGa3aHw6xUodWzuOy	121	2013-08-04 17:00:03.815905	2013-08-04 17:00:37.183065	223		0
21206	105puoehdk3y7k6x60yqv9xukd	$2a$07$sWGXn.TM4zaiXpERpZY6ze36Dy.YoEpX6l4h2VsWIIssEqNp8EFmu	122	2013-08-04 17:00:03.848295	2013-08-04 17:00:37.455451	223		0
21207	10d04lnplf0ymbo6abz9d7eeyv	$2a$07$GXwBrvAWOPtBfmWJe0y/5ufVJdjeDXh8Vw0NQ0nobrAMfBe1tIBiG	123	2013-08-04 17:00:03.881494	2013-08-04 17:00:40.097894	223		0
21208	10i94xogcp12y7e3yn11s8n06i	$2a$07$.PyDp7Ygc9fQmUqeFAlAauHKJ5CAs2cNQGoSBN1kgajviXhxZ4Cdy	124	2013-08-04 17:00:03.914589	2013-08-04 17:00:43.415323	223		0
21209	10dftpia7kjh0dks7vj4lv4k2m	$2a$07$kxEDsyqgfr1.s16rh6nHwuQ.fcpcb8wxEkeUBfyoBrjDthzylCSA.	125	2013-08-04 17:00:03.9487	2013-08-04 17:00:43.727923	223		0
21210	100jyqjq7k4wbwmrrtjps412ua	$2a$07$0HH3QIsUFD9yZejKqo3oMOwbo2pl/ZANCZ70M/wLHXROo96mr.Yni	126	2013-08-04 17:00:03.988768	2013-08-04 17:00:43.886268	223		0
13778	10ge3dswmrmkixeqzeaqvuxhbq	$2a$07$xTF4SrdkgGpFkK.sp7iID.N8K9hTp95lbS5S4urbaoNmDpLv80tga	2	2013-08-03 22:13:35.127282	2013-08-03 22:13:39.311227	165		0
13779	10ljgd30une820rjlrzd66z11e	$2a$07$ASSxZb.Vi4jAyaUZKubgsOnSkAlnEO5cJTpdZIiDvwNPNQhLJ7X2i	3	2013-08-03 22:13:35.151129	2013-08-03 22:13:39.793933	165		0
13780	10qsphip5x9n7s1gdevnrr014g	$2a$07$R5RutDZml7vZYQoND8Osi.YvbFaYPITxyvzo0BVrdzhu/LonOTkRi	4	2013-08-03 22:13:35.176331	2013-08-03 22:13:39.954623	165		0
13781	108b1lzdty90ofy7mk9n5feg8b	$2a$07$GO8c9pzO6.u8u7pTuEFP7u.HXhIf91dfwGDNb.FZ2l7sVoUF3ZRaC	5	2013-08-03 22:13:35.201628	2013-08-03 22:13:40.109731	165		0
13782	10f66z3qosmydesm5k5t6v8ib9	$2a$07$qw54WPz8L38KYT1ZAAHgJejz.m75oAX95GErLdcWn7mSnOoZZVnr6	6	2013-08-03 22:13:35.226309	2013-08-03 22:13:40.260506	165		0
13783	106mmxpqsuihmwx4jn1nm596p4	$2a$07$Li1kycfXeig.jzwSSptYc.uXA/JSIISpt6AEHlF4/oJ57bpN9CCGq	7	2013-08-03 22:13:35.25798	2013-08-03 22:13:41.148004	165		0
13784	105i051lip0ep4w7yc7cpey85m	$2a$07$9jP7zv9zaM6ObpbUjLRtLOECwh4RcWdJSkmm/y7Vvkr..L2MLoHle	8	2013-08-03 22:13:35.28198	2013-08-03 22:13:42.128561	165		0
13785	10127ff1e9chfv08tu7f7rr90i	$2a$07$lZTEJzQB9oUCUvpgTsPQm.yBqaMG8PpWUSN2e1Qwq6YjB.iOvCg3C	9	2013-08-03 22:13:35.305402	2013-08-03 22:13:43.09284	165		0
13786	10hz8ezodnkgpg174fhmqraxc6	$2a$07$gtYvwMDNkzwpP2KHbHEZhOREFH7ULxXKqNohMVwTn1JcGz.ZU86Yi	10	2013-08-03 22:13:35.335526	2013-08-03 22:13:43.234315	165		0
13787	10lmsx2epiehynoxcp8sm6v6p6	$2a$07$7/1Q8DEBekUQbg1EGKV4OuTs8g1OVZ8f1dogE7pbgrkvJziptCmpi	11	2013-08-03 22:13:35.37351	2013-08-03 22:13:43.370805	165		0
13788	10ot3oa1le6wjknp8lm941fqwe	$2a$07$g8kf1zjwOgHFSz6x2DozMeVkIGkO5AfFvH6taH4fE7PjWQsp1QoCC	12	2013-08-03 22:13:35.397884	2013-08-03 22:13:43.510691	165		0
13789	10z6ys922trxaxzgm85nbtszc0	$2a$07$Tu973Bw4QcPM1RAKjZTxC.Ju5t2/Ej89rZ4td1edN2DwKlgMWiE6q	13	2013-08-03 22:13:35.431065	2013-08-03 22:13:43.650362	165		0
13790	10v389sr8ye94986galhrp19jv	$2a$07$uk8cXX40LeEiILBiy6RFH.9TFLRddyzFzlQt.zlegHNQMIkn7//yK	14	2013-08-03 22:13:35.45511	2013-08-03 22:13:43.79052	165		0
13791	10g0f6mu373sxpf6w5w18alqh9	$2a$07$nocOyWn8QGygZF.EFUKpzuvniSDKIuR0LVzsdW6rxjS8fA8aM1t6K	15	2013-08-03 22:13:35.478569	2013-08-03 22:13:43.905286	165		0
13792	10ner6oz5knbeeotpc5un4ifer	$2a$07$/u2Y9zDaVSsbVC9EqcMqD.HV0gWQQ1Tr1NUAatTPuKEqye1976iTO	16	2013-08-03 22:13:35.502596	2013-08-03 22:13:44.010084	165		0
13793	10iklycsm7qh0vfpt1tnqhppjm	$2a$07$CBqglsxJiM1fk03uJ4BYC.jzePl7cKAhRjUWUoo1xBHkQLDxTcugi	17	2013-08-03 22:13:35.526778	2013-08-03 22:13:44.145039	165		0
13794	108c9wz9abzosba0p8hdon9xdj	$2a$07$TeinxRY1v53u7B.kO7kubuUU1CV0UtaHN9tKaoeRw8lYEnHlZSUHi	18	2013-08-03 22:13:35.549268	2013-08-03 22:13:44.30045	165		0
13795	10uv1betu37rn8enh35844te77	$2a$07$NNUufg63tOvWEdYnjsBMSOAEnqm4j73maNpmyN6ri2a9WGfCCgFlm	19	2013-08-03 22:13:35.57263	2013-08-03 22:13:44.460107	165		0
13796	10cit548qawsz59yesse46esdk	$2a$07$PpmfgOi4iZEej2/B5vY4YemTdqtch1Qrf.tlM2fQhHdOrPKVTComa	20	2013-08-03 22:13:35.596608	2013-08-03 22:13:44.619724	165		0
13797	109jl9jkt24rasnzygtw5hyl7c	$2a$07$BmPrSqY5aX7tGWJMP3BLI.gabzYdv3f88WKgGwNAHV8e7VciVQyuu	21	2013-08-03 22:13:35.619959	2013-08-03 22:13:44.774788	165		0
13798	10l3i5dhen7lzbyf73lkr2bu1i	$2a$07$6.q4EmCfFK9rOs/kwXnF5uN6TFsFurhPTIRR/kwSL2/yZNw/DVlGm	22	2013-08-03 22:13:35.650899	2013-08-03 22:13:44.899045	165		0
13799	1046ptjzq9jrpq25k3zsx63g9i	$2a$07$fM8ccdpCcMTxI0gKHu3S.eAnpVmWb8r1vGD3Scz6ltwlFZJf8dc22	23	2013-08-03 22:13:35.674468	2013-08-03 22:13:45.011912	165		0
13800	10qkk2gn1xsjui9t3ssh1s4h6u	$2a$07$U5eYt679KDD80uVqNJ1Emu/jKYi0Byi9Y9NJrIHm0cawDQPDnf8Vm	24	2013-08-03 22:13:35.697935	2013-08-03 22:13:45.129928	165		0
13801	10f2ced1pphf4ehnmab7aqr7iq	$2a$07$wWglyEpqe.JanInCJQMF6uuuY2cFInQKoMBvzefeK0QpA9jkqfbaK	25	2013-08-03 22:13:35.722085	2013-08-03 22:13:45.23675	165		0
13802	10zhkk464ex6hs0uuoy6tkl8uv	$2a$07$xILfQwG8WyeckdMBdAdz0ugQUG5V93t/Cm0Kqc.YVFMzRUojf8lKW	26	2013-08-03 22:13:35.745375	2013-08-03 22:13:45.381059	165		0
13803	106ahkr0d1dq5w33zaurpvam46	$2a$07$65S8hR84EgJOQ1pc2X6a..T7JaPDXjkvEnjuRR/ZuZTN324tVAzmK	27	2013-08-03 22:13:35.76904	2013-08-03 22:13:45.506175	165		0
13804	10am19fvxm7x6mii5zuiu1ckkb	$2a$07$iy//03zX0/Yg4xAsmoVSKueFN4WXKEddQezHo9xm9nyfgjjMfCTiW	28	2013-08-03 22:13:35.793404	2013-08-03 22:13:45.82735	165		0
13805	10qjc1nvaigpuws1zdeb2oktsz	$2a$07$/Pvk43xyr7XaGkO7ijCmjOzu4Ivi.fEEkHHGQxwOw3ca1J78gyeH6	29	2013-08-03 22:13:35.816766	2013-08-03 22:13:46.14238	165		0
13806	10jhj6rcdm4iyusu3hhbm4twdp	$2a$07$ij5JWTHzpok6eGJQh9CEZ.xK2W21YG1IO6t3GcPtFOGPHWNdkFVNm	30	2013-08-03 22:13:35.842798	2013-08-03 22:13:46.472652	165		0
13807	102hio8gm8vghyfvtmchlgewzx	$2a$07$LQTyiR/Udb6Y/djfP7kBxuLqy1f7dwo6rGFuOazG9wtMuiBJW43rS	31	2013-08-03 22:13:35.866788	2013-08-03 22:13:46.614483	165		0
13808	102lg52j85yz5zm3erb8y4af32	$2a$07$TDj1V2R11.dflPSJk4327eNIaLvEEXu2K74Xi7lmXd2hRKtEE8vQC	32	2013-08-03 22:13:35.890821	2013-08-03 22:13:46.750314	165		0
13809	107xqmy8nuymwefd3mj69hcyzp	$2a$07$Mrh/EDDHYe.twmZdD.D34udycuqZphfonQvZ9v8vAxywU3vg8pzaC	33	2013-08-03 22:13:35.913945	2013-08-03 22:13:46.89546	165		0
13810	10w5jbjvk4t8bef3nv6fnlrst4	$2a$07$jHXmxx7pga0sppp50gsue.Y4WF5ojTuSvyTvC22qeBG2/u3tAgI22	34	2013-08-03 22:13:35.937273	2013-08-03 22:13:47.037555	165		0
13811	10cfj9jgexqexxr7g8gpha0ecn	$2a$07$jm3COMKKD2vWXQMR.OoFuO7WAWAHereUV0rJbTx3FZjwPhvw0dvUW	35	2013-08-03 22:13:35.961136	2013-08-03 22:13:47.151733	165		0
13812	100glos6xwoz1q76nmippnryvy	$2a$07$JlR/EBCXynB8hlfT9vCeI.c95.HRJLEMh0zI10yEliYLPEmtJaxJO	36	2013-08-03 22:13:35.983587	2013-08-03 22:13:47.35827	165		0
13813	10ef7yen1raeen3ewixf3meoja	$2a$07$7gY4nUN4Rr64lAo9MgW9jeM6Y57sjWsXAyL53YtSPbfMccUh0Aab6	37	2013-08-03 22:13:36.006908	2013-08-03 22:13:47.557717	165		0
13814	10shxs2e57fpz7j1ug2opw8dse	$2a$07$8re1w0Zf7X.GXd.nTlmZlO.F2g1VHekYhT4OB1e1eDJrHt.rjE2j6	38	2013-08-03 22:13:36.030476	2013-08-03 22:13:47.703396	165		0
13815	10wqz9ulhnrjnhlh29osbvlsgt	$2a$07$jE5LTGVbHWIKLYqHW9ioPO8aRUd5QSHY.ZMqsP3JOshsNQFnsXlAu	39	2013-08-03 22:13:36.054088	2013-08-03 22:13:47.833827	165		0
13816	106qitoklsozrhxr1yhm5cxddn	$2a$07$Yqp87ueLyjJVLDwa/9jJFO5gplyYvj8syJzduli2b6sSN6SWB0x6y	40	2013-08-03 22:13:36.077438	2013-08-03 22:13:47.975536	165		0
13817	1050k6182vr480hap25hw4sy1k	$2a$07$ImR8xHbu.01NnLU6DwC1l.RQSdkIbu.a4Fl4UkLEQC4YXpHWmSqIC	41	2013-08-03 22:13:36.100508	2013-08-03 22:13:48.13183	165		0
13818	10tzjp0rhicj26i05cothrjq42	$2a$07$axgYnd21c6FCwERq/2Wdme9W6An5m3Ef4jYbnFM7JGGjh55AnUKk.	42	2013-08-03 22:13:36.123974	2013-08-03 22:13:48.267533	165		0
13819	10ruthkzm63c1hjt2d7bgcfkoa	$2a$07$/EazbyyMkAtHxZtaOLE31eiITzrmhlWfmyJJL4H1m9vUul1TrM/1S	43	2013-08-03 22:13:36.147079	2013-08-03 22:13:48.36817	165		0
13820	1080key1ew5igulp8xc681hzdk	$2a$07$BpBOYaHIcAiJGCZl70hfNOOCNRcMARJBXL/0u4nq8HXwPe73a/vzi	44	2013-08-03 22:13:36.170334	2013-08-03 22:13:48.524855	165		0
13821	103d26nmugnvfm2nlvaws39d1o	$2a$07$4qfxa2QhEW33/h3jitPgtu5zOwseh5hDplZ8WAW27E/zH/2d8FbHq	45	2013-08-03 22:13:36.193064	2013-08-03 22:13:48.684197	165		0
11887	10135z7gigtr8nz7pberqrdr37	$2a$07$HhKnxO0CmutWxaQskf1XkO.WoEJ1kNeplZE2xBcAtYK3HtuXwb4fW	1	2013-08-03 20:58:35.132132	2013-08-03 20:58:38.60628	150		0
11888	10dc47ju2fdfd2ckkoklkyqqb4	$2a$07$r1FaOV3kM2DgTN6.GkWPeuaOs.rU.VlIkGFtpiATqGqvAhWwmX.42	2	2013-08-03 20:58:35.15629	2013-08-03 20:58:38.987796	150		0
11889	109fandfpac6boh9y4bisukv7a	$2a$07$Bn4o910UD9JqN.NSc09se.NhlP9gUCUdHoZ4npJJsyjW49ikoC7Se	3	2013-08-03 20:58:35.17976	2013-08-03 20:58:39.314399	150		0
11890	10fej482un0r1quenkrihnwqra	$2a$07$wWYvOoQsU2E7ESpkX7vxf.LpnfGVQP5W65NeMH8KlODKWsfOIOekq	4	2013-08-03 20:58:35.202523	2013-08-03 20:58:39.46071	150		0
11891	10cpglil25tnj7hoyo6mmhe00e	$2a$07$nYYzeJRZ/dKCsjcBila90uugYmkiSdVxt1On/uQAAGGPcGKPmu0Ky	5	2013-08-03 20:58:35.227771	2013-08-03 20:58:39.609075	150		0
11892	109bpdbcutlwnqav8lwx09tljd	$2a$07$gcFz5VitZWAkqc5xC5IaQOFP0jqEctbLO0tSMbPF6kUrdmV7ERroK	6	2013-08-03 20:58:35.257352	2013-08-03 20:58:39.746973	150		0
11893	104dhewb64i3i4zdwtmnf88xlx	$2a$07$xqifR1SFX4iyn9setZPAF.NXqmqvPda.RFV84BpU7ahnvLbaWydDu	7	2013-08-03 20:58:35.280453	2013-08-03 20:58:40.720439	150		0
11894	105osqu9jbkmkyuvktx6z9kfgt	$2a$07$WVmSUi3HHsWerpGK0UsfwOztBQA.jikK07A2INM3jD0OywyNrrIbm	8	2013-08-03 20:58:35.304319	2013-08-03 20:58:41.706269	150		0
11895	104xvfnvw36yka57apiua3y847	$2a$07$Werg5/XTNx1aw3l4CjTKe.tAGAjhQWT2nAGS0CicuriG6zYaTVr5C	9	2013-08-03 20:58:35.326642	2013-08-03 20:58:42.669758	150		0
11896	10bsqfcxukblzp9tgu88hzkybb	$2a$07$ns.8BNnZxrwSBRz.jbvNCumK/SubCyNAGnznXz.hFxGfMuLIr1R.O	10	2013-08-03 20:58:35.350092	2013-08-03 20:58:42.787681	150		0
11897	10t0w2kebt1lbx521ikxi8v8tc	$2a$07$lDiwpttCjpStsBfzTYDbXOQGVGWnGlwZwX92AC9QnEd.3WPVJtVKS	11	2013-08-03 20:58:35.374184	2013-08-03 20:58:42.905771	150		0
11898	10a50mxsnb3mf9c8wiz8at08g4	$2a$07$og.pA0J5jxKxdcRn6lY0pO1JAeym8U3J/FIu5OOWL1JTjjKgqbd/.	12	2013-08-03 20:58:35.39748	2013-08-03 20:58:43.022545	150		0
11899	1029z40ezmv62608s1qat5bkyw	$2a$07$8LjA9bvZJQioaBenzXBMHOqaYY3MkR5mG2zRZP3xQHQsnyGRWIUrS	13	2013-08-03 20:58:35.421277	2013-08-03 20:58:43.148533	150		0
11900	105abpreu15x8fvo5qvza4lv2x	$2a$07$sbt75jxY0K2/rYDgiadRLO/wvTx13X39mXYUqGZUpS32an16Hbq2K	14	2013-08-03 20:58:35.443769	2013-08-03 20:58:43.280361	150		0
11901	10l0nhr2nyi9w3iwvlqbalmjqz	$2a$07$x/rNXngv9S7X8g5dMlIRb.Ax/O5A9HSuLn4jqh63/.CKB9BokGkdu	15	2013-08-03 20:58:35.467389	2013-08-03 20:58:43.393774	150		0
10627	10vmke7w7ky3at48a92aiq887d	$2a$07$aKmZYn/zft7Z7OVnb817/euR1r53Gxb9bBXOja7ySBd9EnIi4NkK6	1	2013-08-03 20:11:32.061591	2013-08-03 20:11:35.436494	140		0
10628	101rbttky6bzs9tc4pjnixif3p	$2a$07$jDomWy1v2xLjeJH9nTxUiei5ygSnY.2//H/YwJ.fdcEwHikqobRSy	2	2013-08-03 20:11:32.089824	2013-08-03 20:11:35.774854	140		0
10629	10wsjekuf5pjmixsr82lft39gs	$2a$07$Pvw1Rac.gkSOhX4I/ShBGuAx/aBgZv/wd0fN6t8Zzjynw14TZ657i	3	2013-08-03 20:11:32.112489	2013-08-03 20:11:36.014216	140		0
10630	103s9no3hw2gtqly38pfbjpo4l	$2a$07$DQKOntCKfrZ7ZM7xWaF6zOe0pkqddw2crJ2nJqwABkjb.F/bMaehC	4	2013-08-03 20:11:32.1356	2013-08-03 20:11:36.172428	140		0
10631	10abihz3dbm8kfeug787j19gnk	$2a$07$t.rHiifJsiK8nFzSfgE8W.HNaIDjuLxaGg/y5swz7hIzbBkhhw8QC	5	2013-08-03 20:11:32.159528	2013-08-03 20:11:36.326974	140		0
10632	10yu6c4s93dsx96f8tcn57c0ew	$2a$07$FIyFbW90rcevg/7B20D0dO2kd7jQRk7nFAmJVrkasePR1/gYpTR2K	6	2013-08-03 20:11:32.196269	2013-08-03 20:11:36.48213	140		0
10633	10mbsf2peja6f3x5q3h0qphnjz	$2a$07$hxLg5XAkiqaNok2v4cBz9uoD81JO8o/CtwJuQhToJQ0MEyeeiIhtC	7	2013-08-03 20:11:32.223738	2013-08-03 20:11:38.707934	140		0
10634	10q6n65ncs5etulsvn14po6evh	$2a$07$EDmxyO5NFAq4CHLSZp8ik.oqSUfgFoHckfB5j2qeCJCJK8jQ2OVpu	8	2013-08-03 20:11:32.247995	2013-08-03 20:11:40.533753	140		0
10635	10p2p6wz7rjoibw8sjb3i0cqil	$2a$07$OhSZp9q0/OeqTzPGUfrWDOUEukFopgTWJ215.AiRZsnseLfGH6gBS	9	2013-08-03 20:11:32.272435	2013-08-03 20:11:42.572789	140		0
10636	10fddd2mr85qzym00xm78qznr6	$2a$07$1nfqOkhx7dhfPjDC8pg6..wu5Cp0wDqEaQYGi/LCrrvXRmLYssULS	10	2013-08-03 20:11:32.295129	2013-08-03 20:11:42.707503	140		0
10637	10kfua9zig2mwmi0w3gyy6i4cl	$2a$07$0ACd8r6VdOm.xNKNTpvblO0y74AVJNCieQLn2I0dr808LuHphaw2i	11	2013-08-03 20:11:32.319372	2013-08-03 20:11:42.820382	140		0
10638	10p21ladyt5ycpoq9l4n7mdn9o	$2a$07$EY.Uii5UIZLgcaII2CbpM.HwRiYOmCEGXUog/pXrTQPEMlPNTBEM6	12	2013-08-03 20:11:32.342626	2013-08-03 20:11:42.963109	140		0
10639	103i8rofu6cl3ibjkla7wsbd7y	$2a$07$M3SapZi/5Peh4ABZUc6jmOrLFXchWQ45Ro9lNnklgvqaWUziXp4x.	13	2013-08-03 20:11:32.365238	2013-08-03 20:11:43.198328	140		0
10640	10t3gn6jnw9y21ltrcof7icgsg	$2a$07$Aso5/sLfgVkf3cTHgclF6ubar5slbfXs074BpIxreLjunZGYF6TFq	14	2013-08-03 20:11:32.38797	2013-08-03 20:11:43.348339	140		0
10641	10z0pij81maug9pbonjtlj5f58	$2a$07$PGe33KMMmtV01rRDg.9RUOULOpkizvhUt2gfaszhmr1N.0ctTy5xu	15	2013-08-03 20:11:32.411181	2013-08-03 20:11:43.566089	140		0
10642	10stuvco8sqsdl655gaom976ub	$2a$07$Z3Zw4qK1rWR858xOJ4Yih.QH6VpHSn/ooXaQH88beIVorFLMwVwRm	16	2013-08-03 20:11:32.433657	2013-08-03 20:11:43.702698	140		0
10643	102g871dmnzbjvo7d7qx5hku10	$2a$07$iagEUabqa50miA5/mEDM/OfrziF8Zz3HMST3DGHvSTNUVO4bVSxp6	17	2013-08-03 20:11:32.457189	2013-08-03 20:11:43.854358	140		0
10644	102i4mx2emvstd7kuqcmt2cgdm	$2a$07$1XsejrJi987/s9i3PLQc9u.mFMPhjNu9VZ270NMIS/LtQ5CdDlcUC	18	2013-08-03 20:11:32.48145	2013-08-03 20:11:43.984598	140		0
10645	1049ctxfw6a40qytb5jeqvxyte	$2a$07$9o1fU0XQD.CT9lMP5ROBHekgnbLLnAn355A81399kUE76tYtDq6gO	19	2013-08-03 20:11:32.506373	2013-08-03 20:11:44.101734	140		0
10646	10korusqzogbzmihykjczb7tw3	$2a$07$Aas.hJrL8x2VDW.spuiQUeeSreuhSZBCHLMi4O82z8LskPy34o7C.	20	2013-08-03 20:11:32.528887	2013-08-03 20:11:44.240421	140		0
10647	10v5rawpoqq3xpp7rngbu72obc	$2a$07$3/sN2X1bl1QsfjXMqpy7e.X0a1CLwcQrrvMI6wWbdAzA1FdLiIkoC	21	2013-08-03 20:11:32.552466	2013-08-03 20:11:44.363423	140		0
10648	10rooemyn8hnanut3vtmzbv5cv	$2a$07$O/zOYqwlkCYt4ffk8skiHuqFIHPth.4/C4nzJBbFaTpAVznl6Mc36	22	2013-08-03 20:11:32.575731	2013-08-03 20:11:44.492253	140		0
10649	10km51wwf40644x8jkh8muloi1	$2a$07$psN0Ek5pGdny3pidk15ra.WILRQA4z2oivvxNk31bh3mL1fnLGyve	23	2013-08-03 20:11:32.611235	2013-08-03 20:11:44.622137	140		0
10650	10qwr7ezavqwr97jject2cb6o5	$2a$07$NXhvZqY5Y9c2yMPBbo6b9e.1m9bwGweOKf9xWFWNezcUSXLyGC.3C	24	2013-08-03 20:11:32.648574	2013-08-03 20:11:44.735479	140		0
10651	10tvro6s8re62bs1zb81fjmxq2	$2a$07$DhsaXK8PxopySH6G309a7.xbLXHpvkwkhywgPnyjwa0XhheNTWKgi	25	2013-08-03 20:11:32.671196	2013-08-03 20:11:44.858704	140		0
10652	101fnhdy79put9acka7bsmfrpi	$2a$07$0oHaN8hrb6/A/JJqjuIN0u24ta0vuDgMTI46KqJmsdTGnuUToQYAu	26	2013-08-03 20:11:32.694684	2013-08-03 20:11:44.99443	140		0
10653	10aint4pp577mmflms038r8br6	$2a$07$KJn4082X/E1.JAN0ps4JxORdn/ahRi2ZgImkY7whACUxap5sTC5fS	27	2013-08-03 20:11:32.720264	2013-08-03 20:11:45.128016	140		0
10654	10sn3xe912jknezflokpacaqi6	$2a$07$uNWRZThUhEBlIcQSeWAcnePx6XHBuAmW6Khfu8bdVLc3/8.Bhu73q	28	2013-08-03 20:11:32.745224	2013-08-03 20:11:45.368022	140		0
10655	10usdkdcjxz049ba2ibpczc546	$2a$07$R7kV0L2DcNZyozW..U25I.TZjfG41qkPBnY9OXDXX0nXoxSTJCDde	29	2013-08-03 20:11:32.769336	2013-08-03 20:11:45.587047	140		0
10656	10078osh11iv7oj73tqs70nk4r	$2a$07$VtttzWbS2iR1qPIKsJ4a0O3fGb6Sw9AU45xZStWsk9WT/vJrIAoZO	30	2013-08-03 20:11:32.798588	2013-08-03 20:11:45.860602	140		0
10657	10sd2z6z0ov254sw91wfgz6rrm	$2a$07$sBegWJwQR8zdmotjZC0I/uEyRtd0ArIdn3PBS0cLb7ZgAAhLj8JFi	31	2013-08-03 20:11:32.822106	2013-08-03 20:11:46.041283	140		0
10658	106qe127822ybv626kjp6bz3gv	$2a$07$8wnos8RRA.z1PSKH/c3rTOAKLwEtKMsEDBB9yTnV2RKtpqC3k5B2y	32	2013-08-03 20:11:32.846165	2013-08-03 20:11:46.156192	140		0
10659	10mt67tj11iiz1hc377o37vrm4	$2a$07$CJDKJBDir7UrGitFd20Lh.3ZVXJ9lXB4iQDG67Si1x/wwp/p00iXy	33	2013-08-03 20:11:32.869987	2013-08-03 20:11:46.280379	140		0
10660	10kwg7i1mvczhvxvdkb8ya1rzl	$2a$07$f0myQ5d22VzYRWzYL5h87.8lGMzhnAF36RRcUsSpiCFaCoctTZ092	34	2013-08-03 20:11:32.89354	2013-08-03 20:11:46.412012	140		0
10661	10uk7pphuty4tz9ca5df4lw926	$2a$07$NeNfP6TzcnEy4qhUdBjDdu/VS7i0nq8O3Qya.DRIh56dNai3l1LW2	35	2013-08-03 20:11:32.916525	2013-08-03 20:11:46.528876	140		0
10662	10l29nu26dwcs786q0jln8ydxt	$2a$07$.4LGa1wGjOEVrKmdOIgG5eDIrFfyZnASiZKJfQHEVSUiSPjUe2Ekq	36	2013-08-03 20:11:32.938975	2013-08-03 20:11:46.661242	140		0
10663	10ppcb2dvwspjnwu788p11dd03	$2a$07$iVUfSZ/aCeGN610zJ3C2e.NsNkotCjbxWSkaG1UvfHEbTvxOPxyGy	37	2013-08-03 20:11:32.962445	2013-08-03 20:11:46.780627	140		0
10664	103oa9efczzt7cx9ypcxikdpz0	$2a$07$EhsHklAYOoya2wKZdn5Z8O4a.87vpfMsz0UNJHf18BFDtw.FGCFS.	38	2013-08-03 20:11:32.986213	2013-08-03 20:11:46.923025	140		0
10665	101sdxchahv0khgz1mg6ml14s8	$2a$07$X24WyfxSNaNJPDlUxRwqO.SGOTis26mAevHGIY5maeeW71J6tMUqC	39	2013-08-03 20:11:33.009843	2013-08-03 20:11:47.05677	140		0
10666	10kqeetl2xsgi7687cw6nlcju7	$2a$07$Qvj.zMiWaiG7ewFCse1hH.xkvBgjhMGOiZqndbnzudpdeKL0aGGW.	40	2013-08-03 20:11:33.033653	2013-08-03 20:11:47.185397	140		0
10667	10ku02g41i2l2z7pmlnpf02d4u	$2a$07$ExooXctbdpOgVhbhMZ7TrORXGT7dP6XCZpZ/S1qQjIuSbLVapqMkW	41	2013-08-03 20:11:33.057473	2013-08-03 20:11:47.314718	140		0
10668	10owx70b30huen9k5yf6byfnpw	$2a$07$epzxyafQfhP2QgfgyjQXW.Ks8UM9goccpTsEL5Hd3B41c8RUVBuda	42	2013-08-03 20:11:33.080206	2013-08-03 20:11:47.44181	140		0
10669	10r028qbsq4nrzt22v8glko8k7	$2a$07$JurdrWg7MRNgLGuRkm6ye.7p.QoQJ7I2Spq.YS6hac.OjUC3vcmxq	43	2013-08-03 20:11:33.103361	2013-08-03 20:11:47.575692	140		0
10670	10xsihzv6a9t80tzyegzoowa6o	$2a$07$PyKrFJiQACS7tTt5L6Uq8ugsFvKlhxTBNKgONOolpyq0k5BYVcA.S	44	2013-08-03 20:11:33.126593	2013-08-03 20:11:47.681939	140		0
10671	1057rh2hlk8oz5ekf0vk365ggh	$2a$07$nqDmS/p18oBJKMmLsZLvh.hTUJTaGTNNEMXP3/zVNIa7lRWmumUPS	45	2013-08-03 20:11:33.148419	2013-08-03 20:11:47.788771	140		0
10672	10ll7o1l3ffkt1t8v1msunt8fx	$2a$07$ipmTDal2elePwvnhviy3GuqCLMyhRz6UcNPhdT4LtB53oFfXdiwaO	46	2013-08-03 20:11:33.171609	2013-08-03 20:11:48.007229	140		0
10673	10ha02r80pzmqbrb2x5yso651w	$2a$07$8a.FadtZlUg34pvKAJUklOWDgiqKre35hvAcuT/iQls8a9FKxXCHa	47	2013-08-03 20:11:33.195095	2013-08-03 20:11:48.145673	140		0
10674	10j1m2lxey1cwkr2kbnmdv7rfh	$2a$07$7305hDdbi7GZvhQIGFIFG.4NOgZuftg9sRvRrZv.k1U70RsHPCdOK	48	2013-08-03 20:11:33.217219	2013-08-03 20:11:48.328122	140		0
10675	10ztie9fezarv4wdfj1bdau8sq	$2a$07$3VoMPYSiWRURbG4izoQLv.o2xdtwXSHni4qdnI7oz4h4vafAYvhRW	49	2013-08-03 20:11:33.240203	2013-08-03 20:11:48.455255	140		0
10676	10gfih1bn4zx35fi529rvsmp5r	$2a$07$.VOEwKyxin/1UXyINsQhI.8/Y5slkqU51vzIbGYrJobrb2i.7Q6.a	50	2013-08-03 20:11:33.263437	2013-08-03 20:11:48.566071	140		0
10677	104j3pjsfia9yia89efu0qsie6	$2a$07$RxFxiA5XV4IaGlKyNgDs0ebBcEIogJtLdEeJXWBUA447XxdXkFTP6	51	2013-08-03 20:11:33.285428	2013-08-03 20:11:48.682498	140		0
10678	10qmq2u3xr0ngk2bz8vww8i74e	$2a$07$HtAhV4ad3.8bgrdUWbeMe.DB5jS0Py0kZzFhYuzK1fLvnjVBvbwPK	52	2013-08-03 20:11:33.308493	2013-08-03 20:11:48.978727	140		0
10679	10tf2wtb905cax5jzcki3xr97b	$2a$07$WTa4ufzxo7LfrVvzuZfC2OBrMNgRTTMFUJ6RZJfYa4/tlqxSmRzlW	53	2013-08-03 20:11:33.331831	2013-08-03 20:11:49.260211	140		0
10680	107itz2h02i7igsy79i2csmxzx	$2a$07$MJ0xJpD6yzyBuUT0Tk3V/OMwOSY/RnyZrIMBuj1uBoUYJfHdJfzZi	54	2013-08-03 20:11:33.354161	2013-08-03 20:11:49.505913	140		0
10681	100mn625i59brs94ilwvs615xh	$2a$07$LUZJPf7ghJiEWJqAwHVdveafqeL1QY4BciZieafFDdd1CtTepb7Fa	55	2013-08-03 20:11:33.376964	2013-08-03 20:11:49.638128	140		0
10682	10ms7tjxw0wmicrvpmp19a26z9	$2a$07$ZyJ69wcAG3XY6b8KAUsi3eXS8NibEmtzgTYc2Nv27ldguk6ObQBtK	56	2013-08-03 20:11:33.400342	2013-08-03 20:11:49.782755	140		0
10683	10m6vfks63tchp949fluatt0q1	$2a$07$KVhzgm1GLgi6DQlPUF2CkelM7dv5sKIBSF6KcmRBtQYc3O9IjLGlS	57	2013-08-03 20:11:33.423067	2013-08-03 20:11:49.931931	140		0
10684	10fuak3n1ckmy7262ckq9gj40a	$2a$07$jhbQCqYRqlRAij0Pa9asQu/1O4.OTL.kJ0AhvhF/R4vbHpIZipPMO	58	2013-08-03 20:11:33.446064	2013-08-03 20:11:50.338481	140		0
10685	104cw077hgyw713bw2mhnp8z72	$2a$07$TTSArObU0vqI1DrBiFKasewc7D/STG156QV6qYv7gR/oB6MUuv8.W	59	2013-08-03 20:11:33.469132	2013-08-03 20:11:50.675209	140		0
10686	108khln968buf6iwxc8qnkink5	$2a$07$dLN1WpLmUcJdDmBd9UjA/ufZIfXFU8Z9f0U8UY3nqq3WhlfX7U7D6	60	2013-08-03 20:11:33.491511	2013-08-03 20:11:51.024471	140		0
10687	10rpto1hk2212ptufpomp592tq	$2a$07$SvXMEDzGu46xWf67AYJnA.MnPxjjcfx8fz6kAuxlv1AWm3mUxzfK6	61	2013-08-03 20:11:33.516116	2013-08-03 20:11:53.893392	140		0
10688	1051img7deeuvepx6supasrn8y	$2a$07$XeyHVbGP6W6TxoK5obSfa.OP9m3sNv3RZ2EjqwDzSVra7nv14/QL2	62	2013-08-03 20:11:33.538279	2013-08-03 20:11:56.690918	140		0
10689	1055730uh8xlhhfgg2gitbpdwl	$2a$07$3pfB6DNyELVyjVzwy2hMe.h1d4EInR/g5kfwaqpfitfvJyf5OKode	63	2013-08-03 20:11:33.561248	2013-08-03 20:11:59.793927	140		0
10690	10j2xbns7qaxwh1v80g94xfpms	$2a$07$2.XLSuFN6xuJpiyFLhTF9.nnaGNelJ0GB/RKjL3y2o7B6HwtehYF6	64	2013-08-03 20:11:33.584403	2013-08-03 20:12:00.090016	140		0
10691	10dw7w0llbl8w2lpix9dsjy07a	$2a$07$2vIC5fdQXhPM2nL.0eMy5e9x3BaZ9gjtej.QQoQTZheOtL53munke	65	2013-08-03 20:11:33.607984	2013-08-03 20:12:00.251012	140		0
10692	10lie9zmi2g7910yyxughqo902	$2a$07$Eeo2BWIg2JxGo7xU5ugOiuqqa0Fjj09B4c9XnuWyPC0/IOIDA2CZu	66	2013-08-03 20:11:33.631885	2013-08-03 20:12:02.354564	140		0
10693	10w9m4vx2bm22ml0p2zpp6s2o8	$2a$07$VL1CTRpcce6enVWWJRrsbOWW66lJ2n0vkkN3kbVIZ.s4pGppBhD7i	67	2013-08-03 20:11:33.654094	2013-08-03 20:12:02.472849	140		0
10694	10fcae9g8yfjedozw240q1u5bs	$2a$07$Hoj4Qy8gJsBgqZXiCJgxQupj9yfcniPZDvyIYqFkHzyPVYqI2lRMa	68	2013-08-03 20:11:33.677186	2013-08-03 20:12:02.635597	140		0
10695	10om1ibrkma1wuenrugquhgswu	$2a$07$9EaZmQjrgcaduQ.EtH8.kuydSMfqkxAb1w62eWCyP0a3yr3Moj9WC	69	2013-08-03 20:11:33.701059	2013-08-03 20:12:02.767353	140		0
10696	10j9m3ta6n83atv7te7ftev43l	$2a$07$DynLTwYTawfmOYISdb1/aOlcS6EL5dyyo1FELg5jZb.HmY.numCMK	70	2013-08-03 20:11:33.72331	2013-08-03 20:12:02.892947	140		0
10697	10z2at7pdwgrumjujifiguukf9	$2a$07$yMc3tdJcIe77imiQ9asateucnB/AOe.OIBpj6nxvb/sNm0bnAo4Gq	71	2013-08-03 20:11:33.746645	2013-08-03 20:12:03.006227	140		0
10698	10lo0i6oluwlimmas36shy6bah	$2a$07$3me2uXlTul5cwondxmqph.1SZTroVxmJKvj8NhwheScBfD4oW7Ncm	72	2013-08-03 20:11:33.77094	2013-08-03 20:12:03.130491	140		0
10699	10emytdej4dt4bt8wz2iabxe9c	$2a$07$7ZNNpyldpyFNAeu7losIz.KtMrKjK3g3Uvrmaxj2YkREE/H15xRjK	73	2013-08-03 20:11:33.7956	2013-08-03 20:12:03.398828	140		0
10700	10eepasrigq6fun9big04b4y90	$2a$07$Fioem0/mjTrY/LJpMw4Ja.4HTbyl9xrnW6dK6jyzjNcXO4HzeJPb.	74	2013-08-03 20:11:33.820314	2013-08-03 20:12:03.530251	140		0
10701	10s4ecqjqw4a9sgn91bmply4y7	$2a$07$SD2NWoQeVzh4t6Y0K2C67elS4/XRSt.IqSqyv98IO/.ZUNUT8vhhu	75	2013-08-03 20:11:33.844111	2013-08-03 20:12:03.648164	140		0
10702	10yjxrhdsxsz6jthgm9iie5dwf	$2a$07$kAZzqO8Ujfc/oLpix8XEBexOCRqiq/pXBxctEZEppmvMvk7CX8Q5e	76	2013-08-03 20:11:33.869497	2013-08-03 20:12:03.783729	140		0
10703	10a8nf0gagka3kmtbg0r6dko0f	$2a$07$hnG898Nvia0.Oqe96X.jmelVr5/uSNbd6N/.00ihB4ta4s3KYIjYi	77	2013-08-03 20:11:33.894114	2013-08-03 20:12:03.918342	140		0
10704	106k0z2besymhm14u4gsekl8gp	$2a$07$8nrJ1iLiSsBdEnsUiwxvR.NOR09QdTVyjw7KI8ecVDG7VFxMgKsEa	78	2013-08-03 20:11:33.918754	2013-08-03 20:12:04.028042	140		0
10705	1086w61y1u65h67dzv8fkf9x41	$2a$07$y5t6ZgUxeZMF4SrThFOpU.sXw0Iq/TkYXntakji2gMw1YwChZFWG.	79	2013-08-03 20:11:33.950448	2013-08-03 20:12:04.227675	140		0
10706	103hibzsh69z5bwhsnogj6se62	$2a$07$jLJS43vX.hsMabpZ8CecI.BTRSujoZTdpsPZfopRXLmCAI6zQw2HS	80	2013-08-03 20:11:33.975523	2013-08-03 20:12:04.328581	140		0
10707	106frmcrkfpk0v1t1kvyym2gmd	$2a$07$VYqRiUJlDlBl1SahiZ/nw.XjCPInN2OYLOtoby8Nnu8Q4VFkFUPD.	81	2013-08-03 20:11:33.999598	2013-08-03 20:12:04.592293	140		0
10708	10wfed2e1r6loadoy9v2gpw433	$2a$07$TMikruHf3./cZ0ICDYkfxOreotGpe3CaNGKpMzGNlRjMKFzkdup1K	82	2013-08-03 20:11:34.023868	2013-08-03 20:12:04.728856	140		0
10709	10xyiazq4m98yt1dsemljvf5dn	$2a$07$HnUnjugB16qXv7u5D1JlYujj0AllBfxPPcp7qHYI9QL57VcftSi1m	83	2013-08-03 20:11:34.047458	2013-08-03 20:12:04.916854	140		0
10710	1054zgt4dcvj55a20yerqkf6fc	$2a$07$AG0LSsiKOPXLrUv6dHp/xukyB47tYU44VEczRimSCzKiCd32dv/PK	84	2013-08-03 20:11:34.070991	2013-08-03 20:12:07.683479	140		0
10711	10upzdqv7xuwkpqg7tpyem3o9a	$2a$07$5wxZWSSxgsPy9Vrqm01RLuOFH1JrJENhYWICnUiS6lTtostdsCQii	85	2013-08-03 20:11:34.094424	2013-08-03 20:12:07.969356	140		0
10712	101rpwrpazvfnmumz7ymyactco	$2a$07$i9g6xHaxnQpgpZmF/doXweqRXTY5B/eywNE8jOvqtU8Jk1/aLqZiy	86	2013-08-03 20:11:34.118049	2013-08-03 20:12:08.275396	140		0
10713	10q6j1ym1rcpih9b9sx9q8upo5	$2a$07$60dFp5613EE8ErcmMiigq.D9DOBzLwXtyFiDtMcSJc7wQFCHPSB1a	87	2013-08-03 20:11:34.141498	2013-08-03 20:12:08.441112	140		0
10714	10rz6oe9s9iqu09d6sbk3glzk6	$2a$07$5OVhPyrSgkaJkZ/aVkU4WOsSBZZxgQqPdgPD7LSCx89PJkv4pw5ZC	88	2013-08-03 20:11:34.16465	2013-08-03 20:12:08.590759	140		0
10715	10gdt0omvggfemb8c2shbm53jx	$2a$07$ddZ.VGviwA5pLs1yVaeFO.GDhlXhjeYgzU1Y9BoGrHLV4O.olZIj.	89	2013-08-03 20:11:34.191835	2013-08-03 20:12:10.381509	140		0
10716	10c6z92mk1v965l5660kyiy3u6	$2a$07$/BTIPbsLA8lQfR0prTT03Ot/r37a/QmSjXTHjqpHiNc9ofN65HVKi	90	2013-08-03 20:11:34.218078	2013-08-03 20:12:12.646642	140		0
10717	10zbgopfkphzxf4bj5rljge5bp	$2a$07$uw.8p8hOFMV.8XLwcrhSnO/1zDvu8E5tpKL0e7e878UC7BvcKYkem	91	2013-08-03 20:11:34.240987	2013-08-03 20:12:12.777109	140		0
10718	10794lyghqa8ela8g3r7omlupu	$2a$07$zSR9RJZZIOfM7tO69kKyd.6if8hOMwM9B9WlMPp/JzgDof84tHAoq	92	2013-08-03 20:11:34.262995	2013-08-03 20:12:12.899207	140		0
10719	10mjkiet469ev7ey0pveup7wrw	$2a$07$6PfR./RHLUstHXB0iyiawuJx/GFAIk8FyBf5VWwAO3vQXr9kxInYe	93	2013-08-03 20:11:34.286477	2013-08-03 20:12:13.00413	140		0
10720	105ec9cpaqycra6mhw31h2ry8d	$2a$07$RxUFLLOlkXZc5YUjt7v9Z.xPGbv1G.BUKNvXvVCL8xWRiiGeAq4G2	94	2013-08-03 20:11:34.309864	2013-08-03 20:12:13.160209	140		0
10721	10mt4e39ijn9t1jbxseeac8gxi	$2a$07$8SZFzA3nmb1qkJheO3SnNeFVyn4BM/cR.QFrWMspm0LVG0XsunAOi	95	2013-08-03 20:11:34.333715	2013-08-03 20:12:13.295461	140		0
10722	10siizmqv27lfgmocl3kl50v44	$2a$07$f6QeBICVTJpYq7Y4yh35y.t74f81.4r4v/Y885qtG3Gw6TRT1.YZ.	96	2013-08-03 20:11:34.358154	2013-08-03 20:12:13.436373	140		0
10723	10dryyyy0qls5n60dkxiqdcvix	$2a$07$5AkW7nataqHTEMy5R0iyCeUyr7Oy4dPOhPhNjt8KudUL/zMm1IQHG	97	2013-08-03 20:11:34.389576	2013-08-03 20:12:13.566487	140		0
10724	10hr0vupkjjqia2238lqi2j774	$2a$07$Y9X8ILXprAYi.ID72YQke.QZc91YuNrPAwy3hEiWuC1V7aowWrpz2	98	2013-08-03 20:11:34.427486	2013-08-03 20:12:13.668024	140		0
10725	1072tfazngkqfkh2aafoxgulqy	$2a$07$M1ELxBJswLL74LVYyZPfq.pEieKsbUiAwuE0AT6aTPiWWei50gubC	99	2013-08-03 20:11:34.460027	2013-08-03 20:12:13.786474	140		0
10726	107oqgqs1fyllxe10pxwa088mx	$2a$07$oKEC5Qt4IXiYOEizKxpXuuZB5wpsb4731zZA4onuqggBg5cwK/0Ju	100	2013-08-03 20:11:34.482355	2013-08-03 20:12:13.925349	140		0
10727	102g965exemekwertp84xwtra9	$2a$07$9thO2XFMnwTZ.Ina/bYfpeqjmEiuKU5HJjvcfEhhBc04L1PviXJ0C	101	2013-08-03 20:11:34.505967	2013-08-03 20:12:14.058775	140		0
10728	10eb65x9mfponxs7wdnarlescz	$2a$07$L0BR4Gh415TaR9vAgD3JIeTFOCt.M0HH07262gbzZtv//W7FOa7TW	102	2013-08-03 20:11:34.529451	2013-08-03 20:12:14.180397	140		0
10729	10rlo3705fkko1ah49atki3ndd	$2a$07$irlpwe5/SY7pq888hfqhNenBE2/Ws.2G8Oj7djXcru9w2So3HPsda	103	2013-08-03 20:11:34.553313	2013-08-03 20:12:14.455906	140		0
10730	10fxoeli0g063eulveorx6auy1	$2a$07$DpDBM7EWkH9PvHTmvaaBJuEhNQua5Z9BuEyWvXb6hyBSUw/854mqa	104	2013-08-03 20:11:34.576461	2013-08-03 20:12:14.737246	140		0
10731	10gri9a4x1kh0c7q4d9n8hzt3y	$2a$07$r7ldtU8wx9VW7kWk/wp5TeK7yzGHE6mQjKcDosU9u2tfFU2wYPZ/K	105	2013-08-03 20:11:34.598892	2013-08-03 20:12:14.86723	140		0
10732	10vtvzlhpyp3rob6m36ioo665b	$2a$07$FtNPFGHiWinOL5pgaRZYDuaeRDlBD/dsQADKNE82.VQshoZJbF81a	106	2013-08-03 20:11:34.623542	2013-08-03 20:12:15.004522	140		0
10733	10afiai861baxdy4dumorg1aih	$2a$07$mEsMWkRStF43ce0vpE06l.GrtuwWi1NNM.JWDVTCWSUZXXX8rrLa2	107	2013-08-03 20:11:34.655475	2013-08-03 20:12:15.115515	140		0
10734	10jd6ytddf5g7z4rw4qoskgce5	$2a$07$0pKepZSujzZb6PLVNZ9EI.00QmOY3j79Xe7t3xYsTbvArZCZXVY62	108	2013-08-03 20:11:34.683601	2013-08-03 20:12:15.21488	140		0
10735	10mpp4eirfeyczzxk5janls7s9	$2a$07$iQvBaIdTn6GjWGJOGlCdsupNq2QC9qg7IyvXoBNosvdYopnJpPBFS	109	2013-08-03 20:11:34.71478	2013-08-03 20:12:15.328719	140		0
10736	105w6adk7b1lxdd2ys1dxzgty8	$2a$07$rq0ceMWZYTVwIFveG6al0uBhPUQMFj2mJMQcFVZcesYTkCQJ5l6qe	110	2013-08-03 20:11:34.748262	2013-08-03 20:12:15.468044	140		0
10737	10jt03g94w0c8u00ju0o565aag	$2a$07$/.oHGANuCYC51RhalSyTk.zVSUFQSbaQKsdEbZQfBVKUTVnJclJi2	111	2013-08-03 20:11:34.780811	2013-08-03 20:12:15.603829	140		0
10738	10u8yg0vtqwntsmxrqsxfa615w	$2a$07$xxvZqJePnkbGPSNWRhEiquIWUq0iHicQ6aTA.6bXG7Z3etRxlv83u	112	2013-08-03 20:11:34.803803	2013-08-03 20:12:15.737651	140		0
10739	102snfh2bgq72pw8h95kkbdd0w	$2a$07$nkcKlTZ15NLHIGLjoOPZsuhF39DH/DjVAcmugM9aDlelu938pFl6e	113	2013-08-03 20:11:34.827739	2013-08-03 20:12:15.866422	140		0
10740	10emwcx735i7cdyh0v8sq19iki	$2a$07$//p9QLMkyHoJi3a9XftIgelkJc4QxuwK5wyCYM.rwKIi0DQPCaWlq	114	2013-08-03 20:11:34.85273	2013-08-03 20:12:16.006833	140		0
10741	105k295fuug58p9os4hhpmns3c	$2a$07$JSMSe0xKWls1vbTXlBQPoedIZ48qD0TQPeeoqTTz1KAkhuPi09x6S	115	2013-08-03 20:11:34.879382	2013-08-03 20:12:16.189239	140		0
10742	107a71071ad5w2jjjauzzvmekv	$2a$07$AChUQITQ3PB5l5rpy4NOE.qnz0wPex8f2v.gR0DdJifUOOF9HltMe	116	2013-08-03 20:11:34.906241	2013-08-03 20:12:16.36898	140		0
10743	10cz8beszezn1a15urtndy1rp8	$2a$07$uDmyk18RbAfCrJhbZ85xG.N8ijS8VMSVF0v24DLG1T6lhqNu2qXhe	117	2013-08-03 20:11:34.939258	2013-08-03 20:12:16.500059	140		0
10744	1051ymsbgbeis3i1rtl0t5s60u	$2a$07$GGAic9XjDuIwIb23sk/ruuE8aBa8aEgUY.na1jKeiMTSicre8Zpia	118	2013-08-03 20:11:34.978206	2013-08-03 20:12:16.62506	140		0
10745	10z0b0staycpsbb18r4h84dbsx	$2a$07$yzsE4iDR8Ix5/pDi0pTymup0voJgzZAgFlFDe417ypGWkabwaWi7C	119	2013-08-03 20:11:35.010205	2013-08-03 20:12:16.746287	140		0
10746	100rolh82v4d03qa6zweftpreh	$2a$07$sljGVLgILILlW0ZwyCzvv.OLX9PwCTAednRZ2h0RD66E0QpuzMYfS	120	2013-08-03 20:11:35.032374	2013-08-03 20:12:16.872428	140		0
10747	10m3nvfl3j4ecs9arxj5ti2asi	$2a$07$pgW3pj7Zxqls5GDcR2j8LeGsPW04dUpp/RqbWTsOa9N5eZ9YpUoDq	121	2013-08-03 20:11:35.055085	2013-08-03 20:12:16.997783	140		0
10748	10fv1joohse2f8promw1e9q50l	$2a$07$KX2dXgEBTiFoCTZtnhLUDO5kUei3MfE5zk/iDaeBNok1yVS5BhZIC	122	2013-08-03 20:11:35.078002	2013-08-03 20:12:17.133324	140		0
10749	10ddgbgfpr4aw9zouoo16tpjqg	$2a$07$VRhmK2NN5BEFGJL6W1rpvuwMJdIHkVr236BttwvkP0SRgWZ7qeIE6	123	2013-08-03 20:11:35.101271	2013-08-03 20:12:19.554561	140		0
10750	105z2jd48kwqcf9de4ifennd7h	$2a$07$agyRHynluQzZJz8FsJqnR.WrcEL3aW/HP2P9K6LxnCv7d8NdwC4hS	124	2013-08-03 20:11:35.123982	2013-08-03 20:12:22.465581	140		0
10751	10xndq4bsnx28jc3qied178ofq	$2a$07$v86zBO6zxJF2ef.jLbvI5.FwrNSSMMfY911S8sJw9huCgaUxzUHem	125	2013-08-03 20:11:35.147063	2013-08-03 20:12:22.711312	140		0
10752	10kgex39tc8211hcwbwtb36mg2	$2a$07$E1ASF4EAjikAXpK9dig6cOXRaTtH.tWghQaIEMEndxuHmL7ycd3X6	126	2013-08-03 20:11:35.170326	2013-08-03 20:12:22.948071	140		0
11902	10cq2r4rzlqt5lzbu6ow268h43	$2a$07$ThnVCkmk46DvtgjG7pRZUe0uiq2ArY0/zzNgIsBHKTs5hDxaJQLsS	16	2013-08-03 20:58:35.489681	2013-08-03 20:58:43.509637	150		0
11903	10fjk2aq98a50e59l0qkjqh7yk	$2a$07$vvx1X7dN4BL2l1tXWVBcw.Q0LolN0clNIQXnAA9JxOfF0D1HlLiU2	17	2013-08-03 20:58:35.513347	2013-08-03 20:58:43.639384	150		0
11904	10n2usv24ey4tquw25djur61b7	$2a$07$WvQrrOdjbXdm2MPfVrfZEeQCW6p.biQPygYp2JZ2SGrA9iz98JX2W	18	2013-08-03 20:58:35.536825	2013-08-03 20:58:43.769235	150		0
11905	10zzzyjrhtjy612qis4kprea28	$2a$07$KyhqmQ7kAqEg4VxgRF/8wOBnnyzSNciETAuy2r3Zh6FDltrjtP5n2	19	2013-08-03 20:58:35.559368	2013-08-03 20:58:43.896553	150		0
11906	108qjiglaqa8kqvp6qpjyoy9mb	$2a$07$LGpvRwSIb1Mk.jY8VC23POJINO5LLzaulNGfZYJtn1Wjd4R6psctu	20	2013-08-03 20:58:35.581886	2013-08-03 20:58:44.037049	150		0
11907	10vi4itdf7cljehwgoq1hc3j99	$2a$07$KWBonwSETRHNEBWS4Vg6Be02yZa9xVwh6Qhoq1End4wBkgea9P0AC	21	2013-08-03 20:58:35.605719	2013-08-03 20:58:44.181668	150		0
11908	10izwo6fvurp56qmadhnonus49	$2a$07$JJNOEQMmsDYAGIa5liXW4u6mQZTQjVKf1i7Lx0oFWM07itYviYQbO	22	2013-08-03 20:58:35.628929	2013-08-03 20:58:44.316084	150		0
11909	10rkzemhihwd1pdu3c1onaa7ff	$2a$07$mV/QTbzEq/zkhoncp.xEuOFjkmsgDAp.e.aA8Cs4W625yKxrRB116	23	2013-08-03 20:58:35.651303	2013-08-03 20:58:44.451826	150		0
11910	10e2klpjafxbc5ot60oyn78sf7	$2a$07$Kheyqvk0ADgr1zSe5PHepOZOjkoF3iPfRHxXNVy1O5vrXEMtVkSFq	24	2013-08-03 20:58:35.674557	2013-08-03 20:58:44.572353	150		0
11911	1034opivrfc0ugk3tgj6pf7ur4	$2a$07$yTwjyjmyeRFnFtJImtmCZe97KTOrGvsFCupHKPwiiNOYBEDjow2Sm	25	2013-08-03 20:58:35.698178	2013-08-03 20:58:44.701491	150		0
11912	10y82ozza4wkazmzmrutgkafer	$2a$07$nnrDB6zum..UFNHW8SH46e9AYwlexsvou6s0qBnzi6xIqh.L2581y	26	2013-08-03 20:58:35.720566	2013-08-03 20:58:44.818935	150		0
11913	103yiwiobfwakhk8tzavplmbg9	$2a$07$nCfeQGKTkWuFkxecys2H6e8FvBSsb0NkZPdK9nPIC.KitqJKc1di6	27	2013-08-03 20:58:35.743887	2013-08-03 20:58:44.96206	150		0
11914	10srnyy4a3u4hc03b4h8l5isxw	$2a$07$keI544bAzFdMfxtixynKvOVcq6bYigsU7pYJSgU5wvuY3a.IUk8hi	28	2013-08-03 20:58:35.767761	2013-08-03 20:58:45.109698	150		0
11915	10hguwrx5aww7coo17x9k1wrfi	$2a$07$J3zfydFayD72ja9BDrmqvOP11fZm3Urxndtemfx1t33428L2ie4Qy	29	2013-08-03 20:58:35.790392	2013-08-03 20:58:45.267062	150		0
11916	10r23z0q0itqrdf44hehssmup4	$2a$07$xe6YuCMZCvqCoPi2WIeAjuqLaVkU0Vjc/I3sZdOgh8VSc6hJsyQ1C	30	2013-08-03 20:58:35.814286	2013-08-03 20:58:45.418708	150		0
11917	1096cp98pfbvz9nog3hgle5rt7	$2a$07$/RQRXJq1JSIylt5zyGFw8e27hlH691eszPDwE6e8fdCp3Wq/q/QxK	31	2013-08-03 20:58:35.839562	2013-08-03 20:58:45.552219	150		0
11918	10c4i33aigd9r0usldzexu599d	$2a$07$ekyTPtO.3iWhxw.tEKproOoJ7D.UnUJusVkG1rTonMyAdOIiE7FCe	32	2013-08-03 20:58:35.866007	2013-08-03 20:58:45.681337	150		0
11919	10vfu7zcjmgkf6g3x25lkki00g	$2a$07$rw8Vz14.6uQfoqqV6DGNROHnhFcaTHJclLNozXqRfeGX4ZCJCtgTe	33	2013-08-03 20:58:35.891173	2013-08-03 20:58:45.809314	150		0
11920	10hpy3b5z3l6qvirksycov59rj	$2a$07$PftxanE62OO/XN42nD8wEu3J7HB6KFdY4A/J5Cqth8ZqzNi6CRtfi	34	2013-08-03 20:58:35.942536	2013-08-03 20:58:45.936624	150		0
11921	105z9mavrxgikrylpkzt26qrfe	$2a$07$gGCg1PRkUMJDCrGXTXOxTObFNwIuXsOeo5YL/6ZNjEw9sZrBkVZem	35	2013-08-03 20:58:35.966277	2013-08-03 20:58:46.089763	150		0
11922	101a43j7vc3ayhyls0v5b5yymo	$2a$07$FouCBl5Pqjp5YX4bcnAkRekLwZ.xJ.ovZ1G0UvcXEUdJN8ufP7fKW	36	2013-08-03 20:58:35.990393	2013-08-03 20:58:46.236182	150		0
11923	10ki69a6k5jvbpddn76hg9vqhl	$2a$07$xz1jTUXt6wvYZkwD6CM8w.5Q2RFIDqvhSCrMNnUe5rDJkPm2g6Usm	37	2013-08-03 20:58:36.0246	2013-08-03 20:58:46.376389	150		0
11924	10w1x82lhfhbasesaqnxcucrex	$2a$07$YIgU.8BdKnm0Q1bT6KERCew1Gcy8MoH5lQAFEiToHfQGrYks9KVny	38	2013-08-03 20:58:36.056022	2013-08-03 20:58:46.518653	150		0
11925	10e39qqlvc5gp5e2s22qoxe6em	$2a$07$SP0Xc0Zo6fcRbeSJ2CQMUeSzuLhDoTtFVJxGAA9v53YN2yoRBguX2	39	2013-08-03 20:58:36.079639	2013-08-03 20:58:46.655819	150		0
11926	10qmizyllzn88vxjdrf2q8bpxu	$2a$07$zgjW//WHnHVZZYbk1.JKM.gx8iAu7gyifhlPYNxKPzoifjTmXBCOm	40	2013-08-03 20:58:36.103932	2013-08-03 20:58:46.773522	150		0
11927	1018w3mb6k2byc9ffg636g1kac	$2a$07$CIUMsMYlaXWsCe1vnGuIS./C9pR8b7ZIBiw1ayDbX7nWevleBr.1u	41	2013-08-03 20:58:36.138313	2013-08-03 20:58:46.873318	150		0
11928	10zgstz3gykouzoclvnnuarwkv	$2a$07$Dqr5WAnNpW9F0qkbk9PUb.HpYdSzep7BAaDtmuLhw9bCJlYFEn5c2	42	2013-08-03 20:58:36.163757	2013-08-03 20:58:46.970436	150		0
11929	104280hjx654rtvcsbjft0im4g	$2a$07$y6bnqzCfVBxiBlcQBGJ5YOpjp/m76T8HmE20D/HDDlBiJOrxxMiAy	43	2013-08-03 20:58:36.186623	2013-08-03 20:58:47.080123	150		0
11930	10lxglcw3wtw26jfd57bswd7yu	$2a$07$Q7qQOoocTc42jsVvTplZ1uw3XrAAQ2zBlH59NRnUBsfz8p6EZoIBW	44	2013-08-03 20:58:36.210106	2013-08-03 20:58:47.174377	150		0
11931	10tjh3jubjla9puqdz9v4l03f6	$2a$07$dCATPFRYST.CwgRsGc7ZBuA1DXyINI3MNzs19rwA2HwPGuvLbe9UG	45	2013-08-03 20:58:36.23297	2013-08-03 20:58:47.284862	150		0
11932	10tr9sniur0dfwvmuau1kqsivn	$2a$07$rTU1xK9jfpd7MmCtaHgKw./OaT2r4/SvQXP22UVafnNm5vhkaQHcO	46	2013-08-03 20:58:36.256998	2013-08-03 20:58:47.436213	150		0
11933	10nm7rlb5lpr1p23l56vd6zibe	$2a$07$L/Et6WZeVB/u7z2tNxRhHeut7OucSUGt.TWhvLvUhtSOhlqIc920C	47	2013-08-03 20:58:36.281533	2013-08-03 20:58:47.633768	150		0
11934	10j6uvoyy4hjmpvwugoq1p74lu	$2a$07$Afzpe912q.aH8FyMCx2PO.oLsGeb.8B0OTut8FRcLDMUBxWBcQbQq	48	2013-08-03 20:58:36.30534	2013-08-03 20:58:47.76896	150		0
11935	10u8w50cv5on1itk36saub4wxs	$2a$07$nEB34iibER8lqnA7YHWkI.TUzOI/2XZU5DFF4z.HGbRCaGTxaDheO	49	2013-08-03 20:58:36.332814	2013-08-03 20:58:47.894463	150		0
11936	105ow6sldreb35sopr4s124q87	$2a$07$0YSzMd18W2desByCCsOmxOLnu/Ep1YFXsrj36YI2wucxfxSHoXFKu	50	2013-08-03 20:58:36.355272	2013-08-03 20:58:47.993765	150		0
11937	10acanbiof9s9njyrhud2cnh9n	$2a$07$/0eefwHdWt16w7CM8SIRwOzpe8mVfwLVbLW2aeHfgcSElGimRkjVm	51	2013-08-03 20:58:36.378901	2013-08-03 20:58:48.106912	150		0
11938	1060rl7t1r0iv8vewsxdktrdvb	$2a$07$3RJA5WgIckAkQHQ85Pw2ZuPWxz3fPjlV6GnlE7iizFGddzWHBwEi6	52	2013-08-03 20:58:36.402214	2013-08-03 20:58:48.415186	150		0
11939	10p3bwf73zsu352gv9fykt237s	$2a$07$3P.M2yIHP/XDKc8SWeSiG.uYTPL8Ov5wYZsgSkKzEhpG9oY8Oht3K	53	2013-08-03 20:58:36.425691	2013-08-03 20:58:48.872267	150		0
11940	10jb6pde1bn40wz3i3n7k6filg	$2a$07$BQEHrC7u5NNzmhzA3ux.1uRI.xSPlAGupDDtSsgr93UQ2vUCUOGma	54	2013-08-03 20:58:36.448977	2013-08-03 20:58:49.102079	150		0
11941	102czysh8rqaxg1zzvz8502l3z	$2a$07$jkJMMj9ZTAHovkducV.IiusaKhD3g.97MSY4im2Tp98VIrZczQDMi	55	2013-08-03 20:58:36.47298	2013-08-03 20:58:49.2228	150		0
11942	10g0kgi5jol6gz1zamyqikilpt	$2a$07$Sg7GI3VWDbDZ9ayHhbMgU.vVQgyPv3vmjEbCE8prDy0VQlUwWY/6G	56	2013-08-03 20:58:36.496674	2013-08-03 20:58:49.349987	150		0
11943	10jdlyu231es73z1mwft6d986h	$2a$07$RACYhIBAC5msSoOeBIF96.SugAwBxbaXPzn/hCKFugEtuxSneZEd2	57	2013-08-03 20:58:36.521295	2013-08-03 20:58:49.484971	150		0
11944	10xwnh90tgsbe0mjecc9mcbpwb	$2a$07$E.k8MGUll030h.PquX48vegkaiG8bGNyGygQHic8hFY.fOGkjYmp6	58	2013-08-03 20:58:36.547436	2013-08-03 20:58:49.708532	150		0
11945	10hbyjed29gzef3ixeji1vx7qs	$2a$07$.hXZIYOWhKposVoGgTP88u.V5DYOYexUZ/RhSjO4GFZHR4oAVsvKe	59	2013-08-03 20:58:36.57127	2013-08-03 20:58:49.874351	150		0
11946	10g9zeosxmqojfmhzc9hzitig9	$2a$07$nCVlbhqXHXjDmkJp.bY.n.c3cB4tiERqyaPFdLcxGCFXM.RbhVDRG	60	2013-08-03 20:58:36.59497	2013-08-03 20:58:50.01155	150		0
11947	10fhbfy51z4qvqzpkqszviw253	$2a$07$IXYUDG1vImenZc/MEWbNFuxuYITTZxuvI/zBc6.pHfdn4HGX1RhY2	61	2013-08-03 20:58:36.621982	2013-08-03 20:58:52.550397	150		0
11948	10643gpuyqs7h5ibi1n469k0w8	$2a$07$dNhjL5S9.e0n7QVhUIuizueHI9Mow52ts1cgYfMvpn7FJd3cdPktG	62	2013-08-03 20:58:36.64647	2013-08-03 20:58:55.461017	150		0
11949	106tz48x90wz5aovsdagh0mif4	$2a$07$menDyVEeb/VFXxjmcOpHq.4w9BbyLBdfk8Y1caDRothqYP4tG5nPa	63	2013-08-03 20:58:36.671863	2013-08-03 20:58:58.561948	150		0
11950	10ywb74x97uqoxidsghgnxjyx9	$2a$07$AzS8Nt6Rb.esylUgteLD4enQtW0I/kMGSqfm5TOb2HnfWUwKOZIf.	64	2013-08-03 20:58:36.695351	2013-08-03 20:58:58.833109	150		0
11951	102z6kt7loa81ie247pzc1erh0	$2a$07$BCcVgzWnf.u9/2Kfbj4MauWnPbGez4sKXh1ykgObVmIgdYJQqKfe.	65	2013-08-03 20:58:36.720006	2013-08-03 20:58:58.975124	150		0
11952	1093nwjx7eo2912kp4ncn1z7z8	$2a$07$f8mnMnKad0lwde0d6hv5AuqbXquKAP/DS94WBU6wF6eNvuFb1CXwK	66	2013-08-03 20:58:36.753676	2013-08-03 20:58:59.9348	150		0
11953	10l0gpt9an1fs4nxos6zdex0qg	$2a$07$YOf7bxvMxC4mv5oFsT9HVuMJaBdbmL7uKXEDGj3ZSrBJiNjZcpdxa	67	2013-08-03 20:58:36.778124	2013-08-03 20:59:00.071374	150		0
11954	10xnyo2vp1etzmwcw71xd3kzsr	$2a$07$6R6pWzI/EOsTLYOtvPI2nO.8.heAQ1GYtqLQUA78ye9Cgdyk0vvPa	68	2013-08-03 20:58:36.801373	2013-08-03 20:59:00.194285	150		0
11955	10i3kv7vioey5cyoz9kcrff9sg	$2a$07$5CCFRvKpLsJtiWZrqlPhoeMlSTzfhK5xqPl6Z4xIyOS.LboCrgL3a	69	2013-08-03 20:58:36.8246	2013-08-03 20:59:00.312704	150		0
11956	1023powydmnhrlipb6ueeobxer	$2a$07$gQitIEBUIbhY.MaSbgLuf.O8nTaOmBgkjF/Upi/Gl.2q.fFO89Gui	70	2013-08-03 20:58:36.847218	2013-08-03 20:59:00.412953	150		0
11957	10bhhjtnz5e6e9ymu20t5xb4j4	$2a$07$BuKc0uX49PqbXbcy67lIeuQYG8Jqu.3FBtNXuRFP3d4MOyipnNPqu	71	2013-08-03 20:58:36.870297	2013-08-03 20:59:00.540398	150		0
11958	10bc20zkanrtyastf4arhlznvd	$2a$07$mtVRNDUwPp97USF72vrRMOCbSEd6xUhICQUpW0qnEgo/pyGIWdNbu	72	2013-08-03 20:58:36.895094	2013-08-03 20:59:00.698002	150		0
11959	104xn0n7qml09lgn3edo0082ti	$2a$07$vjGDB99f3fEw.8on7FeLo.R0866dzmOXqeV1T8C2FF6JCFI/CdjYW	73	2013-08-03 20:58:36.924413	2013-08-03 20:59:00.998917	150		0
11960	10ytlsbcfimrzi8up15dupcnzp	$2a$07$XYfBPX9CPGpGrrC04QzzSOVtab.QtAG0KWVyn3GA1x6xM2ynApmMG	74	2013-08-03 20:58:36.949101	2013-08-03 20:59:01.12712	150		0
11961	10g6lqgz2zhd63rbzqiv0fyyrg	$2a$07$9RTqxbGfzvH2usCdkLLS5OM2otFJB1S4U0Y/zEp2FOJKgqyRrb0YW	75	2013-08-03 20:58:36.974055	2013-08-03 20:59:01.258185	150		0
11962	104wo8ik9igmqjtghrsctcgz2b	$2a$07$RyMjE/4YdMx1Vi6c6hizD.UbojXRX//F7vvEXDvWSx8O2.0lmmVDu	76	2013-08-03 20:58:36.997463	2013-08-03 20:59:01.365219	150		0
11963	10szsqen2oi7bt1r5ngjvj0hfn	$2a$07$Sa4mT5rUMkXZseu8b3IqOeRA5ITwLniIceWMgR9sFmEb1aBH1w7Mu	77	2013-08-03 20:58:37.020871	2013-08-03 20:59:01.482936	150		0
11964	1024irsulsrcs7m1gd5mqqsp8k	$2a$07$7DbI.zxhcf6TLJgaIkQZvuuugZGGOKVZrvqSnkKNukioiv6NXKS4.	78	2013-08-03 20:58:37.04388	2013-08-03 20:59:01.611153	150		0
11965	10jrk0rkzo709pl1gf9wu013bo	$2a$07$BWPLXLRyt8vZk.89qNVrc.IogE2FUEbIkyS284D4f3vtQhYa.EgkK	79	2013-08-03 20:58:37.067028	2013-08-03 20:59:01.933469	150		0
11966	10kptyb0139s9rk52m16yb3dd9	$2a$07$LE1qjitujQEWZfSvl9FsTuXJ.7dPdrBSKwZzcV/qPS./HIa8BOk22	80	2013-08-03 20:58:37.092633	2013-08-03 20:59:02.060263	150		0
11967	103s1ldd3zgoucael1jzk4e3l0	$2a$07$ULua0kZTgNfruf3/0QpeTOkJlBPepaFT7UCFSySl.Z.VwsVis5EC6	81	2013-08-03 20:58:37.11522	2013-08-03 20:59:02.331082	150		0
11968	10mcwyyeyudxp9dx48a54fmnk1	$2a$07$5ZqrbLhvbFJSmJ2pT/NTveS1kkgTSu8ZcQ2nTcFOb6ZzNWfSoCguW	82	2013-08-03 20:58:37.138716	2013-08-03 20:59:02.434724	150		0
11969	10kn2frtxa15nt4h4dtmy31q6c	$2a$07$WkP6V5YS5lXcuVtlnyKyW.9kyd/2g.VQC4QfqJsvd6MtCebk/17EG	83	2013-08-03 20:58:37.162275	2013-08-03 20:59:02.697916	150		0
11970	106odv2a9huwg5bm2wddz0rwod	$2a$07$lTQ7J97SAAS87XHgZA0gnuc0xWzgPjRbhkwrH2saBuNf9b/VxKBwG	84	2013-08-03 20:58:37.185602	2013-08-03 20:59:05.545291	150		0
11971	102lowmjimv5ampc29iemh6ua3	$2a$07$7BevakNvroOrRS17Ve5OyutZeMBkYTtDLz.A2EmsIZQwhE3SzkhUa	85	2013-08-03 20:58:37.208862	2013-08-03 20:59:05.734614	150		0
11972	10wj6djuw7mjfjlsuotpvghihy	$2a$07$hGdR.gLXko5UzzPLp0mmtO7LAguYamjuNu/bHtwHhPvYCVGOhLNwK	86	2013-08-03 20:58:37.231394	2013-08-03 20:59:05.895003	150		0
11973	1087gmmwvb2e0p760ye8kby1wr	$2a$07$O9TmPRKZU8BFOyAnNRKo.OYn4me9LGpXtiLSIXwXKscB.XMnLCwIO	87	2013-08-03 20:58:37.253291	2013-08-03 20:59:06.041478	150		0
11974	10nd16pzuk6xf3i2e22ywbj7ks	$2a$07$T.lBAxR0ZgKwUuuCk53ijeFqt1TYVnflGxKasZViUCPDhzG5esYBu	88	2013-08-03 20:58:37.278288	2013-08-03 20:59:06.168945	150		0
11975	10h4voii3fh4hryne8k4z2hoys	$2a$07$lsOQsOKB2p35d4TEacyhE.H7wFzQUJNfyM62b9aIkG2BnFS/zZ0I6	89	2013-08-03 20:58:37.301519	2013-08-03 20:59:06.973917	150		0
11976	102dk0f8fwa323vc15egif0asr	$2a$07$HxRXquWiZsyd6cYHsZJeNeLfwbWvNql0DKXcpiHk2fY/gNvkwLSiO	90	2013-08-03 20:58:37.325073	2013-08-03 20:59:07.816812	150		0
11977	10o97qex62fqmzl1uz02ubuwzl	$2a$07$JkjavzJUOPRsPdd6q0HECuL0dLLqnwn7dV4rA6IHF0g5obvc6B9jm	91	2013-08-03 20:58:37.348161	2013-08-03 20:59:07.911318	150		0
11978	10iwcwg7fabnmvfojf7sjfiopz	$2a$07$.iF/9EC2StfZOLQ7hcDN1e0agfXPmqlLVKDrkjFWNmEjPprStyb0a	92	2013-08-03 20:58:37.370705	2013-08-03 20:59:08.010033	150		0
11979	10qu2fcay9uqtquwwi1l5hucqt	$2a$07$oM940lWmDqLEcrOJestHKe7tH5TlOyp2htFbrNSKWHZnysvelkELu	93	2013-08-03 20:58:37.393791	2013-08-03 20:59:08.102446	150		0
11980	10ym8quculwimandyeyt8i3i7v	$2a$07$EEsFRwxv9jn0FsKCx1/SiOVlaaXzns2YwUrKJU1KnrNMGa8TJXTJ2	94	2013-08-03 20:58:37.418913	2013-08-03 20:59:08.19348	150		0
11981	10w2632wrtygq9mxjh0dpajxgw	$2a$07$ruqnCy3fSg39DyzLHk188.JMEu5/m57i5iFJTbaoPCUs6gmgcf0uG	95	2013-08-03 20:58:37.446508	2013-08-03 20:59:08.303956	150		0
11982	10jdvkse8h1a12j7s5ps1wa6nz	$2a$07$tbY/Z4.xtJgb59dyYkp6Y./JcEl9wd195VDZY42TfzYo7gZe1j/hW	96	2013-08-03 20:58:37.469073	2013-08-03 20:59:08.407359	150		0
11983	10sc9of0pcgw380n47w5try4ou	$2a$07$uIE.YKfgSRb0hUcw6FJaaesU/u9po/5K376oHUvZOZGxNvQ0kz.aq	97	2013-08-03 20:58:37.492795	2013-08-03 20:59:08.516128	150		0
11984	1053f2a4mun1b42q0ss2otqm4p	$2a$07$i5mQfOjwZyjcSuzznkLHyuA/RGiX4Aq12b8lMt5VMTw9HRa9hQ.bS	98	2013-08-03 20:58:37.517745	2013-08-03 20:59:08.628778	150		0
11985	105kh13y2we5l4fgo054xjxq2l	$2a$07$2W/z3Unb6/FPcF6bKRLlJ.kNV0E1DejZ0.ZnForHRr7SOksimUFQq	99	2013-08-03 20:58:37.54159	2013-08-03 20:59:08.745555	150		0
11986	10al4jptus833dqs4prj5evold	$2a$07$4O9e.ZbytXacVP8yr6SbfO4Bnd9sk/qC3hiyYCx4XhTnIdW85DlEq	100	2013-08-03 20:58:37.565547	2013-08-03 20:59:08.875873	150		0
11987	10soxcj4vrblijwg60pj86ibm1	$2a$07$tVKJMWstuxbja1iJTcad0OAH4VL5JTvACCcHsqEP8LnXFmgRAd.zm	101	2013-08-03 20:58:37.589328	2013-08-03 20:59:08.982396	150		0
11988	103jdmxciys4ww6b289qho44jt	$2a$07$u6B/ZIKYNp67HYypxUXNwOXcxiXlXCwdqJtNUF8FRZgw5NVQX5v6S	102	2013-08-03 20:58:37.612685	2013-08-03 20:59:09.109135	150		0
11989	10547lyimgr7w52algrdvy3eel	$2a$07$1pMXSYZdotzlplKFx5Rede7X6iHd76VBQ31irtPDubn8knHLwMAzS	103	2013-08-03 20:58:37.635983	2013-08-03 20:59:09.382766	150		0
11990	10xl7aanexs96lccl59bo4c7bx	$2a$07$U2ly9inAnAAr.isVhZ.k1utvoGPc6Mn0BHHOA70DG5vxNWeFjDw6q	104	2013-08-03 20:58:37.659769	2013-08-03 20:59:09.673037	150		0
11991	10d7s8ir9z9yy69f2yn3pj6pzd	$2a$07$rS0M0P3bKP2V70eHlICFx.l8F2aIl/6CSEPr9k5ty91x0em3BMuEq	105	2013-08-03 20:58:37.682933	2013-08-03 20:59:09.794269	150		0
11992	10sr3ru0qu65fwu5h6laphtxpv	$2a$07$Bs4Kb7GcgnPfbev.1A84j.7ff9CSYyyrPkU.PtySXQlv6qnOVOSbi	106	2013-08-03 20:58:37.706586	2013-08-03 20:59:09.90551	150		0
11993	10mcag7ctu73rkfnhwvviqevm6	$2a$07$bGkZ58j3AeGTq5R0Yg19fuymaCvYx5.JrZmvqop7xtl4uNIFb6xX2	107	2013-08-03 20:58:37.729176	2013-08-03 20:59:10.030752	150		0
11994	10ihly28fqfc17w7yf9iogzusd	$2a$07$DeBWJEatbqYvAIIVvZPF0eIuPZJSJzwW5omU50f.9ahUS7B0Te6Mm	108	2013-08-03 20:58:37.75215	2013-08-03 20:59:10.167203	150		0
11995	10ucwdldwm4w11njzruhzqjuei	$2a$07$.DPI9RojBc0Yn965ClCw4O5uZk1s0AXUp2QDJhqiuil4z45yYVcYu	109	2013-08-03 20:58:37.77628	2013-08-03 20:59:10.309006	150		0
11996	10jfrcpn0q5u3l9zd0qzpkftop	$2a$07$x7iKvIFKec7r1ZS/gt0L0uREHIUS4lLRMOc21CryaEhVaNvX3cRLe	110	2013-08-03 20:58:37.800122	2013-08-03 20:59:10.424803	150		0
11997	10icyyxbp3e90vrr93zzxpu0tp	$2a$07$SXKVQFyn9iSSAtCcbneeSODaVAeiueGdh2icVN0mLpRiRf2Z3OocK	111	2013-08-03 20:58:37.823196	2013-08-03 20:59:10.544268	150		0
11998	10heimfd0i6q103qq7yq4vc07t	$2a$07$y/O1/dXv1MxGUuocz7kjhujbrBuXYWkHx3HsWjmxX/d74NCe02STK	112	2013-08-03 20:58:37.846837	2013-08-03 20:59:10.659237	150		0
11999	10b5cj36v0pstr88ixilurv4sk	$2a$07$RQDQ9W8t8JYXD0BEuZ2zn.K7Iz3bhC01.siQh69SX5d6QzMqjkWOS	113	2013-08-03 20:58:37.869862	2013-08-03 20:59:10.803519	150		0
12000	10dkapxdmju5nv06gw3bhtk5ws	$2a$07$FIpeMdcH8MYVB7V/Wx0n.eX9hCIfcTmi9qnXkKBaWh6LN0olmla.G	114	2013-08-03 20:58:37.894115	2013-08-03 20:59:10.95842	150		0
12001	10d1alno4q6vyn53c7etlde74q	$2a$07$4eKPcnuxu0IcHJnmhdaTf.An0LXX8N1fAXcAxFIiEENCt/VI15cR6	115	2013-08-03 20:58:37.917963	2013-08-03 20:59:11.116924	150		0
12002	106d2xi1ra63r5271w25xfi4ck	$2a$07$oVZxvHr5YJM4JrdkK/zCluf6E66VC5oMG.CQ2LNSXO1SEvW4Tj.Me	116	2013-08-03 20:58:37.941505	2013-08-03 20:59:11.282769	150		0
12003	10a6jm9xzm85vzjvew06lhliz9	$2a$07$fotgrMis2HeF1/Idp8qDPuWjY7zdXBstfvZ3VoPf0j7AUHa0B7y7i	117	2013-08-03 20:58:37.963788	2013-08-03 20:59:11.405128	150		0
12004	1014gpp445chppnu58c8x9voqt	$2a$07$UprdhnXXLVJNV3cxD2gCSe9KsAAJzNjkEprnCiI8cqBpTzv851B.G	118	2013-08-03 20:58:37.988317	2013-08-03 20:59:11.513771	150		0
12005	10gb2jt31724u84qmk7v2ajz34	$2a$07$6gtF.NLrGZ7TZNmaH3Ytq.Ha4y3RWHpvnXugY2VG63kXHqOu.qc0O	119	2013-08-03 20:58:38.0135	2013-08-03 20:59:11.629317	150		0
12006	10mbhkfslaqdps9acvo3ncnrso	$2a$07$NyQl9TSx2d1FRdRjNmhwueLTjafMi91cHRRYIudnHcPOfLt0ln.eS	120	2013-08-03 20:58:38.040436	2013-08-03 20:59:11.759173	150		0
12007	10go5y0co06pd56ky666d8arz6	$2a$07$GBoiaPbMjBROjuN3ePf2xODNbs3DgPBkoUoBUaBHmLFNtLLiAcEWi	121	2013-08-03 20:58:38.067827	2013-08-03 20:59:12.008124	150		0
12008	10rtzhf1fs3eb1ao9j4wokub9h	$2a$07$MFhAHrxNigjol3Vn4DpLHuSmfNp9m18nspEKfxutATzsTgs7JuUE.	122	2013-08-03 20:58:38.096088	2013-08-03 20:59:12.199146	150		0
12009	100ytncp3yi73kz7zmnct64n76	$2a$07$1sga9i8fG26OrVRyVYwpJeI4JgeqHB.ZMwWVQMQUQVht/DYSvF0qW	123	2013-08-03 20:58:38.120088	2013-08-03 20:59:14.832172	150		0
12010	102jnws78d5wvg2jkmkl65wu34	$2a$07$ilB57cbm/rS55PSCZNajfez2QDD9jlBcFUENbZzFYAEHBH0/A63KK	124	2013-08-03 20:58:38.142021	2013-08-03 20:59:17.868537	150		0
12011	1025n977ot5bu9qbopp8a32zip	$2a$07$hotefPCqegzkgzINIs.JIOzTr.6ySa2SThThsnr1ISs6UhHCf5uGW	125	2013-08-03 20:58:38.164883	2013-08-03 20:59:17.992686	150		0
12012	10m9htse0k10galavzdcg3mxle	$2a$07$8fo5Vkkr6LF1oSO70rUEZen8IZ95EMDHWErMK/McwGAECv3WK0d5e	126	2013-08-03 20:58:38.188116	2013-08-03 20:59:18.125116	150		0
13822	10ebs2ung1evvit0ze53n9pftx	$2a$07$t44uWtSWpK57gY4vzupPEe10XuE2h4AL809mvIx.PNN/PxZLGiwNK	46	2013-08-03 22:13:36.217562	2013-08-03 22:13:48.843629	165		0
13823	10qbpu1ew6xsw6u1618emka7ep	$2a$07$V/CsBJI1i9uhrAjy55bWau0x5G.ZTVEI2ndwsl.gK5QnfHKYYZciy	47	2013-08-03 22:13:36.244567	2013-08-03 22:13:48.990519	165		0
13824	10rx8bppblxsvnxg9wzjjivnkx	$2a$07$W7oC1ZU8Flzk5XZbBdqrJub/c635WwVGUSYQfYuTm/Ujrr8iUyT42	48	2013-08-03 22:13:36.270516	2013-08-03 22:13:49.132257	165		0
13825	10mepic89rfu0o27zbe0eui6tc	$2a$07$l1QAePzvzejawI.u/BD5w.afJeHrO1zPcHefvypq2M8hepf0eaoY2	49	2013-08-03 22:13:36.295372	2013-08-03 22:13:49.268197	165		0
13826	10gdrb4guem4rkxko41ccw596a	$2a$07$EFBte7PDQpJMJsHjQ5BSq.34oe3H4nVYhS/ZUdaYJsaMvFs53vsou	50	2013-08-03 22:13:36.319831	2013-08-03 22:13:49.409998	165		0
13827	10dxwvj906jzrxgz71rt2uyvwq	$2a$07$j6PHaZ8yJUrVa33kg3P6QOG9M1MHSISQ9NMCC.JgQCyIVfciXGlhO	51	2013-08-03 22:13:36.348593	2013-08-03 22:13:49.575185	165		0
13828	10ian16uc6bt3k2uhrdaijf30f	$2a$07$e8b0qFWe0HR2S6R/dTkb7uprNynX4wgY3b3yh2yHAOYd9I6xzZTeO	52	2013-08-03 22:13:36.377654	2013-08-03 22:13:49.96589	165		0
13829	104qzeaf86z11gfjjmojeyldzd	$2a$07$y0azWabAAbm6r7AqCrQeGeBn.p4nFkdLMGVvuENlG0Qq.mTIunXjG	53	2013-08-03 22:13:36.4144	2013-08-03 22:13:50.266892	165		0
13830	10vb2xgxa6xfi15ndlw37efnp9	$2a$07$6OPcAdPZiOE33MjCa4MgB.E1DU.eK01yenCRs8PnyisKJ9Wo8Kz5C	54	2013-08-03 22:13:36.437603	2013-08-03 22:13:50.585568	165		0
13831	10f6tygne0gk4devlzmqz3t38j	$2a$07$IaXK436D/1wsCDMSXvLlxeoG2qGZjWL1lUA2l5zaSTecNa/TrVTdW	55	2013-08-03 22:13:36.460983	2013-08-03 22:13:50.706015	165		0
13832	10ts8psdr125mzmajeq4mvliss	$2a$07$l2H/mBpo5MjneFVrRxi6ielSRFsTBOsIAEr5sG6bwdmmOzaJEaCF6	56	2013-08-03 22:13:36.48445	2013-08-03 22:13:50.82707	165		0
13833	10h7vy2vheyx8spzbsha8hxiio	$2a$07$j10oMYkZ/2VX1iQ249Aw6.Ht4lOjOj/tIGvtWOST98N7JXitHwdNW	57	2013-08-03 22:13:36.507299	2013-08-03 22:13:50.976528	165		0
13834	10rqamyxdqg5lfslpz6x00qc0u	$2a$07$G.wetMxRZ.wNymrOvQD0P.qsIyQhJUkvHL8ImE.uYsOYufbvGmARG	58	2013-08-03 22:13:36.534716	2013-08-03 22:13:51.200348	165		0
13835	10gfqq80ij5cayppe8674utb2p	$2a$07$9reQj0gNTyOuIB9HU3XnWu28uiO2wjuNfGcsLXzSyyR/Yu9b84lFq	59	2013-08-03 22:13:36.570641	2013-08-03 22:13:51.479968	165		0
13836	10yaj6qhyj8vshgqom7y075trb	$2a$07$vrfU6wwvPlhzLIQGXtQagetwGUwOsDg4tEKM70CtEhwmCBqlEU/7C	60	2013-08-03 22:13:36.593797	2013-08-03 22:13:51.750636	165		0
10753	10vwkeidak0qc0r3a9n9d3hea3	$2a$07$zCx0bxZwYxOzcKWc2Y8ubOB/ieH/VhP5iEAYnJMIua82TcSKRHnk2	1	2013-08-03 20:16:32.122439	2013-08-03 20:16:36.079942	141		0
10754	10wfnqkjca5kmvatzieip5qg4f	$2a$07$d544jm.ToOglzeS/UBE7wOJGxdvU6FER6DlncHmkyC5QCGnyOX5Oy	2	2013-08-03 20:16:32.148569	2013-08-03 20:16:36.384095	141		0
10755	102pnxrt7fwbxgye8v3l88kcj9	$2a$07$SlXEU19cA2wMXzD5fceJPuJm7g8CFySuVT8zuzcDrNKQgOWH.qQBq	3	2013-08-03 20:16:32.179237	2013-08-03 20:16:36.732346	141		0
10756	105sudwgayo3eg4jnbuvs4otac	$2a$07$AHxStx6hTGWP3XHk7spEduu7glfuWhns0fq7YA7y31xgC9IU.Gxam	4	2013-08-03 20:16:32.207127	2013-08-03 20:16:36.866176	141		0
10757	10pxs6g8qlnte46nq6isa3lcaz	$2a$07$j0OMy4KycYZ.uQ.66yzoCObnPZN5vTlsHzW5euY1gUPy9mvDs3d6u	5	2013-08-03 20:16:32.241727	2013-08-03 20:16:36.999467	141		0
10758	1075tsipbh292l2j6q0e1y46g4	$2a$07$B5cRT35cYtP2THycSXWqceqDJ3mxQNGg9PVkkpZUvMHT0xbRUatEy	6	2013-08-03 20:16:32.266564	2013-08-03 20:16:37.141117	141		0
10759	101p5nk2uqn4lwgjgkb8v1rvxr	$2a$07$6/AgDax3Z4uHmK2yTbhJm.35TToETRuB8ipqnYUsiCv8wdaCc2G7.	7	2013-08-03 20:16:32.293619	2013-08-03 20:19:46.562617	141	ssh: connect to host 10.4.2.2 port 22: Connection timed out\r\nssh: connect to host 10.4.2.2 port 22: Connection timed out\r\nssh: connect to host 10.4.2.2 port 22: Connection timed out\r\n	0
10760	1024pe1jyvmcko624r8bryav37	$2a$07$X.p7Xng/x6E1AhVNGHD7PutLQUI7kNo6ZiV51f0SIlnKLxQJ2svZW	8	2013-08-03 20:16:32.328418	2013-08-03 20:20:51.413013	141	ssh: connect to host 10.4.2.2 port 22: Connection timed out\r\n	0
10761	100aukmqiywwaspaqiwx5t9qr3	$2a$07$b7HYFsFnqIB8E.m5WLugP.4.dBfW74G9BjNKZZGrS0wCvYrPIhw1u	9	2013-08-03 20:16:32.35885	2013-08-03 20:20:53.898493	141		0
10762	10kabnxwkbtcae14djxpbc4qv9	$2a$07$Q26MZSf8D00cmb10Cy5OYevRsLdi0VRIP3dKEhAtoMRuohCWc5dx.	10	2013-08-03 20:16:32.38647	2013-08-03 20:20:54.034124	141		0
10763	10ofcrxtma16l7gqgp1gxyf8d4	$2a$07$afWIAaFaIhR5vn0AztO1su6n18v8cariKWFkc21O7JFxW7bjlgHf.	11	2013-08-03 20:16:32.417289	2013-08-03 20:20:54.161354	141		0
10764	10m88u9mol8vp2i1l98covfn64	$2a$07$IdzVyju1Hih7glG5xqp3b.tM07YVzpenTFyIGfXD3fABHRbQ6qs4.	12	2013-08-03 20:16:32.446698	2013-08-03 20:20:54.263481	141		0
10765	10zgvw1qzjgl95m5xae82ggqcc	$2a$07$u.mZgA63rRwoQ.eiRQEuhuKM9VC.6kydgwuPIbMLIjNEz76eEkIOa	13	2013-08-03 20:16:32.469979	2013-08-03 20:20:54.462275	141		0
10766	1023bjcg2op1nvlmuy9vnucc0n	$2a$07$acGxcvi50Gv/hNCgswPXfOisLYO3d6xs1QeBufckzKdxwaU0HF2jm	14	2013-08-03 20:16:32.492747	2013-08-03 20:20:54.616894	141		0
10767	100hvo7kdlo9zqkgbnl8fflrk3	$2a$07$sk8fw1AWV7/LcuK02NUz/Okp9UovY.2YxjOxVCyOPAxoas.JZdmqK	15	2013-08-03 20:16:32.515714	2013-08-03 20:20:54.812163	141		0
10768	10v6j0n5ab55p8mfzgrz7f18rp	$2a$07$IwZXAvR88VZOYWzvD62gzuQjcmCv.RkqPaeUj/O97cKHQ.TfJidEe	16	2013-08-03 20:16:32.539408	2013-08-03 20:20:54.94806	141		0
10769	10apdc3x3p3muevkmqb4tcmslo	$2a$07$1niamaqntFJwaJuILClwyep2RAKGLram9jEiHvHur2DEXeWAcFpJ2	17	2013-08-03 20:16:32.567626	2013-08-03 20:20:55.097631	141		0
10770	10al28amxmrbzshhdsbwkdtyoe	$2a$07$S/NzaEKEsYi6uY2V0xFpvuDsbXnhPlRjlx4kWFuuin9G6qqbOQxEu	18	2013-08-03 20:16:32.601685	2013-08-03 20:20:55.220134	141		0
10771	10wydvcz89g70nc1okwpvxaltb	$2a$07$jmchArL6NF1U5kO6oqyzHOGspx33xFw1EJApijlDDAT7On/RaLS6K	19	2013-08-03 20:16:32.627941	2013-08-03 20:20:55.346003	141		0
10772	10b3bfrta02365zo0rrbv5wxod	$2a$07$ulz7MkC6wibm8iaB9XvqS.v3cpeXJd9/hV7ymuzJfm0ZZGTNKtcM6	20	2013-08-03 20:16:32.661699	2013-08-03 20:20:55.489043	141		0
10773	10yxlogsnjzcnloo845xtdfm4q	$2a$07$UgITW9ulK7tUEFkua16efu5vD6HYrj80nylvKVxKrUOUP6HAtxDHC	21	2013-08-03 20:16:32.686858	2013-08-03 20:20:55.62216	141		0
10774	10nb9i19g287buc4mckstvczqs	$2a$07$FXuw4jNbrPfep0IKIzk2N.5IraJvBw6e9jVMR98p366iJms3KhGWq	22	2013-08-03 20:16:32.710991	2013-08-03 20:20:55.751885	141		0
10775	104uv4r5567z3scr6nxrpozf03	$2a$07$xy6mRxTQC4ATxQVpfchmQOW4CnqsQwQYWHgxk4AVjxYesdSzAlFqa	23	2013-08-03 20:16:32.739075	2013-08-03 20:20:55.883672	141		0
10776	10isil45bw4nx6gxutjvbgygei	$2a$07$MU.UAAZbhY.ICpc5LygLiu4BrRubwjIJWZCs2p9PVq2vYcP7h2Vsi	24	2013-08-03 20:16:32.77056	2013-08-03 20:20:56.023433	141		0
10777	10ysh7m4njfkbj74d9i738asa9	$2a$07$w31r0x6uOvzGIH5olwdIAuHiN.BlsGNGcmgHwC88wNoNwz56zLOYi	25	2013-08-03 20:16:32.79376	2013-08-03 20:20:56.157437	141		0
10778	100g2gvbief7ggg3fchtiigbkd	$2a$07$8Cpv/xxaPxgx.LKGMDs0hOaW25OdzEPUZh3qjj0QsOVeyqZrisIKK	26	2013-08-03 20:16:32.825398	2013-08-03 20:20:56.297251	141		0
10779	10mg7inmls7wlv40ufsr0yifqa	$2a$07$Vh.WRt0Wj.N79tQAnBckAuLfvA9seXe5B7vkunL8hrKS/7sRnQg4m	27	2013-08-03 20:16:32.861874	2013-08-03 20:20:56.401516	141		0
10780	10r7a70mtdrck94jy9tyizx5wg	$2a$07$HkxNCmYYEc.TxzIV4GX3W.bMJXJ0XKi8elmR3dBjtNVLDYZfwja0G	28	2013-08-03 20:16:32.889913	2013-08-03 20:20:56.680291	141		0
10781	10xwntrcbjdn57p4bfwa55ehw8	$2a$07$Na9cn8QGTLH7yYhZalt.d.PVm5bRNQSb1HdTVC2C6bJ4YO20phR7C	29	2013-08-03 20:16:32.914604	2013-08-03 20:20:56.986037	141		0
10782	10x5czh67bql8dprnrnbeklquy	$2a$07$5IaZM0bwt2YEX7vvwzAhkeITOk7rBOHlbpErabwAj.6HmQlnMh0Pe	30	2013-08-03 20:16:32.948823	2013-08-03 20:20:57.305008	141		0
10783	10jena4qrlcer1knwxtyyawepj	$2a$07$ZyyuxDEd5xSeJ8GFJmvxS.VdJXhpnyMfeKUA6hUJ7u1FydBgEciWG	31	2013-08-03 20:16:32.971705	2013-08-03 20:20:57.41927	141		0
10784	10muntqnoywb4cj0gv91e2h9w1	$2a$07$VosKhXofwNOIYqmRxaeISubPDJ/kg1WE.rGZ.1HGqtXDUofIjPT.u	32	2013-08-03 20:16:32.994106	2013-08-03 20:20:57.542951	141		0
10785	10sgcnvjp8kzwg4oprwmaj68l4	$2a$07$bTmAA7znp04v7NA/vsx6wevm0DFFRR//vSbbIu06gFS6pLUamkF4e	33	2013-08-03 20:16:33.015988	2013-08-03 20:20:57.679437	141		0
10786	10lpw32u6xvxx6vd6b6azxnd19	$2a$07$nGFCWZo8yeeolFcKOUyae.pBUxhLxB5Xxj424T0vHy3huZ1HZNCRa	34	2013-08-03 20:16:33.039002	2013-08-03 20:20:57.810276	141		0
10787	10zebkg1b7soj7ma30o6xlh161	$2a$07$koUTWPn19h.Iw077WHP.CeJsb4NTY9Su8U9wIiqtLWt.2xiXhUDCe	35	2013-08-03 20:16:33.061819	2013-08-03 20:20:57.948654	141		0
10788	102co7sicudabmw7a6yoqly392	$2a$07$NjKoESNpm9R4LJNryYr/Qu.9uC4rszhXTlVP0awzC2hBMM/G0HjSq	36	2013-08-03 20:16:33.084309	2013-08-03 20:20:58.056797	141		0
10789	10566lr2tsd102k31w7oahx8lg	$2a$07$.c0cv9GhcRzlIlJCbubayOzUXPKo5/0W.jWkIDt3x4.KJci6eTLi6	37	2013-08-03 20:16:33.115178	2013-08-03 20:20:58.195511	141		0
10790	10a6av24pqbs3hawnlcyprn4yr	$2a$07$1XaJZnvc5GLv0bBMN8Xj7.4aP2Q.2jVtzagCBnuEA1zh0La5YfSdS	38	2013-08-03 20:16:33.144072	2013-08-03 20:20:58.331544	141		0
10791	10yr527ywmp9an7fgz13n7xcm1	$2a$07$7dqFcWtTdevPsqBEhy2Kc.iBZFLJEROOwwt4Y7NLa7e14KimyPh5e	39	2013-08-03 20:16:33.167311	2013-08-03 20:20:58.444465	141		0
10792	10nwmdnmvsr8r4pti52uy1100v	$2a$07$V/x2hDI8kSYYy2yu0IOnBOYVQLN5z1ZifMGOH08rf9DWtr5tW4O6W	40	2013-08-03 20:16:33.195707	2013-08-03 20:20:58.549643	141		0
10793	10zus915sz5bb9hysgm59352su	$2a$07$Uz/LHGKdEwe4iTYtR0N3eOl.N4CiRRNVbYEQxUo2FQ9FednAmHjYK	41	2013-08-03 20:16:33.219426	2013-08-03 20:20:58.670018	141		0
10794	10bx0qywucd414ubc91s6pi4r6	$2a$07$6WytexMJjRgLPxq0GYs92uBAkIoFFK9vvauh4ZvVQYlTjhj5rXuRW	42	2013-08-03 20:16:33.242651	2013-08-03 20:20:58.797696	141		0
10795	10tf4cgb3xti4jlmjk9zku9zgo	$2a$07$0ySZN0Y51Eytnn8sPbJx.eQP/mqFwjmlCZhh/14KBtYacN5K1bT4K	43	2013-08-03 20:16:33.265865	2013-08-03 20:20:58.944867	141		0
10796	10znzqbiknm8wst6xowf9qw3ec	$2a$07$1EQklZ.aOPhFwBiAE07Uc.3SgMRQifIh0D5MZe3rpJJk8HB8Z.1UK	44	2013-08-03 20:16:33.289473	2013-08-03 20:20:59.080957	141		0
10797	10a1w9hjgovpo7zm523anwygit	$2a$07$JZ1eY0ub5N.HhfOqipOpz.OGua3Z6YaBlndtQ4UHeBs1BaGGKSZMq	45	2013-08-03 20:16:33.313506	2013-08-03 20:20:59.216683	141		0
10798	101koc4pqug2nk57d0vystjuyo	$2a$07$RVzBp.012CYwT6ECybNBF.wxwfSaEb25fAz7w3O7dYTMbbqxur1Wi	46	2013-08-03 20:16:33.344285	2013-08-03 20:20:59.352687	141		0
10799	1069jjvrqxc8m49zx0me92gua1	$2a$07$d3pruqgPTw.RCPC.qgndwO85OqG8pyUsv9R19f9t9GifsWgddO9x2	47	2013-08-03 20:16:33.37844	2013-08-03 20:20:59.559582	141		0
10800	10rb5prgftwhvv3uv1wgwxgpvr	$2a$07$pm3L5f2IFBuH3kc0GN88I.WgkZRJMJQ/sc/BSzl2Co8CRBkj3g4mq	48	2013-08-03 20:16:33.401946	2013-08-03 20:20:59.689415	141		0
10801	10pu8tmxld1cc4v6z4qw0tvawn	$2a$07$LlSmk1AgEubxnj/lSDOH0u9GBiVhM8cMqnBN0z2CTzpffMA9Ew6LC	49	2013-08-03 20:16:33.42912	2013-08-03 20:20:59.833456	141		0
10802	10a91uegtqr2d2x8goiay95rgn	$2a$07$x0DnGnr5mXZerqM8A5P0wuS7oHBr4POs10.FumO1hU1/fLBUfv/Y2	50	2013-08-03 20:16:33.454796	2013-08-03 20:20:59.974437	141		0
10803	10ep5ouixzwzgj4o8bmj3biqaw	$2a$07$k7JmE9htFHrIBvtULCAxlO.FsETnye1AtWXUcaAfW4jSSjDUEWqri	51	2013-08-03 20:16:33.485792	2013-08-03 20:21:00.113399	141		0
10804	10h3wmvk536c7fdyb7dkrixfwz	$2a$07$ZhAo1cJaYodThvovYriakukf8aiz2Z1kAy8wLGjm7BMtfEGocIpLe	52	2013-08-03 20:16:33.508865	2013-08-03 20:21:00.24807	141		0
10805	10ny1aicrjzf7cg0n3jk7b2hxb	$2a$07$7OgWxGpzg1mpXh7JNkel3.IxH7Wc.V.VeAnABlMnkkwnBP8gIgcd.	53	2013-08-03 20:16:33.537295	2013-08-03 20:21:00.402751	141		0
10806	10vt8uewqdlc5dov5h789jewfn	$2a$07$jpMpoDiWXKqzO1kz6ThSJOqSRYK04g5qqau1p5UvNWiL2BwCdld/W	54	2013-08-03 20:16:33.562178	2013-08-03 20:21:00.537832	141		0
10807	10wv0wd3u65vc85oecc7xjw462	$2a$07$ZTdAQax6Q5y34O5HTUIVguxdYHp3xsF41.fuy6TlC8Cg8PQOpyVF6	55	2013-08-03 20:16:33.594972	2013-08-03 20:21:00.670403	141		0
10808	10ywvcm1an2v3apmug5hy4hofq	$2a$07$K8wVGVhydhNH0TyzNuQBZuRXCrU0B/AwhdgNNCWxu1dIznPL/4Ni2	56	2013-08-03 20:16:33.622136	2013-08-03 20:21:00.779553	141		0
10809	10u009t8ai4cvv79qwy2bewowi	$2a$07$opxa.TOqMDSJmKdKgeguNuLx3GJogtNhwIWMuuZdFb5yJShpY5JEu	57	2013-08-03 20:16:33.647178	2013-08-03 20:21:00.912437	141		0
10810	10cg9t6x8rqbo6md2aifvft6w5	$2a$07$B.G9EtiGvw8GFP67ftwbOe2VA8z8l.RstBhUlmQzqAKZL/nlB685G	58	2013-08-03 20:16:33.672038	2013-08-03 20:21:01.186861	141		0
10811	10kmmu2a3stesh3soxg2jyb0lq	$2a$07$mYajtEWyZCLJn7wh8aYGlOEuAYoOD24FiYDs2U01T3lQRxqlGLeAq	59	2013-08-03 20:16:33.707096	2013-08-03 20:21:01.524597	141		0
10812	10p19l5uzfs4w4rq1j3mj1976b	$2a$07$G9vnH6HlzkrNraxKs6HPXOOXdRNdcXik2p10b/4IySqUrStT/.sv.	60	2013-08-03 20:16:33.741681	2013-08-03 20:21:01.888976	141		0
10813	10tv7f8ztjgj48ew79340npqz4	$2a$07$HKW0da5H.l/HDNYR.KclAedbNHhJF34iq43IETml1AfbHG3ZEVM1C	61	2013-08-03 20:16:33.764849	2013-08-03 20:21:04.350084	141		0
10814	10h7qgm9vxj2mnb4y4o63q7bhb	$2a$07$r33rKGFjInBIqlxqIYOAZ.ovLnY0ZfKn1lV4baaBgzSQuaXEK2LTq	62	2013-08-03 20:16:33.79205	2013-08-03 20:21:07.268973	141		0
10815	10vewgikgy93usp000lxnua9ce	$2a$07$RPA9L4XJ0m2o3RaVPrEz.OZCQLeaSSGy.GBlfa1.iE1HrGFb0xY92	63	2013-08-03 20:16:33.818919	2013-08-03 20:21:10.248954	141		0
10816	1039kxjecs8135j4ntweviesav	$2a$07$/2Hubk1jjHX7eEGd.gnG7.O/mffb6JpRbcRyF0/vfYCLL4xwjMdVe	64	2013-08-03 20:16:33.841698	2013-08-03 20:21:10.686595	141		0
10817	10cw5jc02z4f38p6uyrgy113jm	$2a$07$GZf7x9y2Q5yroPkfEpb/WOeb.fBqjrMUHtper/EEnEgq//0htncLq	65	2013-08-03 20:16:33.874265	2013-08-03 20:21:10.819828	141		0
10818	10yixzhw5ce44vqd5pulszbvv0	$2a$07$/4tC4InFRnAwcooBzCASBePtIcor7T7PtRZ8SmMZjY8AT6Znqdo7S	66	2013-08-03 20:16:33.907047	2013-08-03 20:21:12.950659	141		0
10819	104khadc8mevnwjpd7vilv6zfl	$2a$07$1YinxyFznuY7FjMMLHR6M.PPF/JfjaYuEwqcCrybX.NeEgvVq7A2m	67	2013-08-03 20:16:33.943761	2013-08-03 20:21:13.081406	141		0
10820	10ceom4tu1uc7x157hu2fb50ap	$2a$07$JbErzHK4JQhxUqfUcLM4rOPIBi.1mzlw0ZhvT.nxemEZCf1uXKn0O	68	2013-08-03 20:16:33.969758	2013-08-03 20:21:13.266778	141		0
10821	109cru7kvgspxkzqgnekaxtfft	$2a$07$sk6qvz6eVdxuz1SrxS5Rqe1pwRgHp57gMt/dHQC2b/eLpqJYXVWOS	69	2013-08-03 20:16:33.994245	2013-08-03 20:21:13.388009	141		0
10822	10uibq5rq2b8e0gv4q81vaz78i	$2a$07$Kd71uHbN5k7/kz/vRdq2EO.DSp7NBKSG/LrBDwdMcQCuFdSaasRbO	70	2013-08-03 20:16:34.019169	2013-08-03 20:21:13.50305	141		0
10823	10eyer1oq2164tpg3gwcu71x23	$2a$07$YEG63glVbkOQPuth3ZzGh.v5jz6ww5XOM6x91Pe4xDNzW9duf2cvu	71	2013-08-03 20:16:34.042659	2013-08-03 20:21:13.644152	141		0
10824	10hw6425svhf8qilezp5lrsghn	$2a$07$/JJbiGbbH2xyqD9uLY8ms.d8qJZ3GIuLn.Osl5AT8/bMt1kNEAfYC	72	2013-08-03 20:16:34.06677	2013-08-03 20:21:13.781414	141		0
10825	10obj7qdbqgda9yjo2twj7kpfr	$2a$07$Cg1HeFn/vx7HsXb63WMSteLRcRNli6Q6z.s6PO53iL0luyuhp6K2e	73	2013-08-03 20:16:34.094869	2013-08-03 20:21:14.016957	141		0
10826	10q2fy973lqb40bp7heb12mi2s	$2a$07$4EHBeRp.4yrTcad/olpGLuIFkkJBkc1APRgBebGoKuD7Sd71/DbV.	74	2013-08-03 20:16:34.128471	2013-08-03 20:21:14.139677	141		0
10827	10r1mvdcbihih00xegjzj216to	$2a$07$0O20YBbAKyaplqZwJwGreO6PnrLeGudCeBLTCRDJheZIr0w9Q1duW	75	2013-08-03 20:16:34.163785	2013-08-03 20:21:14.256396	141		0
10828	100foky4x2xw7g12whh0kiafj6	$2a$07$iSc3c3ziuyWhTl8whU0jTuX5GiaByB8ENlVnl2.hexpl2ebX0JcvS	76	2013-08-03 20:16:34.196556	2013-08-03 20:21:14.386586	141		0
10829	10x27baogipqfpa7ym7fry3z50	$2a$07$cIdrpDmgultI87gDddobX.b04/H.Fa1LU/2vXqZPt5ljcByaD8bWi	77	2013-08-03 20:16:34.218493	2013-08-03 20:21:14.537897	141		0
10830	10mxqtt8kjdttunpihse4syw6d	$2a$07$3AtHx5NmjMH00/.XlDqbe.C/vIAu7H5aAlFqHTtqLZRuxgHVYffMq	78	2013-08-03 20:16:34.241623	2013-08-03 20:21:14.666383	141		0
10831	10jkq3nub6c13e637mhfz5ji8x	$2a$07$OK5YF2c4HTEmThi4zGLN1OfDP0ma5TkQiYFbHb7UzPzuVRj/MHXdi	79	2013-08-03 20:16:34.264735	2013-08-03 20:21:14.792456	141		0
10832	103k5w7zufhn8d3uzp6ohlg1wn	$2a$07$T/CH1mheb0RTwuVFobhQi.pksefEJlqCDK3l/1scdhqkhirkS0pXW	80	2013-08-03 20:16:34.286784	2013-08-03 20:21:14.891653	141		0
10833	10djxuzm2s4ymmdyeq3qlbycbd	$2a$07$xAup.xtVLNJx4rjpVw84e.Kw5Vh/4vPdDDxx/pe4r3cdertLushB2	81	2013-08-03 20:16:34.309662	2013-08-03 20:21:15.250807	141		0
10834	101rpg4vfeams3n3pxfbvz6koq	$2a$07$YBkrR10QooO2ckjTt1kjOenqCs3RmOYa0QggNz3GolZpaXMnHnAQy	82	2013-08-03 20:16:34.332867	2013-08-03 20:21:15.381301	141		0
10835	107t05ahp5a7lu3j07shy0jf8t	$2a$07$aU79diSZvyT5/pGb6XUuduWT7dCAtfBHkHwHlzYPnMJqFiC0Ik7aC	83	2013-08-03 20:16:34.355896	2013-08-03 20:21:15.526158	141		0
10836	1077jrzg5o18b03pdb77ao7sxd	$2a$07$DUa0wq8gnByqRhKGgLycMOV18EB3Xx5VBtHcM1U913Tg.OSERXIvi	84	2013-08-03 20:16:34.378627	2013-08-03 20:21:18.417336	141		0
10837	102l2efyr9nibrv3u7mb5cpriu	$2a$07$hjpmROjMCPGy.AdSI7zrUe6oNI2ba68gd/lVLbTKKTvePVIFxm4Me	85	2013-08-03 20:16:34.401898	2013-08-03 20:21:18.831068	141		0
10838	10ya3cbmc774ujndstazp60vy3	$2a$07$xlkWd8Q0lq8Ay/a8XZBEke8NiB.tVfUmhQZmtPqvTvrd071a3J.Fy	86	2013-08-03 20:16:34.424861	2013-08-03 20:21:19.301487	141		0
10839	10rue976qsstinq0njpv94fbif	$2a$07$wfM0s2I.DAevOwbszIWdN.k3hs6.7sxrwbX5nO3rhDJbX0f/6YhaC	87	2013-08-03 20:16:34.450988	2013-08-03 20:21:19.452529	141		0
10840	10f2jp6cbegray2d18uff2ww99	$2a$07$FiShKQi.Nz3fAmKWDxSWXeQ8oTbLfkO3YjStrT/LnlWdMyMTIBsqe	88	2013-08-03 20:16:34.485504	2013-08-03 20:21:19.597297	141		0
10841	10quiac4vhkg018zok9o53a4xg	$2a$07$7TYAGpwBZtuX/AyDxNLegeF4rDMAWcNWv.NTCVB3AN0GsA6ErwrTy	89	2013-08-03 20:16:34.508971	2013-08-03 20:21:21.677465	141		0
10842	10kvtoq4hzhm8tjn508aajasdy	$2a$07$UawB2zG92oeQhV9EoNbqoOMUHoXg4FwpMqmR8A5SBDU5fFptsUYni	90	2013-08-03 20:16:34.532669	2013-08-03 20:21:23.818767	141		0
10843	105z3ts61q61h2p2mmk2s4c4g3	$2a$07$N3N750uIHfrN6.69iwE.NekOLeU/55/UURZv/mXGyT254m5x0vR2m	91	2013-08-03 20:16:34.567087	2013-08-03 20:21:23.951775	141		0
10844	10kxj5qvb1zzy77yvc6tyv12m6	$2a$07$7xqVsRvrdIX/OJnuB.JlsOQMTjonUItFbIHeP/o/EwuLMH.W8Ci8y	92	2013-08-03 20:16:34.602394	2013-08-03 20:21:24.075482	141		0
10845	10t4fo0ajcnr26emjthi6fy3ba	$2a$07$oJvVBZl8txsQ2vevktzuhOCqvawd7.3v2pBrSekuOUcElbNdJAk.W	93	2013-08-03 20:16:34.624835	2013-08-03 20:21:24.280252	141		0
10846	10rr9hztlv70xrov0et2i8wbf7	$2a$07$29DCk8n82wkFGUxkxRUh6.kaHiYYx9d6ItBtFqJf0jNVfLfBN9QHO	94	2013-08-03 20:16:34.647911	2013-08-03 20:21:24.449866	141		0
10847	1029lldxzwwzcu7pkv8eoi2w8d	$2a$07$Fn4byh.XzTPe4DOQdmgdJ.EqgmVkMTQpgf4xCgSPjwQFrMDPm.PTC	95	2013-08-03 20:16:34.671188	2013-08-03 20:21:24.5951	141		0
10848	10dwjgd3m4k5p0eiee9dra0y6i	$2a$07$kpcSyS1tFroJh4s7aM11WesE.9tPvKoCUv3UoD.VjB/z7aQsopqMy	96	2013-08-03 20:16:34.694957	2013-08-03 20:21:24.728259	141		0
10849	1091hdvjil5la7wlv67cqyxqrx	$2a$07$O2UC9dUYYGiMp3tbWJ1.G.c22fGatOPGd3IyCmbUKoT7HN8cvv16K	97	2013-08-03 20:16:34.717427	2013-08-03 20:21:24.876553	141		0
10850	10cxwyy5cnaqrge4xucl6win91	$2a$07$EAQduf710Iu4Jd8ylk8wnOtSjWMxdfvCnUnHzuqGbbDWBihvRp6IK	98	2013-08-03 20:16:34.740993	2013-08-03 20:21:25.015526	141		0
10851	10hxqkdpafyjzb516oxzq64jn9	$2a$07$fkOPpQI1ZBTzv.dSJqkZ0uZfqD2nUEMqZSy5jWANb3E3BsQFhWLtu	99	2013-08-03 20:16:34.763614	2013-08-03 20:21:25.148422	141		0
10852	10ts0psrzyn75mon301e8gst9u	$2a$07$XcZP79aT7M4JeqPginvBXusCE34piJElfupC0aUXFMTpyMiSl3KlS	100	2013-08-03 20:16:34.786748	2013-08-03 20:21:25.259284	141		0
10853	10q6hozphq1d7tgcc7jbxda2kz	$2a$07$zNnwzIvuhCTIHsRF7jzV1uLZfUZt5GidQajmiNe2c2HbcvRhafQkO	101	2013-08-03 20:16:34.81981	2013-08-03 20:21:25.37328	141		0
10854	10y7a99c5sistb2x09f72k3m3w	$2a$07$8ZmakiTNtLP3IbjmJCf6W.WqFJ/4ZeCgGLU5jpFg1.d.dFSWPwlce	102	2013-08-03 20:16:34.849412	2013-08-03 20:21:25.510351	141		0
10855	109o4335qq24h834cxju7lmuuy	$2a$07$AH9wfeuyv/7O1WbYC6VHqOY6p7I/S6NjyzINdRQmG9sKhbiC8S.Ci	103	2013-08-03 20:16:34.873522	2013-08-03 20:21:25.740925	141		0
10856	10z1kajd9y9d4dxn37lg7s2yrs	$2a$07$PHzoF1HiKLPiiK2z5uHES.YAxagJsfCfhs6BkHK01Su1bpywQ7f6q	104	2013-08-03 20:16:34.906729	2013-08-03 20:21:26.018645	141		0
10857	1022rns672h19jn8zfuxn52q6a	$2a$07$ucsNnvxcKOKbhiK4mT/dxeD0fZL0CYV/wpMjhtGJxsZe2/tecliCK	105	2013-08-03 20:16:34.939407	2013-08-03 20:21:26.143847	141		0
10858	104n1bjz8f6i4lxnrq89dt54yx	$2a$07$bUq1Ow1kzAqWoaJAhwhOFOT5UuxoCRphR69ZhGuZvh3fOZzK87cte	106	2013-08-03 20:16:34.962774	2013-08-03 20:21:26.25636	141		0
10859	10mpb7laohngzm0c53mzc0i61s	$2a$07$XyzWWUEIt3orhwztRScepOhZ7hBzyHaZCUNXrD8MgtkJCxFV41kOK	107	2013-08-03 20:16:35.00197	2013-08-03 20:21:26.380471	141		0
10860	1035p92lrhcby5qhu5nxv1a49b	$2a$07$reJYRW755b86agQYpxGJzeKTOk2TQpDdnHdzCztIuZhNGVYaG3EsK	108	2013-08-03 20:16:35.027818	2013-08-03 20:21:26.502757	141		0
10861	10xxrmn2l9ugbtcwtejs7k71ob	$2a$07$WS36BalPOneU8DnPZsBCTOH9RjjOjCy.GYng/x31tG28f8jPOdXN6	109	2013-08-03 20:16:35.051863	2013-08-03 20:21:26.658386	141		0
10862	103gz18ksrnbxr9l0ykipgxb02	$2a$07$uXzor0x9sxY9Wyg/IQ41.e/ljTCcBdiQr8gSkMI/g0NTgwChI6hW6	110	2013-08-03 20:16:35.082074	2013-08-03 20:21:26.822932	141		0
10863	102ypkm2xjvkkgt9h7gqvhz115	$2a$07$J74yPSBISzixsceQUsmhDOT3yb5gvklchmnalMJslp202La1uZU52	111	2013-08-03 20:16:35.104875	2013-08-03 20:21:26.978079	141		0
10864	106syjsmad1aunmwyavp6iqz0v	$2a$07$CBsgF8uidIX28PjIaDqUl.uv5sIMe0qKduXiHbDhIIOUyQsYIgpNW	112	2013-08-03 20:16:35.129393	2013-08-03 20:21:27.085996	141		0
10865	103b8d0yys8kbysa5im57bgaq6	$2a$07$cVKQUhkyyxrtzFRW43NNs.XNdeNqcfEpsJdPdyWvlak8HQodGdM9G	113	2013-08-03 20:16:35.167768	2013-08-03 20:21:27.210588	141		0
10866	10l0ulw8bmq44l82lq6nn7abh1	$2a$07$8.NXsRE4VYCiPuyFuj23RuJBdFjDvhgu74bs7NgJOqmIWDu3jP9VW	114	2013-08-03 20:16:35.190682	2013-08-03 20:21:27.323849	141		0
10867	10cdnf5tehueqjr2izu39va1w5	$2a$07$hwylwpqMtAq9nsqSZfrQRO5UdaEIjsMnJg8CxoANZNiS.ByIw7Dx.	115	2013-08-03 20:16:35.213962	2013-08-03 20:21:27.594184	141		0
10868	10nd5ng2ii8kax09wx67kmx561	$2a$07$OaRq4pXLD4iV99r2v7SvX.ZAmbr9Co41.0hz0Q4kzI4WnGhIuDB3O	116	2013-08-03 20:16:35.23663	2013-08-03 20:21:27.770943	141		0
10869	10ivuxut81wwhzx0ug2hibo50x	$2a$07$x3bxd8NGoeZgHG.HlfYokeTxZ5Efgj46lMOtb/rHdXVuUKbOi4LAK	117	2013-08-03 20:16:35.260159	2013-08-03 20:21:27.914128	141		0
10870	10l94k4cd2a23qklhzsl0xkopp	$2a$07$24Vxl/foffVo20zmjArBDuzoKLk6CFOQI/DLlycNdYXt6A1IERf9S	118	2013-08-03 20:16:35.289673	2013-08-03 20:21:28.06057	141		0
10871	10kukgr8zp6qv1rkqpi2e59k4u	$2a$07$.R07u04QQ0lzqtr1NConHeIFYhjCqmal78WrXFm/ZmU0EO.0eukD.	119	2013-08-03 20:16:35.321539	2013-08-03 20:21:28.201762	141		0
10872	10hcxzox61pefr1asp8ua7xf96	$2a$07$ETQdl.x9XkyOzpLlHv.Xz.vnGo/lw.KWW0vJ9Kxz/k4GlCt3G0xeC	120	2013-08-03 20:16:35.344916	2013-08-03 20:21:28.319418	141		0
10873	100tbus703ipf5z8wdv78zbh4l	$2a$07$OvC80FnPbRX2WYO.GG/Je./AavM2nt89TCjmZHcMkhIfzADyYu1Q.	121	2013-08-03 20:16:35.367191	2013-08-03 20:21:28.568269	141		0
10874	10pvw0hfpv88gjcq5cerif1hkb	$2a$07$rHFrzVLhwly5ZpQacXM8WOa4b7gi0t2eXOPXzOuqZtCDtBl2yEJMm	122	2013-08-03 20:16:35.390254	2013-08-03 20:21:28.73339	141		0
10875	10b52rea4crpvlibkp5nvvi0zl	$2a$07$ntlrIXPfghxTjZkkRLSK1.R/oiq7N7TwIgyGUkfMZEFZVrBOTgJLi	123	2013-08-03 20:16:35.412469	2013-08-03 20:21:31.758479	141		0
10876	10sorh8585nnusa62x46kky48t	$2a$07$qK3cMz2WaSOXYDTQc0SXAeO0.BEOghl/yTxo7anLLy/OELw5CEcLC	124	2013-08-03 20:16:35.436873	2013-08-03 20:21:34.742562	141		0
10877	105u3hrp2ctej29lastf9wnmjq	$2a$07$q9dX5iMn5myamQ.KHba/Je6QVsKdE8FFmgqCH/9zJHbMmMZEkVMbu	125	2013-08-03 20:16:35.471034	2013-08-03 20:21:34.937787	141		0
10878	1051ixdblf907wiqhvqro0fy00	$2a$07$5qdTdt3bqZc.Ntm/lYBKte/Yw6lVXR56PApzdtloi8xjNwkpNwL32	126	2013-08-03 20:16:35.50247	2013-08-03 20:21:35.076469	141		0
13837	10dz3cyord2tvb48c84xf7rkr5	$2a$07$EODHGjeWXMQJWcD9rmfqXeEvm4VMp98gx61h9ay70ml9KFkFRhF0a	61	2013-08-03 22:13:36.617568	2013-08-03 22:13:54.546457	165		0
13838	10brkgp38vyf08vr10qjv569u2	$2a$07$5ZEqV0u6UAy79w7tTofrHua.gf.zT/15ibNyHw18ZEgHpawll7LIu	62	2013-08-03 22:13:36.641273	2013-08-03 22:13:57.568107	165		0
13839	10o2aeyhtoh6mp43edyrdsv44o	$2a$07$euhKxdBChQlVdJpFyclIr.u6ALFWaHGXka7L7Z7u79gb8QjSdf34m	63	2013-08-03 22:13:36.664333	2013-08-03 22:14:00.566691	165		0
13840	10oe5pf2cy7nn569ha8rie1uih	$2a$07$MMQFPzadybFAmotdaFuDc.7Beo4LaPprs9qcXJw0fAb440wZ1xQA2	64	2013-08-03 22:13:36.686525	2013-08-03 22:14:01.066956	165		0
13841	10w1smy43b6sevb6xoz7nlgccv	$2a$07$gn8fduwzH4PrZKYFbfLqKuQVPeCkEBzFjhl8mOlXH1a7qg2HhDrS2	65	2013-08-03 22:13:36.709579	2013-08-03 22:14:01.203237	165		0
13842	1010xq6xtq68ctuj36022dczob	$2a$07$xg6AgBEJPpEQeIRBKleUxO9RVHsxvRHY/CMnIdwmkInp8qpll0ZCK	66	2013-08-03 22:13:36.732791	2013-08-03 22:14:02.043435	165		0
13843	10hzpgg14gkq8mgmr26ioy90do	$2a$07$/XzdcnsgxbXN1gn5yhNduOMi5ObGntvlw4G.QRq8NVq0upMVSXpx6	67	2013-08-03 22:13:36.75464	2013-08-03 22:14:02.151457	165		0
13844	105e79xn3javgn56w6dc5gdzr5	$2a$07$8OdTnjrc7irL5Wihk2qwtuHxRKr8lgUtbJgQVpmmsqS/Qxu7h7l.q	68	2013-08-03 22:13:36.778038	2013-08-03 22:14:02.291397	165		0
13845	10tn4lu6j9erpj0bapay4ldt2l	$2a$07$7tJ8yzeiubchHXpISow8ze1RWS7NWrKErqyMeJaBA.DfFQHPCSFTC	69	2013-08-03 22:13:36.801457	2013-08-03 22:14:02.452311	165		0
13846	1094701dh64e2jf4ddnepkvoiu	$2a$07$9WBSG6sHzeyNc23dbT4WHeYsPpC0np8PIO7pXbUh417eeIiimwZB6	70	2013-08-03 22:13:36.825251	2013-08-03 22:14:02.603804	165		0
13847	1056mdxj0lbb457slvna75t245	$2a$07$0aoAd5pmOI29Xff7PO0jjOeMeLJF2TFxl9.clEGohmGh0Tjycjd3i	71	2013-08-03 22:13:36.849023	2013-08-03 22:14:02.752478	165		0
13848	10rorrvw9cz2gtny7hfavfvoc6	$2a$07$bK3d5bgMHZa.Rbq0ul3Bxu9DgaWXgtfY9QbfDF9MGlOith1bbXgme	72	2013-08-03 22:13:36.873145	2013-08-03 22:14:02.875307	165		0
13849	1063cbph2j0jw60g7x6cfy9e5i	$2a$07$iS3.aeVW5b4GlDyAlUhpheH3eKu.GW3DzmtreyuVaRVcEvUyta/gK	73	2013-08-03 22:13:36.89681	2013-08-03 22:14:04.231358	165		0
13850	10pj69fhxtuy0likydwl6iu38t	$2a$07$.r7hU8W.j2hHt/e1L9.1CObi0KN2WCAcwhHsvlmoE5qV0lXh48vQW	74	2013-08-03 22:13:36.9201	2013-08-03 22:14:04.364805	165		0
13851	10op5m7rt279c684uezits8aqu	$2a$07$LRML3GPxAKvmX4iLlqX0he44oVGGhXP0HDfhO/Zbz1b6ozZCQSHXW	75	2013-08-03 22:13:36.943653	2013-08-03 22:14:04.505882	165		0
13852	10cquwqnbtg5huvh0fsp37pay7	$2a$07$jlQBNMZCzYLXvLFZROF2de5rLtZePD71scCglVKHs/XgZkRqboOEK	76	2013-08-03 22:13:36.967268	2013-08-03 22:14:04.770588	165		0
13853	10p88tlwzvfvtsjyusro13fyvx	$2a$07$hMgwGNPRS8Fnq.4pJoVlR.ZcFNj.d24b7BtHwhWkbAf32wXXIocOi	77	2013-08-03 22:13:36.991262	2013-08-03 22:14:04.908033	165		0
13854	10hm53m4m0u9krvyqa5cfggtqb	$2a$07$DOxP281Z9iW1URfubKJJi.XabGxihJYqHh6ZyIgZvaID7kaWKgSoi	78	2013-08-03 22:13:37.015669	2013-08-03 22:14:05.052446	165		0
13855	10g63ck7qzyk6letrjpl39fhu7	$2a$07$fsr38WsnbPa4NEQ5qVdW3eY6YBLZE2W1EdPUYsFAwZNnBimt.2Jye	79	2013-08-03 22:13:37.041215	2013-08-03 22:14:05.202804	165		0
13856	10sis0dss9gk2su1dr3sf0cdhd	$2a$07$OrfgNt.QedEKWeomQnrfheJ6zQjibiD4CfknKlcW4HeHWscYQWBRq	80	2013-08-03 22:13:37.06534	2013-08-03 22:14:05.341111	165		0
13857	10kypbi4tc61lkf39p9blss0ec	$2a$07$tW6IJ0hkkGQ/QKLN697NsO46TrAkxGcX4vdQ3NvBwrj7Tq8wwxb1i	81	2013-08-03 22:13:37.088931	2013-08-03 22:14:05.765898	165		0
13858	10sz6iz2ig0zkwq9xwhdkseihi	$2a$07$BtZjNznC2y8c46ULqJ5wUOvMRDxGqqusHWOQMjghEA51yVU7a8TYW	82	2013-08-03 22:13:37.112119	2013-08-03 22:14:05.90217	165		0
13859	10fvtfyvoxeliis5qv7p913ig3	$2a$07$BVGHjCOXJARoVIPbi9A38.FYQ3dXH7utVfqBnJZlaTf6EyHiqtRsC	83	2013-08-03 22:13:37.135831	2013-08-03 22:14:06.184637	165		0
13860	1019hptq5qndiszua73ox4c13k	$2a$07$kqpNbhYA1qtXx0oo33lJcO9.8bTmmwSZFcq3uTdIQG.qK3kPTpVPq	84	2013-08-03 22:13:37.159453	2013-08-03 22:14:09.034808	165		0
13861	10zcst6e7ng3ff00yn1cmwvxuw	$2a$07$hCMuvBEUaaqP0jIVN/gMNen0Is2tG.VlkP6pGdxqucNzOhj63VL/G	85	2013-08-03 22:13:37.182709	2013-08-03 22:14:09.538802	165		0
13862	1037emxp6ah7jonsfj89fm5p4e	$2a$07$x5OpgCNWURv4drb/wdTN1.ifGmVF9D8Z84lXJr3wU0PttkimOPzDK	86	2013-08-03 22:13:37.205302	2013-08-03 22:14:09.957315	165		0
13863	10qloz4rsyix4enkjjt7g6yst9	$2a$07$7jQtgnV.SUcG1XUvQy9OiuvzlMqyh7rt5NzJlSsgBiHFjPCvEszSi	87	2013-08-03 22:13:37.228523	2013-08-03 22:14:10.113817	165		0
13864	10dhji6aa6ljcefjo0lfrrw5q6	$2a$07$H4UwS2i7t0NTjEUWtisYh.XwTAE4WVoNhcBPGp3WLkxS.DfBxHFqC	88	2013-08-03 22:13:37.250787	2013-08-03 22:14:10.268033	165		0
13865	10ofp7yntmlxijyc3xq82w5v3z	$2a$07$gigwtCwrXlnLyF36jSGFtukx0DSUxHw4FFvst48FA8uohW9wsTbmC	89	2013-08-03 22:13:37.273652	2013-08-03 22:14:11.169916	165		0
13866	10hbh50h36krtxfscgivo4vnq0	$2a$07$v0Hoa9f7ZxvzB.E7AryPAur8FMM3.JYVHHilgwtJGEqzIMs2lmSdG	90	2013-08-03 22:13:37.304001	2013-08-03 22:14:12.016846	165		0
13867	10w9q2t4n6xf1oq2bxgksfrdv4	$2a$07$Vu.ODeRH3ekwtgUbM3GQqeRC.8tCDBBVOfV8AZ1sD.bvMEtRkSOty	91	2013-08-03 22:13:37.337618	2013-08-03 22:14:12.149549	165		0
13868	102je32xyxpi31w887neiukkjx	$2a$07$i5NQ6RfGwWfY107yUWRjOOeBfQvznf9IfWrCmb.7O.o2x58Wz29e6	92	2013-08-03 22:13:37.362091	2013-08-03 22:14:12.286471	165		0
13869	10o1d9sg8ivxrwd5wmgvpf9u3m	$2a$07$pNngM8pZXjWUbUPKYgneKu8nZ0EWwe62Wzq5vbd8lBWJ4VDZm3x62	93	2013-08-03 22:13:37.387009	2013-08-03 22:14:12.42501	165		0
13870	10s9vn1lf9f0u35hqg18q8hygh	$2a$07$yskVW20NWRdH6D4l82hlTuzo8VkWgRdsrrDOZu0x9J24PrnqSRX/.	94	2013-08-03 22:13:37.412494	2013-08-03 22:14:12.596619	165		0
13871	10b8h3ftt9sneix1zbmctqbckw	$2a$07$Rh3CTj7omgatJgvpuRDv3.C7x0BwWZHJBbaKGbuMs0Pd7Nxrbks.K	95	2013-08-03 22:13:37.43667	2013-08-03 22:14:12.707188	165		0
13872	10dua54jaygke2bwe2fo3hm2my	$2a$07$Ev0oLFtzFWY.N2oHGZscp.hmLIbBRlwBQFwbKBUV8kKtQHGCVNE0O	96	2013-08-03 22:13:37.460805	2013-08-03 22:14:12.824548	165		0
13873	10fq676htudbnmir64gwz2zi5v	$2a$07$ybrLbxN18aLkahuxArhERO2HVjfdQyeOrY6ai94ld1xv9Mtp7jcoG	97	2013-08-03 22:13:37.493813	2013-08-03 22:14:12.960272	165		0
13874	10g8ay8z3tmirgjq95szf9f8wp	$2a$07$qOfRDOwrj/AdtjiGJ7HKfe2BVqkqD3CxjtFHmlKJ.s8xLPCDCnfSm	98	2013-08-03 22:13:37.529904	2013-08-03 22:14:13.103294	165		0
13875	10rgu228t22az1tixpwhh9b3h0	$2a$07$bbOEtpcgtU7JktNlbx9OiOj72fmquVhurMSbsac2vBLSfeeKnom9S	99	2013-08-03 22:13:37.559009	2013-08-03 22:14:13.269002	165		0
13876	10ujb13j86stp9q7yykk6yrz79	$2a$07$JdnxfiOHRgJAX2R.ci939OKAcMD8yH.QFyuYQKL/HE.O5AtdIxgRy	100	2013-08-03 22:13:37.589999	2013-08-03 22:14:13.392552	165		0
13877	10wvlxlrguksyw46rzh8j4z89t	$2a$07$tTmQRoH85eRyWwMYoG2WCuZHa7GpvsSu2KzWNbdim8NKiOtksjUqC	101	2013-08-03 22:13:37.621292	2013-08-03 22:14:13.53827	165		0
13878	10bjywoy6ehpn66li4wpclqh71	$2a$07$12xJe1gVdHRO8vUlaF6YK.7Xwi0Gg8gQ/SKZq/G0RWzc4t9wT7NTC	102	2013-08-03 22:13:37.653854	2013-08-03 22:14:13.667567	165		0
13879	10wzn3ty2bx7kgafjh0lelybyd	$2a$07$JLn6KbbgnkVm1yzY9tdN4.CK.0ph9t1CRJHEQ2o/WeOeENjvPJL5.	103	2013-08-03 22:13:37.682302	2013-08-03 22:14:14.042151	165		0
13880	10r0u3w91ljk4re83b14gx7ob9	$2a$07$0NYgFK0NxAFsolIPxaOaneC0mXhjlB1v3f4SwH.QjfnOT3MUZRwSS	104	2013-08-03 22:13:37.706281	2013-08-03 22:14:14.360856	165		0
13881	10kgos4cmxjct2r7fyiuakbkzw	$2a$07$avodVkFkO1FzIkY8ow78wOp1pG.FXdZYCkQzw8I/OWKsMPa5M7i9S	105	2013-08-03 22:13:37.730456	2013-08-03 22:14:14.500367	165		0
13882	108frz8wy449odyz80ds9ftnsj	$2a$07$Q4CDxu.ZXDZUGJhTK86Sa.suKiSYtBhAFKA6oixWWaeP70XO50sQi	106	2013-08-03 22:13:37.753626	2013-08-03 22:14:14.634759	165		0
13883	102k4kww46l77th524ydh1zgy8	$2a$07$YWK6Pi.YlKtrSIGtN9fyoOqkdOt6h./G6AfZtbe8vmC/iA58TGE5m	107	2013-08-03 22:13:37.776854	2013-08-03 22:14:14.772438	165		0
13884	10tylidb6c6v8albj0vxhdgfj7	$2a$07$YJ81FPka8SmlITUk9PkiVO1zomDCWk/HtSTOgOXWS7fW.NgTuhGvu	108	2013-08-03 22:13:37.800337	2013-08-03 22:14:14.906739	165		0
13885	102t21xfl8n3uf8wbbtfbatibk	$2a$07$2DSax8wbYMBV2RcwR9jLEuXFWGLYw5WNWxsu9yc0bLefZEQdhjr3C	109	2013-08-03 22:13:37.82361	2013-08-03 22:14:15.0369	165		0
13886	10tmsr7u4dkkqmaopv4t5s7d5t	$2a$07$ggC6cfrlyJEaVMTWFC2Ip.w5Srd2P.6KXr9.tgSl3sLXI5CO1qmUe	110	2013-08-03 22:13:37.850569	2013-08-03 22:14:15.210197	165		0
13887	1089664mel1aobwvs8l002syqu	$2a$07$FVRnunkryCj57vdj94Ae5.dboXILAk0Zz5edZLcu0cTIqC0j9vNXa	111	2013-08-03 22:13:37.88061	2013-08-03 22:14:15.339534	165		0
13888	10as6qpzwkaj7fc591vgu9nxpl	$2a$07$K/HMkHYt3CbcP0tZEusbfetigzaKcJa6atha6QIE/GOKYWD/f61rC	112	2013-08-03 22:13:37.902444	2013-08-03 22:14:15.47387	165		0
13889	1062d7ew27f9anwhcrpj3x1ucq	$2a$07$eKeT85dFJkEK66ScFNHF2OqBk9vVE6GLhihNWWQlvfKAxLBiyxzE6	113	2013-08-03 22:13:37.926204	2013-08-03 22:14:15.586306	165		0
13890	10293tqmj5sa8k7f7ggb0wi2v2	$2a$07$6CohvlyWNVgO6HzwA5sUy.zF0GfU5cA9uaxrkekTzqczZNPLFZANW	114	2013-08-03 22:13:37.949664	2013-08-03 22:14:15.729577	165		0
13891	10x6msnjksa80mvx8a0jx8yhnb	$2a$07$tQxldp.sClwaMTBtrYUC6emXevGCQQJRsx1Big5kSH.20tpGCfgt2	115	2013-08-03 22:13:37.972237	2013-08-03 22:14:15.891432	165		0
13892	10qqdx0vujmueiop15luvphi22	$2a$07$ni5vwLbPNxWygl2ayHUjHey1U.EUFMQVJyCgLtWXptjQjkDdqeDZG	116	2013-08-03 22:13:37.995575	2013-08-03 22:14:16.052579	165		0
13893	108xrzmtq1uhtjmbdpqw41ldg9	$2a$07$Ep9s8llQGWRl2sXzgiCCY.vhEhkvC5Q/JItDBYDI3mhE4WQDO8iCK	117	2013-08-03 22:13:38.022379	2013-08-03 22:14:16.21265	165		0
13894	10ujdf1hrz3aw315d30cp53pjo	$2a$07$DY1VXO4pMFuLW/3srcIPEeK1NPD8/1RCzFedgrlXRmvT0yejYpF2.	118	2013-08-03 22:13:38.052442	2013-08-03 22:14:16.353414	165		0
13895	10q1z2uh9swlhh38y9m0pzd4e6	$2a$07$t35GGVI/3afU1s6FLIg5X.1hNfvvx/UgZfUeqiZMWI2WULAKuKY7y	119	2013-08-03 22:13:38.080592	2013-08-03 22:14:16.486566	165		0
13896	10o0cla1uwqgrcrk3drnnwuevf	$2a$07$I7JHNjDyE5uqNRKO2mqIa.KelIqXiO16zYGpxNoMqiebPU5fYmHKq	120	2013-08-03 22:13:38.10371	2013-08-03 22:14:16.636821	165		0
13897	10jwen65vu8z10ds9wmenjb2go	$2a$07$cqyU2Ng6ychKwnLI1E1QIe2dXbVDRvdSxiGqbC48hvmmYn8AIgv42	121	2013-08-03 22:13:38.126384	2013-08-03 22:14:17.053538	165		0
13898	10lcmobb8sr5txeng12vly12qb	$2a$07$3s6ihGYqTU1lV1UQILpRY.15ni0juixrV29pxUS.1lWweP1W0d0ga	122	2013-08-03 22:13:38.14934	2013-08-03 22:14:17.378955	165		0
13899	10iqk6jcvuizz1hyoucbrbr7bj	$2a$07$/Or4IGIp/vqpIwOOWipKfeSWD72CkVtuYMxjHB6bE3.U3xYO7ZkxG	123	2013-08-03 22:13:38.173355	2013-08-03 22:14:20.155692	165		0
13900	10d78gmhtujdwhbjhmkvh0ts3e	$2a$07$wSO0YJPjERTH2ZKwKX5DUuTTpDzjE4EKDBwvcl0Ktuj7i64rzQmIa	124	2013-08-03 22:13:38.196476	2013-08-03 22:14:23.24804	165		0
13901	10rbfngair6kx99texug3v93dh	$2a$07$3EtFZb6u1qbmCZLkfWVj4.kOqqlV3baix73gB9YIXHKzjcAirKM4q	125	2013-08-03 22:13:38.220201	2013-08-03 22:14:23.679586	165		0
13902	1026ieir08qc6ipzp911pzqn58	$2a$07$pGuA2edTspMMkvI37hb1keLDxb7.FmhEUyzbfkJhC5RsmG5RSe6Pq	126	2013-08-03 22:13:38.244059	2013-08-03 22:14:24.033801	165		0
16675	102ly88w24zzhelcgb01mk5bfw	$2a$07$sEDRWkC4QWBuDqyuovJn0.JtvhU.m2nMIEUahdZKCml8T7KzNRZsu	1	2013-08-04 00:09:48.028438	2013-08-04 00:09:51.273676	188		0
16676	1015p49ukqjagonn6si2cnkx80	$2a$07$1PeYkrYv6qnsNQWYxtTfSO6RvgLSBqjmBfIn5gYtPCZCXcBq1IB96	2	2013-08-04 00:09:48.052485	2013-08-04 00:09:51.41884	188		0
16677	10badaynm0jzbq1b3tz7bvyge5	$2a$07$8VVYn5W6xmmC/XAZIxWyD.pQxLF0iaIwxa1.5Gl1tlcG2VhjkpvgG	3	2013-08-04 00:09:48.076142	2013-08-04 00:09:51.552548	188		0
16678	10r5fy91ilwbrhixtfpao45zb5	$2a$07$oG.xF/M.pWpliOGKOJOIVeIO38bLd2bjcVctmzjaJbhH0puCPMdGm	4	2013-08-04 00:09:48.100777	2013-08-04 00:09:51.687944	188		0
16679	105676kjn5dqsy1z319mjn30zz	$2a$07$KInNzOen5AFOgQMD5TSWzeD8mAOqB8asDKdTPIU9XWxudwfu97VsC	5	2013-08-04 00:09:48.126959	2013-08-04 00:09:51.82324	188		0
16680	10jppzcy9s718va7encl72i11z	$2a$07$l3YhnhpXASbHMCGzE9ZwsOZPwPoOF2ywkezl.j2.caaeRMxc7OVjW	6	2013-08-04 00:09:48.152164	2013-08-04 00:09:51.933433	188		0
16681	10hw5qzlia2pocw684bwquta13	$2a$07$k8HTE9xwQAuEUzPE5n6la.uzN.6Xl95LjLOUy4q4Q3aOJNMPuzHkG	7	2013-08-04 00:09:48.177533	2013-08-04 00:09:52.825363	188		0
16682	10a6lqqxsvmai5h3vucawu7ige	$2a$07$OdwN0i3DdvbW.7LMJKixy.fp5dDwEVSC6RMTl./lXvDrJORHgcDru	8	2013-08-04 00:09:48.199824	2013-08-04 00:09:53.764953	188		0
16683	10xmg7zfyopm8f96b7njwah81x	$2a$07$z308CySRTRI/TZ2PRW3T1.4RlDjgRGNbYESJwh2PaUG7tjsPwptQ2	9	2013-08-04 00:09:48.236817	2013-08-04 00:09:54.702091	188		0
16684	102ys3rd3mqze6yx350vj8jp4g	$2a$07$FSooEYrB1QGuPeROLSGgP.ivaKZdslLn/hmT6eHITve/JYWGTbNSC	10	2013-08-04 00:09:48.262789	2013-08-04 00:09:54.829853	188		0
16685	10vxdji7b81mtg6kqyodbyezch	$2a$07$4/uun6p49syyXGBJYQgCUOxVe76RtqtMOIJKAX2tntcBnBjP2Uy6O	11	2013-08-04 00:09:48.298653	2013-08-04 00:09:54.953657	188		0
16686	101sev74md4v7gpd53cd8bhjik	$2a$07$nDSEw8Vxum937sy..jOOFuxGi2IIQB0nzlBTHPeKAWFmTEVfrlAua	12	2013-08-04 00:09:48.339342	2013-08-04 00:09:55.070405	188		0
16687	10who7511myupz9f1fnpwt9itf	$2a$07$CI1PQMHSkpgC4Inf5oNAmuTOEWOhtP74m3KC1Tq3TcB47ARPPNM3.	13	2013-08-04 00:09:48.370944	2013-08-04 00:09:55.205015	188		0
16688	10z9g5rndyty92b7gw2hd5aa5a	$2a$07$QLjXTVLi.x8ATTeLcLAGpeL8.Dqc.RmJNhw4L/ivO/PtszOqo4.je	14	2013-08-04 00:09:48.394682	2013-08-04 00:09:55.356595	188		0
16689	10bhfrgyrbbsteq6nxyklu6sm7	$2a$07$Fyy820o4NMAk0cYRSs0kReqty3.iRLu.hgHCRg/RTZggDDdRtb4.m	15	2013-08-04 00:09:48.419637	2013-08-04 00:09:55.508679	188		0
16690	10f3xfhqowefplimv6k71rp2uz	$2a$07$.Y0LWFYK.YladU62vTkdQ.VYyHizKk/82jowpLczdyAqstlM1gmLe	16	2013-08-04 00:09:48.443553	2013-08-04 00:09:55.641672	188		0
16691	10jh8a1x7trz1yvo8c9a5quj30	$2a$07$FiidwML5zlj/ufKiI.lZ5e1ssPMoyLV.KqQFfbNxmevSnHdfXJw76	17	2013-08-04 00:09:48.466929	2013-08-04 00:09:55.793311	188		0
16692	104o4hzskbaac9b68pf7awybs5	$2a$07$B5QqgrNn5mO8u9Vd.vaZm.hACM3aheYX0LuDtM6cJzK56m/ywnT0u	18	2013-08-04 00:09:48.489601	2013-08-04 00:09:55.933112	188		0
16693	107w04f24296w0m364exld1q7g	$2a$07$iikrOKmG5N6N/vIZZ/EVd.exygfeLcKXWkW72fgSkURgY4K1HOZuy	19	2013-08-04 00:09:48.512198	2013-08-04 00:09:56.066432	188		0
16694	10bo91e6jnp9oiqb7w0ixi9ukp	$2a$07$eSSuZaCXqEAbXC8fnK8mhORpruuujz9d2PJy843fG5neXtrL7Rcfu	20	2013-08-04 00:09:48.535586	2013-08-04 00:09:56.217132	188		0
16695	10whj82ip1apfjp3h3f4in28cl	$2a$07$EjZJmzDng7y4Tzh0mr2peOFmZF6BTfbQSEohvvAw5bKP6VLjlxKRW	21	2013-08-04 00:09:48.558186	2013-08-04 00:09:56.361349	188		0
16696	10tcoqxsdx1c3jjqu0j68zt0gc	$2a$07$JsKdOreIDvK57sAckh6oduWUUPkRz3FKNvm/jJqzT9EwKHk.Mikky	22	2013-08-04 00:09:48.582132	2013-08-04 00:09:56.502328	188		0
16697	10v38yhkt8jastjoxkx9vmspoy	$2a$07$frp3Y4GjnAvNdVVd.fBnCO70KWeZu49PuwSrSqteNWavIZ9yeRzaS	23	2013-08-04 00:09:48.605788	2013-08-04 00:09:56.627793	188		0
16698	10m2z49qig2c3e6tr5nibm9fcl	$2a$07$a71ldCA9aOUn7zMj5qstUeNP374zbWS9WAy3XyNMdtEyo7Wm/OWTC	24	2013-08-04 00:09:48.629483	2013-08-04 00:09:56.733782	188		0
16699	10aned7acu1lzd8yxlfxxd9ate	$2a$07$EG9aPkljpCQByRfhft8dVO4whZyc/qsXrFN2ib65sTaPRYHSCkz7a	25	2013-08-04 00:09:48.65195	2013-08-04 00:09:56.844132	188		0
16700	10tn0jt6khstoqlgpqofjgaemy	$2a$07$3msBRwRoqmVjW7u0MaGgt.EWZomdvmTwQbMg11V6Vasinl0FjcrE6	26	2013-08-04 00:09:48.675438	2013-08-04 00:09:56.935931	188		0
16701	10m7alsmmtukei8powcoul36xx	$2a$07$eCjsupF0RKX.HwWPN9gXEOXxP/Y2SCzrfVHpnUNC5KJlgKRd69GaC	27	2013-08-04 00:09:48.698119	2013-08-04 00:09:57.03674	188		0
16702	109hhkqs222yvzyzwsyjgpigyv	$2a$07$rAeL88ZY4GRBHCjz9QfcVOy/GYEQFdzMvJp9lZ1MlTxIKL.gN2FDy	28	2013-08-04 00:09:48.721617	2013-08-04 00:09:57.363872	188		0
16703	104wgxrgrp66y7ajm3z1uufapg	$2a$07$qfqvdHDx8BMDjvsRb9sop.SVY0SbbJI4xyWIiDfaBiEu7JaGg2MIG	29	2013-08-04 00:09:48.743892	2013-08-04 00:09:57.721329	188		0
16704	1019oye8n7mhglvib507vyupbk	$2a$07$GZFzk5/HSwnw.zvuMXv0WuYnTv8ugUrcJAo2dEJOL9.LTwQG//Nmi	30	2013-08-04 00:09:48.767327	2013-08-04 00:09:58.151794	188		0
16705	10834e4m2wboh0d6pjadecbmof	$2a$07$SLreIjS1zXw8WFoD8fOwSuUK12e.3diyYGiyp1XTogrS6VsVWMnl.	31	2013-08-04 00:09:48.790776	2013-08-04 00:09:58.274822	188		0
16706	10d4mc3mcvno9ioqddzqe2v5j9	$2a$07$kQE77kLNEi30RO35MI3ODugF.nbQeiJdd3/lOmA6T0lbx12aKHhP6	32	2013-08-04 00:09:48.813768	2013-08-04 00:09:58.399109	188		0
16707	10wfba3qa9eb6bt0usbbqj618i	$2a$07$/Bw1lu4e2lkvpBf5PhEdp.b6KLp52Taf7S/1oYs/pVHGSQ9g2pIb6	33	2013-08-04 00:09:48.83624	2013-08-04 00:09:58.52622	188		0
16708	10bcy2kt5gf05gqz5fzsxvw3nw	$2a$07$W5MwEZ9qqZPhXuIwUxsrHuQRcnbI8rMIEOhNIkRswmO9LNAyfosfW	34	2013-08-04 00:09:48.859326	2013-08-04 00:09:58.667108	188		0
16709	108ew8kd9wz2txtmgceweiy601	$2a$07$HGYF0tBC8IYvsKNkwNR62OaN3ThXIHMIX8sdO3Bbi2llKEeuF8FNS	35	2013-08-04 00:09:48.882004	2013-08-04 00:09:58.793094	188		0
16710	108neogfilavzcx2opw5w8xvts	$2a$07$3m1KeMZ5wlSBHRXeLZhJgeI5J5LFNzcOHeEjP0gYNV8O4rnJz3aT6	36	2013-08-04 00:09:48.904988	2013-08-04 00:09:58.941047	188		0
16711	10of9693ko86b55mhfi2yvxh3a	$2a$07$HVqENa0nldkShH2A9gxbXOYoBHJM4Z.O6XQ/NYfohoipyzU3EklZe	37	2013-08-04 00:09:48.92804	2013-08-04 00:09:59.2661	188		0
16712	10d2b45i305nyfgz49m5cves7e	$2a$07$EOx788/WcNht6rJgDfEOBO1gaMJM..aW9cOHvFj2QzGdIUjePScBW	38	2013-08-04 00:09:48.951876	2013-08-04 00:09:59.498702	188		0
16713	10zpxqgw0xgxy40o4avnrgjypr	$2a$07$NjyjMe3pXtuqKSMPbNaYiO68Ub5vW6QCRfBLEPjMQnVA2GpTjJ0CS	39	2013-08-04 00:09:48.975234	2013-08-04 00:09:59.623994	188		0
16714	106l8j54dimds0j25w9nb5sm8m	$2a$07$jI3PDP6K5p6IamG7Gna8t.B/LYa/hN76NAfAEUiwjsfPOGIZkgct2	40	2013-08-04 00:09:48.997785	2013-08-04 00:09:59.759392	188		0
16715	105miusbton12yyiuslozl4dlx	$2a$07$L01SIH/3HGpZSXVNcvZhpeibXJctDDFHZWpGl.OfJtm.5EVSdlumq	41	2013-08-04 00:09:49.02111	2013-08-04 00:09:59.903373	188		0
16716	10wkuko22ikzyqqz1q68sco72n	$2a$07$ohmM8e4sdL4OOXEN0bgPo.VXnGqX2LEnP5Xedksn00/6.OHTEg8YG	42	2013-08-04 00:09:49.043414	2013-08-04 00:10:00.023738	188		0
16717	10kfkh6ukk5rg1wv2iubelth8z	$2a$07$LOr4Fj5Z2Skg883hsBwbYOFbMaETxM4OQbLjBHJDjwgKOAxLar6ay	43	2013-08-04 00:09:49.066693	2013-08-04 00:10:01.037424	188		0
16718	10mddhb6vuendbitelrqa5w5fx	$2a$07$H7.gAqBMMVyMZXofc0NM3O7L9u2revUSaKsD9MrNyYrMiC2uHKXf6	44	2013-08-04 00:09:49.090079	2013-08-04 00:10:02.026488	188		0
16719	10zesi0e6tw9jn3zd9omelihs8	$2a$07$icpwlye42s4N.bbP9xBsRe3ANYlXqt03Hcd0WgNMgpp799nkEg63e	45	2013-08-04 00:09:49.115028	2013-08-04 00:10:03.047155	188		0
16720	10slfrzpq8h458r5hjgdzisn76	$2a$07$0y5s1yL.3kxO8z8xXRipeezSI1B/q17Z5hYm2meLRZfo3.42IDugK	46	2013-08-04 00:09:49.138427	2013-08-04 00:10:03.170205	188		0
16721	103ldj8x043y6w9jkb484rhbsv	$2a$07$rFttf8TTLm0xgqgil/YCLenpMJcDshYZCSd.kuI/.qyQRpVNV0Gyi	47	2013-08-04 00:09:49.160929	2013-08-04 00:10:03.305596	188		0
16722	10dtr6qpryuu4h6srq0futfwb9	$2a$07$S7aVD8/Oai/54eoX743INu6mPxXvG42a48oxXJZCzlxuRzgW4cKia	48	2013-08-04 00:09:49.18385	2013-08-04 00:10:03.437242	188		0
16723	10ku8eyt15m8kovi04ffajz199	$2a$07$0b0YvwJLawcXi6i5JMKJP.t//ivfi5em.ryOeXIyWOYkAGOppjpGq	49	2013-08-04 00:09:49.206104	2013-08-04 00:10:03.572325	188		0
16724	10a41z3cgi26k8a2soljt0y9kc	$2a$07$.Z2NzEkUI7sZ7PXxjp4tRudkJPWpd2PX0YgcO.lOqeDN6sYy3N7IS	50	2013-08-04 00:09:49.229602	2013-08-04 00:10:03.70938	188		0
16725	10ubmsx7a5c6fakp38okz1jjz5	$2a$07$qZXzZehPcCq6Wnkc183.VucSTWQqKotb8n.JSTIju1Foi5wvkrh7K	51	2013-08-04 00:09:49.264973	2013-08-04 00:10:03.82764	188		0
16726	104efldlwrcwkhqx0mptbrgu70	$2a$07$xBbJkgJZ4dRQ3UiLd10rgOE7JgaoRtO2Vgjfu.LyVNRVjPAxB.x8K	52	2013-08-04 00:09:49.288233	2013-08-04 00:10:04.335421	188		0
16727	10u8is56v03xy5uo8vaif2wqg3	$2a$07$.kzoPW0G9vhURGd5N/dcDucAIZWjjSUj2XBhibOK.RaTRmAOLbHzC	53	2013-08-04 00:09:49.310653	2013-08-04 00:10:04.726328	188		0
16728	10a9tmgkkp7b67qcefvuey3cfn	$2a$07$FaqsiB3fxmBSWf8JUnXY3eGqX3YRz7QrELudxQnRl5Nly4cZvjxrK	54	2013-08-04 00:09:49.334335	2013-08-04 00:10:05.055632	188		0
16729	108lpb538r7ta7w4n9nzxe1csh	$2a$07$zxZZ5WZ9f7OzUdbCePpOMuKiiIjwLGGSSVtlxWd9qTCHsZfghQDXm	55	2013-08-04 00:09:49.35655	2013-08-04 00:10:05.15791	188		0
16730	1068cft72vjmj8dxodwkwc62dn	$2a$07$4/.DZyfXNiE7ZNJDEE411Oo0ziiCqO6GC.qbDcEwUT.JXd/dkl1dG	56	2013-08-04 00:09:49.380163	2013-08-04 00:10:05.259624	188		0
16731	10fevejm0rq0rmahmyydx3i3n6	$2a$07$dHmZkg/JrYgBJVXpMMixoeB7lS5JUqzH0nsYwZlVNJG3SlU/E8tfO	57	2013-08-04 00:09:49.404484	2013-08-04 00:10:05.363611	188		0
16732	10o9ndm33ks5mfypirqzr53vne	$2a$07$q5zPPuA9xJTcO3lRjTazTOy.HnGCD.25XAs/1hg.Uylx2Y4cGwBh6	58	2013-08-04 00:09:49.429622	2013-08-04 00:10:05.484486	188		0
16733	10fb4ulm5ov38e72jeiog2bdl5	$2a$07$wnADkae9bXYEv/HeCMusDOztiV1tV0Cfob5n9LUM7ESmZM2LBZddC	59	2013-08-04 00:09:49.454113	2013-08-04 00:10:05.634414	188		0
16734	10fbigexcsytiucgvk9ciog4mo	$2a$07$x1eewwMwxaA9WN5C9hZ2AOwjjgeKqjo0mu89/phXnLxKIOWRXQx/a	60	2013-08-04 00:09:49.478308	2013-08-04 00:10:05.790594	188		0
10879	10hk8d7w9295141fnm19lb21tz	$2a$07$RX3v5Dw2Akk3l6kyjU4/KO9Ge.jYCrDl9.imoXvpSjTCcT1whGB7i	1	2013-08-03 20:21:38.717316	2013-08-03 20:21:42.447273	142		0
10880	10s7nwnzrp45113gxkogmp8q42	$2a$07$kIzApi1b6E1NOJP.Ci67wuzXdLYmNtzc..j2EdJzaSWL3wxRJMVTm	2	2013-08-03 20:21:38.742416	2013-08-03 20:21:42.785762	142		0
10881	105ow1tkumv5pmbmpvnl9uspz0	$2a$07$XhH0rZG.yFEnUg.uKflPJe.CXXcPkQiwLncM6hz7NHPWWMrYu7KZm	3	2013-08-03 20:21:38.765856	2013-08-03 20:21:43.135469	142		0
10882	1086mw379o4cuawmybqem1067o	$2a$07$1mbREAkXsWhEDiP/HPmeEe30qC6w26an9x3VGtIzQT8FH2SZnxzYq	4	2013-08-03 20:21:38.788941	2013-08-03 20:21:43.301752	142		0
10883	1005mfsvgr50wzlzmq6d6m8oaj	$2a$07$bbDCtZl8DH0oG9xaSH3/a.HlRlvM4qNkItXH6S1gN1sNqS9tg/QkK	5	2013-08-03 20:21:38.811542	2013-08-03 20:21:43.451913	142		0
10884	10sppfo0eqm5bn2g9dz0cgmr68	$2a$07$I6fAQZuUpYvlER8OlpLXluznkCk0g7TRgaDzPYmpwu19MQGCoe1DK	6	2013-08-03 20:21:38.848876	2013-08-03 20:21:43.58188	142		0
10885	10wmxjg5acrl54c91vrvinnz3p	$2a$07$63MZ8iTBYV3q8wTOCPQP7.fxSyTHUUnnrQszsd.e2NC.g1emvQfHS	7	2013-08-03 20:21:38.884826	2013-08-03 20:21:45.704599	142		0
10886	10e1j06js7dk2a09cd3uykfdoy	$2a$07$L/jfxVVCaYftTFFXvX67Jeej0ELOFCoTFbSgkNt6uO6gQGEqWHFGy	8	2013-08-03 20:21:38.909258	2013-08-03 20:21:47.780311	142		0
10887	10x8et0johz35ktv1dhje78gl3	$2a$07$XUo8kp4FOyyZaIkXL8hjBOKcPBoNVhQ76zASCEZ97GOeqaQ7M/CqW	9	2013-08-03 20:21:38.939514	2013-08-03 20:21:49.87928	142		0
10888	10i026joszpzs7cab03qzzyjay	$2a$07$yZZl9ja5x3ffhdQwOIJZ5uvAeWJqWYmJ5rP/pU8sttRHHSxPuN2V.	10	2013-08-03 20:21:38.963357	2013-08-03 20:21:49.985906	142		0
10889	10q23zv7e6dyccaj7ejh42am93	$2a$07$t3RHuXWmTy37CQuw5DzuIOhvXdZaT8cGSrmL0NAMY.sc3dwcwdo8W	11	2013-08-03 20:21:38.99876	2013-08-03 20:21:50.109822	142		0
10890	10vf63kfbksj91lao80irqymg8	$2a$07$ubkCpjLbW2D361GDhL.YWOJlcbWgtRQn3.HwXSVBW4dm.hS71/rCO	12	2013-08-03 20:21:39.029732	2013-08-03 20:21:50.230975	142		0
10891	106rgvw2zplklzdmszs1xky6jc	$2a$07$PB7LVfggXkfov4.bqgljOuz4RW0.5fED7KyGhJIQMvqTKoRgMQypq	13	2013-08-03 20:21:39.051817	2013-08-03 20:21:50.371302	142		0
10892	108ua368j3gwodig5ekmc0d4k5	$2a$07$ijxgtkVbdAYBvxCoM1bvS.QX19ZD12LhF7apY5sqi.8E9AJYRQ9Nm	14	2013-08-03 20:21:39.079674	2013-08-03 20:21:50.502658	142		0
10893	10nizx6nf9o4zsfohijbqj39ed	$2a$07$uEPdUdM2StNEiU68jDOkZucXinxvJv0e0F/yGGpJAwwXnNfFiP1ya	15	2013-08-03 20:21:39.105335	2013-08-03 20:21:50.630024	142		0
10894	10ptzwodf6wgficuygksd9gnwp	$2a$07$Wq.cfovhgUJY3cLAHkWoYeJOR9JNsO1P4NC2zpEnYhEnwNyQavKUi	16	2013-08-03 20:21:39.142019	2013-08-03 20:21:50.754775	142		0
10895	10vad81cvr9vru89c37uj97b5i	$2a$07$qrwhA/j206A8DxS0uyVr4uTt.jiZBcVyDiKxv22gIZVwKz/UpBgDa	17	2013-08-03 20:21:39.166883	2013-08-03 20:21:50.871947	142		0
10896	1004hlj0palo84jt9oyt1uiosb	$2a$07$K9OJuczUBxdm89LMXFZ53OyivuIDvaO.nSFB2EERMKsHk082t.3HW	18	2013-08-03 20:21:39.202651	2013-08-03 20:21:50.991229	142		0
10897	106cdqmrksgwepoa0xy6914y0m	$2a$07$3wlnJz0yQpywP/0UtUimBe3WkbyA2HorskDeDQoMbSFkGH6eUij6q	19	2013-08-03 20:21:39.234283	2013-08-03 20:21:51.099924	142		0
10898	10jw0zlwy00w0yrjt9qo4rnkm5	$2a$07$rNinMAC5MSRrE4k741TeYuuQ0RzMtOA9DCwKYnprcFJbR86ZjAa1y	20	2013-08-03 20:21:39.259219	2013-08-03 20:21:51.213722	142		0
10899	10lxowthzsspy20vvd9ylalzej	$2a$07$CAUXjfB6CNPhF17xTFUq2ekrYPgGNrdzns0lX6ERFS3mJ9Ip6/ik6	21	2013-08-03 20:21:39.283604	2013-08-03 20:21:51.333214	142		0
10900	10dtl2h9c63hh2nq17r84orn3d	$2a$07$KfW.ou.5xIXpSnZiCBstiOhkb6xMh.YBVAssz91zi15x.NKDd4QVO	22	2013-08-03 20:21:39.318582	2013-08-03 20:21:51.470379	142		0
10901	10tz3hxpjlt7f5yho3itevq8yr	$2a$07$MqkFtzIWOgQ.txDMKvFjruqmU3DmgrUbA7iLofR36My6.o5C88cIS	23	2013-08-03 20:21:39.357259	2013-08-03 20:21:51.61212	142		0
10902	10jawv0t822t9b05w73cxaaj4z	$2a$07$baOt5tuoNzaxkjZSdFmVmeuFEsJyP8JdjzuympnN4gkdzDWwm2NYC	24	2013-08-03 20:21:39.386307	2013-08-03 20:21:51.730787	142		0
10903	10uxfe97qx9d6xxiwezwi40rqa	$2a$07$gvpCsCpmJ2WSl4HIRSteju1IGDYauSp0YP5hY8ZnbOwF33wsyXdX6	25	2013-08-03 20:21:39.408181	2013-08-03 20:21:51.863287	142		0
10904	10242trdbj3nugq6cs5i4j963r	$2a$07$q9fee3PojwA5s8Lq41rOI..Ud55Hiv33h2nVaFIUxF80rSt0SsyGC	26	2013-08-03 20:21:39.430962	2013-08-03 20:21:51.990785	142		0
10905	10f1iawg9ednz55xnyn5cigquz	$2a$07$84iUslwd3j.8G8ahswbpve2mq0GFB0fMI/CKuruzNzPzNE/8swyAe	27	2013-08-03 20:21:39.453917	2013-08-03 20:21:52.097237	142		0
10906	103187l9escsppic8gdjnn5qjg	$2a$07$ecL739hVJYSdaBWB7HXXAOOzyPbzmBXoZ8pHyCIuU7juDeZS0CJXm	28	2013-08-03 20:21:39.477019	2013-08-03 20:21:52.209649	142		0
10907	10z4fr7m6n2bsn025pthu24i8y	$2a$07$jmSOMAeITgNkBV0jfibdOuFGrD0z.sIuUZhBiJl6GXiKy8Oft7nHu	29	2013-08-03 20:21:39.510705	2013-08-03 20:21:52.359957	142		0
10908	10v9q85df9prdtcgk7yhpz0op3	$2a$07$h9mRgjcvWVRh8d64lN7aIOejiWUaUHxcENCQjR2znqDIxiuoWNRSe	30	2013-08-03 20:21:39.54609	2013-08-03 20:21:52.518505	142		0
10909	105c5v7ma0so0c6yiya1v5ewk3	$2a$07$nd5FZOM38wAk8MPe6i8TVOf/3dZP7Ri0V2B79.jnEs43YrKl3Loh2	31	2013-08-03 20:21:39.569594	2013-08-03 20:21:52.635328	142		0
10910	10afa2q5k2chpr15vz7n54ev05	$2a$07$JX8fzGgtygRyoFQZLguqneJg/U65pX/9d7iTrB0HNHSOamsPUBbW6	32	2013-08-03 20:21:39.592937	2013-08-03 20:21:52.749054	142		0
10911	10kb3n3dfo8ajhv4c9cc4s5vzf	$2a$07$NcNIh7N9mjDy0rJXHkrPqOB5a7I3o6ZuFbIlJppjmq7IsOA/QKGX6	33	2013-08-03 20:21:39.621551	2013-08-03 20:21:52.880171	142		0
10912	10vugc7j32fqf9igpd7j15j79c	$2a$07$2vw.8plQNrpFFRUKmlLH5eSbK9v1sMrwG.TWAHjP8qUx6s5BKisUa	34	2013-08-03 20:21:39.646679	2013-08-03 20:21:53.013072	142		0
10913	10feae242nilihpv49cmeshvng	$2a$07$XX.Fw9Jt3lHTa/0p77uMvetBirsBzTOpuhiCtnCM.89c9MHggak9i	35	2013-08-03 20:21:39.671157	2013-08-03 20:21:53.15288	142		0
10914	10pvineoh1pjjzkyrwug9l0rwz	$2a$07$JRJ2Y7.Zx2gtgF/MXK0qZeRzsy/7fRgEtyh2c9fIX5/61d.Had7v.	36	2013-08-03 20:21:39.693929	2013-08-03 20:21:53.268337	142		0
10915	10gwoeecix2nf3pxsn5etnsm4b	$2a$07$h1lNtCLbc54DjldjVW8ZP.9hPNO7wWDH/1p.J4cuMgf.vtDsW1iEm	37	2013-08-03 20:21:39.721823	2013-08-03 20:21:53.382585	142		0
10916	10x5m0dwqjdl18v3phywle3awt	$2a$07$aNei9pwSWItiVa17QnN6SevFw6X7tClBWLyiTAbAmgFYsZFvQ1pGW	38	2013-08-03 20:21:39.752645	2013-08-03 20:21:53.497966	142		0
10917	10flqm42c5zna3t29qrrgk67qy	$2a$07$kGwhYMRZLYiA/OZ1KM2LMupP83AKCbBjWyj4ASLWxfqfRAFKb4ld6	39	2013-08-03 20:21:39.776913	2013-08-03 20:21:53.626168	142		0
10918	10790cjcelbensab2h7r1ofxc9	$2a$07$mBTy9vWrqsbKNK9RZGbyauEvxbH7fjiMGmSDiU8tfgOayLPT.TJ1y	40	2013-08-03 20:21:39.803131	2013-08-03 20:21:53.732552	142		0
10919	1060870j94y7ab98apszlg9ph9	$2a$07$JW6PphXj48MD0L3eDi71cejoVUmJPyrafbvEfqou3rrY6//or96fK	41	2013-08-03 20:21:39.834263	2013-08-03 20:21:53.866715	142		0
10920	10627geqf61osv9j2092ur8rlf	$2a$07$1ILX8lo476cDmewkNTDCPe3XvogUGvwCfdJYMvkbbRFG/h7rEPjgK	42	2013-08-03 20:21:39.857122	2013-08-03 20:21:53.994366	142		0
10921	1069gpgtw9umzoc98pmmmlul12	$2a$07$/Tsx8aP59S6bSprgsT2KZ.ISW.CkRqOrXg/JMfbJZHG3FAahJq1Na	43	2013-08-03 20:21:39.879347	2013-08-03 20:21:54.107709	142		0
10922	107yr555kgrprk91e01wzzw2yp	$2a$07$3cVG7GF.gVtzkngWKrv/1.4YW/6.eLH0I58wi/7kmcjiId8STqwB2	44	2013-08-03 20:21:39.90222	2013-08-03 20:21:54.232468	142		0
10923	10tfcay7nk9knn5c6m2d6nzst6	$2a$07$8MPXNFWmIrnFMUZQutAMW.QcDR7Ppc394kPB/1z/brrpFQG6NmlIS	45	2013-08-03 20:21:39.925535	2013-08-03 20:21:54.333539	142		0
10924	10b70hyp8e0gm47a65bn76p8k3	$2a$07$87hihxqRn2d.oA1IBpvK2eaJEck4t0amZiFJwZq8vzDi1TlTkhL1u	46	2013-08-03 20:21:39.947407	2013-08-03 20:21:54.564802	142		0
10925	10ov837ewx0l929t5u08ds6t56	$2a$07$w3J1UG3NDwnnMr1ipxZjpuRsz8jNQVL7msBfNWzS.wuASsnezEkGe	47	2013-08-03 20:21:39.970104	2013-08-03 20:21:54.746114	142		0
10926	108tzuur6sl66orfunyyj8pk4t	$2a$07$u7Klo7FgugS3Vo8EJCPSMOQBeT3X.LhUuKEPthejVh7sF.LrDRmuO	48	2013-08-03 20:21:39.993403	2013-08-03 20:21:54.888442	142		0
10927	108hzhtupz8vhx3dm0zevm7wn2	$2a$07$WThHMfylzgXS9zywyMmSguMMbUq1PKSj8aRq4RZ3oMBzp/UqFKXDq	49	2013-08-03 20:21:40.015362	2013-08-03 20:21:54.996554	142		0
10928	10zqzfc48608alcc2kprm3129j	$2a$07$AjrzJLbym46CuO7dwC03xenYF/jzE8Crs5tuZwOZmr.iMxOJo8X2q	50	2013-08-03 20:21:40.038569	2013-08-03 20:21:55.121026	142		0
10929	104muikqqo34sb07lx4l4wqsb1	$2a$07$ud8BSHvkyADgKkk32H/uY.w42DffdpypmwcNEFIhkQ.VUi9IevXhG	51	2013-08-03 20:21:40.062227	2013-08-03 20:21:55.217264	142		0
10930	10i7qxljsf55e963zhyn4v2g4z	$2a$07$sa1Cp8q8BGJqKi9u401EOOWNM5w6zXFfn6y4j8zEaM4tU.SyjBVZi	52	2013-08-03 20:21:40.085895	2013-08-03 20:21:55.513273	142		0
10931	101s8dfma17u4x6ohqti0iron6	$2a$07$.kkOj9gtIH/.WykZ4zNVbeK2bEptKJ3XHb04Z6a/v6yGFnsoaPS7e	53	2013-08-03 20:21:40.113215	2013-08-03 20:21:55.816309	142		0
10932	10k9suyh526cswilmt99whz1oi	$2a$07$GgppSHKNWyh1e3Ng9DSCfex8tuU8OgZ7/6/cz.ChxijtA8HfjRJOe	54	2013-08-03 20:21:40.14982	2013-08-03 20:21:56.122655	142		0
10933	10imd0wcyzv5ze3g8pgqoseun1	$2a$07$/pQ6fY5J64PjIMj3u8iMA.hucivMR42w6XYWr8ERK1XQB4rPBcVAa	55	2013-08-03 20:21:40.180868	2013-08-03 20:21:56.250918	142		0
10934	10ul1f7uyw3szbuug278489d8w	$2a$07$Mq.ZZYyawiJfLE5O4LnMEOaatqrzYo2xkmBy56/R.ZrT8hMqn5fLy	56	2013-08-03 20:21:40.220669	2013-08-03 20:21:56.388356	142		0
10935	10rxj7epe6a0fch3nfw4uaidwq	$2a$07$SxIcheJc.g9veuPbZ8lI9uZPXllc.K3z6jI30efHKBsICuxqAk4/q	57	2013-08-03 20:21:40.244297	2013-08-03 20:21:56.513123	142		0
10936	10v7ga95gfgczw30znsl0v0v6z	$2a$07$p69.XfBIPqmUEA0ABvIed.HOMFIqpZ6iipJA0eMh2tYONksC9fa/6	58	2013-08-03 20:21:40.268619	2013-08-03 20:21:56.814351	142		0
10937	10d3taorcz4dfb2fv6b0hnvtar	$2a$07$OcVK0/SSPqam4Tk/RpytXeOIHnHjqVnB1R83pUGvt0sP1XXQrBz1u	59	2013-08-03 20:21:40.294103	2013-08-03 20:21:57.098008	142		0
16735	10wvh80mty4m7xacxyon7mlh67	$2a$07$6mr6QBIWzU49qAW7VAm.X.d.Hyux0AfnL3hBoCF06LIQaNyv8DuvW	61	2013-08-04 00:09:49.501647	2013-08-04 00:10:08.203554	188		0
16736	10r2fb17ak477w1nkqzc1wht9e	$2a$07$asqNkno5Uz1Oj0hczjHfiu9DHmYPyXQFs08fukxuNK.UIE9EPAMyW	62	2013-08-04 00:09:49.531015	2013-08-04 00:10:11.03395	188		0
16737	10r2orhah35qqdwlcfqcin8d54	$2a$07$uVQ3MRSTcNJ5P4NJK7NljeAHPLEwZGoBj/Gm2TvXZU3pWbTJEC2f6	63	2013-08-04 00:09:49.553027	2013-08-04 00:10:14.239126	188		0
16738	10u6vsvq77vt20sz2gtyra6uow	$2a$07$d40dIYdMjPLGPmSEHch7V.5QJE5VlvKEcyenU2MEUT9OIZke7DLIK	64	2013-08-04 00:09:49.576484	2013-08-04 00:10:14.610792	188		0
16739	10lo7279vun7fb873ka9fki75b	$2a$07$Mp.EndIa7kZ3ekREfiZkZOfIaGHGbdKo/cs.yoig3wMF5iwCPYPaK	65	2013-08-04 00:09:49.601109	2013-08-04 00:10:14.747809	188		0
16740	105x0d8k0wfh9zjf9ol630xss0	$2a$07$OMnF6HzTFmvq7ZxuyRk8W.IIY1SbA9IOfy1.R5IovQv1MPd.Di/Dq	66	2013-08-04 00:09:49.624639	2013-08-04 00:10:15.91821	188		0
16741	10aliyru7p3s2g7j5uzoifo58m	$2a$07$tWb0..6QLjjX3B5ybvpJXuDw9tY9M3s6PY9DpgjWMg5haABpXnHs6	67	2013-08-04 00:09:49.652236	2013-08-04 00:10:16.036693	188		0
16742	10l7sbdxj29ng120zav4tth4z9	$2a$07$64XhO0vNwHU0ByKHSplHGuqHkZ9qL5n/RpwmZNcgOU/8Fewzr25Aa	68	2013-08-04 00:09:49.67477	2013-08-04 00:10:16.171444	188		0
16743	10rwfzwvj9qfidb2jkfvxsl250	$2a$07$zQ.ifw/Ly413qje44aiDF.sBTXRGuLJc23rTfIU4UrHhsAHfHPxgi	69	2013-08-04 00:09:49.697695	2013-08-04 00:10:16.324536	188		0
16744	10silm6sw0yy71ub26wz3betf9	$2a$07$g6Wq11phRGQtMGBw0Cx5Buj8n.aw3psnhch3sn77iPUsQoOxkvhdq	70	2013-08-04 00:09:49.72036	2013-08-04 00:10:16.46551	188		0
16745	10d5poriyrcgtoycczf18a026h	$2a$07$Vw7HQqbV6mW1sRRTYhcWNuezUDwHrwO5YAE8rLFNP24QjulOdN.ta	71	2013-08-04 00:09:49.749701	2013-08-04 00:10:16.606273	188		0
16746	10xkrnqcdupgw5fgjrmvfwb8wk	$2a$07$clUbzAfiCg8lHp3BUonftezgJazn35wsiwRdb9l0iYrlu/wHWIRAS	72	2013-08-04 00:09:49.774496	2013-08-04 00:10:16.748474	188		0
16747	10lz6upw2l2u7xodlzr4zv00y3	$2a$07$NsPzOrHdhuWODvDRzV3R0uFPdigfvzndSibBdxF/9p/HsJ.NqoNVG	73	2013-08-04 00:09:49.797825	2013-08-04 00:10:17.196802	188		0
16748	10zqu3n6kr2zif2rcc5kgk09jz	$2a$07$tcphNf/QPiEsnCJWPQmyreEvQeGJ/7blDWXuU.iZ8WRTU82xny81y	74	2013-08-04 00:09:49.820798	2013-08-04 00:10:17.335312	188		0
16749	10lmk04oomsbfcjyyc02etcbcy	$2a$07$FbkM21ul/78qBJuG2OJlJuLWOITnj0m6SPUYUT.x8rphT5rJbhV5K	75	2013-08-04 00:09:49.846297	2013-08-04 00:10:17.475344	188		0
16750	10scx8lk0oe688zcl7ucxiabve	$2a$07$M.KbGBkzHaRllRQTFC79P.C.8IXNzbkNoZE2L3JgOejFh0uNZH0f2	76	2013-08-04 00:09:49.878651	2013-08-04 00:10:17.626419	188		0
16751	10rbtvxn70xa2eqsr9j8jfvji7	$2a$07$10dFeiSbDwc5.bwFTpWcJOu8glPbndKD17qqjH0UDF8GW9IXf6USm	77	2013-08-04 00:09:49.901008	2013-08-04 00:10:17.764482	188		0
16752	103bqaigjc9cs18fzghsjxzoy2	$2a$07$1JMUdbYWKK7j6mxfQ7jNmO5GDKLdfQ3FdP6SpvOhz4Zh1rkefnFIq	78	2013-08-04 00:09:49.924924	2013-08-04 00:10:18.872582	188		0
16753	10r1hwtteffxcnihhlj7t1su40	$2a$07$eTB9y8oHnhn2zUy5krQU6uPURy/s.yEOWp87x5EDr8268T/FQPzLm	79	2013-08-04 00:09:49.949602	2013-08-04 00:10:19.011221	188		0
16754	10dcpj842gbbqu91srynxdwmi0	$2a$07$4XuObXKlFpVVA4BZCdCSyOFTcRV/Alg8fYusgLOwpOZESFQdB/MdK	80	2013-08-04 00:09:49.975408	2013-08-04 00:10:19.152111	188		0
16755	10g6q40ilc5kw8jyca2fg59vse	$2a$07$.IaXqkYWfcre5yHIi8Cqa.aCoWShfFlz2eIjOnb0K0dWuj0q1txma	81	2013-08-04 00:09:49.997901	2013-08-04 00:10:19.665402	188		0
16756	10yav3sq1xhw96txz7zv2kzszt	$2a$07$mfjTCOUCK0Z.MPSSoWmJi.XKTjWMhwh1KPyEd3CGqzh/OtEzU7Bde	82	2013-08-04 00:09:50.020803	2013-08-04 00:10:19.76567	188		0
16757	10o02214743vqb0zw02g3zwwv4	$2a$07$sitj39LYQlu75hVt7tFGMO8AYkTAIQ6sodp1OZgjvU8WKBwd2HlTa	83	2013-08-04 00:09:50.044827	2013-08-04 00:10:19.872328	188		0
16758	10odluwp29fphhe4ibs8797kvd	$2a$07$6Cwa8Q2CKh1AsaTC5LKhEe8JZ7x3cz96VP7wEYLz0wWG6PKu31Cde	84	2013-08-04 00:09:50.068162	2013-08-04 00:10:22.613992	188		0
16759	10qw96snr2xjtjwdnqguwqqr6r	$2a$07$H9NIRxAZ8AESGQRDDBOMzO9sVZAnYwJ0TFFO.CpsUY136sbbBopuG	85	2013-08-04 00:09:50.096402	2013-08-04 00:10:22.861113	188		0
16760	10hgm97bl11gap66umustmpbll	$2a$07$1DpCEqSrbwBCQHAPtVHkp.QAJh1oB4xhfFD3P8PUDasAzmByX7rH.	86	2013-08-04 00:09:50.127239	2013-08-04 00:10:23.020097	188		0
16761	10o8j521baybg0cjp48j2gjag9	$2a$07$et.UV36gPwGH/b1SV.zKfeX9kjWBqxS2FAzWABURPHVRFHMzmTBx2	87	2013-08-04 00:09:50.151169	2013-08-04 00:10:23.153973	188		0
16762	10l11y2psbdgzkxphavgpb3e4a	$2a$07$JJ1Ds3LENzDZ/HJnCoWyLuEicgXjvtR0Bkx/27/RhgrK0IF27/Yqi	88	2013-08-04 00:09:50.177305	2013-08-04 00:10:23.286108	188		0
16763	10qdbthzw3idw67fo3mxgrxggy	$2a$07$7knwDLvYn6DrViFi6HEyIeOEj6nOgrKbSYE0FK82pQALDI3y80FJ2	89	2013-08-04 00:09:50.201177	2013-08-04 00:10:24.329992	188		0
16764	10cidr7dg1bfkginovn7m0s61l	$2a$07$LDdcQn8/uCZ8wBa1KGj8k.z1ak2Ury0g42HxptgbjY/3PkAYVLxam	90	2013-08-04 00:09:50.225106	2013-08-04 00:10:25.311128	188		0
16765	10gxijuzg7cy8xnk65wkpwwoto	$2a$07$dM5Moo5xUOY.CN49eNWC1.FK7cFlHWxxasmJkhlEKquzG18fkVqOe	91	2013-08-04 00:09:50.248061	2013-08-04 00:10:25.434688	188		0
16766	10bacp2rx84n61tyu3yvpiep0z	$2a$07$wL6pSs7zVDT9fiq4wi8u/.BgpTGrytGYkbeATlXs2vFaXtHyWvbYO	92	2013-08-04 00:09:50.271948	2013-08-04 00:10:25.569846	188		0
16767	10058eiog5ayervgdgwengy5kz	$2a$07$T7EyvnRt4WQHTEW6Xlg.l.0x/sQHnByTWjOcoJ8sEkyOCKF8EQo4.	93	2013-08-04 00:09:50.296796	2013-08-04 00:10:25.734467	188		0
16768	10uk5dmech4jmhn8s2ruxc9miq	$2a$07$0HaeJ4rtRGKHdLT2cBA6GOxc.O9M4NYHDNBWq5yquuBEZneu0NuXe	94	2013-08-04 00:09:50.330934	2013-08-04 00:10:25.875893	188		0
16769	108f0lzt7knmrtrx42wv7bip61	$2a$07$WsixXzV2aEBSvYBtBdJfJelAM1GvrFfiV8pkAkq6/V5p8.CkpyAN.	95	2013-08-04 00:09:50.362301	2013-08-04 00:10:25.995811	188		0
16770	102062zkccfuos0dqismalzbsj	$2a$07$XdkpXTJeYjBZSfYlh1LlD.JzJAe5ixsg7/hoB1JQ5jF/wKm.i/ncW	96	2013-08-04 00:09:50.385836	2013-08-04 00:10:26.135625	188		0
16771	10cede2h4n2bp05sj06aget14h	$2a$07$RNbNX8NQRFak3y3D4G801OaftFngnKxAFDepmCHaS4V79.ieM01qm	97	2013-08-04 00:09:50.40936	2013-08-04 00:10:26.27369	188		0
16772	10iegudtybx1p9nwt3b1q7c7g8	$2a$07$foduP/Wo5oP9lxoWmkiuzOFSWy0fWk5pl8yq3B1SEVsmuEd5VGb7q	98	2013-08-04 00:09:50.432063	2013-08-04 00:10:26.46164	188		0
16773	10lobbtwdiic7egd5jq48wfpm7	$2a$07$vpANrAIt6me9nSIx7wFVwelnbPe/Vi6dXfC0y3O8JZEzIdawT.MKO	99	2013-08-04 00:09:50.458584	2013-08-04 00:10:26.574	188		0
16774	104afo6i0vz7oyfcmpkasui97m	$2a$07$JRSbMi/kwykoV2Ay.8vcj./YaaKoRKTee4aaUAj3RppscD3jDjMri	100	2013-08-04 00:09:50.483658	2013-08-04 00:10:26.708563	188		0
16775	10mzqn2y8mz0pjaz1zkuymhfac	$2a$07$UE9Su/ZpMd4d3SSwEgpP7ew3a6/lDPVdHvSdVa/CMrZOeeB4.VXiq	101	2013-08-04 00:09:50.508577	2013-08-04 00:10:26.803319	188		0
16776	10t2uxntzue2rq4amdl4eod9pe	$2a$07$nO5nIbjamePTwbd.XatdAuwnIrGAICG3tDOKIGtBqW578fQBK0Ul.	102	2013-08-04 00:09:50.531705	2013-08-04 00:10:26.895158	188		0
16777	10hlblydop8f783n1vzok4wsor	$2a$07$c/vbE9G5Pm1e6PvXhgGQFOyPc9GIZlnnxNu3SQ09DN/wtCL77uSFu	103	2013-08-04 00:09:50.563664	2013-08-04 00:10:27.208577	188		0
16778	10af78qem7n56rmxhj3rvt4iuk	$2a$07$OlNVL.ZBavj2MTYy49RZp.OtO7qp44GZ.8fNG4gZUXr2wgf7D7m0u	104	2013-08-04 00:09:50.587511	2013-08-04 00:10:27.581009	188		0
16779	10jamxjj88aglf1v356cyprjuk	$2a$07$lWarUcq5znsdVUVNznqhjO0nFNnsEe.gvrZQ5BeLd6WQ3gXdGr.ui	105	2013-08-04 00:09:50.610755	2013-08-04 00:10:27.715469	188		0
16780	10mafzh7kvslo6sg582vcpstvx	$2a$07$Mc/3cirdC3c9ySdrSRWAF.DBiQ7OywUb6Ww1qaU7jl/XEdAgzCcR2	106	2013-08-04 00:09:50.633687	2013-08-04 00:10:27.850854	188		0
16781	1074nj6q67ory0ubotqidrbop0	$2a$07$QciGvzXhQcfYrjyXcPyTHOYCNdj1/xBlUpVDvPgudzbsflrGeU/lS	107	2013-08-04 00:09:50.656852	2013-08-04 00:10:27.989928	188		0
16782	109jygfbui6mq5d7u081ja0wsx	$2a$07$E9L70yY5nlvWhk0i2UfXf.yMo/n8aP4uH.iL/U/I6dSY7o6w8BoFi	108	2013-08-04 00:09:50.681574	2013-08-04 00:10:28.129879	188		0
16783	10q8rt6rurfe32v0bvsra6iss6	$2a$07$RNivXVskj6E4zKYt/iWB.OVMvNO/vkO8roOaOxg0FoelVHtX4yBtC	109	2013-08-04 00:09:50.704827	2013-08-04 00:10:28.273265	188		0
16784	10hdnzmgs1ikog6jtfgp71dlzc	$2a$07$NWWax15j5RgBVXSxJubGXOmAxd0NdU9bhGiA4Dgn.q3L2t05.36wy	110	2013-08-04 00:09:50.728888	2013-08-04 00:10:28.418841	188		0
16785	1093u6rypa5fncsvmj7rg7s5nv	$2a$07$85NGl9dZlF4fZw44jGKYiOz8zrse7EEONuZfEO80TmlgPAVj3nNFC	111	2013-08-04 00:09:50.75597	2013-08-04 00:10:28.548736	188		0
16786	10rgr1ew3j35u308phhkm5gjs6	$2a$07$rak/0Xf.MbsxU3SYJ68ph.GUU.N1x0UDhjPwHdaOsEZg/eRW2Cfy2	112	2013-08-04 00:09:50.779803	2013-08-04 00:10:28.683366	188		0
16787	10lyxdel4jm8ir0horq029rhmo	$2a$07$OP3D5ICaIz6Jd.yrvDiuQe4oaUWyWaYAT/ELw4EEipfgU.avDCis2	113	2013-08-04 00:09:50.802819	2013-08-04 00:10:29.800334	188		0
16788	109mfn46hzradu7pmiskf5w34h	$2a$07$IH1djaI/nZJlQB4Bh6KXw.fWIQbppINO28kdbpYQgpmc8lGKDTOgC	114	2013-08-04 00:09:50.826324	2013-08-04 00:10:30.920444	188		0
16789	10851863mvzmak6h3mrrxkvyrv	$2a$07$ETeX9nUvw7S.DzDdv3rQY.O/ne37aynXawgzBSvty5b6Vk9zEIeWy	115	2013-08-04 00:09:50.84939	2013-08-04 00:10:31.043958	188		0
16790	10nlgbehjaz95t14i0q8l1b5m4	$2a$07$/lLjdfbwi1sk2.GvO5.k2ejBbKn0Fcwc9veVJKCQ21SwcTSCPksgG	116	2013-08-04 00:09:50.885584	2013-08-04 00:10:31.189508	188		0
16791	1012ls4d68yx2mn905e12vsddq	$2a$07$jByHYKRKsQ8XLncWMrcFwOBqD9.Zm6ka8/sdQCb3eEK4GylDfGXxa	117	2013-08-04 00:09:50.908394	2013-08-04 00:10:31.312913	188		0
16792	10mpq1wbup7ya26b2n1we4ofgf	$2a$07$JDLJSv5Z2S2JHld8vuXro.ufvmGNvc19nEr9Ks2Id3jmjl4/nvU8K	118	2013-08-04 00:09:50.931347	2013-08-04 00:10:31.446408	188		0
16793	10vd6j6y6fwb78mmyulfn0kino	$2a$07$zXbqXRLrjsFtRtXdr175KOcbBNi7dT/S/R/rbrvAQRybtnvh/ff/m	119	2013-08-04 00:09:50.95763	2013-08-04 00:10:31.581877	188		0
16794	10zprztmz4jhpndcllrnykq4ir	$2a$07$R7VGIupTIZj/wZ1JARUmu.VVCdbzgqLs0jB7oUKuCgCPxAfZfK21y	120	2013-08-04 00:09:50.986534	2013-08-04 00:10:31.717503	188		0
16795	10mc7299oli8iasxqrm7dhjsu8	$2a$07$p.wgGJX8sL9mlj1.NMMGUOAJK/Mbteiuk4lVeQbNBEKDXlX.8OoyS	121	2013-08-04 00:09:51.009619	2013-08-04 00:10:31.86089	188		0
16796	1088290upatrzxe7lmfyq0ecg8	$2a$07$TbgBBzqGCmaOiVze1ytry.15N32BfKNonVcvTo17AAVrw9lCuFs2G	122	2013-08-04 00:09:51.033071	2013-08-04 00:10:32.014883	188		0
16797	10a8kzke0dk6k0vrehvu1so82c	$2a$07$OWU.DmXwkqA40wif90tPRO9GkftVdhWpKYIk4toN8x8/MKGNJUPSa	123	2013-08-04 00:09:51.056037	2013-08-04 00:10:34.698038	188		0
16798	10k5hdybhbhhk246en8u2ok2yq	$2a$07$NWTTIRnZEQe1nOUIUvi4Be0gXKAZHjjEdFLvY9BJS8/zOzV3fEioC	124	2013-08-04 00:09:51.078858	2013-08-04 00:10:37.517757	188		0
16799	10jzd02ff8wiqe45dp29f00s9w	$2a$07$F1aULx/IsevhydZzrvvzheBYr5KmgdQP3uVcdJ74ScKQOw9kwfg/6	125	2013-08-04 00:09:51.101671	2013-08-04 00:10:38.039819	188		0
16800	10hnb5xu87c9bory8jyi13tttt	$2a$07$N3JUteztLRRYYWLEKPv9neUkUM8EC2edg3DLjHk4WcEq1/Ayz9OzO	126	2013-08-04 00:09:51.126066	2013-08-04 00:10:38.519253	188		0
12013	104h1i94k1grqvoy4zxvmtunem	$2a$07$9Urg7SOkTj42GfeU7UuMxOGf1Z7k1cgBesj471rpQXlYpJBpmTw3a	1	2013-08-03 21:03:35.117226	2013-08-03 21:03:38.514259	151		0
12014	10aoid5kfad1xgs4z06j3u4co6	$2a$07$zMJzf88wro3m5vNq2VDgmOvaveww8RQ.OvvZK.nHCRQj7zvKsUfn.	2	2013-08-03 21:03:35.142458	2013-08-03 21:03:38.810646	151		0
12015	10w5tlok8jsha6xzkkdrwuydgu	$2a$07$Z7AraDy14r4gBG6aMKwpH.HpH2wo0u2M/ShEhUDW8GtPS7gxrFa6i	3	2013-08-03 21:03:35.167059	2013-08-03 21:03:39.165732	151		0
12016	10fdg2rdo262t0zaqrxsnwgm2y	$2a$07$uWUEYfmzb/xkvHBWy.GGken.cHk784R2qxxD3NZXKZnv.MMQHpY4a	4	2013-08-03 21:03:35.190536	2013-08-03 21:03:39.276497	151		0
12017	10xxhk1lx7jft172vjf2g37imy	$2a$07$d4HmeY9M5f9TbIjHdwHNDeiKJqj/8LTnbW.nWKgPvbQwzTda1q0Ra	5	2013-08-03 21:03:35.217305	2013-08-03 21:03:39.423453	151		0
12018	101rxja89aa30rq15o1j85kbcw	$2a$07$mhTK.jZcMofMb7d3UT.gS.rNtzh2SQcLyz0geIbJVikyD9gw9R6hy	6	2013-08-03 21:03:35.242121	2013-08-03 21:03:39.555337	151		0
12019	100px39yyvn5qilfgygo75ylrt	$2a$07$zGcLkTGgK1/iFAEqD6i4Euo/zLpk0kS85uejURu.aaI0MsrvQpdiK	7	2013-08-03 21:03:35.26671	2013-08-03 21:03:40.525931	151		0
12020	1083lyub2iw7u2o2x9zwqnxis2	$2a$07$iW5/QOw6yrWbT5bw0X/w4.5.jw9hZ8HRaGvmK9MYawiUQ1dyfttta	8	2013-08-03 21:03:35.290975	2013-08-03 21:03:41.464547	151		0
12021	10vw7l9l82hvk8w7iia2k6lbac	$2a$07$l8c8xvlEHK0SqLPGbjSHpu3FTy0XYaBHiPA4LBc1MvAMZWoeKU6Q6	9	2013-08-03 21:03:35.315099	2013-08-03 21:03:42.34779	151		0
12022	10gcw4glezupb5igq0rdaixtjz	$2a$07$EnRuemGTRR3b/vMHiQzYeeeC8fbXUlNxtjEGqZcuNZnyg0qD00Ebq	10	2013-08-03 21:03:35.34057	2013-08-03 21:03:42.46389	151		0
12023	101ae0h6c8hvgex06623pmt3tl	$2a$07$PNgVs8eOd0QABynL166o6.2IxY7VeMaIgu21aB6h0PjjeEE077wDm	11	2013-08-03 21:03:35.364179	2013-08-03 21:03:42.580101	151		0
12024	10mp7c5ph85aiiqqe28y5oioha	$2a$07$cHYYRNjwJGSSfqWqOO2gGOdmgpaFUizEXLrUiFk0jEefQ8ZF1SB2u	12	2013-08-03 21:03:35.388293	2013-08-03 21:03:42.684215	151		0
12025	10paexla1sy4jbqxdqbqvmc73p	$2a$07$bITmiTatINy0qEt/BoLKduMlJ0YvbT8oH1PfBOSCNWXH80ogLKNkK	13	2013-08-03 21:03:35.412098	2013-08-03 21:03:42.806548	151		0
12026	1007qslkqdmji2wha5wu0tiw8p	$2a$07$QKPV0zlUK8k5PCF0SlkplO46ueSAhKLooaGzuwcjvdFi5wp0hBh6C	14	2013-08-03 21:03:35.436557	2013-08-03 21:03:42.930182	151		0
12027	10f6243zbkhoflr0mhsmlt5rso	$2a$07$Ujck3M2Orxk.hXgJwNfFfuRmdsNFevmHXOnu6wnIHCiWWEvwFR1Vq	15	2013-08-03 21:03:35.460876	2013-08-03 21:03:43.041105	151		0
12028	10q9x24sj26r3g6sm6kxkqljsr	$2a$07$TDKtpp24gBzh8hTncqr9Ve6Ek8Ha2U9AONDksVzszK4s83PQIGBWy	16	2013-08-03 21:03:35.485633	2013-08-03 21:03:43.163105	151		0
12029	104ajqu19p3qi60f3ktjref3n8	$2a$07$qdRuPhE93tUW7zIV2VrUm.GcOgrkozWKxfrSKbpo9njda4Cyu7QVu	17	2013-08-03 21:03:35.510018	2013-08-03 21:03:43.280912	151		0
12030	10ux7osnwondmm149ahiuferer	$2a$07$pSWNAzALH6MV5a5kScRxxuMkP.fg0yxMPZIC/hAebPlhV2YU609py	18	2013-08-03 21:03:35.534071	2013-08-03 21:03:43.393465	151		0
12031	1019pa9itvhp3dwrj7sy8va8ko	$2a$07$PK0gZn9gqNyRPvde6i3Jw.BKnMa/58GTO9saQziKXgK0bMuWXgjyy	19	2013-08-03 21:03:35.557133	2013-08-03 21:03:43.487064	151		0
12032	10hs6jffycbpkbycfdrmzcf1yv	$2a$07$794UaVw/UN/bdtiQHGrf0u5MiOBz3QIk21RVbSCN4tRgMY0wv83Ui	20	2013-08-03 21:03:35.580781	2013-08-03 21:03:43.585832	151		0
12033	10hml4oqrgwfa8sg0qgx7ongb7	$2a$07$1ZvTKV9xdzoCfYwZKRVzKeR2yBPzK38AYf95APfO67NDXnx2ccXWq	21	2013-08-03 21:03:35.604874	2013-08-03 21:03:43.698037	151		0
12034	10yscxlwvo1c3vryj4ohhlvkuo	$2a$07$SrUWl.ed3UX1jfG0R3t3eee2t52SU4hfHcxCQtzRAdbccZMcAX1eK	22	2013-08-03 21:03:35.628431	2013-08-03 21:03:43.806532	151		0
12035	10dbxs3cuurbz0c0ajditjgdo4	$2a$07$tJrL7I.XrnevE0Llos6OtussJVZk7EbhKHONk7NB31jqrCXccxGUG	23	2013-08-03 21:03:35.652265	2013-08-03 21:03:43.923173	151		0
12036	10lg50atqff75b2rhhlqdxp0pd	$2a$07$aQKBfeY9c85CRaO6xLiOr.0XIWtXwFMwgsZ9pQPZ7LCWYcivoMHeu	24	2013-08-03 21:03:35.675731	2013-08-03 21:03:44.025444	151		0
12037	10r9k4t9rmrmvnqwc1g8wuya1k	$2a$07$smHToZ8V.S3pmQJAe1TFdetFMes/Gd4j/qc0L1ZY99mASpdQ08GVS	25	2013-08-03 21:03:35.699844	2013-08-03 21:03:44.135226	151		0
12038	10q7kqnf3nkv7kfs9fuok48sv4	$2a$07$fXPrFJax32RgvxfUdIMmjeS7Vxx0vOEB6Ys9GuFqcC8BgY6ajqxVC	26	2013-08-03 21:03:35.724368	2013-08-03 21:03:44.262819	151		0
12039	10wecmhtjjdmyfhgylx7de53fi	$2a$07$wZrOHz7ooM3wn2y1IdybP.jF/XD8nMoPsDuEPKuZN4oxjx0/qKUyC	27	2013-08-03 21:03:35.749251	2013-08-03 21:03:44.381316	151		0
12040	1084wd3320bkggqd6rmlmio5ot	$2a$07$6YYziMGlSnq0tjaZfkTjLuDLcViYES62Pq/TNOPODJP8NYzm965m2	28	2013-08-03 21:03:35.77486	2013-08-03 21:03:44.687782	151		0
12041	10t1d30pygxfobo5895b10donk	$2a$07$3LxvqTf3eLh.TFX.6854cO9RF6gF6pG3HYWjPgpIUXWSEOnzzeTaC	29	2013-08-03 21:03:35.808722	2013-08-03 21:03:44.975091	151		0
12042	10ndpjlaveqotfsi9sm6usjr8b	$2a$07$.d3hBj/Be6bfMlAx/72KKOKxnAk8knDMwfU0AFnWDLNYkDwNXW9vW	30	2013-08-03 21:03:35.832966	2013-08-03 21:03:45.352403	151		0
12043	10k21ws7spowyxy4hr9jeufey2	$2a$07$g39/jezfGDGutJ6ZtxB0i.vyAk/znwJtC11x2XxYclg64JUaHNgqq	31	2013-08-03 21:03:35.863338	2013-08-03 21:03:45.491783	151		0
12044	10pox3ay3eo37nbmowng6cjhh6	$2a$07$7DGat3WkbwB6WorYgUsKeun.X9Q0g2tIQwT1eQQ27n8VhYvuUNgp.	32	2013-08-03 21:03:35.887301	2013-08-03 21:03:45.62678	151		0
12045	10tqm4xenq2ry7oux2tfz5j3lr	$2a$07$axaoHqyLEzzl0FVgUYhj.O8Q07TujqpMWz47Ft.ZggbVs1nMjdqgC	33	2013-08-03 21:03:35.911558	2013-08-03 21:03:45.758131	151		0
12046	10gcugbd3q7lr0gdmrddbx60wx	$2a$07$We4aP0jtenzxsO.O2lJojuKuzb1unMvRxR9MQlByZQtahZwb/Ki92	34	2013-08-03 21:03:35.937008	2013-08-03 21:03:45.87539	151		0
12047	1050koyri79hznziqap3h0e1y5	$2a$07$L3Ch8y.yucQkZBxGnVNZs.JUXzrct/36cPwYgtubOCprqWzdvnypy	35	2013-08-03 21:03:35.961945	2013-08-03 21:03:46.0293	151		0
12048	10y1vwqyqq5hss3nu8j8c1n2lm	$2a$07$oe7mPHomTPmIXnSHw/cWT.mYK1qyqhOBIdyVyNwJwWNB2hCltG6nG	36	2013-08-03 21:03:35.987899	2013-08-03 21:03:46.181007	151		0
12049	10u8s7mmccxpxd8vj2j238sem6	$2a$07$uzWedSHP79/YHUZqvp7aEeJgfst5bfK7HoOEwH.jSr/5ozv4ZIOFK	37	2013-08-03 21:03:36.013306	2013-08-03 21:03:46.311946	151		0
12050	10plrelr19em6zopy02rqmfslz	$2a$07$TO.BeSERZEBwiUzU.nPPs.rRWSQYyZ/8vqtw7HsDZANyrA3edvPuC	38	2013-08-03 21:03:36.037589	2013-08-03 21:03:46.46563	151		0
12051	1076faubxw4pma780izp16kdou	$2a$07$5kvfRMfrztZyPdJH62HlEevWIOiflOrgQm4CRpxx3uncamjslRKZm	39	2013-08-03 21:03:36.0707	2013-08-03 21:03:46.616187	151		0
12052	10ava32bit3u67l2mzi3m9a4lj	$2a$07$4gwQSSs.tlbf/Jv56473xO.ZBq0aXGJzPQS.nZCVv.xP3OUXDZKnG	40	2013-08-03 21:03:36.095776	2013-08-03 21:03:46.749105	151		0
12053	10p08kbx6tbrtylblmdply5x6e	$2a$07$jnIX2XPiClPMhFZ/lLJSXO4N/VeCt50L1hoBg8H0b8qsufSnsqX1C	41	2013-08-03 21:03:36.121256	2013-08-03 21:03:46.889912	151		0
12054	108oety7npnqyxwvgxl2b6755h	$2a$07$1QYivAe44PDBONrbECzvq.zmqyGda6ze6MIDTzp/YG6IkOsMN3jOK	42	2013-08-03 21:03:36.15076	2013-08-03 21:03:47.020785	151		0
12055	10tl7cpypt4g2qcn8ke3nxrzn8	$2a$07$zBk/XN5BVPlvCaoWQ870sOJN179cVQCRF4vP5r0stFAAG2cmnOKG6	43	2013-08-03 21:03:36.174578	2013-08-03 21:03:47.150328	151		0
12056	10f92qyeexcbznvzyyichza3rx	$2a$07$hJwsnVJYuIj8Vj16TJ7ZaeAOD6pZPe7d2WPeGYWEuAqekmALYNBVa	44	2013-08-03 21:03:36.199034	2013-08-03 21:03:47.277884	151		0
12057	10jajtg1rm4v2oxu1s3a0lslk3	$2a$07$M7FQGrIBqezt4dOZrh/Jv.i5a8Uuu/CIBBLx2W/eKnqMvJEdQJXPC	45	2013-08-03 21:03:36.227294	2013-08-03 21:03:47.398082	151		0
12058	106rk2hinkey5iouuucwlsn5fp	$2a$07$0hO8fXwPoUTGPaTJFTxxo.u8za5kGSkLLwXMJZ0sxtwC0L7SkcHKy	46	2013-08-03 21:03:36.260986	2013-08-03 21:03:47.516671	151		0
12059	10jz1zmh4e3iamnwanwvbhpj3v	$2a$07$C3JI4QIWhHtPBydjqacnRu8WsAo3fXTjiNr.GTebOo55NGufUqGxS	47	2013-08-03 21:03:36.286559	2013-08-03 21:03:47.636102	151		0
12060	103dvp7j90v34l2fcob0tm5xlx	$2a$07$tCB8MzZCQ0i1bYQuugHQSuEhludPUDhqbV/oYdw5JVkKQNkVEwJRO	48	2013-08-03 21:03:36.309539	2013-08-03 21:03:47.782183	151		0
12061	10bt67co35vr0rt36trm1ywu7c	$2a$07$ZFOUvsyJtqMCfe1.LzUNrOaZS19hqS0CVkfln8DrTj2HSo6twZ2vK	49	2013-08-03 21:03:36.333175	2013-08-03 21:03:47.930624	151		0
12062	10x5wcyqiafk5byqmwol84wyg5	$2a$07$JyXlRHCbHy7yqx73oK4SUO/gGehzStAwrUciXba9cC.IXKrItAGpi	50	2013-08-03 21:03:36.355658	2013-08-03 21:03:48.079396	151		0
12063	102rj5oh1f1ki6yq9uikabs6i0	$2a$07$BuJr4NYhKmWoTvIIS4CdPu8VY4n6wNvTcK1ey2galQfSM0.fCw1la	51	2013-08-03 21:03:36.379325	2013-08-03 21:03:48.243661	151		0
12064	10ezh6tp0cki3atz7ese315s9o	$2a$07$klA.7sT8SQ/.PqTGUIJrTON8ulWS8T.9yOMH5SUijJEnoZGk/PRu2	52	2013-08-03 21:03:36.402917	2013-08-03 21:03:48.551207	151		0
12065	10k3i94589ucz76658rogcf1tb	$2a$07$Y4o2PljOI24i1tLV6hvNn.5/BPodyqXjRx/MzBtmiRFlgDFmt9X.S	53	2013-08-03 21:03:36.42727	2013-08-03 21:03:48.836402	151		0
12066	10i18zke9js6fimhggk1nn7kpb	$2a$07$7KRtuWtrYxlSewDb8SV3ieagtfD2W8e0Ewt/Jr2NJkQx.W4pkkzVa	54	2013-08-03 21:03:36.450664	2013-08-03 21:03:49.129165	151		0
12067	104md3zm6r181fn2kyp2713wgo	$2a$07$MvuP/4O7XvZw4AX3bhEUYuLqAtlhOtXTAD80QpPOiWVBa6Fdjuj8e	55	2013-08-03 21:03:36.474877	2013-08-03 21:03:49.251276	151		0
12068	10l5vjc02l573bpkqrbbcrsni0	$2a$07$Pz0YdW856pOHUIstTufELeAoyiytOpxnFR6aT3kStWcqBetY9KVKu	56	2013-08-03 21:03:36.507099	2013-08-03 21:03:49.351009	151		0
12069	101oqgobxmnflqr2fmzl72v7ow	$2a$07$DBCND1dcLquthDwdWc1Dgu9gWxmmNKl87jmgApT0fNWbkfdDLI/Vy	57	2013-08-03 21:03:36.533944	2013-08-03 21:03:49.46573	151		0
12070	10opvmfrm9hwt2l8ty5rx6g81i	$2a$07$RDrYltR1CDFlAUk1tuga0eDJKkmLO83pa8rB10P.AQI298chWMsci	58	2013-08-03 21:03:36.571981	2013-08-03 21:03:49.702494	151		0
12071	10901y0acmn6fmyxwe1ovvd4wl	$2a$07$nKhSUZL6ZF3foPpbL9uExuXStMVZViAFB8fCmKaXEw3QkpXA.TlXy	59	2013-08-03 21:03:36.60028	2013-08-03 21:03:49.990853	151		0
12072	10jxjil1jqw4vlid32dgum6fbq	$2a$07$ozZuK0ktqNFrlJggL5WAQ.LfVFqutm3fSprgbJ5EnnWlD8a5Ogu/S	60	2013-08-03 21:03:36.633377	2013-08-03 21:03:50.297625	151		0
12073	10o90nmwcol2tcfif1rkh4matn	$2a$07$GZn14yMtxizrXXm6eyHY/eXkFAbxhlm2mCODV//DBUjY.YSrBZip2	61	2013-08-03 21:03:36.657636	2013-08-03 21:03:52.93667	151		0
12074	109yuhlr3oinuq37ysbl4t4chb	$2a$07$kZtTj1GQgIUKA.Yvt5nm3OKjaqb2pHJOOLw51jL.LbCUJO39qQBCm	62	2013-08-03 21:03:36.682433	2013-08-03 21:03:55.841457	151		0
12075	10ermrwqh6g6e4k2kl2k50far5	$2a$07$S7kOLcoWmkHtGtAYl.dqOOi0ek9x2ATMOoYHugcgV9uSmYwOBb.y.	63	2013-08-03 21:03:36.706844	2013-08-03 21:03:58.844576	151		0
12076	107qcpyhv0vzs7cc7twa9zzh2p	$2a$07$my7FzsBLRObtBsuXRkaVm.Zv7Q3diNQyus9mCQ4W70XwixMTkodOO	64	2013-08-03 21:03:36.731687	2013-08-03 21:03:58.956382	151		0
12077	10wpy2kgva4tpw66tfk7xxri0l	$2a$07$oVNeRRTPj8kGxUmLRE1BUeTyREnVT9na.KHkoEdWcYboYLCkMxslK	65	2013-08-03 21:03:36.78284	2013-08-03 21:03:59.107418	151		0
12078	101b7dfm01xpztaz0xsr0hheb7	$2a$07$3YZmrMBRpumvGJEfkKtVPObEMFQUMWQ9WQM.eBinLX4YSyzjKW6Dq	66	2013-08-03 21:03:36.80694	2013-08-03 21:04:00.024201	151		0
12079	10kafrrkkmvf1511y4sg3zyzfk	$2a$07$35UEJNaWTE9zqU2aM6b1..79882uWbFHpFKOSYAnLHYL.Jw6P1dAi	67	2013-08-03 21:03:36.830627	2013-08-03 21:04:00.164606	151		0
12080	1060n7t6khiwdv7ebx7tccuudh	$2a$07$8xxKj1tgDwyo/PO6eLo3yOaZ2h29uzX9t6ie07xwVoNFWj61vc.4S	68	2013-08-03 21:03:36.854312	2013-08-03 21:04:00.258972	151		0
12081	10cphhvhpu140ghamz0klhwv3a	$2a$07$Avm5S0ORpjGLRvPi6apjY.aSPoEeQ729nfGCm8i4di8JJXUN7I/zO	69	2013-08-03 21:03:36.877166	2013-08-03 21:04:00.377057	151		0
12082	10vua2dwt3nozfmumh82d7n426	$2a$07$7eRFhSeDY3/EalHXhvfAv.lIxZc58T9q0I241tc1o2SQ3jkN3T4yq	70	2013-08-03 21:03:36.901179	2013-08-03 21:04:00.483627	151		0
12083	107h7732ct7m8fujcp6qr7txis	$2a$07$KVNHzEp38QeJNCe6KIYlkuaAYIiPwnqebzknO3EKV/1k9lfDI2OjC	71	2013-08-03 21:03:36.925536	2013-08-03 21:04:00.611861	151		0
12084	10ytighpvoytflsmprs7cq0575	$2a$07$3Dh4lEY1PPbsn0qc.ZDBkOLKM0TJ6rlEEn4QkrLoo735pwHZZhgp2	72	2013-08-03 21:03:36.949277	2013-08-03 21:04:00.731867	151		0
12085	106s9c1lun15fqiknwopylhlp7	$2a$07$12EpKM0YSBrBoDM86BoxuuikNygV16C/RMy42lWL3DIfHJeAb9T6e	73	2013-08-03 21:03:36.973246	2013-08-03 21:04:01.101473	151		0
12086	10qlrjqfv2ci0si8vd6s5s7ue3	$2a$07$uRd1qcsQDp8Cv687R760OuiiXwd2gpT12uF0aGvVD8ojGEQWkFIfa	74	2013-08-03 21:03:37.002723	2013-08-03 21:04:01.230459	151		0
12087	104ppi8tj4o935ry1cj83hucxe	$2a$07$39RTgAyI/GTmya0E6m8quuNlYhz9Z8a4SHx9jQG8BjYIYVacw8BpC	75	2013-08-03 21:03:37.028976	2013-08-03 21:04:01.346012	151		0
12088	10lyc2cgj038em1tzjzcjp7c3n	$2a$07$QARvwwi4ahUpqF4A48ZKW.gKWHTki3wQwoN9BEkFGio5uXWs2DyaO	76	2013-08-03 21:03:37.058848	2013-08-03 21:04:01.485976	151		0
12089	10jntojed9kgf74u3b0q31che6	$2a$07$qZSm7zyVj1gEGvGg5JnWS.8K.41Y1al/KVxXEFdtYLW9V78SSBkr2	77	2013-08-03 21:03:37.085261	2013-08-03 21:04:01.640423	151		0
12090	10y9vdwveeytsete7o4pn8yz17	$2a$07$yXkKoxq5vb34L9DnHRw5iuw42/4ouWRByBxY1BLZTxcOqPX7FkuAW	78	2013-08-03 21:03:37.111028	2013-08-03 21:04:01.758146	151		0
12091	10hwb98shhtrrysqlx09fbf4zb	$2a$07$6R7FDAPByWSMQ1SfjLJ56.7/DaJ1leJFI8XBR9YKc4teV9x/tH.QG	79	2013-08-03 21:03:37.134334	2013-08-03 21:04:01.867409	151		0
12092	105rix8l3c30qapikciz0g4hz9	$2a$07$Y0kpB0rausi0PYQ29w4aa.M6ERIAOIEwsB4Zvt8Lg7b2kurzkR0Wy	80	2013-08-03 21:03:37.15849	2013-08-03 21:04:02.009103	151		0
12093	105agpcf5wftirm2sz5ua1iqm8	$2a$07$CjDWZAe48yYAW57fNUaS/.KyLuLFTuAlgDWmxF/xyzzNV.u67xlqO	81	2013-08-03 21:03:37.181649	2013-08-03 21:04:02.243035	151		0
12094	10vm6kgaqjqvo30fpvv78oh45l	$2a$07$QCTgsXaNfvnueUx3RMarZeE/4GtKkivwKvOz5B/B1z3.T45laelPS	82	2013-08-03 21:03:37.205459	2013-08-03 21:04:02.366447	151		0
12095	10ctke554qj7a4341f2bgooou3	$2a$07$9UQcGTs7WcW7pfiUA9jNv.8G.9kysC4lIRXpBmqahNe0iBSr0dl8G	83	2013-08-03 21:03:37.230322	2013-08-03 21:04:02.55888	151		0
12096	10x0ok6zgufctr0wp6oxp43rio	$2a$07$ZDaxb3.s5uzMgPShLps.9uRMaEpEi3ZwKXXws876KENCrtesJnhbC	84	2013-08-03 21:03:37.257386	2013-08-03 21:04:05.655843	151		0
12097	10nwrgckshsgzih7pst5m4lzet	$2a$07$sueRnSEX0Jza71GYl2gZzOx5i6U2Kr/QG3nJn/5s0QPTlDYkFrWC2	85	2013-08-03 21:03:37.281452	2013-08-03 21:04:05.938347	151		0
12098	10o4nq6h1mv3a37gyh19pld5mu	$2a$07$7vZ9U0ulAiIUap/mZuzbJuLPnwxZlZSEHohVtpBGluVfVZUWfcwhO	86	2013-08-03 21:03:37.316997	2013-08-03 21:04:06.219944	151		0
12099	10rhaqxo19ro1bx5cwuq4md6oq	$2a$07$YTybebtmseJ8nRDfJN3ldOGzfslH.emJ/psK1nXBWmVgUQgdGG1Je	87	2013-08-03 21:03:37.341158	2013-08-03 21:04:06.367238	151		0
12100	101noq5u8vsn8u13la295lzshl	$2a$07$FattqBSOUZrhmQq85uw7KezdvMH7sZix346jP.2hX4GJCIfV6MLG6	88	2013-08-03 21:03:37.364403	2013-08-03 21:04:06.508324	151		0
12101	10j7w31vggf2u0tdbiucjkvol4	$2a$07$PsSjOTiQY6KJ0jnqW1Bite4xUdBpsQbETt5M5WVvMr5BPv8lrteiy	89	2013-08-03 21:03:37.386532	2013-08-03 21:04:07.507543	151		0
12102	10g5tcpaiywwgdxspu5trmvunq	$2a$07$ewUolZFcyMElRpPIbjV03OLGPtirLaQZh45hePZM5lKviyJQMO7w6	90	2013-08-03 21:03:37.409532	2013-08-03 21:04:08.502577	151		0
12103	10nc07dztwyyaujbrl7ivsgxwo	$2a$07$wgs.C52hyKlA74qoKOl21OIPZeSvcX1EaS0/R2Js1pwfQgl2Ey7/y	91	2013-08-03 21:03:37.432247	2013-08-03 21:04:08.636139	151		0
12104	10xzm8vyaxtdlp711xrsvjoopc	$2a$07$4FpmKwyMJJU/aDxpQj0SZuHPvPHjR6YBup9tWxF4su9OpWti.5Ta2	92	2013-08-03 21:03:37.455464	2013-08-03 21:04:08.770207	151		0
12105	104kyad22i0ja1vgnnx8s6ld5i	$2a$07$4h973NJdlv3ag3168Q03.uit6VueWNeQSXEdcv8ibkgZP.ofX4vA.	93	2013-08-03 21:03:37.479767	2013-08-03 21:04:08.908874	151		0
12106	10nbsvrahp70q569cr32gjtgun	$2a$07$r2E.OEeW4qz6cTgvUT3Hi.BjA1NT63gmU1.8yN1vrTMITN6Vk00mu	94	2013-08-03 21:03:37.503658	2013-08-03 21:04:09.04832	151		0
12107	102pkh4m147hfstt74zgtfmnbz	$2a$07$Vd9MysGAbifdOu9d9VSqauemY6jdY4APwf2aaSAm.syOlHC9RxJ36	95	2013-08-03 21:03:37.527211	2013-08-03 21:04:09.177156	151		0
12108	107pou69k9czyah68vmolze0k3	$2a$07$69SX3pXDY8CpdEe2hMHxWOvFpPeru.7LjBIXSl51QmEFiHH85TXW6	96	2013-08-03 21:03:37.551268	2013-08-03 21:04:09.331388	151		0
12109	10ueknmavcuaayro42ooho5h7v	$2a$07$AgcM3i3uvWMWJeLQDmeIFOvUvESkmieuRP/dFL6D7NafH0xBNm2CK	97	2013-08-03 21:03:37.574777	2013-08-03 21:04:09.465929	151		0
12110	10abhii5suhwunx6plyvecu5ot	$2a$07$68x5SlVOCsqYSp91qBCL7.b7KV2SpdX6Uzf0hdHjKvJcdNAvimk6m	98	2013-08-03 21:03:37.59879	2013-08-03 21:04:09.610269	151		0
12111	10jlxvr8d5csnscm95tvb5pcui	$2a$07$UP.QprY/Ta5mjxE8VjQ/ku5XaxztzvEt.eWyrY0H8AMxiikfBOq12	99	2013-08-03 21:03:37.622937	2013-08-03 21:04:09.772785	151		0
12112	1040q2s6zqlvbdakeqllqkxz8y	$2a$07$rT3Eel4/BqL9UdbeLTadcuWW/3FIXC75MD3z8hsUdscmGiM9gvZ96	100	2013-08-03 21:03:37.647174	2013-08-03 21:04:09.922554	151		0
12113	101a730u08iqtxiaotqer06388	$2a$07$TcPbcMR79tvHegRcZ11QWOX7vUfv4PWjq1clGkMecXNVTWrjB99vO	101	2013-08-03 21:03:37.670842	2013-08-03 21:04:10.091647	151		0
12114	10vwsqvhgj9dfwagqgqzwqiwvu	$2a$07$KSDEgT5BGCu5OmoJXwCOPOqlqFT00rgqweIqnC.eh868VvFueYRAy	102	2013-08-03 21:03:37.694562	2013-08-03 21:04:10.196564	151		0
12115	10jndsquuek9j9zc43c1bbemif	$2a$07$EjIDSlbDpYwtZWAmYnKlZOm8.z2nxY8ypF4R07P5YcNFZ9jrJrZRe	103	2013-08-03 21:03:37.718718	2013-08-03 21:04:10.491801	151		0
12116	10oam5z6pzm6xt62llg0d5ck9k	$2a$07$VM560aeqi9vnziz1kio9kOLqbYxCjad4XmDmBq/fNfY4cyZMbvd66	104	2013-08-03 21:03:37.74231	2013-08-03 21:04:10.84526	151		0
12117	10sbipxtt8136791nqfi8jlxgt	$2a$07$T.lH4zfFyKcyo4j.cl6COe5/fkyTRLPN1G./Rku00QYSW2Sc4SlH.	105	2013-08-03 21:03:37.765969	2013-08-03 21:04:10.983108	151		0
12118	10zbkuiq7mu87qyu5edrvs8utq	$2a$07$aTjHenWafr2rSxU8VSzjpuOwbnJfv6SUBhs9b6D19yaoN6l8Ke2gG	106	2013-08-03 21:03:37.789912	2013-08-03 21:04:11.112493	151		0
12119	10lsa9ahdbyzwy5pw6cvh5zi1m	$2a$07$r/0i4n4PXHVkp9aoHpOge./Bw0f.lJMvSX6pwE.yst55lezwhJzKC	107	2013-08-03 21:03:37.812562	2013-08-03 21:04:11.241692	151		0
12120	10vmr7062p17d7j3koeuwzpm7b	$2a$07$CFB5tAhlciH.yt30cCrtW.p9IpfSgqINrl9u9UXw4hOXxntEM0d.G	108	2013-08-03 21:03:37.836537	2013-08-03 21:04:11.37071	151		0
12121	10wibbe500xos7o8v5rjrnlll8	$2a$07$2c7w5TlO2HiWAW3Kfnuj5OP7FUZMnufIxEQMEjqA6EkkMiJWhmqaG	109	2013-08-03 21:03:37.860588	2013-08-03 21:04:11.484435	151		0
12122	10cbl8za3visz6s2aubkjxihpw	$2a$07$wGg.PZk2odMGH9Q4K2bx0.n4r.Sk6byO/Qg2eFdmB9dnlfB15ZW76	110	2013-08-03 21:03:37.884936	2013-08-03 21:04:11.579019	151		0
12123	10urvclri320ewjxmmv6jgqmng	$2a$07$av/JvzuXPx/C31DRv.WRceC5FwCMaTxNn7XQdETjAmDr/jvEAxuR.	111	2013-08-03 21:03:37.909163	2013-08-03 21:04:11.675769	151		0
12124	109hep2ho7vwvm0xxqxw5zwr5z	$2a$07$x8VNAYJbuP.X3lIIEq7AZeyUJv/nSNg5VLNxBPnt9icvaoK9x/gvO	112	2013-08-03 21:03:37.93174	2013-08-03 21:04:11.779003	151		0
12125	10oma6rjlvjoeelm4g8b8iivyw	$2a$07$1yPLSO9ZnhoEgF2kwRMaOOtaQndeNLUazqfCYSC0yPMQ.GWni4N0i	113	2013-08-03 21:03:37.955651	2013-08-03 21:04:11.883894	151		0
12126	10htzozrmc7tsvn794l4y1px4z	$2a$07$E.Urky8ibpIqbLsjcvmo3u4SLD8MF53MvSqQW8zOv7zbKgd7GOuQG	114	2013-08-03 21:03:37.980014	2013-08-03 21:04:11.984625	151		0
12127	10ykd848ivs7c2vlyuhsy554j9	$2a$07$0N6WIS9R9QSZo8pPPNUqh.b8.Xx1N7D/wOqqqMVO2jUaCuwnUwrJW	115	2013-08-03 21:03:38.003718	2013-08-03 21:04:12.122557	151		0
12128	100th9ldyrjk3nijycxj0mxezq	$2a$07$ZYCuIA55o43NTOn0LQMMxe8kdgT/7tsL42QtLc19sCee8b8ERFQHK	116	2013-08-03 21:03:38.028307	2013-08-03 21:04:12.250003	151		0
12129	10ierl27b2ywwkao810g1ic396	$2a$07$46ejPnWqRGXV9A8g0WSBOutIibcMd.qbIVO8KSW4xCtwKi4mHvVX.	117	2013-08-03 21:03:38.053274	2013-08-03 21:04:12.413857	151		0
12130	108eohafxl00lmq9yox40q83dc	$2a$07$M6CZRwVjnUMR./MncAgjcO10xvzwZkE2KGZEN.nwKFLbehiCTlLr.	118	2013-08-03 21:03:38.076676	2013-08-03 21:04:12.55329	151		0
12131	1024obfnu2so1wzizsg6kb13k2	$2a$07$rkLYmZMn6caWcAO703wtnOYGGQr9r6QXCYum9RGMe6NhCieJUchbe	119	2013-08-03 21:03:38.101361	2013-08-03 21:04:12.656384	151		0
12132	10t9z2taog26q5s6gbbjb819wx	$2a$07$5q.BWDjtPjuTMwGM66c7DOc2mjwOiqt.gTI6Rwu8cy7dVaABLP/uS	120	2013-08-03 21:03:38.127145	2013-08-03 21:04:12.788155	151		0
12133	10sssm19v548dab2sxe5ij22ka	$2a$07$IIOLJmJ.gFdmrLvtnV0IK.M/k3lvb8f4dSbJmrxxi1OYKAQHgnPnW	121	2013-08-03 21:03:38.153883	2013-08-03 21:04:12.946798	151		0
12134	10pvcjs0bdo7snbxs4s1iu5rgo	$2a$07$eNgprYkloHtxONAyXA.Od.rgMIDOOmUCzoQwLjfT07Dp4a/2qk6Jm	122	2013-08-03 21:03:38.178623	2013-08-03 21:04:13.088527	151		0
12135	10vn30l3lbhe74y0937q912xxl	$2a$07$ockMMB7brFTqOyJ4PJwAMeAPekwYpp2AdIioKH.VTUgoZMQRn.kVq	123	2013-08-03 21:03:38.203523	2013-08-03 21:04:15.840496	151		0
12136	10gbdvbuz0fdw3lz1x4r6asu5m	$2a$07$OJm0TTnARbxsZv5iidfbBekfhMFL4TS8fMuMZ5BD962tNxB9rHbEu	124	2013-08-03 21:03:38.226815	2013-08-03 21:04:18.64866	151		0
12137	10vd3uih6n7psyodyxh6nlhs1b	$2a$07$tn2iQg0kJqlqW.txjXVpluZUGPRu6scyI/ntabd4NZyZjhQQEcTga	125	2013-08-03 21:03:38.250278	2013-08-03 21:04:18.766668	151		0
12138	10y2fv0bwik6qdvhoel5e5wt3g	$2a$07$1fMxVfWtoZa7G6gJsmCBjuEj5yF6f53RDH6N6av2GjAmQWUSdkHdy	126	2013-08-03 21:03:38.273564	2013-08-03 21:04:18.888074	151		0
13903	10p428ucclaxzkf2jy2brmdfvn	$2a$07$WiKLEN5aYxpZNJ1yVvwBQerHCoJ3ETj/dJGudtiZQeFF90TOGbmXK	1	2013-08-03 22:18:35.046186	2013-08-03 22:18:38.343643	166		0
13904	10bnog6novyvzr6x81bb98iyux	$2a$07$oN5x2b/pWtmcZu4EvD5yGekuXrxryR711i8bT/FjERwRJdvswXk3O	2	2013-08-03 22:18:35.07032	2013-08-03 22:18:38.491021	166		0
13905	10htqe7pyrnp57rznyngkcb91n	$2a$07$yVQ4Qr5FhKG978Jc/6npRe5B68Fso8XrNhvsb4zgjFkaTuOApjTX2	3	2013-08-03 22:18:35.094368	2013-08-03 22:18:38.611668	166		0
13906	10s85yjrg9dk96f2c5vznupe66	$2a$07$jk6yDqQidWudHlcFWluoFuLg3yLX814OXABATu9VhjW3vDWdW3NgK	4	2013-08-03 22:18:35.118277	2013-08-03 22:18:38.845872	166		0
13907	10o0eatrbqm40nqfs68l49vejb	$2a$07$Utp.V5A7pYRfx0Nez5ZdPec9hb1nF5kYC9KY7fYgYoYjJoynBGJ/.	5	2013-08-03 22:18:35.141153	2013-08-03 22:18:39.010636	166		0
13908	109esuepgvienaycui0h121rjc	$2a$07$YdALnZkN1Yn6ULufKMEcBulV3DPcrl1iTpn1Fn2QzC7n.vtEd8.hq	6	2013-08-03 22:18:35.164668	2013-08-03 22:18:39.166054	166		0
13909	10f0ycv0lk6th5jhacxd0hagf8	$2a$07$DhnXd3UveyHGOHX0n2yAq.AvKu4V50FOsjx04qsKAr9l8yi7EPHae	7	2013-08-03 22:18:35.188294	2013-08-03 22:18:40.16451	166		0
13910	106hxcuuvpqxl8ww29vuxmuorw	$2a$07$vOpFPTDX5pYIrYzevRSLf.EDcXt.fX.T5CisMXH3OzM2gy.BCB4Tu	8	2013-08-03 22:18:35.212039	2013-08-03 22:18:41.225671	166		0
13911	10sdlw8vvk1aczwj0m23j5reyy	$2a$07$Pujtj.lDuVsJUTIiUbozneOb0W2JKuPvWgp9JSwkC3fJA1uVjhmvq	9	2013-08-03 22:18:35.236108	2013-08-03 22:18:42.254113	166		0
13912	1025o5bjlwk5vnb2ehii114qsr	$2a$07$dhz4Pf7lErPNfMx3F27DkOZm3QyZlHVW0jlKNthuo9WVFm09liEYm	10	2013-08-03 22:18:35.259148	2013-08-03 22:18:42.366751	166		0
13913	100ho13kk6wdx0tlifo3lqta8o	$2a$07$5JZDzeCnkBOwHLMDEB6U9.HwYIZtots3ptLeUz.AnMOHF6GNPLZPq	11	2013-08-03 22:18:35.286851	2013-08-03 22:18:42.490962	166		0
13914	10wom0x9mzvt62nanuzxobs5p8	$2a$07$3HNT2grFZWjWfFOprhC4uOgz5mr8x9GBloKWKdp6zDItm/6tfxKVi	12	2013-08-03 22:18:35.31002	2013-08-03 22:18:42.620102	166		0
13915	10pqghj3e6g1vgrpychuo2v592	$2a$07$NqhEBXroAPMVdhnYYUpuwuMd.T6O.WCMZbWFpw41bePvPxaFlL6ca	13	2013-08-03 22:18:35.332517	2013-08-03 22:18:42.741616	166		0
13916	10gomfe8hiv4ruxk0gms516s1k	$2a$07$kGtIN8gMNlvEmgY5X3URpe.tStCoyefMmx5a1fT/uc29xu6mA4MWi	14	2013-08-03 22:18:35.357263	2013-08-03 22:18:42.858961	166		0
13917	10zvxmn0s337y14wvjdw0t7qk0	$2a$07$PuqOtpQxisWeG.g8HcGKletXgnK4rKF6csUPFzj9aIHrHWZo9.0nO	15	2013-08-03 22:18:35.392844	2013-08-03 22:18:42.969675	166		0
13918	10v7uhactptymvv47axga2yf4k	$2a$07$eXnRm8EFGWJuXyqrinpXxOj5PPQrXHYR1/lI7AvvuvD/Hib.6uaJK	16	2013-08-03 22:18:35.419308	2013-08-03 22:18:43.09947	166		0
13919	10tppqrl1sn5os4rjzyqrca6bx	$2a$07$aOiM6JzEPhUlrp02sfDE5O13r5X8fwzFDCnWQmcJGfD.1k9.8ffkC	17	2013-08-03 22:18:35.442605	2013-08-03 22:18:43.216648	166		0
13920	10qnz0a40feepmholrtx2s0l2b	$2a$07$dHOmZWBthp3ic4/V5OkRXevmx2KFpmpCLs8jRekAyPVPKecVcfgIO	18	2013-08-03 22:18:35.465042	2013-08-03 22:18:43.320392	166		0
13921	10p83squz6m9la84rl7i9m9ez8	$2a$07$veEe17iBZUtofZq87gagEeur1rN6cvUL5/BnuLOmIoioQCM6n4a96	19	2013-08-03 22:18:35.488677	2013-08-03 22:18:43.43364	166		0
13922	104nsfge9rt7v0tvn4g94j8xqi	$2a$07$PQiqY/0QZaZiuql84q7beO3qk8bIP2lTytgmNu8t6ArQyEelCOfz2	20	2013-08-03 22:18:35.511743	2013-08-03 22:18:43.580347	166		0
13923	10jyeivwhbjo1husgvw2yjdqgi	$2a$07$E7mFgtJASrobn479IHBdDuqxV2YhqpZJG6Mb/etHLhLa0pVz8gRuG	21	2013-08-03 22:18:35.535292	2013-08-03 22:18:43.726664	166		0
13924	102tv519jwmf704k2fq3fht136	$2a$07$ahPmOCbYDkvn.fCdr2COlOVaKjqrQHA2OHBI11GWoM7j6zvpxSPnK	22	2013-08-03 22:18:35.559811	2013-08-03 22:18:43.856443	166		0
13925	10wzeau9yespy9785l4tr94yxt	$2a$07$ZGh9uhhStJBANeSpcKGje.4Cg3iZDL51PdIW3e8yqM1QCScVil7Gu	23	2013-08-03 22:18:35.585702	2013-08-03 22:18:44.011315	166		0
13926	10w9h7y9v8cm8po1cb53f2snw7	$2a$07$wkJrb03yqrNw6WZx1D.ZseZGOQZG08PR/NHjqvWLSGGuZ7bMamnLu	24	2013-08-03 22:18:35.610862	2013-08-03 22:18:44.152635	166		0
13927	10jmpjd9pwn444s2wg5wanmffz	$2a$07$6Km.XcD7IFSCmp9zu6c81umVQtlLKq2bZf8MsF0jGD6gA3ypR14FG	25	2013-08-03 22:18:35.636353	2013-08-03 22:18:44.251625	166		0
13928	10ddox3b22svlwwyy5rwk0xuwf	$2a$07$gAOusKAZUbXeE8i5kiWt9.vac4KC5B0ccYx9pMkLm32Zogn922D0i	26	2013-08-03 22:18:35.668495	2013-08-03 22:18:44.364766	166		0
13929	10p8we097dxehiczhpbjlrw6j1	$2a$07$m8uPC2n4hrib7WSrM3kR3upx5fozL9IqEB1mHIOYKhvxs8mAAhxZq	27	2013-08-03 22:18:35.690953	2013-08-03 22:18:44.507144	166		0
13930	10jqyrvtm8tb0fhp3zchkoosoh	$2a$07$8AxHPq.WS9uz3nlzsSGC6uV1ixXXgU1QyBflHBQK/1zddSJQxALZ.	28	2013-08-03 22:18:35.714389	2013-08-03 22:18:45.068971	166		0
13931	10j1cyo2ymm4uax0zbizpo31q9	$2a$07$1rS3QZg2fYHTb46NZsT9NedwDCq0CGFwh7WLZ2vkmQoCdKarfUm7K	29	2013-08-03 22:18:35.737737	2013-08-03 22:18:45.523971	166		0
13932	10op0si11q2owqwxiki90w0rhq	$2a$07$f56KcjLNUl6GbLX3WBScxOTFYzy9C2utjawGeyiJ8SiDwTxWDSnfe	30	2013-08-03 22:18:35.760381	2013-08-03 22:18:45.925842	166		0
13933	10zniblq7w3paouowkvzn4xls9	$2a$07$5Hpd5QRdMDolOxHtruBl9e9n7CPOWHFnGodeGhgx2td2.LPb6k2s.	31	2013-08-03 22:18:35.783429	2013-08-03 22:18:46.067648	166		0
13934	104lse6xlx0zixwfa6b98a3zsc	$2a$07$Oftbnjb6rZotgSuHxoTLEuYwKLTZOmr0dKdzhjBZzmMIgTYmAcO.y	32	2013-08-03 22:18:35.807264	2013-08-03 22:18:46.19875	166		0
13935	104ekk2atk9fhd9nrs5izidrco	$2a$07$yivr36Em/jBS5ObDKixZKulrTP8VW1PHATjFC8kBWkAvs5B7K7RMW	33	2013-08-03 22:18:35.840134	2013-08-03 22:18:46.329793	166		0
13936	10iia793br2srd7nowvpiliayz	$2a$07$xhqoyVp7.WziR8GQTfRdmu9wV5RADTz2iYI7AKJvaBthJ8srXvHkO	34	2013-08-03 22:18:35.867268	2013-08-03 22:18:46.672706	166		0
13937	10twb0x7wpp60dntzorbz8z519	$2a$07$cbwAI.nMFuBXK4XF4ekZQOuTDYwCWf2gTl0fg.AW27buRNI0SMPs6	35	2013-08-03 22:18:35.889865	2013-08-03 22:18:46.858358	166		0
13938	106uhvre9hhrl1yj3p89d9apib	$2a$07$04RPl5KdstGOBGpHzUOrmOMC.iz5fdqwYsnzngegvyzuNPs4YjzQe	36	2013-08-03 22:18:35.913136	2013-08-03 22:18:47.129898	166		0
13939	1086c8adahd10x0sc8iali268b	$2a$07$QEi22wCM.vs3qHQwJwXVfuXZIUm6kTQ3Gzn9wnzyrfzxqVYUMPAjS	37	2013-08-03 22:18:35.944688	2013-08-03 22:18:47.270588	166		0
13940	10e0rwu738ptf1ao1g5zeyukwb	$2a$07$2vvYH5kkTVxuLsYobz51GupoPb6QEQCehjf8uYlAgU/g8oTW16x52	38	2013-08-03 22:18:35.974934	2013-08-03 22:18:47.410365	166		0
13941	100r5z6fgwaxnkgtoic36ah6ej	$2a$07$QUR0Y1smHHfPadvAqIfQv.YAz4RJQ8pqQN09z0ZbY5HgoL2Ol5GFW	39	2013-08-03 22:18:35.998193	2013-08-03 22:18:47.587705	166		0
13942	10qp8dk0150yh3ds8ne6cldms9	$2a$07$5aG0Hk6jRp2QpM1XfrYqs.mwuevKoxKd9JEzcAkrAmjlv5pmh37EC	40	2013-08-03 22:18:36.022287	2013-08-03 22:18:47.744524	166		0
13943	10lgzgx9w2yv8ur18re4vt4lb4	$2a$07$BIbsJIWg8NWZ.F.WuMXSWu6JYKQEQImczB/OTbbxf0TpUSSTP2Kay	41	2013-08-03 22:18:36.046723	2013-08-03 22:18:47.872561	166		0
13944	1055pa8ybaavu60wsphluq3o4z	$2a$07$smfhRQnG6ERA8QnW4RmxBu0dqZwNszPFYbrpdboC2RSI1UTw.VXlK	42	2013-08-03 22:18:36.070332	2013-08-03 22:18:48.002734	166		0
13945	109nfz3lf1lj213vzgzjsj9aty	$2a$07$k8ABRAWSvkU6Lod4JgshhegJ8lFPKF302MJuSe9E7pN9pgrMTBx0m	43	2013-08-03 22:18:36.092557	2013-08-03 22:18:48.126218	166		0
13946	10ewzwb6ckd36ps7p0dxl2u8pg	$2a$07$lC4N.MiBBTWhX4vMb7hHrOsk.BtGbpaCni77ff.9JZHzF2KgoQRaS	44	2013-08-03 22:18:36.116549	2013-08-03 22:18:48.261551	166		0
13947	10t8upge6mtb8a8f76e3x30v2x	$2a$07$2S8sHE.plMOVKGqAG/xXe.8fbxLzb3qZ.M5MBVmpzJZJ7cPJMXFIy	45	2013-08-03 22:18:36.141863	2013-08-03 22:18:48.395371	166		0
13948	10ftdcdyn4drk814hmja3izlk9	$2a$07$L7tOIP78wunonnjqEPTTD.wrvOkBL8R5ovcGjs31ONmaAKdm/XuWK	46	2013-08-03 22:18:36.165813	2013-08-03 22:18:48.528763	166		0
13949	10j7ef6v0g7heupouoxyz26ppj	$2a$07$o5oO976e/GSyCrK.vkbgU.eUU5tHV7KI0x.EXzRQg6UCd3pHfCOei	47	2013-08-03 22:18:36.188611	2013-08-03 22:18:48.673491	166		0
13950	100f0blxi60mdk3av1e1tub3mc	$2a$07$mh/1uznS58vANNn2QlNemOs6dmYFZUyGxpva6qOMK6PF.wS6aaMA2	48	2013-08-03 22:18:36.21272	2013-08-03 22:18:48.812856	166		0
13951	10fkdjt02s2035scwycilqysph	$2a$07$1RUWZnCUhIsLtgbIIQwhle5o9nHHT9MEM7XDni9DPPT/G7wKGi7Pm	49	2013-08-03 22:18:36.248651	2013-08-03 22:18:48.9458	166		0
13952	10vcxxzd6xo9rnf58iyzpb2u0a	$2a$07$KpGG2r0dSGQN6kTpdsBA3.CVCWV76rNibd5fkh33NzfKxon.8rUNa	50	2013-08-03 22:18:36.272645	2013-08-03 22:18:49.087238	166		0
13953	100nvggqbei28s5nlreswlvov2	$2a$07$BruhzMekSnqhKryp4/5UVuHfwBx5UVRJisEDxJQlb.84S7sRI4MQO	51	2013-08-03 22:18:36.296154	2013-08-03 22:18:49.213157	166		0
13954	10twid1cnqt53eq6yarw5i5nwj	$2a$07$ac0RZH7zkQsU4mUygF1aAuZITnHW9Wt8PjbT/CS740Ba9EMecCj8m	52	2013-08-03 22:18:36.319376	2013-08-03 22:18:49.661811	166		0
13955	10a648qg9qfpxaw2r6ry3oaxr9	$2a$07$UQ0r2XRtEQ1xdodfqwo3b.3yykaK/pyOPE1teb/T/As5ZPCvdSeRS	53	2013-08-03 22:18:36.34141	2013-08-03 22:18:50.048287	166		0
13956	100yog44axbzyjcaaoakdnuv7v	$2a$07$5XGFoauu1.UFOl4aogQpU.PhinqP9Pf2oui1Hu8RMrFtZkNcS4Xkq	54	2013-08-03 22:18:36.368675	2013-08-03 22:18:50.492593	166		0
13957	10m60bjwsxanr22x1xriawq41r	$2a$07$Hw7thP3KRJrkLUcANWUXBuiobjmMreoY5xHkSDuBSGEdhjPWYpj1S	55	2013-08-03 22:18:36.392967	2013-08-03 22:18:50.611691	166		0
13958	10b60nlnwt35o4rqgf2zjwazp4	$2a$07$yp3WbvLmqkVDjJiw1XOsNuUFNrUb50exBLCsuHbYH3tsHAoc3dUda	56	2013-08-03 22:18:36.415118	2013-08-03 22:18:50.733918	166		0
13959	10cx2euvju9uppvhkycphh1dwc	$2a$07$kpVO5MGBulvOv0F./1lTp.htYUi3A7oFwEHm/cnvrLKbTEc16RHEK	57	2013-08-03 22:18:36.438287	2013-08-03 22:18:50.875638	166		0
13960	10co59pi86xqpsm8qfj9zkrnu1	$2a$07$aS2xixWyV1UK7q71siR3Yu1jsZufkOb926HjNx/1W5EOGHrRjN/FG	58	2013-08-03 22:18:36.461875	2013-08-03 22:18:51.006992	166		0
13961	10rgvmzrcmaxtnico5oinhash3	$2a$07$ho6WX7F/1PzkvUdF1rwPkeyRuQuHFvbOhj5fzHmlhnfnMS4xoPPWm	59	2013-08-03 22:18:36.485226	2013-08-03 22:18:51.152995	166		0
13962	10dh2qhv9k274smstq02xcmljp	$2a$07$aPeK8TmFjwEBQaEtCGmvpuFzgHIGOq3tYRYNgNU5HA6q44LnNWFhm	60	2013-08-03 22:18:36.50875	2013-08-03 22:18:51.328675	166		0
13963	10mue1vt96liaobw7j5674ppo0	$2a$07$zVK09qzwZqHcV1LwDBQcBub59vu8N2TBxaMtErRWqK3.ciARTMsWu	61	2013-08-03 22:18:36.532471	2013-08-03 22:18:53.836958	166		0
13964	101nkgn94r8ckyll5xjdlaso98	$2a$07$ZrNEfWeTkF9P3bHnQn7bOuKzCVl4G75UJ9uVvQUv2PBC3fjXAJ7Ia	62	2013-08-03 22:18:36.557031	2013-08-03 22:18:56.950792	166		0
13965	10xsfhk8nz9qcdjv06exducbad	$2a$07$cs5Ywi/lvMqIutTTq4fhbePahigY.u3meyA6rz9uWMJddlG58Iws6	63	2013-08-03 22:18:36.582109	2013-08-03 22:19:00.149686	166		0
13966	1097pruvnr572lpgpjdamaaadj	$2a$07$a0dhvkj9sP5EvHeSJxzFIO6uULXoSC7Qb13ldkUGGFDVLY1mv/F4O	64	2013-08-03 22:18:36.619295	2013-08-03 22:19:00.297446	166		0
13967	104wfm83n441vq83j6mr8zrg8a	$2a$07$cdwENjx./3k40tzFSIKoBuiX0yLijiUyjngDHyrG3tI8mFwb3VkJa	65	2013-08-03 22:18:36.644589	2013-08-03 22:19:00.511536	166		0
13968	10mtyehtu1bsb6amhj9svzq4zr	$2a$07$81YXb4W6bM3Q71aq5slVbOD7dhYDH2OXMstEvMgI/8pry.TH8zNT2	66	2013-08-03 22:18:36.669466	2013-08-03 22:19:01.445495	166		0
13969	100esxnyjbipgwjzy98mrhoiy5	$2a$07$M364a5/.9q0vOqCmsgBrrOhmVcOcspTPWV6tR4zQFBvlL/nag78pu	67	2013-08-03 22:18:36.693288	2013-08-03 22:19:01.56871	166		0
13970	101at83mz9apisbzsryx3nce0a	$2a$07$UhM3RDtaYkGFmMqys7gUb.1YnVjWnSDZF6dTMVYzO7JjVRDD.YmFa	68	2013-08-03 22:18:36.71584	2013-08-03 22:19:01.696277	166		0
13971	10fel1hj7lzf285k0642vczr4s	$2a$07$dygMV0fIUkIaHek60h4.P.SnPdxlrLoKXJlISfwJibc1vYLE.u8bu	69	2013-08-03 22:18:36.739002	2013-08-03 22:19:01.81408	166		0
13972	103ypdr9qe22zy58a5jc0gqs8z	$2a$07$KHm07bYNFZTCe5LQJCHsFu/FV72sHy9SMNfEJ6ygs1MNKzodspEtG	70	2013-08-03 22:18:36.762213	2013-08-03 22:19:01.964819	166		0
13973	109njtet2d2t64atlswk6vndw7	$2a$07$kc0qcGEo1N5jFkNQ/kP6OO1lMNCSM6rzrMm6/59.7IK/9aZy1yRRy	71	2013-08-03 22:18:36.784737	2013-08-03 22:19:02.100478	166		0
13974	10p7ae9k6tn703k2zid2ygvqg9	$2a$07$EUmarDh/3y5RDX1n0i0iO.B7zdJs/4HKBgQzCnodADwbTVNyqDQ8i	72	2013-08-03 22:18:36.808149	2013-08-03 22:19:02.240594	166		0
13975	10jxns1s9o8u50pfx12xd0dkyq	$2a$07$JX.bzanhpVmQgCGQZ70gmOTnQoc4UtIf7WX6iXYAvl5UftwkoXHoK	73	2013-08-03 22:18:36.83199	2013-08-03 22:19:02.733289	166		0
13976	10avmuq9xivv3ck3mh488ws9xl	$2a$07$HSIoVtNdmzfRAmUSY67CqeScqsf3RwGgRd272dWY3UGlx7ttyY.re	74	2013-08-03 22:18:36.855335	2013-08-03 22:19:02.839897	166		0
13977	100nu335u29jx472p5r9n3yn2k	$2a$07$MW28X7ZpPRNg0hiyPKxHrOM7T1R2yA22Q3YgErJyqsX7AYDdLbkIG	75	2013-08-03 22:18:36.877896	2013-08-03 22:19:02.975382	166		0
13978	10l0dl2f8xxn2fzvuvp7hypl69	$2a$07$qHwn0yvkiMHiO2H9P9dkW.KefLeu.d2yW5yNMTQGS3pKBZfiraGYm	76	2013-08-03 22:18:36.9007	2013-08-03 22:19:03.137251	166		0
13979	107f464ckk83famuglrffjalvz	$2a$07$I3YAqZHMCpEUKdVn7MopI.duvmr6ghq1fBAkKIdmMMQ1Pf8OnXfTK	77	2013-08-03 22:18:36.923949	2013-08-03 22:19:03.299514	166		0
13980	10s4ygh0j5dd9qj503tg1zhek1	$2a$07$/bmoKM3sskMU/BgENRXT7eqPkT1ebjF7NMQ5H.tobhOUeuCNU4iVi	78	2013-08-03 22:18:36.946659	2013-08-03 22:19:03.44086	166		0
13981	104jiwuvzoh529o8kzsp3pp30o	$2a$07$KkmJ./TKXH8W33N/4evM1erYv3dKY47g26C2CFPRNEq/wAymFRngm	79	2013-08-03 22:18:36.969684	2013-08-03 22:19:03.570519	166		0
13982	10tbiypdbkrly7atgz2c1tu7kg	$2a$07$/zONs21Go8J69DuIUXsEVuyDMTQrXR0OS2jTgPULEZsSg1eJs4BlC	80	2013-08-03 22:18:36.993443	2013-08-03 22:19:03.710895	166		0
13983	100b923320z1hgfyez3djg8r6d	$2a$07$fDhedfxBfwMs0u5DrYkqrOALd/nwrQcVPqcL.grMIjSVQB/jsexxK	81	2013-08-03 22:18:37.036243	2013-08-03 22:19:04.196151	166		0
13984	10mfxi07v6vfeek7jxy84iasvm	$2a$07$lYdyggZBjAeojL0w5MdsfuRtGrpujQX.Fk85Oii.mySdUk5QjgH3O	82	2013-08-03 22:18:37.11209	2013-08-03 22:19:04.329834	166		0
13985	100nne5ox8p1o33frqc910uuof	$2a$07$ebGS7qtGJnjcB8iBzzHqOePQiGF3o27vGzwng50Ai.O.EwrPqkju2	83	2013-08-03 22:18:37.136475	2013-08-03 22:19:04.494465	166		0
13986	10r76u6gv855rgufnlu9znwdtb	$2a$07$MvNJFkZuhV2GWSm3/85mJ.4tBS.b027eNXTUlrn9G0jmKx8Ce2f6K	84	2013-08-03 22:18:37.163	2013-08-03 22:19:07.221976	166		0
13987	10do9tgudtnv4zxmyafyb23vqr	$2a$07$dC7846chWantJeLr/TpDXOHxgoC2.D0UsUVuGFEEUEWiqfaLn2Bdy	85	2013-08-03 22:18:37.186745	2013-08-03 22:19:07.501963	166		0
13988	103znahglqxeilq4y94c3y3uzy	$2a$07$nuzL1i2KXriSXO7VyUqokeAB5k7Y9yoKJptIIP7aoXPZgPPf9rQKq	86	2013-08-03 22:18:37.210276	2013-08-03 22:19:07.74391	166		0
13989	101ubxbyq17588ap6kghvzshev	$2a$07$GZRuIIkZrD8hUxnK0q6gbeUoa0UadI6o52YGTKqPYsMZ5kRwkYDFC	87	2013-08-03 22:18:37.233749	2013-08-03 22:19:07.875402	166		0
13990	10ra376sczdvh48sayjv41oycb	$2a$07$cmskGnk3TqtCFCzmdJqpJ.HKAcx9YXyX30ajmB7j6/jJ.sSdrrlP.	88	2013-08-03 22:18:37.257928	2013-08-03 22:19:08.086445	166		0
13991	101b04q0x1lcy2a428nvv3tm3j	$2a$07$uhAEzRLx76b3Z4bhq/2JDuj5Xz08BMZFLdfB/ekwnOt2mK2saRO7.	89	2013-08-03 22:18:37.28495	2013-08-03 22:19:09.180935	166		0
13992	10gjpnf3ruus1k60soqtwgqu0y	$2a$07$P3JgIFH1mffyN1ZDA49bIuncHKqp0SOwtjlYdjhCHat9PaE3bp/iO	90	2013-08-03 22:18:37.316413	2013-08-03 22:19:10.222677	166		0
13993	10ib0ahvrqhj0r99oh7tt8nbga	$2a$07$sfwLwaPdanYI67O.Pr/BbeE6FstcQk7u/NMj79UQGNI5NVISV8WqC	91	2013-08-03 22:18:37.339569	2013-08-03 22:19:10.349884	166		0
13994	10u6bh7jvroubilbrtqbfx1b0o	$2a$07$6P6.9QcXca9n3tjZPC8ImO9l/jwQBfM/6TRWIitVp/1Ry.qAytcNS	92	2013-08-03 22:18:37.363068	2013-08-03 22:19:10.470353	166		0
13995	10ehyyrcauy7ei49n020cnwwha	$2a$07$RSEfeXDHJNXJjnRZxsGVtOQxw1VcwkK7I2.7SbIiiltaVfe8aHI6C	93	2013-08-03 22:18:37.385378	2013-08-03 22:19:10.607517	166		0
13996	102h3j75bxhervxqxr5vo4voev	$2a$07$BsrGCqUrY/1DI66iikwx6ehSHZiVGlav4INsDgGctXtxRF5mbyAZm	94	2013-08-03 22:18:37.409005	2013-08-03 22:19:10.786929	166		0
13997	102w3cs3yy8xmkywlg7gcuw09f	$2a$07$n7eHcZiXllvqZ.F4aPukgeVRVvOhLjEbzp1FY81bkUN1tBfOd.PxG	95	2013-08-03 22:18:37.43233	2013-08-03 22:19:10.926453	166		0
13998	10nuhfdnqupvlogao3dskhc8a7	$2a$07$BAs3FtPSOWqttOZgjJoYEuqj3A8/0zHxNkuLIm0T69xsSi2X.1Oye	96	2013-08-03 22:18:37.455629	2013-08-03 22:19:11.036681	166		0
13999	102l35872at9r4e0kw0ft42eji	$2a$07$Tf7hQdh6uZ7U69Fa3Twt.uu0YmlcLmvPPvXb1Xozr5ZlKGfZj0.Iu	97	2013-08-03 22:18:37.479591	2013-08-03 22:19:11.169114	166		0
14000	10t309yf3c86atkasff6a0mufg	$2a$07$lZpbbvVdxZt8adVid4a92uzrViI3GQ.B3Fr262DadCjXjkxqHIJMi	98	2013-08-03 22:18:37.503017	2013-08-03 22:19:11.314064	166		0
14001	10i262ct0wu8fmz5c63mgun0gk	$2a$07$CksnN1WahAELnzbMgbrzGulQf6zP.NTSxE/tkOHTYBKUpqTT36JnO	99	2013-08-03 22:18:37.525651	2013-08-03 22:19:11.446034	166		0
14002	10x1dwdwan11nluoxqybdh7q1v	$2a$07$TpOhVypUdqz4OcLt1nm90ebtpgUmeAGtjOBZz2LC4ojZrB3Rc/vru	100	2013-08-03 22:18:37.549333	2013-08-03 22:19:11.591509	166		0
14003	10eoz0ni09o7l8t3zeozs1u0kj	$2a$07$2aXNVRjo2KdXYueC6gPPuu6Ke.DKhd28gYuIzbfJ1YzC/fzh3Clfi	101	2013-08-03 22:18:37.57378	2013-08-03 22:19:11.718915	166		0
14004	103ul4ggty7z80th3tueupfsjv	$2a$07$SLZJ4m7JWzzSSA3VkCs2qeNp4KpBC3t1sWDSbx2Di2ZQBPvgHJYNq	102	2013-08-03 22:18:37.598915	2013-08-03 22:19:11.832967	166		0
14005	105lothfodv95t0jh8q0yeeb3f	$2a$07$AoEi.jN6f1Q1.Inpp1L6Sefe5nVRIDMNCn0Bld1HMEL7xqlQY/Bw6	103	2013-08-03 22:18:37.623359	2013-08-03 22:19:12.207388	166		0
14006	105vdfvq9r5yezi92a27e8qt6e	$2a$07$QQWzRThUL0FVtHZ8AObJveGXLW21dOuhEvqo/qZaQhnKKxupK9Op.	104	2013-08-03 22:18:37.647604	2013-08-03 22:19:12.552364	166		0
14007	10w4aphtaunot2101ae92fo4py	$2a$07$dDsUoXpUagfeYhdWnTP86OTLn8Tcz9TzkjIkgrb0KKi8tOKI5pT4e	105	2013-08-03 22:18:37.671989	2013-08-03 22:19:12.690556	166		0
14008	10yd61gcwnhc2rbaj7mil93dd6	$2a$07$aVN9HgbQgVCVyLPnmtvbqe0Km80XGVs6CasU6mSFR5E4QqqGkol1u	106	2013-08-03 22:18:37.699038	2013-08-03 22:19:12.788282	166		0
14009	10612pc7387grzcqnx2lsfj7xa	$2a$07$5LA1tiFOJi/urL7teQBH4e6CODZ6c3IBkK1iWNS0u29ZrWQGEtXfO	107	2013-08-03 22:18:37.723664	2013-08-03 22:19:12.932655	166		0
14010	10pi9cvbd7mm3v8nkr600uibvz	$2a$07$vLhTgcDs9UsvDUH5qbDnyeZWYVF9FRMm/dAUPF1wbnSCZ5ObxBYCa	108	2013-08-03 22:18:37.748513	2013-08-03 22:19:13.073775	166		0
14011	10cdrd1wc363c1s2za2q77ih9x	$2a$07$UqGXThpli5VZaFTvfwrNW.dENG42CKvEY3V.zWVRHRbM0g.tzX1YG	109	2013-08-03 22:18:37.775916	2013-08-03 22:19:13.191611	166		0
14012	10mh7l6wsjqed8fuwbnwonaig9	$2a$07$sWuOchm1LhC3z939w8sh0.qZp7FzBVSD3I5yrMRxqh2uzX8Es/hTe	110	2013-08-03 22:18:37.801197	2013-08-03 22:19:13.305226	166		0
14013	10ryux2r04m2hq3ln3ecv3u7dj	$2a$07$pQw0Qyw//5EJFTLjSNwSOOF0ZzNf9.YxUXvA9Gjw7IOdG0mCfezOG	111	2013-08-03 22:18:37.82497	2013-08-03 22:19:13.435453	166		0
14014	10v5eij1prb7raktyw19qs6i2u	$2a$07$JZwx13LaczF9SzRafoIQUe8FNVdUZe2IpD/l.t8oumUacqkGOplkO	112	2013-08-03 22:18:37.84754	2013-08-03 22:19:13.567039	166		0
14015	10g2muwny0zygw43q3x81g6vbh	$2a$07$GvJ7019C9508VXnuWvf32.oiSRTCVvttYB1gVikTyHgLbpCU0anPG	113	2013-08-03 22:18:37.870371	2013-08-03 22:19:13.707549	166		0
14016	1096u5tjq70r92lhadfkelcz55	$2a$07$oORw.mAI/3jQWbxUYvJ9peSf8lSTfe8PwOefdMP7jZUawql9Pc/ym	114	2013-08-03 22:18:37.893833	2013-08-03 22:19:13.83714	166		0
14017	102bytijmhhalrk6nhh4qoxxu7	$2a$07$BU.IhRENPUN7YJryOQQFleR6Dscz/4yWcQrXcvZqKybpJaNLWy9O2	115	2013-08-03 22:18:37.917273	2013-08-03 22:19:13.965444	166		0
14018	10nunw06jv8lm0lne2u2ut71lz	$2a$07$uWDZ5rGC1xelX5KYcAZcyeu3TX27wmNCqnZJbyE0sBQB6qIdbD3mq	116	2013-08-03 22:18:37.940175	2013-08-03 22:19:14.123555	166		0
14019	109mtcq8ltimrvkir8fvzcr7ht	$2a$07$W88WLUV.QozRumHLCn437eGpr0E8KErFGZBwL4dI6iKhUf2fIR2va	117	2013-08-03 22:18:37.963319	2013-08-03 22:19:14.257227	166		0
14020	103oocwate4dpc3zbfbd3jwtmh	$2a$07$1tB.evv7KhQQO1d/dy/3i.QiQYEpJwq2ulISGQGcyDmrvHs0mGQlu	118	2013-08-03 22:18:37.986181	2013-08-03 22:19:14.384362	166		0
14021	10utuc44ev0o338vadwc6dy2xk	$2a$07$hgyGcF6jOWR0AG449dMj9On2CfQQtTmSiyPc.z632Fd2Wj.UQJcZu	119	2013-08-03 22:18:38.009989	2013-08-03 22:19:14.509224	166		0
14022	10sjbg76xlbkr07eigqyvbodyw	$2a$07$bqFxNaWcAdroAhk7GpH1O.YOmkwuHHBVHuGfLRy.fKb6Uk94NkDaG	120	2013-08-03 22:18:38.033608	2013-08-03 22:19:14.717299	166		0
14023	10ci9h5qtpiuszjqae3uvnais2	$2a$07$buqb7OVu38HWtfxoTPHoPukTyxwCreuY6EFmu2pOT3QCsBexNJBI.	121	2013-08-03 22:18:38.056303	2013-08-03 22:19:14.860625	166		0
14024	10yx1ulji3mwddelk2h5qxwumk	$2a$07$WsFmvc2p87vD4qBq.KKj7umrbspCkw7DlX/z5UNK83wNjAxUGYunC	122	2013-08-03 22:18:38.087331	2013-08-03 22:19:14.996353	166		0
14025	10aghwntaowkrb4k11zejtk6xi	$2a$07$8k8uoHV7tGVaL8HgksFJqeJbHXNxpBSKtQ2g6bgk5gbh1PDxtR5ZW	123	2013-08-03 22:18:38.110284	2013-08-03 22:19:17.572984	166		0
14026	10n6o7rsvqd2ofgopxy2biy51y	$2a$07$POnV35cOjL9oDy.oWOmK9uTb.EPJ/qkoUjnA1cx7IuxPhj/rn/94m	124	2013-08-03 22:18:38.133786	2013-08-03 22:19:20.342853	166		0
14027	10r7v41pkhf2pir546zk43v206	$2a$07$BN.lnRQIqdZyP5ui6RMQ1ex.auVPQmywRdSeqTlLn9t2v8pfrLOPK	125	2013-08-03 22:18:38.158715	2013-08-03 22:19:20.727731	166		0
14028	10mn7ugned1r6vylwiur51la3l	$2a$07$YJdvp12pXqVhy9Kx3rXDTOCPoNkD.W69HfMHFjiG1YLCYv.SsCxNC	126	2013-08-03 22:18:38.183831	2013-08-03 22:19:21.120711	166		0
12139	10uiciwrwadsykgdeeu0654js8	$2a$07$nRv8ZG89DgWmi2X7x3kWFeYIRPvEAbYnizDfJfBYVAbnqlyZSY5B2	1	2013-08-03 21:08:35.070157	2013-08-03 21:08:38.606504	152		0
12140	10k7y74oa4waunw1kghj0ft75a	$2a$07$/KpszpVWijiVx2HXW1CTbOdguXUEBJMjPMlqrBzhtUpql0vetBKUq	2	2013-08-03 21:08:35.096087	2013-08-03 21:08:38.896713	152		0
12141	10f3qi3o0pmc7nqibylhgdp27a	$2a$07$h.leJyDdqQLNySx2ESSUMOmSxQLrDTbYafmeg5MOZBT8OxVt97w66	3	2013-08-03 21:08:35.121313	2013-08-03 21:08:39.152945	152		0
12142	10ul8o96spaw8zwwkh6gs0buud	$2a$07$PV8wPBr8QOcYabGXPskdL.v5J/QWyYiotiJyWdtt9NeRKBkGnC14W	4	2013-08-03 21:08:35.145597	2013-08-03 21:08:39.312519	152		0
12143	10dt0vmbvoobla5yoee05shrfv	$2a$07$idCQX1lD2cqwKwWkPs3.9eADPrqOdWXFutVQQEJV2qOisJrLELETG	5	2013-08-03 21:08:35.174885	2013-08-03 21:08:39.457212	152		0
12144	10bgkzeuypmqhry6439b9rq48m	$2a$07$zoBWYd1TCFIPMF.2vIwcae2gB2w.BiGwEK5Z3ADxHtnpYW6MS9BjK	6	2013-08-03 21:08:35.198825	2013-08-03 21:08:39.585912	152		0
12145	104bydak9d5ol4bn7vr5yaxtkc	$2a$07$2BeygeQobIV5XoaD3wjD5.m4araPM64zpiAneWKzJCrAo8KI0rKAC	7	2013-08-03 21:08:35.222571	2013-08-03 21:08:40.604171	152		0
12146	1014f1b2xp5g0vjk9j85gyacz0	$2a$07$4MeZ4NJyyaecvZBNDcZwiOLHI1MuRt6KPxahmiH8aAV4BfMw00dNS	8	2013-08-03 21:08:35.246665	2013-08-03 21:08:41.629356	152		0
12147	10w9hi7grvpuvmtfhfrfeicwo7	$2a$07$HQDq.lB/tmIwFkVK2kYMm.1kzAqHNz0ZHXdVhrFLXBIC1FOw409b6	9	2013-08-03 21:08:35.276712	2013-08-03 21:08:42.633884	152		0
12148	10ggpxd4h8dxggi4t9kdjpz4t9	$2a$07$lOOEXj8.6M68m0tLr72mN.AdH8.rr6zQjytkWoXh99Mc/l1WkNy6G	10	2013-08-03 21:08:35.310844	2013-08-03 21:08:42.770783	152		0
12149	10ghfl2gmtqvdur37k3whm2je5	$2a$07$QtyP7oFTLPtEQe34DrSbueqOVgD3I3Dc8DXIApzVKM8b8qkXWW19a	11	2013-08-03 21:08:35.3388	2013-08-03 21:08:42.907622	152		0
12150	105vccftiw3bp9hv3754jb3dfw	$2a$07$0q80JN5DC5VoYasrCob1i.uNUmID9VSzgdApS/fdIfB5Z2bWwdz5y	12	2013-08-03 21:08:35.371294	2013-08-03 21:08:43.02808	152		0
12151	10be7oner7tjdhrw64jlcdglyy	$2a$07$MyJtdNLQQWw93.y0SxlePOhjexMDEtyyPKj6E32GftOib.lgeAvgK	13	2013-08-03 21:08:35.407919	2013-08-03 21:08:43.183437	152		0
12152	10w2fzgws1r0ehnw9i48vpoaqa	$2a$07$1OJSXQZwvKFpEgHlQAyIQORAU/hw5Rioh88DdBIpGyuB2WwdTt2D.	14	2013-08-03 21:08:35.442587	2013-08-03 21:08:43.319083	152		0
12153	10lkwnr4k48r5t6tjlepalx261	$2a$07$Fs9x31da1PM0HwoeKPQnzu3w7d2riOYP3fhPtpjdPL3wxWxMpcw0S	15	2013-08-03 21:08:35.469646	2013-08-03 21:08:43.437019	152		0
12154	10keqblkzqqh4j2fy3yfcc45do	$2a$07$sUyhENbMrviCwy0lbarzg.G9Rnf392YGF5COvapYmKT/Q57YOi7Eu	16	2013-08-03 21:08:35.493713	2013-08-03 21:08:43.567332	152		0
12155	10x0kmohngaga3jn50zuklix1c	$2a$07$ul4aLQOGpTtnYradbAjCv.YCDiFdJ/Xnv3WAIwL8tmdtc.6yr0gou	17	2013-08-03 21:08:35.52547	2013-08-03 21:08:43.687951	152		0
12156	101fwym4cbnavgv1iy45m29pny	$2a$07$xFQ4/3zlRWKICVaT43xlZuCb7hX8cTVw/JGOVc3jitB71m2sn3n.O	18	2013-08-03 21:08:35.549704	2013-08-03 21:08:43.824669	152		0
12157	10dyhimzvkd0mem2muqu0r7bxy	$2a$07$2ZwZNxNr1tXf5sFbnKKjXOGZUsR.PAOoWEe1nk3d38/6gZJcnnYLK	19	2013-08-03 21:08:35.5807	2013-08-03 21:08:43.964031	152		0
12158	10arhe8yqc5lgxp52lvzn3g55j	$2a$07$bVLwb/kdyy/62fNSUg2JiutU71LVB5FzrBhZJhZ7d5feh9OWfkMNW	20	2013-08-03 21:08:35.611512	2013-08-03 21:08:44.076122	152		0
12159	10qfdtbwz3z79dk22psvgr0jep	$2a$07$nrKo4j9VjptJXERb.mWue.29sCBEFkbUj4utrF6gR2tAxkWD1krkG	21	2013-08-03 21:08:35.645634	2013-08-03 21:08:44.187161	152		0
12160	10qrea2sy319blpytfe4o16tuj	$2a$07$hTk8nmR3CqFf5ZKcIvtpTO0.1vUB/4tUzuYFKH5z2wNAD04./PFQ.	22	2013-08-03 21:08:35.668882	2013-08-03 21:08:44.291229	152		0
12161	109i04psxnsvcjwmxoov4akldu	$2a$07$SKZCSw6fntcmmPHQD/lFYu6T4wtdMWKF6VpKiae3QK.7JL/DF4jRi	23	2013-08-03 21:08:35.691117	2013-08-03 21:08:44.405189	152		0
12162	100bx4yarqpkhkvy0mqb9olkk5	$2a$07$XjzUnHkZbUG0Rb/Jm7k4tecB0KbAhMnu6MfLLyurzSVjPVknZHGfm	24	2013-08-03 21:08:35.713991	2013-08-03 21:08:44.533824	152		0
12163	10w7jzndyu29ojxfwsbalyzg10	$2a$07$IQ6KlbxGbsn/0wgMkpSUWeTDa/lXdYsl1crnr8bZEAUtctHvpy9qq	25	2013-08-03 21:08:35.737707	2013-08-03 21:08:44.667262	152		0
12164	10oes80oc3f6xxnzhccqg2cf0w	$2a$07$6TKrFYYBnEqViT3Ce7LiIODfgYhOOWLVljiAxhh0iqpi8nzK53AP6	26	2013-08-03 21:08:35.759919	2013-08-03 21:08:44.792475	152		0
12165	10f8eovqytixq1b7e4fdmsyl6y	$2a$07$XwsZ1yf4RmJdHBrfrMdLHOPK/sKmG9xWH5Wsns8pps9tnTFu8IRp.	27	2013-08-03 21:08:35.783211	2013-08-03 21:08:44.914803	152		0
12166	105yjr9e2dt2c6nswk2kzaa2z2	$2a$07$WfvPgm6isCnb5bRwaDhbuO8bKUYMjjupRTdiH3UjGcWDqSzv2pXPK	28	2013-08-03 21:08:35.80518	2013-08-03 21:08:45.139146	152		0
12167	10ruhm47n50wi98y7qjg4ftu8i	$2a$07$Scv1GozGGdAwQqKCLjWD6uIbAIHhD2H.cjnf0T0XIuk4kjoKwhP9W	29	2013-08-03 21:08:35.835529	2013-08-03 21:08:45.477474	152		0
12168	10mo6i2rkxb8trrg36abt6h13p	$2a$07$cGDzBnuWMMQQ8T7yYQKXyO4snaT9mBFEoKfMM1zPfZDYKx5t7UxUu	30	2013-08-03 21:08:35.858898	2013-08-03 21:08:45.78537	152		0
12169	104ucsub2wt56l3jh3yntjs4wc	$2a$07$Xm9AzN/4F63L33mt8wZlwuK5ZL1AB57m.eljGGRM2IWvaCSYK5Xbi	31	2013-08-03 21:08:35.881893	2013-08-03 21:08:45.938201	152		0
12170	10yvx9eyawuh16fdhrfa1xeig7	$2a$07$YTLhdtBmSY6kNbz9iz9lguB2AiYYdmRizheAdQOUw8.0i65gvk.6a	32	2013-08-03 21:08:35.905612	2013-08-03 21:08:46.065555	152		0
12171	10lwrva73a141pobjhdscmcx1k	$2a$07$XmDPN0ew5bQFy.I4NqX1OegbVNg9UkGLfZgb8S9VVjGicfeXcZrKO	33	2013-08-03 21:08:35.928863	2013-08-03 21:08:46.190446	152		0
12172	10ol3a9juw1f8ziy4s7jq2vijc	$2a$07$ZaP0CNKDlzR5eBzeVCrWTOoX.Q7ydElZffK9i29HMUg.RgtdvYxyC	34	2013-08-03 21:08:35.951596	2013-08-03 21:08:46.339521	152		0
12173	10zhh6ee2dmxwnfpj8ljwoiwjg	$2a$07$dyTq0CwQ4hRORmJpT1ZEVeZF.gQ1komeQfrwVlclTh5eOjOmUFzve	35	2013-08-03 21:08:35.974907	2013-08-03 21:08:46.477924	152		0
12174	10k5br9akizdbfrdmqlvr6hu7o	$2a$07$oCVhmvpV7ZB19kAvyuuwGu5TSv7lHHJQ0nV2gjRtPxX042vAds2Um	36	2013-08-03 21:08:35.999422	2013-08-03 21:08:46.622987	152		0
12175	10mtui1vcxxjzp6jzq1wqk4qo3	$2a$07$IrZnij4WPLXUmFuiqeRRcOuO.bS9fbHbplNIwkfjjMG1mYgAxXetm	37	2013-08-03 21:08:36.034504	2013-08-03 21:08:46.769545	152		0
12176	10tzz78mcbp7ta6ke9jxeujems	$2a$07$iNj5aGU0CiB3Ct66WluZTu3UTYNSjlTu589DK9hRxt2aW/3xvMVb.	38	2013-08-03 21:08:36.067198	2013-08-03 21:08:46.907286	152		0
12177	104rg9zqqza8eeluodk5f1pfw1	$2a$07$81izzQGHk.jnlolPYbc0mu9iwq6d86j11MhCJSQSTZfNVtUBzhBMS	39	2013-08-03 21:08:36.092531	2013-08-03 21:08:47.040579	152		0
12178	10ob75kar1h38z7kzt4jcasw5h	$2a$07$Z4dYLiVopu3bwvtN/kvla.80ldNrXQn2VBw2ho0YqH6Ir6389hmqi	40	2013-08-03 21:08:36.127585	2013-08-03 21:08:47.154362	152		0
12179	10tg37fmek2nj5e15t9c6oezqu	$2a$07$4mXCbkH7qiOspk0urve0QeVxDLxnsHRGAYgV7kujLbHgWS6NC2xPS	41	2013-08-03 21:08:36.154218	2013-08-03 21:08:47.341224	152		0
12180	10bg298faeo978dzh870oa5y4q	$2a$07$i5XEiiDw7dcqTWHbr02Zou5RFVQOHJcP/7HF9nrWXf/FA/GZutHjO	42	2013-08-03 21:08:36.178488	2013-08-03 21:08:47.480346	152		0
12181	10y1r47sqeb3iwdsfm4h7hfmdv	$2a$07$CQDj5UrSyI8h4urvagA5CORUAU.fqHL53hkLKKYcjylmKrQzYwkZ2	43	2013-08-03 21:08:36.201564	2013-08-03 21:08:47.821702	152		0
12182	10jv7uxb1b8uk5yql2ee9lp9y9	$2a$07$3.M4Jl/BcGMCwEHUWelTMeJe15AIT6..czIXW9oPhl8p9EiWSn0dK	44	2013-08-03 21:08:36.224544	2013-08-03 21:08:48.035025	152		0
12183	10k4pvuus92ohzrbrils7rqk5h	$2a$07$4Gqfa1pozp8QFc7FSzPNSu0Lur4keO/Cf0ny3uKxRu4.8cRhS725G	45	2013-08-03 21:08:36.248472	2013-08-03 21:08:48.296949	152		0
12184	105unt8lbxzfo278hbspb8m7d6	$2a$07$DfXjxWDuLy5OAW79TvdJvulaJB1wZQ/A0FB9pJ0D84r7BeX6MoPHW	46	2013-08-03 21:08:36.271857	2013-08-03 21:08:48.43726	152		0
12185	10v5eftmhdeb37pfucq4vuftub	$2a$07$8cvdRB82yZpEOjQTrpIe1eZ9D4HnFuPTC1uKSti.pxIPIgTIKVzEG	47	2013-08-03 21:08:36.294524	2013-08-03 21:08:48.55539	152		0
12186	103k57fmcjyw6c77w9la4c1jpq	$2a$07$V/Zt5GM69lQpIS75FQdr6uXmT8eg4SFtK1RSk/XmRmJpxh4muwc92	48	2013-08-03 21:08:36.317291	2013-08-03 21:08:48.681042	152		0
12187	101i9rq2wqnoitjx7lha0hbz8e	$2a$07$6hklG7M6WCpikzTBayiBD.wf413fw3vu0G8amBtuvycso/2s4Vg5K	49	2013-08-03 21:08:36.340608	2013-08-03 21:08:48.813119	152		0
12188	10lyd6juvgfbkcusbdads12jct	$2a$07$WAXFFWbUKkuxGoWQM.bB6.Z77d/DQC1NANhyXcXHfjR3PWwa2T3LG	50	2013-08-03 21:08:36.363104	2013-08-03 21:08:48.977222	152		0
12189	108qlds6u6q7uued10lb6mzn66	$2a$07$pL7BPlTywehbDKU8QrpUA.qe6rOh9W7CfBfdPjB/9QxU8miHUcwLq	51	2013-08-03 21:08:36.3859	2013-08-03 21:08:49.118906	152		0
12190	10gsyb289he6yy43p544yzkfze	$2a$07$St6mMcp4NwtsK71ukPCSm.Rj9wwSDxqlav7LrjXMLYHQto8wSIWYG	52	2013-08-03 21:08:36.408643	2013-08-03 21:08:49.429498	152		0
12191	10sf7up1puli4skeurlyh91trh	$2a$07$AANrQkVYAVy2ER/blVsdlulseyRnQTlDEXPUZkdrrO9hdJLiogjFq	53	2013-08-03 21:08:36.43148	2013-08-03 21:08:49.728216	152		0
12192	10zeiqr60rc6q9xwuvpaj8p0kd	$2a$07$il.LhOIscHiH8bF59Aah3OznNrc9UXdoOmKMK4FoOeqRrb54/3SZe	54	2013-08-03 21:08:36.454753	2013-08-03 21:08:49.959025	152		0
12193	10hs7z7xx6nz3rt40viswnnfw6	$2a$07$EJTsDqqA9UrhwhhUFQmEKO1pwILKrc27V2MGj0S7Dadrgvk7h09oq	55	2013-08-03 21:08:36.476724	2013-08-03 21:08:50.076748	152		0
12194	107ggacyuxtmxne5zgljenyr3p	$2a$07$N7y/sJhQjhjz7B2esilqj.p9SQmhxs0TUCsAIlR9maNtQs85UctGS	56	2013-08-03 21:08:36.499705	2013-08-03 21:08:50.207986	152		0
12195	10pntmf42ub5sz8oyo6nmj1dhi	$2a$07$TixLqEtLoXcNIdBkD6kVreCtUX7vG4D78jE4DUZ/sf9TXe7g8F0lu	57	2013-08-03 21:08:36.522595	2013-08-03 21:08:50.347051	152		0
12196	10f18mjdtxd93mqpb6l53xbl9g	$2a$07$TfhKRRqv4knFMCKN3aufCOJmOQaR1aafQFZRLc.XGbfW/6uv4EETm	58	2013-08-03 21:08:36.544638	2013-08-03 21:08:50.518592	152		0
12197	107ue3a0hnhkxnssr16pu1h5br	$2a$07$qA/Mxoqqn6px7dgZeUXr8usLrpogcLZRj7KVFS0guKNdPeyszSC4K	59	2013-08-03 21:08:36.567447	2013-08-03 21:08:50.676412	152		0
12198	102lxvm6t8qhokequ7gwbbswve	$2a$07$ihmKs66bae5SoIyAQRapuu2RIbPXbgTece/U.feQH24i7GFoo8jju	60	2013-08-03 21:08:36.590179	2013-08-03 21:08:50.829157	152		0
12199	10u14mv5w8i2eu7ypyv7x3ovag	$2a$07$2qTdZPCpqAmC/jELEZ19h.rmCrFc1NrNiTkp4.RYQqVWjV343eu9.	61	2013-08-03 21:08:36.61358	2013-08-03 21:08:53.733523	152		0
12200	10yxnhuykcwjwdxn97fo9gvcad	$2a$07$xpqUEKNz72Npm2JcdPtDduFz2o8UwyB4rPlCZHLdtn8/uaUEkT.rW	62	2013-08-03 21:08:36.635997	2013-08-03 21:08:56.745303	152		0
12201	10bj1731wwusbt95x0qbgfhpr2	$2a$07$WFisqWOelaimFEfvGZtnSOCTsFFtsW/KDqJvXlVbq5c2u6OEypvKy	63	2013-08-03 21:08:36.659783	2013-08-03 21:08:59.920062	152		0
12202	101vq3esrltgwyptyef6midwrx	$2a$07$P6.V6ZWFhtAgaz8NYa4Ba.8pHGp.U17W6gRh8mWRmS.GT03AV53OW	64	2013-08-03 21:08:36.683041	2013-08-03 21:09:00.140017	152		0
12203	10a2y0lxw9o4wjj1ybwnsx4xp5	$2a$07$48wfLsraPoPNC1PkZ.vLjOoKF1qOlvKJBIvWV7FjvwbS1jXTrWW3S	65	2013-08-03 21:08:36.706147	2013-08-03 21:09:00.296393	152		0
12204	10c4nbu9et0clpt9ynit1gua29	$2a$07$nAzPIEIQvQpr3nD0yDWRRepvRHseVA/sdnPV34GJWb5OOV2ozVRF2	66	2013-08-03 21:08:36.729271	2013-08-03 21:09:01.292348	152		0
12205	1097yyxnt0121kwf232qjbnzhr	$2a$07$45ESJvrT15Qa.lJctiLWCeFNeSACpUxRKNluRb3qmTdiBvvBRxFWe	67	2013-08-03 21:08:36.752902	2013-08-03 21:09:01.409752	152		0
12206	10nrsrj3i0shb9vwigz00rnfxh	$2a$07$O3dCNCF8C/ASkagiqRVxSe7EpizhKdbl5fGKC4OLZ84dJix68OAhu	68	2013-08-03 21:08:36.77519	2013-08-03 21:09:01.519739	152		0
12207	10idf99quhmomvm6m97tluklie	$2a$07$e7T04h0r1xDptdUVCKGEbO7dfvCH1Q4aNRwIgET1dTIdQUOcQzmCu	69	2013-08-03 21:08:36.798542	2013-08-03 21:09:01.634427	152		0
12208	10jer22icbh8hdsjc1nusz7uzj	$2a$07$GNqmrNNUhLNz.IH0PL9GEepcxRp/f1dok..E5ol8oyyriKZJHpcfq	70	2013-08-03 21:08:36.822331	2013-08-03 21:09:01.744804	152		0
12209	10dh5zjgndeqxpqgetjssnfa5t	$2a$07$.I8UCw7VWF4LgBpsBz9WXOHOIoH1hFehioMSue1gfOQE7VhVdjaPy	71	2013-08-03 21:08:36.850652	2013-08-03 21:09:01.852528	152		0
12210	101cinlkq2ot3td0j3m67mvu3x	$2a$07$E8ZHZPPy1CFiL1WR322ifepnRJNHOK0dvVCt2hX6Ek9zdupgb70MS	72	2013-08-03 21:08:36.879288	2013-08-03 21:09:01.97273	152		0
12211	10am7h2kot0xa854ojsfolscc3	$2a$07$xUMp1HB12ZCgQrPNORjHK.AXHtMBR96V92BRamcKm1fEcS4SeOxKK	73	2013-08-03 21:08:36.903432	2013-08-03 21:09:02.300948	152		0
12212	102t7i08x9w9keg7d06ttv00zq	$2a$07$kcbjoyQ5/wInjz1S97i//OS9W1nvk86BXIz9k8VUm62ZxAF2X0ufK	74	2013-08-03 21:08:36.927376	2013-08-03 21:09:02.427224	152		0
12213	10quom09gzbf1zdwp3f65phuyf	$2a$07$ZFjGSxFMiq1GFUOsuyP2W.vaJ8rCTrvW4pmRsMEgrkPe6nwFrJ2Cq	75	2013-08-03 21:08:36.951526	2013-08-03 21:09:02.693211	152		0
12214	10ch4k1ki0ezjlz4gz1iq9cs2g	$2a$07$iosOlvc1PSklFNqoUJnQEu5QwBJpIVO1wOPvtgOnLuuJlGfnZ5g9S	76	2013-08-03 21:08:36.974382	2013-08-03 21:09:02.826603	152		0
12215	109xabet1t8qalrvupqjgyea4s	$2a$07$iJkU80SLvXB2oCEowWiZEOgTqw3/okBicV5o62uJtt5eGl1Pdy.1K	77	2013-08-03 21:08:36.996844	2013-08-03 21:09:02.968691	152		0
12216	104aio6tanmhcgc3s7ibssu9gt	$2a$07$4wHr0FyftkJzRgMs/B4Gj.LOHT60.3xnzyIKDML78u2YrywJh6G4a	78	2013-08-03 21:08:37.020477	2013-08-03 21:09:03.266412	152		0
12217	10rgcjay8rsl728927ugbit9h7	$2a$07$g.jLItmRoxue1/vHAMuoxerjX7L5hba95Ag80BtaCXsy9tnAYSs0a	79	2013-08-03 21:08:37.044519	2013-08-03 21:09:03.406598	152		0
12218	10xj9q71nqkfzqdq3206qu4mf3	$2a$07$WNjLXCyr6MEC6HhSxioo5uE5Hv1HmOToEnu/f2h5XtxHOO1D0BH/G	80	2013-08-03 21:08:37.068458	2013-08-03 21:09:03.59538	152		0
12219	10wuf4x2830s33pzl48y9uvx9i	$2a$07$GYjWDWSOaizeqKuPk3fmf.p0MwNML16q79ypnSaPPlUD/SbFfOp/u	81	2013-08-03 21:08:37.094904	2013-08-03 21:09:03.902153	152		0
12220	10azn3xvy1twgqtabv5vxse95c	$2a$07$86UsfwA48xetqazhCGSrz.AhW5CMT9OqQUn2lrk68AgpdOyZpw6g2	82	2013-08-03 21:08:37.117664	2013-08-03 21:09:04.026464	152		0
12221	10xmf6wqgsbx6th4mm1nod5lqn	$2a$07$AcHsC1Nn5qvqluwIU65gk.UE.t.PKMJvJ8kyABFVqjHezPyPT5Pwq	83	2013-08-03 21:08:37.139979	2013-08-03 21:09:04.158632	152		0
12222	10vzh5cin36vj7k9fzddnz26ay	$2a$07$s6JkPDuht1FepvtW.22QBuE1RzvrsHRNwxNyhBuKbAC6gSgPegZ/G	84	2013-08-03 21:08:37.164415	2013-08-03 21:09:06.923468	152		0
12223	10qb4x994wv9v0r0a2tuis6uoz	$2a$07$/YFTKfDSZe8kqsvw1tpyguic4dz41CsJACiVqKeEtpYAVJgWLJjAe	85	2013-08-03 21:08:37.19927	2013-08-03 21:09:07.071124	152		0
12224	10f58vrqflz71tmrxcs36jjbq8	$2a$07$ngDKd2f7iFWBVmIuu8xF3enk6eiHx3Mm7mk/31bSw46vpsLF1gsbS	86	2013-08-03 21:08:37.225307	2013-08-03 21:09:07.21118	152		0
12225	103nirfilon1615gbg2645mrso	$2a$07$96y0xs7CtPKEKifgxKMqduXcH7m6UAty0yd9cVDJ6bh/z9HRuWerK	87	2013-08-03 21:08:37.24979	2013-08-03 21:09:07.420221	152		0
12226	10w8kdzwi9bp1et9vlxesy11es	$2a$07$74FtCYJeblM3cVqseqVQUOyunPBkAMrpsAemakC2PllQNTlkUCzOG	88	2013-08-03 21:08:37.278645	2013-08-03 21:09:07.569628	152		0
12227	106cer2e1jav13896rrf3wf0q0	$2a$07$A/842RYyaLCHvKn9tM05vO07vY.EzfRBJQ5yl0C.jIIXQOirOHFvm	89	2013-08-03 21:08:37.302144	2013-08-03 21:09:08.523273	152		0
12228	10l8gmdzkmkdsp1jaiewfw6qmy	$2a$07$owHEBSmbxLaNfEs8RoM8p.DpDbFGF5SZrtMTPgvTVgNMV4K1DWu7G	90	2013-08-03 21:08:37.32571	2013-08-03 21:09:09.526507	152		0
12229	10j6uq6rnpx5kwpjeo664ram5n	$2a$07$XbwM7Ywqi.9erebYlr6wiuX4HtFCsVs/RT5l3Ibii2J.XXNkJANhi	91	2013-08-03 21:08:37.349386	2013-08-03 21:09:09.64129	152		0
12230	107vobtk887s0jlodefrek69zy	$2a$07$4ZB8TN8z4/qODKqcEjGQd.i/DpBANIirjISXG4PNdtNC5yZvQ5dli	92	2013-08-03 21:08:37.372345	2013-08-03 21:09:09.745844	152		0
12231	103o0efh84gp93h77wbhrrbxgc	$2a$07$4KquJC2KewC4ZnWfMEhPjuGEkIVPCVeBUek1RuUioMvqVu.KaAvnW	93	2013-08-03 21:08:37.393971	2013-08-03 21:09:09.845438	152		0
12232	10hr9u3u9qfwdr9rtcarliqyna	$2a$07$qMJ2TLxBKSrSCNxvGiMmfOMAVbEvXvHNHKquQcSXJtNT7Vkm66fwO	94	2013-08-03 21:08:37.416572	2013-08-03 21:09:09.946747	152		0
12233	10tlx6f4yhj68s2g12t1zbjefk	$2a$07$wxuBSZ8EbDl6vyDmmGE0guIwE73iNe/Ih1YCQx85Gbm7MNRAWGTm.	95	2013-08-03 21:08:37.439991	2013-08-03 21:09:10.047938	152		0
12234	10nsda5efezael2wmogtx81q8j	$2a$07$w/30AR.LJ3fYpWX0PmCc3Ob2L.IvPw6k2Ofvy/EKiuALyrW7HYoc2	96	2013-08-03 21:08:37.473068	2013-08-03 21:09:10.161604	152		0
12235	10p4t70b3poezlmxluj5l10phw	$2a$07$WiRBHdCWandJv7Ap8y3N4.fvyKqxsm/FVfT1EcCl5RXuKBKGQOQnS	97	2013-08-03 21:08:37.510778	2013-08-03 21:09:10.277839	152		0
12236	10x551jovi8x6ussq6j7o8u5cr	$2a$07$nUJs24x5Yo/29o4B0tn2leWYCO6pOD6bJMnZGm4BHyg8jERx2ESEm	98	2013-08-03 21:08:37.544106	2013-08-03 21:09:10.386378	152		0
12237	10ym5rakunbcgjw6un2pi4pnzy	$2a$07$F2.gJMjpeuLQhVU64Gf06uzZ7PIfjzxSOQNPAtzCNMiMXCcF60YJ2	99	2013-08-03 21:08:37.573041	2013-08-03 21:09:10.50216	152		0
12238	10mqwxmcaoqyyx5pun2wnhxe5s	$2a$07$hU9wJDVDlobEiGL.Tpwd.ONL6V6.x61OXMiQM2svadSEvicSlPflO	100	2013-08-03 21:08:37.597252	2013-08-03 21:09:10.637312	152		0
12239	10ji89254vx7je17sovjnsds15	$2a$07$QyZkTNvjN00BonTxNUFTnO6Ap0ISZYTQU3tv7qiuSbeCchLb8yxDu	101	2013-08-03 21:08:37.621029	2013-08-03 21:09:10.758521	152		0
12240	10ix7j9d23vk1t2y7vc4cp8jb4	$2a$07$95zXep9GHCLRLdDIwQlOMeqrCU5BBpSNstIdL7w0F7cx3YIUq4qPy	102	2013-08-03 21:08:37.650141	2013-08-03 21:09:10.874924	152		0
12241	10hwhjflfyzdu0w7zrhz0g1j45	$2a$07$UkZ041Qq8vCL6L351QDQRusYjdmQntVO8VTje4cNhiJGNCa1LgtnG	103	2013-08-03 21:08:37.675084	2013-08-03 21:09:11.152353	152		0
12242	109voh9h5ccfzlp6xvaiiyoc0c	$2a$07$qvmesgR.X1TkhODV17ID3OxGalY66eX/TNNSNjDCYa/4EsWtAp3qS	104	2013-08-03 21:08:37.7086	2013-08-03 21:09:11.464178	152		0
12243	10iylhhkgra0bvcnlabos4nd7n	$2a$07$JxU3mTtjhluzUpn0Zgslx.GCcla04buRrF794gmFxOnj0ZI86Ybka	105	2013-08-03 21:08:37.732515	2013-08-03 21:09:11.577555	152		0
12244	10w7ss71afxks7mewcl9dep9qi	$2a$07$tJrHdqIckI6lT79HfuCQeO8MMcecy6.m75UD/45g9G6LkhMHAyuHu	106	2013-08-03 21:08:37.7564	2013-08-03 21:09:11.736975	152		0
12245	10lek0zkix7wx8wfrt4y1d8f2x	$2a$07$E9J74tYydmBYo5Mn4q3qOefTBa5jPbe0Y1ujmupZnYIGvLfgpUpYy	107	2013-08-03 21:08:37.779562	2013-08-03 21:09:11.865251	152		0
12246	10tzhcft2q1h7p24m21ximz131	$2a$07$aIHCbReWl/6yKoapsM1FOei5hQkC2y4ZJHwsYN/JIl3J/pW/HHCcu	108	2013-08-03 21:08:37.80176	2013-08-03 21:09:11.987228	152		0
12247	103y94564ihtcz8ps3p4gmnzc5	$2a$07$.WZstDvI/TH51ApEfwwKzuEHh5CS4bKQFYqwZQv.OD0ZxGllxY/tC	109	2013-08-03 21:08:37.82505	2013-08-03 21:09:12.124989	152		0
12248	10iynj0qmzc2pygmfx7cyupgqy	$2a$07$hAmtOvw5gdK4enNP7sVZBuuts7PiBaPRqPw09k5b/32fxYYbQO4hu	110	2013-08-03 21:08:37.848963	2013-08-03 21:09:12.27642	152		0
12249	10zr2bkksuej8tbwsr6mgqyglz	$2a$07$aF4VOZuc/A1Q7BTnI2zPue7oHLDfBt/3T.QGvh/eNoQby8Ic7vffW	111	2013-08-03 21:08:37.871003	2013-08-03 21:09:12.42082	152		0
12250	10u98q1mduvrkdvo0ff328y4m2	$2a$07$Ua/7jciVGqmiJJnEL0RnhudoM/bcOpGUoixDhubITwWVs0GFs9lyi	112	2013-08-03 21:08:37.894775	2013-08-03 21:09:12.534324	152		0
12251	10dshoinfb4b3ofmu98bakzdzy	$2a$07$MnSoQKvolWwT9HToQOg7/Ong70JRGCt70pGDDz1rluq8cPacssEVe	113	2013-08-03 21:08:37.917984	2013-08-03 21:09:12.867705	152		0
12252	104yqjdqakltw6s3x8qkrhxay9	$2a$07$Cg.QkamLd6JRUsYg.nEoHuYu6joC2GWPdk46bT3nFChlcpFq/IGXm	114	2013-08-03 21:08:37.941647	2013-08-03 21:09:13.20292	152		0
12253	10wrwvhuyhkt7umua21qcahcxi	$2a$07$.kheBwZ.CnVfF4vuDiRjauYZULACvYmfXsCuJ65ZzprY9PPwyttr.	115	2013-08-03 21:08:37.965294	2013-08-03 21:09:13.335356	152		0
12254	106ue6evsi4k7oyktynuhgj365	$2a$07$xtyYhFI1i3/Sd6WMZy4aT.f.TG8qF1gq9qr9wqGdLrVFGsWvT3/yW	116	2013-08-03 21:08:37.988101	2013-08-03 21:09:13.47361	152		0
12255	10xclx1bhegtcwvw47478xiuam	$2a$07$c3bj.tZ0Cgoq5NYgthlleu1bf/cpTTnqTl6cRm7M04lUbFm3noQx2	117	2013-08-03 21:08:38.012274	2013-08-03 21:09:13.610322	152		0
12256	10b9bhwd1gkco2ll6hn5t5bz7o	$2a$07$mthAUS8dRfPIVe.Y/jq2ieHClJKVuCe1WO9IMHUUh7udh9Xi84XfK	118	2013-08-03 21:08:38.036036	2013-08-03 21:09:13.745827	152		0
12257	10jyms3cwppac6m58wml546buk	$2a$07$kD3Erqup9Nl5E64oi759q.lTXh.qPu4hUsjbI50W67AOVGH63dZS6	119	2013-08-03 21:08:38.061587	2013-08-03 21:09:13.879175	152		0
12258	108ry2aarrsu1jtqfbd8sraeji	$2a$07$gN.K9coFm0mDcR21TpQ7YeCcoZdb7n8w9EcetQ/GOt8ieJVGuUfIS	120	2013-08-03 21:08:38.098059	2013-08-03 21:09:14.001014	152		0
12259	10hz82y20ac0xyw1q3eh71ufx8	$2a$07$oTQoVh68yYB7MhCQ3fZBc.W03Hy9SJRrXTGwdoxPHQPSkLFM.BA5y	121	2013-08-03 21:08:38.132683	2013-08-03 21:09:14.125786	152		0
12260	10b96tomqi983nswjosnd3v8wq	$2a$07$3.oE8M8wQAqMxIJtq2RhUO0Nlb4upsDwViTkOFodh8vjMgUdecAUW	122	2013-08-03 21:08:38.169859	2013-08-03 21:09:14.274257	152		0
12261	10okkw4rc4q6s1sgj8i2cwtj20	$2a$07$lDkaJ.qT1GwT8YuptnV69OiB0clUjTAI0N8OFBxgw1eKFj31EUzda	123	2013-08-03 21:08:38.194915	2013-08-03 21:09:16.730871	152		0
12262	10prgbgcff3tv4ymu19esccqz7	$2a$07$ghhl.NIFWknc3es6WbTPkOgeHvbLsMclMoKSXWvjOQTjBRaThgtd6	124	2013-08-03 21:08:38.218979	2013-08-03 21:09:19.743913	152		0
12263	109g8t3wgjl47ke7stvfdt82lt	$2a$07$LIsV/B5nWtJ.MK0OwH6Kquxqo4iGYKC.jcN740RrAz2UyoBRWgQpq	125	2013-08-03 21:08:38.244354	2013-08-03 21:09:19.993022	152		0
12264	10e23peasewvpthvam8w080ky4	$2a$07$gNF40H4m32qkoZhe9WLD4.zOL5eyhEvr15foxrRcfhnaOkodmzYIi	126	2013-08-03 21:08:38.268915	2013-08-03 21:09:20.112904	152		0
20455	10xnttvgar63edx2ii511zaywp	$2a$07$5CsK3gQEa6NmXcOh2.TaIunA0LpFaST/bC2jPmaiSr/fb4SWuVx9a	1	2013-08-04 02:39:51.057412	2013-08-04 02:39:54.183864	218		0
20456	10dy0y8sf35ms46p9o2g9benx8	$2a$07$Dguad.KUJrj8NQUftRpm7ezZz56UFECx7ZjtIjBNYXP2UKcP7qPIS	2	2013-08-04 02:39:51.080197	2013-08-04 02:39:54.308151	218		0
20457	10094nzlk4gn3enzpu8ckh35u9	$2a$07$BZ72F6vaIqkJUQaMZN61tuWw3TdbUONbTULYtYTrTcgIcu/m0T3JC	3	2013-08-04 02:39:51.103262	2013-08-04 02:39:54.436607	218		0
20458	1028f2e2l70nl9iveljaski09v	$2a$07$72ltpolxNnzsUV9xiiW4EetmmfD8TxZqUlqdVKC7gguIV0KMxDGom	4	2013-08-04 02:39:51.126522	2013-08-04 02:39:54.590856	218		0
20459	10e2gnai6at2atlyugb117efl6	$2a$07$nEztKw5uBx/L7IR0e8ysU.ui3YBpAMGGekh1upLeynycxpnDpbS0O	5	2013-08-04 02:39:51.148827	2013-08-04 02:39:54.743986	218		0
20460	10j8md47fmiaeacfvjeuhkca8w	$2a$07$CB9JAIs/si0QNAOLbf4/OOlJHgUq1XlXlg2AAetW8eefGbGI6WIhu	6	2013-08-04 02:39:51.173223	2013-08-04 02:39:54.905728	218		0
20461	101mjvbdyajk96me9o04uh3rjq	$2a$07$BnT8MekRxrdMBheUXs.ujeYkPuyatNmNHfpnDxav9xdEjvdR4v4IS	7	2013-08-04 02:39:51.211379	2013-08-04 02:39:55.823246	218		0
20462	10zo2gnhbl92hemuzep0pgis3z	$2a$07$l.9/3F961YRhHK47GPPLOOgeOG0YDul0BDRgY5NORf0wO2Efj0eYm	8	2013-08-04 02:39:51.235247	2013-08-04 02:39:56.791963	218		0
20463	10zc138oh1cajczj6qz8nq8yio	$2a$07$wksG2WTtbOuxlyNluq4anOPGBv6TMamZj.n8l6R5VFgVhOjJuwHJW	9	2013-08-04 02:39:51.257104	2013-08-04 02:39:57.77477	218		0
20464	10g9qsdl6v2e2ryskm6j407hit	$2a$07$JaViCExGOFM32UWOeUIduuizMQegkrDo6US9Et9Bqh7HQXzhBwSrK	10	2013-08-04 02:39:51.280589	2013-08-04 02:39:57.896861	218		0
20465	10r05en0aoksarar5pejo7fkvz	$2a$07$4S.rP8EjFjQdfVXsUUlXaOKw5vMEe1nAflrfnnb2D65yUKQS4gdEe	11	2013-08-04 02:39:51.303939	2013-08-04 02:39:58.031068	218		0
20466	10bd8noi2tgxjmic7uddqyalmk	$2a$07$6vnFFFT7G1RbRb5l9ZfKs.bx7T9Fax8DJ0ODzPSZMw5W0Naw5IIsy	12	2013-08-04 02:39:51.32726	2013-08-04 02:39:58.176218	218		0
20467	10jsvknzjy5n6z8hzomo44ndnb	$2a$07$fAdLJl70z9DhOa270msKvuFCPZRlbyfho6/hdskPOxOdkSLmDRCTG	13	2013-08-04 02:39:51.35085	2013-08-04 02:39:58.306918	218		0
20468	10qjvg3jcyzuttogvqpjt7r79r	$2a$07$JtSsg3i40sNqftgjVCZKqO3cIafPu4RdELuoGXhB/QPF4CpYpyNK2	14	2013-08-04 02:39:51.372893	2013-08-04 02:39:58.450463	218		0
20469	107lwiliy4xarq4r30k1b0tjou	$2a$07$ei5hOzhAK/Tga3ELmWCoM.nB5UQTSaE4qiiYYR6ctlGt/d7txeLzW	15	2013-08-04 02:39:51.396584	2013-08-04 02:39:58.58206	218		0
20470	10i2vdo00a0ql98ltbhznnfurg	$2a$07$jXwgun6zTIMJZd9bZUidoea3smKFwBYCjAB35uXKN/QjLCjrVBNKu	16	2013-08-04 02:39:51.418885	2013-08-04 02:39:58.71281	218		0
20471	10gqnk2bxr4wuhpanauzpbsanh	$2a$07$Bgb2BhByyKyFOEwB936DNu6hJ5ald7w56gOgXYbbMtfXB7MGoFHuq	17	2013-08-04 02:39:51.44092	2013-08-04 02:39:58.841765	218		0
20472	10oe9i75b6wejqnhv9zl28dpjx	$2a$07$rY.LSOhwBuVJIeaZmbuNfechJrY9W.FCV7wmfjW2yoeaJzUQ7rFTe	18	2013-08-04 02:39:51.464545	2013-08-04 02:39:58.960675	218		0
20473	10fgu99xx7jhrziam93o00b8ay	$2a$07$lWUgORN3mupelYl34Ns7PutjSVgBHOlKXRz.kPvsuKSbAypbO3usa	19	2013-08-04 02:39:51.487502	2013-08-04 02:39:59.115845	218		0
20474	103rsvxfp67i0ryyzq6ki5xugy	$2a$07$OhitOtZtUpbODPXOE4wioOm4x4M0tbApjzZJliol.1pjrfmthkDoW	20	2013-08-04 02:39:51.5113	2013-08-04 02:39:59.274665	218		0
20475	10o3pzcs7llmyrazttba777v1h	$2a$07$N6i3JoqwB9HXO3lr1ikgPuuu1VcQ65BrEfguWOPjDzrWInUGwgOh.	21	2013-08-04 02:39:51.534766	2013-08-04 02:39:59.420756	218		0
20476	10swa7tt9fwddef4kmktsjckca	$2a$07$fHvFytlBodCQwwXy.EqZqOu98GKIWCPrA8pp4alBW1OR13gSonBxm	22	2013-08-04 02:39:51.557112	2013-08-04 02:39:59.547476	218		0
20477	10my01s1iqiamjdioh4ikfccdi	$2a$07$NLtwmBh8R7HYr3t6wH322.pvCW/iWljwYzOBz4EbFGxw/ND4Tb9gm	23	2013-08-04 02:39:51.580884	2013-08-04 02:39:59.673631	218		0
20478	10u23izsi0ef1chwaqdrudipa4	$2a$07$7ZvspW0JgcRLdzrLNqOXS.e1M33zT4KEHtCEDSrpwNSaQJrjsyJmG	24	2013-08-04 02:39:51.603815	2013-08-04 02:39:59.820589	218		0
20479	10crcr7v3zdzt8ioacz9eq1yog	$2a$07$06rY/Y0ALlwN19Y77en9IOoBNFXJnvcvniZ9RVBSocfWncvQPdh7q	25	2013-08-04 02:39:51.626735	2013-08-04 02:40:00.026157	218		0
20480	1082cfvpi4erg6u0xyqmiyikqe	$2a$07$jrF9s7uvh4BpfWkeGJkFS.N8HEwqh3qyPi/SI39nVQAr72iL7PGHe	26	2013-08-04 02:39:51.65145	2013-08-04 02:40:00.237369	218		0
20481	10sbd6z4u3b00ip6t5pw5ukvg5	$2a$07$J5G0SovDBtZGZcx1dF3f7O3ZFfJ0J66XPoRCFSLJ0Yg9EvC8vNJRq	27	2013-08-04 02:39:51.690886	2013-08-04 02:40:00.371943	218		0
20482	10z80rh790gyvxf5k4ya6c6hj6	$2a$07$LDj70yxnUiqdHH4U5MbYmuM5yI8HYUcf1knHW922vFDiJ.mF0uz8C	28	2013-08-04 02:39:51.717591	2013-08-04 02:40:00.47253	218		0
20483	10n16u7lb8m6kd816ckhg11yge	$2a$07$VCsA9XqCjMTp0O1oQk0MsODuqpLz9RBgz/.l0oFEQJQlkdYEq/ryq	29	2013-08-04 02:39:51.742745	2013-08-04 02:40:00.570401	218		0
20484	10bzhhl54hy09r2u2yguwu8e33	$2a$07$Sf.SNwLCye5r78OqPzK6/OFC7Bec/pOmFKH0Yw//liIxiw5XVAjj6	30	2013-08-04 02:39:51.766403	2013-08-04 02:40:00.696816	218		0
20485	104qikge3vbb8i4jcw6e3tzpxe	$2a$07$X4nNztLEAoy0iLQ/ZXCnF.6kEA6YYIgPRUCD1xHK3TnXSuwHn1F3y	31	2013-08-04 02:39:51.789084	2013-08-04 02:40:00.836769	218		0
20486	10rr4w3p6j96hane5m8kmzek67	$2a$07$tgChpmy4MVoiZibRmxLV.epUGAulbzY.Syl3hNlzQoTm10.SaAN1a	32	2013-08-04 02:39:51.812513	2013-08-04 02:40:00.974599	218		0
20487	10ql2wuz31haz70jgzbl6x9scj	$2a$07$oX.ESW8giRjBHRF9QjMBSueqnDLQYD7CLqmZUBTE2yA7RHhRPXIEe	33	2013-08-04 02:39:51.835648	2013-08-04 02:40:01.086125	218		0
20488	10663aojhg48vbgie5q30zcxyn	$2a$07$0bykUw5lS4FYW1SbwgLfeeBVPLye5z32T2Nrd0qMYodb96DCub5j2	34	2013-08-04 02:39:51.857318	2013-08-04 02:40:01.235648	218		0
20489	10mh0hytye0oc8ulffmx8z0k16	$2a$07$Cukv/WhDBOetc3Lwz4QCwetP79656grLdAnlmEhdX2am0SAMPZWh2	35	2013-08-04 02:39:51.880448	2013-08-04 02:40:01.385834	218		0
20490	10c037u2rmkmz7jrd3fe2a2669	$2a$07$47a90uRuBdqnLA8aqBCAl.0JhWeDOi7YhWDz4DFQMmHQLsQd7mY6e	36	2013-08-04 02:39:51.902619	2013-08-04 02:40:01.596715	218		0
20491	10quwcogoily5droclwuim2d2t	$2a$07$se45JKQfsrsX4KOgIBey2ukWFsv8FJhdtvygmUych4DYimVibpSnm	37	2013-08-04 02:39:51.925549	2013-08-04 02:40:01.728837	218		0
20492	104gk2inl03s5k10j8py4lqhla	$2a$07$utyERZDMWMAYkSSVOWOU0./59v/hWG5rEWq4Yaho/Ig7KclKmtmR2	38	2013-08-04 02:39:51.947324	2013-08-04 02:40:01.873229	218		0
20493	1083jysqia2xwmqdsivqsh1ju3	$2a$07$YsZ1ZA2W5HNuXeX9awyKA.Kha.bMq0s8N.bv4/ZJTZDn5y5QZf5H6	39	2013-08-04 02:39:51.969966	2013-08-04 02:40:02.012218	218		0
20494	10e5zu9rsbwu5bvkbop6ab6ngp	$2a$07$kSO98PnEvfEYvum6/k7FFOZjSgvHclXxna2bMWXsELJdSIsscyI5a	40	2013-08-04 02:39:51.992652	2013-08-04 02:40:02.133922	218		0
20495	10ozty0yclfvkz3x7yzfv4vgcz	$2a$07$vUEvBi2RrLRwWROZtty.9OC645Jg1TNraCzV70eYNW33fZNLFdAHK	41	2013-08-04 02:39:52.017416	2013-08-04 02:40:02.258032	218		0
20496	10krhur3w5ymqw999iv5g8xhl7	$2a$07$u8h3TBky3vU96SSWoik3meWADEENUhTsyU6QsVF4I3IGxcuLpAcSy	42	2013-08-04 02:39:52.042488	2013-08-04 02:40:02.384928	218		0
20497	10s8bhavuq2ky8vzndyehnr1m1	$2a$07$fwzc7rxdIYEJU7agXDiQ0.9Fwp1s6ZX20qQ7Qbz5FRg9NKyCYQzsi	43	2013-08-04 02:39:52.067651	2013-08-04 02:40:05.097151	218		0
20498	10vgc5tf49dpnflucg1pg1zaex	$2a$07$HHbqGmA.7bRvgkkg2IcF0ubwx8XVoE7rz9eg/Qj5Po9Ck/RF.ASei	44	2013-08-04 02:39:52.089992	2013-08-04 02:40:07.868186	218		0
20499	10cuf7vznlfof1v16nb9wkndvx	$2a$07$I8ivZqRcJLRkitoFHgGrHehErzDDIi6zx2qjsxTlBVDBDo3FBsHF.	45	2013-08-04 02:39:52.112036	2013-08-04 02:40:10.578674	218		0
20500	10po1bzd5y37m2e0qdy21suow4	$2a$07$RYe/Dyiha.1xLt1XN4DyJew2xQhOtK2NKIxvfOHl.Jr3qjPc3I41O	46	2013-08-04 02:39:52.134387	2013-08-04 02:40:10.721452	218		0
20501	1084a2kuxviy2ey0ap1tzk5k5g	$2a$07$EObIcfV7S8/kgW9raD1YEuehy2sNxBut1x32oSstdvQW.6sxAWO6S	47	2013-08-04 02:39:52.157727	2013-08-04 02:40:10.861252	218		0
20502	10cytbggfj2texwpwnau008103	$2a$07$nT0fTQ832ykWZrOGWnQwI..Ho.08DfD9lfBUc1lHqv21/b9Q2U1Ra	48	2013-08-04 02:39:52.179152	2013-08-04 02:40:10.98491	218		0
20503	10j71b43mw9roa1t6fjjgvds0p	$2a$07$.eWTTy6Nik5wHjokmTuEpeYrB/WWFVrI/jex8WfjkFhWxb7xu7t32	49	2013-08-04 02:39:52.200933	2013-08-04 02:40:11.107333	218		0
20504	10xn04v4j85qs262ca6jkvi0fz	$2a$07$z3TzAv6QI4QlV.FQBre72exTOukae/W/b3xTXE/lqGDglhEqoBT4.	50	2013-08-04 02:39:52.222785	2013-08-04 02:40:11.220306	218		0
20505	10wzsi8ucloyd6dxpqecnxyjox	$2a$07$0q/PVcesf24SN2G7T8ZBz.89SugZ9PrJPp25kSEEbMnASDxqL3sCW	51	2013-08-04 02:39:52.24461	2013-08-04 02:40:11.352689	218		0
20506	10cji5itumdj0owo7ko25cvimr	$2a$07$tH4VeJhmMHcB9H8.Jxn2juN6IdmAn1x/2OkL414hvjVBv2xYhmDaq	52	2013-08-04 02:39:52.26882	2013-08-04 02:40:11.488931	218		0
20507	101tnoz096mvamr018ibndkt5p	$2a$07$MsAmKG.b1cUolibOO0RxK.AaUG/46wkftr8.j3O1VOr75fj6uYdIS	53	2013-08-04 02:39:52.294036	2013-08-04 02:40:11.626033	218		0
20508	10etui83i5oj2hy1rfgpw5sa5o	$2a$07$VvMZIUf/p7gkqlmC0yTOvusw2ztwmhHAvnNuIvDTiIYY1smvQLfGG	54	2013-08-04 02:39:52.329724	2013-08-04 02:40:11.758374	218		0
20509	10xkuh6tggnalae1ayoy5p6kiq	$2a$07$lKhEojW8R5Z6JnVcue0VBeZSidF1.OQ02ecMAM1UcWECl5EimKDkG	55	2013-08-04 02:39:52.364522	2013-08-04 02:40:11.889331	218		0
20510	10h6j7z3hynl55gsax37medoai	$2a$07$KtRyZPULLl11LcM1.GPAneBBLsPdpafWjtDt/YV6dw5aupVtqiccy	56	2013-08-04 02:39:52.387381	2013-08-04 02:40:12.029494	218		0
20511	109w9945mru1e4z113yztdooyq	$2a$07$vPInkop4W/QsRCaY/WeR8OUf0s0n6IgZJFa3VDPIWJps.XPXs6R0q	57	2013-08-04 02:39:52.413401	2013-08-04 02:40:12.15383	218		0
20512	10il57mdg8dtlovcig5mpjpynz	$2a$07$4dceijzDTcZcPNOB1.0ZSOhYaIy1yziddBuYB18W8J9QUF0RtZsYO	58	2013-08-04 02:39:52.443689	2013-08-04 02:40:12.297816	218		0
20513	108tw6d4g1w8bj90ute02zqo84	$2a$07$qMHWx04ZFuDeOQ/.BbqkfeyeLrfFXFI6J7SZfMMY9lrvRj72pzare	59	2013-08-04 02:39:52.472794	2013-08-04 02:40:12.417541	218		0
20514	10sdvtmypzq5y9ph62xmmyb2q4	$2a$07$ZmDeNkNkXkQD1vMBIaXRlOsLH0TC5MOYMsm9TzGrKA2RghYMuFuoa	60	2013-08-04 02:39:52.498137	2013-08-04 02:40:12.546509	218		0
20515	1072a8qpvkai3npuaw7i1fzznk	$2a$07$Tf6VOD.jepF6bqKIyGXiMey2lOCYinxBPizvUHGZQE5zoqawUoxc2	61	2013-08-04 02:39:52.521659	2013-08-04 02:40:15.237134	218		0
20516	10ng3x3pif3iiz1rl8xxqthdta	$2a$07$9vwNGWlWaBDoGZGjEIsosOIFibbY7hqhr8RoEF9VylAuPZGCnWMci	62	2013-08-04 02:39:52.556457	2013-08-04 02:40:18.14254	218		0
20517	10yv6q22796atsukwke0pbwhev	$2a$07$GAH1fOHFKAurNl8VySPpl.leSjS3eLjJd4rGYVC2hLD//drJp6AMi	63	2013-08-04 02:39:52.589195	2013-08-04 02:40:21.049955	218		0
20518	1043cs6u8bx2nvrnb5czcdeloa	$2a$07$96JtC5fapb9NBpRYZGdfou92LDYfawIY41uAAwVKvxqWuaYzA.xB.	64	2013-08-04 02:39:52.614642	2013-08-04 02:40:21.189464	218		0
20519	10r6zul1uj6sx6zzi78a6aixev	$2a$07$fPcoNkEojdv7AIOAf7kHD.Hq2FTjTvrBOsmxhFlE/fLMQtX7oOwiy	65	2013-08-04 02:39:52.648437	2013-08-04 02:40:21.349726	218		0
20520	105aepm2rhozbboo90gz1kl1oq	$2a$07$aR1EhJmXnskgrWuv.smCBuCA.4owoP1OHvFz7wM9k1Q.RI6FInkRy	66	2013-08-04 02:39:52.677471	2013-08-04 02:40:22.391245	218		0
20521	104m1c8yt4kyz48oyb4kp8aqv8	$2a$07$D5EyAD6HPSbf3WVb849bgeRLC8gBD/SSUUbF7UrKg2WMddm2CepY2	67	2013-08-04 02:39:52.700361	2013-08-04 02:40:22.526086	218		0
20522	10hfe9wrv4km9s9pabvoyf2prg	$2a$07$Pf5EZjH57rtdubUz3/4uaeyJOsRtLmOy8l.hsbl.c1w57goSOQjNW	68	2013-08-04 02:39:52.723575	2013-08-04 02:40:22.64388	218		0
20523	10ok2v46wh2wpsq7ofqaag9y88	$2a$07$rSaeCRkbvHlhvTB58jMCme2.SZXMtiPcFnpyzX0ztYKWDu64tX7ei	69	2013-08-04 02:39:52.747833	2013-08-04 02:40:22.784286	218		0
20524	10xmzzh82cpqt7emod0re42qbz	$2a$07$qnMffPKkI9RtME2cpd7n8uuUQ.zpe4CAMEBwB0cVjA3Se.GK85hG2	70	2013-08-04 02:39:52.772862	2013-08-04 02:40:22.924613	218		0
20525	108f73gcekc2nqkf2bpp25b8c0	$2a$07$CPJg2dOLSOh7nFQQ0gvDtu95IQiDrO2mQXZYQhWmqQW6XystqdOlW	71	2013-08-04 02:39:52.799796	2013-08-04 02:40:23.051386	218		0
20526	10z1yswp78ejwefvrhp5cu0vth	$2a$07$ckS.IHz7qF38rCTiFe2h6.FMMaGCNCC1oxuE4HffU4HwC2xIXoj.C	72	2013-08-04 02:39:52.823473	2013-08-04 02:40:23.229779	218		0
20527	10aanoywu62kj4dxmi2sdmf3wk	$2a$07$GrRUoRZLsMdmkjbMQsMFeeyr34wRvV9mMZJzI3oJ5/hHYEewzE9M.	73	2013-08-04 02:39:52.846827	2013-08-04 02:40:23.344905	218		0
20528	107pkr43fq7hv1p64d8fuy7hzb	$2a$07$GQd7/9s.sixw48IsA0YoFOs.irlpZxI4SMsy4KmqZMhnzXPt6Ofnm	74	2013-08-04 02:39:52.869878	2013-08-04 02:40:23.483887	218		0
20529	102yszi3oqluxmuytj62j2z3x2	$2a$07$XS0blYxt0QaZFcfk7qNPc.pSeIOxpYByWP5gm/fMSSM9LunNZ2qjC	75	2013-08-04 02:39:52.892213	2013-08-04 02:40:23.6366	218		0
20530	10lb6l6gqhhzjr6f4oiazin3mt	$2a$07$porDuDDNF/R11uZGUEAIpONP4GByHKhKrrmhuzZjrz0zIA1MDQ4bu	76	2013-08-04 02:39:52.913332	2013-08-04 02:40:23.753551	218		0
20531	10uxmu6cajiptmwcow30g4b9a0	$2a$07$WBu2LmdqIolDR26hXJQ4Mewp3Xrr35Dxod2tQ5rkgQNknI6rnJw0G	77	2013-08-04 02:39:52.934378	2013-08-04 02:40:23.889457	218		0
20532	10opswjltvhce5iih7xt6xyu9u	$2a$07$yq7AvIfQzrzl4AacLiCM0O1xGpTHyMmcq4TFJwsdKNVfin66XiqE.	78	2013-08-04 02:39:52.955428	2013-08-04 02:40:26.511053	218		0
20533	10v2jt4fld1a713xeg0gb7fx9q	$2a$07$g8kolvUyYORjhzspllrmius5jiDcCi4pkHzhSagQbNQk16sKmMlSC	79	2013-08-04 02:39:52.977083	2013-08-04 02:40:26.655268	218		0
20534	10eucdzrdfkq6ei21ghakuessx	$2a$07$3KuSFRpwVQN4RaaESwLUDudgua6vxBTEqZLXbvA5BC.uEjPDBh.ty	80	2013-08-04 02:39:52.99925	2013-08-04 02:40:26.793114	218		0
20535	10ffqu38awr1rics9y3p6rkgwl	$2a$07$Pg6YO0zrWL9uVzpG1DKnWuYY.Q.AztOS3XTlri9ypnnP3GBQj6AmW	81	2013-08-04 02:39:53.022982	2013-08-04 02:40:26.941691	218		0
20536	10flf8127nqnkd1hwfo24mjvsc	$2a$07$/l/Vx6d0HKy1O5iQL87QGuq6epGFOZwRZEkUuf2GBqnNIsqDD1btK	82	2013-08-04 02:39:53.052753	2013-08-04 02:40:27.065605	218		0
20537	106sryj64rd2ywadbvrmtocf1n	$2a$07$nzOjsT60lmiz2nm8YRqHeOy2c3dXoCuGMWO6xuvsm6OOCO3EkWmlu	83	2013-08-04 02:39:53.076439	2013-08-04 02:40:27.188081	218		0
20538	10bndk4k4efriyni3jej9mh1jd	$2a$07$1ZGh1Y3oeAkCDWOkxh2.l.RdnqtwrV154x7BLJ0E4Ntmz3YBO4Hmi	84	2013-08-04 02:39:53.104947	2013-08-04 02:40:29.746909	218		0
20539	10nl1ibxukbsjyxry6f9xo6yq9	$2a$07$/NzORTPxycRPPQtnnFM3YOv/YsT.Bscz5nIZhLGslIup6IaJO8Mta	85	2013-08-04 02:39:53.131724	2013-08-04 02:40:29.87101	218		0
20540	10dn3kkommpjre91y90wzmtili	$2a$07$D20a5apES6O6fDnS3.nN9.N0bMcNSrdALGrNSNV5MZpphvKmSrfe.	86	2013-08-04 02:39:53.153508	2013-08-04 02:40:30.006118	218		0
20541	10aitncg9hfmcwroak4zf39wjv	$2a$07$hZbEhLQepzkRLzuESbBuMe5DVngZo69qAe3K2SPm/8zkIFKabhKVC	87	2013-08-04 02:39:53.174956	2013-08-04 02:40:30.16435	218		0
20542	10pjrg6opxm7bbf7hsu7kqzv31	$2a$07$0rLeD41Kp0FIhwnFts3me.ECs/VGYW6e8BiSX6COtDWlAFyK1PVkC	88	2013-08-04 02:39:53.196406	2013-08-04 02:40:30.304501	218		0
20543	10n45mq06od76czl0vxisxyeyw	$2a$07$WN/ajDGAw1XRE4E2qsPAne/qmRm.pdyWaMNDm/wQI6PTqGwNxA.qm	89	2013-08-04 02:39:53.218476	2013-08-04 02:40:31.313351	218		0
20544	10lkl9v5xhf7hhv7251mvnre51	$2a$07$9vbCCv7y4QYpYPq4HKm79.NoaWwgBGnBjbmXFHq9Ea6TvV/OEzUia	90	2013-08-04 02:39:53.239921	2013-08-04 02:40:32.276247	218		0
20545	10bpbdokwsqqiieajbh1ha1uwl	$2a$07$BXSo8.Mtjn1HtKli7JA/lu7nowdQBuI6C6T/byiD8XfZfH6fy35dS	91	2013-08-04 02:39:53.261404	2013-08-04 02:40:32.393048	218		0
20546	10fepneh8u43r56obrasleogaz	$2a$07$AEVjWCIFTq9WlLMKjPS4C.COH6RpdD8hRpzgA21wyy9eHoFZ2ady6	92	2013-08-04 02:39:53.283358	2013-08-04 02:40:32.497005	218		0
20547	102zh58t7dwg7rmlatnsis1muq	$2a$07$m.3Pwy9rAp83ybXG62Dek.IBVZpYVvqNuS0ePf1kJM4kvFEBJhyE6	93	2013-08-04 02:39:53.304889	2013-08-04 02:40:32.597588	218		0
20548	1017mn1fwf94pr5p5t03kxd2q9	$2a$07$BzDwLAnZPnK/ZF9Wuy3EROwpKpaFQDCwrwOMfAmLUWyCBjUFXWdjW	94	2013-08-04 02:39:53.326285	2013-08-04 02:40:32.740635	218		0
20549	10a9q8m1nvz3nzsb0u18y64dh3	$2a$07$yVqlcQeBzEuPPd8w.wKZbOJSS2GbrObFdKCLOf2XiJYRomOK3CSza	95	2013-08-04 02:39:53.34773	2013-08-04 02:40:32.880183	218		0
20550	10rbx75brqd2mi2dy0ghbvpljy	$2a$07$8nQJ9rvU4SiKbryCr/5ilODf1qAdYxnUWnYXQ6rtwXhO22mOI1eFy	96	2013-08-04 02:39:53.369202	2013-08-04 02:40:33.01455	218		0
20551	10p45kea7pbr966ym4f48k1crq	$2a$07$n2VnUvV92UMvjs2Adxc8vet2aQNdOMeXKfNylDwEJ2detVcXMj9ju	97	2013-08-04 02:39:53.39086	2013-08-04 02:40:33.169078	218		0
20552	108639u9mmwduh7q5e87jio8jh	$2a$07$ftna7LI22526CS4xpKF/buUbXbRyVvm0rL.Pdcx6QpZpm46BTqgNq	98	2013-08-04 02:39:53.413605	2013-08-04 02:40:33.324237	218		0
20553	10y0nwnlg04pnxykaaovd1sk45	$2a$07$vi8kKdkDDdFPlAJjmHFDguC3DNKqZoUZhsi1Jkc1robBeIKyOiOrO	99	2013-08-04 02:39:53.435243	2013-08-04 02:40:33.482439	218		0
20554	103eo1hxijkyx8hsogfovkmqj1	$2a$07$ymeFtQtWb0/5yDHDGxJcjOmiaENwqVrnQ8jkusRLx/ILRgzL7gyke	100	2013-08-04 02:39:53.456819	2013-08-04 02:40:33.619456	218		0
20555	10yr9iox230zfn8x9zpsoauqzz	$2a$07$FKZExPajGcGRgYq5i75DQ.CnyHHMCzPenuAjRMNaVoDL.pHQWvDgi	101	2013-08-04 02:39:53.478341	2013-08-04 02:40:33.786836	218		0
20556	10h8xam50vtdsrjznopy93gvzw	$2a$07$RuaNfumJE3Ds1OKFB6/EYuFb8Oyi4njVjOUvjbZL.EvKxR3tenwku	102	2013-08-04 02:39:53.499903	2013-08-04 02:40:33.911769	218		0
20557	10o1c93d2k7urx49tv2ovdimly	$2a$07$PnCaBjFYSP4xp/i7z4cabuPiwZk78.Ml56wwSNnuAzOkVcx2wgayC	103	2013-08-04 02:39:53.523994	2013-08-04 02:40:34.048477	218		0
20558	10mkui0u8znpoqcm8t2jsghhr8	$2a$07$PnZfp5PcuOO2wc.YOVY0wOPHX7mHsK9jMSUgc4VkCXRxulW9UUpSe	104	2013-08-04 02:39:53.548112	2013-08-04 02:40:34.187808	218		0
20559	105zc91p1ybsbsg8gi1moffv5p	$2a$07$zWPvL/mT7Vp8WIyj5MISt.vXoEg48bZeRKjOxZ2NOT4OewrfUtRt2	105	2013-08-04 02:39:53.571871	2013-08-04 02:40:34.336222	218		0
20560	10b3jtte497l72nl6uo6hn6hug	$2a$07$KVq6zr0t1jTSCdNDudk5NehETCipLlGCe0oXlb078BEKfmaMM8NTi	106	2013-08-04 02:39:53.603007	2013-08-04 02:40:34.464778	218		0
20561	10mt6p2b9bro135xt413m0csbh	$2a$07$PyTggY0MWzGznYZlBG4G2u67pglBq.7TC0AdALxvl5pQM417R8TCS	107	2013-08-04 02:39:53.634279	2013-08-04 02:40:34.580874	218		0
20562	108jbpi1yx6uqrjqm8dw2juz6u	$2a$07$N6/sLnKwAS5Eb1icfwYfheCk9KHF4mi47GjDYIt.pDc.UmTAHi5em	108	2013-08-04 02:39:53.656034	2013-08-04 02:40:34.702202	218		0
20563	10nkfle7vrclsk7gh1ciw8q59r	$2a$07$jeEK14OjITytWiZ1HWRoTuZWjOzHvhuaXec1.AaxeUWQdYE2eDp8C	109	2013-08-04 02:39:53.677349	2013-08-04 02:40:34.853862	218		0
20564	10q2wwu77q7m8ign516nyr9o9d	$2a$07$jKb9E8bGzhfmjYi8tPZRq.sqQ4NiKfjqkp0.33hhEOh.iztW5Ni6q	110	2013-08-04 02:39:53.698833	2013-08-04 02:40:35.009053	218		0
20565	10luj2pxdppt3g6w8fnue6rp15	$2a$07$MBAZyj5HIck5hcmabk60yOYqgSOnlWeT2kw48DM3YVZwNzBEtIMya	111	2013-08-04 02:39:53.720517	2013-08-04 02:40:35.116944	218		0
20566	103cvwwtd2f97bl9xhk6bovis2	$2a$07$0ZKOv7mmEx9BfKJRruYgZu0SKSaiAo6IZf6AsmHOe.HynqVzxR4WC	112	2013-08-04 02:39:53.742089	2013-08-04 02:40:35.251313	218		0
20567	107ni1jbob342tb230gc9y3jqo	$2a$07$q6CVM3dkxtWkcLsxaAbfNulQh2xqKpvs1Lt8.rlciNnxGDxAYIx1e	113	2013-08-04 02:39:53.763283	2013-08-04 02:40:37.868086	218		0
20568	109uutv33khkvpmcy9hdeb1n6q	$2a$07$f21cg8RQPYaNoi9tMYAXkuS9N0Egmyiaulwx5lM/Sxv3oCsoogCyK	114	2013-08-04 02:39:53.786674	2013-08-04 02:40:40.639886	218		0
20569	10odtli01fq6hd4pw0tfxf156i	$2a$07$JLOuAAtz8m/9vs8pYW5jguSXu72EDtKzpox1vza0FDT625MBSu35q	115	2013-08-04 02:39:53.808918	2013-08-04 02:40:40.768513	218		0
20570	10yyd4r16ekauuuwfb2uv2jfga	$2a$07$q59QNe41EHkUHIzywChO9.weEmoLmG3Si4ERdeqdkt8JD8ImqxwYC	116	2013-08-04 02:39:53.830575	2013-08-04 02:40:40.912548	218		0
20571	10o8i5polwq9hgxdlhq6j89jbg	$2a$07$XNJXH1Id.Ny2RzywCEzxoexbrcS2Sa9UEGO/xL5fZ6jODhEyQpCKW	117	2013-08-04 02:39:53.8545	2013-08-04 02:40:41.060747	218		0
20572	10lpm836l3nhaikl908q4j9f77	$2a$07$YoBTzwXJg85QS5YEvgDd4OERRzRNOnTf30DEN8tmCOHvQElN.04ci	118	2013-08-04 02:39:53.878814	2013-08-04 02:40:41.184092	218		0
20573	10l14aebjl5c200oapkp3wrx0o	$2a$07$zb13r8h/GnDC89AxzwkirOZGeUdHRGoKvGCJReJct/Pss2wFmIrHm	119	2013-08-04 02:39:53.904757	2013-08-04 02:40:41.318411	218		0
20574	10kihll11t26xxzrpelg1796y8	$2a$07$6GgvZSW/OjOZcgHdtIPfveLnSDliXP1WARBaNTpOCYQr0/B2d5wL6	120	2013-08-04 02:39:53.927177	2013-08-04 02:40:41.449912	218		0
20575	107205hduhd6vojkt82gz2t7kp	$2a$07$zs6f7I1.9hpBecLR2aZaVOth0p9WE2Gy/Qx11zqB8uOsIHNmj9WOO	121	2013-08-04 02:39:53.949031	2013-08-04 02:40:41.611958	218		0
20576	10zfkbphmvtpcx46klsb9olq4g	$2a$07$U29Rx2wV9C6gpH9Ou.Stsu.rAxZbN49L..RX0vQqSKQ.WqQ0xPHwi	122	2013-08-04 02:39:53.970544	2013-08-04 02:40:41.724947	218		0
20577	10x71stdq8nq73mljvj7drl1f0	$2a$07$7tPQw/ogPTdaBX83kfYuPOQEOIIAXfrmJTT9pz.v5TR9Q5AQkJPPO	123	2013-08-04 02:39:53.992064	2013-08-04 02:40:44.424904	218		0
20578	108bau2d98dub44q3latcvepnz	$2a$07$ZGQxquev3LdsKVi6uJ7Q9OPMA.KFdHQxboTzlJ1Zwr7aJMaFG2UdC	124	2013-08-04 02:39:54.013575	2013-08-04 02:40:47.54336	218		0
20579	10uzoc46y0l0er547x4ome4of0	$2a$07$yz92kJXDKHK6.m7R37rZ0Or4k4woy2Bx0ODlKPq9BkOZSqd6SpjFK	125	2013-08-04 02:39:54.03674	2013-08-04 02:40:47.679704	218		0
20580	10h630uldb2td2t9bgmu2p9e5m	$2a$07$k/3tb0Ck9/WfF2rHlaAXJO.jVufq2FwJ.ieu7CuxqSxCmh0qOearO	126	2013-08-04 02:39:54.059817	2013-08-04 02:40:47.81586	218		0
12265	10iefeh2r8f3hhnylzojmbwz1f	$2a$07$9FQp5qbvZdx/0f.cMJBv6.ITcVzHQGheF4i5hkeeHALMc7eCmBSsS	1	2013-08-03 21:13:35.0358	2013-08-03 21:13:38.343039	153		0
12266	10lumnat2m5fvxha7gm8y6oldl	$2a$07$HB4.O4dUw6jMKkUAYZAdTeN4anwlWQ3pU/ytAYmF8dkBzc5xIyUiW	2	2013-08-03 21:13:35.061377	2013-08-03 21:13:38.500423	153		0
12267	10nhygpwmjqltvcirmj5kyh26h	$2a$07$XVBC2IFxVYr.yQLu5SHrCunnrMNzb7qMYO7.HjXZtPbPAqkVV1bOO	3	2013-08-03 21:13:35.093441	2013-08-03 21:13:38.842082	153		0
12268	10jtnajr7381r9ogk3k6n6zy5x	$2a$07$DCHWKwFBiwFuWEwxtnhjA.71nGpiwFdbCq8Tt9z6ddzlA0mm3/LUu	4	2013-08-03 21:13:35.114991	2013-08-03 21:13:38.999643	153		0
12269	10pj3wt5ijditzhlgegc7h6e58	$2a$07$c50kT8sR1he6k0urTBXkB.wOuCCwvyShOi0ye1RUfSNpqkYNkMd3i	5	2013-08-03 21:13:35.136569	2013-08-03 21:13:39.138435	153		0
12270	10xcod2eblwj5ef4wm6iwczu87	$2a$07$KS6Vt1oehX2AXMx9hzK.kOyDh0hMlrVPxDZxkn0eu5x41qe/GbpEK	6	2013-08-03 21:13:35.158161	2013-08-03 21:13:39.288531	153		0
12271	10mdc2zkpooc599ifnk3qqj6p5	$2a$07$SrtiltuInvC/hecOXnXQxOBUmct0OE3g.SaSr55CqwWJxFUdwcjD6	7	2013-08-03 21:13:35.181272	2013-08-03 21:13:40.307284	153		0
12272	10dojvjfuk4cx41u4q6kvwp8c8	$2a$07$VH9gc.0TakGY18LSeOdojOzkkWvT2k3cK1JsugfxnIweFexclNndK	8	2013-08-03 21:13:35.204055	2013-08-03 21:13:41.238542	153		0
12273	10lz26r4gxz9kx59y5dvvkv8ck	$2a$07$MEs31zM8OTJLwC7JHiFqd.KUz6EF8zbnLKQllfJE08kK8Uy8NgWYK	9	2013-08-03 21:13:35.228241	2013-08-03 21:13:42.206745	153		0
12274	107gmc8kdnri9afj43ar0p29du	$2a$07$aMk6AZPZSMoVmWhmTmCjxeydyVU2jgGa1qaB1kNo8nOc.aX9By9h.	10	2013-08-03 21:13:35.25332	2013-08-03 21:13:42.343547	153		0
12275	103yxgtv5szd65nwxfqyrwxo6r	$2a$07$Dq5Eb5gpuCNYhfXC3OUbXuuR5xzOcUhiUF3EdCGh6/OetL0et/VLK	11	2013-08-03 21:13:35.276952	2013-08-03 21:13:42.464646	153		0
12276	1069inu6zn9nft0yl3r7uxed1m	$2a$07$tXz7tI7wdOwto70t7SSs/OGLMqY1gJRbxu9a1XuGWLgzsgMn386ci	12	2013-08-03 21:13:35.300509	2013-08-03 21:13:42.597039	153		0
12277	10g3wk5vopoxxe3c6u7fnn8xqs	$2a$07$YM4d/rxLROqhAcq8/kJx2.3BTu3V0VIfaKaSp7wScN.nvgDK3.BvO	13	2013-08-03 21:13:35.323007	2013-08-03 21:13:42.733626	153		0
12278	104ahmpa7406fb60ov67x462ye	$2a$07$NamYPafOFmUxrQe.Cnk.I.SB..15OF/JDB1T.96EjX/9t.q3N1i7q	14	2013-08-03 21:13:35.346678	2013-08-03 21:13:42.888736	153		0
12279	10rli7sgho6q3vmhmnp1k44ss3	$2a$07$Zz7zndWZTLSiWQuRzeQihOHHoIhfoUoMg8bgXuVsfG29TDn2GUcRu	15	2013-08-03 21:13:35.370085	2013-08-03 21:13:43.03234	153		0
12280	10i6whw2nu77zmkhi8t9o86roa	$2a$07$lUtyAsP5xQBxICAyS0tF0eYekCx6odCdHEwkizF7yIJK84ACrUrUa	16	2013-08-03 21:13:35.393255	2013-08-03 21:13:43.159647	153		0
12281	10dc94tj2w40kvvonhsq7t6un1	$2a$07$xa3RpRH5Qx60Vs0i875Y3Ojs/BBiFhqaW2XFUFXY4WKB/RAh5.U.i	17	2013-08-03 21:13:35.417405	2013-08-03 21:13:43.293919	153		0
12282	10z7pfibre4xcju3bk4270rjc0	$2a$07$weZ1eNNzhbec91m2VW8Um.FcYAvwzSktuLzFcZR2Bfu89jQ9vsatq	18	2013-08-03 21:13:35.442303	2013-08-03 21:13:43.435139	153		0
12283	10050sykw3excgwr74g7haxlii	$2a$07$otW93TMY5Tq7oPxhh.ks9O2iE/oMIEoSrkjhC1ssD9hNPCNt.KfPm	19	2013-08-03 21:13:35.466358	2013-08-03 21:13:43.54648	153		0
12284	10wj0g6sjpe48res2wo8gvcwf9	$2a$07$ZplNHeUFiGkztuh62XgIuefS818yhEsMTshMwEuTgMff8.z4/jq5u	20	2013-08-03 21:13:35.490007	2013-08-03 21:13:43.663609	153		0
12285	10i2tfad58esjtlrk1m28stp8c	$2a$07$ppWb3fvq3c5zIAIXSJW.FeVy0Fe68LyrRlBHuQCxQEXaE.FTQu4C.	21	2013-08-03 21:13:35.514158	2013-08-03 21:13:43.773834	153		0
12286	10hf8j4rc26w1raaahq47jqwje	$2a$07$joFCNlxl8MxobwMI/.S6H.P.HlsuWkVgDTjcMF58eCIsT2uZIoN9u	22	2013-08-03 21:13:35.537024	2013-08-03 21:13:43.914136	153		0
12287	10zn6wnf19iqpb73stzwqxsfhv	$2a$07$tNMQtwHJm0Wvg8YBAGOHMeScYD4xju034VK2Ixb5.eSNMC0N18k3u	23	2013-08-03 21:13:35.560908	2013-08-03 21:13:44.052788	153		0
12288	109uuyp5t6rwz7266rezrxe2o8	$2a$07$oTeoxPiIoGdGT7zLBsolieFBfVkLLv5acpot/f0isZFe2RKtAWASG	24	2013-08-03 21:13:35.584956	2013-08-03 21:13:44.193577	153		0
12289	10q4px76evxev05g7njplnh00o	$2a$07$5xuqtPHMCHmtWcbq/0U9d.XDgvUiJaFsO6FL9BsJv./611nTO6lLu	25	2013-08-03 21:13:35.611329	2013-08-03 21:13:44.320494	153		0
12290	10s4esrct0fqoh0udvk0fr6yx6	$2a$07$hAA.o4y3MAciKoF1lCT0VO7US.KAeCPWP/HareRIJCqTCxLtc9b9q	26	2013-08-03 21:13:35.639557	2013-08-03 21:13:44.443538	153		0
12291	10jdlxg5n1cs3fpgdjq1fgv898	$2a$07$ANu5I3er4rRYMWSt3OYkj.vk0DNcKtkaqG0BI.SFSuw.S2ay9rjpO	27	2013-08-03 21:13:35.662755	2013-08-03 21:13:44.556317	153		0
12292	10t5i710s4r4w7l9qe3rasf6l6	$2a$07$ciwi57L1LLGs3lz0w5ll4e/G7GHInqwkb2Ng7pl7XS/FlzFdT.JL2	28	2013-08-03 21:13:35.685165	2013-08-03 21:13:44.878627	153		0
12293	10e66xegnjhv1wdqvcl6o9j74c	$2a$07$B16cxwzWVCbvP.Jzs965n.InoLbhlHTEhX8dHNEww7AByP4ICY4ny	29	2013-08-03 21:13:35.708056	2013-08-03 21:13:45.22003	153		0
12294	10kubdoue4ste0z5cjeol7r7v4	$2a$07$X3FahAQg5AJ9NolWJha63eF8CjcK8ceaMjDsRbvDlId9OobVI03PC	30	2013-08-03 21:13:35.73059	2013-08-03 21:13:45.541534	153		0
12295	10q4ju9p8ilvc6j4jgor3mkloc	$2a$07$5u7ipP3awZio5UVFwFmPOOyo98Xn1Vt14ekubycBVRSx12Q67D/02	31	2013-08-03 21:13:35.754063	2013-08-03 21:13:45.775303	153		0
12296	10oqq5629nj1gcro5k53i0wcqk	$2a$07$XEUwfDHaO5nKort8mXBDzOt0L6UIyqJc4juzuj/l9TYWjyoNj9wxW	32	2013-08-03 21:13:35.776886	2013-08-03 21:13:46.041363	153		0
12297	10wnej8xv7wgvrezm8kria8hrz	$2a$07$UZMbBJlDH6I0CAJsmN9CQOGPLTI9bMJrd.gDDcEzZ2dk2.7A2H0S6	33	2013-08-03 21:13:35.798262	2013-08-03 21:13:46.196346	153		0
12298	10sy5pbmi4m1izbx0aw0pry63a	$2a$07$jDWBAr7rFlFJ9GO9KNB7lO0c3n3erWuCyBwRMMx/mgwLje0l9kthq	34	2013-08-03 21:13:35.819717	2013-08-03 21:13:46.320374	153		0
12299	101ayv3cfhfbcczlkn3mau5jvc	$2a$07$RV62shVnODOrbaumm6YEkeF/0tEhSLtvDmjNd538logqDMcydIphy	35	2013-08-03 21:13:35.841336	2013-08-03 21:13:46.454034	153		0
12300	10ynkn97izlbxdyftrqcx68iji	$2a$07$dWqJal.nqDrjC/89t695Hur0FLy8kY.NPV4QVm1tfX6oG9aYbT1AG	36	2013-08-03 21:13:35.862638	2013-08-03 21:13:46.583267	153		0
12301	10zo6ltaaaoyifjt8i6p5m640f	$2a$07$O3jO902IvFwSWIpl0oZhcu0oF2CscpYi51neY3YJ49KF/RBnQtYwO	37	2013-08-03 21:13:35.883978	2013-08-03 21:13:46.734369	153		0
12302	10zly9ewxz9ubrew6eioao3slz	$2a$07$1SMh.hiMal7/QO/p/Hvs9O7Mg1OamtXV3O/4Fciqt5zPSwdnIL0ZG	38	2013-08-03 21:13:35.905451	2013-08-03 21:13:46.882085	153		0
12303	10dn1axc5aarqizi7vwoi17pjg	$2a$07$pmGT7GcPz0l0jXpBKzNwWuhqt/EJoSLNkYiQSj5ALpC.gDWSidGZS	39	2013-08-03 21:13:35.927038	2013-08-03 21:13:47.03948	153		0
12304	10t1lyi2t4403ihtrl413l939v	$2a$07$2rTg0IL0e9YECDUE7dJvS.fuUg3SZoHR8UXDXySshBqLbSHKkWz2C	40	2013-08-03 21:13:35.95065	2013-08-03 21:13:47.178075	153		0
12305	10rp5gxb7s4gad91caz22uj9m3	$2a$07$2F6hvDwSQIRtcGe524/QueyxHXglBNog8KYZvO1NOtJAZGUi5eV8.	41	2013-08-03 21:13:35.973577	2013-08-03 21:13:47.333429	153		0
12306	107zvjcwa1qpgvb8h1hjkrr5cy	$2a$07$RLtM9iF5L4ALRWJtW7CZTe4Jly7JFgClgUOI4UmrvbdV0ApQHL0.u	42	2013-08-03 21:13:35.99791	2013-08-03 21:13:47.469643	153		0
12307	10fbi7uoq76cb0mdem7i9tjpn6	$2a$07$hCHFRGkSMkkIg9oFb8y4teej7XzXeBDCje0hK6lHYOunaFU0uX0Qe	43	2013-08-03 21:13:36.02483	2013-08-03 21:13:47.608757	153		0
12308	10jtlczvzsnfwl42xez32oz68r	$2a$07$QuuT9jD/oDUp7CyHu6nxi.M/blMJTcLk73cqqHkILHIArXM.xQVXO	44	2013-08-03 21:13:36.048132	2013-08-03 21:13:47.728278	153		0
12309	10oirpoplncjkhtvonnu6l7x66	$2a$07$FID0jhhPp6xBRPv6EAlax.FusfsL.rnTzzuFpNhcuLg27455xBsq2	45	2013-08-03 21:13:36.071372	2013-08-03 21:13:47.855799	153		0
12310	100tmh9s7zlby2bmoj52x8slto	$2a$07$QUFH.0ioQv.mlG52STee4OeRL3CscTNOpf1vpFDeZGAiJSrlqJeOy	46	2013-08-03 21:13:36.093161	2013-08-03 21:13:47.985693	153		0
12311	10u9zbce6or98nixyzs5vvrcz8	$2a$07$tAAruSpHwR79Xud5qargpum/V/55sYoBikpkiYAJxErEojYnfnM3S	47	2013-08-03 21:13:36.114718	2013-08-03 21:13:48.128856	153		0
12312	10p3l4vqfnm95ui7rvgnaj6em5	$2a$07$uTo2KkueT4RH3RVp5uZiNOuC19wEdYEwtRH1sGBA4TUTHIDIUaH36	48	2013-08-03 21:13:36.136199	2013-08-03 21:13:48.259211	153		0
12313	10u991vt9763eenqzhdcrkqcwh	$2a$07$X51xr3tYh34WixVrsHrEX.SjQU2YOditlROp9B0YhibIvQbuVyBeW	49	2013-08-03 21:13:36.15787	2013-08-03 21:13:48.45399	153		0
12314	10xj8xruy76bgzeq9hiztsstiu	$2a$07$yBkioROwQPOISi5.GYnKR.KZa1gJ4Gl4P2og/wNWcGis3tp9FjEeK	50	2013-08-03 21:13:36.179342	2013-08-03 21:13:48.583037	153		0
12315	10ujyy6gm6vgmnqok37x79e02y	$2a$07$U6PXWVcXYwNeRGayimPq7evrFSsgX0i9RzVmtDXz3Z3G/yJ6U1p6u	51	2013-08-03 21:13:36.200946	2013-08-03 21:13:48.733211	153		0
12316	1098bt5phgy529lezdcam9xu1g	$2a$07$X/vf6tUdiuIskuzXqKBTUOZ/7JnIewGDPjdvR0ZlozPrqojtRwqBe	52	2013-08-03 21:13:36.222458	2013-08-03 21:13:49.154996	153		0
12317	10s5n0zb4k5dtihwbt0vbpnnq3	$2a$07$OornunrmaejxAW30ydgbh.rBlXl9337DSWLcg69MBdRtHNpfbE0ay	53	2013-08-03 21:13:36.245448	2013-08-03 21:13:49.554149	153		0
12318	10t6cmhd4raam5qq6bfgje67eh	$2a$07$arUBZwQ0x6QxwHDHvk1NBOW4r0gA3DCmMmBcfwmEC6Rw78l.cgyky	54	2013-08-03 21:13:36.269612	2013-08-03 21:13:50.015382	153		0
12319	10wgh1gqb9a2at8fk483pyonax	$2a$07$q6hvNYVLbFOdkDHqIp1SEOc8.n/cwAOL.jW24Uwh.uL0iYXhKu57a	55	2013-08-03 21:13:36.294428	2013-08-03 21:13:50.147641	153		0
12320	102uzactchjjf46mve5kwqhj54	$2a$07$ZCctF4o277i9FmV6qHeIYelABfBrAZPVzzMM6rgLJiDBgu9CrqtkK	56	2013-08-03 21:13:36.316315	2013-08-03 21:13:50.283839	153		0
12321	10c039s3r6c3l2wtxxm93wrug9	$2a$07$CmC54Edtn0Ai0yWEuj8ZD.RXyG77YQJ5D0vm9JHyd9.4.ujlLLufa	57	2013-08-03 21:13:36.339844	2013-08-03 21:13:50.406079	153		0
12322	103jqutic104cdzplbfbj0rmbx	$2a$07$vMtmToIVFOWtg2VDOvYlt.JrNa.MXhVKGPNOSqDjth1DW5jkDJNAu	58	2013-08-03 21:13:36.368432	2013-08-03 21:13:50.537876	153		0
12323	1008io0smkv6o7ul78s4n82kq7	$2a$07$tBSJwDKoSAv2QLs8n1UFSujU9sa9qg/NMHlTMjUvwDzXIVQWrCcCy	59	2013-08-03 21:13:36.401294	2013-08-03 21:13:50.684683	153		0
12324	10cvimgri81mni4qyzaqcn3r42	$2a$07$oeABL3mY4woxmuJHSH5jruHhnz0gzSHZ..U6k09adCiYFYh.WbJ7S	60	2013-08-03 21:13:36.422633	2013-08-03 21:13:50.830998	153		0
12325	10wy2x5weobyce7vppnm1lhdno	$2a$07$Ow44jR.Rw6.AjKG20Z8jveO1lWQCKpQubL9dQg4C53DucVkxfpKni	61	2013-08-03 21:13:36.444151	2013-08-03 21:13:53.915378	153		0
12326	10czwi2qc05zkd0hfkcw1j42o8	$2a$07$3pvs/DL1zHxcP/wTKoDvfuVEYKeE8GlrZ3jNvWaWeb.hrBbdr2ZS2	62	2013-08-03 21:13:36.465566	2013-08-03 21:13:57.126282	153		0
12327	10dprfrgve9xgt5bziojnyu0bj	$2a$07$zpLPb0HxXQR7ipqAOPCTfOtXsYVCWQ98Aq0naQq4O6UgW61aoAl6O	63	2013-08-03 21:13:36.486988	2013-08-03 21:14:00.217154	153		0
12328	105rz9vxe43c5po2hg6xvsopdt	$2a$07$wZXIV88C2.Bdwhqb7vArHOrXBrddPRewLEbeTE01rgNTy4eDNJIKm	64	2013-08-03 21:13:36.508611	2013-08-03 21:14:00.362845	153		0
12329	10ritr1o4087bobu3p0qmly9e8	$2a$07$F3znorTmlr7XWTzrpFjwCOi9PiSy6r3tOVw4df8/lrLue1vHS65yu	65	2013-08-03 21:13:36.530058	2013-08-03 21:14:00.520991	153		0
12330	10tirqpnu6h9is6wrs1q0i2oao	$2a$07$K2R/M3Wfx0S5TZrv7H3exOKjyNz/.QPKePOGLNCzpbkFWwCZVpZ9.	66	2013-08-03 21:13:36.551578	2013-08-03 21:14:01.537775	153		0
12331	10e83fvjmxcraq2cbxh2g82vym	$2a$07$YtTpULse8jP0Hg.hnCbN7u9PZ3PB2cyWTR69.0i7WM/wXbGcDGsm.	67	2013-08-03 21:13:36.57303	2013-08-03 21:14:01.652792	153		0
12332	10xy18ejphoo1injxssrrjcb94	$2a$07$9JAbxgZIYNAAs6Yuil2vceHCoXwdb97QPh2/w62cszrN7e6lvwqm6	68	2013-08-03 21:13:36.594524	2013-08-03 21:14:01.78782	153		0
12333	105q301zfqrxf5869bnkcv12xh	$2a$07$WAGV1wRASYn1SB8QTgGs3uRlDhgwPpboecNicnPShbsFP6tcgMvSm	69	2013-08-03 21:13:36.616172	2013-08-03 21:14:01.930899	153		0
12334	10zkx8am1cind7t6bwyplq4azl	$2a$07$afkgNqk9sf0z9HWX00F5IeLsCVjIougEubkc0yTXXvI6VKuUoF9W2	70	2013-08-03 21:13:36.638839	2013-08-03 21:14:02.107356	153		0
12335	10hqi8r5ktcqay1f8bc5b9an0g	$2a$07$bUrl.CSq9aUBGuF22eKududvBaVBqsxCRbAKef196THrEAYu9IUGC	71	2013-08-03 21:13:36.660475	2013-08-03 21:14:02.339059	153		0
12336	10k24mz7o5ii862gi6wf55jq41	$2a$07$O6sNbzAqBkSEmISLfZc/hOrXK8caq.hwmuIShJ8nqGAXZQD5ifapi	72	2013-08-03 21:13:36.682109	2013-08-03 21:14:02.480616	153		0
12337	10hwxue8ff6fw17h4hzyehi2cm	$2a$07$PzykeHCagkbS7CbOnKJPoOopDQndihSTF4PutsXzWx5BLEIZYL5hm	73	2013-08-03 21:13:36.703619	2013-08-03 21:14:02.778943	153		0
12338	10m6k31rujcmvlqvdr16jr8r1y	$2a$07$jMzxMPugYqQlNh3Rj4tbAOVlFmReIr5x/vqJCFaaeqSqntjSXNdkm	74	2013-08-03 21:13:36.724943	2013-08-03 21:14:02.899417	153		0
12339	106umx7ruv1jn95fd70uzpeuxs	$2a$07$NZyUD..JmnsMDDw848MKMOyJPrsQmwtnienkBQXbj1lthiF7UpLWK	75	2013-08-03 21:13:36.7464	2013-08-03 21:14:03.040848	153		0
12340	10sz3s8gi9b7tcm2v9yb3l4p76	$2a$07$AyONL5HseyDU5mV/47dS3u2ff96qDVWqN8lyAoyTtf4/w8qV9Ond6	76	2013-08-03 21:13:36.768867	2013-08-03 21:14:03.189639	153		0
12341	10ybvcz7wlvsgpzi7hvjr4cz49	$2a$07$GOpdM4jbmsvBvXTe4BAlF.DihNKrbGJ22GiJ8bMuCERcstdRZj6du	77	2013-08-03 21:13:36.791528	2013-08-03 21:14:03.295008	153		0
12342	107pxwadz9gg4e2qffnhgzwsco	$2a$07$8rLCoT7J8vBEiA6EeiT6rOccbUZO.L81ykkucisPuUEWtCiB4haSW	78	2013-08-03 21:13:36.815841	2013-08-03 21:14:03.397215	153		0
12343	10zoladfchfq8c6rig3ma3dimw	$2a$07$i7c4FtxQ6DCvdZ4ZLfVMruihsty7VE6I3rHaJFVSL74P2y9zzdRhW	79	2013-08-03 21:13:36.838188	2013-08-03 21:14:03.501111	153		0
12344	10ks2iqip7ujk2r83jij5ta46n	$2a$07$b9xcS1kDKJU47iEXUPqtIuoRvCCpauvP5T/l13iuLXZ9W9Y9iEWpe	80	2013-08-03 21:13:36.859777	2013-08-03 21:14:03.672613	153		0
12345	10d8trz984ur121d5xnye246d1	$2a$07$VusEGKo8dbdZ5j9t4jfwYeUF7yuUkl6IwZONCuzAod/hXCJlnH/sC	81	2013-08-03 21:13:36.881336	2013-08-03 21:14:04.02386	153		0
12346	109mdfqaauwxwpge7ncfqgbqo0	$2a$07$/I0K4ZlANAAFy2AqGmsYo.jr5PqrqKzk540/JA0Z/6ZZP65pSy4b6	82	2013-08-03 21:13:36.904609	2013-08-03 21:14:04.156898	153		0
12347	10osdmugfha4fnl4ytlvqojzxk	$2a$07$pR/UFmgNdjW48TSPj5lSAer5KLXkt1mw9/OMivMeyxuTIKx3P8CtK	83	2013-08-03 21:13:36.926202	2013-08-03 21:14:04.296846	153		0
12348	10hbd2yjw042iwlm9ihi7afjti	$2a$07$PCdJLIIB3gW6oDlpZA1JMOXtaZkLH.OBWKyUGeZSfb8LYHfx2p8oq	84	2013-08-03 21:13:36.947591	2013-08-03 21:14:07.033515	153		0
12349	10yfjfsowmpdubl5suy7448obl	$2a$07$bLcV8pZ4LV7dPrUUgF.KfedTVX0icVyQXqRc.lHDhLdKVt64dmTdG	85	2013-08-03 21:13:36.969221	2013-08-03 21:14:07.155415	153		0
12350	10b3rvzkvw6xqey02ibcy7q8g8	$2a$07$XM4MMLw2ckyYYBfgH3Vmgu3ZrvjbU4rLa7R58ZIcRtgCffcQ/zn9O	86	2013-08-03 21:13:36.990776	2013-08-03 21:14:07.298617	153		0
12351	103wu9q2vdfwe91nn6swqby3oh	$2a$07$NZ8YZkfDWTVyEGJ5.m7Gr.8xJ26tDQMLWEQCooKmDVkHDanOv/gR.	87	2013-08-03 21:13:37.014355	2013-08-03 21:14:07.450874	153		0
12352	101lfy0vvid9tnhsspafclkwnt	$2a$07$GUjwnXnuCVFThgDWQRlHBuRxdteTA/kD781N8noFGPH.mTlOgXRdO	88	2013-08-03 21:13:37.037868	2013-08-03 21:14:07.60217	153		0
12353	10ywfdtd96dikbyui6zmc4k3y0	$2a$07$ycOO8N8LoR6IRdQ6Le9CleDpdGvXvUsnrg95lz3/2bW..le3lKoZy	89	2013-08-03 21:13:37.059583	2013-08-03 21:14:08.603253	153		0
12354	10eh60831dxh49eho9wrckg9vo	$2a$07$.tmm/aBFNp4n0nYadkH04Onb8JPc.Bw8mhEoeX3dVD.pnPf.QabwG	90	2013-08-03 21:13:37.081308	2013-08-03 21:14:09.537077	153		0
12355	1043kaymphbb2oh03yyi1bs5jd	$2a$07$bBxBFEt2ZGRBre11G5FnvOyf.lg/574Z/CZlcO12nYWMenxcGzfm.	91	2013-08-03 21:13:37.102892	2013-08-03 21:14:09.67738	153		0
12356	10yvo0b3kesh3vww5219ctgffe	$2a$07$sPSQ5etxCjgyEQLD5bIBzu95CMLd5Jc0GirrNaovNGgvypx7xwrQy	92	2013-08-03 21:13:37.13399	2013-08-03 21:14:09.821595	153		0
12357	10jn5eou1zzoyw52i7bwwz7ozq	$2a$07$GDrsDszkDb2w0XhlKPM1f.PoToeCe.kxEgNYUtYFOTAPweetwVawe	93	2013-08-03 21:13:37.15633	2013-08-03 21:14:09.948314	153		0
12358	10p1eki3blqsyt1hd1vnt21bma	$2a$07$35UQEE86zcSQEZtWb8wa/OSRk8QSdKPIAoYPTqoU8hpEI/paDltqy	94	2013-08-03 21:13:37.192858	2013-08-03 21:14:10.057809	153		0
12359	10y6x2mwlkktdzwiyg3np45r7z	$2a$07$N0xL7P5e5.hwJ0HOuXJcQuZmvFBOulbdpyesmh4O9tu/c7q8pz8SO	95	2013-08-03 21:13:37.220809	2013-08-03 21:14:10.187934	153		0
12360	10uekb40nr24lln6490kxlf8hs	$2a$07$azGb.sb4OAL07wsXUbqZeOjRtQlKkwI2mu0ehtt5zBP0XsGfyXhpC	96	2013-08-03 21:13:37.242676	2013-08-03 21:14:10.333184	153		0
12361	10d3jn6mobgphprk5xos605e4w	$2a$07$0c2gPCX3qazzLYWBMn8rZOwtv/0F13CQiQWs8/QUUW6VQl6/7nBTm	97	2013-08-03 21:13:37.266123	2013-08-03 21:14:10.451707	153		0
12362	10pa53bb41zpddnwagr38aa3hk	$2a$07$WHqAIvyEkcTnlMINO8D.Xequja/a1yPWdvMgRxQCwaPUZzSaNYkHG	98	2013-08-03 21:13:37.290806	2013-08-03 21:14:10.577432	153		0
12363	10zniehgl9am1as6woyt5005ex	$2a$07$XNWEsVnWSIXovY.pOkftv.Axd2RUAOkhj15FTeWZCNCBxDORHcgZe	99	2013-08-03 21:13:37.315872	2013-08-03 21:14:10.73323	153		0
12364	10gsh5sd70vxm4jz7c0w9ku8j1	$2a$07$SvS1DjViPCzgxaGp0K/1tuni8Nor/ftL21oO5dmcdpEllQoZB.Am2	100	2013-08-03 21:13:37.351306	2013-08-03 21:14:10.883321	153		0
12365	10mm5jk3eknlv3kbo0xq1phts5	$2a$07$4poyTM9yVQdJtqwrBLkF0.da5vd8/NcTP0wPOGzKJeSX2r459IL4e	101	2013-08-03 21:13:37.374007	2013-08-03 21:14:11.013182	153		0
12366	1063ibcma8wqtprm1yz0j05xpf	$2a$07$z5bzx/aGbyVqL1Ut.JjAOO3uqUd/Oyo9MKZpyt9nTRHOF4GdVBm6W	102	2013-08-03 21:13:37.39643	2013-08-03 21:14:11.138902	153		0
12367	10wjolw75wymwrbi0ydxp2eobj	$2a$07$rriSSrZMiKCMYVI2HLHxyezVrmTAAIq83aNE7sZdbVchx/UNJSvCi	103	2013-08-03 21:13:37.419646	2013-08-03 21:14:11.472305	153		0
12368	10xvpabxj442haqm1ngi5mccbq	$2a$07$.jZHcFAeLCcuEGCuGN/lhuMY0Kqj976JN2imsO22YvCnCr0E7jiNa	104	2013-08-03 21:13:37.443064	2013-08-03 21:14:11.89697	153		0
12369	10gkoa5s7q7s6tvwgxookt4a99	$2a$07$AOSQLVRpfoW9eRDgkly.PuJZ01PbyFuKEZwFofiOWvSdUIoUjReTW	105	2013-08-03 21:13:37.472615	2013-08-03 21:14:12.108891	153		0
12370	10tgahzrp34xrj10r4xo10mm20	$2a$07$CObzt6sLOtyktb8QSnxCU.bjHmsmgIrTN/VQsLxWKWwQKgbxsDhxC	106	2013-08-03 21:13:37.4954	2013-08-03 21:14:12.329279	153		0
12371	10o8zzirbqm8p1ew28hyzs0fdt	$2a$07$tfLy4taW8ZIiPwbfnmFxM.qLZeVWJ.xmwN3Ui4t8dAUhGo6e9fZBe	107	2013-08-03 21:13:37.516977	2013-08-03 21:14:12.457807	153		0
12372	107qpgvsgfe5d3lytjjr1nu5fy	$2a$07$hMAezhbK62Dgkyu5CY9v9OilpyCOmFKDqDKqhZgDNcX5eN2siHoF.	108	2013-08-03 21:13:37.540084	2013-08-03 21:14:12.602308	153		0
12373	10aq6uk0zqrr8nr0whcc327bnc	$2a$07$JEKMinykfQxknj/GAdFaru94a/VEYLJir0E/bWNSpgJ7/dG6.pOmS	109	2013-08-03 21:13:37.563045	2013-08-03 21:14:12.706114	153		0
12374	1088pkbocu8vqgnxt7fy0wsxju	$2a$07$8oQCuV.pK.EEr9m7KLUf7eAzNrqm5Hq0QcsVDQMy3B9Oc/.JJ2.jS	110	2013-08-03 21:13:37.58472	2013-08-03 21:14:12.86802	153		0
12375	10fognzlf1ffv78ickasuy4qsc	$2a$07$kSRKYAgLNlaP81.D/vPCfuNjQjSQT6hfRxlivMybYQQpA32Hd5CRW	111	2013-08-03 21:13:37.606791	2013-08-03 21:14:13.010184	153		0
12376	10wlg1rjo7y8wm4zgpwmzh71ff	$2a$07$O/Eqjex5ICbKSB3frNYQo.2FtBYpEabQJuu83s4hjilzF.3dJnL9O	112	2013-08-03 21:13:37.630422	2013-08-03 21:14:13.15485	153		0
12377	107ftdgxv1wxglmpazm7h7po18	$2a$07$Z12yUX9AB.lI3e.zRpF.CulpIqKIdEgipR53LIgsKF7sUNMwHkptq	113	2013-08-03 21:13:37.652994	2013-08-03 21:14:13.297321	153		0
12378	107li8rghevucik3n4kbfeuwbw	$2a$07$7LQsrRnOFb1xi9FwnIgF9uInP5GG6VQl8B.A2ebMIcFAAioJ3pTGG	114	2013-08-03 21:13:37.67541	2013-08-03 21:14:13.428382	153		0
12379	107xdssfi2e0m7sayg61in3mof	$2a$07$WU3o1Gd9ZNImQoo3l8WpueA0s0rWScKa9VZiSeu5ZsEVNJrmSPW5m	115	2013-08-03 21:13:37.698581	2013-08-03 21:14:13.559238	153		0
12380	101u2qgmd87zdwxpb3j6v4e877	$2a$07$yFhGOy4IOnm9xAnXuIG33ehir..uwRdtbZRnh/dWAyphD4vBljS26	116	2013-08-03 21:13:37.721494	2013-08-03 21:14:13.703089	153		0
12381	10jsnty8tu2ayxzhvgkeioj7cb	$2a$07$D3wn5RfsNMVRla.xwI2CueCiHtEDcrjb2QVSLx2U4nQQj81hIAxgO	117	2013-08-03 21:13:37.757864	2013-08-03 21:14:13.851914	153		0
12382	1074bkq2o3mkib1j5o29e1e62d	$2a$07$z41MW36rfIwuN5hI8C6Fv.cNYsbUJ9M8ymwYUZPtS8kWozgBpZt36	118	2013-08-03 21:13:37.792502	2013-08-03 21:14:14.006379	153		0
12383	103v2m5tvxtq6wkvmj4d1zj5rb	$2a$07$CFZ7hGsSQJXZQ.4QaM3qA.39nx0Q2TbdKWVztrPYulDAwKVZl5PmO	119	2013-08-03 21:13:37.815835	2013-08-03 21:14:14.128583	153		0
12384	10zdjnfqso9vi3gzp1v9qd5yn1	$2a$07$XKwz.p8bJG6ERYyVnTFIku3x/a7q6lVTLZJFco8XOSx.jcEXROU5u	120	2013-08-03 21:13:37.838074	2013-08-03 21:14:14.266022	153		0
12385	10bdg3iw5y9o06hcwngidw95xh	$2a$07$emmkutCG4fI8WPJO76PMwOu2CWbyU6wD5Ap62ZT8dbMwYgfMxXAEO	121	2013-08-03 21:13:37.85978	2013-08-03 21:14:14.405064	153		0
12386	10xr6hsyccpuo7c7kbdt1ljbmp	$2a$07$Utq6JfhZ0jmBeuWLm.nCDO7.iXmyGYoeqR7aESYDEjs1JaIP.UUiK	122	2013-08-03 21:13:37.881427	2013-08-03 21:14:14.522707	153		0
12387	10oxmvwsz9ql8ivjb5623b6d7o	$2a$07$MroLIfPd13yfkY2U/TGz4.mv39CeiPT1k5bEXq5QsRkyw4GpHIGvK	123	2013-08-03 21:13:37.903606	2013-08-03 21:14:17.316452	153		0
12388	10xaq4ybu1ky124jaspqmcheal	$2a$07$k0c4YUIAS3farsi4K7q8UurDtMiUpW43Ut/n2pLepWgc1Rft.fagq	124	2013-08-03 21:13:37.925215	2013-08-03 21:14:20.20099	153		0
12389	10yccdu5hpo7ymsztjnpkt0mqo	$2a$07$E4CFx.FoTyUvWKFGlcjNhOObSEMpBGMWhHRIYLj1L878kX3neN.ae	125	2013-08-03 21:13:37.947715	2013-08-03 21:14:20.523077	153		0
12390	10tvrqllmsrgo1s3lzd9tt5409	$2a$07$2OQ1dYxfA9g0ZqTvWfrMve6oXjQIh5BxXQxKpRq9OwJbosjElZQe6	126	2013-08-03 21:13:37.969363	2013-08-03 21:14:20.773987	153		0
14029	10yuxblbrpq2hy0olbr5iyxlqa	$2a$07$CBeH.7Fn9rtIryGQ7iv/..AMB4yQuGoOXUxHnAs6pTMALxX0RLrZi	1	2013-08-03 22:23:35.086761	2013-08-03 22:23:38.388212	167		0
14030	10oi54ho2mu3k3dblo1wx8238f	$2a$07$FjKOmtV43fYSxaAGkkQ67ehSzt7z.vd3OA8peu/L2lB1wujVKnuoi	2	2013-08-03 22:23:35.110662	2013-08-03 22:23:38.50525	167		0
14031	1067fne1wcrs25wiixyrrko54u	$2a$07$tEWDnCdAz6PUwjrjHRTbxO6UIUS8MXy5oH02tgX1Z3cNHmSivkNw6	3	2013-08-03 22:23:35.135001	2013-08-03 22:23:38.625856	167		0
14032	10qsuwd5nqpqjwi83bm563v62a	$2a$07$jW9OyjMXeRC9il1bvYCSBuUGP/vTqUbTq9o.56sPADRdrkIcZWt8q	4	2013-08-03 22:23:35.164665	2013-08-03 22:23:38.849358	167		0
14033	10sll28bpi4kt0hpuj4982c89i	$2a$07$2dpv/0WQB/4vVZpf.hf3GecGjdOvOyrDLd72LERwHULHQEGkFCpbm	5	2013-08-03 22:23:35.189705	2013-08-03 22:23:39.009768	167		0
14034	109lvgij6ail3pgijontovi8ir	$2a$07$CyqnnMBFqnfC5pBHOLM3zOzfvKEat2tpjDWz3P4IRWkDF.Xc0fITG	6	2013-08-03 22:23:35.214506	2013-08-03 22:23:39.157314	167		0
14035	10wlhvglr6uj4rz9ut5x49yatz	$2a$07$PGQ1h8yYs7gTS9YZ9Dbe7.0jre5DC.yXmOrRbt.7pWRhJdtLDKnAq	7	2013-08-03 22:23:35.239093	2013-08-03 22:23:40.698972	167		0
14036	10nbvsqeqeau7kossuzgvyzoxo	$2a$07$JUfl17V2xRCn0Q0kyW5tQ.iqG6lZlFnYvw7Nv9NxWD7/Revp01LP.	8	2013-08-03 22:23:35.2627	2013-08-03 22:23:41.969826	167		0
14037	10vmb0cnvoq9tndcv1vfcktwdv	$2a$07$wwnUQjm/UljzMDjKa4m53e5gevRIV56MdrFHx6zh63EDIGPeAMjka	9	2013-08-03 22:23:35.285861	2013-08-03 22:23:43.09484	167		0
14038	10271mstm9vekwllq9vxh6wojr	$2a$07$3GFWbNwdCeI0BezxZESVHe9ibPrvvYEVsIOLCQqR11ucQhbOkOnHG	10	2013-08-03 22:23:35.30835	2013-08-03 22:23:43.216478	167		0
14039	10k69d2r412i716zrjc06g3ifl	$2a$07$/pjDezqH0ccIApOTAk.u2.GxVHJuaRD8RKWY5pxQTLX8s.LZl5YxW	11	2013-08-03 22:23:35.336622	2013-08-03 22:23:43.308801	167		0
14040	10lezhmxzah666v89m7jbtgeh1	$2a$07$kzki2iNFf1Cqw4K1rLfC3eWTWk9RzsPYsKfE8pZk5CRFYj2BqbyaK	12	2013-08-03 22:23:35.361756	2013-08-03 22:23:43.404038	167		0
14041	10xwefuu0cjt0qbiuv0cg6w6v3	$2a$07$BdSbxE1BJVkaG.LIxJJ5yOKHbUNC2O2t/lMokQJc5uuSN1ttGrfSS	13	2013-08-03 22:23:35.398114	2013-08-03 22:23:43.53269	167		0
14042	10n6dztpvicdrahhaessicrwml	$2a$07$qgsJ9oEHfJBjFpQSVTfjWOFdvOyzUbASicmbsfB24ccCwM02TAH5.	14	2013-08-03 22:23:35.42765	2013-08-03 22:23:43.687474	167		0
14043	10gtbjphsn62gh58hq8l9qmhou	$2a$07$uW1tiK7Dbgv6hcCY8OExX.DasOB/kdT.t25DDJ0pDvRzdnh7CbrW2	15	2013-08-03 22:23:35.452731	2013-08-03 22:23:43.822208	167		0
14044	10non3vmculyykimy2x8c60etb	$2a$07$k4VYlbwVlL.QC4bc84RU9.XwyMxLst1gdpO9CcCfVnMbFNuXHZPnW	16	2013-08-03 22:23:35.479807	2013-08-03 22:23:43.966964	167		0
14045	107lqt218o7letn6m283ee4100	$2a$07$spwSJmeADRkisid2VjOZIe.k0pXrb1KpuzHCD5uNjxZ2/tDIy52ai	17	2013-08-03 22:23:35.513789	2013-08-03 22:23:44.100068	167		0
14046	101l5r5vjhm922gzrh9makxf02	$2a$07$whOuOFj/O2NbLHQTNsQTtuEg2c5lkjodjo5YyU857iMaR6vs5Tvzu	18	2013-08-03 22:23:35.537366	2013-08-03 22:23:44.244816	167		0
14047	10v83z19yfm2ox5lre82wkltmf	$2a$07$0NnJJOQOIyzyp6xONH9Jnep6n/BXgjI0txNwQL6Fs/hhQdxJORDC.	19	2013-08-03 22:23:35.560973	2013-08-03 22:23:44.406706	167		0
14048	10nrqraoic371x0csdjqegaj87	$2a$07$LyahWjASQctdLSqEjX1pOuHZCe0uc8R1n5vZ61jVx4mRyMfnJ7ZhK	20	2013-08-03 22:23:35.584901	2013-08-03 22:23:44.556883	167		0
14049	102cpittnxydvdvhr449qog5sy	$2a$07$TGH81P7hzD55UyIUU9Rr6eeyvFueOJKlYVZAfAW0ZUNUtjWaEFJDi	21	2013-08-03 22:23:35.608909	2013-08-03 22:23:44.696672	167		0
14050	10t7pkahnt5jus4qfhysd1jth9	$2a$07$ccMa2XgAQIg5l/f/pJdNnOIMxDbR2eUKINxyQggmc8LFQYB.zxI6K	22	2013-08-03 22:23:35.631956	2013-08-03 22:23:44.834208	167		0
14051	1043rny3x5k840r68hysycvn2c	$2a$07$RevqVYhz3Y3QCaRu8NzDveoyNSBQ1fFSejyNJB5dgMlIxkwAS3hBC	23	2013-08-03 22:23:35.654309	2013-08-03 22:23:44.941487	167		0
14052	108yi0urqcpqr81vysu48evtxl	$2a$07$8vn1ByVMDDVC1wx6Ktiqh.ftleTotYA8n11ikS1nOsBcx.0BJmp/e	24	2013-08-03 22:23:35.679845	2013-08-03 22:23:45.11933	167		0
14053	10kggq6rzkpzh7oersd5aa099i	$2a$07$YnEGm2y4Hrp.KWc06O2lKOJgHgx3pRb2q4f90rAwT2l8pAQUeqz3a	25	2013-08-03 22:23:35.711471	2013-08-03 22:23:45.257422	167		0
14054	10aeurcz1zdkf7enb8jx71ym1s	$2a$07$7Qb5Oe1W5zzvr.CfQ6YRkeZEC4DEbuRbeAqXm7UeRCBsoC9wb6Isi	26	2013-08-03 22:23:35.735721	2013-08-03 22:23:45.389261	167		0
14055	10k14xhojssox83dvil9fawqf7	$2a$07$zWxEc6.m/GnGCd/Q5xp1pulY9R/dLCcbb4bq3aR15LFpaAGBA1S4S	27	2013-08-03 22:23:35.759858	2013-08-03 22:23:45.512856	167		0
14056	104wa2fpjv1jh4ym45ohgagc3x	$2a$07$ddsUB94QFLXfz4zTmosw5emutIAjn87kHN6C0sH9yZnsZaaKopOw.	28	2013-08-03 22:23:35.784126	2013-08-03 22:23:45.8848	167		0
14057	10jpsytntj8mu2j7qoa2pavhkt	$2a$07$6fZDNQ/Rwd95UlpsRfAZo.gTTzXP0t0aC.Ezn8bq5rp9bT2ZP/0Um	29	2013-08-03 22:23:35.80818	2013-08-03 22:23:46.320237	167		0
14058	10vtdyc05c69ospwut5364hy5p	$2a$07$aHhVe2VrlOZBl5H4iWIdZ.neQSNUN5hCVPiCHp3AXSfpB.iwNaUzi	30	2013-08-03 22:23:35.8319	2013-08-03 22:23:46.75985	167		0
14059	108g83dby8hs5ogxj5bpqettyr	$2a$07$ucyvZAX5.uvPjdYsi2X1y.BlvJTx5zaM6wyl4gXWKO.xnWiwd7GmO	31	2013-08-03 22:23:35.860266	2013-08-03 22:23:46.89146	167		0
14060	10mtxfa4y3nsnjr48sweog0p6v	$2a$07$S5MjncMSPEmeEDltW7i5wuyEA.oqNCQQsJYoPod.4/7V5B9yT6hKm	32	2013-08-03 22:23:35.885479	2013-08-03 22:23:47.021321	167		0
14061	10cidvdiikidlienjur91ido66	$2a$07$lqpnUSDIWyYKfMdna5OFiOR6sLlqnqTWvNam1BxECaOorMxRHaGOK	33	2013-08-03 22:23:35.910095	2013-08-03 22:23:47.126838	167		0
14062	1098evlck0c8vge1ud6hpchms2	$2a$07$FU.5wKT8EkdPBU4j7OKkxexKLUx7rUP8dkxIgZOs2ZBqEqIFvz35y	34	2013-08-03 22:23:35.9394	2013-08-03 22:23:47.359396	167		0
14063	10x2e8rla4atutg8ifwls9o67l	$2a$07$1zwfPvelWzx1vyTly1/o/uWDlDeP4hR7VGpHTI5IqvH2axzUz8JNi	35	2013-08-03 22:23:35.963222	2013-08-03 22:23:47.494274	167		0
14064	10vp2lnz6g8wnsasu79i4h0nr8	$2a$07$l0VdERW5gB5WxORpBnDEhO4iiSrZy22NBxBqYnGhQgR7vyg9C0cHq	36	2013-08-03 22:23:35.986773	2013-08-03 22:23:47.681841	167		0
14065	10gqdsi5np1rh81jnnvhwk5ell	$2a$07$9DnZ39F/oMmvnTbBcld2ueT2zT.964tS2RABtfBzCySNQZiY/wJTO	37	2013-08-03 22:23:36.009396	2013-08-03 22:23:47.819689	167		0
14066	10ehqc9dzoyy9z4nv8i5ihf8q8	$2a$07$L2kPWQpdTtAHuFq7.oE1.eYK1rke1eXN3.BJoQD2JcX.aZ2HHqc0K	38	2013-08-03 22:23:36.034108	2013-08-03 22:23:47.943892	167		0
14067	10t2hhbf00fpicfg3yf6fix9rr	$2a$07$gYqoqK0m5UcfMlqapvwP8.2j/tPJ.k167BqdrHP6C/V6LcxBDNWJu	39	2013-08-03 22:23:36.066333	2013-08-03 22:23:48.080334	167		0
14068	10j9fh6baudz1lzf7tbw7j73ht	$2a$07$uQ3INmktprdCEGZg/Pmcr.oFc1dFwqmo98g4TYECtuVRd9toq0YVi	40	2013-08-03 22:23:36.093946	2013-08-03 22:23:48.213018	167		0
14069	10j8ppq93otbg5gee61vqhu6kd	$2a$07$l14eOyiq6d52mkfs21wpbuLSuXxVYHNCfIVswqPoHoFqFg56cb61q	41	2013-08-03 22:23:36.117097	2013-08-03 22:23:48.314735	167		0
14070	10bcrtptcv6kxlcepoq0ilwtvd	$2a$07$0dtrSo2HUOpIyDrULInyfew5i436lMLtgzaO0Alj4Ruj4ty/Fq202	42	2013-08-03 22:23:36.14105	2013-08-03 22:23:48.452674	167		0
14071	106696pz38n5rgzq2x1g18idq2	$2a$07$U1CIoV1UQbd279Vs5BlTA.thzMXP/IV3xU0v8JCl.jVIZ05g.w3vO	43	2013-08-03 22:23:36.175029	2013-08-03 22:23:48.59812	167		0
14072	10p5r65rot7p8p5ooje5070kcy	$2a$07$uyctmoZXiWTKI095cJToPuj./Jj9HS2OFGeGTMPma5FAhlCSAM0aq	44	2013-08-03 22:23:36.20425	2013-08-03 22:23:48.760118	167		0
14073	10dj95btsqy9mqsd96z09ykfk6	$2a$07$MN5oiD2COKdqPnl8di/beeM8o4iy33D1ofi8g7gLEIzRtjahjewHu	45	2013-08-03 22:23:36.236829	2013-08-03 22:23:48.91255	167		0
14074	10rbtq06h2efotvh91rgb08zdb	$2a$07$Fe.oZZ6x7BwvLv38xPVSFekOUkpQhwxKsjuCrXLQOlsEzCQn2ftdy	46	2013-08-03 22:23:36.261733	2013-08-03 22:23:49.080605	167		0
14075	10ip4zdswevf81tq60yx29awvx	$2a$07$BGn1AmOlHoaImXWgcpwR7uS.vHbOtiQbPUclbC8L0kXnrGGnR0pme	47	2013-08-03 22:23:36.298678	2013-08-03 22:23:49.249267	167		0
14076	104nae5k9dsh0v5poj77krgm0f	$2a$07$ejIolSI4HHcSa.cpzEkzvuw2OvA5PBUS1GKkpc5KUVjKu8Ff7xkRe	48	2013-08-03 22:23:36.327291	2013-08-03 22:23:49.372623	167		0
14077	102kddmntgc6j0l4zk7joy5s2c	$2a$07$0gpRXnNXuhNnuyMclgRXsO4BnahKvJ.dwRMr5qtPbUbZiLEadgOUW	49	2013-08-03 22:23:36.352117	2013-08-03 22:23:49.506826	167		0
14078	10x6ztqu7slvm5ttngdxg5w1np	$2a$07$tRyoZxOWiaV5MLzZsHtCK.T.Dav2rn6Gm2K1qdzccri54RQNtsll.	50	2013-08-03 22:23:36.376895	2013-08-03 22:23:49.653236	167		0
14079	10ovvjg7x6fnb4nd0ye91e5dsi	$2a$07$0Edz5yPieYU6uPjS2.Eo0.Wd8ZfmuFX4T3.OjJUyTqg/rOsunIT.G	51	2013-08-03 22:23:36.400305	2013-08-03 22:23:49.793343	167		0
14080	10d1mor8icgcikfmux3309b4em	$2a$07$8DIndQwtby5ABLw2zim9VehhrKTXywOYEpwP8P2mZ.wx7jBJzeHkS	52	2013-08-03 22:23:36.424265	2013-08-03 22:23:50.335194	167		0
14081	109lc5p2pz6ij0x02ee27l906w	$2a$07$QIPgN8J9.1SvWfzyZ7pcfuIbcDHktBu9ODV.eUUNlUgHEh/hrInYC	53	2013-08-03 22:23:36.446478	2013-08-03 22:23:50.743802	167		0
14082	10f2t9o9vs63jq5rj5tdbqnkxy	$2a$07$OmsfYLFxnBwLTxIXrWsBTewsIOJeaC.bf8sa9.OAjQcndTJOe2FX2	54	2013-08-03 22:23:36.469506	2013-08-03 22:23:51.203528	167		0
14083	10qn7fe79qrglqmrae4lw8wixw	$2a$07$COEEVXCZzr/WZC2dR6BLkO9pfmdD9nrtko3j8p482H2hydR2v4UHa	55	2013-08-03 22:23:36.492785	2013-08-03 22:23:51.36571	167		0
14084	1098l822vna00dvawsi33weyot	$2a$07$rALSGvIGmYPT4.hGLfivNuC6E9HbqqcJrVeXXKRICLezViyt/AEAm	56	2013-08-03 22:23:36.515151	2013-08-03 22:23:51.470823	167		0
14085	10hqbveg9rjt2d8ju8ly6r7a9q	$2a$07$9o/XJj0RRZ7tY.tFyOJ42.kKCxh0lNv8zVkEqnBeSWOYMj41paDAm	57	2013-08-03 22:23:36.538426	2013-08-03 22:23:51.58363	167		0
14086	10m8itkq72hgx5j2mm1s410pbl	$2a$07$FiiocYrsiojEubmA6DyzdOcGwc0TDve/xeE5lW/V7f.t7V73yDQ8y	58	2013-08-03 22:23:36.561735	2013-08-03 22:23:51.726952	167		0
14087	105lu7y35j8quvln4xtut5lu05	$2a$07$IzZuLvYFriMYOgPLySF2Fuzs5Y0MfyPZ/ar71Wmknt7I/C2ooB/fa	59	2013-08-03 22:23:36.583892	2013-08-03 22:23:51.918485	167		0
14088	10qlxafd9mvlu08jm0l4qmoclu	$2a$07$VEsNVmzKFtwnWCWAEh13Vuz4/mcow5XomIR7zRdAbEjQTf9cCEHzW	60	2013-08-03 22:23:36.607573	2013-08-03 22:23:52.09582	167		0
14089	10ozz72p3mtf9hkyx0hph7vgse	$2a$07$V7.DAUKcY/goN/qZ7dYonOHEWN7RxTIsgd8HmXiKEU54U7oIR08gC	61	2013-08-03 22:23:36.631657	2013-08-03 22:23:54.930839	167		0
14090	10lwz0pn85tgkuijhipvzvrch8	$2a$07$AOsch06.BGKnP7dWXHuyOuYnOvs0udaNJ8EApnK4dmg/BhnoTQD6.	62	2013-08-03 22:23:36.653397	2013-08-03 22:23:58.133633	167		0
14091	10gps8x3er1qkwcct6qp3is54l	$2a$07$1TxzDK/DTqtLtQMsDMmB0eh/k6Ihe49xNX4yp0y1wxLD5i7dWSs..	63	2013-08-03 22:23:36.67686	2013-08-03 22:24:01.320154	167		0
14092	10vnbkntked4qphfmkup6t18sy	$2a$07$AvO8KRxrjolAQAZQaEF4YOnqzCK/wRGkjmrG15Qbp9prqgVF//3E.	64	2013-08-03 22:23:36.699971	2013-08-03 22:24:01.477894	167		0
14093	10le2p29drf8ky0uy00lfvx5zv	$2a$07$CDrjG8nWxpKpCUFiki.uuOM2mjxm7ycy4iqdGrNLXFu/PW1zelPq6	65	2013-08-03 22:23:36.722621	2013-08-03 22:24:01.613569	167		0
14094	10pqlhxoufl0hktty238c5a7lr	$2a$07$52jVczd7fm6RVlT0BNff0.HY9MWr3Cdfx1U6CjdnWKqakADotdtgG	66	2013-08-03 22:23:36.746141	2013-08-03 22:24:02.82401	167		0
14095	10ob7805olza45eowp0n7va1x2	$2a$07$fQmBNwRPreM..DPKj6j2HecJHgZyoFNh4sQBunBcaWzoTyIZwnVlq	67	2013-08-03 22:23:36.769037	2013-08-03 22:24:02.937027	167		0
14096	10rtbm80i08bksf8gq98g4csdi	$2a$07$IAIrAko5DbbMSDRH4cO4yurEkA/vXeDl9UYubnvqV6DBB0zhNE7f.	68	2013-08-03 22:23:36.792051	2013-08-03 22:24:03.058233	167		0
14097	10hjymbcfacks64cqhx1vfwe8x	$2a$07$4831P0qOAAD9aqb8LsZKnudQfJepRT/oJzkfVEpTWtUR6hLX3uspC	69	2013-08-03 22:23:36.815771	2013-08-03 22:24:03.190285	167		0
14098	10wbqdjfm7tks9c7fxe2wda401	$2a$07$1/Q1.phBJVWGp3Lr0d5hYOVXf.f1JtBCTYa8lkBpgNJLSPU8gXg.a	70	2013-08-03 22:23:36.838787	2013-08-03 22:24:03.320175	167		0
14099	10m57gf2hl5fegu945en3169cd	$2a$07$CsQ7hZqDL0wedhvT4ih1veu4zlsPmFSbFPgZB5qsSa3Gw2XITeum6	71	2013-08-03 22:23:36.861861	2013-08-03 22:24:03.466191	167		0
14100	108prud88rggvo1czl2byst09b	$2a$07$lr3o9Lj6/Wp3KcOc7Ie1wO4kRO7y66flQVk2ukVm3AxA.DIcKmu6y	72	2013-08-03 22:23:36.885868	2013-08-03 22:24:03.591303	167		0
14101	109iy92zjypauryu3c1z6r24lx	$2a$07$Gzo4Q78TTQjvlViaj3Xw4edXJkpBWWSftrWDwJ1YbHiXXr8BB0/rm	73	2013-08-03 22:23:36.908785	2013-08-03 22:24:04.08204	167		0
14102	100kxfj3uygh919yazcogwpdk2	$2a$07$jsHhROZMZQ3cWuwxpyuwAOfpaoLOUhw4kmTFezeYX3FBKtZzjvSWm	74	2013-08-03 22:23:36.932509	2013-08-03 22:24:04.207634	167		0
14103	108iabp1c0pgtjqq9bfbvjt665	$2a$07$Q/sJqE0dSO5sZ0qo2enMIuNzTUk9KYkRNEmW6aPYNzRfJK.0L8f5K	75	2013-08-03 22:23:36.95607	2013-08-03 22:24:04.325697	167		0
14104	102rzwzge2yvzk7s2e5ez8v0cs	$2a$07$/Z0RQ2AqK8qvL0bQJoEuTOuydCdC63nYN8LOVF4V3HeoxY4GTy6UO	76	2013-08-03 22:23:36.97982	2013-08-03 22:24:04.498395	167		0
14105	108q4iuuxjxq33pz01ggwrctrg	$2a$07$Q63Ks8uiCwFJzd5muVGvpOF/v0lWkhjn6DjxrbhOUBF7P7a86RFx6	77	2013-08-03 22:23:37.003716	2013-08-03 22:24:04.622088	167		0
14106	10kda024rtf5o3nohyj1sfdw3i	$2a$07$JREIOnOlQS2LGxxzQo9WTuso5N4poDtE7eC.RkRqDvWzaEPabxLwu	78	2013-08-03 22:23:37.029084	2013-08-03 22:24:04.781359	167		0
14107	10f78f1r03666apzcirgx6ht7n	$2a$07$w4BziaZ9TV5elKz9K0y7tOKE/P/KswmqRa0eVhjb6EyCGqFGPPhGC	79	2013-08-03 22:23:37.053006	2013-08-03 22:24:04.896258	167		0
14108	10mf7r97wn3ei7jkuapguptqqi	$2a$07$KFMbfbtXe/K1gfmlmikm8OFWPO9yMjKEzm62M6tf3T9ROAwnxuPz.	80	2013-08-03 22:23:37.076273	2013-08-03 22:24:05.034823	167		0
14109	1047o64gajq4f7u9t38k6xsg7x	$2a$07$/tKvgTN9jo7XrvgMIRCKQ.1BcGeuZQnME/G.NxDWIWh1IkyI2m5bS	81	2013-08-03 22:23:37.09828	2013-08-03 22:24:05.420809	167		0
14110	10ejega9iuc9ywk6z84os8y97o	$2a$07$9e./9XsIKjJutcVTjMzb/eRxJ6C9MYC4OsVsgbZUSW7Owqn6FYShS	82	2013-08-03 22:23:37.126204	2013-08-03 22:24:05.541662	167		0
14111	103im2te9cnyunbljhlraxk7ib	$2a$07$7hxYnEIimOZLfzVwWUSrw.ajTpH1LYEdZoJ3Gq1q2dqOAAZDmzIbO	83	2013-08-03 22:23:37.150399	2013-08-03 22:24:05.666732	167		0
14112	10bsnmy20re5pj49kv8kk67vmd	$2a$07$rgmxkylVtS1DAX1077YLDeSAgN6S7wsHcsY1.3HNgcc2d6C8gH2zK	84	2013-08-03 22:23:37.17278	2013-08-03 22:24:08.206931	167		0
14113	1005nks3dlahw7uf21gtllbivr	$2a$07$.Ls4eyxUNpSpTjVmVlJJPOWtn1b3PXdy3MPsVPuqoR0wSZqrXbOBm	85	2013-08-03 22:23:37.196641	2013-08-03 22:24:08.33272	167		0
14114	101mxzbmjke8vez4kmc6au4wmp	$2a$07$s3q1cEOI9T/DoRHeuJl8qexd9Aun/69QGyNFDivrU7cyzErl.T8BG	86	2013-08-03 22:23:37.220078	2013-08-03 22:24:08.470386	167		0
14115	109cfom9umc5ethju6281yf5m6	$2a$07$5PDU25n0zg8b4tB71M6pz.93HkHcYL5xMIPuaJsTO7.mFWwLOJ0Yy	87	2013-08-03 22:23:37.242712	2013-08-03 22:24:08.616921	167		0
14116	10mwnkewq9awmufbbdgr4bn2xo	$2a$07$ZEw50LlmeamsMUjn/K/igeWKtpS/fPEE9oWSSCoG.yvfkVfok2Ivq	88	2013-08-03 22:23:37.266453	2013-08-03 22:24:08.75763	167		0
14117	10i5y87j7hcd1claxfcdraff7l	$2a$07$G7KTRPLXwZ6FE.o8ZcU86e.N60CzVd9dyqqFKERVdAIeNow51trK.	89	2013-08-03 22:23:37.289901	2013-08-03 22:24:09.771299	167		0
14118	10h5d6k5i3e1gpk9hgmc594ofy	$2a$07$FmmcKNpPWxkUYPXRJBuId.daOuYgYzpmb/QkQ2/oPdcJglwAo5SZC	90	2013-08-03 22:23:37.312642	2013-08-03 22:24:10.791249	167		0
14119	10p0rr045i2ls2nwjs5tlng4g3	$2a$07$hHWjtW/09.b8.deUnv6WNOT.DsYewI564V89UuvVRZcH.AHP65OQS	91	2013-08-03 22:23:37.335714	2013-08-03 22:24:10.918188	167		0
14120	10ysnvq8t281kwxo5d2qpg4p1k	$2a$07$.6cejcRIu4V9nCtRhi3lleoCMVwsNCoGkwQQvn6ChRn3841fLD4fS	92	2013-08-03 22:23:37.358938	2013-08-03 22:24:11.021829	167		0
14121	10mmslojfvqc582pma05f4zmm4	$2a$07$9X3aG6OtfDT4uVFLMqD5WuOTEQYIaAYRLB4mK5GeifYdorKls0yd6	93	2013-08-03 22:23:37.386114	2013-08-03 22:24:11.14029	167		0
14122	10vze3oexuboxhrgjcpu2nv3z7	$2a$07$e41mIfRQfhYr1ihX.F9MTuZD2DnUK4UHaD7ohjzwUw5o8dX95Rqda	94	2013-08-03 22:23:37.412108	2013-08-03 22:24:11.256958	167		0
14123	10ww79l4z4brfwudu00binacb4	$2a$07$lzTxYKK8Zvqn5CjlmI/O6.LV4umtvZizfJp.6So9igc0MoP99pKG6	95	2013-08-03 22:23:37.437226	2013-08-03 22:24:11.368339	167		0
14124	10js6a9k4jy84l8r50xbsu7yqv	$2a$07$xskk8kg7ObIo1T72OMNHXu0Ddmdw9F2SVDBulM5aH8C5FCFbbF6xC	96	2013-08-03 22:23:37.46454	2013-08-03 22:24:11.46527	167		0
14125	10wp3a2y3sqntpwwcbmoyyhecd	$2a$07$C3nYtARG2jkLeC5A1w8jqOoq9jcQ8Whdo7NMepkFGnZIBRrCx5v/O	97	2013-08-03 22:23:37.486448	2013-08-03 22:24:11.587217	167		0
14126	102rv08ackgxysh9lrriz58j5t	$2a$07$80iuAfqNgUgRgi0.hn2AreKQ2BXisWjQXSGsp7ij7KKeDZS4nSTMC	98	2013-08-03 22:23:37.509654	2013-08-03 22:24:11.707171	167		0
14127	10z8457mmp66m5f6bfgebhar5f	$2a$07$rW2EjRhN7FKQEPzQyrKKhebA/lr/Qucreq4fCOeS9TMa5uJl9o2dK	99	2013-08-03 22:23:37.535002	2013-08-03 22:24:11.815314	167		0
14128	10zkbq8cqq7xbb8n3lpv1m99bd	$2a$07$2387A.3pdJGosHnM8FgnMuMyXpVfJOBfLXJk7Q/jbSLU9bc2FrbKq	100	2013-08-03 22:23:37.56016	2013-08-03 22:24:11.909773	167		0
14129	109jn95762snxwvdjuwdokcpjc	$2a$07$BuI2Qbxx4vCdJ9LCQJjEhu1oHzLerRmBNhWxtxkS1A1MziqgFmWXy	101	2013-08-03 22:23:37.583828	2013-08-03 22:24:12.010392	167		0
14130	10no7z0mtlh4g0yh2vax0hhhyy	$2a$07$ZFk1CEXVINlPCFyTe4lEauSndLm5ZEW0UJyI5TQOmGV52M6L.3EFm	102	2013-08-03 22:23:37.607657	2013-08-03 22:24:12.109929	167		0
14131	107sdd7ucxzlmngf8flttqaeej	$2a$07$RWeBZhjSukx3nRfMrkjyt.aEBffGE8KmTDCZFFq0XQu44KqoIxoH6	103	2013-08-03 22:23:37.631119	2013-08-03 22:24:12.72344	167		0
14132	10kf0u9azgdpmxt1qixytlkhpi	$2a$07$2RK.m25D1EztyqehV7O31Oy7af2zoSk8A.9G72JF0ta6VQ6NqS8Ou	104	2013-08-03 22:23:37.656981	2013-08-03 22:24:13.308717	167		0
14133	107ykfcqifr96ig5zy0c4f3y4c	$2a$07$8nFhlJlNB0ITAkaruj8Rr.zuFU0eayEc6GwAnQ7WUoqdrhicUTFau	105	2013-08-03 22:23:37.681635	2013-08-03 22:24:13.437539	167		0
14134	10ilskbyqnjnwdawpzt74mqq3d	$2a$07$1.mf7IZsLdm5MbCcjfW7y.lma4fE.wW61a9ADKcEpDd9mO3xRV0B2	106	2013-08-03 22:23:37.710118	2013-08-03 22:24:13.579096	167		0
14135	10vaspaamzzn32xiw6lxq4nn56	$2a$07$cgvKouQKFtI/5CrLrFoHBOS.ZbjqREHn67coxH8OCIpERSaQw3Fdu	107	2013-08-03 22:23:37.733291	2013-08-03 22:24:13.711361	167		0
14136	10r9ygwctcev2ww7rh0r6y8kzr	$2a$07$S9RC/4l2t/GIo6dmDWqWnOFDjdWyTKInKJevSuTVqwD8LMH4UzLGC	108	2013-08-03 22:23:37.756319	2013-08-03 22:24:13.850289	167		0
14137	107kmgz0yhg2fcld0s3oof9ksm	$2a$07$lE/R64ggUqslnpJNOiBrLuvErem6FdE7R8AWaZ7bw1flwKRAukoce	109	2013-08-03 22:23:37.779147	2013-08-03 22:24:13.993409	167		0
14138	10jpvmakk4we1tk24tt8fb1tsk	$2a$07$awOnTr9L.K5HoKH62to/nuKM/.IOkQ3sJflHiQlTNOBPsOOmFo7ye	110	2013-08-03 22:23:37.802473	2013-08-03 22:24:14.160666	167		0
14139	10uc7u20hmhz7g1yerg1vkgw5y	$2a$07$i8FiTsacVQFdRe/hxJjRlOG17ek9QfbMzdlwx7OjRIrbZWq/20INC	111	2013-08-03 22:23:37.83039	2013-08-03 22:24:14.311219	167		0
14140	10gvpa7lzzihdcj5f1jxcdshzx	$2a$07$a1alewyYHMjaU4NQZ7e0U.3BBmpdCaXRU/2AkllF9btv6SuFeBQ3W	112	2013-08-03 22:23:37.852353	2013-08-03 22:24:14.445021	167		0
14141	10tnsp1gaef1ek7mqji7ziiq5f	$2a$07$8aj0Rc41N76POTrz70eje.GgphxgftMH8Mdlee17QrETuh4l6e61i	113	2013-08-03 22:23:37.87541	2013-08-03 22:24:14.612534	167		0
14142	1099ngpndl7egbw623tohjg00u	$2a$07$MOzgg4wMZWuZAT601dqfguMMaDuNYhamCx2MX99YR2WEGW62FaRxy	114	2013-08-03 22:23:37.900617	2013-08-03 22:24:14.772674	167		0
14143	10cxhy1lmaitq4f8heqqnvon77	$2a$07$80J7QecTeQ7L3W0ghWWIHergFvdP.gNlu4BvLKtsJcyOEUWwhnoe.	115	2013-08-03 22:23:37.928814	2013-08-03 22:24:14.930732	167		0
14144	10f1ba8ccxs7kmw9um9bxr7acm	$2a$07$Vvzf1E1msXAvcn.LvvpYnu2.sqMsQpjjSOYAg1ItUjffUbGUQOehG	116	2013-08-03 22:23:37.953763	2013-08-03 22:24:15.099318	167		0
14145	10htet54d2bsl57p02nrzzruo6	$2a$07$WdbF8w8cL1KaqYQgZWFLxedX1ksof/Dc8tP8aXFH3I7mzl8iPImB6	117	2013-08-03 22:23:37.979507	2013-08-03 22:24:15.237747	167		0
14146	10coyn59d1a1yixqzl6n6744so	$2a$07$/wMbFEpOYrsLGXGbMcFxPuTYYlH5jx340FDsKmlnTLF5/FpzsX/Za	118	2013-08-03 22:23:38.004088	2013-08-03 22:24:15.392524	167		0
14147	10y1ddgcpz2qelzfnc0r089yav	$2a$07$NLYwKimeLfsYMXRJ8DFslurckbkWLBRo9koRPvX49gW4pRsTZWKuO	119	2013-08-03 22:23:38.034974	2013-08-03 22:24:15.545081	167		0
14148	10697r749s8akqa4a3ial13trz	$2a$07$trYXEzXomFWlpt9blaGcNuDwoziKuvRDWAEL4GgYTHRLHEz1iT3o2	120	2013-08-03 22:23:38.058765	2013-08-03 22:24:15.69999	167		0
14149	10per97rqx3azlw9640dfr6kzi	$2a$07$zmPVESOeu1PNeWh.Crz1Tezh78FRwio5dVhD9r2ODMNutjkUtqnyK	121	2013-08-03 22:23:38.096007	2013-08-03 22:24:15.885377	167		0
14150	10lwtzr3uj5zru9lcpveq7vo0b	$2a$07$zel0eMLD9ZhJ9ilbVLpdKOTRGhLJOR5IEJkCCgNS5zyJLbhapFU2C	122	2013-08-03 22:23:38.119606	2013-08-03 22:24:16.020743	167		0
14151	107ca9ae3m9to43seqpddx4zla	$2a$07$1B9ROWFg9ncX5zaprVbe3ujS5H.CfOSYkRAsWi/T8FcW2QOo12wqe	123	2013-08-03 22:23:38.143659	2013-08-03 22:24:18.838233	167		0
14152	10dp62ycz971l6zd4h8es3gg14	$2a$07$eF5vwvO/My3Dg.3zBJgTSO3HFxVGU1DULY6lPR/6PR8TOVLdUZju6	124	2013-08-03 22:23:38.169135	2013-08-03 22:24:21.808648	167		0
14153	10201ds3hpfdup59qowbxoejw8	$2a$07$evMh6nEcUp5pvMSYXnGxl.2AJ4/6SUrwpdovWf3tdF7njI3490n0u	125	2013-08-03 22:23:38.201125	2013-08-03 22:24:22.331944	167		0
14154	108c9qbj8tpyko6bu4cad20x8b	$2a$07$DdKFb2R/gSQf3hc7Ns4z5uMayCa5Giju9LdvHFwRpWGtcPpaXfY4K	126	2013-08-03 22:23:38.240809	2013-08-03 22:24:23.047628	167		0
12391	10p5xhkbbcg8f6n9nxamhx57qy	$2a$07$Rs2QKAepQPv5.Q0GdTgxXO.ewmiTN7qNBIZw6ZLRYGKWyAtEFX6Se	1	2013-08-03 21:18:35.059096	2013-08-03 21:18:38.170106	154		0
12392	103b8scar58a1erzcg43tpug27	$2a$07$xsOFlAhyDKjNTlIiSOuzEOI5wJBVOmHwTOpEMXdWos.fEgnaGwL2W	2	2013-08-03 21:18:35.082794	2013-08-03 21:18:38.300729	154		0
12393	100a1im1evzepa0epvkk5s1ly4	$2a$07$xD5V4fjfI.CNP23d5wKPF.oYhw8wKmRExb47iF8LAV/29xzZ26zPC	3	2013-08-03 21:18:35.111154	2013-08-03 21:18:38.434965	154		0
12394	10aue1keo4cjzxdlpndkld8p8j	$2a$07$tEN4LN0EzC8THPb9vf5zbe0/c/RPpF2couxtHzT301ISFozj6KVf2	4	2013-08-03 21:18:35.133251	2013-08-03 21:18:38.571513	154		0
12395	10i9e70r4qzo2r8fgpdwprku3l	$2a$07$QANNG3tDYSQ8VouqRMUOzu8y1V6T4EkN/hZsBOZEfLHJefg95pWpO	5	2013-08-03 21:18:35.156307	2013-08-03 21:18:38.729746	154		0
12396	10ky9gqk9803wj5dxxhc75mhop	$2a$07$cOUazdI8Mi2wF0qBL9kcLu99AOtxO3gUjyp5VLTUKy4PEN5y2/s7e	6	2013-08-03 21:18:35.179566	2013-08-03 21:18:38.876017	154		0
12397	103l8xj3u0sadffxav5o8s82l6	$2a$07$uGjEbd/9Ks3J7oMExWkTHeB7l.oyuV7kSJ6qy8MSsaMfdCsBMoiq.	7	2013-08-03 21:18:35.202454	2013-08-03 21:18:39.850235	154		0
12398	10eoagk6o7ndkd568axl7l8al0	$2a$07$rVcO0kC.lfsI9tqitKmg4eYkizOW2/adTwz6bwGaJ8qg0Qc4SDCOm	8	2013-08-03 21:18:35.226436	2013-08-03 21:18:41.091167	154		0
12399	10qy95u4cb5u2n505hvv71n9q4	$2a$07$pfBWcAjXUzq6SUEqoZ0Zk.UM/zyJbI2AIq7.E1FhG1/5VDYFW81H.	9	2013-08-03 21:18:35.249688	2013-08-03 21:18:42.414155	154		0
12400	10hf2b7gfhxn6xu6xs7ptgeweu	$2a$07$hA2dqmTmXcJ2dsIF53bz5.NkZqGpbyB/MzGB9Fj7a6iF.PFOEZEWO	10	2013-08-03 21:18:35.272142	2013-08-03 21:18:42.531932	154		0
12401	10gfuuxrfcupvjk44rzg5w9kwi	$2a$07$GOyO2BU1xirEAMe5pgaI/.m4C3bTG4oC6hmuSHp3nsU/.ATJcrX7i	11	2013-08-03 21:18:35.294367	2013-08-03 21:18:42.659796	154		0
12402	10s6t9d62g6xqiosjbh1v0ng0w	$2a$07$KB4IaY9bMWeRPvSNMMKOTOyLUeakYJRkAYchbmz2cHGk3wftA/HMi	12	2013-08-03 21:18:35.31708	2013-08-03 21:18:42.793253	154		0
12403	10vm97dl645izpwsa9itfbcxvv	$2a$07$zfxF37KR9oKNG5uzD67w8ejScd.RQKIIWytSLO0T0jpi2cyvxp3ZC	13	2013-08-03 21:18:35.339862	2013-08-03 21:18:42.905453	154		0
12404	10zxen9tu2jg271yiygk69spdq	$2a$07$vhKpaZy5rgruUkSkG8MJPul8infNIEkPfKKprN6WOo1m2lLZBsm5.	14	2013-08-03 21:18:35.363328	2013-08-03 21:18:43.023387	154		0
12405	10jcfdycawl78i3u6vpq5lqw25	$2a$07$AKnzDcF0UJH4wPwSmLWrQO.NeVtnOBFFbxNMXsBhZmRgxVBWQ9qMu	15	2013-08-03 21:18:35.387485	2013-08-03 21:18:43.156357	154		0
12406	103ub2asjsy3l3kr2rgtc7g9sj	$2a$07$EcLvVfiPTsnykigu8r/0GOyvuXxKboV.1ZALTMJ3LAqoISwZCU/FS	16	2013-08-03 21:18:35.409489	2013-08-03 21:18:43.295242	154		0
12407	10cyvh255yzv2q9fhbk3jaqr2a	$2a$07$wK3ksbg1ld37W1.bWXGUOux3zq/7i4v2ptaP/K514.tzYu/yij60K	17	2013-08-03 21:18:35.43344	2013-08-03 21:18:43.4403	154		0
12408	10yyyuue8nvryjkl9jdrxeeu12	$2a$07$yC3n06Kk35PQVdASqSa6Xe1GhSDsjV1jajCGjr4moCHhnwSasc7XK	18	2013-08-03 21:18:35.456178	2013-08-03 21:18:43.574207	154		0
12409	10n38lgiilgse0ilxcwb9wvorg	$2a$07$oaG4Rs4J5/MrN/WtcXqEJeToF.vc7R3SqEGMQ/PKhuKL/QoXBWV5u	19	2013-08-03 21:18:35.478535	2013-08-03 21:18:43.710118	154		0
12410	10xyveqmkef1lfuurun9ws3yhl	$2a$07$0Dkr8oHASH..L.TKsom2deH2dGaE.qtfsOHBLxpwDnWkhI.h9eYIu	20	2013-08-03 21:18:35.501455	2013-08-03 21:18:43.817024	154		0
12411	10wo9kaokqikudysicp564u5vm	$2a$07$tvnd6rHgX52tuCqmoOcrIenIziexxqxJYBSk9arcToMP.ytY5n03G	21	2013-08-03 21:18:35.525063	2013-08-03 21:18:43.953241	154		0
12412	10bhznd0m4r266pxbnxyrfawa8	$2a$07$UsRoyH.1yDHBQwzgdmMO1u6Pujei0HeipToGGh4s1oQi1i9A6NNB.	22	2013-08-03 21:18:35.54814	2013-08-03 21:18:44.072825	154		0
12413	10u4tgfl2v3wfdo24do4ec34vw	$2a$07$6/j0CNh2pkmyEefFhiuFP.ortTsDgLm6wrkQcfD8OZcTQHkpzCg7C	23	2013-08-03 21:18:35.571335	2013-08-03 21:18:44.18705	154		0
12414	10oo8xqaepqnh0y59406i2t9xq	$2a$07$yFKL9yxdUbUqAApwXEd0p.VdLy82QxK0RIfNAx9ETQlZO/9QHUYKe	24	2013-08-03 21:18:35.594891	2013-08-03 21:18:44.320158	154		0
12415	100bk3wiwfsrz96t6gx9p9pthl	$2a$07$xhlPakQ48QZbN7QnZY1E4eKubVj2LlyzBtypPgB2cmfTgvbJWTsAC	25	2013-08-03 21:18:35.616849	2013-08-03 21:18:44.46214	154		0
12416	10jz4cpckamu6o24zzp2kb3snz	$2a$07$cWU0gR2B879TFcAQnIVA8O3nJwnxrNnNjmTo2/e7RK5p1UhtrKmqK	26	2013-08-03 21:18:35.639075	2013-08-03 21:18:44.590862	154		0
12417	106w9mohenfkelf0lc8l6lhunu	$2a$07$ZY.xpZ7AYjFz8AVh2SoVsuT/VQt96Xcbhv69nqujHd0Sy9f3Hzg46	27	2013-08-03 21:18:35.660727	2013-08-03 21:18:44.70867	154		0
12418	10g471az64gle9scai9qewl0kn	$2a$07$QJswxWCXtmzMs9FoI7jn/ewalrAoYgD6Dm38KNBW4MHCC7yx50Ni2	28	2013-08-03 21:18:35.682738	2013-08-03 21:18:44.969136	154		0
12419	10h0bogdj617agpmg8i766gdne	$2a$07$TQPsQgLYq4HSG7uACMVpt.7UILtklGZBXWHg.1RVYdo.gG1GbwBzK	29	2013-08-03 21:18:35.704854	2013-08-03 21:18:45.264749	154		0
12420	109vfw2aa1n7rgiw2w19kh2ghn	$2a$07$Rd0s0vmLnUfswa7epa4B6OdOMcmNJ9MCGzmicZbVAPwmEuExwN57m	30	2013-08-03 21:18:35.728387	2013-08-03 21:18:45.605502	154		0
12421	10aotw8fst2y1l4p4gnb0j4xqu	$2a$07$b3qUETddZo/7UVJQU4hqteXl4aopnDz5MVZJj9SDfgQq6Ul0c5XsK	31	2013-08-03 21:18:35.750421	2013-08-03 21:18:45.74022	154		0
12422	10rxds78sfcozmhcmccvt337s2	$2a$07$hYc8D3i34Ib6M.qtxSI3Su2CJX0zNDH6O5w59CZLFYGIcjJP95GZ.	32	2013-08-03 21:18:35.773898	2013-08-03 21:18:45.873684	154		0
12423	10if3pcsleqr5okzel9zg53kxv	$2a$07$Xl2Y1rJzrrSG.H/Deyban.N55D4l/IXybM/CplQpBy1pVJ4E0qo8C	33	2013-08-03 21:18:35.799525	2013-08-03 21:18:46.059458	154		0
12424	10ii3d6ee4x49tfn5264jpv1vc	$2a$07$x0PRZmshCc0lkluRtv73j.sadEOiCdN97sKg5b8aRCRf9SwFQthyy	34	2013-08-03 21:18:35.828484	2013-08-03 21:18:46.21363	154		0
12425	10xwaxeehmztz2q53tdochkqpj	$2a$07$q6xtSc5TW7SaMK8bk0fnOuS0ZxUbBSTtY/wJp5YgsH2Qwn8DyJm4u	35	2013-08-03 21:18:35.862022	2013-08-03 21:18:46.345916	154		0
12426	10or4ma2f41sf7ar5hwjqvdiwq	$2a$07$7h0Lfcs5OEY1vFxcEvGGce7I/eAwaE83psvCf4uwpIDRZwmU9md0a	36	2013-08-03 21:18:35.900613	2013-08-03 21:18:46.475674	154		0
12427	10u7ue2bzybuhqmpi6dzqdhibj	$2a$07$az8yovVJ8P4V7oAvEuRSU.OAXTFwIQJwXdxR.ZVKb.gbVZ2Iho7si	37	2013-08-03 21:18:35.92566	2013-08-03 21:18:46.616381	154		0
12428	10f8c434mndbxzmpskes0l5mue	$2a$07$PLBEhQl15r3Wiwuw2YHNWO/Gouhxbfw2PuhMEYSOV80pSIaJBgqNK	38	2013-08-03 21:18:35.960618	2013-08-03 21:18:46.74563	154		0
12429	10as1t76xlhk9wzgidsithatdf	$2a$07$lYM1E9YEZbdjOciCbtgds.jTvq8T23jiJgHcGyg43Fffr7KZPgd8G	39	2013-08-03 21:18:35.984609	2013-08-03 21:18:46.857868	154		0
12430	10zt2nj4vzysv0v5nx62wddaaf	$2a$07$93ZCAmpFU6YR92GqTCe1XuJPeBPKEnyeqMH0CBdk6EwRL5EJoPYw2	40	2013-08-03 21:18:36.008295	2013-08-03 21:18:46.973788	154		0
12431	1048abciz4o5fs26hf5thsmclk	$2a$07$jklY3Sygp2RPHV7OY2pqJuFUXemwrkVg7U7.WyU0KY2l/jSxgCx1m	41	2013-08-03 21:18:36.032308	2013-08-03 21:18:47.108283	154		0
12432	10fbl7b1i0ub4vl5k90lbzlpqj	$2a$07$cfKSv.vCqDLDVHruQfar4.PN9F5a5Apw5hGwvAOZvNDJv92PnqNYi	42	2013-08-03 21:18:36.055851	2013-08-03 21:18:47.250826	154		0
12433	10qiogo0zviqy9hhfc48ct749c	$2a$07$Q8mOLtTdWqytZzrKKAkTJOZC51bAwDiNZRVGI.2x6HuRUL0ROzYlC	43	2013-08-03 21:18:36.085006	2013-08-03 21:18:47.68089	154		0
12434	1052ddy6m3d4mvvpfg6qlsb6xw	$2a$07$8frKgSWZUX.NCCyXPGkHSOqPJ4go.J2iXabZRCQXfzxq4Hlyasf36	44	2013-08-03 21:18:36.109415	2013-08-03 21:18:47.838675	154		0
12435	10fsi9agvpcbpm6mbk264add0p	$2a$07$8TfUEK0GEmJAkjD.Rg3oSu22YMBGqC/0p4vaR8RVXhiHXTOOsFOjS	45	2013-08-03 21:18:36.133816	2013-08-03 21:18:47.98419	154		0
12436	10mwtzhsegmlswgzq7tmg3p2wj	$2a$07$A10fxN8cT80oVhHY.S7ZoeUVw2UAmR1PRrmv3P7ucbKE7l8bcbX1W	46	2013-08-03 21:18:36.159612	2013-08-03 21:18:48.120488	154		0
12437	10057gighdwyrv3bkupe06ay0r	$2a$07$Lb/b1Vu2fgFXpWOT05fBte3G.zCPSIwYeGT1o4.y54OJaM675SlYW	47	2013-08-03 21:18:36.182544	2013-08-03 21:18:48.256983	154		0
12438	108euii7m2ogv3c91v4c1ig3aa	$2a$07$tFz5mBabk4rDSpFQtVY6TusiVYskhHCi7IFveQtrLiHVMNC9uwx4q	48	2013-08-03 21:18:36.204814	2013-08-03 21:18:48.402048	154		0
12439	10cqjrlhv2d9f2v6gts5zli3bp	$2a$07$9DPpPV84/FsEg/Gjh2SnCOphW3n4VcaUfj0.iAgyhiMBzBjkDuVIe	49	2013-08-03 21:18:36.228612	2013-08-03 21:18:48.548132	154		0
12440	10wybqsb1ync03u0qre98b99sr	$2a$07$EAeZQ274w9eubBnBfZmAWuK9//5dTTtBGc4daI9SzJWaxjbYIsICG	50	2013-08-03 21:18:36.251683	2013-08-03 21:18:48.688761	154		0
12441	1086k38qlpml858wgcrnth1m2l	$2a$07$BJKIljagp5B1pkS10Eiw5Oe8xtdjCzDRyzgLzmZfnEXKU6HSjD/.S	51	2013-08-03 21:18:36.275784	2013-08-03 21:18:48.812935	154		0
12442	10lns7nekxfb8z2gxu2eaqai7a	$2a$07$0ktjYdtFBg7E.0SgUQVOC.iRhBrLUQs1usgZva2DX8P2PiEsGSKfC	52	2013-08-03 21:18:36.299584	2013-08-03 21:18:48.929015	154		0
12443	10o3nbsmsaumk1iaxe8l0k808n	$2a$07$XRYE5l8i5nsXSNuG95Z7DOfcCcLW7oTUPvvQU86FuzOUd2kcjUoay	53	2013-08-03 21:18:36.322937	2013-08-03 21:18:49.041585	154		0
12444	10u3us30fcj9ncip5mgpmaxapa	$2a$07$w9wd.VIdUZndwspZTvx.du3.msjzG8W5pnLK5QD601AsaBe8l8moK	54	2013-08-03 21:18:36.344498	2013-08-03 21:18:49.181199	154		0
12445	10wja50cmydxlsn2r7ense3pb8	$2a$07$K5doxc5z1k0OZwSQD8jjiOUk/wS/Ow4tCwcNv6B1BYF0wiiIZIXeO	55	2013-08-03 21:18:36.369967	2013-08-03 21:18:49.305774	154		0
12446	10j3z3ngvb19t75b0d32b8snzv	$2a$07$5DTqheNVCONikQa2Q6JcOejSiHD8wV.tZZz0dnJ4J8CQ/ZzRiT.AG	56	2013-08-03 21:18:36.393086	2013-08-03 21:18:49.445922	154		0
12447	10yz7rnaowzu5gyzgroom44xg2	$2a$07$Ft.ns69wM06hXb7aKLkq4eTO0tlVD6CwzV31GB7IOVmI/BRBP6iZe	57	2013-08-03 21:18:36.414316	2013-08-03 21:18:49.580146	154		0
12448	10ky9wk32jap6vtijq63t6bbqe	$2a$07$2DpUaE5XXIilsuRHeuGZPuql6gIIhxmDins68bbe8mZXD18Qrneda	58	2013-08-03 21:18:36.436937	2013-08-03 21:18:49.720478	154		0
12449	10up7yq43guy1vez5r4v2vv7o0	$2a$07$GwO99tuGg2e7EX6pozYCCOI9n2X4z0/X.FxkRZDRxyfusxICw7o42	59	2013-08-03 21:18:36.458228	2013-08-03 21:18:49.84083	154		0
12450	10ygjmppnyer9exrpk7mzruydn	$2a$07$eRnuGTAGnHQ5uiLk.0shlOVjBE5DU87XNUxcGnBzashQOTdMHmuxy	60	2013-08-03 21:18:36.479472	2013-08-03 21:18:49.9638	154		0
12451	1008y1tqfmj8kkqb9pxfw8wlz0	$2a$07$4Gx21nar9xDm7Uy.3O094u2qi.94XuugXoiCmG5OuZT1KRYYWeEwa	61	2013-08-03 21:18:36.500853	2013-08-03 21:18:52.599145	154		0
12452	10fm7tafog7376v7660mueeeqg	$2a$07$D4H2fTuYk18.tDmSuN6Y7.OeAuppjc16xbKoAWdjCCFPYvYCL9S0i	62	2013-08-03 21:18:36.523166	2013-08-03 21:18:55.617083	154		0
12453	10j6wgnfd5qqs7qi3rqr7ze2tl	$2a$07$f0dL0lVD8uYDlb5Atg8kWOcmDaM95iS2LHU2h9MPPUuE5JWghGYQ6	63	2013-08-03 21:18:36.552691	2013-08-03 21:18:58.602272	154		0
12454	1063g8mogv6czkj0hzuaon6r5v	$2a$07$9shT6i1dOE0KrT/mbQoijeibHxROuQYimLoVjBpRS.5LsYGikRsta	64	2013-08-03 21:18:36.575637	2013-08-03 21:18:58.716704	154		0
12455	101e4g6opyxg02s89s9gpvf7hv	$2a$07$0agSOcosISkJY2uxPqPm7OUCIGM1qh6BvTK/4No9Ga1v0//.tamIa	65	2013-08-03 21:18:36.598845	2013-08-03 21:18:58.844395	154		0
12456	10rbb1ca54olclnzs605tv0i0y	$2a$07$5d1X.xgzmfv1hXo/taR79eJOotNYfVS4zUEGQSLRWJFFnPCM3HqRW	66	2013-08-03 21:18:36.620906	2013-08-03 21:18:59.750145	154		0
12457	1092bdu2eaaapwahvzmftal4n7	$2a$07$qdPGycSheHs5Eal3hsKxpOV8oqk7.ijm1avzMaIToZeD0SH8Pq9gq	67	2013-08-03 21:18:36.642681	2013-08-03 21:18:59.871326	154		0
12458	10is1isurcg1qvc1verisoad0s	$2a$07$QoYq5qPSQEOE4c/pGuhpu.9Z0nrYXlXp6yHCndF4rZhT4N/0ewl8G	68	2013-08-03 21:18:36.665728	2013-08-03 21:18:59.990801	154		0
12459	10rk4iltgndgkenb320yk537kb	$2a$07$V4nXX8r3cCjkseuBlINy4OjBaSiQTFqs/XyY1rooPMHfr6o6RW/hu	69	2013-08-03 21:18:36.688657	2013-08-03 21:19:00.152974	154		0
12460	10y9576bnb7xa1iio4cm5jpwwh	$2a$07$HgzpExANchK6xBa42GBbQOh/GxnTJ6FyecOfLrtGgZwCio2vcGfrO	70	2013-08-03 21:18:36.711614	2013-08-03 21:19:00.259787	154		0
12461	101s2xuhg26zaab1vubvig13e3	$2a$07$70r7QVlM/fb4TF//nDGqFOdh/mXowrNrbSy.P6qLG.bLFOPhcbEmi	71	2013-08-03 21:18:36.733468	2013-08-03 21:19:00.379917	154		0
12462	109uwybybbcu9kw69kpm852qlx	$2a$07$/3QrCZ7O8OOQi2Yo7mVrHe/jk4t5krGEYWkEe.3QRjeOe/xBiyGl6	72	2013-08-03 21:18:36.754591	2013-08-03 21:19:00.497465	154		0
12463	10hyu6g8q3avmb0ggwoeh99ars	$2a$07$yvlLqHVtYxcncVZe8Dg5B.v6kcEpa0WZ/RCpYxyz1cG9B/NWQODKm	73	2013-08-03 21:18:36.776419	2013-08-03 21:19:00.813879	154		0
12464	10iz2mdvrtygrpwn2no0e9ji04	$2a$07$WzLb7AtFuCCLf5YhgHKPUO0mnDYRVbP7YjCwlUuK6dbFBLrQ/ltV.	74	2013-08-03 21:18:36.800339	2013-08-03 21:19:00.943464	154		0
12465	10d9551w1n4uokjte6w8xzvqcq	$2a$07$9eEmzlYN0H4TRKKMpj7ZgetoGbBCuJL2Yx.ND..b69xF4xWFPBmBK	75	2013-08-03 21:18:36.825304	2013-08-03 21:19:01.315771	154		0
12466	106563e8av1fmxwh4l3erhpke9	$2a$07$YPrqVN6g8F01gaSvuE00Lew0gPUUNjRRHKbgxKlOAT6IwAxpGeyaS	76	2013-08-03 21:18:36.850141	2013-08-03 21:19:01.43981	154		0
12467	10r54kdvlgv7an3c1ikccyu2tw	$2a$07$4hNOLChLg8Puf4ePcy6lhuV6.9KqQfFZ9R45UGosUVKQEBEP9Fh62	77	2013-08-03 21:18:36.875227	2013-08-03 21:19:01.552957	154		0
12468	10ql2e7b3z9p795v2jsartsmzp	$2a$07$fVIJXCJezHJ7G00hQJXFEu/qruAN3wBOiE0xzrFn9o7ocapb.Wwc2	78	2013-08-03 21:18:36.907645	2013-08-03 21:19:01.748662	154		0
12469	10mtjp4pnn15e5tcoc9e4bydcb	$2a$07$gMMAlfT6zNe0oQSnzOq1IujgQDFWvowVwU6LkvhoTvytSbkvnOe2.	79	2013-08-03 21:18:36.930364	2013-08-03 21:19:01.875127	154		0
12470	10zmffdxdfhoaij1jtbyz63rxb	$2a$07$uu3jTPly8wREf.Rt6./mz.tCgJxqxjbVy..gFG5oYX82Vee19rOM2	80	2013-08-03 21:18:36.951428	2013-08-03 21:19:02.018458	154		0
12471	101uze8f04ur9racfoptt43id4	$2a$07$wKc7DI9otFLI1GgbK7NfdumXLEu3x8Z5dtMJzIeJjLmV.AHodWyd2	81	2013-08-03 21:18:36.97285	2013-08-03 21:19:02.143733	154		0
12472	10rvjfu01klf3d3qcf44tkkvpr	$2a$07$zheiDQaIJoujlRjsWxAS5.BxZmgkPPnYxrYIyqI0Xs1GWiAOdf6im	82	2013-08-03 21:18:36.995026	2013-08-03 21:19:02.272729	154		0
12473	10kih74p1laaia47e49kll6rv5	$2a$07$qPeBMwazmW8qX172i/Om9Ozt.Y/ttGG6NgLJzB75P45mh04usIaCa	83	2013-08-03 21:18:37.025883	2013-08-03 21:19:02.406575	154		0
12474	10itre76ylbmogkkm11jzijevb	$2a$07$RMNtW.FaZXJwVnXwBnfIF.2X9eGBZrIz2Q5TIH7H9qXiNAGmMQtsK	84	2013-08-03 21:18:37.052032	2013-08-03 21:19:05.08963	154		0
12475	107eyf54l4i0ve4bo3qda8ai1q	$2a$07$HlcnglIIly9nO/KGsrSAX.Larsgu/Bgpz79h0DagRLmbYeL9CZvuK	85	2013-08-03 21:18:37.074217	2013-08-03 21:19:05.214898	154		0
12476	10sh17s47xavjawan4fa4c1ilq	$2a$07$g1b64NQ5XNlpCAIT.Zfxbuv9JYzOr42mKAvTsshRLG1MB9ymz19ia	86	2013-08-03 21:18:37.09569	2013-08-03 21:19:05.331331	154		0
12477	10byyrrlawyr6nw841oz6nrz2p	$2a$07$rHJ439J9k15R4cw2md6R/OVr//Mw0A5dxIEz36vw8mYM1g7fjGf1.	87	2013-08-03 21:18:37.117491	2013-08-03 21:19:05.483691	154		0
12478	10ofk96udeaqykpyvtqqt39i8y	$2a$07$DKMeh4UPzeDay6EQuRNMTOMJscrLRNFQKjqcrqYweDrOpl5IQOPwG	88	2013-08-03 21:18:37.139881	2013-08-03 21:19:05.640284	154		0
12479	10b3s1aenwalwtlwj6t55vmheq	$2a$07$dDMLQ1Ff4slX9lrC502/lOs0r3b6vZJPBv6Wp20dxwDTtQMIBktMe	89	2013-08-03 21:18:37.163803	2013-08-03 21:19:07.120318	154		0
12480	10r6xighx2yixazoafavaldf0g	$2a$07$DvIdyopHW1LWzUyieGYBsuMVvlqpzeYCv61qLQ/XfHq/juaLs4QW6	90	2013-08-03 21:18:37.186594	2013-08-03 21:19:08.526298	154		0
12481	10l5xm8k1yqr735c4a2tki49eo	$2a$07$H61TzMRBKSqJ2j3PU6g4pu44d5bJUL0DABZrh918sz5N3LT88KQwC	91	2013-08-03 21:18:37.208387	2013-08-03 21:19:08.637295	154		0
12482	10dpnysopl4sgb1crom784vxek	$2a$07$RZIWUZWaDf3uHcMZfK.LnO2yy2cZQJrb7tymJEQJQVoXBI2o/.pYG	92	2013-08-03 21:18:37.230327	2013-08-03 21:19:08.756974	154		0
12483	1026jap7rxddogoc3sg054mhmy	$2a$07$/up2ukZgoVGnCdxX274BrOALvfL/HnmJMNznpkz2iXj1Iker.KcEa	93	2013-08-03 21:18:37.252278	2013-08-03 21:19:08.901869	154		0
12484	10skwtzn0v2fdgn83746r8i2sy	$2a$07$cr6mxAgJCkJ7opi8Ymaft.teJ9pWQAwi/iB.6wca.suJl9o9dC6RS	94	2013-08-03 21:18:37.273971	2013-08-03 21:19:09.018018	154		0
12485	10snfo5yhhup65utch5ycmp0ss	$2a$07$L4ns5BcMIuqQYHk6QzWG0uV93DWTO.XR67Y.vCsMhu/PtnyFmLvbW	95	2013-08-03 21:18:37.295586	2013-08-03 21:19:09.156167	154		0
12486	10uj0bv320823gddtgkgwf9xvt	$2a$07$h5oSfP6JVouhu6lDPN3hPedo/wtkb0KJXVgnr80..trZg.eEdv4MC	96	2013-08-03 21:18:37.317056	2013-08-03 21:19:09.289381	154		0
12487	104ml3c48qwx76paxxm94lrre2	$2a$07$1Uhbi./ICf5HXtaEwOgvoOa5KFljHH0xWuijH.NwAAmpJrgV9w7aC	97	2013-08-03 21:18:37.338362	2013-08-03 21:19:09.411004	154		0
12488	10qr5w4f9x6gbgzhw1ahy1r0jg	$2a$07$jBQdbf1Fbq4fL1GnhEgkzeOQvO5ivksuU9ex9DwhzM8P8u7lo3Rmi	98	2013-08-03 21:18:37.360373	2013-08-03 21:19:09.530796	154		0
12489	10iyuug4gkxx95myvyhrfbf2dx	$2a$07$jWYQ4GxIF50bar7KxPKD.uI6y7uMwWltgmH2c3Z/j7HKNX4.GP8U6	99	2013-08-03 21:18:37.38208	2013-08-03 21:19:09.641443	154		0
12490	10xjchx073hl9qqkikp2r84jrv	$2a$07$IsXHRG.Yb7Ybf7RjHyjt1.l8z6L9UyrqTEDamSIV4MIINEpL27.mS	100	2013-08-03 21:18:37.403564	2013-08-03 21:19:09.779023	154		0
12491	10ase710r15y0rwl65evf1o98j	$2a$07$aXbVclnitx9Esy9XEetZ0eZhgC5hRLcflqcE2NUVYzVIm.ds3AAHO	101	2013-08-03 21:18:37.425547	2013-08-03 21:19:09.911096	154		0
12492	10oj5a7h81zpmyv6dvvb58v7jw	$2a$07$FoJq4VSVwq3PaHKG9dajwOGAOnlV0WQ5H1EKFPrTjZElSiHLUmqHa	102	2013-08-03 21:18:37.449504	2013-08-03 21:19:10.045819	154		0
12493	10lpoiqajfoalu8vkydmqyw0qh	$2a$07$Y7.5W3vPUyKT.9b8KHriMOXy.8/MtR9ei0NZUoebyrpx1GfPfRlGW	103	2013-08-03 21:18:37.471334	2013-08-03 21:19:10.358307	154		0
12494	102w34fnluojqq7pevud9lqd8t	$2a$07$kTCBqrmG14pcCaHm7Br83OmvKm1uozZXOs7/ZEvnXeNJdx1rknmRa	104	2013-08-03 21:18:37.49291	2013-08-03 21:19:10.688061	154		0
12495	10g6tikzqi70k9mj6xg5ctf8j5	$2a$07$5iifkad8k6T0mztvKk/Z5.0eNq8kuLRlwd33ukBf9dj./ybYD3IVe	105	2013-08-03 21:18:37.514247	2013-08-03 21:19:10.820424	154		0
12496	10vhnvc03l9pr5rnrvdq3q1ihk	$2a$07$kpp59PQp0FilYgHb8Bf.uOgRGY/7jnTik19LzpLN9s2GzxaY38tBy	106	2013-08-03 21:18:37.535573	2013-08-03 21:19:10.961304	154		0
12497	10omuyhs5dk49ab2bs3kt4d38n	$2a$07$GLLK2cel3NFiy/RaUdxWuu0sGdMIVrcdVyETasEOVnwlNXF0qs0My	107	2013-08-03 21:18:37.556982	2013-08-03 21:19:11.182298	154		0
12498	10v307m505rk258i2ucegs4ezk	$2a$07$Ww0w0S2cSFwtJCGolktvbOrW6/624PsaF/ESFqnyZTGqh8/MAqGf6	108	2013-08-03 21:18:37.578782	2013-08-03 21:19:11.386337	154		0
12499	105znyeqx9epgh99533fkuyruy	$2a$07$1SYK2ZCOUnmlRFyz5ROAG.C8GtaWMN0w15sZVWE77qauaJbc58TZa	109	2013-08-03 21:18:37.602962	2013-08-03 21:19:11.51938	154		0
12500	10av95q3zjvc5b09knnj9vq5u9	$2a$07$WGMyFhdG1Nt1iYaOXIKCOeb7fyimuyu2w4oUevb7dIwNumH0uY5lG	110	2013-08-03 21:18:37.626305	2013-08-03 21:19:11.641212	154		0
12501	10drbwmox068n0najuzy46o40o	$2a$07$wb3Zjqw7anqejVu6Yh.MR.XavSv3ittE/RHvNDAeYKEkhnxWdF.W.	111	2013-08-03 21:18:37.648795	2013-08-03 21:19:11.776198	154		0
12502	10zwf6gs77xkiid3vzjmsy3gcl	$2a$07$F1F1lB6SnrxKMSbbtuikv.JjTHbzqPuqH8R1iwoF4dvmaEy.C81O6	112	2013-08-03 21:18:37.671671	2013-08-03 21:19:11.910765	154		0
12503	102pme9771kr0bob0wknql68ql	$2a$07$51yHNHf2NQZeEqOdw/xdvuEwTzzF1PY3NmSu8Xlek1JJAzY7bZMAi	113	2013-08-03 21:18:37.694846	2013-08-03 21:19:12.118544	154		0
12504	10in3ubfrbrx856q47ok6vajp2	$2a$07$LTx96nMC/LwgZwUF/eJDC.dgy401xtqP3xGzb8Du84F3NeNH.ESxK	114	2013-08-03 21:18:37.717009	2013-08-03 21:19:12.328447	154		0
12505	10r681k53bln7o86tvps5oabnb	$2a$07$k0weIB5HqYP5ABo7eqxpROG7SEUSYGaujEKpXDnwalwaY5BA17AFS	115	2013-08-03 21:18:37.741902	2013-08-03 21:19:12.474138	154		0
12506	10orcsalo1e1t8bl6f22g2ni6u	$2a$07$QxvHyfTNN4ELfL2ti4HYB.GSDli./xkbaic.UsqxiT/ODi436Cpka	116	2013-08-03 21:18:37.776048	2013-08-03 21:19:12.614521	154		0
12507	10met2hfx70shthglsrzrnae3z	$2a$07$1iMBvPTlgDfXS0Dwv2BiFOgDI62ad1oA/HXOKTH2DDVqP3b0.Gz6.	117	2013-08-03 21:18:37.81057	2013-08-03 21:19:12.743571	154		0
12508	10lt6plmbsdlu7aihuyotblarr	$2a$07$xnBY9yijh8xWOMRx4QJ5eOh4teFvoHcX1D0bWQQf6qlz85wGCIJK6	118	2013-08-03 21:18:37.832276	2013-08-03 21:19:12.88542	154		0
12509	10hx0cl40dl7dhy6b5ci8na2fg	$2a$07$G14phnlsP.gJhVsQx8vaae/5OShHMahd45WuC1y4t41et3yphGEBC	119	2013-08-03 21:18:37.862121	2013-08-03 21:19:13.021207	154		0
12510	1067z4lu1sht0ellaknn6nenex	$2a$07$jDNS.XAUiAGnnFQXZN.B5.9VyYxDvLFIJ1QF8Q3.nuH1AF2OXZP82	120	2013-08-03 21:18:37.886335	2013-08-03 21:19:13.150506	154		0
12511	107jyy3n44260g0taackuq3idx	$2a$07$/ohXC.UlkgbRqSrQisghU.QrYgh3J2fBdqbztkG12RnF7gFFSDLQO	121	2013-08-03 21:18:37.910019	2013-08-03 21:19:13.313049	154		0
12512	106m5dspnwo59kfx5pths52jv5	$2a$07$8u.j9GCa2y/1a60AKpitR.1IfyqIAgmsZHJdfzuCEkjdtsJxEdr8i	122	2013-08-03 21:18:37.933093	2013-08-03 21:19:13.539386	154		0
12513	108y4vm0lw2t1j4zf629821u8g	$2a$07$p.Sb4Z17fD/ydfovKWjfK.6VhPmgQlup2DS6wvk7XMBxQef5hQxiG	123	2013-08-03 21:18:37.956105	2013-08-03 21:19:16.178047	154		0
12514	103r2dltbct83xfa2e8k6x75ml	$2a$07$65VptA9qp.4jF4tp.LgVReat4BrDPfcXSFAAFlyD7t4ly0Woul.9m	124	2013-08-03 21:18:37.97929	2013-08-03 21:19:19.183538	154		0
12515	10v6bmwtwzpv1ctulkntanl3wo	$2a$07$QoTkawdOhFf4tPNVmLEn7eyjyP4Py0v2jB7Zh/iPnEbEyJuj/kTUG	125	2013-08-03 21:18:38.001894	2013-08-03 21:19:19.30426	154		0
12516	10wayopdgjr7ccrxtk6gnuwj0n	$2a$07$2FUpfcU65wmjTuzvkwf8peJACwq9zxSA43HFm1t/ENBK10qxHZGV.	126	2013-08-03 21:18:38.025535	2013-08-03 21:19:19.453856	154		0
16801	10n2eofrgfy37cvon1yrjvujhm	$2a$07$76Eiv2nIyUy7QaqYoaeWcumcDq6COYN.iBxQUO6KkCtc5Mr4V7sju	1	2013-08-04 00:14:48.085188	2013-08-04 00:14:51.258561	189		0
16802	1099wqg787zcf34us5whfj9vnf	$2a$07$IIfYa5H/ZYTHOSlAoHMhxuqNcipbShrc.mUzaarGrsLyfdwUnmSAy	2	2013-08-04 00:14:48.108598	2013-08-04 00:14:51.370011	189		0
16803	10hlex7pv92hwyt1eu5tneuali	$2a$07$8T5xpoDlYRBCMkmFYCtAaOwmBaINCl8CrldJSUqE4ySdP4QKmgSui	3	2013-08-04 00:14:48.131826	2013-08-04 00:14:51.488561	189		0
16804	10tjkygayu34uiiw6b1zoaw04g	$2a$07$2ArkAL8qU8kmolITaWyuouo3zhYrAA2dInoEVYc6dlqECVM6FfbfC	4	2013-08-04 00:14:48.155956	2013-08-04 00:14:51.745535	189		0
16805	10iu476c1hu4vcxf1bvbtwaprq	$2a$07$vsTK7FgkJNnQj4bPX.m8ruGN4pW/Ad0rTBm4F0dOZQYGlMJukh2qq	5	2013-08-04 00:14:48.18231	2013-08-04 00:14:51.925163	189		0
16806	10fmaebklrwj4us58k386i0vq2	$2a$07$bQHD7zBzhfGS/Bvsy.11t.wUMZWJmT5wNbXcT.VD2EfTB9zh4UOwK	6	2013-08-04 00:14:48.205778	2013-08-04 00:14:52.048307	189		0
16807	10e7armjbatyijskc5emdk5mqx	$2a$07$GYnO1wzuqI5j9P1W2zxFMuq5GDP8BFVXSJpHLxoKwZU3bM6uqQxka	7	2013-08-04 00:14:48.229011	2013-08-04 00:14:52.883785	189		0
16808	102xg9vvrppxl1mz0v2ljlonpt	$2a$07$WmLAh02rgYTlIFlAZLUFauK3trrbz1EEerOZe9xQTacGCdHt8FtrW	8	2013-08-04 00:14:48.254687	2013-08-04 00:14:53.765437	189		0
16809	10cr91wsjivbsqqeo71yqf63tv	$2a$07$R.jutyIqIP33XGeuZ9PtfenL9AmvXzN6l.ucfNLETNsTkzk84eFCG	9	2013-08-04 00:14:48.277551	2013-08-04 00:14:54.673392	189		0
16810	10mj0cixy9rd2umkxolqiphq1e	$2a$07$OtD5dwq0.ge2RwUN.w0MdujDRKT5kTFwrQzJE.RIyEyXm3SV77n5C	10	2013-08-04 00:14:48.30139	2013-08-04 00:14:54.792106	189		0
16811	103iriqpx1e0wt1v0elcalodwl	$2a$07$QJf.s279j8fKzn.2fSZV5eqAeiKf9R85AA2RJ2sxlkCLKyZS5UXLC	11	2013-08-04 00:14:48.324755	2013-08-04 00:14:54.917365	189		0
16812	100mu0c66c6n94e5j3085cyo1c	$2a$07$gbUd/EZrcrIgMmUGioxOieNJfVQ2kqvGwcb7vbIJ18MqDr3HwlhHu	12	2013-08-04 00:14:48.349735	2013-08-04 00:14:55.019188	189		0
16813	10sdygy0tjcu6o1g2sj5mutam0	$2a$07$Hn9VeLOCP5KQ6JzkS4czMuydnsYgolK6U6BAmBjYKNi/rk/L0gr/S	13	2013-08-04 00:14:48.373273	2013-08-04 00:14:55.148689	189		0
16814	10a5okdnspl50cuzoddo8gi5g6	$2a$07$7JX0lMZ1ZIiU2FAgGCz3SuupZ2GmezLmGAtaXPEQog0E3h4/ywFEG	14	2013-08-04 00:14:48.400112	2013-08-04 00:14:55.302461	189		0
16815	10sd41wv0wfqtvqn0yucljzarn	$2a$07$Fyy2QhN8M2y9zUCg4he..eaRMuOQ3u4E5SvGuDfyR1F6dlaf98OrG	15	2013-08-04 00:14:48.423411	2013-08-04 00:14:55.448686	189		0
16816	1016o2rbp4ytvzq1rdd6iendbo	$2a$07$Rua2ootA1UskdsnhMrJq/uKg6Y0Q9hOvERV.KvYdxTaiO7FAYYbdC	16	2013-08-04 00:14:48.447368	2013-08-04 00:14:55.591706	189		0
16817	10c60zzflrwf47zhy6dff33i0m	$2a$07$gl6mQXZQRxI68h4RUwyy6uxgCm73uo8aJfgWDKCVZ1UrNzEoNL/mu	17	2013-08-04 00:14:48.470762	2013-08-04 00:14:55.733884	189		0
16818	100pn5ayx9t2ovuf5w3bxd9sy1	$2a$07$iDmKaE8vEqozMwg./BdcD.X88TXML51SpehBiMw8S5vgTJuCvk/W2	18	2013-08-04 00:14:48.493947	2013-08-04 00:14:55.853858	189		0
16819	10ayqx7b82ohkzb94wa23ft8gn	$2a$07$pdNY2tZNBIRAbqV1mzyQwe1iBVw.oJXPWSsSpl50bEnnBO12oquPe	19	2013-08-04 00:14:48.51734	2013-08-04 00:14:55.971947	189		0
16820	10bp0fl3jetnal91czczsmpjqh	$2a$07$tvrpcFi22LYGhgDsbE8GTez1XkfKpkpXi/zhJ9rhb.NzbWTIlRsDu	20	2013-08-04 00:14:48.541015	2013-08-04 00:14:56.07567	189		0
16821	10t7853nxni94z0lfbt4krfkwv	$2a$07$Gqy/Snb8OjzbRgAoFVXqVe9g2gPcPX2sw4FUUXDkyb2zX058Lt9ze	21	2013-08-04 00:14:48.564715	2013-08-04 00:14:56.196134	189		0
16822	10qjeyll0yp9j5jne55by0riee	$2a$07$EIoEemWlQDfwcbV.lO3q8uA7OPrfX12aKRKIGVVsnZ3hphWlWxUum	22	2013-08-04 00:14:48.588797	2013-08-04 00:14:56.332543	189		0
16823	10k1o4w4seuk8qzeaxlcuzmnv4	$2a$07$K2vZkcdq07i1vWiySuAgduVBOTUVuKvqvIyhNt84pTj4c.xKb6qei	23	2013-08-04 00:14:48.612246	2013-08-04 00:14:56.466583	189		0
16824	10uhhjiph8ll9f5682qr4l4bwn	$2a$07$mLKgHJn0/3PHx..QabKu8e2hl68H9J8GsOIsQexBXenZ9r7XhuN2O	24	2013-08-04 00:14:48.63611	2013-08-04 00:14:56.564595	189		0
16825	10izv4nxtrcxs9rid7h1c0ghtf	$2a$07$96byCgtUZ/5m.IbzFr4mAe9oA9SDKF99NgyOh8DKG6hLFyMwVz99i	25	2013-08-04 00:14:48.660749	2013-08-04 00:14:56.663976	189		0
16826	105fnbwwii60xt5h2jsmgkhbqs	$2a$07$bpBkkuGeuCexcfLDp16BEOMDbtI5IINWUIvM7oxauTxdWG4KsD5YS	26	2013-08-04 00:14:48.684203	2013-08-04 00:14:56.763662	189		0
16827	10gnuvygvem0q8ujzu25tt85ar	$2a$07$qwcJh9/4mhBU91EIzZbXyOd20Uy3CiN.b/aoLXcYda.2skKMQgj.C	27	2013-08-04 00:14:48.709178	2013-08-04 00:14:56.856197	189		0
16828	10zlw7zmh576urzsbcvu6h8u0g	$2a$07$AmLOJE7AuzKbT1ObAu0ywuobUtoLjuRbr5Vl9sY4l6zGuUWSgQrk2	28	2013-08-04 00:14:48.733992	2013-08-04 00:14:57.310655	189		0
16829	10yl9yb702ims8eyfsem3hl82q	$2a$07$2RgUwNj8yXNrQl6uibOBd.15rBJY2ly1a.WcWPXjEA8KpXaiDA8VG	29	2013-08-04 00:14:48.758687	2013-08-04 00:14:57.685321	189		0
16830	10ip4tmyd03ojy1v0u0to1vckn	$2a$07$P4vGzcD/M4lkvLvDMWu0ZOyQRu1zzi/9KpZpUwDllMB5PphosqrJy	30	2013-08-04 00:14:48.78338	2013-08-04 00:14:58.128097	189		0
16831	10rr13npytln3026yl6qz2wui0	$2a$07$yHYWUWe6dVEsqVkaKOWjr.mCl8mxLcHi.Y55NVINxZq87u27dylCm	31	2013-08-04 00:14:48.808044	2013-08-04 00:14:58.250829	189		0
16832	10m281816o44qf7ht2zu2v55br	$2a$07$EKWSovZ30/ShxsvHhr5E/.pvXUm5j/Ym1YwjdxfPprb.CUsu5xMVy	32	2013-08-04 00:14:48.831682	2013-08-04 00:14:58.375455	189		0
16833	10vkqb3kt0kzmlqbld6ehmc45p	$2a$07$oNMYueu41ifyxb6eWIMnoeJbY7nGDY2xdnPOcAsLgtd1.PvQHmb.O	33	2013-08-04 00:14:48.855407	2013-08-04 00:14:58.507099	189		0
16834	10gro3k2c7wtv9wgdjxl40tas0	$2a$07$yN.8/NAaR5oMRS8289PIvO4BK2ZSTV/2spxdE4o5viQSrJLSG/J.G	34	2013-08-04 00:14:48.87827	2013-08-04 00:14:58.634385	189		0
16835	10ay6tf8w9xm7ivanp69udvvzb	$2a$07$yNpqCiRelCNoWGHmpi/b.uGFAU6xXmH8sv.Fxr5dfmy./3CG6lWqO	35	2013-08-04 00:14:48.901869	2013-08-04 00:14:58.774989	189		0
16836	101fm0i4ppy16bxepnqk1x6dmb	$2a$07$daBsdSezVWD3f2M.EyGxkuF1dOEb77rAwqI1dpxSGQKAhWiFwQMYq	36	2013-08-04 00:14:48.925364	2013-08-04 00:14:58.902988	189		0
16837	10y7eeh5e85b56gxzn1expa8mi	$2a$07$ftkuX8hp19H/aHYCVHHcY./OYGK3/Z8uWcu9U4VOfALF2S6t2oWma	37	2013-08-04 00:14:48.94882	2013-08-04 00:14:59.028642	189		0
16838	10ztvjxdmygbd4q2j5cfva8vrw	$2a$07$xHQ3b3bP/jsIMnkVa/c0CuHs7JOhxVf0cib8fJdQNfjj7AtJZmUEi	38	2013-08-04 00:14:48.972202	2013-08-04 00:14:59.14574	189		0
16839	10dmnwhg7rlyxk2055jw801ho0	$2a$07$G5aFgKe3EfFF2Q4onrrHSeNdGqijntdAvOiZPHT6EhXkkPuUzeyhO	39	2013-08-04 00:14:48.995867	2013-08-04 00:14:59.286592	189		0
16840	10g9xdzr5fcs4gymdopjx4myqb	$2a$07$4c.nK3FdvPyusWiEBNJ1Pu.JAPGAwTfDL2Jd0wi3F8yTPJ1g6A/UC	40	2013-08-04 00:14:49.019946	2013-08-04 00:14:59.402551	189		0
16841	10wpdce09e9s2tmjkay2q9igj3	$2a$07$QP6EG7m4RhIwpNscppjWjOjgnR1ZzxDbNuY9ojHPsDermNiKmJYMa	41	2013-08-04 00:14:49.04427	2013-08-04 00:14:59.528343	189		0
16842	10nfl2hqf6ku1qloi3ywct5ju1	$2a$07$shQsPbhZexVaa7Y1rZWF3eYRJf72cIw26I.zmdwS/DTtva14SgCM2	42	2013-08-04 00:14:49.067875	2013-08-04 00:14:59.672144	189		0
16843	1048zhixsqib4clxhwl22z8ido	$2a$07$9JNNwnCqVaHKbkI/fkjkhePTvJP7e8WLDTFzF9wjko.nWT6P.fUY2	43	2013-08-04 00:14:49.09166	2013-08-04 00:15:00.783863	189		0
16844	10elqncackhhn50tdly0ayqvfr	$2a$07$GiH7nQxa5E5lZ4nhiTIJceO4vIBRA8FHm5gBAqI8jPH0CjSHRJ/eq	44	2013-08-04 00:14:49.115343	2013-08-04 00:15:01.952749	189		0
16845	10iylmlfk9g1g5hakddfucbes8	$2a$07$NqL9Q8aH4hTQT4VfvCucJedqyk9lX7BVuK.HhoOEDFFiPdNVC4Dm6	45	2013-08-04 00:14:49.138632	2013-08-04 00:15:03.113615	189		0
16846	100l1bd27ud5fjb9efhzt1mryk	$2a$07$sPzt3vOZu2nmxn/7ZrdJ7..FYG8hYDg826EOOkyhRwwfFcaz2.D0W	46	2013-08-04 00:14:49.16262	2013-08-04 00:15:03.251698	189		0
16847	10mlofapgk0pj7g6pyda4hikau	$2a$07$sTHHhM7Gzvk9cFEqUgpw6Og8Dqo7viX7uyBUcZAUUghGl3HCsTQE6	47	2013-08-04 00:14:49.185676	2013-08-04 00:15:03.378355	189		0
16848	103uqdhaxfbk8f84p61x840hq5	$2a$07$wm/9aojx/MVkhbBS.T3WM.oSFV/0XaKPgBmECSNFn5s0U/P5zT8TO	48	2013-08-04 00:14:49.209682	2013-08-04 00:15:03.506929	189		0
16849	10k7rrjt7rh4eutj5zhtm7df29	$2a$07$Ox7o0G.KJDVebyrac3CGuOzi4y/7B1EZFdh9dZUQ/inEx/L9BmgqW	49	2013-08-04 00:14:49.233697	2013-08-04 00:15:03.628471	189		0
16850	10lz4xfy8t1yoetphtc0bjcae7	$2a$07$I1rnQBtQ4.mgDGHxIvnV1e141k10fgkmA8UPmY/0mAXgZXDzvzrYi	50	2013-08-04 00:14:49.258253	2013-08-04 00:15:03.767331	189		0
16851	10gdxkuu8l6xxltgww6m84jgi6	$2a$07$1O8wU0sstne7XrR4k7WAleJ0ApU8sjMs51g.6DdO0SRbxLEU52LI6	51	2013-08-04 00:14:49.282382	2013-08-04 00:15:03.901079	189		0
16852	108lm53mvnpuq42h6ne8ot2xj0	$2a$07$O8QtHRBe1ZuVtI95NL5ob.zV9LhtqhLz.XcSUPy2w4EoyqCxrko.u	52	2013-08-04 00:14:49.306387	2013-08-04 00:15:04.336104	189		0
16853	10vbscqi2kllntbte1mhal27ls	$2a$07$BysagLlMRzXDpyJxYDisWu4npxRkkkA.QQo1fZFV4oWgpKKAfu6wi	53	2013-08-04 00:14:49.330244	2013-08-04 00:15:04.788067	189		0
16854	10ieuxci6utybhqylp4aewmxrc	$2a$07$7ps6e11Bmgt3nZrp5.uFou5fDek29SFeAADjrTi7qpC18VByyu3t2	54	2013-08-04 00:14:49.354426	2013-08-04 00:15:05.141158	189		0
16855	10x8hr4q8tjn13h49u9nd13usg	$2a$07$YIsUGKMNMUsHpqjupXz/Fu8CrFjxeiOLaNZ4cEQnDh4gWdvktfvyi	55	2013-08-04 00:14:49.378039	2013-08-04 00:15:05.268204	189		0
16856	100poi4yulj51i710txc07kgmk	$2a$07$HjCHbs8elrcDdCMtlnUg5uzpS1AMU4DfUjpDktUiSqnIzPncoYLe.	56	2013-08-04 00:14:49.401805	2013-08-04 00:15:05.384009	189		0
16857	10b4fkvc14pynnh9u9lvuhkpc6	$2a$07$bzEzLKHnZQyE0Ol9OekBVexXBMPzvj.fsa.d9k6bcL9NS.SNcE/We	57	2013-08-04 00:14:49.477757	2013-08-04 00:15:05.519415	189		0
16858	10wmqfa9fp7stvuwnj0zio3dns	$2a$07$W10Euj1bnbm070OLNsifJeF.myk0oDOqOgZa.9H76JmTUlIk35zH2	58	2013-08-04 00:14:49.502979	2013-08-04 00:15:05.650955	189		0
16859	10haqygurxsqn7gtq8jfyqgr4g	$2a$07$rUbJhTRPezfoafq5MCX9.egWkPVSGr6Xw4Lp9nlEg6peJUMkmupTi	59	2013-08-04 00:14:49.526441	2013-08-04 00:15:05.774595	189		0
16860	10cgks9h7oys5cpg0tuq60fw1u	$2a$07$LQFYd28crEOw./auGF./qOCAzL1swKp9y1k/hVzcLgbXZ9MexRF96	60	2013-08-04 00:14:49.551104	2013-08-04 00:15:05.880579	189		0
16861	10yr2h54z71l0e4sucdfs2i4fr	$2a$07$TgwJcCv74deYhN35mokev.rjReAZkteunnASTFHRt.euW2/xA.q.q	61	2013-08-04 00:14:49.574543	2013-08-04 00:15:08.304238	189		0
16862	10dpfqyhm1tommomb1zsiy91a8	$2a$07$jnd2uw.6bdeJMo98nv2Z3ep1mQ0hAy0XWT8WJ0.K7gc7CRxZtcjaO	62	2013-08-04 00:14:49.598716	2013-08-04 00:15:11.337685	189		0
16863	10nebrwt1387epkka7lhuiwatj	$2a$07$UuYhE0kyCBuJM96vBQWjZ.y3sVXlCQu.wQFurNJRxRZqs8scAn7cC	63	2013-08-04 00:14:49.622845	2013-08-04 00:15:14.319986	189		0
16864	10ufi98935mk1b2b0cxd4rwzl3	$2a$07$vmqUzWViBakf9.6UroXFb.ERIIOvKbMW69XBL2YSkrxpHa3lDMFf.	64	2013-08-04 00:14:49.646627	2013-08-04 00:15:14.501353	189		0
16865	10bggpxmcx7q6m7il8vlk81fmn	$2a$07$PM9cSZ9RbzyyA981SR5rsuRBid4R5Y8kvzaV73QcG/y/bC5mJSP8q	65	2013-08-04 00:14:49.670875	2013-08-04 00:15:14.704702	189		0
16866	10ba6tiqsettdxjoyqxf5x340j	$2a$07$L65E8FYqfcBMdNNbIll/bu9Gk6.P6IHAsu6rC1L2C0f4BAYlSqvjm	66	2013-08-04 00:14:49.695043	2013-08-04 00:15:15.656224	189		0
16867	102500c0slr5o3fh1p4h7st7tt	$2a$07$Vl1Z2l9ywol4R.Fj9wB42.CKg2.Jum2Btg.jiF7vwSfvnqOpYjxNu	67	2013-08-04 00:14:49.719276	2013-08-04 00:15:15.754295	189		0
16868	10nyepje7v99bjsf5huhkgi9t3	$2a$07$yp5TKkwfV8MqqRDfaPHplOz/JfcdA/3msdYP.xuLd3KowpX94aeNK	68	2013-08-04 00:14:49.745172	2013-08-04 00:15:15.876524	189		0
16869	109ywcv1bm014ci6g03eb9ihxe	$2a$07$MwEjXY0SNtWTyjJw/Z8tvOlIO/Z9v91OVOPUEBq8o2yVlJgM5LbC.	69	2013-08-04 00:14:49.770819	2013-08-04 00:15:15.998596	189		0
16870	10mh64ot21tlkq8la4gzzjqnzx	$2a$07$8zAmTt6Bgy9cbwk1BU7u6etMiyxLhhI2gm0REFqfS.e8MtZfJrffW	70	2013-08-04 00:14:49.796531	2013-08-04 00:15:16.121077	189		0
16871	10sz06ycgestctx2bo1qf2ft2q	$2a$07$Zu78ZzylodHKNH9s7F.qYOPA0rSdshQEbvCqq8tNx6tD2y0RPpDcq	71	2013-08-04 00:14:49.822446	2013-08-04 00:15:16.234922	189		0
16872	100ou6cw3g4xls826u5pdaggvu	$2a$07$rAiZcT4c3YPTa7rLanIUR.RwwLOqMTflLz/LVARQjWIdYljnxsyqW	72	2013-08-04 00:14:49.847716	2013-08-04 00:15:16.328262	189		0
16873	10ygxouxf6bjv3dbzz590x5q52	$2a$07$ZEhsItgUTDIbi03KgjVrb.TTf2jlwVdBLg73OBOOfc5QNr2XbcdI.	73	2013-08-04 00:14:49.871969	2013-08-04 00:15:16.702487	189		0
16874	109sb0tp99kzw3vgcchxwoz023	$2a$07$sd5YLxSm.gMfUxu74XSIAOdZy6DBVbrhentD0JGMDdYhlZX0kRWN6	74	2013-08-04 00:14:49.896083	2013-08-04 00:15:16.820162	189		0
16875	10juyht2nwbinsr5go8sabe5au	$2a$07$g7bXAD30xUUjM/fbAqm85OK1Rfw8fUx3lMVkjm7kJgzPc7xSkrd8.	75	2013-08-04 00:14:49.920122	2013-08-04 00:15:16.957301	189		0
16876	10kfdcjn87c2vtg14jpzvpkh8v	$2a$07$fPygwWxjA.4ZZIuZrKM.vung3G0JIs.z.1fw1BNkbwupTdHBHp2QW	76	2013-08-04 00:14:49.943503	2013-08-04 00:15:17.083974	189		0
16877	104ok6ve2wegg0v3vy4nc979sb	$2a$07$n5mKbDycD2Zg2Z0r5Z1hEuinNRQGmJXr9PWz5dpxUWXwnFDNmS6YG	77	2013-08-04 00:14:49.967213	2013-08-04 00:15:17.214441	189		0
16878	1028ro8xrlgjf8esxf530be0uf	$2a$07$OvLrTJrlvmbyRR0e3MFtjOcdHI0m9ghn2iPs06pFE8oouiFuTT2uO	78	2013-08-04 00:14:49.990751	2013-08-04 00:15:18.037979	189		0
16879	10ebwiklvjbj0g3nt48ie9qd2m	$2a$07$3Ttp6er45NNsoYZajyL7h.oG5be7yc0kRcGZPUdc7RdJwlKylCGUy	79	2013-08-04 00:14:50.014713	2013-08-04 00:15:18.160156	189		0
16880	101edx3mifib0umz1er1f7rrch	$2a$07$KtrYl.AAjk16dTRfzAPAm.sgOtiRT3BTTNGKYKAFwADMmzUfwFJyy	80	2013-08-04 00:14:50.037448	2013-08-04 00:15:18.294569	189		0
16881	101lw3kih1j9r8hzb4pvx34ajf	$2a$07$U/kYCH4Xyt32HSTZWfzwr.WMPa9BCpOQizC8KINvgxooFnz2h64vC	81	2013-08-04 00:14:50.061346	2013-08-04 00:15:18.711819	189		0
16882	100ot1pefxbe2qjhukix2xd9hh	$2a$07$mq5Q0NcTOf0D6/G9gWnE6eZxQwMQ7Pf6n1akZekpNyh4NfClTR71u	82	2013-08-04 00:14:50.085339	2013-08-04 00:15:18.833789	189		0
16883	10l9rck3ucq7cvngyg5g1shaz7	$2a$07$C./BQhyOcPe86Cl6A3IghuagnO6RDau7zqRXBy2AGVj5zwRemffHq	83	2013-08-04 00:14:50.108943	2013-08-04 00:15:18.98693	189		0
16884	10qiojaa2b39wqw1cfera38asa	$2a$07$cmQ8bZrUev2l59kN5VqdVevogCIiKI3UTWU9g7L8nMYdbxJ2Cxn0q	84	2013-08-04 00:14:50.132742	2013-08-04 00:15:21.924244	189		0
16885	100meog91dmu9t3v22r72eipwa	$2a$07$HHUgCaxRoQHEi3c5MK87HuUphK/JPcanxhSSuRZUQnInxotG/ik22	85	2013-08-04 00:14:50.15581	2013-08-04 00:15:22.131178	189		0
16886	10uf3fa7xctkhphh8e49tkx0zm	$2a$07$1ZRHFBTZnnW.H8VKQ9BjdeKM0GwYuiJ4kjJxKy.U6ncNKJQU3vU2S	86	2013-08-04 00:14:50.179694	2013-08-04 00:15:22.262343	189		0
16887	1099kz80pq2j1wx4f5kmm4w8l6	$2a$07$3.vaK8ltuIKIE4JC9FtdsurNoG0Sb3avsVpt/Pz993XZljTxsYGtW	87	2013-08-04 00:14:50.202744	2013-08-04 00:15:22.387944	189		0
16888	10znk1w82ae6wvkhbppvzfg9qf	$2a$07$qoeYjsn/0YvGZmkMswiCge5TjuvCEddDbOPntQthm0giZpE75UqnO	88	2013-08-04 00:14:50.226458	2013-08-04 00:15:22.696791	189		0
16889	10i808w3tzh2lziivsgf3djj2b	$2a$07$k8akmsefhIYu1q03GsDMu.uOPCsZhDEk0xih.zDSErghcdx9pyFRO	89	2013-08-04 00:14:50.249901	2013-08-04 00:15:23.663015	189		0
16890	10yw4dol0cezcswofsyttkmf79	$2a$07$my6BDFF.61o.C1VpNFsPguh994JGmgkY5fQrC1vIgkWKgk.4eCPs6	90	2013-08-04 00:14:50.274599	2013-08-04 00:15:24.614894	189		0
16891	10i9uysshxown5ded378fhirpo	$2a$07$G/uqzvfX4qDbY56svEUDIOO9F9ElhSVMJ7GOqRsvDmo5u3Xk0GyfC	91	2013-08-04 00:14:50.297954	2013-08-04 00:15:24.724527	189		0
16892	10xbiemcfbffh7ly0y5u18hzub	$2a$07$rgYatuArNNnQs9dngUZLD.ISURNhH5qpUATC5KpLG35u6kAVpnDBm	92	2013-08-04 00:14:50.321847	2013-08-04 00:15:24.829231	189		0
16893	10ytr0l87x4icoi0fg09769ons	$2a$07$sXvKNZTjKlg5Wc206bmoxuCBsFfLiuQcLHSuXXabHJYpP/kG/qeme	93	2013-08-04 00:14:50.345668	2013-08-04 00:15:24.938766	189		0
16894	10x8rufx6l2nlj22v1zx44edhq	$2a$07$T0GifkBWi7mggpIfyL/2E.1kVSq3vNcjsYAFukdBMhPmNH45yslsm	94	2013-08-04 00:14:50.36949	2013-08-04 00:15:25.055819	189		0
16895	10gfzixgzlla82z0jxthgteo3o	$2a$07$JaYQ4ayJvDZo7JNtEAEANeVHoGgjJ6/yOzZ33XF0JmbdEtKLzWClm	95	2013-08-04 00:14:50.392595	2013-08-04 00:15:25.163743	189		0
16896	10a37n1x2yvmmfnxbzmnvbytz8	$2a$07$lN25KvZ2zA9ZrDbjruDe9OYB6/ZDDBrXzZoTslYvSFzJHtHLGhveu	96	2013-08-04 00:14:50.416086	2013-08-04 00:15:25.264868	189		0
16897	10ry2iw8i8wyzqp01tx87eml4i	$2a$07$GGXF5bxYXoyYcOvRAUebWOlGEj6hK1Aac4WHW7Wv0Wyovk6o9gEb6	97	2013-08-04 00:14:50.440116	2013-08-04 00:15:25.384185	189		0
16898	10o7jetmlgsua83msoylss8r6t	$2a$07$j/o.Qh7Pi/pFtMUCVaBZiO7bqn/D0STREQsOXSoZc.sPmm3mkN26S	98	2013-08-04 00:14:50.463738	2013-08-04 00:15:25.50025	189		0
16899	10srie4muupyw8pdqp1i9ad1ul	$2a$07$jiotK5Ac1HxPpn.5arGb5etEo5msDmf4yi9g28Y9R9lGyLy30hY4u	99	2013-08-04 00:14:50.489635	2013-08-04 00:15:25.610822	189		0
16900	10guzmhk2umqx0psu1pyu2lhbm	$2a$07$7cHUQnx2TATKvmhuFiXGdurvtfhj0IwGhB7r4eBaBER/.LJ7yyILy	100	2013-08-04 00:14:50.513081	2013-08-04 00:15:25.707006	189		0
16901	10o1fuc8gz6w6exo25apz54b0x	$2a$07$0K9Tx2mUSZJdb7lseGcyjuu/6ZZEGFWpjFYvXBwiNuNouNjMhaXcy	101	2013-08-04 00:14:50.537063	2013-08-04 00:15:25.808942	189		0
16902	10zqymncj26u1q4zojyukjqcy4	$2a$07$KxAAGruMGHKtd.93Pc5AoORSdG0t/t5QjyfNqDvUKIYOJOOApXzSC	102	2013-08-04 00:14:50.560343	2013-08-04 00:15:25.905424	189		0
16903	1069x1e27l1xi83olq5z5lj4ic	$2a$07$OIZSFh5htlW4HJUL4apM/.DajHV6OF9HXRjpRhLVYoCk3s9BRq6E2	103	2013-08-04 00:14:50.584791	2013-08-04 00:15:26.333704	189		0
16904	10pv9if6vf3baqljn7fj6uruug	$2a$07$zVBSW4rhn5robzhQ6O.QNOrPVZpxS536NA.BLm6qoCkn0JKkCu6Lm	104	2013-08-04 00:14:50.6087	2013-08-04 00:15:26.668185	189		0
16905	10mbbogd1jqpwce7sqb8udkh8b	$2a$07$5kJLkPbzp.7FTv2lpE4Fb.ZOgTzXYdBW3emSpZFf/mAjzVjIGSIiG	105	2013-08-04 00:14:50.632617	2013-08-04 00:15:26.798008	189		0
16906	10vpinaqyrl8xr3500tmd9by48	$2a$07$v.63ao3RMRIlCTEoIfvMfukX1ztUWo01M0nIQ8Gr.aqcr7u9XEClu	106	2013-08-04 00:14:50.656514	2013-08-04 00:15:26.930268	189		0
16907	10mql7iqj5ayjitaxno9t7cg2q	$2a$07$.1GQrx4y7hBvqqzz6jUd8.CiCQuvza8ir3qWcHkhfApoV4yiNNs/2	107	2013-08-04 00:14:50.681272	2013-08-04 00:15:27.066982	189		0
16908	10rl1ot1dusws9ciciojwhibpz	$2a$07$LYXY0foed5cNpY8/tAacvewkV3vUrAVt7/gagjBtvaLYEY.4/XDYu	108	2013-08-04 00:14:50.704673	2013-08-04 00:15:27.217269	189		0
16909	10ib4j1kmtq98q1d05j9rzdvf6	$2a$07$9VIVhp7me/ylZjyJ4.0H1.rWethfMd6HPmn4RH1rz.FiolLUeIulG	109	2013-08-04 00:14:50.728374	2013-08-04 00:15:27.511354	189		0
16910	10b2w3bywm9yyfuy5omprbcxnu	$2a$07$apl2t5ZsNecUgWwn12UUUemdywSJFIvO/L5PW.dOYXSxiQV0SQ56y	110	2013-08-04 00:14:50.75264	2013-08-04 00:15:27.659417	189		0
16911	10ecqvx3057wv0nlnjp3mjee6i	$2a$07$QTqHbMMEQD72qpu4sxt75Otx6jKUkELNQ6fmRrShkWZnMmmd82gHe	111	2013-08-04 00:14:50.777137	2013-08-04 00:15:27.797668	189		0
16912	10dxkq19tk09416yaz8xxuw1bx	$2a$07$SvzWKIgoxue5cNY32ukCuu3TvCaRqcUutUAdUl40wupOk/wHubfYy	112	2013-08-04 00:14:50.801465	2013-08-04 00:15:27.936471	189		0
16913	10l7wc3pypyzs5ytbhcyrjp840	$2a$07$wVrLRBD7zm8vf6y34QsqEeMfNVDrzxLDn25JVHQ2XFFGIK/UvjaqW	113	2013-08-04 00:14:50.825607	2013-08-04 00:15:29.338805	189		0
16914	109hzct30172erbao89525vtez	$2a$07$yy/yEidWHsOHMHcNJX5r7eOtwwZKC4k2OEJWuVBQp/4PhQpRPjWru	114	2013-08-04 00:14:50.849796	2013-08-04 00:15:30.526142	189		0
16915	10i2teeaoitkf5gvirxt6lo59a	$2a$07$P1NyhewbsyTZ7UdemTJxEuabyGhBk5qiw38x1SEIWxQblof1Cg45K	115	2013-08-04 00:14:50.874477	2013-08-04 00:15:30.660229	189		0
16916	1015sd9vfgv1568tnj63xtti8o	$2a$07$/iOaINoirCoNMVWUhTBEjOG.15IOmrwqg6d472cJ1qyVZrjwW0ase	116	2013-08-04 00:14:50.899066	2013-08-04 00:15:30.797611	189		0
16917	10icof6jf24heweeuap95v4ajt	$2a$07$95mQK9rYYtfAMEQyejTuF.h5vi4VMnO6psbo4qBZ6zbYnZ1Wbnic.	117	2013-08-04 00:14:50.923046	2013-08-04 00:15:30.944023	189		0
16918	10j9ioi652jjuzdcd4j6kkr9v7	$2a$07$j4EEFRBhV9p4odQd/g9FOuCazJCkVGUah1jzOVMmQ46M.gBCn4jBy	118	2013-08-04 00:14:50.9463	2013-08-04 00:15:31.07273	189		0
16919	10k4wb0alcryqfeynulb15rq89	$2a$07$0UFENDK22CsErc3LkCXEYOhZxvzHOwBTn98Y4S09pDsmkczgLTTJu	119	2013-08-04 00:14:50.970104	2013-08-04 00:15:31.225693	189		0
16920	10or0ovtqxg36hkrfxk95h7jtq	$2a$07$dECKHQwUIdTB3.flNeRqLeZ8/8I7VmFZ739pwNdaj73M04Z.KYeTa	120	2013-08-04 00:14:50.993791	2013-08-04 00:15:31.333149	189		0
16921	10drsaa1ddviypta9zdnrciq6l	$2a$07$EPCVCKCyWxyRNro/oR5hQesRwuidLQfaGNXu4dDDtxOwtIhxvtTBS	121	2013-08-04 00:14:51.017579	2013-08-04 00:15:31.441351	189		0
16922	10tsbabx1kgim3n3zrj2luolgz	$2a$07$fK9I9MmEwmDjFeMR1D1iN.G8RFDtky5XYdT/Xcced5Dr.Pw5kgpGq	122	2013-08-04 00:14:51.040861	2013-08-04 00:15:31.558923	189		0
16923	10bar661gk9l8qoh9hfdsn5t9h	$2a$07$qJTZ9wtE517147zP/scCoOW0WiX/735Pa/ztuF2Yy1KVtOE2kiI9.	123	2013-08-04 00:14:51.064309	2013-08-04 00:15:34.228255	189		0
16924	10s99xuyy57ypqpu70n69tmtjt	$2a$07$OMdrv3vWiG3YhHF61.h6S.aKkZKhw5i51nUGrQj03eUXyegi/LhZy	124	2013-08-04 00:14:51.087857	2013-08-04 00:15:37.136316	189		0
16925	10mff7yvyye6ncd41s0j5papj4	$2a$07$FEdsxvKb0408VxFGyQLuC.vSKGfRKtAx5V/uiVJy3SstniMpPSElK	125	2013-08-04 00:14:51.111063	2013-08-04 00:15:37.516119	189		0
16926	10cowc2zkcwwijn0t50vqubakw	$2a$07$asfPEv47i6t6LDshJxfFXeaVhhqNoo7HgRiRrnJvLnw3qgJ49O.jq	126	2013-08-04 00:14:51.134518	2013-08-04 00:15:37.881172	189		0
12517	10zn25ji20ai2gpdpth2izo0fz	$2a$07$sHcum.sL9jo10beeJlNgfOLrOqob7wLduLvND.ZEwCgJICfH30WQG	1	2013-08-03 21:23:35.07148	2013-08-03 21:23:38.250096	155		0
12518	108uew4z5h1tlpssvw541c8p6o	$2a$07$bHFhm5YG97Vk4btC10m17Ovbof4vET22a3aMpkW/ZVPvCG94xfHJK	2	2013-08-03 21:23:35.098762	2013-08-03 21:23:38.441493	155		0
12519	10fb6ubondexd5spzuj0rtvqv8	$2a$07$5VppA2V60QLGwpkX3UxDu.FC.nZOHxzJG0tnEaurGvrD0bjoJFixG	3	2013-08-03 21:23:35.12044	2013-08-03 21:23:38.578855	155		0
12520	10648qvqzkf8tbbs6p83mszxr0	$2a$07$UCWV/YmqiYF/j7VuejSFW.wrKiqa.5tH6NSU91m7CzmLRs1omlAEK	4	2013-08-03 21:23:35.142185	2013-08-03 21:23:38.718578	155		0
12521	103crgfushfpccgf1ek8oommcw	$2a$07$dosxWaerjwH80EUBDR8zce1LlxqVchAcEUancKyZdnvIq57z0edgW	5	2013-08-03 21:23:35.16378	2013-08-03 21:23:38.878826	155		0
12522	107t3bcsk175junyev7bj7scie	$2a$07$2CuvKeHLRii0jP2gIoaUz.8OupLYTdhyIfzVpQQYsUqXFTlZyLdQ.	6	2013-08-03 21:23:35.185255	2013-08-03 21:23:39.036436	155		0
12523	10tthc56x2oue37zlvqvrr6lp3	$2a$07$0477JIjXhj7jKvJYw.tpu.rp5P73SxIxvkyLznpTEKTlXBk2QaLWy	7	2013-08-03 21:23:35.207047	2013-08-03 21:23:39.964721	155		0
12524	10a6sqafuax0u2f48j0ez6bo69	$2a$07$8Uey3HXPuW13GVFfGkxqa.vcjmPW/feNI8WzAmnb7VLyueOSbscfa	8	2013-08-03 21:23:35.228597	2013-08-03 21:23:40.871888	155		0
12525	101ztl4jhajvu09i9grxgxkyzz	$2a$07$6OXUv4RU8Apus5QaM6Fl6.jbZEdjxc6Gsgeov2gIoldGfOPSNkPIC	9	2013-08-03 21:23:35.25006	2013-08-03 21:23:41.780692	155		0
12526	10six9mdssaua0yaet5rqxip5i	$2a$07$3E0UixCl0Y5RansG6mwnMOI30kAMs6QHNmr0dZP6D7To1qq1baqIC	10	2013-08-03 21:23:35.271594	2013-08-03 21:23:41.906024	155		0
12527	10t7hszdstu452nzhdx05s4uzn	$2a$07$iwNU6VRrjcib7h/Ipo0EQ.pP1oktKmykNtb4yGCAi60bsfgv/M896	11	2013-08-03 21:23:35.295773	2013-08-03 21:23:42.042935	155		0
12528	10vansnqemowqxk1wahoo25sk0	$2a$07$G85mLWc.tRRABR5lRTOvEOX.Gip1BnzUa3xnRaYiOE/gKZh.AIOP2	12	2013-08-03 21:23:35.318688	2013-08-03 21:23:42.151067	155		0
12529	1085udr18u3ehs402vxhg36guy	$2a$07$E/OgA8m314g8CZIgyksQgezJDHOzJqPoHhDpYwwfROO5DnfqHGiv.	13	2013-08-03 21:23:35.342647	2013-08-03 21:23:42.260522	155		0
12530	10u2r2d5b8kp2r7rv5af81svbl	$2a$07$dRxjZwKbft/a8E.meJcRm.OuTaRF4Ez08p147Hg0OCqibpTc3UoIW	14	2013-08-03 21:23:35.364425	2013-08-03 21:23:42.378912	155		0
12531	10klhes50tnuebiyioktq0q5fr	$2a$07$FnoEXz7lYfHmed/2m37VTeNH/JhB4CaDdEX3wX7EkhyAzt3gROaQm	15	2013-08-03 21:23:35.387592	2013-08-03 21:23:42.496052	155		0
12532	105puyq8w332o8oxm46fhnz0sb	$2a$07$hZ0j1X1ZR5RL7kC336c/HOfMRbY1Ynh0CKxxJDO4Ei0a0QckWlHo2	16	2013-08-03 21:23:35.419828	2013-08-03 21:23:42.612444	155		0
12533	10pj8ba3exnow1rnaf9vmuw5w1	$2a$07$eSU9y/OCZf11KPUq1..IA.RIKvjsNSl6eLKOgaLqSO6eXrhc5bc9u	17	2013-08-03 21:23:35.446628	2013-08-03 21:23:42.736598	155		0
12534	10u9palfmzb0pbeourkx5glpnd	$2a$07$0oir47PypSY/w9tynzeaPeLhA7VYWRKoGHVz3/CvnV4yWgi9J0L2C	18	2013-08-03 21:23:35.474239	2013-08-03 21:23:42.848586	155		0
12535	10gest3xsox5s13axz2h18hfxo	$2a$07$iepLHDop170a6/HCISn4Fu1kbuj.OZ0SiplCthuiwb3/xFyNs42Tu	19	2013-08-03 21:23:35.500734	2013-08-03 21:23:43.028005	155		0
12536	100zecl2q5f8p11rig3uay91wf	$2a$07$rrMhNCZ8T0oONgOGec5TSOfNsfUiuCFocSMVOyJ6NfdJksydkWFLa	20	2013-08-03 21:23:35.526064	2013-08-03 21:23:43.14154	155		0
12537	10lljzgklrm3f87ephglvv6lhw	$2a$07$n5th10RE.nOiG8k2WDKnceYzzQHNrr7ZkiWlRNYZJ.8sAnmKhu.PC	21	2013-08-03 21:23:35.553212	2013-08-03 21:23:43.268936	155		0
12538	10jv52m7ar99cl5yku4kjnlqis	$2a$07$H76FmEEQgvtpuzNKB4nyKOQAys1I.QvIGZOhBt72Crym7mgUHDEQ.	22	2013-08-03 21:23:35.57624	2013-08-03 21:23:43.408294	155		0
12539	10zymq78dpwsafuuny4ngw2tfb	$2a$07$/0FUVnpTo6sSWUQtDESDFuPUdPtavoauCCumwhXfXzzbY11MpU1N.	23	2013-08-03 21:23:35.600294	2013-08-03 21:23:43.538283	155		0
12540	10pzp19j7ewxets0tp6m06tnsa	$2a$07$5gOsjRAyflaRuJW89ABDsOfO0F9WFY22pu2ZUN6cst3DftI3bylFq	24	2013-08-03 21:23:35.62501	2013-08-03 21:23:43.678264	155		0
12541	10s8jyyi11bk687qdx6jp19ffb	$2a$07$3MXj/RD9lc.rMGjxD4F5nO91pVJXTWLyFX5oZqQIKvMRiC5DgRKi2	25	2013-08-03 21:23:35.649062	2013-08-03 21:23:43.781917	155		0
12542	10q3k07dgs4j2dype3e3m3urmo	$2a$07$WftbEGte71G4j6NwB5Q.iOYp77Xnfhj8Qs2UL5n3ijw0xnJwmVWbG	26	2013-08-03 21:23:35.672715	2013-08-03 21:23:43.897723	155		0
12543	10s2oe3hbcxmv1y8pugh1w6bna	$2a$07$OfPxPJtreP7g4DovOxM9kuSUtZ0C/kf9So0rUFYEpGRuwT.6xLNgq	27	2013-08-03 21:23:35.69649	2013-08-03 21:23:44.023705	155		0
12544	10y3e2mqpara39sjgzhm3duwbf	$2a$07$LPEphYj4GQmr.2rT6VVhd.w5w1Pa49EtPdIb9eTtdmRRD6tBj4Aam	28	2013-08-03 21:23:35.719897	2013-08-03 21:23:44.446151	155		0
12545	106a73usgs0y57l9kmnl8ewlht	$2a$07$cJ3M6cOtbDVIFo5X4po7I.In0/50ZrLTe.q7MgEn3QGFG5Un92.2S	29	2013-08-03 21:23:35.746206	2013-08-03 21:23:44.793931	155		0
12546	10ygvxzr5oc9h4sopjim0tz5cp	$2a$07$G5sETznNaMgVFNza9nrioeoN/pc/BXSjL7TZcRge5UfPpogOewoES	30	2013-08-03 21:23:35.771004	2013-08-03 21:23:45.20082	155		0
12547	10aljfngbrj87lv8o47bkxwb79	$2a$07$j30QFAQblU.hnkg0Tzxiw.BG3GgI4qNwg8/AiX3J42a4uixD6pPEe	31	2013-08-03 21:23:35.80251	2013-08-03 21:23:45.36138	155		0
12548	10au7q5xa47ovpfcu2eo1wlnx3	$2a$07$fHkWIt7PmEBc2oVn.hMR3.h93G8sNutMsNRCChbQ6KOxglLvkEctu	32	2013-08-03 21:23:35.825003	2013-08-03 21:23:45.499039	155		0
12549	10oaoor7afm506r0tlnlgl38lk	$2a$07$pcfmCocN2GSAA2AnCCRwcurSvYyuZfCA06Irbm8x/oIXp.8dPtZSO	33	2013-08-03 21:23:35.849112	2013-08-03 21:23:45.627203	155		0
12550	10ji4g2ammvp468huzavrcifgz	$2a$07$d0yOlv1ujzRsgRw9Z7dSbu0jl1pLU2m3Nhidvd2df5s28WTb9Cu5i	34	2013-08-03 21:23:35.884733	2013-08-03 21:23:45.773713	155		0
12551	10r5tcnoot6dom6p9rr3zwf6po	$2a$07$nhT57JeRNJVTlKiJEySmSuLwnkexHHXWbfKhhrB7/1d73tN73udim	35	2013-08-03 21:23:35.909198	2013-08-03 21:23:45.910798	155		0
12552	10d1ce7q744xcf10eyfu2xzew2	$2a$07$rEoKHEzGNIxciC2qA.MvwOlmsoe34vdzHT6fmJL69Yzz9rHQLsWdS	36	2013-08-03 21:23:35.931451	2013-08-03 21:23:46.060519	155		0
12553	10vqwv4ownj67zouum8kc6wdko	$2a$07$khwqjVYQGUQ6DJIHYJysJuBa1XONL1UA2o2KslDhSF9PwmbW90iwC	37	2013-08-03 21:23:35.95483	2013-08-03 21:23:46.194553	155		0
12554	10ukpvn1hqteufp3p8k7yzo00b	$2a$07$vi2ClTLkoCdmd17d1GTz2uKW82/P2ua0y2Sff7Zr7lDjV8l2JkFf6	38	2013-08-03 21:23:35.977361	2013-08-03 21:23:46.330828	155		0
12555	10ue7ydq4et4t6ouo0ffakokt1	$2a$07$etytUS9215s.X9oOIihnWOO9ISrnxTHifhFhHUMCGHzOIxnwZ/HRe	39	2013-08-03 21:23:36.002649	2013-08-03 21:23:46.462236	155		0
12556	10np3l4faq4sugmfqs63cnhsfb	$2a$07$uvIT70NaKzV001ygxbwzf.79QmKr1VIPmkbpwfqcskIeI5b/FcwIm	40	2013-08-03 21:23:36.033626	2013-08-03 21:23:46.602492	155		0
12557	10uz0c8lrgmjim4n2g84rshbvq	$2a$07$hl2o3ikh22bPPHqrtA8sleydUQekzSqimBi.zW9.6lc7DxoWSMRPq	41	2013-08-03 21:23:36.057481	2013-08-03 21:23:46.728955	155		0
12558	10i6eu36rbfrjstjpiw1zeoiyc	$2a$07$W95aX77XLhlCjWzu0WloQ.uZNMO9MkXACtMSvZBQU23zl7LA67mdi	42	2013-08-03 21:23:36.081017	2013-08-03 21:23:46.852004	155		0
12559	10m90u6frtxujcyx3qbz5sbkl5	$2a$07$2wX.ruvAcxXWnm9oZ9oMNe70vgS48lwl6CRQkeLOQcfZG0ZdK/7Ni	43	2013-08-03 21:23:36.114112	2013-08-03 21:23:46.973647	155		0
12560	10afi4so0h5i8gbuplgb60cm8z	$2a$07$ptRdrdit.YfWtrh1Lgzv9e0rSrIRpribSWFB71FCuLJnLfyXyTkR6	44	2013-08-03 21:23:36.136958	2013-08-03 21:23:47.097437	155		0
12561	10r81vdsdxchw3xijla2pehk67	$2a$07$Qzv4TskOO17fQo.LItC1eOEGv92xG2/k03GthNsTnSERApAcn/IKa	45	2013-08-03 21:23:36.160667	2013-08-03 21:23:47.223342	155		0
12562	10qcq2yg8oi2r7co9qwsgyh3rb	$2a$07$VDW99cB63huG5/ic3jyyIOUlOdrKkbpQKUPb4Z05l.gnTXiUhH9lS	46	2013-08-03 21:23:36.184104	2013-08-03 21:23:47.377086	155		0
12563	10bks95ros7zi5p1fpkv2sr8r9	$2a$07$yzyMLDuguTDZJivpvPYV4O3LFZTtm9IvfCSny2R7R7KDg3YO0WDvC	47	2013-08-03 21:23:36.206858	2013-08-03 21:23:47.521673	155		0
12564	10ec49f2jvtlgnl0e50ij74ubs	$2a$07$j/wNS9ffjFCmWsRNNtb3kOdeD3MVA1SyKtIWxKUFfifeTGwxwBbP2	48	2013-08-03 21:23:36.22836	2013-08-03 21:23:47.671515	155		0
12565	10sdqpxglttv1hcyauyh9phxjd	$2a$07$FUQyKUpW7Pb87DIscgcFgenmCqXVqv9PACaR31oDk1Ysh8PIU6DzK	49	2013-08-03 21:23:36.252155	2013-08-03 21:23:47.810207	155		0
12566	10yd30iikbrxgqcm2cpl8i3h2w	$2a$07$QhUWe7nFvqcrP.7AHzyKZ.WpMxvt/DePxQQu0KFOVsDNulpfC0.1y	50	2013-08-03 21:23:36.286107	2013-08-03 21:23:47.940067	155		0
12567	103u5l0iysu6jdj49kua81szgp	$2a$07$fD4T4ZI9ml2hGzfY03W7tO2lPoGzyQikK50AKKpLqWC/6AJBFQhvC	51	2013-08-03 21:23:36.314812	2013-08-03 21:23:48.07068	155		0
12568	102p7qcay46arncberg33eg9vx	$2a$07$jcC7mccLBQKUQMv3w9JsguYmjd62rCpRvcksQGwRPzo2jEYgiBHo6	52	2013-08-03 21:23:36.345181	2013-08-03 21:23:48.312661	155		0
12569	10ff3eytafvb6pqm7am3dm4lll	$2a$07$GiM15fQ7.g3VassNajXVJ.RwID/y/J86HOI2dbqo0Dyt6e6TW1lw.	53	2013-08-03 21:23:36.382268	2013-08-03 21:23:48.602844	155		0
12570	10ju9f7w29auugqb08l2e0ucae	$2a$07$mmq5szduh4czFRVbIAmG9upB9VscyoIz02eAiXey2wJeedzlmMwUy	54	2013-08-03 21:23:36.415952	2013-08-03 21:23:48.853677	155		0
12571	10d575d967cf5fshxpbvdtdjs0	$2a$07$VdSv8vLoKd9yBbe14ye5cerDq8dW4Eayi0fDWQrAOBaiNyGK2H.8O	55	2013-08-03 21:23:36.443031	2013-08-03 21:23:48.982627	155		0
12572	100hj8x5v4wvbqmtvdy61e1kyr	$2a$07$GHnZb6opV9dqVC8ux36N2.hyrUtv6wPfkIAKBS9m7ph7TekaMegL6	56	2013-08-03 21:23:36.474629	2013-08-03 21:23:49.100982	155		0
12573	10iivehodjd259h2100f1w9whg	$2a$07$uPlc8x5Wx437EYgY78WoFObv2KNjmg91uFmOOtMcm4.tAtkO42muO	57	2013-08-03 21:23:36.510668	2013-08-03 21:23:49.256235	155		0
12574	100f9mp4bc6vghfes4mxu25evr	$2a$07$5nSJ8xrTPAZfu52vjXaX2u97r3vDaR0zWjkmoYktPHTxKyjIJiFJG	58	2013-08-03 21:23:36.537848	2013-08-03 21:23:49.434657	155		0
12575	10gfimm64vte7ns002f4r1ntbn	$2a$07$0LGdcUP7tTHdwHw8ag/PLOYJAsUEDJW58NFF/h3/BXaJa4KVgOmdy	59	2013-08-03 21:23:36.563423	2013-08-03 21:23:49.57248	155		0
12576	101urwwimamq6bsmc0p1wfcn5p	$2a$07$wUefNQR4USA.5ny4pCE7ZefUaNnwX1ihEChzXooIo.SBK1HoQFdjG	60	2013-08-03 21:23:36.587767	2013-08-03 21:23:49.706905	155		0
12577	10u8pzuuvsiv1uqk1xwosp9akz	$2a$07$K2lU1/PH2NhUIPpk7..t.eW3Rft63HwgnNxFuf2B0MPzw87CtYokq	61	2013-08-03 21:23:36.609365	2013-08-03 21:23:52.478514	155		0
12578	10vlc77wuveiao9xrzsrqpxp3y	$2a$07$er8zIE/lMGoK6P6stGw6We3E8lndp.jjX9Lhu0ts.9ZA.fa0zjCyC	62	2013-08-03 21:23:36.630878	2013-08-03 21:23:55.380146	155		0
12579	1071xes3kujf97m03ef4hbnpcm	$2a$07$UHAMbVqmLh53ShJ11iBl2OUm.klloPSoW5OZGf2.nEgLnNbapZpa2	63	2013-08-03 21:23:36.654265	2013-08-03 21:23:58.493414	155		0
12580	10jdgie7sv1lvkvavtwy01kduu	$2a$07$s16y6ZYHgTtKQAQGDYV07uiUBVsCinHRCBuYn8w.EAF.Wo0acPEMe	64	2013-08-03 21:23:36.682074	2013-08-03 21:23:58.600071	155		0
12581	10skap5f4onk94rnr9zudhzfmv	$2a$07$hcnxW3N0GlXnMOKmareSieRCojLNALUv3FYHXvpzu7U9B.QDo6Igq	65	2013-08-03 21:23:36.712622	2013-08-03 21:23:58.75429	155		0
12582	10mhze9jl2zf6y2c2zpmd8dev2	$2a$07$Cqazp56nnzSV5vhOxfx8t.Tj01dk7g94QaaUFEdwhx2605FX0WT4K	66	2013-08-03 21:23:36.74318	2013-08-03 21:23:59.737005	155		0
12583	10cnn80svse3b97j4tfekrw0u0	$2a$07$UyPKJNMzDUpzlMHa2Sm/juSn7.1lNYuliczCJp5P5wqekHkD6ygVW	67	2013-08-03 21:23:36.764773	2013-08-03 21:23:59.881104	155		0
12584	10c4ukhwn5upnrhlgn4ckbgz8x	$2a$07$rsM2oEhEy8mFEyvcEAyZAO6mOO3Op6Y6P81RDAdRNHwujciFiakPm	68	2013-08-03 21:23:36.786377	2013-08-03 21:23:59.999957	155		0
12585	104rbh7my1jl7fq1jlo3sfr0xy	$2a$07$hIKEnVs.DgvAqv4sxBove.6iAsyzKlzSBmGnWo7l.WBd7kRsErxl2	69	2013-08-03 21:23:36.808377	2013-08-03 21:24:00.128764	155		0
12586	109wau2o5oncxzacjgskfs4li2	$2a$07$OE54uME5cqYg4tT3vvvTqeY2Hc7zBrDOi/MoRah8MZDY5cvp97nXS	70	2013-08-03 21:23:36.830112	2013-08-03 21:24:00.263623	155		0
12587	109ef6by92tr3jtxl948lkxnc5	$2a$07$HQ5J.7VrhjM6/4lSd.DPu.PQN95yng/2MAQaryrNU3A45O.Ok95Wy	71	2013-08-03 21:23:36.852333	2013-08-03 21:24:00.381717	155		0
12588	10xo8ij0chvds8ztn84yvcox6b	$2a$07$PR7ZpHd9W3D6BGQioYERyeXSRgkbvnLDs9cRugPtfFRuN9/Y.vyu.	72	2013-08-03 21:23:36.874021	2013-08-03 21:24:00.477439	155		0
12589	10zjtjfvuhene3ga5jsxnrh2nh	$2a$07$XgoegPLcr7/G2q//f.vCnu.D6G3lnTZc7Gz3ee0ocNGeWoxHxIp1G	73	2013-08-03 21:23:36.895545	2013-08-03 21:24:00.890134	155		0
12590	102ofbro0adc9zy7m20emhjkb2	$2a$07$GM16SzWS1Vm0zUlnPksxIe7HgKAoxBHVrGLnpptR2mCASIUPvtQkS	74	2013-08-03 21:23:36.917116	2013-08-03 21:24:01.023043	155		0
12591	10z6smqhs62wtg272gw6ygaqbm	$2a$07$MiOoI551xqz6EPXUa0ezTOcobYpfoTtNOhLpMhe4a8yp5mI5VB2WK	75	2013-08-03 21:23:36.939422	2013-08-03 21:24:01.162919	155		0
12592	10v9mtazlimylxr0kzpetfidk2	$2a$07$Ptcd7PAZZq4D2bnVBVl9QurrG2j5ZAps/XM38jZMCxhklXIXQOrUi	76	2013-08-03 21:23:36.961233	2013-08-03 21:24:01.317092	155		0
12593	101pskaphqtvyx7l88ovjteciy	$2a$07$CkYkBXqtNFjEgbLMSDqpUuLT/A7XCrC9euMUq.kPW9A.WmzayZXDu	77	2013-08-03 21:23:36.983686	2013-08-03 21:24:01.453441	155		0
12594	1037yl0chf7ttz5m96u3bqsmzp	$2a$07$9c34foRUXQ1bXu1O7g8yaOFCUjt606Fme4QCpHYlDC75m5T5v/d0O	78	2013-08-03 21:23:37.007294	2013-08-03 21:24:01.595466	155		0
12595	109tacoxmkg73uwdiot6mlqeht	$2a$07$7lPDab0SZowxuLwfZ7yh0evTCeKBtGQZhy5u6jXYuK7bnADXHCXOi	79	2013-08-03 21:23:37.029649	2013-08-03 21:24:01.740362	155		0
12596	10gcvva9x3dfmpjv60yrdoufmz	$2a$07$brTh4WgHhVf/OMr7fSMTnesvKtf6LuP9upxQA4yXUAOmyz2NeHdYy	80	2013-08-03 21:23:37.05133	2013-08-03 21:24:01.892667	155		0
12597	10klxtursct1z3ll77jhonq1jn	$2a$07$nbxJqKmfoWo76KIrk74Z2uy1I83RD/uuBT7DBFWdX08hF.fScxubm	81	2013-08-03 21:23:37.072986	2013-08-03 21:24:02.181392	155		0
12598	10001n5ogaalccw0bfur3cylns	$2a$07$I/WqP0jNGSq2lju2j77RK.OGuPMMCKwwUkiTJZ3D0Mc0HGYFVgoy2	82	2013-08-03 21:23:37.096507	2013-08-03 21:24:02.346463	155		0
12599	10014iy616ww4392sqop1dlc4j	$2a$07$pC6.e6p.Q734QhXB.gBmHuFKD6TAJO4HoNDH8l/GJSmtMmF.wylXe	83	2013-08-03 21:23:37.118113	2013-08-03 21:24:02.490747	155		0
12600	10q6b3aq13spqmyv51vlnlmly0	$2a$07$O8ja5fl1l9F5L86Qj7TukedUTZ0/jVoPL32qcQGGPbZU.l8wEQeV2	84	2013-08-03 21:23:37.139532	2013-08-03 21:24:05.291699	155		0
12601	102vjfew1ybobpmvd3xahf9d7x	$2a$07$tML3I5.yIcEMPrUjs4DJWec6Z2QbdF4VTF8Pf4Zt13nPPJTKb7GPa	85	2013-08-03 21:23:37.161061	2013-08-03 21:24:05.411164	155		0
12602	10gknukuua5itsm4986epuwc52	$2a$07$owuH0HhJWjwgsDLiCOP5keSsnVKhE2k/n.gEDIRUsSpIJVjtKThVW	86	2013-08-03 21:23:37.182999	2013-08-03 21:24:05.540914	155		0
12603	10sat0arebkpe6fz7qgvfhghm7	$2a$07$agWqavqKJblW4EV.SzYQbud8qmSAUcuhKRkU2Zpjk5M1DBLy9O0uq	87	2013-08-03 21:23:37.204828	2013-08-03 21:24:05.682811	155		0
12604	10kqyb7jvxxgqraeviaoik37i9	$2a$07$agvDiVBkFV7uQw44ADg/Ce5yU9huNyQ9YsnskifA6l5efDM1V1Lwe	88	2013-08-03 21:23:37.226741	2013-08-03 21:24:05.822681	155		0
12605	10mh6cskjrilax64337fn2e4at	$2a$07$T8G.jWln7WpzE9T8ssbniuF6JlBWM2GY/78I2Gqbham4oO2hunK/y	89	2013-08-03 21:23:37.24827	2013-08-03 21:24:06.753577	155		0
12606	10bjn91ilarx4h2rf5g0c6tmph	$2a$07$iVjs/VtTkd39oWrRTVBlceV4GvzHjBPZsSLqHZHvHFbCPO0qDT9hy	90	2013-08-03 21:23:37.269719	2013-08-03 21:24:07.743737	155		0
12607	10o7fwuqefamrwccy58ri8pc3i	$2a$07$6eetZtU9f96uty4ZAp0cCumxxaohF4TCjilXj3jjQ3L0W9Bzm4nnK	91	2013-08-03 21:23:37.291069	2013-08-03 21:24:07.870801	155		0
12608	102wj0edpbgreekxiv2zcs73cz	$2a$07$v1GnJNQfmjL/l5TXknIM5OYwJtkWuDrWo7rQzCljDEwfdWtYXIHVO	92	2013-08-03 21:23:37.312341	2013-08-03 21:24:07.988188	155		0
12609	103kdpyxtz7537tpi4c3tvylp1	$2a$07$XMBEEhM6s5p4//JdrL.dxea9qwajqDJ2w2xqPQCiPABO.l.C3FYzK	93	2013-08-03 21:23:37.333648	2013-08-03 21:24:08.098081	155		0
12610	104jyc7o6i4b1t9nwslhde5qf4	$2a$07$59dql5FCrq4UQPyL3XE/mOnRLfnZzHbqrIH7C1FhPO/rqFOt8Xd3y	94	2013-08-03 21:23:37.355463	2013-08-03 21:24:08.22631	155		0
12611	10a0m5o8x44089kxx4rkhz1y19	$2a$07$w6wCQmAZuzCbLGKeGUxFSuAYDNMJ6uqOmh/Edjca/J24FD4vdDUjS	95	2013-08-03 21:23:37.377249	2013-08-03 21:24:08.364337	155		0
12612	102dzjkjokze784st1tda0pktx	$2a$07$uwJ796crLu4wSladJQRv2u9PCW7d.lYse4QCPdNiPlQJNFKObrA2e	96	2013-08-03 21:23:37.400971	2013-08-03 21:24:08.488162	155		0
12613	10dsldqyfj113emsczw5r1hf5r	$2a$07$PVPLgJgUHAuAC/2x8WgKJes1KfjC6g1vzuT0RyKACqLTeN0N043Pu	97	2013-08-03 21:23:37.428637	2013-08-03 21:24:08.618237	155		0
12614	10zw8ycqci8bh2nk2l7p4778mc	$2a$07$7cHizHjmtUa7S7ZN93lJxeFChVKrtf4fjdvU6tqOkTVavT42a6lIu	98	2013-08-03 21:23:37.450955	2013-08-03 21:24:08.732546	155		0
12615	105nurstarkmn0dve17pw90ron	$2a$07$hUfxjLINlP1/qOFl1GZGRuFgNUCKgOyf09SsIS3zFa0zUc2LzFDQy	99	2013-08-03 21:23:37.480228	2013-08-03 21:24:08.94907	155		0
12616	108ihnh6hqtox9rz53seoajc6w	$2a$07$MGmiZtYGappJQmA63hAGfebzgkHMoZMjVUibWdiQyYDdq7FDunSdC	100	2013-08-03 21:23:37.503315	2013-08-03 21:24:09.19861	155		0
12617	10r3soixojm9ol88rx7kee24rz	$2a$07$xXAo3EfICS8mzQbNTrF4dui1PXY3stPdoF7F9SLf1Mq6Xz/8hlkpe	101	2013-08-03 21:23:37.526428	2013-08-03 21:24:09.313613	155		0
12618	10w4nr0z43qzdcbbmr09i0enli	$2a$07$KW3sJRAYY19cY/c8jwDzh.pqCFBqw9HVPM4uEdpkfondA64OR2f56	102	2013-08-03 21:23:37.550815	2013-08-03 21:24:09.439067	155		0
12619	10hh62ofyowgeadf7z57ww6lg2	$2a$07$v.0HFJWcFAcZwmo31efR/uDF1h1ykh6VzGVCHbP26PTv92DhbximG	103	2013-08-03 21:23:37.573181	2013-08-03 21:24:09.789749	155		0
12620	10ay8y14mz989laay8380dd016	$2a$07$F7vOwbt3LfB0zUUk0I7CWOqbZaFyavFFFAa/GLAMTvP93MBRTwA0S	104	2013-08-03 21:23:37.597382	2013-08-03 21:24:10.122577	155		0
12621	10y98y9owyrijer2xzdhx0gw86	$2a$07$B9EVOGABONJYkBQSi01LtOe/oYmKb//PYG5SI/CfCLIzltRBAZnJu	105	2013-08-03 21:23:37.619786	2013-08-03 21:24:10.246904	155		0
12622	10qqnz6tlpgyaveemuvvgub6wk	$2a$07$8HjnGVl960EDq5i69J.1muZrl28/uXZQ7ggfhClgf1VtwKbiEFTfy	106	2013-08-03 21:23:37.642052	2013-08-03 21:24:10.37042	155		0
12623	10q5tgnwt79gb2k9lu8pt931ya	$2a$07$wbLcOUi2nddLnNSV.iOVEu6qEx5ziFFHC2whILmpSnf9w6soUvrf.	107	2013-08-03 21:23:37.665096	2013-08-03 21:24:10.644925	155		0
12624	10otbheyl5ndr0fd9k1yc6abyf	$2a$07$5g/1RUg94iC48oQSbUcDPOIx27BaMETYqcoNLJhRzyZx05222wTnW	108	2013-08-03 21:23:37.687482	2013-08-03 21:24:10.865368	155		0
12625	10n0sfd3r9fye0d25ozrlq7rbo	$2a$07$TU1ZFgw4qTrB0gXAxcizzOOAHRovAZEgYvdway0o7hzL54p8bAG7S	109	2013-08-03 21:23:37.710851	2013-08-03 21:24:10.979496	155		0
12626	10y5y2dgi85n2qtnzzuljw6q91	$2a$07$BYg0sBPuJ.fU5jnETJycWeDuhT/mpgIenbMdTor0BsdIagDq6NIZq	110	2013-08-03 21:23:37.736746	2013-08-03 21:24:11.094989	155		0
12627	107ivp4cbdplg29c2cmhms25m5	$2a$07$DuOxc/b7WJ1b97ovfms1yuksFzFvStctlEB5JIlAb2DxUYh0KPgui	111	2013-08-03 21:23:37.76932	2013-08-03 21:24:11.229145	155		0
12628	102k7rwukbae7f1wmkn5k615y5	$2a$07$OZ7JlySDTyrK8J9snM/beOeW0vKCIJeAOvyhqR4GeDZKiPwy4YS6m	112	2013-08-03 21:23:37.791011	2013-08-03 21:24:11.365809	155		0
12629	10ban1d9tjzpxv0gd6qx3j4f9m	$2a$07$QqGv6IdmaNiD3yEGheUkduSRV//ta3mT0h4kclgFoij7GDQjDYtRy	113	2013-08-03 21:23:37.81391	2013-08-03 21:24:11.509689	155		0
12630	10i8l4y275vgqi4zv7i99djg18	$2a$07$0dr4cg6uN2ht6gy8CpbIQuHVfOSqkNGukces6cRK/Yy9IwW9FkMyS	114	2013-08-03 21:23:37.835878	2013-08-03 21:24:11.648087	155		0
12631	10imn7tiz76ego4d2t2f36n5yg	$2a$07$ap55r/jUzSqhDHUIrmfWY.Tn3fbjZOzMM6P2KrM57MwSs6tPdZBju	115	2013-08-03 21:23:37.857499	2013-08-03 21:24:11.783354	155		0
12632	1078l5w6esc85ooc7bnaxnokpp	$2a$07$8W/qgdZyx7gIH.o51lXmT.2wkbB.Yf7nXEgrUaDayR9l/jwmiKc/q	116	2013-08-03 21:23:37.880022	2013-08-03 21:24:11.932468	155		0
12633	10tk2cqfwfwydpszjdxxw2ojmo	$2a$07$S7irzvEhQVHY5SqfDTDtweNA3VzrNb7HYUQwwCZDmRoOjhY065x5O	117	2013-08-03 21:23:37.901615	2013-08-03 21:24:12.052372	155		0
12634	10aubui0u6ot8yz6m195eb6l05	$2a$07$ugYlZqELcBZ5Ywekmw2g6Oza0doc70WxAiv1bR4C2j7RfRGFMlbnW	118	2013-08-03 21:23:37.923175	2013-08-03 21:24:12.188641	155		0
12635	10ib951s6qqu8toslqm2mzlkvf	$2a$07$efj7KLrzMrby8hguSz30q.FuldOCAzyj9Kwmu9qPj5T9OKFlj2/me	119	2013-08-03 21:23:37.944504	2013-08-03 21:24:12.340265	155		0
12636	10jrif70z6culm2q84ublbkd9e	$2a$07$27mPqgbKyUPciXMJfhtSz.0nf1J0EI6K5M5iAID5H/.Ak3JiuVvKW	120	2013-08-03 21:23:37.966297	2013-08-03 21:24:12.49518	155		0
12637	100eybmuv013xhzup2wg0tqoqe	$2a$07$2CUVEEVc8x5uPYxnAjQleOt3/NwrSUWJ2RhstZmobRVIqn8cbw2ri	121	2013-08-03 21:23:37.988583	2013-08-03 21:24:12.6275	155		0
12638	101fse9j7ioisxlsgb91kwhifb	$2a$07$8UB.xyHHOmeV6MVo/xC8E.BbDAYlqgVmkBG3.V2Hys5Y9xd7pBJBu	122	2013-08-03 21:23:38.010581	2013-08-03 21:24:12.768801	155		0
12639	10r2t75efnzqi7p8l10p1pyicr	$2a$07$OAXOaJAnFfzJyY31MypjMOU/FiJ7QOu.kVMw75U1D.5Igco8Q8B2C	123	2013-08-03 21:23:38.03296	2013-08-03 21:24:15.668162	155		0
12640	10kbxn0p3xcvq1a9y6fd74xa5z	$2a$07$fNGXyXpxOlVQajbgVCmT3O8UzPTWoI8QS3wBZbfd5YBm8qxb1ucVe	124	2013-08-03 21:23:38.056111	2013-08-03 21:24:18.572903	155		0
12641	10e9jk1ijf9e4kwz25rg1ubjk7	$2a$07$Ro82iSNdQ6.iynHIHMJxBeMKufg0zGfVz.2G3VCIomnpBzdiznlk2	125	2013-08-03 21:23:38.077651	2013-08-03 21:24:18.875745	155		0
12642	10lrbpg4qenp0kxuxpoql76bta	$2a$07$RA0bNouxAzwcLeUKKOJsUO35iipZVkp6Nrco7isQML80Fs2DBSqPS	126	2013-08-03 21:23:38.099666	2013-08-03 21:24:19.135531	155		0
14155	10qrkoxcttmrp21h2meo0k4rpp	$2a$07$ojrjpbWLUeDP2Tpnbie5HucXRzhyfrFex/4YJi.3Y3cldYS678kSe	1	2013-08-03 22:28:35.051916	2013-08-03 22:28:38.328864	168		0
14156	10ef3x5u4vm2z4fm23z3erm3i6	$2a$07$B/2M/MM2jF/jScLq2exgk.khlxlbQVv7vyojuWdgpTTvhzfVNLlca	2	2013-08-03 22:28:35.077619	2013-08-03 22:28:38.454773	168		0
14157	10jt2zoo9nnamw8072j0o75k91	$2a$07$wHGApc29b8hEzQ4HWooTzOjrwu5WzqYvhCrvNzK6RX28reXIp0NlK	3	2013-08-03 22:28:35.102684	2013-08-03 22:28:38.587639	168		0
14158	10q60qc649tpja44vza3xk2y9t	$2a$07$kUvrRjiZqm/vnH1nSYfRVO2xnCUQM8V/RnDP4jNubwg6.PQnlHgkK	4	2013-08-03 22:28:35.127904	2013-08-03 22:28:38.735903	168		0
14159	103sm4wavodrtwzpjw8whapybz	$2a$07$Py0MbHUdap3HYgpTBiPxDejlOiVLIhmgS9QyYIYv9HDxVqayBj86.	5	2013-08-03 22:28:35.152695	2013-08-03 22:28:38.87624	168		0
14160	10t53hcnfdy3six9bu6d1l0wi9	$2a$07$c0zZaNeq0AUk.BZ0Muv19.SEnpzPBZLymwoEftzuYdGEhXPiVA/2.	6	2013-08-03 22:28:35.177378	2013-08-03 22:28:39.058563	168		0
14161	10zpmf11ul7a6btcyybcuq6bf2	$2a$07$sz28vWjK9i8OTZ.BN/lCyOZhRoz0IXprBy3NN.yMWXt5gg/y3/99e	7	2013-08-03 22:28:35.206497	2013-08-03 22:28:40.061957	168		0
14162	10rkv0ug7cgpi3ylsghq50p8o3	$2a$07$apjIursroBtM6prurxGq5.Ddzu6bv3L2axyBfYSfTNKuERP71N3Dy	8	2013-08-03 22:28:35.23942	2013-08-03 22:28:41.06344	168		0
14163	10sp5qjouipp9xn0zh8w5kfbhh	$2a$07$7d6TwspG0zvL/6yGS1H9We.Wmra.PUZ7el1HS7/olYNjPxZM.uINC	9	2013-08-03 22:28:35.264776	2013-08-03 22:28:42.032157	168		0
14164	10vyt35qhah5ccbimgoxmlsnji	$2a$07$tVy4liFUa.rsUMxdy04hreKCxzdQ23b8XJqYOYP4wLHUHlqBll3Vy	10	2013-08-03 22:28:35.289335	2013-08-03 22:28:42.144836	168		0
14165	10q6n73na7qv968s4ogkw8aoah	$2a$07$ZpbA3fQHT0dGcwrI5aAYbORj7M82B/iN7goWYqeXH9LEX1cVqfVvC	11	2013-08-03 22:28:35.312843	2013-08-03 22:28:42.271318	168		0
14166	10up34cm9id3cbp1xili387ti5	$2a$07$TpIXCNOejQJywTO.Ma65Q.dOZKdD9BBAmXmkiufvhn8Qeh6A.HJue	12	2013-08-03 22:28:35.336135	2013-08-03 22:28:42.400874	168		0
14167	10g3qa7cgyyhg98ar22bd8hjdt	$2a$07$dMmFxz8mSO5XqGs6dPwgseOefU0LY9mS9rxhtRr28vgMiDZJ.iyWe	13	2013-08-03 22:28:35.358422	2013-08-03 22:28:42.536205	168		0
14168	107022md8nvmlm2mvqxrw7nbgo	$2a$07$4ky5dyZFh9HVY2NZOn0o1ew8YGi9OZ/S/ms9E.evXHu/ujmsWu6Ym	14	2013-08-03 22:28:35.381672	2013-08-03 22:28:42.675442	168		0
14169	10ysykqs6uo2k4b1vfms3ww257	$2a$07$SOnqkImwLg1ETkWYpbVH.umEugmLdzaWN.GYbppYaMYIfUk9U2KP6	15	2013-08-03 22:28:35.40546	2013-08-03 22:28:42.812357	168		0
14170	10tupi2q0c3b7498yc66gcic5c	$2a$07$lZcwknEc7St2WTtoVgbVR.MY0YerQlqd32meWt.8BfgwDaHUTiURy	16	2013-08-03 22:28:35.430573	2013-08-03 22:28:43.023249	168		0
14171	10uoabhxjm6sha4u31r0imxcgu	$2a$07$huisQHKx7lJQPNyf8Fgf4.du05m0a6i.99kEqq4s/F.gMtZOeUct2	17	2013-08-03 22:28:35.467223	2013-08-03 22:28:43.17244	168		0
14172	10vzhcx4no7jt82dayr0d1fitf	$2a$07$dPGECFu4FMBLDuu4sgvHO.HK9vauJDuK8Oem.wy1PUC.J2ADrIUVe	18	2013-08-03 22:28:35.496904	2013-08-03 22:28:43.308846	168		0
14173	10n3h8kjih0nw3wozmcezawne9	$2a$07$UoSb/guTCGWBLfhkfduN8ueUeLqb8I1MQzw0TIvJmuckwSxHKoFm6	19	2013-08-03 22:28:35.520396	2013-08-03 22:28:43.451404	168		0
14174	10tj6d6zrbqxiaqnk11zccmuu1	$2a$07$X4fm9B2MLMCils.RPVaqNuar90.6iCgGvXiLSf6DThRMhGEnWYyL2	20	2013-08-03 22:28:35.543869	2013-08-03 22:28:43.602625	168		0
14175	10xwmq58hu3xc8j50t2p431lsy	$2a$07$tJFBYuyUD2VE1I./nCJ54.FjCPih1p4/WnDnNXvlNg5vIOSeQ5Fgi	21	2013-08-03 22:28:35.567685	2013-08-03 22:28:43.734551	168		0
14176	10gqnakcqufvqq381w3z8krqsm	$2a$07$LrqoigeH/Gj3MJTMb02dYODHddESAitkknAvjKpRL.q8tqxdtLzv6	22	2013-08-03 22:28:35.592103	2013-08-03 22:28:43.968577	168		0
14177	10kur5rn81lt03om8zk0myl2mm	$2a$07$L/4ysv4.GAAMoON.cMEISOtxDpDAaZ85Ly383fp8HoM8xVGxAFdmC	23	2013-08-03 22:28:35.622421	2013-08-03 22:28:44.101411	168		0
14178	10i5oczcofx367ltqff3gr1b6p	$2a$07$uWlw5JXJ4OnpzcYyCcutP.gbOWwDOCKE8H7yZkAP1R6R6gNrmLbvK	24	2013-08-03 22:28:35.651546	2013-08-03 22:28:44.250067	168		0
14179	10r5a9xhd3tfbzkdajfxvly4d5	$2a$07$EPUEHhbTCJTAOhPSdxO9duC.4XNsEGOV8t8R8IorOJrKvjbU6xk8q	25	2013-08-03 22:28:35.676359	2013-08-03 22:28:44.375643	168		0
14180	10t9otvqsxw7n7y5f05r0hl9bm	$2a$07$J29aE14RNPmptiNnK96WmOyvIIEowMBqddgbTzbmjLGvYETiiHOD6	26	2013-08-03 22:28:35.701423	2013-08-03 22:28:44.488347	168		0
14181	10ij8c0rimcygpct7wjyj5it07	$2a$07$BQE8MLVgTyRVoSH/J.lAaem5GT9dfJ1HCyZebNYXloTB9mk5vapk.	27	2013-08-03 22:28:35.724617	2013-08-03 22:28:44.624875	168		0
14182	10x39q8uvk5wjq6n1tdbzh8q7e	$2a$07$XxkBwlNXV7rGB.zdo/GjxuLiqzqDOGbrf5abtXvKPOT7Zsr6mYZoe	28	2013-08-03 22:28:35.746864	2013-08-03 22:28:45.027205	168		0
14183	10rurb0ywimy13mjrddal90vdb	$2a$07$dzLNXAwrxBgyBNoSWS3JteX/qi1gsvn9enyJ//FyDF69yB0cqQQBq	29	2013-08-03 22:28:35.770599	2013-08-03 22:28:45.486084	168		0
14184	10ci0wazsjmv1lnw0wif8524im	$2a$07$MQVn/os3CThNpVar2BlC3uc8cDW./BXMHTkkhOgEgkEC6zJzqxy5G	30	2013-08-03 22:28:35.794756	2013-08-03 22:28:45.872861	168		0
14185	10hgdryjmcwso6mnmo3rfdl2tg	$2a$07$CpE8ZiF37uAQdT2iMALdHe.Dbtxnyclmj5Pc4ian.7M/XkjgU9koq	31	2013-08-03 22:28:35.817664	2013-08-03 22:28:45.985571	168		0
14186	10lf4vay9rrspo69emnvq0julw	$2a$07$lASLNqAioQVXxialzJ946O3HzOZCWRfYyjBM7Bg6TRcpvnlui9wEe	32	2013-08-03 22:28:35.840906	2013-08-03 22:28:46.107016	168		0
14187	100miu61dzp1vtgzfvjtbsxm8h	$2a$07$zy4BYiRoK1f.EnadXeczVOPGwDp0i6w0sAZpdzRXy4oNHgMYTYzM.	33	2013-08-03 22:28:35.863516	2013-08-03 22:28:46.220923	168		0
14188	10qimz5wkfvfyuucc8qzm6ea03	$2a$07$gvkwFG5Zq680miav0fDtGeL.cs3qOlfKvRsUMmR0q0N9790nie7PK	34	2013-08-03 22:28:35.885854	2013-08-03 22:28:46.483584	168		0
14189	10b81meeha8qopaddibs92sizj	$2a$07$8gLxxNOSU18AxI7FrQTjB.cGIdX.J7Dq.dT3UToBEskwAILXG2JtK	35	2013-08-03 22:28:35.90905	2013-08-03 22:28:46.608267	168		0
14190	10kn2cugz9d8hcszn6e5l4xk2n	$2a$07$nvnVTbknZremArmtVHX0h.dfXA0bJHD/7F/o7T.6YMMNLLZLC3ngi	36	2013-08-03 22:28:35.939188	2013-08-03 22:28:46.786594	168		0
14191	10l0er85g797p4o59wwfov65u7	$2a$07$z8aekA/Ekf35K0HNLtbw3Op8p7syneU.hFJNNE531xOi3RSpILas.	37	2013-08-03 22:28:35.969516	2013-08-03 22:28:46.95552	168		0
14192	10dn2x70lqxu8u9ugvl81rv76r	$2a$07$BQOfxwH0v5WDqkRPfH9M0./rJj0a9/5Tk1jcbjp3g/R1G1O5u9mWK	38	2013-08-03 22:28:35.992976	2013-08-03 22:28:47.148732	168		0
14193	10pn3vvbv6ytdp4q3t00s75dy4	$2a$07$tQhODUK5yRKbNPL9MIrkdu0FLtcSvWl3EkWXCS.qGoVf2aCpowORC	39	2013-08-03 22:28:36.01683	2013-08-03 22:28:47.338419	168		0
14194	106s8a9ttql2djbgvhkksb1bp0	$2a$07$sQOu3Xh8eATsGySkr0nEcuZ9ODVL2N1hhwOHclY7HD2hhLB3F4Ori	40	2013-08-03 22:28:36.04001	2013-08-03 22:28:47.464873	168		0
14195	107xgdac6uvc03w3btxjt9aoli	$2a$07$EAne7AzZWusvuGK2/bMsuelJmNn0Qu8DSYReY5btObrlWD5NAQzb2	41	2013-08-03 22:28:36.063188	2013-08-03 22:28:47.604195	168		0
14196	10fabdha77znl91y2yqbqk9nco	$2a$07$5YYn/FiLHHFaJruOlWsFlu8eyrMh/JmmVQD3q5rsGxq6RK7eWmd7C	42	2013-08-03 22:28:36.091424	2013-08-03 22:28:47.740019	168		0
14197	10539mfsohohi999k5diflfi4z	$2a$07$7K5GE2lqsShftj6MZ8GiVOnkKeCFsgAaakk2J3kWrFY8eJb85tnm2	43	2013-08-03 22:28:36.120128	2013-08-03 22:28:47.885366	168		0
14198	10934s51fvuu0hikxr5atuqyys	$2a$07$Tew0C8MARoGDnnMy5fvz6udiVyqKFeBklxA3lGE1rVflPvpE.AhJC	44	2013-08-03 22:28:36.144016	2013-08-03 22:28:48.020584	168		0
14199	10exas9uu35o0annwdliz028r7	$2a$07$9WdXmsBy7TGUNvRe2XqPc.0E3ToXrMCnn2iVx40Y5OD70P08siup2	45	2013-08-03 22:28:36.16856	2013-08-03 22:28:48.158296	168		0
14200	1082v9bah0l9zie7wc4umeo3c6	$2a$07$m3YCwfDE08GpCC52SrEqz.YIg8rRBkiSWk6yMseYHOIsY2sctnlLq	46	2013-08-03 22:28:36.193812	2013-08-03 22:28:48.310028	168		0
14201	1062luzwyxj1v91b29kqg81410	$2a$07$jo2FdVAp.I63FEQyx2uaUu6oYUHSxuM8bduveNCrF/vDQpNQyFFaq	47	2013-08-03 22:28:36.218432	2013-08-03 22:28:48.436496	168		0
14202	10s88hxrqxgmkoy8gwzfm4fiwp	$2a$07$zegAeABoZEuXYdce3KDzj.wmq1YchmaU9NlJWcAw0J9t147puky9i	48	2013-08-03 22:28:36.252843	2013-08-03 22:28:48.591434	168		0
14203	10gp83joxasy0ampp51553j7st	$2a$07$n0VqQcE1RPGAySM3r6PLl.gH1UOqNm.SO28ALW3yPwjYQiSMx0sYe	49	2013-08-03 22:28:36.276071	2013-08-03 22:28:48.71451	168		0
14204	10kyyl2h47ag7mzyv4k0yiqefg	$2a$07$3yv8NDZqVgtJYQnPkoEICeEYNwdMCz19f8tXP/yFFA/ZaZ7qPjGGi	50	2013-08-03 22:28:36.300175	2013-08-03 22:28:48.815677	168		0
14205	109b95f8ooi6x1q04rgkn6cuzw	$2a$07$Ov2TRwvL1tx0TqirMQ7HZu2CET1v1BJdgCFFvwZYE4EXtyOPfzqtu	51	2013-08-03 22:28:36.325017	2013-08-03 22:28:48.917214	168		0
14206	103oy9m205130rcqd1hq8ruzjx	$2a$07$K25UZFD/x3XhsP4OAW2kpOuse9M9pPEVM2Z9swnwBrTj5ZpQmJxjm	52	2013-08-03 22:28:36.348219	2013-08-03 22:28:49.536568	168		0
14207	10uo0d4k76l68pkrzfkbtsq0rx	$2a$07$ltdF4oje52tjj.XYbdOPfuxMwDSWyDU99NCsoe4Ift9FTU1pVnNOG	53	2013-08-03 22:28:36.372419	2013-08-03 22:28:50.125924	168		0
14208	10yk15coruif4iw8l4vsyu9tud	$2a$07$cj5o47Vd9XnbmPd.CJ.3D..f.dyz3wpjQJs.onKI9oEhKWR2BLzDO	54	2013-08-03 22:28:36.398156	2013-08-03 22:28:50.66296	168		0
14209	10a9qg7x256rws3f5bde6agkqp	$2a$07$j9EB8aCJwjDjNV8StKjuoep.wgpnx4gUo1k8cWIAzSOs0K7/yccI6	55	2013-08-03 22:28:36.420784	2013-08-03 22:28:50.79506	168		0
14210	10f1e9wzihbfeg9b0hj7lz5qvh	$2a$07$Fjus9Mw4gBCj4TPpQYyvsO88w0azccXo5tCr4FjRcaeCHrbWjCjYC	56	2013-08-03 22:28:36.444656	2013-08-03 22:28:51.004993	168		0
14211	10x7rs805f1u5ys0cnwslkp3i8	$2a$07$V6HM1h8/9tx6w3Lk061G2OTiCbDu5G.EPQyb2Vy3LARYT9ftlNJRG	57	2013-08-03 22:28:36.468857	2013-08-03 22:28:51.208297	168		0
14212	10tp826zoc7fomlm348jrjc01r	$2a$07$35ruN5nCt.XlMlljySqo1e5X0iVuTVvPjhU4hsDZgMAn3tY2Ot0Pu	58	2013-08-03 22:28:36.494096	2013-08-03 22:28:51.464995	168		0
14213	10vjmfztj06h6370g9i6bwl2w3	$2a$07$SSVuz59Jfm3mUrjQBzuQGe2yw8AIoIp7Jue.Gtbw85IrsFzHldRtS	59	2013-08-03 22:28:36.5239	2013-08-03 22:28:51.691499	168		0
14214	10ghdsfquhsgb06lbypjg7x1eq	$2a$07$1SL4KCluKSWdIhPpTMihTuaoIMM8nS2a5gBTGe80ps1upDCo5n0WC	60	2013-08-03 22:28:36.547142	2013-08-03 22:28:51.876183	168		0
14215	10tyfysl3o3iwxt6k7vvwnf1ug	$2a$07$N/8Bw0amBdKyNu8AbeuWqOC.Uweif2eisR/XYjhk9Muq0X3QJn/2G	61	2013-08-03 22:28:36.570449	2013-08-03 22:28:54.671859	168		0
14216	10mbkhox5mhq4jgx0wbhkw8nll	$2a$07$PYKafrrnvodBe.O1tuXJ7uNTnsGFr5jr/RWenmW8c3wxhF3Tfe/ka	62	2013-08-03 22:28:36.594416	2013-08-03 22:28:57.61821	168		0
14217	10oq6vvrrzjnpwkdwgq6hckqx3	$2a$07$2CYpDC7wRE6ArF9lvQpq5u3nLcJ7gIHjtsFVyOePzGVCIgRwR4Dqy	63	2013-08-03 22:28:36.620889	2013-08-03 22:29:00.726583	168		0
14218	10l1ijul6w2z4ahydg3cy4pvjx	$2a$07$TFpaAlmcLgSPX9ipXtPCculaDNeYixtQOhrqmuDrxcvp8qBEfSMjK	64	2013-08-03 22:28:36.658336	2013-08-03 22:29:00.861995	168		0
14219	10wbss4ogarvuayctwtpgol3cl	$2a$07$dIiQ/ma5vUtOnz8KCbPfYe3IA/EWeDCPzgmNh6FBOm.8G3Drt1.he	65	2013-08-03 22:28:36.682596	2013-08-03 22:29:01.008832	168		0
14220	105c1kaaq6w3tydctmjff3ort0	$2a$07$6Jl57ccQ6t4Rfn6WAmRFQOWGUfiJS0n6XvX/njJ0BU6MaxacQPSdu	66	2013-08-03 22:28:36.706183	2013-08-03 22:29:02.326001	168		0
14221	10pl5utsgzd5rfp1d1aznbbpvy	$2a$07$kYZzCmrnr5ynVvakGo0qVOnr3u0oWQpU9CUrJLnsjir8O2C9ns6ta	67	2013-08-03 22:28:36.729883	2013-08-03 22:29:02.455725	168		0
14222	10n9hj7q1ldmyk1a3obtb20r3v	$2a$07$RfDEIGmxK5TX.42ml8I4WOEMupGjLEjnI1DN4R3QzvTR27qdjfFoW	68	2013-08-03 22:28:36.753652	2013-08-03 22:29:02.592931	168		0
14223	105us78jm2iau68oa9gkavr727	$2a$07$WvWFxUK8A8zlb1I6ka/NxubGC8EZqsnKidMblLYJL5w7B3hh2n1zy	69	2013-08-03 22:28:36.777907	2013-08-03 22:29:02.725135	168		0
14224	10w1ycue376cuvw3mb4hfjhlwi	$2a$07$MLUSb7ZATdFPNLguPUOrWe7cwx/ewgGpE2HcwnNAdqIJ7Kt2xSO5q	70	2013-08-03 22:28:36.802644	2013-08-03 22:29:02.864185	168		0
14225	10agwvsr1qax84xmgn702vnjkz	$2a$07$rpLW75ydVvMwZCSKtgSCs.D0cxbJksM1SxiorQWEtsBOlsbhoprPO	71	2013-08-03 22:28:36.826593	2013-08-03 22:29:03.005011	168		0
14226	10n3i2btq7c7bq1ggavysqci8h	$2a$07$PTm2B55jEi0BnEN0YFGIi.8sI0nSmGnPm8AUjSlRSgWX90G4Kkc5S	72	2013-08-03 22:28:36.849815	2013-08-03 22:29:03.137182	168		0
14227	10ketj215vjqfrst9g6vmujqlp	$2a$07$OQFJzWfey2NG1A6bkEbjfuy0qDmMoyGnZeID7Wfl7jjM12QDdldru	73	2013-08-03 22:28:36.872427	2013-08-03 22:29:03.527712	168		0
14228	10x4j5go8z8ggnjx2nbky16eth	$2a$07$bAVBb16TvJCVTr2cB5UFVuYRF9aOlvKGHsxGPPnhN2BRyQZpcrY/q	74	2013-08-03 22:28:36.895309	2013-08-03 22:29:03.677768	168		0
14229	10knk4wt7d74d0ephbdmhjgff8	$2a$07$DgjtEJI0DU37dFWBoAS6ouYtwYRXk3fa7mv4IwwFqF43iv3sMtTgC	75	2013-08-03 22:28:36.918738	2013-08-03 22:29:03.827465	168		0
14230	10j0cyaqxw16i034oxllqphe6t	$2a$07$HWpP0R5AZLC2ucEUiWyE4.iVUr91LSz36ofI3bNHXNP6rqb4GxPfa	76	2013-08-03 22:28:36.942395	2013-08-03 22:29:04.040483	168		0
14231	10cc4jffisop1kugkrzfxwp40l	$2a$07$MCZXycoTpvGqUirpYnq.FOyv.UgDp.7JBZbUyVvRxY905tgaZ01Qq	77	2013-08-03 22:28:36.966262	2013-08-03 22:29:04.209988	168		0
14232	10z2vwec79sn3nxchpuso3w008	$2a$07$oEpjBQqBtw.Pw7O5puDOa.AAQ0ll1SAPWlFyHcBghGpGgOywQYfcC	78	2013-08-03 22:28:36.989472	2013-08-03 22:29:04.370854	168		0
14233	109892vczdfukbk287nc1sxkbx	$2a$07$2IQm4x3VYxqOsiFXIbx27urYaICufbFAYkQ6.wv0AEb7ngThIPWzy	79	2013-08-03 22:28:37.012545	2013-08-03 22:29:04.531339	168		0
14234	10c97pwz98drnqezmuohh6agz2	$2a$07$jsoUvAcg3OrvlNrDMHe2zO.wwwQJeZXAGRESXVB/GwxBm5akvf8Ey	80	2013-08-03 22:28:37.035718	2013-08-03 22:29:04.654599	168		0
14235	10y6hnc64j7wwlnsqlhn8nqiib	$2a$07$6CBb3MkuB8q23tirw70u5eC30YyhxOrBIdLQOgp7oresYthQ8DtFe	81	2013-08-03 22:28:37.058635	2013-08-03 22:29:05.208128	168		0
14236	102hloz9vsx4z3fe01bxbh2olm	$2a$07$1AnlT9.Hu8w0D/LSoYvxUeVEL9dR1rSGTiVKCaXdGyGCSMXiSGca.	82	2013-08-03 22:28:37.081623	2013-08-03 22:29:05.358047	168		0
14237	10wrr0trr41xk9lffda22tw3gx	$2a$07$CKJY1XnvVIz93RunQmKRR.62nED4QCaL3OGgPLV4MMHp2cQ6T4NN2	83	2013-08-03 22:28:37.105688	2013-08-03 22:29:05.493989	168		0
14238	105dyvrzkrrt3izybk2oduj8qg	$2a$07$d4BpWbsPWvYOxu4cJhJZwOpOz3E1emakWdQxMJG/j8xLgBSFydboq	84	2013-08-03 22:28:37.12915	2013-08-03 22:29:08.091513	168		0
14239	107zuap8p7fqtw6v9fngtj41ul	$2a$07$Cau3XEbTHH93UK8pUsUX2uWzQxB/8QX29Io8TGD9AD.cE8ptBlOCq	85	2013-08-03 22:28:37.151401	2013-08-03 22:29:08.387587	168		0
14240	106lhwpgqboq590jypvrgttvrp	$2a$07$XH08kJLwovNpvuUakFbS1urgvnT4nT9uzB.MgongXsIGcwFGFq71i	86	2013-08-03 22:28:37.174628	2013-08-03 22:29:08.608445	168		0
14241	10tc4683al387uf5jwpgu8ln8i	$2a$07$cBmeb3lBs8mvexZTEY9w0e1XxrKGj6JZ7TNXMtloDl9jIpA6D841m	87	2013-08-03 22:28:37.198169	2013-08-03 22:29:08.766248	168		0
14242	106ajymizh1muksx3745q5p5vf	$2a$07$COz7HPyqWRntVi1diEZ3je.sOKbj2rcgnmXD3cvlzq9ljmfUxDNoK	88	2013-08-03 22:28:37.222476	2013-08-03 22:29:08.991373	168		0
14243	10bav2iejdfwio5qxujco9t67n	$2a$07$/kCXtM/ErKfM0TF/3f5lcOom888PQ5aOaoxnIrO7SNsRrjFcWLPpG	89	2013-08-03 22:28:37.24733	2013-08-03 22:29:12.12158	168		0
14244	10ivc71u87e2xyynknm3v6jvsb	$2a$07$W5nm4Za02uIlyp./prOa1O7sxE6H4VCiUOtr/qvH5j6BmMjhX.LEm	90	2013-08-03 22:28:37.272674	2013-08-03 22:29:15.341594	168		0
14245	10yxygyv64qytn1zsvs774rpr0	$2a$07$MjPzYs.HDAkCAspIP7ZYDeBUZXhxH05J8MEjCRnqsF6/laviDJBg6	91	2013-08-03 22:28:37.297905	2013-08-03 22:29:15.474959	168		0
14246	10uyvktk8kk45c3axc0bsj5mut	$2a$07$FZCky65WNht47ydpaUYWvOY/ONjWC7vXMpk8C1HDwjEwynLnCMlLq	92	2013-08-03 22:28:37.322796	2013-08-03 22:29:15.602268	168		0
14247	10ehwnq7hh1vtslrr0lwzmww6l	$2a$07$4RVq0p9kk6AezLe4V/1vweKapDYEWc6MC6BdVFluZ170PO.rFTNk2	93	2013-08-03 22:28:37.34987	2013-08-03 22:29:15.722811	168		0
14248	10hoz5ltnnfqh7pwbfui358do6	$2a$07$A06Qht7ysgVipzrsrfnHD.5c4l6DR3ZIGOVH9jN6KdAGZU54zi5Zq	94	2013-08-03 22:28:37.381023	2013-08-03 22:29:15.864435	168		0
14249	10tpgg313hpaa7ulbuy3erucsz	$2a$07$5fBGS2FYicAQGDBBHEvGzehUQaL.BzrMjLPobtXr7DaLPCa7poyc.	95	2013-08-03 22:28:37.411001	2013-08-03 22:29:15.984053	168		0
14250	10stc54jt9zudkvwjq3tbvfuj7	$2a$07$02oTIEOGcNDVyV0Rl20M8e60J.r8SWnCiqEJ1/7Ez7YotI4ufFZpy	96	2013-08-03 22:28:37.433973	2013-08-03 22:29:16.134663	168		0
14251	10jwuh6w7x5xyprtd38s17xm2c	$2a$07$JzuZaA8Rj7ZWeNbOMLEDF.Djch7ScrQgQquvCGhX9cRSKNhN5BAP.	97	2013-08-03 22:28:37.46138	2013-08-03 22:29:16.291312	168		0
14252	100dwoo6t6cje9hcuuce4d4de0	$2a$07$usoUd0dyuhkflkmNebgSceulsB3mxLP4gfM.s8x9a49L3VxehglCm	98	2013-08-03 22:28:37.494506	2013-08-03 22:29:16.441253	168		0
14253	10xvu5jjy66rj0tejzlr5dxxys	$2a$07$6Z3kZ8qMPqb0t/vR1Wg5AOG4NTJrD97nH.euxwAF5M3u/4iLhRsD2	99	2013-08-03 22:28:37.519293	2013-08-03 22:29:16.558258	168		0
14254	10lkliwr27nqjkxd4v8xnsntjy	$2a$07$gYEQz4yZG9e96kso9wuCtOfPSAYKV1J996YgmB.qWwMpSNa0I3eQu	100	2013-08-03 22:28:37.54399	2013-08-03 22:29:16.677229	168		0
14255	108ohjcoyutp16rzdxj3c90qar	$2a$07$Rh2xWAGlN97hDPRjEzILFuD7DjnSBPfxJLP/mVXuJqrfqafxCJPvG	101	2013-08-03 22:28:37.570394	2013-08-03 22:29:16.78895	168		0
14256	10ab27b2d5wyb5jnwe40qc0y1n	$2a$07$Ck.Rnx17.Htlf0NrjW9MUurKz.3f4djJgNUUN.e6FREa.OHB3N63a	102	2013-08-03 22:28:37.593568	2013-08-03 22:29:16.91505	168		0
14257	106yhkf3ppgzlx81709nrl95ro	$2a$07$dSXRuxHOzd88hGdRt.qWuuVorFQ6sJ/bMzFV8/9odNkitubH9Z0H2	103	2013-08-03 22:28:37.625361	2013-08-03 22:29:17.374454	168		0
14258	1088f9azqhi5e1qyuoys3752qq	$2a$07$jEjNbRHsEuDkP2KG.Ek/0u/UB7VHay/j3s76I3b.WoFgFUuMf0nDS	104	2013-08-03 22:28:37.649047	2013-08-03 22:29:17.840897	168		0
14259	10t5478unkcbb1sp1v0epy44y3	$2a$07$uXxpp5eKmNH4saUVcI3Tc.XijzdeA.b4Qfj7R7ZNXeqWF06cTbeEa	105	2013-08-03 22:28:37.672638	2013-08-03 22:29:17.961763	168		0
14260	10pw7fzw48w6ln9dapikql6hpq	$2a$07$brNDu2sqeiobX3bwrDTCw.lubPZYASByX9KDVnXIGr4FaSFKx2w2e	106	2013-08-03 22:28:37.696087	2013-08-03 22:29:18.09758	168		0
14261	10i71uadmzp50x0ajdnqchivnc	$2a$07$zz3T.9Rv6ItDYIBC.1IpSuyiwABYAJ3JtMoJh.FE5fYxQN9r.OvpK	107	2013-08-03 22:28:37.720995	2013-08-03 22:29:18.374452	168		0
14262	10jp42x99kqzk0wvittk55sfh2	$2a$07$d5JbyFOmXHVroAqsYkRb5eTF/HeFNMlXoKIYoLCyQQy/ERmJWvuh2	108	2013-08-03 22:28:37.748667	2013-08-03 22:29:18.560725	168		0
14263	10ggg45ns7n4pis8t2axob65gc	$2a$07$K6RgNyNeEjy/DHxdqqbIBOp06M4cK78s.EHnTlsQLWsVqdeguwK9S	109	2013-08-03 22:28:37.7775	2013-08-03 22:29:18.689699	168		0
14264	10z3e0sn7zr7zw3sotta1qiove	$2a$07$74tzdw7RB2mra2YUQJYeC.uDtxqHX05kjrE/0Qi6/2yQWg7WSL6fm	110	2013-08-03 22:28:37.801545	2013-08-03 22:29:18.823392	168		0
14265	10b5oba5nya729pzb0wlviqf74	$2a$07$oLx/BxS6Z9qtxDDcuATMCOYd/6.INdjjYmvEa3bs6p7d8imh1/OoS	111	2013-08-03 22:28:37.825315	2013-08-03 22:29:18.954287	168		0
14266	10b6ik8za8g49lu11kotplajjt	$2a$07$0ZGjJ1oC/n55Ex0TPc5IxuFJN67CLyJrkSw1iimU49hpExW6c6ECe	112	2013-08-03 22:28:37.848498	2013-08-03 22:29:19.088861	168		0
14267	10ivdf6s7wy59mg6qmwkkd3d2e	$2a$07$M0lnbwo7eNvx2KbHxhCbruC.luLQ5tKCp0Ks6.XBfhucB1UqIlewS	113	2013-08-03 22:28:37.870705	2013-08-03 22:29:19.239019	168		0
14268	10p0yk8eabtb9kz5xjg9wyibov	$2a$07$sIj35X3uG6Ao/5EyMRp9ReYO/K0b6GSPx28vz93v46txRjP.0Z80K	114	2013-08-03 22:28:37.893633	2013-08-03 22:29:19.368329	168		0
14269	1085w3ixasqlw8b9ydmm3ou867	$2a$07$sqTz0bt/o6FwXB4RVaHcnORbY1iCvxt3eRmfgRIqJSabM7kUMreJm	115	2013-08-03 22:28:37.917184	2013-08-03 22:29:19.51358	168		0
14270	10jwc387dysh4buf8pdqulqmuv	$2a$07$3y9puWhHLPurd4rsYZNfYeavoAVnjU5QBAEcuwluIO1H2ldPd/Aei	116	2013-08-03 22:28:37.941032	2013-08-03 22:29:19.644416	168		0
14271	106j5s6tcjns808epvbny4ard0	$2a$07$Zowb7OvqIHVzRbZ.MZhEQuHjr10MhZDzaCUx.afi3fPMFnnnWpK2m	117	2013-08-03 22:28:37.964559	2013-08-03 22:29:19.764035	168		0
14272	10ealmlkjcvmlavqd3tfwjd4w7	$2a$07$b0z0MZSLAVHvwNe5m4xoqu5DYDdmgrGH6Bk424nZSszReqc5QTP16	118	2013-08-03 22:28:37.987192	2013-08-03 22:29:19.877357	168		0
14273	10raikqtuha3qzwohj0s5jtcb7	$2a$07$LeVAO1uC9Cl0LZ6BxiQh0eRzEyJ0Kc0ccfVE8GGZWZAL.TJUNU3ay	119	2013-08-03 22:28:38.011229	2013-08-03 22:29:20.014666	168		0
14274	10x4hn9o3udne61a11nrzcg6wf	$2a$07$JMMC0e7R.MIII3hlZedJ4.yosWa0fwerdIcDQ00g4We8Xy6Fb9dX2	120	2013-08-03 22:28:38.034249	2013-08-03 22:29:20.132727	168		0
14275	10cwtcfe5p9f74utio0cizpf4w	$2a$07$IWGrw1679PS4TUZuQQTwJuLgGIeY/2c8K6IZ7ujhEB.6ml4UY41ty	121	2013-08-03 22:28:38.058321	2013-08-03 22:29:20.34567	168		0
14276	100w0nbievmffeg5ut1wr3rzgb	$2a$07$r3KMBAxwk0j1KOzGTTIyPeqomQBupbiXi.430JO./4TQT4Xkmt1vW	122	2013-08-03 22:28:38.082491	2013-08-03 22:29:20.559096	168		0
14277	10c9d1g9inlwm7coejdo83h2ze	$2a$07$msuekYGa0XirpFtVQEZjVuceONcL01N/MTgiSFXOvs4ASH6KzCsFO	123	2013-08-03 22:28:38.106254	2013-08-03 22:29:23.301309	168		0
14278	10vu580rfnyxm2y5ekhk61o9yh	$2a$07$8y4zOpgDt8xRLfDvnHaeeejsewILCSkntQjxjfuTHVmlt1zESG/uK	124	2013-08-03 22:28:38.129022	2013-08-03 22:29:26.308371	168		0
14279	10mzd3g4qkllwyj4j358rbxutb	$2a$07$Xtxk9.iAJMtSamjQSIMtdORfCy.keghHE9nEMW6VIINeC4AXe0/l.	125	2013-08-03 22:28:38.151839	2013-08-03 22:29:26.858684	168		0
14280	10cn1c9ooavd3cf6sji8qdydb6	$2a$07$aob9Mv1WZPLy0kZ4crMSwO12pXTZeAKeNW2zZlq.Q/pPMP5bMnUvu	126	2013-08-03 22:28:38.174902	2013-08-03 22:29:27.304556	168		0
12643	10eckagzv9gxn55l9pc5wlybb3	$2a$07$iK0KPiQKY8BalDY5SHKfsObGhSbdmSLuBFpkacIFRo7ozxNfIGvqK	1	2013-08-03 21:28:35.112903	2013-08-03 21:28:38.508843	156		0
12644	10kzjutsy2oq6t44q8j1c7ptfm	$2a$07$h21aoGAAnTEJcUgXPtY.8.Scokc8R4UMtyZevyeH5/eHMpyasllyu	2	2013-08-03 21:28:35.138184	2013-08-03 21:28:38.618501	156		0
12645	103wn41k3daxkzxrhdlqpf120p	$2a$07$bLcypf4RcVIdVg5BWEmzQOwMiM5/AsZqGgsDYaIBLlVTABUtb6O4W	3	2013-08-03 21:28:35.162136	2013-08-03 21:28:38.749153	156		0
12646	10tok6p4du0g6xog0t82deuk3x	$2a$07$HMrXafRmHANPNlLe/frgduCM7ImPWp9RK7VsUh/8/XvGImitymnqa	4	2013-08-03 21:28:35.186975	2013-08-03 21:28:38.886959	156		0
12647	10ih2awa2f9w8mivcbrz1kg10s	$2a$07$FmrvhwtmL5kCo1nO9vQCpeYMrGcILHSRzhXRt44/gsPAR8v8XFJJS	5	2013-08-03 21:28:35.216567	2013-08-03 21:28:39.015288	156		0
12648	10urlk2a9ticoyrdeifobqmfuh	$2a$07$SGaDwkSkTDUIKfGQtJvYK.rY8rrTkrDYIRiZ0mBgrgv6KEiN5/VdO	6	2013-08-03 21:28:35.238774	2013-08-03 21:28:39.158091	156		0
12649	10lzs6vptiidbko76uu37gzzg9	$2a$07$ACbxN0DJYBeCdrts9sUntOnpfoOf1PX22RJF2RRbaKbDI46126gyi	7	2013-08-03 21:28:35.262816	2013-08-03 21:28:40.116504	156		0
12650	108ldwurgo733noglhfv9fnqkn	$2a$07$NFkxmedg3YKamR5pk5NKROgYOfTfDCyA7A2NQrifhZnEt80Iy0ONq	8	2013-08-03 21:28:35.292053	2013-08-03 21:28:41.097882	156		0
12651	10hs144scph5y44h4dnmj8xty9	$2a$07$G/ceDsQ6kDsb1pPSxhy0be4ZSuWuY0BpPTse6NKAfvaOPtY3Ab73q	9	2013-08-03 21:28:35.318194	2013-08-03 21:28:42.077078	156		0
12652	10kd6qbt66n2fy407aflo23xe2	$2a$07$Jcpm9phIXGI63EFS0x62EOCiE96nLXx9PU9jWWw2pmcJWJYIa2dPe	10	2013-08-03 21:28:35.344616	2013-08-03 21:28:42.213284	156		0
12653	10hett1tndxal9r2ibxjcan55o	$2a$07$0ifmD3sthvGWwD.ABT9Cx.Gzql0r5V4qqSzCaBuFfD6z2l1Ah8d9u	11	2013-08-03 21:28:35.369699	2013-08-03 21:28:42.352362	156		0
12654	1070o4w7ml1hovhn0y1owgvu13	$2a$07$4IfOcCC0w3y7kmsOfUg/tOJnMLqt5H3HzXnKI6LtRTUx4wGskO6LC	12	2013-08-03 21:28:35.40494	2013-08-03 21:28:42.49245	156		0
12655	10agcksxkfj75ffgrl5vcdy81s	$2a$07$Z6PIrP9A3Fke/5U/RClQHO2bF1kiP4nH6qv5WaLjfS1GqhKxxM5wu	13	2013-08-03 21:28:35.427805	2013-08-03 21:28:42.622633	156		0
12656	10rvn58x3w3xpnercez8kdfndz	$2a$07$bMmswwfgMxk1RiQzO96JL.k/eKidwtmHXbV8lh2TQwOLcMKA.fne2	14	2013-08-03 21:28:35.45121	2013-08-03 21:28:42.750771	156		0
12657	10y3uxxwh04n9oyv3r0fol93fe	$2a$07$ODDvFsK1A1JiL3ZKNfXMHOFrc.1Sf2WAMxGWP/.mWAkcVE10lH1f.	15	2013-08-03 21:28:35.474096	2013-08-03 21:28:42.964698	156		0
12658	106sngnzai9lcyxjdnj0fyic4v	$2a$07$yLbqbwlR9McerQTuFxzXOucoIj4wO9RhHjaVMScC22fmzU7GL7hzi	16	2013-08-03 21:28:35.498679	2013-08-03 21:28:43.109871	156		0
12659	10qq7h7yzx47687fasta769ygo	$2a$07$qlpp8seUALf7YOJy1UM1U.gvMczhdACSPmR4X6wj1iEFHn/Xg1yGu	17	2013-08-03 21:28:35.522766	2013-08-03 21:28:43.249038	156		0
12660	1006j0uf6emdqqbxhg26vpd5vv	$2a$07$JXuJ5V9r1fS/HR.zzomO8ulcRS9hu6uxAfvqqWPp1ntYY18tJw1q.	18	2013-08-03 21:28:35.547024	2013-08-03 21:28:43.380149	156		0
12661	10htae5qc972mwmlvfo5sm7qyx	$2a$07$5WdT6I/YZdQqXVgFAZeCvOQJrkT9Dje5kNNWHUNtJMoJ1GEGlvii.	19	2013-08-03 21:28:35.578099	2013-08-03 21:28:43.503311	156		0
12662	10hrw3n5scyaguhprk6iwrvvhl	$2a$07$I9Z14b6MqDVFIqGgpjAwTOZ9aes7skV8Jk9J6sbrT8wYrhKTrK/Um	20	2013-08-03 21:28:35.611489	2013-08-03 21:28:43.640848	156		0
12663	10j3uiubjeutjc97m3xelzhaen	$2a$07$Hbew8edEwvZxpJoiT6gGxuCOVo2vRGKAH6lp8ef3QQVPodM4.XnMK	21	2013-08-03 21:28:35.6468	2013-08-03 21:28:43.786037	156		0
12664	10fcjx5f6mulprvowty2n0zcs1	$2a$07$ivj91x6DerRyEcxe3uYKEuJjrzayPdqxqUNykPQt2D5d4ymv0ptIq	22	2013-08-03 21:28:35.670384	2013-08-03 21:28:43.952725	156		0
12665	10gci62q5hr47b60jo81cjp7cd	$2a$07$W0rmF0Q0cQgHHYFvsZ8u9OCVH8clrUPoMnvIS6F9x0vh3.0KO8tVu	23	2013-08-03 21:28:35.695966	2013-08-03 21:28:44.071191	156		0
12666	10q1hi63brv9lmb1gstv3tin7b	$2a$07$A19A0bjTOTzAPBtwfLM7aOYW4bew6hzVqNWD2/aF4743/fyAsT2s2	24	2013-08-03 21:28:35.730226	2013-08-03 21:28:44.196703	156		0
12667	10tk8bva7zpnysba56tenwdaeb	$2a$07$IrQ/6XR0KKS7PxyYolwEBepez6w8bKrGz/wE1eyBjzOq6CI1hHOCW	25	2013-08-03 21:28:35.757836	2013-08-03 21:28:44.320709	156		0
12668	10tekk1fw82810zytlvj7wuinr	$2a$07$xwuzqg5kxiQNaMPhkWzh3eRXYo1n6YYmnKjW881JWyXhPhFuUpIvu	26	2013-08-03 21:28:35.781245	2013-08-03 21:28:44.436637	156		0
12669	109gy4d3uoa7cd1w93a17j36q3	$2a$07$HhWQik/TDAxhAjLdS6TMre5pBvdQlA/Rue/UWqHH4TgBLqI83S2hC	27	2013-08-03 21:28:35.816594	2013-08-03 21:28:44.584101	156		0
12670	10mjqpuwdrqk1g4nzrkn17bo94	$2a$07$055Fu/G3gzpkCC0mkv5lmO4.xNtxQ2SXt1KQkL1m5lCsWeRnh4xxy	28	2013-08-03 21:28:35.854854	2013-08-03 21:28:44.882018	156		0
12671	10ireziggh9zsaardu0w27cn3a	$2a$07$W9MOlB/fbKFdwPV.YyiX8OWg5zC46aMbWAxkT5pNJGnGM26YW2B/6	29	2013-08-03 21:28:35.891682	2013-08-03 21:28:45.158827	156		0
12672	1028a23sem8w9ln7yi2iaannyh	$2a$07$9R48e9xJqtlO4ywxHYQRdOn3/CGCHv2aQYHsTiD/feqZxibAQ4nba	30	2013-08-03 21:28:35.9177	2013-08-03 21:28:45.480163	156		0
12673	106anwycpwly9g4sxa32p03g4a	$2a$07$Kb8GlpFjviVyT6kMRWXVuuW4o8HG5ElHrQBf89TDcsvRyOsWQ71Fy	31	2013-08-03 21:28:35.946056	2013-08-03 21:28:45.602603	156		0
12674	104k0ndd69jtz2e58qkvhyra9t	$2a$07$qJTE1cCMjsw28bIGDk.7peO8pqoM6wtRnNcuegYNbFhwjvVKOALwS	32	2013-08-03 21:28:35.983674	2013-08-03 21:28:45.735343	156		0
12675	10ymymu8w7xfpwyk36i1id54b6	$2a$07$Q8I4XLfe1.wrOJ3sqCTroeYekp.2lVUKA2X97T.kAvDFl9mVd69VK	33	2013-08-03 21:28:36.007888	2013-08-03 21:28:45.872833	156		0
12676	10a6ykrxhdpgvuojr331wczk5q	$2a$07$tTj1sBfcCqCw8f1T1uOP4O1Zkch0u0wdxC5o5lIXD2Xk.ubJyl/4u	34	2013-08-03 21:28:36.031193	2013-08-03 21:28:46.065343	156		0
12677	10e8bqgl5xjiew5wxvmdek0yld	$2a$07$bxULADFiasJoLmUEOyEW9O.Vx6t1iAHteZ7yxtC7aglJYej6HHaye	35	2013-08-03 21:28:36.054489	2013-08-03 21:28:46.254356	156		0
12678	10wajx8x4uv9g8zhdc9g3iql07	$2a$07$7iQgv80e9Ds7zNdD1se7Meq62tdrl3xDs4zyPRtzvugbiCj7mAyyK	36	2013-08-03 21:28:36.078388	2013-08-03 21:28:46.363982	156		0
12679	10m29n7ja5zzs3nufrh7b0x13d	$2a$07$mBwJI7xce70tqrb4wshZxeZbjQs7Xu7zgNpkaVNqGKgaSgiysyqra	37	2013-08-03 21:28:36.101673	2013-08-03 21:28:46.482858	156		0
12680	10v854s4fqrpsefhsgh3cjsfbu	$2a$07$rhhZS2xFik5RJfxEdyB2zOe8Rpe5Asussa6/aKH7EyLnTiSgqIMJ6	38	2013-08-03 21:28:36.125036	2013-08-03 21:28:46.607149	156		0
12681	10l9iq5jc7t641ofuw60lvwfss	$2a$07$Ha.C4gnWDlNNHgmuGfgkBOVlhAxh54EEF7LC2X/W/4XHc6LbzzpVu	39	2013-08-03 21:28:36.147105	2013-08-03 21:28:46.731768	156		0
12682	10ryc5yx4gwnlx4hezliqhelku	$2a$07$QNNiCij9a/OJE8HdSBlvHOMJwAWIlUUfAKYyjQlw/zvfXABF09yQq	40	2013-08-03 21:28:36.169922	2013-08-03 21:28:46.846007	156		0
12683	10jziqogs4a5jsw9h654wcezdo	$2a$07$T/xHJahftDEfM5sqL.mBausob1twWaspG6HJ3cwfwKrL0XCokDNAa	41	2013-08-03 21:28:36.19341	2013-08-03 21:28:46.998005	156		0
12684	10t6jcho7cb8v5p720r7ntosdw	$2a$07$gavRXZg3OlYXZaTmpSEwpudVbJJw5nV.KOeNMo0RShKKb9N3CKTlq	42	2013-08-03 21:28:36.21547	2013-08-03 21:28:47.121535	156		0
12685	1072zscokaomf2moddiylq9uut	$2a$07$BKVSJsmS.kGKDcmnMuVwaOn1V98EgnLNhrFBHOc/T0IT3SvbCozzG	43	2013-08-03 21:28:36.23818	2013-08-03 21:28:47.260495	156		0
12686	10rfu1s9j0mowg1th2d4uiu2hc	$2a$07$6C765rza9LbGdj2rcPxnAe8G4v3dAv2SRNkclOQv0MFd6yD6T5o/K	44	2013-08-03 21:28:36.261074	2013-08-03 21:28:47.46844	156		0
12687	10ziysdr7k3hzz3l2ysds5jkag	$2a$07$SoYx2m0aI5sRdYiun.YpROe8wF7RAS5ysTtlqjdyfEKLIwL.H0J7W	45	2013-08-03 21:28:36.285289	2013-08-03 21:28:47.625176	156		0
12688	107478yofyt0hsvrrqn2dpegmx	$2a$07$LdNnNazcwE3tOufj.YBOhu1u1YNswDRUFpXgxDnhUl1gob80f38We	46	2013-08-03 21:28:36.307608	2013-08-03 21:28:47.757518	156		0
12689	109fruhiuprboondvns03u2ywd	$2a$07$nYBPIndWckBOYwS/LtG1WO0q3Vgg/MK5eTph9VdUTje9ZwoNADpiW	47	2013-08-03 21:28:36.331161	2013-08-03 21:28:47.883395	156		0
12690	104iqomy1s8qicxhv5qryn34t1	$2a$07$eFhWK7y2nUWnsRpzdKbzJeyOdIUFgr5pyYzxpxEovSVMO6QLIY1CO	48	2013-08-03 21:28:36.354708	2013-08-03 21:28:48.035347	156		0
12691	10cpsmo44qqbk4usjhqd8q80zy	$2a$07$RO2LOwU1ZLNLoWLlfHHHJeykAMftg56e.SAmIP4.pNx/UQErg6ahG	49	2013-08-03 21:28:36.379472	2013-08-03 21:28:48.148083	156		0
12692	104kpc22msc37lowmfi4526nh1	$2a$07$KDz3Z4Pm.VymxqlEqRo1XOc6nasPv6FiNfF14qgoejsw9ag9BSmzS	50	2013-08-03 21:28:36.404227	2013-08-03 21:28:48.297992	156		0
12693	10qypgr8k9nk0kr04pwiazmdnd	$2a$07$5fbH7WWQDI8H1CtVsoOv/umLl1P89pYyLqRe/CKJbLfy.1quJDIGm	51	2013-08-03 21:28:36.427252	2013-08-03 21:28:48.421497	156		0
12694	10ab81iudni978ffzwpa6dladv	$2a$07$V1OVFqIpoWTolELXf5z4ruQStANq.r/QRqQO/dacGFHe495.QoXK6	52	2013-08-03 21:28:36.448979	2013-08-03 21:28:48.738816	156		0
12695	106xp1paqjsrr87wl9uibdwbbo	$2a$07$6GvSHjIrlmYwDtL9y3JiROmyhXueZbG.TdvbPCa.yplSyz43vc2gK	53	2013-08-03 21:28:36.472718	2013-08-03 21:28:49.044102	156		0
12696	106lu1qx5vljvzybmbn6tibeou	$2a$07$2iupnNYRPB5Z3EeB76AjR.4IZ6pA6QCyCZViPU6N4J.zPJ9Le3nda	54	2013-08-03 21:28:36.496606	2013-08-03 21:28:49.382846	156		0
12697	10kki27os1l9yl3rh2lqe4jfa7	$2a$07$ZHrNkYsUh/0tlFg0rq.RsOvLhJS6uGBcnhPdG7Pg/bKGo2OtUmOna	55	2013-08-03 21:28:36.519009	2013-08-03 21:28:49.488472	156		0
12698	100iupr6h3ajnhcuiri2drtuag	$2a$07$tmX3UHYh8zOdjpVoNk6bKeLwOInz3t1ZSIJQTISr5/FvRSwqRVlRy	56	2013-08-03 21:28:36.542598	2013-08-03 21:28:49.595047	156		0
12699	10wi8onnapv12fb0821xqhfw6b	$2a$07$r8nsUJRbgWyL9FCfglsUAOzu4pn7jBjY6kSB83f2WBVCWnBgVbr16	57	2013-08-03 21:28:36.566663	2013-08-03 21:28:49.712805	156		0
12700	10ff01zfu8ee047olbfbchds5f	$2a$07$Whiorn6B2nxVqcQq8l4l9eXGDE7oZxLYEt6rPq.wBbMUALvPhfsNi	58	2013-08-03 21:28:36.589399	2013-08-03 21:28:49.845017	156		0
12701	10z9samrj1au2mzhasspgh9ysj	$2a$07$cKQR3wyWxv3U3yr4186u0eAsWvg8Bc3R9OI5fN6VtauZHHx/TYw8a	59	2013-08-03 21:28:36.61273	2013-08-03 21:28:49.964465	156		0
12702	102b1vd6psn84ypydajgnqhrhz	$2a$07$DOqzZULCWIf0MsO.lGBthOjGTNq.qz0f5rgrRJauAusgugY8KLtc.	60	2013-08-03 21:28:36.637388	2013-08-03 21:28:50.09196	156		0
12703	10rx1yknvwc73pxbky51n2u4i2	$2a$07$IVyOu5isLsvzPObDqOOXGetTHZcfACOEqGQnSzIu5eeBv5PWHkwk6	61	2013-08-03 21:28:36.662415	2013-08-03 21:28:52.760398	156		0
12704	104t0zpnhq5jnc2l4eq5y3euik	$2a$07$0u.lY6b5JOczjgDagaCIJePnh/XNjz1Vj333E7/Jvv/8xzBMGbCY6	62	2013-08-03 21:28:36.689163	2013-08-03 21:28:55.536235	156		0
12705	10hfdp71lv2sugl45jjut5v5vs	$2a$07$ZRN.Ki4PCzMkjqYFYliJreRwd.rptxj4CzcS7KqVjNsfy73zqhgyO	63	2013-08-03 21:28:36.712968	2013-08-03 21:28:58.436198	156		0
12706	10et8f48heuu06ukg9yj9j88dd	$2a$07$ofqB.JjXMId25HBMhe8vee//06upX2At0WojjIp9qK/aG91RhDlIm	64	2013-08-03 21:28:36.737689	2013-08-03 21:28:58.55159	156		0
12707	10xpjs5h49gotem11p8a2mr6d5	$2a$07$zARO/vOBLmCP.s6dH2Q1Aebnhb2M0V8lYbfUAPcjC80.G6BJr0wJW	65	2013-08-03 21:28:36.761626	2013-08-03 21:28:58.695562	156		0
12708	10u5lp0okh7oxxu6uqgdvv5kpk	$2a$07$IUAIZ.i7Li.iPwI3TPtxAu8FRVm3/G7Kr8M2Sb1ATLoL5a5db2.4m	66	2013-08-03 21:28:36.787325	2013-08-03 21:28:59.605386	156		0
12709	10v6nj0rbjo4mxxtj8uuo7d9fp	$2a$07$mMKDCPzfjGx7jutkMnl9NeQNxry/3EYxw/0.xUN0e4nK8b8p0IMUC	67	2013-08-03 21:28:36.811648	2013-08-03 21:28:59.732121	156		0
12710	10q19y6kwj5pk2vu9ld42gtsuv	$2a$07$8GLcl3XCHzoEo03KARiA9Ov8FS5dyDchDduqldtwHihColjqX7YMG	68	2013-08-03 21:28:36.836302	2013-08-03 21:28:59.850386	156		0
12711	109uaj0tp90wr7fv2nwo6mvant	$2a$07$rmOLgol9O23QqKstmP3Mief7uu3.OZ0Ma7wjYhQFWZTMsRC2KoydS	69	2013-08-03 21:28:36.861215	2013-08-03 21:28:59.97429	156		0
12712	10a5pdu8z2q9zha9cobqlsho58	$2a$07$CPOIx1mj0Ou8X8h5RdO1MO1IolmGVi5ZNZ9bqWM2hgZTwTtF4MjnS	70	2013-08-03 21:28:36.886305	2013-08-03 21:29:00.100443	156		0
12713	10pco1rkn68km7ok2g3rma4rpd	$2a$07$43stj8ftnN6K9dDWpb59ouwY/XRqPoAL22bfLpkP3wG6r2z1Ps/2K	71	2013-08-03 21:28:36.910279	2013-08-03 21:29:00.223437	156		0
12714	10wplbzynyy4xukpajf4l6h89r	$2a$07$/6c3QJyQgb6qiqpy3ORhxOxXBkIP6haeyTuKyJD1XjHkB6VP9c85e	72	2013-08-03 21:28:36.934539	2013-08-03 21:29:00.352743	156		0
12715	10uceqq2boogdbcsnb9ktkywd6	$2a$07$0khs9GzqmyeMqWAsy6uTAe/08MYLC1BW1kyRV91nH8QSqwItTHli6	73	2013-08-03 21:28:36.95789	2013-08-03 21:29:00.800597	156		0
12716	10vb2ltx5ysqgbm1avkq27119f	$2a$07$uq1ZrL.ABFs0S4eMZL8KT.WM6l5XGM19dsmsNdbJ9TuBYZhU06xbC	74	2013-08-03 21:28:36.981014	2013-08-03 21:29:00.932588	156		0
12717	10coh6xetjn7w3nx5ggpd1xe6q	$2a$07$Y16MJJNbrM4.3bGpE9hwzOcZtzwoyroGhDrwcwkrCTIx.Caf.r56S	75	2013-08-03 21:28:37.004995	2013-08-03 21:29:01.066863	156		0
12718	10gibtlhliixhd6s49mtgxf669	$2a$07$k8sNOAknwpD2ZqTr40JE4uYK7AOMAqLzZ2sEkiffmur/avRLk3Vm6	76	2013-08-03 21:28:37.029775	2013-08-03 21:29:01.204978	156		0
12719	102rui52pv2ahepc3btw00euir	$2a$07$1Ku3o5WIH.wkR69dNU7.oeV5ZhKGipa4Y1IBE6yrsckaa0BL6QCUW	77	2013-08-03 21:28:37.053454	2013-08-03 21:29:01.361789	156		0
12720	10vclr2azln0n4rvus6e2i5mph	$2a$07$Gcf5k9g30X/BlSJhBgBH4OiE6pK7tKt1FpzarvOHro0TN1vPWB09G	78	2013-08-03 21:28:37.075866	2013-08-03 21:29:01.604084	156		0
12721	108tli9ewpctapmr6hhyco0zk0	$2a$07$0ChcZ/YiXauj6Lxfo6hWwO.f5nEug2mfTgEwBYGF5ObhS.CkW.Tsi	79	2013-08-03 21:28:37.098943	2013-08-03 21:29:01.729247	156		0
12722	10o1699l2n5s52dwu4h215iad9	$2a$07$0pMVPH55.aPNZ08qAOg4yuIP2mjW7UVOElRcrEm4VZx78NF/rlZMa	80	2013-08-03 21:28:37.124259	2013-08-03 21:29:01.871376	156		0
12723	10p03supisw6d7yi8o8cske6kj	$2a$07$EHM17r9PshENsu0Qx51IBevfRYAj9hj12nyVoRueWeGB1S/FYVRWe	81	2013-08-03 21:28:37.159601	2013-08-03 21:29:02.326126	156		0
12724	1041ua96r7p5weltud0zk8gh1q	$2a$07$Kxgbiqnxko5cgPGRGDAMZegJKeUZlLYZS49D3MUU.dC6qmwfHteFe	82	2013-08-03 21:28:37.18636	2013-08-03 21:29:02.456453	156		0
12725	10kyy5mbqnesdl1tubz874rqnf	$2a$07$smckKrsO1bWhUDXYPnuyI.R5tlZ.RaVMJ4cbArgPU6xCCWKIEZqF6	83	2013-08-03 21:28:37.22143	2013-08-03 21:29:02.59449	156		0
12726	10g46a4k3zqrdop3b24e55z63y	$2a$07$UFlgZwjAYvlXBZ75aReFBuMpR8qm/DI1WJjTo47gjcSMJP9r2ZDCm	84	2013-08-03 21:28:37.250085	2013-08-03 21:29:05.380617	156		0
12727	10xgov86cwgc8wj8w7wayzhx8x	$2a$07$2UZiZ0oKxfycfdo4tfWHf.t9zYoh8ARS.HhYc5UnGQG4GD5rjuCb6	85	2013-08-03 21:28:37.280852	2013-08-03 21:29:05.516624	156		0
12728	106ggacs7pktefkgljhmb8m7p3	$2a$07$ncEfVorZqhhKpROhshEMpuKPMRalh.zHbPmWcThozTDf0Efo7hPh2	86	2013-08-03 21:28:37.31511	2013-08-03 21:29:05.645901	156		0
12729	10bht6gumrxy9vyeeyiufgw7nb	$2a$07$K3BI63byDp5S5zDsY0aQS.VG8VBj/GrAoK8NBWc7mkjVYo.RUtryK	87	2013-08-03 21:28:37.339837	2013-08-03 21:29:05.784732	156		0
12730	109kuawcjtp9sdgfeuyxuhczfm	$2a$07$ZHOtYWFEur9FJlolS9c4NOfdEqkx9Wl7pOoVlVHzDmqu7zoJbpL.G	88	2013-08-03 21:28:37.367988	2013-08-03 21:29:05.935031	156		0
12731	10rcw81buxsogsr1bu2oi0kbl7	$2a$07$qVATM8jFMarphPN9QOmte.xkYN3OALxnTXiPzFid6SE2LDwUc3q8i	89	2013-08-03 21:28:37.391213	2013-08-03 21:29:06.929134	156		0
12732	10xna3xj1ghutnikkngl6al879	$2a$07$tSaJybWrSDvk6I348fwCwer8V3nUy8bJjhhmkfU0koWZRtpUEtE0O	90	2013-08-03 21:28:37.416343	2013-08-03 21:29:07.812639	156		0
12733	109cpvpuaqzcwlyc64ygtc8lv2	$2a$07$Zuz7BSoJS3cye4pZ8mweROEecQzZeTp9b1kZUF3Nqkn4mCmS2k732	91	2013-08-03 21:28:37.441651	2013-08-03 21:29:07.935111	156		0
12734	10j69uk3mbkxyawqbiitynx1si	$2a$07$IzY90t5HsTHaJfRPyF/VxeJgbnuJICmo8tN6OQ3lk9c9e2K0pE8N.	92	2013-08-03 21:28:37.467847	2013-08-03 21:29:08.052934	156		0
12735	10stemxudx3uro5vi49cv1bdle	$2a$07$.GMbL/u7SdM4eRGaEesXwOis/8EgNBlDznMPWb8R9uBKFiFNdNYw2	93	2013-08-03 21:28:37.493362	2013-08-03 21:29:08.189771	156		0
12736	10voki9qcmz6v1uws9j0rb2n5w	$2a$07$1L7/uyetVfkUgAae5tVv0uB9rOekybV6brOsK76.IRo3xg.VDFpIO	94	2013-08-03 21:28:37.517748	2013-08-03 21:29:08.301603	156		0
12737	10y3g4d8i1g92d9e6fe34zzj0s	$2a$07$CrbgQWcEmScJOgiCxTT6GOMTVoZ3DU0GRNg.pRTYFJqPIYS9rodPu	95	2013-08-03 21:28:37.542498	2013-08-03 21:29:08.429576	156		0
12738	10bmnfc9exg2u2lydet938e4rs	$2a$07$gOstHuM5kvwNK2xcPP9zQ./yj/TGU3s4wm7DmADzK1pd05JRk.esu	96	2013-08-03 21:28:37.567072	2013-08-03 21:29:08.550912	156		0
12739	10fyigik8xxaxnei5qg7qnkxnt	$2a$07$RM0C3WLKCFBYl2UrwFhTVOuQOeSIorMknSMsUbqZsq1Stsu0ZRQba	97	2013-08-03 21:28:37.591229	2013-08-03 21:29:08.676271	156		0
12740	10ye49g35o65ida4ll35z3z69r	$2a$07$QMKYwAAOP3KtLPLTL6XmB.gNqCsoGva1yh9GTiaJxb0wEkYN87yvC	98	2013-08-03 21:28:37.617818	2013-08-03 21:29:08.786809	156		0
12741	10gojg1zc6mx4gczcty7rfpoav	$2a$07$Uhnnf8.3N8y7eJx2Hr5VmeA30Du4KRBoO/JMH8A3Bg1.TExaElCJe	99	2013-08-03 21:28:37.642414	2013-08-03 21:29:08.925211	156		0
12742	10bsbfi0jlzr2zt5j7vizhy9ch	$2a$07$JsNgduDGxyUEGXk1ZixVsuBCiRG8TwST5nK4FDxXEgN2dgzvUQluy	100	2013-08-03 21:28:37.671019	2013-08-03 21:29:09.053472	156		0
12743	103nsvbh9mu0gcfo4zx2z7kneh	$2a$07$9pA1JNNPJiqSq8LAPP6YCeCePpjKqxbJypCyXhzX0M9BTXUet9pra	101	2013-08-03 21:28:37.69492	2013-08-03 21:29:09.183429	156		0
12744	100gxblfyrnun2c3aoit6k21g5	$2a$07$VQzEmBOL8ilnd2OQVVS9qu8jpIlBTZhCFsv/CPCzgPaEc51TCQpnO	102	2013-08-03 21:28:37.71852	2013-08-03 21:29:09.316704	156		0
12745	100h7plgcu830090xafi6p1pdt	$2a$07$s9SadWGiPK4rQnQYFpTJ2eTyHr8T8jfVGXcihIo.zkQBbLaQ8eNF2	103	2013-08-03 21:28:37.743527	2013-08-03 21:29:09.585807	156		0
12746	107io2krlh1objhzisxevqb5z7	$2a$07$69DBTw2QaE1AYVGKkjmB4OosoNMQl2dMie5NrcKNDSUVpBNZpXgeu	104	2013-08-03 21:28:37.7682	2013-08-03 21:29:09.900134	156		0
12747	101k71zxurur5kvorsmh3w458n	$2a$07$/qqWQsnfgMH9tQiRxMFluuaWhxtRWEDXr2oWLGM3Zkhb8k6buOyYi	105	2013-08-03 21:28:37.793586	2013-08-03 21:29:10.043362	156		0
12748	10lqjxzxal62t2kf40x0p4et86	$2a$07$B1cdMNIFbtM69y4rq5eNwO.1MnHBHfE6ZImMeaX6RRmmdKA8vnWQa	106	2013-08-03 21:28:37.82163	2013-08-03 21:29:10.171051	156		0
12749	10xn3x2okur3rfv7uwlha39z5f	$2a$07$gJtEDc4wW/4f5FvY7/G4weL9oFyGr/2MdS802d1Sy9wQYbcWKi4Hi	107	2013-08-03 21:28:37.847931	2013-08-03 21:29:10.560017	156		0
12750	10mwiktglm7lpjx7j6wjmpox9g	$2a$07$wTiXSnfxNvHpbxtzV2M1heDxjq2dkj.uxZPtNWP23J8fj6d1gtsda	108	2013-08-03 21:28:37.874613	2013-08-03 21:29:10.685679	156		0
12751	10cywvtva2drofbqqji8gvl6ez	$2a$07$3gl91WEocFDjIxJlpvcvNeE1/Xf2JiJAFtaCzqCNNxvbZ8bmSJkhW	109	2013-08-03 21:28:37.897643	2013-08-03 21:29:10.811171	156		0
12752	10n6xau7yblhf1uom0p7r69ajo	$2a$07$alg3A0pvKkJUnDfRY84ERuTuzSbCNAqCFW1x4b6fpbgpJMw8xBFdi	110	2013-08-03 21:28:37.920964	2013-08-03 21:29:10.938634	156		0
12753	10k2gv7ro3kgcaxw3jxj84sgw2	$2a$07$VLUR7EC/kWe.8AlOGCKMU.xih5ODS2QFPuoNhP.K.tMGItxYEhWJy	111	2013-08-03 21:28:37.943889	2013-08-03 21:29:11.077972	156		0
12754	10c7jk23h6ltmn8ivdrguxy2ye	$2a$07$bnM5hKI1kJpUb8Uf25MKkuGxve64ZoC1UPPnGQYV8BXRHS.bDYsei	112	2013-08-03 21:28:37.968351	2013-08-03 21:29:11.206221	156		0
12755	10ewdf7mq89rlyj7ialyl79uo0	$2a$07$.Ii0Mt3s3rGE4mZnqkC6ouZ28wVIpv8AEztuGdScRpZ3knLjAmnni	113	2013-08-03 21:28:37.991488	2013-08-03 21:29:11.453528	156		0
12756	10ruhj30ymhyhd0veeu9k8fsg8	$2a$07$lVjlnFYrZKj.9Zs6Hx0gaeE260qb72EFjZKQQfOn/OpCN5kSuEDim	114	2013-08-03 21:28:38.021175	2013-08-03 21:29:11.683673	156		0
12757	10e5kmw8216m0fb7oc6ea13tsr	$2a$07$7P69cQ779QaKA3./jRVtR.56kIKcrppGpSKo9cemg85IvGoIPCOkq	115	2013-08-03 21:28:38.060726	2013-08-03 21:29:11.81385	156		0
12758	1089nwzqt4s26qoqva99ohq1om	$2a$07$MLKP1.9HNBAyrmbPSY8CbOEE8tXomBWqtcEX/T6gPi4QrnL72pGPe	116	2013-08-03 21:28:38.083953	2013-08-03 21:29:11.948747	156		0
12759	10fg0yhrx2oy5gg7fh4kox68yt	$2a$07$c7M2RFkDOcM1fgEQlTnhm.eQnAC547V2dZUwepOFPELCy5a9ojp9u	117	2013-08-03 21:28:38.118747	2013-08-03 21:29:12.084472	156		0
12760	10t9gbz5oq9ctuwngkouhdyclo	$2a$07$cqaXp3w9aW5xmow3zMmsj.huqJwEgER2/B/m1sWHlS2ui0ua6SoB2	118	2013-08-03 21:28:38.148568	2013-08-03 21:29:12.22469	156		0
12761	10j1nlu5dsoy9vwzgva24fqe4h	$2a$07$dZGAwCGwDUeTbbVcV4UiQ.gv9C5kcxEqZ7x.zf6GHdMioSXEpNn5C	119	2013-08-03 21:28:38.179791	2013-08-03 21:29:12.337562	156		0
12762	10gw9qc7xliuxha1be27gpakc5	$2a$07$7BWxVL7puecjHyFVd5H2V.yhxfKmWf9WkoEgvWA/t7BEq5azmISo2	120	2013-08-03 21:28:38.201908	2013-08-03 21:29:12.470545	156		0
12763	10a7ayu8f1ojt44dk6cumh791r	$2a$07$cexvetqrL8x3Z2gNh6ZD5uaxR.uL4Qrj1sFjYPqlmSe/3MmoYSmmu	121	2013-08-03 21:28:38.22485	2013-08-03 21:29:12.612905	156		0
12764	10oshurg80bk1cjsigj20inb9g	$2a$07$CZbQakLB69jrhJUyVFEyWuncsg45kgQ24Xfc3C5WGF4FK6qAw4bBy	122	2013-08-03 21:28:38.255625	2013-08-03 21:29:12.753859	156		0
12765	10x6txzg1jkasux4g246rqzylv	$2a$07$T5GlaK9iFUV6ne3wkh8dFuAIN6GSDXfC/ZXEWus2gCCb/FhoFqZFW	123	2013-08-03 21:28:38.288117	2013-08-03 21:29:15.572295	156		0
12766	10vn8sjip7yaw8x7tqgrmru1k4	$2a$07$Ef6b/3dYVgc2LabV28Rl/.klKgH3j0AEFG780uqzgyfKmDEqfQwGy	124	2013-08-03 21:28:38.311629	2013-08-03 21:29:18.577601	156		0
12767	10btbqw7noj4fqeenfyw58u3nb	$2a$07$kix1Ecgea7G/wu1eJgEx4.5.enR0aw3m1E2My/zTIzb7wWFWnJnA2	125	2013-08-03 21:28:38.33538	2013-08-03 21:29:19.05234	156		0
12768	10zu4z90g87e5vnka0vuf93kfd	$2a$07$kVVt1QhwhPgBELZVpke86ukzGoon1PHk.ldca7pJLGZBF9pKYtkIu	126	2013-08-03 21:28:38.360749	2013-08-03 21:29:19.548493	156		0
21085	10q0qd7q07r1071894xb1nn90i	$2a$07$vE731Vi4Az82Xc8/pkYLKed29wO2rrKuQbhaPONtUmQygxwwQT8Sa	1	2013-08-04 16:59:59.233753	2013-08-04 17:00:04.202158	223		0
21100	10w5o07kojjiw6bd9labmcwcfw	$2a$07$Zb10XZ/edPG7GcddCvepZeYyonA7lPSCD7kTs0eeX4opw.VeUVQAG	16	2013-08-04 16:59:59.86424	2013-08-04 17:00:06.55435	223		0
21130	10tao7u0bj9we496wk5bb2fkwb	$2a$07$StiUH.2CF9.jB3g5pFPOxuqyTSVBHs3VS21ZI7j7bc7P1YYhSKm3O	46	2013-08-04 17:00:00.988663	2013-08-04 17:00:11.792158	223		0
21145	10txis6mv62ycmqzww8natcx0j	$2a$07$FxEk.pgRK9b0KtUxeZHEXeNqJZF0WSQvlpK9DbBoGD81BvS5uwg/.	61	2013-08-04 17:00:01.543322	2013-08-04 17:00:18.090015	223		0
21160	10tzywy2t7k3aardyr6mx97vqh	$2a$07$dnRbKMiKeFd58avd92uGf.9EAywYsi96lOe5DMAFG2L8kQZXM/Qf.	76	2013-08-04 17:00:02.138916	2013-08-04 17:00:26.973017	223		0
21175	109w4s3agkoha60ueu1upxgmx3	$2a$07$KsWO01DfSJBZlth.G/ILX.g6OKNv/0rZvslBrZSYpqY6WNH9yGJZq	91	2013-08-04 17:00:02.674549	2013-08-04 17:00:32.346606	223		0
26253	10mrau7ntafcyzxb7kxlw0chvk	$2a$07$2foYSfhsRw0ReHgWtgRAE.NhKyas57aBJnqdHLMLerokaAce9RG4a	3	2013-08-04 20:36:19.094494	2013-08-04 20:36:22.403089	264		0
26254	10onllo6ok1j9gsawdmkw2ys0f	$2a$07$PKLRb66Lc1bgjxSCdKitAO/9oHPAViy0TJgr1z/teZlBDfnW4AXme	4	2013-08-04 20:36:19.117989	2013-08-04 20:36:22.552534	264		0
26255	102excou0sb4btt6vyhtaknqun	$2a$07$293iNv.ZV4Zzkq.OXyrBq.DLaEynuSb5tN0Ue8XoGxiANtRB4jjba	5	2013-08-04 20:36:19.140879	2013-08-04 20:36:22.762075	264		0
26256	10ka7frvevqm6pmwt4a0co0ssr	$2a$07$GjD7U/WnzFRV4EY8qxjEmOqvHnrigxkt2h8UNkYZOjekIqd6RSP4q	6	2013-08-04 20:36:19.163649	2013-08-04 20:36:22.912603	264		0
26257	10z82e4s5j1o136spa1n6ngt64	$2a$07$OhZE4VT9H5v8yyAJLQVkCeZkqSja0gHJaoehiLb5BO1dFYWdJh1wi	7	2013-08-04 20:36:19.186553	2013-08-04 20:36:23.097438	264		0
26258	10cyh7mw337lta9skuvwrs0l0r	$2a$07$vXFGXwzH4yhUeek86PwoyurX3Bcd5AFoCSM.OOgROgyd41hAT18Im	8	2013-08-04 20:36:19.209478	2013-08-04 20:36:23.288146	264		0
26259	10nyehuyn2auih7c4fqdaqi6gu	$2a$07$u3lEqmoBDgvdqwbvSOy9JOZP5aBFUfbQfoM2ijRvkra7jo4Egjhmq	9	2013-08-04 20:36:19.23202	2013-08-04 20:36:23.506013	264		0
26260	10iq0d5fhlcj1ry0niubw995bb	$2a$07$jRVATADXdyOAiWkVEjCs8eObPlg9Ar6569mJ3aqHWHP1pwx2rwfYa	10	2013-08-04 20:36:19.254809	2013-08-04 20:36:23.655622	264		0
26261	107z3hwg8hkipof80d1puccgmz	$2a$07$1jTDqxw3zv.bnXnrPDwqqugeIFBdanDMhlUesI8X3yo3FteBNGyGW	11	2013-08-04 20:36:19.276513	2013-08-04 20:36:23.78383	264		0
26262	10vvgdohr0jol6dh8vqewnhttp	$2a$07$C1HCXEExk6M/BF8YFEqaV.N3f6BWqedFdgGrSduE2ACMGC4XBrYmC	12	2013-08-04 20:36:19.298117	2013-08-04 20:36:23.941116	264		0
26263	10fuzll5p8s14avzgnc2gw9jbk	$2a$07$j0j6w21pDdND.ulOpcQNvu9j4xb/asybES7exdZH7ubseR4pxKPTS	13	2013-08-04 20:36:19.319684	2013-08-04 20:36:24.128568	264		0
26264	10l45vl4senxyl40kd2tv3d0v2	$2a$07$VHtUbKy8yt.ur5wRSgKMeO5X4gxRUY4NRzxQBUfZRtcB3pyz0GrSq	14	2013-08-04 20:36:19.341376	2013-08-04 20:36:24.235497	264		0
26265	10k1fqk166wnqyfze8dfb84pog	$2a$07$Q9As8EH.OsLgU.hy3axWGOdSax1BUuW7AizHgO6Rb9b1EyrEt77wy	15	2013-08-04 20:36:19.362995	2013-08-04 20:36:24.388563	264		0
26266	10xh85str6jgbnuch6tsiaxkjm	$2a$07$GQL9c9WYncthd3G9vxN2q.VWAoU053frmDI5J9tHKqAZs.ttChXCe	16	2013-08-04 20:36:19.384563	2013-08-04 20:36:24.523927	264		0
26267	10suqso80ojux1ozqyqwlrstbw	$2a$07$d8hi6NRqoEmMiLLkfsz4Z.75d2z.sB0Xa2zklnFhTqreuZuHo/Xd6	17	2013-08-04 20:36:19.40602	2013-08-04 20:36:24.695599	264		0
26268	10dfx7wjxar5ttq2w4bwy621ze	$2a$07$99ZwATya/ia4JwX8c7R57uRvg2wnMsc619tBRb.QRR0Nt7.XRecXW	18	2013-08-04 20:36:19.427329	2013-08-04 20:36:24.850348	264		0
26269	1028dxzrxaunfwvmd9zvykr6qp	$2a$07$06vgsLx1ydNuSPibU1MR/etPnfMwWr.xw1A7BhJ.KeDLyFBWjf8MK	19	2013-08-04 20:36:19.44908	2013-08-04 20:36:25.814357	264		0
26270	10j4z6wrbvkjfilro7gp1ovy4k	$2a$07$QLm4A6yvXlscsLmmTMRp.OhFw1OK6GQirOdrZoAE/xj5o3/aCHp3u	20	2013-08-04 20:36:19.470632	2013-08-04 20:36:26.834568	264		0
26271	10lcotr2bngg1edm924s6vo3uj	$2a$07$5NeVIgC3gQ/eQasXTX0QFuT41RfhREwzQ5HhhFq2WCH3LLtb7Uc8O	21	2013-08-04 20:36:19.491884	2013-08-04 20:36:27.777472	264		0
26272	106h153b8hfpdou4kf75zk6kh2	$2a$07$3m/7TqGsS5Tcu4NhNtWbpePnqCPMWB6ygUVtyn53NHhFcywweKYqK	22	2013-08-04 20:36:19.513225	2013-08-04 20:36:27.928605	264		0
26273	10p9j0axwoc6q2hfoxz32skg92	$2a$07$.Y9Nh6iSJvSuYi8v2ssD3uhy/kRd4cXAES7pJTRNYZpRkFYd2wl22	23	2013-08-04 20:36:19.534855	2013-08-04 20:36:28.040609	264		0
26274	10hxhfyw5ngpcg6i2tpr53nqdq	$2a$07$m4znTvHawmUoZggaTN1YnOGZstO3LLju951712L4K69S6PbiVDd1i	24	2013-08-04 20:36:19.556462	2013-08-04 20:36:28.169292	264		0
26275	106is40lb5j3oqri8cv8rvl63l	$2a$07$jfGlmmzB6FJYP/yNJwy34OIirH5suk7rTHF9BRgrdHYTxIyXlNXDm	25	2013-08-04 20:36:19.578054	2013-08-04 20:36:29.158074	264		0
26276	101d29bwqs4cs8bjcnqfzkcv8t	$2a$07$ZO6IQGxPvzKz7yLXTNXnFeGx19uVmcnixPa5C415UsMg0nng8qcLy	26	2013-08-04 20:36:19.599807	2013-08-04 20:36:30.574033	264		0
26277	104pdy1197m8i5uuz7yq73xoqu	$2a$07$2OPkhBuBv7YZSrkWZ7Whd.g7Erln4pW9oJBebnmkivc0RNy6Qfd2u	27	2013-08-04 20:36:19.62237	2013-08-04 20:36:31.932596	264		0
26278	10co7xaopoab07qexkka4wm6q6	$2a$07$NbwVG8JAfN/cvY2kU.f/ROzNGzO3V.Is79kFh/34gkGfF.ywbo.0y	28	2013-08-04 20:36:19.645032	2013-08-04 20:36:32.091182	264		0
26279	109wguo8q0up70b14dcpehneac	$2a$07$3NxsUYsy3qepr0EBbAisae1DRpuY3c3YOi4KFAdIJ9NODXpXUKqMO	29	2013-08-04 20:36:19.668202	2013-08-04 20:36:32.228298	264		0
26280	10pp7t1h3o3ukzeiwrl83q3bp6	$2a$07$hOLkkORGJrs5SEkPou5oW.xlTzGxTlOxrhcsjB5tXoKieA5h4FHGC	30	2013-08-04 20:36:19.691254	2013-08-04 20:36:32.343478	264		0
26281	10nikv7f0amjxv0kzox4ajfuib	$2a$07$dpJBrvcd2xyKr319l2qJ9OwnzkB3Bf4DS1fK2z3SSsihtduxVnGgm	31	2013-08-04 20:36:19.715232	2013-08-04 20:36:32.492407	264		0
26282	107fgg3h505kw5s3k3a0289vy2	$2a$07$6LlQwrTKuKMX5phcJoTYf.2ZhCgbOwtXzKH8FTuYqxMq9lwlKPvIC	32	2013-08-04 20:36:19.737109	2013-08-04 20:36:32.633663	264		0
26283	10qt0i2t7nr895zl90mcze7j73	$2a$07$MoRo1WGAsz4uLaY8CMXwne/IF5vn1ozbhYsr.8RMlccVUnhSvi15q	33	2013-08-04 20:36:19.771318	2013-08-04 20:36:32.798394	264		0
26284	10xhiz3m4odaitnpi3lxgdbgxg	$2a$07$0r2FNVyvb..sAK6X9NhOU.fHtPwr4Q1ZYWGoP0RmlCbPf0YIaM8N.	34	2013-08-04 20:36:19.793803	2013-08-04 20:36:33.004061	264		0
26285	10qug1qmtsc2t5kjci4yyxpd8r	$2a$07$8fhdluqvXYz/QUZm/R7E9uZIjJ1gaKJZ/.UFFQ6Ii.WXZayVf3cX2	35	2013-08-04 20:36:19.815391	2013-08-04 20:36:33.178876	264		0
26286	10gsia88aus5shdyfopkdebd8n	$2a$07$8L7pdJrPVN4NwIpwlJxGCOo3EJTSRO6MR6Lbmq55w32y6r3NrpTlq	36	2013-08-04 20:36:19.836963	2013-08-04 20:36:33.362703	264		0
26287	10exr29cy80bon2sjajz1ndmkt	$2a$07$KFOhS6JTrD8.FMGhyWVq0uBKngeUQGZ2YzbmLsYdH36R2Ps/oNNgW	37	2013-08-04 20:36:19.858421	2013-08-04 20:36:33.492117	264		0
26288	106kjeaw7r02f1g4bdcuxn1ekg	$2a$07$gdOu1Hb4BXKoQ9dr6zW1Pe7dtx08fq.7Ic9Bl.fkco6lanMumv0t2	38	2013-08-04 20:36:19.879831	2013-08-04 20:36:33.623393	264		0
26289	10lk4k5lzdn41coouvyrdpm7x7	$2a$07$0Z46qQV7K64oA6ebykG9mud3eZwk2vi654xXEtS8TVTxHQ5T8qv7i	39	2013-08-04 20:36:19.90159	2013-08-04 20:36:33.775328	264		0
26290	10xjxjcgzxrrokjqqfk1alotpp	$2a$07$bo0bUftDPY21iJBSIzcl/.L9eZ9m671QJkSdYjFido3G.y1bKoDO6	40	2013-08-04 20:36:19.924374	2013-08-04 20:36:33.927158	264		0
26291	10jksi0wbyzzon6fzrxl90csvo	$2a$07$u8FtXF7p6.HKMmYIECj6ueJGjjHeqnEUp.wHMIlJsGPZix6wlrP/a	41	2013-08-04 20:36:19.947188	2013-08-04 20:36:34.102446	264		0
26292	10rubgcek7u11xj8pwrii3pr83	$2a$07$3KTgZLms4xCbjg.tOfSEqOxpAxkbO1XhXtrTGSek2U4th5U8f5IbO	42	2013-08-04 20:36:19.96954	2013-08-04 20:36:34.26105	264		0
26293	10kzeh8hu5yi1rk99na6viitwp	$2a$07$s57yDBVKq9Fg35vPTJegNui7AE1DNI6axIDS.yM3yQOOReBVbVrje	43	2013-08-04 20:36:19.991527	2013-08-04 20:36:34.672562	264		0
26294	10xbij7bi0y5ss1zmngs0oakst	$2a$07$2McgpnZOP3sV2mQhErvut.JIFw7zlktbfZY9KjzH0SsR18//QCu2S	44	2013-08-04 20:36:20.014802	2013-08-04 20:36:34.788702	264		0
26295	10hdthn0bxb7630ykjflu8pkjd	$2a$07$F.AkLZbmlctflL/uoDoPAOCNcSufGWS2pgxmfgKkFcoBdIR8rw62y	45	2013-08-04 20:36:20.037804	2013-08-04 20:36:34.930325	264		0
26296	10oegk2yp98c6lz5bq6qjztzpf	$2a$07$r2gtFOw1jqtykW89fwsac./XnaCVEmDC5Iaii6tWEH/bTaQvKpVOW	46	2013-08-04 20:36:20.066523	2013-08-04 20:36:35.28263	264		0
26297	10jy2npktmlh9qzs1yx3b8cw1f	$2a$07$PudYFCP.fscTkoklrjiEkeBDldCOcWSporvfLpDWx5EsPjkzjiEl2	47	2013-08-04 20:36:20.094704	2013-08-04 20:36:35.556957	264		0
26298	10sbq7lmae1nx8yvp1qp2w9sjs	$2a$07$LanKC5N9qzkBlsZzXq2anu.auC1cwTojK8dPvemUl7NBBw9uXjiEq	48	2013-08-04 20:36:20.119011	2013-08-04 20:36:35.869785	264		0
26299	10ssl59ije88wb4tchbs6t0cpr	$2a$07$PgRTEYX7R3sF/kEP9Ocgcu5PvCAYtdr2zvITaC.kR5jtvRmDIsnSi	49	2013-08-04 20:36:20.148219	2013-08-04 20:36:36.023791	264		0
26300	10x87gu2kaym7xe6z1y0bi4pi2	$2a$07$/msRUytDWO4VpV8gtRiRz.2KQnJ15vWkRHehP/Xl4g2RXMwgI/bSy	50	2013-08-04 20:36:20.17149	2013-08-04 20:36:36.19083	264		0
26301	10k83eec5h4xw6iwqjppr4be2y	$2a$07$TnqCYfu0Ll2e2kCxnAy66ehD6P44DKgigsRkWp5GS/H.vIm/Yz./.	51	2013-08-04 20:36:20.194998	2013-08-04 20:36:36.336461	264		0
26302	10gyp7n889w55opdu7nt0wrjnk	$2a$07$fPwyQmDE0DoPIpEhjZLHD.yu/mm0Ucfm1017u6xntoZTLEeDM9J8m	52	2013-08-04 20:36:20.229223	2013-08-04 20:36:36.606477	264		0
26303	10vzq0xealeg9hg6fkc3qv4rbz	$2a$07$AkBq3Osywg7zEWX/0pVF7uMY4FQaB.L/WN2IiVD8B8LA5YRuBnqxi	53	2013-08-04 20:36:20.260734	2013-08-04 20:36:37.150024	264		0
26304	10nhfmr31y7wa3ri853mcn4fn1	$2a$07$59fgb/hn99M2btoWZe1Q0.p0vhxnrryuHFcIIU2Pytccl5RssgnDS	54	2013-08-04 20:36:20.283927	2013-08-04 20:36:37.338655	264		0
26305	10t67ajrn4cclh4cbr4n1yp47g	$2a$07$ZgLvspVGy5JQbeuI.7.i6ezAV7noI40CF8JFBH1k8k4aTMQsExXV6	55	2013-08-04 20:36:20.305684	2013-08-04 20:36:37.462162	264		0
26306	101vhcu0rapxi90w7k9i197npf	$2a$07$EHopAU3XgKCE.x.8vfXYTOC90IBkQcRBQgvj79lMi/4tLBYx.EBQi	56	2013-08-04 20:36:20.328555	2013-08-04 20:36:37.5865	264		0
26307	10ztu4kdbbvgzyr6wvj7aq1z3e	$2a$07$z4fxCR0gOY9frDAolVghlOJI7DScA6N7rOYaI/jfZJ3Ps.qkSLEg6	57	2013-08-04 20:36:20.351686	2013-08-04 20:36:37.751515	264		0
26308	10r0h3zfjt70h2bvb20v6cqkz6	$2a$07$GldjIl5eEmoki4MyqHgu9uwPWBMoG3fS2K5zKMmjLyeEb9eGM5qCW	58	2013-08-04 20:36:20.373539	2013-08-04 20:36:40.047442	264		0
26309	10u113n9xtck67mlb0cj1havkx	$2a$07$PWha1n9d9j8vFzXBfzyqBu774Q3MnaMrDlUEKwcHPN6wkfthmFwNy	59	2013-08-04 20:36:20.396078	2013-08-04 20:36:42.281376	264		0
26310	106mf9mbeiaq18fqxrxuzbleqr	$2a$07$EzD6530OthJoVOGB8z8vhOP39xY7KcIZ14IsD./KMX1OnZyeo9lpy	60	2013-08-04 20:36:20.419305	2013-08-04 20:36:44.734951	264		0
26311	10qcpjkzfwk6ylga79686z5u4x	$2a$07$ucyRcz84UQoGNlttR.sSlugtXHPxczamHkecGX52Iu3vYyxzEUN5C	61	2013-08-04 20:36:20.442457	2013-08-04 20:36:47.636907	264		0
26312	10nrbma8hnr5c6qyuref8m3ygr	$2a$07$MLg46Kp7nyV19DfgXu41juUv0S.NSGv0gJIx/x0p91IzPOOTXUx8q	62	2013-08-04 20:36:20.465657	2013-08-04 20:36:51.039475	264		0
26313	10gmdrmnof71syjpqaq3shw5ey	$2a$07$Zg4PZhpCnITF9GFz1Kc2zuCQR6mSWIM/aQA36BVu4a7hcUDy.RyNK	63	2013-08-04 20:36:20.488995	2013-08-04 20:36:54.139357	264		0
26314	103sx8d10un9i3mmix0rmwo6ba	$2a$07$rzho1ce3JB2JuuLdeQjmQOQjfOvcUYv7GG4IVyPq0OHL0XynMY2tK	64	2013-08-04 20:36:20.510715	2013-08-04 20:36:54.295142	264		0
26315	10g0tloxihscueh4xaee7ab6bh	$2a$07$Hz2mgS.xmkcsmqdrjm68jOlRtrhL1HEamke543Y.tk61xLuQwp5o6	65	2013-08-04 20:36:20.533298	2013-08-04 20:36:54.471575	264		0
26316	10e2a101n1u07ivdt6lopk8m66	$2a$07$Ok2kvueFPvWPp38FMO94eejBx5MWWafTHty8ELDNhM5DjOEy/y21C	66	2013-08-04 20:36:20.555168	2013-08-04 20:36:54.71858	264		0
26317	10vyp8tp83y6p8pi0golyn8hav	$2a$07$50SWH.e26chAFGkXk4JGQOK7QA0XSoqeKOt/PqaXRB5nkrvbQA1qi	67	2013-08-04 20:36:20.578966	2013-08-04 20:36:54.840498	264		0
26318	10dreujz99t7zjq7u0kmac2b87	$2a$07$Pb0xQLOJJzfnLTudbhl1WenAFC6d17R9ELbD/M04phB8xeDrgKDMq	68	2013-08-04 20:36:20.605388	2013-08-04 20:36:55.002529	264		0
26319	102wwtteohqca49dh8cuz4idys	$2a$07$3/fxrMepWsd3fzPabWiydOrmJ71RURtV958awwSLmbfuKZCLdgMWK	69	2013-08-04 20:36:20.628348	2013-08-04 20:36:55.118557	264		0
26320	107cju3k9kuz6pcdmdslerffmz	$2a$07$Jk7K58ZyifieqOVo6UvY4.eyh1OO2O9v/9PcYEIcb5LIPdSRmrx.q	70	2013-08-04 20:36:20.65131	2013-08-04 20:36:56.356441	264		0
26321	10i4r1bno1ssf5dhqqck3qrhhd	$2a$07$h4lbXg16knla8VF/tIlSj.yd9/1UzXx7NRvAhNIqDxzl1n3JujLAO	71	2013-08-04 20:36:20.674909	2013-08-04 20:36:56.540131	264		0
26322	10bh055vbsb2y5fxgipj268dxa	$2a$07$Fl.cK4XmMXx67A8zsHDl7.Vkh26u7HYgl5M9Yeys2zEdSlD/CWo1y	72	2013-08-04 20:36:20.699522	2013-08-04 20:36:57.871556	264		0
26323	10l5r9ytwbf3563ffc5mcobq59	$2a$07$SJS2kegz3ps5rju9UGAfKeeTVXRaPgtnvFwq1w9QiBXigg4gftYxe	73	2013-08-04 20:36:20.723346	2013-08-04 20:36:58.029396	264		0
26324	101bnusmynv1bbn1yyuluyqsxo	$2a$07$lawhskvW/KCmTvzLh9siAOe/nKODXBZ3spTH4hLqsNsgkPP3cp8ym	74	2013-08-04 20:36:20.74683	2013-08-04 20:36:58.172032	264		0
26325	109olvc8zlltnvo9bqgiqjysi8	$2a$07$1n1WGuW/JXB0uxnp8UEBC.KszPJ2Je4poOiQymrPy5AMtHK7dX/xm	75	2013-08-04 20:36:20.768507	2013-08-04 20:36:58.391099	264		0
26326	109vkkb4e9qhw47oih1cxxrg6r	$2a$07$uWkhV0NEkGWPUbWyJSNNlu17pSJGSC4lsXnxOfdtrH1wD6d8O5h0K	76	2013-08-04 20:36:20.789994	2013-08-04 20:36:58.532724	264		0
26327	105t1ox6nhcp9p6t9epkrbxcra	$2a$07$cWwJlFFXeaMg/DF3raPfte4VCRsFwDgFxlSO/YQjyd.f7Csm0/psu	77	2013-08-04 20:36:20.811762	2013-08-04 20:36:58.702446	264		0
26328	10dmbhxiwoaowlsjgfdn21d07i	$2a$07$7dPbcUQU4uUxl.CwlacIXOL8xUMUqzbvBeOIY2Bvko3bPb3bcpRWS	78	2013-08-04 20:36:20.833117	2013-08-04 20:36:58.836724	264		0
26329	10eu293m2p8nlycg08fxv7rt10	$2a$07$JzX8134lCwvTjKkaJlBwmeNK8y3FiAfjT6FWekc43BYKEUeHwNnru	79	2013-08-04 20:36:20.855167	2013-08-04 20:36:59.054131	264		0
26330	10f1r3no0vuruym6tlscporrqf	$2a$07$VSNQye28olCCbYle1nTUzeq.i0YdUr7zoYkU5ZYJQGM9IXYEeobl2	80	2013-08-04 20:36:20.88921	2013-08-04 20:36:59.226166	264		0
26331	10p64a2g4c520hill1t8av04fk	$2a$07$ORUkHPhH5oBwrdXERVPvOeKp8/tKbqpvBYZo1.dJcnSS/o2UqgCEq	81	2013-08-04 20:36:20.910943	2013-08-04 20:36:59.410158	264		0
26332	10adg1i6f7kx9ql5b09j86h7ns	$2a$07$H0GxzklyvZ3jh2tlv8s9HebD8p7bIxgvJ/AY3mXsV4P5JGm7H5Lmq	82	2013-08-04 20:36:20.9325	2013-08-04 20:36:59.568686	264		0
26333	10lyrd2abhxjx6pppywmhfdupj	$2a$07$MU3SlutNTstLcnYtbUK4Tu5U7P88ysgvJY3sMggLxnFLYBGdsMTpW	83	2013-08-04 20:36:20.954164	2013-08-04 20:37:01.492727	264		0
26334	10kn7cb7ixdvvat51ypb4qlmyy	$2a$07$tfik1C7AO9yIpb0LilXek.iB2hMGlritzde4OrWosIcVIvfio4jB.	84	2013-08-04 20:36:20.976249	2013-08-04 20:37:04.431173	264		0
26335	107x4xce6ryutp89a39yk7pxdn	$2a$07$ugJ1BtM/LpSz1wmu05VP6usIjOsIzwn8jWQUKXskDcJ0CdR.6/raO	85	2013-08-04 20:36:20.997652	2013-08-04 20:37:04.589392	264		0
26336	10uotcx1lfbvdw9wwk59dplskq	$2a$07$Y0HafRIsBcmk5w/lzilQWuTaHyOw77GtFER6v30efjQll3X6ObGVO	86	2013-08-04 20:36:21.020679	2013-08-04 20:37:04.739967	264		0
26337	10xmqwnanax45k940ocuwfs3te	$2a$07$Y/AX2UATjw4Uam6Aporu3ec8cAZUY5L0nHWyA5eDlt.XZEW01xvom	87	2013-08-04 20:36:21.045064	2013-08-04 20:37:04.901486	264		0
26338	10hxvgybr7rb3jkja2tpb0sln7	$2a$07$aQITaQaSlEOTVe8BbuD87.xD85EpfGKhHl1vV6uXFXSR1y0uFrXGK	88	2013-08-04 20:36:21.068656	2013-08-04 20:37:05.070666	264		0
26339	102ubpm0q21jv036u7vbdfxfwf	$2a$07$H6rbFnMBJSXLvKMY0kfWSe3Ds5N67TXEb3Pt2NEdyLcTWXYO88D4q	89	2013-08-04 20:36:21.091876	2013-08-04 20:37:05.285777	264		0
26340	10t65l8ncblxmt9y5ykt4nnio1	$2a$07$hUSn2CDcZXkSSUo6J/nvleMlqIrJYxl5BQgkDWm6f9nqfy0.x./cy	90	2013-08-04 20:36:21.116945	2013-08-04 20:37:05.424196	264		0
26341	10pefxbdg8uz4qgo4l9b7hcofo	$2a$07$5/DBFvIijtDmFBrB0v.JC.mcCU8gY7OP.ekXICOOqDG9KMihOP2M.	91	2013-08-04 20:36:21.148848	2013-08-04 20:37:05.557642	264		0
26342	10tuttgwzji1z54dac1p2ulbya	$2a$07$qvMowmDXQxh7Pc4Xtcx60e.sbGnZyJk/CBGBdXuxoI1w6o5LZR9Ba	92	2013-08-04 20:36:21.174017	2013-08-04 20:37:05.709824	264		0
26343	10hq2rp4jc2npip9m9jwav6m50	$2a$07$GugK6mxh02J39uYKsVsxOeaIuPF3Wj6/VYq9r8xODkJS5q8h3FJAW	93	2013-08-04 20:36:21.195553	2013-08-04 20:37:05.856993	264		0
26344	10ygxvxo24a6fn9qv3cnmspsp3	$2a$07$CDBp6kIAoHy/RbleDGBT0OxJcNlshMtPzthpGL6902c.Yq6HMU5Em	94	2013-08-04 20:36:21.216982	2013-08-04 20:37:05.999278	264		0
26345	10m0r02q8fqc81v9sisb9742jv	$2a$07$/YBdm6J04.aj.YvMrfILSOgHwJt3dkfG1xcOlSMkufqyG2hhusCoG	95	2013-08-04 20:36:21.238428	2013-08-04 20:37:06.144555	264		0
26346	10cfdse332mkfgyu4yk8ugz1nw	$2a$07$7FkEuK1g87TQsFU1Ddgyo.khSgdp2zb.b8gS1ud8J7Jb/Tmc4k/Gq	96	2013-08-04 20:36:21.25989	2013-08-04 20:37:06.288693	264		0
26347	10mgcn163w2eerge90g34rxxzb	$2a$07$YdkLWza99TX1q8nyrzQxCumZ0YCfAMXkgA8njUMLgtppWkP9ltLQ.	97	2013-08-04 20:36:21.281236	2013-08-04 20:37:07.278725	264		0
26348	1024j1o124n3tfty38zz2vsv9z	$2a$07$AIhB1QswqJG0VUx.axd98ukOh0qitttsCxPi8qNVZYvgyee63UYuK	98	2013-08-04 20:36:21.302619	2013-08-04 20:37:08.220003	264		0
26349	101cdgn1v8iebb0drm26zu0rt9	$2a$07$b2F7GooZRz.vLP391ZpEY.yEoaNnUUfonkDaVGI9mf0CcflmGvuPm	99	2013-08-04 20:36:21.324176	2013-08-04 20:37:08.563922	264		0
26350	1068z5omxwmekgasqiwznmcqkt	$2a$07$qIpPpghlRtp9XnhxQU7g5.ji6.iLv.IG96yhQ51T92ZhutGF4QYPi	100	2013-08-04 20:36:21.345499	2013-08-04 20:37:08.724933	264		0
26351	10eilnjjowd1hywsn6fawyv9yt	$2a$07$Xx4RIXmJivS3xQKold5mUe4vhd6Hh9MyPjFaX7t2suSZcxXSpXrba	101	2013-08-04 20:36:21.367328	2013-08-04 20:37:09.955901	264		0
26352	10u8g20a1an40cggb1pcjm0fa4	$2a$07$NYn.91hDOHVBdgizOJ/QmOvF9L33b/SNbw12qgsO6LL5Tf7U9..vS	102	2013-08-04 20:36:21.391048	2013-08-04 20:37:11.049749	264		0
26353	10vb5ju0jwsqh7cqxu3bubea4y	$2a$07$0mLD77zc1yNjOtlMDZjV6.hCQ/jJI/bG2HDvZhL7IdSvjOt5mWpz.	103	2013-08-04 20:36:21.417509	2013-08-04 20:37:11.250261	264		0
26354	10p5dnfrx1c2xozy0os1xgex80	$2a$07$.UQ2IV0woyN4TIxKsneTX./nGa5n1B0QaQfgey2zkbqkgpi3DV/Xe	104	2013-08-04 20:36:21.451599	2013-08-04 20:37:11.420086	264		0
26355	10ajnfmyeg6i3dzgy3584rfjsu	$2a$07$SEK7pKRg6XMEow8bDeT7N.2JVrOdzIwjbSO0dUT6q3lEyfxbk0f4G	105	2013-08-04 20:36:21.473687	2013-08-04 20:37:11.576343	264		0
26356	108xv2i8cldeff5bmmks58qzuf	$2a$07$lGtOPJ.UqvQBwqIvFT1T7eTjia0wDNsgrOrtXUL9d7sbfy5xZgTPm	106	2013-08-04 20:36:21.49515	2013-08-04 20:37:11.761437	264		0
26357	10rg48zgeitk9r0swsaudx5z9b	$2a$07$9aLpsw797CuCKjoc.8.Nbumxfat9mWLyxdrcAAC6c8EZ7YxFNcwr.	107	2013-08-04 20:36:21.516616	2013-08-04 20:37:12.030404	264		0
26358	10loix4jcobry4m05ka8b6sbfe	$2a$07$nAJKodNTJ6ePI8yUeV81guIBSeGAp/3z8SyOqnjuSgYBfTMcYdqO.	108	2013-08-04 20:36:21.538104	2013-08-04 20:37:12.292727	264		0
26359	10pesq087gpb9odojzot106v3e	$2a$07$NnDDQtO6zc5PIyMqpTgD5OOhgeAecg8c4S8DcdFX2Jem1wjgfmFi.	109	2013-08-04 20:36:21.559753	2013-08-04 20:37:12.429079	264		0
26360	10u7b4kbnd7li69za3xgg3zorb	$2a$07$c5TM/WV.QuSzCTQVxNs3Y.8JUmj2LiD2Q6TGZdeDn3NkBQuQSPsxO	110	2013-08-04 20:36:21.581198	2013-08-04 20:37:12.589873	264		0
26361	10uzv4z0d9ji6txudizlj0yakp	$2a$07$8wtGxKYDUQn9xeMmj3gMG.1/ZO/3dMXZMkOMY1jaoZl8wM44OfAji	111	2013-08-04 20:36:21.602872	2013-08-04 20:37:12.74312	264		0
26362	10hlxhfagbvqlghqds43jg7y9g	$2a$07$bm8HPU8jWmU9yxdWEWhtYOnjW6mWNodSbDbm7JOwttcNAUA75qbiS	112	2013-08-04 20:36:21.625049	2013-08-04 20:37:12.899839	264		0
26363	106rm2p0ketqj4qv2yjy8jfnmn	$2a$07$bvjRj0ldzdFF1UdOHoJrI.jf9WyrxdybDCkU59BjzChYbtqr0Kgsy	113	2013-08-04 20:36:21.6482	2013-08-04 20:37:13.060163	264		0
26364	10zeiiv2wvg8ijvi7ta7612uge	$2a$07$ZGRFDu4eRYgWFxrisKi2nO0PsxTk51F49mFHPWIngVEGfTpeQpMC2	114	2013-08-04 20:36:21.677522	2013-08-04 20:37:13.226118	264		0
26365	10uzkt1t3cxrpsbp3c11u3mutk	$2a$07$J5kIWV3KDLzgCZt9c6tumOdK0YHh1Aqf0hIBKm9LVD5q1MV.GpFN.	115	2013-08-04 20:36:21.711477	2013-08-04 20:37:13.503485	264		0
26366	10pb3pb4m0jxhpf0cldvgyhemu	$2a$07$BG76u7pimKpVbLxwMbInBuS5Rk4X7rbxyq7QrSYwi4FF3rCDg8s1i	116	2013-08-04 20:36:21.733118	2013-08-04 20:37:13.794034	264		0
26367	10al3de6c26to7ebb0ldr1fk0s	$2a$07$S9JBhLrrQgXEzBo6GyKoF.hOJakX0ozy9OBxUOYjW6z.2U457v0u2	117	2013-08-04 20:36:21.764034	2013-08-04 20:37:14.199849	264		0
26368	10qv64ow42nrswdxtlm5t3ud4j	$2a$07$IEy9ZmBFoZv.VbQBbaFf2e2gddhTZuCdXhnA1ydQqavdEkBsxwgQi	118	2013-08-04 20:36:21.791749	2013-08-04 20:37:14.369025	264		0
26369	103preay6i2u7h3q2zit7ukgp8	$2a$07$XZ9IqHw8BmtXQXUO09DobuAbj2BR5eOtWwjK9pvRu9Ipbw..RFjNG	119	2013-08-04 20:36:21.814068	2013-08-04 20:37:14.510184	264		0
26370	10ktd9e1r5bsattk1hq909s2jb	$2a$07$AiCGFb6sxKqRGltZgYnU1ejpJg4zgCbo4WZN2wrSlDEJy5CxAlGU2	120	2013-08-04 20:36:21.835598	2013-08-04 20:37:14.670802	264		0
26371	10kame9ci57kush6a2h293nzet	$2a$07$jPHvgZ8h4w38u62AuOey7.SZVcuZLPrSB3lCendET8oLubCyZeqsO	121	2013-08-04 20:36:21.857566	2013-08-04 20:37:17.100607	264		0
26372	10ghl21bn5msyi06tb5aad050n	$2a$07$f9KkMGTTvdT9Egar1syQMuiNB3eZ5EOQe0CtTZLLiVG80b20aZWpu	122	2013-08-04 20:36:21.880191	2013-08-04 20:37:19.508706	264		0
12769	1093j351ozahwedcehtw95hr4p	$2a$07$OvhmBCoFu6fWF1x2U2yX1.0S/ltejVDuDusV1amGU64i11zIqIMjK	1	2013-08-03 21:33:35.099161	2013-08-03 21:33:38.381081	157		0
12770	1076atcu25u4di0ftr8haudkhk	$2a$07$oG/rNqKmlm9l0TcyewtZsOieWccW8fISL23f.i3dNfPx6Kmf3Ig5a	2	2013-08-03 21:33:35.126198	2013-08-03 21:33:38.492192	157		0
12771	104li6hvsfy88z47dp496e4w5y	$2a$07$L2Tgvdd5hQ/Nitg66Z9J/OAMax42zaWSPNucp1KX4njt8FdT/fa/6	3	2013-08-03 21:33:35.148667	2013-08-03 21:33:38.60733	157		0
12772	10isf7svs6zjekksp94jdbt4zu	$2a$07$uBZsyUP9ScYmBNVppEkumOofuwh2AWNL8/sjLo4u77/yyBDUzrGda	4	2013-08-03 21:33:35.171949	2013-08-03 21:33:38.748766	157		0
12773	101c4yvr1y2p9gm1878vx25brd	$2a$07$DfhZAC5vYLG5qRkP4vVSgO13ZTnuwNWJzcixv/gH8RQjKiXhAkhUe	5	2013-08-03 21:33:35.195313	2013-08-03 21:33:38.880084	157		0
12774	10r18os0mnrzov6r7mxqke27ic	$2a$07$1DEWzczkFLV3lxaJz1svCOHzmiEAsntqex4.KNVRMzjF.0tYACYb2	6	2013-08-03 21:33:35.217422	2013-08-03 21:33:39.034498	157		0
12775	10lup9nad6fja1lvjqkmufxdi3	$2a$07$gS12y0I.X61bij9lLo2/fuk8gHGiev8iqXq0yGCVmhxmp6kbgVj4i	7	2013-08-03 21:33:35.240281	2013-08-03 21:33:40.090465	157		0
12776	10509c8irk3x958305hs2br793	$2a$07$EHg60Xg7B3DhxOsRS9GcFeS5zNJ.4Q1pJWuSIkAD.9HVUk79rFg.m	8	2013-08-03 21:33:35.265212	2013-08-03 21:33:41.109534	157		0
12777	107dmgrjvenwizid2spcv3y3sq	$2a$07$LI6wGc6HLPXKTNNuhjg1aOYY6tgfCJXNpEsJU0bQsKi5Xe3d.LucW	9	2013-08-03 21:33:35.289254	2013-08-03 21:33:42.059185	157		0
12778	106ynr3x3tce2eg2oi4wr7lif3	$2a$07$Rvk3DP.oEeewMlj4WcPM1uRudqNlgpGyqlLe9qd.6iNsA5927pK1C	10	2013-08-03 21:33:35.312995	2013-08-03 21:33:42.158877	157		0
12779	103meoqw7143cp9y8e0s3dmqy2	$2a$07$ZXCry5ZefiNx94g3LtDK0.zHSYvLYowX8HyS4EBrQKRtiUbV.Mpni	11	2013-08-03 21:33:35.336071	2013-08-03 21:33:42.294677	157		0
12780	10ozr2jh8q8nkufeck8g3f2w8r	$2a$07$nbckhZ4L8Zz2ziQ2DshUtujnPsW9heaAXBJUfcodys52jsm3jvkUu	12	2013-08-03 21:33:35.359194	2013-08-03 21:33:42.41798	157		0
12781	10n43bgnpn410bmhcb93gaqwit	$2a$07$5uRAhEqi.nInaANYR4SznucCAwpbZxVAeSre6rgto2o97deM219Xi	13	2013-08-03 21:33:35.381512	2013-08-03 21:33:42.548524	157		0
12782	10gqxm9rbv72j25x96eddbhqfk	$2a$07$yBjfvMyjwQ8wv6Q1tECqYu36HWnE7bxbpRyPp.BD3OAFv0IfkZj3.	14	2013-08-03 21:33:35.40522	2013-08-03 21:33:42.646582	157		0
12783	107qodhbiyh0eefhfq0j3xv68h	$2a$07$QwlhoWSlS.Qos3x9fj2aJuvdCbIJdrgjgihuhDywdbSXbdZfr3Bpy	15	2013-08-03 21:33:35.429025	2013-08-03 21:33:42.762755	157		0
12784	10kfdxq5f36ndegdo9f593u1lx	$2a$07$yEIJtQV3vzVYF4R4avpere6jKnu.iLXuaExGmTke3L.E/A5jXjLjG	16	2013-08-03 21:33:35.451792	2013-08-03 21:33:42.887921	157		0
12785	10kxyc0s8o3458dqdwr0z0v00b	$2a$07$HwdnNydchN7pi03pv2CDoO4l/0kaLVk2qzFwF1EVPwru6EwYaTVce	17	2013-08-03 21:33:35.473531	2013-08-03 21:33:43.021193	157		0
12786	10kyzjb84275tn6a1t85yq56ef	$2a$07$zTGHqJw6H4Jyn.tKVA/di.3uNF/Iwie6LXU8Jrtsp6c2dgYBlCXvm	18	2013-08-03 21:33:35.496439	2013-08-03 21:33:43.159386	157		0
12787	10m11i139waj7l5kepmlcvzj9f	$2a$07$AuaDf41M2FpVE3lw3rRYDO/cyNvDeY17Nwfmh8S5zWFQcUpO1z84O	19	2013-08-03 21:33:35.518076	2013-08-03 21:33:43.267923	157		0
12788	10ftq0o503kvviqazzc4lf25b6	$2a$07$mwexxLYnL3upY2yOSgDAXuUJlSltTsluepyJeyWWp4SrQsH9L9bRG	20	2013-08-03 21:33:35.541107	2013-08-03 21:33:43.368704	157		0
12789	10b89twn42s2gkbyl7sqeexy6u	$2a$07$6Gz3hRKGGFndsbxb28bNEea3VD9cQfIt4VBpYMN3fWYvbzo0v8g8q	21	2013-08-03 21:33:35.573398	2013-08-03 21:33:43.490874	157		0
12790	10kaxq78zwfy3pcoa0y891mp0z	$2a$07$9948n/SnYK2M/.uhLnuwBuXV5RdkuVO.1i9V3matXYZBdp1DHZ1qi	22	2013-08-03 21:33:35.609197	2013-08-03 21:33:43.70643	157		0
12791	10dy0prksin2403hvkyfoustng	$2a$07$NaCMt80tHAEe8ALPOQMvAOVUf6XHcCUYGzaWuZGgOaJ20F4A6RX9G	23	2013-08-03 21:33:35.638866	2013-08-03 21:33:43.826916	157		0
12792	109amcn4mvcbfdzn9dvc4p0x1o	$2a$07$EaizHHQOZmSSbRAC7izznO3Z6e2M57xAMWvJfuZNeVstJe.Hhbi66	24	2013-08-03 21:33:35.661724	2013-08-03 21:33:43.934698	157		0
12793	10rjznm62f27kn5xg235stvko9	$2a$07$2TgNDMBihvYJ7UhIffGMIOcQPtIj8vTu9toxQTAHIrJ2MuVJt245m	25	2013-08-03 21:33:35.685032	2013-08-03 21:33:44.050559	157		0
12794	10qg7l80g3ml8g2urqva21v715	$2a$07$OMqJgJ2M9zpw2nSpdT17vuh6CEhLPc2EpaSzrsCOryzZrqLbM6J8m	26	2013-08-03 21:33:35.709707	2013-08-03 21:33:44.161041	157		0
12795	10ptg3tf076vndv5whdw7ca0ig	$2a$07$mskNUQ2siLqVXmuXFKoqzO/hguu4g6wDN4CKdRl4DKSbNSF3Eb5y.	27	2013-08-03 21:33:35.744268	2013-08-03 21:33:44.303552	157		0
12796	10udl9oq6xzq7zgugumtnjxbg6	$2a$07$Let38QQ7R/Dw0XoxNlVWgOcFwM5ory9yWmpE55H.QZwRdVF6VZHtK	28	2013-08-03 21:33:35.769236	2013-08-03 21:33:44.456616	157		0
12797	10gmswxvr6rmz9t039r65aot0q	$2a$07$Y5wkdvxeG2BwdpnFN9c8Z.HhQ3DkSPQA.vJzxImX9va7MpQeGR3Ii	29	2013-08-03 21:33:35.792685	2013-08-03 21:33:44.658654	157		0
12798	101fk8ri4jf27qyl1dhek6f3k8	$2a$07$CLOfFsuPeeJAfgV2kPM5DuFwjiVpy1yQKFJovE1WN0RpQYiYAEAEK	30	2013-08-03 21:33:35.817676	2013-08-03 21:33:44.929097	157		0
12799	10ovf5dcrl3ifvpyceo77rig0g	$2a$07$dVPGBmI9MV2sl7rn3CBZLOsiWL3oQplKONXP6PRskTV5Dxtq/iLii	31	2013-08-03 21:33:35.842027	2013-08-03 21:33:45.066525	157		0
12800	10amnhwpmcylwxdvd1uv33nmiu	$2a$07$hpAqLsW34eNDx0H0GxkfKO8n6RFK.M4Av18yUMudpViNEfJ2rGeAu	32	2013-08-03 21:33:35.866704	2013-08-03 21:33:45.179186	157		0
12801	108djdd2zsg67m41sfo4x66rky	$2a$07$kkT9rpWW3p5CK7KmW.z0z.xyWI.8O.bdSnyRL3cGnM0ZlWpcAC4FO	33	2013-08-03 21:33:35.901019	2013-08-03 21:33:45.317532	157		0
12802	108589ubtocaew65uab2zpyg6i	$2a$07$dvrJ2ElkZUaNCz0zdS7AXObA9lgPMRGqZ6xQ34KYYRPsBsJd0dYaK	34	2013-08-03 21:33:35.937921	2013-08-03 21:33:45.451251	157		0
12803	10s3addzob3r696dm5qeveuw3g	$2a$07$bZ34eUE01JJIlxYotlv1Yu51Yo5oTcp5sWhQBQyM9m.uDKE5HWNkq	35	2013-08-03 21:33:35.96086	2013-08-03 21:33:45.587418	157		0
12804	1008u4feqkyoqjaejhv7v29dsp	$2a$07$/8KDPpt29sW4Ln.lDdmd6eHXfpt0sqge4sE/NqYhy5EFQZ2fj0C1i	36	2013-08-03 21:33:35.984339	2013-08-03 21:33:45.724134	157		0
12805	10ky9vwgils8syesb7evr42yl8	$2a$07$3WS.0CtjvFjQQQIgSCyh9ezlQDePnwrg4Sf8lzHuyuO6W/.Y3P9RO	37	2013-08-03 21:33:36.007333	2013-08-03 21:33:45.840738	157		0
12806	10retievmk90cppihdk5pfbcsd	$2a$07$BNt/9c2spOFDHR1iL/ODKeOySiD7eIyq0XvKr2v8434fHma2bNoou	38	2013-08-03 21:33:36.030932	2013-08-03 21:33:45.944113	157		0
12807	10ui0qlgnpyupm74nt4s0cah7u	$2a$07$VqwChGrHmqdOX7XL32dhI.EHLUlGH6hq5sZCXsyD8p26tygaY18xS	39	2013-08-03 21:33:36.052926	2013-08-03 21:33:46.057336	157		0
12808	10wsazis9ys17h9vhu42ejjnbo	$2a$07$nwdtETDTtIEmz47/gz.Fb.xGWyWsvfUX4xu1Kw3x.AfKqbR.eVUA6	40	2013-08-03 21:33:36.07584	2013-08-03 21:33:46.16766	157		0
12809	10e0tu0zjvzjzb7p6jc5gykb3f	$2a$07$xUuGlxOlRFnv.44MYHLMYeYnzSZPI8x6hxtPym7hMD3.pyBZSwhY.	41	2013-08-03 21:33:36.099518	2013-08-03 21:33:46.285751	157		0
12810	10eyh9f0g9lgtjfylla7livdrd	$2a$07$6tGaD2qXYdg.BoyuBLuYtuKwW7Zlzv5/mfij/Mlq7234aVfAzdnKW	42	2013-08-03 21:33:36.121887	2013-08-03 21:33:46.421246	157		0
12811	101om3fi25suahv3fxsdwzoewr	$2a$07$zxTSVZLPC77rtHdzjMCTz.az51rJpKw71d0F99nNoBZv5b66lS/li	43	2013-08-03 21:33:36.145321	2013-08-03 21:33:46.676683	157		0
12812	100hv8lbjxoh08ducigrd1t46w	$2a$07$swNqtHRjSjP2zw6RSv9cQu3U3yHj/YTDqjRpod7CN/cf1DWU27EhW	44	2013-08-03 21:33:36.168281	2013-08-03 21:33:46.914666	157		0
12813	10owxbe4c23680lx05py8hu8is	$2a$07$qupmqPYmp9lLzAMrRv2Gnu/WgMY79bmBUXBZVNqVp7YeoXD/Cb9Uu	45	2013-08-03 21:33:36.19215	2013-08-03 21:33:47.076721	157		0
12814	10rm6ojh628zk8bhlpymw16tf1	$2a$07$ndkAhtyy5tWDnxsXtFDoZ.CxunygUBllD0oshGv8G1v/Rx.C.noJS	46	2013-08-03 21:33:36.214791	2013-08-03 21:33:47.217903	157		0
12815	10fbmetfne89vzdp9n6f8eedax	$2a$07$rUXEVA8zUdn2acyRAoraP.wHaelb6UKrshIVI.ugrnf8if8m.W5pS	47	2013-08-03 21:33:36.23879	2013-08-03 21:33:47.330816	157		0
12816	103bjuycgy3ef4l14ch88js8sv	$2a$07$h1cEOIfJ/zoo2IXKbUPmoebggiMF/f1LPHsKKQ0hXlfJ8WLTBHpHi	48	2013-08-03 21:33:36.262892	2013-08-03 21:33:47.482976	157		0
12817	10hf4y2se7mjjvj0y1rbyl1fg6	$2a$07$Xj1i/2myurBhkdxrmt9nhuBU/rn9vml3RKQXyvSp8odmg3Fs6CWva	49	2013-08-03 21:33:36.286038	2013-08-03 21:33:47.612528	157		0
12818	10t4odyglp6r1072k50alqy4dt	$2a$07$kMoxGeAsND/vxcDO2gWRa.1TKDz1hw0SBh4u45SK9hnvPYr7v5I82	50	2013-08-03 21:33:36.310493	2013-08-03 21:33:47.744753	157		0
12819	10vn4tsnqyxus3zaire9mjvmkl	$2a$07$Cre7B0u600WPvqlHUqxdfO.Cn9ohQ1Nnp2aAitzwmx1GYgbWNBHYG	51	2013-08-03 21:33:36.337314	2013-08-03 21:33:47.869307	157		0
12820	100a9nx1rzbk6rcr71jfcrtc0v	$2a$07$FAXMJRYQyL5afIPfSB0d7ej3nGnzMAZqw8P4BcCHH.CSsEVnRZ3be	52	2013-08-03 21:33:36.362109	2013-08-03 21:33:48.448968	157		0
12821	10vwo06i7arksg8n3dkfm81oo6	$2a$07$aUtfShX75g726/qmPvgbou7uW/al/3rr3ZTfS2rWz4PvOdioJi69.	53	2013-08-03 21:33:36.386369	2013-08-03 21:33:48.794693	157		0
12822	10kh65u2mype3gfl4t4mcogfsp	$2a$07$RM71rrgOEOxZjGPGqiCdjuC88ueQEbeuJD9piKPDiwIaEotN/oCvK	54	2013-08-03 21:33:36.416323	2013-08-03 21:33:49.106271	157		0
12823	10elb7f19ont8w684d03lv7xp2	$2a$07$sbSB2yVC9JAQI7qkyMwSQu/Jvmu1PrU1YKdVBHyQSiLVddhkizJ3.	55	2013-08-03 21:33:36.440127	2013-08-03 21:33:49.214372	157		0
12824	10882irxm3r89js96ir22zmajc	$2a$07$JzD4AAU9qqgfFLPbVmzM.ODdpyeJUWmgVRF9j83Tn0QFHnzXBoXNe	56	2013-08-03 21:33:36.463272	2013-08-03 21:33:49.360205	157		0
12825	10fjwnswtifnj2xbuemhxugmvu	$2a$07$V00FQUFBQhRKvsst14gjnu95ISafNlQi3ub0TIahiLBXrJkfna5S2	57	2013-08-03 21:33:36.487688	2013-08-03 21:33:49.494886	157		0
12826	10ggexovws46ai8q8cma08bfwr	$2a$07$5yAoDcin9FIYICNSlIS3pOBTv22g0i8Sv43XbhoTCXMr6JQk.Lnci	58	2013-08-03 21:33:36.511234	2013-08-03 21:33:49.63684	157		0
12827	10c8sdrvcte3v7qr0wysgvqchq	$2a$07$7Rp/Aol1Pz.jba7mtG6d3eUib7v8tw19bKtJ9yO8Lfhrx9FWESMzW	59	2013-08-03 21:33:36.535491	2013-08-03 21:33:49.789241	157		0
12828	107inq3v0tjfnhgf61j2lnzq2r	$2a$07$oV6QIskFxJjifcNIUb7Fm.Ff0pI/scq88Gb2Eyn9vreRRRsXEvtiW	60	2013-08-03 21:33:36.559617	2013-08-03 21:33:49.908015	157		0
12829	10q5ee74jtzo6rxzqhld6zljx7	$2a$07$E7bFJMk04XOiTxl64LZAROrDfkY47HdnLe2jm9dxwsXy5EE6Ca772	61	2013-08-03 21:33:36.584307	2013-08-03 21:33:52.443023	157		0
12830	10qpa0gzv2t1bqgb4vfox56ipj	$2a$07$fW7hAXDgCORQQ00CBwbnOOBmovx3AZs0bvozWYhj6XZiW/JV8WtgC	62	2013-08-03 21:33:36.612491	2013-08-03 21:33:55.757807	157		0
12831	10jkj6vwao8e7ht8tos8gwcy3b	$2a$07$fh.uNYIBoIn0o9cHizwum.wJZ.E2Vfbh.072fgtDS1Q8a74Y2PP7m	63	2013-08-03 21:33:36.63648	2013-08-03 21:33:58.653491	157		0
12832	104paposbg00e20hskym6evssl	$2a$07$FCQav9ofqOXlnt4g0FfJ8ejxNQQw7.nA3XfSMoBtkLGfWgD/MJgCO	64	2013-08-03 21:33:36.660763	2013-08-03 21:33:58.764839	157		0
12833	10t28irrbvzmf43dkkxaq4mxrh	$2a$07$cGd.naoq97keVgtZG/dd3eSfoIQGcDgZpWY818Zf.8MGgQgHXwh/.	65	2013-08-03 21:33:36.684399	2013-08-03 21:33:58.917979	157		0
12834	10yt4l5ucjae7n82ezlofij2qj	$2a$07$zi3bxQkJCs7jTr0MVeQOVObJOcb7ys4JWx6hEsQOVnS63Vk.q0SVW	66	2013-08-03 21:33:36.708995	2013-08-03 21:33:59.953703	157		0
12835	107yyt9lr3wb69ww1049yvk81l	$2a$07$/jxdxfr.UFLyOmFdoAVVTeNKjSd9NpYt8ah8toIJ5.4/ndFBAPm.u	67	2013-08-03 21:33:36.732548	2013-08-03 21:34:00.078603	157		0
12836	10tsofu1ynoeroa5hcn0vc69p5	$2a$07$CD507/yVRfIeOCR8UTGwF.jOvSVsKXEti3NHDJkxtX.h76I3tFnNe	68	2013-08-03 21:33:36.75611	2013-08-03 21:34:00.218826	157		0
12837	1035zb35t80lx2qakkh9axnmg5	$2a$07$LI/0mAuxvqUpnqFewAP.O.Ciz97EbPkfWvfqyBXAZP9SseHfTPoKy	69	2013-08-03 21:33:36.781669	2013-08-03 21:34:00.357614	157		0
12838	10lei9vlceqv9691fo2ret7s09	$2a$07$ys1/TgdIZFDPxeqxifguaOIcYKO1Efo.FWkRQnk6NUjx0tkS9BSy.	70	2013-08-03 21:33:36.807184	2013-08-03 21:34:00.488938	157		0
12839	109khmc8ytjr1liuxamczbvxbp	$2a$07$WS3XeO1fl2SWvq8dbI4KUOj04HsFxBriphhiNK/wxjgzquhV5Z5mi	71	2013-08-03 21:33:36.834483	2013-08-03 21:34:00.610259	157		0
12840	10wekrwleuft6qbobpqyl95d48	$2a$07$V2vjvcblmBU9H4Wb.2YNru6JoCmiZb5ZzgUCyg7jXOUdVJ9maIzNe	72	2013-08-03 21:33:36.869859	2013-08-03 21:34:00.735172	157		0
12841	10vm3hvxemwokile2qv6gwf7b0	$2a$07$iY.1idZRMvOw7DP9SjOpVOHLHvuUafBoSyrt6TZzyBBWBONvmDPEe	73	2013-08-03 21:33:36.906362	2013-08-03 21:34:01.046966	157		0
12842	101rko1pcin7g2gp4dv66pd18r	$2a$07$xUyXvVKKm12B2igbyKzHP.xBb8Z0dBiOAstO0uEcPDCpQi1c.1f22	74	2013-08-03 21:33:36.93091	2013-08-03 21:34:01.1487	157		0
12843	10xsenxcg2nipi4muwq8td2ttk	$2a$07$Ivo67rJaIw7oeZR7SCAfoOxCfnHykygCBPz9d0NgRMYShCSl3F9eu	75	2013-08-03 21:33:36.954209	2013-08-03 21:34:01.328883	157		0
12844	106507ap6pnzb3ix0bgr0ozdu7	$2a$07$1Eo6NBYuLj7.uUm/nAFz9OOy6eWmO9dmqiDd2WHjJm0lMVe9gtlUa	76	2013-08-03 21:33:36.97682	2013-08-03 21:34:01.477531	157		0
12845	10ogjadpv5wmfnthu8xhk6n8lx	$2a$07$uL5hTbqRAe8Pp/TQzjAiruLAkkBwUNqVMnJ4aJzArp25Wrkv1bZNu	77	2013-08-03 21:33:37.000079	2013-08-03 21:34:01.59634	157		0
12846	10kk7qs2p7xf3oft3qq2reuc50	$2a$07$EAzywFGDVv9UIuTmdRG5peQ5UIjtM64KtSS5bgsd87gn4DelZCvCu	78	2013-08-03 21:33:37.02364	2013-08-03 21:34:01.887568	157		0
12847	104skmxfmqzl9qwrush61yvv5f	$2a$07$guB9O13EKueO2H8BM9LAKOsw6Eo2FHfe/OtzroanPtldNvGHEESOe	79	2013-08-03 21:33:37.047289	2013-08-03 21:34:02.009911	157		0
12848	10uwi4r8arnokb2dqad9yxrinf	$2a$07$6TmEtr/njbtM1daD3OEVZuys7sB8Y9IzF9yENp.YVOZRh8CWN4lB6	80	2013-08-03 21:33:37.072718	2013-08-03 21:34:02.148226	157		0
12849	10zxwv2nljlswstqkdioz3y8bd	$2a$07$A5wBwiDWnU6s10d3qsVDFuAwG41i.2Ooe.oVP/knswJvKGs0Z2PNy	81	2013-08-03 21:33:37.104401	2013-08-03 21:34:02.50091	157		0
12850	10eoruyjne6ypuvylq75941hin	$2a$07$neAZnhLRam.baeVNut92iONAvL5O73Dpta56qfgT22sdomD1zeME.	82	2013-08-03 21:33:37.127384	2013-08-03 21:34:02.631416	157		0
12851	10wukjugw3g1ncbjyq44wfza38	$2a$07$YGk1C/rx7ZHipNjaiKyME.AKVmpBfP8H/nRfO2.KtBQDMq4hfCYBa	83	2013-08-03 21:33:37.149122	2013-08-03 21:34:02.872398	157		0
12852	103ugnapwea9bjrdznrk5qagcs	$2a$07$K2K7rkT75/AQaYflF7NtDetjj5oStwgq0WE5dun10qM5MjQ5Kix8m	84	2013-08-03 21:33:37.171867	2013-08-03 21:34:05.563888	157		0
12853	10wc5szp0iowgi955vb4pfnguo	$2a$07$m73swckVRln/yoWf32Utoufo0Sls5JqvkOtAFvM2Keas8fhymhcBa	85	2013-08-03 21:33:37.194331	2013-08-03 21:34:05.675713	157		0
12854	10jysee2f2y5yvpch71a1lx3xf	$2a$07$wkiP7cDbT9hwnSFT7D.PTeB80FV4x4fAwKBgcsp1Z23h0VL6CdUqK	86	2013-08-03 21:33:37.217839	2013-08-03 21:34:05.799707	157		0
12855	101xldqakw2gvkn50m9d01kowp	$2a$07$SjaBSOkyrfCPnxUksOqZLu9SpdU8Uz0FY833J5A4zPlt1G2UmSQju	87	2013-08-03 21:33:37.241319	2013-08-03 21:34:05.929874	157		0
12856	10foeefifs41a8iapgzkaahjwk	$2a$07$YqvHRK0e49FLSrrtQiKaiuDHTVPqyjDBVuqRJzfDL/1RyWPYpIdQK	88	2013-08-03 21:33:37.264336	2013-08-03 21:34:06.077405	157		0
12857	10w176scoqpo6bq6o430r3rzlc	$2a$07$13lC/e79hMun32ui02EgIOQOq284FYf7j9MAGta8Wp8t0qyOiAe3a	89	2013-08-03 21:33:37.288216	2013-08-03 21:34:06.928636	157		0
12858	10hzbk1dq93a2p5crrrbtr7ir5	$2a$07$LvGuZWVkHDjD5XMzzfSLf.O/5hAL0sjxnUtiwDdgVRA.376EU9KJm	90	2013-08-03 21:33:37.317757	2013-08-03 21:34:07.866024	157		0
12859	10efnosyqvk6yecjnd1et90sjs	$2a$07$4p2othOrjDQPX3K9dnNhQuqdf7UUY/ROucH0GZvib3m0LF.s8FCCS	91	2013-08-03 21:33:37.35013	2013-08-03 21:34:07.982341	157		0
12860	10qgpgqjja6rezyo4gej7gp7my	$2a$07$uLARxEVruwG5a2dSlwXWgeTRd17xIm9NWpLjZAqHcUIVIPGywFOMG	92	2013-08-03 21:33:37.374511	2013-08-03 21:34:08.104788	157		0
12861	109cjxvcrl8n1nsksqmqauo406	$2a$07$3DBHvSt//9VdZZ2b/QagFumk.V0n0CUUpsA8IJrcSecFnSkg.mXya	93	2013-08-03 21:33:37.402587	2013-08-03 21:34:08.220735	157		0
12862	108edivl6s5n41mkfhkqfqa5xw	$2a$07$MMZzaMQTiCK7DClbjQBrQegR3paTDsQfQCLezyNdsx63JvhV3qfZq	94	2013-08-03 21:33:37.427324	2013-08-03 21:34:08.340804	157		0
12863	10m6mjktlibyxghle0s7fsg2ug	$2a$07$3VFvifIv38ZRqcNscc/sy.ccxNmU9U06fvZ9ZtP5iXjyFpX/avDBa	95	2013-08-03 21:33:37.452512	2013-08-03 21:34:08.452683	157		0
12864	10vlamx67dyyl2dw9mr9eg5vj0	$2a$07$TCCeoa5fKsEYvNfR1D8AL.DEqMrQyxByrzSN9NemsgBSNbmn/7Fae	96	2013-08-03 21:33:37.478016	2013-08-03 21:34:08.583922	157		0
12865	10bql5dphyc1euwid4ci85zx4v	$2a$07$bh.6DTwtPl7ZDK2p3c2Eje/MlmVsEpt.3NTVY2LqiOFXg6vCaIXMu	97	2013-08-03 21:33:37.502003	2013-08-03 21:34:08.694549	157		0
12866	102w7gyrzximen5aeh0r6owaji	$2a$07$9X8BfzbIUJH.8TUQ5v83.u27DBRrxCFr1OfQQ4umsUt/sW8I8kkS.	98	2013-08-03 21:33:37.526162	2013-08-03 21:34:08.796371	157		0
12867	1035xdn3opbu8uyw22q0b0krnh	$2a$07$LwL4hiB29TUm31zg.E8CLexsfeTLktmiZTKBvdTorljyk92vSsaMe	99	2013-08-03 21:33:37.549959	2013-08-03 21:34:08.910235	157		0
12868	108ci2f0t19ru9n089heu8hkm5	$2a$07$Ab17W7cfElpwcaBgag33d.U21hu2rW43eKTcX4iQvBlM0LXi3Vdtm	100	2013-08-03 21:33:37.573798	2013-08-03 21:34:09.034153	157		0
12869	10mz09m7ulyul5yu3yt5gfzttn	$2a$07$3nx6jwnHBVm2OsscpTd2KuA6RBT6mcKc2pbU99.wc67yrQjyZSPEu	101	2013-08-03 21:33:37.597604	2013-08-03 21:34:09.18454	157		0
12870	105ny3tkni7hkpmruyrfchlpeh	$2a$07$3e5mzwjfhI4Qy2PKWvO42OCehN/aKI2YBkJxpmw/DveIxxyF4E.vK	102	2013-08-03 21:33:37.620423	2013-08-03 21:34:09.311962	157		0
12871	10zxer0mad3wgdlft1hxmwccoo	$2a$07$EhnW72X6mIbxQO0yuaDhkuRjV6CREKvs4ED78V.oz27KDNgYa9Ir6	103	2013-08-03 21:33:37.644197	2013-08-03 21:34:09.650883	157		0
12872	103h3y2vsnb4niv69hd753qgml	$2a$07$xK.VXneGNWVI1f1wF2.Za.PNMwsHCWrTnmvAeoI4Siy2auazGK8Du	104	2013-08-03 21:33:37.667247	2013-08-03 21:34:09.917201	157		0
12873	10346t74u79v9enql8o46s1o8z	$2a$07$lQxJYMYMTobu3mVTeqjh9.bkUcVWM4pidj2YmvWLxiZ5Jm25L2v1u	105	2013-08-03 21:33:37.690797	2013-08-03 21:34:10.054441	157		0
12874	10dvi7u8s4adzaf1usk2p44rf8	$2a$07$te9RDLd7OakOmVjfEty6WuEgmI5C1I0TkPQY4qgZ733f.yVmtWO0S	106	2013-08-03 21:33:37.714204	2013-08-03 21:34:10.190642	157		0
12875	10vbag4k5sapt8uulzfeb2vrdn	$2a$07$k0f6ZzILOWoJvZ5KDcnvae5S5KFL5GblsVf/wCIsgEx8nzBJai8Ei	107	2013-08-03 21:33:37.737777	2013-08-03 21:34:10.442814	157		0
12876	10ay92pblzp5azhogkv9recmwb	$2a$07$u3DCg0Ay3AyIDPFIPW1.3.sc8nFg1OWX9rLCDgWvG/4DhrpWfKrzO	108	2013-08-03 21:33:37.761248	2013-08-03 21:34:10.61742	157		0
12877	10e5b15jbwazlh47qp17290i72	$2a$07$Auufu0qE.oqWqZnenwPPdeWNTwrwFrMDcjWJItHPJr/ZeF0Y33H3G	109	2013-08-03 21:33:37.785101	2013-08-03 21:34:10.733912	157		0
12878	100htbojewvi34l2hus4fdu350	$2a$07$iP3877oWdz73acZPrnyXVeL1JJPkMAXB.HMIQbgJxxssF8NTO2Zvq	110	2013-08-03 21:33:37.808515	2013-08-03 21:34:10.839057	157		0
12879	10ao13yqgqo7mvlf6w23pbetmg	$2a$07$X5bdREhifPKOs6xDMMpalORgS0dZgLOTvzQ2mDw9KEQORiOlrex3m	111	2013-08-03 21:33:37.832382	2013-08-03 21:34:10.948238	157		0
12880	10qlhfzleuqqhf5x85albxvyba	$2a$07$FYF9F4zVkjXoLqVrI5xTCOWDgC6VEtIgFOdoEqroWUlTkd9LZhmKa	112	2013-08-03 21:33:37.855424	2013-08-03 21:34:11.075235	157		0
12881	10scfll39xx7ygxgqcq018a42t	$2a$07$vbdLqUUknv8cks/a5.f/XeApI2QyaAh2j9xgOJSyN/a232cf/O3ae	113	2013-08-03 21:33:37.877931	2013-08-03 21:34:11.439154	157		0
12882	101zh7ap3bv7upuez4z1a2gai4	$2a$07$1aZt.Jb22Won1PfRt/AVL.JXjkEqBwjZSi9fQKT7/OGnqrSZF0OiO	114	2013-08-03 21:33:37.901942	2013-08-03 21:34:11.778498	157		0
12883	10y5dip7fhko3zh0lcwhf45fd8	$2a$07$7TbnINICrx643ZBrHH5h0.aZg11XvNIYkm7bXNx2JeYSq17oWvgOy	115	2013-08-03 21:33:37.925616	2013-08-03 21:34:11.884922	157		0
12884	10frw3kybap3uyyzteuhcdms9g	$2a$07$UjeEkXdtBoui7znvHJgAxulpXE3OWJBX5Exl.BRjrg6qFv6mOUqSu	116	2013-08-03 21:33:37.949266	2013-08-03 21:34:11.996064	157		0
12885	101f17xn3irl9nz3gxjeun4fmd	$2a$07$IOxUdqPKeBQg5Q9Vbs4wz.g0gBfYyZk.8qQsiBOup8g8ztmHQwUqK	117	2013-08-03 21:33:37.973271	2013-08-03 21:34:12.109936	157		0
12886	103jryzcfggdcbkycqe08mr32z	$2a$07$b89GilhQavuEYywTzNxcgeFgvdY5DE5G.W5pQcwbeWigWkahtVmIG	118	2013-08-03 21:33:37.99642	2013-08-03 21:34:12.226586	157		0
12887	10hwjkde1das8nl61eniwg4kiy	$2a$07$DtUxIUDz1BGq3Tl7F5huvuknPjzS0ZUclu4TtUpRoQo9uOaQx3PMO	119	2013-08-03 21:33:38.019476	2013-08-03 21:34:12.360952	157		0
12888	10u41ijmgwl23i5okk5vvp5og5	$2a$07$dwf2in4J6c/JE9wDDK1oDuckIP6hm2yatTAJZuT8tipmgPxruHF/G	120	2013-08-03 21:33:38.043205	2013-08-03 21:34:12.49929	157		0
12889	10x2sjfr6g8cp2m5lorvfj3bpw	$2a$07$PU5JRK8NQZu9WROezgFQNu0.faATRDPyH0YdkRDPdt5JGieZ/z7SS	121	2013-08-03 21:33:38.066953	2013-08-03 21:34:12.747792	157		0
12890	10ntae2av5iisjf1a4ziq9eypj	$2a$07$XNXry/63ksRo//NOyEo33u8u1lji9YY0dNgFnGCV/KHzCuvQduqCu	122	2013-08-03 21:33:38.136949	2013-08-03 21:34:12.982409	157		0
12891	10g0eriokmdxouix7ubi6m0ccr	$2a$07$Cr9XU8nMWkQQHiqLTbx6XOWeAFAQtST3PPa.YYvvAdMqSxdonhWia	123	2013-08-03 21:33:38.167684	2013-08-03 21:34:15.624595	157		0
12892	101wyvvbj7rue4vaj0a1q8dm1e	$2a$07$mBmqQtTj2Lg7JFRII/fqQOQWhKw39oJ6DWCFg4w3cSPCKwz/UP5i.	124	2013-08-03 21:33:38.191273	2013-08-03 21:34:18.648941	157		0
12893	10w2enr92es6q5pvo75ur5slcl	$2a$07$7rff9bC9mIwgwwOTzK8CleD9Ob6ppkw9Ir6hYZbE7ThQKhJri1xvG	125	2013-08-03 21:33:38.214473	2013-08-03 21:34:19.028805	157		0
12894	109wit1s7ynvziqyoklbi6ytj2	$2a$07$GT6uqlW4MKAxeSFI5VGad.Y4ipYntzWimVNQsnbuXZh4vZE6txeUq	126	2013-08-03 21:33:38.237907	2013-08-03 21:34:19.710748	157		0
14281	10tsfjeopjhp27bpqnr84y0x4v	$2a$07$MCpQUc1a6mf4zF5SaOaTVud5tJPHhSmxP1mBHZgLHE.dvhkDjiJ.2	1	2013-08-03 22:33:35.043432	2013-08-03 22:33:38.50739	169		0
14282	10pklx1x44ymn4trz8vda1pt6v	$2a$07$XDIFkB8CwuACYxkXBBo7qukldiqegPjvQSVUU8XkrF4e7Mpf9rB6u	2	2013-08-03 22:33:35.068295	2013-08-03 22:33:38.620996	169		0
14283	10vc7l2nx0dw3upjmcg89ed570	$2a$07$cxbbViYmc55aLVkk8quL2OkxowVTlPGz1jpHTqsib6GyJIj3m9s32	3	2013-08-03 22:33:35.105901	2013-08-03 22:33:38.719954	169		0
14284	10wyh7ddoisa1x5z1uk80lj82k	$2a$07$EPVbRgczJO/zRLd9H9hgP.lxzJ4AmvHeSNjyYYt3cZv9wagJR/ntG	4	2013-08-03 22:33:35.133345	2013-08-03 22:33:38.920882	169		0
14285	106vzr1s49c6ml2vowwmwa99tu	$2a$07$XRItwVYMyh3Zz2efX00o8.yPdedzSEWbU7YZYi0okuwAPvwLJxUmK	5	2013-08-03 22:33:35.156179	2013-08-03 22:33:39.12635	169		0
14286	10zkipc61mza11mku9vvq3emte	$2a$07$ohCi5vqCoR0OSdl7BtjmPeEtw2mjlq70hJtW/NEiXWa7GKyVTlTJe	6	2013-08-03 22:33:35.179582	2013-08-03 22:33:39.28956	169		0
14287	10l481by9126mrychc4eypa5vj	$2a$07$8NMxlqMB4o2/MOnn/OEJ/OvRo9JlS3VzOOm0PRlvOmR9myJVW8NS.	7	2013-08-03 22:33:35.203087	2013-08-03 22:33:41.944633	169		0
14288	10y0vdelj9xwfdw2vdpbfx9u0t	$2a$07$p6S1IFBfrtNt0X.1G1HbdOnp2eeocOSQuokIZLp2DveI76JdHAhBm	8	2013-08-03 22:33:35.227415	2013-08-03 22:33:44.525834	169		0
14289	10kirkw084y64rqwbjmqaokr0a	$2a$07$M1bJDjo1M9Ex.kQFdNF7i.K37AnQbF0JSt2IztmO.zVDhWAs9dUGa	9	2013-08-03 22:33:35.263168	2013-08-03 22:33:47.234612	169		0
14290	10cw2xb5khsqciipoh6jlps2vz	$2a$07$NmkK/WuLeXydyJuigqsJcezvHrhaH/CHaKCq5Ywt6P19r5TI5UjzW	10	2013-08-03 22:33:35.290133	2013-08-03 22:33:47.351476	169		0
14291	10zmbbxrfnk12pnq632tzqjc06	$2a$07$PgE2zF12d9cszwSmGF.FxOCJcubMG8eqLBTGErkN3Y4UfpfZ5TQ0G	11	2013-08-03 22:33:35.318857	2013-08-03 22:33:47.487684	169		0
14292	103t8ol4a6dssqerknkw74663d	$2a$07$nGL/NDxgG8b5OKcy0OiDROAxE4elQgCIlTZJQBP4NXHotSwjwZg6m	12	2013-08-03 22:33:35.341963	2013-08-03 22:33:47.624422	169		0
14293	106o3cm0k8rs3rnn9n0syt46t5	$2a$07$.szavxFMJTyaAqL2WJrAMuh8X2ZjQj0Jb9lyx6PBOMtBhiZ.E.Ria	13	2013-08-03 22:33:35.365578	2013-08-03 22:33:47.796284	169		0
14294	10b1kruuomuk6ta7qdyene57ss	$2a$07$u9Ts.0//v2JqXuJLD5ROE.SZrtWocP9xHEgxij7T0cFbEQf9xSSnO	14	2013-08-03 22:33:35.389794	2013-08-03 22:33:47.905525	169		0
14295	10y6ms9hlz970d6nh6xroz8o3z	$2a$07$qJuaticUJDPkzeYHWhUqNO3kbD75CO2MCnAXr.Vp3csb2keJDgHzm	15	2013-08-03 22:33:35.414499	2013-08-03 22:33:48.008576	169		0
14296	10lhb4sh5dw981lqwarlw4ew5e	$2a$07$IZ0HGoTv3KMGwK7in6uEnuP58QmsG5YJVK2EiyN9xJtndGlwY5m0K	16	2013-08-03 22:33:35.438748	2013-08-03 22:33:48.152127	169		0
14297	10vkwqlbfkuwwsz8c7mtc2rhz7	$2a$07$bsV4T4MHIqhBrziMmsP1K.ywxjQ8FV3Q3quF9jYHrqX6CAJo0pSvm	17	2013-08-03 22:33:35.462738	2013-08-03 22:33:48.302151	169		0
14298	10ry9ryu2narq84pkgkh9w83el	$2a$07$q8A1OKpVGeJrVOdR0wMcKuunV.zPakmJbkMb/TkrKLU7ZFIfTOAqq	18	2013-08-03 22:33:35.485159	2013-08-03 22:33:48.457036	169		0
14299	10ltxuepbf44ml1t80fd4z71xm	$2a$07$grcfVoawKA7DwlwIxS.Opu9Og5J/.91lvxdsEzCI9NKOJyxDCbfNC	19	2013-08-03 22:33:35.508388	2013-08-03 22:33:48.62926	169		0
14300	10x299rpxi77w3qjjog89d2023	$2a$07$ZqVveXjg.uD6ynUQdu24TurQ9oXQxB/dMuzcRVS/vvZit43jmoMLq	20	2013-08-03 22:33:35.531625	2013-08-03 22:33:48.768919	169		0
14301	10z2jor494lhrb447il0al3tto	$2a$07$u7mGsGhrec0rzz1CqGETAO0g.du9Jwl6Rig.x.n1ljowxflGxaqB2	21	2013-08-03 22:33:35.55424	2013-08-03 22:33:48.918823	169		0
14302	105yebtbuagr6c18427s78c2en	$2a$07$aTsZENOSo/XGc6VcXVkhGeFwlU.E.ZY2isAKRpqE/OO03i0NG8bJG	22	2013-08-03 22:33:35.577555	2013-08-03 22:33:49.059986	169		0
14303	10vl99q0tugxoix1qc44vzs7cj	$2a$07$X8WvYNcAwwxIJbzf07Y.vefvKHbEYMcmAwpWgnbNSrnzRNnI5eKWW	23	2013-08-03 22:33:35.601481	2013-08-03 22:33:49.224545	169		0
14304	10khm6pnxbauqccjn1aza1fzzq	$2a$07$v5vVHrTt8KMXt5ytYrQIeOkGiH2tUhycA109vSNwbAZFs3CHRYKsS	24	2013-08-03 22:33:35.626069	2013-08-03 22:33:49.380198	169		0
14305	10kpre8r32x6qs56gkce09odro	$2a$07$0sYa5k8EQhr3if6TBRlK6.TPQ3/L.uQ7kxvBNGHYuLd3YDOmiDMUG	25	2013-08-03 22:33:35.662903	2013-08-03 22:33:49.522946	169		0
14306	10sj5pz1sgrzm1j45satpyipac	$2a$07$FxpA1.9D6OlJnTmCS8Hh3uArDHADN0f0xN.IUK4.OlzM.QzGCxgyG	26	2013-08-03 22:33:35.698574	2013-08-03 22:33:49.65993	169		0
14307	10nwjuqji0110w2tyuh5jhfqsm	$2a$07$QnKliSzSxD3hJVCrbvy.o.rKVPUMh.TpliBn0ztpilcCdNRKn9.5G	27	2013-08-03 22:33:35.720518	2013-08-03 22:33:49.790051	169		0
14308	10m8s0rkxtzv1hi3g3k760rw00	$2a$07$UbBwzVaHMBswRitWoIvff.8OII5pHFalUhtNeDpf17wlfVLwKTmQi	28	2013-08-03 22:33:35.744097	2013-08-03 22:33:50.204925	169		0
14309	1099kgg49vsdyulo0h7i8bf45r	$2a$07$NwKOYtgqzH7qmmFCDlxXOOoiAsJCvLBTbTCvUWgdM57/Vhx/tVH2O	29	2013-08-03 22:33:35.768604	2013-08-03 22:33:50.662521	169		0
14310	10lj53nudi6f0f98nytttaec4g	$2a$07$Npt5h94uC55s0rrGsPOpX.YugnEWqDeWRwvUbeqhE3enyGBbGJpjm	30	2013-08-03 22:33:35.797686	2013-08-03 22:33:51.091797	169		0
14311	10i28rvi0x2fvf20jc2zmg1a8x	$2a$07$wE0yqDdOlXoeW9DoK0kMEOQ4JOIjPxOknlIC2ri6WDSJj0Uz6aHMu	31	2013-08-03 22:33:35.830623	2013-08-03 22:33:51.249549	169		0
14312	10v3aay7irqjmk47lbujrh37kq	$2a$07$YdwSgSMw.haaCP/Nr3t2NuHYxiiMAhxxfmlYG.Yz3mhsCQ2zd4jui	32	2013-08-03 22:33:35.853655	2013-08-03 22:33:51.410874	169		0
14313	10ce77wvixam6jwqun0o59ywqa	$2a$07$4HWW2Vng54wFOBXjjh4J3O5IGKoImG/d2mT5csxfOKvtVHNpm3BnO	33	2013-08-03 22:33:35.893522	2013-08-03 22:33:51.554675	169		0
14314	100mbqugpg0qtpl0ug8cl4uy7w	$2a$07$3FoPJLohnzrg8JBpZhvLWeq4e1VKHdFBMjGod0RzqvXGn1v6Qb11q	34	2013-08-03 22:33:35.919324	2013-08-03 22:33:51.775496	169		0
14315	10v8r8vvn8m1oe85gwqpwet4vi	$2a$07$4nsvNvM.UenxYc0WGa2TH.QMprKqPlrmEIUGIRMd1YPlQ8nflwZnC	35	2013-08-03 22:33:35.947144	2013-08-03 22:33:51.915706	169		0
14316	10lb26p5j8nal05zx33qgtfa3o	$2a$07$0USB6WB4yvLdNpLEmUgAHu/7vvu/K2bjqy1xm.gRfM2ycXst2jZTy	36	2013-08-03 22:33:35.974295	2013-08-03 22:33:52.065084	169		0
14317	10cmdkamde3fmdzlptfb04ixkb	$2a$07$1BQPancAo7ppnvspU2NzCu52YvMvBWgCgPMTcAsoCvGRqK8.StMcq	37	2013-08-03 22:33:35.998068	2013-08-03 22:33:52.222856	169		0
14318	1036wrplzhcxc715bo7ob57gfm	$2a$07$MQ3RmZas4pCZfmTaNeHKTe7xy8moZQx2iCwMN71/nXu.zoLNZ67hy	38	2013-08-03 22:33:36.021181	2013-08-03 22:33:52.357558	169		0
14319	10zi5l8gf3b9a6unb4gokpfs5m	$2a$07$JfGltULSi.9SupLxpEbppuOFyVBBkxdRp3XPPcdjtusePxh8WXyni	39	2013-08-03 22:33:36.044283	2013-08-03 22:33:52.495562	169		0
14320	103kevqylyjh5kcb3qlofey0wa	$2a$07$PoTJd2r6/3F2iT8AeFjgh.FgwDrKBMqoI99fO2QRGkemLzqrsFBhG	40	2013-08-03 22:33:36.06744	2013-08-03 22:33:52.628214	169		0
14321	10dmf7joh3qo9vu7f9bc8hx26y	$2a$07$J03jcfNHmwYz7v.XB0g.dOYlRu2BO1nY4VPL4/KMXPndGJZVruxCe	41	2013-08-03 22:33:36.090645	2013-08-03 22:33:52.790813	169		0
14322	10aqu7fb1da6fm3bloc6hmtpkg	$2a$07$SHtQDwKyKrq0QV1TIMg1aekCnpOUnnUAXE5txj.KT7mZ0SU6oZd/y	42	2013-08-03 22:33:36.11337	2013-08-03 22:33:52.928559	169		0
14323	10rg3l5pvd4r4k71y7pfxn10ou	$2a$07$QQaa1Dt.rWv3k2IRfL9HtOkTucDVKBmSOUtYbs6LA8WNSTIuDox8a	43	2013-08-03 22:33:36.135974	2013-08-03 22:33:53.078253	169		0
14324	10lu8c4mmpp22qhdg2vt55ma2h	$2a$07$g14UiSfCFN2vobOIiMN2COdoUuxQRXhL.4367fcylttmTyQmveKna	44	2013-08-03 22:33:36.159321	2013-08-03 22:33:53.236689	169		0
14325	10bid3b55b0hsa2v7tx7mrq2vz	$2a$07$mYxHfbS9Dzu6ae7UgJV8dOjfUEggBtn7N2NcL0Wc6E/l6xxm/ITT.	45	2013-08-03 22:33:36.181956	2013-08-03 22:33:53.378	169		0
14326	10mtr6ls4xd8yb4bjyj3wuk1ol	$2a$07$hV0DuJbuXf30E/ywnPFL..xI.dxXcaT6Gj04haGNKfWTtgnyQ4522	46	2013-08-03 22:33:36.204484	2013-08-03 22:33:53.537675	169		0
14327	10p2dg246n6lre3lm55otohh57	$2a$07$4na7aRCGSjza.WBA9yc6LOK6COr4qBFuaY5J50txiNqSzT0rPJI.y	47	2013-08-03 22:33:36.227711	2013-08-03 22:33:53.694017	169		0
14328	10w0pq7l04sa2qrye2j26nblqt	$2a$07$Eu88Fkl5i/v5RVfspBns5utb9.8KJE10l5xzeh9I/Qsw3/lyajxx.	48	2013-08-03 22:33:36.250791	2013-08-03 22:33:53.827302	169		0
14329	101beg427z4aelpxzgm9bj9hhp	$2a$07$0VRs3w3UdOIC81cp3OW3yundCwcgD1FIyR6TKEAqqSC.4I24SCoWm	49	2013-08-03 22:33:36.275688	2013-08-03 22:33:53.988584	169		0
14330	10jfbkdgphlbo3y53l93oxzl45	$2a$07$IxEDmzdfRqAYLNCxi5UvwOM291u1syrW2N249vK2GuMHBh.aSPDhK	50	2013-08-03 22:33:36.311677	2013-08-03 22:33:54.127333	169		0
14331	107zrq3stt089kgsbgybtchruv	$2a$07$BnNWiF4g7BK5vRhzcoNim.tdZZZh77KB3WjUs6/SA.wwwCgzQnJrO	51	2013-08-03 22:33:36.343602	2013-08-03 22:33:54.271737	169		0
14332	10sc0sb52sgrfcimefj2colid1	$2a$07$ETMYNLNYVsfHjTo1y8w9buJnaCwFtb3I0Z0Z1nvU.Qp0Bn8OZnwtu	52	2013-08-03 22:33:36.365881	2013-08-03 22:33:54.772184	169		0
14333	1033fx7r73msqpx6rnd8sfbefu	$2a$07$/1FjZbyO4mxBsj24bYM6h.U5b.OqfAxt3W2IrMSyTPDPUMEs69e2y	53	2013-08-03 22:33:36.389461	2013-08-03 22:33:55.234302	169		0
14334	10e45y590ase36qx1w7pjyjtba	$2a$07$o8CP3/hi7oCeRaV2MSzphenTwsX6U6CvJhY/0T7EGoR3T9NSv4KTu	54	2013-08-03 22:33:36.413767	2013-08-03 22:33:55.775374	169		0
14335	10e74e622eccidu5pacgt4w2gz	$2a$07$k7bySU4Vhtzc6bDutMSo4uILDRHSHJPD7eAvvFGrgMHWBB4X4mRFi	55	2013-08-03 22:33:36.43929	2013-08-03 22:33:55.963303	169		0
14336	10jzshbpanrj1sx5hkyxlecbuz	$2a$07$kgMq3GqkAGp1hDLg0hesb.EEbB9e/YIVDy3c1LCCNDmvc7CEeZ01.	56	2013-08-03 22:33:36.463644	2013-08-03 22:33:56.085855	169		0
14337	105tii7wfptrzl4gp2pmw39b6o	$2a$07$Pb1ol1Io2I5APcapSk.4tehhQIOqvGenf4MLGvKb/THQs87M1bHJ6	57	2013-08-03 22:33:36.48949	2013-08-03 22:33:56.201299	169		0
14338	104uleyod9p67b2uf1rrxzydte	$2a$07$6HI4Ei6o7Z9Gxa66lz7EmO/nNYrFE8r5kltr2eLwz3GkMZUjviIC6	58	2013-08-03 22:33:36.51732	2013-08-03 22:33:56.416607	169		0
14339	10zw6c6d6yvpqhylp3vh0x1j46	$2a$07$mfQy.QvADcevEnOc6g1UZONI9h0oo3IOFtgs3e7g/Ns4L6IngFJqW	59	2013-08-03 22:33:36.542482	2013-08-03 22:33:56.642332	169		0
14340	10g9gy7vb3ikcma14iqj5f934z	$2a$07$s9ms/F7i5AjAwQmXbr6qN.58VGyDwLIripe7Q.4vmywAF/rHX5gqq	60	2013-08-03 22:33:36.565224	2013-08-03 22:33:56.83598	169		0
14341	10476icqpid4rm1fq8fd6vxrh3	$2a$07$4BcxqFt1vdNZm1JdKC7qPeZlshSc1oJb.ci.ZAvTr.6Hywn9cbOqq	61	2013-08-03 22:33:36.589232	2013-08-03 22:33:59.383887	169		0
14342	10zsce3wnir7x7cd1nao7wz5tt	$2a$07$U6GAgqnDzHCHDDefZunNR.YhFsnbzO/gTU/0tWSRLVchwX7RXRfxS	62	2013-08-03 22:33:36.613943	2013-08-03 22:34:02.197205	169		0
14343	10vqid9m8gx97huezav6gfaxy3	$2a$07$8tlqXH/nD2XSokGyYP3z9OV9h5nM0PvVkRZgj4KfiS.PAsdelNSGy	63	2013-08-03 22:33:36.637732	2013-08-03 22:34:05.20003	169		0
14344	10wwmifp9tfmvzrxqgpd28xp88	$2a$07$AguDWwGLwrbH6KbWjPXPWetWEUmUtv5K32dtQQVpDBIz1Te8.XGmK	64	2013-08-03 22:33:36.66229	2013-08-03 22:34:05.31026	169		0
14345	10m7ftyclmdinxq7ve2yi6okru	$2a$07$WMHFVT..JMDBbc.XvDc7beHi.VB5GUqBiWMW9uB0GPBUrocB1.0Ua	65	2013-08-03 22:33:36.694286	2013-08-03 22:34:05.452678	169		0
14346	10seq8ynpqow53yfjea7lrevtt	$2a$07$HoNngZ4rw/NEDzmzZkp7lud41ePvtYOLSK5tNk2.emL3ffz7aobjS	66	2013-08-03 22:33:36.729981	2013-08-03 22:34:06.600511	169		0
14347	10jneqrz1b9bjjwkm1u03zbpoc	$2a$07$PWlqKMHordWDXTEfEHGQ0Oa7iednzoBBcsj45rlkN7luKwHHc3B3q	67	2013-08-03 22:33:36.752313	2013-08-03 22:34:06.719506	169		0
14348	10dshl914wq6exzw54et8aa4mg	$2a$07$JyJ9A2goQmxSvi1z0mBLpu8.nNiQKk/mmOgVjZ9/pLnAZMgsbpFXa	68	2013-08-03 22:33:36.775795	2013-08-03 22:34:06.854484	169		0
14349	10c4yt8rgmh5s06o14hjck5ooz	$2a$07$PinqkcP/d5iCLmej7AnxOetqYbznTh800l0pFhd5xvczysTkkJFWy	69	2013-08-03 22:33:36.799412	2013-08-03 22:34:07.007949	169		0
14350	10oud7l1df72qmwuau0t3chrqk	$2a$07$ud2ggjQs68ccGHLAa1tzAuLw5G8Tu6E2Jff3sT4PrL2TPDqC.CGwu	70	2013-08-03 22:33:36.837761	2013-08-03 22:34:07.153432	169		0
14351	10wmwzso1s0x7zb13n44sm9lrp	$2a$07$E.uoahyZQ9DwGtkld4B6LOnzRKggorjyvFVO6tOyL1Ke4.B60ptKS	71	2013-08-03 22:33:36.875214	2013-08-03 22:34:07.291845	169		0
14352	10ec21w6zjgen0k6o4xvx4a15w	$2a$07$fvikLM.yx1CaiR3HX3H8CeuIISXefZE7BaLk/ZzfAXR7nIZDS4IpG	72	2013-08-03 22:33:36.907951	2013-08-03 22:34:07.426562	169		0
14353	10inj9mlwwlar2phr1pbft3jde	$2a$07$UOyX6G40I1bRqt1onIkh1.53eaIXyPqXrLI2cvSwjH4hP7ZsYSb9C	73	2013-08-03 22:33:36.9314	2013-08-03 22:34:07.792848	169		0
14354	10lpw25bv1hyyk828hgo9drtno	$2a$07$sGMQNS/9CVjuG3FZriahtOmV8JNMNkF.VwR.n0Qc7nFO1/ftJPZRK	74	2013-08-03 22:33:36.954556	2013-08-03 22:34:07.916608	169		0
14355	10cvlrc83pn1f9c1aj8fejn53y	$2a$07$zRDbc/2tyyUqjiCWyUxT4OJqvWZKwVsUoAOW2ec9dodKwyXoct3jS	75	2013-08-03 22:33:36.97752	2013-08-03 22:34:08.17174	169		0
14356	10mhv1xyib76yo5ur0n9ecs37m	$2a$07$OYbXBnjB9qWZLdutHoJzsOO2MRn0ipaYam8pSzzqBko1Rq5K5O3l.	76	2013-08-03 22:33:37.002535	2013-08-03 22:34:08.322577	169		0
14357	10kcp2tpwn8uhfh7yt1bnp5t26	$2a$07$MAr6qwWoXzq6bRNHgsiN9eY1yH1aMWRMW2U4s17lcJxRW1VsBjfK.	77	2013-08-03 22:33:37.028683	2013-08-03 22:34:08.46554	169		0
14358	10mx0tk79akdnxdrnf34o1kz1n	$2a$07$hXT/mkvrxig88/vHNt8SfeVhq3yxNSRmL6oHJUM8REL/6jq8apVlW	78	2013-08-03 22:33:37.053303	2013-08-03 22:34:08.627832	169		0
14359	10gi2ufd6q1bj4tiv5osc4yfp3	$2a$07$fW5qccMQ1/MxVzp2In.1lOrzv98nLGofROjXcDnyd4vHFmEvzgMwa	79	2013-08-03 22:33:37.076759	2013-08-03 22:34:08.761329	169		0
14360	107muohfegxpcw2w5xveudwk6n	$2a$07$TkLRQp82WrQBnUHlnGOkXOhqDCxQJTJiitbNcNcxJ08CmAmdTHrMW	80	2013-08-03 22:33:37.100227	2013-08-03 22:34:08.894353	169		0
14361	10s7vg08c0miqn8oz7ao19ninr	$2a$07$oFxEFFq0iY/06NQMnm3EuuyWNvf/pMcBbpunJDN2ABKOi32dWgqy2	81	2013-08-03 22:33:37.134088	2013-08-03 22:34:09.310203	169		0
14362	107feple74h2e49ssyzwar5lzo	$2a$07$4FaExgD/D8CASK/bQomQEujDS6tA8DmB8tmxSKokLV1uTGk452A7G	82	2013-08-03 22:33:37.164107	2013-08-03 22:34:09.456962	169		0
14363	10402wf7n9yqq445g3xfht991y	$2a$07$uc.0OlKm3lNz7X7pmY1ZoO6JHFhHjkXv8eOefwMXrGLUdXQsBGhau	83	2013-08-03 22:33:37.194069	2013-08-03 22:34:09.753573	169		0
14364	10zmtqem6xy27sq21w1oqgy08d	$2a$07$xNHWSZq15So3OVIxxNxyPuosgGAPjTxO3M403n0MbB.MJ2mblyHL.	84	2013-08-03 22:33:37.217318	2013-08-03 22:34:12.700051	169		0
14365	10rs90xq777j430xzbz0i9w5sh	$2a$07$30LRodfyKaANLj7Su.Ah3OQWAUnkwclZsChQzImqRf8UHIKxqYxRy	85	2013-08-03 22:33:37.240239	2013-08-03 22:34:12.857363	169		0
14366	10wdh25acm20siccustww1x8fy	$2a$07$gVVkn0jwixR8rYqIvv4DZ.uddWykVzdHuv3knTPWe6pNwZq8VsJmC	86	2013-08-03 22:33:37.262055	2013-08-03 22:34:13.055696	169		0
14367	10sw2pcqw0c67fnvho9hlssjvp	$2a$07$DyXC4qPFaLSLRfwZnLUT7OfbMLZ0JwW8EEUgfFIt.J3uMV7f9It6.	87	2013-08-03 22:33:37.285257	2013-08-03 22:34:13.210883	169		0
14368	1070e7i5bxcyj1h8gu1qnjy3yg	$2a$07$khnI1zI5TCczF9q4GltMYuGBR6LbtFywMleAPKYWrc3vhlwGoJrQ2	88	2013-08-03 22:33:37.308682	2013-08-03 22:34:13.354516	169		0
14369	10pwyb8r12qbn3ga5ko1wjwand	$2a$07$rVSut8nws9d9GmsYdZ6JO.2CKM1qtAGyFq0yy.v8QM09I.9U1kaiO	89	2013-08-03 22:33:37.330956	2013-08-03 22:34:14.591143	169		0
14370	10tgppx6m8lhugrw1j1608hcrs	$2a$07$PJTw.rbD0Hk0nJlfl5/8hu0I.KlIaM3ULcZRbmXmVf5FFtDkaWEZq	90	2013-08-03 22:33:37.362984	2013-08-03 22:34:15.815126	169		0
14371	10ooyn2hjzekz3t2krninq8eex	$2a$07$a//q20e5l8SFdRNdIQMfI.WxO2H9urXVnzjDcxCxhUpuCptn1Hy1e	91	2013-08-03 22:33:37.389285	2013-08-03 22:34:15.917563	169		0
14372	10hcgnphccrvcchg22wws0fu2g	$2a$07$/zNM7BUMKDbXKWPZDMlFX.x/j129jCAJHGfNvNxmOfdpDR45c.CA6	92	2013-08-03 22:33:37.412434	2013-08-03 22:34:16.042017	169		0
14373	10esf47lyefiyg44hf8igsda7v	$2a$07$zp.ZrvZUaPEJvjVwYS5HpOHXTl7r9PMDdHRWXHIzNZs80zYnHUceK	93	2013-08-03 22:33:37.446907	2013-08-03 22:34:16.173621	169		0
14374	10pgc8k5g5ivbenw7zhfh4q25i	$2a$07$tgQQkO9btDJ2Bx6NydLYluHWDF9wO11WtUDNHc9HrfkBNz9s33y92	94	2013-08-03 22:33:37.470794	2013-08-03 22:34:16.366124	169		0
14375	10ehmlxq8jujrqmasfrxz8a53j	$2a$07$0aXDRAJXfYdqCfD3okY4wuqz1iYeUQcPvYRFgJZE3MaS5VlNE.Id6	95	2013-08-03 22:33:37.494526	2013-08-03 22:34:16.487254	169		0
14376	10k2m9uniyev29v5z2bo41y1g3	$2a$07$BjhyJ0TsnSf/Zau40FhmtON72uBuoa9LvYofkXZnD7q4prRQffcHS	96	2013-08-03 22:33:37.519129	2013-08-03 22:34:16.636214	169		0
14377	105r18csjwhrs7fud96fqjgmbs	$2a$07$rFcmcmXqVHNi8gALbF4d5.RyNrWr8BIzF1TboopyjHFnb2ranCN7.	97	2013-08-03 22:33:37.557505	2013-08-03 22:34:16.777863	169		0
14378	10kdmsuwwl44u7hmcxgw3eu1c7	$2a$07$PYIaoY/BRG.ToA6djHjnCu/rDj.3qJvFIxP1xCcozKzXasYkwOsUS	98	2013-08-03 22:33:37.59241	2013-08-03 22:34:16.932979	169		0
14379	10y8m829hj1mytohnn0j6zmoxb	$2a$07$QK11KXcNSqYAc9UHw50yVeR7JScl0qJjz.JzRle2j5QTUaKiBE5Ve	99	2013-08-03 22:33:37.61484	2013-08-03 22:34:17.088542	169		0
14380	10pmhl2jw923c8dw5hrw827p1t	$2a$07$Ty.m3lJ3xp65qdrNxPoFOOUafa1Dio3NseLxJR4RUuEwvy/nkDoPa	100	2013-08-03 22:33:37.637999	2013-08-03 22:34:17.224424	169		0
14381	10kz3yaipkt0vi07ljeiwf7yeo	$2a$07$5/X.85UmcxMI6BNitbYmUOG.3ctET707jbPEjsQ3cQ.cTWJiHaP8e	101	2013-08-03 22:33:37.660786	2013-08-03 22:34:17.357112	169		0
14382	10advp35z669hg0xkyrmslxodo	$2a$07$JZY39EZ1klFxHrh5IzsZgO80lNo15wYKA0ee9UVUvCmWNHhJ9g7le	102	2013-08-03 22:33:37.683516	2013-08-03 22:34:17.488296	169		0
14383	10u82ta8n6xkf61j7dne2hqxn8	$2a$07$QiqxfDp.EAXWAI/e4naS8OCo36.yRI9eBJerP0Yk3pjzVsb5.qAja	103	2013-08-03 22:33:37.707065	2013-08-03 22:34:17.980896	169		0
14384	10ham6dhoc9gwb001qptzdxjb3	$2a$07$DLj19RNgPNJyaFyX1/8/4e4i3n.eh5Z6yJYMr0covs97SdgYy/HOW	104	2013-08-03 22:33:37.731011	2013-08-03 22:34:18.462357	169		0
14385	109svxsxmb00gwq9syx4ef47sd	$2a$07$PQiRGCh.0zYai0wc5DJEfeZouxJEmuyTaCKMVoFTndrASw8.sS5uS	105	2013-08-03 22:33:37.75516	2013-08-03 22:34:18.619824	169		0
14386	10wnd8coph1v3ji9pb5qdbksyp	$2a$07$5x8.CHpC70WvAo2b0cTmPOGbI7.uOvKPq2.BP.Phn5rIeFAGAAERK	106	2013-08-03 22:33:37.783634	2013-08-03 22:34:18.750896	169		0
14387	101nkwti9nengwomb1pb09gtzy	$2a$07$7h/SBlIRdN1R5lCzg8wnkuTVLHO5roXC.cXYD8uGCWLshxenwrlV.	107	2013-08-03 22:33:37.822102	2013-08-03 22:34:18.891369	169		0
14388	10e74pjkafmxx0vr74cdsoqbos	$2a$07$8DEuvxD9RkwzWc/iiZsiB.tdj5dGj.baKw6QCAc/osR2l.ygaqqbC	108	2013-08-03 22:33:37.858284	2013-08-03 22:34:19.071659	169		0
14389	10l0pjuu4cm5cck4u2z2xu3thy	$2a$07$rLvY8rGiPtgRu3IAU.lYyOzI0iaFIy7u1xoRdoFjK6OnJtndppX8G	109	2013-08-03 22:33:37.88136	2013-08-03 22:34:19.217079	169		0
14390	10vnnkyz4z2mpq27i23k3ut8zz	$2a$07$2.ftCWaMkcs7XmEWdbMsJOH/y7sTgSVmQ51fF4Hamu/YA7mV.9MSW	110	2013-08-03 22:33:37.905352	2013-08-03 22:34:19.37181	169		0
14391	10gir91ppusbm1wagcyt5ay62v	$2a$07$AwPKw9houEJooLTpQhZM8e7fs76iS03te9wyILtR4ruW.jQBdkh5C	111	2013-08-03 22:33:37.927782	2013-08-03 22:34:19.506084	169		0
14392	10z8v6hiklgf2n8hdcjy5hmy1j	$2a$07$D2DfvtWtGTYGAEOx.o.MPeaKXgsAcSoqZqK6P0lef.FWF8HhvF8Bm	112	2013-08-03 22:33:37.951294	2013-08-03 22:34:19.618967	169		0
14393	104lgzi48ru138fbx7vf6bztsv	$2a$07$Boc4F2FbF3zBmUHH9ExgN.ESTJRKzjhtIbhOhQp6bBxEDtxNsBzo6	113	2013-08-03 22:33:37.973607	2013-08-03 22:34:19.760121	169		0
14394	10mhf8zr0i2mj2lr8nd4soda2b	$2a$07$//PIc0ENT9xHzvm.uPUgo.7NYffKCL5LFCyl7KfEj/sf3WrRpP2GK	114	2013-08-03 22:33:37.996671	2013-08-03 22:34:19.885886	169		0
14395	10wa4f2fkaxlvvjpn07p3bmgto	$2a$07$weaq3b4/T0OdpBTxtHPLK.gVFdXIcQuJOghpRFGTO5ejPvE1Zs2Ye	115	2013-08-03 22:33:38.020108	2013-08-03 22:34:20.051462	169		0
14396	10brp9sbsu7ygcabad763w80qm	$2a$07$uxKvrc0vvOmtcnPRewUTrOxCS.K08afrKPmiyFR7Qp8Y6FOneq026	116	2013-08-03 22:33:38.042308	2013-08-03 22:34:20.191099	169		0
14397	109kiod71vbxg2v2gt66r3pgi9	$2a$07$/ro9SBDpiwAqqFFfjTyibu5zwU8DPGCC4wOn7bvZhTa1eR.nuzGDm	117	2013-08-03 22:33:38.066821	2013-08-03 22:34:20.345668	169		0
14398	10ynbub873iao6nyo0tlpr34es	$2a$07$xt5K.9AfTB8lw7JCf2kzE.Z/.bpDg.bptHg7P7Xly.lIok6/05Ba6	118	2013-08-03 22:33:38.091302	2013-08-03 22:34:20.496127	169		0
14399	105z383rmiwxi725hjtxa22o7b	$2a$07$z1KJoS8IJiA8YAU4BuhhP.qivkGrgsCrYBQsnLkWqGwbODOkLjJOW	119	2013-08-03 22:33:38.11666	2013-08-03 22:34:20.612658	169		0
14400	10ob4n1o3v63yotbfocqhhegwa	$2a$07$dq0z8a5dAKra4PGs2Wz74uhBPyvD.gatZELy09aTvxxMTfK0tW7u2	120	2013-08-03 22:33:38.15531	2013-08-03 22:34:20.762887	169		0
14401	10ivfbfut9ph01fgybc1grs6qu	$2a$07$naHGCzC.yA1ZhjnhZJ1trOAgR.hgb1MXM93LyPLHdsfCrGBYEWMmu	121	2013-08-03 22:33:38.190541	2013-08-03 22:34:20.973012	169		0
14402	10h3gadmcv7go2tuzp0x4rbvns	$2a$07$EDbTba.3oLq610jaCIq5SuRjUPDzW.MrOQvwH6vH38TBDB2QlHYeO	122	2013-08-03 22:33:38.212279	2013-08-03 22:34:21.18268	169		0
14403	10qah5u0xt76282pz4jqyomjcz	$2a$07$zWi.rhqB0eqjhgWaPm/Rm.KM9.BAQa707h7hBcDZSCrnXbBrfGzgW	123	2013-08-03 22:33:38.288325	2013-08-03 22:34:23.896891	169		0
14404	10a4cvk0n3ucvw9b86120ngssp	$2a$07$MGMevKdKzkExRal8Jam04eDpbvopKp6bD3YimfRJvTiw/MwX54eO2	124	2013-08-03 22:33:38.313277	2013-08-03 22:34:27.09646	169		0
14405	10nclp2c277vccnp03yhzhmlyt	$2a$07$LTHycxIxd9cDqe0OgFTwZ.P47LURRWCw/cdx/BkAbvKYPNZZGhPdu	125	2013-08-03 22:33:38.33644	2013-08-03 22:34:27.529124	169		0
14406	10xacvicx4soz63crp44tna5u5	$2a$07$HuZWdIrbftYf01ppog7P5el5eS5YDwraPKrGGeDbo.T2qJj8pf9rS	126	2013-08-03 22:33:38.3602	2013-08-03 22:34:28.015476	169		0
12895	1086q4iknglelonktkwuf6t1i7	$2a$07$BBPdvMcS0FBxB39POTVVuOExX8oxvSjjKm2eme1nYjL/0Ih1IMc7a	1	2013-08-03 21:38:35.064282	2013-08-03 21:38:38.375976	158		0
12896	10aa0c8d8hh7k48c6fhq3eywos	$2a$07$gRz3qc50eeC4gdin5Uxl7uDK3RVD0DJ2rPnIPtGxFRSK3vIOHcRhm	2	2013-08-03 21:38:35.088305	2013-08-03 21:38:38.537776	158		0
12897	10cvkprefasl9pna7euof9om94	$2a$07$yS8Yi9DL38E2kIP.7zidMOEA3YFrpQe37ZnR2hRYb74d.3RQFGv..	3	2013-08-03 21:38:35.111488	2013-08-03 21:38:38.695908	158		0
12898	10ox4wqyhow5jarztklnp8oji1	$2a$07$gY15b8y.YallBfx2GDgQiOFNQ3d92umnUrSZb3eMXuz3yskBazoXa	4	2013-08-03 21:38:35.134943	2013-08-03 21:38:38.831392	158		0
12899	10ypqjnxw3btv55w3rklqb1g0c	$2a$07$DPKb25JP1dD.lB8N2olkeet/GtuK1TvLZp70X7ESaN2cVdHvqQV1G	5	2013-08-03 21:38:35.158591	2013-08-03 21:38:38.967807	158		0
12900	10vti8aoamnv4cnoj6gckrcyl7	$2a$07$wGFcHPfctYFk3gtM6jy6keHfQ7mKvu6O4seYJtk6z/7fIHaqJCyD6	6	2013-08-03 21:38:35.182089	2013-08-03 21:38:39.111412	158		0
12901	102dernu1folk9obxutp48yj2o	$2a$07$nn5HIpk3RQhuLianDAjG7urNl505lg7N6wgnTOy4YoWimT3LLIKxy	7	2013-08-03 21:38:35.205073	2013-08-03 21:38:41.664194	158		0
12902	10hwp0n0xxyfj1x7sf741ncwbv	$2a$07$l3lFcVYDBRqvgACPDUrpduYr2fMKVM21/LWSy2m5mG5jpZnKJs1Ky	8	2013-08-03 21:38:35.228396	2013-08-03 21:38:44.366022	158		0
12903	10ko1g4po4vzogmf9xez9p6e83	$2a$07$Jf8kXQfM1OGk8O4GXTUAHeH6/.Z98B74CPa8jNyzTqpcGPAAcNHQC	9	2013-08-03 21:38:35.250304	2013-08-03 21:38:47.07549	158		0
12904	10njtyri21ofajrt1h0ajm4g36	$2a$07$R6KtcNbcQsQ5MOclmZFdsOFeWFlGsGI4tmrz0RFdurlz4gMDv.v1W	10	2013-08-03 21:38:35.274146	2013-08-03 21:38:47.224024	158		0
12905	105rlxabos3f26n13w5jc28i8c	$2a$07$DLRwsOQGWg0CqXC1BV9tWeY/4bzgs6Fy4EMtvKWPfGMh0sGlVBLbS	11	2013-08-03 21:38:35.296817	2013-08-03 21:38:47.373791	158		0
12906	10pbgpltpsfk46x02x6pei4t1u	$2a$07$khHQ6W23ia1PrgFzzx6qHOAWX.25T3grzylTwir3Qf/us5mJKKlRK	12	2013-08-03 21:38:35.319991	2013-08-03 21:38:47.494381	158		0
12907	100bnjd9wn1m5nkwa3xzxzzluo	$2a$07$zUNmZIHAN.qODwvPZ6X.z.tsEfxQOBHHcDQk5H4GsI/sHv7pcWu56	13	2013-08-03 21:38:35.343195	2013-08-03 21:38:47.614041	158		0
12908	10y9hfe9txkoyrab5p8jbt76t4	$2a$07$WdfO0EpzGIO/hI7F0z2vOOG/JDcoud4noi5oMHkZsjSYDtBC.O1US	14	2013-08-03 21:38:35.365796	2013-08-03 21:38:47.735051	158		0
12909	10q52f9ua0u511t4o1qhsepr4f	$2a$07$sK9cBbRw44bLoMqxNYSu7O9ZPxp96t.vYl7dmrO6VVR0M5y7ugbTW	15	2013-08-03 21:38:35.389012	2013-08-03 21:38:47.851141	158		0
12910	10nbd2gpx4gfaqi0s4vok11up8	$2a$07$yOJrm9BLaALdVduuRCM4m./Dq0EcEZmEY/iN7fx4REMHdCrQ0EMgK	16	2013-08-03 21:38:35.412483	2013-08-03 21:38:47.974626	158		0
12911	109ir3jcgk4xzlt4ss9iuvxtu6	$2a$07$OFfjC8Y6k3M26p1I5fdjie10PBjMhxxBxEDHDwE4shUs0uboKgzpy	17	2013-08-03 21:38:35.43502	2013-08-03 21:38:48.145805	158		0
12912	10az9128z7mnoi2cbws4prpimh	$2a$07$0BPWNOypaadi0MA3wb0gL.SO.267uR77tLebueuBMhE8fvyraBDAK	18	2013-08-03 21:38:35.458163	2013-08-03 21:38:48.277298	158		0
12913	10zzns6lcbodt0chm3a54q1gmw	$2a$07$4r0kN7MTVVDwi1RlTtdUQufeLlWRvMyDxgm4VvEwMyEXM21qR3xKW	19	2013-08-03 21:38:35.48024	2013-08-03 21:38:48.403282	158		0
12914	10e7xigsptoyw82uxdp901ym6x	$2a$07$MSS8509hHjHkkOJrWrA.aObsP3RrKsph0wi2U5uQ5ogMGNIawSOuW	20	2013-08-03 21:38:35.503869	2013-08-03 21:38:48.510974	158		0
12915	10kd0i33jpmqkjtbp5jwojjgcx	$2a$07$t6GqkDuSxse6KrMG.h2KxOPeM7TQB5JneZnkjaXbEiJXZbQiPMJfi	21	2013-08-03 21:38:35.527024	2013-08-03 21:38:48.636358	158		0
12916	10mdk8smksc6b7mn1ccsz0lygq	$2a$07$/RE99vhFklAfm3Ge40EtA.45gzCpv46qQYX2rCnesWW18ncmimBJW	22	2013-08-03 21:38:35.55234	2013-08-03 21:38:48.776237	158		0
12917	101jg69ca957nnk0hm5xe5puy9	$2a$07$alGj9rSjGJJjh/klSUv6CuOcXcVFLpdlaSE3m2eJ7YJ1CQMLd.1aa	23	2013-08-03 21:38:35.590381	2013-08-03 21:38:48.8981	158		0
12918	10ticlgdsqz38gysinxq12o0gu	$2a$07$z8MYBmMZTda43lzJ8udureOLcDvshA8TkfS8Nfyyv/SkASyOMPLKe	24	2013-08-03 21:38:35.625424	2013-08-03 21:38:49.029903	158		0
12919	10hmsvbynqe4ccphemmgmio453	$2a$07$qYWOd2QEXVN3M/IcmhqQb.B..9IPtOSUbvRLKJIMHbQQMXPV9lhoy	25	2013-08-03 21:38:35.652106	2013-08-03 21:38:49.145596	158		0
12920	101q36pf2ctoc2lkje1001qod3	$2a$07$2rJKFw5z699mR/Jbf4nurehDPWExlH68jmeEzW9n.S3WeLjtKAhyi	26	2013-08-03 21:38:35.677544	2013-08-03 21:38:49.252781	158		0
12921	108fr1n1p5lqd4or6f0hrzsbpe	$2a$07$yP3ojkuNtl7Dp76NoDwiw.nbcPs4V1/ILciz3Q13zh0iJKHh4ru5.	27	2013-08-03 21:38:35.702092	2013-08-03 21:38:49.370017	158		0
12922	10pomo1ue0lo6se720rz1twu6i	$2a$07$20s313R05iK4.FE/PTjlGuBXvkij7uzoZxtYFIfGGjrczFHhszJla	28	2013-08-03 21:38:35.727043	2013-08-03 21:38:49.699045	158		0
12923	10jrkbe83fqvsgu2el6uffdm8c	$2a$07$KFwaGtRwKlsU8IvgPw67WOYvG0mhnhBGgR3.FWYgt.S5/eqO4VqK.	29	2013-08-03 21:38:35.750952	2013-08-03 21:38:49.964243	158		0
12924	10g3gkt54fuj8041hh9gmdrgdg	$2a$07$iFVc.T3dIpD..h3om1/puuY8HPTdFd6i6oN07ko09pYIa6Py062Zm	30	2013-08-03 21:38:35.774083	2013-08-03 21:38:50.233519	158		0
12925	10a6idjykyl5c1wxidyf0qn00t	$2a$07$Ggq1GSfJ2Pcb5xDAZK/Z9eKum0.yI/VyqK1LncpniWMAW6Y.zPyga	31	2013-08-03 21:38:35.797322	2013-08-03 21:38:50.376255	158		0
12926	10lkrjdr8k57cucrw5punszp8r	$2a$07$7PP5MFkZ9GS85LG4mumpFecobmQjJUtbVrTx9rhTwrJIBQPWGXMfu	32	2013-08-03 21:38:35.820849	2013-08-03 21:38:50.509161	158		0
12927	10h5lx172rz2ubwp5qpgkwumis	$2a$07$nzy1lV7bo1MBR/.FFCI8R.B5XF6m1fr59.saMakb0Eb0lWEGGRge6	33	2013-08-03 21:38:35.843576	2013-08-03 21:38:50.634801	158		0
12928	10jlv0z5rv4os9012e4kdeuduj	$2a$07$c9MTO6N2RDtBgBGZ91DgDuLWh.jFHrg4ALY9RQoG9e.UYscCw3mwm	34	2013-08-03 21:38:35.867654	2013-08-03 21:38:50.788126	158		0
12929	10ayyee16ln0mzci3pyphez7xo	$2a$07$aemYB7e35RsQMMyhs3nex.NNqqw.b3FbhnSy9qfcgPtHiCsVpr/6C	35	2013-08-03 21:38:35.889358	2013-08-03 21:38:50.976496	158		0
12930	101nencp325d8t2bfomce112i9	$2a$07$LzQKcf7aP209DzD5WH2CT.TSvBh7WBvHsthZ3HtmseDe4cxSzOhSG	36	2013-08-03 21:38:35.912194	2013-08-03 21:38:51.122292	158		0
12931	105sgs9dzv0gv0afbpx4k68gcf	$2a$07$6qmSHZycjltw4kYMwutc.ezFB2FFC4x9L3Vlhuwq/W7n65r7xllM.	37	2013-08-03 21:38:35.934492	2013-08-03 21:38:51.235004	158		0
12932	10pkbvkvcw20cxvgz8gmviotq0	$2a$07$ojX/8KEW.rosvgbzzz5ykurYtUgfL79XR/03TEZcHTUpn3ZfpPz1u	38	2013-08-03 21:38:35.957123	2013-08-03 21:38:51.349683	158		0
12933	10zctf6necb6u6k8gdx26djmim	$2a$07$sp5dfssS8Ukrxrj7e02h.eMyMDE0eotD3haz5tmJ2QxdrAekJ0w0G	39	2013-08-03 21:38:35.980372	2013-08-03 21:38:51.466482	158		0
12934	10pfx58p1y4kjhfxv8e7s8qr07	$2a$07$k7Ry8IiHpiTeCXw2fgMaNO45UFQBdfZczfPyZBfT3n5AFobpaXTUG	40	2013-08-03 21:38:36.003204	2013-08-03 21:38:51.581998	158		0
12935	10em4n0sb8t8v00grkkve3j0ar	$2a$07$nRRvcAuByg4ibn7yx4yg/.tptPtDerSMhWRnEmXHSvfKOhT3fy20O	41	2013-08-03 21:38:36.026321	2013-08-03 21:38:51.699815	158		0
12936	10ws981czuy2npdm4ppu4euq3a	$2a$07$ac9InhzjGSeL0NFExtIgxudxFrHLYmHK.kajEdlPRNVvGHMoJXU2e	42	2013-08-03 21:38:36.049838	2013-08-03 21:38:51.812487	158		0
12937	10737qwi1szjekmjd5270ht46x	$2a$07$co2TGNZb7klfYXz1Vwh2Y.BRIc1ug2rF8OGCQhFEVF/pMGgft3gnO	43	2013-08-03 21:38:36.071862	2013-08-03 21:38:52.109199	158		0
12938	109w1gs7nh2086jxep992ixkoh	$2a$07$qWArxXk5TtGTTBrZvAq.tuZN5YOLPOu.hpHJZAzCWq3MGTe98txy6	44	2013-08-03 21:38:36.094524	2013-08-03 21:38:52.396221	158		0
12939	1004bfc7qlnltei0gyyvjhqmjz	$2a$07$QtS4ulTkjaEjtK723DgpqOvlMJRpv2Rql8WrVzZySMNX8R60c10SK	45	2013-08-03 21:38:36.118537	2013-08-03 21:38:52.620403	158		0
12940	10dwfuhwdnq6wqbinn0hqgluzk	$2a$07$xk6n0HYL75cFcsUe1QcVdOj7vMIRcGRvj7ZOqro7HwQpaJFxsPnou	46	2013-08-03 21:38:36.140567	2013-08-03 21:38:52.747407	158		0
12941	102z3258urvjbr5nxri4n1vm75	$2a$07$vi2tmeJokNcqMxJRyhZNS.GdUo1pK5YKUuQ/fZej3N6wnGhvuBMp6	47	2013-08-03 21:38:36.163636	2013-08-03 21:38:52.872505	158		0
12942	10s15zmrb2uu8art6kll5494po	$2a$07$MozPpuitSyCF2rl5.VMlXurf/VfWtrHoGIE.7F9U1tuAsiKJyxl92	48	2013-08-03 21:38:36.185778	2013-08-03 21:38:52.987472	158		0
12943	10odetussfv13ita60ww94o58b	$2a$07$W1GURBsi24srR6pTSdR11efPSx8fosffBWHTHa052x0R98YVBJElW	49	2013-08-03 21:38:36.209156	2013-08-03 21:38:53.119556	158		0
12944	10foq716rmhar42dqqypwra1a2	$2a$07$4bd441UhxvG2IqdczRsAH.ctxWIzIHF9.pE78ynQ/BkYIU2V0riKe	50	2013-08-03 21:38:36.232442	2013-08-03 21:38:53.245792	158		0
12945	10t0iyarpya1sfh7ptr55zlt6t	$2a$07$FF5BQNO/7rHFS0GpGunnx.9rE3/oFKiAVIPopZCkQy/LK7uCfXw4.	51	2013-08-03 21:38:36.256327	2013-08-03 21:38:53.382571	158		0
12946	10a9uuqt9oq7onpd4a8qqaur1v	$2a$07$cSd0YR8twjh1Gs4TYhZis.VpUNONg9vXFS03jblxYm/rfEtQGIPva	52	2013-08-03 21:38:36.294869	2013-08-03 21:38:53.688311	158		0
12947	107n1j2oxyggenzn2v0bu9kefq	$2a$07$sxR8AzgF1Zf530iE7LsBYu6dU9uj38WKHAGo61Q.lQTUzxUNvjPUu	53	2013-08-03 21:38:36.328343	2013-08-03 21:38:53.983938	158		0
12948	10rxrd92ovdgesanmci85to87b	$2a$07$s6NhEO3jOrknU8xhOPzhd.7lQMiUsBgRKIPZCtATCadE18KM3oop6	54	2013-08-03 21:38:36.351888	2013-08-03 21:38:54.277901	158		0
12949	10pmekc549vweh9fj35vilvzf2	$2a$07$a2YHu8lwnp7TatK1ktxGlupphAaH.vfYHlQ8XrJoLLRjp2.P9xW7C	55	2013-08-03 21:38:36.378745	2013-08-03 21:38:54.400828	158		0
12950	10r73vfwtycnq9b5lq3finqka5	$2a$07$stgJY8UbtonzHU/B4.i8y.mj60VCI3XLConcV9Tx0Ygo6WGke.sb6	56	2013-08-03 21:38:36.403542	2013-08-03 21:38:54.535025	158		0
12951	10bt7x1haho9clf37lmm5b61ei	$2a$07$XIH9MVrfB1Hdmml3LwAMCu8x1gHA3dbSv/ieshfauXuECHkWBDz.i	57	2013-08-03 21:38:36.425861	2013-08-03 21:38:54.669779	158		0
12952	10n7iqwmdl18z5bu0kbdemq24x	$2a$07$5bkEkRTZhaLQIyWw/57dZ.PEai2rm04GB1/L5aQ.ZMeB76XKgXQt2	58	2013-08-03 21:38:36.449144	2013-08-03 21:38:54.827492	158		0
12953	1098sf0lhv795nhnw74ctki62g	$2a$07$DO3IU9NZwPxZR5TaP7mSK.DnwmMNGn.fl8cxyPr7Om9fbUTGNNylS	59	2013-08-03 21:38:36.473709	2013-08-03 21:38:54.970156	158		0
12954	10clovpayss33u1jh8li4bq7w5	$2a$07$GPQkzyFORwtebzd./Uk2IOcrq/w2gkmM1cbJIwQFMDSRpvRPlD1u.	60	2013-08-03 21:38:36.497257	2013-08-03 21:38:55.098785	158		0
12955	10mqn7tjt9rpytgm5xvkl13vmu	$2a$07$19GHgXwimm8ciTVm2g8aEeOz9xZOTwMl8BqqtX.inhQP8ahDxRvnq	61	2013-08-03 21:38:36.521074	2013-08-03 21:38:57.950004	158		0
12956	10lu5q8xj0fb0frvkyww6howcw	$2a$07$RlqrjNwsFlA5KEYKzugKOeU.CxqsVX0sVQKuAIiOCQtej6HM2lHzK	62	2013-08-03 21:38:36.544586	2013-08-03 21:39:01.148187	158		0
12957	10b9ida44048t5coglkggkgjw6	$2a$07$oTaU9jpOc8GOJ3j60dNrX.AUblHkFfWv2dnN5PnbIeycomvJNCZaO	63	2013-08-03 21:38:36.568534	2013-08-03 21:39:04.143543	158		0
12958	10rf8elsuszrx0yhweoc99uao3	$2a$07$Qu/ogKW//BpyhZPQ9ejneu0oJo3FhTEb3DXwPrWndaoI1fKnIBY1K	64	2013-08-03 21:38:36.592191	2013-08-03 21:39:04.297467	158		0
12959	10ml7app9fynz21ii3nv2l4lpf	$2a$07$TrwFVPiYTGtlKXYjPcMIAu7xeYOenP0o4vIAUCnBH0aWRgEvvLrL.	65	2013-08-03 21:38:36.623218	2013-08-03 21:39:04.44474	158		0
12960	10p8wlkygocm75a75eg1grgb77	$2a$07$Ddrboer/9VVbkdJpMb2cMOBTccPY5DiqpCdXWba9K86jM26to/Piy	66	2013-08-03 21:38:36.65988	2013-08-03 21:39:07.154708	158		0
12961	10801vu7q83knc4cboagym6iw5	$2a$07$vqhs18dxJyLQpRNL9.sINOCT7oB9nIxXl/MGRcV41V8uBCtKOzIRy	67	2013-08-03 21:38:36.687738	2013-08-03 21:39:07.289287	158		0
12962	10nek16clkvj5n09bc4s9t8es7	$2a$07$I9EfXQc0JfqrwvDti5V1X.JOLxEHigzzJsKAUPx1xLtfJQIaxaG1W	68	2013-08-03 21:38:36.711857	2013-08-03 21:39:07.421997	158		0
12963	10natjo03c4zufcbd1iuzu44ev	$2a$07$4Tx4U/91VbRyLhfwCuad5OIIPpY8rTKGux.gNu1uVbtRB5VRfcEnm	69	2013-08-03 21:38:36.736848	2013-08-03 21:39:07.556044	158		0
12964	1034newn7xgfrjacwhukoyypr9	$2a$07$VlRfebXU1quBeMqlJI4fdeOQU/l6mhtQAbcmXJkswQHzi6JLty54m	70	2013-08-03 21:38:36.762044	2013-08-03 21:39:07.686541	158		0
12965	109tg4x8bnh8cpmeuoa1settq9	$2a$07$f8/4jhdGLKIEnLgobRrSp.jn8WDhSqfQ888hy46vjyfTJVukcgNeS	71	2013-08-03 21:38:36.786584	2013-08-03 21:39:07.787202	158		0
12966	10ta5qw9j2k9hgunxwvpvr05hi	$2a$07$AGEJDWAyNuajS.eTqWuCw.wlHD051pGnLhs001Jg7XGGH1ejCt6QK	72	2013-08-03 21:38:36.81131	2013-08-03 21:39:07.888266	158		0
12967	10thattjkemr523yut4b9toyvh	$2a$07$e9F8r4ZCXMa09IsecxBFN.qK5ThTd833Z4JqGQrRbX4XJKzH85eeK	73	2013-08-03 21:38:36.835139	2013-08-03 21:39:08.328809	158		0
12968	10pabfqosniws6bxw8ahi39cjm	$2a$07$ttbCemYUBbiP5UThtbg15eTxaMcXv4sRC654oQeEhP82CoQl9tkmm	74	2013-08-03 21:38:36.858819	2013-08-03 21:39:08.520812	158		0
12969	10y0r89th8ce454jfoppoued1a	$2a$07$8yoRB/5t0TgJ36o24ZAaeuUa4HDG4i9SdfVP1UEvqETcN8awhFD82	75	2013-08-03 21:38:36.881852	2013-08-03 21:39:08.657015	158		0
12970	10ooxv8dl7bf1c371cip2fes63	$2a$07$eBvyd9hcrVR4Xmuz/vibsemOu5H5m612fxo.pWWuknamYrdeUIwu6	76	2013-08-03 21:38:36.905875	2013-08-03 21:39:08.867567	158		0
12971	10kwjkkklpjvig7wzn5e9irtl1	$2a$07$Scm/esyIsMANf0mx57z7.eqrND4vgPq7tvcc2aS4fLqi0dcqOc1VC	77	2013-08-03 21:38:36.929865	2013-08-03 21:39:08.972319	158		0
12972	1053e2lx0gyhhesoic5t6z701f	$2a$07$BGwHoR1QE53Ano3Chz0X.u.TjJPrpBqT6G6rg1AWzCEuuZi.2HHKe	78	2013-08-03 21:38:36.953786	2013-08-03 21:39:09.273563	158		0
12973	10rro59ne545lbkeiqrjz0kdgf	$2a$07$xDzzD1nzw5CfKqYyZoMWved7lphKyaEwBbznUoQEESdnI3y2b9I.i	79	2013-08-03 21:38:36.979128	2013-08-03 21:39:09.432877	158		0
12974	10f0t4ystjj7udfajrm9saorvc	$2a$07$qN4Eecfp0CYDmQanQzcF1ugbTIUPRJ0dcG47BHMRJftFGLL16xRr.	80	2013-08-03 21:38:37.008681	2013-08-03 21:39:09.564064	158		0
12975	10h4t8r44f63fbzab3nm869stg	$2a$07$an9hkZ4m.E7vw3E8IZll8ODxYYtfLV9Wa59KWL0aCbxNy.AJfGYmC	81	2013-08-03 21:38:37.040027	2013-08-03 21:39:09.835909	158		0
12976	10uvocjwp0vuqanp3tc0ubolc8	$2a$07$gmni6C7czB2zFobLa0KWNe8mnZEROmOccGeQhadOTbwNn60Flig4y	82	2013-08-03 21:38:37.063415	2013-08-03 21:39:09.96141	158		0
12977	10k28kgq0m6sxahg1an3df2wfj	$2a$07$k17vwvMH9P7kROAXOqNq8eWCpQ8IBjIAO3IzUQI0OjfpOXBcq2M0e	83	2013-08-03 21:38:37.086789	2013-08-03 21:39:10.262961	158		0
12978	10ng7zuhjx3q5r6snszpxp4oh6	$2a$07$PeyCv9J3q9YsgvRyemkEVefD8i7X9NQkAFh7muB4He1Ot7NrVr8.6	84	2013-08-03 21:38:37.109983	2013-08-03 21:39:13.143707	158		0
12979	109u8xddz2ybw8947ccgk63e22	$2a$07$Muh3Aa7/2VEvbtBOkcryYO2qPG/poJS7DhQLkSzJ6kcrI05Zp.R1a	85	2013-08-03 21:38:37.13383	2013-08-03 21:39:13.260596	158		0
12980	1090t8qfxmlrkclm0zmc25o9uj	$2a$07$DtZbnGRaVxw625dlNWBNYumGbeywH7yXhd6VqH6I2BdBfy99lHCoO	86	2013-08-03 21:38:37.157196	2013-08-03 21:39:13.40525	158		0
12981	10w35t5ymvww245kkmrph6kbuj	$2a$07$llCY5.gsbqD5YTuz6bK97.XcTCBKbjFbPUQ9MMzCkydmxyUzB5mMG	87	2013-08-03 21:38:37.18116	2013-08-03 21:39:13.569859	158		0
12982	10eboehyfx0ie34a2yzdsluopu	$2a$07$fgmGf/od8gS.QKsgfmb/qu3IgYKs9BpJr5IsBgLZ7T13rBQXvTPoS	88	2013-08-03 21:38:37.203737	2013-08-03 21:39:13.716514	158		0
12983	10876dz0nfixu08xhibz73t54j	$2a$07$.3nrN08ij/s7Kzj5Q2ebB.lXyzce.usR3CKEpoU61F/eSl63Fp1Ee	89	2013-08-03 21:38:37.227167	2013-08-03 21:39:16.440336	158		0
12984	10cwwypvbkyy8v4cmo3a5mhcy4	$2a$07$upK6lAU8e9M96KQ85aAbSOEUxCgZuo/u2iiEQKvxxIQ1.h/RkrOxC	90	2013-08-03 21:38:37.252156	2013-08-03 21:39:19.428053	158		0
12985	10wruajvgq77fzuvw0jm03nxfg	$2a$07$Hbk6kOU1YxFOt.lyEkKgfujDzzVK07X2MdKkEIxSGakJuFGdNWRwi	91	2013-08-03 21:38:37.280626	2013-08-03 21:39:19.540923	158		0
12986	10lrxkkadoxzkonffy3i2cl94r	$2a$07$NQB6iPsTpB9Zru4ylg2cEullVS5mGBedgdXPAodUy6UwRxErdX782	92	2013-08-03 21:38:37.314675	2013-08-03 21:39:19.65965	158		0
12987	10429uznvz92zqllxnmedz95w1	$2a$07$SnVUECyIcSxqIOsIP6PIHeQ17G6kesseE24HXEQ1Te/84dQWFuhb2	93	2013-08-03 21:38:37.338164	2013-08-03 21:39:19.774277	158		0
12988	100cigwv1x8f8adbzliohsh2m1	$2a$07$ROLvqZyPMBu5xSNQKYirKu4Zoo4f7Hj0J./d76BPzwCghJRQKx7IK	94	2013-08-03 21:38:37.360002	2013-08-03 21:39:19.900492	158		0
12989	106xgmns65j35y953thpaahqv9	$2a$07$f1BKNkOXeK7YVVkKgVTRPuCK6XeY.MLnXkbIhi0XapkPTa.4QohIK	95	2013-08-03 21:38:37.383144	2013-08-03 21:39:20.039875	158		0
12990	10owyyh84lu1d8z634zk0ts2pj	$2a$07$CC1/5TkJT7g6BxYTwkNI5e8jsZBU17PFBP3aElE.AE0ltU6798/si	96	2013-08-03 21:38:37.405548	2013-08-03 21:39:20.185324	158		0
12991	10od9k2t1erktdcl85bayb9b4m	$2a$07$YDUaMHhqWsuTrUf7W7r25.5M3ulV0.CxIi2mmEBY9kuwbOKepAXRW	97	2013-08-03 21:38:37.428992	2013-08-03 21:39:20.315025	158		0
12992	10b3qzxl8g7eb4nq7vi9pitzai	$2a$07$WyFVZdAcIX.bBf0TTmLCBeatSzxYKn5Bo8Xc/h0IoFWUE2mvqcl.q	98	2013-08-03 21:38:37.452815	2013-08-03 21:39:20.461167	158		0
12993	10rkh0jkrhmscm2pua55pomwej	$2a$07$xC1nQ9pn99C0iuoYCY223O/KO2qoEa0hWv140uvGt8EcX61CRqCwO	99	2013-08-03 21:38:37.477613	2013-08-03 21:39:20.594957	158		0
12994	1043e1vj74guop3490hm4bs9bg	$2a$07$HsErBk8iDbOerkKde6PVPerxoei5x3lzE589CRzNdKpTFyKnsssY6	100	2013-08-03 21:38:37.509605	2013-08-03 21:39:20.742974	158		0
12995	10rt7b31o40dcx9xhvmlw1htvv	$2a$07$YruvCOjqevn1Y1XlxfN9M.PO07S4Irm6Y4mTnZmpgvgfP9rzvnbCy	101	2013-08-03 21:38:37.547169	2013-08-03 21:39:20.868919	158		0
12996	10iv6ynizteqtmiz33ox0oa58l	$2a$07$NXG4VN8SP2tbnTh0tlV5N.qw5eK1Wl/DUCa8UOGPQnBHlzkO6AeaK	102	2013-08-03 21:38:37.579336	2013-08-03 21:39:20.99104	158		0
12997	1028b9bep84au9vdqebghvs3h7	$2a$07$zSazmDjsWVJp6zt8WnRnMOlxvDYrQwvGJsm4oAPClsd2fdem9ATT.	103	2013-08-03 21:38:37.601534	2013-08-03 21:39:21.373095	158		0
12998	10c87a8tokafl950wbk1f4erjj	$2a$07$sVoBaHd.OLI./ceLcRwGO.THnCD2AmJZtYSR0SBdz0E2GNtUgELfG	104	2013-08-03 21:38:37.625491	2013-08-03 21:39:21.737525	158		0
12999	10tohufnxwlbdzke2rrs32827s	$2a$07$SofH1i0GbBqMpsJVEDILUe0kJOv1qVoMZ.m9sAaiUk4wG/G4HyHvC	105	2013-08-03 21:38:37.648742	2013-08-03 21:39:21.863524	158		0
13000	10ms2un7575o210gkdf0dcvqwt	$2a$07$p.Q3cjNS2HZq.WIC4jfy2OtCiGZJ81zq3TJ3MGZ0AAUYPXYnoCgq6	106	2013-08-03 21:38:37.671524	2013-08-03 21:39:21.986617	158		0
13001	10p9xfxb8bltn7k8zryypxud3q	$2a$07$6XQ042eb.zcaUy1TGhYuTeUo69LehJekUODBTDweteobQc5lvlZ5a	107	2013-08-03 21:38:37.694754	2013-08-03 21:39:22.093027	158		0
13002	10ysf7bxbopcdfjuyuweq5p2q7	$2a$07$j9brIXCnVDapQ.TQYBBqDeeqGphBiMfTYLt1R7gODBbajrK3y1PN2	108	2013-08-03 21:38:37.720084	2013-08-03 21:39:22.234242	158		0
13003	10oh2alsp57bcv20tk3uhj7qgb	$2a$07$/YYOLpA4Xz6RcJMHa.nddO4iPFsbR3TctIkkJ6vMlkQ59Rq7wCIjO	109	2013-08-03 21:38:37.745115	2013-08-03 21:39:22.38007	158		0
13004	10fxl2z3kr54bo99zh2tldozi0	$2a$07$wlzcYjV/yIBKPUp4PKkDtOL9En3Vk2nukjyE6dzQrEQ1ICsWAdyBe	110	2013-08-03 21:38:37.771069	2013-08-03 21:39:22.491112	158		0
13005	10ejoag8btm6y6913c2q0cl2v3	$2a$07$jJhbpzT/Wt/dx5mgz3xbdOHik4Ksam7zbwP.Wksit6SPMezZxKvZm	111	2013-08-03 21:38:37.797881	2013-08-03 21:39:22.650689	158		0
13006	10ilz2d6kjyfc0fj3s8ykas6th	$2a$07$1E8751Gxq1FkyUKENZydZ.cbxx3ogdOihoxIFxDdjkZiyxjXs9/kq	112	2013-08-03 21:38:37.831396	2013-08-03 21:39:22.817492	158		0
13007	10u3hw1c1pxw2ntzko0jfaxrc1	$2a$07$oGFviLMJWRc/TUY7cB5gUu122bV9e86WDpQ8Xg9QpVozMFu7TocZu	113	2013-08-03 21:38:37.856364	2013-08-03 21:39:23.132215	158		0
13008	10v1s65lb33l9st7vn9pnh3jzj	$2a$07$j09Hv/Th9swa8lcI9SiqlOfXhKE5PgA4RpX90/4QiK/oma7m/ZG8y	114	2013-08-03 21:38:37.882061	2013-08-03 21:39:23.427623	158		0
13009	10e6u0uoj6gfo1aombnbdcqzlq	$2a$07$Yq1nT5ocLNCjQfKqWlXQle3.M/afV5H4OFoH6PdaYtMSgY0yNOR3W	115	2013-08-03 21:38:37.906238	2013-08-03 21:39:23.577124	158		0
13010	10l6vuifoscbm105yedljz8c67	$2a$07$z8f0gTcTYaqo8ZQORNGkxe01ahcUzAGC/lGiYn5i4hHM/j8o1S0wC	116	2013-08-03 21:38:37.929125	2013-08-03 21:39:23.71911	158		0
13011	10xnsk112hoaaru13krn9vfdq5	$2a$07$HO9ItmL/6GArWApoO7wV2.h9GHOU8TDoy77RYQXjoj3z/HPEDSh7m	117	2013-08-03 21:38:37.952346	2013-08-03 21:39:23.833018	158		0
13012	10dfhakgxh2sh8a32suj8ztwtf	$2a$07$6UJ6Gg6EOY98UCfaYiRaJuFRh/3ISjY06Nt83ijEp6F.V.2GhoEIy	118	2013-08-03 21:38:37.975048	2013-08-03 21:39:23.938455	158		0
13013	10d1h96ztr0m48odgoocl1r0xt	$2a$07$iMw2p1WlvNYRizuUpnPmn.O/LSiTBQcmoul9eLlExaZkfKSQU9SfO	119	2013-08-03 21:38:37.99765	2013-08-03 21:39:24.063889	158		0
13014	10wdonqxdfeqi01c9f7tau7kte	$2a$07$Pt70n.R8OWbERMtRL9CJaeCrDqXbZ2Q5inVBUrV.o05bJqg54YWEK	120	2013-08-03 21:38:38.021101	2013-08-03 21:39:24.213216	158		0
13015	10d5s922hv0h1mz2oqgub0ncq4	$2a$07$57PtM7vEJ9GnhT6eEwRfROaQBLGZRKQ8d3GrWfStF/9ViOJo6qKZ6	121	2013-08-03 21:38:38.043057	2013-08-03 21:39:24.336014	158		0
13016	10yzidu5ins108or2epqslyitg	$2a$07$3R1l6kJ02nzilHKfrOfLpOcqiWK.iq0t5fLzzzVdyY9mCry/fsSN6	122	2013-08-03 21:38:38.066191	2013-08-03 21:39:24.461032	158		0
13017	10fe147or2t0e9teet3bgxzpp9	$2a$07$fXFxsRCL1ZE0t3QewgbFW./lvnk0eg0kwxPY1cQDsOudrtpkMyeii	123	2013-08-03 21:38:38.089837	2013-08-03 21:39:27.546243	158		0
13018	10pks1mwinsiur8xaohk9iso90	$2a$07$KQyxjeBdWppxwCffk9UcQu7fJ.cugX.vB58rdfWj1UCtszkgLYcT6	124	2013-08-03 21:38:38.113244	2013-08-03 21:39:30.758552	158		0
13019	10wq2vn4pswkrx62phvi1op0e0	$2a$07$MytpNf1ICI3RtbYDrBE4H.vVi53QbmvbCPFxSqMbQX4ZEfRxtFkuu	125	2013-08-03 21:38:38.138566	2013-08-03 21:39:30.862831	158		0
13020	10py90bg5ivg5wd4geadr06thq	$2a$07$G016yY/EFveL5TXYLWlq0ezfyZrWEZtGiPeSfr3ZWfQhMruNnGFZa	126	2013-08-03 21:38:38.178273	2013-08-03 21:39:30.972914	158		0
16927	102ocp606dq9gcgper97uj39o7	$2a$07$gpSRs4f5N6.D6gqP7hPxJOJMhB3Bg7yE2tDnDbjhslUybtK5AFRTG	1	2013-08-04 00:19:48.084192	2013-08-04 00:19:51.364039	190		0
16928	109irxx3wll3dea1dkzjnldr70	$2a$07$29RRmHn1t.qyht1BYco1YOVP2K55oKkPY3hjHTofrjOae4skJqvW6	2	2013-08-04 00:19:48.10806	2013-08-04 00:19:51.495433	190		0
16929	10ical9uv241l7ytdljlbm2p1u	$2a$07$zx0Wk6h61sjtWqoyM1quuunbGSPZFdQIHSJlJYvCjoq0I3jo7BU4K	3	2013-08-04 00:19:48.137403	2013-08-04 00:19:51.639883	190		0
16930	10o7ve6558koin1xau1luxnbgx	$2a$07$Z7qHaOhJZjvpum1OKzipl.fNFqmAjWOjpPad7vXaRl4EUT8pZhI4u	4	2013-08-04 00:19:48.160536	2013-08-04 00:19:51.77956	190		0
16931	10mezua280ojqszcvvgbk8mj7j	$2a$07$4CoH4c6mgJZZiVSM3UZVpe6OfjOH7lnXBfbvxLAnY.KIAfBcVRXfu	5	2013-08-04 00:19:48.201862	2013-08-04 00:19:51.89845	190		0
16932	101jb19drqf3fyjrn4gwin8y5i	$2a$07$CvhVI8tE7lcPp.iPXEaheO9AFIANnAtStWp40LpZ1Vv49H/.wRitq	6	2013-08-04 00:19:48.22761	2013-08-04 00:19:52.021265	190		0
16933	10vea2vxby4jri3ddut97uugjn	$2a$07$/wWMFOFzpzB3pSjrSU4yhuZAQh02us/0NP2ftVDgVNGBSXfe1aHom	7	2013-08-04 00:19:48.252185	2013-08-04 00:19:53.185118	190		0
16934	10047eaxqa5f966gmg8n1g274d	$2a$07$GxeHKQYOdiFYIYmU8MgNZOu57CTw0lLcfbR33j4xSbkdcHKiZ/Nw2	8	2013-08-04 00:19:48.276585	2013-08-04 00:19:54.271608	190		0
16935	10bnd0wyv082vvob83w24o0p0u	$2a$07$rt7a9SL9Fc6MG.bsu4JC0.TeeHn0hUXRsg6Wpd3nQ0JPGICYdQpu6	9	2013-08-04 00:19:48.306439	2013-08-04 00:19:55.27658	190		0
16936	10mecyx319wwwhabjj7wi0ddb0	$2a$07$jmqnkllASfw6WOfJ/3naiOHPRJvR7hmVJDp2TK8XyR3HiBBHcvmvu	10	2013-08-04 00:19:48.33132	2013-08-04 00:19:55.4087	190		0
16937	107wj35a936a1adzo0hzt6f63b	$2a$07$XvNzO6Y.rV9yJOiMVnt3KeH1R7fPmrcFHOn/ZkrjHIoq8u8eH.rn6	11	2013-08-04 00:19:48.354975	2013-08-04 00:19:55.528913	190		0
16938	10d27mfaywx901sku5ctthlm5o	$2a$07$0.QfCV7cMioCljG2UFh6J.IwgEqjyXKliVvhg.5iQ9/ztezj5ElK.	12	2013-08-04 00:19:48.377889	2013-08-04 00:19:55.651569	190		0
16939	10hloii61vjjy5gp8rbtuxrhqw	$2a$07$apVQ9cIIQCU.SSC2ionP1OzHV1LISCH0d4FMihm0r4T4BwAgRjIpG	13	2013-08-04 00:19:48.402004	2013-08-04 00:19:55.789338	190		0
16940	103wlodf37izsd3keic1z8ijy4	$2a$07$lsrouQlQWmGn1zDNbfnxAuadUyGIyzBbrT319Q6QNAgQvcgk/MdcO	14	2013-08-04 00:19:48.425529	2013-08-04 00:19:55.912918	190		0
16941	108j0hk64cpmwfxhu0z5nnxsvu	$2a$07$wL4LH3EXxJAR2XG1yjO5lOfVnmUtEjOgOQ.UzQfWsYSlFlRtpc7E6	15	2013-08-04 00:19:48.449562	2013-08-04 00:19:56.036447	190		0
16942	107eyvpisq5nbz3e71opmnzaol	$2a$07$ZpLki9uDGE3Uqj2ZHXas7ulsyBQh0HSutYLGyAFg27/fdX.pFDMTW	16	2013-08-04 00:19:48.475057	2013-08-04 00:19:56.26803	190		0
16943	10i4lkc801f77dvjujh543vt8u	$2a$07$TffK5742nrZ.gzWv0BeN3eZtqbrxe/Ev3/VQDbzm1X38OHuyeyj9S	17	2013-08-04 00:19:48.499556	2013-08-04 00:19:56.434388	190		0
16944	101q8u9yj3w6ttyycas0gftast	$2a$07$CNsriDnlVEmKXJxTllibiel0yjMzhoEzpB8Hxm7P0Gh/uoiGStUn2	18	2013-08-04 00:19:48.523706	2013-08-04 00:19:56.614037	190		0
16945	10ckogy9b6dpb0968ejz42t35h	$2a$07$.NCEBF6IJUKnzheAauK7.uo8d0g7ZNFfdvMUmz3cuwA8Zcvn11Zja	19	2013-08-04 00:19:48.548214	2013-08-04 00:19:56.743144	190		0
16946	10tbvrrbhsedvtqs22hamdl95i	$2a$07$PP7poehfi9rXxtBbykDYM.ukSV5iopqBOh2RwhWocf9jt2YQJ0npe	20	2013-08-04 00:19:48.572782	2013-08-04 00:19:56.891898	190		0
16947	10egstrhq3mjal7dwxtukt5tjf	$2a$07$QBGoDpN68ku6H8xtYoo66ejIE5W9SKPwbqamQLiFOQV1/EODnX.rG	21	2013-08-04 00:19:48.597268	2013-08-04 00:19:57.037171	190		0
16948	10bt96m6ktmpghfs8aw0bz0hrq	$2a$07$gDwbZhMvU8HnTA3A3Bfds.zj7vekJyKFeK2cIKOekomd03wMxVx1W	22	2013-08-04 00:19:48.620799	2013-08-04 00:19:57.151039	190		0
16949	1065q0a4ubybafxjzos61yao3l	$2a$07$m4wrUSJ6HTT0hjfFRJGjee6ONr1MkMyLqbPqaeiRzzwMfI.rMl.W.	23	2013-08-04 00:19:48.643689	2013-08-04 00:19:57.28762	190		0
16950	10tlo4g7e7piifgg6ksj7st1kd	$2a$07$ocZw2VX8vWOxKe/ibx8vSeUbyblYSRpTxzmrzGT/8xTjGz.RY9MqS	24	2013-08-04 00:19:48.666436	2013-08-04 00:19:57.419966	190		0
16951	10ns1mi09a4ge2qt0zp3mob0zr	$2a$07$3RJXHm2PfWg.DHu/ndhkoO2PgfxO/qnmugT7top.i1LsPkDa6.a7G	25	2013-08-04 00:19:48.689794	2013-08-04 00:19:57.662796	190		0
16952	10sy22mejsxc3eky7c6imk5crm	$2a$07$T5YziSdnsx4uO4AttCcDUua1Lj78II0JEH6Rdmqu018SuJkyq3O5O	26	2013-08-04 00:19:48.713389	2013-08-04 00:19:57.809213	190		0
16953	108ywqr0s09xoixoo55qth37nn	$2a$07$/aPOffVZCHeZefOx3PiiQOuGk6LjS28rh7TN7AUeGE/o8sGCcLcs6	27	2013-08-04 00:19:48.738518	2013-08-04 00:19:58.048976	190		0
16954	10i18icpptaxq3lq8hdmkyya5y	$2a$07$54LlkoCNq1p724O026qU..oCPow/BRCX9QRZktWYJI0MnOFI.CKbu	28	2013-08-04 00:19:48.762828	2013-08-04 00:19:58.625086	190		0
16955	107wqykrzb8k0qabtxtts6oukf	$2a$07$TgoddaeUlErNd7/k3a8an.O9g6XlqzSlVoJqJJVJyyqj23Ws.rSRS	29	2013-08-04 00:19:48.799194	2013-08-04 00:19:59.164292	190		0
16956	10w3lpd28spno4mftoeziz42zu	$2a$07$Tg3sQ/bcj40JGG7Pg7FxfOqMw7WT127fxkr3NAfp3W852AUjtthEi	30	2013-08-04 00:19:48.822622	2013-08-04 00:19:59.732455	190		0
16957	109xcrc9z38njoddukvi2py9r2	$2a$07$G6wUHis7VjrAAs/QYgoptO6/gcoJdkilyLpf8271il9X.N59gLeAe	31	2013-08-04 00:19:48.845855	2013-08-04 00:19:59.87041	190		0
16958	10xe7hqruyrga3s113p0k33brb	$2a$07$K7oRZXd4ZeoI1sBIsQqEVORlduCWvazEHFsg1J1vDtEwg/WMxk1Ii	32	2013-08-04 00:19:48.86928	2013-08-04 00:19:59.986	190		0
16959	105hwrua5ikp5iwhgmpj9h6uoo	$2a$07$c.YSjNvYf54Im60w33TPeeawLysydq9EGyNeBxIt3G0.B/p.k48wO	33	2013-08-04 00:19:48.892457	2013-08-04 00:20:00.103468	190		0
16960	10qqwzwml55wtsfdgq46zi0i9p	$2a$07$G9jQHvCehl195RSFBB4BZOL606NfLwVkehd6nPf5EngBOp4EUAcl.	34	2013-08-04 00:19:48.91706	2013-08-04 00:20:00.231293	190		0
16961	10tj4w0akgjl0kc8ok0g896egn	$2a$07$mfPgDRHX6mruGtE2ShduTO8jYJGiR8u/3Pbtq5PAFfXSY3hydi75y	35	2013-08-04 00:19:48.954675	2013-08-04 00:20:00.36019	190		0
16962	10z31yuew7thjob217o0aft7ny	$2a$07$DTFMGzymdEseZlTUyAl/n.k0r4AM55qoAQSW1DPju7nykMYQKk/2y	36	2013-08-04 00:19:48.985804	2013-08-04 00:20:00.510142	190		0
16963	107qwarl43lwkf4pt8z6hgd6f3	$2a$07$mL6k47g0i8myKIa9Ip0XyuB1Zm1QfZHTWOmJqCYf8vBxjnJpVmRHu	37	2013-08-04 00:19:49.011162	2013-08-04 00:20:00.693508	190		0
16964	10xchc73eh4cw87x4wnxe2s905	$2a$07$Od0pCBOTLJq3Om8nb3josuao3O9aPJVa3Gs87NBglwBsPdN.KYKz6	38	2013-08-04 00:19:49.03499	2013-08-04 00:20:01.013517	190		0
16965	10cmmf5f9pkq660nfehkqngkx3	$2a$07$DSV2DWSgVv27f7.rmreYIOMJ692vmnRZxiwN5dEA2epJJJloBsGu6	39	2013-08-04 00:19:49.060442	2013-08-04 00:20:01.275146	190		0
16966	10cgnxz3yc06a39pp47mdmdq3j	$2a$07$BWacqTdgcqbKe5NvXtpBie3Cf04akGFoy0/QSxf4IW3mlrW.J1UXK	40	2013-08-04 00:19:49.084184	2013-08-04 00:20:01.399648	190		0
16967	101wrprf86o53y35n5ql5k1ckd	$2a$07$mS.0rOE3/blEhorVd25Q7.uSO1s7Yk05CKei3wxv2L4FljODZS.0K	41	2013-08-04 00:19:49.112134	2013-08-04 00:20:01.518414	190		0
16968	10esxk8deq4pchtzn2glpj3tte	$2a$07$K2UiSScFfDqajHVkzLpHTeqy/lHjahPx4fAoV.3KzSAaXIJ1BiAMK	42	2013-08-04 00:19:49.140226	2013-08-04 00:20:01.641741	190		0
16969	10kvboq7bosmw6do32vbcbx89c	$2a$07$nZqibYNp4U1gEaVWe1mqOu2k.zhqWAunjpsm7jaOmV1Rng1BE29/.	43	2013-08-04 00:19:49.164971	2013-08-04 00:20:03.829907	190		0
16970	10r8il3pf97efiutht7fufk5lc	$2a$07$ncNo0iphyHYyKzIO4Kn67O84rWH3AG93xECWghtFw.ARHr2dNH/mK	44	2013-08-04 00:19:49.189412	2013-08-04 00:20:06.253693	190		0
16971	103jlwok9dxyw520l42j99qsc6	$2a$07$YQGtcdjVZhqQEsq1ytwpBO4m6k5WHu/B0kojw58Buzh.0rPK/GWP2	45	2013-08-04 00:19:49.218505	2013-08-04 00:20:08.858181	190		0
16972	108g88otovwmlk5laq20v1fruj	$2a$07$r2E.qru8KMYhA3q7l7XC/.j//5wC3jQf7ThpkIzWatYVuON4NgV4u	46	2013-08-04 00:19:49.243907	2013-08-04 00:20:08.965965	190		0
16973	106c7045m65xd36mdra1ej5l3f	$2a$07$JuxdmDeHqsWErTzivHmxhuUkW8em8P27YFTaia9MxCz2tM/bzDPdi	47	2013-08-04 00:19:49.270002	2013-08-04 00:20:09.079798	190		0
16974	10ul9847wzvjcdrxr4mnu2jnqb	$2a$07$jzo7v8ktbwH2WIxeeqH1nOD0YoaV9IYUy27fMLWcITgBWF.wpnegu	48	2013-08-04 00:19:49.294526	2013-08-04 00:20:09.215049	190		0
16975	105ujfpq5d0bu2z38k4hpryq1c	$2a$07$p9NULaRmxUyYzvqmjgj2WewehD3.2Oj79Ef5.DWM8GcBP0nQ1cSQu	49	2013-08-04 00:19:49.318376	2013-08-04 00:20:09.349692	190		0
16976	10ynyae3z7mevk5gqa21jkys5i	$2a$07$JtcsUo5G2DGEDWbHA3WYLuYr/6bzDXOrsasSwWC88KUsMQbgZy.qe	50	2013-08-04 00:19:49.344797	2013-08-04 00:20:09.48034	190		0
16977	10uk8l75r9yi9p3ae89n7j6ivs	$2a$07$6qdBQBSwOB1KsmHDQxiIO.Vmyp05Z/U2o9.xeK97Nn9oDFHeX.dGa	51	2013-08-04 00:19:49.369103	2013-08-04 00:20:09.609725	190		0
16978	10eg9ej8fyb4vs440j090vnqkz	$2a$07$yfL8sVbOxThbuVKvsd6xLOpkLKjxMcTBMY5.gJZk5sSMw1AlB2FKq	52	2013-08-04 00:19:49.393265	2013-08-04 00:20:10.000626	190		0
16979	10653lav3rxllusz2b576h1838	$2a$07$Hrdiod5Cm7udFdry4oaRd.15uZDfthpyB1YxoS6xGoY1STfiEe2nC	53	2013-08-04 00:19:49.417472	2013-08-04 00:20:10.445196	190		0
16980	10g21fn65ree5nbtosmflnpzk4	$2a$07$bzC..5YmrPcStGP9.07QJubrxh8VjTS/9fBSnMx6MwhXnCD3dT3ti	54	2013-08-04 00:19:49.441281	2013-08-04 00:20:10.862083	190		0
16981	10vupilldm1h3kex0idoobeq4v	$2a$07$uhn4VYjZ9LgqTeZuzz6k1OvQGWZJ72gGmuMgT0WU4//vGYcQbhPtG	55	2013-08-04 00:19:49.465759	2013-08-04 00:20:10.98771	190		0
16982	10vrp82erta8bp9ggtxqwudmms	$2a$07$2Pu54PtPDN0DJkUnIbblpOv6sQlmUwctJLypAL6ynKEjeakpY9RTO	56	2013-08-04 00:19:49.489873	2013-08-04 00:20:11.119962	190		0
16983	106xpna1c0ddomm2qfzn06vr28	$2a$07$uxAe6KFTlcc/teqJ.HpRoO1rdvwFJxsZg7CW1OcuQKR6RqwZToE7O	57	2013-08-04 00:19:49.513909	2013-08-04 00:20:11.241377	190		0
16984	10cvsza876up83l8j1yrpf0tjk	$2a$07$q7JpzM9k4ClCZNTylFHu8.s6yQA7A4eJ2JhARf/Y51EmrZ19I87E6	58	2013-08-04 00:19:49.536691	2013-08-04 00:20:11.355964	190		0
16985	10y27h1myunm00928m7wdc64nb	$2a$07$vjuturktNt7vfmRciylZBOvPVwo/XtsBeSF2Qn5N2XMA76vh6z9HG	59	2013-08-04 00:19:49.55971	2013-08-04 00:20:11.482913	190		0
16986	10dzc2u56abew6xvneebamqupm	$2a$07$nDTJowm2VfbPCm3Jw.w8fejCFyU7ejJK95nb6DZMOhyuW6Dlc/3YK	60	2013-08-04 00:19:49.5823	2013-08-04 00:20:11.620391	190		0
16987	10yus2obfqmezwzzjo2w8cb7fz	$2a$07$XFuoAa7b4tBSNmg9C/qkr.QduDXTPiRgVWGoibNimsuDzmojAB6ry	61	2013-08-04 00:19:49.605938	2013-08-04 00:20:14.292967	190		0
16988	104f7obpazwrc3ap6ugoy4xq72	$2a$07$mvA0FAknUlXjx5xiO2OzjO.7AWTkrppt30lfBpUM6au.9DBOsl0yq	62	2013-08-04 00:19:49.628794	2013-08-04 00:20:17.077476	190		0
16989	109g7a7y2914h4dptcobmd98yg	$2a$07$eeaX1fm6odx0w1CRw9.S8OiGmr9NuiOYAikYEwum/qXELm81OW6wW	63	2013-08-04 00:19:49.651545	2013-08-04 00:20:19.900824	190		0
16990	1080qc9sh8ith0841375ek2qst	$2a$07$SvYx059CGsBxQK6BfkcrRuy.cGogVDtzqC7Md7pEtsQoDwtYnE/V2	64	2013-08-04 00:19:49.673902	2013-08-04 00:20:20.201093	190		0
16991	10twk4fcs46408z8y25w2vov6n	$2a$07$5/R6XO8uMFH9DWsnzfk.beAA5kYMmK6Vs5oJGfLlVN/aokLYmYE0u	65	2013-08-04 00:19:49.69644	2013-08-04 00:20:20.360088	190		0
16992	10ipfvvgsyer8kzj2numlc23fo	$2a$07$8PnkotOgE1UhzVacJKc/iOb2ENOaTxjiJa87gxklGf9VcTXoJbU2K	66	2013-08-04 00:19:49.720803	2013-08-04 00:20:21.581555	190		0
16993	10owpxs8cvamlu8ghr8zoiyo3z	$2a$07$3FMuBpg1jm6E0.Ov3CqlauDmqYqkfGiI7dqG/ePH5pZGvEwAm1WKO	67	2013-08-04 00:19:49.74563	2013-08-04 00:20:21.706247	190		0
16994	10nohiamcuz7ky6wg0211y10y5	$2a$07$2dNgP1yjm6jUqaC8eieKJecI/nSqNa3Zpt2/f/J5sYiNbgklOA6Uq	68	2013-08-04 00:19:49.769979	2013-08-04 00:20:21.821587	190		0
16995	1087hany9hph3t37i320acia7i	$2a$07$ZovsDG4/q4C3OAOjhehyk.1Ds2XRJNgiVHJE4TbX6pDgvMjQmvLKK	69	2013-08-04 00:19:49.793789	2013-08-04 00:20:21.92731	190		0
16996	10j1buczx7gbiq5kinkgq3j5kr	$2a$07$m5AfCcnHM8L6eiS8GIKKYeEPsjrrvbpw9RYvJjI6uTxCSTcui8vgW	70	2013-08-04 00:19:49.81725	2013-08-04 00:20:22.029433	190		0
16997	102z5ylwphds5fvny9kp1jtaaw	$2a$07$bEgy54VH2dVKvAv5ENa2W.BtirmJ/qQfmNmcsK5rTZL8YgXOBk2na	71	2013-08-04 00:19:49.839687	2013-08-04 00:20:22.139216	190		0
16998	10oeugryred2qj7cxs2on3fjkj	$2a$07$6u7rzmh6C8VmEnoIDIvgdeMEjK2tEmWbNuTutQMvwzFeDY0bN9gO2	72	2013-08-04 00:19:49.862899	2013-08-04 00:20:22.262142	190		0
16999	107rdpct9wqm4zejkri14ffq4f	$2a$07$7p9eGdDon2MqPPARdU4luu8M2Qevvg59I9GlTNtIS7L/YDsVKMHIy	73	2013-08-04 00:19:49.886226	2013-08-04 00:20:22.616228	190		0
17000	10x54coltcs8d8mvvut0dn8gkh	$2a$07$a0xscHyBhpx2OfupljalcuJiK4dv2C8XdLBvW0mnkSMivDVIDQrd2	74	2013-08-04 00:19:49.909954	2013-08-04 00:20:22.756927	190		0
17001	10sjin0yz8d70nnr2gclcinpex	$2a$07$taxRCHb9.2HjPWqJsxP7qu0wBKcDV390mL9JdriCB2ZQ6Ay9cxql6	75	2013-08-04 00:19:49.933367	2013-08-04 00:20:22.900357	190		0
17002	10xofsdg9o27f2nwlz8nly4ysy	$2a$07$rAaCnucT7KW363iI8glHp.Gmw5jJt60bi8gO4BAdK.alZkmScCaEC	76	2013-08-04 00:19:49.956725	2013-08-04 00:20:23.009601	190		0
17003	10p97pevwsb0ux7qqodcf3w79i	$2a$07$1HDct6ICJSdmMoC0E.iybu/GjPcO90mmCcR0ge8KErEA9fuQd4u/m	77	2013-08-04 00:19:49.988792	2013-08-04 00:20:23.136801	190		0
17004	10dgi2l3t9718bw7asm0ok44l9	$2a$07$P5apvSpxUK6vW/mIkPbtuOUXlu5vd0i/e0AyXSLHCsPmiHlmYp5.i	78	2013-08-04 00:19:50.023203	2013-08-04 00:20:24.197312	190		0
17005	1033jlt5bax2bnzr9m7h6qyjhn	$2a$07$nBiygc5a.4X/3qbMx4s5LuO/xMrlkUjBHaZ3hvm8W71Hkykjelulu	79	2013-08-04 00:19:50.046475	2013-08-04 00:20:24.323468	190		0
17006	105do2hel8t2k7rnbtzbn325ln	$2a$07$ltSv/0IInm/7BdJt7X68Qe1xJi4dLePyFKGDsDANSxkGyV2hIS2i6	80	2013-08-04 00:19:50.070438	2013-08-04 00:20:24.47111	190		0
17007	10p8loe594n1n98x60zkf8ry22	$2a$07$BkGYBdzl3GQRWepos3TP4.I8HxhrJUlhfrI6qX2yMfGR1rN37CgwK	81	2013-08-04 00:19:50.094849	2013-08-04 00:20:24.82049	190		0
17008	107lsrlcevrhvb1ig5v71jkjvl	$2a$07$RsS7Zni4V5cGiGa1PFljuOzR3JJHJtvEULHpP8i466UMOAk1txulS	82	2013-08-04 00:19:50.1176	2013-08-04 00:20:24.955426	190		0
17009	10u9mrmld908tno4c1x73j3b6c	$2a$07$d.Z0DLH0z2ZRfUmOmeptzOLENaXzB3eqpbXgz5dkQU.ErLn8J71yK	83	2013-08-04 00:19:50.140455	2013-08-04 00:20:25.116008	190		0
17010	10qvvaside3553c6jz6c1t38xp	$2a$07$mKsfR/FRCPpi204J2AtWE.7AhINDy5/zjFg0CEV0vZpbGo8IDID8e	84	2013-08-04 00:19:50.163519	2013-08-04 00:20:27.798186	190		0
17011	10kjx9dw4r5qytvxoebmxgu24z	$2a$07$/Nj4IWGu9cYaeO1pI4emluAS1HLOc0TY2vJsDCpN.q0tXf6ucIlOq	85	2013-08-04 00:19:50.187061	2013-08-04 00:20:27.930926	190		0
17012	1049jgz0j7ieq89fxbspk8sf29	$2a$07$hjDaqrHTCJ2YRcQ.DFeiW.SkG2j8uqZSra/DqvToCCzErKAG3l4vm	86	2013-08-04 00:19:50.212262	2013-08-04 00:20:28.070884	190		0
17013	10j2qdbwesyzryhkoaouaq0u02	$2a$07$4oz9.iKWmJTCbGIiL1Pmfu6yUeSjW59SOI5b4f9gPnQb0N0kPR06K	87	2013-08-04 00:19:50.248497	2013-08-04 00:20:28.217874	190		0
17014	10zkxg7afzfst9ct3axuu532fs	$2a$07$q3VqH857chh6HdzQucvsw.daTeD/KWo17ro.EIXicGWT3GytYcj.u	88	2013-08-04 00:19:50.278886	2013-08-04 00:20:28.337641	190		0
17015	10r59inxlo40odsa2ga7lmiphv	$2a$07$OktyPERwyY3eRy2pLCDAyO8Bk/OCosmC6B2/uhD3NBxP08cafb6ym	89	2013-08-04 00:19:50.307253	2013-08-04 00:20:29.604075	190		0
17016	10wv0gctyhuv3icrjqe11i4p9p	$2a$07$xsGT/ay9.YeV4lFLlpWmOOuysxQRQNRxYTnZVWzuK/.VON8H7sGt6	90	2013-08-04 00:19:50.332826	2013-08-04 00:20:30.932525	190		0
17017	10abtsl7o4y4s9kkh0veh2j63m	$2a$07$cYwIpxPOHEZt7cEWy9ROluu7FZHBBEEz0O3Hw0frxIc59m8GbR6g6	91	2013-08-04 00:19:50.357337	2013-08-04 00:20:31.038443	190		0
17018	1057np4258zjue9t68r96n4u1o	$2a$07$yyHqXPl3OlsX1mzgqXN0m.6qvKYjC3UzjMpLbj3OsZJquCh9lAOzO	92	2013-08-04 00:19:50.379624	2013-08-04 00:20:31.169947	190		0
17019	102axa6ay6fw513suw7vqtam2d	$2a$07$RL2QpE7MBaQCq4IBR5z9eeqj0w6M/Clv2.ggWWh0QRnb0aZNp4XXy	93	2013-08-04 00:19:50.402359	2013-08-04 00:20:31.287829	190		0
17020	10itk1gdyc8pzqcnj9zpp24rft	$2a$07$HWRXPdv6NVt88dq.7iManehnClp8ZJCJaSNvJFBTGzMwxfFFE/IVu	94	2013-08-04 00:19:50.425054	2013-08-04 00:20:31.419772	190		0
17021	10r4sryny38rumjtatvlf2hwjc	$2a$07$b8LJowJv1nUoSDz3DlOUPeDavW6z0F2aLe2jjHrBu4Xzymm2Ig9Je	95	2013-08-04 00:19:50.448174	2013-08-04 00:20:31.554444	190		0
17022	1038ofjcxkb9g8sviehhqmz6a2	$2a$07$o/MlyKW9WyxO5R5206kL3OPKhMr7LBWyN0ZQmKT8RZnae8rCtYGqC	96	2013-08-04 00:19:50.470794	2013-08-04 00:20:31.693927	190		0
17023	10jmpvp6actby758jat8wi6z2t	$2a$07$fdndOHlrYPSmqbIRxMOMm.Q0M8e7gRW8rdLMa2WX0zrlum4MC5vu.	97	2013-08-04 00:19:50.494221	2013-08-04 00:20:31.832861	190		0
17024	10ailz9e66k94hcq6ql5bfcvz7	$2a$07$b5BAGpiy7sqZF71a64himeYzM3Jx8MW7aTHtEMU0EyNe.D8y3Ttsm	98	2013-08-04 00:19:50.517461	2013-08-04 00:20:31.976812	190		0
17025	10c69h8yvm0a1m391tr9mbkls9	$2a$07$AFuNXPospp2WF29fgGyuAu6IJTlEfHl5gqNNTYX8.C4ElmVjjvzAq	99	2013-08-04 00:19:50.539901	2013-08-04 00:20:32.106105	190		0
17026	105dweieklvco114ak0ivpuys3	$2a$07$LQFeQepTcU7SvRboAccJsu4xQPQXX58XJ6f.HEO0BVImmO3NZJFu6	100	2013-08-04 00:19:50.562548	2013-08-04 00:20:32.237918	190		0
17027	1064jvdvuefs1gv3klqqa1qibn	$2a$07$wVBOLTR576Expi2jLcKAzOK/8QmNpxZRC2qH/40kh6sJ4Z0UTyYZG	101	2013-08-04 00:19:50.585349	2013-08-04 00:20:32.377621	190		0
17028	101kfczolm2830qzsmmf4t47qm	$2a$07$GBa0Z3pbbSNf/3Um/Inry.1uZohPYhueVuZlHI9eDSi86BaMtzsjy	102	2013-08-04 00:19:50.608123	2013-08-04 00:20:32.49244	190		0
17029	10ywtz5vrb931fl2iztsybs7ma	$2a$07$7ruY47i8u6F2jSvNAE.h7Oi7ONQnSkOIde3pvqL8qsfZR01yvi.qa	103	2013-08-04 00:19:50.63142	2013-08-04 00:20:32.942154	190		0
17030	10usoedf8cvvnvt6pb0vh40j7b	$2a$07$xbZJex.dGp8WhLDqnTkTWOIxBwvEIs5/aHqO44SE8uHVKc2YWcfGO	104	2013-08-04 00:19:50.654914	2013-08-04 00:20:33.350977	190		0
17031	10lncj58ae5xl4lw805k60yzn7	$2a$07$jvOwnBcpMUTznvBKqw8ZIuNAoo8ZVLtSHDNwSrUirMfYiXxOAXvhq	105	2013-08-04 00:19:50.677688	2013-08-04 00:20:33.485227	190		0
17032	10ijr64p08ihw2js289rtlifpm	$2a$07$tl2uRrqh8qKV3X7kxPV7/eIUwsNkw.OouJs2I6UUh/NYILD9vOdMK	106	2013-08-04 00:19:50.701338	2013-08-04 00:20:33.617947	190		0
17033	10sq5w8eoiua8gprx7qztcmnd0	$2a$07$MdfVMgx/zv/Ta3aUPSmdZ.Upqukc3C0qGPEEwKKDi3OiW28yBRN1O	107	2013-08-04 00:19:50.723345	2013-08-04 00:20:33.760763	190		0
17034	10hvz45n8bjoizn3srrkiqwu85	$2a$07$licHyDL2qFfvkV9WBWV15O6Cd9dQeCFat3JNpQfdCXZpqQs5eykl.	108	2013-08-04 00:19:50.746696	2013-08-04 00:20:33.898553	190		0
17035	10hjsi30y3as6z3cxwiznd9c7v	$2a$07$cvIMqcWxFA6GwKQflMFklO0vcxDioxsWDmLOR8sZcjrGAmoi2QFxS	109	2013-08-04 00:19:50.769367	2013-08-04 00:20:34.247953	190		0
17036	10rjoh4y4s9yyj4bp6g6k1p4g1	$2a$07$c2KdFNnQQkWt0zdOXCT1jehqk69R/dJaad6AkXCLsrvd30Yr.Bdii	110	2013-08-04 00:19:50.793197	2013-08-04 00:20:34.385149	190		0
17037	10zfvrgwkmmm4cum7y2owayo38	$2a$07$ljnqjGIWZ2JD2FcBQ7Jbg.YUp/ofVau4XFvdZi7VgBFbW5huUVvD6	111	2013-08-04 00:19:50.816834	2013-08-04 00:20:34.48869	190		0
17038	1050iwyav03gn80ggwlxak8x7d	$2a$07$WSmRclpbLanc58Ub44LXF.h.jHjZau2opge7ztriyiOxn5lUmRus6	112	2013-08-04 00:19:50.840556	2013-08-04 00:20:34.60516	190		0
17039	10phknrgpk119vrty453res75h	$2a$07$.ltcXBJGq0UNmhAFg7a4x.6UqgEEhrLA3yYWnoJTVzQoGzIA9aJG.	113	2013-08-04 00:19:50.874657	2013-08-04 00:20:35.999635	190		0
17040	102lllcjrr2kn33htirey3ja0p	$2a$07$F.TexyR0z353VSMJeLWIPujrFtPJOslmAtw1ysrkh.W/tvLAwK2f.	114	2013-08-04 00:19:50.902015	2013-08-04 00:20:37.369621	190		0
17041	10vhjnpi09kqhwv5fl268s8hj6	$2a$07$fqYD3pjk2WibpAI6Bh4h/.OLebDL6PHAlLA.0QC7dfnj//stUfSja	115	2013-08-04 00:19:50.935162	2013-08-04 00:20:37.501498	190		0
17042	10vyl665rumzzifzlijxfw1rn3	$2a$07$rImNQhsZ9tB/TL0Z6msoMu1xh0.8ztG0tPOcXwxHhMsZB.Fkyab6G	116	2013-08-04 00:19:50.967058	2013-08-04 00:20:37.640409	190		0
17043	10rez0nbykklnmn65xg2jlvsn7	$2a$07$mnwrtznRQzMPGiE2B132T.VuwJCMJD75B7sYW3hmuaQ3OfsbVaw52	117	2013-08-04 00:19:50.990198	2013-08-04 00:20:37.77821	190		0
17044	10ncvk0il71mrwncglfl0ft1f2	$2a$07$XDs5EXMxYjyBymf0KN0x4.hoeW/JLj6E4W4BjrPWd6vseGQZVEkS6	118	2013-08-04 00:19:51.013571	2013-08-04 00:20:37.900974	190		0
17045	10o4g4cwpnrukjwf3240ny6no9	$2a$07$4OBnemTIZf7Iw711x9JvBeP44jW3.2azTgk83kkP0BZkXr//12i0S	119	2013-08-04 00:19:51.035501	2013-08-04 00:20:38.03498	190		0
17046	104sryifx7rw5y01yfkwd9pp4p	$2a$07$Boclr5jt9GXPuw3jSvDRGO2z8ZPJFVN4bNpx5cLpRzZNjT34lQn5K	120	2013-08-04 00:19:51.059445	2013-08-04 00:20:38.13813	190		0
17047	10gdrlsho71mu9xlj82jr650bu	$2a$07$j4r0LiwxI1Yb6NakNpJYresCQVayXF5oPoKC/t1tgjddxGp9KtVt2	121	2013-08-04 00:19:51.081826	2013-08-04 00:20:38.24402	190		0
17048	104bv7pg4i46gvbq8jwuj0jru4	$2a$07$hR/4QrVyPMmWbRlJh4E4H.wgZc6WYfwiR7qvuTctSdOW8GSqOJtvi	122	2013-08-04 00:19:51.105417	2013-08-04 00:20:38.361699	190		0
17049	107wwxc9byclrgmrn0dnp39fl8	$2a$07$9nExBdWzHv4tSyGdXKqeLeY2nC/rofAo8ofvWQc51qYYUUYc0NNBe	123	2013-08-04 00:19:51.129749	2013-08-04 00:20:41.014993	190		0
17050	107pcfdqemzqtjg2kmzgpqs2tf	$2a$07$e6Ja5I1Q8.mxlixsH7Nuy.Uq7gV9PnFzgHNoEJKM3tGF7B7a6oqei	124	2013-08-04 00:19:51.15235	2013-08-04 00:20:44.013703	190		0
17051	10jwwx0ozafryzc8cp71q5we8s	$2a$07$YdZfbYh52PdrecNuUhyOzuoPe0lcK0UbDKOa4b/JTlO0xm1h.nesm	125	2013-08-04 00:19:51.177517	2013-08-04 00:20:44.345776	190		0
17052	109h26sffwfbtry4smn9cxahrs	$2a$07$zI9.S7zNiti5E6HGS9O1zui1DNs4..TG1Kjsw38dOxhRQmWIyXGwO	126	2013-08-04 00:19:51.205594	2013-08-04 00:20:44.652398	190		0
13021	105rkctoqanybgawmfifvl48k7	$2a$07$fXjLA.QRIa9vcutnXSfrT.jeQRM8kt1Y01tjc/ACwdUNAAp55KDXO	1	2013-08-03 21:43:35.11635	2013-08-03 21:43:38.455488	159		0
13022	10hqfxf7s8cc6jpqmuoi8cbhxb	$2a$07$W9/5Wo7YfQewHYWHfjCVGevACbcQpDYYPhGBKtd29kbtQqKCa6Oj6	2	2013-08-03 21:43:35.141885	2013-08-03 21:43:38.58396	159		0
13023	10ob7n9vuyj74gyil6lubbsupm	$2a$07$r.CzGW4BrNr.e24Jz/P59.eQmfs8p2PJEuETDZRsuMzDObAt7OzMa	3	2013-08-03 21:43:35.165932	2013-08-03 21:43:38.688001	159		0
13024	100j096kfc16chibstn78zb1at	$2a$07$1rmDItV0oZdP2UAUdqa.6ONuIKnH6LaJQLGSfajMyQxYeTd7X0MDe	4	2013-08-03 21:43:35.190132	2013-08-03 21:43:38.853982	159		0
13025	100ruavuckqdbqugve636korm6	$2a$07$6UIm2RGOxxBOUWrleqhgMeSVEjAA5XUeZCYl.QuMTK8Xb6xeVgXtS	5	2013-08-03 21:43:35.214158	2013-08-03 21:43:39.002671	159		0
13026	103jbq4f34dhiczc460f45lj7q	$2a$07$/Ndmrxc.BlG0NJhcygVAG.1Oh3UReXnOJc33WQ3mbTu/MFPiQ.izW	6	2013-08-03 21:43:35.238571	2013-08-03 21:43:39.153847	159		0
13027	10e3fe8bm2daanwbczukzo1cl7	$2a$07$SlV9LGkNhzSnUz2kdgP6Z.NRnGXbAxBahxN57.8Jy0fNl8uZHXjJm	7	2013-08-03 21:43:35.266658	2013-08-03 21:43:41.88269	159		0
13028	10v6t6uzlfp7ymw4r2p1cuaswy	$2a$07$HZe0YZYjtQs4bypB4mXWbOt4hna5Frd4DZiMOG9btjLILo2sgQYsy	8	2013-08-03 21:43:35.292137	2013-08-03 21:43:44.626857	159		0
13029	10r5iwiglucgp44j2zq2yrycqa	$2a$07$4KfvEQmAZDcxdBzKsVlG/.xOa/E9dj2FB8EXJ0HF8Tg1U8ryRXreW	9	2013-08-03 21:43:35.316268	2013-08-03 21:43:47.395127	159		0
13030	10b9r5gvmt60zxubddogq2151o	$2a$07$r2Vy3d2WM86PWvrqXXm6RO4ASu0NvUq3zEbtu5Zfz8xdH2WXM8SDO	10	2013-08-03 21:43:35.338485	2013-08-03 21:43:47.509008	159		0
13031	10ygy9vi2zs4ga8pdxn5tv2wfq	$2a$07$oDHEn4f/rnjRZND2TQHF0.VD9ICr1LeEoYOCJZP0.yaKz.aRuh5Qe	11	2013-08-03 21:43:35.363156	2013-08-03 21:43:47.635759	159		0
13032	108kq4ea4jypt4ic74hfboej5e	$2a$07$.3TWEWg3yOwCpKVhKNpKrOlQ5cihjXnxraAOpUKZJCd9O5V2827Ga	12	2013-08-03 21:43:35.388621	2013-08-03 21:43:47.771249	159		0
13033	10p9ieq2ihqk0a2116vz4hzr7j	$2a$07$VoSRyacAA2YQC9iiM3tHsegWF4QNoabWIJzWgBh5nc.ktk/XDFjsS	13	2013-08-03 21:43:35.413031	2013-08-03 21:43:47.874985	159		0
13034	10r5eyp8h7uol8mfbj73fun2zy	$2a$07$txK44HXXZpDLnBZ57tVxvePYkSy.B5L46IHZRSvWES/FROJPa1lxa	14	2013-08-03 21:43:35.437289	2013-08-03 21:43:48.03753	159		0
13035	105l0q0iufhtn9xpzmrkly1k6l	$2a$07$w06zmwp8PKD.reiE58GvduguHPKVcHxeHnAH8xfgLUXBKLeBTY8De	15	2013-08-03 21:43:35.462422	2013-08-03 21:43:48.155613	159		0
13036	1068gvcgjt3dt7qriwhtq64gtg	$2a$07$jqLDVUELVMQ5P8cx.Zni2eDeDix05lfVLkyRtXGhxLBUOzjH7njWe	16	2013-08-03 21:43:35.50061	2013-08-03 21:43:48.288591	159		0
13037	10fpkqnbplomtjj6wt0ktaqfvh	$2a$07$8hm95alr/hiOXypn2WobpeM0994T7OTn0eVuIegFXxkcfMIvUCDle	17	2013-08-03 21:43:35.528894	2013-08-03 21:43:48.406735	159		0
13038	10ad6gc7eyd3u2z31c5ivmpf6j	$2a$07$Vz1cNMwa3i1cXPztuKaVX.SLbcGdZmaVtSVSjrs.MhZdE6Fs3y0HW	18	2013-08-03 21:43:35.552507	2013-08-03 21:43:48.511178	159		0
13039	10llratwsq27ftkyumm8zdnj7p	$2a$07$ZcSlYU6Zf0MPpedMjuI54eRFjg04qRENd9cX80qlV45ERK2/pmsMG	19	2013-08-03 21:43:35.586016	2013-08-03 21:43:48.635578	159		0
13040	10d24wtaf661t9yjp77xnhsttp	$2a$07$mksJhBonUIEwbfW2KVN7uuD11t4Cjwi6P/2KJhb7LPlL3Fln5osMS	20	2013-08-03 21:43:35.60874	2013-08-03 21:43:48.74162	159		0
13041	1010xdbjylfgb8wyzkh74ult9z	$2a$07$1b/bW9QsE0kA9BV.RyrhWOGZ3311r1zvpWWrJrOl84BtMUIiNDGX.	21	2013-08-03 21:43:35.632829	2013-08-03 21:43:48.847496	159		0
13042	10jnsvp8jbcelaslkjxvwa4l8w	$2a$07$ZZva/yPG2bf6LtHwxdE7B.QxVlPVW8LXRAxguuLRll4BL9wadA.Bq	22	2013-08-03 21:43:35.656031	2013-08-03 21:43:48.95842	159		0
13043	10tfnigsn5i6qs4zp24a1b1gla	$2a$07$Fx15OiUcILtSTKtZ.N0eSuQGZkisgxWKpSqJhAGLTa96SH/Izp7SC	23	2013-08-03 21:43:35.679121	2013-08-03 21:43:49.063732	159		0
13044	10bezyoeqqx4n2mk9yec7xroh4	$2a$07$CA7PYvwpS8uPnLCNJWVm1e5Z3zXJ7Ml8PeKOSo8sG3xpveAq6l3ey	24	2013-08-03 21:43:35.702347	2013-08-03 21:43:49.175975	159		0
13045	10vy9wrwa4k2yddp4j4zvj3s2j	$2a$07$b/e6VnXn1VVYQ8rQBB.iYuqvrv9IjsdFpDWG.dcYvosngGuPcwvQO	25	2013-08-03 21:43:35.726693	2013-08-03 21:43:49.302342	159		0
13046	10w2ppdhryyb4aw4fo1y36f8ep	$2a$07$lqUMzvX5GyN4lj3z7RirhuFXxc6Y4TSGjb5/FXn8ac0Epo2BoEbnq	26	2013-08-03 21:43:35.760532	2013-08-03 21:43:49.419592	159		0
13047	10w3h8o7rqmwco97kw79thiomx	$2a$07$K/O3m.mzK/6y6ShH5VPRP.xDFuYnrCkJHmsUj4/YhL4CL/hya1UIu	27	2013-08-03 21:43:35.793745	2013-08-03 21:43:49.524333	159		0
13048	10wa5218xgdh45tn7q1x6slc3j	$2a$07$CbEC9I3xpXHTcBKULpQACOnu8NpFbFANyd7hAL7NMBKLLxVL/HGTW	28	2013-08-03 21:43:35.81806	2013-08-03 21:43:49.947515	159		0
13049	101zgnj0j1qmze2yv49dzq3i3k	$2a$07$SCW5Ou7OiMTB810ZcfLnTOrgPGJElbZWYztlTMxHVMPsIgxVxBO/W	29	2013-08-03 21:43:35.84182	2013-08-03 21:43:50.422463	159		0
13050	10wzno4y2oao3z2p3eaam18qn3	$2a$07$Dbk0JQ4FdbXiKGYCSw.YG.lYu2vttlQwyU8wplXiufrYoNakGFqEW	30	2013-08-03 21:43:35.876051	2013-08-03 21:43:50.821904	159		0
13051	10n07ofpnqsqv9fytvvvwhxmdp	$2a$07$.eDuAA.E7Ff1tHKFwpyCpeE8s/Tea3F65H.Xre9LALRGNXRulVN4W	31	2013-08-03 21:43:35.91078	2013-08-03 21:43:50.925056	159		0
13052	10n83e3zi9xrlck8mygawlw8w2	$2a$07$jyqCsa10uX/Mghyl4uV.9..gC79dx.jWStcXf9nEOsnwmcwTRB9uS	32	2013-08-03 21:43:35.939357	2013-08-03 21:43:51.038931	159		0
13053	10pin02avyry0l9hfo5hi6plzj	$2a$07$ZHGZVHYPJPvPWN0.ldC7VeRHINfPYCgv0I4ZSxczZlQsSJ8dn22pG	33	2013-08-03 21:43:35.969984	2013-08-03 21:43:51.158752	159		0
13054	10ooief72fds7f8ux05f1u1oz4	$2a$07$y0EShPV3H2Eu4xgAaGkJgOCZ8XwwQ0P9dyHu/j6iI6MdCTC9QiiWy	34	2013-08-03 21:43:36.006457	2013-08-03 21:43:51.275074	159		0
13055	104u5bwdkauj5tzc69lk5auczl	$2a$07$rtkzF1IZBe4uZEFFV2jGme2oIxbByRR4sCAdj/vJUq1KaKMBrLT5q	35	2013-08-03 21:43:36.033858	2013-08-03 21:43:51.374393	159		0
13056	10x5utmllyeurk9kw88ynvjchw	$2a$07$Paa44TKvFHpjYtHj2ENFXuVY4yfjnpskyveZ.lgcegnQ/am2bpraG	36	2013-08-03 21:43:36.058119	2013-08-03 21:43:51.493581	159		0
13057	109kytwc85b5hggcgi55z0e0uk	$2a$07$aQx5sb.8ENT0tOjpKEparewENYuEJMy4J9stU3XTiaKZHyIDJd1wS	37	2013-08-03 21:43:36.09593	2013-08-03 21:43:51.60867	159		0
13058	10adcr33iqdsfgss46qmf2fic1	$2a$07$DspqQUyGJXB0JerdYT5afeRed9cqltMN2cTOclQW4RVeyHvLsyon6	38	2013-08-03 21:43:36.124359	2013-08-03 21:43:51.746357	159		0
13059	10x733bwk5f2rf8xdxq0qomymg	$2a$07$rF2nrg8qD6ioeIbAC2Sj2OQAWS8AOPU4JmvJlHA1cX7tjWKWmUjZq	39	2013-08-03 21:43:36.146914	2013-08-03 21:43:51.846334	159		0
13060	106k665sy0xiag18nb8jrq10o7	$2a$07$NuTQ7QqPkKUM8/7W5s1f3.cN0ulS4WTL2DeGirLIYlgIR30u2oow2	40	2013-08-03 21:43:36.170798	2013-08-03 21:43:51.945487	159		0
13061	10q1jwija9scfsxfiphojunmqc	$2a$07$NeUt7rBSUNGKwcqTEBcEg.5uVc6rvI5PS5jUbkRTZqDQiaFGjnb/S	41	2013-08-03 21:43:36.194587	2013-08-03 21:43:52.050563	159		0
13062	10tncx33b8zkha6wqy81c3iiia	$2a$07$8jAjTWDG5OcN3vhOGCTHUeU0rlouZ82j/nnRb1M8bTeZWDdJgAQVS	42	2013-08-03 21:43:36.218845	2013-08-03 21:43:52.15869	159		0
13063	1021l1bewzo6e4fi0sfef0aaey	$2a$07$9e8hIQVhx2HZgcMtr85Ot.wLwMX4IFS6FpnNsAd1SuTU7nHwBIVe2	43	2013-08-03 21:43:36.241484	2013-08-03 21:43:52.287644	159		0
13064	101cjomhnk5p5mvaq442a7xet0	$2a$07$cFkuBTZhWN0VKLQ2lgbdY./6WEM0Dnsb9935neJhIDOw61f6hP2Xi	44	2013-08-03 21:43:36.265287	2013-08-03 21:43:52.405829	159		0
13065	10qawwgrtc3mhtbn1g2n4vqmvh	$2a$07$Z6d/.WXJ2YovvC4YklOot.gVnVK214TrWTuXWUjveqPnSqNgkT0AO	45	2013-08-03 21:43:36.289875	2013-08-03 21:43:52.545398	159		0
13066	10klsxblpyzhs14kn11tng5gac	$2a$07$2VCEofSsW1ReSQlG00LBuO7Va.tOVc6iJG/sRTAU2vk8NylotXAoi	46	2013-08-03 21:43:36.315704	2013-08-03 21:43:52.659669	159		0
13067	10flt7l1kvfuduy9gvnhv3r7p3	$2a$07$8tITzi5DvdY4oeVDlqMf0.gPVasrmpI5luUi5KR3WYEuYI/Oy9sTK	47	2013-08-03 21:43:36.340224	2013-08-03 21:43:52.788459	159		0
13068	10rlv5n11g5bwd8miehfndpozb	$2a$07$Ix7XuCiDybdtKolnSmhCwuBBxT9skRCt6Bd0xgRovNjInvOH9A42C	48	2013-08-03 21:43:36.363211	2013-08-03 21:43:52.894202	159		0
13069	10wqjjgvq2satoiw8rqkse8r6b	$2a$07$mvimg3gPmdYK/jkKJdMmxOl.2i5C4VJQXn5vmqYfDGmgKMjLLI93.	49	2013-08-03 21:43:36.38695	2013-08-03 21:43:53.008853	159		0
13070	104pkpt6159pwuyp03474cb778	$2a$07$B76BMZFOnhWh3IQaj6GMq.h5sLze4L7KY3p5RuQy6ZZu4lu8WfdAy	50	2013-08-03 21:43:36.409383	2013-08-03 21:43:53.136309	159		0
13071	10i55l77wys72tgqtng09up23f	$2a$07$7jt0w.0CwMo4joGThztZNeQ3sHqShii2x/EsrWOBbfSujNq4F27jK	51	2013-08-03 21:43:36.432801	2013-08-03 21:43:53.267335	159		0
13072	105uedoqijarmp4hxfed93f0eh	$2a$07$fshFaqtZlnGUkpJlZ4nH.Ozj4L/uqYijuxGt44r5WNrbMm0HF0kOS	52	2013-08-03 21:43:36.457997	2013-08-03 21:43:53.592899	159		0
13073	10edl47v9fk5r6l3ldyy09p3pc	$2a$07$SjKBJHTTyVnH0M7sPh4GwevKv3KFpiH06ac4clLggO16d/aoJvbF6	53	2013-08-03 21:43:36.484255	2013-08-03 21:43:53.899683	159		0
13074	10m4lmcr3mefpr8ykdiowvxv2c	$2a$07$24ehkTt8x8R2UFOZWUNADu0F86LR1MGU9ID6E8VkLisXh/VjWdwx.	54	2013-08-03 21:43:36.509841	2013-08-03 21:43:54.250775	159		0
13075	104ap5xoekm0jq7f0igpnr3ypo	$2a$07$fpkpFOmQ4hDzyCgW/kvN2OnL2x3K7gIP.Zd/uI5gqyh7tzhc1NiUO	55	2013-08-03 21:43:36.534788	2013-08-03 21:43:54.368216	159		0
13076	10ay23j2nwe5ydrq5z7yyiz0wc	$2a$07$DLZ.LM.CwTfKEDRdC1t6z.PetFEj9K1G7pCOCCRCSPHOVodSBH3Ca	56	2013-08-03 21:43:36.568502	2013-08-03 21:43:54.490699	159		0
13077	10d8jpwol877g5rpy97xnelees	$2a$07$D1X.ay7mEiBzQ66ximqbF.ohcQYwVtyu/wwBnVAqvPfP03z.Il8Ha	57	2013-08-03 21:43:36.60554	2013-08-03 21:43:54.618996	159		0
13078	106a4n72l055has07zx3mov8l5	$2a$07$PGdkPZT.cx0.MlgLke5nH.xMrr5TAGx7pt6KVEze08DY9nCCJvXpC	58	2013-08-03 21:43:36.627873	2013-08-03 21:43:55.26975	159		0
13079	101ppl8idtqfaugf9tx0hgluhg	$2a$07$g2Aw.HWLCHePppa1fQJQquEBIjSQQqxsrH9RV9BBuffoCUXc3lTMq	59	2013-08-03 21:43:36.651149	2013-08-03 21:43:55.445447	159		0
13080	10ly01ng3hh2pb5h1wxc0hqek0	$2a$07$FdILJ46BOix/HGftqtbH/er.vHn2TPawIu.7wo/4fd5/86QEOyWv.	60	2013-08-03 21:43:36.674953	2013-08-03 21:43:55.630344	159		0
13081	10hri4evkiqhmttifjk03ofi9y	$2a$07$q7YCJ0fdQdQbURHDKHfzou6XnMe98XKs.8UwEo03tMsgm0QGuZIDq	61	2013-08-03 21:43:36.698603	2013-08-03 21:43:58.357133	159		0
13082	104spmd3nr6qt5zc3lz3ro6bt1	$2a$07$yKLGLg5CuKcg/of0tyLxGO3MM6YMPiFqH3DJ5dw1zM1mk5Ez26fvS	62	2013-08-03 21:43:36.722583	2013-08-03 21:44:01.539648	159		0
13083	1011zu53a1644z8j6kvb0ic388	$2a$07$B8c0deJh93VywleumF2/3uFsSE.fLQQHzf0k54hjyvUa06chL6MBq	63	2013-08-03 21:43:36.74516	2013-08-03 21:44:04.734959	159		0
13084	10snj8ztb8om879jbxm6uqi70q	$2a$07$cmghBOELsV.VAeoeJD57FehL0KnSSrDKAkb.CwyPV/ppnQiXm21N2	64	2013-08-03 21:43:36.768825	2013-08-03 21:44:04.882409	159		0
13085	108cunayu3qoh8u42jcqo449iv	$2a$07$RRQ/To/l8Lw/dW9BpwK5XO49igMCJrnADg2h0uKIOxotb596/3bkS	65	2013-08-03 21:43:36.79223	2013-08-03 21:44:05.013437	159		0
13086	10h2tkpiv6hmmmyjmfj3dnfklh	$2a$07$HiI4in5GB8LhbqKhot3r4u1XJLH1XAR6WJF7nxm1/AwQlrpiCNh7G	66	2013-08-03 21:43:36.814792	2013-08-03 21:44:07.925391	159		0
13087	10v2p7ck5acz2w52ev0ty5y1g1	$2a$07$pytFWh2BjaVmAflxYPMXjeMKMFi2GgwbalnxJknALYOPcdx1JpgCC	67	2013-08-03 21:43:36.838038	2013-08-03 21:44:08.062334	159		0
13088	1047uwp8ktlliotywviwd4jo6l	$2a$07$vtAFa.AydpZzGcaDHW.v9eRzc8OnHYdFr5TadYIE4pW.FOX1Z4NFe	68	2013-08-03 21:43:36.862217	2013-08-03 21:44:08.178979	159		0
13089	10q8yd8moz54eh61tkahvosrf6	$2a$07$jz4BUOREX7VFTm5co3e46uQhY90F0o/CG6VuF0snYlNSSVlLQY0ka	69	2013-08-03 21:43:36.897747	2013-08-03 21:44:08.316976	159		0
13090	10h8nuf9gh6t1ejk2mtrmj4458	$2a$07$7IBb6HDbLgYNPy5kUiRt5eNzOQoF55s7PW5wHqcYxa5Nj8YhnRB8S	70	2013-08-03 21:43:36.933134	2013-08-03 21:44:08.4584	159		0
13091	10tx359tu6ar63jpf70bg6z6aj	$2a$07$/TJDuyGl.Xn11T0zYzNr1u4K33jN0D7MCMM4LeILwTLLmToQVav7m	71	2013-08-03 21:43:36.969808	2013-08-03 21:44:08.570818	159		0
13092	10t2st57i1ahyr84g82ppq80fi	$2a$07$P2frgetJ4JguaN4kHO.IZOAu78R5uP/H7j1aircZF6YGzvottYT5S	72	2013-08-03 21:43:36.993189	2013-08-03 21:44:08.696853	159		0
13093	10dccgo65bw67gq4nil4mjgv91	$2a$07$Oz7qkq9dhhdESilZ/pdLiOUQlOt5svfZgb8UkLVcYOsArNqO5NwXe	73	2013-08-03 21:43:37.016884	2013-08-03 21:44:09.254328	159		0
13094	10rd4o243j8i9ho0dynwx3uelj	$2a$07$En7WIjYgOeSGqzjIPJ62Ku2pvGkWDV4clGT1g68AMX1MwMxgQMfBS	74	2013-08-03 21:43:37.040642	2013-08-03 21:44:09.389218	159		0
13095	10pmmtr1fj7urd5eudz8dtg8ab	$2a$07$ZxI7Gj46FSErrOfpbgau1uQ8FtfoVKgbCJ51hu7crSCFgbErSGHlS	75	2013-08-03 21:43:37.064689	2013-08-03 21:44:09.537309	159		0
13096	10lqtjgklmy91dc1oiyh0k2aup	$2a$07$Gb..sbQt8RTQt1O4CdokO.y8vneD0YQekosQ5Jb8nEhtyrCs3i8qO	76	2013-08-03 21:43:37.101811	2013-08-03 21:44:09.664956	159		0
13097	1088y25onuqamhlwxezgg2f6ui	$2a$07$tRWyc697rW6DOTeVbeizOe7arLlwSTzft1QMfPJRViu7nq0JB5tGu	77	2013-08-03 21:43:37.138507	2013-08-03 21:44:09.805011	159		0
13098	1085vn9w3hsstv3w753ssovjs1	$2a$07$KYAScRnV8/Vg41SJl0q3K.NwjG1JiuGJcD5Q3gsUBH1CV7qsfykrm	78	2013-08-03 21:43:37.174488	2013-08-03 21:44:09.978894	159		0
13099	10izq0sycgyjf7ibh186sh2huv	$2a$07$NHk2gMGPol7hSwst3fndL.UhogL5ASsZyr.rkVzejB1O0K1lwlYdy	79	2013-08-03 21:43:37.198373	2013-08-03 21:44:10.116802	159		0
13100	10615b9xh5hz9afiurjencubvw	$2a$07$0KOZdnaflP9CDBgcKC48Nu94QydLNI1ATsDbc5NpK2cDFXbnn545a	80	2013-08-03 21:43:37.22148	2013-08-03 21:44:10.243287	159		0
13101	10yfojbs0eg8yp8cdie4dxnjhc	$2a$07$zZ4otxKJxyQ6k8//Hc89SeVbt/8rsy2gBBZp611AeJQ7J3PW6qYIy	81	2013-08-03 21:43:37.245372	2013-08-03 21:44:10.5144	159		0
13102	10rn8294pqi4sjc24ev1w2oo57	$2a$07$FJHRxPsSjCckxKj0ZR6R5uTZd3wmVDR6CH6sHuverv3P38vTbdXMO	82	2013-08-03 21:43:37.267434	2013-08-03 21:44:10.634326	159		0
13103	10j2tld5ktxwzgy6ydwwp68od5	$2a$07$elnBfgQbiyqyTJp8R/3qhOefjQZNeWAnvWP2uQqB9yu5/B2tIyM/a	83	2013-08-03 21:43:37.290676	2013-08-03 21:44:10.839448	159		0
13104	10hztv6cy9kn6w0t6qc6h88via	$2a$07$o05HxC8iY6i2JbqYjo.UA.Hr6PF22oJoaMmneZCUpxZ/ARMlJn8CS	84	2013-08-03 21:43:37.313807	2013-08-03 21:44:13.830709	159		0
13105	10x154x80vjmx672qem2ictrj0	$2a$07$xSnjaJXrONIsHnnGadtdtu3OmKE.LkKNYaVUYhKN4wxNPYcmElN/y	85	2013-08-03 21:43:37.338613	2013-08-03 21:44:13.960235	159		0
13106	1058x8wre95oizdc97fhkqduhp	$2a$07$/XGpGMaVZ3H4t9XauXkjFeOWgHeek1wYI5S409xpLHJ/SjlKGzGcm	86	2013-08-03 21:43:37.363446	2013-08-03 21:44:14.097757	159		0
13107	10v1s6ymie318ik1nr591xllo0	$2a$07$y7jfHDg8ttEWdoqI3j5zzeFqIU3xBlP3oHAfdJZINH0Cqje8QfxlC	87	2013-08-03 21:43:37.387283	2013-08-03 21:44:14.242651	159		0
13108	10h7s2ml832jqjxht9xazwv7a8	$2a$07$wT6moIoNyXNvzgA3ZNca7.7KqvZVx3zQDad/8b3Vaw8HY6Q5TCe2i	88	2013-08-03 21:43:37.41051	2013-08-03 21:44:14.384174	159		0
13109	10qoopv7xqphicnmxk5p4o290o	$2a$07$uok0Q1EIAAutwpt6UNzvSuGk4PNuioLYK4Ae4byG7V9w3762ikdOC	89	2013-08-03 21:43:37.434393	2013-08-03 21:44:17.087394	159		0
13110	10apfs2w6e35vqtprhlevei6sq	$2a$07$Fb08gfN9r7.inwEH2BM0o.SF53PgBhZQzOpOQ/skntUCCCF9h1/Ci	90	2013-08-03 21:43:37.462818	2013-08-03 21:44:19.719954	159		0
13111	10xq6z9uiq53w03rkfy8vtj8ar	$2a$07$vUsz3keAvPJCYDf7PN7Yuu6OLqDrtc0bGFW4ZKsdG68GpBZzSiiIq	91	2013-08-03 21:43:37.486318	2013-08-03 21:44:20.590132	159		0
13112	10qbythtyw39hyau4tyxmihxe2	$2a$07$OOnSUHzgA6B81LIxU8JHjO8Ej/uQhVIa7WDm4jSO12q2QiO6KZTLC	92	2013-08-03 21:43:37.508936	2013-08-03 21:44:20.691714	159		0
13113	102mvp4tnsomqiitfuwqplutif	$2a$07$PBew4i3tbJvaqJZGM7fbaO0hmf21dojnStl46INbm.VsxGGDJKrBO	93	2013-08-03 21:43:37.534134	2013-08-03 21:44:20.803685	159		0
13114	10uymbm40zmlu82ehr4lkrd8v6	$2a$07$3YXR4QJ7kd.wej09pXtyDeNlG0UHiAi0RZwS/qcARaip.DHHH3m8q	94	2013-08-03 21:43:37.559736	2013-08-03 21:44:20.914872	159		0
13115	107adkds4b21n863pck5yfqxfq	$2a$07$d8ty.cMjderW1g2dHh/SHeXoeNLWEHp8Rd/HwUoi3c2fVPOKQA4MO	95	2013-08-03 21:43:37.58394	2013-08-03 21:44:21.024362	159		0
13116	1019hlqp5rqchz5cl81r3abnpy	$2a$07$IC2sFaBnWBrcTFkmQ8D4uO0HyDKw0fz6KKPL6QDkC.xYdGBhCPBRO	96	2013-08-03 21:43:37.612075	2013-08-03 21:44:21.139869	159		0
13117	10o8nkhmccp3a8ocilcgvgcog5	$2a$07$Y1NSz3s5evu7BAtuPqG1WO9oEjz0/20V/ajYsmGRgKtW9FFQoAOHy	97	2013-08-03 21:43:37.635279	2013-08-03 21:44:21.260162	159		0
13118	105nz2bz0zemzeschzfnrw2h6h	$2a$07$qluYwY4gxwc9mIwckoJu8uzyz41.ZoQQsFl8f9sUWuaAPLaL9ToZm	98	2013-08-03 21:43:37.659277	2013-08-03 21:44:21.357715	159		0
13119	10fsbvjca2mtzf8276i8o2q1xy	$2a$07$fwGPrgWymJSO7VhewN/r5e6GOFmuupduH3qDf6cAEiNoxky612Uaq	99	2013-08-03 21:43:37.683352	2013-08-03 21:44:21.474946	159		0
13120	10mpkwd5owly6qceww077zqr5q	$2a$07$acOXJzqIPk1f03qgCD6eS.qpcQ9VzRZQ51Btd0AMm7NgS8ggeLhQy	100	2013-08-03 21:43:37.70723	2013-08-03 21:44:21.58859	159		0
13121	106qffehokyxynruu7r2nz2yes	$2a$07$2di3CXjwFeRnmzQ.p3N1lORICLJRghT9dsKihabK4f2Li6Y3kzZDK	101	2013-08-03 21:43:37.730459	2013-08-03 21:44:21.698901	159		0
13122	10gotf1c5f7qvcr3l1jfpsyhb6	$2a$07$UZzGxW716mAE4a6wpwbpaO9PLayphrqwx6SztU3m7mYqr7sfKkQ7.	102	2013-08-03 21:43:37.753051	2013-08-03 21:44:21.83359	159		0
13123	10qa75mw0f4f7j2x570asub7d3	$2a$07$hk.hpV16weJ.IN.krOSYlePLk9DxvLf4lKvzXitHb7x5GIew3jcra	103	2013-08-03 21:43:37.775655	2013-08-03 21:44:22.28948	159		0
13124	10uk5rsd42l7i5bdxfnnehx8cp	$2a$07$QdF3n9OJ2nLXl6LDijJIwOMRdM67KajlZFFtheD5DqrfMgPM1trQ2	104	2013-08-03 21:43:37.798679	2013-08-03 21:44:22.792075	159		0
13125	10ci5reg9dcdig4hjto3l9tyvf	$2a$07$f2ArXodVKrXgUIdUSWzRPeppvOp/IIGFgkuhW1Mw6muttVwJ1zXF.	105	2013-08-03 21:43:37.822289	2013-08-03 21:44:22.914344	159		0
13126	10izl9v72ylax5hou44w1rqxom	$2a$07$RwNYLFaTu8sp2R04JG73AeCcLokySMuSsQY.UXhrHuiA2oZPDhSCq	106	2013-08-03 21:43:37.846082	2013-08-03 21:44:23.029908	159		0
13127	10le5st96yq7v5k5q59thb8lak	$2a$07$HXvSJ6vOGBxckav0sRLhiuu5/g5M.0bHTNpHwQZPlntSfnm3VrV66	107	2013-08-03 21:43:37.870214	2013-08-03 21:44:23.138552	159		0
13128	103zmhgbvmsnoaydauyzeonvat	$2a$07$2PhEcpJ6IsaZFSklh9Lg9uxLY4vEdYFHU6sO1VtwL51xYxOCjHoYu	108	2013-08-03 21:43:37.892473	2013-08-03 21:44:23.264617	159		0
13129	10k7zowtkw46eetxtvcd9xft3c	$2a$07$UPZ9L.Imlxv8zXJI5sMPBOHa9zbl6/aG3OaGX3F7ieIYaC/U81Csy	109	2013-08-03 21:43:37.915718	2013-08-03 21:44:23.493797	159		0
13130	10k7jriv483xkapnpge7yc06ad	$2a$07$KMK0tzU6JJ9rio06FD.2W.cBikvajdLvyxb8YvyoG3sX/hgyAb/Zq	110	2013-08-03 21:43:37.940043	2013-08-03 21:44:23.651733	159		0
13131	10nu8luj69osz9nqpd5iifblxr	$2a$07$/SKhHntftwp60ydfa8QX4OAax3rUzIB7AXZ7bUCf7VuOf/pasbGpG	111	2013-08-03 21:43:37.962785	2013-08-03 21:44:23.793326	159		0
13132	10nv22shkolvgyeucyqc3j7lp4	$2a$07$iWcL7efQFuYvObBtGoIClOa63WZGiVDYBgGflzXZzYXZjcVkJi.YG	112	2013-08-03 21:43:37.986788	2013-08-03 21:44:23.96352	159		0
13133	10nrj7enf4h50fa5nrm5u0gpwm	$2a$07$yTVvZB52EZmiYHTKht1SDungoCttz2zuVXhiz9gFiK1FQydfK1Cge	113	2013-08-03 21:43:38.012052	2013-08-03 21:44:24.11655	159		0
13134	100b1m2pt58h0hns95ymnmc3rq	$2a$07$/qJl2dbYQLcrIHHELDpE6.n8cnvcOxvgGsawAiMEZQ.ei/V.MIFZK	114	2013-08-03 21:43:38.03717	2013-08-03 21:44:24.256094	159		0
13135	10t1xycs48cndz6tewc8bswvs5	$2a$07$VyyRDSLxqOaTsCheFrK6iOuSGv7.XN50OsC17hiEiQ2W3OFX4sAsW	115	2013-08-03 21:43:38.060563	2013-08-03 21:44:24.394645	159		0
13136	10cq9lydmb73es4epge5rc8frg	$2a$07$e72zit3yjaBaSzSeMhoT/.LC1MWt5F0dvkZqFbyEn/AdW/nWfs3ae	116	2013-08-03 21:43:38.083633	2013-08-03 21:44:24.549549	159		0
13137	10cwmkelvhvqvxpvjufu8kfnf3	$2a$07$A9brpWpVlw74/AGUIjAAZ.2HqL4EK5/OmU0IHuD5e1Fn5uTgZGDD2	117	2013-08-03 21:43:38.107321	2013-08-03 21:44:24.6865	159		0
13138	1028b04dv8odi0cepee6is8yl1	$2a$07$MKaluqfMHh35kdjOgHHikefCP/YdEhkC1yx00wh9qwfLsMHu3COtq	118	2013-08-03 21:43:38.137886	2013-08-03 21:44:24.821719	159		0
13139	106ln7aej3arzdek73g2s04mus	$2a$07$7ruSqFCTFyV/DAK1Xe.r5.k2coNXximBv7rpBSHt/K.ELO5odIUnW	119	2013-08-03 21:43:38.161885	2013-08-03 21:44:24.978716	159		0
13140	101up8vx4kjaa8unvriyiycz4m	$2a$07$7FgJSahix7XNnsasQ0kn7ejMYlLVI6amq4G2vOjLo6NjiqhNYE3sq	120	2013-08-03 21:43:38.185108	2013-08-03 21:44:25.103809	159		0
13141	10imp4faaqclfbf2epb7dlnorh	$2a$07$IYwawPBA/RwjIgY3/RuqK.TkmTAAutCTa1FZaYneUH2yaoOj8s3s.	121	2013-08-03 21:43:38.208678	2013-08-03 21:44:25.220616	159		0
13142	10hon9ziitum5wz1x5gwp1ejwy	$2a$07$aB4.XhxLtCS0uImLq6amLubM4xdXZssaYH.VZl5wcCni8qmd1ISAm	122	2013-08-03 21:43:38.23273	2013-08-03 21:44:25.344244	159		0
13143	10r1o471ck46xwr5f7qstga9tq	$2a$07$yHIhW8/e7IYfgpdM6A7/0OERSbihN25qTYWbH7cEimusP2pXV3FG.	123	2013-08-03 21:43:38.255878	2013-08-03 21:44:27.998715	159		0
13144	102iiaop2pr1dgdl1wrpbslwqi	$2a$07$qq.fC.BbC57TBJ.GcPvBeukhvxKEYOxPz18xHUL3MwiBlRcu6K1nC	124	2013-08-03 21:43:38.279387	2013-08-03 21:44:31.342615	159		0
13145	10p62vt6u8zozn1b5uux1dwbhi	$2a$07$Gvzq1FF2Kb/C3nVHD/7rleW23b70LKoTVvc.R0aHCHetSlooP/oUS	125	2013-08-03 21:43:38.302657	2013-08-03 21:44:31.661066	159		0
13146	10isoyf37xs6vhfhzbd1wq3tfy	$2a$07$fEUb/az58Dpj1nQmzrD12eRbWIJ0fmAuSGXOG0wQrtaxvYU8l676W	126	2013-08-03 21:43:38.327482	2013-08-03 21:44:31.996916	159		0
14407	10k8hijnyje5fzyzp3ay92gvrz	$2a$07$dSi3kIXi.x3aauhnhHje7eo994Lsrm81H1NsqfLda8CmgNzINnWUW	1	2013-08-03 22:38:35.06815	2013-08-03 22:38:38.484931	170		0
14408	10b0jpqspsib0egkstkc8i4xki	$2a$07$L0wIEIrdHQk/GbP3Qkg1JOf12qDBWy6m9vyklQXnSLaMHPXGhAmLu	2	2013-08-03 22:38:35.092844	2013-08-03 22:38:38.713878	170		0
14409	10233xbt20n7imbgo8kxqtfi5i	$2a$07$RX/fMLFzGhyZpgZXmHch5eNDo6gbUu.vGiUJG6HbkjEo1t4Cy0NFm	3	2013-08-03 22:38:35.122604	2013-08-03 22:38:38.917014	170		0
14410	109ltbwbm7v974p6mb5fjlg84f	$2a$07$Zbir2epO5hMWhKXOUsQsAusXem5369lzQ/IOXHRq58wCkmwcl/77K	4	2013-08-03 22:38:35.14826	2013-08-03 22:38:39.061114	170		0
14411	10zs5ymdxo9teabz27maj95yd6	$2a$07$1bef/yXveE95XwWVyjR3Lu.k2lXMb6RWsmivOD41onb5ViHV3dn5a	5	2013-08-03 22:38:35.224273	2013-08-03 22:38:39.211833	170		0
14412	10b9j40t8w09x4fsi08mln4sbe	$2a$07$q6bEcg3ZWng71Lc76qdkFeV1Wy7BKYyKev8tsiDs.GEnHS2hSgqHu	6	2013-08-03 22:38:35.247839	2013-08-03 22:38:39.416577	170		0
14413	109ofc67b1wsx9vy8vc0pwl86v	$2a$07$MwcviO.1fLgip0TIhMc3A.HpXLVXY39W4QhbS9AVPPGgXjsbhqLWO	7	2013-08-03 22:38:35.270783	2013-08-03 22:38:40.413053	170		0
14414	10nyo00slqrnmdfphxe3umma1a	$2a$07$6Wqk4OTKuxWj69xlGeaYVuBZQnCN7bV/FxjxKynDm59ajLvgjQRK2	8	2013-08-03 22:38:35.293947	2013-08-03 22:38:41.342493	170		0
14415	10x24dhuzmvvqmaexs48vo75qf	$2a$07$2NFeg16AzYe8n1fLyKNDT.zRkOLm3QoRCJ29fJS/Iu5zDqMduJSUS	9	2013-08-03 22:38:35.316898	2013-08-03 22:38:42.315455	170		0
14416	10y5eggzbp7vq0sm5b8unskp3i	$2a$07$g3Z7th21OEgjw4MOfgULA.1.vHW.FIVlj4Bis6uLBeFIP3uXJoYdG	10	2013-08-03 22:38:35.340007	2013-08-03 22:38:42.437404	170		0
14417	10xh6ail4fxcjj4nm0385no3v3	$2a$07$XUkhaeJOabuc3OJFGaOhdu22n3CkidppY2LqD2a8ob7DC0J./TfWq	11	2013-08-03 22:38:35.363711	2013-08-03 22:38:42.568808	170		0
14418	10vksr0bfnk76xt3rxfmn7vgw9	$2a$07$mEIkXY9d2pfKvlgTTw17mOlftbfK7DwLnOzjjiMN19k7qYXakNsTm	12	2013-08-03 22:38:35.385692	2013-08-03 22:38:42.690321	170		0
14419	10j9r3z0dg67w2hbvk5jm613pi	$2a$07$VGRE7sgxbsYPa5BOTsAaNeH78fMFPqGeSCb5UkgA4cqwYoxKmyZ/.	13	2013-08-03 22:38:35.408596	2013-08-03 22:38:42.902485	170		0
14420	10cv4suxitjvn5zu5o96itde6v	$2a$07$7PGvBVBa4fVCKXETpO5jz..LXma5zpXRpNRUBMEYf/sZYyLzQiJu.	14	2013-08-03 22:38:35.431545	2013-08-03 22:38:43.093717	170		0
14421	10ex85doy67lsr5dtty5c6ixqr	$2a$07$jhBadQ2KZLjtYkHR2U//IOVdpe6ZV.ZUMZVSHwD9voBRpQydDd6QS	15	2013-08-03 22:38:35.455692	2013-08-03 22:38:43.22166	170		0
14422	10yxyxpjb1ioyc8cyxlt1c0qwz	$2a$07$mVFi5VEhVVfx4uaZa2KoHehQvxY7K1klj0flnQ3Nnnyj9lOzK0jVG	16	2013-08-03 22:38:35.489149	2013-08-03 22:38:43.35327	170		0
14423	109mjnjua2v3qq9t3vtk4wtkdb	$2a$07$h14pYZ.M6mBpiWV7Zsw.IO1JWEnLu3fH80XNV4liGbvwGyzxfKSkC	17	2013-08-03 22:38:35.512694	2013-08-03 22:38:43.489996	170		0
14424	1049y4tzx44glihkjlp933492d	$2a$07$isWau9oFthkiDP2cv9XAyu6N3EthFAIlNgJPRjY/4vHXG.KJH2/w.	18	2013-08-03 22:38:35.540501	2013-08-03 22:38:43.634576	170		0
14425	10hkm6scfynz2tblrtkzqmh3v8	$2a$07$DXk1leo/1ivW8OHtY9XcjeG6IyVEEURzI3zP4RbWrT7KcvHGeDrJ2	19	2013-08-03 22:38:35.576104	2013-08-03 22:38:43.794242	170		0
14426	10ah7azx4ktmdzp62htaxfj4b1	$2a$07$zaYwwIPqEQsLgSy/qxCv0.nWQ7QIiYttsr147MvAOjNbLZTKczcOC	20	2013-08-03 22:38:35.599811	2013-08-03 22:38:43.916392	170		0
14427	10thd4wcsr6hmw31di0ynw5buv	$2a$07$1ZDfbZD7eisZUxHXKaCUnedKZkWCNYJwo/Z3U..WypFSTiyZrEi3a	21	2013-08-03 22:38:35.621529	2013-08-03 22:38:44.041779	170		0
14428	1061z1i7ug2unzvoff2hs80vak	$2a$07$A9V/vjF0oQ9uYTzr9AEPDec.pLXlXVUfUzSovrTbLxfj1G4EkETta	22	2013-08-03 22:38:35.644662	2013-08-03 22:38:44.165826	170		0
14429	10ups16enxim0w1r91utdhzuaf	$2a$07$F/mxRnXlXIsI4KM.T.xWJugfju8Fisxi5aWdAKQmyUmhcPp7yDsRG	23	2013-08-03 22:38:35.668231	2013-08-03 22:38:44.302137	170		0
14430	10zyef78rbehnnq7we7yeg9imq	$2a$07$AOpEiMAqHs6UcKD6ehL0me3ofDOzdZQTjys/1mRLBpNmAH9Wdeyc.	24	2013-08-03 22:38:35.691525	2013-08-03 22:38:44.430901	170		0
14431	10h0ohiy0c3lv13wsgudnbsjk6	$2a$07$wWFonDAC.zVSk1yMjOljfuBOH8OgkDxtlDLHezQ5gHc6SeKZ.ENnq	25	2013-08-03 22:38:35.715026	2013-08-03 22:38:44.578442	170		0
14432	1074o6zyf1f81g5lz67gd5m733	$2a$07$hvnAy7RYqFELctpDykjd8ugE7BlTwvj.v8Akvpgv78/u5zO33XG2q	26	2013-08-03 22:38:35.738313	2013-08-03 22:38:44.711886	170		0
14433	10zj0px1nbv6s5g2901pjlhmzq	$2a$07$LYijbALoZMbxRP6aFStK..XHUA8JwTXr/gZi/WqSqhflTvqA4zxtK	27	2013-08-03 22:38:35.768467	2013-08-03 22:38:44.852078	170		0
14434	10tvnbn59re58vt5htsoibla30	$2a$07$xPFdwWVhVd8d23ubY7VtO.G4NESJgbtB9RcBmRUJVrocv9MQBCqC.	28	2013-08-03 22:38:35.791389	2013-08-03 22:38:45.233661	170		0
14435	10aabot7bgnvxwgkuryr9dkgyg	$2a$07$d6VS8G2mDjt0X0xOm95EnO9ILhQaxUdqg/uha1Tr2XP65IbeM02Cq	29	2013-08-03 22:38:35.814311	2013-08-03 22:38:45.62912	170		0
14436	10wnakg02z1wrnj8wpdwum37pi	$2a$07$jr2oSbC8E3RYGAlX/c1y/OONz3ywJPmmqFFR8ZYfOldm8fVkGJh7y	30	2013-08-03 22:38:35.83776	2013-08-03 22:38:46.013006	170		0
14437	109wnxtw956ljc0uh5fht02tnq	$2a$07$rEZkqmK5fKnPkTcFPXm8yeg3.LFWehbOxfTrFRm8AA2L6hcN3MqT6	31	2013-08-03 22:38:35.860729	2013-08-03 22:38:46.152218	170		0
14438	1038pdqb18ko4eghxrl62rmmlw	$2a$07$thf9GO27WO8zMMZJ7zlZ5OemR49hIrRsgKBPr2PRlYyChQKGDzpCu	32	2013-08-03 22:38:35.882902	2013-08-03 22:38:46.302313	170		0
14439	10ne1epwsv4g6ffsvvzo66yfo3	$2a$07$d5KHgJBBmKzuzGYpV97mQu9ZxQqgAd9JnrrAlxE4caxQYvsIydriK	33	2013-08-03 22:38:35.905501	2013-08-03 22:38:46.439188	170		0
14440	10qu23ouk9efhj1zlalutbkrpw	$2a$07$E231Hop7PS.H/qPhupuXHOWewuSRQ8no8Sfgz4fS0Ki8oo1SUVPWG	34	2013-08-03 22:38:35.92835	2013-08-03 22:38:46.581913	170		0
14441	106cztu2qdn1u4k1cckmfap5ww	$2a$07$HdAtJVdFANFGRPe8DgN9uuNJgg1rVSZuD2qj7qG3vXSVN7F4kqlLO	35	2013-08-03 22:38:35.951875	2013-08-03 22:38:46.726251	170		0
14442	10pchv52jndopmghel9up5lkdf	$2a$07$ohwgygbdud6nu0bhPRz/L.sU8rzgAM1kaQLzz9MBBvhpUT7H0TKa.	36	2013-08-03 22:38:35.9751	2013-08-03 22:38:46.840585	170		0
14443	10gvak0x0idtm9j9sotbqap368	$2a$07$SZNJS3lG4ooYEB7QJIYEOeLzZzRfANx2O/wV8qLP2Kzx/eKACXhSi	37	2013-08-03 22:38:35.997729	2013-08-03 22:38:46.980372	170		0
14444	103h8yutqsdrvsdq3cjv8y9dta	$2a$07$5xRKTpdcCPy/Y1m5gfq99uuz/ggAwRaC49/OFUvFX2Gljl.N1v2Z2	38	2013-08-03 22:38:36.021204	2013-08-03 22:38:47.136109	170		0
14445	10jzizo7z0dta2vbz9dozc4481	$2a$07$ZuonYOK5wrbu6S3Z/ABdt.G/EK01EwgdzAFfd/khsAi16IbmuLEly	39	2013-08-03 22:38:36.044989	2013-08-03 22:38:47.290412	170		0
14446	10arpcr7zaciq3e9p42rf9slnl	$2a$07$l4eVeKUMU2iNVyTLnUB0oOle8A6xmQj9DxBUWx2jIci2bRI3jnvMK	40	2013-08-03 22:38:36.076348	2013-08-03 22:38:47.461652	170		0
14447	10xjiii1s9kbs8c33t6v9lxzko	$2a$07$s8kj30KwqmQ9IbeffKr/ce3NNUcfeYcWDT6p3vhIobrPwPhiNlbiG	41	2013-08-03 22:38:36.099108	2013-08-03 22:38:47.625216	170		0
14448	10ibgi5cx5nv0kwwnhmlhws03c	$2a$07$ERz0rQ1BOcN/V7x4VAo.IOG4L5xI2ZUXGtPbQz9VS/uzsjVigfOkW	42	2013-08-03 22:38:36.138359	2013-08-03 22:38:47.753807	170		0
14449	10ih0nbpabqmddqz8lz4zy9e3f	$2a$07$ODhaArF./fZenFFKygL2mOMV.HapPjL36kfw8AD22eqTrwkBxsaIq	43	2013-08-03 22:38:36.16173	2013-08-03 22:38:47.905943	170		0
14450	10lf3sx7ibjvaitk21xos9noz5	$2a$07$LI0ZejcswjaarzLKvDTAN.1pvqCEbfIG.MBGjeRoZyL9Wf.z7lNDu	44	2013-08-03 22:38:36.186498	2013-08-03 22:38:48.065586	170		0
14451	10r1njhf9jq75fgbc3q4mrkchs	$2a$07$HxRsPVejg4uiUHyOJNtoz.FxO0OzneIVCc2vxJKq3CW5DoTd9GqTy	45	2013-08-03 22:38:36.210768	2013-08-03 22:38:48.193909	170		0
14452	10rbfujfg5szx8ar63dqeybeuh	$2a$07$jiTd067nlvrrrNY0e7MvpuZ93MB5D1v8Jf1sUZ.GvFm2K3yyZmNe6	46	2013-08-03 22:38:36.234837	2013-08-03 22:38:48.332815	170		0
14453	10mkfr88bdy70ixnu7p8unvh0s	$2a$07$VPraF1.3djGhBT2Hmt9Qh.RPjGGP.WlEgbLxD8SLeoLbZdxPBPQFK	47	2013-08-03 22:38:36.258279	2013-08-03 22:38:48.468678	170		0
14454	10lhvxvuhckvmkhbt8pnvcjzlr	$2a$07$Mw/pbDLyN5zmcJPskau6j.BXey2/5WU2JrxwD9G5eUGX2XF4P2Rvu	48	2013-08-03 22:38:36.280533	2013-08-03 22:38:48.638814	170		0
14455	103x9tpm3q0sdvsrupisnsd8fs	$2a$07$ii6zmJAd4avJ3XiF1qr48OuDKrt.lMF7eCf57BbWsnlFXo4Ve5S3e	49	2013-08-03 22:38:36.307812	2013-08-03 22:38:48.794141	170		0
14456	10ddo5athpfse6ui2cvo7ldk6r	$2a$07$RLln50hXVnCIgX5ZNzC65OsqVLwc7rTol2z1sXnqawKzBOmbGGtx2	50	2013-08-03 22:38:36.34163	2013-08-03 22:38:48.949231	170		0
14457	10w4e5jvlr0yrwu0br6m7gq32b	$2a$07$Ev6rAHmHOE05Y/z9oorJRe9wEQX9ogM9diawrexuK7gUHgwBfNZoO	51	2013-08-03 22:38:36.380241	2013-08-03 22:38:49.104224	170		0
14458	10953wdcdgr90t1pem5ruvx1kk	$2a$07$KzVxwvOwjmBPywW1q4kci.vOlM5TKdU8tZJb4i.VVjBpYJrt0PCRm	52	2013-08-03 22:38:36.413259	2013-08-03 22:38:49.412784	170		0
14459	10rablt6f144dvw5riqhmttk8o	$2a$07$k0w1Wf/DzgoQc0YRiu/HC.Fm5zRbUQpIlhvIJePAwqTUtRJd4iyoq	53	2013-08-03 22:38:36.436543	2013-08-03 22:38:49.721791	170		0
14460	10w0y4gkbqukz0dp5n2j7gd95m	$2a$07$pR22PVs4fkH15AorQfywk.q49i8Owq2JMnBVvpnsx5YeqQwHWWWX.	54	2013-08-03 22:38:36.463913	2013-08-03 22:38:49.943931	170		0
14461	10wdul5wr857f8qn379jzm9f7w	$2a$07$841xQ8M0icSw8vS6FvOpCOVVNRZIEvuZ6wNUuzHaWCcXb..goU0k.	55	2013-08-03 22:38:36.488122	2013-08-03 22:38:50.055635	170		0
14462	1068z84mqa1ypu056fotag3ue7	$2a$07$MJucecTcfRHUknLtwTbqZeggrOAPZSyZwweTWs.bDWjAh8ggtrdXq	56	2013-08-03 22:38:36.511226	2013-08-03 22:38:50.216328	170		0
14463	10d7594u8mce7kiobvijnm3kfd	$2a$07$/M33SzAx1eUtevHZmD0rF.AkRkMj2a6jhrta9KWLHo9uAHqFusFQS	57	2013-08-03 22:38:36.545977	2013-08-03 22:38:50.37094	170		0
14464	106tucizte53mls2tnksnnmtab	$2a$07$LqO4kAsv9xr3H8vTj/TjAuouMs.SgDtmaW5cfUforIdrHqakVooAy	58	2013-08-03 22:38:36.572334	2013-08-03 22:38:50.696732	170		0
14465	10eunftmr9rp5n4ulsm2p1lhlg	$2a$07$U.H2ktwRa78cnaZYh3RURuQUPWWg2LOfO7kY9QSvc2I3rnOTRE8GS	59	2013-08-03 22:38:36.59455	2013-08-03 22:38:50.976928	170		0
14466	109c9arm31g1rm4h6ekh0a2jm8	$2a$07$nw6ZSN1lgW2tYu3H/Y/29.nGBsQVlpUha9rMSe7KbsJLJdHcWVV9y	60	2013-08-03 22:38:36.618174	2013-08-03 22:38:51.244189	170		0
14467	10adoq4t7r73ad4escvukohf46	$2a$07$sscFR2Xbk3/fBQevb4hyt.2LI2g56hLVjKh0chv2WqIjFCilIYDy6	61	2013-08-03 22:38:36.641159	2013-08-03 22:38:54.198134	170		0
14468	10qs6n6iqkfdd30ps8dull8rhy	$2a$07$eNvpPwl6eItTNFMJsEvpBuzA/cohKjsAZfgv9AdiKhUOXYWobmCEG	62	2013-08-03 22:38:36.665902	2013-08-03 22:38:57.098687	170		0
14469	10xy90qjt94z37p8ekiqh9f1gd	$2a$07$AJsGN4tRrDmvw9L3ZdzbnOP68efzwUdNKm82AbSAs0A4gurH1OviC	63	2013-08-03 22:38:36.699725	2013-08-03 22:39:00.075319	170		0
14470	104q650or1u5xlx6vd3mxlhm69	$2a$07$MLtRnapUr7Mt2j.VkSWzCOu95WezdBrIfmePFZHVok.q9AvBNamZS	64	2013-08-03 22:38:36.738601	2013-08-03 22:39:00.367779	170		0
14471	10mh0xpbh8an1mor0l9opiv187	$2a$07$KTWR3o9sVZRj/E93kBtdKu55Bk1UKDKstxHxIrgqWq0ckdvlOtZZu	65	2013-08-03 22:38:36.777673	2013-08-03 22:39:00.570888	170		0
14472	10a9vta4qu4irn2s261mc9jck8	$2a$07$oTxk2q8tfWxLuGDYuFgDKuiA.6NVUgJffxlVe/ZaQg76hsQSDGnVq	66	2013-08-03 22:38:36.812024	2013-08-03 22:39:01.525823	170		0
14473	1053rhra849ciq2vt93euqf9uu	$2a$07$JLkndtXlSig9jLS3NwW5KOMlTOfXXWQxPx0RAQARgkxuigjMWNhwy	67	2013-08-03 22:38:36.834542	2013-08-03 22:39:01.640731	170		0
14474	10c6wuuvl71hp2ohshzmc19vf2	$2a$07$zhYi9U/wLL1UXjE5WiN1G.eecMmf9pQuPdt6Y0zgr7It2Bk5XwaXu	68	2013-08-03 22:38:36.858107	2013-08-03 22:39:01.810833	170		0
14475	10d68dxhmmn0pl98jwtk33mh8l	$2a$07$CmLqX8bxHudl2BIYS1hDwOFYnnVn.QdXNcYHa3C62qfZNe9.J4182	69	2013-08-03 22:38:36.881122	2013-08-03 22:39:01.963376	170		0
14476	10llipbri06spypovo8zyl6o7y	$2a$07$bMGoAtdkBBqnlONFMKfBvOxEXr5ThPUiCloH2hmeWTla3VY0bWMCy	70	2013-08-03 22:38:36.904465	2013-08-03 22:39:02.089967	170		0
14477	103qyei32l7muv9dovqduhoqdo	$2a$07$G6.vvkfHG5X7gEccFvnVROhYvp63ooFuxH0z0jCZ1/cORYd9/I5UW	71	2013-08-03 22:38:36.928705	2013-08-03 22:39:02.237542	170		0
14478	10ae816j793k5hcplhuhk4g59w	$2a$07$DGhPDYEphRGCb0nFeNtlm./ZNNkgIL61jerWWyJztsCXBWvwtRiaG	72	2013-08-03 22:38:36.951159	2013-08-03 22:39:02.359966	170		0
14479	104f7fkv3o217f30synmt47jrv	$2a$07$TKzpMroA/0zcCvoYJvvR7udGPr/FKg3QfAqC/8s6Qf4/1X7a6Hr4u	73	2013-08-03 22:38:36.974661	2013-08-03 22:39:02.703339	170		0
14480	10zak0p792yfw0l0tnriskxmqf	$2a$07$zXvZoOcuc/vsunES7AMdX.oZAMZZjTzdASDc5EVYPjeNsChLiA1AG	74	2013-08-03 22:38:36.997765	2013-08-03 22:39:02.851299	170		0
14481	10wcukhs0iejdxo0gsgy9vx3yl	$2a$07$4VXlEgiEuUrX1sSEBb71OuFcnjHwvDsLs3UY.gSx1tHI0LwHa1FIe	75	2013-08-03 22:38:37.021095	2013-08-03 22:39:02.995391	170		0
14482	108f3dv1df8x3a8kz5a5jdsux1	$2a$07$XF8GAu.1CP3QeC7sQd1o6.zPy.evVKsU1/nRaYf22vgMlZnBb7K2y	76	2013-08-03 22:38:37.044376	2013-08-03 22:39:03.13553	170		0
14483	10szxnfzam1fyrp8r0m6jgneu0	$2a$07$YHjqsmHwkhxrHEtFk/lpMOm0L3mURA5uaJXdE2XPWrnGC53udBYNe	77	2013-08-03 22:38:37.066741	2013-08-03 22:39:03.306271	170		0
14484	10wck2aq3dyy0vd02wsqigpjvy	$2a$07$rg7d8Le62Vn9NwljZlfrg.RYK24VIDQ84GRia6MyVZ/yOFJgoJsLK	78	2013-08-03 22:38:37.090167	2013-08-03 22:39:03.455098	170		0
14485	10ytf0oj23vjw0dyd99fyl61uw	$2a$07$TXkcOkBDzcnf8ZdPL5t0dO3UytybWa2SDrySLSB8O9/9dyriCKqMm	79	2013-08-03 22:38:37.113922	2013-08-03 22:39:03.617823	170		0
14486	10vx94y8v0k2puxk4pwgm8w1rm	$2a$07$Ao4oCCHkjj3KyNX59M62Y.85g881PT2i/xlkx0pH2sDTHW3.S0rdG	80	2013-08-03 22:38:37.136669	2013-08-03 22:39:03.735646	170		0
14487	10b15v8y98h4qvj6b5ambx8x28	$2a$07$wYJQcCffsFXVjLiQGUj2MueBrMWUCSII4K0FUBQFT.2MUgcP8zwEO	81	2013-08-03 22:38:37.159655	2013-08-03 22:39:03.961803	170		0
14488	10v2lmbmnd4rznp7f81n0cqqtp	$2a$07$85UUWISziaqnaYravDmn8uc401zCGspICBDCmpCZzsVm2cDdUy0nC	82	2013-08-03 22:38:37.183946	2013-08-03 22:39:04.08692	170		0
14489	10ceqcw9bvy3vvbjk4gm56l5pe	$2a$07$PT1Qa4snZHVr2JwV0cFozOtLdlTQOLjKXjVO5m7FZXGvV6qJSeppe	83	2013-08-03 22:38:37.207374	2013-08-03 22:39:04.31661	170		0
14490	10i1lqh1otzckgrhulqs1ja9cj	$2a$07$dFUMNP.lQGY6rFBQe8KYQefKMb92BNOGl.jrEeLkWbxxJg08sSyOm	84	2013-08-03 22:38:37.231372	2013-08-03 22:39:07.179622	170		0
14491	10axcxqv0rmieqv7eu154s6uq9	$2a$07$kT4b.m69rdhYwYTithSezuJgsG93n77KUcnVJUOzmLcfO.pX2ZbfS	85	2013-08-03 22:38:37.2554	2013-08-03 22:39:07.408031	170		0
14492	10qhw21rat4oljsy1wteil545v	$2a$07$LrMu5Te5fNCPCK1zvHOT3.Ag5DSNF5S7caaPLEDVKi0CLgcT4Q9C.	86	2013-08-03 22:38:37.278136	2013-08-03 22:39:07.573145	170		0
14493	10wcdeh8q47k8xdpgc5yvlbv5c	$2a$07$8HUyWpTjkPrWE5xCRlcGOejTJfnEXowcmJUsj0zCDiCIZxOTdryEC	87	2013-08-03 22:38:37.301973	2013-08-03 22:39:07.790922	170		0
14494	102jes0f5blql0nklqtcmu5obp	$2a$07$WroSCiEjKIB.hP/BPBeqhuV5AmdwKjGq1M3zb1Y8skzs64yYshpma	88	2013-08-03 22:38:37.324021	2013-08-03 22:39:07.937822	170		0
14495	10u0z0ai5lifgpdb5p3e8ixpw5	$2a$07$xKkcSdbKLRIQuF8ohRr5/OELqVWF14TKZKVXWcPC2MOffp5CuoIP.	89	2013-08-03 22:38:37.347544	2013-08-03 22:39:08.901801	170		0
14496	10buz10jfnofjea853jnconax4	$2a$07$o3L1ZfSA82lgI2MPhy/9muM3BeB4csr/c72xoKzdlrcha4KKGaHaG	90	2013-08-03 22:38:37.369636	2013-08-03 22:39:09.900149	170		0
14497	106grp58jz85y3as8difm2thxj	$2a$07$IGDbC90CoSkDcby9Wdc37uF0WJHJrq1A9tff.7pgexYlz9aDG5D4.	91	2013-08-03 22:38:37.392727	2013-08-03 22:39:09.998722	170		0
14498	1028po0xmv9badeb3308r2y9c8	$2a$07$iYccSJPIec/ephdP52MOp.qqpNWyJuklLyOhqpJBH36WCqwbvCmOK	92	2013-08-03 22:38:37.415624	2013-08-03 22:39:10.128767	170		0
14499	10mvf4mu82cj4m367pz86xtjtj	$2a$07$9CGCMcj1pXLsMOOltfgdT.FRUum00iv.zRRep5V24O07od6Osx50y	93	2013-08-03 22:38:37.438	2013-08-03 22:39:10.265575	170		0
14500	10y76fc6q7yu6bkzjtv1ta2nw7	$2a$07$4eJet.wc0KH0d/7rWQnTH.VdgQA8n0R4fGDmmE5G7gMJ0mtRdOMt2	94	2013-08-03 22:38:37.461397	2013-08-03 22:39:10.433195	170		0
14501	1020mf4gczjljttrweunnsslzc	$2a$07$b7Nyo1cw4I1vF4cpAinvUOi705302M0B1ntEzt2vo91JUDr25QnEu	95	2013-08-03 22:38:37.484633	2013-08-03 22:39:10.588403	170		0
14502	10bzpazo345q1rqzfhzu6a3b7r	$2a$07$MngLmMcYDPKyDkE1id5/QOogwLIw67ZQxTboN0/0gpGQBNZCrn3i2	96	2013-08-03 22:38:37.50719	2013-08-03 22:39:10.73312	170		0
14503	10u31800d3vhvt5mfcep9vvfx7	$2a$07$eWUXATSjG6iprhG5QVpNe.Ya6U71lybBYoR3oPTgzAy9fDHt3Vo2i	97	2013-08-03 22:38:37.530377	2013-08-03 22:39:10.939949	170		0
14504	10b16ap95wt8xx6aw7zxh5vs20	$2a$07$6rblF6p2p5FUtVb5BH5wv.pNWiV9eO2dCfWxmzQMUYE5k0PE/Mw8O	98	2013-08-03 22:38:37.552356	2013-08-03 22:39:11.088117	170		0
14505	10whr70ea85ptb8zhqv7cclyf6	$2a$07$01K5XZunL1Xr7KmRNBEb0.bf6a78hf3hyWHzlqh2W4iIbHfncBCNK	99	2013-08-03 22:38:37.575934	2013-08-03 22:39:11.237187	170		0
14506	107hxujt0rj9xjzww1b03bne3v	$2a$07$1cc.aXUk8y0dhq1L5jF.KOBovjJSPKMZjp.AsiwqxYLyFBrTTCK/K	100	2013-08-03 22:38:37.599601	2013-08-03 22:39:11.422058	170		0
14507	10fy74d9oppe18scmy0srw030x	$2a$07$TfMvnDq04Z8Le1HEBV1SCeZ3QBsfD8eBvWTyLP9dGtozjE/s2Umry	101	2013-08-03 22:38:37.627455	2013-08-03 22:39:11.566175	170		0
14508	10jcl3nqo4va88ijow202fzjk9	$2a$07$misZSU5zqW0IHUgNAGz/AOU4ZgXu5tWI71P1y5IUZ/DU6tWl6agTi	102	2013-08-03 22:38:37.64997	2013-08-03 22:39:11.679249	170		0
14509	10aoxbtdvycnpz0gcoh1xkm48w	$2a$07$OhqvvsavBStNTKWxHoC13.aIxgM5qH1hm4xNSqEoiPXiSlCWg8Qz.	103	2013-08-03 22:38:37.672517	2013-08-03 22:39:12.139335	170		0
14510	10leh0rg5le2rpcyu9cgammpoc	$2a$07$3Nd8UrvW4zZJw14W3Q2DIOl2lsazXHD40ySiRaEsyYwSPs/0A5h9O	104	2013-08-03 22:38:37.694318	2013-08-03 22:39:12.49412	170		0
14511	10cbbgln8p3lw3ucq4kdkrw78a	$2a$07$SSKv/M0MV5F3Qo8OhAPL0e9akq12602YpRTAWvcjXQVaSl4N296QW	105	2013-08-03 22:38:37.717265	2013-08-03 22:39:12.623127	170		0
14512	10tuff8ivhwngzfd1y6vtdx6he	$2a$07$0y8DYtfaBHs9pFreND5APOSgESJOgkHUlVfwWG5cltEboWshKU0v6	106	2013-08-03 22:38:37.747693	2013-08-03 22:39:12.771536	170		0
14513	10klzzp72ki8i53tb346a4tot1	$2a$07$RpAAbG9wTklYyYheSMJAM.zBpRcRutpQaf3z8tvihiiE.Pozv.uzW	107	2013-08-03 22:38:37.783527	2013-08-03 22:39:12.910564	170		0
14514	10mgkneesbeaovkr13gnzsm322	$2a$07$zlcm2qYM7wa4ccULt7MtIuBnrgNieVgUbcaASRI9vIhue2/l1mhcW	108	2013-08-03 22:38:37.81652	2013-08-03 22:39:13.051544	170		0
14515	100uw5y6m2dayem2dhemytzbqf	$2a$07$6WjTN4l0cuxOLO1JLkpd1eUAHqR24Q1LmEpXr05d/5rQOU8HEPB8G	109	2013-08-03 22:38:37.839281	2013-08-03 22:39:13.18449	170		0
14516	103wg16kv9pn9qtd78jck39hl3	$2a$07$AF1YWShtyPKO0VIztLuUv.wLsn0tpVBU9jeZhJ473roBGXcR4uMte	110	2013-08-03 22:38:37.862534	2013-08-03 22:39:13.323872	170		0
14517	10xvv47a93g5kn3kx6l7a2xk1s	$2a$07$KUn11bHx/z3rkX6CMwh5/e/lYMUl8dmrkKG0XSOe9u63l2B1v1ova	111	2013-08-03 22:38:37.884799	2013-08-03 22:39:13.466745	170		0
14518	10d4z9mml3x4hgydaakssj2z7i	$2a$07$khsqf4YEMT7P2HAOyvAV6u33/viFVXkK.9/6cFDrKur5cPseEnkuC	112	2013-08-03 22:38:37.90817	2013-08-03 22:39:13.588928	170		0
14519	10viys0wrp73gqztpmdr0x0y19	$2a$07$65ZJSgeMkcxhp2Y/1zACWeaitRbQwmDGx5mwxOU4O4nwMohwGcRIi	113	2013-08-03 22:38:37.930985	2013-08-03 22:39:13.71089	170		0
14520	10xsm34go03qo4zimtdbvb5tgd	$2a$07$utw.GSrJ0EzN/6gSYLj8v.Jf2ZknLxnyQkKwYadfcW/cL/t4Q23jO	114	2013-08-03 22:38:37.953834	2013-08-03 22:39:13.87878	170		0
14521	10de48p5uk5v9y0je58pptqzny	$2a$07$nyqqutLFds5XvF3oLPtv/eNufikk6h/4TrnpxdOvjfKkEszPb05ja	115	2013-08-03 22:38:37.976833	2013-08-03 22:39:14.021306	170		0
14522	10u10lq51xh0iuk3ba73cp5etf	$2a$07$9msaZ7Gi7n49CZn556aOiul7D2A1G6Ih7Cv8datVREdv7R45utzUm	116	2013-08-03 22:38:37.999194	2013-08-03 22:39:14.167456	170		0
14523	109gnkfirjpn1pwt4trex0wrll	$2a$07$OLFlRk5yWUYMsbd323CBGOYwkc0tZApIRbfuP.qJJaYPHzbPOoloi	117	2013-08-03 22:38:38.025592	2013-08-03 22:39:14.305585	170		0
14524	10pedlszs64l2u3ptny7ayuxgw	$2a$07$rWmAcTrXcc9D60fnmzlBieFQ4tGpv/ggvC0IkIOmm.mwg90YU8wVa	118	2013-08-03 22:38:38.055505	2013-08-03 22:39:14.448797	170		0
14525	10paikjs8m6ful4ejt53u5tghm	$2a$07$j27qKHHDvP/E6eZE28.Z0./MVPdpY.lsj2zx3GkvkfnGbx9hHGree	119	2013-08-03 22:38:38.078076	2013-08-03 22:39:14.590731	170		0
14526	10xhlw5j7zcnc9025ejbszyabo	$2a$07$n.NT9j8Kq8LOR8q6bqFw9eg9yI15Zhh5AAG2x.Ywh4uay02nOXHci	120	2013-08-03 22:38:38.10613	2013-08-03 22:39:14.754473	170		0
14527	1019w2xgx6lwrw37rzkizxrpv0	$2a$07$OuTbDU727vPQODrIfPN2G.eZSsXTS0uP9iNdiOnNCjO3o/2ubtFve	121	2013-08-03 22:38:38.129798	2013-08-03 22:39:15.026132	170		0
14528	10f6dfbod0atxymlgz4kch528c	$2a$07$Rmx62e8HETutrueH5RUH3O2pHNhEWLupqFS3n05zsLe9zv1f.OpmS	122	2013-08-03 22:38:38.152125	2013-08-03 22:39:15.182454	170		0
14529	10eg0r6acktjp1dmo5a4g5v2gg	$2a$07$qQnjG2F6TM6RT2zH49SfCe2fLvIjd4MqxWB8nBdtpxiKOB0tVJgO.	123	2013-08-03 22:38:38.180593	2013-08-03 22:39:18.081829	170		0
14530	10699ssctrh741max1zbve1ysw	$2a$07$8JYZwF6RWmz.TV9xR4Cy5O1yfO0x9EzQCsa6mwX79DCiiX3oINIz6	124	2013-08-03 22:38:38.20526	2013-08-03 22:39:21.078857	170		0
14531	10kbuhdbrvkfh45mq80r2ku39o	$2a$07$cZEsFyvA5JseBlhRme7Qx.KvECuJcIu4AN.aNz6UYdA1KKJv/4ba2	125	2013-08-03 22:38:38.23152	2013-08-03 22:39:21.213199	170		0
14532	10mxc8qlxag5sndl5812p1py1l	$2a$07$2FFzEBIcv9FzGKjGV1K40OQEsxbXUYmE9X.q0Lq7zQutVudQaoG/2	126	2013-08-03 22:38:38.255679	2013-08-03 22:39:21.444711	170		0
13147	10hrsj8ft2l2ckjpp3vqteozez	$2a$07$bW6yHTbXhxiM2RMN9cT.uOBA8kWEgAppN/IhuoHBBBeQEqYwxfLPm	1	2013-08-03 21:48:35.085578	2013-08-03 21:48:38.144238	160		0
13148	1039qp4wac3gatvsevaipr3s4f	$2a$07$yCN2i1mgppBxtzimj2B5M.QvaaBp0AEVDneCKd8G49K0t9/asFu4W	2	2013-08-03 21:48:35.109581	2013-08-03 21:48:38.254864	160		0
13149	10o8qvyl402x3sc98ab7gw7dzj	$2a$07$m.w9oPAjYaDy1LzpXMWHseUviuFZZKhNiEnHMQnOwfgyyFiffo4i6	3	2013-08-03 21:48:35.13117	2013-08-03 21:48:38.462999	160		0
13150	10ecft2g4wxjvd262a15lll7e1	$2a$07$fxTUjWSC5xEWPE0C5.wEC.fqrcdmiiqBH/msOZaSqDbUSarGLEE2C	4	2013-08-03 21:48:35.152825	2013-08-03 21:48:38.62239	160		0
13151	100w67p3aszzl8hz5o8xy21o4u	$2a$07$pTg7.jRjyJiLXgWGLW4pL.jj4I4.CrWnT6Qn0.et/zC7AksNvpNya	5	2013-08-03 21:48:35.174335	2013-08-03 21:48:38.785028	160		0
13152	10iyzo28cpni5o17ahjcfbun8i	$2a$07$AUUJLgVm/0lKXhT27o1DBelVfj.yt7nz4LdZFwNcc9JWfZL9rR.Kq	6	2013-08-03 21:48:35.197243	2013-08-03 21:48:38.941878	160		0
13153	10evtjt6nj2u294ntk0os23qhc	$2a$07$pgSe1XX11IglkLC4V1c15.AzU16HXYo/V.znrEMm7dOcdCFtQdBI.	7	2013-08-03 21:48:35.221763	2013-08-03 21:48:41.556047	160		0
13154	107ml3b32cu2b7e2hxai5xnu1x	$2a$07$e31JJQHc2BTLqfPMzRVFZOd2GZrvozqxcdvJvJiwMU5qKHgSqvO8m	8	2013-08-03 21:48:35.250088	2013-08-03 21:48:44.137605	160		0
13155	10hqdkmted729toac8w77jec2b	$2a$07$YhlvkW.Tgs2eC.ghtckVRub520SlnRKIM0WUU50M8lTa7VU4wsvYC	9	2013-08-03 21:48:35.27154	2013-08-03 21:48:46.75523	160		0
13156	10c64wqipwstlm1d4mdvhctsci	$2a$07$UPi2DHHHMCYr6gMoAf0freJggFmoCUOM/wqFGwFhH//NVtozGY3cu	10	2013-08-03 21:48:35.293099	2013-08-03 21:48:46.882832	160		0
13157	10ediuon490sji6y7r9a7b1fat	$2a$07$DhMu16XBh8kr.WT.6O522OOAKdRcADXe3WvCzYnGvpvSy2deekARu	11	2013-08-03 21:48:35.314608	2013-08-03 21:48:47.017306	160		0
13158	10r9admvnz1w1gwhd54jqyzxho	$2a$07$w9tvd9rDG.GIo5.yG/Kgmu1czPrCy8/CBePOiqzANPVj/0W.R0832	12	2013-08-03 21:48:35.336353	2013-08-03 21:48:47.146277	160		0
13159	10g4siel7z789lwj0whiwhyais	$2a$07$GwYRdPAJknNQn.m/9xLAi.sHpKE0681H1E63swhanO4R7pgZNPgHa	13	2013-08-03 21:48:35.357843	2013-08-03 21:48:47.284544	160		0
13160	10kczc99rxomifbzoam4zyq3q8	$2a$07$I/VK7gyLO7.Lb5Ok1aw0ruxJOMeOiCUDGJVukeHXSElA1QhsPgajW	14	2013-08-03 21:48:35.379313	2013-08-03 21:48:47.411048	160		0
13161	10ecfxxy3luqx8ldh13xolpiik	$2a$07$.pK8O0CyZG2qSFlb6qwz0uVP0fRRJPRqQL1XLwVyVG5Fnv3oomHGu	15	2013-08-03 21:48:35.400784	2013-08-03 21:48:47.543603	160		0
13162	10vmzvwzsl7t9hge3go1q3l357	$2a$07$p1h8FOBfMZ.KHXk4W6GB1uDSi/Pcrtx.z9chOnhfsWurUiDYvqYkG	16	2013-08-03 21:48:35.422311	2013-08-03 21:48:47.65163	160		0
13163	10jkwmu6k3baz0oozuf72ou0eh	$2a$07$n1.NwyVKpPYkA4pj.k4ckOTJMJxtNbDXROE3SvG.cFsTFJJAIoAGu	17	2013-08-03 21:48:35.443641	2013-08-03 21:48:47.775838	160		0
13164	10xniirgsw7p1uowcps8sbjxep	$2a$07$JOMA5v1Aj84hx21LIN1vd.OJeLwqCDGCYNBpr95W0MilxOVi6Rh7a	18	2013-08-03 21:48:35.464912	2013-08-03 21:48:47.921322	160		0
13165	10c8ian46uxg7inegoz6fahoat	$2a$07$Vbc9OZmtvEdqaujKBHti6uMvrn.4dmn7eLQNH1ZqxV/UytxunHSg6	19	2013-08-03 21:48:35.486519	2013-08-03 21:48:48.060482	160		0
13166	107dc3sovy7qpeg9mgqvs76xol	$2a$07$7MBPhtsWeNt.j6DyZt6pYO/G8gXrk5rzNuiYByq7kEi6ikDZo0kJm	20	2013-08-03 21:48:35.509216	2013-08-03 21:48:48.200619	160		0
13167	10r6yx2cwa2e2y3g7fxfw9xxxj	$2a$07$xF8uOX9b9blFQ8DGZm1HWeJPjWZ0T38hubf8fa.Vs61yVXTJnMWwO	21	2013-08-03 21:48:35.531397	2013-08-03 21:48:48.339002	160		0
13168	10ucs3652u5y3t4oatgr0vsxk0	$2a$07$HUe6q46TpXgVhivz0wA.Seeh8lIJjNflrsm9lu/Wk4FFbnZstmVzS	22	2013-08-03 21:48:35.553541	2013-08-03 21:48:48.462613	160		0
13169	103jztx3qiypt9xcf5sy145dzs	$2a$07$768LGaszH6ZBhF0.iImfhuaxLuqzXT2/Bx2RiP1gITpzr00CgY8d6	23	2013-08-03 21:48:35.576277	2013-08-03 21:48:48.59542	160		0
13170	10yfrhcq8ey6awl685qoqcil73	$2a$07$a3NQlDsUuj4fCZJfoyTGueWs8WSsYQkxEa6Q9vZqifvx1lE0fvllW	24	2013-08-03 21:48:35.598076	2013-08-03 21:48:48.729596	160		0
13171	104do04cz1d6fmdlig0wqqozxs	$2a$07$WLeXaaBb9pZPHwAXKqnhyehXzclvg44Q067vb9kx.VZUtlQCHM6wq	25	2013-08-03 21:48:35.620388	2013-08-03 21:48:48.875951	160		0
13172	10iht75tvy5vsyiisjbt3jlpfv	$2a$07$dvZgTkL5yGZH3utp3h4B4.I2o7UfTOIroy8V29zmH8c7UN/2jmWaC	26	2013-08-03 21:48:35.642041	2013-08-03 21:48:49.024772	160		0
13173	10bq2xxte0yqrxah2a3dmcda5k	$2a$07$KTMeRGvBhYCUEW/z87QZ7unnxC5445ClpeMP/Ob27Wyx6bp4DDE0i	27	2013-08-03 21:48:35.663688	2013-08-03 21:48:49.157408	160		0
13174	10z3xebmix1tmplkkx4ejko246	$2a$07$Klk6DVSoTF6VAS6UjMGvcOwG4arBWw.d.uz0v9EawPMTpd9FQNICa	28	2013-08-03 21:48:35.68678	2013-08-03 21:48:49.611155	160		0
13175	10y7qxov6yygi3qih3it9thngd	$2a$07$kI0LWLD02C/T1hdXx8v.SuQN3gB0Ptdz3MIlYb/uDM8FQKiML6GPG	29	2013-08-03 21:48:35.708604	2013-08-03 21:48:50.058472	160		0
13176	10y3qwpk10xz3l60gx813nlv1y	$2a$07$yS99R3sjSaUndcGIinq8U.hMukNeTeYHlyVc48TXt2JqMoUpZffCG	30	2013-08-03 21:48:35.730548	2013-08-03 21:48:50.511263	160		0
13177	10v4pvaqmrga487urwnf1ptetn	$2a$07$B46S.bOs1gZ0JwcpGYXsOO.hQKWSTx36mCCFZpkcuhq8GV4TYqZdW	31	2013-08-03 21:48:35.752191	2013-08-03 21:48:50.645448	160		0
13178	10bayk8rmvvpt1pc41ogivualm	$2a$07$XoWZeagjfyALQ53Ai4G9EueoC7WJJyqqAE3GGB6XjvxX/PfMRNoiu	32	2013-08-03 21:48:35.773756	2013-08-03 21:48:50.781727	160		0
13179	100fey9qanbmakl7afwrsp1u0b	$2a$07$z/Frf8zUPeQ7548lmwRiAumyM3W1kVjIX66YQYjtYLxt9nOsa1gYq	33	2013-08-03 21:48:35.796746	2013-08-03 21:48:50.923646	160		0
13180	10x0l61l43ugrbh3l6we4db6jd	$2a$07$qlQGrkNs9aw35.GE7a3Kp.1bTXjpRSIhZIhyDO9N52DEleGGPVHZS	34	2013-08-03 21:48:35.819391	2013-08-03 21:48:51.058339	160		0
13181	107ptz6wsh33lwnbx4byaev3sc	$2a$07$k.wrTtPp5okeTBBfS6ffuOCy/QXmDtkglh7Mydu7k5erEUbRNAJLq	35	2013-08-03 21:48:35.842774	2013-08-03 21:48:51.203347	160		0
13182	10c98w03zchzhh6rt4wpnq4d7h	$2a$07$3qTT39a4bbW./dGvLE6LpuPlilcTO.mpShrkob1yQKx7MStcCB/ES	36	2013-08-03 21:48:35.864807	2013-08-03 21:48:51.342394	160		0
13183	10id2wxpk2wkh4hvhzrxqj3xcl	$2a$07$OJxiV6u58l80.cQ5mJ//lemVdMs1pwyrqxrlItjjJ9VUwhIQoThb6	37	2013-08-03 21:48:35.886416	2013-08-03 21:48:51.476266	160		0
13184	10tra0c1eedo4hz0wz3prc4a1g	$2a$07$Ei2POQF6YS4ibi79zb2Nve.xA0s.k4PpRD9mbE8OPbZZtBsdAunci	38	2013-08-03 21:48:35.908364	2013-08-03 21:48:51.581093	160		0
13185	10bs0cgcz1z8fc0ngazul76ebo	$2a$07$h3nPfuId7YmoAiBhiFRq..T0h1scavvMirBNhTNes1.hl4iS.nIWq	39	2013-08-03 21:48:35.931576	2013-08-03 21:48:51.701073	160		0
13186	10cz0lqbwr30yz4zjmieyw1nts	$2a$07$b5SUrJRDQ8shMb.KlfBnueCTEyyWIz0K21jl5CMYDv9UMJnPkJIOm	40	2013-08-03 21:48:35.953377	2013-08-03 21:48:51.835948	160		0
13187	10hh25cuelnwnvb82bjwpny1ax	$2a$07$00pfHEGzdZgumu3Qmb88KOmR4BrPevSU16i5tDRaWBQSrRPrmhRAu	41	2013-08-03 21:48:35.975432	2013-08-03 21:48:51.976608	160		0
13188	10wjou2dhm55a6jfcaeubv4iaw	$2a$07$KsmxLeH7ZHmgOFlqkplJQeFimPNoUekI2kF9jZunq1fdYnOMOTBvG	42	2013-08-03 21:48:35.997799	2013-08-03 21:48:52.110621	160		0
13189	1029uxruh6igi9tkio6l8go3qt	$2a$07$7V8PFk.wvqJkutdvJxdD3.rJIZslL5.KOoSYbgrdea3NecOTpC/uG	43	2013-08-03 21:48:36.020948	2013-08-03 21:48:52.247358	160		0
13190	1018gcfw670awfql2dhvxo9x04	$2a$07$1udCKQ/G.gbFlnRyn8ixR.Dco4qK/mIujeMlfBH2zzXW4Z76HfmNC	44	2013-08-03 21:48:36.046887	2013-08-03 21:48:52.397208	160		0
13191	10nj3czyimh486hj6qp92tyymh	$2a$07$8K2OVJXXi6.kYBOXhGDCQu0vsyXuwjTFUE.0LBNYrZ4Gu8Ajm5mAi	45	2013-08-03 21:48:36.073568	2013-08-03 21:48:52.601058	160		0
13192	105ec0k9qosbhj5bs9astybmyn	$2a$07$jOkz2NIyz85kfSU5PXcmZec1IMWux5OBl6xhNdCvd5pvnynysGbTW	46	2013-08-03 21:48:36.095319	2013-08-03 21:48:52.705907	160		0
13193	10hao9uar7w5dt1lew0vbcrofq	$2a$07$2O38iMJ4pO6E0VO43.h3JO2QZOVrL8hHQq.EmdqghI6yeOtFNd8Pa	47	2013-08-03 21:48:36.117881	2013-08-03 21:48:52.83538	160		0
13194	10jkanvqwbnxrkycrypnp21yr0	$2a$07$khzC4A/XWpquwPVIOS3BcencrPGY9cqtZ7ghEzcy5bICpIKzSMcKK	48	2013-08-03 21:48:36.141144	2013-08-03 21:48:52.974324	160		0
13195	10f6cag520rgqkcp75m1rm164g	$2a$07$otgSXm4.CYeCusV2h1JHSOk65ANncfb.aJajDeuU.vurTD6DyXm.K	49	2013-08-03 21:48:36.166431	2013-08-03 21:48:53.093536	160		0
13196	10hkqyoo1503xagrn2smk15nh0	$2a$07$87GHmFyIiMYkULAcQwZZG.3C/htSVaHYa9wHNejiuG9ug/0hFTop6	50	2013-08-03 21:48:36.197196	2013-08-03 21:48:53.231541	160		0
13197	10wtyu8lffusny8f8ni89z1jnu	$2a$07$.3.1bSVFqQLLPDnHMStb9OhK9s0pMKf.VDxJ/Bbds8nTnU1Cd9YHy	51	2013-08-03 21:48:36.235268	2013-08-03 21:48:53.375028	160		0
13198	10c5gg1rjj0aqxp3wnc1fpxuf9	$2a$07$FgTcmVWwwxp2FuMoJr3BZesgSbZt.CVTmnfF/TfAIf5litWBZw1Ti	52	2013-08-03 21:48:36.260609	2013-08-03 21:48:53.694597	160		0
13199	101oj2ajp954siqt54zprbf4px	$2a$07$haLQ.Bc49XDCLB1VgXUqleCv4GvCjH.8WNTcDkwu599fmhzEHaaba	53	2013-08-03 21:48:36.294348	2013-08-03 21:48:54.038764	160		0
13200	10sx8rzdhlwzaa47n6xlut0ivi	$2a$07$4uOJwIy.0Q4aq70c8L4dNOCgQLi7l5ODEK2KJo6QaqYPUu9hTvCHi	54	2013-08-03 21:48:36.33169	2013-08-03 21:48:54.37898	160		0
13201	10yrnk6wwc15l4x12sz37l37kv	$2a$07$Qx27G/jQ.Gaz2oITvEHfAOTpTpHcHuixuK7Tl72h1Rm2Cre7.QmPK	55	2013-08-03 21:48:36.354009	2013-08-03 21:48:54.511528	160		0
13202	10qtuzy0jtrdsln4tktl0jecnv	$2a$07$9iquYdgDzAQpT5mb6F.mM.vFLCS9WuCc0HE3BB2o.SK.hUh5Vn1lu	56	2013-08-03 21:48:36.375779	2013-08-03 21:48:54.650554	160		0
13203	101qbt5wf3go2fdohhg13opljx	$2a$07$1EaZQoktpIh0jWWIwUv5Me.T3H0RbOGX44zP8UZ5R9Ictxei5vEGO	57	2013-08-03 21:48:36.39774	2013-08-03 21:48:54.79135	160		0
13204	1079h48rncb0aflk4p2q4qk96r	$2a$07$ZR0b3FW2obiWWlVQdpErIufHSilwIds1SLReEbbRhLN9Khwdi/7UC	58	2013-08-03 21:48:36.431866	2013-08-03 21:48:55.072885	160		0
13205	10hdxhgdlm2y9z8aa47i4em6k4	$2a$07$2t5VfhwamLyVs4G5KIslj.b/TvnWu.oU08EvpbwvbwyFafqlmMW2.	59	2013-08-03 21:48:36.462217	2013-08-03 21:48:55.298321	160		0
13206	103a92zpp0emq8omstpnwuh0at	$2a$07$4sLlK2o6gEMmyZ4wb9fRZuCfJCvMMJzl7Q4PC6uZT0rvpqGtDZzbq	60	2013-08-03 21:48:36.483879	2013-08-03 21:48:55.442277	160		0
13207	1060vo8lqryff2i35dtrhzz18q	$2a$07$TMNuzuao9djpTrDejYeOUOxXl.Gyg1g8UJkeVSALV5Fwu9GI4cCo6	61	2013-08-03 21:48:36.505442	2013-08-03 21:48:58.108228	160		0
13208	10pzf2839xnl2lohfeabm0y24s	$2a$07$Po.Tqu4FNXLSLYKBOhR/4e5FpheRpUb4OdGU5S2pGIu7tkkQ3eGUi	62	2013-08-03 21:48:36.52709	2013-08-03 21:49:01.329519	160		0
13209	10uh3397ri8koixn196fk9txs9	$2a$07$jxSfznDLQrkFTZJ.Bb8e8.L9Oe7Y1LACSf/eB.kTEKqLCiWEGE/JK	63	2013-08-03 21:48:36.548471	2013-08-03 21:49:04.724367	160		0
13210	10jdidoqgfaskhc7jpjr0aivgv	$2a$07$/9t3k34qgZhXTOXM.QDl7ey6P5auB/v9cltgcJn8w4Emv6b0BrCj2	64	2013-08-03 21:48:36.571207	2013-08-03 21:49:04.861483	160		0
13211	10q1sa2bbr4g9sqvljhrvb7ype	$2a$07$hdFDQ9fB/APgo2FOfqoDtuB40IhoLc5Z.SG6jLSIjlpy4rivBKviu	65	2013-08-03 21:48:36.593485	2013-08-03 21:49:04.984282	160		0
13212	1060jq7g82ak775qkxrhxvga31	$2a$07$c3H2DQFUkULHnjws849BJeVgkXkCKNFkFv8U4F2QifF2rsxyE.f3a	66	2013-08-03 21:48:36.616455	2013-08-03 21:49:07.640731	160		0
13213	10isdqw2mpbdjy4rg87je65rty	$2a$07$g62dJRT1mCOMuoR1XxVC4.NNjPQyMYCyOkUjaviKuJ.ZE0xsJZspq	67	2013-08-03 21:48:36.638327	2013-08-03 21:49:07.770542	160		0
13214	10ulcwbsvwtmmlx1arej0k8qjx	$2a$07$3AkTRuOeaW4QEEBEZW3IG.aXV56RXSlK5tOj97NIwp5S6uE9u6piS	68	2013-08-03 21:48:36.659952	2013-08-03 21:49:07.911077	160		0
13215	109x0wyfgux91uy1j1475k1zd2	$2a$07$Bfl7ELpyBVpZlWqCJ9aH2e9b.2g.In59BTJDzW8yfBQi.ci/HszkG	69	2013-08-03 21:48:36.681806	2013-08-03 21:49:08.070312	160		0
13216	109cxz3dmna5v65muvfl66pthl	$2a$07$eAhj0vSjG5s1xkat66YdxuA1ZItlZuuSeseAi2UQ/I6iPaXai1Z0e	70	2013-08-03 21:48:36.704142	2013-08-03 21:49:08.201581	160		0
13217	10a7escpkkily0scwpnpslj66r	$2a$07$A9xu7pVN5LNFRyxoyqb6seo0frZ7ipSNPjJ4hO841buyo0vv5Ja8O	71	2013-08-03 21:48:36.726087	2013-08-03 21:49:08.343287	160		0
13218	10n91afgnc9y3ge5mtcwz3vc1h	$2a$07$l9QMEG6DQsRJ.I2ZU1QQ3.8wxDo70adIppIHJ2hf9.rcRPKyrMduy	72	2013-08-03 21:48:36.748584	2013-08-03 21:49:08.456381	160		0
13219	10qe6bhml7xbehw9jdbzvva46b	$2a$07$K6ZjY19iQoWXyhqyzs92he1q.iriDO5PaAv/TdXhIkvYfEem2w.Oi	73	2013-08-03 21:48:36.771176	2013-08-03 21:49:08.981089	160		0
13220	101pct6oseo0bvd7lej8xzbamu	$2a$07$GIMeSjybd4j/v3JFeL7DS.NtUMeeg5iFwiVTFLTiItg5GNQbzH8US	74	2013-08-03 21:48:36.7938	2013-08-03 21:49:09.106344	160		0
13221	107k0xpx9ffjqi052nuybqqiaz	$2a$07$bBu/cBr9Gtp6n53p95d11ub0TGb/KcQUtfu9ytLPGzAWRBNo0xWRG	75	2013-08-03 21:48:36.815631	2013-08-03 21:49:09.245427	160		0
13222	1052mmguoxru83pqgwd14urrox	$2a$07$XbaMEVJQmigfGO0eWGjJvOwJfvjKc3kUs6PZiQlN97j/.neuYtMsi	76	2013-08-03 21:48:36.838788	2013-08-03 21:49:09.386181	160		0
13223	10jdp4mcfw7i0nz3imhdpnj3dz	$2a$07$/zzvJ/NdP.tl26yW0J872.PbtjiGENuihwn8wJnmfISPBFuAa.wcm	77	2013-08-03 21:48:36.86164	2013-08-03 21:49:09.522708	160		0
13224	10hwl366k9qyssc9we9w7iuh6z	$2a$07$EvzVIcHAeauhzjGZkm0fWOoQGiYkkIYHUg7Q1qp67IerqMproAez6	78	2013-08-03 21:48:36.88445	2013-08-03 21:49:09.863592	160		0
13225	1099g3311oagbt4km61wf0rq70	$2a$07$fPPWR44J946PfVAEWc6YlOMsrDMF4kbVHlQGVExGff9w0w.An0zbC	79	2013-08-03 21:48:36.906715	2013-08-03 21:49:10.017198	160		0
13226	10ek97fo3hi18b27efiyfr8311	$2a$07$Lnfnq5LxXnqU7AWTmzV4u.n8T1T4GlbN1Vu4b9eVBShdD/0Dl8dCK	80	2013-08-03 21:48:36.929804	2013-08-03 21:49:10.140601	160		0
13227	106r1fxr4j50irkhcaa4ottex8	$2a$07$3h.Lt9lVWfdwbxwnCP41WeHxnLsNZbRD.o1hkhOhvENs7oPbwLfMi	81	2013-08-03 21:48:36.953978	2013-08-03 21:49:10.428174	160		0
13228	100f9oztxaalwn79pz69dtjs1y	$2a$07$XCqHqrwNu684B9SKh0Qkuueb/MFKdSqUq00uvUhh1lm1ptFPdV0eO	82	2013-08-03 21:48:36.977436	2013-08-03 21:49:10.568699	160		0
13229	10vf2cvngekj08w3me57zjyu3h	$2a$07$CE8NtKbr9xX8/kfz2eZHZerq/KNyZi4ZpU0gHoPs.fvH7XJOw6kAW	83	2013-08-03 21:48:37.000915	2013-08-03 21:49:10.906439	160		0
13230	100wie6onjm6eoen17ev2kri1c	$2a$07$IXGkvAQpzfHERF3LtcdcMOsz1KwRzBnUFPG5lNsJAsU3Qa6QO.6pi	84	2013-08-03 21:48:37.02748	2013-08-03 21:49:13.505185	160		0
13231	10it76l1q2wezrf75oz79hnk4w	$2a$07$sCOwoLxKYPUyx7NJThOOte7cCdCEBTz32Y/5u6S6CS9axnl6c1Y5G	85	2013-08-03 21:48:37.054896	2013-08-03 21:49:13.638314	160		0
13232	10qyv772orv8k1osdykimrrlpb	$2a$07$VPhtt2NZevSGVeV6/oy6ju2kTksHl74Y6.LpyJq6KAiEti2VTnMPe	86	2013-08-03 21:48:37.07921	2013-08-03 21:49:13.951704	160		0
13233	10cz77tj8eydip0z9w2dmr6fvf	$2a$07$0KaWsPjT37o6CgckG85B2umxjQcX7ARoCYY/3kNH/rtu9wzxxe95S	87	2013-08-03 21:48:37.100999	2013-08-03 21:49:14.090264	160		0
13234	10xy9pviwmmlvqt8ujfqh4ji72	$2a$07$09RLj6zaYQAo4DTkcwNrluS58jKaXPuhbY1X.DQwSKnnE23/aGFD2	88	2013-08-03 21:48:37.122592	2013-08-03 21:49:14.226364	160		0
13235	10qsfbwvweb6msf845rajldcql	$2a$07$bLv5s.4W5zTHA0To.slFgOQxvGDjfJJFo0B.IAzk29FB.ihZ9cHA2	89	2013-08-03 21:48:37.144224	2013-08-03 21:49:16.891505	160		0
13236	10ehclk0xf5l0q02ovxk7q3awm	$2a$07$peVIpr63TJLNsFSBjoCb9ux1tkNJlVA2TB4t5LOknq8wvHNBsleUG	90	2013-08-03 21:48:37.165816	2013-08-03 21:49:19.761058	160		0
13237	10pdvotvacczhe8rp5878tq0ny	$2a$07$tYYTyw1CR5SnHA6pq.ei/.X/qHraWxpVNL0egz0G/snxCRXpKLVrC	91	2013-08-03 21:48:37.187357	2013-08-03 21:49:19.952274	160		0
13238	10hg6h6ga853oyx2mam3568j3z	$2a$07$kSRTZZRgQOpHeozYetTh8ug63aCaI645ruCAoSjFj7Lrv8aETy.1q	92	2013-08-03 21:48:37.208798	2013-08-03 21:49:20.142173	160		0
13239	10ivjc3eerij9utdl17287nwgm	$2a$07$JhsMv.nQV2eAIUXwQc9oL.j9IIgaHub.bQlaikzrpMQUvEWoZKEt2	93	2013-08-03 21:48:37.23201	2013-08-03 21:49:20.274276	160		0
13240	103va0gjzshkbtleo9vxj98msm	$2a$07$YTxpafWcRhSYFCsYZghKWOkbMO45nPGZ.qa5IeYQIbOAPkMWV916e	94	2013-08-03 21:48:37.256221	2013-08-03 21:49:20.421461	160		0
13241	102bqqkbzgbpmv6zb4361b7hyc	$2a$07$V5MQugmVOXcv.TMm1J2SSuXI7FfTXDjfKID2jHweTLDG2x/BaujAq	95	2013-08-03 21:48:37.279215	2013-08-03 21:49:20.556985	160		0
13242	109lx4y5hbchopzidgc92i7i7i	$2a$07$BiCTY2JMOEl7/5n7Nslr6eC82yIX8lLbVKCN5xiP8vPkfVemMjPY6	96	2013-08-03 21:48:37.304394	2013-08-03 21:49:20.739215	160		0
13243	10gaclwxkthizlorlf41eom12r	$2a$07$ujofG3QdR7Ew3WBtu2pZge1LGVDHxfCfZkLoPGyf6ySX5IiR0Gkke	97	2013-08-03 21:48:37.33839	2013-08-03 21:49:20.881363	160		0
13244	1039n1m6sq8st5v2vq64t9mgqt	$2a$07$SBiZNNKu2vxqjG9TCiFnw.YSCOllcKH6WJRmgWLn6cmDXPliHuK9u	98	2013-08-03 21:48:37.365624	2013-08-03 21:49:21.012499	160		0
13245	105u9asjqnfrfn9wujssab8ase	$2a$07$IC8/Qe8KG415Re.vJXEGmOjt7LT3scX7KaXirMaR81dTyvnHz27Pi	99	2013-08-03 21:48:37.388851	2013-08-03 21:49:21.172961	160		0
13246	10srnlnkod0vlfmes2lazrdspx	$2a$07$H6KXpGpw70huc0VN1P25BeVZBibsHE40AqWoHlTaKW/W7PaLsZIiC	100	2013-08-03 21:48:37.418151	2013-08-03 21:49:21.333198	160		0
13247	1055h9jx4ovb1rqmrjcsip75x5	$2a$07$nahM/HffnvY0.j8BCV8o3.TAnu4Ag9I5f3iz9ZeTwlUPrA41RzSgm	101	2013-08-03 21:48:37.445452	2013-08-03 21:49:21.4555	160		0
13248	102cea2xrdexy631nhbalqx0sr	$2a$07$QQ2rqM3lBp4k1KSeOU9pWu3AqqxWdLsODACuh57oRPtlAjeL.QL/6	102	2013-08-03 21:48:37.466766	2013-08-03 21:49:21.582457	160		0
13249	10wgoz8a9sh1th5ezgyeyiwfn8	$2a$07$sy3t9k8E.Ki7m7yU3TJ4GO5FWJCGn9q4dHUD8mHukOQOvfffUISAu	103	2013-08-03 21:48:37.488391	2013-08-03 21:49:21.974629	160		0
13250	10ws4qlr1dsyk91mp5d5mvm33m	$2a$07$P1jLxNClfe0KrAWJ3X3x2eF/qLaDDnCae3UQF5fzWnFpT.M1KTctK	104	2013-08-03 21:48:37.509767	2013-08-03 21:49:22.449908	160		0
13251	10t536tmu9xiryh34wb5wglotr	$2a$07$Ccbf2Ak/kYAUdIURZJw1s.E3Z.UKpnQ1w5P9Q.q7v88R5njoUXTdy	105	2013-08-03 21:48:37.531096	2013-08-03 21:49:22.572258	160		0
13252	10x6bkgi8s0uuo5jhmq10qqeg0	$2a$07$yx7A.ZzGQ18.40UYeFjSjensiNbqcxKmPyNQUotuuFonYfYSEBjjG	106	2013-08-03 21:48:37.552526	2013-08-03 21:49:22.712487	160		0
13253	10deuyh7cwyle3bwgncq4mpx2t	$2a$07$ojcMXMiWAjDP1zQWa8UpLOYcXxnsOGk6v8ojOpaHBpVZRd/5isKC.	107	2013-08-03 21:48:37.573841	2013-08-03 21:49:22.84654	160		0
13254	10e2tkjhck24iaj2rh19baxyr6	$2a$07$yqWTgeOcShG4FIh.RpQPeeX66zSsmpBvlTGZ709dsuB/aHUyUX4Ji	108	2013-08-03 21:48:37.595426	2013-08-03 21:49:22.984512	160		0
13255	101o2amlt8p0ku4n95lju4eif0	$2a$07$fcbSxpcdQBgi3EqEXnBuruNECeH4YotNwh0TxLGgFa8EsCUdYfjdu	109	2013-08-03 21:48:37.618097	2013-08-03 21:49:23.121577	160		0
13256	102mcjm62juig0f8b4r5gxsnuv	$2a$07$J79e.jDv5ZWBF/f1OA.ik.je2MhsV10yExG.Amz9EtvVs/UX74r8i	110	2013-08-03 21:48:37.640197	2013-08-03 21:49:23.261562	160		0
13257	10pcslerdsl0k8v8m5rn4b9x5b	$2a$07$2AVQG/xcZlaP3v2JsOGSVefZCu3MOzpEuEV6/EmMExqINFNRQdEia	111	2013-08-03 21:48:37.661823	2013-08-03 21:49:23.412228	160		0
13258	10yrfjvjfqj3tpk98ypymc1360	$2a$07$pFOtH5cqGlYO5fGMsrwEMuZNA/mhzfLW/dRwv9ssI.Hdniq7.Z68a	112	2013-08-03 21:48:37.683285	2013-08-03 21:49:23.621811	160		0
13259	10fxvmphm85vdh5exsjr8rzsk1	$2a$07$l6grD8lxS4bZuoEMtN/W3uzynYjcnTtYaOMveaQj6iJc2CBhmM9S.	113	2013-08-03 21:48:37.704932	2013-08-03 21:49:23.887517	160		0
13260	10dojj822t9x3nkqqjzrr3352o	$2a$07$ZwK.AemOiuTOGWW3KF7OCO3VBPAWaSF3jHgw/xkMn3tPm0P6v4jyW	114	2013-08-03 21:48:37.728467	2013-08-03 21:49:24.173176	160		0
13261	10m07yo201qmrwxk3kck1pxdtt	$2a$07$rLq07Yhuo3v.J1AAx9.62exXx9BdL.tCG3ZxlCZrp2UU0Ag9wFpyS	115	2013-08-03 21:48:37.758721	2013-08-03 21:49:24.318944	160		0
13262	103tnful8q5zmubhepnnitovfr	$2a$07$legpa9zJQnGzrAf6XhZNwetJ705WIDQF2eNmcyXWhTYKSetH5QEGi	116	2013-08-03 21:48:37.780265	2013-08-03 21:49:24.456528	160		0
13263	10qo0ken8n2ldgidh7yuxa6nj4	$2a$07$J6pQmjlC.wlbRWrar.J7su16fmNDFkh3XqoxPBEOmnMkYjIP8p3He	117	2013-08-03 21:48:37.801812	2013-08-03 21:49:24.572426	160		0
13264	10i5gwq5i1x0uazy0cc1ix48ni	$2a$07$KBBYa7oL5fXRKcxrz4HBiOYcG5/hztraUbks6UgHBnupodpfmdltS	118	2013-08-03 21:48:37.823468	2013-08-03 21:49:24.702734	160		0
13265	1097o5v2bvprf4q4dg8yte2qll	$2a$07$Nv6JxH3NMWR1wOaCJlP4fOQkQ71DP1Xrs39JzMMQoYZdRQDiOXQdO	119	2013-08-03 21:48:37.845002	2013-08-03 21:49:24.837875	160		0
13266	10c9loj3cddysw7jywls7jo1fa	$2a$07$fjEJzhAaJ6SfiIW5nZ9mqeL3mnoNV/UOO2RFJJBHpW0zBamXv1vQu	120	2013-08-03 21:48:37.866498	2013-08-03 21:49:24.965835	160		0
13267	10z9j3aku1psyuyb81i7hduyfm	$2a$07$M9SMZGSGE165hkuRhq7Sh.q0xvMB6tk7tRDlQsDOxA8aodjIhnLEy	121	2013-08-03 21:48:37.88845	2013-08-03 21:49:25.124046	160		0
13268	10f84788i53mhouvsuza87ll94	$2a$07$0nevl/GGYNUCwqaQZ0TAqOtiGVSY2oCb36AOjIlWtkzFB6LnxIDM2	122	2013-08-03 21:48:37.910169	2013-08-03 21:49:25.43391	160		0
13269	10ldr5symqjdgsvl5cl0hrmb9s	$2a$07$kYh5TUFSKIedcg3GCUlMfeN.DOf.xC9JSBGiDNj05edxgwCUYFsOW	123	2013-08-03 21:48:37.931599	2013-08-03 21:49:28.44062	160		0
13270	10wgr3jb72y4zpgv1dbkmsubcg	$2a$07$Y0JwPxuWVsdpG8W49rqAg.oC/Jt1bGSwbDhJ4j.WPLcSuSuxcBCQy	124	2013-08-03 21:48:37.95383	2013-08-03 21:49:31.424794	160		0
13271	101ypti58zs5d816vaannwiqua	$2a$07$copbfHY7MgR1/w5PrmREMufTrJM6rfmqoBdgSzhsRgSex566jyNhG	125	2013-08-03 21:48:37.9768	2013-08-03 21:49:31.752848	160		0
13272	106m87bwm8lp1sjkc8s1nsgb5l	$2a$07$gnJHiPVAnp3AIhAkXskNG.PFAEAw9LvKQAJRHkb3ffoCv5dw775tu	126	2013-08-03 21:48:37.999447	2013-08-03 21:49:32.037301	160		0
20581	10uhhcsvkeoi0e1u3n2ubpqaqf	$2a$07$wLhYaVpzYPlN0iXmqBkcFeuajH4jJFonw4y2bETOBai3doF3my/lu	1	2013-08-04 02:44:51.035762	2013-08-04 02:44:54.248628	219		0
20582	10zpybsqzli5twwhpt22l2qst3	$2a$07$ONp0foineOZ1dBQMUtRhze6AmJDkLpWw2.r4I/tsKQOwUFh6lwhcW	2	2013-08-04 02:44:51.059607	2013-08-04 02:44:54.377719	219		0
20583	10gtq4wpmv6lwxws1pwjs1f0dy	$2a$07$2jaPmtXwP3GqAr.KzgcR4.aZHd9Ij/80uEemaJNPBGiojAatdDN.a	3	2013-08-04 02:44:51.090483	2013-08-04 02:44:54.558093	219		0
20584	10awepsej4moe5xcq3amxhhsyl	$2a$07$cuq3zTDjId8moAIri.wGyuMC52ATSBBjjlEsuI47JMElrM6cNDwuW	4	2013-08-04 02:44:51.114056	2013-08-04 02:44:54.703567	219		0
20585	10nphvsxtzsojaojuid9n7m4uf	$2a$07$u7nNnDjUU4ILdFrBin5Zq.pBYOczHN6l8/Wqto/ALed.dvSWUFhnq	5	2013-08-04 02:44:51.137276	2013-08-04 02:44:54.868816	219		0
20586	10vlccw4v1yah44c5kjmvi7w78	$2a$07$nVwUZQnSMPZJOw/e4/okm.dLmAvihX0JyZ4pC0V8vyHgK/uJpHuxS	6	2013-08-04 02:44:51.160366	2013-08-04 02:44:55.023596	219		0
20587	102c0bay47jxuo9ty90dkbxf6w	$2a$07$uq.mW2eADtqUJ153l3F4WO3aAMEkJpiBO/ljLLG7qBLtzBSb2apdO	7	2013-08-04 02:44:51.182067	2013-08-04 02:44:56.035157	219		0
20588	10i4iol6jx0hdyp39svuhq5350	$2a$07$NxJKzrFHSvUcrw1Xt1Llb.ho5H4C3th5dpDQRBk41cOsfmyNwDajy	8	2013-08-04 02:44:51.203889	2013-08-04 02:44:57.017808	219		0
20589	10cwx7qeiitcbr4vami4wz14uw	$2a$07$ZuoauOs0oFvX9nD7uKe8ceykOAnDogFW1rT3LAkAtI3vov0XfmS3e	9	2013-08-04 02:44:51.225806	2013-08-04 02:44:57.993898	219		0
20590	10ba262mxlaf5lajkt59hyilp4	$2a$07$SEqP9.hM4rJKE6FFMc3XBOT5rIvhZneWbfimzrO3JpDKFH1vEgug2	10	2013-08-04 02:44:51.249569	2013-08-04 02:44:58.13125	219		0
20591	1080r8dxz6zftisqxnm093a8ry	$2a$07$T1CaHtjHmRDYULORcZZXCevuHpW9vcCWdbZbEqybXrmF3s9.MP1NK	11	2013-08-04 02:44:51.273642	2013-08-04 02:44:58.264749	219		0
20592	10c2ducu1tlyiela0v6knnt9qh	$2a$07$IynaDzMUfVTiaMJXU1R81uWHbMUdBbdBUjUImGmKyr1QoeiCMGcv6	12	2013-08-04 02:44:51.296277	2013-08-04 02:44:58.400726	219		0
20593	10xuzdl4viekaym61168b12tuf	$2a$07$sjWrsBCp8FtC/2lB5j4xjuRwceA4T4Y1yOxtlWaH1xth.FkaYrRVC	13	2013-08-04 02:44:51.319418	2013-08-04 02:44:58.52638	219		0
20594	10ktd9uezeddk25ex6615k1jwv	$2a$07$MvOMVlYX3OlbfWyHcorZIuDo3vblC2N1msaRkTJOv/EWHyZHbN9Qu	14	2013-08-04 02:44:51.342113	2013-08-04 02:44:58.654434	219		0
20595	10wbsq0rg0nh5q6cmawct8n2ae	$2a$07$u5SrJJfdcz3nDvtnGC9sh.PpZ3DzgiLNNrod3cq0mkPyLKQ224w5W	15	2013-08-04 02:44:51.364779	2013-08-04 02:44:58.787131	219		0
20596	10sgjbxxitv276uwatxg2oz1p0	$2a$07$d6eeAv/VmuApEPkB1i6REugNEj6vluckt8N7pUX4zhRP9VyqWsgGS	16	2013-08-04 02:44:51.388598	2013-08-04 02:44:59.056113	219		0
20597	10r6hc1tuuktnpxrhte7wj6hw3	$2a$07$M/VETynQdxhTuXQQX6hA1.YERoTUYy9Gt/tSoqxh7eqLAIHc3r6Vy	17	2013-08-04 02:44:51.413196	2013-08-04 02:44:59.184747	219		0
20598	10c7u00cordykgjiuthe5877il	$2a$07$raFv/30zdHlLwVV4JRfYVuAJ1G/xnasVcNiZs9xKcycKVW1YyRYYq	18	2013-08-04 02:44:51.436562	2013-08-04 02:44:59.337831	219		0
20599	10ec43nx4v8tx2wg01i7f0ksp7	$2a$07$tjY.YEem4QLpk6R5oh4on.FpnqTYzDZWiEAghb7aO4.ogw63gno6W	19	2013-08-04 02:44:51.460118	2013-08-04 02:44:59.471236	219		0
20600	10jq1yngd52cc8x0t8q08irfy7	$2a$07$sAWOmkRSS7Es5OIKRBkALOpjM/YpY6oZjUfwoUk.ICrDDUB9P0UPa	20	2013-08-04 02:44:51.484786	2013-08-04 02:44:59.602275	219		0
20601	10w2kww3tgu9nvdldf7rlcnwrr	$2a$07$qyZRa0wDy1qw0cOSHWPhBeCdMFKrshThHP8GtfOHqv2PWKHag6y7.	21	2013-08-04 02:44:51.512609	2013-08-04 02:44:59.729522	219		0
20602	10ds3gla4aax33my2ptqmegqer	$2a$07$dF7n/eVT2K4n9.Kuo7wLXOEASjhw48RkFwF0pGc3Vjt3bSKHe1EVi	22	2013-08-04 02:44:51.546597	2013-08-04 02:44:59.863141	219		0
20603	106on72ar0zwlsjhyiicdht0o1	$2a$07$PpH3vVFiuR6AcfPEFGkBWOmUrPoW759tY5gicJs3PtwOTfX7SoeVC	23	2013-08-04 02:44:51.569743	2013-08-04 02:44:59.993061	219		0
20604	10z9lb5g3iigqfo7clpqtea7ol	$2a$07$ri09/Zc5/gJlT8qtksKQe.CTgYi87IC5JGBrzOPPHkdxscmkwja3a	24	2013-08-04 02:44:51.594829	2013-08-04 02:45:00.121246	219		0
20605	10e9dclzfy0iztkqb8blrpo3yr	$2a$07$69O/ejwfdi/FHyUBt7pY8OBEdPqu7gWDrWLDvYkFgawHlebHdgHBC	25	2013-08-04 02:44:51.620493	2013-08-04 02:45:00.390543	219		0
20606	10ttr106878yb16tvz9vz9rjtu	$2a$07$9ilr0gZopyg8dlGWAY7eCO7/5w5I.nxq.a8f99Vq9ymMvsUB3Qc5a	26	2013-08-04 02:44:51.64559	2013-08-04 02:45:00.603122	219		0
20607	108du6nw6vh9im1yfd53onvmgg	$2a$07$1NmzzIrwQQrc94OyD0VL1e3MfGexsrfoMUhNoOdFMl3DZVuRpPadm	27	2013-08-04 02:44:51.678074	2013-08-04 02:45:00.767575	219		0
20608	10w9kfvaa3gywyxyazff3q0d3p	$2a$07$4SSPwQ6an6F2v1DZzCiZkup26Jhi8q2FK9tNi31Ewc.vcnGxAo7ru	28	2013-08-04 02:44:51.703802	2013-08-04 02:45:00.888434	219		0
20609	10jmawobtqk3nyxgqjolc3qpz8	$2a$07$7x8XRjM/KYY1WPNM3Q/yaOAaD4adptDwoi5w8zF3v9kAQ1GMw6JTu	29	2013-08-04 02:44:51.727711	2013-08-04 02:45:01.010525	219		0
20610	106wannsoksmnk1aq19exod96j	$2a$07$N//phoF91KX22O5OhyB25eogYujITW09A/Xy9zmF4O2vysaMAJ182	30	2013-08-04 02:44:51.752724	2013-08-04 02:45:01.146528	219		0
20611	102std8llyeaeg22qwfto0aqe3	$2a$07$tKiJ5m1C9v3NnEVQyo8kS.8yb3BYrDPsGwracjiQ/dnh0SctNJb96	31	2013-08-04 02:44:51.780519	2013-08-04 02:45:01.290274	219		0
20612	10f3wg3kzjxpop4wlx7v69oklj	$2a$07$gn.ZTBRm0dUnaruvdBzKtuGbvKsXWZtXG91IttLiOa.HWniJ0G2My	32	2013-08-04 02:44:51.804876	2013-08-04 02:45:01.41843	219		0
20613	10xgrt4o8umxchxin27dpgqpbr	$2a$07$GixrpDV9WkaXK/aZDC4oXewpQoyAqE2ZqvupDTGmdZfaxZIMCIx4C	33	2013-08-04 02:44:51.837043	2013-08-04 02:45:01.556937	219		0
20614	1027amzcbnupd33wjsmo3rao40	$2a$07$9sndGn2S8Dj4BJwnw/9x7.XNIgyu/qyEY8R6zEPutzMROnyVWcMfC	34	2013-08-04 02:44:51.861593	2013-08-04 02:45:01.701752	219		0
20615	10ml3fnt120tbk2huv6zhst1hy	$2a$07$SaCIBs154duW2IMPDBS3zu2zOJBe0FWDN/jKnRQUeKaQ7tMZJrZXi	35	2013-08-04 02:44:51.886564	2013-08-04 02:45:01.856284	219		0
20616	10xay6eo1osax777xsipnoz6tj	$2a$07$UoSIdUFd9QZz7N3uv84tCOI8UVKkKvca7VjAomW7heA6GN24JwTIi	36	2013-08-04 02:44:51.911587	2013-08-04 02:45:02.002818	219		0
20617	10l9z6m6mlo0zlxrwbeabb8aqy	$2a$07$zT/osmKGAy/ObBDUeZtKm.Yaqx2LKmuzJWCsR63dAaVf6iY9XLlsy	37	2013-08-04 02:44:51.944657	2013-08-04 02:45:02.135944	219		0
20618	10ulkhora3cdkvjjscf08onht0	$2a$07$O.a.5.YK4GFtPBLKHJcMEehhb23pMfCg2L3j3zPHPQeVSeTurJ64.	38	2013-08-04 02:44:51.969562	2013-08-04 02:45:02.249857	219		0
20619	10hs2y7p2jrhiuqi9obflpaf3l	$2a$07$qjA642D2.4wuaiTKPmbWo.wBgvYMKIXdEJrbNiSRJFhdAbMmgVqtu	39	2013-08-04 02:44:51.995138	2013-08-04 02:45:02.371537	219		0
20620	10whb5ql9jxj6z1u375z1ppiye	$2a$07$8nIDTGyJ/mHDuUMK1w18Tu3Fpq5aAyW8n4lGQ99nu5K7ksMHfIafC	40	2013-08-04 02:44:52.021387	2013-08-04 02:45:02.504047	219		0
20621	108cuv2fe2zlsqa0f8ndaepb8m	$2a$07$pkadIPVAKaGhmblU5bnVQ.glczY2qcfdc/8m32va7APqm0BWLDR.m	41	2013-08-04 02:44:52.045904	2013-08-04 02:45:02.618656	219		0
20622	10imjw1hddnqt0cladckaiyfb0	$2a$07$R9sYlalUJEJ0LHJs3h9uCOO0J4eDPFPoduzsrMRJdjwWiObeW4uou	42	2013-08-04 02:44:52.069889	2013-08-04 02:45:02.75604	219		0
20623	10b6fszcvnck6yp43nzhhkjr1x	$2a$07$D97E84292bruCdiiLGCsmuXIzzNdVEw0TPCtZnHvZ1a/Dmpp4sRCO	43	2013-08-04 02:44:52.09325	2013-08-04 02:45:05.655828	219		0
20624	10qolxae4bmg35ljm7nswxce8e	$2a$07$q35pgPKKe63uTzKo5U6gyutd6OX/9cyDPNhLtZ9rCHTcw2nwlsJZO	44	2013-08-04 02:44:52.116333	2013-08-04 02:45:08.730342	219		0
20625	10ie6grf22gxlnilw1ttuqxx29	$2a$07$mkKlXcdFxluSeKyI5HwGNefv3mD8Wm80KYTk9UWVGLr0eBTnlhS7C	45	2013-08-04 02:44:52.139144	2013-08-04 02:45:11.52901	219		0
20626	10y6o62toodw2uh0dk74u69is1	$2a$07$5jEQJSNZViPNatEol8kCHu1MsSZee2E1kIRzPuERtIqOpw7UsFJ5y	46	2013-08-04 02:44:52.162923	2013-08-04 02:45:11.661671	219		0
20627	10occwbwhr6ygf8e959d1j8ci4	$2a$07$I/mAsT1cwcPrOj9.IYAqfOyZXAo2vliaqmx.oqdX4jkQxpWqQNopu	47	2013-08-04 02:44:52.185856	2013-08-04 02:45:11.830495	219		0
20628	108gav6ap0i5wfsbcsfvgiobvo	$2a$07$IiYsXqR4Y/TwpFJ/vqSAVe/xfwCX3WVGaNHiza9iFgx9E5qpagFce	48	2013-08-04 02:44:52.209174	2013-08-04 02:45:11.970903	219		0
20629	10dtd0l9j9oocm08e02mcmigyy	$2a$07$Dw81BpaM7Ul8eDK6yofJou828I/hknwnfNqqzaJfxlS0Q4vI7K2ru	49	2013-08-04 02:44:52.232509	2013-08-04 02:45:12.132014	219		0
20630	10sgwuc4qplsmzer2ba1zt0g13	$2a$07$/XkaaSK.u2yB2Ktr7U7ec.cuGJaHg2qp1YgNYdS8jDenuN0vgJata	50	2013-08-04 02:44:52.254729	2013-08-04 02:45:12.286916	219		0
20631	10ks11mt0zbq36pxrasl76wgdp	$2a$07$wzleVVxLRUGDDlb5urkxxewK4Tw1ORvjkpZMyOorIGB12nHQKIWaO	51	2013-08-04 02:44:52.278243	2013-08-04 02:45:12.442121	219		0
20632	10u6f7ewlsjl3dw3sd0f4l5zmw	$2a$07$iGWPPuKn15rQXfjF21NwyuKxmhjbtOi9e564xltfQMHY1twWcmste	52	2013-08-04 02:44:52.30014	2013-08-04 02:45:12.814529	219		0
20633	107mw1ipmgc7f0ifu5rrr1wflz	$2a$07$l2g9AqE6.gkLIQhbyTCF6u7D31OF.4tbEw.qyu3oDGp80.DUe1P8u	53	2013-08-04 02:44:52.323959	2013-08-04 02:45:12.944907	219		0
20634	10qvyq34e8kw1rtsgutw2bcq07	$2a$07$v8svBH/o2YFtPjjbTZu8H.jlRTKTMX3TDQw61haj6F8xXpj5UZjRG	54	2013-08-04 02:44:52.346486	2013-08-04 02:45:13.093036	219		0
20635	10h3v3inm81i4yq43gsc15cmbt	$2a$07$Okj7XLBC7PK0erK3ekPyNuMIXGe.GGwt5UNmX6nncKQ.lWmJkgxyW	55	2013-08-04 02:44:52.370027	2013-08-04 02:45:13.219238	219		0
20636	10flneq26lpnvojua4zcmlwdgs	$2a$07$GRbGN28OVHqS9TRLYvxUF.Bal72ZdqA1pddmEqorFhj0vqJ5WW5Ey	56	2013-08-04 02:44:52.39372	2013-08-04 02:45:13.334814	219		0
20637	10o1lhlx5pkv0fb9mvlwsq0o46	$2a$07$DFoeorol6jTDzO88CMxCzO.Ljr5O1.iKBBkzRPILZRUjXQsHfEKKa	57	2013-08-04 02:44:52.422794	2013-08-04 02:45:13.47527	219		0
20638	10xcfougqn7t9getzgnzor1rnf	$2a$07$8npTZPJL5cZs3cLFN452weJ9TxgKPNrSwmqfqX5hwK0yboO3AVeyC	58	2013-08-04 02:44:52.460364	2013-08-04 02:45:13.609011	219		0
20639	10w7ikvh7y57pmyoa4e6z6i9h9	$2a$07$dncbgU9DuGPIRhtWrKqDtOF5jzB8LhGyJl480RJg4tTQ2MZQ8T83C	59	2013-08-04 02:44:52.495212	2013-08-04 02:45:13.724604	219		0
20640	1085v6gx0ikzs829i2n7f0ont4	$2a$07$sXW0OU/1H6GgXpuEimB0dO38niHxPiT4/2xH6rBirdUE/FwO9A4Yq	60	2013-08-04 02:44:52.518021	2013-08-04 02:45:13.857382	219		0
20641	1039mkimrq4y5go2ylr4vj7aky	$2a$07$8q7ctnlFbXHDWWdyOgKBz.EURkPQIa7sgqpbWBGExxhriaHRuI51W	61	2013-08-04 02:44:52.540284	2013-08-04 02:45:16.543342	219		0
20642	10jw5d164jwfaznixslwsgczfz	$2a$07$C/fy.wTPQlDStIqiHk.npe9WUAHzyBowvIJk4Nry/2U9ymAP/epra	62	2013-08-04 02:44:52.563796	2013-08-04 02:45:19.705604	219		0
20643	109itz4dbv8w4s3r3wzx3pw38v	$2a$07$pjxBaqBsoGTMBcgTeW5t3Oj0liCGg0OgX1SMmfTy3F7CPuL0BcV6e	63	2013-08-04 02:44:52.587571	2013-08-04 02:45:22.725351	219		0
20644	1060g71gdkkwoi6x5d49syqvhn	$2a$07$RCUu2yBd3WF50o2.YXHqNO190iiCQAUSdLfSalQiDbI/CAkDycbCS	64	2013-08-04 02:44:52.609617	2013-08-04 02:45:22.842347	219		0
20645	10woemrm2jrhigrtcr86bjobjz	$2a$07$YdSIxVT9zqvlaWcMco9UJusBSMBa4kxTBRsIWqmTtHhtaRuA9MfDy	65	2013-08-04 02:44:52.631841	2013-08-04 02:45:22.953784	219		0
20646	10g3btai17n9uwm68r3uo6nsmr	$2a$07$1MQ5WiOph/lZqnXgJeoWeOOyClzmXm3f7JaiemBAxZqlNWYHKLGB2	66	2013-08-04 02:44:52.661277	2013-08-04 02:45:23.893388	219		0
20647	10eltzdirf1slfvy9ldf3gdq3u	$2a$07$RwOPTdUkQ8BnCxzME2uf.eaIhb.22U.MEBsEvRiGUIFsX3GrvWu2W	67	2013-08-04 02:44:52.683018	2013-08-04 02:45:24.028667	219		0
20648	10s155mkvya0vba0xwghzrtc0s	$2a$07$yaQltMHqseBweLzQGKEsXeEMSQ42fxBzU1IK7NyJBEz8IVkjWlp9q	68	2013-08-04 02:44:52.704867	2013-08-04 02:45:24.167492	219		0
20649	10j0gqg20l7i02z49oon8gxvxc	$2a$07$qs5BkWscnd8UiGNFnGmMo.Lv/v7327Bh9rpaxZ.tT7Gwl917Hsdom	69	2013-08-04 02:44:52.727933	2013-08-04 02:45:24.313365	219		0
20650	10j3x19c15vnvxp6bkisfn2zat	$2a$07$iUicBp9tQdAe.phSW67Z9eMebOTemKDRTbkcQyItLCV5OcAtJL8Ci	70	2013-08-04 02:44:52.750871	2013-08-04 02:45:24.444891	219		0
20651	10dfk986lt0gr1cty84sgtv35s	$2a$07$a0j2tY57HNqdzv9UAYDPHuaPoL7ODXjkCEWX/RTUyW8Tj.lgCDhIa	71	2013-08-04 02:44:52.772776	2013-08-04 02:45:24.584405	219		0
20652	104mp0fnq2l1y9e5zt0yojowmt	$2a$07$wn3HQPw/i9rVXnJ9gKrsTuXnuLIVSKRVpKcHmO2MYu8KwOy3RQ8fG	72	2013-08-04 02:44:52.794774	2013-08-04 02:45:24.716905	219		0
20653	108keegx9q2osvdduuti07lxeu	$2a$07$KfcwZGte8kaXA1zOuW2yZ.sYF3JSox4rN5sfrPQz/b7y00/TPpJ02	73	2013-08-04 02:44:52.817958	2013-08-04 02:45:24.861395	219		0
20654	10sifcvgyupvw7nr92rtup472y	$2a$07$wvuR4G88q8TLb.VLTzDnJu9jLXzf11d4vIiX0HZdCikcXRzg/OEY6	74	2013-08-04 02:44:52.839547	2013-08-04 02:45:24.977096	219		0
20655	102awmhr746fhjmde2o5r6ib58	$2a$07$kvXeWp0n/FSe9LV5AwmWSORqq7HCgc6lwokComOrwnqGWZTHUvii6	75	2013-08-04 02:44:52.86194	2013-08-04 02:45:25.126637	219		0
20656	10ulrlj28fwa9sphv5y6zjqu6n	$2a$07$5zInqvxEduS5JFFhWILhh.7YBWqvL6wYE.RmnhDpE4fYbAle2lgcC	76	2013-08-04 02:44:52.885523	2013-08-04 02:45:25.258111	219		0
20657	10d1p53fkgtrfffwlb1ugxjulv	$2a$07$w2B5J9TJD6dgVYiyxVG4Ee/wPEJnhTBib.y4i.3azzY6nB3bxQV.e	77	2013-08-04 02:44:52.910537	2013-08-04 02:45:25.398682	219		0
20658	10wcm0iox4tfe0p1t4yr4ee7fv	$2a$07$VnaFeF45E0EOipr4cJwRlOHwX9aIktW5wXKgVJrMsCkUANvVnSFcy	78	2013-08-04 02:44:52.940357	2013-08-04 02:45:26.747568	219		0
20659	10kpegsjhiepouzfr069c2v1wr	$2a$07$u5wxwxfkkjTKJD6MdIIJjOLDxJ4TgUv/eMqNaHT..JPyNAs3PyGAS	79	2013-08-04 02:44:52.963819	2013-08-04 02:45:26.888436	219		0
20660	10o14oa7raan4n4d7ucyaol57u	$2a$07$kT9SSpEyzT3ohT3x/RqrCe8wbUY9Desw/IMOQReFkUoIb5UcJPhAu	80	2013-08-04 02:44:52.985606	2013-08-04 02:45:27.025446	219		0
20661	1085445kmjc14v9g5fjgnsnnmk	$2a$07$zvW.H5NmkRDx2An/iTzMGOSIu2R.HIK1o3lN78PIHQ3.zLTZAU5d6	81	2013-08-04 02:44:53.010332	2013-08-04 02:45:27.156391	219		0
20662	101ymegvh0or3hr6w0oibcd6mf	$2a$07$RisYeHzeIyxipoKnViBM3ugTeCHTGNDlbcjFLz9lTUeJa6534VvnG	82	2013-08-04 02:44:53.036478	2013-08-04 02:45:27.295947	219		0
20663	10jq6gfbk13pp53lvlbk29d0gh	$2a$07$NW3ZGs52YecqoLUKALBa2uLdoffR8MvvsYTB.fI85.gnAdSDVXxI6	83	2013-08-04 02:44:53.062719	2013-08-04 02:45:27.47202	219		0
20664	10qaum2yhq79phmueasnztxicn	$2a$07$gB2GfupKQ6uTNBbMzncfYumiimDym4t94FHKXsljqCmCjCgh8pPzG	84	2013-08-04 02:44:53.087354	2013-08-04 02:45:30.323008	219		0
20665	10wz2wbb1mza424rzstgtouhq4	$2a$07$vxHivpRDPNwhztxNOdxkMu7HaxRXoRG2los.HKEKcSRO7sTcdgmia	85	2013-08-04 02:44:53.110866	2013-08-04 02:45:30.456807	219		0
20666	106v3tmcsd35dzx70lk1tftlk8	$2a$07$BXatq/jY2zAeJJMPizPnvuvji0pUsI9a9OjHvGzO79wkNnsh2igmW	86	2013-08-04 02:44:53.134252	2013-08-04 02:45:30.595985	219		0
20667	10kssboso5mjtxrm8tlub8h2oz	$2a$07$XUlkorczNAmcDJSOYlA2VOWJPl6sD7K0MWq9/HqfV2R9WTRnd30fW	87	2013-08-04 02:44:53.157101	2013-08-04 02:45:30.746844	219		0
20668	108qn9eu60sognx61qok4bdp00	$2a$07$SrGXM9ZGaxV0YnqM3RVng.hVEpGZ5S1O5ihLgVjiquak9hTg3IXC2	88	2013-08-04 02:44:53.180422	2013-08-04 02:45:30.901416	219		0
20669	10qmxqx7ojhq5gbw0v21nurcao	$2a$07$48gFPr8kSmO0Lk/JaSkIwew79wDKBx2VimZ4dhLH4yFVQHPB3coeG	89	2013-08-04 02:44:53.202333	2013-08-04 02:45:31.878488	219		0
20670	10lm4buetqp3akaqhs9n7fgxv2	$2a$07$hHFVmWSZcv9G30dLa/T35.8zeJFHJ45xaE1rBPian7MvtqdemUYbu	90	2013-08-04 02:44:53.224796	2013-08-04 02:45:32.866094	219		0
20671	10fh8xuwbw3avx7r2zemfh2dl9	$2a$07$tJ1M56hRdMMnyCZD9EBYJ.YoPvyqcW273hlI1nr1gv8CqiXeRTamO	91	2013-08-04 02:44:53.248631	2013-08-04 02:45:32.999497	219		0
20672	10joy3rs2u4gza61x2kcj8m2kv	$2a$07$prVU4JIP.BuA.rA/yO9vQO0ouSJrJZRFZgsv19WYKZGLLP1HxqN8u	92	2013-08-04 02:44:53.273103	2013-08-04 02:45:33.138151	219		0
20673	10yb56tv3g92pakxta3adbbd9h	$2a$07$4pvhqxgHuuq0te12IJefou6PYh2LuwD3jvOJjJS.9Bd1y.3/li0.2	93	2013-08-04 02:44:53.312923	2013-08-04 02:45:33.273564	219		0
20674	106x408v9b9xe2x8swfezc0ge9	$2a$07$QDOU95j3m7gZVhTAqfkT.eGZNNnqOZXDnvbBvoqaDqAkluTGIrYUu	94	2013-08-04 02:44:53.346807	2013-08-04 02:45:33.414921	219		0
20675	10db8pydflgkdc9a2ec7wpcdkt	$2a$07$bTGLjBxsA5IC1v5kNK8G3e3mRfjycsqmMl9FfTTfZEiSmAoFKUkzK	95	2013-08-04 02:44:53.372129	2013-08-04 02:45:33.549536	219		0
20676	10chg5i7j6ceu6esqo8f2tgorm	$2a$07$.2lQBF0EBmOibl0NxTdtU.epB3g9vjCD1tmY82JbEWajknYN/CZYK	96	2013-08-04 02:44:53.394332	2013-08-04 02:45:33.689926	219		0
20677	101hr5o05da8y586gm970j1hb3	$2a$07$YD6L2e27NZr/DbyAyeMdC.65NY32SpAy5ERAwdCyaHdalhEMDwIHm	97	2013-08-04 02:44:53.417965	2013-08-04 02:45:33.830437	219		0
20678	106n3ee5d3skhlddnh7hm2wrpa	$2a$07$0AMHCWI/viQ4cfA7rnMwQetlFml9rsmANABL1OLWxec5xF6wyuPAS	98	2013-08-04 02:44:53.444385	2013-08-04 02:45:33.98563	219		0
20679	107w5t12vwkb0d31ijuj71hhcx	$2a$07$DMcVybyHDxmf445pbIaUX.nhpHCkjWmFZvPSYbXEHrcWSmm2QJbf2	99	2013-08-04 02:44:53.469715	2013-08-04 02:45:34.11667	219		0
20680	106nxwnbiikpenac2483gu7r40	$2a$07$jzZ8PtvuTH0ZATwMqTzk2.Regd9ISSXSlKNapiBL.2XmTVTCjMcJS	100	2013-08-04 02:44:53.491327	2013-08-04 02:45:34.232221	219		0
20681	104xs4uno8hv4v5kmgtc7wyze4	$2a$07$Tp3YGob.fy4T0/500NPRReQfKdSoHxIFOM9nf/qnNOwtbOqR5JucG	101	2013-08-04 02:44:53.513051	2013-08-04 02:45:34.365372	219		0
20682	10k7qvrv6xgmpqimkw6z8x4ys7	$2a$07$cI06nyg3uVLp37Q2mMK8.u267FGjFbogIm53GlabMy3RDieXkna1e	102	2013-08-04 02:44:53.535516	2013-08-04 02:45:34.506183	219		0
20683	10z5qwxnmbl3fma9cjhz85dipf	$2a$07$yRgMYHoVx3rPFNZG3TT.HurqPYgwcxS6REijvLCJVVnj/jg0cIrSW	103	2013-08-04 02:44:53.557749	2013-08-04 02:45:34.642857	219		0
20684	10imoieqp13u7cf96aqznte57k	$2a$07$I/7QfHQ5iNGX/pW.8ydXIOAY7dpjiWyZLkQHjGiyfJ.bRD29FNw9m	104	2013-08-04 02:44:53.579937	2013-08-04 02:45:34.773951	219		0
20685	10fo2dbfjenhucgyorshaffoyr	$2a$07$LZzxyM02IeYIYRcpJkOgXeSeNANLJ3epzHF3eRT/VAKddeBd9v/l.	105	2013-08-04 02:44:53.602356	2013-08-04 02:45:34.912613	219		0
20686	10tonisguzwrzig0r42dj3zj9k	$2a$07$No/WAmWVFTx57cwYOZbmCO9BsMB/EZ5qetvZwew3ROmeXhf4guXkO	106	2013-08-04 02:44:53.624015	2013-08-04 02:45:35.048101	219		0
20687	10zdxvj5o6m48qzs870wwp4e3n	$2a$07$JUTWU9NoQJ3UiCua.IalA.SHylNaGtlb3oxAOVgojy.sZUXmd7Tge	107	2013-08-04 02:44:53.64607	2013-08-04 02:45:35.174562	219		0
20688	10p4jyozq19az5vek2904ppa5s	$2a$07$qfBUKvRM/yO1sLQegEBAcuQRr3aClgrdriwU/Nv4NadVnpF7FMg0i	108	2013-08-04 02:44:53.669093	2013-08-04 02:45:35.311404	219		0
20689	10okepmnsx2pwlm1a5q13i9jtf	$2a$07$i1hU3rDRQUf7/ctmc3Z01O3/Smb6bbwvR63dhTNHb1G7EeADN8pgO	109	2013-08-04 02:44:53.691277	2013-08-04 02:45:35.450488	219		0
20690	10b1t4u1lnqfsytq7qmepg4jmj	$2a$07$Xc9OnsxRpzyrfnD8dGnsv.S7h1MaROzOsgCUQt8.435Wrf3cAXnRO	110	2013-08-04 02:44:53.71405	2013-08-04 02:45:35.641549	219		0
20691	100lbgs84vni5jcxnp811ojx9l	$2a$07$kwFS/3BtoJuV7Ngd2dxRvuQr8Xms4e7m5MKfXmFPoKRhrtnqnAHHy	111	2013-08-04 02:44:53.735543	2013-08-04 02:45:35.766954	219		0
20692	10j6zzaetdebgs4xrg9u65z5c7	$2a$07$2sHbzLn47HYOfcDlQ9hyqOWE4ryzTvotiYDh7SjQc762DztF8CzD6	112	2013-08-04 02:44:53.758486	2013-08-04 02:45:35.897271	219		0
20693	10cercdj5skn3h7ujeesrdceez	$2a$07$Ec9faIwtUd6Fzu7fj/qzueuuhVja9A06r7SrPKCVca3nJ0lmxL4qO	113	2013-08-04 02:44:53.780522	2013-08-04 02:45:37.324003	219		0
20694	10f8i15k5p7yob08d5ybv48u8o	$2a$07$4cOJ618nnsM5rm7cBLRDdeETe0oUGjAmuGQzxhCKL6uuE/0ECKtfW	114	2013-08-04 02:44:53.803082	2013-08-04 02:45:38.593042	219		0
20695	10wk0jma0krausdh4m6polfy3s	$2a$07$1NUXReIsG3zh4kZF3fI7ruCOyD33Lmal5abJaJWBA0sPMnUwfdPeK	115	2013-08-04 02:44:53.825653	2013-08-04 02:45:38.725316	219		0
20696	10d6mu013hfxkgo22m848mhzbu	$2a$07$kHAIbqYEwjO4AMb.AbBLWeItOIc2F0lje.1hONBstVC5ZrDIa0N4S	116	2013-08-04 02:44:53.848195	2013-08-04 02:45:38.868538	219		0
20697	100keb3ajif0xazqcshwu6gmfg	$2a$07$ttw2vHjzXhv.5N8PkENsh.zlWdS32QFe2.oQM.Y1iTlCKnaXsBlQe	117	2013-08-04 02:44:53.870292	2013-08-04 02:45:38.988399	219		0
20698	10b7j7ftibtygqmg2koa72u90e	$2a$07$QZkn/L41yjSyQ.AWg0EB4eQ0DxKpNNymKtrZxqX9jl/SAFPZzt5kq	118	2013-08-04 02:44:53.894566	2013-08-04 02:45:39.128162	219		0
20699	10t2wfil5tkzrbp0sly27idoq6	$2a$07$i3v/lBdp4nnUELzJg.Rd3O1lRTxWdg6XK5gARUJnad7KCRNQHGBb2	119	2013-08-04 02:44:53.915744	2013-08-04 02:45:39.266881	219		0
20700	107zf3tkhmxw6zp0twm4s53h35	$2a$07$sswP6kbWadzP0fdym0fADu4z.NcmhsrQeW6o9/PKo/zfGQpEAzWYO	120	2013-08-04 02:44:53.937284	2013-08-04 02:45:39.374456	219		0
20701	10ek89bs8ionhrtazrhv7tspq4	$2a$07$30nxgOP0VAfccmdVtE6bQu7nr4ZEQpeIc5UPqVYtULyZ79n49fIwy	121	2013-08-04 02:44:53.958464	2013-08-04 02:45:39.532649	219		0
20702	10vhf9h8vvm5wz1iv1f2orgur5	$2a$07$aN7m1cSX7mz9N3L33Zcu1ej0c7tLHOAZ78aPaj88UqRZrX6HGzP72	122	2013-08-04 02:44:53.97978	2013-08-04 02:45:39.678766	219		0
20703	10x8bsdwo2btv3a5s3w07dji1s	$2a$07$YqpKyRMt38ii5NouT9OzfOE.dj1o5/LcqMuge.w/Ms4nmK8jjHxau	123	2013-08-04 02:44:54.002623	2013-08-04 02:45:42.441648	219		0
20704	10s5s4zyrcphhdg9y9qie0z72q	$2a$07$ZSR7l4IKtbpAlqnIoqRWs.yA97aFmCELUEsackHEtDvGmlxSFGgfq	124	2013-08-04 02:44:54.0242	2013-08-04 02:45:45.208103	219		0
20705	10389frmid6l26cmyzo23z2zxm	$2a$07$9dkHQUdfR1qSFVY0g1jfhuBpRd2ynuWD3cbf1zgEdw7D.s.6L0Pmq	125	2013-08-04 02:44:54.045808	2013-08-04 02:45:45.346666	219		0
20706	10x1lkql9hyiwg30exfmutbjqk	$2a$07$NNA3WCRGG9JTMY/5K5VeO.92OzS0pp5Jnruaue16sYZJwDC2hdtYe	126	2013-08-04 02:44:54.068598	2013-08-04 02:45:45.464839	219		0
14533	10xy99w5a05u8g0ilpbkrbx2h9	$2a$07$f90G1zAAK.yKtK4Kr90VGOb6OZCrMWfyopKcYq2Yyeo3B9KYo99Ge	1	2013-08-03 22:43:35.089719	2013-08-03 22:43:38.566699	171		0
14534	104q71inb7nbmwn4go92oiudtf	$2a$07$41oSW/84Jwy5ISpvrwKSBu842ImvPOGmCDSWOc0cxSKz04NIixRD6	2	2013-08-03 22:43:35.113532	2013-08-03 22:43:38.871664	171		0
14535	10nyq2tu8g6mh0afjahiwjpl8h	$2a$07$Ro6u2JKPC917fbDIrH.oWeQFawdZApj0H8cHzheAsYGhk33uDpq5K	3	2013-08-03 22:43:35.136919	2013-08-03 22:43:39.227903	171		0
14536	106efyfcwzywtqjzz3y8nd5d16	$2a$07$68UYEduLx2pLB4J15JfqhObrQZxuJ5oh19v13N.6t9fqA.IDpvQr2	4	2013-08-03 22:43:35.159427	2013-08-03 22:43:39.342961	171		0
14537	10jp7s93t4hsu6lfe6mvnsafk7	$2a$07$Bd9aG0E8DS1eaMopfJev3.J3Wrp4KI8UBCOcbtw3MuNKsZl1or9SG	5	2013-08-03 22:43:35.182927	2013-08-03 22:43:39.479239	171		0
14538	10zl7quao675nwtgpliuughwlm	$2a$07$j7NMP8Tr5nQIPH01w5wxRO1nwLZsMxdd8vwDytIozW3lei4baaONC	6	2013-08-03 22:43:35.206859	2013-08-03 22:43:39.649423	171		0
14539	100z9awtqerhn8yeeyktqvqk46	$2a$07$WQCTcOrf/SvIKm.5qosgzel0kmNJ8QHtP4Gpvkq26u6UTnG84uMfW	7	2013-08-03 22:43:35.231345	2013-08-03 22:43:40.802472	171		0
14540	10g82q0qxuh58yzw1dz39erb3x	$2a$07$9C9B75CeT1Ixe2qSFgkYB.ODbDbBsLJDuwftRrgXTfro8vFd.e4aO	8	2013-08-03 22:43:35.266825	2013-08-03 22:43:42.025182	171		0
14541	10idiqs7pzw2c4to76lvz0jb5t	$2a$07$oDCu4sHE7KqM4NMQ7CQB/.lsf9fXHHaMVjGB0KGB4v89CrSXgxbPm	9	2013-08-03 22:43:35.303356	2013-08-03 22:43:43.424675	171		0
14542	10mjmzlqs5u0ezfzzfenilj1q6	$2a$07$ozslyHWi1RZjimcPRCKV0OWS35vnqXDTOc8yEEChB6zmU0i1C54w6	10	2013-08-03 22:43:35.336959	2013-08-03 22:43:43.559322	171		0
14543	1010h5590tk3uv65v9p1fny0pv	$2a$07$LsObpx524j3MmG03rPywqOGKC3OAhBryACOeULtGoh.AsXogKsRfq	11	2013-08-03 22:43:35.369858	2013-08-03 22:43:43.680919	171		0
14544	10z0ocbh236y4m9gl7oya62204	$2a$07$obmmaiYb2EngW1Pbt/JjSegfioKf0v6qAeWeehQlTVb8DATZ5GAQK	12	2013-08-03 22:43:35.392162	2013-08-03 22:43:43.816445	171		0
14545	10j3p7cvh897kmxm0gmjro34j2	$2a$07$P3aCO.g.1L0Rg7uJWFpTJuD4mXyTqWh6vXLUyHca8mQtGBxyGdLx.	13	2013-08-03 22:43:35.415507	2013-08-03 22:43:44.001662	171		0
14546	10nmrqdmiaxz27dl8m1q75p800	$2a$07$RoSIM7uzKCNDshZz5VnbPegSVUCQ7vXrfNDze8gyjC2V2RvU2iX6m	14	2013-08-03 22:43:35.438695	2013-08-03 22:43:44.184098	171		0
14547	10vqv4gnav23ubmknx6lpk0oqi	$2a$07$96lDYYn7sz3FciwNkgrqUuuqzhYTLiSOL3Ct6fbdUgp/tS7f.AJZW	15	2013-08-03 22:43:35.467949	2013-08-03 22:43:44.305116	171		0
14548	10wolz0k49qsadskaubtb4ojs8	$2a$07$YMOz75PY1AXgDWwOVx8xU.0KaPHjaAYT1PZDzOua.T3h5ZxMFRY6e	16	2013-08-03 22:43:35.494498	2013-08-03 22:43:44.425927	171		0
14549	10v9f7t8pxlsuhqcz8fcac0eac	$2a$07$gjItZdcwxixhJsTScHoNZu4M04XQZXa8SLiamLoDNoxoc7XksMyK2	17	2013-08-03 22:43:35.519283	2013-08-03 22:43:44.54668	171		0
14550	10z5uymj9ci1iyq0f0x01ktwf6	$2a$07$.RMs6Tc7zZrKVYaLLpM5JuwgLs09EfqnTjVVRfOO3dKo94n54aiDq	18	2013-08-03 22:43:35.549629	2013-08-03 22:43:44.682838	171		0
14551	10b6ng0hzi3590oyyfnnpawj5c	$2a$07$QPkVoLBIgfMx4yKsC5e/c.zKYlHzUSIM9GYvCuUguzFzXRUxC.WzW	19	2013-08-03 22:43:35.573568	2013-08-03 22:43:44.836599	171		0
14552	103hh7w5ba8u1l79ghbgelc1ln	$2a$07$5VVfomfYyd.JzUjFJ44BLuyZ9p0B6ki66pjcuXiiiuRMr1AyYsqgC	20	2013-08-03 22:43:35.596831	2013-08-03 22:43:44.974296	171		0
14553	10ab2luiouwlk66c58yicnw6rl	$2a$07$OM69Ij2Fa4Db2MySC2kmaebhI2jLO3zXdPeuM8XYBY.y.bAs8bfda	21	2013-08-03 22:43:35.620869	2013-08-03 22:43:45.1207	171		0
14554	10ge85yytxnj4flrsxn4p882hu	$2a$07$4Tq6KS62KqjJU91yHG4fP.qfkv9O1GoHLLvc8SEpCrBuK4zdVp3ni	22	2013-08-03 22:43:35.644457	2013-08-03 22:43:45.259077	171		0
14555	10sicazljbx7wrxxypoyejb7db	$2a$07$DkxkRJsGm9bdVC4KlcUcT.B5bbuevLtTlLmSFIoo9xnLEnCm9phnC	23	2013-08-03 22:43:35.668053	2013-08-03 22:43:45.390194	171		0
14556	10bjbf351pc5k0zv28bixorvi4	$2a$07$HmKAfibmLEj7S1eUHXRxZus9Kd4tjdp4uGJQLj0LiPACp2lV4Dvhi	24	2013-08-03 22:43:35.6909	2013-08-03 22:43:45.52312	171		0
14557	10xdzwsw9sywzgen3osm7v8w2l	$2a$07$9/Wjap7qzaJkaP0USqTCF.Ng.RonOpeB0OjSvFrXrO2kpz1jcI/Ba	25	2013-08-03 22:43:35.715579	2013-08-03 22:43:45.661607	171		0
14558	1072p5kmuuif7esncourcfc5mh	$2a$07$DA56xrRc5ZYwK4yIZHBdm.jTSA00r7sIlqZjp2Ka7OtwI9x7Uz6wy	26	2013-08-03 22:43:35.739141	2013-08-03 22:43:45.783559	171		0
14559	10cg7vyvymompawbzypna7ltyo	$2a$07$dCFGDAEUQIKeVPoaSEpQv.jIIn5PaV38PmfT.drAXFbAIHXusd0Eu	27	2013-08-03 22:43:35.762644	2013-08-03 22:43:45.91997	171		0
14560	101vnffkbsix1ulueoanyqtoec	$2a$07$Y3LVIfdZRixPyDny8JqW3ORytstoJZAKMfOsTIOJIllo/EdxkWHJK	28	2013-08-03 22:43:35.786091	2013-08-03 22:43:46.316336	171		0
14561	105hrbb1gwyqxn0y9g06a0i5nw	$2a$07$Uqwmo.aRrntSsoGz4fkNOePPcWbQNcqM866ZfVXlhWImAvfRxAKXS	29	2013-08-03 22:43:35.808232	2013-08-03 22:43:46.874612	171		0
14562	108m6j0vx5adtc12o31wm2z7yc	$2a$07$no7jir9vjszzL5qDN5nnDeHsQ0mQUBK/bEhnk.jMG4Qs9JpAOE/.q	30	2013-08-03 22:43:35.844266	2013-08-03 22:43:47.204349	171		0
14563	106mm0pxuxmlnj712n2a4wczr6	$2a$07$SySGXW4lvYWwWhdUB1nbcebM/SzjtzpXqehwD1mGn8TTamWoQoBpq	31	2013-08-03 22:43:35.874145	2013-08-03 22:43:47.318512	171		0
14564	106vo3xpur05rgq2mbczun2p31	$2a$07$cHFJdgHZ1ZQTkFBz5iP7teUvLrNlr9DLyNUbMbU2df87s2KR6BrUa	32	2013-08-03 22:43:35.896446	2013-08-03 22:43:47.452686	171		0
14565	10fgx7ddjmk8s3djuijq64iqc4	$2a$07$eKfJ8nNwPk/fen1ilX8WHuUaRBqEm4m7bqK8Umv8BbV4F0BWbEGua	33	2013-08-03 22:43:35.919336	2013-08-03 22:43:47.583356	171		0
14566	10xrmpsah3uud8oxwrzzsj4lmu	$2a$07$KT1EQn0RbtFpsTJ04pxME.k8RIGxc08SKy8MtrH7hNqBSnw7dWwty	34	2013-08-03 22:43:35.942161	2013-08-03 22:43:47.722075	171		0
14567	1040vm8n1rhpu51vrgyoniu7s6	$2a$07$YpXmrllGHzhhnHSRSKJ43.BcapUxVCSyLNIOf15pHSDIuXAi.fMT.	35	2013-08-03 22:43:35.964009	2013-08-03 22:43:47.877376	171		0
14568	10ry2mf0k3w7xkeavlnqrqhbwl	$2a$07$NHJDxurtt7v5xBx6SfRjPO4t/akdfj9pvp0ReoQnwgEZYeMaozPLi	36	2013-08-03 22:43:35.986402	2013-08-03 22:43:48.022244	171		0
14569	10h3bp1jdrijvf0sipedd05lzr	$2a$07$hMQRMh0XUg/nnCBkabX4/uyIj/8dQBE1R3mhvWcly/MixGGNvvzEe	37	2013-08-03 22:43:36.009197	2013-08-03 22:43:48.156802	171		0
14570	10nc4ykiz1mccx5rd05yskaee2	$2a$07$aBAl7OvSSCz4gHUpIDd5qOSw6LMZYZ0lUMEgle4DQidygfigAEKPu	38	2013-08-03 22:43:36.031907	2013-08-03 22:43:48.302933	171		0
14571	10fwbjfkwu568irrge1v6d7c7c	$2a$07$yIVrfIwsKSd59GK4GvvTI.nK1RY915iaM3DlDTZV4YEITEYbBTjeu	39	2013-08-03 22:43:36.054997	2013-08-03 22:43:48.45245	171		0
14572	10n1u7z1gguet92udg12yixfnj	$2a$07$t43WEktmdftcEYfFZKNbRON./CXha9zIHlPVLMuoIstPebdG9gOuy	40	2013-08-03 22:43:36.077934	2013-08-03 22:43:48.584044	171		0
14573	10n4jrtsln78bhscoevrzai63j	$2a$07$ZkvqGt0HEpaiuwklo3JQF.fVHK88LKg4SBEOtgwot7lAdnmrX.Oqq	41	2013-08-03 22:43:36.100725	2013-08-03 22:43:48.697693	171		0
14574	10wlb9obl7ri2nr55dfn4wz6kb	$2a$07$2UDpvqBcVM3jiZ2UvBzfiu/SUIro6q5Kl5EddFA9IoxdznzTDPlCe	42	2013-08-03 22:43:36.124527	2013-08-03 22:43:48.815591	171		0
14575	10wmvffl2q1rao7nnobdgdbr80	$2a$07$JHB5t/.17f24n38My/GGIuAmBZ5Y00CdaYFo3zFCKEDe/4nn4UiBG	43	2013-08-03 22:43:36.148184	2013-08-03 22:43:48.964327	171		0
14576	10wtbl2twsadecbyew0b02uy83	$2a$07$PBT1SxV4CQDcQN0zZkPc.u9iIltdgUe3qBcySSQ1aTscaOtg7nanC	44	2013-08-03 22:43:36.170786	2013-08-03 22:43:49.092159	171		0
14577	10faxwnw30x2ec41g9enbueung	$2a$07$iaDGT9PbDrGmH7Q23epyn.AsX4inwBlduuEfQXEfWrthNdzDbrmqO	45	2013-08-03 22:43:36.194123	2013-08-03 22:43:49.238406	171		0
14578	10grcb41ibos6k2i1bq7jd7o8q	$2a$07$mSXlSfjDWHZgr98U7SkILukbyh3uUax128niK0uax0Hc6if1KhaP.	46	2013-08-03 22:43:36.21736	2013-08-03 22:43:49.385235	171		0
14579	10t9d5yet8uni3iim56j2evgwk	$2a$07$ZHCJACocG3x3esFBFojU9uHzFdzJ0f6xuicAeTpOuPYHgOFUJ48AG	47	2013-08-03 22:43:36.239517	2013-08-03 22:43:49.54024	171		0
14580	10c1o674j8f4aych3exskue2gi	$2a$07$buT2IX1Qe2bp/UhwyBVcQu0uqnkHyZBgffJkM8vASyCOy.tfJQr4e	48	2013-08-03 22:43:36.262615	2013-08-03 22:43:49.695017	171		0
14581	105fkcmb8y6lrm73ho355gmf4u	$2a$07$dFuHjZSNPMO7RoWuaP.vCu5x2ise6bXIhBCjA700zdA7Tiz8ZpqVO	49	2013-08-03 22:43:36.2851	2013-08-03 22:43:49.851828	171		0
14582	10obhe4ztmn250ji22vkyadxwh	$2a$07$UQ9l0DFEIGcY1Iwq81YDjOBCAbjLg.EJ59635GvTz/Tv/CHT1JpW.	50	2013-08-03 22:43:36.308308	2013-08-03 22:43:50.006477	171		0
14583	10ol56u627qbqwm7ovhnzciqoy	$2a$07$vvrjCEUXqL37M4YxHXioxeuzQYwUU0fWuz6d9xGLBRYl0qJqRxofu	51	2013-08-03 22:43:36.331895	2013-08-03 22:43:50.149534	171		0
14584	10htjxrnxlqb35eqy5i38gxjij	$2a$07$piE9GPfWHoJy9h1ldBRN6uQ/wO51XbPvjGLbBKgjHNuH9d7NWqlre	52	2013-08-03 22:43:36.355416	2013-08-03 22:43:50.256824	171		0
14585	10aelz1wxauugo2kkmospsad5q	$2a$07$4B23jCOg2QaIflBH1E4Ml.v0Vz5oVAZeyIRPMDtVRxivUftMq8uS2	53	2013-08-03 22:43:36.37852	2013-08-03 22:43:50.398334	171		0
14586	100l3638c7qs2946k7z7wrr6yd	$2a$07$RhDYR0FE.IFlDtJbtSRKnOofZyV4oY6MVzotsiq7OAzFL0iVx0aSu	54	2013-08-03 22:43:36.401353	2013-08-03 22:43:50.567817	171		0
14587	10elo5k9b090a4u2bxftsqj2ky	$2a$07$68Qv92hsz1VvDRHEK7KOwu5/l8k6D7mctAdL.XdHVn31D3z//prHC	55	2013-08-03 22:43:36.424395	2013-08-03 22:43:50.706155	171		0
14588	10edp5zefid8bitotoauxdgmi6	$2a$07$yKg.AougAzfqkdgmSRW14OIZx7T4n2v4PTa4qKOa/f0I6in4Z4/qe	56	2013-08-03 22:43:36.448075	2013-08-03 22:43:50.843925	171		0
14589	10epf8sjksus3wvrz4pk08vbhv	$2a$07$5toi4bq3h.Ek3N8.wZTZGOB3JONAebNc4UKzmpevKUuhvc2RQJuiG	57	2013-08-03 22:43:36.471621	2013-08-03 22:43:50.991592	171		0
14590	10h96eethh6azy6jklirl9i874	$2a$07$PUUY2QTMzg1suWDLgNBbneBQK5eAQ3JOFdoTJD7qmhVc8Zn/2AOyu	58	2013-08-03 22:43:36.49833	2013-08-03 22:43:51.219153	171		0
14591	10twogibbw8449fhiomls6unxu	$2a$07$n0U79DTOZoTe5eTX0JMzGeziQNKFYr1dD6JS44aMBbxd9pA/oVAZu	59	2013-08-03 22:43:36.534942	2013-08-03 22:43:51.480633	171		0
14592	10ia9ebg53tagv0ovv5li0jvbh	$2a$07$Bs99b/7NbPQyeyABXuy7cuRqKoUbaRLdx.bhRmxpn/Os9gYvkAQam	60	2013-08-03 22:43:36.559864	2013-08-03 22:43:51.655507	171		0
14593	100rn34gjm232daybkczh46hje	$2a$07$jAyvOlknUiePM8czyLLZVeIfcxhnp6LucDNHeYauxBE4uBCGQJuOy	61	2013-08-03 22:43:36.584056	2013-08-03 22:43:54.582623	171		0
14594	10oqzmxjloswqabgxlv618jxmy	$2a$07$qwO9f4rHp8X6WTQkelx7cubEUhRl4704TZBG1iesLuvKCQkFGlca.	62	2013-08-03 22:43:36.616185	2013-08-03 22:43:57.689457	171		0
14595	108zaiqruofli2o20c6ov3dxvf	$2a$07$dPpXHFEqE/4kDCylAkIYaeh96v/g65lGKqCYOLzo1dV57PY.NiadO	63	2013-08-03 22:43:36.642134	2013-08-03 22:44:00.768282	171		0
14596	10nzvh29p869abm0sixtaf97n3	$2a$07$1OBsKKY7yiUtUmZweLa9VuuQDqpm3Ek12ljdut0YC8Yk01vRUJJoa	64	2013-08-03 22:43:36.664961	2013-08-03 22:44:01.010925	171		0
14597	10zlk8iw0aw404b2051nv4vuiw	$2a$07$tJgAw87A4E4MmIiw23pi1.M8ix/KzNKZCaJ8dtZCGf6EAMltzgTe6	65	2013-08-03 22:43:36.687502	2013-08-03 22:44:01.183582	171		0
14598	10e63a2sq1173ravvwwlg680ok	$2a$07$YLB3gsRhEWdN0ENwMTSqW.LblMLwNKcHPkMO2tmQDx60BkmjiYmH2	66	2013-08-03 22:43:36.710647	2013-08-03 22:44:02.677633	171		0
14599	10vhfgk1g0v0ds2hve9w2vp8ze	$2a$07$QrNM7DsvtS8S2mUzdWGE2.Z/.K2oEgNQiRXX//uKh7Mix9MmWEs9i	67	2013-08-03 22:43:36.734261	2013-08-03 22:44:02.811459	171		0
14600	10bec24oim94eu955igdw0qouk	$2a$07$D1QDS/Lxl2kJfUWwMdkGeOdYshuRllKHotvrNTDBvQq0heYEHyvuS	68	2013-08-03 22:43:36.757738	2013-08-03 22:44:02.938369	171		0
14601	10kt6n0wbnaj37mlu98h2wgrci	$2a$07$OwcOs22BricvVNGBBEMesue.mVJGKBXYrBeOihLFFxYTtfXztr2kO	69	2013-08-03 22:43:36.781642	2013-08-03 22:44:03.109722	171		0
14602	10rbboaw3b69t2wfi3qyo7lx6y	$2a$07$A6ImvTjvT66zRFfICniRGuRfocgcgZRX6jQa6cWCMCjEGuY4tg91e	70	2013-08-03 22:43:36.804777	2013-08-03 22:44:03.271785	171		0
14603	107e9qhj5qx5c10tf2ilkj8kp6	$2a$07$.co.EOQRmxzMQR9QPIAZ5eIQP/M/.eFU/fDd50m7wDHymwt1vrcp2	71	2013-08-03 22:43:36.828116	2013-08-03 22:44:03.413007	171		0
14604	10v1tw0x1dkpt25sz78gruof90	$2a$07$rGvfv1Onfp0zJHSVV6NalOUV14TaMrVQTj.2BJ35CSYvexw7Mr9w6	72	2013-08-03 22:43:36.851172	2013-08-03 22:44:03.551774	171		0
14605	10vlefiv6navgjdkvzrrkrvu9h	$2a$07$3F/nwvPZXZoG91ax40w5rud4IgQ8Qk.2gCdX/FfmCm0XmV3OWce9a	73	2013-08-03 22:43:36.873146	2013-08-03 22:44:04.018799	171		0
14606	10k6tljh39brxkfbvufux751rn	$2a$07$n6JIfchZ6uA3LIjoWGUqP.h4Aira0NNkvg9oZzOYBH/atHBFmkvBO	74	2013-08-03 22:43:36.896004	2013-08-03 22:44:04.155198	171		0
14607	10evfyew6vyfo2adatk8ej4jw7	$2a$07$GEvbQb8VP6lEx2R79VzlzOpiVGj4/Voed066Ry7uO/p94adpLXP/2	75	2013-08-03 22:43:36.917899	2013-08-03 22:44:04.297568	171		0
14608	10fnvlq2yghb1rm9b0nr655utl	$2a$07$r5xCLYoGDUbzNbf9BOr6g.KqJUfKJpgU5iO4UdCmTay9ItrJgH5Fa	76	2013-08-03 22:43:36.941369	2013-08-03 22:44:04.423612	171		0
14609	10ojqxl7803btfqanu5ugtejpr	$2a$07$ju4soLpFWPLE3bAb3X.5CehASSwq8mCAAInXg.lU2/osXRNEJTFaq	77	2013-08-03 22:43:36.964949	2013-08-03 22:44:04.563047	171		0
14610	10grwylb0midgjfoi5wt7n2yhl	$2a$07$eGIje.SL5avdraHyph2GleL16m3UU8N57PxzRImxzBBxtyHfP97BK	78	2013-08-03 22:43:36.987715	2013-08-03 22:44:04.694795	171		0
14611	10h3m7x85d53m0o3cbnmsulfu2	$2a$07$n6OlW/0omh/2sfsDXTx1tuzlbp.CTlbD042JF5T10ZQ.e42P7IQYS	79	2013-08-03 22:43:37.010851	2013-08-03 22:44:04.844103	171		0
14612	10z4d2fbfaxoi7v64obwbq5npv	$2a$07$o3pgSQcnBw91BAuvi.KfzOVdb4k1jFAkgSCgKOEh/Crx0wPgIpyO.	80	2013-08-03 22:43:37.03459	2013-08-03 22:44:04.98465	171		0
14613	10egyzwgnyfv7kk92uz85aha2x	$2a$07$SJn.F30NmLtvdCpnaoiCSeFzmSbwTZSJpTkHJRnTnHFacSrw6zGAa	81	2013-08-03 22:43:37.057266	2013-08-03 22:44:05.134739	171		0
14614	10z5e37iy13d67tjjnffgpfjrk	$2a$07$r7rfuKzSeDZVb9sLEJ/aAe5XWQSmnbrWrspbxSVFOt7bF.O9fP926	82	2013-08-03 22:43:37.080881	2013-08-03 22:44:05.269551	171		0
14615	10xihkgkfw925monp9mffa5so3	$2a$07$H4a9cTTS0GSIkpq1f65E7OPyjaj/P/BUDTDwhdEfR0nn9twDfaoOu	83	2013-08-03 22:43:37.103888	2013-08-03 22:44:05.489362	171		0
14616	108q3qnck9ekir8cja2i1rql6z	$2a$07$wHu9q5BsbgqiP8OSkg3wjucZq4MALntBEMeLoniYgMNxp8ptulsmK	84	2013-08-03 22:43:37.127098	2013-08-03 22:44:08.474281	171		0
14617	10htxl77rgenff3ob89zwim4mt	$2a$07$cnw.I5MAv8dbAaxHz/veEeOpuBZIu0nyUUKaev3mQvWzJK3/9I76W	85	2013-08-03 22:43:37.151422	2013-08-03 22:44:08.800977	171		0
14618	10vju3ef9hvt8n9tj3spgnwfbj	$2a$07$U6oWvNNfFIhqTm3B5Xu07eCPTHynLS7F72p2c7/vRUxvYCIGxvbO6	86	2013-08-03 22:43:37.173798	2013-08-03 22:44:09.085937	171		0
14619	109ulrd0rlpelrqx5ee4krlohz	$2a$07$6JaIQ6fQzrudFhTSsuHvSuUtc3Z6MXasNKqnpM0hyyQptgwy8RyVu	87	2013-08-03 22:43:37.196686	2013-08-03 22:44:09.308511	171		0
14620	102f9y2jqmxe0ne75w3lws7d3t	$2a$07$LJ5AzrUQwjkhPvzQw.b3VO55VhpMzT46VhIQdjUJ58kpovNjk2Hj.	88	2013-08-03 22:43:37.220109	2013-08-03 22:44:09.483498	171		0
14621	10hwfhh44txm1n9b9z79antza3	$2a$07$znGzY4PEac6hsK2O1/xExeE2IsqcdO2hVtbophmKWjjpBwpTuj3EC	89	2013-08-03 22:43:37.243409	2013-08-03 22:44:11.223101	171		0
14622	10pinaw022kniy93h9swpul3mz	$2a$07$ZtZ4YB2skgIfqgNZdpA8De4uixr3dY6nc/pLEaTKprpVV/EJQepG6	90	2013-08-03 22:43:37.267187	2013-08-03 22:44:12.604515	171		0
14623	1089owf2taic6ygrq3td4klmfh	$2a$07$6ZV/51B/zbHZEZWGfSrKgeo4XP3OOZMyIMN.MxDRrG4TJ.MxB84ra	91	2013-08-03 22:43:37.2904	2013-08-03 22:44:12.743486	171		0
14624	10b6zy1m594qy7os1c9bavqy9n	$2a$07$lpFCf8pe7Y1ScEHXQSXeIO4xoOdSQaUFcpO9HSL68gNVe0x.yj8EG	92	2013-08-03 22:43:37.313867	2013-08-03 22:44:12.880373	171		0
14625	10wz866ugu2lb314nx0y2pkjkr	$2a$07$wbpWK6SM4vy8uW.0r7yuxeY0V3RIhSbUtYoDVh828xXsn6qM0RhJ6	93	2013-08-03 22:43:37.337019	2013-08-03 22:44:13.006951	171		0
14626	10zbgseemf3to2ey5x7uabx6ti	$2a$07$GbrHtMtKl9O72mNLILoQGOg/NFqRNVYUJ8p285qaNe4dvvtoAOdCa	94	2013-08-03 22:43:37.358986	2013-08-03 22:44:13.143767	171		0
14627	10i0651if5yt79ndokqkxf9g3m	$2a$07$aQaZbnOCEtKNcW3nnQK4PeFYADn0TZDFW/1ptcOmS.VDDafpU83KO	95	2013-08-03 22:43:37.382082	2013-08-03 22:44:13.2669	171		0
14628	10gmwfhe99j0izxfeph5zae845	$2a$07$2lHEsPt.T9BccUwdybUNROOrPqcZOSQ138H0.DDfYBTh8vu1tdYs.	96	2013-08-03 22:43:37.405958	2013-08-03 22:44:13.394135	171		0
14629	10s4eyfpwopjp8698338xik1za	$2a$07$f1cgiv19eGM5sBMp995KKeCTWHToLvMh5VmnddMkBIrLiyvXsVvyS	97	2013-08-03 22:43:37.439718	2013-08-03 22:44:13.556063	171		0
14630	10qdls0yrdmh62fobvcky0xecg	$2a$07$F/EzxqIgZxWOGZW98Q0pDOZcIRL0PD7ncCCkUAbayqSMWJw0yGbQa	98	2013-08-03 22:43:37.480156	2013-08-03 22:44:13.705902	171		0
14631	104630r49kedpdxv7icg5e1yhi	$2a$07$NW6.wDDbxXVYXR/gkBae4Om2rrYNkfJE4K3pJjEb7p1Jn4QH/6d9.	99	2013-08-03 22:43:37.503504	2013-08-03 22:44:13.841868	171		0
14632	10nt4dll3t16sxrsgeqy6yb3ec	$2a$07$rNa1iYhRkrdAUEYP2qlqyOm27DX9.Q5FhTu3x1dMR5BVRGz//.uuS	100	2013-08-03 22:43:37.526489	2013-08-03 22:44:13.979437	171		0
14633	10sc5g874ah4syvj4nsj8muwop	$2a$07$D6NuXhCaAyu0NsrjQQmkQO6x5oAgqgkclSTZhZ7mAhkwwYmWymuAm	101	2013-08-03 22:43:37.5488	2013-08-03 22:44:14.098486	171		0
14634	10trl4o457mtpukaubpphkwgzo	$2a$07$a9Buq22fg.l8.KNV2.rRhOaV.7vKVUH5a6Itc55MtZWfLbo..smka	102	2013-08-03 22:43:37.572196	2013-08-03 22:44:14.240511	171		0
14635	10pno07svfkln28d0zieyc5qyq	$2a$07$PafuL2hRIWlMCtnf.zphZ.i1KrMnwMAsJwpQtCnml.R5rcFxqZxba	103	2013-08-03 22:43:37.59632	2013-08-03 22:44:14.594101	171		0
14636	107tllwf60vlsvjc2f0u9b1t34	$2a$07$t/b/fsNmDN.U8z8W5Ar42OK50KTkhL8fj6XhiN23TizPZ.21MQxH6	104	2013-08-03 22:43:37.620494	2013-08-03 22:44:14.882878	171		0
14637	10t4fvd7573fn8zip5m93cbnxg	$2a$07$tj/45DOgGhA3Bmwqu0P3ce/Ld5scNK7/deO/mEyQ5BgNIdCmkQ6F2	105	2013-08-03 22:43:37.644675	2013-08-03 22:44:15.024776	171		0
14638	106hzcxmm0yqv4lcwi9ncy8ync	$2a$07$RIsPmbR/frHWQF6xKfbZUO./qR8B1i/taA6M6iL..p0CurKO6yjDC	106	2013-08-03 22:43:37.668903	2013-08-03 22:44:15.149085	171		0
14639	10f6sbjj9omju4cggo2rx3cnfg	$2a$07$lmfgxg9qNRSk0cpVjuD/Bea//i/9zkbQ8hg4SqKxDwJMpbieSoDq6	107	2013-08-03 22:43:37.701356	2013-08-03 22:44:15.28862	171		0
14640	106ri2h52xeqml74ujqr1ri7sb	$2a$07$ESJk9nqhJMAtRybiB8ksGeNmk0w/peD7HJuEqaI//nm6Re2QLQY4K	108	2013-08-03 22:43:37.733568	2013-08-03 22:44:15.416556	171		0
14641	106ypl5pa4k4lvh9o4k60plgxp	$2a$07$D2hwbNSaofM9tHU1XMIn/uORym.70OUxl4SlMOs19OqzUnd6gArCu	109	2013-08-03 22:43:37.756661	2013-08-03 22:44:15.541203	171		0
14642	10woln7mpamunvmoeq6sih7n83	$2a$07$9r8OAO8NpXvVlaYrQVE2GO2.OgSQROngbMqCb/IWSXuuN6FTRaNPu	110	2013-08-03 22:43:37.779607	2013-08-03 22:44:15.683457	171		0
14643	10v4685yuh8xup27by6epv7c0m	$2a$07$HXefOAK9x1923..pd9L9ZOc54OLSNHhgZjIh6dgS32vuxk4MHZBZa	111	2013-08-03 22:43:37.802703	2013-08-03 22:44:15.828633	171		0
14644	10zlp1d2ewvkyo4dc5q6gdmrjm	$2a$07$Anl9wJZhZStPcGh3OBhJVOzKTLPCdLoslezyD908Ca1j463Y1BLtO	112	2013-08-03 22:43:37.826042	2013-08-03 22:44:15.97517	171		0
14645	10albc4ezqm4jl97qyvwtqc1ql	$2a$07$GAmEw0Iskjic9H93JcmhWOP7aed1rHmSkWIGyBd5y16ceUqgMapGy	113	2013-08-03 22:43:37.856686	2013-08-03 22:44:16.108605	171		0
14646	107ocpcdhc6bjvdk1pksoyb7w4	$2a$07$I.GXJh57J0tu8wF9qMizae/gsWjBXsq5LSzmLgSXLTjH8aXAdWSIW	114	2013-08-03 22:43:37.89086	2013-08-03 22:44:16.253422	171		0
14647	10p6jz0pd4orpbdn2kp9946dlp	$2a$07$pHql4pz4OQYtuMnvimPjOeQMIm.1qGgQzmB/utYPL3C8hJxXsB39.	115	2013-08-03 22:43:37.915617	2013-08-03 22:44:16.414246	171		0
14648	10fly5p9nfsjtqcgwbaoi3tomu	$2a$07$D6ipbUpnIQl/H1gMWjvXZOcw.6d6FHkpb3wtJ/LQQY6xX.qlOddJ6	116	2013-08-03 22:43:37.941742	2013-08-03 22:44:16.541957	171		0
14649	105agn1yccpf48500q9obb176h	$2a$07$Lfaqb4M1cW0FMMgms9Ds1.K4ApUb03iqUV78sLvSOioJxf0UNPkiS	117	2013-08-03 22:43:37.976126	2013-08-03 22:44:16.690141	171		0
14650	10kyrajsnj64ead2eflptm130u	$2a$07$PAv0n6OPX3/myXQIacZRSObwND4QlfbusOVQfvCP4n55wNCCeGm.m	118	2013-08-03 22:43:38.010349	2013-08-03 22:44:16.865043	171		0
14651	10f9rrug6yaz65xfo99bp6ijpf	$2a$07$nHqg7Xo2CzJ74cTrdqj7kunxy9aMXD.O.vKELCfuhjjyzFq93GTXS	119	2013-08-03 22:43:38.034156	2013-08-03 22:44:17.021106	171		0
14652	10m536206wytr36j0jqyelh61g	$2a$07$zwfgGxtQQ1knvP5GkG/lAOnt.NNwXqtogqLl2nUB0Jww1ruenZIQq	120	2013-08-03 22:43:38.071173	2013-08-03 22:44:17.129147	171		0
14653	10pj0yzaio0xg4fi8y24myxahu	$2a$07$0v6eNg9hC0AqPnqd4sOKn.Q5onM9IF5BxpfX7LV8Gb1eg08PL/5Lu	121	2013-08-03 22:43:38.10621	2013-08-03 22:44:17.333286	171		0
14654	10iqdtpawdqb51ylayx2y5jctp	$2a$07$12YDsHeasnZ073ujlY8DlePCr9vUaeq/WQ5TYD3xIiwLXFyUIzTjy	122	2013-08-03 22:43:38.128434	2013-08-03 22:44:17.524465	171		0
14655	10g971t8vhuh9tbcwu0owhdsoj	$2a$07$AXJPnDRQ4cXKNZ2Wqq05ruyS7O3IEUXIkUtqmILjm0Tf/SLg/e/ZC	123	2013-08-03 22:43:38.151839	2013-08-03 22:44:20.292113	171		0
14656	10mbumpbmpmc4m2livhkhgvky9	$2a$07$nvcGzALKnfQFSk6110nA5uaClALntvoWU6Qpj4WM9m5RR1H2pBvWC	124	2013-08-03 22:43:38.176814	2013-08-03 22:44:23.491076	171		0
14657	10rafgkt4b8gdz2k2zjmu4pjcq	$2a$07$EWpmgcR4EoaeorP2hKppRuCAo8Iv.Skdqq2EFdmnEbvS.PT1or6NS	125	2013-08-03 22:43:38.202395	2013-08-03 22:44:23.650956	171		0
14658	1097ng71k80zy5qv53bh57co54	$2a$07$JobUFCsAgCkkqihASC3Hce06sX9McaM5rJe.vBVUqKYe/Qq.9tYym	126	2013-08-03 22:43:38.232253	2013-08-03 22:44:23.812801	171		0
17053	107rs3sqkvuclc8ustxxsl7qez	$2a$07$YsusP6lRadNaJLjXuRSSquqOxunFPWneAAB8NQa/FW/yjHkMk/que	1	2013-08-04 00:24:48.084815	2013-08-04 00:24:51.308265	191		0
17054	10jxd8p2lz6o4v3znzdinibn1n	$2a$07$1PpsQj5DmyCT6rz3j7JJAOErOxU2bsy0RJ5imKjl33uaGFJxgUN0O	2	2013-08-04 00:24:48.109865	2013-08-04 00:24:51.440984	191		0
17055	10kdn5ie489vyigxjeec9mglsl	$2a$07$.cZXJ47UfqGpErVPCCgIL.O.3GDzfJ8VZsIoqPuoSe21zT1q7uLeq	3	2013-08-04 00:24:48.133303	2013-08-04 00:24:51.564638	191		0
17056	10x0v72ksdod26j13j19gakz24	$2a$07$gq1HFzFlKg2nW.62mCGieuz4XyBU/nSYDCtWtwWP9XEiu7mEqp4r2	4	2013-08-04 00:24:48.157131	2013-08-04 00:24:51.708334	191		0
17057	106dlc8ppop50i20316oywm77m	$2a$07$XpSi2B9gvCSONG5oA0JPe.bBMqo53k3k1clm9UkyZZ4nU7Dj41ecq	5	2013-08-04 00:24:48.181317	2013-08-04 00:24:51.841307	191		0
17058	107u7vyl17o0deizkurhb5h8kf	$2a$07$q7QTJr9oWewo.8n8BHneMOwCvBdAJb64vFkaKQIleKhnR6Ajixt.S	6	2013-08-04 00:24:48.206653	2013-08-04 00:24:51.982347	191		0
17059	108un9m5l8rk2cbf5eb31y8r6k	$2a$07$XPx6IoUAO3JZsDTj6EpdXOxGYlTwxMA9ekH7jQwObdgHCfp1T.7/a	7	2013-08-04 00:24:48.231397	2013-08-04 00:24:53.209467	191		0
17060	10b2xixw16lrhpbpatpxxq9fbt	$2a$07$x97bywTNxt0xJz8e75WY7uPGY1LytY2.VmVcWGemWLj07aApEG3gK	8	2013-08-04 00:24:48.25528	2013-08-04 00:24:54.172357	191		0
17061	10llazhy4ewmpcgxikrma1bdvn	$2a$07$J34MTZxUIFBAOmH9Xw7SGOjA/AtfAIV/fsGzC2wReaPduAtHvkmKG	9	2013-08-04 00:24:48.279891	2013-08-04 00:24:55.202635	191		0
17062	10wx7n2j5v2vrrx964a0b44b2x	$2a$07$YBLdHxcddmaIQMxe/1cYd.qNKzqkvw2rLm9lLpbVKnReOsYCbDZJG	10	2013-08-04 00:24:48.303953	2013-08-04 00:24:55.330832	191		0
17063	10ggtwll0b8u2spdjmsl3cmog1	$2a$07$TuYHo248Enylb89Wlv38n.gJRjSBfTDf8lLsb1g2g1EFKFS4oAzMi	11	2013-08-04 00:24:48.328061	2013-08-04 00:24:55.464013	191		0
17064	10xosm2gj4zflxg0n4yx5auwlr	$2a$07$aRp7Vun1/5h.ALxzdFYSReoAoeCWciwPHOdoolpY3RCg4RbbmoXdO	12	2013-08-04 00:24:48.350681	2013-08-04 00:24:55.575398	191		0
17065	10yujulwtc3onea621xmy58ecm	$2a$07$vZ3cRH1cjwGXafbZa3v/sOVXdoIkCRaQVHNgjO03bPHm/w4pVlJV.	13	2013-08-04 00:24:48.374316	2013-08-04 00:24:55.721348	191		0
17066	10knya49cylrmrd7ffoyenf02x	$2a$07$KsRnruR/wVsY9IePlQMMa.MT0QHxLHbT8MFOnGDi.h6w3Q2qsfN0m	14	2013-08-04 00:24:48.399192	2013-08-04 00:24:55.855661	191		0
17067	105lvl7s1lmjncm4qhtqngobkx	$2a$07$veo6dr42C8Rj9UKiXbaqueORPVeP9PhqLN0xUGcoJCOlCr7B.E50a	15	2013-08-04 00:24:48.423424	2013-08-04 00:24:55.979036	191		0
17068	10wn3ljnwq518g6dqhuneefvua	$2a$07$NgPpvTYeDZxqejJ3Mi2fdeNDyrhQBe9MzO0vQjj0R1uIBI3a.903.	16	2013-08-04 00:24:48.446792	2013-08-04 00:24:56.113906	191		0
17069	10jycgzasau4wnvkhght9jrg96	$2a$07$jmh3ztZJPP0HMvTrX4Y51eS0Z/HIO2Am3h/IAl7rKZUeNR1kjxJyq	17	2013-08-04 00:24:48.470688	2013-08-04 00:24:56.244647	191		0
17070	10pcds799q9lhbsmxe8dsgsv6f	$2a$07$TN0qg0cEtujMnEB.lMQdDeUM/d4f/s.52TNi4KoGHR5PfLv2MSIwa	18	2013-08-04 00:24:48.493649	2013-08-04 00:24:56.38698	191		0
17071	10px4ehoma6bboerty1d5ld7vs	$2a$07$74FtM/FmWm4w7lLhDOAWcejfFNhUINBnQoaFyOIDJWNwbDq/b6sae	19	2013-08-04 00:24:48.517513	2013-08-04 00:24:56.528236	191		0
17072	10onzpu4184axiosoxevkknwmg	$2a$07$KSMBx8wN1uA2/pWBCbU9aOdMRY7B1tzRM8/bNkdcYJ/T4XYwZt1Ea	20	2013-08-04 00:24:48.540066	2013-08-04 00:24:56.639849	191		0
17073	101uz79w5yh0ridv1eylowdwx0	$2a$07$z43AAUJMp/6K0KGdaCQ5kO7HdNZCOirbOTWWl9tBCH5m.Fk/s25mm	21	2013-08-04 00:24:48.563819	2013-08-04 00:24:56.763104	191		0
17074	10kaxqu7r485gykj6ue5nwkj6j	$2a$07$rH5XFCUExRpheoVvqWsik.SIrvPanNsIFcmcPAm0KUZp8ag0aiOJG	22	2013-08-04 00:24:48.587395	2013-08-04 00:24:56.884327	191		0
17075	102hut0dliobv6kjkq7rgd7c8l	$2a$07$JXuFs0dDUTh4Vtq7cBzYGOg3KTUpgW2SLREKBPTODVvR32/POFolW	23	2013-08-04 00:24:48.611556	2013-08-04 00:24:57.014496	191		0
17076	10lkswr0mhicsaucm2rie9scrd	$2a$07$RJiLfPRoXn0PmhlaGjAtnuutIoCBsfnLVKFGXuE3NCQAtLqnvGVw6	24	2013-08-04 00:24:48.635671	2013-08-04 00:24:57.118883	191		0
17077	10seln6suywwtueafe4g9pxtyc	$2a$07$uSz7ai1hKb7p5rE/SbyoLeH5Z6SQMep8VZBsSEE0vEY3AClVSV5Oy	25	2013-08-04 00:24:48.660104	2013-08-04 00:24:57.22701	191		0
17078	10rhmcz9r83xohf7jufkaeixmr	$2a$07$O07boKZNjYcm6Efz4TTWi.c568P43flUyYbg2w9B.uA1QqpP4Dbs2	26	2013-08-04 00:24:48.686354	2013-08-04 00:24:57.348108	191		0
17079	10nbhu1qrdl1ygewntf0bxauca	$2a$07$NmI0P7FRDjMobnzsqjU38OvFppzEVLW1YoAsYbL0ty.clnROcrSce	27	2013-08-04 00:24:48.716295	2013-08-04 00:24:57.485057	191		0
17080	109jupxw4ftipd1pc4m22ewvlq	$2a$07$qwXXFzf9R4nesOYJAjTmoOZge59IbrnB.gd6w96l06NfT9pJ5vvWC	28	2013-08-04 00:24:48.742341	2013-08-04 00:24:57.856091	191		0
17081	10uqglbmpj14k4plc4sofelxqe	$2a$07$LpfQJrrEol6hzOycJpRlKeuIPM/Vyekeo5I2N5a9RQBw/J7UuBN4W	29	2013-08-04 00:24:48.767809	2013-08-04 00:24:58.188082	191		0
17082	10x9hzeptm6jnonqszdf629nay	$2a$07$MTxq/qoJ87f.6q4ZPajV3eFGWqcLgegXB7/S/KabWXldDcKf4oc02	30	2013-08-04 00:24:48.791628	2013-08-04 00:24:58.462321	191		0
17083	104lyj7n9veed75zi4es2nf6tl	$2a$07$j6nq08kGkfrsZsspkjXNNOvVNUh1ZrbuQGId2.H6Hi7iGu.STLuEG	31	2013-08-04 00:24:48.816417	2013-08-04 00:24:58.553308	191		0
17084	10dvarid8imvh9eeqf94m8vl9x	$2a$07$RNjtkYKsfDi/LY80kdbeVOLY4OfRpHtCOVzM.NB88TbMV9P/B17Sa	32	2013-08-04 00:24:48.840144	2013-08-04 00:24:58.663021	191		0
17085	10xv2pj3ndk6a8f91dbaoeic5u	$2a$07$sBPdB/84GvsUYlk8E5MPk.D6UUJOPSjqBDJZchcRmSGHLf.ac0jl2	33	2013-08-04 00:24:48.863102	2013-08-04 00:24:58.778416	191		0
17086	10cpbez7lc8evy1b9jhs45hpdd	$2a$07$ECff.KVinAiW3lCOc3Jvu.vuNuMDfEWaNJ4aKeupyt4Nk9QHNCYQW	34	2013-08-04 00:24:48.885077	2013-08-04 00:24:58.936785	191		0
17087	100klzq2wfgh2z0k80nkp33eaw	$2a$07$/pK5Tet7OOhhHiADt2rvVOseo.DShlZzl8uibo2ybWtl7zxaINsUu	35	2013-08-04 00:24:48.90836	2013-08-04 00:24:59.08235	191		0
17088	10rl8n6k5r8lajzwhgksfwfcoa	$2a$07$nf/6vRxZkDXB2MAa3zRcBucXkd..yxzua/5e7cOZsGngfQdBmE8Re	36	2013-08-04 00:24:48.931969	2013-08-04 00:24:59.233821	191		0
17089	109s7kfgbbadvlk2yc07x1gw1x	$2a$07$SVNfkqKairpw/TbA.pht5.Kn1rxjpMzak.9RACGwpWFpn7eRgYMg.	37	2013-08-04 00:24:48.955226	2013-08-04 00:24:59.349526	191		0
17090	10fpk0vmutoidk69105zd5nzty	$2a$07$lWXVLMXdu8gkiCjZu9moROQ.N3n5J.HoeJg8RDmlfVM8/55v349Qe	38	2013-08-04 00:24:48.977586	2013-08-04 00:24:59.48122	191		0
17091	10gaxv1zu3cu4eiycurjkm0r71	$2a$07$t2RCZKvPdmCVeE2eT8c5le.RRSz6YAcTS7SPURtTcj4H.cGNSEhsC	39	2013-08-04 00:24:49.001226	2013-08-04 00:24:59.60747	191		0
17092	101mqbbimqzewcf8wxm83peyh8	$2a$07$ueORLCFqv6KUXC1QueLoK.0d5E0oKeN9SUP3m9WFxm3EMeLryq91m	40	2013-08-04 00:24:49.024297	2013-08-04 00:24:59.708377	191		0
17093	100xy8x83biyzic1h0bvpdiunr	$2a$07$Gc2RfPqzhZl9EfpklzbBye5lDNnub6YrIydCoFLV4JBsWIPtI21lW	41	2013-08-04 00:24:49.047243	2013-08-04 00:24:59.800499	191		0
17094	10uom10nwl5plfz4n1lk3ap963	$2a$07$kWCDOwQ2wB7Vqql/hYnZwey.FwvJDf6npdsmyV38TBnUvDOecUj9a	42	2013-08-04 00:24:49.070514	2013-08-04 00:24:59.896109	191		0
17095	10tkq6u7ora5yisnh9i9xg8vuv	$2a$07$X9UlHViBUNwou7icA77w..mo5or9Q4r7i9r1UxZEkUaH2dB6zTyK.	43	2013-08-04 00:24:49.09387	2013-08-04 00:25:02.396796	191		0
17096	10qeqjlelo5eucwc0f6xqip4j1	$2a$07$kBOFSTH0MWVEuTz0JAH89Oh8TmX/n4J9lQfVa267k3jjmiV5W86Km	44	2013-08-04 00:24:49.117085	2013-08-04 00:25:04.859213	191		0
17097	107f097gjj6d99qfgfghmn5hz6	$2a$07$B149nUaApFjOOqadFjEidetEPXDVjbg57R.HqRIG//N2utFMqZ1MG	45	2013-08-04 00:24:49.140705	2013-08-04 00:25:07.227496	191		0
17098	10po7kd3qustagieo12jrw222j	$2a$07$VYvAXN2bwoEb8vXhIFjHT.jCaZTVcNrJIN8uflUQHzmBtbWGFg4om	46	2013-08-04 00:24:49.164331	2013-08-04 00:25:07.335843	191		0
17099	105z261jgy4dzs4kfnogln954s	$2a$07$zMLkya19pA2mD7n3O/D1f.JMzU4P//9P4xPpIx9QJeeZtSWbqv07.	47	2013-08-04 00:24:49.187519	2013-08-04 00:25:07.440625	191		0
17100	10yv001c71p0vmzk7l0ew3hwuf	$2a$07$RHz6ttWtOBr3GIr56uSul.y.U.xGcQpuIHACzaHJPjbkF8X7WP5bW	48	2013-08-04 00:24:49.210777	2013-08-04 00:25:07.555542	191		0
17101	10cztsbxgsybm4p32r345k9nwu	$2a$07$gaf8hHLSn3CYfpaUZ0GLh.VPO18F76B/p68rAUzOQjuW4Lxk8PBdi	49	2013-08-04 00:24:49.234682	2013-08-04 00:25:07.678695	191		0
17102	10xnvbagkjoyrnrdr8a9ks3yum	$2a$07$/.0nJyQBlHqF7o625hOl5.90YcNKw.AWiyDhOvKxhtx3cirAIQnDy	50	2013-08-04 00:24:49.259523	2013-08-04 00:25:07.795181	191		0
17103	10adjfupxvjj9oeimlg9wdpp4z	$2a$07$rTfyZqFHcjFFPSi.EaIjMuEwNE1pAKTgFVQwpUwHtQy3X.E4p8ggu	51	2013-08-04 00:24:49.284796	2013-08-04 00:25:07.903073	191		0
17104	10oxjx5xue0qww8aygohhtsqjg	$2a$07$NZz13xptFcEbHAY87uG4G.WcUcSwQ4z5jJJxAR3FDUlEiDjipss3i	52	2013-08-04 00:24:49.308572	2013-08-04 00:25:08.220807	191		0
17105	10du44v9zdxft3k9vz0runjwbm	$2a$07$MPvL7Ln/jzvd2MIP7c7S7.bhVl0dP8PCgSrwf7vvSM6HWxDzE0vV.	53	2013-08-04 00:24:49.332017	2013-08-04 00:25:08.587874	191		0
17106	10jrmthsl9rg2h9ou6fu4c8ptz	$2a$07$so2ghYnrLVJioFHaaEF81e2uyVDlbGhe4ZnZDdcv1Hu/WcRFhA8Ga	54	2013-08-04 00:24:49.357864	2013-08-04 00:25:09.003234	191		0
17107	10oulbn6d2b1rj2rna5ckzhsr0	$2a$07$MvKSMjZX7v/Hs0xEzOI0YOS./IhW3QfvB2/P1SzhYPyz9PU.tJMVO	55	2013-08-04 00:24:49.382656	2013-08-04 00:25:09.129966	191		0
17108	10n12mqlmdcbpijz69k3z536bb	$2a$07$Uhts4fLJNbZ.WHlyxFzaZudF8Dyszie7wTFbE..LO9dXDQ/1/G.1O	56	2013-08-04 00:24:49.407289	2013-08-04 00:25:09.255036	191		0
17109	1015k5hunjfnxgapvv9g1rddam	$2a$07$pUb3XQE1ykoERgV0MKZoGuOZhm2N3b57C5O2XgzQkYHiD9iJ2AHLi	57	2013-08-04 00:24:49.432953	2013-08-04 00:25:09.376412	191		0
17110	10dqk7j2vm8mk9tgojdi60hhql	$2a$07$jPuPRO1R8r1rBwt1YZdO8.c97KsICXKxCToKp.zhPki5/EnsQecbi	58	2013-08-04 00:24:49.458827	2013-08-04 00:25:09.713947	191		0
17111	104rxk4nytf53moe95vaf6ncb7	$2a$07$L3BFSY1KFDuBICJwqJDqDuP19I72TOFgBGhwvr3/DlVrdUF61IFNK	59	2013-08-04 00:24:49.482991	2013-08-04 00:25:09.960063	191		0
17112	10xn9iajc8mby0jh0g33cf1czs	$2a$07$MjiSF5aOY/tfVMxtIfxPaOgs6zw9gIP/DH6cHzZzH5NBmZs0Ywgni	60	2013-08-04 00:24:49.50601	2013-08-04 00:25:10.161708	191		0
17113	109mv2d93cmbl2ph3jd9bhkb50	$2a$07$qIQF/3NppZRiLsmVDsmcL.pTN5mOeK3p2fT6WPMIkxrNXergHvzpC	61	2013-08-04 00:24:49.529802	2013-08-04 00:25:12.762801	191		0
17114	10f9r3ug5h7j6wh7i4r2yjwoj4	$2a$07$uAjYNDnkSJurwg9k/7y6JuRiux05pvAggBYYvWABooPBsm0FgVOXK	62	2013-08-04 00:24:49.5537	2013-08-04 00:25:16.009166	191		0
17115	10ny1da0nee9q4azw5w2on7noq	$2a$07$.a9JDzcD454filUu6nk0p.EZxG/hHXLu0CR9mbLdu4sYeM6.R9O.K	63	2013-08-04 00:24:49.577801	2013-08-04 00:25:19.593356	191		0
17116	10ec02c7a0ynu58cqeqf5zo8uw	$2a$07$da9To7UoUFO9tLM1qUPYCe5.3NRLN2W5L/d/vgx49TY5ku3VaJdE6	64	2013-08-04 00:24:49.600464	2013-08-04 00:25:19.717208	191		0
17117	10fpcw3jxynaox1a1ys11cye69	$2a$07$L2pVi9ZG9fl5kLR9VmDEqeO0x01QFypYWqv8BydqqlPiYG7x98FtG	65	2013-08-04 00:24:49.624407	2013-08-04 00:25:19.852925	191		0
17118	10c0tmjx78gjo2bvgj96altwsn	$2a$07$xUHYBY8sMCbmoZxp8twskOZS4Rq0loJhdDABF3fMmxuLwZxtjCsFm	66	2013-08-04 00:24:49.647896	2013-08-04 00:25:20.906439	191		0
17119	10n8e8gm503xg9fq88f4qxzn8z	$2a$07$JmSf9.fDAKCLwvRQtzrYC.Rf5hDcIIJnMEobgkgq3wPABKV.6cEG6	67	2013-08-04 00:24:49.671516	2013-08-04 00:25:21.013121	191		0
17120	10c7kuil2bgxk5vr7cvmw0p5hn	$2a$07$PZ.KvxJ9DVXVZBPPan5YHeY.C6hBX26yrJeMPEE8leZZ/2eIAu2v6	68	2013-08-04 00:24:49.694872	2013-08-04 00:25:21.133641	191		0
17121	10vz7znj8mhce3r2mvme0f5hl5	$2a$07$Kt/QB7rx6gECsjjT80BjiemelsZevCf/Jf.KK.5FKMEgXXr316nsK	69	2013-08-04 00:24:49.718112	2013-08-04 00:25:21.241483	191		0
17122	10n4st2uihp88wfbegg0irxsi3	$2a$07$BXbEj.Wmq12dgulKWO2fOOkz2aJEmIeouQ.Vy8Y2bNNCfyrIq/6ce	70	2013-08-04 00:24:49.741609	2013-08-04 00:25:21.344522	191		0
17123	10x7k4wacjcgzsfz8iukex2lkr	$2a$07$diWKPR7dKXvlLc.zQpTaX.w5gctvU0yYvioxk/RK.DDScmssHxIDO	71	2013-08-04 00:24:49.766132	2013-08-04 00:25:21.436211	191		0
17124	10fgt5n6w075qma6ft8k2w6923	$2a$07$MkAnwa78kFrGQhISXRJf9eddVt5m7sYIHeU27Q64jP1JJj.9UxjeG	72	2013-08-04 00:24:49.789792	2013-08-04 00:25:21.531995	191		0
17125	10vpy40ww4n3w3rlmct2oh0vhn	$2a$07$oJkL31q8uFAJHvUmfa9QmONYHSKATn5PMArYxjH19K6N43vnbYkrm	73	2013-08-04 00:24:49.812905	2013-08-04 00:25:21.890999	191		0
17126	10cunqcymerm0z2wkpd75k7t9b	$2a$07$.upmWCBBCuynP8mmb/flkuUh635/h74KatpFQ2OP6CAOG7Y.bV3Pq	74	2013-08-04 00:24:49.837661	2013-08-04 00:25:22.012506	191		0
17127	10xm96hwkh6u6g6w91x7ehgunj	$2a$07$jG4AEZJlXmjZcmpz25u6auOG9hepDHVVLyX2F5OJC.A0mvuVniMd6	75	2013-08-04 00:24:49.866111	2013-08-04 00:25:22.132724	191		0
17128	10nrbjobo4faykfv8y0uwa1ssb	$2a$07$tGccjSYZZz7.sGNgWx/nbeLPbCb2BMN4WgFoC3X03FmTGB76WBGlO	76	2013-08-04 00:24:49.890327	2013-08-04 00:25:22.30476	191		0
17129	10ejgb4flfq6t0d7ezdm51zt0c	$2a$07$rwXonzbjfge4zuhtNm0tLeABY6Y0IWeqD6GneA.QiWhmYP0jlw402	77	2013-08-04 00:24:49.914314	2013-08-04 00:25:22.436732	191		0
17130	10g3d8ez5vji14uefcnfljk7jn	$2a$07$KgyQji7Ys5jrrVJsohsxeOZyKTfIFn3uEEbNFgR.O9Am.KJY1bTB.	78	2013-08-04 00:24:49.938235	2013-08-04 00:25:25.280138	191		0
17131	10hombcy7882a19teipt08y3v9	$2a$07$iG3ku4Brn2k2qrEZqCsR3OxwvjjC2kzf3w5iwZr/TYRSwa0FxM8BS	79	2013-08-04 00:24:49.961942	2013-08-04 00:25:25.422509	191		0
17132	10rgbhefu5pff3okdq53y0qzeh	$2a$07$g7Ecb6J7GSwGqzrci9k0HeoKUyX842NoZwViHEI4xCGI40UvmGt1O	80	2013-08-04 00:24:49.986005	2013-08-04 00:25:25.555096	191		0
17133	108fpe35a99mo67knfgn9tl4az	$2a$07$zpvqRGN4Ax6lgznRY.CoYej7Q0S8uQuth9z/CeIj5Ugz2/PhqAvtS	81	2013-08-04 00:24:50.009495	2013-08-04 00:25:25.887041	191		0
17134	106ir0o2yxbjgetskqawcmcift	$2a$07$/rx0VGV4kinUtcMPrehXN.V6Dax0.HWOGFv6LQrOdA8/Y5eJFUuLS	82	2013-08-04 00:24:50.033287	2013-08-04 00:25:26.007875	191		0
17135	1002h139v7025rec6vhzk449te	$2a$07$AcDaGWQ0dy1W/F6FADaM3e1pNaBaXQbotKsehZAmmRadakXaPvqte	83	2013-08-04 00:24:50.057318	2013-08-04 00:25:26.144219	191		0
17136	109t3lc2lbk0chn51xsn0hu3ze	$2a$07$3u/VYzsMF0/04rX/fwb7F.MbxaFI8jDxO3GTDt829nautzZGhvwpG	84	2013-08-04 00:24:50.081325	2013-08-04 00:25:28.712659	191		0
17137	10vm6gtt4jwpo9kl6bws18fuxe	$2a$07$NypuDN9Skec0azQJLyssSO0EDpG8aVnqeTB8BzaCD/IaBgqbSy.rS	85	2013-08-04 00:24:50.10412	2013-08-04 00:25:28.842667	191		0
17138	10r94gyc7e0ltep3hi6a8f0hcd	$2a$07$tCINF2uQ1FDEjLuU7I7nZeZcer8UrRlrzY5qxq3iJcTq4EwPuKHw.	86	2013-08-04 00:24:50.12757	2013-08-04 00:25:28.966491	191		0
17139	10fx2wcl4udedfh34zacdvbnzy	$2a$07$qplu679WLShVyz.Ggi1tB.GsEnABTIr4Ls5PMmgFGxpH/thQ3vsIO	87	2013-08-04 00:24:50.150369	2013-08-04 00:25:29.110244	191		0
17140	109a2oyhxjorgml2s0garvctc5	$2a$07$xFx.7KzLdD.IKcJb0bPs.OhQr9g5peqkKDg8RA.FjsfXWpvtCFVGW	88	2013-08-04 00:24:50.172997	2013-08-04 00:25:29.252655	191		0
17141	100iuvpmwqojy8mxhooq8c1xm2	$2a$07$m36OKusfXRMZj.jvUlrrS.4eVndpJuFqjZV3zKgyMVRBqaSoHyAqC	89	2013-08-04 00:24:50.196836	2013-08-04 00:25:30.667777	191		0
17142	10m7z4vus035z5ydamhis11hlg	$2a$07$EpatP5.SWZbsnINmLBOxjeiq02362qSOzdmmzlbPjQxpMkA.8ysz.	90	2013-08-04 00:24:50.220807	2013-08-04 00:25:31.599088	191		0
17143	10we067fpwwut4uq3t5jab6wk1	$2a$07$ula50khuotKTHr6da7EeZe91ICFNpoQPlIsKnF2y8mvHAOpM1.57G	91	2013-08-04 00:24:50.26274	2013-08-04 00:25:31.70085	191		0
17144	106da8ka4xnvrxuxwt0frs4foi	$2a$07$FMSUxInUTq.HAbWE.6BN4.WFJjqTuVhoJUjJWy127RAwuFTA.V.PG	92	2013-08-04 00:24:50.28747	2013-08-04 00:25:31.798255	191		0
17145	10vtvkth8n4x1yumd1kvkq1kmq	$2a$07$ng0fAGQKTyQDPV0MI6tWGezJ0YrXS8WlLH3MpHvYH4/EhrYchiob6	93	2013-08-04 00:24:50.312221	2013-08-04 00:25:31.909678	191		0
17146	10pxz0do02btvwlwffb48bpa9b	$2a$07$m93H6ThQxo2BbPANJjm/r.A3ouGmmE06hV8qMgcGC6l.F24sIlMS6	94	2013-08-04 00:24:50.335295	2013-08-04 00:25:32.018015	191		0
17147	104jtm3jingmh1b4ahqdhgj47i	$2a$07$1z3/p5lmtTju5tjzWSdcV.ts08jiJk9174aAPpgvE9qY.Dwi7OrHS	95	2013-08-04 00:24:50.35828	2013-08-04 00:25:32.227281	191		0
17148	108ehijcefq6lb2ozii2l8xc0v	$2a$07$my64OhJCU/.w3VxMKyNFOu3/xSmivrmnHZQOCLyuYAcCWFW0lamZ.	96	2013-08-04 00:24:50.380277	2013-08-04 00:25:32.354076	191		0
17149	10doalyicfkl4sfq2pbjb43a7n	$2a$07$PZ1.nKDSXCQJOT1fO8yZkO4dU7HGbgk11LYhg7JsEmX26UdcS2KHW	97	2013-08-04 00:24:50.404318	2013-08-04 00:25:32.496471	191		0
17150	10mfpklhf2m8f266heq663y3df	$2a$07$Qgy.gL3azRLie4M7dObqhegH7lz1DQaFnkyAskD6UvEF.wGFP12ca	98	2013-08-04 00:24:50.432924	2013-08-04 00:25:32.636756	191		0
17151	108t8k91bbtwflw9z89ysm606e	$2a$07$N9T0.4E3Ta7nhOgR.zBsduJ9jM.2eLorzujKuxIedB4oQXJB9JtDG	99	2013-08-04 00:24:50.457327	2013-08-04 00:25:32.736671	191		0
17152	10303v53eqvn12qay4dh5235lb	$2a$07$ZsflJkx6v/FOnS1eshcUe.ytDF.2zPlRdZA0e277IPfRtPqVGQq9G	100	2013-08-04 00:24:50.482409	2013-08-04 00:25:32.885882	191		0
17153	103jsfnk5tye68gioet0f2jy8z	$2a$07$D5iWSx4CfrIqTKRxcKM2zOZq7FyO4IBveIybsQ8XWH5sOBHtEMeq.	101	2013-08-04 00:24:50.509635	2013-08-04 00:25:33.267799	191		0
17154	10ciuj1yj8l7zgjplolm39ld98	$2a$07$uD8Wdbk8Zy3bRDZhosUBtes1hM.p3RV8tdg8XUGPOroKfJa3nMHwe	102	2013-08-04 00:24:50.539201	2013-08-04 00:25:33.652513	191		0
17155	10smtcem60u9wohf99last870v	$2a$07$cEiZGVhpE4xue7B/WrBcDeTb/YuPQ8u.Nr3m3HPbD630Z/o7i7k9y	103	2013-08-04 00:24:50.563995	2013-08-04 00:25:34.08885	191		0
17156	103j68tx4koznptsagb9shc5f9	$2a$07$Nkv8kXqSTf/s5KNEgNvJbu7budNKR6EdutH/DijDKf.JKMIIrszfm	104	2013-08-04 00:24:50.599678	2013-08-04 00:25:34.509782	191		0
17157	107s9n55ehpc0xbnc9hyh8guyz	$2a$07$baCM6D1B5oCL2tbdij7YA.ujS3r2wqdCFi/OlFBDnTV4GaACMQ3KS	105	2013-08-04 00:24:50.625346	2013-08-04 00:25:34.639179	191		0
17158	10zhg17uthw8yvbkv51v92mqu7	$2a$07$5qS/ZSZGR6D0B3QO5s27s.XZwJC01G9fuxFpnwjev5wxLg32LY7C6	106	2013-08-04 00:24:50.658054	2013-08-04 00:25:34.750776	191		0
17159	10bpsoroz6aipx9qwny40y5lap	$2a$07$28CDqNvDk0L0T.6yzQIB9.JighZm997LR9zNIp97TZeURkm8opAf.	107	2013-08-04 00:24:50.692096	2013-08-04 00:25:34.885603	191		0
17160	10cx5ogwrug24uds86jurg05hp	$2a$07$1QV50x50bgUQDRwXo6bbDOwyk42BDhIQ.xckjrYSvfxSmB7uZIlUS	108	2013-08-04 00:24:50.714525	2013-08-04 00:25:35.0458	191		0
17161	105poq6c19nl5dajt9lnlh9bbm	$2a$07$mrJcncKP6A7EpbrPclDR1Oz3mf85flmle2kSnzFHTZNx1JZSBom6a	109	2013-08-04 00:24:50.73719	2013-08-04 00:25:35.299404	191		0
17162	10m3t5h9oxqlocuehjzqe1l0dy	$2a$07$5EDySqTHAq9GRAqY4WJOiu.mPCO2P4.ZaktQ4nEMEvruFpgPC1RLy	110	2013-08-04 00:24:50.760985	2013-08-04 00:25:35.451508	191		0
17163	10uqebbtdrmjpb6dqm6jl3gq9a	$2a$07$3seyl/PzwbzYzG3LxFVFpuVsYL3LFZrmqTJJ1q4ORCp1XJCLbS3uC	111	2013-08-04 00:24:50.786023	2013-08-04 00:25:35.57118	191		0
17164	10z1r5820f1y4pji5534hxklcz	$2a$07$LXzlgZxlygq4F6nVd3sQE.aUOqITeE2mopsOPfzlB3EW1VnV9KwAm	112	2013-08-04 00:24:50.809034	2013-08-04 00:25:35.672999	191		0
17165	10etam6ki8t2p6cx9ednr68sw3	$2a$07$Cn42NyCiqCQpFzvn/At8iu9S8cODursoq3N/EEWx9UV2gYAqGIyOC	113	2013-08-04 00:24:50.831742	2013-08-04 00:25:38.615053	191		0
17166	10i4lupm3ry22rsrcjzk9co77l	$2a$07$olLELwcoKp6vYXf.rEJXi.3197OvC7dR7quACIY6Rv/4FWkjaDUNa	114	2013-08-04 00:24:50.864692	2013-08-04 00:25:41.389676	191		0
17167	10e1vubhutfk07efrmt75e8qta	$2a$07$oKVYSoQB/5hUjfirrLvvEe4nn/.a5rQqPUACHWmsj.sFs5Y9NMQp6	115	2013-08-04 00:24:50.90047	2013-08-04 00:25:41.503996	191		0
17168	10qx5uzsf1yl2suqtyn8xrvfry	$2a$07$caV1R7D3M5fEYfei8JRoguF8u6Gu2uVc0rbWDX0wmdkNy7NSbli8e	116	2013-08-04 00:24:50.926038	2013-08-04 00:25:41.633879	191		0
17169	10gw16i1y4is007mur8lep5x87	$2a$07$rygS07nRbBXhf7wuldg3SuIyfqEZOMpneuyH7A7d/WONdUNoIcC2O	117	2013-08-04 00:24:50.949463	2013-08-04 00:25:41.77744	191		0
17170	10btgkldm8pt93gac7svp4zxja	$2a$07$u/XZcbITiiE8fKgBB9AtYOgE.HfOtwFBm7c2d6neB6PiviYcTvED2	118	2013-08-04 00:24:50.973899	2013-08-04 00:25:41.929151	191		0
17171	103c313jhxf2crwggpua6axs2e	$2a$07$p8flCsHQOqWuS1u/Beuza.CJj0KjUqrClwkZQBy7URSdX7ZnlpVAS	119	2013-08-04 00:24:51.009826	2013-08-04 00:25:42.070843	191		0
17172	10lgq3nuu66vgv4wfb3atf057c	$2a$07$G3pmNCLzwh1z.MNbK3gRJeLcvfAPeM01yQc9XSzAAWF/cNsDEOKca	120	2013-08-04 00:24:51.034502	2013-08-04 00:25:42.215952	191		0
17173	10q23oiwns6unabnz2dr3j5kif	$2a$07$Fk1/sLBmFXTyAJ61XHUwd.N.fPLi.R9IbXYhYjZI1scVrgvPVVpzq	121	2013-08-04 00:24:51.057646	2013-08-04 00:25:42.355148	191		0
17174	1028gvc8owaeoxczx4tzkw579k	$2a$07$RgaOpm8B7HOW2TG/ZFMlv.9jvD4iYLtTMYDRrHBCLjhef9K8snYxi	122	2013-08-04 00:24:51.080538	2013-08-04 00:25:42.473593	191		0
17175	10vjlw19gzpoh7y1rnhx0q95t3	$2a$07$w5FbURbhMOQQ/RiC2yllYOBsj14jbGj.8kyzWgL8i1OmIXeOIPwbS	123	2013-08-04 00:24:51.103849	2013-08-04 00:25:45.290569	191		0
17176	1021n1orzehnouaj8p9860daja	$2a$07$GviOehex.iI3zBBCyeBpH.aqXh9p4xe4SGvliqL6DaTHVVVmMxvsq	124	2013-08-04 00:24:51.127614	2013-08-04 00:25:48.597731	191		0
17177	10zc9sr8iyop4k0zc59aiersq7	$2a$07$r5LuAROPT0nyYp2L2VHwKuLClmgI1v0kGi3f7hj.kXFTnjeGu7Ee.	125	2013-08-04 00:24:51.150838	2013-08-04 00:25:48.977736	191		0
17178	10ey2rqn28c8tf34ql34lmvwix	$2a$07$PQyuXFGcCrTSu5.LHCj3MOKkqFhs0BKCAmK9BqxyNMiOZNfOPOFHG	126	2013-08-04 00:24:51.174885	2013-08-04 00:25:49.354033	191		0
14659	10vtqz9yi8eh57ak6ccnvkzy12	$2a$07$M/uWALqNo8OAwp.KouezOe.c/8ua.Waixln8.ymWxe7Nt5pFx7h2O	1	2013-08-03 22:48:35.072322	2013-08-03 22:48:38.317732	172		0
14660	10shfwx0e8lojumkw6waqyz6hg	$2a$07$SE3TaQOhk1u7V3QcgAyYr.NVYJxo34wDBhdrvfIQRZM23k2w0RSzW	2	2013-08-03 22:48:35.096899	2013-08-03 22:48:38.478171	172		0
14661	10wnvz9zdbr0x1j3ndz25lac1q	$2a$07$eEPfINtT1wghSuri7TdRG.rA4F5b.13WMMiVVn9hKVry8WMsks5OS	3	2013-08-03 22:48:35.122849	2013-08-03 22:48:38.629653	172		0
14662	103qy6urek8z6611h7kjcy2xcx	$2a$07$cB2w6y/hAp7diw3E4Wh0cOjJ/wiBbBPA9STQiWUj.fjRNbfkrxdje	4	2013-08-03 22:48:35.14798	2013-08-03 22:48:38.772713	172		0
14663	10z6q3y9olkmian5lj68jvm63f	$2a$07$mAGx7HSNgk6LZuUxHq/3q.uYhliRBskPwR/GY1JUuvpqjLMB3bimS	5	2013-08-03 22:48:35.17154	2013-08-03 22:48:38.907202	172		0
14664	100uxpuys5we4tdyu6r5knm83t	$2a$07$N1Ac5H7lcyMZjHENm3WdiuAiQbzdIC2uYnIPdDBbTFpcSux6iTHti	6	2013-08-03 22:48:35.194907	2013-08-03 22:48:39.041812	172		0
14665	10de1yw92kn8ezt76ppa0jsrnv	$2a$07$6.un.QvADYL2XLnZMyaMh.ePbNM3eNeIXEjgydxraEJaUrzvhyQF2	7	2013-08-03 22:48:35.218849	2013-08-03 22:48:40.424104	172		0
14666	10x3xrefbpm5bdv6spdlku34hw	$2a$07$SsSyqILNfPXIg.c6nCpgp.6c4c/Mtl4IaVY49LZ9t9bMbj9BdLOai	8	2013-08-03 22:48:35.241104	2013-08-03 22:48:41.845738	172		0
14667	10oofeu1213lrjt2hwj5w9fea0	$2a$07$0RWCyWejG7.nZWFRKme4eO7rHySYacFwQyp7hdIWR2Mv6ImVOXGji	9	2013-08-03 22:48:35.264554	2013-08-03 22:48:43.29196	172		0
14668	103o5f8gv3utwu53ws14i3y1u1	$2a$07$DcOT5qjzyqz27C7/HjAnoOD0QRVHLIMApb.KYwqTMLnTkBRY2/BEy	10	2013-08-03 22:48:35.288452	2013-08-03 22:48:43.41763	172		0
14669	10nrs2g3v1z4dx6kvle03zisix	$2a$07$cskUb.ar0DDk3CEwOeuDyeoRGsTP5mY7muqkHtw3A25K4yV5UzpEm	11	2013-08-03 22:48:35.311841	2013-08-03 22:48:43.528293	172		0
14670	10tnyhnolem03vjp19bul2dxpj	$2a$07$ZcToJHzEiNuKD4A8IYO35Oh5c9oLoZYCtItQsinTVvS5oxvCEXD22	12	2013-08-03 22:48:35.334727	2013-08-03 22:48:43.639225	172		0
14671	10h5fmi0hn5yablx8d9y525xyx	$2a$07$M7LnxyHHe.4Ndr5zxWwTru3etprHf1QUnPvfKsKRseWIWYB4ZfFM.	13	2013-08-03 22:48:35.357131	2013-08-03 22:48:43.774427	172		0
14672	10o8k0l1azp23tcxj7zffssztv	$2a$07$WO.D3GA8Yi2ek5F4bS5cbOb75RuOTG3ZM9U6C18xM/XYYTJmZbBS6	14	2013-08-03 22:48:35.380652	2013-08-03 22:48:43.9061	172		0
14673	10z52gh6moazb5mbdj5f78xxqh	$2a$07$dY2lKC.vOQKPbCVGv7DWMukhe0qE0PsoMb8yZAEOF4nASSMo3xSp2	15	2013-08-03 22:48:35.404282	2013-08-03 22:48:44.040897	172		0
14674	107o52sjqj8162on5tmnidgxxg	$2a$07$wUjWE2tiBbeADTHIrp7nm.3aKVKte14JA8o6eRJuchCtKEsqJa72K	16	2013-08-03 22:48:35.426204	2013-08-03 22:48:44.197312	172		0
14675	10bfg9y0eu7itgro3bmg0kv9li	$2a$07$CIA2bzzQFrdaEUx05NI4Nux.w/zDuCtKkWabHz1iXPmscq4qlc1Jy	17	2013-08-03 22:48:35.450235	2013-08-03 22:48:44.31877	172		0
14676	10vb9v06q47s8d57viql2npvsz	$2a$07$INe1r7PDQq7GKry8vyHqNeptL14bDWZbhPd3hoYqgcnfrN4up/CbS	18	2013-08-03 22:48:35.473299	2013-08-03 22:48:44.461627	172		0
14677	10gsg68cb7r1l6o2bti68czek2	$2a$07$vd3iYJrKvwts.GdWu2Fyte31wisN1Pb1o6vjmSc5g5NXY5Gi8vHMi	19	2013-08-03 22:48:35.494959	2013-08-03 22:48:44.605358	172		0
14678	109l2pin22bqgvbmju9i2qs9my	$2a$07$qcjAkTdFUeKfezJhmPHr2./4rpkSa21bVG468Qt3jBXBZl71xkcq.	20	2013-08-03 22:48:35.518099	2013-08-03 22:48:44.731172	172		0
14679	10t6tlebwno58zoypjzktjfhwc	$2a$07$MjS.qIgXaYsNm7Y95MZ07eAJ/0eDa.J0a99Z6RWs0rTT4uNjDParq	21	2013-08-03 22:48:35.541022	2013-08-03 22:48:44.870994	172		0
14680	10zo1ft1hperrlxntlh7pohuuy	$2a$07$ZyvAmicyAP4Jtnas/8oS6umoNJucTzRXxOUDj5wOsmzZW4hsDrzja	22	2013-08-03 22:48:35.563561	2013-08-03 22:48:44.973613	172		0
14681	10s77xbl26ykm0g04k0hhlgwtc	$2a$07$aUJlTHatx94oeMlnpgaHieRJ0DRX03EyQZZT98tJXvSXZ2TirUto.	23	2013-08-03 22:48:35.587049	2013-08-03 22:48:45.096184	172		0
14682	10x9ay12t6lk8b199b3l3v67o5	$2a$07$H5dfXya0rSjrZlXbNy5cM.xRvYfkAI.GEjUD0jBciu0r8unLnGwle	24	2013-08-03 22:48:35.609135	2013-08-03 22:48:45.229682	172		0
14683	10xr9fpd7kic7iwvpb20ca9cs9	$2a$07$F8F0IB/BTCCDp5MXd1Ok9.M.5SVQbM.oeJCdKEVCr5MA4fJXBw4Ry	25	2013-08-03 22:48:35.63296	2013-08-03 22:48:45.346393	172		0
14684	10uyvfyp83d5bstc8kyzdanbc5	$2a$07$1d4j5IOvpFi8NOpLjyW.feNrySDr8GDvd0lzSjQ.InSgBKpMZleQW	26	2013-08-03 22:48:35.655007	2013-08-03 22:48:45.475421	172		0
14685	10ed57rlt81egh9w3c666sbno7	$2a$07$hfG48EneBY.2IurZsVbBb.m9cxzT5cYIZZHgKxjs5x.D8yuUZiIUq	27	2013-08-03 22:48:35.678793	2013-08-03 22:48:45.609511	172		0
14686	10akn7qam9v83eke47mr670es2	$2a$07$YCYJriY1biC3i07kErW9S.ihmsQB5pE28zqEmvAK3qvglQbZvttTC	28	2013-08-03 22:48:35.702902	2013-08-03 22:48:45.982807	172		0
14687	10j8iti45ifplvu8mxkzw8rgbc	$2a$07$jwM3a0LG4qCJGeHMK56wI.zASBJ04xExTXAsc9Agoy4uvktBCaLae	29	2013-08-03 22:48:35.726198	2013-08-03 22:48:46.436021	172		0
14688	10oyce0at80pzdbjt0ja2gd3wu	$2a$07$9XFEHN3eyb//OG4v3OisL.mjHqlviFI0nVPb/Or6RsXoMAZLrm2Fq	30	2013-08-03 22:48:35.752725	2013-08-03 22:48:46.838112	172		0
14689	10qz1ggfvuyen0bmx0euvh144d	$2a$07$ZDpUQ6iwNIaMdI7gpkmrYemmI9MffsO2/RsPWFDq2KtweYx9a/eZa	31	2013-08-03 22:48:35.777773	2013-08-03 22:48:46.956798	172		0
14690	107dxsx1m4okc58rv1mckedbz7	$2a$07$a.Sw3ph01pPXOka05B1DuOL27RYJfH9BhFirjWVwz3T2qpakFUDkG	32	2013-08-03 22:48:35.802213	2013-08-03 22:48:47.065671	172		0
14691	10imcvzt4yrfuyyrak0lrf202b	$2a$07$qCl3VrNYCUvV9Z7UE8gVGOKmlmK.qYiq9ZiMROpkv8J4J/vZJVtd.	33	2013-08-03 22:48:35.826373	2013-08-03 22:48:47.203178	172		0
14692	109a3nnpujww25yf04mo1p80ji	$2a$07$mIJJ8RGwqsA6Y40OjdYp1ulg3XsHEyZIpoT8mYqGu79ezKuQ6clMq	34	2013-08-03 22:48:35.849257	2013-08-03 22:48:47.345831	172		0
14693	10q8fuv0b5jsqh3n16nnu5em1m	$2a$07$UX0wECKFTDpT3/dzvQQQj.DrB/mfOL4uOZR2PkjY.C3MRAuVQBTxC	35	2013-08-03 22:48:35.873216	2013-08-03 22:48:47.49908	172		0
14694	10ilizkdxu50opcn4gz940ie4y	$2a$07$yMb8pO5m/C3L5m9KlnEf8uhzwA3GF4LFxczvsUJkcm9XW.dEw8Ev.	36	2013-08-03 22:48:35.896521	2013-08-03 22:48:47.623711	172		0
14695	109sp5zqdn4zp85lvd7hjxmx60	$2a$07$s5EOE/FnFUPksPB2iXx7GOgSugbvMj6KO29heXqBlpieuM/eZ95mm	37	2013-08-03 22:48:35.920679	2013-08-03 22:48:47.724394	172		0
14696	10g2mijgr9ftwwwifjw6ghfvph	$2a$07$XfsBX8wS6CeeBLJx3rVdH.VAnK1X0C.TkstPBMexT.AxQmtKNEyya	38	2013-08-03 22:48:35.944353	2013-08-03 22:48:47.829399	172		0
14697	10mz2th1gw57m6zye3x5qrymzp	$2a$07$o5NjRiwbpjDO7.O0S4Y0W.qlSsSgU.t30z8VNcApk4oOg5AKsAZVK	39	2013-08-03 22:48:35.966203	2013-08-03 22:48:47.967647	172		0
14698	107pre5hb7jw5kh5p7fvibw4zs	$2a$07$mrMVLPRQdODRIBxuY/RziOlyoxJvY.kJ79p/NAFJGT0Z0vDwEIezS	40	2013-08-03 22:48:35.989712	2013-08-03 22:48:48.091719	172		0
14699	101q1h31h233xwfvect0pkuhks	$2a$07$ke.c4QdJQxOjAdjQiWHemeUSp4mf9KHGcA7YSUL.fffZZWdoYXuvy	41	2013-08-03 22:48:36.012446	2013-08-03 22:48:48.213583	172		0
14700	10sxiry5f804vnuoqmxtuxq5e4	$2a$07$wLbkmJK9KiHmY1uWRoEqVuIfNJHFqRVOttuYl3iNzDxqvKsWDUYu2	42	2013-08-03 22:48:36.034941	2013-08-03 22:48:48.314007	172		0
14701	105ek0ohsq02s3hfc216lusylc	$2a$07$gequjQ2gb0Hr8KbSWwU8LOsz2HbhLrHb8zF9ZzOxThmn1BzbDNv8G	43	2013-08-03 22:48:36.058289	2013-08-03 22:48:48.417261	172		0
14702	10l53rhjy583txum4zrm6sf9s6	$2a$07$tGsbEGo.2q2Znjowae/ClOu4Z8l.BbHLpNPuAz/X8V9VLbT34ZB7u	44	2013-08-03 22:48:36.081445	2013-08-03 22:48:48.529417	172		0
14703	105bk9hj08gcvuy8buq0xdrf75	$2a$07$qsKGsUNc9I0g3F4fxi5cte9TUKxO1P0wLsL5suieAuWU9oendDxta	45	2013-08-03 22:48:36.10526	2013-08-03 22:48:48.638311	172		0
14704	101nqcwv3q1mbrdln4wg9mwl2a	$2a$07$Pkt3xd6VKKG32wqvH0sFUOoSovjctzsifhKCMR6aLYnX5pEypBzXG	46	2013-08-03 22:48:36.129178	2013-08-03 22:48:48.75036	172		0
14705	10tnl700ia8cnyruu7pqshdi0f	$2a$07$Z4hVPyuUMQ95TjgwLLEN8OnYQbMmdFzoLWL9uBT74.MGjQcWGJajS	47	2013-08-03 22:48:36.1525	2013-08-03 22:48:48.884474	172		0
14706	10v9nlupbic1iyjeha18yfjmjd	$2a$07$7rbSS/bk8NMA4EIZnXXnZ.1Ap9wwDNPIGo.5ODBhVgtO9Bj4ETmKe	48	2013-08-03 22:48:36.175434	2013-08-03 22:48:48.997973	172		0
14707	10ow8esvilgcm7h05zua05goxx	$2a$07$JQUgQGFocKXjun7rmwaf2.YhkPdlzcLYE.ZazijZS0tV/MzN/l9j2	49	2013-08-03 22:48:36.198135	2013-08-03 22:48:49.115074	172		0
14708	10lmka2pij62jnbybeyct6pjdc	$2a$07$KkFvz.rJ.Cr3NNayu/UCVOHjAQhtlaUA.e84yFbiTZQyFcxf2u8ki	50	2013-08-03 22:48:36.220011	2013-08-03 22:48:49.230426	172		0
14709	106d29ezfuw944w0lqokuzny7p	$2a$07$3NYZqmPaT.RFJIpqGp/gS.74wfr4rlmSTe5vUFG6JATL2FH6IiK1e	51	2013-08-03 22:48:36.244057	2013-08-03 22:48:49.349771	172		0
14710	101bblextw7fubqcspwxu1wvdr	$2a$07$yxkBurFw6GnMKDfnPpV7FuNNCbwvsVqVcj7d6Mc2pkMACjazKVviq	52	2013-08-03 22:48:36.267038	2013-08-03 22:48:49.470305	172		0
14711	10zonwcia01a466n4qsov4wqb9	$2a$07$iGomPyobr1pLc5a/Rp2ySu6wW0hJQ83eOX.oTeHSZZcphjJaGT6si	53	2013-08-03 22:48:36.289566	2013-08-03 22:48:49.577113	172		0
14712	10pzviakullfr22cn5g4s3lfsj	$2a$07$JXW3ePsBXRK.3RPOJzUX3.kEVDYqT9NTCpSMLcc.r.yAi0y//5B8m	54	2013-08-03 22:48:36.312502	2013-08-03 22:48:49.678757	172		0
14713	10vbkbnapxha7j67kj5dus4444	$2a$07$mRuG8YjxiXft58NOWNAGOu4lg5JkMz6TQaydLHVCQnl6anbe8TGBq	55	2013-08-03 22:48:36.335731	2013-08-03 22:48:49.805967	172		0
14714	10l5djd4glfslzej6v1u85npnt	$2a$07$ScYNPbtYhdMH95r5jsPykew/lrtpi7yDWOK6TDjq1hGbqoJXH98nm	56	2013-08-03 22:48:36.357646	2013-08-03 22:48:49.922563	172		0
14715	10ucsq0vfxmjefdc0r3ny2debz	$2a$07$PhXspNUP36NCdyefYnk7uu0/XkVMXK1wFtH10zigtodn6Mp8JSrBC	57	2013-08-03 22:48:36.381002	2013-08-03 22:48:50.037973	172		0
14716	10s2ehv208sqky5heq5op1oivp	$2a$07$d9Sh6kw1Ye4g2ZG5AvHY.OKbNIVud3Xk7mK5YGO6Bvbv.eMVnD3vy	58	2013-08-03 22:48:36.404108	2013-08-03 22:48:50.217311	172		0
14717	10ehe7l0g0x0mwil566qmhtkmo	$2a$07$0DPe2E6d.KLLCLWx5NI/Zu7yNPwzgVG5nSA215QaCt07htnB.POdK	59	2013-08-03 22:48:36.439911	2013-08-03 22:48:50.311689	172		0
14718	10fn2snj40y2os1k2vkp7r7lhw	$2a$07$WqHGYOZsQpCOqeW8KvFX/.srlK6mrbXIgX9faSWy5pYwBKR.PhRWS	60	2013-08-03 22:48:36.473841	2013-08-03 22:48:50.403873	172		0
14719	101zrnca39tuoa36ljswd7l78p	$2a$07$bEiAocrMx2niFib4EsZokOoGPEE9ooYL/0S6/3SS79xdEIlPilTXy	61	2013-08-03 22:48:36.497559	2013-08-03 22:48:52.85265	172		0
14720	103zdoxa3wyr582m0pg8cf7kwu	$2a$07$KSKBypOOn5RG52d0aIsZ5.DJg0/pTQEbkFHHtZyDoA4O1qLbPFhWW	62	2013-08-03 22:48:36.51955	2013-08-03 22:48:55.544652	172		0
14721	10ao7i5qahqb4sh4csj889pl7d	$2a$07$6qEqDBisYNLWk4IMbxMWtuxUoKyGhlILYykeyYZB1NSvjJnx4jiJ2	63	2013-08-03 22:48:36.550732	2013-08-03 22:48:58.461229	172		0
14722	10ilbfxpxpmwwy14jid1ncc5u6	$2a$07$DKmjg/xAFo7AvfGfdhWwbOpaviUQP2Vh6jkpp4Wahjh77Q7XzEdD.	64	2013-08-03 22:48:36.574392	2013-08-03 22:48:58.588495	172		0
14723	10lcb21qpwypnqkr1p7kbnmb6s	$2a$07$DD9lOThYqvjg.NoRn40rxuscylsVQK7bQWIh0LkYvmRV1jiWSxQda	65	2013-08-03 22:48:36.599023	2013-08-03 22:48:58.764565	172		0
14724	10uc62ylqnc15rvi8cwytgm4ty	$2a$07$eU5g8QEbJfXGmWwkV6Z3Y.CwSjz8RBeo15yQuesg4ufFawQjW8UTC	66	2013-08-03 22:48:36.632318	2013-08-03 22:49:00.198648	172		0
14725	103o0tejoyh3q6p555xesapugm	$2a$07$dYn4RPI4gW5W8DEjob.KhO/ArwehUhUm1qbkL0pCA6/MzTpsZ/oTW	67	2013-08-03 22:48:36.666555	2013-08-03 22:49:00.318723	172		0
14726	103go1cyhrpc2cu7a1uolwby5u	$2a$07$Hun72YW3kHqv/TWqqth3VOo3cGnLMF0i4.lRZcQNGz6jL9P.ZASga	68	2013-08-03 22:48:36.689196	2013-08-03 22:49:00.435791	172		0
14727	10h2zz0jikw1fjmcuhwleirx9r	$2a$07$VgDUs9gdrEQAqLJsN23m/eD7OXBhd85CIzmEG4Xy79XRNkpEWanN2	69	2013-08-03 22:48:36.712729	2013-08-03 22:49:00.576123	172		0
14728	104b4po30i4sa0cn438heg0b9f	$2a$07$zuoL2mCfm3UDpourSv2gKutLaSK2bW02tqdUnA4fMI2RRlt7r6NPO	70	2013-08-03 22:48:36.736658	2013-08-03 22:49:00.717899	172		0
14729	10xiguajievytwxug0qdqiqwoh	$2a$07$mOa8myfKY97DgBVX5jW6IOa7fhu0NG61i9lnFra5ZEvNNdicEAJly	71	2013-08-03 22:48:36.762104	2013-08-03 22:49:00.844469	172		0
14730	10s6l72cuwkq7w2k2439cin6ow	$2a$07$ql/sgzY05fBH.RUjaJTF3ua68IT5GwMzZCcy3TpXb5mjuj9XVrc32	72	2013-08-03 22:48:36.786363	2013-08-03 22:49:00.974168	172		0
14731	103dnby1gywgtmoh45agy4mrd8	$2a$07$ZcOIqaZA2l6xCw3KbBS.mumV2KAR6KGcF6oRlekTNqRAhT3tE0j2y	73	2013-08-03 22:48:36.810337	2013-08-03 22:49:01.506067	172		0
14732	10978518svpicq42ur6lfgq6oo	$2a$07$aSRcBBbRS7lAOtEjhiJJaeFvPP4GY6t79QeQFH77IBw6VvhDwFvrq	74	2013-08-03 22:48:36.834427	2013-08-03 22:49:01.638058	172		0
14733	10iw11xy9u4fhp58acl5az4l5g	$2a$07$U9AMebSdTcyR/47/yXiWMeB4p8pxe.fRZpKe0LXyAP9dyTJUzuvhe	75	2013-08-03 22:48:36.859743	2013-08-03 22:49:01.780527	172		0
14734	10w1pxhlewt81cmty2paj3bbs6	$2a$07$O.FZzuKLN5g7mPpqkcDs6eBXpx.moTRWb7PhSbAUgISS0fCkxNMuK	76	2013-08-03 22:48:36.884934	2013-08-03 22:49:01.948619	172		0
14735	10jgjg3w2fmkbceyqtkdpo3237	$2a$07$qkPGVIteaZkDZOuRSPAPv.J6HsXsq0tYHNLKhJnyWsTUGkF1hrwfq	77	2013-08-03 22:48:36.908172	2013-08-03 22:49:02.095112	172		0
14736	10mpemu2p4peltxi2b5sel53g4	$2a$07$aHgMVS.4dw0/OoTmBfV5uOgNW.rlMQBD3/4SArEO.5FalYeuypAP6	78	2013-08-03 22:48:36.930477	2013-08-03 22:49:02.243656	172		0
14737	10m9s7rd087tk9jp200wavrhae	$2a$07$xza7lqVU5q6cMpcCrboVFO/wGkg/hhTcAhwtJIk3PncYFYPqXK3ZS	79	2013-08-03 22:48:36.954286	2013-08-03 22:49:02.385011	172		0
14738	10pnps9ygyc8xb995syhr4ql57	$2a$07$ZJxg9JbtztYFL50KOmBkqump1fXSoNa/TubSp1z4u6EKenz9AaaXK	80	2013-08-03 22:48:36.978013	2013-08-03 22:49:02.521587	172		0
14739	10xxsrhx6s2itcca69gct2z8qv	$2a$07$ASVWlDzqvOujWR9eRL/8O.9miG6yEFCGAVanA2CLou4e2Cn2zyeD2	81	2013-08-03 22:48:37.000267	2013-08-03 22:49:02.673297	172		0
14740	10eo28eqqki76iaondjk6x0vlz	$2a$07$xfHbQLVljkv5U33q.Un9UORF0P6biV6tx9pEUp7sdGfhgJ1lp4mbu	82	2013-08-03 22:48:37.02344	2013-08-03 22:49:02.813871	172		0
14741	104uwtib85pxtpxbpxukvlr44v	$2a$07$No7pTVk2SdzcH9bUN/hQge2QENlo0h4RSLOwVl3Sl6ooQrkWw7pim	83	2013-08-03 22:48:37.047433	2013-08-03 22:49:02.986143	172		0
14742	109sfrpa1o10sare0k0e2gq6e4	$2a$07$O8oi8HwGcnQFJYTSIzNyrOG2R0bjbVaLaM8faCPmsAoEqSbrtS2K2	84	2013-08-03 22:48:37.069548	2013-08-03 22:49:05.629685	172		0
14743	10j9ofm04pcmc8v9115w076lxk	$2a$07$.Uhh2KUI83a3x8uKf7LdB..OYxE8bXFvc6d8DbhNrKIjfdBLORYoC	85	2013-08-03 22:48:37.092957	2013-08-03 22:49:05.739188	172		0
14744	10cydsz15bd6p6utquu520jx5o	$2a$07$BrJZcs59HIvHS9oTIRZseOxOZx4XNx/.hLkIAhkqqDQdn/BR5F7Be	86	2013-08-03 22:48:37.11608	2013-08-03 22:49:05.839702	172		0
14745	103v6rdmox0u1r2hf47t15dr4c	$2a$07$JUO.Q78lR63Z/PxKFaMwNeC6TEM5Z8V02C1pPH79J7nsijPvnYuQy	87	2013-08-03 22:48:37.140027	2013-08-03 22:49:05.96581	172		0
14746	10xqhsqopcwk86qtr146rtdmqv	$2a$07$tO6YrWfHoBy9GYVcH7VBDOJPaWImEIO0lXJn5ZerAb3lZXoB08ow6	88	2013-08-03 22:48:37.172606	2013-08-03 22:49:06.12148	172		0
14747	10g8zodt3gve8l5game38pnz4t	$2a$07$lBfgyt4t0eGY2yxV5FNeJepTViP7GeHO2I6NvpZRfiRs6Hab8q/ji	89	2013-08-03 22:48:37.207576	2013-08-03 22:49:07.649953	172		0
14748	104kvj3vxth1lumkvc7587c3em	$2a$07$QedIvRrBRtP.SOT.8FFg2e889PnePP2q9D4J5vQ6irpkMdLQBR9e2	90	2013-08-03 22:48:37.229775	2013-08-03 22:49:09.113921	172		0
14749	108d2tdyelk90qnh1tydv3pxom	$2a$07$0jWXoeN7hOd7jICHSqjwkuRE3YywfeOMQlM4D40fzxdxmKIr.hqc6	91	2013-08-03 22:48:37.252874	2013-08-03 22:49:09.257315	172		0
14750	10rd1bc02ibxz03477xk4suahx	$2a$07$UkNXUatE.S0S7YhSzqGbZOz5XOZDtTUA0/ZfeZwoGrhILGYmd0I9O	92	2013-08-03 22:48:37.276015	2013-08-03 22:49:09.395311	172		0
14751	10vcmctrx0j35pfl3xona9yn6u	$2a$07$nunfLJiKlY/mSMesTxvfC.B7hapCrrtYnBiV8L.jmLg8nVDK3SIjC	93	2013-08-03 22:48:37.299804	2013-08-03 22:49:09.549475	172		0
14752	10phjwkuq0iqtlaqdeg9i9krzl	$2a$07$bWSGDS6IETunDgIqtBdlmuutq8vsbieB9gkgKrguNXYsfi6JARp9G	94	2013-08-03 22:48:37.323556	2013-08-03 22:49:09.682154	172		0
14753	10fam4d8hj5cnmy8efqrhyfbe8	$2a$07$Hm6ijQVXb1KnMiI5W4iYCe15pq7XQopPBz5axPeBzaD1ERGEI6oV2	95	2013-08-03 22:48:37.353009	2013-08-03 22:49:09.835568	172		0
14754	10c7dddz3g8v172kj35vqzmm6c	$2a$07$rKcNItggJozP0QA2/gyoz.dy6NuTfyEAudekZJr0w1qXUj.XHGeE.	96	2013-08-03 22:48:37.386764	2013-08-03 22:49:09.980553	172		0
14755	10d54n35leiqrta3i8if7h3wl2	$2a$07$D2hYW9nPAZ9lCgvGUcAX5ufDx4RAMjYwnLm1wznasOxyEIWUqceEi	97	2013-08-03 22:48:37.419342	2013-08-03 22:49:10.132498	172		0
14756	10e95zzteqgydatmwbp6ccf5wr	$2a$07$CpenSFpF7TKUZDEiqa1WC.f4flyrZw0Edr2DjIkSOwu2UXZZDkMo6	98	2013-08-03 22:48:37.444389	2013-08-03 22:49:10.297463	172		0
14757	10552ln1p8ylicms8t827z5dni	$2a$07$s5OkPLRkEisfHGlkGllhp.R5TbkqVbh9Dwuz2NzKIopEdUtXaMlyG	99	2013-08-03 22:48:37.481682	2013-08-03 22:49:10.434747	172		0
14758	10gbnjtr9805ahy5pwg2pritr6	$2a$07$yQKuWElCmraKlG.ygsOI5OJxNijTmTerLdnowrC3FzITsqPeVTd9.	100	2013-08-03 22:48:37.506558	2013-08-03 22:49:10.575345	172		0
14759	10noazjg3qvzkaw8w9x23qv9p1	$2a$07$WpoMpeZ/W59KqjpaiwMvpOQqJYqrB6TyHUekLbeknLRy66Nbm1aM2	101	2013-08-03 22:48:37.533123	2013-08-03 22:49:10.710713	172		0
14760	10igo8ukvdl3zedmq62usj1q47	$2a$07$HjIeSC6MwIksZPvbKdJvtu/LvOEU5MxRLccv531PKK0dlaE2eznSS	102	2013-08-03 22:48:37.569535	2013-08-03 22:49:10.832509	172		0
14761	10spkmqhd8y23q36hfjzrtg141	$2a$07$NKTtNYtJEIo6FfP5qpXx4uZkIYE5ao.NsTTJzajo9ImgH5iD8ELc.	103	2013-08-03 22:48:37.591478	2013-08-03 22:49:11.284825	172		0
14762	10sc3e6bfz5x3qkuppdoju70pg	$2a$07$9svWS/.wzVjQOGArDZuFTu0n9LXHLWqHhiR1Gov/8tKuar.bZs6fW	104	2013-08-03 22:48:37.61473	2013-08-03 22:49:11.797796	172		0
14763	10ojnfj6kmy51fanto70swefym	$2a$07$t2WBfgCBXtb2rSzOqgxRc.l.cdOm/jnzekNq4WEQwFVV1XprPr46.	105	2013-08-03 22:48:37.638347	2013-08-03 22:49:11.916807	172		0
14764	10vd1342vvej8fa11h8elkr1xd	$2a$07$/i63rB0X7KaCkXLAGtfylObEfnCaNT2FArWJ3e9BUtYRJ0m525kWa	106	2013-08-03 22:48:37.664481	2013-08-03 22:49:12.049883	172		0
14765	10viiew4u832umhorn639sj48q	$2a$07$u98Q5PRtXEErN3v4y.l1auHfTAi/ilY/R7HD3X5N49sza3josl1Pa	107	2013-08-03 22:48:37.691079	2013-08-03 22:49:12.186321	172		0
14766	109oqsg9z7gbq0jwfho1o1fjd1	$2a$07$eR3YEF3l2xfCLFjJt1aylenbeyhhfKqmvATdom45lnpYo/mg4/or2	108	2013-08-03 22:48:37.726699	2013-08-03 22:49:12.352054	172		0
14767	10ae8k42y4hspfrezemrcffpds	$2a$07$xhsHFki.IRe57ZTSd9VWl.D9yb9fknBeAShrlRFeyPzmIJxd2HuVS	109	2013-08-03 22:48:37.75149	2013-08-03 22:49:12.476071	172		0
14768	10r88i5dlez4grduxzlj43m66u	$2a$07$cqT5UxCMgbb3Nx2rVekTm.Zu.ekLOxMSIBc6/ZEZZ1uiDVsX0vKfi	110	2013-08-03 22:48:37.775775	2013-08-03 22:49:12.61541	172		0
14769	10z8ee7gk7d64wfxyrhwg0stuh	$2a$07$t4.0ViR4PxxYA0DeU1rLrON.CDGSwPIua2RFofwOV2sx9bMrpcng6	111	2013-08-03 22:48:37.799962	2013-08-03 22:49:12.756043	172		0
14770	10w7jbway62j773usr7sua229w	$2a$07$ToCG6Za38QlI5wnlMsIS4e56/tASWJxK/10Aw01hB03gfnWahK.0i	112	2013-08-03 22:48:37.825577	2013-08-03 22:49:12.870072	172		0
14771	10mj3joywr51apb9e6yjvr0kqj	$2a$07$80ueUKIlc5PH0tCdBuPbhum7Sg0wwE.tlSR/rp5d9ZEbMmj3xvWEe	113	2013-08-03 22:48:37.850038	2013-08-03 22:49:13.007367	172		0
14772	102f0ro5m58p1b28t6c0rhyxdd	$2a$07$W/rS3QVg8nR4fq32meyj.e6IQNS0ku992hiFCw5JrA1IK3bWnPa/i	114	2013-08-03 22:48:37.874301	2013-08-03 22:49:13.118411	172		0
14773	10capb6lp6206ow6tzupcrriig	$2a$07$.Wwr2ha7Q/Rvaq856svfAOIqIdRw6BqLVIHJ3JCA3.umUbJ/Fm.t6	115	2013-08-03 22:48:37.899271	2013-08-03 22:49:13.273812	172		0
14774	10sz463aedn8p5o3zxoblhn0qy	$2a$07$VM0MAiVPpy8oSBs7wCC.r.cWY8MvaFA3oOXY10ieW2OBPczQTPweO	116	2013-08-03 22:48:37.925159	2013-08-03 22:49:13.439866	172		0
14775	100r0s1z4nrjzjzddvyrhkkzfa	$2a$07$4c8FIxgGvYEDkAGdsoU1H.Knx.aJ1CFP3a37HjL6jVJHGbfImgbWu	117	2013-08-03 22:48:37.949475	2013-08-03 22:49:13.597265	172		0
14776	10htfiljcwub8bzv0fbq5ws4cw	$2a$07$cDwtBie0DHlN1Qvtp3NR/Or47GIohtO9B7UitSMAzX7AJEfe8nRsG	118	2013-08-03 22:48:37.974304	2013-08-03 22:49:13.757369	172		0
14777	10w80s3r7e4s8m12xe3y6hyssr	$2a$07$wmxFPN2eF70qMIIvhc1/zes6VnZsm/sPt1BwK6Av5ISt1hW7YDkgi	119	2013-08-03 22:48:38.000238	2013-08-03 22:49:13.911778	172		0
14778	102m7chqrk9cfbn677rl82jx6o	$2a$07$pO/hKxFH/u7CFG5mWkExI.E38RnrCjuS/MTrHUyOmMw2kSea.jq5e	120	2013-08-03 22:48:38.02518	2013-08-03 22:49:14.04107	172		0
14779	1033conb8zlcy3tfbk8b96qcwp	$2a$07$6J8nevcFkpQPTTwPa0uW6OpaOHVSjiaqHPwe86BtaOMliJ5oKKTwG	121	2013-08-03 22:48:38.049634	2013-08-03 22:49:14.237933	172		0
14780	102ycsvrtysz2adddzvxgjv4c2	$2a$07$woHU2KUSN5Ouoqk5eMK5XO.4GSTRkIkFvUg120JY3YREU6aJUNVsO	122	2013-08-03 22:48:38.073666	2013-08-03 22:49:14.487629	172		0
14781	10iak9pxatxba1s4pmxw5nf9yp	$2a$07$w/fGnlFOlMvPbU2Kx0cm3e./SUR1ZF7n0G0Rz5DOycMDaBYYNL0oC	123	2013-08-03 22:48:38.09777	2013-08-03 22:49:17.250111	172		0
14782	109qerzdaomn90iqmh11h8kqec	$2a$07$fsGyVzjQoSrg13uvSY7aC.nUbcS.7se75YJzczuAPCrQK3RNd0yGa	124	2013-08-03 22:48:38.120651	2013-08-03 22:49:20.268364	172		0
14783	10mbdvou36jyrsqutgqggcjbn4	$2a$07$7lqecD13qTqVyF7XX/G3TOtZRFA9ZsN7ceL2cUOfoK/iZIIKSPQfq	125	2013-08-03 22:48:38.143712	2013-08-03 22:49:20.515693	172		0
14784	10qrlzrfqhzbx057iyyjjw0kdv	$2a$07$yA5rv83USzolAxz9/cLWru5vbA6ulEpwqAfjdsRL/oXEsNrzkTfAa	126	2013-08-03 22:48:38.167839	2013-08-03 22:49:20.713775	172		0
26373	100uipvdzxp84lw95eav5e5swj	$2a$07$4dYo1cWjFMr0YuzRkfKtqum9cEoFZ65aDxRJZkiU9Bq3To6i2dFCK	123	2013-08-04 20:36:21.9018	2013-08-04 20:37:22.204703	264		0
26374	10qihk7u5b3f4wvkhr5gqh3044	$2a$07$/UNH3oO4cgDnZxLJzILqeu79e9QDLIwU/39k4LmQNM/.Txloh.mCC	124	2013-08-04 20:36:21.924707	2013-08-04 20:37:25.545688	264		0
26375	10z7v37jqt70rt21qu1g0sknhj	$2a$07$Myv4tONETlmvzfbcqUS/l.O1SqSf0KNM7WIuNCoCOg0DxrqP/Idy.	125	2013-08-04 20:36:21.955049	2013-08-04 20:37:25.792492	264		0
26376	10ckrmqbgdbkwis8k5azg8zep0	$2a$07$bEYhHBofwN8UNTNEqJVTYuB7cQ9.OfhVNpmUPtvrmfERdtPaMLoOi	126	2013-08-04 20:36:21.983553	2013-08-04 20:37:26.009603	264		0
21211	1080fr4ihcuka5247j6j8oyfpy	$2a$07$/wZ//zUyguNx/.VuBUGABOssMg3c/x491HfIg4b0XRpE57j0oXZSG	1	2013-08-04 17:04:59.095338	2013-08-04 17:05:02.15973	224		0
21212	10sm3ffga1jqi7w32zka7aqbvc	$2a$07$iaZZhOQlmjyDlre1hjxLF.FnEKtD5/FP39EyZvQqRG3IvMlaeVGE.	2	2013-08-04 17:04:59.120076	2013-08-04 17:05:02.289314	224		0
21213	103zni2gmqz5qohncc2ltlpq25	$2a$07$Jb8KD9u11VKCwCUhAyYPEe2uH44ZAPxRCa7UEB1zF5/copLsF8viq	3	2013-08-04 17:04:59.142082	2013-08-04 17:05:02.417256	224		0
21214	10hcstwohnjc44wfa1953au9ii	$2a$07$YKpJrqJNpQiaET4RRontceGynk8g7fy3ifx4Un98F9XQZp9FwBpAO	4	2013-08-04 17:04:59.164147	2013-08-04 17:05:02.56606	224		0
21215	107xsybtgx8930oog5bhptrdgy	$2a$07$KO7Qk01SH24O8/EXcCnY8u3IYXNQjaWHdCpCwZ1a2ysH7UPWw630W	5	2013-08-04 17:04:59.186089	2013-08-04 17:05:02.70899	224		0
21216	10cir0p0gbxae7d6mhxjrak31n	$2a$07$tOA38HmVhtZiTU3k1owNF.t.T4nnwDlaCyVS/ucwnB9foReauM71G	6	2013-08-04 17:04:59.207963	2013-08-04 17:05:02.851299	224		0
21217	10iwzoeiaf9t93sfuqvhzuowcz	$2a$07$J0zrucyAa4YCevVxwrm9E.6g5q7yrTNkeu/33VOK0qWZN5E32Meay	7	2013-08-04 17:04:59.229959	2013-08-04 17:05:02.996743	224		0
21218	105nnkv33tjoswzk753kmmw28y	$2a$07$A446yBpDxvARP4iUBgpP2uDQthpMUlmETkkQYT60wTTLE4Pk6eThC	8	2013-08-04 17:04:59.251893	2013-08-04 17:05:03.138871	224		0
21219	10m88ffhjmzydn0v7h76q1cbrc	$2a$07$iMCZWR5ea9x3C/LGdDSrJurvBJrWNXKg3t1rkufqJ.7tqFNj3zluG	9	2013-08-04 17:04:59.273972	2013-08-04 17:05:03.284831	224		0
21220	10p0979i2hxwoiev3x0b2h7zy0	$2a$07$dG5PrTIUGNvG9Np98lLtdOUQGoUW.lDkY.zickLSSnDf6I8LHASNW	10	2013-08-04 17:04:59.295921	2013-08-04 17:05:03.431301	224		0
21221	10az2487aeawdpd5nlsbo9ug3o	$2a$07$bX1.68/mVzL/lqldm8ThDu2RcqqCgFlQmNkH33GajdKeLjIMBNPQq	11	2013-08-04 17:04:59.318169	2013-08-04 17:05:03.566754	224		0
21222	10jj5sfcm0mvt40lrgju9gohxi	$2a$07$VHJo8mDCnxj2vqZUDEqf0.wctdOEA8v7Wst6EPNwTSr01pPNmR90u	12	2013-08-04 17:04:59.341273	2013-08-04 17:05:03.738347	224		0
21223	10c0tzh8vqfecu304q4q91hd58	$2a$07$76Ti8JNDRPMAQo8ebj/Bgecl5v2XjSXumwL4a5TRglLdlqypDiNC2	13	2013-08-04 17:04:59.363551	2013-08-04 17:05:03.868736	224		0
21224	109nl56ih8blbsb8406eib5jn8	$2a$07$6Z/tl3qG7kb1dhmG/5/H5u9bGMstrG6WPf.dP05DhN.HzS/1vfeYu	14	2013-08-04 17:04:59.394447	2013-08-04 17:05:04.00374	224		0
21225	109ym1ll1et8am8ct1fulnatyr	$2a$07$adXH/mf6m70k1Xf3OZhUXOAZWEscSKn3gRcUDOLEkVtCT477Owe1u	15	2013-08-04 17:04:59.416701	2013-08-04 17:05:04.126393	224		0
21226	10hn2ur9lz75qnob6curh65xoi	$2a$07$ulEP1vHGWs/FCAEnEZ0O3eEa0ZQ1ENJdl2OiMdrmPw4onYnCVJOLu	16	2013-08-04 17:04:59.439693	2013-08-04 17:05:04.344822	224		0
21227	10chmzf666fca696kpvwddxmyy	$2a$07$6oTOlk2fxY6yBdw.UW08qetNjuHAkJAjBT2LeM1a7iV.KVLnXgp.u	17	2013-08-04 17:04:59.463553	2013-08-04 17:05:04.50348	224		0
21228	10wdy9dfx6flpx6gbfwc9s9pgn	$2a$07$rIbI8oRprXV1rBC6jODsOul0LieyoYwkz77J9mWbrWtgPw.x3n0fm	18	2013-08-04 17:04:59.485832	2013-08-04 17:05:04.64806	224		0
21229	10uepkwopa19ei6me3g5j1nbuo	$2a$07$wogjJVQ9w.Ct1.MfTrUmAOay7Fp8AmFTypukBOfRwX1fMSRHjsjX.	19	2013-08-04 17:04:59.50794	2013-08-04 17:05:04.803368	224		0
21230	104f9p7nxneofoo5apf0k3znw9	$2a$07$d10xgQYrHkUPYE8VZPnhZ.1fo0rRSojbzHs4LzbF0VIpWvn/gwd6a	20	2013-08-04 17:04:59.53011	2013-08-04 17:05:05.155731	224		0
21231	10pzktyiy5sqvz3m6drzm8e5vd	$2a$07$FhHNIjHXPcrYtvGkwkY3H.Z8vnGs.qz1LuX4XiwJbVaMI2FpqAvKu	21	2013-08-04 17:04:59.552559	2013-08-04 17:05:05.276903	224		0
21232	10kf9eyx12u0ujlqahfqwsyudl	$2a$07$wMZsuAtuoAW2/pc7jFyBJOTMl18bAV31BvRromM/EyoirC2oHDJ1.	22	2013-08-04 17:04:59.575196	2013-08-04 17:05:05.400916	224		0
21233	10lbz1nu6p5j6igbiwv55y8pfc	$2a$07$NA0PIWQnPsFk5XngfIl66eAEnwssZAwe.fP/i0CLCd4C5nBVly7Pq	23	2013-08-04 17:04:59.597409	2013-08-04 17:05:05.555373	224		0
21234	10e3w0b5pexmpr8jwurdeojfsj	$2a$07$IMxxzKAYZjaLWz9BEbHTeO4c3NldZfqGVhdGomjpOcuoOf/jrZ9Mm	24	2013-08-04 17:04:59.619728	2013-08-04 17:05:05.690315	224		0
21235	10gz4xgdei4aynhfi54scefyx3	$2a$07$HexBmbs8JusC4CYo54ncFOiknpYP0Hg3iifPuObXQ/jJ.urzC15JO	25	2013-08-04 17:04:59.641689	2013-08-04 17:05:05.963757	224		0
21236	108db1pj9a91j82akd6pgtfg2e	$2a$07$Z9ZScu7O.gMu7J/O.3qYYeE87cYVMRNutfowBe12lZowi/lE.tfD6	26	2013-08-04 17:04:59.663686	2013-08-04 17:05:06.120081	224		0
21237	109z6hhc70yc3kphfei0xbu97l	$2a$07$zRtgKsEtlr.bR7MHugP37OFYhxi3ANuYOkUqjw61I2teXzcMfH2jm	27	2013-08-04 17:04:59.685665	2013-08-04 17:05:06.295883	224		0
21238	10r8lbawzaogdrayzr2j9vuxw4	$2a$07$C2AQM.8Tp2GNI3mkvEFefuFdhLF9yU0iiwnO/GM7UCP8DFjlDr4Vq	28	2013-08-04 17:04:59.707601	2013-08-04 17:05:06.503557	224		0
21239	10zpms8dws1kn5f9z11nkacp2s	$2a$07$z0RBruoblphdUAvbyfVVIOv2H8grUPZrzgj.U0M4Wt09RnDUI2cxu	29	2013-08-04 17:04:59.730828	2013-08-04 17:05:06.79053	224		0
21240	10ukhtk0feaaou8lul8p1if6oh	$2a$07$AKweR4lUNupu3G/uHcEL4u0cHUdux3dHXtgLigSRYi2XA6Sua6tsm	30	2013-08-04 17:04:59.754256	2013-08-04 17:05:07.091251	224		0
21241	10hbbsotpk661qyhfw2ucvcehx	$2a$07$h/sIT606x8lO912OOGfvcO58V7pkjzEUK7JbpMHEHg7sPuDB63AEW	31	2013-08-04 17:04:59.776527	2013-08-04 17:05:07.266766	224		0
21242	10hjtoj4vtujfixadzxb47y1n8	$2a$07$9K1wlT4SYJ.TYJSNtlzIA.10q9ClvQgiwOK/kj1DMGvO/oHSVrDrK	32	2013-08-04 17:04:59.798594	2013-08-04 17:05:07.44059	224		0
21243	10v1tpwtsirp60ar13ptd7vkxd	$2a$07$LurcHdsei2tpDwJjw5.xfeWqG/cfJCppvkB1Mf8PkdqQgm5lzfDMm	33	2013-08-04 17:04:59.820761	2013-08-04 17:05:07.592615	224		0
21244	10o9yghqjysf4it1zhx7wzvqbq	$2a$07$tevgIXb9UwniUfnK1DJXyO/I/st.ZDEKJ85ZGzk3bKNYhJVsHT37G	34	2013-08-04 17:04:59.842843	2013-08-04 17:05:07.748472	224		0
21245	102ad6bgojrvkhq0gf609phlwy	$2a$07$3QmA9RtEENYEMDyWkOYcJO/Pw30uK3IvCGm91OmTN7.oz.uIu2liO	35	2013-08-04 17:04:59.864939	2013-08-04 17:05:07.899258	224		0
21246	10mhw08dq8orr64eli27i5rgq6	$2a$07$W75/66xRFX2maKBR1N918.bg9O7NK6ksrq3B4gr2P37Nigsejgm2i	36	2013-08-04 17:04:59.888458	2013-08-04 17:05:08.040957	224		0
21247	10br5p2c0zrtq4lyo5bbyokegy	$2a$07$Qei3qoF3C9oSWsbQSqf7C.2DAJT03bp/n/quj15jxKjpaMaU3rwbW	37	2013-08-04 17:04:59.910535	2013-08-04 17:05:08.169336	224		0
21248	1060v5ntzqatmuvx9g6i538y1x	$2a$07$kDG3/E.l7Ti5AJgfBxy99ePangI0Bl75CbedcQMYrDpj22bnOnNNe	38	2013-08-04 17:04:59.932535	2013-08-04 17:05:08.311879	224		0
21249	10azyjmh65vseo3b6kehtuibes	$2a$07$4I9JU0gw7/L4VoiE6DmJb.kIkunf0BzIT9APu4QE0AKRqCq/pcvSK	39	2013-08-04 17:04:59.954574	2013-08-04 17:05:08.445929	224		0
21250	10jio64t14hmhd8v0qoka6wnd4	$2a$07$zgAUO01MIjxAEGDkjOkl2uYU3snLn3mG3pNL2MpVEpsqgw8pFd3ue	40	2013-08-04 17:04:59.976401	2013-08-04 17:05:08.57344	224		0
21251	106po4f3wibqr6uxqgtqay3rkb	$2a$07$Bkt6hD4/bgp88gZky.lH4OpYlHZTaHcz0lr4BDItBsdqde1Mm1jR6	41	2013-08-04 17:04:59.998423	2013-08-04 17:05:08.710259	224		0
21252	10fo478e2nxne0pxg81rbiqbo5	$2a$07$43MOKmAtqjUd4.vz8JI/TulPRtmHP6ElakRncuhCYE/C59Gj7CueG	42	2013-08-04 17:05:00.02189	2013-08-04 17:05:08.883018	224		0
21253	10ia9t4ibgbd7rb4mz64b6foyt	$2a$07$dJ1twlbJe/dpyFOjLzBPauh3uDvTfpNLrJYob/sN.nhk6folTS8nO	43	2013-08-04 17:05:00.044116	2013-08-04 17:05:09.021626	224		0
21254	108jy75tjanquxrcn1x2wzk401	$2a$07$ZYmrof1AUk0Bq6czXd2rxODpNJt.aCSk.qrrn1aV9EQsMVUqT7DJu	44	2013-08-04 17:05:00.066367	2013-08-04 17:05:09.158881	224		0
21255	10tsqkl0d3ut0923qoz2ixk6qp	$2a$07$wHyUHe5WMJxcsMYc0Cu7beL/YqdpQjcnW2h2Zy18h3wO1VyX4VlhO	45	2013-08-04 17:05:00.088381	2013-08-04 17:05:09.297886	224		0
21256	10ccuf6zarklmeh5xnqbsido7i	$2a$07$WnFATEdzl/4EiIMs4RqJZuqI/6.asb//sfq3ZDlXcZm3der9bPcOy	46	2013-08-04 17:05:00.111491	2013-08-04 17:05:09.485583	224		0
21257	105xswu9aqkknhgq2wdovvznxy	$2a$07$MzOXL/3IjGZUaas6D3K/G.uthX0U9Lprljcg/6HwXLAFfUu.PHfje	47	2013-08-04 17:05:00.13382	2013-08-04 17:05:09.640585	224		0
21258	10siwcxoxs4ysx4ivztijjzcpz	$2a$07$UkG0lejhRHunsxCDYksY/uZtYW0/YZA6q/Y2VKmh8u3vSj2fDpJwq	48	2013-08-04 17:05:00.155799	2013-08-04 17:05:09.789836	224		0
21259	10bqcjoapezd1ihq48zyja3ci1	$2a$07$JLIR7SFgQ7K5QSxorNV4j.etp7Q.xb.h4p0epmnjNCXv41vWZJBMW	49	2013-08-04 17:05:00.17796	2013-08-04 17:05:09.928258	224		0
21260	103a8u9man8a3ywzv3uv7m30b2	$2a$07$P8Xx.B5CQoBH3tdrKFbAneTwoV8uTSYzYxZIrexkyKM52koyfje8K	50	2013-08-04 17:05:00.200022	2013-08-04 17:05:10.057211	224		0
21261	10xotl498yag1ilwihr9xj5pro	$2a$07$WZBdimtreUN40AAXf2s3L.TjxZ2LtMo7hzk8gZQ/pZJjso0YglpWS	51	2013-08-04 17:05:00.222013	2013-08-04 17:05:10.194839	224		0
21262	10h02mhbzkds8i39lhkb9laes9	$2a$07$24Hz/D8umH1bz2PKMugfd.OS2Ln8b9eUQH/mXQQoBoG9yFJTyINQu	52	2013-08-04 17:05:00.245356	2013-08-04 17:05:10.381444	224		0
21263	10tf878rwgc93h4lo7ecd32bi1	$2a$07$qG8hyT7bQH54ypC7C8uAyuXHyMh5kcqm5YcEN3rNjm1REcSragpOe	53	2013-08-04 17:05:00.269494	2013-08-04 17:05:10.555466	224		0
21264	10fuzlz6ch5l8jidqj7ehendtr	$2a$07$Dzg4/YX/nF.iCawC/QQTpOIKQ0zFwjZVBITwJBPp4PVVo1GNQV1yy	54	2013-08-04 17:05:00.293123	2013-08-04 17:05:10.693799	224		0
21265	10cdgr7whzsvoriudam49v188j	$2a$07$TnLxgdRTbFDHAONfnaIk7.ojKTOgB0xXlgMzTj.j1npvZzyqY0RWy	55	2013-08-04 17:05:00.315238	2013-08-04 17:05:10.843272	224		0
21266	10p43o3nt7hqlxg7e8o2cjh7h9	$2a$07$ZjG4zM.9PO91domNlIzn3ukRT95IwAQ0RII6SDN6uVVA78cF038Gq	56	2013-08-04 17:05:00.337192	2013-08-04 17:05:10.978377	224		0
21267	10v550d8b6jju6yk14u3xqwtz3	$2a$07$amryqO1tpni6w5/n1fxhHueZGGzdr3RdZ6wlovMHJNWTiBdQuDxku	57	2013-08-04 17:05:00.35922	2013-08-04 17:05:11.165453	224		0
21268	10mdblp36lr74i7ytq2hlc38fs	$2a$07$fltXa.TI1JQHfUOtImBIpe3M2dS.58aoUbK8TOIxHXJILAMVkcHBy	58	2013-08-04 17:05:00.381257	2013-08-04 17:07:04.96597	224	mux_client_request_session: read from master failed: Broken pipe\r\n	0
21269	10rdix3krex42m6wtmen65t1y9	$2a$07$hUfB2bg0Q/3q4Q5PnPohPOtzlGv0fFnAPR.DpIiRjGN2DiP80yDv6	59	2013-08-04 17:05:00.403573	2013-08-04 17:07:07.270358	224		0
21270	10lmhkx1hh4p3x8b52hck9xy40	$2a$07$u2oe3r1FqThHeoOV3FQGkebCRgwnePsmoW/umBp7uWvaVQDPMPkNG	60	2013-08-04 17:05:00.425528	2013-08-04 17:07:09.503365	224		0
21271	10tesflp4o1yw3xufnw1y8h7yj	$2a$07$r5/kl/mii6OU8OnJqfEUquZIhqk21mCoF10zmD.Z/Fe1IwrrLp/3q	61	2013-08-04 17:05:00.447691	2013-08-04 17:07:12.18678	224		0
21272	10oq36xsfebjx3d9y32k6w48my	$2a$07$L35Gsgmw24GJP5Db77cxsODlyqxYdGZbTA94hcjX5J5gOXR7s2u7y	62	2013-08-04 17:05:00.469672	2013-08-04 17:07:15.195995	224		0
21273	10ajz6rso9ulh5a5i212jm1re1	$2a$07$6jIdM6CVjBeSE3pZWlAGAupMeObO6zZvWTepP4ZQ1XpX.zTIc56Tq	63	2013-08-04 17:05:00.491649	2013-08-04 17:07:18.48549	224		0
21274	10ci42zkihzqvjtwn7rm831lzb	$2a$07$MtU6JKbztCRzJgFuL1tAje9YAQWA.yOyVvxra8FWzaOAK2MQNMMGq	64	2013-08-04 17:05:00.513744	2013-08-04 17:07:18.611001	224		0
21275	107wq4qd6ctli0ygjftnlziqz4	$2a$07$ZnYeifjjgA6TVtAisLSAhuoXemIPkYuFV8VqcJbJbBfoKr59oIdIi	65	2013-08-04 17:05:00.535795	2013-08-04 17:07:18.758031	224		0
21276	1092wktjhqsbtpixpwzjmqz9mj	$2a$07$4Udu8Bn5Sia0KyxjEKsAV.J/4Kqv7Z0lxycfgWPC36B2rl0VWr1Ka	66	2013-08-04 17:05:00.55759	2013-08-04 17:07:18.892868	224		0
21277	10nyx8wel7e1jz1rzqh4zr5v7s	$2a$07$Aub4zU.daqqJB6DCcUK2UunGqC/Z2B8z/d7JBSXNpjN7jxwfZAkDO	67	2013-08-04 17:05:00.579622	2013-08-04 17:07:19.026412	224		0
21278	10ccigzdh48n687vzh3xovgmxm	$2a$07$4ymEjBZIdhXmyGUxKxxpM.U7wH8WxiiDvYa56bFNSRkLEqE5H7AmC	68	2013-08-04 17:05:00.601425	2013-08-04 17:07:19.163986	224		0
21279	10xkxddaiqakrgaqjgsqdbiwc6	$2a$07$wqTSjp1.2thIP7zph7k.MecXuCstHzud.MXIYxZegxZQ5MKPYeNIW	69	2013-08-04 17:05:00.623408	2013-08-04 17:07:19.389527	224		0
21280	10wwug5tif9e193zk1m47e1ew6	$2a$07$wBxF9dISKjsJ7z2DlfFC8OZkLjkYUAG0ZAjpKtfYfpxzi0otLysIi	70	2013-08-04 17:05:00.645817	2013-08-04 17:07:19.539891	224		0
21281	10j98wrtovaak0jklqk8cmfajc	$2a$07$bTUL67ESzLYMXkQ2VmytgucGT8.mrDQmd45zRl9STWSpa7p6SEYVC	71	2013-08-04 17:05:00.669605	2013-08-04 17:07:19.694672	224		0
21282	10ov5uhj1nl3ojfxp3p0jrhau2	$2a$07$Rj/Tw7GEgECeP6KPYYyzSu8uEjnBNFJ8jGXwZwyrpuLQk/fWfWChi	72	2013-08-04 17:05:00.692444	2013-08-04 17:07:19.981127	224		0
21283	100ffrpowjiauvg3lz2139qddu	$2a$07$bA8CuAVtU6c.gm5v2XmTHO.zVeWKJhQH5Bc1n2uoEO5BNKkbwxhEW	73	2013-08-04 17:05:00.714735	2013-08-04 17:07:20.29206	224		0
21284	10yx9ibqw8csw2odxestr8bvpv	$2a$07$e0S6XrBYVbbyvQUMzf6/J.U9HhDP.5sN4wmeteOkAMFlMuxpkugYa	74	2013-08-04 17:05:00.73671	2013-08-04 17:07:20.413406	224		0
21285	10nl36dox4vg4o2o0g45cxsrgr	$2a$07$usorLXp/O7O0eNp54vyUo.o7DBfQz80rbRDNqVx8n9jCsxeGesyiu	75	2013-08-04 17:05:00.758589	2013-08-04 17:07:20.553305	224		0
21286	10pm99gev49dee2gkbjobr2vxo	$2a$07$sw4m7zGysQXqESZWxZg27eeBTy5LXNCap1xZHx4i6ihTKcAyhQw0e	76	2013-08-04 17:05:00.782114	2013-08-04 17:07:20.70014	224		0
21287	10e0lm9wadvb1gzgrw764j1cgb	$2a$07$v2MNqnDqIOiFhKVIE6WIEePBye46jANeF1XgMoyvHYZLLM0KP5cDy	77	2013-08-04 17:05:00.804259	2013-08-04 17:07:20.859438	224		0
21288	10i8vjo9j5apyrfglef687bqhx	$2a$07$9sddxiGZ.5xkLndzS4OizuFHoOAdL1FlC1.csiVt/BXWjvJsr7PRK	78	2013-08-04 17:05:00.826372	2013-08-04 17:07:20.99715	224		0
21289	10t7ulbzv6kp69uwcqwrlrc7uw	$2a$07$vD8F.T7w5U23pAZnAlObkuw3XajGSLQ5BmaDXeVLSRVfRmveEOSCi	79	2013-08-04 17:05:00.848357	2013-08-04 17:07:21.179002	224		0
21290	10ccikps6se1fwai261dyvf6yj	$2a$07$7vLhiB.RzyZqRbphnSXQBeydc5Rvy6hkys4ANalqHlCcRS7WcMuiK	80	2013-08-04 17:05:00.870411	2013-08-04 17:07:21.425493	224		0
21291	10g9aioc8gtjym1lusb3677qpy	$2a$07$eoHXQ.JswSNmxsyeTXi.Nu40Ehc1XvOacK9MYrmWh0.eitpz/6k4.	81	2013-08-04 17:05:00.892397	2013-08-04 17:07:21.64387	224		0
21292	10nrgykhpffdfha6j249aw3wrv	$2a$07$0jxo7pGiAGx6AXNxi0Y34evdH/ULuZs2yr36/6V8kFLQeW.QpIXie	82	2013-08-04 17:05:00.914373	2013-08-04 17:07:21.78894	224		0
21293	103701l57s8u3z66c6bx2agctu	$2a$07$Hx1EREAXUgZ1qbkphiR11esj6lIYWluyJm6dHKrmt0q/HGiEz/jJW	83	2013-08-04 17:05:00.936319	2013-08-04 17:07:24.00676	224		0
21294	107xlj8wrzw2g7i168yu9frjny	$2a$07$7LjmQ5TGiHg55uSDbk7CZOW8zhMjjFjye6N2SsP83MMF8OXwTu0aW	84	2013-08-04 17:05:00.958687	2013-08-04 17:07:26.539151	224		0
21295	10lhtjk7kju783eatiwk5k106o	$2a$07$R6Y98DYp8d1NZVmFkCyMLeq/25FE7e5mtOqxvNDiJM/qtCAv1gai.	85	2013-08-04 17:05:00.980489	2013-08-04 17:07:26.624384	224		0
21296	10ie03pejj83wgwi13wzn3mku8	$2a$07$0A7TUNNOss1mijBvseOzlOpp2wAnHqCxTbSxjpIPCYfRbRRqumDW2	86	2013-08-04 17:05:01.004959	2013-08-04 17:07:26.711038	224		0
21297	10v56jguruwi8gpy3yvroybxsa	$2a$07$gzCyhf8.dBfSDGi81KWsC.k8t2NDiLtjda9VUwnHdFLRSWzc1OQhm	87	2013-08-04 17:05:01.035861	2013-08-04 17:07:26.81005	224		0
21298	10wksv7o23gf9nh457kjxy608g	$2a$07$y./6Iex/IBxlQcRVvX5B8uQR0JmCnjhBp/5973pgddfIZ/7smw8uG	88	2013-08-04 17:05:01.057941	2013-08-04 17:07:26.90361	224		0
21299	10wj9axw6iff9jj01yqrk5j8xo	$2a$07$gZ.XaTM.A.dv/owh4pToc.STbsUoaVYKsch5fXqyQPniUs6XhsO1u	89	2013-08-04 17:05:01.080175	2013-08-04 17:07:26.992046	224		0
21300	10zedxaina391zmb5xx1ttql9q	$2a$07$3cy/y1qdRLX6bnl1rXH7k.pIFlwPCA7.XW2Ewui126BTQfqzRPM7a	90	2013-08-04 17:05:01.103035	2013-08-04 17:07:27.080987	224		0
21301	10axabyouj1bzxusdg7i96e6f4	$2a$07$MZ7OR49gV6pYT.UOyUYuPuiXHoTRV0YfAMSDKjvYOU3/9..jN4UEy	91	2013-08-04 17:05:01.136774	2013-08-04 17:07:27.41746	224		0
21302	10q999y8wdxtr7onq9x5bhbdlm	$2a$07$AY8t5Ful/5T3DBRkBqTH3uUJR8obibpbIhMIt1nxWPqrZehAozMTu	92	2013-08-04 17:05:01.170833	2013-08-04 17:07:27.536332	224		0
21303	10y9vl8ivq6xls0pk45jo9o8ny	$2a$07$qDlLF8rgn2CXjdqJNm78M.F2R7Fv7GIUKU6KKOovmtrXXa5XesGR6	93	2013-08-04 17:05:01.208324	2013-08-04 17:07:27.630042	224		0
21304	10c97i8tf5saz6x09yzufr4fow	$2a$07$tpEXKDHE5yJwtS3ZSauZYeLV3twfqOL3O8m5RUyJXvD0EsisLKIC6	94	2013-08-04 17:05:01.230731	2013-08-04 17:07:27.718675	224		0
21305	102rvnysfggwyw6rlyfer3jl2b	$2a$07$2HxNCI3U3DiNzKw2oo9vP.95AuCG234muHaXlao41QHDstIOYtYHi	95	2013-08-04 17:05:01.253919	2013-08-04 17:07:27.948447	224		0
21306	10uiheslgc2vbwoqvm856fi6pq	$2a$07$hUWXC1MvM7G0bQLsYThFNuD.iB6WJ5.PMxJxMZCTGMk8qfE8FxrdC	96	2013-08-04 17:05:01.276721	2013-08-04 17:07:28.047988	224		0
21307	10z73o7ornrg2efbgt8s52ye55	$2a$07$iNnB1Jl9GF0vr2huSI8pp.FhvjUZ37And.o6plOMm//HPTJd8zwB6	97	2013-08-04 17:05:01.300298	2013-08-04 17:07:28.146155	224		0
21308	10divo3hmcwalszp8khelvvhxx	$2a$07$qjrG5KzlHTbuUIGQqYDaZ.wvEYq4qzGohT75Ko9m6QCUw0Ow7jipO	98	2013-08-04 17:05:01.32479	2013-08-04 17:07:28.244625	224		0
21309	106gds46vn8av1yp0qhsmyf279	$2a$07$AwQfWWDITGrBeWQcz7Ag2upXQc1Ob5KnZbKOztfsqj7LguwBX0SO2	99	2013-08-04 17:05:01.346694	2013-08-04 17:07:28.365838	224		0
21310	10vwidl13lb2xfkfw7410p5aja	$2a$07$SDHEaUjt/NoSiyaxdyZB7.6qpT1AdkPcsdPdgrpOSM3TZF76mZNw6	100	2013-08-04 17:05:01.369073	2013-08-04 17:07:28.469939	224		0
21311	106grlqau3jsqzlbk0un59mvbn	$2a$07$fD9MOUhltIUuySKIDjg8m.VVR1rrj.xP6sXonA/HWSt2rMoxHfBem	101	2013-08-04 17:05:01.391489	2013-08-04 17:07:28.576696	224		0
21312	10m4amesj9zpjlwzo1cch5nbm0	$2a$07$MveYydLHZWVPayXJcSrqkeK.ZSpl7f2vi3xnHu8v5R0ddHS5O1xgu	102	2013-08-04 17:05:01.415252	2013-08-04 17:07:28.68767	224		0
21313	10yp6858l2w85v5r0wy57m312c	$2a$07$gG7slFm/UqhjLsvmX0a4ee5dY9qpiyEZ/tGh.BtzJLS.A.JQw8rYO	103	2013-08-04 17:05:01.437673	2013-08-04 17:07:28.973497	224		0
21314	10h7kqe1015m89oqvous3oix4y	$2a$07$MK6M8thHFUayi4d.veXuL.gXGOyJvpi.YG/dEUVEWhnWIPjqh0ql6	104	2013-08-04 17:05:01.461556	2013-08-04 17:07:29.275941	224		0
21315	10qpu34euwap6gjn5iplmhb1yc	$2a$07$yUjLgIkmvpEOG5n/qFmize1KnW4rbxmpkdwoapaSeQXJym8FvcPVa	105	2013-08-04 17:05:01.486472	2013-08-04 17:07:29.365519	224		0
21316	10umvp4dhf2z3s53oetlxlivv6	$2a$07$ai7c/VZTVe6BL9frYbjLXu9fVbkz0ctzIsKGW7ofemJ.BxjXcI6qS	106	2013-08-04 17:05:01.522076	2013-08-04 17:07:29.451583	224		0
21317	10vzhsjrazhbz1q0eqbxw6da67	$2a$07$fCxOEa9PU8CzIa28Ztxh4.gAfb6DNyyqwBytSp/DFD0kujmfZMpqG	107	2013-08-04 17:05:01.553158	2013-08-04 17:07:29.537212	224		0
21318	10w9pa31dgeapgtfsmenmia4no	$2a$07$uPzdaEo30jUpO/lIfAcQBuB9YEI88uNKhlhjA0ouyZnsbktUUHuTu	108	2013-08-04 17:05:01.575538	2013-08-04 17:07:29.629232	224		0
21319	10bf9ind0f1um7409pm5jy7lj3	$2a$07$d3xY7gp0pCRNjdF6SQ1Fb.rFt69nklvhrjGoufmYE0Uwm2u.hDM7i	109	2013-08-04 17:05:01.597383	2013-08-04 17:07:29.731398	224		0
21320	10bqyh5j06z4z92a7up8yrvz6m	$2a$07$eCfJTY4rQTuoYouFE5MW5eiPvplxJsow1hMBFzCwwG67wAS6S4AoS	110	2013-08-04 17:05:01.619515	2013-08-04 17:07:29.836906	224		0
21321	10plaunv58anujppummk16hmcy	$2a$07$bjSvnuqFE53tSQdLmJMciuNJcuLeWQrfOcw.TnKvMoEd6MLHci7iK	111	2013-08-04 17:05:01.641359	2013-08-04 17:07:29.925565	224		0
21322	1016wmxsv1u8rvb5vv0x67uh37	$2a$07$TbPBlSC5oZw./rByTjpMiOZ.Jvum21ikAFzvoonlXa1FISgyOK3iC	112	2013-08-04 17:05:01.66535	2013-08-04 17:07:30.018195	224		0
21323	10qlw4yhcllcn9brwjtyqhpul7	$2a$07$aE0m8cBusa9HAq81r.XSaO0Orm24Cz4GJ.gOn8tS9GvvNhBrnZxdC	113	2013-08-04 17:05:01.697943	2013-08-04 17:07:30.197225	224		0
21324	10w763crhkxn9g86ikg8duq0oc	$2a$07$jLYpZcdb9MjbLUarLJS3euRYaXVSFwcGnbvcQtA8NU/uYWkteaZjK	114	2013-08-04 17:05:01.72238	2013-08-04 17:07:30.302564	224		0
21325	10qkuq94b2dhqabj4u48r37pr3	$2a$07$fWE3klrooan67u9SKPqg2.IhhFCQs76J533F73ogbah2RWurIroQS	115	2013-08-04 17:05:01.744413	2013-08-04 17:07:30.47003	224		0
21326	1003wquo6h23ly83ggktzs2dgw	$2a$07$foSJTqhQ1T3KujWzYFwFquiuI33RkPAgixlJws2b.oF8DkHUOt2BG	116	2013-08-04 17:05:01.768301	2013-08-04 17:07:30.570281	224		0
21327	10ibu6j8q11q988qkv4prga2z3	$2a$07$ixuPY7t5UMjJMWD852xofOvhZcVlmt/y/kbtRLCJWJ4ALOZdtCOn2	117	2013-08-04 17:05:01.793606	2013-08-04 17:07:30.909909	224		0
21328	103bdss87pnadp6cr1zrd8dfyz	$2a$07$8cvGXp8pG6O3JvaSx4tZ8ehe564zp5hnhUQqVk.7jsgTj1oihhIjW	118	2013-08-04 17:05:01.817275	2013-08-04 17:07:31.002749	224		0
21329	10gljytnm7g7zj7o2ovvam4uvq	$2a$07$Ff3RtKo7hBg71qeon8.0B.DlFY1O9CPJOXiQ81zBpnbdBPwCOTVai	119	2013-08-04 17:05:01.839266	2013-08-04 17:07:31.118463	224		0
14785	108680f5ur0s8f68p83cnjgpi4	$2a$07$THv06Q4E3M4Un0GBvShJ.O/9SmrE5XfSEgopRetSmlmGBM.9TCmCi	1	2013-08-03 22:53:35.033303	2013-08-03 22:53:38.285774	173		0
14786	107l467hli6e7bpz177vqogxgk	$2a$07$XFNuf4EVWyxdddWngaLT8.4fxCftxSPGxdYfqFyB927zxLgNdq2TG	2	2013-08-03 22:53:35.058173	2013-08-03 22:53:38.405426	173		0
14787	103ghsdm7iq1pv0te0w381ydgf	$2a$07$Gls/dP2vVbJLU1GatBVlyOYC82KqzQBW7Lm6nd2dRqA9uxXp2L.uC	3	2013-08-03 22:53:35.085252	2013-08-03 22:53:38.62568	173		0
14788	103sbvvhj2bey4sng3v70q4i14	$2a$07$Yb.d6BEXU7FkSQuvnYYWrebIFIT1FrS4yH69qldwaNbzBcU9uAfA6	4	2013-08-03 22:53:35.119324	2013-08-03 22:53:38.812567	173		0
14789	101b57wq7exggiukg8cqz42u4o	$2a$07$7axerXFexnPE0XpV7PG0gedTnGQ4Cc6WisLuEsTI7n0UT/F4.iNve	5	2013-08-03 22:53:35.152613	2013-08-03 22:53:39.035463	173		0
14790	10cfcstb3u6u43r9zwpadlvlz0	$2a$07$OC9wLKg667OgnP5JR2P5Lu2VMbQ8ff7eYGtq6NUFLoPXlnVbKvcLW	6	2013-08-03 22:53:35.189569	2013-08-03 22:53:39.259826	173		0
14791	10e40e2uyzj7azqxniz8mtfndc	$2a$07$Buc4BIMdv3WXMsfId1bbm.5jcS/lmk0IQQx2sj.1NXRHoLG4qmmcW	7	2013-08-03 22:53:35.212609	2013-08-03 22:53:40.418163	173		0
14792	10nee9yhu853v2stof8vqp18mp	$2a$07$mUBayMfb3M/Tacvz4/bv7.QqMZN/ZDZQ3AXRwokBK/iAoQ4NqURRa	8	2013-08-03 22:53:35.235565	2013-08-03 22:53:41.652946	173		0
14793	10drmq1x500k7cta3rx3gztj0t	$2a$07$uLj73ueVzT1z9mQOiVbHw.nh/iGGGcX4QU0Ahn4VNk9gJiCn6HGmm	9	2013-08-03 22:53:35.259589	2013-08-03 22:53:42.878397	173		0
14794	10fh97gdg2e3801axa8ayglult	$2a$07$QBetXFgeTKebqbUh/LR1zeowxPncXvLn.qTwpq5MkcmxKGcZKCUDa	10	2013-08-03 22:53:35.283577	2013-08-03 22:53:42.975967	173		0
14795	10yrgtyt4g56su0fqeu36cmr7g	$2a$07$HKrKcEMIdobzToW.s4fFc.awsahF1SYqfOO11cVZfudW9pjnHpFhG	11	2013-08-03 22:53:35.30732	2013-08-03 22:53:43.081128	173		0
14796	10xzm3j2120fnssww4y828ubdc	$2a$07$s47Mjei6yLjwgklp29u4e.uk0.riTZ3iTqPStivz5dTC8G6TOrmDG	12	2013-08-03 22:53:35.330664	2013-08-03 22:53:43.200339	173		0
14797	10w3slnek19g80z1a4s4okjgmg	$2a$07$J/Pkky876iTz8KcNWTTsyuJ5Zw8z2wroZjDKiC82P6vLHQ4hOYqb2	13	2013-08-03 22:53:35.359648	2013-08-03 22:53:43.394109	173		0
14798	10w101ngbooulfdexes0vq03ii	$2a$07$XabP2d0kmSyJQqtDaoCty.1lOF1RiYc9cMUZk2IrSuH1f3A22Ksqm	14	2013-08-03 22:53:35.383993	2013-08-03 22:53:43.571512	173		0
14799	10dqo4qd734rftof63todan4wn	$2a$07$bgWzIaHbJh/l7cTnhRYuHewofL7/XymO9ypucAA3mHf6nZdTc7dPS	15	2013-08-03 22:53:35.407599	2013-08-03 22:53:43.688458	173		0
14800	10wau45a3tyocftmip99aa61w8	$2a$07$74WJPSdT8XuCv.DTrBCJbuXDSAjZMVR2gDQGjQ5oCtpHVOi8Iaibe	16	2013-08-03 22:53:35.442771	2013-08-03 22:53:43.822029	173		0
14801	10tim4r8o2lcnh2cu0xypzzhf3	$2a$07$TocBQs/kduSF6yrj6PYZ2.aebU2rqS/ZMpvE7FjaJZT1ftdUSRIhe	17	2013-08-03 22:53:35.46649	2013-08-03 22:53:43.954514	173		0
14802	101cgxre56zc8i2sv6elqjrhrb	$2a$07$.WqZ7QimYO61MPJ0g0hJ4.uXRnxdDN.eA8LAb/64hbke3hy25JrBm	18	2013-08-03 22:53:35.489437	2013-08-03 22:53:44.073088	173		0
14803	10k2niy7geqt23joaa9r5lyu0i	$2a$07$p9J3XbzuNjghYw5nLxwGeO.GLBSwYbZKf7Kdf.fEcbbdr.iR4hExO	19	2013-08-03 22:53:35.512684	2013-08-03 22:53:44.263336	173		0
14804	10vc4c3corutcqced4z7uf4j00	$2a$07$4wi59g8hhr5ZtF4L9boBjeAwh0x5WlOV9TppEjAQmJr.TGAxGUajq	20	2013-08-03 22:53:35.536337	2013-08-03 22:53:44.398429	173		0
14805	10jr3be73uz9dsvdcx1c7b3rnt	$2a$07$ew7NzLBq3SS64FpA/530pOin6vpF/vDWrRpSUzUoHLqC1mFe7hMZW	21	2013-08-03 22:53:35.559673	2013-08-03 22:53:44.585037	173		0
14806	105jpajhh804me57b99u7u5ooi	$2a$07$SEx.O.wPRRm9SfKFkArur.rtS8YJ8OZx.aqxSj3mQfIV.2CGWWaMu	22	2013-08-03 22:53:35.584787	2013-08-03 22:53:44.729751	173		0
14807	10le2wpbg4bmtm0budbihaslxf	$2a$07$O0gNJ1chfP7St0qSMseBjeb5ak.ZRVJZ3Zmk3TndtAaKqqUDF538e	23	2013-08-03 22:53:35.609972	2013-08-03 22:53:44.859356	173		0
14808	10ob13upnbekrhcgshms4f2m0o	$2a$07$ifs3z6U715OCsGDZ9VrdfuiLypM4uTSx4qCibmA0DeYo.UVhQBHAa	24	2013-08-03 22:53:35.63411	2013-08-03 22:53:44.969646	173		0
14809	10gznn0cmobgfpvjl9wbp6e10h	$2a$07$KuE.E3Y1CoNPhTUT7Kg1heiXU9D8C725RMr.ziBz8QySThWH4flfO	25	2013-08-03 22:53:35.659328	2013-08-03 22:53:45.080553	173		0
14810	108e0rpec33cb66fclsmitnu6i	$2a$07$wQ2rrcpPXlySOcxTd/JcAu2vdwdCkKH0na0iNeDyZfITi09cP5WuS	26	2013-08-03 22:53:35.682505	2013-08-03 22:53:45.198701	173		0
14811	109ozglcc2r2fi2rer399p8zq1	$2a$07$VFVJsHxO0U8JvhB55r8KQOZphpvCycmwpKAExk9m8is.xdoQkbBwO	27	2013-08-03 22:53:35.70693	2013-08-03 22:53:45.304468	173		0
14812	10tz52qsk761lo7mo7kf9bu2s2	$2a$07$cMl9ry765J4LUlGeed3uuOIYm0KFwH92CenXOk/zrepXuZZ8dGyLO	28	2013-08-03 22:53:35.732394	2013-08-03 22:53:45.809472	173		0
14813	10fzvat2l39vurzbj0hh3annzf	$2a$07$ReKgFjCyznA6UBDgFq2.d.VJi8SvFP3a1jPm554dSqZmIjLQakcP.	29	2013-08-03 22:53:35.770794	2013-08-03 22:53:46.325999	173		0
14814	10crsg9wp80kisjupp9ptnud33	$2a$07$Bi.BICN3bDVkfaYuI55jyOD4fKK7.4tst2XhRp2wYgd./oFMpDazC	30	2013-08-03 22:53:35.796528	2013-08-03 22:53:46.710079	173		0
14815	102bxqt6k04nfcztpy6ae6btx1	$2a$07$To0.WPYpsS8yRDvmvjxxHu1g/bcDpZ5mmXasCH1LtPqfQZ.oLzH7O	31	2013-08-03 22:53:35.821296	2013-08-03 22:53:46.846851	173		0
14816	10pmnwa2bsu05gczagp91scpfw	$2a$07$FBePFP3w3paGlYcujQiKc.1BvEDig1H9cCxrCYsDp86b94MRMIOz.	32	2013-08-03 22:53:35.845147	2013-08-03 22:53:46.962201	173		0
14817	10odf9viufj8hz5q6f8hwl48n8	$2a$07$TOuaJTMmYEljHwE18hLo.uD0HEUDUA1FDbR.VXzJlNnRPom96HLUa	33	2013-08-03 22:53:35.867784	2013-08-03 22:53:47.079702	173		0
14818	108lfswneqi7mvcmqj22patxpi	$2a$07$9UDmbSxtEeWMEl8xoqKCEOTcUOlWLTOG2oXL6CHD8NOBqKCeBMXFa	34	2013-08-03 22:53:35.890482	2013-08-03 22:53:47.206584	173		0
14819	10l8jvnmk99z2yrjn083kv50m5	$2a$07$NA1VVQfiWsulMTh5pKGKie6FD4GOim8eo7hE5fak7e7kQCOo2E7Sa	35	2013-08-03 22:53:35.913471	2013-08-03 22:53:47.318471	173		0
14820	106fqsny12fr8we87365lnt2aw	$2a$07$2Y9XuD.jcTD4YeqwND8JmuzpToKKLl7djy2LRFIaEDUZZMKR4MVPu	36	2013-08-03 22:53:35.937508	2013-08-03 22:53:47.434297	173		0
14821	10zo3aix35jcuhbvhvkrgjmxz4	$2a$07$lF78fHt3V/.bhFnGOa4RkuF8CZF7pB3O5kp7I4X2RReD4myIjF6uq	37	2013-08-03 22:53:35.972828	2013-08-03 22:53:47.578795	173		0
14822	10l1hrzaecq9ffd0r0s0tlvqqi	$2a$07$uQaPpse.DNThQD1UuTIG6u04F0tJUjDaPnGCA/E3dawJAItEtP.T2	38	2013-08-03 22:53:35.9959	2013-08-03 22:53:47.692783	173		0
14823	10nochzplvyk03z4m5vyhpnorn	$2a$07$ePpWol5pzYdnGA1hCWKkFutXbMdhgTeS4ZFkZYoO1R/og2bg3znyi	39	2013-08-03 22:53:36.0189	2013-08-03 22:53:47.820257	173		0
14824	10e6rx6nntqu4ztwrdjko0j6nt	$2a$07$cdOgLmFdaAHwUmmBeaQcce5zUVFHnf14eXfqvfm5LGTKMZ7uca6qC	40	2013-08-03 22:53:36.041015	2013-08-03 22:53:47.954771	173		0
14825	107kbub09z0z6ppowiehx6ga6v	$2a$07$EPNwxWvfLnpx7lWoHllv0OYGo8a3oM9utsx54rfc2s/KA0NY5oJl.	41	2013-08-03 22:53:36.064228	2013-08-03 22:53:48.065809	173		0
14826	10x8endch8zmfetz61ayhair3u	$2a$07$ZcmsvDVpoyFEUKFlc5k55em77eJ3v136j3B2.VFUdY8mxKSIEbaoW	42	2013-08-03 22:53:36.087183	2013-08-03 22:53:48.198021	173		0
14827	10q9tp0aotuptcfv65juyaqbra	$2a$07$wXOlK08KMTlPPZUBwhD5Z.W2.P4nsERm.t8QSZkfC1ZPgnzz0oAL6	43	2013-08-03 22:53:36.109746	2013-08-03 22:53:48.314824	173		0
14828	10og1kpeh6mhptsa5bjplhgy14	$2a$07$ljHNeV.5KdAcmLt0nGzP8eyhEmQTSzpHPX0FGKneMvLOKZYOz1gXu	44	2013-08-03 22:53:36.133238	2013-08-03 22:53:48.452297	173		0
14829	103nzpfqy1w9zj7orc675ddyal	$2a$07$t0cvQrE5BOuIjOlrykp8sufYRhPWzgDrG1xFrxjNk8WS2LwPTDDBW	45	2013-08-03 22:53:36.156477	2013-08-03 22:53:48.57832	173		0
14830	107gt8mrir3cggrh3toxdh1zsa	$2a$07$4u8LAqg7Q7CUjN6g0e9hzei64SeIocZPaB6iGLKjOXdmhwaFNveGW	46	2013-08-03 22:53:36.178388	2013-08-03 22:53:48.727269	173		0
14831	108yznme1fvgidx1e2zyo76t6r	$2a$07$6dDKaOg83MHnlSW/VYfvqe5w7d5zHmFQDB6qx.hq48ymvCUbdWeYi	47	2013-08-03 22:53:36.201851	2013-08-03 22:53:48.892365	173		0
14832	1059vr0ghfl8ws15tgnsm8yikd	$2a$07$idPVCxYVl3zy4eDRUXiPj.uaVeYazSSNVZlgncv6KoJa5xtvjN3LC	48	2013-08-03 22:53:36.225853	2013-08-03 22:53:49.042309	173		0
14833	10x2k49mvuykk7gs54j2vbxni1	$2a$07$pISRZImZmjgELAXpanbcwOFupWTrmddM/9BfajpY9HoEEHCsFVGj6	49	2013-08-03 22:53:36.248092	2013-08-03 22:53:49.182262	173		0
14834	107rqk9vcfupmtxtmpoz6cvf5h	$2a$07$JcXweTgzohj.f6p0qE4UOufO3WzFtt5sAc7/M2eaT0EtgDIW9SuyC	50	2013-08-03 22:53:36.270974	2013-08-03 22:53:49.309038	173		0
14835	10rmz431q6p90hws2tldk0d23o	$2a$07$lfo67SfTkMHe/mf0aO.pluoQwY3gR.osMR3qZQCTdaFL3LjaO/p8S	51	2013-08-03 22:53:36.294314	2013-08-03 22:53:49.451688	173		0
14836	10u82pca8lflhi7xbhvc85amdl	$2a$07$JjqJOz6CIqI4BJJg8PCRKeasK5eq38nF.32Jr/HnAg1vyzdYKfnz.	52	2013-08-03 22:53:36.316596	2013-08-03 22:53:49.896791	173		0
14837	10asfsuvpz5bbcivhlsa7z2moh	$2a$07$nS5qvyQtpoECDxf3lvFhWegMFqu63CstnmCKWQG0TMpisQBXnwQJi	53	2013-08-03 22:53:36.340187	2013-08-03 22:53:50.326184	173		0
14838	10dnsa2jr1txw3gkar5ekygki9	$2a$07$mNuQG7ynlRO.0OC3cPIEFutKnk00h1g1mpV8kdNxtGFRbQsAsUmiS	54	2013-08-03 22:53:36.363568	2013-08-03 22:53:50.724219	173		0
14839	107r9h1q7wnrj5dhgaptb6l90j	$2a$07$osgmChB.fqZh8X1unEg.IedxbJ5WeHRmEy5mXavzRx8vKypJLKma.	55	2013-08-03 22:53:36.386857	2013-08-03 22:53:50.841211	173		0
14840	10brgu6vck0hjdzgbv8gkkt4l0	$2a$07$1h2dH9KZB8B6vLRSqJ96DufS3hlQN4DKJQfoS1TW4gc9TDGUPUTD.	56	2013-08-03 22:53:36.410767	2013-08-03 22:53:50.982699	173		0
14841	10juxxgdlf9k98ijthljndtn3p	$2a$07$7X2hjAitdBF4eSKwCERSYu17lI6yp.wnhaIRwehcOVoDMVe1c/7Xi	57	2013-08-03 22:53:36.434104	2013-08-03 22:53:51.204969	173		0
14842	10i6xy2hg223o64v1vn1w3itrq	$2a$07$QX2z3mSnfMr3d.TdSJ0Vc.xI/N7ASuFztSSCk3wfylI9oVsLdTERO	58	2013-08-03 22:53:36.457778	2013-08-03 22:53:51.337216	173		0
14843	10a6u1jt96vml6c6fw78t5gx2t	$2a$07$AyNChg.F61R0ktj4AQLCFuEDLVlT1OLX1RFOpm0hloCpYVAx6vuru	59	2013-08-03 22:53:36.480839	2013-08-03 22:53:51.5105	173		0
14844	10lq2nvt583bpj2w2007tq9ps2	$2a$07$Ydw0P6XEeKPs8BHw5mzM6.TmGx5JSbD67YsxVVHgTTVdvc7opLCM2	60	2013-08-03 22:53:36.503712	2013-08-03 22:53:51.695743	173		0
14845	101n1rgldhql08ky8e3tjrpsm8	$2a$07$9Icv8xtcvPKe.ysQGaw9buCm49YIzGjakHCrpHvduKUzKevrrQjPm	61	2013-08-03 22:53:36.525574	2013-08-03 22:53:54.135966	173		0
14846	10f6xoofiw4dk2lgzgfbu5gp11	$2a$07$0K.7bbt8wJSZUaE/ay6FKudNNdesYwyxBJL25qBSVHISuksIw7UJG	62	2013-08-03 22:53:36.549372	2013-08-03 22:53:56.936928	173		0
14847	10u4z5li8cf8tzhgoohgnkx9wz	$2a$07$pJ/Tmctf6mRyNfwoIgS/aO6Y0Gha60OCWH4qtIChAvbXl2w6a1HZG	63	2013-08-03 22:53:36.572755	2013-08-03 22:54:00.239288	173		0
14848	101ccatgvriw5ljgbqwi8ivrb3	$2a$07$7DqZi1T4rV9Rz9OG3i8n5.01lg98dDsIFdTr.KgDlXX8mb.6KHcV6	64	2013-08-03 22:53:36.594996	2013-08-03 22:54:00.37883	173		0
14849	10bqovqzta5b5p7fpt3vo2lc00	$2a$07$kqeae4BmGGkVJS2xJGNCMeKTXUK887KZ1P7L.9vKHuW3jWDpQLFHe	65	2013-08-03 22:53:36.617774	2013-08-03 22:54:00.578947	173		0
14850	10es6cy5t80wrpu27ngt0tb3ax	$2a$07$mRlXCOgyqeTeUqXAhziX..x3dko4LyTcWBuwzabqJAkbAJESywN9W	66	2013-08-03 22:53:36.641159	2013-08-03 22:54:02.026871	173		0
14851	10n4uf2s33n7sqwbexw4v5p44y	$2a$07$lOyCMrYkKLGfa9sYXk4utu9yYnCC1EtRK305MdHjQWP9o/0Nd/qHm	67	2013-08-03 22:53:36.666134	2013-08-03 22:54:02.140261	173		0
14852	10s4eqiddefki37wvj8bnoykln	$2a$07$qrC6hkfE6.j5492JNjGgwuazbwnn3vj3ykdEGzPgotC4kVy3kInnq	68	2013-08-03 22:53:36.691168	2013-08-03 22:54:02.284791	173		0
14853	10uzk6382h92o0p5bcmrvs173k	$2a$07$TIrEg11SIiJ.cORQkRSYteiL3HFoAVRvcumy9wMIV5OljBu12Y3iK	69	2013-08-03 22:53:36.716113	2013-08-03 22:54:02.457463	173		0
14854	101n3qayxv5kd14ylwmxzkzext	$2a$07$1Ju1LYvuTUpbmFVTJYG9eeH2eGB5gSOcNoxIfbUjUePEKpWeQcBwq	70	2013-08-03 22:53:36.748499	2013-08-03 22:54:02.729557	173		0
14855	10if9rceou4xlhduxnwt5cteiz	$2a$07$SIbht5lWII8DqeiyAElHee2r976OE4Id691.7zU7o/fahlwMLx9im	71	2013-08-03 22:53:36.776404	2013-08-03 22:54:02.871008	173		0
14856	10hbhrhix8e21a81pvtx3ep5c1	$2a$07$Z.TSjqBSAERfDeRKpdJfvue98K7JH3.Xs32p7aEX3asStyATJrRny	72	2013-08-03 22:53:36.800067	2013-08-03 22:54:03.008573	173		0
14857	10vdeu7cu90yzeqc59y9dautgu	$2a$07$i3UsN9elHvDU9.PPtMvsGuhbyZe8BdPyKkRqzyXFrrY335nQIYDn6	73	2013-08-03 22:53:36.823179	2013-08-03 22:54:03.533674	173		0
14858	108voon51bo797j37ydh0q8l8r	$2a$07$Ox8pdlEXIPe7K4zdLnVyze2lXvZYD0I.1eTUw1HWr1yLDgrX2.dnG	74	2013-08-03 22:53:36.846688	2013-08-03 22:54:03.665539	173		0
14859	10022z70ehe5q5g80wx1rqlqis	$2a$07$s2dByAErw/KLbkzwC1K5VOhaKaOieuIATooFoJ9L/WEu2Vzx7WQuG	75	2013-08-03 22:53:36.869577	2013-08-03 22:54:03.808783	173		0
14860	10m2fypy96owx3hg6srp2wzjh6	$2a$07$89v0044f8ERvJKeeIvltzutIlB4SFuZHpYl/uPI6CZMy9GIpPyuQm	76	2013-08-03 22:53:36.893063	2013-08-03 22:54:04.014136	173		0
14861	1048vdloxlun1r89hqo1jrbzxc	$2a$07$TeqsiZ3gbYTXd5Czbo6fgOFu8HZs7ZfLA.7j1xXdOf3x/kWfl7Vwy	77	2013-08-03 22:53:36.91612	2013-08-03 22:54:04.135945	173		0
14862	10rbny6zhuk7cythtzg6acwimw	$2a$07$RpIXt2wrnVpXenyuqbmxPODRHpqtf3cm40w/KmGkjj2hz0Oxg/lai	78	2013-08-03 22:53:36.939108	2013-08-03 22:54:04.270764	173		0
14863	10be06u7dfcnu5h6c3kykyk35k	$2a$07$S6AwuT8urgmsMC22Hzdn8OXsvXIQCOnCGzfS9aVCyxLxBTMyS.KtW	79	2013-08-03 22:53:36.963029	2013-08-03 22:54:04.411544	173		0
14864	10r9jy677r8dcbo6usjdjje62q	$2a$07$Iqk.wdPu1fTeDL8GxCrKW.qPdLczidkyd/Z16BJ2re9ZanaxCyo5u	80	2013-08-03 22:53:36.985524	2013-08-03 22:54:04.559495	173		0
14865	100xdma1osjx0forflfitoffd3	$2a$07$YtCrQiPFkiFe50haSqy40Oa6FBSGXmKvGzfFRiPy2sqPuqT41X1wq	81	2013-08-03 22:53:37.008894	2013-08-03 22:54:05.004721	173		0
14866	10pgiaqvmrs9twz5g2t5ylqdyl	$2a$07$grNW5.swqKvtjE4PYOXrrOatutaFS5Mhd2DrbXMi7esdlXDsJ05jK	82	2013-08-03 22:53:37.032509	2013-08-03 22:54:05.142628	173		0
14867	108yazrsgidggu23gjtyf0rcvs	$2a$07$uf.h0O254I0cG8X3X90Uru/RJlwZ8EKpAOek0Rt0.KMABcVsJTk0W	83	2013-08-03 22:53:37.05533	2013-08-03 22:54:05.318104	173		0
14868	1013izs503nooioplqkuf44tsd	$2a$07$7y7D2ta6OCHi4sUj2Ar1bO/jLBPCmmYy2n/85cXd9omQUrlSQeW7G	84	2013-08-03 22:53:37.078305	2013-08-03 22:54:08.257921	173		0
14869	108giui55qpfbwqlkeh2q15uej	$2a$07$dx.OcY/nbvFq9z9nCSGZ9.bt.B2JzZcJz7DeklXkpv7S.VbejY5ZC	85	2013-08-03 22:53:37.101179	2013-08-03 22:54:08.397689	173		0
14870	10f1d0v09gh9bh76zj679rraoh	$2a$07$obTxtA/JDriAPXr.g185KeDy6PuKzMZg9NOKiQbqynKmOuKEKEALu	86	2013-08-03 22:53:37.124139	2013-08-03 22:54:08.52035	173		0
14871	102dm6gq5c9dnjqow8lkvibn0n	$2a$07$YkJJy.cd8eGph3rIM.X2tONQJiFcsbriG3do2uAiTLnVY1m3aCSCy	87	2013-08-03 22:53:37.147371	2013-08-03 22:54:08.668707	173		0
14872	10j2mrtjbgyqg8abg4f7xzgwc6	$2a$07$8bgFPk0Bq24xrXkgaaIct.Uiw7y0hQYCRbuFyNBBYeyANYu5vao2K	88	2013-08-03 22:53:37.173715	2013-08-03 22:54:08.854071	173		0
14873	10qh07h22szmasmgcahwvebk99	$2a$07$jyQT26RWPHRTHl6yPJUnd.afIddNVnkh0d2rcBgjhkVuiVn/3IaaW	89	2013-08-03 22:53:37.20803	2013-08-03 22:54:10.152716	173		0
14874	10m4nr0pjf2gqvx0qijhzu1l82	$2a$07$DRzJOgLBLzjBbxadTnbgo.QfWvAIjcFvrl8aRjgHhKDkEb8BCO36e	90	2013-08-03 22:53:37.231004	2013-08-03 22:54:11.243042	173		0
14875	10kdhvkax9c55zxze3k51ycyig	$2a$07$I2flGK7TDYBWIZgupdKusOEUXiJER1ouEamsnR5lQCV/Rv3gNLSzu	91	2013-08-03 22:53:37.255155	2013-08-03 22:54:11.340199	173		0
14876	10ahc1bxkq400hfcck0if6pz6j	$2a$07$Sy9tgIpB7m8uypS0oiRDTOk3rc1zc59qT7FhC2m9W0Wgg73YgoTqO	92	2013-08-03 22:53:37.290752	2013-08-03 22:54:11.441798	173		0
14877	10ywg3w6avsjmy3epb9uom9ppm	$2a$07$kfQI.GMurRzUvcUdk71Rnu5K4MeRsI8YpAlyKxWfNyFRQnFtgHd4K	93	2013-08-03 22:53:37.329412	2013-08-03 22:54:11.564547	173		0
14878	10u9t697rhv2z85fdly38uvqm0	$2a$07$8/k0BxxECc5dYplWeizM7eGx4r1Dw.KoFrO8TUL1zOCAuHY1ijzJe	94	2013-08-03 22:53:37.359453	2013-08-03 22:54:11.694404	173		0
14879	105mo4vbdki4pqftywaox6qhq3	$2a$07$CCEYiIBM38sdOWZq6SL.E.H2GgSWlFZXEQST11L9cEfEoZjbZHIGa	95	2013-08-03 22:53:37.381611	2013-08-03 22:54:11.833454	173		0
14880	10m46aj0zbgbmrln8nfpg67b7r	$2a$07$3fgirO4.em6b1v4M3/9e.u0nAN99AUddRBhtnBoAKbPLGP2/e2YUe	96	2013-08-03 22:53:37.404413	2013-08-03 22:54:11.972227	173		0
14881	10bxjg27pko07ks472qt704rfx	$2a$07$D7Acc49dJvj.HvyIThf66OLT4zkCvcbdr02ppKaCXLl/ar.ORi/WO	97	2013-08-03 22:53:37.426697	2013-08-03 22:54:12.178668	173		0
14882	10ztbmrmhgasvwlfoy83tyvhsq	$2a$07$6sv46Fuz.0LWQ3WCBHo7TesJIVPTPSXUP8HAj9rS9GOXJ4gZDb1H6	98	2013-08-03 22:53:37.450472	2013-08-03 22:54:12.318506	173		0
14883	104z99e1365sdtyh04yvk51kmy	$2a$07$A8KaqyKi.SlP3kBNkW6Mhul/WZ7NbZ.0AjHTwZu04WVozWgTDkyZu	99	2013-08-03 22:53:37.475382	2013-08-03 22:54:12.449642	173		0
14884	102omn6z7cmdk3l2vmvmr44h3q	$2a$07$EfnYhuiQLpOVEFNgLVHcnO//soAQiI1pxejp96CIXEVKyr1NoUwyu	100	2013-08-03 22:53:37.499473	2013-08-03 22:54:12.582174	173		0
14885	105l21ed0k30reesekaay28uc1	$2a$07$b3ECLDUjA4TbCt4pxhnjbuOcCIWoqr.gMmjRSMARX.URCqyXs1FaK	101	2013-08-03 22:53:37.523357	2013-08-03 22:54:12.692787	173		0
14886	10gmlzayjm4ox7hq30cnnrvmyq	$2a$07$vKnjnSerblezBgehQYobHekP4GLGsssIoXBOuuDAI4ZbTaINTWz.O	102	2013-08-03 22:53:37.546728	2013-08-03 22:54:12.831878	173		0
14887	10t8hkdt33lfy7gdk9gk52w721	$2a$07$9SY.sJbnTHkvn8oVSLKXauc5RV.ONkZRmKkrNz2VieYbHOYsj5HSC	103	2013-08-03 22:53:37.570357	2013-08-03 22:54:13.246628	173		0
14888	10w8q5hakp7ywulkw9cro6y5rj	$2a$07$xFvhwPKJtPakuBSod9V5Te4onl8U6jNmfN1QxiNFOHw9jXAj32txC	104	2013-08-03 22:53:37.593422	2013-08-03 22:54:13.65037	173		0
14889	10gkeixpjn86budv9eih7pbhpp	$2a$07$IPnmEKc5EM0ASW829JtAjelHMx/kktv7/PpyYvyicMAMygsBRPhsW	105	2013-08-03 22:53:37.617214	2013-08-03 22:54:13.776777	173		0
14890	10bnze7s70vwevoyky19f6a3ir	$2a$07$83TrY6ZhSVFm2PBq8FWV5e5FMy0L79eEqZB7AkFp.jx9fJsOeZVdG	106	2013-08-03 22:53:37.640901	2013-08-03 22:54:13.911332	173		0
14891	1044e9l0b4ho5f2pv3fi2fohkd	$2a$07$cJHDtZB6oSkzsPqZWy3fcOMMAnEvVwOpSTRv.fAX2obSQ3wFlvpj2	107	2013-08-03 22:53:37.666417	2013-08-03 22:54:14.031994	173		0
14892	10z2msefs2i88pc4qesxpii7wl	$2a$07$3Sdh5OFGdWSWou1TrgKTleKSdo./Kt4lp0x8u4yz0VcV3FJt17.ya	108	2013-08-03 22:53:37.691354	2013-08-03 22:54:14.168894	173		0
14893	10vefbkvywomz4uda619w1n0c4	$2a$07$eu5jGc47lOcFJQsaz5sJCeaAVBumoDh1oXixgk19c/kyXJM1srANi	109	2013-08-03 22:53:37.715576	2013-08-03 22:54:14.3301	173		0
14894	10jrzva0p91p5zz9y9rziu5u2f	$2a$07$HS41xTUX5Fs3aNC0M5skMe70hziGMefi6klZsr1zki7W/Z/a1svJq	110	2013-08-03 22:53:37.740781	2013-08-03 22:54:14.485313	173		0
14895	100rk2vjxljouz1ygjhtdgiiae	$2a$07$gj9k4x.LYetR38v89DhmDOmfsUH33w9kUvRpEiHodvYgOiO6bkvQa	111	2013-08-03 22:53:37.765825	2013-08-03 22:54:14.636349	173		0
14896	10y41p0rwgh2ot3f3z74ioj8n4	$2a$07$ZT29gNqVmqffe6gF9bChM.Rr8E/sC3f3zH8vMKjwfH0nxYG76cSmK	112	2013-08-03 22:53:37.790642	2013-08-03 22:54:14.821674	173		0
14897	1076bh3r7ya64pjk8hvk8ax0ri	$2a$07$7/hjTBr794DhiMrxfglUzeU3BspWohod6qVg1WobTTsqq5TZG454K	113	2013-08-03 22:53:37.815657	2013-08-03 22:54:14.970892	173		0
14898	105c6612y13jjjbwb0ye89wqtx	$2a$07$Vnwzv7pYJVlG1yh0uD6czOLKK./66gQk8pTq3eUWTbI4gITNORSwm	114	2013-08-03 22:53:37.839097	2013-08-03 22:54:15.102953	173		0
14899	10ufso1b3rh481pzi5g4j0tm7h	$2a$07$R.ilhOaBmzjP.0PZFCMVY.Msn2wzg7vqfh.e8tbdZCJRH9e1gDBKe	115	2013-08-03 22:53:37.862507	2013-08-03 22:54:15.245952	173		0
14900	10galatb8dqu1oe9nwgesot7bb	$2a$07$dxXhJNzeSvS6ld0eihN3IuvxOiUFXaK9/ju0EzUqFvYchomufZeii	116	2013-08-03 22:53:37.891148	2013-08-03 22:54:15.398348	173		0
14901	106y0klvhtoola08c0gody48dk	$2a$07$sbk6Tc3evsMYnzpfLsXUYOf9dow5pKSWMiOpHJsAoywlfcBoneoF.	117	2013-08-03 22:53:37.914532	2013-08-03 22:54:15.529221	173		0
14902	1016viltwy9rmie7jqhcaymfp9	$2a$07$HdA0RP9n3Sp14ZXrSOyvcONMYV6TEqTAonoHwXuhAsLMzXtkJvI7y	118	2013-08-03 22:53:37.937776	2013-08-03 22:54:15.681328	173		0
14903	10tp0ioojzcj9n1j3m55gmx2ow	$2a$07$rSeU8gkkOSaZEjHUJAJy3OrqM0YyB1ulaJRDzwsCeSHa67TaNXdL6	119	2013-08-03 22:53:37.960978	2013-08-03 22:54:15.82192	173		0
14904	10nig53eescdbohtzg3zb54wd2	$2a$07$uTiN.t16pR/L107V7ftA0uw/8xlFluCkCwkQ4Ut0Xok7Hb8/vs7k.	120	2013-08-03 22:53:37.984469	2013-08-03 22:54:15.9515	173		0
14905	109jgww01wxbc7dvvfmhc74bjp	$2a$07$oYo2jjHHJhLJn/.1MxttSuG9erLTePiWsz6iBBPfmMfsVWqekokLW	121	2013-08-03 22:53:38.008203	2013-08-03 22:54:16.208365	173		0
14906	10q9wcaqoygb988czrmeqv4zbt	$2a$07$IJ39Bl8PIo/1UWZlB8z.zeWYDeHmFZSazCFuVzXeHso09GhAOD27i	122	2013-08-03 22:53:38.031917	2013-08-03 22:54:16.392471	173		0
14907	10xk79h85z494ya6c29e6hakke	$2a$07$LuC2D9.C9EomzsiR7n1Rne1xEXmR5pMASjx/VyhhRIKCZZzDHaN.y	123	2013-08-03 22:53:38.056956	2013-08-03 22:54:19.143558	173		0
14908	10xv3j6vi58mwai4v538zam495	$2a$07$5Sv9Impq29NgcNB97l/CbuWrEzBmwSwUwvEiTqNEGyssq5I78vgx6	124	2013-08-03 22:53:38.093862	2013-08-03 22:54:22.341384	173		0
14909	10a0jqzq9fc0ikvdmf75m9scj0	$2a$07$rXOrF7VWcmsK5p3fJ.lpvOZchEEqg6sv0h0RukVrEAl1SjLv/S/ea	125	2013-08-03 22:53:38.120931	2013-08-03 22:54:22.786326	173		0
14910	103p0b5z4exdzg8sbr7o23dav4	$2a$07$xbIAyB5uuGmbf1tHmdfAZ.gKfzjWsjKvuDJ0Y3Jb4X.hdAoYrngrW	126	2013-08-03 22:53:38.143691	2013-08-03 22:54:23.359469	173		0
17179	10iavn7gj6vdw1tfmqexxz3ykj	$2a$07$QUgPh2PiOpsEhQasJ/Cbf.WPe4wPCo.2T43opC2l1gVnuNYw5t1r.	1	2013-08-04 00:29:48.117448	2013-08-04 00:29:51.439829	192		0
17180	10olysusu8vc6yhn9brq23zs54	$2a$07$fmv2f7GURYcZexREvv19wO2Roh7J5cw9zpzR0xpsK1kDD0TmaTYu2	2	2013-08-04 00:29:48.143933	2013-08-04 00:29:51.558212	192		0
17181	10iyp9ucsu34nc2y1iidr8e2gj	$2a$07$uROV4epI8zXEyV1NUqwSXucoJiVs3h4tcxKLpMR0N2k5IdkDXORnG	3	2013-08-04 00:29:48.16771	2013-08-04 00:29:51.729107	192		0
17182	10zoggn9734w1ej85i67a77h62	$2a$07$QJbSPxnvmlA3no1PfMRyBOl7dAJGb5PEwbDfjD7ktOWbRm2RcQnqG	4	2013-08-04 00:29:48.190899	2013-08-04 00:29:51.900776	192		0
17183	10ywefa2zwq1is1ih2km69cecs	$2a$07$s9mDEfJEq.qGO0pT0TdAKuC8Q1PXF4Q/asnv1d0rqyM3U4B.C6YmS	5	2013-08-04 00:29:48.222373	2013-08-04 00:29:52.086994	192		0
17184	10d9xjco99fccdlyhllyr249x7	$2a$07$tGHYmYu3TldVG8QtyimbgOzznkMK8cIxOBinoHNkgqMhSwnaC99e.	6	2013-08-04 00:29:48.246316	2013-08-04 00:29:52.251436	192		0
17185	105yo4w1xi4fdkk3blm7cv1y2t	$2a$07$vD7aTgZV5Ths34oerJoCX.Vm3n0k99eG.mcIpDGcVAqb0x24detoW	7	2013-08-04 00:29:48.269041	2013-08-04 00:29:54.889825	192		0
17186	1076ihswqj3rsthjjcd0o0kmd3	$2a$07$LST/ahjtpLFT7mNtlAy3ou7fzl7WJgw2j9fRGDC0x7rbnjLYM1Siu	8	2013-08-04 00:29:48.291827	2013-08-04 00:29:57.544648	192		0
17187	10o9yjkc4a3pibc8to8sw9nw7h	$2a$07$WGFsNEC5AcoV5//kAcUVbOI8z1tiEy5OTkXXRaNlAhrRxj.hiPcuC	9	2013-08-04 00:29:48.317163	2013-08-04 00:30:00.626434	192		0
17188	10qoghf0ybfgwcg7saouknx2bi	$2a$07$QFO1vhqWqy.cHIIQdPDLl.Q/k.0AlzGkvyXv5lFtSQSU0t9dmx2k.	10	2013-08-04 00:29:48.342441	2013-08-04 00:30:00.723972	192		0
17189	103e3w7o8gzhrf0yzls1uxmn97	$2a$07$FY435Eko/jOXkt0bTOBSueBxFtnXfi2ShAJ/6EdDNQNqNcuKns6pW	11	2013-08-04 00:29:48.367439	2013-08-04 00:30:00.825608	192		0
17190	10ycvuixc9yu0olgiuhisz0tjj	$2a$07$VPa8laTyksl5.ITnIvmmxuA6F73zw2TXe5oTTjpKMA4XfxkEgbaIK	12	2013-08-04 00:29:48.39281	2013-08-04 00:30:00.918205	192		0
17191	10rbeg52sxft1zmborw6531t5d	$2a$07$fFH/YOxAILHG26mgSSm7L.EN9cJocYyvDFW8u2OIP5hyUpwu/JlK.	13	2013-08-04 00:29:48.417885	2013-08-04 00:30:01.010208	192		0
17192	10z8z28qpu1tl5ggrn0lhle44f	$2a$07$gQQYJ8dJjYCfylHXTVOMVOCs5KnWctyXX/ZXQb2rGXDIBeK65D/sW	14	2013-08-04 00:29:48.442575	2013-08-04 00:30:01.1237	192		0
17193	10292njxyhv6dru4ly4835iyrv	$2a$07$aWiCwVC0nQV3gHcDiKUoXeFBqrQfZ5JV.GFtRf3YpsxOOgGjNhpEy	15	2013-08-04 00:29:48.468192	2013-08-04 00:30:01.243672	192		0
17194	109a3keror7y6sx46mlp6rv8m3	$2a$07$IlTuYNxuSg4OKAnTlj77cOH/6NiHHgPx1E/f8ocHJCecJJf3jeC.q	16	2013-08-04 00:29:48.492454	2013-08-04 00:30:01.368951	192		0
17195	10t2461tgxs2xcx3k6zp4jpkkq	$2a$07$vO5tCm8Mppwzh3GsCg3wGe0TbsZIzUgZZCJO1FobSC/JkFL0nwo5S	17	2013-08-04 00:29:48.523389	2013-08-04 00:30:01.516711	192		0
17196	10qvv51ekkw6b79osj41yzdbx3	$2a$07$eK/nSuX0SGYQR92xH2AwVuWY4KcDr0UryPMxKnJ0qlVVIDaAANstC	18	2013-08-04 00:29:48.551646	2013-08-04 00:30:01.652687	192		0
17197	10pohnj6u06tr0drq2k8jys0ne	$2a$07$RiMbM/w8nCQEPLy9cwhFcu6ka403.Iemt4aDvypyFyZ7AtkH3wk0W	19	2013-08-04 00:29:48.573516	2013-08-04 00:30:01.756702	192		0
17198	100bz8wt78ljvpr6raa2oxsscy	$2a$07$ExFJPqMt3y9pgn9/KQfN6.5zQmRIA3c/RZWBQEUuqKdTHtOPl39hC	20	2013-08-04 00:29:48.596381	2013-08-04 00:30:01.852042	192		0
17199	1053r0yaopk2x8eco3qtrwasyr	$2a$07$KUOD1oP9H62MOXjVbMgAmun//P0Jm9AgEWOrqvE/dFSVCqbSg8Sbq	21	2013-08-04 00:29:48.619977	2013-08-04 00:30:01.943354	192		0
17200	10b8k3cp5ky9c2r9qvoyvnm53d	$2a$07$UviPDfIZv2SSwP62b6O/LewwBv0Cy9m7CpSQLCLGagAFN54DpIr76	22	2013-08-04 00:29:48.642672	2013-08-04 00:30:02.059551	192		0
17201	10y13s9xme65k73m84j0igmeuk	$2a$07$91yv2u1qwjpDS/llT98y5OtvDxxFA0yg./cYERnnwzLJ1TQpxU1XK	23	2013-08-04 00:29:48.666476	2013-08-04 00:30:02.166655	192		0
17202	1071627tet92ne84duvj8olnm3	$2a$07$uLr0WpgzGPnENtJV9WNkLegPyG/w0g2dwhEfkyqnPX1PCGXZtDlb2	24	2013-08-04 00:29:48.689015	2013-08-04 00:30:02.255243	192		0
17203	10j6p9ack8znylgy5w83trqlrn	$2a$07$gMp4P.kpohHuqtfCTOl5iuenA6ody17sNsR547UeYJYtQkgXY4d.O	25	2013-08-04 00:29:48.711144	2013-08-04 00:30:02.35453	192		0
17204	10nbh79o6iot4xs2dn0zlbigep	$2a$07$DUKqbmKd6RcSqoamcQwqleuxhyr..Zfx4PE7LdaQssTDVoAb0jPE6	26	2013-08-04 00:29:48.734448	2013-08-04 00:30:02.464694	192		0
17205	10bz3bl6f020ox0kiod3mhut0b	$2a$07$hCkdCNMFdJjymBDWEv.OCOFleiWuvUU3LhZ51WeXFRrlhf983fb5G	27	2013-08-04 00:29:48.756228	2013-08-04 00:30:02.578664	192		0
17206	10bcw045yzj5uiw0vlfgww0nyn	$2a$07$q5p0DHZ8AmddQknZgd5sDOlpZap8TWBLUlOz/E4qfw3cdYPC/Mkgy	28	2013-08-04 00:29:48.779053	2013-08-04 00:30:02.91365	192		0
17207	10i66cv3xmibfkx7ym4uyknnds	$2a$07$Q.FUSismBSIPhmw3ok4twuEkoM9E6EUhVxQeSwBL7gZBVdsTvsfL2	29	2013-08-04 00:29:48.801558	2013-08-04 00:30:03.197494	192		0
17208	1084xdbvb37r59cj8qq94pak6e	$2a$07$lbPT03I6FM0thqDAQGNKse4NM8iZHwahuXdSpbZNYStdjK8sGUqUC	30	2013-08-04 00:29:48.823404	2013-08-04 00:30:03.463331	192		0
17209	10gu5vtb3r08x7qqc2nccalc4d	$2a$07$hiepNTMEz3YpavvtZQpqGOypOopkfQBFv.qpcEPsX68Ead/PXdbNi	31	2013-08-04 00:29:48.846186	2013-08-04 00:30:03.578761	192		0
17210	1018amk2rwjnhu6vh12hminesc	$2a$07$r/vK2nwItzABMaMmwWTNauJVtt5TKbYZw9qcn0Xfyc9UKKeUL.mTW	32	2013-08-04 00:29:48.868644	2013-08-04 00:30:03.676848	192		0
17211	10e420wo2twge1jl21z6hryg40	$2a$07$BYdCR77lPGXEfCv.KsF5EuW/vUs19OSxZd2YUDDQVhY76Eph0U5Tm	33	2013-08-04 00:29:48.891525	2013-08-04 00:30:03.786148	192		0
17212	10cqegffg3otkfjp76ldvyapoa	$2a$07$F7r3i1RebGDlDGQ/AtHOEeBY5BXCh4CV34V28WCa7aXxaYoqESt4S	34	2013-08-04 00:29:48.914484	2013-08-04 00:30:03.900697	192		0
17213	108ddm8ogv1rdv8rezrgvnjtmz	$2a$07$Bj78on9zvZIZO6bHW7maAe70G3UjNAXI9BIiB37jEMbnIjQJ1gOIS	35	2013-08-04 00:29:48.936651	2013-08-04 00:30:04.015499	192		0
17214	10dp068vy7td4xys3i45g0ugtz	$2a$07$tq2.OmHGaP/CoTbUs9rCvOFEY49NS97JXIogTR3MAU.rwuwxh/UD6	36	2013-08-04 00:29:48.959463	2013-08-04 00:30:04.153904	192		0
17215	10s9zsb7wji8u15x1y0v0kftjw	$2a$07$YBfgrORLKymdGDh.4QylneDbe.1N3IRJzjINGZH7dLPRXLIh.TB5S	37	2013-08-04 00:29:48.982215	2013-08-04 00:30:04.376351	192		0
17216	10gmsxod108cruwj3ivrm16bxz	$2a$07$2Xon.oNSIwZhns4mwMtf5.9sIXxC7p/8Wg7nAszyr3M/OYkNrFlsC	38	2013-08-04 00:29:49.004175	2013-08-04 00:30:04.577029	192		0
17217	10xqb2lheewbg8ahe6dudguds7	$2a$07$n21LbdZWAzhLk.t1QY9QdOhcy28NPvErLCa8bNJIS7.jqhGaBrQhq	39	2013-08-04 00:29:49.027044	2013-08-04 00:30:04.71667	192		0
17218	10pm4c4pawj1mt3qj5pz0n71ji	$2a$07$the4IojF6ZBwJYBdwATzyeVZ05dgk8.Szt/lyI80j6RN8xFVFSHwO	40	2013-08-04 00:29:49.049429	2013-08-04 00:30:04.876794	192		0
17219	102cc6f3z7hjft0ee2c1sw3maz	$2a$07$8gYtfy19w7yhdbg5gAtoU.KFflh1TyfIPcJFA7mw93ZSBfWeB4T2y	41	2013-08-04 00:29:49.072953	2013-08-04 00:30:05.026789	192		0
17220	10s20ujjrmh0ikjfo0dgzkvhju	$2a$07$mrfJeov4aNaXB.CWQuZEDeRprEGPUIkHy2D5r3C0i674s1J27Mc86	42	2013-08-04 00:29:49.096831	2013-08-04 00:30:05.166143	192		0
17221	106lgxbk1gbftxd3v6640dvzen	$2a$07$7yJDmEagXJRmTIAxWFVhW.jgyRVGP0jb02THgmaRR1yonjaMBZhmq	43	2013-08-04 00:29:49.118455	2013-08-04 00:30:07.766048	192		0
17222	106m35arxf1tmsl44fcv1drbpo	$2a$07$kbIYBsQJn/Bu2Q.rgFwVX.sG9a1SByMM/MvSDMChHvgF/Urhg3bTi	44	2013-08-04 00:29:49.14122	2013-08-04 00:30:10.263932	192		0
17223	10i8vzy71jhjitqv4n5mbel7jf	$2a$07$VQ8qdpXkhD3Tl0TbOqE4UezDmmPmwYydsG2XUvJlS7pqnYpBC7Mr6	45	2013-08-04 00:29:49.165129	2013-08-04 00:30:12.656036	192		0
17224	10ckpzumegg4f6ax9dwpv53jjd	$2a$07$ifT.io9pMh.tzx.I39VvTeZ32.Ge08zXCjRjvcQTJwUB0ihX7sWWi	46	2013-08-04 00:29:49.188337	2013-08-04 00:30:12.814933	192		0
17225	10wghl0fy6u9l3i63fhldnlq4a	$2a$07$rkmF.E5Xu9.yA8vlhiLOEOgquvMxKSc1G7Z0vsM8JTw26f6R6H9z6	47	2013-08-04 00:29:49.211348	2013-08-04 00:30:12.961887	192		0
17226	10w225joviw2wfoomux1q42cbg	$2a$07$S3iBvpNxjijnjjK5BVd1nOHd8DYy8IyE8b8hQjDfvJHSP.8GvE0b2	48	2013-08-04 00:29:49.233291	2013-08-04 00:30:13.108483	192		0
17227	10zgemhgwevrt07y3nllcq9yk1	$2a$07$XkPokgfCM993O2BTefeLr.2ImCOrehSqTkc8EN7.VzzcXC2trcKS6	49	2013-08-04 00:29:49.256754	2013-08-04 00:30:13.213461	192		0
17228	10vc5gogjqyoxerr64t58jjvqn	$2a$07$JrPuLBmnQbXnNg2u4sdYL.n6vgT.ByoANzLHtCwWKGGNGADGAyxlC	50	2013-08-04 00:29:49.280015	2013-08-04 00:30:13.331627	192		0
17229	10zry95dm4ttkikzcrvueh1vrx	$2a$07$wCW7qxPkZttR7G2awnIEjuVEyE0ctoqti9vco4.dKKywLdu4v.k42	51	2013-08-04 00:29:49.301863	2013-08-04 00:30:13.453083	192		0
17230	10fn4dc7083c3u2cz5j69rrtpa	$2a$07$IZC19Y/BKsuzAY0Y03eauuiUPtKJuKKrWlbxfuiCsCZ4JBanrkWs6	52	2013-08-04 00:29:49.325145	2013-08-04 00:30:13.765106	192		0
17231	10eitq7eibp1avjuhv8a6pcuyg	$2a$07$ogoLmM9K1BfHQVs3os5g5ukyI.akXK/V4w62VxgfeBVbjZ1ye8Yqe	53	2013-08-04 00:29:49.348554	2013-08-04 00:30:14.164264	192		0
17232	10dj7ozunsit8ytv79sl9wvc6p	$2a$07$7WJXkOIcVqUJSzJE5AHVFemUmM3ZePuTGROVFlakzP.M5jusAG/4q	54	2013-08-04 00:29:49.371349	2013-08-04 00:30:14.454663	192		0
17233	10o8735l6vzn7bx6y48v7fb9q6	$2a$07$gAzdZbXDTn1p1w0S/MtFPe1Iwv9JnjoghqLSaoFZg4d2MzdNPcR8i	55	2013-08-04 00:29:49.395705	2013-08-04 00:30:14.572871	192		0
17234	1012ntbhvt5gvdl426kq3pmp4g	$2a$07$TEzoZHJvzmNlT1S43sqU6OVQTi9LCiiOW19/2sFfuRhGNv9jOdiJ.	56	2013-08-04 00:29:49.4198	2013-08-04 00:30:14.68642	192		0
17235	10s7q5itey9ik5d1tyudc73fqg	$2a$07$GDZyXrp9EcFr71XqMFyA8.YF2/r4xhUunlfyvP.knihUyyfU0sDNu	57	2013-08-04 00:29:49.445506	2013-08-04 00:30:14.804336	192		0
17236	10kwii0ka37e4ciys37h0yg003	$2a$07$1r.AY7/ip6/J8/39XpuM2uvj8D6c5s56DyqcxaEAKbCr2XIT7nn8m	58	2013-08-04 00:29:49.47239	2013-08-04 00:30:14.909021	192		0
17237	10003aficj7q2bkr5unvqv6g07	$2a$07$GYt4G6LiEIX6mD55V4/g3eSHIwRgPbZCQgGtzVTRtQ0q9FhnUSo5S	59	2013-08-04 00:29:49.504755	2013-08-04 00:30:15.048159	192		0
17238	10h9kp28pk1lxihzofv2a01ngn	$2a$07$LE8ad1jGQs/f1ZlTY9azB.sgeIo42jOdwe6ViMbW7p4M5JpOJM6qS	60	2013-08-04 00:29:49.527588	2013-08-04 00:30:15.393092	192		0
17239	10us8p3mqra8nim086loh1vhg9	$2a$07$HQ59FP9hUTPhVBrqAo4VmeflAqXoJVH3YPM4E6zbWBfVtYdQl6Dia	61	2013-08-04 00:29:49.549678	2013-08-04 00:30:18.071822	192		0
17240	10x7w9bkri3mc09z1z488lsvgu	$2a$07$gPnujRaWDdXSvXriaN8XZ.kfKm3rEq3M3xpGe0sUKjhpjDyqVpqdq	62	2013-08-04 00:29:49.572891	2013-08-04 00:30:21.189477	192		0
17241	10la9xutcqboqd1q3v5ca74o0k	$2a$07$oIrw02ieZyFbTg6LQ/hdpel.6gsrkzqzYSrxlZYDNq26a5GtRaE4a	63	2013-08-04 00:29:49.596309	2013-08-04 00:30:24.372484	192		0
17242	10dt0w0o231e3q1lqlqno0wfz7	$2a$07$JTXwrGaMx3U881QY/zdEUOrfUnb3hfwP2Q/N/MAbCty9Up4gOjwtC	64	2013-08-04 00:29:49.62931	2013-08-04 00:30:24.499042	192		0
17243	109wrx0glqr4dq3i7k67v5xxh6	$2a$07$jS4vJgKzfTtn9rOeKdF3b.rn3q3ZNS5z9ocshfniVMj7vpWZwdmxa	65	2013-08-04 00:29:49.654511	2013-08-04 00:30:24.697337	192		0
17244	10wgsp6abz8b6cv3ny1cbo8gi0	$2a$07$XRyNi64jWgidzxg7IyU2meKIx7vU4ROUYARL.MSs0wWHFLl8e0jn6	66	2013-08-04 00:29:49.681438	2013-08-04 00:30:25.960616	192		0
17245	10x4vf65ouj0852oeo7l5qj3n3	$2a$07$Ds05wjnWOwB4D4kacfypROGoSvACu0N7UzPJ/7Az6I/ghbxH0ed7a	67	2013-08-04 00:29:49.708412	2013-08-04 00:30:26.071449	192		0
17246	107pthxrvkobq5613tmydgj93q	$2a$07$.Ny7P/OV7jGKcwheGeIzF.6BiCy9qyvPWK8jrX6heHEQOuOZd8ahq	68	2013-08-04 00:29:49.732535	2013-08-04 00:30:26.266233	192		0
17247	10j9oto43rpjx95c0ijprw7df2	$2a$07$44Awdgxj/prjeHd/FRQ41ObZboAejXdZC79Z2bPqpzd0K9YNCJQp2	69	2013-08-04 00:29:49.755798	2013-08-04 00:30:26.436708	192		0
17248	10gqr4vv9skvnbxwu25lwo7zu1	$2a$07$oZmYlWxmYONbfCyPH7yLx.WT.S2NkBG9qqqFCYGzaDThawUsBLhYi	70	2013-08-04 00:29:49.780839	2013-08-04 00:30:26.576563	192		0
17249	10xvyp7obvdv29uwd9v2r60kwm	$2a$07$l5dd1mIeGrv6b4KdQj4i7eDgP3rPvofwD5.HxD0y3Ji86ygmAVUJC	71	2013-08-04 00:29:49.810378	2013-08-04 00:30:26.718843	192		0
17250	10i4n5yoqt8uaj56lzbceh8m26	$2a$07$ksBdGYzmpY9zebNPtOLv4.u8/TxAnYhr8WKeFsatJzW9IyPm6BOWq	72	2013-08-04 00:29:49.842835	2013-08-04 00:30:26.936009	192		0
17251	104kajrhpdk4r5au22a8mrgnvp	$2a$07$/2FJ33FMsNff9OqtoXA46On0Eto5xw6JD4CgKuOwvJFnkFNJAO9ei	73	2013-08-04 00:29:49.872755	2013-08-04 00:30:27.301312	192		0
17252	10vbbl75jy51reh540h9hvurmr	$2a$07$ZVCfG4lrMUq3mRq5AvM5zOUqMnU48Bk/dd0dbV/aIdVEe1wEBz4Gq	74	2013-08-04 00:29:49.894747	2013-08-04 00:30:27.43531	192		0
17253	10na3s84auemizadmc6xfqefra	$2a$07$xLyUBvaoI7LFqa8nRDqeX.M2hXcPaob48SNnJELm7HRRA0T8Z7fSe	75	2013-08-04 00:29:49.918405	2013-08-04 00:30:27.5661	192		0
17254	10vngn0st1e7v0ew52c0f6u8f6	$2a$07$QYT4W5peAy2pyz7CzLmFoemzehPIiGqMcckykEai3a9x07rlzmeqC	76	2013-08-04 00:29:49.940225	2013-08-04 00:30:27.850307	192		0
17255	107tyllvljpiw0x0ywse5okz4w	$2a$07$zEGbcP1LD3IMxFmlidh6D.QZuwsx1LodVlIGGAia9ZG.9kc78RUL6	77	2013-08-04 00:29:49.962828	2013-08-04 00:30:27.9664	192		0
17256	10mhkhb96bf3mu5p0ocjpjqiz7	$2a$07$iePXa5ro6UBTrvGWDOo/z.XqRVI9Mn.YPjIxR60K9m4oTScdVZvQG	78	2013-08-04 00:29:49.985992	2013-08-04 00:30:31.116095	192		0
17257	109j6h90rl2x419b8lg5kocnwj	$2a$07$pqDpDB4z1aXttrNXfm.t4eLavx.Yap9OJkbD2C/4VHm//w1JhgpLm	79	2013-08-04 00:29:50.008428	2013-08-04 00:30:31.252707	192		0
17258	10d6uloki7d4qxqasr5kry1kr1	$2a$07$9i/6sK6UYX8kdJi9aE/3huIfuvhGAqZT59r3hGlh8sktJebrALc3m	80	2013-08-04 00:29:50.031054	2013-08-04 00:30:31.385466	192		0
17259	10x6leexr1vavrti08jjl9iqlh	$2a$07$/6KBIBJ.BZA2ntPCNC4XzOJGUC3dzpLodX9Cec3NG3xibHBpgxGZi	81	2013-08-04 00:29:50.053626	2013-08-04 00:30:31.632759	192		0
17260	10lv3y0d8zqex82a0wu2t0ch4s	$2a$07$N9caXXpGKl5gmXVZ6BUBTecvsf8gunF4psHm333fLxXJzh1XGyJri	82	2013-08-04 00:29:50.076087	2013-08-04 00:30:31.752491	192		0
17261	10jsxd7bsc24e9lwzbrcwx3bgc	$2a$07$uzF05gHYAivCZO1DzyYOo.YudWaDS1JJQwl8IlQvMH/geyuOQMV92	83	2013-08-04 00:29:50.100056	2013-08-04 00:30:31.932149	192		0
17262	109mry80ln9kdlglk4v5n9089x	$2a$07$0vWbVDMbBk19rQGyK1nVte72Y4joP2qJ9hLQbiUoaQHkcY/pAoWdq	84	2013-08-04 00:29:50.123863	2013-08-04 00:30:34.762647	192		0
17263	10l02h3xa5zcoxguvm3vj7unwp	$2a$07$ArKuqzBBeC9w.ooiI9owy.3ocAAlfQw7couS4jO7S.O9ghjmiWPta	85	2013-08-04 00:29:50.148075	2013-08-04 00:30:34.908886	192		0
17264	108a54a9daj2dh2p4d6vlwykzk	$2a$07$l80MIfr97V99sGv4aDbu5eGiKABz7KFAuj133EUqcd088UNoBBPVO	86	2013-08-04 00:29:50.171026	2013-08-04 00:30:35.050908	192		0
17265	10z8jmwhrc0t0s103fq8cluys1	$2a$07$dbu7Iyt/QYOFkHokPiNd9OlIyYhtzkKri9lFX6BiVX5eqUYxli0/u	87	2013-08-04 00:29:50.194341	2013-08-04 00:30:35.160831	192		0
17266	107n82ueyk42ip3rl1aseilvhd	$2a$07$f38RxfcbdRhovNun0yJ/TOxHQwONkjsIrNbM4v814dbMpF4UKhUP6	88	2013-08-04 00:29:50.218767	2013-08-04 00:30:35.277098	192		0
17267	10bdtfpn8xpbul49zbmh19aa9u	$2a$07$gYjqSPRyvNocbC6i4nH6EuvdsHVK4vX4GYuboMXfACOvvjbq22IHO	89	2013-08-04 00:29:50.245882	2013-08-04 00:30:36.348857	192		0
17268	10nso2quadkjaxwzrvby120ofr	$2a$07$YTl2yEUAbG1NM88VhFfSrORkmz7PzR6KmN6NX6hyEtFDAZhJLK3Ky	90	2013-08-04 00:29:50.269676	2013-08-04 00:30:37.39466	192		0
17269	109pur7ydgwreyx5yxrmbnln20	$2a$07$VDXfdHpw6zDykFidlyw01.1E0LOPd.96tfmQeb00PZHRchp3WZgJe	91	2013-08-04 00:29:50.293545	2013-08-04 00:30:37.519848	192		0
17270	109w1my7vltv5fcqowejlim90l	$2a$07$xBeYlXN4mH0yo3.6p8M0zO3xmcCRWr8C1.CQ3C5.yayLnPI1eLWNe	92	2013-08-04 00:29:50.31805	2013-08-04 00:30:37.632199	192		0
17271	10aajghp350d9o69wh322vamgh	$2a$07$aaGAFXegUptzlHqD8yhVweMl5HOY3j.aao0LdoHKZfZ2sTAWxFdUK	93	2013-08-04 00:29:50.346672	2013-08-04 00:30:37.743848	192		0
17272	10txzccxeqevcpa1grb0gt6sbh	$2a$07$KKPrG4hQJZW/dnf1L0KI6e.zHiZD448cXWSlyudWQuQnh/nB3oiQe	94	2013-08-04 00:29:50.370828	2013-08-04 00:30:37.832877	192		0
17273	10dcuzk81mj3nwlni5y1qs40z9	$2a$07$8yWjsTeqIcpsDAdQccOzWOcxGLO34ZYSg4aWxOP4AczYj2U0tGhiW	95	2013-08-04 00:29:50.394789	2013-08-04 00:30:38.081577	192		0
17274	10hfloyc2q5ovs5wcdj4hyvzp5	$2a$07$db7oLhb/nfPgEwjoeQIhNOibl8emRp4mIAbORe6u9AZQBxO6VtgEK	96	2013-08-04 00:29:50.418269	2013-08-04 00:30:38.213236	192		0
17275	10ng1m6ch6mw9bdl07yep7jpof	$2a$07$E7XKLt8qyh8KP8c6nvnnMOaiIPVi1TcVCZJkTAmOJUg/Xv.PChKWW	97	2013-08-04 00:29:50.441462	2013-08-04 00:30:38.310341	192		0
17276	10ojbstafr0na27c6zm1kcf2sy	$2a$07$j.j8c70jqdgbJeKtI/KMF.wwtkmR5A9.7BdDB4SteMScAgQn62cde	98	2013-08-04 00:29:50.465975	2013-08-04 00:30:38.442805	192		0
17277	10ud9um6vxxqsvivhyel2jd6rp	$2a$07$9enDqRhdKgxL44jZyJDHK.iUfzMS2XltQCREwbhNEZ2j3wbAH1VPO	99	2013-08-04 00:29:50.490821	2013-08-04 00:30:38.564901	192		0
17278	101290bjyhgi3ivalvj2t018wk	$2a$07$TUjdmsBrQOaISio73DymBOSWdOTHEDKbjB4F3pcwqou3.UC8jhvIK	100	2013-08-04 00:29:50.514402	2013-08-04 00:30:38.697037	192		0
17279	10jlczvf9v0hjvpijwig3jjnqo	$2a$07$KQ9IUvkdG0yga3A5YXB8sekVwSIRrUSXwa1Zh3fiPna5VAv0DzbC.	101	2013-08-04 00:29:50.536161	2013-08-04 00:30:38.86522	192		0
17280	10o4byr0vib4z8qvgm7uwc4ebz	$2a$07$k/3.cVoq0oPXakSdD6i1u.pVRkppWxGbHSCtRU4MlWmLG1KUivsU.	102	2013-08-04 00:29:50.558445	2013-08-04 00:30:39.109721	192		0
17281	10qotgj9gf3c91obgvkzxcc92h	$2a$07$.AVPFiyUAH4PbRzrjyWVYuMHG8DkKJQWfduG9GRc77.9hBqRht6Rm	103	2013-08-04 00:29:50.58088	2013-08-04 00:30:39.480155	192		0
17282	10n1apv9p3ytox3ns5z3gadmyd	$2a$07$08r9c9Xp3nAeWVD7B67WRO4pbLA4j97GbP7aFUtEIZV/y9dacqH8C	104	2013-08-04 00:29:50.603029	2013-08-04 00:30:39.84596	192		0
17283	1074j4g9i5krdpgk5i3sp5wc3b	$2a$07$HUpQPxXa8c9KCP8DS6J3Ju94cuaL1KuUwja0GXatp994g52widGRC	105	2013-08-04 00:29:50.626934	2013-08-04 00:30:39.980574	192		0
17284	10yntcsp4fd1bkddpl50d2sun8	$2a$07$sQyMEBAyjUoBN01F/XQooO4LcajE9oywbEDFHxnErymdFTfwh80T6	106	2013-08-04 00:29:50.648492	2013-08-04 00:30:40.115311	192		0
17285	10rheu8oh6qxpfc27wi27602fl	$2a$07$hPVffgAfSKLFYVeRr3sLuefOswdgub122wVpqxe6yXOqRArD/7yuK	107	2013-08-04 00:29:50.671468	2013-08-04 00:30:40.23729	192		0
17286	1075nwwtyso2r56j7qo6ro4vut	$2a$07$BY5WI6gGckAKcuFG.U65NOH10xYW/B/cJY9nDrb21hkterXgA0ydu	108	2013-08-04 00:29:50.693894	2013-08-04 00:30:40.366054	192		0
17287	10u8npfuh7gr9qjkdz1fkt68gp	$2a$07$vhr0PqEeY49QstGcpBG3ce7p5H6s0ZMRCJbtbIgn2ssTcOlIVzkAu	109	2013-08-04 00:29:50.716478	2013-08-04 00:30:40.548491	192		0
17288	10qg3c301z4hcpzcandbl3njeg	$2a$07$J3lVtuB1AmU6zD9NCuKG3eyiMnZl5/X.r.MD9tfmCVXxAmcK7s.wm	110	2013-08-04 00:29:50.739055	2013-08-04 00:30:40.678913	192		0
17289	10lk53wu7sojn0acmiyrlx7pua	$2a$07$yo1UfBd/x4QNEUvRsOqPc.pmd7vIsNgrVJ8ZkVsiqnZLU3ulxAYem	111	2013-08-04 00:29:50.761559	2013-08-04 00:30:40.80144	192		0
17290	10p4r67qrobbv9pxdzqc1dclfn	$2a$07$OFuFsk2WEFXjC.YuVx.QWugdAORPvXephcKdApbtAPlr65N0JUH3G	112	2013-08-04 00:29:50.784699	2013-08-04 00:30:40.898559	192		0
17291	104ibr6xthhlfpgtdbmxspsuht	$2a$07$qT9Jq7ZqMIq8hAtERgpgfuprzO0kmC3KbhqkkTkQelmOy.sP5tJcW	113	2013-08-04 00:29:50.806663	2013-08-04 00:30:43.411375	192		0
17292	10eqbbcxmgai5div1jc3tetct2	$2a$07$xofxGS9Uf9LxIaL3Bo/Wbe3eRe3RJ1kDlcv6j32DwiwFmiZdHR4Iy	114	2013-08-04 00:29:50.829518	2013-08-04 00:30:45.892715	192		0
17293	10ex4orkbj067in8m0b7xpta8u	$2a$07$l0.Wdpuv1z5Et/.yr/WTyexj24mUqRlG6riZVEtP7H6ssJ30Z30T2	115	2013-08-04 00:29:50.851769	2013-08-04 00:30:46.010808	192		0
17294	100s5l259jb36x0dcaxp66y8f7	$2a$07$1tBSe0/H9MM.uZGqJCuW5eq4HZaAdFoHFO27J04voCoD2j.VZ.Ac6	116	2013-08-04 00:29:50.874479	2013-08-04 00:30:46.137799	192		0
17295	10nxs2w6y8w6bdiecpcakkxzrq	$2a$07$gNDMrEumzKsfohY27fQDn.eNkMr6ScjGzEvYCUHNRcOOdVBeQNb/u	117	2013-08-04 00:29:50.897571	2013-08-04 00:30:46.300005	192		0
17296	10r98w3trpgcgr3683x88jc6um	$2a$07$yyBzThOUJ7uE5O19PyvnXeuWmjhGaSeJT5ZPNWDBDzbFMJ95gv9ZO	118	2013-08-04 00:29:50.919172	2013-08-04 00:30:46.444659	192		0
17297	10el6xv1lcfzjn7vqvu51ajhr6	$2a$07$aAa7I89rkpFCT96EaueDeeKyWKdKuGaBCbWISMTZIE/L7gCD7cCZ2	119	2013-08-04 00:29:50.941746	2013-08-04 00:30:46.591254	192		0
17298	10b1yygg9s1iedf8tpot668brp	$2a$07$F/suwHjQ6BV/7xWcrIF.zOKSrpQfQQkpshAebV8BXSkVE.t.lBlYi	120	2013-08-04 00:29:50.964614	2013-08-04 00:30:46.72652	192		0
17299	10875e7wwtsg2nkoi1j9i6jdes	$2a$07$DmBrc2OAY8kDVZuifgVPHuUGBXdFkPBIApV8/O3Sl5vJQbwIQwnpm	121	2013-08-04 00:29:50.987312	2013-08-04 00:30:46.914015	192		0
17300	10k4y48emzprsyfr7rzp3qe8x8	$2a$07$.iUOzfGTol3FKAcvLCivPu1SIy9FAJztvxyKYOrjUkG3LWTI.6YS.	122	2013-08-04 00:29:51.011158	2013-08-04 00:30:47.049601	192		0
17301	10weenlwtrlgs0orvfucvnexwq	$2a$07$1E/fa5mltb1wbiJ/feD4gOQzp8CjPncu9xIc21zLaRKpz8l5dEZ0a	123	2013-08-04 00:29:51.034182	2013-08-04 00:30:49.767903	192		0
17302	1095ivq5azy7s2gv8a8mop0zzl	$2a$07$28Mylyfgw00aa3SZsRczU.CP653tyX/UZMlChh2iKi6eDWOn7Cn0e	124	2013-08-04 00:29:51.057121	2013-08-04 00:30:53.081675	192		0
17303	10n3os4t5ru3r00kld3zpvy7nu	$2a$07$wi/nby43fk9nYvFt..DOBu0gf.FuXATb7lS.dQv6CCylbbsGm4WSW	125	2013-08-04 00:29:51.080796	2013-08-04 00:30:53.472934	192		0
17304	10ik6p3f8u797zuczllazlqb0x	$2a$07$vU/mbEIO37XvWWyM8g9L2OnGuzFkPGbKcPm0P2SQrNBT24fpILuY.	126	2013-08-04 00:29:51.10414	2013-08-04 00:30:53.85268	192		0
14911	10cj5shr3qycaii5h43t1bjkvp	$2a$07$S.rVGhfwmf4QvJQZgRMK1ucVlNukSE.BqdICTHsndbshZzAgFQh.i	1	2013-08-03 22:58:35.102649	2013-08-03 22:58:38.357725	174		0
14912	101iy3wu7fvmn0n27818qaasiv	$2a$07$3CWiSmuCjvTR4zWK.A9/1unKNxoAuhw2MJ6Sew0/wQsOQQJ5UNMge	2	2013-08-03 22:58:35.134143	2013-08-03 22:58:38.643117	174		0
14913	101fhnj60s1ds5n7ntgx1gtwzm	$2a$07$HvNLT4/OxwWj7eell0yftuIS2jQAOv6tNEmeIrPOHY49d09WMN.2e	3	2013-08-03 22:58:35.156771	2013-08-03 22:58:38.976753	174		0
14914	10qi4pa1nh98j9xnzd54wilxln	$2a$07$X8e6HUZVzKYElhNEg9a1MuaZTxSTAeodg38omfKVNSxWX2KKJ/4Qy	4	2013-08-03 22:58:35.180003	2013-08-03 22:58:39.18814	174		0
14915	108zeonyjaho9wvv2s72yyxvbq	$2a$07$0EG7k9/ts1.m8R1ZSVPLweuiwhE6ynA8voEIJOi9jEqL11adUGnJ2	5	2013-08-03 22:58:35.201911	2013-08-03 22:58:39.391381	174		0
14916	10h57a062cceni0tkoqtc07bhj	$2a$07$3nea9rGP8TRcd53FN1KC..6eGFW/aLYBxQvRBbzUz51YxzwFMSTzm	6	2013-08-03 22:58:35.224689	2013-08-03 22:58:39.522698	174		0
14917	10f76dqi5gebkjrmfbh1i40a0u	$2a$07$SLfIO1YiriNu.4iKG3onDOfAkdw0hBto0RKi6fKx7l6Ot20xsrdUi	7	2013-08-03 22:58:35.248634	2013-08-03 22:58:40.992368	174		0
14918	10nyo1silb2bypvxxwyqrn49pi	$2a$07$3WwdO48h/UaypP0HqXpgW.oR0y0N.4tZZZFI94qFkkHHk.thcbNae	8	2013-08-03 22:58:35.275933	2013-08-03 22:58:42.13878	174		0
14919	10t1wvikotqs80xkxqyvnfzt69	$2a$07$NitbPfkXQW2Mmm5paY/D7eRyXoZdHkULyXTB7mU/7tzcAo0DBNoWm	9	2013-08-03 22:58:35.301259	2013-08-03 22:58:43.276572	174		0
14920	10vwpgrxtwtztbw3054ffjewid	$2a$07$7fMJf6RAPtavBKj/aSMqcecEUi1keGBb8JzEb/FjDLmc.U240Qt2O	10	2013-08-03 22:58:35.335342	2013-08-03 22:58:43.388891	174		0
14921	10sqhmmxfthbv12xt67lnwuugs	$2a$07$PH6G7LZv6YY.MHKWt0l84eq2L4te6o2THuMcWyZFzVkFQF7a9WaN.	11	2013-08-03 22:58:35.363092	2013-08-03 22:58:43.511864	174		0
14922	10qtgjeyiwb205n5jpg74rp3si	$2a$07$eOWPFsZy6UJDM2ibfz0iT.PwtC2NgD2HiIWUpd67KAFWz3W9/8.AG	12	2013-08-03 22:58:35.393637	2013-08-03 22:58:43.634833	174		0
14923	1003lyqshzasx8fcuf75vzzlam	$2a$07$ohuciOVCP3rSDewMm2x.Me170bDWQFelK45XMufh75IQnm.5SL2jO	13	2013-08-03 22:58:35.417055	2013-08-03 22:58:43.773593	174		0
14924	10djsro60trmuwmbgaliofrqzq	$2a$07$oebrAxiTR1VJhblu.0fZTeLF6sml37SNLFigz0hvAmIoZOvz1mVIy	14	2013-08-03 22:58:35.439133	2013-08-03 22:58:43.917279	174		0
14925	10k0ko257gsxqh5md4knhmvkui	$2a$07$.y5bISRoiuHagg0O.dpJFeM0qimBeXWFsYDRbjpG9WfmgmlzCZXJO	15	2013-08-03 22:58:35.462412	2013-08-03 22:58:44.028908	174		0
14926	10dictl56lelmj1eg1q6kuuq1k	$2a$07$7B0lWL3CzGFtUFcAO4Ru6eVM7meqcmKc1tyBcw3c9J2KN./4fG/AO	16	2013-08-03 22:58:35.486707	2013-08-03 22:58:44.164316	174		0
14927	10vp9zirjufcdi4l4wbjb95l7z	$2a$07$6/1DaNqeS6WrsrsxniU1G.BKRC1Y2NMz.OWKt559HRRzPaWYHFVSO	17	2013-08-03 22:58:35.509039	2013-08-03 22:58:44.314743	174		0
14928	104o8nvlvzmv7stlr2sl7xd0li	$2a$07$CuXPy91gcVtpGgbIm7AZdeyO1oiK7YV5gZyOJFyuP.VvL0PUviuLW	18	2013-08-03 22:58:35.533431	2013-08-03 22:58:44.459418	174		0
14929	1052i91t50qdwd3wcjb6lp4lgb	$2a$07$sYVg9yMdWso7mjdVW8JcO.9nJhHtyRJgSUx1Z7cPhKdEuZ4xDtzNK	19	2013-08-03 22:58:35.5683	2013-08-03 22:58:44.61804	174		0
14930	10n038um4gford37aop8vxzopc	$2a$07$gk2CRSyudkGQbSR9wf7GF.maNO2GgQjQ8AV97XBcEOKWGJtcAsO0y	20	2013-08-03 22:58:35.60105	2013-08-03 22:58:44.733821	174		0
14931	10phf2raoiip1v58hn66hb66uu	$2a$07$q6QOSnaERlhtwK3YuMF.rO147BsQkecNy32UI14dIgZ6eKM2BMeXi	21	2013-08-03 22:58:35.629827	2013-08-03 22:58:44.92305	174		0
14932	10r9j38e13sqcef0c8ga2u1nnh	$2a$07$G3.SyTReGquhNs4XlPZo8OlOdS9L0FpEHh3KFxQR032eRERwTgyie	22	2013-08-03 22:58:35.662816	2013-08-03 22:58:45.049456	174		0
14933	103u8fseldvzyxafcua1vne0ul	$2a$07$HKTWbRuaB6wlEOkyGyZqsustbDy8gWm2QC9wi5m/T9WXlwrwaWWcS	23	2013-08-03 22:58:35.687451	2013-08-03 22:58:45.170436	174		0
14934	10pxkgmuaamjqzv50ux3bh8437	$2a$07$n95j1Q/ztUIka.ENNeoDcO5hNRlLlqfj6j052Ear5DbUH/rpiDwX.	24	2013-08-03 22:58:35.711123	2013-08-03 22:58:45.304155	174		0
14935	102xvormwdodtr8ql3wiazjn9f	$2a$07$afzGJQGrBFwUbxbyYS84YORJFkXt7G9USFJOE62ImXz6bmBPfzCtG	25	2013-08-03 22:58:35.734365	2013-08-03 22:58:45.444112	174		0
14936	10dah13a6a4ilt5sdn75rif9ep	$2a$07$QmLBbBcflMOCdpuQuP4b7uPOi4gIaywE54Bfj0b0OYqoV5SdsmNAa	26	2013-08-03 22:58:35.757804	2013-08-03 22:58:45.564215	174		0
14937	10ktqcsgqkyv8u958iwh794v4u	$2a$07$7ueRWAptS4g8sVTSPt0YXuKUu4bLomfLoEbv1hIozKt.XRpDWTm3q	27	2013-08-03 22:58:35.782182	2013-08-03 22:58:45.686731	174		0
14938	104i8unufm2btosbuiwqg0s8s0	$2a$07$6IB.HOBw1An0SAFYM8W4TeDkHfHkij5FN.SVDxEiGfSrr3/piE0Bq	28	2013-08-03 22:58:35.805806	2013-08-03 22:58:46.01708	174		0
14939	10guy69jyt8mz5pbbvpqo5ue7i	$2a$07$leeKhuBaHU9PKuwRz027S.DaBoLg.NuHL1hQ6hBlBOsZf8bpVwr5O	29	2013-08-03 22:58:35.829592	2013-08-03 22:58:46.356432	174		0
14940	10f9z64qkpon1gz8ldmkamjmgy	$2a$07$/eKTqlSG5IJI60ujv6.Fkey3PEKN7r2rFg9NC/kFOiftNtXdKmrdC	30	2013-08-03 22:58:35.851172	2013-08-03 22:58:46.698009	174		0
14941	10gbjfmujate5xkds45g9w204s	$2a$07$I.diCrXnqFLcJh0YCS11/uRAI13jJuHa/8yvHVWrb7gLFCHnxC4g2	31	2013-08-03 22:58:35.874318	2013-08-03 22:58:47.073428	174		0
14942	101jip21ye59u0o6ussc492s7t	$2a$07$QrV9.8lh0dmWaWscDSKuROTCt6xofYYHk2kLHBhBw6lI4DyKn3rbO	32	2013-08-03 22:58:35.897637	2013-08-03 22:58:47.187427	174		0
14943	10wcqsnhk993avd5zedxuae8co	$2a$07$kEfZ0/VWC5vfrbKyEcZNVObJhq0jxBurqqC0jC9DbMJUkZB6g6zvC	33	2013-08-03 22:58:35.919815	2013-08-03 22:58:47.322743	174		0
14944	10zqoy0kpoxbsg50a4mj3wqm93	$2a$07$mE2E63kdVFbgw2O65VjaBuC2mPmB/VlS7UDPOR.0P4A3erqV0yqWG	34	2013-08-03 22:58:35.94302	2013-08-03 22:58:47.452225	174		0
14945	10m2j286xzz0lmrb40osruty8r	$2a$07$tqNTPKnHA2zNzXjpWpVhmevWBdXmpn0W/A3s1jZReCFqkWe2uwgZe	35	2013-08-03 22:58:35.965828	2013-08-03 22:58:47.587708	174		0
14946	10cosamnysr42k02kcx087t78l	$2a$07$yN8cqed54LK4krBvrwMKqu1uzUC4/mOKJYFq7OXr8uqdkxMd7Qeia	36	2013-08-03 22:58:35.988372	2013-08-03 22:58:47.73404	174		0
14947	10ikgjkvlueuztkafq6sg7olbo	$2a$07$N2sWwljPawFNbDO9TSbfSuKxXOplGU3SmVE1zlo5.L6pUSwW6Mcrq	37	2013-08-03 22:58:36.011619	2013-08-03 22:58:47.866974	174		0
14948	10393y5f612k8evfny2s7carrd	$2a$07$pqpt6CVxLsMSBnlwu4rg3eFpNYYI4cvQ3FDqMbtYgQVpNmbykDrLe	38	2013-08-03 22:58:36.034814	2013-08-03 22:58:48.011344	174		0
14949	102t4hobrd6gxta3iuqw82vhgr	$2a$07$cPKDxlS.UbOtgKsq.OfKD.T9hc.04JcvjN0hKoET0XacAmN0sJObu	39	2013-08-03 22:58:36.070617	2013-08-03 22:58:48.128189	174		0
14950	10jugek589j6z4q2ponwdrdxrs	$2a$07$6SxWMti5bd98pAZaKAbx8upqt6Qm7wJ8hm.YB.teYwVe0pSb3vdiW	40	2013-08-03 22:58:36.105885	2013-08-03 22:58:48.254921	174		0
14951	10b86qgjqais5olputqcu1ie56	$2a$07$eTmBFyH1JcaalAMZg.VRO.dx8nD6R7rRZBetLpzU4wNFpi.XeQgxS	41	2013-08-03 22:58:36.143054	2013-08-03 22:58:48.386069	174		0
14952	10a0jc1b7ho17jlm2i9ahyc7vk	$2a$07$MADVJ83ulwZ9/xmenO4F/.SYIFCG7oZRMf017cvoQfdz64ttmhPk2	42	2013-08-03 22:58:36.176761	2013-08-03 22:58:48.539121	174		0
14953	10nmuqx5a6mgmrmccij0v0dbwg	$2a$07$/OpHXfb0krxS7C4RAtK1zucfrvdkP.tfPOxlh3xhqfmq48BiZO57.	43	2013-08-03 22:58:36.198798	2013-08-03 22:58:48.678468	174		0
14954	109ufsk16thwseseus7cffy8xv	$2a$07$5qPILPnsY3b9gz9sgQtaHOgS0HQEve3sQPK1OOIYHih7DFurrtubi	44	2013-08-03 22:58:36.23466	2013-08-03 22:58:48.815893	174		0
14955	10ln3tcpr0ynnqe0tmhf1ocwnm	$2a$07$iAwE8I7XZJ0Rsgz9zWipMOTVIl3MDbcU4nobniLIw5i4MaL6QVnQ.	45	2013-08-03 22:58:36.257567	2013-08-03 22:58:48.958218	174		0
14956	106qvm1f6v2icaffyckksksipq	$2a$07$d5vNrJj0heV9ScCUz3lmy.C8sbEuQZkduDDAYBwxRTO3RR8UCGreG	46	2013-08-03 22:58:36.281421	2013-08-03 22:58:49.098396	174		0
14957	10ngcnecuig824utn5nmwoqvty	$2a$07$NveH.yqYs3JrI3VP8s7yUOKXWy0BkG/ZVHdZA67uVkNbuMZM.szoe	47	2013-08-03 22:58:36.30473	2013-08-03 22:58:49.238998	174		0
14958	10dg8hkkrdtc9q2919msbv7h94	$2a$07$jstBSzGtRHJQCNDAlqRbW.vChiY9oLKe07RejFgxcWs1yo6QwXJaG	48	2013-08-03 22:58:36.328046	2013-08-03 22:58:49.383604	174		0
14959	10adefm3r6d5urdcxjmt1hy0iz	$2a$07$PxiwzfcB43bibY3FU17Ubu5VqBc5ASqfVcGATKBp0Lkf3E50jQOy2	49	2013-08-03 22:58:36.350513	2013-08-03 22:58:49.510555	174		0
14960	10osn81xpopsb86hvdo2lwk5z5	$2a$07$npBCapXZaZk9lNvGErDMy.fwVzNk9NWGN8Wo0rckgTTrlis60S/P6	50	2013-08-03 22:58:36.373566	2013-08-03 22:58:49.64369	174		0
14961	10zcbo2ow9zqsxj538up3imrvi	$2a$07$UBH6gHrvV2nZISTalxHFie972PcTSNyDae5J15Q/VgdH/cLAlppg2	51	2013-08-03 22:58:36.400544	2013-08-03 22:58:49.783411	174		0
14962	102k964memhpe7nuo1n8hu0xor	$2a$07$mCc7KaQT1JLVjDwxj2dovOvbtis.uzzzA4AWLFRjdD0cHB.vbztOm	52	2013-08-03 22:58:36.438706	2013-08-03 22:58:50.307901	174		0
14963	10tfpaix4zl5735afun574fa5r	$2a$07$VoIeIDTwXDy5uqhydRwO/.ANuhfqSoEEdZ.ZRGe7E0.ZQ/OwPVX2W	53	2013-08-03 22:58:36.475674	2013-08-03 22:58:50.853058	174		0
14964	104iz8pjc8awk2t60ak76o8j3y	$2a$07$IOxe1wAY0mYPaSy6IFAOiefSipZQvuVDBz.qD7VhIV9KZlLdqqwz2	54	2013-08-03 22:58:36.510483	2013-08-03 22:58:51.412456	174		0
14965	10ubimoila1re9b2zdepy2ouoz	$2a$07$Kw2j4O8/sQT/tWvOjsJp6OPSHPn.yU0dQYjGlC6nzEpEhFSeC1qu.	55	2013-08-03 22:58:36.534185	2013-08-03 22:58:51.573012	174		0
14966	1074azu9beyho4jt2kaymadrjz	$2a$07$2y8P4RvHjaSf4.W6tc6kvuD4m.dGgwSa1A3JQKBERTh.yaVCcUk6u	56	2013-08-03 22:58:36.557026	2013-08-03 22:58:51.719678	174		0
14967	10ucknonfj2nu0pqr3eds6336w	$2a$07$XerYL5zo0ExPZ6BA65FNKuTwMUKYLieUkDWzkCR98yCXfYBaSf3ue	57	2013-08-03 22:58:36.579933	2013-08-03 22:58:51.846732	174		0
14968	10svio7ee0fafbbbwtcbtwh2bd	$2a$07$.LPze/dx0Q0X6WgPinrVnOADxgdYpVBZB77K/4noMGO3n3pPZuivO	58	2013-08-03 22:58:36.602689	2013-08-03 22:58:52.042598	174		0
14969	105k77lh6676fc6zh1o113jmrn	$2a$07$zDY751v8H8Fe.xRoiGYUOOgPMRZ8Y4RWyIFwxN.9qI0m4bqDBEq6m	59	2013-08-03 22:58:36.626236	2013-08-03 22:58:52.181285	174		0
14970	100axfsv3e6u1mx409pdidaweo	$2a$07$olVs2y9hBtLHmpzT1RWAnu.fRx5lWwCU8j3rUe3QfeWEjpIt5S6xm	60	2013-08-03 22:58:36.649331	2013-08-03 22:58:52.35611	174		0
14971	102at1ab782k3ns5t1bve2l5zl	$2a$07$hH7.s3Hp7M0qL3CKcgB1XOlE/PHU3OmGXmMsqKpSQWpZ0cg3QYKtO	61	2013-08-03 22:58:36.672931	2013-08-03 22:58:55.144205	174		0
14972	10c9u1hkvjn14asdyah40m003s	$2a$07$sm1gcmwnOiTu155u2o/FpenaZXCeOGBqvNOleFfApQrPEC8V8hoPy	62	2013-08-03 22:58:36.698643	2013-08-03 22:58:58.23115	174		0
14973	10lhta6fx6zr6aftm34frjusas	$2a$07$SDsx4VF0M/Y16dMKZynAOOWoMs7vDpkEN10ikoQA5olMqkHJTdhPm	63	2013-08-03 22:58:36.724261	2013-08-03 22:59:01.529275	174		0
14974	10sq4uuoktj486crsqjbwuk3ou	$2a$07$rRBNn1yBLcqW9eubOHs5nu1r3J0negG1mZ4QMOBLZ9yRMs8TxvGF6	64	2013-08-03 22:58:36.752209	2013-08-03 22:59:01.817213	174		0
14975	10halpgooc4r11ir6d9shcq752	$2a$07$mR1xts8uSzea7xD6XUbQ8OcgiZYOB31mHYrqb2vKLddZBoHj84kqq	65	2013-08-03 22:58:36.775454	2013-08-03 22:59:01.961517	174		0
14976	106ougusb9mjjyibfyk2vfcfxt	$2a$07$anGQy26RjFEFmPHEoVaf6Of1tgn/ShlgbDAONMPcGye8YeQvqJ0SG	66	2013-08-03 22:58:36.798032	2013-08-03 22:59:03.333199	174		0
14977	10kyrs17d7w2luryfkljx8i13i	$2a$07$hINMPQKgG2mRJDeRx6q0MuDxflFJZY7U6ygUKl5vbqZpmasRSpzxu	67	2013-08-03 22:58:36.82152	2013-08-03 22:59:03.471008	174		0
14978	10w1lyrxplorro1tei7pbl0kri	$2a$07$kzIoE/W2/NLXMwc8sihoSuCkZYCxzOgoWDW13.bm5URL5XAUL4ekG	68	2013-08-03 22:58:36.845446	2013-08-03 22:59:03.612873	174		0
14979	104bl6m1wl90z32m8c9v6z65qr	$2a$07$5wRVB6S/B9xDfZfi61ypvubrBdagUzwh7RvYnViMJVvgR4TdpcCJW	69	2013-08-03 22:58:36.873314	2013-08-03 22:59:03.723693	174		0
14980	10evxas3b91wutworihu4gwpw8	$2a$07$aE3NOgLDXJtBVI0ilT6FVu49xZuz7OjPyi.W9QitBrDZoE1jzhVva	70	2013-08-03 22:58:36.906797	2013-08-03 22:59:03.936061	174		0
14981	10izo8cik7hqqjb4hyrn7bjsgp	$2a$07$/LNTzhz1zgvYNbnfEpgqz.uXKtCeHXDG8vsiGIt8SHCd8ufYfomgq	71	2013-08-03 22:58:36.932674	2013-08-03 22:59:04.154594	174		0
14982	1029kynwvdvzixdf1w9bcl9sfw	$2a$07$YG4D0/UAlqRt4ZeYIKPAFeavyAw.fq9nYRLYLTs/Zke84ZkvjFAVy	72	2013-08-03 22:58:36.965123	2013-08-03 22:59:04.290651	174		0
14983	10n1ib2ak61ygc921xae39msup	$2a$07$yCP/aF1WG9uO5/2cLqdtMOSKI3p09p6.3sPZmT787aKJYtGnKfjKO	73	2013-08-03 22:58:36.987702	2013-08-03 22:59:04.91195	174		0
14984	1085ck8j1lmdixbdudtwkictvv	$2a$07$RsAP9Eq4obYpjp0WfAr60u3HkGz0Rjbr4RU4LUuQD1PIAcgEwwCqq	74	2013-08-03 22:58:37.010938	2013-08-03 22:59:05.036953	174		0
14985	10giml3bq0iiprevzhj4br2u6b	$2a$07$/i/PZWoARV1Ko9jgchKO3uDcoZ.aqAQYK7PEM7eKCnehizQPVp736	75	2013-08-03 22:58:37.034249	2013-08-03 22:59:05.185558	174		0
14986	10mgx8gvno659gp6v2vyartw6g	$2a$07$WxUHGm9wJlYZzMoSXMFgr.9N1szfWUoLmp6FDrZlVo8StC9O0n/dy	76	2013-08-03 22:58:37.057725	2013-08-03 22:59:05.342182	174		0
14987	10tzl6p6bbcd16rap6at02oc1l	$2a$07$T7x2u/lSAxgi.evo7N8XO.EHvsFguTQNfLcXlLIG8tV2.JVZM9/ou	77	2013-08-03 22:58:37.08104	2013-08-03 22:59:05.490133	174		0
14988	10ulg5pqwjfln2bfrjd4lqbld8	$2a$07$R1sWNk5sDO/8dyVVzd0Z8uwXV9aGGVhSRXvFXrn2hBFIatbkdaD66	78	2013-08-03 22:58:37.102889	2013-08-03 22:59:05.639238	174		0
14989	10efcmgn89w6ft89o1nbgn6cwe	$2a$07$xGlHQ5K1O7tgmdd4pKxLF.S1DLpLigY5.QnB3eGj1odgkvV8hc72K	79	2013-08-03 22:58:37.126101	2013-08-03 22:59:05.776123	174		0
14990	10ux176crq7q9g0vhvh1re50tl	$2a$07$EcIANAMbW7oQ6FmzEDtvyO6/noGT.u7nYsKU1E34uPar2otW.mXKm	80	2013-08-03 22:58:37.149207	2013-08-03 22:59:05.926826	174		0
14991	10fr06r1rjgzw6b8js01px0e1l	$2a$07$wlWwXokmW.DkYnjwqqWA1eg.5oQW223IrCzJnA1B49xiesYmDbQay	81	2013-08-03 22:58:37.171233	2013-08-03 22:59:06.448677	174		0
14992	10wgw26qftfq4p5di3uda9yw93	$2a$07$/zhAI6E0soTjXBxB6/PCk.L4RrUKEzrqksXh2M0vKS7YIOeTurQ/K	82	2013-08-03 22:58:37.194226	2013-08-03 22:59:06.587253	174		0
14993	10j6d0eeis13y20k272udxfrbq	$2a$07$RFa351WoMYr/WK193WdscOlhkgEtzoQ2mXERiln5eiR6uwMJY5kpm	83	2013-08-03 22:58:37.215973	2013-08-03 22:59:06.842098	174		0
14994	100xq49r7x19jrwdl574u3c0b4	$2a$07$keBAxs2BhRRSauJcIygkw.ytn6rnjfVhUBmVutRqR/qWiiSD5o94K	84	2013-08-03 22:58:37.238913	2013-08-03 22:59:09.514476	174		0
14995	10e3ijwjjcawyrxottl450axf2	$2a$07$TT1jmVJyA.aTcuP0dfQqHO2aYSA3m82ugJEjuHxOZYh08u4DdZ3Ei	85	2013-08-03 22:58:37.262186	2013-08-03 22:59:09.786294	174		0
14996	10f37ui36s8y1zf35pml4herwh	$2a$07$xC001lINN.N.YIs19jQypuKhd/0fhntSdvGjre3MPLLChjgmIA7qi	86	2013-08-03 22:58:37.283637	2013-08-03 22:59:09.97074	174		0
14997	10dwyl9wwzl917jzz8hrevizjr	$2a$07$Q8buKUsKjpk776MJp.BLte7zliX78b/h5ERaNjoGjHRKnBv86IvKa	87	2013-08-03 22:58:37.307317	2013-08-03 22:59:10.094544	174		0
14998	10nnlx0a8w3m76mim238ahozg9	$2a$07$ekPDPgHoyHihlkpVLLGVdueU88zCMh7vJXcaNRQO2vNMUUH1eC7ou	88	2013-08-03 22:58:37.330691	2013-08-03 22:59:10.280958	174		0
14999	10qc3r3aghhf3re5d7bety3dxe	$2a$07$tZIK/.xusvlEpqJdX5pQCed1Y9iO9t/oJmKCxiAVHl6FCjHtyJlmG	89	2013-08-03 22:58:37.354083	2013-08-03 22:59:11.588056	174		0
15000	10rnd69oskop9mqma0gfkl4i8x	$2a$07$ZRupCdr4o0lvdu3YSTjCieP57NdFlLoKZO6mL/psFEvAPPr8AEV72	90	2013-08-03 22:58:37.37605	2013-08-03 22:59:12.942147	174		0
15001	10yvfy3v4ox1f0mg7x52rpppsa	$2a$07$iU5Z3qsMTRwRBcFJ4caJB.YuzhvrEcO4w7RNUuKvoADtEEtP1Sp4m	91	2013-08-03 22:58:37.399131	2013-08-03 22:59:13.076021	174		0
15002	10y0a8x7p0qmzh4zm6j4xtduid	$2a$07$SkwPKYzfSivDBGQOtjx87.AWahVRDPT.Dl58qcZ2pg4m4Cq66/zu2	92	2013-08-03 22:58:37.421948	2013-08-03 22:59:13.209583	174		0
15003	10u4eq3z0nqcvk5wrb3cr00zwl	$2a$07$oZxV0PxatSjx7xSSU5cq8O5PbdqMaLDc8z8rbqG0ejIikM53FB4uG	93	2013-08-03 22:58:37.444296	2013-08-03 22:59:13.360836	174		0
15004	104p79dboigougryejxavgrrx4	$2a$07$4mU6Yh3nPjN/PKhTbqygMOSm1i9y3ZfDqYIoyqndyKDbguw2Qimsm	94	2013-08-03 22:58:37.467069	2013-08-03 22:59:13.50082	174		0
15005	10b2eqh4pwv89hv3giz25it5jw	$2a$07$Uwug9UbdU.p6QKtnbo8//.BUxxmHv2sMIxzHzrg6gCHd/wwmE0cK6	95	2013-08-03 22:58:37.489706	2013-08-03 22:59:13.653555	174		0
15006	10a07bia8tuhqm28lsik58wk90	$2a$07$XmKRCs3/0HxM8/ndifkrg.utbRgWoAw04qlm5UMI5FQ9OptI9o81G	96	2013-08-03 22:58:37.512767	2013-08-03 22:59:13.803581	174		0
15007	10f9wi70bw4335dyjizwa04kwn	$2a$07$SEA1Wn/oX3MB1aIUf7Zl/OZ2vhioCEnsz2Zg1vUicRaSgJcmzoray	97	2013-08-03 22:58:37.536082	2013-08-03 22:59:14.010504	174		0
15008	10hlhkg4y3zezhk9ojf36dq4ny	$2a$07$5iPYDXLUNhgBd.hTWj/ZF.d.J/uyuLTljQiwWcsS4QbpxiEhCG5wi	98	2013-08-03 22:58:37.558402	2013-08-03 22:59:14.190364	174		0
15009	10axdxx14lxikv5r2koh14eyg8	$2a$07$Gfho9cjR76e/OVeFSxYWN.QLC//STVK817r9oL0pekzqPBjvWY55i	99	2013-08-03 22:58:37.580507	2013-08-03 22:59:14.389148	174		0
15010	10474ovrjzt2glxri2hh9d2933	$2a$07$gCTeZO.DaBTXzhwr080JuuPnAnLMVk0SSC.tFYLFjeSP5JpvPtHza	100	2013-08-03 22:58:37.602774	2013-08-03 22:59:14.589212	174		0
15011	10mt8sko6nfuvax0mzn4gu7b94	$2a$07$gK.LmTPARk49rU1sZA8QCOEs0qAUZHCn5qFzqDwSHPzTumteYgW0S	101	2013-08-03 22:58:37.625716	2013-08-03 22:59:14.729986	174		0
15012	1004ah3bdihez07dbdrurx8l2n	$2a$07$XUX3Jln8EuKKR2/I7G9ZHe1P.uTv./YLCUMUBR1yCIViL6QtoTRpK	102	2013-08-03 22:58:37.647396	2013-08-03 22:59:14.864588	174		0
15013	10hvgihw7f46cmcp0n526z0f3j	$2a$07$K0qlmWYQJBvWI.XFmdOyeu0sxrqjqAwAxZfIs/ZGSmUIQxGBguNUW	103	2013-08-03 22:58:37.6699	2013-08-03 22:59:15.351617	174		0
15014	10s0h34k22pi5d2i5qog0l8b6e	$2a$07$4wHKcI4WyFHAbCThg.fsJ.iyLS6p1fNuZmkxHXTQrNPawsL82bSHC	104	2013-08-03 22:58:37.693312	2013-08-03 22:59:15.712979	174		0
15015	106sq22l5goeyzcjnn2o1t2vmr	$2a$07$11VZYnvElZocH.yGGUMmvOY2wR4yz7klQoguEK0a4xBmHYNLjgsYq	105	2013-08-03 22:58:37.716139	2013-08-03 22:59:15.846711	174		0
15016	10phuqob58p4doq1h39u38xkwv	$2a$07$9k.PgKDrF8W9JhcObBnPSeObEN2NHj0LSWuzxXeRWhbLg6B3OwhxK	106	2013-08-03 22:58:37.74069	2013-08-03 22:59:15.986906	174		0
15017	10o33bk5ym0rsadntdg885pso5	$2a$07$vIMYo5pww/IfjvMkFOfAd.BMcfRoeXNpV5iOxv0XyfhZ8I1YJV6/2	107	2013-08-03 22:58:37.764759	2013-08-03 22:59:16.124792	174		0
15018	10tpisln9nhotxpxflq0me1fef	$2a$07$X9U1TAFphkSbeLhr6jcQse8k1399aEV9.LkFLjo6z8GGnFsK9kC56	108	2013-08-03 22:58:37.788284	2013-08-03 22:59:16.27479	174		0
15019	10ytyu5bebaddy3pvt3fhullv5	$2a$07$cfhD46xr3IlTI8pZMQWBpetgvB82nmN3jCVw0TXy0rRlvZDY6ec1O	109	2013-08-03 22:58:37.810918	2013-08-03 22:59:16.427093	174		0
15020	10atrq18i4zw1cdgucnhs36s8f	$2a$07$xoJ39dWe7KayJYaU0auI2eRRP5hEva4lzOhglbtP4tTJQvjTpW8KO	110	2013-08-03 22:58:37.833906	2013-08-03 22:59:16.586605	174		0
15021	10t5dq17r1ywjxgr0c0u3gpfoc	$2a$07$jf3O/RnJAI.cAuJtfkYLgOE11FV6ysc9bLjnFXbtSJFqtJm9HR652	111	2013-08-03 22:58:37.855525	2013-08-03 22:59:16.715524	174		0
15022	10258fuy8bukyb8ul2w5ph4j7r	$2a$07$2PNjGF0WvfJIQFZJhtDNYezNIFVAPhyuboTmuRU8Z9ZUy0JlVrfk2	112	2013-08-03 22:58:37.878309	2013-08-03 22:59:16.862182	174		0
15023	109xph8myku1lhfx5eki2efcm0	$2a$07$.E0BJapxzCkAlSFoY.klLeeksZgP5MlXvye3UBoil4hYm7qA3c7ga	113	2013-08-03 22:58:37.900472	2013-08-03 22:59:17.007031	174		0
15024	10279qrov9z3cbca6in40c5nn5	$2a$07$/naEErLzXtYeiCE7q8FLMeJF9DHDuV5vt6.iNV.P6fiYBZjHbv0L6	114	2013-08-03 22:58:37.923105	2013-08-03 22:59:17.14471	174		0
15025	10q4vp71ebbxrma7x9pydqzqzg	$2a$07$EhCNhuHqjMQ.aiLBUn.Snu6m.da.BzCEqw3rBOKFohZha9Nuf4WLu	115	2013-08-03 22:58:37.946483	2013-08-03 22:59:17.277245	174		0
15026	10h794uz37tqb4k9a6w1muh2cd	$2a$07$WyZ/zpJYqyqnQvqGunj4E.Plv4BpHpWtBeDYTj7DF/dBplEn5q8D6	116	2013-08-03 22:58:37.968576	2013-08-03 22:59:17.413002	174		0
15027	10hnjfl2z2132r214d654mehqe	$2a$07$lHWWq18rHx00wlbm9n9nd.oMsNFj97prYDW2LRRsacLSgPcMjSCL.	117	2013-08-03 22:58:37.991617	2013-08-03 22:59:17.551137	174		0
15028	100f53xci18mav88nonzir9bhp	$2a$07$pe2cQDH4dVXeHa.2ivbGq.GGh4iPBF0LLJmDNrvZtZERqMu/ZtPWS	118	2013-08-03 22:58:38.015103	2013-08-03 22:59:17.706302	174		0
15029	10mlcrtkhjsxkl16ywpkes20dx	$2a$07$e9koqWGcTAzRk/p9xyTzfeOEcvBLrcLX6WHM1UVXgHy3xEdLPUsxu	119	2013-08-03 22:58:38.036997	2013-08-03 22:59:17.866609	174		0
15030	10plcbtw7s0p5qw99h4zheb744	$2a$07$k/9M7KHi4dxMQsCRPSg4IuauoSuVXYVaMP/WW7aaMwpmGPb2Cz0WG	120	2013-08-03 22:58:38.060081	2013-08-03 22:59:18.00828	174		0
15031	1048ffbfmqsaolf3p7b0u98lrn	$2a$07$TqUedaFvDFxIp4r.CCNGGuHbSKjMn48sp/uSwRCphCPSOGCJDU03C	121	2013-08-03 22:58:38.082806	2013-08-03 22:59:18.310301	174		0
15032	10rpoxw2otfmgu8uarod0val7x	$2a$07$40Tu4lDByW2Z/hEyVJIQcu5MvTFSDU4dQjlc7ZqJ5bAaRv0ZJgSdy	122	2013-08-03 22:58:38.105645	2013-08-03 22:59:18.525827	174		0
15033	10adv3r6gfpmytwnuso26sfe1q	$2a$07$eVEwgJa1C1BsePzYINT7GeWYAZJzq7/0JCoy1Bmp69V0xOeI/Gqz.	123	2013-08-03 22:58:38.129261	2013-08-03 22:59:21.252857	174		0
15034	10gdjxqkgv4pi4yfvqv6k4s2rk	$2a$07$eTQqwVjJcIq3mYl6hzoOJOj4j//2dreaI1zSVMvcLV9404hdgNA9K	124	2013-08-03 22:58:38.151521	2013-08-03 22:59:24.239239	174		0
15035	1052360g8vew3qo32rhwf69w5v	$2a$07$zylqFl1AJxkihz/j0lMZpO97G.5NUrijV2uzzu9.9yVequwPnkiXm	125	2013-08-03 22:58:38.174658	2013-08-03 22:59:24.786298	174		0
15036	10lujn6u7p3v507tn154ku5esf	$2a$07$ZUSbE.qlt3GqHDR5/lDjl.VFVjhZ5Q/z/6lP2XK1aZrHYbAU8bAGe	126	2013-08-03 22:58:38.196545	2013-08-03 22:59:25.235923	174		0
20707	10c1lkwp9alu82bc5yw3yr92ex	$2a$07$dQ3QYebE/gyesnAmMCV3se9yPptLAdcxTJhc4G4ZIfb0eSG2TceEG	1	2013-08-04 02:49:51.146351	2013-08-04 02:49:54.233958	220		0
20708	10ib16svy1iiv2n41ci6rlwkyv	$2a$07$ELtoyBWmz1ZRAnzTFjr72e5Vi71fuUYMmUodSHa3LpWqKb5M3AZXW	2	2013-08-04 02:49:51.170312	2013-08-04 02:49:54.350714	220		0
20709	10nvuytvhf61lwaxmn746o60mx	$2a$07$OAQ4EkRnUoIibjYWFXc8AOruoRObUXDJ21IRwYb65YJBtK8EFxrl2	3	2013-08-04 02:49:51.196282	2013-08-04 02:49:54.490422	220		0
20710	10bxxy9dnaaja6qid0tgdeyu84	$2a$07$KwOSqiP6kyF9F4hyCv58COIc.YBcUG3yQVXGHkbgt49Hdi630oKni	4	2013-08-04 02:49:51.218425	2013-08-04 02:49:54.632762	220		0
20711	104is9amd95tqp95gimpcal0pu	$2a$07$afvYyXPOwsmVUQIH0aXXh.V1Lx851XzQUqBTHqiavr2Tj5oKSrCC.	5	2013-08-04 02:49:51.240054	2013-08-04 02:49:54.776028	220		0
20712	10yvv4aeihe8vj7x2kdyd2tnau	$2a$07$faVI/UFPo3VY6mZD9bfKOeftD29UjIxBmWN8/j38sBbSpv0CwCQze	6	2013-08-04 02:49:51.261739	2013-08-04 02:49:54.90697	220		0
20713	10lz03dqe7qh53swr6cbyd8o18	$2a$07$PqNH3ItdykBs8ISXBWaciercaq4cXacdwQQzUMRu0UxdzWIVuOr3u	7	2013-08-04 02:49:51.283275	2013-08-04 02:49:55.905086	220		0
20714	10r6nn3eezfb7yk80hwstzzfer	$2a$07$9gYxJvS/WTL.w4EIydRmB.NkRfMlk4Y3oNUKoYg8P1vEqzi1O6.UK	8	2013-08-04 02:49:51.307109	2013-08-04 02:49:56.906044	220		0
20715	10y6h4j0os0x0bai2bmst7rrdp	$2a$07$dxsEDx15O8fDV3I3.VmZ/OBUeqX.n0U2nC6mwaQoLxYjmliTdrWLu	9	2013-08-04 02:49:51.330528	2013-08-04 02:49:57.870152	220		0
20716	10ut3x4zobcqxp7geg1yhsa1ll	$2a$07$OLipo7nwSClNE7PwGBlCe.hmJ0mP4vh4n5/zUNqQsMJm1dgzfNDqC	10	2013-08-04 02:49:51.355717	2013-08-04 02:49:58.016199	220		0
20717	10ihkzni7yh2v97pimb7j9nuh0	$2a$07$ME7mrUVWn5Dsb1UKw/GLLud6Ov29YQ8S7m4SKkdu0ZLPUoL6cArB.	11	2013-08-04 02:49:51.382672	2013-08-04 02:49:58.150947	220		0
20718	104s7cm3jzwmjctuqgv47rr4db	$2a$07$.qFdPJkI50PsD20NaXG33u01r/QlE7czoyVqzXX/af4BxQMIlPg3y	12	2013-08-04 02:49:51.41844	2013-08-04 02:49:58.282174	220		0
20719	10pn7etp7sksf54vfh1huvfd1d	$2a$07$agGxeIX8zkoX0LN77lojz.axBsBcQ306G0q4OD1bJ5OYlhfqULsei	13	2013-08-04 02:49:51.451809	2013-08-04 02:49:58.399143	220		0
20720	10zmaaj5puzgrm71lkdy9vh1se	$2a$07$LRcn.W5K.pt1MKZpBVb3UuCbGbAGA7V/PVCRio40AQKjMOo1VkWIq	14	2013-08-04 02:49:51.47559	2013-08-04 02:49:58.530825	220		0
20721	108ypvhucr9gadya99afz6cdpp	$2a$07$ofWSqumeOHiNjgTDfyPKj.jScvy0se/XG9e6OelvwcI95Aop3iE4W	15	2013-08-04 02:49:51.49988	2013-08-04 02:49:58.647884	220		0
20722	10ww6igwmzu15tu494o6r4hybp	$2a$07$EvC81DbVt2pkO/CDsIf.xOz58hpLJ.yvW0Tm69PCf.VDSYA0CNjyK	16	2013-08-04 02:49:51.522876	2013-08-04 02:49:58.939404	220		0
20723	10ydovd3j56pnsvc4pzw5rdyue	$2a$07$izg8VSCE3lWwjX9RcktfIeKdLGaxsMo1.bj1eZOz4PUR4ALUR/12a	17	2013-08-04 02:49:51.54531	2013-08-04 02:49:59.073562	220		0
20724	10fl8zqe03nn2i14wpj977ae02	$2a$07$mN6XvHf.AaBUgg4V2StWr.u0NLEJLSQqoQREyQZvH4re7ImXDp5G.	18	2013-08-04 02:49:51.568558	2013-08-04 02:49:59.25592	220		0
20725	10xvixl2tsvwz24ib9sc3y7dju	$2a$07$rpLygflsdMBEfw.mzyKNoOb2C8P1GwwzxEJf7a2VXx1Yn3qKGUoBW	19	2013-08-04 02:49:51.591349	2013-08-04 02:49:59.39719	220		0
20726	10fktmsv9xz85ikzbr6861l1iv	$2a$07$1x7plU10XwI2BRYvCPMh6OuKaj8rtnPRoCQ98Jq2KeOPoVG5WDPQ2	20	2013-08-04 02:49:51.615142	2013-08-04 02:49:59.529265	220		0
20727	104xsvz4iqns36umy0jd2xpe08	$2a$07$HCYAlJRY7Qgelpo7hzJTLOy4B3tVhZHk9c0Gi4VcvIW6xsE5N0EXG	21	2013-08-04 02:49:51.63785	2013-08-04 02:49:59.667028	220		0
20728	1061zbsk0mpnawrdfk20wxtv62	$2a$07$hFKne8Ztie7vvtzb.oKwieL4e945VDnpwM0c.qDlH8oY5XnyKKTty	22	2013-08-04 02:49:51.661275	2013-08-04 02:49:59.793285	220		0
20729	109l60f0bzhtqarm0s2d1vgznl	$2a$07$yNZYd65rdMqD9mwwaoe5CeZd.ijhzwHMCQ4mUcfhBiohdyOCBv7Je	23	2013-08-04 02:49:51.683226	2013-08-04 02:49:59.933817	220		0
20730	10bh3y4fslw8sl1sg3wgpnkia1	$2a$07$f5xmlrAQrXjMQRmAfLaL7ea1xbskCzlawTvUZkBgWjyvUiTQS06PC	24	2013-08-04 02:49:51.704896	2013-08-04 02:50:00.067719	220		0
20731	100ssos3x0vzzp5hab5rtv1ac5	$2a$07$gTGbfxWnU3A8P2y14PQVz.NNnEKj7IfZFNWgfGEkBZmuBXVI9rMxS	25	2013-08-04 02:49:51.726696	2013-08-04 02:50:00.242581	220		0
20732	10i1m433eidjgzowrupdb31rc7	$2a$07$Y96JLujVBGdVnI.1W5okuugyfgnfkaBNzIN10gD0k7P2mP.R1axWS	26	2013-08-04 02:49:51.748309	2013-08-04 02:50:00.425863	220		0
20733	10w8ejjbv70vuj1nb4u685pmdw	$2a$07$CzA.2L4ZZw1HrFuuJV1iOeYT.aCu7ZedazdPcIgsMu4AjmokDiOe6	27	2013-08-04 02:49:51.769842	2013-08-04 02:50:00.556796	220		0
20734	10y0059zvje6qxuef8qlpsucyd	$2a$07$7tbj0kaVbxRyKdOQOrqz6uLVj16JvA7UGXIpe1Bj.YmhdMi3SQ2YC	28	2013-08-04 02:49:51.792301	2013-08-04 02:50:00.673054	220		0
20735	108p8crn3jkchp581n6ughsji9	$2a$07$sqC22IXRqzf2jQcmcOgoVOoTjp5rMelVFlYzw.7n2TpD8X6L59TIW	29	2013-08-04 02:49:51.822989	2013-08-04 02:50:00.805673	220		0
20736	10ms2adlz6207nmkbwha07xwtp	$2a$07$GDBX35tY7Cxka8J4SL2dPO8qVMN70w0E32JdkIJ9VDvogCc939/r.	30	2013-08-04 02:49:51.857041	2013-08-04 02:50:00.922492	220		0
20737	10r7re7p6cr2yrtwfwnxj4wwco	$2a$07$ZymFg10GsO4UuTkCwxpOG.hXwHylED6uH5a2BkrNw9Fv8JL1sVyqW	31	2013-08-04 02:49:51.892789	2013-08-04 02:50:01.065864	220		0
20738	10vefk5mtlzc4gdow9nofjj6gm	$2a$07$qWDSvQ3OS6IQ6Kqj6enFQOz4VPd6XH.cQkkQKkH9zyVo6JYp/lJiG	32	2013-08-04 02:49:51.914585	2013-08-04 02:50:01.19614	220		0
20739	10lyiclpud9mriea4l7y1e45bl	$2a$07$YqltDGjd4PC6iGRNTHuwyerZ8w4A5EWigXrFdJSEhvuIzXOtcwDl6	33	2013-08-04 02:49:51.936231	2013-08-04 02:50:01.333207	220		0
20740	10io89td551le7p3i473tohwje	$2a$07$DcEucLOMY00qnAaMHm3x3OzgkMHUD9ukA9NuNyv1h6oMqUroctofK	34	2013-08-04 02:49:51.958932	2013-08-04 02:50:01.492954	220		0
20741	10uuxxq6yrx3hr5a4f3zf1xgk4	$2a$07$5CShOgLchF/qMVfy48XsNeDCxLmBTDxNN.ZejOZdRPFfxSmx7V3He	35	2013-08-04 02:49:51.983867	2013-08-04 02:50:01.626388	220		0
20742	107cu4lbvrwtgw2l7bg8fusbjd	$2a$07$DIu0f.WgD6k84RhHeRH8A.Dh0mfc2LwAGTONmUU9TaJYvN5ZHqddy	36	2013-08-04 02:49:52.017053	2013-08-04 02:50:01.769729	220		0
20743	10hck02m4ul5twwetbkixd8pnt	$2a$07$YaQN1yP55L3L3qevWjRYjexxM3mV3O0C3XmZ2OhTX6aWOClOsr0km	37	2013-08-04 02:49:52.041852	2013-08-04 02:50:01.905299	220		0
20744	10647a5s9wbzmj4rzw78mrcpib	$2a$07$Qq3WoyC4MuzUS2JayweHsOIjvQkiP9FhXL2ESapq7IY1SL2/L8uZG	38	2013-08-04 02:49:52.063581	2013-08-04 02:50:02.017806	220		0
20745	1075asa1xoa5d6crwaj8o39a00	$2a$07$w2UL8fw7D0src/RdTj0NTOrqOXQHbXenf2nQXx1qAosA8YFTAlGam	39	2013-08-04 02:49:52.087735	2013-08-04 02:50:02.149523	220		0
20746	10pvj99vi62upkg9a4k4u1k3j5	$2a$07$il4JYbV8HHCsxbEVYkwfAOcBY.GQ.DBiRZCmhVYE5Kxfv8333pPVG	40	2013-08-04 02:49:52.11251	2013-08-04 02:50:02.281194	220		0
20747	100c6dhm0zn8d6bd4laduq9wh8	$2a$07$Xzt9OhM0ML.Tn0WEukWZwu3ycdSauyZgtE1HS7Prv1i7rqbjXCZDq	41	2013-08-04 02:49:52.135596	2013-08-04 02:50:02.414184	220		0
20748	10wf7m6foxmhqqo1zll5lwcp6l	$2a$07$8Lr4EI3ucCQtD0zb587xPutUpx/xZRCxpsto/qycSSuzanSRfrTAi	42	2013-08-04 02:49:52.158153	2013-08-04 02:50:02.539552	220		0
20749	10bk75byu14oh1ur4vvqj3437v	$2a$07$IknZa6QpNte2EoBcX.yV4ubJo65Xgc1yOELHsW/1yZsKnYiddIJZ2	43	2013-08-04 02:49:52.181661	2013-08-04 02:50:05.174111	220		0
20750	101me67n0875ytdt489p1ogq5n	$2a$07$PNPAiOc9lyyrwE3ZY3Z7BuqrMsngwPXahFY7g64WXvknUFCkVQEBa	44	2013-08-04 02:49:52.20347	2013-08-04 02:50:07.753667	220		0
20751	10wzbhrk66iv8kw3r15y8snoix	$2a$07$MvANp5WUpHuxuuY1312gWOH/Yx33iayK4/f/whGbTjHuquj043xHK	45	2013-08-04 02:49:52.226474	2013-08-04 02:50:10.292208	220		0
20752	109f4vakffkurxu6pzxx7270hb	$2a$07$tsT.IBY//O2Y4XMNBMXrwuYv/u3qByU.fEeZX3QZgvFGE.lQ59A5u	46	2013-08-04 02:49:52.247996	2013-08-04 02:50:10.439193	220		0
20753	10h7epjzh7t0wz6zkgush56k5y	$2a$07$o1WpUEpYj3IfQODVmpG9euVdIKImlwTltwjIEy5uMQpGLYfnnFnfq	47	2013-08-04 02:49:52.269768	2013-08-04 02:50:10.613216	220		0
20754	10vurxplzl4owbdttj5u45frso	$2a$07$lFpgVZZjmdAbitFoeWdKROzomuduSOjZgaJp3ESNlIDRLCGkdIqEy	48	2013-08-04 02:49:52.291552	2013-08-04 02:50:10.773223	220		0
20755	10dlo8m5xw7ridu3jfa2l736y7	$2a$07$qxo0Nx1BKz4GxUskFKoz5OhjJySzsxQn5puAaviyLT.WhwBe95P2q	49	2013-08-04 02:49:52.313088	2013-08-04 02:50:10.905201	220		0
20756	10xig80bf9ift2k6qlaj55gl5y	$2a$07$.Fvv8qBj8U2LRisTfnt2iODZD.quBbV4nVH0AjUyaAv8PRvvOf2cC	50	2013-08-04 02:49:52.334875	2013-08-04 02:50:11.053996	220		0
20757	10xt6b0uyzy48z954dg88n8uhb	$2a$07$ouAmEsrB/oSyjdstxertT.rcCOkCPBSZ12TY1mchN1ESgGdes4M6i	51	2013-08-04 02:49:52.357849	2013-08-04 02:50:11.209546	220		0
20758	104i3q5cdao0925n4pzia32yyo	$2a$07$V0tRDvRx4OU1TbeREKLlO.D8pXviJPwr6y3SRyfCgmau424Oxf7FO	52	2013-08-04 02:49:52.381796	2013-08-04 02:50:11.343527	220		0
20759	10t5d8g4t7kx4bg5zyylni4buq	$2a$07$Ccf7.wK8b6sw5UAdTNOVJuPiaSvzVjtbZ4carT5SeSBpQXt2WMNaq	53	2013-08-04 02:49:52.406253	2013-08-04 02:50:11.487251	220		0
20760	10t1p4jj4labh4x4v5bxp84fv0	$2a$07$StZF0u47Q1Gh2U/oXbDSle2MguJWX8kDgklAWFmbe/3tOaYtIyefW	54	2013-08-04 02:49:52.428701	2013-08-04 02:50:11.613459	220		0
20761	10fo8t4p5hbzv9jjj6dc5lpi3l	$2a$07$9QXlXeexlC0imhAQFl4.2.otXZWISDAHliBu9d65KRRLR0MMCK1HG	55	2013-08-04 02:49:52.450764	2013-08-04 02:50:11.741155	220		0
20762	10d8ahgn389w1ybhqd0vtblffi	$2a$07$D1pJkEeGWhlbm56YpaiEE.qvKoWPf2wF3DlnEunbgjbIDuhHnoxbu	56	2013-08-04 02:49:52.474068	2013-08-04 02:50:11.880048	220		0
20763	10gg7ip7zsler4nrtpcqv4cv2j	$2a$07$HYuD.RnAIDlONM.QsivQAemF06897EJuE19haYRhxQ1yO1h9m3ygC	57	2013-08-04 02:49:52.496931	2013-08-04 02:50:11.999476	220		0
20764	10189nylcfyemk877mh2oonme9	$2a$07$RALLIU6aHESbkkVZnEnH5OYNA3YYnmFUQoMmPCiCwCbSkXB2udURy	58	2013-08-04 02:49:52.519189	2013-08-04 02:50:12.139884	220		0
20765	10dlnad35hucmyf01v4iaddycm	$2a$07$R56AZTs53JfNs5NWmkfXsuJW0SWoveVXgASKYykJSkhAlq68jbIXy	59	2013-08-04 02:49:52.542792	2013-08-04 02:50:12.274009	220		0
20766	10bumez4dhdestzo5uu0ug6gx0	$2a$07$6HKZBKpGJYwzxVSAKQqfu.FrW4.LjnajCe1gBZM9YtBuGbd3GcaPW	60	2013-08-04 02:49:52.5667	2013-08-04 02:50:12.406461	220		0
20767	10i5q5hyiebdjngy7v3k5lrmtl	$2a$07$Vjtp6ai3rcK5we1Tqyg8Eu4rlEhBlyxqpkptzkv0FQXZBSpc2ikxm	61	2013-08-04 02:49:52.590531	2013-08-04 02:50:15.077259	220		0
20768	10tiqwqfuehp008xdgd6gea812	$2a$07$X./MwFzvMQRw81EVKvqkFeITnEP33X99uGySec99EvMQOSG5wqyeG	62	2013-08-04 02:49:52.61463	2013-08-04 02:50:18.323111	220		0
20769	10k41yzwnpwy8q8t5cz486sazy	$2a$07$Ja850UklF3MiJVNYrk9wzeJDUGN7wlbLrKmmoFtQUtbTC0pAZ82x6	63	2013-08-04 02:49:52.638591	2013-08-04 02:50:21.416043	220		0
20770	10gvzrd0vdmkyoy5s4ia1202gy	$2a$07$RH0iv686YQgjyhm69HQRXuQa97rGLjZkPZun2QiQPvHu0JNIqFMNu	64	2013-08-04 02:49:52.671623	2013-08-04 02:50:21.538994	220		0
20771	1006gy53e4in6z6f33mdvgqbbc	$2a$07$KMk2sbMNmA4VsjAg4aPlCOND/cyCTpvQKidT2nkV1IGdtCGQ1DZam	65	2013-08-04 02:49:52.712838	2013-08-04 02:50:21.695219	220		0
20772	10hrwhh120j26kqi5vsd1u4oi1	$2a$07$cT.qMapH2xAqiBmoozNpreUbjnPycI23diGNv/5ZXVAnVFjwpjMjO	66	2013-08-04 02:49:52.735729	2013-08-04 02:50:22.729459	220		0
20773	10ujyiijz43vfj8u14kl9ae58g	$2a$07$/m67HOqsG3aJLxRkPX4oM.CinlPe2net14GkeF7pwjTvLQEovC4Ku	67	2013-08-04 02:49:52.757373	2013-08-04 02:50:22.858868	220		0
20774	10nqx5i51lgjlrecu8258ktx3z	$2a$07$O97RJhQBricJVuvFZk9O7.uOWoZukdfQG72wzRwBb9yBwmgqh8Vwm	68	2013-08-04 02:49:52.778953	2013-08-04 02:50:22.992452	220		0
20775	102eiic241w06ckc7zgrbn069o	$2a$07$6bwaP.cJErwcbHyVPNCCkuQ46QDHsYJadhkW4HtnUN3kNeMp5BtMm	69	2013-08-04 02:49:52.800582	2013-08-04 02:50:23.117781	220		0
20776	10ps3nt4hpa04tk1te6aa4ot31	$2a$07$d/56MQYNLJpYcsAgiEJXOel905WvxBRUBeJC9w/K1AdrGQfh2M8.6	70	2013-08-04 02:49:52.822098	2013-08-04 02:50:23.268648	220		0
20777	10p82xreo0sbj8x88fyp8j2xz1	$2a$07$ickrhEaRcjsye5BuhaiEJugiHai3PbcHSzW3Ck9rniNZIK1pDbHOW	71	2013-08-04 02:49:52.843672	2013-08-04 02:50:23.387324	220		0
20778	10yq1vseuibp4jl9fe5iwasy9r	$2a$07$9hkhN0eyX7pRVYURGSBWcuxm1OqOKCnjHQX93R.XvKTW3UkyVmiri	72	2013-08-04 02:49:52.865083	2013-08-04 02:50:23.533431	220		0
20779	101khwfvhz6grqoczdcnpvxno9	$2a$07$0aJpXerGvlU.uWeKG3tCwO.HRBrPFnLeJunlrzVgA9Q9dSRXFAHlW	73	2013-08-04 02:49:52.886409	2013-08-04 02:50:23.679787	220		0
20780	10785mtdeuslxyaoa0y8sdrgqt	$2a$07$4TEdBLkoeJ9fYFJZ6oxRnOijI0loMwp9WUqP9v66zCrTFWE99eRu.	74	2013-08-04 02:49:52.908195	2013-08-04 02:50:23.816349	220		0
20781	103qcxlhsi07eywlbiz70aogmp	$2a$07$NGglAJJkhJOC3BoxzzLR9ORoBZCG.T2Rl.RxsgGI1O4oBdoffgl3.	75	2013-08-04 02:49:52.929772	2013-08-04 02:50:23.966721	220		0
20782	10z4a4vtnqth7yd7kry06ukopa	$2a$07$nE6BBIQAOL7mSIW1i.V5m.RyUvN5a/Y40jFdOoJDxFr2bdgURLyqK	76	2013-08-04 02:49:52.951197	2013-08-04 02:50:24.13298	220		0
20783	108uechtzyswvxgd7b2x5aiub7	$2a$07$iLE.PuAJB8TEooxeFbHr2.FMAhRBGuSSy3B5GKfJTu4b9iRam9dT6	77	2013-08-04 02:49:52.972901	2013-08-04 02:50:24.270441	220		0
20784	101ut0guikv7z6ki9y3l426n8o	$2a$07$ja8I7MGhOF5s90OdLXERtedYTgPuu0A2pw6rR24XaQwk6nhCcqrli	78	2013-08-04 02:49:52.995533	2013-08-04 02:50:26.878473	220		0
20785	10qjwf32b7x7bacreweqjpcb74	$2a$07$PoZRwS.wo/Lj3C7bfgp3F..uzoYj490kCHanUH1TFg6csMugdvW3u	79	2013-08-04 02:49:53.017304	2013-08-04 02:50:27.02273	220		0
20786	10jkidtq3tiv41ctqn1419lpas	$2a$07$n2daEaDi5e9GaVvRC.MMq.DcesgAhPsONCBPU75ykCh/A./2jjeXG	80	2013-08-04 02:49:53.038829	2013-08-04 02:50:27.133203	220		0
20787	10qo86n3yclyo5frftqjed56si	$2a$07$GKLJstTC9DvuRzs0dKtk.e9A/LFgh3OnfCdJq9mbEb.BCDS2vhAme	81	2013-08-04 02:49:53.060592	2013-08-04 02:50:27.249894	220		0
20788	1031zwninzrhobe6x3iti110vk	$2a$07$R/H4e3C9oNP0GRbJ0tJtre7jrnJaTJw2nJBqpK0lUFCRzjik7VmQW	82	2013-08-04 02:49:53.083113	2013-08-04 02:50:27.379284	220		0
20789	10jh87lixikph4tt28gpxkwp18	$2a$07$HJBnZtZOLAn/vuTEv.3C2OKGou0ngMHg40hLqO3jfuUlk9tUASade	83	2013-08-04 02:49:53.107543	2013-08-04 02:50:27.506798	220		0
20790	101jdqn5ftwyyco94l3v7ftcex	$2a$07$a6iB3IBQrRnGC3UQF7GVnuYTGoN1VBFaYxC34wSggbyIMAiwcX6oy	84	2013-08-04 02:49:53.134343	2013-08-04 02:50:30.167268	220		0
20791	10ftxuqj8ruv7f956mwgkcv1kv	$2a$07$dxObY0z2zVASww3BcRWeZODsZT/bWKoiwLeUnEhrKfFOvyiTK8iAW	85	2013-08-04 02:49:53.157382	2013-08-04 02:50:30.277657	220		0
20792	10rjhxg2pmi9j8mhihe2v7g92d	$2a$07$t6Zm6NF/BC6jRkxxdHmPbOqlmSyKX/Qpv7Rg.zhuzQ7DZvjEZsUK2	86	2013-08-04 02:49:53.179624	2013-08-04 02:50:30.404242	220		0
20793	10zpfh2y33sd0z5folgoypvwkh	$2a$07$pKIdBgqtfUX0okxgTUpxXuowKJX45poQeKDZ5DF774wFq8DqEyMfu	87	2013-08-04 02:49:53.202552	2013-08-04 02:50:30.551006	220		0
20794	1095f72m49r5ozdror4b9wxioj	$2a$07$g17FSaTPTM32vMg/a3zKze9s.wgR0RR0bm9rouABtSLDF1kyzdKMa	88	2013-08-04 02:49:53.224397	2013-08-04 02:50:30.929343	220		0
20795	10xnkr3f35ldugwqm3z3j8ywj2	$2a$07$HZEsJNQa1vJ7hRVp2ZdUYu.Z.Q7AWDL8n/ytb1zhUgIotKTcI9DSi	89	2013-08-04 02:49:53.246046	2013-08-04 02:50:31.91069	220		0
20796	10h0ql1bbk9pbi716bvxr3llgg	$2a$07$bMZ.aMTUknlRs8C9YQaR8OqFvCsCIvs1yRRUo7swIAgzW5Kk50RJy	90	2013-08-04 02:49:53.267472	2013-08-04 02:50:32.874892	220		0
20797	10o647n5plgm2jzrnrqwwc8762	$2a$07$tW3JelD/bQB.fNVyBN550O2..KHZY5LAJsFuQWtBNrCiuJVPVMwm2	91	2013-08-04 02:49:53.289487	2013-08-04 02:50:33.010066	220		0
20798	108zvw1839zrdplf62m8uaztpm	$2a$07$ZiaLZoPvYwpt6r1iZLQo3Oj6Kc1nVIvDDWJmN9..qO8fVHXpjCeFO	92	2013-08-04 02:49:53.312201	2013-08-04 02:50:33.201834	220		0
20799	10i0t1bm2lrx5vkf8kpyjca0no	$2a$07$0S1w9vNy4UE0FMazWWj6j.y97gPVC3zRWXn8Dx8kPJ5b1v1XInOQG	93	2013-08-04 02:49:53.334696	2013-08-04 02:50:33.334029	220		0
20800	103hkvit5isc9ns61vrucz1pzu	$2a$07$6/8XPqu0KeTvGevBdeceZuQOgvx6PvV7dVHSoey68mZMNnt08uibO	94	2013-08-04 02:49:53.356576	2013-08-04 02:50:33.453256	220		0
20801	104s81unupsahbzoppa64ldgx6	$2a$07$qv5UsDAAbVlFjmFuJ82qMuq3AzpzXPvX.Qip/C4YxjAWIZjUnxmI.	95	2013-08-04 02:49:53.378609	2013-08-04 02:50:33.590859	220		0
20802	10mvfwssysorshtd3w7p03tmfh	$2a$07$H8.rApdN5XvoXEqyiaM9SOKOm8ocuFijUECPydXQHiT9kXn7sLBg.	96	2013-08-04 02:49:53.403508	2013-08-04 02:50:33.73116	220		0
20803	103bm78xxi61prrop70ntv4uv3	$2a$07$JGstxNk7bchkMoO7.t8Vfugtv/syOE40wiCL.8eCkoclHc9FHrFKq	97	2013-08-04 02:49:53.435168	2013-08-04 02:50:33.870723	220		0
20804	1010fy3evjqkdnyy5cs06hgbnq	$2a$07$ZQ.iHGCY4ADh7LYSZrhXcu.doGpWHGsxSUSjGahijIJK7APZK3vJS	98	2013-08-04 02:49:53.464697	2013-08-04 02:50:33.992932	220		0
20805	10npe75yez2mokt3zguxqgk6pl	$2a$07$JeiMl6L20jVKPj6xJGi6ouaMnDPOhHiMp6XarmMvwrdnp8BuQmqm.	99	2013-08-04 02:49:53.486384	2013-08-04 02:50:34.123617	220		0
20806	100v5xgn73vgv7ex1eek0kwh9g	$2a$07$h.jS2nIET2VrXyUeZ3hBVu7QwVSQpKV9TKC8GLlZoUrYsuXCQh.82	100	2013-08-04 02:49:53.50918	2013-08-04 02:50:34.253886	220		0
20807	10ropzbkbgcifpfxfncggzuxvs	$2a$07$HvXOIE.9Uxmrxp3EB6aW1OwfSVo2au5GsOCfhncD9wowQW8oFVGim	101	2013-08-04 02:49:53.532458	2013-08-04 02:50:34.567039	220		0
20808	10qf74kjqnszafi26q04dkg47e	$2a$07$dW1agu3z.xhzfwyYrsJ9TONAd4k3cHoOyc6XlzuxHOEkKGK3ggXXO	102	2013-08-04 02:49:53.554172	2013-08-04 02:50:34.718693	220		0
20809	10n6ceprpk5eauwyhxide9x3di	$2a$07$3tbICu9YWqMiQZ41uW3mpuLTir.f2sjxW0UWXWM/zAj9MCefo.vbK	103	2013-08-04 02:49:53.575685	2013-08-04 02:50:34.856836	220		0
20810	10d51iwdxae6lzmf6vc6cq1ogl	$2a$07$NLd0LjZOR7E88g8jgo7kuOV21a7Q1y7.sYbW0KGdxGSAcsotY1eGW	104	2013-08-04 02:49:53.59745	2013-08-04 02:50:34.984548	220		0
20811	102342buauhgvlgo4f4e079ymz	$2a$07$iUZ2wr082G2SEnD/.qPDAOPOxjOx.3HTWB0fK1t7G8nsKAMdOGTNy	105	2013-08-04 02:49:53.619241	2013-08-04 02:50:35.106715	220		0
20812	10h5wjpa9sv3yfc95n3jqcbse9	$2a$07$nLZpcrN1X.65xSULzM93suP8ny3NSlbOrnM3yYvjD0ik/c.V54DyO	106	2013-08-04 02:49:53.641316	2013-08-04 02:50:35.239489	220		0
20813	10x2vv7cp8zngsjeta8pa7kna3	$2a$07$Ax08/72Ovidwu8jIjylXLOmvKVmqx8owFFT1DJBwbACkpQ4gEwbKy	107	2013-08-04 02:49:53.662805	2013-08-04 02:50:35.386629	220		0
20814	108zia4wuw4o0ri24blsy2ze7d	$2a$07$KhJNOqFp5a7k.PZ6RllPaeV9qEIvwdXJOUpe3qLWisHFzkAocD3ea	108	2013-08-04 02:49:53.684293	2013-08-04 02:50:35.528204	220		0
20815	103sa41x5kybel2l2k1ztery9z	$2a$07$zNPIdeoasW4Quu/8pfbwNODT2wk.xK6Y7s42HyuPDpgY/svxkYUpC	109	2013-08-04 02:49:53.705833	2013-08-04 02:50:35.793054	220		0
20816	10l55tqni086aadj0mnzwr70qr	$2a$07$62IZb8b90T5ENwKFtpK2H.f7BpOzerxXWk4HczFVauy7fIlTWa9Fa	110	2013-08-04 02:49:53.727493	2013-08-04 02:50:35.932155	220		0
20817	10t5ojieene5ukhwi2axwmtg12	$2a$07$8/iRUqwh00ur.tGJDNky5uICXFlW42/BXk2xnWQew8im7MLTnIUjC	111	2013-08-04 02:49:53.749311	2013-08-04 02:50:36.062148	220		0
20818	10xojbkozgdyuvirfvxmmzhjwj	$2a$07$LGgJnj0tJy2pHjLgxj1LY.YU5BrfvcgeHIRCLMHdkKpOFrcHZxEOO	112	2013-08-04 02:49:53.77211	2013-08-04 02:50:36.189224	220		0
20819	10faje6k4hrr53r6kxvnvqrl5s	$2a$07$wDg2w8RtN5tBzaS6JX4xe.GnV.slOxqxVcfItNBuf0ufJYJcyBTvO	113	2013-08-04 02:49:53.793622	2013-08-04 02:50:38.962244	220		0
20820	10bq0g09tv34bm4q1naid97n5p	$2a$07$A0pvwU6FKsSi.Z2GbcRRXu9eJlqD0cWocj629VXaKiU0.TfQsLuO.	114	2013-08-04 02:49:53.814618	2013-08-04 02:50:41.838377	220		0
20821	10c3d2skp1nql4u8z5tlftt4x9	$2a$07$eC66C0osrDk9PJNONuwMvuaaIZ9Nj56wOA0zX/SBYzg2.PYiHL5nG	115	2013-08-04 02:49:53.835814	2013-08-04 02:50:41.972521	220		0
20822	10x3j19mafbz6ucthy36vcnvxo	$2a$07$9Y6GxXMBYwVIkFNhT1jSP.9DlHRzKhmX6mufkk5wlu6TGvCY5qcci	116	2013-08-04 02:49:53.856937	2013-08-04 02:50:42.106958	220		0
20823	104ql65c22jv4lyko6rexx2jdz	$2a$07$B/rH2Mz0cb5Qb8XA729zTur14uMVWFsk3UB77HFNqMwDQFkbbO9lC	117	2013-08-04 02:49:53.878421	2013-08-04 02:50:42.250759	220		0
20824	10srcmhrzwo1c1o3e1b0us8xe6	$2a$07$a5SgJ7hxHoLf0Ma.AkgV/uIE358x66B8yxA0zr0SqPkmtTxZbcV6W	118	2013-08-04 02:49:53.900159	2013-08-04 02:50:42.393578	220		0
20825	10nzk1m5d8oli67ah0ivjazqox	$2a$07$qa1aaqetiHKmIMZJt1HbR./CVJZlHBLkugSlqdVRh/rVTYA/HDvVu	119	2013-08-04 02:49:53.921617	2013-08-04 02:50:42.535264	220		0
20826	103cedqt2m5y8uwg38g2og2mmj	$2a$07$FW91LG4M/RxqdudlmaFcUODE5Pjb4hHXOrVj80fzQsUu/dZlYODwm	120	2013-08-04 02:49:53.943155	2013-08-04 02:50:42.651302	220		0
20827	10xd20hl4v6ba1tyizlgnt3io7	$2a$07$WbJEiT7zlRN/yJPgpU3r..os/0pwK0FrQWAV.oVKyP1wwdL2VO0mq	121	2013-08-04 02:49:53.96467	2013-08-04 02:50:42.80624	220		0
20828	10iafjost4nu3dp4zlfkbmtg00	$2a$07$TjbRE7uyyoluDseuX6Uk1ep0NSu4D/UyhOFHFPmQUkFbUJ.quh5ru	122	2013-08-04 02:49:53.985928	2013-08-04 02:50:42.980688	220		0
20829	10jvl2fqpbpf5wte33r00bdxuz	$2a$07$Q.EbQg11sGRpKGcUdUm3/uexLj5Jv.u2qKPEl3DT/cQCVUPGjTxNK	123	2013-08-04 02:49:54.007378	2013-08-04 02:50:45.598169	220		0
20830	1028xl6xtgm1ghy542wm3xz4sd	$2a$07$PA.JQ0bSSraD1T9SzpoZuOxCYgOREoix5yKambJymCn4n1RGoCpnq	124	2013-08-04 02:49:54.028783	2013-08-04 02:50:48.621396	220		0
20831	106fqblgf0rql4qr157kv17xlv	$2a$07$RrbWMDHnT60yXqHEptvZP.g2NKH2x76lLsCEX1gGlKMLxAkDVAB52	125	2013-08-04 02:49:54.05032	2013-08-04 02:50:48.751493	220		0
20832	10lkmdfxc7ccgpjajzjxzedj51	$2a$07$7LpCxNrv0EqofMVbpg2G0emHO35XdMqv0x2hbkEGIUY/CYG2eS6OC	126	2013-08-04 02:49:54.071714	2013-08-04 02:50:48.881365	220		0
15037	10i9anl7rag64aw525dj1zbl54	$2a$07$ddRAnDJh7WJENJv4FGHD8uWZLLE19vanxWXB6GHWAT1HoqfEKAaKe	1	2013-08-03 23:03:35.088689	2013-08-03 23:03:38.312496	175		0
15038	10c8lrl3vrbtwkwsqo8bdt66qm	$2a$07$JjsmJvOrq57eOPqBoPmP.OcdcaL2SiL40vk6JRJiZ3ZpOpbAk7VvK	2	2013-08-03 23:03:35.112851	2013-08-03 23:03:38.44557	175		0
15039	106lbea4wgblq2ciekbaxt2rrc	$2a$07$NeSWssdR8O46hL4/wAU/GeRY8rHLq8RezvKkAVGA7bxxVllQkO2j.	3	2013-08-03 23:03:35.145409	2013-08-03 23:03:38.571583	175		0
15040	10ikri02i10q6dfmp702lezd95	$2a$07$H5mcPuWvZP/Wd/kCSY0q1.If3mAfponrsSrQxGOSuzRmJdaLXwgUy	4	2013-08-03 23:03:35.177077	2013-08-03 23:03:38.703073	175		0
15041	10i8gczhjnoha8fv03vfyloz8m	$2a$07$k2QIw6sXuZcX0vFLhobdCOtN.RCmx3CEfmUBugzwqx7bF2I4qGGzW	5	2013-08-03 23:03:35.213671	2013-08-03 23:03:38.840013	175		0
15042	109n6hwe1lhz5d5qqqh6gxlc4a	$2a$07$cbIG7Kd/POdJB7rD8GN6du5aNo/ZM.6sOhyeIC2FzYZFYuoC8lpBG	6	2013-08-03 23:03:35.249619	2013-08-03 23:03:38.980111	175		0
15043	10rtow1fbrk5hborct4lzm4raq	$2a$07$i6Hh4vONFmcov2/dD5f0bu7u604p6DKsfsfp5GFHTQn/GTNHvzfRe	7	2013-08-03 23:03:35.277934	2013-08-03 23:03:40.309245	175		0
15044	10llunus0nb4z37ak9f7yb52pn	$2a$07$eZv94JhKngCYQSYEdnC6buV91QiZgYOup1i6fIYBel./wfzB0Ez/W	8	2013-08-03 23:03:35.30201	2013-08-03 23:03:41.754989	175		0
15045	10qyepf5ajxkowd5eb468k3866	$2a$07$xwkkNZpBduja.djupupHVuUCZEICHDG0ks67If81bB7RvO2If8hoa	9	2013-08-03 23:03:35.334902	2013-08-03 23:03:42.980564	175		0
15046	10ahqg7i4l8l8z3i2pw82w805y	$2a$07$9XDT975DSmP16YLLiX/sjurzLuQw0COBTfrheZgGQXYGi5pLantx2	10	2013-08-03 23:03:35.36081	2013-08-03 23:03:43.114191	175		0
15047	10hp17j4oxqij9cdejzp4nlz18	$2a$07$6iI0BCc5Qfyza906aKisO.bEkewOxcc.D4JrWRuZhWrALPaanBN5K	11	2013-08-03 23:03:35.386846	2013-08-03 23:03:43.254387	175		0
15048	106vy9qpg329shab5befuo6zvp	$2a$07$.yfJ7T.Pxx2y7O55bYTKHemsF7T8IrO4T1iaIuG1oCjcP4B1YCdsW	12	2013-08-03 23:03:35.40954	2013-08-03 23:03:43.389193	175		0
15049	10plyyq55w1d8ksf0jope3nzxy	$2a$07$pf24FYlftnbYqcON8diC9exiPu.yqzNcn1vlfErBuHLSZEIB52wpm	13	2013-08-03 23:03:35.431672	2013-08-03 23:03:43.543567	175		0
15050	10cykfdkqykx19n39x3cv4cutx	$2a$07$i5xJd44wjATRezjmJwkIUe7OCcNTWqnOYT4vQjAzJ579o.L7fxlPm	14	2013-08-03 23:03:35.457155	2013-08-03 23:03:43.68874	175		0
15051	10ko4tkg3kfe6roa9lkomryqhn	$2a$07$dw6ICaMUWBaCkJzSPDqw5ekoVKyoGO1LXaGCUehqXe6oQqQwYWQmW	15	2013-08-03 23:03:35.489843	2013-08-03 23:03:43.841459	175		0
15052	10johmhwxsnsnm8czw4k4kk9xf	$2a$07$w3IZDnvCY26L/pmta4z2v.VgwBJirOFN8o1Lb3q71KnjcoWlaLr7S	16	2013-08-03 23:03:35.512383	2013-08-03 23:03:43.97698	175		0
15053	10xtncsi1i0g0ku16e2jzwob9c	$2a$07$ozwV2QPR4r6Lgh76rjZleOGmtZIPXJfwyqnmSt4fMDchOrwbQdtDa	17	2013-08-03 23:03:35.534821	2013-08-03 23:03:44.104853	175		0
15054	102a9bjklco0dbljx511ehkfk4	$2a$07$3BXsWN.5QNJqfXeyxh8rG.zBMyX6tfmThqMzFOUamqRSkPDvm/jiG	18	2013-08-03 23:03:35.558736	2013-08-03 23:03:44.235591	175		0
15055	101d99hqav6gccuhxng03jj6id	$2a$07$ZeAVVXUAcD1y4uPcw9vWT.d2rB7D0riZsqbec4O0YyHbhDPmnYM0G	19	2013-08-03 23:03:35.589546	2013-08-03 23:03:44.384486	175		0
15056	10cemb4hoo1l46p4k2hinatb5j	$2a$07$ebOOUnbUJhoSylP.c1StC.W5zXyTYTMrhV8MlhXLmDNLK6VJkkb3y	20	2013-08-03 23:03:35.624525	2013-08-03 23:03:44.528321	175		0
15057	10fox5hd07ml05ytv06dbdnzob	$2a$07$ra3cWMQmgryfYz3U0ZN98.LXSGoJQjOzV4J60jnnXQtR0eJ4JMiu.	21	2013-08-03 23:03:35.649066	2013-08-03 23:03:44.679585	175		0
15058	10e0ccikue3jnsjnujykvb1ezb	$2a$07$BhT7crlTjtVwwsYJFVu4l.MlHSyX/bA8uMHOu0WrOOE/DsOSbXh0S	22	2013-08-03 23:03:35.675142	2013-08-03 23:03:44.841882	175		0
15059	104tu0bfpv8xgb162lmpgltloi	$2a$07$KeNwURfffK9rqeNGI9tfzeC0qJY3iPfu/LSS5lu4AYzDusfXiFcOm	23	2013-08-03 23:03:35.700054	2013-08-03 23:03:45.038203	175		0
15060	101ri8pzekrja0s8kj5gb6kcb4	$2a$07$1QyaewRHw4GF9mkpmpl.gOYUvunmFnkOFzA2WB/ylo0RPNvwFh4KO	24	2013-08-03 23:03:35.733482	2013-08-03 23:03:45.242184	175		0
15061	10ewnxxbfwpe46qlgszewt7sr7	$2a$07$UuxSttBaYrucLehY5ZTX9OJW6P2.spvm.NofR72EtlAN/sfENschS	25	2013-08-03 23:03:35.757932	2013-08-03 23:03:45.372895	175		0
15062	10y0jm3e2yvpbb198vftjysp48	$2a$07$NCynkaJ2O88T9ghYZekVWOFnLuiLkKSKUOGHEkxdkhXJ0ALpJenCG	26	2013-08-03 23:03:35.793636	2013-08-03 23:03:45.505575	175		0
15063	10ji03gqs8lktu165aizq7einn	$2a$07$vvKmamg8VjS82i7vrtP64.tIQW6cPqCMFbYC9InLhpeM9yVsUPxde	27	2013-08-03 23:03:35.825122	2013-08-03 23:03:45.622711	175		0
15064	10dog1bn4iazoea6geiwlgsflf	$2a$07$ZimDyS8NSDuB67KMk7.IBO9XISh20UeSdElTqp0A0/cos3aDBkE0y	28	2013-08-03 23:03:35.848871	2013-08-03 23:03:45.941577	175		0
15065	10lqa6kp2gb218xexffop6zctf	$2a$07$ugpSXHmMM8YSKNwF33eO9elmIb5uujix4CuXSBxJqFfXwME/ipKle	29	2013-08-03 23:03:35.871093	2013-08-03 23:03:46.318749	175		0
15066	10i0ukd1w30mq0ri45aioqgg82	$2a$07$sEzff2kzffeMoIlspKjEUuswh9ZxWp.oIAe3W7eNx.eMOHkvU4hdq	30	2013-08-03 23:03:35.894814	2013-08-03 23:03:46.839511	175		0
15067	10lliogs4mwdgjbf14fphnnw9d	$2a$07$zQnlPSlpbYbNCpwWvYOJpO9PsTrXo1jyjEQMiFtKm3O0Zi.K8xrrW	31	2013-08-03 23:03:35.926035	2013-08-03 23:03:46.974084	175		0
15068	10nk7emh9t55dg7klnurijyrqz	$2a$07$oHHE0TpuF9UuIZw7P5mUD.CGfPnvne.xH.B.rH0ikW5k9u8yYBAgq	32	2013-08-03 23:03:35.952177	2013-08-03 23:03:47.113229	175		0
15069	10ala98ut3ckz26dt0o7db6udh	$2a$07$p36u1J/OEs4VyutBFVsDJOTC0VGoGy5/uRPI9AyfGzr23RHVnKZwu	33	2013-08-03 23:03:35.975614	2013-08-03 23:03:47.253905	175		0
15070	10qq7bkd47b5navtk1ksesgnwa	$2a$07$TZDrsUkAHLPSgJM6IO.T1ud.bm8VV9x5gVwq/CQiXVxgj8u7XOuvq	34	2013-08-03 23:03:36.002906	2013-08-03 23:03:47.384396	175		0
15071	103l8t3qwdwte8k1uwzrwy9njn	$2a$07$wtp8PCtiVzq6dQL/uv1jG.ab4SznqUytcT18LBDgPjgxPv5SXptrO	35	2013-08-03 23:03:36.026557	2013-08-03 23:03:47.533356	175		0
15072	10upyyur9dw459rl0ptb12c2wh	$2a$07$UAlkrrwXFDvpAvk4JdQI2.duq/JLJKMQJGkZ5PqTGmeYnkkidFNG6	36	2013-08-03 23:03:36.049163	2013-08-03 23:03:47.676506	175		0
15073	103j749c4j8bq7gx6rfc4likpf	$2a$07$ZuIow8I3bAwRug9fvCh8ueZBcVlqD7NTWzXWmZPrUPzANNb/7qFP6	37	2013-08-03 23:03:36.070669	2013-08-03 23:03:47.811313	175		0
15074	10b8bwvyluuj0reda0f0lehgy4	$2a$07$mSmc.w5NmYwZJkCpu5PuSuIa0TPl5eE1vtZvvlBq1ve/6JyxexdGu	38	2013-08-03 23:03:36.09217	2013-08-03 23:03:47.92821	175		0
15075	10tg8wgf433mvv7y6vnmc05can	$2a$07$ndWwMp.QcY3gQPEkRDoSxOIVeCnZ17ItnPHWsb7OTHtV/wcYX628i	39	2013-08-03 23:03:36.115254	2013-08-03 23:03:48.04303	175		0
15076	10jqm0upb8ytcx2zkxm8eqyt3r	$2a$07$JsO4sVLAHzdP7U7s3Cx6OO3JM8v31C9e2e3f3Hjrba1/b74PUlhiS	40	2013-08-03 23:03:36.136782	2013-08-03 23:03:48.195595	175		0
15077	10q495ut46eq71p4vnbaawcknz	$2a$07$cDdcnbR/oBkv1qCwiQmVf.17wEpetdu7leP6dmV24YhGEvlezwz1e	41	2013-08-03 23:03:36.158497	2013-08-03 23:03:48.348162	175		0
15078	104ykedrym82gpqxedvd0gea3i	$2a$07$SOi1DvhjZWvAgpq7QFotCOlwDx4riUB6D2ALLhbce0rvF6ycPf80e	42	2013-08-03 23:03:36.180216	2013-08-03 23:03:48.481301	175		0
15079	10xnk4uj28xdhvk9ycnfwzkzxp	$2a$07$iavNkNxLrbS3VHuyC6rkt.qgoAjXLyfeKvgaxlv9RhxH5KebqFI8S	43	2013-08-03 23:03:36.202856	2013-08-03 23:03:48.642021	175		0
15080	10p1h03f4ynrqr7exdois0hd3d	$2a$07$K1Cs72m/sNRhEy/vIhM22e0ZoYDSIM7aOEEQYtZRh/uWs9E7TfXXi	44	2013-08-03 23:03:36.225906	2013-08-03 23:03:48.795744	175		0
15081	10u18655lc5gp5lhpfpe5r433z	$2a$07$ifYKBgGwixdebZxlZPMveuzxaa63aM4a4nOUeVsRw2NHElu4IxHDK	45	2013-08-03 23:03:36.247338	2013-08-03 23:03:48.942171	175		0
15082	100nnqhmh3zl4qkolrkka5wys6	$2a$07$O9wPcKJPUTll9f7JFx.9julUt/g3N/tlz4kFEFm/71yzFjQsUKVQe	46	2013-08-03 23:03:36.269369	2013-08-03 23:03:49.088011	175		0
15083	10dobr2vkxds59xgu907fpldmz	$2a$07$yJfzTvneZAGXUloNnLThFOtBdeIC044xfE3dIgYXFhfbXnSiwJJlO	47	2013-08-03 23:03:36.291645	2013-08-03 23:03:49.217817	175		0
15084	10lcvdxl5bahc0kxfeqc5l402w	$2a$07$aBLbdKCItetLHfde37vSq.pIsCc42ug.NZ/yyRacPv12qN8BTE7Ga	48	2013-08-03 23:03:36.313195	2013-08-03 23:03:49.353226	175		0
15085	10xfkf48pu0sz760kna3f48z3o	$2a$07$UpGuzFLKN4iyKJwpbXYCf.rLgrYBvYH0fXzM8/UJED4Fe.VQKz/Ye	49	2013-08-03 23:03:36.341012	2013-08-03 23:03:49.490195	175		0
15086	10vvold7vuqz4wdvh7qu41yx0i	$2a$07$19HQAMoUsUJlJVH2GjbPa.w5g9y2m.UXfihrwUrXdKEQtpPCw9AnS	50	2013-08-03 23:03:36.363493	2013-08-03 23:03:49.644241	175		0
15087	10e6gcj2r3edqncd9ytv2juqbo	$2a$07$aA7.64CKJ6NhYOseo2.vIOEXQXRzE5rG7M0icgl3g/ZoxtbtuE6tK	51	2013-08-03 23:03:36.393227	2013-08-03 23:03:49.779346	175		0
15088	10s6wcfjfn891dl6jihkxygui4	$2a$07$fXD0O/B3VfDGjdiQEBfMwePj.NcEEl3cfj74F5TLWTCjcTqoPRQn.	52	2013-08-03 23:03:36.415876	2013-08-03 23:03:50.271978	175		0
15089	101chzjs2nk1357ohoq8dqwaed	$2a$07$DTK8Y8Wp5iju.pxOXZd0uuTDeT72C/bJ8NYNipy/YNm3dgJpgka9a	53	2013-08-03 23:03:36.437378	2013-08-03 23:03:50.784436	175		0
15090	10zw04gukwtq9gvfy469ox00yb	$2a$07$d1iwo0wwLBolkfUhyFMjCe9zTPA4x44B4QU5ITbfkugIUiNZoWGPi	54	2013-08-03 23:03:36.460041	2013-08-03 23:03:51.241941	175		0
15091	10sdhyax27jvglr3tc2at4gyq0	$2a$07$affI0/yTR71XWUJDgsdRq.4pBEaqUE15GxcVo56iA1lo.u241pzOi	55	2013-08-03 23:03:36.481759	2013-08-03 23:03:51.377946	175		0
15092	10m455zw67k8rfqui8o04udklo	$2a$07$hrhhg4PTUrpTklSSiZ4mRexrVUBt.CXT13ujy2TF7ekbLv4GQInUK	56	2013-08-03 23:03:36.503428	2013-08-03 23:03:51.499499	175		0
15093	1044m8y0styfyp4loq34w7hnap	$2a$07$vkcmZtA7uT9YGvMxs4ZGOuSPmWJcsLYr8PSsEwBMorFbmN0xdnqSC	57	2013-08-03 23:03:36.524708	2013-08-03 23:03:51.608495	175		0
15094	10zd0ptaozg0uvp5l9ug1rjpsa	$2a$07$yXdtVOx6zMpKB5Us2sev2..BinC6vt6TMlxiQQliFvsxhHmEWxd66	58	2013-08-03 23:03:36.548116	2013-08-03 23:03:51.741982	175		0
15095	10r2ffsh0g2pacj5x5xkci2f5z	$2a$07$u8ebflf93xVz1y6MezPez.6MS10qA7JdoCtSI3VlXtIyPrZmisz8q	59	2013-08-03 23:03:36.571228	2013-08-03 23:03:51.889826	175		0
15096	10cdx8dgp800907d03m43orx9g	$2a$07$ACM5XGm6g8QQBddc.mAFreIi1s1CxIlbfHlP2zPXRvGn9jtbG3DZy	60	2013-08-03 23:03:36.595088	2013-08-03 23:03:52.025208	175		0
15097	10hx6ubc6xnf9d3kl766kqklp6	$2a$07$Ic4ghjZ460yvmUTABIbCJuLjzDTEU07RPEk2h.ULznuuEGz5hes9m	61	2013-08-03 23:03:36.618887	2013-08-03 23:03:54.805546	175		0
15098	100pbu6vtftirm0bjiszbr5t9g	$2a$07$j.Wdi0VBOYE3.W2KgIUct.2gGxzxR0kYvm.6V27Yeecor0/YyHFUy	62	2013-08-03 23:03:36.641937	2013-08-03 23:03:58.013912	175		0
15099	10dehbh49boqv4gfyn1b9mw1ra	$2a$07$jFOUmCLmiw9nO0WnhyX7aOHcCUB8/93GZ2.vJEG06pbJ7lqfmKlGu	63	2013-08-03 23:03:36.664965	2013-08-03 23:04:01.113582	175		0
15100	10puk84by9ualwcqf1rwl2gcut	$2a$07$0honPJJsbixkx7Ao5J7Ca.rPx2iRPW9qyJnp1eveNDV2DOKYzrAsy	64	2013-08-03 23:03:36.687841	2013-08-03 23:04:01.280564	175		0
15101	10n7155hmj4o3vnr0oyqbjfqnm	$2a$07$Lr0hwqkNrcKIoMqJshX6eeQbqCxZs1D1PlS4FxsNcHgdZB7IsieZC	65	2013-08-03 23:03:36.709364	2013-08-03 23:04:01.414308	175		0
15102	10vtdb356lacwb3o5jhq48tiw3	$2a$07$B7SncBxMc9YRqKLAlZr2ZeFTgVya6JTwnWSFXfpDmXGBIASf3cB1a	66	2013-08-03 23:03:36.732348	2013-08-03 23:04:02.888884	175		0
15103	107mvzsdosnq3xuyx9hn07mrip	$2a$07$/Kb4jE.jGiIVItuWm36Wnuk1zyMK6W9JQI0Gts1YD.92sJxCeKQWe	67	2013-08-03 23:03:36.755944	2013-08-03 23:04:03.028597	175		0
15104	10xaxvqxb40xz3u6t6dtpxowgp	$2a$07$en7NnYWWON7SOm.eNIB1KOYYCPVL7iIBo5/gfKyK6Q1XVFrdgDDp2	68	2013-08-03 23:03:36.777311	2013-08-03 23:04:03.188252	175		0
15105	1071km21un10mfnkq65aru3vlt	$2a$07$gvHDCPP1NY6V2NaHvuQQSOq0zW/K8N9rYcgOrGWFK77UkEPms4SMO	69	2013-08-03 23:03:36.799998	2013-08-03 23:04:03.395935	175		0
15106	10d7gxzx6fpjtgc7ccilj6eewq	$2a$07$rzREJzArr80gYdUW8S.2TuNEI.80V04QWOsc0vgMoxjNUiSorYUZC	70	2013-08-03 23:03:36.823057	2013-08-03 23:04:03.546371	175		0
15107	10f66a220unvl1hidfvtn69utf	$2a$07$ChTy1pyet/TQovTkIsGNDOWbhaLNexIzYYZPp/giAjRt2ObEdFDGq	71	2013-08-03 23:03:36.845746	2013-08-03 23:04:03.72308	175		0
15108	1072orfmaazlyxtpc5ht6ncw2q	$2a$07$5JqJJPVrpljoDSP7oBVZtu2sKh8w3svW0z9P.U9Dr8OeLSz2As//K	72	2013-08-03 23:03:36.867282	2013-08-03 23:04:03.857074	175		0
15109	10m7b0fe2xoiucmd03pkarrvy0	$2a$07$r8kIgVB5nH59n5.bmE7OSOtHdGJsLCcVY8Phr.69QhGwSo.YNwlTC	73	2013-08-03 23:03:36.889553	2013-08-03 23:04:04.364165	175		0
15110	107dhusr9y69dyw7sqnni8lhdz	$2a$07$A9aKv8/s0Yhoje17v194juNReOEcWBsgHA9NMJdrjD99/XGwCafma	74	2013-08-03 23:03:36.913226	2013-08-03 23:04:04.499344	175		0
15111	10kjji1vfuqwuf8qt6z4w5ruul	$2a$07$QD9Vi3pM3dLXC0gyc/icA.Fdknb7U0w2rCni7MyMSDC9pYRN1PF96	75	2013-08-03 23:03:36.934615	2013-08-03 23:04:04.643784	175		0
15112	103mqtn0sk3xe7jp623kfb9ujn	$2a$07$QhpWN1MsnWemcl6JplfR5e0sf7mwMT./A8OUHSbtQgZKf0yYHqcHa	76	2013-08-03 23:03:36.957356	2013-08-03 23:04:04.771339	175		0
15113	10l29ljh4j203uaksrlqv80pvj	$2a$07$5PTiF2iqM3DK8/EYTj4jPeSdoGJJK5gCrRBYmQG6hdkBtIDRHhtY.	77	2013-08-03 23:03:36.981621	2013-08-03 23:04:04.889642	175		0
15114	10h8v14txzgj5qvxprpu2eds82	$2a$07$.3rW3z4KuXQhN7J2foF3zeFKBY80vIqy4eDs6PheP9k192Dyhq3XK	78	2013-08-03 23:03:37.00578	2013-08-03 23:04:05.030029	175		0
15115	10ixnausj95q3pgx1fh8e5waok	$2a$07$0WvlHn2lgkoxkqc2kK8xuOmDQvsOATKLhIR7GCXodfYWIXejovi9.	79	2013-08-03 23:03:37.028202	2013-08-03 23:04:05.171863	175		0
15116	10otg0n67ug90ht1oux9j4z9oy	$2a$07$9WjEH2H6ymmBERGxjnyXVe9f.qZCulorJ6Soqbd9R1F6S3M19qpiK	80	2013-08-03 23:03:37.0497	2013-08-03 23:04:05.329196	175		0
15117	10nmo5wwal6ikzk1drnxvf1vj0	$2a$07$Gh5fxS.q88ytFFgDb91CKuv8efLjavpCM9e0fJGbfB0fYwNFfWPam	81	2013-08-03 23:03:37.072125	2013-08-03 23:04:05.83928	175		0
15118	10g7f5ll7df2p3b2blb2wujmq2	$2a$07$qF4MOE/EtGLitFCij/.t6uVO2k8pJDwr90nW1PKh9X.fUZarqYFvi	82	2013-08-03 23:03:37.096912	2013-08-03 23:04:05.972378	175		0
15119	10nj5b6cxo7rkxurrks2etwou1	$2a$07$rJYDB4LZ4xjxzJoTXmyE4ueiyDD.m9Mm4aZucZUzc7Uun/zZLTOge	83	2013-08-03 23:03:37.119254	2013-08-03 23:04:06.110106	175		0
15120	10bkulwidk2gvf7pur7t819rmx	$2a$07$tYKvAetI9lgk7/oQlolXbObFx8S1WudCanfJOVhGhoP2uP13Wu4r6	84	2013-08-03 23:03:37.140633	2013-08-03 23:04:09.005329	175		0
15121	10j5neiqnne9ll8ry8vp0qu79s	$2a$07$lLgqbVUbI6/wFS64Koh4lubjSLXOEP/Op0uwjzfYQ5Hc5PpL6MEeK	85	2013-08-03 23:03:37.163528	2013-08-03 23:04:09.253596	175		0
15122	10ixgnyoyruek1x505c1ewmx20	$2a$07$gFSdwPcQ4Z/JuDVwiBVuBu6nLjSG4FgNDvtZ2eA4Vr1UBGL04yKBm	86	2013-08-03 23:03:37.18514	2013-08-03 23:04:09.388496	175		0
15123	10ef68mz1yxfxzlp5ljj5bc46l	$2a$07$olF0S/hsmJqpcZJmYa1hN.gLGQ2.75ytbgbgWzOEJpR8aB8MtJBEK	87	2013-08-03 23:03:37.206474	2013-08-03 23:04:09.532278	175		0
15124	10yzvmc8mx51jkc594bmrzqxdd	$2a$07$1WE3rO7zKLg6VzvxFYxyh.DbYlxRTCbChmuvGYjhZpVQF0Dh1OQs.	88	2013-08-03 23:03:37.227837	2013-08-03 23:04:09.678887	175		0
15125	10w1o96wn59vc4n5bud2adlj7q	$2a$07$4NZ1/FRmAShvza4yFh0T9uDKj6iyyVk5lONWXr9eUpPZ00JnG7Fy2	89	2013-08-03 23:03:37.251403	2013-08-03 23:04:10.931324	175		0
15126	107w47mvfcdzfsacfncxj8b0et	$2a$07$6dJaL.9k7gZbYa1S4fcKQuNaXi2eqqVOsOpftatluYBGATT5ttOd.	90	2013-08-03 23:03:37.278754	2013-08-03 23:04:12.26075	175		0
15127	10robzf4s1acy6ixu5xl4f5qg3	$2a$07$KtxDwFOvhkN56V5uzAoNL.jTD28P/BJ9jrsPODBKSumGUO/upca/6	91	2013-08-03 23:03:37.317905	2013-08-03 23:04:12.387517	175		0
15128	10tenbzvn2sb0jgpeqhlnihxvk	$2a$07$sofcpGjlm5MChYUiqkOGr.scTpvXI7.c5x.hCbzOPoXkejg3VcPrK	92	2013-08-03 23:03:37.340926	2013-08-03 23:04:12.515476	175		0
15129	10ieeyqy6pngxsgrjkhbqzfyfk	$2a$07$R4hRGvT4WjEzXCWKoHYlVehfxjcck2l9L.EZQz88k92IGvtK5zUDq	93	2013-08-03 23:03:37.36768	2013-08-03 23:04:12.637092	175		0
15130	10l1dfpu27q6htlqb1lcrgq117	$2a$07$KwABCcUNZzjPdj/EzfKwderDrhzrRE1oulz4mOWFbpIL6Q4tZ9M32	94	2013-08-03 23:03:37.40158	2013-08-03 23:04:12.7645	175		0
15131	10f44yxmgoluq5u028jivnjfeo	$2a$07$ciXKIzCr6bxZ0HGZnDlt1Ofoeniz3A3hvltftVUanIjjSnsKvEaNy	95	2013-08-03 23:03:37.434924	2013-08-03 23:04:12.902739	175		0
15132	10pjrtqhn62amd9zznrba6gonk	$2a$07$3pzYrhznwGNY.h0Yord4heSuZoYnKR9jG/BYISLM/9cpNwZ7i.vUq	96	2013-08-03 23:03:37.458176	2013-08-03 23:04:13.038831	175		0
15133	10zgbtdjzmeeqxlvis54y9d56u	$2a$07$p4krfXwA68N4XjCKcqRRVOIHruTCHrii1uqgVZVR8nL20KnUwxcY.	97	2013-08-03 23:03:37.479885	2013-08-03 23:04:13.163299	175		0
15134	10hg74yt7rodzdedbzg6jo9yy9	$2a$07$HQpft9Qob2jRN9I4a1z4CuChe4CQo3FOP6vehUc/XeZ37mkP7GKtu	98	2013-08-03 23:03:37.502125	2013-08-03 23:04:13.299959	175		0
15135	10dhqqbayq6hyi6gjhhv3fajeb	$2a$07$mdZzvlPjLlMX2eczI9pbfeyVddFymYBTz62QSSybDdO4TD0pEgLs2	99	2013-08-03 23:03:37.525488	2013-08-03 23:04:13.460125	175		0
15136	10yrad0w9rryasjq4niuc0s9fx	$2a$07$P.kxb3UEulJueh1d51ye8ulLm0xuMX449JaE6gLTXP0bbGHL8lDDa	100	2013-08-03 23:03:37.556821	2013-08-03 23:04:13.578137	175		0
15137	10te5j70zl3sn04hersl3admeh	$2a$07$cdgAr/9DSbk1Zq2CVchILe3P6bIhfQ9TcpL/DQ4GUJPajXZUi5wbS	101	2013-08-03 23:03:37.591218	2013-08-03 23:04:13.674345	175		0
15138	10qopu4596si8nqoc9pat980as	$2a$07$HcxubdARmWkrXPuitkqorOWJAZaWWJWa9NisU2r4qRXxrl6sRopBO	102	2013-08-03 23:03:37.624165	2013-08-03 23:04:13.785224	175		0
15139	10mfi04w87bi29io5o4u3xrhmj	$2a$07$3SdToMvgRLC3Q0rkQM/kn.1TKvQV/6d70aSIftKLYfw6QGjO.ZYaO	103	2013-08-03 23:03:37.64733	2013-08-03 23:04:14.186686	175		0
15140	10372x0adxrynco761l4ygdboo	$2a$07$cpanoDrCHqXUm3Sc7U9HLeF5ndSP6KdXbo2CtbWphMj5nONC2w92W	104	2013-08-03 23:03:37.669119	2013-08-03 23:04:14.532101	175		0
15141	10fkyaefpzosk73c8ycf9pv6t2	$2a$07$CcSe7FmAI5fLDL727VRIQeTtyDjaYb84sdDC3JNP1XlafCvgtKBs2	105	2013-08-03 23:03:37.691465	2013-08-03 23:04:14.663898	175		0
15142	10vhg2ykcamn9vpzq102s3t94y	$2a$07$0jTuIXHgVBxv.LFcA7i16eRddJb27c0Th/vwWr/uXn7YPudEkPX.u	106	2013-08-03 23:03:37.714608	2013-08-03 23:04:14.798944	175		0
15143	10oal0xtzulptjglnfnri8sz4j	$2a$07$DpoI4uKX7WcvdBI5.iHrRON19WfxLYrLjsWxjYDWuMiO8gy6cMqVm	107	2013-08-03 23:03:37.736789	2013-08-03 23:04:14.956997	175		0
15144	10axew7qvbg2ut6gzqrnfcm0ae	$2a$07$304BzOvtS1/Eo7AESZPUsu0VGd41eoyc0ksk4UusVGggtH0bMHTzq	108	2013-08-03 23:03:37.760018	2013-08-03 23:04:15.107087	175		0
15145	10nfzkp84325gzexh4fy6wkxfs	$2a$07$iubRHlGnK4fs6LT49LVI3uch3uQmKQxBFBcVsCT/KOM6W2CYJTcPy	109	2013-08-03 23:03:37.783682	2013-08-03 23:04:15.246629	175		0
15146	10hhu4xo4hhblekppruon9xbc9	$2a$07$kDm66W0kd3wMv8mBpGyIoeFmqamo667kWfEfgAMMTrUTqzuv6bzA2	110	2013-08-03 23:03:37.807064	2013-08-03 23:04:15.394334	175		0
15147	10707r9csxbwdulzxciujwbdhu	$2a$07$oHbYtCFxMU3AvR4uuKTXyeNOArOdZA3p5KqCN1kiHRrUcAj4SQG9e	111	2013-08-03 23:03:37.828769	2013-08-03 23:04:15.54633	175		0
15148	109bve5ykav6z2cx9h1edv6q37	$2a$07$orIJMRKh03Q5OC2pYINcWuFFqUgpbfLgKS7Xt2BRb/Ewa.n7gJ6BO	112	2013-08-03 23:03:37.852317	2013-08-03 23:04:15.660015	175		0
15149	10yr24cdaps02dbbdyo21ajrg6	$2a$07$iEO36Z9llsNh3wRQNcXrPu0tGJS.DJeyKPY4wltbwqQub.2x7n.Fm	113	2013-08-03 23:03:37.876253	2013-08-03 23:04:15.816016	175		0
15150	10mvjid418xtcou2579doyfimb	$2a$07$SpNZIpWZzkmbnnQ8wZDQnu7ux7Oc113OdANcBB2HyPN00JS3d2ZgK	114	2013-08-03 23:03:37.898196	2013-08-03 23:04:15.92897	175		0
15151	10271ea1kclvqkqmv22mdf4fwc	$2a$07$wNIqJZxIj0mD2jP6Rwko0eu5Umyj3AdjIimOeZ6ukVKCpXOzmHGBm	115	2013-08-03 23:03:37.919985	2013-08-03 23:04:16.078399	175		0
15152	10s0wksbgyxut5sabboipqpzvi	$2a$07$fyhYYjzBxrfnJuo4GBWoZeYhAEXG7onKXkPnrYni3og3UyAz5vCby	116	2013-08-03 23:03:37.942066	2013-08-03 23:04:16.235655	175		0
15153	10cro7smytwg135p75140wh3h1	$2a$07$CkVqtDjF7pbp07F6r9yECO2e7p9DdC9C1mdtraInitIuviLWP7hwa	117	2013-08-03 23:03:37.965205	2013-08-03 23:04:16.393515	175		0
15154	10vsandkal38mq40v5t744xc50	$2a$07$Y4HUltVBi7LlQka/UR84o.tSMOS2XolLkXDQVAtHqVgX1Y7atjGDC	118	2013-08-03 23:03:37.988782	2013-08-03 23:04:16.539696	175		0
15155	10ulrr6dyo2s4juakip71no15q	$2a$07$hDM/gmq.TTu47LCUOQ1FQeZWhWbskwEEVAR.i/nXFVC.n8dlIDzJe	119	2013-08-03 23:03:38.0125	2013-08-03 23:04:16.655719	175		0
15156	10pmo164qhn88a4d9ln2bzsgi4	$2a$07$o.LFoyUckQwBTCGmlNf0hud7V98ll3Ny/v3y8mUrNqNt9g1doCBwS	120	2013-08-03 23:03:38.036815	2013-08-03 23:04:16.795888	175		0
15157	102mmp29ix2eta6w80y2tl0qo4	$2a$07$4nNTyBF4KkW23KPQ05IwUOiftoB6OArGWzsl/BhzzSu5JGE2IigIK	121	2013-08-03 23:03:38.059283	2013-08-03 23:04:16.937927	175		0
15158	10374vd0dixpobexhlvsw9cm6x	$2a$07$E7IiVRStNAWhtCnSSkyS9OpELt7NQNsIXFZKMc2vTzMZXh8tVfkp.	122	2013-08-03 23:03:38.080906	2013-08-03 23:04:17.058527	175		0
15159	10r8yugmpcb5kv9juu1m0ijoma	$2a$07$rOY2R9MHFBFvMpmUXX/6zenGJMos3TfbUjQ3vwbBc/kggV1GILQk.	123	2013-08-03 23:03:38.102463	2013-08-03 23:04:19.721957	175		0
15160	10btdn14sv366r08lqt14itfos	$2a$07$DZlMWLq3vyANW7tpYhAgJ.JiGsv9pYuwlKkeuFKvxQ4Ax9QvYfN8S	124	2013-08-03 23:03:38.12367	2013-08-03 23:04:22.828964	175		0
15161	10rn240d3jtw3hgln3irqrqqu2	$2a$07$.Ve/JJc2mWb3.DRl4GMO8e.QC8X6A0x0wBo8wn.4ZM/bF7ZOlE4.y	125	2013-08-03 23:03:38.144918	2013-08-03 23:04:23.256676	175		0
15162	10g66z4p8ctb9j0t7kjpfrbu0u	$2a$07$OEWZoiXWRTMsQvSVAVaEDeC/.dN6PNzDk9aTFfmQbujKpNdJARLjy	126	2013-08-03 23:03:38.166094	2013-08-03 23:04:23.695315	175		0
17305	10cr3j846fs2ka2zqucdadbwjs	$2a$07$622Me4S1dFrSDGZmjmERw.Xa4uyrC1Ug1ycT8bKsdYGU/6EpanpFG	1	2013-08-04 00:34:48.073241	2013-08-04 00:34:51.354224	193		0
17306	10epgu3dyrbcfcetooaday3coo	$2a$07$cRl4LasLUW5TOtzEKQtNpeN80rJhVPe/r0iLgIpJJuOJ8lYZWciJ2	2	2013-08-04 00:34:48.097331	2013-08-04 00:34:51.492684	193		0
17307	10149bzlxf99t7vla23sev10bg	$2a$07$0wcuPXseeCZEJzyrNlP3zeR3HasZeHBZuEpRpdSWG.YIjxN6DTALK	3	2013-08-04 00:34:48.127422	2013-08-04 00:34:51.614781	193		0
17308	10a95owtyokzegy9h656hilm8z	$2a$07$VN8hsbUN7cwA3nZN5On4.utRPu8y.GleirYQwX7DiFaFGN1cY1.ZK	4	2013-08-04 00:34:48.150658	2013-08-04 00:34:51.758403	193		0
17309	10oed1g925ma4fidtaedztfd6q	$2a$07$GCCqmgyaUnYprgQ2JTjTo.2qIgoxevIXmdSW7AfS2ui7DVzqXbv8.	5	2013-08-04 00:34:48.172334	2013-08-04 00:34:51.916054	193		0
17310	10hi2md7xyzzkfar4o4spevzv8	$2a$07$J.2mASwz84iH4Jz5VuFrh.OaPgp8RwGwNeTmxsB1dOEulq.nLaGI.	6	2013-08-04 00:34:48.195105	2013-08-04 00:34:52.045286	193		0
17311	104xi7nnvgy2ub707abd3p907d	$2a$07$rQXcoCZbSZ6u.JEWUS4t1ut/.IKlYznt89882gEbXh3YpeFy6tzAS	7	2013-08-04 00:34:48.218109	2013-08-04 00:34:54.730229	193		0
17312	10kmvs4uqj8qpuljsxivf4iksa	$2a$07$5Y38VP7g1HU2C.uBX0NbvOizM3c3t.vrxtpu2OW2u0JKj.AysJZvK	8	2013-08-04 00:34:48.24027	2013-08-04 00:34:57.41446	193		0
17313	10jq6778xt1f1nhnfolobfxf8f	$2a$07$YOu6zPHlZAZhLoJTYcfO/O.E7qLAMamPEvYlk/ccWTi4po3wya9si	9	2013-08-04 00:34:48.263119	2013-08-04 00:35:00.160862	193		0
17314	10mf335htz3v9tg9p86b92w3i8	$2a$07$l01ZgUA12fRqckqAB5kcq.n4ZxoQXjZ1oEaNkZs7Knp8I19AkN6ca	10	2013-08-04 00:34:48.285618	2013-08-04 00:35:00.297495	193		0
17315	10bciplpv0csyti4txtmvx5sb1	$2a$07$6NPmIrLAXJyWDyMVrbr2reWjy/4dZIJRIenLj.ynZAA0bO2HRBxWC	11	2013-08-04 00:34:48.307985	2013-08-04 00:35:00.432869	193		0
17316	10sbjdln65cggaodnadlo1gn6a	$2a$07$W.q6ngl7r1YyukuJ9I78WOdZKHajFVRFz9XyWlFcHb/kRrc3CvpWO	12	2013-08-04 00:34:48.331512	2013-08-04 00:35:00.535589	193		0
17317	10swehtvpb7hdqy789qalt07ft	$2a$07$TEPXyOqr0WpUu0Mm0W5i8eXetY.oxJLoZOdaae98P4NyIH8ZfsR96	13	2013-08-04 00:34:48.354523	2013-08-04 00:35:00.653146	193		0
17318	10e8aw29xe8ots7sbn2buco4of	$2a$07$hiV4GP6OVEjIKDmElysX1ep3E/RIgt/oJsKZ3/pVSVc.S63SXPfNi	14	2013-08-04 00:34:48.38986	2013-08-04 00:35:00.798699	193		0
17319	10y1ytihqv33tx3a82k6rnfevt	$2a$07$ERBzaRWexDHjjCBsQQW4Zul9qh4ih9pspqZNmwcR3SDWUTL035NQa	15	2013-08-04 00:34:48.414237	2013-08-04 00:35:00.955135	193		0
17320	10fp8li673xpicj3axfa7una4x	$2a$07$iMPmmueg55I4tkNtzzKsQeKeQi.gODcdFg6ZZo9.0Iw6YY6MTfTUa	16	2013-08-04 00:34:48.436689	2013-08-04 00:35:01.085883	193		0
17321	1010tk7ige49w0iolyaiu2xckl	$2a$07$/rghJC2wh/URKDrCFfjaeO7SitvDZErspyEmypcG/JImWb.25nYTa	17	2013-08-04 00:34:48.460247	2013-08-04 00:35:01.215247	193		0
17322	10epij6yebevkzadx378tpx83b	$2a$07$He5iaw91uIZOlBIGEdS5p.ll.K1m0LYpSljM6ekjVmX27lv3aFdhK	18	2013-08-04 00:34:48.482198	2013-08-04 00:35:01.341393	193		0
17323	106rsh5ryc8nsrvl8hwp4axprr	$2a$07$e0YgzMEiNh02iMzVXGTWGOD/jVgpf0b54ltyoxt7vY6isVtw/Xs4C	19	2013-08-04 00:34:48.506426	2013-08-04 00:35:01.484906	193		0
17324	102g6z1getq6enddp3tjuyqxah	$2a$07$DvjeyXiNVz6x4j9BRB4CdOssyIhqaOF2OLv.JGVy2pvsBzr3XpLee	20	2013-08-04 00:34:48.529986	2013-08-04 00:35:01.618107	193		0
17325	10jirlgkmxyh356r4g3twxwze1	$2a$07$tbEtP1sUoou2.UEa4YhhzeTywHt1RUPts5qa4mfbTR9DjViXUZVWy	21	2013-08-04 00:34:48.552243	2013-08-04 00:35:01.748277	193		0
17326	10u4ch6fju2j1d5yf1ftlvdwut	$2a$07$CK6MdxeNhdU9XuHDJq027uCgtygZRWVF26Nf0oZj.f4iQAvPX0nO6	22	2013-08-04 00:34:48.576222	2013-08-04 00:35:01.880727	193		0
17327	10954fvh8y06y2fgk9plswsl0c	$2a$07$3yn2MiQWws20IlGfIC3mcuUVsmIWIcz/zRJibhGvNpHa7TGL1v.VW	23	2013-08-04 00:34:48.598313	2013-08-04 00:35:02.00668	193		0
17328	104eqdnd0fw7tf475ppe5a21m7	$2a$07$5KMZOMnaqqIzc3CCwqaBn.j2bob3bUEOswm7Ydp3H8MKKhFeTMYYu	24	2013-08-04 00:34:48.619627	2013-08-04 00:35:02.132757	193		0
17329	10sjd9lajl5twsycaeg4qy0nfd	$2a$07$Gz85sh2ufqgofBn3mhifPOBWo4r7q6MjVChkdNANUuwp.F81vUbT2	25	2013-08-04 00:34:48.642511	2013-08-04 00:35:02.268497	193		0
17330	10gvrvb8rv6gcc942dpjuzl930	$2a$07$ZacRClW8./B4dZTB8fyyJuWMTlxwYDu48dMSt.plrTm8US8EGZ8E6	26	2013-08-04 00:34:48.663994	2013-08-04 00:35:02.409326	193		0
17331	10wt55twwzejnky69krhwlwqv8	$2a$07$Qoj2jkHrzxS3SUzFGtjHsei/rkSC24Wr/YhXY2MpXGqxOIbT.wYNm	27	2013-08-04 00:34:48.685998	2013-08-04 00:35:02.552609	193		0
17332	104lqrwfl18124vxtjkl2pubad	$2a$07$0d8bcECExBr2FxiGaBjuNumLjMNCthcodHpbFTRFFsePCZG2NmiHq	28	2013-08-04 00:34:48.710095	2013-08-04 00:35:02.858141	193		0
17333	10w4qhzig4g2ndoq9r6l1gt28l	$2a$07$W.Tp/1BR9IZkbVijQoW1DOPFc6fD1k7443ysxUvTHd3faholCzpL6	29	2013-08-04 00:34:48.731828	2013-08-04 00:35:03.170148	193		0
17334	10scs4hfc44xpy2axikt3yapdx	$2a$07$k0EQo/dMMSoJp2Irt6oQKOx8FMCqSudQmt.642D2.3sgAzhMYd9/S	30	2013-08-04 00:34:48.755074	2013-08-04 00:35:03.469931	193		0
17335	10uvx2t420n3gdeh2zxlb6xmcr	$2a$07$3SzSJFW9A5D0RhIT9okhDO.bIIcMeDf1Bl9R2Iyc7lI1qL54zh2W2	31	2013-08-04 00:34:48.790672	2013-08-04 00:35:03.590918	193		0
17336	10f2z07ndzrv9uerbihsvsuhy0	$2a$07$l5jwpEVcBHwag/zwtmzn6ezMkCZvIaTJgAqqVPP.Nh0HdfwkUQ.Mm	32	2013-08-04 00:34:48.82647	2013-08-04 00:35:03.729532	193		0
17337	104zffkdtda2tmcfsszqixzgzq	$2a$07$rVPjB3QaGVr35ut0ih..xegOs.jfiUPWAVaYsBmBSU.mPcorIURV.	33	2013-08-04 00:34:48.848793	2013-08-04 00:35:03.848818	193		0
17338	10a2b0x363u0mi2jpuus5l4ozd	$2a$07$x0kVXgaO0.fCoRWlViWl7O1I.tfruw69jqzml0pD08e/FMY/q2wWu	34	2013-08-04 00:34:48.870925	2013-08-04 00:35:04.001541	193		0
17339	10ychf9v4xnqqfwveau69946pp	$2a$07$a8z/Sx0a4r2O0kaOnZLct.9XXGr54fHgk4tIeD.Mfjv1x3RxQQzfC	35	2013-08-04 00:34:48.894392	2013-08-04 00:35:04.164356	193		0
17340	10e442uz1rtmk4idrtbsjb09qv	$2a$07$naY3xEPEPTCFOnUVls9mKOJwD1KVd0ntqAVMdqEsM7JEIwko9qde2	36	2013-08-04 00:34:48.916369	2013-08-04 00:35:04.310748	193		0
17341	107da33jgfuyobhxtduf826ppb	$2a$07$9ZAt/RcdnhB6vUmGJwkc8uIIAHf5C.9ZhkQYjAhMHk4uBCtnzMEf.	37	2013-08-04 00:34:48.93937	2013-08-04 00:35:04.492195	193		0
17342	107x2anr6l8qdsc4h4qczs8fpy	$2a$07$L3ATJ35no7cr3iVEHD.IE.QVr6cOTmHG7QgKED7FlI9v9etWLqWSK	38	2013-08-04 00:34:48.962873	2013-08-04 00:35:04.636507	193		0
17343	10e2o5yo6h28tfd9h1j9r0i75l	$2a$07$hOx/SVN/9NAjhBThb0DDR.MG.3B88u.awnhEUpggF5CJn/2eChHEa	39	2013-08-04 00:34:48.986081	2013-08-04 00:35:04.753755	193		0
17344	105dhgao8czsryq90psijds07q	$2a$07$XzGOwXlRczvxpnPLV1PEhOsahFWw5ZVK/Zzx4C/YE5N15gcgHj..K	40	2013-08-04 00:34:49.010567	2013-08-04 00:35:04.896352	193		0
17345	10ny2xq9wuevhfq98jo72zehgs	$2a$07$f4.QaQxn06BHPK7AAS0Eru3MHVZA5bwJarnPnVOFGnKk2yhG5yZu6	41	2013-08-04 00:34:49.034846	2013-08-04 00:35:05.008647	193		0
17346	10qap5nj7uhtgq81if0bpn01vx	$2a$07$PSI.5DfLXxcV7pplrk7Y5edq2r5ZxlJK0sqSNxzqf2TaYbuf6y8Pm	42	2013-08-04 00:34:49.057695	2013-08-04 00:35:05.139382	193		0
17347	10vvzt97muzwv9oau6e14no8jh	$2a$07$PPmmgfV6UDtVHTCwXfD1YOegd3fTLNSf7qhTucp47qsLYu9BmJjUK	43	2013-08-04 00:34:49.079265	2013-08-04 00:35:07.72809	193		0
17348	102dhz93mfkaxmsxq4wat5kjkn	$2a$07$eicc9VcPBoKs39cu9XM1n.iUBaQESCLR/vQAeccM7zdAmLEo3GIc2	44	2013-08-04 00:34:49.102913	2013-08-04 00:35:14.837631	193		0
17349	10o6fzkc4p5xxaxtxbdrf1kxcw	$2a$07$j6mjI/HYHLCX4xDRK1fayuVFEuEbDivfOTVEHn2t5La8u/tXScb2q	45	2013-08-04 00:34:49.135539	2013-08-04 00:35:15.752801	193		0
17350	109nt6u9chc1llw5tee1e5djs5	$2a$07$8pyep.fLHI0jpX4j1vO/FeOIOCMGicZqODJi1LGAbOZ7gVXeO1pmq	46	2013-08-04 00:34:49.159995	2013-08-04 00:35:15.88233	193		0
17351	105x0964g0qgruq9hsjujxn436	$2a$07$oixTUmKzJV66Jx2nL6q..elJWsQfLHmU3hQpifoTwas1m11beGPJq	47	2013-08-04 00:34:49.184369	2013-08-04 00:35:16.014439	193		0
17352	10jdyo8wtl3yv3e586xqum99s0	$2a$07$Yu.R3yvJ66GojjOAVEUqAOLGV146yiGVQckq1SVejHR0wVTVs5Uxu	48	2013-08-04 00:34:49.207448	2013-08-04 00:35:16.146571	193		0
17353	104qh3pg0vdr19uwv4wixoy8n6	$2a$07$fiBTfl.6vPbTQ3SlZfvU0OQyMRCTqS1hyDHRkHESXrBWaZqDxzUtO	49	2013-08-04 00:34:49.231483	2013-08-04 00:35:16.275461	193		0
17354	103ym19i913n2raax1mfietfpz	$2a$07$5bGDQqfBT30ihXhHW3Z/N.vhlx/bBZmkS8E1Q2saHEeiEhn7.3fhy	50	2013-08-04 00:34:49.253866	2013-08-04 00:35:16.383683	193		0
17355	10u5c7ftg9b34wy4bpfn2xn2gy	$2a$07$n8klGKZOXLViY.jfN/Ak5uEnTCQiXEHxdRyMW4/5z9DgE7T9MfUJ.	51	2013-08-04 00:34:49.285442	2013-08-04 00:35:16.497091	193		0
17356	10hscik48qbqcb2jfidmbmcdez	$2a$07$05wYB2sIXvZXM14BeuD7RebinP9eqOn1xIsBdnpB3jNCtYus2WEYK	52	2013-08-04 00:34:49.319037	2013-08-04 00:35:16.819889	193		0
17357	10pl64sh1a8i6d7s8vjtnsg8cz	$2a$07$0WG9h2lPL6Hmi28E4GUkHuNsgka8WEQDuc2EHm2QlCrxU1GVdubz2	53	2013-08-04 00:34:49.343106	2013-08-04 00:35:17.079956	193		0
17358	1051a25c91hpk0luejzs4iphdp	$2a$07$kYcGLe1xEz0aT3kKH8uqnu/O8/nTWLub5haF7Ngo6Z3QY6N7Lp1yq	54	2013-08-04 00:34:49.37479	2013-08-04 00:35:17.371432	193		0
17359	10k4q5jp7hzehov4itjmnbzeur	$2a$07$W0NJHxzn4VhbVyQncjrVx.S4QmWQZ./Nn1ZVZhjbYuQSxilda792C	55	2013-08-04 00:34:49.403191	2013-08-04 00:35:17.496179	193		0
17360	100di7182jrsj8pftm0gcitrou	$2a$07$zwIp87HZAgPP.HeUlQ5UK.4OQpteovQcfiD0MluVSKOHNMOcSJ3pu	56	2013-08-04 00:34:49.424803	2013-08-04 00:35:17.615237	193		0
17361	10jkrfm3nbogu82hl69lt1afgs	$2a$07$niX9yJkXcyXqU/wg5WaGNe0g6YIVugZTgSjKPWzISJdcIKEMGnor6	57	2013-08-04 00:34:49.446435	2013-08-04 00:35:17.738952	193		0
17362	10izpwsq58jjx3rix01ib0j6t5	$2a$07$ytPmCawfTF.cPi5VibxQ4eGxYgOACzu48eKD8OxP.rbgCyxujpY0m	58	2013-08-04 00:34:49.467953	2013-08-04 00:35:17.865135	193		0
17363	10317n2zd2vapdb60ee0hzub9r	$2a$07$fCbsKxzWaojuykNokbQ3ceyx.zJwO3KLZTllbA9OscZ/goXSAg1UG	59	2013-08-04 00:34:49.489391	2013-08-04 00:35:18.000978	193		0
17364	10e57p7fdz5hg90kgoxcn6umnz	$2a$07$UWUDJSI6aL1iJdETOEyrJePANAqX.Hxu2EE7.khuutsPtWr5r3GTq	60	2013-08-04 00:34:49.510866	2013-08-04 00:35:18.149573	193		0
17365	108dt0hcymj9idvk883fkxq7mv	$2a$07$PLbGzGw3kqctXigjdeK5/eutYeVVRL9LzRwRs8TyroIrpXaGFu3YG	61	2013-08-04 00:34:49.535803	2013-08-04 00:35:20.977576	193		0
17366	10v9qk3n3pkqlh6w699xxw0r67	$2a$07$VqgD8tjtThSf3WpDaxrLIOuag/jPS8fkk31dQ4jiXu1MFPgSroC1C	62	2013-08-04 00:34:49.560426	2013-08-04 00:35:23.885325	193		0
17367	10arzclhwrwmf5fqk25pz3ugej	$2a$07$0zTbptcAgEGw0FDSS0wabuBcP.npYY/lw77s75qjeYr9OV9nELZky	63	2013-08-04 00:34:49.584375	2013-08-04 00:35:27.071893	193		0
17368	1006fsbb4bjwa3sn4rl1eu0urk	$2a$07$oRsfP8qttOxjHVGbIfAHGuXg78H0gZA9aau0FgYCGqSSYHQpvhque	64	2013-08-04 00:34:49.606608	2013-08-04 00:35:27.221303	193		0
17369	10euc17of333jl9l97ams0t7zw	$2a$07$iwUd3Ay7muALCr/gmEOckelOkvSAMv61UMTlY6uJa0H6mS4lz/OqS	65	2013-08-04 00:34:49.628712	2013-08-04 00:35:27.360718	193		0
17370	10dy9e6dxq3rbrdhje3nvayz1k	$2a$07$8Mi8EgnfeXqxT2IvVY/AIegAUDgOuIyDJxd8YMpwQQQLW62P4Q80W	66	2013-08-04 00:34:49.651814	2013-08-04 00:35:28.539924	193		0
17371	10tk5pz8wvj06dzngek1o0k7mp	$2a$07$oIOH/CzXHituwOuVKEKrL.9fjoepjFOsDd7tCHkZ2alN7xoZqGimu	67	2013-08-04 00:34:49.675781	2013-08-04 00:35:28.664092	193		0
17372	102nvj8y9hc8eww5h3i00bagvm	$2a$07$1MS1du.Z0XG4k6/mOW4OfOJNhDUrpBRtFWOmaDHL9JJt.PkY9lmsG	68	2013-08-04 00:34:49.700198	2013-08-04 00:35:28.772983	193		0
17373	10pagpeku9l6nwitzbfj955zoi	$2a$07$hp/JYsQYdIkv.zvj753ROOKL.sf9gCKLiBMypirKK/GKJhA0D0sRK	69	2013-08-04 00:34:49.72246	2013-08-04 00:35:28.931013	193		0
17374	10md4c0m1p2bpusdb5ltr8v54a	$2a$07$YALyyiNqkQ1AMc3xlbqjgeRZNw6PdhqcnfVVis5btK2MOW330MdC6	70	2013-08-04 00:34:49.744946	2013-08-04 00:35:29.065489	193		0
17375	10rd8d9rrvzvc36u2av5p6v8mc	$2a$07$kt.bt2dxkmk8LuP4sDbUv.54MS2pwr/kIIr0mxjSSG8VGQsW6D.oq	71	2013-08-04 00:34:49.768616	2013-08-04 00:35:29.193042	193		0
17376	104nrbi80rnmbrqrfdu2osrn4e	$2a$07$53nKCwPk.UVDfSs4wKtGTuWCXRtpSuPDoGdsQAfDA35ZbXFvlHPZq	72	2013-08-04 00:34:49.790665	2013-08-04 00:35:29.433035	193		0
17377	10xb7twbx0v0b5ct3978jws205	$2a$07$YV3rUA7OL2a5y8GR0Dpf.eZ9O8fL1E3II/SNAB/ti8g8nX2cbTqB2	73	2013-08-04 00:34:49.814404	2013-08-04 00:35:29.856957	193		0
17378	10247ws6dq1x7zyldwim4q207i	$2a$07$r2iGGO.wYwY98kgOx0gwxObOV1y5Kznmx5zDHZQXLRNlNr5LPimAu	74	2013-08-04 00:34:49.837924	2013-08-04 00:35:29.979535	193		0
17379	10gd0aisnafoyobsek3idqx1b1	$2a$07$DXwtlZR9/XYHIErbTOSy7.HjwtHsMWAXHjZWYcGT7ff60D.tjHrP6	75	2013-08-04 00:34:49.86074	2013-08-04 00:35:30.114553	193		0
17380	1055qvqj1rkcefjokh3p4nfczy	$2a$07$u2dq629WYN1z/UWpXTmkje/H8d0wO2PonuYG8A2UQg7BLquVga6Bm	76	2013-08-04 00:34:49.891469	2013-08-04 00:35:30.253538	193		0
17381	107f51v0ybixt9y3783nbdf5ax	$2a$07$9A6vNEdn0S0X/kHMKy0nzO9ArrQHeajQ13QI4O0zaAe0DM1Bp3pMS	77	2013-08-04 00:34:49.925937	2013-08-04 00:35:30.384739	193		0
17382	10s84tl88zy68b8slvwz9fozbh	$2a$07$29/wmu/5ZWvQGNdlNMkXGeV9EhdKO8I/LdiOpLwRHX9RRCaDJXCmW	78	2013-08-04 00:34:49.96432	2013-08-04 00:35:32.937976	193		0
17383	10djk9b2gl12eesxct2lys8is0	$2a$07$5baqnWuzeuiM/Dl9gXHoR.OYhITlU3N.D2162qdBzLSnOQwzIRJY.	79	2013-08-04 00:34:49.998403	2013-08-04 00:35:33.077431	193		0
17384	10tke4uvzfu7dx6frbp1ravyj4	$2a$07$2ConA5MGKAi5.d.wKPpu8OknGXHGW62aZZdmupy7UW6x1gdHacsJS	80	2013-08-04 00:34:50.022	2013-08-04 00:35:33.19666	193		0
17385	10fcw1khcmxnar23utuddekvv3	$2a$07$uk3CRVvD4chlroaQMy0PHeKKliVfNtGG/uRwyIy4Fm7n2IIi8w9EK	81	2013-08-04 00:34:50.044989	2013-08-04 00:35:33.598919	193		0
17386	1011kb6dx6yrpm6syux6yzo071	$2a$07$VMRb2D3oB8n4RYzhKVzm3urxP02EmziCxnRtjyBUTEo0ge67njrL6	82	2013-08-04 00:34:50.067989	2013-08-04 00:35:33.725407	193		0
17387	10tu8rmnzpccfuf5n4qz6zzmok	$2a$07$FvcKzK7aAoaOuAgRksELLefsi6QKUqlAan3JAfbPTuDVZ.0Bkks8W	83	2013-08-04 00:34:50.090511	2013-08-04 00:35:33.893018	193		0
17388	108r5k1f0z50s0kx9veslc0tep	$2a$07$mhLFrkbF0meduaqVei1lCOTFMDVJ3w12fuXyIyIa6UyK6zPXNCbEa	84	2013-08-04 00:34:50.113093	2013-08-04 00:35:36.660307	193		0
17389	107rb18b7fab7oe8xqj26hpwda	$2a$07$t4XYox36jNO7X1apujSOTujXzS3xMmZJ7lMWfpQRJRMLCvuboNmUe	85	2013-08-04 00:34:50.135067	2013-08-04 00:35:36.781765	193		0
17390	103hhg9e5nebzyj9gcqb7casc7	$2a$07$jAPL3uZzpduiUqbs7nc/A.A5zFFqEYzXBkBC8qvTA1.lJ0sqftTra	86	2013-08-04 00:34:50.157604	2013-08-04 00:35:36.921422	193		0
17391	10evv9aniy9nwxfxhtb4e0kwfx	$2a$07$JaKGogO7Hud/u5PnXPeY8.bIAzxJxOenfdc0HH.Mmn78H7z3iacb2	87	2013-08-04 00:34:50.190783	2013-08-04 00:35:37.043926	193		0
17392	10oyr7so2iu6znvqcvc3cbir18	$2a$07$p4wmN01wYaCD.TR3eXea/.A6AzkZyB5hilPI/wAc4FiSPS5Y16CTa	88	2013-08-04 00:34:50.220021	2013-08-04 00:35:37.148279	193		0
17393	10serz377qoyppl90rz56toq6c	$2a$07$b/YkVQXAPxbSV8p17nCMR.fGnu2U2viCMpTpd56/MhV2m.81vBfvC	89	2013-08-04 00:34:50.259696	2013-08-04 00:35:38.084252	193		0
17394	10342f2qjilp8lqjrkv54tygww	$2a$07$QxUrRQddwccN97rknT2KyeRAyQ74Yqg3WZR8dGo7/wu5J/zYWldsa	90	2013-08-04 00:34:50.296824	2013-08-04 00:35:39.060204	193		0
17395	103ribk6bx9yj74wxdyfacfhx2	$2a$07$lCsDfX9ARSOtclihAIeTDeQuEJ4RVW5ANs0krU6MKwnfZzh6gsF0m	91	2013-08-04 00:34:50.319348	2013-08-04 00:35:39.179652	193		0
17396	107c0mz6oj2t7gfp6tcy0dg46k	$2a$07$OMsEw6KT9oCaevg7.KgTiOb52/Lm2TmNXwvShuVGT4HOlI97xwUfa	92	2013-08-04 00:34:50.341669	2013-08-04 00:35:39.284603	193		0
17397	10gkes155lc9s0emmfryc9ji5k	$2a$07$iXFTHbBT/y0TpVpwPiXzQeBGk3CiLHKsZhcFv.g9Zc2AWE6n3Jvxm	93	2013-08-04 00:34:50.364892	2013-08-04 00:35:39.413587	193		0
17398	10uobalmkoc5pbsy66xfvhizef	$2a$07$zVD8QyieJIMEYVnSMoT4tur..BnPnGdIWQz9wCfOaBUdeW218XJ1q	94	2013-08-04 00:34:50.387858	2013-08-04 00:35:39.543297	193		0
17399	104dle98npcshzcmvrlzgudmxn	$2a$07$9cLDAZ6lP3Xdlce17T5HSeOFvr6fJzHFQbJxkKhvBk9hTtY9BEqJi	95	2013-08-04 00:34:50.410587	2013-08-04 00:35:39.674473	193		0
17400	10ptc9h9c1dahyaukpa1eiwwzf	$2a$07$sopzAsX7vdAaDIDSaHe3ueD8TOQbkFRnjTRCNzNNJMbOgo2xoMeRu	96	2013-08-04 00:34:50.433416	2013-08-04 00:35:39.814345	193		0
17401	10lxi2abwuwwn32wam0w5c5tyo	$2a$07$IxiRt07wcX5ax32b3yBtFOx1CxtZu.63spUHBD0SMS3qAOJ6mlFhq	97	2013-08-04 00:34:50.45601	2013-08-04 00:35:39.953769	193		0
17402	10c94pzyrcxalaioqz25p95oc3	$2a$07$RUbQIViALe4IHpKAwf1zXOo1k0SfKyrD5o5/5iEg4ciCheZPZ4QLy	98	2013-08-04 00:34:50.478679	2013-08-04 00:35:40.085924	193		0
17403	103ny4gw1lpl5alweoqgvkf715	$2a$07$ueUIJJP.07mcroYNhCa6suHlKi/XhbJmddCrDqIK7JZvhKz6Slrgi	99	2013-08-04 00:34:50.501077	2013-08-04 00:35:40.244003	193		0
17404	10d4ieuma9kc9gsi9exp7gbk00	$2a$07$aQAyhkmwVb.h5r8LZ/CRKOShvrIeW4RFJI6NTcqsPZoBZdftXEVvG	100	2013-08-04 00:34:50.524763	2013-08-04 00:35:40.36619	193		0
17405	108dbwa9hyhr1d461gqkr4iyux	$2a$07$XEYWJOxOcrUb/y2y6M8vDuZ0kxy4hFgD5zeDMrcEieQ4daR1R2gfi	101	2013-08-04 00:34:50.546767	2013-08-04 00:35:40.500145	193		0
17406	100vhsncsw7wqh4ko2q4zwof59	$2a$07$l/jglRwgWa3R..xaagVi..lr0v0F4m70abH19sAFUjh2piiXRn0cy	102	2013-08-04 00:34:50.572013	2013-08-04 00:35:40.618562	193		0
17407	108m66gz31e94wyjb32sdr0khn	$2a$07$q4/paXrJyjdY5Jf74oO4Su7uF3L6e2OxHPgyFfwZkqp1ZhBUXYkSy	103	2013-08-04 00:34:50.597555	2013-08-04 00:35:41.172052	193		0
17408	10edzyy5g53557nraclr8ur73b	$2a$07$KdKPEqEcW.uv/nrz/m.4AedwbCI.4szex9sBpMWm0pI1fggf9x/gq	104	2013-08-04 00:34:50.620479	2013-08-04 00:35:41.681581	193		0
17409	10s8vf8jm28kjocsyfyzbto0cp	$2a$07$QFCoe74mZpFIbqO3wkycLOnFgImxyUwaaNk40/ldc.PymfcMzINv.	105	2013-08-04 00:34:50.643709	2013-08-04 00:35:41.818295	193		0
17410	107tt6feamsivfw44lqtpckurp	$2a$07$.jxdp/9x3Gqh1t.F39khLOPF4/Ylzl5zwybLDe6tqya/xifLHfXxO	106	2013-08-04 00:34:50.665643	2013-08-04 00:35:41.938589	193		0
17411	10s90dn4yb82pfjwk0pefau1x6	$2a$07$4Bx2W8yGvTsJTwY2Jk91hunE33aFjPFZqXAj9eT2b2xYjg0ikK6pi	107	2013-08-04 00:34:50.687849	2013-08-04 00:35:42.084415	193		0
17412	10q7alx6e1smcgp2w1qeatmqzz	$2a$07$wjwmFsB7L607ovhGl5t6OuDjmt9Qo2J4zOeBiNVaObX45/EMEUCY.	108	2013-08-04 00:34:50.711017	2013-08-04 00:35:42.247995	193		0
17413	10uuztkm8rzeda1wqlx7tccnp0	$2a$07$nIIbdjaOQsCBWOxIQllZ9OgtECi77peA7q47PCPGfT2Dfvn0fQ2Cy	109	2013-08-04 00:34:50.733261	2013-08-04 00:35:42.491438	193		0
17414	1001b715taa4k3x191iql506vg	$2a$07$DvUmwQ5iRvc7AuJzgbQ/3ehw/xbkckCwYNsGBpeZoxjyyOcgZ7BPC	110	2013-08-04 00:34:50.756029	2013-08-04 00:35:42.734216	193		0
17415	10t4f8u4f1q8h83znyi7fwxo1b	$2a$07$Bc6U0kRwBG.xxm55OgXmmu8cMBJj1BNGaWSb1cMUcVWHmCQ4tjc3S	111	2013-08-04 00:34:50.779587	2013-08-04 00:35:42.861143	193		0
17416	10586lmlqhq80gvzu4xbc47bkt	$2a$07$cy0UMtQrljpQGBdwV9Z81.JQN.apBEoTeoVEBMpq31OwwMBrCgvFO	112	2013-08-04 00:34:50.8026	2013-08-04 00:35:42.988078	193		0
17417	104odutio4wolmy6jxpaohxy3z	$2a$07$hyw72/S.hfE/dZTxhhSCgeRW7gIZjQ6bvoj8cjqInxkX/PTQBv3Le	113	2013-08-04 00:34:50.829261	2013-08-04 00:35:45.64105	193		0
17418	104u8m72bj6hmvrl0cdld9njrx	$2a$07$4yjnM94S6CB4phBbRWpj0ObLXsd6LNSpee6fcPHS6nR9ebjgA/9Na	114	2013-08-04 00:34:50.852706	2013-08-04 00:35:48.335888	193		0
17419	108zzjdapte6hppayq1nh3uigs	$2a$07$DbGuRy9EXslrlsohSkcm8uuAeoXYPijAB81KjiYtCQ5JxenlLH9a6	115	2013-08-04 00:34:50.874746	2013-08-04 00:35:48.466277	193		0
17420	10zwzdwv886sj3i263cytyyjoi	$2a$07$XlPfFjtt2QrfAx6WBslE2.iEhOLOqg9Hm7vwZadE0dpn6N7K8.5ga	116	2013-08-04 00:34:50.898583	2013-08-04 00:35:48.588636	193		0
17421	10g4q0s3rp9nqgbcmx06humsdf	$2a$07$ssZX4puUi3lQlR4WWDzR.uDhLQpCxbB9VfkjUL8xcyU1hY9p9ixaW	117	2013-08-04 00:34:50.921474	2013-08-04 00:35:48.736127	193		0
17422	10hxk7rapxun8vezhy43lx1w3l	$2a$07$TSCL3SDNYAMLKG5f4fk.eOkWzhRHHBHd8hUYbgry3N/uLa1psQF8u	118	2013-08-04 00:34:50.951994	2013-08-04 00:35:48.895133	193		0
17423	10d1idejmguee0zx1tih58usfm	$2a$07$ItcPwYtJJUPQ.KBex1QPJ.uNW5VknB9rO10G5fSQ/c8G9DDVak4Ji	119	2013-08-04 00:34:50.976684	2013-08-04 00:35:49.025918	193		0
17424	10vepjee2x50p7c59057l09r7p	$2a$07$b9E66Z.lbJiEV436MNamiOIhBWP3PMIXyj2z0noKF2EEaBG3iAq5y	120	2013-08-04 00:34:51.008848	2013-08-04 00:35:49.147983	193		0
17425	10otpv5lja176bf67dyaaxtgf7	$2a$07$S3a17sRiTyzOtzfGYrUHXuTboqEtA2CH/9OptonC96VrORgkkIv0a	121	2013-08-04 00:34:51.034969	2013-08-04 00:35:49.293009	193		0
17426	10bubvrmf8mmivwrnpclzjsd9z	$2a$07$k7cxn9iTLL06mvP/9W7ROOaX7K554QXHJpBBwGALWW3G6Hb7pagt6	122	2013-08-04 00:34:51.064758	2013-08-04 00:35:49.401368	193		0
17427	10bbdyyiauab80g17dr9q0vs4k	$2a$07$YNHUblebyMPwfROkDTABpuy.akT6sLzdXmEvfG4hITyReHaoWqpvK	123	2013-08-04 00:34:51.091501	2013-08-04 00:35:52.277438	193		0
17428	10nnvfck6dtw9l1wjjkc01ylbu	$2a$07$ewgpzK8jyqX1BvYAMe8iquRDtXMadblOH1fobK0jszUx2qINAZhp6	124	2013-08-04 00:34:51.127895	2013-08-04 00:35:55.554085	193		0
17429	105l9vm8tv8baszfu4gekreims	$2a$07$JxTMR8d6whyO5yIbKics/OCL68zupJbEFvE6y7xzwIGL1xXRa1m7q	125	2013-08-04 00:34:51.150953	2013-08-04 00:35:55.851947	193		0
17430	10vz05p6borg31tmvs75t7kxjp	$2a$07$BMVEqmCFw/UVqiOXeSAf.uZv9Fc.50sa/a3Sq6B.flxU/h8Hy5K2G	126	2013-08-04 00:34:51.186433	2013-08-04 00:35:56.14446	193		0
15163	1039fn107cz78ulaf0zksr9uka	$2a$07$x7LTiVyT0G4w1.hCioWT9OtxCvfYvssUcuBzpJjzQOHGzGV6obpJy	1	2013-08-03 23:08:35.06742	2013-08-03 23:08:38.345706	176		0
15164	10iwf6mz8w2pwljxedfrqild9g	$2a$07$gyuYQqivY3THPIhBd6twnOI3blC2758as9mveiCG5/.gaIyonWlvK	2	2013-08-03 23:08:35.090438	2013-08-03 23:08:38.482825	176		0
15165	10wof56iqm1i7qx4wm5firilof	$2a$07$RBgfNaK0yEDp5dG43v6ijuh2ord7qTM.w9My.3l.L5STKqFv20tr.	3	2013-08-03 23:08:35.112865	2013-08-03 23:08:38.623237	176		0
15166	10klpfar31zihwm2efk5lig2l1	$2a$07$JVSFw.Ox39XFiQQtKKbl3enFkDe1iSYzWI4atx7jsK.A60kHWw8r.	4	2013-08-03 23:08:35.135827	2013-08-03 23:08:38.784959	176		0
15167	109mglcjela3b1wpayqjifk4q9	$2a$07$/391S8Ehqk/A3xTQ09UjmuJ2lMg/rK5KFfq3XP20EUVQlQAmHOZHW	5	2013-08-03 23:08:35.158833	2013-08-03 23:08:38.969682	176		0
15168	10238iih1psmtqawbb52dg90mv	$2a$07$9hTbyZ0Sv75kREazTTdr0O5w/aOtmieFytTOW0f4ysd6P8NrdmakO	6	2013-08-03 23:08:35.182044	2013-08-03 23:08:39.109777	176		0
15169	10q0qvmghwcrzjuc5cxsmdvgvd	$2a$07$.HxrPnOhfBzaklsor5IUee9dNG2Vj5dqhlzAybTsH3b5N1qfiA1lu	7	2013-08-03 23:08:35.203632	2013-08-03 23:08:40.538619	176		0
15170	10ylqt8mu1wkdcg8l3ueo6dh1k	$2a$07$48xKHNeA/kP.OZJPnC8glOyldeZYmXjcIv4vEPdZTi6sHqU1WXmGG	8	2013-08-03 23:08:35.225457	2013-08-03 23:08:42.069823	176		0
15171	10xoqwuk62cuad3a8mlrqw24g9	$2a$07$CT66GFqpMLkdkCJiRXOzzONWAe/jve8QOf71k/TwKU.oun/4lDXJK	9	2013-08-03 23:08:35.247026	2013-08-03 23:08:43.413222	176		0
15172	1038xtlqjrzmw5nvc786u6h9m6	$2a$07$XhGt9XP2B3eCQ3iAdyti7.DqcvAJ7sixnTcs1EpPNyjkIsOeEQf26	10	2013-08-03 23:08:35.269079	2013-08-03 23:08:43.55711	176		0
15173	10flfi5iiqbm6d67dn1jge6lz2	$2a$07$dlocSYkC3GRTIzDpWoJbceD9marZk3vmZ3yrvCBAYiAEjmNhquvyG	11	2013-08-03 23:08:35.291909	2013-08-03 23:08:43.697191	176		0
15174	10pddh77fyz2b79ha1x2h9zkj8	$2a$07$CRMnTZu.rG.Zqz3o0uikJOM4wJ5dwn8xN5Jww1WhD9XqSbMzs/6Ty	12	2013-08-03 23:08:35.315579	2013-08-03 23:08:43.840527	176		0
15175	10hs97vv53j85wwfpm8gqdum0o	$2a$07$YKoQPJ7mKRYa77JL2AdwwuJmCK4cQqYmdsVDH/RVaQm3BOCroP4Hq	13	2013-08-03 23:08:35.346163	2013-08-03 23:08:43.990486	176		0
15176	10ys1j6ukmfvxgjlh6qqc15y8b	$2a$07$yew/KnFXsSvLiITOB6JI5Og1AG7rzaIAVT3r/usFt.RHaW4yezEAK	14	2013-08-03 23:08:35.372149	2013-08-03 23:08:44.139734	176		0
15177	10xjg5xc0f3h6ptr0jowr3ak30	$2a$07$IlZDrtliO58iqZ8I2sxdm.WfEaSWzhHQbjl.VwqMhKZ0bnngsc2X6	15	2013-08-03 23:08:35.394471	2013-08-03 23:08:44.273072	176		0
15178	10uv5ljc6m4ns29exzaswj9trc	$2a$07$/R3nSwwN1osNPlx4SqRV.eRu1vwjw.0w6zY23z25yofy98aJBPAfe	16	2013-08-03 23:08:35.417569	2013-08-03 23:08:44.406757	176		0
15179	10qeizsll23hurt83yu97fkr8v	$2a$07$mRjk94.OYMD5/CR3cL1MKObvNgkMJzZpkqfunwVvK2KZyEx1kFmOO	17	2013-08-03 23:08:35.443226	2013-08-03 23:08:44.539442	176		0
15180	108kikl6mwr4qy4527fm9loqxg	$2a$07$9/Fijwb6JOeJEHe8YefFAOiAQz4CPMUvVVu9iZnWBiD6YFBeHoAdm	18	2013-08-03 23:08:35.465797	2013-08-03 23:08:44.674769	176		0
15181	104t4attbf90acx39kwcoijvs2	$2a$07$MZZ9/uMd0Ny3BVg2bga3Me4UVBoiMOiim8N.pNiN.9HCa8EfJo4te	19	2013-08-03 23:08:35.492062	2013-08-03 23:08:44.820109	176		0
15182	105wz1wgyu2xic806jr4ofkzsj	$2a$07$QAsHmKPw0yhv.JtisXo0pu/PVRO0f.TrfukjWoax.Bxa7G6lTvyP6	20	2013-08-03 23:08:35.516931	2013-08-03 23:08:44.977358	176		0
15183	104t6e8z9fmv0rtpg9arrbnll1	$2a$07$MGrpaCu1Z3bLJMzid3PLUePYskzQf7vNb9pdt2j4c/9x/pqc1aFlW	21	2013-08-03 23:08:35.54065	2013-08-03 23:08:45.109692	176		0
15184	10tdm1ty5lurcd2of7nepi9suy	$2a$07$.3dG4rr6OWqiW5mt8O.n3.oxLey8svA53DOt6UYl8D1lpth7lzFfC	22	2013-08-03 23:08:35.571521	2013-08-03 23:08:45.249484	176		0
15185	100fnzn62udlxuc4v2a7fyir2i	$2a$07$F/QMtAfDe5PXd0HO0/XPA.jAdJsYUco7gcayJMKYYNv4PdaVQfXv.	23	2013-08-03 23:08:35.599602	2013-08-03 23:08:45.389646	176		0
15186	10vgjia2tc4t9i9lkkfx2aowei	$2a$07$.WhQVIQm/IyvaHZPDe7EmO5a6K54V.G5p1HIABI1uz6i/ZFRJMDWW	24	2013-08-03 23:08:35.621048	2013-08-03 23:08:45.525069	176		0
15187	105xsibx09mdsxg5j6o0lb0go7	$2a$07$TwmhLPcVGQK811VFeFg2Xe0O2gjaqg/ThTtSMIeLu9hfkz644iJ7q	25	2013-08-03 23:08:35.642633	2013-08-03 23:08:45.658354	176		0
15188	10eqo190raxbjrfk3k2e1pzpr1	$2a$07$pu/Cg1WMOkrkhPBlm7PaeOlgbHy3iDe4QZgy9i6G6PO3mHgoET.Sy	26	2013-08-03 23:08:35.664293	2013-08-03 23:08:45.794567	176		0
15189	107t2x5ye65zlapfp4fpqr9co0	$2a$07$TDPTUspLTB8pKPLdiXoSy.FegbVPZGRQEa7A/fA19UcPNIHvpoP92	27	2013-08-03 23:08:35.686296	2013-08-03 23:08:45.911485	176		0
15190	10t1igugqwe0fv2fkf8ddjv9sq	$2a$07$K.ymgfl.8BcDe/04ZYmU.e3IUN5d.3foJrZPY7WW8XwsfD0BLlhbm	28	2013-08-03 23:08:35.709031	2013-08-03 23:08:46.401309	176		0
15191	10pjwlmb8n30l44r2b0up00c2c	$2a$07$9VkTSjaSxWSdXiqDPw6rFulUT0ZVDve1pZK7CmDz8jvEhvgUsPDsW	29	2013-08-03 23:08:35.73212	2013-08-03 23:08:46.895543	176		0
15192	108o3tb4s8sbbbv61ipijmm4i3	$2a$07$UoihQkvGCzc8hcrYPkGBsObSSceImpBRpwicwQcRHlAliMx.qJste	30	2013-08-03 23:08:35.763175	2013-08-03 23:08:47.310163	176		0
15193	10va1a3yjqonjzuexph4t33c5a	$2a$07$Abw36/5UXBntcNXyyJIUWeGVaKfAq9CBwQfd0Xf2H58./GCA7YMny	31	2013-08-03 23:08:35.785245	2013-08-03 23:08:47.445665	176		0
15194	10pk9l2nvjc4gmuyh7irxtmnsr	$2a$07$.6.AvAZgWabsetEe8wfsS.GM2XE15akmOgPhmJUfgBGznW4aUPDMG	32	2013-08-03 23:08:35.806823	2013-08-03 23:08:47.587434	176		0
15195	10y8as7rfmsucfi2dcafbv317x	$2a$07$FcpoopXsYBOrNf5o//CMneyFpryOnhvhiDsAKIRucRqeuAJtZ7y0y	33	2013-08-03 23:08:35.829256	2013-08-03 23:08:47.718738	176		0
15196	10ntm340r1e6q76zq6rk25s450	$2a$07$cPdzNlMwZrTu8X4Akz5TAe6h9SUfd3qKB1yLQ6yeY..PlbcENktBS	34	2013-08-03 23:08:35.85338	2013-08-03 23:08:47.868902	176		0
15197	10fymkj8gw1det8jaqm161tnn9	$2a$07$zpS8n6wfxRf8mNlJj/FuHu2eVfQG76D0U5bzr9g5j7iUCg9l4WKXG	35	2013-08-03 23:08:35.877263	2013-08-03 23:08:48.025608	176		0
15198	10i1ztmglacbqmgf88j4ivtie9	$2a$07$PAj1nG3bLAq1B52pNqTBaetLYXUx.gq16EVirTAk4ZWcsgN/ql9A2	36	2013-08-03 23:08:35.901054	2013-08-03 23:08:48.182041	176		0
15199	10ihngdlbgibjtgcgpajsfsh01	$2a$07$pAQ8pMZz1DSK07/rX5WNI.dXWvFsFdYEazF369Os8A/RIZBDTvnh2	37	2013-08-03 23:08:35.923145	2013-08-03 23:08:48.321138	176		0
15200	10nl0ql564cth3rgfydj3zh8ri	$2a$07$/tX4RuzYN8nADn/vhbPBruZYf2YTfsUaJ1ssGjtkdGxLNJDXz9yHy	38	2013-08-03 23:08:35.944619	2013-08-03 23:08:48.46525	176		0
15201	10zi9eaxw9gmb5evytim2tmmz4	$2a$07$GyTzZGsRSWfEo/0N1BRPgeHW7YuPMj19uy7.N7y3qqHCKcQFT2pR.	39	2013-08-03 23:08:35.966352	2013-08-03 23:08:48.593803	176		0
15202	1089sigmukk260d1h4zruxbq30	$2a$07$kGkJUz861sH.ts70W8btAuXDYzkikQVE5AUySLd4QFYGqjuogtBtq	40	2013-08-03 23:08:35.988745	2013-08-03 23:08:48.727979	176		0
15203	10dkobm9zasswsa02ql35sifp4	$2a$07$KViOwLQFXcE/1aGKjGaL7ekC330DrOTHj3DnkxRYYiUc8F1VrjVhO	41	2013-08-03 23:08:36.061426	2013-08-03 23:08:48.861148	176		0
15204	10owzfluu2v0z5dalxy0qi4lv5	$2a$07$pxLmiErrdYX3AAQFUYaE9usvkWXVDDQp4Ne3vcJaNO06Lxy9CYkYe	42	2013-08-03 23:08:36.084335	2013-08-03 23:08:48.985954	176		0
15205	100ej91afxs093xtmk6lnk3e4a	$2a$07$nl0iBQtecTYBjp9Mp9/8YuvwEeyXJCwwd7cLXelNFzQi8RnpZzdry	43	2013-08-03 23:08:36.105997	2013-08-03 23:10:43.098317	176	mux_client_request_session: read from master failed: Broken pipe\r\n	0
15206	10hl9vdgvr4hrfzv1wnvcduuv2	$2a$07$2fTG1vC2OsEcKtdhSRHzb.SbeoLroIUCYJ2TZVhaZbdRw3aRwbr1K	44	2013-08-03 23:08:36.129408	2013-08-03 23:10:48.020214	176		0
15207	10dyhevih6u3bbonkrveeggidm	$2a$07$JVGqOzHgfSF3qzvrA2GZfu12d7bEd37chHE74zt7Gc4hdmQq/uh9e	45	2013-08-03 23:08:36.161125	2013-08-03 23:10:49.7207	176		0
15208	101szyuz7jzqoochajxlyvy00w	$2a$07$4TLDNlH/KMa/pGMdCOsH8emWi7MpM.Hkr0elVJIaFVy2T5/asBdAi	46	2013-08-03 23:08:36.182957	2013-08-03 23:10:49.857923	176		0
15209	103yn7j0rdmy4bs7u7i8xa99tc	$2a$07$WwFgK/dR0KoYR58g0Bffs.SUp8nhQ1GAfbIJ2y9Hjugsa3Wh6rdxC	47	2013-08-03 23:08:36.211331	2013-08-03 23:10:50.001799	176		0
15210	108idf5ikv2f893m818w1drl9t	$2a$07$8NtqZ2ocUMVuBm008w0kne2cLqhEeqNY0.x.68xvcd2cgkBaNyIom	48	2013-08-03 23:08:36.240081	2013-08-03 23:10:50.144755	176		0
15211	10oa57r5sw344ky57iqd29tdaa	$2a$07$sDVDWsg9UTPCWF6Ns.xWUevFPiUk.ewbseRdquOpl1peN3kMoiiwe	49	2013-08-03 23:08:36.273573	2013-08-03 23:10:50.301577	176		0
15212	106c8xxoaz3xfiz35o6ph66tjr	$2a$07$TmteskoqysnnzEcP2OCpcu4L/5Xkmk20deZXfWSq2ParTNKvnRwjC	50	2013-08-03 23:08:36.307732	2013-08-03 23:10:50.451622	176		0
15213	10sbugq1rvh5tcaddebovhvxqw	$2a$07$KJR0WrXAMzHDDSoOmykZuOJlp20J4yCRjjoN3BSP2MPbSj95SN8wu	51	2013-08-03 23:08:36.329481	2013-08-03 23:10:50.606656	176		0
15214	10dxtg9hkq75esksb3rk5e7f37	$2a$07$pGTqlihhWFMECPU5cja/le/VKZWN0XtphTrBbMmGOhsq0ec9xcUQW	52	2013-08-03 23:08:36.351022	2013-08-03 23:10:51.144721	176		0
15215	10xax18mzsg3wb9lj2bgscu0dw	$2a$07$yNJ3In1ipw8FoOW.Du80JOS89rlhTqRo6gscrxsIf/8Unva5Qfiaq	53	2013-08-03 23:08:36.37286	2013-08-03 23:10:51.62018	176		0
15216	100ysw9x9p58rbsyrxeawlfnug	$2a$07$zwpL82ELT1eE/QzyOBa.fOCgDlaa.c2A025oEvmc.j2JC4KXiPruG	54	2013-08-03 23:08:36.395114	2013-08-03 23:10:52.263523	176		0
15217	10pil0lowlrtn20zmjfcfh19f0	$2a$07$zi6Do1OlG3/3rQMfPhLRhOf9xcykq8FntgGw6M4PU13yYmQ6yU1yy	55	2013-08-03 23:08:36.418166	2013-08-03 23:10:52.401319	176		0
15218	10mrdue8m3ovh69dyna0saufg1	$2a$07$5fuJlW4lxAOoFxJlzKqiB.m0VRTo61.NmFWdpgzjJFHKnC6wUyoy2	56	2013-08-03 23:08:36.439868	2013-08-03 23:10:52.531523	176		0
15219	10p8i332opdf9edggzvd9ri2mi	$2a$07$9gcrup.5..YbK/yX9utfKuVB6pyifVCbt1lIxdKahI9zTepoinlzy	57	2013-08-03 23:08:36.462699	2013-08-03 23:10:52.686034	176		0
15220	106z12zuu0szsgsuoq8j3bc7o1	$2a$07$IIHAUe2WjDLqZ0dvD2Q.BubrfLU/dqmNCatjrvfUs6CANMvaY62.i	58	2013-08-03 23:08:36.497958	2013-08-03 23:10:52.846738	176		0
15221	106iqiqwsl6sd4apn3gffmo7wd	$2a$07$NecmQB623SONYXZSX49xYe9huR32dtLxHWAVE3R8gtK6TvYYjD.kS	59	2013-08-03 23:08:36.534651	2013-08-03 23:10:52.970935	176		0
15222	10miw0ju0jw1cmo96fnns01kb7	$2a$07$gsx6vurhuy4yabLz5V7M7ObueLPNEK2HRRJmgOUjs1gnvHohLtnLe	60	2013-08-03 23:08:36.560739	2013-08-03 23:10:53.11587	176		0
15223	108u0gu7tv83kjxd1z8i0lgfhg	$2a$07$vF66KJWWmEaPh.pP2ktdsOi72Y9p8xOj44Y5STJ/FO/axb8GP.fIW	61	2013-08-03 23:08:36.593575	2013-08-03 23:10:55.790347	176		0
15224	10sdhb1w2m7mplz2wh88ouonh9	$2a$07$2aWAkKLyTegEOhAYstxHB.z3j8BZwNxW3uqFsFb6r64xR8EnEsCEa	62	2013-08-03 23:08:36.621828	2013-08-03 23:10:58.686201	176		0
15225	10z0nq1c5zjsn923juevxqfwcc	$2a$07$ymAXPaKZROODtJdJXpeJdeY3HylzCjN6zXkYRu7X/Oo7qpyCDrQQi	63	2013-08-03 23:08:36.643581	2013-08-03 23:11:01.616198	176		0
15226	10o2ahphfsz6hcj9p0rgbcjfm3	$2a$07$mlZySlM4qAZgB1LVmA6P5.tqBHOa7a9EQtVz1xilWprKfyDrp2raK	64	2013-08-03 23:08:36.666235	2013-08-03 23:11:01.767433	176		0
15227	10zwhrdhdpol0tj0q54mzvz1v8	$2a$07$ckTVZWnLuiJO/2U.DtKtu.RdnDrj5F5EMhUuSJrI.SgbZTn6b0hz.	65	2013-08-03 23:08:36.688545	2013-08-03 23:11:01.932658	176		0
15228	107isbmcwunf5x6q9x4xp7y4p0	$2a$07$xUPS6GVqz5cqtXOJc.GnD.zzIFVTcfYcxybNOKBASpEH8EsGgb1VW	66	2013-08-03 23:08:36.710186	2013-08-03 23:11:03.041886	176		0
15229	10xtks3tow227d1kc090rxm7qf	$2a$07$AWqwXHQtXhp1OgJgO9/76uAKGZEV6eWSfo0qCItBkpJVJ5hMTfP5.	67	2013-08-03 23:08:36.731968	2013-08-03 23:11:03.180518	176		0
15230	10gd5kn5br6krl78ss39mwh71p	$2a$07$EzGcaGw8tASLcEV4950K4uut7JxlXwa7CigZQk5ARC5NiLFjklPkq	68	2013-08-03 23:08:36.754176	2013-08-03 23:11:03.295823	176		0
15231	10o127uo52app35r0hrf9c1776	$2a$07$VhS9EXeoU/tjayNagV/SQ.yPZ57asmR.2vg30/xSKssmxQ9Mjk6Hy	69	2013-08-03 23:08:36.776026	2013-08-03 23:11:03.433181	176		0
15232	107xv8viyu5jvulclem4bleeg1	$2a$07$LBUcdRlKrMMBpimxCeoXLuqS37Xmt34fb9vuOeH6kJ9r8hDsO4a9.	70	2013-08-03 23:08:36.799012	2013-08-03 23:11:03.568742	176		0
15233	10y4ntxnzjsox7bm39xziioovk	$2a$07$gFZSjw3IDu.VHVw7XHXEvuEPoHdJ9DG.Q1AL4T4b7bcBF5rjeLzCK	71	2013-08-03 23:08:36.821063	2013-08-03 23:11:03.709047	176		0
15234	10u8dp4ah4f3y7hc7x05lj7ekw	$2a$07$9UyYs3S80FB5SlxV5RdX8.39NyMj/KDjW4qWlgL8RhkEB6CS7pEJ.	72	2013-08-03 23:08:36.844794	2013-08-03 23:11:03.851102	176		0
15235	10zm0oamy4xm239dkbm8h7ike2	$2a$07$Qa22tIbzHDZ4uKY7UWWHmek4jrKwzCJ81hrZxGUCEheZu5ayys5TC	73	2013-08-03 23:08:36.875692	2013-08-03 23:11:04.54244	176		0
15236	10vikmqy5w1eb1btvw71ci48j9	$2a$07$rustHbljJK8J7glgq65B8.47PFLTE7FjYNZwu2JszbttY8E.c99wy	74	2013-08-03 23:08:36.898563	2013-08-03 23:11:04.685175	176		0
15237	10ydcv8fkrob1l7l70owowhpy3	$2a$07$3as1DbR1LBU4OBXHkgNld.hfgTkHcWmoMb6b8o8O5Udkp88j6oBB6	75	2013-08-03 23:08:36.921965	2013-08-03 23:11:04.839617	176		0
15238	10cujw6av9jg441hgso2ixdpic	$2a$07$L.0ONsOffagOqtyohYfNWOwZGU1M5/pq0/MRvuIXKSGyxfUCSLOB.	76	2013-08-03 23:08:36.945575	2013-08-03 23:11:05.006944	176		0
15239	10agk7twhnamhfv8ybfmv2nh46	$2a$07$Wac8S5OzRmEneoy2QzgWqeoV8rLgx3QAAmoA5U/jA6xBAMVCnT3rG	77	2013-08-03 23:08:36.979312	2013-08-03 23:11:05.140824	176		0
15240	10c6z7vnihhbabwqhwhfbqkw4m	$2a$07$TNcm2b1iSR/RQ6soZsnZqelr0gAFZ9E.dIoazOn2BqsQz8UUbtlou	78	2013-08-03 23:08:37.016092	2013-08-03 23:11:06.256849	176		0
15241	10xmbkhygdedjvikqll1f42ro1	$2a$07$JK1vqKUX4BU18V4ZAKEKhOrl1VVSqq4Dy5kBABnQnlyHdPommDBje	79	2013-08-03 23:08:37.045862	2013-08-03 23:11:06.385264	176		0
15242	10z7602yklwkku3i6kr80ykk2d	$2a$07$Ue/dv3AMhuRSC5DmrCQhpOr.pOaccq4a9D7Vk1N5qDNbjqxyStUFi	80	2013-08-03 23:08:37.077543	2013-08-03 23:11:06.545901	176		0
15243	100cxnmejys2ozh4y6togmdk4j	$2a$07$sw3X66heSiSfgogpXdZD/OsRMbu12Q6FRlZkjRkofoKRbhDpBb10a	81	2013-08-03 23:08:37.113471	2013-08-03 23:11:06.894202	176		0
15244	10cwtkrn49mqb65e97fcmskbb4	$2a$07$izpCRh/djZkkCR5fBxsoa.MUl6TRrNTZqzP0swDRDzETInE3a1tGK	82	2013-08-03 23:08:37.136796	2013-08-03 23:11:07.048927	176		0
15245	10w8zpmgpezzzdt63ta1s8oho7	$2a$07$HpUcKdVStAwYUkGDuc7Aa.YIV6i81U/AZZEEDl8uaSrJ0r8Y3y4n6	83	2013-08-03 23:08:37.158515	2013-08-03 23:11:07.177384	176		0
15246	10p7nz1hka52ahn6lchc2c283u	$2a$07$.4dgPJ5j.fCsJthls58GpuNzUX8rtLZeKsyD.BRf3pN5taAsOpUdW	84	2013-08-03 23:08:37.180327	2013-08-03 23:11:10.103221	176		0
15247	10zw056n6xswj2swh9vu74tpy0	$2a$07$9ulZEWlZQWjwD29oKCMrhOB8v0qsUfLJNTsC5bzog//O2kcJKmBqe	85	2013-08-03 23:08:37.202492	2013-08-03 23:11:10.238856	176		0
15248	10v9zoyp3dzxzk97re7qz8x37l	$2a$07$TkGmqkWRjaL/bJ5lAwZLderYUDmk3L2771QsNleha2AzG16fFT9BK	86	2013-08-03 23:08:37.224953	2013-08-03 23:11:10.370739	176		0
15249	103yx3fu1u8tqyt2aj1rhl7q8a	$2a$07$xQcP/0WYC/Roc6zZL.hPOum2OkcAlAuqUHQOzwcCpWImMT2OXXfjO	87	2013-08-03 23:08:37.246696	2013-08-03 23:11:10.577175	176		0
15250	10dhfqqmwtaa746bkqvdrtc768	$2a$07$Hi.bSHy0xbD4y2g0wVVsGO8vPvsMOIq5DHJ2/jUHXgtD/0kqRfvVi	88	2013-08-03 23:08:37.268161	2013-08-03 23:11:10.757171	176		0
15251	10o6ipi4x2zyctulb9uv2vsoho	$2a$07$BGXlUWRjN85lgTiQtd8s7uys9UwxY9EWS0gXooeVN2A0tBS27Yip6	89	2013-08-03 23:08:37.289711	2013-08-03 23:11:12.048552	176		0
15252	10c2sqxitp4w8r2hcopa4fe0lo	$2a$07$Nfsw09jQyhssNWgi89zavOnHldgeU9bl6i8I.VaZnTFSWxDb/.JMO	90	2013-08-03 23:08:37.311001	2013-08-03 23:11:13.46266	176		0
15253	10a4p1zo7qkpogc2arkxw8j20k	$2a$07$50VdVMC.n6RGdbpTvKlyU.s1w1sJKgKB/5dD/UVjeE8lcllptB.ta	91	2013-08-03 23:08:37.333131	2013-08-03 23:11:13.587564	176		0
15254	10ywa2ovb7a4mvz65ofmz0tuew	$2a$07$HVVMdGSG//4uM.l443HKReRcPDa0ozKqjngordGdpLjPacJfFmfuO	92	2013-08-03 23:08:37.356443	2013-08-03 23:11:13.728256	176		0
15255	103fcwhncus2g3pw11fvsi46gn	$2a$07$.nEUSLwRVDbMzy4oV076ceAZFoa9CWQAOKiXEFEZz5wNo9n3wbVH6	93	2013-08-03 23:08:37.378445	2013-08-03 23:11:13.857765	176		0
15256	10nl1c26u97a8gay4a9olk4h5k	$2a$07$XgoR32DA9Zy6uBW8SId5suerYC.Dis.YL7Vbfo2v6qe6LTiyfxeRq	94	2013-08-03 23:08:37.400353	2013-08-03 23:11:14.018662	176		0
15257	10hc19nbdtij5fc8jg89bxe0jr	$2a$07$J8FIeIBanfHtUNp6SOfiMuafRZH0eSgBNYFVfpsCoEujOtNl1DCH.	95	2013-08-03 23:08:37.421878	2013-08-03 23:11:14.162171	176		0
15258	10itna8my1mhuuznwdabldm1tg	$2a$07$O9921walTk/h5rTwAZKBG.rxTIvS4JXraVTfI0WZaeK2etaUJmAYa	96	2013-08-03 23:08:37.443171	2013-08-03 23:11:14.318049	176		0
15259	10v9tt7nuhgrqvnwd8z9ti5gjr	$2a$07$EVxkAcrLBAwWD81RWXBx9eP2YOo5ngKF.Tiya0aHwgJtCEG3oNR2K	97	2013-08-03 23:08:37.464737	2013-08-03 23:11:14.509817	176		0
15260	106w05gyhe9qlvmw0tjnx178yi	$2a$07$n3qRe/PvfQ0CPvc4teRt1OnzkevsuhJtWE3255a4O4wGRftm7WFEm	98	2013-08-03 23:08:37.487067	2013-08-03 23:11:14.647998	176		0
15261	10ltdygq3i71ypjn2c1ro72kta	$2a$07$r1Hiwejn9nE.sTZik5SRtec7ErdmBjDKCAvodKZOZBZ2J689kdckS	99	2013-08-03 23:08:37.510923	2013-08-03 23:11:14.795238	176		0
15262	10xxflky3vje97sayy3whzsdfb	$2a$07$xygegvHLwdYdQRrM9Xf4wer2VweDNvhXuce8OcPQphzFiH9IMpWvO	100	2013-08-03 23:08:37.534617	2013-08-03 23:11:14.955293	176		0
15263	102uw5hf6ztcllrmr64vnxolji	$2a$07$L3ZsWExeARqRhowrIIZdmu675oX412nKaefQbdm1fY1KcFsD6Kdhq	101	2013-08-03 23:08:37.559347	2013-08-03 23:11:15.087319	176		0
15264	10b4z7ss4kuk33rqt3xdw8hwtg	$2a$07$oEQZU7GQAAeM4g7UYRDNz.OOP7s5HB7ry.WgFNBuYUWhQ.P7BPMd.	102	2013-08-03 23:08:37.583177	2013-08-03 23:11:15.223051	176		0
15265	10x8nby6fbv2hj9slcfn0reqry	$2a$07$IGGQEIpKM0SGxnw6t5Zrtuvn5WX0Oqpltbc08gYoRhty1n0jh8QjG	103	2013-08-03 23:08:37.604862	2013-08-03 23:11:15.595017	176		0
15266	10crex8s010ennsswmcji3u81i	$2a$07$axqt2.ySrNLJ1XnE6Ce4oOes.VjfOCEj/DXN9On2BD0k80tz6I0yy	104	2013-08-03 23:08:37.626662	2013-08-03 23:11:15.99857	176		0
15267	10sq7qfx141sk0j8vod5fm1w4r	$2a$07$1TEreruGZuevYFY35tk3W.Gggrzfb2rc1NznCWYp8xBFgzZNK9DLm	105	2013-08-03 23:08:37.64969	2013-08-03 23:11:16.133688	176		0
15268	104x99fv459gyota3sk0che1ne	$2a$07$CMXUqwIdenycOn76lf3TY.dH.K7Yc14zPnio0Tc52Bw32I6QbRiwO	106	2013-08-03 23:08:37.673466	2013-08-03 23:11:16.26578	176		0
15269	10lz39kqmrbwo1k4wlk78zzqdv	$2a$07$FBYI/3mg14d7xuIcmv0rseZyBWOexy4XOppXLi1QS1Y.dWW6WpD1O	107	2013-08-03 23:08:37.696644	2013-08-03 23:11:16.419569	176		0
15270	108oruvohm21d1vscy5xrtj14o	$2a$07$0OEc3XA9I.E2sFMBOvzL1Ol7UkMzW0VqhiJrol1bndItoS31DIkVe	108	2013-08-03 23:08:37.719366	2013-08-03 23:11:16.605626	176		0
15271	10bv5me5ln53lvs0i35yzvzaul	$2a$07$tZgUfP3XdoeYPQWgESFp2esk0vAiF.jbB/H1JwPFhz3cRXEg8JDny	109	2013-08-03 23:08:37.742247	2013-08-03 23:11:16.756172	176		0
15272	103z9jcehn2rg3flrcdl7yajq8	$2a$07$alT7wlhl84i5itSsOGcybOwbT7kyE38asihmz8zQ2hpDqc/jrCUIS	110	2013-08-03 23:08:37.764286	2013-08-03 23:11:16.911125	176		0
15273	10yw6ia6x7f88zkydg7dhtr2kn	$2a$07$R6P244dag7HEhbLUqrs4.e6c7..4ZKevfMkvGGKBoBDCgsPP8fxoK	111	2013-08-03 23:08:37.796344	2013-08-03 23:11:17.081738	176		0
15274	10nc6q381t8mpvy4it8fhzjy2y	$2a$07$whl7BhGJ5DIHA.lqwxoQYemncUUeqRkMMpa9iE4ge6JQ/TRfqPMsC	112	2013-08-03 23:08:37.830914	2013-08-03 23:11:17.231982	176		0
15275	10pnxb838crhnoucp1v8wnbqa6	$2a$07$3/oT21bCBJdwiYEYiXkY2.d5vZj6pnoRgnXY9OPQc6H2OTejWcWpW	113	2013-08-03 23:08:37.859497	2013-08-03 23:11:18.272532	176		0
15276	102obk6q3is1vwdwm0kiwu7nu7	$2a$07$3wo184vfucI4nKXr8yeqzO8TJiudPlOZIEX3dLUHbI4edQ4ACivii	114	2013-08-03 23:08:37.885709	2013-08-03 23:11:19.280301	176		0
15277	10cjfj2fbw0spw71kei2pq42b3	$2a$07$NxzCbiziBIqvN1dwWK1VHemRMiaOk9TMgdgCgJ9JtNUtt9ACc2zoC	115	2013-08-03 23:08:37.91378	2013-08-03 23:11:19.42082	176		0
15278	10j1laej5diqyymkvnx6whk6hl	$2a$07$2ZkmQUTxzxHR/du4t9at9.oSrqQzFtGo3vhYPbGliVdv/sGyWw.3e	116	2013-08-03 23:08:37.937813	2013-08-03 23:11:19.562639	176		0
15279	10xucperuuhaifadtmfc9f6lv3	$2a$07$07esKwzwsRi0TSwIsOpLmOljIWjV.HK7nXPtYVJSLeexgEigEDB/W	117	2013-08-03 23:08:37.960756	2013-08-03 23:11:19.716723	176		0
15280	10vmk4va5x10ykz599ta1w85bh	$2a$07$BQonbXTdC0DtBm1RzGGQa.9VUNYNPmEm3ixzw7MDQ8LwciiGoNi7S	118	2013-08-03 23:08:37.995462	2013-08-03 23:11:19.855008	176		0
15281	106i8srhy05gm6k5yqyxx1p6h2	$2a$07$rmx8Jef3IQtYO6aPtUsfUOS1oI6P8crl8FhDA9ONO1rvW64ttQj3W	119	2013-08-03 23:08:38.019926	2013-08-03 23:11:20.010139	176		0
15282	10gfsa80iasqlkxk7ix37tjsnu	$2a$07$RYK5c4zyrnh/LhXROLjtbel..KKBi46jO33uGBh4r7hd/Kp6CEgL.	120	2013-08-03 23:08:38.061503	2013-08-03 23:11:20.15988	176		0
15283	10gg2s2rbgp1cuq9gsrrqpfl8i	$2a$07$Qao4kfIHy8G89vrWjg9rleMGaW3V9Db5LkgFlb3MoCeh4l44JPgXO	121	2013-08-03 23:08:38.096981	2013-08-03 23:11:20.3165	176		0
15284	10s03jjkux3ozid1025e275ohv	$2a$07$AJj/PGLIJVvVnnFITuzRFeQIMFtBaGp4TuehorKHdNASYNwPwtifi	122	2013-08-03 23:08:38.120005	2013-08-03 23:11:20.472615	176		0
15285	109h0g7n49moqh1s5kuvul94b5	$2a$07$Kq0IVW9g/BzPt79NDqTUwepUWQ4jER9olWpJdeKPsllO7VYD6SmG6	123	2013-08-03 23:08:38.141734	2013-08-03 23:11:23.414604	176		0
15286	10jr9d1znb0vqu8iwn34ie3ohq	$2a$07$W0WbvPvGOiUSN.dCl2J1WuSdtkMxF5/wj/4.gW0yCV0iVAz2OPwGG	124	2013-08-03 23:08:38.163459	2013-08-03 23:11:26.298118	176		0
15287	1002p0i6v1ef5ptshm365hc7c3	$2a$07$YlGkO/SafuWIkTMc2hrBCeyRWExQQS493RpbpYM196Idk10bR.aRi	125	2013-08-03 23:08:38.185124	2013-08-03 23:11:26.683711	176		0
15288	10jtb92l5q6ij3c1js1fwiipn6	$2a$07$thWui1M/M9yVUgkYpnfRgOK138H6tSz5E42gBn4wdEPRA7AEptYza	126	2013-08-03 23:08:38.20714	2013-08-03 23:11:27.041456	176		0
21330	109j2xzb5lzfgbb7pxgbc08j5p	$2a$07$NF30x2hdPUxx3p0bcQssV.arLNXMxuRz5hMmKugY6N3SShn5d/bTO	120	2013-08-04 17:05:01.862167	2013-08-04 17:07:31.224919	224		0
21331	100gv8miatmg4puwvn0a4g74oh	$2a$07$3V7eCeTBycTieWW7wFdwU.N8aOg61jGsE/dmD33r5OJ9BfLxyTbfG	121	2013-08-04 17:05:01.886513	2013-08-04 17:07:33.321412	224		0
21332	10nzjod6jy4ijfn1bplebz6nop	$2a$07$L2oNn7gs8hc1dt0BzkWY..leFfC.9iDMQqPFFkSpSqx2QWfbi23lS	122	2013-08-04 17:05:01.917149	2013-08-04 17:07:35.402295	224		0
21333	10f98226ot4faa27ipl79etaju	$2a$07$Um12NDAeTI9oRdl1JRY7wO9fz7VfxlhSW2ZJSgUljBZ9Uv3p.9bL.	123	2013-08-04 17:05:01.950525	2013-08-04 17:07:37.75469	224		0
21334	103p6dg7dcgp9wn7ofe8uqnrvi	$2a$07$JZUqoeT5A2wtHhSSLCuGVOzwfvJwjs.6j61kabN56u2vjNhz8T7pm	124	2013-08-04 17:05:01.972695	2013-08-04 17:07:40.391279	224		0
21335	10sd4zegnlhs52u71wd2pun1iz	$2a$07$phss2P0RUj1DzniqHgTPjuMzFDQolmqCIb0mkTvdFRlfcPGuI0hn.	125	2013-08-04 17:05:01.994618	2013-08-04 17:07:40.486875	224		0
21336	10eyhlrd8bs7295o4x1i8uiqce	$2a$07$kwD4yQzUY16tjRyUsgKmhOFPAhNAKRypNlSa1uj44QIetp2B9ZteG	126	2013-08-04 17:05:02.01659	2013-08-04 17:07:40.598023	224		0
15289	10bz3567vh4bjn3s3ks9t0c9tk	$2a$07$spJti5PYcpMOm4jH.Fk6sOygZSzxrxUPafAzDjQcZ1dSmyzUKr36y	1	2013-08-03 23:13:35.120308	2013-08-03 23:13:38.090272	177		0
15290	107vgusdjkqgrbictnhz2qzgvo	$2a$07$LZnkKytWu1ZXxJ5b34MWV.A55vlSX4mjelwvkNI2JWYWdyPzo2kP.	2	2013-08-03 23:13:35.144396	2013-08-03 23:13:38.205732	177		0
15291	10tpjvdql6xkpzbh3dkzyri084	$2a$07$yIJVw3tH2qS.aEWOZA.YQuoMsLUYalUJpCDUaPF6KmgkqjbZmOQCW	3	2013-08-03 23:13:35.167229	2013-08-03 23:13:38.342651	177		0
15292	10pr7svzc9kwm4rk3h03og5mus	$2a$07$pOhzhly.liTqY403PXFexuuVvfjf8wTvhgQjkXczw8eXGbx1HeGwe	4	2013-08-03 23:13:35.189632	2013-08-03 23:13:38.497713	177		0
15293	10rpus1zqxic1s1p97sn8p1ei5	$2a$07$JaILsgbSCuqJjH55/8NbouRRXYnU950m7c6IAkTvXEE5JzHuQ6xpO	5	2013-08-03 23:13:35.211298	2013-08-03 23:13:38.709266	177		0
15294	102u3hxe70e8cekhi499yvwe0f	$2a$07$TliUc4iTZT9AApyXrh.xxeOKJ/P2qGGa/nZxn0acP7a3pQl.qZicO	6	2013-08-03 23:13:35.232941	2013-08-03 23:13:38.884374	177		0
15295	102adsqrl4oc7vtto4z74f10cf	$2a$07$oqvgcUZCgoZJwp8cmOy.S.E50/WzuQCh/ty9aCzcrfl.yYCVAIIdm	7	2013-08-03 23:13:35.254492	2013-08-03 23:13:40.200832	177		0
15296	10sehsspeox3002wqmho1g81ta	$2a$07$QWiUKMVR2OiQPnyxODWjCu.1WBkzqKTSX62tn6627aHQr40CekhEq	8	2013-08-03 23:13:35.276103	2013-08-03 23:13:41.436227	177		0
15297	10weztmmtk3vet0bmrppaxla2e	$2a$07$WoEfFCXCpiKy5Jj6w7yLEOZyX96LbFAH9Q2i7EZXrMokYck.uy6IO	9	2013-08-03 23:13:35.297793	2013-08-03 23:13:42.606548	177		0
15298	103x9opphga6c059jtxc7eqxgj	$2a$07$JxWH1FLQ9XoRkvjnerG8VuXCkcR1vG6.MtxArNRHacQFN5AJYY.ai	10	2013-08-03 23:13:35.3194	2013-08-03 23:13:42.741045	177		0
15299	10au3um3r7ethr1rvb8a3kwsbe	$2a$07$WYDqhLvOcV6mXD.9kDRAfeZL84Horabfi26Dd.ii2OoK9mye/ENQa	11	2013-08-03 23:13:35.341021	2013-08-03 23:13:42.873885	177		0
15300	102i5iztv5irr3c8loafz70a4b	$2a$07$Q9cyC4JfibunMRkpoHVuUusCZOxydZeuC7AIPHmTV8ECrjbt7hwUO	12	2013-08-03 23:13:35.362407	2013-08-03 23:13:42.993654	177		0
15301	100eh7qaugnirlxfvlucov1joi	$2a$07$E.p95iS3A8p9DPQnf7bsCOIqt6FyMAa/PsQh5GZorBBUqfGVbHsBG	13	2013-08-03 23:13:35.384115	2013-08-03 23:13:43.151624	177		0
15302	104maawsi42v1kvg3tt0gel8f2	$2a$07$yXmP8naef/88e47KLHZxLOT6idpdqnGud8EbAeLViPu/xHp9.6r12	14	2013-08-03 23:13:35.405636	2013-08-03 23:13:43.288519	177		0
15303	10lg88g0o9wh6qhz8z79qbdm4e	$2a$07$E5OkhRBbpQpTDF.Lvm2OGeTVTaHGpikUZ/lpNFcHZynqFGoR4lRdS	15	2013-08-03 23:13:35.427803	2013-08-03 23:13:43.396706	177		0
15304	102m1rqttl189x35u7dl175qpg	$2a$07$gjnQcPZi1u5DAJV0otEA6.iNuHFZae0myAXWkNuHrg14wbjBEJs7K	16	2013-08-03 23:13:35.45028	2013-08-03 23:13:43.516155	177		0
15305	10n2b4kfayoyfirk22hw08v2vs	$2a$07$/Op1n/YPCC.uOyMJaOPxd.ZDo1GnIHkuV7ikehdlvhuoWdD6JU7am	17	2013-08-03 23:13:35.471791	2013-08-03 23:13:43.666259	177		0
15306	102at8in8g99s3h2p1v8g7etgc	$2a$07$8oRuR5KjBnGLEB45kNBZweEeNz0EJMs153EbdnFqTZEePet1h3M16	18	2013-08-03 23:13:35.493269	2013-08-03 23:13:43.817923	177		0
15307	10wthtv9p9g4kgj68m6iu7hnv0	$2a$07$lFlqCLSE9NBV2N8E42RPJeV0RndgWJZ2GOFl.8UcGRbgwy/OPMFVm	19	2013-08-03 23:13:35.515479	2013-08-03 23:13:43.965817	177		0
15308	10jvpen7vbe85ef2rs3oatgckc	$2a$07$44KmTsFhLCb.LmBSGG1oDutm.WVpkuNFF6KJe9yhnZ8o0/ti7zNfa	20	2013-08-03 23:13:35.537273	2013-08-03 23:13:44.096635	177		0
15309	105zp6zp086z1m6jsjgzpgscl4	$2a$07$vR1n3lza1fPgUBow.thRGuvugLSE/Zxjung5ZeZDpg.ftnsO0sekG	21	2013-08-03 23:13:35.559106	2013-08-03 23:13:44.25661	177		0
15310	10dqmfecb6x8yy1m73ojz3krfa	$2a$07$Zcnwh6yrazI97YF2NdedBOnkNjyPLc7FmMHA55sc6TjXI5pfq9kxW	22	2013-08-03 23:13:35.581145	2013-08-03 23:13:44.467354	177		0
15311	1049yr6ssol3b2yt8oos2pphsa	$2a$07$DmLwY.Khbh58olqiXEmHJOChtJ6ZQb.z707ltMRDwlrPdeq3xQsMS	23	2013-08-03 23:13:35.60289	2013-08-03 23:13:44.614345	177		0
15312	10vk2e4gntgs5ryb2lp0zlg9pi	$2a$07$ClwLBQy7OxmH.DmnSqV2eOQGwYaiF.KBNOturi92hDIqoW/7QyQ3q	24	2013-08-03 23:13:35.624379	2013-08-03 23:13:44.764377	177		0
15313	1016serfxm7cyobk3ynvd6ljq9	$2a$07$9e5odhYFAQ43zin4gvKZUexf.sLErvmo.XtwF5inayan30rAk.gU2	25	2013-08-03 23:13:35.646211	2013-08-03 23:13:44.905824	177		0
15314	10fsk5hfv2juogplvolrpvf6dw	$2a$07$djbyaeumishkgzf0/vF7oOeYoQP74LHCJstYEYWbPQ79B8uKtmNG2	26	2013-08-03 23:13:35.667631	2013-08-03 23:13:45.035926	177		0
15315	10vje916gfk4iphf77gndpc0rt	$2a$07$kFOZTYKeZ7SMg69aQwCv7.DocJh4UlHLLlrZX5vBq7tQvI7ys6CZW	27	2013-08-03 23:13:35.689426	2013-08-03 23:13:45.153139	177		0
15316	10btjcywkmqgat6qoxei3c0h5j	$2a$07$dcyDHrv62JJMknSUFOTnHeTCYHtfRzTU3ynIe3DjxycwvBBay/88u	28	2013-08-03 23:13:35.711008	2013-08-03 23:13:45.581493	177		0
15317	10woqz398sv7t96rvmggadvoeu	$2a$07$mTMJjlsSagsw0JDya3mCqO7UfvwTDWuisWW7Shc1lNNQYzmOLtaZO	29	2013-08-03 23:13:35.7325	2013-08-03 23:13:45.95657	177		0
15318	10ekefupcek5upxdmx2wxxu30e	$2a$07$61gtvrVbREFWVqd3XtJSJun5UA9vz216mt8gzzWbpBbTvL0sVlmyO	30	2013-08-03 23:13:35.753913	2013-08-03 23:13:46.32492	177		0
15319	10lo0jbh9mucv0icjweyc57al2	$2a$07$pP6G/rVSAYv8adafhczKO.FwZ3O1zqBdsK.w4vUB2Tiudni2yzZC2	31	2013-08-03 23:13:35.775625	2013-08-03 23:13:46.46691	177		0
15320	10drle4f72ouui4g6z1u9iopoq	$2a$07$2I02BwyFB/ctkUC2f8JlqOb/Ena/wioN6QqMBeUu79TDETjErroy.	32	2013-08-03 23:13:35.799031	2013-08-03 23:13:46.620463	177		0
15321	10gt6sv5yxok0u1u2ktveong0m	$2a$07$SNHaYHwfoITCRlvrnv0xSu/TB9Ip.eoPlsk4q2esC9zJB8ERGljdW	33	2013-08-03 23:13:35.822326	2013-08-03 23:13:46.756906	177		0
15322	1068mnuul13i86fplraeflcupa	$2a$07$AbisvU7UdPSoq39Nl35LgeZECzoNd3hfOMtTHQglIqWDF0ZqU15PO	34	2013-08-03 23:13:35.844101	2013-08-03 23:13:46.907214	177		0
15323	1057pcd1yvep7aznwp484c1q4k	$2a$07$vrxgLkYUSjKGZeMiZkoF8OggwmtWwgAcEA6Wi38JBtQ0hE2NXxAMK	35	2013-08-03 23:13:35.865672	2013-08-03 23:13:47.045141	177		0
15324	10kz4rvg3nf19ut0cef9j3p9bi	$2a$07$HLsLXJ7YFJy4k/iLj5r2JOBDr/K.FqvvPJge1i8RPaq6E/GvYu3Y6	36	2013-08-03 23:13:35.887322	2013-08-03 23:13:47.179636	177		0
15325	10k0vm2ucadqg78n32gcoev1ij	$2a$07$QgZ6q0VfspIwcZOtIrKcXeajqvLvc0VIe4Di.USiUUqCat6ylr8fm	37	2013-08-03 23:13:35.908798	2013-08-03 23:13:47.32535	177		0
15326	107kkgacmsk3v9zu3kh3g3o4bs	$2a$07$YhYTU/akX0jRi1kxQepxeuH79UOpK6FHPaLGu6wRMyQF2HOJSWpb6	38	2013-08-03 23:13:35.930295	2013-08-03 23:13:47.4611	177		0
15327	108vzdzy8i9qzddjonuz6f3pkx	$2a$07$ZGvqYYR9weEspQhE0Q0i2OkxkBiIJ1R8Wff/HsQjjRSC5LYJDsmlK	39	2013-08-03 23:13:35.952253	2013-08-03 23:13:47.58987	177		0
15328	10qumbakqrwg68lx0i8imlzoye	$2a$07$yeNx855JJbHfXt6M8Yhy9OA.uUGxOPMt.UsdGEUAp1v2ax86Yi7gS	40	2013-08-03 23:13:35.975133	2013-08-03 23:13:47.736234	177		0
15329	10i3r8nkjki13f9gm1ayx7u22n	$2a$07$Nafncw9EgU0u2Em.G0bdkucI/4QLAnodnmfq7nqtlCbjU49o5w.ZW	41	2013-08-03 23:13:35.998665	2013-08-03 23:13:47.892318	177		0
15330	104zvw1n1tkl56p35ugymnf3cm	$2a$07$i0HrtFfzRgYv8o6d8VNSHenrIcVhQVBC6ZdGeW.o3QyJ42BMiicbW	42	2013-08-03 23:13:36.021796	2013-08-03 23:13:48.051574	177		0
15331	10wit3ms6xa174wnwj88dfk5di	$2a$07$mNa4vHmjzvjj4RXlsW2pOOE5ykGRQ3ECQBUvJ23ce8Qh6oBGKuj0.	43	2013-08-03 23:13:36.043354	2013-08-03 23:13:50.899035	177		0
15332	10yti5lq5drv0bwbmrfnm8ckby	$2a$07$2xbHseaSCgycz2k.TlwpcOVF2EkT8X9V3cRgZo9x5XvLtJP8AOdAK	44	2013-08-03 23:13:36.065151	2013-08-03 23:13:52.503979	177		0
15333	10kuq26tvtdpmbyc3rooirv9gt	$2a$07$23tszSJTvhgIBPF72Wccf.//SJxQDFTbuV91G/mDObe7JS.kOrKKG	45	2013-08-03 23:13:36.086729	2013-08-03 23:13:53.807909	177		0
15334	109tqmhca4gw655p9egzx8h1xb	$2a$07$fO8lDUh0h2/ZT2AVZePTxuakdkG.TNiHXimHLTq0jMHoBoOov5m3O	46	2013-08-03 23:13:36.108174	2013-08-03 23:13:53.951995	177		0
15335	10d98ytzio7knibe50ys7oqai9	$2a$07$RBq6mXRcrqJGn0EesP3OsOfeFvwnuIoIx1pQRqVSO3NDzvuLYd8TS	47	2013-08-03 23:13:36.132189	2013-08-03 23:13:54.098223	177		0
15336	10mnozd3lwqw40urzhf7g2gb1f	$2a$07$tuJn3EcSlW.bF86SzLrss.x.8HNozBhxHXgG1giNUtEkbVCTDjHeW	48	2013-08-03 23:13:36.155901	2013-08-03 23:13:54.252325	177		0
15337	10lhivhkxj1cd2h616m3uzmea7	$2a$07$2IPQl1Kn9PDe7FCvxdB/0u4sE8SZxkCSRkp/tyS4J5S24rYslKIf2	49	2013-08-03 23:13:36.178219	2013-08-03 23:13:54.408715	177		0
15338	10u0kvq19hqc57vonx32cv9zqn	$2a$07$b4YEgBQb8EM4CQrbwxgRqeCS2Ky8IwrPsPvr4X./Tvpxr5VjtQF5S	50	2013-08-03 23:13:36.200649	2013-08-03 23:13:54.552442	177		0
15339	1082yxhv92a2vbn8yhtbhysdtu	$2a$07$qQdE2QuKMnmLk6152W23rO52bF5fSYf/HmloOA1vBTBJfrXnKLkoy	51	2013-08-03 23:13:36.222942	2013-08-03 23:13:54.683866	177		0
15340	10b4a1w9ctsk7j6ewxdkde1t3c	$2a$07$evLhw03NQWkaYoRBru49fu/rpXEVzSOwb2rNhHujcdMiVpPTFPoWe	52	2013-08-03 23:13:36.244531	2013-08-03 23:13:56.762001	177		0
15341	107yjbnorg1l3gy7deg2fislyf	$2a$07$HuNkaKoKuSZM8WgDRz5TnOKfs7.TgxyAIhinkks1Vg0PRrnuOM5w6	53	2013-08-03 23:13:36.266351	2013-08-03 23:13:57.23193	177		0
15342	10n78kcyarqexqvc9eyphhib06	$2a$07$P37Ez8ZFQS3.5.saeJ.M0OoimQZO2dv7nwF/DrBcszT6Kg.FGb94K	54	2013-08-03 23:13:36.287714	2013-08-03 23:13:57.737001	177		0
15343	100vtn4qlmwzg6n8c44p729yu1	$2a$07$/WuvuD8PAJsEOF7G7USsne2KgYTTv5Scprunahj0UrCyUjnOrlGIK	55	2013-08-03 23:13:36.309662	2013-08-03 23:13:57.87452	177		0
15344	10eerjb102j5xah9ss9a60iivz	$2a$07$gOJM7HeOBlRs0uCZrVStxOyZMOp/cUgjKqAwoEuCOMwyO1G8tUpTa	56	2013-08-03 23:13:36.331108	2013-08-03 23:13:58.018409	177		0
15345	104gjugtqudkqs30yiszzuz3ll	$2a$07$MOg4TGyPasi2dsy66HUxdOKY6t7l5Kf3e7RNPirGFuei7qj6CBC2G	57	2013-08-03 23:13:36.352615	2013-08-03 23:13:58.168378	177		0
15346	10f6lxhcx8cowc14balob1zxr0	$2a$07$kipX/YdxYNg5JjgxGOEkz.5yrsfrjPNGbQCYfdGTx0Ul9cMtEO1ku	58	2013-08-03 23:13:36.374142	2013-08-03 23:13:58.342714	177		0
15347	10bugbb4m4akymfwn0jm08358v	$2a$07$rWA3J97X0hEMH9zULlz4TuYNl1EA7UNjurMGefevU13VyXnqh3fJu	59	2013-08-03 23:13:36.395935	2013-08-03 23:13:58.494518	177		0
15348	10k3cm1bswelukzqpvyp416171	$2a$07$PjeOC6Qu0YxXxSvzNzL3iutd/oWwr7G3SKtls63ENzkOjFLOkQnR6	60	2013-08-03 23:13:36.41765	2013-08-03 23:13:58.669275	177		0
15349	10ac3tqdwmkhole1tfj43tx24q	$2a$07$1VvzvE1aFiMv5APdbHARa.pGN/Yanyxxpu5MsZW/AdQ7WLOSHsF9W	61	2013-08-03 23:13:36.439159	2013-08-03 23:14:01.497246	177		0
15350	10deeyao2xmi2e6gtz9ka6ue05	$2a$07$kC/PaezR.16Od0qiNLL5qu8c3kS.edJuQsIlMnmmP3XQvYcE45xze	62	2013-08-03 23:13:36.460679	2013-08-03 23:14:04.397965	177		0
15351	107ly0debqhxk06zdz92pjh920	$2a$07$tVBVMtSSjPo8UBjsisPtH.ta97gGMACiSz1lkRvRNmwbUNc7SqIC.	63	2013-08-03 23:13:36.482065	2013-08-03 23:14:07.272315	177		0
15352	10uhrcquz2h2s8861muk03g47c	$2a$07$4oWrrgCRiEfnOpJri1RIH.ZkpAmHlXDbqHq9TrJuppVGK.L2Va74.	64	2013-08-03 23:13:36.503684	2013-08-03 23:14:07.409185	177		0
15353	104b8qp2vkelovb2x6pqkf97js	$2a$07$reQPqtRvpcsguUUPVTTO2urvDDFOe.h.L4QEKbjesqY9OZlpg7YSS	65	2013-08-03 23:13:36.525229	2013-08-03 23:14:07.543931	177		0
15354	100vu0yr0t4vkhy4euomn042uy	$2a$07$Vyhe4IvbvjswRmOHjbjIZOaL3jhBjcxYykevMVDbhLh6FNlrxTDFy	66	2013-08-03 23:13:36.546612	2013-08-03 23:14:08.81455	177		0
15355	10n47f8k9a2xym975rtnlnvgjj	$2a$07$Jq/81s12hOOVOn6EeMAdpusBK8.SE4qDJNKHfHPoa3dHaYu.BPNIC	67	2013-08-03 23:13:36.568159	2013-08-03 23:14:08.953785	177		0
15356	10mmdch2sy47yesnxx3q5y6uw3	$2a$07$Fw8SEQ4lHcyoyLP2yhR8Buc.T1dtfibvv6P1ByuXtl4zOgEcLf9V6	68	2013-08-03 23:13:36.58943	2013-08-03 23:14:09.109067	177		0
15357	109d3x0mv1nipi07ym5y2d2dtg	$2a$07$uUJLjP0d19acGJUFYrQ7yO.VELzjaqY9C34HObc3NjN.42yzHlMtG	69	2013-08-03 23:13:36.61137	2013-08-03 23:14:09.31955	177		0
15358	10ywy0tbyuswfuyvx4ife1x8r9	$2a$07$/dn7F6rblfUdv4Ajw2BNaORmS020x2mwNxwkSfXJQBa5y8weaPKoS	70	2013-08-03 23:13:36.633897	2013-08-03 23:14:09.535699	177		0
15359	1018xplrfx5hmcmetboj2od1oa	$2a$07$0MUgcO8D9LPsfUTgJppVYuCywIuFk0rvBEioT297QmM9JBBf12PMm	71	2013-08-03 23:13:36.65605	2013-08-03 23:14:09.754157	177		0
15360	10w1hsuf9mjo4olrv2lv06odqh	$2a$07$y/T16q38UC8Zc83YIRgWduq6intiqe2iNw3oHiBoS0Lp13v.uclz.	72	2013-08-03 23:13:36.677446	2013-08-03 23:14:09.912474	177		0
15361	10pj7ih28n9am8hm0xchqe0vo8	$2a$07$/UnTIrPKVT1mVmV8oQtTYeVOC3AcVtBhvPPLXLoxRlq4/nTPxbE7S	73	2013-08-03 23:13:36.699255	2013-08-03 23:14:10.491108	177		0
15362	10k40l5z95ujfbxojpine3eeor	$2a$07$/r.cLPaE2WZ4f4p2zilVLuWKy3n9CpHcSwgyUaZtmFo1xe6j/15We	74	2013-08-03 23:13:36.72076	2013-08-03 23:14:10.642462	177		0
15363	10fcc1b8m6007vzo17v9hx2ys7	$2a$07$lHcmM/vxp6BGuf9zRjqb6eVqERg2aUCME0/QLSdIHJl6CCK2a092u	75	2013-08-03 23:13:36.742347	2013-08-03 23:14:10.801238	177		0
15364	10e0tsft9pidxfsqx8oxd273j2	$2a$07$1JJhxuAHhq/qNY7gO.wyB.OO62K0OmeSXDZXvFA1NkRqS5Bttk2QK	76	2013-08-03 23:13:36.763913	2013-08-03 23:14:10.949497	177		0
15365	10xtm1zx7fie84eyam5chr9vt3	$2a$07$sXLG1GI/EVCEC3r9a36s6eMeq7K.J7JSE5HCItLNgI8ep6zbDMGt6	77	2013-08-03 23:13:36.785523	2013-08-03 23:14:11.082602	177		0
15366	10udhs8hm5arewv6d95yyezywy	$2a$07$QtGhFqmqV4xx/HqXJfpJxe3ImozGgsWoSVr99jRF07R/fEjAkjale	78	2013-08-03 23:13:36.809431	2013-08-03 23:14:12.647342	177		0
15367	10oi7x5d0watknikm0prukq6mm	$2a$07$CEq3ljste4YSlacxAjK4luceNMlMpJF307lRmhKbYLyVDWv95/.gW	79	2013-08-03 23:13:36.831882	2013-08-03 23:14:12.757494	177		0
15368	10rmk99i46sax2kb40e5f4l0eq	$2a$07$S8QVzRVYGG4jrciiDr0QU.guaqGmknDCELCgptCyy9yPm2hp4QUH2	80	2013-08-03 23:13:36.853314	2013-08-03 23:14:12.912709	177		0
15369	10r1lwp55zuadlwf1pie0714nl	$2a$07$MgaTOwCIMsrc7dD4ejx3C.e/EqBw5O8LH3pYQrGv0etBfVLvOowMG	81	2013-08-03 23:13:36.874828	2013-08-03 23:14:13.243129	177		0
15370	10qpw8jhu1o260ycbcs2tj5acg	$2a$07$w62XNUqK7vhaLu6qslaQQ.gX5krzZ0liA5T42NkQ9dcDhwP3ds8ZW	82	2013-08-03 23:13:36.896236	2013-08-03 23:14:13.35977	177		0
15371	10zsvebfx966ro4x3sf984ppe1	$2a$07$RrmGNcFXcmGrMksnF7lp7edLpRJYEBZ57BQaOOJy/O09asRb2LW7W	83	2013-08-03 23:13:36.917629	2013-08-03 23:14:13.538461	177		0
15372	10hyg74pojpvm8b11db91u1me5	$2a$07$hLeUrd63RqiNDWZ/9fcE7OeDXFKZi9BqTdxmzugfBnksBmeh/z.j6	84	2013-08-03 23:13:36.939039	2013-08-03 23:14:16.211457	177		0
15373	10id6iw57ercbxsjhvxew11d7k	$2a$07$b5nDxEdR9QGtYs4E3MMQ8uQoSRpzRPU6pZ/viDm/vJifrA55bSiy2	85	2013-08-03 23:13:36.96064	2013-08-03 23:14:16.52966	177		0
15374	1099ih7e2iadj9v3sxg8gximup	$2a$07$ilrmPd2h3AaVjRZY6PqDM.UN1a9K9MVKB.TFqo817FdFUxVKahloe	86	2013-08-03 23:13:36.982291	2013-08-03 23:14:16.660149	177		0
15375	10dy084gv8t9n94ceofb560x6o	$2a$07$JZsPgFgwPCkGG4v3z3L6RekBS9BQL4N/.fGgeKBAA5YTTaM.FOIUa	87	2013-08-03 23:13:37.004544	2013-08-03 23:14:16.814017	177		0
15376	107or1726ncgmv5ctvvj4ft1si	$2a$07$hC951LGss3nr/iS/ry17iOzT6dplcZowbFQd0sELfRpuG5Ob9c.3G	88	2013-08-03 23:13:37.027795	2013-08-03 23:14:16.964308	177		0
15377	10tsflkmyuey4vyvjqajedfyme	$2a$07$WjJmcyHtMz0qnctxBAIMp.K6bcYnHpZMl6fXFU3j//m1IUK5RSr7C	89	2013-08-03 23:13:37.063299	2013-08-03 23:14:18.160176	177		0
15378	10vtppkwrqfw97u6jilhetkwau	$2a$07$1dK9JTJuvI48k8ogjodL6Ok4uDMfXToNzqNU3dbWSsXsmiG4IzLVa	90	2013-08-03 23:13:37.08612	2013-08-03 23:14:19.745457	177		0
15379	10ayvdtjliw4v18rqvb7zlamsr	$2a$07$3yXbNW5fXsy94Jgc098.nOtIojCbSPLKAGRAn.63URi.cfoBwRRXS	91	2013-08-03 23:13:37.114725	2013-08-03 23:14:19.881089	177		0
15380	10vvk6f23ez50p2nxxkb7714nw	$2a$07$YMEbjyPfwbRAD0zqQ25k3OICAwX6lvfAIGwEP5iuwfEDG9xuhlbE2	92	2013-08-03 23:13:37.137554	2013-08-03 23:14:20.029685	177		0
15381	109tgqlinw3hqv7isy5g9td1rg	$2a$07$CIm9S8vwvJVeufaz/O.Itu9yn.AFm2NkRRY4HuKTbGBinDkMyFPYa	93	2013-08-03 23:13:37.161205	2013-08-03 23:14:20.165251	177		0
15382	10h0igxdjib7gjyya33ntlliih	$2a$07$sgGQyfRlJzZUF7q9ktGI7uaF7lurJDXM4yc.0LQcDDrLhSMfDOnWq	94	2013-08-03 23:13:37.18407	2013-08-03 23:14:20.302209	177		0
15383	10k9martccjuemyaj72uij8hb6	$2a$07$Sc.eTSP03vuAP4tmm8O5ZeM4dpYKe6/zwT.E0rnT5N9mOkv0vw2Mq	95	2013-08-03 23:13:37.212547	2013-08-03 23:14:20.438266	177		0
15384	10jf4uvv4jtdgqb9sgn29g8u6j	$2a$07$xt0s1jBsH.uHZNsDRLpy3ezN8KINHsqAT4sK1.9QBra2/.p0wKoKW	96	2013-08-03 23:13:37.245121	2013-08-03 23:14:20.580799	177		0
15385	105el71vqy4cjktn8jzlirkp0d	$2a$07$yyA5xKXEL/wgspUpt6LEaemUJqrXMDv6eGOKHbzS4FIR2N6QOBT6a	97	2013-08-03 23:13:37.278216	2013-08-03 23:14:20.780339	177		0
15386	106hn2eptj2cn0pwfl9i7gl9wo	$2a$07$TbEAl84T1K9Pm4KiC1RFI.8YM3PeL94klFy/h/4JQMNkU1ADVErEe	98	2013-08-03 23:13:37.29967	2013-08-03 23:14:20.985447	177		0
15387	1050klwuyht8zk6b7dqn6w8y4o	$2a$07$A7ezqS3/OCJ1GDLxxiHeeeCufPu79X/wNzZiH4LaP2WR76y7eEfoe	99	2013-08-03 23:13:37.321296	2013-08-03 23:14:21.134202	177		0
15388	10ovv967tfk9ybftnmqycivr02	$2a$07$miPzCMOgxvBCgA4Ek/EdFuoQ8w9bHEYCcqwJLic/HtyYatG3DomUe	100	2013-08-03 23:13:37.342671	2013-08-03 23:14:21.262661	177		0
15389	10jz1926tujf1kdlbq49ln102x	$2a$07$q3zLNVZl9OJgcQ9mZzDh0.6d9ssmnirgTXSBW.G1QxDHTmxtJ7Hju	101	2013-08-03 23:13:37.364041	2013-08-03 23:14:21.388209	177		0
15390	10dp4x1xqnv2amhoksx51bsedd	$2a$07$P9ABjHxhzmVpPPbsjdN2.eGCE86efx.YbQnJhLTjd3O2hm7d6pLJy	102	2013-08-03 23:13:37.38613	2013-08-03 23:14:21.520745	177		0
15391	1008qtw6wdta0nxzppvlhuzx6p	$2a$07$1euiPq6O4RfTLu2TKA7yr.D44nKHbiXSgaxsz7aOBkcjpQchgfADS	103	2013-08-03 23:13:37.407657	2013-08-03 23:14:22.016855	177		0
15392	10a6mqsh2uov6erg1272821aw3	$2a$07$eVKFs7EpBdimJ1gJWcMcaeAfz5IhuRVmBhzGm1jJrFP0rvu0rSd1y	104	2013-08-03 23:13:37.430311	2013-08-03 23:14:22.531206	177		0
15393	10fg9kopbxusnrvqvfbk5551le	$2a$07$vgqIlSIvyj8ytNaibPJnZe.B2WCzIMCiAoXmUTZmfEtaxLYdU3DRS	105	2013-08-03 23:13:37.451832	2013-08-03 23:14:22.666928	177		0
15394	10ohdbw4qncdu5i8zofizbby6c	$2a$07$XC0yTo7LplmsOP0ird3ADe4NuqfFsh61vr/i7XRPF1Jux2Ey.lNNu	106	2013-08-03 23:13:37.473258	2013-08-03 23:14:22.809086	177		0
15395	10yhq3odlu0jqyqrhnuqup3i0e	$2a$07$gvuwUnjAYrOEvmvk2MpSaugSTjXYjoj0l9H4WH7lW35DHwfZZjy42	107	2013-08-03 23:13:37.494921	2013-08-03 23:14:22.956337	177		0
15396	10jmkvw3fn1covup9xhizn6pfd	$2a$07$pbolWF/yLx.RfgFSypHXp.nlPzVtbpvKteqNz//vlsG2kmyVIpB8a	108	2013-08-03 23:13:37.516361	2013-08-03 23:14:23.116464	177		0
15397	10zgmlcvqqq2qk0h7qnghtyh8i	$2a$07$sM7VGNa8G8YHK9a39ScJkOPZHQoDFFSa5Pihjf7CiQQDvDuRVtRmG	109	2013-08-03 23:13:37.53777	2013-08-03 23:14:23.259483	177		0
15398	10vu2g5afdnx5y89vz3jtklzyv	$2a$07$Q.RgLtiVS.reqzLO8uao0uH8QDtT/Lz0U8eF0g9blT/RR747g5xwy	110	2013-08-03 23:13:37.559259	2013-08-03 23:14:23.41251	177		0
15399	10pc42essid3dr29xxbklt06pa	$2a$07$SXn51P16NcSfwSJxWFLwvO1icz07Q5a.l08fg7dboZfRJjLCEn6ZO	111	2013-08-03 23:13:37.5811	2013-08-03 23:14:23.565135	177		0
15400	10xztc38rhwvk80li2fgij8srk	$2a$07$yd/tZHZHIQa/K/OHUKCxa.FZ/0SC6j3OMBrhoU7bhokFEdOgrt6dO	112	2013-08-03 23:13:37.604045	2013-08-03 23:14:23.724678	177		0
15401	10hitcfzt5qx04az1bvnrtkoj2	$2a$07$WJ2uZdxZstGjmXuHoHTr3er5uhPY43WFrHj7uNZQzj.Jftx95z6H6	113	2013-08-03 23:13:37.629274	2013-08-03 23:14:25.126978	177		0
15402	103oaic2k3jwuhd46s3zjyw0zq	$2a$07$lAg6PKuycykMae.ds1lRVu4LzQIaoFLDLiYKm58Ot3Gai59.04d1e	114	2013-08-03 23:13:37.661278	2013-08-03 23:14:26.593759	177		0
15403	10vdlgjvrl8duwni0ykw72kztk	$2a$07$qn3aVd89m7VVLM5YfqEd5OixBH2uLhUz6gOPZN6cUQq2EPfgMjwne	115	2013-08-03 23:13:37.683503	2013-08-03 23:14:26.747165	177		0
15404	10yd1tit608ka80if5j9b6qxvf	$2a$07$NxwsUdalGJ4umQyaffuuP.doRUbjowKW4Uz66d.Hi1qZqjTowKfVm	116	2013-08-03 23:13:37.705214	2013-08-03 23:14:26.892872	177		0
15405	10rnfgxm2wi437y9iuiwu65c5c	$2a$07$CSX71LJi/hDZR20DA6HX3OEXRuQGGy6jBZhvfNJCtpLp2rvkaH5IS	117	2013-08-03 23:13:37.726896	2013-08-03 23:14:27.048601	177		0
15406	10m30w2u21icjop7edvqydhxyi	$2a$07$EZCR5P57KMzNB/kgLWf88eM/eImwA7Wbx9lILup4PFGEfR.bdDspm	118	2013-08-03 23:13:37.748504	2013-08-03 23:14:27.192078	177		0
15407	10ihq3vnwg1s06ansf8yqrv7oj	$2a$07$5RQ3CWUCEnJxgtVHZ6rhw.AgZhFHGtkTL1nEJnrISIHm7.1QFcdDq	119	2013-08-03 23:13:37.769879	2013-08-03 23:14:27.338532	177		0
15408	10up0ijpvbsmqqwh9myzuoasws	$2a$07$2NmXnEbZhhAOmVtaHQ1XVO7dQkqAPETWuDvlPfPw5Cq44wan7QS46	120	2013-08-03 23:13:37.791375	2013-08-03 23:14:27.487505	177		0
15409	1058qrijhp37r22tb5ba7wg9m0	$2a$07$me8FdIFtnCV5TTAcUqKz9eu2VfqLB3Nqpdo9cCEJUDqhcDhlce.0K	121	2013-08-03 23:13:37.81408	2013-08-03 23:14:27.648526	177		0
15410	10cp18c4bxb9a7lkblic9zkase	$2a$07$IVJEKRG.LYf0jYpjUn25HeqEiNPL1D9lf3o4pCcHLrKUBZ2x6bOFW	122	2013-08-03 23:13:37.835613	2013-08-03 23:14:27.803623	177		0
15411	10fyvkrlpoufapoitjm26r61iq	$2a$07$7lK7LKJC2SQO6Z7TxrJx8.dFFk62ix0Sj0GAk/KXH7w4An9xYZhOu	123	2013-08-03 23:13:37.857158	2013-08-03 23:14:30.691534	177		0
15412	10z1gc68tq8vf4mq53qtj4dw54	$2a$07$88aG44NoHwqLHWK2jilNfOEoAVNebPrWMJehoC1HtIWxp/72DTSLS	124	2013-08-03 23:13:37.878763	2013-08-03 23:14:33.595598	177		0
15413	10qkclhjumn26o3jjsyb0rgqll	$2a$07$FBjKfJwaaZQi1IYH4ZTxjO8ho9xXJKAo1HwBdOcZFq1ZATO5.b5Ma	125	2013-08-03 23:13:37.900282	2013-08-03 23:14:33.92563	177		0
15414	10x5z563vaod7emth66rvzw33n	$2a$07$O04nRWh0gNBVi39zjmnffOS4CEx//iwqTDSvBIG/wyTl2Mh/e.Gda	126	2013-08-03 23:13:37.921841	2013-08-03 23:14:34.210734	177		0
17431	1065fjd6fq3awqu0ul6m1wprpk	$2a$07$x2aWf5.1/yMAKKtsgO.wA.nfOZkYi6uJ7vQNqQXnsCZpnk2v/NoCy	1	2013-08-04 00:39:48.111982	2013-08-04 00:39:51.41417	194		0
17432	101wda2z5irtd8x2xnqz8tg6z8	$2a$07$5vYsu02K8HsOR8rs6ycZMuiIs6nS2n4wpu/j0pY1SQueh7B4Ne2b2	2	2013-08-04 00:39:48.134878	2013-08-04 00:39:51.608778	194		0
17433	10bpnlg3lhlhfbyrbdke1rssdg	$2a$07$54.sSq2v/pERsuTAXz16U.z5z5Yk0dzq7jt22WRcr2ghPOkydopnK	3	2013-08-04 00:39:48.158252	2013-08-04 00:39:51.732082	194		0
17434	10hpkblf40kuhenur1kf4pcdcc	$2a$07$sGA5pU7K9knnnTNDLBTEFuYhWq6YRtlqXxLItJ.uVSN5uvTijradW	4	2013-08-04 00:39:48.180494	2013-08-04 00:39:51.882345	194		0
17435	107hig4ex9ljpjct3spirl6nem	$2a$07$LP0HSETY7Lyx83ggNJtB..7b1DbV7WEsC1/hdC3Ixhsooo.4DI4DC	5	2013-08-04 00:39:48.203333	2013-08-04 00:39:52.032503	194		0
17436	10kxa10dmk8q7zskosc3hmzewy	$2a$07$xpNeAH/l05EDKKWUf8oYHOVc.4KNDTr4WVIvZ9yNnnTObN2lcC0zu	6	2013-08-04 00:39:48.2262	2013-08-04 00:39:52.173148	194		0
17437	101313zrfraucwhnwajy0mj4eq	$2a$07$v94GYwnBVU7alNTUb16kAue6jbkEffM2RTWgzRzrf63Mc9i8O2fDm	7	2013-08-04 00:39:48.249007	2013-08-04 00:39:53.114294	194		0
17438	10s004ivpjdpalfnfazavqnrbq	$2a$07$l1SbQAsW4yEqJYP9jEVlN.UL8.0J8EUPTMQcOa.lbp1Dk6SSG6nue	8	2013-08-04 00:39:48.271575	2013-08-04 00:39:54.031375	194		0
17439	10jauovecs56ll997uzqsdh9iw	$2a$07$C0Fmrjqi1UH00vDM7jyFS.GzaHgWMSSKA.aA49LxUTyivwoCGOFB.	9	2013-08-04 00:39:48.294426	2013-08-04 00:39:54.95369	194		0
17440	104i9fdps306xqm6djgczn4kz7	$2a$07$Ot9T1wJ91ywE8IenlnhNnO.mKyzXLCwW0cBDtJN63vHWA2lKTNzIW	10	2013-08-04 00:39:48.316723	2013-08-04 00:39:55.077402	194		0
17441	10zgfg5wnzd4p080xxcvjsi6ma	$2a$07$3Nfu7UQUllbjJ7XdqmOWI.P38XpILZhC/z7V04BFZgyOgv49ogQx6	11	2013-08-04 00:39:48.340341	2013-08-04 00:39:55.1909	194		0
17442	10ma5m80lht9u4y1mm1atfogda	$2a$07$80AIg4xUOZHAOeSCRK.BgejCmEQNTALrvUxakYPvgYsuBs/gt/PHa	12	2013-08-04 00:39:48.36738	2013-08-04 00:39:55.315796	194		0
17443	10cvmlnymx66iqqndi6dvgdjtk	$2a$07$0r/Pz4ectgoO7kZb4zXgzuIQx7h9wPUiTpTbdCyGWMDb.6VVLj99y	13	2013-08-04 00:39:48.391876	2013-08-04 00:39:55.50022	194		0
17444	10trw0xzpncvfwsdo8ey8dqdxo	$2a$07$DtV5LXgFPLxFKsgDI.SLqeinl2PiRzrrJ06/iwJAuu04kreTYigwO	14	2013-08-04 00:39:48.424548	2013-08-04 00:39:55.893164	194		0
17445	109y5plzzd5h9fxc9c5bqhv8xq	$2a$07$Bl7ctkDCmEZX8je.Gn0b6OVguUwFXp5WTsyhFF4TOU5bCYCoJAaVS	15	2013-08-04 00:39:48.455826	2013-08-04 00:39:56.035193	194		0
17446	10fq1iljnrkr7hu9s1gt5vx8f2	$2a$07$p6ycw0Vn.tiut.qlcod3IOGywO2Eu5skM134PcTMmaerYOE9j6IRW	16	2013-08-04 00:39:48.489138	2013-08-04 00:39:56.147324	194		0
17447	10cwgo0mwydq9cz71815luvp5m	$2a$07$XDWHk2ebCmAzFuZu2FsjAOULW5ySEJIKAZjGgawaK/4fQrLWIIulq	17	2013-08-04 00:39:48.515218	2013-08-04 00:39:56.256214	194		0
17448	109we4lfkwhmn4k0qh7wfdq2cp	$2a$07$lRTbUDC3Tuy6ONl1WYH/pOS414fQ2g1vTWEG9Y9TwWsxQYkuc.eD2	18	2013-08-04 00:39:48.539257	2013-08-04 00:39:56.366433	194		0
17449	10gkp7ryq7uxx9475glxdqxs98	$2a$07$zfu/Kg7fsAjBjTrJ8MFC1OA7e76U6XJ2lxFt4Ia94B22WjBmWz4OO	19	2013-08-04 00:39:48.579256	2013-08-04 00:39:56.47285	194		0
17450	10jz2sl1jqa3cgru1p2jishz79	$2a$07$27JzJEqZAykyyRfRnr5kuOjop71ASlUWB9Tx7JLSrBx7nzdNibdB.	20	2013-08-04 00:39:48.601424	2013-08-04 00:39:56.589714	194		0
17451	10tk8yz9nheeur78uw6h3ot6ow	$2a$07$tpSFekMdATGiqI9.6SjFvO6CyAI3URVspdwfnMkHVC17bEylxnufa	21	2013-08-04 00:39:48.624772	2013-08-04 00:39:56.717561	194		0
17452	10hby1a1f8bfe36ood9nalvs2h	$2a$07$s.n08v.1/BeIc53t4BQQuOg1Cpn.UKj948729/9AwtZ3FMArpuSyW	22	2013-08-04 00:39:48.647426	2013-08-04 00:39:56.832887	194		0
17453	10tnouhqpvnt9odf8v2awieb2n	$2a$07$8HedO1uLwcmMfblYEse2m.DbRia9u3jjb7X9vEgvRla0wtx5LW1We	23	2013-08-04 00:39:48.671013	2013-08-04 00:39:56.969336	194		0
17454	106x9ssabr5bx0aumvxw3ygm84	$2a$07$01UgjjJ5Ux5JK7HwhJvPrOpAz5ZnOc/ICsLfKVuTYxn8NZ2Be0r36	24	2013-08-04 00:39:48.694667	2013-08-04 00:39:57.094224	194		0
17455	10qcxrybep4y3jpxmvvzocv46z	$2a$07$u9D547T34xqoEOqLG2F1sO/MYjzYRNAVvqISwugPAorDlyZ1F8Wrq	25	2013-08-04 00:39:48.718355	2013-08-04 00:39:57.206142	194		0
17456	10e5b50vxiob2ntk8n22d9j4xe	$2a$07$AoTR4XI9SlJkyo6NbRGmquoW9otsM1fwjPlGrE8w.2tt8y8pqEhwi	26	2013-08-04 00:39:48.741001	2013-08-04 00:39:57.315324	194		0
17457	10grb1ciwx6j1rn7e54wa9ji9v	$2a$07$3fW7cKyJO.YNEjZYP5Xpy.cZc1R9dDMIC7M01YpgWNb4HZn09jgAi	27	2013-08-04 00:39:48.764314	2013-08-04 00:39:57.458886	194		0
17458	10h2yn6rn9t7hsuhzqapubnofx	$2a$07$lY/YK/tnIsIZjXrR5Z5Ew.nVuDqFG.rSESfWp055M9zgAXt8SF1x.	28	2013-08-04 00:39:48.787263	2013-08-04 00:39:57.904736	194		0
17459	10lp3lv92mlzkclk965kwsh9wo	$2a$07$9gCWvTBZpSQRL.jBkciwC.hw98oBzidavyoIFokD/tfl4Nw7LG.oC	29	2013-08-04 00:39:48.81096	2013-08-04 00:39:58.404502	194		0
17460	10rz5xjx9gh1ye97uooxguz2oh	$2a$07$tGfLFT8CS/GbCfzU2tQR0uL9UrsZnYv7zZ07/u3BGpGXfQp6FI99.	30	2013-08-04 00:39:48.838892	2013-08-04 00:39:58.849033	194		0
17461	103kt2wvklpfzt1ix4mrtt6co6	$2a$07$JwOxDMt5sAX1AviEcTEmheOEz..t46etBr5vvT2nInWlkw1GhB5r.	31	2013-08-04 00:39:48.868846	2013-08-04 00:39:58.964866	194		0
17462	10dj9o4mdj03ae1xqc4gpat5t3	$2a$07$1J9yYOPnbpJeb4gpGOKAZ.DevHTP0w995kDOOkdxbVZr1KAYfbnb2	32	2013-08-04 00:39:48.892561	2013-08-04 00:39:59.099208	194		0
17463	100vjbj4seqcvd4dwr0ymrm2cg	$2a$07$hgTKpkad9RFVGy83x9x0keXTGPdQOItKaBmiZ14cWAXFXST0Rpnua	33	2013-08-04 00:39:48.914988	2013-08-04 00:39:59.210544	194		0
17464	10u2ybisvbkqus8ipwtzuqagaf	$2a$07$tdgsRtqsqi4/lqAF8/wngOmwqyg8bwSOrw23fehAt0dfsv8ERiCEa	34	2013-08-04 00:39:48.938939	2013-08-04 00:39:59.340071	194		0
17465	10ncswaoyeakmt0ikpop05phx9	$2a$07$MMW2ptk0Ihc8NieBgOThXOo111ctokWZ4v9w2PbbIwpzLAM5.Fotu	35	2013-08-04 00:39:48.961394	2013-08-04 00:39:59.454507	194		0
17466	10rs3yr1u577cd626yzdxg42xw	$2a$07$2OMG1qLgoQWoEpv97IfkreJyMvmWVQCImK/HEz.0jYJJFCoYu8PoS	36	2013-08-04 00:39:48.985701	2013-08-04 00:39:59.565127	194		0
17467	10z7h10t4mbydmimi2m8sjitak	$2a$07$e8aGEijsnPZH9KgBwdPzl.UsS39MYAD7HKsQXYEEywu9qSkNAJNS2	37	2013-08-04 00:39:49.009906	2013-08-04 00:39:59.685498	194		0
17468	10icag582osld16z347mq5ch1v	$2a$07$ATVU5xzkkyPoIsujy7P8zO4Gz9IhgPmCbPsZxJWg/Z/FmvGzOhGRG	38	2013-08-04 00:39:49.041632	2013-08-04 00:39:59.825169	194		0
17469	10c8vddqyvwul13h8huuwmyrw6	$2a$07$6dPGi/iq8NGbchxA98LKXeFLhiFaWC4p.8SF1vDb97JbDTmVoldbO	39	2013-08-04 00:39:49.074697	2013-08-04 00:39:59.955976	194		0
17470	10zgapcn1h89mz05o1z0sex81h	$2a$07$yKsuvEcWq7ZPdMOIO3rjLeyaeCbZ2YOKy6Wyl8RAmiMO/ZMuOXo2m	40	2013-08-04 00:39:49.098929	2013-08-04 00:40:00.088991	194		0
17471	10b21hdcdgjywgaihna7wycwk1	$2a$07$s38f9vl6fes5mdpMFl...e/P4UY5ryxmD71DJjQHHmPMlzV1.m64K	41	2013-08-04 00:39:49.135335	2013-08-04 00:40:00.200704	194		0
17472	104rqb8pxrc8ow0jde45791j9p	$2a$07$upAgViTtHNZMsJ/zYizP9.Ama4y.TqLgzMHwnO9Z8fCCHjzYqA9IW	42	2013-08-04 00:39:49.168702	2013-08-04 00:40:00.324243	194		0
17473	107u9foockqk0n5ilblmvi3ipd	$2a$07$87Qkk/E6tln.GlptC49ireDteekTFkbnzrxzg5ie/Zv4usJPJgoDW	43	2013-08-04 00:39:49.192529	2013-08-04 00:40:02.754788	194		0
17474	10qj2w0qz6vw0fvwjkyw106gdm	$2a$07$Ioet50AIy4.JTWw43MPULedTFHjcZ/Ji4sl/6cmk02JYQBBGQ6dLm	44	2013-08-04 00:39:49.216686	2013-08-04 00:40:05.323091	194		0
17475	106yf6d2p2mwm6lqvhrexyzsbb	$2a$07$ebX.CVME6rVuzdNDe40xN.YXbBQ.bpMVfbs71jIiXz/BNJBLHRnEG	45	2013-08-04 00:39:49.244612	2013-08-04 00:40:08.18794	194		0
17476	10m85by37yljuuq4oov3ouvx03	$2a$07$ZBzLNiyuMZweMBs/lYfS/.4Xw.e9Di/91bIfXVTlOMJ9RBZzcVxwm	46	2013-08-04 00:39:49.276714	2013-08-04 00:40:08.314762	194		0
17477	10wttecvoaux8iic1ld9wtbway	$2a$07$9.5dDQuKNpUNPBbtAdaMXudfmum0evtKWPnLx5TmKnLRp8rff69US	47	2013-08-04 00:39:49.299713	2013-08-04 00:40:08.446927	194		0
17478	10ptc0zgt81r3nllhnrhigndrr	$2a$07$5l1scZic2tQWfmSbFjL1TunKGr6AtGyioSbVYKDaaaiGJhgfd7OrK	48	2013-08-04 00:39:49.322527	2013-08-04 00:40:08.573825	194		0
17479	10fcqubdkj96f1f4zjfk7jl6nm	$2a$07$ap/B1pIj2iUoBBYUJEOKfOJWaVr3A6.5F3BMzLEqBM2F9Wuk/ci9q	49	2013-08-04 00:39:49.345225	2013-08-04 00:40:08.688875	194		0
17480	10siulajdoqfqvdtpx7pcap5tt	$2a$07$Ttq5/alvRneti1U/k6j7iOmL1ENzNFSAKOJB53NuiEpU4EITicMCa	50	2013-08-04 00:39:49.368578	2013-08-04 00:40:08.800176	194		0
17481	1040oaj0irsrq47f5iuzunysh5	$2a$07$4u1tSuAbrXeqLQ64fppb5egLazZvLyU9aL7f4CRQOnUHRsMjyX5Oq	51	2013-08-04 00:39:49.390963	2013-08-04 00:40:08.9353	194		0
17482	1090617j3z7xaptb7jcddv12cp	$2a$07$xu3sEDBbZ2NPZRZeNYNfiebzSQWdtEz8TPUr7ANiR4foTbXdcKZQa	52	2013-08-04 00:39:49.413592	2013-08-04 00:40:09.177296	194		0
17483	10yul4e2swckav2gd1coldw6x8	$2a$07$CiSEhwbcLLQmvrY0T9N7yOksW7RGRTJ73bis5u00.3thf16PIW41O	53	2013-08-04 00:39:49.436643	2013-08-04 00:40:09.512306	194		0
17484	10q5vij87cg2lbedz5yzmvnhiu	$2a$07$XuW.5rC85XkWOsds.0XooOSGELS1DKW4iLdpMXBLuDSGS9UMSIJZ2	54	2013-08-04 00:39:49.459933	2013-08-04 00:40:09.872779	194		0
17485	10y33rz3rcvezq0uszfg2xe6tg	$2a$07$gUjB9WTq5gR0zzgYx/KzbOFXVkECJJf5R7ASPXB2ONmeZc3nxdYWK	55	2013-08-04 00:39:49.481963	2013-08-04 00:40:10.013736	194		0
17486	10jnd1i398hbtvk39an9s2n3uj	$2a$07$9UpzfVxW2bXGTGpUHlsZJO/LJNb8/b90IcNEP.ehDcYtTzwZY960e	56	2013-08-04 00:39:49.503509	2013-08-04 00:40:10.141304	194		0
17487	10h0ipdy50lfl33lv55bwnuq29	$2a$07$RCzlSF75olajrJSp4u.b4elM.agGydfL4FFJDAOxJ004CTG.Mu2M.	57	2013-08-04 00:39:49.527209	2013-08-04 00:40:10.278646	194		0
17488	10x2e5j35h4ue7moy6y8andxww	$2a$07$WWztYUeZ.r8O08tDS/3TeOfpBvjeXEJ.1I1tcqsTI8iN38Kad/OSi	58	2013-08-04 00:39:49.551812	2013-08-04 00:40:10.441342	194		0
17489	10dlguir2scsg9f7q6d8s5ca1m	$2a$07$5wNhVHyU7E2avRgK/O7puO9djsYKQQIm5hTGfQPJZWKbTr0EoxgvW	59	2013-08-04 00:39:49.576191	2013-08-04 00:40:10.566436	194		0
17490	10hjfudtf1cx67xn3egi2ix1bq	$2a$07$ANYY0mMWd054yUEeQGyF9OeUpajMxUA1Uf7i1TUjfcnRvjy.QJHle	60	2013-08-04 00:39:49.597818	2013-08-04 00:40:10.717293	194		0
17491	10ff3k6rwnzhzn6kqecifnlmki	$2a$07$tGwWDDCV4EpvNvrnbFJZQeb95WD/StPi3JL8S2jaPO8cF8ul8y.y6	61	2013-08-04 00:39:49.619112	2013-08-04 00:40:13.453363	194		0
17492	10arst1svfcp29o67c8aysshj0	$2a$07$.tPtDNXPvQ87sIIw4f5YRO4EW8JRCdc3hARlxNzLOdRt.FcxaLtMy	62	2013-08-04 00:39:49.64061	2013-08-04 00:40:16.548301	194		0
17493	10n2enhm1hxjkpfxq85cd1ey0n	$2a$07$Nv270SGcvHG.dG.Dk2oBye5y41/QFYz3WxdQah7NufCVm5joTFFom	63	2013-08-04 00:39:49.662305	2013-08-04 00:40:19.664452	194		0
17494	10ikkzpk3lyecqqtrlw44nohaf	$2a$07$2LiSzOdhD2wVPXlP50Cx0OBCIV5j3bVW6FNe6LM3f33K5CmLIjKzS	64	2013-08-04 00:39:49.687931	2013-08-04 00:40:19.793276	194		0
17495	10pxlp6zbp8tdtk6551kmz90xt	$2a$07$5HlPVcmaZ1O5FcfvySUBweDXMn6pK99fR0xSQ0TJXAX68DEmomGMy	65	2013-08-04 00:39:49.711075	2013-08-04 00:40:19.902046	194		0
17496	10q0ookcm7qjm64woz385mxex0	$2a$07$eqpV/JzN1DdO9xY9rCxwNOfU0Dpbri5Gg3wzSJOjk.d.1Ten5oDji	66	2013-08-04 00:39:49.733595	2013-08-04 00:40:20.92222	194		0
17497	10vuy0xnhjnwlp634tm16s85fd	$2a$07$eI3lR5xXeEdEPvN2jVmpieDjyBiXr/3xCZCibS5NV/RtQOk7rqOTO	67	2013-08-04 00:39:49.757246	2013-08-04 00:40:21.033789	194		0
17498	10bm1s2mvcr46mfufgu0ijelzm	$2a$07$Jn3pQAXSkapUrdYlvMQthO.KnrmINqYdMFu0ilgEomJdaYmrHDBsu	68	2013-08-04 00:39:49.780455	2013-08-04 00:40:21.12832	194		0
17499	10kblp2pyep1uxvuqo2zwq5dca	$2a$07$aekJgnSvb/TXsihdoc6jMeVbH6nKmiY7fOgAdja1ZTv5QLvxAUdZW	69	2013-08-04 00:39:49.803612	2013-08-04 00:40:21.462113	194		0
17500	10xdv4blpw6wjg8fksewbs4iq4	$2a$07$VaePEKxgH8xT.6bxJXdm.OqKX8uqd5SAaAYcmODhk8NzLVUXpNPVK	70	2013-08-04 00:39:49.826245	2013-08-04 00:40:21.600561	194		0
17501	10kd0r4xih5c5q1etstj9cj1ih	$2a$07$mzSDhCYziBvL2IrSOPOdE.1YGPy3TQA.8Zfbv0P3XK5KZu5wsYI76	71	2013-08-04 00:39:49.850156	2013-08-04 00:40:21.740564	194		0
17502	10v75y2xuoh44x4v36j6ray0oe	$2a$07$OlLQfp52nVjR1NoERj.4h.8kA0Dse3hlr.cfCq8VC.AZrxQA3PIjm	72	2013-08-04 00:39:49.874393	2013-08-04 00:40:21.946292	194		0
17503	10sy8n187olzau35i6lgp0c59b	$2a$07$q4uJEqduBxycpAdeiV4EZu6IDbUU/asG.tbryzY7PWgCELnTQjMf2	73	2013-08-04 00:39:49.905835	2013-08-04 00:40:22.338614	194		0
17504	10xxs9dbo3jiepon5tdir9bfi1	$2a$07$jctNbZHILHevSZ1yEg4uzepirbnuRk7YnK3.nkiA911rUnRdR4c5.	74	2013-08-04 00:39:49.934685	2013-08-04 00:40:22.461609	194		0
17505	10htfbi047lnfrr8cd97ustq7p	$2a$07$fNCRic/n40A0SgMxAas37uP7ES3V32gHE9V/bfmFjowNttmJTKhAK	75	2013-08-04 00:39:49.973661	2013-08-04 00:40:22.617	194		0
17506	10lrzgv9gfzxws3kvpo3ms7720	$2a$07$7zJTg7ruBjmJnNfUSlkvEOBvae9trH2wbq9013JVwt7pRJEOy8CVO	76	2013-08-04 00:39:49.999394	2013-08-04 00:40:22.761528	194		0
17507	107e72kg9r46d6mtceydsfyiiu	$2a$07$LwVMDU95EpaAbkuTS2GvrOxoagRl157tzukhiuSzaLm3AFx2xFcIW	77	2013-08-04 00:39:50.032407	2013-08-04 00:40:22.893845	194		0
17508	10tj315fi39bapa4924qah061g	$2a$07$YR3Egh/oa8nKXlM3UmTbJOQgugRKOh5fHhZoyTmdYfoWgmTFmOfq.	78	2013-08-04 00:39:50.057732	2013-08-04 00:40:24.611626	194		0
17509	108s22dnyexwmpeoqj5wt38k41	$2a$07$RToxQAQtxj3Xv7Rml0rN6O1yZN8/KOVetmIQFnAek8AOgaBMVhKYe	79	2013-08-04 00:39:50.084654	2013-08-04 00:40:24.728912	194		0
17510	10340rlkiswgse41zboogc94jp	$2a$07$gmSY0GSv4aw.QGtXEBj2duPejBFTHvaCqAYo//aMJ4PhmGL1lhXRa	80	2013-08-04 00:39:50.112045	2013-08-04 00:40:24.852597	194		0
17511	10pe13ayn4dvjjmmtj8ral7fdq	$2a$07$WA4sqhbOqENq.2XU.n6KHep.xC/6vbg8GvaSWMEUHH6KvZ8vcnSSG	81	2013-08-04 00:39:50.136	2013-08-04 00:40:25.280545	194		0
17512	10l231ugrxy9fowzmwu2ntm0xe	$2a$07$UiZA8gFfkYAwY2o1I5.zRuSLYAeiOmnpU2u/55u0gQf9RijNXXI8W	82	2013-08-04 00:39:50.159845	2013-08-04 00:40:25.431487	194		0
17513	10sbllhk5c8n3jpcesgzr2jff1	$2a$07$oomX6x.ovmDiHnJEN3jq.O8Wq7WdHES29e4AN3qLxj3vSS0UgfEc.	83	2013-08-04 00:39:50.183203	2013-08-04 00:40:25.572425	194		0
17514	10xfr4ghf7e9k74rnqhgi7wi49	$2a$07$Bbr4UaaPeG2G/NaFDNU.Cuo8kRbQ7pQv3EIkcKm5fx.mkis6np2Bi	84	2013-08-04 00:39:50.209164	2013-08-04 00:40:28.461559	194		0
17515	10m2eyu2c394f39v9opex3fw1x	$2a$07$ZyR7rdVt9Nc/eLrGiDTdeehmMNwkXk0cGUocgJ/wP9qUQEjxKk57.	85	2013-08-04 00:39:50.231615	2013-08-04 00:40:28.593421	194		0
17516	10xcxkt1605zw2eove3xts0buh	$2a$07$pwjX.NSpjYaWRYuIX.AwHejnG24L5wrmXDzBwqClQwy7BQDfJGyBC	86	2013-08-04 00:39:50.255381	2013-08-04 00:40:28.735063	194		0
17517	10duxvub4e6mlo7mbq75di96sn	$2a$07$T9BOmcVJ08criG.NmkNBR.KO5A46vgkUnYhzACI5qjG.OYW1QdU1K	87	2013-08-04 00:39:50.278928	2013-08-04 00:40:28.855647	194		0
17518	10b2tudqyfqrw9o0s5nj8rt67g	$2a$07$GQ6FrB2e3r.V3oayL.jGDODM8gWdF8T.zY7v9k8vvWurl7sK.VcDq	88	2013-08-04 00:39:50.303113	2013-08-04 00:40:28.999491	194		0
17519	10r8tkb8moed9qjdqcbmpngyto	$2a$07$KO0DjVD0NlMWye2ostd47u/CMxSDjUa26rTT63qUQU9uRyZGPZ5pm	89	2013-08-04 00:39:50.326861	2013-08-04 00:40:30.118423	194		0
17520	10eiitsif73vh0zcxq68twlb6x	$2a$07$WQACCoziDPCmTRy9Tcw8RudjcblkVFwe7LAjcnxVcAFYz/6zQAyHy	90	2013-08-04 00:39:50.351202	2013-08-04 00:40:31.155231	194		0
17521	101l2tcht0dgfwy1rr2u1ub2sx	$2a$07$uJ26zoohLTaqhfYm3yBr2uwyWFslnuZOepj99sKVI9YFWj0Vabiha	91	2013-08-04 00:39:50.375046	2013-08-04 00:40:31.249202	194		0
17522	10hd2gc1k1xzx16q8rrijh6cfb	$2a$07$yXU35GMesssHJv.rIdmKme1V6MB316Ef7map6lzItJnAMVHJOuQSC	92	2013-08-04 00:39:50.39897	2013-08-04 00:40:31.383791	194		0
17523	10wrhfgt54y7arii9yea4kvdp3	$2a$07$p9B1dsTa7bwFHbCrTuWrruIGfCm4RiIUrcjyO.EJ5BOt.23EpcA9C	93	2013-08-04 00:39:50.421916	2013-08-04 00:40:31.490596	194		0
17524	10o7r2lbgyyqlaxvnehgqp2qcr	$2a$07$rCnVUn0/5Tj6Rk8S0BZkVOdd3cfKL7dAWmSUm9qbbTxirBYCaDHEi	94	2013-08-04 00:39:50.445743	2013-08-04 00:40:31.628405	194		0
17525	10wh57ekr4dcipzxsi0pwsr2pp	$2a$07$YzEzg28xtGQz9fN5FIHytumP8ZZ9PZMXaa1Mc3cGeSnQqg2MFO5C6	95	2013-08-04 00:39:50.469608	2013-08-04 00:40:31.766108	194		0
17526	10cmzb19kufrjns9o93928grtc	$2a$07$L3uRLCA8wiH2mhmZGMWJceEooqK7Dj11Hx/Ch65MOojW4Vz6o70mK	96	2013-08-04 00:39:50.492428	2013-08-04 00:40:31.890356	194		0
17527	10gd0dpqyz3wek5dmuianfnd50	$2a$07$Oec8xE2/RZnUM96Q.z6BaeozojuDfvnGfbk41O76ue51HOSAHVyrS	97	2013-08-04 00:39:50.515204	2013-08-04 00:40:32.003519	194		0
17528	10cnwl5ybphlvcfq2nci9rc1l0	$2a$07$/3MKr/kDh4G4FnpMXng5De/gG1YQntCw3tekXIaBXns935yBsdDoC	98	2013-08-04 00:39:50.538473	2013-08-04 00:40:32.109959	194		0
17529	1027wf7jbz88x24s6te6sfef62	$2a$07$Ru5KBJWmWHM0X/rqzDyMIu/1hE5GPlbiBHiEZAcoA2F03Q69Tj2nu	99	2013-08-04 00:39:50.563504	2013-08-04 00:40:32.221333	194		0
17530	10m29ijk572bsgr27olbtqfj1n	$2a$07$GoLLRk3u7jbwRGu/0ed9J.aT46imXTZLJfhpmrpmiiuKEKulacAWe	100	2013-08-04 00:39:50.588745	2013-08-04 00:40:32.360556	194		0
17531	10vwt7lhkcohps772qvztsakqc	$2a$07$ZxnjM7tGtI6mHq4WYy4nR.gZl5ENpRC7wbzNaOkVgcIAD2wulAZzy	101	2013-08-04 00:39:50.611688	2013-08-04 00:40:32.495587	194		0
17532	10xutjlp7annlw2mn8r3tpqppq	$2a$07$aeJYvTME/kozzk0/jOImM.wuhDY68E3f9XgojxpvkxnsRIz2xm9zy	102	2013-08-04 00:39:50.636739	2013-08-04 00:40:32.613744	194		0
17533	10mwzhox1rq5qscvvqggubjd4t	$2a$07$hh6LkxDmT0PWJsQT/RQK7.RewcJM.ifueEU647yOle13rRwRvp2Me	103	2013-08-04 00:39:50.659688	2013-08-04 00:40:33.076179	194		0
17534	10szv9s5zfwkbmmolm48z68nrs	$2a$07$IbjAcmxDPsqPxSRWxbOO9.9paT5FDB9phZT5oSq7lGMQ9qDhsUWay	104	2013-08-04 00:39:50.683098	2013-08-04 00:40:33.409141	194		0
17535	1002s8mlsoa21t41ddot0zgwa1	$2a$07$dK4Pnm.i5arOGaBhbZs8NOgfSTcznKFCeMUrnQ5PckbTEconzRHpe	105	2013-08-04 00:39:50.706117	2013-08-04 00:40:33.519374	194		0
17536	10byf03ez73pz5i90b8hdlx121	$2a$07$nbcDWmEwb3ngo.Faynf.leR2LgLGALTq2gKvbNxtZXgHlgdUp1SaO	106	2013-08-04 00:39:50.728691	2013-08-04 00:40:33.652404	194		0
17537	10phblkidj24e3vs77mqwupmui	$2a$07$nApDo.wmA/5syI78O6a0w.GZTtj9rAiucWahVtNC9Pe2JzOfLyvsO	107	2013-08-04 00:39:50.751622	2013-08-04 00:40:33.794834	194		0
17538	10p6f8bqppgogz82vyqy4dweew	$2a$07$oL4wo1Y3G6oPV2DPvDGAneeij/L/0AzK2VWv/Xjv7MMilMGcov0wm	108	2013-08-04 00:39:50.773724	2013-08-04 00:40:33.941368	194		0
17539	10iuqfdiaubzy7iopcdqx02w28	$2a$07$XHXWMzkGoBwAclVR6ViGBeeYrqbdyGWa4XbKtu8II5ybdvLf1eSZe	109	2013-08-04 00:39:50.797068	2013-08-04 00:40:34.057706	194		0
17540	10zsrj4toycvjrc2ggcn9g9i79	$2a$07$kKH5zPfs0TMVFy5PWVwYpukFp5EgEYX3zrXMKlBw6RPMh61w1wX4y	110	2013-08-04 00:39:50.818871	2013-08-04 00:40:34.196323	194		0
17541	10y0byj72b3rfwgp8ar4dieo2r	$2a$07$mgfzo/6eNknyh/2/vNoFi.ndZrj5QiFSC/tCrCXjREaoCwlvgZJQK	111	2013-08-04 00:39:50.842863	2013-08-04 00:40:34.311929	194		0
17542	10t4ahoqehvuvjxo6n54f4fkxs	$2a$07$chIVfpbb1y8ELWkY6kEsB.my2cEZlp7ArghOZj5yXL2uO5JKfTxua	112	2013-08-04 00:39:50.866596	2013-08-04 00:40:34.422829	194		0
17543	101b1pwoxpnas4umaq9ivkvtk6	$2a$07$VNeW9VCJgFjp7esJJqLZzOr5Bsg8pg8S087N.ChI7cInQi5noE2W2	113	2013-08-04 00:39:50.892459	2013-08-04 00:40:37.069171	194		0
17544	10hk77y5sgn1ubgsa4b0tmfr2a	$2a$07$NFQLJJ38gcnR5AhBpcrUtOWUVbOBLc1tgJPgorXCDj4g/XEME/L8i	114	2013-08-04 00:39:50.916554	2013-08-04 00:40:39.459196	194		0
17545	102z9wux9pbcv9b027ye56j0c0	$2a$07$pd.9Re3WV5/xynUlfkzX1eo4WoMth9O9Kio/Exa.e42Hbc646.Mbi	115	2013-08-04 00:39:50.940251	2013-08-04 00:40:39.596488	194		0
17546	10q0g7ijpr4dp1pn2mu2minwgf	$2a$07$83NorjuHXsy5A3jNj3.lmeRZ5d6GwmX7THtrnqBVqr9xMVBNN8Lbi	116	2013-08-04 00:39:50.972938	2013-08-04 00:40:39.72906	194		0
17547	108ubum9rbacovjy4rzx30imxo	$2a$07$SZoM2URFCuz2OJFjXMESku2N7Bou4vaDPDHPD8O7vLTn9mzE2ZwFG	117	2013-08-04 00:39:50.997198	2013-08-04 00:40:39.862952	194		0
17548	10lcxb0nwifng4i5dxicbtnwnn	$2a$07$8tO8lkF0MwBYXz.Npgd/8.JCH3TcfGrvDqZv0WjzM/0X7piVCRhay	118	2013-08-04 00:39:51.019563	2013-08-04 00:40:39.986741	194		0
17549	10lg7799ti99bbyu05em94i31f	$2a$07$qHNHvPJrTfkTNp/.Mn0Gf.XEmuGcTpzR2VgQNNggOKCR69OkjT7I2	119	2013-08-04 00:39:51.042863	2013-08-04 00:40:40.093681	194		0
17550	108jr5h2l0xhpst74sqzzqvxuk	$2a$07$E.nD3V1fe52lTzV2RUysh.m0H3xvb5EaJlFQXifmkm2hJjCLRkQFC	120	2013-08-04 00:39:51.064933	2013-08-04 00:40:40.21961	194		0
17551	10lxfsbm2ku4653c420rn8mqoz	$2a$07$qGiAvoPcsITFuGWG7qc4fuCq1rs.QcWCLAWJD5DXlEbRcqJ9M0xTy	121	2013-08-04 00:39:51.088347	2013-08-04 00:40:40.331506	194		0
17552	1038jgc9xtbkz6m5spf0nvjtqo	$2a$07$TC3eZ0glEvxJwJGAlYFjfO0HgQCOzLc0QJBLWqt5YI8R12mH/ZehG	122	2013-08-04 00:39:51.112064	2013-08-04 00:40:40.45618	194		0
17553	10z5mmhzcofwg4ttyrhtry5c10	$2a$07$fEdFd/YwaMe8BevQEgcmW.WOyGNL4pODCrzTCX7/lg6gN6Qt0WB7m	123	2013-08-04 00:39:51.147492	2013-08-04 00:40:43.27349	194		0
17554	10uxhhf2aqy8muc1ncxl394220	$2a$07$qr6MykyzyKoRb9m5uPPqp.Bz4z5GvnRACYj3FmZruqxnv4gAKJ53a	124	2013-08-04 00:39:51.180099	2013-08-04 00:40:46.580987	194		0
17555	10oo1ysbizsr0ut09yt43uana8	$2a$07$hr7Al6Kgrzj1/iA8UXMHh.ystFtxo8gEuIxYO6Eubn3oa2UMn7sSm	125	2013-08-04 00:39:51.212369	2013-08-04 00:40:46.898133	194		0
17556	10h2ykcn9sdrg7pp27jg1i4og8	$2a$07$OmmBeikrvg8q6jR2CyI6/uy9ftTSzUf66KPhzWPbU.POkCrWY9WEy	126	2013-08-04 00:39:51.247884	2013-08-04 00:40:47.166066	194		0
15415	10mysc4w1cxzc2cuxnu4b2uu0l	$2a$07$vuSenne76CnZYoxNuQack.sH4X95o8iEw3kFtK1UfPP54PtImDCXG	1	2013-08-03 23:18:35.061293	2013-08-03 23:18:38.334753	178		0
15416	10p80jbkxhl0c25phtwbjlwn4k	$2a$07$6nBMj8cIIkIjropEyUNZhumQWVmPYyYaWFVpMLmySJrAuBSqZdF5u	2	2013-08-03 23:18:35.090525	2013-08-03 23:18:38.536836	178		0
15417	10p34iz9p538ym77ngu3diuse8	$2a$07$SUIb2irWx4nhwR.uxObEM.JGmmYqhgba3nbWUwXsyzzxqV1yZ6Ao.	3	2013-08-03 23:18:35.112762	2013-08-03 23:18:38.711481	178		0
15418	10wjolyq96m9zfl1a43dynwarn	$2a$07$csy3Ak.H5qYiJ102MO0ix.gcei8uusUgkKEEMOPCwtF27x9oZKrI6	4	2013-08-03 23:18:35.134339	2013-08-03 23:18:38.855252	178		0
15419	109jwuw6h87n167slxkkbeii2d	$2a$07$/oFA1odapE6i3XlBlUmWEuwbU84EXRhcvKBTq67hQjrzUUg3wBpO.	5	2013-08-03 23:18:35.155891	2013-08-03 23:18:39.078476	178		0
15420	109y82ui39oxx1dqv36xvbwgbc	$2a$07$D97TYSOVa8olTwg9ia4WAe9uFdLAazZoFjnJDR.fC8tUqXi5/CYba	6	2013-08-03 23:18:35.177287	2013-08-03 23:18:39.223271	178		0
15421	1077qh5pd6d2yk5lx1hzghcwn9	$2a$07$v6r99PF5MR/EdxOT1ScHuOYBkX9/xDi..BY4Z1530f0ISUm0.9pGe	7	2013-08-03 23:18:35.1988	2013-08-03 23:18:40.481149	178		0
15422	10c2cewb5zk9ob46kyewmc3pbp	$2a$07$.MYOxdaYMPKFrNJSaIH57uGbxRBv1awrvBNLL1aMFUK0bvBCYm/NW	8	2013-08-03 23:18:35.220465	2013-08-03 23:18:41.534564	178		0
15423	1052jc0rlglvll0ux92tkdzegi	$2a$07$uVGDpblSckeLWMl61R3FGu.ZusyC3LMNqp2mCXWPtyoavlGGIHOj.	9	2013-08-03 23:18:35.242065	2013-08-03 23:18:42.916995	178		0
15424	10fplr5wmh9nxybukes7e8q2do	$2a$07$LLMURBDRGlwwTSuVQTpsAOhNnwgMdryTM9faJYcoyQ2vGVv1vAOVa	10	2013-08-03 23:18:35.264283	2013-08-03 23:18:43.057673	178		0
15425	10hze9jetcpbc1o9jxjqdg063j	$2a$07$zTSrjp0HeuxCbldc3cHEZ.JLvL7pNyFQ2QO3DxCBXXklTcinbTvkO	11	2013-08-03 23:18:35.286085	2013-08-03 23:18:43.198061	178		0
15426	102t42xmh8urny7td66bqk5rvj	$2a$07$hLHh72ePbG0HPUD0G1DBwuJWLlmhD8JRKSEsC96TxvQQVHEHD3d6K	12	2013-08-03 23:18:35.307875	2013-08-03 23:18:43.321222	178		0
15427	10ka4bj8rltm8c7u7lv6djlttw	$2a$07$dQxQDdgY.XBwvT4sB3JcpOAK.1e3cWaA4uE29FfeO5zWPQYpYV/Pm	13	2013-08-03 23:18:35.33102	2013-08-03 23:18:43.458535	178		0
15428	10fl1kgy83kmz0zta7vbu8ipkv	$2a$07$BeMbm9GnVvZos1I1VEl1T.PuNYrMl5kmGoH2nZ/ZVfE9xNUtx1RMG	14	2013-08-03 23:18:35.358878	2013-08-03 23:18:43.590397	178		0
15429	107sprfqtob6v90rhrkjzfkoyz	$2a$07$d.qdURULcuZOReB2bDcgkujVdJSR9BU/nuhKAMghX9yBbN9jxQzcy	15	2013-08-03 23:18:35.381515	2013-08-03 23:18:43.709856	178		0
15430	10vlbhoebcd87e6753wssspl8c	$2a$07$/1sUqKKoPjtpfVfyEW4NWOc61S2YkPdKNsyUm4VabWerTuocdcVdq	16	2013-08-03 23:18:35.404901	2013-08-03 23:18:43.825926	178		0
15431	1008akxr1aip81ekklc9t2ort2	$2a$07$vO/iFQV/cSghuobKBj9neOAFQ1GU40k7A9q.L1cajVoJN79VCiPKu	17	2013-08-03 23:18:35.429633	2013-08-03 23:18:43.954535	178		0
15432	107vr3e26cbw5kwbfs7qz5xa3v	$2a$07$vrVLU1a95M7BZCTRZVHHfeGu0BW7em8OFeZXznqGAG.F7P.2PvTte	18	2013-08-03 23:18:35.452232	2013-08-03 23:18:44.09406	178		0
15433	10rdzy385x4a64h68335ses3qu	$2a$07$GCVMiKyb6JfdFJR4ymDs4OO/K3jKbDD1UO8yGCwJHCdF4N5iEuH3a	19	2013-08-03 23:18:35.473863	2013-08-03 23:18:44.266688	178		0
15434	10t17jfmt69tgfnx185i3v12k6	$2a$07$1UZQYEvWjWcDUD9gRPKppua8xD5qYachMBZFPg7WE9eRxWJ3yG4Nm	20	2013-08-03 23:18:35.495515	2013-08-03 23:18:44.423217	178		0
15435	10k1fhpv6ib1ev0d7o7pelh0fn	$2a$07$.gSHsd8bSU.yyqfmYW3vz.dGfYKsZwNV0P1XICLfyoW4hDbyapnSe	21	2013-08-03 23:18:35.517544	2013-08-03 23:18:44.612853	178		0
15436	105sfoz6fztv3bdgxhkdjjlgnp	$2a$07$qe3ViUyeMFLggzkVB6SMoujKQQ/rpQNepIXHr2jVgyjAreTAswGPS	22	2013-08-03 23:18:35.540393	2013-08-03 23:18:44.752354	178		0
15437	10qesc5bopcn2r56xmyhlqjhgk	$2a$07$5QE5KgRtpnhwkhSl8Ai0auNC8Ihn8GEP4PyOWCziDw6b6ofDbjwOS	23	2013-08-03 23:18:35.563278	2013-08-03 23:18:44.897638	178		0
15438	1042d5ajihgnd4kr3so6jo8kai	$2a$07$Vi5rmKBA07/v4SR8RuEfOeoHSQdEuFydxs3FXB5DhIcElBAamKjpu	24	2013-08-03 23:18:35.584774	2013-08-03 23:18:45.049865	178		0
15439	10j80fdh74mn64pnqpz8f42szh	$2a$07$x9dx/70TsqPpjE24Aq81/OGGRvUHsGTPdEAhQF0uFsweeHFCXRvm.	25	2013-08-03 23:18:35.607864	2013-08-03 23:18:45.167734	178		0
15440	10x704u73q01l4l82bi0iurym9	$2a$07$vWRw4FmvQWzGv.QiA5laEOLOafhNBHOe4tyW08gKDEZXeQ2Vq.3f.	26	2013-08-03 23:18:35.631459	2013-08-03 23:18:45.297148	178		0
15441	10z4nvetevth4j0mvtptqrg5wg	$2a$07$3PskWRx/3fdYDW43UGXCzeCcLcgQsleK3fwNAJ0uSiKUbrO958MWG	27	2013-08-03 23:18:35.655495	2013-08-03 23:18:45.430125	178		0
15442	10q00f9gv00bt8j36lem4voi83	$2a$07$emmF6sWdj0nrJUNgBoVGPuZ56ThDYZ2ArGy1DlFTeVzm9vkecwEEC	28	2013-08-03 23:18:35.677314	2013-08-03 23:18:45.792913	178		0
15443	10svkod1pe7toitqxf0vpb3m7w	$2a$07$oAwOxGP4NpdFoV7avCjV2edqV3zfProjWyCajF4FD7K7XIrOffu8G	29	2013-08-03 23:18:35.699492	2013-08-03 23:18:46.149119	178		0
15444	10dr7kvmigvve6d2m5bo4rmr2p	$2a$07$lYem5YzV8Nx5.W9uIaPPk..lkbXr44VLacG5WGRAEnKxc1zxAC04q	30	2013-08-03 23:18:35.721512	2013-08-03 23:18:46.463099	178		0
15445	10lodcs0iro3xshla796osq91g	$2a$07$.3ZFMu.M/x4T.USSgvekIuSKJyVAaFW93NJg7L6AoUgoKnhNfviQy	31	2013-08-03 23:18:35.743227	2013-08-03 23:18:46.598191	178		0
15446	1068ypovj4z4dlcm5bzhc8y4s5	$2a$07$6eKMpRNm7fPrcjQjJ31bteHOZm6SnxRtesH6pbj7543mF7za2q0ny	32	2013-08-03 23:18:35.764707	2013-08-03 23:18:46.717011	178		0
15447	10jnxijj8gp86oic8yowdwsvcr	$2a$07$qc7GvSa.VHPhi9Myb/5ELel1/YJ2TjvrRdrInTF5083doIrTJHQZi	33	2013-08-03 23:18:35.787222	2013-08-03 23:18:46.842676	178		0
15448	101w1ooge28vrbbil0x4jcp1at	$2a$07$nDre2bdt1ib4q1hWG.L3OeqnWeoRgZXT85sSGQvRIuDUYqhRxzdhm	34	2013-08-03 23:18:35.809324	2013-08-03 23:18:46.989359	178		0
15449	10sqyv4vrmgmpf27nbb3er963i	$2a$07$FgJWc7kWirRm2gBPAohjlOOWcCkkdbmtRiFO5RRdOq/94wCiuHIFy	35	2013-08-03 23:18:35.830876	2013-08-03 23:18:47.353221	178		0
15450	10g6qsx5vobwnlod5us62m8b9c	$2a$07$8UX1Ur212qC0SsvaACC1x.gjnYfz5Ta/ZHTpxlhCG.2xoLE5RvM7u	36	2013-08-03 23:18:35.8523	2013-08-03 23:18:47.489443	178		0
15451	10jydwr3og3uq8az9nijlsehwg	$2a$07$dZ1xXDnc.2BXLAAbDIKqV.dVAK93/XSUDIfZJb5JNZ7wFYwKwNCGK	37	2013-08-03 23:18:35.873791	2013-08-03 23:18:47.641273	178		0
15452	10l5eq7wkgrok36pwg4gptum6e	$2a$07$eN8oMQviQsoI4t6f/jDb9Ou0Ji0cx8AyOeNqAwwA0i8MraA88F9Yi	38	2013-08-03 23:18:35.895787	2013-08-03 23:18:47.772215	178		0
15453	10hx9o283lkyuxyg2g0hp9su2c	$2a$07$991XGEBhabytclwsxB0JJuLrk74McA3Z0eLtSIrn5eFHdAkpgx3VC	39	2013-08-03 23:18:35.917468	2013-08-03 23:18:47.901675	178		0
15454	107depyuvmk5v1w7klpggx2rrl	$2a$07$3Ouh0tTYDMN4wW7hyY62Y.Gd.eKFeLfhaEiYTrynUo5qfvWZnyx1O	40	2013-08-03 23:18:35.938905	2013-08-03 23:18:48.040843	178		0
15455	10syitsnbir6z25xhxex6a97d9	$2a$07$W4EdyjAWOw6Vs3pEMvdcw.U/EW0yMqTmiqPqqV83VI6ssrYQWRAva	41	2013-08-03 23:18:35.960634	2013-08-03 23:18:48.192526	178		0
15456	10wc1z4kv8khqjjbj2sntlnuvo	$2a$07$TpNzd1wTSIZIvQKBqdPQ4.zexKZST/PYwQV8WELk2qaV3H.jnAXgi	42	2013-08-03 23:18:35.982183	2013-08-03 23:18:48.326775	178		0
15457	10a11tm9untgkx2sfuf7qhcc2s	$2a$07$XM1aWkq3dD4QRbQOmx9aN.xfgL59hS2rpVNOvFTK2QWJ/WT8/ML2u	43	2013-08-03 23:18:36.004823	2013-08-03 23:18:51.251961	178		0
15458	10q57rl70g3qjoffkxnkl8is3z	$2a$07$LpKHj431mbk4r88BBsEaDu.BKd.fGl0dLLNIGD3fUL6cMwlnO7gFK	44	2013-08-03 23:18:36.026647	2013-08-03 23:18:54.141738	178		0
15459	10bz4yg78pctnknfdc28xbczt0	$2a$07$zs39jAjVYOw29iDth4wULO76UDcdWTJ.5xtOv5TlgyEJ8f.gmHGym	45	2013-08-03 23:18:36.05079	2013-08-03 23:18:57.045063	178		0
15460	10tlaoo55ccz2n0wfxqag1k5b7	$2a$07$tRoKIVabYwNS4H4nYxey2OfvbZhOKcOimzYBPDmtQb0zd1vkQ.fDy	46	2013-08-03 23:18:36.083137	2013-08-03 23:18:57.183094	178		0
15461	10m0afoxjo20glv3fp1gunorbx	$2a$07$wDthEY83j3Ib3Zida60oR.IKRDp09AXaPMk1Nt.HjVaTeuTxf5G6W	47	2013-08-03 23:18:36.112431	2013-08-03 23:18:57.324216	178		0
15462	1056fevg0mla72cmrlk1z0weot	$2a$07$C0tyInxWOtlkjzAGyd5K6eUeDCLe6DvaG6Yadg59h1NxP/GyjFRE2	48	2013-08-03 23:18:36.152078	2013-08-03 23:18:57.47695	178		0
15463	102ibc9orqxmzd8en3unhiwo50	$2a$07$c/Fy2mFXkUJ2oWN.Lm3pbuitXKD4dnmGWx/C1whG.zHWjQCAKvxgq	49	2013-08-03 23:18:36.179952	2013-08-03 23:18:57.61112	178		0
15464	10fplc9a6q8hrbt4p8505ah8fo	$2a$07$vPqBuHhA/cC9eRos96zofOZ.ihEh7z8zmsJ5SsMhdhe1qTnfZBcZW	50	2013-08-03 23:18:36.201507	2013-08-03 23:18:57.765509	178		0
15465	10srm50k2vme4rngqucu1hr9z8	$2a$07$ZtWsZsORI2tjhvkpWyRzbe.0vtHKSzVQGhTP4gX7f/pR6tuYtcvHO	51	2013-08-03 23:18:36.223256	2013-08-03 23:18:57.916553	178		0
15466	10qjog9qng77wlkvkefi75f5f6	$2a$07$YJhBvVE0tgohCCPjVCNXtupBLpYct25SDq7A6jqjrfkLOewu/1ABi	52	2013-08-03 23:18:36.244884	2013-08-03 23:18:58.348581	178		0
15467	108i1xe17lch90m51ezosite0s	$2a$07$jtOCvx13NzfOHcu5URJ1XOh9swP0dVUVcTQSiWCAQ.SCBuoLJUU1e	53	2013-08-03 23:18:36.266727	2013-08-03 23:18:58.879354	178		0
15468	10x6nrobh4wvpq9mlvs6mb5qdi	$2a$07$ZIFDR3YYxC.CDQRvTupLVueCHCLDMfsm4qgpscwUR7oQN9imjQkFS	54	2013-08-03 23:18:36.288211	2013-08-03 23:18:59.382818	178		0
15469	10vcdkmlyoj4zknour3knnhq2f	$2a$07$rnm.0.9cUUN0NbRzhcTXJO2TG576kNmlwNjNBA/wxJWZGAuLoLFQq	55	2013-08-03 23:18:36.30999	2013-08-03 23:18:59.534795	178		0
15470	10u7ahggfw08v6ut8bx3hh8tk0	$2a$07$GT0LYDvYNIbvVC4NqbmGBu8NrnnVj.HYvhmq92/g/ihMPFXGuqUj.	56	2013-08-03 23:18:36.334498	2013-08-03 23:18:59.70495	178		0
15471	10wro3ur0brgjfp30nmconfh9e	$2a$07$B6pIyqM46TeYi3hPHLTk7OAOaDEd4ATVMlmvYwLAEhOAkbveRHD3.	57	2013-08-03 23:18:36.35988	2013-08-03 23:18:59.85955	178		0
15472	1074or2idmsfg4mqvs10k35o7i	$2a$07$CGpp30SO4LomqRQKx8e3C.WNcrE3DBcuxgFts.mvVsHfr7zmK4vtm	58	2013-08-03 23:18:36.392382	2013-08-03 23:19:00.081999	178		0
15473	107mzalnhpkvfu67ynt20xadmg	$2a$07$izdLPiSVMmb0c5HnEdfzZetf9sVVu0/PKI8hp0xSFH.rBIOhsrG06	59	2013-08-03 23:18:36.430953	2013-08-03 23:19:00.209486	178		0
15474	10l4ft1azupg5ri1t4vkbzk5yw	$2a$07$CCzaCqWSwno83iDGcgWQ.uIt/sz1InCgeCwlA/7mWwjNQrKzNO07e	60	2013-08-03 23:18:36.456341	2013-08-03 23:19:00.353826	178		0
15475	100zyf38avkqb0bl8x2khg503x	$2a$07$y5TvsC.ItgQe3wRWXK1W8.jZDPPuxF4RrkFEEeN.4c1jZ5lAyQs9K	61	2013-08-03 23:18:36.479317	2013-08-03 23:19:03.274237	178		0
15476	10lj38q27nbakuzxr2i1yyevsm	$2a$07$LqowL4hHoHfys4HcsFZkmOzOp0VAS6eEB5iSqjzdz0NrHpsCrsEce	62	2013-08-03 23:18:36.50143	2013-08-03 23:19:06.283529	178		0
15477	10uq02zvuc2q4wokh470jgs97p	$2a$07$oIijAt18SdWe9CX/DSRRFu9Q0qLJJzQNhyB6RbhJ3SaLBiHm2X2Qe	63	2013-08-03 23:18:36.523004	2013-08-03 23:19:09.290659	178		0
15478	109n689j2xft38h5bb91n2zw16	$2a$07$nEisRLH/RD2qwVvrgJ37du3eMoVy1sz5fq8c2ZZPg1Agsd5Mw6Qmu	64	2013-08-03 23:18:36.544582	2013-08-03 23:19:09.575415	178		0
15479	1060usjxmiq8xq89hbpq1ow9k6	$2a$07$hILkYRPhO5/93Y6WnwIte.AEJl3U./1/MR74WvfBt//kGRVejC65S	65	2013-08-03 23:18:36.565987	2013-08-03 23:19:09.708799	178		0
15480	102hyosjuu9opiv9bglo3bzwj6	$2a$07$gJeQkNUeZa06UogdK/l75.5lRu/GarMYmeIWzzy0oBwx.A4T3f7uq	66	2013-08-03 23:18:36.587393	2013-08-03 23:19:10.978914	178		0
15481	10sggviuifcnxhtwc5w2ajci3c	$2a$07$ABn/Q24R07DkHSFWALnZuebZ1JkVZZMjxKkTlbltMd7YMT4f4Gavu	67	2013-08-03 23:18:36.608975	2013-08-03 23:19:11.110736	178		0
15482	10g5kxu4c920quvxiinyhdbld1	$2a$07$hcoyfeJNqgHHsZ4w4LqiAuwRV6cH1dGOA3ftHt/PbxCfNhoJfh.w2	68	2013-08-03 23:18:36.633346	2013-08-03 23:19:11.231868	178		0
15483	102ylqfewk7k47sr6rdvxp2iqs	$2a$07$lLSBgAx8IM6xgGSJ29JcIOyXxLOKDHFjXSd.aPNuTWIKKBJPpySue	69	2013-08-03 23:18:36.655484	2013-08-03 23:19:11.383483	178		0
15484	10frr60ekjfs6v5rd13rxhwrsh	$2a$07$hUodQ.kumLlklVP9FNCA7elUlEpAX0403SWJJCVlya5yveu8RaenW	70	2013-08-03 23:18:36.678408	2013-08-03 23:19:11.59402	178		0
15485	10ij2jzf5tk20hud1fpuqw3t8e	$2a$07$wtJGATV3do/geGBe4jhTseBe7/43cpCLgyjghpLPPIbyBX1Tqh4aq	71	2013-08-03 23:18:36.700025	2013-08-03 23:19:11.718365	178		0
15486	10t13exsym6m9jca7p3lqeznw4	$2a$07$6YAt54DurZxA3ay1sDHRZO.Uj6a.7Kc1425KRY8Vd0rOpcSNPBDvK	72	2013-08-03 23:18:36.721769	2013-08-03 23:19:11.843422	178		0
15487	10j77pr775yr380auhlz2qyll8	$2a$07$t0dgWoaqE3Ch.H0GVXLaFO/CmVXG0nSgCa8uTRl52.Mix0aNV9BD2	73	2013-08-03 23:18:36.74552	2013-08-03 23:19:12.236603	178		0
15488	10uwqpf6i3lm27goqowl0wnnix	$2a$07$wP5ViXnPsdkzXkqoMOzzpeOlXFOEpijj5k7/qptCqNvcaP.C12R9a	74	2013-08-03 23:18:36.777592	2013-08-03 23:19:12.364637	178		0
15489	10pc9hl0dg6phkb21w9ldiu4s3	$2a$07$Cz3bMGk5SOPgvT7Er0QKsu83EuJqnVY1mHODap1rtwa4nxZc8pubK	75	2013-08-03 23:18:36.810984	2013-08-03 23:19:12.496636	178		0
15490	10prrusz03bxzewhg5x6ke8iuu	$2a$07$IZKcztuCLn8e7x2GJqxbruaQWnwExtPsNUIqofEG3sN3ZoSJPsj..	76	2013-08-03 23:18:36.832918	2013-08-03 23:19:12.629145	178		0
15491	10got1g7lw2dwj8g8almb59y5q	$2a$07$aUQ1lXl4wUDsNV37kSoI1.Bnz3gchOthBoKWoVtSjeXjT2PCp8KT2	77	2013-08-03 23:18:36.854336	2013-08-03 23:19:12.754477	178		0
15492	101asibubt40s093xfrfgn99m3	$2a$07$sSSUvgLjtC.o.UL2dBCgxet8uBoPVoFqrDANGzjWu4iKpNaqpjnS6	78	2013-08-03 23:18:36.875812	2013-08-03 23:19:15.184252	178		0
15493	10fdfe8922szyg2lko0xoj11zp	$2a$07$Vjkxwr/TceIonTkaDmoyjuPtSaFHaCYzyuQpGrKIJXu8.pL6ewScy	79	2013-08-03 23:18:36.897638	2013-08-03 23:19:15.316988	178		0
15494	10efe8w2s2spbc0xs2hzh40wl1	$2a$07$0zNqNZP.Osmb75TGxWa/7.I1VXQemrCTIx1mSLU3sXHThWH.31chm	80	2013-08-03 23:18:36.919485	2013-08-03 23:19:15.438687	178		0
15495	10ayzlwkdvkfffy1izb8g40o2n	$2a$07$Ovccrz9hIRCOK56g74pxQe2sjIOL/H/Op9gx/w6E/53aar9Vn1cx.	81	2013-08-03 23:18:36.941185	2013-08-03 23:19:15.832341	178		0
15496	10y0zdlqz4oqqxqgt8sgjns0vv	$2a$07$MqMU7qtqcpTy8ECGou4vt.JxbMnQ2KQ5B4cutS7eexeOciLwMvH5e	82	2013-08-03 23:18:36.962641	2013-08-03 23:19:15.963637	178		0
15497	10r65keodbodphillviw31pf2n	$2a$07$4y9s/X9V0nXXsEmK6tIVs.EZ9SUQ3aEMFouu0nsah2UAot4fNAvDa	83	2013-08-03 23:18:36.984771	2013-08-03 23:19:16.190493	178		0
15498	10dsb9kywn3f2wualj1l1owc75	$2a$07$f3JfgG634ONKwpIYQvwtOO5efe9AdiKBglcfYsSTjijqN1pAn2qlS	84	2013-08-03 23:18:37.007297	2013-08-03 23:19:18.835721	178		0
15499	102xdrk2comls851vwkjzedwr5	$2a$07$TBBZd3zynINQ2nJCzOeOLe24H/AACi/22A0tp8k3OD3MSfBPBbSrC	85	2013-08-03 23:18:37.030185	2013-08-03 23:19:19.069682	178		0
15500	102d1i3qmduk4f9vlftrh7tm3e	$2a$07$YFTfZ/cE/x3b9UpzOrJpiuYoQCH91Z0yV/OaFtZzpNtHaQZiX3s/m	86	2013-08-03 23:18:37.051991	2013-08-03 23:19:19.196272	178		0
15501	10wv9c3pkbaxa2fz59z9l6py5c	$2a$07$AL7PLeQDxuUf4Vy/PpPafOttN4JpAvz8KFLbMLOXWejI.Ho4tIKM.	87	2013-08-03 23:18:37.07405	2013-08-03 23:19:19.313183	178		0
15502	10vt1itp9syqmjjmippfjkp1h1	$2a$07$eTRcYmBO8Obdm8GlW9Vb9ekmKsMYL1yD.wAZxGH/vEo8nW9buAeFC	88	2013-08-03 23:18:37.096121	2013-08-03 23:19:19.49599	178		0
15503	10nf62ybv6akeqndodvopodfx9	$2a$07$k8IGVKJ8sAYoc1ScUvfMFuP1hYyuIKfq6YmJMve4QnYdKPZb46zj6	89	2013-08-03 23:18:37.118741	2013-08-03 23:19:20.613052	178		0
15504	103qg96d4q7vn8ax8u2mexsnyw	$2a$07$vU0qdC/xcfxElwLt8W38Z.UHWiCnEBKREZedYHtnRnoxP4q9umxVi	90	2013-08-03 23:18:37.142767	2013-08-03 23:19:21.667441	178		0
15505	10bwbe7kv8bk9uj5qbzjdau0j2	$2a$07$G7CuMhcGdBZOrut8DS5B0OwaodoLFQKu4Ytx.Wx1IO0ej2ZGyXDBC	91	2013-08-03 23:18:37.166323	2013-08-03 23:19:21.791628	178		0
15506	10c2h23lcns9ukq6uqqbsiiv5k	$2a$07$Fkkfp6luYgFo8YrsBdReSOv9oozlq95XBsu7srk/4DBvb38JfLOcu	92	2013-08-03 23:18:37.189484	2013-08-03 23:19:21.909268	178		0
15507	1047yxb5i2jq7mwi3i54fab8li	$2a$07$ttIRvSHRMN7RjctIB86oSeKC6xUozSw8BUGDy1XvQ2cJk52OYxjBO	93	2013-08-03 23:18:37.212172	2013-08-03 23:19:22.033486	178		0
15508	10a38wmdqnmoexs29p3mjilroy	$2a$07$cR.3.AbH7dqpWDZD8Y07teVWk.zpyaci0xTtWno2v4sKTQbdpuIDa	94	2013-08-03 23:18:37.237011	2013-08-03 23:19:22.169718	178		0
15509	10hxbb95hiy03szvy3cjdarz8r	$2a$07$OJ5sOgDlkQktnLaXkSDdJuLb1DI188nzmxe.h7mmogolSIGjr375G	95	2013-08-03 23:18:37.262642	2013-08-03 23:19:22.31145	178		0
15510	10as943mpnghnaupoxkkk9odjo	$2a$07$fsxqC18.POZuo6sjLMBBs.rcg62TQpEJVMqDcE31ObzSWOkHa8Bqi	96	2013-08-03 23:18:37.285623	2013-08-03 23:19:22.460265	178		0
15511	1090441gfpfxmf58351xfs9wvi	$2a$07$rzQ1.07SQeT.AkAxClZUi.xRdPWtHQgKKW7/f0r/4s8XqzZJRmXr.	97	2013-08-03 23:18:37.308997	2013-08-03 23:19:22.680487	178		0
15512	10ivzr3tchl6tuewu8rbezpqvt	$2a$07$zzilTkkTIxIvIRA7UXjV8.fnA/BxgwF2V77m8BPK9kbNdXjc4NQSq	98	2013-08-03 23:18:37.331985	2013-08-03 23:19:22.856464	178		0
15513	1017r1my4oipjm52au8iat8gif	$2a$07$.lcBFvoKqzLU3KlDDzSN5OB4zL6f5JOz./zkQb8Mh.mmk/05WmGAG	99	2013-08-03 23:18:37.364975	2013-08-03 23:19:22.980254	178		0
15514	100sc9w0t754qro7avofrxctmp	$2a$07$LJ2aC/tplxGKM.q0DvBDn.Zentep.qZRnJdyfRXCWGqdmQBNoMtVS	100	2013-08-03 23:18:37.397824	2013-08-03 23:19:23.119331	178		0
15515	107z6dmx94x6l74rqvd8p9tj9u	$2a$07$gA7ggrKkgWc2nlWWSBbPBuF9IU3vEm3cOulG9CNBpG25jkRR5On66	101	2013-08-03 23:18:37.422586	2013-08-03 23:19:23.254199	178		0
15516	102yc8z7f25rmr8ku4vaystzqk	$2a$07$WvzVPoVPqXfO2W7HOH33teZRs5tgNb8NJvPtnr82RVzZ4Drb6r2Na	102	2013-08-03 23:18:37.448473	2013-08-03 23:19:23.399491	178		0
15517	10fkfylui0116n1l9lp2o0d33w	$2a$07$oHBt8FyKjxsZGbis9G7xgeaeQl0iDgIYN9.7xoUGALjcIsZdVSvhi	103	2013-08-03 23:18:37.474526	2013-08-03 23:19:23.779924	178		0
15518	10dgqrrsm4hrz2kuyeqj9jp7eb	$2a$07$HqSP6Bci6bbXNch/GpiuQudYpsrnMDrHhe4hCtvwVIIPbkeYfvrkG	104	2013-08-03 23:18:37.50001	2013-08-03 23:19:24.171054	178		0
15519	101vf9pnhri2f5b9wre2nietvl	$2a$07$kC3Oxr0eUD/ov7mOZYm3S.QoN/mRG/zFtSK9Qj1.AU8l1G9UYL0Ku	105	2013-08-03 23:18:37.531296	2013-08-03 23:19:24.294336	178		0
15520	107p2dtgoh9vzl7v560m6qtppj	$2a$07$PE4l63qmaM5WI65aKViUmurU4sknlMr0xosWMwOxdcB3gbvQWJVxq	106	2013-08-03 23:18:37.567788	2013-08-03 23:19:24.420413	178		0
15521	10f6p0puucm7rnwydwue94lc6w	$2a$07$28YlC6Of4VsmJ1Dc/u1A4exz2JMYeSjjs/vCLIy2KkEmLMl2pO3zO	107	2013-08-03 23:18:37.590045	2013-08-03 23:19:24.539283	178		0
15522	10nmeaigbrnc2p7ujwz9d8zme0	$2a$07$v0GgcOoH95NPIy2Lb6VxhuKHfI8fbas1.FaxdOB1zFnbgDvhcKiLK	108	2013-08-03 23:18:37.613209	2013-08-03 23:19:24.693111	178		0
15523	10lybnwwyt5qxyuwz4n7zruw81	$2a$07$9BIgWYS79vQvEjTZzbyG0Op6xPIkNUS74SCLy9LYyMD.dOC7s.3I2	109	2013-08-03 23:18:37.637592	2013-08-03 23:19:24.849974	178		0
15524	10nyw0ls4xgksaje2cekwgjmun	$2a$07$roaqrM3BSMhqUNJzMm.xdeafSLmsu5srQbjAsjxWfvZGogjf0J5hi	110	2013-08-03 23:18:37.661255	2013-08-03 23:19:24.995099	178		0
15525	10tn0eoh35hvqkj78df5ox5cu4	$2a$07$B51QIF9aWv0dt.lLHZsRBOvLfH3GwMmG0kyzhh8Lw0nHRLVR2R5L2	111	2013-08-03 23:18:37.68658	2013-08-03 23:19:25.12848	178		0
15526	10daooisvymf9le289cs9r6ufq	$2a$07$cd8jML.EU3zXGOlB.ZNV8u/Cy2q8iiG4qOfJwrWbHsEcWeOF/..HO	112	2013-08-03 23:18:37.708103	2013-08-03 23:19:25.248184	178		0
15527	1023svy1x6kxxnopsdk8xg2ylw	$2a$07$4HS607UFWhMlmxnQMm2N3u8RUsgDvORXTQwGa6HE13RYciq7u/OMK	113	2013-08-03 23:18:37.729677	2013-08-03 23:19:28.210996	178		0
15528	109meknoh8epod5eav2wd7clx8	$2a$07$xETLcjHn5XNgRBywcX2MtO4.WU57nUh6kPTcQv..2BzJyGjzMjV6W	114	2013-08-03 23:18:37.753025	2013-08-03 23:19:31.349402	178		0
15529	10081gdp4fj8mmfmea3p6xionj	$2a$07$dThd.dRzJsbVbIyVVUAprOD4RC0gyRDsjDtL2EyHJQZd9b2nCPL86	115	2013-08-03 23:18:37.794154	2013-08-03 23:19:31.502163	178		0
15530	10g9l01itomoobtllhm81iv46a	$2a$07$fI5ygPCEVln66WyLixuNau0IHePJ0SZYb10osSoktfUzb.GQ2Y0zu	116	2013-08-03 23:18:37.816118	2013-08-03 23:19:31.627461	178		0
15531	10e1ubpbe2syuuzsxw2nadtbyg	$2a$07$b.1Go.bct1R1K0UICElVbea9qJGAZ4EYqhpCyKkUNK3LIS7DrX1ka	117	2013-08-03 23:18:37.839858	2013-08-03 23:19:31.752524	178		0
15532	10wulrjnydv31xxwjwye61pcwz	$2a$07$ElQMPEwpeDE8f3xOgqHF6ekjIXEUToBhRZ0rUeFbJlqf9f8WzFPe2	118	2013-08-03 23:18:37.862514	2013-08-03 23:19:31.8847	178		0
15533	10redghvrx35zsyang4tmhifml	$2a$07$frNefO4Jwm6nGrZSerOKTOAlOKHCY.DPGpg1lMGQjvph8l7ubHSPi	119	2013-08-03 23:18:37.885017	2013-08-03 23:19:32.009654	178		0
15534	10hgd2fohog6xeu6f8ohn95ajg	$2a$07$K/Bgzgj5l0GvTaG1APWk4Oxjg20JLJlG/U/8I7b1x3zYA4LvrQfkW	120	2013-08-03 23:18:37.906891	2013-08-03 23:19:32.128846	178		0
15535	10wh9abszuesvycv9xmuah20ur	$2a$07$/X2FVgXkA.b8SmaT6slaguB5jYBp2olwYldZyUviDHejnhdUCfHWW	121	2013-08-03 23:18:37.929832	2013-08-03 23:19:32.278046	178		0
15536	101l7rfebaz993zovqeqsxmbni	$2a$07$KitTVexUwlt.PWw/6TqpOecZVssAlpgeJZtKnU11BbsdtHgn2ZW2.	122	2013-08-03 23:18:37.952326	2013-08-03 23:19:32.4256	178		0
15537	10rmrrk04deqnrcw2hnmmq59iq	$2a$07$cZwmaiQ8VOMgubu/R3evaO3LW0n2YyJ1cIsncR3HeuAxNQboTeqsi	123	2013-08-03 23:18:37.973833	2013-08-03 23:19:35.088887	178		0
15538	10hg2okji5xjf1djikfz2136n8	$2a$07$jJEwt/YDMmKgiDLbEG1doODY8cQNrANQGZqoeHyny8qngBD5wgEqW	124	2013-08-03 23:18:37.995422	2013-08-03 23:19:38.165046	178		0
15539	102u3b40kmfm8p653mvedyjacj	$2a$07$D1yXrSY8c3qf0wwTBIziqO2NwLamMO5hAsFUuD/AQvydtayNxxiYS	125	2013-08-03 23:18:38.017117	2013-08-03 23:19:38.572412	178		0
15540	10cfra2hgv161f8u1o011dlqrl	$2a$07$i36/fJUTYLiMO9V5H4U7tOMoj0.gOIrFrz9S7PClBfp33/q2UhDWq	126	2013-08-03 23:18:38.038867	2013-08-03 23:19:39.009682	178		0
20833	10wsboi56y39pfp74rcntbbzbd	$2a$07$4YZOye57VbWZxJzGJxWy4uyUXeCRRtckeXFSMWZZv6ifOv2ELzH4G	1	2013-08-04 02:55:10.589528	2013-08-04 02:55:14.062891	221		0
20834	10alfe0stz0i60mizbsvhfqoie	$2a$07$2K/oj0tnfbMXySwQVkQdzuP1.Qhc0rvpi64EWSleNTfrr3FvWcFJW	2	2013-08-04 02:55:10.614835	2013-08-04 02:55:14.211523	221		0
20835	10tpmclzm330owvt1qes0vu7oi	$2a$07$9T/HEzv/jS9gXUn81aa7uecPUCO2/zXtc3Ha8b7JX9qEvZG9bOb7C	3	2013-08-04 02:55:10.638558	2013-08-04 02:55:14.404549	221		0
20836	10wxnrjtiqdjxy6dkyygt8yo1p	$2a$07$QJrgzJGZ92enHk90Zm1/9.lncgD7Qd0NXVLuPI2nCDTFGabs4ikn2	4	2013-08-04 02:55:10.666793	2013-08-04 02:55:14.558826	221		0
20837	107c516nxypj06jiphx2h9q7p3	$2a$07$1A7t05Vwz17TRy.6nJxSR.iqLSDQRDsrtyoLmnK1cA646cpJH4Kxe	5	2013-08-04 02:55:10.699445	2013-08-04 02:55:14.702752	221		0
20838	10brcpnv4ko5d1nw9s968bvocl	$2a$07$wesJ4ogpQM/mvGWIOhfod.Tp0nY43WTb3o8IzcvCCBppus1SzbKpu	6	2013-08-04 02:55:10.734871	2013-08-04 02:55:14.842954	221		0
20839	10j810h5481md2u8259e605csp	$2a$07$bhXhgxw0tONAUveeIQFrguq1R6K2NKjEc8BfpJPYLq57jozty/z7K	7	2013-08-04 02:55:10.768798	2013-08-04 02:55:15.887062	221		0
20840	10iy8b68kemtq9xcnxaolr57eg	$2a$07$4t2ZzjPDpKXYnjsSHzva9eoer8KwFtGSUT5hlO0XBWpTRSjuFLluK	8	2013-08-04 02:55:10.842793	2013-08-04 02:55:16.90763	221		0
20841	107dx227or3v15hv2oy7ev4uc1	$2a$07$FEIerzmM2JUi0qkPXYQaZ.59Yl/sw0GPCIh30o88H7ZiRjO/lzjzK	9	2013-08-04 02:55:10.867837	2013-08-04 02:55:17.954374	221		0
20842	10i4cvxdmuusxvy78ikx98crp6	$2a$07$Ch3ESqvvIsz7feWWS.YJcOOtqhzPjT0V1kCi6dtmEsm7oq7bs.9T6	10	2013-08-04 02:55:10.891392	2013-08-04 02:55:18.076438	221		0
20843	103gw4djx9dg02m1e532tdjq1h	$2a$07$easW6xN.fdIn0SSbYYo2heWVA5GT1Fst8huu4539oLEzcxpO2H/B.	11	2013-08-04 02:55:10.915143	2013-08-04 02:55:18.197051	221		0
20844	1054ztam94ns9pcq0clgp59825	$2a$07$mJH4VFVDE9tE.4T5INwRIea5e5upJkBgr/jN6SCSosOUFB6t1sEoi	12	2013-08-04 02:55:10.938916	2013-08-04 02:55:18.33212	221		0
20845	104wmajmn4vyumaekuj5al5s04	$2a$07$Z4qWrf.ZNah1uCkWdoJOKeZqYPNJ85A8YAXjPLhEanSbVN3J01CQu	13	2013-08-04 02:55:10.960479	2013-08-04 02:55:18.46497	221		0
20846	104xwa3bpr4y3trfp6ytsuus0y	$2a$07$h8fJlN3GmZVojjYxLztpIe3b0nUv2.Y7YQ/5YHjNeBsrWxBUcB2iO	14	2013-08-04 02:55:10.981914	2013-08-04 02:55:18.606726	221		0
20847	1063gqiy084cwcfetpqhvnh797	$2a$07$k3ITSAn3otHdge7L/uNXgeZ6ATnyksMkG4aTBi.baec6R.iFxsTZ.	15	2013-08-04 02:55:11.003386	2013-08-04 02:55:18.728542	221		0
20848	10bss016kxpsjixxumxsakffh9	$2a$07$oFTZP78NN2LKMIp9YqCxh.XaloXeU0Wh8NqAvtU61hfKPWQQLBk3O	16	2013-08-04 02:55:11.025336	2013-08-04 02:55:18.853611	221		0
20849	10lhv0neizwv70as2nes87bv5c	$2a$07$c/9wEFFnhn/XsKu/Xk1rHegsGtOzC1NXMKfN49hv3b2hbgWzAoO/G	17	2013-08-04 02:55:11.046776	2013-08-04 02:55:18.988072	221		0
20850	10e8l7eqv79vfntxzo79gfurti	$2a$07$AzFAKs8WxaDV37pbjXAOqu5Tegfveyl6ZCQtzL0eLDccV9x1LmiU.	18	2013-08-04 02:55:11.068635	2013-08-04 02:55:19.107476	221		0
20851	10f69c6q1ppxyybnx372mb6anw	$2a$07$ZuQyuySYLqzqrba88EsUJev1AmNORhV6pTcEE9xV8JHzOMKEitZXe	19	2013-08-04 02:55:11.090428	2013-08-04 02:55:19.253714	221		0
20852	10sgx2opxogbc3nsmcwb6d3xu0	$2a$07$brzGhZ1fYa8bUWoAes4Fa.Bgssl/ufPVdb9fcUS6cSO9SpF4jFTcm	20	2013-08-04 02:55:11.114516	2013-08-04 02:55:19.413724	221		0
20853	105gfyg321apwty4xl3h9872td	$2a$07$aBTFp09KEfZ4uUpCcBTTouHCrxjQP.K6N9h2heXu3XPXCVWgqsMQW	21	2013-08-04 02:55:11.136441	2013-08-04 02:55:19.563957	221		0
20854	10dkse8pao6gdpa5207vrx20ra	$2a$07$IrDWFoKhIVMKPHx4m0hV8u5Oz62O44qcOcSjXruWr0dm7Ruf8IZpe	22	2013-08-04 02:55:11.159166	2013-08-04 02:55:19.69867	221		0
20855	101wrbre5iimyj1x609q5m3fst	$2a$07$.1pviJYpudE5uVdEbA1IpO2C.1UH/.xulVFSXFaMuOII2lk/ojQZm	23	2013-08-04 02:55:11.182061	2013-08-04 02:55:19.832513	221		0
20856	10k8vybvppryp13kusdxxntkdu	$2a$07$uOTW9Pf1IsC0LzP4YiN4r.ga9xQkFZFXdCIw10ExdrkwAzBd0hKYa	24	2013-08-04 02:55:11.203676	2013-08-04 02:55:19.933069	221		0
20857	102arb96vgknmoqmtkl097zapv	$2a$07$tTxRWdPGmd2OUOqO7whvsOjq5OtlZLPhYah0gtOsxusf7epWYdZ3O	25	2013-08-04 02:55:11.225217	2013-08-04 02:55:20.20675	221		0
20858	10mudfcixoazlkr1xu9h3b739k	$2a$07$wEqJVuA1P8zk8xzjMk1KWu93t2XBAQpCl/6WeML7LynjbkmLdmeWa	26	2013-08-04 02:55:11.246641	2013-08-04 02:55:20.381926	221		0
20859	10j4uwx27ct2jfwah9rhey1sme	$2a$07$aRBIsK41y.11lffQHMnw6Oe/YOBvZXDo81.LyZiZ6Pu3J5T00xpQG	27	2013-08-04 02:55:11.26858	2013-08-04 02:55:20.623584	221		0
20860	10sdmmfmcod6fdejulq6lp3z5y	$2a$07$uy2k0p177G96.cGqxwPjg.qsB7g6VOYXQDOzjVelmIiDcukNScRxu	28	2013-08-04 02:55:11.290691	2013-08-04 02:55:20.751236	221		0
20861	10eoxol12cm2yak6kyuxb8flu8	$2a$07$KNLRliHLvbDtzWrzTV9mCuFjkJ5Ma8SjhPbbgmDFHpkw/poze7hn2	29	2013-08-04 02:55:11.322916	2013-08-04 02:55:20.875234	221		0
20862	10vbkjw4wz144qklbes56chp6b	$2a$07$UPkheHHtBS7QOVoRfLuAUumvT8iBAJQAtsJNG3lhii0QisQLA2VEi	30	2013-08-04 02:55:11.356879	2013-08-04 02:55:21.012221	221		0
20863	10eg3h1ov14ugfvc3tublyjgw2	$2a$07$vWP2GPTJcchTSdM.ZdJ72O.04jti2lz5yQokyaZE.zrV2mgHaSPQK	31	2013-08-04 02:55:11.379489	2013-08-04 02:55:21.157529	221		0
20864	10mgzcl8x0ypqg8m046r5u68yt	$2a$07$r5JnPKXDmcTTllGwHtFyHeu6QXBjWFXCSsscAQ7FPwYPBUWqrP2Nm	32	2013-08-04 02:55:11.416733	2013-08-04 02:55:21.275612	221		0
20865	10vooz2pdo5jsr4a5w9c5cm2l2	$2a$07$.F6VNty1/5OWBl09u1eV8O2qLxIUQLaTaK/rLVjEuYuF4mMT5H.Xm	33	2013-08-04 02:55:11.439893	2013-08-04 02:55:21.420248	221		0
20866	108d1gte4gftr162tfh63bqtbh	$2a$07$kcmvASG//wwqNPo76MW0l.WDAm6nAPbp6BXr63Ivm1fyH6.ahv/HO	34	2013-08-04 02:55:11.461572	2013-08-04 02:55:21.575863	221		0
20867	10jnyvyt7pwnghix29u6zd4zp6	$2a$07$/fSYNKjG.2qlDkcrcjBYv.r6U8Q8Evm80bqTcWQByoi4yQh1CJKVy	35	2013-08-04 02:55:11.483197	2013-08-04 02:55:21.708668	221		0
20868	102eq3zlous2w56zx8bf2camla	$2a$07$9z7npt1pwojPN4MUb9JNdeDcEZoizdzeVrKoNCd0qvkD3EdjL14xe	36	2013-08-04 02:55:11.514541	2013-08-04 02:55:21.840794	221		0
20869	10p2375ty2bleat7kmkoufj3yz	$2a$07$.qgShbMZivEzxCIAJG/PM.6Sx7ryHNaACqkVO.GdAnkxDAVnzjlSK	37	2013-08-04 02:55:11.537268	2013-08-04 02:55:22.112523	221		0
20870	10chnm0jaoe7zvo5f7rsuqr8sg	$2a$07$QM8zs1DPoYSr7Ai29dOY/e6n4A3GLQftkfnBIar2lyTWwcYN5hH4i	38	2013-08-04 02:55:11.559019	2013-08-04 02:55:22.36439	221		0
20871	10ejws0ht9o73y7pio3da1y3ta	$2a$07$24hhupWzM861gJ09DuWj9O4NYkdZDH.qN0m3yqHVqveqbB8xrbOhC	39	2013-08-04 02:55:11.581878	2013-08-04 02:55:22.621134	221		0
20872	10lvlsdsuz7u2t9lqtjjnmae71	$2a$07$b9msnTzi.96mfc/KbQjLzeDS1VQhz.CE2y/ye8h7uNo6DadCmaoT.	40	2013-08-04 02:55:11.603793	2013-08-04 02:55:22.734861	221		0
20873	10keb8chmdwc1u50tero2c5u11	$2a$07$bnlmnk6qsqnS0triO6DJVO3.Jx2nc4h9s8sCcuzMZ7/EqWm/RPf.m	41	2013-08-04 02:55:11.625621	2013-08-04 02:55:22.846783	221		0
20874	105o1cqtsj5u6md6rbt0umkxau	$2a$07$8FGEbs6A1NxW7CucI1rX4.t.Vo41h0QHwgrNRHLNKGxSIF9iC2at2	42	2013-08-04 02:55:11.648214	2013-08-04 02:55:22.981424	221		0
20875	10azwycam50bsbquf3kyw55qyb	$2a$07$e1GDpXVVnlzD6gyl6S2w.e0GgDoFhK4WKrTOBtLVRftGv.HklKHtW	43	2013-08-04 02:55:11.6701	2013-08-04 02:55:25.653901	221		0
20876	102yrtwne14qmga43au1knpauh	$2a$07$wAe9zf.7dOKRspXRVNQ8teNx2j5RRXZnYgGZJ1KLb5Ig7NUWsb9lO	44	2013-08-04 02:55:11.692361	2013-08-04 02:55:28.419814	221		0
20877	10ybirzpd2gu8gbv8akvdloaat	$2a$07$QMteWdacjTWDmOLAeO6mx.ktiDdSY2JNXkTwQp.KRSuHQRWoyTrru	45	2013-08-04 02:55:11.714179	2013-08-04 02:55:31.1975	221		0
20878	10q7jbzhr2tkg2nyvns3ip5wmd	$2a$07$tAqqEfNCXsqv/VAFdixQsOphaSWM8QZXhyHbjudvdyhHZsQxPI3Hq	46	2013-08-04 02:55:11.737997	2013-08-04 02:55:31.330309	221		0
20879	1035b8p53rujv5iocim21lb0le	$2a$07$YKcGNm40vzkDR6kpbtzugeZi.BOMyjmpFF3Fg54FeY.eKlVKAVf0e	47	2013-08-04 02:55:11.768306	2013-08-04 02:55:31.47784	221		0
20880	10rymiy8h7xv9r0ptyc8vjrnyu	$2a$07$00sny9HU/nThTYJ3C0eCDuvD/T/TWuv2Cu6kBaMVmVJoCDLpdaTr.	48	2013-08-04 02:55:11.793017	2013-08-04 02:55:31.624269	221		0
20881	10kam5z5obo6cifasgk1u458wl	$2a$07$pqwXJvTS5GOF95eQ0PbX7uZ7orCAeVyPsJF0eh7Mcp4rZx5NXEMzy	49	2013-08-04 02:55:11.817502	2013-08-04 02:55:31.941363	221		0
20882	10w1zov0jra4hez7f3srshju3b	$2a$07$RGjWFo9EdZZ5eQHWrZLnL.lpiizPM2.0rz4Pj6/D3BO8KWwaZb4Y2	50	2013-08-04 02:55:11.853568	2013-08-04 02:55:32.052477	221		0
20883	10vph4wgttfkl2ck7p05luji2e	$2a$07$mm9WWdLGQvJXaTxNi2.7b.gaZ.e3l//CqK1sFr7Z0vEZsQxCR.jmC	51	2013-08-04 02:55:11.886155	2013-08-04 02:55:32.184165	221		0
20884	1089tdjvmhajukcc5m7k6ag0v1	$2a$07$Q9Llwh2rxrYoAqqpwpqQSOKylvuJi0AuFMWBt7Qp/wHkdcfsTihRe	52	2013-08-04 02:55:11.915411	2013-08-04 02:55:32.325447	221		0
20885	10yvxu1kb2hc7bb63q0qz1f2zc	$2a$07$Jl7Kkh/fykESPHHnwOErOul2.j.my9VKEl1mljg8YqOaN6INk/VaS	53	2013-08-04 02:55:11.938935	2013-08-04 02:55:32.467399	221		0
20886	10rk2exwjj0tiiafxw9x9130aw	$2a$07$0m8e8SQzuLy77rylgvSNiutbi7w7Jw3aXiieSt9tSctb00mNp.oNC	54	2013-08-04 02:55:11.962638	2013-08-04 02:55:32.605856	221		0
20887	10bwzz29j314ko5l8vq5kp8pcv	$2a$07$2OEGQXeTAwwto3aM0Xzi0OtPEMW3R9ZJjNY86sOXMaKbMOmbAVarC	55	2013-08-04 02:55:11.997949	2013-08-04 02:55:32.745701	221		0
20888	10haax7xnckdxxagh38ch4i2b1	$2a$07$G.RdgRVwh3r6yCiyBg9Z/eJqw9eudT07TGjcTDv89/rtcrcm38kvG	56	2013-08-04 02:55:12.033738	2013-08-04 02:55:32.895252	221		0
20889	10h84e0c1djag3k9nqm11fxy0o	$2a$07$0Rz2eA156qvxXfnk5PfGWeyUoaYt7mcPU1onOrLgal4NLNLx4qhh.	57	2013-08-04 02:55:12.05621	2013-08-04 02:55:33.031304	221		0
20890	10eeouiqcx0m7ibd3ayeqeq1gn	$2a$07$e3uH2ZTbBIo5K1gd7GY8beLMHUrsDDQNNmYjUAOnoju/255TSMj1q	58	2013-08-04 02:55:12.077846	2013-08-04 02:55:33.176868	221		0
20891	10qieytbmtu4fmux0atu3e1d7j	$2a$07$IwDxLDqjYenncJCDedrTg.5LnSvspfY78CQ5GyX7vFWmKV8dOJMKK	59	2013-08-04 02:55:12.099627	2013-08-04 02:55:33.324807	221		0
20892	10ctnyp9evzmkq376bl5kfino9	$2a$07$47ozQlcg77kwwU/a4uVmKeY40gHLgcZz.uEZ1mndZs1gDjg9fvbUO	60	2013-08-04 02:55:12.121317	2013-08-04 02:55:33.466721	221		0
20893	10s10af1ose54lt66cz99llw0o	$2a$07$m6BFqhQXB/y1nlLP.t2VH.WOq9j6p.ASsyEnENYqOwcg1ETyUbrSG	61	2013-08-04 02:55:12.143889	2013-08-04 02:55:36.186153	221		0
20894	10281jyocyblzxygh7dbrotgvl	$2a$07$IePr4Kt3qIkfViFpuwu1X.aLzfxM2Q2xqSeWO54m.QLGwv9L/97ae	62	2013-08-04 02:55:12.167315	2013-08-04 02:55:39.315226	221		0
20895	10x7ufwipx1c3a1hexvutcei9x	$2a$07$eGxazY98IJBvAp5Ysd2d4OVDTuyTufG2LxCrje9SZQSgB4hv5Nu7C	63	2013-08-04 02:55:12.189916	2013-08-04 02:55:42.39056	221		0
20896	10s455ssjq5ss33i3gui6c8e4z	$2a$07$7WOL1UFU.2DNOgY1FS/EKOXjIMTeHabfhE5Fbiw7CKiD.KPmQC5aW	64	2013-08-04 02:55:12.213266	2013-08-04 02:55:42.621734	221		0
20897	10zizp9ueihcn5qcht4rtdlewy	$2a$07$hPHCA6UXm6rkLOgMNkPAS.6BAcsr4JfHFuh7L6MZvu1RliZBZXbGy	65	2013-08-04 02:55:12.247503	2013-08-04 02:55:42.771455	221		0
20898	108acvsrfj5g0glw6ghaqj6u1t	$2a$07$Gl0CPGh0m8gvI5rQLk4M..vAGRO.7O9YwbitHbkDjDKdkufuPC7ue	66	2013-08-04 02:55:12.284268	2013-08-04 02:55:43.7733	221		0
20899	10jx8dngeoijdbvyuda4xomdv6	$2a$07$ucfk38op/atmqx2tdklfMOABpOYEdOMaR13Vb0vM4wgWpodAmMTB6	67	2013-08-04 02:55:12.30643	2013-08-04 02:55:43.89777	221		0
20900	10uzwjq09vmys37zkebfvsf5fd	$2a$07$8DZQ3.egg7U8eCDl2/UIFOz0dXOUwuL2cyssYknQcb1AFQ69P2PwG	68	2013-08-04 02:55:12.328024	2013-08-04 02:55:44.01082	221		0
20901	10dg1b5girj7535jozm5t1m6xs	$2a$07$L3IoTiH454JFoos63FgqF.sQw0kNwJ8HgUQty7.ulWurt8RtTOJ5q	69	2013-08-04 02:55:12.350593	2013-08-04 02:55:44.138958	221		0
20902	108wyrtatcqh68ttafg8kzoeob	$2a$07$yJznM.dqkbUn40zkEGZQU.irOv3upY5Uq4BOb3q3mZUAYobzWU0ZO	70	2013-08-04 02:55:12.372165	2013-08-04 02:55:44.288252	221		0
20903	101t6u1aqs1hrmfoh8pgba15mu	$2a$07$zj1aWOqh8FtbbxiNkNy/0.zLUc/cCNx24/SkN7G3WFtGwd4SAv.MK	71	2013-08-04 02:55:12.393942	2013-08-04 02:55:44.417394	221		0
20904	10dbb6qgn1lpko8s2wd6ftpk9w	$2a$07$8r4j3onUj/63ZtHsaY5zMepJ7MFuA/cMv4TQeniYQSyF7PJxTfKpe	72	2013-08-04 02:55:12.41589	2013-08-04 02:55:44.665709	221		0
20905	105466plj59mr7ygqmr3yg4xxj	$2a$07$oM57CpGcSABL91qy0mRgTOrg.RA2JuudHCAEVO1p8.yI3Sfl6/HEm	73	2013-08-04 02:55:12.438599	2013-08-04 02:55:44.802765	221		0
20906	103mwx3p1jb9vcq73kdjohswsz	$2a$07$VWGIRT2.WTpFqSDz.pu5COxFeam9oanoWlYFV6ThpUFfT3fRRQ.wK	74	2013-08-04 02:55:12.460171	2013-08-04 02:55:44.926119	221		0
20907	10bxcc6ha631pdysqa6cofw2c6	$2a$07$KziXfuaEzjpsnJkZWkmRSeA/TKkniEeGDPgwqAx0VC5pKh54fo0Zm	75	2013-08-04 02:55:12.481667	2013-08-04 02:55:45.08432	221		0
20908	10d65fwtvrolmcgac263ia4ckk	$2a$07$Ion3dsjvDKU.JMCKay84DuZcDhB6EFRAdAIVWL7MSXwQOhIFQ/3Gu	76	2013-08-04 02:55:12.50315	2013-08-04 02:55:45.218286	221		0
20909	10k71kltypg64rei2rokxwzgjy	$2a$07$mv7t401qBRnTtLJqHkuBbe6G/ZLxgk0ATbRgBkXwYbuA6jmABeYYe	77	2013-08-04 02:55:12.524516	2013-08-04 02:55:45.35484	221		0
20910	10dm5xak249gszpn4xppuzozml	$2a$07$VuUT.TPfahjO45f2v355huYJKU3i7mJy.76R.BlarzLLqb.da8ibS	78	2013-08-04 02:55:12.547813	2013-08-04 02:55:47.559791	221		0
20911	103vrzdrivo4ulrji06ue2e6h3	$2a$07$Ns2Vrh2iuQRXm.Y7DODsoucWA2Qk4Qxld5BUquaIQJfkmKgXthYGG	79	2013-08-04 02:55:12.571994	2013-08-04 02:55:47.703091	221		0
20912	10gbohuvua6puj79gg2cmx6bo3	$2a$07$xKhdrcqU4gufkSwr5pjP0.ECLvRZjZpWcjYUOKsAYo95qwfcgAVH.	80	2013-08-04 02:55:12.593953	2013-08-04 02:55:47.839135	221		0
20913	10lh9vtp0r5a88kcx8421a9h0u	$2a$07$5ZQjWB3FLzz/kXmwF2ug7eRR0VR21hYRzIn/ggNhDe3ihkHJrlGi2	81	2013-08-04 02:55:12.615712	2013-08-04 02:55:47.981053	221		0
20914	10sjrmduutkj0lez8c9w2c3950	$2a$07$/P8aUMREoc9RKiu.1IxNK..82NDgkMOpwA5XFl9ghK67Xj5eYLzD.	82	2013-08-04 02:55:12.637585	2013-08-04 02:55:48.112625	221		0
20915	10z97xob3thymq70l41jzpr7xw	$2a$07$dTr4HYkcOZVfDlWTqRuPV.U5kflwMELWW5AlMd5/y8QjW2BgzaXSa	83	2013-08-04 02:55:12.659275	2013-08-04 02:55:48.256087	221		0
20916	10u8nfh2nn5j4hxr6zr0qioudz	$2a$07$WGOG.tmz8nUmIpYiAhGpCumu0qfbzuqiormpBc1ftBM4/mHgEWm9K	84	2013-08-04 02:55:12.680716	2013-08-04 02:55:51.214252	221		0
20917	104ft1zqgoo8jt8qkxqb3zqvfu	$2a$07$oCeekwQVjbhw4Teu2ClxselkrJojERY.GXr8Obuel2wUtCNN1mhlq	85	2013-08-04 02:55:12.70222	2013-08-04 02:55:51.353073	221		0
20918	10oebui2pah2dpxc4xpulz27x5	$2a$07$AUygSGV353FziGc3uBPKWuvAySchhdK32GaXzdreDGpUVr7uZC4ny	86	2013-08-04 02:55:12.723801	2013-08-04 02:55:51.489666	221		0
20919	10wibw6vb7il3moadnej5qqk0j	$2a$07$vZ7xpugUgTGjXVXlaVVI6./Xe9l07BBgXiDWOsQ2DVTfodm73z2q.	87	2013-08-04 02:55:12.745104	2013-08-04 02:55:51.640986	221		0
20920	10naiyce7qcbvutkomfloo2iow	$2a$07$9ky9i6xdcYvxgU0uuKXjauWpRHcTUpRBWzvSh2UF8/D9KZ4RxF1Pa	88	2013-08-04 02:55:12.767641	2013-08-04 02:55:51.786199	221		0
20921	10tbvaq4fd99flz3hxm06s5uud	$2a$07$U7pUjeE8zIkXgaI98DQaNOrx/eN6EkDFj.ycY6ZKuM.1vRdBFKQlC	89	2013-08-04 02:55:12.790675	2013-08-04 02:55:57.806945	221		0
20922	10zym6mgcuyuofqebmf9k4zwsw	$2a$07$TLNSYRdFU9Xak4a18CsC5ODXTSbp4ZC.uW4CfvovOzzg6TjlisJQW	90	2013-08-04 02:55:12.814914	2013-08-04 02:55:58.856232	221		0
20923	10re4kyj47tejb1irv3sugcfsb	$2a$07$0TooMTYn0ZwFT4iFuDT90ub.Uh1xDvh5fUAnB3RpTwH7wwoCVYTR.	91	2013-08-04 02:55:12.842251	2013-08-04 02:55:58.99394	221		0
20924	10tlw1s9xtjluvqmfvxa1oa7nw	$2a$07$/aFxl32szELDNtf0zKPXteiwxMCT65G0kEjZk0q1UnDTIFTS74.bi	92	2013-08-04 02:55:12.871273	2013-08-04 02:55:59.13222	221		0
20925	10pcgmpuh31kwk0ghvh5phtjnj	$2a$07$0WK.vIPwzp8qin/QYtQofOUHv0ddCJwdJN7KWxM7gSxtBVjvN3SO2	93	2013-08-04 02:55:12.893765	2013-08-04 02:55:59.252101	221		0
20926	1082kj8oe0061ilsz395ij7rkk	$2a$07$t/S/mCys5V4a7MJW1aBJe.1fWFahexYasKBuM0sT4l/ppGvjTma2y	94	2013-08-04 02:55:12.915244	2013-08-04 02:55:59.382528	221		0
20927	10l7ghszhs8mk0agk06vydrhgs	$2a$07$UFErlbRZTv1ubWmimKcIPeIodKvr8E8.e25KF71ixVIhnCgZVV/2G	95	2013-08-04 02:55:12.938345	2013-08-04 02:55:59.511274	221		0
20928	10156fhvs07owpym55r8qherpx	$2a$07$zsAn2d3xyS/gIwiBxrRT.OfsVLsSBqQ32oG.Y3Ns0SdVOaQ.VllHe	96	2013-08-04 02:55:12.962708	2013-08-04 02:55:59.644307	221		0
20929	10lopv9catvzn397uzflqhbivl	$2a$07$LgM45WAjTriQ70o.umW/DuCkmYZDV89IoRjIhWdXIsrpS2DJKpyY2	97	2013-08-04 02:55:12.987018	2013-08-04 02:55:59.769981	221		0
20930	10wq5nk3qyy6833grcg50q125c	$2a$07$CGJOhQtWaIOFjPRZ1TJadeYALwXKIRP6fBH0S8/hIUiSt7HuWUiMW	98	2013-08-04 02:55:13.011142	2013-08-04 02:55:59.881533	221		0
20931	10ha5v0yt2vxlaln98nh2kdj7f	$2a$07$0gcDLz4Zo4atXzrRg53Mp.Q4bprGRunDD70Swps0cD1SNGMxXINJq	99	2013-08-04 02:55:13.040513	2013-08-04 02:56:00.024019	221		0
20932	100pzy8oktzbtzlsy7fgk4u705	$2a$07$SU102nL/2ja5Xl.ncVoYLeNks0QOJgBek4KwP/o3FF.EtGB96xAPK	100	2013-08-04 02:55:13.067372	2013-08-04 02:56:00.15102	221		0
20933	10sq9jbl3elwo64b2rii7lrjgx	$2a$07$iLriqgQUlf4T5o112sT6gO5P4U0/i9PQRue74YdqlxqTH9pMIQu6q	101	2013-08-04 02:55:13.091685	2013-08-04 02:56:00.288324	221		0
20934	109p0qf5zudfvdgju5i421c4ig	$2a$07$VA1nfw0jtnLWeQbHhvJD7u2JLBOOrAztDi0sJcyYYqpJvND1OiRdW	102	2013-08-04 02:55:13.115038	2013-08-04 02:56:00.489496	221		0
20935	10p7muk2hhkkd8ghtoyfsducg3	$2a$07$hUq4sBoiIXbuzDuONcVa9OrX/fm51OL8.bApMP2Z3YZPlh/c4Pc/q	103	2013-08-04 02:55:13.137498	2013-08-04 02:56:00.615207	221		0
20936	10xz759siqrzf8fqmmx32bh8lp	$2a$07$g1EkYaHUvGxVYN8eDqXsWuTXtOoVDWWs/wRzYX.b0RVIR22ex.Cr.	104	2013-08-04 02:55:13.160332	2013-08-04 02:56:00.759369	221		0
20937	10vdnvgynaitogxqjhswmvc9aa	$2a$07$V0lxEbeRcO6VKcvLJ7cl.eOwhwR0F0Yatuel4RKFBFrCq8GSO5YnO	105	2013-08-04 02:55:13.18318	2013-08-04 02:56:00.879379	221		0
20938	10rcgzedramx44gt4h7bhuxx0e	$2a$07$nIxbEPAPUP8Ef8xzSe2qfOewV0fXIns8iMP5/vrx.zg5bnYAw8gRq	106	2013-08-04 02:55:13.206011	2013-08-04 02:56:00.995944	221		0
20939	103snwc3kakhx3kesoyavb1s57	$2a$07$JoCQ1l/ZOt40p7Q6E7PNeOq1zPMUOBYM89ZfwoU3hkPWhPZm9D11S	107	2013-08-04 02:55:13.230286	2013-08-04 02:56:01.144609	221		0
20940	109wcm1gv6hfwikudz2ihhft53	$2a$07$q4DVLPyVWiZ0q.kxVsWfL.gWsBFpedOB8chlOTM0MCcmSJr/5vBSK	108	2013-08-04 02:55:13.253516	2013-08-04 02:56:01.294577	221		0
20941	10qy8h6ohnts48ndwm6yr9bhoz	$2a$07$ZKLyAZayG2artq4.HpaCwecCeLiPZ3EhEBFVXUw9xEjA7Su.Z4X5e	109	2013-08-04 02:55:13.276496	2013-08-04 02:56:01.435278	221		0
20942	10ywg0rf96kqsjxzvbevonrino	$2a$07$3Z1wkLUC6g8iwqvci0XRO.97B2iocutTJo97HhZIb3GSVV89zi7zO	110	2013-08-04 02:55:13.299523	2013-08-04 02:56:01.577739	221		0
20943	100xclh6qz0vqou3tj3gd0st4r	$2a$07$V9N5GCyBzwCvO8n3nKbwReZdgySTbeIEnUFLUmPx3SUAplDz2iR8i	111	2013-08-04 02:55:13.323301	2013-08-04 02:56:01.710489	221		0
20944	107cy0me5w5g94sagvan9ye9on	$2a$07$vUVIHMvf32kXFFheyv5ALu0Jz8Aw6uNvV5M2Q.XXvY02kgF3W0RfC	112	2013-08-04 02:55:13.345994	2013-08-04 02:56:01.843724	221		0
20945	106ab8z1w74wunulm0bsokw641	$2a$07$OECVChX1lQHEWabseEPS2eCGC3GVZ7MTZxpIFZb5QgtGr2BjXSQOC	113	2013-08-04 02:55:13.369527	2013-08-04 02:56:02.773971	221		0
20946	10ydd9h5io82pz4c3p4p9cpmio	$2a$07$fLam91.3AxCwVBcJI5hdGeQu2h0Hjz2.R794ppwmo6zOxfZz6uDa.	114	2013-08-04 02:55:13.391994	2013-08-04 02:56:03.69635	221		0
20947	105t17jn8xn36wflx83zwlw4ad	$2a$07$DLZ4FKENvefkPuvP1kQzj.5kCr.UE1aoZGF7roiufpIgxpv78tofq	115	2013-08-04 02:55:13.415805	2013-08-04 02:56:03.823238	221		0
20948	10bvfj0s4ql5t88sta1082rl6y	$2a$07$a0SFaqawHxt.E1KcCNnBYeALSpIiWBr3c8x2UmXEzznUojOigJHn.	116	2013-08-04 02:55:13.438463	2013-08-04 02:56:03.972545	221		0
20949	10ha853niyrqgatc6i5fzophrg	$2a$07$7/PkbQ7cjent5bd3POaMMeX3uOlz5y8FfFEFBlrBgEgUDEuiXC1X.	117	2013-08-04 02:55:13.462843	2013-08-04 02:56:04.094251	221		0
20950	10pt78j4jeq1xb20som63uhotp	$2a$07$BCAxh1puOI3JUydMBMoVp.DwRXG/yPhOFWZzYYRZF1mUea3Nl8u66	118	2013-08-04 02:55:13.48691	2013-08-04 02:56:04.230018	221		0
20951	10kfyzgrgrwwdjazl319c9tx04	$2a$07$2Bsg2VPp8WzNtCGmRpqroerGSfnJ3VPcEDi99bdKa402RL29JbXJK	119	2013-08-04 02:55:13.510241	2013-08-04 02:56:04.343741	221		0
20952	104ey138bgjo6untjxsj53taa4	$2a$07$urf1PdtnZ4GdSPfpr/twcu1zg4VKTZ4hKxjB7vVXYztcxLcdBLhl2	120	2013-08-04 02:55:13.53344	2013-08-04 02:56:04.476412	221		0
20953	10rxbi6nuptxxyhy3dhoztgpsl	$2a$07$xVWkeZgKPKKdToiT37M0SO4bKGIoytwtx66JSDsD0.GfA3ILxl.9O	121	2013-08-04 02:55:13.557186	2013-08-04 02:56:04.617454	221		0
20954	10zqmmzkyivmxks1nfxixcpw4h	$2a$07$7fkRF8ZWxfrbwiU5AeGSTeXZy3vBREexrwRVaZ79smpKAIqTEDbxu	122	2013-08-04 02:55:13.581721	2013-08-04 02:56:04.755689	221		0
20955	10bfa8vv9t3qz6wzj6bgghw4q1	$2a$07$V.F6RLIGJXpyBcj6jvyOM.5B8NyVlIyG95O9rosI5wPDfYnScxmsm	123	2013-08-04 02:55:13.606262	2013-08-04 02:56:07.583654	221		0
20956	10tl4wghghqvbabu7picxns9u9	$2a$07$eAVSoXM2dcaK5mOj4/RXyu5ThkDqcIxzWshMlKOQasl7KITVp/cvu	124	2013-08-04 02:55:13.639576	2013-08-04 02:56:10.713301	221		0
20957	10u6ymfw7bfrcewa2xiwbyigf4	$2a$07$iW/odrlYNdB6k1L8DmRcSurCfTbA6Okkr5BRv6hlwC9or.EOliiwG	125	2013-08-04 02:55:13.663637	2013-08-04 02:56:10.842545	221		0
20958	10qusoz7tzdlit7f3mw1u9ef5x	$2a$07$8QvuIB0KOlr6b6qAw3aPz.IM/nHy4njFMpMAQb7fxGbVRpXx06gke	126	2013-08-04 02:55:13.686108	2013-08-04 02:56:10.972576	221		0
15541	10ll35iei94h2gh0bxm75kwpk0	$2a$07$4g4GqB8//7kcos7NEg.oseUXx928YIEUpp7eiz1CxG71XZA9N6s4e	1	2013-08-03 23:23:35.087013	2013-08-03 23:23:38.352031	179		0
15542	100utomhnb9b8i3w86v3riyfdj	$2a$07$GkzKG2CH6cGkr5STDkDoxOvrnfU/1GwlGjMM0kvEP7a/syoBqjlom	2	2013-08-03 23:23:35.112412	2013-08-03 23:23:38.494443	179		0
15543	10xfc2wciti2ibyt832boa55af	$2a$07$QF/YwDXLf9IxtbKdkPMlEuei/2Glvx7lz6Z3.nzU7W7d3eXKxVPEG	3	2013-08-03 23:23:35.138399	2013-08-03 23:23:38.692085	179		0
15544	10yflabys8zcr5tl66rmswlii3	$2a$07$PooJsahrE16IVz5QPDF6w.PRHOo5sAP69qqg4ncpDySr/uS6nsk.C	4	2013-08-03 23:23:35.161214	2013-08-03 23:23:38.851332	179		0
15545	10w3rjrftst8k5kzkah5hrwx4u	$2a$07$/DiDeCFpUKR.ahHdYN7sMuZAN/n6bHhJBLZNpsO4B6LdusYmITo02	5	2013-08-03 23:23:35.184365	2013-08-03 23:23:38.961465	179		0
15546	10742op2vz5jnjogwvco174slu	$2a$07$96l4e46tu2ZYBnu/5.KKVu72CKwQODJOQRfK4PIe9c0IQ2SbCjS.G	6	2013-08-03 23:23:35.207177	2013-08-03 23:23:39.076614	179		0
15547	10u1x6dtzm9kn3wctbqqd1pye0	$2a$07$3u6XE1cLLoifOiJyrDgBwuooOIW7mMR.ak98EmQienjTe3jnRhqwu	7	2013-08-03 23:23:35.229637	2013-08-03 23:23:40.244701	179		0
15548	10ssitbe6ksieegmdcm80eqr7a	$2a$07$hvEiTaTMOT8whEDpaa7RNe/oBtyH4DGR/QuWLg/lo3R26X4N5a3AK	8	2013-08-03 23:23:35.252763	2013-08-03 23:23:41.651952	179		0
15549	10n2i6xdizknjo79u9a1pdql8h	$2a$07$ikROPvp6G4TyS10gsmLPGOkroT/AeOQIybkxdQqC2yWKS5IEU7jBe	9	2013-08-03 23:23:35.274843	2013-08-03 23:23:42.776169	179		0
15550	10atpacn89m7fsbmnw1j9x5mc6	$2a$07$ZpwJuDtILa9ROblICZqU5.8ck3rNVJzsIw/F/MONPZewEhK260ZdK	10	2013-08-03 23:23:35.297863	2013-08-03 23:23:42.883701	179		0
15551	103rkczxx55tm552v0vupoa9zg	$2a$07$TocnHLR2EVJvktEyEjGwFObweMNNj.8kRD3rlCuVIIuX842EQuswG	11	2013-08-03 23:23:35.319912	2013-08-03 23:23:43.006504	179		0
15552	10pg4z2bmcyqxzzlxqow4xvtjm	$2a$07$cFDdeyjwwsL1CHd0f02G7ON/W3NNMj4VpLCDf/13/nzoLeVYhZ2w2	12	2013-08-03 23:23:35.343	2013-08-03 23:23:43.107601	179		0
15553	10pnnidvodr2uj2dsugooueyjh	$2a$07$I1AbRnF73aOoSCV3kJOY7.v3o2d99TxroND2pBoDrtDNYFYYJO1xK	13	2013-08-03 23:23:35.365175	2013-08-03 23:23:43.439045	179		0
15554	10z0ju8dyj4cokb6s3bnnz1fg0	$2a$07$uo1/EkO5M5jS9EaNWyqVMOZ3JmBTg05de.fwXAzZ1njo/HcZ2.Scm	14	2013-08-03 23:23:35.388098	2013-08-03 23:23:43.5798	179		0
15555	10fbaym67j882uisw8ng8qsi9s	$2a$07$RD/VKsvdiY6fXgfUc7aP/OmKoMfi5FVe.KiA47JizCEYN6Vbnf1eq	15	2013-08-03 23:23:35.419866	2013-08-03 23:23:43.702117	179		0
15556	10ifiqdf30cgdt2jm0t6orea3h	$2a$07$M.GIoUjj74nzSWqeF5dCx./Tm1UjaMPYvsvQi8ntO2Vb2M92HbmXW	16	2013-08-03 23:23:35.443281	2013-08-03 23:23:43.840362	179		0
15557	10asvi1kjj25uje0n4aon9s5l6	$2a$07$.FyU99i3Go/NgNm4m8.hiutFFGtO2xbSkcDzSrsWG2jd8H4eyTUm6	17	2013-08-03 23:23:35.465304	2013-08-03 23:23:43.986301	179		0
15558	108ulnxwpcejs7f8xnphn9ikq6	$2a$07$wPBSbOJl/97ruBgS.KuuL.6ntCrwerBBhiytQkKL7lb.uNBO71kNW	18	2013-08-03 23:23:35.489059	2013-08-03 23:23:44.162023	179		0
15559	10vscsau87kh03kbm7hir72i5x	$2a$07$InhhoVe0qVgvAMYWiewP3uctJrg0k/EBSrMqoYManYQy1aN.zU0p6	19	2013-08-03 23:23:35.511162	2013-08-03 23:23:44.3201	179		0
15560	100d685gqrcevj6re7x3bmjgk7	$2a$07$9bTwwAKRyu.nMAamu2cXLe41EWzzMAmtTgqPj3Xh.esajLkH5wNcm	20	2013-08-03 23:23:35.534719	2013-08-03 23:23:44.453925	179		0
15561	10ojzwv9j7a6bqdjfl528aosh1	$2a$07$2jwSGbQ3O3atOyrQf85qOO74GIsLGv//8k8Xw27RTRYVONfRogxLu	21	2013-08-03 23:23:35.557594	2013-08-03 23:23:44.570159	179		0
15562	103fiflh1k3o1m615iwvguw8gl	$2a$07$mjX5OXPWFnVDdDcbXXL7huCuQl.GJmN6ZBG0zbDL2Ukq33qe2V.ee	22	2013-08-03 23:23:35.580999	2013-08-03 23:23:44.712664	179		0
15563	10c2gdsix9pq1b99u5rubpjk8d	$2a$07$UUUdzPzhtmDO8.TiN2.Q5exQLqdRQU0bhCy23ydfIHNMpV2o9qPtq	23	2013-08-03 23:23:35.609784	2013-08-03 23:23:44.877912	179		0
15564	10c1rcezmwa9rzgaxtlsj5127u	$2a$07$z06ogF2oabKjIVLg2dvbmOPovmIGGJid625F1HLdUfn3TA9DM6M0m	24	2013-08-03 23:23:35.633707	2013-08-03 23:23:45.027284	179		0
15565	10yu8pmcbk4404qytis0nrgcs4	$2a$07$UG3bjkdTj3j1tOootusW.ea9o62fx5/ljhtS6eJ134sJv7RilCrKa	25	2013-08-03 23:23:35.655761	2013-08-03 23:23:45.380221	179		0
15566	102u9wvncr8mh2t64rwgcehj9u	$2a$07$5pR.v/VBzkK0PdI4nQX.YOJ2aQ11ZNVLGrmISkD9/9ZMz.R7hRbvC	26	2013-08-03 23:23:35.67856	2013-08-03 23:23:45.490266	179		0
15567	105z1e9o1kvuz9k5u4p233zkg4	$2a$07$7mR82ct7nkiS7/DnlYjMKeNben9tsqJD.tJwpQOOkd0/oG3I6SHPS	27	2013-08-03 23:23:35.701307	2013-08-03 23:23:45.634289	179		0
15568	10la6z0bzln0c7vrd07u55e38k	$2a$07$/MrP.CBF8M0ag38bQUO1BOiqctvRNCF7sBkhmSXvCGldvKY50y2Bm	28	2013-08-03 23:23:35.724512	2013-08-03 23:23:46.025018	179		0
15569	10z1h5xorpfb2g9l76mpmvdqr5	$2a$07$rrfsPtOCdaTleX8lb35z0uciFHUjMxVx5HA7WRN.mKxOo1UL6fTrG	29	2013-08-03 23:23:35.747214	2013-08-03 23:23:46.634053	179		0
15570	10s9zrj7lhy89q6cw9y1v9q1m1	$2a$07$myZR0D2StciCuz0yXDDQUuF0Ya78meaDHcEC9HHxKDjz.MUOLgFTG	30	2013-08-03 23:23:35.769937	2013-08-03 23:23:47.014048	179		0
15571	104mrwsx53r2uozptay3f0kxko	$2a$07$LLSIQ0OD.VAzTpx4Za80d.yHgtISGiMhFcZp7NlZZfAYKbqcwZVsK	31	2013-08-03 23:23:35.793303	2013-08-03 23:23:47.137921	179		0
15572	109sywrl09r1ty259tc73o42d7	$2a$07$SFSYFpQb/yGgvOmTITmBX.TwU/x5Yeb0bgdlvR9BZgXjWnFjEtu/u	32	2013-08-03 23:23:35.815918	2013-08-03 23:23:47.271308	179		0
15573	103f2ygqfnkgyscd0jvukznsyx	$2a$07$KCzYeZVFOgos0XE2TROBp.rKYb6FoxS2p1ONydRZDQ5aInjsbg1wq	33	2013-08-03 23:23:35.839295	2013-08-03 23:23:47.385766	179		0
15574	105q4htee24oobtg7h53ewhziz	$2a$07$G7tNDTywMWH416upkueqye8klwKRuD7YcqtmS9VT0./oG5.qDTXs2	34	2013-08-03 23:23:35.861526	2013-08-03 23:23:47.525774	179		0
15575	10fog2t1cp4ocdq3coe16xxfk2	$2a$07$iG7z/YEHcGL/E4D2ANjFguFRVnj03S/3TNv5RU7ZTyTLbSpVoyh4O	35	2013-08-03 23:23:35.885007	2013-08-03 23:23:47.658729	179		0
15576	109v2xsnk5p74o4hccpj0hb0vr	$2a$07$HNuK98IUejoLdQUcue6wSOZE79a.NEJ3L63uAWmYq1Gnd2Ef1zrZW	36	2013-08-03 23:23:35.906895	2013-08-03 23:23:47.77245	179		0
15577	10nr2q6ih1q5or2iohbk7owh3h	$2a$07$iFp6xm3ziCQ3XNg5eO9uRuNBWhqtBRi4boxL8Qzb9Ah6ImWgrSdSC	37	2013-08-03 23:23:35.929822	2013-08-03 23:23:47.911715	179		0
15578	10e1hh0wif9kcfigzdd9bxhelz	$2a$07$euK0Cn3b8HR4BNKvR4/1Ieh1whAbA0MnAJkAmBcu04ZXqgOgNzLZ.	38	2013-08-03 23:23:35.952306	2013-08-03 23:23:48.047272	179		0
15579	10ee6mr0acfgimjyb9k9l747pp	$2a$07$fPOyIylpIbOOvgJx5oDDQOBVDlVoksaAPwlkdxdkLspDGMdIUYZcu	39	2013-08-03 23:23:35.975557	2013-08-03 23:23:48.203209	179		0
15580	103p0ir3ognlw3yk8dlrjsulpb	$2a$07$IkAW08HnGb53jwpK0/tYi.r9Z.CggsiIvabJy2xgb/V.gOLSoR8B6	40	2013-08-03 23:23:35.99986	2013-08-03 23:23:48.345674	179		0
15581	10emh1x6o20cvh1c203tr7yo91	$2a$07$RyT0zSeEUyvvc8/OtoZWh.gFWiNCoWnQ3b5Is/KXCg/1Gk8fC.xGm	41	2013-08-03 23:23:36.023401	2013-08-03 23:23:48.460408	179		0
15582	1053eh41uli0h482gw1lu3a94j	$2a$07$Rht.wRtCctU0joN3O0TnOeniVrebUN0n71YtXkvVTraFmZI9hzQgC	42	2013-08-03 23:23:36.048191	2013-08-03 23:23:48.563433	179		0
15583	10mn8szkew705o5ypcc8ed3c10	$2a$07$/e39vy7kEeCu3211rIumB.JYCv6ozLgB9k9FgEvgqgtiNbON83Ze2	43	2013-08-03 23:23:36.072162	2013-08-03 23:23:51.393546	179		0
15584	10763a11lqqrv3ssa3h4qrm5h4	$2a$07$tN796WO8pLSJ5FUkhlo7j.COWFqk5Sv16dxEr97oxLbDlTK1Ldaw6	44	2013-08-03 23:23:36.094983	2013-08-03 23:23:54.179393	179		0
15585	10ylii04w2kqzk0vz4iofavydo	$2a$07$prFflUp7VDqBK9wcs5bHoebsIuezvWikPYxanqoGIt8i6JAhIPkTu	45	2013-08-03 23:23:36.119356	2013-08-03 23:23:57.627085	179		0
15586	100zp6upc2lb54ivbi0d611gem	$2a$07$ndoHAHzLc9Chab.j3KSgi.FLJ39.JgGdNkbgZjiy4DzUAasyh4vcO	46	2013-08-03 23:23:36.144783	2013-08-03 23:23:57.745728	179		0
15587	10a4rlxjgsewbc8c4xux7px4sn	$2a$07$zv8eyoxb.ZLFyTXx/wMolew26M/ul1B2bH/AThPwogShmXJWyQxYm	47	2013-08-03 23:23:36.169558	2013-08-03 23:23:57.863	179		0
15588	108hxs5qb69c6tjzcutl5wm1z8	$2a$07$PpYx5NIof56K4wrSd/KNdeO7WAO6aJynVs2ZtCqUoqR6Hzt5pTNr2	48	2013-08-03 23:23:36.204025	2013-08-03 23:23:57.993319	179		0
15589	109efgwzm9v3x5s2v500vcqdcx	$2a$07$Vf2ok4m6lO1y.szvmxYPB.GugOYt2lA/1F4NcX/reh0YNw8DKO0kO	49	2013-08-03 23:23:36.239841	2013-08-03 23:23:58.105247	179		0
15590	10las0768ko09i2aiobwzzopqm	$2a$07$JQqKkKEA8jXQyTx3CUf2wuaff9QtYmMR.HZZU9b7nMyBFbDP6l/eS	50	2013-08-03 23:23:36.272139	2013-08-03 23:23:58.252617	179		0
15591	10japgxcq5nc2dpd9tu1wggdpi	$2a$07$EUmYxTcGbrvYf810.5JfiuZfARBrVsqQuIIh9GT27a1ZLzAtqAFA.	51	2013-08-03 23:23:36.296797	2013-08-03 23:23:58.385557	179		0
15592	10qi766wpfm6yh5enkh6hl0g47	$2a$07$j1Eg9lNXW9TsdzGC802uleL/o.jPgkXm1ea9tZtmEzC9bRA9c4rdO	52	2013-08-03 23:23:36.331421	2013-08-03 23:23:58.853999	179		0
15593	1049d13l0a94ar98coymj7etjw	$2a$07$U.OhbykKUxxbGsbJskyu4uTtH/2esxkCOZiNEsMXY7d41uwPD.siS	53	2013-08-03 23:23:36.357784	2013-08-03 23:23:59.270984	179		0
15594	10uzwhhv0lfvg337xjgaulzqxz	$2a$07$GWhvREiAXO1P.jLJJ15yZ.JJSpSwBYWQRiAapH4c9Ssey/XsoQPKS	54	2013-08-03 23:23:36.391845	2013-08-03 23:23:59.707534	179		0
15595	10notpe05xs4f3jexmr9gl475h	$2a$07$Yhu/pHmyMZGxOWYMYf1PZ.Z33DtMN5.2w.HDQQv.gJVT5GlFw06Fa	55	2013-08-03 23:23:36.415735	2013-08-03 23:23:59.84946	179		0
15596	10zyjoy749txj4e5pctdawny9c	$2a$07$bAlvKqYxAKknUGoVgJmQj.3/3EwthGf2M/LdBiGlHXMHcyG.aL4om	56	2013-08-03 23:23:36.43991	2013-08-03 23:23:59.999244	179		0
15597	10rx4zho7i2027iycy2htt1sza	$2a$07$2YR9oUGKLPrufZJEzRxvpeS3Qeq6HZ5.iKetEso18cPj6N6wst8Se	57	2013-08-03 23:23:36.462618	2013-08-03 23:24:00.13913	179		0
15598	101nt08sl1dikjvjrmmaggu6mq	$2a$07$akSjgV7zW/Xzec21FryLCeYazdmBj1mZ9vWebCOEeEoc1iUjFCK5i	58	2013-08-03 23:23:36.485865	2013-08-03 23:24:00.275982	179		0
15599	10pwcuy9wwu0evi2q8dj74in6p	$2a$07$j2C78yC/JXi6B9yWziwrMONFrpzAORAxaIhkyD.6k4DErhhpVFcKi	59	2013-08-03 23:23:36.508294	2013-08-03 23:24:00.473047	179		0
15600	10kaju39d4d8sxc2b37yqojqbx	$2a$07$a5TzJGL6VKtvtxGVbCxK9OU9EFXQXVSHqNo1v4QPqz9gWdNVbrgaq	60	2013-08-03 23:23:36.531633	2013-08-03 23:24:00.678221	179		0
15601	10esg96yir3q2znvm5qbtlkmnb	$2a$07$xB6QP9Qq0tUPP.CrB91iguIsQ7t0zolTovNJ3JxcXNWYLNVodYJFO	61	2013-08-03 23:23:36.559083	2013-08-03 23:24:03.674219	179		0
15602	10r3aekmitsqgdlo6tqrl4f9wa	$2a$07$JbBmns5pO8/v474ByFefqOd3Bxdj0DKj2onP2QTQ6iaue5mQBTOw.	62	2013-08-03 23:23:36.587959	2013-08-03 23:24:06.652811	179		0
15603	109jwmx3eh877b3cb31kslo6nz	$2a$07$tDMoNf7D9tlPiV7zGy9dVODPAZkFmqo/8yR2iFHJSV267GBxvPLp2	63	2013-08-03 23:23:36.610064	2013-08-03 23:24:09.549178	179		0
15604	10or6f9bgrxp834molcctxml91	$2a$07$zuy6G1v3wr9pT6mgThEpCekudqROts3iT/0uwws0CqL2eiJXRGG4G	64	2013-08-03 23:23:36.633753	2013-08-03 23:24:09.856997	179		0
15605	104mh96vyt63x74apddonlngat	$2a$07$avMcvfWDclKWHiu3ukLFFOsrgJrRQ.toli6g0DeYeIcXPg1Wnc.DG	65	2013-08-03 23:23:36.656517	2013-08-03 23:24:09.996464	179		0
15606	10rijakchi75othu8vt61hrclb	$2a$07$.PXaVE/FuiSuJfrT8u6WtupStk8ReH45zl5vFFJO2qTzOyuA195ay	66	2013-08-03 23:23:36.681427	2013-08-03 23:24:11.241118	179		0
15607	10gkatc0ug4mudwvc525izryk2	$2a$07$O4G/2Bf.HgWfmF59li3bneQE26SvVSAvbRuTzN98MNV/cLvniqJNq	67	2013-08-03 23:23:36.715208	2013-08-03 23:24:11.360296	179		0
15608	1019ut65vpnxmq27au1p4zroly	$2a$07$I5cSy8hoSIs1I74/lmsCcuciZ5fcBr9gPkfH54YdUm44eCNWLC9iW	68	2013-08-03 23:23:36.740425	2013-08-03 23:24:11.596661	179		0
15609	10k3o9qphbj1oiq0aug9c5vw19	$2a$07$JhC843OwLTdzHjmKM0dRKO2kXrkSIjIZkGULIJi4yrBf9GjBX1enu	69	2013-08-03 23:23:36.763633	2013-08-03 23:24:11.748051	179		0
15610	10iwsnbjg9wqqo7k1m8f29c2ss	$2a$07$jtUjDHlG1krC8d/I4oYatO3042bAhrdOrrUJzINENfFQhJBg8mtA2	70	2013-08-03 23:23:36.786982	2013-08-03 23:24:11.909063	179		0
15611	10oqius9hh0kuebiwph79jw5ky	$2a$07$3f2Y4CbgW7w0RoQusQHraO33IsMlcExnaQOA6jSIjCCPlMKrRU.Kq	71	2013-08-03 23:23:36.810263	2013-08-03 23:24:12.046281	179		0
15612	1017eb5puogjgvb6au3nuy66bq	$2a$07$TNL6iAGlT2RmxnODrn4AmuLVWDAbfQJ0I3mVGws38.xu0hHhX.bV.	72	2013-08-03 23:23:36.839719	2013-08-03 23:24:12.227186	179		0
15613	10mptxyzc7cja20j6xf5okbrd9	$2a$07$Sf/gDPIiRLB/qtagZXoqzeoriVSuqY008F9EOIC7WnBrHatYoybd2	73	2013-08-03 23:23:36.86307	2013-08-03 23:24:12.708067	179		0
15614	10ywtrr72ng4juj1l3ep6cp31f	$2a$07$KOB7mGKbY8sY/zM74HFoqeSIaOD/jMiFV0QLXmk6wfKlTx55fBYum	74	2013-08-03 23:23:36.88716	2013-08-03 23:24:12.838106	179		0
15615	10b49t1qvylsoz45brefxi1nth	$2a$07$6Ytn4/cNcSMYgmSKtW2lR.5Kwf9T25GVRobgyfMl.YeftM2xubuBO	75	2013-08-03 23:23:36.913969	2013-08-03 23:24:12.980738	179		0
15616	107usnsokng5cb0f4sir5q4xsk	$2a$07$7xtfnr22v47bwR4xUuTDoe5zyGlh1uZ6YfWwAl8IcRttN0fSlZTvu	76	2013-08-03 23:23:36.941355	2013-08-03 23:24:13.112839	179		0
15617	10tz2ba42edqpdblnkjrcoqfa9	$2a$07$j1MhL0Yf1XaTQNxtvQpEAudj54YDfb0vSYCJmBeNbcCx6PBCJr2OG	77	2013-08-03 23:23:36.963528	2013-08-03 23:24:13.337557	179		0
15618	10q3bc7awb4gba91e1o2pdce78	$2a$07$aZpvhytdMH/fG9ZB6YjYJuOkJpHTOWVomDJJDntBIO5YE7aoURS.y	78	2013-08-03 23:23:36.986927	2013-08-03 23:24:16.392653	179		0
15619	10wj0smmudv4ftm6gxgst80gm3	$2a$07$8q.3DF85Lc2xg8sUOZX0x.Cz6ucIb5uFVCcbNVx0E093HdX4X39H.	79	2013-08-03 23:23:37.010152	2013-08-03 23:24:16.587289	179		0
15620	10iv6770hii594w8wwla2dlkju	$2a$07$0svzp2hWS43R1F/fhWHQWOfNouAqrNfrdT.J1.Oo53cd5LO8NFfh6	80	2013-08-03 23:23:37.043636	2013-08-03 23:24:16.729352	179		0
15621	100zd914r7h9a3a1epignwkwqs	$2a$07$mzbYee75RMocitgkMFepi.ujTOqw8mQ6tcFTTbMFfo1CrGh9dfoBO	81	2013-08-03 23:23:37.067072	2013-08-03 23:24:17.197573	179		0
15622	10wjgipos675pmy9m1ldxynijm	$2a$07$D/qw1pmHN5spbkPRY/OsHO1lUIxhRJ0NVbvtfM9YePHBETVzmv6DK	82	2013-08-03 23:23:37.090576	2013-08-03 23:24:17.34459	179		0
15623	106r37ybatquh3o5m97ybxfl4z	$2a$07$nEEX1FhtmxEsRTJFjFkeRu76Vl/4PaLhogfI6hF14jX8GKxAGJDcq	83	2013-08-03 23:23:37.112727	2013-08-03 23:24:17.505999	179		0
15624	10ay5zv8c8e5c5i8z86dvz9a94	$2a$07$Ws2wSiqrAbX8XytCTKYpaO0AjGCt9G/wG1B4gjsxZQsXTGwJVYZSq	84	2013-08-03 23:23:37.136187	2013-08-03 23:24:20.268149	179		0
15625	10s5tc54yq7knnllgdj9sag4db	$2a$07$BLUGQPStpN7QjSinrRGHN.Tu6Z94F1h8DIzqOEZizMrtDWMIx44Gm	85	2013-08-03 23:23:37.160257	2013-08-03 23:24:20.412721	179		0
15626	10656nlub1nfa5xn53cgssgw48	$2a$07$kSkNsZhTJBFoD7M6BESlvuT4JUjNeDJVIrMJ1oKhVa9AvZv4aA07W	86	2013-08-03 23:23:37.185431	2013-08-03 23:24:20.538877	179		0
15627	10o6s5fbwurrztnh06rlby7tpu	$2a$07$.t3luiTL0eoicxkq5z.IjOmdssCr8hsV0S9fItTa0CnEcCctquSdq	87	2013-08-03 23:23:37.208559	2013-08-03 23:24:20.689703	179		0
15628	1043yr3sh835ms5w27b46nhmlo	$2a$07$aod69sfiXmuBjiE.HdqUKeT1JT.hQEDb/LnQPjNDHnO8zuUC13T4m	88	2013-08-03 23:23:37.231349	2013-08-03 23:24:20.820105	179		0
15629	1030iqbn7ae8ej8hdq34k47dzi	$2a$07$69HUSIdxG9u4BJsZTp6vBecmqR5ZGZ35KiiSN9k./MqKOF5aWS0ae	89	2013-08-03 23:23:37.257163	2013-08-03 23:24:22.211528	179		0
15630	10x667a033zncmf587vc1sbpjp	$2a$07$BYIlmOanwiP2idsHJaJKnOzOUnSCgI/l78B3NJqUk1Ed5atZ6CGzW	90	2013-08-03 23:23:37.292465	2013-08-03 23:24:23.317121	179		0
15631	10bt679ui68qs35w7doiil0dwi	$2a$07$BCgs/iFBvmAmXvAK.urcfe7NNqpIuZVlHs/aGpdRVl5p8TunI2GcC	91	2013-08-03 23:23:37.315183	2013-08-03 23:24:23.416824	179		0
15632	106lyfyeky53iptxy04e63ncfd	$2a$07$69Cc.H1/wx7n27ssNIWCo.D9cS1L8TKqk5miQCNDMaKtoxY8g9J1a	92	2013-08-03 23:23:37.338252	2013-08-03 23:24:23.520784	179		0
15633	10z1h1yl4c14ewx9g309lp6n0d	$2a$07$/ngmfO.BjT7xo7TZPMaQF.EZDN3tNhySyYlaB/UK8iyxsASLeLhVe	93	2013-08-03 23:23:37.361992	2013-08-03 23:24:23.629744	179		0
15634	102c0imkdls4vuu76h8dvkauxi	$2a$07$Fje0/SiMQC3nBNXEy7HXj.JDoex2GmMeNb2JKL3VO4HcEmtxciR7y	94	2013-08-03 23:23:37.385861	2013-08-03 23:24:23.744936	179		0
15635	10po9wzd70s9klr47cbk8fuqj0	$2a$07$49ouNUo./o600G5JQEZvZOKqNFjH6AGS9jK4leBCK0zY0DqqMJdva	95	2013-08-03 23:23:37.410102	2013-08-03 23:24:23.86243	179		0
15636	10lwzxff4vbbs87igagw1d9qgz	$2a$07$nSTLOAdQEprMRW8VR3TsAuPaZwwcIzwqOQfpakhlp/xNutuUdgKmC	96	2013-08-03 23:23:37.436692	2013-08-03 23:24:23.984645	179		0
15637	10tne4hsskdw51whl9esc19vuy	$2a$07$4kjUVOUH6AQeRd3w68K1jO1mKI8vchnz/xr0MGiKAILoZBh./3DVy	97	2013-08-03 23:23:37.472085	2013-08-03 23:24:24.09087	179		0
15638	10otem3wmngbv7iesxcba9dnnp	$2a$07$V69NOYv9oZjSFtK2Wj0qY.G5DyOmswwO2ECrP2W5eLrPmYpIHimFq	98	2013-08-03 23:23:37.499674	2013-08-03 23:24:24.238749	179		0
15639	106lk6g7fqjq9745p0r61bm47o	$2a$07$HSb3mIp1lUJml9dj05a5Ae/GpEPsbH/7L.6mu6nI.xG4gHvrKb7Bm	99	2013-08-03 23:23:37.534228	2013-08-03 23:24:24.381385	179		0
15640	10ycp0q8e67vj28603i21ah0qs	$2a$07$5MJLirc3i6eQxZiDY1uuc.imJiQ8PGZltNFxlbKRFNa6jQtWMpAzO	100	2013-08-03 23:23:37.558473	2013-08-03 23:24:24.523376	179		0
15641	10ij5kymxhajmj1sbgjiiorxml	$2a$07$apHGlvIztIIpLeyyfdts8OhaDOSI.xgoZHUG.vmWlAldPxSVWjoWi	101	2013-08-03 23:23:37.592766	2013-08-03 23:24:24.728918	179		0
15642	10ej6ku6e39ultf9md6j7l057l	$2a$07$6kilRuiag.0d6Y8T2vKhxeu6CpA3F2K.7mnyJwWoEg3erJUTmiRpe	102	2013-08-03 23:23:37.620735	2013-08-03 23:24:24.920375	179		0
15643	1013gtb061qt5foxhulnpuv1se	$2a$07$xlXXXasCnOdI2b0fCOdccuR6RDQ16fsP.bYNFicS/ol2r0v2LO8Ja	103	2013-08-03 23:23:37.643782	2013-08-03 23:24:25.323426	179		0
15644	10iszxtm3zz9m0yfaskfbpw1ub	$2a$07$CI1lxmGPeKdQHlFwKDHFW.KozmQrJjecji3tx3qQKXuEme.frGMYS	104	2013-08-03 23:23:37.666296	2013-08-03 23:24:25.664441	179		0
15645	109x23thexuicqe3prduho1f85	$2a$07$DB2AD8hJR8DXrfHBiy2/V.GrqhP0WtP4VmSc2yh8kEZdgw6lAXENC	105	2013-08-03 23:23:37.689756	2013-08-03 23:24:25.787045	179		0
15646	10hocowusett9dlwbfyq39fn6c	$2a$07$5iTHQts/OYkkAHV68H2ByuseGeP89M62zscuXyJAm7BGXk7VWfzqq	106	2013-08-03 23:23:37.712925	2013-08-03 23:24:25.915102	179		0
15647	10lgpthjxnztvfsjz71qiukauk	$2a$07$DBHoHTBt/faEorjCvik9PuRMJgVigEl4uf4a7yw0EldvGOD1oDOzC	107	2013-08-03 23:23:37.735556	2013-08-03 23:24:26.041519	179		0
15648	10cc2rat989ki12ofxlrd6wi41	$2a$07$DwhP.dCBBnNajq0Vq84xDO7odye1GS37KuyWmpstP80/ggoHg8lH6	108	2013-08-03 23:23:37.75834	2013-08-03 23:24:26.156263	179		0
15649	10adanbvg4btochgar1lvebo4o	$2a$07$OUHiE3FD0Vp9TzymJNDZvOB/839zzDeal/abnmVBby2Qs9awgwG8.	109	2013-08-03 23:23:37.781	2013-08-03 23:24:26.282021	179		0
15650	10vap88i06y702vjks6oq3p887	$2a$07$dXkpmMLxlJ6zAeVYH3BW9urCfkzAlrxkLH.t53aMOvFhpMCMRhZDy	110	2013-08-03 23:23:37.810687	2013-08-03 23:24:26.461001	179		0
15651	1085kvmmrb897vov0fjy0krr0h	$2a$07$kvuVKTgjfpQP36LPe7AyVegyAaLcSoB2aL0ba4UA4flvwj.N1vKby	111	2013-08-03 23:23:37.841929	2013-08-03 23:24:26.604279	179		0
15652	10yvl11brfsg7jkahu90ndw1cx	$2a$07$.Nja22Dt8vJXmUZtYJbbY.5Gm1GvR.sU8ugN4Kl.608tJnnwJqGPi	112	2013-08-03 23:23:37.864738	2013-08-03 23:24:26.750893	179		0
15653	10887zs8s00e7e5iuohmfcuctq	$2a$07$0gB8hYug4iu6PwLqeiQnvOsygXAaNWH4rPOSabvLcgQ9VJQiAyBOC	113	2013-08-03 23:23:37.88804	2013-08-03 23:24:29.44814	179		0
15654	10fvxe8p3zhwclmuw8wbobazrh	$2a$07$iMB5kR2aFtgz1KOtF1ImcuV1eXtj3je1E7I4JAddozSX7B5uD3lHK	114	2013-08-03 23:23:37.911019	2013-08-03 23:24:32.264049	179		0
15655	10m1frfynshc9xp3ypcc3xj9tf	$2a$07$NZl1h/asPEgj41yPQoLp9edBDmG6TqripGoq6RKDGkzNYw944wDTm	115	2013-08-03 23:23:37.933543	2013-08-03 23:24:32.384111	179		0
15656	1021s0pre8i9rjkjwtl7lvhrd9	$2a$07$.H7qw/Bhn/VbnIIdg256FOP.VD.xrsqkVVYCW7DviqDVKiywchOmO	116	2013-08-03 23:23:37.957605	2013-08-03 23:24:32.507942	179		0
15657	10loluws42obi2z86lbqxkv6r5	$2a$07$FguesBIBWAdMym/SJBs18eKGlZJzv7sK3EXUaNu/8c.O9QgH0w8TG	117	2013-08-03 23:23:37.980984	2013-08-03 23:24:32.65366	179		0
15658	10pke64exmpm808xpg0c8dvzk7	$2a$07$W8xNSwkuT5gankUGvDLJs.J1P4K6giy7eTIxv1faoMu3BdGPQAPfW	118	2013-08-03 23:23:38.005183	2013-08-03 23:24:32.777944	179		0
15659	10ibch0uhb8u0e2s2w8j0hg0ia	$2a$07$e9PIYNp8tOoIqXGudu5PFuowXGbf25bHgmHY8J9X0iIFGeC0G//yK	119	2013-08-03 23:23:38.02855	2013-08-03 23:24:32.905299	179		0
15660	10k2r5s3vqtzsrxba68k4z1lcr	$2a$07$PrX3g3568gybuDo3XsfHpOM.d4Q7GpspdvtIE2VJVmFLhMsJMapTy	120	2013-08-03 23:23:38.059296	2013-08-03 23:24:33.044003	179		0
15661	10j04doou92xpv6v3tobdyftb6	$2a$07$snVpAhvYJ6BGEED5IikkXeIBksA7VrHptv9.76b/ggZSzDmvaGOa6	121	2013-08-03 23:23:38.083034	2013-08-03 23:24:33.193385	179		0
15662	1000r9l5g268a99fagmoakmfgq	$2a$07$mGqpWHe06TZ7Q1SsLNJ4wekLsqOb2l9DEnJVvcfbY6zkamE2Ly/Gq	122	2013-08-03 23:23:38.106843	2013-08-03 23:24:33.354002	179		0
15663	100hffdjjz0ec4ctgubpqzg3u8	$2a$07$69uPFtHc4/zSRdDt69/SJeLYhsNWBwTamR.wbqzLjIBDqTYf5DHxS	123	2013-08-03 23:23:38.129683	2013-08-03 23:24:36.041273	179		0
15664	10kf5t2qhe39q5k5nmmhvv6tmc	$2a$07$TmqEUklZPFsynEeETMXPcepRT6gtorRM.jW3jQf/ABG8YYihiTQLi	124	2013-08-03 23:23:38.15253	2013-08-03 23:24:39.170146	179		0
15665	1068nf2b8pzazt2durp7w7xqvn	$2a$07$pvWDu/8CpY9BwC.QdLPg1eSnlzBq53sv80VxCYoS5n4atMyBluV3u	125	2013-08-03 23:23:38.183026	2013-08-03 23:24:39.589185	179		0
15666	105txvshpm7c4o92els9w8fv5m	$2a$07$sPiv3ICEFq2cBxAJ3rLsfuk4iXo.W2iriKu04hsMl8ocaH8V6nEEO	126	2013-08-03 23:23:38.207639	2013-08-03 23:24:40.119564	179		0
17557	10ibck721k9y0x716edd6kr9lo	$2a$07$bbdTZ2davh7GBBSg513xoOnQtGc1fq2Nh6K0A5wZrRzleYxBHF7Wa	1	2013-08-04 00:44:48.300267	2013-08-04 00:44:52.160252	195		0
17558	101gfx2ga5wtg9pejx7k2xxy76	$2a$07$60RjqdcluPQoS2u5Aaw8dudYwvjJKX0DNV9NBkSUnp4gyScNVp0UW	2	2013-08-04 00:44:48.326523	2013-08-04 00:44:52.648301	195		0
17559	10l5zd3mvv9p6sp4k86m9b4egc	$2a$07$IWdGty4yYauCKw/HG6Q5LOZ1GtCmWCXU72KnYYWttH23.3WIhFpwu	3	2013-08-04 00:44:48.349665	2013-08-04 00:44:53.285514	195		0
17560	10a2x5sw2ex55ijhdvfln1kodt	$2a$07$wVMVtnQqQUbKIV.51j2L6uJUTs779cGSfCFRQ08dwE.HV6OhZHBYe	4	2013-08-04 00:44:48.373467	2013-08-04 00:44:53.439056	195		0
17561	10pu179l5xwtny3ewucp4w1755	$2a$07$1lZrQ.yBh1OmlSvcA7.wKuXi2Vpq8sn13EfM8KOxi/Y2f8u/5C9hW	5	2013-08-04 00:44:48.396189	2013-08-04 00:44:53.580843	195		0
17562	102mdo1f0t7156q1to4jf3ca1p	$2a$07$czmPzkG.5AGEzFdxNdxp3.xrTL.z0AUn4MhA56g5SZKHGxmEY6X3a	6	2013-08-04 00:44:48.419189	2013-08-04 00:44:53.724855	195		0
17563	10imbme7ul4182thwce0h5tsut	$2a$07$qW1CvW1g.mxxE.EHmYxgbObwp98RnmQxHdTt7LF8vs/LJiOb3dtSi	7	2013-08-04 00:44:48.441642	2013-08-04 00:44:54.605597	195		0
17564	10h8o4y6gwqclke8e2iembj0kq	$2a$07$ERLZwdz8Z9CGI66uVoL6POryBBnqpDfgOODFglL9dslms5lXmpd36	8	2013-08-04 00:44:48.464536	2013-08-04 00:44:55.450006	195		0
17565	10qhas3kry31oi84rw2zagrol0	$2a$07$HJvpGqpw5uHeKA1QZK3tve3BwsyP92qLunMJhIWw5PyEoTeXFCH8y	9	2013-08-04 00:44:48.486871	2013-08-04 00:44:56.329253	195		0
17566	102ejyua0t30rw2r79ldo4bl80	$2a$07$z6hCdatAV1P4h7Z14FjTqetirUE1vrqQuJdVuZCUBXRQfNU6M3/UG	10	2013-08-04 00:44:48.510136	2013-08-04 00:44:56.447232	195		0
17567	10s1yi4gvyjxm88o3w455j556c	$2a$07$d7aONBn606CdoTMqMXMwPeYMUoXjdkNKy1DZfvVQx/gD.9bGgoq4S	11	2013-08-04 00:44:48.532719	2013-08-04 00:44:56.560575	195		0
17568	108a5bafeqh39mr50647vf9ho2	$2a$07$N0WIMvSlMMAhp4s8HzIKrOSNjHhSXMDkdH6df/KuTz8C4eRBCUm9a	12	2013-08-04 00:44:48.555875	2013-08-04 00:44:56.677091	195		0
17569	10sw44ymh44rbnn5f74y87fl33	$2a$07$ne5GHksWXgQl/jpY4Wjo8.GvTMXbiNYgpi0bReEQWikNO1kzRe8Je	13	2013-08-04 00:44:48.58014	2013-08-04 00:44:56.798516	195		0
17570	10w35pwwsc7u71xc0qabqlm0cs	$2a$07$8HQUPt6xxdHZ5QQwVdWhwedvAvzBlPEEtft8YoFLggqjmzADQh/MO	14	2013-08-04 00:44:48.607515	2013-08-04 00:44:56.912662	195		0
17571	10a85hbrn50qoq7s49akxz2ni6	$2a$07$xxXH6vCr9ndtNSZh.IKW4OYPM2OsoO5MIPes0SkN5.bH5HMnYvtF2	15	2013-08-04 00:44:48.63264	2013-08-04 00:44:57.026363	195		0
17572	10mdclcpcv238ubo7ocyxjpkar	$2a$07$BJnvIMuJtZDIHDOpacd2se7DA40OHfbcRi.FaOANKfub/2mpcG.9i	16	2013-08-04 00:44:48.656511	2013-08-04 00:44:57.153674	195		0
17573	10bgvwpel4jqf3hu89q50mbgt3	$2a$07$xlBfrJFs.SVMO.ckdcwW/uEmFUzvzIyHhMosJrXrdmOQYycjZBhVS	17	2013-08-04 00:44:48.679471	2013-08-04 00:44:57.276425	195		0
17574	101w2p3mxprkqoxh305xlxofbk	$2a$07$FIwwIyLKU7WZNgMjTwBPHu4nUwl3CMMyHQBBzpb/35wLw2uXb9Hou	18	2013-08-04 00:44:48.711908	2013-08-04 00:44:57.403922	195		0
17575	10h8ydn09plz2hiaifkknepn70	$2a$07$5irbYSDjEZPG9Qfrq1PKV.cXClcQrEkHpJ29Q0gEqdhkwlUu9VC.K	19	2013-08-04 00:44:48.743866	2013-08-04 00:44:57.538226	195		0
17576	10c41tfi6mzuj44iod8k9x8wwa	$2a$07$kUQzRJLJ/f29odPefCp4EeL6dTwFbJhOpcTKXICZCc5Qj42759k4q	20	2013-08-04 00:44:48.778611	2013-08-04 00:44:57.67225	195		0
17577	10bujev38zzwyj7d5e7d7veidz	$2a$07$UgIUILiDtgO0LIRsSL1Q9O4dgmoqUG.0LyI53wKiY1aIh7IyQ1X9q	21	2013-08-04 00:44:48.810406	2013-08-04 00:44:57.788866	195		0
17578	10l08pomc2closp3yq70zqh68g	$2a$07$HQeOyqq4M3FvGpjpHugqveCDCvEkTOB8dXkPhVLr7Fj6QV3mAIsc.	22	2013-08-04 00:44:48.833685	2013-08-04 00:44:57.90164	195		0
17579	10dc2bnoo2vu3xl66jln6ild23	$2a$07$cCPk5o8jDGy8HYkibbvAcOLnf0KMBpLs5B2EoYya1C2zzZ91bOnuC	23	2013-08-04 00:44:48.857613	2013-08-04 00:44:58.002087	195		0
17580	102vbwqqsl93anbivpelxlswy3	$2a$07$Cembllj6.EBwvGLow6kEDelze1LAaeUZSqUzEG4KuNyJN7TQHrJWG	24	2013-08-04 00:44:48.88061	2013-08-04 00:44:58.109842	195		0
17581	10ymn8g40eknlpllrgtlf26jxm	$2a$07$LaIKv4M3FWWVo3OCWSyz..fF5AJX52mVl.xcevFQbAmkbsqGGTXse	25	2013-08-04 00:44:48.904607	2013-08-04 00:44:58.244709	195		0
17582	10v07fsrp5jmppuhm2akxli9hb	$2a$07$uOSzZNpp9oAG358svZRPgOOBp.AI0qsjJFjuK/EB9SDSjeWAi5SVe	26	2013-08-04 00:44:48.938089	2013-08-04 00:44:58.372975	195		0
17583	10ne81ti4mzedw0pqr8ev5y06v	$2a$07$W0ltLbwukueZ3gEq40QNoO5gc53UMCXCiabVcf7NMDXd0FN1Qk34C	27	2013-08-04 00:44:48.967864	2013-08-04 00:44:58.497486	195		0
17584	10u0z2v8z6indzr5kkhrh3jtyi	$2a$07$vbnW5wRjNCnWm.U89DTNMORgYmKNppZhnjPEC/jWj4dL6x9usXIPu	28	2013-08-04 00:44:49.003318	2013-08-04 00:44:58.922333	195		0
17585	10bq72cfp87gdwyv3wiuifdrbn	$2a$07$FVnVm7Kkl7TAUeMEmNgCK.1IkXQ5cpx4BriX9kitkHlXdpS4wSDOO	29	2013-08-04 00:44:49.028288	2013-08-04 00:44:59.300713	195		0
17586	10f078ag9xzskrpecc2mngbz2v	$2a$07$uMxHmudf1UCDpN203dhFEumZel9hoqdPOJgn4GL4VVRQhYGgbdInO	30	2013-08-04 00:44:49.065353	2013-08-04 00:44:59.668416	195		0
17587	10pd6bgva3q1b3s44m992qxtj1	$2a$07$kPhO50EGUkNrWGahz4Gt.uGUpU2GH74ZlWuWfBNb7E55FUdibqY2m	31	2013-08-04 00:44:49.090114	2013-08-04 00:44:59.785337	195		0
17588	105zyfelt9054rq9ynoa1ie010	$2a$07$2X2wftm64SnGj66.Uss8hONCbYxd55pawmlIpXFAbDYnphPYqaTl2	32	2013-08-04 00:44:49.116327	2013-08-04 00:44:59.903308	195		0
17589	10avxln7ex39rw2nu86c8kubat	$2a$07$FuvTqOpgSCG2il4UlYcJ6exgwLVIgi6TmDILWsuz0lVNo/6r9D5CC	33	2013-08-04 00:44:49.151173	2013-08-04 00:45:00.041126	195		0
17590	10ia78yahw7ups3pmibrywpzik	$2a$07$qEBze.BZbIfF55FHc4180exa3cOUOtZmd2o6uiO3DQS12Ui7h.lg6	34	2013-08-04 00:44:49.174924	2013-08-04 00:45:00.18051	195		0
17591	10ku2v7j7xey22ytd84xa3vrv1	$2a$07$8vgtf9YaDKuAYtSk0wIgReLWG5QhRdQFIztCD/1IALI/DIdOcp662	35	2013-08-04 00:44:49.198024	2013-08-04 00:45:00.330003	195		0
17592	108z5ujat7v5b8zsqhap8wlvzf	$2a$07$Rn1RBQuwJKwFRj1ewGmv2.KpTHtzvdBFiJ6g41vE5FReOVcCujWOa	36	2013-08-04 00:44:49.220615	2013-08-04 00:45:00.459932	195		0
17593	10xulh6lcq5sjx0c3tlx0cmv8n	$2a$07$TXbFBjuz8RaeyEY4iGYPy.X7pc4RzfOU336xc09nlmrt0Es5CzSDu	37	2013-08-04 00:44:49.243958	2013-08-04 00:45:00.598874	195		0
17594	104n7rc1yru9eyqh38shtg9usa	$2a$07$LApdnhuEHKryt6ef.S4BluAfojSlLWkUmCXllxU.OaCT2rlzJ0ysq	38	2013-08-04 00:44:49.266584	2013-08-04 00:45:00.739769	195		0
17595	10dazs7fcs41vp2uy3rqpzf59q	$2a$07$N7XHEHTbJHDRC0EZdc9RTO1fbC18kEQ3yCJj/rTX3yOnkVBo2/kaq	39	2013-08-04 00:44:49.28945	2013-08-04 00:45:00.85986	195		0
17596	10o76nks0q9eepjecaoacbo1ys	$2a$07$ydTj0lvERxnfilcDZSBUN.6OvMZ.1zk.OZkPnTv0aGgN1WBdeqbPu	40	2013-08-04 00:44:49.312823	2013-08-04 00:45:00.997632	195		0
17597	10nbz0z483y3cpsxds6vb46luh	$2a$07$m/AwVYJjTdxHFfYzSEBWDuBahD68g3YYnd2payazjo/CCvUki6Bia	41	2013-08-04 00:44:49.336232	2013-08-04 00:45:01.14145	195		0
17598	10q3cjd31d9c8pnblw2553tl9x	$2a$07$ON16Xhd5Be0WkV4jcG7GfuLu3eL436F./OYsOB6clxYONVRNsuUpq	42	2013-08-04 00:44:49.359758	2013-08-04 00:45:01.250543	195		0
17599	10m3lqp2d9l9aercf0sgt3vc8v	$2a$07$574pduZzTXCm5Dt.yX.0ieLPjYAysk/fwUhlOBUbm1NYbUkJT6P6C	43	2013-08-04 00:44:49.383393	2013-08-04 00:45:04.046438	195		0
17600	10dh4cix6ikn5jawqnvxuo0oxw	$2a$07$6MvvtAQAFs8.aPTf5FtRaueaH4MsS80N/GGYCyLtLU5ZQa1jUGzKS	44	2013-08-04 00:44:49.406385	2013-08-04 00:45:06.849568	195		0
17601	10pg0p93d9aazil23icsjfygz8	$2a$07$XPvI3KKF70/9WpQfHbPgMufhDq6IMU/v93yGMIs.KXnz0vz7Yz2v2	45	2013-08-04 00:44:49.430289	2013-08-04 00:45:09.771607	195		0
17602	10xt4zoeabjf0cg0qjvlfh418c	$2a$07$oinVw6bTpL8.siaOhtWwoOToJ7/PjJyX.2ToF3EqFueVA.IMCboJO	46	2013-08-04 00:44:49.458456	2013-08-04 00:45:09.89792	195		0
17603	10agobeo5x5xe8ggao27ihuqnr	$2a$07$j8XaOKH5Cwc/URmtvD9PjOvIT28daiThB3YS9SlFj8NfUPdOnYipe	47	2013-08-04 00:44:49.493597	2013-08-04 00:45:10.038796	195		0
17604	109ut1tzmw92gdpi7atxgkem7n	$2a$07$Kx/G/OyJ7TaNmtIZL5m3z.UjbizX4OAdcJypdh94Dc0ycFaf3mlQO	48	2013-08-04 00:44:49.529461	2013-08-04 00:45:10.190417	195		0
17605	101p2jukhtbtv10ue4ewzw3itj	$2a$07$pARzFKdX0yWnqorhesvMOeZk6/isHz9qXjTjJYs8cdrCWdRK4CG5G	49	2013-08-04 00:44:49.553518	2013-08-04 00:45:10.330482	195		0
17606	10ygntrcmnqp46se7fyttmldqk	$2a$07$pkxKUrx2UcDxADR40/97Kuz9rbT2A1peV.i3YuxeUEB3BZozZK0J.	50	2013-08-04 00:44:49.583499	2013-08-04 00:45:10.496062	195		0
17607	1093u4d9z7fvzm0vkqm2g88r0c	$2a$07$Cvk8uEwetDfehfiZrhDGwOt3NP24ZyPX8ax98zlHRsmW0O1roQTVW	51	2013-08-04 00:44:49.619293	2013-08-04 00:45:10.635122	195		0
17608	107qmlljy3xp6hxi0s8p50uyok	$2a$07$ZQH0sztOYMiMlQmjYkNTpuGiF6JRMtWIyZR4lc4dZt6t3/IoI3k42	52	2013-08-04 00:44:49.644929	2013-08-04 00:45:10.983608	195		0
17609	103q6oaptzrnoxo0gjmg5u6ehv	$2a$07$dUmKBx.Jkq98Z8DZ3YHt9ecYXhAe1V2DASw/yKegLGwYY9m.bsXZu	53	2013-08-04 00:44:49.66954	2013-08-04 00:45:11.253558	195		0
17610	10azfnnekmdte6lzbgt7db45ll	$2a$07$2PJuLtgcGYtKVKLpiI8ktexm.XiFGA36xe9PZDwVA4Qbh5j9DsHRC	54	2013-08-04 00:44:49.694219	2013-08-04 00:45:11.483771	195		0
17611	105rezh9oe89ux5bt1i6mvfasi	$2a$07$3ZsTVw327k0WwbIq.dNP5.HyOAi.Xc9nqCKZ30mcCQft5frcZ0xVC	55	2013-08-04 00:44:49.725082	2013-08-04 00:45:11.624321	195		0
17612	107cyqd8dxddi2v6wmxgfnwwtz	$2a$07$r6IP0FcNXJ5AGPl.n2Wz5.s/a1MnIffCOM4SgSgjvcdkS6MdEMHoC	56	2013-08-04 00:44:49.748964	2013-08-04 00:45:11.748878	195		0
17613	10aqvabv0v6nh4da7d88p194xv	$2a$07$nFAjUTg14cBOqDNvwgSSnOIK.C7mqHeXSoOE8wWUSMrwew8LH8PD6	57	2013-08-04 00:44:49.773204	2013-08-04 00:45:11.887131	195		0
17614	10e45cmarsl757eafr78sqw0xj	$2a$07$p5s9CGf0oQ0WkEa6nd2er.6M/u19txXAoooeMAVImauB0XuE7f9Lq	58	2013-08-04 00:44:49.796903	2013-08-04 00:45:12.024445	195		0
17615	1082qszsuiklxsz99uf7t1ylbe	$2a$07$Np2L18D69IVYROXdB7vVVedtIgDBSGeG946Nw9XKh0inbK54YGfpG	59	2013-08-04 00:44:49.820709	2013-08-04 00:45:12.145156	195		0
17616	10n0h8b198gf30om8r890qrgga	$2a$07$z1gW4WBVjSyarOA4i7SFouduU.ZrOhQcHZrHLXKji5BE4cm/6ew3y	60	2013-08-04 00:44:49.843802	2013-08-04 00:45:12.367091	195		0
17617	10i7c56nfc2g30w4yxsv4q2msy	$2a$07$0ftQNlgHK25L/TR/29fp9e/Zz88pkIpai3eYrCsX9xhnhD5CezV0W	61	2013-08-04 00:44:49.867767	2013-08-04 00:45:14.992625	195		0
17618	107z3wv2s3ga3506o3hvl0l5ni	$2a$07$vJztPTJkxrUoWNwwQfU5juQrWUtEFF18eQL3ojqjUlHgUIAvQufMO	62	2013-08-04 00:44:49.890859	2013-08-04 00:45:18.247561	195		0
17619	1063cdv0xjczt4c42wliljehtg	$2a$07$fcwsUaUg7ni.PM74j/NWSuCzbZkHQdEj7ADfyL.Qtm9epGn05OZ/m	63	2013-08-04 00:44:49.914053	2013-08-04 00:45:21.355832	195		0
17620	10yaar99bicz1lhg0kzi9b31es	$2a$07$ohQfthkWImKoCVa8uSP4/u4Xd9BTOL1ceK4noxNqxB0dZvs7QVE4S	64	2013-08-04 00:44:49.936774	2013-08-04 00:45:21.772307	195		0
17621	10cp1aubum1x7ea0lj5dpzyx38	$2a$07$qqZWjB7B3nCBVY0zFTHgpel0Q0Dz5OPbyN.NA.aZUVK0JN8JXvC1O	65	2013-08-04 00:44:49.960578	2013-08-04 00:45:21.927247	195		0
17622	10dygg6pirzey48kpddd16xwsr	$2a$07$z9uPEyFYOcQAeE7pr.9aNe5NG5hjP5P40D.fKT1vicYhWpjjAoPdm	66	2013-08-04 00:44:49.985519	2013-08-04 00:45:22.911921	195		0
17623	107w0tml8ighp2nlm4oifc915j	$2a$07$iksfZ/icJSo2iyGkyelBA.29j/PyTfOJgESk7GyRroMSQZaZUP9yS	67	2013-08-04 00:44:50.015682	2013-08-04 00:45:23.031473	195		0
17624	100awp1r1am1j2tlnzfsdv5wgt	$2a$07$V/8b6uFMDLG5HevB.2RqvuAevBDKcDqVaaDrz6qFrhyAqTZfkb8d6	68	2013-08-04 00:44:50.040203	2013-08-04 00:45:23.162936	195		0
17625	103xr2ei0110xxng7xxxgm9bte	$2a$07$MrAw7o48YqcCNomDPP/xiO/AJO8HFZNE7rfVT9u86ToTQ4uycGztu	69	2013-08-04 00:44:50.067129	2013-08-04 00:45:23.287736	195		0
17626	10yjqzi6kmkfram8f2gju4krqz	$2a$07$APgYS2NaXod1DFyltSFxvOnTvqDpmjawBqFS6okZ5HN2pXZtd2iVy	70	2013-08-04 00:44:50.097051	2013-08-04 00:45:23.408806	195		0
17627	10i9x8j7c9l77w5buuws35pw1r	$2a$07$V5OWaNiMp09MMrQ2tD4fsup.4Yf/v2JGFAl.uFU0HmWx2G9H3YtOS	71	2013-08-04 00:44:50.119868	2013-08-04 00:45:23.525913	195		0
17628	102h3pi44gs15m7abmms0n7igd	$2a$07$xd1UrFesJONtMtph4T7smOaupMzBlKPqB10jNmv99FcT4awEfcGbG	72	2013-08-04 00:44:50.147557	2013-08-04 00:45:23.649741	195		0
17629	10y63cp5q1hi24vfnz1b64l6t7	$2a$07$tsGwqLGnsTCB.KTKyggJEOpXUEAOliVStoyeO9z.MtKfCqOTtJVSe	73	2013-08-04 00:44:50.17635	2013-08-04 00:45:24.118788	195		0
17630	10i01tiz2pddf6evckvrhk6obb	$2a$07$FcUQ7JdQuFDLwWHpYqUjCufYCNDkY1VvqAejr2ID/eqX3rAhKAeF6	74	2013-08-04 00:44:50.19998	2013-08-04 00:45:24.23485	195		0
17631	109j9fcopouidstly1tyc6oqqs	$2a$07$oNMwUbm57fsL0zTTF8J1D.MWPDUFPyBHs4Ef8ZTIMXAlbbwiTgLcK	75	2013-08-04 00:44:50.222369	2013-08-04 00:45:24.361048	195		0
17632	10d42r785irrxodbqwap75lml1	$2a$07$HoffkwV4KvOsTUEPXdcR0uaVxYoJ98SCLdwiYM0VVTBuAGvAJyFuy	76	2013-08-04 00:44:50.247181	2013-08-04 00:45:24.468344	195		0
17633	106w9b9uzqme8rujqkpkfwhceh	$2a$07$c6VoxiH2cNHxIeFGwd1eGu1txSD5NiRFnydmvJq.xMoWAcxlWdxy2	77	2013-08-04 00:44:50.279302	2013-08-04 00:45:24.583172	195		0
17634	10ogmem9qnbfst9jkp0e2khm5e	$2a$07$pjwEnAawoDZ5ETnihtCDIejUtPlFTB3R30FgQuomrYhp42B.tYO8S	78	2013-08-04 00:44:50.313831	2013-08-04 00:45:27.387977	195		0
17635	10bap63cld7r7hnkjz7yrfzg8u	$2a$07$9l4qkPQWoTvSTCV3ld26Gere2HHZzLeIHOz2iTh1mHWJGc2QyB55m	79	2013-08-04 00:44:50.337468	2013-08-04 00:45:27.488445	195		0
17636	10ytow8obxebb4la30q8i4drc0	$2a$07$ZqFYwgSyR1K3y525gHx0aejbbOIB7Nzf0jY/xuN04l8g8ANbEdqIm	80	2013-08-04 00:44:50.373279	2013-08-04 00:45:27.620092	195		0
17637	10zvnj57qz1nh1qniofkova98r	$2a$07$ZpRs6.zSSBqTi23buVrd..ngysVccPK.0eWGu7NfV3LwnsD8hx4ai	81	2013-08-04 00:44:50.399818	2013-08-04 00:45:27.914569	195		0
17638	10yf5lbzr4heodyhjm1bhko2ye	$2a$07$3bgRSHsGRXTJJ14QGhrFL.jpP7c/SnqWrYxZqpUah9Pe6hZTU1.vi	82	2013-08-04 00:44:50.423328	2013-08-04 00:45:28.018205	195		0
17639	102ksxcbcejbfhdxetvrssitjp	$2a$07$LCOdnqD4s4CXrVXxXQGaPeQhq3X.D6MkRTL3dOUYDBIiyvmb/bdT2	83	2013-08-04 00:44:50.446459	2013-08-04 00:45:28.140567	195		0
17640	10xkeu3q1hpa5trl23w3mt61t8	$2a$07$vW3nHG2xU6yBHVtYSBCEKeLIkSubSiuaycCbHWIy2wjJ7qx.5t2py	84	2013-08-04 00:44:50.479628	2013-08-04 00:45:30.953205	195		0
17641	10f4cwcf8qcu5qzx7mw71zfd42	$2a$07$T4nrOK6KNl3uHQwwxe239.pjQVQnWuqTJMNB2K.EawfqbWJgoU1/S	85	2013-08-04 00:44:50.518225	2013-08-04 00:45:31.30886	195		0
17642	10633c6n9qy6fd022345hihldh	$2a$07$MoSxLOKvAap0WhRN20oTzekLJKLNeq0N3YHnhZq56jzuz1/qk8fZu	86	2013-08-04 00:44:50.552042	2013-08-04 00:45:31.721343	195		0
17643	10ynrrjg4823n7jivpsdoq8erq	$2a$07$p8ttL/RxMhzOzMUP.HTUGe5fN2ZhR.OXbfY4Q7g.48gnL6Xn27diW	87	2013-08-04 00:44:50.590235	2013-08-04 00:45:31.842165	195		0
17644	10973p4nqcwsym9suyiwr5i5rm	$2a$07$miKzDT3mZOzIhDQGPOXhSeRdpyYpHUk3SSeh/VJO8tx5D.NTgP9su	88	2013-08-04 00:44:50.62126	2013-08-04 00:45:31.968411	195		0
17645	109ni4vd85r9o83emk8d0sco0q	$2a$07$btNYtzmjKj8CiZsCBWlGEO3Cjp7QB/VD/u5c0uqzgRpmJ98K.cl6S	89	2013-08-04 00:44:50.644454	2013-08-04 00:45:33.146947	195		0
17646	10r6hy0qt1hfh4dp0l1cx1vmvw	$2a$07$QXmyaGR204QuE09Scj.UaOjrzED67sVVv5TdqWwkMTwZNFaDn4g12	90	2013-08-04 00:44:50.669444	2013-08-04 00:45:34.02815	195		0
17647	10iwzxs9znpuae3mpa6p4jbvgu	$2a$07$bHTYpm2TX05oKJ.DSn2qn.h1kpMlQD2.F8MIkCzjMr9e1n1hJPoq6	91	2013-08-04 00:44:50.69497	2013-08-04 00:45:34.143063	195		0
17648	100wqhf0lvf3l0z7grc79t925k	$2a$07$IifX2aFDBrUHaHWYFk4ma.qpS2f.p2qr19GwE5AduXTJVTh.XMdfe	92	2013-08-04 00:44:50.719048	2013-08-04 00:45:34.242315	195		0
17649	10mfvbsgiykvrhveoumyrv1qx2	$2a$07$H6so79bQurce.pnJpm8C9eWVhaM1GtB0TI.4/Z1lyFcI/dQaA1Z2G	93	2013-08-04 00:44:50.753577	2013-08-04 00:45:34.359119	195		0
17650	102dy9ezfmkuay9sko58dax04r	$2a$07$NKzGNlAtMDho4zaC8P4OCe9uNm59uZltMJBgP6eCrlHQ0gUIhp8mW	94	2013-08-04 00:44:50.777516	2013-08-04 00:45:34.489883	195		0
17651	10ut1d4w8fzqnonh8erwltrxvd	$2a$07$EzDYRMCgvfpkIfH3PjTg.OqaUMFJ9PzQysj80ejjIfXucFQr8Kv3K	95	2013-08-04 00:44:50.816368	2013-08-04 00:45:34.683614	195		0
17652	10urw8nv0ugyz8x1o88mio8cyj	$2a$07$EDyyyUm6MPDAZ4fp0skNYeni537ZfAP03lH8BikmvJJ8bXTH9Ib4m	96	2013-08-04 00:44:50.844464	2013-08-04 00:45:34.806615	195		0
17653	10bb27024mun4e1h1koromns83	$2a$07$z.IRFg.rQjYASMmeJlNR9O9kVMvupPhq0m3Bh/Rry8SIBOaXlHBSO	97	2013-08-04 00:44:50.875843	2013-08-04 00:45:34.9186	195		0
17654	10frxnxt5tcml6wly66cvp2miz	$2a$07$P4zols8e4vKJFUmrv5p1/OZuSoXx2Njl2aAA0yChjOH/5Y4/WPQ/u	98	2013-08-04 00:44:50.897934	2013-08-04 00:45:35.022203	195		0
17655	10ftw7g4x40xqbhs51z541bo0h	$2a$07$KN.cEBSCymotYBKaCV6fM.WDdj1zfAAvQOBB0gOTQC1N/cwq4flcG	99	2013-08-04 00:44:50.921061	2013-08-04 00:45:35.12219	195		0
17656	10uj4igszivsneisspb6vjzr29	$2a$07$la25WczvwYMj47vc6TtoMen9ckMROnp.XnkfXMmx8/cBj/sTB3KHW	100	2013-08-04 00:44:50.943841	2013-08-04 00:45:35.223864	195		0
17657	10b0ljr6ai1sp5raabic7dtkyu	$2a$07$8WHejadikl2C3XEBK0QaTegJvDM.TBDFWj1W2zUPVpf9n4F26D7Vm	101	2013-08-04 00:44:50.967539	2013-08-04 00:45:35.329938	195		0
17658	10lj6qtreav22btqcoqemkwmtl	$2a$07$eus.XKhf7s0qDHMzkKuQZ.dZI7.Z6wjlwk03s04G1joOZWzI.qI8q	102	2013-08-04 00:44:50.998856	2013-08-04 00:45:35.436625	195		0
17659	109sucifzbdkekpr4mw20sagbi	$2a$07$9MjRxOyk6vDX0OMqHUxl3exGedCxHpRxX4vPI.XZ4jZAibBRvh6UK	103	2013-08-04 00:44:51.022649	2013-08-04 00:45:35.768773	195		0
17660	104d7rkq896rpyn31f45fvg8ii	$2a$07$Pue9QFwGQotP2PaC/mL4A.UW6UtsGkBqwv3ZSurrZBJvM.GGHAIgm	104	2013-08-04 00:44:51.055484	2013-08-04 00:45:36.095569	195		0
17661	10awmnr10oo8eoxqnfosz3y252	$2a$07$.YzeyOluiI6fR0bte6M/keFYZiRm6XBZJElTIw3BzRKGRb3ItF8JO	105	2013-08-04 00:44:51.089641	2013-08-04 00:45:36.245149	195		0
17662	10mvyxz5nss7wqauq1grpps531	$2a$07$PAn3BwiEF9Bm45fAXWyXuuFBC6yuz/zkQ8j3/4MVnU20obDWq59s.	106	2013-08-04 00:44:51.11225	2013-08-04 00:45:36.405086	195		0
17663	10oynj5ddv62ef0n77ea4xf6fa	$2a$07$kPobDOyVq.qudQhTs/D8SuoAueWs9V1k/EpNMSZWDkT63/dwWM9Yi	107	2013-08-04 00:44:51.134614	2013-08-04 00:45:36.558748	195		0
17664	10m0f1rozfpqgluhjw6zghey4n	$2a$07$eA4vBTBeKN3a7VkCcTkgp.xdci68XHUuuh8tRQyc6oTNex0qGicum	108	2013-08-04 00:44:51.158082	2013-08-04 00:45:36.703615	195		0
17665	109mf2md081i5710m6ke7twk0e	$2a$07$5dz59/LMaSNuZ/.Vsg9N6ewjmv.myUdgUat3TC4ef9nwn3Vv.286i	109	2013-08-04 00:44:51.180586	2013-08-04 00:45:36.832552	195		0
17666	10zbqcl7b40ydulwslyjf66gs6	$2a$07$FCZEWAZrUcFnjl04pulzkufa6UFGZG4GB3YxivxkYwwivQZ8u7QBy	110	2013-08-04 00:44:51.203794	2013-08-04 00:45:36.950349	195		0
17667	10ekf710s88c2sn8mw2tck8y5t	$2a$07$v1nfp7D22xYX18QroQ7JwOhmzOFA.bfG66FjVOfJ4Gc7SvTe2mAJm	111	2013-08-04 00:44:51.227509	2013-08-04 00:45:37.061194	195		0
17668	1089g65de2fj1jyyl6wpbziaei	$2a$07$rxY7GwCk050cy0/w3Ay0P.LtGKUYAjiG7VJiBZIE1P6ZrCsdvwYQm	112	2013-08-04 00:44:51.257731	2013-08-04 00:45:37.187766	195		0
17669	10sgzs0zxy9fuvf534ax0pby4h	$2a$07$/8iycxR8cVPOYK9DK1fV/e8OVyQlyhzk8vg.YRcaCNY.X5ilyW.IS	113	2013-08-04 00:44:51.28568	2013-08-04 00:45:39.872042	195		0
17670	10aep97bg8jjwarslwaigiknzp	$2a$07$1AdUzBOTGPiYNrv2GSIOv.VW5cTzoLD00AAOkANnIY8kTmlUqLzVG	114	2013-08-04 00:44:51.322274	2013-08-04 00:45:42.425062	195		0
17671	10u7mvirgc1jgxip3vbrl6pdi8	$2a$07$S0czsK7jUK.49ffWTxDt5eB2vqK1ISn6Ca1JbL8Icw0DWN0cia7A2	115	2013-08-04 00:44:51.346	2013-08-04 00:45:42.574218	195		0
17672	10kwxjpmphlh8bqqrpte4tryr0	$2a$07$7ueCe8dzoB11IFqb2CW/JO6OSRQTQibtMT.Xd9sdvET3VFOkFcGPW	116	2013-08-04 00:44:51.369641	2013-08-04 00:45:42.727727	195		0
17673	10o8rjz8tbxseler2gwynukqbg	$2a$07$UhHZfDAH8FBVkzylH6LrQuO9Yckhp.wVx.dlrs3tygDAHqkJ.MiCW	117	2013-08-04 00:44:51.392941	2013-08-04 00:45:42.870197	195		0
17674	10kkbnjzkzr299hrdc4ugunh3l	$2a$07$SKllBFIACMfCTbzOPeio2.Q//YtHNr9jyZshLDmnTaMuh7Im9ylre	118	2013-08-04 00:44:51.416274	2013-08-04 00:45:42.989372	195		0
17675	1098ac5e8jy1ivoe84nzcc2mpo	$2a$07$u/NN8r116Ib6lVp9ZAfK8enCa7V5bfByOY52BVzrN0vQcF3kXUfm6	119	2013-08-04 00:44:51.438565	2013-08-04 00:45:43.118513	195		0
17676	10qdrt6a00an8l3elcsgpjr99l	$2a$07$iuG2znhQ6/miVioXDQR4iu2RPUWRxyP2qAIieXfyfnl7j/qgBlQfW	120	2013-08-04 00:44:51.461991	2013-08-04 00:45:43.242241	195		0
17677	100hwn5mm6chhya6faegyysms5	$2a$07$7QmOBHu62Nr3k3HMy4Bn6uwewriBUtghbH5nvtgjzuTteoFksvaI6	121	2013-08-04 00:44:51.485801	2013-08-04 00:45:43.389506	195		0
17678	10dhscz3ix8vbfikiewcahud6n	$2a$07$2TUal4AEYeXVrmlOueMFxuySy2R3sZwTGA80QFMqf.WpQrX/oNHf6	122	2013-08-04 00:44:51.521988	2013-08-04 00:45:43.555039	195		0
17679	10jdaqelk150omjrp1d5q2biow	$2a$07$NrOGNXTbI7Ndcb6l413ejOPgINtiGTn5HfMl48IhX7fe7tBmcPdB2	123	2013-08-04 00:44:51.546098	2013-08-04 00:45:46.425198	195		0
17680	10eud51sf9y5cmkvsmbyu5zxa7	$2a$07$6t1IDfYX3Q0713.2bz4diePFHGBK2l6DaZwJQMUxw8BQYsKJso0RG	124	2013-08-04 00:44:51.577374	2013-08-04 00:45:49.346008	195		0
17681	10tjkoyi3jh1nnj0934wcdtvn4	$2a$07$cVDI4lV4jGkhBwsDc8lyiuJq4cWz8cszLRGgNVRBP8j.XsgNcRPFO	125	2013-08-04 00:44:51.612075	2013-08-04 00:45:49.672197	195		0
17682	10taxtk2qtu3hye8fulmskrltq	$2a$07$gxWm.GQ23lPT9QnM8fRvMun9C4erWR8Lik4mSXFCkQ9iXazJ8QiIW	126	2013-08-04 00:44:51.636189	2013-08-04 00:45:49.976794	195		0
15667	10y1r2rev6sn4vetq7iwkatfvy	$2a$07$2eAzRhBmFtVbMSURLFvvPutK8Iji7eVXx340K9yVh6ZvUJfqP9trS	1	2013-08-03 23:28:35.108907	2013-08-03 23:28:38.768153	180		0
15668	10j5gmrnhesyek9ss0fw0eh829	$2a$07$o803kkLkeyiQHLqEO2tbnevik8MKC/BXInL8B.vts/4OY9jSaa0jm	2	2013-08-03 23:28:35.137514	2013-08-03 23:28:39.103307	180		0
15669	101x2j5sbob6kmwm5u8h25356l	$2a$07$ygN/LwFgTVFRz2USdJdcmOK6eM8kbyGu8b5mM0iOUoUMIRUHaQmOu	3	2013-08-03 23:28:35.161002	2013-08-03 23:28:39.417417	180		0
15670	10v7w7nbtophh6myz8zgfutqxq	$2a$07$bxywK.MqPdvQCZpAxBZkuOVo92TfqBS2/hxO4lbpLCcAZpWCRxr.G	4	2013-08-03 23:28:35.184135	2013-08-03 23:28:39.522183	180		0
15671	10z4tqndh146uaf6lrqoebl0hv	$2a$07$OdsWehlp4YnqtDMt8zgtxOIGgd6NO8n78YpBL5FTUX6.MexwAj7tq	5	2013-08-03 23:28:35.207451	2013-08-03 23:28:39.646323	180		0
15672	103nqlx08fk5cp8bsudzo9mrf3	$2a$07$mlQWAWcUxqkLpshXnCuR2e5OXaT4hKlLx.LERKIHINrULEmvazO.C	6	2013-08-03 23:28:35.231145	2013-08-03 23:28:39.777452	180		0
15673	10jpqbnpq1xg850hstm5rdq03p	$2a$07$2Fl32YJE/B5OzOtjwgrK5usqp1SWRW/Lgm/me9ms/n6D3gIArjyz.	7	2013-08-03 23:28:35.253973	2013-08-03 23:28:40.955695	180		0
15674	10efn555iuno5iopbvojy4zzl5	$2a$07$69RTBn.cWmH07d9rtcZTJ.CJ58PlcIBPz8Syg/FWLARbgr3/ZZ7Q.	8	2013-08-03 23:28:35.276545	2013-08-03 23:28:42.141497	180		0
15675	105w0bvsoes0489bsvl2tx4tlh	$2a$07$vZqakXhgFxM8D33Pf9.tTeueuWYFCVvBGDz65MuxWRUk256bN4Lk6	9	2013-08-03 23:28:35.300697	2013-08-03 23:28:43.327055	180		0
15676	109oxqcfah90h7rbtqzamgdr9d	$2a$07$uaAsJnd.pyEdfg7LKuyPdeJoy4jvEX7QB0QaduY1zfG88YSKvzuQW	10	2013-08-03 23:28:35.338346	2013-08-03 23:28:43.429946	180		0
15677	10yhc0jaln78f35qrrx4ptg0jl	$2a$07$Ov..73jv1rEsXnuXHQ/MKOJLBlH7Jiiceer9gENIjOKTCjLRPUyKm	11	2013-08-03 23:28:35.370204	2013-08-03 23:28:43.538903	180		0
15678	102tp4rdki0sg1zlactpblrpoj	$2a$07$i48BDGLEYoUZnUPCxXSVS.nDSfdYw.LbtG/a7.ZOf4kze4CdLs1DC	12	2013-08-03 23:28:35.406631	2013-08-03 23:28:43.641526	180		0
15679	10je490dpyb2uiirr6gfwpiyeo	$2a$07$afhy73lZg/jkvHC8m6CclOUzgZaRINSZiSJGWQbapG2TMREvc1GJu	13	2013-08-03 23:28:35.436502	2013-08-03 23:28:43.863482	180		0
15680	10yp3uzebaly55k51bxbwt569t	$2a$07$/v/HCyy4T.LBG98/Cj4gMO8qX.dawPHUEJmg1AysTLFA7wlybHm9.	14	2013-08-03 23:28:35.460096	2013-08-03 23:28:43.983872	180		0
15681	10va61goj3mxat42nfzcz0896l	$2a$07$5Zr49D2detp2XTSknDdz9.LyrmmOhaRmKrmST.npQnO2cQ4ouTgQu	15	2013-08-03 23:28:35.491665	2013-08-03 23:28:44.092168	180		0
15682	1093pbrqepbxztv2lp2jorpx3r	$2a$07$XxjtPsTOb54sAajDU/1cyOKZUPIzO1qT4d/pu0By4nhFdAzYf2KQW	16	2013-08-03 23:28:35.515037	2013-08-03 23:28:44.215364	180		0
15683	10gln53ycv598365j4yu7debwa	$2a$07$9SMVh9jXKvcKJ10h11KRdeidnToXThAX1zlEX97gJloCH0EyjGaOi	17	2013-08-03 23:28:35.541369	2013-08-03 23:28:44.352722	180		0
15684	10k5qwmsy49xjl3yw4jm7wi6u2	$2a$07$7puTe8lvPAuByg8p2zuQ9.PYpq8JjvGMfEgTp4P.70pqSD.a7sema	18	2013-08-03 23:28:35.576438	2013-08-03 23:28:44.496114	180		0
15685	10b37ookz0fxrrdbiyohzim6fy	$2a$07$R7UlYbTAl/Jzcm7s9XcjwOinleM3IikBcPnOvXUK10fBc8fJoNXCK	19	2013-08-03 23:28:35.612697	2013-08-03 23:28:44.65213	180		0
15686	10n6jrv9shwb678xe6l3i0op89	$2a$07$vBLDNXEsRmhjrb0YhxdGy.ytrBf1REFlXKFtUTlrvW2QY0lFnXxqu	20	2013-08-03 23:28:35.63709	2013-08-03 23:28:44.798542	180		0
15687	10b1zntsz66n1qii6eov20ir4v	$2a$07$QFc2As/eGEZQthwtwXkk2OWp0BH4i3/.JNSPwT3S6uUuzIk5KIhzu	21	2013-08-03 23:28:35.66487	2013-08-03 23:28:44.946057	180		0
15688	10p9qn5686wdsh73p3azoghdr3	$2a$07$0LZ4Dh/9nG4vaEeX0DeaAOh8hBLKpOGEkqcU0poQqzeqKMGWMTIf2	22	2013-08-03 23:28:35.688692	2013-08-03 23:28:45.067738	180		0
15689	10kbknmtnucukegyrsk1unljz0	$2a$07$GK2yIc4rVNtXwASNlMbcKuanhsfLsI72VZQeBqi3qQ.Hrm4uqkY.K	23	2013-08-03 23:28:35.71269	2013-08-03 23:28:45.196944	180		0
15690	10ovrfb9crdosz2rhd292mp7fr	$2a$07$02zeNmfXkKywly6q6xT9COsKUY9RIloigq/IKci3jfuNsx/bwd.bC	24	2013-08-03 23:28:35.736719	2013-08-03 23:28:45.324697	180		0
15691	107vlngolovsh116blidov1v9n	$2a$07$M2zchJBpHXfX9Hv01/apSeDCoC9OA6IwzW40Hh6tXZ1QfZe81lHrK	25	2013-08-03 23:28:35.767311	2013-08-03 23:28:45.510136	180		0
15692	10kdlha8108fe40mbabr548kwx	$2a$07$NYBUlBdOsRdIPCaVxuEsQ.GNOZ5Q.rVBF6FwH5FW2dUTi/l5Vza.6	26	2013-08-03 23:28:35.793079	2013-08-03 23:28:45.637197	180		0
15693	10cu9r5p3fymwlb9obk8ap9w1p	$2a$07$AtX431NQo3ap5196EMYSg.qzUomoKXoIUn/nvd9C1j5E3otmYGNT.	27	2013-08-03 23:28:35.816061	2013-08-03 23:28:45.815037	180		0
15694	10zz9zwh8nct91i4r616lmikrz	$2a$07$zhZ69CG9NeaMiHrjaBwXeOXBDgAu3bZrZe9IIaaW2Y.9rX2AyEGq2	28	2013-08-03 23:28:35.853049	2013-08-03 23:28:46.257213	180		0
15695	102yhqbe7vma5f0mq56ybpes87	$2a$07$5cfpdkp2vteIiVBxNtDoPerm6q5K9HWQ.VXHFK3s.1qwfWmasNEbG	29	2013-08-03 23:28:35.878069	2013-08-03 23:28:46.621771	180		0
15696	10bkeh2zjeedpz35a5n6koaxo7	$2a$07$gVRIcAMT1W2oej5Yw04UaeaTwFFRN6UFI9pRbFJ2k9CNZuwPRZ1ga	30	2013-08-03 23:28:35.910752	2013-08-03 23:28:47.032493	180		0
15697	10qtbhnheryazctg4prarsqmdo	$2a$07$wiOu7PMD66yfg/.SFNNT6.d2RfdGKytrj6QZgUL0Qf18q9WSVxYFW	31	2013-08-03 23:28:35.950053	2013-08-03 23:28:47.138912	180		0
15698	10w687g95f1xcer4t9tw1lcgnj	$2a$07$ew6QnpCnprZJeR/jNQHuHeJEJU3ImJwxcHO.60Uc.U5Q/1f551bSi	32	2013-08-03 23:28:35.985662	2013-08-03 23:28:47.250813	180		0
15699	10ps27nkdmipqeewzwc1hd7kt5	$2a$07$BkwyT1RGGbARQpFFtmcWpemyBBdNTjy3O4MTnkiUAC1nBfIKQ/DYe	33	2013-08-03 23:28:36.008393	2013-08-03 23:28:47.367134	180		0
15700	10jz903vmrvlden95gwio6i2z6	$2a$07$IyNmrBl5fsXYGC89uJuAze7WVzjLvkkno1VFBdlK0L3l8KUve./VC	34	2013-08-03 23:28:36.031574	2013-08-03 23:28:47.48841	180		0
15701	10usdnaaramf11s3ijemqghrnc	$2a$07$fl.CUcQY6akuxR0JYaIUbuGsBV1sID7AUaOFtBenk1/EjHbrGgLZK	35	2013-08-03 23:28:36.054817	2013-08-03 23:28:47.607441	180		0
15702	104dvfyrpa8lfusbwelphocl1j	$2a$07$wvI9.87cedR07KcyZ7c2SOvHXsvt749M0jidKX2U7L3S9.9GT3kNO	36	2013-08-03 23:28:36.089729	2013-08-03 23:28:47.728447	180		0
15703	10at88ji5cgzycjy5lksoqj51k	$2a$07$y0vD0XNno4/AX1mUtGZtve2oZx3z4TRjTyr2ibnwg.6ike.q39vWq	37	2013-08-03 23:28:36.117979	2013-08-03 23:28:47.830641	180		0
15704	10bvtc2nwnnvhjpimunxa03vyo	$2a$07$XDW9JaheYRZItNCuQu.N5OayCxqUVVZ/4taARsIuVfo0BkMNcjNjS	38	2013-08-03 23:28:36.141431	2013-08-03 23:28:47.965528	180		0
15705	10yl2hh3oht6ikpx884ma5nstn	$2a$07$5KlH588viAZqAi9rnEq07eqF.JvNhnJigknG7W.BeyjIWZHtH9qJi	39	2013-08-03 23:28:36.163478	2013-08-03 23:28:48.115295	180		0
15706	10rubud5rz389ug89wwgf82e1n	$2a$07$uQabAdJ3w5ZJAEqIVNKo5OfCP75.eK6wnqjirXjbvB3G12UImx51q	40	2013-08-03 23:28:36.186976	2013-08-03 23:28:48.255405	180		0
15707	10teld04vilcmexjmo9i5tj3sg	$2a$07$n1DuhXj6NElAg1aFq0SE7enHRyYEa.dq00mgVTNF3AgnQY6uIMUh.	41	2013-08-03 23:28:36.209397	2013-08-03 23:28:48.376887	180		0
15708	10ksbex64x4x5ij0jjjfb6qbl3	$2a$07$ZN1Mb.5mmWrY5wwHsD0zHesDeyDvhwXTudNV.JfUxBv09NKicpKAG	42	2013-08-03 23:28:36.234697	2013-08-03 23:28:48.510415	180		0
15709	102ut1y2c8oem8ctu3lv1evqge	$2a$07$vN2qUEVbbgqgwhbPytRxGugGpJBlA5awQc0aIRV.hGLco2ba/ePDq	43	2013-08-03 23:28:36.259094	2013-08-03 23:28:51.331545	180		0
15710	108l2y7wafq4awjyronmml7rfg	$2a$07$kmvZ.0AqpDXKUGqI4Bmp1OE5zkJTV.wRPTzSNu9hlqVsItxyGsT9C	44	2013-08-03 23:28:36.282739	2013-08-03 23:28:54.177055	180		0
15711	10tuxqq7rbqjnxuq09k19zejhr	$2a$07$wzejhGgbP6OsYAc1mAZlLutMqb5JBPMAuhMg4fvW500djG61Pqz.O	45	2013-08-03 23:28:36.306356	2013-08-03 23:28:56.737617	180		0
15712	10094uuld1annfq6yq6mx7m06w	$2a$07$9m1C/TNlW9C.4bppC4LS1eWCE7qgrc1ANWwgAxdmVmk91X5OqHOmy	46	2013-08-03 23:28:36.328368	2013-08-03 23:28:56.863323	180		0
15713	10dfxr7xgdwneuv32rulgfx25i	$2a$07$39vyJCzjGh1zOM4RDvpbn.y6aWHVYJW/4xizT4kXkxsbm8VB.JRVW	47	2013-08-03 23:28:36.351976	2013-08-03 23:28:56.980618	180		0
15714	10fzzm306u61kfaktaz68rjagm	$2a$07$MBZGiAPpaJzb2/R9tUmQfec5Ri4HxHx9P.mgf2ByNb1JAECJcJRcW	48	2013-08-03 23:28:36.376933	2013-08-03 23:28:57.112028	180		0
15715	10w0hgodehwz78cefw1t5vcbxu	$2a$07$QaB6UtJH6L1F5Kuc/6QI1enRYzgRC8fy4ymqWWMivQJ4y4VnIoKH2	49	2013-08-03 23:28:36.400386	2013-08-03 23:28:57.228947	180		0
15716	102j5jmgvle3djj9fi1gnnpr54	$2a$07$4Q5/u1uSmDAF3FnPr87ZheENvh/PasRuKu3tvMeWchkTtEHBuI/.u	50	2013-08-03 23:28:36.423187	2013-08-03 23:28:57.336226	180		0
15717	104wr786wshr2lf96d4kysctie	$2a$07$q6BE0cJHXFpTz2lmHy0RkOI1cDHK6C5lys7p5ZC2NAj4/3uucC7RK	51	2013-08-03 23:28:36.447139	2013-08-03 23:28:57.445342	180		0
15718	10rvxvvfschq8u3o3zh3bv1eon	$2a$07$KUOe/o2XcIpEogfhUEyyrO22sc378.mhOWXavvRuDbYYz3NNd9db6	52	2013-08-03 23:28:36.471382	2013-08-03 23:28:57.883058	180		0
15719	10uhzo0nl6ltr8dk9aw9dgz22o	$2a$07$L2R80V4N6uOgJ3lmaOGGg.5OHAodJ917HxZwnkFJUAVOWiuMzNvv6	53	2013-08-03 23:28:36.508884	2013-08-03 23:28:58.39373	180		0
15720	100e1astwe21n6jn87rfbm829b	$2a$07$1vYg5i.5NrQV75Lvgp.Tt.jVB16FhDoeP3ZrHB1b.SsJC0cQehVMu	54	2013-08-03 23:28:36.531191	2013-08-03 23:28:58.765867	180		0
15721	108gdm6mbzt3c2qwhk53pvrou1	$2a$07$n.9aD8x7G6n1dWOlxoqnNevj6LcKPIaHaFW83xNkbgsucc6sZSGmC	55	2013-08-03 23:28:36.55513	2013-08-03 23:28:58.905102	180		0
15722	10daey7sqq3t5l89di4y5u1w34	$2a$07$g9uoV8/NiM8wh9mNHPDODuHSQCc12489/nX24tjJOtUGnHak.5UxC	56	2013-08-03 23:28:36.581446	2013-08-03 23:28:59.040024	180		0
15723	10dpjvi74av9vh9xmugof5fj7f	$2a$07$gc0Rw2eTFHZ8bJLCvHm9neRgzcSed1HIdralfOY4kbkwQgj2p5Ce.	57	2013-08-03 23:28:36.625406	2013-08-03 23:28:59.175875	180		0
15724	10d864z72wxuvmf1dk2lbxz543	$2a$07$siA6YIoxcqner1/EorT8oe3zZsBBYIAnTgb745MxQ6tXACHlAQnQu	58	2013-08-03 23:28:36.649966	2013-08-03 23:28:59.320664	180		0
15725	10jtr7n50ajj56bqgmwfoxvlrw	$2a$07$59ynBYCvNYafdhz/8by02.JlWm0X.M8lSPwIhjEslmM4b.D.HEOdu	59	2013-08-03 23:28:36.675322	2013-08-03 23:28:59.459535	180		0
15726	10ub1wwspvroeq7877tx2uvxt6	$2a$07$Tq5PvGkt/Vv2EDE93CrhjOpIUTIXLnqF/sfatSaC3EvFEjwVq0daS	60	2013-08-03 23:28:36.699082	2013-08-03 23:28:59.613126	180		0
15727	10qe34an6e9gyn88wsfk3tlm6u	$2a$07$aJysfEEj5NZpAN/7OwBIheMWDf71vgiSNe/YVwyAbXONkxY.Ftp1m	61	2013-08-03 23:28:36.723084	2013-08-03 23:29:02.539377	180		0
15728	10vofekrf896ruqumjmg5x9f38	$2a$07$BG9CQnKCBkgXA69T3M7PZ.U2vhvWWivsbgO/NGpW3qG30/BaywzL6	62	2013-08-03 23:28:36.747107	2013-08-03 23:29:05.531044	180		0
15729	104crzoqzm2app483rj5zakkw6	$2a$07$vAxp.h26vkkM9/Z4G6iTmeQtdVIDO60ugoU9WSahb8Ys9xIBfdldS	63	2013-08-03 23:28:36.770115	2013-08-03 23:29:08.446659	180		0
15730	10ll8dr86fyws49zmhyyk8pnkp	$2a$07$FPl3HIVxILR6U6cZTP.tMujT1tb/mtruwgXO/w1P1MlDrFhR.K9Vy	64	2013-08-03 23:28:36.793052	2013-08-03 23:29:08.585022	180		0
15731	10l41gi3mohoy7nrhznjhzyy3u	$2a$07$bxxcZuMWrGPviSvyYggFXea0U0DCpbS3G85JgOFHc6FPkfWy4vhA6	65	2013-08-03 23:28:36.815477	2013-08-03 23:29:08.729195	180		0
15732	10uahxkm4ffxbn6mk0azsvlzb1	$2a$07$JOA5bCSwbVYhyykSWmEQAOE.JFup8WsFNjIoI37a5rTzSfS3ZhDZq	66	2013-08-03 23:28:36.838108	2013-08-03 23:29:10.117692	180		0
15733	104r75g9yp6io38ui9ks2mi9pv	$2a$07$hegWXauqh6f2y8c/crp50ulQebls2qR1yfO2qH46K78XY72pBMckq	67	2013-08-03 23:28:36.861412	2013-08-03 23:29:10.230106	180		0
15734	107ciy88fkz5utuoclp57f15ml	$2a$07$aKzw33NSeAOrZgTSdbAlf.rTuJTf67mhiO4ypmdUkhc/9rGO7sywy	68	2013-08-03 23:28:36.928892	2013-08-03 23:29:10.351221	180		0
15735	10aec8cb7jr4gew7gacwlzdh5d	$2a$07$GXz9jow9DyR.Qv2lydlLEuiP0kWE.UXvVCkcrCz5YvPGIU1RZSmM6	69	2013-08-03 23:28:36.958256	2013-08-03 23:29:10.487503	180		0
15736	10864ibq9zetxwa1pxjjep52b1	$2a$07$Fq8xHT/ay6vBhs9KNoIDxebSoVbPntlnRqQDlj3LCHatbPeUgc4Ge	70	2013-08-03 23:28:36.982097	2013-08-03 23:29:10.600075	180		0
15737	10kepwe4td1vwjuw04znhuex8x	$2a$07$BL7Sl.T4xLV1eipu1rrh0OH5XG1SbYtdjVqobOHSOICNnQq.OpZ5a	71	2013-08-03 23:28:37.005954	2013-08-03 23:29:10.72999	180		0
15738	10fjvfvkm75jwqakqq2vk6pg1l	$2a$07$l/I2ejQWyM3Q50W9pyKspecDYNpeVHxtRXkJFgU34P4bbbIYBzh4q	72	2013-08-03 23:28:37.029865	2013-08-03 23:29:11.000319	180		0
15739	104ur05dv8r4ei87carqvt9fih	$2a$07$QCJGsq7Z6IaZ.PRcbJz0/uYMyfiqmN5gLlylPiU4IejTIsgw5aI4a	73	2013-08-03 23:28:37.053226	2013-08-03 23:29:11.3713	180		0
15740	10wiuzzvbzh1wb6ockfrcmffeo	$2a$07$h1IB2dJjbs4D4rW6gm2bM.W96g6TV3opL3gLUeY2b3uPGV7xpQ6ge	74	2013-08-03 23:28:37.076101	2013-08-03 23:29:11.521335	180		0
15741	1012cy6hzs7be8nhleu7wl047p	$2a$07$Nn5qsaX3eNKw3lL7rrG8l.CsW0nHoCbDdhDbSDkbGl4DqP5LHLoDO	75	2013-08-03 23:28:37.098785	2013-08-03 23:29:11.645722	180		0
15742	10mv1v57m4lvlwvavmvfwp1onn	$2a$07$pgCiXtsQrMwlGWtzjEWukeVjDlNn0pFVPBcm6I8HZi2gu7MRL7IMO	76	2013-08-03 23:28:37.121604	2013-08-03 23:29:11.866947	180		0
15743	10lvungjbdvryesc7n4r33pvuk	$2a$07$15K85X.NDwRwQjw5T5MHiuAzJncw57QUHzyxhYcC04Y8HPva5XnHq	77	2013-08-03 23:28:37.152034	2013-08-03 23:29:12.013205	180		0
15744	10ch3maiwfta9a48j1h4fmd41x	$2a$07$PvWnsoBk78bD1bPpviUapODp/GFxXBfuYISJWyLsFh4HTXVFRuQhi	78	2013-08-03 23:28:37.184862	2013-08-03 23:29:14.556253	180		0
15745	10mthz2t4oe1x2w3y3mbp7kxv5	$2a$07$WbCaqxqBE6TBRJOooR9Bfe/v3Ix2cqX9zlC8CePXEBVI9E1ABMXem	79	2013-08-03 23:28:37.208833	2013-08-03 23:29:14.702171	180		0
15746	10u40pt1jyxq0vpiljmmy5rzfs	$2a$07$qu/rxi/EiZNCSn5ggzbplOsj9lV8yeW7ugu7cJYWW8rUDqi/1BzoC	80	2013-08-03 23:28:37.232333	2013-08-03 23:29:14.806655	180		0
15747	104befklb0kveseyuffgpa5jwt	$2a$07$j056rxTHRwRaxUwCvc1c3O26hoykJv/lNQdHbGnlRfnMoh/YjuQzy	81	2013-08-03 23:28:37.256422	2013-08-03 23:29:15.306783	180		0
15748	10m3aw9o2ecuchlkw1hlk79uha	$2a$07$GyJk7UeupHR2mRgINCeQ8.UCRNEuqxiVsxrPqMm4mdKvGlebf1zEq	82	2013-08-03 23:28:37.279636	2013-08-03 23:29:15.498618	180		0
15749	102u10qu8mha9dnen9vpbapnk8	$2a$07$BveCWcZuAYAySQheciEoyO/YxkpgjjUZelLsCGp1f9JBg4tLSjUpS	83	2013-08-03 23:28:37.302346	2013-08-03 23:29:15.780077	180		0
15750	10p7hl28utd1zoo3snt8pntbj0	$2a$07$fpDmqZnXe2TvXngxm6Qg1ODAG31hAMEEtWz7Nw.juMIBIDCIgcbO.	84	2013-08-03 23:28:37.333262	2013-08-03 23:29:18.637536	180		0
15751	1052xz6derilct9qcd01d02gb6	$2a$07$6FvpaZlVcz6R8.R31quX0ubR3/gc8cT1OOysmpfiiTjMEFLukxqja	85	2013-08-03 23:28:37.362598	2013-08-03 23:29:18.844321	180		0
15752	10vb34r4gc0md1po2hlerv8pef	$2a$07$49TAH.ZFw6Cv6aMjmHevF.pOgqPUVB6rjW.LiPYJ4gDFJasREmFJO	86	2013-08-03 23:28:37.398297	2013-08-03 23:29:18.990387	180		0
15753	10f39urqvqekkszds45fd4cis6	$2a$07$m9okisBcX3WI9NydC2s6rOf7kK.9mzEmT2Cz3Sm53EYz3khAF.9.m	87	2013-08-03 23:28:37.421415	2013-08-03 23:29:19.125428	180		0
15754	1052jg6m3y8eua1es0uxis49uz	$2a$07$hNkpiMpM2cYJQFH9xD34j.F54Mjblr3Of.k2isyzbYvY8bpvaHrZa	88	2013-08-03 23:28:37.445101	2013-08-03 23:29:19.297221	180		0
15755	10rkqc1hcul88hdyok1zlz7n7n	$2a$07$p1J5NSI9ufAscWpd.tCWBuhH/CjiUQmDftj8rUb1/S6pD58QO6Ruq	89	2013-08-03 23:28:37.470082	2013-08-03 23:29:20.31018	180		0
15756	10ewnxf244xj310exew0qjhmi4	$2a$07$kD/bOFnZ.ln2sFXIRnbbiebi/VZ3ijw/CaSjYCRTp5rtcHVLWFVl2	90	2013-08-03 23:28:37.493331	2013-08-03 23:29:21.716232	180		0
15757	10v5yyg9747b5bit54xjlwt7yd	$2a$07$p2qPFlTz1Fr6DyYX3cTr8.rQIrFFM7KIvbs.w6024I7JQb5JvFwJu	91	2013-08-03 23:28:37.518984	2013-08-03 23:29:21.840785	180		0
15758	10o1unjz2v8qpnv4w0qqjutknl	$2a$07$/IxEijUTSxNun2sPGoRCouNVSHvecIFPfoRIJHxnd/r4bOZ2brIZS	92	2013-08-03 23:28:37.544147	2013-08-03 23:29:21.983146	180		0
15759	10ofn9ui9kn01eramxsrcb9632	$2a$07$Hy23aPmOdXxPEUrZRdeUVeVo1ZlldIEx/JBWXBjsUAmVI/Ou4XMtS	93	2013-08-03 23:28:37.573502	2013-08-03 23:29:22.184156	180		0
15760	107zqkyywpla50s049emi15jmu	$2a$07$6yu20.wJSPdhl5aO.pLygOZnL4ONB.nszq6ogFNl2358.5BTTNEHu	94	2013-08-03 23:28:37.605124	2013-08-03 23:29:22.293105	180		0
15761	104w002jwcjb3ctpyce2ncm5dc	$2a$07$z6NfCHw8CSC9pvC2rdHD.ulNEJ8O74wVCwqnKSK5XvUlgwAw8MWtq	95	2013-08-03 23:28:37.632249	2013-08-03 23:29:22.500352	180		0
15762	10he7ep5loc91j9o815e93d1ml	$2a$07$WLQdIy0Zm4goyjTC6Q.PeOTjZ33aXeJGamB4BoKmIU/PUKAQ9dP7u	96	2013-08-03 23:28:37.656233	2013-08-03 23:29:22.619919	180		0
15763	10otjbkczmn8dbyvj5h10lwslm	$2a$07$TBE1AIzkgKjCyLq5klr73ellWJ/FBw1KvjWVikuwCU9xT8NsAycrq	97	2013-08-03 23:28:37.682491	2013-08-03 23:29:22.756516	180		0
15764	10s0ls0kmp8uxg3h8s48hy2qkx	$2a$07$GozQFlQXYbFcC/RWLlAZgOR2zLyXYADD6Hi/dHQ9sYlY5RJ.cUeRm	98	2013-08-03 23:28:37.712213	2013-08-03 23:29:22.889909	180		0
15765	10b35ivv2h8w4jxfc0xosvd7ue	$2a$07$9QbcqykoxCLwvg9RDL0We.5Op6qxYY2tNLaJMkVQ9X/W1wrDVK.Sa	99	2013-08-03 23:28:37.736643	2013-08-03 23:29:23.036152	180		0
15766	10jaxzdivmr5lbo8g179gx3ove	$2a$07$mtsBdWeHFm4wgaTTvXEKZeTS1bcDCV2nfVx5D3ziGd/3PzD9ANHEC	100	2013-08-03 23:28:37.759881	2013-08-03 23:29:23.159549	180		0
15767	103zqq3bkvrxphmnnqv2ypypfc	$2a$07$HhNU/1ExkD9EKJISOZyQh.P3VYZdkNp64dsbmH0qDumazL6XuZnIK	101	2013-08-03 23:28:37.792977	2013-08-03 23:29:23.472336	180		0
15768	10engg1hhf5xc1nl1pfxb5dl8n	$2a$07$.DUep2M3o5Kngz22Dgf.Re2TQpKpSPt0KnNRX8UjFvmWf2URdU656	102	2013-08-03 23:28:37.814881	2013-08-03 23:29:23.606682	180		0
15769	10sbwyruqjbikdpik8f5t6pfb7	$2a$07$KVvKUCvXqF3qHY.IErn7r.11ETi0/mhD4Tgm9uS76eTRfDeQJEqwi	103	2013-08-03 23:28:37.838313	2013-08-03 23:29:24.033212	180		0
15770	10jc5zvdovco08txblpajqp0bn	$2a$07$y6oc1x/vKKxLsGZG2E4e2erCNCeCFAKuFJ8kpvrg7JTKtdmVt5Ai6	104	2013-08-03 23:28:37.860203	2013-08-03 23:29:24.418142	180		0
15771	10dpx8o2ew2zvrvto4xb8j6gmi	$2a$07$Apbpsi89taxPPHQBOQAViexIYcvDwHhL4cgl1y9EMXyksbETzpNf6	105	2013-08-03 23:28:37.883559	2013-08-03 23:29:24.547446	180		0
15772	1014jfsdkosus0q2hp7tgh463i	$2a$07$n5M1CO8y/r9C0kewP0x1kOP4PHp5QKt2ey0bjA1nXJB0ZOW4tHtzu	106	2013-08-03 23:28:37.906384	2013-08-03 23:29:24.67008	180		0
15773	10lbr82hprj0legccqmqlktrvh	$2a$07$0X4ZYMnUvJnf/GuIVnRVFO36qKfR5XAjTzqfqijZD7KSYCf2jNX7q	107	2013-08-03 23:28:37.930713	2013-08-03 23:29:24.775221	180		0
15774	102l6vpflivwwhnbbgtfkas752	$2a$07$1N8abt.me4z3G30I2iyLT.gTY6uHjbTEN45f3/zJ44tn6eMpPOzqC	108	2013-08-03 23:28:37.963273	2013-08-03 23:29:24.907574	180		0
15775	10xx9bbax1745dzkwvpghoc74i	$2a$07$wZcTj0tGnaiyuGG.XoAMQucPW4RA3jDSZYzmV43/4RXgPPLPAIbce	109	2013-08-03 23:28:37.989388	2013-08-03 23:29:25.063805	180		0
15776	10cdiq56wewptewfya3zdwsybg	$2a$07$f.aK7HB6Qch6dXcN/bcpfu9j9NDB/jYt379dad8gFWEclOJnG/8Sm	110	2013-08-03 23:28:38.012494	2013-08-03 23:29:25.196866	180		0
15777	10g0gakxf0x5adgvtvtdr5z0xo	$2a$07$2LS8kF21j8oHix.8H0.cbu.tEoxg29MiTpOTSqzbV8z4HVBavsRZi	111	2013-08-03 23:28:38.036631	2013-08-03 23:29:25.334796	180		0
15778	108d6ert6eeeisltefzeu4gfzb	$2a$07$QCNClw9TN2SmTlu9xIG42eeG3uU/514tviMVmDfuUs8K5SdP28NRa	112	2013-08-03 23:28:38.058329	2013-08-03 23:29:25.469038	180		0
15779	10q5ke0sk0baav9u8bixd20vzf	$2a$07$v.Ehb4CtiDmZFwaZV3wGFOsjnP0jcoYrWg59RA299xTfSKbca2lNG	113	2013-08-03 23:28:38.081294	2013-08-03 23:29:28.486968	180		0
15780	101t34yig28vt2lifau91au9ii	$2a$07$PyY4ghOeAlXn1GvJ2PYQWugvXu3ayg.zPt0Mjjv2la0EQOhMe7wm2	114	2013-08-03 23:28:38.103647	2013-08-03 23:29:30.983633	180		0
15781	101j0d4rdfnq1psdgagv8wkmyq	$2a$07$eVNzoe09rqimbuluPSJGOOE3fupFbouwjg6Tl2NruiYWeZ2BNQ6jK	115	2013-08-03 23:28:38.127253	2013-08-03 23:29:31.116817	180		0
15782	10lg6ndgb5sjpdya3lkjcp5sop	$2a$07$nUJJ0lfwgNL60zsw0RC.Tu/oT2jJtClvqCsO18I9J45I8Db63/GGi	116	2013-08-03 23:28:38.149571	2013-08-03 23:29:31.307291	180		0
15783	101ofbqrut7hxlczkhdkfiqe3l	$2a$07$Iz0SW2i/YCBSKhKiT4Zx6eoVBiz261r03ThP.KuXTdMVm9CJbm3Ku	117	2013-08-03 23:28:38.172269	2013-08-03 23:29:31.42421	180		0
15784	10s12ffc45e6k157zxy9nq7vji	$2a$07$bPSFhZnOTEtxfP93mjlB5upFRCbStWaH5rRWKyilHjm3ErMW3Yupe	118	2013-08-03 23:28:38.194288	2013-08-03 23:29:31.537556	180		0
15785	10xmu7dt4zqqk9l9bmunxfbzbc	$2a$07$dDZ24odTd0zSIuRiEMdMKu44i/XgKnWGEOAFIKXI75gsccl9WusX2	119	2013-08-03 23:28:38.217082	2013-08-03 23:29:31.784222	180		0
15786	10xp3metu3528vglupxipwvebe	$2a$07$KbwgtF74xhXQ7MMgEhgIyO9jQQeymoblA2Mu6pvZ8Y3bqUtlBiDzy	120	2013-08-03 23:28:38.24044	2013-08-03 23:29:31.8999	180		0
15787	10djua5u7ujvtretd86ffq6w0i	$2a$07$e5/Zg.EyoYJmrCkE.RWSO./t94f.mmPzdfvcoeOqJTNYlzyQIlLN.	121	2013-08-03 23:28:38.26401	2013-08-03 23:29:32.006788	180		0
15788	10gxpuk7mm4l0cncqf1e3jr9ls	$2a$07$RqpDG7p2JBJMmuI1orxJKe4iVXdMIiNppGIXGgA.LnLztDdXCKNmu	122	2013-08-03 23:28:38.290086	2013-08-03 23:29:32.171834	180		0
15789	10ddhjdwumlwo3ogubfwsnawql	$2a$07$tEp.Xmbs8ngRy/Qj3OXFJeJqdW5PZth3ecKdHd5mJ6SFv5Vk1O09m	123	2013-08-03 23:28:38.325665	2013-08-03 23:29:34.755801	180		0
15790	10t80n62jptd4t72d0dl56dpez	$2a$07$MrPGw887Yi00YAuAQaUzOu.MS3s453TdArhaCbQMYBZ0raRwwpKjG	124	2013-08-03 23:28:38.358875	2013-08-03 23:29:37.658423	180		0
15791	102i8s400m664t6jlxy8har0wh	$2a$07$9CgWBMWUAtjh8kHJe7mjgO6BsI/dEj4o1BwHgXakpLu9WkDDQZZcu	125	2013-08-03 23:28:38.384627	2013-08-03 23:29:38.079443	180		0
15792	10eqy2tru9ilc36bmt0gccl3nq	$2a$07$vSauOSRG6PI7Rx6RnJD1Z.lrK4iuOqs9F4Cxyrjlv8aNnv1ZnAsSq	126	2013-08-03 23:28:38.40895	2013-08-03 23:29:38.488827	180		0
26377	10xvguyc07hntb5lvlpdlif6sb	$2a$07$6G7KvD1qn.alh1A0Vkf/veaxvTrrtD3oKyWhoXEtj40DWliMYwkV6	1	2013-08-04 20:41:19.056408	2013-08-04 20:41:22.178493	265		0
26378	106pdkv234njlce5mg7r5smbcx	$2a$07$XeO7tAiA4klQJD30k9mYeuCODeMaWMYcZoFiX0HN8z3BzOnwgfvrG	2	2013-08-04 20:41:19.080291	2013-08-04 20:41:22.34441	265		0
21337	10g96q4kv2v4b6fzoefpjrgn81	$2a$07$2ged04W0h.3iozNn83W87.2Xjz3KCRK7azKtMpFUSIMHNfUOc1yNu	1	2013-08-04 17:10:54.587493	2013-08-04 17:10:57.684809	225		0
21338	10vzqdacxeafrcfdvrkoq4xisu	$2a$07$LSbh7WPCk23OsDhHIoEDlOJXRfAOdix7UmGRs0YWvq9w/C.pzEc1C	2	2013-08-04 17:10:54.610582	2013-08-04 17:10:57.829627	225		0
21339	10luo68q298vu6dlks6pmqv2ud	$2a$07$iGchlDOiNkDC6yFC7OBC5uITG.486EUzDsAm0sea/g.haWAxrols6	3	2013-08-04 17:10:54.640657	2013-08-04 17:10:57.961834	225		0
21340	104cwzbmgwti327aacjve4vn4y	$2a$07$UuXFcxEXTBs0.AotZ7xpmOxB42KM/3BQfrBUHvIGwZFkVKECE1Gku	4	2013-08-04 17:10:54.662152	2013-08-04 17:10:58.08894	225		0
21341	10bsj8zlt7wmzlda1iaykzqs9c	$2a$07$EL1nVZbyirT9tdviERgViOVPyVDWJm8npcB4uiAGd4oPotav3Z1uW	5	2013-08-04 17:10:54.683728	2013-08-04 17:10:58.224247	225		0
21342	10x2re74wbcg69qnixf3wghpvn	$2a$07$rIN7r7DaTJJR6C6C5ChKaOEPtR40lcA.4WH1pY7BsX2iYI4OalPJS	6	2013-08-04 17:10:54.705145	2013-08-04 17:10:58.369175	225		0
21343	10tz9hltbnu4fc93b78733x9ex	$2a$07$eouzsxiiCbm5Fb4kqgQDNuCQo3xYuSB0PYfQVC7z578pXwoe4Qhri	7	2013-08-04 17:10:54.726769	2013-08-04 17:10:58.500372	225		0
21344	105a5izu2w726lfg2bvrbqm7eg	$2a$07$K/az8TjZheqm0u5THT/jreKa8Vff6zcwg7Vmj8zo9Sw5IEBo/Cf2i	8	2013-08-04 17:10:54.748465	2013-08-04 17:10:58.629089	225		0
21345	105rrjfj9p9zcnaukuchl08qg3	$2a$07$dr08D7CWgD9sYNV1fyJ25eJJSNYB3IupoCfVUEfK48X5sVIH58022	9	2013-08-04 17:10:54.77126	2013-08-04 17:10:58.77209	225		0
21346	10eqs8cd7rllkf2wrso3svehln	$2a$07$v4r98XfeL.5IRrKQykv5hu.4yzgQyx4Q/9yqnV7Hq7ZrYGH62MDOW	10	2013-08-04 17:10:54.807458	2013-08-04 17:10:58.905187	225		0
21347	10jk0a3bizcnlmoltg298aui7c	$2a$07$Z606tOzS1Dg7ArhCu7zOmefnNoUC1Mg6EVxm49XguJz8TbRahGYku	11	2013-08-04 17:10:54.833751	2013-08-04 17:10:59.055301	225		0
21348	10ccburs1j7ehv4gijoo5uttzb	$2a$07$mBcPj9XG3IO8weEyWEQYQOBuWBB.PudhRoFutud4QF42ndx32Y5dG	12	2013-08-04 17:10:54.856009	2013-08-04 17:10:59.192544	225		0
21349	10bqzn0r2ypksktepzxkzcrxb9	$2a$07$1fMESgFs9xC8Oxcu0heiV.6QSdSLruXQnpKxc.BFI0Ta2VoAcuXZ6	13	2013-08-04 17:10:54.878007	2013-08-04 17:10:59.327976	225		0
21350	10li7spmt6nxbrniqax8wpyyj5	$2a$07$3u72Wqyp4gUofbBXco/DYeYaxTxh6VDRpdA4Hlxi1UIpXc3H.Kmuq	14	2013-08-04 17:10:54.899837	2013-08-04 17:10:59.459782	225		0
21351	10ftkmq207qs9pypdcoch0s2ow	$2a$07$reEaz9Pu5H9Bgop40AB24ecebKxiFkqfzXWhk/B0xSPOIBjNiyFyK	15	2013-08-04 17:10:54.921901	2013-08-04 17:10:59.596575	225		0
21352	10y3cjggj7u8l5w2er1wi8svnv	$2a$07$d9H4CF2wk1BnQfKhSs9p9ObisWa9sQkIdRMbqUBAkY6/upzdZNwHe	16	2013-08-04 17:10:54.943529	2013-08-04 17:10:59.773011	225		0
21353	10w7ubc63goqgdgaidrggc9slp	$2a$07$k4HEprfjmWL6Gaepmbl9Se57pj9Jqr7GmlPT3IFOk8fUlrlK/BytW	17	2013-08-04 17:10:54.965104	2013-08-04 17:10:59.916603	225		0
21354	108orq2k3wbiiirohk5c9lpmd1	$2a$07$MTmRmDnvTQ64k7CQV1q2iu.KtanfByFHw.cm13B8GicGxSXyx.yVq	18	2013-08-04 17:10:54.987833	2013-08-04 17:11:00.0581	225		0
21355	10uffiopkjrbnor3ujcgpkkwy0	$2a$07$g9Ms.laG2hb4/fXDIwheaOwrt60zV.m9d5u9wig1V7Rtjl/Zzl0g6	19	2013-08-04 17:10:55.010506	2013-08-04 17:11:00.200998	225		0
21356	1020fzc3rg65dszpfsegkx3w42	$2a$07$ga17lNmWpi6rop/6HalJ0.832kLsu/vMcT3hxb8SDioMgRa.4pdjW	20	2013-08-04 17:10:55.033748	2013-08-04 17:11:00.349107	225		0
21357	10plc0rjji3xi78r7i7p23vb9b	$2a$07$2pLOHbwPIH2QDWiBMNKrs.XkOFErzkyTQCFO7rwz0kjWeIvOUrNf.	21	2013-08-04 17:10:55.055465	2013-08-04 17:11:00.494518	225		0
21358	10m5w3kzagbsmgqpbhs6ikfs5j	$2a$07$YyvZ5epdWeB7Lo9UUxYH5uMK7oR58wqWeXDsVHVZyReF.ER7OgCGy	22	2013-08-04 17:10:55.07712	2013-08-04 17:11:00.637054	225		0
21359	10ap5l7xxl7v3jq0cn5k2s5r4z	$2a$07$IdAzdhtemaVXxL22myIiCu/bWF/v5cOUc43RQOVur.5zBdCijdmGK	23	2013-08-04 17:10:55.099493	2013-08-04 17:11:00.772441	225		0
21360	10qaq7rwa3ifux31ubdqt0tfxc	$2a$07$.YcfipMZoPa8iPNTL9ds1.cNyops7xZHUh/a5M3a5ldCfvxHEHR6.	24	2013-08-04 17:10:55.12289	2013-08-04 17:11:00.90935	225		0
21361	10fqj916zjcmlpyjaq7kmtea7c	$2a$07$UEJvxgBZDl7Oih.z738Vyut0j/Ye4xAwvtFA8Zb8zMP0ol4BFCuKy	25	2013-08-04 17:10:55.14537	2013-08-04 17:11:01.138918	225		0
21362	109be2yq6s5u5sw4cwltp2n32l	$2a$07$FXEFnSEWQm0ex7CCou6DnuCalaZrBWf4Vx1whCxWdiRt4cUMPuFuO	26	2013-08-04 17:10:55.166928	2013-08-04 17:11:01.375251	225		0
21363	10zrwzdnj7g69ab8pj4hwppec8	$2a$07$PpTjPPpVnuJfO9jmM7YQnuhgFoiwCAixhWM/LoaY1Lc.2Nu36SJE6	27	2013-08-04 17:10:55.188639	2013-08-04 17:11:01.537427	225		0
21364	103cpm0ehfsjmhcqu0gmg4c6pl	$2a$07$QWRG20HGeI3.u.1GNJyZSOtjC8/DCch7UvV/XJHJUkg3j8CQcNZkm	28	2013-08-04 17:10:55.210154	2013-08-04 17:11:01.840032	225		0
21365	10ymh9fffqfb3y3v2e3dh41o0n	$2a$07$dTYrOhkGb3c8LCwSiicANudUXeU8DD1INMY41.dXsx/KuO.0Vp1zi	29	2013-08-04 17:10:55.231719	2013-08-04 17:11:02.134892	225		0
21366	105huqqwybr1evntd1qym4nw8n	$2a$07$0Ti7daxd.3D9/b09AzrYCOCIKUaImU9B./SjU9EglV6Hsv5huynzq	30	2013-08-04 17:10:55.253322	2013-08-04 17:11:02.439448	225		0
21367	1074jaosvffvt5lrkpihuir6sx	$2a$07$Ap4/oX30MswkDGgAdlrL4ucid4U5zNJLD3yPtGDtp66za23E4ODJ.	31	2013-08-04 17:10:55.275194	2013-08-04 17:11:02.579351	225		0
21368	10o7j1nzkmz58fsstmzwy1rn8u	$2a$07$XpBpWG095/Rr6loj/t2fmeoVOpUM2zqgx0Ihc4Ol3TurscA05f4DS	32	2013-08-04 17:10:55.296807	2013-08-04 17:11:02.720821	225		0
21369	10le34rpxlyvspos2lxi6tupu3	$2a$07$MONsorR5WtisqtmBvprhfekhDKEZUWr6.qpsox8IJBjXKgzFL6YG.	33	2013-08-04 17:10:55.318903	2013-08-04 17:11:02.873534	225		0
21370	10vu0hzrh2llwlhcmbncr350cs	$2a$07$NPbTNe1Mf1rUy39MYdfdf.dxQOy6xWOGX.WBQiKa8SngNE42cdhL6	34	2013-08-04 17:10:55.340671	2013-08-04 17:11:03.019547	225		0
21371	10936s42elydq6mslbv4d8ejlw	$2a$07$R0Eoomy5cWyoZoc1ef3lUuNJ9vndk6LQ4CehxxRgaksLe/ys.XCQq	35	2013-08-04 17:10:55.36329	2013-08-04 17:11:03.248234	225		0
21372	100zye3cf0f3ubk94m09qna3ff	$2a$07$8zkN0.LfKRkClWfI0Cm16OUgVzuPghlmwWgBIJN6HNSDCVeF6EjUO	36	2013-08-04 17:10:55.387962	2013-08-04 17:11:03.548206	225		0
21373	10yffm3g12dfrcuhlk28kdh4cc	$2a$07$WdrD4rnQQ0illXD06.y6l.J/tk9qcPb2mnA1qJQ9NApr1pwtVMRne	37	2013-08-04 17:10:55.419011	2013-08-04 17:11:03.700691	225		0
21374	10m7vz8wl2mqbjlxoiy6gkyqua	$2a$07$fs/hVTZXBMiGXhSOXqwGvu0JZusZHT4k6WLnMM4KQnqrwO/3yX03i	38	2013-08-04 17:10:55.440918	2013-08-04 17:11:03.848198	225		0
21375	10afhw8xu2bwgspadxseecgqpu	$2a$07$ADn1tihEEoJ1AEH1Rwjhje814wUMP9V.ELGjDEd0sC9YSX6ALHHI.	39	2013-08-04 17:10:55.462278	2013-08-04 17:11:03.995674	225		0
21376	10h0gihypedugnpqbtd0wlxvp0	$2a$07$gIrWkGQgsiM3bQFxMqgI5.VxUkmELiVv7g7wxaCSdaPsoESIMrPyu	40	2013-08-04 17:10:55.484452	2013-08-04 17:11:04.129928	225		0
21377	10iqd7ltxs80uh1ojhzb39aneg	$2a$07$KhKl/kzVFNjvayIb2zhWmOmRvP6f89oc24jXuGPyw7H.7vROdC8TO	41	2013-08-04 17:10:55.506041	2013-08-04 17:11:04.26814	225		0
21378	1077p059luafpb5sixi575sg7f	$2a$07$5CbVATOq.hfRnl8UfQt0s.a/9ogwnJFdqvrBg04MAc/SRWCKdgNBO	42	2013-08-04 17:10:55.528206	2013-08-04 17:11:04.403765	225		0
21379	10yitonxzitxdl6qf8byz2m32u	$2a$07$tYTPIha1TT3rQ/EPcQBIU.S/9l7qMvyqlpRUjIXeADFRMRcXVcpHO	43	2013-08-04 17:10:55.550057	2013-08-04 17:11:04.646106	225		0
21380	1050qmmakwiew8a7hn9jhyp6nv	$2a$07$wHda4htv/VpuZzw9RygV3OTxIm4EA4AvjjX12aeiXODBxWibM186O	44	2013-08-04 17:10:55.573288	2013-08-04 17:11:04.858539	225		0
21381	10v9lkht74ttxgdv8g8e955grt	$2a$07$fHC9/Nrsmn5ze2GZTb0ZJuOR5Ksd5idZkMWyBY7x8pW4G/JVKuVJO	45	2013-08-04 17:10:55.594876	2013-08-04 17:11:05.026034	225		0
21382	10qlqmrfmkkfk42osprocz7bjm	$2a$07$c8B4zdhobsoNNheOm0MVXOnPIRlr/yaC1s6qH2zDEnd7S.3upr5bi	46	2013-08-04 17:10:55.616544	2013-08-04 17:11:05.322522	225		0
21383	10j76qmk3sf9qvzq6axa3ew2g8	$2a$07$PMdeVq3DmYKk4p/Qq5xFFudep/BJfs5b4YBAFS6c9wuiEXJzlxVCm	47	2013-08-04 17:10:55.638197	2013-08-04 17:11:05.521096	225		0
21384	10rtmkdlwemceqggpdapulfzah	$2a$07$.js9f8PYfSFUAROdWCjqUuis8rqgQAJxZy5OHYV5f7yW0AcFkZ4OG	48	2013-08-04 17:10:55.659746	2013-08-04 17:11:05.666979	225		0
21385	10j29umsgh2piow6cxrpbdh5r9	$2a$07$KZtPwWnIOIaOM1I00PUJhuteVYbOTavlCelUIbzVEMI1E9xtkN7P6	49	2013-08-04 17:10:55.681282	2013-08-04 17:11:05.80175	225		0
21386	10mjvc5lgprgbxm98d4ixi9jbc	$2a$07$v6rCzYlBByn4xa8BInv0oeAdGEjhNiGJQcuYTaYWnQ.Q0bHvgjUim	50	2013-08-04 17:10:55.704031	2013-08-04 17:11:05.939892	225		0
21387	10b9l66886j846bzne8qeaozx7	$2a$07$yaiHoVz1HRnm6ZAseKC74Ohk/t5os4FLuKTkhj8FcV75FMgj3kdYa	51	2013-08-04 17:10:55.727946	2013-08-04 17:11:06.071501	225		0
21388	106nczqzn0oll3fdz2bqw3dbpy	$2a$07$tnB/AWiBW7WsTugDwCmMceTnEPaP6Vb03THRgevBqcBf015.3sUl2	52	2013-08-04 17:10:55.7498	2013-08-04 17:11:06.224152	225		0
21389	10uve443m1vcvukrqcq5pfo5ok	$2a$07$15QoEVaML0jSkjGE/SW1zePCXVTUkgktakgJHUvOcti6r04uAn4C6	53	2013-08-04 17:10:55.771663	2013-08-04 17:11:06.424066	225		0
21390	109itibg983wxetaajmdvfcal5	$2a$07$WmXRAzDF6WoJLU4qTPybuOQ4VFst.NngI1ni5OVrJEOR.3LUFh8Z6	54	2013-08-04 17:10:55.793405	2013-08-04 17:11:06.661963	225		0
21391	10gqexjuogffxjm9oqvsg68gej	$2a$07$cs2Th6ykF6uiC.NYl.i03.9vbHxTLsckbFkE7Bfj8cceiFYl.MKOS	55	2013-08-04 17:10:55.814915	2013-08-04 17:11:06.876439	225		0
21392	100iuaxhq7skqx8lskosi2b081	$2a$07$CW3ccWdYyVX94c8lx/J1ZekRqzPxUWHy/G3e7UarQCrIcq3GnsNNq	56	2013-08-04 17:10:55.836427	2013-08-04 17:11:07.02457	225		0
21393	10g2lzb3c1bwdah1d90tr66ddr	$2a$07$TY8l8hAb9zA/PhDksVYm3ugg0oPLVQNwCxMSZsc5kll5EeU3mT8J.	57	2013-08-04 17:10:55.858467	2013-08-04 17:11:07.172201	225		0
21394	10qlvehhqi8vhe7r7zssl2wsyi	$2a$07$4sic7.4uhyeE55pNl/43wumqbUZMgxBgRnncMYDg0reMOLxu69bMS	58	2013-08-04 17:10:55.879912	2013-08-04 17:11:09.444221	225		0
21395	10k7iv15a6udf2mi7tedtyxm5h	$2a$07$xDVsipvt8G9tYVG77bhiaOjr82UI0kMT2EHydBW.RAuWT6QYYGbk2	59	2013-08-04 17:10:55.902122	2013-08-04 17:11:11.701391	225		0
21396	10atwqzw3w3ggryrjpt6sa6qpf	$2a$07$L6ExYRoNSZHJJmIbYqari.ClRh7RzTQ0gssuQA41x4/OQignf3XNq	60	2013-08-04 17:10:55.926558	2013-08-04 17:11:13.965035	225		0
21397	10fkoxiqxydsnxnejerxqw71sz	$2a$07$0D2EZ0cP.DLVUzK6jmGlou6NyAl57rcxQFxEsX/WqJYbx.RoHTvE6	61	2013-08-04 17:10:55.952775	2013-08-04 17:11:16.796315	225		0
21398	10r0b6npvzmnqrxvqeeyjx84s8	$2a$07$zX22dsjzQQa//mLlZh02feoLNjWTGfKIVrixHDtJ8YfGm7lnBJFkq	62	2013-08-04 17:10:55.974865	2013-08-04 17:11:19.878731	225		0
21399	10zlrwv0rlqg719s0rk06bru7i	$2a$07$q42/3njdySCy6qITiYZ0GeDG64KzBMq/a5mxP00QWu3DUcRZ/x5xC	63	2013-08-04 17:10:55.997768	2013-08-04 17:11:22.878821	225		0
21400	10duydtxtzivc96e9y01tqbrel	$2a$07$/.cVPql9hLaXRxxrd2q01u5FS0PEbmm1L3cVeRidu0U3w7FT23/dG	64	2013-08-04 17:10:56.020246	2013-08-04 17:11:23.107002	225		0
21401	10lk8qj092okd74vz3zzyn8llx	$2a$07$YvkkIgDi3Ipy7SgwAwXPFuu5BFAuPHBHKYtJW6X3/Q0dxBC4xHtra	65	2013-08-04 17:10:56.044121	2013-08-04 17:11:23.25512	225		0
21402	1075jpkevir3z7erf4y7ckb9q2	$2a$07$cGwB1swbmulvWyryyUWcseTHySBSCByXkUUERBaIjcKkFXI.92GEy	66	2013-08-04 17:10:56.08007	2013-08-04 17:11:23.398957	225		0
21403	10j38alwrzy9rgjwtyu40g1a5n	$2a$07$wYC55aoowCfEvsDy80FB/u8MqNM3aM425Ujl8wt1BZt7Fe/Uu/u6y	67	2013-08-04 17:10:56.109052	2013-08-04 17:11:23.525468	225		0
21404	106bkm5bbhfi7vfve4who057iw	$2a$07$1J99k/4RxQ2GYY6/UufsHOTMwlPloSnT.x0fawpHGhcWkwmKU0m2.	68	2013-08-04 17:10:56.131169	2013-08-04 17:11:23.649817	225		0
21405	10fhgl9n73ux55bz4dri5scwhy	$2a$07$pTCiJSEL1B09yBkHxjpsEubuBq3k5hbT4ZfUIqmC1ek6RTrSBO0ma	69	2013-08-04 17:10:56.201402	2013-08-04 17:11:23.88932	225		0
21406	10hvpvrep4m6i3eaq5m9wnjqrv	$2a$07$4aa02LilhilEZGHq.rW6meUWYwoZ8smVyQxKzpNLv5x42Ctn4Knnu	70	2013-08-04 17:10:56.22551	2013-08-04 17:11:24.024188	225		0
21407	10r1fwkx8cnje7ctrae1xpmc6b	$2a$07$WZWSccb4qGtmvpEmb2FPWuqI7Vmf4b8SZYIXbBn2tve44AXz3N3c2	71	2013-08-04 17:10:56.247042	2013-08-04 17:11:24.181321	225		0
21408	103ouwv64mrgzssltd71h2jixz	$2a$07$6L91brIXNytG9vPagW9A0e3mSBRtDKT2Zl8zWMWVJ67/ph/TXqQ46	72	2013-08-04 17:10:56.268552	2013-08-04 17:11:24.361602	225		0
21409	10t4cc7k91jx50m7kvj6vb340x	$2a$07$g3aiPWb8MBQtbDIfVK8EeucL3wBKcu8ekW4rTqmyloUsVc36e0BZW	73	2013-08-04 17:10:56.292486	2013-08-04 17:11:24.604999	225		0
21410	10f53tfe1slniei4qyuufoef1n	$2a$07$D7RiEK4CL/pBkiGChHj9GurV4VQVXlOPkpHbe3YEVJueRyd6PrWPq	74	2013-08-04 17:10:56.315665	2013-08-04 17:11:24.748415	225		0
21411	10kxa4nqlf39by0nbzrvory1dq	$2a$07$Jq2xa2D8MeBl2lX3Yw5wO.Jm4tNrd.pyLVanqv/DIXwBJwdIzrFK2	75	2013-08-04 17:10:56.338229	2013-08-04 17:11:24.960533	225		0
21412	10i3ugnc8gprn5ckn9adf6qopz	$2a$07$CcWuzr1AyCo0kcYT.kvQ2eCsOGjoumxx0LfFkFGzDKDHUfvi3VtrK	76	2013-08-04 17:10:56.361765	2013-08-04 17:11:25.103738	225		0
21413	10xedgmdp3ri58t39f8ggyzduu	$2a$07$CbgmrOt7x.rmkZLaJajsneWR.klTLT0BDHJBHLvXJAqxfp7o.zZzO	77	2013-08-04 17:10:56.384209	2013-08-04 17:11:25.241517	225		0
21414	10wk33tyl1wxvbf2jdb6nd9m09	$2a$07$5vqGlhm9YSmxxkV7gM111uYTP40kGKW1XY.vDDbpe.o.fDAD9Pi6.	78	2013-08-04 17:10:56.407945	2013-08-04 17:11:25.399067	225		0
21415	10wex3hvwf6fi2nf8zdq36us8o	$2a$07$NuGf8z.nPnQwaaaQBMgwlO4ec7.yOjQ/mO8VA.IGYUcInnQ6REsFG	79	2013-08-04 17:10:56.429777	2013-08-04 17:11:25.701239	225		0
21416	102su9a44gepo1nllkmlfd5pr2	$2a$07$n37liYYPLAoQP3Bs4dg3heBNKzARnWufyMvV3h1V39gSMwPs2Li6W	80	2013-08-04 17:10:56.451315	2013-08-04 17:11:25.847025	225		0
21417	10u8p4hjdbr4kyv2po6s57njje	$2a$07$Os.02K4WQkwBZWNf0uTs9OijhtaRG/lLJInZa2.bEVLlvUu3jv2Ba	81	2013-08-04 17:10:56.473486	2013-08-04 17:11:26.066862	225		0
21418	10cttbhlm41b7lpa4h35e3p4k2	$2a$07$B7PRojriwQZEWA0P3OlaG.w0opRKMxRsNcoaUvoSepmR71n9CwBwC	82	2013-08-04 17:10:56.494963	2013-08-04 17:11:26.245805	225		0
21419	100wrjzzpx3yb9fb21tve72tqv	$2a$07$QpUZF1SJrrLkzz/fMUABC.I3pwNA6JglcRiiHFLY78J/BUJqkAil.	83	2013-08-04 17:10:56.517895	2013-08-04 17:11:28.596778	225		0
21420	10ajmbzibhj7xhua62j3983a79	$2a$07$CsuLyGe9/s93ifjJRf.g5OXrfl6nzQl2gLi9A5tM60yRReoCX1Zu6	84	2013-08-04 17:10:56.549491	2013-08-04 17:11:31.360993	225		0
21421	10rgf0g1g5xp7aaq4f4zazleeu	$2a$07$Vp5pQ90BFxHAUcCufiVpceDOCbHZtJZGAGRjxSc7QiysIafg5G8ZW	85	2013-08-04 17:10:56.583558	2013-08-04 17:11:31.583998	225		0
21422	104wctdobicio5qlfeumzczrn6	$2a$07$VV5cq8gUwfJh50rJP9LsG.cMkJCYzOZZ5.UwPj4cRCMx4TVVZX3s.	86	2013-08-04 17:10:56.607761	2013-08-04 17:11:31.713912	225		0
21423	10htr2df4egkglnqyvsbohb8p6	$2a$07$pMyNQEWYiaIJH7n8z/KD1uLGB1XEgGD3odinP4bcL05yb8EDqFvpm	87	2013-08-04 17:10:56.629289	2013-08-04 17:11:31.856722	225		0
21424	10ch5uhn1egg860ouf5p4jw67x	$2a$07$Vt3Jg3mTvGISeBeyeLCDruk5GrDcYN17.I4oPNM1JBue1UAOqQVs2	88	2013-08-04 17:10:56.651015	2013-08-04 17:11:32.002093	225		0
21425	10k9plulstdp17y2sr2qlgu77o	$2a$07$SvS1.1kG/LDzlIKLGM1Rh.zXO1/CNg9Z89y8Ypn.3B5O.0yO9TNiu	89	2013-08-04 17:10:56.672889	2013-08-04 17:11:32.156583	225		0
21426	10k157qhl0scl636bcz0du71h4	$2a$07$j4RmtZqyCuLg8VZr1j0U7O8Ow.26KjQOxWVkRAB5N2poGLNqpiAva	90	2013-08-04 17:10:56.694632	2013-08-04 17:11:32.291749	225		0
21427	100j8hjis06q910x7yvspvnzp4	$2a$07$5sNNFK56bf6XWTJHeDR7zOaMC27CsWpLdFmYaB/Kt1BHWhRGo/hcu	91	2013-08-04 17:10:56.717434	2013-08-04 17:11:32.433459	225		0
21428	10zn1v0ylwykg4ahyc0p2zpj8k	$2a$07$hoSrJw2JQCkDVdv6Nb60SusIRbEeDf2gzEcBuBwMXqVAXJWt59Efm	92	2013-08-04 17:10:56.739122	2013-08-04 17:11:32.563446	225		0
21429	10x0g1kyors6576mwa848u8ykj	$2a$07$7NPBgOE0Xmu7QCaPFN6.COptRsWocstWib8Osyvlk37DN0EvjH3NO	93	2013-08-04 17:10:56.760724	2013-08-04 17:11:32.695914	225		0
21430	10aa3ayt0pcha99ljjkuiyatf0	$2a$07$r8y77/Ht18UwdsTH4ABseORJgLJzlYIe82H5Z6KMLZPphZWZ2gMWS	94	2013-08-04 17:10:56.782789	2013-08-04 17:11:32.821505	225		0
21431	102xnste6jtejavv4goxpf2mqf	$2a$07$ylCsJ8Zqf9/pDB64Eq0pO.NfmzMifJGajrnQRfztvfFh21PAaQy4.	95	2013-08-04 17:10:56.804988	2013-08-04 17:11:32.968125	225		0
21432	10h94lb8jv7rmk8vo68mnac86y	$2a$07$QAWQ1vm7LMDmB0d6KynO7.KQGT7PbcAw3Pk4Vb8KXFLTmd84GsE32	96	2013-08-04 17:10:56.827533	2013-08-04 17:11:33.108297	225		0
21433	10zd0vqdcnm0u8q18p0r6sa6qg	$2a$07$VuO9yEh0HAMGtfm/nyMWoO.Pt/2uWqU9pXE21aqOX0DXZubH.X506	97	2013-08-04 17:10:56.849445	2013-08-04 17:11:33.249677	225		0
21434	10qr9pnss4zs5tnz4s2d0gddog	$2a$07$kDdZPKSdOFaJKIcTD.XNxOQQ3s8zc7ZgoDvIaTrMUlklVBAJV82om	98	2013-08-04 17:10:56.872728	2013-08-04 17:11:33.393251	225		0
21435	1092fktfcimggywuw39j3ingbq	$2a$07$.4ZZx53QqUnzq/kud2f/zOrpZouoslnp9maFp4UKlSpiNu0xfN.Yq	99	2013-08-04 17:10:56.896857	2013-08-04 17:11:33.53404	225		0
21436	10bsiqytqtkfle38fso0ms9y12	$2a$07$tOwHpfVavQiuOOIOloZ8mehB3Hv/ubszXa1LKZoQPTWJCALg6BRba	100	2013-08-04 17:10:56.920917	2013-08-04 17:11:33.666902	225		0
21437	10wwqla50p9dkm5tkefgetodqv	$2a$07$R84tqywE1B8NobsXwmE/EOODgMmFD44tbwzVlWp6jmd1Dn8o/85/e	101	2013-08-04 17:10:56.94337	2013-08-04 17:11:33.84115	225		0
21438	10tzjvcnjf1dejxcfpq2qgtfgr	$2a$07$LL3hROR4AZKMmh6gHBSs.OaajkrQlhlMwOhQqySa5z5A.7pa46XZW	102	2013-08-04 17:10:56.96514	2013-08-04 17:11:34.020951	225		0
21439	10n1s3gsha1wldgnds63kamjup	$2a$07$ODZpKJeis/o1.OmUOuLz8uVB9cHjo1KZpM5xeEhiNdYqiqD9ATV.G	103	2013-08-04 17:10:56.986467	2013-08-04 17:11:34.312554	225		0
21440	101cqz1gfzrth5u5lqvs2m18g1	$2a$07$Z6S.IO.5.o0O3dZGGhbwf.XFmVlzBTqtgijKgcac4D/efphwimxCq	104	2013-08-04 17:10:57.009371	2013-08-04 17:11:34.48114	225		0
21441	10d5yd1a91hboioz8p08ksioz5	$2a$07$h5uyKv9oAhi481/sSJ4ZLeKDD2I2CluUQii3/jrHvcrqdn8nn.kDO	105	2013-08-04 17:10:57.030782	2013-08-04 17:11:34.622458	225		0
21442	106bh84nd62wqoawout8jrltfy	$2a$07$ynXqbHGvVFXATNbyVP9.EePT7Uj4.KHnsUq1kzpccdRn9dhqRGdmm	106	2013-08-04 17:10:57.051981	2013-08-04 17:11:34.772454	225		0
21443	107iepex54crtg6jc61isb04qn	$2a$07$7g51entTiT38E3Krkh8K0eyq9iw4JNmcPQArLRlUB/JeGA/SZdb6.	107	2013-08-04 17:10:57.073185	2013-08-04 17:11:34.911223	225		0
21444	10909bp1gv7mfa94yw0e8ise57	$2a$07$plnVIUJskXTE8m7KgbUTIu/l1UGfaM1.41.uPwdlhUax0viij4mkq	108	2013-08-04 17:10:57.094449	2013-08-04 17:11:35.049473	225		0
21445	10t5l93pdoxwj4wjsghs8a9zez	$2a$07$3GxxbdiHXmp6f4xi1R1rq.bFizuxW86dk2xgUV8MbpJxAyBPUz7J2	109	2013-08-04 17:10:57.11568	2013-08-04 17:11:35.201797	225		0
21446	102a5l1sn4trspr9e9hx2xbypz	$2a$07$MJS0EGl7/fRITLlZwKDtGOX5LjowvQX4tTuOBvzOf1mmQkmjc2bhq	110	2013-08-04 17:10:57.137528	2013-08-04 17:11:35.354732	225		0
21447	10qg823alja8jh4ilcyvni2r6a	$2a$07$8//O1WAVSrVUVd.90gdGxOzfof1YLtSsRR3CJf8Gp93q5BK36Xz.K	111	2013-08-04 17:10:57.15926	2013-08-04 17:11:35.492256	225		0
21448	10ozjkrsof286iala6vwka8pvn	$2a$07$fqDAKaFfZnmFET6JtJUWn.UlwMmyhTOlKJXMnseGmV3nVWi8uZn8q	112	2013-08-04 17:10:57.180485	2013-08-04 17:11:35.625245	225		0
21449	108bdwlwsocbwv25bhc0g8pjan	$2a$07$JCck/FcPqiwrf9hWPC8tj.pxK.9VAQe9g1X9wiWQqo8LApPSFFAC.	113	2013-08-04 17:10:57.201714	2013-08-04 17:11:35.76203	225		0
21450	10m0mifo6mt9se84bjymaa14i1	$2a$07$9ELuY0RFriGVITuz.4fzaOhS1rWF2EPIUvEseb2yUSo2mft0E8ZLW	114	2013-08-04 17:10:57.223038	2013-08-04 17:11:35.902742	225		0
21451	10hozihslt2as1j3gr6p3xzhwr	$2a$07$95.4U/oE43nNKDw1ICdpUe0IE0osEpYgzV5IE1783ITkALJ.vXffC	115	2013-08-04 17:10:57.244268	2013-08-04 17:11:36.131279	225		0
21452	10oidp6oxw45jg969zssn01lf5	$2a$07$DtqUK57qAZAgBDqGknd/nOgofWqDCwWQ8ip/ixZZ1D5gOelxPnBKa	116	2013-08-04 17:10:57.265855	2013-08-04 17:11:36.284147	225		0
21453	101yo7rvcoabij2hppq87gzl5y	$2a$07$l6q7rpM6BUw3baq4KMsa..sfr91Eu5lJJrTn8FCxAmTW1POG24fay	117	2013-08-04 17:10:57.289178	2013-08-04 17:11:36.474362	225		0
21454	10efzv2pemrxa86s70zjddkb9r	$2a$07$vs4WArh9bMYd6dkPs84E7.GLgq5clcsMXinaO9YqgjVazRkBToy7i	118	2013-08-04 17:10:57.313007	2013-08-04 17:11:36.613321	225		0
21455	104to4b9oz7jgxirt0gvv82et7	$2a$07$/W44ltXzd4tmJHQuf1lANOv7xp4KyNzHcGUy0Sc0nfE5vlV8nIRgK	119	2013-08-04 17:10:57.336495	2013-08-04 17:11:36.757309	225		0
15793	10fbmhhpx9jcymeptr2ej2pac1	$2a$07$8PoBknbFtFMtxCec6usPEeLFfIgE46dvQ.Dv6IeXauOE43GhNCWg6	1	2013-08-03 23:33:35.098756	2013-08-03 23:33:38.365079	181		0
15794	10j0a0xigpz7ngcj6j9kkpq60k	$2a$07$ux/bLFDByF05P7XtMRipoOXiTTPOZquGi2coFUl.c2znO4WyFVviS	2	2013-08-03 23:33:35.124434	2013-08-03 23:33:38.494173	181		0
15795	10d68seighma3mj8g612feppyx	$2a$07$8xF2.PS7JunyfF14lGYf0O/rAuWJfO8Q3liT2NoB5B4kTO6g3zITu	3	2013-08-03 23:33:35.148427	2013-08-03 23:33:38.593433	181		0
15796	10ndsb4ct15d7tk1ve295isd1g	$2a$07$NfQbQzMagpY6mkp3QlMp0OK6HHqBvOU0/ALe1Fux1aeTnVlurrdX2	4	2013-08-03 23:33:35.17207	2013-08-03 23:33:38.763267	181		0
15797	10lp5hy0y7yf403bchh85fp3a4	$2a$07$ywfHeWEUVcoRnoejwEofhuU45XQR1uoLGImiF/xbeqpBQ90rJKgz6	5	2013-08-03 23:33:35.195156	2013-08-03 23:33:38.933469	181		0
15798	10ci93e4k5o2xmx1pb21u8pnov	$2a$07$bzFuxnYb2MHinox7hzPv2u426z1/816qWeOLQ.dIBJ.eg5slNqdWG	6	2013-08-03 23:33:35.22017	2013-08-03 23:33:39.096664	181		0
15799	10ok64cmm65o9kgt8jx62kq1d4	$2a$07$2GyRUStCJN7MtwibYLKzIOd4F49b4oBptkqv4c3JDsU.9KZRDWQJe	7	2013-08-03 23:33:35.248956	2013-08-03 23:33:40.198443	181		0
15800	1092bmpv0fgc1bzr28jef3cubf	$2a$07$qIIsMM2iuOsDRK7NI2LPEuSp.uuSnrvTVS0jZwjmW6Xftgq5..ce6	8	2013-08-03 23:33:35.272512	2013-08-03 23:33:41.187162	181		0
15801	10162whjgvs9e0addtvjml1dr7	$2a$07$M8WMk9/62QTGlS.6DCHHu.5ZKB8AMPI4M5Tn4yryqMCPdbF4Qv0e.	9	2013-08-03 23:33:35.296191	2013-08-03 23:33:42.141452	181		0
15802	10kd7el55yz27qj70jr81d9mrr	$2a$07$HBvMcMiAwG7ksHFAq5QpAOGlOEFsk.NRN2c2gviQ34F9UqLQXzhGa	10	2013-08-03 23:33:35.319766	2013-08-03 23:33:42.252047	181		0
15803	10t90y255z0wvd1h4slgawpg0d	$2a$07$m7Vm1LQWPKd4v.KAE1r.uethgTECw.8.0GcaGWnfWkk9YazGe29Z6	11	2013-08-03 23:33:35.342415	2013-08-03 23:33:42.390034	181		0
15804	10sq937l9qubfjhg7gaadfrfy1	$2a$07$HpbZEW8jdJAHVT7bRVhOqOhvhF.Uz2J7k90Q3nD1NuTf8Jf4sCZYe	12	2013-08-03 23:33:35.367085	2013-08-03 23:33:42.516777	181		0
15805	10ezqjlv2iyflh97whiib6qtmi	$2a$07$ya865yUgerGuNgNICVS7U.IlU829GkvZWgEXmDbP0JEyEyff.3gfq	13	2013-08-03 23:33:35.406225	2013-08-03 23:33:42.633267	181		0
15806	10lt02z4lcj9r09tf4kiyu72h7	$2a$07$FJuXIEPwq9bBPB9OS2ZdeuhKhdi44N2dgMDQ..ZFqmJ832.VBCoce	14	2013-08-03 23:33:35.430673	2013-08-03 23:33:42.766812	181		0
15807	10pqzes56jctk83ydncemz9jva	$2a$07$Pem4U7B5BWRKnsTCLim/OeK3GKH14gHF5JceoRd5B7U7tNSqnus9u	15	2013-08-03 23:33:35.453617	2013-08-03 23:33:42.938967	181		0
15808	10c8uoeya0w9jwz833yfg0u1if	$2a$07$Ae1mtxNhSQ.mPCmasEsx1.hlCCUDfIKmBiY4aEkMuQMim5awEj30K	16	2013-08-03 23:33:35.477379	2013-08-03 23:33:43.070715	181		0
15809	10817tj2qa3lhkzmdhpfex1kwx	$2a$07$7wm52AZNIt91ZwD3CgqGu.xPaVDmzb0xqcMBGrcsLho2rrBdJ.igy	17	2013-08-03 23:33:35.501384	2013-08-03 23:33:43.203524	181		0
15810	10rlaym5gfdd9h98eagit2m6du	$2a$07$Jf6D3Z9inwhmEjuhXbiSQ.6z7X4h6YaVTkOLby/cx2PmlpxbTDZE6	18	2013-08-03 23:33:35.523348	2013-08-03 23:33:43.324479	181		0
15811	1035lhu5v42fjq5h5nuf5m4k7h	$2a$07$5/mLx3/VgU2D.clnnX2.Z.TvDyfZiGb/5NrbtjOMtLs5J6haXrEi6	19	2013-08-03 23:33:35.54632	2013-08-03 23:33:43.440154	181		0
15812	10g97zk9rhoksu8d3pdhkhj79s	$2a$07$WF1HrWjzsJIFMe8vSDPqBOpa8yV6.UAfwvXRLENT0DhJUaIIiPgYu	20	2013-08-03 23:33:35.569068	2013-08-03 23:33:43.591341	181		0
15813	10wfqhxxzddcvt06shdhuzg9xz	$2a$07$eNrvAv2hda3ivt8NUTkJAuRKX2Oggucw46bB2OHBR.gUOj.dTbGny	21	2013-08-03 23:33:35.59405	2013-08-03 23:33:43.803448	181		0
15814	10s3i4yp48pzs0apv76l85w0x9	$2a$07$E1RJQzACoxymHlOD/OjgmeLUKjbdG2Xm5XQvv9QnwcORX.f/497GW	22	2013-08-03 23:33:35.619175	2013-08-03 23:33:43.951731	181		0
15815	10k7v73zt1zn4tmyaleyoaaq7a	$2a$07$dNpBR4sL0pmAdMfVhQR1dOKUlL4Q9iTufjHvRmgD3qvoXEFHTCJQS	23	2013-08-03 23:33:35.649303	2013-08-03 23:33:44.082073	181		0
15816	108motalpzfxaufidwnaz1st3i	$2a$07$gchgCo36z6ZHYapNryV6o.aNEx7ZU0axNo9TkxgMCw0VulTmLYKmy	24	2013-08-03 23:33:35.672892	2013-08-03 23:33:44.222237	181		0
15817	10g3fkhz0yr2jlpbadlt9wgktv	$2a$07$Z0vHFM4tJup..deAmngwl.cSD5p4noQ6j2SJDXfmAaFPcuIyryFe6	25	2013-08-03 23:33:35.696182	2013-08-03 23:33:44.347665	181		0
15818	10a29e6ivdc79usmqfuh2sr7wu	$2a$07$zLBsHTwpXLYJ46a8GorQXuixU/9RapuYbtmD8Q3Yx1mK25vc0Ha5u	26	2013-08-03 23:33:35.719932	2013-08-03 23:33:44.451251	181		0
15819	10texhcovnhci3qlndm82n3dsm	$2a$07$MXKdKU5edX/xZAgiCWt5juGf1Bf5b2k8PxyqfJ4e06ZuxY56nyAaO	27	2013-08-03 23:33:35.742713	2013-08-03 23:33:44.579672	181		0
15820	10yd7p3qbnjjbqf7hybsgw1n59	$2a$07$G0YMNastCoFb6Up7X696vOi/61I2YYaOLSLz7ztBfQh6O2R7I8ts6	28	2013-08-03 23:33:35.766287	2013-08-03 23:33:44.9364	181		0
15821	10vezj9a0kscjbhhlxzx34qtcz	$2a$07$/N5odcy3uWr4/d39ZThsSuOuH/trBuTb7NWYPWR3OGERGOgazCfFe	29	2013-08-03 23:33:35.788435	2013-08-03 23:33:45.261939	181		0
15822	1060hwtvbot04wzh3i5me7lj8j	$2a$07$d5Phqgk35HoDZLxiYVD4fenKgxqSo8usmj3LLSIh5r9oZa3BbPxn.	30	2013-08-03 23:33:35.812303	2013-08-03 23:33:45.581924	181		0
15823	10on2bm5fcks3lk3730rtu2yk8	$2a$07$RT/gflOyZrX117uSHaCCiO0Sj5BwEOijwO2N.zIfVFeevjCDv.FGi	31	2013-08-03 23:33:35.834204	2013-08-03 23:33:45.735228	181		0
15824	10adzh7d86n1mlufaxb4xshipo	$2a$07$2xEyHHxIHtk2nqVi8OgJ7eC9LrYztNDuSoka7x9V6j7hsvhlfyKOW	32	2013-08-03 23:33:35.857731	2013-08-03 23:33:45.882138	181		0
15825	10gh282ys3alm31h8yqk8g6dbw	$2a$07$xwQcJONJluWwQik5VWGNw.WMvw1WTioJS008zdMtXr/7z1tA7UHpy	33	2013-08-03 23:33:35.879516	2013-08-03 23:33:46.006089	181		0
15826	10xf4h5vpkpy7449idvhk4nacf	$2a$07$g1gQXjLOZ3jXkgIx4lPdGuONkA.IdQ4BRaqNavKQZWi1Zjhbwrfsq	34	2013-08-03 23:33:35.903175	2013-08-03 23:33:46.170289	181		0
15827	10dt62v5r62vjy1oh8dlkb1nyf	$2a$07$R1tuE34S.awTQ0uHf.GLhudHPDxE.Ie4fWEeal76O2a/jQ9A4IR.q	35	2013-08-03 23:33:35.926548	2013-08-03 23:33:46.316553	181		0
15828	1042nsvhhcgc5y87bht0arepkc	$2a$07$MhY/g65P4JOIUnE6vfiigudOPJXgVsxcb.R1JPh.wnK4qEtBn.A96	36	2013-08-03 23:33:35.949395	2013-08-03 23:33:46.446781	181		0
15829	10rmlaowyucn66cf42ficxsvp9	$2a$07$/TDYumk0cR/QEhaUjuHfM.a6a5b.2gYuFZlTNIq3e7hHWBXS5Icti	37	2013-08-03 23:33:35.972329	2013-08-03 23:33:46.581268	181		0
15830	10vhhrztdvfjrwtwlylh1dwncp	$2a$07$A0g23JTzNBxp4HA4LzjxW.fSpMgfRZqVSuOO/a/fhQdy2Typx2BsS	38	2013-08-03 23:33:35.996095	2013-08-03 23:33:46.721744	181		0
15831	10rcbeptztel1982to2wl18fv7	$2a$07$6NsTn0jc5R57KGHuZgwZ9OCnefoSP3Ej0L1e1UrlDaxJw.BbnXzAW	39	2013-08-03 23:33:36.020699	2013-08-03 23:33:46.932744	181		0
15832	10zfa9fqkksom6o6nbz2z77gn0	$2a$07$lR0USTgr3NbST0eDl9fiFenY/cc6RCzUBpzFzOZvei3eCnbl8/Oue	40	2013-08-03 23:33:36.052312	2013-08-03 23:33:47.054763	181		0
15833	10s5xcqsio5ee6xjy6vt11ux6n	$2a$07$Fm4IcQSp1ZFQOO29Yb449.ebAypQeQtbP48hs9wSemmCBFBVCRqMq	41	2013-08-03 23:33:36.076474	2013-08-03 23:33:47.183465	181		0
15834	10ktf1okgkagxl7dc6vikh5iok	$2a$07$IK/xpYEqFR9MboYPlp/dR.6qhJH3RQ8Upey8wX.dcz91Xk1YzxsL.	42	2013-08-03 23:33:36.099396	2013-08-03 23:33:47.303324	181		0
15835	10kna4estijfbzv152uil03hql	$2a$07$WngKcYB6Q./H8M/.9g2OuecX4oN79Ln6X.lPkIdhDRTosh29NGz6C	43	2013-08-03 23:33:36.122901	2013-08-03 23:33:50.363651	181		0
15836	10168y2x8cufcpytyme5gu3et2	$2a$07$8cM7IpmLyMhScuC91oRu6enp8LBrtfe0bXHge4rppzDj4LzGXjPKC	44	2013-08-03 23:33:36.146431	2013-08-03 23:33:52.437045	181		0
15837	10ltomys3jisxchj653igi0xkh	$2a$07$6EZu/O9CBewRDqCS8MyUu.FQq/gA0Wqc/pxiNSlbp7mXJtwvUr9ou	45	2013-08-03 23:33:36.169445	2013-08-03 23:33:53.8581	181		0
15838	10fx8t4mp1tljdd01ndph5uh3g	$2a$07$s09D8/kNSi480KLQn07RruRLZiKnZoQjmXkxBTuk0D0zpCfmGjO2a	46	2013-08-03 23:33:36.191876	2013-08-03 23:33:54.000523	181		0
15839	107ys5rs9f3p22yyvyo1bigsms	$2a$07$yBFjvHX3rYv.qsQmwklCK.GmUWoCiMA90PVbU5nThkfLbiZEu/Rdy	47	2013-08-03 23:33:36.213952	2013-08-03 23:33:54.140665	181		0
15840	100graeffu3g6ix37n5da0xy9x	$2a$07$XiKNjYikO1dlkBWu3.oMq.R7HKoDYBxJp6V4E/oh05GWgsr4W3aBK	48	2013-08-03 23:33:36.236224	2013-08-03 23:33:54.272775	181		0
15841	107ocmdzyo1gb73abr9k41c92x	$2a$07$ESGD4litN4Y28oR1u/ygkOFIF6q.Fa1Q6L09gVurQddEVU0OoOVwi	49	2013-08-03 23:33:36.25906	2013-08-03 23:33:54.416573	181		0
15842	10yk3ygsjx234i9ao2weyruagz	$2a$07$hth.pHQKVgScaN8XpG7cF.sAil3xGe0lKgOY99xayl8NhHuZDMnli	50	2013-08-03 23:33:36.28158	2013-08-03 23:33:54.561376	181		0
15843	10q4i2ojcolf53e1mazu63ocvv	$2a$07$FffKhp5Y3SFInOko4JI1QewU5wADpUKeiNNAO/Xw.t5T1ZFHVhSrK	51	2013-08-03 23:33:36.304643	2013-08-03 23:33:54.701731	181		0
15844	10g3yaubf1uro1le9uz6qovumk	$2a$07$JGXv9ncQsBjg4GWB6yvko.q4FQB2GzXBUVm9p2l4fSI65pXa1WUuS	52	2013-08-03 23:33:36.32706	2013-08-03 23:33:54.851739	181		0
15845	10huevkodsb1mkswhlqnuby3o4	$2a$07$0qfoWUfMHroIERH7aJ3dMu1NTc7/Yo4Pu.RavaE4MF.oGUnhflK3W	53	2013-08-03 23:33:36.350116	2013-08-03 23:33:55.016904	181		0
15846	10agmop5n6khth11uet00t9bp2	$2a$07$SfON76.Xu34I1Z9dX3g3T.9IelGbwGeZSxnFTfVA/.On05iezZYGa	54	2013-08-03 23:33:36.372412	2013-08-03 23:33:55.161697	181		0
15847	10qq16otnmehlnptneuovpwms7	$2a$07$nxPmgWQwkCsGu8/9J8/O1.czrgSn0OsQDOKRS8pWmAMG1k5FjO0Sy	55	2013-08-03 23:33:36.395685	2013-08-03 23:33:55.30447	181		0
15848	10pi0artaltnagrkx40hvcd7ff	$2a$07$6J4oW06yIW8rVUPG5LwPFOGg2KRtVPwLNfipIBCl8/rjMHknTNLgy	56	2013-08-03 23:33:36.419028	2013-08-03 23:33:55.470461	181		0
15849	10xeasxqek4venvv8jnegh2mxr	$2a$07$FREmxhWLHSOieq85zMxaJuabj4x5/aLjn84.HpbVsL//v3keRvBn2	57	2013-08-03 23:33:36.442279	2013-08-03 23:33:55.649341	181		0
15850	10b524gjky2esm7m14vbeq7ju5	$2a$07$vrdZQHUr22Q8hc21a9ji4.eOCsM242wbFZd710rxR/SPXt9Zz94VG	58	2013-08-03 23:33:36.465633	2013-08-03 23:33:55.79823	181		0
15851	10cbewlxw36lii6xzqwhw6x8s3	$2a$07$rbZUcxWBe1iP0G5aDBfLkOHJwUtAQAHiZabx6kHE/pruHOvJ0zTIu	59	2013-08-03 23:33:36.498398	2013-08-03 23:33:55.946539	181		0
15852	10ut5shlboy0chqunz5b1quvl7	$2a$07$N2nH8ediGRy3R80udB2CZu3uyNY7rE4fdrnJdQflpGcS9uAHdPc/O	60	2013-08-03 23:33:36.521662	2013-08-03 23:33:56.072496	181		0
15853	10a734eu5mt5kk14s5cvhdyvto	$2a$07$sTSh8EJ14ctXdFxDNfT9i.y1GB77I7P9DMTmxMpwSSll1aht2xWwK	61	2013-08-03 23:33:36.544345	2013-08-03 23:33:58.540753	181		0
15854	10p41slyt95n5w6tkygpp7vukq	$2a$07$0UedXdHRoeyYywVF21u5b.qxvjA5cODI181kl62fUAAhV71IbD8we	62	2013-08-03 23:33:36.567011	2013-08-03 23:34:01.34529	181		0
15855	107an0ojj9bcvsnobvenda4krw	$2a$07$INrmfi2LhZumkKXbhDIyEeGHz6iK6fa8r7sq2hrG57P2QrAo9KlVa	63	2013-08-03 23:33:36.590108	2013-08-03 23:34:04.332993	181		0
15856	10xxck5hahk9fyljrz3rt1s6vv	$2a$07$0u0IbUwAKC3Szd44aOw/Tum9Igh4RhEBRHAC9NgjzoyTBntclw.NS	64	2013-08-03 23:33:36.613331	2013-08-03 23:34:04.487984	181		0
15857	10o50mnwf6qq922l8u4xojhsy3	$2a$07$oVFsrOyknBit2DECrxzCpevsbi8NkLpY9Z2rlOGdaxCPLYItTeLp2	65	2013-08-03 23:33:36.638568	2013-08-03 23:34:04.643379	181		0
15858	109226xekfpfad1q8rupqb394e	$2a$07$y/r/rvgGHNtGcBxENpvh5eYocKl/hxRw45SJjz7vbw6SbLPSEvWi2	66	2013-08-03 23:33:36.663929	2013-08-03 23:34:05.553404	181		0
15859	10x63axr6vgc8onbvzcrjquye8	$2a$07$7fNFQRl0/to7B9FrKaNKqeyX5NT1T6prztC3cszWOvmfYA6GZiiGG	67	2013-08-03 23:33:36.687703	2013-08-03 23:34:05.702812	181		0
15860	10kgp993erq83vvb8xaj2mppqu	$2a$07$3bMsISDFIvkHQyNwLpTQGO83br.kXrEWgFwIqe.3c6RvnP.eUX09K	68	2013-08-03 23:33:36.717046	2013-08-03 23:34:05.840252	181		0
15861	105v1ivege960izgo5sn74t0iy	$2a$07$3e/v6OOvxaJvg2LwDd5jZOduDdHq8HCN3GRBk8oFlLB5KG1nSo98u	69	2013-08-03 23:33:36.752924	2013-08-03 23:34:05.970209	181		0
15862	10a92kb24o9fepmn1h3ug9xtf2	$2a$07$OcAF.k72QZj6eEApQ9pK5eb8tYCPHJwuh10Sso9KWJIQ/V0riXLMu	70	2013-08-03 23:33:36.783188	2013-08-03 23:34:06.109074	181		0
15863	10ifoewt93fl6ueks3spapy6lw	$2a$07$1Nc5yK2Cq2XYpj1FkpOy6OmwgOh36d0vE2XiDO3mIGlLRFmXL7syC	71	2013-08-03 23:33:36.806255	2013-08-03 23:34:06.221208	181		0
15864	10e5dirvcusubo5n8ct40b63nq	$2a$07$Lmlmxba090ILRfSJbfXuzugOp8jduyJTCsw4fk0MeYz69Uh2e7.yy	72	2013-08-03 23:33:36.829435	2013-08-03 23:34:06.343502	181		0
15865	10g3v529wa6h1vyusm7gzkz16k	$2a$07$Lzj0EJncYQlCJxR.taScMubUQPEdK4QB5Ts7qD0dD/TlkqqtNHoLi	73	2013-08-03 23:33:36.852876	2013-08-03 23:34:06.572221	181		0
15866	10276o3mv1qvhozgrw3zbhz9tq	$2a$07$m3PwMrP7evNlQuoTm49WSOipeMV75YJpkRZFkAn6BK6wMMD0hv4pG	74	2013-08-03 23:33:36.875442	2013-08-03 23:34:06.685724	181		0
15867	10qge65n81kbofipyd9qiyiyho	$2a$07$xiHBXcQJXKjTTQHnmFbhQekuWjqYx.LvcoRzjeSOvBjkP/ndLsh4e	75	2013-08-03 23:33:36.899262	2013-08-03 23:34:06.810602	181		0
15868	10cn24tg3odrn4ft9d42gkk49o	$2a$07$wLuJtN3N0pUYs5DvUUPp4.OVf0dlbCnibGDVrHwwyMMMibGkjwOTa	76	2013-08-03 23:33:36.922888	2013-08-03 23:34:06.920293	181		0
15869	10wkmy423aq6o3eo10nk7phqhx	$2a$07$aybqxCGqgyolmuC0CEfeLumJKOsu8es68Y9LkGV6GuXMJAFskmdjy	77	2013-08-03 23:33:36.946782	2013-08-03 23:34:07.065185	181		0
15870	109xo3gbd9jtryhgnt319t20bl	$2a$07$wkl4At3v1z0u/lkTu8o7te.UVBU1e5YgUv4EPEu8PPo8pOuSUw5gC	78	2013-08-03 23:33:36.970529	2013-08-03 23:34:08.529527	181		0
15871	10vvswcij0oz95nmiuxcodiwvp	$2a$07$jC.d9Dp0kn.t29VEs86FmunhTc5Z/bueWOcRG3no0v/H3/otnpBA.	79	2013-08-03 23:33:36.994277	2013-08-03 23:34:08.665842	181		0
15872	10sxjn7ow6nkang0no3kmapn8n	$2a$07$jS8rBneCh/OqbJbvsasHd.s.izCxC0zE9PZh6Hvjq2UdCFa41uJxW	80	2013-08-03 23:33:37.018373	2013-08-03 23:34:08.780509	181		0
15873	10m2jgisv5pjqaupvegb2mnnuo	$2a$07$FceOF2X.ky81k5QJXBAmbuYHXiXFapnImbNC9Wh/iu2LBdz2DizYy	81	2013-08-03 23:33:37.042228	2013-08-03 23:34:08.913978	181		0
15874	10lgi0uyaxm15zbmux7mmbasve	$2a$07$a6balFRMk43WDAyr5EgRH.YVvOph5GpzMnVA70uZrvvwosZpCOqiO	82	2013-08-03 23:33:37.066463	2013-08-03 23:34:09.063661	181		0
15875	1041k4v7nokwk50mmmw536w48z	$2a$07$IT.bjLhAZwkj4/mZii.YluyIMq6ITA632Ahbhf0F3haiYYJAS8fwO	83	2013-08-03 23:33:37.090809	2013-08-03 23:34:09.203266	181		0
15876	10r9ctcixr4bktmioqax2493o1	$2a$07$Bux0/mAIZjTid74jMeFR5OcxYMz0d7/Y713TBuIC2Kug95ZrZsdM2	84	2013-08-03 23:33:37.115046	2013-08-03 23:34:12.124931	181		0
15877	104q6gyxyn0bt8yg5q7ody8u4o	$2a$07$Ml88oi5gfQbTPTS8aEQk6OLB7kp0hcscXA5P8P4lsv.nKWP13uVl.	85	2013-08-03 23:33:37.139162	2013-08-03 23:34:12.249567	181		0
15878	10cpo23lkdagq1ypyy2xds1xz2	$2a$07$M./gmYdSw4jYcOAr5Uc4KOV9.lkDCqd3d8JCVeC1RWJj6WmkMqyzC	86	2013-08-03 23:33:37.16315	2013-08-03 23:34:12.376396	181		0
15879	106pskg1f6idaywp0zhsbp1jh2	$2a$07$9DBQflWZlRstY39X1i0dwO2hHLw.uvftGOdIJjM4CQ5b6zoOj/dr.	87	2013-08-03 23:33:37.186914	2013-08-03 23:34:12.585351	181		0
15880	10pu319yb68gww6qdzgihczpln	$2a$07$MR0hAhdFqWe/QuYjtCNcceEvMUgJRJ8ykAWo/67F8bVZO0NmTTwFO	88	2013-08-03 23:33:37.210906	2013-08-03 23:34:12.739888	181		0
15881	10aqtueqwlqxo0761wpcjr51ed	$2a$07$QvnG0ClmIYEpS3HGiQJXS.ZVRCNaRF1eABmFomPju78PxBSx69MQ.	89	2013-08-03 23:33:37.234561	2013-08-03 23:34:13.956641	181		0
15882	10ktkskiwltci7wd159stlb0lc	$2a$07$RUC0EalJ8r8.SKj0EHXET.se2gvq6UhILGP/4yPnegMVeeZiBgH2u	90	2013-08-03 23:33:37.258631	2013-08-03 23:34:15.050172	181		0
15883	104asxel7yk8nncnr5tp3fw31q	$2a$07$3G6yPy.y8yhQpbvn.0JuPOx8YJUXUnNpP54gzjWqDkNUYbqmHKMWG	91	2013-08-03 23:33:37.283054	2013-08-03 23:34:15.153209	181		0
15884	10ottny5i6km1cb6v3t3b7c9sp	$2a$07$qn88RduD5tn0toBwNd6Bjee6TsorSwmmCRbL3JFkC2lSWMnBwVbAm	92	2013-08-03 23:33:37.306899	2013-08-03 23:34:15.268131	181		0
15885	10exeru4635m5owxi2rnms7jp9	$2a$07$dx6N2U1G8Hfp2Cn/12iDzu3Zgrc4W9KJmmYDGedSIVBDJKAqiEZ1y	93	2013-08-03 23:33:37.330703	2013-08-03 23:34:15.397873	181		0
15886	10acb7c9asl32v5jtqkqbe8rnd	$2a$07$XAwDGIzsRR/Ss6OS8bJ.xeKos5CeSxsQ.3KnyppANYI0eG7YLGsUS	94	2013-08-03 23:33:37.356003	2013-08-03 23:34:15.525281	181		0
15887	10xt1o5ijeyde0fsgw5jvvszkm	$2a$07$VSymXkH8YfRSqq8PLJ2PGuqu0t.aWZgTsFKgj6DB.UdbNxtx9Il6S	95	2013-08-03 23:33:37.379949	2013-08-03 23:34:15.659769	181		0
15888	1096tl9p3rdyyx0j4wsz7bau0a	$2a$07$z5Vnogsbex9vGLqeDBjO.O7vI/kTck.OBoEBEm/EYuOruP2SsN3nS	96	2013-08-03 23:33:37.405781	2013-08-03 23:34:15.781659	181		0
15889	10yp0omktl9ece2dj3f5nq9jmv	$2a$07$UUCfKXxVGn7Rl0FmpDO2wu1jCcazHR36dQx9M3YjcsWsOX10AfuZi	97	2013-08-03 23:33:37.429724	2013-08-03 23:34:15.965386	181		0
15890	10530k190xdro0121mxbtobny5	$2a$07$uxWyh6KkkcgPSSRHiQBYiOMpc6G671elvF940MnpncPYkyrjxtp0a	98	2013-08-03 23:33:37.455379	2013-08-03 23:34:16.093461	181		0
15891	10gwvsp9hmfwnsd0e7xvcyhgjn	$2a$07$79RMA/NXocQHAiOiWszrt.sJM0zkjXInWPwwagz8ELs9lvQ4nVR1e	99	2013-08-03 23:33:37.479173	2013-08-03 23:34:16.190143	181		0
15892	10ujzeeg70qun4imi69u42jjo7	$2a$07$tQ22CycE8nY5/Vo5kczTY.OuaxXUBUI4re8AE2CFKjxnQdnCUrP4G	100	2013-08-03 23:33:37.50262	2013-08-03 23:34:16.29009	181		0
15893	10h9risi8uwbsuuxn89f6amdkk	$2a$07$xHXnsjIcqLtN53M97Xj6DO.NdbxNSu/11jpGyBAxou1IEIygg8NMK	101	2013-08-03 23:33:37.526179	2013-08-03 23:34:16.408958	181		0
15894	10isdu9klmg1cia3bd52dpkfoh	$2a$07$OKUnaSOuBZu7Z67H2NuZw.gTPZ.ehlk46S8/CrFqxEMPqPCrhZTkm	102	2013-08-03 23:33:37.548959	2013-08-03 23:34:16.517195	181		0
15895	10qtlxvnfumnziqokh919muirl	$2a$07$wSJzIFbGVNIyIEft5vxtYui0GhyX97qDCZ40e2nlNPLpfmXfJa5He	103	2013-08-03 23:33:37.580437	2013-08-03 23:34:16.640903	181		0
15896	106tw4vi1vo0kvkjhvsn7ghet0	$2a$07$lbl1OjsnKKTC7piaRBNYeuJh2pJ.sDHv7e0NxxDhnv6j4Kgrc8C8e	104	2013-08-03 23:33:37.601784	2013-08-03 23:34:16.755975	181		0
15897	10asq4hqapj9vlwtbyr8u09ht7	$2a$07$.BA0mq7MWePcXNQJuWbhJOFVpanuK1KE8TDhHs83BV7/a0SJHtISS	105	2013-08-03 23:33:37.628653	2013-08-03 23:34:16.864273	181		0
15898	10hvh38pczmqhcwzu96u5lj0a7	$2a$07$iPhMJQbc8GF5PY3L92R0C.SlmJaMZhAasDJUe9T6bMsUGWG/4tY3i	106	2013-08-03 23:33:37.650152	2013-08-03 23:34:16.981832	181		0
15899	10wpvx354tocyi6v8zcycpwf2f	$2a$07$fIzgX/38P5Oimj7a9jFH7ukATLjWvM99/WIrKALyMc2lR8VJ9zL8i	107	2013-08-03 23:33:37.671935	2013-08-03 23:34:17.111597	181		0
15900	10otksxkz06q5mm2w8lrqi3358	$2a$07$9DSfqaEjXamBH9TeIdEFKeJnR7araLEyxDeoJMT8Sn1Kws0YwcPrq	108	2013-08-03 23:33:37.693547	2013-08-03 23:34:17.23619	181		0
15901	10dkkwrn1b60kqgj2mkdngga19	$2a$07$46L8BPD//iBDiyZDkdIOaecFColGZIFbD2UAEqbjC6VqN6MfxUkB.	109	2013-08-03 23:33:37.714536	2013-08-03 23:34:17.358605	181		0
15902	10lzgsaip0exhvdxwdivsjbjo1	$2a$07$Wy1fXk2BLneLcOshJvC8xOP.p37tWSP2OGtzvKDKEpDrTcvR8JNiS	110	2013-08-03 23:33:37.735955	2013-08-03 23:34:17.455978	181		0
15903	103u03qhc6omei8cn4y64afua9	$2a$07$u52soghd6QBE6d2ntxknk.X3nNTtITjwfP5sOCWEtJw4cU8vHBAwC	111	2013-08-03 23:33:37.75852	2013-08-03 23:34:17.56154	181		0
15904	10e32q3k0rqnu212vb054vvttu	$2a$07$WL.qVx5wPJn32ou.gTUd3uN1aVYGr40HxxqqG34/DKbbVdxEMQIRq	112	2013-08-03 23:33:37.781699	2013-08-03 23:34:17.670106	181		0
15905	107wejk22uimgi00lx5iyohk5y	$2a$07$LAWFP5F47BXKvcA/H95L8.RghZH6NhK9BytSsKASj5ieqGuv4Krz6	113	2013-08-03 23:33:37.806717	2013-08-03 23:34:19.172316	181		0
15906	103cvo5juwc1q0xp5a77eu4wok	$2a$07$vZZf/h8adusM0w.OnNve7eJq69iZIj59Gjnt/lzHmDOueeIjcVCeK	114	2013-08-03 23:33:37.831602	2013-08-03 23:34:20.609646	181		0
15907	10op8zte4dp89q81cu3k01j3ox	$2a$07$xM3A3a5C3kz4927uOoucoeRNeDpsquk6Pjxmx1WpaP3rBPoUdIfPe	115	2013-08-03 23:33:37.855556	2013-08-03 23:34:20.731379	181		0
15908	10sty47i6c8r99ttptaidhw1r8	$2a$07$674sDvyJ.rzRFdn7h2TBXuPlsxmosrhKDqfHCtx7qv9z0ii.d4W0i	116	2013-08-03 23:33:37.931628	2013-08-03 23:34:20.845214	181		0
15909	10wha3qimube9i9yzl419yst64	$2a$07$mZh2eCi.vnXwzszO8zsCcOMGO6fLh0s.oquEfn9Ks0D8IVJN.HhW2	117	2013-08-03 23:33:37.961746	2013-08-03 23:34:20.961927	181		0
15910	10tmaanst54tmtzkvcjixwu7iu	$2a$07$eHzIQSb3XuQ113KerjkmRuN174ExsOHTbdmVJzsSJMrYNxRYQweeG	118	2013-08-03 23:33:38.01651	2013-08-03 23:34:21.072047	181		0
15911	10y6ngxw1cmvpb9oqxv1hnfft2	$2a$07$EawCcT.pP0uEZMg.dX4VcuVGqKgZluqVlgT7k1T9acw48Ak24Wlmu	119	2013-08-03 23:33:38.047741	2013-08-03 23:34:21.167023	181		0
15912	102ug8jjagv3bez6imtkvio33x	$2a$07$k.NgyFEP4ovChoEaCBa1xeZ7aBr9rLGPKRVbcY6Nd3dlPvVJEW3nW	120	2013-08-03 23:33:38.0719	2013-08-03 23:34:21.285507	181		0
15913	10gizub7l2t6i2u8r07hkeyfmv	$2a$07$HgRfZn.vuxVDFPU7VWgrp.HuvaIG48nWO1nfx3H9I.ohWgSu9oGYC	121	2013-08-03 23:33:38.096646	2013-08-03 23:34:21.418615	181		0
15914	10n0ildhp4n3seunw3ceddeyfj	$2a$07$nxJcL5YnSmwgqR9N/8Fc7eXJOs9RJdq9646G41jwatBPHW9Aa6iee	122	2013-08-03 23:33:38.122313	2013-08-03 23:34:21.549539	181		0
15915	10czhawamcdyqkico4jeu2pbw2	$2a$07$9WmR9Cu9Rt.xfZgtkv9lM.DYc7ge8IbIoeqM4lytSqiqNBHScZDpm	123	2013-08-03 23:33:38.146399	2013-08-03 23:34:24.252687	181		0
15916	10b3vz1m9imxz5iiwvlzd01863	$2a$07$Ow/c0.6sCEix.Wk1Cq8BXuuoueIYPix1/302M9/kZ63xD7UJ3auyq	124	2013-08-03 23:33:38.169803	2013-08-03 23:34:27.140025	181		0
15917	101uxzw1vq1f3ohfdttxmz3dse	$2a$07$PAEX5kPwwSB8YzsI5F1ZpOr0DzprfRFB/b7T5NeDpr9zGNrmGsDaG	125	2013-08-03 23:33:38.193643	2013-08-03 23:34:27.265786	181		0
15918	102dvl1b5j7cg92l2ufohgfos2	$2a$07$3ZIV8K0WhFE5I9X/il.8X.jbli2YGpyck21jscJPfcf.h6RfNQIDy	126	2013-08-03 23:33:38.217422	2013-08-03 23:34:27.384839	181		0
17683	10m66kr2g02meybzwyqcyiigii	$2a$07$64.oGKw4/E.zQNuRyzf3Le/Tg8/Y2M5tjAGbKD/Zn75N.FgLIQEY.	1	2013-08-04 00:49:48.044978	2013-08-04 00:49:51.399354	196		0
17684	10gevx2sgb4li7dk41pevb2scc	$2a$07$XHHeSnCRs.dEpTK4J1JSXeROPowBImX.nPAo0Sjg05emMyD4o5f2C	2	2013-08-04 00:49:48.068914	2013-08-04 00:49:51.88947	196		0
17685	10zxnk5xabf9xk5t6lbqrcbypi	$2a$07$LpmPbHVzn4aSUWzx8J0VO.3eHWmPICvw6yE8F5g.IuDJoiT3Fg1.C	3	2013-08-04 00:49:48.091076	2013-08-04 00:49:52.353917	196		0
17686	1023oi5gysbngch80yj7z9j453	$2a$07$IFxCJOufBQpwgyS7Ysv2HeXgRb/mKEoIDF.rHxdGqZiZjwuNXIprO	4	2013-08-04 00:49:48.113689	2013-08-04 00:49:52.47129	196		0
17687	107i3jbzmzukculdebp5b3fpqu	$2a$07$.BrI2Vq8pKu5s85kb4UX5e6buFYj5Ix.wmiZEjJGjVxz6NC.2Gzd6	5	2013-08-04 00:49:48.135791	2013-08-04 00:49:52.581355	196		0
17688	109tul669xmwq2xvyfdk0osdwu	$2a$07$feb8BlovoPmbfXQJ46bIjeNeWz.7JfNBCLrFBCeTdNhBKz0WU21/6	6	2013-08-04 00:49:48.157386	2013-08-04 00:49:52.709456	196		0
17689	1032reivlu90w2ki0ti8usremf	$2a$07$kRY2PCoXb7yg6v0iKEzndOhjNDb47yy1wFdlpybWBoofEp7dnQNOC	7	2013-08-04 00:49:48.190725	2013-08-04 00:49:55.8351	196		0
17690	10n50re8rkqel4m0kgqd9pfs4m	$2a$07$PZlmlJOjHtyqDFTGin9.hOLS.QkL5lpH2Kg3a8JFCYNRaBggjciIi	8	2013-08-04 00:49:48.212299	2013-08-04 00:49:58.948391	196		0
17691	10fresb5ankjohiy1ca707ga8k	$2a$07$Zl8fTp6qo06819e29/eHOOweRETLyKOyBsWwvFmQnpOjWNEsKvuMi	9	2013-08-04 00:49:48.233777	2013-08-04 00:50:00.946063	196		0
17692	10b6msy2cogyewcnuu8z7o4km5	$2a$07$mKM/J8qnFh0SP4o3RkGQeOqOVWbiAGLrh8r8wDensYaaRigTg4Eq2	10	2013-08-04 00:49:48.255386	2013-08-04 00:50:01.051874	196		0
17693	10nsca34fk22b45o7m4lw4wnnf	$2a$07$FTHLy9FWs5trLjTmWz6z6ORYjmigcjrLb034ynklgFsoIP.a6vFnG	11	2013-08-04 00:49:48.277689	2013-08-04 00:50:01.166603	196		0
17694	10nych4gg0uz1eqbgwzx2i9fpq	$2a$07$9oSLx8LiQ2ywf98zJW.PYO/gK8NQonl1WX.pfzUYsdaSdwNDWZb8C	12	2013-08-04 00:49:48.299173	2013-08-04 00:50:01.287423	196		0
17695	10e92cr47dvt4j1fltld9wgbro	$2a$07$yQ11252epsJYxOgxMjWaue2JdL137kwqCz32aDMhAZR54gwc7/3/e	13	2013-08-04 00:49:48.321964	2013-08-04 00:50:01.388194	196		0
17696	10c02azjxb6wpt6s7tdke00hbk	$2a$07$2Z.7dLzbpZlV03UENSzdS.98uW/wlSXfb8sKOTDCLrk2HAY/DiA.e	14	2013-08-04 00:49:48.343777	2013-08-04 00:50:01.494777	196		0
17697	10r6ai8nfe3rwcs66xbni8se3w	$2a$07$eKJzg.L2pAPShZnfut8gXu8XRtyU0l3K2R1vL7uuWLpJcTlQjiR1e	15	2013-08-04 00:49:48.365165	2013-08-04 00:50:01.602323	196		0
17698	10yyx9dmrcgb6vc0bwttcjmft7	$2a$07$LquJl8HhI5Qy1BHHfYKw2ebj0SL0pRCpWTkvvhF2Eiv7.t7QJmsr6	16	2013-08-04 00:49:48.38676	2013-08-04 00:50:01.747987	196		0
17699	101gy9rx7bf2hlc1dk072ts28c	$2a$07$wWGkUF/KiIalv4qBKUtQresIxLZNzhU0fc.C4LEVjLqe/4XyYLSYm	17	2013-08-04 00:49:48.40833	2013-08-04 00:50:01.899852	196		0
17700	10hq1zeubd1wvxhjlwuu5vnke1	$2a$07$vTzqNUMK8K7GU4exQDjMwu.vp77YmhtQ4mkVTIlox3FUoJD765niq	18	2013-08-04 00:49:48.429942	2013-08-04 00:50:02.060393	196		0
17701	10lspu2s7l9t2aoclh73wlonyp	$2a$07$88iGfLGDoZtO9bl7A5PmIucc.T35wWJgApk/USaZPrAKpuDShCgjG	19	2013-08-04 00:49:48.452581	2013-08-04 00:50:02.158121	196		0
17702	10fzg2vxr4lqj3znhwdtmkyzxo	$2a$07$Ao4cNnscRAoaQ4klh9avkuy7a0NJdfVueaWo.rse5Ygox7n.HCEf.	20	2013-08-04 00:49:48.477128	2013-08-04 00:50:02.274721	196		0
17703	10r7pf394ce90840krsjl1bpke	$2a$07$ggGbQOOJUEig52r9k204R.v76ir9lT0XExlM.v2Wk9G48jP/84pyG	21	2013-08-04 00:49:48.499863	2013-08-04 00:50:02.397963	196		0
17704	10om4z72e517vpp9g21qe7arb5	$2a$07$nlStWtEIkO2LuJJ5xx.6RufcAVVgv4gNhot4abUxEAP7/LZLIN15S	22	2013-08-04 00:49:48.534809	2013-08-04 00:50:02.535048	196		0
17705	10w9vk6wcj6yplcbrd4ps5a4ro	$2a$07$9W4AULUKSST/LHph0wRwIu9zdrGYE26BOdo/7GF9dus6bTcNQ6OPC	23	2013-08-04 00:49:48.568867	2013-08-04 00:50:02.653249	196		0
17706	10s1fjbetex9djybwtb4x52uxi	$2a$07$sMhtjpECCXNGgZt.vVzHYevOLdracV/jzps8/5KB9lxiw2E.3hobq	24	2013-08-04 00:49:48.590886	2013-08-04 00:50:02.769366	196		0
17707	10x33wgrch0z5l6sgy5bifrx1v	$2a$07$OHVhU7rJNpMmEp1PqgUk2.tktXN33RSJklD.AGP7ipuol4.D.fcky	25	2013-08-04 00:49:48.612837	2013-08-04 00:50:03.111047	196		0
17708	10fth1t72hbtr0zl3uotwnyku1	$2a$07$b0zv38a4lIgdY3ftza4ni.DpLK1XEBiBTO3dLiCNIS1SxkevnSAD.	26	2013-08-04 00:49:48.634488	2013-08-04 00:50:03.312058	196		0
17709	10q08rikprhjw7z4zhdqhve7z2	$2a$07$2jrPHOZxtLQqyiW/TUusyuzPEq90uVXSNdkXBzMDVNZdZZJBAdyiO	27	2013-08-04 00:49:48.656113	2013-08-04 00:50:03.451082	196		0
17710	109g95vjcuwriuebtid0rcmog7	$2a$07$bxbDCcD4G429p03bDng/U.1i5QC2XNlZEi2PUzF6LXuXf071WDrvy	28	2013-08-04 00:49:48.678087	2013-08-04 00:50:03.716597	196		0
17711	10syvae4ijp7zvf5mkckk858th	$2a$07$xCFI/nKDbjib.v4d.MCLnOANoAVg6mJwPK6uMGm5BIPrtW8HGk6ua	29	2013-08-04 00:49:48.699557	2013-08-04 00:50:04.012829	196		0
17712	10f4tz4mtrnkkuulqpd7wpnloe	$2a$07$TFHsabDJRpqvxi/qnt7VmOkkr7dJhbUC/8BQrl.sI/1gVavMklckS	30	2013-08-04 00:49:48.72247	2013-08-04 00:50:04.26131	196		0
17713	10eh9rk7as0ek2bsuchreihi95	$2a$07$71ewReo5Qe8tazZBm5B.w.FzbZIGk0Kl6VzZOTXFDd/2zLGDjm5A2	31	2013-08-04 00:49:48.744151	2013-08-04 00:50:04.392661	196		0
17714	10hzubdkogkpy9s8y003ixzheb	$2a$07$HlRfcPR0R1HS.XUxRQ0jNe45N/kzrC/DG/abKLFfygOZNiVdP4.8u	32	2013-08-04 00:49:48.765976	2013-08-04 00:50:04.509905	196		0
17715	10o63qhw51x7od56c5d4lgnwk1	$2a$07$qqMvIkcFfCd2psxbXfjqDuV6cgLeJ57dSS7ZF3EH.IWIf3nbtd5mO	33	2013-08-04 00:49:48.787441	2013-08-04 00:50:04.655164	196		0
17716	102tjhvrqk7r1tr6t3z0u23430	$2a$07$5UNk8caOaQO9/6kqjYoZHe.lKUt/w0w1pJ3VQJgtycaOVFKNStAfa	34	2013-08-04 00:49:48.808998	2013-08-04 00:50:04.80661	196		0
17717	10p8a1lbolea9ozfn0d1d2ty69	$2a$07$4ZdS080.m/emRvHcSE01XOWz72l49kOOIurKA8kIGLs7nxgVXhDM6	35	2013-08-04 00:49:48.830534	2013-08-04 00:50:04.961772	196		0
17718	107w8t8agdhb6h7001w2rovlty	$2a$07$offzxTLUAQwYwrfq5O0M7O0lIq70uHtg5KDsDYJmbPQ0fC3Pz.2hy	36	2013-08-04 00:49:48.852861	2013-08-04 00:50:05.11684	196		0
17719	10725jvr7x5ubypale9c3d65qy	$2a$07$gdnWWbC3C0mr3zdfGkfpQuDqe3fPLtrTz1H.6xvmrE4prWmH/u2sC	37	2013-08-04 00:49:48.87689	2013-08-04 00:50:05.229095	196		0
17720	100a91c8sfwfri8kutiip8z5pl	$2a$07$jh68GdXAOPdZnpOvDxKyLOquCEHMfpohdVuXUjE0LfPF/vl/nNeMu	38	2013-08-04 00:49:48.898245	2013-08-04 00:50:05.433234	196		0
17721	1070cx44zg4j5qdzjxmixrgtfn	$2a$07$7U3El/QH3CfunZ2keWX2N.N8ZyTCH8/tOtumJIp5/uUIAxNSIvIDe	39	2013-08-04 00:49:48.919826	2013-08-04 00:50:05.690505	196		0
17722	1053wp5m55r60fvaobj8682m1j	$2a$07$ImSsBvWprc/gMNTQ3nOOWOf9Zw8Pay1VnMRxbm3YSup2Jrr0y2i8S	40	2013-08-04 00:49:48.94109	2013-08-04 00:50:05.833956	196		0
17723	10d2b34l324j79j1fp8c9prolp	$2a$07$bjK2jr/EEqlygidauDgRKu7aW1chmtTyIJUjvSawu2NuP1RjIwdfm	41	2013-08-04 00:49:48.963529	2013-08-04 00:50:05.943399	196		0
17724	10dgcg9ov5dj6z7qiphozeeris	$2a$07$vSlTAvrx1tc4etSHRvvgD.7jGU3tXNoGudsqtf2098hDB8cvX5fu2	42	2013-08-04 00:49:48.987315	2013-08-04 00:50:06.055386	196		0
17725	103dme7mnmfymf5ncepuhfnip0	$2a$07$Vd5OaBcDnHByI2MsH4bIa.rtrhfQUMGiZp9irsZRsN5lzsPLFYWCK	43	2013-08-04 00:49:49.009546	2013-08-04 00:50:07.193661	196		0
17726	10r35htjx5kuez3e7v20p83grn	$2a$07$W53XU2.eLK1kzhibcYa40OtNgcV37xnLUJACSlPzUoEax.CF5oby2	44	2013-08-04 00:49:49.032126	2013-08-04 00:50:08.394061	196		0
17727	10wp06vwwmnfewcgdsazdp1uu6	$2a$07$rLtlqSoF5/zizAoGmcv.HeD59h3gdsFHh9l3FRpGy/XxGVtRuJiO2	45	2013-08-04 00:49:49.056131	2013-08-04 00:50:10.067827	196		0
17728	10e4wsm33c7rv20um48hk2bjb6	$2a$07$Jt.pYUmth7.LaqaYwK9Bze0Nr6rV.OxJKicsdHvfNvZ4zRHX2qpfm	46	2013-08-04 00:49:49.079047	2013-08-04 00:50:10.206001	196		0
17729	102dexkvdgqhwrzjacfx8fo3bn	$2a$07$l1wWCehDoEisoh9XrUTyPe/7T73gKw0ina5dKU8JnY7q2yvBQVGBy	47	2013-08-04 00:49:49.110624	2013-08-04 00:50:10.345685	196		0
17730	10rae7pc1xe5axazs4lrd30ib2	$2a$07$DFemFvdiHyEzdqtOHzK/BuFvapDb89MhbOspKKOPukh7.1q0E/jHe	48	2013-08-04 00:49:49.139032	2013-08-04 00:50:10.482712	196		0
17731	106s4oqcztnkxykdc9vxfiqkxy	$2a$07$KlKJEI389U9mTCyzWDtPDOrx71nYtY5140NZQ5/NTiWy9ftzqXBOK	49	2013-08-04 00:49:49.171233	2013-08-04 00:50:10.600903	196		0
17732	101khffvy8kzvshvhiqj76zy4y	$2a$07$kDzjM.4Zwvd3M.Cd8Wla9OB1f/A8FXQv53AWMku81MZ.pjkctr3Hy	50	2013-08-04 00:49:49.19503	2013-08-04 00:50:10.742151	196		0
17733	10010tq37dricml5o8ngbza0d4	$2a$07$8rKfOh0oRvRFA/GkgC1AAuETe6O8lTfrs9b37I0WLnCTCXMuPFWZW	51	2013-08-04 00:49:49.21841	2013-08-04 00:50:10.859783	196		0
17734	10s60o29gknaportjg999yi74t	$2a$07$o5M4AMXN7wR8PyywofPb.esT464p/CYr1EfOkCIcTzw2Vcw5nYbQu	52	2013-08-04 00:49:49.240145	2013-08-04 00:50:11.17543	196		0
17735	1021jod2ao86c94jvba1w58nk3	$2a$07$RZq55a1xyuT.beKXicKizuGb9MRnhhJ0MXf21REgWELhqleATJSlu	53	2013-08-04 00:49:49.262346	2013-08-04 00:50:11.473977	196		0
17736	109bj01htcgacfy6kl07ie2cis	$2a$07$OO8xLsLtoF9F3XR.g5yMteHaUMFyS9sSFruHvDmgmQCrAqDLKH5QW	54	2013-08-04 00:49:49.285752	2013-08-04 00:50:11.72515	196		0
17737	103k0mggxtrlfnog4ex6hhls9h	$2a$07$TngCTBgFFxAGPcgTE6LIiep77CYOlgaPgKW134Lk745hTRB8razca	55	2013-08-04 00:49:49.308474	2013-08-04 00:50:11.853616	196		0
17738	100nem1diii0frrsfsddx633ju	$2a$07$ydQq8/2eRd8d5tztfAp40eu7WhzGdiUY5OAWWMAHfzrMogVQnqvz6	56	2013-08-04 00:49:49.330878	2013-08-04 00:50:11.991102	196		0
17739	1026clu5sonecuu0wm5xv8hbn0	$2a$07$rejw/4KVlB7OfAoltWyU4uZaWT4g5KpHPDxWpwO7jk2WRLYR4QAWO	57	2013-08-04 00:49:49.352466	2013-08-04 00:50:12.120358	196		0
17740	10iap1tda31y25oe080h1bwq07	$2a$07$zVl558VM51ajyoj8sh.ieOhCrCHd3.Umd8VMvkzDbbwMMhhAQiDDu	58	2013-08-04 00:49:49.375304	2013-08-04 00:50:12.244683	196		0
17741	10g7psv5s3yxqc0rrqwy5hgmtm	$2a$07$JfN3U9bLYrITnmVkO6bDUOeGmIWkvllX1/9epF3BzDjuRQkrWsUHi	59	2013-08-04 00:49:49.397507	2013-08-04 00:50:12.372709	196		0
17742	10pioug6d6vhqu86j7rl1nl01a	$2a$07$iqyLidVgcVq7/kus6l3OeuZgDA3g4Rk4rFW8ozUWMye4/V1tkN/oy	60	2013-08-04 00:49:49.419384	2013-08-04 00:50:12.490519	196		0
17743	10xnh4hy9gi82pfpexigvvfqd1	$2a$07$L5.lfoua0ZZW8JBKuECfRenmR6vXHMqG7L6iNvbw57O5mpRsduhzO	61	2013-08-04 00:49:49.441322	2013-08-04 00:50:15.549924	196		0
17744	10aerp22z9z8n405wd92doqh15	$2a$07$sdNIZ.ya/8pOEsNgOJGl8OsLr1M1QCEGCfvXSy29eRODpLv1XcQ5K	62	2013-08-04 00:49:49.462861	2013-08-04 00:50:18.54206	196		0
17745	10kggjhx32zdlfkr4ex9fahyo0	$2a$07$Ogk9xXKxMA9cjPBgKl293uAtN2IS.XBFRGCvaV4ShWcN58YKt2RXW	63	2013-08-04 00:49:49.48697	2013-08-04 00:50:21.742183	196		0
17746	10toudhtcvzvjekidixvbft29x	$2a$07$lx5M9qf7WLOUtEU6Vg6um.KBoUuKV675CCLigTCdCKdCvwgvMjb26	64	2013-08-04 00:49:49.510892	2013-08-04 00:50:22.18031	196		0
17747	108z2o6wpyqqjb2xr5e32u9awd	$2a$07$qaqWCtW3vI4syLvplpd0muUjCSlIrHp8DHhVuoijb.CwyRiQY3bdm	65	2013-08-04 00:49:49.532673	2013-08-04 00:50:22.553369	196		0
17748	10cul3l7dp1ylkp0f5vzcbrn0a	$2a$07$6vZ2NkN1Nqwhmv6sFWjel.d2YDlhex.9126FQ03GVAHMAxqQFxkuO	66	2013-08-04 00:49:49.554251	2013-08-04 00:50:24.906674	196		0
17749	10032d1hvlknfvpthtx2pt3j0x	$2a$07$9A2mzVA0YKpnORcwJT49wuP3UBxYNQCfsq04oxr8FrlZ7RDJ8O7mq	67	2013-08-04 00:49:49.576114	2013-08-04 00:50:25.030842	196		0
17750	108scstwjb169o9gkh3pckrbez	$2a$07$eYDbEsGn7iK3FV1SkgwYlugN3AY68qFbrxRt5RwTssr9ZWGKHVPi6	68	2013-08-04 00:49:49.597643	2013-08-04 00:50:25.16154	196		0
17751	10euqpxwj7bz6b88s20yn46qfl	$2a$07$xROZ.r2XeKBl3aoZBABWiuqKl0AzD3HviZKcdGSuHbeGvml2bZo8u	69	2013-08-04 00:49:49.61939	2013-08-04 00:50:25.314922	196		0
17752	10o6jcnh0v3sbz9amk5ex6l9pt	$2a$07$MUZk3tzehNZEUAnnoujAkuOSTq7cVo8PS39mPh93JzAdL01YS6f9a	70	2013-08-04 00:49:49.64327	2013-08-04 00:50:25.468443	196		0
17753	10mhhqv5h6haaq62rj2uybynmy	$2a$07$wjzgvTwEdirzNbhehPg62uUBk5mPNm2iKPUo4fuFAluHCov2hTiH.	71	2013-08-04 00:49:49.668015	2013-08-04 00:50:25.615638	196		0
17754	10uewk6639m8x8osgxw0nsmwho	$2a$07$LHuU6tIQeqMxzIfeJ7ia9uJk.5YLNdfljo2Of2TJYiHMghP5ogetC	72	2013-08-04 00:49:49.692148	2013-08-04 00:50:25.749501	196		0
17755	10vei9tedx9smhdivc3pilkhza	$2a$07$HHDa1ZBqfqMbMTBXF2H/B.eZs1MXfczLeAaqOKjtKiwhUoxlsRL2C	73	2013-08-04 00:49:49.725824	2013-08-04 00:50:26.104745	196		0
17756	101455iaqwdp25ofw8osm9wvc2	$2a$07$MD50RyN5fAzV4zrdWbnrvOdoL9YGesLfHoBmc6fz7C0fH04H5V7wS	74	2013-08-04 00:49:49.749333	2013-08-04 00:50:26.211148	196		0
17757	10vc3z9m73lmwkiipr23xrry7r	$2a$07$nE0uy.KPZ2ejJBmN/.QqhOE/XnHHUGMuYcLIIe/dTbnrza.wqRIWS	75	2013-08-04 00:49:49.771083	2013-08-04 00:50:26.346405	196		0
17758	10tq1gcfl68z2oqjcgbozjcq6m	$2a$07$qkZIok0o/bt.57yIueXU..pvv8r3i789YCxWdRW5hQOEWr/HiaxNK	76	2013-08-04 00:49:49.793827	2013-08-04 00:50:26.48885	196		0
17759	104784k2j2prfyoo3o5qqfdq6m	$2a$07$VXgH3FxxVq1HC.MnLjNu6uEMZmsF67CXOc4QTrw4fcmZvTmkaOeIS	77	2013-08-04 00:49:49.815437	2013-08-04 00:50:26.627081	196		0
17760	1069vnlocskpbrr3hhyy1ojan7	$2a$07$9Doqq6etEzf/oEbK4HiSzO2HWWfYVMM9mtHvUFVA33WjOU/cu5fW.	78	2013-08-04 00:49:49.837008	2013-08-04 00:50:27.603698	196		0
17761	10m1sxpz6xs4uqhn7rcox4iw08	$2a$07$iqdG.pt2ax0vq9vEpAIPC.ixoBosJg11IlFcNiUE1Rq4V.yejTyVS	79	2013-08-04 00:49:49.859248	2013-08-04 00:50:27.722037	196		0
17762	108scj1h09xbxl77jvq65kxnhd	$2a$07$b0MHz4hG5qP0xX9zZWWySuTP0ShAXi0ES4Fe30kJm.9IxVUeMxnYW	80	2013-08-04 00:49:49.881223	2013-08-04 00:50:27.850691	196		0
17763	107joxffn8rwq2lwu1ognnzxj3	$2a$07$h/V5v2GIigxqANFLkC.iGu8NuRnnlJIoyjd8LpB1hKVY34xkEFrIy	81	2013-08-04 00:49:49.903947	2013-08-04 00:50:28.101408	196		0
17764	10kyf3cmnet06m91xczc04ddd1	$2a$07$tX2HndQnFAANsmoPhgJz4OOvCJ3icHxiFlKqJCW/q8H9ZBV9JMWv6	82	2013-08-04 00:49:49.925686	2013-08-04 00:50:28.233716	196		0
17765	10wwr0s2e15202782frt2olrwb	$2a$07$QNDBoByctK4uXGxNEYxbsuV8KDRK3Q4ct.Nj3EAfzgxHK/VzQKiHW	83	2013-08-04 00:49:49.948634	2013-08-04 00:50:28.449364	196		0
17766	106cttuh7j1zofmq84lun802c2	$2a$07$3K1yo0at6HNemHS0bSFny.VREfy.7vC4BiRgPxbBBBfcGpJOLEjFq	84	2013-08-04 00:49:49.970519	2013-08-04 00:50:31.22009	196		0
17767	108hqze8glpcu6uefg1xnzrxd8	$2a$07$S5ZeJGMSg2lEroNwngc6UO8mxwB.WX09VhhRS1hap5LpIPop8aYpe	85	2013-08-04 00:49:49.992967	2013-08-04 00:50:31.651344	196		0
17768	10v050p192pjzmcr9s8vtlw5x9	$2a$07$ZgciwC0Dp046qoWjSGW3buTB/V3jbczQTB65LhNCBfz/QMbH8Wty2	86	2013-08-04 00:49:50.016345	2013-08-04 00:50:32.090662	196		0
17769	10zmgu07qghtnhbhaui7zhwld7	$2a$07$lDqioxyc5N10hVMA3d54xukMLpn/Q3Al9F8cYMrAJrS3ceRI4DMnq	87	2013-08-04 00:49:50.039356	2013-08-04 00:50:32.230914	196		0
17770	1076ftqkkksp2z3t1o9mf08ea2	$2a$07$oaotRS6zpAOHHNZ5sDXXxOCbNwRHRb0bjRFiHk8aZ/HUm55O2gb1u	88	2013-08-04 00:49:50.061719	2013-08-04 00:50:32.360472	196		0
17771	10y8aqiy67fxo6turx58lbv0t3	$2a$07$1TQOfohKlpcPAdbhKNA1e.CFuG7xvaZKqWAJdadHS6PxpECCBFBl2	89	2013-08-04 00:49:50.095965	2013-08-04 00:50:34.86745	196		0
17772	10zbdn1vj4phrotckv56ga4s0b	$2a$07$XoOBBqsmETFsajn9LxY2a.IfzZL6FoB7RcFIb3HhHIIIcNgVeES0K	90	2013-08-04 00:49:50.130299	2013-08-04 00:50:36.959253	196		0
17773	10prf14305dphxwrv5ejp6bwdd	$2a$07$PqGGuX0fJuv3M9xgNyZTQ.5sTFMxjG.UcALfPFo.wn/nMTy8rPye.	91	2013-08-04 00:49:50.165895	2013-08-04 00:50:37.07143	196		0
17774	109y6xess0iuitswrh1ltm0ax8	$2a$07$1SBXkeScvxcIStnsme6cbOCWMAJEgiMRyiqb2i1yFfaGmF106uCH.	92	2013-08-04 00:49:50.203506	2013-08-04 00:50:37.201167	196		0
17775	1085dpv2cd8w2axna0jy0ns6ec	$2a$07$ETsE.le3d9kAIrfb73UukecA2Q4iQ2JM64ZbCwPxA.ydmvbyTb0Kq	93	2013-08-04 00:49:50.22517	2013-08-04 00:50:37.335721	196		0
17776	10y8o0r3zckp0rb1caquefhhsy	$2a$07$HDApidkKcvDVeft2I.HH.OF23MuPw6AY0RYtE41BjrdJwWDFDhah6	94	2013-08-04 00:49:50.247024	2013-08-04 00:50:37.658672	196		0
17777	10ndhg8irv3n4bqv1izgoev7ow	$2a$07$TaFAYhALtCY8ksZq0dADOu9cqrLSbeAdHNu7919G3cyqOa4XA7T/2	95	2013-08-04 00:49:50.268474	2013-08-04 00:50:37.785037	196		0
17778	10f6nxto502332n0jvnd35dh59	$2a$07$U9o5u8ZDaeMI2riiT3JjLuYfRcHWvtW3YofkRQl47smgweWQXU3j6	96	2013-08-04 00:49:50.291543	2013-08-04 00:50:37.902682	196		0
17779	10jm5z5n68b1bpozjyhc4rwo1k	$2a$07$oSr.KA5C7kFj6fMh.006j.jFb.BOc/uo9AjVDMtlFJKcalq2vbXSa	97	2013-08-04 00:49:50.314626	2013-08-04 00:50:38.032067	196		0
17780	10vu6vwyw5bp9ee4fys34em6m2	$2a$07$BJ.0fraIuAolcuj8kMT5GuwZvUrGcTtDp71ltNdn/axcrkK1ttdqq	98	2013-08-04 00:49:50.339079	2013-08-04 00:50:38.144829	196		0
17781	10kl6w31ejtgcejc33cstvpz9a	$2a$07$.qSVijVCwTo2pps7awQi4Od5hjr058WhPn.JDT4YIcrMnbidOz8G6	99	2013-08-04 00:49:50.36391	2013-08-04 00:50:38.260758	196		0
17782	10s6vt26kejjarmlafq0r7ys2h	$2a$07$pNpTAzUby2MH8sFRvUnWhedFBrymbqBEWo95.5oWw690Pcl/SsqRi	100	2013-08-04 00:49:50.388254	2013-08-04 00:50:38.386416	196		0
17783	10cndm10hmmqrjck9mkydbgzxv	$2a$07$4uKt/4QnELBC5ZKd5SxC.eaH3OkXl3VevHNX0gmJRjbT4vDbKb2Iy	101	2013-08-04 00:49:50.411041	2013-08-04 00:50:38.527247	196		0
17784	10wt68ch79gu3k9lejrnstbb6f	$2a$07$FutWzlA04B3Za6DowjXWJOQjipWn7l30GOCvglD6lCfUulSIfXWp.	102	2013-08-04 00:49:50.434324	2013-08-04 00:50:38.647124	196		0
17785	1075waa1ypiu1rus1dm777r3oa	$2a$07$5pILnbmT6VcvL3fmEBP9H.00GDXYUuCYsFu0f2wf6XkjZ2pVbXZQe	103	2013-08-04 00:49:50.457521	2013-08-04 00:50:38.988447	196		0
17786	10k461croci17k0n5379igz8j3	$2a$07$TVbMk7jeH.uurJLFYflR1ObiP/KmsnFxDsjL7oxu8Qaf8cH4Uang.	104	2013-08-04 00:49:50.480595	2013-08-04 00:50:39.270599	196		0
17787	10d8qy444uns8tkbl8h517t5rj	$2a$07$3eefbYtE.0do7wIe4PPwU.B8mj6D2lP1NjGz01pMsqPZFG1Fmuque	105	2013-08-04 00:49:50.505092	2013-08-04 00:50:39.383131	196		0
17788	1032y6jwxuhkc5xzq5r9uvm2p0	$2a$07$H/pDVoViyJxj1WhDPk.HGe7nerO.u21tnn5SCJiaonBbO7tSDtwgW	106	2013-08-04 00:49:50.530142	2013-08-04 00:50:39.525892	196		0
17789	10ubqwxkata57vo650ovdwncuy	$2a$07$nRliq4Dc/vZfAEInPC04rOiW.5L3CWAlLrfUnvQavpW3jL96Bl4tu	107	2013-08-04 00:49:50.553089	2013-08-04 00:50:39.679188	196		0
17790	10mtob4uzy35em86wlj2mmjo3c	$2a$07$rKSIX2VLO3Z2tLm.A2/Of.3.iuoJviemeobw5XWiIlia20iL/yqSO	108	2013-08-04 00:49:50.576084	2013-08-04 00:50:39.83498	196		0
17791	10x8qkd7pxvgthqcl2nsbelfjp	$2a$07$R2OepnWmINqHiASx3Eb50O3EK9Vqf09IoW4LEQ.wRTZFPAo53.HFq	109	2013-08-04 00:49:50.599003	2013-08-04 00:50:39.971361	196		0
17792	10p1tbwx88799pmpq4fh1pkt7v	$2a$07$ScyzHZM.VMu2h9x74fsA1.SfcXANB7naXUOF2c1S4Pr1.GZ55hkbi	110	2013-08-04 00:49:50.621568	2013-08-04 00:50:40.091643	196		0
17793	10ihh3agzb4s9b4z0h4bte6r60	$2a$07$N/fyazHmSXkV6wphP.wCQeQxxdOjnLdrB7FKH6eLlTkyStsitmymu	111	2013-08-04 00:49:50.647456	2013-08-04 00:50:40.215663	196		0
17794	10sxp77cywuf3mck39wwl75n49	$2a$07$nA7N2VMB2rHWi40wOriBf.R5iZrl6hhvP6urw1.Dbavt/oZUaFbqa	112	2013-08-04 00:49:50.670297	2013-08-04 00:50:40.310972	196		0
17795	10eau41ngx9tji313w3ckwy9i6	$2a$07$/sogwNEbT34sd1QZsZwKTOiMedddxf8QzyvNehm/mVYB1uvkOfIeW	113	2013-08-04 00:49:50.694165	2013-08-04 00:50:43.189962	196		0
17796	10p9tptemlj9iogzxbll3j6o8m	$2a$07$6HanI18Rwd5K3d8HQJpP8uibvaC3gcwxdStAKm76TvZA3HKeheRxm	114	2013-08-04 00:49:50.717093	2013-08-04 00:50:45.984047	196		0
17797	1046w6ppd7nrgvq2frzhggn1gq	$2a$07$K1zllsmNYXhDAYLSe6zPU.C.SwPv6kDV1wHfjX9IivMs3h0O6hOby	115	2013-08-04 00:49:50.74069	2013-08-04 00:50:46.092977	196		0
17798	10ns7ny42btfufmxkrcm7d7g3z	$2a$07$dHpeV/D5mirEEhxJnie7N.RjmB7gbzqPXBkSAW.bQuzB.fFbkDQAy	116	2013-08-04 00:49:50.764659	2013-08-04 00:50:46.234816	196		0
17799	10froprqlpcbkttox9wtifh8gx	$2a$07$TDcaJevukSyqvy0aHkk7ZerRLudXfXp723deVDpbBEtSwoxVwoeQ2	117	2013-08-04 00:49:50.790647	2013-08-04 00:50:46.362516	196		0
17800	107lwjjxo3xwxmfrulqc3gqgf0	$2a$07$7Dtg.6QvkyGQIDNM2CYtMeSSi0J/amMKurCm/0q/9i/O5Kn3IbNSm	118	2013-08-04 00:49:50.813796	2013-08-04 00:50:46.482782	196		0
17801	10r721a7dlbfsi1y1czr7mw8ty	$2a$07$aZv6f1QaHpD0Nyi0QRYywuSEUyDLxLoymf9iWHMu5Kt2ax8XR9kra	119	2013-08-04 00:49:50.840373	2013-08-04 00:50:46.589069	196		0
17802	10heuk8zkmacds51ceyw3ym1pp	$2a$07$I.11gJV4dNLEKawy5ReGROSy8Eri75R9ZkTFlEEh9UekJFxl4hMTq	120	2013-08-04 00:49:50.86298	2013-08-04 00:50:46.712331	196		0
17803	10efd2lr9pv5uz7a8we3qd48az	$2a$07$vnViMhKk460uTzGm9OvKZ.O5uJAto8jlycz3P9F.Fs/nzxlrXahv2	121	2013-08-04 00:49:50.886293	2013-08-04 00:50:46.968664	196		0
17804	10h4zec0u71sv6ttpw48aofmfr	$2a$07$K4KvnpsYmSatOygWV1UdzOBzEf3DVB/oGs7qOMUUdq/VqzNqFWACC	122	2013-08-04 00:49:50.908928	2013-08-04 00:50:47.122131	196		0
17805	10j4en8cvd6f3eyr2538shmkwb	$2a$07$v0EvSMOV70bE8e/m3bw.v.7nSAlf1qziACAS8ZOATwi/kkC/fUA8C	123	2013-08-04 00:49:50.933956	2013-08-04 00:50:49.595429	196		0
17806	10uw9ng33diwe9p1c0qdhl00pp	$2a$07$anysO2PWq/oglwx9bSKjCeXHhA8DC/DJanMpbIbz1n3y8qfd/FJMC	124	2013-08-04 00:49:50.95898	2013-08-04 00:50:52.541368	196		0
17807	10l8p1k7n7r9rxeqqu88giqvdl	$2a$07$CaIZsrjCnfeBjlre/SUBYuNPgc1O5gWr3yw4HNu9XjW..XifHdlmW	125	2013-08-04 00:49:50.981781	2013-08-04 00:50:52.8837	196		0
17808	10mmetxqlv2ryqtgppk0plz70o	$2a$07$Jpn/CMSYoRwHoMSZbHyGaeK2g.ghzg4nWYsZfwj2ngAfbDXmBXuBq	126	2013-08-04 00:49:51.005511	2013-08-04 00:50:53.2237	196		0
15919	10kivb05n9g0eph6jnx0ati7ao	$2a$07$8n2AfS/Hhbj0UN5/eewWbOYFrEc6Z5GGZ21PeYip2/6jmQIGc/jf6	1	2013-08-03 23:38:35.048941	2013-08-03 23:38:38.421078	182		0
15920	103va6zi5vq8foorefwo2rfclt	$2a$07$6Zjle6bFn.tPzC30VwLsKOAPrHsxYgWD/1.ELWFJgsFrgA.r40iqm	2	2013-08-03 23:38:35.07318	2013-08-03 23:38:38.542369	182		0
15921	10p92qk7t0g4leczsnmd3ewx7k	$2a$07$EmxaALyezA4yLs1O.GTbeunN492vrJN7PJE6rx.RsXzEk7NYiX4RK	3	2013-08-03 23:38:35.096065	2013-08-03 23:38:38.706245	182		0
15922	10u5eg4j2k4r1fnh9nshmaxqla	$2a$07$Uf/X1nWebqHp2xvB97NoMOYLcrOo6cBNvUkJ9NuXoZttRwBQVX7rm	4	2013-08-03 23:38:35.122414	2013-08-03 23:38:38.848976	182		0
15923	10usnu0g7xd5p0x8n4nt1cq863	$2a$07$HC3poThaBfWkmft.Mdq31.W5xNTwe1feGuiHwDRkTkdcO464RytwW	5	2013-08-03 23:38:35.146219	2013-08-03 23:38:39.015628	182		0
15924	10lzzi1p0oic75s97mq2blwx5l	$2a$07$eLGPmd6PRt6qnQ7QnHp4Z.ApDYsF.fBraEYEobmT1KHiYy.7UJvgC	6	2013-08-03 23:38:35.168797	2013-08-03 23:38:39.16828	182		0
15925	10nqrhe115bfux4lmhgfur1snf	$2a$07$6leFVPnC3NbcKGqC6dUBp.d4pp89CbOxJzfxNerM6X0Z1hX1IThS6	7	2013-08-03 23:38:35.192805	2013-08-03 23:38:40.220209	182		0
15926	106qv99uuxz6lu8gm1m4vt64yc	$2a$07$7nuB/zHnbceH8bjAMP2YL.GDWgEuldLSpSIO5y1XYACqK5wYjgQZO	8	2013-08-03 23:38:35.216118	2013-08-03 23:38:41.377616	182		0
15927	107uvxswaq3k9ltjojkv7v91yc	$2a$07$7nN4LBj8/kYJ3liem/BvcuGwCorMbFACSKjGI5aJ1CSsk1XlSEqRG	9	2013-08-03 23:38:35.24392	2013-08-03 23:38:42.38197	182		0
15928	103gwua920j1lihmp0gzywhlf9	$2a$07$VJsty1g1Cxy4SE/gaYKT/eze2T3.gGN2PW17AmMetg1iPPKavmW1K	10	2013-08-03 23:38:35.267673	2013-08-03 23:38:42.491881	182		0
15929	10cvy6azls4325vcbud8ek85dm	$2a$07$Ul8DF4tWfdQ92ModSWLY.OPlVEF/gbVJTCu6nW/xwYzmtS5L15BZa	11	2013-08-03 23:38:35.292132	2013-08-03 23:38:42.622519	182		0
15930	10neepby3i077lkqm5rqckbxq9	$2a$07$KJWOpo40O0RABCPcu31YeeBgPX1IdcD9/IYA00Y1WkRks6Ac1b8X.	12	2013-08-03 23:38:35.315323	2013-08-03 23:38:42.728576	182		0
15931	104xhzfhcw76b3bpw80zn1c2c1	$2a$07$aVbKdyJbH.gVD1b9nDSu1u1Vl6jci41FX5mrcjjRK29E5DZHjt3q2	13	2013-08-03 23:38:35.340478	2013-08-03 23:38:42.892196	182		0
15932	10a36off38iz0gc2cfjrr9v2kk	$2a$07$77hEbpj.Nyvp4eZnrBTevO.b6.5cg777caLDmbucV41enGM8SgPfy	14	2013-08-03 23:38:35.371325	2013-08-03 23:38:43.107951	182		0
15933	10svspmdrk3sgau3p0p76rndme	$2a$07$QmpBK9aFQISlOAhAv273JubKB7glBi4gPkBDZHKb53/4ux8Io6C3S	15	2013-08-03 23:38:35.395704	2013-08-03 23:38:43.244564	182		0
15934	10hbftjvrtrmo7kleeviceckhb	$2a$07$3huT1B5OuGzc6t6sfkMWQOIPXfzngj4oBtlLw75mQgPLPmkiQnM22	16	2013-08-03 23:38:35.42733	2013-08-03 23:38:43.37724	182		0
15935	10ztu5tw5a0ybaxykgwosf2jq8	$2a$07$q9N0.B4tKenwHJR303f8SOAlGfoaqzaTJWDoCIRmRcStkXbE5aIXe	17	2013-08-03 23:38:35.450698	2013-08-03 23:38:43.510522	182		0
15936	10x6ytuwwo7cz9kmwwb43sc2ro	$2a$07$jiQzmg8efWAIBo9j3fcOfOKo3U4Nm9BYwsLdABXICO6ZeKMomehSa	18	2013-08-03 23:38:35.474353	2013-08-03 23:38:43.63766	182		0
15937	10idstfunasumts73kpbbuexzd	$2a$07$DCtUnRGUn7V3yJUKZMtWdOwVFh.HV3DYmpaqKaJztm/l4bDVPR2Ni	19	2013-08-03 23:38:35.495631	2013-08-03 23:38:43.841593	182		0
15938	10pga0skjll6ulvl4qu66za8hv	$2a$07$ox5uJGViXc5Z3guQI4EnxOANAhOPTsWmMHdqhBX.Tc.LU30i0e3rW	20	2013-08-03 23:38:35.519447	2013-08-03 23:38:44.003796	182		0
15939	10igawd0r8gmegbjl6u52qmb7i	$2a$07$gzOVY.6ci5KwEqVuxdOm8e2qNeIN.CnaWYunjYfQaEmuDVE3b6AXO	21	2013-08-03 23:38:35.544832	2013-08-03 23:38:44.153774	182		0
15940	10lbfczzc63614im0kgjy5jl4v	$2a$07$.gSn2Yd5XV3jwfMhPA5bw.gos9n.UMIXHg58t1o7cVKbebe3jFM/q	22	2013-08-03 23:38:35.570518	2013-08-03 23:38:44.289939	182		0
15941	10c3rp8sqrvsdk5j3xrxn16bdj	$2a$07$WvrV9UeYOzWpAQe7JuN2Rej3n7X9A.JwhwOAYOWcMbabm7kUYHsQm	23	2013-08-03 23:38:35.600531	2013-08-03 23:38:44.422168	182		0
15942	10j8gt891vyocwpdub91rwn8dg	$2a$07$JhTucE9luIW5PjSL.50Y5u3rqXVoquS.47uaEgfgx17soT2G9DsFG	24	2013-08-03 23:38:35.625065	2013-08-03 23:38:44.569369	182		0
15943	105gd37y8rcafjeo5tredyu3dw	$2a$07$Zl2yNXt6WBl0ALv0WLxzXOKv/PCCRjO5tiQE1NhnODxSZKHPkCTpK	25	2013-08-03 23:38:35.666175	2013-08-03 23:38:44.689151	182		0
15944	107dplksikk4lzrldz1pkzna2n	$2a$07$OfuYA./v5Fa8jyvF3Z8.i.eEIrRrIS05.dzxU4Yxao89s/j3PIVra	26	2013-08-03 23:38:35.689847	2013-08-03 23:38:44.825248	182		0
15945	10ze8x0cgh8e1q9kb86ri2pj36	$2a$07$B4R4aqUHI/5sDF6Qm7KptO1fs8M8fwxuggFqsYFXvIo24diEtIOZS	27	2013-08-03 23:38:35.713495	2013-08-03 23:38:44.96681	182		0
15946	10v7f6wnnamv87njmkx22jlnqh	$2a$07$QV8r.bNIIUCMsm3MHLaBB.ECQQZwRqj0WCbk3Ta89Tggn2sEnlvoi	28	2013-08-03 23:38:35.744465	2013-08-03 23:38:45.108787	182		0
15947	10ljvnkoyeuzaf3jfew194miwl	$2a$07$JwZ9wHspXJus9PlgRTgpXOSfvZqAAQbNmvZoSzo4egtBq.Zmu4mFi	29	2013-08-03 23:38:35.768355	2013-08-03 23:38:45.248793	182		0
15948	10q9ia35cv5huej5epzu6l9bn8	$2a$07$h.AJNBcWay/6AEw.O0fCNOAWSO0Vf4JQfYiFr28VWw7ANkj4Hbfau	30	2013-08-03 23:38:35.79155	2013-08-03 23:38:45.413806	182		0
15949	10nwege5v68b8chu8wi5ahkc7k	$2a$07$jXGssO6uuEdDekzjge4z6u0U9KZGOzLUTOTx21UuO2CvomcXiekWe	31	2013-08-03 23:38:35.816716	2013-08-03 23:38:45.586849	182		0
15950	10lq5668f8idksv221g049rrqo	$2a$07$llVHslaZlRNaueskP6cMnO48kJRTJg/LAo9udkxl.E1HgA7Sc03Fm	32	2013-08-03 23:38:35.841214	2013-08-03 23:38:45.738464	182		0
15951	10rcylfa8577dnhrjzxb54a44j	$2a$07$7yNHeZPDzNzpZYOo1HQUaOaMry41cTBBapTUWclFMnLhPSzZJg5Ku	33	2013-08-03 23:38:35.866156	2013-08-03 23:38:45.903693	182		0
15952	1061t4pjs1xx5tkkafj8oaz1ix	$2a$07$4gozdknX9NMxBUKceaoxY.DWH5cV3tz.RHGNiZwxCRMBAXpC7fhpW	34	2013-08-03 23:38:35.891386	2013-08-03 23:38:46.05731	182		0
15953	102w86d4wwonbhnrhmanfi1vn1	$2a$07$wfiR6QBw8ZMrYujEjU.1S.qie8NAhHuTD/lM.gGtZ/l5k.ouTF24O	35	2013-08-03 23:38:35.91609	2013-08-03 23:38:46.207494	182		0
15954	106hl782hg3rp3jq1dw71f650z	$2a$07$yjygj07K/itbgcxci/g7lOGdC8L4zzuZqj3jnSTIlcoLa/Vo5Xa2O	36	2013-08-03 23:38:35.939507	2013-08-03 23:38:46.354264	182		0
15955	10h0fxen8x3s6zqnrbmt7xqjte	$2a$07$QfFip97Sf9haQno9djEnSeeuQBE9REFuRJfr0w/5HXTAYD8jyMiW6	37	2013-08-03 23:38:35.963278	2013-08-03 23:38:46.468939	182		0
15956	10qrmfbk299lcfe8c2y83qtyf5	$2a$07$AkOnehHAssv1trgqfLHDgO4fx3v.z./fmrm/q4wRR2w06c3tE.T/a	38	2013-08-03 23:38:35.988304	2013-08-03 23:38:46.609839	182		0
15957	10imfebabrycgbz60xywsbaqoa	$2a$07$hzL6gfuVCbAf6kO6hg8gRugV8hqpq6X5iUVkNa285TMBzeNT.ufXC	39	2013-08-03 23:38:36.01206	2013-08-03 23:38:46.750917	182		0
15958	109uql6du28tofss3b3r56169e	$2a$07$h6yRhh0iiDjTH8TKRATvmupMIdZZmS2f9y1yu2rVcMKm1zYVCRWN.	40	2013-08-03 23:38:36.043495	2013-08-03 23:38:46.956354	182		0
15959	10x6seribjw8i835etkb8pkm0q	$2a$07$gruZ5Ag5ZuV8NbNxbucsk.Fso3HWLKq81kqGut9vbsVe07.fGt4.2	41	2013-08-03 23:38:36.067461	2013-08-03 23:38:47.105945	182		0
15960	10h2o9uiscquiu4dc0c03yvlku	$2a$07$j5221O..OuFR0YWLvnPqBeI.8D4stpEniocgG29qSeNVqHvgHtNzi	42	2013-08-03 23:38:36.10521	2013-08-03 23:38:47.240134	182		0
15961	10nvgxudpn4bhqkjpsb611nvce	$2a$07$tP9vH8ecnaiWxafBbY53nOrcBYesv5J1jddnlpt4Jbeiihxd2lixW	43	2013-08-03 23:38:36.134558	2013-08-03 23:38:48.594923	182		0
15962	10zsj9sy3lsd55g7fn734ijnyz	$2a$07$y81xv2NSAPXrfR.0qf0Ha.Y7U9emU3HCRGIfLCGGqr1HUp7.bZLCC	44	2013-08-03 23:38:36.161308	2013-08-03 23:38:50.098718	182		0
15963	10pdfd89je2tyfglinoi5eebg2	$2a$07$GF8CRep.ulsiasMFlNe1EuS/BOr1vNvW3U9z2Ygqlv14oS9mCFat.	45	2013-08-03 23:38:36.18482	2013-08-03 23:38:51.957689	182		0
15964	10cfux3eo9r4ymv8o4hf93hp79	$2a$07$Po6s4cwKdzMTuBIH6endfe89f..jqdglJXzsQiX8DcS1aputiom7G	46	2013-08-03 23:38:36.208668	2013-08-03 23:38:52.124949	182		0
15965	10yiub57a6ras8yb3fblv7920j	$2a$07$gKqEv0Dlio1yBgEF4PlIw.EDD1blHATDeXC71rqIsDcTy68X.nCbu	47	2013-08-03 23:38:36.230988	2013-08-03 23:38:52.2473	182		0
15966	10v4kysqnh0ow4g00o6z02rcrk	$2a$07$MeMzJ6qn2kDd10iZXWGSBODvatA3VTZHRd6d88MjIqD0K/1v.I.Ti	48	2013-08-03 23:38:36.255502	2013-08-03 23:38:52.350161	182		0
15967	10aigpaj3ksdgb0ymv0jm2y2vn	$2a$07$dpfYuzYY00O7TxKK.vGDZOuyR4w.KsW8zpsZZ/k5nWBzeBUTRwzRK	49	2013-08-03 23:38:36.281858	2013-08-03 23:38:52.460019	182		0
15968	10ijjbstdsr6rlq18sf7t4aucn	$2a$07$1lBDhuPsZV.JcQUQ5SoeouefDD5ewYza6WUV4e.qRQXZOuHFSIiUO	50	2013-08-03 23:38:36.305928	2013-08-03 23:38:52.579909	182		0
15969	101l0nuq19pyxuqrbbvhuriw2i	$2a$07$cYhvviL6mQ/D.P7o07KN4uwuv0z.4/1zZYmOF70avNYx6bF8swG9u	51	2013-08-03 23:38:36.329694	2013-08-03 23:38:52.701874	182		0
15970	10x1o6mxewx7pg25ei4yo6u50o	$2a$07$h4tQ1MITTjojAdgiARdCeOzDUpI9L4j8QGRqAOrQJNoGB.o0OR1ea	52	2013-08-03 23:38:36.35388	2013-08-03 23:38:52.839894	182		0
15971	109d7iw1muxprfy322bh9dfa7u	$2a$07$IYIaDMJEyL90WLw3SWbCCesznCYOWaQFB311orlmccYKJ07IqyiTq	53	2013-08-03 23:38:36.388647	2013-08-03 23:38:52.961831	182		0
15972	10ilry9wbyjdzby78194i3xue4	$2a$07$ptClrt8A3hlihQPocuBlD.gY9r4SSJus/o.qR1I1IDabRixdDuxw6	54	2013-08-03 23:38:36.412553	2013-08-03 23:38:53.107514	182		0
15973	10xu55dvwkff7xl2p7wj7bctnt	$2a$07$XVjZEisLLOwizXPgHA.8F.F18vIn9wDbEdEdd0e1ZPxvC9fG3Plde	55	2013-08-03 23:38:36.437686	2013-08-03 23:38:53.278172	182		0
15974	10wulrd42x20atseev1zjzpcqk	$2a$07$vWPTervb2yTOIqB.d5SL..fXhBFcW3pZbOv2yLcYHm6KwyAxxdWde	56	2013-08-03 23:38:36.461757	2013-08-03 23:38:53.39414	182		0
15975	10wxof568z7nypm3t8fxn9jf5n	$2a$07$uk8/xs8gs2FCwm.wqMmuvO/Aow2AxpvVE2a25NpluLLbW5Zd1ykwK	57	2013-08-03 23:38:36.485543	2013-08-03 23:38:53.537912	182		0
15976	10734cy4xn1vjn9m8w9lyx8jlu	$2a$07$tDvOtQIX3vsGLiRbkzRgS.1aKRdN0339g4Fn7UMvUQBHIG7e8kazy	58	2013-08-03 23:38:36.508966	2013-08-03 23:38:53.674346	182		0
15977	10s9haptwbpielohm6c9tjri1r	$2a$07$SwCLW/hosIWo8afz.O5kVu/AAGXCiVL4iFopihVhjxw4ElSoehUqy	59	2013-08-03 23:38:36.532305	2013-08-03 23:38:53.806702	182		0
15978	10mdcl78ku7ohor8quehaqg7xa	$2a$07$etlnLW.X1Zws5GCCSpa7G.TBuv31yC3IWaDS4kyY5mb4tlzHXDbqC	60	2013-08-03 23:38:36.555521	2013-08-03 23:38:53.927067	182		0
15979	102aqrc1wiihedsmcm53le9gta	$2a$07$STpvJ3nzD8rNfbptlNTlfu4XHtDZDSGTGO1llVeKWLALf3RG7qUhy	61	2013-08-03 23:38:36.578309	2013-08-03 23:38:56.425985	182		0
15980	1060o0a802fah91cd0nczsu1uw	$2a$07$3O9gfvjgJd8YfLOB/GniVOi1UkheCRUxPqNf4PQpmlX/sgSt0Ucsy	62	2013-08-03 23:38:36.601052	2013-08-03 23:38:59.33617	182		0
15981	10hkkcfr7kfsp4d95rrmsfwnob	$2a$07$8W3r9zPUNjCrqAC5CV5KBeyJW7XU6jRRxDpW.//IQUfBUfoa6qjDK	63	2013-08-03 23:38:36.623944	2013-08-03 23:39:02.403974	182		0
15982	10o02oqn7i4ck6pa68m3wtp0vi	$2a$07$GtJrQ/FatOL5Tj6kMMnDLuDRESt6kE4A9o31NtkiPSe4FkXK6wgWu	64	2013-08-03 23:38:36.646825	2013-08-03 23:39:02.590177	182		0
15983	10rn4s0iopzononumeky59fddm	$2a$07$oupbWIS3ToSD2hjI7PPL1.rrmzBuu56ZBEF.OkzdzVn33AcYJM2me	65	2013-08-03 23:38:36.670237	2013-08-03 23:39:02.717972	182		0
15984	1071fpoe0yv3nvs9cofdzc0th6	$2a$07$36Xx8ODZvflokOQZP32E0O84.Emfq4HFA173fqPThSJI2dplPGiRO	66	2013-08-03 23:38:36.693211	2013-08-03 23:39:03.822926	182		0
15985	10yaebnfjlvqidb8802pn2agop	$2a$07$hqKJYiyMsbONxn4lwTeODOmj3JbFBA3492.HTAsWNQqHG9UA0LjWK	67	2013-08-03 23:38:36.717241	2013-08-03 23:39:03.957845	182		0
15986	10cyozvdt4p3nt1dey7gpzu667	$2a$07$o9Ot6jGZlCR/lY3/gsIGe.eqZbqe8Szndx/YoR5GnGZxV75x4t3HC	68	2013-08-03 23:38:36.739176	2013-08-03 23:39:04.105161	182		0
15987	107ko0jsqqr50tb8npopi6vzng	$2a$07$0FUiO/LmShgaM4BNIxnAj.21Kh/DUFiBiYFPirHZGyn8ql/ykO/m2	69	2013-08-03 23:38:36.761284	2013-08-03 23:39:04.237821	182		0
15988	10imvbxr8c595mlftvhw5lxv1x	$2a$07$/uPgYcFtrNFQCdQjvzlO9eyIEYqbHNiFVfboQWLr0XbnEFT5/uyke	70	2013-08-03 23:38:36.784066	2013-08-03 23:39:04.386122	182		0
15989	109ftqeei4o8gznxakkswoq596	$2a$07$L6.CVs.O7EvxJgrEK4EPj.zAL1YHi8Ui..ez3ZMhxKnoANGxF1VzS	71	2013-08-03 23:38:36.80681	2013-08-03 23:39:04.51191	182		0
15990	10ipflybb9go7yo3bjhh65menx	$2a$07$f7TH11x.pOMqr4YEdx7iGuMngdUHhJURH4YwtGmzRpKBpnSeQtVta	72	2013-08-03 23:38:36.830898	2013-08-03 23:39:04.657401	182		0
15991	106q4ac9cuuwhujcmcl9ub6j3p	$2a$07$Z7uARozw6wyGPDj.N3tiM.fpxSXpsIHQze4/YPoZcgn0E2ezlB7o2	73	2013-08-03 23:38:36.853509	2013-08-03 23:39:04.797422	182		0
15992	10l7tgvw0sursk9w2ymmyyjehe	$2a$07$iIaYEXR2Bz3Nps8QBKzU0.RcbKaYllTRYgIXIvhqyAQvgaA8LxsCS	74	2013-08-03 23:38:36.876525	2013-08-03 23:39:04.923413	182		0
15993	109v5ys10bqklifuo6sguky79h	$2a$07$sJCHqK5izYQFR9Inf./ta.LFnrD0YD9SRyr6weXlSWRQzK3S0Mmeq	75	2013-08-03 23:38:36.899662	2013-08-03 23:39:05.069924	182		0
15994	10f0mr0o79fnot4w7bzvuujeu9	$2a$07$pRLXTl7HimxLW1LErZIh7er9r1kO71eNEJSY.mCrfq8KR8G.X3P6e	76	2013-08-03 23:38:36.924293	2013-08-03 23:39:05.211632	182		0
15995	10gyflzmi2ptv65botm4c7y7x6	$2a$07$p7ENabb94UwjoLTSRWdJI.S4guPy4oYXqvZ55Sdhw7jK3JfHn/fUm	77	2013-08-03 23:38:36.949077	2013-08-03 23:39:05.346142	182		0
15996	1077zt2i15x9ewrcp495wi6ios	$2a$07$tkVU7w9X9mhE7PenQAsq/e93rDBmPDJxW2b0J9kuPlMxDK11NUESy	78	2013-08-03 23:38:36.974378	2013-08-03 23:39:06.795705	182		0
15997	10j2kp1nutqsch5d7pftpnuscu	$2a$07$eGDyzVhaoQvnORBhta.6GOXEUiFNG04yKuSG05Qa18n1idEkQKIXK	79	2013-08-03 23:38:36.998544	2013-08-03 23:39:06.91597	182		0
15998	10vyp11l3lgk1laws6lwnp9e88	$2a$07$S/Ujzomd.7a/Bo2pv5l3Hu4lZ7saXpdRZ/2XqL29Be5ucI2H.IDdi	80	2013-08-03 23:38:37.023291	2013-08-03 23:39:07.063146	182		0
15999	10vet6124spomsdxl0afdu564l	$2a$07$7qnQsX.rNSY950uZR4adKODixlexvr.VtKUhILNKPQBTmNm4lK3k.	81	2013-08-03 23:38:37.046705	2013-08-03 23:39:07.202625	182		0
16000	102uirrorfb6rvot5r21vexxh4	$2a$07$JKtzSPNKhAtuKrMdVoJw9el5WW8VxZVYELTsQcTV4zeAuS2r75.bq	82	2013-08-03 23:38:37.069647	2013-08-03 23:39:07.351721	182		0
16001	10tis4alhosvcrfstowf8dmk0b	$2a$07$lszacLndmWP48Ppu1ua9..mKJtkw/4o2rjxtYrAmJzu8wjo9pniMG	83	2013-08-03 23:38:37.092977	2013-08-03 23:39:07.461237	182		0
16002	10fblb81f6wnkyffuhtqyv9sl3	$2a$07$cgmOqPz7CgVgdERjUU9ncuFLiPZ6guqLfNEv2vnqVlN.mFG../Wf.	84	2013-08-03 23:38:37.115806	2013-08-03 23:39:10.287394	182		0
16003	10id98pza7zcphhlfylidctzxe	$2a$07$RqRuCbLMhbqDtKTcv6rpA.G40BH6M5kOZetBlk5bdSNYYevprJSO2	85	2013-08-03 23:38:37.139129	2013-08-03 23:39:10.42339	182		0
16004	10y97s8uln8tqxtn573d7hishm	$2a$07$4Knqq7p.e0258clTGSshFes7N9Lmu20r5S2cDqAjGLVS3buqHKpGq	86	2013-08-03 23:38:37.163016	2013-08-03 23:39:10.585788	182		0
16005	10zxjy71ergzowrrawfcktwpbi	$2a$07$niGXK8JS.rDrfRl4H.yIBeskN1INKxuNIsX55nceYBz3hrS37.h3C	87	2013-08-03 23:38:37.18594	2013-08-03 23:39:10.727204	182		0
16006	10dp8xropjuy8d7s18fgsoalch	$2a$07$xHanDtKvaBISMaXkkuN3lOvrGydfnfMlTXyvkvI.bOPK3cSOPmR7S	88	2013-08-03 23:38:37.209788	2013-08-03 23:39:10.872737	182		0
16007	10cgyib72herd9mll4gln2qu2b	$2a$07$Wv6szA5x5X.BvQWn3uMWduux6FO/o8kYgwqBL.3c3j18ZTF5u5W1O	89	2013-08-03 23:38:37.232853	2013-08-03 23:39:11.944703	182		0
16008	10in8tcxqjuvl64ksq2nr13dmy	$2a$07$kojHA3WM8ML7DG0JqB3vredkqYrTAgJhxBHMPagj.NOdBGCFBbk1y	90	2013-08-03 23:38:37.255379	2013-08-03 23:39:13.101231	182		0
16009	10evpa3t0rvd8tgl90cm6fxkzh	$2a$07$VuD79c6QJ93fmB2hCD/GbOesiYR2.DyIrm9eRthq8bIIjwrl1.qay	91	2013-08-03 23:38:37.278867	2013-08-03 23:39:13.20639	182		0
16010	10gylh3b1elzdt228vsz8upumu	$2a$07$xoJdoOc1xFcUamWa1WVlw.RxSQhNbvqqeT0m.SH8L3mFNllPnqwPu	92	2013-08-03 23:38:37.302528	2013-08-03 23:39:13.313614	182		0
16011	10ti72r7xh5n7ezdfto6plbej6	$2a$07$jCbAj2B/uVsMULpDQG3LXuZK4mtRnAc2f2gzoo6IqPDKtF7Qi/JKK	93	2013-08-03 23:38:37.341258	2013-08-03 23:39:13.435068	182		0
16012	1075osy5z7e1hguss3uvdd9j2f	$2a$07$5OyqWhHJSLeVuQIMy9CYD.ottHIHnooBeQDFEGYJLMm1S36hXzcES	94	2013-08-03 23:38:37.378897	2013-08-03 23:39:13.560137	182		0
16013	10lyz8f51t7iugap9mm4ucmazx	$2a$07$VWmaYZ8iPGevg6Li8lwFsue6lU1LbcgcW3tTnepKVytQ7SCbjsQre	95	2013-08-03 23:38:37.414666	2013-08-03 23:39:13.801618	182		0
16014	102cu3aqjzok8teh08ymjckc98	$2a$07$A.1IskImyZTPnb.Y4hii5.JLn8VcYwZrR8d5/gsH/2w/vxU/MzYWS	96	2013-08-03 23:38:37.437742	2013-08-03 23:39:14.082178	182		0
16015	10vk0yk796j6nc78myzeaun5ve	$2a$07$19Cc7q2RbwwcB9D1JSJ.jOQDGxsvkGorQQz51QBML4HxUbhMOxe7G	97	2013-08-03 23:38:37.462117	2013-08-03 23:39:14.195329	182		0
16016	10y7chu3f7l28iam8kidq0d5eb	$2a$07$Ybcd1UJWxzOAsOtTjcZPjOacBdJC5h3vIFXpXzFBehi7/E8zKVqEy	98	2013-08-03 23:38:37.486493	2013-08-03 23:39:14.313675	182		0
16017	108i41em65yc6t52kn7aga13or	$2a$07$3pqLX9Efvtf6D67wToTMX.oqcuLeROmrdhxbFRXsl6BKJdY5c/3kC	99	2013-08-03 23:38:37.50961	2013-08-03 23:39:14.442397	182		0
16018	10ssfrtrp1gfkyyzz9tn1krqbu	$2a$07$OAptVV9X1j9n1jw.VLREluqyQpC.enVTEhxhVICo5rmk8//vLJm.C	100	2013-08-03 23:38:37.533882	2013-08-03 23:39:14.587324	182		0
16019	10hojchtk9fad5tfnjz9h1sbtl	$2a$07$kbGajbCY/ICcqBckaBjQOeUQK3s0FjGAoPblxk2fLiymKiKDEOqDi	101	2013-08-03 23:38:37.562779	2013-08-03 23:39:14.720392	182		0
16020	10x63kd6ewnramxghnwtcgux5f	$2a$07$vzrZhf/kanHLMNUE/8bIaewXb9l19XXIVIB6UtG5FdNdIXqZHvbLi	102	2013-08-03 23:38:37.605396	2013-08-03 23:39:14.856109	182		0
16021	10ul2zwqd6ejvwg4btaaijcud0	$2a$07$sB4QF6urS4fwZz7weR7dG.vpNLXlHV7YFk3K.cJMZIU4DsQBMCqGi	103	2013-08-03 23:38:37.632531	2013-08-03 23:39:14.996037	182		0
16022	10a4e7bt1fcs7deq23c96mp443	$2a$07$XPHEumVDB5ASEuBk/WPrgu7evVvVqL3hCQ0xKAKxh2FbKRjsDRALm	104	2013-08-03 23:38:37.657346	2013-08-03 23:39:15.114675	182		0
16023	10a22yrtl51nfb203j65k6s9mu	$2a$07$EodN5POoT9rWiDYlzSk75eWSXyegjbSQPolGoJ7aTR.Lojepgwtpe	105	2013-08-03 23:38:37.681713	2013-08-03 23:39:15.240012	182		0
16024	10n3t93p3yknttt4g8l7v5rtpr	$2a$07$oNIQLVlqXt682jHqvuUM9eVAj019YjWUUj97C0jHNz6r5rZVC.ZdO	106	2013-08-03 23:38:37.715537	2013-08-03 23:39:15.350336	182		0
16025	10ckwkadaubkxtdj8irdkbw6n1	$2a$07$imDgxBOmYRRNg0Kc9EMERe0FH4fETNmcIKOhyHPWNwc5AYqvhxSR6	107	2013-08-03 23:38:37.740747	2013-08-03 23:39:15.490898	182		0
16026	1010mdev2l71ejd96yvmw9btna	$2a$07$A8YYBnKLNM2P.8ZO9sn4ge9r4qDG4TxLPfFF2RwZExcIJyjoCuTBy	108	2013-08-03 23:38:37.77433	2013-08-03 23:39:15.662259	182		0
16027	10pggn1cqb9ukkvgwph2w83l6b	$2a$07$6x.GVHg2x8vWRhEQgoN5M.J2wjr0ESTFOkDKdZgqwrBhvvY/Hu/Dm	109	2013-08-03 23:38:37.807667	2013-08-03 23:39:15.809904	182		0
16028	10nd0e18mxnhti6wgkn61vhb4n	$2a$07$1Zfq0MYklT6ewbj2kZ7PaO52kjsb7ElUgJo5NnKHnUjXM/TIYt6..	110	2013-08-03 23:38:37.845521	2013-08-03 23:39:15.951161	182		0
16029	10u612smx5pfx68jtcz5mooxhc	$2a$07$lqv1WXrBpT.BdxN8.ShyY.XuwVBMSBKpCVyr4d0pQ2xOvKm.Bwinm	111	2013-08-03 23:38:37.880072	2013-08-03 23:39:16.081588	182		0
16030	10pbjlcsbabaanu44o05xn6iw6	$2a$07$Sq7DSSzOU3lBehjQNayPkuizx9T6a0liFTfdFCg7Tw7WvkNdS86D.	112	2013-08-03 23:38:37.903506	2013-08-03 23:39:16.198877	182		0
16031	100m79bee3f8ftdu6gnd2z7vn5	$2a$07$QnsQHNmDAFs3DH9H5hGCluAJPPFrvFlUquhojOKIiAncOJN32xIVW	113	2013-08-03 23:38:37.926154	2013-08-03 23:39:17.693378	182		0
16032	10m03q7z6xi2kof59artg2c6lr	$2a$07$iPZiCRbQ/uiJiRJ.XJ0kHuu8nqY./d1pogaMLomIThXpHkYolupC2	114	2013-08-03 23:38:37.949542	2013-08-03 23:39:19.411359	182		0
16033	10rdfhifeorxxz7mx17yg67jh9	$2a$07$xh7hya6WfX.88ttIcRGTb.VQ3HPNp.n68IETBywJuQEMMT81BfdfG	115	2013-08-03 23:38:37.971642	2013-08-03 23:39:19.536511	182		0
16034	10b1k5v8kga19oe8c2d0g20l2y	$2a$07$MpWIXV8GqjAfYQmJBc9n4Ob6mtXqu6kXiztKNPvnXaJFPDxvrHKi2	116	2013-08-03 23:38:37.995492	2013-08-03 23:39:19.654583	182		0
16035	103enurkyfiem6mct79dizjuoi	$2a$07$S6.WF87SyJhu2wXUOaPpc.dLq3W4hu5xkYHHmnzeIF3lQc4CrJkYO	117	2013-08-03 23:38:38.020388	2013-08-03 23:39:19.776256	182		0
16036	10bilyk2dq79w2cyep8y1fw6xi	$2a$07$ZiXPf4Ktlwlxsj1Gu19xKO1SSawHlMD8Mdg80EGlqzqj1T6yxUp1O	118	2013-08-03 23:38:38.044694	2013-08-03 23:39:19.885387	182		0
16037	10xn3hqi2slxodp82dhkqrnld3	$2a$07$930XKmPLrvMvErMg1y4P5u8bLJtJ.PsA33qWmH6PptGPCl9Cxt9l6	119	2013-08-03 23:38:38.068561	2013-08-03 23:39:20.000215	182		0
16038	104nci9zpbx4t3tj966ikpte84	$2a$07$qZG.krNc6F17Umga77Pt3uhEdknnwHZgUjQgmHZ835mYYaffdbQUq	120	2013-08-03 23:38:38.106776	2013-08-03 23:39:20.120296	182		0
16039	10273oo5qs7as55i3gpl27vl7r	$2a$07$kq6kj4RHOZ3FWyUIjsP.7OFVe7hMUwMfcILEwPRUttaZq90yrWfU6	121	2013-08-03 23:38:38.144882	2013-08-03 23:39:20.246526	182		0
16040	10gryv3ghttgqinaouhx3mnfig	$2a$07$Q7/70hiken4rAXdKiH6xB.vBY6UKZuvRZyapDXfwHrsA0gaDpaEKm	122	2013-08-03 23:38:38.167606	2013-08-03 23:39:20.375383	182		0
16041	10egn5aqzughavwtpymo43kpsn	$2a$07$dWxaoqzydxEtyL8aEZNE5O3v/WjIiuIb59Olnl2/lKvBLfu44YlBG	123	2013-08-03 23:38:38.191852	2013-08-03 23:39:23.115569	182		0
16042	10amr2x69bg060vc0ulnuhkx04	$2a$07$94vfy.Jy7ldxjQJ08HbT1.ekHyN.mR7dQI.V2Q10cUMQO9oOM5OHS	124	2013-08-03 23:38:38.216434	2013-08-03 23:39:26.133272	182		0
16043	10etbirrm6e0kxpzzar532eu95	$2a$07$KcNDF9G/uPx1R6U1SuVtRen31ZOPqBohiZqDG6J8xl.LryevC.xfi	125	2013-08-03 23:38:38.242238	2013-08-03 23:39:26.282427	182		0
16044	10lj33ikrgoicjrc5z8gcgdiy7	$2a$07$Yg6Kbsq/bfvbQFlN2JmtlOhds0NHSc04m8Z57472VQ3Tia.rlT5Hq	126	2013-08-03 23:38:38.266017	2013-08-03 23:39:26.412016	182		0
21456	10s3tmu6hawrvdcvoqmgg6ot3j	$2a$07$4m4GceiqCtMXBGlVicICSOYOHU0ae9Fh0ieyBUHLhhJ7eve7I5KxS	120	2013-08-04 17:10:57.358841	2013-08-04 17:11:36.908581	225		0
21457	10qzlfddaqci2fkosozi2cad2b	$2a$07$hi0Jj41dhGVLZzE6REEvfufKKpfZCHPMyHGa4R/dLa2XpCgh.XaFW	121	2013-08-04 17:10:57.415205	2013-08-04 17:11:41.209431	225		0
21458	100dh0tatrvyn98p07pyox2t3e	$2a$07$6bdajxWJM0VYsb8zJVxCBekukESPXmA2jihIFn3WALJA0QYVW0bda	122	2013-08-04 17:10:57.448967	2013-08-04 17:11:44.849584	225		0
21459	10xrw6cbjtuje9nbfegzy92c2a	$2a$07$bObptTQ7MYb0t/MF7LM8zuPO7HzGFu/rlBOrxwE.K58IZTzriTASu	123	2013-08-04 17:10:57.474362	2013-08-04 17:11:47.706823	225		0
21460	105apg2y47ye1ptdyvlmi135rs	$2a$07$8G4G.c5adQXCUs0g0elAn.OyoXdoX/EPO..KtJL88Yrpr5NKrPz4K	124	2013-08-04 17:10:57.495651	2013-08-04 17:11:50.877565	225		0
21461	109ntn661ug2rbygjwtjuyi8hh	$2a$07$P9ScI2UvgsQWlWr1ZV5QseznnDJ5HDLLxfGUTows2pIbL8pWlLkQC	125	2013-08-04 17:10:57.517041	2013-08-04 17:11:51.012052	225		0
21462	10mqb51rjbkguo9225cwzvl01z	$2a$07$fwHqGH34bnfK4CtuyEZxrO2XorxE4qX803Xee9B29QP/15vO770o2	126	2013-08-04 17:10:57.538486	2013-08-04 17:11:51.147756	225		0
26379	10v454rausrrt17dy7m3gqnoyl	$2a$07$oFVwbcLvr8UNJ43bOKS61.51y/ggYBKJa7eEmsWk3doEy5RVJCwua	3	2013-08-04 20:41:19.103133	2013-08-04 20:41:22.498553	265		0
26380	10om9fjr8ozshl5q497fwzbjs1	$2a$07$5VKeqQtt4F2N6Kgq96am7uBSJrUZ2gPPqyESNTir5S17ZKVCzfk0G	4	2013-08-04 20:41:19.125463	2013-08-04 20:41:22.62726	265		0
26381	10p5s3dzacwyxcdiba7j8gn8cn	$2a$07$3XuQGwggfb8XON3SOSuSu.uaMtCvoQhdANO27sYdNXA4oynmuYM/y	5	2013-08-04 20:41:19.147099	2013-08-04 20:41:22.757845	265		0
26382	100mvdpkzec3xjpgj14sdawlxn	$2a$07$oVvZHCxLsqLxfypAId1g0.DHcZDQb5L8ULtiBQla9NUUrQKFXPsau	6	2013-08-04 20:41:19.16856	2013-08-04 20:41:22.90587	265		0
26383	10a2cn3cu21xma1r6b3yxbfh72	$2a$07$57UzE1RV.VXCsqkQpHoGxOmN1RG9jaK5HAIc2fD8ZkmkN5ASLLdZq	7	2013-08-04 20:41:19.190131	2013-08-04 20:41:23.07022	265		0
26384	10qdti6c46rrwkaddvtv82zl2x	$2a$07$WKOk5MFES/Wj0fYwfNrh5OL/SAAv2KYS7.8jr2NGOE2.JOjJctz5u	8	2013-08-04 20:41:19.211637	2013-08-04 20:41:23.251814	265		0
26385	10901xt8eaqlqkusc795klgvpd	$2a$07$ZWUopKSFZamHjrKBsi2jPuVD7XxC1YDpfRDfuZTuERvvRsWKsDTse	9	2013-08-04 20:41:19.233165	2013-08-04 20:41:23.427736	265		0
26386	10ozdylom4yebls1d0elh9fdna	$2a$07$ZbHz0rfDte3Kq/aQ8OzU3uMAt1Mf3bit0Ze3RXeeS1XzkfjvnIo6q	10	2013-08-04 20:41:19.254695	2013-08-04 20:41:23.531093	265		0
26387	10dbuk4shb53k96l5t7tvfnqod	$2a$07$mKnu3fzwmX5Hg2tv0sjXy.FzlBk./cIPdPM4C4RDpP0Up88VXT6HW	11	2013-08-04 20:41:19.276259	2013-08-04 20:41:23.626779	265		0
26388	10dxh17t48glmqy4cf5f95zscx	$2a$07$GGecdVLFOQKHSHcuyi4QNObw4NK/uIDmmdzBd0fBM7tvj.9b2LgFi	12	2013-08-04 20:41:19.297748	2013-08-04 20:41:23.724441	265		0
26389	10kvc0277cfsd2om9plqg23tiu	$2a$07$mcJ6Ws6Rxegn8lk0fhx2AuEwAXDbUPPcxy4hgad.Ly20QtqlUDIla	13	2013-08-04 20:41:19.321532	2013-08-04 20:41:23.849527	265		0
26390	10s5j4o2qfwxsis2m8pajaswv9	$2a$07$Bq5NGl/LHMRn.IBBwj6IpuELQZv.9G8iVNk4c1CFek/gQmxbcK9h.	14	2013-08-04 20:41:19.345117	2013-08-04 20:41:23.989986	265		0
26391	10dmrt8d6ca12q4jxsvtrgeoyp	$2a$07$EQd7P.mavexjrwyExoPdyeK.9BMs78QkEfxCz0W3GYRWxvnPT791W	15	2013-08-04 20:41:19.374899	2013-08-04 20:41:24.100552	265		0
26392	107swwusbuusrphj101kgl9s36	$2a$07$27wX9OFDoWQ97dSBVsvE3O5d1auyHkSkt8SkOfgX4vJo55gwGSfe2	16	2013-08-04 20:41:19.396792	2013-08-04 20:41:24.260216	265		0
26393	10qdovv0duofkxzoo3sztbm6l7	$2a$07$yDbCTRyqZ58ycflZU0kqRerXxe7QI.bgRqMMz3YDGZy0b0Q3H8q72	17	2013-08-04 20:41:19.418842	2013-08-04 20:41:24.419323	265		0
26394	10ra3jkj83y04s2k0vf1rect3z	$2a$07$9VEE5l66Nzwljj8RmTjd0uomv.qDfcKaXrBeU/ZEKLb0taBtsVVai	18	2013-08-04 20:41:19.442256	2013-08-04 20:41:24.552175	265		0
26395	10ybbtcu9m39fohhrcmsrysxuv	$2a$07$Smed3nYL3t4vQ8VkhFPzROUN08ayIx3t0M0f.5hrZA4n2Ytwl4qaW	19	2013-08-04 20:41:19.465434	2013-08-04 20:41:25.487681	265		0
26396	105mhjz5sx9zawvya2ypqd91ot	$2a$07$scEMsArAsZNwn6vJxqgcM.gera5qSu5g07f4.XNWT8kYVxNHcihiS	20	2013-08-04 20:41:19.487069	2013-08-04 20:41:26.553653	265		0
26397	10fhcsia9p1dc8a92rnmskia4z	$2a$07$kOBMZ67DjErZZ9bP6.u2sO8x5/2T6xieeZAZHKKGZPvs3NepzwnrC	21	2013-08-04 20:41:19.510822	2013-08-04 20:41:27.496192	265		0
26398	1008nje3onc47g5w39ijpx22v5	$2a$07$qDs/KFmjQUmTQiGS3Sd/nuDteTodyQ3yBiGNnIV5vL.NbhKpKBGRW	22	2013-08-04 20:41:19.545363	2013-08-04 20:41:27.637227	265		0
26399	10mktf2r3mzdzjk1oljt62mj86	$2a$07$fEvK6R8GekwFkuAjGHjaROpvvyVDW5z1g21ee1JFUKBf3SpLLWTYu	23	2013-08-04 20:41:19.576442	2013-08-04 20:41:27.771429	265		0
26400	10kh680zsd1l5l9y196zqfmq8l	$2a$07$lup.HUMyxqr7vBKKLMvEbe7GhJ5Ws1oPXLZVSHZ/tzwbpBlU05N52	24	2013-08-04 20:41:19.599251	2013-08-04 20:41:27.897572	265		0
26401	103srhv1fk6k5u1ufeunfc5x6i	$2a$07$8DMc9.RZBDsYwAnzdvqNIu2TlfGJg9P2heWmguG3snFmRBZZ6SEAO	25	2013-08-04 20:41:19.623283	2013-08-04 20:41:28.901073	265		0
26402	10m38atnoxeq1n6618ouzeyssm	$2a$07$HtzvG76ZtIPa9o0/Gy47z.qbA8WhdrUi67IfY1ARmdtMIqAECIzDu	26	2013-08-04 20:41:19.646898	2013-08-04 20:41:30.036926	265		0
26403	10lcibbj84d06wp7sexsbr7ek6	$2a$07$A/H6NG7RoA3LCn5R4m4vCubVJMUcUrLzV86JDY.x7Vfl8KcNkkoHa	27	2013-08-04 20:41:19.670815	2013-08-04 20:41:30.989891	265		0
26404	10r2kvr6j5s9d29sphh52wqeti	$2a$07$IzXSlkesbQTtlJZQOjj.sO0T/SpvjLzxZOG6N/maTjBdxTyLAW9LC	28	2013-08-04 20:41:19.694202	2013-08-04 20:41:31.153554	265		0
26405	108a1e7q3y3bm230ip7fxwzhfp	$2a$07$Gtp9GLTD.rcphKvqJyzTI.p06iw5GcJb4rscB/D.d58ZQxXatL232	29	2013-08-04 20:41:19.716772	2013-08-04 20:41:31.315883	265		0
26406	10cdwq8zbx6ajfq3xpznkjher7	$2a$07$O0En3Ooxmr5m5dwT89ezr.AuVJij96aLNCYtjSga8isqPKkPn0Xju	30	2013-08-04 20:41:19.739524	2013-08-04 20:41:31.478112	265		0
26407	10vdicdv60t2t8zyi6mcdt47yf	$2a$07$H1PAAWnu67LYvT0LkCWX4O/7gSC8N8NiIggH5tAM3nfrqdpmL/3ke	31	2013-08-04 20:41:19.762927	2013-08-04 20:41:31.644211	265		0
26408	103ithyogjb7bic51ps5q9ff6g	$2a$07$lb42pRevFyjdf52.8Twrpu81Eu.7T06IgSm9Oy6Fz/YXQ4PV91Cza	32	2013-08-04 20:41:19.785548	2013-08-04 20:41:31.79493	265		0
26409	10lhvr5fq3y616klughkad92y1	$2a$07$CI/vpVKCY2z7shQu8JUAXOSseza6lEKPKMtUOQyWm7c7.oISOO1Wq	33	2013-08-04 20:41:19.808559	2013-08-04 20:41:31.923923	265		0
26410	103xv4bkwza3j5s5uenjrbv6k8	$2a$07$ikhJan4zcIym6fSZG7EMWuBGEKkt90S9B/za8cgtxhmO/BI1OqDIa	34	2013-08-04 20:41:19.831747	2013-08-04 20:41:32.178903	265		0
26411	10naic5cskbdcnp3td4nwxwp27	$2a$07$ToJp02f5/v6laFA5vpixKOb.qQBrI2G8KHKnnJa1bQ13n8FT3hMxO	35	2013-08-04 20:41:19.853471	2013-08-04 20:41:32.413114	265		0
26412	104ozva69dv4of1kammtb4djjm	$2a$07$cXyxCjqUrGEZu.WfFC6lx.XUFGnksIUjvmEmT/yyOkcHThYMaUIlu	36	2013-08-04 20:41:19.875211	2013-08-04 20:41:32.581479	265		0
26413	10z6lkfaoqboz87k58a3rb9e69	$2a$07$YqW69DjJIcWNLXdwngBspeWhMSuAOBX238AAIoCknzJg1wPpDQyqG	37	2013-08-04 20:41:19.896956	2013-08-04 20:41:32.726016	265		0
26414	10zxz3nbgr6m52bjfhyn1khiks	$2a$07$r9fR/wYwCRTnlCICSXhYMOgjg/M.YqruyThj2gGAjl7bvzicm7QQ2	38	2013-08-04 20:41:19.926364	2013-08-04 20:41:32.848678	265		0
26415	10rvrirbhjmsfcci7k51lejqpy	$2a$07$9bEd7Qpz3jpYG6mgo.093.SXrDMqIbALoSexal3yWLeJBzUnq0I/O	39	2013-08-04 20:41:19.951071	2013-08-04 20:41:32.962832	265		0
26416	10nerb2i13musxg8s23eubyll9	$2a$07$YwB8qafTozUGIt/ENiqWRuv4sXaLq1.0wEzvMmSSHpK7KeI8gWbFS	40	2013-08-04 20:41:19.973943	2013-08-04 20:41:33.102816	265		0
26417	10t2cduxzx54gxgzn5w4w3yady	$2a$07$Y0YjqVHIcBdwvZoVTVB6HOtfZPWD6.HOZR7VAkWAzfpIVYZsuJqD6	41	2013-08-04 20:41:19.99574	2013-08-04 20:41:33.282708	265		0
26418	1017lx6vbnd8pwnd79ly14dl21	$2a$07$anNR7jWcsE.POJLpDcz48.BoVcA0ynSAiSnSHE18r7bfdXmFwbyWG	42	2013-08-04 20:41:20.018769	2013-08-04 20:41:33.443157	265		0
26419	10tss2u0g8jp7oltvrhmpusl1j	$2a$07$4tJxT7XQRUXAP/sDhueojesv0VCGTvHI9IrQBleFWRbNm2jsSwFMS	43	2013-08-04 20:41:20.040779	2013-08-04 20:41:33.586652	265		0
26420	10taaovu6l8ejg1b4y6kfqjlr8	$2a$07$/a90CaOPbOODyQfA3Bz0e.zY8x6XubzOT6eJASm.YZxN6ANb/Co4a	44	2013-08-04 20:41:20.062478	2013-08-04 20:41:33.730634	265		0
26421	10cy8vh04dv1g19ar7j14c2osf	$2a$07$43ZTDo13B.bymnRD06Wf0ej0pE3xZKiBNK/0CPtjHQUZPnAjovxz.	45	2013-08-04 20:41:20.084054	2013-08-04 20:41:33.876102	265		0
26422	10coqp9ivc9cbnk3dhq3zhhmju	$2a$07$A5nEvcbqO9/fAARKdN1Yt.Xn2QLATmiuxMhrou9wogHEtBfzwBBz6	46	2013-08-04 20:41:20.105647	2013-08-04 20:41:34.031049	265		0
26423	10y25iy7vfp1h1q71mz3n61g4f	$2a$07$nzGAFOiOz4BrvSuEINa6AOWurb9fIv61fG8MuhsjwOmd9Pb.0ze/.	47	2013-08-04 20:41:20.127475	2013-08-04 20:41:34.16673	265		0
26424	10ijkyn1rnrn7sp4k3f9kmxeou	$2a$07$4i6WHLwGg7DwfVLLRJYDh.pK.0EQN7GcA55ubqsx.TyGNrERytX4.	48	2013-08-04 20:41:20.148979	2013-08-04 20:41:34.3562	265		0
26425	10lmtwbiyqk8f31frln9knsgdr	$2a$07$rNsVMy3ZKNnt7Jgk2fXJWu713Z16/noffEJ6Vyhbx5mBWbRVPe9Vq	49	2013-08-04 20:41:20.17155	2013-08-04 20:41:34.513047	265		0
26426	10eb5th4rmszaqipslj1ww1cm1	$2a$07$Pc4zXnl7QkEAOkqSWApTpOB1yqXzFqtTBhjLkUg4YdurW1nFNnmQC	50	2013-08-04 20:41:20.193332	2013-08-04 20:41:34.678747	265		0
26427	10r9gpzl1yzkk5eew9fth9wo0v	$2a$07$PqEQ7MqsELMNeq0vEa6rpOhMvCmBF5wsHznxFmmP7tMHdIP3qLLYW	51	2013-08-04 20:41:20.214831	2013-08-04 20:41:34.843112	265		0
26428	10ncr9d3az2bzpz3kdk6tq1sye	$2a$07$6NuRhxUIt2jXxux8vQWKMOld.o0jWGp6rlxHQTFmaBQMdu9vd0Ggi	52	2013-08-04 20:41:20.236496	2013-08-04 20:41:35.074064	265		0
26429	10ro00zqf4liigjpifvgfyqkvy	$2a$07$g0xv1mpKxo0wqsbXQW1hZup40dK3HNoctu1Ck1mqqdnhMSth2T5z6	53	2013-08-04 20:41:20.257959	2013-08-04 20:41:35.200035	265		0
26430	106hdvex2syvc6fvv4bfpkl9cv	$2a$07$mteUVjrDqP4fcRDrgUjP9.0ZIruzXOqv07X/35voa.sJMBqWag0eC	54	2013-08-04 20:41:20.279535	2013-08-04 20:41:35.45089	265		0
26431	10w89mncwnq49b3t2z6opcixwp	$2a$07$HLeyBghojsbUx3IzfsFVE.dbtymh9.AEriwgP2wA5qEcAfRxIvd6G	55	2013-08-04 20:41:20.301045	2013-08-04 20:41:35.597158	265		0
26432	10f78ev4jlbl8sh1mujiz8opwy	$2a$07$vaC9ASFPWrzpjalYx9Ly8OSVkV1YQns7oS0OSW3rDlGVT8dVsebpW	56	2013-08-04 20:41:20.324715	2013-08-04 20:41:35.75561	265		0
26433	10ejh5dixc2hnb2wwi7ekz64n8	$2a$07$Jlaqf2O7n4VpCcl/MQ32b.vJKdwMcWHQaRm48/Je1Ca3LBzGAQA12	57	2013-08-04 20:41:20.348369	2013-08-04 20:41:35.917693	265		0
26434	105ndan07nenxnzm5on6ri7fnh	$2a$07$l6VqmWSDdbfZ9Yf1qRA36epvgHQNTlbZKAEWz0EmrJa8MjKuHWt56	58	2013-08-04 20:41:20.370917	2013-08-04 20:41:38.42218	265		0
26435	109mlzwg6yqm7qpmdcol0izhhn	$2a$07$0OogzxNygR81luMRmDFjtufaNbH0mgTgGTpAZA7utyByefM35lOKK	59	2013-08-04 20:41:20.39282	2013-08-04 20:41:41.03332	265		0
26436	10nkcyv2433p7vbjyjsvmwfrkn	$2a$07$KUtrnUPl0MJnc5nv9Tsvq.cD4WnSZ./MssUMyQ8FFoBcVg6bNpcQq	60	2013-08-04 20:41:20.415197	2013-08-04 20:41:43.670851	265		0
26437	107wcpitqb381j7918ei8k1v58	$2a$07$2jdxMDsN8D2.dqOVJq/jtOQOrpTFMZhsQvBSQp5zZSOAiAtFylwni	61	2013-08-04 20:41:20.438474	2013-08-04 20:41:46.362181	265		0
26438	104en7yq3snig7e05xqeav9qok	$2a$07$AMBT/cYoSdjnq6YcR/Z7BOCWlD/7AJmWLkDogGeCGoYLZo6qV/3SG	62	2013-08-04 20:41:20.461293	2013-08-04 20:41:49.388256	265		0
26439	1093zxje25f2h3fq2x8jz86jlp	$2a$07$fDB/Zo.SRkiS0YnJcNyOAe06m3XdA9V9k0ENWBSlVZb7oEN3OOLoS	63	2013-08-04 20:41:20.484308	2013-08-04 20:41:52.471006	265		0
26440	10q3dcun7ycfmx7c46fmdlkpj3	$2a$07$QlIQXDfVnW2CtO9CNZLtfufqsGfKI94rf9Ln5IzsKgD2ceTzZLMIu	64	2013-08-04 20:41:20.506341	2013-08-04 20:41:52.627029	265		0
26441	10y30jugp3400gre4dyvr3swzp	$2a$07$A89dwZlKgtq1G.v6cndMCOsKVVcyOH.xFqg5xdOkQI8DIfRS260z6	65	2013-08-04 20:41:20.528164	2013-08-04 20:41:52.768627	265		0
26442	10icdpiwakwobb88setwkgiieq	$2a$07$qfRnmpuPkc.soEYyNfPHx.MtL4NiXuA8yrv/r8/1SQ.OZfkCO7lQq	66	2013-08-04 20:41:20.550907	2013-08-04 20:41:52.907467	265		0
26443	10dof5ygg9yf62i89j331tseik	$2a$07$slolJWJJUx/M37SXrc88HenedqoD9dxSrcQqG2lExkuxG8EQBLS62	67	2013-08-04 20:41:20.573594	2013-08-04 20:41:53.050875	265		0
26444	109tf0fypai1ifk7dma51v8rfc	$2a$07$k5Ne.0CofGZm0WOZ4EizcuSGH1QOb72i7xL72iY1g9Cd7LeQyDgE6	68	2013-08-04 20:41:20.595134	2013-08-04 20:41:53.195488	265		0
26445	10ygcizg3nfys16ua36gbft289	$2a$07$dqfjJ0BtQGaiSHJLGDy2D.TdwbQyt80T27rZ6Ww5uYFk52UnR2x06	69	2013-08-04 20:41:20.617312	2013-08-04 20:41:53.350149	265		0
26446	10x709wutgrfnl9ol0iwsy79nk	$2a$07$4WNr0mzUxqWf9oDdwYnQeOF7ZgpfztsLkntO4Ql1FXkfgez8zQ7/2	70	2013-08-04 20:41:20.64183	2013-08-04 20:41:54.255306	265		0
26447	10h7vv1v7fgi3c5tn4tksuknh3	$2a$07$Fc3by1QK/dyE74yXySNc8ekRp4eGcYYqGEI35K4JdWMeBpa2vf68e	71	2013-08-04 20:41:20.666863	2013-08-04 20:41:54.396587	265		0
26448	1028a6cti3oomwm5csipy4egey	$2a$07$VtlIZ/edNB.EgmGyxe0t3eiD0cZZS86ukF44Xl0Ya2xd/eGpEZ.Li	72	2013-08-04 20:41:20.689045	2013-08-04 20:41:55.475819	265		0
26449	10tnqa0dybrpb0hc6fwasa22rm	$2a$07$f2G/dzU4.H2TOOJ65on0Y.vRPje/LGYF97n8Q8hDm5N4vz0kdXe8y	73	2013-08-04 20:41:20.710595	2013-08-04 20:41:55.607852	265		0
26450	10e5v00eazpigynrnswmn8addy	$2a$07$0Y3prtUu1UfHwo/PBRigp.d73iIBpel4ImYsUuwwGFmEqVIxlEsY.	74	2013-08-04 20:41:20.732062	2013-08-04 20:41:55.749043	265		0
26451	109xl50o4nvnvfgb868061due9	$2a$07$QKVaYPQXJM5XW8BWcLQAxOuUoo9txnRNElenJdcDdvKpxTFIfy2IK	75	2013-08-04 20:41:20.753338	2013-08-04 20:41:55.999253	265		0
26452	10aq1j58p3cihdamf94m2meukw	$2a$07$AOzMNGvPAEqESYfzhC1SIubd2HDolvKWB011c7qWQuCpYppNTcAA.	76	2013-08-04 20:41:20.774541	2013-08-04 20:41:56.148196	265		0
26453	10nk4omj45ficsradv81xzni14	$2a$07$U52mXgbVF6tdPU6lJXVP1.ZdIeOue5bMyjeDWCr2N/mEM7wu22ESa	77	2013-08-04 20:41:20.795764	2013-08-04 20:41:56.277811	265		0
26454	10mtls5xmzyuzebnumknrbgqaa	$2a$07$koHSPY.tfHzv.X5JLB7Iy.1.q7eKkvZ5D6vL2aPFoeKYX.TMN.GOG	78	2013-08-04 20:41:20.81716	2013-08-04 20:41:56.423732	265		0
26455	10faeklqfij81i1nlhenh97b2l	$2a$07$IFg0Cbga2Xe5prSxwHAUOeMT.iF4eTCH1.Q13MHRRspKPBMW2y8PK	79	2013-08-04 20:41:20.838918	2013-08-04 20:41:56.579769	265		0
26456	104oh20mc49t92k5g28ciy00x6	$2a$07$lGd8gAxYPJU.od9a2CADwuTsO00r1rM818Z7KHWUooat8wLvWfgoy	80	2013-08-04 20:41:20.860637	2013-08-04 20:41:56.718416	265		0
26457	10l8o60np4i0y62xvumkcmku53	$2a$07$xA.9wfRUe/EOp8FyE7QmGOOCcIk0Kf4wjgsxLwCP6UI0dFSoBVhdi	81	2013-08-04 20:41:20.882034	2013-08-04 20:41:57.056523	265		0
26458	105lvgsf54a54e4t1uhjuvl4xt	$2a$07$Zf2XdsO6Uzzwgmrz21jzM.XeyRM2C1MdkI6t8M6xhdMK925CQoOAm	82	2013-08-04 20:41:20.904147	2013-08-04 20:41:57.205542	265		0
26459	10i9ma7igtt4l9fx4ldk22ujml	$2a$07$HKMQBzrvxoXTbvZ8JhN6lukkZDmcVs1Qn8c9gZGsAcyfq8So6Lz8K	83	2013-08-04 20:41:20.926334	2013-08-04 20:41:59.826346	265		0
26460	10qsflg0qgxwljfmgt6d4jpaaa	$2a$07$G3vyv1fQZf8CWEbSH0aNJe5MzyeSXoXHbZkmrPgKOIch1u1w4HY8W	84	2013-08-04 20:41:20.94774	2013-08-04 20:42:02.525789	265		0
26461	1000qw7dt3vwpzodwha2hs9i9e	$2a$07$NKRVa/Y1vRxpnYf8LvQ/hev3DXkzshAjd2wymoY3f4v/RycTsKlGO	85	2013-08-04 20:41:20.969146	2013-08-04 20:42:02.677998	265		0
26462	10jcx88odpozj0nky82xpmky9o	$2a$07$8mNQQ6qnON7KoMxbdSqfYOePBgxpBFvXjNc29hlKRd/badQo3iscK	86	2013-08-04 20:41:20.990505	2013-08-04 20:42:02.831999	265		0
26463	10xtg2ikmwpgsqy1ntkm8zov7p	$2a$07$x11TsXIPJx8WqTPilS3g5uCGwumhPewhFsTMMJo4N4iq6LndCT9xW	87	2013-08-04 20:41:21.014308	2013-08-04 20:42:02.978894	265		0
26464	10drxi56a9goukurv3su0i1g26	$2a$07$AjLqCiGQKuQ7/uRIgSS9E.yZW3mD6aMzMBMgyniuJjzc8h2ggJrBy	88	2013-08-04 20:41:21.046137	2013-08-04 20:42:03.117475	265		0
26465	101vdd0ps8ozun97tei22uep8a	$2a$07$A.rlFslYp6cKN8.vvh1E.OsN8eLwWb6Bm1suyUke3ei0MTjgKxPAW	89	2013-08-04 20:41:21.073479	2013-08-04 20:42:03.277941	265		0
26466	10tvm8bevv3lqcu3n2aa7ev3bb	$2a$07$rUZll1YJ1UZ6CVJIcyLfduQFmzqD.Dh3WfX6HZ35skPX8ZEEaB.Oe	90	2013-08-04 20:41:21.101348	2013-08-04 20:42:03.439975	265		0
26467	1087ps32asfrs4oforc968m8ik	$2a$07$8vC6WYWxLYU9ASmo64jbvOifJzC4ArXmvzTKfREhXww10DegpA9/2	91	2013-08-04 20:41:21.125053	2013-08-04 20:42:03.587252	265		0
26468	10cqueuhrwhcfz1km90dejblf1	$2a$07$RBzAUSNkaz.YAeA4gHcVrudvpj0MLZ/WVpd6Z0njDpf2KQeMRN.ru	92	2013-08-04 20:41:21.146667	2013-08-04 20:42:03.725819	265		0
26469	102jrycgm7sbnjdfj879m8pcql	$2a$07$LmrMlXnnsOHUmdJIshd7I.4pMrTDAxjWYyR/rLyI6Y2A/SDBkEf5O	93	2013-08-04 20:41:21.168234	2013-08-04 20:42:03.874492	265		0
26470	10z91ii2lmvdfrhzfmiu8cf62y	$2a$07$zOt4XWkW6QGr7awbJHVafuUtF/u/nZ7JbM2Etz2/6OIph9B7vT5FG	94	2013-08-04 20:41:21.190585	2013-08-04 20:42:04.025446	265		0
26471	10y02u6cqjqzhk64511ki8ider	$2a$07$8tjujpoZW7EUIV78jDYnZeNW2fGxAI/k0bOIcPQX436d8h6LZhDHe	95	2013-08-04 20:41:21.212617	2013-08-04 20:42:04.167724	265		0
26472	10lsajdtaqtdu4dxy22q5mad3m	$2a$07$7XncsgDnncPxhtNRwcCNDOXAjM8QPZCncAj9pkZIMxEKdXWM3vEeS	96	2013-08-04 20:41:21.23424	2013-08-04 20:42:04.315703	265		0
26473	10zwwp0qfbp7hu20rpkqqmyxr1	$2a$07$rrdo3UUymqexDQ6CL1UfmuBNbhwzmWUabXf.JdE6ExjEob/gsZar6	97	2013-08-04 20:41:21.256179	2013-08-04 20:42:05.351688	265		0
26474	104wzd69mviclhnqhah6fk3kda	$2a$07$NeAyW9kS7puLvHUzHJ6APeDkNe7oUK0hHLAZ14cZNB6rGBwXH8Zoy	98	2013-08-04 20:41:21.277729	2013-08-04 20:42:06.554356	265		0
26475	10dp1oxgodudccm5owmekbgz39	$2a$07$JXNnH65ShS7bCxh0wJPhV.USQgUUApl7Y2/FPNgfCZXIf6AI6NENm	99	2013-08-04 20:41:21.299132	2013-08-04 20:42:06.696327	265		0
26476	102cjihxqgrs5986ileub103v0	$2a$07$DbgDNdTwWXGrV5njihNJ9uQSg2lHt1cCNG3FJGo0/.vfKWlCKE7ba	100	2013-08-04 20:41:21.320532	2013-08-04 20:42:06.822444	265		0
26477	106zghcxmo9q774ovizwyiz5ko	$2a$07$4TlUfUfVnAtqFOR1KyLi8OQuS4f/rqyFQFQp.Xo/gyWeiTf6qPV9S	101	2013-08-04 20:41:21.345318	2013-08-04 20:42:08.290702	265		0
26478	10vj5p951ckxwf0931ifc3u115	$2a$07$IX/dWK9mYaq.yV5fzgrafePR4/HD280Z5a8eAhKaT/aoce0NYgF66	102	2013-08-04 20:41:21.378113	2013-08-04 20:42:09.369978	265		0
26479	10dwnbsvlcm56r7vn2bt1uzqds	$2a$07$N6eEDjtSVjg.QJxmWTbofuEPcwUah6Kaspb9B.Em68rK6ISIfeNP2	103	2013-08-04 20:41:21.40026	2013-08-04 20:42:09.52608	265		0
26480	10g7pcsa6uiq75gql5jijf152r	$2a$07$l7J4Mo7czkLeYYcPLNWYqOta0vcK23GRIOIMa12u8jy4iKzNvM3Oi	104	2013-08-04 20:41:21.422483	2013-08-04 20:42:09.682206	265		0
26481	1085gl60azaeynxqqcqeek27xt	$2a$07$rVlJ2O3wEJykDxBVATtx/.va2YISMI08OmXTxKA7HKdqhL/TfmfWe	105	2013-08-04 20:41:21.444251	2013-08-04 20:42:09.829365	265		0
26482	10weksbelrg1302db6vnwlaji4	$2a$07$Xfz4xQlUkIWNaJb716wbAuuCtCSSCdAD.uUQe3k4odPdmM49CKgZK	106	2013-08-04 20:41:21.466458	2013-08-04 20:42:09.972947	265		0
26483	10bhvwun587wowh1gwzzh4qojb	$2a$07$4vFKJy9eQeoHF344DWs/OuaQ2p40a5/uHvPx7Oe0isrFR11vQt/my	107	2013-08-04 20:41:21.4898	2013-08-04 20:42:10.207692	265		0
26484	10xipu0zyte5n4837a2czcnt4a	$2a$07$SEpiOSiNVYuFBoiUf.pYjutBlA3VCr4npuxUvhlmVXpqijiCMjHmi	108	2013-08-04 20:41:21.511925	2013-08-04 20:42:10.363076	265		0
26485	109x7rzq2fuy64gkrtqsssoci6	$2a$07$2igq3pk8uTYRSFJwg.wc3.NH7fo7ME3BkLP2XwsjjSEvgnEcps8v6	109	2013-08-04 20:41:21.53359	2013-08-04 20:42:10.518958	265		0
26486	102sc478yr9s1lt3haevnzhnk0	$2a$07$jDCRtsPEdKNVwSRLvXgGU.BzWyf448VVhN5I9OWTIPcDarHPWA4G6	110	2013-08-04 20:41:21.555068	2013-08-04 20:42:10.666192	265		0
26487	10xmxpyy0dvdz2iw7sbc9uh4mc	$2a$07$.MrkSX1X21EjL1ditHnBQ.4W/tY18Ma6ro8r/Ty52owsJN.lza.0q	111	2013-08-04 20:41:21.577715	2013-08-04 20:42:10.817623	265		0
26488	10r8xv0suhv1v3oie24pnqsxru	$2a$07$WjOWjha3.OkgSAkbMxVnZuwNz4s3nihOybzBS7gawNOPXwJ9jkwk2	112	2013-08-04 20:41:21.606855	2013-08-04 20:42:10.950737	265		0
26489	10w6jym9llgrg4cr8j4kfq13ys	$2a$07$paizhFa8IbR..aGbsXYuxeTWy0Mmr9GrMzT.Gf3ppQWZSj3B/Jmju	113	2013-08-04 20:41:21.63967	2013-08-04 20:42:11.072996	265		0
26490	10x0ya9rkha2sd1ztlevoddlp0	$2a$07$ssFsl7j.LRrIG3WYKiPPaO0mby2PbE/LjK3PK8HG3xPQ5UZAPipwK	114	2013-08-04 20:41:21.660985	2013-08-04 20:42:11.223212	265		0
26491	10yo8yh664ogy6056w459zpwyd	$2a$07$yVag9RuT2fxFc6.rDtz2v.T2AN9PyPAN7teuB2XkqvUwkzPAF4EK2	115	2013-08-04 20:41:21.68343	2013-08-04 20:42:11.381913	265		0
26492	10nkfyo4ftw04vthwopr6al475	$2a$07$7y.cYRm5vILSsKld4kWSKuQJAh6lUOe8qPsZ1BDYvwBkE.xFfGfAe	116	2013-08-04 20:41:21.707644	2013-08-04 20:42:11.547631	265		0
26493	10hrpvphux1b6fuqb4f0scy5tn	$2a$07$u5Md1FEijvslrhm.09CZbu6cYs6BTEl3gxWY9hlKT00XpF9m9nxU.	117	2013-08-04 20:41:21.732021	2013-08-04 20:42:11.706443	265		0
26494	10ufdyu2bx2icrlctdxuml22pq	$2a$07$.BuWO26doAPLLi2mdwccfe.onZ5W/W.CXPWBA0oL4lZYHYL9F1PdO	118	2013-08-04 20:41:21.762783	2013-08-04 20:42:11.871509	265		0
26495	10wqqjzk8pc846p72q710ljcda	$2a$07$RxeEzDh/MEhlwHgleQ2FPu.d6xHvMcpsY7mk5eu7kkp4Pu8sE85UW	119	2013-08-04 20:41:21.797433	2013-08-04 20:42:12.025238	265		0
26496	10z25xka7dflm00izsltoyqr7p	$2a$07$m46bE/NMDZHHZn2TqPNvWekvRX1lZw59YMABPpT/rl7s1VamtzS42	120	2013-08-04 20:41:21.827086	2013-08-04 20:42:12.182112	265		0
26497	10ahvtu2e0hdlz68z2nwzle6fb	$2a$07$nXtt.oEaNKsOE3/hfAxH9O36itxcXiiE.mZGslzSC3hulEjDG.6Y2	121	2013-08-04 20:41:21.859502	2013-08-04 20:42:14.53408	265		0
16045	105yrb216g7epw2za800ybkq82	$2a$07$VdXhDxqg3qEI3L06ZK6ww.NtM36pX8.mIxqQzIFl25khaag8bOlZu	1	2013-08-03 23:43:35.033364	2013-08-03 23:43:38.241434	183		0
16046	10xza2q01q609h73oxkcjvexp1	$2a$07$ajG.YaaPOGol.6xLeZAeS.ChVeIYJqVoQ39Q07l1TKEkrKJXihMU6	2	2013-08-03 23:43:35.057018	2013-08-03 23:43:38.347887	183		0
16047	107hf69mmhxbddnkyng41yg9u2	$2a$07$2ZYm8xjIeFPoYKkIgJqspOYj0K1jllL6jDjePyGqC5DX.PtvN4Rb6	3	2013-08-03 23:43:35.081763	2013-08-03 23:43:38.463526	183		0
16048	105l0xyd2tvvasq5yz2lnha5ox	$2a$07$uRjp7700N1LeviBhjjwxB.Ef2zbu0FU7GVReM.L0.jta4xnmesr8.	4	2013-08-03 23:43:35.110029	2013-08-03 23:43:38.632858	183		0
16049	10wquuhb6fv7xgz2131c56mg1o	$2a$07$8dDiN.rmVXreUBuMBm6NKuO4/k9GDPabOwV7FmGxW/ZOcJrhpvjX.	5	2013-08-03 23:43:35.134915	2013-08-03 23:43:38.776297	183		0
16050	10b0iksll41gqg2wp311nkqtdr	$2a$07$FqVjOpIZP7GRuJGUfNxzd.HbqnZY1glwKqhe2HzlPbGKYT6UVLmaS	6	2013-08-03 23:43:35.157575	2013-08-03 23:43:38.902847	183		0
16051	1072sij8a8i91ddym37zyx3q2e	$2a$07$zMTYWMr6VMbBB8fm55x9kOU1y0SqAm0Dfxb9P47AlJI7W6GBwGEk2	7	2013-08-03 23:43:35.181234	2013-08-03 23:43:40.141928	183		0
16052	10ckaq9vcf8zpdso5ucu2mxg3g	$2a$07$qO8aOe6dJ3jkBhUe1W2.9eadLLj3TNAThtbAyQeIBgKtJqRFnRK8K	8	2013-08-03 23:43:35.206324	2013-08-03 23:43:41.552504	183		0
16053	10oglbsgqipjnhob4vifd1lb02	$2a$07$LlyMyuVJmraSdsOHH1yk9OvAFAdB7hCF.ZOd5ac9TIjBd5NEkiIIu	9	2013-08-03 23:43:35.233204	2013-08-03 23:43:42.516833	183		0
16054	10yxdcgszctnl20i8938usaucp	$2a$07$r/wRL18apYhBlAd84L3GUeu12qegk5SJ1RwgMGw4uj0EBjjdoXgxm	10	2013-08-03 23:43:35.257803	2013-08-03 23:43:42.624091	183		0
16055	102j6ac5pqs0s6827kgdvkzqet	$2a$07$GNeBHfzFw.Wveleup/PGFuwbsqPFE6DVKx4u2dVwbdADBuJC641XO	11	2013-08-03 23:43:35.286607	2013-08-03 23:43:42.73949	183		0
16056	107sk3tiqts4yk1h9sdx14c5zv	$2a$07$qYQBHs0dIZHMGmwfTilHOe36g4hpWH/JBb/zLkaBIzFbp8HnqlUJa	12	2013-08-03 23:43:35.309363	2013-08-03 23:43:42.878924	183		0
16057	10nn7whirnb60vmd1dsokua7lr	$2a$07$uUlsMSZFoK3cFou1kKCa5O.VDnUvQtz3zmumG0YQ6JVDUy3F1yKdW	13	2013-08-03 23:43:35.331658	2013-08-03 23:43:43.008916	183		0
16058	10zphla2k50h4gr432u07tybub	$2a$07$/o.y63PUKypwrC4Xop/sZeQxNzgdcxBYe8GTBDXszXO/LV7dRInbK	14	2013-08-03 23:43:35.355329	2013-08-03 23:43:43.145173	183		0
16059	10sk5p25rpx8qdmt1dxsnh5hvs	$2a$07$JPGATMjX8Sbu.fey17a3ierHar/iwHo4gZImlOsmbijmbi5ZUiAIK	15	2013-08-03 23:43:35.377575	2013-08-03 23:43:43.262226	183		0
16060	10yg1q4v760sbxm5l2ztsy9mgu	$2a$07$JVIXaNHkoEhdX0Qt7DXdYuXECFB18HGajgR82T6Cln/64wwHOjU/S	16	2013-08-03 23:43:35.400714	2013-08-03 23:43:43.432548	183		0
16061	10uoxg6x48rtnj3ih8vrvm1l3v	$2a$07$600A9V2XcZW1lVsNEoxk9.6PkutLU4.7dqnOURmTOJ8TarQD.6KJS	17	2013-08-03 23:43:35.424957	2013-08-03 23:43:43.583278	183		0
16062	10chqyz5heba7vw2ag19x1szph	$2a$07$C01kID80Vwi.XfT05Xgw1eKqKLhb62ENSKXbSx4/GJ1qUD5kYb95W	18	2013-08-03 23:43:35.451326	2013-08-03 23:43:43.717908	183		0
16063	10gauhxbs5ab2exuwzdbxbvguk	$2a$07$DYsZlkqh2RMbYfnljy2GaecFL4vDtkNM5l96Myfp9z1jDBQXWZhvi	19	2013-08-03 23:43:35.482912	2013-08-03 23:43:43.848211	183		0
16064	10w4qpx1utmcgb3rqdiv07m42i	$2a$07$zzPBHJZypS6.sMb1Pmm3G.4xbwTznWArdYDinrt6F1hXOEMUS7ohy	20	2013-08-03 23:43:35.507041	2013-08-03 23:43:43.988145	183		0
16065	106u69saeutm3g84q55angfoed	$2a$07$iEvcNE/n28.P2bqpCnOxJOHsu228Si/cA8UAlOAWYTbz.aL4sWDSu	21	2013-08-03 23:43:35.537969	2013-08-03 23:43:44.126303	183		0
16066	10g657dbuknpzorkj1lkzk26nf	$2a$07$5M8wANiLFFXR8QES7n2uXekz1w7fAZV/VneAiPtx8AtvbCbOrg7mG	22	2013-08-03 23:43:35.561451	2013-08-03 23:43:44.356983	183		0
16067	10fnbh32ngfluac71vt1iq48u5	$2a$07$hw84uTlmqyEhDYDhUt/oU.wDMcvuts.sAqoEJvLqYOp43fOkUrMra	23	2013-08-03 23:43:35.584181	2013-08-03 23:43:44.544935	183		0
16068	10g4j9ixvc6bhu523t18m7ene2	$2a$07$4b90UoIcjhdy/ZtfHxqRDuP7/axE1Jzv2aIKBS9KLtdP4TNqSOJjq	24	2013-08-03 23:43:35.607574	2013-08-03 23:43:44.663432	183		0
16069	10mpye038rfwsz17yiibos5tdo	$2a$07$NilfCgglWUGE4ehDlMeciOOi108UMXYD2aZvQc8W.7fCQAuxA8yoq	25	2013-08-03 23:43:35.630523	2013-08-03 23:43:44.788498	183		0
16070	10xhgsoht073gc424he8wz82t8	$2a$07$nVRwXW.fhsfHaaNLPojiwerJkpntAkw0bLepQEHIBbv17.uePve0y	26	2013-08-03 23:43:35.662738	2013-08-03 23:43:44.905789	183		0
16071	10j5wcki1jdor8yqjn80jhpowt	$2a$07$3mLwf.SADGlRfCyMRHQQDu6V9GEPL6yWKaifoXSg3aGJg0eRkk.Me	27	2013-08-03 23:43:35.686728	2013-08-03 23:43:45.028128	183		0
16072	10orl3x6tmirtjwyfm7evkf8y2	$2a$07$KcpWikjUbm9XcrISEkYwUOSt5gxBqpJbn/twfdaG5XAXNCNH8vbcW	28	2013-08-03 23:43:35.709889	2013-08-03 23:43:45.155272	183		0
16073	1060d0qaxvregncxozc0otkxn9	$2a$07$o5oGP9HzowXY8KrSvhHaWefzoe/8G.AML673yMuYh.AxTaGWYRIYS	29	2013-08-03 23:43:35.74159	2013-08-03 23:43:45.291727	183		0
16074	1040brgobcm82x4iotdo6mqrk3	$2a$07$uiscr8TJnunhpfM7/ad6TeYRe8LWWzTQo1BNSygNJNhDAEMMl8hW6	30	2013-08-03 23:43:35.780811	2013-08-03 23:43:45.402981	183		0
16075	10i4ne13xhlrndharle6nsoiqv	$2a$07$g8FPnmckodZPvvbmJJb8u.Hx6qp3./BE3Pr8YwNHxo.NC3/k1zO5q	31	2013-08-03 23:43:35.803979	2013-08-03 23:43:45.506204	183		0
16076	10m5x7ne6qv4c8q119pib45djy	$2a$07$B9CqlXI5d1B3kTd9IoQSxuh8B6cgeopNno.N.3VqIT7rvq/Lck3Z2	32	2013-08-03 23:43:35.826958	2013-08-03 23:43:45.618669	183		0
16077	10cuwaq30pbvxgbzlw79q2ucmd	$2a$07$3W.x/UWgGqVqwsFBdbMDeuahkbGvQsAsNgbaGMtM7pYUR020WiL9C	33	2013-08-03 23:43:35.850284	2013-08-03 23:43:45.754508	183		0
16078	10t2e55ytkp02ayp99rryr0dpk	$2a$07$A9OwGubaNycmM86wwTBTveO6LbD3egbqcDGTeMiRGYJ.FLaVkF1Ja	34	2013-08-03 23:43:35.873743	2013-08-03 23:43:45.898333	183		0
16079	10st9xrtfbnz7s9efah6twmf3l	$2a$07$3R2B7KO8ssuZuXxjouN/uu5Y38u69.uEO56vdZwQO2q3btg7Swioa	35	2013-08-03 23:43:35.897551	2013-08-03 23:43:46.041414	183		0
16080	10kc2ikini2z00xiidvjosj2zk	$2a$07$sP2.K19gXGvNvDjNo9GaE.KI6qQT2NvkW0j092QH9FoM2RNTqx3IW	36	2013-08-03 23:43:35.92091	2013-08-03 23:43:46.199529	183		0
16081	104bm0tf5czks3b60b6bc3bt8g	$2a$07$8vQpmAW6oQoGIOSD5KrNceGG6ZgrudTMfhnLrcfuzHLqZbB/4FECm	37	2013-08-03 23:43:35.945808	2013-08-03 23:43:46.361847	183		0
16082	10jaxjh8ov469kp7a47mja56dw	$2a$07$4hhQeHpW.ajS9nUDj/NK.e/z6du18dvCnxDPUeriJYLK9OFrAiHUO	38	2013-08-03 23:43:35.98186	2013-08-03 23:43:46.50067	183		0
16083	10na3nextut12yb1jdhguj5hta	$2a$07$mugU5igBvHvMKbCFlg05n.PYnJSN/QIjXzI4TG0.z8.mbD5Y6DiRu	39	2013-08-03 23:43:36.005708	2013-08-03 23:43:46.680924	183		0
16084	103czhudghn8nahhin7y7s8jsu	$2a$07$Bxf9sVGHHVeoPNXL7B.aTe923hGXSEENSmfPWNiSmuCjR8SePysRy	40	2013-08-03 23:43:36.029124	2013-08-03 23:43:46.821758	183		0
16085	10kyh1teuwe8vh54seqi7fo4t2	$2a$07$GAKdD1AnDpAt8PjQSeVlsO2UoCKwgAXs3GPPHN0TPLvr5JtpP1s8y	41	2013-08-03 23:43:36.05224	2013-08-03 23:43:46.973813	183		0
16086	109z2uytnybaxc7iblljwhc441	$2a$07$fNNzQfRoPfYrod/7rCqK0uvA1CCIFD6WFnaOyrI7d5l5ebfq9XvE.	42	2013-08-03 23:43:36.075928	2013-08-03 23:43:47.111182	183		0
16087	10fcrkbu3ivcvodss68dq5az6y	$2a$07$.2.pa/HfoytYjwwWcoR0D.0pRbcTRiFWCmkzUeXV/hXsl41rMBeAW	43	2013-08-03 23:43:36.099378	2013-08-03 23:43:48.207281	183		0
16088	109dok2tprztjf39mwv3miuin2	$2a$07$/auWMyVm2FVAHJ9K.RUniOf19xSMo2Bbperqr2I7UWCfnA1DpfTIG	44	2013-08-03 23:43:36.132266	2013-08-03 23:43:49.163277	183		0
16089	10xy6n858fpqdoavh69c05uthb	$2a$07$DUUsG4Zrz4pBsD/3R3Wpxemc/kncrTM/TkL5Jpdx4tVVn6bSis//S	45	2013-08-03 23:43:36.156856	2013-08-03 23:43:50.207945	183		0
16090	10s2appb5ase7d23fevmk4c7ee	$2a$07$794oV0oherkylJhfEOgiU.vzTmGld228PjluaEMCxMvmRQtkgue.W	46	2013-08-03 23:43:36.18119	2013-08-03 23:43:50.323485	183		0
16091	104e54psnyrx5k9o29tebxr9m4	$2a$07$cJTUz1ASeWhP6aiF4aW54ORTR0FpTOC9c9loDtz2K5mIymrWLPefe	47	2013-08-03 23:43:36.204928	2013-08-03 23:43:50.466984	183		0
16092	103gckzf5s252kospz751fb73r	$2a$07$YvCyhtMug51o710FZ/CzPe1SKd9LnhNEDDWxMUGC26UmESBoFUs2e	48	2013-08-03 23:43:36.231766	2013-08-03 23:43:50.587556	183		0
16093	10e6av3avfh3ypvgbhwv2ilnmi	$2a$07$3c48j87KXeOLLTyP1VCrneuJLBZDFTPCQ3aYkncu0iGHPAgQD5t9q	49	2013-08-03 23:43:36.256815	2013-08-03 23:43:50.726097	183		0
16094	10jrorreuyipkc9b69ad5flsts	$2a$07$wjUlXpodjpA5jDrDt5/QLOJOQ9qp0sJZsLVXWVq2UnNaiMbJ6DjiG	50	2013-08-03 23:43:36.280978	2013-08-03 23:43:50.876317	183		0
16095	105li9ky4zvmd29sn50akcbqy8	$2a$07$auhD8H8Y2Zq7TSXcBrtgsu1o4g31BqrG4t3Lb6fhDFkzPUSzbvdfe	51	2013-08-03 23:43:36.30478	2013-08-03 23:43:51.030927	183		0
16096	10ge1b8sd2icg67k7ga49jc1d2	$2a$07$HXq8T0caFMSHFwQULUtJDOUpeiym3h0tR8cyF7qwFgiIapXaWEMTa	52	2013-08-03 23:43:36.329817	2013-08-03 23:43:51.167117	183		0
16097	10ttjaeatpgb3zlubu36lji7yw	$2a$07$eCfIsodxXk1VYdDBedqTw.6A9RmF58uhz1xCTy03JfuIYcLiVOwgW	53	2013-08-03 23:43:36.353924	2013-08-03 23:43:51.289663	183		0
16098	10v7bfp628fjwgcyh9pc7n5eb9	$2a$07$QMw2b4.je0d4gczDvvPJbuLwEKRkFkKoUF5hn2M1J4OCYICzwVKnu	54	2013-08-03 23:43:36.377161	2013-08-03 23:43:51.431915	183		0
16099	10sx81f3awoz1vnrzd1wrm2cm8	$2a$07$UvyQamjFap9XmOb9jl/YxO7X7EEsqb5EsgQYHQRKW2UUl4Mh2Hacq	55	2013-08-03 23:43:36.40005	2013-08-03 23:43:51.591547	183		0
16100	10g86zsdlvxif0ic6kluzvnen4	$2a$07$2oXEe5t/d1q40dUpWb5w6.x/yVen5mzA.GUdyTCODYnKYxcGtRsIa	56	2013-08-03 23:43:36.422414	2013-08-03 23:43:51.714928	183		0
16101	106ld6ndk94n17mzux7k3qp7r0	$2a$07$1o7IBMMyn7zhiBUlf.t1eeFmtCchhjnkTYGJYbZYLnZNeOaRSQYoO	57	2013-08-03 23:43:36.445399	2013-08-03 23:43:51.845587	183		0
16102	105lo4a6km0qgyee665ko2uka2	$2a$07$7uV19h4xTkiE/MuT/YKrv.H9LpCwlDsnH6.ICPGuS1Y/bROtyDRa.	58	2013-08-03 23:43:36.469361	2013-08-03 23:43:51.969378	183		0
16103	10a0tw0qy6vx0p27z0nm3i1s9g	$2a$07$QgMeFMLMUJars5LpEfzYge7vATiOqk/fBFk9RL3nGYj1JUKAF.Pa2	59	2013-08-03 23:43:36.500049	2013-08-03 23:43:52.092689	183		0
16104	105meokamgolqyiyshxakfnb9x	$2a$07$ToybHNPt0d6ETvelJ3iWdeiuh/saxh243dS2sdlUh7tmNEdohmVsy	60	2013-08-03 23:43:36.530828	2013-08-03 23:43:52.293476	183		0
16105	10lbk2xbrm0xc61lxf9jv81cm3	$2a$07$r6i1kfn7Mm5nrxpPGXBH8eNoDF34EAz0oS5bpdMAC3XUqS3z3/EwG	61	2013-08-03 23:43:36.553639	2013-08-03 23:43:55.124343	183		0
16106	109ydvwul4xqn8ovl3irmbt4nx	$2a$07$tqNpNg2E4NB4qK.uFU.AbO0O/4WtSEtjxoGikDUAwuHXxxxZSVd5C	62	2013-08-03 23:43:36.575715	2013-08-03 23:43:58.076279	183		0
16107	1021pfyqphvd2cqgf8fvmu3lk2	$2a$07$Gn7PJ1MIpDASk8Apd6wmpeqr4qbdWRR6NB.NsY1fjqbcOhNsnbwSK	63	2013-08-03 23:43:36.598667	2013-08-03 23:44:01.012051	183		0
16108	10lwm1adjcv698h5qo4od17e05	$2a$07$cyXyUC.c713wtC9Q4OiYkOrsXyrWeP0BXrbVNKEmULyKKMwiKmcCe	64	2013-08-03 23:43:36.62405	2013-08-03 23:44:01.277562	183		0
16109	10hu83i5rhjuphz3wg37zedemk	$2a$07$DLjcrNNzy.jQy9FeApYXb.1hOZwStPkpsogBuQtCny94/5FIlHRKy	65	2013-08-03 23:43:36.654407	2013-08-03 23:44:01.53041	183		0
16110	10aacix3zlauu1xhg7to4vj65o	$2a$07$8g2m/alSHh8Xm5sCqVD.PeK9POP10p3kdGdWbw2.BLAc8D1Rn6JAC	66	2013-08-03 23:43:36.682795	2013-08-03 23:44:02.96909	183		0
16111	105wuxp041sqk999ithbe1w1nd	$2a$07$DiS.Q8oTc/LbW.rGrUgc8us6/xnr6PMw37ixWnFkc9Ohx6kajRJ1i	67	2013-08-03 23:43:36.705598	2013-08-03 23:44:03.105583	183		0
16112	10r1sp9hllyt17ykiar9knetfa	$2a$07$GXhzbrVji/ue2fjjAmoKzuC63sJDp2mmxi6v6pAObaqjFNbpDXvAO	68	2013-08-03 23:43:36.728678	2013-08-03 23:44:03.240057	183		0
16113	108u20geinjbxaif6gsoszjdot	$2a$07$AY9PG2Y9n3UzUVsyBOnKgORTYVazj6vp3AVmvUO27bK9xv4f3lIGK	69	2013-08-03 23:43:36.751116	2013-08-03 23:44:03.390539	183		0
16114	109e5e4pm7gyj5kb3nt44ken9u	$2a$07$ozQJvsgmpVHaIiW26zwSHOLUOGkM57CfI7PjqJpHYli14M4F7oN5G	70	2013-08-03 23:43:36.779165	2013-08-03 23:44:03.51689	183		0
16115	107q6xx7xfivor6rppsr6u5k44	$2a$07$Xod/gRZ9cT.T62GHkfMiCeTbNY2VfuTCksJBUfX873B7757Uhgs5K	71	2013-08-03 23:43:36.812243	2013-08-03 23:44:03.651208	183		0
16116	10ju08mkwkqx9le5e2o273sbr3	$2a$07$5vcv.7K0uA.2w8x9iYwM7ebwzBHA.C4ltvoYPS7SrVu.wR.sbyRk2	72	2013-08-03 23:43:36.834838	2013-08-03 23:44:03.78625	183		0
16117	10mfns1zu439k327nev7ue9h9k	$2a$07$eHku5PRE6X836SELwvxyPONpa0zCAk0i0DRpbuSq4H66/owG98eaa	73	2013-08-03 23:43:36.857702	2013-08-03 23:44:03.902036	183		0
16118	10jd9ubssgg40axiglpge2r4a4	$2a$07$1QTjRVsppQqOT6cKeGgV3uS5cJQADdinwJDQNIpbFqP3NFantfdKC	74	2013-08-03 23:43:36.880718	2013-08-03 23:44:04.035199	183		0
16119	10o08w1cb4koxh62pla6a2d238	$2a$07$qjokHZBFAXWAnWANgZjb/e36Gso9AVvEXtTFAIqFnMV8DboKP4Za6	75	2013-08-03 23:43:36.903634	2013-08-03 23:44:04.156065	183		0
16120	100pr879b3zlvciuoou97vv6zm	$2a$07$aS4MCFZEKfgxOPX.gwCIYuNqvT2tUYLiysMaD3nzSxCRAUclNGq0K	76	2013-08-03 23:43:36.926197	2013-08-03 23:44:04.278166	183		0
16121	10dwc9oitov7kropqlj4thnwn9	$2a$07$xcE.KM3LVgXiaM2FPV2ysuiOIScl.sTMuRV1qiX8O4zKtkDHakqr.	77	2013-08-03 23:43:36.948654	2013-08-03 23:44:04.387591	183		0
16122	10yaqjz74rzhu6zuclk3s3lqgk	$2a$07$BMEy9kSMGTD8rQIpz7dJbeL8FafnSE1nJVDtWfzDn0YP/MqVFyOS.	78	2013-08-03 23:43:36.972228	2013-08-03 23:44:06.305141	183		0
16123	10bv7th4ddsjnbg21t5znu1ihn	$2a$07$KbySEozUtYLZ/hOuLFMGAeSnKFOJpaJTKVxaliUyOhrLov/OlOAyy	79	2013-08-03 23:43:36.996986	2013-08-03 23:44:06.432519	183		0
16124	10wa5zuv86rgnd580q9a0mkczv	$2a$07$VaZWcS6kkovbMJlEcP1WkusrxmsBjkW0f8woI5RLZSUtGrMPfCh52	80	2013-08-03 23:43:37.022619	2013-08-03 23:44:06.584658	183		0
16125	108dtsyjkchcew5i3gv4dggxck	$2a$07$pOiamYP4LXkwc8yA/Xu.P.Zowj2f8dorHEVa0yoXc7bkChQ8gKRdG	81	2013-08-03 23:43:37.047353	2013-08-03 23:44:06.722072	183		0
16126	10dbtd56laa2o4hs4mahhy5yya	$2a$07$3ldRUo.8vIqmqyXHmGh3w.Pe3qdN30IcocKrh3ofkRu.7nJPWlzAC	82	2013-08-03 23:43:37.075574	2013-08-03 23:44:06.831658	183		0
16127	10ptebry056ckxx3y79qm6e38q	$2a$07$4dl0CRF4Ud5w5Pgtg88hGeEG5VfQKG5Mb9iaXnQIiWVX/Iv2cC8eu	83	2013-08-03 23:43:37.099185	2013-08-03 23:44:06.974241	183		0
16128	10wrd85hdy7py0duaidr1cdvdn	$2a$07$ULuwA7/ApgaxwQw0vczviuQXCLuox5sMWEBlkSKDtKof20PWolD/2	84	2013-08-03 23:43:37.122016	2013-08-03 23:44:09.793015	183		0
16129	10o9o0wvldy3ondnj2garmn692	$2a$07$z6wOqFemTvsHJwnnyUjIc.3Z1g0ReNsfD6XhyB.Ge8i6edEYisKXO	85	2013-08-03 23:43:37.146993	2013-08-03 23:44:10.078175	183		0
16130	10erh8a5d1rprq7xi5nwdudrdh	$2a$07$06FHVGkjkFeDuoycw7Bth.8Yl.5feXHgZU7mEpJ6EWUSqHQFRr0Zq	86	2013-08-03 23:43:37.171928	2013-08-03 23:44:10.258651	183		0
16131	10r8hbbobivmsel8uapisujcim	$2a$07$UJ1pa6pwBf/iXV5SuEJtd.9PIWCZNgicH1yyzHJSt6AuNUlIru.jS	87	2013-08-03 23:43:37.19504	2013-08-03 23:44:10.464994	183		0
16132	10exnfhkbmnf8k1rg9ztyasr01	$2a$07$2fCM9/kW6B3FVU5PjOt5XeLoZQ2bdTTIwGsioHbGibpRBGNEkOkUi	88	2013-08-03 23:43:37.217529	2013-08-03 23:44:10.615016	183		0
16133	106z3d6x6cm1r7quiamcoau46c	$2a$07$ACFgaeWrNeQD3ydFHLMAlOlxGArWyWQ4APUgrn04rTrKS7vwcMua.	89	2013-08-03 23:43:37.240864	2013-08-03 23:44:11.885072	183		0
16134	107geh0gfcsk41ahdcdml1tcjf	$2a$07$xh8kHw9kB2JydAfAAfgIiugKOOU8N9gasFx2PXCdCF2UJzgCcT09K	90	2013-08-03 23:43:37.263474	2013-08-03 23:44:13.17815	183		0
16135	10a1nnsv16repwocxvnqh8237b	$2a$07$.Qnrq509ctr3YhMH8zvz6uExOSv62eKbBfiy42vbR8.8RM4yCRZ5W	91	2013-08-03 23:43:37.288036	2013-08-03 23:44:13.27802	183		0
16136	101f5mbrqqtyewg9xtk8ipd5vp	$2a$07$FWGX1zLBLDvo9hXx6dwmM.aZS6x0mE6ZINfr66d5duydg1xEMtbLq	92	2013-08-03 23:43:37.312873	2013-08-03 23:44:13.379715	183		0
16137	10wgydkxfi2fmipvv3qsw9r6ma	$2a$07$AmnFCXQC4W6TGI/K3zNAH.7Ib//mXZIo5HAxkTOyycrsBw8.hYwVS	93	2013-08-03 23:43:37.338815	2013-08-03 23:44:13.492084	183		0
16138	10sjvzuy43888rwbsze5h1qk0g	$2a$07$17zrBkoQC2bTk3zXlyCSX.FFYRmr7NXm949s.J/RyKvFyZLQ5tVcy	94	2013-08-03 23:43:37.362489	2013-08-03 23:44:13.60923	183		0
16139	10bjdjte6emy1klapjc484i5nq	$2a$07$7lkAqLstQ8IKqcancVLr9unJkD3q/tWp4lyMEZYQE447Cx2m68WQO	95	2013-08-03 23:43:37.386351	2013-08-03 23:44:13.739033	183		0
16140	106lylyxucehkkgcfw8icp6u04	$2a$07$bgv4ZbSG0quutS8bI5cN4OoW22hHkayWvtpum0eRndEToFspXFHnW	96	2013-08-03 23:43:37.409624	2013-08-03 23:44:13.921218	183		0
16141	1057pjlqe92bgfvpq527krdtal	$2a$07$xpkaKtOGaZo42JPxQoFSje1j/tiqtf5RUzpH4sbxaxwDj5r7M4OLS	97	2013-08-03 23:43:37.433399	2013-08-03 23:44:14.047646	183		0
16142	102vwqmvyyxm4fpi74h5ozhqai	$2a$07$3IhIBgFQd6rdvYUEsou.M.ap0sSQFqqHkOEnyq7RasUFYo/ILtRcq	98	2013-08-03 23:43:37.457176	2013-08-03 23:44:14.198124	183		0
16143	10zja5oe18wa5qxwdvm9y9ynd7	$2a$07$r857KRvD6/O96cjsgblIAOapMZNajAjAXj5W3kULoFB.3Q6c9fciy	99	2013-08-03 23:43:37.480617	2013-08-03 23:44:14.307983	183		0
16144	10z6ft6dmizutc0st8oiqd6ofi	$2a$07$oJcEvSGw1bY4RMY8uYymkO2AnBVv0W2nxAcJykyoVhizIVs/1uTg6	100	2013-08-03 23:43:37.504372	2013-08-03 23:44:14.419414	183		0
16145	10thy96iyghc5fxi5vmy6i0tua	$2a$07$X3XlPQFrYUQ6aofaZvw79O3UH3mEqUfsgzMjcIxjczBPkGCFfJ4hG	101	2013-08-03 23:43:37.528149	2013-08-03 23:44:14.516716	183		0
16146	10794hvb7av5r87zdr2fjfr9oo	$2a$07$TbIyuXI/xi83BR72bP3ouen.FyAyQAptEhlP7Z.x9o8Gp6PENpEvG	102	2013-08-03 23:43:37.551807	2013-08-03 23:44:14.633377	183		0
16147	106y21m1cpaupq0aafp3vv0oht	$2a$07$4GSNZjup2qgWqm/tbg4S9uOiI1cj.HTjNqFYzKUMJOJRoyn8b2UCu	103	2013-08-03 23:43:37.575325	2013-08-03 23:44:14.770293	183		0
16148	103raioz8v6zb1x0ymq4qhjyp5	$2a$07$F.L1dM38g.7FcpekD2FX2O6RXOnWG.CHhctu4qoDl3cvjRBeOqD.u	104	2013-08-03 23:43:37.598866	2013-08-03 23:44:14.911862	183		0
16149	104qnkb3w2qsvu9f6uiyrj43a8	$2a$07$vE4gfhDA6iQeK1OxPuYinuTm.TKrx2qi3crDsb7mAxou/zTdFrAyG	105	2013-08-03 23:43:37.622626	2013-08-03 23:44:15.026728	183		0
16150	109un33ahtw5tyts9zqwqpbi4d	$2a$07$G.zP/xtPOgD/inbxbBJgX.ZB55k4tTK2aDJdnkpKH/2M5nQLOtBEC	106	2013-08-03 23:43:37.64636	2013-08-03 23:44:15.137141	183		0
16151	107sibdtw2t3gkm5crewxbji47	$2a$07$lGCcfErIox82AsJemZnxjOEh2fouLbpihg16pg8YGZ975giuQ7lBu	107	2013-08-03 23:43:37.670419	2013-08-03 23:44:15.269862	183		0
16152	10clh5pmqx3bymyfoko0ygqboc	$2a$07$m0xs.Dk0ApxssHxiVgW46ebZI6tPqE3QY/i/pq4z5PVelOSBeWVMO	108	2013-08-03 23:43:37.6935	2013-08-03 23:44:15.387455	183		0
16153	10vw598uy2l60mbcflkw5188jz	$2a$07$sFcxXJCYs161ga2b7rNPP.8ss7gkwUGAO74tH0ncHZm31Ykdmd.9q	109	2013-08-03 23:43:37.717049	2013-08-03 23:44:15.52132	183		0
16154	10ezp7fvmdemlj029polal73b5	$2a$07$iaFXPqtXcx5FKYpHS16mXeox3.svPiY8jH7bdx92XQTk4o7elrJCa	110	2013-08-03 23:43:37.740633	2013-08-03 23:44:15.645543	183		0
16155	102f693emltgk4xpvboj4rr3n4	$2a$07$QUCgWqai1FA12nlkbjOhNuSTpsyqfr0ZsIIMpi4dcUBS6jy6GswQK	111	2013-08-03 23:43:37.764347	2013-08-03 23:44:15.788223	183		0
16156	10bz63d246ihdcrclfi09m9at9	$2a$07$8WqnlkD8d/kfFDsLtnjV2eqQbAw1Agfu4gPcj39fkSLIdasYixi6u	112	2013-08-03 23:43:37.78811	2013-08-03 23:44:15.917349	183		0
16157	10lkw23mlbjlzqghd2mwcyjs1k	$2a$07$hkco/kqBLiQKkATWYz3wd.ICfIlQz9TiztKJn6VLGV6tbaQtjm/la	113	2013-08-03 23:43:37.811314	2013-08-03 23:44:16.921314	183		0
16158	10yfjpi645194xt2ygttrresft	$2a$07$nMMKV3nTEQB8YgnRV43EvebP5jtMuZAnW2N50d7z2r2lVY0aQwT5e	114	2013-08-03 23:43:37.835066	2013-08-03 23:44:17.802545	183		0
16159	101jd3pemu47c7qcavrkmy5co9	$2a$07$HW9OG5ABweA6sAYisMKVuuporOx2DX2JmRcI68SENzjv9FbkVi21a	115	2013-08-03 23:43:37.858722	2013-08-03 23:44:17.904546	183		0
16160	10eycffmiuhfm2gqo3lyutrd7o	$2a$07$62OCtQYb6zfLfjfUWTjkAOj6vgvuSN5TMDJ7AB1YEpiDOy7gsldhC	116	2013-08-03 23:43:37.881921	2013-08-03 23:44:18.018123	183		0
16161	10ts42gdeuavu533obdxd5l9dq	$2a$07$eiya.qfRrtKwN.BxMGTCYO9C4fv5ZVjXoQ5kuXdBJzwg7jZxgNPPq	117	2013-08-03 23:43:37.90555	2013-08-03 23:44:18.123116	183		0
16162	10p7gei5dg5yq2dwypgyiz6fiu	$2a$07$foJliNw0gJwhP1u21V1ngecDnR3Eg4q6viEazTAR6OyRMg1NpXKOy	118	2013-08-03 23:43:37.930084	2013-08-03 23:44:18.252921	183		0
16163	103infel1wkobl70m495eeaq9p	$2a$07$Ltfx85X4ZXTTbxX0Qi946ujrh/bppvEGGjaQevUY/3XbGunZET/3W	119	2013-08-03 23:43:37.953596	2013-08-03 23:44:18.383158	183		0
16164	10byjqu9cnmj45nh6tb2bncnar	$2a$07$c.yXqS1gMtcEoaCmjgAaDuKbJUusEMShZb2Kefd7UyBMWc8PN1Lc.	120	2013-08-03 23:43:37.977042	2013-08-03 23:44:18.518466	183		0
16165	1036fz54hxx5ubrki3rz87smgj	$2a$07$79U6yTVx0nO.HH6I0z3niuzDDOe1yqRjRjh2YizWDcpS/nKkTgF0S	121	2013-08-03 23:43:38.00095	2013-08-03 23:44:18.648012	183		0
16166	10t1yww7cpcduqav6k1bslii68	$2a$07$g30Er7jjyOjd5UAYZNQfLO6XW.A/F4quY3ue10M.NrmVwE2D9cZw2	122	2013-08-03 23:43:38.024311	2013-08-03 23:44:18.771811	183		0
16167	10u5ema1q7zw2lmlz0tnkfn7y4	$2a$07$n8HnZGOaHVavYZeihJeseeD03Ghyb3/YbIhS16pWvum9GL9W16gmm	123	2013-08-03 23:43:38.048053	2013-08-03 23:44:21.392328	183		0
16168	10tfxcrnfh6ed9d4b2xokslwbx	$2a$07$HM8JllmCHwIbYPzmYZgqpuYrPMHM90h7OXaTRPmIMd2hAobkQuceG	124	2013-08-03 23:43:38.072437	2013-08-03 23:44:24.517788	183		0
16169	10tk93dkw0mjswsjzl9i13bd99	$2a$07$1IkK6zik6vNR3YQbdzNXR.UJlPkTMnVulcPxJvZUliPU4sELMzqEC	125	2013-08-03 23:43:38.097827	2013-08-03 23:44:24.647407	183		0
16170	10epetjqlec48vqk0bifu17mjz	$2a$07$3A21jc7.P8..LrwPli.Uge4xCGMg4MnediuwOf3H54e/Hy.KKNaqq	126	2013-08-03 23:43:38.121659	2013-08-03 23:44:24.785399	183		0
17809	10sx8d34nt5zv9vuqjbjzlyxwp	$2a$07$za24i3PeFrsGpaN9zOT1t.au4k7l57NhXPU/WoYZCtGl5MnBLrnMG	1	2013-08-04 00:54:48.097664	2013-08-04 00:54:51.97648	197		0
17810	101pn04zkrjs0q5hqcd026e7y3	$2a$07$pVBJj.CmmkWnT2FxfK5bvuHuwZ2uEqXRxG2r.mHoUhkgHfd.UvNwe	2	2013-08-04 00:54:48.121803	2013-08-04 00:54:52.588405	197		0
17811	1003sdgkep63p2870snd492ng9	$2a$07$ImTjZQtC5QTTbwb8xuLUHOdVqCgKpTMwacGBZtwcHJQ9HgLUlo/9a	3	2013-08-04 00:54:48.144374	2013-08-04 00:54:53.045333	197		0
17812	10gxnvj9ahmp7awxq7gxalfifp	$2a$07$TVhv7cI2exHMOVQxa.t7ieMSmPuGDUoSf9yrpZG1..9UdNpfmF1DK	4	2013-08-04 00:54:48.168556	2013-08-04 00:54:53.20378	197		0
17813	10be0t7cpzd1i3e6o8nxc3cprb	$2a$07$0T1pvO.Tl30nLurdGnXBo.FVxo6xDaKX/1Q./.g0yqNMX7s/SGpdi	5	2013-08-04 00:54:48.192364	2013-08-04 00:54:53.36398	197		0
17814	10o98yo5oi42knv142ibbdk219	$2a$07$lmDnthJHe0cbQ6PypvMb.uW9DTBDdghdgZJ/xE3IdD8OylBq.7iR2	6	2013-08-04 00:54:48.216223	2013-08-04 00:54:53.486529	197		0
17815	10hgarp737e6gjwwu3blqf35wi	$2a$07$4cPzmqIqGFH5e4Mt/0CQIucrIxhcZlsR2iTnYHIvcppU78WvhhhL2	7	2013-08-04 00:54:48.240116	2013-08-04 00:54:56.144876	197		0
17816	10trauarjjd9zm3dvkd4cx3a58	$2a$07$NszLlA0Nkb8wDtlmUN.X5.gCPnIZWWCQHa1tDnYULvJ3HShHBhqma	8	2013-08-04 00:54:48.264427	2013-08-04 00:54:58.071482	197		0
17817	10ouqmamkxjkoupas382dgumpr	$2a$07$3gnARnKCo2btnNY6DQaCAOE6X0.ac393CuHASusSbvAQojhEiIbzm	9	2013-08-04 00:54:48.290482	2013-08-04 00:54:59.697286	197		0
17818	108owglugb4f2eh6s5wv3zo3aj	$2a$07$nLQO6PgvjPJu0ZVlSJAEyu6iOoc36tBA6kSTuve.A0BM0yY67rGD.	10	2013-08-04 00:54:48.314735	2013-08-04 00:54:59.824755	197		0
17819	1096bpn0o6uib9jk38vb7lm9jt	$2a$07$bSSNnA.25ZNpTMFXxXxpfezyyg6A75/ipyXyOX7Qxz0lskxMKKut6	11	2013-08-04 00:54:48.338086	2013-08-04 00:54:59.943999	197		0
17820	10u64rdqafwku1iat7t8rhsfqg	$2a$07$bYdWe734tUpPLj4rBQCA2.bNYytPSrFiIVow2tqYr1nXwR2JW/Ene	12	2013-08-04 00:54:48.364397	2013-08-04 00:55:00.075416	197		0
17821	10iwbiiacd6k0oceb6kanih61r	$2a$07$DuQ0w/0O172C.UknhaIiIe.l3NMa./5m1T5mBruX06G9LzwV5O3YW	13	2013-08-04 00:54:48.389294	2013-08-04 00:55:00.181088	197		0
17822	10yvtplaywo2q0cgtnfs67cv2i	$2a$07$uROJe865Re2C1NReuZoRqeKfDSrewMVd9/BBbHJErXE0VKDmpDsdO	14	2013-08-04 00:54:48.414347	2013-08-04 00:55:00.327562	197		0
17823	10diua6o1jnk0b5qz8bij9wo8v	$2a$07$4.YPtR9fxb5JOYVHMMzkb.i692icMom8IfFBWOaNvJ3xpCAXQZX42	15	2013-08-04 00:54:48.438233	2013-08-04 00:55:00.457929	197		0
17824	109i7f2u9jvdwer1u8wem355gu	$2a$07$RBFyPVhP1GKN8DdVBt9KLeXRqdey6KquupfMvnj307hl1ZIjyx/NG	16	2013-08-04 00:54:48.46255	2013-08-04 00:55:00.680055	197		0
17825	104rf9k5nb9nz7kh688q9x3war	$2a$07$puo5dAlYgrgDrabXoSXZq.6b.4cx/lTTDqRWk732Yactcorhi2XSS	17	2013-08-04 00:54:48.48589	2013-08-04 00:55:00.817809	197		0
17826	106s4k0deafleindpkx6syfaur	$2a$07$BfyrMq3sOE3ewefc.OdlmOjmXL9.X0uulzMoBSU7znO.mQYL488qO	18	2013-08-04 00:54:48.509891	2013-08-04 00:55:00.948398	197		0
17827	102tih5h77hyvqxm0xl3tgp3pj	$2a$07$L59QnED2c1upJ/ibnhuO2Ow/fIPveAY5AGrTQEWKvpSKCorj2wc4u	19	2013-08-04 00:54:48.532104	2013-08-04 00:55:01.085096	197		0
17828	105v3edk4p3bz4tkdzumj12aau	$2a$07$Fk2.DxSguUpkxyxUB4/eiOU84I3scMOnoqr252Q7GMBBL/854bxrG	20	2013-08-04 00:54:48.555308	2013-08-04 00:55:01.210525	197		0
17829	10vso7u0pel5mqtm2yumal8vpe	$2a$07$FhOV5rvVjIiadV81vyL0NuB3qcOQAId0rIkVDvmwkhV9eaACscu5.	21	2013-08-04 00:54:48.578294	2013-08-04 00:55:01.34254	197		0
17830	10gzynvcpnp4hnxtftgtu2qocj	$2a$07$x.Cb97T36tgr.IEUqSPzTO0rGn55Cz7EShUOY/82sD1WBIH7DwHLu	22	2013-08-04 00:54:48.602283	2013-08-04 00:55:01.486043	197		0
17831	10x5f3oz01szirfu79jsxgu0a8	$2a$07$nt3SPOrGlUzbLVkB2.f6oOzX15Ym3HgvPwldcILAXPpnIdQEh7Ojm	23	2013-08-04 00:54:48.625652	2013-08-04 00:55:01.615481	197		0
17832	1090atcrlk3ym2k916w6dz1kt6	$2a$07$wpC6QZOn7hpFWpcx3DDhKO8Heq.yUQON1t4nEnuPRkxWH6ElD7ub.	24	2013-08-04 00:54:48.64926	2013-08-04 00:55:01.720624	197		0
17833	101b7ihiy5xs8jn2v0b395n9yv	$2a$07$G4tIeyCPNdETBUeA.5qcZ.zc.99OQMVBAfhlj.s.eGC9y/G7tG3pC	25	2013-08-04 00:54:48.676155	2013-08-04 00:55:01.886934	197		0
17834	102qlflxnfd0lilcxhhvvk5mlg	$2a$07$o6O.ZvmzKrqU6xUfleIJ1OvxkNTxlo03HIWKy4pf.FLLdo8XPJiwm	26	2013-08-04 00:54:48.706978	2013-08-04 00:55:02.159216	197		0
17835	10enwlwrzw7qrnnrk0iqwqnmw7	$2a$07$0VeNhq9ucq0b4eVQrvkvsuMzTnyr1yWHi3AU7wWCLhO1YoMaKIs.e	27	2013-08-04 00:54:48.743786	2013-08-04 00:55:02.298676	197		0
17836	10l8s8cy4yogcdlc81wr47uc5h	$2a$07$gkiC.Vs1FS8i5Ai/NCL1ge0nzlsUnOMKt2S89caQ/IrbsAFNQz86i	28	2013-08-04 00:54:48.7766	2013-08-04 00:55:02.630558	197		0
17837	10bw7pzw6edez1t6fvs9k2xiz6	$2a$07$fhYNjYFGUZN0Nvsm5bxHmuXpPQmtNvFug5Mz7aJosbfr3kBRPiBeO	29	2013-08-04 00:54:48.805778	2013-08-04 00:55:02.883745	197		0
17838	10j8prdktedpqzyt2tx2xnpwzj	$2a$07$Q2XUM8WaY2Crrg0nrKrGDecSCayWHnamzvp4Nd1v8loqhy.m0cEEm	30	2013-08-04 00:54:48.829797	2013-08-04 00:55:03.250238	197		0
17839	10lq9g02lxwr7q08nx06ikzt5z	$2a$07$SBqLJXwZ/4KiVf5TxPoFleVXVVtD6c9e3Lgle79nxnuHCKQ66.Moa	31	2013-08-04 00:54:48.854147	2013-08-04 00:55:03.398755	197		0
17840	109ajijtpujp1ak4onvphutebt	$2a$07$1.FV6wYM.K/xxTp85hDa6ObmodhlG6eR.K6SRtJc7ASexDaXuoEbK	32	2013-08-04 00:54:48.87949	2013-08-04 00:55:03.548529	197		0
17841	10jwoe8xx9kkh2kgiho4hls0ta	$2a$07$WCydtyCMqPYEPsds2FXC4O/x0JvSJioWj4KLZZLFusyDMD4WP6sJa	33	2013-08-04 00:54:48.903545	2013-08-04 00:55:03.69423	197		0
17842	10vat17s14a9tsgwdrelmifyz1	$2a$07$tqMld11qFGme714s4J881..08ImXIRweKplq3fpcyzMaySZMSfuny	34	2013-08-04 00:54:48.9274	2013-08-04 00:55:03.830851	197		0
17843	102ljexk64ovi2g254mng2ui6e	$2a$07$/7TFWWHYxp5RFEpYFDi/Y.jU2o.D.w.WRCKojrbsSe4crEc6xwewC	35	2013-08-04 00:54:48.950757	2013-08-04 00:55:03.977117	197		0
17844	107i7zma0agy041u9pcnu6ed8k	$2a$07$scyLShySt.qi/SNhfXLSLuMi2w9XAhDPRdnPUzl1X1w6DHb2s3XkO	36	2013-08-04 00:54:48.974559	2013-08-04 00:55:04.120139	197		0
17845	10l1gzw4ocfjim0kzcrahg01ln	$2a$07$N3FPTKyKK4ws9azzgWyp2udy/XN4fLUyjYNMcpLNWvMfq5PvUnuvK	37	2013-08-04 00:54:48.999164	2013-08-04 00:55:04.2509	197		0
17846	10u8w6w5iyejrcpktbxukxwye9	$2a$07$h.fzVhWebPmUjTcTQpSpce3APRD2qIHuyPJnCclc7ywlfEsgaRIzu	38	2013-08-04 00:54:49.024094	2013-08-04 00:55:04.386377	197		0
17847	1056qclu8h84i1lw8xgeppwivn	$2a$07$Id8bV9e1nPOku9fZf6hau.Fv0cU4XbrXV9UxpTcngfPzWezPXVuki	39	2013-08-04 00:54:49.049261	2013-08-04 00:55:04.527283	197		0
17848	10zzdy2pajtz053yowb4rpcbmy	$2a$07$Zf//Bic5dR1ULiUhBbNrl./47npYEYVPC4LRC2kpdD0GGov90wc.6	40	2013-08-04 00:54:49.084739	2013-08-04 00:55:04.654807	197		0
17849	10ltaaqemvd6kneenh0kt6mv0m	$2a$07$C5NcFZDDOwStom9.5EAgZ.l.1LNsK38b5U9LG2bCR7MO4f6S08.Mq	41	2013-08-04 00:54:49.121448	2013-08-04 00:55:04.762586	197		0
17850	104ibvnoh1rv3lt2lv3lu0z0b9	$2a$07$ykA9rbQBKW1AqOISN.eu8ueD8IJ43ERujyawwRJoJAQxy4/harNGi	42	2013-08-04 00:54:49.144169	2013-08-04 00:55:04.89347	197		0
17851	10s0b6uotnm6n32t9c1qqmwlf2	$2a$07$F.pEJo./Kar..1L01mSZWu5VVgsQD1QQ6da8IBtFaAfF30QATTGea	43	2013-08-04 00:54:49.171457	2013-08-04 00:55:07.39765	197		0
17852	10bh3duz4sp4owll9gsmudgg9x	$2a$07$wwLlhURd3VuJDCMLA/k1FeBt37NSNYWbXv85qtrChBrHrn8t1.1oC	44	2013-08-04 00:54:49.198123	2013-08-04 00:55:09.919712	197		0
17853	10cxmunoox3caab96tpt7fwz14	$2a$07$d8JhafWVVGuTgPtN5JIDf.9oiQDHy.ZVXVT.iAm7Q7MEB8MOb8No2	45	2013-08-04 00:54:49.234747	2013-08-04 00:55:12.218176	197		0
17854	10pg32u14hbm4ij1ipnsuvp704	$2a$07$8l3haK7G1m9GhBdeu73aQe4HWirnseXdwLrmMcG9ziTVJQqhOcmXq	46	2013-08-04 00:54:49.26735	2013-08-04 00:55:12.335686	197		0
17855	10ry4aonu5p0wmiebag54p36ev	$2a$07$v3c1GATSV357EbCyazbmv.NECvY4f/xr8lEYXpIIeUqMAAt/OPM4S	47	2013-08-04 00:54:49.29002	2013-08-04 00:55:12.465664	197		0
17856	105hc29stnuo37dmq6eupjq22s	$2a$07$XUpY.G.ER9gQ0qgR2AauH.6k5TpsrVKZY1NE31JYkaZabC9g3W3r6	48	2013-08-04 00:54:49.313283	2013-08-04 00:55:12.577416	197		0
17857	10nx0i7x90iqa6sdexzuolh1xn	$2a$07$kw1k3VD5x69mtpr2lFAnn.KMMQkHYOgczTo5uyBY9hatGvcWxGKHe	49	2013-08-04 00:54:49.335599	2013-08-04 00:55:12.714023	197		0
17858	100b9bsfxqc1sgf78h5gs7czq0	$2a$07$9n.MoSzvbTYFyVnXGnj0k.XwbH9sQ6XpFloDFVyOLWFYencr/Ya5q	50	2013-08-04 00:54:49.359641	2013-08-04 00:55:12.851582	197		0
17859	10mr23urbf1h3li3lwrbb4tj3f	$2a$07$ODGtV57Rl7Fd/4kn/H96Ie00wZ2z90k8iw00tlge/vGtpbenXn9LW	51	2013-08-04 00:54:49.383334	2013-08-04 00:55:12.978047	197		0
17860	10mbpdzhhigofugkdywkbvy5dn	$2a$07$CwVYEAD8pwMxrN3N35OlluUMGPI8zWG7QIwaE6Fg7g50aXr1XRFeW	52	2013-08-04 00:54:49.420094	2013-08-04 00:55:13.296523	197		0
17861	10bcbh74sstdtrkyterqmfsyxj	$2a$07$ST7OqxQ9JWluJOpXGpxK6uo3.9LfeycCXvAp6IWjhQIo8peVGMTCa	53	2013-08-04 00:54:49.453099	2013-08-04 00:55:13.560628	197		0
17862	107zoicsgf5053ia4hamxqv2yn	$2a$07$FBJPtaAge9jG2ZK12mbWuOy44Lu.7llnqprD4VBgG4pZsQUQBFmdi	54	2013-08-04 00:54:49.478484	2013-08-04 00:55:13.766021	197		0
17863	104vyb2gjbqc3uvz41gmrlbc8q	$2a$07$WB1cvmndJ//iqtuJSzApx.l3h40NL81UB4Htz5OZfWVvipTvxxnQK	55	2013-08-04 00:54:49.50181	2013-08-04 00:55:13.90054	197		0
17864	10de5i04n33x2ukaogk6jl1yyk	$2a$07$f68lcf7zZrm/VkoxZZHNX.kMUzurEtX3PWp1c3BgbiuzR6L0Wmv..	56	2013-08-04 00:54:49.534893	2013-08-04 00:55:14.023845	197		0
17865	1084sv8eopmzvevindbz3zzoqf	$2a$07$WHKgRZ/SB3YnM0m6t68UUervvf.GEL6RhD30lc45iRhedJ.xP8fci	57	2013-08-04 00:54:49.55835	2013-08-04 00:55:14.148677	197		0
17866	10s4qjajszniffgvu8a8k34kxs	$2a$07$M7bi7SyvNdjA/CVpG00M5eNoZwDGh6JpdO.nfH8t7lO/wP43x1laW	58	2013-08-04 00:54:49.581555	2013-08-04 00:55:14.293303	197		0
17867	10prwluksd5r0zrg2f61i2ap0x	$2a$07$gPDuDAkb1Q1viIiUeJ5tx.Xw1hwMjM7sI5eAN4XtwgM5cKDOUv8iS	59	2013-08-04 00:54:49.615345	2013-08-04 00:55:14.428035	197		0
17868	10srif3dt1mzsrqjh8fi9g1hn7	$2a$07$qsx1f2edt53mufIYPaQRHOraaiTXZ87JAEoR1LWfs8g4o.iqMzg/6	60	2013-08-04 00:54:49.641016	2013-08-04 00:55:14.546395	197		0
17869	10160hvl9l8bedramfc7tji3fk	$2a$07$nZYj17Dx5HQInAAm8GqzkuNKl/T3etkKo4tnQ3o4MTcmzaxBYL/UC	61	2013-08-04 00:54:49.664024	2013-08-04 00:55:17.322195	197		0
17870	10nq8xbs6uxi5ca6equ2lkzzeg	$2a$07$MN73wdfRSR0X55jUpp.2Yu.Jt7lhw11n57QpakNo0psHzylvwloCu	62	2013-08-04 00:54:49.687577	2013-08-04 00:55:20.326685	197		0
17871	10ieoor7bwh6qosecqdedbhauo	$2a$07$MYPBO79B.q2HTXsQuSBZh.yz2ILFCLKCN1xnh0n9PwCMsuvbPydW6	63	2013-08-04 00:54:49.709456	2013-08-04 00:55:23.304674	197		0
17872	10tk99b1uj6cdy7ce5detxzi4c	$2a$07$HMLCCfkD4bejS2/cdxcQXuD0tgkNmoj6cT2DjHMy6i04enlV1tF1.	64	2013-08-04 00:54:49.733057	2013-08-04 00:55:23.779014	197		0
17873	107dvxxrhc2d5o9cszli9pm495	$2a$07$xNmus9sLwV8ye1j6JhGOfubM2HHjdTO9DJidhlQFj4d6mitKbGhkK	65	2013-08-04 00:54:49.756469	2013-08-04 00:55:23.931478	197		0
17874	104wgq3q6yjvxbsn09k5za2pjs	$2a$07$45no.bKr/xNt5t3llHjqTuAfgQ9bZDieu1E0uArKS8pAdP0d.J0Ti	66	2013-08-04 00:54:49.780501	2013-08-04 00:55:25.227867	197		0
17875	10jqcjbtiiqpx53zwagd2glf8c	$2a$07$JTw4TMKf6G8lFr6jSKw4Cu3o6GN1ldSH6hr4w6Xp7lRC/dJ4XxKIe	67	2013-08-04 00:54:49.803895	2013-08-04 00:55:25.347478	197		0
17876	10zhhx06f1hds5hlq1i0jc46x2	$2a$07$q0XhuddWk7GZf8Uam0tlFe..3a.BPZamwdiWP9S3NY3b0rRgJYp.a	68	2013-08-04 00:54:49.828673	2013-08-04 00:55:25.460403	197		0
17877	101j3lmmy3bkpuj1ezfjizzt1a	$2a$07$hmgKkGropgPlDOUcH1LHpeAEvdSA9GkJuc/c5nquTJejvLoPWkjBu	69	2013-08-04 00:54:49.853756	2013-08-04 00:55:25.603985	197		0
17878	10s0jpn9mei5lo4x3v97web9n2	$2a$07$4VjERukzY9ySda5ZKd/1hOufpGOTPGd3yeBqdvPiZDXLAChZDLtU2	70	2013-08-04 00:54:49.877799	2013-08-04 00:55:25.746029	197		0
17879	10lfk9sd0b86sbfhrwooyynt5r	$2a$07$3elGBaHMdGBCnqchGJonbOOGCPBaEulwiQjNBcyfCtRDTfUC05vC2	71	2013-08-04 00:54:49.901992	2013-08-04 00:55:25.891736	197		0
17880	10d5t0oeivxbv1i14tz2c52r0m	$2a$07$oY2Ipssqi/8X2Irj4DxlLupmPDgHNp5BN5rlwi0UlbEGgHrHD3Spa	72	2013-08-04 00:54:49.925971	2013-08-04 00:55:26.004828	197		0
17881	10ll669py25fmemvn5rp9yad2u	$2a$07$g5qBSUrBv1Ta1Sv.kST/P.9hVckfPc.T78pSW9wKxsYJDtfV4P/v2	73	2013-08-04 00:54:49.953312	2013-08-04 00:55:26.342633	197		0
17882	10vra959h8lgsx2cg70p2homyy	$2a$07$/YLKm4NaXX648TCLq3mNauwTymqynmxzszbGnoe7uEGp611UWUn7C	74	2013-08-04 00:54:49.977168	2013-08-04 00:55:26.4764	197		0
17883	10hvyrzq3egxc0f5klc6s8rcq9	$2a$07$us5Lr.3eRfZuLqqcgoxUnO1iBhu11AGP20EcfPsFmxakC8JNZK3pK	75	2013-08-04 00:54:50.008264	2013-08-04 00:55:26.617159	197		0
17884	10zijqtkygbbrngyexyvmgclh5	$2a$07$PmNr.cOtiiyDgKBA9/NYpOUSrlcGbfGzwDtL25xFmf0XMbftN.tUm	76	2013-08-04 00:54:50.032305	2013-08-04 00:55:26.743318	197		0
17885	10yqot4x8sjfxmc2tzza4oxrvt	$2a$07$y7baszkUSFvzQsTVCL3rCuIQ2pYVTYi05rZIKnkTcYJbNE0eGHt.G	77	2013-08-04 00:54:50.057401	2013-08-04 00:55:26.874209	197		0
17886	10txruzu9n9u9va8q9zrvvxv6i	$2a$07$cY4vJdYF8XH.sSEgts50Te93S32YBJ9G2zKMizGlHs.Hs/Xjv7k/m	78	2013-08-04 00:54:50.082135	2013-08-04 00:55:29.770119	197		0
17887	10syzw0bavtie7i34ohz6zr0fi	$2a$07$pWm.5R67Vld04ozvjatqyuJNMooItryBChNQmTJOlWSyeD61g5K3u	79	2013-08-04 00:54:50.107977	2013-08-04 00:55:29.914277	197		0
17888	10deonrc7mkvkext99krqjgi47	$2a$07$ZxYEe4oLvwmTyUSLlRizvOOzg3Z8xK4K5lUoCQQKqsT6UkapZTx5i	80	2013-08-04 00:54:50.14356	2013-08-04 00:55:30.041676	197		0
17889	10yon8zy3kwypeysoxt1hfnrls	$2a$07$y0uswVVU2nzuLg6Ty3Lc9erF4O62qbG7GQ3H6AVO8vLGfUs5dxoJO	81	2013-08-04 00:54:50.18226	2013-08-04 00:55:30.320508	197		0
17890	10buit87axnjz7jt3to1x4dc7p	$2a$07$iMxLOd.fFHfuf5CwptW8tudYwuJSv0IJBzUO.q9sERt5qiCr/TDxm	82	2013-08-04 00:54:50.212619	2013-08-04 00:55:30.446897	197		0
17891	10ra7ry6vos667ohfgl0k7uf3h	$2a$07$D0RN076GsX6dVPB2GgVGRemaVsaiBPdH4itFjWzxQkiD8Xl82kMda	83	2013-08-04 00:54:50.24963	2013-08-04 00:55:30.592399	197		0
17892	1013wf1e9xuq337q9798dq0630	$2a$07$Ot4qUgXluraRuKTDDJJ8WeZizxmPzcaYLxm1mShUQSgk75PEPvpGS	84	2013-08-04 00:54:50.274399	2013-08-04 00:55:33.401711	197		0
17893	10rehjt5guobyy6gqwt6xebfgp	$2a$07$kUIzNKiG4aIjA1Wk0PCRNeIuMaNWca9dKEG69J1hmdvRI/DeRAeoa	85	2013-08-04 00:54:50.311498	2013-08-04 00:55:34.046953	197		0
17894	10jhr2447q6edfqrh7r9nydqw5	$2a$07$NDRj1j5cM7yeubKxJtN27.aXtE/b4IRkAilzqrYuEQ8m40yijuVO6	86	2013-08-04 00:54:50.336732	2013-08-04 00:55:34.598353	197		0
17895	10sbgyp8pqvril2g75js732zc4	$2a$07$W6z2bc0qWocxen0KfHewPO4dBfuAEk4rt0F3vjUiLBaasCrctXOPK	87	2013-08-04 00:54:50.35964	2013-08-04 00:55:34.752247	197		0
17896	10s072m5nqbnq2z7ooi36e3g9z	$2a$07$U48sgoiUnX8PFiSf2pyeZOb6OUQP7eCRX9KjoxAyz4CdtrZ8HVsO6	88	2013-08-04 00:54:50.383303	2013-08-04 00:55:34.867701	197		0
17897	10u193non0rj5hqt6c4b69gtvd	$2a$07$JouxTMI4znr2khgeCMtEq.BtHk4C8ekwLcSRzUPiMfzb3LTs9/Azi	89	2013-08-04 00:54:50.419934	2013-08-04 00:55:36.293918	197		0
17898	10wtrey21ssj1tgbphpq2kjplp	$2a$07$OtZ.IQ0tlt7/MK/YnH0ihO9gURo2WpHDXHZQ4MTD1/4bG1.rbi8uK	90	2013-08-04 00:54:50.444439	2013-08-04 00:55:38.052332	197		0
17899	10sbxi9d85k3jpregm6dhxecs5	$2a$07$nIJ3CcSaa79LR00AD47UMOHNCo4oocDZuhSV8NkhLBn9/neYnpRFO	91	2013-08-04 00:54:50.476366	2013-08-04 00:55:38.152132	197		0
17900	10ixfdj2taganw2ebbieeb3i6d	$2a$07$bvxkqDLlyZ240elWaEOGhe2VKRf6kM5V7j9IXbICgzchK5OpQnpB6	92	2013-08-04 00:54:50.504374	2013-08-04 00:55:38.270781	197		0
17901	10mkj081slch5ewtnpwd9g6hbt	$2a$07$wWBuqgcSiSVU1yMRJhv98Otb3U7xa1W3Ey1qcogD/g/Fpwp5LA9Tq	93	2013-08-04 00:54:50.541259	2013-08-04 00:55:38.387126	197		0
17902	10m9rgkel1d2tqo92elpalsnj4	$2a$07$z4an7FN6WsVlm/FlRlmQiORIeLYXz8B4ndw6NNzy6n8A4F1DKkb5y	94	2013-08-04 00:54:50.563435	2013-08-04 00:55:38.498853	197		0
17903	10ogqbbcp8mrye0z2n0ewq08hv	$2a$07$pezwPtcsgeR5eo4ia07nruzZ8tgLbuSXPlfC/N2IfCdNcxo6VNn9K	95	2013-08-04 00:54:50.586869	2013-08-04 00:55:38.644937	197		0
17904	100mapuxpxhh7jhur6s0j547y6	$2a$07$YUSCqaWM21dvqgkxgE9AQ.iy7l3yDYYrk06UNyFzGITxma.5vYVcS	96	2013-08-04 00:54:50.610498	2013-08-04 00:55:38.79237	197		0
17905	10hnthtlj5rd4674pythf1incd	$2a$07$aQdSKnf.L2S9oKLbqI.hoOkXWmnxP7ii2UvAsGrzWeHx/nYUqv/A.	97	2013-08-04 00:54:50.634402	2013-08-04 00:55:38.92787	197		0
17906	10n5xpc8k85j58nibi8of74vs3	$2a$07$MtXl1h86TB3KmmUdUExyQuzMoO3hS9PaLL.jO52SdoKCKObGErQBS	98	2013-08-04 00:54:50.707485	2013-08-04 00:55:39.040249	197		0
17907	10qceo8j0xy02xepflwvh1dxak	$2a$07$7DbowwMCKkRsLg8v6MQD..iW/KVci/hxHwuPWuh33Tm/vr1ud9/iW	99	2013-08-04 00:54:50.73126	2013-08-04 00:55:39.254219	197		0
17908	100tvtv1wsjkmavo6wij4vby2d	$2a$07$0tQkOuH/4i/X7utBGI.Z5.CnsM9ZiLRM2C0iZRaCQZERNRXXBwhC2	100	2013-08-04 00:54:50.754765	2013-08-04 00:55:39.467235	197		0
17909	10s367co867g3idqtua7fo89wl	$2a$07$2gDo.YjojiDCL5DBNep5aex2s5Nu9jtDLFoGzPsPaYQORFwto2IXy	101	2013-08-04 00:54:50.777895	2013-08-04 00:55:39.70124	197		0
17910	10b230mh1q18hjgvhmy82iurg7	$2a$07$BdOFwpSMIP47QaoVEIRyDuWFBkzs9rU5L8vFghLq2NMF9Cho6fQPi	102	2013-08-04 00:54:50.800367	2013-08-04 00:55:39.900386	197		0
17911	10581eitcuwly92ym9gw7pw2dp	$2a$07$diN2ONQgXQw94qGrjP/LO.BoKHpN.cHjEZAuU2H4SrA3pFTFVUBn6	103	2013-08-04 00:54:50.823557	2013-08-04 00:55:40.268548	197		0
17912	10gs3hzd1wcwdoa0sr7i6efkk7	$2a$07$KXwN1iMXmJYs6HWy7bQCT.2qOpfMl9GlIyQc7qyqvgPq1pMBc40S.	104	2013-08-04 00:54:50.847385	2013-08-04 00:55:40.661998	197		0
17913	10wsd0vwvdn0vo1lma4g6p6i9n	$2a$07$c.JoWrXveIj2eKl4u8IlzelqHIhBadS2p3bbAEC7zUPPXnL1Gr5by	105	2013-08-04 00:54:50.872954	2013-08-04 00:55:40.805624	197		0
17914	10w8oowlmv7ksi1axjeqox2d8x	$2a$07$D8v0VjEqX8tcs/C7rBifKe//sxqaGXmEIzipMbA34sdTLNnGFmM.e	106	2013-08-04 00:54:50.897884	2013-08-04 00:55:40.92942	197		0
17915	10uor4fr6nqzjru7p70oc8omyh	$2a$07$R5wJn/k54yNrjLBBQnjK9u65YJhuokZ9sf322OvjJugAEllk8qGBS	107	2013-08-04 00:54:50.926639	2013-08-04 00:55:41.053608	197		0
17916	10w08gttefkygktpdjdf2wlog3	$2a$07$a4CrkiVVoUHUiFoceHCAOeq4HA4zrBQ/nHOfrlL9iWLNpu62HW2Uq	108	2013-08-04 00:54:50.957336	2013-08-04 00:55:41.174001	197		0
17917	107p39rvyqskirthy4s4yyq1y5	$2a$07$MHrLfUdWAK0Q6uLuxmbXrOKv3ctxuXwV3LnyXB6VxTCQ8WiD02xre	109	2013-08-04 00:54:50.984828	2013-08-04 00:55:41.294254	197		0
17918	103reju2tkaaopuhoa2d4hg6np	$2a$07$48PKu8FiohiuHvNM5GhW6eOjAbKmCBeWi2suvLhm5jS2AZk433/4W	110	2013-08-04 00:54:51.008877	2013-08-04 00:55:41.434665	197		0
17919	10mghrz804sh6eswwcx932ujhu	$2a$07$NwlbxTW872ia6mXYFyPrW.rnU/jOrhNvqtysNzrsC7/5w7Z8012Xq	111	2013-08-04 00:54:51.032587	2013-08-04 00:55:41.564117	197		0
17920	10qube9lzaenqhjcw4l9quzuzt	$2a$07$nYy2MV7Fsw06rw.a1MyIMuwDpUz4FCJPGEVZRZrHXXhihHfWu74UW	112	2013-08-04 00:54:51.057522	2013-08-04 00:55:41.702495	197		0
17921	10ahbemxi3m4hbkgd39mnf46x7	$2a$07$nUlGHAig9kfEpT1SBksHWOC67R7TuMfK8MhE/0KN5aBYf.4FovJMC	113	2013-08-04 00:54:51.101512	2013-08-04 00:55:44.556926	197		0
17922	10ice0u0py70dfwgnvgwwb988n	$2a$07$mACN1yP4pSWzi4ryLiq8gO2rxMRbpxnSP7TvBfNAtkSrj5xEMh2/m	114	2013-08-04 00:54:51.127181	2013-08-04 00:55:47.419164	197		0
17923	10ygldyw9mcrwcpnbagi0sbt2v	$2a$07$mTnS5caslWa5nkJSB8wvrek6afymlLl2KzwA952x3kilc4h8.MLDa	115	2013-08-04 00:54:51.152045	2013-08-04 00:55:47.541929	197		0
17924	10vixlrrrpt4be4ownjtmcbu1l	$2a$07$oenokoUa2BpKItIkhqyWAeL1aZwn8JO/NBaVNGmaE3Pc/LLP.0MIu	116	2013-08-04 00:54:51.176258	2013-08-04 00:55:47.675209	197		0
17925	10k9cb3jx8cptjn0c7i410zay6	$2a$07$q8phL0SsyKtBnv1JmxUxFu.MgQdNgKenoW9pbcbz7iRlYd2MEx2hq	117	2013-08-04 00:54:51.201809	2013-08-04 00:55:47.806607	197		0
17926	10mia2lz3u79mgiylitq8c03mf	$2a$07$veiCLp6kzSQ.LHwGvr4AB.mtQx.jmBgaPi/keaAL4/1vWf72vGrtC	118	2013-08-04 00:54:51.232995	2013-08-04 00:55:47.928052	197		0
17927	10m0ax8lsrwla7aohajtvtjjgc	$2a$07$0/.JLBVBYXQ9cngfsTa9Vu0b5IMH.AKkskO4MHUM/3m59jS3w2xTK	119	2013-08-04 00:54:51.257054	2013-08-04 00:55:48.044979	197		0
17928	10pp7mcqu0k4jswqst9f2wlhxo	$2a$07$WPpXZ3fDe.BzZoIo4hLQJOxSx6pYYq3i8odo.9brB3GYpZlSgIQxG	120	2013-08-04 00:54:51.280339	2013-08-04 00:55:48.173221	197		0
17929	10st5vkmcvqquz2kczg9sh6gn6	$2a$07$gfJFVjaDbdHyIT8.Q4hQt.NPENv2iIPt3v1.jcMbobWk41B.1z4Ma	121	2013-08-04 00:54:51.304382	2013-08-04 00:55:48.365432	197		0
17930	10mydeditt77cs2t7h1ja12q0f	$2a$07$qh0ndeMeOKbvc/Dbg3sRE.QoEBMwcuP8eZBaoY6ag0IDp9dnYa64O	122	2013-08-04 00:54:51.328616	2013-08-04 00:55:48.497874	197		0
17931	10e1xkix1zoc2a1la78x7z1ng1	$2a$07$9LsnzZDYPvRKzyO7L7Q/uuD9jKY5MahVGzGJbY0W1ywKefjot/jGu	123	2013-08-04 00:54:51.352468	2013-08-04 00:55:51.105885	197		0
17932	10wrwnl6ru5109eq80jdv1983f	$2a$07$xoZAgbZwQyhAqLxB0.JEzu2S1kKkL2vSOSEmZvk6qiuOweqv1ni/W	124	2013-08-04 00:54:51.376906	2013-08-04 00:55:54.036527	197		0
17933	10ot44km5f7qvkdn165ht5rkuz	$2a$07$AGfpuwNsmb6rDC/k5l2.Bepwu1AstjXl5MvyVNTkkTxXYV0OBS6Se	125	2013-08-04 00:54:51.401043	2013-08-04 00:55:54.560311	197		0
17934	107n37abm32nj92ybpoyhkoud2	$2a$07$XyrwRJZyBJHaSAiGschHme7YjlNg8FClSbyB.QivXZRNfw63q.NYW	126	2013-08-04 00:54:51.425339	2013-08-04 00:55:54.876304	197		0
16171	10wtd0agxjabxkj0jhj518tsc9	$2a$07$30XrcYgnm6HOkNt6CIS37uQelOiSZBPcQRJ59.nmRFbhVtEzZB/9m	1	2013-08-03 23:48:35.084637	2013-08-03 23:48:38.34312	184		0
16172	103ji54pn507p9si094vue2f46	$2a$07$xnhpzkm9.SF64duA8lzJdu3m/exPVCYz/cTWNUVZY7F.FzN/sTzc.	2	2013-08-03 23:48:35.110857	2013-08-03 23:48:38.482354	184		0
16173	105wowi7wcqbsui2vub4317euq	$2a$07$n9y1THgeSfnprYy9L4pWAeISBtqnDcgkG0CvwDDHwOO6lLmmqrKbu	3	2013-08-03 23:48:35.133851	2013-08-03 23:48:38.601917	184		0
16174	10qtegp1tw0dfb81p0j1t1ckhb	$2a$07$6uXhdgxgF2uzN5fzWVCZU.2VvSvqm6MUzG9YIEHGtOjQpRwAxGXyK	4	2013-08-03 23:48:35.157636	2013-08-03 23:48:38.738909	184		0
16175	108tn3bgycy7ntokw2c1au51c9	$2a$07$aC5E/ancA0uqvj6cgSd.o.e/MiTS.PwirxpDBt.JBVpBlZzLPxT.C	5	2013-08-03 23:48:35.181024	2013-08-03 23:48:38.857367	184		0
16176	10p3plloe2s008i4q1zkzzgjkw	$2a$07$Lra/cTNU7YPoQ.uN03Us3.gnF46rylVlbQYYFtbmyq5hqBOVcQHNe	6	2013-08-03 23:48:35.204827	2013-08-03 23:48:38.962953	184		0
16177	10qaqu8gymlh4kib0594th29em	$2a$07$ifE7NGphR2T/mb.Ff5bJG.D3N9Wb8loP4rWEUMn.eL6ks0VC0u6Sy	7	2013-08-03 23:48:35.235235	2013-08-03 23:48:40.15622	184		0
16178	10loi4cstw2wkce7icffyelrhc	$2a$07$2JV3e5CjBuNjI/UHBM8E0.C5O4CAAJH8WVFJU3arRo44TOMPl5ONW	8	2013-08-03 23:48:35.258396	2013-08-03 23:48:41.377263	184		0
16179	10ungmifzna6q4s599vmxg0adz	$2a$07$EXhBrKyh.X032LA65eRGZ.1f3J4sha.AFdyV80WgehKjuAYco2MBS	9	2013-08-03 23:48:35.280718	2013-08-03 23:48:42.578483	184		0
16180	10z4djjklnmemx4ai58ufeazw7	$2a$07$O54mA1L47khlDh.pGaponeCzH//CWZRAHyFXHwcH8uaMPU2WSOnCm	10	2013-08-03 23:48:35.303647	2013-08-03 23:48:42.703878	184		0
16181	10xqebtg5cutjsdoc9uwi7u75o	$2a$07$6DjGW3CmTOTgKSWFqL1oSejUPPTPjhWGphgoyNP5ONyPjtXYReIBi	11	2013-08-03 23:48:35.327298	2013-08-03 23:48:42.820631	184		0
16182	104fk1o72y87of4kieh69vds8m	$2a$07$GbBuvFF8/9TLz9z.UR7KGurMzSDNVrKq5OM9e0x5s3OMWpj2W4JfW	12	2013-08-03 23:48:35.352373	2013-08-03 23:48:42.937534	184		0
16183	10hfzy4dwr5o7znacr3rh95kd4	$2a$07$8sVADPBHquNrdpohjFbsVO0DLRsAawSKywHQ9ODJiudC7fWNQHlrW	13	2013-08-03 23:48:35.37809	2013-08-03 23:48:43.056308	184		0
16184	10a4o3t3g7av61zdxxbs9xx26x	$2a$07$JwpihESgqDsvo4BTgMb2ueSkpG82.wRB.5Lggucr.3qbn9CM30x/i	14	2013-08-03 23:48:35.402016	2013-08-03 23:48:43.172512	184		0
16185	10laah5adz6ynk75qbqka2g1w1	$2a$07$iOY8X.x1t1YtDKSmv2vAieaIi5THGGVcg4dZdG4DEivcPO11FeO0y	15	2013-08-03 23:48:35.425967	2013-08-03 23:48:43.305358	184		0
16186	10gthu3wulrllk5i8dh11yr17u	$2a$07$INguC0.5Wfqqq.k7hyKDWOGO8F9TKcg/ZI5Wk4tuslE6.zO8pKquC	16	2013-08-03 23:48:35.449336	2013-08-03 23:48:43.483052	184		0
16187	10ztm95a6up1k7l6nwpfc09gp6	$2a$07$IWws93N/tvUn6Mi9ju6nOOAfKOuJrPE/UcxlNsXVMLuC1eCZ0S/Da	17	2013-08-03 23:48:35.472942	2013-08-03 23:48:43.605137	184		0
16188	101mhjs3rasi3a1vinbh6hur2f	$2a$07$rhvHuo64n0SND.e92ZOJBOMoDBYZnC1cu44VtTTKoGK8lFT8OVlkC	18	2013-08-03 23:48:35.496804	2013-08-03 23:48:43.72962	184		0
16189	10kyljt4l114plrxjmie1o5alt	$2a$07$FBEgI75pvH.jaef6u.CFv.X5o/YDvgW5xjmEtlulTRo.INrOfP9yK	19	2013-08-03 23:48:35.520549	2013-08-03 23:48:43.87071	184		0
16190	109zgrkpe9e7pm0gmlc93nxn7s	$2a$07$FBo4lgGS5IJELiD4zqPhxeG2c9LdN1dmJjNeznmOu.lU/gH7bMKlq	20	2013-08-03 23:48:35.546964	2013-08-03 23:48:44.008572	184		0
16191	108x4akn0nvnzsucwvgosu21ok	$2a$07$qnDpyGwkR08SYesccNXy1OnqgfUeBZazTdiL2mUgLFM.TxDWRk6Q2	21	2013-08-03 23:48:35.576789	2013-08-03 23:48:44.141751	184		0
16192	10rv8egym2xghfewbhoixdz4t9	$2a$07$baWfcBexmnr5qK.iK51Eg.pKlTjw8MMjZ/7eAidMvGs3j4wRZVoXi	22	2013-08-03 23:48:35.60131	2013-08-03 23:48:44.279127	184		0
16193	1005c335aq693fwj73uhqlt152	$2a$07$N4t1PukAYFa5kVTjzbCpzeUwsOH0401c7g0CTDElXZ8sV9/5i2hxG	23	2013-08-03 23:48:35.626103	2013-08-03 23:48:44.417557	184		0
16194	10fpyidd2531k2ew8a8gj0quci	$2a$07$omx7e49VXQY2nnI/sZJsO.ObPQQcO4Nd4PKBYZ7WzgqNG2Lv2jeeK	24	2013-08-03 23:48:35.649758	2013-08-03 23:48:44.569884	184		0
16195	10izonhjx939rzpr843goiluky	$2a$07$kYtbDQVxY2Y.7JAKOn41Yu5HEBchiEUjJivWFdZ0aLxb/vXrNgYke	25	2013-08-03 23:48:35.674391	2013-08-03 23:48:44.712515	184		0
16196	10jg964cs5bujmojwoygjszkxq	$2a$07$LnSSlEu4.0NzYuI1iBbbb.ses8VTHVqDjFpNYOS/1dNyNSMGYsZsO	26	2013-08-03 23:48:35.698464	2013-08-03 23:48:44.838322	184		0
16197	10x5vm7b0068mq7ns0fk8r190u	$2a$07$W2ZEcg7c83AucPX3ebJWGez2hqlFf/mmwUtd3D9p8IH8oP5lSBOUy	27	2013-08-03 23:48:35.722424	2013-08-03 23:48:44.974595	184		0
16198	10n08iz0q2dmvkk33rir7tlesa	$2a$07$7DiEUjfnJ1yY7G9aaaRiK.q1QBTf/1GHT0k8iyXCMVEq9q3JXGVBe	28	2013-08-03 23:48:35.748424	2013-08-03 23:48:45.311677	184		0
16199	10mfpatin8q0w8d0zka6l64a3r	$2a$07$30uLKVtxjNdp0ebp6mBEoeqBuUkVA10cf4bF.jyNpthxrd1Cvp8iq	29	2013-08-03 23:48:35.772466	2013-08-03 23:48:45.617257	184		0
16200	10a4vu2jq7khuuinoa9smicgct	$2a$07$u0naVqec4pmCch9V26ClVObv1q4o2BeK01ggcJv/FosY03cNmfUC.	30	2013-08-03 23:48:35.796549	2013-08-03 23:48:45.887619	184		0
16201	102hhyyt3grky0731jfs9sabqj	$2a$07$NpP.3VtAiE6sWXZZkYuMg.L3J3eEUVJP3IDlH3D/fc.YV56.z/Mcu	31	2013-08-03 23:48:35.826361	2013-08-03 23:48:45.996318	184		0
16202	10xhguir163puqzxnot0xnextf	$2a$07$i.9e8yEX5l2QM9.QNeYyKuxtYaPEVbq08hXreJBxsFJXIZLx29MgC	32	2013-08-03 23:48:35.853988	2013-08-03 23:48:46.104649	184		0
16203	1086ihqc0zn893o86i3n6nv4re	$2a$07$XxD7yZEKt7LO7kliC9TM5.XHEZGkf7LLIdjLlChEsJcUw0mwnHq56	33	2013-08-03 23:48:35.877267	2013-08-03 23:48:46.215152	184		0
16204	10v2k5rt5eqrdibs5n9vplwjsw	$2a$07$a4hle.Nf73ol4qw9MDMsIeorCA9pDoF/PflE3SqzLfGyGzAGAUW8q	34	2013-08-03 23:48:35.901564	2013-08-03 23:48:46.353306	184		0
16205	10h6ap7q6uytoy515j5dcmvkfy	$2a$07$Po.OOhfyeYLYIznHfLfTx.P0zdYAq0qJI7RQDeq4hfuoZA8g7R38K	35	2013-08-03 23:48:35.926398	2013-08-03 23:48:46.479884	184		0
16206	10qvir390f34wtawmj8za6q5x8	$2a$07$7MMzaJ6dFS9G7822O5cANOm1nZFTOLDTucTNEQip/MnF17ro3rBcm	36	2013-08-03 23:48:35.956518	2013-08-03 23:48:46.610967	184		0
16207	10di5iakwwxxyirl1494d700gv	$2a$07$Fyd3UL83erFJ5QdYLziquu1UN9NXamC0er5yj/9X1jDQoE7ny3YBq	37	2013-08-03 23:48:35.979664	2013-08-03 23:48:46.735528	184		0
16208	10v65rxpjpxhcqkro3u5vqsgka	$2a$07$0TYzxLwIYJstgktOKhlPF.w..oCYRbCzEcDONTYel7ZH5lCs.bPWu	38	2013-08-03 23:48:36.001575	2013-08-03 23:48:46.854248	184		0
16209	10cwvptykizbr9mocv6kzt7gxm	$2a$07$7NpAp6Dth11zKdzBCR1W4.kpoVjx/NsHrZcWlGpYOLEu1EbgZ8jpi	39	2013-08-03 23:48:36.023475	2013-08-03 23:48:46.96924	184		0
16210	10en18vv7o672i3nnkxsj7tzub	$2a$07$tqZ/GJ1fFmtQyljYpQ6c/ezmiDMCstt/r/I90OSvXUQZsaxft3g3m	40	2013-08-03 23:48:36.046403	2013-08-03 23:48:47.071081	184		0
16211	10s4i1pw47tfnkg9jm4vsyxdm0	$2a$07$1kq0Yi0gg/nCkm11iHxIpO0RyK4UMuSxA.VMJcgM3YTFK1AeV8ld2	41	2013-08-03 23:48:36.068726	2013-08-03 23:48:47.176227	184		0
16212	10mtikzk22sdmyeikppwr9s8k4	$2a$07$RclOnjXGHbGIFsoWFDw9IOqqNLlu.MsFp57FRbvhaY0ojkB98Fx5a	42	2013-08-03 23:48:36.09058	2013-08-03 23:48:47.278901	184		0
16213	10x9x0ea6pj6tkk83fz5gig6hx	$2a$07$eZwl1Etvdxcb8VCLAkkmxOGz6B0PUwF71/.qaiqkCyt7VxOYLkfni	43	2013-08-03 23:48:36.11596	2013-08-03 23:48:49.637343	184		0
16214	108ktrl8pj114gjeeydqfe6r66	$2a$07$DZVTxhf9.XEa3tNYnxKtt.sZVoZxQp4MPRaOOE2R7LsqGLbP053HW	44	2013-08-03 23:48:36.151738	2013-08-03 23:48:52.08071	184		0
16215	10ir4aui3zbtlfi6c84rt09xby	$2a$07$twFQOMohSHMqqILxcxH6KOZFboooKYDFQMH.5IhbSiYhN4Xr2FuR.	45	2013-08-03 23:48:36.188967	2013-08-03 23:48:54.369821	184		0
16216	10iq4cpn9v7g0pnfh63us3tr3o	$2a$07$D3EYKT570htSZNBpS/rxCejbsamYybBO47q/al8oPMhcSTN3C6KEG	46	2013-08-03 23:48:36.212507	2013-08-03 23:48:54.500204	184		0
16217	106zmtzfqwhdbjz4qkqr2cnyzd	$2a$07$E3J0xhNuQPS5OAN1lO61aO82WcD0TcTw6VoIA8seLR9gAF6zu10b.	47	2013-08-03 23:48:36.236306	2013-08-03 23:48:54.635289	184		0
16218	10071kh0xqtengvsokl8gv371o	$2a$07$BUqsaFgzGepCaIS2FyDfuu23zJDfrTMP2itt327hIYYoKEAsLIQ5.	48	2013-08-03 23:48:36.268318	2013-08-03 23:48:54.768492	184		0
16219	10p2fspyu61aq7wrtl1o1s7ffv	$2a$07$fZQItyJVF4kF8k1E5Swy4euLA8MMAqT/LxjDGhTHS72Zs2JOe1F0y	49	2013-08-03 23:48:36.295328	2013-08-03 23:48:55.131289	184		0
16220	101zimenjlk4xpzk07n7lo1lev	$2a$07$ZW/N0FDzDD6/NXfIoEdqTOELln/M/dtTEMg2/mxYUW.Y8O7XhVDUq	50	2013-08-03 23:48:36.324152	2013-08-03 23:48:55.265954	184		0
16221	10pe0d7mfcmoxxi69glcarho04	$2a$07$pLFp.NMISFym4ZeEgatfmejSi5zKuOGUp9LhDYHR5ZTOsX8dhpmLG	51	2013-08-03 23:48:36.347116	2013-08-03 23:48:55.395608	184		0
16222	10030gyi0qy2405r7z4bap0bga	$2a$07$OB9.o0r/PcbwAuP3qi3eoOay1EZlFvLxoIN1w4Xy9892dFCXTSQcy	52	2013-08-03 23:48:36.371717	2013-08-03 23:48:55.761708	184		0
16223	10nio03vjwzw1i3a1qodkciv79	$2a$07$exwUq.EDqjdPGPZGoLxS6.94Hj7Gv0wqMHkMBRKYVnm4Or88Yyrb2	53	2013-08-03 23:48:36.396465	2013-08-03 23:48:56.128124	184		0
16224	10eq9iyzqs57qe843mvtnwa6lk	$2a$07$a.P.EyQW40cIPAY67uHdMeEvmE7VqtHoELoyaMXQbpTvlDgJuN4Wa	54	2013-08-03 23:48:36.421547	2013-08-03 23:48:56.443191	184		0
16225	109slua4pxqqa0t2rha8879zjc	$2a$07$c94ffNUup.v3YvtNSXaMO.IuM453SCR9TE4tldZELskxgcATDJ7gy	55	2013-08-03 23:48:36.446499	2013-08-03 23:48:56.611288	184		0
16226	10rhcyy7j2cqp94m16auov3xjf	$2a$07$lr/4U/7EcrG/qr5Imm0FbuX9DMuME.EPq1N1mZN7BWnZ9Fu0CZ/oi	56	2013-08-03 23:48:36.469453	2013-08-03 23:48:56.815006	184		0
16227	10dox0ss2voj8sd748vgw4nsdn	$2a$07$BGkpzq/u4.SLbH7U0z3NJ..JR0BfVcG7GD59zuIAAe8sTXQRnIbGe	57	2013-08-03 23:48:36.491977	2013-08-03 23:48:57.012086	184		0
16228	10lkn8iv60iqmgrc2vdv0km4s4	$2a$07$NhnDP5cD5KktPrhK6lesBOfpvCXVU6xtFYz25KdkD9ijc6fsVJcSe	58	2013-08-03 23:48:36.514277	2013-08-03 23:48:57.15437	184		0
16229	10psj52l0zqdrj27s3i4ukqcky	$2a$07$dK85Kg/MCGS4t0pj0s3Of.dFn5gmPFaDF3arAI..sIEsL.QgKpk/.	59	2013-08-03 23:48:36.537871	2013-08-03 23:48:57.287387	184		0
16230	10dxivr1odpy62qx2ull89szj8	$2a$07$l2VUdYwYen5/PhSv52BhBe2xVncuRsWDlat9LBOct6qhgMGeHBpfO	60	2013-08-03 23:48:36.560663	2013-08-03 23:48:57.432824	184		0
16231	10dw4j26lniqu54xjattxd0jwg	$2a$07$y0S5U6OoeD7Ba8qDQkjZzegT6NKVUNKw4e2UzkfQ0pFyv2Utf/0rO	61	2013-08-03 23:48:36.585085	2013-08-03 23:49:00.171106	184		0
16232	10665p29pip37b1aanxiv76d8d	$2a$07$cbFk5HypyUEx/W/XA/slXO3PfXwoEHVDFIP.KrWkeAzLnPxUlaaji	62	2013-08-03 23:48:36.622307	2013-08-03 23:49:03.10993	184		0
16233	10js5cqx8srok3bby85bzec2dx	$2a$07$6kqYr81WuRbyAu5nFYnGt.FvxpGnwaw6pbVBPVLjkstg4of06Qrwu	63	2013-08-03 23:48:36.655239	2013-08-03 23:49:06.100915	184		0
16234	10jisfuvcxe3862qvcptohl2yj	$2a$07$uNpitJHMDeZAyw/8AKFzLeBsImCDcz8KMoeLECZSvMcZfkg/G8gwa	64	2013-08-03 23:48:36.690681	2013-08-03 23:49:06.215553	184		0
16235	10dkfw6x1nvr6gne4rngvzavox	$2a$07$hvpVQqOrye.lgNTpy.K2KuHd2PdZKlFzJC9jpAN1FReQ0ZQxTptA6	65	2013-08-03 23:48:36.713754	2013-08-03 23:49:06.380697	184		0
16236	10fl8ocktyfc7yvgeprsly3jdt	$2a$07$2Y/2UTCj3bS5hyfLF3sOCOkqTjKFeg8A5voto/DCPoaokysVGBm9q	66	2013-08-03 23:48:36.736534	2013-08-03 23:49:07.693533	184		0
16237	10fgvcqerth6bp1ycx0xk671bj	$2a$07$kFfkfJ8emXO2vCkTkmS1w.hBoZ4SsNBOihOL/JC3l4oWRYqwnPFf6	67	2013-08-03 23:48:36.761011	2013-08-03 23:49:07.796193	184		0
16238	10jx5frm9nungl0nnmli5qpki0	$2a$07$n9HwtgJnp4htQyxjCVJB6.rM7caoJImddw2ScA0PWDgEWn7oQKesS	68	2013-08-03 23:48:36.798807	2013-08-03 23:49:07.918466	184		0
16239	10jw2a5pbzgh5r2af7racuh6lf	$2a$07$uUWLj6sByMI67/AYDuU96OMl9ctpwyPxqIoldbkxELGiGik.gP5fW	69	2013-08-03 23:48:36.822716	2013-08-03 23:49:08.055998	184		0
16240	107u1rmflhda9zduyfmuz27yg2	$2a$07$N1kmwuFlkWXDYXruw1B1x.Kjvtt.fxzXL9vp29.jLzBSA/2oT/j3S	70	2013-08-03 23:48:36.846401	2013-08-03 23:49:08.186405	184		0
16241	10uvhd0b8yymb9wl4wecztndkw	$2a$07$uKVM9kYrsXJ454f9ww8e1uKM1s92DLYi6W6Rgk.J4spKGnyy0ETxq	71	2013-08-03 23:48:36.87039	2013-08-03 23:49:08.308554	184		0
16242	100545xxyrdobblx0xtze5pxjf	$2a$07$dokc6y2x/xAVBHsL4Ib6reNDKliIe2fgTVPx1/5RSvIz2MnWOk.4i	72	2013-08-03 23:48:36.892455	2013-08-03 23:49:08.417963	184		0
16243	109h4rzuhv5ie7g7r22wi57p4l	$2a$07$XJmxedrw99YzWHdEQNvgZ.LVdwn66tDPLYRHlpCeVDfIR6x0TMUdy	73	2013-08-03 23:48:36.916153	2013-08-03 23:49:08.907606	184		0
16244	10lixbkmgefqg85xwxdnjwryvf	$2a$07$TQBBRIG4ktW1z7yvFzaY5O2L5MauFKJQQBEMT3pDvyKcNS6RpZhce	74	2013-08-03 23:48:36.939429	2013-08-03 23:49:09.03951	184		0
16245	101q7vd7aiuyps6wx0yps1z8e5	$2a$07$44Nt5QZOE/ZcC5/F3RBCK.9dSVYUS5smZOnGOPaYvLriyKC.pNyii	75	2013-08-03 23:48:36.962418	2013-08-03 23:49:09.20029	184		0
16246	10vve1uss7yvuuxee4mye9lzcs	$2a$07$klEAIk.VBH70TX1uWfpNyuSkpPkWF9WSED.k91N2WJujmnD7KZBRW	76	2013-08-03 23:48:36.985679	2013-08-03 23:49:09.331803	184		0
16247	102202h2542uyypmykm96n9eip	$2a$07$ip5RUMoVg7pA6gLULRxXEuBM/jl932.REYeuC6cGu618GhoK7yzku	77	2013-08-03 23:48:37.008601	2013-08-03 23:49:09.46817	184		0
16248	108vuqvexrgx451htrye8kurg2	$2a$07$c3nVhum1.3KYMDM7MOEIWOcl8slt0ye/8SUxHLADrQwXXNbcTipVS	78	2013-08-03 23:48:37.032269	2013-08-03 23:49:12.096873	184		0
16249	102nvgq5y2pn5jihztj5ve7072	$2a$07$yalV4IWhfloNK9ZBIaKDq./rNT8zXpFy5av5GPrFUDNuuBbVuocym	79	2013-08-03 23:48:37.054419	2013-08-03 23:49:12.224784	184		0
16250	10wflcsu1mekgyrs74q1iqbrou	$2a$07$gUgB5YZTOUIqnjfJo7lQIeReVkIB2ERg6IuhNxA1/yJ9A0iHmM/rK	80	2013-08-03 23:48:37.077783	2013-08-03 23:49:12.357779	184		0
16251	104kun1rlz7r24hcgw0fxqcimb	$2a$07$ChzvqmNLHmpfGslye2RwyuY0csw7h1aXtyJyzRsEse4PUnifjxR9q	81	2013-08-03 23:48:37.101498	2013-08-03 23:49:12.67429	184		0
16252	10fer1nw4qz7cmjfhlyhj4yn7o	$2a$07$dVaWmq1hW/WXhfdBjy5RCecNXP/3KIDUxmgYRzE7Bafpdp6ixc0pa	82	2013-08-03 23:48:37.125226	2013-08-03 23:49:12.802117	184		0
16253	10j1h1kvbfgzi9zmpmzsi9ncny	$2a$07$fhsojiBnFLdScHsUdr/D7e1Aelz9uA4bDn0jtocVYPmnUiz7vaBXi	83	2013-08-03 23:48:37.158748	2013-08-03 23:49:12.953181	184		0
16254	10ud66vefjl9m2ey6sea54cq39	$2a$07$gnVxgNIBK6H6hxBVjeuoSevqSP1ztkPEmFBoDDJCM75SPjW3bwkYi	84	2013-08-03 23:48:37.188048	2013-08-03 23:49:15.775868	184		0
16255	108yildtberb045c8s3l1ep7je	$2a$07$d4ee0m1UtrRRESmAGnHIPOw8ESIz2MweDnA16RRcp9CDm3jmIqvAq	85	2013-08-03 23:48:37.219053	2013-08-03 23:49:16.05157	184		0
16256	10stq86b0c60vmfeki5uz62wnx	$2a$07$bsZ1YutENWdtmftU2sMSReidEdvVNEnk/2WB8xxqjdQFEouEPZnLO	86	2013-08-03 23:48:37.248003	2013-08-03 23:49:16.302566	184		0
16257	1050xvj0lzvggm0yb1918j8s6r	$2a$07$8Xf4D767ztAKaOiyodLZueNTAg2wgsfSdEqRsCqUEnh6E27Xc1rw.	87	2013-08-03 23:48:37.278615	2013-08-03 23:49:16.531125	184		0
16258	107mogov9tgqyfnvtndkj5nk4t	$2a$07$Ns4EgNR5H42xoRheDUTd/ek3OvVSrMgRJoBxwV04kvUi8Ehd5lWf.	88	2013-08-03 23:48:37.315635	2013-08-03 23:49:16.709012	184		0
16259	10dyn77k2jib3j0g7l1ks3usk2	$2a$07$W10JqJMizqOMDzOdl2g0vesbPzWfjqd3yUhMLEoiYcSZtGOs5V.f6	89	2013-08-03 23:48:37.344311	2013-08-03 23:49:17.980139	184		0
16260	10ee7khe3qon9kqipik9npea57	$2a$07$KaVIGS9sNYPvWKArvXusJOaV/YunHTRrDnmPT12UNzq.9u/KLKVeK	90	2013-08-03 23:48:37.367067	2013-08-03 23:49:19.268126	184		0
16261	103heipfbn4yhzd15uh2p8stty	$2a$07$dQbCcT7LY2Vw1t2.y1KUSuXFbTaA7cBjM2Z9C.4bnaqrBPMslHGrG	91	2013-08-03 23:48:37.399128	2013-08-03 23:49:19.396595	184		0
16262	10yltorpq46gyl7364lxfn1m88	$2a$07$B6iaazfEhc6Z7lkO.qBKQu7wtoo3GfSiUZbWWGDYb/b.Yd7BDKY5.	92	2013-08-03 23:48:37.424998	2013-08-03 23:49:19.528743	184		0
16263	109ok8iu9uk1mh92smtep6wdrm	$2a$07$LvBel1b68fwJIpx7CCMqb.Y8nqXqYy9HPADTTf1eltx95Lzkr9yhG	93	2013-08-03 23:48:37.458749	2013-08-03 23:49:19.651844	184		0
16264	10d6554rvca7l8tfcpj7af5h1h	$2a$07$a4VC.iMUAurGM26oFIyPg.d8YvmlK3aKDWq7/8tgp1AdzYd1Alm3a	94	2013-08-03 23:48:37.483371	2013-08-03 23:49:19.776057	184		0
16265	10orur7d26nq66tuqkvxw9w5ui	$2a$07$eEAIlYSxMR.t/dX4XZjLuudshAMXC6CroXb4gd/e5lTTigjM7ot/S	95	2013-08-03 23:48:37.50625	2013-08-03 23:49:19.894735	184		0
16266	1011blcnn124dqent6l6aob50p	$2a$07$ep69b6bWfnnId7nwUK8hU.v2D110uygGy9exeZvwE1rjIW2OwtU9O	96	2013-08-03 23:48:37.528707	2013-08-03 23:49:20.030025	184		0
16267	1037i8xir9frtbdlugx0f8kef0	$2a$07$eguhc9v7TXQuAFXKHdnFvuzHnuu5Fj5jVNzZfRT4ChJmX01ALlQPy	97	2013-08-03 23:48:37.550836	2013-08-03 23:49:20.168511	184		0
16268	10y2fjwwznl6hkz30nvz2mfxcg	$2a$07$hm38pJt6Kvy5SFhdrtLfauTHgv1TJ4AszrNZXROyURxj/2o96FYcW	98	2013-08-03 23:48:37.573124	2013-08-03 23:49:20.312918	184		0
16269	105wfnz3io98hquapa745si0u8	$2a$07$I3yYoZRVoW9R9zY/tFGEmuCj/Z9N4UmxPRhoG0dgo1sFe1hKDgg0y	99	2013-08-03 23:48:37.59568	2013-08-03 23:49:20.442849	184		0
16270	10wxy9cmieonqp2pucjt5nqxss	$2a$07$EBk0ZVnN.U1hGE6j6WLyf..guzI/TGuHOH0mciTOskGe2STYMjKMy	100	2013-08-03 23:48:37.619336	2013-08-03 23:49:20.565711	184		0
16271	10a3ctdz6us44c9c116wson9id	$2a$07$KHDvxp9yeTU2QOM3en7O8eV9Ur3hwQ14mE65X3goCpvISQgVtgf5e	101	2013-08-03 23:48:37.642401	2013-08-03 23:49:20.705251	184		0
16272	10xy27ahqkztkbab3yh2pn871z	$2a$07$zM7FFl//FZb3W6nkxF8k.uNFZylm7oFb/KZyky5iN5llCYiu7MFZG	102	2013-08-03 23:48:37.665182	2013-08-03 23:49:20.831679	184		0
16273	10q2gwpqikbcwr5dmdb8lrjr27	$2a$07$yZmU5pjNZmR44MyClleDnO9ixQ9dBBIspOYv8OfICEKKjoqZHBws6	103	2013-08-03 23:48:37.688449	2013-08-03 23:49:21.12884	184		0
16274	10t15da9x7ymq4x69pj0amtzym	$2a$07$Vd29Vg46Eq1Z4Di1NhGUxum/XEAKLo9U0fvR02Qp1Go7ZfmXTJZz2	104	2013-08-03 23:48:37.711838	2013-08-03 23:49:21.436705	184		0
16275	10uqk20163cp73xefey6ajeku7	$2a$07$Mnu/.Z3g4hiFXrXPPXu4..GeJWko7gNs0w5vWyl/1NI/Rk44PTYf.	105	2013-08-03 23:48:37.734765	2013-08-03 23:49:21.570012	184		0
16276	10hpoxe3p25h6m1fx8j6k2v3jv	$2a$07$mhCziYgqv2DnAc.c8zcbCOzdbkE74.obMT0CDVV2bhbRMu0Y/6IIi	106	2013-08-03 23:48:37.758022	2013-08-03 23:49:21.708139	184		0
16277	100krcuht1tv7eee7ad5h2n8g9	$2a$07$jnA/m5XCcYor/u98P1j4Ke/m8mzpzEcSC5d9HWRteAUSUvQ8gxVAO	107	2013-08-03 23:48:37.781535	2013-08-03 23:49:21.826373	184		0
16278	10js0aao7dhgzt22aeuu3urrsu	$2a$07$y/GrC/GSym6KPdVbmFGeROceIxV2xqOia058rockFRbs.UKusK/6u	108	2013-08-03 23:48:37.803522	2013-08-03 23:49:21.977404	184		0
16279	10tij1zedf4mfg1c3kkkuxa4lm	$2a$07$xJk2AuCZiQrXpRX7MiCWAuzMQXEd3wQcA3plhK0BvzeVNh2BtinVa	109	2013-08-03 23:48:37.826922	2013-08-03 23:49:22.127656	184		0
16280	10a5xc6vdlbwqtj8esqp7a4ios	$2a$07$gGGxlZmRGSDSTk7PsDmDdO/kq2I.V49MDGYzWWABPf90W9ZckBYVG	110	2013-08-03 23:48:37.848689	2013-08-03 23:49:22.25723	184		0
16281	1040lzcfp69y6sbi3omm0jynes	$2a$07$oxC.brIsiEGqbqQwGyxfxufe2pvnLeCnZXNtAFXktgl2RSrI1N83m	111	2013-08-03 23:48:37.871841	2013-08-03 23:49:22.385095	184		0
16282	10gwi8jsr39r4uhtvj5tus3ox7	$2a$07$QUWuPUCWTDApVSP1/H4WZOXArCPYMrMPqWXL7IU4.0DjwXnxICYZS	112	2013-08-03 23:48:37.894977	2013-08-03 23:49:22.523745	184		0
16283	10rpryo8a5qgui5oa5xd34in67	$2a$07$0YkfBVp4pNrtHzO6d5NuA.4ovbD/oEBKDwxNg9tDoinrw3e8mNiay	113	2013-08-03 23:48:37.91775	2013-08-03 23:49:24.945912	184		0
16284	10eypm0fjq7obiw5q969av6ktu	$2a$07$7GM0cRxpjsDN/K2GpkY5suX78P5H2zJALx9mq4PJcznYkRDIArJD6	114	2013-08-03 23:48:37.94087	2013-08-03 23:49:27.328453	184		0
16285	108inistev7x7yb2tyycaoj1zs	$2a$07$xqFuGLTIItNZ2H07T5LRIewYCoEAoV7jZ1OM1z6BIs3aXTTsx52Sa	115	2013-08-03 23:48:37.964374	2013-08-03 23:49:27.454287	184		0
16286	10fszkbb892npgzz3nfxzvi519	$2a$07$qdHcRxx/OiVgnsW0yD6u3.AIUPv9dU1MUlqZ1kEwZvXVoVDR7OQIe	116	2013-08-03 23:48:37.988171	2013-08-03 23:49:27.563574	184		0
16287	10a1q7njsf2b0ngtvce3mlic92	$2a$07$FooNq6kkq8xWovkiKqCrdu./yGZVt1MHyXI47/Rxb3QrbYLW84CoO	117	2013-08-03 23:48:38.011331	2013-08-03 23:49:27.683796	184		0
16288	101d3zb7sih8er2effb5jddad8	$2a$07$Ol./JEySy4bqcPLwmnpsrOi480v1tkyvdN1RFs1l6SxDhI0AFbAni	118	2013-08-03 23:48:38.035075	2013-08-03 23:49:27.829956	184		0
16289	10hvzwbcrgpeqvo7ft6zzdfcyq	$2a$07$uxVDniW8QqQGwGkogUwWIufyaFEQs6oJsOrXlsrl9zpi6XW3ULMTC	119	2013-08-03 23:48:38.058449	2013-08-03 23:49:27.959339	184		0
16290	10cxxtsudwemif43yivv6mrvl5	$2a$07$CQJhPzCfLOuRN2eHAOES9.aG/53ZuiWpgJwstjipvtmGnbiy986D2	120	2013-08-03 23:48:38.082024	2013-08-03 23:49:28.086679	184		0
16291	107y22e500fkvb2zek6kvd4uvs	$2a$07$lDBrk1J.bgJmLZ2WYohFo.4RW150KrRoBNyKDwo6Q7UBgmKcDDGSi	121	2013-08-03 23:48:38.105451	2013-08-03 23:49:28.220618	184		0
16292	106amilwsugopht8gyl2q8vsgl	$2a$07$DTxhzFC2Ze8OCFOx/xq7F.lPl6gUm5wJD5.UGfnDrAgrOj2hudmqy	122	2013-08-03 23:48:38.12899	2013-08-03 23:49:28.353482	184		0
16293	10a841wtvw20ruh1ubbixsymnr	$2a$07$GUgmGVXwCGOlRNiF.thzhOFnU1yHqfR3SSLU3rmhE24BMIniSYWly	123	2013-08-03 23:48:38.152562	2013-08-03 23:49:30.881714	184		0
16294	10cmgr26e3j881i6cvnnc9ab3e	$2a$07$ruJoft8RF7aSHIhsh/4eYOH9MUT118apO9DEqzEaNVA6ib/iSQy6i	124	2013-08-03 23:48:38.176338	2013-08-03 23:49:33.474657	184		0
16295	1091fokn7kxjgku1yw9hijx9zr	$2a$07$POY5W2D9BGe4OYRwPCyzsOeyg1TgIx1D371.1wWpxZf8D/ozw26DG	125	2013-08-03 23:48:38.19996	2013-08-03 23:49:33.871446	184		0
16296	10dq2nazrzuj9atu1gu4dy9888	$2a$07$zQ9/vIR.4GyaUUNKewjBB.73BatIx3sTWSGdA97NViTgwXTrZuDli	126	2013-08-03 23:48:38.22289	2013-08-03 23:49:34.220264	184		0
26498	1069kkn7sqoh5gw0npl8jvlq9q	$2a$07$nWlpv61zFe9vdJijqo3l6ubC4DxGo6jpz3vsQYLFNC0cmgw6U/996	122	2013-08-04 20:41:21.883758	2013-08-04 20:42:16.949982	265		0
26499	10y5iwk3y8wfsyvoprfakb1e61	$2a$07$xUB/nodVjy9b4pqdvXBzH.3RZAyapPEjynseRzW9Qylg2YNEbZyx2	123	2013-08-04 20:41:21.907612	2013-08-04 20:42:19.690867	265		0
26500	10esvld3t7vqpmpv162v2rajal	$2a$07$pm3B.plfX8/qGovZSsdIyeVw9tUa980xgvJvQIFrlX3CvQ3vtWkMC	124	2013-08-04 20:41:21.932059	2013-08-04 20:42:22.744563	265		0
26501	10vmetgem8zhhyskypm5k9o289	$2a$07$dnXxQfEx53JDKKsTwsfQoOMoKEMSowStaPESYUYD2AnTTKvCqx6/a	125	2013-08-04 20:41:21.961234	2013-08-04 20:42:22.900349	265		0
26502	10z8eh8rknhczgloy0zns0o2eq	$2a$07$16/W976kwAtd1UVDsP/OUOKTCuzD1TdX0.8/anE6ba/skAa6D.iqW	126	2013-08-04 20:41:22.002161	2013-08-04 20:42:23.068313	265		0
21463	10vu57salnhuu5y10pi1ir3n71	$2a$07$IGf8kdFEIUGo5G.fPMwKce.Rqh4yLQbqcSe.2uYxcWoBaG9NQ5JzK	1	2013-08-04 17:15:54.072227	2013-08-04 17:15:57.189352	226		0
21464	10mlnl7soi7vgcynhik721z4kn	$2a$07$lBedYfl02vKLIJqTib91XOCnIDOr5kVbV80qz76jHnyVxOXkVfL/y	2	2013-08-04 17:15:54.095689	2013-08-04 17:15:57.325278	226		0
21465	10u0fb7j8qqq0xcv0yk74h0un0	$2a$07$O0PTKhf7S/rvd2ljxS8MZ.6/XwnTr3kFwIY4fCE4ht0klKY9.Cr0G	3	2013-08-04 17:15:54.125281	2013-08-04 17:15:57.461646	226		0
21466	104w85pxbp2dnmptsk1b5fao9q	$2a$07$WYdYrsz09Wv4ozZSfAGPbuADDD1pLl7lr.8/K.77ltxq8N2LNIHBC	4	2013-08-04 17:15:54.147428	2013-08-04 17:15:57.599864	226		0
21467	10xot31wqryuu62xlrmmy4c4by	$2a$07$2rmDsV81Rptyv9B2o8Hjiufc1xfuNC9k/IrhuEgwkgMrVg.Fv5gR.	5	2013-08-04 17:15:54.170445	2013-08-04 17:15:57.751078	226		0
21468	1007x1v3jgrf33jrzc1jr9ontp	$2a$07$QYcYxdhQhnxFFjUdlD4mI.CQZqCEQ0sJzkZUppkIosYHbczRr9z3C	6	2013-08-04 17:15:54.193772	2013-08-04 17:15:57.8716	226		0
21469	10dnycmkjwqmg5fpwvvr082n9d	$2a$07$yBcxQ52SxXZs0D/i22dPJesp5DUydbAqvyFKA3jQ4lJHPWWkZOq7W	7	2013-08-04 17:15:54.215695	2013-08-04 17:15:58.155887	226		0
21470	10mzl1j8h1318zkjdf39m81aq5	$2a$07$scnzAoJEdc.8CJrUtnn.ke8vw1Y.iiVvV8E4kl0o00.HBiRoOKoje	8	2013-08-04 17:15:54.237267	2013-08-04 17:15:58.335198	226		0
21471	103tilliq7bb2d84g7jvo4poga	$2a$07$24dM9MeS/63HeVreOXUMI.QO36zknJ/55DXAl5.4P2Xh3T..nJZ2.	9	2013-08-04 17:15:54.259448	2013-08-04 17:15:58.471565	226		0
21472	10wrxhz2zppcvq4ke7fon2rqkp	$2a$07$HLL2jQl0DPl9xqqqQKHKAuHMO/xdJj7I/eB2cVPgtUuMXedcXCovm	10	2013-08-04 17:15:54.282511	2013-08-04 17:15:58.589439	226		0
21473	10s0r1xa1w930lqie4qghomly9	$2a$07$vH5HbAazee1fjLZNFTeQ9.T3qyp7v7DI53SD1DvCP.1./7XYGAipy	11	2013-08-04 17:15:54.305655	2013-08-04 17:15:58.722608	226		0
21474	10v7nf89gg91qtjhs972s570mw	$2a$07$1aHSGWOquvOI/.4OhAPG7eMq8E8.Z2bMFXgcZEyOz1AMs4twJXdjS	12	2013-08-04 17:15:54.329326	2013-08-04 17:15:58.857991	226		0
21475	10uhnskl22dflou7qhqmhoq8lv	$2a$07$4y2XXxQFqVc0fSfNfH9JXuaPXmaexf59622jcrZXXmEZ9T6xsJ1KS	13	2013-08-04 17:15:54.352349	2013-08-04 17:15:58.998158	226		0
21476	10e1aahjnu76jfus68w62ad32s	$2a$07$rhok5O5ogU4rnoaHtX.WGuZFPIP6zK0R7cJRIlqSj2O3I9HzPSTBy	14	2013-08-04 17:15:54.375528	2013-08-04 17:15:59.132346	226		0
21477	10opku4dlze2miftu49krck1rh	$2a$07$msMYb0nLyh42gHc32zUqHuxwwrePez0mtnxs1wodgjdoy6LcNfHEu	15	2013-08-04 17:15:54.397314	2013-08-04 17:15:59.271725	226		0
21478	10pmhlyncxs5mkkcrvfto87j14	$2a$07$KEeHOL95IYG.ubjHTAWOMOApx42rkiZP3DNr976Fd59UKgP0Rk0VC	16	2013-08-04 17:15:54.418849	2013-08-04 17:15:59.408348	226		0
21479	10ggut7qod6t6pu1um8nv6185m	$2a$07$YcHBwBolXPIC9B2OZwIf6uSDUs93L6h5AmNOEIiQYDjgGMQlnr2p.	17	2013-08-04 17:15:54.440342	2013-08-04 17:15:59.56308	226		0
21480	10bctxxqtq49go5wutthcx7b5k	$2a$07$Et.CJgZ5Zd0.zqliFz28Z.k8dlsyTrbOhj7e4dmiw0O4o2UcQsAIa	18	2013-08-04 17:15:54.461879	2013-08-04 17:15:59.721507	226		0
21481	100hz34nb5nktivvco0c0xlklo	$2a$07$XoOgYAQlRcezl7ENHh2a1O9j.7KBzTcGpViUaiVl1EPucry5ljc4i	19	2013-08-04 17:15:54.484011	2013-08-04 17:15:59.871818	226		0
21482	106xiwcijead19q58g2m1dy2st	$2a$07$zRIQGJtFXJTJtRDtEvE4qOfHFg0ALTLH4OsLbVEbXhmnByoSyjZZK	20	2013-08-04 17:15:54.507235	2013-08-04 17:16:00.008682	226		0
21483	10bc44obzv0vjsrcfr4tqk9i2e	$2a$07$CKzw7kOlmTMR/sdptQA7G.XG/LEavNyGg2rkQTcmeYH9z8pLURTve	21	2013-08-04 17:15:54.54348	2013-08-04 17:16:00.159843	226		0
21484	107it10a03hlrkfjx8m6z98wuu	$2a$07$e2PTjl3PSaoBFvcR.MmllutYrvT7XXzWJVvlng4I901V1EBDzG.Ie	22	2013-08-04 17:15:54.568374	2013-08-04 17:16:00.288321	226		0
21485	10jv8m06st4s0b3kr8ea78rvta	$2a$07$P1RkrBYL29WCdOEzzvNt0uwShcW2sLvyiPBGLt63rTzItpAuKnrX.	23	2013-08-04 17:15:54.591494	2013-08-04 17:16:00.431453	226		0
21486	10tccxgi02zzpdb7ds5tqr4m0t	$2a$07$aecwvwoA4w9U9iuPKrHUPuhRjs8EwFnRCJdZKLOuK8fD.e3a008EG	24	2013-08-04 17:15:54.615061	2013-08-04 17:16:00.562215	226		0
21487	1014z4vj3wpt6lirfw0ohek6ab	$2a$07$eS0YzBEVOQmfcBr75wEEYOeYJ/mVtJ6u2Cbqcvpepd1vgjrjcAlYu	25	2013-08-04 17:15:54.646371	2013-08-04 17:16:00.764104	226		0
21488	10hx8716krnv1le3urutuwrtdr	$2a$07$BNiSkOpFEOq49sONfIu02.gNk9Y9CqMBbpBpq4SR0i4gcQhXiuLZu	26	2013-08-04 17:15:54.671001	2013-08-04 17:16:00.969322	226		0
21489	105775in3744bkfy9s9atxsa91	$2a$07$ugoEwCo1qMvLmy6ktowAxeFeSJGmIRGup7g/c5.U9MxiEZNtzLL/2	27	2013-08-04 17:15:54.705424	2013-08-04 17:16:01.116972	226		0
21490	106yvk1zrpbaxu3nmw8n69gi4f	$2a$07$rxgUSgOgHkXSArNZrRFWE.XYvl1sS3a2CNSlQ03p6/b2tZ3B3V8gq	28	2013-08-04 17:15:54.73669	2013-08-04 17:16:01.291547	226		0
21491	102ka5b71t1on8j6zkg7rz6fg6	$2a$07$OOcNOF32u1p4LL0m.PxIgewJ3kNlNCqC2sCXZrTOXlwnUONWnghuy	29	2013-08-04 17:15:54.765152	2013-08-04 17:16:01.475785	226		0
21492	10lfl7yo6mh5qlcpci5y0jwcqo	$2a$07$d9Ym50l3IJJFg/f8ci4kcOUtqyw8fzjJa9DqrGXUfg13FnM93y61q	30	2013-08-04 17:15:54.786758	2013-08-04 17:16:01.766556	226		0
21493	10bqk9vy1ou6b2hlqzr5qxhz1d	$2a$07$kAJZUfXbWlZzYD0yw4mg8eg3gdb8oaruRlLALfC4TmvYwW9BJPCby	31	2013-08-04 17:15:54.808406	2013-08-04 17:16:01.912651	226		0
21494	1052y5i6rcukno1aj500m7da7o	$2a$07$Dxvk6/BwHfZwq8VrfAWlWO8gBNNT6XeBsW8.z/MbuQp64CRJFQqGu	32	2013-08-04 17:15:54.830083	2013-08-04 17:16:02.051218	226		0
21495	10a484zwysly6hdwnnumtbfdfm	$2a$07$6lCropM6/9iIQUzKuh7Qk.GREoacYDuK/RVEsl.GmMpU2LkEntA1e	33	2013-08-04 17:15:54.851913	2013-08-04 17:16:02.1949	226		0
21496	1026y8309sf0vrfexujpaeb2h3	$2a$07$LFbgF2er98FQVL4dcS4UpeWKpVX0l0ZPap7P2wmYxC4XOznkP/L16	34	2013-08-04 17:15:54.873485	2013-08-04 17:16:02.349503	226		0
21497	10ab974aj1p2hqhukh9yag9feo	$2a$07$UMzojYvDIrCjgPzrWbjPueG5hcC.PyNE6Rb4Zdjvw1.zf0rIQ4TdG	35	2013-08-04 17:15:54.896978	2013-08-04 17:16:02.544842	226		0
21498	10ihv7rmfjcjoz1qf3c6fnkmfg	$2a$07$LdnGJow.xwc2ElhZ8KTnOeqBiNJzjeruintz60tYDsU.bCzYCn6oq	36	2013-08-04 17:15:54.918674	2013-08-04 17:16:02.719449	226		0
21499	10qackb7ni3g06pf3s9uzkolan	$2a$07$adamebLh18Q7WEIhSQGufeN91ldn9czjW8i3SWuZt.QlKzujz5Tee	37	2013-08-04 17:15:54.940438	2013-08-04 17:16:02.874363	226		0
21500	10dkxn1tqb9vug8pzt2etfn6xy	$2a$07$rKendrWvhODjLiCEZOxDIeT4MaT7MV2sICfdL3IkQ7iX/PKsyUexa	38	2013-08-04 17:15:54.962078	2013-08-04 17:16:03.020709	226		0
21501	1078ww6cd39w40ta2pezkvgufe	$2a$07$TkB4v2givOPaHjWUfPmTZe/9zcjKL5rDngxs2oVTbVAkfqeKs5yZK	39	2013-08-04 17:15:54.983864	2013-08-04 17:16:03.174161	226		0
21502	10d2j1x1zdu0ookzpylb8wcoyu	$2a$07$6tedgNlxsx9tvIiMpD/ZFOZHD394DtZWesrEUQZvIG68BYP1pPTaC	40	2013-08-04 17:15:55.005296	2013-08-04 17:16:03.312774	226		0
21503	10mmugmh6qz2zh9ut9siqrnhg7	$2a$07$YxEcsxgR3G./7KZnWw7ws.W7p/01bDe1Ubd3ocscwTaTq9/eXbP6e	41	2013-08-04 17:15:55.036976	2013-08-04 17:16:03.448384	226		0
21504	10nco29tklk1br2oqi0pw9qcsl	$2a$07$Ed941vlCp/fqsTOmmWYQJOFcgjK/DIpwq6HqvUF8hZaVTNAnIpjze	42	2013-08-04 17:15:55.060375	2013-08-04 17:16:03.587	226		0
21505	10lfs23opj3eyp0z8ym14xy3tx	$2a$07$bQ3JxEJrtEzC8/KvAcJ5au/eg/rAnzfxPSpd28GcLiZZp.wKgIpka	43	2013-08-04 17:15:55.083731	2013-08-04 17:16:03.757627	226		0
21506	10zz7p8ykrm9izf8c3r7vq5ln5	$2a$07$9vAXR77.X3Z1m18ulVnM1uQDqFrBWzaMl0fAfAjsrusDVIA7bh9py	44	2013-08-04 17:15:55.105672	2013-08-04 17:16:03.896719	226		0
21507	10af8lztwoxbncdc85gwx526j1	$2a$07$v62IcTmD/GmaW.1BBu8B0efZUMhaaFOg6mjSPh2Vgy/cXJjpgHBD6	45	2013-08-04 17:15:55.12725	2013-08-04 17:16:04.054962	226		0
21508	106pairzy1vw8fmpx5b9fe23lr	$2a$07$oGtSiA5la4fQDGFUCy.fkOmtTQZIcM7KX7TImIzwYY/NlIAtnrjh.	46	2013-08-04 17:15:55.148978	2013-08-04 17:16:04.302575	226		0
21509	10tz4uawomu7ctbiw69mik8m59	$2a$07$1Pp01FglT8ln2DYCnAQpKOTgmEHdr9rNNmIX19PKO.UMfixg4cj2S	47	2013-08-04 17:15:55.171979	2013-08-04 17:16:04.479347	226		0
21510	102u8kmh965cx2i804b7j36iyl	$2a$07$o3nGARr1OgGhQV3rlWsFT.wIr1gkoeVHMjdyFRzv7.jxS2eF3QmS6	48	2013-08-04 17:15:55.195165	2013-08-04 17:16:04.727453	226		0
21511	10psma5s4my07plogwpohflohj	$2a$07$FATU40uF7qkbsngoYIy3EO9OMn/56I74VyPLwwvCjgxvSzIg9U9CS	49	2013-08-04 17:15:55.216946	2013-08-04 17:16:04.85886	226		0
21512	10nxdagz7hkingyy7jgjxqr7d0	$2a$07$CsonqXz9MufZ1ghtK0cFlOL2Jp.RNhH7lJGAXnWjd/JtNYxZjSJme	50	2013-08-04 17:15:55.238641	2013-08-04 17:16:04.986726	226		0
21513	102lyajfijbrn5305c30itmy98	$2a$07$d3VBX9C96VwxJU/26FVFH.HOacWEtBZ2HIN8LP3ucjTjrR5d1CbIm	51	2013-08-04 17:15:55.260511	2013-08-04 17:16:05.120612	226		0
21514	10og3x75d0lvwmuoe9e5nol5rs	$2a$07$o3Y/591Y.tnY64SmHK4NU.T9Ifm7rcPPmF/Qb61HWdgLQF4/khx7m	52	2013-08-04 17:15:55.283666	2013-08-04 17:16:05.265967	226		0
21515	10vaxdhr7dzkwse193wlhjirhn	$2a$07$jHdP.45o4ZTgVX1aqH0RNePJhJPnc.m1Ah5Is8wdWFfv.TDrUYq4O	53	2013-08-04 17:15:55.306088	2013-08-04 17:16:05.408109	226		0
21516	10u8lm6eds2rnf39ld96ueruls	$2a$07$FnXBosW5xATgIGNi6HyLyumGvVTtmKbD7sPn9iogVDDlZ8U66i2y6	54	2013-08-04 17:15:55.327761	2013-08-04 17:16:05.578839	226		0
21517	108v5oph5epnvdzf020rvby84l	$2a$07$/LnDjzZxTNNYBDi/5u5zf.L.YBPud4xSyhEmqumJn3yYnC/7Vgt.6	55	2013-08-04 17:15:55.349546	2013-08-04 17:16:05.817001	226		0
21518	10k47n03zblbikde80udolc9dh	$2a$07$dMt2itYV/QQ3rdvZdBEpFeK/F9O60UFiNf4U3wbT/bn7qMOCL/3XG	56	2013-08-04 17:15:55.372514	2013-08-04 17:16:06.005892	226		0
21519	10udgsy865vrpaqftkhajlvuox	$2a$07$xWh6RFX2xAWUMuFXJTUjgODboRTSd8MlvAWt/KVxlxOxFsefkhZkS	57	2013-08-04 17:15:55.394177	2013-08-04 17:16:06.183505	226		0
21520	10xsiipui95q9gbhe05f57z593	$2a$07$MstJyF/mmZe5BSqTxr6emerJuvFEqTmH8RDCYgDqB8HLX34./w1ze	58	2013-08-04 17:15:55.415855	2013-08-04 17:16:09.112834	226		0
21521	109bmnfzgl53jdih1hg87f1xue	$2a$07$RMJwbSWt.iWqOdlPP.qTTuEubA3CABAAUU6Dc0otb2CBCZQ6cGbnm	59	2013-08-04 17:15:55.437575	2013-08-04 17:16:12.370145	226		0
21522	105gclvlza9x5w1ya58tvrcxjn	$2a$07$/2Wv2V7NstoaKLRnN386cuJKVv0mEkHX3ETXIYukMlJT2NyWsYsNG	60	2013-08-04 17:15:55.459199	2013-08-04 17:16:15.548159	226		0
21523	10p7fah059rvshn2xg5xsr3wsb	$2a$07$ByXOrbHiU0dMdjKaVkAxqewyaxjdN.JrCjqfS8JJM.7iMECTiwZGG	61	2013-08-04 17:15:55.481191	2013-08-04 17:16:18.571696	226		0
21524	10v7gppka58zn12ujcvqqyyrv6	$2a$07$CZycbiMJQKV9QTwXJe/mnO.duwAk./6n91Gy1MpNW8Nf15/NdYQP2	62	2013-08-04 17:15:55.503368	2013-08-04 17:16:21.670495	226		0
21525	10mx6jaa6ky8o2v6n4dekaa1sl	$2a$07$Zk1sBID6gbZBbS6TS8Yh4eFm04YrfpFZFkhhtXcDMw7REJWxoj0jy	63	2013-08-04 17:15:55.526255	2013-08-04 17:16:24.759352	226		0
21526	104zpi7vov1ooq3k0n4mipmb85	$2a$07$TJHoqiWQxx3.2Y9tL8JIVefKloN63S0rt7cxiz1YwpIvoYRMjjNtS	64	2013-08-04 17:15:55.549414	2013-08-04 17:16:24.850777	226		0
21527	10z6hw2xqfm7t1akln3iwkx8mf	$2a$07$dupqXuYHk3Ni534qjhB08u7QUpaT6QF/3VOWIEWIVOrcG/V6H7HFO	65	2013-08-04 17:15:55.570971	2013-08-04 17:16:24.981806	226		0
21528	10vnlz1cexzta56gnncxe326kc	$2a$07$sdFk53NN5XeT.8gBmpmvm.Ha9TWWM6tDefPYMH3tZvII.WYsAzCt.	66	2013-08-04 17:15:55.59252	2013-08-04 17:16:25.12382	226		0
21529	10gryhrcmrytdjjlkc9dxmg7hr	$2a$07$mV4KirzF5NdpXIfHlIciYeVeYYBigQOIZI5bAKMgwcmqT7X3GLGhi	67	2013-08-04 17:15:55.614546	2013-08-04 17:16:25.258019	226		0
21530	10sjufttp7p9qbfwu6hetpu0g0	$2a$07$myHGIdnftkSXb9maLZLu4ewMbIKzYnKiWIyGtrUzlyvKMb.eCHS5G	68	2013-08-04 17:15:55.63599	2013-08-04 17:16:25.389887	226		0
21531	10wuvat9nkwbhtonj4blt4d0mi	$2a$07$4TOFRjk0z8qXkno80VVBFeacBB1HGtftOvaryosiPeHeUW1kNYza6	69	2013-08-04 17:15:55.658991	2013-08-04 17:16:25.52391	226		0
21532	10v76n50ocypq8zza9anv98eyy	$2a$07$gs2b6/etFzYuODoWk4rMGehuGj1K.HjSS7D/6t6duw95jeqrGWSB2	70	2013-08-04 17:15:55.682178	2013-08-04 17:16:25.665992	226		0
21533	10wsfxhz8pid3mijrp3yshjcks	$2a$07$FKeQFG6VnlrEaEkEsjHSuu7AhvVqMFjm5/Ekxdg7XG6ro36FoRaFa	71	2013-08-04 17:15:55.70384	2013-08-04 17:16:25.806893	226		0
21534	10iscfqjir7e5qg19rnffytyl8	$2a$07$DKFwmGgnDxPinUhb2OQ0Le56SwVu78t6ImfikeglxQpRMKsH80lEy	72	2013-08-04 17:15:55.725402	2013-08-04 17:16:25.969559	226		0
21535	10q2o8wqy186xplwskv285m4yc	$2a$07$Lbd39RLb9V1OBNya1oLgH.mSyhDKpXdmKoTw/NvJGf5sCd25Yap8.	73	2013-08-04 17:15:55.746857	2013-08-04 17:16:26.307886	226		0
21536	10xlmhnlfcr92rpuwskfcpdbez	$2a$07$vFvEuH98k6GFblHK0wHSb.ewxb99YihYmFaSU5/qslEtfBZSI7O8.	74	2013-08-04 17:15:55.769472	2013-08-04 17:16:26.427751	226		0
21537	10hq6fquca6pfyk2sn0yrfkf7t	$2a$07$4CFle9XNpBhoXVvT0OEypeLQE3YGYi9xh9c7Vi2kEWzpNUXty.tH2	75	2013-08-04 17:15:55.791541	2013-08-04 17:16:26.650577	226		0
21538	10839qwzr6jcbwlnwalpdpn9xj	$2a$07$lrirnS.d0iM8jwiJG9NvUOPYEKfqB5.KKVjb119c/An0ztFrNLyqq	76	2013-08-04 17:15:55.814088	2013-08-04 17:16:26.784964	226		0
21539	10xgwrcthzd2u6tqefqidlhrmq	$2a$07$6VWmLpKUFDryqtuvz.p8TewY7TMauiOfrR7nggRgF0ve1PQuMISGu	77	2013-08-04 17:15:55.837386	2013-08-04 17:16:26.943004	226		0
21540	10zaowwf5lftjxda57l5auycoe	$2a$07$mNIUNCGTNg/UPFyWN/Md0e.GkgJdaYiGlB7N6spfN1bTEdWLzXdJC	78	2013-08-04 17:15:55.859043	2013-08-04 17:16:27.080705	226		0
21541	10ptoy242wrk7lysxwryoyho7q	$2a$07$jWfXB7hDM6jfZdJeu5mI/OrY0b6oYpgmZXrvxwEC2f./hsVLNHWGG	79	2013-08-04 17:15:55.88163	2013-08-04 17:16:27.306838	226		0
21542	10abl72wcj0vr2y6a36sli6zw0	$2a$07$Fk/W0C3g3.fBeS4aXO77k.FhcsMRhSajj0X6tfvSYrv8asNaCSqQ2	80	2013-08-04 17:15:55.903929	2013-08-04 17:16:27.430011	226		0
21543	10z44yulmbglqbhm4txzyf1j34	$2a$07$QTFaSRuK5d5uKyQ1cpzMvuZY/Ubx4CBc1jGhdcRgrmOgBT82If2LS	81	2013-08-04 17:15:55.927646	2013-08-04 17:16:27.619919	226		0
21544	10dq6l6u5v9optn1p2gxem2ir6	$2a$07$HdG.yiiGviJZyx3uy0uHCuX5VCTZSHyHROeSl.vXkrAlHK4rl07dm	82	2013-08-04 17:15:55.950723	2013-08-04 17:16:27.742673	226		0
21545	10pumawhqug3yykcux3oy4rkgv	$2a$07$KKSy5iDBG7N70y/4iJaQwesvGiFLcksfeAqTPoZBj4dqoTvR8oJR2	83	2013-08-04 17:15:55.972659	2013-08-04 17:16:30.540432	226		0
21546	10ujdfg6k408e2br25eln5vijb	$2a$07$ZzDiIMcZpHDmyNXezkLh9ujxVj/Hsh31ZNkAoAbB39Wyrl2OpkiBm	84	2013-08-04 17:15:55.994199	2013-08-04 17:16:33.170056	226		0
21547	10aa9g6yc4mkgcfp2kkh48hs5f	$2a$07$uEnSOiAVPAYovcHx6p457uiSFUSc8.brsyd4/H3y/zcizWLz5AjKm	85	2013-08-04 17:15:56.018152	2013-08-04 17:16:33.299712	226		0
21548	10azlfwbw6bt9o3sqnx6jfm4em	$2a$07$4E9T7Vkm6wAaBYyQHsWK2.BZnem0vHZLBw3qlvYdLjZYriNeYfW/m	86	2013-08-04 17:15:56.049281	2013-08-04 17:16:33.42584	226		0
21549	10o0dtccn4ry0y1d5xykvj6ks3	$2a$07$1bZCmk3y3fpLoK7.78N6MOV3GYpwjGo75PfJgjxb9XQwWTKRVGJxO	87	2013-08-04 17:15:56.076032	2013-08-04 17:16:33.58494	226		0
21550	103692md9ey6618fo3sgpotwjv	$2a$07$RTGwwnEy7PW9oh76PPZxKODwhyc0zMcELRs3oYR3lQ5IjTl0WIVqy	88	2013-08-04 17:15:56.098665	2013-08-04 17:16:33.732551	226		0
21551	100xtyao7czoqdq39rkcy0gxyj	$2a$07$QTszO9XiWxw1kHeUEazPGOQJUQZODIsMG59KbrXDyg6b8cEnmnTe2	89	2013-08-04 17:15:56.120414	2013-08-04 17:16:33.873018	226		0
21552	10ihq0ynpwwxq75pwn6235jxg2	$2a$07$qZGiYoD8LRRCWc1ykKPRiew6hfuGcmrvdIUvWEx10yu2hM8WeBw06	90	2013-08-04 17:15:56.143559	2013-08-04 17:16:34.044509	226		0
21553	10p6jkvi1eut7iocqwdikwpe21	$2a$07$5NUgZCouPhtA8kd0./TaqeiqVQnsUXVmqAo7REFvmrxLyV6tg.4oO	91	2013-08-04 17:15:56.171685	2013-08-04 17:16:34.170696	226		0
21554	101ikxytypyj2xom7y5ciolgo8	$2a$07$lHKX2ywvJck0zncsD6miCOKj6ZLJDwt1mGj7jeh3eDzX38ntnOLry	92	2013-08-04 17:15:56.264774	2013-08-04 17:16:34.29086	226		0
21555	10v1c20y3tgr9xi79nrf3zaop4	$2a$07$CyNrrdalb2DkAliyUNb/BexNChAls.WKpJe9MVhKAIWJvYcLwqMuC	93	2013-08-04 17:15:56.287788	2013-08-04 17:16:34.424914	226		0
21556	10witvxl13tf00kqjvhn3rs6c4	$2a$07$avOgORR0vBiM0POyVndmvubSd3gZmQMzoVSHOo2WqJ2cxaLUjgWHm	94	2013-08-04 17:15:56.311421	2013-08-04 17:16:34.562497	226		0
21557	102rnz2626yx3q5glp7msp3das	$2a$07$w7w6xpD.ii0YeoAp3pBmyesqqZsV4x.i6dvs/W9HTtVXYC16i7FXK	95	2013-08-04 17:15:56.33307	2013-08-04 17:16:34.698076	226		0
21558	107nathi5uzr7t5tbeffxhji0d	$2a$07$f2UhvEN.FD0Sxj1mPwV87eqCaMVVsLN2DAiSj.mkMGJeK299RIqai	96	2013-08-04 17:15:56.355806	2013-08-04 17:16:34.879932	226		0
21559	10kbg8r4r0udu2qkqd9tjlepfj	$2a$07$f7TzVBPbO7nQahjeW//bZuAolTANYApvPbA87bAltqHeX4l0aTQYG	97	2013-08-04 17:15:56.37745	2013-08-04 17:16:35.011201	226		0
21560	10j9lu03cocqcsrsdk1q1zbzeq	$2a$07$9HtuSoFzTdiFheyCK7dgxOXKjKQXO/GlRZIENiTqJvgpuuRDBkmZe	98	2013-08-04 17:15:56.39924	2013-08-04 17:16:35.136573	226		0
21561	10p9f1ao57jhsarmzubmcnjbvk	$2a$07$8jdURABKTgUgeOeLmCsql.OhH/0GGkf0PgQweMkWYVsxaET/hmIR.	99	2013-08-04 17:15:56.420654	2013-08-04 17:16:35.269112	226		0
21562	10bymdbum3hx1r7r6hb0k9uwwm	$2a$07$mtG2Cgx5VrxIAI5ouyEzPOqdsu5rEh6s/1zMBedheC2u0Dobf2xIG	100	2013-08-04 17:15:56.442051	2013-08-04 17:16:35.409973	226		0
21563	10nndc52arwerjobtx5fq5q0n4	$2a$07$FirjU815.UfIXBkTe6MocujyyzlUeFFp6Jcjw8.Rwkym5O34Bd71u	101	2013-08-04 17:15:56.463706	2013-08-04 17:16:35.592955	226		0
21564	104d8xgl17qu2h8fssvl4jy1fb	$2a$07$LzMilXCQIOX6oD69ar4HoOmOCSV4eYz6GsLhi2tpMzt/VDZdKt6Gm	102	2013-08-04 17:15:56.485434	2013-08-04 17:16:35.727341	226		0
21565	1086qonl2a2xljrkaox2gjwg6x	$2a$07$YTk9ayIQ/MzetTUcTx7bOeZwRkdXwVsXZbGkXelsJj8u.NabNmP0m	103	2013-08-04 17:15:56.507249	2013-08-04 17:16:36.085566	226		0
21566	10pit7a3nevvrm0rzuonxs3fdw	$2a$07$LnOOKD5Cu/x8F5rwszLpdOChkSs5ukJ5jUXREyNBxnqrRWhA0MjI6	104	2013-08-04 17:15:56.531073	2013-08-04 17:16:36.424526	226		0
21567	100vjd6ejfetmjml6xoc5cdjax	$2a$07$u4Q4y5kJPYb1dmzKz.5Gk.R0XBACBa0iP9Pf.KLFVNu0045Fyy0L.	105	2013-08-04 17:15:56.555042	2013-08-04 17:16:36.568508	226		0
21568	10r7i8kc5gqkutilf1endwne2k	$2a$07$vcWF2cjtoKfyz4x7fTLOreVaDk.qV6kY.ar0MnR121o1oiDpwow3C	106	2013-08-04 17:15:56.577942	2013-08-04 17:16:36.702209	226		0
21569	10wcir99a79lfhdxmzcvyylls9	$2a$07$RupJguJ8FsEheRR80RNei.Q4BTiJ5jNae8TYqD9ATcc4RMzW4.rZi	107	2013-08-04 17:15:56.604673	2013-08-04 17:16:36.853776	226		0
21570	1088q96v4pae46v8c492238utg	$2a$07$q3nlZuG6NZVoXKrX.qYyHeISip3pI/0sjF5P2py7iOY4LSIRlYCb2	108	2013-08-04 17:15:56.636248	2013-08-04 17:16:37.094339	226		0
21571	10u56sg0zxnu0vwnvpyqq3zrgb	$2a$07$R4X7evTixBwPmd0YgOLlee4XjEwZU69rG2DflaeX3NEKy0i6826AC	109	2013-08-04 17:15:56.660463	2013-08-04 17:16:37.242187	226		0
21572	107btpebp4h9j5hmosjsic422l	$2a$07$SqQH4IIMRA7WK0CeLYWAWOVPIHmPt.TBGXMV9l.UkML51ylWubBC6	110	2013-08-04 17:15:56.68255	2013-08-04 17:16:37.384652	226		0
21573	103blolkrl2ky4j9nz3c7tpcs1	$2a$07$vjVKYA8I4qdo6TJ3xlOdXu7qpIFD8VIeiXdKTF1ITTfuQmjh80aF.	111	2013-08-04 17:15:56.705677	2013-08-04 17:16:37.521059	226		0
21574	10b365t1av9hw4ctn8wqdrh6zi	$2a$07$2i5hUeHyjqBHVhWwxDlBgu/ue7W.8xrYTUI/ScvrthTtHFI7A3OiS	112	2013-08-04 17:15:56.72921	2013-08-04 17:16:37.662555	226		0
21575	10rj8j05smlpjsxg3qrwnugrfs	$2a$07$7I0YAcKkWn.fZ9xkYPPm6.5N0ZoqW7aIgWFvZJJveO3SgMsK9Ckw2	113	2013-08-04 17:15:56.751726	2013-08-04 17:16:37.796706	226		0
21576	10ivyavzuag4665eiacmvnacmc	$2a$07$Ed1hPIXQ4u94DZul4ZQnquBqVsJtTjR6cg3Jc2nQ5xuI/VIfxfuWe	114	2013-08-04 17:15:56.773989	2013-08-04 17:16:37.937242	226		0
21577	10rvaufg9fr2g4e23nx3d91qsp	$2a$07$kgVW.OCAkoLui6Bw/gPR7.9.NTBU/lKia5ynOwCmx211oAOrIAZw6	115	2013-08-04 17:15:56.795526	2013-08-04 17:16:38.137427	226		0
21578	10hexja1bm45y9tn432ompggi7	$2a$07$yx9qCRH2lY0UK6V.qqMLNu4w.z4m1N60XaaxVcJNEhAwBrxBynwti	116	2013-08-04 17:15:56.817241	2013-08-04 17:16:38.409851	226		0
21579	10zp5wgjd2gb5i84nys3a4jnu1	$2a$07$9L8DWn6hCsr15dmVggXDLuO1Y5RuKiMCdjRjSDlAFTD7C6yCLZ9eq	117	2013-08-04 17:15:56.840742	2013-08-04 17:16:38.551184	226		0
21580	10e39uz9pr8qc7vvfgibm7q6li	$2a$07$P6kb84EImOMQmx.h6gteEuuRBzfYRkmhZ8FtcX5.YRE.u9IbldUeG	118	2013-08-04 17:15:56.863096	2013-08-04 17:16:38.688241	226		0
21581	10aq94mn2k09zvjb6a7diiw245	$2a$07$AurFxwB4grhgkflM.fNQ2uVwGo9ib2so9GciMSoHN7xcro6X.S33u	119	2013-08-04 17:15:56.88456	2013-08-04 17:16:38.816038	226		0
16297	105l0s3mzbitx64bezb7fswhc1	$2a$07$FKV7X7hoAW7OYkZ/3.HwouvBao6vj4KIRveJto/riM6iQK1Raozk.	1	2013-08-03 23:54:31.656777	2013-08-03 23:54:34.93581	185		0
16298	10xdxiac9r6rrgguzpk2i3r2ov	$2a$07$hNkV36XUK6R2SX9Tqc5LIunTjWNzbdNVr9noM1EEjaNMNf6oGyMU.	2	2013-08-03 23:54:31.680136	2013-08-03 23:54:35.055465	185		0
16299	10lke8ivq1un84itrvopfobi09	$2a$07$qJdvl9wpwXt9Fpg8Y8mt2uZYPILo57v6BvSj9lTMQuvauiSCTqEgy	3	2013-08-03 23:54:31.70352	2013-08-03 23:54:35.193738	185		0
16300	106w46dxku4afk943vft2tiuhn	$2a$07$lvt1BDaAbAMxXzycxYxETOh/M5.yJWr077OrLNA3se4IsbFdSbQ72	4	2013-08-03 23:54:31.728385	2013-08-03 23:54:35.353016	185		0
16301	1097txgr6v6n3cpzeo43yoliv7	$2a$07$Px8MzDDxjReLFgsmmsOS9u2aOmTl7Urf/s/.YucmECtwJ8FamF03y	5	2013-08-03 23:54:31.751948	2013-08-03 23:54:35.514277	185		0
16302	10keckeh146iu7bd0p6ok8wx7q	$2a$07$2GhNgjGEms4.CjBImML0aeoA4fWBNOrOyionSJmWAlYjnD0pmyRwy	6	2013-08-03 23:54:31.775056	2013-08-03 23:54:35.651815	185		0
16303	10hn8rctfeupymzn6fmp3qmlvi	$2a$07$GKwF9uiQVqqW9e40PxtTweIgfmpP3QyHJNtFdhGaEpXv8l4pbp7cq	7	2013-08-03 23:54:31.798423	2013-08-03 23:54:36.829618	185		0
16304	102j9q29s6w9c81tpuxdq3vurw	$2a$07$VEnqNh07Ps5gp4wkILLZzeF9lWvCuj5FWnn.aUIKYrekS7wYqpsxq	8	2013-08-03 23:54:31.8302	2013-08-03 23:54:38.038292	185		0
16305	10lmc2j7ji1woyz6s5kg8vh4r7	$2a$07$AV4QlSiAqEyd9vD2kZOtY.TvmA09VZbysZopxG14/0UDlq.JdH1Bq	9	2013-08-03 23:54:31.85567	2013-08-03 23:54:39.175527	185		0
16306	1075nfocfapx8oypzn2s9znck4	$2a$07$mYs/CWpJVQbvW05VmIVIXudLos1jJ7zGYWgV572YH.nj2U01pqZ2m	10	2013-08-03 23:54:31.878558	2013-08-03 23:54:39.303924	185		0
16307	10eznjo5pe1tf8suhx3atctx67	$2a$07$HmTWvhoeBDZjEERdUJ9BpO6JQsMo.7X6A5RQ4.SsA5s4GGK.RY05u	11	2013-08-03 23:54:31.902469	2013-08-03 23:54:39.418711	185		0
16308	1062hok01nva5loj44aqvs2x8u	$2a$07$e.JY99FpRM4zWE0pNTF0wOzQCZMkKZhocMsRT0F8ygFRnAFRh6Lje	12	2013-08-03 23:54:31.925803	2013-08-03 23:54:39.543253	185		0
16309	10jh54uqf18yciaij2plbrsuu9	$2a$07$moIOxRZSI4zZdPd36ftd/OHrTxhGG2Mq2giiSOgr3jk.SJb5vpD0S	13	2013-08-03 23:54:31.950725	2013-08-03 23:54:39.681415	185		0
16310	1028m6epc75uyxaifd7q0w165a	$2a$07$KLdGc60AuxTh0HPg/7f/xuIilsXTo6maDoUmA1hwHpdWN5pM4bQy6	14	2013-08-03 23:54:31.987933	2013-08-03 23:54:39.800892	185		0
16311	10xvbceoh8ublorrh0cfxar46o	$2a$07$DSeRtG5z.w5PWy9yZO8DQutd5PTVS5dudCSULrdp9CeWC3cO4JLxK	15	2013-08-03 23:54:32.011457	2013-08-03 23:54:39.900212	185		0
16312	104riqyltz560ahvwifa8ng2w3	$2a$07$szYMsV2Yw3RVrmQ6JtKVfuYEAME5V83LtrHfMGVF5h/JEJ027tY0a	16	2013-08-03 23:54:32.035463	2013-08-03 23:54:40.033574	185		0
16313	1013uj4qubvd93d64oc96opl4o	$2a$07$2yhtZSv5tyU82vCEHS23heHZQyGOBhbGns5y3pf6O2hzIFtjC.Qqa	17	2013-08-03 23:54:32.058168	2013-08-03 23:54:40.163639	185		0
16314	10fc1p0vwvpac8yhegw4llzjuy	$2a$07$UiThvnJlfhzARRhtRwXOv.mHdM2kbzL.1/Fokxj6VLokNDJ2CGmV.	18	2013-08-03 23:54:32.081127	2013-08-03 23:54:40.29218	185		0
16315	10163q7bj1zgi2pqqjnw1zrouu	$2a$07$VVyAOHxXDzRNlhKaR54yw.f.k8rV.JAeJs7IOwvqJj9Ur5aaLu7/m	19	2013-08-03 23:54:32.103727	2013-08-03 23:54:40.414856	185		0
16316	10412n30kqxmsw0589g01ke2ip	$2a$07$CWvvXbFNWaE1cNkBlw3aeu3B/II06gbo9Of9ipA/4aGDx/5tDKiJS	20	2013-08-03 23:54:32.126285	2013-08-03 23:54:40.602721	185		0
16317	10rjmq3xk3ih2e2t8u4qwcojzf	$2a$07$UhVINwx0Lmjl0GIX00AZeu8hkNn2XkpnOpKlF.AkPFSKrbZMhPvza	21	2013-08-03 23:54:32.149573	2013-08-03 23:54:40.788809	185		0
16318	10vrwpaysc603ci3u79q0ea0h1	$2a$07$4LUhWjOyo6QtRHc6bE8VJ.AwsvOlkh0AYLfx8Jm5Cktei5MrV7lNG	22	2013-08-03 23:54:32.17115	2013-08-03 23:54:40.889667	185		0
16319	10mbx0zsk6t69q6sh7zw8zvsn7	$2a$07$kPgM/crtkCfXluZXm6tyqeh9CAccvdmhRxaWYYYhv.GFpnbbOATF6	23	2013-08-03 23:54:32.193635	2013-08-03 23:54:41.004	185		0
16320	10x1dwy5simcjrxej3b1gu9x6e	$2a$07$pYRWjGetr9iVGtRYDre8nu/3dPmL9vDDa143SzAcGroyPe4.cYqSS	24	2013-08-03 23:54:32.216427	2013-08-03 23:54:41.117125	185		0
16321	101aqk6jt5lj35kh8359q7u50j	$2a$07$r1bdwqjz4RSok/QVglQPte/O4dMe8Vv1VWX4OsN1kUTtyXY6Bx/b.	25	2013-08-03 23:54:32.239406	2013-08-03 23:54:41.243614	185		0
16322	107f22hffhq8huif09l3ekmswi	$2a$07$N6B7MfDqrnuxInYV1ahW7ukCjCnOkdlTwy258adJwWGFINdDphk8.	26	2013-08-03 23:54:32.262108	2013-08-03 23:54:41.384134	185		0
16323	10dlktd05p388kp3khsyotfr5m	$2a$07$oVkH7aaOrTXTazootiRdRuMbkRLCfPdgRk2/YNZFAkZE.HhAOcfWu	27	2013-08-03 23:54:32.286094	2013-08-03 23:54:41.496107	185		0
16324	102k5gtl389l73kbxs92dth6sm	$2a$07$yvHNWIEUIau1dU8KFY.h9O18vA/3im17bLVZvi7feYU.LylobG7HC	28	2013-08-03 23:54:32.32064	2013-08-03 23:54:41.823377	185		0
16325	10lc3v22fny6ww5u68lwjt0nlp	$2a$07$36Acq3AJrnnOPD.ldKD5o.9FM1q4mwE.2W762uUaoxPU99Fd9lJu6	29	2013-08-03 23:54:32.350243	2013-08-03 23:54:42.174152	185		0
16326	10yh7h97av20ou4kqyoh7ltvub	$2a$07$6mQQUhvk8vbMwsqRC6jZ7emakofQqrkMb8.ePO9Fwt.6QTJusx0GK	30	2013-08-03 23:54:32.373568	2013-08-03 23:54:42.499128	185		0
16327	10g0h83evl4kfvpw1ls9g1opd8	$2a$07$/3FzO9DL0e6nwhZmB/rJ0.tqs32CASP6y5a261qUiYK4.QagX5KSW	31	2013-08-03 23:54:32.396222	2013-08-03 23:54:42.614579	185		0
16328	10w1du8hi8exd4dlcwdtrxes5o	$2a$07$KXaAc/8HK2pPu50fSrtkzuBjyULeZGh1LYPNHB0uaJuZKNKyMltla	32	2013-08-03 23:54:32.419158	2013-08-03 23:54:42.746199	185		0
16329	10axq2k4rf7dqy47dxozysleuu	$2a$07$mU6K3RZnriijSpYNvgwrMOTL1yiC5FUrBsKnyhwuvG8hwnKMyQw6C	33	2013-08-03 23:54:32.441854	2013-08-03 23:54:42.877731	185		0
16330	10fugrmskhdsbf1fgtmv2ph9qv	$2a$07$Ad3ZWTLGRyZOqqXQkh250uJlkEiJ9tMqhrBv1CbAY8rjV2btaSAAm	34	2013-08-03 23:54:32.466161	2013-08-03 23:54:43.016089	185		0
16331	10j35kafpyy63es27g816puocq	$2a$07$u72W241ojRBU6etIwgbpXeePa4R5bbcNKkM5MzrJ1mJEfNWvwsuOC	35	2013-08-03 23:54:32.490832	2013-08-03 23:54:43.161628	185		0
16332	10c3escja20p3dqb9iofstu9zi	$2a$07$UYhzhBoFoo4H4puCmwYC5e7QY/ssOw9dLcP2rqVVCkCTURZhMl.Mm	36	2013-08-03 23:54:32.513595	2013-08-03 23:54:43.291084	185		0
16333	10sbuswu5ksijsumcpxwdjp6fr	$2a$07$ZjKdbxJgcSaq/6BpQv1RyOFvz3yhmStCQiLIIucpIS9EQHji/rYdG	37	2013-08-03 23:54:32.536458	2013-08-03 23:54:43.412979	185		0
16334	102j39egpbpbc4hdp8l603tj9t	$2a$07$4iIn.NQVrST7ei4GlvubEumvKUhtl4gmhAONHxrFUh7zWAzQz4exS	38	2013-08-03 23:54:32.559264	2013-08-03 23:54:43.613967	185		0
16335	100024nccycfgt3qb6bqw86gwc	$2a$07$i1Mgw3TMfAgiyU0wtBeQbuyXVRnh2VFYLrZ3r0b8yFadvc4fuJ47W	39	2013-08-03 23:54:32.582057	2013-08-03 23:54:43.759487	185		0
16336	10o7qkd44zxp5d0q6b78ov6uha	$2a$07$JonTGEUuQQD33CFxmkj7cObmek30HKmdaWGT5cYkinB5djRBbxcrO	40	2013-08-03 23:54:32.605452	2013-08-03 23:54:43.907336	185		0
16337	105mtqmytrfuxm8rvxskuvez3s	$2a$07$T.wX88VP6tiot8HrJHwKAeJz3CCM4CTK5dsuE792l43qKBlyLMco.	41	2013-08-03 23:54:32.62953	2013-08-03 23:54:44.029233	185		0
16338	100k7uviysdcc4utfalz5xw27d	$2a$07$Nbq/9ATiZJnEVFh35GWiKeI4LGlqaGAJuLRSW5FRrBg8ZZdFIOzxC	42	2013-08-03 23:54:32.652799	2013-08-03 23:54:44.130574	185		0
16339	101bf5zya3lvx3slimgl8l3u6e	$2a$07$TKIOwOb/UOBxKfBguSUABu79P4zcprt9NdHxc.Zxkxd.CZLlG/M/e	43	2013-08-03 23:54:32.676722	2013-08-03 23:54:46.474103	185		0
16340	10oidx8yb1r0wlazbbgebkz2v1	$2a$07$2X5Kf2EZYsCfElZ5MbXMq.rDFkZTo9Myi5.39T/ALDx9nZquI/Dwe	44	2013-08-03 23:54:32.700098	2013-08-03 23:54:48.727821	185		0
16341	100jjew390tcsm4kw9bf7fr6mq	$2a$07$OXLZKrbEWDCPyciR4.QK2usqDppTVUTOuDfnrs8BhOfsYaPAunyKu	45	2013-08-03 23:54:32.723181	2013-08-03 23:54:50.996298	185		0
16342	10ditb6ph3xhxnxnl3ipbqhs6k	$2a$07$TfOMA5Uu4S/EQ7WBwoz2cOiWj.lJdxGU/f4akZxLiHRal/aaZMZky	46	2013-08-03 23:54:32.747251	2013-08-03 23:54:51.141044	185		0
16343	10z6gm13lcth25sv2pot2kpj4n	$2a$07$2CYERy6LV0aYyUz2Hy/gdeJLBWrHIgj1m6v3r8gphIq66L6gr0nOG	47	2013-08-03 23:54:32.770297	2013-08-03 23:54:51.280929	185		0
16344	10ms2vgmu4vvximnmbk9nhfnit	$2a$07$h5IZfXY.xMcb6wvqzWkZTe3I/rTwZ32w0hMfu.uEEcvV2Qzumo39.	48	2013-08-03 23:54:32.793806	2013-08-03 23:54:51.428684	185		0
16345	10ibmysz0flg99v6ux5juijhgf	$2a$07$lKYo/BCcUJY/WRwtfD.nnuhsHNONNQ3QzJuaUNQ3ZKg2Tufq9hldK	49	2013-08-03 23:54:32.815999	2013-08-03 23:54:51.556939	185		0
16346	10etnuwxpynwx31vyhyapx4hfw	$2a$07$ucmTJl.b3KJ9KHXvrh4MyuqamBIyQvVVFcwvv/iWC7dC9hO1bYR.q	50	2013-08-03 23:54:32.838849	2013-08-03 23:54:51.702574	185		0
16347	103k35yawhi1tg4gd4uz7rqjdw	$2a$07$KWWD3414rh5w5y1qhXSrB.pxZZbcGup39ME0yPukNNDmprWOMT6ka	51	2013-08-03 23:54:32.862633	2013-08-03 23:54:51.83741	185		0
16348	10qfjghgajimbgxeoj8lnicqbn	$2a$07$4.Di9Nh/343W/LNahVGgA.drLxzkkGKMIeTbq23Ny7uO3Cc7btFSi	52	2013-08-03 23:54:32.887943	2013-08-03 23:54:52.236798	185		0
16349	10365xt4etlj3onysaqapi05gj	$2a$07$Kwm8gF9y99SsRH1vMf6mXeRMYOoS3e8ECskrBNWejjRKKBhzBdOha	53	2013-08-03 23:54:32.91355	2013-08-03 23:54:52.649201	185		0
16350	10qb025ytz4tsnbl1u9b5blgm5	$2a$07$KFnQX5GTwNEPKw3B9YqhbOyGF4brUkbJttVcg0Ftpd.VFLIM3z9fi	54	2013-08-03 23:54:32.938052	2013-08-03 23:54:52.925668	185		0
16351	10var8nworn7rs36wb9ydryk33	$2a$07$XnW0kgt6M6sWTYkg83hClu5Oy7YX/KlqOeBi5xGyYb8aSK.CpuO6m	55	2013-08-03 23:54:32.968811	2013-08-03 23:54:53.071911	185		0
16352	10ygqrirch91ek4c8amlwyl017	$2a$07$3vJ1hfSvpzvxUB73.pZ1WOqM9AD3ell.RjGrN3ySmKMn16/ZYpHFO	56	2013-08-03 23:54:32.993727	2013-08-03 23:54:53.212305	185		0
16353	10kj1ico23fojli87p6p7xal6p	$2a$07$GNamqa5TNQ8D0n8l9k5tP.hqg4RrTv9XQgz8yZrQFEsB6ORW/2oaK	57	2013-08-03 23:54:33.016067	2013-08-03 23:54:53.325717	185		0
16354	109fr04zo8dkscj74cpv31100g	$2a$07$yYPDMelJtCCrRgeu5rqXduH.IKQtnnXLyD09dsb2exStFZawOHKdK	58	2013-08-03 23:54:33.041475	2013-08-03 23:54:53.564371	185		0
16355	10r7kofcvx5wedkwj4bmq7ypjm	$2a$07$XFCPMsufwEuNARnN5H42Oe1f9hUUrKIZcgpppDc0EirKeupiI.h6e	59	2013-08-03 23:54:33.068378	2013-08-03 23:54:53.702913	185		0
16356	10w69qnyro89i5jjo8i5nxbkn1	$2a$07$sxYso8u9tMEaHgwt4g.E4eAn/Q3zrMT0JoZ2ifR7NBzdtbPXWMfwu	60	2013-08-03 23:54:33.092001	2013-08-03 23:54:53.862214	185		0
16357	108aedfmeyzam3i5wsn7h5h5a2	$2a$07$AITxT3fsTIasc94nfazQrOvkGjjxgtSh.bdKE83iFBCldKaiAX/Ei	61	2013-08-03 23:54:33.115104	2013-08-03 23:54:56.684146	185		0
16358	10fysf5wt7qfqwzqjq8p2l3stc	$2a$07$pQCoals2eZzpRZFZPyw3SutH8ko7olNGJL.C7kpQSZOqNlPu3BjCa	62	2013-08-03 23:54:33.138902	2013-08-03 23:54:59.784682	185		0
16359	10j40j8pxbq2mnhh3jvmdmma3y	$2a$07$KuSxbS8VKLThXIEaenME.um6MEWDphyC3mgCpnjwb447Vf.pp0UcS	63	2013-08-03 23:54:33.161697	2013-08-03 23:55:02.564381	185		0
16360	10b0hi89329an4989d2liyj3cg	$2a$07$uaskQyacjhIAHmzyjqZsZewfEIpVI7x2..udNqa9mXsrRY0bwIyPu	64	2013-08-03 23:54:33.192092	2013-08-03 23:55:02.674371	185		0
16361	10rvuhkd8e6xnjqih1f2ddb5y0	$2a$07$04abWfeOf8MVyalNbzwhA.dWvtU.SI5RxDIiCjmDWqqZnwdfrEswe	65	2013-08-03 23:54:33.214335	2013-08-03 23:55:02.783171	185		0
16362	10t6n4lmx6aa2jqfnmentybax1	$2a$07$dwiXcXc36vtkS4EIB/O9suRIhrfdHjbGDltKNwwbat5TsDA1w/oJa	66	2013-08-03 23:54:33.237084	2013-08-03 23:55:04.143891	185		0
16363	10lilsve52ednslhoj5zoufl0r	$2a$07$lI2Yxa5jLRpi208i8TQWL.7FxDDOq3s1.QR40KWBhd0ZkDL70SREO	67	2013-08-03 23:54:33.317102	2013-08-03 23:55:04.275241	185		0
16364	10819wz1lz5m05vv78to51aucx	$2a$07$l5ZVp7asl8Gn0nh5zj.a8Ov/HJTgcLmx1fKHoGJUbjIeMfXu3STvy	68	2013-08-03 23:54:33.345786	2013-08-03 23:55:04.423323	185		0
16365	103e62cscoblickrk0ozoqtdmp	$2a$07$40q26YUm5EwJkGV0yijrq.u2SG8umI2Z3lfQb1VCI68woGPPIwBeG	69	2013-08-03 23:54:33.370088	2013-08-03 23:55:04.577852	185		0
16366	10sbo47rhjb3adagctlmvlgky9	$2a$07$rYOrSoURue3dKJQMZGM/QuF30FK0HqNqMUT95LzNlHfu2J59GRidG	70	2013-08-03 23:54:33.393501	2013-08-03 23:55:04.775468	185		0
16367	10bcf22gyo7xna2dqgkjmtlvdn	$2a$07$eWOfR2sBMcjoV4PbOAwNBuS/YVD8.8hQW6NebFHNz50c4PbJGnC..	71	2013-08-03 23:54:33.416273	2013-08-03 23:55:04.914122	185		0
16368	108mpbk8c2sfm77l9klh86lpjt	$2a$07$DPSLod3wnS.fv5p2kAYuxendLqT6oo2ph6cIPEhbg2PMbGn9mFpOS	72	2013-08-03 23:54:33.439799	2013-08-03 23:55:05.038189	185		0
16369	10ylhvpfqrbu11jkkb03maafm6	$2a$07$ONiUuakNXfG7l09RZ.NRn.tSXhuM27tzKv1f9A8e1d74h5ELzzFu2	73	2013-08-03 23:54:33.46355	2013-08-03 23:55:05.343117	185		0
16370	10mwcf7fwd0jasqm9o8jhk00wc	$2a$07$/G2K3PZvrJBSMoMCHRxm0eccznCX9pIeyv2mLJNhsm.3hyHdlYhWq	74	2013-08-03 23:54:33.487513	2013-08-03 23:55:05.473386	185		0
16371	105mw89xlz9ulf6in6cgywk6jh	$2a$07$Kwk3ZZOHVRnER9BE1AGNOOyi36I/XWVmYBQlfQsDZCAHYZ8.fMInm	75	2013-08-03 23:54:33.512838	2013-08-03 23:55:05.606507	185		0
16372	10ciknoj6zg5zcqxckqiog8sws	$2a$07$YTnPROxBcD2fwwfzWMX.f.fgoyU4/cD4rMeKKQSo090HtTi7GQomy	76	2013-08-03 23:54:33.538245	2013-08-03 23:55:05.741012	185		0
16373	10n9iiviza5w0pv5iiofk30597	$2a$07$B2B3j82qmqe5lEaGIHVzo.gOBHBnQotvvALySJmrvWDQFY59.plU6	77	2013-08-03 23:54:33.562489	2013-08-03 23:55:05.862088	185		0
16374	10mspvnk3nhkc73jiej3ya87b4	$2a$07$Y9w/eRKw3mrRtCzWG7D5GuZ.836mWwZFS1NR4QC8ehVqdwndx58RG	78	2013-08-03 23:54:33.592752	2013-08-03 23:55:08.32883	185		0
16375	10j5olmhaa8yjw9gdx5oeojhn8	$2a$07$pv5R5mAA5az50W07KMZIl.gZfzBDAyj.oyoSaH/njyBZkNStgg2yy	79	2013-08-03 23:54:33.630293	2013-08-03 23:55:08.472605	185		0
16376	10sztazqcrj62mvf14gu6xazf2	$2a$07$6jbjtGRttQYwRebyjwJw3ufKWCDgE3GeUwWfiWjtOh82FWbtaHGB2	80	2013-08-03 23:54:33.654481	2013-08-03 23:55:08.620872	185		0
16377	10va91q32zcwg7np21pku1x4gj	$2a$07$2Al0Bq0./B/d20vIlZkGdeUbVuzRVs.RE9c117/SSo69NIpsUfnLS	81	2013-08-03 23:54:33.678877	2013-08-03 23:55:09.011961	185		0
16378	10uy79l64ioz0cgrddzyvtkkn5	$2a$07$buWkoefeEL6etPr2ooDyvuqIEplp5k5EuaBy9ywoZ3.PHdiaJ5RU2	82	2013-08-03 23:54:33.702316	2013-08-03 23:55:09.142986	185		0
16379	106jn2l65nc6tgda3dei2cs3fs	$2a$07$iiC5YTuagubfdupN/9KLtugXcD75Wzt/srqh.jSQ4y2PcyawI3Vdu	83	2013-08-03 23:54:33.725297	2013-08-03 23:55:09.444611	185		0
16380	10rybvo79sv07f02cwj2j77j5l	$2a$07$MXlAiEnKZZ34EzKeOr2U.OoV9C7Sjg2ZV.MHZuJM7K7iddkCHOykO	84	2013-08-03 23:54:33.748155	2013-08-03 23:55:11.985373	185		0
16381	10xrxloqednmkxl491v9fhbbiz	$2a$07$5SmLjqTwi62A1RYaTbL2Pe0kOwaWWR.oLNOGZptK4q7KWhqRGxtC.	85	2013-08-03 23:54:33.780841	2013-08-03 23:55:12.091868	185		0
16382	10jqm3h9lhi8u12g27p5qbqppt	$2a$07$FXas/nrOePa08zUe8uhjZ.tUQ0Or0604GoKAtf8ZaFSd6MJI/rL3O	86	2013-08-03 23:54:33.803958	2013-08-03 23:55:12.212927	185		0
16383	10awkcdd8tndkwejj2n9q02iap	$2a$07$Jx2RWgymHCuBxp9moXx5vewNY8fXW9U7SANzTQ6Yrdlm9hq3KnLNe	87	2013-08-03 23:54:33.827093	2013-08-03 23:55:12.372467	185		0
16384	10b4gtvl5qzm4tuxi4ejg43s1f	$2a$07$oPgxUK4W9Z0YCiD7vKeKR.LWSSoz3bR6d9F26Dd53R59BGqzB98KG	88	2013-08-03 23:54:33.850305	2013-08-03 23:55:12.522808	185		0
16385	10iyl9itst2gf73a5xgkecu8z3	$2a$07$TKkovcwzEwo319O.6rmSle2is0Snwgo2gFulSrnKKCO7DzZTmsRnO	89	2013-08-03 23:54:33.872728	2013-08-03 23:55:13.676579	185		0
16386	105d9k0nwmcgbhf86284v50f9i	$2a$07$s9GdxgWcbmdJwH0sQ4SNVOGLpneane7gZSYrCJQukAyPZt9dMK1OW	90	2013-08-03 23:54:33.896375	2013-08-03 23:55:14.590929	185		0
16387	10gb0zyp2b5adq66thrwcm2gxi	$2a$07$irRa1BEx.qFDOj1DBIHf5ulOotnHMlc9oEuoE.QSkpWkOg2Pz2l9C	91	2013-08-03 23:54:33.91821	2013-08-03 23:55:14.716817	185		0
16388	10n8oax2zv6i2jujwsv3hy5u2i	$2a$07$/j.Jignj4/XUngGg99eaUONJwgeNPJvBlh42mYikqt8V0l.BoleCm	92	2013-08-03 23:54:33.94193	2013-08-03 23:55:14.837055	185		0
16389	10v91t1q1m7x3dpojg4red23qw	$2a$07$rCpk5r7FdgVJjiuR9e0kieoIh0DZ3hHZLLRvlFbNyAcOj3I.kXQfC	93	2013-08-03 23:54:33.966125	2013-08-03 23:55:14.959969	185		0
16390	10zfs3pyv1too9rvquolidqm0e	$2a$07$whL1niGyCZPMfC3K5WhsyuYvXhSoVvksKuqIcRRf4BeqfCsrgKz3e	94	2013-08-03 23:54:33.989757	2013-08-03 23:55:15.079697	185		0
16391	10j3zu2y5h99osuvjmbzlcwff3	$2a$07$RzJ6dDt/z/fuaT4aV8mvfeSWYqKN/5LNIa8qNv7nuPpvSpMtEMvT6	95	2013-08-03 23:54:34.01361	2013-08-03 23:55:15.177826	185		0
16392	108r8a7nwrejnm2wxojf1070n5	$2a$07$ga9xVACF.X4IAGZn//l2zuz7y4kc3ZUucLrQ99svoqdZ1yDXMPOgO	96	2013-08-03 23:54:34.037832	2013-08-03 23:55:15.31428	185		0
16393	10zzxzo0fuoferckjt5xsbe3ow	$2a$07$ndoL0RHLnfG..KI/4JRyZuZavTyer.n/EQtiMElWAB6dN/cTTsOSa	97	2013-08-03 23:54:34.06204	2013-08-03 23:55:15.510532	185		0
16394	10y3jp695v3yypnk0l494tcu5p	$2a$07$0gzGVeLQHrDMYKW.j3K1Eu5E0aN.d.vP4d6H3jvSNxNsrV4wt93uG	98	2013-08-03 23:54:34.086357	2013-08-03 23:55:15.69765	185		0
16395	10zuz8qhllpg71wjy47i9awzab	$2a$07$7RCnGnMAZBlfcGVAYDVOJe7tL3hL0bje45/swgsk2gxgcJq1eEnme	99	2013-08-03 23:54:34.110515	2013-08-03 23:55:15.828863	185		0
16396	10x7p435qichfyvpfa68meiwu9	$2a$07$OpU4BURBHbLZZWYGGEX8OORkw68P0RQbNgo.RITDxaKgls45yNBUS	100	2013-08-03 23:54:34.134099	2013-08-03 23:55:15.946529	185		0
16397	10h9xdamkyj6d4wvvtxrkht8wd	$2a$07$EPp4fC1xyu.J8UzX3TcnFeFL3.E80ruoOtSMZkg2QQyI9kQ0jNOnO	101	2013-08-03 23:54:34.158178	2013-08-03 23:55:16.052931	185		0
16398	1062n824sejyytts4zwz12kwd5	$2a$07$KTV2Ut8NKeGBM73nliYdLe04nn5B3OqTdDx93iy00iiwJIrSArJr.	102	2013-08-03 23:54:34.181875	2013-08-03 23:55:16.174264	185		0
16399	100c6obcjja6tym8shwpppsr59	$2a$07$Hkzk7b3//1vbmbS5GaB5p.nNYvhCd74MHCkMm7yO6ZUDczNoYdlTO	103	2013-08-03 23:54:34.205518	2013-08-03 23:55:16.434064	185		0
16400	10lbyu55daita39abg9xg3fc00	$2a$07$qnLabtcCUkwx6kCSYgoFkeYUmisOMJ0sUPWWxzUBx2V1DUhOFYh4m	104	2013-08-03 23:54:34.229549	2013-08-03 23:55:16.701584	185		0
16401	10r6lbita8fum27fboe37s9sis	$2a$07$a0pcPVGoHx3Lux311mMBUO7L41HE6d9B2yF6Z.q7lTGBw4LFgpRJi	105	2013-08-03 23:54:34.257606	2013-08-03 23:55:16.834238	185		0
16402	10f0p1n872lqqqgp8v8lt2ihhr	$2a$07$M6jZeGrwJTDKNaOABmKZOOJJetVLlOL22H/tnQ6K9YvdCUOcR69Gu	106	2013-08-03 23:54:34.280472	2013-08-03 23:55:16.956038	185		0
16403	1021ke0ql3n1chcdnsik0163op	$2a$07$qQQ8CrMNgaqKlOypfV2zH.eLcdr/2EVwpZ8qXoeNWGB3tyLSFRp.G	107	2013-08-03 23:54:34.316981	2013-08-03 23:55:17.08939	185		0
16404	10n1y23udef353qykhgtq4fvjs	$2a$07$02LxZq71wkNYxf1w0O60QO.PLrDZzDKfB0cRH3CLiygwtB26BTHv6	108	2013-08-03 23:54:34.339355	2013-08-03 23:55:17.22933	185		0
16405	1051v0tk4bll6z3sbw4gjvt0e9	$2a$07$0WfNOUXSq2lzZsuxsAoineVBvRB8Lqv0FV6W9nSp3iZ3pO6xXGYoW	109	2013-08-03 23:54:34.362403	2013-08-03 23:55:17.484366	185		0
16406	10wbsdiscmm8x4zngb8oslo851	$2a$07$UlzXUl62SeMqOp4Wd2mBZ.sppk8Ba8iBI1903d.YDVqZuHBYrEc.K	110	2013-08-03 23:54:34.384795	2013-08-03 23:55:17.667053	185		0
16407	10ogtjxc5gzwf81qziobqgsknq	$2a$07$y3F.spLm31O8RQ9z/oyIgeg.ZaZdoAvCy2Ke3twRdCnUNUA6tkPHC	111	2013-08-03 23:54:34.408319	2013-08-03 23:55:17.790947	185		0
16408	10j89bw1rx4h3dsh91pexzffhi	$2a$07$VnaDiwVKbGudyFnIxFojIOYMNKygKPmFmigOWHvlYcHHC6r7Hjixy	112	2013-08-03 23:54:34.431337	2013-08-03 23:55:17.932781	185		0
16409	10ee499nmrmfj3s9rdghwq2mz5	$2a$07$jCQaP5ZEbpgA..TDZH1reOh41Jp5CV/cLHpMU9IzV2tKX.Hbk95BG	113	2013-08-03 23:54:34.454829	2013-08-03 23:55:20.489841	185		0
16410	10v3p5cpfdycwj7af7nwfer3ok	$2a$07$ApeJCE1d1DKKMoqk1/EF/ezn7eJW4F9r7C85d2hdYJ9jyLcXwLKcC	114	2013-08-03 23:54:34.479212	2013-08-03 23:55:22.900189	185		0
16411	10xrydai1yqbrkcbj25vuvvpu5	$2a$07$3cNR6mHCXtiudlufD.ViMeO5KPzO9ewCw/RjGXZsBJHqZEI8mUNHu	115	2013-08-03 23:54:34.507201	2013-08-03 23:55:23.085064	185		0
16412	10k0htkyeb9ktbictke5xejwuq	$2a$07$ILpxPRFRBo1tlazyP5aV2uDewdiUVV/TAdzH0Pk4iAqEOZDuC98PG	116	2013-08-03 23:54:34.532952	2013-08-03 23:55:23.276464	185		0
16413	10vb793p0zkfrdgprq1ikvpjx6	$2a$07$L9AFe96aSf4zhE8xFF.LweEynBebSKeGxPJ9Mz8MhyEQmXCcCdZHC	117	2013-08-03 23:54:34.568271	2013-08-03 23:55:23.418139	185		0
16414	105zr3o8l4x00bbtp5k8wvn0vx	$2a$07$L14BDeDvha8LLxZrPMKYTOpapd4FLCd6pZcd8MqFviaJXTus8pO9m	118	2013-08-03 23:54:34.593044	2013-08-03 23:55:23.554715	185		0
16415	10j8me70y823lzss86q03rhe5v	$2a$07$XtVPMqJdCUZtEhzp6gzYL.ZRpPcRIdAueeOxbhDgd5PwG3R5MSO/G	119	2013-08-03 23:54:34.617674	2013-08-03 23:55:23.676814	185		0
16416	101izsbbecqklimac2pmpgek1u	$2a$07$sq6cBIFcDWimv2WDLJiEQeH5NWqCN4p/MOxjD3v903fDFeJe1u5I6	120	2013-08-03 23:54:34.642124	2013-08-03 23:55:23.804362	185		0
16417	106q200qx7yoigycq0cg6m8i36	$2a$07$mNAyQXBQX/2EpwxFwWnHp.qD3yYPh/YxbTTyTsKjY9rzBOl/OAYXy	121	2013-08-03 23:54:34.672876	2013-08-03 23:55:23.940861	185		0
16418	1076omr24jdl6k0mplr82rvxvn	$2a$07$kSo8lahSajBFmjbt0RLO8ugvRxbNwnihgxEzOEsG7YJInG5wEIpMK	122	2013-08-03 23:54:34.698438	2013-08-03 23:55:24.091435	185		0
16419	10hwrd09ie4llii4pyysugqdw9	$2a$07$WF7u.I9cdNCsjZc.xLLcYOt7qVlGSBcSWH85Xuz9pBCHcgOVR9qsS	123	2013-08-03 23:54:34.724757	2013-08-03 23:55:26.887498	185		0
16420	103itq169cozvc29nxx2adzo5d	$2a$07$XRiJQdlfuQCZUnx2f6zKKusjDLnxpljdVcGu0EXQv38tkOuyGulF.	124	2013-08-03 23:54:34.750531	2013-08-03 23:55:29.678379	185		0
16421	10uxs0nsf80fyjnwkixeow5gy8	$2a$07$/cOSc4Q4a7wIoTaxeJugVOy4PyQ.alTJEmubnTDSwvC9MaPQ6L19a	125	2013-08-03 23:54:34.773616	2013-08-03 23:55:30.018544	185		0
16422	10xnfscpbq5m58cvkw0bbq87id	$2a$07$9QfOXD0.JMxH2KhUETLFQOwBdzmB1/Ddfwzg53GsnHGLxyDhpYTXG	126	2013-08-03 23:54:34.79744	2013-08-03 23:55:30.384903	185		0
17935	1061ri0kzjvyezqikt7s7zydt1	$2a$07$447ZiLOzAEu.CGIC/qux5unrAaDCYy7iXE1cXWItw4xmy5b9UtIPq	1	2013-08-04 00:59:51.565572	2013-08-04 00:59:55.168005	198		0
17936	10idsczv87iw6k42hjogkft23o	$2a$07$HLcn42raSqHY5kGerLQxlOMCe1rJ33A9WAD7Ku5iGjzNBzrEeExpC	2	2013-08-04 00:59:51.588907	2013-08-04 00:59:55.677881	198		0
17937	10wyk8y996d9lkifreq5w9syng	$2a$07$DOapIm8IhdLL.HoZBiXRgu6k/ZEM9ErLyR3u3UmrT0jMhJMdYgTEu	3	2013-08-04 00:59:51.612454	2013-08-04 00:59:56.162024	198		0
17938	10yy1rjfcqqik9sy7vgd703zsq	$2a$07$XWEc2ncAE1hIqqxpdOOLXuHhFUQ61R6vsMUWtu0tBW4dbRGznk4pu	4	2013-08-04 00:59:51.636641	2013-08-04 00:59:56.310601	198		0
17939	105dbjh5jo3usk3brm1bknvupw	$2a$07$jhFh.zyvNL4jg1yZA73xnOm0U6nusUWHH2Hzi3CeVvgYseYH5sFV.	5	2013-08-04 00:59:51.670766	2013-08-04 00:59:56.466053	198		0
17940	1042fw2vdfqtc1kgqx2ydfm61m	$2a$07$Jw0DhhXMYgw0.ye/dnqu7ertovOCYiq4T44JSjRS02rr3VZlaar4O	6	2013-08-04 00:59:51.694609	2013-08-04 00:59:56.607304	198		0
17941	10e8imafpm4xgild578khygivt	$2a$07$ARGQ4xILEUsVX8CgkJ6eBONS.USaZitJHcbR0RrEQXDJZljOwxVMK	7	2013-08-04 00:59:51.719852	2013-08-04 00:59:58.624867	198		0
17942	10zbabuxzapu6wdcvszn1sj6vo	$2a$07$DCN2gz.Y3pwvu.CJ8F/AeOcWU5giyKHu.zAXIfNj/aFyMIrsukpAi	8	2013-08-04 00:59:51.746197	2013-08-04 01:00:01.03411	198		0
17943	10tsmo63nfdd66e76aof6blqfe	$2a$07$LDF2Et8T7NDxNMeh.DLidudkYFH5jlYuOhEtwtoykOXPiP8C0bgiC	9	2013-08-04 00:59:51.775903	2013-08-04 01:00:03.426562	198		0
17944	10r7hd4nay8lk1mym6uk2p27mx	$2a$07$eCi2HzT.HG9vg68I8wqbdOkbH7.iN0tKeZNHzS8IF7Gkd9ed/X58i	10	2013-08-04 00:59:51.800375	2013-08-04 01:00:03.539012	198		0
17945	10zmjeo1nqf3dj7igcnr1t4se9	$2a$07$IS7V3kX5f1tBtNXgjohoyemVZzBnepzotDE.qd/amkJjio1dHHeXW	11	2013-08-04 00:59:51.823729	2013-08-04 01:00:03.66272	198		0
17946	10dcyv4d9j7bfhj5jlpcqvy0zm	$2a$07$omoHeo1ffBx87Pml3Q.Rm.NZFTbt97cEtLC7F2uXeIJPmkIkp68xm	12	2013-08-04 00:59:51.847351	2013-08-04 01:00:03.777098	198		0
17947	10wbgv3nv3a1w00enazmdadvf5	$2a$07$qotd6KdoQpntsYKWxnUF/O0yGlc6OXWSCwsZD2UJXSESb.FTIpWGm	13	2013-08-04 00:59:51.869715	2013-08-04 01:00:03.895494	198		0
17948	1047t1a4riv734qefg9um97oho	$2a$07$9/J5J8FCIR8SC.Nl.Srh8u1S.u55WOrVH6pCxmmfiBRbCvIzx6vGy	14	2013-08-04 00:59:51.893019	2013-08-04 01:00:03.99252	198		0
17949	10xdjihvwiloq949559okhc6ld	$2a$07$I18/BWZd617ofBsPON3SqODKuAi6GM769VVd9mDVrmnHAqy6bCr6y	15	2013-08-04 00:59:51.915725	2013-08-04 01:00:04.102085	198		0
17950	10od3svx4h2p57ugwpkpqvmjrr	$2a$07$OJwBWDo1Ot5js9hvUaHhjerNjQBX3EoHNAK3DSMp5It99XYoCaXmG	16	2013-08-04 00:59:51.940275	2013-08-04 01:00:04.219956	198		0
17951	10j3vouynybf02aw09xcj8naml	$2a$07$Erdrj4tj7Pu8hT0.O.nFhekSABqOBfJyO75mUvu/TtCD9DhgRb7MC	17	2013-08-04 00:59:51.963507	2013-08-04 01:00:04.34631	198		0
17952	10ouy2xdqg624nm9t2tr46t8jc	$2a$07$4EXUwNTJh3flxURdQKhfgu4BjTwaE/Pyx4TI9NQTUk38bnP6zkbo6	18	2013-08-04 00:59:51.987393	2013-08-04 01:00:04.475251	198		0
17953	108pjlfnskzoqbhzcmc9o6voev	$2a$07$iuHB6i2OIsZaoFCtVtSIUOsc2x6pfwu7Y7LrBdBcUuDRBTy3QyATi	19	2013-08-04 00:59:52.010757	2013-08-04 01:00:04.584392	198		0
17954	10bp2bh4j3bezux2sk8f1npaj4	$2a$07$edhC.MFNUs.xHqb8UZMWluuEYIaX4ditrZiILhG/qbt8k7tPUXRG6	20	2013-08-04 00:59:52.034253	2013-08-04 01:00:04.702326	198		0
17955	10kfln0aghrrcdl0n837vehh8r	$2a$07$evcUnOcIMuzbU6X0e.T.ZOEdSr5F9WOvLTGpkEZnplf0RQ.ngTvpK	21	2013-08-04 00:59:52.057056	2013-08-04 01:00:04.798564	198		0
17956	10vz9jwrck7645b4s1g5ewnhvb	$2a$07$4CLJpxNwL/7RBzGL9oTg2.LQ2QBKfVwh/tFVSmy1q7fRKk39DfYiK	22	2013-08-04 00:59:52.080154	2013-08-04 01:00:04.918504	198		0
17957	10b71dpt7v0sjek1jlqe8eotog	$2a$07$Du5S0QZHavFU8FHGIK4Nquce1Ao5etBOjQf9q2nL876mD27Q9ioe2	23	2013-08-04 00:59:52.102987	2013-08-04 01:00:05.024365	198		0
17958	10e38jeb971u1b7weu03f7ody4	$2a$07$FgIcjfBkQ6a1ulNj1.ipf.qs2EjxgHSQ6Q5N/g19q5F5AjcZ0Mn0.	24	2013-08-04 00:59:52.12721	2013-08-04 01:00:05.123338	198		0
17959	10l9z5zm60n3f2ntgr25b722a1	$2a$07$8l.pw9BAQAD/fGnhNVq7NOvtnn3DTEUt8fDqld4GlxUOuW8lrh1SO	25	2013-08-04 00:59:52.150438	2013-08-04 01:00:05.235978	198		0
17960	10npmjs7tapzr9tax5lwyfcs8r	$2a$07$HVTxfX60K/wBOZ6qxqtwVO7fCo4qjsma1yvdRklN5ZyXXpbPVyXAS	26	2013-08-04 00:59:52.174291	2013-08-04 01:00:05.335232	198		0
17961	10gnyq5jve1lzze8t0gd11e383	$2a$07$QD/dPT4fNjh4rer6PX84b.1iLz.eWx3qDQk94IgvACoeZT9I/WMLG	27	2013-08-04 00:59:52.198534	2013-08-04 01:00:05.451314	198		0
17962	106cc1l9inbte5y888z2ac2ypb	$2a$07$45SAvDMY0MFVDbmQDG9YF.E35I0Dw1viFCRhRztidq1WUP4DtMtAm	28	2013-08-04 00:59:52.222603	2013-08-04 01:00:05.788855	198		0
17963	10kri6z6pmzae4b3d76vomqgq8	$2a$07$NS6nH8/JPoFQ98DF/uV8ruaN4V/cMiAdedmBmfXjCmACbRQRnL92i	29	2013-08-04 00:59:52.246005	2013-08-04 01:00:06.177378	198		0
17964	10xyhla6ywwwiqgep7cxadwjbd	$2a$07$B2zaj7kU4uaANcVuDkm0s.V99VEjOwfGo4rGyRAUFQ0Vk7WnzPnfy	30	2013-08-04 00:59:52.269424	2013-08-04 01:00:06.472473	198		0
17965	10m2yvrxyarajmhjw0tbhr2op1	$2a$07$IvtX/MoSwppMinktmvbm1umzeGX03KYekxzxEqIUUVlfIU4LDk/tu	31	2013-08-04 00:59:52.292245	2013-08-04 01:00:06.653327	198		0
17966	107cptt91en1h9wbz7aq1zo0sb	$2a$07$vZJjgUukRE9koHbx9uebp.uCGuQ9y6P8zc3TndEEoClCrV1O8rfxa	32	2013-08-04 00:59:52.314483	2013-08-04 01:00:06.775988	198		0
17967	102u7n47jj52lbikqdcf07evbn	$2a$07$nZptmgcwkbswHAoKexboKOWNNjQeCrUGtVZac1jjTfxjkNVcv.K/m	33	2013-08-04 00:59:52.337282	2013-08-04 01:00:06.904269	198		0
17968	10z2wmcau0w6v738qc3wzbasxp	$2a$07$zuCqDnX2R2LIv1htOGHSIe/Dl6qP2jatGMcvOPzFne9ymziHMGPdK	34	2013-08-04 00:59:52.358906	2013-08-04 01:00:07.02215	198		0
17969	109u9wxypvrs1vz322a6yz2zv5	$2a$07$paajRyZj1Mi4PJEm8fWe4OgwfX4s5X5qlcfKmnKc2z283ouc9neS6	35	2013-08-04 00:59:52.380511	2013-08-04 01:00:07.148918	198		0
17970	10lju94etz5kw9sn3yvflon37h	$2a$07$BqP/SxIWA1yKYQMfmTPPDed5vsxg8MAAW8KmEnoKNLnJBWrZ6orTu	36	2013-08-04 00:59:52.402343	2013-08-04 01:00:07.282495	198		0
17971	1035l6finawwjkyht4w6xvanva	$2a$07$D7.g1Zr6taMhcMo69GWqq.ajbljykkkBObonBl0AoCQmFXNvm6bFW	37	2013-08-04 00:59:52.423913	2013-08-04 01:00:07.387341	198		0
17972	10i40pirbd7xidqtf4ulo0st5e	$2a$07$zsjxq9r35SEH1RznpeZNWeU2hBiZFu4zl/SxuVMeMeztGm79NG/BG	38	2013-08-04 00:59:52.445592	2013-08-04 01:00:07.498313	198		0
17973	108u4f8x0qc5spygzkumidl0zw	$2a$07$s7xSBNTw6jQbSoCm7ffuReYgsyLnU30/8NUm7LNVHZVTiZ7NK7hyO	39	2013-08-04 00:59:52.467118	2013-08-04 01:00:07.638323	198		0
17974	10pvviyybahle877yvbzzegj4e	$2a$07$AWfze77.0IH1gd/rDHVvOOZAoCSVZKvZkZPNlFrNUqKVT72JbuokS	40	2013-08-04 00:59:52.488625	2013-08-04 01:00:07.781692	198		0
17975	10xwv12cid1f50k1cf0ek7x9g0	$2a$07$YmhonHmGzESkKFTmn9xgmu.YIZZC1.GevjpzzTN4gEvMyVPIzqzvW	41	2013-08-04 00:59:52.510356	2013-08-04 01:00:07.913296	198		0
17976	10yya7w57mz6kc742zo7ut6po9	$2a$07$lnY9uksMMOVa1w.IaMcKGOGp9KZORdV4msIvAZijpSXmk9C2Ri2.C	42	2013-08-04 00:59:52.533783	2013-08-04 01:00:08.052585	198		0
17977	10g7swpcfhvnyy6kwf116u93x6	$2a$07$510yNvnBiVZQHlxr3pdTa.Kt0mZTp2Exnc4dafiOUUCJN3/ba92Cu	43	2013-08-04 00:59:52.555687	2013-08-04 01:00:10.427787	198		0
17978	105wrsrovdx47n58hwr3yr4cns	$2a$07$2LUXMegkSbK0Xhe/Zv8KXuzgLmcbdgcs//R60jZRuXn2xlNRjHWwO	44	2013-08-04 00:59:52.578756	2013-08-04 01:00:12.708106	198		0
17979	10ze4ttybqba5ndegrygyrtpax	$2a$07$3vHDR.CbrH08aEMU7CpDeej.1OyjFkjp3QECa.YIC0jCo/Rme9aOa	45	2013-08-04 00:59:52.601585	2013-08-04 01:00:14.991821	198		0
17980	10pokvb3x0nfwdzhpznab006yt	$2a$07$lS1OjDPD16.zteZrmaCWh.7/b3Y23LXyF9N16TcxDzpJpN5xctXL6	46	2013-08-04 00:59:52.624726	2013-08-04 01:00:15.146578	198		0
17981	103fykskxo3f5p6yxujgnry5ze	$2a$07$z29scM9hZACxrXq63W3M5ujTLUgLWbKgwiiu4dpiKvUARyJMP5XPC	47	2013-08-04 00:59:52.647461	2013-08-04 01:00:15.278424	198		0
17982	10xa67pr65186qvcimqx9rkli0	$2a$07$TvtOrs6D57rHuoQvn3Smz.jPL/dEPOU/ORKb5YDDLnZJwadXabOj2	48	2013-08-04 00:59:52.670334	2013-08-04 01:00:15.429246	198		0
17983	10femnbpo8mbfm5ey1ycrph7uw	$2a$07$1uW4KaKWH21L2kflQlqOVeQ/WPEXX.Rjlu1gtkr5ikW8Zl3MJ/RqC	49	2013-08-04 00:59:52.69474	2013-08-04 01:00:15.563844	198		0
17984	10qrj5c8e5nphc784p7jow5m7y	$2a$07$5ABgDksImvm3c6cQuDtqg.5/QNVi6kR60DMeTKK3ReLoT.O2walKO	50	2013-08-04 00:59:52.717991	2013-08-04 01:00:15.680546	198		0
17985	10533xgqjn653sfopj4t1s5hq6	$2a$07$ODfpq8eEON0sNz534VfHTuWLcNRpNakSoA8qtiYWWPGq.FLUrOTDW	51	2013-08-04 00:59:52.742341	2013-08-04 01:00:15.784421	198		0
17986	10kx47mhlmgusxlud3kdx48itk	$2a$07$nQUB4r5O3SlAAJV0K1Li4OCHUa6Ns.MOo1u5wUxJPDfyiItPBSs/q	52	2013-08-04 00:59:52.767025	2013-08-04 01:00:15.955283	198		0
17987	10mms2sz397flq8fxjrhrxfgnl	$2a$07$eDwY6WRT4QGQig.y8NJ8.u5J7weluao/V0MzAN7MA8pyAZ4wEmfcK	53	2013-08-04 00:59:52.790794	2013-08-04 01:00:16.214789	198		0
17988	10nsgfk29ayg34t7se7vvlhp3g	$2a$07$cfNoE739h0fE/C0YCFkRqeYXiFb.6t8ZynTvkm1NpnoOMWuX.9HyC	54	2013-08-04 00:59:52.8134	2013-08-04 01:00:16.469623	198		0
17989	10kccmjg5tf1j7zp2efos72pk5	$2a$07$LPtd3mOgdDc6N64ezH8qbeSezBa8w/TMjepY5upunqxOOyP1sKlqS	55	2013-08-04 00:59:52.837342	2013-08-04 01:00:16.605053	198		0
17990	10hf97yrkb75nd3j118rb8ffyq	$2a$07$VT/740rqurJi1TNy5ogeMumCOpsPRBnRYnf9R05cIGJ9p2pxb7yle	56	2013-08-04 00:59:52.860758	2013-08-04 01:00:16.716906	198		0
17991	10gaplxwidq253x3b8x2a6bwj8	$2a$07$a55sO2//nh.FsvLd3GgEp.n3lUS/ko3FhWTWQpqrh9eiJp/RC9Cdu	57	2013-08-04 00:59:52.898572	2013-08-04 01:00:16.840609	198		0
17992	10wqgu4oo0xe8ameyh0mlk6qvr	$2a$07$bhOgnF2JG8e/atqgFQ0QXe8qFkIsBx6zHMvWeoZgQ70Nx37mAEcWG	58	2013-08-04 00:59:52.921369	2013-08-04 01:00:16.990092	198		0
17993	10sr19ea8govfkxfxkgh5sf57c	$2a$07$WVukrBOLLE3BFN6yCllaw.RolARlXGjuwJPBHsJMBqBExtkoYMEQS	59	2013-08-04 00:59:52.951991	2013-08-04 01:00:17.114068	198		0
17994	10ith63jfqhr5xpbel25dxwshp	$2a$07$OQiIxsIFcmaYCFApjIn3WeOufrBVuLJpk53x7L71EV1crkLNCmILu	60	2013-08-04 00:59:52.975734	2013-08-04 01:00:17.248206	198		0
17995	10y4e7iztqmoid6k46r395u96e	$2a$07$wYbnNNMpbgNZjAH3.WowQ.FB9YQRNcmAol/fSVyZbGOxr9K941Axi	61	2013-08-04 00:59:53.000018	2013-08-04 01:00:19.910905	198		0
17996	10j2qedjgar28ormbj26chaj5p	$2a$07$9CLCVjxq0Ip8P0lwGbYhVeo4UFHGPbm2wxUG6XMZ87/Rv0m5B/1yi	62	2013-08-04 00:59:53.023177	2013-08-04 01:00:22.823104	198		0
17997	10eaculi22nnasb2qqxv5nrany	$2a$07$JMbhvruSfMpWXY2HD/oMUOSCVU5QnANxI.7VbfLkKS0IuJXfylyHS	63	2013-08-04 00:59:53.046903	2013-08-04 01:00:25.810942	198		0
17998	10tghk19mn6jpu6mkynxonwn7h	$2a$07$jDQOvZePt9Ww/lhaJAU8WuuB0fY5E3Mo3tYgdUcbH0XVDQbmwfU4u	64	2013-08-04 00:59:53.070076	2013-08-04 01:00:26.226326	198		0
17999	10jvjm079x0c2fk63hf92atiyq	$2a$07$kCxFAdBV/93KATw6/5/4Y.aIecv0IW3lpdXi/hAUuAx6ZRiZDC.ey	65	2013-08-04 00:59:53.093307	2013-08-04 01:00:26.364756	198		0
18000	10byg6eq26q2k2l37ikwo6b6du	$2a$07$hLVETfrZePxE8OcYtKBhVuXecrvnAjkVZfIAwBqTz2CsTu7W6lmvu	66	2013-08-04 00:59:53.116246	2013-08-04 01:00:27.919365	198		0
18001	10pzsxnvpv22x5ou1ibajgshn4	$2a$07$HVSk/ccwppt9S8r.adzotOtNjcs5XhGJwzg39tzZCMiOdRB0xHtbi	67	2013-08-04 00:59:53.139506	2013-08-04 01:00:28.02588	198		0
18002	107n0jx7wa55hgkinx2b1qwmcw	$2a$07$GCo9TpTiajCAv0rzO.NcbOat3PoS3iqhW1SuGjubmQWPTCU1qNk2.	68	2013-08-04 00:59:53.162089	2013-08-04 01:00:28.123763	198		0
18003	10acm81q21h7cyjnckywt78r78	$2a$07$nhGnAanUfJCSaatjTaAf1O30RnRnoHzRufjSKOW/Vqsjz2ai44mtq	69	2013-08-04 00:59:53.185858	2013-08-04 01:00:28.273803	198		0
18004	10skbndrkgul6ligvgklsghr6p	$2a$07$Ed/eNd7Z0kQuIlxS.SerNeTO3vJGg09igob1rPAWUgwDheRf8rLtS	70	2013-08-04 00:59:53.208904	2013-08-04 01:00:28.40276	198		0
18005	101nb8ly8mctbx886em1ui8h3v	$2a$07$8p1sC.vGngM3WLkSi.JBsugWDkPKExjNtm.PFJvJERA7QVwf1zDCe	71	2013-08-04 00:59:53.233879	2013-08-04 01:00:28.528284	198		0
18006	100wql73ybl1wethhp5h7bqqgx	$2a$07$ZA54VVMTnuNJ0jksj8.JnOlB8n5pU/.HRd8EGzLDvcP1IFRcDROMW	72	2013-08-04 00:59:53.258991	2013-08-04 01:00:28.761595	198		0
18007	107xmumq1dy547v7odoyyr9m3x	$2a$07$CajumdOgr.6PIm2V2Q5v/.IxOEUgRIPIhD8ugme7eAVFHsZ1xzKo.	73	2013-08-04 00:59:53.284609	2013-08-04 01:00:29.053149	198		0
18008	10wq9yohaul3cvx17v86o42u8y	$2a$07$.hObi0gLgX9YTnGYH2MiG.Z6jsvM1M0CyrP.IVuNR8ruguOSi5Xiy	74	2013-08-04 00:59:53.309742	2013-08-04 01:00:29.19199	198		0
18009	109l89jp058de4zgw471dzklit	$2a$07$Xq9Q3SCOOcYOr63fz9zAGeWwaFmRil6PxahBQq1LeKeNjth7wgx7u	75	2013-08-04 00:59:53.334583	2013-08-04 01:00:29.333229	198		0
18010	10cypqvyswh0g0ikhmsgx5f0e6	$2a$07$8f4ziI6JCt5tZjUq6hSRfezwT9utjP/Y5LGMh3Me/RazEdESNtCpm	76	2013-08-04 00:59:53.359907	2013-08-04 01:00:29.497793	198		0
18011	10oenbob7xih6y0fndswpd4iqa	$2a$07$Qspa.0MwS/a.oTuqRlmqzOuheC27Ph9Z3hznOsrbRhcMJRvH2nJDS	77	2013-08-04 00:59:53.385235	2013-08-04 01:00:29.610333	198		0
18012	10qqqur54hp2hkrzfwg5a7eo87	$2a$07$/U4Hja2ticb68w1S2NNUqONIxNaEAvwcExg7pxZC26kM27tPNmiuC	78	2013-08-04 00:59:53.410265	2013-08-04 01:00:30.676464	198		0
18013	106cvdlugrnczr02775lxgpffs	$2a$07$pvSTKPFA3LR/1S/rTzVRI..9ov.zt/Mbo8.BAahAq4ElABiOaDT0a	79	2013-08-04 00:59:53.435446	2013-08-04 01:00:30.811061	198		0
18014	10jjidqvyzmz0pho3kill092f7	$2a$07$Yu7xg3yuvtBqLisg60j1..pjgHc2fttVBweQLbOvGNGh79gwpW3km	80	2013-08-04 00:59:53.460383	2013-08-04 01:00:30.952356	198		0
18015	10rad3ha63q7ow5a9l0z1ejyt2	$2a$07$pWF.qzUeqsgVW3UNdY4hru4EeHN0U0FeMuLg4gwMRLjGu8gcwczfW	81	2013-08-04 00:59:53.487641	2013-08-04 01:00:31.11482	198		0
18016	105cbr2i4qe9dvqlc5ngdfzhj3	$2a$07$0ITTIaMWjCDbixiuMVjhHun5RTP4SuPXSN98pIWzOsQF/4JkfaiIu	82	2013-08-04 00:59:53.511471	2013-08-04 01:00:31.21805	198		0
18017	109vn6l0iamzd8linkm6ed1viq	$2a$07$Lj67EhZXzrSA95eICdHRKeV4OYlLt18WrzNeMnM5z4HC5FLq3V85K	83	2013-08-04 00:59:53.535017	2013-08-04 01:00:31.363371	198		0
18018	10s9qdz6cepturlo5atam2tor9	$2a$07$tFSBnfKDsHqjbN5xvLvqQuoEyoEBExvYMQX1uBEWDCYx/czoea3Gy	84	2013-08-04 00:59:53.558797	2013-08-04 01:00:34.211978	198		0
18019	10tmeiecpvwbx8nhkwoft9hgkq	$2a$07$G/kWDzBxDGVndqvBbLtGpuqIcrQTQjBI9rw6D/AG9kXhyS0acJp/m	85	2013-08-04 00:59:53.58245	2013-08-04 01:00:34.748791	198		0
18020	10056r1dg3fc7hqmhc534jc3ag	$2a$07$sx7YYmevnG3g/PymAF4I/eqrIpes24UYbxxSzH/62AIgB0fmeH9.a	86	2013-08-04 00:59:53.606789	2013-08-04 01:00:35.284436	198		0
18021	10dsk7l8q25079fzoepvcrq5wl	$2a$07$d2odhigi6cmWQq1SYh/12OTYX8dLSN2/Ndk4SfA2dQlS6L0ZcW9RK	87	2013-08-04 00:59:53.630761	2013-08-04 01:00:35.416244	198		0
18022	107e2jyurh7dv0p2ucz460xfnk	$2a$07$oWqpkSqgEjBXJhYRT3/MpeNRWCaRnP.sh.MHyB79UPnE4Vfc9cYcO	88	2013-08-04 00:59:53.654709	2013-08-04 01:00:35.537859	198		0
18023	101upfasbykyfezgu94tvqyo9j	$2a$07$bMYizxlQUU0yEsmOTdAth.y7HoPNwUBEhNzr3W9f8HVjPNF3I5Qc.	89	2013-08-04 00:59:53.677858	2013-08-04 01:00:37.517999	198		0
18024	10otbuzgrdyt6tpffavtboev0t	$2a$07$RVuRk0t6.opI/AIDOyfu1.mX49n.1XuxH98y4gq11pH6kFXTmcSXO	90	2013-08-04 00:59:53.701925	2013-08-04 01:00:39.382096	198		0
18025	10x33fdxf4bpb4vzmk6ettnx60	$2a$07$Oi.HPVenPpGgRhcKVWxet.qpxDIoR6xUigImQ4L.8QbRqe7TxI8PW	91	2013-08-04 00:59:53.726037	2013-08-04 01:00:39.509396	198		0
18026	1021l2zp7hs76cxjucw50msh3v	$2a$07$wZn57AhkHwTbJUwPZ2WmFeXUBuXrfHUafYbSWWLipPaSHMKqsO79e	92	2013-08-04 00:59:53.750412	2013-08-04 01:00:39.63169	198		0
18027	10rejryzcnia9vwmyjn94ke9fz	$2a$07$72fQbp8j1m08mh1Iv/6jUeHryTHySN/R32gFP/T4UqPzTrAgO5kMO	93	2013-08-04 00:59:53.774162	2013-08-04 01:00:39.768561	198		0
18028	109lx9s5nzhbjx4ct18wkoh73q	$2a$07$hpQsbbs1KOkjg8Do54H9hOP3Hqh67eHl4ni/dDMdoQkZByjLKTspi	94	2013-08-04 00:59:53.799268	2013-08-04 01:00:39.90226	198		0
18029	10df1lumry5u61lh5uwptjyruy	$2a$07$MV0i6kGPCp/7oeSjNxaDnepzFgd/KBNivxqcx87UVWSqZIyWweRGu	95	2013-08-04 00:59:53.825119	2013-08-04 01:00:40.165554	198		0
18030	107pfzv13niogkxsalcv1nrmxw	$2a$07$8qphhLiz4RF9E0ktTDNuzenC72UKb0bZeHZL2xLrGS2zEsKLMbxmC	96	2013-08-04 00:59:53.849314	2013-08-04 01:00:40.373388	198		0
18031	10pzic3j3p0prlay8zlrj61bo4	$2a$07$MX6X2tpom0aFUIxXQbXFNeDhrhsPuw4t2ZS8JRHv0aLdJ2eVXhCqq	97	2013-08-04 00:59:53.873274	2013-08-04 01:00:40.501327	198		0
18032	10bl84f9de0qjgj521njb0gv8v	$2a$07$MpzEmzPmgNNGyLdJn9FpG.69VrgvqZDCnEXxjafIqXalHhBgGQa/2	98	2013-08-04 00:59:53.897669	2013-08-04 01:00:40.617476	198		0
18033	10xoinymbc1xype80cyputpve1	$2a$07$f8f3dgFh9UzLFCHPyPkkZO8hVOQ0LBNhaqJWCRnGvvCCKi5idTeCO	99	2013-08-04 00:59:53.921055	2013-08-04 01:00:40.775543	198		0
18034	10gpzgci3q01khn90764laj5v8	$2a$07$wsaECJA4dfdhDkSORYgGF.Z34s73.NdMhN2A1kr3ELAcd6BTRDEku	100	2013-08-04 00:59:53.944602	2013-08-04 01:00:40.915623	198		0
18035	10m4xzc3zmb6s4wn2e3wsql0x1	$2a$07$EVTTVQxJ.xies9ltE47XGOc7efmb2t4feWxojx3KUg1HZhjEPH916	101	2013-08-04 00:59:53.968542	2013-08-04 01:00:41.184664	198		0
18036	10odmpa7o883ueqol1kvgwxprt	$2a$07$M9V3lR07eD3QCR4OuWJQXOP5ALO1CoRlkimfC71ad04g.wzHmU962	102	2013-08-04 00:59:53.992757	2013-08-04 01:00:41.32347	198		0
18037	10shjnv37ioghqy3ukp9g3jytj	$2a$07$oIDyABj5juhLRXw986JwT.Mub9o7.WIvNC2GtDOjoRbILVQeNq7KO	103	2013-08-04 00:59:54.01585	2013-08-04 01:00:41.602861	198		0
18038	10qc6eoxc1xzlz5eh9b5li7dbg	$2a$07$G69sRbAbETu/qbAT8K/96OjbX4ILnYoue594T310ZC0BoU3SyTiIy	104	2013-08-04 00:59:54.041839	2013-08-04 01:00:41.8391	198		0
18039	10sifmyw8b84guw0joc5owg069	$2a$07$IuWi6G2pUvzcjOA98M35i.O6BN1vuABP2AploZfuqT5aPTX2prroC	105	2013-08-04 00:59:54.067461	2013-08-04 01:00:41.940702	198		0
18040	108urnv9uy5271rf8vfsw8evt1	$2a$07$8HdGPcmhLAAzNKU96xv6xuXFOB5GeVr8Fv1QG4xuCjluYyNdXl0j6	106	2013-08-04 00:59:54.09247	2013-08-04 01:00:42.047017	198		0
18041	10y3dk3hk4q8w78ua1bt9kc2o0	$2a$07$ALCpBdiU0SZwPd3AskZQruL8YSoKQg1nqlJtCPwIueLv5aRMpFmku	107	2013-08-04 00:59:54.118068	2013-08-04 01:00:42.161537	198		0
18042	10iwpezjnxhnxb4t36wxwd5oxc	$2a$07$bleo.MqYW5RZqGzBO9BqP.BAIB03LzNyezlv9eSiBcDU61jNtc4NW	108	2013-08-04 00:59:54.142098	2013-08-04 01:00:42.299312	198		0
18043	107arvez6dg1bomz2c2ymrnizz	$2a$07$TD1qNETkLgqCVt8WY/iYduMdHhcOb8ztlM1gasD3He0ItShml7jAK	109	2013-08-04 00:59:54.165227	2013-08-04 01:00:42.435699	198		0
18044	10we8jcnejdqtf3w6a439ejo9a	$2a$07$Rsuv8so63i8wYdbPjJ07SuXEs4sNyP4UPWzR08hqxMmQh4NpqIxdK	110	2013-08-04 00:59:54.189054	2013-08-04 01:00:42.664694	198		0
18045	10x7qpeemc6fjnnwm4p894te5i	$2a$07$.e2rIpYrkjQrh7hcvGrQVuFUKlDXFbr7tPkCs74C3s6YiWzJmN5Sm	111	2013-08-04 00:59:54.212564	2013-08-04 01:00:42.793049	198		0
18046	10xalpukijtkvznu6svng64sqz	$2a$07$kQ5340f5/3iFCHceCAZ5ZOUgcv9XqqAlHOqru/jy66LfLTwgOxRl6	112	2013-08-04 00:59:54.236329	2013-08-04 01:00:42.901448	198		0
18047	102i3gy9n1k81gve7uu4221d3e	$2a$07$I3MB3N.ZrFtyGj.PSkdvQuNlsw1hQi.2a.CKWuoVjxFQgeX2lPCM2	113	2013-08-04 00:59:54.260268	2013-08-04 01:00:44.06156	198		0
18048	10ia15r118fjeobi1tiwld32yi	$2a$07$bahHt1pMiuvRXRbiLy7zs.4iCVqRO5iIoJkEnARXR6EoOAXcOeDqK	114	2013-08-04 00:59:54.284113	2013-08-04 01:00:45.196691	198		0
18049	10eo87xjk9ld1371kev74urz61	$2a$07$wQQYn6dwhhwerbZ1XI6ZXexj04uzf70N/.s0TXOL140XfhDaXGJUW	115	2013-08-04 00:59:54.307301	2013-08-04 01:00:45.326208	198		0
18050	10s8j3u3hhe10ntgy6yqrptm1c	$2a$07$1xWn1js6MvHKNvsKd3QWguSLad3LOtRL9UZznvq5NpBmvAjLQq556	116	2013-08-04 00:59:54.331335	2013-08-04 01:00:45.470939	198		0
18051	10tb9unruvome3knj5ilwqk8ko	$2a$07$6ETkhU1FzFgPjUXYpwxGbek5n1wjoc4mo6Sm/T.V0Xus2Euukjo7K	117	2013-08-04 00:59:54.356842	2013-08-04 01:00:45.582013	198		0
18052	10i442ytu8qt9nouadgv6vlz0f	$2a$07$JaiwdX9oOm2eXnvlwMCu6.Man36Qes4P5jsVCK0R6Qj67f9t34nAq	118	2013-08-04 00:59:54.385279	2013-08-04 01:00:45.721445	198		0
18053	10nu9e71cl074phugpn3l0isz8	$2a$07$TMTEjr7F35W3M5WNBbh0Yu1go7EyWfX6V1E6hmgeOUNaF9jj81Egi	119	2013-08-04 00:59:54.408635	2013-08-04 01:00:45.821549	198		0
18054	102g7pvj9po3qlphidbkvr13y1	$2a$07$Upf92yoAlF8iUis6QrRXPeAMoOJVwhlT5IepbMOkd47T1MbhaQKtW	120	2013-08-04 00:59:54.432544	2013-08-04 01:00:45.952661	198		0
18055	1059g3tadgaafrxgashn9ulkzz	$2a$07$wOmI8P2P.b2xx8rfaQHz0.oadLrCrHQDrnFLnhkHZKAukdeP0NUFO	121	2013-08-04 00:59:54.455564	2013-08-04 01:00:46.065888	198		0
18056	10xwkeq5fjnl3q784olqtquzbf	$2a$07$y5hwlNM8WpXSGygqjWdaJ.oiSH3.a96Ym.Gdbo9s0Hd55os0qJi9C	122	2013-08-04 00:59:54.479717	2013-08-04 01:00:46.193579	198		0
18057	105ivsd6dpzwue7o3a0mwepmb8	$2a$07$z1/OzHy7vYWcNpR4hJaqxOkqQGruc6ZdtBIOwqWsMCSTNVarBQemq	123	2013-08-04 00:59:54.503493	2013-08-04 01:00:49.010073	198		0
18058	1060u9exguvbpx9t541wdw3mzm	$2a$07$eXf7AcGBMaH21AJF985x1eSIP84AaTxmKnD1.3FMqBprkumv3jWqu	124	2013-08-04 00:59:54.526878	2013-08-04 01:00:52.011583	198		0
18059	10u2sxewsd3q63nch08whtdewb	$2a$07$sraTQ7VNVBfUnxzi7gtXV.azmitOFcdCAfd6dP6AC1I/J6jsbQ9CS	125	2013-08-04 00:59:54.550142	2013-08-04 01:00:52.196265	198		0
18060	10ubhqsnw6u0krlgh52yi45x9m	$2a$07$IOXGoNKleNxhcaXowgpHLuC11tPGvzHbn.2CNg1Em1fGCVZV25m/G	126	2013-08-04 00:59:54.574924	2013-08-04 01:00:52.419682	198		0
21582	10kyx18fybfqvxglskxteu6a1s	$2a$07$j2JgUkZucP.4owDuTPFqFeRXob.f1N.lrD6OgqqEy9LYOuxHSeycK	120	2013-08-04 17:15:56.906801	2013-08-04 17:16:38.946095	226		0
21583	10v5q4tkssh17yl5350aco2v97	$2a$07$4vqn3QPhwC85LiB6yN921e0FEJSVqetaTxZmKeEZot8A.gajF0CjG	121	2013-08-04 17:15:56.929482	2013-08-04 17:16:41.743162	226		0
21584	10wtg3bk77vi5hebzbjr6fvjis	$2a$07$6P45EgvG9fRh5oK7PxTfne8yhBkeShlqKhd6mOBDzDSyiGAU1./iK	122	2013-08-04 17:15:56.952635	2013-08-04 17:16:44.818391	226		0
21585	10ffrmlac7qr4mxjh4nmg5u91c	$2a$07$Opm4ddidypGy5Nrxw9Pzru7iQ3RA8Pn0qu44AH72Oe0hsuq0c/M82	123	2013-08-04 17:15:56.975634	2013-08-04 17:16:47.682526	226		0
21586	10nx7z423bfkgzw67awgtubkrn	$2a$07$egYHkLdloRrruSXZsIAgB.g551FzOv8h0ugxIsz6RE0sO8ZM1XLrm	124	2013-08-04 17:15:56.998203	2013-08-04 17:16:50.761927	226		0
21587	10zowbnn3p1zbl6siftv50mgnb	$2a$07$HGUVquD9gUevHyNZiF1C8eQ.k2AHZEgxY8P9TlGGWAKP9WAY0MpHi	125	2013-08-04 17:15:57.020229	2013-08-04 17:16:50.933218	226		0
21588	10b22hg2iplb1e1o9c06hgfpe6	$2a$07$OdCUsv/6i3LXX7TWnr1Ml.BLE/QQXubs3HMl34OPhMvFxnPW2Dgb2	126	2013-08-04 17:15:57.042434	2013-08-04 17:16:51.063121	226		0
18061	10gxu4ci0wb69f9ufsm27a4586	$2a$07$g7YdJBbwktQwECOO3SO0HODzt0YhTT8aTNpdpIofZF.h3cequRP8q	1	2013-08-04 01:04:51.091295	2013-08-04 01:04:54.480068	199		0
18062	10qyb2mjdj2pptuxb2glw4ntlp	$2a$07$C1Pw54aTItUNqLSSiuqnZu.F2a1Bg8bEi7n77zQBh.fILDsO9UkKe	2	2013-08-04 01:04:51.11662	2013-08-04 01:04:54.858612	199		0
18063	10tntp94q7tqngfjhyktpoj9w5	$2a$07$qRFR5fdV2paJhrHyvsPYTe4.ci5buFPHxtGn0qlTamhRiUQ2HEP/W	3	2013-08-04 01:04:51.14121	2013-08-04 01:04:55.209632	199		0
18064	10j4zy1rmyezlpys8u80wl0trs	$2a$07$GX9/ExV3DK1irQ0noQAxDuDv9fw1yi3kzAXuA99fIkralNuwkLsOm	4	2013-08-04 01:04:51.174522	2013-08-04 01:04:55.378693	199		0
18065	10wk77dlrr0knmzj0ioo76dvtc	$2a$07$O6VBT9c.Jj5yPtBnbN.uI.XFn7gI52Oqma5.ThbvLMNNvRymRWrjG	5	2013-08-04 01:04:51.19782	2013-08-04 01:04:55.572606	199		0
18066	103povddko9ldi1m6p6b2tel8y	$2a$07$l.5bIDqVaFH8gyO1QCrQ3uqdNqZUEl5CDJvkvuE.bMicd3gbm865m	6	2013-08-04 01:04:51.220626	2013-08-04 01:04:55.705683	199		0
18067	10pjvdqqpam4vzm96jf2whg0uf	$2a$07$FyfM5tb/nsYwlQYlaL.2veUsoLBCQ0g.QN37ixC0VKJ5t6QG9ek6C	7	2013-08-04 01:04:51.243949	2013-08-04 01:04:57.422223	199		0
18068	10erahfq65yzjowlwjxhiafptc	$2a$07$J8N12NW/kMc/1mAnUNw0a.m07IfXLvv99wNkrr3lsNqTrpr7Rjjsu	8	2013-08-04 01:04:51.266535	2013-08-04 01:04:59.531846	199		0
18069	1064n0iujq45m0searo2gb2oje	$2a$07$9oOiShvKvfdQZTMMcrakc.iPJsCYERqacHbca4ZX83FeEmjJrbxuu	9	2013-08-04 01:04:51.29018	2013-08-04 01:05:01.397517	199		0
18070	108y2rit5fof58uknpq22dcngq	$2a$07$nuOgQwoikFNaZPWvr8f5DuE9MZtZtKwYv1xn3AHzKVZw2YGzCrDOi	10	2013-08-04 01:04:51.312884	2013-08-04 01:05:01.508157	199		0
18071	10elxnsdbyb50k0moi7wr96jcr	$2a$07$C3SmiBa8wHJhD2Ss6DT0o.8T4B7UvjAeCQ9NB37XFyLTCnrzaHg2.	11	2013-08-04 01:04:51.336595	2013-08-04 01:05:01.637834	199		0
18072	105c4fb0pmf2h408ib7dhr76b2	$2a$07$bflazEeSjY660lAHbRhzfO/bOXqJ6NL/pvtEOBTp1Uq3HBAAPigSW	12	2013-08-04 01:04:51.359738	2013-08-04 01:05:01.772194	199		0
18073	10gq5w9ylmiktdb2v60p13mxxd	$2a$07$cRLKgsxIMXEi0w0vh2DFjOkBDI15nEt2MqF9WB7jQF2IYC83U5yRe	13	2013-08-04 01:04:51.383301	2013-08-04 01:05:01.88836	199		0
18074	10631zzvdeccw3zlmirclsbqrn	$2a$07$3r7ZkzDSeSH04SqdebLXLO6HYnkMFnHKeyHvHABFrslaoKr9psfb2	14	2013-08-04 01:04:51.405839	2013-08-04 01:05:02.018688	199		0
18075	10729c85qghc7fkk4ym2e1s6s3	$2a$07$.6rNM182APFjrjVtxFL2G.BEAAQEMg9x5CoYYrqZr3aLknIqtMq/y	15	2013-08-04 01:04:51.429634	2013-08-04 01:05:02.144926	199		0
18076	10zq467a9vxbl1dtwbd613vduo	$2a$07$peqMsmFUdHXxHHkgTQpGZuWF1wGnkwd21ztWptADlxubPvriXFTZS	16	2013-08-04 01:04:51.451731	2013-08-04 01:05:02.290142	199		0
18077	10s6kvbx9eel26fllk0qrfk0xg	$2a$07$cl3ryFSwX8oo0Xer/OaY3uhpKbPauJeHek5kUqu811HsbSMosoN1C	17	2013-08-04 01:04:51.474882	2013-08-04 01:05:02.436328	199		0
18078	10ddehcvplojzjl377cqtolara	$2a$07$7.IJFeT2mHPtOf3gCssIHOx4m8tt4h/e9VSbv/R0oeHVhYsFqAQP6	18	2013-08-04 01:04:51.497455	2013-08-04 01:05:02.570527	199		0
18079	10ok7bsq2ia8pburfj4x6kbuq7	$2a$07$kKJ6rz4ErxTHXqRwz6iOredLzfgjzks564u0HGmUn9Uw4HtzO6jQ2	19	2013-08-04 01:04:51.520351	2013-08-04 01:05:02.721027	199		0
18080	10wjrdw0pgcjji783k2zfkwzjm	$2a$07$/9qnwpdxmNx9MvSNE6Uv9.Blzn3f3wJlzq6BIetHZrjMTwMP7kkoi	20	2013-08-04 01:04:51.543181	2013-08-04 01:05:02.839401	199		0
18081	100rk4t7uzhaeuajx6q0722qvp	$2a$07$9g2cMQcdmB2h8f8zgA0EQupCgPSxYvGUpvKb2M27jlaCydV57QU.a	21	2013-08-04 01:04:51.566482	2013-08-04 01:05:02.961381	199		0
18082	10xyy09vgatgkj89uo58pn0apn	$2a$07$D2619WDJri1cQb5x7n8Pr.9rMCaT5h/TYPyvcGEjPYBB4/wh69n3S	22	2013-08-04 01:04:51.590936	2013-08-04 01:05:03.096747	199		0
18083	109erkq267q4ldkkeizgso69ft	$2a$07$M6yCMvgI8lxDkVVli/5xH.rgiRJ5F.0aH85NyEpTADanub1vmZegO	23	2013-08-04 01:04:51.627912	2013-08-04 01:05:03.240687	199		0
18084	1071c4xyqs0gbw9n49mfsm9rje	$2a$07$6Ojxs.74TcVSp523olXToOGQzVwz3xX7Dli9dgdQ2j0YxtlC2.aiu	24	2013-08-04 01:04:51.655013	2013-08-04 01:05:03.346178	199		0
18085	10ge0juz9iuranbjmkupc4m02s	$2a$07$iOAEK/X7OIn67E1TxClp2.GpIWCrnhztsjgUJKK07u1Tv8r58aOGK	25	2013-08-04 01:04:51.678689	2013-08-04 01:05:03.478625	199		0
18086	10wl5jucyvu5oyxq42jm1qwets	$2a$07$grnnuizOne7BBUuWvuXCae.4V.9M/k/3Y2WHwaQ/yuFnAE8SOXYsi	26	2013-08-04 01:04:51.702295	2013-08-04 01:05:03.616283	199		0
18087	10u4so3ojjcfgg1edhgkkwl2p2	$2a$07$ogEkxYazspO5j2Ev7qpeF.0fMu/zQxKWl8eTu9VxKHBqauLtHvcKq	27	2013-08-04 01:04:51.725547	2013-08-04 01:05:03.752665	199		0
18088	10f4bgvr0jvmdola8bdt01viyd	$2a$07$3CTRErDdQBQt2hG.L2Jnq.oAR4H.gxVd9u5WR27gXSuEo2P2vgHT6	28	2013-08-04 01:04:51.750805	2013-08-04 01:05:04.122242	199		0
18089	10qppu3hzpsbnpnc6g0cq9km3x	$2a$07$VygNIFfm30wqfEwnI8NYquoH59TwmMlWGfQu1aRaCt5n5t01.LK9W	29	2013-08-04 01:04:51.774204	2013-08-04 01:05:04.489018	199		0
18090	106elg519ta06egi6m6ozuzwrj	$2a$07$eQ4E.ybPI7YN41IBcwvhGOWenZ.2KOO6Rzyw8ziPqN.3VySQOaHEO	30	2013-08-04 01:04:51.797854	2013-08-04 01:05:04.83888	199		0
18091	10k2qxb0cnt4zxaho9cowgjbtz	$2a$07$A9WE0bNXtEK7Bu5gWRvQTurEvGemz6nJ.kyWNefEkW/4MJEi4SVOu	31	2013-08-04 01:04:51.821135	2013-08-04 01:05:04.939896	199		0
18092	10cg6it97g8lfj1j3acoqxw9ze	$2a$07$svp4I9TFFg8j3imU6N2IEe.dUJ47qzcmgtJFSwamNIQ5rCmCj4P5u	32	2013-08-04 01:04:51.843612	2013-08-04 01:05:05.042174	199		0
18093	10t2emm9gjgut1g92s9b2g73nf	$2a$07$w7EPypobZVNPAhyQ.30GOuuXB8r4zbIozuPBS4p5/ChOHMqWI8GOu	33	2013-08-04 01:04:51.866384	2013-08-04 01:05:05.160117	199		0
18094	10po32n59yjavklzhwujcgmwuo	$2a$07$Pgh1sAOb6tqXsMsMKr1IAuDrDruMPsOYgeBjiC2jqXoFuzcWEEUZi	34	2013-08-04 01:04:51.889522	2013-08-04 01:05:05.322908	199		0
18095	10q938e33oxxl8qkfrgli9qf9b	$2a$07$xcjdLcwjf2XsZ6AQUDP.KuTHEKkE.28RS/dy9TYxrpzOqyFkpB80W	35	2013-08-04 01:04:51.913021	2013-08-04 01:05:05.45919	199		0
18096	10v9ksmbk4ju25scbgb9dsog2i	$2a$07$/fCd0WOKz3RRzg2gFV4BkOE/dRotIscSmyvkIJ9vUrQ67cWw/6mQ2	36	2013-08-04 01:04:51.937107	2013-08-04 01:05:05.585602	199		0
18097	10rzd1jvpajpnwdrgqb11yzvc8	$2a$07$aaA51UbY8mhjx9Du3DhVQ.nnSJ6yNsSebRhS49hIw8Q2c/byjMDza	37	2013-08-04 01:04:51.963582	2013-08-04 01:05:05.704306	199		0
18098	101u0iti0a39sym0fsdocxnuzs	$2a$07$82N2VOuVxXrpmkEOOX.u9.fqg2HGzGbw0cm8pSFz4JBpI0mi2cLli	38	2013-08-04 01:04:51.989726	2013-08-04 01:05:05.843362	199		0
18099	106muaw0a401oz693473obel0q	$2a$07$rpjqHJ6NSp1CrVoyHbAy3OYeCd1KLffDgRzMy0yOWabo3c66kEgii	39	2013-08-04 01:04:52.014488	2013-08-04 01:05:05.985868	199		0
18100	10vf020rc2frqcw13s7etucznf	$2a$07$APNFVQMgactW5ebsd6Mr1uKXzRyHZT/wLEGelhlrsWBwwTayzXdFu	40	2013-08-04 01:04:52.038406	2013-08-04 01:05:06.112617	199		0
18101	106wf3o3reaw3oiy25h1lwnf0z	$2a$07$d0OwSPMbt5j3rrn.jIJBy.kl.GUjgcrBb64a/rDy.Iq4hDh73r76i	41	2013-08-04 01:04:52.062052	2013-08-04 01:05:06.248373	199		0
18102	1098yu26cmc6iqgobsmh80huhg	$2a$07$atbBZ8LlTZSYO61RzNj/DukvADfYY6nmrgYg1GMTnyOhgiNvlAoPe	42	2013-08-04 01:04:52.084967	2013-08-04 01:05:06.375844	199		0
18103	10pq5izibuu4zru2z5hxckzeda	$2a$07$keVo7EPLbbLkiorV8XJY0Or1nyZ.yIxC4nlFn9HElajyqvttMVL2y	43	2013-08-04 01:04:52.108481	2013-08-04 01:05:07.468157	199		0
18104	10g6hpq2qmd37vvl82rg4ws47o	$2a$07$l7uCGWbPB8FKxGq/H34xPuMOJkmWGoHet9aJFWUNCty3KtqvCV21W	44	2013-08-04 01:04:52.132969	2013-08-04 01:05:08.66642	199		0
18105	101aazbs8auoqpfm7ven32ku03	$2a$07$a4rLDOHmK6IX6mP0YAnh6OiHjGZPC8DKEZFiykmEND0NQ3HuK4PfK	45	2013-08-04 01:04:52.157233	2013-08-04 01:05:09.916622	199		0
18106	10003wc7jj93pupb0o3l335tr0	$2a$07$91bpASg2rybIeTy726V7w.5mHoC/B5u.sIKDaG.8UM4zFo4H6dUWW	46	2013-08-04 01:04:52.181261	2013-08-04 01:05:10.057013	199		0
18107	10ou0fidnbuytqo0dz0fuvuwia	$2a$07$QVb4eQyADFqKVR9XpquPUO0OorxFucXw.PbE31bihw/Isnm0iBu9C	47	2013-08-04 01:04:52.203664	2013-08-04 01:05:10.188045	199		0
18108	10vtmpxgf0gpimf2hcup77fsls	$2a$07$ngh0wZcR/i4YGTnWFNEZEOQw/zqjR71yTTxxtJ540CHpCBrRmaF1C	48	2013-08-04 01:04:52.227025	2013-08-04 01:05:10.318252	199		0
18109	10qtnbiu3627tpsnwqzidu2j31	$2a$07$YpcXizMK146x/0JE6SubC.TUjVf/sFbl9NMGkRAiqazSZCIWzMrb.	49	2013-08-04 01:04:52.250101	2013-08-04 01:05:10.462756	199		0
18110	1068pfnhdyxuhmzjq2gpgpudb4	$2a$07$gIXPXIqeSDJmHZpW1mbgFOzofM41LBjwK836/oUgVFQ/E.88PaW.K	50	2013-08-04 01:04:52.272141	2013-08-04 01:05:10.582949	199		0
18111	10nx42wwblwczdipugmdmqkkuc	$2a$07$sIn7G7QmeZX6uEbZ6L2bUuZXgKzo4qXmj6iYyg8mXqKj7Ch/d.Od2	51	2013-08-04 01:04:52.295808	2013-08-04 01:05:10.704422	199		0
18112	104g2mzk7yh6bi0lyou9zysw79	$2a$07$3YNG8/R85JnQ7KTxV2qL2.Llt/7JbS1BWh6LFpqVPD/4j35n9xB8W	52	2013-08-04 01:04:52.318419	2013-08-04 01:05:10.981593	199		0
18113	10zg17xfdyxbep8037smpb20n3	$2a$07$IZPPthIpQShwD8pnFGlqT.btB4saE7n4xdAYMmAOANxckAJMMcnmC	53	2013-08-04 01:04:52.341505	2013-08-04 01:05:11.299659	199		0
18114	10kpfmt19m0oww6d99afzbpomy	$2a$07$c0bcLuvB2Qtc0FJNZ4PycO/RDdQlN..2tVjOfo6h7dUdw6fC4qPKi	54	2013-08-04 01:04:52.365132	2013-08-04 01:05:11.575056	199		0
18115	10qfsw30vears8bxglofgq4g03	$2a$07$VGJNiUg9DEX9mh7xeNF9uO4TfJPp2NX0.pzEUxAthYJ56T8le.MuK	55	2013-08-04 01:04:52.388076	2013-08-04 01:05:11.709133	199		0
18116	1039kjsgbff2xchdegt2atvng6	$2a$07$YU43cRNf2plZrpSNPVYvOOKT6y1WlsGft3R4WIKVGgWOduBdhKo9S	56	2013-08-04 01:04:52.411478	2013-08-04 01:05:11.843882	199		0
18117	10kk2mjmrjzanuv19qvagss90y	$2a$07$gmHCTLBhn9IaYk4pE/NYVuUHl7eZaDlrSBR.hZ1ODgw5HkEPIipY6	57	2013-08-04 01:04:52.434268	2013-08-04 01:05:11.964561	199		0
18118	10nbejk3ji98i8voi4cs9nepfn	$2a$07$k6RBZ.ZFQIXxsJBBsSHv..Wg8BpgUzldcdskU.nVolA3BLdQekQpG	58	2013-08-04 01:04:52.457916	2013-08-04 01:05:12.095135	199		0
18119	10btpj1dje50aql89p01p6y5tk	$2a$07$E5vOlVz8EK3x/HKfgv7AG.6UtFGtWIr/E2dt/yrNvs8/ie9kYkvuO	59	2013-08-04 01:04:52.481078	2013-08-04 01:05:12.231297	199		0
18120	10q55bmmia6o5wha06juqgk5mx	$2a$07$1UgS.2IQ.g2jTCB6ixOIgesCyoviEVU9lAN03MCfncNBVodNAe1.i	60	2013-08-04 01:04:52.503152	2013-08-04 01:05:12.366153	199		0
18121	10v590qwdmja3sv014nww0ydk7	$2a$07$VSOdzSWAmHInxIUmZ8p3ee.xNWu1SGCo3jHajeGioNKKRGMT1NW.2	61	2013-08-04 01:04:52.524595	2013-08-04 01:05:15.28338	199		0
18122	10ufsx77psosv2yhfjuxt2n3q6	$2a$07$54VJ.XJnVnV4d0jsk/yugeeZzwL87NZnyZbnaHc0q4uaORwMxpW5y	62	2013-08-04 01:04:52.546865	2013-08-04 01:05:18.195186	199		0
18123	10y8oq0132buf8lxm4ciuproru	$2a$07$q5dL/MfGn3TTdnTTyyjUounyhf3ymjzS1yINlCdXW6D1cnEr9dTza	63	2013-08-04 01:04:52.570624	2013-08-04 01:05:21.202124	199		0
18124	10zepkpo1aujqr730u6d26b8dh	$2a$07$06XKMddjne8nQYxZchDkQuwc//WKsaECn8tjGCJtr3VtomGCfyBqC	64	2013-08-04 01:04:52.594765	2013-08-04 01:05:21.547141	199		0
18125	10jyavo0c4sd6yokd20e685rrl	$2a$07$N5PqRUex62L70rtw/TX7wOX4KqpV38rS7dEHuWmell1ghkAdGXePe	65	2013-08-04 01:04:52.617402	2013-08-04 01:05:21.679619	199		0
18126	100ug67geqccp1rrs9bs3yajb9	$2a$07$zLUxaOPxOLWZdx5qB7mlQuoNCvbT3swNLfBHxREkdRXLSRjoosqS.	66	2013-08-04 01:04:52.641461	2013-08-04 01:05:23.661634	199		0
18127	10dfdyzub1j08hra1ap4k0uxgg	$2a$07$6nKoKLp0XUnmkEhWyEiREetpluJ0kwy0h5crDdOj39X7/sKk5w9fy	67	2013-08-04 01:04:52.664498	2013-08-04 01:05:24.002001	199		0
18128	10tq6xs3j53qwtulaye45fqcs1	$2a$07$frr2uGNs0X.yGZpO.rFjz.SkLn7qlzfy1DXVq90JS2svAvX28ua0u	68	2013-08-04 01:04:52.687395	2013-08-04 01:05:24.111836	199		0
18129	10bnk6tmd3iexqwywndutm83yp	$2a$07$LR8.dGcMgizTKKYh6aCf7edMjTwV5iIxdLHQiXamqzh4MkW9Cm/PS	69	2013-08-04 01:04:52.708904	2013-08-04 01:05:24.247671	199		0
18130	105pw00ke7uttqqjzboo86axn2	$2a$07$ssGIjWwhG8I296E6K0Udxu1a8W3yGEnxzBUxJVqewKKYYefJxTvcm	70	2013-08-04 01:04:52.732232	2013-08-04 01:05:24.367868	199		0
18131	10awef7l18r2vexaaqi74woszu	$2a$07$oYRWiE3fg2tWrvNgyzgDy.C1KudsGzJV7RLi7ckiVpiokwbP3sjRe	71	2013-08-04 01:04:52.754686	2013-08-04 01:05:24.493758	199		0
18132	10viee63s4ppzpvtqf0lbujl6x	$2a$07$Uk2uqE6oEID6.BxaPkD4WeA0gH9Hzl5bSQbFo9ufKHrCeA7LSvVh.	72	2013-08-04 01:04:52.77795	2013-08-04 01:05:24.824063	199		0
18133	10nkicu8ffz3fzqjidbxfpxfr0	$2a$07$xaSP2cnWkMhDBQFSmuVwDegbp./iOFlMiM.SKT1SxunX8plCqRzb2	73	2013-08-04 01:04:52.800429	2013-08-04 01:05:25.212963	199		0
18134	10u96epjvq71lxmtj9gpy6un9j	$2a$07$IJZklLQ5DWomWTDasc8TheWp0uTLTaHRGu4.IgreRJJTtU5Qj./pS	74	2013-08-04 01:04:52.82365	2013-08-04 01:05:25.33966	199		0
18135	10b6yt08h3vb3texawz3a82bid	$2a$07$G76Xlq3df6LTB5gEi0tWTeAbJG70C3BL9nojYpj/CgsNUIjly8GfS	75	2013-08-04 01:04:52.846452	2013-08-04 01:05:25.478338	199		0
18136	10w12m73f8nfpfbgrkl3wouy60	$2a$07$h.PaO9mxNQkMnhQ7T/e39.8rMwP96cAAYJAvo5keKIJwXkFQaxMbO	76	2013-08-04 01:04:52.869491	2013-08-04 01:05:25.725167	199		0
18137	10cmztmijqubt34wg5ylas4orw	$2a$07$0LmeSgp4WLVZ.9DuLS9I..xrHK3lbo.yzSfBzQ34sbjSYYqEMOR8y	77	2013-08-04 01:04:52.89201	2013-08-04 01:05:25.841882	199		0
18138	10rgm3ekvb471od6tur2vdcu7m	$2a$07$p6ShbwszrNI4pndc7HQ.6.67Nzz6Su2V4VMgleLqUtjzHPvmFY.RO	78	2013-08-04 01:04:52.914182	2013-08-04 01:05:28.758528	199		0
18139	103pa07ut7g2b4fq9lwdmx6anj	$2a$07$TGPoonpCeZIj7g2zNW6qiOr1TX8fVhrN0C443tzlvym5njiYj6POC	79	2013-08-04 01:04:52.937835	2013-08-04 01:05:28.933197	199		0
18140	10derrthtor7yedyga0ks09vha	$2a$07$vf0pq6cxc7nCswmnM9.1D.3AobD2XvuWvct6uGr/evWMWptwTHXT6	80	2013-08-04 01:04:52.959318	2013-08-04 01:05:29.05323	199		0
18141	10i9gykakni055zzg4lmfl4bjk	$2a$07$A.onhBZ7mKVYmPv1JYfY5OFeJbEitcM0fpBQbe72l91IwjmXxYT9K	81	2013-08-04 01:04:52.982474	2013-08-04 01:05:29.268059	199		0
18142	10ewo2267ixbl0qruyw0rv9q35	$2a$07$xpAfpHuWLYx2ozTYXeTN3OX79UURV6TKAzpLOWaMGVs8atbQe91dK	82	2013-08-04 01:04:53.004423	2013-08-04 01:05:29.386093	199		0
18143	10k3buq7by9bzak5v7yivufu9y	$2a$07$GyvamjX0NbpGR54k1DjjQOfYItU77001uBvGd/kQKtuTwRThJOGXG	83	2013-08-04 01:04:53.029267	2013-08-04 01:05:29.536611	199		0
18144	10k7doovdst5ddunky8amfn32q	$2a$07$SP6zVIBk.ywzr4bwQ6EuD.34tUmXHQ6F4CJ3R4hjCwCM4YqvLORcm	84	2013-08-04 01:04:53.052895	2013-08-04 01:05:32.191418	199		0
18145	10l2o8e848z5iz0koztgws9dib	$2a$07$0A9F4I9uWzcaL0O0yHITAeZTWk7iVKHja.0leihvnOuJ6eZ9QcJ9O	85	2013-08-04 01:04:53.076469	2013-08-04 01:05:32.625621	199		0
18146	10jwy01sdjdklf3xodrwsur8iz	$2a$07$9UDgnG6f.cTXC1ZHvCyH7OkEwBrrZ5XdQQy4qa.Y/qlXk2i5TAHj.	86	2013-08-04 01:04:53.099342	2013-08-04 01:05:33.001652	199		0
18147	10fwu02ohjy7payvcoylzf959d	$2a$07$FLMNhnYtF92rEHvtwjm0Z.diJqrAQ/6dSma.0kIhdF.zFpTQAKuYG	87	2013-08-04 01:04:53.122655	2013-08-04 01:05:33.21213	199		0
18148	10het7722wxw8e0hclokm2hxgc	$2a$07$AdpPo2AfGyiAoDcx0ZLAKeLagqyueMMJ7Q74uVwYE5z.Qo9NQuQKq	88	2013-08-04 01:04:53.151381	2013-08-04 01:05:33.3621	199		0
18149	10wyo3epxwscwfdvbz8tup6pk4	$2a$07$QNXENseF/IVctyVsVsWhqe8zBQxDmurHJjQ2nPAnpOayJ/Wdc/WMO	89	2013-08-04 01:04:53.179816	2013-08-04 01:05:35.812508	199		0
18150	10e6m3jwhp2nt4ixctkehbcv0i	$2a$07$EuZaJdUp8b988MVDBMn3YezTtu2cSTa2hAwwu5z5tO.9aM34O5p2q	90	2013-08-04 01:04:53.205588	2013-08-04 01:05:38.845272	199		0
18151	10zv1aqf2q2pwqppiqr2ztnv8y	$2a$07$SR0cv.VWnqgxqJnqPqnYMOa1HU7TbsKtDUOSfmmXIwuI0oLLnuIFa	91	2013-08-04 01:04:53.229365	2013-08-04 01:05:38.956353	199		0
18152	10aazdk623wzp4k8nxqlrgzhfo	$2a$07$dAXlppG79ZSTefV3dVHOhuO.ng1MiBtmXUBHf.dwpBEuaSou.e0hG	92	2013-08-04 01:04:53.251922	2013-08-04 01:05:39.090974	199		0
18153	10wcw435apr7jb41xtvewflw1g	$2a$07$ycGjmDQSeKk7bscU2ovL6Ow9qqtKYvkY/XEJIso5oRplB8Pg55FpC	93	2013-08-04 01:04:53.274397	2013-08-04 01:05:39.244871	199		0
18154	10qsd4322orsndpucxst4u8njc	$2a$07$U6iGlApLcjgE1QWEHqneTe7WWnjdmzk583fiApUI8CiYRZFxyND8W	94	2013-08-04 01:04:53.296893	2013-08-04 01:05:39.384837	199		0
18155	10wpbboudpo1mj7ybyzyp0ad7o	$2a$07$GqyBGwmNpYrhNUO5q.m1quGyr6xuUiVxCLH3wanXWrvRri8lJBzXq	95	2013-08-04 01:04:53.319224	2013-08-04 01:05:39.519254	199		0
18156	1096n9vf4dhdfj6hlx6o4erend	$2a$07$hiX3Ng/Wc.tB7e3OgW/sGOQUEtMmsAfGsLIVe6sOBCoHe/TjBY5He	96	2013-08-04 01:04:53.341517	2013-08-04 01:05:39.665527	199		0
18157	10n757hfdkimtt7u21ioj11y40	$2a$07$F2lOTy8HLoSigeg8gVHDWeex7/zemQQRoMt5c/Nkjayi7taBNsQ6S	97	2013-08-04 01:04:53.364428	2013-08-04 01:05:39.782774	199		0
18158	10ksd0u7tfjella36ohmtncibn	$2a$07$JGcalCRCobztbQBTXadlNOkuM7sfI/kbgh8bImOv8kVKRMfnQRNLu	98	2013-08-04 01:04:53.387857	2013-08-04 01:05:39.888764	199		0
18159	10wk93cl8na3pb7wsfv8t7j4hl	$2a$07$2ohc2/gBpXyabAFuVr7b2e037DZk3HKzEdRDy3ZvlBUlW1Mma3mz6	99	2013-08-04 01:04:53.410402	2013-08-04 01:05:40.03296	199		0
18160	10miuygyg9yvpkvoas64jngrjn	$2a$07$bcYhynQQB.4APMkGMpEkOe5VirUyl31CfQx7FI0H2.Pld9UCg/WUO	100	2013-08-04 01:04:53.434204	2013-08-04 01:05:40.185158	199		0
18161	10wwrkq1vk924o80v03vzqrgdi	$2a$07$5BgAYD0QbHczS2z0fLeei.ftYgJ/6a46MhQHFAk2MB6Rv.bjPlm1S	101	2013-08-04 01:04:53.457337	2013-08-04 01:05:40.311332	199		0
18162	106v2mjbv016e4l7k5sq90gyno	$2a$07$FnNlK6opJhZmKQRfT/ZtAeLnD1PuK4wi5BeljhuWuMTKem8c9u3lm	102	2013-08-04 01:04:53.480966	2013-08-04 01:05:40.430278	199		0
18163	10oavino2y6d0izu8qc6pqq4p1	$2a$07$jbwUCOkeWx5wYn90bEV7IeZO5XZbG2//SNGephBkYdODj7bRcqcv6	103	2013-08-04 01:04:53.50302	2013-08-04 01:05:40.769204	199		0
18164	106wwd88blfqwuyuhqz5buz4zk	$2a$07$GUCifA9FB36RigH3M2Tawez1pbl/wepBX4ELVFofKoWsZGyo/FXLe	104	2013-08-04 01:04:53.526253	2013-08-04 01:05:41.114264	199		0
18165	10efav1jcm1cx7u3mt3g6izcx2	$2a$07$1SwaZBBT83GFfJOjQWXBbu5paOop3QgFpQ8CU6lxKIHVDR/bNlbK2	105	2013-08-04 01:04:53.547854	2013-08-04 01:05:41.22534	199		0
18166	10jdowi2uydn2nqrt48e4i3yqc	$2a$07$9JCtJc6bpBhcLvvCZNqtOuB73dP6Ywil/wPGa4mdbpHMu0o.RzHq.	106	2013-08-04 01:04:53.571879	2013-08-04 01:05:41.360542	199		0
18167	10syvwdskton8vif94k17m31wb	$2a$07$OaQKaW4AunMEL.1qzK0HhOuvKJ6uFpyblfPzm7YF96or3Hhxmajby	107	2013-08-04 01:04:53.595366	2013-08-04 01:05:41.503244	199		0
18168	10p14gpmdv2gyv7o1hl6bi66kd	$2a$07$4th9AsH1QQOlDpTqN2Yy2enPOISKUR/Yyay6D.mdD0qai9AGc0nTK	108	2013-08-04 01:04:53.619312	2013-08-04 01:05:41.639639	199		0
18169	1050a8zmyy8h94y3b0sd52qhah	$2a$07$Bjd3a/1BPELdweqz59ae/OwUhfeOpKspR0OSz.kUi5s4fZWrD72bC	109	2013-08-04 01:04:53.643032	2013-08-04 01:05:41.780782	199		0
18170	10nyolu92zeiz7uzig24sbhueo	$2a$07$/PyMSf4Nz4uQNH8YT/E0n.TuLmpY3ull9kfDTmRiY4eBdgbta0446	110	2013-08-04 01:04:53.666153	2013-08-04 01:05:41.901899	199		0
18171	10u74cr7i4y5gv0zwch8xvkcfa	$2a$07$9v82f/l4DcnklNNHD5.xZeEo9hADbN6fnnpWoIUbBqSeTn4ByZSUq	111	2013-08-04 01:04:53.68867	2013-08-04 01:05:42.02165	199		0
18172	108qkppayp5i59k6c8thsi2aal	$2a$07$2xdzMXuJeIDqee6cSFgjNeSbxX6voeGcLvA3KZRWUj96zXcu0G1kO	112	2013-08-04 01:04:53.712147	2013-08-04 01:05:42.147312	199		0
18173	1058223oit22ikl34scpu2o1r8	$2a$07$1yQJmvIKI0EC0RObxMOQvutgK5RtduLGBkqxLIQFTLJjOSlx9wwAy	113	2013-08-04 01:04:53.740969	2013-08-04 01:05:44.721561	199		0
18174	10m1vn86hwtlrlcb9td4fy9hif	$2a$07$YpkL2R50pGF6iEAjzFf9ueP.X6aN.kDvaRd1SS2nJUhACftrlCzLW	114	2013-08-04 01:04:53.764048	2013-08-04 01:05:47.444329	199		0
18175	10ij2fu9j3ftbztpt4zgvi2el7	$2a$07$0pxdEg2w.9ZzCySmOYF/5OICnzluzxLhYLwwpMqPfL7FEWxtXpTnC	115	2013-08-04 01:04:53.788184	2013-08-04 01:05:47.581924	199		0
18176	10cqxeqdtezkb4oe7fds2jliss	$2a$07$43PZjdhBFonPsX9h6iW66uckE1x6YUPX26U0BnQInyLHXWdZ.tzKG	116	2013-08-04 01:04:53.825225	2013-08-04 01:05:47.724944	199		0
18177	1013c4agzpx81tpez7xi8yhtw5	$2a$07$vgE23Xp0EwcgeVu5evYTeuF3je.Y39nZjwCARumvAeix6RAmmyCAG	117	2013-08-04 01:04:53.84776	2013-08-04 01:05:47.856064	199		0
18178	10hedjcvk0kzu0i8m0x9czw5gf	$2a$07$qdDDx5sFtKe7daehAcT1h.8XMnlV.SC98wcgxtYj66utEJm4eo1U2	118	2013-08-04 01:04:53.87084	2013-08-04 01:05:47.981955	199		0
18179	10bqbw8nnr1t6d709aqet3rfca	$2a$07$/etSCPYS0IIoRnFeGu1l9OoicqhjkkPARUIhYikRy3bSfhuCagq/W	119	2013-08-04 01:04:53.893267	2013-08-04 01:05:48.105108	199		0
18180	10vaub68bl4pszssd3dcebz5lz	$2a$07$qz1GA/1WkYmZJmgbi2GXdOCXK1eu76Pc/m3vOld8WzXa/56OwIUBy	120	2013-08-04 01:04:53.916881	2013-08-04 01:05:48.227875	199		0
18181	103k3mxs8dm686z0hwe6ue0bo4	$2a$07$m6x9xh0ugj4nTZ5OdvTa4uJs/l6e.QrzqywC4E6V4HFcWNHTxGcTq	121	2013-08-04 01:04:53.940086	2013-08-04 01:05:48.358943	199		0
18182	10dgtehe7lmxlvge53m3ep5opz	$2a$07$KL3OfyYsZWTqb/YhgfAKPOxWg1.r4NhIYV2SnB5./dCQ7SDnoM3Ua	122	2013-08-04 01:04:53.963787	2013-08-04 01:05:48.50274	199		0
18183	10f6rw8sbioahut1l0kk2t8gvo	$2a$07$Nz9XsRbj2BDxnJ/7TD0KRuQU8RBwbaIgZZbtFNLrXyne59WXZNtce	123	2013-08-04 01:04:53.986212	2013-08-04 01:05:51.052502	199		0
18184	10rcuppdnq5mr2dor9kw3paq6i	$2a$07$MyrBcbBbIA/2C0xr5F1spO5GHhqX22BtGTiGz1L4aZwAD06WD2OOK	124	2013-08-04 01:04:54.009434	2013-08-04 01:05:54.181359	199		0
18185	10bmglfs6jo4hqh4c1129z117q	$2a$07$X3wDvqUh8.Reyc2kKQfpFOGAybdjrzJvccaEC/TBzoZnX35bJXtga	125	2013-08-04 01:04:54.032213	2013-08-04 01:05:54.516179	199		0
18186	10p3m9rblo9a767nnauo62fcy4	$2a$07$7aqMrY7jCqwJKweY2xTPduMoEtKHplUbRt7GdhxGukRIzh6NaWsYO	126	2013-08-04 01:04:54.056215	2013-08-04 01:05:54.872469	199		0
26503	10dxxkd1thb2gm031kbunx447i	$2a$07$6mCS6a8ysF2Vl1niB6.JZeEO6AoGtZpJNLOw9bNA11Hd1aZbSX7w.	1	2013-08-04 20:46:19.096347	2013-08-04 20:46:22.431212	266		0
26504	10aw4ttiogi1rmu4f5xvm8k35s	$2a$07$qGx/ikpEMxS60nnkNxHGYeAWvWjoxDs7AWe3YzFy5coZHPzLaXBvq	2	2013-08-04 20:46:19.119812	2013-08-04 20:46:22.596348	266		0
21589	10rdo7clbw10mqufpiy8o9lcem	$2a$07$ZNQyaZalRyhl8tJadByVA.T840udL6d2byIHVA324IwAzSFqGFkQG	1	2013-08-04 17:20:54.087344	2013-08-04 17:20:57.217681	227		0
21590	10uy1h3ie8e6u4ieek33v7p1ul	$2a$07$HNceP4w1RX0PH9TGTDR9wuCxWILbM879HUQlNzZeVV6xYzmljVlxC	2	2013-08-04 17:20:54.109345	2013-08-04 17:20:57.357392	227		0
21591	106a073sh3g5ek2jtbvwdg2ljr	$2a$07$xl8iaVBij1M7fHFnd7r4ZuKX5PPStvnQqUp7sffXFId93sc8uE1I6	3	2013-08-04 17:20:54.133619	2013-08-04 17:20:57.487435	227		0
21592	10q7toa4o5llsk2gyrzu9xmweg	$2a$07$2vJaBbbCviFbD2wO9lHt0uR9m0CkcPxTUR9y0d4gREh3S5Hoiq9E2	4	2013-08-04 17:20:54.160077	2013-08-04 17:20:57.649634	227		0
21593	10l45tlvz75e6nc3bkpjxd4kh5	$2a$07$GiVyXUuxHw6ndbWDTZb7x.aZrBT3ptRc7437UGBl.R2EbFVbyj8t6	5	2013-08-04 17:20:54.19769	2013-08-04 17:20:57.787409	227		0
21594	10j35xtjo3kmhfx3o4fyyxv7cu	$2a$07$xo0LfEttXA1uRp.ZmdYuGehppJ3eQhyVizRiqcH0AOxKr9CBvPMkS	6	2013-08-04 17:20:54.228506	2013-08-04 17:20:57.920231	227		0
21595	107hts102wd1op3ba364qtizox	$2a$07$IJb6ZaTZ7gGxLskGGNUUm.0DSkhVJY73K3sr35wpM3fPo/CucxhKu	7	2013-08-04 17:20:54.252779	2013-08-04 17:20:58.209445	227		0
21596	10lim3awifknwbe8p4v9atgppw	$2a$07$7zl.KpYqZ/vbuQdqxsDgz.BVYdxwUVnSSERx6RSBqstCpDF2dxU4u	8	2013-08-04 17:20:54.283838	2013-08-04 17:20:58.401354	227		0
21597	105mn06uyrnq8q02h4jogivhmu	$2a$07$SPygmzuMo8VsuHeBN7hjT.PaCHjE9zFbjux.rPzTmE0N3i4j0fVZS	9	2013-08-04 17:20:54.307479	2013-08-04 17:20:58.557727	227		0
21598	102w0d5xj1z7099pm82vfvd67h	$2a$07$jO492QJIWVTuH83uwU9NRuoxhxJKBjW4gmBfEed80uegdGbZzrG96	10	2013-08-04 17:20:54.329684	2013-08-04 17:20:58.716293	227		0
21599	105w7ptazilv7itqtx7siqg2xh	$2a$07$zXNiPISa7ETSbsqSvgAWXeA.XuFcRkBQZD92t57AccXl6Ih/UjWg2	11	2013-08-04 17:20:54.352312	2013-08-04 17:20:58.874603	227		0
21600	103cgivtism8684kdrmj7lg7hk	$2a$07$TGtFMUIefuBpg9WVsx8d5.Rhsg5MWlQkrkr0GZYgq3sNcVCC6hfFW	12	2013-08-04 17:20:54.37542	2013-08-04 17:20:59.014991	227		0
21601	10vehhdkbmuv4x3wpsfi7o8wgw	$2a$07$UUloF0GmKAdR3PgmJyw3x.S/Up.dv2cO1aprxpIS.OBwcXFgDvoLW	13	2013-08-04 17:20:54.397154	2013-08-04 17:20:59.14343	227		0
21602	105wxubfhjdh6epsq8ic5htant	$2a$07$eek654tUDV/yM.a61Qq3eu9BAIDD3mNhhgu8gTHRsD7G9XSouPXhK	14	2013-08-04 17:20:54.418783	2013-08-04 17:20:59.276939	227		0
21603	10mr4fro7rs4jzzxvdo3nyzo5g	$2a$07$KEAYytczbhiMwFWltgZ4Q.XAStCYI43QrtfLR480py6yQIKH6fvG6	15	2013-08-04 17:20:54.440916	2013-08-04 17:20:59.406571	227		0
21604	103evibs1qrp55efs7vk4rf25g	$2a$07$0qRGLzzZYl3.AiTVBDEYk.v5fpV0LiQDYBpUPORyo5vPTb/nbpYDa	16	2013-08-04 17:20:54.465689	2013-08-04 17:20:59.568582	227		0
21605	10nad5dpuv5rraa91davgnxq57	$2a$07$Fm.xphMsboZ8vQ5pKxv..OAy/FtnKwVgfFv8drn9PKs7w4X4OZKju	17	2013-08-04 17:20:54.49099	2013-08-04 17:20:59.79337	227		0
21606	10s9tnxkhhzvlkbnhvpx47mhpx	$2a$07$lcocfC4ZU92UXZl4bVFY5Ol5GkPdL.PZ8np0faSH02Bo8TBMWD3Ju	18	2013-08-04 17:20:54.514429	2013-08-04 17:20:59.889789	227		0
21607	10zpzrpjbs8oxtfhlx4a33lndb	$2a$07$jv8vSWd9jCFpk/XP7K59muYs27mrPUiLMrkfAYED4Hjs3jp7Xy7zq	19	2013-08-04 17:20:54.536711	2013-08-04 17:20:59.986004	227		0
21608	106fz67z4xh8fgjh9tq0cgv8bs	$2a$07$q9dU1ACeZFKUU0Cd8c22PusocCwZp37J2xUqN8HLWei/W4/W8RMCO	20	2013-08-04 17:20:54.559225	2013-08-04 17:21:00.084832	227		0
21609	10oy1bsvroualou2db18ej6vnr	$2a$07$9gDiha3Dhgu9XF3MmFIRpudm5gPXEa4XCBbERrwkbawiv27v3s78q	21	2013-08-04 17:20:54.582844	2013-08-04 17:21:00.181868	227		0
21610	10jieo265kknghdnqaxrckm1og	$2a$07$2cN6SP5ofvdmtIRA7dVRFOrazigDfAsbtNXUfT.cbaeHHjmyaGn1a	22	2013-08-04 17:20:54.605686	2013-08-04 17:21:00.321738	227		0
21611	10gpdw7fq9g0rxmr1wd1aykdul	$2a$07$u2qFtlnjvBEjPNtyNdEkQuSwLe9AXQGaJK50junMzLj1Os62PW9XO	23	2013-08-04 17:20:54.627297	2013-08-04 17:21:00.486914	227		0
21612	10aooisaokjc4p9fab4fn4u1th	$2a$07$058mPVopyzfMv6VanRz2iOlJEMsqgRzfxRmj2UqBCIKC7k4QXaffq	24	2013-08-04 17:20:54.649565	2013-08-04 17:21:00.645543	227		0
21613	10hbko6xyswaf9eluktl07vxkl	$2a$07$UcoyUNZ1vmrrnaLdeyZW8OspOiAOVhReN0KaiGaal9Wbhk8dmHTr.	25	2013-08-04 17:20:54.672589	2013-08-04 17:21:00.808085	227		0
21614	1004otwskn2t1cpo6y376drio6	$2a$07$n7pO.EjmyK1CfzTzEAkQEeWgijPgBziqbOPq8ingdcC0Da1G0T4oq	26	2013-08-04 17:20:54.695538	2013-08-04 17:21:00.985068	227		0
21615	10puw6orkuipz1783jpd00hqwo	$2a$07$vN8NZzPnQ8qiKhWhKk8hb.b4pdYY9aGNZGuhx9FhTYPqHIVPe.fZK	27	2013-08-04 17:20:54.717471	2013-08-04 17:21:01.134956	227		0
21616	105mskrsjmk6941witrjg241uz	$2a$07$0yslliLTEPLsg3jXcWhSmO5gGc0rEGPFbcAUUiHoHxjb2DGjzbe2q	28	2013-08-04 17:20:54.741246	2013-08-04 17:21:01.340515	227		0
21617	10t3dhwbbrfsz0jupbjuniimi3	$2a$07$S6O5JeB1xYMA2sa5Zx0t4u9y4AHvLhF0Am8/DUHm/AEq8l81g4zXa	29	2013-08-04 17:20:54.76575	2013-08-04 17:21:01.486241	227		0
21618	10ej6qapoic1l7vj5d4nsg2zid	$2a$07$pTzEXamcdMQ47tGm1EHuX.4BIXilhQoYjwL.9wQGkCaSjl45GOGyq	30	2013-08-04 17:20:54.793108	2013-08-04 17:21:01.62309	227		0
21619	108mlropz1o7gzou8tbrl62lrm	$2a$07$UGXnBoQn0IJuYuumUnkzGe7Bh.w9UHhxVhpVtjrtEK1ONC9eoeF9C	31	2013-08-04 17:20:54.821831	2013-08-04 17:21:01.75351	227		0
21620	106nkzg9cjpzrj3bnorfz628bh	$2a$07$gJ7YiCdf00uUpBTVWe8A0.57MPb.ly1yWUDnCmTXGVWOJX3wAIbZm	32	2013-08-04 17:20:54.852895	2013-08-04 17:21:01.853086	227		0
21621	10iwq10cxkn06qh09dvwtcdca4	$2a$07$2mjpc3w0qo06sZyAJG7IpOA6DpmmZFlWtelB44kV8WUekgdfPCaIy	33	2013-08-04 17:20:54.874232	2013-08-04 17:21:01.986059	227		0
21622	101wwittvrom5j1mcad11sj9as	$2a$07$QKpOYUo2znKJ8pP85GWu4.qn3hGKmg5LEPkAAcckLeV8U0IvKPahC	34	2013-08-04 17:20:54.905122	2013-08-04 17:21:02.125458	227		0
21623	10jruc1cicgqq06v73lqwao65u	$2a$07$odwfIxkDqLRuuk9ch3dkpeXwtuNQmcpjIS0gljIxqMrsOQI8gQZsO	35	2013-08-04 17:20:54.929387	2013-08-04 17:21:02.276137	227		0
21624	10piep5xsdaqj5o86qsmwz49rp	$2a$07$PoqAEZghhTQ4ksx5Wrta/.G8uLYs6gnY5LdvDVMBmA9ZgXyCE2e8a	36	2013-08-04 17:20:54.952233	2013-08-04 17:21:02.415687	227		0
21625	10yafpyr2y6ub9y56sn7kfr0ih	$2a$07$viwwQw4fnBMteSHODQTsAuH0ubGLTLSe/US7OzJflc/CkDAlV.3AK	37	2013-08-04 17:20:54.976599	2013-08-04 17:21:02.582989	227		0
21626	10huex2wq4ptiti69e8biizjpg	$2a$07$1YGH78NP3L3BAd6iilEDTen6hAjy81Y1Pz7obwrvvuxeLi4pOTXXu	38	2013-08-04 17:20:55.015311	2013-08-04 17:21:02.832575	227		0
21627	102b0hbo0oi9qb1f1vc8bgj90o	$2a$07$tI24P2KBgJeFdECG7DaNm.l.EOcpURL3.jTY3d/prtL7cUdO4H4tG	39	2013-08-04 17:20:55.042055	2013-08-04 17:21:02.979269	227		0
21628	10fjsctukmtml4nrzfv95mocwu	$2a$07$sRJk07tK2NLLon1OhNpq0eXWPlhVSu0v4Ij9iyuF82oQ7Z2ouiq.i	40	2013-08-04 17:20:55.064983	2013-08-04 17:21:03.110684	227		0
21629	10steqbyyxko2ni74xv5rj50lu	$2a$07$nkzWS2AMCG/7BkxYy3PP0Oy9rMcInBeXsjKvR9BxAzMQNQrHhRc.m	41	2013-08-04 17:20:55.088651	2013-08-04 17:21:03.286556	227		0
21630	1079ccv7ep099ibrck8y397k4m	$2a$07$88mSafm50LvPuVVLNK4fVOebG8drXURORDXyiwon55.z5nWNPZfZK	42	2013-08-04 17:20:55.110763	2013-08-04 17:21:03.415869	227		0
21631	10rgyw3mgwy3kntqamxljstqwo	$2a$07$lmnbJbdp0Z7dp8zjG1iLi.P4LKRcy7dDZaACk5VFaGf6djG7wKNry	43	2013-08-04 17:20:55.133514	2013-08-04 17:21:03.630908	227		0
21632	10knpqhr1i4fxouula47m6ryqy	$2a$07$eldBj/YE5q/g2pxHikDyEeTwvElbPDrjzLuLCRxSaRxcOwiWmqlj2	44	2013-08-04 17:20:55.155475	2013-08-04 17:21:03.780387	227		0
21633	10i45ear8coyqq7vn2xsfghp5f	$2a$07$aaBamG8TP6JS/Q8QsvimrOiSlMNtHkS.DSb4lSvTY/ees3qpA40FS	45	2013-08-04 17:20:55.177502	2013-08-04 17:21:03.934642	227		0
21634	10i7u4o1dotxxkqzdtin70vb4z	$2a$07$FjvSFfJue3HoztCwWXc98OGxYEh5NNkTJe1wVq5etzUyPH8JMC7g2	46	2013-08-04 17:20:55.200947	2013-08-04 17:21:04.10408	227		0
21635	10ewc4e8zpkpr5d3uvgt845hv3	$2a$07$NlUHditPnoqkGlo5DvSpc.reUcHEvZD9PcTJRyEuwwaX1hGIgOxqK	47	2013-08-04 17:20:55.232981	2013-08-04 17:21:04.215223	227		0
21636	10n0fimnpfni5fs8luyce2qm87	$2a$07$UNvYR.wRQm6XUDkBRG02Ie7.W/jv/fHaXa3.Bw5Z2HtzS8n0ssAkm	48	2013-08-04 17:20:55.266629	2013-08-04 17:21:04.433506	227		0
21637	108adwcwdz05e9ieulzcesi555	$2a$07$bfvHKRpU5Dq3ycg9/WypiOhYzDVtP3o3UP3zpC5Z.tAsN6fecohc2	49	2013-08-04 17:20:55.288753	2013-08-04 17:21:04.569265	227		0
21638	101hm722k86378zxu1nsiyu6e4	$2a$07$nsiZaPxOsKoqci6SZcGpxeKbScLBB2WJVldtKi9nO5AKy4/6xTuM.	50	2013-08-04 17:20:55.310431	2013-08-04 17:21:04.69842	227		0
21639	10nkse1y6izcyna4jvqbg8oayb	$2a$07$crcVj7nJsYLNrkZS0j9Wrecc2QQovSqm8T9qBb8g2Ty8pnpp4w6JC	51	2013-08-04 17:20:55.331883	2013-08-04 17:21:04.844622	227		0
21640	10rayl18dgpbobyhzuvs65521w	$2a$07$julWmK8DMLkZkAo.jqTY2.tdfsnGKV0P6XODQWv6lXOvyBfev6oYK	52	2013-08-04 17:20:55.353259	2013-08-04 17:21:04.960772	227		0
21641	109hkgw522cfgujm50jagjnvvt	$2a$07$mzRoRMicISlcYv7UiE8rPuFLqM1XD7ImGEbPhxya7GEZO/DHhHWgS	53	2013-08-04 17:20:55.374979	2013-08-04 17:21:05.101599	227		0
21642	10hgg2rstvzaw75hzah01genz5	$2a$07$HGaHFbZaQAKjFtjk9Xu6y.3J2LImRcZjRzuogjZK.Acp8L1VUJp7i	54	2013-08-04 17:20:55.398229	2013-08-04 17:21:05.25631	227		0
21643	10uqmlsnaefz619icgvi9ma9ki	$2a$07$97aUTCPPbaFnHUHCyDbwauvIIKHH9HECEY1k74Q8pSKQFVUO3pPEK	55	2013-08-04 17:20:55.420252	2013-08-04 17:21:05.467258	227		0
21644	10g3yq10iqlgps10xfj2tzanl4	$2a$07$KbHIG9AxKCtpHFwkKkNoZONjC8/NeRW3kHd5zinlXyVB5CW5AuP3e	56	2013-08-04 17:20:55.442006	2013-08-04 17:21:05.619839	227		0
21645	108t6lzc1pu0fqe7xh7u82vycp	$2a$07$wEUQ.bwIxolCOIsIyGDVJ.iC4hvrtAMbXyuUBwrk52h1xhl/PZg5y	57	2013-08-04 17:20:55.463689	2013-08-04 17:21:05.804194	227		0
21646	10an5dda7sbyfsun907gh6l1as	$2a$07$AJM.bwIB7Tg1esEPE971BOw2ycrZi10HHOcl3E8EJaLHygAZN6Lau	58	2013-08-04 17:20:55.486955	2013-08-04 17:21:08.679233	227		0
21647	10cayxkfvjkzpmj2t8no680869	$2a$07$H7OEujWYor9qelbshothP.rsG9cxQ7Al5GuP5HQd0BLwh0lLdGCTi	59	2013-08-04 17:20:55.51311	2013-08-04 17:21:11.928982	227		0
21648	10xdhvpisi3ll0pn7e6m75qpoc	$2a$07$WbaZWixFcbEggcpLqz0YiusZoctkCQvSENgSk4muuKJxYGuT9tnSa	60	2013-08-04 17:20:55.537835	2013-08-04 17:21:15.058648	227		0
21649	10gta3hmjh4cqhcjlex8x3bgfg	$2a$07$qPX1XPn8hXO1KQOK3cC0nOWMoC.FtrCyFW6AMv1.dqILNfQZvh4fa	61	2013-08-04 17:20:55.563283	2013-08-04 17:21:18.042057	227		0
21650	102yjjdi0vy2etna5zvpyil4kv	$2a$07$ca9mpdCc4Oh/8ObJLKrQ3e7okkACfwM9ICEkpdOINMOSLu5sjuViO	62	2013-08-04 17:20:55.60284	2013-08-04 17:21:21.059209	227		0
21651	1087cseckuj5btg1p4m847g9fj	$2a$07$jJfv7Tf4OrwCRfudbuKozufe1L3T/xF7lGsrv6AjG.GdM6fduxQ1y	63	2013-08-04 17:20:55.635551	2013-08-04 17:21:24.040531	227		0
21652	10kpgad7fhp2w47xxl3kmay1dr	$2a$07$bRoibK1IAX6IXmOjJ0g/xuT8N19hB757Kf06xkUkBTNPwopk8nS36	64	2013-08-04 17:20:55.657795	2013-08-04 17:21:24.136752	227		0
21653	106s62nyfts2yd6ol6dhkgegmg	$2a$07$5RLAEqpQfKPprc/5lA./sezYbwKQOpk4n63h6Nu5q0/X1jECJMf36	65	2013-08-04 17:20:55.681326	2013-08-04 17:21:24.231832	227		0
21654	10wekxlx9hjccm2x8vvmxxexyy	$2a$07$/1ojq4HKOYVMECs65.hez.CapxEfOmjHKgYtARLWKLdzgiuajwIUa	66	2013-08-04 17:20:55.70329	2013-08-04 17:21:24.443199	227		0
21655	10reoa4e6dz9nlhk5f9b2d0hjx	$2a$07$U3ixvWEaZXV.JzX9KZK1n.RdaselXbD39dVmLQ6yAoFzwEHSEXsk6	67	2013-08-04 17:20:55.724953	2013-08-04 17:21:24.575704	227		0
21656	10rx39foqhyqagqdl4s4s46tqf	$2a$07$yujyKf7IBjyw4AmAYJ5aruXSLL/voLCYYkkDPAP7HWm/DqWiwuFCO	68	2013-08-04 17:20:55.746436	2013-08-04 17:21:24.70981	227		0
21657	10123hkwirffadib4yw43n1s6h	$2a$07$UAjSZXvqJmhLI6mZ9tXtGOymO8hcFhjV2Tlgdvzee6HnBV3m9qUSS	69	2013-08-04 17:20:55.770058	2013-08-04 17:21:24.848461	227		0
21658	10pn119h4p5ld58jaj0u9drpdh	$2a$07$aCffSP6Qv1xvijzrUFEqtuoIjV5a5NaDNX1cpuL7BIPE8WLjun/ge	70	2013-08-04 17:20:55.793134	2013-08-04 17:21:24.969937	227		0
21659	10a5jviu8lkejgegp3hi1izxpb	$2a$07$7brHCBTAj1pXXkICTEXH0eqpaFeqbsm3tx3.NStX4Us.fD9YlIEby	71	2013-08-04 17:20:55.817066	2013-08-04 17:21:25.102645	227		0
21660	10rofrfjovnn7htvmazpdwqqvz	$2a$07$XhCIs5mEBkj4t6516gBF4OIZFD1yvSUH/fVG.5tsLw/wGfmeu5dy6	72	2013-08-04 17:20:55.842623	2013-08-04 17:21:25.254692	227		0
21661	10sifpd5h0fbv0j9soudyqzug8	$2a$07$Zleg9KrGYpscE8p2YNbSSus88ec1NUKkQrKkZLZm2yr2UikmrCKva	73	2013-08-04 17:20:55.864289	2013-08-04 17:21:25.396281	227		0
21662	10ba83tw9e9s90odcxnhgvsn6o	$2a$07$Abji0WTWdQeQTXJPsm76se0W0/aqjqZP5Fx5c/igMu5Cl76aanpW6	74	2013-08-04 17:20:55.885936	2013-08-04 17:21:25.536681	227		0
21663	10t570hxs7babxk6sdwmfj7qrn	$2a$07$UX2bMo/UYp0CvBI5Ms50LOY88MyNdXfxylW28Xr9xzKTKgjWeXxoS	75	2013-08-04 17:20:55.90866	2013-08-04 17:21:25.665482	227		0
21664	10gc30jyyqdhhfn3ji0voysbzj	$2a$07$sjbCkgCNTCpcdD0KBLBqresrlalS1pdU9GCNn40UXaV3kkMJ1CY0.	76	2013-08-04 17:20:55.931739	2013-08-04 17:21:25.815582	227		0
21665	108ho80nhndkvj9sqoogg6xpxg	$2a$07$BqRZJ8xo8jAbIKsHniPsGuX5MmtTnwXQhLIjvUy7jy4C.3MAukOAq	77	2013-08-04 17:20:55.953798	2013-08-04 17:21:25.95133	227		0
21666	10uqi7xct20e3qe71hkzb6ccsf	$2a$07$GJVWdrnp0cr/DFsA5K/yuO615Cu/4MWTUYsC39bOIFlE4YkFLjcfy	78	2013-08-04 17:20:55.97743	2013-08-04 17:21:26.095979	227		0
21667	10ykqz7ai9ily431cjjfz7ddpm	$2a$07$STXrs/pl8HkE6e7BBT3CyufWNupUJnZKWOgeRVQoFD3jWbILKsthK	79	2013-08-04 17:20:55.999095	2013-08-04 17:21:26.30091	227		0
21668	10z5nhahu0mo0298bpw82huty5	$2a$07$/wSKytkknXHJw48ebWrD2.ZD9gV/.gDU9ZJsUP3fGT8g7WKyJE/qG	80	2013-08-04 17:20:56.022129	2013-08-04 17:21:26.44213	227		0
21669	10g2eh88weqwlq38x92hlmqfc7	$2a$07$3AkRDjJgO1QgDiebQB8mMOht8kWsMNSiVcpURyQeM7VU8P2zX9JeC	81	2013-08-04 17:20:56.044426	2013-08-04 17:21:26.67503	227		0
21670	102wwc0xphnfux9lp5gg7rxxob	$2a$07$l3cKxbcUjbGI/YjKYdZOJeP7kdfkDutUz2x44OhoEvXmuV.9bJnpm	82	2013-08-04 17:20:56.067489	2013-08-04 17:21:26.823529	227		0
21671	10spnztmqfvaxsk3hulrzf4tz5	$2a$07$0M78/krlBruydpyj/oyBc.m3s6hwyRdGysPc7xUVECmO7xouSP69S	83	2013-08-04 17:20:56.09088	2013-08-04 17:21:29.57784	227		0
21672	10pypdcxzq0sxnx1h6hb9bcbk7	$2a$07$zaMWrvfxnmQU3QpRST1WROHtduOydKaSvnpiUGlxMpEFqJR.kUBiy	84	2013-08-04 17:20:56.114434	2013-08-04 17:21:32.254249	227		0
21673	10ymb34h3d6ykfekvxm8vedcpm	$2a$07$8bJPoAaSZWfuh1wpL0ESzubEF00suFUy2qzADhtNyjTvGfzR54DWS	85	2013-08-04 17:20:56.137422	2013-08-04 17:21:32.374822	227		0
21674	10p9jwv7k1c7i6lm09g6nwqcgw	$2a$07$zYvO/a80LjGBw0FNrl/mlORv8X47Yn660vJbZAT47ii5xdcYs6I.a	86	2013-08-04 17:20:56.159278	2013-08-04 17:21:32.505885	227		0
21675	106f8maj1kmuyjhzzzjaury61r	$2a$07$C78yfsEKkA6g7xu4GVrHHer9yl6uoseuPsOUfHOmdWh3m23LcaQXG	87	2013-08-04 17:20:56.190135	2013-08-04 17:21:32.661525	227		0
21676	106j3vujtsqi68fmlnhrikcm1w	$2a$07$c1zqeRGYNKgRSKZzMggXs.JbZ5wGVLIFULvfto/l3Vcf/BPnG7JPq	88	2013-08-04 17:20:56.2124	2013-08-04 17:21:32.787749	227		0
21677	10e20prpwgz7vjrc37d6lx00lm	$2a$07$bDi0pT0RsfqeSihv2HcM3.8lr0R5xBsjltDW5Zw7ghNXuoZQ7G/Qm	89	2013-08-04 17:20:56.234252	2013-08-04 17:21:32.955948	227		0
21678	108xrjicm09hhsu2botbc48uln	$2a$07$Ymuznvc/ngtBhaJ5Vl8jiuANEBWT5tAs01WyEU6MFRbxnSjb4U8Si	90	2013-08-04 17:20:56.256512	2013-08-04 17:21:33.117565	227		0
21679	10sqye4jayh9zv7tvp7i523ok4	$2a$07$/1PTOEBjNDwMPEyME5C9ouozleRNQAuySEiKyeceQdMSPrKMCgHzm	91	2013-08-04 17:20:56.280238	2013-08-04 17:21:33.253452	227		0
21680	10l6cza0zc70vq6q3apx3ybudu	$2a$07$bGNFSYVu1BlkT5sxDbSH5uji8SCGEAXrnIQNy3E8iiChrVBGtC.GC	92	2013-08-04 17:20:56.303576	2013-08-04 17:21:33.392658	227		0
21681	104wp4sfn8nz0n0i60j1nwuyze	$2a$07$wdYAT28VMPcOheShXqwD..BrgWYhswdD2VNYUSvYhQ/2jBnwUJHuO	93	2013-08-04 17:20:56.326865	2013-08-04 17:21:33.546789	227		0
21682	1093nhwpsugcp0klezvf1fvtk2	$2a$07$5LlT7sN1CEiEYDv7exBnc.GKpcnrEHuEhPQXYRKbtDvPixK8t./va	94	2013-08-04 17:20:56.348319	2013-08-04 17:21:33.683264	227		0
21683	10b4y9izfdgteo1x7pdc9du7br	$2a$07$7hNPQlMmGQi3FXYfr0Tn8uq5xlPNBluZzDJo.Q3lonpxTeS2dFtX6	95	2013-08-04 17:20:56.369939	2013-08-04 17:21:33.828353	227		0
21684	101kyaa50njhj55mtu2koj3yyx	$2a$07$7KrpPe9cPBhMpRxVWR3.R./rRrnxRzsupirQUhyGDHgvuw6g2JBpW	96	2013-08-04 17:20:56.391684	2013-08-04 17:21:33.933737	227		0
21685	10y7gs38hx2oo63zhqx3c6pog2	$2a$07$Wf62/ejp5rd5x0GvqorPYOd5KaT6cnWWMg/HRrFfCdyVn8FwfAKJC	97	2013-08-04 17:20:56.414305	2013-08-04 17:21:34.061766	227		0
21686	10qkfhz56du1ejobunw6a2e8fp	$2a$07$evpiiqlfNs85mHVS03iHZenrS0gsvqXwFFv10k0I.pVtVEUMkHvNG	98	2013-08-04 17:20:56.437221	2013-08-04 17:21:34.174987	227		0
21687	107hu8o3stlqzva9o7vp3ocd5l	$2a$07$ZxelZwh8EghZBC5y.Mx7JeLOQLlSZf0ptooZktBuOUQXTgE15t9Jy	99	2013-08-04 17:20:56.458701	2013-08-04 17:21:34.292173	227		0
21688	105x8nvna4yq292kprm80il0w2	$2a$07$udmPSZitP2rPflurlyGccuVZS57QBIYTTG1KEcAiS4NVEyR88FQgq	100	2013-08-04 17:20:56.480582	2013-08-04 17:21:34.433731	227		0
21689	10b9xai3gkztx7okt6jvcye83n	$2a$07$oq9mFqW.WgboASInGWFX1eXDLZQsHjX8fw9aoC6zHnHqXXSJWPLvK	101	2013-08-04 17:20:56.502215	2013-08-04 17:21:34.564656	227		0
21690	10uejpmv4mfbw0dk5g13cgbkgh	$2a$07$/PQDOhWqxCSy88vSdCtaA.sl2sTSbTsEdArtQRHIaY2Evlish.5QG	102	2013-08-04 17:20:56.525754	2013-08-04 17:21:34.687983	227		0
21691	10d6ug0bxrs066m0fx6uzrglse	$2a$07$IA18co6jbkIaJHEMb.Yusulw2u3/ScRENEmQ0BmEuV5kJnMuDVeT2	103	2013-08-04 17:20:56.55083	2013-08-04 17:21:34.833469	227		0
21692	10iiqjp24y9i4wgmsmczp2hvzh	$2a$07$GTnRDTKd/DWCjStqagoVyO0aG8oCLLxx4QMbNj7sM5It.LGe/W3Hi	104	2013-08-04 17:20:56.57498	2013-08-04 17:21:34.965319	227		0
21693	10nl1ai93prdhn5b40xojqdgts	$2a$07$rISY6vXRoQ/OcLPJesOk9OBHbmnNWR4saQHcAy34HXHWmbLfrUfXu	105	2013-08-04 17:20:56.597697	2013-08-04 17:21:35.104162	227		0
21694	10h925lcpz6k1ywf8ery2dirnp	$2a$07$HyVg2LHv0fManhcclwU9o.gGSGYJHbl5TE1ORNLUFual81BRq8e62	106	2013-08-04 17:20:56.620225	2013-08-04 17:21:35.211541	227		0
21695	10zkh0tpqkvnhrwfztcmwll7wb	$2a$07$BAYoUAXVa6v/pQI.7GZ4auHR.1FYDRpMCIYy2Ow2aRqPcRi2BgE7y	107	2013-08-04 17:20:56.644563	2013-08-04 17:21:35.345886	227		0
21696	108ktdzxk5hpzf8zkjn853z18v	$2a$07$pVTKsz6ubn8qmCgY5huzXOnEGIv2vmkjogMeJFKqb2.eWwqlikMiO	108	2013-08-04 17:20:56.666497	2013-08-04 17:21:35.468663	227		0
21697	1088t5lcmjbpuf8100ifbnj6kx	$2a$07$gXOuGvUek6g4W6mSDfdDZeZZyflX8J47Mr5HI94IfQGnY54Nel2Ay	109	2013-08-04 17:20:56.689202	2013-08-04 17:21:35.602318	227		0
21698	10qmjwk1bwp0acxm6konz2ct12	$2a$07$JAfJJy4W8wHLt10rIjpJHerXgh9tHkR99tltJr.Ntoix38txkhCpC	110	2013-08-04 17:20:56.712289	2013-08-04 17:21:35.856285	227		0
21699	10huagu3dmk2aw87h5jty78zdq	$2a$07$hAKECdt6DvmacvpIupoxeexr4CgI2q.NprM9MST8618GB9uS5HOvK	111	2013-08-04 17:20:56.734022	2013-08-04 17:21:35.97653	227		0
21700	10zwbd7qg685ysqxy4ui423qrv	$2a$07$N2yNcHaDxzVOHlVHL.heFOYd0mNf/iJawx1TUgWkG7b3PVQ0XCSJi	112	2013-08-04 17:20:56.756521	2013-08-04 17:21:36.113466	227		0
21701	10jz6iztlzfowfuxk5wryg0x9s	$2a$07$Ft96nWRvqmvaOueGu7hlF.p./qjbKqmOnFkwajyYI8y1XWikEc312	113	2013-08-04 17:20:56.778075	2013-08-04 17:21:36.249984	227		0
21702	10z7s0rjv78dy9zs8evlx54wf2	$2a$07$29qbkzsZTwb74dkh.pwGDeeD4tx1WgZymjytrUt2wa2WJKSZhrvJS	114	2013-08-04 17:20:56.802014	2013-08-04 17:21:36.391532	227		0
21703	10xp71ocwqvfeamyf1833o5quc	$2a$07$/eLrGzmY9noUocvAw2MlJuSQLDmdyb1QEHCLnqYpwquVlV1wodw1u	115	2013-08-04 17:20:56.825717	2013-08-04 17:21:36.647447	227		0
21704	10kthvoybdq7dhg3g5rpid6ct8	$2a$07$94nb1QzhByUx.mnsqJ/0y.bxNYfrpJEFCw0/XOUUHT2jY6HhcjQ5m	116	2013-08-04 17:20:56.85036	2013-08-04 17:21:36.884007	227		0
21705	10tnptljv5i0nywjxaxjpw7ql0	$2a$07$GThw/tVRu3FnbMFS9KiKgeHMkrofnmTz.WzudEkwAxAtZzi06GYw2	117	2013-08-04 17:20:56.872533	2013-08-04 17:21:37.003782	227		0
21706	10xa57dsi13ivb7p5getwuxryn	$2a$07$FsXTbK6t2FtisAvHgp2Qx.ug.bj/HU/VNnoLjxvX8Iak3/7Zx1wrW	118	2013-08-04 17:20:56.893878	2013-08-04 17:21:37.113701	227		0
21707	101t2ajsl2dd0vr78l5xrbiu4a	$2a$07$rh4dSB/BCpJmqJ7oGhch0e/97cHdP0WEeI4.5OUxs1B8XbjsX7bIC	119	2013-08-04 17:20:56.915454	2013-08-04 17:21:37.267904	227		0
18187	10bnoj0vvwopgop4yxrda71yhw	$2a$07$DgC51sS/xJBT.3r7e8iiGuV.6lhSjNHWxb7xNyW2XltI5ZSzo0e9e	1	2013-08-04 01:09:51.065129	2013-08-04 01:09:54.627725	200		0
18188	10mjmqetg2t2qrzxftnao9vvax	$2a$07$xMvg5ON2fvaVjn5fTiLY0OgSwBBEqn3uAEYQawrRdPvp3SyDC2eZi	2	2013-08-04 01:09:51.092602	2013-08-04 01:09:54.982586	200		0
18189	107k3tl7up0hhi8633k3rlvzwj	$2a$07$fUBpFMcSswa7u276T7z6leiEh3fHo8Gr1/oWyzKafc59hzEPF5t1a	3	2013-08-04 01:09:51.126638	2013-08-04 01:09:55.297498	200		0
18190	10bimrh4pv9fb1hkyvna6jk44y	$2a$07$7VoE1BgPXA9ZaHxhhJ3e5eJ4Kih5dgeqIzRvTdQMOLfzvN1XwuHUC	4	2013-08-04 01:09:51.156142	2013-08-04 01:09:55.492969	200		0
18191	10lra83emf7v6gghsfw8sebp8b	$2a$07$Lw0fnYNh/RYfAxCHiSNb1.2sFymBPW2F.wS4QWGicIeJCAFJfNnw.	5	2013-08-04 01:09:51.180023	2013-08-04 01:09:55.681789	200		0
18192	109uv3oiza128lh6h407s5px3a	$2a$07$NY3t4rp2ekCLwUos1PfW9eciXPao17m0jhW8WQxPfcvLrfb2aW7rq	6	2013-08-04 01:09:51.201938	2013-08-04 01:09:55.838876	200		0
18193	10e388be6gr0fi5wcn8y9eza4c	$2a$07$CozDcei3gEZcOjqHoUOiguEcUtOR9fW2jJdTvhdCOcbtCX31P.tXS	7	2013-08-04 01:09:51.224842	2013-08-04 01:09:58.934537	200		0
18194	10nx2tk231n4qhvybmd241tcl7	$2a$07$ufXpefcvJPZ2SY68apZ1Duqq8yMceL4G7doKcnpgki1W0QuaMBbau	8	2013-08-04 01:09:51.246598	2013-08-04 01:10:01.334119	200		0
18195	10rhlxrvbydfxo8eajat7uefdz	$2a$07$w.et4FXOU7Psu5ws4.JKzeKhCHpozjImdGhbf144qHdSPXOhRxBcq	9	2013-08-04 01:09:51.269613	2013-08-04 01:10:03.335311	200		0
18196	10td2xity4cwj6orrccoub3769	$2a$07$ZoQ6A9NJSYeujy5Bw3r53uqYogewIPhoYM91zr15vtIj2I1sG3pFS	10	2013-08-04 01:09:51.302672	2013-08-04 01:10:03.480935	200		0
18197	10sooaqiw3y7b7ynnz13glb7j3	$2a$07$h0M/PS0PXCO8eo795p2Gg.qpdSY2i5iAq1kHYXZygvSa1/H2MOts2	11	2013-08-04 01:09:51.325581	2013-08-04 01:10:03.612223	200		0
18198	102tlhguo56f9vzqp8zhumet0g	$2a$07$5u4qdXdRAcjB7kEDtRMtGuJpuJA.HUxblD.KbXrN9uuFpGyBixNoe	12	2013-08-04 01:09:51.348731	2013-08-04 01:10:03.752216	200		0
18199	10pt13rxvy45z1p8odkooariex	$2a$07$nTbaWIz.E3sC/FxOqN0ZJeQoAsXCXH78k/IiDOAZf5uIhakAqVhgy	13	2013-08-04 01:09:51.371979	2013-08-04 01:10:03.882455	200		0
18200	10dvr8mq1z0iwm04a0wwbo68wb	$2a$07$XVItQoTWK1WeVdmVMtmmbOGkDiUMPjWt8Sc/oSIGefhKf8vbI4FWe	14	2013-08-04 01:09:51.396404	2013-08-04 01:10:03.99157	200		0
18201	10rbqvrteen4g8ztc9o5wb3uzm	$2a$07$SQhoA.z9jprX29fOHzbpBuxh7TqncZQJ6yu.uhCQS4b40aBzT0SM6	15	2013-08-04 01:09:51.429036	2013-08-04 01:10:04.109505	200		0
18202	10pvj8qh564lbguvujtbp9d3ta	$2a$07$sDc/q4IYJhT89S3BP0J6m.Q9YaMns0kj8WvxFqYkUzHYkO.FG49Aa	16	2013-08-04 01:09:51.462725	2013-08-04 01:10:04.227625	200		0
18203	10p9awk0dj8wxywu3i29gu19s4	$2a$07$qheufIVAJoH8YidRJC1tWuYisbQZQM6cBF79nq/kSUZVG5ThzI.2q	17	2013-08-04 01:09:51.486594	2013-08-04 01:10:04.355712	200		0
18204	10emnc3x9t36g0vam0x4jt4m7g	$2a$07$rLWFlrx4qzkpbKsH4drFYOUO.GughpR7/idICiimFJKx.TiChy9k6	18	2013-08-04 01:09:51.516652	2013-08-04 01:10:04.458441	200		0
18205	10ajto1gy8yqztaa7pjf2wj7r6	$2a$07$6GsimR/2YrZV2NPLnp7fLOrRlaDB9crh4ffN81Vqk62wWExIZo44S	19	2013-08-04 01:09:51.539347	2013-08-04 01:10:04.555551	200		0
18206	10ewthz01a03f35yyafdn5q5iz	$2a$07$D27UNoRtvXJqaS5DGFkwK.XoFTO6SNhcpDVF0QpwZTwLhnEH4E40i	20	2013-08-04 01:09:51.56192	2013-08-04 01:10:04.659538	200		0
18207	101a05himzir5zg733513tmubz	$2a$07$0bTxn2fCOumVnKB4nkqDM.I2BBJFD3OU4zag8X2zVBUgeMVdyJu1K	21	2013-08-04 01:09:51.590788	2013-08-04 01:10:04.759657	200		0
18208	10ywm3psnkggndvw58f7k7okei	$2a$07$mtdXXGdH8vjX8RSajiE4nejxSoosmYqn2oCqCUlzE.ZnJUkCWlBbO	22	2013-08-04 01:09:51.61713	2013-08-04 01:10:04.899094	200		0
18209	101m3kl4je4pj8hnnj9hzu7mqr	$2a$07$xTWixFc5uYiOu2FP0oUwNeoUPt/LUnm5yMzZwMrovkDbSkhmzUL4e	23	2013-08-04 01:09:51.641692	2013-08-04 01:10:05.044878	200		0
18210	10irwc25ugwyqzk3x1512i2uhw	$2a$07$ahzv9pSNYTNZgOJZbczBuOuSoK4a9u6W1bC272LeNU3kGYhNaloeC	24	2013-08-04 01:09:51.665352	2013-08-04 01:10:05.181696	200		0
18211	101uftrmxtn1dwb6vlyyio4no5	$2a$07$CIAXk7Sjka6NDw4jU7c1mub1p5gbTK63DiJ0AAPLkEZlW5KKLX5vK	25	2013-08-04 01:09:51.689434	2013-08-04 01:10:05.29792	200		0
18212	1001w6afu1wdga5xnhs92h1c47	$2a$07$PsmykFaPnFP03TldDtgcZuJ3aXTX984CmMjCXH89wmnNscUHZVZpu	26	2013-08-04 01:09:51.713182	2013-08-04 01:10:05.428052	200		0
18213	10q0zhztpkk7u8vz2bf29feeuy	$2a$07$WbLcbwyMT43bmC0vmR.w2.RrllsBkY6XYVBYMbkPGi6n4M47Q98XO	27	2013-08-04 01:09:51.736324	2013-08-04 01:10:05.556917	200		0
18214	10kpbqe81jdq5u7n75bl3qjknv	$2a$07$lWrFrIOH7p/wjZhJD69J/.bS9s3QESAB/NAwuTmj8.9T.DBTBkUhe	28	2013-08-04 01:09:51.76113	2013-08-04 01:10:05.816883	200		0
18215	10vr8723pi077eylzd1hphwcfo	$2a$07$.XA9g04wRBVQzwe3VCbuOupQQ031VPqAR/.L/XbeeUWrU9Trf5ABC	29	2013-08-04 01:09:51.787447	2013-08-04 01:10:06.155336	200		0
18216	10zujqtzovm15fpfonnjs43heu	$2a$07$iO2s8klsEobx/5DpMv/SJ.uguW3gR5HFOmsyw1iWF3iLpOSr65.JK	30	2013-08-04 01:09:51.810585	2013-08-04 01:10:06.462067	200		0
18217	10i5akgix4unjvdqazfr6cqpy1	$2a$07$sy.Xr5.EPiTkznChcgBv0.egEPXNjAxUIJloctQSI3n.axEaxuPVG	31	2013-08-04 01:09:51.8376	2013-08-04 01:10:06.573341	200		0
18218	10ju77d56ml4rib57salm4z6jy	$2a$07$PnQWfR9VEt2BKQvfbEZ9bOvhavJM7KwhyIU9lKcuiU.5SyHUx.9DG	32	2013-08-04 01:09:51.863087	2013-08-04 01:10:06.695544	200		0
18219	10i3kbsnmwzc57nkd2cuycmb8s	$2a$07$PkPkUn5EtIt36fVYcrbm1eoPRAxu4oxgX.HEKdhR.jsgCZvKhcBvy	33	2013-08-04 01:09:51.887456	2013-08-04 01:10:06.82639	200		0
18220	103v5ybt4ics4rn4gd8z7u04jt	$2a$07$v84IrwZhthwoElgn2G8a5eGiOKevALpoK0JAR.brOgV48rGDJDfy2	34	2013-08-04 01:09:51.911229	2013-08-04 01:10:06.959495	200		0
18221	10yevjxctocmcagyp5uy4worfn	$2a$07$5fzVGdKAVTDHMM.NAvm56evRTc62Vp44bjaM8F3519hXgjx1j4PkO	35	2013-08-04 01:09:51.935255	2013-08-04 01:10:07.121037	200		0
18222	100x079bwzt65834vit2edzybk	$2a$07$RkbtShYEL0BQb4yqZUNADOxhzFbVxK5hzxkj1KfFkgL9WZEurN39G	36	2013-08-04 01:09:51.959155	2013-08-04 01:10:07.237438	200		0
18223	105i13k21sunjahrpkmexzvfcb	$2a$07$wq63BsaBINd0YwEPgF24a.nIiLthLubz7SHyfE35tf9kli2i2Qxhy	37	2013-08-04 01:09:51.98304	2013-08-04 01:10:07.358629	200		0
18224	101oda7lch75p837665tz7470i	$2a$07$UtzWCxPRsT0SXzZnlf9QguaiIXnK2JW77j97ChZWnxt9PIudP5hZq	38	2013-08-04 01:09:52.006711	2013-08-04 01:10:07.497113	200		0
18225	10os7o8o6q61ev75ldq8b3vbca	$2a$07$o6ckfG231MYqW1oCsbNDu.zh5LnsFqffBQ0LiUxNIMdrJatY96rRS	39	2013-08-04 01:09:52.036617	2013-08-04 01:10:07.661012	200		0
18226	10e35ndojhaj5h636fesglqaek	$2a$07$8xns5GFQ.LUXArV98pt8bu28h1je6AH6jnI07Y6IfTRzDqXCXRw02	40	2013-08-04 01:09:52.060356	2013-08-04 01:10:07.793096	200		0
18227	10p1s13xh48ak43lyn6e37r4qs	$2a$07$K4QGoXPGcXPQAW0POAwmve6dNrJ4pGpT15DAHIydD3RurRH4RsuEK	41	2013-08-04 01:09:52.08259	2013-08-04 01:10:07.92918	200		0
18228	10deu73mg3foy12npp2c3375kp	$2a$07$ttxSW.FFrD.XNQOfsGMB7u10Mny34/uYd9Sxj90ImM2kSB/GIsTGW	42	2013-08-04 01:09:52.105231	2013-08-04 01:10:08.069581	200		0
18229	103vb0d7srq3thzeij2g0xy4s3	$2a$07$yMrUbYCmIa8DgSAhRMo5LeYUdqekjZw3WsJkvN9HH.80v1DGd0zXO	43	2013-08-04 01:09:52.128137	2013-08-04 01:10:09.131034	200		0
18230	108cr3l5ul6myfax7q42ju156r	$2a$07$WlAFpCXxZ5NI84GvZkXr8ubYEE0QzLMpDIgx69Qux2x08X/0PJVOa	44	2013-08-04 01:09:52.150732	2013-08-04 01:10:10.099066	200		0
18231	10yn39oi1fmao7mby6r397c03q	$2a$07$/kQtGI/csT0D1M1vh4Y7P.Qk1p2vADkxv0rC3ARldFkofSKyRtUcS	45	2013-08-04 01:09:52.173899	2013-08-04 01:10:11.001553	200		0
18232	10n9x4gzrpoa8qeu9ay2jvc95r	$2a$07$iAJ11eWp4YEi07LvIYsXVOvomRi4RExB9yVSGx4UXNyF0KrkmxC3e	46	2013-08-04 01:09:52.196842	2013-08-04 01:10:11.147579	200		0
18233	10jn60tr6ujbe7ldznrzpfjztu	$2a$07$Q3m7QljrBPw71uojyQ9eLubGL2QbCoXSfKsbJcNzteWX8/jH2q2wK	47	2013-08-04 01:09:52.219784	2013-08-04 01:10:11.294915	200		0
18234	10ziz45bt39h73x6kegxietd08	$2a$07$762eZuyrKcfodkWuyYT7pesF27RSYbbsYwV6bwolsO2Jb0rNudPAm	48	2013-08-04 01:09:52.242274	2013-08-04 01:10:11.422876	200		0
18235	10l4xjfvwx2t0yggiikq1ce6d7	$2a$07$rYwHz1qaeBU./Y8Re8f1DOWbYyDVSK97QUAyPbAMlbErCxQ4Dus4a	49	2013-08-04 01:09:52.26483	2013-08-04 01:10:11.570285	200		0
18236	108apxshtxa196c82gw368cnol	$2a$07$RLL3CUy2QApqp1ZawSjtBez.FS0M6SZQzLtVd/GvYVxXQZeTxXp2i	50	2013-08-04 01:09:52.298502	2013-08-04 01:10:11.701326	200		0
18237	10r7wroj4rou4a8t9ut76kov3n	$2a$07$TKAuLOGbERSNTcKL0/63v.rBYw6rQJY6FESb.djbkl.kH4Dj5zvmG	51	2013-08-04 01:09:52.329003	2013-08-04 01:10:11.830123	200		0
18238	102dssdtsnbkli9e2uwfuzh2jl	$2a$07$pEHKCD36UT1Dals/BDg2audK8D3KjvuX.jyPvKbf3GQg8aThyNc7e	52	2013-08-04 01:09:52.351944	2013-08-04 01:10:12.105381	200		0
18239	10by5dvq8pwpwggjxsl76xv4li	$2a$07$lHMlnv30v4EdnOK7X/rT2.muwOO5v3Rt4uMpTcKNTdKuuNPqTt4/C	53	2013-08-04 01:09:52.375163	2013-08-04 01:10:12.402899	200		0
18240	10jjgf2eejph8tamz0b5o11kwt	$2a$07$arFcg7zsROhk6IDGk8znhu/ljYvB2JbGma7XVZ3prK4CWi8GJWFcy	54	2013-08-04 01:09:52.40217	2013-08-04 01:10:12.599352	200		0
18241	10pwfz476746usi8pueuhwg2ke	$2a$07$ieWR.Bn1iin7lb.Gs.acpOBVOqq7Sha8sfKA52XPjyTmTiFpckxFK	55	2013-08-04 01:09:52.430648	2013-08-04 01:10:12.717713	200		0
18242	10zm1djzxmc4a9pdj4l7x6zip1	$2a$07$LUFKEOCk62jJuJfhQzcPUeZBftCloW51yTGoWHUxogIHRE4q3Z3WW	56	2013-08-04 01:09:52.456522	2013-08-04 01:10:12.853136	200		0
18243	109o1zqrdasd7yih7gpm4a9os5	$2a$07$qtSVoWRARzYrWl00YGgV.uHpQRJijK8NeqDtY04gfWzfP8qv.1yVC	57	2013-08-04 01:09:52.480532	2013-08-04 01:10:12.991796	200		0
18244	10pyqqszquvw2mozpd39ddkb9a	$2a$07$vEN/lt3MxRzuBsRKLVxAr.WDG7xqx9JOV1bH2.jfgIIRMdmrIqnCm	58	2013-08-04 01:09:52.504017	2013-08-04 01:10:13.124867	200		0
18245	10vf56lo84p1liyuyvg5ny48qh	$2a$07$aCGStQswqHdio9TupXy.ceK0UFkTScmoMPmCkjA6Rp/WEbTsbEIZq	59	2013-08-04 01:09:52.527829	2013-08-04 01:10:13.311814	200		0
18246	10s5pxrikj8pft9g4i79b07rqe	$2a$07$2soEJhFgA.tQWqEzhWoPMum18ovHLcUsegXmAhH445cvvY7SoKuPa	60	2013-08-04 01:09:52.554014	2013-08-04 01:10:13.447916	200		0
18247	10zuvxdgj7ra71b3ggdxpr0kag	$2a$07$KPwPMRUQ1Xw1FCIFQ02MpudiVeSkMys0NSHYRB6IibyXj2OmyW2US	61	2013-08-04 01:09:52.577577	2013-08-04 01:10:16.284056	200		0
18248	10d38upd28k6jaht3ha39127ui	$2a$07$F8RwW8DIE8ZODnn/zlaG5OUC1ImMItmMrh8vApkCATcCLmSjOKQ9m	62	2013-08-04 01:09:52.601184	2013-08-04 01:10:19.482325	200		0
18249	10hs3nduayuonq8lkmha4r9k7t	$2a$07$0ibf4e0CbT4i0I77liP3Fes2eErpu7/zEHJgWfW09nB48Gyd0uvrm	63	2013-08-04 01:09:52.624626	2013-08-04 01:10:22.579342	200		0
18250	10as216bef30gw3c7zej8z0ju2	$2a$07$Xq91WoMCvLEuGho.IgpUm.juXVY1eidtumh3vB.3l.Cd5ez23HLhi	64	2013-08-04 01:09:52.648911	2013-08-04 01:10:23.040003	200		0
18251	10cpdhpnm84lxhwel4w327n9hj	$2a$07$kp9NKz9YxZpR11356hp3nuzm4hlvwjCqBxiPt1QRyKjg95qkZaQbq	65	2013-08-04 01:09:52.673198	2013-08-04 01:10:23.180346	200		0
18252	10rskfylpml0bl9ljx73mbf7u7	$2a$07$.NqlClPt0bSs6hKCoiI6eeiSf8An9d2Glgi7I30tHdy1G4GlKD9w6	66	2013-08-04 01:09:52.697242	2013-08-04 01:10:25.597012	200		0
18253	1053wcd2rg668uejimh2txumiu	$2a$07$1lBK/.sxfsqSvw4Ny3Q6ouVT.0Fe8LIdHPJqdEfGavZs7DqqWPGmy	67	2013-08-04 01:09:52.722046	2013-08-04 01:10:25.721389	200		0
18254	100wei952a309wg28ep602u50n	$2a$07$WT0QqK1qt.xPiXSjQElMq.y.E5PoM3YWcwVKYokMsBWkQjZQGMykO	68	2013-08-04 01:09:52.761924	2013-08-04 01:10:25.843079	200		0
18255	10oswnxoldaj06g6jkau2x3slz	$2a$07$baqeSdDSpDs46MEGO3B3sO/gz.vTylvuFBVjHo6dZquf0oPHKfiu2	69	2013-08-04 01:09:52.799354	2013-08-04 01:10:26.029249	200		0
18256	10lc1dpu43ld7un76w1pd68luk	$2a$07$iPgZzKMojsEsADYtlDtEGeuVbkPuDXZ0UsgY566SlpQqBMpwKySPS	70	2013-08-04 01:09:52.825253	2013-08-04 01:10:26.154375	200		0
18257	10dm9zgv16g9ivqwcjju4r7w8a	$2a$07$mhV8HuR7SUrljxXFxcrUbechY3ncPqITRlDeu.4Sln2CpxZmOJBF2	71	2013-08-04 01:09:52.848637	2013-08-04 01:10:26.301385	200		0
18258	10cw98cr6ia91el8tb91sdvkot	$2a$07$IgfiTPc5zhGn6DyHjm8wruwqlW0bF4dHtBH.D1iKWtSPZ8O9MiGmO	72	2013-08-04 01:09:52.871583	2013-08-04 01:10:26.454278	200		0
18259	109z8gsqbh4y4k9w0a2irhfw68	$2a$07$ikFTDMTpXp6EQJTzzjJ9TucpApDeQUw9PmOvE1DQ2z8HId/jlb0JO	73	2013-08-04 01:09:52.895951	2013-08-04 01:10:26.727046	200		0
18260	10dllgid8ynpb36yi74y2zrhrq	$2a$07$fGVJMCsBJu0OhiX5zp6Y3ec0iFf5TCEfEFAmm3eoT5zsPEpOvLfKS	74	2013-08-04 01:09:52.918608	2013-08-04 01:10:26.844966	200		0
18261	10b8o91qufafpz6yddcy0ryzil	$2a$07$n03W0Bx3s.EBi.rYjk57Kei2uPmll4GkNNCJ46.gXUvXkkXH6Qjxe	75	2013-08-04 01:09:52.941686	2013-08-04 01:10:27.050501	200		0
18262	106hv4kkvvwcozcowject6cfov	$2a$07$vOalsFRe3bnLwRKFTSzAi.VTlVlNOWk1GGpf19bDx8z4mX9m4W866	76	2013-08-04 01:09:52.975713	2013-08-04 01:10:27.297593	200		0
18263	10dlfqk20gdqqxde94xf9kvboj	$2a$07$ViFJyBPrdMpdL5RDzzDjZOLKiKZ4DTnTR9JIBM1TRsMWAi7qJUU9i	77	2013-08-04 01:09:53.013569	2013-08-04 01:10:27.408847	200		0
18264	10121snghsimbp9qm8g82sbtfw	$2a$07$m2kZS7G7pWZWupOjO.IEuOeaEoCCyIJIQTuf82pcPU9XNu2QSA6te	78	2013-08-04 01:09:53.049279	2013-08-04 01:10:28.57698	200		0
18265	10o1znl8r1macvlv0yb51d9y05	$2a$07$mY8bZ7ZY4xoWYY4Itb3/dOnApbG8EBkex6t9tC.cbrBXNFllYfWHC	79	2013-08-04 01:09:53.073539	2013-08-04 01:10:28.732157	200		0
18266	10b8u4vugxjnrostf6r43305x8	$2a$07$0lCJ0kPfRVjmUyTru8UOUOR5ujUeqKoOrb9Ol0zIUAx9P2ukdarHW	80	2013-08-04 01:09:53.099697	2013-08-04 01:10:28.8819	200		0
18267	10zoc268mfpe0p72ck6w28m5fx	$2a$07$0kXFSGdF1KartvWBt7owm.o5NLfQIg8EdSLC6t/c4yY9A.kDQROEq	81	2013-08-04 01:09:53.122741	2013-08-04 01:10:29.161908	200		0
18268	10rsqholhwtr39dj4z8vzvr6vw	$2a$07$bASPZhtS93hyfNt326ZQcu3HFi0upSZq8pv02r7AohbH371Do//Su	82	2013-08-04 01:09:53.145243	2013-08-04 01:10:29.292163	200		0
18269	10smzt8e3zca1ht2je0kzcydnn	$2a$07$emrJeGMduZEUnPvddcNJKuHq.DNNY4nkbtDjnzLBCmAeUNZON9FLi	83	2013-08-04 01:09:53.169716	2013-08-04 01:10:29.413201	200		0
18270	109wku4np0jncyd9vv8drz3l00	$2a$07$AeTGobqrGBjk7g7iPm3qWuK/r.FKd4WSKeVvssOOiArL3Y07NCpBy	84	2013-08-04 01:09:53.205735	2013-08-04 01:10:32.091353	200		0
18271	10rbbiqxzfddnnoozfio4bpgpr	$2a$07$vrECZ2.ZN2NPg4vlIye6ZuFldP8mO29SFVrDjt2lwsekhi6vGHPT6	85	2013-08-04 01:09:53.228949	2013-08-04 01:10:32.441279	200		0
18272	10wp595eyoncscquo2tsncfs8h	$2a$07$IkhwkBDHE6zdyTFIqyEFKOM1MYnt18mPzpgHsC.gbiCzy/joCLFSG	86	2013-08-04 01:09:53.252892	2013-08-04 01:10:32.840836	200		0
18273	104a3e5lctvj10zpctnooa1sp0	$2a$07$MzpZ2dSl4kQFKBwtCOerxujgoGdX3YfZyIOJMuDrXhYrUvc0QRJsO	87	2013-08-04 01:09:53.275508	2013-08-04 01:10:32.999395	200		0
18274	10xpy0yk0qhfr0x5741nhk9dhn	$2a$07$kGwa34ESFreuexgKciJ17.6CrZgU6mFras7/rwIGFNKwRCQKFTz9S	88	2013-08-04 01:09:53.298858	2013-08-04 01:10:33.162495	200		0
18275	103lt2p1fq5korwsksp4jn4fl5	$2a$07$Q.o9XrhW5X8l60w3oV5.zuuDr2qMSg7aaiFFjJFtUK284GTWvdWRu	89	2013-08-04 01:09:53.32158	2013-08-04 01:10:35.528946	200		0
18276	10msufp47046avfvbrbv1ruake	$2a$07$IB0hFh7IV9inhx2uBx.h7u894FmqruNJo44ZQAS8np.u.nA1mG2mm	90	2013-08-04 01:09:53.344388	2013-08-04 01:10:37.40567	200		0
18277	103ct2a7z97uum4wlmbie8yi08	$2a$07$kBPE1ROLiKGQ8ryMw3zMOOnxzs8PmWbugBOorK9wcQpofmQVnijYC	91	2013-08-04 01:09:53.367313	2013-08-04 01:10:37.533271	200		0
18278	103vumpygy6z2mtups0qj3hgsu	$2a$07$srkNpndUmgZMqFgJPA3B.uLfgkUpRvrwQRlA0YnwiwzQ1Q.dA44BG	92	2013-08-04 01:09:53.390704	2013-08-04 01:10:37.645735	200		0
18279	102k9eq7dgpz6ew4hqasvu5f0k	$2a$07$thqfJoXz1hl7Eodkxayz5O0MYvyB3qUtmL1HLDr7n1p99xrS0B5sq	93	2013-08-04 01:09:53.41358	2013-08-04 01:10:37.776375	200		0
18280	10rgt7akopbi9zbuzh47dx5h6s	$2a$07$plrO2OOER/3gOqGvtqrI8OFeMOD2jWZ3nTBlfbi/euT6/Y1JRu03y	94	2013-08-04 01:09:53.438667	2013-08-04 01:10:37.935953	200		0
18281	10tpohfbqiydhqvhmh3ldbjh5t	$2a$07$RoyAEGhSaaiT9nKsx/5NxehxFTc5nZ/6v0DiZjLb.KtLweSCG0ZN6	95	2013-08-04 01:09:53.469806	2013-08-04 01:10:38.057225	200		0
18282	10eg1y6bo6897ue3hcwtv44czf	$2a$07$xt8bawWC/jC6BCGoKw4goe.j0jAXJqC/hK/ZU0ikVRUkaRJ0whWnK	96	2013-08-04 01:09:53.496377	2013-08-04 01:10:38.174134	200		0
18283	10gnpnsap88747gqfic04h1ydz	$2a$07$njgj1rP3eo8DjgUkBj3g2.xWpxdQJ7eJGmZ4H71a4uscYasRYZALa	97	2013-08-04 01:09:53.52072	2013-08-04 01:10:38.31652	200		0
18284	10hy93na4xl4crqkon5fostoof	$2a$07$.0OnTo2X8Mq5r9DSqOb03OfezcLzpJBEWWMQY9xRW9R3OK4OE.He6	98	2013-08-04 01:09:53.544685	2013-08-04 01:10:38.429572	200		0
18285	10tdz3svfrd1asngw0h5qmk1o7	$2a$07$3iMgJEIBK.Ys54wVQMIe2OJvwMDT5a5IevgfeNsMlU8Rni7RxOMMa	99	2013-08-04 01:09:53.577087	2013-08-04 01:10:38.561638	200		0
18286	108wiehi14799jm6ptdg99c74a	$2a$07$CP0zUWlfpylXCvP.LJw5.eTI8ZZK8sN7kAXs1sBMLKroMS57ascaa	100	2013-08-04 01:09:53.613826	2013-08-04 01:10:38.673067	200		0
18287	103h9g3y3warvvb2ycdiwano0b	$2a$07$K.VL/Js/CfMAlj3uGZVZ/uHo2hwMpHNSFblaQZBDXvSQd1M8.qoQa	101	2013-08-04 01:09:53.637121	2013-08-04 01:10:38.814557	200		0
18288	10sjnt2iw2bb20asxsuf3unehh	$2a$07$vCg5L9nTNdEl3jOHqmUI6.b/VQUgrttnqKDpnMTY1AZwoyv3jMpka	102	2013-08-04 01:09:53.660738	2013-08-04 01:10:38.94746	200		0
18289	10bnhxfhgfpklj8yze5dllk3b8	$2a$07$fym8l2ON54UTGURsDfSIQ.lRwNGgRj3MhoGQWGq9u9a8hjPhbgGhC	103	2013-08-04 01:09:53.68426	2013-08-04 01:10:39.276809	200		0
18290	10wllrbxajkrjt23e74655vjtp	$2a$07$2867XByJZY5ldC/MjOiv.OQMspjRV2I0CNaY/JrwFwURnL2sl/oj6	104	2013-08-04 01:09:53.707291	2013-08-04 01:10:39.522349	200		0
18291	10veh0j294wh0k1p5lkxuy77r1	$2a$07$ebU6UrpEW/iXCAVWNPyZjefXOSAFcfFcmZ5R6pHuCLl6c/YA85ZZq	105	2013-08-04 01:09:53.729391	2013-08-04 01:10:39.623984	200		0
18292	10szjcmjdoo18eyoirbv909yun	$2a$07$uH8d5/0liV2Mti6xmIW6aOwN3yn3RYrEFPOLECePwLjoPrEIateoy	106	2013-08-04 01:09:53.752405	2013-08-04 01:10:39.737006	200		0
18293	10f3yty0biexfkc4hwbdjnyef6	$2a$07$EjVUUpjm92xYbBkqDbfPoeGNcTfwPiku1YisHbXxfpYFBAGHMn.hS	107	2013-08-04 01:09:53.780248	2013-08-04 01:10:39.873117	200		0
18294	10xhmpwt5sf5l6m7qmxymndaki	$2a$07$IGvglyWmV5tPFlujQYyRTehK27XrNrpCivu1EceczjsRTCyVFv/1i	108	2013-08-04 01:09:53.809997	2013-08-04 01:10:40.013086	200		0
18295	10jrynpiegc2emjpstkhm7bw0e	$2a$07$COF0KZM44aY/iACq/ncIBekS0PyvMr6WYvUNbh4jRE5Y8tzC4wbC.	109	2013-08-04 01:09:53.833334	2013-08-04 01:10:40.381751	200		0
18296	109yfso14fyvcar16s10u1iioo	$2a$07$FNlq./ZHgZyw1j76eTTplew4k6lxAiuxrrDj4q8FwjOgqpiu4f7S6	110	2013-08-04 01:09:53.857413	2013-08-04 01:10:40.496372	200		0
18297	10abctka0bwg4tgptk87curuya	$2a$07$qdDmh.CACOuW62y9V7JLKO3E3gKRgh7PuGMlG/PXMooPXh8SSHFFK	111	2013-08-04 01:09:53.882072	2013-08-04 01:10:40.628784	200		0
18298	10xk2mjgczk0e0umevexjq0lku	$2a$07$LYWzBCy4A9iOGyQCmmivmuYauvyGlfQ53SWLU1LvA8nm8BTvd/p6C	112	2013-08-04 01:09:53.905883	2013-08-04 01:10:40.738813	200		0
18299	10xz69hc0jcb9qwngwj6x4m8c6	$2a$07$xBP7U4.jlq5BJqF4n1ZXoObUGvkIfb6P3Qk.CdHYFyBx1dx2XjPo.	113	2013-08-04 01:09:53.929897	2013-08-04 01:10:41.836143	200		0
18300	10xbdchv20s9w75g13eno8fbhf	$2a$07$3tJMO2uHbjkfwHwSwD.0FeeNXffPelaGsMTJqsdR2K5gEmQDQcPnm	114	2013-08-04 01:09:53.953106	2013-08-04 01:10:43.01088	200		0
18301	10tucw6tecn5z091pbc7sao617	$2a$07$GJwKPhRSdiDutZF5kLXc8uTglidm3KbZMUR36sK6N/ihGGK6qBt86	115	2013-08-04 01:09:53.977248	2013-08-04 01:10:43.336033	200		0
18302	107i3ijtkl3gre8eg49m17uflg	$2a$07$a2Mk2Z6wNcVebLLXKImGyejHLKPLRqks4EjNhGtMoyLEbU2MKxF8G	116	2013-08-04 01:09:53.999663	2013-08-04 01:10:43.463834	200		0
18303	1094bxidsqszrepceye9n6zi86	$2a$07$fNvifitZzLPfsAVZkJNcGeHb0TUYiVMmAed2tcXfuAaqrTPOBwxqi	117	2013-08-04 01:09:54.023475	2013-08-04 01:10:43.60392	200		0
18304	100oug6icx3t7ihsbyqkdxxx9f	$2a$07$5kTYxir7zxUz84HbTJfKzO096QrXZFwtw/dTd4SMnYHv68IxuhOpe	118	2013-08-04 01:09:54.048411	2013-08-04 01:10:43.732525	200		0
18305	10026s7guxex3u4zu4yuyk05v1	$2a$07$I4QHipYvwYUg/HoSaVEOh.Dd7rDk2M5TQrz3jQG8iVjC7opmGGM6q	119	2013-08-04 01:09:54.0713	2013-08-04 01:10:43.861998	200		0
18306	10tlycwimor98s1d3byv90au85	$2a$07$xnIFrvYGsVgOpCQmyfcEn./85ZBKycZrQwK0Gfyk1X0jamaJVGwCK	120	2013-08-04 01:09:54.095348	2013-08-04 01:10:43.978884	200		0
18307	10xhbz6ip12sm8dllc4geh45z5	$2a$07$zwSiHwgX4npkremZXsT9Zu5sctSZOhCjM79ZhJ4ZxHF5IsH65eviy	121	2013-08-04 01:09:54.119371	2013-08-04 01:10:44.168993	200		0
18308	10a7xyvkjqvzj6kj7145wv958k	$2a$07$3tHNkrx43mOyodEVFFZhV.DB0vCxc1s0nh6KG/ge2JoTRpRVUh3Le	122	2013-08-04 01:09:54.143912	2013-08-04 01:10:44.316731	200		0
18309	10mh3ybo5w8wsdi5b0uo3ghw4e	$2a$07$OYtcmMDGSqP6r6nrSP4T5.7kTvbZF3.PbtbKU20F/1Y1yRJSqlOpy	123	2013-08-04 01:09:54.167466	2013-08-04 01:10:46.740408	200		0
18310	102wo6z85bkknz3z1m6gy9sd5z	$2a$07$GTCff6J3s8SBAhzYJY1Z4u4Z03pMtyLjoDD9EmcvB1TmMWsg3HpB2	124	2013-08-04 01:09:54.198549	2013-08-04 01:10:49.678447	200		0
18311	10010imaz58dgg122ujab9wut9	$2a$07$KCVpnA.pFOKsMmyieT/JM.HTw0lSriEverO23RM.6msgHQEZjpady	125	2013-08-04 01:09:54.222457	2013-08-04 01:10:49.949087	200		0
18312	10q5o0ixudprj9ubqr5pf0plxs	$2a$07$ZpwZG6TCbH5m/E0XmTDA7uMkEq7zcwIMcgk7w1kPoWuxxX1lyTiTy	126	2013-08-04 01:09:54.250033	2013-08-04 01:10:50.218998	200		0
21708	10rcv2wvpcdgq8jwtwvy2lnlpf	$2a$07$q0APCg3uQbTMM2SMBLPkwO7SV4JlnbfdXkP3On/ludkAJajSmSCtW	120	2013-08-04 17:20:56.937934	2013-08-04 17:21:37.393701	227		0
21709	10vvalj3676fkjc7vxvw47290i	$2a$07$6n0a2hsw8izNsJoBx7qXD.KLNvQbjUQWIT/.VHaJ4OWSVd0kmkZUm	121	2013-08-04 17:20:56.95963	2013-08-04 17:21:40.438877	227		0
21710	10df0xep7gie4mgip8l4kb14i5	$2a$07$chPnROMS9SbElqAvi5WLlOwwk.h2hv.F/Hjkl5NaIIoa6PY1xPxPa	122	2013-08-04 17:20:56.983622	2013-08-04 17:21:43.677006	227		0
21711	10kayhim8rkixk6nnngb9xpsk1	$2a$07$Z85XVPQZMvEzrfV.Q65UxerThztqHgANz65cdYjU/a.plj1PCa3/6	123	2013-08-04 17:20:57.010087	2013-08-04 17:21:46.307372	227		0
21712	10qopu1bwim66zc2kch1bad0xe	$2a$07$x1XXBA/w0Gyioxm3mlN6Kebb6FYy.wNEII5cxH6dNpvTzLYXkh31q	124	2013-08-04 17:20:57.041981	2013-08-04 17:21:49.457288	227		0
21713	104m027h86v4t6zjrfjst0yrl1	$2a$07$QakbDan/EutK/sU/25B76eHfUXtcDnayJnuLvmoSQzBagljV8iKl2	125	2013-08-04 17:20:57.063706	2013-08-04 17:21:49.565289	227		0
21714	10e80urs328zvhna2zzh9996ni	$2a$07$d.TNl.bCCn6hhw5Yc5LW/uZBft3fPSJJh6Nxy1tS7nqHvW5f7.GG.	126	2013-08-04 17:20:57.085345	2013-08-04 17:21:49.696828	227		0
26505	10fxlnzi3vysmmtubqs3v8ktsg	$2a$07$9wN5j.A1qdQ7op8lwYToYeYnRpkn1zEsVQBumwpFoLvfN.4aeDBk2	3	2013-08-04 20:46:19.142514	2013-08-04 20:46:22.751687	266		0
26506	107qwfr3legdzi5uvsecf8ut14	$2a$07$K3O/Q/vPseeTARDy8/oWbOQ0vNbvARqMtOgA./tTNp6l/3BmPX53K	4	2013-08-04 20:46:19.16606	2013-08-04 20:46:22.860909	266		0
26507	101c66s8qhv5o8yo0btbjanqjb	$2a$07$vdUtCcNNR/SERDT/lMaA0OYtRJ8NW600Ec4bXhSW.KTKUwMHZvlj2	5	2013-08-04 20:46:19.188409	2013-08-04 20:46:22.997354	266		0
26508	10monmbnmho5d4fw8x0ttq1hz5	$2a$07$0boOkiDwlKcpFE5KZsxt/uUkwpKFiYGH8myGUYtsqM7uw3pBqMpum	6	2013-08-04 20:46:19.210893	2013-08-04 20:46:23.146063	266		0
26509	10fra11n1m048dqnzcijbj5e1x	$2a$07$XkgBnJka5iFw.cSwoGYoCOc8HKMdFCLT.BD2YdZbTv2AeXON.S7be	7	2013-08-04 20:46:19.232948	2013-08-04 20:46:23.270838	266		0
26510	1034sh0g7mpol738yzcc1l30mz	$2a$07$qdkutkLLt4U4rL6aYgHzNeSbK.eaS9.OTlEmearWPXwBGrTvgyO4G	8	2013-08-04 20:46:19.254599	2013-08-04 20:46:23.500045	266		0
26511	1092t7nw1bc3108iurfgal70pi	$2a$07$HU1tNU2ltMlKCtcrc/hzdeYSwpaQ8YGPRYqh2LEtk36Y3/mn2C6CK	9	2013-08-04 20:46:19.276157	2013-08-04 20:46:23.739597	266		0
26512	108ykl4rg2fjw51phbn9ktfbi7	$2a$07$KE3xfz97jE.lglRVdsCAc.hXDBIw5bMgfoSYxsJmULJEFe633.s2i	10	2013-08-04 20:46:19.297806	2013-08-04 20:46:23.895671	266		0
26513	10qevmeek55bzsajgrctp5m7gt	$2a$07$wVUba7w6MbMgdZYB6SAUL.0SJozcJeNxeppRcTewkGSzEe3gbq/VG	11	2013-08-04 20:46:19.321657	2013-08-04 20:46:24.034681	266		0
26514	10qko8oyfz4puhq4ggiw9fvblf	$2a$07$gazvpBGuC/yj48TvU1ez9.ARh5vQp7M8zm2.qkljzR1okgQH6LirW	12	2013-08-04 20:46:19.346425	2013-08-04 20:46:24.176842	266		0
26515	10dgcaf8usdxvfdnz6w71t513h	$2a$07$ISzn7hveSi6M2sBl1dhK/.B3XWR7bBpbjVO8mR0HBR8frcCKP6P0O	13	2013-08-04 20:46:19.371027	2013-08-04 20:46:24.326766	266		0
26516	10bjnwvkk0ynphc7u7e2xz2sa3	$2a$07$IzVVpaAhU4re8buK7S.FLOQ0rO5PSh29.e2WXlbaZ7KuOANj1vdB6	14	2013-08-04 20:46:19.399442	2013-08-04 20:46:24.470584	266		0
26517	10uts1uk5u6k20lroanf7ac7n0	$2a$07$2vKJOszTFHQvMJyiNj0h8.wBdTeA/NbppoWOnR.ih.YKU2WEi/Sy2	15	2013-08-04 20:46:19.433743	2013-08-04 20:46:24.59024	266		0
26518	100oljxf0oj2hf4o8ko5jmmani	$2a$07$oGyRVmU1NxtPnC8rmQqqNeS39U0dlKRpzI3ll/jc/zp57MSUT30Ny	16	2013-08-04 20:46:19.455706	2013-08-04 20:46:24.735847	266		0
26519	106o8jefvcs3449dghrk3ayr43	$2a$07$wJ1oi0k3SPXw579Bk0w4uegDZMIvUZd.9VtshfoGVTUFEnemBl9OC	17	2013-08-04 20:46:19.477885	2013-08-04 20:46:24.867807	266		0
26520	109q82spvp8es6k6rq3idn0tzy	$2a$07$K9HAjgODnwOeL4aGI/OxE.TYW8nEQcVS.ztfa0lEjk9ryij6qH6PW	18	2013-08-04 20:46:19.499687	2013-08-04 20:46:25.040017	266		0
26521	10wv8vjkxpo3aut1i92k7swyki	$2a$07$bTz3AQj3V2Nk8KDmphSM4ucPedoUKQS8KuYYnjBrYQ2hbr8g/qKpe	19	2013-08-04 20:46:19.52182	2013-08-04 20:46:26.308927	266		0
26522	10dga49d7q1f6r04lt8oam3lrg	$2a$07$EJGea.Kz6BVFIT3fNXdI.u9jrL18akj5.tfQnoAXPa23P4C4U7zSq	20	2013-08-04 20:46:19.543892	2013-08-04 20:46:28.05062	266		0
26523	100fdn8gloomosgq840fdfj98u	$2a$07$GOgyXiw2x1sJz6ko9czEPu2ulut61DQoypcBOk1UW9Lbxg1AVd4hy	21	2013-08-04 20:46:19.566548	2013-08-04 20:46:29.329041	266		0
26524	105ogtcpvcqh2ln79cw4ghxnqn	$2a$07$JajjuZX4QyTGq5KlEJTRy.7rkxFK8ODpA0qTKzMehzYD8QT/GdJGK	22	2013-08-04 20:46:19.590426	2013-08-04 20:46:29.473603	266		0
26525	10xj5s0rvovjzytc1bdbc5qc73	$2a$07$.01Vi9gW4r/KPbiL1loSQ.ZjF4NTj2jxrvSNI7heQG6xFKhu76Zxy	23	2013-08-04 20:46:19.614949	2013-08-04 20:46:29.616296	266		0
26526	1066o9czxf13idyzq3iwfu8k5s	$2a$07$e9J6U9t3hCQqhUE/IW2nfO1HvTk0bdr7yVkZ3W.jdZkec7W1nZa5e	24	2013-08-04 20:46:19.641044	2013-08-04 20:46:29.752908	266		0
26527	10m8ms0zw8q7f0wfuae809fo7z	$2a$07$y2vo9qbVUn42jeNHGNt8Hupl3JAbvXRn7zwrDVkPQ9lbHvbWKKB4i	25	2013-08-04 20:46:19.675827	2013-08-04 20:46:30.809142	266		0
26528	10t9bluwkf5fvw79462f14ass6	$2a$07$Tp0wGyrFQtNQYGuapQJ2QeGp3w.LwEyRRGgpT1yWPaf3qEp8TMKcO	26	2013-08-04 20:46:19.699333	2013-08-04 20:46:31.85368	266		0
26529	10v4bm6efnfdiflja6m2mtmdj9	$2a$07$JywFtLY.Wqm40FUZ9TCReeDdNHH7glYBwAqXiMfYonsQmGifX8wu6	27	2013-08-04 20:46:19.723241	2013-08-04 20:46:32.898244	266		0
26530	10r6fcfces91d3ckygoh55xbbg	$2a$07$othQv3zXOx6GAm98E78SwuXkOktejedIoWJnMo5.HdlcvJ0apHGH2	28	2013-08-04 20:46:19.747531	2013-08-04 20:46:33.183458	266		0
26531	10c8wy80whb5w52gxkthipoumb	$2a$07$BCmsuF2tsGfN3i2kiYIFSuCUwLZgzDKHsURtDPnNvE6uz23NRzSJS	29	2013-08-04 20:46:19.771828	2013-08-04 20:46:33.316054	266		0
26532	10oqtz99ogz9jkw1krrhp1knee	$2a$07$LSU4MtxJbqygh/ZhdyBFe.Dnpn0HTjGaKesrhPQI6wDcvZ3wFm/lu	30	2013-08-04 20:46:19.80685	2013-08-04 20:46:33.537043	266		0
26533	10n2noh7tx1i98n0j9cta2b2m3	$2a$07$GA1MSw0R/OMxpwU/NL2dLO4/TRcgGLlrw9lMg9yxDOcuWDgRniV.u	31	2013-08-04 20:46:19.836107	2013-08-04 20:46:33.686615	266		0
26534	10f7knw87uu4uo3x15qnx9cfnh	$2a$07$b2/rE9tVAgi1Nq.u1IFumus4uNidZ4Fn/0tLHqfRpMsKRlU/BAW8C	32	2013-08-04 20:46:19.857847	2013-08-04 20:46:33.83858	266		0
26535	10db8aykybetl74rfo4ke9alpq	$2a$07$2w4cOAL03oKSPYzWZxWprup.GVfa0zdSat4I9bg3UjwIeCsEwNKO2	33	2013-08-04 20:46:19.879484	2013-08-04 20:46:33.983529	266		0
26536	103h6rs35hc5p8cf644shcb2w5	$2a$07$K3yW5schX7GwGtPpFrLsQedXIJGGHd.25BMwh4Ad/fBbnAp9qPkja	34	2013-08-04 20:46:19.902359	2013-08-04 20:46:34.18093	266		0
26537	10jzffkoj6u51y39f8o9islbz8	$2a$07$OaEZyUulmo2stPmNs1fxLe6lXiRmTtuhkDG3xe3d/rk6Mk/DFNpO6	35	2013-08-04 20:46:19.927929	2013-08-04 20:46:34.460778	266		0
26538	10vxkrvn4k42eds92eae3esd9f	$2a$07$5nouI1/wvoDgojuJDf455e95RR9MW2qn43pyGtqDumqa5ZQ1CHQJC	36	2013-08-04 20:46:19.969048	2013-08-04 20:46:34.690644	266		0
26539	10y3iimp7e2xyz6bxqmy8hhqvo	$2a$07$zyKFv5Y.S.hPo/dfAq/F4OwnUIms55gTXCPLcRzC06zYCqDVpKLAq	37	2013-08-04 20:46:20.000486	2013-08-04 20:46:34.83908	266		0
26540	10o5wuyti6wxtqsg5lvuc9n9qf	$2a$07$dzNML9m4M.6DMY.xmgGOq.8ot.ya8WU6wtlfINZ4QZ03I3hYd9jke	38	2013-08-04 20:46:20.023727	2013-08-04 20:46:34.993062	266		0
26541	102datekbbtzd2agtpa68kw8ne	$2a$07$3XowVOoC0givOv3WcdPWWeGDACxzez8ggQli70hMotzkz4KF.SBvW	39	2013-08-04 20:46:20.048615	2013-08-04 20:46:35.131697	266		0
26542	102fqr3xejpmwjmo63ttcq9gla	$2a$07$4BVh1vX4Nz276fx8c4CPoOg/YBNpTBlEOjb7Pv6Jo7pBHTe.FVhrG	40	2013-08-04 20:46:20.084622	2013-08-04 20:46:35.296215	266		0
26543	10svbexbneimndzzoz5n9g81ve	$2a$07$2zk7fmCacaKBh1vPOXX8H..iyo6UpLh8jL7Nn1hj1AdxdT023Fl1i	41	2013-08-04 20:46:20.119689	2013-08-04 20:46:35.476796	266		0
26544	10c8lpmmu1z3b4wp3obiacz1q2	$2a$07$pKcavx6Ilh80hZqaDdWhde7Ut39oklQpFL8aJ9/vGBoMZDLFHle72	42	2013-08-04 20:46:20.14195	2013-08-04 20:46:35.627029	266		0
26545	10y8d5l08pid63v3i4khm7tnyd	$2a$07$K9WasP8mg0LDH5cOTkmC0OgEJgvzQKUJA2BTZ1dKL8ofIdluntCGm	43	2013-08-04 20:46:20.163977	2013-08-04 20:46:35.777339	266		0
26546	10312sqmx9a5f3baorfbp8kves	$2a$07$nGyxUZBRh1ZSkCu3.d2YUO51DH/PHYLRrC8.YU.WnTzFJhAmTLe.G	44	2013-08-04 20:46:20.186005	2013-08-04 20:46:35.902274	266		0
26547	10pglfzdr7k97saypg36cjweok	$2a$07$V3gzR5dGV0b/kRYHhNdkouhPAzZMMXq34UJXcsNYe5w1C5Ah62YFO	45	2013-08-04 20:46:20.208612	2013-08-04 20:46:36.048912	266		0
26548	10swze9w3n2ukfff8v4fed7c5y	$2a$07$s421msxRANkoACZ7z8n8keT2gN2vrXRWiWgmgeTiHXsnv8Je5i9vm	46	2013-08-04 20:46:20.231688	2013-08-04 20:46:36.18842	266		0
26549	10sfjhm0ltwa66o84dlujk03y5	$2a$07$J8a1rOlTmXuBh9XEeNb2TeHYRXVI6b.AO.o6u0FkX4y6C9PGDcAbW	47	2013-08-04 20:46:20.25444	2013-08-04 20:46:36.318216	266		0
26550	10ud5asnxcp2byqua15vc3n8hw	$2a$07$SxSGcFpMUtM8hjGvs3l.2u07uU52EIILPM1moQXvdV8eFcla4pWLq	48	2013-08-04 20:46:20.276124	2013-08-04 20:46:36.498903	266		0
26551	10ew4tlymogg51dkkqu5e8233x	$2a$07$WdG8D3PFobx9PPR22O2BPeonnnwgEUpwCrD3PQY7wRjuX3O1CPcru	49	2013-08-04 20:46:20.297855	2013-08-04 20:46:36.655566	266		0
26552	10iufg6sqv4mxw01n0pwyys5jv	$2a$07$ZvqneCh61gW4MSXTDXPPIOKjFSDQtrrQzihpRkEXeni2s4tKiGmHq	50	2013-08-04 20:46:20.31983	2013-08-04 20:46:36.812619	266		0
26553	10dle50dx0a0rib7u4p8x2zmc7	$2a$07$4yMMvwGGTerGe98CRBia2.0jJBUD29cKOoJaQ.i9T5yUlG.I2EZ4i	51	2013-08-04 20:46:20.345563	2013-08-04 20:46:36.947296	266		0
26554	10lm1xf1lmthtmy5kxo45soley	$2a$07$yL/m7c/bKj2vDKpcSdC51ejvyL9nKwGHQr9yIhmradX0VjPRcDQ02	52	2013-08-04 20:46:20.371447	2013-08-04 20:46:37.238316	266		0
26555	10zcbfikl5o5ntq4quh91jqw8x	$2a$07$9EwP1xoTc3WNKY9n0JKYAuJE14a77h2EboFwTl03sMmrUjmUweUFC	53	2013-08-04 20:46:20.397778	2013-08-04 20:46:37.386097	266		0
26556	106dz88qhrmne9xe3ip2dkj4uk	$2a$07$qx7qFNFQwWmPOSNmt6MoN.v72doW1NbeOEHJzS/lS2qTwgcoL0w8u	54	2013-08-04 20:46:20.421524	2013-08-04 20:46:37.630887	266		0
26557	106u38pv1ivydlfbm3d64fvijh	$2a$07$zhN04RPIsroTlueu0FJqmeKfkIJjDPGJgWVEDKH4reVDfNE.koZXC	55	2013-08-04 20:46:20.445431	2013-08-04 20:46:37.778775	266		0
26558	10w90zwmlusnfdbkke50gwsyfn	$2a$07$78agdk4.jcclNmKxeiCsUuwjC2zbVq4cpYCL3EBdwwoE31eJKJXxC	56	2013-08-04 20:46:20.470693	2013-08-04 20:46:37.938124	266		0
26559	10vln8gg9ej1gsnx1v13dm00vn	$2a$07$4D2WFE1GHxdx8XirbLb9jOO92h27X6a28w6R9JomvZMPYZ7trQlqS	57	2013-08-04 20:46:20.50372	2013-08-04 20:46:38.076894	266		0
26560	10j0xrqu1q8ecj12cv31pndvt9	$2a$07$KUBa2.hcwo7/OHIBQxLyVOzmWSzIZPY6jb5.1aCGVRxpRF1oR2MIG	58	2013-08-04 20:46:20.539198	2013-08-04 20:46:40.630852	266		0
26561	10u4q2806xnmkmkvnppmtqg5e8	$2a$07$fPN.eVs6TasIKFc72CNgpengTq6MVqW0pSnWN49zZvKx2hPCm6Ds6	59	2013-08-04 20:46:20.561413	2013-08-04 20:46:43.164029	266		0
26562	10blba4s3xbc4oy6tp2msunrev	$2a$07$lxfezJyMwpKGUytmLwWBR.B8Nx8eFri8Mkup2OJhLiRfwj1x4KEiK	60	2013-08-04 20:46:20.583888	2013-08-04 20:46:45.854115	266		0
26563	10gvr7uwiyuct6ert6zpg6p6rq	$2a$07$.XkOSf8Q6nGI6g0iijjid.SqufU9nbk1H826hzPpiK19IzSqC63wC	61	2013-08-04 20:46:20.608	2013-08-04 20:46:48.604841	266		0
26564	10t4mvcklek7z3pkefi6rh2l51	$2a$07$MLSRYraATA2Qu5Gr8JoFL.Up29Y9GaxsipiZ3/OvIowi1VlCsVr8a	62	2013-08-04 20:46:20.632596	2013-08-04 20:46:51.678577	266		0
26565	10mh9vhu9jgu102ikues5fkhn6	$2a$07$796OilMqdIzeCxkv1iTrMuES/Ktgo9tecnnp8IXGpgZw0YR/PT6Li	63	2013-08-04 20:46:20.656246	2013-08-04 20:46:54.611599	266		0
26566	103zv03ore07neq09brtijvlry	$2a$07$8khrAHHnBysHS1NCAFR31OLqgnhxEAEoryI7f1TyUGVmxmauJbzje	64	2013-08-04 20:46:20.719972	2013-08-04 20:46:54.756154	266		0
26567	10si6osnq7d3czurarzo51yh8x	$2a$07$g3zzRBOq8roZ9ov29UO//O6XpobzGaoTj71wO9IKT0TlWl//fAbS2	65	2013-08-04 20:46:20.745553	2013-08-04 20:46:54.896151	266		0
26568	10v0suh54wntwl3sqidgeyldvc	$2a$07$bKdzCfYSqqEa/4pk10udme39s/DLBbz3hgxFfo0EdhgyhG/7BCnUi	66	2013-08-04 20:46:20.769869	2013-08-04 20:46:55.067517	266		0
26569	10mql6y0s93q8ssd67szso57qo	$2a$07$VZwRLnicmt5NxkHHgyshEOmh0YW/sTo9ReKWWBZ0U1EjtbKlLD9rS	67	2013-08-04 20:46:20.80013	2013-08-04 20:46:55.223621	266		0
26570	10cfejl5zbc8n6eb06l6ihkxo6	$2a$07$evjNSWAuU.jPrKQGLtp2U.0vbx0.HxjKwvXLsJ4msp4YjBVOHLvGy	68	2013-08-04 20:46:20.836539	2013-08-04 20:46:55.367516	266		0
26571	100o5lzvv1bi8r6y3qa94qg9w1	$2a$07$ghw0iRpoM3ue59dvtY10vuC9BjrDAYesi06qHOCDiq3opQiP9LatC	69	2013-08-04 20:46:20.860233	2013-08-04 20:46:55.517231	266		0
26572	10lagte5fgsn0v6a632q5qhg1t	$2a$07$Gjnrz5iBQBp9OG1ujMMFheyRxQtsjfMlFLP/BnZgzjJZvMDMB8766	70	2013-08-04 20:46:20.88238	2013-08-04 20:46:57.010363	266		0
26573	10x96b90we05b74ezmbpoesn27	$2a$07$Puoa5Pu55eYOBtRjLgtuPuovN4DfCdVjoxmDK4tWYODQnGGPTSZFu	71	2013-08-04 20:46:20.90449	2013-08-04 20:46:57.178626	266		0
26574	10furli8babn95m7mtru8ephqs	$2a$07$u0mBLtH4WU6aBITSrkhNCOlTyKTdD267gYqe9QsQnRyFRdvc2YKrO	72	2013-08-04 20:46:20.934967	2013-08-04 20:46:58.410836	266		0
26575	10lym7fecc3cn10k3ayxry23h9	$2a$07$E1.fAjHniYeb/Hdh3iqUHOQ1uPrl8EtCkiwlb8.R.ubLT6ng7ZW16	73	2013-08-04 20:46:20.960531	2013-08-04 20:46:58.664491	266		0
26576	106jxd9gapp9xidjwmx2dtaxkw	$2a$07$X577xIJ6dw8AhSjbyZHQ1ej.5nmiBm7gyVAmPVFIgdQ1vIeS5P8QW	74	2013-08-04 20:46:20.982481	2013-08-04 20:46:58.791252	266		0
26577	10uw5ex3itn17e1e7y22b3pmeg	$2a$07$VKIbX.hi//.9iZnkdjjtWe337yFGP6FTw0xhpaMRQUnMKVS6.nIvK	75	2013-08-04 20:46:21.005128	2013-08-04 20:46:58.999505	266		0
26578	10dj0cjri8u49la12099m22do2	$2a$07$Lt5PMQDK2rc7WHzy2sMvb.Q/tIzSGPPcMViOTO7uABlBmuXej6jf6	76	2013-08-04 20:46:21.028735	2013-08-04 20:46:59.146666	266		0
26579	10g9k5cu4ho4yc50848al7z4wt	$2a$07$ajzmFLX4t.XAa.wOkOz2PuRdU5xWRnBge2tfdAbpupAV94h.zSLN2	77	2013-08-04 20:46:21.050885	2013-08-04 20:46:59.297924	266		0
26580	10mo9b7ybr2klsu5rqnhc265xs	$2a$07$EVU/dL/pXTDfztI.0W/YGuSubyVL8m0QMZOXPcrRgJdx2wyMCtn9S	78	2013-08-04 20:46:21.075663	2013-08-04 20:46:59.446508	266		0
26581	105wdpof3lglfhu7p6fhno6dc4	$2a$07$bUaagpP0dcgvHigNCKV.UuFomInNSvPCawRVNV9gMwpmLbLhZTtEO	79	2013-08-04 20:46:21.105817	2013-08-04 20:46:59.625889	266		0
26582	10bgsed6tc90hlcah5xmp0is87	$2a$07$MySBP6pq3AgisOEAbte5peXYTPaSq4qsBHQaPV50m/g2gk5xJRUe.	80	2013-08-04 20:46:21.141936	2013-08-04 20:46:59.775872	266		0
26583	106u5lh6ezoqzwzhgxikzsvp7y	$2a$07$4fNcdMyCfrMuP/3F5aUjMOw1bBed4/97BmtM5ov//sb.NNzw.ZvNq	81	2013-08-04 20:46:21.17762	2013-08-04 20:47:00.037827	266		0
26584	104yr7u2gbp8qj8b2zr385wruu	$2a$07$wHNQAro.6FkrtmpMS30uheiwF1EcpY3PEUonI6uS2FPbtToWG8fhW	82	2013-08-04 20:46:21.212828	2013-08-04 20:47:00.189782	266		0
26585	10y26idlwjmcfikc4mel9wksr3	$2a$07$KAX.N07MU5NLRo2CdpDCre5k3BT4CkLnzrPZ9wlK5LZSr/rV3yIbq	83	2013-08-04 20:46:21.235812	2013-08-04 20:47:02.945526	266		0
26586	108o2d9txtc1ye0frtscpgxpqh	$2a$07$q.8E75NoMPHLctW6uBB39.gHhf9/yyayWjJ2PhwppLjThc6pbkk66	84	2013-08-04 20:46:21.25899	2013-08-04 20:47:05.698737	266		0
26587	10hlwpwogtgz11ksrn5bc44xx2	$2a$07$456duSZNFUvHKk100/Xnp.UDXCmt9noGKC7hxrbAtQczyd6.ttkFW	85	2013-08-04 20:46:21.281096	2013-08-04 20:47:05.860093	266		0
26588	10eb0w937j1ml7z4dmh2s7cu9b	$2a$07$JzNIVXc9knReukjjmZG5me1nmpkeqEox1mWslTD7uKWDfvorAYViO	86	2013-08-04 20:46:21.302831	2013-08-04 20:47:06.019501	266		0
26589	10jc954lsisiqmcl2348cniici	$2a$07$p10lb7YL1vq.rcBtQOJyC.kb3PFajk27RjEibCtcoh3WVppY2PtXG	87	2013-08-04 20:46:21.326345	2013-08-04 20:47:06.164395	266		0
26590	104k0goqeo5izat6l1o01302nj	$2a$07$pESc0JwzXwU2LkE1nYxXsuK9oJo/zWps0yJzWA9MguywZZQfCYnYW	88	2013-08-04 20:46:21.351483	2013-08-04 20:47:06.30793	266		0
26591	100ofexlqg49hrwt0u59c1y8t2	$2a$07$ZTES4u3S1KK5ek3Q4fXENePKqGypaU5M34ktjNgEbKtFqiW884BMm	89	2013-08-04 20:46:21.377411	2013-08-04 20:47:06.587347	266		0
26592	10scfm0nltvwapz4bvgfwh3ya1	$2a$07$id1kDlvevwrjwRmyMaSSwuxx.zjusRKXa606qmeQB/kh4ITXTmsvy	90	2013-08-04 20:46:21.40143	2013-08-04 20:47:06.780681	266		0
26593	101pt5ueihndoymul1czmdgb0w	$2a$07$SoOUiYqUBSjRAcrnFG49euQUuIpOD1sZ8PpYy5kyRaYMXUckZrVpK	91	2013-08-04 20:46:21.423749	2013-08-04 20:47:06.932775	266		0
26594	105iflw5m1xkfk4tnxrs5em5zf	$2a$07$frXbk8dUaN7rgg/7hJu0EuJUDyBcgSFeJEYmG9NFiya4HT6RpxfJy	92	2013-08-04 20:46:21.446884	2013-08-04 20:47:07.076669	266		0
26595	103hyl70duunhg0rpgi7zcex20	$2a$07$z0O3N9XTlG7crDA.LVGtguA4vgvhrl1tjSrV9sw.Tckai7wXdsNz.	93	2013-08-04 20:46:21.469188	2013-08-04 20:47:07.206823	266		0
26596	102xbe0e5eaadbvwzck8on0ip9	$2a$07$MTfjOIJ4kjcNK8uBCUi38OZ4Tj9yxtUzwpm3ZRrFiVKgbwP7NmeFS	94	2013-08-04 20:46:21.491021	2013-08-04 20:47:07.345522	266		0
26597	10liz77vahp55cppqjfv1zgecx	$2a$07$G.FNzpx6K4Wjaxe9SOOXsunNeo59AoKZWXwQoeQrPXy6Jlz2GHqka	95	2013-08-04 20:46:21.512977	2013-08-04 20:47:07.524786	266		0
26598	10ggbfkt0s21uqwzv1lp9adv9h	$2a$07$73a96BASaoeGUZg8Kaui5el.vcaYvZVMGbBy.VecfqvIZsJuE.KEu	96	2013-08-04 20:46:21.536018	2013-08-04 20:47:07.658964	266		0
26599	10m3tb642clgsrayhpru2ngj9u	$2a$07$DkDGxXhoZqJxkOMSv4Lmsu7LKLOrXeLypULEu8cVFszPJAbrxz4RC	97	2013-08-04 20:46:21.559441	2013-08-04 20:47:08.758973	266		0
26600	103sonjwwrczmp54t110i1fsn8	$2a$07$pM/tOzRkRkwju7iED6UkVu.TsQKDhUfgzulYTAh6JsxwpGx7ZUbYe	98	2013-08-04 20:46:21.581517	2013-08-04 20:47:09.746924	266		0
26601	108okyb3631fnlog3cyr62l31n	$2a$07$.U2qskwzVSsCh6HKAB75qu9RhtjHqyIEKfprTdkl/1XI7r5Yv9VkK	99	2013-08-04 20:46:21.603644	2013-08-04 20:47:09.898171	266		0
26602	10dyom9hvvtg3v8yt0c8h9u3wi	$2a$07$wvVoOCBJPWhlKdKL3ucj2e9x0pB2rlYEfRz1U7.Fbf0pjGlPREwOC	100	2013-08-04 20:46:21.626786	2013-08-04 20:47:10.04696	266		0
26603	10xfyw7tqvcmmhhoadk826nuas	$2a$07$CbmZMuhli9gifNDkIJsjdOBio/Co.nrERGNfcbSnnhKQR.a4aIZ0G	101	2013-08-04 20:46:21.651137	2013-08-04 20:47:11.148276	266		0
26604	10m646b7y5tvummstajxtkl542	$2a$07$7XdLEJIr0T1/8a39q/83j.kpeKHK6g7ltoQR/YNPJ5JWVCa0UIi0y	102	2013-08-04 20:46:21.681415	2013-08-04 20:47:12.415403	266		0
26605	1004w5fnx8v9hs5swk2gnsbv3h	$2a$07$dM1Cw.brBbgfTQbVGTElj.dtS0J8ZUT5wcPqW5sakQSHnIq7imkIS	103	2013-08-04 20:46:21.716217	2013-08-04 20:47:12.600131	266		0
26606	108a2bws8bcxcx96lb5rqh2wmn	$2a$07$F9MwWp8Kp4AYjb.4tQ7Tx.UjeCIn2nfhCY4yzXA9bibyj/twkslkm	104	2013-08-04 20:46:21.740888	2013-08-04 20:47:12.752233	266		0
26607	10u9yixdgmnahmyq994ss5vv3g	$2a$07$tykBP7GB2SDT1K5rt5lwBOkLY5zS1vyfOYV.Us/uEfRutEk62ueoG	105	2013-08-04 20:46:21.764888	2013-08-04 20:47:12.908497	266		0
26608	102dfugujsr63ez6sigueesh9d	$2a$07$OJ9JZSzlE.QkfacNTVMng.aAFFGpJoUNyK94IDyCNBSaVanw6T8K6	106	2013-08-04 20:46:21.789643	2013-08-04 20:47:13.220657	266		0
26609	10gu63nt65xod7621h00701yig	$2a$07$fSx.SQggixrGnmkwFnpa8.JwLkjAZakkJ3hy3jx2fq3GOFjb/7E4u	107	2013-08-04 20:46:21.819888	2013-08-04 20:47:13.572025	266		0
26610	107vdpigty70czcdy2nvo4hkot	$2a$07$VGniJ/z5xKQWzfKahReXoOQS2TyAxfyli.8PILFmbOlf1EeXTXTLi	108	2013-08-04 20:46:21.847972	2013-08-04 20:47:13.879065	266		0
26611	1054hbi4pyf2gbsxdllkewco8c	$2a$07$JiwsBFHpgSiPj9IGFEUDEeiYQFRUM./3DE0vNhHISVh3nnzaZ8zLS	109	2013-08-04 20:46:21.87518	2013-08-04 20:47:14.01282	266		0
26612	10pmm5lo16z6q7dj2en7pa2s7x	$2a$07$/.iWK1fkHhWoY25hchQnreTpmGETD/O2JUm/OF4YK3eojV1woKvJm	110	2013-08-04 20:46:21.899577	2013-08-04 20:47:14.146011	266		0
26613	10h8tvbq7eua4ogk101kpdj34p	$2a$07$iCMXreVhZWCPhkPzqGACJeT05lLZyHVuZb/CxNFN5eMb/zyWCVfd.	111	2013-08-04 20:46:21.923118	2013-08-04 20:47:14.288969	266		0
26614	10n9nws63q4675ak68uvx6rh60	$2a$07$h4X2lWm/XC2zpIziif.0KOD.NO/mOSAmON9HccS4JGuQfg//w4dCG	112	2013-08-04 20:46:21.945463	2013-08-04 20:47:14.434916	266		0
26615	1001aqnv8258nhutmgjd4gr3zr	$2a$07$Ci4kn2Msm2Kfysa6UBTzHetYCLYcIBc7I.zKyHwQ9YY7r8/9qXyiG	113	2013-08-04 20:46:21.967246	2013-08-04 20:47:14.611443	266		0
26616	10f9wq65wfjrup6u3r66obytc8	$2a$07$KVg3SQNxNeVlOIdHj9yVLOCV2q5XyGJr9fWwyCavgN9C..9yeil4e	114	2013-08-04 20:46:21.98923	2013-08-04 20:47:14.830187	266		0
26617	10kshuge8t9q10nwsae0kgos6i	$2a$07$Sv8zGTHm5ivdfCYhR1y0ZuuO7dgFRxtFLJafqkwkBs1Nl0sn3qtw.	115	2013-08-04 20:46:22.011301	2013-08-04 20:47:14.980303	266		0
26618	10xujvbzempboh5u4zsq8zml4a	$2a$07$6KRBF1SLm2FJndEcteABqe3q4K23VcO..6fDgUEHv8QuC64xQ4Ayu	116	2013-08-04 20:46:22.033243	2013-08-04 20:47:15.192197	266		0
26619	10dwnsnoefx9yu7ua55l41jho6	$2a$07$48f1dqvnd3yFKJD0plnpQeSjuEaUQv3alFM6.arVaHXX7B/LyUSVS	117	2013-08-04 20:46:22.055476	2013-08-04 20:47:15.330078	266		0
26620	10e3xffi2quu7g9ctxq406xxtm	$2a$07$H7jO8kx/WtT2IBtlXB3RveAoculXh74zImYNOcVfl1/E/UyHULFVK	118	2013-08-04 20:46:22.090717	2013-08-04 20:47:15.467529	266		0
26621	10ii1paua9md536m9k3x6jstub	$2a$07$C3QJhYn6hOUxfLNJPqUj.OjQu4stB1wx74P81uT0iQJe1m5DIZG5K	119	2013-08-04 20:46:22.112889	2013-08-04 20:47:15.616205	266		0
26622	10xgmfo9axg6f1uughsif549hf	$2a$07$7khsJdmVJIJ9u08D7i/7heLwmhwV0DSkbfIcXJjXRvUNazsXxk8/W	120	2013-08-04 20:46:22.135317	2013-08-04 20:47:15.786828	266		0
26623	10fa2ub484obyoecxwjydkh5sz	$2a$07$wyLcgg3fiGEQlNtaCU9xN./mjTOJJuNglSbsulxvafEYGN3nW2/uq	121	2013-08-04 20:46:22.158942	2013-08-04 20:47:18.22105	266		0
18313	10tfu9izd8ttxlsjuhsc99pcdu	$2a$07$TLnyTIGbX7wnX7NaAS0YPORmf3YO5c30tj1YL4BD2CLgeMxA6WhgK	1	2013-08-04 01:14:51.100216	2013-08-04 01:14:54.499548	201		0
18314	10blrw4ocgp2u7cyjrafwcgi0n	$2a$07$L.8uBPV9IbRWzCWHHrjiiuzKHN58OHrfFIZ6S3flt5WLZyWCnNK/i	2	2013-08-04 01:14:51.124458	2013-08-04 01:14:54.858268	201		0
18315	10iazag29151y2qgspghywna3a	$2a$07$nThid33eiCLMygngVIeoGuZShNzlsThW4aUNn/Y9V.k7chZiZjA4m	3	2013-08-04 01:14:51.148849	2013-08-04 01:14:54.980084	201		0
18316	10mop63rji1z18nmbe3es23zfc	$2a$07$MUrgo143iSof9XBp1QhxLOU0tGOkY61bs3jkhr5Q/6D1kOj5Eocsi	4	2013-08-04 01:14:51.185157	2013-08-04 01:14:55.108896	201		0
18317	10x87zgr9dg45i93bqfwmpbpl8	$2a$07$mmI6g6xV.nsmG8gdv4pIyudMqRi.0GfsBAxZXO8zDi6Mw1EK7pb0m	5	2013-08-04 01:14:51.209891	2013-08-04 01:14:55.250584	201		0
18318	103d1cpokpx94klxrnmi79nxg6	$2a$07$kNMEyiRIfavaWOXsDAuJde1CX7LDFR0srrxFgcYIYyw68rKL9hP3m	6	2013-08-04 01:14:51.244919	2013-08-04 01:14:55.393986	201		0
18319	10ckfftw9ugqx1mz2hlywroyav	$2a$07$NjddXDdUd41sUQvmwEF.vuf/aQHEYw1Elc2HuBIiONsWT7rEh12gS	7	2013-08-04 01:14:51.268539	2013-08-04 01:14:56.409391	201		0
18320	105e08lo7c7mqlfbrdmf9qupgx	$2a$07$vsRy9xQ8VuqY30q1Z2XDbOWfxm82rY5F9ihgZK973j8Rb4.61Gdga	8	2013-08-04 01:14:51.292428	2013-08-04 01:14:57.35498	201		0
18321	10eyg45ciiat1v6obkdf0r5o2d	$2a$07$FGqOkdx1RAGY5FuM7gSEHuC.bvE2mCibOA7KXgHGOWUQNejW5PfJ.	9	2013-08-04 01:14:51.31602	2013-08-04 01:14:58.279895	201		0
18322	10qe6jfx78emh7spo70vd99qvy	$2a$07$9pqpHNO0JlDGXnG39x8gUuHO3GgVrogLCLff6AiBhyEyp32rVTtWS	10	2013-08-04 01:14:51.338839	2013-08-04 01:14:58.403503	201		0
18323	107kewwhywfbpga9unwq1kp6fc	$2a$07$SHqIJUszt2OgauJYltuHf.7fgOeRaFY1ndqfcVQBxlr9mSR3cKFCu	11	2013-08-04 01:14:51.362854	2013-08-04 01:14:58.507006	201		0
18324	106l4jmyl8o4ojhbn8brkjc0uf	$2a$07$cPvjtaEEzk3Cnt6497T8IOxk1CLbNF0OSlOwSNFVzrD32rMg09mq6	12	2013-08-04 01:14:51.38655	2013-08-04 01:14:58.624556	201		0
18325	10wzvnc9vuq2m1luojskmg0sh5	$2a$07$hARNungYj0A1i4elT6nvF.3T5r0FJD87fasyWYQEk56aSsbj/r1b2	13	2013-08-04 01:14:51.410889	2013-08-04 01:14:58.741939	201		0
18326	107wbegal3gs1mwnsnsdtmwf2k	$2a$07$nbYjbWEiFw1mOek7teHw7Omx/c2UbIYJwitYVPyFMpchqaNgsOlLu	14	2013-08-04 01:14:51.434418	2013-08-04 01:14:58.881555	201		0
18327	10ncdhrq4jz38nub1385ncb4cq	$2a$07$4Hcl9lizOd6fyw1gfo8Tk.577syhK9wwEkyrY5vKGl6vLbcGwPGg6	15	2013-08-04 01:14:51.458984	2013-08-04 01:14:59.004273	201		0
18328	1051hye4swooxaxcexnzndwwru	$2a$07$BtFXip9Y71vSV1vrhhSI/eB61I9eOGxJBRtByBsqbqgVjRsbWF7Hi	16	2013-08-04 01:14:51.485048	2013-08-04 01:14:59.14047	201		0
18329	1042qbknityxtqcwdaavdyctex	$2a$07$vAJiIWBJTYNklor4GLM4fuZjU8dbjXoI6BN1JskT7YBdMcb1wtTga	17	2013-08-04 01:14:51.509332	2013-08-04 01:14:59.254231	201		0
18330	104qpr4o9zqp04ld1nkidc4bv7	$2a$07$Eng0DGaQoNSMkzduHbNqHeHmTyUG3i6FFf4VvF.mt8Z9xBxV8gPVO	18	2013-08-04 01:14:51.532306	2013-08-04 01:14:59.367934	201		0
18331	10awd6xsmo827kjcwy0meeu6li	$2a$07$8Es94k1qu3AdMn.YYdwp1.3RlWubPpzdw4vbszgNmUzYovg58Fkna	19	2013-08-04 01:14:51.556154	2013-08-04 01:14:59.496717	201		0
18332	107zatade915mczx0uu1ev3i2b	$2a$07$/O8x3hhpkFwQq3uRBLPSuuvvOXnPpCT6YZg3ON3GbsqG0o79Vrs.2	20	2013-08-04 01:14:51.57963	2013-08-04 01:14:59.597708	201		0
18333	10u7mbgvoiumg7r9kneltgndcj	$2a$07$ECEGbQvuOH37RXjtY105iuoB4D84aBLCvGa3OD2jXrQXSpGDkFP5q	21	2013-08-04 01:14:51.616636	2013-08-04 01:14:59.708001	201		0
18334	104uie43ctd1p9ybf2csw99ijv	$2a$07$HjHXIfQmf4jkYaQ0ORkzCegNRfkZy8ZGKD7CAyv5dEP2zTDBqpPJq	22	2013-08-04 01:14:51.640342	2013-08-04 01:14:59.811675	201		0
18335	10pyugseeusxq11eon7olfnwbb	$2a$07$WajNBX2bbT6x4qfYZbs2p.EfhfnqsctoSaU8.sWd9kz4HVIk1sw3K	23	2013-08-04 01:14:51.672142	2013-08-04 01:14:59.938946	201		0
18336	10l6ylx28fm94pam1424i3nb0p	$2a$07$xIBjle.QhxyRe5yA4Jxey.38wt39QFs2Q.iEQDlEsnzpyhQvzV/Oi	24	2013-08-04 01:14:51.703656	2013-08-04 01:15:00.049493	201		0
18337	10elzkcnsy7us7p8fxys6kk73a	$2a$07$ODd.OZJrT1EykjPsFIAOrOPU/siFiqI7qw5RNgK.uru2b9phLddUu	25	2013-08-04 01:14:51.72867	2013-08-04 01:15:00.175303	201		0
18338	10ah7rb9wlyjoh625zzf4k1e9y	$2a$07$MVA10z4HS7HIMvz7.gQyK.tN0fY2ip4jf.JqcoAkIhrFZiRdkAR82	26	2013-08-04 01:14:51.762421	2013-08-04 01:15:00.285019	201		0
18339	10mi8fbqin47k4dqn81rjkrrxs	$2a$07$9J9mwlo6mXSnbvsiPJdcyut.0YxUjgZ0o.mpC2k0Wwnt9WJ.Ho3L.	27	2013-08-04 01:14:51.788175	2013-08-04 01:15:00.401935	201		0
18340	10e1bous7ohp7glcqny5i1lgmq	$2a$07$xZwN19Ge.oAD5SV11Bu4I.oQkKyOAwYaXQrHZ0LQ6y2VH.pusr2Em	28	2013-08-04 01:14:51.812812	2013-08-04 01:15:00.522099	201		0
18341	10is33lptamgu9uyz347tklhd6	$2a$07$v1zSNsabtyURIrZNdNyUueP3h7vMARgwsVRfwep.qWyMeg5GTAH8m	29	2013-08-04 01:14:51.836707	2013-08-04 01:15:00.628878	201		0
18342	109oel8347m47gryr11dhz7li9	$2a$07$TQ2r/wDUyVHzApUk4T.VGeITET4NIIRE/newo2HLGWmdC4hE9Av/.	30	2013-08-04 01:14:51.861035	2013-08-04 01:15:00.746199	201		0
18343	10c7bguyllcklnj37cb62jpr9g	$2a$07$o/ucxW4pfPEmb0LIPSnx9eBX2OqwKAoQWihiFzB5dXYn3Wlixrpu2	31	2013-08-04 01:14:51.89091	2013-08-04 01:15:00.850196	201		0
18344	10lg0ridefmhryy0if31gc7ira	$2a$07$zDghBYv71R1etrMvX8j4hOVd9ZM/aMOvSD/BrYmEXDZTgArO/4CQC	32	2013-08-04 01:14:51.919534	2013-08-04 01:15:00.942885	201		0
18345	10hpgn9lmu21mt1xcltr4n1p1i	$2a$07$zsPDlDYpX.JklMLZLG9DUutcBiz0YsZhOPOG6fjZwaS0HGuuHQ98K	33	2013-08-04 01:14:51.942955	2013-08-04 01:15:01.038549	201		0
18346	10ua7iuks9nv9yiarxmpjyhcw1	$2a$07$xVR8K0quYIqWeWQYM3iiTuYT8Jjh6/FgOEPiv0fq84.4/1ZHH1KWy	34	2013-08-04 01:14:51.966965	2013-08-04 01:15:01.164962	201		0
18347	10ov66kvmvw0t8qfjugs0x53k2	$2a$07$Si5TplHA0ynCIMMUfLnyGuBHzNs.HFEVnyno46yuZoprXyNgOIo0S	35	2013-08-04 01:14:51.990338	2013-08-04 01:15:01.308962	201		0
18348	103yr2n9dexp9e6pazoy20zuvz	$2a$07$SdRPw7E9Uc98Zl8DVnAF3uTgzY0pUs.7398upY2rNiK.PpnGwO9oi	36	2013-08-04 01:14:52.014259	2013-08-04 01:15:01.461756	201		0
18349	10kl9dyip5huz85458cs1x80zd	$2a$07$1SI5of4SI78sBwWXDSSH3.b9R30juDwT4lOP0fTOHBOuYuyexHLF6	37	2013-08-04 01:14:52.038176	2013-08-04 01:15:01.589715	201		0
18350	10yzx913ps2m92384rc6d2g7za	$2a$07$gn1NizyjAXewpU1yr8Z//O4d9vsJmWLd6vqzatrd7vKNzfAeioKvS	38	2013-08-04 01:14:52.061505	2013-08-04 01:15:01.712578	201		0
18351	100odq44m96wboufqsq45fs0eg	$2a$07$401HSMBaTQFnIJKeZNzBQuSHErklQIofh9CIqzmssU183l91yQz36	39	2013-08-04 01:14:52.085576	2013-08-04 01:15:01.84251	201		0
18352	1097az1gopza6or363h7tng1kq	$2a$07$.AqGTM1nSd9te53DQBH3fuB/Ony5CpGVWUpiNdZ/xKNcfGvWxJ/yq	40	2013-08-04 01:14:52.108215	2013-08-04 01:15:01.976911	201		0
18353	10n0mwdfdnci24b0o3y4p739i4	$2a$07$b3.dl1lFWoKjf58SCo/96uRMtE.QirAkkZKYgT3c2pMT9OGpwmRC6	41	2013-08-04 01:14:52.132066	2013-08-04 01:15:02.079419	201		0
18354	10uleeo34xkesmbr6kktrlptoi	$2a$07$W.SrbvumQnbTCI//CHc0z.CpMk2.xlKl7WylygdC4eC6qOuiKusti	42	2013-08-04 01:14:52.154867	2013-08-04 01:15:02.184478	201		0
18355	10lh81rglbbe0nc87kslmlq028	$2a$07$31R/OS7r.LEqZjFHpI2BzOObFCCOvzeqnu95ee3RvKTKHz0pJFJkO	43	2013-08-04 01:14:52.178762	2013-08-04 01:15:04.714653	201		0
18356	101oypcjeyj8vcvdyn5xph1chr	$2a$07$jbORGiTVp89CRCzB.1CnYOA9jvTPmA6Kp1BlvDUOOfIy8MdJhLPgq	44	2013-08-04 01:14:52.202743	2013-08-04 01:15:08.44265	201		0
18357	10om3n0td84i9egx4t3t3a1lok	$2a$07$9INfSXideQooyDfsWWLfk.FOwi061DuflFscna9ab81g/n5Kkv.7.	45	2013-08-04 01:14:52.225732	2013-08-04 01:15:11.311731	201		0
18358	104g98ptafi0jm8ashuhr8c9lr	$2a$07$Q8yY3RNGqtFf/5YeUIDti.tM4MNBSOMsoZq4iw.rUqTI2vzjfrEdm	46	2013-08-04 01:14:52.249681	2013-08-04 01:15:11.456673	201		0
18359	105h4mtq9xmggiivwv38gy2svs	$2a$07$qDnA9VGrS2GwsaoZTsL8buARgsGalzGNDe0KqvWBPaFsOYT5OhgUC	47	2013-08-04 01:14:52.272968	2013-08-04 01:15:11.596776	201		0
18360	10glo430b9woyu4s3nl1qe6eul	$2a$07$TZXw9S6J05HWiC/h8NRkF.afEnDMe4Bz5x253r6Jy8QvqwBi3ZXdq	48	2013-08-04 01:14:52.301671	2013-08-04 01:15:11.712941	201		0
18361	107hs8eiiwbqztrfcah08jc4zj	$2a$07$n/zo2SsGiUcK9zZz4AC0O.q4ft4U8xzS8351/TFrVWiexlw4jvfiW	49	2013-08-04 01:14:52.33793	2013-08-04 01:15:11.829705	201		0
18362	10srcjsxwhzqzrj3ckmthrrgk9	$2a$07$OhgZzBlqVBAQ3Boac0MAduXicFPebMBzc3p2ubDvWiQtsRbeU4bBW	50	2013-08-04 01:14:52.361004	2013-08-04 01:15:11.960218	201		0
18363	10j2j9v07lvspycjkcv7ao8xhw	$2a$07$/A7fKWOHqrIW8SZrbBHNlu4gjeZFhLhv0P85.8wgDKC3vn0fVUpRe	51	2013-08-04 01:14:52.385043	2013-08-04 01:15:12.071069	201		0
18364	104vqshq335vkdsrc68ansuxfb	$2a$07$LXYjWralKQxSqkCt9TVq9uE6HQOv7MwDEAMNHaUJ5DNySfJr5gbyW	52	2013-08-04 01:14:52.410048	2013-08-04 01:15:12.205618	201		0
18365	1021cilv358k71tn77duqfnr6x	$2a$07$fydLrAYYdNVdyd0XMXFy5uxvGMjC/4PF/nds9sqOYSw0biTAICOoG	53	2013-08-04 01:14:52.439071	2013-08-04 01:15:12.329607	201		0
18366	10jkxqoczvykejp0dkkguiy5t5	$2a$07$kW2gIuIVlZphm11ar6HL6e5gPzhw/QskL3Q3PdeDv5ZIayMGQv4.a	54	2013-08-04 01:14:52.472497	2013-08-04 01:15:12.453377	201		0
18367	104k1x89jugu2yqrxmpa6e7035	$2a$07$diTp.hRyX79qlLUEfFYBOuZ/DkND4vnn.FAe.1.U3GfsZey6ofO86	55	2013-08-04 01:14:52.495541	2013-08-04 01:15:12.576103	201		0
18368	105djuv367p5vxhly8ik8cnjal	$2a$07$Vmd9omxhQW89urPqJ.cdTOEzHkxoBURBaf6Fx4VIf1vRAaardIJya	56	2013-08-04 01:14:52.518876	2013-08-04 01:15:12.697183	201		0
18369	10icghi5bfbfnbzgfbfsn0gdeu	$2a$07$PhIBAyq95JFniAX7eU1H8eQsohRnYIpyvgmZIr3TC7pd4mNfk8hrO	57	2013-08-04 01:14:52.548088	2013-08-04 01:15:12.795197	201		0
18370	10tu9o4wz16u99eot42emn44xp	$2a$07$GtlqU56ZoOD8SuGgxRuctucbjRyewRpmD/NIzg.8hL191rCCyhcvO	58	2013-08-04 01:14:52.58439	2013-08-04 01:15:13.167818	201		0
18371	10m6vr0gpupb6xxcpmdxi0a9vf	$2a$07$QqLRNbXIbCiJORgkMEyHb.593oRmQcF4FxJGGbo8PDys4YJCWrDgy	59	2013-08-04 01:14:52.60975	2013-08-04 01:15:13.367641	201		0
18372	10ancbbdpc0eisz3m446ss7kdf	$2a$07$J9LSROPx5P4eev6i9D2kqujRPnLoQNQD7HDTozHDOy3xNyEjqRofC	60	2013-08-04 01:14:52.632944	2013-08-04 01:15:13.556776	201		0
18373	10rr8ktsboj2y6r8vcn5aeemy7	$2a$07$.H.dcqhPoUFgEWsYkooVReZeHd7e4gVdILRkbnlUy1h28rPOQYufe	61	2013-08-04 01:14:52.656302	2013-08-04 01:15:16.079047	201		0
18374	10kreqsqtza5a3r5icw09if3sv	$2a$07$ZR0he/Y8X56VX3kzV4.7eOXEGkSmMYM7d4xbzuSTYbYeqbEbVa.v2	62	2013-08-04 01:14:52.679714	2013-08-04 01:15:19.177093	201		0
18375	10d87nvxq01sj0teybu8xac6l2	$2a$07$g.tXVUSZ/aji/nTv.O4gV.fxIP3N5xrqLb2mayZClzL4y9efc8fC6	63	2013-08-04 01:14:52.703219	2013-08-04 01:15:22.056246	201		0
18376	102uzuhfc58zp4de8xmar74h50	$2a$07$GYa566m7USbELjwTMA4m1ehtMouclSdmuE2S53C3v1lANk4RXEWHm	64	2013-08-04 01:14:52.734344	2013-08-04 01:15:22.293924	201		0
18377	10b0995qibbf6qvm99u3hbcn9w	$2a$07$zvFNNymg55dCWeNbrYrnVufH1N4S1jgWR36N9IwvdM97Km7ZjFVoa	65	2013-08-04 01:14:52.757289	2013-08-04 01:15:22.429043	201		0
18378	10v4x9ybyn2n25ewoz2ejfhgj2	$2a$07$k0TZihfbQT1l3R42p0gb1ueblVkyxDXN7V5nVLzvuY4IItwEZE38e	66	2013-08-04 01:14:52.784216	2013-08-04 01:15:23.470316	201		0
18379	10k456ug14u0stoj06vkhngxsi	$2a$07$RNwDi/0eBC0mwFG3uMqCfO0.PZ0bh22pnhg6c9Xe8wpbxqNDDzXTy	67	2013-08-04 01:14:52.809476	2013-08-04 01:15:23.573024	201		0
18380	102g01khr18p7nt8hkg0l289mw	$2a$07$Fx8XLi7aEZWGPH90gvFRCOegFbbk2VzYJ92QZ/sGiVIQ4gMkDDrdu	68	2013-08-04 01:14:52.834639	2013-08-04 01:15:23.679222	201		0
18381	10orqv2lxmwdxzv1dna6dpq4rd	$2a$07$4he0lP4knxTt/0SRJHpVNu7fWIxzVQFA47rti8rdoqdHf0.5faan.	69	2013-08-04 01:14:52.859701	2013-08-04 01:15:23.920608	201		0
18382	108o3senzxl9mu3r8gujv4ocw1	$2a$07$eG/xuFwrOk/l8bVIqjZ94.4CY61hcLGIL5t0mJj8oavxTBtLwl/8i	70	2013-08-04 01:14:52.884773	2013-08-04 01:15:24.055416	201		0
18383	106syfk5k8h3mjppw6i3lzmsuj	$2a$07$fPNXqK1lLZYpIl0gLKFM5.fUsMmK39ERQpzxhza0KhQX0qnNnVHNK	71	2013-08-04 01:14:52.909238	2013-08-04 01:15:24.193454	201		0
18384	10q7eqvuhfph6pbyv1xouko7q8	$2a$07$f15dhP7zX.EUnnglfYIOvOzN5U7tK7ZqChOLOqugTuhPndJVAKfZ2	72	2013-08-04 01:14:52.933195	2013-08-04 01:15:24.432129	201		0
18385	10ipc30jpygcppbvlhjhwhjdtj	$2a$07$3J2gJ9NlEPjFgyBDbZbJpO3tyxSLTbStt9bOvOC3fLqqiq9H7kaUC	73	2013-08-04 01:14:52.967306	2013-08-04 01:15:24.57444	201		0
18386	10e8dtnr687ol85i7jzb4as4t8	$2a$07$H7/zsBttGd.NsoA9.S5O4u1ek7/dX/NeSXSaRQZ60jfJRHc3cfGLa	74	2013-08-04 01:14:52.998111	2013-08-04 01:15:24.685196	201		0
18387	101xznizqfc6z0loo5y365k3ee	$2a$07$A/UGEzzhHeMll7vZXN89/OSufhyz2cjd.EZ4cMKVOooSRSl5zjxyy	75	2013-08-04 01:14:53.020681	2013-08-04 01:15:24.822471	201		0
18388	10ws3m31cay99xlcjkv2df1kia	$2a$07$wmg5eIc67fUvoh6CpVbR7eCmmUbJZnLwKDxBIU5uuFo0LPNDIcdda	76	2013-08-04 01:14:53.04435	2013-08-04 01:15:24.951293	201		0
18389	10wa14j9mu5iyvks0tp2jus0vt	$2a$07$cp4sce7/0aLK2GA/JIGQAOyNl32ajcEv6hcXv1HmlQkhxjCT6Vj6a	77	2013-08-04 01:14:53.067269	2013-08-04 01:15:25.07617	201		0
18390	10h9pf0t5s8wa7yeyjdqxjtyh9	$2a$07$nCZ28TRT2v8FpKN/BrDyI.A24VCMdAGPz08MKZEnnXNcIWhaHziQ.	78	2013-08-04 01:14:53.090254	2013-08-04 01:15:27.929313	201		0
18391	10mna6dj4nlk7wc50jczmtxaiu	$2a$07$uPufb0EKdmw3HQ3c1jWR9OSQ5s66RrWoSKSUgGniI78iwsM9j2qP2	79	2013-08-04 01:14:53.112908	2013-08-04 01:15:28.059819	201		0
18392	1016pyb0bcsw9qd8au7o946vnh	$2a$07$mXxy4Kb7wRhAX3AqaIdvlOnwAfURhNRaLnGrYOL2bxUjFywmLb1D.	80	2013-08-04 01:14:53.142332	2013-08-04 01:15:28.176435	201		0
18393	10x9jxzvdk0vshc5ga1kmcf9mi	$2a$07$9JfoZNb03dacm6yRVIvMnOeDKGf8D/nS6i.uKtMCu.d7LG.wDmFeK	81	2013-08-04 01:14:53.169189	2013-08-04 01:15:28.308577	201		0
18394	10age7vcig532hynbaffothr1y	$2a$07$Hu0qhko6VTA11S1aA/bUrukOH1K86oJ0RGs4x2JcYJQjmIkfzDZi6	82	2013-08-04 01:14:53.192414	2013-08-04 01:15:28.445622	201		0
18395	100x6vm2m34wpdqy57y2salf30	$2a$07$SSoWDIrufEmLieKnrkMjhOg8dMG912J5bcaMAilL/iN7dqlRbSwxO	83	2013-08-04 01:14:53.21479	2013-08-04 01:15:28.627427	201		0
18396	10rytz2mvozr27goc2f3a8hj5p	$2a$07$RIcZ1mQAjjMyit8leQypo.s1igLI7bbsxuT07B3fuISz.0U8UYAMS	84	2013-08-04 01:14:53.237526	2013-08-04 01:15:31.458933	201		0
18397	101wlksvuiwpwvy7eqox4upqn6	$2a$07$RGwZ486VWFphfLijjpj7.eQn5ck.uA1xKVQPYOpTo7y96FIJ08MEa	85	2013-08-04 01:14:53.263232	2013-08-04 01:15:31.589057	201		0
18398	10ncy7nubslwma9rndults7a8c	$2a$07$AiihlMFPVuoqpOSP6Y00oOyik21ibIPgvFo2Nsp5iXvezmqGdo1d2	86	2013-08-04 01:14:53.300674	2013-08-04 01:15:31.715384	201		0
18399	10v7okd8btpyw8l7lxxkslu2nd	$2a$07$.M3Gk/GQVBHpqVTtsDZmreWsfVuBIhpgr6tt0MP7tnojBC71XXa92	87	2013-08-04 01:14:53.333872	2013-08-04 01:15:31.845563	201		0
18400	10eerawr5dxsy32ja7yi2eythg	$2a$07$2iayplWj.BLvuoszxhb5h.Vjh6jV.X2GiNhlD3iTi.M535MP6xk.y	88	2013-08-04 01:14:53.356907	2013-08-04 01:15:31.976991	201		0
18401	104be2xh6qwmukop7ufsuqrktm	$2a$07$Ow5NnB9Q6D441dbU5wWVhubBKCe1VEBqtzqxVzv8i4SivEBR9Y78G	89	2013-08-04 01:14:53.379099	2013-08-04 01:15:32.92616	201		0
18402	10194msgr39es6inu0fvibx7an	$2a$07$OvVO4wSQXJ82jsLmP2ELFeasRvs0DpebmppLHXKIsAW9Qb5EdarvS	90	2013-08-04 01:14:53.409135	2013-08-04 01:15:33.884977	201		0
18403	104fo1yido7d9bkzrobsafna08	$2a$07$sYi8KsFA4wQ3G0vFxvwUT.n9x0WTB1YF3oe3o5tTZj.SRVzWDPbNe	91	2013-08-04 01:14:53.436289	2013-08-04 01:15:33.995471	201		0
18404	10o28i97v0y5xxxwj2h7no79m3	$2a$07$pGgGMJZkdn8qFlnejijA3eBw9StSiklhJvGrmraZVkBhELrsr8gjS	92	2013-08-04 01:14:53.460275	2013-08-04 01:15:34.126807	201		0
18405	10sh89xqtptzl0by6fheblb0sg	$2a$07$SXg99Ar1Orc8L0GB0LSZ0O21mHm9hgCTdrmbYnecuAYL4Lj058DNa	93	2013-08-04 01:14:53.490047	2013-08-04 01:15:34.247726	201		0
18406	1071tfy9rjr4vlifs70s7d1e4j	$2a$07$Ia6KcVWbgcw28gKT7HIcRedTG6gqv1d8PgksSlXTTzxXWgN3fCv66	94	2013-08-04 01:14:53.516443	2013-08-04 01:15:34.370851	201		0
18407	10vvy1vbvy11le0jycv814ydg3	$2a$07$0/HSQzjJd6I70M0k9W/v3OCBJO/ZCVXKdkMI2WzrioxsvN0d/8RBW	95	2013-08-04 01:14:53.539508	2013-08-04 01:15:34.494211	201		0
18408	10dvaem8lvkp01zn5rzva4wokv	$2a$07$fPZ0BOy6ACHKI1N218WoBO91ocfAn/IT1s6lH8LLmExQ1FK4Qszha	96	2013-08-04 01:14:53.577859	2013-08-04 01:15:34.620174	201		0
18409	10sdyzzko2vcayydp2rv9xmifc	$2a$07$Bc5jJ/qqaRssUJoNKMtBOOFFSqOGih2QOfkxiMsrDLC/DyQBtTZgO	97	2013-08-04 01:14:53.612032	2013-08-04 01:15:34.737809	201		0
18410	107c5g85l18hxcop0wfv8cw8rt	$2a$07$TNGS4ZDMbzDf5W3xsWfZgeKSS9n4zPHDxcvWeSZBcHmJNt1OvBZ/.	98	2013-08-04 01:14:53.640439	2013-08-04 01:15:34.854388	201		0
18411	108y3mefxsbhnwfz6yjjdbpoe5	$2a$07$.HZEl3BL5.K5wDx.olSwxexLn5Zh47C8NQMtiYX9zyOS8RHPerz6y	99	2013-08-04 01:14:53.663114	2013-08-04 01:15:34.99052	201		0
18412	10upu3rds9ec7fveo503galp18	$2a$07$2uhYUvk6UelswzeK.69/6.mY3dH8R.8j9JLDhtQVzGuZxHZPWbduu	100	2013-08-04 01:14:53.687013	2013-08-04 01:15:35.109594	201		0
18413	107kz9pqqmamp3zmb3q05mlrpw	$2a$07$R5e5hO.TmfeNEi3kZgdtd.rSkqwAqy2vNBKMCa/rikleZdzxUaLsC	101	2013-08-04 01:14:53.711308	2013-08-04 01:15:35.229062	201		0
18414	10edb0ie91xwotnbo6gds1ltnj	$2a$07$rIdPh8D1s9E2k9vKW5JIKemaOLaBTox5o4kG4g1t/aipK4dESr016	102	2013-08-04 01:14:53.735003	2013-08-04 01:15:35.327259	201		0
18415	107snfk1vxhfu7sg7yf7lr824t	$2a$07$dGzVoU5xV5hU4yrB9ebWCOc7EhNgcMiYH2raoL2whg8jkRMLzJ59G	103	2013-08-04 01:14:53.757144	2013-08-04 01:15:35.443119	201		0
18416	103bdbwndrjp58drd4n7ux2i2i	$2a$07$InaJWxkt10q3s5kU1sokE.CVMCVkz77aYAT3vtdSwcZdzAxhOMxfa	104	2013-08-04 01:14:53.780603	2013-08-04 01:15:35.56391	201		0
18417	10bc0vx8tlqks74r7brrqvhigo	$2a$07$84admGmswio.bohX/lPBJ.VYe2TNkIqvmauVQv8xbZ8NIIRuPaIoO	105	2013-08-04 01:14:53.803834	2013-08-04 01:15:35.669821	201		0
18418	10h9rtgvl4bgn22trmh53m0c1u	$2a$07$3hQFjTxaZNVDnioGjenhOelIHLhz4/pm39qe0Jy15Yv1S7Vaww/MW	106	2013-08-04 01:14:53.841249	2013-08-04 01:15:35.81113	201		0
18419	10cobzoomrp3fu8bk308r46rdx	$2a$07$D2Ek8/vqB0U742tCUMbDJOzJHpYRUrxXAcamZUXWbtysKSvGPwYz6	107	2013-08-04 01:14:53.864839	2013-08-04 01:15:35.950484	201		0
18420	109zsu3165q7sou6695gd1rzmn	$2a$07$Rmu2Qbk2OE8Epmv2RBiAqu4BRFmpmlUeAXymObX3itNDTbnpkyCea	108	2013-08-04 01:14:53.89155	2013-08-04 01:15:36.095575	201		0
18421	10ps3v9mzex54j2ustpmj7sat4	$2a$07$aZ4PqzligKuDW1HTKsP7lenXy6/J.wj1nYT/yLplUj2p/BaJEOLzy	109	2013-08-04 01:14:53.91562	2013-08-04 01:15:36.248094	201		0
18422	10c0pw235wxgfqa4rcwesd9avz	$2a$07$BVMpmHbinyWc9smVAEMn1OToRUdnSC0ldKrJ1OWmsjYPaevK8YbU6	110	2013-08-04 01:14:53.940788	2013-08-04 01:15:36.380395	201		0
18423	10rnrpsu4e4rd8bjusl86ykd06	$2a$07$QsUr2hkJ/46MJA0gMKIMQu093Re.97wGAWzdWx1pvb0Ai0/BxWUEW	111	2013-08-04 01:14:53.965056	2013-08-04 01:15:36.511562	201		0
18424	102d09xveuiwrc2co8setapivt	$2a$07$L9FY82dlcj5O.3iH6w/wKOIslQAWwBC74TRu7pmz1oZUtTMxzNDyS	112	2013-08-04 01:14:53.989158	2013-08-04 01:15:36.642721	201		0
18425	10bp2tkwna492ct5pzndu1b6ig	$2a$07$LR7P0.pl7S/QI1/TggIFZOtXGKs6bi1PIXGerb9OCwvqDgIAtIO12	113	2013-08-04 01:14:54.013417	2013-08-04 01:15:39.171314	201		0
18426	10k0szy8rlawtixnrhqj0au61k	$2a$07$Rfg4dYJmH8yTVyKBH.xIquiyo2kKrmarCpyOvAsRjp47t4dwuHK9e	114	2013-08-04 01:14:54.037486	2013-08-04 01:15:41.86174	201		0
18427	10gf9p7iyal7hcdh51oxyrt1qs	$2a$07$V9s0jLOuGikytCmBIx2f7OP7DCpGcq5DDEhIu8sBfMPknr0zHum8y	115	2013-08-04 01:14:54.069161	2013-08-04 01:15:42.014202	201		0
18428	10vuwpu8nrcl1bnpo6p8ju7bgl	$2a$07$sZlv9OnkxFLJokDSUHBVheWykGR5QrWJO2KmT.lhCYSLWWxYyB/je	116	2013-08-04 01:14:54.092498	2013-08-04 01:15:42.14679	201		0
18429	10gwvu9bgcdicwrbr65fts3bw9	$2a$07$wEutGk59ul2Eb0daboLta.9acbUNwUe7IowTrlQr/4Kwe3nsjAbdG	117	2013-08-04 01:14:54.115021	2013-08-04 01:15:42.290958	201		0
18430	105tqk8sk0ru1a6cnvh758n33d	$2a$07$UQSbtaNQx0HnAxXH7v4qReDch5EsphNvPqq1pqyUbjYtp.ThdlBte	118	2013-08-04 01:14:54.138153	2013-08-04 01:15:42.421885	201		0
18431	10tloz9dp2pdx27oai7ddpkn1t	$2a$07$qJ9Rxcsiwpg3smhchRB9Ae.xw7F1o5cRoRbeR6UDq8KbcvGiNsxTe	119	2013-08-04 01:14:54.160915	2013-08-04 01:15:42.529057	201		0
18432	10j0v6oredv4cpm02sgqnvb4js	$2a$07$yeqROVzCFhLd4W/iJhKawOOFeD5D5aKqchxTpOnhjHAJ7zVE1hof2	120	2013-08-04 01:14:54.185783	2013-08-04 01:15:42.657281	201		0
18433	10bl402gqhc9mk7vgw3q225y30	$2a$07$RJrLSfxpq93EcU0zHy6q/OglnAaGASdkUT.HL3Ltsg8YAxAXeL3de	121	2013-08-04 01:14:54.223034	2013-08-04 01:15:42.850498	201		0
18434	10n3a5ef9dh68kn1jkxrv16ga6	$2a$07$ZPW6b2X7WB8EceXclD/05.55LJjaavWSfjfI9erTSL9.TbZsowfm6	122	2013-08-04 01:14:54.261173	2013-08-04 01:15:42.991376	201		0
18435	10uwcpybz7t6l504tck458sd9h	$2a$07$WiP0.kIjFKXRsDquBN440elG54UX8V47Y/6.G33PY5sAFnf9A049O	123	2013-08-04 01:14:54.284672	2013-08-04 01:15:45.451632	201		0
18436	10o6lra159939c000nlxzxkz6o	$2a$07$S4JNN8zkGg4Cgaqpw5nEOebMzDzwfL/tDT.Hx1/FLSjgAG6BFEyiy	124	2013-08-04 01:14:54.308383	2013-08-04 01:15:48.25091	201		0
18437	10erkunknq58kxalwr5lmhh9af	$2a$07$VgKjB9LLR.c1rCwBBBhaQ.HmvqEgULG5bCaglsgqMKUaX9c1GFNzy	125	2013-08-04 01:14:54.331854	2013-08-04 01:15:48.380955	201		0
18438	10wuym3343hsy1835sot65lwpo	$2a$07$PU3ZIw2yc8xaWvCLXFu4ieZTWt5aap5FxRzL9jJCLdR0MyCwRTpDW	126	2013-08-04 01:14:54.355666	2013-08-04 01:15:48.51756	201		0
26624	1034x9e8sq1vsyp3074vihbxlr	$2a$07$z5iWg7nlt/1AYYToDfhOkugNaNS05iu1i1XOsJIcWeTKMyfZK8bJ6	122	2013-08-04 20:46:22.182342	2013-08-04 20:47:20.740331	266		0
26625	10p0xbci0rf402gbgbvlrwrzd1	$2a$07$kq/nRpDLTUwwAQcmRPi0jeaK70MFfRiIemWu235mFqJVh/ctNB8/.	123	2013-08-04 20:46:22.206844	2013-08-04 20:47:23.796626	266		0
26626	10zb6gaihzh18g6xemv4ap1wpl	$2a$07$MbwuCjyPVfvDVDZlktkoTOlZgAjTAJ7xYG.GOE4vFNbACvvUbTPZ.	124	2013-08-04 20:46:22.22992	2013-08-04 20:47:26.908773	266		0
26627	109wkmicibazwiswnthybk8cga	$2a$07$nayvsbQd.qWkxsPpgo3OWegecNA5pxpqcr6kCQdMrBZJhKjtpOARG	125	2013-08-04 20:46:22.253297	2013-08-04 20:47:27.300293	266		0
26628	10o4w348ft24ayj0d2vqm544dd	$2a$07$/n2zeuH8Lic7X/oaMa5Zper0zIDX3YK9uzbdTbZyHvNvXtsC8xOp2	126	2013-08-04 20:46:22.275263	2013-08-04 20:47:27.448503	266		0
21715	102wmcxbzs7qczm8af85p4lnyr	$2a$07$0qyV/0O3YLlvBuMqT.eHVeXJddqn0YYR9QhwqFv1.78HGCKEO1NIO	1	2013-08-04 17:25:54.118515	2013-08-04 17:25:57.335247	228		0
21716	10j3ahvwuapxirw2a1ld59hy9g	$2a$07$82I0ub6okaw/tNpjI8wbyOyAgW/Je8g3agKX.UervxyVtAYcw58pi	2	2013-08-04 17:25:54.143945	2013-08-04 17:25:57.453593	228		0
21717	109etic7ca5v7se3s4nphueqr5	$2a$07$lwltj7daWv5Py/7exO7VRuaawWze1t2DNvdddjWpM.eZHg3lq5kC6	3	2013-08-04 17:25:54.174546	2013-08-04 17:25:57.595168	228		0
21718	109fclwpz7mvha8bitig0rdzx2	$2a$07$mhYI4Svz9.32YOhuaRr6Au0ae2657P2uw/eGBzyf/SZ7f/o5GXyRC	4	2013-08-04 17:25:54.208504	2013-08-04 17:25:57.728951	228		0
21719	10jv4omw8vkhjewawwp2x3u6c9	$2a$07$VHvrlc4elgNzbFKw0TdygOvG2gIgm6WcDpBsjh8US.LIFd60Dy1o.	5	2013-08-04 17:25:54.235261	2013-08-04 17:25:57.862142	228		0
21720	100wyk3wkznh31gbew2s0den5i	$2a$07$SUeCNHrnoKa48uD5pwRvS..HywVTN1fQEaF7hufDHpSMmdC.iefCu	6	2013-08-04 17:25:54.257756	2013-08-04 17:25:58.005672	228		0
21721	10re4h13dc6z5usce0t2xpd163	$2a$07$VpvK2kLfzHOTQoqOIyXDNODeYjMfSzFHaCypVAwAr0H04LC8xB602	7	2013-08-04 17:25:54.280922	2013-08-04 17:25:58.160149	228		0
21722	102rl0c7minfgrrvi76jrk4m8l	$2a$07$zdXwi6L07GJPIFrQE/TVh.OqQ8MYhRUoUOjSSlkg2uKHbdxlIn2CC	8	2013-08-04 17:25:54.30277	2013-08-04 17:25:58.299256	228		0
21723	106r6040xuwc2fdzxbaifw0xde	$2a$07$REm7VLz3VRMw.872JCSQjO5fyumSMmiqHjra1Oc6wMrJdPnmfxr9a	9	2013-08-04 17:25:54.324336	2013-08-04 17:25:58.459491	228		0
21724	10hajgpfg366ockm2auef8w8xx	$2a$07$FxMNjuZpRnChVfgtOXjHdeGKysp8idFqf4w2KIl61wCTb.NwySWAC	10	2013-08-04 17:25:54.346212	2013-08-04 17:25:58.603127	228		0
21725	1070xj5rvg798xoevn82e57jys	$2a$07$b2PTYvVpS1IJkpyOtnjynelWHX95xv4JK/zxFnWp6tT1mgdY0Ag.y	11	2013-08-04 17:25:54.367854	2013-08-04 17:25:58.739607	228		0
21726	10qbvs8lw6y6qszwaiblephxd3	$2a$07$cp.ExoMNRZma8pwoMQZ44eUg3MFS6zaBjqib.bfnxTV9NIxH10jdW	12	2013-08-04 17:25:54.38978	2013-08-04 17:25:58.860463	228		0
21727	106ola64ugbzzahbvatcav4915	$2a$07$RdNmlN84bO2Uh0jJvqKfhe32vM.FTYENHn7qkdgBJEzIhJKICWLoG	13	2013-08-04 17:25:54.411519	2013-08-04 17:25:58.9786	228		0
21728	10k1u2onaa32domrpv17njgvsm	$2a$07$liuFZMAlbaxdoYoRnifQ9.LMdOtEqYZL0MpAs4/WwsUT.sbYKiInm	14	2013-08-04 17:25:54.433294	2013-08-04 17:25:59.098652	228		0
21729	10p2xybo969b9d5jfvnmig9na1	$2a$07$4YE4ThWh9OULeG2jL1T8j.ZGGTNrRkLhGv7gOJT.c5puCE87sR3X2	15	2013-08-04 17:25:54.456233	2013-08-04 17:25:59.226057	228		0
21730	103nzaqut5fb9gnetdw2lki4ky	$2a$07$zTdVvthOP6iiROZ62RTFRuu.TI1UnRvdW2g0MomS1IHWEGCUVTGWW	16	2013-08-04 17:25:54.477988	2013-08-04 17:25:59.356346	228		0
21731	10h2zo6yxscfuwxaowh5l6ui2k	$2a$07$fFjtu4ENWQE.yAyOx8ylguGixKpIvMj81ySUbkXWeC38VvggcxJau	17	2013-08-04 17:25:54.501246	2013-08-04 17:25:59.508201	228		0
21732	10ooppp77124rusfuur7ieb4zx	$2a$07$sSrnqs8o8Vu2kc0QWwnP.uDBonVlM8sbArT/EuUXJulYqNLJPNC9S	18	2013-08-04 17:25:54.534279	2013-08-04 17:25:59.698792	228		0
21733	10lnfepar4rfgw51pyoo6kh0jk	$2a$07$wOHXw8JkagIWuG3MEgc8M.RVfKce5od14DmfIiYEOI7ciP/6r6uRu	19	2013-08-04 17:25:54.570876	2013-08-04 17:25:59.824475	228		0
21734	10xgd7w8qh4hjclxrpxcd7a27j	$2a$07$TudmBt0TSmkYRZ7B/pyK2.1AJl0veRFxSembhNH2jeb/LmtBMpISi	20	2013-08-04 17:25:54.592693	2013-08-04 17:25:59.950711	228		0
21735	10ottg6t7vbka8amit0hrchoej	$2a$07$VYxaKJKYsYIWYtEWG7/8NeXWztGE8WAgJd43FnNlsCnYGSdUrtfBm	21	2013-08-04 17:25:54.614311	2013-08-04 17:26:00.056259	228		0
21736	109mla4x702gdrwg4674h2adz8	$2a$07$9DiGl1JCotDMjzQOYeELNeMoCJUfcTOgqzzm35BVVvUBavDOzfPqK	22	2013-08-04 17:25:54.637779	2013-08-04 17:26:00.158806	228		0
21737	10c8yjb280hfsvpurzq2ff6401	$2a$07$woZcM2XC.B5Qczj1hfjJxeQJ4jkK3rJ9QQyPBxR8Qk0RDcatYZ.w.	23	2013-08-04 17:25:54.662996	2013-08-04 17:26:00.290949	228		0
21738	109muevs1mtd8jdbdlsf60d0zy	$2a$07$MvfzNah2btaGxgb1iBcCF.XyV15MDJ4i/Uw1PQMPsc8q7/pK7n56q	24	2013-08-04 17:25:54.69122	2013-08-04 17:26:00.439585	228		0
21739	1040w4luo0yabbk3hpc6uv802r	$2a$07$VO0M8X/x3u2iuuii/lllC.rOEGI43ip4fg/GfSep5xuMMAk53y7LO	25	2013-08-04 17:25:54.724366	2013-08-04 17:26:00.579647	228		0
21740	10afngelg1a0mpc86g267orv91	$2a$07$ApDfmxxQxnWFBpiUJx8FMO8ZS2gOiOBpQfsrpRFvy5SG0jwqnA0K2	26	2013-08-04 17:25:54.750668	2013-08-04 17:26:00.706696	228		0
21741	1026l5d8cbnhv4btb3oqax8sqy	$2a$07$Yz/Zq3PqPCH/Q9d7pVCAG.hvKDrUdM6hS/A4mB/DyW2WgF2ZJ94IW	27	2013-08-04 17:25:54.772891	2013-08-04 17:26:00.838904	228		0
21742	10551vrg3272ur0hj0awng9txb	$2a$07$4l41uY74w5fSWGjPXJ/A6e1I55Ok0.rfGARmWWFU.5Qw386StEazC	28	2013-08-04 17:25:54.798631	2013-08-04 17:26:01.014777	228		0
21743	10e9c0tcubwqa8xblf3vnvyyf1	$2a$07$vRUSRGHFFtrSBuM7BwG8/ukHREYwFV1K9XDoFbK6o4ShNVd32jV6u	29	2013-08-04 17:25:54.822916	2013-08-04 17:26:01.238717	228		0
21744	10hfhrepthlw3odljr58565nja	$2a$07$uxcfgXpqzg8B9eRhyM/g6eYH2k8VFr8Y2WWivnVN9g2RJYa.WhNqK	30	2013-08-04 17:25:54.845668	2013-08-04 17:26:01.38379	228		0
21745	10n2lkxbcmm5c0nvs7nf2qzcen	$2a$07$9Xaxu139dSfIDeitAEcDQuX71Qn2HsW9hi8yGQlTNPAhAfVx28xRG	31	2013-08-04 17:25:54.867405	2013-08-04 17:26:01.522731	228		0
21746	10j03h2y9esc4779h9jbdd9euu	$2a$07$H4V0UrDSA5RLD/TD.DGB0e5OQXmO.GkQ9Z/i6i9eXA7WMTJ6EgA4m	32	2013-08-04 17:25:54.888968	2013-08-04 17:26:01.663606	228		0
21747	10qkbt1rg071l4wbzdhnyoetxu	$2a$07$eqFZBtsnkZGPC53qK67RmuwRZoXHHlNqjbhOSg.6csQbIlYbi3MMC	33	2013-08-04 17:25:54.910669	2013-08-04 17:26:01.799092	228		0
21748	10t3exn0b7nclxbdmx1uv0f0f1	$2a$07$YxTksNs/De33Lhbp09xFLOp70KN6yImWTZwORLNOk4TPuARjNYZHK	34	2013-08-04 17:25:54.933511	2013-08-04 17:26:01.937579	228		0
21749	1078z4mrxf1yxbqemy1jlcq3nj	$2a$07$BF9tCL81fOZSDNrGgl3EqukZ2AhEzXrnggwShHd1t3Qu6fA2Ygj0i	35	2013-08-04 17:25:54.95532	2013-08-04 17:26:02.057815	228		0
21750	10f8jnuv5oxo1dx1hkyujn9ff9	$2a$07$UaT4wRALswoYluudQE68ROPHDCRTwMSp83Yqb8qwalJogj9VBnm.K	36	2013-08-04 17:25:54.976955	2013-08-04 17:26:02.176575	228		0
21751	10hlgm8yhlw2s5d7pucqvmhoib	$2a$07$ghvEv8fOQ6UiieW6su0xNOxH8zN3fllsKqhi5LBr68ooEng1MnKC6	37	2013-08-04 17:25:54.998523	2013-08-04 17:26:02.316197	228		0
21752	10s9dn52hiejbcjacfbw1hblq5	$2a$07$/u3etL7aX0ZatjchQvvHgeiUn.RBItuHsO0GZwjrkXM/e48mrUuz.	38	2013-08-04 17:25:55.020376	2013-08-04 17:26:02.434849	228		0
21753	10fe6qf451g8xkimfijyxkyiwq	$2a$07$k9zJ9rd1tdYjd4Fh89KEyuppbc7DkDb2gz9n94.C2F6IBdXiCqNTi	39	2013-08-04 17:25:55.042519	2013-08-04 17:26:02.581315	228		0
21754	10tyy1l4a3iwfzfnjl9i9p9atg	$2a$07$WgV/.UGZBzD1U7lG/wbM7..shjktX82cD.vUMAd9.eMBgwjv9LSeu	40	2013-08-04 17:25:55.063914	2013-08-04 17:26:02.734733	228		0
21755	103d5r7bxgnxmhwogm4tsytqm7	$2a$07$L79L0LrxbI4U4gxvjBhDT./aSiyT/4ynwswNxRi3BB0OML14DfZv6	41	2013-08-04 17:25:55.086674	2013-08-04 17:26:02.887945	228		0
21756	10ks1cvtu6ilukv9mx6vr5p1ne	$2a$07$8n1Yj7PktH35UhbIwnQPVOnzZBvAqU4s0At78BaXM.4rRqtkSS1MC	42	2013-08-04 17:25:55.111582	2013-08-04 17:26:03.011621	228		0
21757	10oo05ml0x0nwr28q0uwa92xb3	$2a$07$V2CpNStzwdY2cuSz79mDyO5qgT88iSKm4//8.fh3wMQzAURicIwZy	43	2013-08-04 17:25:55.137265	2013-08-04 17:26:03.118122	228		0
21758	10s9qe6mbs7q7krs9dr00bdrbw	$2a$07$gpnUSjhFEEF9UovPVgtRxeUueoneDwjWXXWmoUfW/JFgem/sOW19S	44	2013-08-04 17:25:55.171744	2013-08-04 17:26:03.215414	228		0
21759	106tyvbiefihgx3jf5lgpyh1my	$2a$07$B7jotKW4lL3f5tgDhfy0l..cUHcvaxvTjBzme01zCKxJFLAbNX33q	45	2013-08-04 17:25:55.199888	2013-08-04 17:26:03.321199	228		0
21760	10av4owvfmbv3ojadc00ipfbrt	$2a$07$d5qHWG/7sWIdRdtpOK58xe9AYdpracO2xcRRTeHyq5BYcHnSuIwSa	46	2013-08-04 17:25:55.229156	2013-08-04 17:26:03.651366	228		0
21761	10ewb9dd9anmlfmygt8eofz3xe	$2a$07$B.L2BonVx8m5u2dxekbSrOfWNtNEBT6lh1.w2B4he255BmhRw3mP.	47	2013-08-04 17:25:55.257828	2013-08-04 17:26:03.893179	228		0
21762	10uaaviii2jlgt7t6bc9ys4s5g	$2a$07$m4651Dy0Z8jON0JAKOiUuOht8EDx.HZQmdv53p8A4Oa.RddBMOfDO	48	2013-08-04 17:25:55.291106	2013-08-04 17:26:04.254453	228		0
21763	10k3bmki08bu845o19ypsj721m	$2a$07$/QjTnrDevHdU0IfYse.RheMOBKzGQmU58M3iUF.tphNOgFeNNQ6La	49	2013-08-04 17:25:55.323992	2013-08-04 17:26:04.386997	228		0
21764	10hxomsamssu94ukxjxdelrlft	$2a$07$MxF8DGWjK03iR/Bwx9eYoOMvqQJ5fKUKjHJovXLnGnANLfsxupAUu	50	2013-08-04 17:25:55.348156	2013-08-04 17:26:04.505132	228		0
21765	1045cewl4acrzlractcfr5o8qv	$2a$07$ARESc7Iq3jdskTOSOcowVOMQ4hO/jqLCp8cS4pZ1Nih6rFvSQ24Zu	51	2013-08-04 17:25:55.37004	2013-08-04 17:26:04.64423	228		0
21766	10ew85jj5j79yvqam1g2tlt2ba	$2a$07$SPcRrwvSzt0DiJGup7GLNOwBorLBUw9tReyTyg/ZmoN1tZb0iWMHO	52	2013-08-04 17:25:55.391807	2013-08-04 17:26:04.81961	228		0
21767	107kq3ahvvio5m74cmbwic48hk	$2a$07$70euT9dmRTAawZOL.kjaOORUaleulWSr0VKJ.77urx5B19WEILw1q	53	2013-08-04 17:25:55.413762	2013-08-04 17:26:04.968546	228		0
21768	10wbmdlp6td2y61d4pptwlrlie	$2a$07$Lp13IvhYePmgD9ngA.hUu.//qliATDCHdoc2BYHKyn8psHUQ8WAS6	54	2013-08-04 17:25:55.435533	2013-08-04 17:26:05.092333	228		0
21769	103la3eu72xaoghc207hp6jnzj	$2a$07$oltUSCLvkFFuV5azeRvYv.UagTxjrdMLS3ob11NJqVJQVtIsBzLV6	55	2013-08-04 17:25:55.457211	2013-08-04 17:26:05.222834	228		0
21770	10zemnezov8yxl1e1srqtdv13u	$2a$07$uOV.dmzrI4.sUNLvH3QhoepG7NS3ieZK1F3r3dyMGMPYIFTxPTj3W	56	2013-08-04 17:25:55.481819	2013-08-04 17:26:05.379294	228		0
21771	10962wm1rsj991vh98aoqmos0q	$2a$07$U4XsDLbGrvKKeiCAPzDDBetie8LLbDtLJ5ybLW7km.jc0KcYrNlZW	57	2013-08-04 17:25:55.517181	2013-08-04 17:26:05.514881	228		0
21772	10034sxduo31l5838ipx945jcg	$2a$07$pdvxSffgTcXTcXIF3TyUdO9hFuuhhAr.nrHyqhBoFd6afk5kkjGYW	58	2013-08-04 17:25:55.53894	2013-08-04 17:26:08.249489	228		0
21773	108tsuv68var39pky0p47hxvho	$2a$07$Vtp1O1W1yjMKGQfg8CbPSepeZGE64C9X.yUMjaYDGUqS2Behd.H8u	59	2013-08-04 17:25:55.561369	2013-08-04 17:26:11.482088	228		0
21774	1096l36s6zpycvnx6mva3keems	$2a$07$5dsBD6jxKu/4k0Jai/JTYuJdcAQlp4qcfls3xgzlTMsianDMWxgCW	60	2013-08-04 17:25:55.583727	2013-08-04 17:26:14.543927	228		0
21775	10mxik5w6yx4o3jmfwtzkeyunf	$2a$07$d54xK0waav6m96TIMAhYFOKMSPZghYS.1tazGKgbWZ3G5elVnleNG	61	2013-08-04 17:25:55.60721	2013-08-04 17:26:17.127436	228		0
21776	10pkzmg8hh2qxx9obv6d24979t	$2a$07$fn8v1udhXaGUUCueTXLxnuBYAhKQ1lUVSAni.Iu6aFu8Sf4cW9FSC	62	2013-08-04 17:25:55.630799	2013-08-04 17:26:20.051778	228		0
21777	10c5zpkhrrnxy9kod6i26zai25	$2a$07$5NWFK7Ra86vPLq/JGrpMLeHWcBjcwnHZ9o1KSJ/dzjWyA0.KVnIP6	63	2013-08-04 17:25:55.658667	2013-08-04 17:26:23.042603	228		0
21778	1016gqlb7skniowwhjxd4jyz09	$2a$07$Ju.1.KSC0RG9WYCzQPGaGe/jDjDfipHK1C2zjNHbS5wtOETQ3Ipa2	64	2013-08-04 17:25:55.683619	2013-08-04 17:26:23.169195	228		0
21779	10iu4xbmm5y4dlk9pgz0i1mbqt	$2a$07$ZPbdux3GWU7KXDv/Jzh60.8AiAr6Tay12AuqYb7RkEWo5Y1YBvCYe	65	2013-08-04 17:25:55.718762	2013-08-04 17:26:23.295668	228		0
21780	108s68bztw14mnow2ba5jfzz6y	$2a$07$Arzle6V7ud/MnrgUHdJyDuC2206K.F5qZJb849HAefiX5wOn0JKqK	66	2013-08-04 17:25:55.74258	2013-08-04 17:26:23.448377	228		0
21781	10bi3lwxmtd44yn406d5r1uryy	$2a$07$4nLNe0sSRcLh2v1optEe1uM6raJ7edLdcPsfzzOUJGO308Xze4ALq	67	2013-08-04 17:25:55.765833	2013-08-04 17:26:23.611114	228		0
21782	10bw53vdjcsh57e4qx4ierf7oc	$2a$07$sgf6QIGeA.LaL7RA.OrkneQr4t7n.VZYGJih9k4Yq8s.fa9WgVnYm	68	2013-08-04 17:25:55.79003	2013-08-04 17:26:23.743446	228		0
21783	10gbavq3mhnqxke7m4n7ekndts	$2a$07$Z0A5688nSS3r7GoSVxYL/.GDCuRosl4VMvtCkd9RfBgO6C5YzHpGe	69	2013-08-04 17:25:55.81245	2013-08-04 17:26:23.891331	228		0
21784	10ry04rkbu9uoghlmhvjejq5eo	$2a$07$d9FkBq0fNovVtS6PcUeOzOEf6EuuQWTtmU284WiW98G1Hf3YvUK3y	70	2013-08-04 17:25:55.834225	2013-08-04 17:26:24.046657	228		0
21785	10swvm66t7u72i7c567qmmzjv9	$2a$07$Bor4uT.8qdLtfOIl2/hPIOgd2/mbnGexEw5OkapI0jt1RuaybUREG	71	2013-08-04 17:25:55.856839	2013-08-04 17:26:24.188951	228		0
21786	10o26g8pkpkrzu6gm23lk63znk	$2a$07$d8SqVl4iHfc/v5/Vqb3s9.lHVnBxkWq0illLuilUxme1kb1HbOmiG	72	2013-08-04 17:25:55.879775	2013-08-04 17:26:24.335845	228		0
21787	10oje9a08f1l9m1weytxwfeu4b	$2a$07$GoybC082GKCePF7Fy2nm5eMkw1/kOYHgWsUWYgX1vLlZEDutsPFeW	73	2013-08-04 17:25:55.901603	2013-08-04 17:26:24.506781	228		0
21788	10di7dauw4yzwyk3kx37vhew5u	$2a$07$5u127obqeFotyk8Z1BGg4.W58RMMfGlzr95pI9J9uUnKnfELJCxxC	74	2013-08-04 17:25:55.923344	2013-08-04 17:26:24.638438	228		0
21789	10xjn7n1ntxpi65t0yowsuxrv2	$2a$07$yPXEUvJg9BBnpVgjbgcy1eg56qWOrA4aoeyP5UDsTZCMBOOC8b5ai	75	2013-08-04 17:25:55.944773	2013-08-04 17:26:24.819871	228		0
21790	10jf7ur4d5hvggulcq0dh3k4bb	$2a$07$bdSOFq.UvljF66TQwszlVeOwaE0NWgcZm2Wl3VCHRhoTWh.P.LJii	76	2013-08-04 17:25:55.968227	2013-08-04 17:26:24.946694	228		0
21791	10an7c6s8a1ho4a7hgj9dr8i7h	$2a$07$Ysb.eek9/5iQxq78N8i8au5Rzc9nBKIdwhwUb5kkBaSCQUwMGE6si	77	2013-08-04 17:25:55.989779	2013-08-04 17:26:25.071412	228		0
21792	10wzwa56ocvfxkxfyjb06g34ag	$2a$07$h0NiDDjh5i2FppmEfwFLgepT.nUjQOr.G7h0KmHGI0m.4Z7ajh63.	78	2013-08-04 17:25:56.022226	2013-08-04 17:26:25.350999	228		0
21793	10lmdd9bh2ceu5vrrmx4socpcm	$2a$07$cQHoOvnnk982Q/2tA8dRE.NExpo9VwNYdU6I3vDKqQoKu1YWvMLuK	79	2013-08-04 17:25:56.04822	2013-08-04 17:26:25.486748	228		0
21794	10iq2qjyainy574t59ckee7m9i	$2a$07$fybijsQ3FsVgwVwh482TcurggpwM56vtGusDOZM5UizSYVbKqCvPy	80	2013-08-04 17:25:56.071735	2013-08-04 17:26:25.629297	228		0
21795	10rt11kh0ag61avnr657m8conv	$2a$07$/o4ZnXZakKyKqYQjPaOS5ex1FuBNjeK9XsRcHsxqpkdTA6cvQrU2q	81	2013-08-04 17:25:56.095454	2013-08-04 17:26:25.779744	228		0
21796	105gcbsgm1wq8zw3vb9enn2gdu	$2a$07$NGjILKy5UxhBT9fmagaREORyckN12j3cMQryvxAgVKiJuH3mYOS/i	82	2013-08-04 17:25:56.12233	2013-08-04 17:26:25.98396	228		0
21797	10l6k2pvf10ay90wfiecikii45	$2a$07$Cd.RVTrf4UeOVGhZcP4pkuRdwXQWofPRNhrSxV/NQMrwkzL2Twz2y	83	2013-08-04 17:25:56.147105	2013-08-04 17:26:28.730036	228		0
21798	10zc51xr453kzpi9uuprovbtnk	$2a$07$8GQD/hAYHM47ulKraejMq.TinJ6o5zuGJyYHRPEB08CvsAgiuZXO.	84	2013-08-04 17:25:56.177505	2013-08-04 17:26:31.588271	228		0
21799	10s8mayqcn21qov6xicvsc0ihc	$2a$07$gdLk746AOYjXKcllyk45GeunGxn/fec2x7ZhMh35pGr3tlJr9wknO	85	2013-08-04 17:25:56.203247	2013-08-04 17:26:31.713393	228		0
21800	104gwjoyxeydvdsse6q4jfmxlg	$2a$07$DpEfEIhejXp2rhbiMKujteiPwgXrW.ch02p/uJBI/dkraD3KAihlK	86	2013-08-04 17:25:56.226206	2013-08-04 17:26:31.850422	228		0
21801	10bs4f7fwd553sx3rgjpmnv7qt	$2a$07$baUjQbhI2HgHrpRF2YdMCOzqjZ4xphkKzaEz5VLr/fIv7gz.68otm	87	2013-08-04 17:25:56.249485	2013-08-04 17:26:32.002577	228		0
21802	10yof8xe59ew9lwh9w5ju97pn0	$2a$07$B/ZtELTxsF4IRTOdz0xAo.qdGhe0bhHaF5BzKKGxmyh5w.Z6bxy7S	88	2013-08-04 17:25:56.272639	2013-08-04 17:26:32.148064	228		0
21803	10ut12m8df9a8qi1l1l0j6pb4m	$2a$07$reWONdw8zJL/8ffqDFatYOogaOIrtzEjM62sSeqhGsKnzTIcXr7du	89	2013-08-04 17:25:56.296149	2013-08-04 17:26:32.443194	228		0
21804	10pb74yo833olezl8qqpx3djmp	$2a$07$jJ7RIMxETwvAX4SxIBsn2uTGZ5bWlzfvIMzrvOaGqEvpLNmqcz2F2	90	2013-08-04 17:25:56.31983	2013-08-04 17:26:32.683627	228		0
21805	10e5rmjfyj5sqsl86mu6xevin4	$2a$07$U2QBP1cBkHN7FEoW6klsme/nlrwU2dBfBcsyPJsO3bfU0J6BfcL5e	91	2013-08-04 17:25:56.341789	2013-08-04 17:26:32.863087	228		0
21806	10szvcw3oeyp4h4csr58spakk9	$2a$07$pqJivJ13KDgd/OmEdAQDgO1w6w75gj.fmuSGYoJO9nk53tzpHm52O	92	2013-08-04 17:25:56.364571	2013-08-04 17:26:33.027003	228		0
21807	10fs32bxmq73icwjzpl7rknskz	$2a$07$.yc3Oou/8o3jLAHY2bWKIu3JAPUPovFQ66L4xmpgtQeZFKDw99UwS	93	2013-08-04 17:25:56.389648	2013-08-04 17:26:33.164333	228		0
21808	10resdvlshb19jof77umro9bnk	$2a$07$DzdCS14h/NB6XXubZTtY0OoaYjunGSfKKD1Qth/RlYrzdzfTwxUCW	94	2013-08-04 17:25:56.427771	2013-08-04 17:26:33.304039	228		0
21809	109g8d2w466gszmsy3cez7mlez	$2a$07$eIoALjYqqp6F4vaqsylFDeMoyppzFET0l2KqTGdDb4k5BIO9EoxKy	95	2013-08-04 17:25:56.463145	2013-08-04 17:26:33.43106	228		0
21810	10cpbkhtxzaajckwaw55mk9d7g	$2a$07$nDjB9UFTWPjHbyfxooMUpeWe1vlsda8vzhOX7PHA8WS6cDDHeEkKq	96	2013-08-04 17:25:56.490863	2013-08-04 17:26:33.576774	228		0
21811	10osqpz9amnrzn0yw4hp6s3rko	$2a$07$TCHHqEol5vzdrSjbYFVD1eZ28uNjARD52jNcr9xqCh10oFRhYqmW6	97	2013-08-04 17:25:56.513947	2013-08-04 17:26:33.784294	228		0
21812	10cmswxdqah3xoul56ygxb6h8d	$2a$07$7R6vpzmuEbhvlOF1mgJyRey/UoLYkDgSTEXCFveuOVmOdu0/3TkJm	98	2013-08-04 17:25:56.537204	2013-08-04 17:26:34.044876	228		0
21813	10l01paxk3wc21o8tsgobgpbvo	$2a$07$DfzXFS8j1eyFuyxCg9mqKuA/XwOPnrDUz1eQw9IVTIAJgYw/FzUnO	99	2013-08-04 17:25:56.559431	2013-08-04 17:26:34.158277	228		0
21814	10au1sr8cpaafmtzdgw36i2myg	$2a$07$IZ7l0Evha5dMUb1GjVLG1OOm5nO0nea2vTp0TOsu7VLqVIUEmxllS	100	2013-08-04 17:25:56.58175	2013-08-04 17:26:34.262796	228		0
21815	10182p9mjwfapss6nstw9nmzy4	$2a$07$L5IeQ6LA7dtQLoIPcI8lFu7/WWJ5FUFa7Ih0B0CPrhF0GMgV/Okd.	101	2013-08-04 17:25:56.604256	2013-08-04 17:26:34.387786	228		0
21816	10rousgmganz7jjgvt13brov6a	$2a$07$NkwE0w5HS8ttD2y6/4VpUeWXFEtUtuWWwJyVHHWRBTc4kwKfxkuny	102	2013-08-04 17:25:56.627912	2013-08-04 17:26:34.529402	228		0
21817	10peulkg98uepaq70kgz0ab3io	$2a$07$OPuxbEErllGkRlkrtYCH8esGooKZIqzOxEcP5EuGJAiB/WjB.CrE.	103	2013-08-04 17:25:56.650388	2013-08-04 17:26:34.685882	228		0
21818	10bng3skuim33n9ylk0vaa2a3h	$2a$07$guPDJaJqWOPrYAhhaVaAIeRVxAf0q1QBsRTRXVifAhZfGW9/pyM4a	104	2013-08-04 17:25:56.674859	2013-08-04 17:26:34.813856	228		0
21819	10zl5f2nsisnwkb6tdjzjvfoma	$2a$07$ZZGZ/0Al2FqQqlXYmg.LgOwB/SWAajVgaLiWKODUEzMh29LlEHNOi	105	2013-08-04 17:25:56.699106	2013-08-04 17:26:34.962105	228		0
21820	102gyrcz5wmaqa5ljit2he5ayg	$2a$07$/9dUTmZA9QrhhWZinsX1q.W0vtN7tvcdy34TSwxonpM7sexxRbBcq	106	2013-08-04 17:25:56.728819	2013-08-04 17:26:35.103039	228		0
21821	10t5apflsc279s1mv1hbee30e6	$2a$07$ATQCf8B0BaWq3zLLQUGnM.TfOIiC8Q8T8OaDNN/BdPbRPCYpPTTPK	107	2013-08-04 17:25:56.750316	2013-08-04 17:26:35.251177	228		0
21822	10mabvfl3nvy5t3mxvfty59dsj	$2a$07$LZ7ZPaZSl4FhbhR.rY1EUe8Yzc.WR4yfKR7uR8WQUSAdS6ubmRoC6	108	2013-08-04 17:25:56.772528	2013-08-04 17:26:35.437676	228		0
21823	10n36dwv0lt8ss5oqgjmjfyd59	$2a$07$BcPafCvuKLV.Hz19GRQSXuhC.F9B7fu9vbVpR5COeTHgG8ezIQD2G	109	2013-08-04 17:25:56.798377	2013-08-04 17:26:35.575837	228		0
21824	10btv2qfvl9sdb84uuedwdivir	$2a$07$rXMN.qrNRJ06yoIWVCG24eD.NLOYHHyZKsO0SqZNWkACyBE47wyC2	110	2013-08-04 17:25:56.821821	2013-08-04 17:26:35.778967	228		0
21825	10ij6sv5trtvuvmr3gd9db2vb3	$2a$07$G/kR/A41kDrYOX0mCCrSb.74Fw3gnaNdchuMPDuQaIKCwn2maBq3O	111	2013-08-04 17:25:56.844103	2013-08-04 17:26:35.921462	228		0
21826	102jzdxnxm9t06xdz8lvdpjxkp	$2a$07$pGtzfgGGOjIvfPW009FgS.zTBLFWUBswDyk3KPFvdtrOoG5Q0ZnYC	112	2013-08-04 17:25:56.866562	2013-08-04 17:26:36.049497	228		0
21827	10pfko1057rft8adys90jx1rxi	$2a$07$puxKbc/2Io53ZYZ49QqN1OFEO.BlRS99sSEdFqgsrb/XfX23iRN/K	113	2013-08-04 17:25:56.889764	2013-08-04 17:26:36.16886	228		0
21828	10urmtgencxtql2gulhwlyk2a8	$2a$07$jsf4ihtoR5bGSy7hQAm8ZuDmSoBbAVbuy3h9ZJBo2PGdeBKM0PY1S	114	2013-08-04 17:25:56.912578	2013-08-04 17:26:36.297505	228		0
21829	10hpfrcs83cpzw9p99o41yjxzh	$2a$07$J7TaB4K0drzj0kHPpEDcJ.m8Jht/a5GlnNR.9.dQIT2fovHjeeiFO	115	2013-08-04 17:25:56.936143	2013-08-04 17:26:36.510422	228		0
21830	10msuza2mqas0nymy1h0m5fay7	$2a$07$el59eII.hTZO9l.DQxPdN.HECuog9.PpxQ.UessIm/vzkXh9bLcPm	116	2013-08-04 17:25:56.958521	2013-08-04 17:26:36.652407	228		0
21831	10fz4pebjx93lmoxp87bmb93e4	$2a$07$WmwCjHglN9MN6G9rtbbxz.5TOUPgEINEkiC1tFPE3mo1AFagjpUmK	117	2013-08-04 17:25:56.98225	2013-08-04 17:26:36.78741	228		0
21832	101ac49n7z9aqb68zttxqfg3g5	$2a$07$6VgpteL1rswj5ZVuJRTsIu3nFeYNLYnnZzfvHw4YZBD4aG8XQgG1O	118	2013-08-04 17:25:57.005528	2013-08-04 17:26:36.920861	228		0
21833	10wfwmqvdriulwze806sx79gqq	$2a$07$bhcZv9z4ETmDBGppAmdxv.7nx7Gn256jvB3t4kAujX92.CeF1ZW4q	119	2013-08-04 17:25:57.028604	2013-08-04 17:26:37.158903	228		0
18439	10348kaa6bn5njtqlmzlz8b9u7	$2a$07$gcqBeZ4BTG5DG52wKHLZGe1yjqPZGlKgMxssDI2U9iXlywB6oM59O	1	2013-08-04 01:19:51.10897	2013-08-04 01:19:54.421646	202		0
18440	10d92r0cnmh71n329qu838pfj4	$2a$07$XQqfPyQvOd1.4qUP6ikOdu1/rMVovBOnlB7rToslxrMnv5Skn0wfq	2	2013-08-04 01:19:51.134122	2013-08-04 01:19:54.556333	202		0
18441	10hbxzgkcz597yz1hq32jpexfa	$2a$07$4j3w6hGiwtpZk1X3/PQnrubWOQqrCuJXElnxpFxXCZ1f9QqdVZUGa	3	2013-08-04 01:19:51.15824	2013-08-04 01:19:54.684174	202		0
18442	10g8g036peoh7f5fdcgpcjmoct	$2a$07$pnHzkKhZYsDT/7g38YtYSOi9Ux1j0Owx7yFuGunP63ImZEWwp7s3W	4	2013-08-04 01:19:51.18523	2013-08-04 01:19:54.850916	202		0
18443	10boonhn1qck5ddpy8xldnivgr	$2a$07$JDTxg.rtbyn6QvEHKNvqse69CYeMo4IT2Zy/IpDiBMSV6fSMgYsCe	5	2013-08-04 01:19:51.223985	2013-08-04 01:19:55.015829	202		0
18444	10b84kz77v95wqi50ef24o1faw	$2a$07$2hVRLHOt9BpYPGgL.XiDc.b7kDx5hlvI3gaC23nvwbXFKzGFEuIVO	6	2013-08-04 01:19:51.248837	2013-08-04 01:19:55.136176	202		0
18445	10i4a4pevvktzuiqf5klv2998m	$2a$07$9hrK8iFBjUgA7IJtIbBkT.9f8QRPOxQ4MsyH35tXwK8/ZFUuWnHR.	7	2013-08-04 01:19:51.272441	2013-08-04 01:19:57.806444	202		0
18446	10qdotkptwduwgy65rjknmbhed	$2a$07$3cswTKFmHpv6FVCZFVvkLeZ/UYpF3DVBUtk4o067LZD7BuWQU6kMi	8	2013-08-04 01:19:51.296233	2013-08-04 01:20:00.731781	202		0
18447	107ezn50u1bzejwdhrq4v0vicz	$2a$07$PJ2nmSM5bRc/RsE/5YlYNOQJivL6QLBgE5OvjWfinHo67Y3iM0pCO	9	2013-08-04 01:19:51.320129	2013-08-04 01:20:03.813893	202		0
18448	10ac8en8imfnexyoab12kokp2a	$2a$07$PExPEgpBeIoOvdK.NMNZdOpAlFy8mBTkuz8zoUFUima3EYznT0MJu	10	2013-08-04 01:19:51.34323	2013-08-04 01:20:03.94411	202		0
18449	10pyxwbd47cynkt2r1myhavc11	$2a$07$fbbFT2hg9E6mEO91eXtIw.6ducVqfnTi5jW47uaJOqMCmwvHqXtam	11	2013-08-04 01:19:51.366812	2013-08-04 01:20:04.082009	202		0
18450	10cc4zs4rvrbym0r62m1govkzh	$2a$07$9MQR4vVy2aZ5W92oEctU3.ifk3dXY7BqAuXFh6Z7FdBq3ytptAbZu	12	2013-08-04 01:19:51.388915	2013-08-04 01:20:04.400514	202		0
18451	10bzl50j8cw0avbqm6iy7n7eus	$2a$07$mGXlVdNGak3sCU2hh6X0Z.gGQh1NbBRTBl3huTjkPAXR1zsCFIgSa	13	2013-08-04 01:19:51.413231	2013-08-04 01:20:04.51427	202		0
18452	10tefb72t5oe7cz2l6z8odrpv7	$2a$07$vt93jg70NiSzrh8z2Ul6RenzN2qFhhU2/8dRZeKYrwYwBJB6dFtaS	14	2013-08-04 01:19:51.442185	2013-08-04 01:20:04.654149	202		0
18453	108hvrq0j66z9zngzbimfhkexz	$2a$07$YbDlTZG18QW.rPEIfXLWxOBuCCoRGbupXbbKyyOWKfIvvmo3oGd9K	15	2013-08-04 01:19:51.465773	2013-08-04 01:20:04.778621	202		0
18454	10f8nyef59b6m10gojejrq8t9a	$2a$07$gDoUh/m0k15lo50msHF8tuFjsGLbR1lNXQ3V/k9I7kh6eKi6lftbq	16	2013-08-04 01:19:51.499348	2013-08-04 01:20:05.002995	202		0
18455	10jmqrc0ydmja3evojqxtr2vtn	$2a$07$beUX/H8eg6v7AusiTNsocONlNZHUFV0nKsAeN2dymmeKaUdAYhBii	17	2013-08-04 01:19:51.524603	2013-08-04 01:20:05.158664	202		0
18456	101yd8wwf8boe7btog1dqha2ju	$2a$07$5N06VG13c3JIgSd6qocEn.bUg8dYPxhDBGhX3iRiRIQSvxhpcI4sm	18	2013-08-04 01:19:51.548898	2013-08-04 01:20:05.322586	202		0
18457	108w8et5nvmpfqytt76r8o5s62	$2a$07$2xN3AKzmN8//jrexzw6Qwu46A4emqZdsGbtshtA6l4OycGnRvANT2	19	2013-08-04 01:19:51.58062	2013-08-04 01:20:05.449348	202		0
18458	10x5adocj6nwj5gf2tue829mxa	$2a$07$YrW7fvxPxH6Xj8bn/AqdBuHsl6VsC/IbXXOL5VKvnHhj5mpBJd1zq	20	2013-08-04 01:19:51.603064	2013-08-04 01:20:05.581127	202		0
18459	108mtydh9eaazr4tr2fune89ed	$2a$07$vhrLf7GtQpFNyddstXi3TO1wVddY5oHNAS/w0EoyiVilFVyuCAqmi	21	2013-08-04 01:19:51.626569	2013-08-04 01:20:05.704661	202		0
18460	10ap84ebzenl06csubsat40l6l	$2a$07$dIyMYsfuxNOVMNK6e0LA7ekDn9HjKC9DT44PoCfyHx9M/4eEpwRw.	22	2013-08-04 01:19:51.650115	2013-08-04 01:20:05.829011	202		0
18461	108u6oq2r85vflybb17zynqgdz	$2a$07$xI3Mbtbd.ycPjx.APBT47.AcnooQhq0E/ooT56k9HEZCU8vFk6Q9a	23	2013-08-04 01:19:51.673875	2013-08-04 01:20:05.954099	202		0
18462	10am9tn70lulz4719edocaayhf	$2a$07$XngejoSrwbgG47TVEEzPNeFDyD0cNbJHetT0Y/3YD6YP3iNUlk7za	24	2013-08-04 01:19:51.697586	2013-08-04 01:20:06.085314	202		0
18463	106319ztxsi27pimbnuzru3o6s	$2a$07$YtK1q5f6aJA.GymaLXfG6OLMRfjuB13eLp8uBe5hWz7JiU/HwswUS	25	2013-08-04 01:19:51.720666	2013-08-04 01:20:06.443186	202		0
18464	109sgdxrs7pbt4nvru3uehy3e0	$2a$07$BAU4De.IIRw47cb0dujUNefZ1/FGKlSkhzCDyOO/8bueQgin4Nz8i	26	2013-08-04 01:19:51.742585	2013-08-04 01:20:06.628675	202		0
18465	10b6301todeq5eaonhm1e8vuvh	$2a$07$T13dNLyedQtOzEttOj4SV.PiMldT3/qlXDawV7sGHYOsA9lbFGTKS	27	2013-08-04 01:19:51.766102	2013-08-04 01:20:06.793034	202		0
18466	10i1cbjiswpcbdv7ic3cssq5b1	$2a$07$goc0E92j02TTkmZE51Xh9Oan0eccFnaBiVwWqxdQbXenqKzcdoL/i	28	2013-08-04 01:19:51.788493	2013-08-04 01:20:06.914672	202		0
18467	10cn0s7z7j7502uzpwudhkdnh3	$2a$07$YAwulRZ/d62YzbR6kIQUe.09XXQrWfhVuhQonLmSe3pmgurKG9dtC	29	2013-08-04 01:19:51.811598	2013-08-04 01:20:07.038296	202		0
18468	10qoeeeat7uda1mp1udb1rbg33	$2a$07$WzvWLLz5RzLyFpee3cYmQ.ApVffwTziQZKleD7j/RGzx6227bzOSi	30	2013-08-04 01:19:51.833791	2013-08-04 01:20:07.162258	202		0
18469	10vvheyksr3ud4ifq7hixz0dxi	$2a$07$JGDgOeL1T.glv5C7QanjVucpivIjp9e7Pal1gqNFOkTk8ytXyvgjy	31	2013-08-04 01:19:51.856532	2013-08-04 01:20:07.293835	202		0
18470	10mwdylfitkbihcr9hq489ur0h	$2a$07$lQpzjzppwU/sG0cy7oHPCOPHQnOKh8QCoTBG4EPo05ieIE1rSaYWe	32	2013-08-04 01:19:51.878676	2013-08-04 01:20:07.428243	202		0
18471	104yxo3dea7kww6ww97ajdxblk	$2a$07$5.xXADnlixIC5nt5BsVM9uoSJ4/90pW4rU.LgQmzePVoQ/xFJWO.S	33	2013-08-04 01:19:51.901471	2013-08-04 01:20:07.536102	202		0
18472	10l3w1lozrf9jx3yayj1udzr0e	$2a$07$nUcIAd1/MdYC1tDtJqr0AO7KrSDmnzOe/AUPdObnHYL3at69CKyKa	34	2013-08-04 01:19:51.923995	2013-08-04 01:20:07.683626	202		0
18473	10nvtm4s7tnk59f6fxidma50yi	$2a$07$2yetBUFq2mhlJ4ZM1t91.e649XZxcGF8pQiQsPuNlmvvlpCjTurEG	35	2013-08-04 01:19:51.947162	2013-08-04 01:20:07.83399	202		0
18474	101rwltuhk6guwq9hazp6rz0ay	$2a$07$syFZ/5pScZm9hxA10oQMOeSk4jzEuRKLFyG7fiPR/2O.cI8xuaFsu	36	2013-08-04 01:19:51.981654	2013-08-04 01:20:07.973654	202		0
18475	10kyig5m54f05g5dxy4g6lxryc	$2a$07$uRQkv2fs1Ii3N3/eByRz5OxqqofnZ3egKrWTUVF93AQsg.tggfV2q	37	2013-08-04 01:19:52.006076	2013-08-04 01:20:08.113113	202		0
18476	102ljskmc2j9slb4hc24kyq6dq	$2a$07$3FNtig1gOnitVmAcNRAREOiGl6Yfu5Fv/nP8xlc8rSt8uWI/4W/b2	38	2013-08-04 01:19:52.029827	2013-08-04 01:20:08.25661	202		0
18477	10rdxcdtp45gl86n7xpacptkyy	$2a$07$RrjAoSUHA/oAHu7ZXMIkvuJa2eTnQB59zvnIx3HZk3vrx1N/xvd.K	39	2013-08-04 01:19:52.061601	2013-08-04 01:20:08.394471	202		0
18478	10jv570tdnu5jxremhngzihr1s	$2a$07$OA1FoohBEODpugz3BMqQc.AZzoV3s2nzxVNr8tMgG8bbdggYxOBvW	40	2013-08-04 01:19:52.084691	2013-08-04 01:20:08.509551	202		0
18479	10ydcalmqv9ks9mxkesy3sv8on	$2a$07$owaOKo37d8hDaYoP3JPCd.eCgyce57xDTgxedpWuNqicWb69YkA8q	41	2013-08-04 01:19:52.124303	2013-08-04 01:20:08.641492	202		0
18480	105ah7xp709u7jsfn7ihimnykc	$2a$07$kO4WFr1A42.hMYv9LvUWwe0HMjjlDvYwtMT.p4/qmYut0.rR1xEHC	42	2013-08-04 01:19:52.146767	2013-08-04 01:20:08.773464	202		0
18481	103srvmiu70xd0yksc9p2o8blw	$2a$07$jysBUS1bVSiQoq1gv6c58.iZJR4IsalGMAvAXO7WCpR7yv6kOi/U.	43	2013-08-04 01:19:52.171525	2013-08-04 01:20:11.654193	202		0
18482	10d9n6zo9smo1wtu2wweawpbqp	$2a$07$JC5fA.RACgLky9k5SRmgF..IJOZvIfPnNHaOLE3dVU4y2qdLJ0AXa	44	2013-08-04 01:19:52.195865	2013-08-04 01:20:14.67129	202		0
18483	10yxvsyylliuysvazanti6epab	$2a$07$moDk6O8rV2P9sS5ynTUGQ.jqaA6vjB0X9YbNLB7L2Xa0t1vvH7YlC	45	2013-08-04 01:19:52.220014	2013-08-04 01:20:17.623004	202		0
18484	10fjj2twf7xuw2aqepznm31zxm	$2a$07$eK9bedkK7o5SSPD1Vq..He0nl01bz6b4oaKAGpRyJ1UaXTKgPdzxG	46	2013-08-04 01:19:52.243286	2013-08-04 01:20:17.734894	202		0
18485	10b8qadr2ibgmaeq9w33o9rb9v	$2a$07$K.ZLKyIHjQ.zJIomJpkGJe3NXvZmGozI.TsF1NGlo/lQhh7XWytSC	47	2013-08-04 01:19:52.266027	2013-08-04 01:20:17.862611	202		0
18486	10uy7rbhsi8wrmswd3dfdsdgbl	$2a$07$1Zaa1d5TAFA3vFtSXH0OVOZPco94AeRIMly8OvLrLaIAJEp6EZYO2	48	2013-08-04 01:19:52.288129	2013-08-04 01:20:17.997166	202		0
18487	10koiivaanu946f84zqxtxr299	$2a$07$ZsF5Hq9rneUFHZRECL/EaObwcZXbS6VuVbxavdsmZ6s5gKypOmZ06	49	2013-08-04 01:19:52.31137	2013-08-04 01:20:18.121319	202		0
18488	1033so8aaygjp1ov7h43njaeh8	$2a$07$2L3RdjJJBqpFXecmvk6zyePQp45vyB6GINLdyQPaMMAlzDwlAIM1m	50	2013-08-04 01:19:52.33408	2013-08-04 01:20:18.252066	202		0
18489	10dp4w8q57phf21gde47omll3u	$2a$07$FcCw6NmD8Xf8FEi8aJRmm.xEj2DSfKfGBUm7QZ5k/w3eheuy5oyhu	51	2013-08-04 01:19:52.407779	2013-08-04 01:20:18.360237	202		0
18490	10ur7n1stryfo22z464se6w895	$2a$07$SCcYvafhN28cWALCXNQAdOlrXQdKQauee/5aYGwcNDpAQ/a5sr5Nu	52	2013-08-04 01:19:52.431465	2013-08-04 01:20:18.482626	202		0
18491	10zzuxu8b4ovi3rgjcex5d1vyq	$2a$07$4a4KfgoqAoLY.nAx3XUGhu2v8LdfD017.sEPLJLb7zoqkGWwRU8DC	53	2013-08-04 01:19:52.454562	2013-08-04 01:20:18.600524	202		0
18492	10uqlukx6us04f8w4ujduojlhl	$2a$07$do8HYgqyWtzNYx.SM5.rlepyg9BjqhWgqhRSXdZp5d1NiLmCfNv.e	54	2013-08-04 01:19:52.477319	2013-08-04 01:20:18.701798	202		0
18493	10q480jurhqn2f3wtg7afalsou	$2a$07$sAbK5.q0GZN0RcGBPlCj1eEE9PSr8I.PbsCt9sGmdoWFadYMjQYhW	55	2013-08-04 01:19:52.501047	2013-08-04 01:20:18.800482	202		0
18494	10b0osvr65r6lhvlew1vfzjeyi	$2a$07$.LquFXZDeG3QA7KlcTK/puvdYPkLhpVBtQN92DYz784SvsnIun3Ju	56	2013-08-04 01:19:52.523834	2013-08-04 01:20:18.909837	202		0
18495	10l4v6bxi4urck0dsw81lleizo	$2a$07$d4j0aASoL.GLtRGg6ndBf.6ZRbLKWdmM4axiwEyHld.tesq83piPm	57	2013-08-04 01:19:52.547055	2013-08-04 01:20:19.047536	202		0
18496	107e6ax4x0esiwwqyxsf1vbvct	$2a$07$YDzhB1a2YsRJNcoZYSxn0u8DtxYLUdBKCcr/taTQNPr6A8JRTVsyO	58	2013-08-04 01:19:52.569858	2013-08-04 01:20:19.458578	202		0
18497	10hltd38zv83v2ntihjs3lbw9u	$2a$07$Fjh3uPpzLR2evwh3g8UdE.WSpaA5Lx0PljbUVmfyk9j6yxukWJoce	59	2013-08-04 01:19:52.592961	2013-08-04 01:20:19.572369	202		0
18498	10r59kasts0tdhllq3n714c1mu	$2a$07$GfimjJoIPIAInSha6rbpkeGSWCW3tMdBKL.A3wPpiYTPvqtEVROFa	60	2013-08-04 01:19:52.615603	2013-08-04 01:20:19.760226	202		0
18499	10bfk69qs3nq66h1g3jee8arw0	$2a$07$dNmm2AseWl3cLAENst6vSOBq5NrjBKU5YT5xldRRk8pThhjABYXRK	61	2013-08-04 01:19:52.638602	2013-08-04 01:20:22.442357	202		0
18500	10iplpe8p9j4uhvnjdnqsm55j8	$2a$07$9pYKn76HTitBNcXfbkuH9.DkdNlV5NvDkyOLRsfbtzFBoFqNV0Ih6	62	2013-08-04 01:19:52.661465	2013-08-04 01:20:25.215703	202		0
18501	10go5f1vkpmhrze3rz1riiy39u	$2a$07$itT17gGAvFmcktu9whfR5OUHtK9i9T7stNblNdsB7odfG8V/GKin2	63	2013-08-04 01:19:52.684334	2013-08-04 01:20:28.264662	202		0
18502	10iur6rn7kdsdfqjgxcemgjh3y	$2a$07$Ohh2xxyDmHT1RahSxz1kSOcArfMEIiDVsZw05LS8JLajELOJGfl9i	64	2013-08-04 01:19:52.70826	2013-08-04 01:20:28.39965	202		0
18503	10cifuynoxw70390a2lxg9u3ip	$2a$07$PAWs.KXzTjYoQ5Pu85nz7.qNSCGi0k.NRA7sT8B87J7ZRE5w8.t4C	65	2013-08-04 01:19:52.731938	2013-08-04 01:20:28.559621	202		0
18504	10eats26m3tvk7ala1so5jqffu	$2a$07$H8LiftJ6M7Z9EwO5Uq7WYeylT4KK1SsQnVXc75ykueUnX4x2H/te.	66	2013-08-04 01:19:52.755058	2013-08-04 01:20:31.690438	202		0
18505	103izkvm7msymof7wmuku5bf6q	$2a$07$ingo9Xr30l1rAplkZHI7v.9FRNCTeRB.L0hPjuhO4BA/PW/er.BdW	67	2013-08-04 01:19:52.77768	2013-08-04 01:20:31.816489	202		0
18506	10gii9dadubavbkg0oqdiheldg	$2a$07$4qHzXFioF4AVcSCM/Va6X.adlPg5z2J8zIilMqD41dqImj4NKEcUm	68	2013-08-04 01:19:52.800921	2013-08-04 01:20:31.938554	202		0
18507	10xlhvk3ux4n3v4j7qixp7uik7	$2a$07$qqheW6wBI72KBoUDiO78A.5wvxDR55eejY5QVvIyMl83phTnNXxZ6	69	2013-08-04 01:19:52.8229	2013-08-04 01:20:32.062734	202		0
18508	10hyvz45u9xcy7hqo93ei7ygpw	$2a$07$kKkqyO24h1BUYyxEvx3RYOeMDrtYbLtj7U259k5BJgDR.6pypzoFm	70	2013-08-04 01:19:52.846295	2013-08-04 01:20:32.185469	202		0
18509	10ijwn5ybq8y13n2eja8769yz4	$2a$07$0IuAKj0fxWrqdxzAWmcfwup.bTdzIoX0..nofajIUNL8MyQyU8w5y	71	2013-08-04 01:19:52.869801	2013-08-04 01:20:32.294638	202		0
18510	105j2s6gladicwcfqwunlnqm4e	$2a$07$pFPrslS9UStX5.ryXTUCyuQxRh4rviaFHPkS6CyyBXceO2I0bGaBq	72	2013-08-04 01:19:52.893584	2013-08-04 01:20:32.435503	202		0
18511	10igzaj8bbnmz1sknr7lxzdvps	$2a$07$FiPm/kZyKLskLLOHyIy3vOq1tp57aLGaW0YZdAUFBdlBnpGG7bjGW	73	2013-08-04 01:19:52.916976	2013-08-04 01:20:32.585183	202		0
18512	103ufxmxdffgd09uxiq9hqt8d3	$2a$07$/J6moYLvrKP101tU7sgRVOHAYACSsThg.A0pYf9EW31wjRCN1W9fq	74	2013-08-04 01:19:52.939824	2013-08-04 01:20:32.728254	202		0
18513	10nom3qnygsvvhghi3sznxnoqe	$2a$07$lVaAt5gKlOCg8zMI4A1FhOr6ft.GGddYBLLh0g741.gZ2Ul1EaqmW	75	2013-08-04 01:19:52.962116	2013-08-04 01:20:32.859214	202		0
18514	10lcyb1nasr2vlpqueh8b0tqtt	$2a$07$JH3NrhL9/oqdlIRJEbuWm.zOZl2qRr8P7z69Q9P8gwQg9TUXYa8aG	76	2013-08-04 01:19:52.985318	2013-08-04 01:20:32.994467	202		0
18515	10efkw3pngyr42rejgd3w09e0f	$2a$07$DJrdV/jkOVboBaKhXmHojOn6Xl7MoBAXCDZUAtCdJXaKe5zxUXR1q	77	2013-08-04 01:19:53.009133	2013-08-04 01:20:33.12652	202		0
18516	10ubnfgyvsj9vlgoxtzdctjtok	$2a$07$Pgw635NOsadmETip3vh5JuH0iP14lJFNKBorTK38Vv/rqD5nht99a	78	2013-08-04 01:19:53.03509	2013-08-04 01:20:35.528248	202		0
18517	10z9q7nen73fcx04m5t7y7ik6v	$2a$07$S7NB5dzh9KQ8bC/rVIYqauZBr6P9PacNaw6St727RicQxvR5MVagu	79	2013-08-04 01:19:53.061225	2013-08-04 01:20:35.6728	202		0
18518	10vihxqluh3klowi11blz7vnqd	$2a$07$wHloL0zH/BI30iLLlBvYYeyuGex.DTr.I.aRiO3L41oppsjiprWvi	80	2013-08-04 01:19:53.089748	2013-08-04 01:20:35.806633	202		0
18519	10zfplcdc1qcvvwat0buc7p4ql	$2a$07$5ZPO7U5wbHk9u6zi2RRjwOIJiKU3QUQkvizORQXnr/or/K4ExPWKC	81	2013-08-04 01:19:53.113224	2013-08-04 01:20:35.93862	202		0
18520	10q25y1dj2tewh0929qd8umjp6	$2a$07$DxzmKbvYI6X92akV5w25iOuMGreWS.w7gWQzAgt6Fq7e0BAISOFVC	82	2013-08-04 01:19:53.135799	2013-08-04 01:20:36.066664	202		0
18521	10nbn32hqjxl0gqgrgz3zkl6t4	$2a$07$5yEMwtyf6JeKl25j5BoZkexnfR4fzxI94OxRsWFAVaUnLRQOXSsRK	83	2013-08-04 01:19:53.159578	2013-08-04 01:20:36.220333	202		0
18522	102m9npj88co86v20w9aea0b9d	$2a$07$AZ5E1MitFL2qygHRRowVA.pgl9lKtpueT1BOWVBv2mVPJtl5ptaFa	84	2013-08-04 01:19:53.18434	2013-08-04 01:20:38.836731	202		0
18523	10pb6m2nnqs2i6yi90llqt1dyu	$2a$07$nB05vO3Jbb4xccCLXqWU9eoFQ7nUY/pM1bfEkmZW43t60QnBs3KSy	85	2013-08-04 01:19:53.218229	2013-08-04 01:20:38.973921	202		0
18524	10yru1ca2v3gckjs8o2z1mv6m6	$2a$07$lsC0/7Cb9xpRfeRSFWhwhO89qanxXpyMKni8uFXMS7xxiF9NtLQTW	86	2013-08-04 01:19:53.243231	2013-08-04 01:20:39.078879	202		0
18525	10x7zd0a73n3as9en0jds8gvbb	$2a$07$EZN/dfIrl2zVKjw9z3xAeOF8gp6Vyn0zyo9PYKiT5L2CSf0zjULKu	87	2013-08-04 01:19:53.267934	2013-08-04 01:20:39.206095	202		0
18526	10yzxghnkxh77twycbqg3dm9yy	$2a$07$bTncODaYGe2Ri/d.Y2onf.44uudxqelZr/P/FMuLJxEv92.w70LTO	88	2013-08-04 01:19:53.303671	2013-08-04 01:20:39.31561	202		0
18527	10erzu4buq1ejbkttu85mjo6y5	$2a$07$NtxDGoxtj5yWsSLIoHQHleugE0ygCt1Cys3/JOiJVoNronKgdHKhG	89	2013-08-04 01:19:53.335279	2013-08-04 01:20:41.895867	202		0
18528	10kd53kdkeb62mpqheifn1w4nh	$2a$07$AGFy8kyJK3mdzjGtzf58ce7bpHFG4u43S8Yf68uAlGclpCYFluIYK	90	2013-08-04 01:19:53.359141	2013-08-04 01:20:44.509111	202		0
18529	10kz4nbde16cr28lvqoohulh2v	$2a$07$ReVzuJImOJExg/sFaeJ1VOwXKXJpt3rlxJSiElogZ5jL9nbKzBRwG	91	2013-08-04 01:19:53.38399	2013-08-04 01:20:44.634489	202		0
18530	10n8hpgsmlx27lgw4oeia1srgr	$2a$07$Mu7Xsnb/sHRHvOBp6GbI9eXm1NF27teyh/kQI.L6hCCmjnwBO2rq2	92	2013-08-04 01:19:53.410354	2013-08-04 01:20:44.744621	202		0
18531	10ogkpfo4ikyf94nuc0dbsg1hj	$2a$07$uUtNDs45QcYZDy0yiyWy7eaWWkcdP44Rtp3fSlnHWt/uZyF0Z/oM.	93	2013-08-04 01:19:53.433559	2013-08-04 01:20:44.861171	202		0
18532	1031t1r9p6ae5v47ndcvc9s63i	$2a$07$B7Qtae0.uEN9mFozQ9CXvetf4kFNgAjWci1MnTKV6B9H2cAEgEXiC	94	2013-08-04 01:19:53.457604	2013-08-04 01:20:44.981382	202		0
18533	1095qtp7kzhz1ia01vdsje2aju	$2a$07$t0y4.kuNF3jq1MSzOtliaOria3RvwuvrJ0dVLvmJJgb3zphIet76S	95	2013-08-04 01:19:53.483407	2013-08-04 01:20:45.107389	202		0
18534	10bjr9eyhtrmwna498vm8b5uzm	$2a$07$YC1RCuDYZkmuWkXlMtjxCex3ezoxjzVTaLTsW0LO9ULthr4UA6Z6W	96	2013-08-04 01:19:53.517721	2013-08-04 01:20:45.231037	202		0
18535	103obb0ubko45kg2r3bstghfwc	$2a$07$UVjYjIN5X.yjGf/7hfX8g.xSMzwoHXnikSC0rMjvEg8v.5iydewom	97	2013-08-04 01:19:53.551956	2013-08-04 01:20:45.338968	202		0
18536	10u1zhjg3lx0alfck39ntjtgn2	$2a$07$ve..fPHWGkvupKpLLTzKbuwwrlbPRfkZ6GeAj953xEvmuSncK3rtC	98	2013-08-04 01:19:53.585454	2013-08-04 01:20:45.4636	202		0
18537	10vexxgbl0umi2t1aiwgmv7tzb	$2a$07$euwLjtmxV11ZfqX.p/40meZ/vtuzdnZWMuW3yTHrGFuzeWO3GL3uq	99	2013-08-04 01:19:53.607389	2013-08-04 01:20:45.57142	202		0
18538	10oed9k2cmjtw7wsdcgy4c1qfs	$2a$07$2pNPao0vlVIppH2NZBWZV.xO7nzRxG/zi32k0vMntuuiWfDOoKQV.	100	2013-08-04 01:19:53.629894	2013-08-04 01:20:45.70806	202		0
18539	10nrsapp2sasqlsvhdim8c93sm	$2a$07$5fyaRwPgCA8/fes0KBQR4Or67L.VzGFXsQnua353T.09djL7VDrU.	101	2013-08-04 01:19:53.653566	2013-08-04 01:20:45.857761	202		0
18540	10dfenr3wyec4fuoqqir83zmsu	$2a$07$wc5Njjbm3O6RI1SZ5dsAFecXlKV1hgVGd36BgyD0heCE37zxVIxtK	102	2013-08-04 01:19:53.676684	2013-08-04 01:20:45.989301	202		0
18541	100a4e9pelv1hwb2d17phw2gmk	$2a$07$2Y/H9QRMqVVdsiW7V1SfBOd3z1RUl.VyJ3hsLdaVfISzxcqSuV/Km	103	2013-08-04 01:19:53.699563	2013-08-04 01:20:46.107129	202		0
18542	103kgcpgc149k91g8yy5iw18uu	$2a$07$43BPn66boq5C/wuVN0AFXeGRfpAGz48QL2uPOU29bypWn2JibqvqC	104	2013-08-04 01:19:53.72302	2013-08-04 01:20:46.246142	202		0
18543	10zr2khb42y9235aun059l3yer	$2a$07$8dJjY3dPJHd8B8AvLBsufOK5qM0pXbKEie3SKeLrZ.fdu/hPbnwH6	105	2013-08-04 01:19:53.746375	2013-08-04 01:20:46.369439	202		0
18544	10ggde4wdm2og0pn5h7h1wwmp6	$2a$07$a34Tq1jou/LLzi0JdlVhZeWrbiSpW6wQxLtZvXb.5DEKEFuMLPb3i	106	2013-08-04 01:19:53.770145	2013-08-04 01:20:46.495631	202		0
18545	10ygpoa31gxjk0gztmrpitiee2	$2a$07$6Nw8c/2COYtTcZqLkwVq2OElb1Amz7HIdBDesYhH08KW2odMwGhRi	107	2013-08-04 01:19:53.793023	2013-08-04 01:20:46.628327	202		0
18546	1070at2r84jrsolly5kh717l0c	$2a$07$R8tE2PloQRAWP/jFt5D/Fu7SFLe1/CYpnjW0NeTkMQBLDXWYinV2i	108	2013-08-04 01:19:53.816375	2013-08-04 01:20:46.771921	202		0
18547	10azj9i3cb3mw1hofoj8qphv0q	$2a$07$orhxvCRVhF4qLG3NgyZq/OHTp3z6b787M5jqewqDPM2vXWaJ2mcLy	109	2013-08-04 01:19:53.838461	2013-08-04 01:20:46.914759	202		0
18548	107s7d958vjhovbl8kc4aidg52	$2a$07$jyR0VdyxtdXHQ5c73u6N6uR6gd0.GoWgh5VMMvYmWvp6wm/1wcDaC	110	2013-08-04 01:19:53.861477	2013-08-04 01:20:47.085033	202		0
18549	10dp0hsb59aqo3reeofopcc30n	$2a$07$8f/3nBo.F6S905W6DDn6aOoZzIUkG38OfZMgpyoQcqmuqI98IJXoO	111	2013-08-04 01:19:53.885091	2013-08-04 01:20:47.274811	202		0
18550	10wgnc55ov5a6sydaubx9e6jcr	$2a$07$zO3.hBeMonHzsS03xX0dwuj/T5ktdGl9eDFp8xyvM3EAV9RmETm.2	112	2013-08-04 01:19:53.909077	2013-08-04 01:20:47.418055	202		0
18551	10n6kgfxesdzfzlym1wzcrydbr	$2a$07$N4pB7gIdhAZDHD4vVGtnb.DJ450Rmzn6TXvqdDRQOraNkpmVYtMEm	113	2013-08-04 01:19:53.946634	2013-08-04 01:20:49.85109	202		0
18552	10mmhttva6zhiv1a5yupmprtm0	$2a$07$38RWW/hdeW2QEXjaE/svM.G5L/U9tkfAum5rOtA9qjqGrobqH7M8S	114	2013-08-04 01:19:53.971878	2013-08-04 01:20:52.494792	202		0
18553	10az89028g8vnyvkw1r8k2n2ds	$2a$07$DJmTn7b2KthfjJ9zAHkPSOITiOHdra.N2/ekL7bejofNdtoCOCJy6	115	2013-08-04 01:19:53.994624	2013-08-04 01:20:52.643298	202		0
18554	10lmxn4u5to1g8llq5f754ef5p	$2a$07$SbcVcn1BMEI9H2x3U5NI6eYTPTTy9ftz/jAs7VzLqnQbpOAbiyHyO	116	2013-08-04 01:19:54.018422	2013-08-04 01:20:52.7964	202		0
18555	10ln5zwethwmm9dmvktjbf60ac	$2a$07$o8GQaKTRCap.q4CwNhaqd.Fn2UgU4h2JWzESm1YQzV/XTIKz1Z/zm	117	2013-08-04 01:19:54.043395	2013-08-04 01:20:52.92923	202		0
18556	10zz7exoatu2u1xladonsu7vpc	$2a$07$CnA.e1wK0gH8QEBEcWZL1e5wq6DaKlPMlD/kVSRbVIwR5ApUunwnq	118	2013-08-04 01:19:54.067139	2013-08-04 01:20:53.047563	202		0
18557	10elapytjid91lxqoa4281b4hw	$2a$07$frQY.4OhAmtIXRJu4SJedeZ3Utv6aYTdq5J6fGAAmFd2U.q.Guuda	119	2013-08-04 01:19:54.091474	2013-08-04 01:20:53.177052	202		0
18558	10zkr5c0gehho317zfd09d6he7	$2a$07$AKjBKtJXv2GyxkotoWCWf.VeNzpRS/LrIR39BCAG67VwVY8LDKb/i	120	2013-08-04 01:19:54.129331	2013-08-04 01:20:53.320868	202		0
18559	10rz3m0waabya0a0p2l7vg372l	$2a$07$KKsyXqPpWVhw78nIrfTk6eRFG7rle30/h1ceE2VZcXhxcKlMgWNYq	121	2013-08-04 01:19:54.156833	2013-08-04 01:20:53.528839	202		0
18560	10vedmzdp776knexjjoi48znf9	$2a$07$V28o5Ve./fSPsHPib2Yl7.1CRzHMdfa2XMIJlvK9fOhN1RI1P6bVi	122	2013-08-04 01:19:54.181519	2013-08-04 01:20:53.681768	202		0
18561	10xsfxj9wow4mf1c91l6011q55	$2a$07$.nogXQa8ZIm97Zx7SSiZaOXnAzWz45Ff/s96TnPtA4UTxTCrLKzIu	123	2013-08-04 01:19:54.204763	2013-08-04 01:20:56.455285	202		0
18562	10eqscd6qwkfms971e7usjfgu1	$2a$07$pX.oMOBADZe9Yuq1L34dx.5ND3PUxSbHNsSSqq48VmskxQ.6tC9cm	124	2013-08-04 01:19:54.228168	2013-08-04 01:20:59.353926	202		0
18563	107vijxoubakyd9ehn6nr4oliw	$2a$07$T1szwmC9PaLkiZdP.MMcQ.tpgxo0FDk3dcs7yy6ZTsuZps0230OTC	125	2013-08-04 01:19:54.252429	2013-08-04 01:20:59.482212	202		0
18564	10po2us5068voxopa2y7obxcx2	$2a$07$gQAMvYAQ.3JP5Wlt4OKZXeIjft49Hm0ws2ddx4EQMDP33CjWe67Im	126	2013-08-04 01:19:54.282836	2013-08-04 01:20:59.624172	202		0
21834	10ki5t7yzjzlszgbicnh87rgjz	$2a$07$SlU4xOC/NOq8la8DVTrru.Fi4JVYZM1QwcWW7ykpunOBzi02Z82Z6	120	2013-08-04 17:25:57.052187	2013-08-04 17:26:37.31556	228		0
21835	10ngel2gl0n1bwbwifrbkervoq	$2a$07$Lst6H1krCSsCGaluYQK34.0Bv/loAcKjAPjGQHUbcgXi5aggTGAZ.	121	2013-08-04 17:25:57.075378	2013-08-04 17:26:40.21837	228		0
21836	10ix4x998d49jefpjlm5mysvn4	$2a$07$pBgYsL2NxmM.i.ULpJGjpepqO0JKlyTtJcA6vGqVrpiFYSVomoZhO	122	2013-08-04 17:25:57.097471	2013-08-04 17:26:43.274943	228		0
21837	101qw9527cf8apd1u339o0dne3	$2a$07$LRLDICmrqwas8Dfu8PPs/.NzlrTVHxi0.230HDqs33gNgYez/ZdBi	123	2013-08-04 17:25:57.119263	2013-08-04 17:26:46.035396	228		0
21838	1075ftv9uxj3117x94s9hak7ft	$2a$07$dN4OiL5SPTYlbiWEnxYD3.0AQUopK1qqZulN4LaDSPVThtFSG4KN6	124	2013-08-04 17:25:57.142113	2013-08-04 17:26:48.851098	228		0
21839	109y6m56ypfhyf4l4azvowbwad	$2a$07$WfQr1ttc9O8FmrJi1//D6ekAmtw6KCC8uJmldKYVj4LTgDXqajGdu	125	2013-08-04 17:25:57.164658	2013-08-04 17:26:49.050725	228		0
21840	10rnvy5rhjtjgxgf7xshmuz0yg	$2a$07$93m7T4vo3k17SVbs5rNKOOeIf/Yn8vzJA1BvsngX89nNEObYX5Txu	126	2013-08-04 17:25:57.186034	2013-08-04 17:26:49.311688	228		0
18565	10nw6k4ptbg7e3gid9vxt9o4zr	$2a$07$n2twx6C7GwvMIk16ACu4CO8GnGc23PFpPzlA0vHrjS9u3Ufsw20F6	1	2013-08-04 01:24:51.096717	2013-08-04 01:24:54.225264	203		0
18566	10zw5ae71vo9icjglz4rtd67qp	$2a$07$PBUhilvtPF09Am/vih0sBuKfHlDgikzUVbhIPTmy2jMvf.uayM5Pm	2	2013-08-04 01:24:51.118602	2013-08-04 01:24:54.365314	203		0
18567	10qox8v079b05f4jw742bolrbc	$2a$07$q2KEDv/si7D.bcE5N4RdROrs8mZebv68rDvDilp/WBCHlpgyrkFPy	3	2013-08-04 01:24:51.140043	2013-08-04 01:24:54.501592	203		0
18568	10877gyn3f510bnb8bbpfe0wxc	$2a$07$CNs0UGnn3yNqbloWto4/4uudwpad3ouwAAw5kX.7ynQdgF51uJwNC	4	2013-08-04 01:24:51.161561	2013-08-04 01:24:54.658631	203		0
18569	10n68l89mp7ah11ffootgzyvko	$2a$07$mWRS0LQgDHi8eBYPefI3Ze5//YB3CTEdr2i6rtNlS2f1ZFEMTviKW	5	2013-08-04 01:24:51.183148	2013-08-04 01:24:54.812109	203		0
18570	100a0yypy5qud2ku4e68zktuwb	$2a$07$GN2RIZPnUn.YKAyrUKWFF.pagmfhNrmjWB/M39L2S5trhXM8E/ZTi	6	2013-08-04 01:24:51.204571	2013-08-04 01:24:54.963371	203		0
18571	10mndzto2auanj9ych0gcxv6hn	$2a$07$PlnS.r24coE3rH9BGPrxE.Qa9/2PibXgf7N1Vg744SQcl/cyClFk.	7	2013-08-04 01:24:51.226069	2013-08-04 01:24:57.006814	203		0
18572	107l8sppl2468ztimpmry4rphc	$2a$07$YKTN4lbIdqVkFVsAQrlGROOSZtqAoQL25KVaSewxIq1esJgzwRPkm	8	2013-08-04 01:24:51.247611	2013-08-04 01:24:57.995901	203		0
18573	10vji2terhuk63blvzryf9o7kf	$2a$07$Li9Px7HPuna16llmOUqNv.95goRMRRrKP.6zNd2N0XuCNHLehYN/O	9	2013-08-04 01:24:51.269111	2013-08-04 01:24:58.972303	203		0
18574	10sdifjbmz19c7s0xqj0v8r90m	$2a$07$6DrbjGpL9rs/r60TSk9rgeF1Nz3H1CqAiFtoArfQNrl/wfA5Vz33C	10	2013-08-04 01:24:51.290775	2013-08-04 01:24:59.109182	203		0
18575	10sxaayljt8enkkpb55g47z40v	$2a$07$cLb.B0GOlwz8Sw3TnRT0fOhmnU4o9AnFF5PhBSD3pv5pc/vGYBwm2	11	2013-08-04 01:24:51.31406	2013-08-04 01:24:59.242057	203		0
18576	1079vw2apj7lixom6cypaz1k0f	$2a$07$rEQHZ6THQDcTTjB.3Rw8oePb.RMGVOz79gxbZyFNCDtYiIkt0P5Wa	12	2013-08-04 01:24:51.337524	2013-08-04 01:24:59.380414	203		0
18577	10tmm71zavne3du0rkvnds05bp	$2a$07$ApQUBNvtGdTWUDpzpd18p.K0ENm2lQVCM8r3ZD2tt8QYlaOH.b7Sy	13	2013-08-04 01:24:51.361399	2013-08-04 01:24:59.518417	203		0
18578	101hz7ozbo5v4zbsf9o8aiv29e	$2a$07$BJWEaI9ot6hgjnp2rT5WO.kGGV5CeCCAY1jpXLMO.dTFRZGkOCUmC	14	2013-08-04 01:24:51.385084	2013-08-04 01:24:59.655067	203		0
18579	10tcc56w5imd649vwe8zq19ruf	$2a$07$P5mgbsU2T9zZ43Sw5nfTGOB5KDtTmKBVGWcueS.AkAy3i3hNwOKyO	15	2013-08-04 01:24:51.406771	2013-08-04 01:24:59.792629	203		0
18580	10mk2frg2xzm4npsxt6op2p5ah	$2a$07$zSdY4K84Fot7CYEOExEUTe5B56Qn4Eg44CdByOw7Lhv9KS3/2Y4Ve	16	2013-08-04 01:24:51.42988	2013-08-04 01:25:00.067926	203		0
18581	1042snt1cm2qz20vepmzx750hg	$2a$07$aoO33WGx74wjRv4AdMbNtu55W0KJ8aJxrEYqB/61qjdYQiUKsRwLO	17	2013-08-04 01:24:51.451674	2013-08-04 01:25:00.196091	203		0
18582	10t5znfl4wr9rnppxnrrm6vvoo	$2a$07$ow6FQ6Hap8XzzK6VPyPKXOmBqTpsT42n9aON5LTpM8gkD41rIOywO	18	2013-08-04 01:24:51.473501	2013-08-04 01:25:00.376021	203		0
18583	107dl9d3x73qm0artxj6kawa3h	$2a$07$VE13ftRSxPld7AQBzvuMe.MVkWI8WpEEwVj.1R8pWdbVPT.LuO/Li	19	2013-08-04 01:24:51.495125	2013-08-04 01:25:00.512675	203		0
18584	100yru0tl8vafydqbhuek2ew68	$2a$07$A4dELIOTmSqYeoJwR.yApePjji8n8PnOdSqvdIolbvUviWEAiDhAW	20	2013-08-04 01:24:51.518689	2013-08-04 01:25:00.644917	203		0
18585	10irlwb9wocaxdlsew4t2sxesi	$2a$07$wqxBtGJu.tlRhsDRJ76Ti.ukQVjShKs.xWX5Ruj5F2gV2rcOlRs.2	21	2013-08-04 01:24:51.540233	2013-08-04 01:25:00.763571	203		0
18586	10d2xf5xmh1rvenf5rli6sessz	$2a$07$/kiFaxrt7NmvP.qxz/JJw.1bNrylRPNRDiCFjlnOVWxGDBKxavXlW	22	2013-08-04 01:24:51.561721	2013-08-04 01:25:00.883941	203		0
18587	10v0ow3s8jh3fisceuciagf053	$2a$07$AfKRFlIziD8opnzfmYBhretqkeflGfin48opvqBnf8JvCvdbCBkX.	23	2013-08-04 01:24:51.584873	2013-08-04 01:25:00.991126	203		0
18588	10frna4wdd2v0ygqa6xwjj5gbd	$2a$07$Ybc.u1o4TC9MV0ATwbQbuubzf5uJcBlT6EXG6uiikf1R3WUGKsqEC	24	2013-08-04 01:24:51.60797	2013-08-04 01:25:01.111345	203		0
18589	108chhhe78ijsv5mzxe9mg2cnc	$2a$07$.s/xpKdtIzh2R21y3zX41uSymx8BYBvlbtwIY4iF47wx66D1iLx9i	25	2013-08-04 01:24:51.630022	2013-08-04 01:25:01.224121	203		0
18590	10ys2a8tt7f5wn3elbynbpcvlk	$2a$07$lXdxk7EmMHXBjoi0ZXE/VOkFB3TRC8LQSqoMrysKwGPlZb3xO/6S6	26	2013-08-04 01:24:51.653566	2013-08-04 01:25:01.40439	203		0
18591	10dlh9t1pp971uoja8amo8d1v2	$2a$07$UrqZ4E2H7Mo3H40ZjWZa1.hx.W/F0bZIF4/tUZSrbnc9mRIh18YIK	27	2013-08-04 01:24:51.67579	2013-08-04 01:25:01.58561	203		0
18592	10jre5mw7u90o2w1yo4bubsyx1	$2a$07$/0ml6cbZKBVzFynA83RWqeuj/rjMETbhT4/WWXpritDu60KSusSLi	28	2013-08-04 01:24:51.699175	2013-08-04 01:25:01.708904	203		0
18593	10giaxryqz13nt8cnc6rjpwijb	$2a$07$Z1ufJZD4roaXUKnMmE3Hj.39qWQz5ZS28aHn3Osv8vGuAHJoXhrb.	29	2013-08-04 01:24:51.721189	2013-08-04 01:25:01.833563	203		0
18594	1036kpxy2cbw4qdzlwxi3mz455	$2a$07$NCifL0sCaJ7uqv1qK7IaIO1neIZEuJXN/Xr2lR4AfzqrMLDgUzdQa	30	2013-08-04 01:24:51.744569	2013-08-04 01:25:01.977598	203		0
18595	10i16d1s6grm481mar9dcugaj3	$2a$07$ajPRTkjGVE6SOiuG8bwJEOlETlhCWuWhHN3lbST44ROxSwZyuzoXW	31	2013-08-04 01:24:51.766854	2013-08-04 01:25:02.112601	203		0
18596	106n75regh09idpa9pjjoza2oi	$2a$07$PPmpIbvtGIIlKZvU./XSge.DPwP/mYeqr4D87I1UeWWsntZQjG8UW	32	2013-08-04 01:24:51.790333	2013-08-04 01:25:02.241148	203		0
18597	10e9mztan9c0sx598xt5zjd84n	$2a$07$/BqbCr5MpnjV2sQ5v0ZapedGR3UDuKfIFwOyGszEnsPvOAj8jCS9S	33	2013-08-04 01:24:51.814641	2013-08-04 01:25:02.350769	203		0
18598	1000e9mqr25hz9rdr4blx4du7d	$2a$07$abCEiFgMxaC5n8.zCbO0fO128uNaOQ8fIFGx3PWnXEaY6AFTfN1KC	34	2013-08-04 01:24:51.848479	2013-08-04 01:25:02.485738	203		0
18599	10upa30uyut50jq08mznrsqa5g	$2a$07$68SwASp9BzJp.R86dKatmuVDfbDhoO7yyybsO3P./hkAKvHtwKRy.	35	2013-08-04 01:24:51.882182	2013-08-04 01:25:02.640562	203		0
18600	10rt7yvs6jyhe2oyqsju46qet5	$2a$07$UsCFTncqrOIyU2uvJvwYpuv4m6nz8X1XIuH81UWX9rVAzrKh7563G	36	2013-08-04 01:24:51.905621	2013-08-04 01:25:02.786912	203		0
18601	10yl0em9czhk46a6btj1wrwad9	$2a$07$VP8hgvsVLvpenO9qPJr9x.IhQC9JtO7r0ZusR3DlU5h4EDDslqcg2	37	2013-08-04 01:24:51.933552	2013-08-04 01:25:03.035685	203		0
18602	102uvlqodwstzejgba9uls7nw6	$2a$07$diGQxSwZYe9mq1f.6w9gCOCUOvs0R.Ab5NZkKM6nG3rtHpXs1O80y	38	2013-08-04 01:24:51.957738	2013-08-04 01:25:03.224974	203		0
18603	107qk21tkntyg7zwx4r5nihe25	$2a$07$52bm8QMw.oAcVAOKusG1DeEsZoRMe/birKCEvkm26RgITWZahUySS	39	2013-08-04 01:24:51.980478	2013-08-04 01:25:03.485405	203		0
18604	10tcubhuvtv441cgvficizdmis	$2a$07$yYWHesSJdF3dVrgm28tjXeNgt4mzu2Ju/VWerw1xDqEu5ZDm2fGQK	40	2013-08-04 01:24:52.003516	2013-08-04 01:25:03.632515	203		0
18605	10c5l7fqsfq27benm812ak1vmj	$2a$07$osQH.3O6bGzwLoa2AGBgfuxONXOrtCXPQo2.PQs8eTkani9DD73G.	41	2013-08-04 01:24:52.026663	2013-08-04 01:25:03.758324	203		0
18606	106gmkpys1davqzzarq5nsb2g5	$2a$07$wZEcnELZo1AFhDeuxMHceenhPv/azxiKkxaQ3KPuY9k/ELHgHO49e	42	2013-08-04 01:24:52.050062	2013-08-04 01:25:03.8701	203		0
18607	102xg9r65ftvt9y35c2v7kpt0q	$2a$07$ulo8shJ5LrexgJ0LX4/j0eHPghNb9wrLwxJ4Ml8RmWnd/CulwaWtm	43	2013-08-04 01:24:52.071833	2013-08-04 01:25:05.067118	203		0
18608	107d3em4igy6g6e0lim1s0p2cv	$2a$07$JJvvKCVXX5JgmKtPeyTinueBtYfrKPeMDzPt7DKtWHzh8cQ2xO0hi	44	2013-08-04 01:24:52.09525	2013-08-04 01:25:06.373678	203		0
18609	10531i9rlsdigb9so4od1ntj90	$2a$07$CvOt5P1BksmxBLwCgKeqoO6wklsgWPF/BA7ZL2EQpU2G4MqV4mirW	45	2013-08-04 01:24:52.118575	2013-08-04 01:25:08.097699	203		0
18610	10c9pqxrkqb47mmu3l7l7prbju	$2a$07$4CW4Mrb/ZLcrCcTGYw0mduxngeuN9AnqvjCt38WGzGcEccLSds0e2	46	2013-08-04 01:24:52.142965	2013-08-04 01:25:08.197928	203		0
18611	1034pwa4hgutt1liu7exhoxadj	$2a$07$W4jCCO0DFMmR2.H.eboOCOWw5kNTRx6FyvVeXVo4TE/WeB6ujbuNe	47	2013-08-04 01:24:52.172077	2013-08-04 01:25:08.298541	203		0
18612	10nshctn5f3tmj9d8dzmn1b2vt	$2a$07$HhmVyBNgN2P4ki.PVPEucuM3ZCA5lOAmoKrlrWxl9y0mvL4hg/4ZO	48	2013-08-04 01:24:52.195473	2013-08-04 01:25:08.424698	203		0
18613	10yqnno171kualaspn0rr8epnm	$2a$07$8Dftt47zt37DMG4wy.FA1umdMmVqE45pW96Ei72QvXmabzCCK7TbG	49	2013-08-04 01:24:52.218951	2013-08-04 01:25:08.535112	203		0
18614	1019wil9mjknujlsssty5g1zh3	$2a$07$4p4u3gEUiZowkDX98NpjmOAMgd8MbKlg3wlz9YfJrePQvjX9jwgHi	50	2013-08-04 01:24:52.241353	2013-08-04 01:25:08.671494	203		0
18615	101riufzwp2867adsamj4tmwrs	$2a$07$gLnW5jjxjz7d/B7GvggZAegkJXXeDOCDZK1xJbrg4z90431YrOx1K	51	2013-08-04 01:24:52.264943	2013-08-04 01:25:08.807109	203		0
18616	10woccqm29nspm443kaurwqlcs	$2a$07$5ljHIAS6WvJyH98aHKTbk.YaVJu7r/tUWvsitOQkVSxog.tomPlKa	52	2013-08-04 01:24:52.292965	2013-08-04 01:25:08.951229	203		0
18617	10uwszsx6bs2pv9gx5pawygy5g	$2a$07$Bsew3d1ITqkSG22VrxFGQuGhWteJIGXXYPTC4jTfK1cik5UXOn0/m	53	2013-08-04 01:24:52.329344	2013-08-04 01:25:09.070748	203		0
18618	108dv4rehvdcbdan80948vrqu4	$2a$07$pzO4KdMvWfyIYlLSD7AGt.LX7C0Hi4QFMdvDLFTwqPYQLqtC1jRPu	54	2013-08-04 01:24:52.36662	2013-08-04 01:25:09.20864	203		0
18619	105ay49w62p4nmvltccn98gz2s	$2a$07$JdppQYHt2YcLRt99Jt5/a.1GVrzyIVcVrLt5G/8EEjEMo0Ceu4mn2	55	2013-08-04 01:24:52.391544	2013-08-04 01:25:09.330576	203		0
18620	10pyl3nq1op0ocpvipueflol88	$2a$07$oj4UMUA4Y/Xdp1ijaEbnqOX5PpRrQfIF7e7nOHy2ZMl5/f25HdoUq	56	2013-08-04 01:24:52.414828	2013-08-04 01:25:09.461236	203		0
18621	10qca9eysb6klsx8j89fccg2ht	$2a$07$P8QZ/zgxW7UjYYCTOJMsueADTeXI1tnIp1.bYJVmjgABsS1R2bgbW	57	2013-08-04 01:24:52.438584	2013-08-04 01:25:09.577171	203		0
18622	100k4moniei5rvno48d08dhy2y	$2a$07$8MwO2zZ7lQy17g6HQQlxA.nKzycuDBM8iwd61cJEbD2MRN0MfWP5G	58	2013-08-04 01:24:52.460854	2013-08-04 01:25:09.811617	203		0
18623	105yg55q6k29zwina4lblgej4f	$2a$07$aeFhV1Jp3.GIuYo6ERqMhewVR55XOC/e//H/D7E/.Tm5.nlmVNWr6	59	2013-08-04 01:24:52.483866	2013-08-04 01:25:09.963294	203		0
18624	1011bd3ixvyt84x3e2bwjiiv6w	$2a$07$Jc3CvKHC8O6b6dThIl5q9OAJyGtyvnaAXei3p4TL3.eW7Nr2/yzRy	60	2013-08-04 01:24:52.507795	2013-08-04 01:25:10.100498	203		0
18625	101hfpf4pix76zs9okp539it43	$2a$07$yQC0oCIO1l45PHG1vh7ekOcJu2DWK.UK73TPdV0D.TnTvvlr1nXqK	61	2013-08-04 01:24:52.542818	2013-08-04 01:25:12.810387	203		0
18626	10kytnhwwg7rall19vvfk1vcao	$2a$07$XCr7/RZC4WWXVuNhU6M7TububHikAMqNh3r1we7B31YtKW7KZtHfy	62	2013-08-04 01:24:52.567143	2013-08-04 01:25:15.75643	203		0
18627	10rc1polff0gutliyhdnskkeq2	$2a$07$iiNIjEQtdVRoBUN4mxPrOe2sn36HcUAM3gsRUIN9mqrlp5QAdExY6	63	2013-08-04 01:24:52.590033	2013-08-04 01:25:18.760198	203		0
18628	10jcntkz7fz8ap3tgv9rrrtfxb	$2a$07$qxXK9ZsixaFCqaicmSvWiO7zvwI8W/T1kREnK1NdYimHMq8qPhB0a	64	2013-08-04 01:24:52.612927	2013-08-04 01:25:18.886143	203		0
18629	10sztngtv3vq2m540sqini3pzo	$2a$07$xRRfaV9bdq1pS4ZCt7QObuoon4ATC7/nfHBf8WJ6Yo2AaCEn4Zg8y	65	2013-08-04 01:24:52.635709	2013-08-04 01:25:19.044151	203		0
18630	100s43dkywx0uifds700z3lo1i	$2a$07$p0ZR2sWzex98X34zAqaDqOTvqWfcxmCRnYDF2GahHw2QYxzKslPG.	66	2013-08-04 01:24:52.658635	2013-08-04 01:25:20.05777	203		0
18631	10wpa8k5tw8n3zn4eb2lmgge3d	$2a$07$H/hXJganbaY1.kKtUk2x2urLAYyLanm0RvSpfe0pfUsTkt.HbzC9K	67	2013-08-04 01:24:52.680313	2013-08-04 01:25:20.176704	203		0
18632	10zwactthggl1cb24hghwbjc35	$2a$07$fan/ggN1eIeVSnz3IuIjQOBi4h/GQqDjTrmwnyAvjTMg0K86jlOy.	68	2013-08-04 01:24:52.712478	2013-08-04 01:25:20.320067	203		0
18633	104bbtbl9ft16i4rbl3kbc98fv	$2a$07$n2FIYBLw1fLdUbhZP2gY0uEav6ogpeaDIMdRWy2/4V3QP4qI1hBZm	69	2013-08-04 01:24:52.736877	2013-08-04 01:25:20.46096	203		0
18634	10d57doz0j6jgnis1gxsrlt5va	$2a$07$WHN0OBg2PG2gDi7IQsYIT.aQP94T5aEO.tlo.eN3aONsXCLj.wQmC	70	2013-08-04 01:24:52.769797	2013-08-04 01:25:20.607113	203		0
18635	104to8gma0p63io3s74z8aatbr	$2a$07$BMYUnNpkxHcAzTFXwkFxWuq2klYV2hsy6yB01AWKRugJr8KGA91Te	71	2013-08-04 01:24:52.791123	2013-08-04 01:25:20.74792	203		0
18636	10ywsq9oxbjvxi0jnrijin04li	$2a$07$uAgwLzJVsqH3GstPyKRMq.RTz3SSukUFX6LnCJLryDdd8zGF.yRCW	72	2013-08-04 01:24:52.813854	2013-08-04 01:25:20.890716	203		0
18637	10hwm4fkiu1artgjdz0gvp7yrx	$2a$07$f74AnBBbk1PTV6A2u76R7uH7VI2X8JvHodA8iwMULHA7CbGwXMOQu	73	2013-08-04 01:24:52.8356	2013-08-04 01:25:21.019344	203		0
18638	10wslnbcses6okm3n6q07639th	$2a$07$WWfp0HnYvrqo0JHztK5KluJPPp2UmsTE8xgGAZRUAn8JqyqpatqFq	74	2013-08-04 01:24:52.868898	2013-08-04 01:25:21.161844	203		0
18639	10wl2oubz3pjap9p1io9n3eid2	$2a$07$cvRLC3OjxpNY5qyxaUzb1uThTtiC6O6eH4rtfY/Lz3gjuZ2mHMO22	75	2013-08-04 01:24:52.891165	2013-08-04 01:25:21.31304	203		0
18640	10pbrrx9uyku25ht8jhn90ti96	$2a$07$gForiU6esYJwJXaEb/XX8e/RBleVmfksFQNMfZY0HseQed52lQNpy	76	2013-08-04 01:24:52.914781	2013-08-04 01:25:21.412519	203		0
18641	106snynmef34mq7rdnf56clbcf	$2a$07$0.o8pURN1afmPnNxjdQbHOog8CdVnlwjsOPCqDmn7wraUHJb5N9Yu	77	2013-08-04 01:24:52.938175	2013-08-04 01:25:21.53999	203		0
18642	10utavratvv6t4q30nyi23ut2g	$2a$07$2C1YkrUjatqYBWvq4xQAquRQMdi8lE4cWQWm4M3TyDkrxuaiXMTJy	78	2013-08-04 01:24:52.96457	2013-08-04 01:25:24.202562	203		0
18643	10j7bxvlgz41fridxojqta7hdb	$2a$07$u1VsDVrcMAhww6Enb61m1.dp/MsLGAMcPG3D3icS1ok/7lNVeMEK2	79	2013-08-04 01:24:52.988655	2013-08-04 01:25:24.347097	203		0
18644	10y9tvxl7ptcuedhvntiffelr7	$2a$07$/BV9KAw6ASZJOjsTF9q37O8swLveONMpBdkyYl9wTAn39AS0Ssr9y	80	2013-08-04 01:24:53.010529	2013-08-04 01:25:24.478406	203		0
18645	109lbw1usni9e51hd8zwndt3bu	$2a$07$qsjfi2emTZgYS2Zh6LU2vOyISoFLV5Kr1H2feUhkO9EymYh3w6Tii	81	2013-08-04 01:24:53.032055	2013-08-04 01:25:24.619638	203		0
18646	10xp8r4qsmzo1a2ug0t1dthxpo	$2a$07$kxqJuGMhv2X6TYtfbH2YY.6auL//2IMSXcK4P.XEg9IXf3ZMusRRS	82	2013-08-04 01:24:53.053947	2013-08-04 01:25:24.751416	203		0
18647	10zrlfvwy4j8dxpcu9ar8gsjl2	$2a$07$CeQuQIDi.kJi8HmwqIqbXOhWKiaLQA9GDqDuJ.IECN4ZBJ9hoArc6	83	2013-08-04 01:24:53.075879	2013-08-04 01:25:24.917446	203		0
18648	10crx3yvpno5bx1uonij4lfq47	$2a$07$9S9PwrKxt9.MTYoj0BYTn.MMQxC3Qi7RvDQu5yARii9Wlqwqz8yta	84	2013-08-04 01:24:53.09733	2013-08-04 01:25:27.846155	203		0
18649	10k2jck43ku8wyeoprw0e7w9q3	$2a$07$jUg0Icbzr6pbqb2ZtjYGdOpor6eVZ4UGZq5QGFL8PB/36I6ZgSZvG	85	2013-08-04 01:24:53.118935	2013-08-04 01:25:27.972217	203		0
18650	10syti8sdginn1m7svtfz7aka9	$2a$07$uQ3XDiHjS1Itj5XVyl7eKeSM0WjrRkT9xvmJ6bo3PkXyMfkQZneKi	86	2013-08-04 01:24:53.140409	2013-08-04 01:25:28.110749	203		0
18651	101hpbowdafkktfeam7xk6bk9k	$2a$07$klTUGjkgAnCoi2FTYGFtWu10qJqpC/jzs96dC2oAJsOLBANK.Q5hy	87	2013-08-04 01:24:53.162343	2013-08-04 01:25:28.262085	203		0
18652	10ymtmgde9wi5rat1xu1lyudgo	$2a$07$NUTCxTRxIwJOWt.G1jv7Lu23wSf8ERlGhsBrL9U5aZMa5g2AI.uP6	88	2013-08-04 01:24:53.183924	2013-08-04 01:25:28.41758	203		0
18653	1078vdiq9ryhbl20oyhvjn04hg	$2a$07$Sa9aqzBfSoMtRG1oYwgsqup/xqGfY1dPTY8L8U8B/cz5cqVMcuQSC	89	2013-08-04 01:24:53.205324	2013-08-04 01:25:29.473195	203		0
18654	10vr89w2hssx1yul46nvdwkvl4	$2a$07$3NsyFlQwWAbgJgKgS9a.zux1hcJ4HiEAOVCy0c.a61f.Oxd3VMHfO	90	2013-08-04 01:24:53.226649	2013-08-04 01:25:30.457067	203		0
18655	10ipzq6htu195swwkybxbaxtct	$2a$07$t3tOJ6MSq4Qpst7jJJQi0.OQ37I6rVjDJOOwRiSkWqIWwt8sGUTnq	91	2013-08-04 01:24:53.248153	2013-08-04 01:25:30.599581	203		0
18656	104m5n5rv8i4vbqzkqxx090lkj	$2a$07$wRu0Uv9WMjWxg.86Kb7Z6.MVVvJX0Z1bxzlp1AthcdNn2YTjM/K1a	92	2013-08-04 01:24:53.269641	2013-08-04 01:25:30.733459	203		0
18657	10amfj4cg1afi9p7wm8fnzi3jv	$2a$07$gdlx2/Kw05A5KHm1ygksJOxtj4CUGPOM2PYI2ZMfNivyVfpTdIVqm	93	2013-08-04 01:24:53.292714	2013-08-04 01:25:31.106517	203		0
18658	106djqs46sfxgrsuvn2vanzoct	$2a$07$jbJl4i7CqC.5cuQp2V0qyeiLotlEgknhcy7cJC05T9OVVBd2IwO.G	94	2013-08-04 01:24:53.315723	2013-08-04 01:25:31.240903	203		0
18659	106x36zggbwq04y3r5zypt97os	$2a$07$.gtXjvcRXs/pEPkoYLieT.P1h7I8oKdxpykVi14bu.0qjkk4ntyOm	95	2013-08-04 01:24:53.33769	2013-08-04 01:25:31.385013	203		0
18660	10f6054dcn5xf3thddhlriv0d1	$2a$07$RY0nIBmWkRT8k1ZcYmi17eUxI2ac13/fJYLqqxG.NVWhy5CIS6uPi	96	2013-08-04 01:24:53.360248	2013-08-04 01:25:31.522878	203		0
18661	10mpx0bpjc0tvmi681fnilve1e	$2a$07$0h5ViYVzOSZ9RNFArt.aJulytk181tQM2N6AP8F5AT72X0XBUDKYK	97	2013-08-04 01:24:53.382862	2013-08-04 01:25:31.658478	203		0
18662	102zk2jg8lilsrgjsi064lihgc	$2a$07$PFfLEC57iOZCTABtpfQ.9efVjB6Sl0ZqEXVjAlOqQJSNsVG5KGJ.2	98	2013-08-04 01:24:53.405759	2013-08-04 01:25:31.778809	203		0
18663	10xmqghreh28e0khscczq2rnuw	$2a$07$GSLtKZ./YmT1zpCNpCwxTOSWhaPCGCIWm3GlAtEZkc3JcXtfZIGN6	99	2013-08-04 01:24:53.428614	2013-08-04 01:25:31.915727	203		0
18664	10v8tpwrmkvin1ily27p20l3qp	$2a$07$RvEiouw8zYfqPv/3HmqNsO8VKcyUXAAExwUmgfEQMyf9nB.bllTvu	100	2013-08-04 01:24:53.451098	2013-08-04 01:25:32.038948	203		0
18665	10ypmgiu0y1r5c8m2u2520j4ro	$2a$07$g8Zsdj3OerBk9lDddwmsBOKwdUgJINUrwFJDDoMb3duG2k6UZOFeW	101	2013-08-04 01:24:53.473698	2013-08-04 01:25:32.155889	203		0
18666	10mtamwi3mmjnoek5ijdp04fkk	$2a$07$7De.UkoaLe6TN7/0IypeROEN3.OmQvyGLiD9IKjbD6scQ/GMNBmV2	102	2013-08-04 01:24:53.495428	2013-08-04 01:25:32.272009	203		0
18667	10pvoh06t1ifp5aqny8zvq1h3j	$2a$07$GJYVgM2KpwE.ylPJ7MkslOOFZW1dFmxSfvv2ghhdpHZsEnc1zlNie	103	2013-08-04 01:24:53.518237	2013-08-04 01:25:32.406833	203		0
18668	10swyk4m8dhtt1z0ijo88km3g1	$2a$07$RNnoALMSaNie.Efkcb0QkewX8ZIybimo5AVmKKdpXHOBbmMmfa2va	104	2013-08-04 01:24:53.54159	2013-08-04 01:25:32.54518	203		0
18669	10dobz3dvnkmg789d18i0kl3ev	$2a$07$ZUNYZDKZDwUWEEa2hojQTuqEv7/e7Hbyj0bbNzo7yOapYzUQj.GH6	105	2013-08-04 01:24:53.565626	2013-08-04 01:25:32.679774	203		0
18670	10d835my7w1r7tflmfhtlsa6st	$2a$07$h5XFVAERL5/0tJYtsEgrnOy7m/5iN9nmsWg/.l0b.70H6NFF2FnN.	106	2013-08-04 01:24:53.5901	2013-08-04 01:25:32.794592	203		0
18671	10ofl5s0bzgtnem3yvtb1dik4t	$2a$07$Wr1I/8upapkAy91dJQKOIuUSGyZLFExMiOEbd2jzG2gMW8HThS5i2	107	2013-08-04 01:24:53.623511	2013-08-04 01:25:32.95465	203		0
18672	105xpkng7cd48mab77s3pw6jxa	$2a$07$H1DOsPWT4EU9CVpag0r9GOFfk3ZhW12PFbxXtCDrVpFG.Rrq1GjAu	108	2013-08-04 01:24:53.64559	2013-08-04 01:25:33.109637	203		0
18673	104i8j1ycukukcfa7tyqx1crb9	$2a$07$l.u7rKGp4LihLwcIZjBQU.fThiqH8GoDsrLOcgrjyksvok8ogni2S	109	2013-08-04 01:24:53.668552	2013-08-04 01:25:33.246686	203		0
18674	106p2550rnep81w2yrb7duytgz	$2a$07$S7SUnPEn8Mj9JNOLtcMrnuLk6.7VMiooQZh7XoUqEa/Hl.mMG1B6q	110	2013-08-04 01:24:53.692347	2013-08-04 01:25:33.381982	203		0
18675	10p8juhgeam66e5i3sqxw8crdn	$2a$07$VRXKh1S9gz9sfT8A8u9fFesVAr10KeBZv4pGFyMJ5RLAvlDSK86wW	111	2013-08-04 01:24:53.715766	2013-08-04 01:25:33.521462	203		0
18676	10xv2lqe3chwzm5yzgpaeu1j4j	$2a$07$guzXafyzAXUBgairzbAthOsDelsG7mhbONwxLc92SaRhmpTIsEQy.	112	2013-08-04 01:24:53.739093	2013-08-04 01:25:33.655577	203		0
18677	109p2tu4nr6068tz10xjy2gezf	$2a$07$Uc4JZpmjiZVqc3dAEbI34.12NDhGJRi/8kDBaOY9QYryzd7MODFKu	113	2013-08-04 01:24:53.760897	2013-08-04 01:25:36.313405	203		0
18678	102o9sozcsfzesil7p3biiqn6s	$2a$07$ipefYGHJj6RsphlkXWe6E.0p6y/giLmYthZdaspodYIDGFc62vnt.	114	2013-08-04 01:24:53.782735	2013-08-04 01:25:38.97613	203		0
18679	10910a94u8gwp5md5lgf6xz2gr	$2a$07$S8/SAvjRPo0KANrq/XbLuOx8k0dEsJUJEH24U89S.8dIxK3IMPZEK	115	2013-08-04 01:24:53.804984	2013-08-04 01:25:39.098064	203		0
18680	10xgetoejsbd5q04xd6bvfupr1	$2a$07$9I/TBa6CPc.hprMvS6qfUu6B240XTHnwMjICY9LeoSOHjGmPLVyf.	116	2013-08-04 01:24:53.838704	2013-08-04 01:25:39.241924	203		0
18681	10tm6hctd8aq70yc00pyasilll	$2a$07$YILcJUb/MfHQNPZ0gPbbGe215/pgJcvabzSBzGMcFzcisFXduTvAK	117	2013-08-04 01:24:53.863946	2013-08-04 01:25:39.37572	203		0
18682	1097aazinyga69lv2kw5jpvtz5	$2a$07$qkNTozeIVPDOfRX3k3vW..oGUoBI8srAYDLsubB.HElyqTqUyjyti	118	2013-08-04 01:24:53.885315	2013-08-04 01:25:39.493945	203		0
18683	10tp6vcay9vzqgisk5d071drbm	$2a$07$kjuPFeD5kB7Hwrdcb09ED.Tg3bgc9xBlTTxrmDBozr0E8s.y4E6zi	119	2013-08-04 01:24:53.907189	2013-08-04 01:25:39.61278	203		0
18684	10jjkvgcbqvtxlx7y8bc9ddkmf	$2a$07$ln8jpNl6q0wgYsubBiivsOXU/I5ul6MGc./PrbFFgbZxnRCPPxjs2	120	2013-08-04 01:24:53.928924	2013-08-04 01:25:39.751081	203		0
18685	10t37gxy1kxc3ro1v2ktb6nwsz	$2a$07$SnDv1RDRzNW7RLw9UA6JIu5jnS3bNQXx0jlrGImRuLd9Po7vH52d6	121	2013-08-04 01:24:53.95088	2013-08-04 01:25:39.913619	203		0
18686	10s10xs8wksmrntl1lcjeem3b0	$2a$07$gc5Ch.tCZ8u7kzrBoG13d.SMDiUB2I/Wf6JGzHeil45VsaqoVFOvW	122	2013-08-04 01:24:53.975841	2013-08-04 01:25:40.061706	203		0
18687	104qa9km12vwic58evvrbdxcta	$2a$07$cGKIffkDGjCxSYpHOi9jeOHUj8kOmba9pbJ0KH8vw7J1s/KBEfzMG	123	2013-08-04 01:24:53.999979	2013-08-04 01:25:43.052307	203		0
18688	10xk4qvg5ewghn5fg5h24fsold	$2a$07$Gi4q0ngrPtfUyiAufU5TIOp66TOBmygBxqIv2ys8A/uqpfiK2W4Ji	124	2013-08-04 01:24:54.022813	2013-08-04 01:25:46.119336	203		0
18689	1002xdmuz74c2r9ujrr2bg8q21	$2a$07$JIsP3WjU40W1yQjXO.sKIuQM/eMjoLKz5K4uZEO2fWbwySnoGUrhC	125	2013-08-04 01:24:54.044983	2013-08-04 01:25:46.256608	203		0
18690	10a0owufsfzh38d85s9g2o6307	$2a$07$.PaTQEL1sfdJd3/roVLjt.BzGGWIw0vRPm8qp.38oivGR00UtBhxK	126	2013-08-04 01:24:54.067917	2013-08-04 01:25:46.388292	203		0
26629	10zuzkptrzwix8wm7k4jhi7rsr	$2a$07$ZZnlqrAFbNOHh.3tFCOC9e9pBqzfwItmnO7aTlNTAHBZ5E.loIZFm	1	2013-08-04 20:51:19.041766	2013-08-04 20:51:22.068242	267		0
26630	10kf9up2eqs00hkt3kxck71irq	$2a$07$UDkxUhXuQB3man9tYkNylOBzvSaCsp7cv9CJUVcPxI5Yt0k3DvMMa	2	2013-08-04 20:51:19.065995	2013-08-04 20:51:22.228792	267		0
21841	107wnqc22v0j0kkuquwn45tnat	$2a$07$cTuYH9RSEaXb91IwR31JFujXg8qPX9EYf0yRsFMrzHf7bCDewtQEq	1	2013-08-04 17:30:54.043792	2013-08-04 17:30:57.188459	229		0
21842	10b9f5xo62qqlawi81nsh388lb	$2a$07$0AMtMaQhYSyq3JITVopCt.IwENvj2PmNErOIitAphTavpcgIjtwO2	2	2013-08-04 17:30:54.06983	2013-08-04 17:30:57.335203	229		0
21843	105twpp1fwz7fwjs1a29a9pzls	$2a$07$UNZaoS1cdf8G6/MgL0DWd.qunQTBDbyFBugEEkd6HWzUQgb4zZp56	3	2013-08-04 17:30:54.093423	2013-08-04 17:30:57.453021	229		0
21844	104p57rg9u3l3t28zprnkcysai	$2a$07$R5gHO2nXefjze2uU2lvsB.gcnt012z1OWmz5.T7vWo0GHm5xnQbfa	4	2013-08-04 17:30:54.124912	2013-08-04 17:30:57.628221	229		0
21845	10xumnqxiejm22avegs6mksi7c	$2a$07$aqqperTdO0VGMCcuZaExJu56G0DW6hui/U57Ebzdeq74C39mbvI0G	5	2013-08-04 17:30:54.159214	2013-08-04 17:30:57.772428	229		0
21846	103dmvr5wijj409f84lbc6a7za	$2a$07$tfFnFUaR9LllFMbEg03DMeqxlFf0uoqQeyDOxGLDySOh.kDooCj/e	6	2013-08-04 17:30:54.181145	2013-08-04 17:30:57.90858	229		0
21847	10n5q6kyn88nndgihfc5chg0nn	$2a$07$.8.L3O7jDaA9cF1FZ5S0B.C5xIgOi0M3zlcNaryQAS5fZGlgmT/H6	7	2013-08-04 17:30:54.202787	2013-08-04 17:30:58.088649	229		0
21848	10tqxuehuqwym425ytm7f1tvvv	$2a$07$6Hfg9HWy.lTUtA.Eqm.nxe1iLJjLNoCBfgCoh0JsIT.zWUz/3Fibu	8	2013-08-04 17:30:54.224418	2013-08-04 17:30:58.212882	229		0
21849	10ig74loclm5vz64j7gm048fn2	$2a$07$1ytgBTk36blq0PI7isrKVu2i.8/kcrPh77YMpT5fa1mAPVrooDcPi	9	2013-08-04 17:30:54.246125	2013-08-04 17:30:58.437202	229		0
21850	10f1wnhzdmfra4tx8k2dp6pngg	$2a$07$SdDCbjuli8yAF3t827e3KOkxuIQICauc264Wy8jhffnKAEyekKhWm	10	2013-08-04 17:30:54.268768	2013-08-04 17:30:58.699536	229		0
21851	107c1zhe1w793glgc4qne9nt0y	$2a$07$CBwluOEOPEf7g6Xc78Fqo.U3qjfrMccDLzj7/wxUiFq4uX26yB3MW	11	2013-08-04 17:30:54.291615	2013-08-04 17:30:58.852342	229		0
21852	109ltdu7srd5rez2qgers8qx4s	$2a$07$c844jrdkuivOcau7gA1o7epiBZWCnQnt/H8UfHQLTGvd1rXKuseme	12	2013-08-04 17:30:54.31474	2013-08-04 17:30:59.034418	229		0
21853	108qcaowmpybyyxwm74nxus3rz	$2a$07$wIJ6q6e48HMrgt7jraeuFOrHPVtIK8ucRyBeEMQg331w3ZqNW0Q2O	13	2013-08-04 17:30:54.337253	2013-08-04 17:30:59.173932	229		0
21854	10ozbfebmbvr3zkmz9icd3nn0h	$2a$07$5qwU8XwyAO.is8BuJzvMd.UvYARqqDsFQ0dBQ3Jlo6.UDOIHbkASq	14	2013-08-04 17:30:54.359909	2013-08-04 17:30:59.301451	229		0
21855	10n7r3eq5xwxphrij4hbvib562	$2a$07$VTec12.neUWIE8V5nszUR.kXE7Db9Klh9LJ8uL/de7ngyFBah39Ly	15	2013-08-04 17:30:54.384629	2013-08-04 17:30:59.434608	229		0
21856	10jjqfrhkmx2i5760telt8a8q9	$2a$07$5lovHNCD61amJ8F8NKN6lOI.pf/z.cH99/DLquHIVG6w8sb8U0uR.	16	2013-08-04 17:30:54.408123	2013-08-04 17:30:59.636199	229		0
21857	108ye4v3fumhmecfdjkib813b8	$2a$07$aMC0VvdzzrnrPHgLkVPC4.oA2dkSFiVwHtHINndx/QWw0YHnON6m6	17	2013-08-04 17:30:54.432273	2013-08-04 17:30:59.782984	229		0
21858	10lg1zoq63qw8o2qxu2yl95xep	$2a$07$FJVghVh/D6nZCyJtESSZT.J.qjImb2DOiO91qIJwv6WHtv2lbFktm	18	2013-08-04 17:30:54.45501	2013-08-04 17:30:59.949536	229		0
21859	102qpmz9pdpwheo9iqjj4pmjuj	$2a$07$wOrudR0HIOrxRdUPBYUJreYTkBJ5iJIvkOh.kqRk.PXjB5pHhuWhW	19	2013-08-04 17:30:54.47873	2013-08-04 17:31:00.152347	229		0
21860	101if7i4prjp03a6blq0twrsu1	$2a$07$8K64HnbOUfJ/TsbMJRu.TuupKzMqXrT1cDzBEPFsFZjaiJAplVf/.	20	2013-08-04 17:30:54.501015	2013-08-04 17:31:00.288138	229		0
21861	10vanwus690ttesi1f1kvju8wy	$2a$07$CJ5HWfzvgE5BtriiHiS8pOxyauN.Zljo9lXYgcu2IjE8DtP7gr4FK	21	2013-08-04 17:30:54.524476	2013-08-04 17:31:00.441069	229		0
21862	10k1dhkk46crss3gn5ncbd3r2s	$2a$07$v84QL3Gce.RzwGW5xzGke.hIqEx6tV66BE5GL1wed57Ke7wWbhWk.	22	2013-08-04 17:30:54.547627	2013-08-04 17:31:00.592442	229		0
21863	10fixgaka0hpa4m4l9igvdgp7s	$2a$07$LPiwxxeY0JpxSK4b3RNh3u.Kw1TStaNQlxEFTY74E53uzHtgqugki	23	2013-08-04 17:30:54.571907	2013-08-04 17:31:00.738337	229		0
21864	10bg0ng9g9mi6od1igepnixoxs	$2a$07$6wPMR8BSUIfv1bXMbSaQCuWpaRbG3aiMduiwATLpbs89Idd3T.yeW	24	2013-08-04 17:30:54.605298	2013-08-04 17:31:00.844606	229		0
21865	10oihx7h5lvkp4fn9g393megvz	$2a$07$dEXSBcG/6Wx7GWbKrGiweOSxjG4lXUtPZKNfrgBCslb8k4tbR4Wy6	25	2013-08-04 17:30:54.632007	2013-08-04 17:31:00.959793	229		0
21866	10xsfyuu5wzt2nrkmvxq84xvnf	$2a$07$6TB/JTqMHKho2J4V0SKq3ufi56v2RAEWNtszJR2xpeDJxbTrGMpUu	26	2013-08-04 17:30:54.663507	2013-08-04 17:31:01.084205	229		0
21867	10s3kqwragnayqzcyg14cpgwd2	$2a$07$GztpR3XuIcW1ml7QcDqxTuXG6o278ic7QCcxrGyVb6PhsTykidUrC	27	2013-08-04 17:30:54.685464	2013-08-04 17:31:01.233775	229		0
21868	10vsct43mh9i232r98ih8j9cvo	$2a$07$DjyXNbuz2G0ruvYrcQbcDON2cHV6pTQ3N73rTP8H5tk5ujtkndOAy	28	2013-08-04 17:30:54.707476	2013-08-04 17:31:01.433984	229		0
21869	102rxkyzm33g6w7h2948zjfx97	$2a$07$inBUeAfe5Dv65fKaxucbt.DkX/LSWRivJfSkrAF2YZ54Vt2pOjxEC	29	2013-08-04 17:30:54.72942	2013-08-04 17:31:01.561452	229		0
21870	10vv5br9gbsejjv5mt6nouiahv	$2a$07$1woR0yIWL0zGgVHSswUySusGojm8YDP/FcDMrvgj5Lyy5Az5u1Erm	30	2013-08-04 17:30:54.75273	2013-08-04 17:31:01.716795	229		0
21871	1019ujk4yagco11m2uuswvtspu	$2a$07$6ajqrs1Pbml.V0VI5yzaounXAwwQBvsjothu0CumbQIF5OkIsCCnG	31	2013-08-04 17:30:54.775655	2013-08-04 17:31:01.86841	229		0
21872	101j5vt5d0qhf6lk9mrp4bsy86	$2a$07$uetIHwMiqAtgKQl4p1uzHOSI90.CdwhNN1VV.VPJ4Co6YaxVQc/6q	32	2013-08-04 17:30:54.797306	2013-08-04 17:31:02.024918	229		0
21873	10hsqain7aiwrvige929sfatv0	$2a$07$47GkHMjV7YbYCOTiG2VS5.j7EflXMYKFd1JhVjkLRJssMPOQXVhN2	33	2013-08-04 17:30:54.820097	2013-08-04 17:31:02.156903	229		0
21874	10i5beou0bscy7nigq1j0v4mgv	$2a$07$/CBVvPIMIfiElG3zIJmD8OMZzczKH4cP1gKvsq0lsNTP25Z1WNX/m	34	2013-08-04 17:30:54.841805	2013-08-04 17:31:02.392119	229		0
21875	10a0uoxdtku3sxdsz4l3e70687	$2a$07$L3nKaWJ/DdyUbzRi31wwHuU/rJk8oijjeFtFMHQcuocDMILd5oNgW	35	2013-08-04 17:30:54.863759	2013-08-04 17:31:02.543641	229		0
21876	10eenv9ujj88xeembag9tmohby	$2a$07$X5VBaL6OWFSXPqc5x9caYOVHOkkWGvJnGDT3/MUH5LI1i55g4u9u6	36	2013-08-04 17:30:54.885799	2013-08-04 17:31:02.669828	229		0
21877	10cvgxoqry2t2ypohbvier70fu	$2a$07$8pb5HSeJYrR.3wvGLA4NOOumUZjtrhOfNKVUjvCaKrCUcblG5Tmcq	37	2013-08-04 17:30:54.909028	2013-08-04 17:31:02.7985	229		0
21878	10wu9rdjtj9m5c7nmcitdie8gi	$2a$07$4kxgE3tiIYxDTIL2ezbMzOw7sJ6MNmyFKYLKi4T1h2jKlJ.dnfkLa	38	2013-08-04 17:30:54.932135	2013-08-04 17:31:02.934787	229		0
21879	100oqrq85lcusv690ztvhnbo3d	$2a$07$o6fd/xOzVLtgCZLZnCKbp.cDn4DMQ9SppGjVICLI1rniAZUF.N68S	39	2013-08-04 17:30:54.955274	2013-08-04 17:31:03.059083	229		0
21880	10j5iiuy72ck408j92i82hnbtu	$2a$07$1U.fchNcXqyYXlWPsLU0POEx.k4V7USmPPkCNiI0JlB/VrloUDvIm	40	2013-08-04 17:30:54.984841	2013-08-04 17:31:03.207528	229		0
21881	10d035vfum1e9eepgu2fppbkfv	$2a$07$gLC9Ou74OCw6GguqXXqnLOrA2YxsnI.kDAb6x.ghYtvooDw7CpJz6	41	2013-08-04 17:30:55.023335	2013-08-04 17:31:03.353313	229		0
21882	10qp7r8ftvok5t9yjtcyxfc1vw	$2a$07$koujRQeqxYh2enQboaDUP.gTWmiUi1N7vdYeU7qloeXHL0.UOHqOq	42	2013-08-04 17:30:55.05894	2013-08-04 17:31:03.476596	229		0
21883	10ndlgwvcf5rpaz9ckl2t9kew2	$2a$07$1f5UbpXQj7aOhd736mbURuH5u.kIybS13r5otlbasrzMbdNPm/U1y	43	2013-08-04 17:30:55.084476	2013-08-04 17:31:03.666828	229		0
21884	103engtjgpkuibl6in6zg517o8	$2a$07$0cH4mly8k0e2aiUxSRuQreeUezoodrwrIdvB1UtOg95rVu9zhR4Uq	44	2013-08-04 17:30:55.111362	2013-08-04 17:31:03.787616	229		0
21885	10ie5p9fb2a6rg3zqkzqtk2w8l	$2a$07$7cGitpxzUfyGRbEoCV8UGuJjuzbFNeQB6s3Cb9nvckMR9UJvsqC7u	45	2013-08-04 17:30:55.137423	2013-08-04 17:31:03.899097	229		0
21886	10z5x71gky1fjtawo04vs8yubn	$2a$07$83c3lYrZh7ezppoEmR2Dq.lbgQ4pyghdxGw0mhEyEAGJlNazNFzty	46	2013-08-04 17:30:55.172396	2013-08-04 17:31:04.024245	229		0
21887	10e7p6f303st67ztyhdzkq2kdl	$2a$07$44w66KtKtJ4o8dIVo7RWT.ifteyjOHQis.vEQzuC0tIW2fz2p01j6	47	2013-08-04 17:30:55.204379	2013-08-04 17:31:04.137315	229		0
21888	10itlfe9i0e0mrbckmpoklibkn	$2a$07$CRkuefoVwJ/Wh/7G2O8hNevlcOx3HKQzosZLU0dvdMV7wbGHl3uXG	48	2013-08-04 17:30:55.229962	2013-08-04 17:31:04.287929	229		0
21889	10au1hnjx5msoicpza7q5ochhj	$2a$07$xik8rg63uqpg/Tjx9yDTa.NdvdKS332GJe5fad24180WT3aJa79aW	49	2013-08-04 17:30:55.253775	2013-08-04 17:31:04.41202	229		0
21890	10fdrljz5e1a9oarkz75oiqgjb	$2a$07$tMP6lAbw31oeqh17/7ZdF.DuZHwUamCJncavfF13b/5l6KWlvFAtS	50	2013-08-04 17:30:55.288986	2013-08-04 17:31:04.528211	229		0
21891	10jehjncqgfyofurkwko9cu40y	$2a$07$Kk/vVuHYz5eokgIZgBFhEeJ6gB2rLvjvsrBEt2XgJc5DXX2GQh6S2	51	2013-08-04 17:30:55.321276	2013-08-04 17:31:04.663849	229		0
21892	10jlh0buwje23nijqgkatrr1ji	$2a$07$i.2W5lOwpEoLax6qsWWlOOGnvqSAVqRYLC6tD38PkhHqcWqlXWsyi	52	2013-08-04 17:30:55.349021	2013-08-04 17:31:04.88924	229		0
21893	106g4ydmfm2vybk1goiu9iq81p	$2a$07$tyevTSW31PGO7AoNYgPrQORqETx.hyL4bNKz7zFrzi5vfnhHBBuRG	53	2013-08-04 17:30:55.373388	2013-08-04 17:31:05.14761	229		0
21894	10yn6vkj1cp31r0dr6yegqgnab	$2a$07$2XmTb4DJpovyiTFFTN9MDuThJnV1HUTyx6kYXR5Xjveb7dfDYM58u	54	2013-08-04 17:30:55.396292	2013-08-04 17:31:05.349559	229		0
21895	104c3k5h28m1yiub8spqkp9lik	$2a$07$qLaWx4u0uo7qQ4e7FB/V/u9VqMjAKs4PAD0AAwcPj9zJgNu/8Tasu	55	2013-08-04 17:30:55.418182	2013-08-04 17:31:05.485921	229		0
21896	107bx0gbjk1qziinfyb3m80xei	$2a$07$U/EnOJUNDCYMM52sPLHd0OAUf78a.p7DatMNFVnlPhS1IOSIEPx/2	56	2013-08-04 17:30:55.44127	2013-08-04 17:31:05.611338	229		0
21897	10rym9uvlr92b7i34zy25rlnn4	$2a$07$Kj4FXezXbA3ErOAShgyVfOMKNtefucTRnyO1klFeyHNzvmWaQST3S	57	2013-08-04 17:30:55.463222	2013-08-04 17:31:05.756352	229		0
21898	10zctpllg9bmpks2gkv3fv1yi8	$2a$07$Kay9fn6qWp/hB4c1zU8t.OQ.uZPVUQg0hzcle10pNB.yW/VvvukDe	58	2013-08-04 17:30:55.484981	2013-08-04 17:31:08.436464	229		0
21899	10064ukrartce9fy86oti3wez5	$2a$07$p2iQDNJxaSIHsKIWywpRuONp6/9hzOVXz0w5Gxv26640MHAdiZPtm	59	2013-08-04 17:30:55.508237	2013-08-04 17:31:11.006919	229		0
21900	106qlwzz9vqaetkhuya9py9z1p	$2a$07$TTDzCcW76upFhqg6ndgz..Ks1jvTjeIYynXEO4ibQ.5MnoisTDfiC	60	2013-08-04 17:30:55.531172	2013-08-04 17:31:14.222836	229		0
21901	10awf4o1tn29z463owhasplmd8	$2a$07$XDHJnHLDiHGe0nz4H8QUh.4z99FyJhxy.IjgeFWcPVzMDUElFYN1.	61	2013-08-04 17:30:55.553623	2013-08-04 17:31:17.030857	229		0
21902	10npv9yqf1w1xifhps3ln7ueyf	$2a$07$L1iWMY51WgaCLB09xTK.ReUzeSC//omBQ/Mx3fDrSOiBz0JdSDHqu	62	2013-08-04 17:30:55.576536	2013-08-04 17:31:20.141501	229		0
21903	10o3lmnbype1dkwmz4oem5tvm5	$2a$07$ea5NXpeE/wmVyZI/lYYzm.n9oc.LStfNrTa/qARPtXiDrFPq8RN46	63	2013-08-04 17:30:55.600455	2013-08-04 17:31:23.129467	229		0
21904	10d0i6i0y5ekj33h9y4vcgblpp	$2a$07$uGX7ez64oEL6ScyV0hZsReJ3lN9LoC.s0oohb8hzRHvI5Nc2R3S72	64	2013-08-04 17:30:55.62285	2013-08-04 17:31:23.258982	229		0
21905	102p3dkqtwbfonvth88wvcr2v0	$2a$07$uyWlnf5AE7OmIuFBzCR0Pe8n7Yv6rSkzkw3IG579dT4za01qYSW0a	65	2013-08-04 17:30:55.646192	2013-08-04 17:31:23.39336	229		0
21906	10ac0umon48rpggminzcvinq1m	$2a$07$J609hVfrVwJUGcSLFKYlj.foRKtIK.wKGx9HUv8EK.rU2GmqwWatW	66	2013-08-04 17:30:55.667948	2013-08-04 17:31:23.559344	229		0
21907	1067hbgmsfhknqhgvjwiy7gw8f	$2a$07$sBtxxMharT9a.Y3h6OYrne8cxq/uuJzGvP3R.n26xg3X1w/BXDS1i	67	2013-08-04 17:30:55.69897	2013-08-04 17:31:23.702796	229		0
21908	10ze15xu6mfktebmosp8vxq5j3	$2a$07$joM8BRFZALAvn5QiBsbQJuGzRv24BDrhik2wIs9NfJtMb59eyOzbC	68	2013-08-04 17:30:55.721813	2013-08-04 17:31:23.849393	229		0
21909	10watagxlg67gznrmj41bbs8jm	$2a$07$bs4bpB3YeTjXuj7PecZl.Onc/98E94BkfSAxLIjfZ6SEwXGwiHlxG	69	2013-08-04 17:30:55.743582	2013-08-04 17:31:23.969125	229		0
21910	10vztrivewichphowqtjysmlb3	$2a$07$75OQhbFkEj3LzQjscoonuO.eG9tA9BfOmE4FdqrzHdv71Cx2KDXya	70	2013-08-04 17:30:55.765192	2013-08-04 17:31:24.111868	229		0
21911	1063mz2zlq48wp2dokq849ljxu	$2a$07$RkpeqHVyL77jv8fOgHKYeux0LOgUxjNR1RrYDqu5KhIkE2J/JXHXe	71	2013-08-04 17:30:55.788196	2013-08-04 17:31:24.249148	229		0
21912	10xdx8i70t7ec4a5x3tek5dhvi	$2a$07$eLlaVUIgEMBTmuYm9omuMug98tFctMqvpG2lOe/AqVGv/RiH3KSDm	72	2013-08-04 17:30:55.817376	2013-08-04 17:31:24.379769	229		0
21913	102ai4h5etewh5h1dfa9wlt648	$2a$07$KO2BxrXdhqf/6yaJcuCvwunZ3sf37ZGqmFgfLE2T9BpLnUmsLkOdy	73	2013-08-04 17:30:55.839162	2013-08-04 17:31:24.527038	229		0
21914	10dq7e760w8hasdpcuv07mshey	$2a$07$hvX4ideeGBO7NrXQ/kdqtu91YTctchmdCJ7CJR7cPcDx/MFaWN7au	74	2013-08-04 17:30:55.860909	2013-08-04 17:31:24.661836	229		0
21915	10a1uxvvtlnvuyaci3b324ssgt	$2a$07$c.Kr.DIKTmCgZ4kXUlUYKOWabHrTnGAt1mGXQHwJYiD/PWEvr73Qq	75	2013-08-04 17:30:55.884407	2013-08-04 17:31:24.823768	229		0
21916	10yp2herrj23tjj1b6b84pp6ge	$2a$07$1W1zCrd9z9xrJpO5Lp4.a.SwZ5ZayCau7hqsDZgtIYf76x1mRx2wy	76	2013-08-04 17:30:55.906136	2013-08-04 17:31:24.9666	229		0
21917	10jyzjx7s85lfthyud95j3uq3j	$2a$07$U4p2E28sHmVT3hobrwHl/O.0YQcZhc44qUl7EqTca5jvAvGbDy2SK	77	2013-08-04 17:30:55.927727	2013-08-04 17:31:25.078818	229		0
21918	10fw4w37g72sh61stwpqsk11k0	$2a$07$TtA4w/T.bupV6ZJmfLGVj.KzAieGeH5YNBtaPcDm5NawT2xdTBmU2	78	2013-08-04 17:30:55.949349	2013-08-04 17:31:25.19338	229		0
21919	100kcvsflw8unuj4or1mxqx7nh	$2a$07$9Dxw2Y7FXfPVh7WKVbo8TOaxe1QUz414/btlMg01Aghxtccaz1uLe	79	2013-08-04 17:30:55.971637	2013-08-04 17:31:25.336438	229		0
21920	10rkvz3sdq4jhz8cmney7w6jjp	$2a$07$lQS0v2CiLH/HSg9kDGcK0evqVSYpWzriSXiF9jdxJJl7mMbzIDUjy	80	2013-08-04 17:30:55.994112	2013-08-04 17:31:25.462907	229		0
21921	1088znsly5lm3zizptdhfn8qx0	$2a$07$9JFB1MP5zaQYcKK/tuE1yuqIgP2W.I3lbNnU0uGGsP07wQ5XkGU2m	81	2013-08-04 17:30:56.016627	2013-08-04 17:31:25.597364	229		0
21922	10nft5uku28a5sozmd7vmaz9nb	$2a$07$0FRfXcUrkso5cKvmHgJIEuM4/pWzExlLxln.kSjAS1.43.ZWPCxGK	82	2013-08-04 17:30:56.03904	2013-08-04 17:31:25.742037	229		0
21923	10zoewxqm86rnfw0v5v0p2okyv	$2a$07$1Ad4f1LyIPpt.4UCmKXzheGxxKPnoLO1408mYPO//.Afq6rAhoCRC	83	2013-08-04 17:30:56.060823	2013-08-04 17:31:28.941176	229		0
21924	10pzevt92fuv9s2r5zfr0s5jz3	$2a$07$O4ZN7fak3z/YHmkR231kJebDS6Op1ZpiIb/iYqp.5nHOrTiTwEjQC	84	2013-08-04 17:30:56.085725	2013-08-04 17:31:31.931795	229		0
21925	105b0kd0czo8lkqvi75fwkcnpm	$2a$07$s/LSPWjoZXwHd6EIaKB9Se/K4iWighDAz7O2wipv7ZvbGB136Lvs2	85	2013-08-04 17:30:56.110541	2013-08-04 17:31:32.078153	229		0
21926	10ufsiyan9o8yn9e9b49cnn0ja	$2a$07$XW7Xyt4ChuAAWS/rwnHvTe8iFWGVRQY37e/yLXSvnCfCkmZ56MkaG	86	2013-08-04 17:30:56.133656	2013-08-04 17:31:32.216891	229		0
21927	10herp5q2se16y35fo2nf03qlq	$2a$07$fOakFIoTW0cxbOL75X9Rxe20ph6ur1Ib90pyO69hqkul.1AUtzwkW	87	2013-08-04 17:30:56.155084	2013-08-04 17:31:32.339019	229		0
21928	10arj6egzgohbj0x11hy4mkrz6	$2a$07$hmsLn0o8jauFt2cGTcS/U.GJ9QfbVloVbD7UpY5AyzS1tub1c43ja	88	2013-08-04 17:30:56.176955	2013-08-04 17:31:32.472099	229		0
21929	10espi5s8uul291qnnp0inmp7a	$2a$07$out1SvEVW1AjosBd7IBddOk5.SLrQ1E7qfdrRm0qnxJFxLbhpwgYq	89	2013-08-04 17:30:56.200095	2013-08-04 17:31:32.72033	229		0
21930	10ipnwpb6r9wir3ucae47ubljp	$2a$07$CewMDCbJq8YVI0YixkC1h.I.cL0N7D8C3ZRjCacLKM/irFRmmQylO	90	2013-08-04 17:30:56.222838	2013-08-04 17:31:32.938767	229		0
21931	10cris63h15225nn01lgn5t4te	$2a$07$3CWJh7.uc8Ukpiu0OfdLxOYCj6lZjO88mUNX6tRfrgyNLulKEd0.O	91	2013-08-04 17:30:56.244477	2013-08-04 17:31:33.094636	229		0
21932	10c04e36d19ajmyvj0cqmm4dej	$2a$07$XBLbesYzC7IbQOSgHwTVMOoHSi/frxyOliU8fPg9vi7D1UDQZjha2	92	2013-08-04 17:30:56.266065	2013-08-04 17:31:33.222665	229		0
21933	10u4js8kk3ora97cbdlx8xeqm8	$2a$07$9kuyrvvUiAntk.E28Sb6EOepEaoElejQwp6sdiKhzA1XWkY8tz1r2	93	2013-08-04 17:30:56.287698	2013-08-04 17:31:33.340314	229		0
21934	10cuputs2za4vspxhd123z03c6	$2a$07$k08VpXRfZlB69mfH1QUnbe4LCtIzZGEJjfmTPr9dxjG.vBoxPCUfe	94	2013-08-04 17:30:56.309193	2013-08-04 17:31:33.480497	229		0
21935	10iz9lcf0k4iwvb2jw0rsbbf0l	$2a$07$TDjdOGpxSkYhrWhxWlW7eugbcElIJV.r51mAcRDV.WCfKwr6LMIQq	95	2013-08-04 17:30:56.332839	2013-08-04 17:31:33.619653	229		0
21936	10piwcj3u9nwzxagqg8da19epa	$2a$07$PlbQeeq0qtNB9IJTUIJFZul7jLH7Cdj1wFxP3X/BUB8whMF/3FPKS	96	2013-08-04 17:30:56.356507	2013-08-04 17:31:33.748622	229		0
21937	10cdlq5pdtyaf3vwfg3j71xmvr	$2a$07$sGPQ2uHVOQGew.StigzGJuebjUcfIWRrX7nqdcuHasD15whuujMvq	97	2013-08-04 17:30:56.383929	2013-08-04 17:31:33.883662	229		0
21938	10jbktbemh91m5cfwp8kqlyjvl	$2a$07$JgK6VuA556fQB8TIKqQFjejyW.RXa.FTKCzq1YWRDGoup8B.Oeaoq	98	2013-08-04 17:30:56.40567	2013-08-04 17:31:34.019907	229		0
21939	10kptfiwioqivju1xku166b6w5	$2a$07$DbFrdJGMI39RumcPOTBGse.3g5NSMaymIg9Z.fpB//XSHqL1tfsWG	99	2013-08-04 17:30:56.427165	2013-08-04 17:31:34.17266	229		0
21940	101pk97cjx3m7ek896h6tmu47p	$2a$07$wsX2ACOPo0FY/ev6CkGyrON7E7VjoHw07tFWSOp6PVOIaNwbDyY7m	100	2013-08-04 17:30:56.448863	2013-08-04 17:31:34.322609	229		0
21941	106dx8vgeasnflc0zculeimmyn	$2a$07$bLNT7q4GZSeItwJJfR1r8uXGO2vARQ1BnnPLXuNvtJSCC8d2XrOy2	101	2013-08-04 17:30:56.470472	2013-08-04 17:31:34.47183	229		0
21942	10dcjpadczp9ymjgubytv9tiqq	$2a$07$IG9tIyzkd1zgmFpY4rsu8O9Ftu8C9ibuvTF8stAtyES6piVu2rbxy	102	2013-08-04 17:30:56.492425	2013-08-04 17:31:34.61582	229		0
21943	1052o368f544l9ocrap8utllah	$2a$07$ZMryfvploz3tb/gK33LvPuHtXa6nzw5Go1dIQcXtB0NK0tALMZ94m	103	2013-08-04 17:30:56.514039	2013-08-04 17:31:34.74668	229		0
21944	10ubhqfasgll8accyh97x05iv2	$2a$07$kf.xLF0.cti6Uh48lhwByOcAvznabqxmTW5v5bF2DRG6JsRkF3l06	104	2013-08-04 17:30:56.535583	2013-08-04 17:31:34.890581	229		0
21945	10sothz2y4k7murnbckkqerbok	$2a$07$MjYzVXwStP.UhTtDeeH8ZeulrmYuDMO/GPMNyliTJ5RO040Fvrqgy	105	2013-08-04 17:30:56.55695	2013-08-04 17:31:35.032586	229		0
21946	10wcdwd2gzgr5sww0uecg1zhzj	$2a$07$2lG9NRHm8xSYKvCCyRA8XuOtuwDmPJqCqIuThXzvmEDAfNEiHkmp.	106	2013-08-04 17:30:56.578404	2013-08-04 17:31:35.168702	229		0
21947	10nank494y2trn7y37jown754d	$2a$07$XbkQiyHgT.IPAat9AjHojOBZE3TkhKPNbgtecWQDqd6Kjy93uP53G	107	2013-08-04 17:30:56.599841	2013-08-04 17:31:35.445514	229		0
21948	10f1r46z09e5yj6nx0sloz1gak	$2a$07$suyBxb4gVaBhza1cxfIi/OVAuBjxXcPPeD/hKagcG6catmLwsa3cW	108	2013-08-04 17:30:56.621716	2013-08-04 17:31:35.748963	229		0
21949	10tel42gx1hew9ebbrkbv8s0xr	$2a$07$y9mbXLYH7K6TEfuQYZKTB.XjuAnfxTZdZ6j3ppLqHuE93ZCYj.5S2	109	2013-08-04 17:30:56.64315	2013-08-04 17:31:35.898282	229		0
21950	108men9wk5phm2wz9ihg5qrwjq	$2a$07$00Qc363ATvH1bEW7BVR6HeKWGN9UeAVV/pl0ZKze0qLrG9y2UvxJ.	110	2013-08-04 17:30:56.664556	2013-08-04 17:31:36.038156	229		0
21951	10ygh57gjuzgtn5irq12ott3sl	$2a$07$PmCNoWlHUNwHyGkrRlA12u0xGJqVZIXRk0jHpP4jWRE50srncSLde	111	2013-08-04 17:30:56.686097	2013-08-04 17:31:36.165632	229		0
21952	101m4n8cnlfig0mkh2ehenie8f	$2a$07$aaeGcbl/Nti1lz//n0gEiuvfGfh4nu5VtnfFc3pSWo8EGMMzWJSUS	112	2013-08-04 17:30:56.707909	2013-08-04 17:31:36.301419	229		0
21953	104adgz272fx8a5hpeluunzaoz	$2a$07$J1Z398oraWIg1A/sPjj/b.vJClnrXhTrk037vrP.K3qjxcWc4Zw.u	113	2013-08-04 17:30:56.7304	2013-08-04 17:31:36.441003	229		0
21954	10qhhnbyr3ih5n3cmwbtwemwlu	$2a$07$F8GK0V2olDprui/ideOHp.BEP5QophH.hQRFQ0jOJRA5OKgfx5WbC	114	2013-08-04 17:30:56.753497	2013-08-04 17:31:36.570846	229		0
21955	10xko4a780l5ozzye9g7r6xzsy	$2a$07$T2DNJZdszTmswR8VYOnWGOaLfB2aHQtNrX7LhR6RFiy24o9HRiBMK	115	2013-08-04 17:30:56.779672	2013-08-04 17:31:36.710722	229		0
21956	10uy2qtyrj6w8mh65b3hpqalmo	$2a$07$Y23VUUSRMrpxsWzPM2Xckex1VPualYyCeDhChCSZ6Akc92GZg4Oam	116	2013-08-04 17:30:56.812074	2013-08-04 17:31:36.853029	229		0
21957	10b8gkajdvaacto18bbay7n5cm	$2a$07$gVnJqqttvv8WviyMjbgcFuhEUzNqxymN20ozO.hwXKhHNQAPhvGfm	117	2013-08-04 17:30:56.833671	2013-08-04 17:31:36.990555	229		0
21958	10qggod1r7coa1vxsifpm2qejk	$2a$07$7VfI3Uu2bNKZsgpRnysVCuHGTlNJHZBEWzlcR9Dy06NwvT4YsvRku	118	2013-08-04 17:30:56.855132	2013-08-04 17:31:37.106605	229		0
21959	1088o7cb2fbady66zeal23cwut	$2a$07$zRLXsipb6w2bcf5wK8D2h.hQk54tlQCHqUAG98Gd0LdyV3MQEAIai	119	2013-08-04 17:30:56.877835	2013-08-04 17:31:37.249101	229		0
18691	10wby9266abftbrjhno7793150	$2a$07$rJouoXvSCUzLZPLMs5.1M.quCWfrc4sLQMvk9h5DAPrDFVS23.ANy	1	2013-08-04 01:29:51.034743	2013-08-04 01:29:54.323271	204		0
18692	10nmst457prkwfg4o5346k1463	$2a$07$kToFizNpl94g0s5FPx/n..R8WFrgP.ONZuFaFEF6CzacBfh4q5eCy	2	2013-08-04 01:29:51.058512	2013-08-04 01:29:54.566584	204		0
18693	1060qdahg9553wsn9u9320fijw	$2a$07$R01vqbLXFkpzqMUQGMB87.eBDLNlEmHYjOBau/XcW/X9dNvssJX9e	3	2013-08-04 01:29:51.089003	2013-08-04 01:29:54.736528	204		0
18694	10um4wf7ru2hkby1xgvmkburec	$2a$07$EDU5xU0sUBwOzxKlNBmgtuRlMT51B1SAZsOk7BuQuGNrXtWyttcbC	4	2013-08-04 01:29:51.110726	2013-08-04 01:29:54.867035	204		0
18695	10jsnd54nqq0hzr98ulg6a9qme	$2a$07$yOGghuZzp8NW2h6/VT1K0.0/BsxfcSnJY3peSwjqv6PgCMolfRiwO	5	2013-08-04 01:29:51.132504	2013-08-04 01:29:55.001353	204		0
18696	100y0rsqsghb62ltwxa025sdz0	$2a$07$iKf2nriA3zJ2tHq00OU.ge6Ul3aQnuW5ns1sRBnP0uMxfkJczd2UG	6	2013-08-04 01:29:51.153826	2013-08-04 01:29:55.145939	204		0
18697	10cguaebqayvhw6lxs5qeg559w	$2a$07$TMSDVFo/h1Dq5En5.nCAxO7ehEdjWQu3E1G5oa.QFpCoQjYRbFKie	7	2013-08-04 01:29:51.175736	2013-08-04 01:29:56.017167	204		0
18698	10wub6nxob8ry74hg34bfxgagb	$2a$07$N5hpkvXVskLyKC9Hj2B9GOOxT.nx/zgxBBsq4LzxGBj59ugV0dn9a	8	2013-08-04 01:29:51.197525	2013-08-04 01:29:56.982573	204		0
18699	10rj2rh7ubwuwodywcaianz9qf	$2a$07$qLnm/Jx.6ZU/1kHVvPiLauud40lfMC23mVWy6lseiPTVzUQOpa98C	9	2013-08-04 01:29:51.219133	2013-08-04 01:29:57.903282	204		0
18700	10xt5cn9ke6702iracet4cnwre	$2a$07$WDAjjXh2sGhQXNZFVGGlMeYizs2C48hMXitZ7X4BhXkrEXaj3azg2	10	2013-08-04 01:29:51.240707	2013-08-04 01:29:58.02891	204		0
18701	101kl2qgul0y38z7qp6mp379eg	$2a$07$HIVuEDUj7yDSYSwyv2.ddu2vlVdLIQGRwccjA1xnH3DjAJKOpWVUK	11	2013-08-04 01:29:51.262131	2013-08-04 01:29:58.13671	204		0
18702	108d3inv9zfhcqni9nmpyjifvu	$2a$07$t.hMxsvDAfSfqqKRR/id1.Ab73o3im1HbeGaF3/nhKOmivuxR1zEa	12	2013-08-04 01:29:51.284083	2013-08-04 01:29:58.254838	204		0
18703	10mm68ivtaxplxhcvxhej2tfy2	$2a$07$qNDJUzYLpq4iSy3u2TrOHeTiWj3vDMJTlIKVxbkO25.uzMbdSoZwe	13	2013-08-04 01:29:51.306875	2013-08-04 01:29:58.371391	204		0
18704	109r95jl3cjges60jeivryi6m1	$2a$07$CfNJonesilFTIo92LcGG5eIZ3qMl.BknnpPjR9v7j/GqnY9L6A1DS	14	2013-08-04 01:29:51.328726	2013-08-04 01:29:58.498784	204		0
18705	10c36o08b9f9v7umpj6ep6adyp	$2a$07$geBk70j6T6BhFu99yn4rVe9qdZG4sP4buRVIq8t1GBARUjRCSAkBW	15	2013-08-04 01:29:51.350261	2013-08-04 01:29:58.635885	204		0
18706	10m9l56rv3mbou7yguwm1wqveg	$2a$07$GoTJnkchrf2p6vOCHxQHbubr4nK.uMFvNK63sjxi8s4nWo5WxPG.i	16	2013-08-04 01:29:51.37181	2013-08-04 01:29:58.778641	204		0
18707	10wm9pifb9ofdpx3adzqfw748o	$2a$07$mmLamKcr5VH9xKbNx/MESuccQPrJ2Y.51wWkm63t9KISgLWVK1xdm	17	2013-08-04 01:29:51.393512	2013-08-04 01:29:59.01137	204		0
18708	10v6s8txu99ytspyy4ccrmqhxa	$2a$07$5PC/Ooa96c.5ptCBegBDEuq8h/4m1C82eCMy.vE7ntQOU7Vk2fF7K	18	2013-08-04 01:29:51.415065	2013-08-04 01:29:59.184877	204		0
18709	10793moh496e42yjwwhvtaig78	$2a$07$9cwomI0luHRIDejTOki5beHQEeTSS2Vo5cqieHh.ofqtFAIv1PewS	19	2013-08-04 01:29:51.436741	2013-08-04 01:29:59.313299	204		0
18710	10hv2462aftegoumim5bihme6m	$2a$07$iB23TOLhxj6b1p9cF3bZx.UvGMWK8Yl61NS6oNDVkP3WaBnYs0P0y	20	2013-08-04 01:29:51.458257	2013-08-04 01:29:59.41002	204		0
18711	105h8yvtn9z4wfumgea0xa1t6c	$2a$07$5a1qBtRT0lLnlxtyI4IHd.xuIWelCCfLaFbk5HHrKB7soG5hG4aB2	21	2013-08-04 01:29:51.479825	2013-08-04 01:29:59.536239	204		0
18712	104v42iklxmrvbbhjjyw88uwwp	$2a$07$FXxQHOJiUbUJlNHirfpJueN0mna00VmGc15TqS6rBfgZ12IXwR.nS	22	2013-08-04 01:29:51.501225	2013-08-04 01:29:59.663198	204		0
18713	10grqk6k28gq6mmn9dblnby4d6	$2a$07$QHJ6my7ZEVtnhcmz3gq2R.Ghm/4QQJ/rcFfZXx8AwgCj.UM1F80Cq	23	2013-08-04 01:29:51.522742	2013-08-04 01:29:59.789214	204		0
18714	10zvpuoobmzofxf2yvsrsw3a2r	$2a$07$sqzHBsOPFPIn3T/xQpJM2u0v81mhtWcfinbbN5C4FYh8eS1jGYNL6	24	2013-08-04 01:29:51.544223	2013-08-04 01:29:59.937692	204		0
18715	10lyvby7zpw1cfohjsaifafzyk	$2a$07$Ovb7yuWDQ/hEnDIgnWQxo.K1/gaafSBfkma0R5UQhEwkEn3LKOkSq	25	2013-08-04 01:29:51.565741	2013-08-04 01:30:00.188989	204		0
18716	10hde7296rsrngw9mdu38996bg	$2a$07$Bx6T1dO8cwZPGC4aEcXhXuWL.IxNxpgJhz9otr.wF9EhuGrtG7yse	26	2013-08-04 01:29:51.587203	2013-08-04 01:30:00.334908	204		0
18717	103p74xa763w5wz0956892xmz5	$2a$07$ICSZMmZ9iaSzCt.U8Kk7seQj.r2Q/J212gKfJ8upgNdAJRkFOOzhO	27	2013-08-04 01:29:51.609561	2013-08-04 01:30:00.556593	204		0
18718	107jrq3idkb81vw2kwahnmhw0h	$2a$07$PwDDkyAv8M1wnNmGT.QIM.Ew83feUnJ0ERP14lw1XqN/u9qpIFDse	28	2013-08-04 01:29:51.633293	2013-08-04 01:30:00.701822	204		0
18719	101xa1ncriuarkoflzeij37ddr	$2a$07$uHQgoIyQFFrG5x5Ut8Atj.JvPOcPoMIDv4ot.O2L4iZbzd3HsS/ge	29	2013-08-04 01:29:51.657538	2013-08-04 01:30:00.839303	204		0
18720	104u1049fahcw4dcxs7uoqiwtz	$2a$07$wL3W/Bpw7N6wnqhlvZxvzOPnt6iHYV1kSb43t4X5W7kqHjx3La.iS	30	2013-08-04 01:29:51.682868	2013-08-04 01:30:00.975155	204		0
18721	108cu1jajzilhgtjqds58jjbhl	$2a$07$OiU3k27AR.NChDGEkOhiF.bIFtRQgfxK4l1zxsJ6qByqeXJx9iNiq	31	2013-08-04 01:29:51.7225	2013-08-04 01:30:01.116223	204		0
18722	10aacgova66z5l22t463za4u1c	$2a$07$uDVUbbdDmGNbM9fhUO1hCeWvVN3SidSMYfaTjEcYRZdAMcYOo8Cjm	32	2013-08-04 01:29:51.751162	2013-08-04 01:30:01.238676	204		0
18723	100kgx1w357161bxp1olgm7b4u	$2a$07$bzSx3CeVXCFu.SosLlf61egRzzIdMowEBwACl7csxBvkZOhaiXw2q	33	2013-08-04 01:29:51.774304	2013-08-04 01:30:01.374976	204		0
18724	107amct0g056ejnzrnn2lohro9	$2a$07$qxk/jFZW136V73B49k0LseJj1PjVxd5eGqqp9NGy6W3WqquwEP.5G	34	2013-08-04 01:29:51.798762	2013-08-04 01:30:01.527666	204		0
18725	103ul2tbh2hq6di60t6yvowj80	$2a$07$jkQMO5PxlWVHXNkH29DsdO4ELMKCD65GqWp1qV33Q6OyPUjHDaKsC	35	2013-08-04 01:29:51.824647	2013-08-04 01:30:01.677626	204		0
18726	107pz9332p11zk4mc2rzf64jmy	$2a$07$6qnlSl5QzNvIswJRWak/duoF3fzjpnnRtMefoG/FYwjSBMvRib34q	36	2013-08-04 01:29:51.848336	2013-08-04 01:30:01.837646	204		0
18727	10gpsci83u15a7r3qeyu1lo40g	$2a$07$oVPMCSxduz/DUzGiTQKacuIEAxCvhsdLjGub8Xtcmq/rWlDEzcE.q	37	2013-08-04 01:29:51.871963	2013-08-04 01:30:02.019016	204		0
18728	10jqndemr1rbrpj0znt5l655xw	$2a$07$vzR7VGTzkaMxtYLSr8kteel4QSQhzRpmDfKsPckHhUQnvHcgSml9C	38	2013-08-04 01:29:51.898608	2013-08-04 01:30:02.145473	204		0
18729	105voplfh2sfhse5v998mrtt8b	$2a$07$DKXQay002v.0gZm5C4OhW.Dg8X.RVZ0wXOH8tfNpUa/O5LN9FrEjq	39	2013-08-04 01:29:51.930916	2013-08-04 01:30:02.340639	204		0
18730	10nil0gt3ng28ena6m34exd83t	$2a$07$.N6/9T53/5rZeD66bl8tkeWAfqoKqKh6z.nXdvxCGM.ZhPVNUMnAm	40	2013-08-04 01:29:51.955287	2013-08-04 01:30:02.477033	204		0
18731	10pisu1y12xoin0oml8jzstx5h	$2a$07$0vK7DyMLL.XPSCi/bpzDCO.7ZhFxLeHcxCkd7p43dern78PUI7o5e	41	2013-08-04 01:29:51.99169	2013-08-04 01:30:02.614578	204		0
18732	10ulx14gumvebbvd1lph2bsxyc	$2a$07$tA66tZH4Rq8Vry/kHEy7/e9ZdSfmRD4nSK8EtvoLSUgp/.IzDckUm	42	2013-08-04 01:29:52.025934	2013-08-04 01:30:02.755352	204		0
18733	106hjmke5ucpm671ezofpndknh	$2a$07$75UxOFX6MRaM1HX5l/ZjGOZ27Cam6WIlNBM4E45cqAo8GNSHtqblK	43	2013-08-04 01:29:52.049586	2013-08-04 01:30:05.679843	204		0
18734	10evy0bi7huizrtxuynb8xwzfx	$2a$07$G02Uo.WUo281Id4cPh/UDekLFi6ND5OX193gcwAQksUVqwHghcXHS	44	2013-08-04 01:29:52.072711	2013-08-04 01:30:08.593829	204		0
18735	10iecv7rdpk0yqrz63lk7xc0t8	$2a$07$ucZhIUWIDoUMLo.Ki8XgA.WYLRVrCkaN1fXJTknmNVdM8VU0qc1Gi	45	2013-08-04 01:29:52.095151	2013-08-04 01:30:11.460538	204		0
18736	10mspqqxj1f0bs7rpk0hjjo57e	$2a$07$bGMylqhmcyssi4c7eIyGsO77i1lvtvnkDIvCiDqxeH8udcfiJ9fF.	46	2013-08-04 01:29:52.117134	2013-08-04 01:30:11.609568	204		0
18737	10wzbse0imlrpzvm0chpy1zt3u	$2a$07$GJBisWpOTA3hyxLIN40np.VvP79YdPHlnfPmg5QVr9CPnU7EzWYNC	47	2013-08-04 01:29:52.138902	2013-08-04 01:30:11.770729	204		0
18738	10v679qus7nfd4ab0l70dhe6ux	$2a$07$1ucI6fojq3MW8QUWWxlyGex5BaR9EYjCm1JD0eTJ.tJbBQl18eoui	48	2013-08-04 01:29:52.160413	2013-08-04 01:30:11.922515	204		0
18739	10wi1vfvse7kc7zvw1hugutwsp	$2a$07$ZiJ6HBDTCc1BlxtqJIR9dujeoHGdQ2NSiACNjKfYgT9RNteBNvxbC	49	2013-08-04 01:29:52.182309	2013-08-04 01:30:12.04873	204		0
18740	10nog151ko3rivez1q6lbbrpou	$2a$07$3FuAKg.WQi5b2FNBAool5eZULEa17matjg8pF.sJnl0I8VbPR6Xte	50	2013-08-04 01:29:52.204366	2013-08-04 01:30:12.16386	204		0
18741	10v5oo1h6qpbfsl5ka9c3o3gnu	$2a$07$JRv1JRA1d3wXpglDiaTzN.YwN4uZJaNA8xnOAMhsZlVne6Q2sA3/e	51	2013-08-04 01:29:52.227212	2013-08-04 01:30:12.296489	204		0
18742	107xo2cv90lq7kl4zd4r622cfo	$2a$07$AR.vIEnK1.rIN2HPFhb1gufxBh5oWHh8mivvKxjX/jeiko092FDfy	52	2013-08-04 01:29:52.248812	2013-08-04 01:30:12.42806	204		0
18743	10s39ed6zvnv01rq6pc5a9xshs	$2a$07$8tS.XPeKG2Vha3fN/LxntOv6oSCIvl6EHHtglko2FlY/ZxiDD7cbW	53	2013-08-04 01:29:52.270446	2013-08-04 01:30:12.548944	204		0
18744	10twtbir32ppknmq1u1i9tnq9e	$2a$07$EuqapmzQhYeXKiEiS94obu4J9T6ktjUO5lcxYBhjpihUaC/GIq.NK	54	2013-08-04 01:29:52.292186	2013-08-04 01:30:12.666866	204		0
18745	106phrqnxck1wryekj283z6eo9	$2a$07$oDdsKmtFmIITw40tCONs1eHyeTFWOFeSIKt5XHsSvRv4EG2c2sQTG	55	2013-08-04 01:29:52.314271	2013-08-04 01:30:12.78714	204		0
18746	10f2umli7wccuh4yzpy87n7quy	$2a$07$l6X6jgKR0HOiY4PsmlA85uCi2un91RNcd.PP2LGA5ZPwZlVv0X5pS	56	2013-08-04 01:29:52.336933	2013-08-04 01:30:12.914717	204		0
18747	108eyskmxtxgfdcngunm4v78zs	$2a$07$wEGEY3iywwrh95snqPBgTeXsl37TcaM4x6SC.i8ewmqPVEGkr4n3i	57	2013-08-04 01:29:52.358351	2013-08-04 01:30:13.04946	204		0
18748	10tch4whtb41qzvozzjrn84jg2	$2a$07$y3x1bDYkijqjTHLQUkkgAOGe9vK3RwXGv4gcWg95pQD.c/jPYQaMm	58	2013-08-04 01:29:52.380767	2013-08-04 01:30:13.32059	204		0
18749	1072gwxaqlf8ges66sm8f8cck9	$2a$07$bQiua8hzcl2YowqpzIYMRuO8t4cEAenf2.N3zID5x7oHQ5KBQw0k.	59	2013-08-04 01:29:52.452751	2013-08-04 01:30:13.494131	204		0
18750	101mubaosdis5btehs2bbhkqw3	$2a$07$urct9Jt4joEeq9oLGyhui.jRMEW3XYltNziYBenQ9bHFoCwP76Nu2	60	2013-08-04 01:29:52.476752	2013-08-04 01:30:13.615396	204		0
18751	10z6uxjr9x9n5tile0f5dq814s	$2a$07$6iKEFgW4cdf0C3glWJdQn.zG/isOYxbC/aO8MCIu.30ryJdxIRvXK	61	2013-08-04 01:29:52.500135	2013-08-04 01:30:16.413547	204		0
18752	10r7g1rqld7pmjn2lcs8fggtdq	$2a$07$WFKqNLd71y9qR/eBpCQcp.x1L.eBRJPWLZE1c4oCaoWoYBObUg3Vq	62	2013-08-04 01:29:52.524236	2013-08-04 01:30:19.540594	204		0
18753	10dnjdabdxj3oik99zciyq0emj	$2a$07$C93Mx93jhkYjwbrDvUneI.CDWxbP7GNVCrhwvPL1GUVamzFFd/zl2	63	2013-08-04 01:29:52.554509	2013-08-04 01:30:22.505878	204		0
18754	10g7segxkm7j8cal14p9jmkgbs	$2a$07$HpHJWuyTggZr46BTUUYHu.GgcgwV00enN98F.fGB4O6h2lKlVggR2	64	2013-08-04 01:29:52.593226	2013-08-04 01:30:22.645815	204		0
18755	10q3pqmo8a4vfsvnkdctx65yjl	$2a$07$LEOjVnPlW/nuX4caRGg63eJMfgWFJG0F5vXZ3vJiXnAmh3Ncf2tfu	65	2013-08-04 01:29:52.635815	2013-08-04 01:30:22.771675	204		0
18756	10bqvhu6eagwige5u1w6k59w4h	$2a$07$2ROaIkYoRLerMMvFnDYrB.oYN2zUM3x3AGrkeuZrYqYdW6ZZtxrAC	66	2013-08-04 01:29:52.657744	2013-08-04 01:30:23.891393	204		0
18757	10urg06pk4pvn7xtksa7xglfyl	$2a$07$NeJnQsA9XR0hhEMKSjZxfONQWJulU4JaczM/RWxadbGEUncQKF8s.	67	2013-08-04 01:29:52.680861	2013-08-04 01:30:24.020523	204		0
18758	10zbjb9mb4nfn9gus52fzdr5ew	$2a$07$k7p.T8EM8QyKqWk2yAXMsu9iuwBupjzX7ftJh8Fma/fI05JPB1jnW	68	2013-08-04 01:29:52.703616	2013-08-04 01:30:24.153724	204		0
18759	10dcua3hdigwrl3fyyszxd9nd9	$2a$07$OwLIsF.61yEycgR3V4LjqONtwcoVvxlMEiHo5VxQwD1kV1FZZLrE2	69	2013-08-04 01:29:52.726988	2013-08-04 01:30:24.309489	204		0
18760	10ihtt3f582zzs7tbdlqr3tr8d	$2a$07$2x3.67v.JvnuAppV2O7R2ep9ZB6ZucQadFXyr0MrO68NRXgWcaXXm	70	2013-08-04 01:29:52.755567	2013-08-04 01:30:24.44557	204		0
18761	108drd4p3o5izanuv9iffdaduc	$2a$07$h/lZQ6AyVzjlLzYgXlakM.j/kl8tNolMwBGDEXurHytlL7jasoUBy	71	2013-08-04 01:29:52.783684	2013-08-04 01:30:24.577069	204		0
18762	10lbl9dbqjreytwfq7dsj51ll7	$2a$07$aAMbpzjPLBhFw5..yt0R7OCoB4tulS1BMhArhr1w/Rh8SJab2IKA2	72	2013-08-04 01:29:52.808766	2013-08-04 01:30:24.709095	204		0
18763	101fx29flk0cqssiuya3a4zcte	$2a$07$jzLEkPsuR1Ta29tyhc4bme8hyJxBiRPyTb6dijH70yov1K5rbN6b6	73	2013-08-04 01:29:52.836287	2013-08-04 01:30:24.820505	204		0
18764	10f1v5h4qvih2iauiy05ot8pn1	$2a$07$0aJA7GyK1SBZvzwoZOp7SO8CKjizD/VHPPTvatHEWuj4ZpimmboE2	74	2013-08-04 01:29:52.860834	2013-08-04 01:30:24.957756	204		0
18765	108sdx3l7rq0goojt4nqmkbcn2	$2a$07$mAlujdtl1xCH97A73hHxYug2FKsCJAo1kjgYNuT2ToIEyAEvIfjOC	75	2013-08-04 01:29:52.893064	2013-08-04 01:30:25.113191	204		0
18766	104f7te8e0hzchpfu9dsxtoun8	$2a$07$AcgYbF8WUOH9TiFkyqdezOSoxKd3ypuNZh1W4h0kbfiYR2mrea.ue	76	2013-08-04 01:29:52.926403	2013-08-04 01:30:25.233369	204		0
18767	105wwp1wor7pjeefuod5fybhd5	$2a$07$GgiBNJ.2g9iEgfpmxrZm9uxRdLdAlogDJ5fFO4D4PD4/gpHYJqsXW	77	2013-08-04 01:29:52.949246	2013-08-04 01:30:25.35525	204		0
18768	106kj5e7whlllpxhg2ykfkdmzo	$2a$07$2eqODMY.2z9lPD5BtxXIDufWWZwzgZcY6RryTJv7zAgHt8IncQGKK	78	2013-08-04 01:29:52.972207	2013-08-04 01:30:28.097165	204		0
18769	10ki242sc69zho0sphj07k585s	$2a$07$EIIGFVVaggwD2p2LgDkT9.AI4/6jMN7nkGFaT2Xd2.N2E7G3JtiXG	79	2013-08-04 01:29:52.994373	2013-08-04 01:30:28.239239	204		0
18770	103x32h3fk21p27gpqtpuwt8lb	$2a$07$BK6rBYLcrY6vkLtED24nau/DWPMyQLu4xCcb8HXgLHsH9sbmAtRwi	80	2013-08-04 01:29:53.015942	2013-08-04 01:30:28.359194	204		0
18771	10vwurf494zpcena62pwu9mwzw	$2a$07$VWvSb0y8.gkZaDU6SMugjePMb2rJfXNacS8PYgbxzCwk6U.FH6Wzy	81	2013-08-04 01:29:53.037403	2013-08-04 01:30:28.495676	204		0
18772	10xmxyh4fzo93goznqw1nxf7qa	$2a$07$9GY7ZyZLfClSnZr0QIKjxORJi1ZZaBYiSDRKEQNykSMNmahux/3fK	82	2013-08-04 01:29:53.06125	2013-08-04 01:30:28.629243	204		0
18773	10yjh775ghxvkkdtoip3v0jv3j	$2a$07$AOBKX3jjT5.I08llY8tiV.YdIEW/UYdKRcY4yasv33Aa0Xq9lEfTW	83	2013-08-04 01:29:53.098791	2013-08-04 01:30:28.814128	204		0
18774	1062sk94g6jdlyr5jruqgzs0ku	$2a$07$KMKjg4.UpY1ytrg4WwB0begmHryl03rCph9.v93hGoAVQjYEl1yqi	84	2013-08-04 01:29:53.130186	2013-08-04 01:30:31.734711	204		0
18775	10c8s8p461rze37zrykkfssc6x	$2a$07$nw1toTaJynL0peDiTgERs.sqlyvjg./UNIwPrXT1KQbdee615PjMK	85	2013-08-04 01:29:53.15163	2013-08-04 01:30:31.868739	204		0
18776	10e1b4uhs2k3ppzh56tp1oa4p7	$2a$07$dMZDNiLLIieWmX4Qkoa8tOzf3HZ.x/NJWWh9BqxcMGERy9lI7S/Xe	86	2013-08-04 01:29:53.173465	2013-08-04 01:30:31.999708	204		0
18777	10b0lvia3h1r2tp1l8o33ttrwh	$2a$07$SehwIY0xqkYhJO07a6J98efyecbXZRtBmtevenvrlTUKGwGANyUju	87	2013-08-04 01:29:53.194884	2013-08-04 01:30:32.149381	204		0
18778	100v4ak8j6wyix56m1mqd8fca9	$2a$07$O2VdUWLveT9MfwDZxyPf/.thfnqaBkxCpHqbxDgQ9GM7BibI1xCeq	88	2013-08-04 01:29:53.216419	2013-08-04 01:30:32.307929	204		0
18779	1062qve9xczn9pztwef7m86vq6	$2a$07$MNofKzE3yQK1NYVWqaq9FOT8nX.YB.cSTW8mf96//Vs1vgynqtdvG	89	2013-08-04 01:29:53.238052	2013-08-04 01:30:33.312533	204		0
18780	10u5cqdvjqhq1p62bbe4f12zv2	$2a$07$4/.ZlOXPbfAfljGkhJuG2uQnki5.X1IKYRbJiH1sEsuMcnYfoEe42	90	2013-08-04 01:29:53.259445	2013-08-04 01:30:34.290809	204		0
18781	10zs757vndkcnz3h4d3uns3yo9	$2a$07$IdvUAD/S25GMg4AkJh3MyeZMqGLrUgIDByXQZrYHC/Zj/1d4a.sma	91	2013-08-04 01:29:53.281064	2013-08-04 01:30:34.416301	204		0
18782	10q0a1dzi7sotowmxsbgbycjry	$2a$07$GQVkGOwygeLC7HszChsDcel/qzpWRFeB6jg0/xe7fKtiTCOIcLC6i	92	2013-08-04 01:29:53.30248	2013-08-04 01:30:34.539593	204		0
18783	104152lgqinkjaif7tu9kdm8rt	$2a$07$SDrXT/nyruOPF1q72gzO3u81xuub8dV/TsvF0mWmgRvDckPCDRWde	93	2013-08-04 01:29:53.323798	2013-08-04 01:30:34.662339	204		0
18784	10cwzf5fp71yj31aikem8vu4nw	$2a$07$1OeC7Ur2rRW3RQXqvuU6duQXru8G6JwzFaGoFqSdkhdzVLN9QNWeS	94	2013-08-04 01:29:53.345272	2013-08-04 01:30:34.779533	204		0
18785	10f9lebroh72eksdzlm4ydxiix	$2a$07$LzMg4kejxWzbP1e5VW5quOmXEWXsZ64Vy3lpEK7hQKUv7CIn/w632	95	2013-08-04 01:29:53.366973	2013-08-04 01:30:34.914034	204		0
18786	10huvern5vnj6lyz9vjloyde2f	$2a$07$F95/T3GLTAn9LaESU9uDMOPJR02jhct1SCa.N1J6Um/ooaYmC.ktC	96	2013-08-04 01:29:53.388876	2013-08-04 01:30:35.039453	204		0
18787	10hps59olbz0waewu94d8t6mce	$2a$07$Mb0AQNcjo/Z3GPGeN6evYeD9xFMRXBHMS2.wL3WxoGP.YeHMVwxTC	97	2013-08-04 01:29:53.412157	2013-08-04 01:30:35.168104	204		0
18788	10lrz6r873esy156t1o268ceqt	$2a$07$ni2QbHFvz/wnj3l6qYfNxeAzNmMGSaim/d1wjYey2mpefaw5y6Jzu	98	2013-08-04 01:29:53.435603	2013-08-04 01:30:35.296175	204		0
18789	10wf3f8svceomtiimv176rv64b	$2a$07$W4jPbkM8HSP3138Bndw1JOn2ZbHWlTeAp.61tn.FDqYmwkToCDAwS	99	2013-08-04 01:29:53.457214	2013-08-04 01:30:35.415279	204		0
18790	10806vq2hmv1zsc7ub7tcpykzo	$2a$07$Z/tDxOvNCoQw1DqsO.k8Fu9i2x60ELmcIlFmu.8951jb0o2XAx1jK	100	2013-08-04 01:29:53.478812	2013-08-04 01:30:35.534513	204		0
18791	10ocp3an66x9pjlmyhehv40y9p	$2a$07$MEIzgiSBSMgAOfp6fOwHOuvjo48R3En4kySecuV4AE43dmbBj4CCO	101	2013-08-04 01:29:53.500227	2013-08-04 01:30:35.661999	204		0
18792	10qgyijzhz5wnp7udrhaoltawh	$2a$07$2XajRHMCo2KP70B68/3.dOBPWqJpZbgwg54GSpLs4x9/Klwm/g/Lq	102	2013-08-04 01:29:53.521551	2013-08-04 01:30:35.802145	204		0
18793	1084xrid5y464iwrqnve3avqf5	$2a$07$xXlxYIWR4Atbobwhre8fneOY5JHjgb5Gm8Jv/qfz1AtElYmGILDVy	103	2013-08-04 01:29:53.543051	2013-08-04 01:30:35.931375	204		0
18794	10x0bn4fr71ty3254lgy6kaioa	$2a$07$VgeIS1ZSvbpH8YKugOx7kuCA8dchwnrzhbkecgb.Qyyo79Fals8jC	104	2013-08-04 01:29:53.564424	2013-08-04 01:30:36.068367	204		0
18795	1090lwv05lfyfccmwwgsob3k6l	$2a$07$BT/TedUBo0jfpKm5ymwy6eOCQDn.aV8dyzb6svbq.FF0OUeM24VYK	105	2013-08-04 01:29:53.586924	2013-08-04 01:30:36.197737	204		0
18796	1050apdpmc2pqz4hbl8gcj9aae	$2a$07$t6BpXvcr5Oup4Y1XbmDlje/BxCXmAl0vDl6uP/f0JGGUECdd8vTTW	106	2013-08-04 01:29:53.608751	2013-08-04 01:30:36.332086	204		0
18797	10kfngrihqh7ww6jg2xry5vjsd	$2a$07$BcLLXRNL732saNmzriTFQu/R1awuHUyPJF.JaGVkwgnsFmrAuonPi	107	2013-08-04 01:29:53.630817	2013-08-04 01:30:36.475509	204		0
18798	10kbi9995ywgro4s8663ulugqz	$2a$07$AmhW2KOhGYyv0JRjxYutj.IQA4SsqDJt3Pc2JHG34vPR3PutB4rH.	108	2013-08-04 01:29:53.652746	2013-08-04 01:30:36.621116	204		0
18799	10ezaxin9ycd9qfdscuixqtqbl	$2a$07$dX5ZWDeDP3xnGogUQ5NGmuXsagAFNv0pyBxKYrqj84DpMtGktBQLK	109	2013-08-04 01:29:53.674609	2013-08-04 01:30:36.778075	204		0
18800	10396tiae2bub7e1rgrxyjflqv	$2a$07$u7sTWCRjBLtkcGNOrIGnJ.nkv/CbfgdbhbY2YqQgVjTXOmjowqUDW	110	2013-08-04 01:29:53.696264	2013-08-04 01:30:36.983996	204		0
18801	106oo1fxpamhehyjg8nws4mjz0	$2a$07$sXQdFhgpZIDCVSVxVnBM/.uRJaf1MOkqbacm8KPD.GqNnRbr1aqXO	111	2013-08-04 01:29:53.718432	2013-08-04 01:30:37.102401	204		0
18802	104rstiiffvbp2wqy3508kjk3z	$2a$07$vvJGeH.I8dhSXXaQkTa9XuHyCBqKRkLJ.12lkayhxo4skhA.7L7Xy	112	2013-08-04 01:29:53.741957	2013-08-04 01:30:37.219483	204		0
18803	10mzgivblk76p5aez4tfwvtred	$2a$07$cPSzn8QxgThfgaZG/z1meuazdcarpeQvzBb0gl.RY6HTRXhbcKoH2	113	2013-08-04 01:29:53.763884	2013-08-04 01:30:40.065744	204		0
18804	10gf4pwac7lynpewgkuhgg5153	$2a$07$4eccQexMgJtflGUhu/zI9.GTbI280BHpHYItINNF/bR4iXG7/BK2i	114	2013-08-04 01:29:53.785801	2013-08-04 01:30:42.96951	204		0
18805	1041axea7nx690mi1zuqpeyb11	$2a$07$morFfdnvBatV4EI5fmG/d.pv89relpoJM6NRTVpBWDY06D1d..iQq	115	2013-08-04 01:29:53.808211	2013-08-04 01:30:43.109329	204		0
18806	10f8u7b0s8x3y0t8c4h8bd97az	$2a$07$I3MD7GW8WXh1tjkzUzXM6uGst33Dt24TunySA58T8nj8ir0cY38l.	116	2013-08-04 01:29:53.829751	2013-08-04 01:30:43.259596	204		0
18807	10sa05kaqzlhqcuoj8wnc12tzr	$2a$07$E1EEkJU4zEukqcBWQoJ3RORH3GoINeX8tReKdBg0b5V6GZ6WS37Wq	117	2013-08-04 01:29:53.851481	2013-08-04 01:30:43.383084	204		0
18808	10hmhaex7dsxsbfdjghrhdc2mh	$2a$07$jxpAwEcIeMmXh6qT74J0rutKFRO62Rdzixee3UIaaVAK7oslvXVQK	118	2013-08-04 01:29:53.87599	2013-08-04 01:30:43.504454	204		0
18809	10khlp22crq7snsoub5vihco5x	$2a$07$EvCFCTzN1jWXL0L6wEYQz.VoGIX03dcbFsV3k.BB.QOjYiuzLWnWi	119	2013-08-04 01:29:53.903383	2013-08-04 01:30:43.647195	204		0
18810	10spq05zpjbefxtf1xdls7gg74	$2a$07$g/7g5iy7fGTHd72vcOxEfeKj.6EYSc7SWrUBPXQ3CvKzTaxbtK6j6	120	2013-08-04 01:29:53.936911	2013-08-04 01:30:43.782168	204		0
18811	104ztu42s5q02nkdnvo6pd1a2x	$2a$07$S1Qgy4T/tZOwJLKNpfYpdO/lLWDK/W20cfRq2bSAHNP2cBkYUlkqW	121	2013-08-04 01:29:53.958521	2013-08-04 01:30:43.935348	204		0
18812	10upejz4z2e7w3uraro5qn203c	$2a$07$c0mR962Bz7XnsYb7/wNowu4oOprAfPaN8yWs.6vcWQZboruu60n/q	122	2013-08-04 01:29:53.98005	2013-08-04 01:30:44.088342	204		0
18813	10wwfgmbv8pdgs0hatyloqkbf1	$2a$07$s94KCw5qHBy.5qL.v84.5ehbl91IIinckGB/3HsNWvyH32U6xxVcq	123	2013-08-04 01:29:54.001876	2013-08-04 01:30:46.933971	204		0
18814	106fp998pe64emic6sdh0r2x0q	$2a$07$1W7yDik/UfcBSk2m/Qn0R.JbemDzTYuZ17Ep5WVBPsPsEHGxz.H8i	124	2013-08-04 01:29:54.023365	2013-08-04 01:30:50.12572	204		0
18815	1074hxwa3ok5fda6ny9u6zu8iy	$2a$07$1KYcA1CuMBjMvZ5AePwfa.qXXTXPGAGOQNBeVMXb/evMrrnY5CTba	125	2013-08-04 01:29:54.044671	2013-08-04 01:30:50.260295	204		0
18816	10p11sq87dq36xk4z8hbpmt6n8	$2a$07$BmIl6pg/mBQUsyMEtc.R0Ot/r64zeEA0HxCNOejQs7tP9kezVD/1u	126	2013-08-04 01:29:54.067642	2013-08-04 01:30:50.387599	204		0
21960	10gbfhj2qgj6cc813pd6b9c7m3	$2a$07$zwb7S9gpXC.kMQw524uTfOwXTOpcmTpiF5OkXl8N6pEdXSWhUm89i	120	2013-08-04 17:30:56.909182	2013-08-04 17:31:37.406824	229		0
21961	10rwv161cbvatbs0pe4r4cx23f	$2a$07$tx2iGuGjUljXleHqIQ8IKuxp2SbkLOO5V4oootf5yIvOoZKv57xNu	121	2013-08-04 17:30:56.934387	2013-08-04 17:31:39.96866	229		0
21962	102ud5k71uthqjdh5r7i36p9q8	$2a$07$JOuzgrxHkppYo9wJ1i3m9OwytOsCAC5PQ1hdd28TtDK4LQ/arqSbi	122	2013-08-04 17:30:56.957674	2013-08-04 17:31:43.389828	229		0
21963	10cxjilwg0a6bpbhl93niy2uig	$2a$07$QITx.lMTtMdapg2WpZrIC.WHEdoqzgGzK2cd9c1s1mM8BYogo8wHW	123	2013-08-04 17:30:56.979927	2013-08-04 17:31:45.925085	229		0
21964	10lysf6edmn7gfizjwwhuv03d4	$2a$07$EinuCilz5cEop3VU.omJTOcnWrd3cKNB2nn7b7p.NuOHSIBLrT94q	124	2013-08-04 17:30:57.002262	2013-08-04 17:31:48.924049	229		0
21965	10kj1n8ybzde6d1wl90akyln3v	$2a$07$C97MzizgJewp8v62Iykde.3TJvh9sRRkeOGYJpUvtEr2erj.Vsn62	125	2013-08-04 17:30:57.025802	2013-08-04 17:31:49.075851	229		0
21966	10ci3luyc1q4v2d69vae31uztt	$2a$07$ntq7yBe9SZx4bQwp8K.lxe2IhBsfA0XXvugSKeoBzjkz1cFVGRTKW	126	2013-08-04 17:30:57.053901	2013-08-04 17:31:49.269214	229		0
26631	10pb9ldqipdjilknbteb3jbqdg	$2a$07$jwfz/jZMpnarsCtJc3vw0eobF/JemLFUD6medWAikOn3Iqa6/8uTO	3	2013-08-04 20:51:19.09475	2013-08-04 20:51:22.383478	267		0
26632	10rm999c3cbdm5dm06rb1n2hzq	$2a$07$1Ms0ALlxC2zAPeSLhF.1k.mnGQVXWojxJOtcBy2/diQtLUb0HPFoK	4	2013-08-04 20:51:19.116352	2013-08-04 20:51:22.553472	267		0
26633	10k3wi5sk54ifs1j5un7lnqf1r	$2a$07$YVOEQaDkzXmJZwasEFIQzuFYItVV6nta1rpqmqYz6iZK0cL3oKySW	5	2013-08-04 20:51:19.137779	2013-08-04 20:51:22.715982	267		0
26634	10cymj6odyb2xzudqzp01h5brf	$2a$07$caBMSHY2rHJINQhJIwHHWuAp6IgEQ38Q9De3BZfvKb2G8X1kFoLQG	6	2013-08-04 20:51:19.15939	2013-08-04 20:51:22.853407	267		0
26635	10l1zbs0ni96hkp5fjdxzepur8	$2a$07$g3qQHTWihF04rTwAp6B6V.SbYIE0Iph/UMapntgeUp6Mto7lm6Ryq	7	2013-08-04 20:51:19.18092	2013-08-04 20:51:23.123319	267		0
26636	107umkcrpxul4gi3ifn0plvqg7	$2a$07$/TAL3Bvr6FinpnPIiX6GUu06V5eHoAsyhLG/AHqDqPidsc6ip7JpW	8	2013-08-04 20:51:19.202385	2013-08-04 20:51:23.376457	267		0
26637	10zkqfmmvmkzkurq8aa77slnsc	$2a$07$H7Rsq.uad9KjOQ2OMLX48eYSrq/ZaNrgFhaXVUqOzyhU7Kkxqr1Oy	9	2013-08-04 20:51:19.223826	2013-08-04 20:51:23.581779	267		0
26638	10yid2o2peud4ibj3ov6cwkll4	$2a$07$AdnPP3WCN7nronYYZOOJxOOzbNthVSiGGMBZYdrfnl5.qBQun9fmq	10	2013-08-04 20:51:19.245433	2013-08-04 20:51:23.716996	267		0
26639	10wxojbhuyztd3a3aur80vn5xk	$2a$07$JxIN5tKJE6Qk6tc//MaAkueMsjnPYs4qS./G9KUtSYUgV6dP7EmtW	11	2013-08-04 20:51:19.267377	2013-08-04 20:51:23.850706	267		0
26640	10tzerc9mxp161vrquwumv0e7p	$2a$07$CFL3Yr.OQL/gaK8nM2w7b.NXdrIlL0gS3ZsEaFWXzsKCKr48dzVla	12	2013-08-04 20:51:19.290342	2013-08-04 20:51:23.997914	267		0
26641	10vf0e8g2m33aykwgf1vjmfvg1	$2a$07$wVH2QQL97QguzLqL/ckW2Oj.Rwj8blXAnG.vnSQYPtX8FVcfA9obC	13	2013-08-04 20:51:19.311873	2013-08-04 20:51:24.142938	267		0
26642	10nijyqmu0dhf9if11e4a6n9y0	$2a$07$g4QF.cr1Cd.R6F7e7Me/2.EvuOpF9u9QtmmaRBDU7R07A71QGt1xu	14	2013-08-04 20:51:19.33352	2013-08-04 20:51:24.269329	267		0
26643	10k53p39h6h2xxzr8aiuqnqmn2	$2a$07$t48rZln1177BNad3I2vnsetFpBrC5PJR8aaKCR2s9LvNXjIeYbskC	15	2013-08-04 20:51:19.355295	2013-08-04 20:51:24.393773	267		0
26644	105daplbyha19yaub11atauq9w	$2a$07$SNVvT5VCDX.PbwJpZfPsP.mW8qab6HOx0HVNKM28Z0/g8xBH2wKVq	16	2013-08-04 20:51:19.376944	2013-08-04 20:51:24.537234	267		0
26645	10bmnyj6bq7eigj39cpryo346c	$2a$07$1ojtAPWfFMJw4K//iJkee.lf5sG1.EC0Bau8/nOwf4Pn2rsXQK/Yu	17	2013-08-04 20:51:19.398422	2013-08-04 20:51:24.674877	267		0
26646	10cqofebzuvaiffdm47a5ybpiz	$2a$07$ILjx3Zwvn3nzINilMQ8OaerF12fWOYtP3AgxBI2fFFTcmUebIwpDK	18	2013-08-04 20:51:19.419952	2013-08-04 20:51:24.820212	267		0
26647	10q7ouwmycd0v82gt0mvh7dn4i	$2a$07$oICsk1Yyah0FbQ5KhUoq0eh0jm.FDlh9jgdrKb3Rz9LhFbbtsx.xu	19	2013-08-04 20:51:19.441588	2013-08-04 20:51:25.936142	267		0
26648	10ngen98s325vyb4magkzge78f	$2a$07$EL6Ioo96croVU02QXRu/C.WxdQrFcPGrudasda4DSfEGY79bjMZiu	20	2013-08-04 20:51:19.463095	2013-08-04 20:51:26.924425	267		0
26649	1004cmj0vcwlzsdjmgujtf5gra	$2a$07$bo6Giq5.D73f4oeV0mYudeZmlZjVky2dSzUYJu21PvowgC8IHb3be	21	2013-08-04 20:51:19.48479	2013-08-04 20:51:28.040959	267		0
26650	10h5ur175rpn9geo88iaikepif	$2a$07$dvDtKuCV5X0F8tL6Mbedte.IoFc62omzcOosNcHKyOXBVg3EnRo2K	22	2013-08-04 20:51:19.507709	2013-08-04 20:51:28.261634	267		0
26651	10ca9q2ckw0jh4qxrtvgwcpz90	$2a$07$/ZzNz3CBuBraCRUQQCOFj.oC4sC/OnjwLOvWWNYjTAe49IWL26WPa	23	2013-08-04 20:51:19.532044	2013-08-04 20:51:28.39599	267		0
26652	10uhxqjcqj1teev69x8a79riw2	$2a$07$XeLNW3SeAOQnXdISu7rXXOtdZjc.e3FPX1rwcJHeRz.a19ty.6LY2	24	2013-08-04 20:51:19.553998	2013-08-04 20:51:28.538791	267		0
26653	10p4z266cwj2mijwfir7uiz0rc	$2a$07$tmu2T9ACXZW2zbIPdMYTdO5QYUdFywWjKj2BwutjXBwYVdhF2fHu.	25	2013-08-04 20:51:19.575893	2013-08-04 20:51:29.563648	267		0
26654	10tw5i4p3vm412ywhvo0p9ueoi	$2a$07$y4vO5.CkX.KnyMuy/Zilnu4nrL2wGPpFv4ImiVaHx.dT36NnpU19a	26	2013-08-04 20:51:19.599406	2013-08-04 20:51:30.730139	267		0
26655	10f25jh7qu0rbgs4j943fj8wxt	$2a$07$9fTLlsejCO0gsxo.zj5Piu5cY6GemoMcuIZGbJXrFlAmE8IpjbNIG	27	2013-08-04 20:51:19.62292	2013-08-04 20:51:32.059099	267		0
26656	10kc3of00qyac2lxiepvcqdcrk	$2a$07$Ngi5CfQ9Apr.eT4Ot.7zW.6MFs.nIZmYR9pmBDRwtPriunNARW.9S	28	2013-08-04 20:51:19.64954	2013-08-04 20:51:32.23873	267		0
26657	10vy8oyc4r681pmrypkdjbv1xq	$2a$07$wiVF7.kLHamv7lERc3m52.Q2FoCVMr93cb5TQ4xw/NHiVM2X8lkxG	29	2013-08-04 20:51:19.678445	2013-08-04 20:51:32.424059	267		0
26658	1002zf7rz25krjewl1owinu5k3	$2a$07$VB5xa7RugmIRpIpt3sMRReHYW67WGPZPJO7/nJAL2fShLcL/EHN9C	30	2013-08-04 20:51:19.700238	2013-08-04 20:51:32.630052	267		0
26659	10d8rweomsg6pnuh2oleos9dgi	$2a$07$3uIo9bDL38FfP9e60Ps/UeSFUr38xOJ/v/nC5ckYk9nFW0AkxTObq	31	2013-08-04 20:51:19.721857	2013-08-04 20:51:32.782351	267		0
26660	10m8njh6xdsnj94rnr3vvyxp0h	$2a$07$ZuJkPFmh36IM3d2ciu.dDuIVyg1C9oIX0NY9HC2RJVh49zy8SVkVi	32	2013-08-04 20:51:19.743735	2013-08-04 20:51:32.929672	267		0
26661	101nucpafck9rh6d9l9jvx7cn9	$2a$07$sLv0Sehfv4rLoorIyVBxwuKO4iQ9rAaHT0CY3x3hQelPX00UkweyW	33	2013-08-04 20:51:19.765397	2013-08-04 20:51:33.05424	267		0
26662	10g5s4lykl3mhnerdohni448s0	$2a$07$iIFwmAwkWmpsjMQihTehaew4Fai5uXZgKeW169oKm1TVEkhKx7Egq	34	2013-08-04 20:51:19.787111	2013-08-04 20:51:33.258208	267		0
26663	10hl6qj57gvuyxyq8t3mfjpiuf	$2a$07$YMxDjYQeefqRD4zJjg/2kO66qTCMZZe.W9mfC4hgNx07XnYnFQCbq	35	2013-08-04 20:51:19.808599	2013-08-04 20:51:33.412806	267		0
26664	10he15soexf4gs7u2zifjbify1	$2a$07$NTEDdlIMSP4kpgeic4ZpJuPae6qPqr97ux/wJEhXUn504VDdI9TMW	36	2013-08-04 20:51:19.830139	2013-08-04 20:51:33.577758	267		0
26665	10h1jtprdei67egpo3alvyorc5	$2a$07$fwm9ceDGHLYPge9XBNqhF.DNaxV0yLcyVIoct3r4zRfPNKUDNBlwC	37	2013-08-04 20:51:19.851681	2013-08-04 20:51:33.727241	267		0
26666	101e8yon5gdzrh0fzuc9lan9fo	$2a$07$Ey/cn9Y.d.pK.CSsaRlAr.NkAmEM3yZbZrcIKwL6gAW1lU09DUKc2	38	2013-08-04 20:51:19.873319	2013-08-04 20:51:33.856095	267		0
26667	101bakgzmxq0p0y8ujbxo6a3vc	$2a$07$h69siMOFIg.Nvts0CtvEce1L9atKb5Gl5EyEh.RD/4Y5xlgGkMlt6	39	2013-08-04 20:51:19.894896	2013-08-04 20:51:33.988831	267		0
26668	10dn9sia3p9vk8j5pf12d7fds9	$2a$07$EP8oi2FqmAs6BSNg.V6tOuNVlEbTHLMDfaavNPVSmh8ppmJ.QkfL6	40	2013-08-04 20:51:19.916456	2013-08-04 20:51:34.218637	267		0
26669	108fiv809e6uacv5en5yuzpr91	$2a$07$DRfga6biEfnvixAY6KW0rOJmz9fZuUpkgV0n85Tjsf86rohZyw7TK	41	2013-08-04 20:51:19.937971	2013-08-04 20:51:34.385	267		0
26670	10gqit2akfc02paoxouq9llqnf	$2a$07$t/0O0yg7NKF04Frir6wHC.2pWvqYfmRZegNYmBF07Ro/7pF2q/UiO	42	2013-08-04 20:51:19.959482	2013-08-04 20:51:34.610821	267		0
26671	10e9i5qzc9x4a2bu87773jj03c	$2a$07$SULR.IlHoaPbrLY0WfLzZu3zZbgy3afPi4C6rytqs3FBn7GnSfwAG	43	2013-08-04 20:51:19.98093	2013-08-04 20:51:34.747543	267		0
26672	10o9gljhat7kvjvx2uhk75b5xq	$2a$07$/RFXQbOft5fB2Vefszxa2.HSc4uN/kE9GuYpLK.0Bdby6xakVu80m	44	2013-08-04 20:51:20.002952	2013-08-04 20:51:34.889052	267		0
26673	10ewybwclkq60xadfvl4lx4ucq	$2a$07$B4U4epS.eL/BLyqoNEFy2OPIhv6jVp9PApsR4EEvMuTWa5dlfO4Ui	45	2013-08-04 20:51:20.02452	2013-08-04 20:51:35.0321	267		0
26674	10tbpu9ozvbkg6qkkvxxvlx8j0	$2a$07$DIw.4FqGnZsK1rBQ8KmDRe4xOTJT0bLeAKM5F/lQ33ckSGK.ytNtS	46	2013-08-04 20:51:20.048148	2013-08-04 20:51:35.186099	267		0
26675	10ip4wlf41wo280niw4etl66ag	$2a$07$xgBowKXz2I/KMqk6zb6iFeDWgxlwiN0uN2vQDH6kZigSSOSz6kUb.	47	2013-08-04 20:51:20.071108	2013-08-04 20:51:35.364988	267		0
26676	10c6t4hdb0o833reiu9vqc0h08	$2a$07$2bwdaP5EybOtEVPrKu6ANeRLnFceFZcxULeWHtixBXwM1vas0gtYq	48	2013-08-04 20:51:20.09275	2013-08-04 20:51:35.522514	267		0
26677	105sh7fuckwqw4takw15ri0md4	$2a$07$9rlqxCZqTYtCZSHfzEPHAOFxo2ZObiuZhI8RjfcBKzFMMwU4oegBi	49	2013-08-04 20:51:20.114416	2013-08-04 20:51:35.678185	267		0
26678	10k03dev2a9wpfixrwxjgcs2bu	$2a$07$O84Mh.NS8n91enwJIlsYj.zUNrnKki3Wea3PmA2hYHkEJN1GcBtm6	50	2013-08-04 20:51:20.136303	2013-08-04 20:51:35.837868	267		0
26679	108b1fza1ce1wuk6sn0nz1239v	$2a$07$XTHT6b6htCsPuYTCzFBL3OESZCuanUpfeKgM1QjnpwQRKkGmgTKtq	51	2013-08-04 20:51:20.158011	2013-08-04 20:51:36.002653	267		0
26680	10z7yk9vzv3prbwu6t7r0byoej	$2a$07$kO4ZBK0A8nIr7dsZdhLsXeF93Zcggqpv8n8T0tIocmCVWzCePp/Da	52	2013-08-04 20:51:20.180017	2013-08-04 20:51:36.246006	267		0
26681	10ekihi5xq1r2pajxpboxz9oda	$2a$07$Q2olOifGP/YC/21pKVERmuo50WTcJjqsme0FKShDQo7faSsrQIwD.	53	2013-08-04 20:51:20.201861	2013-08-04 20:51:36.436988	267		0
26682	10tyjosqqpvyhdi6oeseffjhm1	$2a$07$OHK179MMVQNyrbfRUukeiud590Fnmh0SlurrRJVjlHSlDHYSr7dq.	54	2013-08-04 20:51:20.223786	2013-08-04 20:51:36.661871	267		0
26683	10hugz8whjaq7v8xdrhbhhmxrx	$2a$07$ajlBpJPo/h9t/wUMjsxFMO/tiMo.iarqVVtQ6/wPNtM9dtvzihJm.	55	2013-08-04 20:51:20.246794	2013-08-04 20:51:36.804142	267		0
26684	101w9yc4l10tb9mt43d53e8ahf	$2a$07$M7eoU/juM3KOWzxqtUFgAupZZBZAeYDUN91rHVX4aXQwghSjNugU.	56	2013-08-04 20:51:20.268338	2013-08-04 20:51:36.965666	267		0
26685	106fiq04o0urlwzey7ckdk8p8u	$2a$07$EuwKH/TgcBuExmXJRgarzOWnmhyOBtEDixBy3HHZEbcaj3JKvfc2.	57	2013-08-04 20:51:20.290567	2013-08-04 20:51:37.118648	267		0
26686	10txn37a5xfcq9nh2havpx0fp2	$2a$07$MxrzN1GiDB7JhRP9aj6euOJb6RX2PBYhFD0/gwoW6AnkdxDi15bAO	58	2013-08-04 20:51:20.313956	2013-08-04 20:51:38.903292	267		0
26687	10rasx0v6e6nr85h8etp6udfth	$2a$07$sGKJXk7FwY7N64CTrqiK5.m0WPXFK6L6at8RpG0JdbuRmV3hAgLCK	59	2013-08-04 20:51:20.335717	2013-08-04 20:51:40.75668	267		0
26688	10q5lb7hlwfnb37jtka7khxrxo	$2a$07$7gnQVn4Nf2Xw5ngxznfKeOW2k7dj1FDt.jc.rP7Ar68Z3lsDlObBC	60	2013-08-04 20:51:20.358054	2013-08-04 20:51:42.671937	267		0
26689	10cejlpx4yaqs2ym7m1nc15ad9	$2a$07$KclAJXl.5cvl/H95nefSauaOKXSUDXcq/SgrN2y6enk.IlvWHxBCe	61	2013-08-04 20:51:20.380369	2013-08-04 20:51:45.401666	267		0
26690	10maf9j3mofuu4du3gf5b779ov	$2a$07$dU3VDk3JHIzYvhlNJwsMlOssodmCjAEc48emmCfIrWL5xZl3ju7oa	62	2013-08-04 20:51:20.402034	2013-08-04 20:51:48.387418	267		0
26691	10mawnyz8mr6egzah3i4dy81ao	$2a$07$VAkWmNqcNSZnSGxNV6035.phV50dXqXB2WfAKt9vNVy7/5eR0e6Ci	63	2013-08-04 20:51:20.423692	2013-08-04 20:51:51.491346	267		0
26692	10c4658cs85d5zlmkndph125nu	$2a$07$109JhGG1h.N7gVhTEwbsDu9qtn2ClbVoB9vscib8aJLT.qW9Ol/Z6	64	2013-08-04 20:51:20.445127	2013-08-04 20:51:51.63263	267		0
26693	10on90z7gygbkz16zea9og8k66	$2a$07$tRSqTSSR51NMuBh5q.iKfeoHv83zCoEKzq6P8tgIB4Uy7J6IJUpfW	65	2013-08-04 20:51:20.466399	2013-08-04 20:51:51.770973	267		0
26694	10mkxqhwls849c0un7ger0odp2	$2a$07$6guC7xlaEOtNyirHlb9QTuVPNX.4jXuVCc1K8OTQ.gL.dflhWXEem	66	2013-08-04 20:51:20.487759	2013-08-04 20:51:52.022688	267		0
26695	103kpkaa888e7u4z57osdxihde	$2a$07$C9lEfepIxryHME.Bk6u5P.RIGuCB9Vmw.l9i4PBA2CfxuPsgcABza	67	2013-08-04 20:51:20.509161	2013-08-04 20:51:52.166277	267		0
26696	10d7helvm2xor0eua02t16tq8q	$2a$07$2oPV4enmLrLiOO8uLu./dej0goTWb4DBm3pTgwiQ9fLLU7wg9.BF2	68	2013-08-04 20:51:20.530983	2013-08-04 20:51:52.306812	267		0
26697	10xpcnm27ryzz0g4njvj7ltlof	$2a$07$CFrR6PqXLH4wTczXDFu0aOuZdt13RhKeVV2xNlGvbhWIWyOJbwKdm	69	2013-08-04 20:51:20.554505	2013-08-04 20:51:52.474647	267		0
26698	10sp77xuie1c2f0vedt76apxgt	$2a$07$B.vau28.lzlulIKESL.kMurDXoqOH1XNLNLroewwLr4iebW/Qarba	70	2013-08-04 20:51:20.578064	2013-08-04 20:51:53.607717	267		0
26699	10fh4xinzk198v5zl89vvto1z8	$2a$07$3Ov4lItUqEmlBpgchanO9.yWfaTdYzhFJV5h9e7nbH.wgCsIN4b2i	71	2013-08-04 20:51:20.601609	2013-08-04 20:51:53.750074	267		0
26700	1086uoee6xahcs6kfmdzd4o9lm	$2a$07$QMdd7Ifa1anf7EO9Pssf0uAaY1jis23VcdY04O5cPvloOPn6/kZgG	72	2013-08-04 20:51:20.626491	2013-08-04 20:51:54.76875	267		0
26701	10fg26fu1d4uc2j0qj6hz44i10	$2a$07$JNjxSM8m2Yf6Pi4ZqHVGOuH.Q2eRhSCs0Q2javEAbQ6/WAqe/Ou3K	73	2013-08-04 20:51:20.650862	2013-08-04 20:51:54.912798	267		0
26702	104vpi2s9kfwpmohmvwxbw6ulw	$2a$07$JTzmtECZrnKl4xttjkiMJOmXWXNM9ZipBG8hPVMAvbhPTsvnlURQm	74	2013-08-04 20:51:20.674792	2013-08-04 20:51:55.060892	267		0
26703	10elof9q70wtt0k9hwuoqh3j2c	$2a$07$Wu4CaTjtw9cJH7dNA96mruoGyRCxHXc6bRbFB1STokKmHbevsoThW	75	2013-08-04 20:51:20.703184	2013-08-04 20:51:55.231478	267		0
26704	10qy1nc4a5tiyos0dtp2e9fv76	$2a$07$Vxx5N68KangMhCVVcWyOw.KLEkNyd02pTDBoeBLlUJ5R.rny80HOu	76	2013-08-04 20:51:20.731536	2013-08-04 20:51:55.372465	267		0
26705	10t3eq5ria52d15rj844z0po8b	$2a$07$q0Q9dKTvrI/DnoFKoMHkVuD112BWGoSOlY5.8OASGAcUinD1XobO.	77	2013-08-04 20:51:20.755745	2013-08-04 20:51:55.538056	267		0
26706	10lrzrj1bpffcviuu7qj3nh4yr	$2a$07$XSnehgtA1.fTBEyJdX566uAJhhcsuaDaVqiUNMqxl/ghKWjey2ghC	78	2013-08-04 20:51:20.779685	2013-08-04 20:51:55.705124	267		0
26707	10zfbfk3nf0vqinn7laksmie70	$2a$07$KVl.AMMwEooCs3Wus7GwoO5VdyP462ZXuDbdM6cyHXsYm3.jBayjG	79	2013-08-04 20:51:20.803956	2013-08-04 20:51:55.949851	267		0
26708	10ghhomo3jp5khdrt30onpv0yo	$2a$07$V4UaJ7KFj6wQfSUg8Mbq/eHlBqzRIswq8zENqbKcYrUpqc/Z27rO2	80	2013-08-04 20:51:20.830002	2013-08-04 20:51:56.075652	267		0
26709	10ozpyqvbquvohmus3lu9tyk4h	$2a$07$w3CmPQwVtrmuP0K1pAjJ0erMOm5na8bHWw3q1ZCco18btgGjR2r4S	81	2013-08-04 20:51:20.85607	2013-08-04 20:51:56.255884	267		0
26710	10sb7h11xvyzggidrcrkixv9ux	$2a$07$GfiJoK34FPpr8CIzMNcgO.9Sb6/ZJc2SQj4y5Js1/rEPIu.sAgAL2	82	2013-08-04 20:51:20.885197	2013-08-04 20:51:56.42832	267		0
26711	10o3tyj28cnl64v6b5r32qykw6	$2a$07$20QAKPLd/eOAT6bJ5LfHquYNyErPiixEWni5WUo6Nr/PWA5zWV4YC	83	2013-08-04 20:51:20.912392	2013-08-04 20:51:57.460565	267		0
26712	10mnfpxjgisnnlpfv0kiqrqx0r	$2a$07$Fy.L4gNp3/zAd8FIOexhTO3VAd0lHb.wnGbYkqiGGHEafzwaliK6y	84	2013-08-04 20:51:20.933853	2013-08-04 20:52:00.15403	267		0
26713	1052iolxxkxvy1djxn6ek1z9a6	$2a$07$xrESyeW0hzWU0O1qE4sJcexAFl287Eb6ndsF0WI53DYs5xYivbTCG	85	2013-08-04 20:51:20.9556	2013-08-04 20:52:00.311766	267		0
26714	10tsuqnbrusjz4gvkx4ua85cv5	$2a$07$l2BR3pUchswPJ8/M0uzTGeIvLFl/BzEi/YfkJN1cbhHg23P.R/Q5G	86	2013-08-04 20:51:20.979165	2013-08-04 20:52:00.482109	267		0
26715	10bqi8p4xpwb2cenasrifse0ju	$2a$07$hwrgZWfLotefndlKRBXBceRfLhv811lK8D3H2uMabiIP2I8lD5AYa	87	2013-08-04 20:51:21.00541	2013-08-04 20:52:00.626848	267		0
26716	10ckk06ww6hky36p4nc7t6292o	$2a$07$kdQCzG7Zz5ZBu0V9ZBQHJuHlUM2cBY0FLf4N60HdcgDJ0DTbaTMKK	88	2013-08-04 20:51:21.039488	2013-08-04 20:52:00.775965	267		0
26717	1055q7i08qwi1az5i7pgt4t1oj	$2a$07$.m/pWgPkAtDie7c0rnKizunU8HXM3Am3PVWrJ0i3WjLIPmKoNQ8j2	89	2013-08-04 20:51:21.068961	2013-08-04 20:52:00.950865	267		0
26718	10wm6m4mgds4o5vejl245o56fb	$2a$07$LAAqkv8SAAOHRSrj7bOf0uKRI3Y9aOj.PNdACvcDZhVJ5eLg9toiC	90	2013-08-04 20:51:21.092829	2013-08-04 20:52:01.094763	267		0
26719	104rppil0jjy9j9qn1iolh8oj1	$2a$07$kMsDQnSRhJ5uhu8Of7SCNOqgc0JuJFSiPe1lGkwsDRPkfPMUvcleS	91	2013-08-04 20:51:21.126207	2013-08-04 20:52:01.23128	267		0
26720	1060ooiixny4z69vl07jzgjio3	$2a$07$DSh358ahqOcPtfFlV6NrpudFOfeNYVd2Ho2OmHMXZBfGgMOHOjO5W	92	2013-08-04 20:51:21.153563	2013-08-04 20:52:01.37755	267		0
26721	1051b9sh5e4joqorg3c1m70sx9	$2a$07$.TtnbGHHxPVEEN8fEvzB/Ouzvn3PAZl2/akxZAs5bfNu2SbkxF7TG	93	2013-08-04 20:51:21.174983	2013-08-04 20:52:01.516143	267		0
26722	10gne2w4q21ykaftkc77uch2ss	$2a$07$qf37IYhmZ8s/I2Z97byo9..1x5GgHPRNQC0CCuxOPaUPlSqup2GfK	94	2013-08-04 20:51:21.196631	2013-08-04 20:52:01.653791	267		0
26723	10a925wyr8jtiwlu9cybx15s6i	$2a$07$7/3s7nKMC8nQqEPNVH469O/iEtLGGq1D23DmS3LEUzfNcOiHkgLAO	95	2013-08-04 20:51:21.218626	2013-08-04 20:52:01.803798	267		0
26724	10s09k540jmbieo17e0e7ipua0	$2a$07$9SDZjF10kgGAqTb3fH2ULu9Z7GhdIH199H4/Qw06/S/P6UGNF16tG	96	2013-08-04 20:51:21.240549	2013-08-04 20:52:01.970081	267		0
26725	10ngeb6te323k6t6poukpgsly7	$2a$07$LPN1T8IY0QTuS3QvCzcLB.JrQwZnpfoRs2qWZVcgY4yZr0hzT5DvS	97	2013-08-04 20:51:21.262015	2013-08-04 20:52:03.227394	267		0
26726	10nxzcsmgr1j9tvr45hwtocgao	$2a$07$/JApgzwRMaSVDcltPgFuJusL8FD8l.Vv8bBmRc5a2nFjyxaL1RbOS	98	2013-08-04 20:51:21.285018	2013-08-04 20:52:04.226827	267		0
26727	10b922qnxjw2fjs6fn15gegiym	$2a$07$6T10kBCRos1jfr7EHoMgk.5O42oh05XPCFAudSo2AAptiBc1hqsVO	99	2013-08-04 20:51:21.306635	2013-08-04 20:52:04.377999	267		0
26728	10srsbbldsmsty1q09g64jdc52	$2a$07$bFmcqUV68dclcqC7HhL67.1gDB6W1/2wQWT5TrLlo5ivDQp8EbNKO	100	2013-08-04 20:51:21.328349	2013-08-04 20:52:04.53839	267		0
26729	10frzxan7r6w3kx7x0qmwm2f1w	$2a$07$PDXISaZVcyeWu/eNXee6EOib2zwZtWRfUoK2BHsG7COEyKDzMbAEC	101	2013-08-04 20:51:21.349936	2013-08-04 20:52:05.803538	267		0
26730	10opp5lh74ochwrciqqqz3j4jw	$2a$07$tdMgAPAf9Mb.INJ7LlLhE.TQaI1kep3neICXmddiWDQYXLiCQLP2u	102	2013-08-04 20:51:21.371511	2013-08-04 20:52:06.998275	267		0
26731	10wf4pzb0vifua6u9l5dkhznko	$2a$07$uUt/e9tnt65z6JJp/jj3MeJIUNN.dBJ5WT3wGo.rafq8QrVf/.LPG	103	2013-08-04 20:51:21.392892	2013-08-04 20:52:07.142599	267		0
26732	102o60vprtghpvn1pordqc9c34	$2a$07$6kml1rkk2JS7j6oVmqU/9O0ckybZsb9oGEbvNK6ROYJ0kJbIgj92u	104	2013-08-04 20:51:21.414255	2013-08-04 20:52:07.266787	267		0
26733	104d9vo2ugmt8itx098klev2c7	$2a$07$emsdLLaVLGcN28Z/OnaGCuVaORp1l09vV0Y5ZxWRCMxnvaELPXhkK	105	2013-08-04 20:51:21.435607	2013-08-04 20:52:07.392631	267		0
26734	10r35mymu6rf8t3mqzf4us4dmu	$2a$07$F2T./80o1SeEes3zB4xYYunKdHnUxX/5KLE6.Zxbm84Wkl6yRh9Ke	106	2013-08-04 20:51:21.456823	2013-08-04 20:52:07.543425	267		0
26735	10cnzfmin4e78834d270gy4ntv	$2a$07$cy/a30WwE2vwqd/zuRhI8.PVbZP1mUtwLOP/fz2caz.aHbkQjk3uq	107	2013-08-04 20:51:21.478082	2013-08-04 20:52:07.720701	267		0
26736	10jst8drmtwz1aqy5h1l1p0hmi	$2a$07$FXNUOzUyMlK.2Xd6NHl2Q.7YeZiEHc/Q7i5o5UXambhE6F.d533N2	108	2013-08-04 20:51:21.499401	2013-08-04 20:52:07.89073	267		0
26737	105gp42oqebowiwyu90gcvq4no	$2a$07$vSkKHAg7QKBU5QpzQL9/aeSyAPOkydLx69zHevZYzVTSSIAjUowGu	109	2013-08-04 20:51:21.520748	2013-08-04 20:52:08.032592	267		0
26738	10fadyacfknx031bkr1y75vv45	$2a$07$peBE4F8eoGhhvImDRPoX5O0lWra0lGuwpP2LNQmbQDVIU5JH7IDDa	110	2013-08-04 20:51:21.543486	2013-08-04 20:52:08.166364	267		0
26739	10bzcceeibwiw3cg0aaov4yf3p	$2a$07$mNNoQkzLxrmNWZTThpRNkOU0BPGaXgersa82VNYUjsYV.Wexc4ivK	111	2013-08-04 20:51:21.565235	2013-08-04 20:52:08.301606	267		0
26740	10vzjgez0fmiojh9xj7qyw5q7q	$2a$07$FMvkvAtkoY93QgXxBoWWtupIXLteMe2iCFdvBaPhZOr5vHGFR6jry	112	2013-08-04 20:51:21.586936	2013-08-04 20:52:08.441874	267		0
26741	10wypbxym2058qd2v0p8rycnpk	$2a$07$3DjbIPqqmtt28RZXs42NF.wMwrl/nR/owEBImGSdp3ScZnTUX9/E2	113	2013-08-04 20:51:21.608615	2013-08-04 20:52:08.586645	267		0
26742	10y3ejmoyhv7m4t0ib4ms69e2b	$2a$07$KFoZaVObth/rss46YXNsVOmlUkYmIwSS/c7SaaWP6OSneCLnOc36O	114	2013-08-04 20:51:21.631596	2013-08-04 20:52:08.729114	267		0
26743	10h270hni8rrs80ae1damop567	$2a$07$YYV6PR1UmrEGOV2cxGecce841ZOP8GoRUjHbBELJkJyAgMV6H5SJi	115	2013-08-04 20:51:21.654175	2013-08-04 20:52:08.897114	267		0
26744	1014eygpnccih4njt2gh7pci0v	$2a$07$KPUnF9QM4Qe7Z1JHRV6gh.I7pp9TD.cCRA.0HaYRetQM8ENVKMSC6	116	2013-08-04 20:51:21.68334	2013-08-04 20:52:09.074532	267		0
26745	102icbh774uvgddvq06n01u3bn	$2a$07$oi2mySy3F6dT2yQ8CymnRuS9LXhujwL2UKwkuvEd1uNHniSYozOfq	117	2013-08-04 20:51:21.70771	2013-08-04 20:52:09.231038	267		0
26746	10bnhz07zsmx324t0v2ck2u1lt	$2a$07$3ENxTvGKXvVJFGkHFEDZ5upmuVCvXHSaGZTRDU4YhzuaNnQX1YLGC	118	2013-08-04 20:51:21.730747	2013-08-04 20:52:09.351934	267		0
26747	10dqbx0s0frlb1k3cwqf3fw3yc	$2a$07$8FDGSooI9JYHs/oViJzgCelTcByx9/9ywdHoXIaGdfL5IiUR7YMsG	119	2013-08-04 20:51:21.754004	2013-08-04 20:52:09.522873	267		0
26748	10r7fodr4m6bg5hd7hvhq9zt3r	$2a$07$FN0/OZyb685PRpu6Nnp6S.753g0psIS0QM/C6i/ZmN1VCFqrIJi8a	120	2013-08-04 20:51:21.775776	2013-08-04 20:52:09.677804	267		0
26749	10ux43mfe5xacmqcspgxao19a3	$2a$07$X.QI4h3Iwu56DwXYYBFOl.9d7UoxAF2NL496u5gcFr9uQWOfhCbUO	121	2013-08-04 20:51:21.797687	2013-08-04 20:52:10.69531	267		0
18817	10yn91pfbghe73st1yt1rxo3w1	$2a$07$66IK9q.e6jgwjIRjjX3Qq.BRoVm4c1XB5QwTpGP1s5UPs3kbi3gpS	1	2013-08-04 01:34:51.037417	2013-08-04 01:34:54.31772	205		0
18818	100qjjop05lw32v6a50bm08f8h	$2a$07$AaNv5W46De/ZlQgChnZM6ux98fgd48W1esErGr3y44l.FQxaZdHR2	2	2013-08-04 01:34:51.06008	2013-08-04 01:34:54.487049	205		0
18819	10inrzkrt5py7teg6n1pee5blz	$2a$07$Q3dIraAb4.YCygxZ7N3OKeINJ7sDpeSW0Jjvady9bp5jN2t7Ow7d.	3	2013-08-04 01:34:51.082854	2013-08-04 01:34:54.623154	205		0
18820	10a4ted7rkjm1aw670rm4arato	$2a$07$tpcF/TwAl72GhPSN0mTdo.vQLr1FEDeifEni9q4Xeuwx9buIBlSZS	4	2013-08-04 01:34:51.106863	2013-08-04 01:34:54.753263	205		0
18821	101sljmmfqn8h1eppidmkrq1zk	$2a$07$SDlpAyZleI20IU8X6g8K4On9hhQmn9jQxGjhCC8Ad0fPWirHeXYei	5	2013-08-04 01:34:51.129973	2013-08-04 01:34:54.892875	205		0
18822	10qthb3cqul3a90f0ce3j0qljv	$2a$07$nyRbMQ3GgHbkTl8Fs5.cmeEOyeb9.UoG..LSIoHB.JFhOAZCxW6IW	6	2013-08-04 01:34:51.151621	2013-08-04 01:34:55.051417	205		0
18823	10gbv7wqmi7ytxqg5mya8lz7r9	$2a$07$FuzPpsLsSCVVKi44LX8nIuAWrhpdNkaKbqRs/npyL1xx5QvLQVEfy	7	2013-08-04 01:34:51.174976	2013-08-04 01:34:55.988703	205		0
18824	1055ymiksvff7we1ec3ieppm6r	$2a$07$kYqpiAT3w.HKHKSU1xX9VOLHNzJvJYKvktGBW.CMcEC4QSksAdoKi	8	2013-08-04 01:34:51.198281	2013-08-04 01:34:57.001256	205		0
18825	10a679mvqqgpumv5fnwshfcb54	$2a$07$RWaIIahx9fkNss7cBn/mIOLCnoMELPe4qgFvmWqrH3khCmjC7tFZi	9	2013-08-04 01:34:51.220403	2013-08-04 01:34:57.989228	205		0
18826	10e5ytb52xm5xk3kc4i51a5f8w	$2a$07$mPoMfSji/ez9aO0I6aWhYOgt2GkzvG8SET0eidXJKiXFJ7op3ufza	10	2013-08-04 01:34:51.243328	2013-08-04 01:34:58.120643	205		0
18827	10ttifm5t44udeks4ofibgz4ix	$2a$07$KoRRZtF93xm4DDrBczzFw.I8xllRuZUQ3Xonp3pu.SD3KjRl3CXye	11	2013-08-04 01:34:51.265018	2013-08-04 01:34:58.257243	205		0
18828	106gryzqfzd4n9bsft258i1eif	$2a$07$jeESH7Tt7p/PxrtQcUtE4uy1jRmAGsuYTpyF/dv19CaZ5k4Ir808C	12	2013-08-04 01:34:51.287231	2013-08-04 01:34:58.37307	205		0
18829	10hnlla19ftchhtr8yk1ha657y	$2a$07$gbeK7HLcX2/Yxpx3.UJbq.NzsdAYevSGeHwUuOiJkrdZb8R2FFACK	13	2013-08-04 01:34:51.310301	2013-08-04 01:34:58.508962	205		0
18830	10ga6w008ffpgpk28vbukqb3m2	$2a$07$37LbmKLjbpbaHSekxs4m/OeSclIEUJ2w9S5fjN/qQvTzsXOikBPsG	14	2013-08-04 01:34:51.333819	2013-08-04 01:34:58.64283	205		0
18831	107fo1xj3b75reqhaq0lmfm075	$2a$07$9NW2s0vmDcLfKj1n9ecrxuFYCqMqo6s0z462iB31NE31od.zM5mLK	15	2013-08-04 01:34:51.371018	2013-08-04 01:34:58.781175	205		0
18832	10b89wxhcfjf1ks06rijd4t6jq	$2a$07$M1cvgXuJuEfPC7Rtoqi2pecBMb7V/hBNB59TuvG0v4uz7AQvODNR2	16	2013-08-04 01:34:51.406281	2013-08-04 01:34:58.905582	205		0
18833	10pr8ftfm7nsjow2bk8ajgtcb4	$2a$07$FPDMqG8TWI/IgVu47PtimOCOs05jJPHRkaROquzIMrGL8htlDmKuu	17	2013-08-04 01:34:51.439866	2013-08-04 01:34:59.137066	205		0
18834	10d613fe0ctutk49i9z3mpmxvc	$2a$07$JvySNVoG73epUoJ4uPfOXu/jcuS9Ba6CPFCsORhDCqyOcMzMVCqFm	18	2013-08-04 01:34:51.477058	2013-08-04 01:34:59.366394	205		0
18835	10h5d6qc1hdxqg9n4sps2cnh0q	$2a$07$aMVV.WPUSfnHJHa8jNPw0OaiQpqp/yfzPPw2joZE3TZZImf91K4cu	19	2013-08-04 01:34:51.501434	2013-08-04 01:34:59.496553	205		0
18836	106wvgcm87ni5eheaaymvdrzgk	$2a$07$NkVMRNRmpeDQDOsZmGIS1uCYhA8K1gLQ0vYumLyyLP0zknJKAyTS6	20	2013-08-04 01:34:51.539032	2013-08-04 01:34:59.635854	205		0
18837	10hl3wb2kcgz0tuax6fmrxwlwb	$2a$07$RaYUJWD/VFgI2doMNxZ.cehGN3CfwEuLDecTJ2gVKJQV.Osl7wmDC	21	2013-08-04 01:34:51.584541	2013-08-04 01:34:59.775047	205		0
18838	10k5dw9hfdbq2ekudtlpgpiegc	$2a$07$UDyKBhCj4ZxBmSN7IyUks.MiHlDpZpOKxEE7YIwltMAP16LLqkVGC	22	2013-08-04 01:34:51.609166	2013-08-04 01:34:59.915143	205		0
18839	10rw8ylrypzn1iiees78xee49i	$2a$07$hDD.bX2f5grYIFuYLZm5W.Zk0GDdqoT7oJ.uWygkQJoQF2vwYaFk6	23	2013-08-04 01:34:51.643029	2013-08-04 01:35:00.047095	205		0
18840	10mkq9sb4qx50ix5nl5msfs3cr	$2a$07$sIMdKJFRwr.YayCStRNHl.cKH75M6Ikjj/QqErwNipzy7.Xy6oQeq	24	2013-08-04 01:34:51.666124	2013-08-04 01:35:00.177192	205		0
18841	107t74oqlu4aeppvvz8cqznni2	$2a$07$NEh.thCtZWlMf91.IM8deOcQ8k5MXsB1w6nS0/FkIyEimmmK3LmV2	25	2013-08-04 01:34:51.689535	2013-08-04 01:35:00.389749	205		0
18842	10l28oy9ca4db6gmmlqhlakg46	$2a$07$ncJx8CSDM1YmZnTfDLlZJeBCGhmRMY/M4nLOFZ5OQ6QZkl30TTCLK	26	2013-08-04 01:34:51.711291	2013-08-04 01:35:00.576034	205		0
18843	10owdaoy6bmc2lo1dahmg4a3le	$2a$07$ej0Zy1mdXEFUN3UofGdI8.rl1W8saN9Kva634ykY5tz.kMYzy1Dxu	27	2013-08-04 01:34:51.735918	2013-08-04 01:35:00.952941	205		0
18844	10nral8dlx0gnzhx4nncffwl2f	$2a$07$ILKnO/Nj4Q7bcl7WRzhk0.s3JtQ9IKOLzDjlN9tJXSb67vIPQct62	28	2013-08-04 01:34:51.761865	2013-08-04 01:35:01.071702	205		0
18845	10ee5gstq6ot5dppkbs8ul894v	$2a$07$ag4TqsBbcN6iNw6sD0m7qOZS82LrM1ZGrNwHuZCWDeq7Wyk3iU6Su	29	2013-08-04 01:34:51.789263	2013-08-04 01:35:01.209164	205		0
18846	10pcmcj1q21an4u58p41tsvpyu	$2a$07$e3RotBiqk1sRwVwwkFoRc.Cr4u55Iotiei7JI5cRO7qn4XLb.iXCe	30	2013-08-04 01:34:51.824219	2013-08-04 01:35:01.341415	205		0
18847	10edhtir1b7gabs0dywm2s55eh	$2a$07$lgAPd/jzZEGd8l4ZRI2UFeuIYZuawjNZftNd3MpJ5JAcuS3ayhiPy	31	2013-08-04 01:34:51.84757	2013-08-04 01:35:01.449818	205		0
18848	10loyvouxw2nzjpuk39tybvwzc	$2a$07$misKsnSohLMFVXv6kTHsPuKDwfHVO8D.YCogFX5n5GqCnNVos4Kl2	32	2013-08-04 01:34:51.886153	2013-08-04 01:35:01.588849	205		0
18849	10r0bdjhcww4rabkyzuq90v13d	$2a$07$i3IIDPcN4/4j2QKFuZl58OtULOVrhT5SDRQ8bgCQkpLmefrkzzcKW	33	2013-08-04 01:34:51.912193	2013-08-04 01:35:01.717888	205		0
18850	101qgt9r33hom7l8bydirbywad	$2a$07$7F8FCNOA73TdZL2i/UkgGOa6M9NgwsWkvQYeY3VZ.HGRyUJpP7aQi	34	2013-08-04 01:34:51.935333	2013-08-04 01:35:01.86816	205		0
18851	10xhxvu58lunoqkl0vu5vicifk	$2a$07$kc4mEgGFlQ0C0sXOZphoCuCALWlBDEyoUAPGoHORfpVPSOrXkHYM.	35	2013-08-04 01:34:51.958118	2013-08-04 01:35:01.993463	205		0
18852	103u23dbckhtfuj8v1pwc54sf5	$2a$07$xYjrTRW0tnv/HtbMgTEt1.28OHBtFDfcE4nHDE1wkBs6me/30nsYC	36	2013-08-04 01:34:51.979887	2013-08-04 01:35:02.14469	205		0
18853	10f06s7nun1s4azo3udjnz8l3y	$2a$07$evhT8Jxkvx.DEeTOVmYG5O4SV9ar0QHWo3tS8xw94kJsBz4uki2WW	37	2013-08-04 01:34:52.003671	2013-08-04 01:35:02.303443	205		0
18854	101se58ni17axhmb4idrih2bm1	$2a$07$wBe0T9kzsPO7K2KO.CwB1OaNqvW1wCNq70ppWgEysCpaesRmwdXJq	38	2013-08-04 01:34:52.02621	2013-08-04 01:35:02.50343	205		0
18855	10gjgfz0hpx8787d9tw414tsk6	$2a$07$vWO62mncRNiHzmlmLb6WLuJc6VWBVCPBpypF.hm2fmRDmwD48Rnbi	39	2013-08-04 01:34:52.048598	2013-08-04 01:35:02.634301	205		0
18856	109i4lnxj06ejpdpe49qorvy79	$2a$07$YsuPfV6QyYfacst0COrlJ.xMcxV0omY5FInak96b0qvBLZVlORpr6	40	2013-08-04 01:34:52.071943	2013-08-04 01:35:02.769213	205		0
18857	10xpg32npv3wd6hbrcv1hf3az5	$2a$07$WEeeLI9yDEHGCSr.ResJ.Ou2714aq7TLvs17MKfr0KbcMINfthFoC	41	2013-08-04 01:34:52.095468	2013-08-04 01:35:02.905214	205		0
18858	10srryg91gnl6ngh9s1mngz7yf	$2a$07$FVnnKIyDjsMfUZIlYi1H/e/q9T.jxq7r2nGyu30HxWyLs2QjVBkIK	42	2013-08-04 01:34:52.118906	2013-08-04 01:35:03.265713	205		0
18859	100rp6aug978zg13xujvicb11q	$2a$07$JcEkx3aDiYylg3jlKtgo6ejtlhMYsqxdlafUgtBOafwCSYxhU9bXO	43	2013-08-04 01:34:52.143226	2013-08-04 01:35:06.06711	205		0
18860	109mawsiaawcvc7e9ouguueztj	$2a$07$xnYlg7ZViqqKUulfYlNQQOzc8xPe32ps0/MRAHEuR6G3h5pZ6MsMi	44	2013-08-04 01:34:52.166514	2013-08-04 01:35:08.69343	205		0
18861	10a565zt89lmjo7orc2de1yyli	$2a$07$XfiC4gXzo59W5yOA74O.JOl/9BJkKGjLjbgOmKcyaChVEhaDCUNR6	45	2013-08-04 01:34:52.188279	2013-08-04 01:35:11.034811	205		0
18862	100s928l0gtil8ma3js1qe4sti	$2a$07$vLoTvU2Qm1DtYm7OJApb.eqmetAZelLQxcdkwxXpce0j0lCifZF.K	46	2013-08-04 01:34:52.210319	2013-08-04 01:35:11.173369	205		0
18863	10jivj2f60ewgh0vnej56nyf1t	$2a$07$D/lmye.9izLtLso/vsH4NemNL.ogfltMVx/GaZCWIXPqG4bY7ru76	47	2013-08-04 01:34:52.233649	2013-08-04 01:35:11.297798	205		0
18864	10d21fec8rwslmiafva3xgrkh0	$2a$07$xCODBYCZ8J0pugZKcJ.cZuiMS/NwQGxNIvBoJh83XkNuNvVHFOWb6	48	2013-08-04 01:34:52.255255	2013-08-04 01:35:11.435368	205		0
18865	10ejhkskw1z8m54ascwszm2rce	$2a$07$rLpBo5DQjfT929Q/.PsYHuBq.sLLgrFN5iay/UQJCvSUyrSkARwKu	49	2013-08-04 01:34:52.278196	2013-08-04 01:35:11.575974	205		0
18866	10rn645xa7jnvqvvzl36h12lao	$2a$07$CQOMLjwnloFFc8CRMxnJfu4CEMaCjOccerqANuf31okV/IMDQQDTu	50	2013-08-04 01:34:52.300394	2013-08-04 01:35:11.711882	205		0
18867	10yk5nwciq2mjwzc0bgw72ujjm	$2a$07$ZyacqCts93wyR9ZYz014rOxtHERZmDl3zSIqrkqvfjZjPtF6jDpti	51	2013-08-04 01:34:52.322452	2013-08-04 01:35:11.859988	205		0
18868	102byurxphohu89k33k3fun2ee	$2a$07$FjJKhpRvQBVRKVmWnLq67.TA.1Cs6UyHtQuopm2/SXTvkig33YnZi	52	2013-08-04 01:34:52.344452	2013-08-04 01:35:12.057551	205		0
18869	10o54gavezpao2mw239ctkjng6	$2a$07$lAz5BxOFkh3c1K7rOU0XeePfwghs4FOLZwgfGg.T67jdHmmYaE.9C	53	2013-08-04 01:34:52.366051	2013-08-04 01:35:12.197588	205		0
18870	103e13fpd9dciigpwewqsfe7eg	$2a$07$4/THwyNmuWCiLY24T9zrsOWXjsu3rQ430RpiZuiZbkibwKO68UIb.	54	2013-08-04 01:34:52.389632	2013-08-04 01:35:12.316112	205		0
18871	109vmzqk7f8gc162amsr339fxg	$2a$07$DNfae5Vgk1fkHI97ESNVAO5kaUC5xPBSvaXmkYSyI4XPP6x88R0Ui	55	2013-08-04 01:34:52.411292	2013-08-04 01:35:12.452875	205		0
18872	10mmb2rb4gxlfpygw0s3re8t8p	$2a$07$aXBcOPXoVtaKbogcqDfzIeRYTbfPi1ZdVTFR8sWMyoLbKv2WIuzea	56	2013-08-04 01:34:52.433124	2013-08-04 01:35:12.593317	205		0
18873	10973k1vsw9sb8w0pcfuabqxlo	$2a$07$7sAw4upm51tOS0NXuDNTNeHlfdh7dJ41zZJr.yGn01uCF3p9xUPgm	57	2013-08-04 01:34:52.454817	2013-08-04 01:35:12.719477	205		0
18874	10hzqryg7crb9zuiyf384qdbys	$2a$07$kurRHtIkyWrx2yLaVNJscuqC7vKR78NcmrQ5ptpgHGmSOmrZmXVWi	58	2013-08-04 01:34:52.476637	2013-08-04 01:35:12.860669	205		0
18875	10ditvzfm2igkaosdulbr869gm	$2a$07$Sy7CfBx9DNTnGbqIg5VTZuQDRKYViCTazZd1p95QSg8QXsK4hw7hi	59	2013-08-04 01:34:52.49846	2013-08-04 01:35:13.003242	205		0
18876	10m5gjfcfwxr06ard4hkwq2ecb	$2a$07$aKF3lUUwE87aKGrrlrzi4.U3DQNnGxz7cb/zD7XzmNqSCrIvRHwtC	60	2013-08-04 01:34:52.521815	2013-08-04 01:35:13.139356	205		0
18877	10mu41604gbogngr3kz248y22y	$2a$07$ifZj79vLHp1241nbLljhhOkqOID3DcPk5Sy11yu0rph0e702CHzKO	61	2013-08-04 01:34:52.543522	2013-08-04 01:35:16.006503	205		0
18878	10a1jnftrau8e63yvua728xzbi	$2a$07$ptvWGgP5KjyeaMjUJz3.euXMJvbMPSVtWMYdIu6nZ/aOkLJvQIFiS	62	2013-08-04 01:34:52.565398	2013-08-04 01:35:18.999838	205		0
18879	10f3fiao4vzxq1z16nweze2hka	$2a$07$ugmULOodpliDQeTdTexhc.SZ2sjEyJ72vN7VRcdftGwDY7CtnvC3q	63	2013-08-04 01:34:52.586937	2013-08-04 01:35:22.216492	205		0
18880	10rylhn7r1onl6y0cuslxmr3jy	$2a$07$WW2jZ5uOgLj9aEtbXG3HuO9e8o22RxUnb3A1LEQwdobR8QAv7Ea5m	64	2013-08-04 01:34:52.608928	2013-08-04 01:35:22.354639	205		0
18881	10ojzwf6rpkwkycg2kdfu7ngu3	$2a$07$vzZ1kZUh4fH0yZRD4U.QzO5mo1R70G6sWRxLG1NrU//cE6h59dta6	65	2013-08-04 01:34:52.632532	2013-08-04 01:35:22.493693	205		0
18882	10ga6bkc4aj0sigj7aw9tfbwt2	$2a$07$vbnSRvjNMm3N.ivGYg74c.W/bduFjH0bYo55qBKPEduhTrDb/Kukm	66	2013-08-04 01:34:52.656716	2013-08-04 01:35:23.492046	205		0
18883	10gb6t8rhkdihbja3xyek83yqv	$2a$07$wSYGv7Gu0OdiuzW3WAIyo.lW3EuyGcQYZGbnmCeo5XGdkq5Bpj8r2	67	2013-08-04 01:34:52.680788	2013-08-04 01:35:23.61864	205		0
18884	10yqcpv9u51kxggybi75fb0zf0	$2a$07$DAojhlLdsrQ4AwAFe7CxXOAG91eXJCHV/DzU9L4PmQIoYXT.YdNOS	68	2013-08-04 01:34:52.704163	2013-08-04 01:35:23.754242	205		0
18885	10mgagmmgp10yb73nqvk2oknxc	$2a$07$ww766RzlPAUKTJwN2E1lXOyqW4b/2Ll9Bt0P0.nNrYSv3/t9pudte	69	2013-08-04 01:34:52.726718	2013-08-04 01:35:23.888296	205		0
18886	10qjogpkt7i2jfwzghurbvkzil	$2a$07$ifGX1cwlqFNDtAGKju7twOo/2BuyAZ9kMvpDAr3UbePN3nEkOfKw2	70	2013-08-04 01:34:52.749065	2013-08-04 01:35:24.026806	205		0
18887	10zxxeu60mff71cp3z5yn49eip	$2a$07$4M25dVYgSS9RFOzXZc/B2.oeQLtMgPo1nODzRDiTkSrRvf7Kwqyv2	71	2013-08-04 01:34:52.779255	2013-08-04 01:35:24.162055	205		0
18888	100h8bvgelnah1seoi0ltmvm63	$2a$07$uuoK8AnbJWN.LZ4GKnzh8uV6lS86hD9FCvBL90whGaixyQGnNui52	72	2013-08-04 01:34:52.803445	2013-08-04 01:35:24.302189	205		0
18889	10jtwi4lx032oeunwlta3smbgn	$2a$07$G4wj5J7e9WCVGaT0iY/tq.qsxNV0KxLa40nRpU3w4lAb.WSYmxTr6	73	2013-08-04 01:34:52.828092	2013-08-04 01:35:24.450204	205		0
18890	105rhx0p2o2kfzuubg9yzq2ufw	$2a$07$3f3jNzV9UnI.ggS78MWG9ucuwuSlmDbKmDQEhaQ4KHHKmIQjtnj.S	74	2013-08-04 01:34:52.866252	2013-08-04 01:35:24.578535	205		0
18891	10f2e42md59rt7bzpu4aoaeern	$2a$07$.t4GHGd.1doTI1spl6MOCug0syus5kKWf.h83Ar4JiEDWsKqdP/Pm	75	2013-08-04 01:34:52.900381	2013-08-04 01:35:24.718918	205		0
18892	10cpt4gn1zh3gkpfxp72m6lwd3	$2a$07$VkhdbpeU.IyJvhrOmJUDaOm9R7yXwqoCGyP/y/iVlRJS2xQAb54Aq	76	2013-08-04 01:34:52.922183	2013-08-04 01:35:24.858216	205		0
18893	10rnq0i9d5w85mnnm6s9d61xrh	$2a$07$9nC1B77AFLhu92p9Wokk4uN2ByquxHa4dYjbdSUOGfjcopV7WcAcy	77	2013-08-04 01:34:52.945547	2013-08-04 01:35:24.98405	205		0
18894	108bswi0pooira6c9608rjsom8	$2a$07$KL0hsSpFFtDkX4VY8kPSv.dimBLcBIY/oN1YLlPff1e3UmLz8e1kW	78	2013-08-04 01:34:52.977307	2013-08-04 01:35:27.80945	205		0
18895	10v1oub88lnvz1m5wf5kwxo3iq	$2a$07$cn1mxScHcSqk57yYT6DWqudDWR2XycL6KvWMxZegfJ56rrjaO8SpK	79	2013-08-04 01:34:53.012377	2013-08-04 01:35:27.953384	205		0
18896	10pxg48bu08516xz5mnlibecg4	$2a$07$eAwwAaMhiX2fKpCbH3EyweYVPNABB6uX6/GOgo0pANx/f1EsMrp9u	80	2013-08-04 01:34:53.033868	2013-08-04 01:35:28.087453	205		0
18897	108x7owmjkt0owdrda6wgxxvs7	$2a$07$0w7uQQGh1WMelqqv.Q7Svu4SGqpQjbZKzP1K4tC6hqrSjt0Bfc8bO	81	2013-08-04 01:34:53.055223	2013-08-04 01:35:28.208921	205		0
18898	104uoj1maw9jefbqkekh50q2ws	$2a$07$l.0MfHi8mi2/Z9346F5AwOE4Ho0GqRWS2TaHNXHcjDfgTnTr6n9fq	82	2013-08-04 01:34:53.076694	2013-08-04 01:35:28.358108	205		0
18899	10rmfr5hk47ve9ul9x88e6ima8	$2a$07$7it1ivv8AqXFCZGPzGG4lOiKgnCcbunuXY1S3gDUFFfPBcwTZKKkG	83	2013-08-04 01:34:53.098221	2013-08-04 01:35:28.506456	205		0
18900	10pvmd547nsbyt6hdxb4jaanhr	$2a$07$kGL5XzivtKi/iCpukapZw.BLI2Iw1iXPtugfAP5p7.Za.kseZdcyy	84	2013-08-04 01:34:53.122189	2013-08-04 01:35:30.905891	205		0
18901	102u92ng8j0id6of2dnt0fahmj	$2a$07$u3N5EKqq8fb0zg29aU3Zie3gTM0RkhzdO6w6xpTuuHPH52XM05BLW	85	2013-08-04 01:34:53.145249	2013-08-04 01:35:31.034264	205		0
18902	10aeqy3r9l78ag40pdx0ey3ly0	$2a$07$DHM.zm.yYSo1iAiQSMizq.JnVk0/R9DVUfJ/lQebUqvPydE89s2.S	86	2013-08-04 01:34:53.166799	2013-08-04 01:35:31.153001	205		0
18903	10uhe4x2m2g8uuvy1oiz81fatp	$2a$07$xbRK3LqdV.7Jc/lxAiNPieO/TshVYKg/djOrxaI0kKuCohkyfGmG6	87	2013-08-04 01:34:53.188298	2013-08-04 01:35:31.29023	205		0
18904	10lx47a3drviakpy0mo8wabyqx	$2a$07$AjZJBUOpBFqXSKYBtTJTYuAo298SGyhoIt2ym1t2A/bkXxmqRWn2a	88	2013-08-04 01:34:53.209485	2013-08-04 01:35:31.428969	205		0
18905	10qvk93a4g5kjaafr7n34o6zj1	$2a$07$uUHb3.OjQxHfo71kjcOaG.Mm.fuB90nwo/QWNu2fW89P/J2S64mmq	89	2013-08-04 01:34:53.230983	2013-08-04 01:35:32.383862	205		0
18906	10o6xpxvmk7bymwn7ax7u8xjuh	$2a$07$hdmWwZAkKNI3BTnlzWchsuZqDPGyNuTOtWF5POlv1F0u9Wqd/k5Nu	90	2013-08-04 01:34:53.254592	2013-08-04 01:35:33.333551	205		0
18907	10miq9ebtogys3nnjxpicixdnw	$2a$07$DinoAMMrH7VJdl1fj1gHRuslP/VRUKUouFxP2KfLPRQLkxZE1HXg.	91	2013-08-04 01:34:53.286095	2013-08-04 01:35:33.468271	205		0
18908	10xxmgblkq4n1hcych0mdcpcl5	$2a$07$.O53R0bCN2kRZUApo801b.SHUeksC3L00BqrbPnRjALTkEOPB5J86	92	2013-08-04 01:34:53.315176	2013-08-04 01:35:33.600275	205		0
18909	10twpjs1em7ih9126riiw3hunz	$2a$07$QU2pkod0DUj2jzUara1Zz.KJyQW3e/lLwKTgFJQL92CO5shLK98rG	93	2013-08-04 01:34:53.336614	2013-08-04 01:35:33.720531	205		0
18910	104in3jop5nnl32w097ajevppu	$2a$07$Tu/zFo3suIRvJrHrVE.2Y.Mzu1TaozDcI6loCfsZHdD1uXQVgxqra	94	2013-08-04 01:34:53.357985	2013-08-04 01:35:33.834269	205		0
18911	10eagbivnewrxvuqp2fob9r4bb	$2a$07$GAi3YTClfOPexTYGWRGrJeLWZCUlF0YGAagJmeqCnHRfZM/PHvm.i	95	2013-08-04 01:34:53.379398	2013-08-04 01:35:33.973298	205		0
18912	106vuirts4l8xova7l9xs6bz3r	$2a$07$AOTgfAHcqMdWlzsU8CcaV.CCMaQYPEDl0M1KObfbLieorfazFW2/2	96	2013-08-04 01:34:53.401109	2013-08-04 01:35:34.10452	205		0
18913	10877ri0y3kv6kbee69hs4yqk0	$2a$07$3QwHCeFV9LttqEKQtur0COpY7Y7aEvAT1DtvM7ljmOMHwAEosnSl2	97	2013-08-04 01:34:53.42333	2013-08-04 01:35:34.238145	205		0
18914	102y9dyia2856bl0wly482irka	$2a$07$lOxmVRp2y5FgrjT4h19x.u4L2HA2Nk8r7d4BFwFdSJzc2HH9SzjSC	98	2013-08-04 01:34:53.445689	2013-08-04 01:35:34.361661	205		0
18915	102ftdfcv84pqs64u28qku0jon	$2a$07$y1QQXeWN0EA0a0qO0Ezstu3AiiPe4lK6lG9DBXWQ7CD9MXEA/hdiu	99	2013-08-04 01:34:53.467228	2013-08-04 01:35:34.496983	205		0
18916	10f5llutjwoo93s2ytst2i2uby	$2a$07$VTfNfGfB0Nalmqawwuh5He3npoAeTW8cpwmD.lOcUKSths10kodAG	100	2013-08-04 01:34:53.489057	2013-08-04 01:35:34.636379	205		0
18917	10aosctiufulr65c8fk6in46cg	$2a$07$tzAOA2SDZ6LeqgoJfNKTKecYRrD932dTgQOu5h2FSQhIJQY.YCojK	101	2013-08-04 01:34:53.51062	2013-08-04 01:35:34.77308	205		0
18918	10tgez2xnb8mwvzlzmyj6miu7d	$2a$07$6NdjYOhfu6yL8I2w63Le9O2Zd26V0IZI.J0H7Y/UkYv4a72h7M0f2	102	2013-08-04 01:34:53.532033	2013-08-04 01:35:34.910132	205		0
18919	10q4xe3k66ld0l0ivmtix059kq	$2a$07$wpfy8gdCpHol9HmZeXj9DuX2WHs.ooNF8rv7kMPqWZr96SHt5yTfm	103	2013-08-04 01:34:53.554027	2013-08-04 01:35:35.049699	205		0
18920	107kaekflijafuru2co4ho86cc	$2a$07$9b5o20bKd5ijGsOjg0CWJ.YufDZFcdr7Gu3o4NYXcneEc.eGIHH/W	104	2013-08-04 01:34:53.577133	2013-08-04 01:35:35.191911	205		0
18921	10eikmnfphdamggey314duljw3	$2a$07$6OuqAOZgt8M5K3th/81YzeNMZ0fvYZ2fEy/Eu.Z/.2NgU95eDmxXC	105	2013-08-04 01:34:53.59882	2013-08-04 01:35:35.321136	205		0
18922	10k7dt30cpalo9urm3hb77u1bj	$2a$07$RVWHGzKerG0u3CGjWsiZsubvUtJHnAoodtb8ogEbHG6w22Qapnjg.	106	2013-08-04 01:34:53.620821	2013-08-04 01:35:35.459436	205		0
18923	10o2uvsvp0wwxv0cg5ngrtfg7f	$2a$07$zb46uPsb9QNCGvhWJgBpkeuUW75QxO57Bvu4FJmfaIviuzpmu48sK	107	2013-08-04 01:34:53.644755	2013-08-04 01:35:35.618394	205		0
18924	10ces7fv87ghkgln2ia3cxxi7a	$2a$07$khsBWrR0keyKHiwtbDlWuO3jUkNvvmnblt.ZMVkKv8trFF5yFQJ.S	108	2013-08-04 01:34:53.667413	2013-08-04 01:35:35.778165	205		0
18925	10t6jztz6fa9xa456ov0vjj7vw	$2a$07$3TME9GzMBVV8sImObjq8l.ia8d61vwewb9cCwlHKo3LGZfAMuW51G	109	2013-08-04 01:34:53.689911	2013-08-04 01:35:36.00322	205		0
18926	102co1iqr9zk5fx8bvqy8i70dn	$2a$07$Cdm/WIK.mk4NJKeI2rLVAu3YUuestItK4Tle/UBVrWh72TenaNKP2	110	2013-08-04 01:34:53.713282	2013-08-04 01:35:36.176089	205		0
18927	107t4jxprssidlko5fglgha6tb	$2a$07$5.5I2VoFbvHZaXmgz8m18eL/n5HpoyKc2gy.cpwRLqGIi/1D6.NXi	111	2013-08-04 01:34:53.737415	2013-08-04 01:35:36.295024	205		0
18928	105jt2egbycsctxw1gigom3a7s	$2a$07$q0dSGLBtQ8ALcTeoo4ltm.GrpmjoEyjepBwk17rgLGdTSM7U5OB3S	112	2013-08-04 01:34:53.759086	2013-08-04 01:35:36.425214	205		0
18929	10aa2cbmb8o4ts41ohl6u8ab92	$2a$07$AI7SPnZIiiOuKwcNrTRd1ODS4mdMPjkZdJdVFz.n51F67GNt3QsbW	113	2013-08-04 01:34:53.781125	2013-08-04 01:35:37.584694	205		0
18930	10iiu7h751hd8l4681ka751c8t	$2a$07$2wnN3MZAqJSYQk3jyNsQ1OWZL5sz1bsuve3rWQJ.Hc.CdmaPqEGQy	114	2013-08-04 01:34:53.804175	2013-08-04 01:35:38.694216	205		0
18931	10js03kh90x4hoznbekvswktjv	$2a$07$QclCLiNybsP9/U/Wk.U6MOnnQrA6yWIrxrX5oPVULejKArnCJg4eC	115	2013-08-04 01:34:53.827976	2013-08-04 01:35:38.846586	205		0
18932	10s6x5sp96szp9hf6nupdwq1n5	$2a$07$.j3l6kDfaR69diojupYCheQwQWGTVgPOmLMTUEHp0VuMtmTFOTtlu	116	2013-08-04 01:34:53.850334	2013-08-04 01:35:38.986721	205		0
18933	1099y2h4886q43ix0izpr0m3x5	$2a$07$J0nB6FI8QYcI15Cb1n2vNegsLXMkk8kBkfCK/Vizrr3yy5gSWeI.u	117	2013-08-04 01:34:53.873629	2013-08-04 01:35:39.119745	205		0
18934	10uhltimmeqgqs70wuy29zvkkt	$2a$07$E5fFtRi9qLXkQrpOfa4IhuYqcdH7gLEBPsVRzoyYMHII.hQQW.Rrq	118	2013-08-04 01:34:53.89519	2013-08-04 01:35:39.260881	205		0
18935	10u71abh822ne3q0gzday0hxf6	$2a$07$EgkNErjruDYxj4R3W0zx7u9Fm61KUuNNj8jzCa9NAycj8iM.nicVK	119	2013-08-04 01:34:53.916707	2013-08-04 01:35:39.387491	205		0
18936	105n3kl8m9glw1ptwj3cw5tydh	$2a$07$ykRQn0QK7K9JtCmYhoqdseiCIa4lR.1rh7dPS5ELAmrJcvmRJf4xu	120	2013-08-04 01:34:53.938447	2013-08-04 01:35:39.51986	205		0
18937	10wmrvnw3oe9zv5pxevrnczebr	$2a$07$0a85jGDt95nYDQgzYtYoBu2WxXsU2QBPRKUhXkNpuTjdmV0G5z02e	121	2013-08-04 01:34:53.959918	2013-08-04 01:35:39.673681	205		0
18938	10avxr0isb6r10gck5iwp1elgm	$2a$07$UOs8If5Dkx/DUDK/8X6.yeWMp4dXytJnNhq9c59J/61PJsRI9Voj6	122	2013-08-04 01:34:53.982248	2013-08-04 01:35:39.836739	205		0
18939	10b7vazym6al042gfl871xmnul	$2a$07$YuYGHkqbZp6aytRAjN.vgeridXiQGPT2fAZXxUfH75u27B6yNSwJC	123	2013-08-04 01:34:54.005929	2013-08-04 01:35:42.82027	205		0
18940	10zcqsaww5zfw0pjcvt0jw4qcz	$2a$07$pT0ikpy9dYCOYkwsnsdt0e/HxmflCI/Qtek/fTGYi46pu9Fg2Ausq	124	2013-08-04 01:34:54.027905	2013-08-04 01:35:45.894301	205		0
18941	10z45comrvml0f4gdjml78loxx	$2a$07$EyQcocWcM.vm.nn8acxwNuIEcFszWbkbKk0srazY2MuASab0Lh4qq	125	2013-08-04 01:34:54.049336	2013-08-04 01:35:46.014803	205		0
18942	10o27n0cog0zhkorqqmnegclwx	$2a$07$Fb5eY2wgbv7kJygKL1CPoOVfBvB9jqLrh1jicSjsPB1A5CxKte5qG	126	2013-08-04 01:34:54.072127	2013-08-04 01:35:46.149526	205		0
26750	10zshhkkur058yr44sp27hsv1l	$2a$07$Br029ySpQLDWnbY6E/PtMu9lnCuFadYTaf7TbWnRudSlCRGNZEWUS	122	2013-08-04 20:51:21.819896	2013-08-04 20:52:11.765005	267		0
26751	10zbpbz1qzecfz2kumu9rf21t0	$2a$07$qNiPdU569kAF4RO/I23vKeYVYnuIbYgX2kcc8bD4itv6VTCL3uK7O	123	2013-08-04 20:51:21.841555	2013-08-04 20:52:14.690916	267		0
26752	10urozmekvvvx0mqfqlf0svff8	$2a$07$muJlQboMve2ey/ArmxFj8uUBLEdTJ7PluoQ98OysWyXhhMLA5ndM.	124	2013-08-04 20:51:21.863192	2013-08-04 20:52:17.496326	267		0
26753	100kshywc8y2wx0y7ld8f9te1q	$2a$07$OWkUtPP8Euifv.lofvhQ.OZ1OU5SXL0qR17k5tMy/ZIPy5wrq71CS	125	2013-08-04 20:51:21.884748	2013-08-04 20:52:17.719818	267		0
26754	10zofuwkr8gdmuau3spo8cbsg4	$2a$07$C1hEqEtkb.f1cQ2hEqmZle4cbx38l6qV3T.HX.tKi3Cqw4faFOnpW	126	2013-08-04 20:51:21.907538	2013-08-04 20:52:17.961156	267		0
21967	10tf8wi4jtm6rv6r11w34x6ymw	$2a$07$hWvy862WzyMUD5328GwPbuhtAEM.dnrDLYSRB7rm9f/dNhLKcE4h6	1	2013-08-04 17:35:54.093923	2013-08-04 17:35:57.29394	230		0
21968	10oz450vw12awaj4qmzqkj7hg4	$2a$07$aBZuNyA7kO8Nmm9tYJyv9uzKR0s.iXcFaJxXUasNN30eGPlPVwu.m	2	2013-08-04 17:35:54.116796	2013-08-04 17:35:57.414603	230		0
21969	10gdhr2q7zmu520xi6qn3wx9gv	$2a$07$YtIdJBsfkB2nyiiWiM72n.srVp2qjExhMTh6J7Aj7uVGcQYglvp7i	3	2013-08-04 17:35:54.138922	2013-08-04 17:35:57.538876	230		0
21970	10lugtc82dmu8d7jhz820dr64b	$2a$07$YlW0ixhl89siMJyXMiXN1.rTtZ3yJ1QtUH9O9Lz6WBiLpJh4MSqL.	4	2013-08-04 17:35:54.163139	2013-08-04 17:35:57.694001	230		0
21971	105ajv9xjonxglyuf311boqehg	$2a$07$WVRYWvVfnHGngiRlg9tiiuJ6oxX5WXeLOxsJMn1HTjlQ/A9Vwfb1C	5	2013-08-04 17:35:54.196047	2013-08-04 17:35:57.844934	230		0
21972	10cabmpty45vkqx92sr7pkacfq	$2a$07$elNW8Tbfc/R.2KvciSMXDutI38997j4g2r.sE0I4UXD2cw9L9XFui	6	2013-08-04 17:35:54.223921	2013-08-04 17:35:57.980997	230		0
21973	103mzb5lg3q8lt64ymsa2htgqe	$2a$07$waHA2Ta.EiHlDNIxk0XWoOeVj5Pt09YK2f6Lq2xaCLCFq3F24IV5C	7	2013-08-04 17:35:54.246052	2013-08-04 17:35:58.132427	230		0
21974	10lpfgsjahlo81x77gp3vn4mos	$2a$07$ONxBqr865WnXVvC5TnU3TO0cY6ysCg5xg4hPDkw/38/lq1ovUknxm	8	2013-08-04 17:35:54.268239	2013-08-04 17:35:58.255694	230		0
21975	10hcnp99tl36qeh7bzjorrss64	$2a$07$/C/RNJud/AOccxdYgBghdebCeZ4fwzeaNwKGsNwqF8Q38oDsavFmW	9	2013-08-04 17:35:54.289979	2013-08-04 17:35:58.368856	230		0
21976	10qz8sp1wq2w9mchjjjkxni23q	$2a$07$chNjIBmEjuAtpyClVOprWu1NwBQUaRcpHnlQKzhYZE/ZH0l/XQUkO	10	2013-08-04 17:35:54.311631	2013-08-04 17:35:58.498781	230		0
21977	10pp2thp4507nq30j3p1d1kycs	$2a$07$TVd1n5nj8e7AL1bcLQaP/u4K7Psj8degyyu/.BRIZojVUZ4uyEjv2	11	2013-08-04 17:35:54.333543	2013-08-04 17:35:58.607565	230		0
21978	10dm7ze3l2swgm2pzhrr17ai72	$2a$07$xTz4giBQX2YCqfLumGDaV.TYHwcnhLi3Ikxsxpv7tSe0gaUL4UNR2	12	2013-08-04 17:35:54.355264	2013-08-04 17:35:58.748465	230		0
21979	10wd8bkcx3omsvepupribljvaz	$2a$07$CdbdHN5YaxMRzELfqzem9.wrD9GOT1Hr7fj.Nj3Sme1cUevwgUIyq	13	2013-08-04 17:35:54.377247	2013-08-04 17:35:58.877993	230		0
21980	101ig8vjz840wa5ivboa39vxpv	$2a$07$hSpaKseaXVQq/aR4HPVz/uHTTlOpqdYjtDVzi5/qSE7AIP1yWT88y	14	2013-08-04 17:35:54.399044	2013-08-04 17:35:59.00324	230		0
21981	10m65oig8hgduismih5izgydxq	$2a$07$kyNPBEOxTlbX5GWmHWDvZ.DUPUvysgLKDR5z61RILEnf7QiqiWx36	15	2013-08-04 17:35:54.42088	2013-08-04 17:35:59.119312	230		0
21982	100g16sc7ecsvqg8qdaexylrlb	$2a$07$59kuSIwSdM8oxzjLSomjEe8QrWIDZXZvYixoOp4P8W.z/I1/TMdpm	16	2013-08-04 17:35:54.44433	2013-08-04 17:35:59.298668	230		0
21983	10gr0imygpb6grnxawdodvkf18	$2a$07$hkrSlEZPnW20QJBUxPtgOeFqmufwCCzlvDpiyrNTEb4QsOyQ7boh6	17	2013-08-04 17:35:54.468169	2013-08-04 17:35:59.455905	230		0
21984	10y2zn45ok4ulno7u6el3fpqa7	$2a$07$hyLeSZomYQTgzswZDEkqgeJZZCQGttQSYbFKeovVfBdWEs2DnWaOq	18	2013-08-04 17:35:54.490508	2013-08-04 17:35:59.591362	230		0
21985	1084lq7j9v5x3cwi0y29q3f1t3	$2a$07$ma5jj5neQF78wSN16egdhuI6tENusR3E6vZeAsnX4o8Bx8PohQ.vy	19	2013-08-04 17:35:54.512901	2013-08-04 17:35:59.709421	230		0
21986	10yn9snzg7mou4a6jibtldq3tt	$2a$07$8v5tm3Hnn3tDpWftNTXnve7YZZ9s9qyhWTfMcHtGp0igIs5WVo0Q6	20	2013-08-04 17:35:54.534912	2013-08-04 17:35:59.839648	230		0
21987	100snv4jfth6e30qf6rofrocbl	$2a$07$KJriLhA7XL6jZkabnybWP.XGTuNCSTNvgyqrU3wHXJzUG4It.fMQS	21	2013-08-04 17:35:54.557125	2013-08-04 17:35:59.972476	230		0
21988	10r21rhce24cxwf1u4bx055xni	$2a$07$s8B4Am0np3UZxx0C8Hh/FuT9T3PO.YWpgkoXPb2y9y.0x6Wn2v.Z6	22	2013-08-04 17:35:54.579302	2013-08-04 17:36:00.112589	230		0
21989	10au3fgptuhjp4eoypda7nbgsq	$2a$07$SGATlyPSEcK561OVLuDFJ.P7W9.asvQ4gT5M7YRal/Iuhfh/jRSFi	23	2013-08-04 17:35:54.601903	2013-08-04 17:36:00.252556	230		0
21990	102g949mqp56w1fu131972m3br	$2a$07$l1OZruQAnGNxCnMyDYK4Eeiizfn3uMx023o6p9UIcftSlRMIIssVe	24	2013-08-04 17:35:54.624377	2013-08-04 17:36:00.352387	230		0
21991	10b8tkpy2cx88mxvphvh070ysb	$2a$07$EyBixbhnA0vpmta0/r9dlOk.eTclVFXumd7470pFrzdrcvWJq6lsC	25	2013-08-04 17:35:54.64826	2013-08-04 17:36:00.497555	230		0
21992	10zkbs5zcrzrxc1df6mhqezxjp	$2a$07$JoV6Z/Rc46seuY2f5MwSR.t0t8P6LrohxbfmZf4bOC6m/O7yyhk.y	26	2013-08-04 17:35:54.673266	2013-08-04 17:36:00.641567	230		0
21993	10u88gn274yxef7e78sgitbni5	$2a$07$m3sCaKcBAuTXUoWZnH9j1.QhGu4wJrFtCdEiGvzkj/nYYepFER58.	27	2013-08-04 17:35:54.69794	2013-08-04 17:36:00.778539	230		0
21994	1082hhfen024q9kavnkezl4zqc	$2a$07$Bdtde8Kuz.WkGLhwjS5eA.MCBQD7C9EmpHcdFRs9Cf8wW2ocDMhqW	28	2013-08-04 17:35:54.721133	2013-08-04 17:36:01.130097	230		0
21995	10sjg5ngi924uag3q8u2hb86sf	$2a$07$UjZelUPoZ3Z.RbpGWhAt5OCZ7PMXL4OWapHpt9bojGoBLImFmHydS	29	2013-08-04 17:35:54.74473	2013-08-04 17:36:01.456948	230		0
21996	104ast7huy2qlzrm8ywj7au617	$2a$07$pgdzUbZEWvKtIMEdJuHMC.PBuj4M74Rmgv6RJsfUn4af/L1qQgRa2	30	2013-08-04 17:35:54.766729	2013-08-04 17:36:01.678641	230		0
21997	10gdjk8k8zl6t2q2vd4xdi8hlk	$2a$07$SAnKFOy1sZS/ggrVnqz0eebGIPRrWkRZNLsnBQWKK/SjlB73xwBkm	31	2013-08-04 17:35:54.788933	2013-08-04 17:36:01.801173	230		0
21998	10xkpd6vi4j8tijmj3d0mzuao1	$2a$07$2naoVpqhLPVMBiLY35rMi.CyiaER.LTi7p2e3coZUNrAXMTT3Z5t2	32	2013-08-04 17:35:54.811877	2013-08-04 17:36:01.933936	230		0
21999	10hshlh67ogj660f6eprv6yvva	$2a$07$lOB8gympAjHjHI0JBwaMce0oNvUSKHQHHumCnUv7CPAW.7/PdBLZe	33	2013-08-04 17:35:54.834789	2013-08-04 17:36:02.045444	230		0
22000	10r19uwq62p9lpggz7bjvykuit	$2a$07$cK3t/iJQqcy8PxlQBy/suesTkzklwruWmvHD8mDYJG2.C.Kjzqtfi	34	2013-08-04 17:35:54.857174	2013-08-04 17:36:02.244573	230		0
22001	10i4ffbokes1v71zgx52xe0som	$2a$07$9MvLdKyyp5GFHtlRMWTE6.W9to2Bd3xubis3h0naY8F3SiXZrY95G	35	2013-08-04 17:35:54.880461	2013-08-04 17:36:02.40167	230		0
22002	10f64eg04it94364cmv1brn7ho	$2a$07$dc8pe0AWo9/nBGGy0tW8puCOEIReil5xEXuFkpjn1ztPhrgmi7Fui	36	2013-08-04 17:35:54.902405	2013-08-04 17:36:02.572013	230		0
22003	10l1456ie8wdwv92s8pl1lr059	$2a$07$QSpVPb6fggjQz8ZObOcrQu4tSlOntfoMKD22gSXaYXf16RkrCSXn6	37	2013-08-04 17:35:54.92569	2013-08-04 17:36:02.721292	230		0
22004	10a797juqzk62kx199dr326n1v	$2a$07$Ja5BKjk7aNcWhtfDiqrVFuHZH0YrIgMyjYst4Tyq2qTMb3we3k5oq	38	2013-08-04 17:35:54.948113	2013-08-04 17:36:02.856732	230		0
22005	10jep52r7gtcx3h5dwxwu4znkj	$2a$07$p.YNUjNWWDvhevlULnePwOYk1G04/Akv9O.RkfTqlG/QHsknuVgD.	39	2013-08-04 17:35:54.970225	2013-08-04 17:36:03.065067	230		0
22006	10sirhxkb071gd81ljvufzq805	$2a$07$1z..iQ0JV6hnZ./7CBebJeKxvno5EGOiNqWM3REoOO5MLL/yKCXH6	40	2013-08-04 17:35:54.992191	2013-08-04 17:36:03.200296	230		0
22007	10zm0b8327hwa9lhqe3ltj1xot	$2a$07$didECD19BTUc.fb6FuPl3Ol10fWIo0JYNh/pTayYRBofQ4V9sQya2	41	2013-08-04 17:35:55.013994	2013-08-04 17:36:03.33649	230		0
22008	104oob543iffgjl7qn0qul3chp	$2a$07$yiE2qMUgqg2j5DniBv5b5eAoSldl8yf5QeWYYPnxsqse3L6fb9hn.	42	2013-08-04 17:35:55.049986	2013-08-04 17:36:03.461077	230		0
22009	10x5kg6qszxhm93uog1f6fcxs4	$2a$07$tZzB/gfxw95r2V5yej7VTe76ACn2MZEftFCU/v7Q5m9O9gEiRmeze	43	2013-08-04 17:35:55.078533	2013-08-04 17:36:03.598678	230		0
22010	10q72b2ijsl0myce4gzp78wssx	$2a$07$ai4NMQBzmzIrKAK8Qfe0QuQyIK9AnAsbDRIq5nZF9dOewKGe2eIQi	44	2013-08-04 17:35:55.102585	2013-08-04 17:36:03.747316	230		0
22011	10d4i411ro275bxkkeq0ur9l16	$2a$07$QfxEA8OGoKrGVvoaSOj5AuO3c3789THlO3q.1BmP5OkPNDic4g.1K	45	2013-08-04 17:35:55.128326	2013-08-04 17:36:03.875493	230		0
22012	10k8mk06967yl1bgosocyht755	$2a$07$MK74tMJ3/WJ1zV6LLNElgOXfRaVjUdnr5V0DpiWlqg6EqMnyyM7dK	46	2013-08-04 17:35:55.149516	2013-08-04 17:36:04.018467	230		0
22013	10yxv1nm8593kbfos89x8y56dg	$2a$07$If8u7OLzH.a7AB4A2iBoseBN41sHdiJzU2t.169.iiSeQRItH3M0e	47	2013-08-04 17:35:55.172433	2013-08-04 17:36:04.169921	230		0
22014	10gycsoscyapspr70gljrsm730	$2a$07$WYfneX85eGvphlOvYVBBIe.j3gCF9qAnx0LitiNoqvNVoGN93bjJa	48	2013-08-04 17:35:55.204773	2013-08-04 17:36:04.315367	230		0
22015	10oonzmfe3n430xws38vuysvsz	$2a$07$xGxhcZLo4SrYwYvEd8UNQuh9cWOgMjyAg4/NiXONnxuqjmCU85T5y	49	2013-08-04 17:35:55.227237	2013-08-04 17:36:04.431393	230		0
22016	105vlk0lc6bfj6pcaicepckg2e	$2a$07$GbfePGyHhthUIpXEICmWEuhWKObF2P19.zc2PfZLRt5R5Hqkj2VJS	50	2013-08-04 17:35:55.250306	2013-08-04 17:36:04.552658	230		0
22017	109gpyivvecsm9bvr275n5xu8m	$2a$07$XDLwESc8kN8ZawmMeC/hbOZjhHYqhO9CF29r0Nm1mdSYUXImNwdTy	51	2013-08-04 17:35:55.274118	2013-08-04 17:36:04.68942	230		0
22018	10kbxxudzspnoli33s3rkozn13	$2a$07$GIc1acIqiGWueZS3K5esAu3DxJz04UcbtGMPNX.foB.kg1BjMBBJG	52	2013-08-04 17:35:55.304205	2013-08-04 17:36:05.028203	230		0
22019	10vp5v61bcsfvmxdq6dlj0ahc6	$2a$07$bNk.hZ108oQDgoa/jTRTlujhfO8ymxOMpBpYLOXj7sc0j66M1BPsa	53	2013-08-04 17:35:55.32612	2013-08-04 17:36:05.284965	230		0
22020	10qzrbs59w04b9zf63onij99eb	$2a$07$96nHXI8kxWNW4IRbToc8WenVBbbpeZCA1Ln2H07EsKv9qgokNrK8S	54	2013-08-04 17:35:55.348556	2013-08-04 17:36:05.519319	230		0
22021	10bfheu9wkywr6brddmoa8pvbd	$2a$07$a30QBNTb6E79Xmdql4peA.RrAavXSHISR0u9vj9.IOzgcfiwBBIrW	55	2013-08-04 17:35:55.370589	2013-08-04 17:36:05.627861	230		0
22022	10l4zuupdm4y8o7wes6yme88c9	$2a$07$C5XzYZk8JtiOiQNVGULrLuB.VVlBciYam02tFr5mDXM5hAYuHZ9BS	56	2013-08-04 17:35:55.393376	2013-08-04 17:36:05.757579	230		0
22023	10v7stcir7k8ftk8b1z8aj23xy	$2a$07$SbdIVPcBsDC4hVImtZ3YJOAnMd3ovh1D9ZegosNyljqgO5w3OiFFq	57	2013-08-04 17:35:55.418059	2013-08-04 17:36:05.908877	230		0
22024	10g68yvoy9af7erlqdy5jzt06f	$2a$07$YfA.wlqkb8iLM9R.NHWik.SI07S9SGzPHeTLeYJeXeauSxnvr3zGu	58	2013-08-04 17:35:55.44501	2013-08-04 17:36:08.697075	230		0
22025	106lfn96nhi9fu82d59ol7x8az	$2a$07$hvc3PPbKMIGNbA6LJps9h.CKNMSLpdhion9/PC8Wy3Y3DVzMYaRTm	59	2013-08-04 17:35:55.469487	2013-08-04 17:36:11.371367	230		0
22026	10vothbyhyqxv9ee8cr954argv	$2a$07$OCmarLW6TiUlJuBGPjkBmO4V8TEfub3Vy9tD48/IZmFAvN.wAID.G	60	2013-08-04 17:35:55.494704	2013-08-04 17:36:14.349156	230		0
22027	101r3xxklpatrn0n8totl2v4st	$2a$07$khfCEomrFmSkF1gcWBcEFe38RBdlKmUx8FgebmxOq9RRSBjrNUlH6	61	2013-08-04 17:35:55.526372	2013-08-04 17:36:17.007953	230		0
22028	10fs8t8vd2n0khx99u8stf9mo5	$2a$07$SoW7wuViCWmf9Ny/0vhmuOAsaFAhw3Wwh06efScUOooJ9DMzwarWS	62	2013-08-04 17:35:55.549509	2013-08-04 17:36:20.328934	230		0
22029	10mfuus5s4etku6yplrcp0dfnf	$2a$07$Ojjju.V85GjMtIJhdTnDze/87mBJOOcNbrcNZIt6EaTmeTrrG49h.	63	2013-08-04 17:35:55.575449	2013-08-04 17:36:23.417894	230		0
22030	10of9uey8htbegm0l3y1kak8zb	$2a$07$k8OW2oEOWtBwqUReLmJULO1D0Dek7q5cPLRKo7/cHuOiTWCajJrsq	64	2013-08-04 17:35:55.598925	2013-08-04 17:36:23.553827	230		0
22031	109mz1r7pihcmy0qap92aof7yf	$2a$07$WP7AaR/0fs3x5yUC0HEtQO3RqDUE9TYaxlCC868pEB9ZiScLXaehG	65	2013-08-04 17:35:55.62303	2013-08-04 17:36:23.687618	230		0
22032	101gg0zvxagkcnh2e2mh3zhp88	$2a$07$q.e.ydm0YtLpWhDVn6FS8OaQie6ETsgVtjYD64FxY4.oLvngOPNPm	66	2013-08-04 17:35:55.650521	2013-08-04 17:36:23.799963	230		0
22033	101tkgjqwraf6yx1c7f6xwtqxm	$2a$07$pEBL2JKxQPHbc9/oigbAvOdhcIcVq7iq3Yg3SbdlTTQHCQnx6tuX6	67	2013-08-04 17:35:55.675345	2013-08-04 17:36:23.926505	230		0
22034	10qz0tugxzdg30fcgzkh3z5d9m	$2a$07$TGK67DbBN4nQAA66LLg.uOWoa4wbcIBIkqF4KzDhesWAhMY628xYe	68	2013-08-04 17:35:55.708655	2013-08-04 17:36:24.04753	230		0
22035	104pp2v5glo0shvk33watm4yx6	$2a$07$qauhCHeiLTIDBbgDibEPg.zt1Yqb6mZBLXB0lggIvKT1bumiskBVi	69	2013-08-04 17:35:55.73242	2013-08-04 17:36:24.160258	230		0
22036	10mqqims7d50tcjrvjnwz9uc4a	$2a$07$KfBc5hnTCzsIaM1QBO1SyOcj9c10bI1mCiG6uN5VW8aH6IZPMdhu6	70	2013-08-04 17:35:55.756051	2013-08-04 17:36:24.415375	230		0
22037	105piwpvmxsy6m14v19zvvy54m	$2a$07$AR.54DUhhtAxmEMQIu0ekeedVIvSLWMM.9sIIFWX2BWhfOZP47jSq	71	2013-08-04 17:35:55.781524	2013-08-04 17:36:24.559238	230		0
22038	10agnmlvinymglui2h8mndp5a5	$2a$07$BouzQ7vzR8uidpvV2EzVAO414u.E9FY9rTV7tXMZVVV6BOLiZ/eZq	72	2013-08-04 17:35:55.805584	2013-08-04 17:36:24.700491	230		0
22039	10uvpfdemgfohn7nugr1wai6uo	$2a$07$1cOMT2LKIfH4xR3Ln2zP.eonIZ1iXXTVbvBBoCQ.nCdbgdlz3MOBu	73	2013-08-04 17:35:55.828371	2013-08-04 17:36:25.029034	230		0
22040	10fpdbrnoowl46yjcwsoojf200	$2a$07$9Uzi1OSxffk5H4huPwvY0OdumWVkgFDpXTJc2VEcj8v649Xl.y75C	74	2013-08-04 17:35:55.850705	2013-08-04 17:36:25.168492	230		0
22041	10ff8o1qeaed5n8o0i6rsi3wgf	$2a$07$VaF9y4sR7pAh3l5uLV5tDOJVoROzbWggzDHgRHyEMUd16iRpwW8gG	75	2013-08-04 17:35:55.873484	2013-08-04 17:36:25.463232	230		0
22042	10pyh0gwylwrjl5uzp7dm178mw	$2a$07$lFyRpG/MLAkqxaXQiXADo.oOImiMnqar/6KcbD5PHNZW1f4a9gspe	76	2013-08-04 17:35:55.896726	2013-08-04 17:36:25.58858	230		0
22043	104taca0227a1y7br19ttmqfzf	$2a$07$vKOMAH/W8dUAShKS4JX4lO5QpLF7ta2D3LDZCc2agn8UIKczscTxy	77	2013-08-04 17:35:55.926251	2013-08-04 17:36:25.729506	230		0
22044	1067jtmfh3o5lr9bh5tbrfu6q1	$2a$07$LqLPHI4GSJWd/qPjSG/I8.zVBOgn03fJMW44S3isFcO.PhRirEsiy	78	2013-08-04 17:35:55.962564	2013-08-04 17:36:25.884329	230		0
22045	10nbjg7ivbycyanbbw0c2bjgg7	$2a$07$Djq7R284f3ruHBzMupbxKetWXL67aasg.vqs91iP4qNICnmHbPrLu	79	2013-08-04 17:35:55.984959	2013-08-04 17:36:26.020121	230		0
22046	10pm6p2xj6ib55eq29n4og6cs1	$2a$07$86xIXUBVuK7Rr6xs.8EYZO1BhCG721TIIWcJ7.6i6qzBSWtDUTOSS	80	2013-08-04 17:35:56.013974	2013-08-04 17:36:26.147062	230		0
22047	10hk94h1kub2dtutvmbto778zf	$2a$07$MBfPkGZmYG84mjsAHJ2SQOS03ST/p/zKO9DLKbBdm7j9YCeTu9Sgy	81	2013-08-04 17:35:56.03928	2013-08-04 17:36:26.262937	230		0
22048	10gcw5zntk9j8wantbiok416e8	$2a$07$jnAgb0UQrIVOPOdEzv.pgOyx.2OYg3qt7NMmGRpp4v.WbxXgxEs0u	82	2013-08-04 17:35:56.06273	2013-08-04 17:36:26.507344	230		0
22049	10oznj4d39dlwgx4cl9twajan9	$2a$07$zkZaCDC7OhLZE4NGzDYXvOijlDz8olo/Ouy64rhSdWGfxIUPTNk4W	83	2013-08-04 17:35:56.086537	2013-08-04 17:36:29.026698	230		0
22050	1006ypgcst8e86ndye2nty94h2	$2a$07$CpSEfBGk3vhRbutwK9VxNedOVq1wu0YX8UHYRoOebvJG1YTBM2YJ2	84	2013-08-04 17:35:56.109639	2013-08-04 17:36:31.48531	230		0
22051	10cp0botpqzl0ci98n1fl0u4jb	$2a$07$izDH/GpKY8lorAzY09mt6evZyI.chP2ePO53Pa/Lz1lZIzBO2Cns2	85	2013-08-04 17:35:56.132127	2013-08-04 17:36:31.62269	230		0
22052	10ikx1gqex16x5g398n3b1fw1j	$2a$07$heiecMD0sDIJ9/APXh5YwetrgUbE/haBWe5DIw4drPBNyW4OLXUt2	86	2013-08-04 17:35:56.155749	2013-08-04 17:36:31.763221	230		0
22053	106vzpi7o5oy8yw660xvaxuqgx	$2a$07$eWqO9GwEIHvYhfO8M3Aazumyo8gNDpU9GNxcJUmSQCU9AMqhAZ6pS	87	2013-08-04 17:35:56.177842	2013-08-04 17:36:31.884015	230		0
22054	1000kegmbcbyep7zl6hvsai7t0	$2a$07$MFW3Vsi9U8/ELYeKF4djgujhmfR7KqXRh6wwxpmgmD/VZtye44b92	88	2013-08-04 17:35:56.200753	2013-08-04 17:36:32.024678	230		0
22055	10tsbiftiddhc9vmsky6r2aong	$2a$07$qQAUDxD06op.l55.M9iIquHa/BkhLwyDlAdgeO05uubgHSfABHAiy	89	2013-08-04 17:35:56.22357	2013-08-04 17:36:32.171312	230		0
22056	10j2hk3c46cycgspjtheirvubp	$2a$07$U8/XIimhzKZ9zpDOEkrFleUfdIjebjG/6HBZQ.4ZAwlp2vPg4UPsy	90	2013-08-04 17:35:56.245263	2013-08-04 17:36:32.301151	230		0
22057	10c40f3yr9uavfqru78qinmzyp	$2a$07$LchLOmzERnEhxRJACJUGuOcqQo56Lb5IuruROh3PpX1CPinQyOVm2	91	2013-08-04 17:35:56.273708	2013-08-04 17:36:32.432693	230		0
22058	10n6yqhza8uk2eyb880kao17rt	$2a$07$VgkxPZzD/X/i5kgIP5D6Ien0G19/jKbEY0ReapcQAHzv8IprmeJXW	92	2013-08-04 17:35:56.295266	2013-08-04 17:36:32.577682	230		0
22059	101uihr3mu9j2rou9mhivekcs4	$2a$07$U6kPhw.7dG3s2dmFHoj.WOZgCdcWuxJwwQxV6SCaKU24NPrkFuViG	93	2013-08-04 17:35:56.317244	2013-08-04 17:36:32.710232	230		0
22060	10e7ap4uqvvv8qmrnxie6sv8q3	$2a$07$D42GoSTt3behTzie7sGIt.tkTS4GWmGf4Y0/cVACyfu3avH2YdRty	94	2013-08-04 17:35:56.338852	2013-08-04 17:36:32.839269	230		0
22061	100w0ahog7pvh7ib72opndbjsu	$2a$07$XXuzmKaAIV61rctQVDm0cOm1KaRzfNx0V5jllcWV16CbUbPHcYjIC	95	2013-08-04 17:35:56.360636	2013-08-04 17:36:32.984725	230		0
22062	10fg6at86fk7wymq56uvkf5bie	$2a$07$re01Xo/TKry4k5qXiCteNOR7PBqk0ORVfKlSLNyZOQO121mAyvzDS	96	2013-08-04 17:35:56.382373	2013-08-04 17:36:33.127592	230		0
22063	103u0yudsl3b8cemyk27h6smrd	$2a$07$TxIP8KYRPSN1I.KOISlH.u.MXmNLG2C.TuwDmsmzXxnu3ceRmIco6	97	2013-08-04 17:35:56.403921	2013-08-04 17:36:33.258276	230		0
22064	10a8bqtqlsnmpb0jg5ad02070p	$2a$07$lmjHM7rtMMu2d3niRhT4NupIPi8mzC4yRDIqUkn1udn8d0tNgSQqm	98	2013-08-04 17:35:56.425499	2013-08-04 17:36:33.371734	230		0
22065	10kv8cfl43h60dah2bl8kfleot	$2a$07$qEKLNqvUPpZixRbpDH3pA.yI0Vlqc5IyMrenhzoEJAAFMfa4Y.5my	99	2013-08-04 17:35:56.446998	2013-08-04 17:36:33.489005	230		0
22066	10bpwtsqp77jzojzbek9dmq0no	$2a$07$LVFOR7u.Cd63DpurwGrHJ.CoWxatsc/8dYkKaH4WXr3Ws3H/W1zVK	100	2013-08-04 17:35:56.469397	2013-08-04 17:36:33.627169	230		0
22067	101wg6tgyxlhk5xqyirmjxd13t	$2a$07$LcGntpv0yrXQirBvFgROce/jFn9MR88vhiGowQEV/n9bRHYwfeEAS	101	2013-08-04 17:35:56.494387	2013-08-04 17:36:33.764669	230		0
22068	10gkwvs9700wnhfeltr9ehfv2t	$2a$07$b/QqV/W.AW1frqecqgyVreqknnhZ/2lu5M4vbWvHGmAlgIcp/eIay	102	2013-08-04 17:35:56.519271	2013-08-04 17:36:33.902715	230		0
22069	10y1thjxmzgxh0uzm7dvsu35cu	$2a$07$UdIu0KZfLmNFAW4G6ntXL.F8mLtzQBIm0wjyb/Ogf3qjhWGDny4cC	103	2013-08-04 17:35:56.551805	2013-08-04 17:36:34.154649	230		0
22070	10fetrz4f44wmvuihjh7vlafce	$2a$07$awlkD6kSkob74vX0rf/aaOwRQQ8TQP3XyFuDUyuMrOKpFECgt9CcK	104	2013-08-04 17:35:56.573895	2013-08-04 17:36:34.421655	230		0
22071	10qlhihbugyf2qf57puys02rd6	$2a$07$nNuqtxqjLsXBZ2uzwtiqk.Hr8k48fy8mLJIQLYVWvwlFzgwbiNsAy	105	2013-08-04 17:35:56.596175	2013-08-04 17:36:34.552748	230		0
22072	10xhb02o8yb2xg0v42df4mkkwr	$2a$07$su.lrAgZupckQFWGwknfO.Eq0re7hKMqgHqCMHlHCXG14ORSmJNci	106	2013-08-04 17:35:56.618816	2013-08-04 17:36:34.690945	230		0
22073	106ax7fi7j69x5ywpjr4b953qm	$2a$07$ppE7h2CLZTYyz/7/U8fetOn2Dd4khhDM95YjaKmJR2kOYYnwWBna2	107	2013-08-04 17:35:56.640698	2013-08-04 17:36:34.86556	230		0
22074	10lznzmtg6na9x9eqy9ul6qwop	$2a$07$Gd3ufebR.EBD96vr/gGOkeNVG4iYBNK2ZaJ9j4OS2KWVke9jI.ySu	108	2013-08-04 17:35:56.712032	2013-08-04 17:36:35.02551	230		0
22075	100rq469rtnh19epvxqhd1z7oi	$2a$07$afSqtNPEfeMpZbdTHaOHaOQ1L16NLiJJH6edlx5Uc8M4ujVeuMfRO	109	2013-08-04 17:35:56.740962	2013-08-04 17:36:35.183913	230		0
22076	10gj4eoferdr6bsb6c6v3mczg9	$2a$07$rPU/AqFzzN5l5rInHyNZOui5abFXLnurcuftzAo8E/BeNulC.l8Gu	110	2013-08-04 17:35:56.763934	2013-08-04 17:36:35.317184	230		0
22077	10xrm1unygh9h0d8yzm2ygd2w1	$2a$07$qwyQ0bc4oZRjrLHAPE942eYg0hy9k0zwr4vcYCxUek.EYwYqnosYy	111	2013-08-04 17:35:56.785566	2013-08-04 17:36:35.452191	230		0
22078	10zgyu397w7wv871z13xhxtkqq	$2a$07$KtIs6u27m7/QiVI8ENvTi./XEpaLSL.R2P1BMuaNW/BKQCSJz4mGe	112	2013-08-04 17:35:56.807422	2013-08-04 17:36:35.575499	230		0
22079	10hqtfhroiy68capdtrijv9hqp	$2a$07$zRY8gEJjR/FIsnmPsz3RW.5j7v0aJZDGGKxE0rvE0S4WB.jbeEsI2	113	2013-08-04 17:35:56.829625	2013-08-04 17:36:35.707178	230		0
22080	10y94hb5nmv9uvhfddy636kapi	$2a$07$ZQEXk5noiErteLCppFPu9O3y8JAIC3w/d6SertISKFGsrXvNSZ5d2	114	2013-08-04 17:35:56.85214	2013-08-04 17:36:35.831604	230		0
22081	106l1rwz7ebeypgspz7ge2p4hf	$2a$07$8Udk75bDm.7qfND8zZj2GeKNAMRfyQ5t3R67g8Y5YK.NAauzg7xNS	115	2013-08-04 17:35:56.875856	2013-08-04 17:36:35.976746	230		0
22082	105bksj4hi8vuqos9k867nxw5e	$2a$07$Tdx.dG8cs9jLlivPPqGIZOxUmBh.fuc3FyH/MViBjzYgVsGLwlj.G	116	2013-08-04 17:35:56.898876	2013-08-04 17:36:36.119764	230		0
22083	10ktgvfhxr7zki0tg4rm73s9i3	$2a$07$gJqAAKyilRxHr6Xz7C3z3.ch11rPaLQHaHmsF37iLEOGittrAHOUa	117	2013-08-04 17:35:56.920797	2013-08-04 17:36:36.250799	230		0
22084	10yvidhjpfvvn4j27flmhsh6bk	$2a$07$Bj2K6DCz1H7.n0kXnYgElOCJyCcVF1Oex4WDAuKIcJ0n9N1aBmfNu	118	2013-08-04 17:35:56.942527	2013-08-04 17:36:36.398933	230		0
22085	100vft1npctibu7muegv6ut8p6	$2a$07$8jsHlBo9NwupqSi5XEqbJ.lEXgEi.3IaYEPpYOSrgapfg8V1v4Hvm	119	2013-08-04 17:35:56.964336	2013-08-04 17:36:36.536016	230		0
18943	105pc9xcsab7fnlvj3vu76j6xi	$2a$07$DF/WqctW2m4JWzhnFVoVi.lQDDDItB5kulxvVxkTBByo2WdAxSY.2	1	2013-08-04 01:39:51.04896	2013-08-04 01:39:54.41393	206		0
18944	10glrv547lh867rd59jbip2vrx	$2a$07$JeCVWB97xW.ADhwTwWdnj.tfGpQFQnF4NyhPtOreJ0.sn7hIAcd7y	2	2013-08-04 01:39:51.071858	2013-08-04 01:39:54.558736	206		0
18945	10zjlljw76gn5ekh2brkqmyke5	$2a$07$H2AKOsyBSY6nnPz/t9tAQOoP7VnfLdKDxjOx1ilBuSefxAhPvE2.2	3	2013-08-04 01:39:51.093357	2013-08-04 01:39:54.766238	206		0
18946	10gkne2116o0q9t4ukgqr185tf	$2a$07$ThQJH6DTdxZFqYUf8h7oM.3s7qlvo1VHCCJF7goyzIjlY0spm...y	4	2013-08-04 01:39:51.116354	2013-08-04 01:39:54.901442	206		0
18947	1077m2lk57o2hndh4fh0bivfjw	$2a$07$9VkD5jHpbZ5PDcjtdGezWuEjFtxls8/bCPepRKudr4cxitX8YGBdW	5	2013-08-04 01:39:51.148121	2013-08-04 01:39:55.039559	206		0
18948	10ep5fmiwxen7pklvuoty1f4a9	$2a$07$zus0.vQ1PILpYmVF8FdFwuzETfKyyHUp97aUkxrVVttW67deXrdie	6	2013-08-04 01:39:51.184698	2013-08-04 01:39:55.184646	206		0
18949	10q39ktihltnd3jy44j8f1qy04	$2a$07$zoLrFBSJMETJSWboMM2B1O0oIxMZQihiqLWebmqnoD0TU2LxI3.pC	7	2013-08-04 01:39:51.20793	2013-08-04 01:39:58.064854	206		0
18950	10i9a4q79i5zddzrn9hv4s8lx8	$2a$07$OG7aKJPQoyEp5r8Ztx8NDOMIwaidm8wbntXBd.7RuIOA9J2Neov3S	8	2013-08-04 01:39:51.230679	2013-08-04 01:40:01.009513	206		0
18951	10g46gdqudy5towenw2iw6nl7t	$2a$07$1dsUDBnvUpYs2tJxAjI5DeJgytT.KhKxCrXv8Gs1BWcZvRXVPki5q	9	2013-08-04 01:39:51.253069	2013-08-04 01:40:03.869996	206		0
18952	10cii2rtmwpkqx0y6axed4zvy6	$2a$07$l08/2cvlXpjTn5MOtPawT.sX47NmgTbQWNENiLyBugZZphwHGkTVK	10	2013-08-04 01:39:51.285257	2013-08-04 01:40:04.006355	206		0
18953	10wz60kwtvt3ew01vtavw9tv79	$2a$07$IRCQuB1gTKnfdrm9EKRdPOxkWPH/et5hlpHPBlAKwGWYt0BGV.adm	11	2013-08-04 01:39:51.319128	2013-08-04 01:40:04.148141	206		0
18954	101kuzlzefejc6i497uftizbes	$2a$07$exmHs8/9RavtLkZbJ8T0eOkC04eHrRWffBEF5Cwiy9YZUehYmIwpy	12	2013-08-04 01:39:51.341198	2013-08-04 01:40:04.280582	206		0
18955	10h5t7ysbvt28pgt7fl9iq2qlz	$2a$07$tCu5bYpqqysg.0ZICxWoI.emdZhzRChT.gAKsZyFTMa22w9mEpUsW	13	2013-08-04 01:39:51.36502	2013-08-04 01:40:04.423281	206		0
18956	10gfzqstporzbk8y10z4kqxpob	$2a$07$ghcTskxarXae3byi9jcDcOlhnjDjs/0PtWNvrE7BblIZIXgG1y5xq	14	2013-08-04 01:39:51.389211	2013-08-04 01:40:04.557784	206		0
18957	1094k4wul5otdpf4qj4njwd6l0	$2a$07$TOJyrI4fm21u.Sz5/4bq6uk1Pcw1aNDcgqRFTuBefABvx/JOS/leu	15	2013-08-04 01:39:51.417197	2013-08-04 01:40:04.697938	206		0
18958	10thvtv6wbnr64pue7679qv6ur	$2a$07$intubRG7zid6H7CDEIW4Ou8UEY9NSBSx30vGxuA90MK9nsWl/Zm.C	16	2013-08-04 01:39:51.4531	2013-08-04 01:40:04.83602	206		0
18959	10gh5dpp46ouovstkyprf4wlmm	$2a$07$bNegHAWdmYNd8aFeAwsm.OHThCVtiYF6Gs/LU1u4xxjL7g7eqcrDC	17	2013-08-04 01:39:51.476073	2013-08-04 01:40:04.982829	206		0
18960	108ykgp0t7w7m64507lejuxcxf	$2a$07$mOf1GuS.9LmMg8Ri..hmH.2TnvVe/lyllWvAckTMqcmLMxvs7Diui	18	2013-08-04 01:39:51.49943	2013-08-04 01:40:05.128088	206		0
18961	106kju322soc20nt0ee88elfdq	$2a$07$BCJ3gW5XQTOi/TM2iDpAAubAVBhaoEGcoQ6.VmxA1sQpvAycXdj0K	19	2013-08-04 01:39:51.522439	2013-08-04 01:40:05.251681	206		0
18962	107f5yb0t021aa7e5v4fmel7gp	$2a$07$rQGek/8DcRZRNLQMfCS2xOM4kaetaxv5CjZ7xxX0X8exPBZ3CbQiu	20	2013-08-04 01:39:51.544579	2013-08-04 01:40:05.393754	206		0
18963	10z8evhewy7kggmaj44nm1r2mu	$2a$07$DcJIw4ZxnvMgbqVviWLDrusKmSq737RMc/c96FFst6so86E0g/Ewe	21	2013-08-04 01:39:51.573148	2013-08-04 01:40:05.532916	206		0
18964	101f2v4m8ae79aboud5e6wngpi	$2a$07$JddYeHlQNWTnfIwEY72HDuOXRFwueKkSQeeKVQhHdHKvd7k.h/Vtm	22	2013-08-04 01:39:51.605828	2013-08-04 01:40:05.667429	206		0
18965	106bsppie869h2dimzztr3fjwc	$2a$07$LA8wuGhj2tK7VCrMeRrs5u9IAkRO4nbmTsG2ezj6/LXuN57KagaFy	23	2013-08-04 01:39:51.630006	2013-08-04 01:40:05.792415	206		0
18966	104n3tzn7bx3nh6vqea5a33dmr	$2a$07$En1FbFurX5/NYY9PYSkW/O6pb6Xq9CFUHMfVHwUzooC/0eeJReeia	24	2013-08-04 01:39:51.654058	2013-08-04 01:40:05.926088	206		0
18967	10jmsszmfpdnlxrregkl761fvv	$2a$07$bkk18.vl9oSmAP/HrfQXF.a7OQx6q61m88w.12IgolMwI20k9NT3C	25	2013-08-04 01:39:51.677739	2013-08-04 01:40:06.070733	206		0
18968	10a7s2lnhbcjm1zydedpp0537f	$2a$07$Ks1jlCRcORKlzBRBFHCv2.vJJq4iaUY6QoIrvY3GS5hbIyahwfIoi	26	2013-08-04 01:39:51.70154	2013-08-04 01:40:06.20892	206		0
18969	10g5xgnm0djz89tqhmhg6665h4	$2a$07$8hI0/ysbr.RG.eMjoorJsu6rPnEyx.2phmQqdzivCtr/WGk9XccUe	27	2013-08-04 01:39:51.724528	2013-08-04 01:40:06.34691	206		0
18970	10tab3ql00883f95z2m7jriyt2	$2a$07$jiivzW6qZzfSKxIa8/z.OOztaCKswLB4aobynjPEkIr73ftnrLsNK	28	2013-08-04 01:39:51.752091	2013-08-04 01:40:06.488388	206		0
18971	10cwhbuwylw80unitgj6si4ceo	$2a$07$mbF.rycr2DxZxpjfIzpr1urZh6Tyn5D8Lc6j2v0UOLPwRupaEYU0S	29	2013-08-04 01:39:51.7742	2013-08-04 01:40:06.624433	206		0
18972	104ddlgm4x1qa566958pf4glxm	$2a$07$OijRQ07U71AOecGwMI7LfO7Nq7gkDd7Ae7gJ1TPj0h2Wyo7yGpzdu	30	2013-08-04 01:39:51.797367	2013-08-04 01:40:06.754493	206		0
18973	10e5piu6gh87a2rmrcmj9ewtrv	$2a$07$cmJrAE24pyUMugGHU9zEz.N4cZI0vuuCb6GIGwzwVQwcjo9.PmfcC	31	2013-08-04 01:39:51.821528	2013-08-04 01:40:06.868926	206		0
18974	10voceup7oqmt8bhukslmnp5ag	$2a$07$USAt/icqU6CSVEH2rGbzsePPHudJfg3g5nl1c6EQeqEJw9S3Kt4S.	32	2013-08-04 01:39:51.845154	2013-08-04 01:40:07.006274	206		0
18975	103uyto61ng3onoq52hsndrow1	$2a$07$tBFlAB2y3A/dN660vMYDPeqj4KKL/nrUbS4y/w.MuHE1dihv0ejvS	33	2013-08-04 01:39:51.869269	2013-08-04 01:40:07.132346	206		0
18976	10qhf26i0t8wq1t5i5u9vbkw35	$2a$07$wxmUz8n1/WDu2vhiyUx3uu8L6rEaH7UToRJVeElUDx0I6wVFhGVVW	34	2013-08-04 01:39:51.91	2013-08-04 01:40:07.28654	206		0
18977	10dnz0tnp7c7ovkkaqh0srnx48	$2a$07$kj/zMN2PcvpXrWGnskY/a.u4H2waAsmi6HlXucsDpVGj7FvDJ65.y	35	2013-08-04 01:39:51.934832	2013-08-04 01:40:07.441407	206		0
18978	10wrva7hfza3v061y9aycxlgyf	$2a$07$iJ8zcr2fa8urFIGcjHRgjOZ37lmU5H6rH31e/X9EpT1ReWNzGmWO2	36	2013-08-04 01:39:51.956584	2013-08-04 01:40:07.591466	206		0
18979	10mrkg8ghaxkcn2xieuc0il9cq	$2a$07$2K0qxtdUT97cq6pynxMuZ.buyaww6gFhC0pg2iKj8PSyCe2epvVSe	37	2013-08-04 01:39:51.980536	2013-08-04 01:40:07.713447	206		0
18980	10gkdyowo6bf1lu99ah7oi5iw8	$2a$07$IwoU5Dhal5SKm5Kxv.nSC.do6yVFMi3sxc1AubAfng1Pk4EnV3iMe	38	2013-08-04 01:39:52.00431	2013-08-04 01:40:07.823673	206		0
18981	10tgtztlqhyhput9uz38ko4j9u	$2a$07$ySPDF026A0e72mAtRAGI8.JoFzsQYKYftK0a.7aY7mTReaXetwPyC	39	2013-08-04 01:39:52.027265	2013-08-04 01:40:07.967592	206		0
18982	10a4dbgeowsjopj8v1gyse6bnp	$2a$07$RYa7LkajzCCs7vNSctno3eFWtT0l9RnbC2TmbIqhyQvlmKksTxgbK	40	2013-08-04 01:39:52.05332	2013-08-04 01:40:08.114342	206		0
18983	10emjj21wosc9xqrj0s7noqupn	$2a$07$ROMnj06EojUTpwUDXryoPOiYXI/.gASV0iAJc4cYD2pJMZk/iy/mu	41	2013-08-04 01:39:52.084639	2013-08-04 01:40:08.24411	206		0
18984	10j0vpfoihyrf6p56oficrik7q	$2a$07$z66zN2oqegh/doZ9fXx7OOk6bgyG2VQpf/8YM7JSwSVo9d3D.LQFO	42	2013-08-04 01:39:52.121823	2013-08-04 01:40:08.359553	206		0
18985	10frv7ts8dvc1h8vt1b0y9exne	$2a$07$iq1oZFwB8bOecYwBNT7EquHR9i2qdHmLQeViE/JgbOk5kXHQK4i72	43	2013-08-04 01:39:52.158469	2013-08-04 01:40:11.827876	206		0
18986	10egs15kspthbmg59wt1jve7yi	$2a$07$y7yLLCZ1R5UTz.a4XHTTf.NiIhKdxIayeV7o8MxH4TMj6B9x4dpIK	44	2013-08-04 01:39:52.198197	2013-08-04 01:40:14.156189	206		0
18987	10a66xm4noe2v0mr64lsxxedbk	$2a$07$ScwNvrSWkp1m2lRiS/h6uuOldok7jK6c9a8AbTY52bRhEz4s7rGI.	45	2013-08-04 01:39:52.235124	2013-08-04 01:40:16.374939	206		0
18988	10pfyhv0o5ho3yx892bz8asa18	$2a$07$vfIS7Fiwsob93YPWmV4qXuNJdkuis5DKLx6faHqqKVpSS/02Sgeem	46	2013-08-04 01:39:52.269155	2013-08-04 01:40:16.519033	206		0
18989	103q0y2o9z0i7ixjjoikj9q7ta	$2a$07$2jiz35RZB4xOYpZGR9S02.zFPsUH4saLlxWZj7P4e.YPuw1xhTsUe	47	2013-08-04 01:39:52.291966	2013-08-04 01:40:16.670196	206		0
18990	10w0il40tzx7ehg01l3hc80cla	$2a$07$iEY4AgLMbgRYOdVcyDJEA.oSlPb6SIGXbup6kEVUDx5AR49ROjoxi	48	2013-08-04 01:39:52.314203	2013-08-04 01:40:16.824702	206		0
18991	10oqflyc4gr573uetmxns29i20	$2a$07$n8Kui8Sbx.Z8u1S9JKkIHu7Ptq5tHL6r9UxtRIU2piDavGjgMWdBS	49	2013-08-04 01:39:52.336112	2013-08-04 01:40:16.971142	206		0
18992	102at2v7bcchfxqnhd7tuc1b73	$2a$07$2hXRc4ScBMZb0sNBXj1EfO79Ry6ZyYPv3uKJ0kdBd5Fh2S6GE/2nW	50	2013-08-04 01:39:52.357893	2013-08-04 01:40:17.124674	206		0
18993	1089hma7nkryadttszvua1uat0	$2a$07$fdvJTaTf/tc/71xzcKwi2ObbaDRZC6Zyfuah8SCEg.ozpgMBldEYC	51	2013-08-04 01:39:52.382463	2013-08-04 01:40:17.241434	206		0
18994	10ndc1zp0yx7hqw2jxq28scjbm	$2a$07$K7ojuJvRQWkfy1TdV8UXXug7XVwUJHqlgQpdQnGLbUA5SSrICy.ya	52	2013-08-04 01:39:52.407104	2013-08-04 01:40:17.379695	206		0
18995	108xf8609cp63nww1441kfv35h	$2a$07$Znoe5/NP5KdTgI1zDPlcXeuf6b6JbCaIJxriRcVMkqNgCi1DHqH5K	53	2013-08-04 01:39:52.433125	2013-08-04 01:40:17.498567	206		0
18996	10ei1x4zz62r86yn1ehfl2bv4p	$2a$07$r0jhuOUd1KqHcn1X6l3uguJO9xCXE/d4W2vXpgWNA93p.zwkqwCBm	54	2013-08-04 01:39:52.468765	2013-08-04 01:40:17.614458	206		0
18997	10t9qu6z5ixpp61bytwxg03vqu	$2a$07$3JxmCnx0YJw/sQ4FYwQa1OUtPT15PByS8umU7r7ScJy0YTrJezZsi	55	2013-08-04 01:39:52.493834	2013-08-04 01:40:17.755248	206		0
18998	104r8pasks92hl8gofj4zd4994	$2a$07$s6vJunj54N06Sj8x5GAzKOP7hZovZGkrCq/KDV4llp7brMjr3HcE2	56	2013-08-04 01:39:52.530164	2013-08-04 01:40:17.885268	206		0
18999	10u0rejvm0ra416vzlomcqxack	$2a$07$XKWX54Nck64qw0fezyQvTObMRfHWYUKbaQNiABsjA9aaRfiaWX2sW	57	2013-08-04 01:39:52.568911	2013-08-04 01:40:18.021697	206		0
19000	10ndb8usa1aeqlbdskj0mmqhbx	$2a$07$i517X/mdesswKJRKTz9EY.v24NxfcrD3D5n6doULEnm2405C4JGCq	58	2013-08-04 01:39:52.604105	2013-08-04 01:40:18.247902	206		0
19001	10x0086z8kbg0qg2s0zuu21az8	$2a$07$uM4r3r.OVVPqD5A3joNgnO2SniuADoafonVyNmYinylb4eX/1dZXS	59	2013-08-04 01:39:52.625807	2013-08-04 01:40:18.402284	206		0
19002	10zy2k0xslkuqd972nmi5a6mhl	$2a$07$Id9H0b74Qc6ZvVViFkAn5uD4e.fqqadG7Amybnm2zNtZq3uDstR26	60	2013-08-04 01:39:52.647187	2013-08-04 01:40:18.616939	206		0
19003	10ctfjp817u1pqgvpn3cescv9i	$2a$07$ERuIke/3LQrtOTisz5LiZORAc5fYnBHcpdq/mhvX0HbEHL8E/oc3i	61	2013-08-04 01:39:52.668691	2013-08-04 01:40:21.403469	206		0
19004	10c0naqjtw2q32meon394nole2	$2a$07$6hOmy4OfakfrfE5C1VroXeC6cMWasVVINN.GDM7b5Wq2vNedjt2kq	62	2013-08-04 01:39:52.690272	2013-08-04 01:40:24.492853	206		0
19005	10zxyocuaylo9cq96etu46trek	$2a$07$eHYaXXih28Jdjo5h.ZTa/uP0z6Mnh7deoHRD4k0WOKNyTOkfHL3jq	63	2013-08-04 01:39:52.711685	2013-08-04 01:40:27.701978	206		0
19006	10s3v5rbcq0ulm6wxhb9lfpin0	$2a$07$jhOIu3qrN10y1gEd8LFAUOwN.knlzRl.aivpLqLteqSEpEPCld7wi	64	2013-08-04 01:39:52.733343	2013-08-04 01:40:27.839393	206		0
19007	10jfgn9vcimt9fyxu9nv7w7kjo	$2a$07$jx4YXB0VKs4mtJ1YjadNre2H73hybasUgrlFMuLi504x2djgjfbKa	65	2013-08-04 01:39:52.754772	2013-08-04 01:40:27.988051	206		0
19008	10o4rqea8u5z3b7n49u74abplw	$2a$07$5Hp7v5XL4VKqgayQsCCcDOR1blQvPmesbNmPX.BssLWFzB0XjObJq	66	2013-08-04 01:39:52.776172	2013-08-04 01:40:31.058802	206		0
19009	10ocyghcsixf08azfb4ecdztps	$2a$07$BJBj3H6gUQbwA20MQMhVKuKb.YKv5fSW0W5xPmTQipTEJBrnjgWhG	67	2013-08-04 01:39:52.798299	2013-08-04 01:40:31.200527	206		0
19010	10dr9v94ckdrnjbvuwm407voqr	$2a$07$trF2aJfaTcR4HVx9wXg2Lui6Ww4RN.6W.JFmT07c/mIQf/5S7RLOK	68	2013-08-04 01:39:52.826024	2013-08-04 01:40:31.339231	206		0
19011	10a49hw7ywwnh4hn628v93l8qg	$2a$07$lDnKBVK4j7MAe0ol1aTdj.WqQw2mdFJoOnpM2m1m38D8UHUjmWgTC	69	2013-08-04 01:39:52.853022	2013-08-04 01:40:31.491133	206		0
19012	10q5um1ounocz7131bmmral7cf	$2a$07$PM0pvJukOUAXb49REigAX.eVOLOSHGFQLzzTznJAwQ/CTbeksuPK2	70	2013-08-04 01:39:52.875536	2013-08-04 01:40:31.626917	206		0
19013	101kg7p9tmvyudbgaivsp4s5mb	$2a$07$Y6.WD.Er0A8afo.VSCPGi.jj83Mhfc5/mA9b2Qh94CC3j01Y9rlWm	71	2013-08-04 01:39:52.898349	2013-08-04 01:40:31.76517	206		0
19014	10hbu9fso7wibi1otbzvruclas	$2a$07$skfpl2rqCx086NQXcxfXEevQ8yosHnCO/toH3BZl6.sU3syG0uC0K	72	2013-08-04 01:39:52.937706	2013-08-04 01:40:31.982304	206		0
19015	10fw3zyyg8fwvz86niadop4nsg	$2a$07$OEUE4.MbMKfrDv73Wo5KNuV1j0ZlawSE5/ucPVWXdsE32EjT7N9eS	73	2013-08-04 01:39:52.972311	2013-08-04 01:40:32.117462	206		0
19016	10mfa015vcfmrqs7bodfvgeufl	$2a$07$t44YdIhLOm.TJCUCbxpCuO1C9fGU6utQwQ9JLv5Ra9DE6wEuePPQ.	74	2013-08-04 01:39:52.993931	2013-08-04 01:40:32.242099	206		0
19017	10whbwnki46xyfylwr91ekgql8	$2a$07$9XmAnLVVVfOxGYozr.OXX.llHISqNQ0gPmpGWePSHA/gacIXdPCgy	75	2013-08-04 01:39:53.015359	2013-08-04 01:40:32.385709	206		0
19018	10hcs09tsyf6w7z91n3q2oclql	$2a$07$ZnenGbobpd4X.wqnIxEnK.wYGN03LUbhwNBHJq4ykmz1WQr0BEEZu	76	2013-08-04 01:39:53.036875	2013-08-04 01:40:32.527595	206		0
19019	10qyu3jvn0f8gxg4g5rjtiugtj	$2a$07$uq/rUFhYKKSeHbAlY2RV2eCFS3PhyybUeH6X5wCtKNfEyKqNvmdye	77	2013-08-04 01:39:53.058143	2013-08-04 01:40:32.65871	206		0
19020	10sxjtt65urugij6moooms6igg	$2a$07$3CQvaSTr.v.hMqT/dmdsEuu.UjH9hYmV.eVMZL4kbvBfEP45wn.zG	78	2013-08-04 01:39:53.079563	2013-08-04 01:40:34.202127	206		0
19021	100crcd05me0mav59zzkha45nb	$2a$07$EaCb9skCpSrEf7FT6pAXPuzVSPG7OqLb8mhN1yRofGWFn94lc2lsq	79	2013-08-04 01:39:53.10102	2013-08-04 01:40:34.334407	206		0
19022	108sawprky7mhvp1g95dso285k	$2a$07$qgxW4bINK5dyAhvimSwg/.yq46u/oK5eowtlZiLOrRS26P/LdrDD6	80	2013-08-04 01:39:53.122512	2013-08-04 01:40:34.473549	206		0
19023	10cd7owqpkrs023pyoghk4eze6	$2a$07$o/RgLLBTgiXDyzcNQ5YNCO3AYF8WzPfgoYcslcJVZpTEpif6OaZsm	81	2013-08-04 01:39:53.143889	2013-08-04 01:40:34.608946	206		0
19024	10bq9c10u08mht56xq31fk4nms	$2a$07$6KRcsCKCC0UyGDxvpt/DGuO4667a1hfMzBhJMX.TFNjZG15PInjiq	82	2013-08-04 01:39:53.165538	2013-08-04 01:40:34.742861	206		0
19025	104goobf4to025blcgwx5csfhe	$2a$07$X/QYuNpXOBHRoHf8uNzcRezNd5lWqL8k/mQNCa3c9IJ5eB7rRa9Mm	83	2013-08-04 01:39:53.187101	2013-08-04 01:40:34.912017	206		0
19026	10e4vi72oeil3ydi8igl7fxnbv	$2a$07$oI3ErpyV4nqvA.8fHFe0UeUWSUUjpLKhsMhXULTah1P1OXMflpsKW	84	2013-08-04 01:39:53.208434	2013-08-04 01:40:37.671378	206		0
19027	10k6jmprgbk9o4wxgjteys2ssh	$2a$07$GZZ8Si95Hsw2o0DkP.beV.U/cBfztn30kDDmh1joCSdZJS2Cwke/q	85	2013-08-04 01:39:53.230208	2013-08-04 01:40:37.904779	206		0
19028	10kpsyw4whepb9hfeg1xq4zr01	$2a$07$nt9K.pfrxDW9VvAo/LMM/.p7bR5YRPUWmlO0QQfIg.oSmkgFYyg9u	86	2013-08-04 01:39:53.251553	2013-08-04 01:40:38.077997	206		0
19029	10tlkgml4qz58drnxfzly8mg1o	$2a$07$6djdiTo50aVf78UYZk4BPuZgVRuNqSTPEre0OXdMkaDTMDlL6laEq	87	2013-08-04 01:39:53.273533	2013-08-04 01:40:38.203188	206		0
19030	10qlwnwsc1q05kkl8b19pjb8rp	$2a$07$Wpwl5guanNWxB59tVDdSA.DaDoy06I.8UfgTutgW8iE6RsrWSvnSq	88	2013-08-04 01:39:53.295017	2013-08-04 01:40:38.346671	206		0
19031	10wqgzkfzf5zrp1terd97k8b0s	$2a$07$2Yk9gko2HisKxJfYfw4S9uJfkFi/2mkQZwEpC876N4M5SaCLhWpFC	89	2013-08-04 01:39:53.316646	2013-08-04 01:40:41.39714	206		0
19032	10lxqykbgtp7bd4fkjkc4zfjnl	$2a$07$6M9lg9HuDj4TVZQoJtMjquUcd4YMRX07iZfYhvvLl6kM/8C4wzD2C	90	2013-08-04 01:39:53.338166	2013-08-04 01:40:44.426382	206		0
19033	10bp8t78i5m2uaudioppagerce	$2a$07$.ZGqWlNTxnlM9GQyDFx6M.jhaBpyhTR2fs9bpEdr4MpOeVEdkF5/6	91	2013-08-04 01:39:53.359871	2013-08-04 01:40:44.565506	206		0
19034	10zjmq5ldkh9zt5oeofod6bogq	$2a$07$0zOpw96eKGKya6Fjp/0IJe2nJg7wj4ha3PXULB/njgdzXpGZOZOlC	92	2013-08-04 01:39:53.381327	2013-08-04 01:40:44.705885	206		0
19035	100ct3b9gql3wea3sgzgf4hwm1	$2a$07$B1clg4NWxHbN25xQm4CaQ.0B7HZTIGwCsbvuF8XGmh.PGe.qwpYmu	93	2013-08-04 01:39:53.403877	2013-08-04 01:40:44.842863	206		0
19036	10iec88q5rjza44ngzyyut5rvw	$2a$07$.SMzyu4xaa47AQs1ix3R/uqWdHztEUHGCIb5DLuwihWc0nQ1xWpnW	94	2013-08-04 01:39:53.428456	2013-08-04 01:40:44.958254	206		0
19037	10q32oxv878w9wp8wd0gyfiuji	$2a$07$vhimt5TTJWtaOTWnKu/fl.Tqyg2wRlHz0LDddg6o.TW0LMS8aG/0W	95	2013-08-04 01:39:53.450861	2013-08-04 01:40:45.230519	206		0
19038	104r4z2mwtdk98c25att2a9s2a	$2a$07$H1gy/a39VQ8fz/8D8WSnluAJO4e3otVCpqAXNv9zCMA75oppvPF0m	96	2013-08-04 01:39:53.473703	2013-08-04 01:40:45.364335	206		0
19039	10h3mrqiqx3i4856yx7yt2gmk6	$2a$07$zxW6uCcewllKBj40c./VO.9Z7u.xmqK0Nt017ZB4FTvcT1M6DpDnm	97	2013-08-04 01:39:53.497108	2013-08-04 01:40:45.512818	206		0
19040	1081pw5fmwgvys0qgv274hjcwo	$2a$07$o97pUlPO0ujYzC3yZqTyu.f9elGu5eW7Yvzf8Nwd62UU.W0SFHooa	98	2013-08-04 01:39:53.519383	2013-08-04 01:40:45.649548	206		0
19041	1039d55webrqxscgd1o3pgvo4g	$2a$07$O/sRrmFsLsKCPSJr9YW55.fAp05grDUB2kQ5iiTFJRREeaNEp2p7u	99	2013-08-04 01:39:53.541238	2013-08-04 01:40:45.790508	206		0
19042	107d2fw21790my891e6mq4oict	$2a$07$wDM12ADw3eZAtw7VVpYyv.xdCgZMTzbyi6ivjOt5Q5xh/btzccVtC	100	2013-08-04 01:39:53.56284	2013-08-04 01:40:45.921969	206		0
19043	10lgvr8yk7xchacvqy3d7zo4hz	$2a$07$lJsN1a6RulnMpF30a7Vbv.AH9etIvg1/9XFeqBQNkf6i7b6KChRom	101	2013-08-04 01:39:53.597365	2013-08-04 01:40:46.064668	206		0
19044	10vlywyhfl3drrxij5y3bqk6vq	$2a$07$xyMtjFhuSugg8AJh5MT3AOGejdrNp.eL05I1itMOUJyhEbKCZt0ke	102	2013-08-04 01:39:53.631991	2013-08-04 01:40:46.20036	206		0
19045	106ffax8zpidfiq52hatnkr5mo	$2a$07$wD4h45QzyUCbUerxCHMOXeyiDgKxD5zv.NCUVyPiXlSnHi6tLaLfG	103	2013-08-04 01:39:53.653233	2013-08-04 01:40:46.338772	206		0
19046	106rsdteqfygbsnhi4vtmrhle2	$2a$07$CPS95.yzq1bv8H/gYlni5eN9azgNPEuavUfHNqlIBtTWDSVookUBq	104	2013-08-04 01:39:53.674653	2013-08-04 01:40:46.46742	206		0
19047	103yqua2olg4vjs2rs1goamql3	$2a$07$7xB9rl9EaTOFv.qpV4wLHuLLgW7oaj3JCSjSRlvbPbZk0Rw68/aPq	105	2013-08-04 01:39:53.695847	2013-08-04 01:40:46.605981	206		0
19048	10l3jsd89ildxge4r2ti13lw4u	$2a$07$XO8mE26NFg4atRV/1EZEeeDFmEeVSGAP6JGToyGl9mEGIkafN.tNK	106	2013-08-04 01:39:53.717338	2013-08-04 01:40:46.739001	206		0
19049	10pfv9h54akmahbmb4k1r97201	$2a$07$b1EXxpTMd2qWSHII2HjcRu5NaenRN8B/Re.l4IOt0O05S47bUPZfi	107	2013-08-04 01:39:53.740537	2013-08-04 01:40:46.895285	206		0
19050	101bow0qwk80rjzl9ci51i33rl	$2a$07$sI.CCuIxlPZSDpmrbau.femhLbfKryu946XDrPcVLbyRaT1ZvVgl6	108	2013-08-04 01:39:53.761988	2013-08-04 01:40:47.02765	206		0
19051	108dmm9vko2k33nooa8jn9zyxj	$2a$07$MpDmZ7C847IiLI3lTmKVvOtGs82RgomVbmITjVqXG7hFXYqkheLi2	109	2013-08-04 01:39:53.78326	2013-08-04 01:40:47.192402	206		0
19052	102hv075apc4koh1pal08wby01	$2a$07$D27ZjDiwQP61xqfgE3/fsubjfAWYE7C94F1ClBGm1JvdjTj7gxYsy	110	2013-08-04 01:39:53.804362	2013-08-04 01:40:47.534087	206		0
19053	10a4dgzjoey11eql17gp6bm2fy	$2a$07$loHweeySTqHuaMTRAEQjkuyXLcGyaJfjtuIVhdqwPknOrcJhZtSZu	111	2013-08-04 01:39:53.825835	2013-08-04 01:40:47.66437	206		0
19054	10gzqyey3hcy0mflqddflxudys	$2a$07$pUdMYu5P/OsxAeo.rsYwqeNqs.dS3GsGvDmrp0WsMF/dqNIOJYL8S	112	2013-08-04 01:39:53.847981	2013-08-04 01:40:47.771165	206		0
19055	10ehp5id223x7o70jqplxmi1zo	$2a$07$z0Fi3FW3YL9dKqcmXt7tCexth0UJEpv.9t5q3g/bin3rpJcrMR4XO	113	2013-08-04 01:39:53.869581	2013-08-04 01:40:50.363868	206		0
19056	10jktc3eg5cr6fhwpz5av4ryhe	$2a$07$jGD1zrQmB2inqD6pUscSseLfB5SDXZsZF5Q05v.DdfRama4iVqm4e	114	2013-08-04 01:39:53.890791	2013-08-04 01:40:52.860482	206		0
19057	10gszk24jqrj13li79wjltkyll	$2a$07$wzqS4olYWW.W/L3ZiV52x.SZ6VReR4mKWjWwrl3aOENOQAzZ7SOsC	115	2013-08-04 01:39:53.912385	2013-08-04 01:40:52.980632	206		0
19058	104n3adg586rk6lt07pkcwqlxt	$2a$07$X3I3pvpnEV4QcEYrJDvApubqIhDqX4sMm2j418QMpJl/1sz.v2LcW	116	2013-08-04 01:39:53.983872	2013-08-04 01:40:53.110033	206		0
19059	10e4lt31c1ccj69vnaihwx4bro	$2a$07$dD03WJln3o1BUvPJ.Pbja.FZnTqEpYSlaZ.HWlPwb7u8jAGcPX5tu	117	2013-08-04 01:39:54.00795	2013-08-04 01:40:53.26414	206		0
19060	10y1tyceq68xeaxskog6wtrl95	$2a$07$I8FIrCbzhLJI.Lt6ZnFlCOVAssZjYT8xelJ1Y7U/UoCM20xYWW8ai	118	2013-08-04 01:39:54.03084	2013-08-04 01:40:53.408636	206		0
19061	10mfspr1ne7gkz5i4ozmuwktx9	$2a$07$Sa6TetGrn3sqOoFoQICcm.QN.bCS6DnhEBjyROj5rXR.cI/REsuce	119	2013-08-04 01:39:54.052774	2013-08-04 01:40:53.531985	206		0
19062	10nzd0pbv94qhhy6nuwtyuqhej	$2a$07$ipHxkMYXGYx1fOvK30rFs.hUZL1bhd8QMeqB73awit4es54YntjkC	120	2013-08-04 01:39:54.075936	2013-08-04 01:40:53.644392	206		0
19063	103ub9sjbl35riv2hfu9hqfvnp	$2a$07$Omfz2wxtAhdDCiV9tDIwNeRJ6lJc66vHCQWrgklurFL5HmzSRw8Ea	121	2013-08-04 01:39:54.098025	2013-08-04 01:40:53.770293	206		0
19064	1057wfywyoszpqiymo1j9v83bh	$2a$07$tgRUy/crgfPUvfjXqkAuO.6bTmSihzcpeRxEphcXv77JPHBQIONxm	122	2013-08-04 01:39:54.119267	2013-08-04 01:40:53.911709	206		0
19065	10fkfa35eygelmgic1nf3cud2l	$2a$07$QlYpKCO6gd5V6UOyR0HqTuBGiB/egl2TCNGFii9KmtDpHpsipB2Pu	123	2013-08-04 01:39:54.140897	2013-08-04 01:40:56.702306	206		0
19066	10kt3xx1idyl856wk4a82y3n0e	$2a$07$mxc9KJzr5PN6pslHh4Y4a.CamkvAWdrkEShOyzu3TNctemal5ncN2	124	2013-08-04 01:39:54.162934	2013-08-04 01:40:59.792061	206		0
19067	10zwd444lf1el2zww4n8qk2chv	$2a$07$pCreqvlUxQWkrUaj9mHzXuKwN80troqBaRPfsRcD3eCJOvbsZNWku	125	2013-08-04 01:39:54.185498	2013-08-04 01:40:59.908078	206		0
19068	10rv3behfmc974hoz2weaodszd	$2a$07$t9LuQcxsMBLo/dKvblrr0uF.PMyG2.2.KPRr6YsNAjO2sXQbGgnuy	126	2013-08-04 01:39:54.20694	2013-08-04 01:41:00.049027	206		0
22086	10dozal5rumiotnjkognqghgbm	$2a$07$DgZfe9JAkScsgLqPZ.ka8eA7u5fAkrM3S1Ev2emV/J1bvUVgO5t2G	120	2013-08-04 17:35:56.994074	2013-08-04 17:36:36.6524	230		0
22087	10h86i4tnf90xanaclaahc7cti	$2a$07$F919jLM6qoiuLDop4fYO1eAfgScmwy7saUYmwHSy0GOEsfZOwWQ4m	121	2013-08-04 17:35:57.02683	2013-08-04 17:36:39.326348	230		0
22088	10wnu981ngkfgpolk9hw7vscj6	$2a$07$e4aEWM7Fbn2RmebXJU/xjesNhuGh.lEahKDaDMpgszE8hyyAxuqSG	122	2013-08-04 17:35:57.049781	2013-08-04 17:36:42.338319	230		0
22089	10y0r9rzgckwr6x42wn9u3sb03	$2a$07$srQbRbIdnpcfDfhMHiEHfuu2BsmbrLe1m5gNCHKBS5QFJ7eNKNmG2	123	2013-08-04 17:35:57.072259	2013-08-04 17:36:45.193057	230		0
22090	108k1k5ub0dtx6l7j3824fx6h6	$2a$07$nwqLbOkQEAObNej7w2a7mu0phgtY8rBAtgYXxuKOXEM06ACB/FFnq	124	2013-08-04 17:35:57.096194	2013-08-04 17:36:48.282967	230		0
22091	1049lkjlctk6h7m94odasrczvw	$2a$07$ZfJr0Kd3RbbnlduXSWLRrOVbIyJqiVnpGh8MUZB5I9gLZqP79GLCm	125	2013-08-04 17:35:57.11981	2013-08-04 17:36:48.443838	230		0
22092	10b1xkq8vzas4c4bczpyxw74qi	$2a$07$S7zeMFq5e8GjhXqMLTDpjuuGlm7iyk5jwivq1IctN1WBsOma4bbR6	126	2013-08-04 17:35:57.143652	2013-08-04 17:36:48.563927	230		0
19069	106obhwufkh5uwhtu51yssw67l	$2a$07$e5MArVCpAoiF/KbbAKoyfukhzGSfV1XDFYpjD0MJ8EuaguKGCdSWW	1	2013-08-04 01:44:51.072002	2013-08-04 01:44:54.369687	207		0
19070	10s9vggswg09psp2rgawl4ri0l	$2a$07$YdZ4g323AuvLV5S8YvTc6.evnurfv.1pHO1jQaMocLbvZD5TXphW6	2	2013-08-04 01:44:51.09404	2013-08-04 01:44:54.513551	207		0
19071	10axb03kcsnhbbqftouama290g	$2a$07$qkqR5jIOlmpN9A75a.MVw.70yjT5napiTxN8JuCgEeCZ7WUfGK2Oa	3	2013-08-04 01:44:51.115875	2013-08-04 01:44:54.695275	207		0
19072	10sn6dumex8fy0p3yzzjjp6ndg	$2a$07$5ZO6Wc3VOc/4.uYNGp4Rw.rtMJ6FVDCiN8PSDc5UvCBL3CC6iYzBS	4	2013-08-04 01:44:51.138148	2013-08-04 01:44:54.833317	207		0
19073	1084659zkgwcnnzgtvvv63sjek	$2a$07$/XsDCTI3PsUSvoA0G6saZe9oATkQPJPG.KWplj56bN.PF1vu1JAYW	5	2013-08-04 01:44:51.161253	2013-08-04 01:44:54.983435	207		0
19074	10alopeo64snp95fwdadaxqj8g	$2a$07$dQVEtpLuTSm.tGKwJbSSzOYclqM5kZfhwtslptYJBLEmalXfYg0ru	6	2013-08-04 01:44:51.196982	2013-08-04 01:44:55.118508	207		0
19075	1000ol46fn6jf66bzc0f63m18c	$2a$07$n8lo19Q5P2dEosY3YaLJXeHDEJWW9LbOPjuLRw7.XBBKFqUYK1406	7	2013-08-04 01:44:51.223551	2013-08-04 01:44:58.097096	207		0
19076	10o5jcz1wp2y7o4t0xrjtztw42	$2a$07$GCTG/7KeMXZ5Emprk3pF5O4lWDvw/our8kO6wPZSOt34lIZmctbQq	8	2013-08-04 01:44:51.246672	2013-08-04 01:44:59.730119	207		0
19077	10nbt7k1q0scdysmhh31hctpb9	$2a$07$gsNTQtnx1.la.g9vkGrKtOSJvnhvE9LZJSM.CzG0EC.Bj3pWDiGYy	9	2013-08-04 01:44:51.268914	2013-08-04 01:45:00.716703	207		0
19078	100ryq9pryo12djqy4kp2srti9	$2a$07$sYQd1Qiyz/IrhqNmOxneKOu1DdekeTFOoFAZqJnR.j.LcyzX4prEW	10	2013-08-04 01:44:51.291775	2013-08-04 01:45:00.839249	207		0
19079	10hpenm6j3n83cqajmpcdt3snn	$2a$07$ZNQSC.4rD9AVirufluclRe6FMwVgN/3EE6s31/D/oPwI0KcSQmpbm	11	2013-08-04 01:44:51.319323	2013-08-04 01:45:00.955407	207		0
19080	10bonljc4hcnam4n8krbtvwvln	$2a$07$tryzzcr8MM1YUN7wt7E3iuWY/g81scU7VcQAia7D3YYGZLECXj4G6	12	2013-08-04 01:44:51.342456	2013-08-04 01:45:01.085241	207		0
19081	103o428l2y653vi59jtprfhz0s	$2a$07$Afy1buM8S6pCB2FC.4wGH.7rG3UMP2Inz2IuXFKWghOpkj1RHDy2W	13	2013-08-04 01:44:51.366308	2013-08-04 01:45:01.219577	207		0
19082	10k4obt8tzh6v96y9zl795q0sm	$2a$07$413SxFwuwCTYVmhVOqzLr.L6L84ZMz6CT9SS1msR9Y4ecwBn9i2Em	14	2013-08-04 01:44:51.390018	2013-08-04 01:45:01.357759	207		0
19083	10devrnrzddnu4vbc0nemkw14m	$2a$07$wfsaK7H2yVQO.krn0uA9e.MZ3a4doquP0y2UWBvBnPJKcNMb6EgNm	15	2013-08-04 01:44:51.412332	2013-08-04 01:45:01.495383	207		0
19084	10gik8c16dtdpqwuwzb33i2gz2	$2a$07$qK9lMcrTN4qa98Zd0hM8H.LRRo5DMTXIYsOKVB/R0ZXlM3PXdbaqW	16	2013-08-04 01:44:51.434253	2013-08-04 01:45:01.621413	207		0
19085	10nuv51a5tj98fifdmszbuzdu0	$2a$07$42msmAx9KSia2NKa1ZSAKea0D8Pusem5oZN92VORUU8Q/XPVf2TiG	17	2013-08-04 01:44:51.457506	2013-08-04 01:45:01.762888	207		0
19086	102331bdxmdsxfo4emrs57puqe	$2a$07$lsWSpMw5df.4P.Kzf9/6iud4UvNRJN5gfaiaYF3kFtuYmsqP9tsue	18	2013-08-04 01:44:51.484818	2013-08-04 01:45:01.892568	207		0
19087	10mzlj4xvy8txuyb4hin9oaly8	$2a$07$7uGuREzDwI3E/dw4kVeJbeIPKlmcahR9sRAyM.jS17abXHnbAcPSa	19	2013-08-04 01:44:51.521667	2013-08-04 01:45:02.035429	207		0
19088	10bo4uufhui1d9m7b1q5ct025i	$2a$07$6eM3p4EATx7GfOXcMN0eNeN9ppf9vFFravmZw3JD5uTYTOx20r1D.	20	2013-08-04 01:44:51.547079	2013-08-04 01:45:02.160653	207		0
19089	10e64g29jm1laudsajh0kld871	$2a$07$PlmCxKZnfYcSxy80PZcBkuudx7dXalr7Y9rTigiwzdlZtg78wY6zS	21	2013-08-04 01:44:51.57147	2013-08-04 01:45:02.303277	207		0
19090	10flo7cy4au4il9j48v13vrzs7	$2a$07$GCWoRLJfa8On0mQcL6Lov.k8ouS0GSnTtJ.w8UT48GfosAtbBsBgy	22	2013-08-04 01:44:51.594959	2013-08-04 01:45:02.445341	207		0
19091	10lq3qq319sexzinso8f586r8v	$2a$07$YfcIPyN0L4Ewk67YIRtSN.0FDy5wHEcS/T.KIW1xNr5bc17Pr7SOi	23	2013-08-04 01:44:51.617807	2013-08-04 01:45:02.575684	207		0
19092	10p4g37g6stlyxefcwwmxumt12	$2a$07$b3hqT0MMPE1.1Tq69siKGOwGrsAuav3ykDBXwVp04kGABcjIfnKEK	24	2013-08-04 01:44:51.643437	2013-08-04 01:45:02.710549	207		0
19093	10dj2lhyvq5w3e75x6r6u2rste	$2a$07$cqWUzFd0Y4Mxz4b766iKD.LffVCFd.1UrMoQj.EF2JEoVmxiFIlr.	25	2013-08-04 01:44:51.667662	2013-08-04 01:45:02.844081	207		0
19094	10lwkm8ko5nkkik201ysu67434	$2a$07$DZ0U8nYLfYnYaJavACLvWe2TX1aiub2MdKhchYUR5u8drx984gQuC	26	2013-08-04 01:44:51.693393	2013-08-04 01:45:02.959531	207		0
19095	10kaoth38a9anot3y80v8cn13d	$2a$07$90r.yHWEuqDa1xXBEVirGuA3J8L7uW5.8Ck4QE1LawBd6Zc5h5S4G	27	2013-08-04 01:44:51.723584	2013-08-04 01:45:03.05838	207		0
19096	10svgbdgv7tbqqnhfa63yksrsn	$2a$07$wBvGdpBqVIIIMHlAiYtFCu9CGCAEOecnZf1BqBDvilwDzLv/u3dUy	28	2013-08-04 01:44:51.747309	2013-08-04 01:45:03.160179	207		0
19097	103f50ec4wmkwiwaeaam6ia4nz	$2a$07$ZoQ.3y2HWBwA.ulBw2Yd.uKSC2JlP.NF6rgClIi6RJ2n3tnQOsxCO	29	2013-08-04 01:44:51.785874	2013-08-04 01:45:03.28849	207		0
19098	10o6ntemw2hrawlzt63ywnwag3	$2a$07$x31wz9v4xSC7Kdbcgo4UMuINw41NdHC99chZ54aBv42JI7DoAWpAG	30	2013-08-04 01:44:51.822129	2013-08-04 01:45:03.426604	207		0
19099	10m2tc8x32pyhyyi7ao3pqlqys	$2a$07$FSOkQyzbG4w/YI4nXHJHZOeO2UqfFQmrFSBe6FAyBKej/2giDgXC6	31	2013-08-04 01:44:51.860047	2013-08-04 01:45:03.559982	207		0
19100	10qcx35mcd29hqxr3f806i3der	$2a$07$n/BZNh3GiD7Jlh8EWciOluOoKapL1kEIMbpUN03ZtmoFnLgS5tL6q	32	2013-08-04 01:44:51.887912	2013-08-04 01:45:03.692049	207		0
19101	10dwboxw62udjktevfg5bbf1pa	$2a$07$FtLZyubkxsWQKm2eYUPJDOF9WrfKFOQ1TihafYPRi5Gjr5FdiLfju	33	2013-08-04 01:44:51.910781	2013-08-04 01:45:03.817804	207		0
19102	104u9o9uxgdk561tw83g3lkqy1	$2a$07$3FHWSpg4x4yYkplbydPjOep1YoeIMDhPFAz4wPd2i52cTPt5zAc0y	34	2013-08-04 01:44:51.936115	2013-08-04 01:45:03.973664	207		0
19103	1036l7q380651wjznv1xjn5rz6	$2a$07$XiIpeQi8qmg.gAWK6WcitefXcbV8gAsIiJ7pWvCWdGX4VN0t5QUnS	35	2013-08-04 01:44:51.959037	2013-08-04 01:45:04.118742	207		0
19104	10uufu8ldhop0eogujzj35zama	$2a$07$IBCpnihZwz9Ls0VfoX0KTOWmf9pDTDRsu35VTO53x3fsZaz8NfreS	36	2013-08-04 01:44:51.980917	2013-08-04 01:45:04.269161	207		0
19105	10an8psyka56ziz07uv099fbsy	$2a$07$XI7.jQxOFpPmR8zd/tn4Te2TWM9d1uOeRzKkL3yiNBOGdH5LRdji2	37	2013-08-04 01:44:52.005184	2013-08-04 01:45:04.414095	207		0
19106	10480ironmiviymf9ps09wgooi	$2a$07$XOTbWR2OGagu2aV0/cDMgOs1CMxO3zesdnPOWgYjNvWJ9KN2S/uVW	38	2013-08-04 01:44:52.02836	2013-08-04 01:45:04.564053	207		0
19107	10nkt20ph7ao1op6gkn7zpdte8	$2a$07$4WHOWH7W8XrrUgR1vTZ2Quv97LIZA/4TitE54gAntMj/t.l/NRl4e	39	2013-08-04 01:44:52.060636	2013-08-04 01:45:04.701692	207		0
19108	100o57dtwu4sucdxo8tgid65id	$2a$07$HrVM2DW7fzsFGuN2.XUXpOQEXLsj8GiDZDZerkOz5Bb3sCZ.vrw76	40	2013-08-04 01:44:52.08571	2013-08-04 01:45:04.827421	207		0
19109	10hznylv1wagoc9z41vscqzkui	$2a$07$5Vw2Yehbd30K3oahP28Tle6K9wuqGUXmUVs/DmEy9xgkszm9lVkqa	41	2013-08-04 01:44:52.12307	2013-08-04 01:45:04.956707	207		0
19110	10wqdouv5ett9whx0qxpye5khf	$2a$07$8HOlRcIJ7LsxK3gFJNpg.ubvQd38rJ/Sa92Dm.6LdR357nqm3Qkji	42	2013-08-04 01:44:52.159401	2013-08-04 01:45:05.094461	207		0
19111	10mvdclv2i8w86zeeabxbwsb15	$2a$07$/RE1lU4IQOC60ZII2GPHZeonCNR8SoixCjCta6sffnef5DOVthP0K	43	2013-08-04 01:44:52.194964	2013-08-04 01:45:07.637582	207		0
19112	10xv1pvcg4ztr4vef3h7pcbhhi	$2a$07$7V.d0AQ0WOsvXC/0jtD/ne9wd0GaoCjlJFeiKbgVr5N0nKq6oQBhC	44	2013-08-04 01:44:52.233133	2013-08-04 01:45:10.079359	207		0
19113	10zoiiik9i7qk1xggdjedzm9bd	$2a$07$Pkr4IZEInK7QHLUsZrIm1ulRy5jwttHH8126RcE8PQd566AshPmka	45	2013-08-04 01:44:52.266801	2013-08-04 01:45:12.308327	207		0
19114	10ita1mz15i3n0v806a8756csw	$2a$07$Uc4C5fiaO3TpoP/O/YBpe.HVBI5vsXzYA2F4iVITvYxSfKM1jWu5S	46	2013-08-04 01:44:52.288723	2013-08-04 01:45:12.415858	207		0
19115	10lz7z9u9pkgbesv7wxz0yek59	$2a$07$4GPlqCROdO6MjyFDpE3Kt.07h/3yVzjKy5pq5EQWBeetUTCjbErIa	47	2013-08-04 01:44:52.311766	2013-08-04 01:45:12.521457	207		0
19116	10afmcevzw6futc9pr7b8xq5mk	$2a$07$mCa69aMMgCOU/nY4.ysMyO5VY6VMITlmIG8dPXjNsi4MiWAs/EXOq	48	2013-08-04 01:44:52.342434	2013-08-04 01:45:12.627923	207		0
19117	10g9rhb0mifxmc3bfvb2e3eo3e	$2a$07$zuoHXnXNgKCVeIgIY4Q6c.a1jtjAH0x7XTti1Z.8sCr8S5z2mSdsC	49	2013-08-04 01:44:52.365359	2013-08-04 01:45:12.737196	207		0
19118	10dswwfjlqa71c0bfraec78wl1	$2a$07$u.hAO6H5fAg/Tuckjue2cOAXmVYoC1Gu.3LTGgsscBdvXzzotrvMa	50	2013-08-04 01:44:52.389858	2013-08-04 01:45:12.85252	207		0
19119	10swyd4yzo2tetzjs20ps3c5b0	$2a$07$X43q77FsJovbhSLisCf3HepFTEEzF.wmuDQbGCza.a/xQ9rgo7P4m	51	2013-08-04 01:44:52.41459	2013-08-04 01:45:12.994585	207		0
19120	107c7e4a8nkvz62telnipuzi06	$2a$07$WnqptKcyAeEgEowI.6nEpe4z26Ebhaq.dAy7lYChAuhsckNwg6twy	52	2013-08-04 01:44:52.451035	2013-08-04 01:45:13.138127	207		0
19121	10azvaqqjxrvsn26ibzn6p5915	$2a$07$WK5xuKd2.AM0KLERNqeC5O5E3/wCA2fd72UhQqCf9OEfShnxnaHoi	53	2013-08-04 01:44:52.484537	2013-08-04 01:45:13.250849	207		0
19122	10vb5ilgk7tf0qlv2z97nfvgrp	$2a$07$ZtEMWgH7AVynRZcJh/CHG.1P70j7Cm8zA.76M1BtkLitbpcDPlE3m	54	2013-08-04 01:44:52.506548	2013-08-04 01:45:13.347222	207		0
19123	10oq4h20b6n5yumq6fxxj1cut1	$2a$07$reiaQtqvGIr8eAJRl8y6n.Hl/3FFTF6cDUcgbyivfXfBbF/az/ofK	55	2013-08-04 01:44:52.529729	2013-08-04 01:45:13.462642	207		0
19124	10zsh2tjdug7uvdwmcsuyzr515	$2a$07$reA72DVRIlBIM5bWDNmUN.K3qkKzAId79Y4YaoLf68sUdvP1KoSRi	56	2013-08-04 01:44:52.552976	2013-08-04 01:45:13.600462	207		0
19125	10p1ergg8igjo1z7uu48nn0s0u	$2a$07$pYqke6edQcmov37rPCyBheOu2p7bnVhsPC1gSBdocFoLuUO49pAw.	57	2013-08-04 01:44:52.590841	2013-08-04 01:45:13.73078	207		0
19126	10rhi5g5xbbtvquwt5rzsu0418	$2a$07$BWZfGL0JSTWFhNkTHaIPmOCr2NlDoG7IXHZgwGjlEA6Uq3WWaTXpq	58	2013-08-04 01:44:52.614426	2013-08-04 01:45:13.875576	207		0
19127	10vfnbo0716n6yby4ndhg4v4di	$2a$07$xerrtsQ8g7f8uqJXHWiwNuKbrntl3MO2ZSMC1H9Hl14p8ikLN5M/q	59	2013-08-04 01:44:52.639012	2013-08-04 01:45:14.027642	207		0
19128	10rj859eb3tx4enrofulxstq8s	$2a$07$DB5doY.o3P.IFPw/nsOr/Orx0n9c97VZbio4rGvVhe8Nsw.DfEUOm	60	2013-08-04 01:44:52.675071	2013-08-04 01:45:14.182971	207		0
19129	100fc4urcra83snf08y1ha08wl	$2a$07$pidjM7AuT86Y7WYXSdlUmei3qhBND6SSmkSoi6z/bxr.JsgvnsW9O	61	2013-08-04 01:44:52.699246	2013-08-04 01:45:16.756831	207		0
19130	10dsrjvndftrvh6osij1lrqkmu	$2a$07$t0WI8wQIWK6u7omckfVICeuPYalLhZIZdzvKRLbP/RoEcbVGz74Da	62	2013-08-04 01:44:52.722786	2013-08-04 01:45:19.8844	207		0
19131	10y6lz19xzdiwtf9lzrzf6m3tt	$2a$07$MEGOM4BQ5tUWKRKjhEop8O3WGKzlgtPWC/iSqxa9WrsLXUqjCPcbW	63	2013-08-04 01:44:52.756378	2013-08-04 01:45:23.020262	207		0
19132	10n9x9kka7k42njd56b5w9gz2q	$2a$07$4JAXys5Lcq/fqiRY34JeJ.S2/tqZLO1qae00eYLE5Sas6JbsYsZNe	64	2013-08-04 01:44:52.779871	2013-08-04 01:45:23.144702	207		0
19133	10s262215zqolgbiryjf31caa0	$2a$07$wE5gvUIirATnxYsrae0gOuDuKyoftNJKfgEgTqsDIXYKsNhX1C2He	65	2013-08-04 01:44:52.801732	2013-08-04 01:45:23.278558	207		0
19134	10leb4ujz9nft1ojt9sz2252mp	$2a$07$NpPbmQT4jMbdf7c4DX2JruqO7aeG6OupVGvCx1.2zdIg96cevPgM2	66	2013-08-04 01:44:52.82349	2013-08-04 01:45:24.322846	207		0
19135	10pjnaf6jhpnpz7rznhklu4d5y	$2a$07$P1iAWpdWTXbehj.K4mwxxu82GzFFXJ.f.iwDabVIuGOAyesunH/9q	67	2013-08-04 01:44:52.846274	2013-08-04 01:45:24.429529	207		0
19136	10gxkostlc745oj0jnuvsbxjsw	$2a$07$H52ejhdRR5nJ4ZhXlLNri.e/E7Hg5YtqPCcSbsAYzcIS5sTq4YAau	68	2013-08-04 01:44:52.869048	2013-08-04 01:45:24.54234	207		0
19137	10s6ord81z31t7bfmdi9cd3g3j	$2a$07$sfxOyfJEFw3Sfaqy5X2NPunUVYpP/7jRb3H1CJwUv/ll0RnPvvA5K	69	2013-08-04 01:44:52.891877	2013-08-04 01:45:24.679834	207		0
19138	109smqaziqml1i8fje3i4gx80t	$2a$07$XQOZ3meLdIqu/UNo15CPA.p0yxPyj0xSRHmk6OI4wFLRTz3/8.B9m	70	2013-08-04 01:44:52.913409	2013-08-04 01:45:24.809804	207		0
19139	10rs3ga26ex4scdvk93jixtuvc	$2a$07$5/e7aHAfyXs5ShnyGi1.3u8ooHTVodOqBdGKCEK3UaQmPeitUmwbu	71	2013-08-04 01:44:52.935076	2013-08-04 01:45:24.937212	207		0
19140	10f89wdm2r5l1rbv7p6ssyqsmn	$2a$07$TarHaTQezO83OykQbllr4uORVvP7Urbb0B4YSTwTZZ4WnwvXNymz2	72	2013-08-04 01:44:52.956663	2013-08-04 01:45:25.082822	207		0
19141	10b2nb2iaept0j7mj6cbrlx4vh	$2a$07$lZblHPiP9gcPs67Mt/h4Ku/wvaGzx0nSxh0oJS7cpEz1LJUd0ZXrq	73	2013-08-04 01:44:52.978545	2013-08-04 01:45:25.211019	207		0
19142	10q2zax3vfzaejy9c9oerwrq8b	$2a$07$ZxSOMdFUZZjrk6sEK/BRsuLq3cDpAEZK2HiyRJFCjBu616i1woWmi	74	2013-08-04 01:44:53.000075	2013-08-04 01:45:25.354581	207		0
19143	1099hc10fd5r12m4um8oh6q2pm	$2a$07$DhX8OAc.s.DpuOuqxkq65ucutCJbd01MSeji3eRVucjw3URCRu75K	75	2013-08-04 01:44:53.021709	2013-08-04 01:45:25.497974	207		0
19144	10vwdpca4mf16a09iqnjvia6x3	$2a$07$ruHRS2U0dIhfmA/RR7ZUAOoSLudb8UKby3tqxBA.9myq.rveTubCO	76	2013-08-04 01:44:53.043323	2013-08-04 01:45:25.688456	207		0
19145	10cxypg6tzq4htof7uoss5fhuo	$2a$07$z9uzJVnD2zyEkifYmGy.IurrbKPCNFmbFZI0q8ACb1kDqkzNwBYEW	77	2013-08-04 01:44:53.064896	2013-08-04 01:45:25.838109	207		0
19146	10gir28rzd7r12ips6j65bt1jf	$2a$07$NCrVQw3lCf8ZW07OjNlk2uKVeENqTV1l2hCv7ChMfqDGWoKDeEuFm	78	2013-08-04 01:44:53.087581	2013-08-04 01:45:28.358513	207		0
19147	109jomgwmrmvqqadcvxmdaz541	$2a$07$SfS7fO/bRxObHryxX7EyU.ghTFk7T8B4tfjvF46NM3mx5XhaTd3WO	79	2013-08-04 01:44:53.109347	2013-08-04 01:45:28.505942	207		0
19148	10zw7dfky8umdu1gra3vqxm6sp	$2a$07$/JvwWFcfSO49uSJ1HEfK4eDjmCmJkAgwARWQjAFBd2jjHjHY06Cx6	80	2013-08-04 01:44:53.131909	2013-08-04 01:45:28.624221	207		0
19149	10ajauu4g0ardfvgeibc1ano93	$2a$07$p01wz07qZV8uGwqoQWZpkO9zJGtjeHirLEaboJQl4p8182iJl00Ay	81	2013-08-04 01:44:53.153504	2013-08-04 01:45:28.75258	207		0
19150	10oqrd1lz49suqxbon8z056kj4	$2a$07$ZjZ4n.2HJFEhbNmTNCtMhe1JDqtGeLBVQ.mQGWe81EwUP71jcWF9W	82	2013-08-04 01:44:53.175229	2013-08-04 01:45:28.894278	207		0
19151	10bpxctzuner3dty32fqbgla9b	$2a$07$OkHZLQUimNcof39VKkPHruC7Hand6LO.ahFU1YjU0Zi1hgpOeSIDC	83	2013-08-04 01:44:53.19695	2013-08-04 01:45:29.228957	207		0
19152	10taaaq5gqa23tj0epeun2xlwc	$2a$07$gitQe1VJrRLoidVCPKQmr.FkQLrcqLEkj/lpJe2MccPYpqsRAriLq	84	2013-08-04 01:44:53.2189	2013-08-04 01:45:32.001836	207		0
19153	10sicsmidz9apf5fs1ufwlcc4t	$2a$07$YNqAnwBzfxdRbExSD2s1pe0bx0/Ts14Vdavrg8Yef2ibhbMQ0eUU6	85	2013-08-04 01:44:53.240314	2013-08-04 01:45:32.154779	207		0
19154	10t6j5mh2gt2vw99h5q7cu0oyr	$2a$07$sm7dEO.7QrsswdxnKSsAUO/F1qBe4plE0V1KIbHYwIGQDWfxt96pq	86	2013-08-04 01:44:53.261869	2013-08-04 01:45:32.297494	207		0
19155	10fpqndy41ggqskpo150cy8o2l	$2a$07$WAhb5/BPNT9JQCp4FV89hODue4JNa9Z.rLmmISRvtd2ZlOmmP7.YG	87	2013-08-04 01:44:53.283252	2013-08-04 01:45:32.429031	207		0
19156	103tpgkixx2yggk9m5l35t0ihu	$2a$07$dpgOg9Y1qjwPgONTIOFucubVzH/Z4oLU3BRQImwwnYvvYDEXfswOO	88	2013-08-04 01:44:53.30497	2013-08-04 01:45:32.554885	207		0
19157	10zaq05duhic4d79dgtniizkeg	$2a$07$PRdv.OVP7rIbqRRboNxhXe3O7oQJF1qhlOnoyjhV9uprnuB./x2.e	89	2013-08-04 01:44:53.327669	2013-08-04 01:45:33.639986	207		0
19158	10puvow5vjcw0c7fa6qj3w88my	$2a$07$o5MrJGKKZVmr8pNjFJ4zN.nX8RtdPzsBqgHpBa4.5ivGZ/BEk2ZyW	90	2013-08-04 01:44:53.349476	2013-08-04 01:45:34.635792	207		0
19159	10ptp4e04ilvb0ya5u69j4g43b	$2a$07$dJYfmbKeqF1SfGMvTY9DAOmxPBYxb742ROeoIf0KzgZm.3xxHPVAu	91	2013-08-04 01:44:53.371325	2013-08-04 01:45:34.764647	207		0
19160	10xu5rb5pcj47zdiy1i8p6jbbf	$2a$07$LhEHph78io2WGBR5D7rceuhzlLqG922da0c9gHnK9BH91dNBz9Pwy	92	2013-08-04 01:44:53.393075	2013-08-04 01:45:34.893794	207		0
19161	103zh83mv2md2sftpgfz696ime	$2a$07$9HTtgFZYMTXkAZgaBBJUZOtLvvrVZSI41FXfzNurp/xb54cU6KYZG	93	2013-08-04 01:44:53.415743	2013-08-04 01:45:35.02057	207		0
19162	109zmtdxzalh43hv7mpcr9mw5b	$2a$07$D2uGJ5pOIAK9nz2XGyUq3.t5VrtTB/LncD6GpIum9PeOK/6ZBt8QC	94	2013-08-04 01:44:53.437886	2013-08-04 01:45:35.158452	207		0
19163	107q1xtt5plmq74wmw1w87kj2i	$2a$07$kw7ceJ1K/K2oyPy.BO7H2eBxDcRFmuHRX6vp77x4j.sbU6XOtku.O	95	2013-08-04 01:44:53.461052	2013-08-04 01:45:35.369058	207		0
19164	10aebd08q8gers2zchmnk6lc9s	$2a$07$VjyssbRZ2H0hG.EHtcR0w.sSgKNINc6GqPLpIp2mDPY9jk0HidYWe	96	2013-08-04 01:44:53.482798	2013-08-04 01:45:35.509289	207		0
19165	100drlkcd0mtx354b5legwnkmk	$2a$07$jbew55y8aKileOwJZGhliueHGhofa./0LrSPzd/ZkKWrE10GAq0hq	97	2013-08-04 01:44:53.504544	2013-08-04 01:45:35.654134	207		0
19166	1055r7lc35ubuet2bg6vb5e2gh	$2a$07$4llcgvrj5TBebI/ZIVYc3u3Zt2GCU0TW8zomplPcrsoaUJz5JAGx6	98	2013-08-04 01:44:53.527204	2013-08-04 01:45:35.785408	207		0
19167	10g3wz30srd7uf8e6iw9m1ewp6	$2a$07$NMe8RBqHqecxeS9XxUyWiOAQChbHJ9gE/ViunyUPbwJJk.9/t8M4S	99	2013-08-04 01:44:53.551091	2013-08-04 01:45:35.905275	207		0
19168	10ke3gvk23h9y65gnqarg9otbd	$2a$07$2e7w4fhCVqXiqP7C/kjhPuZH3ZFB6Kp5NFdApJcrdEXMij3rfeWWW	100	2013-08-04 01:44:53.572843	2013-08-04 01:45:36.031548	207		0
19169	10q2ehtargqj2j4vv7ocsgazss	$2a$07$TaGaTG42jwstIp5ej1XEHueisyh7PAtuuokyMw9uKUQ9gQflX8YU2	101	2013-08-04 01:44:53.59677	2013-08-04 01:45:36.185238	207		0
19170	10l3y8gudjor9q8vcb6c2w9oo2	$2a$07$6EbuKJiHQgGjaLmPwkpG2eAelii0toFN3mE6bPJW5Lwxwr05m1Zhu	102	2013-08-04 01:44:53.621301	2013-08-04 01:45:36.331942	207		0
19171	10zgaicwwnf5lxj2hf08anj2jv	$2a$07$vHJjPLXT7ElxqG4L6vF6jecTw.4d7/N3kDwn4czU5tIxeun6dfjAq	103	2013-08-04 01:44:53.645336	2013-08-04 01:45:36.476177	207		0
19172	107pihm72w536zbs832lri2ej3	$2a$07$B7AieyQN1YZG5sE/z.jEb.1Ucm8v6tEmf0T7AcYYgG9eENQXsdn5.	104	2013-08-04 01:44:53.669179	2013-08-04 01:45:36.612302	207		0
19173	10vugru8xlidug5m2twb7umnfo	$2a$07$PGeTpYAI7G531S0Gbk/Xt.ngiAfLiBz8v5StnnXgvDLgx1u4jbwYK	105	2013-08-04 01:44:53.692722	2013-08-04 01:45:36.764766	207		0
19174	1073f5p18x070psalf0m2xxsan	$2a$07$P45sNq4Uc5BU1kbQ5801n.bOUeoLyswcSEiA3tw44qlC.Cg/a2KSq	106	2013-08-04 01:44:53.716839	2013-08-04 01:45:36.895868	207		0
19175	10mlwi7nr5cack9148hxdhonoz	$2a$07$v7HXylk.Wt2pRPdYIe9mgOK2ii6zmmB6mT0/6AgZYz9dfM6bsr2UO	107	2013-08-04 01:44:53.739491	2013-08-04 01:45:37.038724	207		0
19176	10g7znrm4rm3fxjddbyof5ldfd	$2a$07$0uI5QDVtU/lDHht0BVHhD.a34C.BIy.dvewG6fUE3Oj50C1DUbOwK	108	2013-08-04 01:44:53.761146	2013-08-04 01:45:37.172015	207		0
19177	10y8jfczmrv85tnf842e9ibhkl	$2a$07$oKRExCkkyq.og7TZPDOLme0v4TKqMzAB7Ej.2zx6wbvS9MARRIBny	109	2013-08-04 01:44:53.784085	2013-08-04 01:45:37.389973	207		0
19178	10bfozrqevdf2jcvqku0agcrtx	$2a$07$nrDjkIoWlKFA1QfX/qnVzu4REITFgADN/qa1EFel4PgH513tdlOUi	110	2013-08-04 01:44:53.806526	2013-08-04 01:45:37.506323	207		0
19179	109bm4x0gomxndqwizyq9aaf2g	$2a$07$TNyGxBWk5iYEiKqJcM2BGeK9a8otwKB1osU9nNgaGpTqSMqPnYjn2	111	2013-08-04 01:44:53.829998	2013-08-04 01:45:37.635636	207		0
19180	10l1rdl91y80vion5y62dqigdb	$2a$07$hML2GCcL8TWQVE/VzgvcNeHBolsXysATJ0PSfD81N8PnJTWqPYEbq	112	2013-08-04 01:44:53.853036	2013-08-04 01:45:37.775555	207		0
19181	10sra4887r0xxn186dtmd07852	$2a$07$eZ66bIj2w0igSNhmOZ5JPO72jUheCqUceYqQaTOpwo/xXjGYGVCRa	113	2013-08-04 01:44:53.876524	2013-08-04 01:45:40.696246	207		0
19182	10m44arp53z1j0by60jtp1zle9	$2a$07$JIolbvZ3FS8kW9pZpVHpzOURFkTFF9Lb35Jcaypv9Qm9JqeEnwv2S	114	2013-08-04 01:44:53.900976	2013-08-04 01:45:43.210049	207		0
19183	10nrzpi79vr79u33u8bpl4og87	$2a$07$d85C2FyNKif.YVX/v8yxHOAFTFWVFBT8xzyMd10zqzW5IaiLGFnw.	115	2013-08-04 01:44:53.928748	2013-08-04 01:45:43.352774	207		0
19184	10auk2sklh2ngwo4wz6qgcx56q	$2a$07$WF6uVBZ37ZjRHCvsNz1BCeZmxtopvks2b.UEUf8mlvYc6fEodIXe.	116	2013-08-04 01:44:53.952786	2013-08-04 01:45:43.49503	207		0
19185	10gm2wxusasr53ggjaiytnl120	$2a$07$xy2KsbxwGs1IhHlnKsrTHuXdl20.u4rPskCQ7VqIZNhq44U7AC2Zq	117	2013-08-04 01:44:53.977395	2013-08-04 01:45:43.626676	207		0
19186	1013uqssa1gkgflp8ev06pdlig	$2a$07$X8HTuNKyGvVNmo3Z40i2veGT8xkPOX9dZxKtaaUKC2.eDkAjKaZgq	118	2013-08-04 01:44:54.010641	2013-08-04 01:45:43.760002	207		0
19187	10u4inmn18ydq3qsiadydhn6ru	$2a$07$nmqsubyzhnSCSTw7dwDsKevhxXIVN9SNtU/pQMO0xtkTw9PNb2lwC	119	2013-08-04 01:44:54.045098	2013-08-04 01:45:43.899704	207		0
19188	10w1tmpz2hnys45pu1gzgrf9su	$2a$07$gsiJWixYxY9lfvmMBHoDXePfkV1/09Nh1tEwZNr8Ry6vCzU30yQTK	120	2013-08-04 01:44:54.067788	2013-08-04 01:45:44.019023	207		0
19189	10gvqquwebtwes5mjk1qqdcyg8	$2a$07$FD5KzRXDR7NvaIlGLevU2.dM0PYjazpzQTs7lYL2EzWjWKcwAjbXe	121	2013-08-04 01:44:54.089995	2013-08-04 01:45:44.165793	207		0
19190	10rd9kovpw69fh5hwr4u4fvr5k	$2a$07$9iNPRlyXWIocW2JfbB5z4uyLHa8f6wGe2JZaUl7Tzdbx.F/XoitMK	122	2013-08-04 01:44:54.111577	2013-08-04 01:45:44.311299	207		0
19191	106kicz7kbd2n6t6g9vr31dwsq	$2a$07$kRDVzmlwatVsY9fzdWXK8.ci1dSZHaxi6jpHKKMR9QgGG.7o2dynW	123	2013-08-04 01:44:54.134322	2013-08-04 01:45:47.086623	207		0
19192	103cbkjsu4sk2diq1bvpvmviig	$2a$07$HFhrcJU2N/GyFNyZTSxLsO90w530ve6kVWgC.S3Yg3Ur.LQxNcmdK	124	2013-08-04 01:44:54.156385	2013-08-04 01:45:50.180169	207		0
19193	10ozwn58i0na9f2jjdsb4lgykh	$2a$07$Q.Gkk5ug9eshJE0189G9Q./QfxiuDOxGzSQ1mqD78.SjE0XbWAXqq	125	2013-08-04 01:44:54.178404	2013-08-04 01:45:50.31679	207		0
19194	10528p24lbf9jewf2vvmqad598	$2a$07$4uDGqQrUdb1nL1hsXbwF5O7KwFcsk5cCNj6.nqPHaBmCUxfSQZS2i	126	2013-08-04 01:44:54.200667	2013-08-04 01:45:50.455591	207		0
26755	108bygzivot1zv38krjn9o7ysr	$2a$07$I9TcENEBeWXSDjqjz8VOqOcdIKk4i7F//sqMunQE72rW4l2i8C7o.	1	2013-08-04 20:56:19.056251	2013-08-04 20:56:22.305607	268		0
26756	10yeoohy5vjg1tfauojjpxq1yj	$2a$07$1CrfdJJIQw9UyzBLlepb8.dezwe6mHzerzjlYvx/A9jFY72EdFIaW	2	2013-08-04 20:56:19.082797	2013-08-04 20:56:22.465293	268		0
22093	10dpaip12ic5z3pfarfsu2zmgs	$2a$07$pDTP8ju7dDxdEYAXObhAVeWnYojA.ycUG3IzSCejch.mmF//TgWJ.	1	2013-08-04 17:40:54.120046	2013-08-04 17:40:57.132699	231		0
22094	10chfosrj0nial1ulm4o4rw6ui	$2a$07$MK5d4nRcoyKsQgWf9SMXD.BRp3kcKhIVDtR409SkNZ/MHKLLEJdvK	2	2013-08-04 17:40:54.144387	2013-08-04 17:40:57.258774	231		0
22095	10vnxde24zhv0sk9l4ymctvoqq	$2a$07$J9u5H2Z7N4ZTfB2cz39YD.sfE9rgPBebWNVmB.tUXxsgK6jGxRzeK	3	2013-08-04 17:40:54.168227	2013-08-04 17:40:57.397749	231		0
22096	10fz8c2eyanwjokmtyrgn2jlg0	$2a$07$HS68m0NkZKjnGqOHKZlTlu/xsyqwcC86i.TA7Pm3xJTBA8tgbNw42	4	2013-08-04 17:40:54.190183	2013-08-04 17:40:57.5525	231		0
22097	109lp6wjcnm145bfnn1vjfx974	$2a$07$L63ox/v1NGFnanQw/M7fSO.cbGoxaFw2rNCXOzQ27NdAil6qwMt7O	5	2013-08-04 17:40:54.214584	2013-08-04 17:40:57.698827	231		0
22098	10jc5e3igcsednqgrj6u6v93rs	$2a$07$tPJmC/fUq8HeKGUhCaqSn.7qpijnvteP18r64q8AGLvAIBvUQMqe6	6	2013-08-04 17:40:54.237348	2013-08-04 17:40:57.816259	231		0
22099	10czlj6xwdlzalt8hnmbnlmg4k	$2a$07$8YbImg2jVN5uo61cy7MMZOcYfriRT.nNhTssQY8pfLJxg.pcpgZ/C	7	2013-08-04 17:40:54.260074	2013-08-04 17:40:57.958789	231		0
22100	10613qtsfxyodwlbketxkxf99e	$2a$07$NHXRThHkyp.TvpR/q2R4L.01EdGcLJTQTA3G1You1zH.aL/upDThW	8	2013-08-04 17:40:54.283037	2013-08-04 17:40:58.098891	231		0
22101	10cpvtbgfe14a8rz6com9tnzvn	$2a$07$QWejteYluABEZVc2LqObiOyLk88g5D7ih.EfN5dFzkmYHDTbPpfQO	9	2013-08-04 17:40:54.304593	2013-08-04 17:40:58.231121	231		0
22102	10w15v0zcogta6f2lwwpmucmca	$2a$07$jalBaYHskLIbeHuTpPjz4OWHewgV0rNWzHfczd2w4AzPdDBv.oSra	10	2013-08-04 17:40:54.326518	2013-08-04 17:40:58.344383	231		0
22103	108e9868q3fjdpy2vl22ibgfnc	$2a$07$lbeuJv/YqhPLTum5HTtSo.PuyZZbjLoddmNpbXIlsa9oAiXj5iI9i	11	2013-08-04 17:40:54.348476	2013-08-04 17:40:58.462115	231		0
22104	107voaoecz8tc247lka5zqwgl6	$2a$07$qsTMynQ9ObCflLQhYO5x8Ol27LMRcm1nYtC4oxtjcKMBiqPJWeWzG	12	2013-08-04 17:40:54.370137	2013-08-04 17:40:58.593962	231		0
22105	10kfqhvyeaub1cojvapmg0lk1e	$2a$07$3.iFbfoa3Vu1o8DN.0S1EOCva5UQZWv018L7YEckpLL7EqxdrNMS2	13	2013-08-04 17:40:54.391688	2013-08-04 17:40:58.746662	231		0
22106	106yhj1uak61vf8d2hvgfumrcn	$2a$07$YnjlrPuwokEKpU0gf1kXdewodby3gZWzqY.5NuvYaJY2nAoy31kFa	14	2013-08-04 17:40:54.412977	2013-08-04 17:40:58.889904	231		0
22107	10umwzs6zv75p9eo19t0z0dcmk	$2a$07$7T7yPyAwCXOSKa5Q6LQOuOTGa31qEnvhsWaNPRy320v4jl4zu30LO	15	2013-08-04 17:40:54.434838	2013-08-04 17:40:59.039115	231		0
22108	100zxqr7ehi6oeku5tf5y3cz06	$2a$07$3lYIYbnG66U0TnSb3JQGjOCCcSCuP4/kWYU6oYU3/nti3fIXJaNxq	16	2013-08-04 17:40:54.459014	2013-08-04 17:40:59.265942	231		0
22109	10ojwrwxu587bu0k2ixhm38wg7	$2a$07$nEGG8k1Qg/c1HL1MswurqevolwocSpeD.OBZvuJoOkPnYO0YGo8ky	17	2013-08-04 17:40:54.480813	2013-08-04 17:40:59.411331	231		0
22110	10ipol4i50j15zhsycty1yrirk	$2a$07$lvIeHRAoL1qHQ4kE0ngve.SEsBcZ5klAM5lu/tRv.0kYxxHIdu6TG	18	2013-08-04 17:40:54.502456	2013-08-04 17:40:59.544539	231		0
22111	10z5391p77ze5dttki1lj1f70j	$2a$07$zyUI24ZgzIGqiSlBPNKDo.phhj1Zbhaw2ybQJP2Rnkn/1OcM4FA.q	19	2013-08-04 17:40:54.524079	2013-08-04 17:40:59.734408	231		0
22112	109exymblz53b2bh94qpltgsjy	$2a$07$ZlDr80s5kDOXVK4ow.npV.c79YmhID5MY9JTZxCkFuZltoiHmiWa2	20	2013-08-04 17:40:54.545661	2013-08-04 17:40:59.891793	231		0
22113	10vmduppe99ehu7absorgh82r0	$2a$07$jM.Wf3.LotbG9ywOnj5CZuOgbjsrRc17oWKC1DCI2uu/2UO06m2M6	21	2013-08-04 17:40:54.567482	2013-08-04 17:41:00.033416	231		0
22114	10y8dxiacinlkj8cynsd9tijrr	$2a$07$TzkTWCFRLh.nmrUd4pjtbu.qgOBTdMUJxfUI55VWn.P89v3WsS4EG	22	2013-08-04 17:40:54.589053	2013-08-04 17:41:00.193483	231		0
22115	10zryjrui1l6mypp9q79b5kqgm	$2a$07$.Tw81WqySJ2tdw2kWoxkSuaVCiqA2YoDqAYY2gyS2zLu2fF.DkzqO	23	2013-08-04 17:40:54.610643	2013-08-04 17:41:00.353749	231		0
22116	10zc7kzu9il0hczkwsyeoj2loj	$2a$07$XuXY9ablzdzGiFvaR3hSbOzz7dz5yWc.Zv05PvGckI7tt8DA3tMye	24	2013-08-04 17:40:54.632177	2013-08-04 17:41:00.476409	231		0
22117	10lgo51wn83awjt00jntzh09fm	$2a$07$LFCLyCOLMXC4ZiXl.wkr8.JoW8/G/Dn6U3Rrj3mvoqQsX3gICbTvq	25	2013-08-04 17:40:54.653741	2013-08-04 17:41:00.602598	231		0
22118	101lwrg4xvttmn1tfav4t2fgrf	$2a$07$Nh4LVv.UBkyOBjRzfsg7MOa9O7Ei8/YlDDnsveYb7DMC7Ccq1gnYG	26	2013-08-04 17:40:54.675377	2013-08-04 17:41:00.730393	231		0
22119	10vikkuquc90h57m77al6j3yke	$2a$07$y4LerpbxD7qpTKTZbGT1fulmtYCVQplVPb05l3wbpkuX/IO2wjPM6	27	2013-08-04 17:40:54.696971	2013-08-04 17:41:00.879318	231		0
22120	10o9iid4au4ulef3eawzxkvntk	$2a$07$ry5htlbC4lPdL.yEw9aJeej.2QhvYk.f8CzblaFglgjgfjhdQXs1e	28	2013-08-04 17:40:54.718828	2013-08-04 17:41:01.00612	231		0
22121	10led7h4ej1hnejg46keq9299q	$2a$07$iHH7OjQKk/2SqWVOIVx.Pe6qU0dFAA8l/kMdT.kB9VL0P97LA9zci	29	2013-08-04 17:40:54.740442	2013-08-04 17:41:01.191255	231		0
22122	10y1ojulwmfnli24diu3j5b0z3	$2a$07$z0ocJPTiV.GlLmYt8TSjKeGB0ELjGSmvQ1Llutx1LGlD9Nq8U/pt2	30	2013-08-04 17:40:54.761948	2013-08-04 17:41:01.327658	231		0
22123	106hgqcm94ukqzocknjhz0f2zs	$2a$07$RxcMtL1TBjA.qOiw6Z/qP.q0YtlI0k0D04fZ0iLdKaFhvXE16R21K	31	2013-08-04 17:40:54.783533	2013-08-04 17:41:01.443606	231		0
22124	10lyi5ec1in9rjuwh2q4b588ah	$2a$07$kAzbAR0MEaItitYQ4Ha4FORx4NcaZAgdpX1L9qveGKAnRyDvsG7aq	32	2013-08-04 17:40:54.806058	2013-08-04 17:41:01.579776	231		0
22125	107ck3n72yym1hyfxijgdup0db	$2a$07$WbNR6tjBXPbsCZHUFEf3B.XUI.Y7T9B2Jf8A0w2h1M9pIdnsEIWvu	33	2013-08-04 17:40:54.829226	2013-08-04 17:41:01.724695	231		0
22126	100ofimt7r6lpjdfk6o9qdkum5	$2a$07$UlkDkdK/LKKuzKhz7fb55uxyQOUOAzVCkquYg9BqBIwy9rA4ZsEfG	34	2013-08-04 17:40:54.852248	2013-08-04 17:41:01.869347	231		0
22127	10xve2vddr6eact7cuum0rfqdv	$2a$07$K0GqMNk5uZmK0WIbAxPGh.QqKonMN5zYcDXzlg7gQ4nM.NiOJTM2.	35	2013-08-04 17:40:54.873942	2013-08-04 17:41:02.013275	231		0
22128	10wotbcxwykoyksegqbhgkhytc	$2a$07$b3SPixjRyyWSiBGaZOhKyO6P7rmPWRDiKzSPJzOvfqzOnELhn3/fm	36	2013-08-04 17:40:54.895986	2013-08-04 17:41:02.162199	231		0
22129	10l8i7jts2u9yhhgu675jabzog	$2a$07$.8UMfMjBle0NolQODq9CVuxQrwabAmxEYTvE.Z0FglNHL8xojvg4C	37	2013-08-04 17:40:54.918683	2013-08-04 17:41:02.302935	231		0
22130	10h1ip3bdncurvy6pebcdy9loi	$2a$07$Wg1KcDBpvQr0PRrrj.dK/eRmhodilpa671JPGeiEMUONU7y1VGm42	38	2013-08-04 17:40:54.940548	2013-08-04 17:41:02.456177	231		0
22131	10nlqoejlvsgo08ikoovgsvifx	$2a$07$A8JBoCy4AtFNtVd739K47u8gpK9LwZM8Scezks.xrSjCltwOLMCqG	39	2013-08-04 17:40:54.963154	2013-08-04 17:41:02.571201	231		0
22132	10tym43ek886v72hexpqzaweyo	$2a$07$vbW2XxCd1dTSVtJiuaJGwed57fgSaFbnWJXz1j4AuzOc3fU//LyHy	40	2013-08-04 17:40:54.984921	2013-08-04 17:41:02.682633	231		0
22133	10wfadpqjlow0przkj1vv2png6	$2a$07$zatnpb6dxEXQP/SEsLfklOQiOKBN4/0d1HMM4PqD2RA0Yjiwi./sa	41	2013-08-04 17:40:55.007728	2013-08-04 17:41:02.775998	231		0
22134	10vd42nvu1jrclr3wexl4whiaq	$2a$07$hHua6Msva1WO2T9sAP21R.52Bn/nmICsrr6E7Q2FC5lf8NXmS2m6G	42	2013-08-04 17:40:55.029623	2013-08-04 17:41:02.877142	231		0
22135	10haxbjoz2dovg0ybwul6dr9a7	$2a$07$PmKcZzksQYxMaLsjLVzuk.FwY8waZ8KqhkuzpP.NW87yxiNVQgdIO	43	2013-08-04 17:40:55.051265	2013-08-04 17:41:02.980134	231		0
22136	100ui70pui3vkkioa9d01revq7	$2a$07$mNa2p1PaLKHcrm/h7Fo0K.7GDI9C5sCC04I.IZ7mXs0tG8HjywNdC	44	2013-08-04 17:40:55.073408	2013-08-04 17:41:03.097582	231		0
22137	10vkhk7ai7yfn56e6p5vczmo1v	$2a$07$BD/OSRc5563iqtwYGYKzRelROyV5DmGQ.m.dkTo0YzRXMSzW5PjfC	45	2013-08-04 17:40:55.096268	2013-08-04 17:41:03.233702	231		0
22138	10espdq949yllc7mkhi04ag3n3	$2a$07$XGoXqtPMiqn5/NbJVr7KVeN3P93jjaR/rPuXMjzidvid8/wcdXvNm	46	2013-08-04 17:40:55.119298	2013-08-04 17:41:03.375224	231		0
22139	102yx81rtoxzpukkqhrc5q1um8	$2a$07$U0cPvqcSAg.Hh6hcnFgB2e0Hedsr8tBxzWufSF9X5etHccYLPgDt.	47	2013-08-04 17:40:55.142102	2013-08-04 17:41:03.5091	231		0
22140	10z2bqo9mlydevz5xt34es6zba	$2a$07$g6pcDwobobVXgwHhaVMXm.j1lp.KeIeR1zeJkDP9pEtaNzH5V7Wme	48	2013-08-04 17:40:55.168617	2013-08-04 17:41:03.63199	231		0
22141	103sr57x2qut2dj1yrni8odayr	$2a$07$GS2Ddci/B7wI/UM9JXM2FebdIwka45swkxu7HdEHOFa9hNVdXxWVW	49	2013-08-04 17:40:55.193668	2013-08-04 17:41:03.746617	231		0
22142	1014ubtg0rbdx6tstl8w3imkep	$2a$07$XyeWjqWZmgOz/t3VE5pXFOSgOmKV3.R/jbvG24hyXkqSQ2a32d5uK	50	2013-08-04 17:40:55.217118	2013-08-04 17:41:03.887259	231		0
22143	10epsfxdl07tibwg0naefqvr54	$2a$07$wL9fIhuzd6EYQ/j9BWcLSeK93t1jobG/tvoEtJgy2FfCcgD/dsfjm	51	2013-08-04 17:40:55.2425	2013-08-04 17:41:04.025262	231		0
22144	10jtp7qdjzn51vacwq9widu1ui	$2a$07$U1EJ2V4LAkTv0uWZgUEIHe8M/D05tmzRODEz2Zqv/LAP8wXTM0QxS	52	2013-08-04 17:40:55.265446	2013-08-04 17:41:04.210608	231		0
22145	10xy59hjxnd8vjjyf8c4jplhey	$2a$07$Y2/wwbEJnym0SAxN0OHV5.5xXopnp5eAPS.vVYHGzMMq7zABc2xxq	53	2013-08-04 17:40:55.287051	2013-08-04 17:41:04.369286	231		0
22146	10ytyauqe568gtpced79po17p0	$2a$07$b5k.xadutLpAznX/AlTax.12fgdYy6WVhdO7JmkdIlrJwf322194S	54	2013-08-04 17:40:55.309875	2013-08-04 17:41:04.549631	231		0
22147	10rpgf5ke4uxi8sdpyszo7kzm3	$2a$07$FiCNx85JdmiS28I2mE/kP.lW8fSQ7IsGdCM9mofTdNzmiav80RHRu	55	2013-08-04 17:40:55.332471	2013-08-04 17:41:04.688056	231		0
22148	10np5kihq2ut1r42c5ogkd661q	$2a$07$mTfsV33ZGF57LngSseIucOmVu1MFbFDVIlGrOvYoEhVJ7oQ.bPEde	56	2013-08-04 17:40:55.356459	2013-08-04 17:41:04.823816	231		0
22149	10yqgl6qtyopmdv6ssvo86zrmr	$2a$07$9ZDdrx1R7xJ94YXZ9dDjgOO9siIX5hiRJ8OsB.W1Md3j1TPZxAoCq	57	2013-08-04 17:40:55.379565	2013-08-04 17:41:04.95343	231		0
22150	10rqcwgfor6znyxigp0x1lscls	$2a$07$WlDSxnQuskY1WTqgO0JsxOHA6WROHKsKRD2JQ6mrC9rFXJ1A4FSTa	58	2013-08-04 17:40:55.401085	2013-08-04 17:41:08.294452	231		0
22151	10x444hodmmb9dpnreyj469bfz	$2a$07$AFNBaYaafKiEgx6YT8AG.uvy7ODYNgKUfR0kXnHUZGOkyQZc4UiVi	59	2013-08-04 17:40:55.423908	2013-08-04 17:41:11.539583	231		0
22152	10daim56uobvgycfn33umbq3dg	$2a$07$lUmI3x7tq/KbDEw0pF0cluKNHDJkcbDpyzim3vd8dCBwVj79QmEle	60	2013-08-04 17:40:55.446178	2013-08-04 17:41:14.801452	231		0
22153	10l561nxrmtkru1sn6vqk3gy1a	$2a$07$1vDIQ9YVwaz11EpfuEvJUO37uYbH/cb1.0WYzp6kwLOCcSsMWRm26	61	2013-08-04 17:40:55.468736	2013-08-04 17:41:17.675561	231		0
22154	10qugh9997v2p7197stsyzpoqu	$2a$07$NDPtCkQocvxXJupk70x4behIoN1o1DAkXZZZPn.YO4BucS6e8H4Ji	62	2013-08-04 17:40:55.491529	2013-08-04 17:41:20.705762	231		0
22155	10qwcjwzufdta2ugitxxi8l1lp	$2a$07$4nSJWs1.tbG3DOBixpdBK.YCgbN6qQPyAUH4bzo23cr8JiFB86gaq	63	2013-08-04 17:40:55.514371	2013-08-04 17:41:23.897885	231		0
22156	10qrdppv6q6d32rg66nrzagi64	$2a$07$PgqXh0EMKmA4Pt88zj1Uqu4mIrhVM2zX/v4fPn01ETWwrt/ZAK9Rq	64	2013-08-04 17:40:55.538594	2013-08-04 17:41:24.036442	231		0
22157	10uu9xhkprcz4h3ohhgu661hbk	$2a$07$NaRygiSbKy.Q6TzbpmkU1.FJFj4KjHBcoO9.5UYlL4leoQy6RpFJK	65	2013-08-04 17:40:55.561178	2013-08-04 17:41:24.177436	231		0
22158	106nw4gvfr6tejh9r6dgnjb2ns	$2a$07$pKjhW3NoEGhN7r5IQyYyV.keDXO/E8Uvvw0JizMi5LsGb3pvmsG.S	66	2013-08-04 17:40:55.582873	2013-08-04 17:41:24.554992	231		0
22159	10lt92twubzmst5qtgh3t88ibm	$2a$07$WxIdVJchTCQCCh4eGqnROuuHnzeE498GojsVFzfDwuQziCmriE3t6	67	2013-08-04 17:40:55.604437	2013-08-04 17:41:24.692413	231		0
22160	108jzzj3yxtpjjvf441blgpm28	$2a$07$7HMCAloAfg5X5Fcqoh951OfJjtmFqIH2r.j.w2wdtWeToIREFgi.u	68	2013-08-04 17:40:55.625992	2013-08-04 17:41:24.824401	231		0
22161	101hisr5zx6wc5ju4lm3h2ngck	$2a$07$dIriOn2CvrFTT30OQeAs0edfgqm9SHjclFNwylSJXFgEh4ehxejyu	69	2013-08-04 17:40:55.647714	2013-08-04 17:41:24.986102	231		0
22162	10pf4029ls31n0nkknz73w2cgr	$2a$07$2cL/8XnZPsbxkJyX7NeLaOhHOx6xaSqpr0ZaY5P6UY.TRjbQRW4TW	70	2013-08-04 17:40:55.670567	2013-08-04 17:41:25.111606	231		0
22163	10rppzomfol58kwi59i3gecfxv	$2a$07$17/EYk5NuqN0xzm.0iDAMuf1JXY.ZXUffUo9pTMWKVB/XE0vWxxEi	71	2013-08-04 17:40:55.698979	2013-08-04 17:41:25.219476	231		0
22164	10g18c40clbbn5420cex0ak02w	$2a$07$Jcsh/FcDu6W8RYILpwrwRexP3gkAfYJfKrvcpeelTmNR2/6F9jln6	72	2013-08-04 17:40:55.731725	2013-08-04 17:41:25.353382	231		0
22165	103ruxl8b77wrt39c47jo008in	$2a$07$PvIbVPC5La2eJUx0O8UJy.njC4LiiR0JcL3Nx5LXB5qx43genYd5C	73	2013-08-04 17:40:55.753465	2013-08-04 17:41:25.493321	231		0
22166	10aaore904uvirgwz6f3k1pvtm	$2a$07$blwCyLtX15nECKzTbX4TUuMnG40iXWqbfHpP.T6s1hGYKRwSt1yA6	74	2013-08-04 17:40:55.77494	2013-08-04 17:41:25.632324	231		0
22167	10iwx2zvwcxh59m11gkbtvne1a	$2a$07$2cdeJr2rxulmGK1IM8KwquRrTn2bDkfwf36NnlUT5DVTNa.E5IMry	75	2013-08-04 17:40:55.796334	2013-08-04 17:41:25.898684	231		0
22168	10gqxzbmcf8o7efj8xt497chbf	$2a$07$dix11h3.ppTqdnFUTUx55uzd0gwjgLRb5v3W9FgRBXAhUerbrZ4Oe	76	2013-08-04 17:40:55.817787	2013-08-04 17:41:26.038968	231		0
22169	10no98k37vt8i18wtmv8gryh6h	$2a$07$k5wVMaGWVPfuLufS.eK05O242v6WEm61KZhVtQajynrQkRJlFfax2	77	2013-08-04 17:40:55.840108	2013-08-04 17:41:26.150906	231		0
22170	10u3ns9bbvtjmbfgxz3xvu68tb	$2a$07$uwLiA4i52PAvmAf4WEvW0.0irWdXwORb8MMmj2jh8D9h4yC6TCGpO	78	2013-08-04 17:40:55.864407	2013-08-04 17:41:26.25555	231		0
22171	100r4jliu2bl1spsg5454j87fj	$2a$07$HYNXNXkdi2PRTww6jQPRSuTG2SBOFexM/c8HR9LrtYsZJFnuhhf2q	79	2013-08-04 17:40:55.888274	2013-08-04 17:41:26.384774	231		0
22172	102o428yx6wq97vst3c7ssrhzh	$2a$07$7XCxAD/9mNbyZt1w9IXGqeDfMrmAP4r.TkiekWYPiBdSGSJF3fueO	80	2013-08-04 17:40:55.911409	2013-08-04 17:41:26.543213	231		0
22173	10lnjl637jnrr90zjf74aekj9g	$2a$07$4Xp53Cz6nJ2wQBtex1U4/uyl8QoT.d.jJnL83IGMmUdVocvIq3u.O	81	2013-08-04 17:40:55.934554	2013-08-04 17:41:26.701006	231		0
22174	107y5ti7tql3kvoxq24s2qit4d	$2a$07$kgr.KCKCqC6vD5dTAAQmIuV197BB0ZgX0w2YlXOyLClnA2HiRku/q	82	2013-08-04 17:40:55.957374	2013-08-04 17:41:26.860723	231		0
22175	10v51oly786m869a79ujhsngsv	$2a$07$Q6/GP8sBl11pVKSmWWEPD.H4jZsilPiWQe3S1SGXylAsBF37BF15u	83	2013-08-04 17:40:55.980311	2013-08-04 17:41:29.787254	231		0
22176	108b6oxvzdg08f7o686spgktlu	$2a$07$LMe1TO30c0k.PWf770FoTe0ED/YkJj8w.tqklC4wq8F.4n9gwW/ci	84	2013-08-04 17:40:56.00247	2013-08-04 17:41:32.486648	231		0
22177	10ecuydukady31dt9giuo59qjb	$2a$07$z8IjTizpxxnmSRWAM1ggIeA.G/VukCgs34l8VtaeatO1gqtPBhp6K	85	2013-08-04 17:40:56.02623	2013-08-04 17:41:32.630435	231		0
22178	10wq5nhs8szkmzt0zhnw5f132g	$2a$07$5sA4pzPoSv0bdmzTGsEM3ODgFMB0nujc5LZZsw8AaiCIVgLDkhdq6	86	2013-08-04 17:40:56.049055	2013-08-04 17:41:32.77359	231		0
22179	10hdqcv3n197dfzavbx7lf6zcb	$2a$07$1EJ32epfllF7uiDqHXTNC.6DdDAAcIKeqQ10c0UrBx5Ard9159Cl.	87	2013-08-04 17:40:56.070943	2013-08-04 17:41:32.91294	231		0
22180	10ylh0fdejk25pk6tro3qpdjj0	$2a$07$A4dT14TzwAZeHM5c3e.Rsu7Dviq0XZOBRCkQ7ky7dn4ZiGlU8pVhu	88	2013-08-04 17:40:56.094568	2013-08-04 17:41:33.052706	231		0
22181	10py5jwvf822e2zw6wyglw2xrm	$2a$07$tdxJarQc1IQuZbAIr7cetefJK/NtmXbhrsdNYqAqzNn07R.aSSN/O	89	2013-08-04 17:40:56.123075	2013-08-04 17:41:33.185325	231		0
22182	10ejwc8985sffwqko2i0wh8gj4	$2a$07$w/G14rEdbuC4on/TrWL2FOLw0tf4ExwiVLWqVkppirNBxZW4kM1IS	90	2013-08-04 17:40:56.155546	2013-08-04 17:41:33.316881	231		0
22183	10ituzkb15lu4bsfodhu9xizzr	$2a$07$t/jsU9fkaqhmJ0bfCEvu4eyhGm4a9IBWQHNIOpLLse0MSn4e8yHiO	91	2013-08-04 17:40:56.183299	2013-08-04 17:41:33.497865	231		0
22184	107ir08hg1fm3xey9l055f6gfp	$2a$07$Jn77eyXuc1700ieFXJAoEOVX8uxwJ2sfWu6SsHMI..f0EvZnWJ1Na	92	2013-08-04 17:40:56.207328	2013-08-04 17:41:33.639143	231		0
22185	10o7sm1zc3w73oxsucb2yujo7v	$2a$07$cUWJOnym4TQWqjYI7rhZBeGJl88eVgxS.o.4ELy6LdM6xJBOOxwC.	93	2013-08-04 17:40:56.231106	2013-08-04 17:41:33.779365	231		0
22186	10azhn0r3wabmopn8z6zdtve7g	$2a$07$vm1tBbHyk1zzrPRBIVAzz.VePwldnHX8iXRSQtOXgnjreDRjErmZq	94	2013-08-04 17:40:56.256127	2013-08-04 17:41:33.914633	231		0
22187	102lcea9aqe8f57t7voncfklza	$2a$07$4HK30c6QG1HqE1qENOktBe0TDqOplTcftNAc2iZ1JlEVzXL1mihte	95	2013-08-04 17:40:56.280161	2013-08-04 17:41:34.053325	231		0
22188	10omovc3n0304jnpj4zjd4mgsi	$2a$07$Iq1okpHbYJay51hNZo0Dx.NXtHWKwimL0/IgrBgGDk2TdXhCjinpi	96	2013-08-04 17:40:56.302985	2013-08-04 17:41:34.163058	231		0
22189	10n36xaerahzsea28e7mybfcg7	$2a$07$FnEyFWh.ikdgBYM2B.fYJuc83ZYOIFB3rHATZp963uIr76IA.2ita	97	2013-08-04 17:40:56.325924	2013-08-04 17:41:34.465667	231		0
22190	101yku848j3nij244gfu2ny5xj	$2a$07$c674bpeUIjfVpsQRG81mDupvgylk4nBWNxws5OTJDx2hMoaJAkhLu	98	2013-08-04 17:40:56.347934	2013-08-04 17:41:34.607062	231		0
22191	10uz5kh1vuna79lz3v8o58tqxs	$2a$07$lCIZM/LLh9TD35BVmLJmz.wCQTRACIaPEn/0I7SG.CeGsvCDoqQry	99	2013-08-04 17:40:56.371224	2013-08-04 17:41:34.74161	231		0
22192	103l6dhpipcoeunvxwfdmjmnsk	$2a$07$ACKjYj/TKW.sOoPyJNqYOuRFOth9IFUgAw1cw.jsUxBNGkJTlUV9K	100	2013-08-04 17:40:56.394784	2013-08-04 17:41:34.867732	231		0
22193	10i7686g84pqnhj7nxm0bqh4yw	$2a$07$ywliIRI7LoUwpzt9TWSSG.UL.I.09VtZuck7FMlINqN3OV4ZrBw.e	101	2013-08-04 17:40:56.41781	2013-08-04 17:41:35.010846	231		0
22194	10bj6uvuknmv4xpmvwv3qrk927	$2a$07$i01zEkv22gnrpevb.uyUaOM29bwC9h0MOMHruPEwI5Re3un2MS21y	102	2013-08-04 17:40:56.450644	2013-08-04 17:41:35.156858	231		0
22195	102caqrmat9qq02d5y7acvrd44	$2a$07$ybWtwUeLQjHTjTlDB4xphOOmLqiQdB5wMTdCiIs4FH35tJjBVSdGa	103	2013-08-04 17:40:56.472379	2013-08-04 17:41:35.357398	231		0
22196	10640ft3066jzyevbg068bwsfl	$2a$07$BtwCg5.HjcthQ6eRnGt75uC70Z5szcbIG1XAsStirS04MGwjjd6wS	104	2013-08-04 17:40:56.493896	2013-08-04 17:41:35.489143	231		0
22197	10jv1jsewpiml6ursef9em1cpp	$2a$07$s1n568swKtLrB9pHZ/8ileWA2t1ZLovP/FrsoC471uqatZZVS0qWW	105	2013-08-04 17:40:56.515716	2013-08-04 17:41:35.620463	231		0
22198	10e3d62tviofec2ea9n6buqran	$2a$07$UK6AOLfep96jmyNASyXKFO438K8Y37suVBD1yLzbBIgp7t14WLDkq	106	2013-08-04 17:40:56.537621	2013-08-04 17:41:35.752121	231		0
22199	10qn0fexpdcymero6lqvlkyp5b	$2a$07$ejL88PV7yfLM6XBeP6xIE.7GrOGjb6uEZH42GzX.qQ1S6jq0LCVjK	107	2013-08-04 17:40:56.559308	2013-08-04 17:41:35.991395	231		0
22200	10xnajkuos3oq9kvglki9ekdfk	$2a$07$3WkfaeGuugQrZtAVWPxn..Oy.JQIAl77ZOcQBVX5LXhCO.QJzlske	108	2013-08-04 17:40:56.580841	2013-08-04 17:41:36.124249	231		0
22201	10loxwlvyl018x0pz4ob2wa5ih	$2a$07$dTphukFnH.UOgs2hNupUKe58hQIOXqCHLj8WhQRk.7xIzc5ygC0Vm	109	2013-08-04 17:40:56.602246	2013-08-04 17:41:36.262396	231		0
22202	10icibo4ycjzzo1lns2og3pc2a	$2a$07$eCe6NkRqBL1fDSXMM/dIi.iSNjaQz.eJYYJsoP47wuqMboqelnY.S	110	2013-08-04 17:40:56.623883	2013-08-04 17:41:36.391522	231		0
22203	10a468ptnv2osscjz5qbphm8qo	$2a$07$myFA1PPN.B0XKBxH2Eucz.fSlR3hYGS6dUz2V.JVFACNQ7ZpsB4ku	111	2013-08-04 17:40:56.645607	2013-08-04 17:41:36.493503	231		0
22204	105dwhem1grv7pbi59fvgb45m8	$2a$07$V8ZUnjrjLs2x8Lew5JR9QeR93PMk8IivGfBupxhsBBivv6DSCJIxa	112	2013-08-04 17:40:56.667382	2013-08-04 17:41:36.594075	231		0
22205	10uqesadu2189nq4z8wjsfqdaj	$2a$07$B13JqcUA8/j1bPlCOs8VAOhD4Xb4QCFwQ66z0Xwt5uQleCFCwD8Y6	113	2013-08-04 17:40:56.688965	2013-08-04 17:41:36.738399	231		0
22206	108950ikbxcs487dyqb12qeuym	$2a$07$XwiQ3CNCqXWfTgORLbz9P..2fkh/yjYeLhhBJufEu1dcjYSGn.jxy	114	2013-08-04 17:40:56.710359	2013-08-04 17:41:36.873897	231		0
22207	10ek3po56069xfywlrpovt743f	$2a$07$ucr4nmNgr2.ma0BdSjtFxe95aZBI/I9KQO.CtViMhRT5bmd2QLcKy	115	2013-08-04 17:40:56.732167	2013-08-04 17:41:37.017535	231		0
22208	108g8w109x102xbu0674byqsg1	$2a$07$3UGlb1w7ZJMbnXnqpPDl3eHp4sB2fdHfnkL6K2icCFhmOwl95pJRO	116	2013-08-04 17:40:56.755277	2013-08-04 17:41:37.158877	231		0
22209	10ii5nhuxsfiopz4fwebmfuotn	$2a$07$ZhEkvcNIr2qOHmionhfGpuwGxyXE6pZ3VIcq6rkitPfqz/dBwU566	117	2013-08-04 17:40:56.779181	2013-08-04 17:41:37.302178	231		0
22210	10rdeb5y5biyvz1hgb6vmse552	$2a$07$FU9rj4jPhlaIBdgznuOopOlqbz9Hf64uchf6aIyx9DCKCidXywaua	118	2013-08-04 17:40:56.801835	2013-08-04 17:41:37.434749	231		0
22211	10txugsnpbqv2dlfmdcrrppq2s	$2a$07$eoax68LOU/5i3ktP.zD4v.wK/AtIaYbh.Cdp3ZvITc/SA2anFCzC2	119	2013-08-04 17:40:56.824607	2013-08-04 17:41:37.621387	231		0
19195	10aznj0ux3zbqftgte340rv1ty	$2a$07$2VaoXOyMEEHicALwHVBsl.TlDzLF7q0vohKJKj7xhJtgXxxJTUUaK	1	2013-08-04 01:49:51.08388	2013-08-04 01:49:54.285039	208		0
19196	10otfc9zq6ic3emydqifwgblhs	$2a$07$9r9pibZmoZ6caT0gOypr7ugydUd4pKm8nkJ6rbbIrlWKG6.TxsS5a	2	2013-08-04 01:49:51.109756	2013-08-04 01:49:54.42423	208		0
19197	10u8kaxrkkyhgrymqms0y3epr0	$2a$07$X1EiV4bzL/Za1QxaY3U90uunHy0vynjFjxOyFkV6ukfG2IJWC5pzW	3	2013-08-04 01:49:51.131403	2013-08-04 01:49:54.54937	208		0
19198	10j064cqsd125gh56xgov96ubr	$2a$07$MEQnlcKP7Z5dR5pBiq0HjOSDPTW3G.tBZvLq0QaHEq4lCJ15P9FQO	4	2013-08-04 01:49:51.153098	2013-08-04 01:49:54.670116	208		0
19199	101x0vze641ec863edwznvkiia	$2a$07$GqMasKbGbNjmkS/4.yH4x.YukMwptfgBxLfQcsMyJoISghxu29cDm	5	2013-08-04 01:49:51.176518	2013-08-04 01:49:54.785872	208		0
19200	10f5b9449kb28x8o4pgebfci92	$2a$07$cEXFrpShF1S5FrwZ4G1oqe.ztk5OF.62c10OKfgFMMPJFQMmfer7e	6	2013-08-04 01:49:51.199638	2013-08-04 01:49:54.935772	208		0
19201	107autfobwx8c39582a9gqu6bo	$2a$07$OoGwouLH8v2zi4saJATM2egoauwuczbfx3WDfE5iJrCJNNL0e5WpK	7	2013-08-04 01:49:51.238701	2013-08-04 01:49:57.933793	208		0
19202	10bvviuy7qgfcml5yq2125ytm6	$2a$07$TehqjkCiRn5U1BrvE2PbD.GjfxjCDUcOgnbOvxCkC7hja/MxCHMSa	8	2013-08-04 01:49:51.27311	2013-08-04 01:50:01.220797	208		0
19203	10t69371zua2up3e9rq5icvokx	$2a$07$qdZu7J836FMXur/QBVO9SeY1CSRPxqZMDIzdX9kvd.34hKtADZCG6	9	2013-08-04 01:49:51.294745	2013-08-04 01:50:04.404909	208		0
19204	1019mso323j04kxbwy0al7a76g	$2a$07$njJtMiMvWApWIZ3fXHuGBuO4OZMErisRO.XXn9oXHnwEQeF50HH/C	10	2013-08-04 01:49:51.317232	2013-08-04 01:50:04.538272	208		0
19205	10w4y1u2e3u6kvff10bsp6f725	$2a$07$tbsuWIV2AuUCzzEI9vGIDu/Swl9au9akMMz6j8z0nD/QFwUMrE8ZG	11	2013-08-04 01:49:51.339736	2013-08-04 01:50:04.670557	208		0
19206	10r81nz1xkolkarm0g931dtuq4	$2a$07$LscRIZLJlxKld/D37Nn2uusR7fP/zQS6z9vbzJyGpGDST8a1Pg1E6	12	2013-08-04 01:49:51.367372	2013-08-04 01:50:04.797105	208		0
19207	10i8l8u52qv6nqb012hwjkerhq	$2a$07$WCX0RvrzIzE8DfF/06DbZ.4Yj/kMehdCTSTnpadqLunXY6aq1f8uy	13	2013-08-04 01:49:51.392462	2013-08-04 01:50:04.940943	208		0
19208	10gcptkn2jfv0jnkxaf7elq0rz	$2a$07$XbOIA9fgkVxLUBa3dSgQ/OcMIDL0S/5hkcsWtxDEugnRdu6SamClW	14	2013-08-04 01:49:51.419201	2013-08-04 01:50:05.077791	208		0
19209	101eo7dsyn84das3a30mwhn8tf	$2a$07$neCh72XWenB4YeDLSBbsFOHviTRzC6Uy2WQZG4ix05grNdmU3G/bK	15	2013-08-04 01:49:51.443187	2013-08-04 01:50:05.199307	208		0
19210	10q1q04fy801shoj3jqngnxvew	$2a$07$huQ7VLuh49Xrtw4zdWylpekpjBQoBayr1z6ngyz9UX7kejvlylkPa	16	2013-08-04 01:49:51.479365	2013-08-04 01:50:05.338674	208		0
19211	10x9lof8idxyarvclsabq8u6ih	$2a$07$K8If4RxfhA2OnitgK483X.MbdH8L15/rTrVxmH5zImlOyt4pXApS6	17	2013-08-04 01:49:51.507806	2013-08-04 01:50:05.476292	208		0
19212	10nclufvnb2jvybjmpuat0r0h2	$2a$07$XbkHCAqQS25a7/N//84UaunkTfLO4.j.KeOBco0lTW76RjWY/2gVy	18	2013-08-04 01:49:51.530522	2013-08-04 01:50:05.619465	208		0
19213	10hk6z0eaqx5g49r6veu18gauv	$2a$07$vh88XAUHUi492CDOlWhO5eBcydR6LmiwzsD96czgfxc.aQVpTdWrK	19	2013-08-04 01:49:51.554373	2013-08-04 01:50:05.752879	208		0
19214	10k6n1oi9vfgy69yjueqfx2u8h	$2a$07$zh1kG.BpcJOtpwAwQsgBw.RpxgDTy0RxF0AvJf7R5EUBG5euNFVZi	20	2013-08-04 01:49:51.578491	2013-08-04 01:50:05.882091	208		0
19215	10gnqlckk9z6tyqxhdpucdnyh5	$2a$07$b5HmwxPaX1qn2FZv5rQBYusNPhlqXrpRTBgc8TyAlPBPGsjYvMCbK	21	2013-08-04 01:49:51.601717	2013-08-04 01:50:06.0167	208		0
19216	10tuyogr1ngy2bzzo5kzcbxbqp	$2a$07$xQFSn0i1T1j/gATBIpKltek5BOLv6rL3GMojJ1NzCExjhNq1/ZPxm	22	2013-08-04 01:49:51.625993	2013-08-04 01:50:06.138348	208		0
19217	100kvnhtgvk7hk2strxghrmxq8	$2a$07$9Z.ekpFTxC/kOb6iJcOJz.zP8BbLMmoNgEegTs85tw51qiysjGGIC	23	2013-08-04 01:49:51.649705	2013-08-04 01:50:06.271974	208		0
19218	10wtini9qp2wnf1b274v7xlfk0	$2a$07$KzqJ95gudO2PaLbcbIb7Re0IejBSkTGuxKDb9CFsMOAa1WkVLv0wa	24	2013-08-04 01:49:51.673749	2013-08-04 01:50:06.407294	208		0
19219	108oiy2ycd6hoiv08b6tj445d2	$2a$07$zer2HO1gF74Wbj/qdwZAz.WSsItrSdp1n/1zKDGBoVMr1trSq3m4G	25	2013-08-04 01:49:51.69799	2013-08-04 01:50:06.625226	208		0
19220	10d93aijex32vdlbkn9bp32508	$2a$07$kJZTV0lFRD4J/P1I9Q1Sv.FJr6SDicCgDY1vx5LUpYlNE4bVRFVqm	26	2013-08-04 01:49:51.719633	2013-08-04 01:50:06.778475	208		0
19221	10ois4679vi8xkp0tarrjpzyge	$2a$07$SkuBME57ydmnkUKn2jcLKulhTGyqXF7jJdqy4SDnrFGDKZ0cfyf4m	27	2013-08-04 01:49:51.74165	2013-08-04 01:50:06.93456	208		0
19222	10aeoy4s882055t9labseu5o9p	$2a$07$6ljPF6Q.uqUi9Se8q0FwH.hpnS2cg.OUn.rIfqAyK1VBmWgoGqA4G	28	2013-08-04 01:49:51.765168	2013-08-04 01:50:07.071806	208		0
19223	10tbf6l0m51h221vxwu4dxi0c5	$2a$07$.ddJ02.a64ZswcVm2VA30.vhTBMQS8htt38h3t.DbN0ZIUcKeA1/S	29	2013-08-04 01:49:51.787519	2013-08-04 01:50:07.211686	208		0
19224	10kabm8lppagf4vaney1dwyf6w	$2a$07$f4NdXG1xjc6qigGOloWLbeP3qor0GT2K/18i6BvNTrn2TOrgXCkLS	30	2013-08-04 01:49:51.811092	2013-08-04 01:50:07.336732	208		0
19225	10zmu00dsmzwgkq1g4ncmt340k	$2a$07$B/uAAvZJOXcwq.6.5z3vGeBupeTLJlT8yXdgNyzyJmVvptWaRdYrq	31	2013-08-04 01:49:51.834002	2013-08-04 01:50:07.472776	208		0
19226	10czzfz5ipe4tr6b75qo2fljd3	$2a$07$zhly7iFf5wBumqYfBWQmU.xMWIi6/1EH0ad1V0DGome99EGeTYjiO	32	2013-08-04 01:49:51.858363	2013-08-04 01:50:07.622951	208		0
19227	10z7r1petyra61uplebrbzwe9t	$2a$07$Momf4Aaoz315UpA3GZLZXeqLfN0qpVUTe6mSVuy4COE1AvKBTpcdu	33	2013-08-04 01:49:51.897254	2013-08-04 01:50:07.754624	208		0
19228	10rzjs9zheds1i3svw16xr7fcp	$2a$07$Wd55t4ifaqxM1.BXe6017eR5UgHAoMYm/PHqDN3mHhboC.mPBi3jO	34	2013-08-04 01:49:51.923123	2013-08-04 01:50:07.879807	208		0
19229	10ulp8dj5jsscf42vj8jbujh38	$2a$07$azRwXJoE41rPX9Hv4dVFR.09LMXl.TK5G3VPzn8hib0TsGLh.kYUS	35	2013-08-04 01:49:51.946552	2013-08-04 01:50:08.030837	208		0
19230	10ccason5s6l7ziqtzlyhpw4mg	$2a$07$PWFEi/XVXMnP9rzYCr5oR.L2MXCOCQtuPBBCpmI8iQg/miWnWzA9a	36	2013-08-04 01:49:51.978234	2013-08-04 01:50:08.190621	208		0
19231	100e2ru2gcd1j1fjhde1alckpb	$2a$07$SZ01YW/VMBfz7.vO4lSYCunPFk8BK6K7Fev0ohV47g1y5CBHW/DyS	37	2013-08-04 01:49:52.017423	2013-08-04 01:50:08.328536	208		0
19232	10eqza9xmbt4ablyo1vx1as1kn	$2a$07$h9oaliPXRvowCr7redL1P.fcjNIE3ypPoK6/0UgTPQCG9KRoA7ZAe	38	2013-08-04 01:49:52.041689	2013-08-04 01:50:08.471084	208		0
19233	10lgumviv203jdowpomf1r0lfl	$2a$07$wqTtIswuAhU.4WCDCGsF2.aC.LV3DCKMsmjhU3WPNOqI1qSRiBlzO	39	2013-08-04 01:49:52.063766	2013-08-04 01:50:08.61656	208		0
19234	108tz7kt2loe7r8jvpdfu1hdf3	$2a$07$3yvcMwOCe0IVCHCWxLXz0.cbLPmA74hIThBN8qkNIr0P36uZYCyNK	40	2013-08-04 01:49:52.086304	2013-08-04 01:50:08.757142	208		0
19235	105dargf1jbrrlorxf4mde8kgf	$2a$07$wn.D8CfnOd4/vsbYyCLEi.SgsE279Ijg4/.Kn9LlcbbG45sxqBSbG	41	2013-08-04 01:49:52.109755	2013-08-04 01:50:08.891778	208		0
19236	10i7593tw023smv4joo80tbqtb	$2a$07$201x3TAur4MnwWr4ZsbVz.dH.jRwKWjyex.sy4LsgIRET02P0dRYC	42	2013-08-04 01:49:52.132833	2013-08-04 01:50:09.009178	208		0
19237	108hrtq9ltlivt4lk4yd0145qr	$2a$07$wHo.j9cjnlzgDsPpn2JgV.MLLB35Aqo1EK2Hnb2PEumMy0J20MlCO	43	2013-08-04 01:49:52.156146	2013-08-04 01:50:10.196985	208		0
19238	10vphxxq9e81m7ft1g5z2k7ci4	$2a$07$UhM90QG87FFBa3g357iy3OMvi/XWADsLxGwqLIdzvQIHMuMLPyWFm	44	2013-08-04 01:49:52.179582	2013-08-04 01:50:11.222106	208		0
19239	10xwjhcc5kj4af7i3lrv3fvxy3	$2a$07$qRpg3SJFTC9zH4i88K7uTO/1T/DmgZ7CrQYBWAoqTmNAyrNZLd/qC	45	2013-08-04 01:49:52.201923	2013-08-04 01:50:12.206089	208		0
19240	10440aagt35jgl2tpshrv3lqyv	$2a$07$EQaX/B8FPM7QCu5tKtpRmeE8uATKp5ULswfgqsq/BBcu3FxM5Q/we	46	2013-08-04 01:49:52.223707	2013-08-04 01:50:12.356207	208		0
19241	103vyvpcco9zl7w4mbqpgvqn3v	$2a$07$jtZOh8/c/7DZtmeoyUIUYumi.cFi45zMs4/N7eml1kxpqBYx9i/t6	47	2013-08-04 01:49:52.245368	2013-08-04 01:50:12.501759	208		0
19242	10h83jf9n1zsuu2y251vfhyt99	$2a$07$NpH0W5APLf.nr2t/Qw3vFerwnlWDM.6RWiLYbwZ2qSIhRHMJvde5a	48	2013-08-04 01:49:52.266879	2013-08-04 01:50:12.66094	208		0
19243	1092wzmijbuz971lun8of1snlp	$2a$07$V6DyOeLtaJq9VAX6AwSJQu5oNQQ4GzwGrAXyI9TusJ2IulmqK7r6u	49	2013-08-04 01:49:52.288387	2013-08-04 01:50:12.800813	208		0
19244	107xb8gvz177t0vtno9lgw4s15	$2a$07$sPc7yug5wluG9w6laxunVOZ43oJ5kAmg8p6Jk6kS00caUTUCJ.r0u	50	2013-08-04 01:49:52.30996	2013-08-04 01:50:12.935777	208		0
19245	10gfs998qrqtkphal0uq01uezm	$2a$07$ptRgTNs1ShXDpxEYjod7x.akYH30DzC3OrWrtyzS/jdqsC6tuHWuW	51	2013-08-04 01:49:52.331821	2013-08-04 01:50:13.064067	208		0
19246	10wx6mp7c8qavwhrafrfgb76af	$2a$07$hhvZMjdlsZgEthgQcOfzG.0lHumM0uNZVeGQKtegmquK5zG5Gv0mq	52	2013-08-04 01:49:52.353623	2013-08-04 01:50:13.18008	208		0
19247	108x9btqe6p2f26qdglxjp6h37	$2a$07$.KwvuFrPimE7snu4zl8iT.Kgu7scVPxhcR2Kt3CUeJsZbTeko1i7G	53	2013-08-04 01:49:52.377007	2013-08-04 01:50:13.318226	208		0
19248	10ivonmy4t6s21u97poxd94kqf	$2a$07$6DvmbWLKGscyAGMG5C4jvOKouVph7ALlYOab6p74wSJLniKz5B7E2	54	2013-08-04 01:49:52.402379	2013-08-04 01:50:13.452717	208		0
19249	10r4b33i0opv5fg3v2q9urxij3	$2a$07$KW1mVUjjA8t.r.9u.BR8WujHJkWIdQiLNOgwt6Yyo3uan6F5uBdkC	55	2013-08-04 01:49:52.426611	2013-08-04 01:50:13.5908	208		0
19250	10sshj8cdgh0qmwxhoe5cne2xu	$2a$07$7lEqMi9wUr7k0bwc9HBgheb1C/.KiGzmZJQEab5uPrTdlQRn3xOzO	56	2013-08-04 01:49:52.449245	2013-08-04 01:50:13.72235	208		0
19251	10z8f7sznhfx6zh5alnjou693g	$2a$07$KLmRgxGa6GS11so9bF883eiE3421e2clDojytqGFhYB6j49z73ok2	57	2013-08-04 01:49:52.472241	2013-08-04 01:50:13.857319	208		0
19252	105jaq4hjhq48tmoiisuh9x0hc	$2a$07$vpNFo01OxgQcyRbxG3Can.gsCnohGa02.X7PORTAFEo/Vel.ssbVW	58	2013-08-04 01:49:52.496301	2013-08-04 01:50:14.115965	208		0
19253	10cst2jcx5y0lothfmte4824y4	$2a$07$5mXHxQt3Djd3sIyqiF8fEOD6iXP.hCKIu46uPZYXoC5DXTCA09pLe	59	2013-08-04 01:49:52.519333	2013-08-04 01:50:14.467771	208		0
19254	10x773n3wbnbya30b2z9dimfep	$2a$07$gOWQokkK75CB1.0XBbtteOFQnlmwCDuO3AoteE4GNi2d7eZXMJ8mi	60	2013-08-04 01:49:52.541091	2013-08-04 01:50:14.628012	208		0
19255	10jxrpns5va7s69lpir7170jos	$2a$07$oO53MkzN7MF8cejxx3wh6.HteKPnQn5C9eE4RnKUZcCEjkdYJxgzC	61	2013-08-04 01:49:52.56311	2013-08-04 01:50:17.447539	208		0
19256	10of0tn6gtenf9pp7r0v70szy3	$2a$07$w.pPyQY9E/Ol8Ad/vx.vHu2lYKbg6N1mUUyUCZxuCCVfEu9j/rWK6	62	2013-08-04 01:49:52.584989	2013-08-04 01:50:20.463063	208		0
19257	10iecqstob7fg0c5c4z1eom9ej	$2a$07$D/B7Ub076COTHiGZLyaTKOZ0jAaK7ZQVK9KcRcAaNf1KswZSdS3J2	63	2013-08-04 01:49:52.606589	2013-08-04 01:50:23.491871	208		0
19258	10m17wsjy2km17il431vo29qms	$2a$07$o0igpUVOV4See/I0hurF9ON9Tjuh0q1A.4lLh6P/CtHeK4.dtcthG	64	2013-08-04 01:49:52.629968	2013-08-04 01:50:23.618907	208		0
19259	108n7oh4axogb0sh5sc5qbz7ro	$2a$07$8DOhJB.7IEAl2e3RQE/V3.8Gul30iK5o5b2PlC.5jpt1rz5byJQDe	65	2013-08-04 01:49:52.652839	2013-08-04 01:50:23.759142	208		0
19260	10sj8mrc4a0baekgsme0tsdtu9	$2a$07$F6avJNiJptmeWCW.VhHUX.xiDIepb9ZlKJdyqoUC8Tk7pJSzlJ8/K	66	2013-08-04 01:49:52.674602	2013-08-04 01:50:26.930709	208		0
19261	10i3k7j8qkybx6dv28w7jxairc	$2a$07$N9s6ERsoJn1YfSOVhiTe7eIUuDel1zEK6MggYJ2/gDeAxr8Bgv.ry	67	2013-08-04 01:49:52.697096	2013-08-04 01:50:27.061032	208		0
19262	10cg53wq3r335h8oibw9umpkzv	$2a$07$VR9FJLHb.o7iZI4w.8MNJexvprdjU2BOskgRQgk6FuTiFimSnx1Wq	68	2013-08-04 01:49:52.719835	2013-08-04 01:50:27.19491	208		0
19263	10xb48yp53oyycs8fsgt1xfgmr	$2a$07$cuj9Wpc/MSzIJV0iFbamQe/WK9Alu7uYhAIFLPZgTyH8o.J.irJIq	69	2013-08-04 01:49:52.74149	2013-08-04 01:50:27.346765	208		0
19264	10vyht8a0d0h81glpiu8jteery	$2a$07$Z6p3qfdN0TkTIz7WXUgLV.ihgfnfp5DPYwVJf4LNtDy1GGXIf32Zm	70	2013-08-04 01:49:52.763066	2013-08-04 01:50:27.469992	208		0
19265	10wux4q42z8bjj2eynytv3y3q6	$2a$07$pTqnColteYX981E1Z7uKlOnZyh3eITX5G4Xb5r9Gfc6PwzRkkQs5O	71	2013-08-04 01:49:52.785666	2013-08-04 01:50:27.584619	208		0
19266	10tayvbp8vytb6cwds71r2fpwk	$2a$07$vzVw1kmJTyjA8U1fE/u4n.0CtgEGFU6x8taN8MVFQpqHxYScmsHCG	72	2013-08-04 01:49:52.808851	2013-08-04 01:50:27.731315	208		0
19267	10t2arsjh5slxu2rx8gabk5wow	$2a$07$6S60OCyrgjKj4SE/gEamM.8ki8LNJQxQsIChnhAXUjgxqQinPNIoa	73	2013-08-04 01:49:52.83093	2013-08-04 01:50:27.863822	208		0
19268	10w8ucohrg2jr5dqpqp68t9wzx	$2a$07$nBvxAyZQ4nEFWTJvRHmn5eE/BKSuSlb6omX7FVrif9azzq93jdpTK	74	2013-08-04 01:49:52.853154	2013-08-04 01:50:27.992438	208		0
19269	10ws7cdqsgz6ljulrbxmqvkoql	$2a$07$ZrcuCmEGEWVaRRh04pwEIu1n/M3VzzVmA7o6FyWmghhM6ydvWoYLW	75	2013-08-04 01:49:52.87489	2013-08-04 01:50:28.146301	208		0
19270	10rgoflk5snj64heive3g7zjao	$2a$07$KFCzNC1U9Cbl4U6Fp3e9zOmHuBEj/M7hzEA/GIy/udTm17vh/xtkG	76	2013-08-04 01:49:52.897406	2013-08-04 01:50:28.283147	208		0
19271	102g2rmeibs6aggulczsq2by41	$2a$07$ZF3AQgGrora2MhgMxJ.Ya.ThWvCxuB5tgEQhcg6IysF.Gpli6BFSi	77	2013-08-04 01:49:52.919586	2013-08-04 01:50:28.424179	208		0
19272	10c98bwvg3zfcd3x5nv8l2c7ef	$2a$07$QxtdyVYDEH1sQcSBQEMgK.9iqh1jYMCCzaMIsxfzZbNUoxeaQHMvy	78	2013-08-04 01:49:52.942223	2013-08-04 01:50:31.280284	208		0
19273	10kss38slva7ibq1y5uxgxhe3q	$2a$07$q/jnZraSWqg9MWA5kwxRbeJakUGGYK8K5qHnGcvoP6/9X94kdFkHG	79	2013-08-04 01:49:52.963982	2013-08-04 01:50:31.430503	208		0
19274	10tqquac3rz1szzqwrc6o0r9o9	$2a$07$YJyRLqNPDnfybukTyjLqWOo64XYTHBSrKi32N7eO5Nj5JRRxLcY7S	80	2013-08-04 01:49:52.985877	2013-08-04 01:50:31.568563	208		0
19275	10sat0e4jsrvb7aublem2pv5j7	$2a$07$SOmQd00/YN4Lpq.BKU9ptuZ7Nti3S7O58QqTHiFH914PfqY8WfVuu	81	2013-08-04 01:49:53.007596	2013-08-04 01:50:31.708428	208		0
19276	10h1qjwtfry5ql6sjd5u0x11kd	$2a$07$a8K5D4oiI4ePXkGvLUQhnOUUBW7EyIOgLuu90eLauYFemIwkOMTAa	82	2013-08-04 01:49:53.030473	2013-08-04 01:50:31.848338	208		0
19277	103ub7m1p447kz9lwnyajtejbv	$2a$07$vYn2pqs1E08tZA0DfsR7LejTBjYaJd.04ZVJlenifnTNHYe95AzkW	83	2013-08-04 01:49:53.052134	2013-08-04 01:50:32.022703	208		0
19278	10xw3wgur57zvmvssnmgj96fyb	$2a$07$A5AUw8wMqCcGxk/Ku9Jv7OxH39c.lWN7RjegO8/aCdrzI94fnLd1e	84	2013-08-04 01:49:53.073532	2013-08-04 01:50:34.779899	208		0
19279	10zizijdu0nt99v23vdpvdhe5z	$2a$07$.C4coKDw0JpNlWa2oZs7g.66mwYc2z20Jpedi94AKuBaIyUyQB0YK	85	2013-08-04 01:49:53.095621	2013-08-04 01:50:34.914907	208		0
19280	10t9zx0kyqihl16evh43y00km9	$2a$07$s/JoXPYg10iyOXXj.VI/IudgbAreJbOIAm9CVA7J8kbd6Ra6mhU/a	86	2013-08-04 01:49:53.117453	2013-08-04 01:50:35.052465	208		0
19281	10sbd7v5ctxzzaxlmuhv6hzi9y	$2a$07$4CVGrR0BkzLbCWnptmxuquVmGQKN7EZsps5b9i2kxAGDXq7uE34nO	87	2013-08-04 01:49:53.141369	2013-08-04 01:50:35.205032	208		0
19282	10c9fjv0fdokzgo5bx7lmaren5	$2a$07$YZw1ZnOvFaAUqcz/LD.Z4.kYaZRjTZ5F7wILu1T58r1buK53cx3MO	88	2013-08-04 01:49:53.16914	2013-08-04 01:50:35.34738	208		0
19283	10vurs2wxrbt9fexc8fwzro92b	$2a$07$DpAWS/wuDsqIWxON0Dm88ewEEZpNay61UuQPcKfgNbKD.rP3/xwsW	89	2013-08-04 01:49:53.195972	2013-08-04 01:50:38.211318	208		0
19284	10fuxu0razcmr1jx61re7lomr9	$2a$07$otSiosE5LB6cUT89MlEycOgM8oHtu8g/jbs4xPQUYkt2HBZut0yV.	90	2013-08-04 01:49:53.220084	2013-08-04 01:50:41.166015	208		0
19285	10xhs5jhg6zq2acdtcm1crdtvh	$2a$07$gCCwRBrsLfbUN0lvajkI/Owu5sYFixyaWb9..YGY26TxRIxAafmyu	91	2013-08-04 01:49:53.251029	2013-08-04 01:50:41.30119	208		0
19286	10dsjb1geeyo0gh6waepuhuyql	$2a$07$belooTax1wBMMmHtCtusuujfq2RalUOTI.ql06j56TAE1Rv1nqPH2	92	2013-08-04 01:49:53.27585	2013-08-04 01:50:41.445224	208		0
19287	102xxoakabvi0bdtmcxjt3c8c2	$2a$07$uOdBkBKVNVrucvmbym0.n.IIFWMDrgXlLEFd0Nuzo5BQnXgJuXk1e	93	2013-08-04 01:49:53.310102	2013-08-04 01:50:41.585813	208		0
19288	10szf1gltvllmr5mhhqlf73zdm	$2a$07$5OAo/hrwp7A0cTojNuInOu9RoM7QUbAxPMm77f.v.uNn0cfNZrfb2	94	2013-08-04 01:49:53.348075	2013-08-04 01:50:41.72069	208		0
19289	10gng2f6la7jet24i9f2jg0gac	$2a$07$G9nSOv2MUx04tYRgEczJ2.bMC8KwupxKXSNtPwIPdy7dMt6ewd53q	95	2013-08-04 01:49:53.371098	2013-08-04 01:50:41.844699	208		0
19290	1023ten9saxfuxz9x9ttk9a926	$2a$07$XsilqzvQm4eLs8smX/7h6.vv1iCzQz3LmzBBHn5YnCdHLfC1yXUeS	96	2013-08-04 01:49:53.394292	2013-08-04 01:50:41.963554	208		0
19291	10cntw311jprnb9rfb29ls54wq	$2a$07$3atOL6WdriNcizLhoY3/d.xZIzSuvilpqx5rqslRbX7GYbR81rX8m	97	2013-08-04 01:49:53.41843	2013-08-04 01:50:42.097991	208		0
19292	10m3y9vhwzhii6vn0nijli6yuo	$2a$07$srA1FCwQh.Wr4eUNIDBAluuqdDhfxn7mU/NVZ1iE5vbGR040JGZfq	98	2013-08-04 01:49:53.444782	2013-08-04 01:50:42.240066	208		0
19293	108fn1qctxvfcguj2ie97pyh1b	$2a$07$qHGgCmepcIxIK0d8HjzmQ.DzaxIJb4cPxkrOH24oi.sHRw6Ra0Y8S	99	2013-08-04 01:49:53.469081	2013-08-04 01:50:42.379278	208		0
19294	10ye35tujf6zofjkcev41jbeo2	$2a$07$KeykXZJg4gndGT1ESqpvvuoRfnJZz9.oMcTKeioCLwuw8qgk8EhxK	100	2013-08-04 01:49:53.50465	2013-08-04 01:50:42.513876	208		0
19295	108e98ceyjm6c9rae96zua2ax6	$2a$07$hp6N07plyZOUwmulEMDc0eVBzBoekg.lxqVobBZrw0nwU6DEZiHc2	101	2013-08-04 01:49:53.528814	2013-08-04 01:50:42.694935	208		0
19296	10jpnisl1ii86gafdoftwm8wft	$2a$07$hl2MAUzVRc7zL.aTIUjA7uT3rKH0WBNhfXx01hUY8S4qxWyKJV6ou	102	2013-08-04 01:49:53.553175	2013-08-04 01:50:42.841945	208		0
19297	10d9xfbyxapvu2hlolk9e96fu6	$2a$07$dryz3b6nSYgNUX2OjuX0T.qauVZqSnrh.Aj2.EoNi3D/HLyRfYZj2	103	2013-08-04 01:49:53.589724	2013-08-04 01:50:42.949446	208		0
19298	10z0oomyld5l06dtd4k3wufgng	$2a$07$on.s7E6DekSrOA19tSa4p.qsMLc.VdmEaNbSAFCggVd3pqhPNJ8Re	104	2013-08-04 01:49:53.624914	2013-08-04 01:50:43.076419	208		0
19299	10n03bdf44uw67g835tvx93hq8	$2a$07$fpWjlUNNP4sotTVS0eNHeen7p6GorPoQLJvi1URCiZfMwTWw0D8ve	105	2013-08-04 01:49:53.646388	2013-08-04 01:50:43.206471	208		0
19300	10wlw47iuk5o1cimeu6samebkc	$2a$07$fjEGWo78Kkrsp6QSOhGAX.9E4Z7h2PyMq5oAdfvFByqo/tLRp2Ou6	106	2013-08-04 01:49:53.668674	2013-08-04 01:50:43.339393	208		0
19301	10wyn1f1lvmtrxabn3y0csewbe	$2a$07$j44mA6IBSJTVMCd3Ieo.AOg7Y0JLs5Hmyiz9V9OvxNal4HJL.TAzO	107	2013-08-04 01:49:53.690906	2013-08-04 01:50:43.478783	208		0
19302	10dsz4ctil9i2fo77n1ra3twf9	$2a$07$f4oEyE46eY016j5sQoWVRufdsyFwWfCaa2n7y8ahApwtzYv0DXcpq	108	2013-08-04 01:49:53.712383	2013-08-04 01:50:43.637525	208		0
19303	1001jw7zigsc39wld6vhc0e49o	$2a$07$GA7UTN.y6Xc9I.NoCAkZxOqAXSbB/qG1WdpSKF3POxGO2bysPW40y	109	2013-08-04 01:49:53.734031	2013-08-04 01:50:43.775285	208		0
19304	10r8yulxg3syw2bdu0wlxqha7v	$2a$07$qLVpSb2dnyX7om5Xh5pdSOYviPJ1ypO8pYLz080qGrqkAT8w9UX5i	110	2013-08-04 01:49:53.755497	2013-08-04 01:50:43.889375	208		0
19305	10g9mb3qy12zb7f0lbatdix5v1	$2a$07$EUTA3gLy8MGYAijJ5nweWOpexoiH/FYP23pbkTe.c7mQgtSdofxNe	111	2013-08-04 01:49:53.776987	2013-08-04 01:50:44.013382	208		0
19306	10qizijxmodbgqbeya6le9x092	$2a$07$S3clUkjLseSORJfFF91j.OJVSCTz/RmFZz/CyxN6Gnx5godHyhcPS	112	2013-08-04 01:49:53.801854	2013-08-04 01:50:44.130008	208		0
19307	10ltv37kikkylmnhqjhla3gtzu	$2a$07$EstkWAoK0v8k50QDZPUWBOsIaJR/r00.lvonvrSxwlbyBEZzUZ1vm	113	2013-08-04 01:49:53.837007	2013-08-04 01:50:46.640906	208		0
19308	10ad3xcntj34xcvmsh9qnqmaoc	$2a$07$B5inxfKQJ0C4gPLKZvJka.ZAxlKFplaKrLPptSBrJVe0D66S2DTGW	114	2013-08-04 01:49:53.867412	2013-08-04 01:50:49.214193	208		0
19309	101enewsp3974noikjew1pyhz7	$2a$07$suLSEnxD1ICzbgT.4edcyO7L.nrJjzo9qR5TlrOSSZ7d3Ol5dBqcW	115	2013-08-04 01:49:53.88974	2013-08-04 01:50:49.346772	208		0
19310	10vnxkdlxgqlc5rpii6bj2s790	$2a$07$6m.AiQc5Hmfx/s.HDtZdX.q3V9XVI/KLu6FfJlICPEQUxBTYstY.u	116	2013-08-04 01:49:53.911688	2013-08-04 01:50:49.500634	208		0
19311	10rtt5mkuxpzxqj25022yt7cmf	$2a$07$0CdhpTJyRBjN0NyaCgjn1ODWzV4eAE4YOroV3Ne81kxwif6pqBAtu	117	2013-08-04 01:49:53.933699	2013-08-04 01:50:49.645693	208		0
19312	10u6x2n4yakqcgafz1ln56if05	$2a$07$OxMieo//H6mKST9.pyXM.OoWSblVXtbkLy0xg3QIN79/SLX7GRx4W	118	2013-08-04 01:49:53.956577	2013-08-04 01:50:49.786382	208		0
19313	10lzogwybllkua0s3oowkm3k51	$2a$07$MGjvMgfsBQNepCz/x9Y2IOptC5hJLf0k3Ekjiv.j3Z5H6dkYZaGq6	119	2013-08-04 01:49:53.979184	2013-08-04 01:50:49.930274	208		0
19314	10kw2kxaz2meubglkt3w6sohqs	$2a$07$tzZjwrFCqMyJQodG8DD7GOOqIJpK9d0y/DZlVtxeYarA07S/wF1rK	120	2013-08-04 01:49:54.002252	2013-08-04 01:50:50.062819	208		0
19315	10edmsgzsmwea1dktrejggnkn5	$2a$07$VwitLxOAE9TAJxNABK0gNuFyEATozsrG.nh3xyrTpsfifr3eom5FS	121	2013-08-04 01:49:54.026531	2013-08-04 01:50:50.174692	208		0
19316	10rqa2jrsh9d5n09l74q7hfsff	$2a$07$Mkq829YifMgIEmBUN14rBeCxT5VuwbousUTEjhkd4ca.WOfQ.zC.2	122	2013-08-04 01:49:54.048596	2013-08-04 01:50:50.290697	208		0
19317	10xeok9tbz052kiuvg0e1fourz	$2a$07$ZMVe1CSlBItonjEg1CyCtOGf1mgthCSP1Og3t8I9EmQ8YyKPGPfMW	123	2013-08-04 01:49:54.07037	2013-08-04 01:50:52.976946	208		0
19318	10p0dh2rjzu3c19yz2lnyt5ldq	$2a$07$ZfNo2f/liVm4kowfTkUJreT/YNMB1NrCNYDY3H/dGfTU8J1ddA5ri	124	2013-08-04 01:49:54.092146	2013-08-04 01:50:56.180668	208		0
19319	10inzjybrrovj6qicybq6jaul8	$2a$07$wC.a8hSeHfvdZfdk3JL6gO/fVe.9CcX0BiAWnQFOyXUThAyNcrUb6	125	2013-08-04 01:49:54.113755	2013-08-04 01:50:56.336894	208		0
19320	108ousr27zzvcinf8fvepemh4e	$2a$07$kDuu9yBpjp/4r/LshshZ3uYPOiE8ucnd3PiZtbiMN.wFLV837Y5fK	126	2013-08-04 01:49:54.135265	2013-08-04 01:50:56.47008	208		0
22212	107vp5vb3tbteimzoqflwnohfp	$2a$07$qrsysqBQ0C84CsTiXI86a.BUyzmRcE0UDUTx.f9Zyga5v.lIa2gEy	120	2013-08-04 17:40:56.847658	2013-08-04 17:41:37.773919	231		0
22213	10m58otxkz4j8o5nardajcfao4	$2a$07$UcyCL/ykEmLeGo.ySq4WnudqZGxYBbjBm1JzZMbgGPPH.AhpkqKna	121	2013-08-04 17:40:56.869371	2013-08-04 17:41:40.706479	231		0
22214	10lyfo1yon33zskdvpvy5ef9h4	$2a$07$fjIthR6vBl8vEomWk0Mga.nCcDQR1OIz.CEQZFtNtvb5zyhb4JdnC	122	2013-08-04 17:40:56.891097	2013-08-04 17:41:43.960147	231		0
22215	10zxf1p3nzyzcgpm0bb0az7nak	$2a$07$sNQZdwzYy7t6dsah.IaBqugDuCkzxVTx3/vJxteV5VKFSpuPZmrkO	123	2013-08-04 17:40:56.913823	2013-08-04 17:41:46.783968	231		0
22216	100gn4d28e9i8h03s14tp7dxes	$2a$07$f1Qxfiza0ktOxNRvLxw44.3qUyMVCq5wxGBx/iXDf29cg4lXmH0ZO	124	2013-08-04 17:40:56.936744	2013-08-04 17:41:49.772396	231		0
22217	1052ib6btyh3fsqpmgy310nrvh	$2a$07$dvqL1yd5jC/TNiQ5d/kw2eTXSatrE6YabXf27uGvMA6SH2Pr2dPKu	125	2013-08-04 17:40:56.958655	2013-08-04 17:41:49.912392	231		0
22218	10ueeoyk2ypqvyka7mh0twrkfs	$2a$07$raX5jApvliA/2VyH9Pe2/eUEZfO5Yacq6LJZ7.jgr0jjePuAMeHKe	126	2013-08-04 17:40:56.981232	2013-08-04 17:41:50.055806	231		0
22683	10i0oooebsy9oe81hg92ejvhne	$2a$07$U.Ff4OrKZChJPikNpjFi4uoaDln8s4YNuQC2rDsnsnBqwQ23yzlh2	87	2013-08-04 18:00:56.369594	2013-08-04 18:01:33.108315	235		0
22684	10dxlczs728563do0autii4ht5	$2a$07$rztKD431aruzMUjn5YDPfeOTtbgfRlv5495jDfTbmZhHRf4giPayS	88	2013-08-04 18:00:56.392579	2013-08-04 18:01:33.239415	235		0
22685	10u5jvpmiiddlau9gmiecm8kjr	$2a$07$x.0Ts5F2Z6arcppXgcheOu0cRaz7Xzqv0HMfka/LQidi/5KkebEE6	89	2013-08-04 18:00:56.419144	2013-08-04 18:01:33.371831	235		0
22686	10yl6wkhgxzl4zxzdhbbfzv2c4	$2a$07$YdkZHNukBlAvCiBj29GsVuPr2veFoZaSdbeYNOkIrul65iTwyUvDO	90	2013-08-04 18:00:56.445158	2013-08-04 18:01:33.522336	235		0
22687	10eckkwgvuetucct0lza5az4py	$2a$07$jcv/La9NsaHqYl8P9.ypgeoSJRiy9pKAAPkiDtqVrnGETe4LGt3z6	91	2013-08-04 18:00:56.470231	2013-08-04 18:01:33.718172	235		0
22688	10kkjvpe9up03ykcpe8wgya4fa	$2a$07$RJW72L09mIKRuOqXmhSAN.S9a.FmQPvYVz2S5YY.e1iLbLS0XW.U.	92	2013-08-04 18:00:56.493227	2013-08-04 18:01:33.995832	235		0
22689	10zvqszu3x02t4ig1xwh9f2hlq	$2a$07$6oLijhO6bS0VZ/MyyZL5J.VGG9yrmIcRJPadOoVXOKO4Nm1VPAeZe	93	2013-08-04 18:00:56.516452	2013-08-04 18:01:34.125029	235		0
22690	10gr5iqx90mjd4768i1imlafvo	$2a$07$W97Q8m/AXeq8lK3zU7ThFeyl7za1zYYF4vV2/vU2DvEoDZzgPNNPe	94	2013-08-04 18:00:56.540029	2013-08-04 18:01:34.270979	235		0
22691	1087gf2jq5yk5iq0p2aen2ocxm	$2a$07$1etkCA5gpunrFW8ys0.V1OI69J5knwPENtHiCssn7jV9XEAdrSkJ2	95	2013-08-04 18:00:56.569108	2013-08-04 18:01:34.387694	235		0
22692	10dpqyq35pqh20mjpqyzhid9pc	$2a$07$wETF6n9UA9tbPyiG94t6ieMSeVhwSNaXCFIaYk8gkrAdxpM1Kp.ty	96	2013-08-04 18:00:56.598735	2013-08-04 18:01:34.589262	235		0
22693	101r0snlgs4nqo2ve6nl7dzc61	$2a$07$FxUxmQTOYV13vCr5Yuofr.xwmDcwxM9o80tG81HA8bSE2bEpuJp8u	97	2013-08-04 18:00:56.620566	2013-08-04 18:01:34.741914	235		0
22694	100yxrlmrfqwuuhueh0cdphyzh	$2a$07$qgv4eqpqITDQp0QD1SUUeumbqYSItWSj8VItHIakM2yvnOY0sTgS6	98	2013-08-04 18:00:56.6428	2013-08-04 18:01:34.868585	235		0
22695	109ei8qkedq6zkvnb4t3keof0h	$2a$07$upPfu6QjHDLSzmJilQmmE..zYsG/4Bm2UeOJyQRvxEC2ScvUp4lou	99	2013-08-04 18:00:56.664493	2013-08-04 18:01:34.998321	235		0
22696	10pjz6yao7spm0yo71gijyn4sc	$2a$07$QGBQHB2/EbPKvj0fnDAcdupwv2xjsINXDzulaOmZC0w7mFfB3df46	100	2013-08-04 18:00:56.687136	2013-08-04 18:01:35.112946	235		0
22697	10rrw8kudyf1kyflrfoxe5nn9l	$2a$07$YOguoJGTEEadMYyK/sguJOw88SkZpfqSmeBDBjuKK6zg2NbrLZdx6	101	2013-08-04 18:00:56.709408	2013-08-04 18:01:35.253283	235		0
22698	10cgqskklc7tya4qeuqlcuyl6q	$2a$07$psb8ya.ON1juTsLQ.jGA/.AoEuor4YQMMpWOhS0dZS58gGpTRLCry	102	2013-08-04 18:00:56.732506	2013-08-04 18:01:35.384288	235		0
22699	10w7myc3a8iec5kuh32xaesoij	$2a$07$3HzPLBgvfSuTXTQIAffJLuD.i16mUDclOLTtk4h7Cv0ep1WXhShle	103	2013-08-04 18:00:56.754073	2013-08-04 18:01:35.527163	235		0
22700	10pstrn28fihgb8qpespdcohtf	$2a$07$QObsZ74rXEYHKDb9CVOgy.FXW/CCnomoXbXiw5weFlhNE/0W1ugty	104	2013-08-04 18:00:56.776352	2013-08-04 18:01:35.655836	235		0
22701	10knj1gr1qdsl7i27ptc3w2toy	$2a$07$q6k0VVMeSV5Aev6cpINGWeHzukXdsZiQGpxA9NlDhYgV0Fs3SVlzO	105	2013-08-04 18:00:56.797998	2013-08-04 18:01:35.76538	235		0
22702	10t7fwups1qit9cs5epplbumug	$2a$07$i/25VPQZwO/jQvd3YUU/lekM.YpQX3HHzFOdShjRpC/0RN9i4/Olm	106	2013-08-04 18:00:56.819939	2013-08-04 18:01:35.873348	235		0
22703	10kxfw5f4yjpgurrjkjpptxdsf	$2a$07$xjPooxbFK8XqDCELDlItdOq7LrEsUj9GZ8NBPne8gevbWWe3Ek5sa	107	2013-08-04 18:00:56.842832	2013-08-04 18:01:35.986688	235		0
22704	103g4bts20to6hfethlwloylwn	$2a$07$JAL./vV3NFgNBKYO0oPYhOmczIBsgqgMY0dtdnMXkvgJZhIIy/NKG	108	2013-08-04 18:00:56.864405	2013-08-04 18:01:36.101872	235		0
22705	103jrd5gzb4xxunsdwq3fa36e3	$2a$07$GLyrK3I5MsKRMX5311CRquyYjfoO7eR/Iq.D3K4FUodLuIWg10tZe	109	2013-08-04 18:00:56.886052	2013-08-04 18:01:36.251713	235		0
22706	10syafuw29dz26hdy0bvxwmvb9	$2a$07$jn.gt1mwEDFwoPxXslz5RumD1wTkyIgLPn/WBRYhP1jYu5ik8lOx2	110	2013-08-04 18:00:56.909459	2013-08-04 18:01:36.406755	235		0
22707	10zkjtnp6kz33m5fzfoukz3kfi	$2a$07$fAEds4ojTHFPsIvW2UkCL.q6wAtjYtRTwTsy3v2EkSVx6ZKZ8PHpe	111	2013-08-04 18:00:56.933372	2013-08-04 18:01:36.538876	235		0
22708	10g9h36d5n1k99vb007kg4pb21	$2a$07$Ju.A1q2Z3PI5c8eb39Xzwu1XA0etGqJi8si4tiIRXGhJgaU7mSw3K	112	2013-08-04 18:00:56.956619	2013-08-04 18:01:36.648048	235		0
22709	10czel3va2h97gmmu6l93aqfx8	$2a$07$.OF6d63L50IIv8.EM7b.s.WCwEvQG8eqkMdriR1KzBlKjBfPdIPgm	113	2013-08-04 18:00:56.979462	2013-08-04 18:01:36.793064	235		0
22710	10p224qgkooz2gdli9puqj7odi	$2a$07$yIb8dOvdpiTtjXcwFix/iO2ODxiB01zuH8R/lRE9FxeFBmwoA21fS	114	2013-08-04 18:00:57.001204	2013-08-04 18:01:36.919663	235		0
22711	106axe4b35hf1io6ip48jcnxts	$2a$07$/2hkaC8YowM81SpEMaEZ9exme8T8Pj5xVsKMXNBB0VtnZIiV7EMim	115	2013-08-04 18:00:57.02392	2013-08-04 18:01:37.054358	235		0
22712	10bntkso1f84j5aysa9rjyj2hp	$2a$07$NCgZ0s7ajy9NLcK2dEhOOurM8REY9e.Is5JUOPpm/JNe6U3hyeTaG	116	2013-08-04 18:00:57.046819	2013-08-04 18:01:37.184585	235		0
22713	106e20aorfyw46sbmueu6e68yw	$2a$07$uS1oIi94w7ns1Xms4t3/QuYitdJ0HCVHWXwv5aqgI0eum8K5n.WSa	117	2013-08-04 18:00:57.069858	2013-08-04 18:01:37.304612	235		0
22714	10w4ndq620qjoqvambgpzdy28z	$2a$07$/KcNbB6QOxggZnp7O2haUu0ArSTOYqv5D6kd7rfRpz7srsFc/l2xm	118	2013-08-04 18:00:57.093681	2013-08-04 18:01:37.409139	235		0
22715	10xocju1gyza02ulalrdy915cg	$2a$07$gTVfNfjr8sJRJhgblwB/VOPNBzb8GG5MGoUS5C6CXi3Pl0.XY12zu	119	2013-08-04 18:00:57.117327	2013-08-04 18:01:37.51633	235		0
22716	103f1rjl2y11vfad3eg3lcbj6a	$2a$07$J26tCaLlRS7O0LIjVkGwje46uGFXSE6LARqi7hHTpQVaOgZ5LI4ni	120	2013-08-04 18:00:57.140262	2013-08-04 18:01:37.754472	235		0
22717	10djfeyc20ze3luv26dhs87zr7	$2a$07$PGEyDRHTQeLgQQVOhecWguaa1pw4l3sgJ86jl2gYP54GgljCWUTLm	121	2013-08-04 18:00:57.163	2013-08-04 18:01:40.655085	235		0
22718	10au9hec8vdjz9smd3jgcer6kw	$2a$07$qHJGWYZM19bAMCR5oIU.xeJZP5EPtFIlEm9MndSpEp.1wLO4.UT9e	122	2013-08-04 18:00:57.185945	2013-08-04 18:01:43.851243	235		0
22719	10y0x76da4lmz9a9vev7hgxlpv	$2a$07$q75D/dYggEKBgyvpMUimi.b9Jk9dBjJgIKD9aR2jy08sX9spVgXvK	123	2013-08-04 18:00:57.208737	2013-08-04 18:01:46.644249	235		0
22720	10e0vl07ol2gh1bzda6y8fw295	$2a$07$0ghbCvl8E7v.Qgo57mN8TORsQoczKQth75kDH5r.snnYGsL4WEv9K	124	2013-08-04 18:00:57.231296	2013-08-04 18:01:49.436769	235		0
22721	10jiezwk3zqsurxcntrber3g86	$2a$07$H.23V0FnYTXqHInF4UoVIOv9nAKVxzofvxCnG8ftIeppGmfcYzNkq	125	2013-08-04 18:00:57.252753	2013-08-04 18:01:49.633321	235		0
22722	10uibe7f0gct4uofeag7k0rlns	$2a$07$q3JIJAfDsNM8mWSQ9Suh.upQ8NxO7qe9WZTNQGyDKrph8ZxplQETW	126	2013-08-04 18:00:57.275596	2013-08-04 18:01:49.799949	235		0
26757	10idbz8frbqw7kqni4qmmt4jfy	$2a$07$EsOBAVN8pJv.p1jG..wFLu4wk2oUpGZURzbB7tP8cUJkREw76Hshy	3	2013-08-04 20:56:19.107314	2013-08-04 20:56:22.62053	268		0
26758	10qm443bjqktz2cx5k1ud6k8zl	$2a$07$EVmScsGkmsC1b6LzOQ7UM.rFuhUXi5hS4bRj9YmJx0UnwjtjWM3Ia	4	2013-08-04 20:56:19.132995	2013-08-04 20:56:22.758615	268		0
26759	1084ijg3eq13toghlaomb98s80	$2a$07$ofkdUmXEHFbsGMtMGKl2G.oys4q9/qxeLbDkFE/JJk9m9vmFU5Dai	5	2013-08-04 20:56:19.168379	2013-08-04 20:56:22.880389	268		0
26760	100es4seyyntnby0dclcxfui2j	$2a$07$nF62np/SwzBKsWoWqMAXnO5LSbt3tEPfINc3BsY6RFFUqfy8k9aGC	6	2013-08-04 20:56:19.191456	2013-08-04 20:56:23.024402	268		0
26761	10c5torjddkp2rfjr3hu8k1ai4	$2a$07$KMiRIh.QTrKVfcILqBHER.KOkbISTpzVH/o5c2dSrfOHoSgMSMssu	7	2013-08-04 20:56:19.215718	2013-08-04 20:56:23.183445	268		0
26762	109lnr11kvcoe5ymtmzi2vmk2q	$2a$07$Lc5eP9WX3zsRQn2lrvPFHOnGU1FxqC8wTercUaWtmvFD.LDZUiLLi	8	2013-08-04 20:56:19.252586	2013-08-04 20:56:23.453771	268		0
26763	10ycbz8764xvwgc33alnc1gik4	$2a$07$15K1.0riHWTmSKkvnoDtuucg6bVVCpj7H5.8D69OYnvX7UeSY3ao.	9	2013-08-04 20:56:19.28763	2013-08-04 20:56:23.705259	268		0
26764	10kx8qlbkvjm5fjj33w0siea1p	$2a$07$fRhh05Zay3B8z9E8lQjNvuzNQ3wbybEFp/us55USutP5iN7h/Zbr6	10	2013-08-04 20:56:19.312075	2013-08-04 20:56:23.83492	268		0
26765	10hb67a2onwlspfk9md7i17ajc	$2a$07$QHTvMwZy5ix56K4dcSI.r.hYOJUqMM0iy3yl2gqg/YxGgZL48iDY6	11	2013-08-04 20:56:19.350191	2013-08-04 20:56:23.977372	268		0
26766	10fo39d4dlgfey9phovhjoo0lm	$2a$07$j1KAbGK2kk4LraEXSdZQMemEN5DfA6j53tQ3kCBQxeE9w0gA3MZee	12	2013-08-04 20:56:19.372817	2013-08-04 20:56:24.116795	268		0
26767	10h13hg8j15juxtj8685fq6t4r	$2a$07$4QXCdVPYnuVzRXt1Lq0tz.Ynq7vxtEk79hwDbhXNcLDwYN2noQTOO	13	2013-08-04 20:56:19.396221	2013-08-04 20:56:24.25467	268		0
26768	10e0gd860033yg9y6gkccutdam	$2a$07$k.B3g4hyJH2GLd00HSIhS.VxiDTZp7KRi7HszWZgX3/jxbFMNgMhG	14	2013-08-04 20:56:19.419387	2013-08-04 20:56:24.371841	268		0
26769	10kmbd12lkn9guuj023jw2cxj9	$2a$07$c3lfizNXP3MCzNquOUMA5e4VvOEpVUoQ4fAAKgNr7pxZjq9I4Qwki	15	2013-08-04 20:56:19.442676	2013-08-04 20:56:24.514014	268		0
26770	10s0gxvv1e63meglzw7b32zf3u	$2a$07$UQlE3FUG3TlYW2RHFxOikOn/Es.LwzX0t8LGA4HchSy03KuRZm1Vm	16	2013-08-04 20:56:19.465444	2013-08-04 20:56:24.701544	268		0
26771	10rwrgouqzpdudtsqhngab3wty	$2a$07$Bab7PA2TLVIzEWbP0.Ao7eSANzThG18ufWriwEeYY1E3KN4N42r2y	17	2013-08-04 20:56:19.488699	2013-08-04 20:56:24.833687	268		0
26772	10lisflkjv9t6slngyc6u3xnbl	$2a$07$XNWFih0kVO73bD.uNxjhcOJP8HViYny/lTIYeUUzygryzO72IIudS	18	2013-08-04 20:56:19.510362	2013-08-04 20:56:24.965021	268		0
26773	10erpf1v06oivt2v5pws3hp1kt	$2a$07$HUmGphj8w7HDraoOVoE0fuVuOrdGUhvPFkP1nOUX6vYTyxolhEchK	19	2013-08-04 20:56:19.532188	2013-08-04 20:56:25.988801	268		0
26774	104iyjbqv2ssljpipxj89zebgg	$2a$07$PFRpghytlQxwr.qssVZfUuxo/RGXf22ca4TDJkgZncI5Bz.P7f0xe	20	2013-08-04 20:56:19.554044	2013-08-04 20:56:27.136827	268		0
26775	10f3z9h7p1j4heho3i2bc4muwo	$2a$07$H0wm1BLLSNsKgGkR0DTxguEPJJXh7acDeCRbpoEM7RqfgmZ2V6vfq	21	2013-08-04 20:56:19.577037	2013-08-04 20:56:28.329981	268		0
26776	10l7sghl7mkgp0b57elgvyhh3c	$2a$07$pGasQ.sjHy8lKRBWcGzQxOcIylSWb6z/4gzL8W5ahp1YK6icpb3g.	22	2013-08-04 20:56:19.600807	2013-08-04 20:56:28.471931	268		0
26777	10af585cky563pdqryr87rxewe	$2a$07$Ahv275IZmyZ0GQhgqHU39ebtSmMhexKa4Cw4loqmNfPUyM0.qXE7G	23	2013-08-04 20:56:19.625441	2013-08-04 20:56:28.605838	268		0
26778	10u3u7vuxu3bz7yw7kialenzsy	$2a$07$.8xr7K62u3iDXvqKAG.wFeHdYBwKgSGFyEIWp/u.p978OsYcw4yeO	24	2013-08-04 20:56:19.651405	2013-08-04 20:56:28.754345	268		0
26779	108be3m2qh9b43a0wrzzreq8t0	$2a$07$Hp1cajiPi0stoziz6wDb4OnLkls8Jy5aQLHfb7tQyrCMTPNOJViCO	25	2013-08-04 20:56:19.683973	2013-08-04 20:56:29.796335	268		0
26780	10a7an8uyz5ermzs14sflhvqlg	$2a$07$eBlS4IQoH1BKXY46PRc9dehbNu6K16wGsmCPSrSPo5psU4J/0nL3a	26	2013-08-04 20:56:19.710085	2013-08-04 20:56:31.563826	268		0
26781	10dp7y73l3i89xltwxl3wrr8zs	$2a$07$Jf0s9WpNgYcy1QlhmEnBJuyzY.Ze2cpHrO7TWCAftgd.UdIcCyCP2	27	2013-08-04 20:56:19.733539	2013-08-04 20:56:32.828197	268		0
26782	10prybhywslp0votnkf4xjg0xd	$2a$07$AmhAmqLBcx9p.uKZxA8H/.zRu80Io10GgrXKXaTIB/DoSD3ZwOxj.	28	2013-08-04 20:56:19.761563	2013-08-04 20:56:33.064093	268		0
26783	10rngb0clvlevhe8i3uzq74ipr	$2a$07$eUeP1SpHIT6TNpyuClPpy.xi.tVaehgeKTw9RdPID2RxOysGmTKOO	29	2013-08-04 20:56:19.807482	2013-08-04 20:56:33.29234	268		0
26784	1060zndzvg7622ney212qf701v	$2a$07$60qqdkFWVKqsK1kkFO7IwOqKRhwo5bsk/nSoFTAcxGuX3UPZgnBKa	30	2013-08-04 20:56:19.829862	2013-08-04 20:56:33.472379	268		0
26785	10juc08mj23nwt20fsetp5xz1t	$2a$07$x..F2izGQhNdHEUb7Y2UN.SriQubu/BIf1ssA0.wouoLqhMWmPk8S	31	2013-08-04 20:56:19.851835	2013-08-04 20:56:33.649757	268		0
26786	10jlw74ta5wg5awpiu1kv8yna9	$2a$07$d4r47gO5V4Xh8HP9jrn4P.KJfAvzOICAxBFHiqsvKp26l58.czFCG	32	2013-08-04 20:56:19.873786	2013-08-04 20:56:33.80444	268		0
26787	10rlcndf4n7chricetlmy5za5x	$2a$07$xYpDwraJ2YCNAjR1KOLgK.E9t422EPh7hUC7.gYYq8bboff/YRzo.	33	2013-08-04 20:56:19.895349	2013-08-04 20:56:33.951455	268		0
26788	10aomiiui0ijyadql9k9khx39s	$2a$07$dgPhP2XfevHIAmNg2RRQj.sI7ETm78VBsLac.SSOd4zYZ9HXQhIri	34	2013-08-04 20:56:19.916921	2013-08-04 20:56:34.077876	268		0
26789	10pf9c0a7k2dl1fu6y7aqq924n	$2a$07$MBXotSslmdQFY8kJKiF/QOt..SywmSIk4toRCPFRfiKOQhj73ijqq	35	2013-08-04 20:56:19.938479	2013-08-04 20:56:34.213315	268		0
26790	106aspyq9a2i6kmxffm1a05o3i	$2a$07$fIWDa6k24Mw81VC.YqxmEebkDf31NNJLKydd3FB2VjowPrhCxfbOm	36	2013-08-04 20:56:19.95993	2013-08-04 20:56:34.323884	268		0
26791	10619l9gvolg42fg02zeao1lt4	$2a$07$HIkcBW9lhFr4CtN/K8kb9.6V9i3LawLxrHcNlO8K37G9Qt.yRETkK	37	2013-08-04 20:56:19.981488	2013-08-04 20:56:34.456434	268		0
26792	10n6lhyzvna6plxd6ifj1466oz	$2a$07$TkMbCNKS9ng/zyFvAmSv3.cpEMmv7S6w/4vD6Z0TH77MibZaPTmty	38	2013-08-04 20:56:20.003098	2013-08-04 20:56:34.585572	268		0
26793	10b4z73dl5qbpsjlg6erqnqeja	$2a$07$SWgsedvUsM5seNeyZHz1N.z/ursTHqNPhA9iKdsYv0SzW7EFcN20.	39	2013-08-04 20:56:20.024759	2013-08-04 20:56:34.713226	268		0
26794	109odmzak2u1qo369neolv86cv	$2a$07$kQFH8Qdc./eNN/qLWjV9buWuAA.I6obTGON.NGbbJ5IaQDnc6x6XG	40	2013-08-04 20:56:20.046589	2013-08-04 20:56:34.857061	268		0
26795	10as2s3zp33i3mmvnq2890kdbk	$2a$07$x5xB6owl0Z1VemxDEYGaMeurntownPz9z2LJMBrkS1pGjXtzRowPm	41	2013-08-04 20:56:20.069469	2013-08-04 20:56:35.025567	268		0
26796	10yt7xjx5ukdx29lbjvh9jukti	$2a$07$rKgpCS0kgeROGH/ghu.vKOPzsxftp.Pt4rnxXatyOqjx0wsESSxc.	42	2013-08-04 20:56:20.091429	2013-08-04 20:56:35.16811	268		0
26797	10aj3ybh6ndqg5v4n8qppovalp	$2a$07$D6fhcdvbcKFnj1cRFfJNt.jBYcelqeyYXtzboRk4N4P5MXtj37bmS	43	2013-08-04 20:56:20.11315	2013-08-04 20:56:35.314614	268		0
26798	10xrwuqyzdt790z1y0mlzetdi8	$2a$07$wivdgETZn506c8YkgZZ5l.7ZwnqGpJ63pfxx8OhYjXGATXeOVst7m	44	2013-08-04 20:56:20.137468	2013-08-04 20:56:35.464232	268		0
26799	10pwkclkji6hm140nk9p60s3at	$2a$07$/plajFbG4jgMorbUuhL0D.8mHQXlpeME6QZHAOII5H6jTfxR/19x.	45	2013-08-04 20:56:20.160686	2013-08-04 20:56:35.611335	268		0
26800	10xwj3wik4oo8h72cjwy1cq9c5	$2a$07$3xlilIZFUxQY8f/L32qNjupip6ZpCs.1sdBDFsnxyM5ugPFxIguZG	46	2013-08-04 20:56:20.184139	2013-08-04 20:56:35.926999	268		0
26801	100dnvz13fmbieew73825qvjd8	$2a$07$WhSw/B0DSW42d96lZ9G7pOdLF/knpZ5qi.Zb4g9oUzQAOHfQAL5.O	47	2013-08-04 20:56:20.207372	2013-08-04 20:56:36.240495	268		0
26802	10evwcjgs8hpiottuktp1yqfmc	$2a$07$vcIXLw5opbWme/ATHu0wNe2zncz2qMHetaQttNMtjIzzYsgd9upC.	48	2013-08-04 20:56:20.241433	2013-08-04 20:56:36.449788	268		0
26803	105tuo5p0zuk02inzsbkdbpbhh	$2a$07$RF/qV6TtmKQQDHZHVvhgder7p/APdZ55HGF6D3dQHm6jZccJbpbb.	49	2013-08-04 20:56:20.270201	2013-08-04 20:56:36.613413	268		0
26804	10w808fpmcomb1sva4q5ul49i7	$2a$07$6/kiZq/2ZzJrg3L1s/It3.OgkwJm6fZYBVYNUWWhkDwGHDULaaK9W	50	2013-08-04 20:56:20.292023	2013-08-04 20:56:36.749615	268		0
26805	10mh30si4zkvzukxtmw5wtbxvk	$2a$07$nrIscPhk0LDlhwwo3IYK8OmEDnATXZUf76kuKDCH7RjfMD4nkAdlO	51	2013-08-04 20:56:20.315007	2013-08-04 20:56:36.936089	268		0
26806	1076vlvxnq2d33umgxvmll8cva	$2a$07$FJuGxRnTP8Bwh4z/zRGqoeDoHZKhp4STB6uKifAmiCanRQM.caGBe	52	2013-08-04 20:56:20.339686	2013-08-04 20:56:37.107361	268		0
26807	106vztmw6zxz8i1f059tncl628	$2a$07$VSMyb.bny4PyjLi/DC9BseuijINTcPRmPfuPPC.CAGB1ojBAvMFfO	53	2013-08-04 20:56:20.363098	2013-08-04 20:56:37.334937	268		0
26808	109aqw4byaejz7x9cmzr4f3seo	$2a$07$GUJRH5hJoPwL1D2isj.DW.oG6dxRAfdmRBu7FFb3UjlnNuDYqdPRi	54	2013-08-04 20:56:20.385913	2013-08-04 20:56:37.583129	268		0
26809	10x72s02rqh1s0ginmconvkd5i	$2a$07$tXnGDhDFVaop75dCT93oseyecVUr8kwwWy8zjMzrazZbjZlHN1.ai	55	2013-08-04 20:56:20.408779	2013-08-04 20:56:37.73953	268		0
26810	10asosqa33oh935500l2ksxfe6	$2a$07$tgwiSQz3CL1MvkbUdbU7i.duPJ0FsHXrE05B1te5mJB.e6eFsnXMK	56	2013-08-04 20:56:20.443971	2013-08-04 20:56:37.874855	268		0
26811	10tco368ms3kx2w6lx8zugtsr6	$2a$07$hiIUGAXfWV6sE.THqkxtOuO10HEyjk5t.pJmTvFALEoV9KQpUSuNm	57	2013-08-04 20:56:20.478585	2013-08-04 20:56:38.025489	268		0
26812	105xgsd72k0o8oc4m0g97idi7v	$2a$07$0OiDgiNh67k7crZ0YBE1MOuPwWSU7rdB6G8RnmX1u2mIElMjjNn/6	58	2013-08-04 20:56:20.514333	2013-08-04 20:56:39.036192	268		0
26813	10imdpyl2vc49p8o2fuy3ifq5a	$2a$07$cLyKMd1CbAM0DkgBibuN7OcL2gJc3pKVztiuR2bPrICo8Bob6OJY.	59	2013-08-04 20:56:20.537942	2013-08-04 20:56:40.063476	268		0
26814	10ypzm4easzd5qysue8gbiljsk	$2a$07$HDAXvqjtDGLwhOz35HHVyurMmmieix.kTKY5BGheDA4UZbAmFrHuW	60	2013-08-04 20:56:20.561451	2013-08-04 20:56:41.030404	268		0
26815	10ii0yp8tdegao5vvoroxe4l7n	$2a$07$Ut7PJws8HGTVfDhSNWGcI.SzjKKLtK1XSc8u/2xB0jGUsUsoPBlx2	61	2013-08-04 20:56:20.58519	2013-08-04 20:56:43.876749	268		0
26816	10gzcuurqdlnjt1ud3lrgq5pwl	$2a$07$NbTBlQ2F/q/gYkyv28R5J.tx5t.2dTAlaXMzGshKwdl02zke7aJnC	62	2013-08-04 20:56:20.61022	2013-08-04 20:56:46.687019	268		0
26817	10jfo0dolq5vhd8joz6gsf59bp	$2a$07$kzw5JS91FXqf8D3PWwCor.t0hXPUgh8/8UcBaOsXEG1BujiV6OSQS	63	2013-08-04 20:56:20.632775	2013-08-04 20:56:49.584518	268		0
26818	10ikxxo8teqlnh78anzv38p19n	$2a$07$wpdvDyP0E0iQiLo.Y3wy2OdSesRaxEe/Vqpwj63ezvG8nPa14jebW	64	2013-08-04 20:56:20.655646	2013-08-04 20:56:49.734477	268		0
26819	103xvs16iym86x74hguuhkkele	$2a$07$D8niJ1JQW/IW5NtsxGfIGOeDQF9.eyVwdyz8BkYmAZ5MEzvAJIrh.	65	2013-08-04 20:56:20.6782	2013-08-04 20:56:49.893432	268		0
26820	10qfnj7w2ruia3ov1jfc8b7bub	$2a$07$jNQoC0TrLKKZPRQqOAd.2.6zbzjUA65I2SMslryv/KKySptr/JBjy	66	2013-08-04 20:56:20.701736	2013-08-04 20:56:50.187923	268		0
26821	10hcjbfdc9pc15y81xga9s1pcw	$2a$07$gFEeHaSvDaqyVT/hNeQsu.QufCwudcXGFtgYyDhEsc08HmzTO5nOa	67	2013-08-04 20:56:20.724876	2013-08-04 20:56:50.328855	268		0
26822	107iu9bgglw10e322uirel2ol9	$2a$07$5zMtd5DkBtTrlAPGSoHJh.oye5fXFoWPcdHQq1eLAuY5nSwbjMYwe	68	2013-08-04 20:56:20.748387	2013-08-04 20:56:50.465481	268		0
26823	10prk95twgh6dl7tbzh4mjfa06	$2a$07$OOnvtNQa0xRkUW0sBXxDF.SEczzltn.AVT5bVp7iqTtttEfpnXla2	69	2013-08-04 20:56:20.771824	2013-08-04 20:56:50.617086	268		0
26824	10tccddmc1wrm3wal7f00z7ty7	$2a$07$WX0lgoIl4G362lp0KE5isOW2v4Jl9isXXJqo/kJMsuvRlmd2oXKVC	70	2013-08-04 20:56:20.793809	2013-08-04 20:56:51.616869	268		0
26825	10g8m1wd20ei5l72de1ytu8q3k	$2a$07$hlEIFFoNuZI4bCX1IB499u9tla2WrTWJFLzvIclbhEBfrqBK9sUOe	71	2013-08-04 20:56:20.817264	2013-08-04 20:56:51.791062	268		0
26826	100fmlql5nu5cavgqxwcga5lba	$2a$07$HI18FURl6/OF/NQB/Bo9Fe12FNY8pCH228WrHBdJh7Is8NES5Hcq6	72	2013-08-04 20:56:20.839319	2013-08-04 20:56:52.823452	268		0
26827	10k6yxhheeefbkhdwzhmxnxb4g	$2a$07$4/PWjro81NlkrNpum5/EleVYH5dHtDeN9bNCZT4lC67Vh3sp2N77u	73	2013-08-04 20:56:20.862638	2013-08-04 20:56:52.930919	268		0
26828	1017g1dww30xcl3juskbxsinq1	$2a$07$xpgdOwaKqUMaYll//9W/W.5gyUkCtqtCWpYiwWvJyE8Q9aAk8PKQu	74	2013-08-04 20:56:20.88496	2013-08-04 20:56:53.06243	268		0
26829	10v8glzia26rlmscq1bk5fmqk1	$2a$07$6/7ZPKBvnkLnmYMr1C9Wxu/.gj7VCNN/0jnnVBzdZ.EApIflIslkG	75	2013-08-04 20:56:20.906453	2013-08-04 20:56:53.253086	268		0
26830	10dzizvtz9ubxblcjq7kcey9u8	$2a$07$4NMzOPjf32dKG4U6V4k2S.3zcwtQFv/wkK.8YBJ3I7Sjf3MpZ52Sa	76	2013-08-04 20:56:20.929093	2013-08-04 20:56:53.395082	268		0
26831	106y62tccbdehdtc5o1ff8ab4p	$2a$07$/3maih0XL4Dk1mwxvkrEButfAG9ygf64JNRFxser4GHLLDGtpRx/2	77	2013-08-04 20:56:20.958885	2013-08-04 20:56:53.531106	268		0
26832	102a27si42g42maq2278jfsy6q	$2a$07$6pbm58LU7i5YhpBifPECQOB8/zzCYHtIwu8sHD36JkRDE5JKxrJaW	78	2013-08-04 20:56:20.981886	2013-08-04 20:56:53.686323	268		0
26833	10uprmldooh6vdne7a97tvijpx	$2a$07$GbKe6eJqL58Qlgh/9b/mq.aIH90P0KjTXD4Gwh9wz0I6fYdbIWtIO	79	2013-08-04 20:56:21.003919	2013-08-04 20:56:53.850585	268		0
26834	10j4pzn7l7182zxafca6yce5j0	$2a$07$TNA9RV2S1Y.Wit.hzqg9AOf/yeWdGniIDRhsMCjzMwpCCja/511i.	80	2013-08-04 20:56:21.027016	2013-08-04 20:56:54.012989	268		0
26835	10f2a7ydwv7wkklesmc62hv1kz	$2a$07$oZOy6gNFcXr3CngyHtzl3uMeWxoYrPzn0WKuMfbA6QYlmPQTAF37W	81	2013-08-04 20:56:21.049974	2013-08-04 20:56:54.236472	268		0
19321	10pe8wyt8liey1jxpgf5ab6zp7	$2a$07$vKWdQ/rmdxOr7B42DPwN1OA79/9auWzpeWsIo.wcjP/GZx7QIxwgu	1	2013-08-04 01:54:51.039618	2013-08-04 01:54:54.27074	209		0
19322	10p606hs23kdf4vpctxgtuxfkw	$2a$07$I7Et6Dm/rEwINKt8E2owNObKOcsfbN62DhfUr7TjiqXLPqcpS3dRS	2	2013-08-04 01:54:51.063949	2013-08-04 01:54:54.391263	209		0
19323	105heff0mhk3t8lnfqggcjh5cy	$2a$07$NezMVZKT1QXooUQAj1piguM77PBrNvDXVcXvve.jdo3YVEBAdeWJm	3	2013-08-04 01:54:51.104825	2013-08-04 01:54:54.525387	209		0
19324	108uq9907c23m4c1gvb5esom4g	$2a$07$8DdywC1EFDSNvJl2p0/t1.fjPlgJoaadvR1mkarkZzQELfomJhrxO	4	2013-08-04 01:54:51.127536	2013-08-04 01:54:54.671432	209		0
19325	105zumu2wqjaf0scj77bkbwdcm	$2a$07$vSfE2EN7LvMcP6fE/NtCdeQII8.s2Sl33xqgEIHm8mz5c8u.Se76i	5	2013-08-04 01:54:51.149084	2013-08-04 01:54:54.824444	209		0
19326	10anjnuzmy90tidef12oyfjgle	$2a$07$Ihef.7Wo/WDZnqlGEkUBG.6mS0JcsbXqzA6x96lDDK3nBEUjLhsJ.	6	2013-08-04 01:54:51.172707	2013-08-04 01:54:54.963173	209		0
19327	10u2m78t4hprnk93h6v4gjj74s	$2a$07$vo6KJVScILG5xc5d7Ag8O.q8DQVpxRLiXedRbhb5/jIibHn3oZ/Qq	7	2013-08-04 01:54:51.196194	2013-08-04 01:54:55.911776	209		0
19328	10q3ue0yfxe7q4y1krienq6vxi	$2a$07$tSzObb4if3PV/mqnRCf4eOyvAW.Lc6y46SZtWgO7Lz4iw6duc22p2	8	2013-08-04 01:54:51.218444	2013-08-04 01:54:56.903569	209		0
19329	10kaychbwcliludbef3x85d014	$2a$07$ja/jgR6R3vuPihvrHpdtU.ISKadPqf0s/IWBNws9FcvuqdDM6k7cu	9	2013-08-04 01:54:51.240359	2013-08-04 01:54:57.828126	209		0
19330	10rv8t4dgbm998a1qgh1lpr96u	$2a$07$bjtIx6PjDuR3LZHyiCE/aenjd5YDDHqcltn/0ygdbB7NGpeuvzYsO	10	2013-08-04 01:54:51.263686	2013-08-04 01:54:57.965099	209		0
19331	106bh4mzkspye56e50rf5uitdi	$2a$07$pdpkO0lxEa9VprGFmtG2..7g0jiRwYlgrBCy8p.8b2MX2gLIuzw5S	11	2013-08-04 01:54:51.285943	2013-08-04 01:54:58.09086	209		0
19332	10spdyx1ne68p7zd7un5pne40u	$2a$07$oOBpwq4XILUiZ9jOfwkAIuljMm/atpP9rFWakxiUchW6FYwKLfism	12	2013-08-04 01:54:51.308759	2013-08-04 01:54:58.224476	209		0
19333	10yn3mvwqi75ffczd08zt0sljs	$2a$07$7zfBQ6iUqgVMivqbcdqg9.TnbT6XS1oyRtprAHgMQsJGxm8Vaa1De	13	2013-08-04 01:54:51.331424	2013-08-04 01:54:58.339836	209		0
19334	10id91ubirkxgkkty3a5pvbbx5	$2a$07$lu2pjRYMbsGK1wVvX9oUoO6UpkwC9ZQMWuYNNjU5jDzgvQoWkn0ke	14	2013-08-04 01:54:51.35501	2013-08-04 01:54:58.455185	209		0
19335	10buo0i2yorx39plgsy1u8zzsg	$2a$07$ad1RJpPlcsOxJ16vh4zL8ulydqpaOxRb7Rj3rcf05Epkh8GO6D9Tq	15	2013-08-04 01:54:51.3769	2013-08-04 01:54:58.590326	209		0
19336	10qmymeezjmbp761e24tl8ycxr	$2a$07$FrwbWaleP3YYjgA8Slts3.P5Hc1EB1l88GZVKR5gdCkwXqN536/l.	16	2013-08-04 01:54:51.399838	2013-08-04 01:54:58.731139	209		0
19337	10e9x2vmvivo2yfvvtwrgp59e4	$2a$07$ooIyUFjNHO9nfzlbhgWElOskyD4mOzEtx4H4tLJMGzQ6De6shC6gq	17	2013-08-04 01:54:51.422335	2013-08-04 01:54:58.873345	209		0
19338	10084oopjk19idrzbswpxjsgwl	$2a$07$eOAInUvo4lXJAfWvljg3y.jjosfWAX2C5OYoBPY7CvX3c/Xw4osv2	18	2013-08-04 01:54:51.446464	2013-08-04 01:54:59.01052	209		0
19339	10nw3o7eblyfx0j3mlub7fiqeh	$2a$07$thWyWTibIKO/JJk5waVXguTP8siSR2X85iUwt7uVRB65rfkBdTyZe	19	2013-08-04 01:54:51.48502	2013-08-04 01:54:59.156677	209		0
19340	10xij5zrsvxu248uddjkqhg9a6	$2a$07$CDG8NYg1NmPjOtIXfoMZy.UkjpF3QZZIV6xeq.aik.GvG8yruWurK	20	2013-08-04 01:54:51.513649	2013-08-04 01:54:59.290339	209		0
19341	10izgdi1c3pksxqir27ryjrf17	$2a$07$Nl767FubIS5N1dAYFE0Zyu93VYGSArja65peoKLxBQNHgEUESO7Ge	21	2013-08-04 01:54:51.53542	2013-08-04 01:54:59.646792	209		0
19342	10cpaagvp1ealutg8d48bqv1a8	$2a$07$vhnaGqeyUsX6wCQs5e6oTOakI.6wg/C58kYkiJWjBeZWxCixquI5.	22	2013-08-04 01:54:51.557599	2013-08-04 01:54:59.782986	209		0
19343	101qovndr4xqwoxpa0pkzfarf2	$2a$07$yqi9VvuO4T1qn9AwKutwduYHoz/VQJFF8AEzDuofNj4xYcMJ2ptpG	23	2013-08-04 01:54:51.580953	2013-08-04 01:54:59.925102	209		0
19344	108ucmk879snireoakps4d2uny	$2a$07$R801pOCAAD4aollCYyxxeOxCkOxgYaSGcZdIr4gGfZlEWi5DiHfOa	24	2013-08-04 01:54:51.60412	2013-08-04 01:55:00.064814	209		0
19345	108377f1jhnypz3tnlk1wc4vo7	$2a$07$lKqzQzz8OzQTXxgdyUW.c.i8Xdv3lnWQTxEpKHIE0GU/ELEpnLy2y	25	2013-08-04 01:54:51.627361	2013-08-04 01:55:00.216514	209		0
19346	10kk7a9dtnpy1d4nwa9piatq7z	$2a$07$xkfmQBgyH9WrF9y3X0WHquznSAy0Tche.tedRhYqaBb.qtbV8qgnC	26	2013-08-04 01:54:51.649899	2013-08-04 01:55:00.373848	209		0
19347	10s0qbwrx3quoqq6pf40mlo01x	$2a$07$OQyroZdDWi269MHU8LCVve0g4yuROgd6bplopUKy3WNyOStIJn/qC	27	2013-08-04 01:54:51.682329	2013-08-04 01:55:00.626127	209		0
19348	10rb88767jr8oy2nbla0ejq853	$2a$07$m03Ri6I/OhvVHMkBmH1ibu9sbF0BOmGxzPMzouyRJ9zZNm6pz2f/q	28	2013-08-04 01:54:51.705736	2013-08-04 01:55:00.761912	209		0
19349	109fm2l9m1sq3c6cn61t33x27l	$2a$07$yeAs8R9ndebasbgo.uXQzuH.HNBU/sQLSxwUkKn960NJBJXG7tecq	29	2013-08-04 01:54:51.72851	2013-08-04 01:55:00.894819	209		0
19350	10ja8tkw8s2c0sd37rxknsndtv	$2a$07$7j8P3se6rmOWL3VCLmVaNeTmkre6wEll8DUS41p7QlD/ZAYiUC5aO	30	2013-08-04 01:54:51.752103	2013-08-04 01:55:01.02694	209		0
19351	107ocsro0q2db9ebac9epddgfm	$2a$07$1CWod3pCyoPYO/ecisU0NOcZ..3ix9lJFtdZfNB53AyLhMbDNugdm	31	2013-08-04 01:54:51.774651	2013-08-04 01:55:01.160277	209		0
19352	10hs41w83nby1ch5kf07ia2k5u	$2a$07$lrenC4ohHCG2vTchMpm6Yu2d6F0UhMi9KsSbG2OoSzHe5rjVf575y	32	2013-08-04 01:54:51.798752	2013-08-04 01:55:01.302339	209		0
19353	101blhjpabnxl6iav3wtlhusjx	$2a$07$V9FGnwTA3eFte6PKGaK1Fe9r1jW.V/3AQLkcJd7DpaZPTvKJ3HiR2	33	2013-08-04 01:54:51.820987	2013-08-04 01:55:01.426452	209		0
19354	102qxzwxcgjz61tbevkqhwi5zg	$2a$07$zjZttZ4UWdIGrInqygiH.OxmwFC43Q3zQSuhoCACiSdLj6oAnYmrm	34	2013-08-04 01:54:51.844452	2013-08-04 01:55:01.53278	209		0
19355	103hu86vhwywys7thsfxabpuxa	$2a$07$aQj9vhUb9.j4NkSBaqL4oOaG2VlnzMBW.yO6mzxZ26pICHspbc0Ke	35	2013-08-04 01:54:51.868054	2013-08-04 01:55:01.681294	209		0
19356	105u0eihc026pb9reaqcs2y2bd	$2a$07$8cI3yk8bnIPRZD6.PpNV6ebHEFIeBPdViYZ7gohbW2nNSM9uM21Gq	36	2013-08-04 01:54:51.89127	2013-08-04 01:55:01.822589	209		0
19357	10xamixxodvbelma4o6gzsy4zo	$2a$07$CAZGseV6FaFvrR32kayPYeH46pAayfNLJqsyFulAQy18gpri6cdB2	37	2013-08-04 01:54:51.914572	2013-08-04 01:55:01.954845	209		0
19358	10f179tcvne9vr6f8jsxrzkplp	$2a$07$epysfE8FKQyg3B0QEgHBvOionFSR0jcHeJ5b8hF1kW83SKdkwIneq	38	2013-08-04 01:54:51.937956	2013-08-04 01:55:02.076672	209		0
19359	10lb14the6h1z1nanx1kgo0fqa	$2a$07$LSYAXPvp42H21F0wsjTejeZATB6E0py2iLTSYjqrEGe5.xbAuEHZa	39	2013-08-04 01:54:51.961019	2013-08-04 01:55:02.215273	209		0
19360	10par7wgqss6rzivx6387t1pmh	$2a$07$2TuNeiMv.j8SUDKw6NN.FuKxSWftJmI4jE4.qFGZrT2X.lmHUFa.u	40	2013-08-04 01:54:51.984747	2013-08-04 01:55:02.347411	209		0
19361	10ly1rxh79j0p533gsgot1yem0	$2a$07$wUthxZ/lZRLVVmZVO6tl7OJ76NthHxfqq.Hb0tcwMz2K6Xd6vs85G	41	2013-08-04 01:54:52.008353	2013-08-04 01:55:02.461385	209		0
19362	10fi65tamvfckeme3btjcfcwsy	$2a$07$Bzs/.ZMJkSLUY3m/5dAE3ORppgI9PbdEN0ZbZh6GLI0lk6mhohqTq	42	2013-08-04 01:54:52.033273	2013-08-04 01:55:02.578414	209		0
19363	10ryn6xjplpovoh2xr9c7f4k8o	$2a$07$6hGj9QaQsIQij6xaITQb7eDrAHTgbZHsUfCZQsdp5SjuuqQf.bY1G	43	2013-08-04 01:54:52.057646	2013-08-04 01:55:05.196509	209		0
19364	108n22713u09dw6cnmbwm309k7	$2a$07$vQVtikdA..HGQE9tEId4Ru0e6jIrSO.3wN8Ow9NTRC4j3olrATZei	44	2013-08-04 01:54:52.083429	2013-08-04 01:55:08.78531	209		0
19365	10u13ohqiwgaxkx3d9r4c52za3	$2a$07$8hvdO4lmroK8eict.whjXeuX69boQUCay/DtEvxLo5YKxEkNLPnQq	45	2013-08-04 01:54:52.112536	2013-08-04 01:55:11.159925	209		0
19366	102a70unqo7c3ng7f11yk1iswz	$2a$07$xKqW38wiDjsdEJZgu6y1KeKm95uLREnNdUwnOK/mA7Uu4/6gXbgVu	46	2013-08-04 01:54:52.1377	2013-08-04 01:55:11.313722	209		0
19367	10905i7d7ucl343unniolvtrbt	$2a$07$B0t6YPsibZT6QppDu0vWv.xoPrzASnLnnOvt.G4zRiNh.t6SNGgQ.	47	2013-08-04 01:54:52.162544	2013-08-04 01:55:11.470009	209		0
19368	103fby635u2we7nvdooiakgqw9	$2a$07$0.JPnl6TrhYe1/IqGwvbt.hSbpdlpZ/7UtjQ9CYM30K8JLNCpFz9S	48	2013-08-04 01:54:52.186268	2013-08-04 01:55:11.62035	209		0
19369	107gvu1dnre9ran03dgtis86aa	$2a$07$B7Z.WXYShi35/KQ1TZ/1FOndtkh76IDl4EBYcpihoGVvRtT61TRo2	49	2013-08-04 01:54:52.210627	2013-08-04 01:55:11.75742	209		0
19370	10pgy9mj9drwjb8qy7ckd4uumu	$2a$07$ITdUNJ0HilfzLUzemDdBVOu.VNZpi0cTYBgMk5awV9UafjPkgL.mK	50	2013-08-04 01:54:52.236952	2013-08-04 01:55:11.884767	209		0
19371	106ez873psbwg0m7e7l3h3dchs	$2a$07$g3brvPOsDky6uhMSTNdW6.dfiXC9qu5o9f/OJ/WY2fzTobqc85aza	51	2013-08-04 01:54:52.265244	2013-08-04 01:55:12.025212	209		0
19372	108lxonm6t0t1t1fbf2a1oenkv	$2a$07$F6ICo4aH/agyhcUzFrnnj.uM31U4rPmkgIrr2mOFVbFAGLFtDw7GK	52	2013-08-04 01:54:52.288195	2013-08-04 01:55:12.14397	209		0
19373	10tdq2z96bpnsyozzbmzihyr96	$2a$07$2nOHu7Gnd0.bFCleLmiSve.TxPM/3LcCq5RlxoGgN4VyVg580KxbK	53	2013-08-04 01:54:52.311724	2013-08-04 01:55:12.287674	209		0
19374	10fina1s5e7w01irnffdwilkkl	$2a$07$44iA849t.7Ftrf4K6ReuguqjfTwaMvRx3uSeOovyJcRFN3T60qor2	54	2013-08-04 01:54:52.334714	2013-08-04 01:55:12.428397	209		0
19375	10s1v9ommkeva5zy6ypso5z84h	$2a$07$/ABlJdxNvACPg/hOGuWbYu8cZ6ByYYzK.hOzn70PnSD9T2jVlWAs.	55	2013-08-04 01:54:52.35635	2013-08-04 01:55:12.559478	209		0
19376	109zqpt8ut5b35d0kxis41zojo	$2a$07$rpfw3tpoaWp4uAhlAqUKVunJI0MEakMRs0C/h7EFN9kaNZ4RFk.UO	56	2013-08-04 01:54:52.378587	2013-08-04 01:55:12.699707	209		0
19377	1097yvvhu56eku4ggbe6omz39g	$2a$07$ozttMawDH5AzTIqk3UfBnu.e3rkyzs/HMekevbrSOM4CzCCxjF5p.	57	2013-08-04 01:54:52.410706	2013-08-04 01:55:12.830924	209		0
19378	10y30nuwic3xbkb6dspbgzz1yx	$2a$07$nYjHqFnygbO2ygxs0x5eIeyIehV..3knPAhBEQVk4wErTs9xCTMMm	58	2013-08-04 01:54:52.436981	2013-08-04 01:55:13.057725	209		0
19379	10sffawxsduvlm0qmn7qrt8y67	$2a$07$iULgHp9fEcjvdhFrV6uDE.yl07Awbob7o9ifGc/yqO.UwnNUyJnuO	59	2013-08-04 01:54:52.460227	2013-08-04 01:55:13.252672	209		0
19380	10xe0j1e5gq8lppoedp5ncmifh	$2a$07$snRsd2wmujddueQW.GXq.OJDQNIQDiadSpXmpqWYxDC17l1gY8U52	60	2013-08-04 01:54:52.482896	2013-08-04 01:55:13.530941	209		0
19381	10oa8dle718vzswrbsbqqmzhin	$2a$07$N/ZtVZvrCAiOJoOcwFVl6e6iIzPIbo9tFzkrTvIgWu7aQZaSH.Kbe	61	2013-08-04 01:54:52.504459	2013-08-04 01:55:16.345133	209		0
19382	10rc4rx84iywzsd6u20ehhlbxi	$2a$07$jYfh.Wf2sZYeyY4B0EpQpOu4qbF/8ao2RHP6xMwhIe6kr3FT9vyXO	62	2013-08-04 01:54:52.571699	2013-08-04 01:55:19.546785	209		0
19383	10c8z5eby5qjtw2ofrak2chckn	$2a$07$9MHsfDJUXoH.fAIWiqLSOO2iPoM.0Wq.czcrxB4OWZjbC.q.Vd24m	63	2013-08-04 01:54:52.598737	2013-08-04 01:55:22.236536	209		0
19384	10y1mjysxtwhr4eqlcqeo7at1u	$2a$07$pWNdlDGqUIPY7qVDRj09le435buZ6EC7YRZ9e9JIV7YBGGynpOSoq	64	2013-08-04 01:54:52.620864	2013-08-04 01:55:22.379953	209		0
19385	107dv6mrkipzczgbluak6ludpu	$2a$07$T4SyhsgSk.0dAio2/vy3y.F9En6UzaYRl4uMyj3OSZbOe2878641S	65	2013-08-04 01:54:52.642534	2013-08-04 01:55:22.528978	209		0
19386	10tlq24htw5kfugvbaeugv3j9i	$2a$07$78/N01TN73Sqo8GFdmr0ZOWz2LVqUaqCx3LntdIADSy8BzVQytB36	66	2013-08-04 01:54:52.664461	2013-08-04 01:55:23.55284	209		0
19387	10vxu5goc3l3vrgnv51nfsomes	$2a$07$g9VBEKsqxnUj4yBahMQ3LekohL0xFYf7TVvRfwl6RpGd2LoFVV7eq	67	2013-08-04 01:54:52.687475	2013-08-04 01:55:23.686822	209		0
19388	10zaje1q2mm3k7ipep3wjbbf02	$2a$07$0P2LsZOdfYdsfvjdCq9kTedMB6iQzSKlIDIAEcZ/DLlw.9Bm7rgBu	68	2013-08-04 01:54:52.723517	2013-08-04 01:55:23.827287	209		0
19389	10umirt1bgxxp9fi22vwu9hyl3	$2a$07$ZR4AN5jj9F3VF1TCS7DYn.a4GgaCcPcfmnSqjk75RM7MbuXIAftOy	69	2013-08-04 01:54:52.748221	2013-08-04 01:55:24.129464	209		0
19390	102ial9rif4r7pff2cpne1x9dy	$2a$07$1/fqlt5N.79uCe8l1rah2uTQBdOtOJ0MArDOg1IG6HGLGXu1VCy9u	70	2013-08-04 01:54:52.769702	2013-08-04 01:55:24.259157	209		0
19391	10y4hqllqbrmpep0c5tv3f9pdx	$2a$07$027ToWhbertQs2QEA9DhX.pIO.Ae6rqs2JdMmBt1sVzU/CKjwH59G	71	2013-08-04 01:54:52.791574	2013-08-04 01:55:24.390371	209		0
19392	10zkedakls9uskmy4g5fzyaox9	$2a$07$2Mf2hlddZm4Bm33/WESV1evHy/1Kzx6lK7y0nTHSj77qpvEkOXzY.	72	2013-08-04 01:54:52.813386	2013-08-04 01:55:24.551499	209		0
19393	10nn4uckzimjj8xz9uu905se6f	$2a$07$YYXoeOI7QPSMYfymecIkO.LL2rsE.DNw8IcK6ATg5vtBgaXcrKoFe	73	2013-08-04 01:54:52.835076	2013-08-04 01:55:24.680634	209		0
19394	106mcsdq3lg9la02wf7p9wujlf	$2a$07$mZq6F0YXqHJTfxEbQGdoZO9/QeiTNOMdvnxKthRhG.Bx9MY.sSAXy	74	2013-08-04 01:54:52.857709	2013-08-04 01:55:24.814615	209		0
19395	10ohceb17upjuouqdvml6qmaqj	$2a$07$WS8LCQ/VreGQTStzG0.EiOILig6apO3LAW/R4AOs.DbaCKtIVr5.S	75	2013-08-04 01:54:52.880064	2013-08-04 01:55:24.97185	209		0
19396	10zxc7sir1sjilai9y1y92c7l6	$2a$07$iu/BDp2EFoAh550qzOoQpus3kxmlcOMKipU.MlQXhtzqTosv5R9uS	76	2013-08-04 01:54:52.901605	2013-08-04 01:55:25.147526	209		0
19397	10b593iaik2j09u2ft4kpy73yt	$2a$07$31NG8HT5QnbA2HPMZKGsFuEVEwKilid6S/Ya5m1NUUDNfn4XW1UXy	77	2013-08-04 01:54:52.924366	2013-08-04 01:55:25.273616	209		0
19398	10afhzpvyz3w0c0o9g5q6glg41	$2a$07$Wj/6SaMCRL/nmBExMZiF6O0zrZU9sDdfpfIYlASZUDHHr3iLRUbRy	78	2013-08-04 01:54:52.946072	2013-08-04 01:55:28.081954	209		0
19399	10xdep17tyuv8sl947c8zxezss	$2a$07$svbG9zrt.O8tuwHo9hWkUeZswZo5yFxj4s2Gvi2NlDH6vq0tX5F3S	79	2013-08-04 01:54:52.967646	2013-08-04 01:55:28.203138	209		0
19400	101neorbivlxtrth6jmzxkxh4o	$2a$07$aKcVqjl9fS8rHYBC57.MO.evF151ISOGA6O6xdfkiU0Awad3kQ0y6	80	2013-08-04 01:54:52.989504	2013-08-04 01:55:28.320528	209		0
19401	10vuv9v98uz4on4vrtc5z40cfs	$2a$07$n5zVNlCPBsvg9zQn93194uQHwx1vlnAkg2OQZRbXaxP0gCjoL3bfa	81	2013-08-04 01:54:53.011015	2013-08-04 01:55:28.450411	209		0
19402	10kzygckep5q3rkdl6me3kgnbf	$2a$07$M21s/3mOr5WPBLu9qzqoV.A4FD3j6nLm0U34DP4QdhRK6Nmr0tNVy	82	2013-08-04 01:54:53.032689	2013-08-04 01:55:28.593718	209		0
19403	10c9ja8p2ip4etaodzwddojo91	$2a$07$fkxcyGMieuSKgmT7XZfoA.KNVsa5d.Z.JTTERL9JCy.cixCVxVPa6	83	2013-08-04 01:54:53.056301	2013-08-04 01:55:28.762677	209		0
19404	10i9afsq64uiemsna8hxjttuig	$2a$07$NkirQU2DfK7qxaaCkPvGKeNPTFNIsASl3phM8sdw3Y1eLnVPO5I76	84	2013-08-04 01:54:53.079508	2013-08-04 01:55:31.945794	209		0
19405	10xvr3pk2x6utwtow5gdlqopq4	$2a$07$GRf2rPJck7LpCYsa1uNoG.lVeow2Q93VqyGdN922g3rHtBQKjtXfm	85	2013-08-04 01:54:53.111057	2013-08-04 01:55:32.170871	209		0
19406	10q1hnprx5sis6xyjkwrl0ls4g	$2a$07$GMadw5EDDGSvCFRtLKiRZuVlOmAbJH4VwkVcFhUUGtpgqyMGwCk.e	86	2013-08-04 01:54:53.146027	2013-08-04 01:55:32.394782	209		0
19407	10e2gxoaeqwcjvuxbq57cbqoml	$2a$07$0OF9Fx1ipyONlPnS0zI3M.Mdj56FWX3Ruqd3HMVr44eKD4UTG0svW	87	2013-08-04 01:54:53.169547	2013-08-04 01:55:32.530216	209		0
19408	10sa34awa2hfioyciv4bq664h4	$2a$07$wNi7DTShEFosmUFl0BSqx.hQjrHPWYQcXyf6UiZEltbRLIK3IgAki	88	2013-08-04 01:54:53.199935	2013-08-04 01:55:32.661479	209		0
19409	10w4d3hwumtqg58zj21sn6lh94	$2a$07$M2Y2DQhrWToWL8ga64t8z.6GXA/CPRzsi2p2.r9h2Vb/NobkmSEta	89	2013-08-04 01:54:53.222803	2013-08-04 01:55:33.539274	209		0
19410	10enkg4qdnxi7a6za0shrmeoa8	$2a$07$1eF5YeicSUdyVguRDnRYNex62j5Rvlks1K5.iXFeFBcUpzb/Su19e	90	2013-08-04 01:54:53.245326	2013-08-04 01:55:34.492788	209		0
19411	10ell4a4nv5fhy9xxo86z20x9b	$2a$07$2gWb10o/TnDGk.e12Xc1Iuw/vvD1NQYC3Dkx8GfxAEN6b5Gm5d.sG	91	2013-08-04 01:54:53.266858	2013-08-04 01:55:34.623988	209		0
19412	10uyg1xppv0uhy30hkeajnastz	$2a$07$3JXgfIGeLO8zAbbllwGc3eDNHVkl5bKORCubdl1O0W19XK2tGqhay	92	2013-08-04 01:54:53.28841	2013-08-04 01:55:34.753096	209		0
19413	1084cvxiv0p1ocgenafz3p3gy2	$2a$07$1Ey6bTau/kJjVLjoNaVa6.CYYZGg65sO6.XkvBEKBHJOSZYAPdro6	93	2013-08-04 01:54:53.309864	2013-08-04 01:55:34.878907	209		0
19414	10b34a0pt1pit9nhn9mblxsedc	$2a$07$39t2U5Js0Bq4MxCb69h.UePREC4UhLro9GuOCNmIOexRFfKU4u8By	94	2013-08-04 01:54:53.331852	2013-08-04 01:55:35.014042	209		0
19415	10s226ejuh5olmcqxsxgk27cxu	$2a$07$j/aBcUQwyKFogdyKoAxLsOo1uYCvE3dmlTkRk4jCIvghx3qGDt8Zm	95	2013-08-04 01:54:53.353428	2013-08-04 01:55:35.150555	209		0
19416	102i8cw7ep63oswhm9k7p0l9qt	$2a$07$zreAEMsR.zH2tj8jCAI7.O2ezZbaAEjsJWK5SucReCCGYgG5xWVve	96	2013-08-04 01:54:53.374946	2013-08-04 01:55:35.294154	209		0
19417	10ztljnufnkyhod8vvxk4mx0a9	$2a$07$19K1wknFh1II3dBJqBjjte345y6Xu..07ewV8bfHCCSGnLm5mpGVC	97	2013-08-04 01:54:53.396374	2013-08-04 01:55:35.426148	209		0
19418	10j50nbrurjka7vune7bgtaozv	$2a$07$HS1cAIpDiA7kVdODj9YOwu7P2MNN0aXldWmfOLNbG9QCfgqXS3QHW	98	2013-08-04 01:54:53.41776	2013-08-04 01:55:35.544854	209		0
19419	102yro5f7qltfonjjyvdsikie0	$2a$07$CVa3bj...BKByasdgC9iZuObMawR.wqHcIW8TmiOZ2S1j7BTtGkxO	99	2013-08-04 01:54:53.439114	2013-08-04 01:55:35.681076	209		0
19420	10ekbquz3wt6agn94q6desxujc	$2a$07$.PE1XIpr6zqZNvCrc2Szmes0cz0jIl.bpAKFs/7okWLKmCzSigpKi	100	2013-08-04 01:54:53.460831	2013-08-04 01:55:35.819169	209		0
19421	10pdtuayh2oro4gc75tn6wqmai	$2a$07$4ZJq7HQMxgZMqvZytMzBs.qPS02KZn6LNo5OJIbVejit1cWr9AdWK	101	2013-08-04 01:54:53.483635	2013-08-04 01:55:36.120364	209		0
19422	10jfw9nowgtydn38vz6k7fxevj	$2a$07$g79K1.5ltZq46z866AaeyuKa4hdpNFLrxekamksMINAtbXz23S/u6	102	2013-08-04 01:54:53.50519	2013-08-04 01:55:36.285598	209		0
19423	10vgk5121imy55mwe8l2ikq1qo	$2a$07$yDaNczmlobxmLhUthV/K/eWt7bujU46QSPM084eLWm22InEtiuKB.	103	2013-08-04 01:54:53.526781	2013-08-04 01:55:36.406561	209		0
19424	10kyyc51ags14q9wgjlck0zgah	$2a$07$hQ6Y7q9cFND4JKXc7zPGSe1Xed5TDghccIbmfOQL4E2tWg3WIxvLu	104	2013-08-04 01:54:53.550051	2013-08-04 01:55:36.548211	209		0
19425	10phns2t0rdp80vidk48p99w2h	$2a$07$dcwkHaWgTlVtIYxIedzKAeExUENmejLA2Sobf4kYnaVR2Cl/amHWu	105	2013-08-04 01:54:53.57306	2013-08-04 01:55:36.684517	209		0
19426	10xui0qgesijgwy3qcf6otudls	$2a$07$tBiPvxtU38SUz9KJ7npu.eas8hOw4HhC6sZMc87onkiijwa0SxOWu	106	2013-08-04 01:54:53.595789	2013-08-04 01:55:36.81273	209		0
19427	10g943pv4ax65073eyhfw24vrt	$2a$07$g5PbWK9CickuytoHTAACU.xHmrN6P3EQ1MrV6QjRY6PU5PdZcRDt6	107	2013-08-04 01:54:53.619556	2013-08-04 01:55:36.971065	209		0
19428	10rykefgy2idekj9d5mitri5md	$2a$07$fE5sorY5qTjGqwO.CR8uz.lBoCZ6H4I5avSECMVHAR96kXWJyAUy.	108	2013-08-04 01:54:53.644625	2013-08-04 01:55:37.136045	209		0
19429	107v8cazy8avivxrd7siujh06q	$2a$07$suzQantbQ4HvIkDDV9TOAeoxwSujZZoiFIWvGPv6a/cAxX3pCV7OK	109	2013-08-04 01:54:53.679489	2013-08-04 01:55:37.276709	209		0
19430	10fnm3ben5s4wtd1hrtemgi9uc	$2a$07$vBp3/iy2jXGlxwPsLA21DOfRNBiXFoAXpAzw6hq/MnIJp/UZwZqSu	110	2013-08-04 01:54:53.703644	2013-08-04 01:55:37.40069	209		0
19431	10rir0tcq2ccqm3m9n3otrr56t	$2a$07$ZAudxw//r3IKwuOP25TTiurNA8Hp73XBlfs7nE1CcPM1FG9IQ3EWq	111	2013-08-04 01:54:53.744402	2013-08-04 01:55:37.503778	209		0
19432	10do8ubo5lsmjkmo0qyo9ik30m	$2a$07$olhQTbkvE2ihHZ1HETDk5.4uBtZuXFGIwDfGmPRTe9wE/SIDi6fG.	112	2013-08-04 01:54:53.780083	2013-08-04 01:55:37.637323	209		0
19433	10m5wbuympwnk7spbrmk1a6izx	$2a$07$64fM.9Ctx4wuq9CkKX7gv.jzRnqEGEp/P4X9eE4VHEt2UFD2QgOsy	113	2013-08-04 01:54:53.803043	2013-08-04 01:55:40.013286	209		0
19434	10jhzr7v3ovi2b3vkl7nxja115	$2a$07$plf2ge/LMHZFCxp42gy4PeeFD9PbOq5s1vs3CuC1sY27OvUx3rE4.	114	2013-08-04 01:54:53.824721	2013-08-04 01:55:42.369061	209		0
19435	10gzk6mf22dses9v71ifs24ns9	$2a$07$P5G53OMC20nTD86uJDsWuOTAxAqcIZsmbG6h2GN6ERvKml.Bf9HHS	115	2013-08-04 01:54:53.846719	2013-08-04 01:55:42.521179	209		0
19436	10m7d4xug3q91xgvjyw34etiyi	$2a$07$3zBO0TvEuWY9KDd9kgUkDecSAkGESprsfQK1bPK/nqoEYudJoBf4e	116	2013-08-04 01:54:53.870063	2013-08-04 01:55:42.654927	209		0
19437	1077x7mnvc4pyu7w995zgbsvqv	$2a$07$uUKP3BLIqa.wzC8J4yn.S.mutDCC8TLQp8Y1j./a1/dhy85FRVWF2	117	2013-08-04 01:54:53.893152	2013-08-04 01:55:42.771582	209		0
19438	10iqa262spzsja7bau7enrqk5w	$2a$07$6Af36JwvzOu4u8bwnKhkuObuIg8pq8prdGQ0nM/v.UZh3xcNX6T.y	118	2013-08-04 01:54:53.917961	2013-08-04 01:55:42.915724	209		0
19439	10l3gwfwwoy57f97kisvhf8el3	$2a$07$e0DvO2GQfeiCPkp/U7ykmeCjfLMZKncQzJAi4m8yCZVrF0KvSeVSe	119	2013-08-04 01:54:53.943197	2013-08-04 01:55:43.053938	209		0
19440	10ae1gv5u16aihr6uefb04kkt8	$2a$07$fO9IcZZspyjQacspwrPFVeOFZsbA69SKPDeBInxUtLQcCL0G8lsJK	120	2013-08-04 01:54:53.964922	2013-08-04 01:55:43.195428	209		0
19441	108343rtdic954bplptxoe5hsv	$2a$07$FdTkwuPS0y9ZSfW9oEMf9.vivX1UZ4UZJvu06qMJhPfBI/PlUGDxG	121	2013-08-04 01:54:53.987323	2013-08-04 01:55:43.328994	209		0
19442	109unu6d2qlrxwm0btuddu6xdr	$2a$07$utw0KiV/UHKBhD8Tpy6PR.t4iXzSY732iQm5tq3NgMoISVyMTqOnC	122	2013-08-04 01:54:54.00944	2013-08-04 01:55:43.463028	209		0
19443	10l36fuxi5oevprf4vsw1gah36	$2a$07$FTOHoTSAeDMLHWVgOy3LhexNzZS6VqlOS.95IVRXqsVkbdixd7s7O	123	2013-08-04 01:54:54.032365	2013-08-04 01:55:46.162808	209		0
19444	10t94vcvj1jrlx5qc7vena1s1x	$2a$07$j4O3AMX2GYfyL0I8InyOg.VVxfdHNfqUnL5n9g/8bvs4z0FE2YqHa	124	2013-08-04 01:54:54.066825	2013-08-04 01:55:49.270147	209		0
19445	103am112ri1y63xkwfab5yzif2	$2a$07$pMPcDCbtgGgsDFx8oeppE.EwjgpRGlTGDtpAVznhjzyxcH2CI4nba	125	2013-08-04 01:54:54.095316	2013-08-04 01:55:49.403919	209		0
19446	105cypjs9guojvys36kdt4t2bm	$2a$07$6N7C6uHYuwJPssXqi3MgVu4t2IxANv0TTedh5oRYheWSfPF0bPvr.	126	2013-08-04 01:54:54.120093	2013-08-04 01:55:49.542435	209		0
26836	10l38z6n8zn09vq7dkbua9kc4t	$2a$07$Ehxy6T20a9bQ9mwYZG2LEu9iosqeOnbl7iFbmnCS9wGCE02jpUwo6	82	2013-08-04 20:56:21.071787	2013-08-04 20:56:54.3842	268		0
26837	101r242m3x203zw0xf2khyuctu	$2a$07$nebk55LKisFNIHcI8Wr1Su/w/RTbvJBPr.eGZfzA7ceHgVchX1RRW	83	2013-08-04 20:56:21.093948	2013-08-04 20:56:55.462409	268		0
26838	101n5xb8xidom8hl0u1l58g4ls	$2a$07$xAQ34mM5VwM5/kbACGAPROKEpxECiRnQMT.5ijZgEsaBH1Sljapea	84	2013-08-04 20:56:21.116911	2013-08-04 20:56:58.363504	268		0
26839	10sq7y3zrjsvgue9kwboj4o9ph	$2a$07$wnp/OsROAB7wsGXFnyXDY.q.reBbp.PqjDskkDHLR2cXuum6EDFEq	85	2013-08-04 20:56:21.140877	2013-08-04 20:56:58.513989	268		0
26840	102pgpu48eap2frk1qvbc4eckz	$2a$07$2Aq4WYj6m9d9SH02xCmOqOBpfZ2sSimCJpfJ8e4qG4jKeh0OqaMcS	86	2013-08-04 20:56:21.166367	2013-08-04 20:56:58.673553	268		0
26841	10d1cwrkvh8d75ejvxqra17v78	$2a$07$rjlYHGgKObOyegYmQ6am8e88F5M/p/l1L9vF/pnMq4SaKiEIcbhA.	87	2013-08-04 20:56:21.1927	2013-08-04 20:56:58.81396	268		0
26842	10azaa2z6bzfrmyntsfmhk4xup	$2a$07$meZJbwvpplwSX0Qi.bEqje25LpvdNWMZ1um.ATjere/bWyVyGl0RS	88	2013-08-04 20:56:21.221476	2013-08-04 20:56:58.980304	268		0
26843	10301uzyoh8pifpv0aaip44exs	$2a$07$Bd4F/PutEoEEBNHpqeHHrOQjWRtJPkCm6Oy2dFH.nZnhlqHg6.aT2	89	2013-08-04 20:56:21.245264	2013-08-04 20:56:59.225491	268		0
26844	101exjdr39gzqpdbnrurarqa9s	$2a$07$S6j4wHjZ6qJtGYOEO1L06uzxQJ.AJdDE9Dj1FM6DIkvyoXHuhsVh.	90	2013-08-04 20:56:21.2802	2013-08-04 20:56:59.427061	268		0
26845	10u2q5sg71pyb598l5g32w764t	$2a$07$O1kBBMdRY4eU5XCdXQYguuJLfO7nNa.1oTyBfaUcVv3Ula6NjsHAu	91	2013-08-04 20:56:21.308415	2013-08-04 20:56:59.556459	268		0
26846	10ezfbevkerkokd9htrregi0mc	$2a$07$epWj/c94eCaIZg2TiFj66OZDQB0mqU6xFyXI1yfV4YDUxyl8aRCze	92	2013-08-04 20:56:21.343473	2013-08-04 20:56:59.702923	268		0
26847	10cqvyn59m3tcjd8xv3iqm9apc	$2a$07$J9MRZKYpGakVKVTurY7OBOAYZfRuzLcEdxo2/83T5j6tfDCbEBcee	93	2013-08-04 20:56:21.367426	2013-08-04 20:56:59.833456	268		0
26848	10r1gxumotmvq5wd0wm55bdz95	$2a$07$neds5UN9k6V3Hxxoz2aYHOR9kYoMUokE4UqASAiJW0Zx1yTWWqR8i	94	2013-08-04 20:56:21.401224	2013-08-04 20:56:59.970478	268		0
26849	10vtpf5ezh4k4hesour2khnz40	$2a$07$EutgfXZ81X9bXDdah9nDGeIByCeDTznCITOcGpmmsP/u7recOAKnu	95	2013-08-04 20:56:21.427834	2013-08-04 20:57:00.158595	268		0
26850	10vedz9yoceankvcgw8t4war3f	$2a$07$6iQDQl6FZwPo5P0jxYlK2utvwpyCwj8Pt51XiRfCK07T3qPQb.Jsa	96	2013-08-04 20:56:21.460973	2013-08-04 20:57:00.295708	268		0
26851	101ga9enugjves0yhic8brq3c6	$2a$07$m5PROP.jYmYbcI0A3Oyh.u4cRF0J.VxCV1SZX1j/XCv2hlAyN862e	97	2013-08-04 20:56:21.48464	2013-08-04 20:57:01.359942	268		0
26852	1042gjyatz6px9orm0x2qwpaf3	$2a$07$tWYvweDrMsmOfuD.CX4bF.zIp5n9tM1VtWgSm0ajHHf.rWMB23c3e	98	2013-08-04 20:56:21.507727	2013-08-04 20:57:02.438324	268		0
26853	10kgpsvocq6ot11hufo705klop	$2a$07$daR0FjoSsl0jEZwGmqj47uG5uTXKO4Ffk8G5T5jaKeAzWhgQMwlHG	99	2013-08-04 20:56:21.529335	2013-08-04 20:57:02.57796	268		0
26854	10r8qola2abu89jul1vz35t1dt	$2a$07$g6Eityj4lqQvzJXuyiwtJ.1szrDT5vAub0ZVCIlm1uFQZAXwfd7mG	100	2013-08-04 20:56:21.551392	2013-08-04 20:57:02.723091	268		0
26855	10xzdblrymwh9ax94eaacxyoaf	$2a$07$awPovqfv6WpHOY1evxMsFOxlfjFgraFgLNkzGfBrPNGroqSjcuh3K	101	2013-08-04 20:56:21.573373	2013-08-04 20:57:03.909545	268		0
26856	10e6y57htcjje1asj3efu54i6i	$2a$07$uevbxZdGw58XTdJ2rs/IaOdG08/XIMOA3iz48pD65Dd7StMVCR.Ji	102	2013-08-04 20:56:21.596515	2013-08-04 20:57:05.163973	268		0
26857	101ca9mkas4mir5waf4kpcpkuh	$2a$07$ApLPgdLwN38A8EJLP9HEuuOUb.6UtDNAK4dpYkCO9FR0KPurkZApu	103	2013-08-04 20:56:21.619301	2013-08-04 20:57:05.394236	268		0
26858	101f6nnk206jdplj9hrwga7x64	$2a$07$iLzA5vGq6kSQje.tPTU8veORcID3Za.TIL4VgNuYt9CPRRjPbyxOO	104	2013-08-04 20:56:21.642962	2013-08-04 20:57:05.553526	268		0
26859	10p12ibkvfltpw37l75q9gh4tm	$2a$07$Y8lowD4ZRmu47vab9ptTmecCQtWuPdeDCA5Wn7cB7hoSe/l/W2CAK	105	2013-08-04 20:56:21.66565	2013-08-04 20:57:05.712532	268		0
26860	10tdls5swsk4uia6p68hwnqs90	$2a$07$S.0yHM5H4gh68RSdfVEmB.J7yjqT7yLZjxTNVL6uHCh31nvmEOxYe	106	2013-08-04 20:56:21.687764	2013-08-04 20:57:05.874506	268		0
26861	10pw3iwpgh5m8a1eu4mmohvptj	$2a$07$hV6IntZ/bIF4hRNKGkpP2uEdmIIvREdRmGJlxGV5vPBp41EKRhVbq	107	2013-08-04 20:56:21.709357	2013-08-04 20:57:06.013053	268		0
26862	10zlhnib40c5h2cqozf3coexum	$2a$07$lXK.0kRK01i20wT3Vjr.Q.CScJUCuJhxolYh5lxfqPBY.eQhfOIDW	108	2013-08-04 20:56:21.731811	2013-08-04 20:57:06.156549	268		0
26863	10eumak92m304msw8rkmfd6m3z	$2a$07$41SYyAmsM95fQvF.2SJwke6e8yZ1QHcq3NLv1WMQe0BN6J15YM/wq	109	2013-08-04 20:56:21.754722	2013-08-04 20:57:06.266033	268		0
26864	102g3ag9xogkqjdl3ygymq8ecr	$2a$07$8iNOH.x0ZqlAdwxoT/BjJuK0xnsleg8Eqnv8iH1ga/Egmz3obGY7K	110	2013-08-04 20:56:21.776159	2013-08-04 20:57:06.397957	268		0
26865	107a61d5wxyydsmyd2gejeh34v	$2a$07$sM1GymqDa4tMuj1d8EDAfe3tUcKci.39Yx47N73LlGQa5/95vqjwe	111	2013-08-04 20:56:21.799054	2013-08-04 20:57:06.532366	268		0
26866	10wxnxo381dbchsb8nfgxpbvzm	$2a$07$svKKVywMuUUvb9I2tVUtru681u4h7YGYYJI4V7a16U/SzSz3J0UBe	112	2013-08-04 20:56:21.820919	2013-08-04 20:57:06.673277	268		0
26867	10x2hf5euzqw17u1en5uek4gqe	$2a$07$3uh0j0eqXiy7eMMrnD6voujGO.Twd2XByiokyY8lIAvqzGma454Ye	113	2013-08-04 20:56:21.842332	2013-08-04 20:57:06.831723	268		0
26868	10zo9vl7c3ermy1y1k88s09d9z	$2a$07$.i5c0n8i6Fn3mk72FKUF/eaZNpOqLe/BypUMi73XUWomoDyZ/8NYe	114	2013-08-04 20:56:21.863866	2013-08-04 20:57:06.95802	268		0
26869	10wv1did5zg8niofodb2oa28v3	$2a$07$EXus22yE1Rfxi9.DQPDkqOZnsGG19NKwW.P.tzi9QN8F9dWaOHBK.	115	2013-08-04 20:56:21.88568	2013-08-04 20:57:07.204957	268		0
26870	10h6mkhnk8otsp9d1uiy0j4d1b	$2a$07$ChkooMhArnt2jbr5mLk0a.bVbiy9IRCA9LXIXv6pbpYKNJ1tiddLe	116	2013-08-04 20:56:21.907052	2013-08-04 20:57:07.490215	268		0
26871	10qqzsl5fgcvmtwfv1ettnvnjf	$2a$07$MNWALeY8pVpScBExT11zkOHEAHpHtqXAk82bygeo9fUFqc4fnYJlC	117	2013-08-04 20:56:21.928512	2013-08-04 20:57:07.620318	268		0
26872	10rieo5geyonxo09u4h3cp1eud	$2a$07$6er5bbL3T3KcaRRrdLEeiedRifA8qou9HTJl/wONslJvMDs/6/Qx2	118	2013-08-04 20:56:21.952445	2013-08-04 20:57:07.753576	268		0
26873	100ghprj0vdz4rft3s3o2s53zz	$2a$07$S190zEXojf3niuSFYnBide6Ex7NVozYbGcM0p.jxPtLqcEi8b141W	119	2013-08-04 20:56:21.975707	2013-08-04 20:57:07.924619	268		0
26874	10j3y21ftu722gm9dez9hl0r0p	$2a$07$lUPmjv3uijsTvWL8/3GQf.HaSREbdtsTSngw00VKSGonvf/MlMNsG	120	2013-08-04 20:56:21.999287	2013-08-04 20:57:08.07793	268		0
26875	10hfmaj4ey8tmmsseu8acqtnst	$2a$07$WfqeVvA6K7LfaSSS25lPmOqNjXoCgsQJIBr4fONDoWGO7YktIMSTC	121	2013-08-04 20:56:22.020855	2013-08-04 20:57:09.175953	268		0
26876	10z8bx0xu381jjsextle00qvpq	$2a$07$ob/MsT6ixBYxfiSTUiFirOcvZjveR9.M4NLSfwXeBC4urV0URMlc.	122	2013-08-04 20:56:22.042383	2013-08-04 20:57:10.182733	268		0
26877	10evpnosna0o1lesebk4w918wj	$2a$07$iQ94EAnmciPeHY8TJjEXruRftiiE.lgd2yPwMHVzfU.rV/cqfehOy	123	2013-08-04 20:56:22.066123	2013-08-04 20:57:12.958331	268		0
26878	109k1pns6ykbw6ikhyolmoyegl	$2a$07$GYfByNTZiF8Twn7XB6kluuXEm0IZfmeonfbsJ2GlRO47kx1A/atm.	124	2013-08-04 20:56:22.09791	2013-08-04 20:57:16.174127	268		0
26879	10mnhcm3ctqatul809ien5bfzp	$2a$07$JSwtA990z85QQPnNtxyIgenKgGZwCO/LMTvgOH/yT1we3e2Wdmfr6	125	2013-08-04 20:56:22.120724	2013-08-04 20:57:16.414359	268		0
26880	10k4bo6ohx49ljkpziorckg07k	$2a$07$6x79WZAporpUBdg76eZ.Zu0OgVBYcTBbaFZTNvbEgo/i5mRP7ioYW	126	2013-08-04 20:56:22.142211	2013-08-04 20:57:16.543544	268		0
22219	10igtui0qehs2uwgcetlxtnit8	$2a$07$IFhoEn8wuNAFk3eLHR2Qo.WklLN03S07wH5Rk4iSWX0M9SjAnOSie	1	2013-08-04 17:45:54.065186	2013-08-04 17:45:57.172599	232		0
22220	1085tpm10eqjftno5rzjnt6jnh	$2a$07$WdNc625t9yw8HjZtK9seqOSTx.deeNUPs/0ArEczr.FNMySuh0AGy	2	2013-08-04 17:45:54.091413	2013-08-04 17:45:57.322398	232		0
22221	10lx0ffmrud4heobm35lyb1ou5	$2a$07$69efvN03pTxrzZhSu57z6uGcpT40sSUMl/7ofAVe7R4a0TO1wHjEa	3	2013-08-04 17:45:54.120886	2013-08-04 17:45:57.462483	232		0
22222	10a2xyoq8oybmopkt36wlo2s4h	$2a$07$FKawLU2tIMxDe96LbdcOvevsa8Z15RSCkY33Acws9foRtSmwoXMau	4	2013-08-04 17:45:54.154683	2013-08-04 17:45:57.600732	232		0
22223	10cirz96t5bm0m3cco5gmtygrp	$2a$07$9PQj/znPwZ6mhjpnd5LwMOyaitl4WtOipMvJRawOu8M4Z0pXngcYe	5	2013-08-04 17:45:54.187471	2013-08-04 17:45:57.735898	232		0
22224	10oroiy6o62uvukktv6gy3y4hh	$2a$07$KSXtGF2lvOsr5IzZ4MN2sO5ohS90EZgkAostcnEN88CZzbVaNysrS	6	2013-08-04 17:45:54.220035	2013-08-04 17:45:57.940766	232		0
22225	10e7jzk8zvd5iin55nk8kln587	$2a$07$mnnOqXxFfo5an3R5iZ.KaewqAxMLZSRPWU5dC3JE/WN4xpm7p7Qze	7	2013-08-04 17:45:54.243402	2013-08-04 17:45:58.06127	232		0
22226	10znr8rylt4tpa2i6jdwedxg48	$2a$07$mbNYXw.HuF5W1vBv1wDy9ecnwmERhcRExZBU0r2Bg/ZyznyS7u.Qa	8	2013-08-04 17:45:54.26874	2013-08-04 17:45:58.221741	232		0
22227	10om4br272vwaw7h0ou6iq36q9	$2a$07$Sw38Z/vahmNHGAiZqp8SDeb5WTbzEaeyqh0ZKl/Be./rlpwFQulP6	9	2013-08-04 17:45:54.292215	2013-08-04 17:45:58.37135	232		0
22228	10rtupqv59e7ukjrmg5368x74x	$2a$07$PwVvHRjeFd4X0AJXH3QIueOf6c16F61zZHkT4WbrRzhjukXZbv3ZK	10	2013-08-04 17:45:54.314033	2013-08-04 17:45:58.492727	232		0
22229	108ninzk5ujy2ndffzqvfjn76n	$2a$07$kkTQi4iDlxe/kYW9jn92G.d4AQraYpz/JHvn5q59hiHeqtuhbRsKy	11	2013-08-04 17:45:54.336525	2013-08-04 17:45:58.629601	232		0
22230	10v4uqzdvas2i1xl90rsehnx5j	$2a$07$WSCkumRGUNa.50wlM1fU1eoqkgtBw2snswkuOiugciO7XXUpun3n6	12	2013-08-04 17:45:54.359575	2013-08-04 17:45:58.757375	232		0
22231	1006waigaahdxvvynxcwz02baz	$2a$07$WQO6JR2s/rSO2/MlXZ4ojeX7N8I/0B3uagNi3t5n4PBv03MQsmTmy	13	2013-08-04 17:45:54.38363	2013-08-04 17:45:58.896682	232		0
22232	10ugq4flu736ecfp5gfitpv3qo	$2a$07$MJbovodAJ127060aqf..7uODUjrCS3Ey.CAjbnHH4w6AS9kdefGRC	14	2013-08-04 17:45:54.413036	2013-08-04 17:45:59.02861	232		0
22233	109k4urqebzgtrh3v5ggqmg065	$2a$07$q675BTTmz/igrpdTTRB7MuzgaYVpgD/x6VKCbk839a2p2//RGabiG	15	2013-08-04 17:45:54.440204	2013-08-04 17:45:59.148258	232		0
22234	10szshpuc0jecxpiuv0tz7qahm	$2a$07$CDyG8mfIh7AGu1KRfHL/J.xBvnaXSduIbYRfdfC7l9Cot.brm0d2S	16	2013-08-04 17:45:54.462104	2013-08-04 17:45:59.277446	232		0
22235	10ul05jpvpiow2u3a8m4w161s3	$2a$07$LlhpCVINUgB.Rn9WVl.FC./2VwszJpsJorWi0I73Hysg.e/xf8rNC	17	2013-08-04 17:45:54.485119	2013-08-04 17:45:59.438812	232		0
22236	10vcs938orekx3xf2j6lg77sl8	$2a$07$13MBNJwapcOIp4fEHN1pL.PJD3dzKM2uC35BT9.mS4SnLCm2BT1RK	18	2013-08-04 17:45:54.508201	2013-08-04 17:45:59.558993	232		0
22237	10qfo6e57kf6bwgrqwc3tyjw7q	$2a$07$U58od3Cihj0GDmmfv/ODO.Y/Qy81hURQZ41Mt9XkegUjJajiyQnB6	19	2013-08-04 17:45:54.530366	2013-08-04 17:45:59.682341	232		0
22238	10eirc3epy46n93fazez5hktxr	$2a$07$InZdgqsGZUMV/9viDhFhlu69qAdqOYTYZqvRAyaJs7sdO1TOrCjGq	20	2013-08-04 17:45:54.55327	2013-08-04 17:45:59.818196	232		0
22239	102yxmrv3nzwtuind5x30amcgg	$2a$07$RoVMlsCZf832DEEtT9xwd.CuDXkGFXxnzUltl1sTZ6ASRnqlRr1TW	21	2013-08-04 17:45:54.57607	2013-08-04 17:45:59.992057	232		0
22240	10twnqy2mflwutoeen0hddf59l	$2a$07$tgxKh0BsglDtU1vQT7tE5O1FVVut2SOFMDHIhcvNNryMu9dViQqdG	22	2013-08-04 17:45:54.597668	2013-08-04 17:46:00.095151	232		0
22241	10yfks5kwlpymz6ftbssruzivy	$2a$07$3Fpz0V1bo4h1NgNoHh/F/uyHAGs06aYN3zYhgw/QBzS9fhMCs1JIq	23	2013-08-04 17:45:54.619252	2013-08-04 17:46:00.219942	232		0
22242	10ev6qqdlpv0rfl12afh02tsy2	$2a$07$7w2UussfahYTgpaTqbtwhOMgR8JHzvsShYmdLTyHdjRwe0d8NvMoC	24	2013-08-04 17:45:54.641354	2013-08-04 17:46:00.334112	232		0
22243	105s6t598tyfpy8zljpjt23sgj	$2a$07$enmDjSdQjv3nlYBM4WlN5.EldlzdjKM/ta8kP67uyi4U3ZNidWgam	25	2013-08-04 17:45:54.664175	2013-08-04 17:46:00.456391	232		0
22244	10xd43ngcpsmy4l47fhc50amlt	$2a$07$rcS7ZecU3tfRNiBDaWMDQurBXaP13VH9oHVyt4A5HPgbrnPLM72h6	26	2013-08-04 17:45:54.686157	2013-08-04 17:46:00.585845	232		0
22245	10c6u3glel0x3sxo8j9meqhez7	$2a$07$3DfMBYVa.Rko65KcCGI2RO24jHRGyMnohAzTzCWpmMBeO3UgPamq2	27	2013-08-04 17:45:54.709375	2013-08-04 17:46:00.753779	232		0
22246	101s558lvnufub2xaaiwgh2uzj	$2a$07$kcwDBgBOMNatLx/qJE5YtO63.VXm4Xl8gVMu/bgo2paoPXQ9eD/mC	28	2013-08-04 17:45:54.747348	2013-08-04 17:46:01.143044	232		0
22247	10l3ussp27j51y8ixlfwk54rlx	$2a$07$bq5F.e6JRdlwc2y8eBIsseWjVtO1mvm2O4uEDa2C0jEeTu2GL6Qra	29	2013-08-04 17:45:54.775941	2013-08-04 17:46:01.3847	232		0
22248	10w1m9mcprpmedckr2l1mwrklw	$2a$07$8.fVsiQbSyvSmE6G3sWdMev0/8Ccrxaah/muv3.HpUWECQAwVgwGa	30	2013-08-04 17:45:54.810153	2013-08-04 17:46:01.593859	232		0
22249	10h1gsje7670p12mg2p011vxwu	$2a$07$6dOzFJ.qx8AncuD2uIHGnOBnW35Q0cY1M3yty0T.iSUcyEoiiZUi6	31	2013-08-04 17:45:54.844105	2013-08-04 17:46:01.700636	232		0
22250	1088mjye48193qy0tpwtfxl2ab	$2a$07$s72fFUpFWg0C6fFhXTnyDe8gqeiMRDdHljkI.Pnkv1/1FU.eD.aNC	32	2013-08-04 17:45:54.873064	2013-08-04 17:46:01.833437	232		0
22251	10yddtfqyhbbn1njw6a82twwkf	$2a$07$YCzwem0Ai1qgBM57tjkEBehrh99BE01q9xg21Kpi6ptbmS8RTUjCq	33	2013-08-04 17:45:54.896079	2013-08-04 17:46:01.96662	232		0
22252	10tb7ublzb9zxp7mparj8q6ev5	$2a$07$IMBJzswlMLKhSjg96gdamOt7wnG8.pcJ0xfk2wG0jDri78LqE7pnC	34	2013-08-04 17:45:54.918491	2013-08-04 17:46:02.254839	232		0
22253	10nmblp4dzmfs1aww1zq6tkdo6	$2a$07$7lP2Tbfk0dRUUox/QCZjKeHnj.7wOvMZLkJq0UsGVV8uoPhOfvls6	35	2013-08-04 17:45:54.942492	2013-08-04 17:46:02.431354	232		0
22254	10ablc17ldpa9lyle6j4n55yns	$2a$07$GtUxP9phtCsVZYUUOcudQeyReTbmz0r2hBQ9G/U1vwi.UJGsMjB.a	36	2013-08-04 17:45:54.967858	2013-08-04 17:46:02.587373	232		0
22255	10l754a1r89njjfajg75qh5v5s	$2a$07$KSh.BnGx0xUia5xJirlpS.QINwoUXbYJKRfukyVR2lAeDPWS2boh6	37	2013-08-04 17:45:55.004425	2013-08-04 17:46:02.815627	232		0
22256	10tk82mxenjk6uyy9o4uxe62ks	$2a$07$9Xi7fREgwmV1vbW7uE6.J.V4ahkiL5x9NRt6.YWFhundo31BYJZnS	38	2013-08-04 17:45:55.040101	2013-08-04 17:46:02.96519	232		0
22257	10t9eqrl32mklqe933b3r03ddm	$2a$07$PTBKEaI8gwrpvlwWKRiuUOljcFlVbQXUUJpENez3GhoKHAArrnGW2	39	2013-08-04 17:45:55.064279	2013-08-04 17:46:03.101895	232		0
22258	10kjnltsktvvrhoy14ivfqc7ek	$2a$07$YPXEOWF/LCYGZMmnpOcbzOqFKpTvvILk5r2xUgaJBYURpTZy/FgWK	40	2013-08-04 17:45:55.088098	2013-08-04 17:46:03.26529	232		0
22259	10mfg6lktixikn4bwozvvt4zsd	$2a$07$zAleIQPi3NGxXDVfOp92c.kAbzykTkTFRbqAOZWHUqoa6b0ZMVjK6	41	2013-08-04 17:45:55.112453	2013-08-04 17:46:03.425001	232		0
22260	10sinc690bz6xuzevb33evo6nc	$2a$07$eRujuazqsJGa.99k2KGsdOGgD4X3wJB8OyuNNltKz9xFSOrrXLJKq	42	2013-08-04 17:45:55.144949	2013-08-04 17:46:03.565925	232		0
22261	10eawnos5kyyw5i6q7b284udju	$2a$07$a7TBcBnBYWwaL4uETjP/2.LmH9C/WnILYg76sNQ7vGDA8mpark9aG	43	2013-08-04 17:45:55.167058	2013-08-04 17:46:03.694194	232		0
22262	10wjfousl147hlqsqmu9h6lwmy	$2a$07$l3UhoUumEqTxAx1Li9bqKeSsfIopv48cGbH.ZVVoQaUgXF3uxY4/q	44	2013-08-04 17:45:55.188847	2013-08-04 17:46:03.834807	232		0
22263	10gocmygjojnxhhrr6y4eqraam	$2a$07$/j8bfNp7ohaDlVj3AUj96.0GehIcVWSaDvibmMNEgnpk7KWgSVsXe	45	2013-08-04 17:45:55.21044	2013-08-04 17:46:03.974175	232		0
22264	10700isurxkiepj7m2ng58kixz	$2a$07$wvphvboNQgeCI7/10xon6O55I3NRjp5lfk/3TLQoCuEuIpU6X2LpC	46	2013-08-04 17:45:55.232056	2013-08-04 17:46:04.199789	232		0
22265	102kbepnyo0z65de1g5nc40l2z	$2a$07$sGW6RJA8Y5nI0ux/cLSba.GHzf.oo/CONFIZCrjS5L4UFZnjoTGK6	47	2013-08-04 17:45:55.253683	2013-08-04 17:46:04.317933	232		0
22266	10ap0uj35n4y79d40rjxnfhbga	$2a$07$Oww.94pSMazWkz6GagmlWe3XD92INHQHCczi0dJCdBJairnNiL1g.	48	2013-08-04 17:45:55.275239	2013-08-04 17:46:04.492148	232		0
22267	10g0ge4hi3js6xqeoysl6wynke	$2a$07$lfvSd8gxeCxttj1akRDhs.gK6/Grnvwo4YnSNt.1eIEZ47oeN/Diq	49	2013-08-04 17:45:55.298925	2013-08-04 17:46:04.717522	232		0
22268	10u92ute3rci0n9o8nt2o9uaec	$2a$07$vsl5ixEHotFxQP599qWmAecBQIdeow73vBOdJLzjIQhaU0hQw8fFq	50	2013-08-04 17:45:55.322509	2013-08-04 17:46:04.88409	232		0
22269	10l3juzumhloshkrwanu0axno1	$2a$07$ewGEj.476l.tvbqPzHcxGOTH67dwG8F361uTgPXFhJ1wkWFcVnwQu	51	2013-08-04 17:45:55.344819	2013-08-04 17:46:05.01254	232		0
22270	105690dbycmxwc85rz8rp91ay4	$2a$07$.WiGVNNnD7NT9kcIWudqieVbuhdLiyvIADelUBhns/AHaEnsWw/oK	52	2013-08-04 17:45:55.367314	2013-08-04 17:46:05.185864	232		0
22271	10bmwxh15ls7fj7o0k16xzmm93	$2a$07$tssTRDGYdgSNiymA4t55n.ObCXaLv9HZxzXJWauv08vY/tx7OOo2C	53	2013-08-04 17:45:55.390272	2013-08-04 17:46:05.334369	232		0
22272	10qy5ajzfs15si7vro6eq2herc	$2a$07$ETLKyLNKZenJfiui0sufxONz5mMnA2/OKIWiJ/mhsT4HE99qBltbS	54	2013-08-04 17:45:55.412021	2013-08-04 17:46:05.5375	232		0
22273	10j7yuiwo2lfvqw5lk2tskzzql	$2a$07$SQog0BCJfl.5HA1CtOCMrOHgJYLtptNFYJ2aUnW0mHjWi7OEZdn9m	55	2013-08-04 17:45:55.43414	2013-08-04 17:46:05.760797	232		0
22274	10tvj18cg7um4dtj0dxdtnkftv	$2a$07$2mAcFdQ2xNEAsIpIiRHneeF/AMc9CCn9JJY3tESxLD4JNCEMP1DJC	56	2013-08-04 17:45:55.455953	2013-08-04 17:46:05.904715	232		0
22275	10202qasdsh9f1zcq4ta0szya8	$2a$07$Yz2l3LKycGSuM.Av3U9rIeaGKhldoXqorG.xT8ZwlG4Gds1AKouTO	57	2013-08-04 17:45:55.47876	2013-08-04 17:46:06.047689	232		0
22276	10k7oohqcsk6au5wrx9d67kimg	$2a$07$2P3S4qzt5exjvuyLW5pGwOEdty52KaDJsIx1UEcVIgRmFsSwk6lCC	58	2013-08-04 17:45:55.501942	2013-08-04 17:46:08.560773	232		0
22277	10vpn36j0fpgd7kt3ynwoy2rbi	$2a$07$1T0QxSVp5tg.aUCzyMvW3eynDvKkJsVVBq96Sujc1/Xi55h74GJ0u	59	2013-08-04 17:45:55.524309	2013-08-04 17:46:11.330633	232		0
22278	10o74qhr98zju1b83xoz4loqre	$2a$07$/J/jg.6JhPhSUNtSWry6peAohZMYNX9S.eMqp4KO.2Hzc5d1mPVym	60	2013-08-04 17:45:55.546539	2013-08-04 17:46:14.735353	232		0
22279	10gdyla87clcd55xlga5vznm5i	$2a$07$EDmEBpzM6YoknQ8i4SHVQOQ1yyZI8KkMQKvmoL/dxXRAQwEkXxitu	61	2013-08-04 17:45:55.569923	2013-08-04 17:46:17.579964	232		0
22280	1075q41zjx0irfoeezxd5yj6vy	$2a$07$i8/ksgTRfISSa56vmM6YSe4V9T.R7tlX4U5DamEjJB.FCaqFQ2yCi	62	2013-08-04 17:45:55.591853	2013-08-04 17:46:20.689949	232		0
22281	10uedh2gpldosy760wzht5jqp8	$2a$07$cWoE/qlpymzpuLxL5RqMzue5x02uX.YF.J07tI7Wg9rBIlBDOnj82	63	2013-08-04 17:45:55.613743	2013-08-04 17:46:23.694829	232		0
22282	1055k4k5h08f0jeq296xvur389	$2a$07$u2Oo5KHDBx9rrmnGLx2FtukzJ/pMtxywoKayg/sPe6HNgrtUrUG3y	64	2013-08-04 17:45:55.635484	2013-08-04 17:46:23.82658	232		0
22283	10b8ugd09vxnj3eigmois7mw7l	$2a$07$l7y.09tcFt4Nbb.Z4HGqqOV/FkFJHDOeLgmOl7gUha3bGrGWzIki6	65	2013-08-04 17:45:55.656976	2013-08-04 17:46:23.947183	232		0
22284	10z7z2oc6oumvu6cy4uklropfb	$2a$07$ImLn/IoNXiuflYoNlO79tOIf5tc4u6U3Kgcz.PdmdUg9msNhc.as6	66	2013-08-04 17:45:55.67871	2013-08-04 17:46:24.131624	232		0
22285	10o2dfjdvfl2zm80gljw68tbx5	$2a$07$dwBM.ZMaOjeckRhEvTG4aeS/SyciWfyjNmf2u9PCzDshYyD3cUs.S	67	2013-08-04 17:45:55.700835	2013-08-04 17:46:24.271319	232		0
22286	10oj4aezkqoauf8qcwgkjpqhlq	$2a$07$XRjV6CyOGp7pZANpw2ix1OL1B/ZInQVrVj.p8tdTnGx30h07VnaOe	68	2013-08-04 17:45:55.72331	2013-08-04 17:46:24.408118	232		0
22287	10bx8sxmmlhrsq9pml9n3hoota	$2a$07$Lwt0kh5ZzgreSI8a1Wri.Oh1b7NSQ9WN8H/g.OvLzU9fCxxcj6ZkG	69	2013-08-04 17:45:55.745984	2013-08-04 17:46:24.529071	232		0
19447	10fi4k7xatt6a94vqph8u1bx5g	$2a$07$oMYLmQ8rrDXXsXdaRfNRpu5cxXRuNIr8NuC2smZV7xctjwXyB6Bii	1	2013-08-04 01:59:51.079318	2013-08-04 01:59:54.093742	210		0
19448	1064qlrvejpwrzoe8q57spuklw	$2a$07$6HexoBJrGCeu.tMrhSmt/e9wTBxTkFzkegkJdDLCYbupp7qcQdeoO	2	2013-08-04 01:59:51.103986	2013-08-04 01:59:54.218252	210		0
19449	10jcwrnmewmcl5flrbb9pq4u1k	$2a$07$cNuuKbkmtXmqVVEbosDUVeXRdiu5gds516PZxKEm9z.buOrKlz1vi	3	2013-08-04 01:59:51.129222	2013-08-04 01:59:54.349078	210		0
19450	104vz0fbzuoilpl6k2ry1jzu7p	$2a$07$ZzpxIWJX8T5lkgXfxqzp4Ouli9oostN5S.Sv5krXFLQG5/Ak8pAea	4	2013-08-04 01:59:51.156862	2013-08-04 01:59:54.496158	210		0
19451	10d18nsp59x7o7v5brmf38qps1	$2a$07$/LjQUol3JIiHM13xZtPk5.y4nTIYicE9N/hZszS0nfSnQwHD4.c8u	5	2013-08-04 01:59:51.18122	2013-08-04 01:59:54.645759	210		0
19452	10auv6r60p3mgij1k6afylj366	$2a$07$ni21bdx84KwCcl0lwrskDOIvJRWcLCD5P3Uyq0p9jIyl88SuD4rr2	6	2013-08-04 01:59:51.207953	2013-08-04 01:59:54.791065	210		0
19453	10fo4ni0hfpegj99crw469u2ig	$2a$07$0xZ439p7wjMDMpu/s4CQFO0OU/8dfO48pD4/8URXzQsP7URTU0GyG	7	2013-08-04 01:59:51.230797	2013-08-04 01:59:57.7272	210		0
19454	10cbi5k7svci1mjyvlv4r3it7p	$2a$07$SouXrJONz6VsBR8ddZpZrOLaw1/OeAwkUvAR9wjVSFP2EDGPQHiZK	8	2013-08-04 01:59:51.254257	2013-08-04 02:00:00.625687	210		0
19455	10uggcxtrs1lehbsexuke5xgue	$2a$07$IWtzTHI4lxfoNnXV/5oHJ./ycGo7dhkYgAVI7iG64uevt5Zr5fuOa	9	2013-08-04 01:59:51.277242	2013-08-04 02:00:03.507066	210		0
19456	100n6tnyft2gdnb236dhefqumb	$2a$07$y82KSzjm1P1A6oCcAWWBRO6vR4Aa6XJTxnbM.h7fKUFcne3YMuGLm	10	2013-08-04 01:59:51.300298	2013-08-04 02:00:03.603741	210		0
19457	10l5o4rvnt7y80djcu8teiy3jr	$2a$07$ICFd9TreIU/72Auj/DuVPu7ST5K.cmf2VGqAWVDeSpe36svEVtSPS	11	2013-08-04 01:59:51.324907	2013-08-04 02:00:03.705817	210		0
19458	10euy8g12iraknwr9k18pnn2t8	$2a$07$hkEbbILqlw57Q19rvjhgI.M3FDyGprWqPX8DsiNYwSsRuXjn6wA3y	12	2013-08-04 01:59:51.348799	2013-08-04 02:00:03.844684	210		0
19459	10d9zqw071n4usc1nbnxh27mt8	$2a$07$Aa3FHmBQPVuSMbpr37eqHe/T7lIWtEEYy.HgivrUGRIFNo3aFon8S	13	2013-08-04 01:59:51.371826	2013-08-04 02:00:03.975305	210		0
19460	10jvsvyktu4guwb5ofve1d2oyk	$2a$07$sXk0FKHLKzvoRkayiCVaneS1D1RJ7uL.XmQC7.x.4rcQi5/635v52	14	2013-08-04 01:59:51.395384	2013-08-04 02:00:04.117513	210		0
19461	10zkdt3jno5hrz31zkv27k522y	$2a$07$Rhc2sRLDYsl3Xci92RvPc.a6VwiWSwXYNfdBIDOw9vRVQ74jZ01NW	15	2013-08-04 01:59:51.417839	2013-08-04 02:00:04.239345	210		0
19462	102xyahkq5f52rssl7y1e3ftzb	$2a$07$NXYZZQeUBeUxryxd1RYyBu529bRznI7lKAhBNxDzoKqRbXeHhr2.q	16	2013-08-04 01:59:51.439839	2013-08-04 02:00:04.3583	210		0
19463	10czq8a30ex2c7eeibnj0n0tis	$2a$07$XCxdEpGChI.BIFMV0pVhJe/hn/uQO9q3/JQGCH3sJp35iGSTN9Asa	17	2013-08-04 01:59:51.462823	2013-08-04 02:00:04.481791	210		0
19464	108jbkvh8924gepalgzq9mjo4s	$2a$07$73hY/wUcn6M/imTRSSzaF.RB8HWJA2zO4HQVWX3VJLw67voMmeM0y	18	2013-08-04 01:59:51.484335	2013-08-04 02:00:04.617911	210		0
19465	107aic76492s740d43adw6bfdu	$2a$07$qbGkuDRPocXMaSOUd/Pi.Oykx4B5lP5MwAQXINIwsRtQCcoizXSBW	19	2013-08-04 01:59:51.507555	2013-08-04 02:00:04.757564	210		0
19466	10uucutpryc2tnohlv76no4n1p	$2a$07$BX9HFaat5Y0nkm.7.qRcN.beJ4xWucslmqctKT3mLyVRu1.NCsoDW	20	2013-08-04 01:59:51.530002	2013-08-04 02:00:04.901201	210		0
19467	10s6slzvrawaub5rrz8dawmzhb	$2a$07$Ml5m4XUG7jkiNwORPnFxT.iY8Ji24lB.OcVkPybAnOYTyFFj68UIS	21	2013-08-04 01:59:51.553809	2013-08-04 02:00:05.056758	210		0
19468	10d8hbunqc9wosj7ukhkyxjsl7	$2a$07$AqkHIQ4anGEPwVvH71jFc.K03207WToNOOZPW6sYAsI/YCyfwmLuy	22	2013-08-04 01:59:51.577411	2013-08-04 02:00:05.181676	210		0
19469	102m9gturq8wiwjrcbfouqsewo	$2a$07$tYSv.AiD5EibzCnHAp71L.G.4NpYbQoxVaCvFQk/6F.6DpHUhK4bu	23	2013-08-04 01:59:51.60955	2013-08-04 02:00:05.320103	210		0
19470	10jw095ntqhdfhnmpfm88pdrxu	$2a$07$G/N5av9WCyEo1W6TpXd91uB2RzD34gaTQszSsZrPpibbDarbDuic2	24	2013-08-04 01:59:51.645987	2013-08-04 02:00:05.456434	210		0
19471	10pb5tguugkmhj1yavef8z5be8	$2a$07$9dBYDykHjaHcotUyesgUhOeDHx7YRQ8rlnhgz0VczXM8nK5lnkg6a	25	2013-08-04 01:59:51.676863	2013-08-04 02:00:05.752841	210		0
19472	10munwvehi2d32g8w95b3xpvk4	$2a$07$P0hOJlIy2lNZsgbla337.e6imK3iyEjd1odi8Lqg8jfuSDDW62syK	26	2013-08-04 01:59:51.714532	2013-08-04 02:00:05.902036	210		0
19473	10takkagxhg8i1tsnauekd2zk2	$2a$07$A/otY4PDaLxkqe9YA1QMEeehuTuirZq8CJum8p1iEkc0O1S6j9T2C	27	2013-08-04 01:59:51.738851	2013-08-04 02:00:06.09702	210		0
19474	10mgcwlvvqdsbtg9p6gmidz7zq	$2a$07$zB/J5kc/08nznCdHyjp10u3nJ43NFCW2KQvtz5lT2nRPIwDfu/0RS	28	2013-08-04 01:59:51.762968	2013-08-04 02:00:06.233444	210		0
19475	10pdem2tuaeqabehtnhpha6zm5	$2a$07$e6NiJdcpYr6jz4c7ndWZXuFsKfdJE20ciwJYJHAa1euF0P3YhDk4a	29	2013-08-04 01:59:51.785215	2013-08-04 02:00:06.369209	210		0
19476	104gih2m2o8ax1qijm7skts0fj	$2a$07$gnI8Z8mhpyI.QdYOSOD2iuXFcnrLgdO7m7AuPEyj6Jq7YeQiybPW.	30	2013-08-04 01:59:51.808006	2013-08-04 02:00:06.504199	210		0
19477	10fl6aka77l504dfput6gg3bd9	$2a$07$p1MGL2/EcXaDCTp9mnvDze2cJ7xhmskgielhTdmLcOcXaw6ICCXb6	31	2013-08-04 01:59:51.82947	2013-08-04 02:00:06.736447	210		0
19478	10dewwpavr7yfjhdsrs19yl11f	$2a$07$e7/OMrYBojiqMr9VZXl3z.CJnxUJdJHGCoCkWqTq0KBWFWXTStlTK	32	2013-08-04 01:59:51.851163	2013-08-04 02:00:06.889823	210		0
19479	10jtbw6mfmwo0g8x20ca7ok3vd	$2a$07$9HScMFBN0ao141gSKJ2Ep./Znm7Xv.6Acon0BbM46VsHad7f8iU42	33	2013-08-04 01:59:51.873796	2013-08-04 02:00:07.036415	210		0
19480	10g982hvhxxgvjqtwip4rzaiux	$2a$07$tEcTmGm/HDvjhPerErgKyeO5NGNomqi6mwIIWuj71FbLBVag9i51W	34	2013-08-04 01:59:51.896317	2013-08-04 02:00:07.164496	210		0
19481	10dgi28fnxxklwwtaggl2jbytc	$2a$07$OKo2NecvCrhMcnbPSSnXju7PhRNJ7ECBx5Xl7jXqW841JxXVKiiCC	35	2013-08-04 01:59:51.91967	2013-08-04 02:00:07.319389	210		0
19482	10jkhhi5saqha96zudm09je8ia	$2a$07$u9LQIvxvRiFjh3/Ia2nJMeihSuDpqd4ww3wXk6BCrX2rNSL0S7hcu	36	2013-08-04 01:59:51.942383	2013-08-04 02:00:07.461238	210		0
19483	106o3tn927qks0ew9narctpre5	$2a$07$Bab4gfHNV.HdzwCpg.3mBe8dmOMTqVdFRsm3o/3DHEEpHzyGRJH1C	37	2013-08-04 01:59:51.965367	2013-08-04 02:00:07.676748	210		0
19484	10w1ex69o7azredv37wkowpuye	$2a$07$2WF57i1P7KFdqHDhv/wYIunQapvofeq6GIftQGa/SFMqNU7ICyEU.	38	2013-08-04 01:59:51.989349	2013-08-04 02:00:07.819564	210		0
19485	10wxxzlap2wk5ulxv3i11lbfzy	$2a$07$HkEXgI2CSWKpid31G3Ekx.M4bnjo9py85gujDbPMYDXCHaVV6gR4u	39	2013-08-04 01:59:52.013094	2013-08-04 02:00:08.023623	210		0
19486	10bzf315o7yxh7p8y8ax51egbv	$2a$07$cU0GLp7kxqtl3lhXhptQ5.dB3VzfJraJxIACFuLL3DEMAY64z4.Gy	40	2013-08-04 01:59:52.036075	2013-08-04 02:00:08.15424	210		0
19487	10vvjtpohqdemt9q40p5qo01l8	$2a$07$8YljJ7VsVSto9lB86FJNNurEEq6KfkimZ9muSLuO1zxSOweUG5Ooi	41	2013-08-04 01:59:52.05995	2013-08-04 02:00:08.272313	210		0
19488	107snhpm2mivbgdyi48fkmgqec	$2a$07$axYqL3oAzPEt3aoyFc0DBOzhCndvjpTZxhcMuq4D70z4/t/j.2KwW	42	2013-08-04 01:59:52.083121	2013-08-04 02:00:08.41505	210		0
19489	10gmixyr5s6ar4i3f5283t80n4	$2a$07$xQoF4YlvzG4tgBbXXYqKsuElsBY5H.k9d8qEMcZ07xAooUXYvAtD2	43	2013-08-04 01:59:52.105505	2013-08-04 02:00:09.383802	210		0
19490	10owh7c755btoasykbr5xndn1u	$2a$07$KaS3asvqt1knJJ.HdJciVONX/vXvwMPuwfRe.sX./X/w53/7Xye8O	44	2013-08-04 01:59:52.12722	2013-08-04 02:00:10.264997	210		0
19491	10cyl4nxqpn8ybfkkui5a7xdz6	$2a$07$MXOaE.nOy7gjyBGDM9bzHepWqejb0hv/Oe/mFcZOq5OgfAbjVIy8C	45	2013-08-04 01:59:52.149036	2013-08-04 02:00:11.247145	210		0
19492	108yd4m1w82pzdl0pmcwcepq46	$2a$07$fpeYTHP4SsO9jgJ/WBgPb.4EU3TigzozPNg93DvyHb3pr5v90oLX2	46	2013-08-04 01:59:52.171558	2013-08-04 02:00:11.381909	210		0
19493	10ngjj6tbhohqhognect1dure8	$2a$07$ui0aUsYoPIhj479SfofojuaIajvWET3ivGeeWccSBIlhtZDcRFd.i	47	2013-08-04 01:59:52.193467	2013-08-04 02:00:11.53895	210		0
19494	1035xu5d0kx3bjqg2p8xstbdaq	$2a$07$pKjbd9zVhexUWw6oKE1J/uLEgXxCbvILJWr3xMDdgB8PcCAGVNJcC	48	2013-08-04 01:59:52.215012	2013-08-04 02:00:11.698245	210		0
19495	104u2wo8ym6l6tgovh9h8pk4hj	$2a$07$f4Rgnu2ztBhUgwrh4tVfseU7YczgbCn3YZ2U7KwddySCe7SlVMM9m	49	2013-08-04 01:59:52.236902	2013-08-04 02:00:11.839565	210		0
19496	10p4vyqmjenqu4n8z8opx0gj6e	$2a$07$nz7vNki2mbcYmodj6JQcZ.4T4HWw1pZhqrMmSVmR4j1SvUlF7XfuS	50	2013-08-04 01:59:52.259483	2013-08-04 02:00:11.961457	210		0
19497	10aieg8iu9s9txdshu0o5vew3v	$2a$07$8OeA6bCYX88D/Xf.wMbIT.l/s6nAnBrCLlxDZ2FQINjeXpEpUO9zG	51	2013-08-04 01:59:52.28123	2013-08-04 02:00:12.093752	210		0
19498	10p4wqzxexuqleyx4bccdx5qcm	$2a$07$A4Jl8XTf.BYI9KjhbYcFUOyIjpmAdcusBXkA/lT0UO6e0Ksr6wiUW	52	2013-08-04 01:59:52.302536	2013-08-04 02:00:12.2108	210		0
19499	108kb5p77rmy4e6e5q3r6twwdt	$2a$07$F24bFObA/MC831BMC5ZEretFAnHt/xFisJEiz27kQ7hKqA06Ta1Za	53	2013-08-04 01:59:52.323966	2013-08-04 02:00:12.338656	210		0
19500	10xawqss0h0ew5sslrs5no0r9y	$2a$07$9b6zzSAZNHNnDidrRWq6xOwJ9FmHFjPpidkpTGoZHaYi8k1aajFcS	54	2013-08-04 01:59:52.345616	2013-08-04 02:00:12.461486	210		0
19501	102lybwx1yd7ll4g3oqijneomi	$2a$07$22sedaJXefZhoy55rAUG9.DQlRBeueLxIX4bOLQZqLBtcVCPXf39.	55	2013-08-04 01:59:52.368071	2013-08-04 02:00:12.594409	210		0
19502	107g628xxhil52ou2e25tf7603	$2a$07$SqexoQsF36LoJFDDyAuSdORajxdInlxAbMRjnmxvzKzgerVkf1YX.	56	2013-08-04 01:59:52.391821	2013-08-04 02:00:12.730346	210		0
19503	10912sweqx2b996kdz42o1yneq	$2a$07$Dv0PUbszrK.n7UXNP6bl9uK1TMCsj2PsUxJ60eQdwFRYdP2VcY.BW	57	2013-08-04 01:59:52.41373	2013-08-04 02:00:12.847866	210		0
19504	10f84o8p0xx15x7pz8efp74vaw	$2a$07$DdQpuwRxfKO6FS5UoYqkceB7Np8m23pLQ6dmGctZgTb23Mj3XyGkq	58	2013-08-04 01:59:52.435331	2013-08-04 02:00:12.979834	210		0
19505	10585i9xdqzar29fizpiqk0vd5	$2a$07$DLi3f4p4izVMG0C7.c6FR.i2J7UOjnAkqSrEy5.akLBw3GgmfFKE2	59	2013-08-04 01:59:52.45746	2013-08-04 02:00:13.170958	210		0
19506	10s1q95ywgqjceft3y58bn1hcm	$2a$07$mSUa1Iien/ckRr17pcIx4eOb9yxPxbvxPUaHGjDTpmOgrHEDpW4ce	60	2013-08-04 01:59:52.480167	2013-08-04 02:00:13.417867	210		0
19507	10jo9vvespnq2jdxxbfdqkxhve	$2a$07$N/hIrwE8JpZzl1c/vUuEvuwYTr3mDNL98ZtMAq8wCU64ugG1Ikqhm	61	2013-08-04 01:59:52.501569	2013-08-04 02:00:16.143604	210		0
19508	10ra9jodkyq3sqwtnafmpd6fbd	$2a$07$vqXD/ccr7w0g5fLH1AB7zeOJX2XoiX775UZN07fzKArNMS0Gi0Ok2	62	2013-08-04 01:59:52.52301	2013-08-04 02:00:19.1371	210		0
19509	10dvyc90dlqxge3jukaayxatnq	$2a$07$jaj4MjQiOuGkABuISqCM0OF.rWj2F21a/1dK7ym/ffDNoFxoSfkp2	63	2013-08-04 01:59:52.544448	2013-08-04 02:00:22.122212	210		0
19510	10m6t9d9hmvc5znuf0cckm6hob	$2a$07$ktyxk47imiT1.WtEBTQ2uONF3JOmke5XqxQhkG8vOch5yTI4woK.i	64	2013-08-04 01:59:52.566055	2013-08-04 02:00:22.363746	210		0
19511	104c65kxwwshoyn98jx5ga72qb	$2a$07$jC5SGFowlzubZ59qF/gWEe6Q0cpqPUKz.cUsR3mnlwJMaKLyCxsym	65	2013-08-04 01:59:52.587514	2013-08-04 02:00:22.49536	210		0
19512	107wj2lmj5g96qvq0sos4euzpu	$2a$07$lwr9ALqnZ9inzAWPLzPB2O.OVuyJajnGKvPEsDIRNQcnlH696hNpm	66	2013-08-04 01:59:52.609496	2013-08-04 02:00:23.478401	210		0
19513	10911vujk5fqh189r9i4741qno	$2a$07$i0XfC7//8Okv64ZCffHwQ.WUaVEdc.zE2xPou5VP0U0lM2VaBHgru	67	2013-08-04 01:59:52.631584	2013-08-04 02:00:24.862864	210		0
19514	100tlveifzvtwy0yoo35adqlot	$2a$07$djzvM3ae/.myacst0iGc6OsmglrYFF1e20f4ZbPaA1CCf5avMKKT.	68	2013-08-04 01:59:52.652948	2013-08-04 02:00:24.981952	210		0
19515	1005r5nwas6bev2yag8v74ndj5	$2a$07$SDCrR.qAlrpbel5p9ntfZOAUFncHvbnAVfgX7GweYI2Dl6uNoS/OK	69	2013-08-04 01:59:52.674166	2013-08-04 02:00:25.099903	210		0
19516	104lqn6ywd1tdlfuyvc7qismx0	$2a$07$pOt16kt1GY69DG4RX0L12ugV5AMvi0Xlmg0fcLdGJgycfixORKXY2	70	2013-08-04 01:59:52.695395	2013-08-04 02:00:25.223103	210		0
19517	10uqqqyboh3firop59gyxvbmi8	$2a$07$8Tp5Wrw4zLsjgMC.8kiCzuup4pRLLIRDe9OEBmWxBGyG0gP1WkK2O	71	2013-08-04 01:59:52.717597	2013-08-04 02:00:25.322713	210		0
19518	10h4jqju3u71i744pwhioytr8h	$2a$07$W.C5D1z4P6h18d14aNc0IubCTzNEE9ajTvuZTCZ9b5ng7Lmgew42e	72	2013-08-04 01:59:52.740829	2013-08-04 02:00:25.534723	210		0
19519	10ejglskeybg40wksaywzyhixs	$2a$07$Mk7CcQmRR96oEJOkwLyFYOLJqZhVyeLE1aEmBmumI5x6d5/bvzSNO	73	2013-08-04 01:59:52.765284	2013-08-04 02:00:25.674318	210		0
19520	104al0y2nzei1m4q0x3n803nwy	$2a$07$WBBp51ktT5b7IAiQuWT5zOY9pU.F5wQNBgyAAy1.5cidyyukfpkYO	74	2013-08-04 01:59:52.789593	2013-08-04 02:00:25.831149	210		0
19521	1008xmfwhukpj4gyvhzwgd2a3e	$2a$07$AuNbosbhl7AuwblW4rLb4e4FhhHkEyT8YxmusFS4TQXBq/EGdqIsm	75	2013-08-04 01:59:52.812971	2013-08-04 02:00:25.994871	210		0
19522	10zxs0p8z3o0djuuc0meu06q1v	$2a$07$5bYRpQirROJoWTDuRqWE2e4qCCdVR9OCWa/w/9GK6e4liuhzhtfmO	76	2013-08-04 01:59:52.834486	2013-08-04 02:00:26.237189	210		0
19523	10j6w4gaveg1j290ow5or0xet0	$2a$07$FUkd/16p/YifkL08DocNCu/qFrgsj1dayPeD.ljXXsiZFe2/8ASHK	77	2013-08-04 01:59:52.855942	2013-08-04 02:00:26.37091	210		0
19524	10leqw38t06t8d1gfwf5d13d0t	$2a$07$2tlUYjq6jCF6szvxo6rq4OKWDOPeDqlUNizIKwIxPnV/asdAnqqHG	78	2013-08-04 01:59:52.878431	2013-08-04 02:00:27.33926	210		0
19525	104ngja32k09pxs7nlaqeh5vo0	$2a$07$lgNb74MtElixMHJmOmSW3eBlQCx6H/u9Ej4SsKX7WG2SdKhbxFB6e	79	2013-08-04 01:59:52.900207	2013-08-04 02:00:27.498253	210		0
19526	107nm834flk8rr151nqjure2bq	$2a$07$7P5Sksj8sB2lw2icA2DDNeMKJn2AdgcOUv7MJ9rVQMmkzoPwaMeN.	80	2013-08-04 01:59:52.921584	2013-08-04 02:00:27.633894	210		0
19527	10nyrfaal8ly3zr3y90hurqlir	$2a$07$nu7gzv4g0F7IbGD7q2EAnO0mCa0zPtYNda6XqoF7S0vjHm70.oUya	81	2013-08-04 01:59:52.942799	2013-08-04 02:00:27.753752	210		0
19528	104c0zr9fzrsmfebkcc043pbt2	$2a$07$J9tUblB50nIUdyC9WVrLF.xsCFMiulFHjlfVbbIZK3tb8pjRV/Jpa	82	2013-08-04 01:59:52.964565	2013-08-04 02:00:27.895324	210		0
19529	106l89iv15ntqmsqpiff5h3lo5	$2a$07$mnOBXBT4ebFuaoCuaejeKu6a9B9FTeI2tkBibKsyB8IHgQ0kWcMJm	83	2013-08-04 01:59:52.988664	2013-08-04 02:00:28.033568	210		0
19530	105b3ah4mi5uicxlw8epp3nhbp	$2a$07$e.Cndmqx0m29.2ilOfcNIORxN5qYb6zzq6LDV/WEar3uExrDPFsMS	84	2013-08-04 01:59:53.012472	2013-08-04 02:00:30.924444	210		0
19531	10hf7tl1tk3111mlepvbs9nqb0	$2a$07$qoWBobxjIb/9pmh0a9XBcOlkgHcj5EKp7gVbBk7Wd.P7WL7cLyptW	85	2013-08-04 01:59:53.03549	2013-08-04 02:00:31.06061	210		0
19532	10sx6kjztbfjsbhxw97f60kqqp	$2a$07$DcUFiAZgtZKhI7DfS5A9RevBPIRJuzOgd4wiCu/KvqMEXgrLvdi8G	86	2013-08-04 01:59:53.058744	2013-08-04 02:00:31.184742	210		0
19533	10ix82cixf5yh29r2bauo0cua2	$2a$07$GQ2lj7riVDsJJ8.H10VECeuyS9C5Q74/EF34XDJG9KenmkeGqsIxe	87	2013-08-04 01:59:53.082889	2013-08-04 02:00:31.339658	210		0
19534	10eofuaek3eqeqfm4pm501bdvu	$2a$07$7Jo9.P5G81HpNZWB.ETYIu6Rvq6SsGqWPk3/egG8svdSkenXOFa1W	88	2013-08-04 01:59:53.106506	2013-08-04 02:00:31.489436	210		0
19535	10eob0u85ykz4pbsx8jivgd4rn	$2a$07$GY9ij65MRYse1osS2XiiyOrC.poMjtu37N4ffN1ToCh69zVmyj8h6	89	2013-08-04 01:59:53.128683	2013-08-04 02:00:32.502961	210		0
19536	10a1o6l8s5wjpkg94ft3m1efa6	$2a$07$8UE9bV.sjPSDlTSFzAPdZuFLBoTOmxU60r/S1DBRVN73HcxHB7NoO	90	2013-08-04 01:59:53.151582	2013-08-04 02:00:33.46714	210		0
19537	10y2l9t66acrdw7jte4k5yjo1c	$2a$07$KnBvYQmYr/0V.DRPDifJIe9OqerSQrp9UxtsDMVoxp/LrOVh063hi	91	2013-08-04 01:59:53.173598	2013-08-04 02:00:33.611568	210		0
19538	10e5alrl3mvgjagc4i08u1n1i0	$2a$07$EpcQEIFLKO2v.9NRMQoGdeNu/AHOlnUrrX13/S8NmKkLZt4wyJkqG	92	2013-08-04 01:59:53.195778	2013-08-04 02:00:33.742909	210		0
19539	10mw37q38ftw575pblh83a25vp	$2a$07$2S0O6.6TP.gxU0IZh6LxuuJRxDGvuCSulSSz64jD8tn.h.FKFZBoG	93	2013-08-04 01:59:53.218685	2013-08-04 02:00:33.859341	210		0
19540	10ti3a7ggnw6s5voyd7gzlyxal	$2a$07$U33eehdCBP7w8q9sMS9HMuuUXxjTjrKdNDk2eVe.dMBGDArpPmCwq	94	2013-08-04 01:59:53.241906	2013-08-04 02:00:33.988431	210		0
19541	10i91xkqytjuj97unoj8hjxrja	$2a$07$UaK4ZZXpn9SZc8IZANNpjeQ.GISKercyNW47yNAIm9HlquojDkbsy	95	2013-08-04 01:59:53.264598	2013-08-04 02:00:34.140544	210		0
19542	103eu905l2az3bpupv0ta5bvys	$2a$07$2icA5JLt8CUf6UFttOqP.ufAL/pbAsupqvVx37H28BRn4zoRhGPha	96	2013-08-04 01:59:53.286869	2013-08-04 02:00:34.274954	210		0
19543	10ayct1ocvf5gp60umkefpga9r	$2a$07$VtR8P3IaEaBIDpH05ImdIuSmbv59h1k8S2UJsgz56YYG7guJnJ1mO	97	2013-08-04 01:59:53.310326	2013-08-04 02:00:34.394509	210		0
19544	10ad6mqbkgfcydemnf8j2p5o8k	$2a$07$0adEBTWkMBvUwLOSeqi./ezQNEqmPdUMpQlduDlhPTQn/ZzVADanC	98	2013-08-04 01:59:53.333333	2013-08-04 02:00:34.531888	210		0
19545	10k8jxommwcnt4y8vr21lf7j6m	$2a$07$QfocnqvXZpyxyILkrBP48ehxWZ0HH4WSobGYKgMKbaf8khsX1FreG	99	2013-08-04 01:59:53.35542	2013-08-04 02:00:34.66647	210		0
19546	105ekznldv2yz308xsjo2c56bw	$2a$07$P3ZVpKAEEsl/K5gKXb3Lde/TUu28m6HQRr1Y6XrdKRFLjkMFFZ0cy	100	2013-08-04 01:59:53.378418	2013-08-04 02:00:34.792455	210		0
19547	10ygioc65x7cuiwdumxbnnbsvy	$2a$07$.R4rktiDIQt4L3utl8KzOeCGM/UdZUdrwBHl4KOEEhT3JJAivBlru	101	2013-08-04 01:59:53.400878	2013-08-04 02:00:34.916729	210		0
19548	10q1g7it7hg5k1i7pk9ox3a5lr	$2a$07$RhFnSCTs7sFwhvCvp7TKG.EXn.chW1O2jK6nmQGE384troQr5WiPC	102	2013-08-04 01:59:53.424545	2013-08-04 02:00:35.104065	210		0
19549	10vs1tmav0xpx5d4ux562ylce7	$2a$07$uM6KKeF8BA9GFNWExjlyJOqwJs5nQFOhVA0tJeF3evypUj.ng...y	103	2013-08-04 01:59:53.446953	2013-08-04 02:00:35.230939	210		0
19550	10nfsv3gpto2jkxavmg4dzk08r	$2a$07$O5TKURddI.Vod.MsXQgId.VXlLCL1yzjhGkXEQ7CN484CUMih2eSK	104	2013-08-04 01:59:53.468601	2013-08-04 02:00:35.340187	210		0
19551	10m9rs85a1f5hw1sf4bzqgi399	$2a$07$bUK9qt32RIjqMRB5jG6oPedXiobVeryE3QfP5ILk3APotgCrfxMK6	105	2013-08-04 01:59:53.490325	2013-08-04 02:00:35.56462	210		0
19552	10lz0ejxkqeaj6t9r0ck7xyclx	$2a$07$LwrHDP6PL/saqxxwhOxAa.TMuaY48DnCZn3pNMrygkbejZ.VF9hem	106	2013-08-04 01:59:53.513671	2013-08-04 02:00:35.710057	210		0
19553	1034ln1psfgd4f6z5rzzu7shdw	$2a$07$XfrbO5LOB2tsWuEkc12BJ.PivTLVWYUSk55kh6wAU4C0hqHdKbsha	107	2013-08-04 01:59:53.536475	2013-08-04 02:00:35.86812	210		0
19554	10tgou34rna6s42xp0m4tbnm3a	$2a$07$kH.dXP5FZMDALIrt1PWzwu.DB4FMHb7ZhmRHhI0.K3Iilfa8zABiu	108	2013-08-04 01:59:53.558198	2013-08-04 02:00:36.017947	210		0
19555	10tvsycgqvhnlphhf343gq3heh	$2a$07$4mSqfqRoGwjsGF/9GQCFceelmkElffHN5bfRbpR21hsVLIIs.sZO2	109	2013-08-04 01:59:53.580966	2013-08-04 02:00:36.139005	210		0
19556	10oc62wqpuvxm22hv0toouux0b	$2a$07$.HM1/o.rEEFzcbphAFMwDOcUHadrF/SeXnVF6t.Bzh0igf13wXwXC	110	2013-08-04 01:59:53.602872	2013-08-04 02:00:36.279496	210		0
19557	105k31tcjwq7urzog7smhc55zm	$2a$07$eHeKJLCeFZkyudKhZNUsNuGVt0YCIulPJvvPlxCb.iayxbHvYJhBG	111	2013-08-04 01:59:53.624446	2013-08-04 02:00:36.397678	210		0
19558	10reemhbtjbifhaxq4oq0qktx3	$2a$07$9b14KLBTIKAM6LxAzv/hA.au1R6IZy7iYF3gc2J/80/gXgn.tUDCW	112	2013-08-04 01:59:53.645833	2013-08-04 02:00:36.489842	210		0
19559	10zbgrs20ylaouaejtmoba0b89	$2a$07$7GAJaOfaTf1WE8uZ2DasduXfFw36ZYIYFQrJ9DfhQR/dHYHU62hZm	113	2013-08-04 01:59:53.667104	2013-08-04 02:00:37.484309	210		0
19560	10hsat8b5x2yq47enpb5gjbtet	$2a$07$WUW.AovzmJeWeBgU2gKUIOKAnvIXW6VsOR/FA7P3qqEafzRHSOS8q	114	2013-08-04 01:59:53.688295	2013-08-04 02:00:38.496935	210		0
19561	1036td89xvxa78w7pt6x9wul3d	$2a$07$qQ.ax.TkU0bPq6A7hdsH/upOYkujtoo9WvUPYBX.rgL0zClNR6pvq	115	2013-08-04 01:59:53.709467	2013-08-04 02:00:38.637545	210		0
19562	10jhhgq5h6b1804v9193staw8c	$2a$07$U/ttnX/Nnxwbc1iA99JNh.yrxuTRiHcS0beK2RqTHxuRWKwzAa8MO	116	2013-08-04 01:59:53.730812	2013-08-04 02:00:38.79677	210		0
19563	10uii8mvsomi0wxcranlcjuf9u	$2a$07$YtTC/gaAzjAvGXT6gjaG4uVVQFJ8PEWqDVFoUrVhvqMUDEpaWRtoW	117	2013-08-04 01:59:53.753558	2013-08-04 02:00:38.937703	210		0
19564	10v4rp083al8xs7ei1b5bek2zm	$2a$07$h0z0OM5vGIxYgnDsnVuaZukcFJDx9xSYs51homqZho5zaz2wLIC16	118	2013-08-04 01:59:53.779432	2013-08-04 02:00:39.059224	210		0
19565	1062k56pi71yyct8pljmrmiqxo	$2a$07$0kIeAA2tIEtyFlm3JSzhweeH0Y4cT5OHEQmA/.dPDyts4CT0WOrKW	119	2013-08-04 01:59:53.801872	2013-08-04 02:00:39.195349	210		0
19566	10hqp08wm2wof6zxr7uhlkwsmp	$2a$07$ofzM8YIrfh2P67nO4ZmfEeVGUTuX/l1S8TAeMQf9jwslrTBLGZt4G	120	2013-08-04 01:59:53.824327	2013-08-04 02:00:39.325112	210		0
19567	10mk7lzlf9g398pg96ysu1x3e6	$2a$07$tyfAT9VY8urWr7nGft5nB.i1L3tiISM8OqW6WQ8tpROtGP3aj7hTO	121	2013-08-04 01:59:53.847627	2013-08-04 02:00:39.483302	210		0
19568	107h33veawsdb1vmeqslnu4a0c	$2a$07$t1AaJg7s5KHOm0cubgU9QezCU9i3bTMsQi3UMsol7vrXkzKygrPA2	122	2013-08-04 01:59:53.871204	2013-08-04 02:00:39.66186	210		0
19569	10v4eukpt4m89oj9x6s2hpwcjf	$2a$07$WKh.EfXcysQBSrxu9afPJ.Nw5RQ9Byd3BX0G4/1s2s2/NolZ4Dz/m	123	2013-08-04 01:59:53.893701	2013-08-04 02:00:42.510738	210		0
19570	10f1j0wwmnc6s099ems7ls61wy	$2a$07$aMpcZJ6Bt76KZ0Y.a6izDOARdLRg0AyrU8b76UgWbROZg9fBqba9q	124	2013-08-04 01:59:53.915271	2013-08-04 02:00:45.351795	210		0
19571	10d2z3bg4i99hmeenrkl59a2li	$2a$07$O6ikrOHPGReNBbBM0PhSheHZay7lVtd3utqdJt2kzpYmGAM9QVVXO	125	2013-08-04 01:59:53.936804	2013-08-04 02:00:45.490234	210		0
19572	1040hxbt0ft4kkep4ugaje6mn4	$2a$07$ExLll2Dhm.s4Li0Q4LlpCuR6FX/uWshUe0G89PpxViTpwxnAw/DX6	126	2013-08-04 01:59:53.95823	2013-08-04 02:00:45.618809	210		0
22288	10k1k7jsva5z77t8ffre3zj1tq	$2a$07$t68NX50ND3gpgbMHdv3Dy.uTFHM61YpkbDTGjvpqtkjCAw3.9vXDm	70	2013-08-04 17:45:55.767666	2013-08-04 17:46:24.721678	232		0
22289	1095aqbjf89gho0zsahdau0gsr	$2a$07$vrMOjWprjlnxE4D7cjMjh.C.slhgTAgOGEddXwUHHB5NMDrue778G	71	2013-08-04 17:45:55.78927	2013-08-04 17:46:24.849074	232		0
22290	10u8qzvpx4sw8h29jknl7b637n	$2a$07$YtS9UuYl4E3IBgDuhd5N.Oh3Uap4PoFCp.QUsVHTvxc8fn6q.N4Hu	72	2013-08-04 17:45:55.810683	2013-08-04 17:46:24.988825	232		0
22291	10dwc1xhruqgtqu2z28skvqvt4	$2a$07$2.ZtE63AIWCHgDgTf/frxOM.UHYOXifEcrFiY8dH5BB63/uF6p.dK	73	2013-08-04 17:45:55.832314	2013-08-04 17:46:25.151088	232		0
22292	10lqkgwdxbqrt1gslfbg843555	$2a$07$v2eZke2x0eV9EKJLvM72JuPPakiBrLoDMcl..skqHQKXpx6xzU7LW	74	2013-08-04 17:45:55.854126	2013-08-04 17:46:25.301605	232		0
22293	10x23diz58a5fwj2286cmnecja	$2a$07$SpjH8ZCTe9YuuUbP/Wgav.KioGfar8th6WAyKX7C9MYf1kx3GpvuG	75	2013-08-04 17:45:55.87578	2013-08-04 17:46:25.456264	232		0
22294	108w2ss4zli825pyg6bik22g4x	$2a$07$i/cmHf.8xmCqMVM8LNXoTe8rf.ZT/.LZBpoaZrL6y8hMOSMLKn7gm	76	2013-08-04 17:45:55.897199	2013-08-04 17:46:25.580666	232		0
22295	10hvr9qjj97h1bo4zua0pklaa5	$2a$07$DIVb3CVNQg/3EQUkEQmPvuO3V8fekVxREsrV8XrAy9C4T60wJk0zu	77	2013-08-04 17:45:55.918501	2013-08-04 17:46:25.735056	232		0
22296	10t4rxhnkunaykgy6ej5cw1ym5	$2a$07$RCGiPabSqpE9jfLrIKRkKuTstNzIMDTfMJjA1eWDfDtThY28FEZfS	78	2013-08-04 17:45:55.94152	2013-08-04 17:46:25.956311	232		0
22297	10cfj4qmvjcn4ezjnsvhjoy1vn	$2a$07$zOHqL/UqEFloCNWo4mCk/u3M8lNg35PZs2nxvwqYa/z.GuuLim2U.	79	2013-08-04 17:45:55.965581	2013-08-04 17:46:26.243743	232		0
22298	103v7893tzpx54o0tnd3x4tksd	$2a$07$33ZFhs/JFFVJHsnYdp5djexag4sE2tntC/H4MY1SKZRPDYNNbruu6	80	2013-08-04 17:45:55.987596	2013-08-04 17:46:26.384661	232		0
22299	102ev6q15bwvku3g4v0fkqjx7z	$2a$07$.EGj7c1LVaQ9bzR06kYmwOnQJmf36uqiIa.c4thkyhHC59IKNbuqm	81	2013-08-04 17:45:56.010136	2013-08-04 17:46:26.517109	232		0
22300	109g0jpuju7b8xvv9rmc0mixpg	$2a$07$SCKcyODUkxA36RVy.vcRSOEzoPQrb6CayERCCia6Ry4qinTzSyjSi	82	2013-08-04 17:45:56.032539	2013-08-04 17:46:26.653259	232		0
22301	10d1rrp6y8hft6j7s764o9drm2	$2a$07$69EZuPqJ2IF4ctWyWDSVpux6VLrOpyU8d1q8CQBx3ly0ig/eMlwvO	83	2013-08-04 17:45:56.054104	2013-08-04 17:46:29.334239	232		0
22302	100vnwu8d0l0i70n3pog1n7tms	$2a$07$aB2Gso01fS0YRjgR2lGZmeNKuops8z06AlsijTjiHYU0GYUd2FFe2	84	2013-08-04 17:45:56.078423	2013-08-04 17:46:32.257192	232		0
22303	10uec8jstwjvj0znrokjs0r0w5	$2a$07$MjTUluNQIZOswLRTQh9Qx.VVC01G.kmYC8rQ//Vy/Ust6NVMCf5Vq	85	2013-08-04 17:45:56.100996	2013-08-04 17:46:32.416098	232		0
22304	106fwbh4v59zcp5fgv88wvm0aj	$2a$07$E.JRUz8wgxXQaXxH0R/v.uEZoRMtoK55Yi8K6K7ZBiZW/AD2gT4Zu	86	2013-08-04 17:45:56.122977	2013-08-04 17:46:32.575957	232		0
22305	10fdek36mdrzlrwzk87fmazut1	$2a$07$ZreXMffiiVPGQlmhrQ7LVO/6r454MsKLWeyrwYkgkRwf1zTG6JzdS	87	2013-08-04 17:45:56.144533	2013-08-04 17:46:32.722593	232		0
22306	10qj49hk0d7dgq9oe5k1kdkluq	$2a$07$GIMpRCGVoozyNHBs8Hq0qO/uBFvCYCKPeozo/cJL6YbvNUBY3Abge	88	2013-08-04 17:45:56.166176	2013-08-04 17:46:32.848983	232		0
22307	10a487eqjy8og8ikf6hufvllwe	$2a$07$Ru8fcy82SGAGsMeIV7JbH.OnccdKQrHAsskS5/v/7gp/PtWNgYg1e	89	2013-08-04 17:45:56.188054	2013-08-04 17:46:33.007469	232		0
22308	10jit032tladgxrzxxle0fmyab	$2a$07$9JZ.zgxgSEVQr7vlCtjSPOYigJh6Vj4Pnn9n2PVRmPcFwKCXoRDTa	90	2013-08-04 17:45:56.209487	2013-08-04 17:46:33.167014	232		0
22309	10y04ur7a0mkuzsintgcdh81aw	$2a$07$odkzDuuAdo2YAyvJGQGndeS5zqXmo3fPdgzkHypSvc.ipoZ9qLULy	91	2013-08-04 17:45:56.230974	2013-08-04 17:46:33.290969	232		0
22310	10yeeb4mdrm73mwmz0c23gnw1n	$2a$07$AshjwHafTqfI/6eStiEd3.SCT7hF1UCbi3jBmeCw8xUI87/mKMau6	92	2013-08-04 17:45:56.252367	2013-08-04 17:46:33.433401	232		0
22311	109dl6tki1j7zf4p6enhggscq1	$2a$07$bpEQL6obiCIO5usKIhILs.L4S2E6v12xkJO.s0j19KS8zWd8iNaGu	93	2013-08-04 17:45:56.273865	2013-08-04 17:46:33.571912	232		0
22312	10nzdnwbah5bj87xfi51ablmhn	$2a$07$8VZ0386XEqaLbTC8Sunrp.i1Y.CMkke41E7Ib77PtqUgSDUKjhcXe	94	2013-08-04 17:45:56.295289	2013-08-04 17:46:33.716652	232		0
22313	10bewyaueut55r3o79kpgy7s3r	$2a$07$SUv5yGa6M0wBzq1rYklC2O.y9e/3Ta97W55CM/r6nCJ3pJP.0.tjq	95	2013-08-04 17:45:56.318647	2013-08-04 17:46:33.832717	232		0
22314	10a1qxqhekhp7vobrxensxa16u	$2a$07$3jZHgp0Gyw.wkIpYBgEtvePqRwrPtIbCRobHez47fZuaKB9LWUx5W	96	2013-08-04 17:45:56.341237	2013-08-04 17:46:33.937512	232		0
22315	10h27yqapzd454rwxjrpwcudvf	$2a$07$NPYuConh4f/HVXfSZIWxJeHwDZLUcTAYHC57SzdhU8dUv7Q2wMPL.	97	2013-08-04 17:45:56.363142	2013-08-04 17:46:34.039656	232		0
22316	10bev452ed3cw6c8qardud96tp	$2a$07$92WHLx.jG8pZ258DK0P62eXuopQISVGh1hHb0vWo5CRPL8eqA5wDK	98	2013-08-04 17:45:56.384746	2013-08-04 17:46:34.165806	232		0
22317	10b1j8qjdfpsqb52gb9717iy2f	$2a$07$6khzC5.JhnO2.J6P1QIlD.EqR2Pt3EoqFsk3v9gA7lms0oUqvl3sG	99	2013-08-04 17:45:56.40622	2013-08-04 17:46:34.304547	232		0
22318	10pi3h7kbvwt04hpy57brdezxq	$2a$07$HYcpgFI.28DhysB7UHJnXeuqfN1GNgcf1WCWZqgDHuB4REyBK8hti	100	2013-08-04 17:45:56.429548	2013-08-04 17:46:34.450172	232		0
22319	10nd7bwykr62h6r1s0vrxjuf6m	$2a$07$cmtmQRJtp6Qd7aRfq1338eZU/VgXdVKHym1E.JvYCqc3J0ju5xd8O	101	2013-08-04 17:45:56.451364	2013-08-04 17:46:34.585273	232		0
22320	10olr1d0gybeuh02c03g5dqg5l	$2a$07$OeNlZE/wSds9bzSj2BgQXeKlG2t5lY.gjLyv2wOhU.IIKMRwCxQUi	102	2013-08-04 17:45:56.473016	2013-08-04 17:46:34.725865	232		0
22321	10yuu49ipemhi91ey1qmxxje9b	$2a$07$odajGCKs8ZmflTp2lKP2dOIp1E0vSjRgW0zZw4B0rQUdeYx9FeRDu	103	2013-08-04 17:45:56.494872	2013-08-04 17:46:34.846118	232		0
22322	10jh3phrme9fkezlidtmp74huu	$2a$07$9zpMLLeEtsSj4zYARjUaEeQ7kMKoFARBJdj2wCr06o3J/1e8UKcCW	104	2013-08-04 17:45:56.516697	2013-08-04 17:46:34.999216	232		0
22323	10x65y92nssafeg9a1ziabsnga	$2a$07$NAiD3/9mPHR.G2M/87BPjuKDKt3K3fn113oECyV3X4/GCT275MWzm	105	2013-08-04 17:45:56.538211	2013-08-04 17:46:35.115704	232		0
22324	10hyau7rlbb2nu3wi8vkngt9v7	$2a$07$WvaAqnRTeQ.XHVFzJEcxYeOtU3QySZgIgqgVNHXPpej3THXsNqeHO	106	2013-08-04 17:45:56.559888	2013-08-04 17:46:35.240456	232		0
22325	10okabm94vqva5xywoy7xuekl6	$2a$07$aoYGPS9uc8BZkB5V4Oe81e6KhmFhLa7n09qjMLxpfAHW83D/e0.vS	107	2013-08-04 17:45:56.58164	2013-08-04 17:46:35.442929	232		0
22326	10p7kw75xlwiams4459n7qv9f3	$2a$07$8amTh8v9m4O386onbA0L8eyXsMELCug8seRI8bmu4JMMrsru95VP2	108	2013-08-04 17:45:56.603227	2013-08-04 17:46:35.588526	232		0
22327	10h3djpmvz6z8lfgudx7qqmpqp	$2a$07$JC.a6ay/SUwfX/LSJpR6Z.wgykl8evEUYiX.qS4q09dmtYYmeLkxm	109	2013-08-04 17:45:56.624695	2013-08-04 17:46:35.734416	232		0
22328	10wu780do590ypcupube8w4te5	$2a$07$TCxEm173wJzlH1mHyP/pbO7JG2JjA9vkZFBl1FwzjNETvaQLqD9we	110	2013-08-04 17:45:56.64656	2013-08-04 17:46:35.85968	232		0
22329	10i1iiuo2m23sri8ic9tki4c7h	$2a$07$a8mWXIGPOal5bDpeof8GcOE4qSAGExV3XAVI5lGsJ4iTSlwBAQvkq	111	2013-08-04 17:45:56.66814	2013-08-04 17:46:35.992209	232		0
22330	10si90mgj67wqehw9839b0f68a	$2a$07$8a5.jeb9O5j/RlMNTz7lp.Ok3LAL7NwANKxu/Bdc4KlJUWGgk3AJ6	112	2013-08-04 17:45:56.689793	2013-08-04 17:46:36.120489	232		0
22331	10v1rb19ypu7vajjr559sdada1	$2a$07$PM3YTC25GUpORrMeTxGJBOuSgz84ZYVVOJyDXZW8YOAndbDlz1tym	113	2013-08-04 17:45:56.711338	2013-08-04 17:46:36.274873	232		0
22332	10lbtk38vkyou0wqmcssnq0swd	$2a$07$HFbEKjgR1mlfAqZMg0CjeeibYctgkiF48N5MA5S2jWt.tR/ZhTZdq	114	2013-08-04 17:45:56.734084	2013-08-04 17:46:36.414323	232		0
22333	1020cg6zqsne5yx1auzd9i2bg3	$2a$07$iPWq2CR2EX84yRppaKIrkOLeI0snzO9Q40yT4Xb7oUx.R6cLSUMDG	115	2013-08-04 17:45:56.764769	2013-08-04 17:46:36.617343	232		0
22334	10vynv92ar7wdr9vnu879nnn4u	$2a$07$dCyf8iDymHxsYjWFJ2Vo7ujupZqz2XhMUaK8hPHhNAEKqDM0sDSPG	116	2013-08-04 17:45:56.786233	2013-08-04 17:46:36.752996	232		0
22335	10vsossez3azdt8jrg2b7m16zk	$2a$07$2UgLBjebTuZ.hMYzT0kgU.wazukO9qA0K/3zYswDQm1unbbgrWepu	117	2013-08-04 17:45:56.807704	2013-08-04 17:46:36.882711	232		0
22336	109yzme1r6qrnph57lkisj6obx	$2a$07$uIg/YzKVIJunDn/yQTtsjuS31wGj0PjRVNWd8jiN3FuHJIFsORQr6	118	2013-08-04 17:45:56.829122	2013-08-04 17:46:37.005781	232		0
22337	10fd0dx0778visr17kndkyaaxv	$2a$07$LoUt9a93XMy92WM9lrVQmukStRC7FDDUSRRjFnYotTkTo3am0CNWm	119	2013-08-04 17:45:56.850628	2013-08-04 17:46:37.13642	232		0
22338	10dpydsiiwehnjn9l7z2n1upc3	$2a$07$Iq7yFusMA4b6gPvLYp36K.p5Xab/qcOJnbuo1FraQ5gtwobYEnCgK	120	2013-08-04 17:45:56.872154	2013-08-04 17:46:37.286118	232		0
22339	10ffi5nbausdktnopkbh84qswg	$2a$07$nHjB0OXS3RXk2A2i842rLe2deINdTiXukztQBDsSTWca9ro6Ib5oO	121	2013-08-04 17:45:56.893552	2013-08-04 17:46:40.006032	232		0
22340	10lqw3uhhh7ut49v9vvzzif7e9	$2a$07$b9R80B3ecsMYvtF6Tc6gju9wgxCkqZkM8Xp73Lbvy1FdRUTMrG4oK	122	2013-08-04 17:45:56.914876	2013-08-04 17:46:42.971629	232		0
22341	10n1xa6quefedwfbv7khaeo4v6	$2a$07$zJApVL91DxIpNB5PntlAbOtIJZrU4JlFBshcRKj6xPmEu7pd0aVKS	123	2013-08-04 17:45:56.936563	2013-08-04 17:46:45.661027	232		0
22342	104ml1s15de59z1ns2z0yvbrwt	$2a$07$3MX0HlH88nT9XmJSZ2sTVOWXcaPKk2tI6xMatU317XaXNA30kbDSu	124	2013-08-04 17:45:56.959557	2013-08-04 17:46:48.77711	232		0
22343	1083du9dxvpdm32pm1olhtq5ca	$2a$07$I6vmUmpJLD1UUN/E3RHvruFhVgGrJ0tEvayFIZvKnThI6GM/ulik.	125	2013-08-04 17:45:56.983753	2013-08-04 17:46:48.920829	232		0
22344	10derxnby235nzj8c9u25zboo1	$2a$07$BqfWDfQI8EzBFGe3/ZOOx.f.RWhL8UKF.DxW.AZY3D0PmWHjndTRm	126	2013-08-04 17:45:57.007062	2013-08-04 17:46:49.063415	232		0
19573	10cwwn7rjvpu97tgdygtp1kr0j	$2a$07$SQsARWYYcr2gOB27vAlWReWIOnjm/cg6nSV6H5NBbfBxqcEGokBT2	1	2013-08-04 02:04:51.075955	2013-08-04 02:04:54.384095	211		0
19574	10e4r9g9s4c5i388nhdnko0ggx	$2a$07$Zlr5VfHjbZOX84G3dUooM.T/SrRYdKilLAEiQRkX0cO1a7WcdUaTO	2	2013-08-04 02:04:51.09824	2013-08-04 02:04:54.528778	211		0
19575	10t8s2go7f97hixj27kbceedzi	$2a$07$DB5VsWXsBzKlo6dfY1JnJOV6jjIFohSPpK2BBh9F3.uMB.pyGMdIq	3	2013-08-04 02:04:51.119901	2013-08-04 02:04:54.667212	211		0
19576	10b0ulf9j50hkx95c21mdeeulf	$2a$07$NToNuiUftSWaCA1SSvbt0u3VS2NnFag3pX3JLFF5JySonV0p5tcOG	4	2013-08-04 02:04:51.141955	2013-08-04 02:04:54.823345	211		0
19577	10c00qd27p48mc8g8gy6yth5na	$2a$07$cMk5i4CyKTy2h70yB7.7mu7V8woQM7v1LCg4Xqb0mGlB.yOvtretq	5	2013-08-04 02:04:51.163796	2013-08-04 02:04:54.973637	211		0
19578	106xy65e1dmddpx8x940qo01ok	$2a$07$3tnrmUwG2nxMwGJ8tSE2heMqUSkNcejtH6JPsN7bJF57QvK78zioS	6	2013-08-04 02:04:51.185203	2013-08-04 02:04:55.129457	211		0
19579	10qbereh47e44uc6b9hyix8045	$2a$07$QgReCP.V2A9raPHfpEVFEuVo63u6BnuFrdTOWKRCuSLThxZdefrb6	7	2013-08-04 02:04:51.208145	2013-08-04 02:04:56.053773	211		0
19580	10qz0omlyr4pp3i2od42qhov5s	$2a$07$HkAxhc5gbGgVSQD6biu4N.98g4YVboOTtTTP89A7YbyXTmLR2qdRK	8	2013-08-04 02:04:51.231363	2013-08-04 02:04:57.089008	211		0
19581	10m3w287baj3o9zqly2k6qunyp	$2a$07$b9hk2oHIRkky62ZnG3YIkOa338x54XnpS8RGByjKjBngOeDYiemTC	9	2013-08-04 02:04:51.253507	2013-08-04 02:04:58.284758	211		0
19582	10t220ke6j5k8oir8b720pvipp	$2a$07$OIPqn4fWoEijil71vCXHuevrAPCA2VimY0CVUwrrZlNz4FpVKdYGC	10	2013-08-04 02:04:51.277042	2013-08-04 02:04:58.414822	211		0
19583	10pawnaoll33i8qbqxb2eohh6z	$2a$07$dfh3LXv3QINtRmGBoiPGx.8A70kzuWpSBJwCxF9A72F5C7AGJnokq	11	2013-08-04 02:04:51.300107	2013-08-04 02:04:58.554653	211		0
19584	10sjfy0w8yzyf8zfsnc6mczm9l	$2a$07$m0edS72AFp9f6Y11FWF3HeO/zK7WR7WOYG9muO2HZoVk5.fmAFFEy	12	2013-08-04 02:04:51.321827	2013-08-04 02:04:58.687124	211		0
19585	10wc4gfx8jc2omfpn6ze2c40jx	$2a$07$OF0tSoy/aBH.PqkE3hxZpefm6JN2rv0odFILpFCqOnFSm5MSCdOp.	13	2013-08-04 02:04:51.343671	2013-08-04 02:04:58.805936	211		0
19586	1068fg54cbqqi1el1m21mdpgg8	$2a$07$Z5ZMgijD5XleMuUoc4J9EOLNNjWJc.KkTtAa/pFTu2egJi6VmiAOu	14	2013-08-04 02:04:51.367212	2013-08-04 02:04:58.944892	211		0
19587	10y7h1zkxu9cjhaqobimfk4a3q	$2a$07$gPtvZY22WxH2v5EICbbbmOnXWbROic/lL.JzOrwKHH6dmkaap2AB.	15	2013-08-04 02:04:51.393493	2013-08-04 02:04:59.089213	211		0
19588	10av128im75q89bp4xjmbhkorw	$2a$07$wWS8YgUM.KFybvnhX5GxEOfkMBUSRsoDlyXs3mawIVegLA0hRdoEa	16	2013-08-04 02:04:51.431259	2013-08-04 02:04:59.271233	211		0
19589	10ot0ahs1mh3xv6ydtvhw2z978	$2a$07$Ryc9F6t47X52nuQZKaX4fetXRaTuvkqZeUAQ5WDWEyXvxCobn.x.i	17	2013-08-04 02:04:51.4653	2013-08-04 02:04:59.409817	211		0
19590	10hc7rk4pv654qxc9vz20w59zz	$2a$07$Ta1lDlcFCh5GPz1FTJokx.UO2cnQENTsg7KDPF8klvMNAA9bgGADe	18	2013-08-04 02:04:51.500863	2013-08-04 02:04:59.524046	211		0
19591	10olqoc7x1h8m3l7916dedisln	$2a$07$OrNC38aIYMdVFbyXNHxz0uQ3/shlT1w/ZWjqRr.F.DjM2pqgw4gFq	19	2013-08-04 02:04:51.526061	2013-08-04 02:04:59.661004	211		0
19592	10juvpddy92ziwt58ywe1th7i9	$2a$07$LmgVaI4XUQFypoVQjBgotOS5WwqqmHcJNtVf2txp0Ll8ySU8qpumO	20	2013-08-04 02:04:51.562433	2013-08-04 02:04:59.794582	211		0
19593	10hh216zhvlqur29b4i92szglu	$2a$07$T3ApWQc0nW/y8WGHh6Q6l.3Kg25lgnbRCRH1XAo14dgbnZCKRWACC	21	2013-08-04 02:04:51.596303	2013-08-04 02:04:59.91445	211		0
19594	10gi1mrtn12psc3rmwlci4j6rg	$2a$07$F7CnnTAC.aAq7Q4Gh.C/0O74xwIDaDBk2ZprT8XXr/84OC0gctzsS	22	2013-08-04 02:04:51.621877	2013-08-04 02:05:00.052048	211		0
19595	10w1s9cs89v89jwq64x37qpl09	$2a$07$W07Fep/.jK82yyU6/5jUS.rssf4iIXftZhp8I4YtBlv89Wz7RX7N2	23	2013-08-04 02:04:51.655158	2013-08-04 02:05:00.187501	211		0
19596	1079x03a8fs9mv7nyfqgwa7sn6	$2a$07$jqRzMbLjIuLnG4p7IOyYheA6sW0NGksgQ.G.zoRgQlmoIS7hpO3ZO	24	2013-08-04 02:04:51.68031	2013-08-04 02:05:00.323401	211		0
19597	105bbi3wajgnfv6l78cuc3z8ta	$2a$07$N/eZOP55Ek6L6zsv4ujzIOnEMIiyM./H9CaZjlLJZPTvxm/AFhFUy	25	2013-08-04 02:04:51.714136	2013-08-04 02:05:00.476501	211		0
19598	10alwacwtjlx9mqd443ufn4enx	$2a$07$JmXj.N9AnIeGdF/QMB9Qxexr7rxBEAyscPv0HKAMnF3IcJ86upJgC	26	2013-08-04 02:04:51.754817	2013-08-04 02:05:00.625246	211		0
19599	108abl844dqm81o6emju9t1ek2	$2a$07$1XpPuMYNiXRLogQyinpTsexOvaAT7xrilkRAiPB/8rWmzIAEjxBmG	27	2013-08-04 02:04:51.785852	2013-08-04 02:05:00.818978	211		0
19600	1044e9rn576fchc38mm2dv7bv4	$2a$07$qNW25dswXxlfvS5G81f2OeEn0t43hq.UqXBfcHF2.E5e2DOjQ.tn6	28	2013-08-04 02:04:51.808922	2013-08-04 02:05:00.933706	211		0
19601	10tk7ckb6aq721aagu2j4rdxy0	$2a$07$P9T6sbaI7nyAS0KRd5o0b.JPvsdhejT4bdvS1cEwyCS7mUDcsOItG	29	2013-08-04 02:04:51.832538	2013-08-04 02:05:01.074462	211		0
19602	103zqzchexqityfn5p2kim52rl	$2a$07$VuU/0kxeEHHKChK4d.hkvuj17kSCPQwY73z.wcrlPWu5ri2QsSCaW	30	2013-08-04 02:04:51.856037	2013-08-04 02:05:01.206125	211		0
19603	10a2s8ex2r5oqgvr49ze99dt18	$2a$07$Sp9faU7hm8G/9JWECCjUPOGojNzpaFTzV2HEY9j491ptYFuekP6JG	31	2013-08-04 02:04:51.879598	2013-08-04 02:05:01.496348	211		0
19604	106o8rk600iyg27fplrvr0ux5h	$2a$07$SRIryo1bkiLvyjbtYapa7u6bieHBdNVSAo7O/Ki3Lrl0O7SIJl3Fe	32	2013-08-04 02:04:51.90253	2013-08-04 02:05:01.6418	211		0
19605	10ty3va0sqdg2cyw6vv2b4nrzn	$2a$07$9S.PRpfF4F0zy.yYykffIuSmWP0uyH8wKhsrkI1jAZ/CqWbUADNFS	33	2013-08-04 02:04:51.926313	2013-08-04 02:05:01.824907	211		0
19606	10ikd615ky8sl96bcitxjdprbw	$2a$07$uYtdZc95AJUEowAAJv1/2Owb4gGLjCy4pAEXQLE84GH.OKj.4XPtS	34	2013-08-04 02:04:51.949732	2013-08-04 02:05:01.972991	211		0
19607	1047mh2ei5dowxltwr9phojfqz	$2a$07$/jVl6yQK5DfgjnRYdIbafeawF7JwUtxJ11T.lXjKdtPr/Qu3wHlSS	35	2013-08-04 02:04:51.972748	2013-08-04 02:05:02.101656	211		0
19608	10vjnejawbi62glgnqizr0kjui	$2a$07$4/pYItu1uNpBHUzdvix5ruvmpjIqrmevgw01rQlK0fcD65Fo.YZaW	36	2013-08-04 02:04:51.996959	2013-08-04 02:05:02.246652	211		0
19609	103c65zk8v11yorgrf4s26plxh	$2a$07$m4jnoIaeJz7C/NeRTVvmjODTXFSatwlDv1LUuNUcEW62NKVRgLWJ6	37	2013-08-04 02:04:52.022118	2013-08-04 02:05:02.416402	211		0
19610	10lsdnzkx1paa0odp49390ozgx	$2a$07$TZWNedOcBOXjcn/KjDKJmuNDE8Iqaf95xbnVdq90zH6p1Z4Fz1XMC	38	2013-08-04 02:04:52.0474	2013-08-04 02:05:02.549844	211		0
19611	10r16nsiniuv59nj4l95uwrauj	$2a$07$42t07OSvxR8Un6m7rt/lEulfS6wDlWgkRtMo7vGfWIJRmeko3eCoO	39	2013-08-04 02:04:52.072882	2013-08-04 02:05:02.760023	211		0
19612	108rtqbuimryuarqb2o7hlwm4q	$2a$07$QwpJucRFLkARr3GTeB1kkuHBS5VXGlugv5ZgqSXQ7bFUB5XOKP/OK	40	2013-08-04 02:04:52.101046	2013-08-04 02:05:03.037138	211		0
19613	108alumbzbgz1nvgr6dw35jad4	$2a$07$xKH1RWqG29r1Xi5v1luqWe.qrzKG5CHvbc2C7CDnKz75XsCQWflI6	41	2013-08-04 02:04:52.13573	2013-08-04 02:05:03.199454	211		0
19614	10ij5bq4zq7wu22l3i5fqmgwtj	$2a$07$iN8tBssJDQ7eLyHHY7hl9e32ATLLz/FDHYL50P2.Hd/g5uaYLkdHq	42	2013-08-04 02:04:52.158993	2013-08-04 02:05:03.372672	211		0
19615	10eapce3xkb32mxc12v1chj4kb	$2a$07$CehB.6.mClY/0YtoH.hSvOqAd5e9cUbF3emVnLxxZUkWF/djpF4Du	43	2013-08-04 02:04:52.182909	2013-08-04 02:05:06.002225	211		0
19616	108n0cbfomh0sz5yyike481oiw	$2a$07$0aR/aGQbB/l1dSUBhcMKnOZG1prF2exaLdvW05niLX6SnLhiOKXEu	44	2013-08-04 02:04:52.210496	2013-08-04 02:05:08.770967	211		0
19617	10em5a9p45qeduexua6rw0zdcr	$2a$07$LdOFi8xR.WlDrvdx.XeiCe/pjy7dc83z9p2gA7tBLqbOtWfBU6b7y	45	2013-08-04 02:04:52.241274	2013-08-04 02:05:11.528231	211		0
19618	101g6lbf1j09citlqevhog1yg2	$2a$07$C793XmMaBwGZsEN9t0d0X.BQNzBYdeSNvNipGy0diZsh1LM0qiTUG	46	2013-08-04 02:04:52.265549	2013-08-04 02:05:11.678514	211		0
19619	10b0zzn0u252ydu73brke6wu18	$2a$07$mvjCACl4OZwc8FOjOZ7JwOjQSl3rdnGGZulk4vtzzR1pRjr372XoW	47	2013-08-04 02:04:52.289388	2013-08-04 02:05:11.814493	211		0
19620	10mny0tiuq3jtposnhgkylns1s	$2a$07$6eiTRXzcZMpabskYrdN4qu6SEuKEo3PjCmcz1XUzp8cTwLoffCwge	48	2013-08-04 02:04:52.311584	2013-08-04 02:05:11.937114	211		0
19621	10qnwprfx7lfwfwl24hsvctnfq	$2a$07$OajDGG/xXmI9pkWItzAGnuONuPIGL8vUSeNratynxonCMjnEiBtL6	49	2013-08-04 02:04:52.3347	2013-08-04 02:05:12.048334	211		0
19622	103wlttsjv3jnkk1yvm8gb2emd	$2a$07$h2W7dp8HDBx5AVzcXMH.HOcvqOpick2ZYM8eour3R3XMeqyW7nzWC	50	2013-08-04 02:04:52.356329	2013-08-04 02:05:12.181875	211		0
19623	102xx5j6506zztncyzljgliws2	$2a$07$Hbzt2qGXUVepVNj5bmWif.SClZy0b1wriuK2vCYQgHrL8RXfS.zca	51	2013-08-04 02:04:52.377999	2013-08-04 02:05:12.322106	211		0
19624	107nl5c5zalcbj9e5i6vc4fnrt	$2a$07$a3fVc6PP86SOxvrjSjvXZuJcvAGlEYEs4gcgXep0jTUWYU/6FMfVi	52	2013-08-04 02:04:52.399584	2013-08-04 02:05:12.455366	211		0
19625	10co9lmaid0bfo43d5f8qpdr24	$2a$07$p55WfTgdsxOEHTOJsSDs7.MEZn9cxoLD5TGvm9WDCYdjSmSQG3..W	53	2013-08-04 02:04:52.421517	2013-08-04 02:05:12.592419	211		0
19626	10mao53eqjzpvjazbtlj77qoq0	$2a$07$2GYjzTyyT99rkM4z4eqjAumybCVlpRocKmjcGl6z29dxftpON52hi	54	2013-08-04 02:04:52.442997	2013-08-04 02:05:12.771828	211		0
19627	107igr5gkz97mx2zfgrhxgtl3e	$2a$07$nYQRRSUTZkbuEdwBigo1jOMFwzOQUSNMWJUetex7vXhAMBcEb5C5S	55	2013-08-04 02:04:52.465071	2013-08-04 02:05:12.918257	211		0
19628	10syatfkm4u9lu8rsw2nv91mfv	$2a$07$uPWb6yvrn3XdLyzjhQpWEuwJVxpC303rBtCynkCiXCqbHQ1RYaOU6	56	2013-08-04 02:04:52.486801	2013-08-04 02:05:13.054021	211		0
19629	108an8e5sue84ccykya2bgl0za	$2a$07$xv65RRqwtxOYiywDzUc7uO83DjEaORM/W6Up7UK/ZydiNPIVxjZLu	57	2013-08-04 02:04:52.509113	2013-08-04 02:05:13.183476	211		0
19630	10us0get80mb649cfwkk67twbr	$2a$07$KaYz7fttvueMrHhow9Pqt.GaM5mhMhfksxfcoYUssRzlrBBebhVQe	58	2013-08-04 02:04:52.533152	2013-08-04 02:05:13.311587	211		0
19631	10gkd7bvvfc3wn4tm1bjgku14p	$2a$07$0UkcEPu5VwWK7Bz1DkPrjui9RkZeH9H8Vw80A.CuPPYWIm.mJtuke	59	2013-08-04 02:04:52.557362	2013-08-04 02:05:13.457102	211		0
19632	10cu3asz2le42n8mw1er6hr2i2	$2a$07$KGM4/VjmapLi/VCXH56YweCNlvsMeYRi.SPxz/CCrbHgiDL8SNvKK	60	2013-08-04 02:04:52.579695	2013-08-04 02:05:13.606814	211		0
19633	10kvu8k464s7b621gzhzps57q1	$2a$07$SdHlE0enQ5ikptqogzj71.KrKOUPCNOEVTVF8vTmnexmNPhjWRpvW	61	2013-08-04 02:04:52.601014	2013-08-04 02:05:16.433919	211		0
19634	109fvrgs345ho0p5fn2gro3jjn	$2a$07$EEQfMO9V8gum7C8Zgc2MT.FNBrF9.K3YnIPkTYEyCkQoWbjurTamK	62	2013-08-04 02:04:52.623575	2013-08-04 02:05:19.744682	211		0
19635	102xrh0zbyg4ymz2hl4k27eg5p	$2a$07$6qKdan6yquiQKqrVu.JaCOCkfSgTyN4oOFkr/fm1i0XQqDlgRsGIK	63	2013-08-04 02:04:52.645267	2013-08-04 02:05:22.738924	211		0
19636	10q9nfz08dne6zuj8hw9l1asvj	$2a$07$X5bEMZJLVrBg5lvr6xVPcuvbiTYa7ICEiQgyl6tycEm4AoLjX1yBi	64	2013-08-04 02:04:52.666893	2013-08-04 02:05:22.86729	211		0
19637	10x1pv3s5vhj33rot2d1w5881w	$2a$07$4D0sWcYmBjJV4lamXlSQr.OYT734pBIeqGr0Nk5JJSz6Y6D9llnfW	65	2013-08-04 02:04:52.689652	2013-08-04 02:05:23.008471	211		0
19638	10mv2a91yaqidvs3xb87or79dh	$2a$07$OyoSSmcntNXNDutB1tQm/.c5ipa.5maZfBZ0ppuQqiUqoC/BkPqVG	66	2013-08-04 02:04:52.711329	2013-08-04 02:05:23.971573	211		0
19639	10dvnq6g26k732nntm4ew0gv80	$2a$07$ef0sczF7UDAOE.MCtczz8eioFU6tSqfGgb2aDEijEcdEkCgMUJGZy	67	2013-08-04 02:04:52.733091	2013-08-04 02:05:24.097205	211		0
19640	109j4zswuchk9rpy5rnqenjbaw	$2a$07$IauPcCiydRrwHSwu06XUvu1qfLpvbXkW11WLKGl0p9kyo.5LlLI2i	68	2013-08-04 02:04:52.756015	2013-08-04 02:05:24.204572	211		0
19641	100neqx602jjpsf6zgj1a9qyah	$2a$07$H4XEL.htPkFlesIW8tnZVe3UJXEDiFRvVrcnvPF/b1CCu3sM7lqmO	69	2013-08-04 02:04:52.777767	2013-08-04 02:05:24.346071	211		0
19642	10iqu6e5ezhdih66nc609ukqq8	$2a$07$MG5kn8AYGdXp1ukdg8CUje4OG8dTN4q/A9dAkC99iJolAfSyjkZgu	70	2013-08-04 02:04:52.799582	2013-08-04 02:05:24.505972	211		0
19643	10gci9ieam9zwxu66xfr8akxmt	$2a$07$1zkgf9cEVMoJhbhnSP/oGujhaN4CthMZyFqQBhwNgL2EIVfr8QPRu	71	2013-08-04 02:04:52.826236	2013-08-04 02:05:24.630863	211		0
19644	10dn7c5yw6bt3cl9wvbyfmflpe	$2a$07$kIA30F0vLeK5rTbw.F4FVOnVFtsd5uj1T2LKrwMvX7K3C8M7AAREK	72	2013-08-04 02:04:52.86011	2013-08-04 02:05:24.783224	211		0
19645	10kk0elzqf04812ekgagctpdo3	$2a$07$Fho/rSQxkbQl4kNXupTO1eZdv3CZ85go9TDX4YRpLJWF5SktCb7yq	73	2013-08-04 02:04:52.884827	2013-08-04 02:05:24.920328	211		0
19646	10pbxdu45sctoic7p4jrepthjx	$2a$07$RaIbKmhd0/ultTLKT2j.gejrM1FjhBy/Glrlmq95586IdW8O033ba	74	2013-08-04 02:04:52.915952	2013-08-04 02:05:25.116317	211		0
19647	10qkwb5yszf0s59syydu4ai3bz	$2a$07$qEBQblhsxWSivzoEoCmNiOltuFjTXTHhspKkSqfGlmxlXJSMes2bi	75	2013-08-04 02:04:52.944623	2013-08-04 02:05:25.260382	211		0
19648	10nsyietl5z7tyj1pe2arpd0bb	$2a$07$xMp39jt5uPjudlhTf1pcUuC12JblMhpote9sHrm08r.xxiPg9ciPO	76	2013-08-04 02:04:52.979951	2013-08-04 02:05:25.401608	211		0
19649	10hrq9fppv753b59xm7q3js8kd	$2a$07$2a398DoM/Si2Y9uSmR4yFO.yaQksD.K8nzDyShO5rK3Klp9s1ALaq	77	2013-08-04 02:04:53.004035	2013-08-04 02:05:25.540588	211		0
19650	10txie5gig7hc2m4drv85no80t	$2a$07$5.H0mobITpF1dNhWPY2Tou4a879Sp4ymFTHGaCaNzF0FORCcs2CaW	78	2013-08-04 02:04:53.034651	2013-08-04 02:05:27.983915	211		0
19651	10r6rxry5fcv6h801oj31bjvna	$2a$07$byyZN9G4XXqZSTF5kUvVj.44GyHeyrWlg6wniHvi4J83WptlP2lj2	79	2013-08-04 02:04:53.06073	2013-08-04 02:05:28.129242	211		0
19652	102h0bj6ylxahfhxit1piytrh7	$2a$07$eEaxsdvmXVQbk9otDcpJF.pCGbAqmkDwjCy6WMHgUcTGbKVLYAofq	80	2013-08-04 02:04:53.086016	2013-08-04 02:05:28.48451	211		0
19653	10wsjfn6dxy4tqtuw6068edxd6	$2a$07$JSmTp01GyAnLIdiRSqCySOySzgMEKQTiyJXnFe54ES7NxmM8HKPJu	81	2013-08-04 02:04:53.109774	2013-08-04 02:05:28.60067	211		0
19654	10l21sine7z0nfw2l6t8qy7pem	$2a$07$vPZFCr3HuR1lnp/ogitZxeYaUOXruc7CIvSTaDRhqrLWqlZh8cZAK	82	2013-08-04 02:04:53.133021	2013-08-04 02:05:28.726991	211		0
19655	10ohi905ypqqjec35uh9n9lmdx	$2a$07$9RadChKb96UdHLYbMTEhz.k3J5O7JzZgTAKO2FHJ39tFRYqNgJWru	83	2013-08-04 02:04:53.157701	2013-08-04 02:05:28.871806	211		0
19656	108d0v7jbd4tkb0l0nwtd5xdiq	$2a$07$a1dfNzhxVrGrzDawZNX8kOH1B9KKe/Onh8ngcLVbOXN2wbtuagP6y	84	2013-08-04 02:04:53.191931	2013-08-04 02:05:31.481952	211		0
19657	10arar58w50ele575625p9jk7t	$2a$07$BRTnZkzsaCWXs7PQ0pEr4uRvWp8Fc6OzSFPDTc37Rx0WkCB0a9u6m	85	2013-08-04 02:04:53.220496	2013-08-04 02:05:31.62051	211		0
19658	10ioimwjxs7ogklwrbtjdule5y	$2a$07$jJ5DEy3He8Ni1viAmPkd..SkLJ.zRX0hjetkcyFV8VTLHWKsk5YQS	86	2013-08-04 02:04:53.252288	2013-08-04 02:05:31.760428	211		0
19659	10eh4tisd164o5h9vogurpae7e	$2a$07$ngXPcTPu0EWzhwu3Ibc6COxXErPQV9A6UQcQy.tvpkwk2HUe/wyR2	87	2013-08-04 02:04:53.290538	2013-08-04 02:05:31.894171	211		0
19660	103vs3y4lqyyhr3kfx6fregqwn	$2a$07$q/hKdIWAJzz/EONe2t4S.O64uAH.B7pqFrTBaFt8ojm0BYYQMCF0q	88	2013-08-04 02:04:53.320338	2013-08-04 02:05:32.043018	211		0
19661	104gxtky5b1q8pgcbnwp7fszxr	$2a$07$wtGMf7XxOJO.zwlJfuyA2eoNS/XL9llBstNwhmoJvnFsoi/cWYhRy	89	2013-08-04 02:04:53.347856	2013-08-04 02:05:35.166061	211		0
19662	104cdsarzaxnktt76zrkz64lcb	$2a$07$Xguik7Lmgx3iTOD.73Nv8ubFpBJVoEr3pbaYC0XUXnLXTvA2fQwQq	90	2013-08-04 02:04:53.370695	2013-08-04 02:05:38.379871	211		0
19663	106f4onc3gpnuw4qkdabtc7kdj	$2a$07$srgTxxEyVHWzO.y9pK.jMuCtxMWwfkzusstq3QrdvIuS/UJzJtcBa	91	2013-08-04 02:04:53.393703	2013-08-04 02:05:38.496599	211		0
19664	10mk5g5bfzcaoo2e3tac76zs3z	$2a$07$BKaG6Fs3yflKM7/PNwYqW.rIujtKEz.Jutz2Q.bXQTqggK2.RhuZK	92	2013-08-04 02:04:53.415222	2013-08-04 02:05:38.632359	211		0
19665	10oef85lwl4xq9ede8ts7bi6ep	$2a$07$PPWkO/rb/4NdAZrSdDCCf.taF46EtnzycM1mfx2Gv9K8/VrLiX5g.	93	2013-08-04 02:04:53.437319	2013-08-04 02:05:38.769419	211		0
19666	10tn5ydg9exo9xdfpppgsgjhod	$2a$07$N.oXVWCn1N47hxShzDvw/eX8riPAY4q0DTTtbcX9SZshHi9oaqj6a	94	2013-08-04 02:04:53.45939	2013-08-04 02:05:38.883234	211		0
19667	10lwcufk3o85tsk8y5g646inhq	$2a$07$AnT3RdNtOxG9r1XsShcRy.mH/wqGghW46IPzKyta26Ch1Q33VT0X2	95	2013-08-04 02:04:53.48183	2013-08-04 02:05:38.990308	211		0
19668	10jws46t0uu6vm5jkaejld2v7y	$2a$07$tb4880cFtlu/wsajk7yIdOWR4zXuKYE1SXV2XpCau5.hS2eZ5gmUa	96	2013-08-04 02:04:53.504746	2013-08-04 02:05:39.112378	211		0
19669	10jzuvp28w9rxpf94tmk5654xx	$2a$07$giGYr8flOS.I0i7rRB/gAeJ8m8byqYeKUMF70JscFhphjquzHSHgO	97	2013-08-04 02:04:53.528873	2013-08-04 02:05:39.247187	211		0
19670	10cqm5dy5kezk17qwaucdi9w6f	$2a$07$HTa1WygLZhPJFmpPK1FlQu/cY8neuCPQfws5n5oO77.ftd03W18FW	98	2013-08-04 02:04:53.552218	2013-08-04 02:05:39.394274	211		0
19671	10vv5hglw1g78h1hu1r2345nv6	$2a$07$fzK6W4faTQT2qGO8tUN5PeLIBy1G5Ru8APYGe6X5UKqmpf4O/jW3a	99	2013-08-04 02:04:53.576003	2013-08-04 02:05:39.523285	211		0
19672	10ah6721f7l4v5nbk9ymgg09lg	$2a$07$R84uggRtYQW5N5daoX1hwOjl62DLwr3lXVC.MZa61k80YC8aHlO5K	100	2013-08-04 02:04:53.599599	2013-08-04 02:05:39.647561	211		0
19673	10kssen4ygqtlyvhtl61thz4r1	$2a$07$brVINB11KXR0FIXeaP3eK.r3/PX/Rq750r2xFfrLhP23cMcsarNZ.	101	2013-08-04 02:04:53.621623	2013-08-04 02:05:39.860232	211		0
19674	10ndo6opx780l3kqjyasoltopc	$2a$07$TPZrXR3gB9SmbM5jZgJWGO9QvllZFcT6Pniqp.lUnypotgpz5gYo6	102	2013-08-04 02:04:53.643323	2013-08-04 02:05:40.00422	211		0
19675	105rwv8zllq30uk4ma8olqoee1	$2a$07$3Ejni2i.4iyjhB.b6tSdOOGPmy7AXp5BWx0cJThAiiuNbsz.1yKla	103	2013-08-04 02:04:53.665061	2013-08-04 02:05:40.147429	211		0
19676	10qdh3zxohcelbnvypr9cawcko	$2a$07$uq7S/19E9FNMX3gChw42P.yW4wYUQW7Jkph4.UPM4s7PmCbbqelpq	104	2013-08-04 02:04:53.688321	2013-08-04 02:05:40.282932	211		0
19677	1058ws8bstuvuoilbg5cp7g11z	$2a$07$tW5lNaeZF2lIF1i0qJN/KOqMrO3ka6gIa.eqLZKMNXSDsqm0UjFQC	105	2013-08-04 02:04:53.710725	2013-08-04 02:05:40.457662	211		0
19678	10e98uglq0k56g44kds413qxw6	$2a$07$gcJfxihko7okviJ8398x6eFj3aoMRfwcm4GGgwpJ8ov4RbEBlXMii	106	2013-08-04 02:04:53.734591	2013-08-04 02:05:40.603307	211		0
19679	104y6l1cvv8awqrsm1bxl22g4f	$2a$07$DZ02/sntUFVzmYII82ylPefDefsV1Z08u2uYfqIPYxExVIA/e4xvW	107	2013-08-04 02:04:53.75851	2013-08-04 02:05:40.753959	211		0
19680	10fif5pq5pydqhempbwrl3un7y	$2a$07$8lbEN2Z2f4hglaZ4t5YG6egzJx8uYSkb5s.Kw2pzpcB.FcxZO1/KC	108	2013-08-04 02:04:53.79327	2013-08-04 02:05:40.903455	211		0
19681	10o62ut28jgegg9u0ugr93d6zv	$2a$07$SesYPTvVCSluduPixie8rOaQEdnikZTojw0yJKyf94fRCgYjXqsOe	109	2013-08-04 02:04:53.829517	2013-08-04 02:05:41.105935	211		0
19682	10yl1qpxc084dfi2r1ioer4arw	$2a$07$XSN9hdOyu5VMZdX7.lTHK.dOPRDxCnwStWrsDWHckcyXrWqwZlwz2	110	2013-08-04 02:04:53.858781	2013-08-04 02:05:41.246926	211		0
19683	108x6lcrwc0rru360fag2f73ny	$2a$07$a/Q.vr0q13D00n7HECu9jOF0NCFYlI0nQXE47FRPuiJPz1GVbbwGe	111	2013-08-04 02:04:53.880198	2013-08-04 02:05:41.38228	211		0
19684	10mhwdb3sr2a2tys77ai3jok9p	$2a$07$Uras.R8iTXyJe0FxvPZ7TeFgCIws9EX.nKX8slJNH0c7Iiy5TWwru	112	2013-08-04 02:04:53.901756	2013-08-04 02:05:41.514717	211		0
19685	108k0u86vj4xosfkd4mn5z7w1j	$2a$07$iSdtfHv6dCVp2w8uBQ6qIuJKVY2hF/vARSyP/HXYIZKLOw8A7HkjC	113	2013-08-04 02:04:53.923658	2013-08-04 02:05:43.948711	211		0
19686	10km6wfiqo9gnh71tnjjiqef6b	$2a$07$UAsuRKXbzIPqsvhe3deLgO4dZkOYcpJPNwMELzWc5ZMKn9FnQqG1u	114	2013-08-04 02:04:53.945274	2013-08-04 02:05:46.253714	211		0
19687	10ey1c41y278uc37vzilrv9687	$2a$07$sagjg.6ZYu9Q40t4SmW2Jeg6pzTPI5gvG4SDhdQF82hLtWabat1U.	115	2013-08-04 02:04:53.968331	2013-08-04 02:05:46.401112	211		0
19688	10587vxyes1vweh5k8hwx1ewr1	$2a$07$JpCq8BnZqUdcK1jmyljv9.NxlAAd.OlU.Uu0JVXXzlh0IP9qWssy2	116	2013-08-04 02:04:53.9912	2013-08-04 02:05:46.548211	211		0
19689	104pyd97ke8lpv4jzht5ishnck	$2a$07$n8kQUXpuksEgPZG/kMn4jeun0abNLDDtpzz69DGsxD1vPqrJs3Nre	117	2013-08-04 02:04:54.012848	2013-08-04 02:05:46.686749	211		0
19690	10c0buw74djboogyvn0uz39brx	$2a$07$YzB1oWMvBCp8nwN6wzBRB.aHy0AYgy4l5aU0ZQJBvTp9A4yKSiL9.	118	2013-08-04 02:04:54.03594	2013-08-04 02:05:46.822318	211		0
19691	10vf9opgnac9od8htlcnf6lc4d	$2a$07$TL.cYbF8MGYayyCYPH5CleHELWCgPba2HlrkKWzfrOtQkJui5uj7m	119	2013-08-04 02:04:54.058398	2013-08-04 02:05:46.955864	211		0
19692	10yavkma5n2ttstzte6ty8edzp	$2a$07$BVHP0aLLY7RMGoe3D6JI.ezQnLRJ98IJb6xhS8WDzh4spNUr85mve	120	2013-08-04 02:04:54.07995	2013-08-04 02:05:47.074902	211		0
19693	10qpbv9r4p2x59h6n7bjhb51r3	$2a$07$TxEPJMX2KnoV9nloSk9zsekLZAV5cbG4BLVnJ.4HoQzrlqDX0CIly	121	2013-08-04 02:04:54.103623	2013-08-04 02:05:47.220778	211		0
19694	10ogzbpb0e82ix2l0cd1p3eu1z	$2a$07$aHi54PVFNEBD1nSSibQbTuYFHNSvA7MmkHWkCV3prhtBAj18Vso0e	122	2013-08-04 02:04:54.128909	2013-08-04 02:05:47.362795	211		0
19695	10hl1y1m0ea3mqd2wkadhy1o5s	$2a$07$5xkgOqfXtfjra2BQZx9pwuQ3H6k4s/xcwKuahXLPIeCOGz16hrno.	123	2013-08-04 02:04:54.164327	2013-08-04 02:05:50.193953	211		0
19696	1081nhcnuwobpekulehrngtanr	$2a$07$e0ElgtUNjuTlxR4lIc/kXO5LdwK0dkuUjm1N3zZphofCLAj1jAMfm	124	2013-08-04 02:04:54.192368	2013-08-04 02:05:53.422954	211		0
19697	10s97hroafo1t8kdj4k1waaum8	$2a$07$awim3veQIhmbVX8oXObx6.vV6geo9javzYRHVJilef0nmy.OfJI/K	125	2013-08-04 02:04:54.214819	2013-08-04 02:05:53.555587	211		0
19698	105au82b2ui8uxwk9jzdj3f89f	$2a$07$/eVOU4SgY8Jl1XKR04YLg.4CBEdWKbH5dKzd967Zrpc9YK8NI9Ccq	126	2013-08-04 02:04:54.236568	2013-08-04 02:05:53.693583	211		0
22345	10ashqej6zzmh07g1xpf635boh	$2a$07$/dNOQVpYv8kjVvi.J7lxO.PpyaKwzRRpw9Zkgtnf8DItJP5mh8wUS	1	2013-08-04 17:50:54.079356	2013-08-04 17:50:57.330223	233		0
22346	10pw1xjbdumx7i41ucsvk0h981	$2a$07$dp1KoGh69b7U4vjqbDy1/ua.bS1Jbrj.oBjZqAuJH8.jtEM8wXhPm	2	2013-08-04 17:50:54.104447	2013-08-04 17:50:57.47984	233		0
22347	10ijzpvq9309wwmhb8uou5p8cp	$2a$07$8Nx/xvvxk0K81z60jCI.Y.oggrhIHe7Rf6CjChNzhzpRT08eHtiPO	3	2013-08-04 17:50:54.129441	2013-08-04 17:50:57.621232	233		0
22348	10uyay9y7vgibtnag02jrsbi4j	$2a$07$ZZvFNAfNuoN.gKhZJyqZPuaUVyO2RZdr/3x51qzcVtlsgOPgte/aG	4	2013-08-04 17:50:54.153196	2013-08-04 17:50:57.750258	233		0
22349	10iio660n1spb1tymod53yq1b1	$2a$07$rz0Cz5VZYEgIvCB0Gwg3uOVjoTzTOd74w1ozYwx.m7mAv9jr47uFS	5	2013-08-04 17:50:54.178148	2013-08-04 17:50:57.887146	233		0
22350	10g38lwspzvam8z7tjm2703h6i	$2a$07$r0Zk9bx.Z/9FtS3UCaXz7elQD562P21yzMgK84z06jbinNUCG5mbi	6	2013-08-04 17:50:54.201863	2013-08-04 17:50:58.012034	233		0
22351	10knkvimtfg7wle1y5d5h9r0hc	$2a$07$UfLhOGU5P6RNkLPtQiSErerb9ldpEMNcDjZFnwp.BsuMXEEnA0o7e	7	2013-08-04 17:50:54.224435	2013-08-04 17:50:58.153557	233		0
22352	10gnyr6nqeuy87o5nz963wxnf3	$2a$07$kizdWyJCaQSHTbrOZ7XM2u7mHkA6hmiLDdkLnhcsY6Ex3LJqBWTAq	8	2013-08-04 17:50:54.248561	2013-08-04 17:50:58.280831	233		0
22353	10cw8yu2mqmazfjnx1dd2qqnfw	$2a$07$Aj14aSCTEjrVq0iZOjfA9emjH61gdQni1/SVpQALbi35Ymlw50YmG	9	2013-08-04 17:50:54.270832	2013-08-04 17:50:58.421493	233		0
22354	10y9ehomsyniky15a0re2p3c3v	$2a$07$IXWWMflUBcUlbM/kQVVkL.nyGb4FWQbRyxh1CPINn5B8QK.IdNqMe	10	2013-08-04 17:50:54.292219	2013-08-04 17:50:58.563021	233		0
22355	1071mqplothg46f95xdftbpz7v	$2a$07$Fplt4h5vh3UkroR8sjaBa.MzWjLcskEBPSR.7Jct5.1QOdriy8wvi	11	2013-08-04 17:50:54.314335	2013-08-04 17:50:58.70272	233		0
22356	10yl8p4ml24si3h04vu277xo3q	$2a$07$dDe1aAT/i4jr..U.T4MoeehBWnWas2w4ybOM7/0dNIm5Ysml1YOEe	12	2013-08-04 17:50:54.337489	2013-08-04 17:50:58.850184	233		0
22357	10yjpt35rcoenr26qidi805zki	$2a$07$56U.e0hVL3jYpsI8i.4REeiOgoUocHEHykTNwm6.N.wqZviMyllTu	13	2013-08-04 17:50:54.36149	2013-08-04 17:50:58.995481	233		0
22358	10rso7qoyykjb2tdo1adob0621	$2a$07$cZam4rQs3K0/5plJmYkDMu4qyYoTKp3WFzCsDM.Coj86SxFC5Hmc2	14	2013-08-04 17:50:54.391726	2013-08-04 17:50:59.137501	233		0
22359	10cu7ponfkbnqeeg9k63nlcfm1	$2a$07$Dh7g3CG6NvQDLtzsAUM6Fe./VUTFVH8qal52W2P2SXKc5D96H0vaC	15	2013-08-04 17:50:54.424298	2013-08-04 17:50:59.268345	233		0
22360	10ce1yxz2ilrfkfglarrr5zfga	$2a$07$LGBHK77s1txdVlw5JPvhFOTVtRDOmXZYuk8V6hWI1kzIVi/ziR98.	16	2013-08-04 17:50:54.447213	2013-08-04 17:50:59.416483	233		0
22361	10q7u73o8yyd7u4e40f3awx0bw	$2a$07$DgFaHg1BNwuBlMy9z5OkKuIwBro37mnerelK/hAczZXX040/2003S	17	2013-08-04 17:50:54.471863	2013-08-04 17:50:59.569988	233		0
22362	10ngqis9uk4966uo0gm52ad89j	$2a$07$IE52a1rp3j8vCi/5vYa6gOSB1sgxxUD9deLeHs.qCC2hPwRI616Pm	18	2013-08-04 17:50:54.495907	2013-08-04 17:50:59.735142	233		0
22363	10stvxxxwcdr4qxzri3qnantw0	$2a$07$rz6B6K4xF8t05f3kFmGZw.DSHxZLib2Xj1EVEZ6AVA9R4k1NUXO1O	19	2013-08-04 17:50:54.519949	2013-08-04 17:50:59.879585	233		0
22364	10ohlgs2k9j9g65iwxuvjq7436	$2a$07$6bLUv7xDchEDcBDVVSsQgexEPgVAT.dyEFLJLCE5lvCrhUE0lr41C	20	2013-08-04 17:50:54.555041	2013-08-04 17:51:00.022668	233		0
22365	1014cktycyhterlhfqpj6jc8a9	$2a$07$fzEmBzQLK9Ky/vflGnLuy.AQiaSTwtfIkMJvYe/8Qat7oQSV/9Eka	21	2013-08-04 17:50:54.576627	2013-08-04 17:51:00.123715	233		0
22366	10wslhxlw3mf1fi0e8pg3g3yya	$2a$07$imwTApJUXOGF/L9RwnkhveqFnb2ScrEnBnO9YNqd3bsWjDPUIzD36	22	2013-08-04 17:50:54.598365	2013-08-04 17:51:00.243068	233		0
22367	10syuz1x9ubtxru9t6g5gpcu9l	$2a$07$0Q2/1RbSvFVeuFDXaf/W6eROzzIKKNsfKV9QaAvSPATcrvCbGXGrq	23	2013-08-04 17:50:54.620003	2013-08-04 17:51:00.378491	233		0
22368	107jd1ner5q5x349uyy4bh3r0n	$2a$07$KOMTqRRFsoJhkUn93wenc.s.V5KDzm4P24SfHudjT.VXSOMZGFHQC	24	2013-08-04 17:50:54.642865	2013-08-04 17:51:00.539415	233		0
22369	10brogcp0tsgoh6eqz43pdhotn	$2a$07$a8.OFqc/IyO4XBQI2Xp.p.VSua9bNSzRx3ArQ5NTKElYiUBPG0MQi	25	2013-08-04 17:50:54.664669	2013-08-04 17:51:00.687074	233		0
22370	10yy8txbeat5v0vcgf97sjarjr	$2a$07$KbcQu3N3wOyH/xBj3D7g/.Q5WyeatSjxqtlrR3ArnhfkLD33NuntO	26	2013-08-04 17:50:54.686331	2013-08-04 17:51:00.798013	233		0
22371	10vq1c36srt6e73w2vi5ps9n4q	$2a$07$0ZDLAjsQS8WqkbTvfvffouPNRcP35X6rbR8SvFP/euLr.eaU3G1Ga	27	2013-08-04 17:50:54.708326	2013-08-04 17:51:00.923996	233		0
22372	10birb3dvhbv041cumm58xfrdl	$2a$07$LHh2sl7SlcoqUJy6th10jeIKhAC6O18.WWCnfYIcx.itvHShj6DMG	28	2013-08-04 17:50:54.729836	2013-08-04 17:51:01.059547	233		0
22373	104ilz0bs4sljipkvq3ezunn08	$2a$07$qjsd.TrSzFpIB3MYEcWuN.VFbEtSEhQOAYwK0q/3FwuBE/useArDe	29	2013-08-04 17:50:54.751277	2013-08-04 17:51:01.206354	233		0
22374	10nwvgfgahshof864v70g5mjy0	$2a$07$l0uoLeG5MV0i7S3VI4Frw.KdqxWXkxuO5jq8//BGxQrTuG5UZ01tW	30	2013-08-04 17:50:54.772777	2013-08-04 17:51:01.330028	233		0
22375	108fubub0lm76l5gwo85n21pdw	$2a$07$2iVfcEuIbAsC7ldHsRRwduJHD/O1.84/Jwg5jqpKeAPcK8QvPiovO	31	2013-08-04 17:50:54.794419	2013-08-04 17:51:01.456058	233		0
22376	10phdmogu80pwjhnmv69c1fwao	$2a$07$OsWPdPqSIPydCdqsh1yPrOWJE3P.oq1hm2vohjaIjXCrlZEQPecAO	32	2013-08-04 17:50:54.81758	2013-08-04 17:51:01.588395	233		0
22377	101dvs196s9xu4rba6qtfusuft	$2a$07$JHQAgAkmM/L0tiSdUv.Ty..BSz9cC6uE49wU/9sxtmMsETaq37AaG	33	2013-08-04 17:50:54.840746	2013-08-04 17:51:01.729468	233		0
22378	10rh1l7pm6cby8fw7oyrbs0jv5	$2a$07$DyNb227AL1Cqd3nNqaf3OOFaom/J3YFHf5ff1spKnxFb1Ipy1tO.q	34	2013-08-04 17:50:54.86496	2013-08-04 17:51:01.853819	233		0
22379	10lsnh4xzp1uqghbhh99i0c48a	$2a$07$5UOLrhvjqY6bzzxFuOUyN.EUYISVJrIZ6n9ll.HmeyTI9STTgEgoO	35	2013-08-04 17:50:54.887663	2013-08-04 17:51:01.98634	233		0
22380	10qo9w2di7v1p56fcfdqfg9tdc	$2a$07$i06FcMMfn3aDI0F84c/dA.C7czqEoaneOBWqixoBf8Xp.Nxj5VDO.	36	2013-08-04 17:50:54.910768	2013-08-04 17:51:02.126853	233		0
22381	10qpccgd1ye2iwfg8ryhiwxwgm	$2a$07$BQdi7Evaez.suDcbA0Tpauk6ZLYoJSvJtxdWRJend5lID9VPVQtG.	37	2013-08-04 17:50:54.934815	2013-08-04 17:51:02.264176	233		0
22382	10qdio1mpo7qhjmrgji03s5cl8	$2a$07$vyPTdzv7hVuKp8aIalgJIOrQ9ErQvgdpxL8RHOZpC0CaNtGD0JFk.	38	2013-08-04 17:50:54.969703	2013-08-04 17:51:02.393261	233		0
22383	10cx97n2ej46qetuavoli9bgdm	$2a$07$PN6fxSi7F3wbxxX8qYTxoO/G/Fk9P4D1Iaz6SLVpddihk80Vb.Z5i	39	2013-08-04 17:50:55.00656	2013-08-04 17:51:02.531011	233		0
22384	102uw3ooook9kejrpqzs8nf93x	$2a$07$bBu34QwMAst0Yrn912l6/OuA9o9OEzfcVWTB.LX3vaSmAqaGZpfG2	40	2013-08-04 17:50:55.029793	2013-08-04 17:51:02.647161	233		0
22385	10m5fxq2jsx3o9a2oqmpdqkdk2	$2a$07$xAJGbsmDBNJeMmR07smUAuBC88chVRVE/URnNT.MuQqJOfxYxfDtm	41	2013-08-04 17:50:55.062219	2013-08-04 17:51:02.752139	233		0
22386	10mqcbqxivvd36iq4ukl72sow6	$2a$07$JE/wMpgfCD1VeHRTWkGO6u7PU9nxhQeROlPUxGVNsi7DJ.ECG2QIG	42	2013-08-04 17:50:55.100495	2013-08-04 17:51:02.882854	233		0
22387	104m0c2berh3rrolv5pmis7zb8	$2a$07$8dGsuRERYv1dCxEOPJTEfeH8n98lXUwySDPUthIl7LJ6I.6j8oFiK	43	2013-08-04 17:50:55.124269	2013-08-04 17:51:03.00233	233		0
22388	10r22l0eiztlm8buu3ovqrv8fk	$2a$07$K9Lac6I6OBGNrDS7uqr/Ou4SZ27iYvu6BGOdnSw/LITVYq/fdsukC	44	2013-08-04 17:50:55.149292	2013-08-04 17:51:03.128202	233		0
22389	107uvrtj1898kcx6rlwwnn57d4	$2a$07$bwaieaTvmdFikUqleAaG7OUBq5rl.PpOwF8/jHcVuePA5ysuwvCD.	45	2013-08-04 17:50:55.172891	2013-08-04 17:51:03.258552	233		0
22390	10r7cbxlkukj3ugk82kyg9xv5e	$2a$07$OEEERkgdzpqRuqJ8xEmmfeBhlft.YC3MKaNWNXKVSaQRUJiRuICpy	46	2013-08-04 17:50:55.197905	2013-08-04 17:51:03.401291	233		0
22391	10n7qkfu1kgmxg4qgg5m1p8b6w	$2a$07$bRy0jS0t5y0SbhZjF6Rr4eNsOxSCTNQ1eozaM4Diuu3nf0k4LhSHK	47	2013-08-04 17:50:55.23022	2013-08-04 17:51:03.525113	233		0
22392	10axvifednm5ccfdq7m9ut0rix	$2a$07$TFpGjHasrdXuXgGogh5weeL3a96P18jJwg929NVSLoL4la29N0Myi	48	2013-08-04 17:50:55.259606	2013-08-04 17:51:03.672224	233		0
22393	10x7k1t8ouf0ggjm9c1upzjcc6	$2a$07$OcOH4VLc17wk/tVPrjjUsO1.alLTYhzauu6yiYxX.QyprG/agNCge	49	2013-08-04 17:50:55.282922	2013-08-04 17:51:03.911913	233		0
22394	10pz4cyhebqqhvbgji2nlpzod8	$2a$07$Jz42YQtSEU1rObzaEaS95eCFzlkxN3.pfRryd9DN2msjV0VhR0Plu	50	2013-08-04 17:50:55.307707	2013-08-04 17:51:04.132844	233		0
22395	104o5wnsrr8v5bnb7hsm8o482k	$2a$07$1PRrnkdY5eWNz1cLjJSrJe/qKNkxIc6D8tfNJYQmmeGLhU3KhOAra	51	2013-08-04 17:50:55.341854	2013-08-04 17:51:04.27957	233		0
22396	10vdekmlf6em0c2kgxpm26plsb	$2a$07$UMhPA6heyDKReHDaCXVLyOcEmHGIybfBq/4V9nl2UiwkHXw9TRyvG	52	2013-08-04 17:50:55.368653	2013-08-04 17:51:04.482951	233		0
22397	10e8j3g48fvb1w13tk2ws0pw8d	$2a$07$OTWkOQSQQb8WhWmIrxcHxe9OSlvG2QUoicA.6MGLgoJmloI1TvYKS	53	2013-08-04 17:50:55.390319	2013-08-04 17:51:04.646053	233		0
22398	10cdmx6ym3hm2nkhz33z4f0waq	$2a$07$rn8es.FDEk2lWPwBkMbdtuWyCl0ihdadIS1kUrlDo9AK4Lq27YpLm	54	2013-08-04 17:50:55.413297	2013-08-04 17:51:04.79142	233		0
22399	10cuibz6oqkqpyxz3kqvxtzzdc	$2a$07$rZMGXBfwngRC3Oc6o45SheB0ARd8fBxAevVqtDD6uY96ig6ep.QU2	55	2013-08-04 17:50:55.445532	2013-08-04 17:51:04.93288	233		0
22400	1095wcvq8mpcwnhg1iru8v95s7	$2a$07$ji8aRnBoYyjjnEifN4x1OOd5j4tMQuMWTyIHG/Iturdg1M5.8p.XK	56	2013-08-04 17:50:55.479401	2013-08-04 17:51:05.079586	233		0
22401	105dvb8ffo8vner5ypw5qwe3dp	$2a$07$1liXpGF8nU93wFCPP7q6H.l1I9.DberjRYa3FPr345fHfj9KhvU7W	57	2013-08-04 17:50:55.502789	2013-08-04 17:51:05.215636	233		0
22402	10wd7t469khy7a15jo0r4vbvn3	$2a$07$zf9haFbFWEFgFn/l0GDhZuqBLIQfwrdarA9hlwQkPpTXuzrOxoXj.	58	2013-08-04 17:50:55.526844	2013-08-04 17:51:08.197748	233		0
22403	103i9bj610ct6vs43v1lqvn3lz	$2a$07$kiLoKJzknTiDJsJ4G3YDq.R3qJ7yYWoZZsQKFasOFCc6nSrPQYNSS	59	2013-08-04 17:50:55.551305	2013-08-04 17:51:11.688665	233		0
22404	10a27es7syqqp5mnezvxjhhf0w	$2a$07$iXhvpacoKzRknwX0VjpHOe0eEbDyBh8cUDxzuoG2GXJ0hSgHD7ih6	60	2013-08-04 17:50:55.586357	2013-08-04 17:51:14.515143	233		0
22405	10kjjczow2tzfzw7pqf7hhwozi	$2a$07$NzCP2GE7pKmNgF5lewUHj.jXW8jwdWtXUivrJ2gpT5zEjwbbMthJa	61	2013-08-04 17:50:55.609301	2013-08-04 17:51:17.257011	233		0
22406	1074rc5c5ksp0y9j1j8ofzwgkw	$2a$07$rX0lqnN6dLpyXdKdf4rusufoMXjSZdUboC27fu.vglJ167v2TOhtu	62	2013-08-04 17:50:55.631939	2013-08-04 17:51:20.272168	233		0
22407	10wysz1uyfp9wv9mv17u4w4k4t	$2a$07$ZZ/BUon2aUHosdSGqAhEHeCthkGmdNq5cr6E6BwGcTtWvj7jsrP2q	63	2013-08-04 17:50:55.655528	2013-08-04 17:51:23.566638	233		0
22408	1050gqk3ook3rnpj0utis2fp86	$2a$07$6HAYFglJe2nL2hCvVgbg8ulgqfPlLv00sef8stUsfbDSHw5KfkYgi	64	2013-08-04 17:50:55.677492	2013-08-04 17:51:23.714259	233		0
22409	10kb8wec9qveswkdmqp1vav6f8	$2a$07$unwCLTnZOOBChsidNbeXV.C96OcSrjM2Ss.ZhpU3PypNQkE2Wp0La	65	2013-08-04 17:50:55.700443	2013-08-04 17:51:23.85335	233		0
22410	10lhmw9nbmag7geqzpenurr1ms	$2a$07$HrvXyVhtm1VglIdfePu4ouku081Sy5KqdKpxiIXJE96bAF0yZJmNC	66	2013-08-04 17:50:55.72308	2013-08-04 17:51:24.00025	233		0
22411	10xszm7069ds28zxlv1ftmmiv9	$2a$07$GqXKTHMT1rGfrhUvt4RiduMt6NrdZcwG00exVQI2O.sWJFbP53Coa	67	2013-08-04 17:50:55.745087	2013-08-04 17:51:24.132387	233		0
22412	109wxq9jyutm6gcidzwa9kfl1y	$2a$07$pI6ULru5bhLDk9fwd07qMOTed7NzuG.mDONGmZ53IPr0QS4vkWwki	68	2013-08-04 17:50:55.766793	2013-08-04 17:51:24.275801	233		0
22413	101msqwqo7yweycgg6yzjqta7b	$2a$07$SB9Z.UA8eaUbyV8emm5W8eox53a63g5kdFlnAiUrmyIUuyUVyfytS	69	2013-08-04 17:50:55.789281	2013-08-04 17:51:24.415911	233		0
19699	10616s98t7lwsha9kedp6jdx75	$2a$07$yfaua479ayFwNaouc2PlR.7pcgAOdMVNcbU6HhT4lrFj36EbY91xW	1	2013-08-04 02:09:51.095867	2013-08-04 02:09:54.272548	212		0
19700	10jd4ahqhw6icwsg2jcv0va6zz	$2a$07$MlKWWmTqbqTtkQalKaxSFu4Vf/YLryoomo5NCaTx8vvZ5WAASbZ1q	2	2013-08-04 02:09:51.117811	2013-08-04 02:09:54.395894	212		0
19701	10e9saj6t2f7cklmsdh0affi08	$2a$07$euT16l67A8YknO8CnFXrE.eOCqZzwyUxbm1ZmiWd2FVfIZ5/SwclO	3	2013-08-04 02:09:51.139129	2013-08-04 02:09:54.521541	212		0
19702	109hhjyj30x4uqdm1cevucu0mr	$2a$07$yTc9L/ip/L5ExNWcmr4B6.ZmLfQhKWUsCgAByUI/M/BEwi0OSe55i	4	2013-08-04 02:09:51.160587	2013-08-04 02:09:54.648155	212		0
19703	10cs1p97q9uts98pq9mpjqujqu	$2a$07$lNj4j.vuEYJtG9tITuA6g.faE5gmBwOye6zfbazAm.SmvK2Abcu1a	5	2013-08-04 02:09:51.182407	2013-08-04 02:09:54.791284	212		0
19704	104ku6r80n0kh6s382yuexwybp	$2a$07$aViR6Q085zQOQC0qUddywebmTHEgs525ShHTznXMaHgXb8VygKpUe	6	2013-08-04 02:09:51.204622	2013-08-04 02:09:54.942299	212		0
19705	101wj2w5lsotyb8h1zyz1oqust	$2a$07$aT.xzl..4GmKyEQt3OEzgeRg0HVcUNy.kc5FV08DQEJ2bUEsuiRdq	7	2013-08-04 02:09:51.227248	2013-08-04 02:09:55.895	212		0
19706	10as93ezgvokq231bqv2dknkba	$2a$07$V8dDm5yQ9GeSyVUe2mPr0.Kai/orbdq/F09T85vSvAThGUCEps5ea	8	2013-08-04 02:09:51.248865	2013-08-04 02:09:57.098627	212		0
19707	10xt6e4hem79aht4v1mowg10d4	$2a$07$zuVVeAhNINTuTK1OmUgmb.Ge0WAH22UKaM6E49y0lRVzEMs8FeR8e	9	2013-08-04 02:09:51.274182	2013-08-04 02:09:58.023487	212		0
19708	10m6ovh15g6o1vpa77d8i6abj5	$2a$07$fb9KaOb0mG4kssvk.DEA5.fD/JBzdFiTE3owJuYSQJbycHQpYMkMW	10	2013-08-04 02:09:51.300755	2013-08-04 02:09:58.15816	212		0
19709	101arh939k66yqsd2ma4gf4fok	$2a$07$asoPvQe6hLH5GLCkSOL99O9e4jp7jIBDyAdPiAk.m/9yrEn9r4CNO	11	2013-08-04 02:09:51.323175	2013-08-04 02:09:58.292003	212		0
19710	10165r37by7n2cfafdu2zq6ei6	$2a$07$De6cP2gTyao4ugghmy6amO1x1tBYkqH2Tu6wUxpr329hu.mjg9pNW	12	2013-08-04 02:09:51.344806	2013-08-04 02:09:58.425699	212		0
19711	106hzn2scpmjfsg0yrylo6uw21	$2a$07$AOEMyfdnVdbD4Xn5UzIlg.WEmXShYLAV/V/yAwRmQPAyWq8YRn9Nq	13	2013-08-04 02:09:51.366744	2013-08-04 02:09:58.543987	212		0
19712	10d3gk9h6rt9szvglyu1rwtyu9	$2a$07$xSiM30tahfVR08jzinjIx.TzDnKA.QRkdkj/VeaDJIqkkh1djC3iK	14	2013-08-04 02:09:51.391177	2013-08-04 02:09:58.675283	212		0
19713	10hy7rek79yylqvur1p9vdq9h5	$2a$07$.cyGsBxiPlxzEfVe66pHmuzbCzHBuFjEaVrcsb4ky6TffAy/vMF1i	15	2013-08-04 02:09:51.41564	2013-08-04 02:09:58.8055	212		0
19714	10bqfy2p7jmiomepmcqg1dkgky	$2a$07$sz0h0Ecro1HmpeWNItnpT.R0Ze9zm2Cu/ldWpBQuSiPUjbgeQItr.	16	2013-08-04 02:09:51.45044	2013-08-04 02:09:59.052625	212		0
19715	10p7etehwv0yy7iuw4nytbwkyv	$2a$07$EN.7tMyBz9Lgkwf5eZbJ0.yE5yrO4XdaEMtrvcafK57oJPmPWE4Gm	17	2013-08-04 02:09:51.472078	2013-08-04 02:09:59.183501	212		0
19716	10gxn7y8plkye3k93v29tnks6g	$2a$07$.CB2dHNZmiXNdQ2ggYP30eHSwOJl3PU7XjxLYUGfLmp2RZ8u6SZoW	18	2013-08-04 02:09:51.493706	2013-08-04 02:09:59.363607	212		0
19717	10mhic9tpy4bh0h2td2hddgo48	$2a$07$hjN9RiXtv0zKFR1E62RgpuLYtIAvFXmiF3mO.QQYE7KJPgBZrc2gK	19	2013-08-04 02:09:51.516966	2013-08-04 02:09:59.497159	212		0
19718	10dek1irdl4ryg7scwdofm14rb	$2a$07$TkjCuiksQx/6fUpJjmLbP.AnqAkExjlZuVKxlfDSbTmyoSI127Swa	20	2013-08-04 02:09:51.541581	2013-08-04 02:09:59.608755	212		0
19719	10oyev04azcrlipgp0jpa4kcgi	$2a$07$uo4riqyD87AK6JJoW8M/fefMgITzIfwE2icYwNr2fYeTtcsmKlGNO	21	2013-08-04 02:09:51.573776	2013-08-04 02:09:59.740235	212		0
19720	108unnxs7v8lsk0muoxgme294e	$2a$07$nhYyKMtyk1cp/6LpU3DVnu46sgmzYmvU0KSlW0e/j.9BeCPAzFjPe	22	2013-08-04 02:09:51.60592	2013-08-04 02:09:59.869477	212		0
19721	10n7mvpdf96ntsqwl2nwgselsh	$2a$07$w9dLa6FMW3NXVNsBjjPUn.m0pVT9/4If37rVPWo5zlNducblVLzUu	23	2013-08-04 02:09:51.641723	2013-08-04 02:10:00.005605	212		0
19722	106a3rvgyha5okbdr3aqcv42aj	$2a$07$DO9TkX/Jl8Ik4KyZ7Fz2NeLOzkcPsePA54PQfjGHJ229pN4VDCaZa	24	2013-08-04 02:09:51.663634	2013-08-04 02:10:00.138431	212		0
19723	10pyaccmjqu98k7jn8xdmbv8s2	$2a$07$TRPO2ejlb7.h1v0HaP.1JuJX2.sCObskMQlT1NTEeZhOU9KRJz95m	25	2013-08-04 02:09:51.688351	2013-08-04 02:10:00.551606	212		0
19724	10mbalux69bjt3fd1yyb0ies0c	$2a$07$/D1EAB9ySPsQ.tIwFHf1S..lNJWtuVOc5Bm9ZSPRL3mL6phbMuHqi	26	2013-08-04 02:09:51.724946	2013-08-04 02:10:00.739079	212		0
19725	10a35tf9cbe5ersdb2cnrk8hqn	$2a$07$aFun1N9.Q9.ZkQRErHHkSuuBUFSRJQXisVoaUElsXA3CJ10CqLvbW	27	2013-08-04 02:09:51.762536	2013-08-04 02:10:00.98467	212		0
19726	10ftnwnm3bojgydqx5uu4w3ddw	$2a$07$V/O7AH75d8oAd.thgITmD.1Mu2BADSBll94mvkA1nFnCjSBXUIqbq	28	2013-08-04 02:09:51.801094	2013-08-04 02:10:01.122237	212		0
19727	10ahle5ojg7mn8jloxp35vof4f	$2a$07$t3E5UQ.q4EU/6KzyK0gpG.zDodgqmrt0GxJQquxj8VuSZSZTHDhbe	29	2013-08-04 02:09:51.825054	2013-08-04 02:10:01.255689	212		0
19728	10zrwao0a577dwhb742lzwypz5	$2a$07$IYtA/OpphihuB9wsZvhxkucpoWxh7mX3jYzj/NkFMdiuHTJdN2sQ2	30	2013-08-04 02:09:51.84989	2013-08-04 02:10:01.386076	212		0
19729	10uersgcqf1i300li102mnev8t	$2a$07$3nrSKmQzUU6X8.pVGambhuhVuIwjEGUxioy8/hgik0jKxYJcJdT4a	31	2013-08-04 02:09:51.875676	2013-08-04 02:10:01.53219	212		0
19730	10x7a16qs8k62hem8xeee0zvjp	$2a$07$P58W/V6LoewyU0OJFI00OejriTaZRLOaRaLPgxJjFMRtv/iMeoUBC	32	2013-08-04 02:09:51.911936	2013-08-04 02:10:01.672992	212		0
19731	10k7jpc4c16qde60simzmxop9f	$2a$07$8N4ty/OIm.XzU3Con1DI3uWc5cKk/wZd5bYWomu5F/T8d4aBZNv4S	33	2013-08-04 02:09:51.936081	2013-08-04 02:10:01.843002	212		0
19732	10h5p0sra9ds7ypb7eklppq4bo	$2a$07$OL49kc7E.LqKBRw42cZ0vekRKknUWIgZCbZdq1tVEOkXb8rhsaDJO	34	2013-08-04 02:09:51.967147	2013-08-04 02:10:01.993595	212		0
19733	10wzdyqdlr56t2workavx69mnm	$2a$07$xJcM6QjTXLj/jfs/kFJohOTbtVMXBMpA23WDkPEAliygcmqMg11wO	35	2013-08-04 02:09:51.990114	2013-08-04 02:10:02.143971	212		0
19734	109e77rzickba43h15kp8j3e9y	$2a$07$01lLRoSootBmErc6kU7u8.O6hihR7z7JE0jNngz4jVcJbPOVnVzEm	36	2013-08-04 02:09:52.015639	2013-08-04 02:10:02.293673	212		0
19735	10r933hvywcc9hidoncfithsdi	$2a$07$AnFXPlVzghE5fk1UfsMTCeZ45m.p1SAhMf4Txh.XL5EkE29zZJDDW	37	2013-08-04 02:09:52.039503	2013-08-04 02:10:02.438693	212		0
19736	10umgmpq6bv12cbz0mgwybj1ob	$2a$07$jSLrpehJZIHb.D6nrh5vROvHSfz5Sj71ieJ37nCAOWdwYphEVQ2KO	38	2013-08-04 02:09:52.06306	2013-08-04 02:10:02.632812	212		0
19737	10jkqxcye2n7zle74tvqoimq4j	$2a$07$JcWKa6ekUg7RcVjBR0ke9uKgCcgtZwkPYUDNKZcC5Uicf1hahW3ay	39	2013-08-04 02:09:52.085777	2013-08-04 02:10:02.823014	212		0
19738	10uw6f3ztvrv90y2vm7xld1mnr	$2a$07$Ya3NLLhaSFdHDvE3XJJdkuSD41FuckFwXJiEYDLirPrqz6ak/ccjq	40	2013-08-04 02:09:52.109115	2013-08-04 02:10:03.052158	212		0
19739	10sh2kp9pa72pua5fhynu6hvf9	$2a$07$PIplgmsKjB0/1Cnl405NbeQZnw53ecI7vf0AVQRB/u.ywBl5p/jdO	41	2013-08-04 02:09:52.132355	2013-08-04 02:10:03.234537	212		0
19740	105nvwbhwcw5erj2q1jdgxgaya	$2a$07$P7fnDBQBiT4e0OL7DVSjtOoqRSUXSFU858Ls9dl0q60M/pxxHp14i	42	2013-08-04 02:09:52.155239	2013-08-04 02:10:03.433208	212		0
19741	10w3q84ait67rxpiz6lgow3un8	$2a$07$6ID0KNOoe7N1FR97IowumO2PTXX1JRSW2MY0HQ5xKY0zhrpOmBJCO	43	2013-08-04 02:09:52.177431	2013-08-04 02:10:05.122532	212		0
19742	104ykee002x2h5drq40wjm8gbl	$2a$07$iqeLo5uBId4FXXfqTMYl9.qGukNBSkPf0JD//EP370/JW0zfCN/QW	44	2013-08-04 02:09:52.200208	2013-08-04 02:10:07.868951	212		0
19743	10qfx5xq7l8lsbgkphaqro21sv	$2a$07$yjW2c8BLZXVGdtTOgyWvueQE/jASXHJeU1VX8tKxO2axmlxesLRs.	45	2013-08-04 02:09:52.223084	2013-08-04 02:10:10.382584	212		0
19744	10mbaotr0ac0oldf7jkqcbvq3o	$2a$07$2E5aQHCZ4vC2KBSrl87nCe3zNldCMpNF3XpiI6hXo8z4sP0f0SZj6	46	2013-08-04 02:09:52.24565	2013-08-04 02:10:10.554276	212		0
19745	109njtcr6ffz3zf8c1of5y8ise	$2a$07$PeaQO1jpDT79x0NOWKijYuT5cynEqwPDGat5MS5bYKVibigF2J/mu	47	2013-08-04 02:09:52.267452	2013-08-04 02:10:10.700374	212		0
19746	10wy3d6kdad8y7r79oc52mtvtl	$2a$07$sjJxG2v4zJKOUvtXSm1spuTNJUoDKZ8V8QM4SBGyiRep6.YiTOJSm	48	2013-08-04 02:09:52.292356	2013-08-04 02:10:10.863761	212		0
19747	10k6gt5e7fn5twvqhxg7dgjdfv	$2a$07$6jD9XkJuGEpjpcfiUx.szOjzgu82kbZybBcZVf4mkA48U5EbkOh2W	49	2013-08-04 02:09:52.31752	2013-08-04 02:10:10.984516	212		0
19748	10zc5ntcq8d0y53wrp27pdhsry	$2a$07$0BX1CL/WwuupEBVX7/GfUOiXCA2Mmtm4W9Y9QDdhA0wZ2WiqgCy3e	50	2013-08-04 02:09:52.344132	2013-08-04 02:10:11.118858	212		0
19749	10inlupv49f3vpq8eu8efy0mh6	$2a$07$3SRAqNSKHdlGmFkpduO3XOpzNNbSXD5UeFDncGaQEgxzif8UFzFrO	51	2013-08-04 02:09:52.36735	2013-08-04 02:10:11.260678	212		0
19750	103dfoce907nqxc758hq1rg9gh	$2a$07$kVhkKbM2yxhLDjpsgSShTucfp4Sz1U.1Iy6fWIL7hsMXP.wzeKQPC	52	2013-08-04 02:09:52.389947	2013-08-04 02:10:11.401707	212		0
19751	10klyayh8m3b0h1tr95cvqqvdn	$2a$07$IlDUjAj93vaf5TmjDNut..jvZXI/pVSZHeAyfJnUg7q/Yn6Ri8pPi	53	2013-08-04 02:09:52.414302	2013-08-04 02:10:11.539014	212		0
19752	10278kvnzfq67g67zytnul7xoc	$2a$07$7zVkz1A56xDAwJuzjf6U8.edFRsN59/11aRGXq4XtdGNRcpUVRsEW	54	2013-08-04 02:09:52.439081	2013-08-04 02:10:11.677417	212		0
19753	1060xwp26athtclsi2dzn44d7c	$2a$07$CxChEGGK0POrwDQe4cVPZeqcqGgw0IU1v.vNjix4TuVWeK79PUwxy	55	2013-08-04 02:09:52.462058	2013-08-04 02:10:11.813848	212		0
19754	10wqxxmdskcbobz0lj0m4zksr8	$2a$07$KPsv/TKyhqP5hBPVZ6JzC.9O5x0u0RlbZbRrGm1FTCDvpSzRjwYxO	56	2013-08-04 02:09:52.484605	2013-08-04 02:10:11.936769	212		0
19755	10x2kbe8uzyudcecsersttmb29	$2a$07$I2u00hC1Z2jzlUv8H3dUvuy029un9RnIeetpKpPzvkOnpL230l9PS	57	2013-08-04 02:09:52.508159	2013-08-04 02:10:12.048348	212		0
19756	10e4slkg5lid2r4zqd296cm6wz	$2a$07$aRsWLWa1RwshXFmF7kqrQeSfG1iiLi11L9.XoSOSJJLMUi1zLT5Se	58	2013-08-04 02:09:52.529594	2013-08-04 02:10:12.192975	212		0
19757	10ma9xsnvmzraq251hytkuzoyb	$2a$07$AdgziQIGrWtdimG9ny1S9.KOU1jEkl0m9RTWE2cggikeH01TroUTK	59	2013-08-04 02:09:52.551311	2013-08-04 02:10:12.329878	212		0
19758	10d4fpa9dwswj9iyizdp9u7n26	$2a$07$XcS.m.MaCJlD5mr71pmLnODPhnyFJsgB4HyXVzdkSu8b2meTkBDfa	60	2013-08-04 02:09:52.573989	2013-08-04 02:10:12.475062	212		0
19759	10e4rucsa4llr2z1b8xnyxon0s	$2a$07$nVoECLSOX/cnM1sYOUHH9.SoOK5kVF//nXd5GjBKodAIs6mNaMYjC	61	2013-08-04 02:09:52.595433	2013-08-04 02:10:15.224013	212		0
19760	10qu4kqa0pptfdgjw198tdr1iz	$2a$07$x.gsrDnSw.1Naj9lhfkx8uM3xBiUyPIZWrlXbaWPpttilDX/6YwSu	62	2013-08-04 02:09:52.618078	2013-08-04 02:10:18.105623	212		0
19761	10g9rfk70x7mxqmou1utf8b99l	$2a$07$wfD9jzFZ2RvUDjbQhKnjPOecS/hSKFdk8..MSQjVQvyKkLMpdPkfy	63	2013-08-04 02:09:52.641751	2013-08-04 02:10:21.10536	212		0
19762	10ht1i0wl2k4bk2rc49wghkti2	$2a$07$hcvgkP4ZNVavwGe4xjupAOHkwNFaUlgigjp5B8Up06vgE0NVp8zAO	64	2013-08-04 02:09:52.664002	2013-08-04 02:10:21.223029	212		0
19763	10ckb12jg5amjezuwvjwkngkap	$2a$07$RIwwnct5pdffWr1slSj72uzNsr01VdlO2mfMKH/102cxwPgAr6thG	65	2013-08-04 02:09:52.685585	2013-08-04 02:10:21.374809	212		0
19764	10xfj6bgut55xr2wz5xfxxsdfb	$2a$07$wkWMQH.JdMdNAzhJvRNvK.WfulrKn4GDWmehnS.gG8jYCuhkBk0w2	66	2013-08-04 02:09:52.707614	2013-08-04 02:10:22.313886	212		0
19765	10n6yihdec2ctzedn6pb6dtu7t	$2a$07$Vz/o6e1QyKcuNhr5HHWG9eWQeuTMGFFizaNjLPj94ukhT9ilWIBK.	67	2013-08-04 02:09:52.730862	2013-08-04 02:10:22.447058	212		0
19766	10wfoi2vxz89uixm8ca97p3zea	$2a$07$AwhHRwF94nasiIO4JsdLIOkFCav7DSysZTomdD5van0msqlKPNlJW	68	2013-08-04 02:09:52.752411	2013-08-04 02:10:22.57951	212		0
19767	101i3ge7oqmy5fwcphvsngjgxb	$2a$07$d3.Mj6tyu9v36BbBLJlCE.B6X2uZph/yhYWGavtSrB6nCnUfq.gPe	69	2013-08-04 02:09:52.773868	2013-08-04 02:10:22.715263	212		0
19768	10ks5f7gnlbcr41q0h7nttp50u	$2a$07$F37fWPxbWstWaKd7RgY01e3p5QvxDJwyvVupRQLxRJK7r8nvZdNjK	70	2013-08-04 02:09:52.796328	2013-08-04 02:10:22.861688	212		0
19769	10w26zz36bpcqdgz8zgvpumokq	$2a$07$aUWdD9pl7r1p.9Syv1tvOOmvyB5/fElR6vrVvPbAtmMPdQOx4ktDC	71	2013-08-04 02:09:52.818975	2013-08-04 02:10:22.999876	212		0
19770	10jbno4jcqi97c8ldn3uq2dok3	$2a$07$4jnrZakCoVJGcYF0YeRIIeLeXjnozhq/5p5GlyOiSXhVOwMKjevEq	72	2013-08-04 02:09:52.840876	2013-08-04 02:10:23.139529	212		0
19771	10uf29l835yxezv86s4fe9xckd	$2a$07$CxhkIhwSfRdEsqv.zIuN9.bt2xVlzQYrqQ.xvbPl3MIGIY7pAd9hG	73	2013-08-04 02:09:52.862193	2013-08-04 02:10:23.260727	212		0
19772	10ej4fbxpgp2at4stc4wj9npae	$2a$07$0Xhgr.3ZurQmAVX/NRfD8eoa2N1l/A9Lvz9oF22nmW4hJh/ZZEewm	74	2013-08-04 02:09:52.883766	2013-08-04 02:10:23.44027	212		0
19773	10rl1pgs8w6r4salh811126idj	$2a$07$1nDvEXGwmahkWE2J8L8RF.rn3XsxK3k.PKtfAw16SoW0BlXAhb1C2	75	2013-08-04 02:09:52.905171	2013-08-04 02:10:23.593029	212		0
19774	1040xtfpt6xjbrmz1oejbgedw1	$2a$07$F2.p4Xk2sDkSgOjAWv53yuSwT2bHH.iKi/DtvaV85TsJUCFOXuc4S	76	2013-08-04 02:09:52.926899	2013-08-04 02:10:23.735091	212		0
19775	10t6cne1emrl7ue4h845cj5ekj	$2a$07$4T4etc2y/IQZZ/jD4MYUcuf1gawk.zSR9sL/tsPi83n415nsVtwSy	77	2013-08-04 02:09:52.95002	2013-08-04 02:10:23.883304	212		0
19776	10k7k24d2m79cfoom069rlr8vh	$2a$07$fm8.uv4SEIZKkQClRlXH.OYV5v3g20vqSsutqvFcbU/hPTLI9yEMG	78	2013-08-04 02:09:52.971715	2013-08-04 02:10:26.446359	212		0
19777	100sjd1u0fg2co4zho131xhp1f	$2a$07$npyZz5t.MK.5vPmETFzfxupk2mtgMGW4bkbCQJKfaSiW2Ol68b7QK	79	2013-08-04 02:09:52.994825	2013-08-04 02:10:26.57021	212		0
19778	10ojh89er97ldi50huifgy7zpu	$2a$07$P1vojB1YLFc967fA7LI8ku4/TyvpaJ3.lY7YWGu0cNilwO5nmaDE.	80	2013-08-04 02:09:53.016304	2013-08-04 02:10:26.710698	212		0
19779	105g6k0b4qg4x075e27tcg4c9a	$2a$07$q0Jq4KMN3s4yh02epUMTNeSp5UHBzILY1VhrlV.q71j6viEoIPjta	81	2013-08-04 02:09:53.037924	2013-08-04 02:10:26.852031	212		0
19780	10a6xxptjm33c115dj7hjfx1rk	$2a$07$8wYGOF7a4o47v4RvprI1l.5wThEvofK.Xcj3qDQR/i/lqOv/FGJne	82	2013-08-04 02:09:53.059292	2013-08-04 02:10:26.97615	212		0
19781	10mtdxd872c2gjsfgi13jgvv29	$2a$07$vCAz1mUQI4w.Z0s.4oOzP.QFGurfbrahMS/bK9SFF4kT4qV3x/Gqi	83	2013-08-04 02:09:53.081138	2013-08-04 02:10:27.103333	212		0
19782	104t580s4wyhsoqww28613jek0	$2a$07$jiYgDmOJ1bTQ1kHVqWI5sO0hE44FH8Gvx2Idtc9PbG0O7UIOGC3me	84	2013-08-04 02:09:53.103882	2013-08-04 02:10:30.212694	212		0
19783	1005l13yfirn6fvbcgrpi1dped	$2a$07$gH6uY.dieCn1DRHPDU.Nte3nh6jpTjByPCZSCailIqTbvGkChHdgi	85	2013-08-04 02:09:53.125238	2013-08-04 02:10:30.341789	212		0
19784	10vn8phk7itm1nntoldg1ff429	$2a$07$m1C2XiGlTe8YYlQU0uRC2ekCQXjqguSZXSLptwajx129/TTB14nC2	86	2013-08-04 02:09:53.146903	2013-08-04 02:10:30.683027	212		0
19785	10w5fpidkczklq2ijprvn88yqr	$2a$07$PM8ZnR4TIdjLAOr6wnYfyeSwXPpcPnk.iKijWwGmWnmud/oUg.aLG	87	2013-08-04 02:09:53.16817	2013-08-04 02:10:30.839409	212		0
19786	10p2pejhkp3kgzrrvwgocf6r5u	$2a$07$ZwR6Iv39bB232ScUsfXmTeQALWpn4ASiYwPSXVwhROx09z5ouaq3y	88	2013-08-04 02:09:53.189639	2013-08-04 02:10:30.99946	212		0
19787	10wm3zmapfmzq6ddekvfx0g3cb	$2a$07$bU.CzsEt5m/265M5U0oo2e40fp.C3NcrUI3Wzz8gu4B7Ut7TOBeP.	89	2013-08-04 02:09:53.211661	2013-08-04 02:10:32.021326	212		0
19788	100lyyuw724hypsv3ycxc8ipk1	$2a$07$aOPCk/fXrPNXb1dzj0nJq.8v8C3Tn0yJdKPJC5zjtsNC2sW9KJLIe	90	2013-08-04 02:09:53.234324	2013-08-04 02:10:33.015672	212		0
19789	10r8oypa8vo4yrykhavcbvqkso	$2a$07$es9lqQqpgMIV44EMMFBEguPstgMK56RSWU6X29EIQ0kkzgofPPLmy	91	2013-08-04 02:09:53.257502	2013-08-04 02:10:33.143863	212		0
19790	10xg0cbth1wqok9lyug0wzp8hm	$2a$07$9fc1hBovhRDw17Aqy6u/meV5dIvG3Urg41iwNmnH.lRyKEVo7YyVu	92	2013-08-04 02:09:53.278994	2013-08-04 02:10:33.283932	212		0
19791	10lpddsg6ojvfbzq30cfyqrmue	$2a$07$K8oEAEaZNsteu/Eq21mGSOocHoaNGaEW/4.1mNMfR8tZqqPUFVHCK	93	2013-08-04 02:09:53.302188	2013-08-04 02:10:33.411809	212		0
19792	10uzxut7c2qyavn6z0uaiuiebl	$2a$07$Dk3SrHIZuwDSP9DIHpObr.nOpVd18dFSPr5vnohmmYka48zJkrNNC	94	2013-08-04 02:09:53.326106	2013-08-04 02:10:33.529084	212		0
19793	106ib7vpmu5dg5izbbwjh31fwg	$2a$07$m0/rgIJgFe7H2xmXYWIrDO8KZ8QhJl1FUoYLugtaO1cryLoRzIiz2	95	2013-08-04 02:09:53.34976	2013-08-04 02:10:33.642582	212		0
19794	10utr9iz66fg93h5kptwj1vsja	$2a$07$6qxbzzpoN3dkHA6taLRbq.U4LvHFkwfJF3ItCj/gtYsVmYQH6UDlG	96	2013-08-04 02:09:53.373153	2013-08-04 02:10:34.010975	212		0
19795	107h70v4idz67cf4667v35zg5v	$2a$07$K6hmgPDJjoT8dYjiRlIFeeKU8Ade9L.H2UYf.xmEUDGAonua.YFaa	97	2013-08-04 02:09:53.409491	2013-08-04 02:10:34.146178	212		0
19796	106vjozommsln4lezo5exl75jx	$2a$07$Xc23uqRdC2yJ9W6UkBEohuC6UxulDueUiWtZLnJ3ps/pgZJE2M2xm	98	2013-08-04 02:09:53.437814	2013-08-04 02:10:34.291793	212		0
19797	10djqlgyzy1us5kk76t7c7d4qg	$2a$07$.q3fQm2zMfekus9CrBbzSuXtM8VfFRLApplorup8G0KCQRRTxk.NO	99	2013-08-04 02:09:53.462508	2013-08-04 02:10:34.420061	212		0
19798	10m66mczijcyf9z9892qenoqt6	$2a$07$30RwZ5QCsvFcr0hDrDW4deFLaaAHR2BuYR5KUCSl/XRyeQakeQH5O	100	2013-08-04 02:09:53.486733	2013-08-04 02:10:34.544542	212		0
19799	108tp5ibti09tqfcb5bglthjxc	$2a$07$f0lKR5ixF4iVvNA2iGgCXeIHDLx.c.lI6q5GOGgotTyYbxkoskA6a	101	2013-08-04 02:09:53.510019	2013-08-04 02:10:34.647023	212		0
19800	109betw4c9gso0rdclbnnxl119	$2a$07$fgEjLHOcTSQkWKS5vtZp/O0T5aQMNh.h3yVDofpcYAamK9NosJ39S	102	2013-08-04 02:09:53.531581	2013-08-04 02:10:34.777796	212		0
19801	10mxbiyzvzpkeohnci0wfqgvv7	$2a$07$eOPOAAB.SHlyMiqc53vkDe0auhUfK3AuNIC7z35OEApYSytCLrFwi	103	2013-08-04 02:09:53.553539	2013-08-04 02:10:34.904497	212		0
19802	1015gkn8fw75q1nsleuwpweywo	$2a$07$LvdtCRWUPTzl53HySQkyqeKFOogwcWG58KVsuwBUnAUB21r2lLwqC	104	2013-08-04 02:09:53.57612	2013-08-04 02:10:35.038933	212		0
19803	10ot79h1wdngp9mezv77v9g9a1	$2a$07$Osut/Di/E2M83mtKX553N.IrQ5uLosouMkpyU0HpYxgHK8qZB8wQG	105	2013-08-04 02:09:53.599523	2013-08-04 02:10:35.28991	212		0
19804	10pc92oppseemfv02h53fhfpdt	$2a$07$hnoZsZBx8f/vQXWEN2txa.QoVAsVXYoI7TrsCDXIUfwl4be46BgWu	106	2013-08-04 02:09:53.62579	2013-08-04 02:10:35.502814	212		0
19805	10802ommb4glyceb2ecc853jj7	$2a$07$8Vr5CXJAvT8c4WCIMVPCeuknoO0pNJZHiZEN4vaK4CvYIMB9.9DGC	107	2013-08-04 02:09:53.669564	2013-08-04 02:10:35.635875	212		0
19806	10yno4sb9sotu3mu74bm095kqj	$2a$07$u2X1/iey6KvF8yQiM/irWeqtIUqx86PnJsF3W7hI3qNmcQg.uCb/e	108	2013-08-04 02:09:53.693055	2013-08-04 02:10:35.767478	212		0
19807	106xxo3am8w3zwyegzc1s8a56r	$2a$07$IcyUGQNfHikO008b1sEeIeXXILOd6tQt21ulRHh8gSlzvyOP.mayG	109	2013-08-04 02:09:53.729661	2013-08-04 02:10:35.937043	212		0
19808	10gj26xi79o46fz1qc2ia5hh1o	$2a$07$ebrKnL2VGAyENTfPGb33b.J5y0h/4aejxspQ16H0Rgb0ydxK90jtC	110	2013-08-04 02:09:53.752719	2013-08-04 02:10:36.109908	212		0
19809	10aggg35j4o78k4gwjpysaw1v2	$2a$07$45VzAZTnX4idTnop0fiH1e7N1yPOviCI5L8KaqcL6kD3v.a6xCvtO	111	2013-08-04 02:09:53.775056	2013-08-04 02:10:36.251867	212		0
19810	10ld2u606juhrnimzl117uzark	$2a$07$haxJRulH8MQo4B58m6HuJ.eYW7N7Hip1ms7jGPbbS72VlAnzQbWFW	112	2013-08-04 02:09:53.797174	2013-08-04 02:10:36.383352	212		0
19811	10gmmw43guhvo1jcj0f9xqt05d	$2a$07$PVGZ9ZU/7FdwgJu1ukssbOgBLZSephfRQ4qqHUJjT1C8AUeM6LCj2	113	2013-08-04 02:09:53.819449	2013-08-04 02:10:38.935045	212		0
19812	10gn72epmkqj0yhpv6rebph651	$2a$07$J5lvlUojfoEyXIcwfld2RO/MV7ZzhF.FzDjnD3HcnT2mvc5OTwOR2	114	2013-08-04 02:09:53.85023	2013-08-04 02:10:41.687991	212		0
19813	107ofzhh0mghr2u486gqd1qytd	$2a$07$nqDOrdnJWXma8H66eUzfsu8VbPVP3kB1QahkI3HksH0UXfvgPJgFO	115	2013-08-04 02:09:53.872156	2013-08-04 02:10:41.808503	212		0
19814	100v8cx1pccggx3ahwnqdsod01	$2a$07$poWUefBg3lBV.gWTfteS6eo99GyXXcgfMciyhj.9NtuIr1ANjztlO	116	2013-08-04 02:09:53.895186	2013-08-04 02:10:41.938676	212		0
19815	1003ydan0b0tj0cih5idi1by7k	$2a$07$2fdShI2jei8XhDwj5RJxfO8wpD7A/xm5wgaMewWuwumFrOAtQX.7K	117	2013-08-04 02:09:53.91823	2013-08-04 02:10:42.062573	212		0
19816	10dp82lr93nsreevovwx9jubfj	$2a$07$DJNgavf5JyIS4SE8DZdWyOu5AsiK8duENheD10q67Ezmbb8ccBLNq	118	2013-08-04 02:09:53.939886	2013-08-04 02:10:42.212015	212		0
19817	10k9fahnet0gyeiicjjopp9pwd	$2a$07$fHrjmGD4RoEI1KpNDowdQudcGqiESPaggP20fdx9RwNUsY294InQ2	119	2013-08-04 02:09:53.961439	2013-08-04 02:10:42.350649	212		0
19818	109qc1d1ixcqu3m3sxq9hxaw67	$2a$07$pPgqMUqG.GAO0AGAOwPh7unqsm.EBClgznxtAYYz2wTMFkUxSCVBO	120	2013-08-04 02:09:53.983492	2013-08-04 02:10:42.485534	212		0
19819	1004ljfj7xim5kw44gcks0mgf6	$2a$07$oh2xWZyYCuwmcxUSuoQXbOD2.InPi1Be2wopuPZCrfkNy/sUSLGPy	121	2013-08-04 02:09:54.004845	2013-08-04 02:10:42.634317	212		0
19820	10yhp8i78reeykj1zorxmb8syy	$2a$07$/ucZIqF.pXnKqbWZtRBmX.sARdrEfl5n3LQusFiJLC6v.TPd0uM0.	122	2013-08-04 02:09:54.028956	2013-08-04 02:10:42.777209	212		0
19821	10eeasuo072maqy6zxtc9mig7y	$2a$07$kwpr79Wz7ONvUqux7FsaM.R4tmUq6RO6KeDwcXY34PuaIP1e3d25u	123	2013-08-04 02:09:54.059448	2013-08-04 02:10:45.727397	212		0
19822	104pmdawslrqfd2brfqa59u4m5	$2a$07$0RnO4MNx2pv/NhDgp2KUse5GaNpWqvv4qAWhMAwuwpZK9kvG0hAX.	124	2013-08-04 02:09:54.081071	2013-08-04 02:10:48.743919	212		0
19823	1037pjr8ah755pupyqnhvioehx	$2a$07$Ur0SNbsX.0nhCLUrEj/iR.e6JKvT6sQLAIKFZwn9KV7qogYSIcO2G	125	2013-08-04 02:09:54.103512	2013-08-04 02:10:48.8909	212		0
19824	10romans7vvcbetpzrb079yqf8	$2a$07$HCd/fG7.1gcvOVte/78xbubNhlbf7sRfulmFnIYevEJOaZgOO1l1O	126	2013-08-04 02:09:54.126046	2013-08-04 02:10:49.019898	212		0
22414	10f2bedno3reuoikmd61ozuiqy	$2a$07$0maVveiAMhvG9bs2OpUwpu6GG65kO8iZsfvDLXUka0JkUS1NHxUJ.	70	2013-08-04 17:50:55.810815	2013-08-04 17:51:24.543664	233		0
22415	10hwhhkek7su3r0ql9fx3nt0t5	$2a$07$4.ocalA/PMBh2zVM5.lktOsE46x16NKoFjgQLFGZJ8HYax0cks7u2	71	2013-08-04 17:50:55.835467	2013-08-04 17:51:24.709197	233		0
22416	10qo8u9f4jx09ehhfs2vebxs6w	$2a$07$z/r1ODowkjVU5V0Kawz.Ze2SZRS3.gXNaeAJRPGB9BxkqrLegl3N2	72	2013-08-04 17:50:55.861174	2013-08-04 17:51:24.834112	233		0
22417	104my2z0l760z32ib03t1xudjx	$2a$07$afewWhdtGIpOm8YaTPrwc.AX86Wdylowm0C3lkaWC8tu/O2bUNtGu	73	2013-08-04 17:50:55.882963	2013-08-04 17:51:24.977958	233		0
22418	103m6m2l8p3wpvx1txm3f5kn5l	$2a$07$Xk5g/0G1Zf6a/rk5Z9ZXHOizIrS71E1fJ3ZTgKMfv5ql8MEmiI9hS	74	2013-08-04 17:50:55.912447	2013-08-04 17:51:25.116857	233		0
22419	10f3jd359domqc4zh5q9zni8py	$2a$07$wPlR.uGq2.15xeYlMsgcY.ncMmSyyoqMbT54FFgifPDIuRX/VhXKC	75	2013-08-04 17:50:55.935186	2013-08-04 17:51:25.217734	233		0
22420	10m9i928cugdk6hnfn3dpm9i96	$2a$07$OnbYlL44BufCpPkf7ZHHieO4/1vBDnV3SOrXas08eYHAB0Hrj/Hem	76	2013-08-04 17:50:55.956769	2013-08-04 17:51:25.373474	233		0
22421	10weouy9mhcms4w974th6gzrv5	$2a$07$SbSVE7kg/M3o5nOlG78SwOkpYEiiZx1lDvQq6l4x8f57r9KV8fWhS	77	2013-08-04 17:50:55.978319	2013-08-04 17:51:25.512618	233		0
22422	106z3xv8ukos5e4bupcnjcnbal	$2a$07$pGIFNSmzi9kXDLrXa9HGvuAlDflE/Pi242l0DNrLJlL8QFRpC0dKW	78	2013-08-04 17:50:56.000615	2013-08-04 17:51:25.63645	233		0
22423	101d1zfr4bzfwnq6knoyflap1c	$2a$07$7FAFWwWPHmGi.RbEoD9FT.B.DPLTv6E9ysIiPtHNw0NAovo9Ha7ZK	79	2013-08-04 17:50:56.023977	2013-08-04 17:51:25.779508	233		0
22424	10q1ku7enwrte7j874bkm78nrx	$2a$07$NwTCXbUoLuYEqcK.tlCUSevoH3ziRtMKke9GDAUL1a7IwM8B0mlrS	80	2013-08-04 17:50:56.046203	2013-08-04 17:51:25.9406	233		0
22425	10vfpgv6yymq841wn774c50md5	$2a$07$GA8w/yvO2gEQvbZ1zke1LOFNlfBHbvRl8o9b7RGyOsx1cM16obVfW	81	2013-08-04 17:50:56.067889	2013-08-04 17:51:26.067608	233		0
22426	1032pwm2r5sadyqv22iylfemh0	$2a$07$bGxpcPYfFcMFaUFnBVME1Ownoex3tvle2UWN.MOuZQjr0yvBX1iYG	82	2013-08-04 17:50:56.0904	2013-08-04 17:51:26.24574	233		0
22427	10yq4wgl0u2y98gc41d0egpyow	$2a$07$hckfG4wVUh1CbusPwIPWIew1Q5suSg5XT5p0NPDfslFohqM1cb0G2	83	2013-08-04 17:50:56.114247	2013-08-04 17:51:29.210765	233		0
22428	10l7s9g26fyg2khhr8e4bmx6k2	$2a$07$YPe6fjSp0eMnLSmXtlCaLOM0WrIGl7hxvrukTFrTf4vxNFZ2/wzIS	84	2013-08-04 17:50:56.137757	2013-08-04 17:51:31.871032	233		0
22429	10ztck1gyry9pky896i3aj1sg8	$2a$07$pg2TX7IkuXyjlT8lqhGXneT100scCM6BVS2Fm0/ShnJiP7a3PrAVC	85	2013-08-04 17:50:56.163002	2013-08-04 17:51:31.985188	233		0
22430	10h84qn9050d56slm1s0bbnp9h	$2a$07$L0OmVJaqpTkojp66u6UNzu4hK29GvIvxLFhAant.TUDgaFGfMGbom	86	2013-08-04 17:50:56.187678	2013-08-04 17:51:32.133334	233		0
22431	10s65ury9r098ceve97htqm133	$2a$07$Mm52qJq0rCnzi0vFn40/s.1iKOBE9lEj2Yl3fEyCVyavX81doMDj6	87	2013-08-04 17:50:56.210727	2013-08-04 17:51:32.280796	233		0
22432	10d2h7syd7dltgu7dry6gz6ab0	$2a$07$9KqJhJYRT9asmtTLx8dkjeIcA/39ip2.d5IYMxlzvg47kXxSd05Oi	88	2013-08-04 17:50:56.242872	2013-08-04 17:51:32.419338	233		0
22433	10xkd410tfk8ihgo2q1jlmwtq2	$2a$07$BrWMYN.Tff7N0W8XYJeDYeFYQdTQHj2W9IV6rjA6b.8dtxOoskaK.	89	2013-08-04 17:50:56.267174	2013-08-04 17:51:32.568202	233		0
22434	106gme186hxy9mt73vksbu6ryi	$2a$07$Oyj9qUrOEm23dz0RYUX8OuPwRxXqNsQ3afj2pLYzbc4HNB5RI/e3K	90	2013-08-04 17:50:56.291113	2013-08-04 17:51:32.714583	233		0
22435	10ysdbqxl8jhehxv1k0xftvhou	$2a$07$X8PCTzfiCokM22WPdYt76Or8pO0waz4bMSycSL2h9d7/fDv9ZyfsC	91	2013-08-04 17:50:56.325362	2013-08-04 17:51:32.842505	233		0
22436	10n5r2k94g9lhqyfi3oa29r9ld	$2a$07$axdFNQuHxAUNbjyZju9HPunNKLDqWiDkzceDE4oRZ7WDxYo5i1j2q	92	2013-08-04 17:50:56.347789	2013-08-04 17:51:32.979667	233		0
22437	10i990xmqp6ecusyv7w20x0elo	$2a$07$NsMEzHJpalWeziSmSwDNjO4sq3wdqHE5Uun7r.sEeo0mbHHb.DMrO	93	2013-08-04 17:50:56.370511	2013-08-04 17:51:33.130093	233		0
22438	1049xujxefv325tvhix89yggt8	$2a$07$dhNQBvqtktcrNBDDhLvhNONsnCnuNytlIsyejugPaVTg3NeiYTCnS	94	2013-08-04 17:50:56.393203	2013-08-04 17:51:33.273961	233		0
22439	10c8kccvidhn6ul45j3vwozwf4	$2a$07$8LkDj/fjYDH9x6nq4hvwAeoTZkS3BtOWPwWh.vdW7OCzEeZcgqTKy	95	2013-08-04 17:50:56.41642	2013-08-04 17:51:33.441085	233		0
22440	1027845oyo3xkvlzx3d8y8ppdd	$2a$07$elnRbjrZyuL3I7v7I7rsaumfgQgZ6iU2sVGVPT5ZrxrHnh1RxYySS	96	2013-08-04 17:50:56.452182	2013-08-04 17:51:33.561024	233		0
22441	10i3k3xfm99d1a6eip8z1lzww6	$2a$07$jPB3KiFfMIkbTPjdDxrlruxgz15tAhNNo4dPP5..l/8JtqktwAabq	97	2013-08-04 17:50:56.487112	2013-08-04 17:51:33.681157	233		0
22442	10xv6fwvgo4ndd3v7dgxl95w1m	$2a$07$W2Lg0ft1UVaqclEn1.sYcuXSmw4raGMrwS9TT8VMU.ceyJvHJrDHS	98	2013-08-04 17:50:56.509626	2013-08-04 17:51:33.823744	233		0
22443	10ofskp7158egkgv26jh7jt54u	$2a$07$56TN1ebyAV8OoJlpfFo02.nw.f6m5ZfWPy1VBTSXnFOe0PlW4T736	99	2013-08-04 17:50:56.533191	2013-08-04 17:51:33.943743	233		0
22444	106p38zsjllo0rvcogkzn64l2f	$2a$07$mnjwkY0bgYL/Huj2Srt.YOtXu7W9Iaol8dsZFqdXhRKXONSABKL5S	100	2013-08-04 17:50:56.555187	2013-08-04 17:51:34.075099	233		0
22445	10s1h5n7ig5nfjge7mnjkilh8a	$2a$07$95E.lBsbpyfZT/IkIPwj4.QpMpuj5i4u8g6tm7BaUld6NJQmwnm2C	101	2013-08-04 17:50:56.576906	2013-08-04 17:51:34.223326	233		0
22446	104nam8vni569qyirxb6mfkelk	$2a$07$.SmUou9zbiqkiaj9Q7g74e8YHFvF7CFJ.Z3vC6JTqodW46rrHXs4K	102	2013-08-04 17:50:56.598496	2013-08-04 17:51:34.428432	233		0
22447	10bmnzg8kcxd2ezz1ee1aar3yr	$2a$07$cuPnFtAEhS5TcaKTn9f7zO.LUDRZK9nUuBM.jGms.NBwzovfsMwxu	103	2013-08-04 17:50:56.621189	2013-08-04 17:51:34.564836	233		0
22448	10rlh76tqdptv5qcvov4qan99i	$2a$07$SdAcP3r634YIz9NJ0i81AudMCzkR3tKnqhHpehqOGwWpbilgtyZEe	104	2013-08-04 17:50:56.643623	2013-08-04 17:51:34.711229	233		0
22449	10yth7debzmjy6zi2ksffu614e	$2a$07$mDP6bXK2KD6vYRRSg4TAweT49h2V9/6Heaz4fyCKE2jGbQ12Y1zt2	105	2013-08-04 17:50:56.665234	2013-08-04 17:51:34.840622	233		0
22450	10ti3ygriwrcliz71qifi63jaj	$2a$07$sI5Shs30uPMQNtSPmSA43eG2vaVbnNR4A0DbLvEIpb0welPSz7m/2	106	2013-08-04 17:50:56.686942	2013-08-04 17:51:34.971132	233		0
22451	10oazx1cbctbp05l1rlrsafk1d	$2a$07$ecHMsFWmF/UUcn.XQeUms.sit8o8JBiB3cHTddjIVB/MajnIvM5Qm	107	2013-08-04 17:50:56.70852	2013-08-04 17:51:35.114367	233		0
22452	103bq7m73lchyyublfkf5iy5on	$2a$07$tm41mc3gpj8x6.0qonEEje8PueCf1BVKZBN2OnfEQ61MbwxTZeAbK	108	2013-08-04 17:50:56.730003	2013-08-04 17:51:35.24748	233		0
22453	10gjbya85k5fdq2whj2uj6b1xh	$2a$07$GcHtrLwpHx8GNbSjqu.HQ.nj981Wb3ciHT5zlC7NZH6jOSZW.gp3y	109	2013-08-04 17:50:56.75296	2013-08-04 17:51:35.385313	233		0
22454	10atygimq43adshah8azw9f403	$2a$07$TUwCOxgNk.trfjrgSxrZEepB7GMpkGTVIhQakQjm8hDOcxsEcGCr.	110	2013-08-04 17:50:56.774978	2013-08-04 17:51:35.516025	233		0
22455	10u4wmf98b44ftnimc9wfsbes8	$2a$07$.34KAOXJcc9TOgFxvl44Ne4tXfykDu/4/LGdB80gLRjKmTndiJVne	111	2013-08-04 17:50:56.797847	2013-08-04 17:51:35.637897	233		0
22456	10ysms0kptisazj4is66dsquqm	$2a$07$On.9fl4DAvOGgrATAF2N8umpGz4w2MMVcfOZbyT5Kn2WJbs2Oh4VG	112	2013-08-04 17:50:56.821505	2013-08-04 17:51:35.778881	233		0
22457	10cm66ox3yhvdzm6gd4m57kd78	$2a$07$qs1m70ebkbeobHHRZmRS7ODl6WGS7WeCVdAwhbBw/2mDNF6F8kXhC	113	2013-08-04 17:50:56.845061	2013-08-04 17:51:35.951925	233		0
22458	10xea5en9enttpp5p49drn1gaj	$2a$07$yr133AE4FV23FzyFrLg3z.wTVDyfaE8Q9M6M9he0l7oWK6Ls2.Qji	114	2013-08-04 17:50:56.867251	2013-08-04 17:51:36.070989	233		0
22459	1099axc3s1i7u4zs0a00m3ju0o	$2a$07$Wno1FYt/iQqXz/xyXhpJtuJh0tR3p8zZU96I2pxomLR9Hed/RFZDu	115	2013-08-04 17:50:56.889565	2013-08-04 17:51:36.207115	233		0
22460	10dgedwu86di10zczqoyrzd01a	$2a$07$Q8QmR2j/LWG0xfiRBjasM.TVTL1HMlyPmk9TkYtKQ1AR0CLpyc0fG	116	2013-08-04 17:50:56.911176	2013-08-04 17:51:36.340168	233		0
22461	100oxalwrubznqps0g5awvjrbo	$2a$07$SFI6/1t9YNPDWOaUB1YdYuZttc.OjhwDRQkezgSaMgCWO7sN8WpNG	117	2013-08-04 17:50:56.934401	2013-08-04 17:51:36.478121	233		0
22462	10gci4zjastipu97jjuro33xhv	$2a$07$i3IJHL4b8OGNh392FzFBLewgRwsf5fwmLkJlEPyX7NdAJuHRItFjq	118	2013-08-04 17:50:56.968734	2013-08-04 17:51:36.613227	233		0
22463	10fmtojgmha66rf2cwnj2eu1j3	$2a$07$0ZC/.CgUnj3AF91m7K4J6O.SakpAtSaBt1R3wu12btC0IWfwMpN.W	119	2013-08-04 17:50:57.002949	2013-08-04 17:51:36.733134	233		0
22464	10dkg2el3j7hy5ou8d2ttwcba4	$2a$07$P/ZZM7KRVoCr45URavzaa.u5yyrDt/cx1nYn.XNLP2/iutlVtvnlu	120	2013-08-04 17:50:57.027633	2013-08-04 17:51:36.849097	233		0
22465	10k7c15crsgtdhj8u4oz69492l	$2a$07$BEsVAghWYT64HMJ.x9H5..ebrTcESNlFrKPs4rdhE8goxLC09yfam	121	2013-08-04 17:50:57.049337	2013-08-04 17:51:39.488965	233		0
22466	10oqzcpo8ldhgxygmr9ropizfz	$2a$07$2VV2whkHvLKqOyRc3dAQEeqwI9UAV.4xezo0oHvzz9SVa63Qfsv7G	122	2013-08-04 17:50:57.072399	2013-08-04 17:51:42.610764	233		0
22467	1022rh7dmrs7k44qrp3eeeamis	$2a$07$pXFrRRenwKnG81XB/2w25uXabshvwKSGnel2pjJKnPCio8NrrNI/q	123	2013-08-04 17:50:57.094269	2013-08-04 17:51:45.35197	233		0
22468	10wpxjlwzjhxs4d6fjcw828ilw	$2a$07$bypscuZGUJi/Aeaoz9EayOI/FoUIfKNldMTnGFAnxV8L.1.mBTOQC	124	2013-08-04 17:50:57.116087	2013-08-04 17:51:48.377385	233		0
22469	1014txqk9ilw9kv3ztw11di7ur	$2a$07$ACQY6rV38.55hA9NP31nu.hdcAy.X7rm.A2q42MOD1azIDEqRgHMK	125	2013-08-04 17:50:57.139122	2013-08-04 17:51:48.532052	233		0
22470	10mlup7jdttcwfk86cfs5klzwf	$2a$07$P2EUNzaKzwkI9BkNEgPobOEz9IGJgG52lIeRciUimlGkY5q9yF9Fa	126	2013-08-04 17:50:57.162371	2013-08-04 17:51:48.670705	233		0
19825	10ld802xis0rvx2597zj9rl5np	$2a$07$AssKLg8kTiWfObC5.dvgTuwM0mJqsHUPhePOWFN1BPTadaErq9Vb6	1	2013-08-04 02:14:51.073648	2013-08-04 02:14:54.237683	213		0
19826	10sf31a4fosfh462539ppopwoy	$2a$07$HAiK.bCiTiEslUt.OCpQuuGZh/nZM..pIrE1abTCsB1kVEN7ZLqh2	2	2013-08-04 02:14:51.096918	2013-08-04 02:14:54.340804	213		0
19827	10dynjqwglytn1neof43uubts4	$2a$07$VHeqRwOZnlLfpbxVhuyBI.Z31P3TB/O5..4hX6jZAVREttf/nTlMq	3	2013-08-04 02:14:51.127937	2013-08-04 02:14:54.451024	213		0
19828	1061mf3iz14by4l9h280c2w80z	$2a$07$pwhScc1s7pCGhkPOEsF7ye1/Dub9eUBLMd45rU5NxSdLhMnR2/UIy	4	2013-08-04 02:14:51.154232	2013-08-04 02:14:54.60332	213		0
19829	10zui5xtxbn9j9eppw2ulhqe08	$2a$07$JBS7JQxcYm7pVvNcuZfdC.aqK3d7F1HmzeR0ER4klkv5Ah/4zS8i2	5	2013-08-04 02:14:51.176109	2013-08-04 02:14:54.695056	213		0
19830	106w6fa104q5e07wqzzee3hfh4	$2a$07$VSOx3f9G4GvcXZeP.ymGd.2GBP8TKtXrf.ExF5JZE4pkn.yu2WLeO	6	2013-08-04 02:14:51.197985	2013-08-04 02:14:54.788861	213		0
19831	10c2wjvshh9ngve139445f2rka	$2a$07$XRtVQqoOkAbyPr/KYnOwAuMDHQ4n4gBI5TBDx6LSCvLrvvNR0DMNK	7	2013-08-04 02:14:51.22113	2013-08-04 02:14:55.624873	213		0
19832	10tunwficuag3dkrcrp3ymin05	$2a$07$gXdOkxWDuvlVJsecAhM80Ofn1/Os8WaGICw8x8UIaFV1jIdsOgfG6	8	2013-08-04 02:14:51.244349	2013-08-04 02:14:56.546761	213		0
19833	10ofnpocviw9vhbm7xxe51yuqz	$2a$07$jofzJLADe5MtZc08n.efGeSm/iydfmO8Lt6/4lYsT0ALvHZ6aRtUu	9	2013-08-04 02:14:51.265893	2013-08-04 02:14:57.524698	213		0
19834	105k9xxezmiigjvgw91mrp5ag5	$2a$07$6MTopaVNaB4br/4RT67G3ODnjCvmflsvYl5T.Q10khdnYoYqXcHxq	10	2013-08-04 02:14:51.288906	2013-08-04 02:14:57.661665	213		0
19835	109kol1m0zgwsyxquldekki8p5	$2a$07$oma..XGxmb4gmgpFG1glreP7BpZNv/2t3hCWcEnX2av68FquANX3y	11	2013-08-04 02:14:51.310843	2013-08-04 02:14:57.798691	213		0
19836	10cp7cdma9z2v1g8wvrg6za1ve	$2a$07$UgCz.eTII.sqtvM3X4LxHeGNxozWMm8qOu9MyXP8W0mK9dB842cPO	12	2013-08-04 02:14:51.332405	2013-08-04 02:14:57.915452	213		0
19837	105ds20vyf3zzbt2jbka5s2fqn	$2a$07$/eh8hROd2yT0QpwOYhgY9uh2c.8EdI9fqf0tozEcgA07x0LPWHuvG	13	2013-08-04 02:14:51.354102	2013-08-04 02:14:58.050771	213		0
19838	10yanadeta4pb6s6a9knx4hj1b	$2a$07$wE8Xcypv3TtO0rPS7.gfEuO9UlKSgrJohR04a09uBPr92CSFXDTbi	14	2013-08-04 02:14:51.375871	2013-08-04 02:14:58.161312	213		0
19839	10r6t5tw5dsod4reiqpmwpjwfj	$2a$07$LePN8ECNm7KKtb02jssd5.qEgJldaM5oBa1D11lUJnmkMliYEtitO	15	2013-08-04 02:14:51.403927	2013-08-04 02:14:58.300604	213		0
19840	10rsbl0na9pyzybilr1ieqx1ov	$2a$07$Po.uumqiy2xF6.PVE.bVTeDVdlNR66TSBib1kSGLRmJWkqidd3Ik.	16	2013-08-04 02:14:51.441219	2013-08-04 02:14:58.577885	213		0
19841	106atczeirv0xca1f7k6l90whu	$2a$07$JRK5gXovhU42DmiZr2VSSuKuSGHcimAJ8ODQqn3FMkGCGIpYNysJa	17	2013-08-04 02:14:51.465123	2013-08-04 02:14:58.745159	213		0
19842	10188eo9mw5zhwuc0q1cd16wio	$2a$07$tKT7.ZVx5ZoFXsNwm3VhdOFIuYR6m0EXxmUiZHJNezqxryRCzDxd6	18	2013-08-04 02:14:51.488483	2013-08-04 02:14:58.859451	213		0
19843	10mv86t7nx1apkx2qeyppe4sgv	$2a$07$umtUHZRpvdMGSL9577kBme.xXCQqutL1y8a.PHqktGaq9k3DeGcUe	19	2013-08-04 02:14:51.515126	2013-08-04 02:14:58.986368	213		0
19844	10g6f86pg200aaugxp3ie103fe	$2a$07$ya4EfsyoDuKegDlTqKep.Oqmmg9gSgk5PXlrmWACV9MJ.wGnRpZmG	20	2013-08-04 02:14:51.538893	2013-08-04 02:14:59.12453	213		0
19845	10u4lmeno0y0lhx35xkv9q39vu	$2a$07$hQlfXpuhBaUE0mZaqNqeeOxclApQIKCNRsCAgqd9SIh30n5GgQuIC	21	2013-08-04 02:14:51.568415	2013-08-04 02:14:59.279285	213		0
19846	10x21i8r0qbpbytnygpn39u1sp	$2a$07$SBDVkZPbzpl8F/RSFlqiv.KpwcrL2SWl63xnHJpycXejI5CMMWByW	22	2013-08-04 02:14:51.595639	2013-08-04 02:14:59.421082	213		0
19847	10rdfzpmemwjfw86mv4hl8r0ad	$2a$07$zPc72S6DBw.TTVVYyRACuO2yyFhv01dAb.IrltLgKgn8djWwGfkFK	23	2013-08-04 02:14:51.618183	2013-08-04 02:14:59.563304	213		0
19848	10g805h078g96gj88gg2z36sf5	$2a$07$s8G5cWLuP4SbcSOKN1ZAr.Q7Q3U3jDmMG.T417.SS/ecWHlhvTZ6C	24	2013-08-04 02:14:51.642201	2013-08-04 02:14:59.688648	213		0
19849	101csznr5s3ic2qi1hheqgxag1	$2a$07$1jaOl9WL64kCMVYPl5tOAuVrOF30j75E6dsm9EvRoB22SW/dARpDC	25	2013-08-04 02:14:51.665958	2013-08-04 02:14:59.818445	213		0
19850	10xw8zayd789ftfdfhndxp7ovn	$2a$07$OT2LTWCuV9lAg/AhtfzThOCLGnZfquCaJnA6pKau4kr8qiFDbYRHS	26	2013-08-04 02:14:51.695371	2013-08-04 02:14:59.936806	213		0
19851	10js5uldma1ziovec5ikfr53vu	$2a$07$L81DqW6BhA4I4p9rS4Y2.OfDA1ED.BmjawUikRRMsAbAkGx/borZC	27	2013-08-04 02:14:51.720065	2013-08-04 02:15:00.076333	213		0
19852	100eebzguxl1cubotyczhpids4	$2a$07$roWHwWgOLaJowksAHZB92OeXOGGUhgS2Pm4TTOJIJHIFnvkaQjbeW	28	2013-08-04 02:14:51.750147	2013-08-04 02:15:00.199146	213		0
19853	10kbz0byuk09ssy765nhlbmcsd	$2a$07$mRkVutFDhmYpiSd247KgtOkQ4CMb0qG2ktSO.uJ9ucjfhqHNg3f1C	29	2013-08-04 02:14:51.775305	2013-08-04 02:15:00.317934	213		0
19854	101rjoinjiw71b69rbfookk9ws	$2a$07$C8i/hMfhSnbv7RsN.9C8huhFiIX8rXtCp8YDszEHszfQRO3o7/IVG	30	2013-08-04 02:14:51.811329	2013-08-04 02:15:00.458805	213		0
19855	10y2p1rj1xbidr3f665676r155	$2a$07$rbP4.3XecPJu8BYRsSTCsO2fz9VPoTuy4I/bTxsNFM.4qht0gVzZK	31	2013-08-04 02:14:51.839547	2013-08-04 02:15:00.682047	213		0
19856	10yxyn1yiqz0n1m617o3kxjzgj	$2a$07$IdbUGnEueg0HvdaiB5f1g.8PSeSOm/SmDi3gsD/3oQhrmukrJ5rE.	32	2013-08-04 02:14:51.862914	2013-08-04 02:15:00.80415	213		0
19857	10ro6lcdx5ddk6ub9grgflo8h8	$2a$07$CLNqrdTlzxHj539kgvkQI.dVYf1Awn7jz61JvLquOXjAglEMK8Kjm	33	2013-08-04 02:14:51.885933	2013-08-04 02:15:00.997281	213		0
19858	10tx91vmfipo2bbc1871c37ay6	$2a$07$FuKJSc6Te1v6UGaZKhV.l.tnC7Cgv/9vA1tv1grFI8uM3xeofqUyO	34	2013-08-04 02:14:51.920627	2013-08-04 02:15:01.15588	213		0
19859	10z41bxz9boqrl8vbof3ll0hal	$2a$07$EcK.fV1CYcaHn/GuvQJjJ.bgG5lu7UrXzzLX6d/KKzSzGQPRYnTqe	35	2013-08-04 02:14:51.954902	2013-08-04 02:15:01.295874	213		0
19860	105ti5ee87ru64lswtdcm8gx3z	$2a$07$4fzC0avg9vbfyacusabHzO642J7ePNf3mXtL77l6sJNJ.MAp6A.Wa	36	2013-08-04 02:14:51.97906	2013-08-04 02:15:01.455828	213		0
19861	1042g2owqyx2fhyd5gyosd5bsj	$2a$07$wcFktB.6iWvCmwCAp/SPv.xh3c33/o5nuc4uObtFBj23GCPDPfG/i	37	2013-08-04 02:14:52.00198	2013-08-04 02:15:01.599038	213		0
19862	10gqlzkfa3ha5oqmp22o1aynyl	$2a$07$guGaEpMJ40wofrQWCipXW..mSRidAwQ4m9O8U2HtwNjQN7o55hyMO	38	2013-08-04 02:14:52.037088	2013-08-04 02:15:01.92668	213		0
19863	10ejr7mwrt7bp4kkestctlqeux	$2a$07$vO2HtyuuXCCCuHWhGvLrGu8j/164rBdUkxCRJj0ngJEytugjuBAiK	39	2013-08-04 02:14:52.0596	2013-08-04 02:15:02.026824	213		0
19864	10zstakkpisa0ms14g1mufxa42	$2a$07$Ems1w/OITUBTpvJyLY77iOxxdSfQrAcs0NgiVeA1eXFP.ePp.LuIW	40	2013-08-04 02:14:52.081318	2013-08-04 02:15:02.13164	213		0
19865	10a5nepdzm31icym165vrgylh6	$2a$07$IPO7Co.8vQYiyt.W.lhlcufLWBbQIHgePHtkxiw6nkk89X/4o4662	41	2013-08-04 02:14:52.104032	2013-08-04 02:15:02.250279	213		0
19866	10yf8fmvxoix08o98pge1qnfug	$2a$07$2ufL0HeqrhOD3ghswADotuYtI2v31SjiwljGQjZmBs83WvEnx9DUm	42	2013-08-04 02:14:52.127695	2013-08-04 02:15:02.353531	213		0
19867	10wsrcfd3l9vq08yjdidn6eoor	$2a$07$ZAZv0lWkErgwOhcGjzLs3eE.gGM6XRFikKNtgKdU/bLN8z5IyyafS	43	2013-08-04 02:14:52.149927	2013-08-04 02:15:05.06342	213		0
19868	101s349hbfrf9nhcnmo238zyar	$2a$07$6Ce8fBDzv846.JZnIJHa7OMv0wgcW8Gah6fvo5dvKwh.1kvZ3IDT6	44	2013-08-04 02:14:52.173459	2013-08-04 02:15:07.623029	213		0
19869	10f2n1sb1fh4x66nftgby7d6jl	$2a$07$3AJRfTCMyRKFam/pUKUNs.YSpf2pf86aNqVje3xCpmcm7Ln2rLpnC	45	2013-08-04 02:14:52.19564	2013-08-04 02:15:10.096521	213		0
19870	10atcv1kqbc8jqj3pgoth8jftw	$2a$07$39aQrGHhvyWy0myMSLzATeXOl5DahwC6v54YdrA3YR/KAKXx0qF5m	46	2013-08-04 02:14:52.219335	2013-08-04 02:15:10.236613	213		0
19871	10e7cepoligvkvv1z0i0qtlkmm	$2a$07$Bwm/kvAHlwQoqvh4.zssZ.FP/tE9ZNyyMGgPm0JrThOT9T7xXNE7q	47	2013-08-04 02:14:52.241477	2013-08-04 02:15:10.388194	213		0
19872	10exfdqu0wq98rtb62l72n89ip	$2a$07$4LZeJQ06jBVjNU/kDYqKIOVoPuONr6BT/TFjLHrjSZqx2fJmJGqby	48	2013-08-04 02:14:52.263004	2013-08-04 02:15:10.527286	213		0
19873	10eu1ml2ttc5m2cxkijovrga2t	$2a$07$ycwWsZEqk9pkvrThM6LyHOMlq5EfokWR280YNtoFKrinve4pdzUNy	49	2013-08-04 02:14:52.286244	2013-08-04 02:15:10.670203	213		0
19874	100jvpt7ruxif4sbk1dpn56zdi	$2a$07$IRUIF2K789pRhxYi9yKvNudx30yCog9yxTyhFKqpkx9TGUlpEFEJ6	50	2013-08-04 02:14:52.308379	2013-08-04 02:15:10.824017	213		0
19875	10zz6ux8mfk2ugxtan0mnyu4f7	$2a$07$DYqbTrfRmwImn5yTDNFdquGj.qOz6lZjiQ2sVaOtL9ELievHlOnvi	51	2013-08-04 02:14:52.330247	2013-08-04 02:15:10.974185	213		0
19876	10bzo70b7picvn1ow5n5ekbjlp	$2a$07$hC5n2YM1rnGhY3x6kNXnKOgWj8OIgs.Y896IWwAlzXFj7u6GaTiDq	52	2013-08-04 02:14:52.35319	2013-08-04 02:15:11.113069	213		0
19877	10wr15r3lpru2tk62q2rl750dz	$2a$07$yropVztSEjAbJxa6z/6hauK5K1jfShbheHUBop.uKofTkq2vBYLte	53	2013-08-04 02:14:52.37554	2013-08-04 02:15:11.213027	213		0
19878	10gt7w2cy81qz4pt8mt24oy3c4	$2a$07$Yj3Eqi9t/It9.tza6bERHOFQYoElzvG13uubaO0KCiMzylLtA2CxO	54	2013-08-04 02:14:52.398372	2013-08-04 02:15:11.330375	213		0
19879	10smipahk044dpzhog040u4ijz	$2a$07$ehOJhk3jTNTiVv0otaXzg.2hXSlQcXH9kXmhZe1m7LDE6QPEjyh/S	55	2013-08-04 02:14:52.421181	2013-08-04 02:15:11.455509	213		0
19880	10ecj3vog1fg08uqhbl0zrbhaz	$2a$07$MFlL6Qud9.wpyOzUDzZ5vuZNfqI3KBZdrF1FAL0BZvCzqQhA5ckE.	56	2013-08-04 02:14:52.44297	2013-08-04 02:15:11.56309	213		0
19881	10vx5pw0sez2q2go8kqi2ai81p	$2a$07$N2ruFG.W5OPuO1Oedl2Q9uqUG3PyiXu8pcTY1GQY2x8Zb/bk1PPoi	57	2013-08-04 02:14:52.465713	2013-08-04 02:15:11.683103	213		0
19882	10reruzc3phwhtesbzio9ekc11	$2a$07$dTO.acHzqTeRrwMIxKWZ7.nDlYNOi8gT9SQHyG13gDCplrW5.cbR6	58	2013-08-04 02:14:52.489243	2013-08-04 02:15:11.817202	213		0
19883	10mwn19hudj03gi4945znu1y8x	$2a$07$VqR5aqSzHpb3w9rzKfJZDunL5j3Ib6VTrVED85g6YvqNT126LiFdK	59	2013-08-04 02:14:52.511431	2013-08-04 02:15:11.953652	213		0
19884	102xgdn004kwz86ixxdgl18246	$2a$07$7lJ6tcg6k14VNiwNXp6yiOHw1K3nshUWnWBIEl3OxQim.B.0Oi2ii	60	2013-08-04 02:14:52.534194	2013-08-04 02:15:12.089181	213		0
19885	10gxwkct9xnyphnqlxm9p09n0m	$2a$07$oNWIoy3yCOH/1YT71XFBAe3nuEFto1HaIW09alLEwObePePaSkaMC	61	2013-08-04 02:14:52.557341	2013-08-04 02:15:15.10821	213		0
19886	102kycqcgea5vfe3o47qhvs52w	$2a$07$KUWEI.qpIrYFwlyLmKah3ukLjBteZ844zkWnbVRzRcuvkV/qkOmFi	62	2013-08-04 02:14:52.579583	2013-08-04 02:15:18.308381	213		0
19887	10tzw9acrl35wkg5lj3qsgq7zd	$2a$07$/X1qDH18zuvYM30FJQ9kY.0wnEeLhJEo8OS43Q/kAcU60ZPGAAX1G	63	2013-08-04 02:14:52.609432	2013-08-04 02:15:21.488759	213		0
19888	10s4xvd8vparqinhp48bvs7vr2	$2a$07$WjuhhwarBHQRMeaXoWxLoONOlqKgOR.1ikni4Yv4uP01ilSX8mS56	64	2013-08-04 02:14:52.633516	2013-08-04 02:15:21.625598	213		0
19889	103z43hb30iw8ojiiqgdcga890	$2a$07$/OA90QNOe8/OmmiBxUgNgewSODflSDaM3nOFZI20ci6tD1VNB5usm	65	2013-08-04 02:14:52.65736	2013-08-04 02:15:21.782566	213		0
19890	10myz5haahcu2o3bsihzhvn8vj	$2a$07$qR6kSZbIGc3Q7zDH5Qfl2efwr7tDyR85oA1/6pYn9iI/2FT0mGkVG	66	2013-08-04 02:14:52.681384	2013-08-04 02:15:22.814813	213		0
19891	100urpgxfmpk9s2zcoetb6sg2p	$2a$07$0cWtXhWtENMme9HBjrOse.UKakKL2LGFuG8sAspLuRoYVPiUkOHyG	67	2013-08-04 02:14:52.705128	2013-08-04 02:15:22.945972	213		0
19892	10eftv9eawm09d61g9181z0mrr	$2a$07$uPCNq0EL3hC0i8tCvQCPzezzoJvprovhvxv/xM0.mUJMzbi5heFrW	68	2013-08-04 02:14:52.730023	2013-08-04 02:15:23.085788	213		0
19893	10tg2yri9y3q1avh3pax5seyq2	$2a$07$Yq5uPzk3z8S3Le6Ii7pvAOJPcmRBHDEDs86dzBlKIpWCQl0dsPY/.	69	2013-08-04 02:14:52.756652	2013-08-04 02:15:23.20346	213		0
19894	10thvtry2qq182a0lf2f0jdo4a	$2a$07$wAnBdYK.n8XGXTmz31kciu22w.idvBWMm2QGXQvruZ27cOGV7tmOa	70	2013-08-04 02:14:52.77932	2013-08-04 02:15:23.342512	213		0
19895	10jyuwerljr8z8fi3ka3wafhvp	$2a$07$.EHLrZUsiLsk.ABjYnzk7OeT3a9qdqKmj3yEl5/2Rm1l8yPfG1nWq	71	2013-08-04 02:14:52.803391	2013-08-04 02:15:23.464971	213		0
19896	109siqvrxb9okuecdp6mbiyesc	$2a$07$kN36xZ9JUIuOBemBNhx/Q.u2L7XVo3YQT2sGBt0b4AsnTVhJjPD6e	72	2013-08-04 02:14:52.827621	2013-08-04 02:15:23.654608	213		0
19897	10mazylyevifhw6g52o5fery0m	$2a$07$Ws8Zu65QdTdb/Jnh6e2fBeWEU6yupbo2P3y79nRVZyyokgEc8ylbW	73	2013-08-04 02:14:52.851995	2013-08-04 02:15:23.791281	213		0
19898	10xji9lrs4ntwayu5vf4ctfi3m	$2a$07$3WeKEIlKTix4hzi7rco6zeFdInvVDYZYQ2fjVW7BsjRdtyBCtMOrm	74	2013-08-04 02:14:52.87465	2013-08-04 02:15:23.923157	213		0
19899	10cqr828yyl6a5cy2orfjgacn7	$2a$07$q9SZ1NgSiT1EcqSJKEHjRuDNfhciAcw2.cuKLNzjMSMVT6HIikBfO	75	2013-08-04 02:14:52.896964	2013-08-04 02:15:24.069719	213		0
19900	10nd728k3hw6gu9v0hwodr11bv	$2a$07$sJdhi/mzGXiNHs4qUUCgB.jW8K024JrLqOvY1OSv3vLaCIp7l5iIq	76	2013-08-04 02:14:52.918397	2013-08-04 02:15:24.215839	213		0
19901	10i4szaszba805x7s92g9ti95r	$2a$07$OBpLp4gM7AWOQUtcX.gNzOyytizBnvHdgkmHU9mku4lf4143yuWqC	77	2013-08-04 02:14:52.939976	2013-08-04 02:15:24.340673	213		0
19902	10r542h0r2u7br4fv9n8z7k6zk	$2a$07$k/tX0JIKO6XqgjKVwiU5ZuVgWCaZjLJvpE85y1Q9rPEJGdTUmY8U.	78	2013-08-04 02:14:52.961858	2013-08-04 02:15:26.92753	213		0
19903	10lo3tbej9lz9ql9ie7edbxb9o	$2a$07$ELGypehK3E6iOvPDzEYIAeZ2NURpm55oPLCEo4HLMPoFYQXFN4gNe	79	2013-08-04 02:14:52.984693	2013-08-04 02:15:27.046354	213		0
19904	102pqklfw4vf3viqfbxc8d4h1n	$2a$07$fCz9tHkLKq2VvkFWBHjUq.Vew3xITSo4GpLTR28nihR/.mIOc/KmG	80	2013-08-04 02:14:53.007392	2013-08-04 02:15:27.184737	213		0
19905	10pccjhfxwhq2l6wqlsra8r6vv	$2a$07$VVDCTGgBWRaCRxi5GBh17e/gtIfMT.SptWwste8fqp0LnG0gAzqUa	81	2013-08-04 02:14:53.04414	2013-08-04 02:15:27.332898	213		0
19906	10t7z5upljz7gdwpu2rf8mx38y	$2a$07$aALHBRl2tETCuqNSGDbOHeXoHs7Drc.IYmfxoqJ4Ci19cDChBHlZm	82	2013-08-04 02:14:53.071426	2013-08-04 02:15:27.442837	213		0
19907	1005500tg94tmevka7h3eq83ko	$2a$07$2N2BOQYX/E0rimQmmsjUK.y8159GIJxyWP6RLRfuRJurhUU2Cakq2	83	2013-08-04 02:14:53.092999	2013-08-04 02:15:27.650022	213		0
19908	10b2jr0fx9oy8fxblwsj3ioh0c	$2a$07$sYYp2SjJo.UjNwMvYyAAtedSSDQ4opMsSVLU8czXclac2VVQgm8Mq	84	2013-08-04 02:14:53.114371	2013-08-04 02:15:30.292393	213		0
19909	10sfnk8nbb093s3rd18b1x82mi	$2a$07$JMvy9avcj0T25WwpbIEzGO9nVPOKn8lyU87aQ2iTjt.v0o6qjIqnO	85	2013-08-04 02:14:53.135935	2013-08-04 02:15:30.418415	213		0
19910	10j2irq37lsnn62ng0witc6g1x	$2a$07$U5y7u8DJRXcIyUJwhZzsGep8vhRyQPuSgqFXgyvC3LcbY3a56kmr2	86	2013-08-04 02:14:53.157632	2013-08-04 02:15:30.531275	213		0
19911	10gy1b0zeqeg8k5and96130bzn	$2a$07$5bD8rOH355UHwcD06HXhpe4kUUcVAnB4s2wJAoCPCHmfDXYByeLMG	87	2013-08-04 02:14:53.179002	2013-08-04 02:15:30.64396	213		0
19912	10r7kz7nfqwpyn2ehd51avn8bw	$2a$07$rEPyALxXgvx1gE7c..CzMepMXeklSp.g8GQkb40UxFvjlX3lvwO.O	88	2013-08-04 02:14:53.200333	2013-08-04 02:15:30.791854	213		0
19913	10qpqkzejysrpy82hgcsv839si	$2a$07$c7jbI8l8Sbpk6J2DlE5vKO0tZN4AmBX5Q3SY45Ecy2qv8TvW23.Ta	89	2013-08-04 02:14:53.222199	2013-08-04 02:15:31.801459	213		0
19914	10cngad52k7my10q24ji70weam	$2a$07$f37af5ba3l1pGV/4plYsR.1l71e0sOzGbP.LIGy//3rljX6FBo4/K	90	2013-08-04 02:14:53.244079	2013-08-04 02:15:32.748918	213		0
19915	10frn947ty3i8nmx6ip2u01yaf	$2a$07$ZARKbHERCg/prGEsuK6R4e3GfVNleVQMv1aMaAb1OKXh71kzChwxe	91	2013-08-04 02:14:53.265674	2013-08-04 02:15:32.877471	213		0
19916	102w16z12vngi2wtbd8erp7sax	$2a$07$NQmiMXhgdnvUrXZ4jmdkK.cGX7WK.Ekid8RzI.QJVINkV8JFOKN0K	92	2013-08-04 02:14:53.287129	2013-08-04 02:15:33.016444	213		0
19917	10nceopf46wo5d65ic0ygqkso4	$2a$07$LyGw2cKGo3uilI045WEp8OqMx5QPkTib9yRP1VBQ86nFIqGmHjA86	93	2013-08-04 02:14:53.308545	2013-08-04 02:15:33.15306	213		0
19918	10yfxtoz4psexurbzgjzlofp2j	$2a$07$zMlbLgGH.GHmlLiPnTDHoOsfH7O3cfmPOaqnLu9C1xoPP7m3ju3qy	94	2013-08-04 02:14:53.329972	2013-08-04 02:15:33.27296	213		0
19919	10ir8z3qel6z2ss138vyxexlxz	$2a$07$CuwCYkPZP6oF29GyBSdAXeGqIhjFwzBrsTQxXv.aFxViSuxe.jORu	95	2013-08-04 02:14:53.351364	2013-08-04 02:15:33.408922	213		0
19920	104u0kvx002gil0z7wwk8384qn	$2a$07$LtsECaZV7Qw77Q1aY7M5kuw4jKzw5ldPSpiR69Qx74HeL0G2eAIX.	96	2013-08-04 02:14:53.372831	2013-08-04 02:15:33.550083	213		0
19921	10mr69dcxs5aqa5yhaafcugtyy	$2a$07$DTNxzYA4Qd7hMsAs11wKTOyBQU6oZnFTTDqTVr9fEIsoZGmD0/zUy	97	2013-08-04 02:14:53.395104	2013-08-04 02:15:33.706975	213		0
19922	10b5bloca9uc3rw7f0ylgq40kc	$2a$07$ewHRZcuZlu634TPI1L2gkeLIveZzRdGjyX7BBv9wZbKCAZAFQGtXi	98	2013-08-04 02:14:53.418519	2013-08-04 02:15:33.863507	213		0
19923	10zqiycfwy7jaq1ggg5hve5non	$2a$07$58QERG3WSoBpEXmIn2NYLeoSeDC0yu9.EmewWB7LMIzUrTd.yrl3.	99	2013-08-04 02:14:53.441099	2013-08-04 02:15:34.00179	213		0
19924	105bpvmq9tkkt6ccxx396l7nxg	$2a$07$j1NRjFLyvnlUzLX53LYMSOgr351sT1ZsjwuW9Jd.8flaMIbqWp9sS	100	2013-08-04 02:14:53.463864	2013-08-04 02:15:34.148158	213		0
19925	10yn8yybow19t8zc2s85ffziz6	$2a$07$XYldWPCuphXVIEGiRE6c.uYU0R9fmMWpyFBvcxGrT7dU.0J1.XLCK	101	2013-08-04 02:14:53.486878	2013-08-04 02:15:34.278718	213		0
19926	10wq6f1z9h25n7q3ojxtmc20jr	$2a$07$QSwB293oMyo9I3chj/Uv/.aixlxIKv5VOOxGTgDn0jT5UU3eXw7di	102	2013-08-04 02:14:53.509268	2013-08-04 02:15:34.41729	213		0
19927	10823bcyrsfa2twkna187s6twb	$2a$07$xq4puUwFwXTNBUEEhSPdBeBWtbZPMK5pWJsHQRHe5PWUmKFdnWBu6	103	2013-08-04 02:14:53.533057	2013-08-04 02:15:34.569023	213		0
19928	100788t2z1s2mjcdqgk675299c	$2a$07$Vxz3iSfbDyznsUZ9q0b3ouywCMt0q3fc4dtfwFjinOtgbYElAxmsC	104	2013-08-04 02:14:53.556329	2013-08-04 02:15:34.696299	213		0
19929	10adhbf60zmzif6uszfq9lli8b	$2a$07$3mTjIPcEXIAmOlCOFqnML.YJk87q/Kx6ATT2MbKB.cT/5Mb842.kK	105	2013-08-04 02:14:53.586451	2013-08-04 02:15:34.828701	213		0
19930	1040o2xmu416s5s4ziy02mamwy	$2a$07$XWtQ0Xeds9Po/jnkW8hEQuP7CSgzNiCuI/9.DbVNphhmYveLP/gf6	106	2013-08-04 02:14:53.612824	2013-08-04 02:15:34.965171	213		0
19931	101r4mr28h2bfik04ds86suihq	$2a$07$Nx1SjCAEza4L0XwiX2FVyOQiMwqR4bcfbghXgSfFHIbd5tOcKSPT2	107	2013-08-04 02:14:53.634786	2013-08-04 02:15:35.109252	213		0
19932	1098rerlf39w00xv6hqpu1gi2i	$2a$07$RjX1jiJ/Mwqq091y7iB4kuJ4h8auFTfAU3YJZ60.9V2iYhH8m7p12	108	2013-08-04 02:14:53.658946	2013-08-04 02:15:35.27559	213		0
19933	10ip1in86kwkw19ou4kqmgepjh	$2a$07$jlU5Mnh/6JbEcV/GJoLhfuJUsbOV5SGhXsmCLZx5LicIE2xcXbDfG	109	2013-08-04 02:14:53.686719	2013-08-04 02:15:35.400577	213		0
19934	100lrlj8fcyjs69ro2hldqpouw	$2a$07$UP/syFRPxyIeCpUAGIY4WOYwzypd/g29VEBRl08k8U5VQDhSJdjTy	110	2013-08-04 02:14:53.713588	2013-08-04 02:15:35.596097	213		0
19935	10xdnvxh0vs581fsheuzn3hdvs	$2a$07$ncMXpt3fS8NYMtEBFaLBmOsqy5Izbpr1A12NmrhMaZGcYR45W0nl2	111	2013-08-04 02:14:53.74524	2013-08-04 02:15:35.750995	213		0
19936	10j4bxdwi8wd54rxubvnvx6loa	$2a$07$pRMT3SfkHauGl2elD3R/TuA5QT8bASnM/.VVDao0GRw5BbUQpZ3vW	112	2013-08-04 02:14:53.768943	2013-08-04 02:15:35.881078	213		0
19937	104bg0k7sfe4gmqz10re5om0nj	$2a$07$9yw0Hv5ITxpnucSt4aZhVeE5jiMJx2KgnbMa7uPUxMbIcNU2ap/9O	113	2013-08-04 02:14:53.790925	2013-08-04 02:15:38.837227	213		0
19938	100zejs7y2xe5nc3996c8ob0g4	$2a$07$SPBaqNjRBRnUEWzGvOVV9upB1k1NNT4EEtVVe8hdrW.iIDnHr.Vcu	114	2013-08-04 02:14:53.814776	2013-08-04 02:15:41.852044	213		0
19939	10l7np0wgalzke2b3zft6j1vq4	$2a$07$aO415V22hkl4jKvtaBfNy.DUa78e8AOoenpMr9ek4eLRWscDP2cK.	115	2013-08-04 02:14:53.836828	2013-08-04 02:15:41.978914	213		0
19940	10t6xxs2ms5i2dnc2rot0jnrpn	$2a$07$qPZzs3tC3/m72FlBc6dct.YtcxHHab7GxXNST6ovaH9pOQQwLnWuy	116	2013-08-04 02:14:53.85997	2013-08-04 02:15:42.135239	213		0
19941	10iindlbxcdszu6rt1jtc6nw26	$2a$07$8EzX.Ik3J1F2KTANgkuQu.gkKSYlevw5pSJkmCsC/EqqtHSNGBzqK	117	2013-08-04 02:14:53.883327	2013-08-04 02:15:42.275233	213		0
19942	10s8x235k5vkut8vwjbswe6jjw	$2a$07$semEdKtQBGmSCcFpOJa0Yeb/tDFdpuxHpmCjZX1pPtHEl8q/Ed0ey	118	2013-08-04 02:14:53.906316	2013-08-04 02:15:42.417851	213		0
19943	10lurgqv43jfkiyv24jy84kmwo	$2a$07$F3AI2H/S6Kw/dkMYPQ7Pr..zKymo/b7dtLmaQLUMptrPkeQ/Lj81a	119	2013-08-04 02:14:53.928819	2013-08-04 02:15:42.556891	213		0
19944	10nhq54niop75pnoywt9v32kxl	$2a$07$05VyYxrgSIfFWyC2mLUgvuyujYgtbNOZ.jE83a88nF8mhGjfdZMka	120	2013-08-04 02:14:53.951285	2013-08-04 02:15:42.685179	213		0
19945	105xbk970dty066ue8scrnzxw3	$2a$07$qstr2F1ltLTZA79spH/RDOPar2Bx8oiJDyrX3aeyIpb8MQVPujAhK	121	2013-08-04 02:14:53.975109	2013-08-04 02:15:42.857123	213		0
19946	10uneha8hfqi2i664hgj18zk7d	$2a$07$14ntzRyR15vi3ifjzxxzWuA8SazJy8XoS6nhMD3sBY5tSJ6vAgIcO	122	2013-08-04 02:14:53.999888	2013-08-04 02:15:43.109927	213		0
19947	10isg67b91h0bt3pgh7hp8l93q	$2a$07$o5E/GR3CEFmCATZT7dtn6Oc2g6p3Bfdj6iAi/iOUKd0bXhuPWljyy	123	2013-08-04 02:14:54.026323	2013-08-04 02:15:45.909107	213		0
19948	10za3uoxvwf5x97beaqxesj1us	$2a$07$7oqCkSjZZpF.FcDU2CWgKeg8hMtXM9QPRW5uNJklzT2OpY54Zj/Ve	124	2013-08-04 02:14:54.051907	2013-08-04 02:15:48.903318	213		0
19949	101mkcwo65r0da4lu6nozzz2il	$2a$07$N7vYXwUtkelQM0xC3CwKouIc9LPvGxK.7LTPt0CAnTfCnNPRq2Px.	125	2013-08-04 02:14:54.07589	2013-08-04 02:15:49.029383	213		0
19950	10gxwcpah7d110qxwdc5oyrhub	$2a$07$Espk.9W6SFh1vnoJk72VoeMBOkLKE6mdV/82XxjXJnvZUYJ5MWMJ2	126	2013-08-04 02:14:54.09984	2013-08-04 02:15:49.175105	213		0
22471	10m4d5kjad73tlrn5pv24519mw	$2a$07$JKcvLHbsDbQzF0TXXHY/LOT/lcdyrcWgSknRLGzD/XMWzpiFecmFa	1	2013-08-04 17:55:54.020337	2013-08-04 17:55:57.397276	234		0
22472	10ca44idgxw9s43sfksu33agpu	$2a$07$0oosQnEctKkav3Ar2ChtluscQmT9wVXXbvJg330bsXoP1NNOufUDe	2	2013-08-04 17:55:54.045097	2013-08-04 17:55:57.55215	234		0
22473	10xv9q8xsfsvbmmdznm4t45m2e	$2a$07$Zlz2AcpKgjTRsOqP/cE01.4fZHseexeMnbFHpg84MPQZS6R7OSu4a	3	2013-08-04 17:55:54.07465	2013-08-04 17:55:57.706691	234		0
22474	107qo7k7cdqqm6gh7ncc6r3r2s	$2a$07$nUomp2cgSP5Uev1P5H60qO2Xum8dpiaYJYb1.4oluN3ruoPJv.0Eq	4	2013-08-04 17:55:54.107338	2013-08-04 17:55:57.83359	234		0
22475	10ls14umy344gk2t6bltdeiliz	$2a$07$vOajXZS0LSD9d2A13yL1hOP69m7vyIlfXM.wMMH/7JhOqVuJRKDuS	5	2013-08-04 17:55:54.130979	2013-08-04 17:55:57.956739	234		0
22476	10y11nc3sgep650qn8z0rs89yy	$2a$07$WkyU0AQinTQj.NT320F3pe4cGfdVsBKbWHQh4lx1J137UEtOFml3W	6	2013-08-04 17:55:54.153214	2013-08-04 17:55:58.081092	234		0
22477	103gr36mmwrexymmlzlfgay5qn	$2a$07$xs6/FYuz4EtG8kTQj0AXX.sGy1.XJ2kYrK4133/P0v7m2w3CaBCgG	7	2013-08-04 17:55:54.176829	2013-08-04 17:55:58.243672	234		0
22478	107zyz6fw1kgyxxckpuu100nil	$2a$07$92dxzfoF41rw//UBolHwAOVbScxgeY2EJuxQJjcTQ6deZYi.sEFpO	8	2013-08-04 17:55:54.200149	2013-08-04 17:55:58.389927	234		0
22479	10pn0nzw7zwfead6y5lnqytwpa	$2a$07$GtB0yfUuqwvLXNOhQFWNE.lpD1GZFWoRG4ZXAAJmDq4QnluxfR1FK	9	2013-08-04 17:55:54.222839	2013-08-04 17:55:58.543601	234		0
22480	10hmazju9t7bnpejtwuzkrdy60	$2a$07$Oc7l4OYb2RKLeZguGRkdbubQGsyjPTVJInqfIV/E7A72qBvEQGkOu	10	2013-08-04 17:55:54.245928	2013-08-04 17:55:58.686985	234		0
22481	10b2g66qw61aws6ze3c0iv29c0	$2a$07$FcTdpFYeYa8nFz9v7x3sOO6Jq9OA9qlbFa00gZzBxujKNXJxm8rMq	11	2013-08-04 17:55:54.268453	2013-08-04 17:55:58.821524	234		0
22482	10ngu0plpmc6s8oyn8nb79ftm4	$2a$07$NXWva6bwm/IBiwU5NHARi.ROOOTeNVntojdPKUqcXT0CWe7rSQLSK	12	2013-08-04 17:55:54.292104	2013-08-04 17:55:58.978246	234		0
22483	10xpmtvh3xspbbh8vprodohq9d	$2a$07$bGqcuQZn83NyndKBOyf17./dtRhF3y8MPKwDK3AfobU3r0gmLG1du	13	2013-08-04 17:55:54.314549	2013-08-04 17:55:59.106933	234		0
22484	10aq10d54iwjmx9a1nxq0jrzhp	$2a$07$lBk9zyadpRd10z.2DXyq3OX5YLYpzaaCcnsBRtE6xExLRY5daXitm	14	2013-08-04 17:55:54.338123	2013-08-04 17:55:59.247137	234		0
22485	10wnn3nssgh85mwbhq6wzgs91r	$2a$07$cqf3J402HrV07Z0buAlbVuKrKgYfPQFM/09WHJwLqzRFsjlMiCw/2	15	2013-08-04 17:55:54.360296	2013-08-04 17:55:59.402625	234		0
22486	10mkuyxblc3lwyiiilzov2val9	$2a$07$L9jOH9v6NJE3dU9pBUyEduii65HhwpYwANnwGOHeaaHHxCdT.ozP.	16	2013-08-04 17:55:54.383065	2013-08-04 17:55:59.552185	234		0
22487	10l8o5lh14vfoo3s0s2c0n2g94	$2a$07$xGpz8hxMAkPiMgrMS9f5w.DJYeUbxeTHrhPPj8MYebxvAURMfI9h.	17	2013-08-04 17:55:54.407265	2013-08-04 17:55:59.686729	234		0
22488	108xwj3x6ge0pox0iryw44r7m8	$2a$07$HL774GuFAnJYGlS64NA6nOaNWPOs6QHN4tLrYKOcLCzW8ekayuDT2	18	2013-08-04 17:55:54.436359	2013-08-04 17:55:59.806064	234		0
22489	102c8nq22r0tlf7frdgri3hcjr	$2a$07$2LKPAPKL.V39g2nqhOqW1.bSb71yl9B.X0colhK0Be0yDV5W3LZae	19	2013-08-04 17:55:54.465388	2013-08-04 17:55:59.976946	234		0
22490	10aumlg8lhot6goym66b6e2xwz	$2a$07$72uRcjYI6qamD144bh5eaeGKCJ15/hOTqhnKb6XKKWFdQo0II1z8i	20	2013-08-04 17:55:54.497162	2013-08-04 17:56:00.130456	234		0
22491	10143i1c3zm84e9ryizt3v6qrw	$2a$07$4x7Ws2NEZw6geVF/SB/S3.TusWxEgImhNuddY/7BHGAR6.1jq2Fp2	21	2013-08-04 17:55:54.522029	2013-08-04 17:56:00.28256	234		0
22492	105myz7fmgevwyg45yt7dzoxdu	$2a$07$/mnb7Bueslg2D9lNBhMj9uopwo/BFH9V8XyK1D0oPnc1gZ8nrNv1C	22	2013-08-04 17:55:54.549577	2013-08-04 17:56:00.431705	234		0
22493	10st85meukxlzwjgvj8kig74jj	$2a$07$Jewli6tULuW0TQFMZHz9NOKpyFlPwS/5q9TpLlqwpfQzmhvZCHKZy	23	2013-08-04 17:55:54.582901	2013-08-04 17:56:00.562386	234		0
22494	10srrwwcezlp5teviej4ysgrzb	$2a$07$vDLlo18GCIFPm3m/oDatm.ibM.36DadTXuAA3i/Sm4.jV6VK0SWUe	24	2013-08-04 17:55:54.608334	2013-08-04 17:56:00.710153	234		0
22495	10ch496vn5hehit4fexe1wxk0i	$2a$07$BLNeXJW.8zBgc0uuVIkeX.2bDHTjn3b7fWzwcsUmzHNV5GOHCgZzK	25	2013-08-04 17:55:54.633102	2013-08-04 17:56:00.854488	234		0
22496	10g5ee7um9mqhpaaypgh9zmhks	$2a$07$16J7tird2IX0rmPx3JU6R.ekVYPhedr/6mZy8TO0RFaCS5RLTuQkS	26	2013-08-04 17:55:54.656619	2013-08-04 17:56:01.009799	234		0
22497	1057dl2dx2sysn6j8o2ay50p5l	$2a$07$uvifNcXGhD80D2w5Jm.ci.7luFeSxGadXti5DESPxD/tXgIMAgR9K	27	2013-08-04 17:55:54.680168	2013-08-04 17:56:01.145529	234		0
22498	10y789pl76ww4s5yjaau8h7sjg	$2a$07$4VbJ6aNdy.fRMoyxv4AqsODcbW3S5qSyl14Wv0GBf2LSB49PMpuh.	28	2013-08-04 17:55:54.70342	2013-08-04 17:56:01.288876	234		0
22499	10clfqssbblxtkwtsz5gyiholp	$2a$07$k3sn054FbRQonhEQCRBgMegOC01ZzsbdhQs89E1avzfS0rRH42jc.	29	2013-08-04 17:55:54.728459	2013-08-04 17:56:01.427571	234		0
22500	1012fmls80wzanklyjoopnvgw9	$2a$07$sC2Yp7iL7PWCQkw5ZQRwI.0I.rdHHJAEAAS031X/UFhdup068wIhO	30	2013-08-04 17:55:54.752498	2013-08-04 17:56:01.588087	234		0
22501	10o1qzvuwujas0fr708cot6bog	$2a$07$7siX0yn/dZ.4jITDiXVbl.ryMI0r0rLx6WU0Et5jP9MydfWvqYS.S	31	2013-08-04 17:55:54.776564	2013-08-04 17:56:01.734668	234		0
22502	10i1vvmr9vvz7w0zvey5x5sr86	$2a$07$QX8B.Y6zdrhhS0gTOnyqcO1Men5FnSkRPD8poCr2I4I4tupyvshcu	32	2013-08-04 17:55:54.800351	2013-08-04 17:56:01.894508	234		0
22503	10f261c49bw3m8wab8u3nmmbr8	$2a$07$7Fjch8D7NSVcVGKhazMIf.ocUl8PYSQWXAB8/JAV1oEIrqXdqzqzu	33	2013-08-04 17:55:54.823709	2013-08-04 17:56:02.021545	234		0
22504	109cj5bqzksrcoevxvxhu54doa	$2a$07$T5eQ9qpoqMoEHlHxHEe3d.rvFvk6BJ6Z5rJWGKgFQ6d5Ykb3QAyaq	34	2013-08-04 17:55:54.84611	2013-08-04 17:56:02.25082	234		0
22505	1079mxvw955wejtbv7odbuc3a0	$2a$07$LdOVLXuvMdHN25KdprbIj.IFz8XMr1Myp0lzndh7Rl8ZXA6ml3QlS	35	2013-08-04 17:55:54.870051	2013-08-04 17:56:02.545276	234		0
22506	10dvg26t575i629njfst9vfoso	$2a$07$DQoSirMVh38hUlH.UIiP2.npAGZXsmYEAE..RC0QEI75t.HIOXMPa	36	2013-08-04 17:55:54.89228	2013-08-04 17:56:02.750103	234		0
22507	10e72hozc86kwjasym63pog7hc	$2a$07$ymkwgt.eLdyjUykjWxaOW.eLe40tbTASTPCdasDSdfweeajJW3Q9a	37	2013-08-04 17:55:54.915492	2013-08-04 17:56:02.888594	234		0
22508	10itgi7544glybu766sup16pfu	$2a$07$AoMHA6bbpZQBlfTqzWMkOuXDJM5jHC4PSOzS9c7kMwHiSSAt9UCYG	38	2013-08-04 17:55:54.940348	2013-08-04 17:56:03.024353	234		0
22509	10gbebv6tykd3jevs3ihzzwd7y	$2a$07$AjyBoOhyWZCq0sXwU4xFEuUeB2ECIqvGnHbaQ3M4Y3GKSP9mAanwK	39	2013-08-04 17:55:54.96862	2013-08-04 17:56:03.150094	234		0
22510	10e52s4kuyw82cqg30fpgk45l0	$2a$07$CJTrUD/c9AjeUP0hxFwx0.a9NP6jXs83/1HZbyyaBQl21gT01M.Q2	40	2013-08-04 17:55:54.992475	2013-08-04 17:56:03.285957	234		0
22511	10rrpgws0ihm76kf61uhbbagxk	$2a$07$3kJwmfnYqnEcxzg0QodWxeVRkNETqcV8xhCite0Z3WZEWwvSVd07C	41	2013-08-04 17:55:55.016163	2013-08-04 17:56:03.429002	234		0
22512	10r8scdx2bldzvlbums14xk6a1	$2a$07$mh0CIyG7y0EKIAWtkUVp2.r3Xj8IEVG0seL.7B.7waKQBnKzKUWBG	42	2013-08-04 17:55:55.04076	2013-08-04 17:56:03.569047	234		0
22513	10xjdaeayie3yt6n0wb9uffuqd	$2a$07$7eNJxhSG85/nJnKWkkJfO.nJponIt/O1pQG8TdPpNxcYErhCDRViK	43	2013-08-04 17:55:55.072635	2013-08-04 17:56:03.717377	234		0
22514	109rxkg5puq2q5s96wrjxd31qz	$2a$07$BM2hKHc70qsHjyH4EEsKD.IOKkDhWEm7YhJkc9P3WkiKBOGcp.jjS	44	2013-08-04 17:55:55.102448	2013-08-04 17:56:03.875561	234		0
22515	10kffh1v6wa91vn6zj4nmq0ajs	$2a$07$hFBB1uaN/.YUYBYrhADvo.tfGb6nP30KcXuPzHFJauoVaKZqr7SQS	45	2013-08-04 17:55:55.126056	2013-08-04 17:56:04.012079	234		0
22516	10o255cyjtr2eml3h54512ihs8	$2a$07$UisxkrjcgvwHWgaHWYDu9OP.fNluN5P0ya8cFZLMAO6M1Q7WkuwWS	46	2013-08-04 17:55:55.149788	2013-08-04 17:56:04.165335	234		0
22517	10fadw0es0fcte4xxq2t2gksc0	$2a$07$c9Nc5YRwcb/tKIanzq7b9eIAujAJHJiYvg09Z8.43pYOnPAiN/89e	47	2013-08-04 17:55:55.175077	2013-08-04 17:56:04.31169	234		0
22518	10xcqry65keduckth38yo0nm8c	$2a$07$LCvieye.tLo.O40wgd7.suEKDHMbC32zWZkEBDIYa4tQ0i.OcSdGW	48	2013-08-04 17:55:55.201235	2013-08-04 17:56:04.457548	234		0
22519	10c0vcyj22r40e4jvwl9csch81	$2a$07$6JgBoblndYz8E/ErC0UTpeSUT3y4nEFnctvvS5SDBpi.C8qW1zx8u	49	2013-08-04 17:55:55.223338	2013-08-04 17:56:04.630517	234		0
22520	10maez19vvi7enouw7f9vzf4x6	$2a$07$ipyR68XbWxoSrsWJ6.ekieV7LkcSerfaF2obsKW/b2RbrN71C8dt.	50	2013-08-04 17:55:55.246988	2013-08-04 17:56:04.800319	234		0
22521	10tsko0506w0wxsh5kwsc7gw26	$2a$07$7WrhxCy3PzIA4fVxORuK7OTJHU3Omb.MlwrMCZpXvqrz1lFHgxeiC	51	2013-08-04 17:55:55.270432	2013-08-04 17:56:04.952533	234		0
22522	10i2dugcvsw8hfbqcr1puivafe	$2a$07$UyKC1goxaYHH7amrdjM2Du4gxvhgKuBnTLR4Zv6IasdanhRkmZn8K	52	2013-08-04 17:55:55.300635	2013-08-04 17:56:05.155296	234		0
22523	10kptmnse7qtm9udv5icioa29l	$2a$07$qnmMSa5XYkNSOK.O6STciu61c0NbU0TMWSS9eFwf2SyUwFPxGatEe	53	2013-08-04 17:55:55.329676	2013-08-04 17:56:05.323619	234		0
22524	10dzqoi9ogid1sd4jqjzamxxqm	$2a$07$tKlO8RmV9aC7.S1VJ2nkLOBXpC.YUj.7c64GJ9TuDgekXGaPeIDxC	54	2013-08-04 17:55:55.352995	2013-08-04 17:56:05.480969	234		0
22525	100bjwkp08m0sos4dti4h72sh1	$2a$07$liF6ClQQLQDBkOA08.81IewWmCvVoxfwWOqJf3c4pa.yc0qMSNDS.	55	2013-08-04 17:55:55.377038	2013-08-04 17:56:05.614894	234		0
22526	1008rysez9awg4hy7eqwexm75d	$2a$07$3aCcjOELbSA5qdq.cMp6HOqEaBXDagDKMbzEwG0kKKr.IEy40A2TC	56	2013-08-04 17:55:55.401331	2013-08-04 17:56:05.757975	234		0
22527	105x7tj444w4gbtitmtr8zvmdd	$2a$07$eeJqre77PzlY1MtaoTSWde/6DyzI024dASoTH46hd8hhzQJ5hmI96	57	2013-08-04 17:55:55.42472	2013-08-04 17:56:05.893827	234		0
22528	10buoxczf2aw3oicy7et06rl34	$2a$07$vNxSCTuPLJuCnu9wl/NRQOqBKMtnVpe9AQDAjHnFCoJRYhBxiFY9a	58	2013-08-04 17:55:55.448294	2013-08-04 17:56:08.601522	234		0
22529	10gs20vc1qb0zj5kzzd74h1u5k	$2a$07$U9.LyUtbysBYsS5sRmFF6OPMCB50ZiEMfwh5oHB0MmeOUyTY4xP6K	59	2013-08-04 17:55:55.470973	2013-08-04 17:56:11.574879	234		0
22530	10c6yj8c5xc74aqiqt8gugjhip	$2a$07$MbZwYIp4Vv2i4C7VfLzIUeVw2UCG59JBORLdgC7uSqpr0T0tudn2.	60	2013-08-04 17:55:55.494706	2013-08-04 17:56:14.497322	234		0
22531	10vv2n4blyanuc8wpsi0ge6aua	$2a$07$0Hdgo7RSXbQtaPzX4jj91em3jG.iauWdukrHdUvIULlez1P7fg.zi	61	2013-08-04 17:55:55.521132	2013-08-04 17:56:17.360032	234		0
22532	10anqxyo7u834npennh6ed62y8	$2a$07$dBEkG0u5mvkyS4tXcugtR.HVZ7wuZ1DtanLkwmQXgtZTTLs5Tqp9y	62	2013-08-04 17:55:55.553278	2013-08-04 17:56:20.354019	234		0
22533	10et78ys5txzdvp463t6giacg1	$2a$07$1aHKiLmDJ7jc1/SRb5eud.BapP93U.3NLK/IS7fgE6ZJtyqJJ83X.	63	2013-08-04 17:55:55.575872	2013-08-04 17:56:23.351483	234		0
22534	100h8tvpa7lctvz2ixvasuu42n	$2a$07$CO8ub/C9jEyHylxCRc2S0.Ir8vEP.E9jHGWgvnDIvsV27jpDM9jhO	64	2013-08-04 17:55:55.599353	2013-08-04 17:56:23.49102	234		0
22535	10xccda1urrd3to5a0rzqlq2ea	$2a$07$a69W/G4kNPkkRXegGRCJ5e9DVqJEDB.HMxAgv.cZcBnWhPdhS8g2C	65	2013-08-04 17:55:55.621719	2013-08-04 17:56:23.627951	234		0
22536	10svdfsd1kycka0mrzk53zpnrr	$2a$07$sHbSk7vBT4zycE2kG2b8pOhOrSOed7fTgjnpVUcqPTgr6kcBXdDGO	66	2013-08-04 17:55:55.645827	2013-08-04 17:56:23.762801	234		0
22537	10hc6o7q77ivj4hdkl64lfipu7	$2a$07$xg9U3SsIZI9BeXcrmhwRGe9NN.bgiVgoF/7YGVUhbRqXJjEpLtcsG	67	2013-08-04 17:55:55.668416	2013-08-04 17:56:23.886776	234		0
22538	104kpw0s248nd6z8pbg93kp9mx	$2a$07$1FfImwSI0ApaEtP6LjO62.zPYw1Mrcnpp8t.1PDWFPsdFsxr3dICC	68	2013-08-04 17:55:55.691944	2013-08-04 17:56:24.027406	234		0
22539	10ixbpib3tqwx8xrp7dx476eda	$2a$07$AbEYyW.fF2LHkgRJ0gnLVOZrHD21Jx2LtB3V4/LYt3XiwASM4JCtm	69	2013-08-04 17:55:55.715471	2013-08-04 17:56:24.177332	234		0
19951	10yl9qrj8ht5eqr1qvyr8lb09f	$2a$07$60fRnHzaj1VHPukLOhJmuu1bHJYT5eemH9xu7icyGy5B3HTo62Rpu	1	2013-08-04 02:19:51.0298	2013-08-04 02:19:54.284915	214		0
19952	10w05hzwevag9fybljn05x84o4	$2a$07$TwcYW7khMiADAuNH5k65HOH2Ku/4Q82q48uUsgMiufhu678CTrslC	2	2013-08-04 02:19:51.057601	2013-08-04 02:19:54.422362	214		0
19953	10xeahoccbe9fr6da18i4qt91e	$2a$07$n5y7QwRxXm87isL3EPSuEeV7JB/QJn56KYyDifsmmZW5NY7DA5Dju	3	2013-08-04 02:19:51.084115	2013-08-04 02:19:54.555005	214		0
19954	10tfg8owbb9sf0ix94pfoluaqj	$2a$07$R99aHOjxXxfP4edC6EOJmeinmsqeVk.vBpXKC60S34JMAoSQB0Jv2	4	2013-08-04 02:19:51.108613	2013-08-04 02:19:54.69992	214		0
19955	10g60uccpfw78fgojedasutbff	$2a$07$57jzw6t1tJ8UqarOKqYDL.yF0hzg4wKpw5s7pBEG0.hqtrz9t9vHO	5	2013-08-04 02:19:51.131379	2013-08-04 02:19:54.837153	214		0
19956	10w56fk1dxg5kfv1vflghtki8n	$2a$07$oOBBvTrA8HMxEB.rigqVRunZUwh0IQYLH0zz2f6RauXssEObC6dim	6	2013-08-04 02:19:51.153085	2013-08-04 02:19:54.955088	214		0
19957	101jym70pppumrqzkvkbopzo98	$2a$07$YPTxwciKQO12M2ouu/I6tOsR1pJkwqUNqdkDL27WE06DvRzgk3TL.	7	2013-08-04 02:19:51.175598	2013-08-04 02:19:55.967112	214		0
19958	10fj8h1x6apnwjzq7ae9hu7geu	$2a$07$IqKOkck5n6eUU3jLTmxzmOIZsEN0LE0.Vnf4OpdgkMaDhxql641u2	8	2013-08-04 02:19:51.198132	2013-08-04 02:19:57.006142	214		0
19959	10fnmbnrsmkhixk9wfa022r3bm	$2a$07$RGrCBJSDskFyzHCGxwIGPuwekuLEyodY09OpdzQnva2EhNNN9jgPK	9	2013-08-04 02:19:51.22035	2013-08-04 02:19:58.036436	214		0
19960	10bc74uc33786j4nwayhdiynza	$2a$07$qS2HjIsH9dwFEA/YVnJkMe7K8GXPFBgbnlIxX2QgeBR6ESQTs6Fra	10	2013-08-04 02:19:51.242206	2013-08-04 02:19:58.175093	214		0
19961	10xrw5ztm2qwj2mh1r0ado57l7	$2a$07$mHf2ll5f2LKOJenxssK2o.7Gp.Nac85X7f0u4RM4rksljP.UOCncq	11	2013-08-04 02:19:51.265073	2013-08-04 02:19:58.311186	214		0
19962	10r9ptia6x336aggeqt2518ga2	$2a$07$DhslDSUarZdDzpPVM0SGPOJyx3484sulvfdqP4OWhyjlzZSfiR3U.	12	2013-08-04 02:19:51.296036	2013-08-04 02:19:58.448055	214		0
19963	10ij6ptwrtr4b5lxqmu8pl8scu	$2a$07$UATPz/VXTp06CTgpHOK14OkB.j3V5VUVUJOUNI5aZ5LXcOr9vKYt6	13	2013-08-04 02:19:51.333838	2013-08-04 02:19:58.586042	214		0
19964	10grpqkp2nruycvhmnrjis63qy	$2a$07$t8Ezq6LSx2fnhsZgMiu35.PhpJmWCQIOkqogy/FsKWFavW/wgZW6G	14	2013-08-04 02:19:51.357707	2013-08-04 02:19:58.723964	214		0
19965	10ufv00abke2nar308bbak04u0	$2a$07$T1kYqmysvr3mGFtCuzWLC.yKHyauNRE.wYIiys7L7athhNtXHHBOK	15	2013-08-04 02:19:51.380641	2013-08-04 02:19:58.847039	214		0
19966	100ndz4yzf3o9dfmgvb6h4jw1l	$2a$07$rrwVBgrW2HhcgICyjpI8RuX6Uq2KK7Ez4jWtAyF7lrLANo1247YOm	16	2013-08-04 02:19:51.402423	2013-08-04 02:19:58.989573	214		0
19967	10fgzplpdrlhn4vuewav07zvjy	$2a$07$2vVX9wk9tnzDSfjvOg9X5.wLSclL6d.zT2/LlM6xi7xKL1CpF80LG	17	2013-08-04 02:19:51.425713	2013-08-04 02:19:59.129235	214		0
19968	10tmx6fsr173g39f5afygu2txj	$2a$07$E27egx0Yf4Jzers3CPlQVOBJHsbNfAW/EfkSqrzRCYhWnFDM5DiS6	18	2013-08-04 02:19:51.447568	2013-08-04 02:19:59.264142	214		0
19969	10b6vv7wih85zku6j273d3t8sw	$2a$07$a3LXf9L/CkU.8pToeGmIeeuUlVmc8d3M.q4gUllB/FzSHJrrDe.oC	19	2013-08-04 02:19:51.46954	2013-08-04 02:19:59.411482	214		0
19970	10wyykg0ooil585s5yvpid6ldd	$2a$07$sp2PjYMyVeEFM14jzAF3leeRUOP9ts2zMjbi2PXqgCvp7Qo5rZuO6	20	2013-08-04 02:19:51.494084	2013-08-04 02:19:59.573702	214		0
19971	101y33u9hkti0k8zg8oczgmfvk	$2a$07$CeGlhdpzG89IxsWsrQBZOOxl8saKaFMyxDNWPTt1MA9ZcUN3pMB2G	21	2013-08-04 02:19:51.521537	2013-08-04 02:19:59.701543	214		0
19972	105qzm5gytqscg46xkpbhvcfjq	$2a$07$FokAYTCUh/9jO0DtBaC8SOChKUnpH2q9vl0wR1fQWPHebyg5TJvR.	22	2013-08-04 02:19:51.545277	2013-08-04 02:19:59.838193	214		0
19973	106z1uw6c6ymgsfnocamtdgxny	$2a$07$eFTG7vhTatgQgNLbmk57dOoMyxQ55r.ZNthHrK8x8Dnll1I6r757W	23	2013-08-04 02:19:51.569988	2013-08-04 02:19:59.970701	214		0
19974	10zxf0encz0y5gb849fnoqe3yj	$2a$07$pi5VGiOQs2z5F3qC.dq2ueGkEFmCbnERcbgdd4BnttUZ4.H3e76cO	24	2013-08-04 02:19:51.59249	2013-08-04 02:20:00.103589	214		0
19975	105zo89j6s7iq9n7wsq1uaytj4	$2a$07$hCQWx.4pShLIq6r7LfKKYOs0AvnOg2EpKIEhKfvR.Ssygyus6BJRy	25	2013-08-04 02:19:51.615695	2013-08-04 02:20:00.24423	214		0
19976	104xilgd8tyt8dseznaix8ac4f	$2a$07$qIr/3U0w44nIQk8TEd.DYeXspF76IWwrq2fTYTI.1xHXJRHSi5jly	26	2013-08-04 02:19:51.638626	2013-08-04 02:20:00.386823	214		0
19977	10gapk35ftx1nu25m8rhgt3qd3	$2a$07$HtsEPIKm5mKYyxEzbJinHetMVFL6.f0jFiaslTzBMRwBWNghatHry	27	2013-08-04 02:19:51.662222	2013-08-04 02:20:00.506937	214		0
19978	10ycqb9u7kp5fpmciyj77f9ypt	$2a$07$to08DCDjIabBSZgrp2UTwOSrLFaD7GgdnDeacYshYtfWFiXBf8k6S	28	2013-08-04 02:19:51.687027	2013-08-04 02:20:00.633277	214		0
19979	10qohp8ixe4nydvjxij9axbxg6	$2a$07$1bnLUxnJ1mazolYgt9U4HuwAMUWW.IgakfuYh4rJwQ4ElSD16QkwK	29	2013-08-04 02:19:51.716198	2013-08-04 02:20:00.760642	214		0
19980	10n2q5agqus9m0d70d1wrni601	$2a$07$BVcLd.aIXGTXiZcHMJghdeOHKR/y4FUcWrLZ.7Uq7ubeF.bAVNk4.	30	2013-08-04 02:19:51.75243	2013-08-04 02:20:00.8945	214		0
19981	10zj3lcr5mjcyg6pbplez1hcem	$2a$07$U5sy.3ldMslpUkh.6pQ09Or8sV6vwq0XbaSg3oWKZDtjPyiKHHRK.	31	2013-08-04 02:19:51.776421	2013-08-04 02:20:01.024287	214		0
19982	103lkr52qe4i8fm34evfya6c1x	$2a$07$zZiDK64OR2p78lm4RCrareDJhbJd.QkugAugyJ5oRD.yUgEHZwl7K	32	2013-08-04 02:19:51.799443	2013-08-04 02:20:01.141476	214		0
19983	10vhi7x9o87ip3exdxxva5ztsn	$2a$07$PKC30qO4L4QrG5UMoXo2IeDo3TamDHoc6LqxGd9U2TN7mNwQTq8gG	33	2013-08-04 02:19:51.823357	2013-08-04 02:20:01.284428	214		0
19984	10w6arc0797sqrw4jeoe8uh1nd	$2a$07$tPtfWemxeuKwDJpOwtdV4ek80o6n.Iff7I5Cyn2KWFc5MTkgmd6tG	34	2013-08-04 02:19:51.847691	2013-08-04 02:20:01.447613	214		0
19985	104tf2mr43dcdamv2fb3hh0v5p	$2a$07$.l/QjG0Z.rfRTKPn7SKM9uc3j.4nXsJmq0LTimYqdNUxlkASB40iy	35	2013-08-04 02:19:51.871897	2013-08-04 02:20:01.606186	214		0
19986	104e1y227e0u0mshe1618scrnc	$2a$07$.BvQjLN/BniuYxaHmm0qR.tN5gTTU5DFqfghLIEO4bRhJKdZsnvc.	36	2013-08-04 02:19:51.895369	2013-08-04 02:20:01.757688	214		0
19987	109st4k4s5vt600ezqdlzj8c7g	$2a$07$ZbQNf10pgTkMTYuJLUFyx.l74ZQD5K80APbYLrJ4BGQZB.kWoThha	37	2013-08-04 02:19:51.918791	2013-08-04 02:20:01.88616	214		0
19988	10z0ww09vixdl56l4t7cello4a	$2a$07$OJrtYEZfOAh6X3c.oixQruCT/ITIPZ2ou4q0Gncc.0UH/qtwgJdcm	38	2013-08-04 02:19:51.942224	2013-08-04 02:20:02.025686	214		0
19989	10he2l15hmjbgh0ad8m0uqizrt	$2a$07$BPmo5gs.WHZCBjkN/V4PFOIC1m9gZllHxjyvBOeblCV.464jXml2C	39	2013-08-04 02:19:51.965278	2013-08-04 02:20:02.128615	214		0
19990	10727lu51s50mmm4xqlswu6955	$2a$07$O3B3xxXmZIMa2/iChXihGufuaA20BXvwRepYJUJflNcPB4odfGzXe	40	2013-08-04 02:19:51.988281	2013-08-04 02:20:02.271471	214		0
19991	10vp4ysg2fglnei3nixsedvead	$2a$07$cS50cIeSDTeUpK95sl.9eepNRRXwWF0QLX.Odm46p.zz2/jK5fQSi	41	2013-08-04 02:19:52.012731	2013-08-04 02:20:02.407857	214		0
19992	10s2lflfwpnz78qn1a9xcf0l59	$2a$07$oktLwW4heQ9P/gCVw8KlF.6eBfWoJat38gvavbhjLNM7Si3y34YJC	42	2013-08-04 02:19:52.037059	2013-08-04 02:20:02.537782	214		0
19993	10k6y5805bdlroyhwmapsezu62	$2a$07$P8ENjdYeUZGu0AI4ZNC/nuq0yq6cuVznhiZXfxQikH2bUMDJR4N66	43	2013-08-04 02:19:52.060612	2013-08-04 02:20:05.390016	214		0
19994	104smogjavli0alf2tck96fvhd	$2a$07$yqpyp5CftJ/Iri0aD9kCy.U4eq0AY1UAtXJvWrghltuiQA2xwTL0C	44	2013-08-04 02:19:52.084159	2013-08-04 02:20:08.065374	214		0
19995	10uko2bcokf3zt4layzjgdk2f6	$2a$07$Ue805zDMurTYDZBaXT2luOgCEv85t2atqKdF3KdARlxgUQT5prkMi	45	2013-08-04 02:19:52.107077	2013-08-04 02:20:10.563165	214		0
19996	101hxvj5ynwfc30jtuune4qqzf	$2a$07$UXCQAYki4PiSsoto6Rcq6O6O.epCsSqzu6o8STRl9xkThF52bQJP2	46	2013-08-04 02:19:52.130854	2013-08-04 02:20:10.706972	214		0
19997	10lryvdp2saxxci7j5z0ws84tc	$2a$07$7qY26AIIFwR9RLqu92mWcuNx7AgytMyp63F.JRaMGa6u1muL91oZq	47	2013-08-04 02:19:52.153759	2013-08-04 02:20:10.866361	214		0
19998	10mmp9w5gsfscd90gzsm7f0wli	$2a$07$UOQHMtV7ieyuygFn8aSmiOXHrC1rw8gEFbk36q79VeCtmKI2TwKgO	48	2013-08-04 02:19:52.176386	2013-08-04 02:20:10.993978	214		0
19999	10rhkfg7mckazr14f810ba4lne	$2a$07$UvlxhO9rFLvLO1eIQ32hYeJYBRuIKXdQEYCttUdq7EV646YVpxaKq	49	2013-08-04 02:19:52.198673	2013-08-04 02:20:11.154092	214		0
20000	10d719tkyvfn0sjpnzjsbtjv1k	$2a$07$nWA.62ekQgifzPOKO7onueqgOi3MTp/z1/315D.X0ej9tlHiqiT9m	50	2013-08-04 02:19:52.221274	2013-08-04 02:20:11.287925	214		0
20001	10y3nfaewed5dl9tqq6o5t9xpj	$2a$07$7VZBNN90z.GAWqTnLnXbSePkti/SeUZrXpo.RwqGGAuUMsBjJ0XgO	51	2013-08-04 02:19:52.243315	2013-08-04 02:20:11.436551	214		0
20002	10gqc9yb4max0zjlky6h5z7acj	$2a$07$8rgX6t96AGlbZgoZJ6fNZuFdScw6NabYf5PykBEz67rUEyEM7kCj6	52	2013-08-04 02:19:52.26623	2013-08-04 02:20:11.566057	214		0
20003	108u6x4egmbvyd22p1f84nixiq	$2a$07$M72E6lY45m689AjzPyItoeURK9eu1Ogw0CVpBT.W3X5fL2ChRqeha	53	2013-08-04 02:19:52.288091	2013-08-04 02:20:11.664079	214		0
20004	10ssbs9n222z5vojd674c9cmxp	$2a$07$B4Pwevcakq3sbPGDJvapueGZ3FKWIXpuACo/W8.6k3oI9T0rXGk6G	54	2013-08-04 02:19:52.309209	2013-08-04 02:20:11.800232	214		0
20005	10m86hlsw4r0teil561swh9ivg	$2a$07$ckeV7ayrHop04.7euCUvAO.Gqfx6n15yxA99VuVBeQAIeoLvwZ7Jm	55	2013-08-04 02:19:52.332046	2013-08-04 02:20:11.939724	214		0
20006	104dfazkmoaiicu1efvsvn8srb	$2a$07$IFrEZIylvTYYKP9JbAa6aeMLLntayAoEfeu0q2KsFRWip0k/HGfJ.	56	2013-08-04 02:19:52.356116	2013-08-04 02:20:12.053147	214		0
20007	1059h5zws1jmcsletxn39ziydo	$2a$07$O0jylkhneOfn.adYAzOJA.4utf/nbtIbWu4PvsIxstXryOqmFQuOK	57	2013-08-04 02:19:52.381059	2013-08-04 02:20:12.191585	214		0
20008	10ecjwoeiye945vzwqq3y936me	$2a$07$8Q/T.Aa7DypeYd368RQ8fuVp8ViTeJuwxpK6kOzIEIpyY/SEPTLpK	58	2013-08-04 02:19:52.40539	2013-08-04 02:20:12.461319	214		0
20009	10sn6rlodpmlzorah1mt7dxd54	$2a$07$7oe6I5LdfvjUzNWtm36NMuVzz68inoIashb5GAkcB..QbD8m9gh9y	59	2013-08-04 02:19:52.431376	2013-08-04 02:20:12.597861	214		0
20010	104eci7li0nvywes22omu3osoi	$2a$07$nHHyueLznsX6Pay3IgvWGez.IJwARsayPzP6BNUyXtHbOqy5tgYRu	60	2013-08-04 02:19:52.453359	2013-08-04 02:20:12.813085	214		0
20011	10lgg7c7gcjqi4fsxrn694nwnc	$2a$07$Y5SZpX8JY7aT5RZVSeYpyeDJyrkzzxIz9r11Filpp0Jib.F7ufVU6	61	2013-08-04 02:19:52.475084	2013-08-04 02:20:15.698064	214		0
20012	10g47hjzdpppoa74m0xwwbeorj	$2a$07$4IpMXXyqLh/OA1SYFK6xie1bfyXjHzJ3dMt8L2Etlupo8q2AZtNqO	62	2013-08-04 02:19:52.497842	2013-08-04 02:20:18.784391	214		0
20013	10syio9gkbvrnn8j4ohfr40pdz	$2a$07$OTe4FQMFYFnnnmG4VkQv9.I2PVS06nVrXMd1upCt.HFo4ZCX4Q1UC	63	2013-08-04 02:19:52.519633	2013-08-04 02:20:21.99661	214		0
20014	10jdlapg3q525p607zmy4x4q6v	$2a$07$uU2Ar04vkDzzMlc6LNGpWekYRZVWhnjtzN6VyvNMwlh/9Dr6/21G6	64	2013-08-04 02:19:52.541625	2013-08-04 02:20:22.115088	214		0
20015	102p4xqxrq2jmdbszgz5bmilr2	$2a$07$Q.fgXyK/zPn0nZ0T8flWeuGUuDqHZgYQoRwG.ed906xn7tOCljFWm	65	2013-08-04 02:19:52.566201	2013-08-04 02:20:22.254715	214		0
20016	10nd2afakuwts922sc6ulbeo70	$2a$07$.SeAtgJ7JNF0SsIy5AMCiuvvGt5795z/xBIH01KWFwpgmwOCHRq.2	66	2013-08-04 02:19:52.589097	2013-08-04 02:20:23.252383	214		0
20017	103u9vxkqrmt1qwiyaknifpikx	$2a$07$0jFPnA8wrcFT1vnqXSZG5eyQOGbFUdO9Tt3EuGhbKL5GSlUPUESQO	67	2013-08-04 02:19:52.660622	2013-08-04 02:20:23.385837	214		0
20018	10g7oves9mgbi153s00gi3zubk	$2a$07$0oOkC0r6K5crJ2RK1VZq3.BZN/jLZ8p2COkcErM6W9TbfWGsKUG/W	68	2013-08-04 02:19:52.684061	2013-08-04 02:20:23.513386	214		0
20019	108hc0ox8ybcr8vgjydd6sp81j	$2a$07$7FRJVVC96EXL8VmTM5OXTuYjSk.vVLROMz.5n8FlEnr2149njGNnW	69	2013-08-04 02:19:52.707172	2013-08-04 02:20:23.631238	214		0
20020	107jnjp4bfjsqbos4fl7jbno1u	$2a$07$L1U7gLw51VVFHEtGp13Nt.Zusr4dBHVAx9OUKBJPXIJPPZJ5xe8C.	70	2013-08-04 02:19:52.729181	2013-08-04 02:20:23.767787	214		0
20021	10q7ll5xxmjhhxzch1edl00j5k	$2a$07$BMytZQ4a3taivFKXLga0xeY2QjMp9T7vBHkm1v4jHonwB6pfyaWSC	71	2013-08-04 02:19:52.753524	2013-08-04 02:20:23.903379	214		0
20022	10mf2re84fygmw1m53vyiog7kr	$2a$07$etC..JGKuL9nWBFtt3xNRe5vxeOjAW06zTRxu.NaXEUWq4YWQ6f6u	72	2013-08-04 02:19:52.776787	2013-08-04 02:20:24.053801	214		0
20023	102p6t8ptwu4vzr85nem5o2fx2	$2a$07$HgMCzh/TZQRudERbSJ1mLu0sDyorODcF47X0xRGwKXgEbrv/k0SJa	73	2013-08-04 02:19:52.798654	2013-08-04 02:20:24.188162	214		0
20024	109vebxxm8duw7blq6qn4egbzd	$2a$07$RonUZysmGTHxYKa/hqfqROPCPL4LdS6//tuLKoYu3QRTgkR9512dS	74	2013-08-04 02:19:52.820979	2013-08-04 02:20:24.307789	214		0
20025	10hwhjlkpxp9eo4he71jogxr8v	$2a$07$XQxGv1jU3QRhjQX0cwo3GulIJhTSGZAyX9QM5ZjAr0KbcUGCvwr8G	75	2013-08-04 02:19:52.845071	2013-08-04 02:20:24.446764	214		0
20026	101kgdkff8cqv68j6hqkprd4ix	$2a$07$I55f3dV1fF.Isj/611yQ.uVzI9RW0XpcNNeoXhk6JPRrEZ3GImhFm	76	2013-08-04 02:19:52.86944	2013-08-04 02:20:24.591171	214		0
20027	10k528jayl6pr2sq8elp6il3ea	$2a$07$FgZF8xVW8CgR9XOzd2XYz.A.i8uhCNJqUe2QixVamPjbgWGNxc/bq	77	2013-08-04 02:19:52.899572	2013-08-04 02:20:24.732189	214		0
20028	10j2qyrn0qpd486enra3bcdj7x	$2a$07$1TxrZeerFij9Yt4jy3EWc.nTKk8FF2/TOEIxh9xSr9Qcs7B9JXdv2	78	2013-08-04 02:19:52.922881	2013-08-04 02:20:27.601463	214		0
20029	1068osayrsxz7lwmrs7hut9v97	$2a$07$OG3GKvJqFY9KNMcV5XSuEe4s3bOiEr/xkc05t9/sw9/hIff5lzTPW	79	2013-08-04 02:19:52.95235	2013-08-04 02:20:27.701639	214		0
20030	10u2wt4yczfr2i1m4yfiukqu2r	$2a$07$0MgeBg8hFfPcOLrRPKL6gunn6tV2GeQcIpZZbUHf9VUT1tNNXKwWG	80	2013-08-04 02:19:52.986283	2013-08-04 02:20:27.821588	214		0
20031	10vw05b875alzjko1fu3eg8zpy	$2a$07$pjSSdIpLfDgONCpKSJnPM.D0HUkH8u03dl8WfO8uDEGdVeWKb926O	81	2013-08-04 02:19:53.024283	2013-08-04 02:20:27.945995	214		0
20032	105ccewg4xmw77jlsj1lmf9ixp	$2a$07$yxP.YOYM6U6KvVWkSGA4negJgW2hKTrxUoFtvUHVB7PdQFqiNFp0W	82	2013-08-04 02:19:53.047461	2013-08-04 02:20:28.052143	214		0
20033	10c57r1hozn0mi5sno4x33bkva	$2a$07$LztjCDH897ktqkRz/qfXD.Rgo8MMau8LZ8axfjeRsd10eb9jNDqs6	83	2013-08-04 02:19:53.082161	2013-08-04 02:20:28.190028	214		0
20034	10qqnauwxn2k5soxc0giugap5t	$2a$07$u/VqJTLXEXKHtLYE/ot85elpt5EjP9msjtU5jPjUr/PJF0tgf93/m	84	2013-08-04 02:19:53.112099	2013-08-04 02:20:30.86945	214		0
20035	10qvqf64tk4yn327dgob1mq6qw	$2a$07$w.JcBdo8t1h2vtJ8wk6bx.CtvMjQ7NObPiIKza0cd8ou9mJ5l0/K.	85	2013-08-04 02:19:53.142952	2013-08-04 02:20:31.001543	214		0
20036	10hbyf3ydhx53os05cekdncby8	$2a$07$VqFCgmnp12H6J1emJrECo.mFiuuED.fuVjooWZqdy0FEQCqKseJ8i	86	2013-08-04 02:19:53.168549	2013-08-04 02:20:31.129573	214		0
20037	10fp4zruklankm17ffvob0pmds	$2a$07$TqVHhYcCcDfXaRIIVSBsU.IjQuJLZPbRsFXw.q6dkJgUESwLXOtNW	87	2013-08-04 02:19:53.205363	2013-08-04 02:20:31.277224	214		0
20038	101pta1hfgw7mixmib1xzp5lbl	$2a$07$ZCq79vxa22RzTRoiEPoBdOlbfOe3jTJsL7I6I4fxttBOHEmHNpV/u	88	2013-08-04 02:19:53.241877	2013-08-04 02:20:31.421755	214		0
20039	10bmvyk7t1z67i3jt6ell9tjnz	$2a$07$nGUI32Z5SvvBzLGNfUroH.Bnqs.cF3eiJbKKKLCL/PBIDgO0PLV0y	89	2013-08-04 02:19:53.27992	2013-08-04 02:20:32.389489	214		0
20040	106havwrnt4ulmrmxff9h7wopa	$2a$07$VpsvgsX5/4ryJro92egYJu2RzFo88mTedPmFvP0TzH00VIkwLGl7.	90	2013-08-04 02:19:53.302046	2013-08-04 02:20:33.387192	214		0
20041	1074ok8r1cl56hspc5gecqcfnf	$2a$07$FAboSj6CF5MSWwfroSE/b.P6O7cJHuwMVe3xk.34qjRMK/oLm/KQG	91	2013-08-04 02:19:53.324922	2013-08-04 02:20:33.523065	214		0
20042	10pe2ay3xqtpeavgpndkjq2zvg	$2a$07$ZdddCSEN4PIzN2Vp1eBNtuoMktQbO3WRVr/.RDkYwVMu.ZQ7XwTGe	92	2013-08-04 02:19:53.348021	2013-08-04 02:20:33.655422	214		0
20043	10n022f4tyql92l21wx8uqk3nm	$2a$07$UdIMvXjNSthQsqCL8oivjOoW6ywWMb5hJBCZRYwtXATpzAM6M4ni.	93	2013-08-04 02:19:53.36985	2013-08-04 02:20:33.784709	214		0
20044	1047wlvykgur5enms5785sfd31	$2a$07$GonYxGRraEoKNJGje5NBZ.Oi/Oib5qxqp3IpC.3FJLT0wd2hIPvAa	94	2013-08-04 02:19:53.39162	2013-08-04 02:20:33.897308	214		0
20045	10i8c174tmh1a03hlmbl4tdy93	$2a$07$bpTPonjn9BsJ6NVknUJERezkxq7Nn87zhYZfySVrbBpWTNUmcdjAm	95	2013-08-04 02:19:53.414358	2013-08-04 02:20:34.043914	214		0
20046	103dv3xgalhnxnnpp2zigeub4g	$2a$07$dxmQYqdUg5UpLKYg7/cWW.Ml65hWghnEsGcZ04/l5xbNtUFoY.wOq	96	2013-08-04 02:19:53.439097	2013-08-04 02:20:34.187012	214		0
20047	10ev4onoiqdw58x63zwzaikadk	$2a$07$R6DvQoCrR5z7kdN1AJC5rO6GaWI3CzX4eo1rzcQaExDCg1RuC5UyK	97	2013-08-04 02:19:53.463219	2013-08-04 02:20:34.333655	214		0
20048	10oaicuc11wams19oo1g3sgc03	$2a$07$umZWpShMZ0815WuCwo6fjuiCrmpDnm16oT3vPDUshTLBwbJUh92A.	98	2013-08-04 02:19:53.486452	2013-08-04 02:20:34.481199	214		0
20049	10zm23p1l6o5y1eoqp1oeg6q8s	$2a$07$H5MOr2fl0TNhzR2oQNf20ep900/tgYL7ZnASEaTuBbstNno2KnYeS	99	2013-08-04 02:19:53.508723	2013-08-04 02:20:34.614902	214		0
20050	10a05djrlzymv4e9h5jndcvvv0	$2a$07$lHG/2l.m.fJFTDQLoO3ZfeTVcNeE.62H1Ce5eZ0DBI6l/Q9scGjF6	100	2013-08-04 02:19:53.53154	2013-08-04 02:20:34.75166	214		0
20051	10x0gbbgu94xwqbt2gqcxev7a6	$2a$07$8eMWlBsr1q/jGpvuQYc24uETUpjT2PiCpEFpEVEG9ArOyBvct/nFW	101	2013-08-04 02:19:53.554219	2013-08-04 02:20:35.057131	214		0
20052	10vr20nz4gozfc2iz3zf336iqg	$2a$07$vwQAKCK.8Kr4rwcHGNP5secwf6rt3ZUserPDt6uyqCJomnVo0NHQe	102	2013-08-04 02:19:53.578172	2013-08-04 02:20:35.253531	214		0
20053	10kbd4pdcdy0o25cwilb6wvu2t	$2a$07$3pNeVqkVF6uKoh1vskytx.jLsC7mN1mdNZ.gTR9SqiFIW0a.WpVtG	103	2013-08-04 02:19:53.601974	2013-08-04 02:20:35.39206	214		0
20054	100goq7ggsyipllyfjxkiu18uq	$2a$07$S32XRLc9dzkHhlegkaoCK.csN326jqPrdydPBxWrnNf2HpS/toPx6	104	2013-08-04 02:19:53.634751	2013-08-04 02:20:35.53212	214		0
20055	10h0xkxuogcbau33dyw1pbwrw3	$2a$07$RnaRg6bQhGzXGd3TomreLOu2jDTmDqc6vFpoSeBQjWTWaIQicPexG	105	2013-08-04 02:19:53.672956	2013-08-04 02:20:35.645211	214		0
20056	10krb53ebltgokv4689t2pfuqc	$2a$07$NGJu03j.c18nTaIhe.mhDu5e7.tPaQKxsY3EMRrNdrE3XKXZsZgSy	106	2013-08-04 02:19:53.704712	2013-08-04 02:20:35.788334	214		0
20057	10s3lj6qx0vlnvsut5dhqtz6xh	$2a$07$KMkjRMp83BChDWdpHVNsFuSDLNLedyZnc7TVxHNFlyDhoLO0hfzjq	107	2013-08-04 02:19:53.726045	2013-08-04 02:20:35.921131	214		0
20058	107juu20zqb4ha0giw169w0zy5	$2a$07$1Q1SiLRtjmnOLdOewsnt8.DadyzBt18BhElDzM6lERWj4vh7774RK	108	2013-08-04 02:19:53.748251	2013-08-04 02:20:36.06041	214		0
20059	10mio7vopax26idtcez565i1io	$2a$07$A7Ku4bJ6jHChzlat.I0MteWoI0FWpRQ6JwPP5kHHpNiCl.JTuPqay	109	2013-08-04 02:19:53.770997	2013-08-04 02:20:36.213028	214		0
20060	10lvnvijcibaajsb2bryb5h3u3	$2a$07$pwbrd13X0Z8.9DeR1oxX6OhMNDuQXX9puLLa.M3LuYr2TUbNvPpF2	110	2013-08-04 02:19:53.792242	2013-08-04 02:20:36.347302	214		0
20061	10vmota0f97fe43anhvkgthmv5	$2a$07$zHCrVQSsfQtmeblXbexXA.P6nQhhGaug8LnthM6wXMNFyRQ.Q5r5G	111	2013-08-04 02:19:53.813467	2013-08-04 02:20:36.489477	214		0
20062	108mkjmb6wsphgsxowg2j9991l	$2a$07$fAbKPu3M5kpvnAfmjWNV/u/iipZZH3uoZ.M/iYzMmVNwm0FfU/qBi	112	2013-08-04 02:19:53.835537	2013-08-04 02:20:36.609172	214		0
20063	104z0kmk44xyj7y4cg30e2g5d5	$2a$07$REiFvhHWP0/Q/GeajfhrXOxR6NdznEKT9x84lnRqqPDQireuv7H9C	113	2013-08-04 02:19:53.857015	2013-08-04 02:20:39.437604	214		0
20064	10la6syn2q77147zyhbhyc2ehd	$2a$07$IrCUgNswYbeCDGCPrnQ3HOfELZKbhiQxiTb4Na.OSffE9wOumjcZu	114	2013-08-04 02:19:53.879673	2013-08-04 02:20:42.238036	214		0
20065	109vvd0gzzw5utntv88q3pyi70	$2a$07$aj8D3SXzgWevVbMuJ0SXoOjebhtDq758s5EAOdOAD6q.1XmLHc5Me	115	2013-08-04 02:19:53.903869	2013-08-04 02:20:42.375824	214		0
20066	103i2cbenjhso4s08p52j54prn	$2a$07$ZSqqFm5WLYaP1p.xaD7U1eSq2B2E0q0Q59GjpMBDJru1qr/W4l.pW	116	2013-08-04 02:19:53.926025	2013-08-04 02:20:42.577746	214		0
20067	10tkxnkdz5q3jo9pccjjdtccfz	$2a$07$sWZa7rxpFVEJtc8Q47o51.rVTlm12yIHY2oGGifYfE2Vf/OOuINa2	117	2013-08-04 02:19:53.94765	2013-08-04 02:20:42.733991	214		0
20068	10h8e1dkl87jvlld04nowtp9yr	$2a$07$mgZHM/9QKHouYGSZyn3e7uxPdICEcNWxAqj3RrTao/Sxt9/2Z739a	118	2013-08-04 02:19:53.970082	2013-08-04 02:20:42.864542	214		0
20069	100qrbgxsqhrkci9m1pbupvnhd	$2a$07$vkAR.9eaMZI.7oAxsGjjjefgI2s/BcCi89Kb8Bcsg5BcJo4/T8082	119	2013-08-04 02:19:53.991628	2013-08-04 02:20:42.974545	214		0
20070	10xv27r7z4l2wroxw971aq8v9b	$2a$07$qztKFXu5Ng7SFzi9OPBjBupSh7Ms1oefflHSZb2YttU3VkST5PEO.	120	2013-08-04 02:19:54.013783	2013-08-04 02:20:43.102582	214		0
20071	10pf8dpgkixf8lrklrk7yy8zfs	$2a$07$MR2VA.cHmXRu1yxfKWVM4u53sUSd0bY9di5pz8rpw1ITqn3eCYmgi	121	2013-08-04 02:19:54.035656	2013-08-04 02:20:43.230803	214		0
20072	10cudreuve2asrpqr2dd36h6vx	$2a$07$abxb0rRQQdKTQtk5Todice2nApv7xf1ZXnmyDAhNQYTfhlsXp6JRC	122	2013-08-04 02:19:54.056759	2013-08-04 02:20:43.370526	214		0
20073	10wqp04ebbzqso23eozr8kblut	$2a$07$fjbGx.Y7zqqZhrN3C/1UIOOZp6FxyQhRiKHSgzpMVeRaXc7hREW6y	123	2013-08-04 02:19:54.078054	2013-08-04 02:20:46.198895	214		0
20074	10abbo1b62z1ts08ay8wwzd3an	$2a$07$27QXlU6K8Xy8ZUst6lop8.rml1FfgPnRNEMOaqlJmNR5N3HRH0Gga	124	2013-08-04 02:19:54.099115	2013-08-04 02:20:49.275621	214		0
20075	106uewb54i85e4gynzv99oemrq	$2a$07$aKr6LPrAvOlxS5l4RJDQGunztNkBf7fJ91hDlSp3joEByysXiYxZy	125	2013-08-04 02:19:54.120704	2013-08-04 02:20:49.410808	214		0
20076	10m6isfxs3rfdhb39sqpjudm70	$2a$07$OCUrvI1wa7tpUyaQ8tMUPOguX5ZEaHsAHhrAz0h2q2An0ch8tpw2.	126	2013-08-04 02:19:54.141905	2013-08-04 02:20:49.548528	214		0
22540	10b9gx4equ1tukifrvccahslk1	$2a$07$NZKTqIrhPvL5A48vdGc7Ce64CVW89uQmMbx4Ndv9t8mCTcD2ieIAq	70	2013-08-04 17:55:55.740073	2013-08-04 17:56:24.310967	234		0
22541	10xwxxhns7xmd599ywzovwbfq5	$2a$07$elNSOiiaZlcH1714kpWur.VBvOUm0Cx/Fh2x9PAW30HyZ.BC9vF8G	71	2013-08-04 17:55:55.764987	2013-08-04 17:56:24.441392	234		0
22542	10ixy6xzu97ff5xmhmd6lq0k8n	$2a$07$8ZkW16rbsTpyM/2JTEA70.bVb0DjuEecgeClVId1GiXxI0GgogM16	72	2013-08-04 17:55:55.790146	2013-08-04 17:56:24.555631	234		0
22543	10w4gje92k2jezr1x0ghery5ef	$2a$07$V/o5KPaTGQYdgsX2PJSvI.MaIp5LAA7joKnEtbnC6ahNANu.erws.	73	2013-08-04 17:55:55.815718	2013-08-04 17:56:24.705657	234		0
22544	10jyjpv5d4mm2yfpch4evtr24v	$2a$07$Srj2N4zSwrlL0IOHMhldH.uPS/Vqk2f.yAtcHemcsMPsvTQrfSTyu	74	2013-08-04 17:55:55.840423	2013-08-04 17:56:24.846612	234		0
22545	1008dbroymu91ahsop4diy8vof	$2a$07$eFMZLdWXYDWYQEru6uRreuq.Jpzp1XDAy6RcNfiozGTcUxrexjbrC	75	2013-08-04 17:55:55.864602	2013-08-04 17:56:24.994176	234		0
22546	10iq2h3piicuamfxw7gfj9b8nd	$2a$07$.L4VrmB0jDRt.pjWvTjFL.5kq38qczAmYvn1neSEpn4DiR8qT7CJW	76	2013-08-04 17:55:55.888175	2013-08-04 17:56:25.108565	234		0
22547	10ayisosve2buz3j5by1224pds	$2a$07$LIa6eoNyu9q/1S7DZGqAEuzlz712Aew7BhXtmYJ6a0TQDX2sZgoWe	77	2013-08-04 17:55:55.922578	2013-08-04 17:56:25.238074	234		0
22548	10hooy2r2u7tammku3xjcyzelq	$2a$07$tmnx7JNHIUvYyguJwTFdt.cGmc9OPQvIPifLZzT5UzbhG2k/OluIi	78	2013-08-04 17:55:55.951986	2013-08-04 17:56:25.37813	234		0
22549	10wl3xlfggvms16lzgt7d8rxvb	$2a$07$Tk5ZHOKimXasNKs.pedlAOqrVmN8cGL2cFhCbQ5UPnNqRR1RS0hy6	79	2013-08-04 17:55:55.976304	2013-08-04 17:56:25.500586	234		0
22550	1098q9e676h75ebmxpwgrfc74g	$2a$07$AJAOMEbOsUCJR7IfRedZVOn1enqDBZJJDwtVjDiu6xEwsaT8e8GRW	80	2013-08-04 17:55:56.000988	2013-08-04 17:56:25.749682	234		0
22551	10o8kq8u6tc0r8z0q74xze5fzq	$2a$07$v.Oufb3ArZ5xktJZ.k8DtOSw07fynHgQxZetbFCsiTjnpadpEbNXO	81	2013-08-04 17:55:56.02541	2013-08-04 17:56:25.963418	234		0
22552	105wkps73m6ue2hbthw0equzld	$2a$07$H9nA6RwrgsARTWEpNQ9p0eb/bIn8Er8cmD149FM6wTlSk4LboG/Q6	82	2013-08-04 17:55:56.051125	2013-08-04 17:56:26.095429	234		0
22553	10ju5wa97pqh0ivl4sg6qe61jy	$2a$07$1Rwu4BrqE03caoK.R0lZXu7fjtIcBCEs9b4XpmIMeqAsqclMlyEBm	83	2013-08-04 17:55:56.076513	2013-08-04 17:56:29.057894	234		0
22554	10eggriiylu7lhm0h0avj141uj	$2a$07$.WvIH3GmrrBU5MCji4iOIukvJBm8kAytOPozn4EMK5cTaAQc6KT42	84	2013-08-04 17:55:56.108947	2013-08-04 17:56:31.83778	234		0
22555	10fcj05mn5on4f72s27uw71raq	$2a$07$giWjn9lEKEM9ok3Vx5Q7OuqHsFIxQRet9sYmglncu6dKE1t4OwvWG	85	2013-08-04 17:55:56.134887	2013-08-04 17:56:31.979972	234		0
22556	10nmhs8nbgmxs643i2p4umthkt	$2a$07$5met7pQrLcighEapOm2OsOybJoQpqAPEEszw7Sb3rns9ULbvccrjm	86	2013-08-04 17:55:56.158052	2013-08-04 17:56:32.125374	234		0
22557	10xwa4jroxoqgofzop3r5tj9hl	$2a$07$z9fUhGGYNPfw1gZYxj2V/ecFBCT56K8WjMJx9gxYqXdEDBlWi.egW	87	2013-08-04 17:55:56.183528	2013-08-04 17:56:32.263906	234		0
22558	101oxrhejc50l284cz4olpiws2	$2a$07$LPW8HueLNbDzGxDS3EXaHu30YA5qsOsARr/szYwXIo.3j1z5iC62O	88	2013-08-04 17:55:56.218881	2013-08-04 17:56:32.390445	234		0
22559	10rzefdeeo4ms4rzswon3vaf0m	$2a$07$wRrKoQvLGjukbn/oBh64I.O8Mr2jFqIvbCObq/kzt4kTf8V5p4oEO	89	2013-08-04 17:55:56.244844	2013-08-04 17:56:32.551883	234		0
22560	104sbvkz2sfjcyq84kv1fg0dhf	$2a$07$Q7X35fXsds7i0Xs.fS.NP.w93WbJJ.6qD9hBG0y.nFaQaPrDAWjT.	90	2013-08-04 17:55:56.26906	2013-08-04 17:56:32.699909	234		0
22561	10emtwal9jb733fidlcrm169of	$2a$07$CcDv.FWIM5Npy4RrpKIEQOJyGsaVtOnA6ivcRt..kdqquXSXOfwpG	91	2013-08-04 17:55:56.293952	2013-08-04 17:56:32.836337	234		0
22562	10i7jhui1moox9hezkjfwux83x	$2a$07$cIZ12LvQAb2bu.nTJhHvduufzxUD1XyN5WQu1RIuVU51RDvI.1mZ6	92	2013-08-04 17:55:56.318128	2013-08-04 17:56:32.952971	234		0
22563	10fruvmvslq98z044ntkwd1z9g	$2a$07$ShJQCde3VeyhNVRVDxUkJe6fHh1VS6T/GCZRv4fOQ6cugS9m0tpdy	93	2013-08-04 17:55:56.341505	2013-08-04 17:56:33.093657	234		0
22564	10xhl5dpjajfu1q1l2vs6iz059	$2a$07$sO6Si5uwd3hwLLYG6HRGWekQiXnUpua0f6TlzDs/wFpP33/z/x5O6	94	2013-08-04 17:55:56.364425	2013-08-04 17:56:33.219992	234		0
22565	10p8pomk6azmz0g28bvz6m3q9c	$2a$07$t8sRhhibSjrDpEN8bdh3ueDqSr1WpvcFY2hxMFylXQlTShpuY2Mku	95	2013-08-04 17:55:56.387642	2013-08-04 17:56:33.33038	234		0
22566	10qn72s8rocxk9zdhcklyzu08w	$2a$07$weR5wAFHDk34jGpJ.SmWguMPW/rNzJEYcJKGHbKxlI0S85K.d6oYK	96	2013-08-04 17:55:56.410125	2013-08-04 17:56:33.4486	234		0
22567	10t6405taxlidzsouwuixc950b	$2a$07$PKlQwjvuZFq8f1NGxSsCNubibe14oOzHrBSVi1ctKp0UFY6TU3L9O	97	2013-08-04 17:55:56.433547	2013-08-04 17:56:33.585253	234		0
22568	10foqkx0rii0ztnx53jkf2jz5l	$2a$07$qgTV2KssIl2cMVyTS5v5LefhoqpLpYqEBw7cBZCuEtwnOucWY/Q3m	98	2013-08-04 17:55:56.458497	2013-08-04 17:56:33.714095	234		0
22569	10mvklngtk8o7zutbfwr85gkte	$2a$07$.w2DpjnSp0otpXOUhM1GEu9xqJ/h7.GtVSpPbf07/nKnylEZ3kv96	99	2013-08-04 17:55:56.486596	2013-08-04 17:56:33.84169	234		0
22570	108u4zfztuaxn25f99lvtpw8a1	$2a$07$xA1P3bcnLSwxWOTAHBMxxeAgGaeuFM6go30VsnaZ0b9DUUFKHGpmm	100	2013-08-04 17:55:56.526894	2013-08-04 17:56:33.978111	234		0
22571	10j6v7etzght6yfb7oehe90f15	$2a$07$dCnckGV1ueVhD6iC2oGcxuGsm0h./AOAXQy5rYIsmv5gIZsuBHmSi	101	2013-08-04 17:55:56.562669	2013-08-04 17:56:34.100553	234		0
22572	10awe3gnguw273lowgqupji8y0	$2a$07$IjpNwN/b5AYvTJgqReqOw.wcEmLP9Xz16nqMjOA5zLsbnUhG2oGGS	102	2013-08-04 17:55:56.585559	2013-08-04 17:56:34.232748	234		0
22573	10bds6210i3d7x77ezb9a97ejo	$2a$07$vEof.N71IyB/nuTiCI0DjutRWiM6hCIjyCfZFOZ753E.VpEN9gO1a	103	2013-08-04 17:55:56.607495	2013-08-04 17:56:34.367074	234		0
22574	10k6v2qa1ykum1nk3i79nh27r5	$2a$07$Rgne8sBpRKHxXTwPyimrMe3bgvFL70BSy9CTCjl2DOu0m5FoGEkme	104	2013-08-04 17:55:56.630833	2013-08-04 17:56:34.700373	234		0
22575	10koh3x1sgyhr3ykgxgpya088y	$2a$07$siw515ZlbLvbGCVXtjr0ZesVnHdiKDoqrgtLy8x4tfQ9A9jmFkTfK	105	2013-08-04 17:55:56.709187	2013-08-04 17:56:34.818607	234		0
22576	10ikkx9qfif4yh00titppvcrec	$2a$07$9LtFlDMIe0rxsi3dXDvdoOqlnY2blqWrWd5z6aviAFU0ETl0PoDHG	106	2013-08-04 17:55:56.731673	2013-08-04 17:56:34.95349	234		0
22577	10cxje4d5hx28zo47kh3x1u16m	$2a$07$5tYPQJIEkLOtvHq7lxMhBeLDI63vuijVLcD9ZDBAE5zQY4npvI81K	107	2013-08-04 17:55:56.753202	2013-08-04 17:56:35.208493	234		0
22578	1080265k4h32i83nnwmh6wj5rc	$2a$07$qxESWg.0MP4tRBg1o/aDGuaFyPllmT8m7wtb4K4jgLt2hlYNr1xCi	108	2013-08-04 17:55:56.775822	2013-08-04 17:56:35.410123	234		0
22579	10vki8zwgecqebct76vn9400rm	$2a$07$rUDI3kvNnepPxiZI0lXRlOj0YIei/Lpyv6IXJVa/jp35dgukQgh1a	109	2013-08-04 17:55:56.799159	2013-08-04 17:56:35.529641	234		0
22580	104dcf6dv98qif5h59ljatyxh9	$2a$07$u.OrpJIDYOXy6ZeNmk86MuJPQ6M5FejrHT0IJEGwGbCp9rUP2WbrO	110	2013-08-04 17:55:56.822966	2013-08-04 17:56:35.674493	234		0
22581	104f4etg9q7u16ssq4mlkmdbjc	$2a$07$KQ.o6yxbUfntuB6Za5/cvODnUm0F3Z0MtTldz03lAEzMj5MJVVeU.	111	2013-08-04 17:55:56.850487	2013-08-04 17:56:35.817317	234		0
22582	10enryc2de219vpw1ovfuik93w	$2a$07$SjhWd9Rt9UM8bouc5hfbKupcVP0s.03gL5htnbpxQNqUwIOlCk7b.	112	2013-08-04 17:55:56.875987	2013-08-04 17:56:35.932032	234		0
22583	10hc5xtio0o7xejv6mrhi8178m	$2a$07$HUqaFCDqEuJ/CgcqfZKGF.Y6Lf5kwm9O3fQ9zmigWfZ42zRjA6Aou	113	2013-08-04 17:55:56.900756	2013-08-04 17:56:36.066176	234		0
22584	10kzx3lm7pawupb9b2tg7h8l3f	$2a$07$GrEIDRbyQPln3uuXEJD8AONREBb9K1FS4JzFPoeB3VneMTfe.lE6C	114	2013-08-04 17:55:56.924086	2013-08-04 17:56:36.211441	234		0
22585	10jv0l605llhryptiud87j61kh	$2a$07$b.v1Z2SZfBmXEeexlf.6C.1gOVIWXgOkAznNsPSPGcGNxK3AYM.6.	115	2013-08-04 17:55:56.948032	2013-08-04 17:56:36.359791	234		0
22586	10qrftnznrjotqs88ymhd9vnxl	$2a$07$v9F7eNLSeWUG8LCETOpypOkMRgJ3cHvubGmBBCYNjWP78IRqLg0zW	116	2013-08-04 17:55:56.970058	2013-08-04 17:56:36.494656	234		0
22587	10rthkhru5705li3t7scpw8b9d	$2a$07$oIog.w81m8Ys9ggSmvOR..ILma2DHuR4Th6nsrwbOkOe7KAfjScnK	117	2013-08-04 17:55:56.992836	2013-08-04 17:56:36.710799	234		0
22588	10i4w05e47lha5bkge1nvfhq81	$2a$07$1GCRMy/VdJBii2Db5SqpQuNzagqbULJRRvAwT8zqjEnnXn3Sx2gOG	118	2013-08-04 17:55:57.014212	2013-08-04 17:56:36.864157	234		0
22589	10scstlskib5e6f2xff3q900dd	$2a$07$fWjIhNMHtRp9K/6SbMco0ekSlSFq0ahzN.Fp5KfkPE3FIq4YHj3K6	119	2013-08-04 17:55:57.035755	2013-08-04 17:56:36.975917	234		0
22590	10fidpkou7v8zj3vzv1l90ineq	$2a$07$K5tGYume9zVC4SA6UzfHOe6bdo8bJggeoARMkhdc6IlkOUWdgKyl2	120	2013-08-04 17:55:57.06686	2013-08-04 17:56:37.100838	234		0
22591	10jyjg637y6f6h51mhrt17iz8e	$2a$07$xaIsEYnlUxp457XcfRnYIuFyVukYEmVWPVSBuysjrk5FRYVJUN7PK	121	2013-08-04 17:55:57.100013	2013-08-04 17:56:39.903642	234		0
22592	10sfj35cj7m5825rbah6ixfzjq	$2a$07$v8Z8t.S4SPqJIYboTcG9f.MiwjVIMmDEICiDRt3kJppwdoYtdYokK	122	2013-08-04 17:55:57.122657	2013-08-04 17:56:42.752254	234		0
22593	10vur3uwezpj74e5lvu3snjitg	$2a$07$9ihjisHYzCSGHvNIdThq/.3iOrH7R/Bbeu2p1dxQwYGAGiRCzG63m	123	2013-08-04 17:55:57.145564	2013-08-04 17:56:45.467192	234		0
22594	10hej0yeclj4nvwf8732wz845c	$2a$07$cN6MExp9xQKVdnLHSDupeuOaGaISdeJjxF5QXZkvRhZrfiipcvKom	124	2013-08-04 17:55:57.169464	2013-08-04 17:56:48.452965	234		0
22595	10pdl4l3cw8jxvl2clk1oz9k61	$2a$07$D251l38wHczP1B.JNyIR6utb60T6cOMDi9ho9dh9F3Vh99WnkPFba	125	2013-08-04 17:55:57.194204	2013-08-04 17:56:48.599403	234		0
22596	105k4a5bjmofafoawk1ex9ljwk	$2a$07$zpc/CfetsmDjZl9/LR90W.r1bqqgZkkqh0MI7ATfHPxMA/Zo3LdKq	126	2013-08-04 17:55:57.228343	2013-08-04 17:56:48.739116	234		0
20077	10b3rp6d3nj9o4gz7omg8f2519	$2a$07$fl/uaFrCVHBCyI7aKsO4Uui5.fJzwyOV5JuPsSRXa/zEIUbFJmPqC	1	2013-08-04 02:24:51.06193	2013-08-04 02:24:54.310144	215		0
20078	106m86yynno39yi8qp1gc9sebn	$2a$07$b1qxcxjVIPs5niAU49V2zuMlKWzjRmVZe9ZZWpMHlTKpKGZ7TCdOy	2	2013-08-04 02:24:51.085177	2013-08-04 02:24:54.453534	215		0
20079	100gksywhh2ti71xql614r5r0x	$2a$07$pqrJF0pS4rJmKjW4Dz9mZeiQWzRFsqctk2gKT.Mwjyf2VR5JIbS8i	3	2013-08-04 02:24:51.114541	2013-08-04 02:24:54.595178	215		0
20080	10gtqt2bqskb80gpohonpylxdf	$2a$07$kvEjWjr/hIFPEieIf1pvtO/NCRoYatu5SZgvY3NUOKLF1zVX7EfCe	4	2013-08-04 02:24:51.136237	2013-08-04 02:24:54.748492	215		0
20081	10c8hlttkmefofjnrpqla8cfje	$2a$07$h/.yM5lnPzwYZloqyVjekuvcJoJRo6YcPEnUfC3nhnvQlOmm1f8Nm	5	2013-08-04 02:24:51.160135	2013-08-04 02:24:54.892414	215		0
20082	102scfwp9qdfcz1xp3gx39if8j	$2a$07$GUnNDUobpsgdeoFYydOrnuTgFhw8zgMRaxZqyxxESlHrsdpXmBhIS	6	2013-08-04 02:24:51.197467	2013-08-04 02:24:55.04511	215		0
20083	10ccp000cqzgcsrhwu0wldepkh	$2a$07$fKm68RnNecCpPZwos99D9.h6pfFEtXC339ntfhdF7TGS4GnDC4wSS	7	2013-08-04 02:24:51.232647	2013-08-04 02:24:56.053621	215		0
20084	10o5low610ljjqanqtaf41dl2i	$2a$07$ZkxWcBJDhQTIT6E1Oyjg0u/a5.f8U42R.47ISnRwuR.S0cppeIrsK	8	2013-08-04 02:24:51.255705	2013-08-04 02:24:57.125813	215		0
20085	10unhwa3rv4arsagte1eyimrcz	$2a$07$j89YvGi7pdKoCM8HQsJKRO5Gs/b3TLusLRRdqnpS208cgipRu6FF.	9	2013-08-04 02:24:51.27797	2013-08-04 02:24:58.15747	215		0
20086	1065suxd89d9ewzp5wj9xy7y0q	$2a$07$uQQgcnLZuE1KPK407AiV1e1gsdJC3Nxy.u1Dc1vXb5GxxhT78peHO	10	2013-08-04 02:24:51.300849	2013-08-04 02:24:58.29595	215		0
20087	10pif7lvzuledybjqh0p7r56cs	$2a$07$P32nIPXv9VowiJepVGR1BeC7dUzMf4.gSnWtH78KFA8iS9sJtmN5i	11	2013-08-04 02:24:51.323796	2013-08-04 02:24:58.437333	215		0
20088	10njad92bjuxo4hh0pp3ua0891	$2a$07$YPmfBlrYoE0QrsUz213YJe8ycGiAcuwOkSJLh/wpoQb2GkFyLIpky	12	2013-08-04 02:24:51.346075	2013-08-04 02:24:58.569749	215		0
20089	10w46zekzdc5h0lsgy7gyn066h	$2a$07$8SH16oILRLuaqlHa3hSUsOncb2rA4B7qnXIK4PGFyZ3bFkDVk0N0O	13	2013-08-04 02:24:51.367893	2013-08-04 02:24:58.708626	215		0
20090	101ktehafnvym37gavsfc878s6	$2a$07$GRHdnlAYb68A9NNJvqDiKOHNRs7Oy9ot7JXiCzTESyah1fa.d2.Ia	14	2013-08-04 02:24:51.389443	2013-08-04 02:24:58.836007	215		0
20091	10dz1ebi3783vn4c7wkcf23jgi	$2a$07$hy4C76Qzp2MFYg3xddGS/ezCSkznNgzKoErQLY4QNPg/0jahQ/ofa	15	2013-08-04 02:24:51.412619	2013-08-04 02:24:58.937387	215		0
20092	10u0pm03f6gkhcywnqhdbq6h4g	$2a$07$/2hY.4/hI2hco9NT5Yb.Yu.RVSfBPMF/x5n28P1WZ2JS2YZiHameq	16	2013-08-04 02:24:51.43901	2013-08-04 02:24:59.06045	215		0
20093	10uynu5mxhsvbwxr5mydrvez4o	$2a$07$xpHOuvzCjUhM6lN46FhQYuIDbSsHoHnDLzfoxrgweVmqQgxI6jiqC	17	2013-08-04 02:24:51.461949	2013-08-04 02:24:59.181171	215		0
20094	1064fhdvpw3yvwny32yspg0bvi	$2a$07$FeNgjz.q5s6NzAin0Bw3Xu03znD4US9riUKdwqbBAw20Qhzb78UsK	18	2013-08-04 02:24:51.488389	2013-08-04 02:24:59.308361	215		0
20095	10axwmlfu6s4rx6uphpzl2wcu6	$2a$07$qDNZ8dqy.YEoDs7520mJe.WB/xG8YpuBpEFPaf8ectOOk2Qr6xGtO	19	2013-08-04 02:24:51.516321	2013-08-04 02:24:59.426269	215		0
20096	10da1qfqqamg2i6cj5aed4otsq	$2a$07$jX5p6Ai6H7BdmYv5vjfD1etCnMJU0GiKnFPpR1lkrMV9wlAdleWV2	20	2013-08-04 02:24:51.545855	2013-08-04 02:24:59.561687	215		0
20097	10p4pa2cg0du0jlxnivcnc4pm6	$2a$07$Gw5VmdXlbsUlZ2ZLvJ0Cu.vegxsh9nbRrosAtClCjB9XSUCcIY0Nu	21	2013-08-04 02:24:51.569197	2013-08-04 02:24:59.710504	215		0
20098	10gcosw18yizx6ejzdo3p60ifn	$2a$07$VrmrXg7wiZJnuVettqBQU.37HReG7PT5X2SMBkMH0pBCmBSOilh7W	22	2013-08-04 02:24:51.59334	2013-08-04 02:25:00.05697	215		0
20099	1011gzhohdz0c0h8vnvlzivpa9	$2a$07$WSU1ZsnTXi5T4diXhnwcfO1KGIjEczYrnPu32uTc4wcpiSWXWhm7K	23	2013-08-04 02:24:51.61619	2013-08-04 02:25:00.198055	215		0
20100	10cfh8p8ph5j1kdkbd2xo5729s	$2a$07$2n/EecytzUQHWpA.E4HQqOBsK78j4emSTQDpBPaMKjKpQam7QizHW	24	2013-08-04 02:24:51.639603	2013-08-04 02:25:00.335398	215		0
20101	101eipf65ia7lz27ke2phmbdoq	$2a$07$d62XytPCYKwvUjxJ2.aa/ugUPvhrhPnEw5anAqf35WmILbCF22WI2	25	2013-08-04 02:24:51.663302	2013-08-04 02:25:00.567724	215		0
20102	10usfzqx4nr7spuggs11dogfed	$2a$07$cB9.FuTZtrirjRf/R4eWKedz0dLu3mx5XjE0rGXJiFP/bZxtw19Wu	26	2013-08-04 02:24:51.685567	2013-08-04 02:25:00.768058	215		0
20103	1036ay193al6p49g3vzzrcxf6e	$2a$07$JT0afoPr/.fqHoimG/RpO.7ZSrwiMsu4vbiO/zI08lrBERQwLZvGq	27	2013-08-04 02:24:51.708862	2013-08-04 02:25:01.008061	215		0
20104	10ul7iunfyo3itly5ay5sdw3wg	$2a$07$EiZ9GkL1k8HtBhG2FpKiFOo/rj3vtqsoxrXY6QH1zv.7IOxEeGc9m	28	2013-08-04 02:24:51.742484	2013-08-04 02:25:01.139874	215		0
20105	10smfvq4xm6df0nkc827iuzlvc	$2a$07$EUaSEs9c0zZG6nUuUqiE7uVMrjmpF8Atz2v0Tf6HqsCPXBfa0H/4i	29	2013-08-04 02:24:51.766813	2013-08-04 02:25:01.281031	215		0
20106	10oov1ih75mw7y49u1o19z9yqi	$2a$07$huSAsWsZTrA8UWiiIAkjxOcT02IfWhlNRX/r3uPZtIFb6W1C/fV.q	30	2013-08-04 02:24:51.799467	2013-08-04 02:25:01.420996	215		0
20107	10d0xv7xp8bmuyf67odz3u79tt	$2a$07$/uwuJp3Irw8R1kWeBYfdFek1NAKCYa2wn4jfsur0/EeBpmQ0HEGWK	31	2013-08-04 02:24:51.824902	2013-08-04 02:25:01.5465	215		0
20108	10so7u5rn41hj0cbxgrc7zgpcp	$2a$07$64VQMn2qa16k23HGzTHs4OQRmbI6XmO7pEyEZPAq15exaPAWdKmhq	32	2013-08-04 02:24:51.861565	2013-08-04 02:25:01.678885	215		0
20109	10um9inklrcjmy9ty60rcfwqfy	$2a$07$pcZ2XwBxT9Ux7gbw/SQp5.rALvo22GjZvYU/Nir1FeFpdVCLAKG96	33	2013-08-04 02:24:51.897844	2013-08-04 02:25:01.808717	215		0
20110	10nqq875x0lm88pljxjpjhrtqk	$2a$07$UtDODj8eF/PzkvvXCc0u7.SpCxQb7O5DvcFnPvrzl.AX7bXrDz.Ke	34	2013-08-04 02:24:51.932562	2013-08-04 02:25:01.943273	215		0
20111	10hj6lqzotu2w58udwu18ypvgg	$2a$07$iH0nChbAaMJqOduOYR0ZxeLSCy/dsv5uth7icLzLHntczsmJW1mwq	35	2013-08-04 02:24:51.962511	2013-08-04 02:25:02.061743	215		0
20112	10zotnq7v6qsrcstrsekqopzmv	$2a$07$TB.8.YEO3LaSpntDKdyUUe1yUbrCOpiq5QKIXFFkaSNadEqE60qb2	36	2013-08-04 02:24:51.984077	2013-08-04 02:25:02.194488	215		0
20113	104b0uef3eemh2az2sfdpzk4sp	$2a$07$9NTAWxysIcbEgRO/YsAq3.aKPOqY9zNxyuHVcy89gBX24CrX7KbUi	37	2013-08-04 02:24:52.007598	2013-08-04 02:25:02.340054	215		0
20114	10tr5is4aiofal4fm46ftf2kse	$2a$07$w5jsVbM3Ehez50spPbCwnu2oJTUYX5OZA2/hmRlpaAQnHphmEfWx2	38	2013-08-04 02:24:52.030932	2013-08-04 02:25:02.479886	215		0
20115	10v5j4ob7i8s7tnjcny9edw9l6	$2a$07$RYrpZJZipEtmXYp68fLKlulTqrPqutL1sZnuN5upvfuC3EVcov39y	39	2013-08-04 02:24:52.059596	2013-08-04 02:25:02.611718	215		0
20116	10odc6or3st4m305j5756fgxmk	$2a$07$va4.TfAN/ODW4dEA9G7S7O2B8BJJmgxZTaHoRbZrlWHaRvTVU5f22	40	2013-08-04 02:24:52.100156	2013-08-04 02:25:02.746018	215		0
20117	10e0jdni60qmy1y6rx826kqh4n	$2a$07$u0onnDycv65R7kYrRs.kvuKr/lT6eTvbBZ/pw5ERf5Dg5Jo1vGCL6	41	2013-08-04 02:24:52.126016	2013-08-04 02:25:02.882237	215		0
20118	10qgt9zz482hciej6kbmklbf1z	$2a$07$XhRbPTzzd4agzJe8Ec8CtO4EDB1Tf/Eg59uMdTTcTtUsp4l3.YDsO	42	2013-08-04 02:24:52.15779	2013-08-04 02:25:03.011969	215		0
20119	10abh6ksgxgnprgxmb2gex5sv9	$2a$07$WBGBy.eeppVd8hx8mnbnZ.A/GGuJDmezxIot9.4ziQ6OdsjiAQGPe	43	2013-08-04 02:24:52.18611	2013-08-04 02:25:05.37303	215		0
20120	104bozeu6x9uns94fs1fv7lezt	$2a$07$/T3FPuD5rw548/WysT4GQevne5zrp1qRXETu4g2f0/FuY5tLvimHa	44	2013-08-04 02:24:52.208917	2013-08-04 02:25:07.873017	215		0
20121	102hhn2b2xen9mv5u1ywxe7djq	$2a$07$mNqvxNm.9phCftRq2fxDaOxgoHZJ3r632kGIQ19Z1YdAMi/Jg/Vx2	45	2013-08-04 02:24:52.230689	2013-08-04 02:25:10.419865	215		0
20122	10jty9bguh7pjm6ii0eoyunl9x	$2a$07$Y4hXdVX8ccMN60/3PTt/au3qbWKFJ5fiox0UC0zLp//Jeqrqd9QMO	46	2013-08-04 02:24:52.25352	2013-08-04 02:25:10.562975	215		0
20123	10jaf0ptzg4uobuvysouua5721	$2a$07$Nscp6TCAwum2KM1fLozV9euMnAM3wA5bu7qwdCxy143NZA4KKJ336	47	2013-08-04 02:24:52.275198	2013-08-04 02:25:10.709874	215		0
20124	108ezknzjc1ats23cz9gtnf7nv	$2a$07$DYTjqQAmX/2Gloo/6zDG.eecvpMyxcO3FG.vcpsqGN9EwMSolChuy	48	2013-08-04 02:24:52.296868	2013-08-04 02:25:10.853292	215		0
20125	10yan88alttdvs2jlpx7galenu	$2a$07$EMm6L2M2p9hwoQdgMMlmdOssoMroo3t2md6qfVLdhxa6YWW4HRFoy	49	2013-08-04 02:24:52.318537	2013-08-04 02:25:11.009345	215		0
20126	10xsxn5lxk049fxklnx4u4gbtb	$2a$07$/KV7kLkNZAQoV2ecAWrfbuhsXV25YJtUfHOq4Tvxlri2zetnxviPu	50	2013-08-04 02:24:52.340139	2013-08-04 02:25:11.150568	215		0
20127	10jaa8eoxfpdt74es06jlcud1p	$2a$07$1lVcsq2vDZ/EuQRlmOj2belEeObMIuQu48Ur3V.S7TXzRhoLG7b0C	51	2013-08-04 02:24:52.405933	2013-08-04 02:25:11.298349	215		0
20128	10c4c35q9sejcrdmnz7bqrx6qm	$2a$07$UvGGjvVa8s4xsifemtRz0.AIKHo0ClRbzpC/67kSDPDXFePJrLbYy	52	2013-08-04 02:24:52.433712	2013-08-04 02:25:11.423326	215		0
20129	10v1pj13ndebnwgnuklpmn0spm	$2a$07$OEzGSLh3wJQnMMoNekCjceBck45T8UTW0p/Q1cubipa46vg3a5IS2	53	2013-08-04 02:24:52.456378	2013-08-04 02:25:11.566321	215		0
20130	10b280764tdis16djp95tol2p8	$2a$07$F0lqfC7H7yijQlc4MyT.gezcxxaZb3OiVduwgDozYz/ygLshDmOrm	54	2013-08-04 02:24:52.478211	2013-08-04 02:25:11.702787	215		0
20131	10l8p72up86ely5t29azv2n98n	$2a$07$5N.fnaD6.n/sOI.zZM4yvezOtFYzIjej3gr9qUuFj8/PNsxrpRj7m	55	2013-08-04 02:24:52.501364	2013-08-04 02:25:11.835119	215		0
20132	10mg3w6gik2lp7j9gi9dlwh554	$2a$07$HXmSTNpL81I7sMEhQYtqqOGXpGGwzsngceyq6x1WuxI4NsaEBnLzO	56	2013-08-04 02:24:52.524288	2013-08-04 02:25:11.97229	215		0
20133	10qqs6wj4qw89zd11sl26l1zfc	$2a$07$HSriiQ6l4.3Jf7.MsiA4tu5al7dbV7PvPRuX5ea7NCNqVv6DzzU9O	57	2013-08-04 02:24:52.547737	2013-08-04 02:25:12.105435	215		0
20134	10ca57te6ch14nl35gxeljxb17	$2a$07$qE05HUHY5UibV7tQTX.vG.Oyri/kSyaYYCSO07PHSbWzHplPRuWk.	58	2013-08-04 02:24:52.573615	2013-08-04 02:25:12.258921	215		0
20135	10mvishdkfv2pv7agv2ixv0574	$2a$07$2DT9xYbxzVFtoFgu8ZY5zOYKGzPkLhJ/OtiONtnPB.58xcXUbARNq	59	2013-08-04 02:24:52.598245	2013-08-04 02:25:12.399944	215		0
20136	106hzlyq2d7go2dgki0bmju4qk	$2a$07$nsJ7xRfM7BjIkQCLthu3Ee.WhKlW5.WKtf547ScUJRM7wObEh9qUy	60	2013-08-04 02:24:52.621102	2013-08-04 02:25:12.544576	215		0
20137	108isp6eqmonqtwa0adgx59tyi	$2a$07$6Akkj/A06jbJJpa1KoXyOOt2V6/0BK80ibq7gH/j8IanrBN.u7jQq	61	2013-08-04 02:24:52.643429	2013-08-04 02:25:15.349961	215		0
20138	101n8tytohfdicc2lpmp0itcgq	$2a$07$rSt8cyzFgFQzWSQNXCZzyu.wdhAv51EXfgf8YQSpHNMkYUfyG40Gi	62	2013-08-04 02:24:52.66734	2013-08-04 02:25:18.189676	215		0
20139	10zi4qfykn6hrskivdlo8zxcjh	$2a$07$kpmDOMwmJ05WZ5Bz/miS/Oeu9asDlyS93D.YxKLbMnIYVYT2/vGCa	63	2013-08-04 02:24:52.689794	2013-08-04 02:25:21.188209	215		0
20140	1015tll9ih7e8pwnd03ceutpfn	$2a$07$g2AlZ3nb0fX4gn6ByD27OOiFXYr4JnVL6Uc..F0IDSzR.gWapKv4S	64	2013-08-04 02:24:52.712119	2013-08-04 02:25:21.325943	215		0
20141	10q0el2hkqmqg1ymz7fcuvsgfv	$2a$07$S32Qyq8HlYBatvh9PT/.f.NvH69rmmHnuUbw8//LINhsRKBlMRQ4a	65	2013-08-04 02:24:52.73534	2013-08-04 02:25:21.480891	215		0
20142	10srjhdzi8pvceziz9uhey5s67	$2a$07$WwldfJb/Lk.qDq2McOl5GO6xxrW3V5FBjYSyGUVDlVApcnOIOoPCC	66	2013-08-04 02:24:52.759067	2013-08-04 02:25:22.475272	215		0
20143	10a3a84s5u3qtrcytoe1vti5tg	$2a$07$AsTIANn/YZteKsPdCrlmEOTtKYFKMInr6QVApkhLOTM9zzHBhS13i	67	2013-08-04 02:24:52.781985	2013-08-04 02:25:22.613304	215		0
20144	10fy1vnmlfqy7kcndpjd46t2b1	$2a$07$btdP7S1G2lwLZuZxZVEfAOWElVmFE13jY8ppiQf.CrhZS9HzWcuV6	68	2013-08-04 02:24:52.805231	2013-08-04 02:25:22.722431	215		0
20145	10w08qjzt85dlvj98zpz8fm4vr	$2a$07$jP8Fpg9XyjdS/NHKXKmZXeN3Ctc1y9rGqXkdRm7G.0Tlzww9KgaKi	69	2013-08-04 02:24:52.827167	2013-08-04 02:25:22.83811	215		0
20146	10by0dpo8hl97ayd4lnaqrj53b	$2a$07$8CGjI1tUmSlyGJB0UXZy6OJcq7ZxB.O8lnUNbtNBaVX3//5XixOrG	70	2013-08-04 02:24:52.848745	2013-08-04 02:25:22.975378	215		0
20147	10bhabbqiqo07hz30p356t5uba	$2a$07$edcPtAFLALOY8wiW.kmdiO15NPwKvXelzbOOu9aC8zvvnBXgjll3O	71	2013-08-04 02:24:52.87138	2013-08-04 02:25:23.109886	215		0
20148	10lg9pi5f5gd10z00l83ff5awr	$2a$07$SpfV/LNmQ30YRQVlPfF88.FijpJaD1OulWsWC/Uds1VXI/I3ayHty	72	2013-08-04 02:24:52.892978	2013-08-04 02:25:23.376944	215		0
20149	103cdj6d1vrzge45tjvc9zphnf	$2a$07$XCtHq6DuG8nRFEQFD4v4ructWaYc3R5.jPexcMJfaBzXq4i0LtDnW	73	2013-08-04 02:24:52.915037	2013-08-04 02:25:23.504236	215		0
20150	1028jmvqw4gifay3mosa23abcj	$2a$07$p3HMSSlc8/IaxYFGxofwyeMzjyDF5dQYOx3GWDGF1nd7bwaKCHN6y	74	2013-08-04 02:24:52.93767	2013-08-04 02:25:23.638332	215		0
20151	10al7wru8v56ka6o72cbosg49b	$2a$07$DzeLe1n0NkqXSrqpVP91ju3XxNlPAYwWr80Iwwa1DfqAUx9cFqEqC	75	2013-08-04 02:24:52.959256	2013-08-04 02:25:23.773949	215		0
20152	10swfesgy49jbl98svkvuozmoo	$2a$07$ApvTg6xM4aahd7lhvFE2XO6BkYigVURo7FfmfL49KLmdY83jvfhvK	76	2013-08-04 02:24:52.980721	2013-08-04 02:25:23.972247	215		0
20153	10kdb0othv8v0qvj1zqgc8voyh	$2a$07$0m5zVM9bRx9.Eq4h05KK7udOkFY85zfj9w7Pp3wmzj.Y73gl6J7Ru	77	2013-08-04 02:24:53.002593	2013-08-04 02:25:24.110117	215		0
20154	10f4mf78cczlpbso6mq5o9bzs9	$2a$07$FOxUG2HPvirnJa3aMpII3eMCvGcLOTPWGFoIiPJkv95Hszve8vxG2	78	2013-08-04 02:24:53.024452	2013-08-04 02:25:26.926071	215		0
20155	10vcfmw5qyq36o9u90am41dco1	$2a$07$fGzezSmt9XnmIUKQefM2LOO6v1FiFu.5cCZzoR5JfeBSQNMIFzRU6	79	2013-08-04 02:24:53.048571	2013-08-04 02:25:27.047305	215		0
20156	10is5tp54dp20atu7mtphu0eyx	$2a$07$M92GkMs/BHBZdVYXA4.EweE4h2VVQ0VnSD4uSKMMbSlTXE6JlWsI2	80	2013-08-04 02:24:53.072549	2013-08-04 02:25:27.175826	215		0
20157	10cg3czxxpv5me1t69pu2jl8eh	$2a$07$ocO5PHgjcYljtevyOycxiu5/orbaEHVUwIfbpZi8XKJTJX/D0s0B6	81	2013-08-04 02:24:53.107077	2013-08-04 02:25:27.308237	215		0
20158	10yrolu3fu0zucrwe0fz9241qj	$2a$07$hsUGfJOsrF.IspsYuS4Bf.rCxiBI/YgiBgeIM9v8SApAiLbPzGg/m	82	2013-08-04 02:24:53.140883	2013-08-04 02:25:27.432066	215		0
20159	10oyagsb2372mpajyj6ef3rq92	$2a$07$kY6dJ734MdZyN59N85RkJeE7SsYaVO0f6MLr5hO393Ato2/6PZn4e	83	2013-08-04 02:24:53.162765	2013-08-04 02:25:27.622934	215		0
20160	10bce2jr6ghkdx4iybz2w4v5ps	$2a$07$2xAcQQt1/YHOJ.gGL6Bgmunh1d9qbzm3G8Fnrv8T2pAUZDrBIe9Ya	84	2013-08-04 02:24:53.190221	2013-08-04 02:25:30.375813	215		0
20161	10yc64f0rr56g1m9pdx84lsp29	$2a$07$UeFluy3rcTGskmVAYOSUgeC.C.XjCF1YWJKjVxkiHTBqiONLI.AxS	85	2013-08-04 02:24:53.211601	2013-08-04 02:25:30.500742	215		0
20162	103x8t5s88oti4bdoubyw907fs	$2a$07$UMRip2vm6U4gzB9O0CSY6e/S5otaBuheOW4qI6TRgZsGJ8O/1xdPy	86	2013-08-04 02:24:53.2332	2013-08-04 02:25:30.62797	215		0
20163	10esrr2tintrt6cm1g804pv3qo	$2a$07$Tx4hrp0u93zq4njUhhPNWukBmYHUBHC3XsnaDs4GFrl0nLb3/rS/G	87	2013-08-04 02:24:53.254753	2013-08-04 02:25:30.786748	215		0
20164	10vnbk7sc5tqatx0v7twuysef9	$2a$07$Muz/TzE.SgfveUqbvv5N0OoXND1avKFX/Z24bwnlu069yo2FwSJzW	88	2013-08-04 02:24:53.2761	2013-08-04 02:25:30.936154	215		0
20165	10v0xzhdu0rn85bhk0srvsdwz9	$2a$07$cumSSJPkgsxWX89/AlM0XesYwCKIdnALVxSBBSiYbyM1BOaK64MDO	89	2013-08-04 02:24:53.297503	2013-08-04 02:25:31.990609	215		0
20166	1001zwat6fonosgd733onnn7q7	$2a$07$5CCqCpd.lz.PEdZwts28B.Fi29ZmrA4175Cw.JraYBCzj5UJCKhKG	90	2013-08-04 02:24:53.318817	2013-08-04 02:25:33.038766	215		0
20167	10jn025i7cv3u7g4nq6wu94d4b	$2a$07$6rrLzEIgKhrVRTvqHihmvu8f96lgS2SZb30snZfIKK7RePo69PoKu	91	2013-08-04 02:24:53.340255	2013-08-04 02:25:33.168069	215		0
20168	10gulducjn5ddvfbc0uqk1juq2	$2a$07$Pn6lpINO.VriWujENUAuOOWj9ZGj3fkCUcMbpFkCjP2TwtPxtPJYa	92	2013-08-04 02:24:53.361914	2013-08-04 02:25:33.309187	215		0
20169	10lig17fbxpx9l1rq46g59aqsx	$2a$07$P25I3OV3ypt09zosgsHTyu6n0maxSDC0xR7frEGB1bDFMjFsjwUyO	93	2013-08-04 02:24:53.385653	2013-08-04 02:25:33.432037	215		0
20170	1097z5jilq04z3hn232jfss6w8	$2a$07$WCxoTVM0oHI6xe/Lbrphn.axZOWuaIr8pAUXgnomeonBjq9Zl0qtm	94	2013-08-04 02:24:53.4123	2013-08-04 02:25:33.578131	215		0
20171	10i982vlkhmk0sj5g8q5zny6v8	$2a$07$VPOdYwCXqI55fff2chiWku478fdA/z6rxrTx9czI4MXCouQy64Czu	95	2013-08-04 02:24:53.44514	2013-08-04 02:25:33.705647	215		0
20172	10x3psb21gjkxc8tdymqsvl64l	$2a$07$YmIqW0.ZwpQSz93X59gp5OMvM9pwRDGclSAqFlc09AsdrlgBq5Wuq	96	2013-08-04 02:24:53.466699	2013-08-04 02:25:33.85213	215		0
20173	105d4boxbedbxf4mj16cvnzcto	$2a$07$o5vlRbjdBW7.OLoeVSPDFOHUziUXe2R6MC1qOvIQWvQUvSEAuzz8y	97	2013-08-04 02:24:53.488097	2013-08-04 02:25:34.002957	215		0
20174	105z2jl7a1x2if4zwgqtmgswpx	$2a$07$tO0le3Z1FQGEXMTxWysp/eK0Po4atVQfb6J/Tt5UChkrQmpYrSCCO	98	2013-08-04 02:24:53.509599	2013-08-04 02:25:34.149424	215		0
20175	10qbfhm8oaa4qsd03f7f0jur5b	$2a$07$hdKWkJZ2lyAFSSV7l2t9c.xTrKRNojLJqStS5SEqGMVga.P1TdeBu	99	2013-08-04 02:24:53.530951	2013-08-04 02:25:34.281291	215		0
20176	10f2zwsolnx92fq8ebvhou9e3m	$2a$07$P6iju/NkOobkcjwcxXb8ZO0x.wTyZ8ooVgwnLxzj0ixGgHFcUsXqa	100	2013-08-04 02:24:53.552406	2013-08-04 02:25:34.420604	215		0
20177	10wyhk2nv8k5l7as61pnbtmk6f	$2a$07$i4JXVQiayXsHzcesW71dtun5ZkgdEGoMQtFpNyMS9CPRqcCYQZAbC	101	2013-08-04 02:24:53.573792	2013-08-04 02:25:34.665544	215		0
20178	10qghdxmgcvmdagfero96zddgn	$2a$07$mR4c8bOkRWOX01/8x9eslu8VtEref509KAX3o9UYuA0IRSV8gGLYi	102	2013-08-04 02:24:53.597145	2013-08-04 02:25:34.806672	215		0
20179	10v9p40uvfmanjxv6euaaxic8x	$2a$07$nnZvuiGjNntYU25LDPsUpO3ynM/UyQtZDC/aAUC7CHo85mZPpF85a	103	2013-08-04 02:24:53.621522	2013-08-04 02:25:34.939494	215		0
20180	10egi05rw4d2kwcteemyfosaj5	$2a$07$kuQSqp8SV9uIQaR/NoNdPOwH/RpmA92mcdBH8ihh8Ytwv8olgtK8u	104	2013-08-04 02:24:53.656646	2013-08-04 02:25:35.076513	215		0
20181	10wkr3vym2u3bi1hzquwe92p75	$2a$07$atjGftDYB/oEluQHl8KsauJT/bEZ2EpcIoqpUYIGvOr7/JDGmPtMe	105	2013-08-04 02:24:53.678489	2013-08-04 02:25:35.178735	215		0
20182	105mee6g1kazlbw1plawvy1teo	$2a$07$Giollgzq.ONN0ItlOLmS8.7.Hh8PpbMsOB.DEPuwuDm4mv49yBYGW	106	2013-08-04 02:24:53.701666	2013-08-04 02:25:35.297816	215		0
20183	10s3ivlhatdv77tl60yyl6zlq5	$2a$07$v0DgVC3XtKs7Tb2zOWbcCuQHM38Pq4QAFq/5GJitDH9rCmh3eLOJC	107	2013-08-04 02:24:53.725902	2013-08-04 02:25:35.448388	215		0
20184	10ni5l1x8d8e9w8biwlmfebde6	$2a$07$Op0JwFGwK1vxuuytifszrejUJrDBbsW9AWmivE7pSgzeLQCtcZwZm	108	2013-08-04 02:24:53.751463	2013-08-04 02:25:35.603327	215		0
20185	102or7b42zfidklcou63gszotk	$2a$07$KxGxJfx4R.imnjtA8g9amerfACHTXI.K42zHFXQz0usuUgZ3s2j0S	109	2013-08-04 02:24:53.77535	2013-08-04 02:25:35.73539	215		0
20186	10s195s3lfxbvqbhm3ue5htg0t	$2a$07$OUeyEsBhZQACqjuU.rEgh.Tg.KHVl3UFPym6w7qPALEGqmT5MOW0K	110	2013-08-04 02:24:53.797263	2013-08-04 02:25:35.861735	215		0
20187	10l5fme2oosehkn24toa7vlsmb	$2a$07$7SJzEe6mC59Bdi0QgIRsweZvvtQzc5VjS0eYJJhlmb7E9eHdjqmKC	111	2013-08-04 02:24:53.819156	2013-08-04 02:25:36.026907	215		0
20188	10l6rxez0015emgya2i2glsf4p	$2a$07$QLU0ILu.nsGGit4/zO.Mte.FwLAUjkwGTYKxGIWfAOn97zj89CL.q	112	2013-08-04 02:24:53.842356	2013-08-04 02:25:36.157577	215		0
20189	102arsdsn1q2e341fxhgcmxdhn	$2a$07$4KbJ9GUWqMfzp72b0bHIg.rCoNPGQjlfzc2FjBgXzKXJ.ir9i8/z.	113	2013-08-04 02:24:53.865887	2013-08-04 02:25:38.854359	215		0
20190	10n1qjs38hrwllespu7l0mrqay	$2a$07$ufLNpoWM14vrQR8RKbp3Y.VMRlP7QJaEMP8FzVVCbs4W.5mpZi/8i	114	2013-08-04 02:24:53.888376	2013-08-04 02:25:41.400402	215		0
20191	106ltdorhm8h16qlvvpyomi0mw	$2a$07$6oKTDra2RhSOcSz/Md1m1.W4CL.xRZK3EApVmooQB0K6UZSW.WHG6	115	2013-08-04 02:24:53.911037	2013-08-04 02:25:41.549386	215		0
20192	10v4ozooeojjq4oe7jlpsgbim2	$2a$07$RxIDPgjek6TIFwPPSjrzu.5zZDlY7VYt8BLykIVcbpwYbc/W74XTq	116	2013-08-04 02:24:53.932653	2013-08-04 02:25:41.691021	215		0
20193	104gwipg8awwfkdo7d0imkh7l9	$2a$07$PCDGQkvg3AOAowE5/sfHzenIWKwabRVeZjOtNJxelihAoKyU4hPwy	117	2013-08-04 02:24:53.954273	2013-08-04 02:25:41.818944	215		0
20194	10nz0ecjktgilb47tvhl0khezf	$2a$07$r7ExvT3sI./AGcn5DmGJOeO7Iv43k5b3DTreyKqIISHDssoy7PBsS	118	2013-08-04 02:24:53.975801	2013-08-04 02:25:41.934331	215		0
20195	10u0t6bo1v0i4nwgfeysfpv7qo	$2a$07$w5vV1ZFjOaLT0SYCt6XyE.DqC5.ueiexkAZX./EucEcC.bmtaQYiu	119	2013-08-04 02:24:53.99739	2013-08-04 02:25:42.0627	215		0
20196	10k6soffpask0bx4aodl28km14	$2a$07$eh3yCZsUO1BCt5VVl2yFxemY64Ga7XY.iGidGLxLOw71O5t9HpRNe	120	2013-08-04 02:24:54.019056	2013-08-04 02:25:42.198741	215		0
20197	10pyp2wj0m09n1gvnbgwsfgm6e	$2a$07$0hGCY8JWgUKHDjCVoURxvu6MAa6z486uzjj7gBcvp4agpO/dJzPdu	121	2013-08-04 02:24:54.040497	2013-08-04 02:25:42.321301	215		0
20198	10q2bsawihzaj46fqlinldwvze	$2a$07$owtrsjl3x3lm0YBcvELGceNYJnuiiOxUeG./hSTlrrvNuRxkIe1yK	122	2013-08-04 02:24:54.061977	2013-08-04 02:25:42.465886	215		0
20199	10w2c6tiuyyx6ww7fz6k2wze0h	$2a$07$i1nkEW55qqaoFPp1tJsA6e.Xsgozjzz57SXocpD1udAxZZ7QGqd4K	123	2013-08-04 02:24:54.083561	2013-08-04 02:25:45.022595	215		0
20200	10ddn7sgee1pld6mlmolvg8bmr	$2a$07$Hn6aB.O51qz7r3V2I3xJz.btpVD5Fx42xcul1BUOUEtLJhOW8sbPq	124	2013-08-04 02:24:54.106676	2013-08-04 02:25:47.972859	215		0
20201	10b4qwwx874qvbz4p4ubh7v8of	$2a$07$1uzs51VOvywWEvP.MqD1Dey3RURNyX2KJZWOCy3pdhOfPnI04PElS	125	2013-08-04 02:24:54.138831	2013-08-04 02:25:48.088017	215		0
20202	10gxh2z8z0kqlydxh31u34nebl	$2a$07$9Hcz.GXbLNVo5xrVf/qpYue4hrzPTSmWjT917woO670uhS2UvWrQO	126	2013-08-04 02:24:54.166316	2013-08-04 02:25:48.226308	215		0
22597	10delck6i7krcawsq95miwqk23	$2a$07$k2MPl4/eIG4nmhsG5R1e5.MMLyVpLUPxSmdPV1y7AA2FLcX3aY3Ya	1	2013-08-04 18:00:54.07445	2013-08-04 18:00:57.43629	235		0
22598	108r7qrbco6zyo1wwd850gve2k	$2a$07$IQToJdB7hKwrCn6HdCkWwO6QWCVSEF52sM9i6vHl.nbe0xUN4jydq	2	2013-08-04 18:00:54.099736	2013-08-04 18:00:57.564843	235		0
22599	107a21p3sodtnjmoeg300d9ekw	$2a$07$l/m6KZvGei.J2ITBaEc0yux0qvkD9UKEmCo1zAg4jK3Ck7MYEE232	3	2013-08-04 18:00:54.126634	2013-08-04 18:00:57.694814	235		0
22600	101frljciqqo8kfq4m8c9pgh9x	$2a$07$7Ybzz7SdaiSoVThSr50sDuyB4sdYFn7F8BDeyD6dUQU071XiZlodm	4	2013-08-04 18:00:54.211319	2013-08-04 18:00:57.83725	235		0
22601	10gjvdjw5khxlgvmn44tpumgzr	$2a$07$v1COpaWBzImUVarsBzqxn.Ue.i9sBsMQfXckCmobzZqy.rQMoAZoK	5	2013-08-04 18:00:54.239501	2013-08-04 18:00:57.987882	235		0
22602	10l4w2paf9sl1ypghi2zzmb8dq	$2a$07$KtXwBqoAF/UqNoa512NJdeqJneqZkpxs04NNZvK1fmqpZyVrbJcDa	6	2013-08-04 18:00:54.263377	2013-08-04 18:00:58.141144	235		0
22603	10myr53a4j0ev5b3x4g3vs50jg	$2a$07$ZjrTyI0u2AlhsbSQ117cvO3wEko5q2EPK8Hts49cYm3sQeV2XTXRS	7	2013-08-04 18:00:54.292995	2013-08-04 18:00:58.264819	235		0
22604	10zthpz6g7yex4sbytlxsfhom0	$2a$07$F3cWLFJnachVEE4kARF5FubZ.rlK./Uo44xDTbqDrHI19MVEkD2Ga	8	2013-08-04 18:00:54.317487	2013-08-04 18:00:58.377275	235		0
22605	10xzgqgaqff80efrxim3gluucm	$2a$07$/BKnIMlGocWknWdxuh.DmuFgo2bcfnOKIDT0irm3YlUbMH1cYubmW	9	2013-08-04 18:00:54.3434	2013-08-04 18:00:58.53039	235		0
22606	10y5xpxpc3arbv2ecy3p58o6mb	$2a$07$TLLmMyRKCSs.sWkUo7zpmeDdxDFgRf5ihMavk71Z.LwVIAJP1SgyO	10	2013-08-04 18:00:54.368998	2013-08-04 18:00:58.65701	235		0
22607	10xohe3rh5me0o7ypaq19kuad3	$2a$07$zjYvSA8Md/k6gjlGEd/ll.cMRCU/1yM6Bsww5gcSG.gWs/sqzSzAy	11	2013-08-04 18:00:54.395912	2013-08-04 18:00:58.794655	235		0
22608	10mfv2haac1eptlvp9n1klg1kn	$2a$07$ggNdOBbmXjKK7wmHDf2FXuQOuAAzIAhlWjmcDrbkJasEMyZJf8ov6	12	2013-08-04 18:00:54.419729	2013-08-04 18:00:58.912724	235		0
22609	10p7dz3sxn9uupyqbb2944mbkr	$2a$07$1vUKa9iUWi7BDx4eN7NMyuDBmg.HyRrMwZ0pn4IWVUO7n2iPvGVti	13	2013-08-04 18:00:54.443526	2013-08-04 18:00:59.040267	235		0
22610	10dwusej571rekoxton0h5wavf	$2a$07$YzNRrqCKbNFqrEoEUzeeaugCP0t3WoLoY7eYutZtIyIBP1pe7Ujxu	14	2013-08-04 18:00:54.465543	2013-08-04 18:00:59.160161	235		0
22611	10wbsoi0bfhaunf1lwuf43x973	$2a$07$DnyvmW2YomEiqi1u7L/AkuugddCiNLrquw2Yp/m0qU49.WdBSTHcS	15	2013-08-04 18:00:54.48959	2013-08-04 18:00:59.292501	235		0
22612	10hetpxze1cxxhezxh3vz5g0u7	$2a$07$XW2NFZJ9PyZXp.KYner78.Ra1uQaPrZdwtg7sBSPRp6./cD5MCpGe	16	2013-08-04 18:00:54.514134	2013-08-04 18:00:59.417467	235		0
22613	10l7x5l3k13p5xabmwx1wuzwi7	$2a$07$jtEVlJvhwxxaNT1hvSijF.S/r1K6vWCTv.SW2kdRdAm1LrCVMBQbK	17	2013-08-04 18:00:54.539223	2013-08-04 18:00:59.548963	235		0
22614	10jr0hg1g7j81kz44m5gz59cxx	$2a$07$/dqvIkmuvDKc17su6VM1AuDk19b8hFLoF/CPqMtHogg8tyfm2YCme	18	2013-08-04 18:00:54.56368	2013-08-04 18:00:59.669503	235		0
22615	109rc9r0x063wl2dz492zyvzd5	$2a$07$rVx4Fyn.tXiSCneAXNPbgexjqOUTS6nsAneSCJBJ1r5tcfNlNtIwq	19	2013-08-04 18:00:54.597451	2013-08-04 18:00:59.805286	235		0
22616	10m98mfoy4tielrni024h943or	$2a$07$/.VK36SBfksEmxH.v0afFO3DYjk8nf.Qg4hI0/Iu7G0qnsR0I1pue	20	2013-08-04 18:00:54.631938	2013-08-04 18:00:59.927234	235		0
22617	10axfglo92khgsw4j3tu3kve59	$2a$07$o2pqMiIq4q6/CKXUudqfH.y/0PpOBW1ny9Ea6XLPAiSq/1YDXQzAm	21	2013-08-04 18:00:54.667799	2013-08-04 18:01:00.060303	235		0
22618	10rmpfdnp1nsopbnwwr701d4yj	$2a$07$79ZDmm5ISxwXQICGUbExmuPgzBngZKoVeUZVKBDxnTg2ZdLuaoyi2	22	2013-08-04 18:00:54.702029	2013-08-04 18:01:00.1815	235		0
22619	10s590klkb4h8gvufl2nup9c1s	$2a$07$RsxG1N.wIPLgD9xMIWNVtu3daykMWDKHCvBaGRCB6ZmoRERpQfAgu	23	2013-08-04 18:00:54.730146	2013-08-04 18:01:00.284509	235		0
22620	107by58dh3hhh33t1dgexbe84z	$2a$07$UPUzYYD5TB1QVKfHH/T5iuE9W649ugsBay9Ljzavf6J1t6B9jTAM2	24	2013-08-04 18:00:54.762	2013-08-04 18:01:00.417824	235		0
22621	10o8lmu6rjwl6wrq4qbukse8g1	$2a$07$jOb82ly3VNHsybdfBZs2H.OGIsy8YRxne0qMYe7qnAn0zrG1/ukt.	25	2013-08-04 18:00:54.798608	2013-08-04 18:01:00.56435	235		0
22622	10unujv0s7fgnpu9un24b75575	$2a$07$Jz0fD6Lku9TE5ITjAm.ibOx.kA/jWFE.j4EZbCiGUOe2C38rtrNna	26	2013-08-04 18:00:54.832788	2013-08-04 18:01:00.700901	235		0
22623	10skdhmaaxlghcfhgpzdxfqoem	$2a$07$RswGSSFDMMS/5qg5cqxAc.fysMdAl4IwbYYB9C7o9aPWqo77/avbm	27	2013-08-04 18:00:54.870678	2013-08-04 18:01:00.838473	235		0
22624	10nrh7xk9mf3ytm2jeu2a7z303	$2a$07$LE9omUoq.v2FcLozBgPgp.Whh23p1LsAnVOypOyKJI51vQdqC5y4G	28	2013-08-04 18:00:54.892426	2013-08-04 18:01:00.951003	235		0
22625	104dw6m090fsedvol4oleypsmc	$2a$07$y19Ka5c1zKf/z2SkQlk3EeXbTvTkUzF5o.b6DcddMtUGlBOg2IQAe	29	2013-08-04 18:00:54.916592	2013-08-04 18:01:01.104659	235		0
22626	109rig015pyv0wh3riz90yjsqi	$2a$07$o.cPJawGY36.jwZR1QG41.zOSoFExxrTofnnPYgLJJlS2xXkw1VTy	30	2013-08-04 18:00:54.943587	2013-08-04 18:01:01.272287	235		0
22627	10dajbkn53g9qaafcldlylvtka	$2a$07$vgcIM57CgJEGtQyEo416cOfxpxMs7l8IVei2gvubwIf7fuQSC99K6	31	2013-08-04 18:00:54.979315	2013-08-04 18:01:01.40872	235		0
22628	109mv8mzhdb1saon4fvmz3qjvs	$2a$07$q8K4ctUbSFvi0oAX30A3rOpS6FU6P.EA3pLiI85XTY7LsbCx9qYe2	32	2013-08-04 18:00:55.007254	2013-08-04 18:01:01.539983	235		0
22629	10k3lb9ce098na8mj5gjpu3u6p	$2a$07$V5hHyb1iCW5YpkyPQWKBbueueIU3rvm8YtVIdOgdmk/mxcnJUTdCa	33	2013-08-04 18:00:55.030437	2013-08-04 18:01:01.654023	235		0
22630	10i68om8az667wk2qb3f3zrmjn	$2a$07$Ie/QwrO2lm2AlMjdCdLw8eD7xMAieH.Tl3Druj5rDIK.n5GGW7jTW	34	2013-08-04 18:00:55.053556	2013-08-04 18:01:01.841742	235		0
22631	10n4666f0s8fczvv9cgclgzs1m	$2a$07$qGzLryreAomAJVP7cA0KO.mUjvgsiaOlX7XG.KEv/g4bbxTHPZAOu	35	2013-08-04 18:00:55.077247	2013-08-04 18:01:01.983315	235		0
22632	10go95viptfffqzr0bi5qa5sfz	$2a$07$109JWibvAiaCDHumhJwAqemF.sZ7zDngc87heNhwKDh5HxaWQGGmC	36	2013-08-04 18:00:55.101073	2013-08-04 18:01:02.136403	235		0
22633	10dgar7tx0jvnqlql73xfuzqz6	$2a$07$pTE8hhZS66HxYNm8R2fdBesiYYRl4yiUGo1CmdImmgDR2X.D6AC1S	37	2013-08-04 18:00:55.124026	2013-08-04 18:01:02.269163	235		0
22634	10c465d2lbkulcixpwyxhez4v8	$2a$07$Ls0iMm0bWz9o2f098Wgp3u8EM6pqgcZpeZ0Rh9zVPhhCRK1FLw55e	38	2013-08-04 18:00:55.147232	2013-08-04 18:01:02.40928	235		0
22635	10d0m5nptkaefbnwdq7soq2krf	$2a$07$PROlvqejhBQHomf1i7Ef1OXdH0DFIZgZvbtAdi31BSr8NASPkpR9q	39	2013-08-04 18:00:55.171972	2013-08-04 18:01:02.535216	235		0
22636	10t2v0pb2d9gvws996pk9xea1e	$2a$07$5kVyVjAuvdiJj./ovXW9A.hkeyOEzLpJKjsLwEh6DoLlqF9QUM/K2	40	2013-08-04 18:00:55.199274	2013-08-04 18:01:02.687068	235		0
22637	10iracc0me1c694dd3a7mtemyi	$2a$07$bg8ZDbB.UR4R9PnUKjBepOkCEUigqh9bfdI2czXptPWaAAP5xFmri	41	2013-08-04 18:00:55.223089	2013-08-04 18:01:02.826319	235		0
22638	10fi59esur9v6ao11fmfcroezs	$2a$07$veU.z8RKwWHWWbXFMivH9.AfHvARzcwGgkxmJuhU14cMUMyJZbdHW	42	2013-08-04 18:00:55.254259	2013-08-04 18:01:02.989929	235		0
22639	10thtzpc3uk8a4u4l5qszlo7rc	$2a$07$1HYabaUWJi1YCBMFej.p5O2kbWaMU.cvndw0O0yut3T2C5lJD0ZSm	43	2013-08-04 18:00:55.280193	2013-08-04 18:01:03.153645	235		0
22640	10vfg5b70ezwhakuow4ik7iq11	$2a$07$5VLgPVJIDTEw6G7ocSOI6.jRv9Ue9Wkm7wjVxyun1Yxo8qP5ar8Be	44	2013-08-04 18:00:55.302779	2013-08-04 18:01:03.303557	235		0
22641	10oq3yby7q8ubh5n1qnl0b0n38	$2a$07$8FESuxUbFWbV6m6tqM9jI.MwX6oFek/vZ3ot7s99z3KYUuMAm1tN.	45	2013-08-04 18:00:55.324557	2013-08-04 18:01:03.423796	235		0
22642	10z6h4ob4y383sf24nz9vo8szm	$2a$07$JG1csPz7H86wezaKpc3ki.o.gGzalSpWRDzVQCIGQLWrux818MNJO	46	2013-08-04 18:00:55.348084	2013-08-04 18:01:03.586945	235		0
22643	10d2h6punbht9q23utkhjoqmt9	$2a$07$UmlP/qlr46FSgg6AbHW3JeVSgtjqLOG2L40xEMtUzcS6Uw5d5FtQW	47	2013-08-04 18:00:55.387845	2013-08-04 18:01:03.756745	235		0
22644	10zp1thny5kznlkkog6e99t93i	$2a$07$gjAlVMfF.oHptlJLtjov1O2fE8C1LRaizk2qMOZdI3xcU7RuqjM4y	48	2013-08-04 18:00:55.412	2013-08-04 18:01:04.025134	235		0
22645	10tse0frh81kvq26rg2d16p2x3	$2a$07$oXm9HSFWSq6/j7e.Cdmcs.mkC5jSGylpyzdGSXQUE06Wdnmeprim2	49	2013-08-04 18:00:55.435771	2013-08-04 18:01:04.171569	235		0
22646	1063v6a1gbt03y7h2ssk840azv	$2a$07$joTLTBS57.6sSeEym/EtgeyjSHaC6UlgaWtJvdwx3SRHnDstQvzLC	50	2013-08-04 18:00:55.472311	2013-08-04 18:01:04.308499	235		0
22647	10dncljybt1z0gtnprwdstq1gj	$2a$07$fOXx1FPt8xKbY8YFbeoit.J1BRafuYDTwvjAUIZntmjmkfOBijLUi	51	2013-08-04 18:00:55.508652	2013-08-04 18:01:04.467795	235		0
22648	10yyno3uogt7f3vk1b8y6zpn7w	$2a$07$miya42SvDJXDEKA10lpxluQpz1HZ4v.DFXrh/PKPb4lYVTBJtk9LO	52	2013-08-04 18:00:55.533683	2013-08-04 18:01:05.616203	235		0
22649	10collw1vnhpqs7gq767m2pjdc	$2a$07$cfq7QIGGkP5KG1RW5LomH.TdZb2qaNnfas9G668CiOUlp//4aQWbC	53	2013-08-04 18:00:55.557032	2013-08-04 18:01:05.759594	235		0
22650	1031gkej7yvsscurtcjkpczcgl	$2a$07$ytume2ZZFXqUSlHVY1JSl.OFrlu1JexVQsH73ZG0u8ZpkNgtdNyMm	54	2013-08-04 18:00:55.579979	2013-08-04 18:01:05.910504	235		0
22651	10ce4b7glrl8azjcxr91jcq37l	$2a$07$quyYnjAJT6dWDXefGmoQVOjBrSPtaORJslQWi45bZggxEmFq6mTpq	55	2013-08-04 18:00:55.601586	2013-08-04 18:01:06.038943	235		0
22652	10kb3vy5geqo564g2a0wy2sxh2	$2a$07$mxJH.tGb5nqE7kh7hSKOI.SSgwMIiIjsVtqK8trmoU72PjB/n1BAm	56	2013-08-04 18:00:55.624318	2013-08-04 18:01:06.171125	235		0
22653	10977bspx6qyw9rrwqj7wozbp4	$2a$07$24ZhP3YE4Mrry5Yill0KbOx.A9GEEOKkFcmCfMzVbVMMgTmuMFZHW	57	2013-08-04 18:00:55.646137	2013-08-04 18:01:06.312234	235		0
22654	10wvzjkjd0l25ydnsvypheohid	$2a$07$2S1lrdtcU.s9/ImqvZV2YO8Po6jqFQfCh0VnvhxqCREHJab4XgwIu	58	2013-08-04 18:00:55.668163	2013-08-04 18:01:09.167914	235		0
22655	10wnjglxocmrssflr0oxsxhdwr	$2a$07$oIISyFYS.qBlpJ5tJzVKGOvrXHbs8X6S8J9IznDHzyyA0ryNhe2Pe	59	2013-08-04 18:00:55.690355	2013-08-04 18:01:12.075603	235		0
22656	10zunj959qla82osokqinm52tz	$2a$07$3kuss9z1VkWyoiqFYEEI3OpBDBhQcNQuSvoYWUTeAGxJuTm9hZLb6	60	2013-08-04 18:00:55.713997	2013-08-04 18:01:15.255315	235		0
22657	10top2r40l51nmig61omy0es66	$2a$07$EFy6kWwm95ZrLz8GD2mV0.RkNN/0yNX.ZVtVJuyD8KYvtr.AUzm8G	61	2013-08-04 18:00:55.737192	2013-08-04 18:01:18.124877	235		0
22658	104sq5sosqfwh26wg80rgig70o	$2a$07$nTxUuMy0vzK3nrlauhyrYOoJO7hafY4ZAl5OUp8fob.XVfwTUXt6G	62	2013-08-04 18:00:55.758894	2013-08-04 18:01:21.243645	235		0
22659	10qu13nck56yyqzqimh7bwmcjw	$2a$07$JCYWWqkh9vaXyYmevufEFO6byYI1Ua1VwEIY4W6CcUbyYT3xbecqa	63	2013-08-04 18:00:55.780953	2013-08-04 18:01:24.335761	235		0
22660	107rx97x4i1tgdn41wl5oyk2vn	$2a$07$pEFfgbGPNZliL78iSu/Mpu2/98DwaSsN1DHiCjvWUsZhqDn/ra24O	64	2013-08-04 18:00:55.805029	2013-08-04 18:01:24.473197	235		0
22661	10pn92k37nmjk9z9ijw5tec1sl	$2a$07$kuzFgiwNMWO8bzNlpl3JqOGQwWknufdAjr1O1BzOQeqXNTY6F82VW	65	2013-08-04 18:00:55.831376	2013-08-04 18:01:24.610621	235		0
22662	10wrmz1yn6y7qaykdr2hg7bsw0	$2a$07$QqMEDxMPx011hLOuBL4xXu9GHlmqIq7WdPmpvaBMgeQh39ZfTFT3C	66	2013-08-04 18:00:55.863854	2013-08-04 18:01:24.745562	235		0
22663	10kyk8064q3q666f7hsiief1a3	$2a$07$/f8Ag3/CADw3uEl5FgCl9udexFuNxvjCYGQ/onCoQLWKOfYHLiQYu	67	2013-08-04 18:00:55.8858	2013-08-04 18:01:24.898038	235		0
22664	10v9bhnmjaf4qtk848d2mb7ap5	$2a$07$R5uWBzwouROjJ2fdLdE74u6Of/o6fTE2K9iA9vxkMuhc1iwQVJULC	68	2013-08-04 18:00:55.907491	2013-08-04 18:01:25.030724	235		0
22665	103ueg1ep4z14fgeqqproysut3	$2a$07$/xeKxh/scnl.ufAPzazUxOPhGEjxniqy1Nr3d2DQtjHN9g1zFIdNm	69	2013-08-04 18:00:55.930431	2013-08-04 18:01:25.204264	235		0
20203	103cj9uen5n1shpq6uqs4nmqga	$2a$07$XDknteMjtWvtTw0TJOpwNOE.ciLcmdhyQOK6wdFF49/U2eJHMQv2y	1	2013-08-04 02:29:51.096109	2013-08-04 02:29:54.342651	216		0
20204	105vvz2gks5hwwx4ns309bi9o2	$2a$07$PKtzjByDFWVVPraBP13f7uQXLTSn/kbdtjOjmPxCVxvPZyVL9IBl2	2	2013-08-04 02:29:51.120385	2013-08-04 02:29:54.466031	216		0
20205	10lrxf9vnsr2nxg0voguubooy9	$2a$07$j/SHYJ8D6HK6gkPQldfyWek4fKPZml3Szld6kcwOvWI6DmRhOTtMe	3	2013-08-04 02:29:51.145555	2013-08-04 02:29:54.580993	216		0
20206	10actpdv6ekt21p3n9y6dt6g95	$2a$07$Hj1sSM9JMVH0quybh7bLyeC42cKB.wXEUYoIgWUg.Pa4nvKdYeWVC	4	2013-08-04 02:29:51.17553	2013-08-04 02:29:54.730743	216		0
20207	10pk1d87j7cfccp4gby8ij4t5x	$2a$07$xmvKhkptRJh7vFekJNfu9ug.clIzktU.BBqNSsCfrm3FwGNiukYRe	5	2013-08-04 02:29:51.204663	2013-08-04 02:29:54.88069	216		0
20208	10mxnifon7sgbnddu0h11s0wox	$2a$07$GV72BZBAIWqZ0yoeiJS6g.Zwdz5IlEvwOO6IJGpGQQc/zYfMbePQC	6	2013-08-04 02:29:51.22831	2013-08-04 02:29:55.025765	216		0
20209	10q5nnenbm4qs8n7xj94g6r39x	$2a$07$hNS0aV7IkfvJc2/7atGrjulpkEpDcWcGkJLje/x9nYCxN7G6L3STS	7	2013-08-04 02:29:51.252353	2013-08-04 02:29:55.997384	216		0
20210	10hiag5xpfncwuo3buvbd4ig8y	$2a$07$qUtVnmOyMdOyfY1FykA00unq99IpY1zfG1kflTcjBiXBlA8KP/BSS	8	2013-08-04 02:29:51.277024	2013-08-04 02:29:56.989012	216		0
20211	1076mqel4w6zcargq3qfucb7um	$2a$07$Ujum.9Jlkan/zOIZFn2rBOzFFP6bsJE5cA8riynPhfyo8hfea8ZO.	9	2013-08-04 02:29:51.310579	2013-08-04 02:29:58.062788	216		0
20212	10zr913dwv45zsy6vs7n47l5le	$2a$07$Uo2xznV8kEQTsDwCMw4ZjOaA2C595BPzmcu5JANxNuBSOqko5hHL2	10	2013-08-04 02:29:51.343093	2013-08-04 02:29:58.199415	216		0
20213	101dj2sey98ehrnh1cibbmfntq	$2a$07$UaJOFrx1z2H3kJuNR9nCAehY6C4WgFCH3h8k.gSTdEauMGcur0rlO	11	2013-08-04 02:29:51.369567	2013-08-04 02:29:58.380506	216		0
20214	108nzo7djj4tapdf6tgocgojc6	$2a$07$g9pONJxmJlRGWj3a1tE9.uj.eEA5srFpWAz48r0/zCEMp6THkXNG2	12	2013-08-04 02:29:51.392934	2013-08-04 02:29:58.581481	216		0
20215	10zg5qju3fbe937i2kzuk8xxiy	$2a$07$iD1xSwDSigJsTW2kBz3ZHuKbLDrKvBMtz7gRHCc/kCxyCi.bWBxYK	13	2013-08-04 02:29:51.414712	2013-08-04 02:29:58.721598	216		0
20216	101jh9y0q5swu1musxm7na4aj1	$2a$07$MX.NVr12LMbKdVztULj5WuMz44hCyYrFk3twY8HEzwdeU0LsSSVwO	14	2013-08-04 02:29:51.43849	2013-08-04 02:29:58.85795	216		0
20217	10r3ogyy8fid2ojg31jx9ldfjk	$2a$07$cHNAcKH6hFkpC/x5vEfgD.wgU3IJhf2udEz2lz8bfzQ45RmaxqR9C	15	2013-08-04 02:29:51.462635	2013-08-04 02:29:58.974176	216		0
20218	10qof8c751v74dptsjv7rvnose	$2a$07$VCzaUvsTqgWJg6gjaF65neOQYF5fPQy8AXJ0TVI3rwskAcVYMHNR2	16	2013-08-04 02:29:51.49132	2013-08-04 02:29:59.128335	216		0
20219	10yf37awolsvesm5kate5jgg0f	$2a$07$dyBhq6Bi4B6Pd8FlJ6JSLu7wOPJtv8xRFBVJkqLrXYtB8VWrqUm7m	17	2013-08-04 02:29:51.521996	2013-08-04 02:29:59.343461	216		0
20220	10921vhofjm2s4c8hd3sguyxzn	$2a$07$GsfZfkcOf20IKQpowdGXZe59cVq/iPA0z6iEIBTyEgfo1pvz09IIe	18	2013-08-04 02:29:51.552544	2013-08-04 02:29:59.52559	216		0
20221	103tbavwxssb89jjanord5824c	$2a$07$dO8GaO0hyS7klgIxThePMuRy5.PI4r36eIybxAk/SO9o5XBLbr9bq	19	2013-08-04 02:29:51.576682	2013-08-04 02:29:59.677627	216		0
20222	106fv7qrap5r55epsqxzqll4vf	$2a$07$tHd8xmUxxlYQUiudG42Ka.2f0fHwL1Q8OhpXVcurX3cB6k2ji5XNO	20	2013-08-04 02:29:51.600138	2013-08-04 02:29:59.810889	216		0
20223	10ekv4gvmvtyykju2bbbne8hs7	$2a$07$dUYC/pGUE/t7IR6OzJGrnuq8MtGLH0WGgXZ64XrOqv6KmgiUIA1T2	21	2013-08-04 02:29:51.622385	2013-08-04 02:29:59.972726	216		0
20224	10n0tkpa613394h1tg1bbdx2g4	$2a$07$H7eG49ZWkgchDM1RoMTeX.h6qwat68cUdtovA6T7ai3orKiCHbgba	22	2013-08-04 02:29:51.645353	2013-08-04 02:30:00.103498	216		0
20225	10s51djgknnsbll4b8l3jxjugq	$2a$07$tOY/GGCnvpQ7BxTyw2ZNauJauEE.ELsNm8gBy.2lmMiMa1g/r341O	23	2013-08-04 02:29:51.668343	2013-08-04 02:30:00.226574	216		0
20226	109kncy3c80hyw5pgp0vnvg00z	$2a$07$mKTjxIRZlOtCYknnGOAWxOPckMdvjUv3bYxzgCb2Y4FIijVnxd3MS	24	2013-08-04 02:29:51.691165	2013-08-04 02:30:00.369374	216		0
20227	101raeonadm8o0pff86348fxiq	$2a$07$2nIJcP0lk1ZFY42pRiuXCegd8Y5TGpfl0tZWKc0pPsxH2VYC4kSKO	25	2013-08-04 02:29:51.713371	2013-08-04 02:30:00.683107	216		0
20228	10myjwb5vx0gskhqbpsr2oq7ia	$2a$07$inQRuWYTwvIknVTaw4kCq.MhBkNwOxxXG4CH1uUubPn5SGQMmP5oK	26	2013-08-04 02:29:51.736239	2013-08-04 02:30:00.844664	216		0
20229	10obqvz1d74krr4kbb9f794020	$2a$07$3O6DGnDpcBnW9tNffQvHVObmDqzrVFOmWM0NOB2eKeUZPGy4Dex/G	27	2013-08-04 02:29:51.759671	2013-08-04 02:30:01.122244	216		0
20230	10or7i1w0k08ozu2oa38n492ba	$2a$07$2RoD6G4A0l47IGlUvulH5eHd6WOSsaADfn7zRhzS0Sj2ilJD2UDYa	28	2013-08-04 02:29:51.788505	2013-08-04 02:30:01.250429	216		0
20231	10obuex0sctso13bw8kohbaqlq	$2a$07$d6UGZTVVX6Mcs1yZeJayzuZJOarW.AEDemZYyKNyO1fAnwkMD22ya	29	2013-08-04 02:29:51.812101	2013-08-04 02:30:01.383527	216		0
20232	101l0d24ru5qukh9blphm9o8i8	$2a$07$kcm4K2U.ILNLotUHFpypYOSMydmD80XpKhvaNp2NIa2YTRmlyOr5m	30	2013-08-04 02:29:51.837879	2013-08-04 02:30:01.489687	216		0
20233	10qnzdmf2730g9x2kxzzunjxa4	$2a$07$2hkqeaxXmBdFpl12CWzcGOXLgGM6Ad7i5pe.jykzLL1383pbdhvNi	31	2013-08-04 02:29:51.861109	2013-08-04 02:30:01.607237	216		0
20234	103v22uzfpn0ybdu3z8n8tdws0	$2a$07$AUGtKc7lPgbxMb6hOgcgtOuBPqK2U6Sal0da9Hufp3Gt9LSuKyFPS	32	2013-08-04 02:29:51.883869	2013-08-04 02:30:01.726472	216		0
20235	10awok1ti49dgrgv6jkq2sbom4	$2a$07$5bt3bAVB3aPvT8FQ2xCZRuZU6xhb5BoOEyf10SS0qoZYqATZmmjEq	33	2013-08-04 02:29:51.907588	2013-08-04 02:30:01.865308	216		0
20236	10y6zf3dopliqg8m8api2py8j6	$2a$07$a9qYnMYcYvkN3eIJTBGv0uA.ll3skYpBpplJFAF9eEQLPTq3/kvxS	34	2013-08-04 02:29:51.931768	2013-08-04 02:30:02.016567	216		0
20237	10y8nzmmr5pcrd3kisy276fycj	$2a$07$1LDQDGcTzWFY2LHFW6BM.ujSOAffOOB15cpJAU6CqRtlsoFVjeCDW	35	2013-08-04 02:29:51.955442	2013-08-04 02:30:02.160144	216		0
20238	10bjvk661dslzr9xx84443ik50	$2a$07$aqQ8ft02KuCpjwXrWYZOuu/94ZD3/XxzxGY8gpqgNVq4zexIzu3Uu	36	2013-08-04 02:29:51.979508	2013-08-04 02:30:02.326619	216		0
20239	103v7a1yd9re77vd9yle3k94sd	$2a$07$8lwjIwf7Pi.KtxWA98NRQuvvfSp5IoRZ2/jNi.9cN7j3L8FuZhRqO	37	2013-08-04 02:29:52.003253	2013-08-04 02:30:02.46473	216		0
20240	108xxfnxwu3fua8plsir7vcfmc	$2a$07$8adW14czV8bhUQSBhbVc6.yssd4vlv9FO.62xgPlzCy2StqkUhSdu	38	2013-08-04 02:29:52.027398	2013-08-04 02:30:02.596069	216		0
20241	10i1jybjq4n48zb75a6gmu4x8t	$2a$07$Y1Cx8/A/2AaHA4Y5QQeS6.ReZj26EpIQDrUtuHjB9b9TjO2f5ZYIC	39	2013-08-04 02:29:52.050149	2013-08-04 02:30:02.72142	216		0
20242	10rsd9qczg6ys30flav4qw69qw	$2a$07$kmGC8GgnyNjygHF1EAIdDeDCixmASvqErxw.usl38PXYZJVELi2hS	40	2013-08-04 02:29:52.07362	2013-08-04 02:30:02.870736	216		0
20243	107l6ugf5ktveu5p6pnuzdphfr	$2a$07$Q6cajOuXOVZAPmWD7SWI/.rlVI1dEEZ8BsEKD0s3R.SQFFyX4OypO	41	2013-08-04 02:29:52.097603	2013-08-04 02:30:02.981394	216		0
20244	10rzy83qt9mr4xbgjeqfyq1kx9	$2a$07$8NYy9pSjd7HfkfjPFuOQROtJjMgRf31VOyzxxAZGl2LRdCbiSY8Ba	42	2013-08-04 02:29:52.122938	2013-08-04 02:30:03.103361	216		0
20245	10703tdmoimwlgk1ds54vn2sr6	$2a$07$rtRHwuLwhKNGLDHe9y8n8OeAO3kIBhNrsa0kn6jWU8Cm.0MtMPNAe	43	2013-08-04 02:29:52.150772	2013-08-04 02:30:05.569715	216		0
20246	10zkbnid1eyspml9v8924jbhdi	$2a$07$6.X4pdpfRG5QVAKzvFnKJuTWpMxIdNSQWtgsiagcdIrqRkHSjGVlG	44	2013-08-04 02:29:52.175124	2013-08-04 02:30:08.380761	216		0
20247	1067umcxs4hrgpihf3xlq75osj	$2a$07$xB/aPqECHQy45W/LfSIvmeJ49oK1962fN/PrbtUOVbbqtART.Pm3e	45	2013-08-04 02:29:52.201844	2013-08-04 02:30:11.020067	216		0
20248	10wrndt64kyo02pg6cieu19pvq	$2a$07$m.VgUFLQA1dsEzow9tuY5e3xoLwlwUuvcesmJ0cUlgh1jQh0hNLrW	46	2013-08-04 02:29:52.232953	2013-08-04 02:30:11.148173	216		0
20249	10ov0i9xfpdqvxxm9y4iai7r2l	$2a$07$uU2r7HaSgN.gdX7WxcOk0.MazWgRyvz.TV0u6b5iQ4Ux2vnnzrB5e	47	2013-08-04 02:29:52.26464	2013-08-04 02:30:11.292215	216		0
20250	10ts7ruukpuc3542gdc3gz4rfa	$2a$07$aB6AlEDDNJDfZeHRVlOGgOticdG3yHqsI2TmM7znYBvyLKJx5jCnO	48	2013-08-04 02:29:52.295621	2013-08-04 02:30:11.430564	216		0
20251	106ebpc4xywziouss3hjphk7n7	$2a$07$gGnSAsSJQkY88XQq9o3uNOLkwF3Uy6J4vRPF20vYI2bcYUt6/VQNm	49	2013-08-04 02:29:52.322694	2013-08-04 02:30:11.57572	216		0
20252	104waqzcy7mlgbbtdiddrfy0ao	$2a$07$HEkultErCMTnSrlZ1NzhKuYWf/LHdqcB8e8m7y1/Gf7TwfFyVBunG	50	2013-08-04 02:29:52.363609	2013-08-04 02:30:11.708382	216		0
20253	10xn3xx14vejhkotwdvt1ayv2j	$2a$07$peFMTr6MqT27CyXC2g1nF..xGI3e0ipLzPXgJu4v1RjHN9KlfAi1S	51	2013-08-04 02:29:52.384979	2013-08-04 02:30:11.831427	216		0
20254	10h8zb6qhf16ta1l6j4hfd6obz	$2a$07$m5RWDv6YooyYrKRaprmi.O6q05/k7NPInfg02VgDqFkz1KegtWllK	52	2013-08-04 02:29:52.456186	2013-08-04 02:30:11.972449	216		0
20255	10g2ek7o36kz3iq3cxont16oms	$2a$07$bKkxhMWKR2a3ZmxtXEAvmeO5LuopwWXvDA8GL3nXdMMl4jQVjRJ5G	53	2013-08-04 02:29:52.478791	2013-08-04 02:30:12.107203	216		0
20256	105f8hwamc5eeu97kfn5elcv0g	$2a$07$tCtFB35t.hrXNMjUld1Y1u8CeHtFEkdQRfnUa.OxhJQWv9C/ccHku	54	2013-08-04 02:29:52.502226	2013-08-04 02:30:12.221556	216		0
20257	10ftmdebfvhh6eukmsswmjlapg	$2a$07$.a0ke1VpnEyQYxCdse1zFeKQd.ryQdMq9Outjl4FtjWecy559paOq	55	2013-08-04 02:29:52.525267	2013-08-04 02:30:12.343885	216		0
20258	109dxhe8wt2evwuasxqgctferd	$2a$07$GVS7vNO8cTVvVCA2pT9xJuFNR/NuHKjb72ouNC8NOvKUGUL1E/iqC	56	2013-08-04 02:29:52.547029	2013-08-04 02:30:12.481654	216		0
20259	10rkrm017pb7jh03owho956gsq	$2a$07$Z/0fCGqmfMALyusBlpNJWucTF.HEjbODJmnH1BDkaHGN5cLqY2j6.	57	2013-08-04 02:29:52.570175	2013-08-04 02:30:12.614258	216		0
20260	10bxvv8r3ue1b5r485dhocr0kq	$2a$07$TMEP0ON./vpuYsvr3Du35OA9iYKSQHOJLP0Ft57fkw/bCSAzTjIV2	58	2013-08-04 02:29:52.596768	2013-08-04 02:30:12.76709	216		0
20261	10kl90g5hyhk39yex43yxa480j	$2a$07$VwhyKNtf6E.9TykDausfsexKO/ScTZKY1kpQ0seY89VJs.hMEXzNC	59	2013-08-04 02:29:52.621531	2013-08-04 02:30:12.919559	216		0
20262	10ntdwyaosxzao1h7bsf79osaw	$2a$07$2deyvfdOy.1173CE0xl/Vu511dnp2lQAl3UE9AN6IoYShMfGkcyXC	60	2013-08-04 02:29:52.645953	2013-08-04 02:30:13.203171	216		0
20263	103pkukckwo6peo1u0ebnamest	$2a$07$NROUxWT4fYGIXBkgIV0hF.X8YLjR8iWR44nGY8fibZsp4eZkkBW3m	61	2013-08-04 02:29:52.682464	2013-08-04 02:30:15.87221	216		0
20264	10le2s0iqadvni4yvcnxcilze6	$2a$07$.vaImOqBlmzTcaGm9azwLuB5TbNw6gZSnR21c/68eVDWtuQIaNp3y	62	2013-08-04 02:29:52.705779	2013-08-04 02:30:19.081446	216		0
20265	10i4c0ucq8a5rjgqmltg84mwl5	$2a$07$HdtG0Wmv3SyIxgnYMVczb.6QoWxiYHFqS5VGn4O7FGZwUSr3fV3cO	63	2013-08-04 02:29:52.727764	2013-08-04 02:30:22.156338	216		0
20266	10skk7ddq2o7r4w2ven20xvy6c	$2a$07$LkTikT2pDFOMUdyxoaZCQeOlJenkpVjSLq9zHT2zTgzyKnUfdsQEa	64	2013-08-04 02:29:52.74938	2013-08-04 02:30:22.408616	216		0
20267	10aa9kyv9g6smjbopxp2bugftl	$2a$07$x/QmlApvD00lYIShpSJP8OOMgA.9MQIz5u9SXnt0fi6i1.Lux0s9S	65	2013-08-04 02:29:52.770868	2013-08-04 02:30:22.569762	216		0
20268	10og4g5j3q0cz0nzgf6mogl4d5	$2a$07$Y6/iwNbH3pLwBsUG0XuPZ.9kX0ZlJO3VLK4EZiJoLEntvZq0WyXxu	66	2013-08-04 02:29:52.793317	2013-08-04 02:30:23.616325	216		0
20269	108ua4iuxq9o99yiga9y36szxk	$2a$07$HO0bJwYPye6d8qi0eXI5HeScaI6/X2PdUWb80gmKAa6fRQNqp58Sq	67	2013-08-04 02:29:52.815182	2013-08-04 02:30:23.745	216		0
20270	10sduegxjk8zt0z7yrnubel5rf	$2a$07$Dd1kQfoAWhDI8WypCwwywu1zEZaYaF.s/OY/Vh1i5PcLkLD1nZqwS	68	2013-08-04 02:29:52.83775	2013-08-04 02:30:23.876059	216		0
20271	10j73g8ilhwvfi9t1c8z924i1t	$2a$07$bknmFPEhivibywRH6TXtp.7ihv4hLZsg7MBaMiz6OlUWVDFzlqeH6	69	2013-08-04 02:29:52.859489	2013-08-04 02:30:24.119713	216		0
20272	10mqp5hj4bjf7lnw54yh64334e	$2a$07$1wzqNOoOzuDZkb7D9fCqyen0gCmTXKq9.77XT0kn7Rq87fcgfG2ee	70	2013-08-04 02:29:52.881031	2013-08-04 02:30:24.241391	216		0
20273	105oki8wcyzjp9m4wy4gnvzmy8	$2a$07$agj1nlTEBfSdHFeBugPYnuiexcdCuYCrgZQzeFDjLmIBDWk7Md7FC	71	2013-08-04 02:29:52.902486	2013-08-04 02:30:24.377768	216		0
20274	10gjiwjgrnyr2pjpc5cnp543vz	$2a$07$BPHgKn.LFWU/zwxeUbHvyOlQDle2cZVulv4QBK9BT1KNvAUHvG7mu	72	2013-08-04 02:29:52.923879	2013-08-04 02:30:24.708199	216		0
20275	10zvf2bw3kujo16psdec1zerhr	$2a$07$h5Ayi9/1YUtITCVUVXEoTex7ol5cH49gz82cT/zinUNTVLdjHtt5i	73	2013-08-04 02:29:52.945451	2013-08-04 02:30:24.848129	216		0
20276	10bgg73xgbhl4ddibbjvxv1v1m	$2a$07$4EoUxsJFhojfkVvvpK5X7ODFlZ7NTM6s/lX4AYIwCP/3uStKQIfpm	74	2013-08-04 02:29:52.966793	2013-08-04 02:30:24.984111	216		0
20277	10b6xpdu6bivcnxm5tjpro6gn5	$2a$07$8/MvtyNBnrfz92YmrZYJu.JUTURV/Zo9Lb6ND0MUoKoyna4VLHITe	75	2013-08-04 02:29:52.988198	2013-08-04 02:30:25.140286	216		0
20278	1055k3pbz3lxeqmduxkywv341j	$2a$07$9YJQYgEUlq65npMsBZp9L.vGwmSDcUmhbitagQN5obgRh5rgFOvnm	76	2013-08-04 02:29:53.009858	2013-08-04 02:30:25.272073	216		0
20279	10f8nc0vvvor4nom0yayu457zy	$2a$07$v7t65iv2/WULRHN6BMfoLeGnXI0EtND.kdHq4No3TNdco.O043QeK	77	2013-08-04 02:29:53.031187	2013-08-04 02:30:25.409607	216		0
20280	103n2jg1hyju0w5uab8f72cv9q	$2a$07$P94gMmX866SfiMG36ggo2eR3qInvb0lGUbXEveYeobN61nkXVTPWa	78	2013-08-04 02:29:53.052506	2013-08-04 02:30:28.037768	216		0
20281	10zzpyn8mjkj5qopuvbgfvrvgr	$2a$07$oFGaoO7gF8TRvF3zMOzFnOrirA54C5YyXNRchlS1tiQHy5vW1sMcq	79	2013-08-04 02:29:53.073941	2013-08-04 02:30:28.174736	216		0
20282	10t87b1v8taoxlunuchqf86zv3	$2a$07$rNibVmU4Iks5ol7Rx7e8SuhtgI/9vhX7ybYjWCePPJHhipMZfPnr6	80	2013-08-04 02:29:53.096829	2013-08-04 02:30:28.318309	216		0
20283	108fzyy2yxt47ni0u4knq4uru0	$2a$07$5U6gM4XvMx1TPy90/p7ui.9QZE8vQ4m7jk2KcJVdr9wB59D4SEruy	81	2013-08-04 02:29:53.120454	2013-08-04 02:30:28.459611	216		0
20284	10t2jzmnrnxmkixurr3zy8176j	$2a$07$bDdKZSKXOhk8n.nMubcJjupGmPHLgN9.56L/crWRrBZUoZuYedJfq	82	2013-08-04 02:29:53.143397	2013-08-04 02:30:28.595036	216		0
20285	10r9506ds2q3865a2w1fdqduh3	$2a$07$d8SSFm4Gk5B/UbRbL0J8q.OSnQXdX9q6UkER5BYUih0dskul3imZq	83	2013-08-04 02:29:53.168297	2013-08-04 02:30:28.725632	216		0
20286	10bb14x5luhjpw3jc6ge4owhz4	$2a$07$VDHp7m9EgQS3tiFF3jcOWujFrbeeaYyqWj9ptCc6C77HMLc.b4Mby	84	2013-08-04 02:29:53.197723	2013-08-04 02:30:31.571693	216		0
20287	1025ajtye81ds9rdosgcbq1mak	$2a$07$i3NQQnpoWxnFE4TomkoFyu8NnrvzZHFGCtBEqFmHQGfXDpEfx5zaK	85	2013-08-04 02:29:53.220714	2013-08-04 02:30:31.683886	216		0
20288	10kik0okvc8zg1yeast9zb5c02	$2a$07$viCP8sy6hbhdrXBH2DXdXO7imEW1tcp1EOsUDgRjWXT.SqM3vpKl6	86	2013-08-04 02:29:53.244159	2013-08-04 02:30:31.81405	216		0
20289	10l6s6c2oacsba210fsz1045ks	$2a$07$5QK0dvi5RQl516TP5n.C8.tSWZPd6WIPnAlgpJy.RxaHPNaGfoKPW	87	2013-08-04 02:29:53.27712	2013-08-04 02:30:31.959101	216		0
20290	10uuzsgbydo72j19fmcvkjxd6n	$2a$07$RPVrAILTb5/ucGBOGT6rbOC/WA5P63oxqM8RTyaUKA/.VtOCXSQHG	88	2013-08-04 02:29:53.298726	2013-08-04 02:30:32.119208	216		0
20291	10zgrgbmj36fme2da80k46yv45	$2a$07$YF35aZ8mBuSlobd24uduJeYJZWfKHKiSfdf9kEYlQ9HisCXsszDXi	89	2013-08-04 02:29:53.320315	2013-08-04 02:30:33.193087	216		0
20292	10uba8zw6xk37419avrl13t4o2	$2a$07$M5aCC.DztbMlZK/5s5tc..WCVILRDvBRQQfe2t4QZHcqRvgx64vAO	90	2013-08-04 02:29:53.353901	2013-08-04 02:30:34.263532	216		0
20293	10jg2d8vxmbbqus0ise2da2mhl	$2a$07$POpEeh0hOk9GCBiPKYtd5.pSLcYsqEpFGPWhc1M2w.xM864IdKjBa	91	2013-08-04 02:29:53.377537	2013-08-04 02:30:34.453983	216		0
20294	103naom4xbeuczkknj0dy1nlnq	$2a$07$1Zt0GchBFJMjVWrP2H3vzuln3RhYhHje9VqUmbqMPsQgDTMO7b.Bi	92	2013-08-04 02:29:53.400761	2013-08-04 02:30:34.642226	216		0
20295	10zrwkc5ap8kvpugxaawti77y9	$2a$07$XJ2dLRp1KYob3wv.OV0bt.s3qi3usnR6Cfy7R7UA/Yg/eI2uPPR2e	93	2013-08-04 02:29:53.422456	2013-08-04 02:30:34.778782	216		0
20296	10hr2idqvvngssdkmsplh5gig4	$2a$07$HPFQR6uSd2q6srpLjM80Y.88KRcjWQ8F0m4IxNuu72.LFl2/BZX3O	94	2013-08-04 02:29:53.444255	2013-08-04 02:30:34.897505	216		0
20297	10sxv6uq8edgabyn82tdpzcgj8	$2a$07$iZ6WWHMyHBPaV.mst4DmXu0hKrykW5m4C1X.i0.bn7t7rWC0BvJP6	95	2013-08-04 02:29:53.465881	2013-08-04 02:30:35.030167	216		0
20298	1040rjyj234htgjg5d0hao60ho	$2a$07$pWbdtrzs4eO2zeBwQqOCu.7cot.mqazlgEYii/ozQHTOcD9fsFW8y	96	2013-08-04 02:29:53.48748	2013-08-04 02:30:35.141589	216		0
20299	10va5890hvz97z5vcr9qyd9sdk	$2a$07$g/Aq0ppqk5VjLjeD9vWXmeSWPPlsq1qg8y0bdGL82AiysYbxE1Y72	97	2013-08-04 02:29:53.508958	2013-08-04 02:30:35.290792	216		0
20300	10xs5hi2gbjr1i8hk6fmm1wctg	$2a$07$6X08Q.g7Nk7PpZnCXtMMfe8mVh9sVQJ3BaaMskWyzK8s/vvbLYjvC	98	2013-08-04 02:29:53.530717	2013-08-04 02:30:35.446565	216		0
20301	10ikwdekv4ffw7my2vd4g9szyl	$2a$07$4xi6f955A3KCmfNmnJBXXu91bdw.fjZSiaWPV2cp0HifQo4S2ycgi	99	2013-08-04 02:29:53.552052	2013-08-04 02:30:35.575604	216		0
20302	10p0xox7zvqjsjnahucdfyl257	$2a$07$Y6f7re5rm5qrJkoM/rc4i.fCeFzUEB/LzE8VUz5qCnGv1OCY6Zuqy	100	2013-08-04 02:29:53.573571	2013-08-04 02:30:35.705711	216		0
20303	10l648w7a11usz53nu2s7xixft	$2a$07$TVjI8eEEVgW66AmRTKEHTeE/z12I1S6/EAbMA0KU72ALYGDRi3gJS	101	2013-08-04 02:29:53.595031	2013-08-04 02:30:36.016313	216		0
20304	10z6n88181dsrx9dbkvwtmydle	$2a$07$/NEagdioyiNKOzkOlx4gmOQHVhwJOmWhJPrtQpnq6586V1CjkoiQy	102	2013-08-04 02:29:53.617224	2013-08-04 02:30:36.259231	216		0
20305	10sk2vmi44g1lgfey3y5x0en7p	$2a$07$dgtnDi5TuMgZ8.luY8Gf5ed7f1zmY.oxWOo67OMOxkjcKYXQaMbZK	103	2013-08-04 02:29:53.642317	2013-08-04 02:30:36.394256	216		0
20306	10z2qqd53jxa4xcfcz6eepb1eh	$2a$07$J/9KqX25s/zwJjuKhli3eeap/63V0hMPp9X/CgyJaj5JOAIZNFFh2	104	2013-08-04 02:29:53.666872	2013-08-04 02:30:36.535524	216		0
20307	108kvbsogz9m4y29rh4br5v5rz	$2a$07$oOuZM2YYRDfnd76GFTPd0et90kNmhGQgz/KrVCiO77D4nMCoaWY7W	105	2013-08-04 02:29:53.705899	2013-08-04 02:30:36.673545	216		0
20308	1059diaa0deq67koxvssnraj2h	$2a$07$lAznjJQ9qwJUNNg8Y25uWuYZcGYT/PKGW7fBYyTsGLmzkkuJ6HpE6	106	2013-08-04 02:29:53.728659	2013-08-04 02:30:36.808736	216		0
20309	10aryf81jh0ee3mx9jf4uzrptc	$2a$07$HXlRrPH8T1G5Zh57kZGn1.6bOy/807vzaUf7b75RkQD7RPfnhqSmC	107	2013-08-04 02:29:53.751086	2013-08-04 02:30:37.200348	216		0
20310	1098rgbhf6jvxxv7knci1woagy	$2a$07$pJWBDZqRqgNsyzRGvaWg3ePyW3n/oGE5tLfXFbjgUtrLW6RXuyzaS	108	2013-08-04 02:29:53.772786	2013-08-04 02:30:37.353572	216		0
20311	10rqdpdcygj26totv8nmg0pik7	$2a$07$6es9/IpEsjYiwyHeWPSeaen9v3OizBMW9wfjkvV3JQIHW1xHOIjsS	109	2013-08-04 02:29:53.794312	2013-08-04 02:30:37.489761	216		0
20312	10ydl7y1g090dw6xkdjdp0zo4u	$2a$07$iGIwH5MF.JxLH7cEyJOYmOSwiWKIBI/XNwRfz4EnwyLhhD6Jx4rfK	110	2013-08-04 02:29:53.815906	2013-08-04 02:30:37.615523	216		0
20313	10e270ree6slbmuatalue0h3d2	$2a$07$SRU6ZnbJ4rAz7D7kQR0QiO9X.vA1C7SGeittKzt7sfo5DMqcrnu..	111	2013-08-04 02:29:53.837319	2013-08-04 02:30:37.792796	216		0
20314	10qom9op5wjajv755xekbg3a03	$2a$07$5N/5NA4PZDN5czm/tGIecOVNQmGuVMap1UjIpyJ9TTR3TS1IDQSLK	112	2013-08-04 02:29:53.858945	2013-08-04 02:30:37.918855	216		0
20315	10qv3m7aopw3dcn9ki4qt5mtgr	$2a$07$Szs9qW8Drh0InDcVDw6rvux3lNvG39UXMVaXmb8VCydXKdXiXF/Pq	113	2013-08-04 02:29:53.880313	2013-08-04 02:30:40.436673	216		0
20316	10e7amah1i70jvkhkmi817o8fw	$2a$07$1GI5FiNRFfBii8WOZo862OcbpawcVLrDUKiZZ3WXvbjcd/E7ztPyO	114	2013-08-04 02:29:53.901852	2013-08-04 02:30:42.888368	216		0
20317	108nkysnxiejyb78aioaieu2s1	$2a$07$WAzKkWev.tl73Tz/RAFxvuM8nSUSXe8i1xr80VnqW1vFVPEgep3p6	115	2013-08-04 02:29:53.923891	2013-08-04 02:30:43.034001	216		0
20318	10y7ea3z52rzxixyjyqh8o57f7	$2a$07$l2OY1FF2xvW5XXK.J/zB9.7Uurk.U1xORxee6pElpiC4r3riZaBIW	116	2013-08-04 02:29:53.946723	2013-08-04 02:30:43.144367	216		0
20319	10fgt9kojhdl5wma0cha1d6htc	$2a$07$gIXAEl60L53MCS6C1vT2yeFRNti9aNNrw3jaZkahaopDHFkR0sSCG	117	2013-08-04 02:29:53.969258	2013-08-04 02:30:43.269952	216		0
20320	10p1s2b7bcj3vxogvsa4z9521s	$2a$07$r2eYUzVP4wiazx5M/FkvPeTZAzak.FpGmUx8/2LvJCAzIkTxqqOc.	118	2013-08-04 02:29:53.990854	2013-08-04 02:30:43.413732	216		0
20321	10x98kocpnfo2r3frek646zpw1	$2a$07$hUBRZ3UVH4GyeSn6Qr2T4OapW2ZquKYssMBIjk9Qm3qP3E.ye3Jua	119	2013-08-04 02:29:54.014107	2013-08-04 02:30:43.548183	216		0
20322	104e9qzqfgjxa3lbimq99grcic	$2a$07$k9DBRQVTeOPHsaA67axnKOuIDkQZXiV.JMnJ6uzz.PtHZduXYAx4W	120	2013-08-04 02:29:54.041005	2013-08-04 02:30:43.670093	216		0
20323	104d7hep6hq2pqpa7u160jmarl	$2a$07$bGdbi1zHC79HfCEIn3gZXudZaE13nQXhy8Heqi1G.JqFPJpyikzjO	121	2013-08-04 02:29:54.065761	2013-08-04 02:30:43.815883	216		0
20324	10tyno5qsfbybcrnm8rpy7d38v	$2a$07$jIwqYZAUwnlNZThBO16CmOVAEAoLalu/xeXemYfTGlirfNBg6ErWC	122	2013-08-04 02:29:54.087214	2013-08-04 02:30:43.957771	216		0
20325	106ol6myagorbzz45sbadxb3o9	$2a$07$55HHqdhEfpMC1zsszUNCPeaO0XX3qOjpRXKkE9tVL1eNBH8Z9Je8y	123	2013-08-04 02:29:54.109075	2013-08-04 02:30:46.871094	216		0
20326	10thqz0w994lsyhqpbvm9d8dk4	$2a$07$QCQEP.2yCslcH6cMMPnej.hA4Ie1TcuePkZGBYT0Huzsu1AzIO01m	124	2013-08-04 02:29:54.132103	2013-08-04 02:30:49.954185	216		0
20327	10pzrphokwwuo7dwr6en0ffmmi	$2a$07$SrZmkfimH3ROzkKbTAvq9uLBPZo3DW.2HabNeOdS2.YJl2fiN.tY.	125	2013-08-04 02:29:54.157362	2013-08-04 02:30:50.098884	216		0
20328	1002v2zvvzlvtcxaq08zqhnkt8	$2a$07$JjPpxgZNOgFOcJWJl1y.qOfjNsM1wgarw25x70WUTkO56KUSqqrmW	126	2013-08-04 02:29:54.189515	2013-08-04 02:30:50.233619	216		0
22666	10vla0a3xfazm2zi2dymmuqnsk	$2a$07$ujFqsC9wYCz.exGt3vjhmeRJx.3DsqEcACoRRI26urA8RU39tbsyG	70	2013-08-04 18:00:55.952428	2013-08-04 18:01:25.323048	235		0
22667	107rfl3gpv8b2z7iwzi5ypcg6f	$2a$07$K0UUER7LLEgKPIrMLIBOUOH4mByE923XR2FFFQBCruwl.J8vCIVhy	71	2013-08-04 18:00:55.974453	2013-08-04 18:01:25.595906	235		0
22668	10dqln6c500r57tt0oki2lkam8	$2a$07$RwWrQwRi2iBopGCIF1D1tOAfB4HFrPVrMG6p0HaF9mA6CTDAJUvOi	72	2013-08-04 18:00:55.997696	2013-08-04 18:01:25.727051	235		0
22669	104fxekkwkr72nxhemovly95a7	$2a$07$/3nkHXeY60I1dDSPB.9ApOdE.dlqmWLMQVC0DyB2lk9/EqTe3OIEm	73	2013-08-04 18:00:56.02174	2013-08-04 18:01:25.95131	235		0
22670	1093b915nkkhhfsof14fe7y3kr	$2a$07$PEY79Qo6wZWB7jr6C52Nb.LlHgAvTFUiWbVOP2MTDaLIltMRZ2oA.	74	2013-08-04 18:00:56.050812	2013-08-04 18:01:26.069084	235		0
22671	1067htq8qjopv302lo4d83fj2v	$2a$07$MKS9ECj5JGy71QyBqlZwPO3KoF006ZStHRBJqF3bkGACF39zG/BS2	75	2013-08-04 18:00:56.075944	2013-08-04 18:01:26.211378	235		0
22672	10dsky0g49h7ug7zifi8klppep	$2a$07$NoEOPS08sV1.e1YvQt9a/u4ySvLtIDsygP1TU12yMCzJrbk006WIi	76	2013-08-04 18:00:56.104209	2013-08-04 18:01:26.353659	235		0
22673	10b3os34brie2o4qfwu3adrvua	$2a$07$TEN4ZECPqDi4fzOEJ2.4UuTg.eS6WFGPeXUfJBHBA98GuPDTi0ioy	77	2013-08-04 18:00:56.12696	2013-08-04 18:01:26.482117	235		0
22674	10orw9oxoh19z9g0sr6vhdep4s	$2a$07$gVF6C9c.99w0z6XpCCTX3.x.Tk07/oplPJGO0C4Jz2L08JDbrCS0i	78	2013-08-04 18:00:56.148803	2013-08-04 18:01:26.623344	235		0
22675	10lp69qa34wqpkqs0bdr8ds05c	$2a$07$CA2TZYCzLoSlSc3qoKadbuVKTI54wUqAvdFfn/F3B5IrZBSQJxzFa	79	2013-08-04 18:00:56.171278	2013-08-04 18:01:26.859926	235		0
22676	10qv3vh9sv8xywtuhs7q2ilx6l	$2a$07$G.RgKmsDpqR0j2creWJvbOMBhhwWaTizcEBHDRAWQyZ6qNtIwVVsC	80	2013-08-04 18:00:56.195021	2013-08-04 18:01:27.051176	235		0
22677	10pirkgph8dfrunb4j4mrab7zq	$2a$07$xPNzJmuZ9Gr8ml5bXViM2u/i66eznGATqwLyV1F/.0/XRcgeLYGd2	81	2013-08-04 18:00:56.218591	2013-08-04 18:01:27.173871	235		0
22678	10rom69yslsmttjo3xke36q8i9	$2a$07$Fqh9vFphEW3tjONan03Tae4m8K59nMjhLGz5zasABu9LQ.Ht4QOPO	82	2013-08-04 18:00:56.240656	2013-08-04 18:01:27.337712	235		0
22679	10t025q114vdqov2ua8eunbfjy	$2a$07$FL4rcLlf4Pa3jzlpyGRaSebfJg763bcpqryzKFwgNGoz.AY53vPsW	83	2013-08-04 18:00:56.262595	2013-08-04 18:01:29.943239	235		0
22680	10g3d28tf748wxevn40e6nd1ce	$2a$07$z5T8oUmEZv4d4Kkifr/sGeHhsBcgfZHBHFoqIZaP9oFDt.5Ao44fO	84	2013-08-04 18:00:56.286231	2013-08-04 18:01:32.716209	235		0
22681	10hl7nxwoiwcooarwkqc7uv2cv	$2a$07$pCg6.utO17/NVMBsGRR7tuNl6GHRZvY.B1BcVCer9Y9iEsXnj99aC	85	2013-08-04 18:00:56.30978	2013-08-04 18:01:32.844785	235		0
22682	10p9ybqh0r65dadu4058gl67dh	$2a$07$W1dFS4r0fl89FbF/AFCaTuTFk6gFZgZvd.n5BHJyKTv5w0P/PA.vi	86	2013-08-04 18:00:56.347602	2013-08-04 18:01:32.981488	235		0
22723	10r78ro14eb7h0iohn3bef2f9k	$2a$07$Wkg4zA07/nmivfYwrSDNdOxKTH5Q29/CpjxwZA1yVuo8W3ANYMlge	1	2013-08-04 18:05:54.046744	2013-08-04 18:05:57.16968	236		0
22724	10co7tf3s4bar0e176rmhqrpyv	$2a$07$zLzU.clhcINY8XOXXewFHOURO4C5Hw3TUDX221.3aPPo6nE8Y4hYW	2	2013-08-04 18:05:54.071963	2013-08-04 18:05:57.327323	236		0
22725	10w8jt4gnmuh746tzpdypfp2oy	$2a$07$WqDpdmR/dqwOoDz2fN9WYuPB0AQvtMlMau9Uq/amgv6NQccqA9QcW	3	2013-08-04 18:05:54.103083	2013-08-04 18:05:57.486784	236		0
22726	10am45cdxqjlmslv0xpp5sbhzd	$2a$07$K9hvQ.ndc9EaRYL2SdGU.uF.L8pMvZWZ/E4tjq3qvQkAkDKMu7l2W	4	2013-08-04 18:05:54.126573	2013-08-04 18:05:57.609692	236		0
22727	10x46v77axtlzcouqv8achdc10	$2a$07$hwb2b7zZFIfOPztF8d64Bu8Y0M5b25VO3VKvo8w7GnUyN9k0YPHUy	5	2013-08-04 18:05:54.150036	2013-08-04 18:05:57.705189	236		0
22728	10sirz3wcvx4dv1wbhgb28sjjy	$2a$07$0wdej3EUv9cQrCy1GTMavOMXoXAl0mAx1GxIHT8E1AYcLxH1O2JSS	6	2013-08-04 18:05:54.174119	2013-08-04 18:05:57.83951	236		0
22729	10o266mkruftlvqfikqg3797wr	$2a$07$XK5MtsdBWTc0XYJP8zlozexFCATqqcaMKlRk3o/gMOOzbdoiSQB0C	7	2013-08-04 18:05:54.197899	2013-08-04 18:05:57.986012	236		0
22730	10tlm4u710woiw6u4ag0a82j74	$2a$07$PAYZ9BSlYbBTM4xZfFipNu4aYgk8NLZo3AystsoNzJXzOROzFnsC2	8	2013-08-04 18:05:54.22129	2013-08-04 18:05:58.133724	236		0
22731	10gt28cj2ahgxeyyoypspt9e4i	$2a$07$l9YmYKLT/31X6tOLxs9iDOt0VIehLo2bm61VESKxZLb3Tp3XUJo8C	9	2013-08-04 18:05:54.244459	2013-08-04 18:05:58.287006	236		0
22732	10qwhi6e2nixemw1qjxaeejk4w	$2a$07$WMA..9CsEtmvMUbo58vhB.Y38YUwno6QkkUymwwJc1a/Mltyw5O3G	10	2013-08-04 18:05:54.267021	2013-08-04 18:05:58.425585	236		0
22733	10yl46pdzzvy9h23kj6h2d27bm	$2a$07$wxxWhUYgEIGJsl4DGdSY9uBTOSXgPbwQezs2HmCRx56un6A903osG	11	2013-08-04 18:05:54.290435	2013-08-04 18:05:58.570541	236		0
22734	1003bu0k75skpfwnfiao7v8o8q	$2a$07$I9hUd1O.zmTV4ToYcF5CDeGTiS6Pcu5I9jeeuYaOrDM5aWp.lu5na	12	2013-08-04 18:05:54.313431	2013-08-04 18:05:58.686711	236		0
22735	10cgov4623r9v9qqy50kiy5xfp	$2a$07$OyEEehskDYu676D2CYwDsO7ZwFI2l/Edm5YdZ7D1nPjg.ZzSrzCNG	13	2013-08-04 18:05:54.335964	2013-08-04 18:05:58.797179	236		0
22736	10xhh89fovuezxms4hug18j84r	$2a$07$qlde1Wg0z53.Ln6mSlfkYOr340paaIiT.c4T4yGEW9oh229YSbCt2	14	2013-08-04 18:05:54.359814	2013-08-04 18:05:58.916231	236		0
22737	10gfh17v0j2xf8txuudpdc2yt7	$2a$07$/wvgt5SahQxVEFBaocvT7e5kWTLrA5ZuutF.rcceSw0uohkxeRYhu	15	2013-08-04 18:05:54.383292	2013-08-04 18:05:59.062558	236		0
22738	103ci17f1uhevgz23vu9qtvo6h	$2a$07$DEvuzb.HgoCV3qlDXS9RbesL3Ilh9Jf/0OW4PsTejXaDIHn9dnd4O	16	2013-08-04 18:05:54.406594	2013-08-04 18:05:59.290394	236		0
22739	10ginqslr1j5iwwk2gwcm7676z	$2a$07$Zw8nf6zXsndKYHAaUmCNhO5FJMHzNbIY6Y2.fhjDXGpH..H/01CXK	17	2013-08-04 18:05:54.430218	2013-08-04 18:05:59.433213	236		0
22740	10m8j28v8lu2g3y669uaubfpyp	$2a$07$mWXTdRZw0/dKfPby/uxkkOeON7xFAlOKYDJO1ehCYePbhIm6QZR6S	18	2013-08-04 18:05:54.453994	2013-08-04 18:05:59.567004	236		0
22741	1050rgp5gq1fwky9tiyfako8so	$2a$07$prxECG6g1T6rfo84sWjlsOT8GBUxwX76o5CyfuF3X4QZOHfAcVgM.	19	2013-08-04 18:05:54.477781	2013-08-04 18:05:59.697578	236		0
22742	10o6iddhhqufpx7cbje6aop0ir	$2a$07$tu6RSqTZfeXLd/Mr.tMNAeIevM3a7Be4oVfpqik7zyDsAzL3eXDIi	20	2013-08-04 18:05:54.501913	2013-08-04 18:05:59.832683	236		0
22743	1059fcweebhzz1htyln03ep3ml	$2a$07$Xl3tdt2OjXJ.GE3DdTTvXOs5QMijgxTGjHctKZYPTc.1kEJuJ06V6	21	2013-08-04 18:05:54.526698	2013-08-04 18:05:59.926469	236		0
22744	105fy73jynygxctibagqmzq1x8	$2a$07$JmgqoyI/DH1Lqcj6aRxjWOzVvhmDbqyur9A1hNQS8a00eK7mEoMhG	22	2013-08-04 18:05:54.552394	2013-08-04 18:06:00.046884	236		0
22745	10dqlirumsf5oqg41vkjc1vrr6	$2a$07$JjHigj6sv6D0YFwbi.yDh.xvwyoJ7jFI9v5eJ4VB18LGT2OJk1nfS	23	2013-08-04 18:05:54.577256	2013-08-04 18:06:00.176512	236		0
22746	10ek5511n5dnsaor6p7xyd5g3p	$2a$07$BOPVJ1help4RU9zoQbGHo.EeiyZr810iLe1i99Y1K4lVi69Xfzmqi	24	2013-08-04 18:05:54.60315	2013-08-04 18:06:00.321388	236		0
22747	10pd1syyb4rkagknj9heva9z5r	$2a$07$WPpYpZDhoz4ejSK.ToyKVOzxIjabJqw7rQJQfuipflNqJWRZ5i2Wa	25	2013-08-04 18:05:54.640249	2013-08-04 18:06:00.467756	236		0
22748	10mq9kbqov6pd91mupp6w5t60v	$2a$07$TFtU3iaiGsM7Aq3N.4ejYe8SFlnFXmfYjrI0sJ6OfICfDceOg/KrG	26	2013-08-04 18:05:54.663472	2013-08-04 18:06:00.617482	236		0
22749	10lk0ta8hj4cn79kki23d6vrud	$2a$07$Aq6Ysw.lT4IWejcWD.Czv.GONs9Bc1KMwrpdQSqIPK4q3VFm/fc5i	27	2013-08-04 18:05:54.687505	2013-08-04 18:06:00.734423	236		0
22750	106viijee7eg5773v6pfj72rdq	$2a$07$TlXxoNaYG3nDlL.NWQrFhepU6Q2OLwhuTyh.32qikDoRedDdt.ajq	28	2013-08-04 18:05:54.711902	2013-08-04 18:06:00.83918	236		0
22751	10ofgsolrle9t42jxh9eb7atdf	$2a$07$HD2AlR10Hdcy4UzHTLycXORdSezXlOoLuthghkR5cfil8yzxDL5hO	29	2013-08-04 18:05:54.752346	2013-08-04 18:06:00.95261	236		0
22752	10ux8wcsmo53i84nhlv5lw23x2	$2a$07$kQ8S/eTS.bpuycr8bvGhT.xhheayP.gfoqy.1Fhfjr0ATdqbb/TIC	30	2013-08-04 18:05:54.786705	2013-08-04 18:06:01.215431	236		0
22753	102n5p76zxjlea6i02rqmwtd0y	$2a$07$HfhaiLnzVMgs89l9CaKYqeknCm.2JF1QiwA5K7saRU4WcVDyaz9Ri	31	2013-08-04 18:05:54.810772	2013-08-04 18:06:01.341787	236		0
22754	10d5mkklzv6866zmj1c3wvbr9x	$2a$07$phYy40KrnjuzubnwhIL5OubgLOsgTLWDyTC0AfBVlh1wRBrN04crG	32	2013-08-04 18:05:54.832643	2013-08-04 18:06:01.467533	236		0
22755	101dojq8kgmmxqinofbcltvu25	$2a$07$HhxR6Rtk8IWKd0SYq9Cb/.grCVLdlOUuh6.cRZRJcWakGr1u4Zkki	33	2013-08-04 18:05:54.854885	2013-08-04 18:06:01.607487	236		0
22756	10wbdhkab4q4flm6qimxvyi004	$2a$07$GpWeftrPMA2LdCZCLg4SyeTbo5OxTQXuD4K1kwCqkGNl3Sa7DI6hK	34	2013-08-04 18:05:54.878549	2013-08-04 18:06:01.735749	236		0
22757	10u3ibaj04nj126fmhcfs7k4ve	$2a$07$CjpGU2sEwIqxsSkkid1uYOWZTtIQBa481Q9AWalWe2dTnAme.PDT.	35	2013-08-04 18:05:54.900877	2013-08-04 18:06:01.863301	236		0
22758	10qr53wkhdnph4wl5jgqwe0vgd	$2a$07$tTmhb9NdyPjbk73yx9G9vu87eOSC2z1heNgZ7t3RKsQRld5nhdi.G	36	2013-08-04 18:05:54.922771	2013-08-04 18:06:01.984416	236		0
22759	102nxylc6m4rb4gt0wnb7wzxdu	$2a$07$5ufp9H.c.im6pUVlNSg.b.tWP8blwMV9/XcFWNgLvbqzCDP8PpUjG	37	2013-08-04 18:05:54.946232	2013-08-04 18:06:02.124425	236		0
22760	10vjjy6k3sccroqq2nn2ir55bt	$2a$07$HN9JITM7KwVZl2cmNkhB3.90w2DFWd3/Uysyf3w6w8a2EKNMdcM3S	38	2013-08-04 18:05:54.969184	2013-08-04 18:06:02.245613	236		0
22761	102cppdtzxw2imugd27qlu81ck	$2a$07$9ZLIOkv0lDZD3Hpq1k5fouUkk8dVGX56HAq4dhvHkIKQTWdQ3oEfm	39	2013-08-04 18:05:54.993433	2013-08-04 18:06:02.364287	236		0
22762	1088s21cco25by9dzd8srah8fk	$2a$07$RlJr3PDYte1Lz90NX6eYxumh8mpy4iICE.VlG/I.BzNRrFjxKiqXK	40	2013-08-04 18:05:55.023131	2013-08-04 18:06:02.504374	236		0
22763	10ikbps0j48pta61swqsmjt3z5	$2a$07$dwm72DBXFUyd4vYKdrIjZOEg7tsp2CNq42yDWu9hNbfQsdl1ZB2kG	41	2013-08-04 18:05:55.061614	2013-08-04 18:06:02.646119	236		0
22764	10d4pgycrbekzcdco1rzeq1azt	$2a$07$Dor2gYkKvVQuENmnteXET.51cHpqLAp5znCXgi489WKZjBXWZ0nqu	42	2013-08-04 18:05:55.083541	2013-08-04 18:06:02.773734	236		0
22765	10t40hwce9yoqxjkjvxpv6huvc	$2a$07$VSU/8WDCcphDtf.O7oMxUe.NqLoRQ6v.9Apk1t1BA4X3XzaboY24q	43	2013-08-04 18:05:55.105025	2013-08-04 18:06:03.146994	236		0
22766	10o0tpi5vrg47d21j5rnrey7fl	$2a$07$iXhcZ0AxDDQ.4zGsDNm3s.njPb1Z6Lxi2FkP2PkTKHnBiKbQ6Pv0C	44	2013-08-04 18:05:55.126937	2013-08-04 18:06:03.372074	236		0
22767	105yyhi2qzlr67rcokqqecghmi	$2a$07$LtJzQzga3.qvpuAEwQUFWuTJI2aRlqTTJScdbNseJkgjYhTRFLOOO	45	2013-08-04 18:05:55.149912	2013-08-04 18:06:03.574914	236		0
22768	10qk3ctxr9oo4tjr714dhml4lw	$2a$07$OyQVW0eSb/JPG0GtbRMQbuIoZAbbj1g1Ir47LMIG3MHA5uNabOdHy	46	2013-08-04 18:05:55.172787	2013-08-04 18:06:03.709173	236		0
22769	1066ni19hlqu89vb8nf4vqiboh	$2a$07$oOS7FJTJzLXPGJsf86HSQOe6iXV2d0WxTeT11ISh.Uspb2tvH.jYq	47	2013-08-04 18:05:55.195084	2013-08-04 18:06:03.846588	236		0
22770	107tktdmxvj69gtmukebr6cu0l	$2a$07$HJhlbtOXEBPYJ/2ywaXRNO.avDrgOuFsCHgHjuxJx81PkAz3fEOTW	48	2013-08-04 18:05:55.217405	2013-08-04 18:06:03.991937	236		0
22771	10g66zd7lb0tqkguzqxvrccquq	$2a$07$/mTOxhI..WscCm8wYJqFneoHoRmXbeS/18tNhdnVB0b.p7qamwj2y	49	2013-08-04 18:05:55.240702	2013-08-04 18:06:04.133879	236		0
22772	10jqdp8oo08mnek05leoa3bg9n	$2a$07$nHu0uQ0g7F4ZPzdUGkcS..Cid6ZDKPAbBhJd0f/As21V7kCURvQwW	50	2013-08-04 18:05:55.263655	2013-08-04 18:06:04.26643	236		0
22773	1040uj5f5lguta4ldeuciny0o6	$2a$07$Ue0ddIFd5kTG9mr4UpQ.0ue/vYwU3CGMV7zrCMSjkgtUBgUKJ9b/i	51	2013-08-04 18:05:55.286696	2013-08-04 18:06:04.400363	236		0
22774	10dmymwquowh3iay9azptxb2o8	$2a$07$fr7guM2he0Ig3kWsZOeB3OkQ1JLaxft8jji.0ZPEUbdjwN1/xNgvm	52	2013-08-04 18:05:55.310445	2013-08-04 18:06:04.6116	236		0
22775	105ipa5tmwzgxhvfgfn6726epx	$2a$07$nbfdPib.IuW0SRP5M4956OKW2xHvYhjJUVgK4dE.rEyxdPMcl99UO	53	2013-08-04 18:05:55.334838	2013-08-04 18:06:04.723115	236		0
22776	1053v0mn9b3e4q4r4bcokg8iy7	$2a$07$nvlE3Gd6wz5H3BZMJ2S0IOmwr2jZEZD/t5e6Hmx0st1PFqZzjUouC	54	2013-08-04 18:05:55.35815	2013-08-04 18:06:04.832731	236		0
22777	10l9tw4n84thprtvm3rax76n9d	$2a$07$KMAp3BbuGYS9Ag7zd4WaMO2lWFI6Ub4GiruP3Ee.Z7As9TPJ3Wtxa	55	2013-08-04 18:05:55.380882	2013-08-04 18:06:05.085249	236		0
22778	10tbty0k9e3kx6mnlcd93xwn8u	$2a$07$LxL.UzHHzuWwzyutWbAEBuxovWl36JSxYhpHsw.s/9iKHXhFhgmcG	56	2013-08-04 18:05:55.40244	2013-08-04 18:06:05.276239	236		0
22779	10f143yqm5enxdq9iyusq8m5wj	$2a$07$yTo/u6lsCRVNQF4P/JAM6upCpNB5e8T1zy0Jw/iDh8JGk9Ko7cm5S	57	2013-08-04 18:05:55.424293	2013-08-04 18:06:05.534802	236		0
22780	10wzyv6md20l5br63fs6e595t3	$2a$07$vVOdA5.MZP.U8lvwwWbjI.NVZbolqXxYpSJCHiMYv7bUKuAK6LOlq	58	2013-08-04 18:05:55.446026	2013-08-04 18:06:08.342694	236		0
22781	10cthmnh4un6gx9cfutop6wbm2	$2a$07$DEHBxuMn6jKG2Kn01PFy1O2wAr0pV5eyGKLOC6WQebD9VbI38hoQ6	59	2013-08-04 18:05:55.468663	2013-08-04 18:06:11.168032	236		0
22782	10ugdh0r9uym5ppbmmmljej63y	$2a$07$o97tiHVXYkQOKx1kLgQj/OXwbiLuYXwARXbnfB5fOSpcJVoISWdc6	60	2013-08-04 18:05:55.492551	2013-08-04 18:06:14.344047	236		0
22783	10lgy4gd8ji7khzljt9t7vdugy	$2a$07$/tacuj5jHMpYaH9dtIR5bOhOksNjO.ZIIgXFdNm0JHnPdHMcmE2au	61	2013-08-04 18:05:55.514897	2013-08-04 18:06:17.019779	236		0
22784	1036o5fjce71knq6smxzcq5a1z	$2a$07$7hqGF8jmSkY3Tgckov3M.OUniLm2fEBLvpo768Hx4WZV9ApPK7QM6	62	2013-08-04 18:05:55.538132	2013-08-04 18:06:20.118321	236		0
22785	10arhdnvdtvhirt9ilkxdvwwzd	$2a$07$BGY.IJq2H3lRCOZrjn/y9.lx54djSQxF05Yrj9mLGCaDXGRKuyxdK	63	2013-08-04 18:05:55.560465	2013-08-04 18:06:23.138929	236		0
22786	10rk4vsl1t9bmlwz2l2v2e0hqm	$2a$07$Bhdxj499hhXcP8f3n2P3pez8jNoZfFuJgR3L./rxEqV/09a.wGuX.	64	2013-08-04 18:05:55.58429	2013-08-04 18:06:23.294075	236		0
22787	1078i9lhemibifm8us9tnd5jkk	$2a$07$bb8N6sy9xvQ.PA4f1Tosnug/JZKKay9ZnAhso2AcKyZH6lLO0y8gG	65	2013-08-04 18:05:55.609625	2013-08-04 18:06:23.433559	236		0
22788	10wy9wmnwmuoddmoawmmtwyhoc	$2a$07$St332GhRC1qGUjpGbxY8je/MwP/No7F1dek6Jh2wyq0m0vv/2pn/q	66	2013-08-04 18:05:55.631569	2013-08-04 18:06:23.578923	236		0
22789	103mfmfqlmc6oa0a33und5mewf	$2a$07$.1zG.DMV3D5uF62x6PpC0uo/lpR3y891YWhqRD/1P.OGxXQonvCQe	67	2013-08-04 18:05:55.655173	2013-08-04 18:06:23.713018	236		0
22790	101njmpbwrg5djq2vcgwqfelc9	$2a$07$m7CKLN2z7dCyujra2C718uO7SrIDYpNxlm40TlLs6ZNzVqFQGvIOy	68	2013-08-04 18:05:55.678857	2013-08-04 18:06:23.840412	236		0
22791	1077516xvphittqvyfrryq97pb	$2a$07$QX4yiixjaP.9K3Wn4nLS7OJ.bQ.4r3nBVxqiR02.8abE4S/u3vqzi	69	2013-08-04 18:05:55.707118	2013-08-04 18:06:24.005355	236		0
22792	10mbityqlbjwdz2jajr313e42d	$2a$07$Zu6NFAekYiBPt8WcMTiA3uAnj3ySJ6tdGM7h1h/QA6sLwNbkoWF/K	70	2013-08-04 18:05:55.731386	2013-08-04 18:06:24.141055	236		0
22793	10lkogdf7rv8qnyeex6zkl7swu	$2a$07$i7Cv9Pwg2KIcyQIfQVLkA.NN5WZ5kIL5FDRuNv9KDMx7ulyqW1hTK	71	2013-08-04 18:05:55.753879	2013-08-04 18:06:24.271598	236		0
22794	10obs6t2cgrycmydtm7229nq8i	$2a$07$iLNEwjDk5vmmqQ6eGKCXx.LMg3qzObMMARTGQV3Dh9f.pt3xH6nhC	72	2013-08-04 18:05:55.775703	2013-08-04 18:06:24.421113	236		0
22795	10d92oyopzww0rumlau77gi2dm	$2a$07$daMkqdbg9p1m5n7biIyW/u95t5tm.2cuNYu0CqWxlBcjNjxR1c1zS	73	2013-08-04 18:05:55.798107	2013-08-04 18:06:24.570861	236		0
22796	10mfqqodqi43cybud0rtu0sowx	$2a$07$1O3wVcNwu4vl5DelQirPl.0/9dOpvC5kcT4GJ0Rg/AzV/uJMoNsK6	74	2013-08-04 18:05:55.821124	2013-08-04 18:06:24.682454	236		0
22797	101kuijmql695j6lp431u8kmt8	$2a$07$kZ7DoZWhsyM34I5LHwOkiueVKjXCS8ba9PvK6zXVQdYDNBueK/ZXe	75	2013-08-04 18:05:55.842763	2013-08-04 18:06:24.793481	236		0
22798	103xgslw175ysrbxvuse4jme59	$2a$07$u6yC7D8o1tzKlP8DFpr72eez54tATtaycJfC5n57mnHzg4f40q91.	76	2013-08-04 18:05:55.864468	2013-08-04 18:06:24.903364	236		0
22799	10pxvpohxri8br8gy4aba18pjk	$2a$07$ewjngACui6W4lZ.cxgyxteTt9LB1RDh.LPD3NOVjdopK8cDbvoq3O	77	2013-08-04 18:05:55.886946	2013-08-04 18:06:25.023073	236		0
22800	10s8xyz1c9yrjmz6xh9sztaipm	$2a$07$M5enVE/5ClZSiv696QxLx.qEdHyMa57KGiCOUmjWKs01EvmCDV3sq	78	2013-08-04 18:05:55.909578	2013-08-04 18:06:25.147653	236		0
22801	10z2k9k6y7isqf43hnj9z3qsqb	$2a$07$Ap4Pj/svTl5BFnsMV6L4UOcFmYzm9DxnjOK20qn3vGdeIjuqFVlfu	79	2013-08-04 18:05:55.932277	2013-08-04 18:06:25.29017	236		0
22802	101mhl008ngpfgo4o8s1ymm9v7	$2a$07$bQOv6IKIXrd.8wy4uZKy9.v927eEFbtXfmBpGoYdlenFCZUbqaijS	80	2013-08-04 18:05:55.955824	2013-08-04 18:06:25.421495	236		0
22803	10d4u9ijnp9epwsztadp1cv4ev	$2a$07$wWJpLw5XihUxTjYEVBPSBewOvSXwKlYC1Eyq5RqyqGm7FengjLd.y	81	2013-08-04 18:05:55.978026	2013-08-04 18:06:25.554702	236		0
22804	10721gk0ayew3g2g6pc2w8hyca	$2a$07$UZKa3/DMRGZw.bVibNel6eqiOGF7hVMxvjsH7qwDBQgPhzOKH3M1i	82	2013-08-04 18:05:55.99967	2013-08-04 18:06:25.682639	236		0
22805	10w65gwsa2oyya9w3lbn96duwh	$2a$07$JRO1pNnreI53mblNcJG3cuhqxNONKmSrb4wKfMbJRtAm/NQSzXWs.	83	2013-08-04 18:05:56.022699	2013-08-04 18:06:28.537585	236		0
22806	10m13p6nb5znki59aumltmodjl	$2a$07$zU9q9kmHQ7A23UUsLH.9mes2bOf.vdFK8psQ4E4JMJx8RjRpHKCva	84	2013-08-04 18:05:56.04569	2013-08-04 18:06:31.315561	236		0
22807	10qt4aqgkl6e8f1efmuqy7tr4r	$2a$07$GO.fD/B4GaHY3JxgRz7Yr.iGuEHjGybQAC9jQiyiw1vefRP73.YkW	85	2013-08-04 18:05:56.067434	2013-08-04 18:06:31.481256	236		0
22808	10sbc7lnsyuepamdol73iaa3om	$2a$07$7OG1ll5U4mQy6vzfJORFBOHS6YCSMbh4u6n4JZW7OjgkjYh96ulzS	86	2013-08-04 18:05:56.090576	2013-08-04 18:06:31.616229	236		0
22809	10zazopyzakm2groj445co5d7e	$2a$07$WyG2vJXMNapJiXl2b/moIOwJfiL7cdoyQDOsR5/Z5VBAiKJce5NxK	87	2013-08-04 18:05:56.112497	2013-08-04 18:06:31.753878	236		0
22810	108aab7vx1kplqmcm4xzlliiiy	$2a$07$zPzDPZu1BDIsy3xD9v2BeOlLw6vr/gneTtncVzoKLBg3ZHwuDcGyi	88	2013-08-04 18:05:56.135289	2013-08-04 18:06:31.854658	236		0
22811	10ujp2qoun1fdsjxzfi293ybx5	$2a$07$BYffDchtAV/BlQceVVm1A.1BOwcin6.2vO9ADd79pOW6Jl9GYI57q	89	2013-08-04 18:05:56.157039	2013-08-04 18:06:31.985759	236		0
22812	10fcyqpaf7id7jkkpjrqdyzdv9	$2a$07$rstOO6QVRzO8dR6imiedI.Wyc7zQDem8lTwcDU71cX/vJRJQl4eqK	90	2013-08-04 18:05:56.178613	2013-08-04 18:06:32.113735	236		0
22813	10m331270d6vdlqnyeufjiysf2	$2a$07$BUHVewg5m/3OH1N7ziXw8u8mGU3L8KRtD4v0RUBn7bSZOEwKKbZ12	91	2013-08-04 18:05:56.200342	2013-08-04 18:06:32.239527	236		0
22814	10tzcwuqg70xuhuibfe5fu9umu	$2a$07$EASHU.IBG6477HqD8K6YH.LnMQrPRGtTCIe7MC2Z5p5qS7qu1yN5a	92	2013-08-04 18:05:56.22362	2013-08-04 18:06:32.379123	236		0
22815	10yzboossx7nrvkncpf0mar2n0	$2a$07$2to.4EcDEaLjEmZOfcyaU.ftRwzKNUA6.wFzaWALVuhmahyNQE50S	93	2013-08-04 18:05:56.245202	2013-08-04 18:06:32.518835	236		0
22816	10dd1wgdhcjpghmmvksrddmebp	$2a$07$sM2HcrntsD2bG3PeerBMl.SJ3iZOmAAR9tkJm7XzcYevn806JkBLq	94	2013-08-04 18:05:56.26693	2013-08-04 18:06:32.651282	236		0
22817	109d5co0g3h6v7qfiqxjdp72uw	$2a$07$LA/X6.3jBkL.fWKotl5cweDDOy2NzLZmmcUbywfro6fYGEdYHsDxa	95	2013-08-04 18:05:56.288571	2013-08-04 18:06:32.818823	236		0
22818	10fnnh2iarj8bo6441qskjch5g	$2a$07$2IXK9/q5CQbQ1lPujU4iMOSz67T8yonpfl6LzZyYnNtI2EDQi15pO	96	2013-08-04 18:05:56.310433	2013-08-04 18:06:32.945154	236		0
22819	10xm2zf2f57xtj5jhssoik70nt	$2a$07$ycL/TwvUw77IXTCXPpdKd.z3nV6R/Fus7ziqpMI6y1dEsbozOl69S	97	2013-08-04 18:05:56.331863	2013-08-04 18:06:33.048877	236		0
22820	10ioaks3ixuf6xhtvwx0b3bwhd	$2a$07$PNd4HN9yZ741AEZc7x.VG.VDbDN.2O9MAxMbRY4FTeHeP0sJ.xqV2	98	2013-08-04 18:05:56.353768	2013-08-04 18:06:33.167865	236		0
22821	10tnzs9byojbs6hje3wtm6dhb6	$2a$07$YGUEgWc9jHW5zqWeDucSNuk91mFIk3JzGSQ4K3luF5i6vn/YPLS0G	99	2013-08-04 18:05:56.377379	2013-08-04 18:06:33.299677	236		0
22822	105ykarry7mo8rntwv3njsprw7	$2a$07$dBY1abP9Ct.Te.XTjbW8hOvkzkK3WN8CxzB2TekneM3nPR9UQYe5C	100	2013-08-04 18:05:56.400356	2013-08-04 18:06:33.419916	236		0
22823	10giddwag0dinrkdi994oeke0c	$2a$07$ilqVnkqMzkETQinD3TYDJ.x3bBH4fzb5LkxH88lXRpodooehk2GzG	101	2013-08-04 18:05:56.422411	2013-08-04 18:06:33.552125	236		0
22824	1066ufcby83dkd7m1r7dbzgmmr	$2a$07$rWGo32D6QjQf077DcJ1V/e6UfRGy3eFhTCOKXROrYlYIwjYDx7Zye	102	2013-08-04 18:05:56.444928	2013-08-04 18:06:33.658503	236		0
22825	10woic9x7gk26s18tgizr1bw36	$2a$07$MOpRdfVU4XBEzgjsQC9NNuVXWaSmoWPsZ24BZAjEvLJIZUM7uExDy	103	2013-08-04 18:05:56.468941	2013-08-04 18:06:33.820854	236		0
22826	102cv58nys3iteeuxcoojephxm	$2a$07$imqj.HGhg/PIqRBUl3dNVu35Q.DUj8AR5bksVjaxO4CXoUMurXZfW	104	2013-08-04 18:05:56.491976	2013-08-04 18:06:33.95331	236		0
22827	10h70oo67qw5d59rmgw7uvsgtu	$2a$07$wyzR7He/jDhrsUZ0ZP.dnOixCO70CHC/yV0sK/oFJ626X3HGN9T1a	105	2013-08-04 18:05:56.515915	2013-08-04 18:06:34.086046	236		0
22828	102ndumjvxe05or7g5msozs52x	$2a$07$xIfb/fzGvPp0p..kZ8qMjeHPyILUC/HL4dMBz.aMk5Q9Vzud47VA.	106	2013-08-04 18:05:56.540226	2013-08-04 18:06:34.20779	236		0
22829	10b5lj61eqy20saq4gelj6tjrz	$2a$07$eeXzZbvr252Gt23RIV799.8XLAqvTbsb7ie.iRxRI78X1vZep04X.	107	2013-08-04 18:05:56.562677	2013-08-04 18:06:34.348005	236		0
22830	105fxswy9yhps3eq05rzc4993i	$2a$07$4hqemB3Rw.CPdTHD1xlRzei79Fm9ensKLa0TnM.zOZLUDyhe39Ki2	108	2013-08-04 18:05:56.584931	2013-08-04 18:06:34.45657	236		0
22831	10ajwdc4zy2ymbpzu1dalvayp9	$2a$07$SHEQvowSatp5gJVI9l2VvOPCGD2ziLgvaTuhVkcr9Y76fFMA8CiL2	109	2013-08-04 18:05:56.607744	2013-08-04 18:06:34.584497	236		0
22832	10cbleswz4t80eplpdmy0bk8eq	$2a$07$nRB0naScRkXjn5aBRkiEXenQ1rdyUKOIaItKnHelvWUzY/cGb.R.6	110	2013-08-04 18:05:56.633271	2013-08-04 18:06:34.733425	236		0
22833	10b2yksw4r8arkv33fb8dz5t4j	$2a$07$Xu23LmMSXaW4.UQLo0Ih.emPmiDG.JzKB2ux8MWMCAGxGRdETgRxK	111	2013-08-04 18:05:56.657393	2013-08-04 18:06:34.891057	236		0
22834	10vxlqiw43pt3wfdz9hr78f0qf	$2a$07$ZckkwVQWJf2f8Wzi5Nk4Xu0n63IK3O4itDSTPzp7d6718uhlBoAQK	112	2013-08-04 18:05:56.681215	2013-08-04 18:06:35.039715	236		0
22835	10m96nqdstqx9ltxk58pz7h9je	$2a$07$GclmUw.HYooWDT32ZPVs4.ywLEfXitkkQWdfRSJR6I7Xm0kGUzB.G	113	2013-08-04 18:05:56.704812	2013-08-04 18:06:35.21202	236		0
22836	102vvhwk1ocyqaxbn50cg7jcl0	$2a$07$R4eIwPa6aIv83zVbJak52u/U.Iqsaee8qibDWLGw3R.yUrjqG3b.K	114	2013-08-04 18:05:56.729737	2013-08-04 18:06:35.344428	236		0
22837	10jjv12g66jbqqd6njib7sn5wa	$2a$07$iiBy0TBe8kzXNkxrUosG2ewbabCxSiGIhJo/THk1kXWkrvdMUbtTi	115	2013-08-04 18:05:56.752917	2013-08-04 18:06:35.706592	236		0
22838	10esmyhlprns4urtee89vneiet	$2a$07$7wAex8DFEr2tU/oNJwlcBe4Jk9DyzkI6JF.6OtFu1HQwuADfrJYL.	116	2013-08-04 18:05:56.776866	2013-08-04 18:06:35.845956	236		0
22839	10ho6ujyfzsergy1g39kg11933	$2a$07$3lzOZJ0q3Bf1aIf56WNfNOlbzTqRnIOLMNYLy2CY2l1vrhR921HmW	117	2013-08-04 18:05:56.800656	2013-08-04 18:06:35.973052	236		0
22840	108zmygygsvjmofk6028ododr0	$2a$07$djYzaFZKb90V.mGAIY6HLO2Krm6aRWGf1dSN48aA8FsqPSBsFkBSW	118	2013-08-04 18:05:56.826124	2013-08-04 18:06:36.099887	236		0
22841	10yluokvig0i9djf5phttbng1s	$2a$07$46eSCIibzdcEPvBKp4CT.ODczubpSqtds0v8vge6EJcDL7R9E3JJu	119	2013-08-04 18:05:56.849958	2013-08-04 18:06:36.244885	236		0
22842	108h2cr70rnpbxgomq7ah5xe4j	$2a$07$VQIudnE2ditHdFcF/cfvR.uK5XtDfjDLPUNdiZOocEY7qys.yAqy.	120	2013-08-04 18:05:56.873918	2013-08-04 18:06:36.384043	236		0
22843	10zz6zgp7vivlux0ncbb23u3pd	$2a$07$dSubwjAilwx5.WmrWXSHB.60rw0LqMiVM9qv5qXhDUANrDLfpFjGW	121	2013-08-04 18:05:56.897714	2013-08-04 18:06:39.342127	236		0
22844	10askjo5zomkarhjzr6mrjja2y	$2a$07$790aht1DoaKbW01hq6DIU.vXjI4NgMWg/UZnQohecaAFSeI46ZFby	122	2013-08-04 18:05:56.919202	2013-08-04 18:06:42.295227	236		0
22845	102xcpypi8q5e01zwmoulxzgsk	$2a$07$2IXLkwk9kOBdbSwbU3SP8uCQLYjG0iAMmwTnfGQUg8Vh6U3U0WFPG	123	2013-08-04 18:05:56.940713	2013-08-04 18:06:44.995983	236		0
22846	10uoqwjrjg75qpemxvmyyfb422	$2a$07$wb3nKTdnd7a/uLx.WfYLn.OSEQnL04176Yw0TF7KZtZcM6uR8Gl46	124	2013-08-04 18:05:56.962464	2013-08-04 18:06:48.12264	236		0
22847	10e8figoacs5mp7w7f65gkku01	$2a$07$6XF0P5Q5NTzQzdz8.wITXOtIkXBiDKUh18J/tQuUPm8TuGnZInEc2	125	2013-08-04 18:05:56.985541	2013-08-04 18:06:48.239469	236		0
22848	104pocz0ezf07zlw5lgcg6ergj	$2a$07$Fe1MS5mK6iHqxSLeJS..LOVsVNJPFghKrgpx33pMIWUJIOFotF4Ey	126	2013-08-04 18:05:57.00853	2013-08-04 18:06:48.431494	236		0
22849	10j5i909758z9fyl0pyzsbnf2j	$2a$07$crkwubwToQyceuNmWgLn6OD7DTmwHI7D4C/PFEabbrQleHFCNNZYu	1	2013-08-04 18:10:54.123328	2013-08-04 18:10:57.328834	237		0
22850	10c4nrb9phopzp78jvoqopdr9p	$2a$07$5en0X3zm6iXTGv8hTHTCju5YbghSV0acAyrIf6T3jTNTxAgx1rUlO	2	2013-08-04 18:10:54.145592	2013-08-04 18:10:57.457535	237		0
22851	10s2y5ndfcqx5g2lte8tsnd147	$2a$07$yS6am5euQ6LW6EzqSZB8veCxPG0N7UYHm.VncON7J0aMFckd/Mtze	3	2013-08-04 18:10:54.169284	2013-08-04 18:10:57.59592	237		0
22852	10zc4t34cfcmr1jd7x0caz4eiy	$2a$07$49v1H0z/iLEavNPP8iIHWesQ8rhZlFUkMsbrnMK1GfL0l5Tb.FT02	4	2013-08-04 18:10:54.19254	2013-08-04 18:10:57.733366	237		0
22853	10u5cshfo16jvjno0e0yl0nzp1	$2a$07$9ns9k2cngGShPJNFOrvRN.UuZc6rILCjiCJpgHYR6iqM93AZnsPH6	5	2013-08-04 18:10:54.216214	2013-08-04 18:10:57.897011	237		0
22854	10znyciuttta5jt73kww6p9ekl	$2a$07$pudaEqWZERPGxj84w2v1FuLVoIQvAp1ITxJkOTSDxXw74/sOJZpA6	6	2013-08-04 18:10:54.239357	2013-08-04 18:10:58.05354	237		0
22855	10pdzkx8b37gsbhq62m1yf7ghl	$2a$07$f83x87/2v0sgqaZ5wrGfy.LrOeNlHA4O7EcNE4Add3KGc3kToB75C	7	2013-08-04 18:10:54.262475	2013-08-04 18:10:58.207461	237		0
22856	10ehvvwgpwp40u0u6ujb5h1d61	$2a$07$RJ.VeSlRI3dwBLKoOsz04e4kq.DVHAwJA7iFCPUGNKLOZJzxU3/zS	8	2013-08-04 18:10:54.285391	2013-08-04 18:10:58.351632	237		0
22857	101q6q2f4mr5pahr3zy9z9xpyi	$2a$07$JlMArrblyLt1smUvEVkeWOOoNiI86FtjytE1dGGMKfroGw3JQCN/O	9	2013-08-04 18:10:54.307751	2013-08-04 18:10:58.481534	237		0
22858	100ou3eub7xwb6wl64ec50p7qb	$2a$07$pyUKRUcVixcoX7Ns838tFOP6MarN6Lr66QNPe08AlpQqpg5E003Be	10	2013-08-04 18:10:54.329452	2013-08-04 18:10:58.614069	237		0
22859	101cmth9gjw5k0w5jnpzsqsve6	$2a$07$ZAYMT2io1LNU9yJglyBRzOqGFRtfTIJfr5G2E.hXdjlE3ciKYtA9a	11	2013-08-04 18:10:54.350952	2013-08-04 18:10:58.737279	237		0
22860	10ws9n4asq0ouxcpfhgtfllb6w	$2a$07$U76Qha3IFe4h8A6EbIwHCOhw.m3W1abM1Z2EzeGsdLAdLS1AldiHG	12	2013-08-04 18:10:54.37251	2013-08-04 18:10:58.880232	237		0
22861	10gnj30r1to9flviy9m67hwdqj	$2a$07$S8tYHrmnWwAGgKnvqaixFex0ApCRDKlzQdFwzB4QDKbFIHWAZ.SUW	13	2013-08-04 18:10:54.39449	2013-08-04 18:10:59.027539	237		0
22862	10nxbtvi4om4k7vm7lzilcuy0b	$2a$07$AcjWHsRk.zT6Bi7o0uGdmuq4i5z/PkrOb9jYemTM2qzWwXimMcRKi	14	2013-08-04 18:10:54.415894	2013-08-04 18:10:59.173534	237		0
22863	10ko15v510gn31hr77xo4dybtz	$2a$07$DpDK25CtpaeXtup.4lPOD.2qJx5BlQl3ESBMWK7rUMVbCZx1/R9nm	15	2013-08-04 18:10:54.437437	2013-08-04 18:10:59.315332	237		0
22864	10btcdwnyankpa6n94r46b5612	$2a$07$0NIuGCQCgrh0nFX5SXuGBuYDc4oy6v3NgTVm6501QTZ.U/DURsNZO	16	2013-08-04 18:10:54.461321	2013-08-04 18:10:59.449132	237		0
22865	10y74avc05km3e4hy6p0x21p5o	$2a$07$zQNTe.op94yBDbbfYXTQ8uh9AWorbPU5U6BFnUsP0koEXluRPFIzm	17	2013-08-04 18:10:54.499757	2013-08-04 18:10:59.557522	237		0
22866	10lrb4lqy5kpw18vie1h6hdd3u	$2a$07$ZduuHoClf2g7AXqxx1Bh0uZRbpa0nXmYQydzQVIAd3mQerfXqDHFG	18	2013-08-04 18:10:54.534512	2013-08-04 18:10:59.734214	237		0
22867	10dchrfi37n3rde6sy3znhrren	$2a$07$C5wYkYsaZUa3XCOgu8jQbuspKdffP5IgYBUzsTGDnLmYXQOYy88xC	19	2013-08-04 18:10:54.571804	2013-08-04 18:10:59.860146	237		0
22868	10t1i0f786r31rgxd3qldi1dmu	$2a$07$Bs2ou8vzyWm432K/RQ43heVFy.imZkvyuZLS7U4ojWKvfe4SMDVee	20	2013-08-04 18:10:54.605267	2013-08-04 18:10:59.993869	237		0
22869	10vwx1bgju1zdhtbqgid9ogrrr	$2a$07$f8/gYHiMcU.UA.Jzhe3GXeuPHtLsoJztsrz92trbIzmZl0Xo3ErFy	21	2013-08-04 18:10:54.639323	2013-08-04 18:11:00.123403	237		0
22870	108fbblt725yujmak80cfmdwc4	$2a$07$f5XxQGH14odC7YES0NXwA.lVu2md08Tc6meQHXpLNdr3xTfDxC/0i	22	2013-08-04 18:10:54.662128	2013-08-04 18:11:00.233282	237		0
22871	10plzd4ajt1c43w2069dvsd4km	$2a$07$kp9Gx8pm7oexI9RUpnGpbu3W98bfYESGjot0E1.eXgOIs38E2/PM.	23	2013-08-04 18:10:54.683932	2013-08-04 18:11:00.349505	237		0
22872	10vpjvq09ipwx9khyg5shzlfer	$2a$07$I7Rbnw44x28a1Vn06v4lTOd8l110RwA48FMCrFKv/eb4ev.S2IwbW	24	2013-08-04 18:10:54.705485	2013-08-04 18:11:00.485688	237		0
22873	10hmytd7l1ho029l3ku7s6jx24	$2a$07$GG1SfRa.ez82qHGOv3DeTOSrK3Z7E5lb3YMKYsj0F5.QWKsSkkQlW	25	2013-08-04 18:10:54.72747	2013-08-04 18:11:00.62476	237		0
22874	1070hx8h3ncn7lkhy5cl5i69ys	$2a$07$a5KhdU/iPcFioDZK.U7oKuN5wdYL0h8NLJoU800omAIqkrBpun34K	26	2013-08-04 18:10:54.749737	2013-08-04 18:11:00.753256	237		0
22875	104b2huce9jki7is8bfb2wvm8z	$2a$07$mIuIup9ssQLqkdFJsV3vRuiWril.oRB0m.UcMx9c67lWln8at6hFy	27	2013-08-04 18:10:54.77151	2013-08-04 18:11:00.906388	237		0
22876	10ktituumv8o6gbsvjxt0mpjqz	$2a$07$8XQRoqQQu42IjQonqVHwie2COxrOp7Z2SqfDRlPFzTExkzUa3/4du	28	2013-08-04 18:10:54.793515	2013-08-04 18:11:01.044295	237		0
22877	10sueaox6stxu5xg9khta4u8z0	$2a$07$x9hJcrh29APglTmIjrpMquQduIk6X/6tefXj1XHKexHdceIxGS1DS	29	2013-08-04 18:10:54.815058	2013-08-04 18:11:01.159806	237		0
22878	10vdhhxojvseboj1zauk2712bg	$2a$07$3LqroZ1Pb84QQ5dufjdwU..F1xD7.NaYlA50mtZkdNywszch9d.Lq	30	2013-08-04 18:10:54.836672	2013-08-04 18:11:01.296451	237		0
22879	10nekq9rv5lq4ektqus596rqx4	$2a$07$oQzT2hyfUlxcfyhk1gDdneQrkJcFomzqmoVbSWiJphf9pWHtGGHuS	31	2013-08-04 18:10:54.859661	2013-08-04 18:11:01.42563	237		0
22880	10aw8ub4dkmk9ed6384jphijr1	$2a$07$RTJ950qhfwmdZbqk4.A.2edJHftA8B9tv9quEaol9toWmDZdSyGGu	32	2013-08-04 18:10:54.883097	2013-08-04 18:11:01.551888	237		0
22881	10gzucnx3pljpkcgz4v5kw9bqa	$2a$07$pGBRV3mKE0sOqAAlrdXKQudSrgG9Xph5G4KGuLVEFNDxc5aBn6ydS	33	2013-08-04 18:10:54.917379	2013-08-04 18:11:01.689535	237		0
22882	10a3par02re85jw2k2hig8d3gf	$2a$07$1lWNYFm803eVgogIMtm27.IZkCiC72hgU74J0Jg7i1XnGiT3e/p1a	34	2013-08-04 18:10:54.953778	2013-08-04 18:11:01.830737	237		0
22883	10diy46pbzl06644owqxumsmlg	$2a$07$xPYHuqbaURiweuM8fCYYGeNyB0rx85lT.jSSECv.IOSNRWQxI.lz2	35	2013-08-04 18:10:54.992342	2013-08-04 18:11:01.953816	237		0
22884	10dn02u76ijknso4e3q7wmc4da	$2a$07$QtP2m.bouKvKq.oQtfWTQ.Txe9rQUJHWz0ALDfpvPHJJKIshWemFy	36	2013-08-04 18:10:55.016535	2013-08-04 18:11:02.076847	237		0
22885	10vx4drqu04ysr2ofdaezbsfcq	$2a$07$9IYqOVIJXX5K/EzOj/FZX.0gLy1rCdw2wKXveBgJfCtrPnL1Ppb42	37	2013-08-04 18:10:55.04136	2013-08-04 18:11:02.204842	237		0
22886	10t4ix8s6yogzyzfeukxz6jup7	$2a$07$TdaF5woVXso.CyK/BXB3cuALhf9Oy5ui4iGUfbdPJ99zlMVMxkTX2	38	2013-08-04 18:10:55.062976	2013-08-04 18:11:02.343362	237		0
22887	10p2bnf9fq4i46fbnxe5f0ogrb	$2a$07$igIaeuszEyWRtrzH2kgkO.vEqwv371O3eiHx6PIAYWEVlUcFZWFAy	39	2013-08-04 18:10:55.084614	2013-08-04 18:11:02.499541	237		0
22888	100irj4ug8plhjxcozzoi8occm	$2a$07$xucRhqS4kGdH8hJB/bIj1uQNeHxuwWo9RFpO09/0FT0oTgWHGFJQG	40	2013-08-04 18:10:55.106121	2013-08-04 18:11:02.594041	237		0
22889	104edv5hqh51h09ulfoe06ghv2	$2a$07$TI5dnBIokNgkZdkMB5ZPJusxJ9iws/zWPvVhiMO/vcn7Ol8ipmU5e	41	2013-08-04 18:10:55.127718	2013-08-04 18:11:02.705338	237		0
22890	10z2al8rjouipdha99ozzdfzk5	$2a$07$dSPwUzRuhJ2IW6eWfWE..OcazaVSrp6myvWCqrBSDrk5.oGufaaSa	42	2013-08-04 18:10:55.149739	2013-08-04 18:11:02.812756	237		0
22891	10jq5zmnukgwk3fv1j66mbyc8b	$2a$07$iGR227DMjBj92CIK61xAgO/DppC9KIHy8JbLc7.5e4uW.aqIgMQc.	43	2013-08-04 18:10:55.171265	2013-08-04 18:11:02.948073	237		0
22892	10feiwup2fk708ysvu4feitqf3	$2a$07$dbtQJ3HQ8XkG5bOpSYzDDu4YsarvGWW2YdWAlsK4BoKxHlvSY/4ri	44	2013-08-04 18:10:55.19463	2013-08-04 18:11:03.085658	237		0
22893	103f9co378xn0wavs4cg1oauut	$2a$07$YtQ8IbJndugscGQXzAndMOcYBdzmXUq8.X8AwjtIi6FsbBLO50ACm	45	2013-08-04 18:10:55.218022	2013-08-04 18:11:03.20144	237		0
22894	10r5j2i48b6lp577r9jgnxeyi5	$2a$07$/pMdJcyWLfGayCN4Ih61Le8AvZr7ey893KtoXfgrr85gjyZUig5ZK	46	2013-08-04 18:10:55.24182	2013-08-04 18:11:03.332961	237		0
22895	10dgxkqgtnmxqsy0fr6agwnin0	$2a$07$uro2VSlQ6tnckLoKhzOkDuFhib20zJ9cVnCRf647ZISaSxomrC/L2	47	2013-08-04 18:10:55.265243	2013-08-04 18:11:03.519596	237		0
22896	10cw670fa6yuc5jbyvu4jepaue	$2a$07$Nl5xVcibyzkEMzYQlO4c9.zaTyqDmX0Ra8Do.LBeLDFbYOOTs/NqW	48	2013-08-04 18:10:55.287154	2013-08-04 18:11:03.888811	237		0
22897	10poofobsj5u4bcb4idcst6mq6	$2a$07$hMwddyrhXMxd5k2BLaeeL.o7crqaAIEOVsyxZ4ExZikh5eWlYvig6	49	2013-08-04 18:10:55.30877	2013-08-04 18:11:04.03337	237		0
22898	10t41uh4tbjpgpo7gv26ndmk4i	$2a$07$u2TbJ1vFqqHlpXQSbeBVZeJuLgkWQfXmMVQo6Ol3P/PxMsyVL1ofa	50	2013-08-04 18:10:55.330484	2013-08-04 18:11:04.171264	237		0
22899	10jckjn4wk56xcxx1azcq72c1y	$2a$07$.rnBHak2DRW/5yYxToEUN.3npN0Zxi8p7daDuQKAwHqMNjGA.ZFeG	51	2013-08-04 18:10:55.352312	2013-08-04 18:11:04.294733	237		0
22900	10m7bha9harz57ni4f4zrqx9xs	$2a$07$RDXU3INS8e1J2rQo6o0MqeATMuFtNS14tdB8rWGnEF7hFLYqyBYXG	52	2013-08-04 18:10:55.375299	2013-08-04 18:11:04.41756	237		0
22901	10tthdz2ndxovjen09e1jh0kto	$2a$07$oufBfdo4YjYMDYR.4OdGge1Gjp4bxiBJZALr641Uvd8vuaPQgeFjC	53	2013-08-04 18:10:55.397495	2013-08-04 18:11:04.53069	237		0
22902	10zota82a8m6zm4hwzdpa4vgsn	$2a$07$QzraOxTNNDrSAYJKnSy/YOahmeg5.sMTPkDYphhHq4DpKw4RGKGTS	54	2013-08-04 18:10:55.420969	2013-08-04 18:11:04.653918	237		0
22903	10zh76ffzkbid53jsvlpwaup9r	$2a$07$UHgUil1se8NuZwS1DehgLOAINLpQ8ZtfTIvy51kCWosX3FgHBYtZG	55	2013-08-04 18:10:55.443149	2013-08-04 18:11:04.78501	237		0
22904	105al50zb5czowwvjji7ejhky8	$2a$07$0xiTR/gHULlffCy0t57pm.wDCh47JU6CUpoIEWVwKpjlICisFvRei	56	2013-08-04 18:10:55.464743	2013-08-04 18:11:04.92509	237		0
22905	10cib60svr66pbecllgit8hjbv	$2a$07$TGTfhmvW9YmgHWjkMVZWuOWFdDoWhyW3FeC.6UCovXR39U1pypRQO	57	2013-08-04 18:10:55.486581	2013-08-04 18:11:05.06234	237		0
22906	10wkjgudlee1wsbhgauw79moku	$2a$07$R0.XBtTlbzyop9qGaTuNd.K6BzIr2xZbsLrVeyl70HokmtaB3gS5i	58	2013-08-04 18:10:55.508836	2013-08-04 18:11:07.77244	237		0
22907	100mme8yzuad33clxcwbrs2imi	$2a$07$YSKt6KkpAUHt5VpdYwwit.pEmop.FCfMwakxnNuorxOk.MeCsxe/W	59	2013-08-04 18:10:55.532155	2013-08-04 18:11:10.951997	237		0
22908	108bvvppc0ksfifwt7ltfqybvm	$2a$07$3lmSouisei0DcrHuNSh7HuKOQQYIB5TWxgQa6aYEaeMSyKUwcjwvm	60	2013-08-04 18:10:55.555023	2013-08-04 18:11:13.836812	237		0
22909	10nqz74c8xe0z05f3oe45ids78	$2a$07$Aa.ip6hzhWbbvNDajNGKbeyZ55kiwSe2HFIfut49Y2rG.nOiJSjyS	61	2013-08-04 18:10:55.578674	2013-08-04 18:11:16.724971	237		0
22910	10pjszi0du9v8ybabtxcsw87bl	$2a$07$hLTV/iQAmOUF.mAbE3IKv.G5WRQGgiJ8OYC5M1N5ePsbj7ct4/Hne	62	2013-08-04 18:10:55.602083	2013-08-04 18:11:19.618558	237		0
22911	109c7jfm0mnx29ujw8co4xg68r	$2a$07$2eSXUBqJoRgIh/nIaenBcuYpDSlilM9JOe5aY4lXIH0IT/oc9IO/C	63	2013-08-04 18:10:55.624613	2013-08-04 18:11:22.61363	237		0
22912	10dk4pyvfi66bs7sxfwzybgyml	$2a$07$Q7zp4RFAIUMI71FnsYW2UuMNeB9Nw1hD3V6vyf12FPe.wShiMMck.	64	2013-08-04 18:10:55.648612	2013-08-04 18:11:22.747813	237		0
22913	10t5myb19qy4isvyakdm9qkitu	$2a$07$l.E40OieK0AWmnKV3D2lxuvfA4PkTVt4Hhpq3eMiNtTWJrWHP/gSC	65	2013-08-04 18:10:55.672236	2013-08-04 18:11:22.890374	237		0
22914	10oa3fy363n5si5dj4tkesc21j	$2a$07$hjNKp6z/MWEchcNIS7uNnOhU9WJ31QGROygnn0ID0IZHSJylA3s3C	66	2013-08-04 18:10:55.693908	2013-08-04 18:11:23.081988	237		0
22915	10yrs9aoje5mf9x2humaffzk6l	$2a$07$UBkGc6jMoSNbH7YbUDnxQ.q5z7c0lzoM5yO3e4WIcRSw/qFvtL5hS	67	2013-08-04 18:10:55.715745	2013-08-04 18:11:23.339871	237		0
22916	10qghbax2nou3ue27o5m81wapl	$2a$07$JUGv5P47GkBJECGAkFLiRudhMdy5SNA2cWO6pHs.LFZ4LVhAFTWGi	68	2013-08-04 18:10:55.737578	2013-08-04 18:11:23.452458	237		0
22917	10lb2om61xqexulsam2pha9d5m	$2a$07$bHH20SgtLMFey5gwsQ/NnulSGbejaW5srIgq8f17stMkfVoVzYGSS	69	2013-08-04 18:10:55.759164	2013-08-04 18:11:23.664471	237		0
22918	10i1ndowhr40sz7i863grko0dl	$2a$07$Gi8bJQiKl0VVGK/sGWn9XO3y/hUtTYRhsnTSj9d5GndIgb43bc/T2	70	2013-08-04 18:10:55.780644	2013-08-04 18:11:23.96251	237		0
22919	107bvcrlv0e4oyf76lr06clyny	$2a$07$ODT95o3FWW2926W.NAe/4u7b4HyxB9YAR6PC0/OtiiHoqB78ujeAO	71	2013-08-04 18:10:55.802209	2013-08-04 18:11:24.12119	237		0
22920	10xoa76ig2vh8wnagd3at351d7	$2a$07$5MuDdARC5Wc8ccvEEQSwb.cvqWP3cNfMiHN7MDSKj0YrS/I0jkyr6	72	2013-08-04 18:10:55.82389	2013-08-04 18:11:24.245388	237		0
22921	10md62zgdpprhmrssz3abu3pdv	$2a$07$fkik.nk8Av/509fOOxim5OKVdkDxUlMIeJkyi86qse5lI00lRr/f2	73	2013-08-04 18:10:55.845268	2013-08-04 18:11:24.343963	237		0
22922	10d1kn4wik6jxxx9uwvjtfamxm	$2a$07$6DJc0QReem5o3vcQbir.xOSwBGFjLWf3iP7NsIw4xgHeQFtbAoSvC	74	2013-08-04 18:10:55.866611	2013-08-04 18:11:24.464593	237		0
22923	10oy5hn68l1ac3769yw2d5iudu	$2a$07$is9sc.KmzoeWPYCsVSU0N.f9TQ1xnJZrswKVOFTXKkbB3bSo5dUe2	75	2013-08-04 18:10:55.888059	2013-08-04 18:11:24.577749	237		0
22924	108fuv7fa0pos7okm3jbunl18u	$2a$07$SzqO85I6u3wdiNErLxpS2uwlXFc6g0SG1EL6Xo.KGc4mw83.UE6bG	76	2013-08-04 18:10:55.90957	2013-08-04 18:11:24.727235	237		0
22925	10d9vvzzuzdghu8n9tfjkwhzvb	$2a$07$i2txx9UonR8TsJ8U0Ci3lOGOTD7H95ux0qzefhBLXgSmMEVgULz.G	77	2013-08-04 18:10:55.9312	2013-08-04 18:11:24.857437	237		0
22926	10erv087dx4i0bs2nopw86eweo	$2a$07$unZL7o9C.0CFaom2SnGFRuz0LYekPc/ohOrRqThVw/DUigbVpr4D6	78	2013-08-04 18:10:55.954015	2013-08-04 18:11:25.098867	237		0
22927	10yyoy2yn9v0u5oqhertpkyhub	$2a$07$lLB3.NFUJCot8rwEt/T2Pe8E/aPGdRHoOFDCs1ys4KrhVIShTvzTa	79	2013-08-04 18:10:55.977551	2013-08-04 18:11:25.308536	237		0
22928	10wdg66nf7mmygmrg5gulzvuu9	$2a$07$25pHWRPy2E4BUj6UlfUr9ucG407a0747JvneKbSb8yb0RGpIVH5iy	80	2013-08-04 18:10:55.999261	2013-08-04 18:11:25.420566	237		0
22929	10xy4shua23ocutto1e3oezwhq	$2a$07$ARFUuXIQF8SywXw3Gtvfn.t2eWQdfg7eT3qFVtY2xbFgvLhAJA0ga	81	2013-08-04 18:10:56.024421	2013-08-04 18:11:25.59188	237		0
22930	10n8bfchgms1bhsu7metd288vu	$2a$07$NAAGuF.3MvO5w7XFieo6u.BANL3ZxviEc8rv.bIOsRuYezXKuqGH6	82	2013-08-04 18:10:56.04952	2013-08-04 18:11:25.718358	237		0
22931	10oqu81doh4hu21nlqz571h8ug	$2a$07$Vn.C7GEqttBHURutHnzZfux/BdkM72mXcZGAQgicw4YEAasIiFX2.	83	2013-08-04 18:10:56.082197	2013-08-04 18:11:28.43303	237		0
22932	10o7sl6q8gim59xhiapcjfz629	$2a$07$Jz/ri1ynYKrWyTG20g7SS.jnfnQ.XcMDlSxBYRbTVoGJx9MfIu5oq	84	2013-08-04 18:10:56.118441	2013-08-04 18:11:31.221783	237		0
22933	10zgy0pv8xyyrjiqvriratsmj1	$2a$07$oNfD/eJ5KMPiZ10PmRZpZ.twCRlYv4.n8siwpQhyUTpZZ634oIsUS	85	2013-08-04 18:10:56.140033	2013-08-04 18:11:31.342983	237		0
22934	10gexhjeqexev0or89pextbkha	$2a$07$w.cqhzraYfnb9BDLO95PSuIDRs56SdU9N6XeaGCd4j4yCWnATiYbe	86	2013-08-04 18:10:56.161613	2013-08-04 18:11:31.472137	237		0
22935	10dungrj4dc6fslpoq6r1y6omm	$2a$07$ZAmwbjXndSbqdYtwYdKlTuoJe5qH9acIK/xnciZDH8Sf1l/tvz2Ce	87	2013-08-04 18:10:56.183187	2013-08-04 18:11:31.606222	237		0
22936	10tek7rwjd3oxpqlsqze4saey1	$2a$07$h/nQyG989JlM4uZ63E.J3OoLEhoGi9ZTrjwKpXpEdBCpncY.2KM4u	88	2013-08-04 18:10:56.206602	2013-08-04 18:11:31.728193	237		0
22937	10rfg9dznc9b1x3e86a8g4aslm	$2a$07$fIr.OuTeRIDCMV45nUgyq.x7z7e9lswtZRC5dltbCybeUe2b74/cq	89	2013-08-04 18:10:56.233015	2013-08-04 18:11:31.875072	237		0
22938	10x3lsvpuof4sqz84gdogdq51z	$2a$07$J2brHSEm41hrcPBEPUxLUedz84HpMf.UTa4v7M54RO87tsIGp26Ve	90	2013-08-04 18:10:56.261513	2013-08-04 18:11:32.015808	237		0
22939	100f7prya2759fpduaf4kbykl6	$2a$07$UZCzbEaxxgUkHGqVE2SSzeVRMCwFlyUCXRUlFUOYutT9Sc4E02Szu	91	2013-08-04 18:10:56.290653	2013-08-04 18:11:32.16048	237		0
22940	10gx3b2r2dlrnum8r0buzysp2f	$2a$07$9glUmoUv34/vqlgOibmZJ.OXDolUIRMhXY4JMDEs0Pnn3XQ7ToLRi	92	2013-08-04 18:10:56.315505	2013-08-04 18:11:32.284558	237		0
22941	10jrrz6pdjpqdo2mrj5dvvsecg	$2a$07$Q6X2qLwAnOkFs4.7VBaFZOZcR/4QcCRoXZWF4Yi8JJiPD.Wzyogk.	93	2013-08-04 18:10:56.339324	2013-08-04 18:11:32.420038	237		0
22942	10xwzraipbw2bfkk33egii2lxu	$2a$07$gnsCICD9T.Hike.4etP7T.BD5mIzUNu3uEf1PRqrm.bR8Doks431O	94	2013-08-04 18:10:56.364014	2013-08-04 18:11:32.544434	237		0
22943	10ak1tyrpifkggkuiu75bk6q87	$2a$07$jO1LZxpyLSj.fc1OnOhhUOmbEKUPzcXEPNGJwile8MDa4L0.V.0Ou	95	2013-08-04 18:10:56.387599	2013-08-04 18:11:32.671489	237		0
22944	10zzklqu7wma94nx5mf5ku1b0d	$2a$07$PpYwRLycmjp5/k8G.jRg8.qOC9N9ZMvQIzjwbnPmLc2XLddDtj.De	96	2013-08-04 18:10:56.410869	2013-08-04 18:11:32.833492	237		0
22945	106ncskhwa2msorvpik9z94m5l	$2a$07$kFxXN1T2jldsBg4h3YH4IOTjEmNRENDcot4oeyx2BuPOObHe9tlhu	97	2013-08-04 18:10:56.436896	2013-08-04 18:11:33.183991	237		0
22946	10h1845lhyg7j7j9vohblhg6ld	$2a$07$UhKpRh2oe3KqRMhPk6S71erlKvOMg1IVP/Mu2wuCWmnERtRaJULqm	98	2013-08-04 18:10:56.467594	2013-08-04 18:11:33.329293	237		0
22947	10d71sec3cfz168mm9qb1e89ie	$2a$07$ZH4WCaPZSIkkh193km5MwOECjWiqTL.1kLyI.tsQppwJvN39hOYrW	99	2013-08-04 18:10:56.500322	2013-08-04 18:11:33.56277	237		0
22948	10rjnsjul3gb6vylbhmusgvupw	$2a$07$epddLvR1EAjKOtlEYYIG6.WSQVbsUb0zzQxi/8u/vyGsjaYI9Wjf2	100	2013-08-04 18:10:56.537268	2013-08-04 18:11:33.667893	237		0
22949	10dmuff62buuao93shnbp6i5cf	$2a$07$xHrcX2wx9GdomKftpuqhauZp2x0uLFpICV1jtK9j.jKhhasl4XcT.	101	2013-08-04 18:10:56.563486	2013-08-04 18:11:33.80917	237		0
22950	10b9u37mh55vddkw7j7sbunz1t	$2a$07$napuZQw2.7R4j8Zkq/ZEp.kKz/59O3iKeArDWe5r2ftKb2sfCYGg6	102	2013-08-04 18:10:56.58526	2013-08-04 18:11:33.957471	237		0
22951	105izyv98ghmbysq77s0pccy1d	$2a$07$LgEbpDsy21UHivEZKmDkJO68kpldOBAcTEzKK7NwJkA..XcrhaEoC	103	2013-08-04 18:10:56.608467	2013-08-04 18:11:34.098121	237		0
22952	10zbduscke9ea7vp0qi2za4tto	$2a$07$j7mO.uY2HZyETOHYHV/no.ddnS7sAt6WELctSslfYJ6vfpLGTO2iW	104	2013-08-04 18:10:56.630005	2013-08-04 18:11:34.241549	237		0
22953	10tefhp06vg2jugkuuqtg02ypd	$2a$07$YJri0UjOr3jtyfUtOkFNTupenHVuUIgGxiWs/7JUqNXr6R30QHW4K	105	2013-08-04 18:10:56.651375	2013-08-04 18:11:34.379523	237		0
22954	10c4edkha04sepchbi4pvmxh3f	$2a$07$kL5mXD3fE4G9nJdYW/72j.KiD4R.qpfYWJFyQ6tpNDiEHpBKXh/dG	106	2013-08-04 18:10:56.672973	2013-08-04 18:11:34.49758	237		0
22955	104cmlam8062o2f400e78yqpy0	$2a$07$/849E7gOJXHGUKr4HfPwZuGHeHPhvQ.Wi23.y06vkl0fWbHJeYLUC	107	2013-08-04 18:10:56.694474	2013-08-04 18:11:34.647441	237		0
22956	104sxg12leh9ese9q5vcmgxydc	$2a$07$QFtqT9fKltvIYrGC4F/n.e4B79uJOLOAFuNqq5MOuhk4r13e1YRga	108	2013-08-04 18:10:56.716137	2013-08-04 18:11:34.769717	237		0
22957	1080sk4q28lldzh8pkpmppztoo	$2a$07$PzWSKgsxt5uOKNmQRxzCOuxk1n7CHCkDLwZf9puKDxocr8Lvgub3q	109	2013-08-04 18:10:56.738792	2013-08-04 18:11:34.908492	237		0
22958	10b48fg25qvhy6ged2mbctgnw5	$2a$07$5E.2HzZ4.OpuI3i1rVZZ5O54riYQVknK806E4/0p7ZWG1P6nVpWRe	110	2013-08-04 18:10:56.766006	2013-08-04 18:11:35.052824	237		0
22959	10y68lnnphpj54sbnwz7mzcw4s	$2a$07$PLYOGKXaI0LBnrEOETksheWK/K2IUEm6fXiDJCelw5nA5lhE1WZ1K	111	2013-08-04 18:10:56.801859	2013-08-04 18:11:35.218859	237		0
22960	10dw3148cr3v4bpk9vlwufk9eu	$2a$07$B5Bsv6lj6wrrrTWgl6q7neyS28gCNXLNLLt18H/C/iDCrAXbl/jb6	112	2013-08-04 18:10:56.83589	2013-08-04 18:11:35.346803	237		0
22961	10h0cte4lef76ahguw6b469w8b	$2a$07$7o/25G2Gavqh2fYbUgrc9eTP2dwFoYUvkvfGvpDx3MmNvKywJdHPu	113	2013-08-04 18:10:56.864824	2013-08-04 18:11:35.489606	237		0
22962	10eso952zoi77qcfsool8ih72x	$2a$07$D51mLGUeUjXZqw8BBP2CseffkHuEszpuVN58gn2opsb1Yts32CDrq	114	2013-08-04 18:10:56.887368	2013-08-04 18:11:35.61587	237		0
22963	10dilti5dukhkd03ujypaf7oya	$2a$07$l2ykmNCLtYtQ1HJYecvrXOfi3hfqmFqdbw5ePwz.xlST9.BzYI6/O	115	2013-08-04 18:10:56.910611	2013-08-04 18:11:35.775006	237		0
22964	10vuna0023ktefzq17op5yudpb	$2a$07$DTmdpSFSYxrCj8ZjT8M4lul559uasGFc6p7yDdau0oJhDBQMJSsli	116	2013-08-04 18:10:56.932378	2013-08-04 18:11:35.914279	237		0
22965	102dbfk6b4qpvjv2z20mbzgeoj	$2a$07$51eiz4RZiinwZUOMErlHQ.3wIYnTGIXyof3Ico5vBrhFEonXPRDHe	117	2013-08-04 18:10:56.954478	2013-08-04 18:11:36.049096	237		0
22966	10c9ec2itzv0l8z7wiyox4361o	$2a$07$0DJOxLgzhXz5PEPdu6Qan.cWrSmRjhqqH.OF9ua4KLK4uG.4wj2KC	118	2013-08-04 18:10:56.97646	2013-08-04 18:11:36.182153	237		0
22967	10a1fd9wpm0v10viiokgfakzdv	$2a$07$uZkx4jKPsMVbj2XL7XIVkeAPnQ4rDbXBBjvucyKkFu.GVVG6hheCK	119	2013-08-04 18:10:56.998486	2013-08-04 18:11:36.311077	237		0
22968	10igo1yen2cxro0xswsh51nhla	$2a$07$69YvAcOOTO2rugDhJUMjM.OCwfbcbSZp.bed9lcgNZZl5aaL3qDtO	120	2013-08-04 18:10:57.022262	2013-08-04 18:11:36.455191	237		0
22969	10gtf1ajcfw2q40g4fw1igi8hq	$2a$07$PI9CVbRCnqBPrhY62./AHuTVe/nxp4uCFa5AE2yibD7YX2xRQOnW.	121	2013-08-04 18:10:57.046015	2013-08-04 18:11:39.338383	237		0
22970	10mx2nt3ynrn5voq0h4nocuasg	$2a$07$2VnQNBc5o9sadSAJKtaH5e8S9v1xrQgM11oSSj7fC0niUv0yRkPLK	122	2013-08-04 18:10:57.08286	2013-08-04 18:11:42.264609	237		0
22971	102n9x0nsqqr7ik633nhqleg6y	$2a$07$UbGkHza/uqlxcSegd9BVcuBXj1IbJmh1/p2Z/44pO37fYEzcsq6ky	123	2013-08-04 18:10:57.117124	2013-08-04 18:11:44.806671	237		0
22972	1012agicsnpwe9ptcyxsbnca74	$2a$07$wkPEKdPylp2pgw1M8jgNq.68J/FNs3oBBbK7MX7uJX1NAP5pTDlZa	124	2013-08-04 18:10:57.139993	2013-08-04 18:11:47.819539	237		0
22973	10mhqera3jluawz3520sokabbr	$2a$07$FdjeANCoalD9iwwlAUWoMuYDisd5kQ1ErTwedGe4AFIFWrQumqu0O	125	2013-08-04 18:10:57.171867	2013-08-04 18:11:47.944462	237		0
22974	10mkfwgyvbvinhfrxgparr9oo3	$2a$07$4Qz8L.lPG1TWda2ROLgs1u6Z9/wErP289ergL.lV2PITEZ.3re1x6	126	2013-08-04 18:10:57.197733	2013-08-04 18:11:48.073314	237		0
22975	10b20hz7zx64ack1xe0q7wpepr	$2a$07$bYyEQOWJ52aQrIeh6QL8FOI8Q9KnBzvVfC9jtO5yjZ96RPARQqYDm	1	2013-08-04 18:16:28.638468	2013-08-04 18:16:31.719145	238		0
22976	10rx7teuf14pazoin0uqh15ctm	$2a$07$fKdiWEUUDqEMLNrFjjlDKOn0z3kTAwNe6OQxkPnFd.hKNiyrNUEVS	2	2013-08-04 18:16:28.663007	2013-08-04 18:16:31.839952	238		0
22977	10244c8eytmt04vszxvxhdi3ro	$2a$07$jixttgeK0cqZ6xRaP0AWoeyIfz11yCgk/YsPzLAO9gi2EA06ZTmvy	3	2013-08-04 18:16:28.689664	2013-08-04 18:16:31.980281	238		0
22978	10rd67ggr5eojw3iy2e6yu8yl2	$2a$07$XwI1U.nBpAgRWtmz0L9uzeGNpdEMaIeSwpnd0TtIOtgZilqiRzNHa	4	2013-08-04 18:16:28.721872	2013-08-04 18:16:32.121424	238		0
22979	10kbvbxiecem2vepux6rchw8de	$2a$07$C.4Nz4s.8hEF.sYwexn5QuqtLwDH.l9wi7VghtxcUVLrLEDC3G3nK	5	2013-08-04 18:16:28.756391	2013-08-04 18:16:32.269295	238		0
22980	10mc18nnwnlf1p1w45aa0s8x77	$2a$07$iO1dKU8TIbGotd6inoaFKulDZBcV1UjiyROHGlaCGpJR5kHCTkcza	6	2013-08-04 18:16:28.778404	2013-08-04 18:16:32.394747	238		0
22981	10cc1ub82gxoc336dtxg8vlumc	$2a$07$tbyc5IvDN1ae7SYCI.OkP.TyUonQJfcSJHCgjwypQyx0jttgYz7WO	7	2013-08-04 18:16:28.800318	2013-08-04 18:16:32.697452	238		0
22982	102mol2tbe3l78zhp6jnaic48v	$2a$07$XBBaXLASagpUU3nudGVxo.ahN37JyJCFG6SUbc0IVeInxDHfTyjfG	8	2013-08-04 18:16:28.823878	2013-08-04 18:16:32.819528	238		0
22983	10q1vq7xrwtc3tj118brfw1ejf	$2a$07$VN04c2P1UG6pGMmSolZ27uG2vmKQiYWNydEnnO7e0WMRdd/NgtdWC	9	2013-08-04 18:16:28.846937	2013-08-04 18:16:32.968156	238		0
22984	105f72n04zk0fzv0ea6f3k752j	$2a$07$vPGQzPsq1hbgLRUdI2wUTuFoMJ3wOPcq/juhSuQHvwLjeMGV9j3C2	10	2013-08-04 18:16:28.870573	2013-08-04 18:16:33.115707	238		0
22985	10bupfip05k3qotg7ckwwkvub4	$2a$07$6uEoAc1mZus3RHZ8DXtDcONbgh.cL15YLqg/OYwcpsK9BC6Sbs2q2	11	2013-08-04 18:16:28.892284	2013-08-04 18:16:33.256739	238		0
22986	10p6sppgkmztiz1zu7x532dexx	$2a$07$j1u7/JPIiqrezWF4ZyIjFubp.2wSVAtOTgsxm.mqz.hyjCLQ95vau	12	2013-08-04 18:16:28.913848	2013-08-04 18:16:33.391183	238		0
22987	106yo93vvujhrg3je2atylaccb	$2a$07$jKzrkX9JIrpPPCABhI.23eUpgwBce2cMb.3DqBP3S91iKjzv9Djhy	13	2013-08-04 18:16:28.936477	2013-08-04 18:16:33.533644	238		0
22988	10u54qp09addt2wizcgcnl56fk	$2a$07$9n7TyF.GDyxzOxkOmFLmY.Z09/vaj./r65TIkNiVA54IiL4xBLCGK	14	2013-08-04 18:16:28.958338	2013-08-04 18:16:33.673572	238		0
22989	10fzjizafqtfkbsg4grftera0j	$2a$07$rMIhJ86/43f31ju/DNAJW.QSA7PpgKL456lucvoUm4itI.dCI03Cy	15	2013-08-04 18:16:28.98105	2013-08-04 18:16:33.778136	238		0
22990	10i4hfmioy146ezijai8i5mnbf	$2a$07$GNyoQwAI05WipnCNVjXNXeRxwveOw.c.Sa4bv8Ucfo41BdO.t6/ma	16	2013-08-04 18:16:29.009495	2013-08-04 18:16:33.908321	238		0
22991	10hn3lutqea1lgudw5d21m9qls	$2a$07$c1KxKplZak.nw8tUz8.Rr.S/cumjNIP6jYszE823mqXxm9XHQUcyq	17	2013-08-04 18:16:29.030753	2013-08-04 18:16:34.138039	238		0
22992	10h74o0qwau8r6zr0pmmnrh3qt	$2a$07$BZIYDRSDzQJVmr1zwT10zeK7XVrVt1ZW8/WRAatsDagdZhVAd8POW	18	2013-08-04 18:16:29.053728	2013-08-04 18:16:34.37847	238		0
22993	10gx3vi5vs19yfcqxjwu068gwe	$2a$07$EISwFUnh6N9f2n1hlBLkheMb4gGVEgVH/0QNJfV6FlCdPsDdIgEWC	19	2013-08-04 18:16:29.076074	2013-08-04 18:16:34.517326	238		0
22994	1022s5yo4oevf7j9eqwnzc7906	$2a$07$NHLOnV2EZGpwYg.3Y29lLOjrA8OzpcMp2jeJuzanVtTVCKQ1Boode	20	2013-08-04 18:16:29.097744	2013-08-04 18:16:34.656367	238		0
22995	10mmf8a5w167axbkbgwmwr2xv0	$2a$07$/XHMRn5C91Zdwcvw8fTDJu9z/HMViB5w2vWO2eQtkiY15ZP7a2FQe	21	2013-08-04 18:16:29.119286	2013-08-04 18:16:34.820531	238		0
22996	10tp8anly3wye703eik1e476o4	$2a$07$ocS2jBhyBwdt22wLKnfbEe5oLP3tyQjYQdAHANMduzrNLvd2yxqpe	22	2013-08-04 18:16:29.140771	2013-08-04 18:16:34.942646	238		0
22997	10l9zj9djaet4nlptarod8sfz0	$2a$07$.CZ5S5B9dbXrCGU.HAYn4efAHJsHlNW2aX1u2DF3RH0a2VVa9BdHa	23	2013-08-04 18:16:29.162447	2013-08-04 18:16:35.08863	238		0
22998	10270beuiqybr5tgpyfl8kfyko	$2a$07$UMr/KI37dR6SR.627tX//uW99VXFCNHwjFhnyE4mFbBPANxYbbjea	24	2013-08-04 18:16:29.184755	2013-08-04 18:16:35.245364	238		0
22999	10hffzf4n2qwveemacnx14rdcx	$2a$07$q.7OHVjTe9u9LLZREUw51e1PvpTMNjcOmTEHrXEKcBYiqdGx15PnC	25	2013-08-04 18:16:29.206586	2013-08-04 18:16:49.655217	238	mux_client_request_session: read from master failed: Broken pipe\r\n	0
23000	10ztft8x35hb78am5kxpjcu4fo	$2a$07$HJc.E/BGMYZC6t6Q1C.apecq1kcNwThQ.lg9Jc64tAWq93EEPtb/u	26	2013-08-04 18:16:29.228029	2013-08-04 18:16:51.852264	238		0
23001	102j2mdwcmlvn87k992sc012me	$2a$07$iRv0Cr96MZuAN/6S6MzSDOnuz7Wvn05GzO.bTyBadHZHMQHs8rxeK	27	2013-08-04 18:16:29.249452	2013-08-04 18:16:54.0627	238		0
23002	10s8htd1tv9nflg3etyrmlky4b	$2a$07$zv/CVinXZuUw4FU5RUMGpODg3AfOMEzkU7y5qYRh94PEtMUBTjf7K	28	2013-08-04 18:16:29.271443	2013-08-04 18:16:54.202251	238		0
23003	10nt5noq17nskfin4j77ytnnwh	$2a$07$KSaypE7X7rvvg0pGyseSee3GdfasrWZYIOw2oL220EO7e6A4tAWXu	29	2013-08-04 18:16:29.295	2013-08-04 18:16:54.340672	238		0
23004	103sopas23h6t778t28qhxy040	$2a$07$0o43eCnx2kkNPB90KwPfAO5iO3QgOs7Hr8vuC8GrW9Odcuemomdxy	30	2013-08-04 18:16:29.317231	2013-08-04 18:16:54.472603	238		0
23005	109440aenqafojtfpb7annq5ra	$2a$07$7FKJ/HuyydAPg189ihc.lOtHYMe6rBa2kIrlXd2HdWGe73oNd/KS2	31	2013-08-04 18:16:29.340108	2013-08-04 18:16:54.602848	238		0
23006	10bavcphi3nj546ibba787y78c	$2a$07$pxFNIKkSt.VwAD4rT4LwAuTQYYR/0JuYcULaeN4yaeeCHbzGdvW0a	32	2013-08-04 18:16:29.362754	2013-08-04 18:16:54.739965	238		0
23007	10rshxpht983r7cawnvw4549d4	$2a$07$u9NwnUTxcAFNBlaZ2MRdROldMLIiYUozOadopZ2Vk87NMsHHzxE3e	33	2013-08-04 18:16:29.38447	2013-08-04 18:16:54.860098	238		0
23008	10r7fe7t1t2wd91n0ldrbpg9fr	$2a$07$IA7DyVMH1DBd6MUAtonGZOqs.kr.5MDgstVPORLI6imHaYD9rI5Ia	34	2013-08-04 18:16:29.406906	2013-08-04 18:16:54.998539	238		0
23009	10voh5n9cqeq9h47u4rneos2sv	$2a$07$MmOuApJbo5BjgpruIy3XpuFLXZrpLnjdElWCrnF3ZsSVVB6OIDQca	35	2013-08-04 18:16:29.428282	2013-08-04 18:16:55.112686	238		0
23010	10yve6wfwe5swbk86n93utg4nd	$2a$07$erBP8H8r6wiemyVF69K7EuTRArrVUXVStqiTp0aXEVMg719ai/oPi	36	2013-08-04 18:16:29.449726	2013-08-04 18:16:55.229742	238		0
23011	10mr0lx8pis5z8yip0lh0b7bj8	$2a$07$.gFWu4INvtymKDpZRum9OOPACCMprEc0dBgzors1ok8S2GYPWVN7e	37	2013-08-04 18:16:29.471139	2013-08-04 18:16:55.365752	238		0
23012	10yxsbu6u2awyr6a9wg6lcvkly	$2a$07$lQRSwGiXMBQkV6iGePQ6hO1F/5C4FUIj88Z24EcZ1IGNWgmHdOv2O	38	2013-08-04 18:16:29.492448	2013-08-04 18:16:55.508346	238		0
23013	102r4o12kk99amtb74ky5pdns0	$2a$07$eybnThuPut1uWi0nEQupFupe0vyOCaHeKmCA6it0XBxSJMjkGCO0u	39	2013-08-04 18:16:29.513792	2013-08-04 18:16:55.656048	238		0
23014	1093nfpul482mj77y4b3u71ept	$2a$07$hEmEpTW9quUJiSmgXnl1SeGo3wu.0KL524rl6JbLOf3iQqZGqlM5i	40	2013-08-04 18:16:29.53514	2013-08-04 18:16:55.768752	238		0
23015	10liks4q2tr25za64mlvy1u48t	$2a$07$TrFnyGBDUBAnYT5XCjS8Gu6OlztyhC02UzPCz7RG2hDioSWKivH1q	41	2013-08-04 18:16:29.55643	2013-08-04 18:16:55.877823	238		0
23016	10gkfn6zwtmwoevguhj86btyd6	$2a$07$IKqCl2.Cvjr5FPDa9fkpVuwNchSBL9o5rxi1pShGIi6Aml/Rzk4Ua	42	2013-08-04 18:16:29.577792	2013-08-04 18:16:56.007366	238		0
23017	10oywhuc6y22j58apwpccr4nii	$2a$07$2aih.r7gqPrCBNRoP1XiA.OL/eej4/rG0cDacPp5NviHqs7xjZICG	43	2013-08-04 18:16:29.601857	2013-08-04 18:16:56.133445	238		0
23018	10s4i9iwg7azz2webxcerm34y5	$2a$07$Is7QoVftIGI3vZRvBEKUMOQeh0DQ4vTvaG0UDiC.PJkVHuLiM7zcK	44	2013-08-04 18:16:29.626549	2013-08-04 18:16:56.239759	238		0
23019	10iw9kdhuaa3owbdtwvhd7tptq	$2a$07$esPneOxnQoUKHeqKxO6/.eVjpiPFtaVPANsYUD7eEfAieMq/YH2hu	45	2013-08-04 18:16:29.650255	2013-08-04 18:16:56.385842	238		0
23020	103dlbanh306o4fbvyxwu37iwf	$2a$07$mFB2CeOzdzc1nH5QAOdbUuPWqEXNbv5F7MAUhKaUL/9ab.R0dpU52	46	2013-08-04 18:16:29.672441	2013-08-04 18:16:56.762227	238		0
23021	108yqrbdr1vvqxj7kc6z0v7zct	$2a$07$jphmbxY9U8kD.JWNqmqbvetZl0PSvt0QYdd./.OqlT/SIhJL/2Th6	47	2013-08-04 18:16:29.694464	2013-08-04 18:16:56.903486	238		0
23022	10h7zw9y5bw3jpp6ybng49gtau	$2a$07$yHEpT0TG9B5ySkkeAI/NR.M4gwVGoJaXBWaHKVuvivJhNho0y9kFm	48	2013-08-04 18:16:29.716674	2013-08-04 18:16:57.124639	238		0
23023	10vr7mkodelt19caup291gpm36	$2a$07$YpoG2km3.T6/BYnKjvn0I.9cocL8FNfQuzNoYVLJ5yhcHNHE.nLfa	49	2013-08-04 18:16:29.74215	2013-08-04 18:16:57.416825	238		0
23024	10onfhhuplrcyoqjpzb4kkh77y	$2a$07$frtlM50B9WpOwbgdOIUgzOkaBhGA7et2OmuvdIUDUXULHwnHqrG4O	50	2013-08-04 18:16:29.77046	2013-08-04 18:16:57.538704	238		0
23025	1018qj71fanvr99xg5h1i2f9d1	$2a$07$d6OuAHxAiEC0xmWwh3ARf.ruS4hvl9w0ic8hso4I.5EchTIXGAkqq	51	2013-08-04 18:16:29.796478	2013-08-04 18:16:57.693186	238		0
23026	109nflppfp4u2icgotbmduulpc	$2a$07$bQb9lJuiMITiAVJG1zwKy.z.7h3dwJhWht8cVIdvbILOMZBVQmYVq	52	2013-08-04 18:16:29.819474	2013-08-04 18:16:57.81683	238		0
23027	10es5a5atbemflp4xlvopktvfh	$2a$07$Kc.ZYa6pXM6ar.CKcEyH0eMUcof5L9jDaDNu0KgyMmN0OUMKDdeB2	53	2013-08-04 18:16:29.84198	2013-08-04 18:16:57.921636	238		0
23028	107wov1r03vqjmklmvumrikq25	$2a$07$pTH7afbAeCi2.RrSvyB9VO.QpmX8vTBO5abxYb0xFIA.KUpWinZz6	54	2013-08-04 18:16:29.864661	2013-08-04 18:16:58.054824	238		0
23029	10ehcj32m5xh9nl3l56bieb7j6	$2a$07$VSfBEcP2R9QKdm5sSix/D.mwAqCjwK9hOLbzKkaEh7aIOi6hwS4sa	55	2013-08-04 18:16:29.886357	2013-08-04 18:16:58.182882	238		0
23030	109pwat26yc7qynw8orkgzol4y	$2a$07$pW0EXrWIj1pftolsXqnofOJqlr4Lvc0BjjFNmcxgC9H4s7h8B0Sym	56	2013-08-04 18:16:29.908057	2013-08-04 18:16:58.38476	238		0
23031	10kiiqe4y6o6codkoln8k32f9y	$2a$07$SU90/v17jmCAvktSMcbQI.HVGsypdOP2vV1bd4nQ4Rlf/JOLgbNFy	57	2013-08-04 18:16:29.929549	2013-08-04 18:16:58.598044	238		0
23032	10epfsx1gdap37b5e1y9n6o1gz	$2a$07$.DZGIr2FaYMjfbPgwwz1UO9RnfRZWeQkHcn6zgcW2FIvkNBOILXSq	58	2013-08-04 18:16:29.951586	2013-08-04 18:17:01.370814	238		0
23033	100r4i6bk5cgp9ehoqv3vwitlg	$2a$07$yFakbn23UClNGGp6nXK2y.QsoFw7g6jMT4LCkCsNhY/vD/IhoBDWS	59	2013-08-04 18:16:29.973958	2013-08-04 18:17:04.096208	238		0
23034	10hk2q6dw8iy4n2hkd21jx2s17	$2a$07$TG2dMIK4UmBsEHXEtgTBruL05KpkPIbJQak1bxnclg78bQmjekSU.	60	2013-08-04 18:16:29.99588	2013-08-04 18:17:06.862693	238		0
23035	10ma5v4xm6k444p0krykeg8dlj	$2a$07$QmClkDK/mRFEiqo8zMR5Lu/uJHOFLi/CsN0v1iXHGIGoVD0tVo1zm	61	2013-08-04 18:16:30.018756	2013-08-04 18:17:09.698715	238		0
23036	10ifqebdijgpvr9a0mrnptstta	$2a$07$kNtOK4GMkoTlqRigROZa5.Fz7FiChIGBnYormduZud.G7bFxzaqUq	62	2013-08-04 18:16:30.04205	2013-08-04 18:17:12.607104	238		0
23037	10vuwpo1rh39zay6ejyja82z8s	$2a$07$WO6xnOTmoaO/x5hY5l0AmevHIHjWMSQ2QDlNI3Hrv6oI9L4VngP2m	63	2013-08-04 18:16:30.063733	2013-08-04 18:17:15.706687	238		0
23038	10bl2k1cw6zmagkn3fuxsvunwk	$2a$07$J40vmirBbIMzKjS0MiKOx.I3f87OjIUSoP.nuwVkJcz/Aj7RJlIEq	64	2013-08-04 18:16:30.085632	2013-08-04 18:17:15.862807	238		0
23039	10554wtv7b1zuw2hos5v3l3dg5	$2a$07$6/3zwOXZ5tFEhKZr8uLVB.bKG3uNAc69HYbLefPVysjImA9zvrYaS	65	2013-08-04 18:16:30.107684	2013-08-04 18:17:16.006492	238		0
23040	10ja39kx517huus3ne1oyar8ki	$2a$07$CcJ1/PW7EYCVZjA62yekgOD8nigNvUTTVoojC4rhZ0m5f/Rxl4UAm	66	2013-08-04 18:16:30.129559	2013-08-04 18:17:16.180963	238		0
23041	10c6nevfxfiy4edx20mp2llgu4	$2a$07$jzra2te88VwsRTq//QHoyupR4XMAa9EkH/tMVAIAXWELHZgjh0Ht6	67	2013-08-04 18:16:30.151249	2013-08-04 18:17:16.305488	238		0
23042	101gwgzlvl3cguylncz2fjhg0n	$2a$07$nlPHsFcmLR6lmFxvl3OUaewpMSrfUTiHjdZPo7Pv9Q./xMuv/y8qq	68	2013-08-04 18:16:30.172567	2013-08-04 18:17:16.422258	238		0
23043	10qw11tgvn6777u0yubkqotw6s	$2a$07$CIu1DIkBQXZisk2AXi5u6uoZXbKq6Fmja6I7BiEGhKcQWHm/CWUyG	69	2013-08-04 18:16:30.194504	2013-08-04 18:17:16.547222	238		0
23044	10id3szvvighgpbhea8xmlw2q7	$2a$07$CfW.50tFgYDhtEYvKXvXb.FPSRKaq7v8OQhh/rjr.b1bnWSvR0lD.	70	2013-08-04 18:16:30.216045	2013-08-04 18:17:16.743133	238		0
23045	10d7hmv2pnql6gap0gu1gwwyyk	$2a$07$YmZaJq1aVMbOJzpXaX72tO7uglEI1yAQzfUpFKbZCQ2f7deDK3YzK	71	2013-08-04 18:16:30.238685	2013-08-04 18:17:16.874496	238		0
23046	10v5ogj4g99wgov7x594mvphyv	$2a$07$hfabP8jEyWHZMEbQVvLqE.kKGcnlzk5DXx84G2waPdwQOMYFmDRxm	72	2013-08-04 18:16:30.260257	2013-08-04 18:17:19.305248	238		0
23047	108uw2vuuuya5z8cceewdvir8j	$2a$07$pHVDxxjjzy.Q1pvE0I/uvu/hp//R9n427PDPhglBpFsxNLDXUAtBm	73	2013-08-04 18:16:30.281857	2013-08-04 18:17:19.424912	238		0
23048	10mb7tzr0ia6psqk1t3vxdtvz4	$2a$07$VuljFZLkzN7zPFYpsHXNjuzRT/qSoLMgXiTDuIfx4IsMKtywp9YBy	74	2013-08-04 18:16:30.303679	2013-08-04 18:17:19.539362	238		0
23049	10apn6kjrn9ql0d793486rasmx	$2a$07$dXVkKNyyo8Cc4wTroFsVBus/W10F7D6fNwqVmcCBCFQC7N5lh.c3i	75	2013-08-04 18:16:30.325289	2013-08-04 18:17:19.69587	238		0
23050	10s1jdeirlkh7g6bu05lkyafry	$2a$07$djPSKb.6kZZJFNSwxBI6t.rG89.R4gaGJmgiX8Hx52GC6z1pL6jde	76	2013-08-04 18:16:30.346756	2013-08-04 18:17:19.802543	238		0
23051	10i409x01voydzu2owh9kpdkre	$2a$07$LIqdNN2sF.9roawSLQrE4uHwavhEX.v9BFNBzZskronb6czKmoMv2	77	2013-08-04 18:16:30.369179	2013-08-04 18:17:19.927895	238		0
23052	10cb1acz5oxl5dhi5yxlu2zkrd	$2a$07$T36Z9pbpUbQAZzEEs4ac9eH7ytJGgl7T89VDJqF5heIQt2La8fVc6	78	2013-08-04 18:16:30.392265	2013-08-04 18:17:20.070886	238		0
23053	10aby752chcwdvnt3ly496lgoo	$2a$07$0cCs7zd6ZNPMLRftO8R6n.XxLamjsUi/T8WYExjOkrar7ZZnbLWju	79	2013-08-04 18:16:30.421818	2013-08-04 18:17:20.376148	238		0
23054	101hf1jvcakptx5z4gowe02hpr	$2a$07$zymThpvXh2UKtpWiXYaFq.LUKfoObc1ayEMrW7drLf.wQbNp2ROJC	80	2013-08-04 18:16:30.447179	2013-08-04 18:17:20.496176	238		0
23055	10jo0er3tv4kzkgaztd88le3ib	$2a$07$8sxTVaJE9I8ADaRxPx/d/eBKlJng2VjnVhZbu7tomwRl.1AvRmM.C	81	2013-08-04 18:16:30.483508	2013-08-04 18:17:20.675778	238		0
23056	1018smku2si07macbnq7arrypq	$2a$07$X556bvTTjS3tJTzROEE7Lu33U33gjAt1fnWxK3HcwrPJRbdaOHGKW	82	2013-08-04 18:16:30.513002	2013-08-04 18:17:20.783187	238		0
23057	10i4lvzuhgox42z5d1qor0lunw	$2a$07$UQy1ax2AKDKcTb1llSnAp.r9QfAofqsRvdt31c.0sGcQ3ffEYrFDC	83	2013-08-04 18:16:30.534502	2013-08-04 18:17:23.587045	238		0
23058	10a41rugpxg5o68v9wa3vwvf3b	$2a$07$YNMB.AayxCnKzeb6t5CqXOMWUXgzoptGgq/BC1/AO5dhX24EcHT9K	84	2013-08-04 18:16:30.555886	2013-08-04 18:17:26.372279	238		0
23059	104w6l1zvumrumwado9ne8hdnx	$2a$07$pic9qhC.MCe921cQmFzde.ZcjbJ.YA/t3cyHZkXFQwaTCDXSTykLi	85	2013-08-04 18:16:30.577257	2013-08-04 18:17:26.533047	238		0
23060	1055r32j6wpwbjy6mfk4qmdxl0	$2a$07$eV81ekJ68G3iT2r/.vQ50eCNPSMZwFQMdz/ulIFvItCnsWwB1TSPa	86	2013-08-04 18:16:30.599209	2013-08-04 18:17:26.668667	238		0
23061	10orzal7w8knhulfit7wbh4jbg	$2a$07$m2IOklrHrAU3olrUONUNOeSIToxMHvNLKx4hVV/E1UVlfj9sZ1KIm	87	2013-08-04 18:16:30.622928	2013-08-04 18:17:26.799347	238		0
23062	1068cok9cdgr9i7zp2cqpdyfb2	$2a$07$Xk3/bli9V1vJCMUEEYwXG.xPSx/ho3msLCKNcdD9AlfHuoWfDcfk.	88	2013-08-04 18:16:30.646775	2013-08-04 18:17:26.934663	238		0
23063	10k4uebvwfh9qxh778m23d1d8s	$2a$07$i5tyb2/AKUiGozes5I5N/.lpeA2hhT6meo.jBvO56dZbaaSWrJkUS	89	2013-08-04 18:16:30.726231	2013-08-04 18:17:27.058458	238		0
23064	10dwb8irjbsf2xj5jw35crytil	$2a$07$rhv6MhP0nIrUUnxPCl7JFu3OOkKZLSlqeKpNnVIz1jRRBYz183Sx.	90	2013-08-04 18:16:30.749555	2013-08-04 18:17:27.207373	238		0
23065	10so0qkweqxm29zodq2g58yiay	$2a$07$JU58gJmcLfn2CNUBu7h7P.0FLyDV3Se9xldk1hABeKqAhfDUNSdJK	91	2013-08-04 18:16:30.773499	2013-08-04 18:17:27.426258	238		0
23066	10nkv1h0w9uqevl1rw5lza59ax	$2a$07$VWnI7VH0/iu3u6zzZGQj9.SLC/zpXRBPIPsPSNZ3fnlCrqxeOd/xa	92	2013-08-04 18:16:30.795411	2013-08-04 18:17:27.599993	238		0
23067	10t40vdj8c60for1wko8it1d21	$2a$07$otB395MlZTuO5.AR2Zj.Pu.V/uPAVp9ng4VO72j8sZtoYltZ8iyKa	93	2013-08-04 18:16:30.817048	2013-08-04 18:17:27.711417	238		0
23068	10b9o7x2f7d92uhnti9grfi11m	$2a$07$wfsQApkBhSnLo0LFaxMFneRjTE5/2S46qg.Ief.A57NSEyXxIDj1e	94	2013-08-04 18:16:30.838948	2013-08-04 18:17:27.81182	238		0
23069	10a8c0yjoe5umcfk5prrdi30c1	$2a$07$MaMIcDfYGzmMU2FxjW7yC.9zgJgbuI8Nqh/2ROkD3ccvSigjSuaRq	95	2013-08-04 18:16:30.872181	2013-08-04 18:17:27.918745	238		0
23070	10qm181ks8plr12alrktnkps9s	$2a$07$EfHRXg2bHsQGVNVhG5E0/O4aL5k76Xu2hgpfALVARIt9kgo7BVVEu	96	2013-08-04 18:16:30.893769	2013-08-04 18:17:28.03106	238		0
23071	109bofa3joki0w44x4iyewan33	$2a$07$xt11Lg8LXJs6x.vUZszil.SPs3BY4MmjUvfV7eOIuvYwB.TxUgVBa	97	2013-08-04 18:16:30.915185	2013-08-04 18:17:28.181811	238		0
23072	10dqbpxu6349ubapj6adyjb2gc	$2a$07$w3bgGR8VfGQh2GLtFjUX.Ot0QKt7YNsbk3/3hijnp0J9ke3HTeTbW	98	2013-08-04 18:16:30.938111	2013-08-04 18:17:28.284279	238		0
23073	10e1sbuu17ygbajui9szfanlwe	$2a$07$yak7x.NiEdyUf5evmtfGgOqGogfiUFoBitg8X1vbpLl3zBY4J..u2	99	2013-08-04 18:16:30.965605	2013-08-04 18:17:28.434316	238		0
23074	106877dqtb23n86rb0los4xmxk	$2a$07$RvGlMJiYzYFT5TRKVSTzgOtyX6qr.5A504BBCszG5tXZfotWvZVAG	100	2013-08-04 18:16:30.990273	2013-08-04 18:17:28.588538	238		0
23075	10h5v5fayhkzi9sv8orkxkxl5b	$2a$07$BTeOxN6hCdZak6LQOeEKyeyr5S2JP4OaQ/AnVkhTP489KqzwPSZXi	101	2013-08-04 18:16:31.012688	2013-08-04 18:17:31.008306	238		0
23076	100u21cg8r3bkep9p7uxig4cpi	$2a$07$HwtgbcoKFYL/7Y91nSq6YuneHDH0Z7Kv1b6TDcFzv2tTLoDeboPKO	102	2013-08-04 18:16:31.036401	2013-08-04 18:17:33.266467	238		0
23077	10i9ueflotuumziqyx4wb18zzf	$2a$07$Wn5X29OB/59p788tVjT8nOTMjV76mzIf1.WV5bgNYsKbXNJ3QZTLO	103	2013-08-04 18:16:31.057941	2013-08-04 18:17:33.569416	238		0
23078	103xnm4mfx0jfu63qzk9lwfgty	$2a$07$F5Cf77wyftmvPMlxeEy3F.oXdJLJGD8lZmtdoGuBl/Z0uYoMYN8EK	104	2013-08-04 18:16:31.079677	2013-08-04 18:17:33.707205	238		0
23079	10hpac22spctrd2uqrddmly0h7	$2a$07$LxDwNVlO58ArTJ.zB9BhAOtbnzmWg7tHbfDcVGpw8QiarwdAYEr9W	105	2013-08-04 18:16:31.101266	2013-08-04 18:17:33.84756	238		0
23080	10b64me558ah0t484yqb7yfue9	$2a$07$h/MR5SBpy.bHYhHpS0U/C.XJOe2mAEWVzBxez1QRFBjA3r4ifnRG6	106	2013-08-04 18:16:31.123161	2013-08-04 18:17:33.967292	238		0
23081	10hxmmkm9uklhvbhzrkvcd1mbk	$2a$07$S5Q5O0dR7wm.TYBdTRLPnum3uMZz4nIYOHOrvQlguKjn/IemvpRiG	107	2013-08-04 18:16:31.145432	2013-08-04 18:17:34.093045	238		0
23082	10mrks7qowjlgrcw2w341ponz0	$2a$07$6Qdy3mHw//yUHf58Fvx94uYTZLjpXhBAdOZ.DtUzFakdB.LNd50ge	108	2013-08-04 18:16:31.167141	2013-08-04 18:17:34.234631	238		0
23083	10hlgt6sqih0nai9wh8aozi1lb	$2a$07$Rr9lI6rKay19R6So3xL7k.fE/36ZYL/fMKnm0CZUB3G43RNTvQ/kq	109	2013-08-04 18:16:31.18873	2013-08-04 18:17:34.362674	238		0
23084	107n2d21cvabfipk2uwfuf1crb	$2a$07$g5OyW.xvzYlV/1L6ekj3Neg.aAKanEbm3mVmJA1ZbRtogPwcWFRai	110	2013-08-04 18:16:31.210224	2013-08-04 18:17:34.491513	238		0
23085	10nyb6hk6wgjs3wx3i7vpskucu	$2a$07$8jgseWbg7Am4/tfBrO6B4.5aXh7dzEGL3I9xVVm0N.xM2ZWfome5.	111	2013-08-04 18:16:31.231679	2013-08-04 18:17:34.653993	238		0
23086	10y5dg5wzpc1vxlssx477p0t25	$2a$07$tQ2P4mp9P8EyEgUuQEwJhO8dq4z1WE33RoIfl9bmqvIp20RnlTJOy	112	2013-08-04 18:16:31.253139	2013-08-04 18:17:34.810517	238		0
23087	10rp6855r75lraqc1isbmx91g0	$2a$07$mpZET1vpafbL7gtOIvPZpeNcFfXNrh5Izs35do7nVM.M61XzwjlHq	113	2013-08-04 18:16:31.276025	2013-08-04 18:17:34.952645	238		0
23088	10v5cntj4htsqoaxkxpduvk3me	$2a$07$DHAipV509rp9aVFFlVQmaOQBLHDFmOVkeNqlyF3COE3spENg1SWUS	114	2013-08-04 18:16:31.299662	2013-08-04 18:17:35.08313	238		0
23089	10gv378bcnk451xms0i3t9w4s1	$2a$07$YlMNEGD39/3X7bE6HoG3.OS.kqG0w2PeYyQ9wivSsq15fOUPy5IQm	115	2013-08-04 18:16:31.323238	2013-08-04 18:17:35.219431	238		0
23090	10nj83otfh7jubflqmwlsbc617	$2a$07$VjOLrSAhPylhh8fuecBGBOcD2kNqYjQk0J85fuWNNffYa31x76J2y	116	2013-08-04 18:16:31.349461	2013-08-04 18:17:35.313591	238		0
23091	10qo50ooauopjge07qez1z5z2p	$2a$07$jCzb.Hu78ChwtOX73NeiwOTk4A8dDYuPlqoanFuGmX9eBeVDSDK12	117	2013-08-04 18:16:31.372407	2013-08-04 18:17:35.44028	238		0
23092	10v4pkxaiqof2o7duw2bq3v08r	$2a$07$n6zCpKx9iBz76VnopIey3OInvo1VIZ0r1T0MpAAOkgkq4WBSoZNWi	118	2013-08-04 18:16:31.396199	2013-08-04 18:17:35.692052	238		0
23093	102byyguvjchum0mi1k35i8eip	$2a$07$zx2Yy7Vj0SD6KxkN.3Y1f.tI0.JDVqITaOGdPygc0iAZH.dU/Xa0q	119	2013-08-04 18:16:31.417698	2013-08-04 18:17:35.824889	238		0
23094	10k57npztvuxmdalsw95vwh9f4	$2a$07$KO0U57q2wWHpZnI1snDSoeVRIOaygTOJvhqK4UNBYbgPjtYJsGqjO	120	2013-08-04 18:16:31.439463	2013-08-04 18:17:35.973806	238		0
23095	10ji2k1156sigcaiv7b5rnxyiw	$2a$07$TNUNkxnCJXPE6KDGThYI2OYvnBKZj41K3RLoh2s3H4sfs4jS.V2im	121	2013-08-04 18:16:31.463087	2013-08-04 18:17:38.803183	238		0
23096	109sl3ljge37xomw8m0ltv02xk	$2a$07$XPyY/bo5DLRqAg33BTs5yO5oMoGcLR3oWxvvd5.L4fWyZ3uadIw/y	122	2013-08-04 18:16:31.486983	2013-08-04 18:17:41.422583	238		0
23097	10c0p034bweofnfvwp6zjscdkz	$2a$07$hAbmG2aUCY/N/xYbvbn1xuFJuZOcqTfMsMRdK9V5XsANfvEQcJy5C	123	2013-08-04 18:16:31.51094	2013-08-04 18:17:44.103672	238		0
23098	10nikpbhzbxz6267o0fhz7dfn1	$2a$07$9d8IqghTLic.b8BXGjh4heNYpIE0MAsPhMFOjNq8KPmRzLRVFlBg6	124	2013-08-04 18:16:31.533315	2013-08-04 18:17:47.114547	238		0
23099	10102vvpwjszaopsh4q6k1tupr	$2a$07$S1Ch5EFxOgweLvSOzb80cu8KzTya.EQKJZpMjdOSGok0MrSu3FAJu	125	2013-08-04 18:16:31.555958	2013-08-04 18:17:47.517469	238		0
23100	10m9rjnq940nwh5kdb97fq0ext	$2a$07$xovqlJK4EKVgbUlpWa3hBewUgqt/5VZpgWcKBxWP7sLOQ1BpARylO	126	2013-08-04 18:16:31.579455	2013-08-04 18:17:47.913	238		0
23101	10fpzv6yufxfcj4eozxkblqrju	$2a$07$5687cXhzJlgsfq4qAGrcDeNqImyhmLVzaJLyC6noOzleW9XJz371e	1	2013-08-04 18:21:28.078949	2013-08-04 18:21:31.232034	239		0
23102	10im4ggfwb4kenln8t769dnopv	$2a$07$qWerNURUjRj78gAfJ1kPyOWLJettjPVgh1YClCSS.8v.GMW08QwgW	2	2013-08-04 18:21:28.101974	2013-08-04 18:21:31.402188	239		0
23103	109ocdh99diarls68ncrdwbz5s	$2a$07$yB17nWvae93IowwppZoBYegFtotRYdDrD4dwuSTD3ZGSQ2tYUY09G	3	2013-08-04 18:21:28.124061	2013-08-04 18:21:31.546908	239		0
23104	10svkbfdnp0hz87w9fha40w7od	$2a$07$wCOEPxyO6fH3FeK.Ju.r4.RmWhJfr2D8IP4bI65uUPaZf9FBzoNuG	4	2013-08-04 18:21:28.147504	2013-08-04 18:21:31.660101	239		0
23105	10ck7efk9iutwepxyph2057kpx	$2a$07$RWdebV9vDphyeZJfO8cEZ.d2OrWsrIL49x3Wy6BHaj59e9tvRA0Cq	5	2013-08-04 18:21:28.169572	2013-08-04 18:21:31.793469	239		0
23106	103tyw4xh6hsipq58s6m3rs5jq	$2a$07$34nQnU4TkszcOAKaC0Yw/uuf8aRWz/lGjCbxaeqFvgpLVPBz1oSqq	6	2013-08-04 18:21:28.191269	2013-08-04 18:21:31.938861	239		0
23107	10tzcb5r16a7trbzjohuznaj0x	$2a$07$.YJ9iooKnu44AoNzW8vb3.iOflY0JCJGY9LFDOTWV2Nv/Bf6sVpRK	7	2013-08-04 18:21:28.212997	2013-08-04 18:21:32.086515	239		0
23108	10bst3pi0l6vk8hli4omqpe4sg	$2a$07$oGqakDVUBU88f9.t7Lw3Sel4a6TyO7C1G3cUXuSzQ/L3d.t3rfLiW	8	2013-08-04 18:21:28.234504	2013-08-04 18:21:32.208744	239		0
23109	104a1tf6f9cmhv08zigs8ebwq3	$2a$07$.VL3XuTKixMPEwBdr8/RmOBd4nnuqk.2CbKGZ4c/MNbfpaYrfmt.u	9	2013-08-04 18:21:28.256113	2013-08-04 18:21:32.333167	239		0
23110	10e0ypcl0ft4mrhieglp3dvu7a	$2a$07$uuLJOODSD1WWaVii818LO..1pCGKoUfS5Ve2FR5UOR/pUsym2eqaK	10	2013-08-04 18:21:28.278216	2013-08-04 18:21:32.472148	239		0
23111	10k7ip34k02jjd1b00i5nekpez	$2a$07$IH2Vrp.i5URT87TcD.t5muSSnFpM6FRdRMkfQ0VB9gB5edugc3nN6	11	2013-08-04 18:21:28.30156	2013-08-04 18:21:32.592137	239		0
23112	10uplk4yv0c5cnzpdxjhf18k3c	$2a$07$ClPcwwbrJWK9oDLAKu9vHuIT5miR5TgvEdAdA6BWlmlBK.lKwyq8a	12	2013-08-04 18:21:28.324186	2013-08-04 18:21:32.719086	239		0
23113	10kou1hig0ullskfuymjzp0scf	$2a$07$XK0EaW2SNITLai4xvRrGwepRPk/SUzXG3w.ITngEefc9mfMI/AhpG	13	2013-08-04 18:21:28.345994	2013-08-04 18:21:32.913831	239		0
23114	10xsisntkv92wr6nq4rcnac1at	$2a$07$ZAt4/auKwGMtxXOuWa3tG.nhr9YsURnQQVOwPyWrn/5LBXdPPCc/u	14	2013-08-04 18:21:28.370524	2013-08-04 18:21:33.048099	239		0
23115	10twqqb9a3pqmsx2v0nclt7d06	$2a$07$jWkcZbO89lu4voclcsTDN.8c03mq1F1Vr2Cylys2CAZYsbaalBewy	15	2013-08-04 18:21:28.393927	2013-08-04 18:21:33.187535	239		0
23116	10vvxe8k9vnabxf1qu9oh5ix5y	$2a$07$iJC2neUaXmVfBe3SPD91wOKEeeCVHf2Id5BKKfSjuQ2W6Qt1adTLu	16	2013-08-04 18:21:28.415582	2013-08-04 18:21:33.316325	239		0
23117	10rnkf2ektxhh72wmd2c6uwjui	$2a$07$G74PWB7IvuBHnq7bDDbk3erLEaSNDruAKf5uUEmdiJ/uDgaOs1kOi	17	2013-08-04 18:21:28.438167	2013-08-04 18:21:33.461071	239		0
23118	10jqha4o9jpms4s8qwooqdqssk	$2a$07$w7qqZhz/Apb1JsX0KRIgYu54W7ODpBy7tLA3GzniBhkrM8DNShZWq	18	2013-08-04 18:21:28.459788	2013-08-04 18:21:33.604082	239		0
23119	105i5aaxjw6xxowiygpr1a8m49	$2a$07$Jdfo8hkDTThdEBp5yYkAQ.otgrUujqyFI.KlzcttKKBPlG8WhRc2y	19	2013-08-04 18:21:28.481407	2013-08-04 18:21:33.723855	239		0
23120	103r0vit9fq50xvktj4obbh7tu	$2a$07$.zJ.edRXHzK9645XHg.fa.90M5OzMZBUpIfFVWU9HK0BGAXjaGVrK	20	2013-08-04 18:21:28.503314	2013-08-04 18:21:33.850048	239		0
23121	10abewx3m15b9pbr1x86qnkqk3	$2a$07$YOFpRKl/ks3TyscE.DoP4.ix1tM9DL1COyS9L0xzP5vPR.hz7H.ru	21	2013-08-04 18:21:28.524955	2013-08-04 18:21:34.013986	239		0
23122	10u994qxwzj4hx9o8agcbv58nx	$2a$07$y1xezLTX1C2IXh.RF3bFmOzMo.kNBFOQ.s6NZ/9zjhcMP7UaaCCdW	22	2013-08-04 18:21:28.54807	2013-08-04 18:21:34.142453	239		0
23123	10849ccctgl6ityj0rcwasodpb	$2a$07$q05yUBcAOhGHoxWn7giC2.Gz74cqqmxtW4uxCKj7VlHWIw.ksrRSC	23	2013-08-04 18:21:28.579028	2013-08-04 18:21:34.274629	239		0
23124	10pvijybn6frlu6g24azrvv1fg	$2a$07$flVgXewvRuLY06uh36c5OuwKaPYKmWX/Gun48Bbw1.sv5BgaJFQFu	24	2013-08-04 18:21:28.601633	2013-08-04 18:21:34.40121	239		0
23125	10a0dagegjlvbnnxj1wpraw8tc	$2a$07$cCXoHFB33OWn01EiYTvkhe.J8gsqdlYdZfj7Iu8sCn//NapR.tHo2	25	2013-08-04 18:21:28.623457	2013-08-04 18:21:37.18871	239		0
23126	10l2igkj24y8hug43da3sk4ydv	$2a$07$7JeyGYiqqZp6luY0KlEun.MzJmUHuCN3rR3Olp.l2hBuKROYIBxiC	26	2013-08-04 18:21:28.646999	2013-08-04 18:21:39.995328	239		0
23127	10o6uzy5gwp2h3acuzxpd1w57q	$2a$07$VFHugn6bw.bNqGsF2C7rJ.ht6Zgl4KGEMKbH8SldXtIcg1hZBeQfi	27	2013-08-04 18:21:28.674083	2013-08-04 18:21:42.728986	239		0
23128	10uzjecuqvbmuhdw66x4fltgv4	$2a$07$90u6vAo8CwhVuowO08X9.ugemeeUYj0XBbAKSURqQ3tA3jnE.AaGy	28	2013-08-04 18:21:28.708582	2013-08-04 18:21:42.857108	239		0
23129	10jivmjzulr1nrj9ecjbklkmby	$2a$07$pArq3bVd86fRAPpHFX6Mq.2v8A.h/oMi8z0zPdmyAFRQOTAAfbpGm	29	2013-08-04 18:21:28.738242	2013-08-04 18:21:42.977106	239		0
23130	10x7h59ixd1xj01zimpbxb9jbh	$2a$07$IeFHzKdWWTrCASEtd4zLTuLV9PpTUrY.H.iJ3Sho0ZPqufKcnwrqq	30	2013-08-04 18:21:28.768879	2013-08-04 18:21:43.090878	239		0
23131	10x5yxgbgs09idroa355v172zt	$2a$07$8tfcnuXzkKJE5oSVjamtseqcD0t7Y8GgpMfByJf5XpAdPDcgbluZ6	31	2013-08-04 18:21:28.791926	2013-08-04 18:21:43.224677	239		0
23132	105opf34s6r1w2xrqar23slmhu	$2a$07$oMKhDCiPhCuWp4BD4DN93uolMmmyEoEziqb1k0w6EagTnsP4/E0Cy	32	2013-08-04 18:21:28.81358	2013-08-04 18:21:43.32609	239		0
23133	10awg1muh6fdb95qd5qg58oonw	$2a$07$VHVOP.mJ15HMwjdNFC5LWuOZY1KzdI/c38/aD9QVS03/jpmyHcwpu	33	2013-08-04 18:21:28.835216	2013-08-04 18:21:43.453057	239		0
23134	10ru3j6j5demn89jvj58zawge4	$2a$07$RZ.uqSgIFDHc8eDUnwJ11e0sYWl889ZhFQGhepwKQK7C/yOt8r6TS	34	2013-08-04 18:21:28.864533	2013-08-04 18:21:43.611154	239		0
23135	100mybqjsnhepu1co114y4wknw	$2a$07$Vji0O40u5JmKmS2mUqIB4uIj4Tx9AeWF1qYB9vo9w/xVYtcm04Z06	35	2013-08-04 18:21:28.888099	2013-08-04 18:21:43.805549	239		0
23136	10w5zpcbjeu2ndza46k2l90xnk	$2a$07$mkVuBZNqmUy4R8vzUBqQBufsoL5DUK3O776.OYHpNUuDqsWfnP98W	36	2013-08-04 18:21:28.914531	2013-08-04 18:21:43.948336	239		0
23137	10anhubrblty8ezr2e1n43t513	$2a$07$ZsqJ13yWc3f4zNkNgTq4cubgTdHqanYlYdDtbcEFWvDAfwJB2Tyy6	37	2013-08-04 18:21:28.939478	2013-08-04 18:21:44.048836	239		0
23138	101kbzvf77c3q43wpd9g11tor9	$2a$07$OnvzRe0gcklbQH9evb.n/uE2ngszg8B1AfpIkOH4o0ryp2Hacbvw.	38	2013-08-04 18:21:28.962502	2013-08-04 18:21:44.159285	239		0
23139	10zp6l5ym8qbutr9rzw9dc3sbw	$2a$07$qmqXEGI/pJ34p8eZoayuOeeIVLrDpS8B8BNVP.C99DqSCGG9BbMuS	39	2013-08-04 18:21:28.984643	2013-08-04 18:21:44.263221	239		0
23140	10welqdhkzvr3qngaatame6pza	$2a$07$rzmAdXVTyX8quNV34ut6UeIfH8YN0IWniNENy2xegbNscaI0e9eXO	40	2013-08-04 18:21:29.007971	2013-08-04 18:21:44.35541	239		0
23141	10le4iap0tas2pvohe7s8gomr5	$2a$07$.jwqH3uJQgM1ueeGEI/ZqewLqtPsKv2HYIC34Ok1.eWAAH2XOhK1K	41	2013-08-04 18:21:29.030554	2013-08-04 18:21:44.470245	239		0
23142	101ugz2kq6965opz7dfdf1r7bd	$2a$07$XeSGJOX.gvHoTqS7MSMdo.w5bPHJI2yAToWpd4KOaVoxtjcCT1YqK	42	2013-08-04 18:21:29.052418	2013-08-04 18:21:44.577456	239		0
23143	106m76wdnvdmy66v4k1qab8iaw	$2a$07$Ofs2EGcG9meXr/qiJNac/ua0pU2upmA8rXQIuLXYLdrlEzkI1HodS	43	2013-08-04 18:21:29.073955	2013-08-04 18:21:44.720715	239		0
23144	10zvxmrwruo5fs680qulna9etk	$2a$07$0heF59/ZjD7UAbFmZhSFtOYj1cY/A5bBWr5shh1MD5TJXNaHPtOUS	44	2013-08-04 18:21:29.095394	2013-08-04 18:21:44.874401	239		0
23145	10zz2mbuzklpq1o7u8bugcu4ku	$2a$07$vsxYjvyIuR7Zxy0yRQhmf.3Aqpa4FCe5/YCbxBXx4Bxzm.CtfhLk2	45	2013-08-04 18:21:29.116902	2013-08-04 18:21:45.012232	239		0
23146	1032jpvvbcpj48v7jvwssw76pf	$2a$07$CqOmFTjb4hy5TCQ17PACB.2q8ZPrATO1Ql6bI1OrKvk12kKC3j.2O	46	2013-08-04 18:21:29.138396	2013-08-04 18:21:45.121746	239		0
23147	107mr6qn8ddpguuzxetskuxtxu	$2a$07$DBUwq508LnDKbwlu5W4y1ecp8MYGBR67WHFumxxRloGYbOUc67MKG	47	2013-08-04 18:21:29.16001	2013-08-04 18:21:45.237269	239		0
23148	10qps7mogzpq8jdvce6qn6b2k1	$2a$07$o263Yt.ynKwggAnTjARvg.xmpjDeEaMWQHxBQmGNIKsOJoZqYkzE2	48	2013-08-04 18:21:29.181798	2013-08-04 18:21:45.373909	239		0
23149	107dmvxsfw7pb01sqjzau43qgr	$2a$07$c.P5HyZnn7LdU9/.7L.5Z.OU36QsliEqSbwk6psCqLWgt7hp39AqC	49	2013-08-04 18:21:29.203504	2013-08-04 18:21:45.518246	239		0
23150	10urlrlpem5rliunqbbe075fhx	$2a$07$WNOGlVRzDZPrxW3ivBhim.HzS514i29t5NOynpYI12RwEvJIKT3ZG	50	2013-08-04 18:21:29.227971	2013-08-04 18:21:45.671461	239		0
23151	105yko1aaql11492ngebfiqqnn	$2a$07$R6jotBw2ULBrWUPmgGfeEeh8Ks6C8tr8AjLsdI.vzjyEXiwCxg8V6	51	2013-08-04 18:21:29.252976	2013-08-04 18:21:45.899891	239		0
23152	10pd4a7hw4u02jzbap6eyovzi1	$2a$07$Ap4A0jjeNQhzDzUQIHbyP.m9IuOAJPm3CTylom0rTAlYKAgyNy0Mi	52	2013-08-04 18:21:29.275631	2013-08-04 18:21:46.043517	239		0
23153	108np7dalgwq441m6s1f2bleek	$2a$07$yZxeG8nDLqxEc5Iw.MgV/OFLd3uiDwcl2cvpUfYfRKsLvOTTT4DjG	53	2013-08-04 18:21:29.298252	2013-08-04 18:21:46.16437	239		0
23154	10bx0upw0i34iht6a8t81rc565	$2a$07$AbHKdiGQbRkUrfF3HgY5nOgGeWi/oERaO8IaalJTAF76y1H3/rX6m	54	2013-08-04 18:21:29.32033	2013-08-04 18:21:46.294659	239		0
23155	10qs0f5hfr4vfm3gb98n7456us	$2a$07$sNcs1RyQASi3hNuemZxQEes0yHvchk6nVa44Q9BuvVQCQK4FILKne	55	2013-08-04 18:21:29.343547	2013-08-04 18:21:46.437157	239		0
23156	10mobek6ol5nx8tajukkdieuet	$2a$07$a4lb.9ASSJlhrVYZ8HhPXOoLaVvy/r524theNR1TtkLC5ZYXVS7vW	56	2013-08-04 18:21:29.371467	2013-08-04 18:21:46.578231	239		0
23157	10wwz9dsbupgndjfkyixvysv7m	$2a$07$dHs0T3as0nAwlq14LmnDyOyOmFGcyA90pKY6YXfbedd/u1EE9Jada	57	2013-08-04 18:21:29.396112	2013-08-04 18:21:46.715592	239		0
23158	102lyq2jwpgedv8qeuy6hug3qc	$2a$07$LwfyaWlEJCFjoFZAhYyepeDQKMlUoAt8DL11vzjz0QahcDrZ1UFxa	58	2013-08-04 18:21:29.421519	2013-08-04 18:21:47.705163	239		0
23159	10w9hb7s8ve007rbl8oskzf07r	$2a$07$/nAamPgUxa0bCXonRLcPGON83lOEp1gKjPDLB/fsI8KNHxjdE829y	59	2013-08-04 18:21:29.4507	2013-08-04 18:21:48.733554	239		0
23160	108cc1epnabei7te41sjbk65sb	$2a$07$NVpyoIE4HZn6UM.BChillOj0MPLqhvoTJVlWmTb8p1cViUztgGZae	60	2013-08-04 18:21:29.472513	2013-08-04 18:21:49.854962	239		0
23161	108m155r3cv2vfyerztddpaor9	$2a$07$GmA3QkwwwSM0RpURX6Z7EuBRp2an4Ex8JgD6pCJ5vKaOFUa7Qgzce	61	2013-08-04 18:21:29.495131	2013-08-04 18:21:52.456631	239		0
23162	106lobkt8p2vj86r0vkj4muohq	$2a$07$M0fVd51n23j1TtXjR5THeeu4g1VM6ThNcSj3nFPyg.pLXMOQzV3x2	62	2013-08-04 18:21:29.518196	2013-08-04 18:21:55.487989	239		0
23163	10w9g7fme3ng493nwcirigyqmj	$2a$07$tZTRjHACqnFnz.rQlyT6TeCk8wJbEg8ADUURzuvLcff8ldnppM.lG	63	2013-08-04 18:21:29.551535	2013-08-04 18:21:58.453079	239		0
23164	106g125sk0ti3xkfqsl27e6yyz	$2a$07$VQIB3qAPYeuN/2ZEaIVaI.fF8DRvGM8Jbc3bLP7NIoBlC7.iWSQfW	64	2013-08-04 18:21:29.577487	2013-08-04 18:21:58.588996	239		0
23165	109axda9f0xiupjnt9wvnbmoah	$2a$07$OE2tdAUr2.O24Hyw/s7XVeI48rnPqbIc25clTP.5mjrJfk/fwppSe	65	2013-08-04 18:21:29.602003	2013-08-04 18:21:58.723758	239		0
23166	10m0x3mkc6vo2wsvmzv5i5j07y	$2a$07$Uvey5jDk7.Gm9xc9K0w1k.ShYV8FKL5JFBERam/Hdesf/7FfYa6te	66	2013-08-04 18:21:29.627649	2013-08-04 18:21:58.852966	239		0
23167	10wwl3jhbkj4k5vqkg4g492lul	$2a$07$Xt1E.EP13ay14TIFQLq9v.7I0mIM00pbsOmEcAcFZBKPHrTOUBHqS	67	2013-08-04 18:21:29.654808	2013-08-04 18:21:59.075413	239		0
23168	109cpkljniimff7siru3fzbyd2	$2a$07$lyTBsn4PsMG4seFT/GQPH.HfmgaT1t515PW47aGRq7ISOlS1w3Cla	68	2013-08-04 18:21:29.678864	2013-08-04 18:21:59.206077	239		0
23169	10kih86a388nbhubwrc7sr36hu	$2a$07$50dAtjtnvqqW4Awekz22Jeg94SPixoE.LG8jr6hsYCcbS0Tb7aLkO	69	2013-08-04 18:21:29.702204	2013-08-04 18:21:59.351858	239		0
23170	10j41j7cy9qmanhu0mrkkeylp7	$2a$07$Hf1ziTXqK8OjLYM6ZVMMieL8R26DlEDmPjpehX3n9PpQMmBbbcQaW	70	2013-08-04 18:21:29.730213	2013-08-04 18:21:59.497368	239		0
23171	107yco1xh8t6tz4mxbeeej2z9g	$2a$07$ObLGXWrZH4vAoNdMgKF3CuE3MJNLSCncHZfYbqosYQMWcHujT4Q2i	71	2013-08-04 18:21:29.759247	2013-08-04 18:21:59.606006	239		0
23172	10qsog6jesiqsogdyfm014p0cp	$2a$07$uZ1bszMatCBGnkPZuaPe9.uCp3u/36jvOe2D/vqoiiFFQiMdlQgre	72	2013-08-04 18:21:29.793096	2013-08-04 18:22:02.474743	239		0
23173	10eecl9yl91qn1efk9ihp39fr0	$2a$07$dNDFXxNxfPxCi4H/avTvguzY1WU8lmgX.VQ21armKsz5dn5uwQXuS	73	2013-08-04 18:21:29.823894	2013-08-04 18:22:02.657702	239		0
23174	10vsjiqa4sshj607yrodb3w486	$2a$07$JkosVTxHZoizEknLTMWN3OQUbRARoliSpkZtbFTx2x4H3gp.83MTW	74	2013-08-04 18:21:29.852532	2013-08-04 18:22:02.785065	239		0
23175	101s3t7lwld0rk6keu4hd3au5z	$2a$07$vQ8P3M.e2a.4PFaZPYUBNeoMdgF10/heUMTb23BAia49fJ6BdgyKa	75	2013-08-04 18:21:29.873907	2013-08-04 18:22:02.922527	239		0
23176	10i433w50ifs440kxuh9a976xa	$2a$07$.UFgSDb2eknXOS1hIeIP2eInG6JXjKRlMAXUoIXmnSwGXi73EqeIC	76	2013-08-04 18:21:29.89652	2013-08-04 18:22:03.033446	239		0
23177	10l36v1r3gt1ctxifita56cxpi	$2a$07$hVhOyyEanLkRCEsEvhqCHuOGgadfGf7BzjIcNOr2.h1houZ2wF1Dm	77	2013-08-04 18:21:29.920263	2013-08-04 18:22:03.145387	239		0
23178	10afee3ka3rycaejtzhdm9ne12	$2a$07$Im4vaAZUsWtWxYE51kAGqO7GzDHNn9/ibEKYi9Zn0M5Z8BbkNccGS	78	2013-08-04 18:21:29.942058	2013-08-04 18:22:03.263864	239		0
23179	107707pec18zj401brezj345y5	$2a$07$3hGyQbzr3GJ1GKyV0kjYWeUf3hN9xBp.MQundrIXV2DpDePXrj7ju	79	2013-08-04 18:21:29.965279	2013-08-04 18:22:03.406949	239		0
23180	10ke36lh6z4oytiz15l2f8dxt1	$2a$07$BdR44byncsZXwjJtuuIg0uM6x/ekMAsRRrVi/prb2sjgl44JGa3PW	80	2013-08-04 18:21:29.988753	2013-08-04 18:22:03.550245	239		0
23181	10xyewaf0cv8zn9v74q01eu406	$2a$07$/SGqBBE5MAqN/L1E.QdImeZudapQoOBuaOOBLtnqwWFDLsE7F580i	81	2013-08-04 18:21:30.010399	2013-08-04 18:22:03.703764	239		0
23182	10vmu4xdjhjw3gfb5fdciuq0p7	$2a$07$Jx0wbIRjdQtAW2gcKSY5POJ7rdrfiNa58qoWgBTR7WZHWHvJNq5Zi	82	2013-08-04 18:21:30.031968	2013-08-04 18:22:03.848701	239		0
23183	10plyppd9s1fng3wd1h3t1ue6i	$2a$07$g3mV6e4osBlXys6/cCQF2ejFup0irbhf1ZyEMMfXDGd7jFI6o7B6a	83	2013-08-04 18:21:30.053708	2013-08-04 18:22:05.062414	239		0
23184	10tv01du9smcpz8wsov9caps5q	$2a$07$8bXqN2TAfZc7aAt8ARR3hOGCg5okf5Fwe/27iQZREY5wE1vYOx4E.	84	2013-08-04 18:21:30.075129	2013-08-04 18:22:07.681648	239		0
23185	10vxf4s3uru518zy8ornqd2dh4	$2a$07$SVtcCyjFjuRuyQI5U8LhxuyNdTSxsbtvEklt3gfSW9ChcGxHXGqTq	85	2013-08-04 18:21:30.09667	2013-08-04 18:22:07.827957	239		0
23186	10jzejxashu8q7dten45otrhlj	$2a$07$x5ga1iAc6Zu9mgrzyxgWkeLogihBeJR8IxXYKqaCw02RV72KeNzdO	86	2013-08-04 18:21:30.118433	2013-08-04 18:22:07.932126	239		0
23187	10qqly61yc59ndgu3ssfpb9xce	$2a$07$oqPB/B1WJPWc6WBMVxNjhuFIP4R1OLQkk091tlrEIFKeiCpKx/962	87	2013-08-04 18:21:30.13984	2013-08-04 18:22:08.053378	239		0
23188	10h6j3n38hr7p1jmocjhtc5jgv	$2a$07$HrJzmR2Q/oC9O3fV2CGcQOHhTZwBuDNheGSA2M4OdD/H/LdRFUr0a	88	2013-08-04 18:21:30.161341	2013-08-04 18:22:08.196431	239		0
23189	10aunaf40nfm3yivvcx89bnrke	$2a$07$QtFLvAU7HdGovtX9QPCPEeIspFWE8D67SGvA5oSUZFd44EA9FQLva	89	2013-08-04 18:21:30.182929	2013-08-04 18:22:08.428822	239		0
23190	104xy5zy3kbx95e86bdsl2ta1v	$2a$07$PRDoRm/oW/vEyAw8761Za.SoTnMDTs3Ea.l8p5ARubQ8vfwpg3pQW	90	2013-08-04 18:21:30.204622	2013-08-04 18:22:08.579316	239		0
23191	10s64v93jhlltwuhrkv7otjwwi	$2a$07$1.LP.Nc/AdQmw7tOOG6McOBGZNA3wTeLKkx/syJT//8IaQAFALjyu	91	2013-08-04 18:21:30.227352	2013-08-04 18:22:08.726734	239		0
23192	10ncdyifg02lapfpjfop8f8ewp	$2a$07$No9isMxWGqcl2b11T0Yk/uV5yBWOE.KWuZE6ku8aagA7NWo/YmxIi	92	2013-08-04 18:21:30.249008	2013-08-04 18:22:08.853969	239		0
23193	10nnvdvt2hne8g4y1b5b3rtf2x	$2a$07$uNYolZahVfXhKnHpXespv.umSjotxHjJt0NYK/iJWv0/caRsg7b62	93	2013-08-04 18:21:30.270336	2013-08-04 18:22:08.978951	239		0
23194	10y8zd8h784w518utrxtspaz29	$2a$07$7jlPi40rAG1lvSy9fEjFc.rnupNktQEAgAM16RDzjK1tcz2b8Kba2	94	2013-08-04 18:21:30.291899	2013-08-04 18:22:09.093863	239		0
23195	10icdqj37i9w1k6q9znmt39jgu	$2a$07$AyTt.FjvyohidaDlk69CQeQBExGBLaYadRBYNNxHnHF/nJ.5tJhj.	95	2013-08-04 18:21:30.313367	2013-08-04 18:22:09.238223	239		0
23196	105wdz4ptkjs05sp5p0yngqbxc	$2a$07$/ICB6.ZyTmv1Nd3/MkBKOufbvc7L2ribi4nr.V9iEd7JbXezFFAgG	96	2013-08-04 18:21:30.334936	2013-08-04 18:22:09.361084	239		0
23197	10v1hikbep0x2ngt5n8n4rhay9	$2a$07$l5EV.kk.CkOc.wGdJhB5y.5hc3qz3LE9WjMw9VAV1XGEdJUyEYrmi	97	2013-08-04 18:21:30.356255	2013-08-04 18:22:09.491311	239		0
23198	10250sfdc8a6tflqk6wde3o204	$2a$07$EKvH/NCtO4Nfx9344.oUQu1eaiR92tStev83QG2okspEyFdKCsWsW	98	2013-08-04 18:21:30.378496	2013-08-04 18:22:09.631707	239		0
23199	10wbxrwdy5ij9gq45o0c8yszv8	$2a$07$c6BB2iGTCzSbA9D/2C3L3evfliHtCPMs/eoUG8aP9hDplamenZpT6	99	2013-08-04 18:21:30.401639	2013-08-04 18:22:09.785467	239		0
23200	10u08v7eclj0i6gx99l2ftmbpq	$2a$07$bldS1zy.ZXyC3tkVy/zY7uDkdNIqvu5wQqLo5.MkMt4YjtStLyNkO	100	2013-08-04 18:21:30.437768	2013-08-04 18:22:09.942295	239		0
23201	10uphlec5v01wp9h4p6odmsspu	$2a$07$b/C/xpgJFsNtwFjlyJHehuEWWlLzSu5I9ffCOsBm2Kh6eHYolJfrm	101	2013-08-04 18:21:30.468157	2013-08-04 18:22:12.702568	239		0
23202	10nc3v8wlzbwj0ck3sm6bmcusy	$2a$07$rZ32fj9kKp.P5EzwyaCoYubJoeTnQ8WYssfXpFLIF2Ko0yTaG3feO	102	2013-08-04 18:21:30.500474	2013-08-04 18:22:15.739138	239		0
23203	102f9n522sstmhygrhaynajmcz	$2a$07$l1NLWyeHl/TWR5dEDRgRqO1dv3lktevtHRkSfXcQ/46uuLR4t946S	103	2013-08-04 18:21:30.521906	2013-08-04 18:22:15.934668	239		0
23204	10pht080q0cjmqgwl75sxsghp4	$2a$07$/oNWumxKfAQLbYW/.7eL3OZ/9gGtlq8lWruQZYl4K58k5mTfF75Ou	104	2013-08-04 18:21:30.543428	2013-08-04 18:22:16.077137	239		0
23205	10g61565igqshcxrggvvc6tdnc	$2a$07$sAaqHKhrT./KHPx0UlJ9t.FowfzAWBKAhS6jN1FB8hysy/t53O6IG	105	2013-08-04 18:21:30.564765	2013-08-04 18:22:16.191471	239		0
23206	10b3spmwybocd56pxvmsmarl9e	$2a$07$7g9uvQESIQi/sS261CUA9.UDPTKo1jsBEVpbX.Fz7.R27qAC2ndpS	106	2013-08-04 18:21:30.586183	2013-08-04 18:22:16.309253	239		0
23207	10n9wsc8frfwautm6ajkm69tvr	$2a$07$/y0SnFOzcQz1iUisUxCgIua1.jCsliN4oTrSZbIc2O8z0lN3fsShC	107	2013-08-04 18:21:30.609476	2013-08-04 18:22:16.453921	239		0
23208	10o15x7p2ajmpof469f3aa41y1	$2a$07$iHaaH4ERIHM8y6nWeRahrOjjaf2H00ipTT1BgFSXLHmvEHiZRVaOq	108	2013-08-04 18:21:30.633375	2013-08-04 18:22:16.59007	239		0
23209	10dhju7cumlnp9wu4mfywxjirg	$2a$07$63x.edSRcMRE.k.iP3GeSOg0WVBLLf9zJed5iUk3ZQabeLYlDZ2DW	109	2013-08-04 18:21:30.655932	2013-08-04 18:22:16.733357	239		0
23210	1072titnwd22lmkfkrmk03q7oy	$2a$07$DC2RiogvjdFEf8aJd.Sar.wmg5XxT22tO5bQlr7xk/L8aYRG2uUki	110	2013-08-04 18:21:30.679965	2013-08-04 18:22:16.871446	239		0
23211	10hnmbzth6rku9qlsqwpcogp64	$2a$07$BHL.7ehdxV7vtdzDeGTTsek2MkSjSg8HBmfnZkFpNDu//Yqbzz93G	111	2013-08-04 18:21:30.701598	2013-08-04 18:22:17.009909	239		0
23212	10phplgskcwikdjgjssapwet6e	$2a$07$CkUKEW6Rv2mOgsz2GL7pK.Dm0YM.gpMtxg8npH3zy11LXI/d2YsBW	112	2013-08-04 18:21:30.724111	2013-08-04 18:22:17.129253	239		0
23213	10py2o08isck8k4bnrblsyoja8	$2a$07$sKv7ga6vasU7JYrPStGc6eHFMk0hJkUKE7/mqBtCvHolAKEpoyndO	113	2013-08-04 18:21:30.745592	2013-08-04 18:22:17.254664	239		0
23214	10n570tzfw23pbhnxey73s7vmq	$2a$07$OHJvyTSgKlbHIFaV1R.hgeYmcWdsGgVrI1tQYUfkPB5BwAL5XgDBm	114	2013-08-04 18:21:30.767344	2013-08-04 18:22:17.380809	239		0
23215	10m25b3du5flyr3ysjog2jqqj5	$2a$07$1V1i1T9LpfvndKiMdUAEpey.pm5ytHkUcA8q.XcmaRL9J6/lYsQg2	115	2013-08-04 18:21:30.798583	2013-08-04 18:22:17.571265	239		0
23216	1011t89gpc4di70pdh06k7lxs0	$2a$07$m2BJYM2HnzWhHEr3YDmgAuZmmzMvPSG8eyq1Iui/9XMoPMrXVXs2C	116	2013-08-04 18:21:30.821845	2013-08-04 18:22:17.694646	239		0
23217	102kyfhlekzbl6gg3ryjz0oe06	$2a$07$n9HDOV/gB92j2r33kFtgbO.ajRNbT2h8Ax2jXCQpcs9THf1rXjdya	117	2013-08-04 18:21:30.844866	2013-08-04 18:22:17.927075	239		0
23218	10tj6rca231e3v6pyy1ojdn8nz	$2a$07$5Y7QjzvBemq9dkATN7/ldOLNj37igYbmMYcqaGGiwLXh/1FRw8192	118	2013-08-04 18:21:30.873654	2013-08-04 18:22:18.143912	239		0
23219	10en4nh249s8lf5ygn90fhdcgi	$2a$07$OxC7eGRPDcaiiKm4mseYfO0dAcZDDx6PVU4PefjbusOn6DNhaahSy	119	2013-08-04 18:21:30.895704	2013-08-04 18:22:18.286916	239		0
23220	10r6x41pa5lvkzdrzhniif5tpj	$2a$07$rapHyaRVRDzoHfrwUs0Oy.szztz3MlWXze9cfr/gLltIXd14d6S5O	120	2013-08-04 18:21:30.919062	2013-08-04 18:22:18.425011	239		0
23221	10xu03ib0m4dst1are6pv1y1rh	$2a$07$D1rBfRAcNj8HIY4OLMKiqes5YaOG85wfTWLMZY/nI4a0XRhdeSkUi	121	2013-08-04 18:21:30.942114	2013-08-04 18:22:19.463653	239		0
23222	10lc1ykl0bs5m94bc1twj1u323	$2a$07$OC5AtsbityNPx85awD8esOEHeWIc673CM121XmpIGTPrTLApHrYem	122	2013-08-04 18:21:30.965225	2013-08-04 18:22:20.703808	239		0
23223	1032b4mb6ufuh36pin5y1mhgrt	$2a$07$g9quDcKl.dqrqa5F4xwqpuZxScCuFuMWcQqk10zo.rxc75.crDtiW	123	2013-08-04 18:21:30.987309	2013-08-04 18:22:23.553352	239		0
23224	10m3uscp6fb3kixp3i1leyxla7	$2a$07$Om3CkBlUIH5wb1K324L2VO6/.nudeyW5thjQeAA8uMcBtCYb.Ubeu	124	2013-08-04 18:21:31.010872	2013-08-04 18:22:26.590176	239		0
23225	10wnzstvb8gcqzni5rddjn0vqn	$2a$07$h6cVJEK0G23Tt9zodL0so.VWSWuYltambj8qwtqZfQjscC6VU.e4S	125	2013-08-04 18:21:31.035401	2013-08-04 18:22:26.840066	239		0
23226	10v1a5qjueqwyr7rtaxo9umsm5	$2a$07$J0gZOnca4FcFuNbU3jF.2e1.Fr.kbHMk3ppl4ERotzxOwiOJD7SjO	126	2013-08-04 18:21:31.059311	2013-08-04 18:22:27.028054	239		0
23227	10h3j6c28tfq8q7w4ahnmbyamh	$2a$07$uwXr4Sjns9tlrfKSFgToEuDUh4AkpUYL993cfi/d.3k7EsTXmaIRu	1	2013-08-04 18:26:28.083211	2013-08-04 18:26:31.263164	240		0
23228	10kyqcdbxpxlsv6rzxg9sc8ua8	$2a$07$mY1DGEqmk4PccWG5pdmEM.0YWQ1KojRVR.l1rNO3ajyU355nXM65u	2	2013-08-04 18:26:28.107424	2013-08-04 18:26:31.396774	240		0
23229	104e5rvpvjm20dr4ei2m0yh3ii	$2a$07$Q3Ohn5I9V.rUrPFXMftPaepSL9DaORWbFfY.2qUmuogVsYmaUDity	3	2013-08-04 18:26:28.131458	2013-08-04 18:26:31.513341	240		0
23230	105tvn3341oz100b8axsbusipx	$2a$07$SQxncXk7KO3xhDL6/q2MvOzd.5GIdq28/SFHzmZRw0O2/O8mGEaW.	4	2013-08-04 18:26:28.170071	2013-08-04 18:26:31.657195	240		0
23231	103bd3ffev5ictgp9kc56bj1rh	$2a$07$ffX3bllH1jPgfoGHqDN7aus8xCXqUTMt0qFc94ZekJ1HVycWE4rRW	5	2013-08-04 18:26:28.191762	2013-08-04 18:26:31.800917	240		0
23232	10zeq7u3g48yu4st3xrob8m037	$2a$07$no/47i7cK2qvvbzr45ZFku5n7UPvMGLo6k17tTwpIodQbD9YoNXJu	6	2013-08-04 18:26:28.213461	2013-08-04 18:26:31.94419	240		0
23233	10juzppa5x7au24nwhimtd83pr	$2a$07$TOUlzCUradIcG9muPSpge.6P91LUruRdisXTVGTuoil3SOuHG8a0S	7	2013-08-04 18:26:28.235076	2013-08-04 18:26:32.072386	240		0
23234	10pg8a5u6ldng3ez95fuzgbt6h	$2a$07$jff26nQll1CqCiJ7s4HZt.8dc4x0NLi0MCRv1wEgoz.y5i480mdDW	8	2013-08-04 18:26:28.256752	2013-08-04 18:26:32.199682	240		0
23235	10n17wjv8w2t3q3ezq0k7lp80q	$2a$07$vbSOQjMTeTcF.UtVPym/xe0WnYcq.x0kjY.ZRGkK7fxD.g6IoQoCG	9	2013-08-04 18:26:28.278341	2013-08-04 18:26:32.322379	240		0
23236	10l7sgt6fovlubcsb4zafbktab	$2a$07$JH09vEJiHx7DfJ65FCdqleV2NZyVTyxWQdqr7bWTjXdMdCQigt1BS	10	2013-08-04 18:26:28.301477	2013-08-04 18:26:32.447775	240		0
23237	109v1cpt55cny218bl0zqojsef	$2a$07$QHl2OVCZAvMT6ycKUjEVAOqQBSbyo6djMfpSrd0KvtEaj4I9T7euG	11	2013-08-04 18:26:28.324835	2013-08-04 18:26:32.580569	240		0
23238	10bbcz6gku2x4pw64190o97dly	$2a$07$N5XoiPFxLx2o31gWuvWO7eT/pAYfeFVLcVyWU59luP9B.jT4mHHw.	12	2013-08-04 18:26:28.349234	2013-08-04 18:26:32.785784	240		0
23239	10mr2297i554yy9c2jp1tptoqw	$2a$07$e7aP7deBc9JEHh1r9dcBJ./wnYG97JQmAObB3gBRasHeGtE/iqkNS	13	2013-08-04 18:26:28.375824	2013-08-04 18:26:32.925082	240		0
23240	10ci78br0su5uaz2gv22z1ix4f	$2a$07$UGILPt0Uz6mNghQ1v6nWCO/..h9tLEtml7cxTFKxzUt.uO/2BNDeS	14	2013-08-04 18:26:28.408906	2013-08-04 18:26:33.062571	240		0
23241	10rofrpxcfpjr7kux25o1b5ryx	$2a$07$avA8L3/Ua3XAlvGiJV10LOIm3QP7iGWTykY6BRL7nXzrvjz9dC0Bu	15	2013-08-04 18:26:28.434229	2013-08-04 18:26:33.181816	240		0
23242	10qweygbe5iixrahg9u7muml1f	$2a$07$lMeXvXFGE2vlonaDsfsF3epWf0hSC2lvE6vdo4qDHZhqGy7x3Q4yi	16	2013-08-04 18:26:28.463996	2013-08-04 18:26:33.330333	240		0
23243	105cmo2fc24xkc35usfax5sigp	$2a$07$YIjND4frLGdvmL7nUB6JrOLPhBDKJ3iUGmw2V9f9GCsMMqz9959K.	17	2013-08-04 18:26:28.485801	2013-08-04 18:26:33.476563	240		0
23244	10f9vnvpp4vvm4b2lgwja6vkig	$2a$07$zieOPJkKFZbeQqZ.e7fQMufJ0jKPC.ssYqXEXCpv69W/XXuUhJWN2	18	2013-08-04 18:26:28.50877	2013-08-04 18:26:33.625199	240		0
23245	10dxkb2x2ukd9vziy999seyyq8	$2a$07$FfTK4fN9T9yplnTFGddycu/krvOdrV3BkWhUlhEStaft0xBA/EQJW	19	2013-08-04 18:26:28.54043	2013-08-04 18:26:33.842518	240		0
23246	10mbhaehgl02292mu9ly5oyrtv	$2a$07$FnC5Y7nYm6CGIsokpoiWHOiVnG9dHcwUjyA9nmFTvadEzi9DxomlK	20	2013-08-04 18:26:28.56533	2013-08-04 18:26:33.983454	240		0
23247	10byl5xqn9rfovw00rfy1d8sgl	$2a$07$.YOGX5OV/TDG5wWHNfe7S.P0JkKSxjGEBWKsnBfrhNTn3tDfdnzGC	21	2013-08-04 18:26:28.58722	2013-08-04 18:26:34.114669	240		0
23248	10m7orkyuzrsmxqugox0mlcmih	$2a$07$HcTeVXhjSYjAvbr1C/GQG.LzSxSDIVok0LAGJJh1Q/iEm.s6zZWRK	22	2013-08-04 18:26:28.609098	2013-08-04 18:26:34.262524	240		0
23249	10e9b7uvmvzgeb4cyzdenjuidt	$2a$07$L1MklQCd2.FKtD/h8TPY1O6n4JhR3AhToa55e/MUjJ1bGUG9Lbzam	23	2013-08-04 18:26:28.631265	2013-08-04 18:26:34.38816	240		0
23250	1090gevgj9y8rfzwiw3a2hp8cy	$2a$07$MiDHmPuQanWnKgVYwgtSwOwM2JkM89Ktm/jZF6IxIBzpxdRZ4SF.q	24	2013-08-04 18:26:28.65458	2013-08-04 18:26:34.576662	240		0
23251	10u8s2oy7qiqwnkd9y82jl7eu7	$2a$07$roUdejFALPsQLoVenGeyb.Aqezh9TzrUkaeaszTiQoQiPdEbZlIky	25	2013-08-04 18:26:28.679651	2013-08-04 18:26:35.832447	240		0
23252	10pnyhj41xfw3tguvvrp8lux1w	$2a$07$jQRSxOht9DdcxvrRprkrXOM5lWfpJ.PsY6VYrbvrYEhk/Kcfz5epe	26	2013-08-04 18:26:28.711708	2013-08-04 18:26:37.076431	240		0
23253	10ubd22o74tenjb6rmjv74a3c7	$2a$07$HuxYwqrheJJG/OdtNO4HFeKS4UcoNHx.rMb0vrlHKNbu0Yl59GkLG	27	2013-08-04 18:26:28.749308	2013-08-04 18:26:38.144454	240		0
23254	10mk7inp3dseak6kete61alwsa	$2a$07$8QF/ksFS97fPexFSHbRI/.e36.5Zvo9xtG.pVSjpDwF.dIDU7b/Zu	28	2013-08-04 18:26:28.780632	2013-08-04 18:26:38.287956	240		0
23255	10j0kf0woi89ok3lxmbv7c8nj5	$2a$07$eZCQi0lrNhIQ.7G/a5NRCeKjsQUfFkpCUtLHKjDcAkLJO3ZjiUcmC	29	2013-08-04 18:26:28.802983	2013-08-04 18:26:38.421078	240		0
23256	105rkrlgtfk4hs7cyprk1h0jtm	$2a$07$h1oYiRbAbH/HjYK/Pbf9juu.Bt8RPg912KCDzOMWYEmHc1y8ek2gi	30	2013-08-04 18:26:28.825627	2013-08-04 18:26:38.553633	240		0
23257	105apo7yb703q9o3y7pepe87f2	$2a$07$.KANm6qEb4NP.C7y0DB8iuE4Mln21vZdmb68alypo4r3AoSQyHI3e	31	2013-08-04 18:26:28.848182	2013-08-04 18:26:38.690865	240		0
23258	10jrg35l516t36d51uvp8cljg6	$2a$07$SK416MJlWPwpUUzuuXQnGOOKEGIS2lR6uoQGEj4Cw5lyel5ZDTbUi	32	2013-08-04 18:26:28.878686	2013-08-04 18:26:38.822555	240		0
23259	10v6cakilx4aoboquclra5geer	$2a$07$XIkZjQaUAJ1tr.c20Cw6ruNCUIi2iBPI.nGBPoqgZIDfy/6KNd/OO	33	2013-08-04 18:26:28.900381	2013-08-04 18:26:38.964495	240		0
23260	10csqzguvr8jkenjd6nw67aynt	$2a$07$Bp5cWL.S9LnUNHX9bZEHau8f6zS8G1x.m5PdPzTH4anGxhE4F2mDu	34	2013-08-04 18:26:28.922015	2013-08-04 18:26:39.109582	240		0
23261	10xnj0bs0kdcitrpbygjd33a36	$2a$07$0ET5OmBNUpSqpU266cqsm.bFLr87EsxUgxZjxhGDW5f5WTMAlF12y	35	2013-08-04 18:26:28.943666	2013-08-04 18:26:39.401855	240		0
23262	103ggd2ueolafnepr6xjgrbxdz	$2a$07$KY/0WvC5w4m/GTjanQNNw.GpqwnOX4sxbqFfMrptvcd/v7XwTEc3.	36	2013-08-04 18:26:28.967088	2013-08-04 18:26:39.615259	240		0
23263	10v382hr0qfvsu6qvvtlsnhl23	$2a$07$JugDqocTFC98WW1R/Ala..drI7lS0jD4vnymANz1rcXGcovvM1ogi	37	2013-08-04 18:26:28.994751	2013-08-04 18:26:39.780946	240		0
23264	10hmp8i6it13apawnqktq97j1p	$2a$07$0Bm4HGq7uFWbxoifymCseuuEeF/oW4qiL26QVPderrlVOkE71JlCe	38	2013-08-04 18:26:29.030831	2013-08-04 18:26:39.923963	240		0
23265	10axjgo9svsiuvvrtlp2wczp6g	$2a$07$UV.JjfPTU65Z1csYgJipPORDCp8wb4DVarEfz0Pq7infRCz1.IA5S	39	2013-08-04 18:26:29.052642	2013-08-04 18:26:40.067815	240		0
23266	109n6surrbxomzizdmf7d0gsik	$2a$07$Cc0vokeK584cFIa.EAi4aOqAf7gP7EFweqhxVvOjDbsKpnNdIJz2G	40	2013-08-04 18:26:29.074258	2013-08-04 18:26:40.214978	240		0
23267	1098di3tadps6ta5o0h2zbrrob	$2a$07$rtFErRc5wZGeJg03O9F8Red3yV80bSrhAKx9owhW7LUAVMUcYPTYi	41	2013-08-04 18:26:29.095707	2013-08-04 18:26:40.335971	240		0
23268	10a1y5hf7agrau2hr5w3bzfsv3	$2a$07$FEWUHEOfuoJjpol3tUyi9OunXtnci56SFHfYOB1JM48PrbyKip8Cq	42	2013-08-04 18:26:29.119272	2013-08-04 18:26:40.462582	240		0
23269	10aietzbmiymldhzsx758qk6u6	$2a$07$JFK/j3aaWV880yG16t0nVOTHSSPtDPE.dAQ5JffUTOlJJg35lCnEG	43	2013-08-04 18:26:29.142686	2013-08-04 18:26:40.582561	240		0
23270	103qul60tzjjbwr0e0dybuoxer	$2a$07$UR4.pN6C1qCjkoPTK5Y5MOYtOZXr.5DdclTzX8MIL/zKf2yaTjp42	44	2013-08-04 18:26:29.176378	2013-08-04 18:26:40.730856	240		0
23271	10hbvho8vcwrkl470t7ho5069k	$2a$07$ChYFih0RKHTr/59zUUiSzuXFQjA0cC5FpimKDnsbiUFK0PjHBMJ8i	45	2013-08-04 18:26:29.201188	2013-08-04 18:26:40.937922	240		0
23272	10ff8v6j3iey99vtefc2n7oxzl	$2a$07$ebglG0yiQ8YrqKFlBWAz1uhtUSH9y.Pc8VokEryY6rWx2N4RrbQdW	46	2013-08-04 18:26:29.224525	2013-08-04 18:26:41.317653	240		0
23273	10y54fgyfw00gawmyt9tb3igiy	$2a$07$XZjstDybiqUIztuUCUdvPeGbRnH7O1xJeAzkNQGuOoVMNzEBwpbA.	47	2013-08-04 18:26:29.247609	2013-08-04 18:26:41.496908	240		0
23274	10zdxjxrxipmham5stkgwa0r2m	$2a$07$p0o0NNMnijm.uxogtbqQrus5nQ0I3LWAQ7rTOPUAggsqxUM5RaL5W	48	2013-08-04 18:26:29.271158	2013-08-04 18:26:41.667308	240		0
23275	10jvc0epomab2wcxy5iy6a1rk2	$2a$07$eoyBQUTeL.6O7N7.Y46RsO6gr.TkNhJA3L36BZfy1vuXeJEU/MKPO	49	2013-08-04 18:26:29.300573	2013-08-04 18:26:41.787858	240		0
23276	10qqmfdjhfmu2ii0yhyq1ztoyq	$2a$07$AGYHlTWJVmh2Tamj88s08OGXX3u4kiZZ3SVoGc3MPOuYQAAwigXfu	50	2013-08-04 18:26:29.336854	2013-08-04 18:26:41.911887	240		0
23277	10qnn4ykyp2yy2snpcuwnvy8wp	$2a$07$YKiRqvSnIE5HXSvgSfND1OqcdrgZHRY2n3O4pSopHtKPJMFiJ/rt.	51	2013-08-04 18:26:29.363003	2013-08-04 18:26:42.059543	240		0
23278	10w1myewfri45om4jp3z2qlkt4	$2a$07$xhD88IyXPLSi2Fi4K5JcnODEByVUKuN8XMbuuJSslKoAZLfvHyiwq	52	2013-08-04 18:26:29.397842	2013-08-04 18:26:42.339746	240		0
23279	10r8mjdq7s9qydljvh9gho75pd	$2a$07$/0g2ZpUdJualwU164X7AJO0Dl5MOqcUOHASrwKeCqZzea3rgcvTPS	53	2013-08-04 18:26:29.42261	2013-08-04 18:26:42.612362	240		0
23280	104trp7zv5a3mg1b0v83vvs9vc	$2a$07$NjgWr6Jkn93xU4QgMmcxSuZ9uhDXWyNYfTR0Rlb7Jw4sIAlCm6dAm	54	2013-08-04 18:26:29.445552	2013-08-04 18:26:42.804528	240		0
23281	10f2n48bv1jeedlgts3fcfaszs	$2a$07$xPxgESkkDWcGOdfH8Ht6kezXQQq/KxbHEoSRMd8t20PPdE1UNzcPO	55	2013-08-04 18:26:29.467386	2013-08-04 18:26:42.91193	240		0
23282	10kna9awr5bpzpsqi25eh000n4	$2a$07$vJjKJCJgE7z9VmYO7i5zUeNdwsJOzQlrwtp/GWj4Ynb3EY5oHBwb6	56	2013-08-04 18:26:29.489642	2013-08-04 18:26:43.035278	240		0
23283	106aguytzyjd5smmxaid96ed02	$2a$07$qEjb0DVkSB8d3OCP2pMtiO.xld2l60gTOn5kJdUIONEhxsEflqPWW	57	2013-08-04 18:26:29.511662	2013-08-04 18:26:43.192859	240		0
23284	10003ml8z1ueet20cgmpjs7swu	$2a$07$X69GE3wwVrXXYD7scArH6eejxz0ywn03RWQ/l.ECheI8BchsLw1DS	58	2013-08-04 18:26:29.533359	2013-08-04 18:26:44.470574	240		0
23285	10u50x6t0wtfqrhcz68fa2c0ep	$2a$07$XXcNcwfWQMqqYVu8YcazTed2sHTchki6gMlCOvI9RAzJm7Tx/a8w2	59	2013-08-04 18:26:29.555247	2013-08-04 18:26:45.503072	240		0
23286	10ttux4qswc4fedgputzm5vt08	$2a$07$X8O66qupkCxAUd99x07RouCrSVJHvWAiLTZKAhXsp5gy5igepra6y	60	2013-08-04 18:26:29.577804	2013-08-04 18:26:46.537406	240		0
23287	10iy7io62puoxxeeskcjyj065r	$2a$07$742IBPymJPVyl/XA6Tv1t.OBukUECIUP1l78oys04.VWSSuNhxQfu	61	2013-08-04 18:26:29.606526	2013-08-04 18:26:49.483894	240		0
23288	107shtra0yqcmz7r81ydh64bta	$2a$07$cRVLF7BINvIwyz59Z9GKse4HuPARmvxZjGgwhBj0gXjqybduHKV9C	62	2013-08-04 18:26:29.634609	2013-08-04 18:26:52.37968	240		0
23289	10q9e9646q2n1w0ow3it2pjtx8	$2a$07$OanwvWLPyv.CAUzx6HYjc.f0Ou.MDLrJfV4WqWqY0/Jovv3FS1Qi.	63	2013-08-04 18:26:29.656214	2013-08-04 18:26:55.520115	240		0
23290	10c2mxmndcdmtfynjplo8ix18g	$2a$07$FnbSusWTXrMIfDtyzNOiZu8rkgSNtFrAAcrFsZUUmqstqYbDDGtBe	64	2013-08-04 18:26:29.677786	2013-08-04 18:26:55.649968	240		0
23291	103zm6txbd6g3151ws1iy3epfx	$2a$07$vy/zPTnIP522O3ijtXEr1e/UNSKCanpk1eh8rEPmyYZ9Iy9URUGCW	65	2013-08-04 18:26:29.699232	2013-08-04 18:26:55.787791	240		0
23292	10xoedepckj2mqvfo149hokt2u	$2a$07$JfjhpxdCRBSbHotIT7AMguMcDpeVJmhAuL8jOmTktGR3lnY9Ij1Aa	66	2013-08-04 18:26:29.720768	2013-08-04 18:26:55.939413	240		0
23293	10248qaexumsaz3qtsywgjnvno	$2a$07$IHG13E3Oa2sv73TvrCP5vOSP82Rx57JXobrckpFRYpeNE88BEOTlW	67	2013-08-04 18:26:29.742097	2013-08-04 18:26:56.056452	240		0
23294	10xw8kmfaejddu5wehrcborfim	$2a$07$55VbFZwHpLcZNDtSMhZhBeLmExCVfytwp0/IpiYM6kHIxFmA99XBK	68	2013-08-04 18:26:29.76343	2013-08-04 18:26:56.201964	240		0
23295	10i0ce0cxch1n7leqh1pciteaq	$2a$07$LrcV25x3mA8Sb8HPKFZreeTcHrJWo7FMNAERI1BrbGOygTnQp34qO	69	2013-08-04 18:26:29.785053	2013-08-04 18:26:56.371554	240		0
23296	106mgx6ne2liy6xfgrvlf0jwa2	$2a$07$mKNwApiSSMqXbj7kYzO4G.Cck/nXQwNZxB7B2MTsqQaCtuSB/28MK	70	2013-08-04 18:26:29.806524	2013-08-04 18:26:56.478355	240		0
23297	10zy1cz9wnt2gggxu4aj9w9446	$2a$07$XFtB4o.0OMbWWDYWTEvTWelTEn4/1Niee/SrhM2sRRd5N4FBz6rXe	71	2013-08-04 18:26:29.828132	2013-08-04 18:26:56.622214	240		0
23298	103ei4z2e2pezfg6k67ir2jlf1	$2a$07$.uIsGFAzKc1d1VSz2lkV4.aJ6GvQCu9BhW1NQ7wYFyYmAgldf6IYC	72	2013-08-04 18:26:29.850071	2013-08-04 18:26:57.804453	240		0
23299	10hjyo9d146z5b0mv9g5gwabq3	$2a$07$f/sk9Eam6Hz28v5VqUNUHOfzASyumrtb.mECGu9TL8LBChkTo8gmq	73	2013-08-04 18:26:29.872799	2013-08-04 18:26:57.956862	240		0
23300	10slwvt56t616ps5n0hops0vbb	$2a$07$PLKmez8qrqZf3pVyp7T7ruCjWszVMhmrR1X.tpzqmefN5FVCyvxKq	74	2013-08-04 18:26:29.895864	2013-08-04 18:26:58.091462	240		0
23301	101p5l6sg1hmebf90qpeoyw6a6	$2a$07$6EQIKHzD1BO/.Ukl8Ln4p.uU9fkFw6nnW3mlmIGBeM60iC9auiDlC	75	2013-08-04 18:26:29.918997	2013-08-04 18:26:58.308758	240		0
23302	10ggtu7a1r64fzsaacrjmpncme	$2a$07$eRsI0RjkVJLX/KatyYCkVej5T3Yxd1527GiXTE0MNzQtQmMc8g6iS	76	2013-08-04 18:26:29.942417	2013-08-04 18:26:58.445194	240		0
23303	10a2dm2mqyzprm90bot1iuolb8	$2a$07$Mppr7oSTKnvMC79.01jr/.Mp5gU.12EHygU0fzjRIBLH0e34pnOHC	77	2013-08-04 18:26:29.965013	2013-08-04 18:26:58.64621	240		0
23304	10dvlvmp4fr9lwx6b8dz7s6dap	$2a$07$Dw0SsFalwm5/efhE7oA/vOS2vYMzTfTFXAOGmiMNrTlc6gcGan1ee	78	2013-08-04 18:26:29.995213	2013-08-04 18:26:58.787814	240		0
23305	10nfxuie3z28nidcq4pug4yzdz	$2a$07$7oumIiyuYn67X4cp2CrRDeKAyzdkF/V9ORZ1CqCkYcz.YqH/oLts.	79	2013-08-04 18:26:30.021312	2013-08-04 18:26:58.896303	240		0
23306	10d2misjym7z3exaxalb6jyga8	$2a$07$BzTztrO/dku/myYHP9ShzeZQ/Kggyaeh.I9QHOrxWu8hJlJmvHW/.	80	2013-08-04 18:26:30.049402	2013-08-04 18:26:59.020822	240		0
23307	10rx0sxylyi2igmp9ka8v4py8y	$2a$07$6FPF0z7VBVqDSeqXkbgXWOS5Mbb52stV6wTnZkraSSH0u1N3.C1ca	81	2013-08-04 18:26:30.070739	2013-08-04 18:26:59.14189	240		0
23308	10gg3d47wretcl7om2jg2evd6x	$2a$07$nAzk.gUVcgZlxWfzaAEexeJyk0hdQQxTozYgrUsbPFqbzPaATd50G	82	2013-08-04 18:26:30.09252	2013-08-04 18:26:59.288719	240		0
23309	10gpk3s6d65elt6um7d2fafha4	$2a$07$UTpExfsmhkDA1BizSUIMreFaJphlBSwZEFe66ogUtfD4g3.ZQuZYe	83	2013-08-04 18:26:30.114301	2013-08-04 18:27:00.303453	240		0
23310	10ia5vh5fxmt3kbgrd7wgzq94v	$2a$07$yP.jPAt2VQ5vDe60amOvK.vEoRj90Uj1eVbfhlqu3JliTpbZOQZgm	84	2013-08-04 18:26:30.13679	2013-08-04 18:27:02.97087	240		0
23311	10kde7uwuqejgxgbtgt4nqnqrp	$2a$07$mUbyY4e6Ed8zAe.rWXQ0F.iVdlgcllLK8Qkwc/cCOlnHlKxI90LTC	85	2013-08-04 18:26:30.159577	2013-08-04 18:27:03.097577	240		0
23312	10o0ko4dhvt0x5ijnaexocyw9m	$2a$07$uhFRJL.O/zvvDguvr.9gFOUv7ebhM2zidR.k0vKbJ22erUXGjK7aS	86	2013-08-04 18:26:30.183264	2013-08-04 18:27:03.230561	240		0
23313	105lrykq6qg4zgk9dnvc5s4jld	$2a$07$G9YFcrTpmc.8FPGQ6GMV3.E4s.iPb294uwUoEM6uL6HEZShhX6xNG	87	2013-08-04 18:26:30.205202	2013-08-04 18:27:03.359191	240		0
23314	10hg5xtt6x6hcz85wergskk0ko	$2a$07$8mzkZ/p3vPVBKyLj6bCYx.zUlqBOkNQhmPw50quCe.5HiXsuVHHPC	88	2013-08-04 18:26:30.226737	2013-08-04 18:27:03.489076	240		0
23315	10vy4f9s9few22zcidonxxd6zu	$2a$07$JKwaTxl.8JB0s3CFy/fQsO/oqkInmM2mFAISYx2TvZbWZmsCl1AmG	89	2013-08-04 18:26:30.248291	2013-08-04 18:27:03.638403	240		0
23316	10juvj5cm50qo60ytqn7whodp7	$2a$07$RW7.ISdQeWcnY52.by8iAuyg2DMz5psn1KWo5.DdsGpEhWx6ee5JO	90	2013-08-04 18:26:30.26978	2013-08-04 18:27:03.770779	240		0
23317	10ofo5slxbdxjqcbujmbq4bsp4	$2a$07$xl.TXuXNgGmPXnpw5meWi.6/lmllyiYRL6gbw/pUcCUBFKtCTW1CG	91	2013-08-04 18:26:30.291268	2013-08-04 18:27:03.988694	240		0
23318	10pvqx6int6wh6886hfft1w7ab	$2a$07$gNWSlcRsyy9BnFwh8zBuauAPR7sz4kmyOfXOhsJCEV2b5AO.kwQAO	92	2013-08-04 18:26:30.314361	2013-08-04 18:27:04.128413	240		0
23319	10as63zt42znbbaayi81tffitv	$2a$07$7LkRyifiCSfpoDZ8U.HG0.qkTtuaocbEkxWzjHe7kheMhpegf.X/2	93	2013-08-04 18:26:30.335844	2013-08-04 18:27:04.261946	240		0
23320	103h440a8dxmiaatl49dje6w8u	$2a$07$0BPoeaqd2SeFh9UGXgeZdekyDKzUVYNJU/9dDJ6mfvV5gVq.RbT9G	94	2013-08-04 18:26:30.358233	2013-08-04 18:27:04.399095	240		0
23321	10kc67ph37xydxn46t9x3koya1	$2a$07$2/QPwTJCJeNcIiOEXmsv6upzG/MPQ2GgDV0aSYoCs84gP0kx.HYMi	95	2013-08-04 18:26:30.382482	2013-08-04 18:27:04.544977	240		0
23322	105zy9srfumil2p7u32fqla0h6	$2a$07$MHn7J417XqnqLIVEWH0TC.bcDYk/BCiGnMD29qer.ZNNWN9F.mU..	96	2013-08-04 18:26:30.405405	2013-08-04 18:27:04.684466	240		0
23323	10xqfxbcdqmxykk2pd1ha2703c	$2a$07$yER811zXkwq7anOmtVJLtO.wODi/qrLMpM2w9adg77rCDeDDGOST.	97	2013-08-04 18:26:30.426998	2013-08-04 18:27:04.824019	240		0
23324	10v8xr6qooxevzgxkfw6euo0xo	$2a$07$KaGDXdAesX7rZfYdcG6Go.85IRRJXZxhW.cWMree5weBPQhc0OVOG	98	2013-08-04 18:26:30.448738	2013-08-04 18:27:04.963079	240		0
23325	1086imou4njidti4qpp348nr0j	$2a$07$tbC206AGbsvP188sEct83eZ65h5n8YO5Fl505hRUpbsVmrMxxEOlq	99	2013-08-04 18:26:30.471152	2013-08-04 18:27:05.109852	240		0
23326	108yrj3fxjuuldoi3jt2oc486t	$2a$07$jlxs/pNQANThf/Emwr92beJPtdgSPpDAia9pDpJbAVsAD9tpUp6.K	100	2013-08-04 18:26:30.493897	2013-08-04 18:27:05.256379	240		0
23327	10eait5ldkxf7gdp5adtypvfvq	$2a$07$jlgzHOOQDAuwU8iWcILCEudHUUG4mQiyzi7hxkrBocLX07G89vomi	101	2013-08-04 18:26:30.516497	2013-08-04 18:27:06.428328	240		0
23328	10fc4mqyqy2q0wb0kp51dqjth7	$2a$07$FI7jQp/uD04heEv2WHaJzOPmg64ySBeNj/68mX8KF1uhLVMrI99B.	102	2013-08-04 18:26:30.538503	2013-08-04 18:27:07.54677	240		0
23329	10bx5k8vdw0xpg974jc13jx9hp	$2a$07$KgnHPP.a4CcSXwufAhmgWuslEkCBDYhkmcUScdz/5RTd9qNSOrsGu	103	2013-08-04 18:26:30.562009	2013-08-04 18:27:07.674713	240		0
23330	10qdxq6tv793e6lzverizrni3n	$2a$07$0r5nCUuJFVtKeyYgXaDB/u6jR36eDunVUyks7KMIkAUwxY8Vq.RDe	104	2013-08-04 18:26:30.594934	2013-08-04 18:27:07.781395	240		0
23331	103bm1lygixq3axat28ibxz5s4	$2a$07$b/.G.Q0g5cYvbdPHhwQELeqKdpO.W0ZiQnHUUOwkjG3g6J703u0Xa	105	2013-08-04 18:26:30.631373	2013-08-04 18:27:07.899431	240		0
23332	10ho5d11ajvvebkvd16y1vr8z2	$2a$07$2P1jQ/9jY70PXQX6opHJ3O5hhcZm0lp3s1MDdIl0kQJKB.1QDn3h.	106	2013-08-04 18:26:30.654372	2013-08-04 18:27:08.019274	240		0
23333	10eirrxgh5cf5l10nsps1576pf	$2a$07$iZyhv2P61U6yeDjnyFez2uJA5k.9aXLsqk1X7jVgOTeOBclxAuGda	107	2013-08-04 18:26:30.676388	2013-08-04 18:27:08.159736	240		0
23334	10ydfyn35zqbq2taummwh27obc	$2a$07$tjGy53EE5V6ly7eLGDgK7.whtV/jj/STfMjYspP6QMqK1utgqCOZ2	108	2013-08-04 18:26:30.698122	2013-08-04 18:27:08.280891	240		0
23335	10ipyd63vhnj5gliyob2ed2tvc	$2a$07$1FxyL21dHp7KZ2wHcuPZtOWGkBRLX1WelbWbMQfhI6uETelaHzOKK	109	2013-08-04 18:26:30.721363	2013-08-04 18:27:08.414899	240		0
23336	10m48j54euyoiqvs1ne2ewzdso	$2a$07$ccRvZl26NR1YMyGyQx56PebH24sHQDvKWZbaaOkZu5tkBye.M7wBi	110	2013-08-04 18:26:30.745461	2013-08-04 18:27:08.52877	240		0
23337	10ag6nlvesxjqfv2yqth51hfst	$2a$07$0.5IYK4VLQmmciqBDSWRMusoRTYsrGHCZiPxOirnHVkkXbY8r3Biq	111	2013-08-04 18:26:30.769516	2013-08-04 18:27:08.667732	240		0
23338	10l5itbc54wvdvfy17ju3famjf	$2a$07$3tNMGyNiDPd6x9vP3cUdNelCEF2rVob26JIRIdtecB16siBzgnxOG	112	2013-08-04 18:26:30.792641	2013-08-04 18:27:08.778227	240		0
23339	10k2buwps0v3sp8oexoa6cc66j	$2a$07$4hDeqHQjzklUhbirGTECB.ftsYVGxMzyjyw.6LDxYsKU8VO6oIVOe	113	2013-08-04 18:26:30.814207	2013-08-04 18:27:08.916744	240		0
23340	10dkx499cypgkzcfxggt8t3mt3	$2a$07$zi8mQ3t/nbpQdtJ4tqsBCeTrwoMWywLTdnk3uxFgXZcO2r1foi9v.	114	2013-08-04 18:26:30.837149	2013-08-04 18:27:09.057416	240		0
23341	104vtpl5wwd9i14ql5j65gex3i	$2a$07$jaXPSn8ngux8kKo1P7/4uebcPnNO0rw53ls7QWQC1FkA43Ud59r2S	115	2013-08-04 18:26:30.860858	2013-08-04 18:27:09.244828	240		0
23342	10ewa1cakcdj6mqxki07k05v8p	$2a$07$zILEpcU7IqQRUTq2X.YaMeukKqYPLQqTcs62b84RTcONOz/1Ad7JK	116	2013-08-04 18:26:30.894946	2013-08-04 18:27:09.426768	240		0
23343	10ns1mw2r8i2j6hst8w1qyayro	$2a$07$PHPH.XuNirbQeXWjKWDtn.9aQ.ylDEcYmk/uOE5OFlwyab3B7Ah9y	117	2013-08-04 18:26:30.916497	2013-08-04 18:27:09.541675	240		0
23344	10g0ekqdi8xue3bunyfgllqg8x	$2a$07$SjZtZeG0iwSjkeKWaK9D9eMfrHa79k8GKwkhlLcLq3IABVsmBCJJe	118	2013-08-04 18:26:30.937898	2013-08-04 18:27:09.641865	240		0
23345	105hy0f507arak3bydwz2wuy6r	$2a$07$5Sfyvm9WzKuK.V4s1U2e5O7593k/JajqaDzDFi9n22m1p0hGgEIK.	119	2013-08-04 18:26:30.959327	2013-08-04 18:27:09.791047	240		0
23346	10ex9ddccazsk2oilkg3baduj0	$2a$07$anLhWhZc5w7INUP3jZrob.wY3OIAs9GTx25W62sA4HC4NSAQfQi0K	120	2013-08-04 18:26:30.981762	2013-08-04 18:27:09.897624	240		0
23347	10dj4okb1rwcsn6pmgylm1ma3p	$2a$07$1AUWvtU409B5kzkCDR4T1.Xuzc6CWa5p/X6N3wUdVNen2MDTV25Ju	121	2013-08-04 18:26:31.005842	2013-08-04 18:27:11.076487	240		0
23348	10kwxmoo3c5h507dm6ybnx8urc	$2a$07$zpmrCaEZj1FQbYJ1Uc9nVeOUOwiNmyX2dFFfL6nlfWwMqumJ1Hwcu	122	2013-08-04 18:26:31.029722	2013-08-04 18:27:12.139039	240		0
23349	10g8mjawracyk7gb6159o9dss5	$2a$07$G4kSbOCuZ7c3JG69UyL8yeXY5Wu5ovLiozv2guqwtBaQdm.nmXlXe	123	2013-08-04 18:26:31.052341	2013-08-04 18:27:14.77301	240		0
23350	101vy8i1v2z7px39hfq0efrujk	$2a$07$3/qIeNN1ZxKAKmqv25MNb.MlxXWeo9Lz87qdkZFrEvOhQuK6kfb6W	124	2013-08-04 18:26:31.073991	2013-08-04 18:27:17.778599	240		0
23351	109nnh3uxodel8yccejq1qx19l	$2a$07$i04/HO4HMMqUMKEmZ/Oec.OqG.g6AdZ.ZfULZfuanMyT35fodOJvm	125	2013-08-04 18:26:31.095457	2013-08-04 18:27:18.057803	240		0
23352	10hz58is8cpcuofr3d3x7vwo39	$2a$07$NwKI8qa.Q880xznaLluSLePJyKHXqm8usiQRzxrmKE3w3GIMP/cEq	126	2013-08-04 18:26:31.117145	2013-08-04 18:27:18.277394	240		0
23353	108o9rb06uwr58hfk2ipc3a9ba	$2a$07$vHfLvQjuZZ6j8R9FADDmse2dH/s2tWGpNItqhfzh47PqtTvUJCtIW	1	2013-08-04 18:31:28.099819	2013-08-04 18:31:31.257724	241		0
23354	103xt44eo51zkb7005mhwz88dk	$2a$07$rY40s4829T7TbwJieCdpU.aBEmxuybTKyZOeTf/dn1eaU2UVAxT0q	2	2013-08-04 18:31:28.127783	2013-08-04 18:31:31.396978	241		0
23355	10tvdxb6ca5u9gzyzseuzfkym5	$2a$07$vuHlnRILdAJlMPPYjtACEu30fS68Pipn9jLdNjgw18nZSh2ZSgdB2	3	2013-08-04 18:31:28.149666	2013-08-04 18:31:31.512092	241		0
23356	1035acbooesu1opuf61e7v8wga	$2a$07$ZmJvq94CxeXyeZ/jKs3BUuLVrTVtk9sgH0H2CvQaVNkzvT5T3ecJO	4	2013-08-04 18:31:28.171473	2013-08-04 18:31:31.629068	241		0
23357	10i0s5e638chdtbxdmgzn16q9l	$2a$07$7hgyr0o/QPKiZTCJ0LSlkOdR7iJUnXPnqFajx5SLGqo7CU5Up0NV6	5	2013-08-04 18:31:28.192986	2013-08-04 18:31:31.775705	241		0
23358	10dzb2b6n319in0aqoasmldb6h	$2a$07$HRSDmSaCdC8S/Si4wdjfOubMWcVtMoyixVxx6gGe4tu4xLpX4RPHS	6	2013-08-04 18:31:28.214637	2013-08-04 18:31:31.913807	241		0
23359	10v8ri0jwc9ij48jzbif3qen8m	$2a$07$cPghymQvnBUDb9qF7I80xu1TvlCzYJvkL9lvKqJj22QsD6p6.5HfO	7	2013-08-04 18:31:28.236218	2013-08-04 18:31:32.10751	241		0
23360	10fhmpx3y6b7lv3cge1v597lj5	$2a$07$BIsldMuYafyxg6Hy6WiQKu2y0uq0dNwA2REiP/tio7lflpIQoRAI6	8	2013-08-04 18:31:28.257831	2013-08-04 18:31:32.378668	241		0
23361	10qg5drnfd6px3fb09y8gpapp1	$2a$07$KpaHjavr35jwZhUSAAavoejaugpxelbQofL/JOBhhFjoGHYl9XToK	9	2013-08-04 18:31:28.279437	2013-08-04 18:31:32.503713	241		0
23362	10921gq6n5cbfn4ylqjyt5k4ic	$2a$07$FkcFQSbw0rr84ESUnbbJTOOA6X0itg4.rr8FfLLoXtCSSPv0SNug.	10	2013-08-04 18:31:28.301072	2013-08-04 18:31:32.635767	241		0
23363	10g34pudj9hnxmdif9pz26h9nn	$2a$07$Mdx7Ai/aRxlbuEK/tK6JuORtqXor9I6wTNLJ2vV1EwiiO9HYnI.86	11	2013-08-04 18:31:28.322563	2013-08-04 18:31:32.763755	241		0
23364	10qmedfajcm8p7vff5i55ulxy9	$2a$07$QEQ55yvS3MgUf1l9d6Ud0utQDm96OvaAv94wuBcC4mEhd/A6u4F/S	12	2013-08-04 18:31:28.344274	2013-08-04 18:31:32.904564	241		0
23365	10kv43oix0tei8zpuh3ir8wykh	$2a$07$Sv83VC/IRPj.91U1JllrWeUNDpRTjA4oDpnjPBFRB8DDU1Z6o3ZT.	13	2013-08-04 18:31:28.366191	2013-08-04 18:31:33.032178	241		0
23366	10mmltmul2tad761nd5sqgzig2	$2a$07$bkqZdIA2X5rf9reZhnndze7GG4fNsLH3kMWG.33iSSewDXk2heJGy	14	2013-08-04 18:31:28.387902	2013-08-04 18:31:33.170225	241		0
23367	10a3jqrh11rzlv7y4avcm2cyy8	$2a$07$S4w1HeOBt4fsDRxsuFQCreeE6XWDRJfDABcoO0JgfcMA6SYHjcf46	15	2013-08-04 18:31:28.411198	2013-08-04 18:31:33.297579	241		0
23368	10dr7witdw16xbk9jju0v0vgn2	$2a$07$QpzrEomgMxOEap9JUXn2YuE/bWgOMqqnnsGcR0gN5DJxvIE48lMVm	16	2013-08-04 18:31:28.435199	2013-08-04 18:31:33.421364	241		0
23369	10tzi0eselxz891454u7ewe46y	$2a$07$jdca/mBvhbstjpKQ2LzmcuvtQpOnQScwfJF1CwkitkT3oGhpKW2ui	17	2013-08-04 18:31:28.459357	2013-08-04 18:31:33.535124	241		0
23370	10b29siizga4wfilfqwd24qaij	$2a$07$SnBlJe0mHGtxsPjCAvOKlenxlhhsLn.mXQtUow7CBRE/N35kObm/G	18	2013-08-04 18:31:28.497104	2013-08-04 18:31:33.652218	241		0
23371	10t36m1b2r84u3ug13wdybbk2n	$2a$07$rs7gm781uo8DudwIAeIVhONUD1APyc571G5HYR8.XWg/EeA9doDPK	19	2013-08-04 18:31:28.529159	2013-08-04 18:31:33.750053	241		0
23372	103de3xtod62s032krbddr2re8	$2a$07$GmWspspYwa6hcbGWgi.0b.ghw0pTCGoIL1q/pWKCGt/C9cBw9Oqxy	20	2013-08-04 18:31:28.552638	2013-08-04 18:31:33.851396	241		0
23373	10tqxonw1qhwep4a5bopq25pi2	$2a$07$dTKamzRYpsN901S4OThZTejnS6366/8/445IDYfj99OrKSkR18.16	21	2013-08-04 18:31:28.577618	2013-08-04 18:31:33.95492	241		0
23374	103x94m4avyisrhj9abcn6bz2j	$2a$07$uJfimPvwPSIuj0hNC6LAS.KF59ia6sgfOttxoosmclXlnE1gDVVMK	22	2013-08-04 18:31:28.601905	2013-08-04 18:31:34.077751	241		0
23375	10mlxgyvedmn6xi64yc9orqa9l	$2a$07$CiwM0vd98K5RdLRdVMonf.kZpOHBPoUgKcjYleKePR8FJiUuJXCMK	23	2013-08-04 18:31:28.625225	2013-08-04 18:31:34.225663	241		0
23376	10it4svcd7uoee2hggqpruy9x3	$2a$07$zvXwyXlCqjtuR.dpVxNLu.NvCj.8Vifl32/Kwpq1PF1gFtgLJT84q	24	2013-08-04 18:31:28.662025	2013-08-04 18:31:34.350685	241		0
23377	10m7bkrq9o3qpvr4d54nt4laj0	$2a$07$E2nIFeg.b/mnYxZ1BCUCPei7xzC.oHAc9yDch6Oo8fsFwzo31V8/m	25	2013-08-04 18:31:28.696389	2013-08-04 18:31:35.220618	241		0
23378	10ya9u1zttfykd3kgv1kjmh7pe	$2a$07$ZYQj4l5bDRMS/.HnNfPYK.9Est0nI9KBIpl4oegkCcO6kMpLKngXy	26	2013-08-04 18:31:28.736358	2013-08-04 18:31:36.151589	241		0
23379	10c5fvb8hzkb7ssilbjx16xelc	$2a$07$CDzm4GnRTQ86xZX5XK./KeRKQPKPy/7Q8IORjVnsNZg4GgxWSj5Xi	27	2013-08-04 18:31:28.771575	2013-08-04 18:31:37.077656	241		0
23380	101tjfym15sef0i3utivv5gg8s	$2a$07$Eb5sLofJyF7wE/KQga7TZeo/ilTj078XCCCl2n1dVs9vk2sLcHqry	28	2013-08-04 18:31:28.79324	2013-08-04 18:31:37.211516	241		0
23381	10o9h5yrszwfd33fkjp5j54rqq	$2a$07$kY7ieJH89Zyx8gKIqGw2JupT5Ln73q1DazHEoC5hOqG4KaRxO6rgi	29	2013-08-04 18:31:28.814948	2013-08-04 18:31:37.347594	241		0
23382	10ejywy06aq451k2m7cyn87cz1	$2a$07$Y5cw8/fgJOl5PVsgmeHONOHYGYFnNm001ZXl40yGDO8xhJAzHoOHa	30	2013-08-04 18:31:28.837747	2013-08-04 18:31:37.487682	241		0
23383	1020atcebm10fwloboygdkfjh1	$2a$07$1c4EoPQixbjNQR7ZmSGSKemIR0sUsTdRqqIMTqPUlEsYIj7OEGYmK	31	2013-08-04 18:31:28.859361	2013-08-04 18:31:37.607006	241		0
23384	10l6txiu75o3fa8vkxekwafaf0	$2a$07$JvWy0vaDDRnfVmohvdoFfeXqWcgOsM6eWj7qkh6lmwVbW0JDoRnQy	32	2013-08-04 18:31:28.893294	2013-08-04 18:31:37.725446	241		0
23385	10cmr8vd20wasayvttnorz1eas	$2a$07$j0miFhxHdQYUIJ.r8XEk3.iA6GhhDSciZfh.QlmbX9enW19zmnaPO	33	2013-08-04 18:31:28.914886	2013-08-04 18:31:37.836085	241		0
23386	1003sry0ujvd25fz8k5pnh6quu	$2a$07$ozNAXrs85fycVlERLhW2OuW80RY4s5srQdJa3PePOtR2yGwqzrohS	34	2013-08-04 18:31:28.93675	2013-08-04 18:31:38.087582	241		0
23387	10u15jgza9aeg2o26jq9ebrpzg	$2a$07$ClOGVGqC49X0S0mMuhsDl.sJVtHUJVXjQIIiMOrlGgfLkDmiwQtWu	35	2013-08-04 18:31:28.958241	2013-08-04 18:31:38.306551	241		0
23388	105qey26wk8j7i4rnrwbuhb4n1	$2a$07$hhrJ.Q/R26jZgqZfcWoMOOv3EuC7f08Ci9nVPBsRhFgZHk5VXfRq2	36	2013-08-04 18:31:28.979791	2013-08-04 18:31:38.506383	241		0
23389	10k4lxg4nl4wftcxy3ia8mnr20	$2a$07$cFinNptWxzpAmlExv2D86u8jOAs.I/VqcEWr1Rm0cwAyWXpOD.OJ.	37	2013-08-04 18:31:29.001358	2013-08-04 18:31:38.648088	241		0
23390	10fe8pvljpx3g12qqc2ttm0ojm	$2a$07$hH7RddYo3/8pupS9wWE/GOoNKz6q/f4FPJcT8/8cVAqVb8iLsMaRu	38	2013-08-04 18:31:29.022967	2013-08-04 18:31:38.795204	241		0
23391	10ge8axo0u6wftvzh0a4vjf1db	$2a$07$WLNvaa6AYttWS1iTimzDL.wEAXGC/MT.jDCK800k5XZoYEPCoMRkO	39	2013-08-04 18:31:29.044517	2013-08-04 18:31:38.923461	241		0
23392	10dao9zifengqss7cukn3c7548	$2a$07$6u3TfuDz3m57xjXbVXiNdO0UyFA7I1IZa9DhLOA3yn6/NXfvB9AP2	40	2013-08-04 18:31:29.067314	2013-08-04 18:31:39.040542	241		0
23393	10dxsd9kn1nn2f0jcgessgzvuc	$2a$07$RGYLKc6Xx8LdfGQA3Wg2SuGSsJOdXbhIBM4z/UfeMk22ePdnL8hzO	41	2013-08-04 18:31:29.090875	2013-08-04 18:31:39.18049	241		0
23394	101fngiqqcbjvtk36i9mp7swfi	$2a$07$MXhiQHoa4R5fFyoVU4D3x.gC.dCs0w3g6AYZPjb5Juuw0pTRwxGy.	42	2013-08-04 18:31:29.113082	2013-08-04 18:31:39.320553	241		0
23395	103scjsh3n5z9ooc9z8sho6snp	$2a$07$DqaJMVYE2JEfPl8RYnZ72.riv6IPt1aYjVD4muOUQOR8Q4EnS.1p.	43	2013-08-04 18:31:29.134825	2013-08-04 18:31:39.47898	241		0
23396	10rfl7m2xj0ke5s384ocgzedua	$2a$07$Ia5XMYjQbye8cT/gt4/zQuwxh5np4QTecMq50BJqzTkmCQklRn41K	44	2013-08-04 18:31:29.156834	2013-08-04 18:31:39.691925	241		0
23397	10vvz82hmarxsr2894uyx1s8g5	$2a$07$liYIAVgdScVAd6hzfapEA.v0Ltoy0spZ7WSY7JM4z.4X9RHLrHwCK	45	2013-08-04 18:31:29.178522	2013-08-04 18:31:39.83383	241		0
23398	10535p8pwmlev5c8ln8ibv5k5b	$2a$07$pEVg3SR4S7mYsuYxWEQaI.xBhpVdtIqfHUs.kAlf6Z87F1Nt.3xB.	46	2013-08-04 18:31:29.200261	2013-08-04 18:31:40.023067	241		0
23399	10moel7v3n9lzdh03ri3syeld1	$2a$07$SCYyz6plGk4phtOYYKO1E.DvMSEjZY6.O9Dmse66/uG4oWlPhEVj2	47	2013-08-04 18:31:29.223118	2013-08-04 18:31:40.145385	241		0
23400	10ioavx5gs01tpr0rkihvjqyr1	$2a$07$AvGoCIVB1Sw32UMMuAQ4YOdCOVOavKz9xVgCgb5rwyR6CUfazxND6	48	2013-08-04 18:31:29.245072	2013-08-04 18:31:40.295687	241		0
23401	10cw6hyqlhzombkfn9pu1p3kvl	$2a$07$ZWXP0OmEIMvxipx9o0ldeeOVulD/keVJk2d/wW/BTBS1ziLJtZ.3K	49	2013-08-04 18:31:29.266758	2013-08-04 18:31:40.441364	241		0
23402	10p9y5g1towal9jokztrtj1z83	$2a$07$ddvQCfzYfu0diUHxD/6NdeAXWYL2qKRrBZUBfb78Cve53q179Cpbe	50	2013-08-04 18:31:29.288329	2013-08-04 18:31:40.581568	241		0
23403	10vo9ctukucxpk35volx6xownd	$2a$07$K4Nlh/vS1Rrm0cVIRGHlpujTYMmCevQ5Kuhds0WwU49eJDwoAS61y	51	2013-08-04 18:31:29.310234	2013-08-04 18:31:40.724029	241		0
23404	10xgf7kiiva0n8wysqgnkqkxt8	$2a$07$.B.BDYNBhnXsSTBXCduP8e0Pve8iGHG5keHWpU0VfXznVx8r/Ylfe	52	2013-08-04 18:31:29.331853	2013-08-04 18:31:40.859232	241		0
23405	10ck9vpfv3p4lkm9wwglsad3vg	$2a$07$L7oZZJuQTFqkFtji3GZ0je74zFsOkMqxf.GDkBLgC.7OMoq7AZlVu	53	2013-08-04 18:31:29.35365	2013-08-04 18:31:40.998635	241		0
23406	1061o9iimid97ynm80wv7kgobm	$2a$07$V.12PB8G.PhRdhQ6/n//ZeFR83BsDcF658y.rq1zhxOyNjmxT84.u	54	2013-08-04 18:31:29.375517	2013-08-04 18:31:41.151777	241		0
23407	10zkfngi3wtzikuqqptn7yc4d5	$2a$07$dlaCyFbBmDImsFnoYhOa7ueH8NLNqE5mtgcq32iok/fvGDIpSJYCy	55	2013-08-04 18:31:29.397121	2013-08-04 18:31:41.291139	241		0
23408	10hshryz5z1syvm6wpea4vhx4i	$2a$07$0d/DuOyyG9vEX3ju3fCOzes3qIwkrJUF2oFZFbHGXp80teNz3ixK6	56	2013-08-04 18:31:29.41881	2013-08-04 18:31:41.442856	241		0
23409	109zr2b4r73qeamsluud9by3m9	$2a$07$.Hp.mWxRzVW6Sk4b5Z/vXetSzIvujkEue.5ZG4C0WRwrfQL.ijbz6	57	2013-08-04 18:31:29.444046	2013-08-04 18:31:41.581371	241		0
23410	10xek415urz30lgta73xa1ejnd	$2a$07$wclNJjBy83PqkzrSMD8n2.BS7GfyqDgH3LTc9d5Has5q75rLqg/Ga	58	2013-08-04 18:31:29.471125	2013-08-04 18:31:42.705556	241		0
23411	1003vwib1yhpa4stdepiqcn03q	$2a$07$bj5EaW8jlWOO2lV5Rgey.OuJkxHk/I2.zYHNQ3Bw9nFa8M.DRVtZC	59	2013-08-04 18:31:29.495301	2013-08-04 18:31:43.772513	241		0
23412	106moho69fg14etuylip5qwqu5	$2a$07$HRbNVm0IDMZ2JATjKGp71eqqt6ulopeAyz8eXfn5sQhHrnuJxbK2m	60	2013-08-04 18:31:29.525673	2013-08-04 18:31:44.752463	241		0
23413	10weg1pv7lfsxad87wuiaz7gxf	$2a$07$4jMiUpa9fnXG9KzV87y97eff47kgxKMXcXydCFUmCEsXqE4dDwh9K	61	2013-08-04 18:31:29.549905	2013-08-04 18:31:47.656933	241		0
23414	10mwmx3p73he3oji03arl1ol68	$2a$07$WTRVEpUlOn8IOu6Zr10DTOS2/bYnGFfJEXPuHHennqbtPMvxcMQHi	62	2013-08-04 18:31:29.585874	2013-08-04 18:31:50.551766	241		0
23415	10k5mpqtarft92sjtwrkp54gna	$2a$07$uGZ.QVoWpMilu4osIo557.OPbcO4dmC8NBFTdvfA5nCzEta.uBQpW	63	2013-08-04 18:31:29.610929	2013-08-04 18:31:53.763013	241		0
23416	10siltseo67214bnq7dl8qmlxf	$2a$07$9vTVhltdLZ6VSnGbmxw7LewCyANJCFRDZfqgp5NcRl4vPyyXmNWgK	64	2013-08-04 18:31:29.63668	2013-08-04 18:31:53.903975	241		0
23417	10vmg48lkplee23mb9dpna6502	$2a$07$X.jJt33oIB0CqA/NYFZVkuDMxTU/reOlHpli4WaAVcuEekeVfVsWW	65	2013-08-04 18:31:29.672213	2013-08-04 18:31:54.047168	241		0
23418	10pa533tgup5ku8061e6uvj1pm	$2a$07$GUL0Syluo8i7PH3vguieVemmOqt6.R1i.7.PiTLLLg2cJ2gAjhxKa	66	2013-08-04 18:31:29.705342	2013-08-04 18:31:54.244302	241		0
23419	104y52thm1asn1gsqg3t28p7gw	$2a$07$RMhDkZ76E3EBVE5p6BEhn.xOJ0fNKVsCDOIHYkpRmGeGYXxP6pyDO	67	2013-08-04 18:31:29.744039	2013-08-04 18:31:54.416852	241		0
23420	10cr4q35c5zgcpng1rvc6ruw1f	$2a$07$EIpsfBCm4cI.ENrtXbhG9uUMilrrW0re3hvxb94kXC86rrfmVokHu	68	2013-08-04 18:31:29.776655	2013-08-04 18:31:54.543386	241		0
23421	108hy8g9bobhznpltbjhtwys35	$2a$07$jAS9nbSD6OoMunLpSD/cJeufVQ5JiT5BVB/tkyYN41truITGFSAh6	69	2013-08-04 18:31:29.798882	2013-08-04 18:31:54.69364	241		0
23422	10n1bxqdwjscoupbqcmqvdnlhd	$2a$07$HvyjawKsSsEEiMFyjOFQs.RXKYTh.gVQFT0l9gmy59nBO9G7IkWEy	70	2013-08-04 18:31:29.820967	2013-08-04 18:31:54.850928	241		0
23423	10vylwzyc9zzocxlcsk2d11gag	$2a$07$enz1LphKBiagNZzPMSgVpeOZPIoLA.EJVGTv/SvwuPCLkhcC7XdtS	71	2013-08-04 18:31:29.842783	2013-08-04 18:31:55.003091	241		0
23424	10x83hd38s2rsvo9rfx931gcn7	$2a$07$BAdnrIYDYrJwxTjRz/iPHexE66p56U53IVz5BIJUwrkQfgAxDKUmu	72	2013-08-04 18:31:29.8641	2013-08-04 18:31:56.203389	241		0
23425	104m24ph2pfi71ves8cryf8823	$2a$07$cmEQMnlUwdzXIe38TZiH1.aUbGL6F4sE.V1x0boe4yQfxQnbFAIQi	73	2013-08-04 18:31:29.885474	2013-08-04 18:31:56.346769	241		0
23426	10kmjdaf14icw09xudbyh0f0df	$2a$07$Q.LwXmFmtk5Iyt1uBKYv1OMppaS7YUsNWde9bRaQ/g0wN1QGKwEeG	74	2013-08-04 18:31:29.907873	2013-08-04 18:31:56.467317	241		0
23427	10qpo8a4f1zb1eguk4grpwf2tc	$2a$07$Ez8dvuHa36OUjRPyaAdG2Ohc85D2qUrsnMIJWTb3gATO/m1nQouru	75	2013-08-04 18:31:29.931575	2013-08-04 18:31:56.587993	241		0
23428	109fjj2wh7d1pyq5fa0jfgzix5	$2a$07$PYrTEvL3fZ60leDsn3RpXe7U22j1sX5ASLxK5VdhVc9Mlv8G3u4/.	76	2013-08-04 18:31:29.954206	2013-08-04 18:31:56.739359	241		0
23429	10fxqdnmp6g1wp4j0l0tdttqxe	$2a$07$dseTe5f4n5Uh08Z0NN70Y.ToSxQMPQrb00eOnMD1y1GZVe/dlhJ9O	77	2013-08-04 18:31:29.977414	2013-08-04 18:31:56.87471	241		0
23430	10ladhnnmt8867tkj8le1mg6er	$2a$07$N1OMDa7a2BfOXM9/puakgOZhov53OJVKLitWuSaeMqScXk3abNWSy	78	2013-08-04 18:31:29.999647	2013-08-04 18:31:57.074611	241		0
23431	10gbwjr5zeugboh4ahbd8t5kip	$2a$07$rtHlPfQDN7zODUMQeBMTMe3ncr7tfMiNbJ5Rgczrr65u0HXmBtQbO	79	2013-08-04 18:31:30.020828	2013-08-04 18:31:57.261747	241		0
23432	10pkfc4zpy8nea7nymrmmx0han	$2a$07$obhoaXa5xnM.3K.upEAJL.TOBpAcfGj9mBBChytQ6GTed.nor6keq	80	2013-08-04 18:31:30.041842	2013-08-04 18:31:57.451455	241		0
23433	10elz2r9pzvqgmhis6okie6gn4	$2a$07$ENZugiNB9Fd60BHfQrpprePyKWgEeYY2Hkg7wT6x3VxlzVeDnZJou	81	2013-08-04 18:31:30.064655	2013-08-04 18:31:57.673225	241		0
23434	105k4zs1jxwbcihidcheggvxxx	$2a$07$H94koaMHILvL5VIv4cWhOe4MBkfLR7iRV8E7AQV1WPUlaeMRFBIgS	82	2013-08-04 18:31:30.086501	2013-08-04 18:31:57.918597	241		0
23435	100a0g4nly65e2c27sqh721ea9	$2a$07$o6u/KshGgXoiEOcb9wNbHuo/WUfw5OhLj.E7Bfaf6/jbYMgwDnl6u	83	2013-08-04 18:31:30.108069	2013-08-04 18:31:58.9895	241		0
23436	10jadg18ujsjukyqncc588kxsg	$2a$07$xgnodhcyXCq/uWkZtDOIDehU6t3uOz6LO07ofoqIXQKiQoWxFHJtG	84	2013-08-04 18:31:30.129793	2013-08-04 18:32:01.637112	241		0
23437	10nvxh5xss4ndfg9pl7n9zhbjj	$2a$07$tYBk1j1PWuLamA5bXK1QtuDGMm7zJ6mNufwb.DCyq0VQJjKIpWafS	85	2013-08-04 18:31:30.151383	2013-08-04 18:32:01.77323	241		0
23438	10jtl1d8dzf66xushm78g149o1	$2a$07$C9Img7jJp3823nHGmGSeKemIl09Gdd5E9cr./45XxH2Oa3UjrC0J2	86	2013-08-04 18:31:30.173413	2013-08-04 18:32:01.894065	241		0
23439	10e23vnc5ktd5jrokljb8bis8o	$2a$07$t.9lUoEFsbqMPJCrQ3CnAOrELXOmah/ck1ftSeKY1VM9oAihgxaQy	87	2013-08-04 18:31:30.196748	2013-08-04 18:32:02.019173	241		0
23440	10cyf2sud3hz95hxr31wqdbov0	$2a$07$PUAToH3KpVVz2/MqVo2idenFY.zK.cUXnh7Td7k8NOi5i0QLT39KG	88	2013-08-04 18:31:30.220044	2013-08-04 18:32:02.151936	241		0
23441	106glbowarza3hfmfww46dfpu9	$2a$07$a8.lTL6/UJthI.VYTGTbCeTiaYbXuKXIFMS0wkKOFdUGEoMiHD0Li	89	2013-08-04 18:31:30.243305	2013-08-04 18:32:02.326783	241		0
23442	10b2pojjhtu4j5hhu67old3u79	$2a$07$9ogMORe5C4Veowx2E3RooOi4xbJ20Pm00zh9cOYnjwlX5PS/K3KeS	90	2013-08-04 18:31:30.265169	2013-08-04 18:32:02.482948	241		0
23443	10ovup1l8go8af05rc1dpvzsg7	$2a$07$7SrjTHvAUrw2.8VjyYNaouEDhQnZ1eKYKIxxJQdkKgJsPL5Vd6yyu	91	2013-08-04 18:31:30.287881	2013-08-04 18:32:02.65447	241		0
23444	10dft6vhmfyhb45qavm9i5clyt	$2a$07$1QmodoENRekC4dCkeS/9vOfyHlV0uVzppRkYoR9pGNuhCHL1wbM9C	92	2013-08-04 18:31:30.309678	2013-08-04 18:32:02.80055	241		0
23445	10ftsdvc0e4r80ecgd23c4bwt1	$2a$07$FkDITfAU0boFqvEiDnoOXuW7trFgZzgiyzpqyDGlqIZe9XUN2.Q3G	93	2013-08-04 18:31:30.331864	2013-08-04 18:32:02.905222	241		0
23446	10bw66j9ekm301xiknan9redqz	$2a$07$qsoHz2pAxJrfYOh/myZneutIBlgvc/m1AvM1mXua/KW5iKKlqZlwq	94	2013-08-04 18:31:30.355098	2013-08-04 18:32:03.044243	241		0
23447	10o4tgk77nbgm487vu9vz2b1de	$2a$07$n.NPj9iVPuIhNaWS/hpABeglhCyi9gqC6L8X/6Os4auz9ZCJPK1EK	95	2013-08-04 18:31:30.378772	2013-08-04 18:32:03.188037	241		0
23448	10k10rprbd64u875zmyetc6ucu	$2a$07$xqjYvYK9i4MKQQTNKZyvhupIW/Lgeb0yBfGrsldli.GrWQyCbaqjy	96	2013-08-04 18:31:30.401718	2013-08-04 18:32:03.333276	241		0
23449	10eset7bc92qtk16pik1gtp0lh	$2a$07$ovgAzHNbmImZReeXQSySvOcY/XeJ9eRdHl6ujSpNhK5ZxFGkxv1nO	97	2013-08-04 18:31:30.424455	2013-08-04 18:32:03.451801	241		0
23450	10a41megawflx4ego3pfbpr4vd	$2a$07$dazCfExWmx7YnsUyBIQJrOiACJ2JcIf702J9E1Uvm3YxXihQ/JPE6	98	2013-08-04 18:31:30.446031	2013-08-04 18:32:03.682099	241		0
23451	1024xgebrnigr4zk42xv6ujruq	$2a$07$nSNmn99R71O/231RmQcY0u2iTp37ph5BP9KbKiAY2OOxfvfg9uZVm	99	2013-08-04 18:31:30.469161	2013-08-04 18:32:03.903119	241		0
23452	106zl4vibqey8j5n8medwrqmar	$2a$07$olxFyDaxQEVDKNSWkGYvJOYbkrnIui2xUwqP5KOZLk7aPnPVLQ5tq	100	2013-08-04 18:31:30.492403	2013-08-04 18:32:04.015612	241		0
23453	10aehg3qj6pu37audpsknpwvg5	$2a$07$3u8KJ2GI6uunyoC4cePk4.w4LlsJa67cGNIseAGdIOoVvH08ibADW	101	2013-08-04 18:31:30.51591	2013-08-04 18:32:05.173014	241		0
23454	107w2i4zprign85cs3b3x073wd	$2a$07$Ev26ezmakEVRwDwGekYqQu62Erqxqfnlmg0VpceSp7cAItY3VfIaq	102	2013-08-04 18:31:30.539688	2013-08-04 18:32:06.365138	241		0
23455	10c5hy0um9xn8dqjzafwdb4zf8	$2a$07$HU1g7G091yGqByYzYf6S.OBnlOwA6O0v9Z.9X9vnD5ZsXpM1dEAJ.	103	2013-08-04 18:31:30.562881	2013-08-04 18:32:06.509008	241		0
23456	108jdxyoaajt9izbffjxq9r8yq	$2a$07$NPSj9VtmbVvW1aUx.8V5LuzjHekgWiQ6Lb32qodZ8Lr7TGVmVMJEi	104	2013-08-04 18:31:30.591907	2013-08-04 18:32:06.646371	241		0
23457	10ut9v8of98curk6uhsr8j0l5x	$2a$07$7dEiMfiQHjQQxuGearqfGemTTAAvbIgoH3QZk51vOHT7Sj24Q07fy	105	2013-08-04 18:31:30.616615	2013-08-04 18:32:06.776507	241		0
23458	1013judjnih8l06dqr7sb6r8sd	$2a$07$HxqUpUaj.3kR5fJAjcLdvOTBFX0/DyVqbCsQ2ixX30aYbHDfhaY6a	106	2013-08-04 18:31:30.641898	2013-08-04 18:32:06.911238	241		0
23459	1044zuj5qwpnihqh6rs04svoar	$2a$07$o8AdKplJqo4Rm5Hri4/D5u.z2WJrMi9OfBYzP/v6eoDFhRAAH20J.	107	2013-08-04 18:31:30.666945	2013-08-04 18:32:07.175334	241		0
23460	10zlhd7hy4ur03qq8tgxdr8v4s	$2a$07$U9RV91x7iQeEFFZPY0KGQO2fhAL7BjhuBxJby1NFBJAEEcPL02gJS	108	2013-08-04 18:31:30.69204	2013-08-04 18:32:07.433594	241		0
23461	10atm3a6kgat83bqfk53u11cz2	$2a$07$.5dHZi07VZhPL8M33N8UJu/GtN47NCRr9N38byx8sWCn7kNEvo0pm	109	2013-08-04 18:31:30.715952	2013-08-04 18:32:07.582824	241		0
23462	10qkfsaa0szthcst7lmttluog8	$2a$07$n/JSiCZqkwhmm5b.0.Owceft1suS9cLsIhe77pS/GYmZqt7RWbx.q	110	2013-08-04 18:31:30.739971	2013-08-04 18:32:07.729022	241		0
23463	10grmpmj1zmvk3akyvh5ht7doo	$2a$07$WDX6uSS8teeRe4TRQ9nmsOdKm8NvjphKPlGfI8yBqG8bY2dYE0PDe	111	2013-08-04 18:31:30.763402	2013-08-04 18:32:07.869843	241		0
23464	10epl73xhfxwi8k9s73ul45u93	$2a$07$8n4hDao67lCCk8Lz2OGd/OxhoxTFHsKGqaaDCo6FERjm2DAc6yyaO	112	2013-08-04 18:31:30.787202	2013-08-04 18:32:07.999349	241		0
23465	10145utdi33l1545iwno6l5spp	$2a$07$Czi9ChUAIqP6LEqDQpGY0.oGnFcH/7CAvYBR2c3uUO1S7UP6Jprxe	113	2013-08-04 18:31:30.810811	2013-08-04 18:32:08.187309	241		0
23466	10nik3hl9j8j99lfkbgav4gabz	$2a$07$fU5h2vTRzm585dN/OUzK4OBXqLQxw1pdpK7PKY02.LpnNmyqGcesO	114	2013-08-04 18:31:30.83499	2013-08-04 18:32:08.341683	241		0
23467	10mi3xwpog6n31ozt0vd57anbg	$2a$07$m.c7aw6oTpLbfOMf8BlIpeWK5PqacnSGQCLHErclvPJ3YbnwqyzZm	115	2013-08-04 18:31:30.857096	2013-08-04 18:32:08.583088	241		0
23468	10lwinb7acdjr3m5y6jykf4kbf	$2a$07$jjw54Bi6lZf8oi02tvHvrO.YKgOMlvwbmSlS.Zb5GGpfBjluIgY/6	116	2013-08-04 18:31:30.880503	2013-08-04 18:32:08.73573	241		0
23469	10f75t4f7ka7jwho9wnuejc2tn	$2a$07$Gj/c4PpDZWmn3BsrGfdRd.dIKYrBYQMYxe4HEg6Lvn3G4vvkgflIa	117	2013-08-04 18:31:30.903263	2013-08-04 18:32:08.946647	241		0
23470	10pp9q7f9epcg2blahdyb48mto	$2a$07$AbA8Rxcn8JZB3yWrnsYnU.GzONOrwSxKSnrcTsD0y7Wup23C39dwS	118	2013-08-04 18:31:30.926326	2013-08-04 18:32:09.068941	241		0
23471	10tyukm2rkr8nvpi4ik97pxws3	$2a$07$t19MH4Qq7yESOlfedEFame.Ibk6WwUTDh0aTy3Pb1ePnCFldF6AK2	119	2013-08-04 18:31:30.949292	2013-08-04 18:32:09.233771	241		0
23472	10zkrruhak5gj9pvcb5gtwcoup	$2a$07$jt.4.w3zZhWIN2ptkP7XQONN8z1PF1E371G6Uz1YBPGC9UGksbe76	120	2013-08-04 18:31:30.971197	2013-08-04 18:32:09.377843	241		0
23473	10chf8gpj22mz54zmiiset4ssv	$2a$07$wvq3IRX60WmfXifbKtjkDOtQWRnubmGYfilIuKi2fQedRzIf1QWVK	121	2013-08-04 18:31:30.994017	2013-08-04 18:32:10.415453	241		0
23474	10b1ww9kjorx5pyfk7mkvzx8eo	$2a$07$IJq5HU2WzbRG/BuD7iFp4.b9aiGLBOydZtWruSohIuXdEREobFw/y	122	2013-08-04 18:31:31.018438	2013-08-04 18:32:11.377903	241		0
23475	10xsdjwv29rwc8en3zt9jbtt36	$2a$07$4TaNtYvINfQmyBaQytHMluvAqAmZPfSMrFNgOT9Z4SnuIeaqpan/a	123	2013-08-04 18:31:31.041929	2013-08-04 18:32:14.053433	241		0
23476	105f55or5x18ah4g7t3746s6dp	$2a$07$Kk4I6GXXX/QQ3FkVJGz5/.OaigBvJBKQsQpv9iqeiD81Lsnc.87PK	124	2013-08-04 18:31:31.065333	2013-08-04 18:32:16.968142	241		0
23477	10t8iiaaarllfe26amfpy1d41w	$2a$07$L4bqyScjvuPppMffLhlsXe3Q63SybOCFskWEfU45JNoy8msLiH5qe	125	2013-08-04 18:31:31.088296	2013-08-04 18:32:17.111823	241		0
23478	10np7odbrgnxhjrjzfmbtugkey	$2a$07$TNenblQGrGG.93.VcqPrIeYgOS65KxnOCOVyVQbVipegnN6fhCXeu	126	2013-08-04 18:31:31.111066	2013-08-04 18:32:17.248707	241		0
23479	10sik6o2pb5hdzt6blkuopk278	$2a$07$dUZbIFxmVlV8BRFTYXijienAyC8ptrkQh2cbxs6n8cZobVBsm3TKu	1	2013-08-04 18:36:28.108036	2013-08-04 18:36:31.309652	242		0
23480	10tstzez723foy41khgq4fe3b8	$2a$07$spQZ9wgRETOgk6j2rcMkuOK5eAUfyrGXyjM9I1vtGQ.j0EbHHedvG	2	2013-08-04 18:36:28.131983	2013-08-04 18:36:31.44143	242		0
23481	10qqk5ynqnfxguxdbzrsyc8llj	$2a$07$jFswiCxWmadFQJiRzPKRg.sjuG.zp0/F4Q1qiLHdsYf.Q2Eb7U63y	3	2013-08-04 18:36:28.154958	2013-08-04 18:36:31.587677	242		0
23482	10szu4sz93iym17wc89y3p7kww	$2a$07$C8ZDdV1dV5x5Pqo8tlgMHuURFCwz1P7/0.Ncx/Euy.1XljlV8lb4m	4	2013-08-04 18:36:28.178998	2013-08-04 18:36:31.73536	242		0
23483	10i1ndvx0ekcgi3umkllek6mcc	$2a$07$qW2gavAF6/XTeCewqfLRGOLmebK0RbhvXJ6h0aVssVBQsJJw9NzZW	5	2013-08-04 18:36:28.200627	2013-08-04 18:36:31.863367	242		0
23484	10kv7u4iz277i8he4ad3zumifv	$2a$07$VbBP/4KdQyOKhP6l/N2DjO6s0zsxcUnEDKIg8baKmr233VACtRKAy	6	2013-08-04 18:36:28.222039	2013-08-04 18:36:32.008587	242		0
23485	10onvnhir7qh7um5vcte69bkyn	$2a$07$gwDwUlzugzsERwwqqi490OxwNMTEwogwxrYjoxRz.hbBvisMzVt32	7	2013-08-04 18:36:28.244791	2013-08-04 18:36:32.267497	242		0
23486	10edmy3zcsy53wh7899cp3i0n0	$2a$07$gb1FxcKiGhKMYt6s/CwhI.It9zvwcspQ6IAmRTjvNtcsMdc/ZEtrS	8	2013-08-04 18:36:28.268577	2013-08-04 18:36:32.394344	242		0
23487	10bnspajhkf29iedc3sy4oo2w4	$2a$07$nECT2uTSmtk4oZhGBNtGAu2OJ/5E7JI13Ya7O1luvMEPiTQsMIXJi	9	2013-08-04 18:36:28.292659	2013-08-04 18:36:32.502337	242		0
23488	102f5mj9tmnp86jtcdiqf7qh3k	$2a$07$L6TKRHEAUMcid8SEEhqpHeZ9FBOqcOa7xj3qG2x9KYTs0N7R4dZZ2	10	2013-08-04 18:36:28.31489	2013-08-04 18:36:32.637202	242		0
23489	103rcpp2hwmw5qgvowal0pme3s	$2a$07$SPFXxZFfevZE3cr06c3k8.DOiQt32VHx2wsfxlrMCMpC8nBL/QPhu	11	2013-08-04 18:36:28.337891	2013-08-04 18:36:32.780869	242		0
23490	10lijl1sy1llmmml6qxywwe1mc	$2a$07$ineRb044gdBaC0giM3vkC.xvA0DOAUewBm/6khTPM1J8Z.OH3x8Gu	12	2013-08-04 18:36:28.359453	2013-08-04 18:36:32.942388	242		0
23491	102a0un96yof7myezwdkui1mdg	$2a$07$5Z35ew/Yut6/oPoPJH0Su.AI0NW23p.ftDuRP4Gx4lc8m7uDA1LdK	13	2013-08-04 18:36:28.38092	2013-08-04 18:36:33.084029	242		0
23492	10zatc7rg3dhf8l77u6fejijm8	$2a$07$FlDkwG.h2r3UfQunl0d9MuSNUIfD0b77eU2GaWYbpFMcKGyE78mWe	14	2013-08-04 18:36:28.403125	2013-08-04 18:36:33.225233	242		0
23493	105szq5dz82u0b14abizgo2hzh	$2a$07$YnSJAglIq.EUQ/Xj/DlZW.TsG9bV8dN6ZfyVFbOH1SuFlkNR9ozZa	15	2013-08-04 18:36:28.427363	2013-08-04 18:36:33.357191	242		0
23494	10c8avp6jdlcc6sty3r8hqiydi	$2a$07$QUB9CNcS7FwsVKdK7WKCouYURKyZ.5seDQ3kRF5UbtN3cda9klG0m	16	2013-08-04 18:36:28.459998	2013-08-04 18:36:33.501247	242		0
23495	10m0gxmk9p6vzenia75i9nvhiu	$2a$07$riggsIOPqbQ5zCZSjmS4SOswUb1fH/2R0r7rEjB9FriW9J51WJD0K	17	2013-08-04 18:36:28.483625	2013-08-04 18:36:33.637813	242		0
23496	10xh4payuc346d8zmkg8gps82a	$2a$07$WpVJrQ2cpPWILJ4W4N1iveu8A.V3/V7uke0bka8/9wYFzbWpjAt5K	18	2013-08-04 18:36:28.507853	2013-08-04 18:36:33.805835	242		0
23497	1069tfcqmkde6we7s0s7yrlaxk	$2a$07$L5ChkqTEQ3BSuq7BiBOROuGOHi/XwysTsn0Vi7Mrdt/sTEeduUv66	19	2013-08-04 18:36:28.542598	2013-08-04 18:36:33.962967	242		0
23498	10fhnvk52fdejz2yre9ckloyz8	$2a$07$HAE8t80GEQZ7u4S9L2r8RO1Ll9DANJx0y2MPjddZuzF.qSEGSZ/SC	20	2013-08-04 18:36:28.577225	2013-08-04 18:36:34.106365	242		0
23499	10jpi4tvaulzlfpugf18z8ykp0	$2a$07$iDu.ufsCQxY2mKD3x4yAie1npmetYR6w3951pkyCJXuOs0.tzX6hq	21	2013-08-04 18:36:28.611025	2013-08-04 18:36:34.244804	242		0
23500	10rpxmg7lwfylkk5tyznzs04ne	$2a$07$CLqjri.jnTNQUlhdhaedveAs/ESEZHFuOnH5vsqr.09O8n69gyMzO	22	2013-08-04 18:36:28.641239	2013-08-04 18:36:34.370985	242		0
23501	10m6ewkktyc6mqlai48dojwaqg	$2a$07$XQHwOjove1iY0YkhP1lHSeY70iiXaSaEPHuu3nUUhZmqRlclEX.OW	23	2013-08-04 18:36:28.673988	2013-08-04 18:36:34.484803	242		0
23502	10smnxkohb6hhta3asuct582r5	$2a$07$3wj9l5Ow5tQ1.O56SJ/eS.RsaVH0keIMLkvqBD4LJuF4hmFztJ89q	24	2013-08-04 18:36:28.705756	2013-08-04 18:36:34.613885	242		0
23503	104cuqo63tjzoomliud5r1fh9s	$2a$07$ENZ0kfa7MdUJ0Us8yfSuGelMy8Hlzc5/xqZGnxbOeT/wz9LRyTZMG	25	2013-08-04 18:36:28.72915	2013-08-04 18:36:37.771385	242		0
23504	105k3ygyxkedumrzavfycq3abj	$2a$07$W/K3/p.uiX19bZcFHXDTgubBDgI3kTDuM75BOekr3onwAcX7ljspq	26	2013-08-04 18:36:28.757114	2013-08-04 18:36:41.072606	242		0
23505	10rtpxoy1u2zk9ag1ltxi3ng1d	$2a$07$oPtj63w9XkxsRfsxV8NfpeATDebhwP.gKhzB/PjFt3kD7.KeGnMly	27	2013-08-04 18:36:28.781709	2013-08-04 18:36:44.48574	242		0
23506	10ss4jiehwokq04pf1q9q12grn	$2a$07$mNSVuQd4Rf74qbThb0eW8usMkxtDzEf56WQtLpTb0Q54RdIzYrKQ.	28	2013-08-04 18:36:28.805771	2013-08-04 18:36:44.606464	242		0
23507	10zp9i6xbdk27neffz4lhf4qjn	$2a$07$jAtZoD7.40LXlQMpezuSXesYWMplOr7Mmd8J13HHym58Dy2B3PhdG	29	2013-08-04 18:36:28.83269	2013-08-04 18:36:44.744134	242		0
23508	10z33ycdr8cgb1q5r37n5xdrdm	$2a$07$/R7O.ql4Uxw/dPwqnUsHCuGzvAnD3OdMADQQFEJvOeqO5emlE8seq	30	2013-08-04 18:36:28.85507	2013-08-04 18:36:44.88594	242		0
23509	10xbabt6r6ptp38onlzmtjgvxr	$2a$07$ZSPUJTzo.T2rBC7pfR5Ezu7USrRYniBzd51LqGZy6Up07SKWBajN.	31	2013-08-04 18:36:28.876833	2013-08-04 18:36:45.008641	242		0
23510	10uf357fq1uezeadw0fahqp7n0	$2a$07$i75.TBpHHNij36uP.Kq5M.1Yyf.Drx7oLXezJ6jVSK.xioYo4qjm6	32	2013-08-04 18:36:28.898639	2013-08-04 18:36:45.151474	242		0
23511	10549869f4e5ypct3ty0hy2t1r	$2a$07$s0MmxI27MBmxwLrTOJFEGORuOE.o9S8E0P9svK3h8z6fa8gYd7bZi	33	2013-08-04 18:36:28.922255	2013-08-04 18:36:45.274403	242		0
23512	108itp4y0g3eqnl3w276ddya3g	$2a$07$2M1NHF4ePjoFw16dXCuRIefLBrOrXFVqnchvLvFCho3s1jVkUgVLq	34	2013-08-04 18:36:28.952046	2013-08-04 18:36:45.389626	242		0
23513	10b3j3jmqodxb76fu8ec6ujccs	$2a$07$yqfnjJ/u7qG6zrjSO6nPcudVjFbZz8GccaPQDa2Zym.wBEXXieNpu	35	2013-08-04 18:36:28.975828	2013-08-04 18:36:45.506135	242		0
23514	10d63hwq8b9ns2nhn8u5qbt2x4	$2a$07$9f9wnfW1E23eT6oouWUivOmh1EtPBOKCRvT58lIwViXZ/gufzOwn6	36	2013-08-04 18:36:29.000418	2013-08-04 18:36:45.600352	242		0
23515	10qfassg1t8jshv6arockttvfy	$2a$07$4YuzNXt27tUf1sUmkkQ5qO8cP1ToQbbpEdH.uy8jjDnp5NDxX3jEq	37	2013-08-04 18:36:29.022247	2013-08-04 18:36:45.707987	242		0
23516	10kvugiee9rk6wl1a8ic32dt03	$2a$07$iWaW3MKhrMu5SznzUXVT7OIY3WQMTZG8s.qtmInHoCFjK6gOIwgwi	38	2013-08-04 18:36:29.046965	2013-08-04 18:36:45.824148	242		0
23517	10fxmnddm6chkpj5tfjbupj7oz	$2a$07$4XQMmJRKHtNvVomqF6knwOGVsmy.qwHpEgAvpr959zirgapIxUL1q	39	2013-08-04 18:36:29.07161	2013-08-04 18:36:45.936136	242		0
23518	10ufdestsvdy6fnhsotw1i7l6c	$2a$07$/pPkYqUx9CJZfqeeTzCF4u/3Zmi8spiKC.MvuZizQI5oGozt5fQV2	40	2013-08-04 18:36:29.095853	2013-08-04 18:36:46.076962	242		0
23519	10vco099bq0wav9se44gwhihgc	$2a$07$XoUPPjC4wKc1QcbltUCftO3HkqRXxFveb7CTp3h0q34nj9oXyZADi	41	2013-08-04 18:36:29.118576	2013-08-04 18:36:46.219467	242		0
23520	10cod8ppexl5gim1m5geei6rhz	$2a$07$1W7JAGspYxqNfCMS4S.SQuSSVsVm2ZbKOmvBebyme4Vhbd.KXEzzG	42	2013-08-04 18:36:29.141755	2013-08-04 18:36:46.351789	242		0
23521	102m8it97cspduyt26w51ugcfv	$2a$07$N3uTUbu83y/Jols6sQ71M.wCQnIRAXuooPbKmGicTPL5kMLs6ZHc2	43	2013-08-04 18:36:29.16757	2013-08-04 18:36:46.501444	242		0
23522	10qmfwc08soycfkfokb4ud5q74	$2a$07$BFttaCgc4q8hQE4P5NtJLuSqTNEEUMKjEbE5cHjLXPFiTe3tmv4qy	44	2013-08-04 18:36:29.201884	2013-08-04 18:36:46.646968	242		0
23523	10ktqy0xouryq4apnbndh9qah6	$2a$07$G6vTWJcX/HRVQIPR/u5xZuXJ5OKQaj1i1fW5QkI6YhWHtcV9m1hQO	45	2013-08-04 18:36:29.238377	2013-08-04 18:36:46.825288	242		0
23524	10vprugtvo23pzj0yd0vnz0cic	$2a$07$4IRmG7KgydL.7ENNeqVHO.BFl.AoWhtITGCANPSG1q4lAIvq1C3xC	46	2013-08-04 18:36:29.260955	2013-08-04 18:36:47.213611	242		0
23525	107smtxvppegoj3r8cbpg31xe1	$2a$07$PYNznvDlra2drs6kg3Lk0uO4sMTACvk5otg38jxV95gyAyivflWsC	47	2013-08-04 18:36:29.282512	2013-08-04 18:36:47.410982	242		0
23526	10ym100srsjquevolbsgxvol9l	$2a$07$UIFJCpfjh.7WgtSTkeKEXesV9uzPErof3RGcFsjRMLBJ1806H5Xre	48	2013-08-04 18:36:29.306834	2013-08-04 18:36:47.573016	242		0
23527	10wxy52vs2hahbgusga5mumg0d	$2a$07$5s7FxG8n4MxXr.Yj3Ae6de2r.aBvnfJKl3hP.aE/DkfcnHDMqwcGO	49	2013-08-04 18:36:29.329953	2013-08-04 18:36:47.697365	242		0
23528	102ta6r8x7cwfne1qlg8j5i69z	$2a$07$iZQOaSvH4U1tKDIfuWLmd.waaulGH4m1CVbmNJq63itKiN9oZ64l6	50	2013-08-04 18:36:29.352848	2013-08-04 18:36:47.820766	242		0
23529	10jylxfduw6xzu7t4syhkfus4r	$2a$07$sPIRwiWYcbxzmiqXwHUJju12e8Y9P8bzddvjkx/dtrw.5FWN.0PJ2	51	2013-08-04 18:36:29.374006	2013-08-04 18:36:47.962976	242		0
23530	10a9hxfibq5b0xuq7zz88sf2ye	$2a$07$iB7GNJNpAY/DiQ7hJfhEXePSenqnYRP1b8kJW4YNxPtm0.wa0kyoO	52	2013-08-04 18:36:29.39685	2013-08-04 18:36:48.096278	242		0
23531	10h2rey96u9yb05tbwtjo7fn80	$2a$07$pn16BGFBTaBeQCXNiTvCHO/27BPeDOWdAlryRCTcdDT49TMI5eB8G	53	2013-08-04 18:36:29.419526	2013-08-04 18:36:48.266556	242		0
23532	10rvdgl87oznzjd0hlu9gv0v8t	$2a$07$AKwYsiRsRYONS3Jkt4uzFuSlBUhvGL22eHFHQ5DQgh8YB4IvYNaSm	54	2013-08-04 18:36:29.452945	2013-08-04 18:36:48.44386	242		0
23533	10kvf7eh71r1t5cs34cmc8g66n	$2a$07$KeVr5VnGkwsvtTlRAf3NAe08utgUAF/HSbIzGZs1qwPHg5a6o3IVe	55	2013-08-04 18:36:29.474794	2013-08-04 18:36:48.575658	242		0
23534	10uek2d526bfxl1bls63t5u1uu	$2a$07$GqjhtlKuO8dKZuD.E5uND.rsXENZqWYidVOfALgP16hEtvv/NDab2	56	2013-08-04 18:36:29.496357	2013-08-04 18:36:48.715052	242		0
23535	10y25qaba9vqwy3fy0mewfwjzk	$2a$07$nd97Se7BqdJgBcU068HHsOotbOH6gooEKaFqcsUmB.RyesopPB6Ti	57	2013-08-04 18:36:29.518135	2013-08-04 18:36:48.84786	242		0
23536	10mrzkyegc5y59m53n3e15uh68	$2a$07$zusZDKbR9.tRKROI.40NTOr0X2tEBXhiCqfvjYy67M2kn1mqH74Ba	58	2013-08-04 18:36:29.540771	2013-08-04 18:36:51.265289	242		0
23537	106mabbt02fg6li4eaplrw0jm7	$2a$07$r6tmxQXTtrNh0yB81HVQ6Oiz1r623.EbIwq1sfNMha5Vfj7Pp31dK	59	2013-08-04 18:36:29.564095	2013-08-04 18:36:53.710903	242		0
23538	10w714pf573z9whdy89xpnjf8c	$2a$07$GnX62vTqlr6IsswGKXHwwue3r0SxAFA6XsC3qV4F/pV440WRI10I.	60	2013-08-04 18:36:29.586369	2013-08-04 18:36:56.238216	242		0
23539	10snlkjf4bii29zt6osdw7p0jz	$2a$07$Maae/I5noL9alEXPsvHHbuVjfUunvCDvgPEU4.aBGH3dSDqYLRrGm	61	2013-08-04 18:36:29.608036	2013-08-04 18:36:59.049524	242		0
23540	103qvk6h7p86b82duk950f08bg	$2a$07$KopAb45dsk8jPbY2wXExwevHghtBErfyejyZYSMcwt5bNIO/Y0FUm	62	2013-08-04 18:36:29.629607	2013-08-04 18:37:02.149035	242		0
23541	10r7eso93ipj82x84p4pnbn5tc	$2a$07$0Q/a7MIwU30ViWtI.uE3/OJoBxwZ2obzojZ.OzLFvF/5FpxlHTAze	63	2013-08-04 18:36:29.651108	2013-08-04 18:37:05.34445	242		0
23542	10isxm8ucdmm7ggvjwlduw526m	$2a$07$nJ4MVlEQpdnTbHmu9mDzAujYLxmOnBGH2FBLLgwUjDIhj8Pmjku2m	64	2013-08-04 18:36:29.672522	2013-08-04 18:37:05.480833	242		0
23543	10texhr8hb8uewpykh8zms8jbc	$2a$07$htOmTx/iD5XRSr43bmAX0uNGuhIeXJ/Wfm3in/vjbHb9fGbQ4dsOy	65	2013-08-04 18:36:29.693938	2013-08-04 18:37:05.645976	242		0
23544	102hxjhw6vvxx8bchebwg2i3zn	$2a$07$UVBboxtMIKwdzdhpYyjpseE5i3sXXZ6Xk5u/rn.vYfEq3Asz3/Sp.	66	2013-08-04 18:36:29.715304	2013-08-04 18:37:05.787166	242		0
23545	10sf3iagm0ijx8ae9we8jaj0ia	$2a$07$IxpoItAiUg8wqgRzgrvf8OeiAMvc8./J8DeH1jIwn2QEMXBoB5fq2	67	2013-08-04 18:36:29.73816	2013-08-04 18:37:05.906051	242		0
23546	10wb7o8puc2onj52lz0bijful7	$2a$07$fbG/N.JIAyW71BMmgVdfWeJQK61Fq2wsLq9bhzthQHmlz7U1QztEK	68	2013-08-04 18:36:29.761104	2013-08-04 18:37:06.027786	242		0
23547	10a7eh6z6c4vjt2fv8e54hiodk	$2a$07$m.lQYgkYzbPaPS.yO0putejkWlIAYyrEua6FcNOme8bJnNtMb9kJu	69	2013-08-04 18:36:29.783936	2013-08-04 18:37:06.16746	242		0
23548	10gxrm1w326olvpoyz2tyn1ti6	$2a$07$EuR5eHeQN1ty5.AVH2ySJunMoVQbpNfnzPQluhiX./ppxUcI10RHO	70	2013-08-04 18:36:29.806113	2013-08-04 18:37:06.300948	242		0
23549	10llrgb1wp2sanbsjyh9rm9aue	$2a$07$7m.w2nhvXsVfbwlWJLcWPuM9qX3KU1L5vsh.DDOjaiM/VIJ1EDipW	71	2013-08-04 18:36:29.829177	2013-08-04 18:37:06.456008	242		0
23550	100me6w7mjeoizkl9mouevergs	$2a$07$p8q6CXhtFA0ZPAKUkIw2vOgxucdAR15yrSFt96sGEYlwjuy1HJp7C	72	2013-08-04 18:36:29.852503	2013-08-04 18:37:09.472143	242		0
23551	10lj08xanl2wnj5012o00e27s2	$2a$07$pUUHJ3XGnlyXH1E96e4t6u1IzZehx8jMJGsgNRZCOK9VToj5d2FHi	73	2013-08-04 18:36:29.875393	2013-08-04 18:37:09.707007	242		0
23552	107cf0reauwf4p6levluifmytw	$2a$07$Uv3Fwm4bCQ24T8Bw0lo7BOLzZysRVHFPCBLou1jMcKrImmQwH5U3u	74	2013-08-04 18:36:29.898357	2013-08-04 18:37:09.836108	242		0
23553	10elt5j377fnirx5crfvsp6wzn	$2a$07$mPr68MqsqtsjgEatvMNMI.kU3xL893UlcykLINoPjQ6QOQ8p8lNkK	75	2013-08-04 18:36:29.921173	2013-08-04 18:37:09.936677	242		0
23554	10vstoflwqtk1sqifv8i8902dm	$2a$07$vAjsyXferGPEBFHL2caijeHUACJgbjh2ke4TbE1NZFvRN6mp5.ZZ2	76	2013-08-04 18:36:29.94486	2013-08-04 18:37:10.07595	242		0
23555	107rkaqkf3oxlheryadf8x30a6	$2a$07$.IXyT6V9Cpc26pguCxWRXu1aDR39TCREa7gGbd9u3M8HoeJN5MJ3i	77	2013-08-04 18:36:29.968321	2013-08-04 18:37:10.20564	242		0
23556	10a65wvamzjg9mt59q1m9rzq18	$2a$07$iH9NZfsKHhTf9SLNiDDVy.az/j1yxCyYl2GFias7EQJGM02uvFn2a	78	2013-08-04 18:36:29.997252	2013-08-04 18:37:10.341678	242		0
23557	10bzry92qmo5hjn3hajk4bd9az	$2a$07$6rGtsR2G.59odsI1CIywMets0wZ0OYHuByPUmb2EncDM/H9OfcoKC	79	2013-08-04 18:36:30.020623	2013-08-04 18:37:10.472238	242		0
23558	102sgk398tsgodxh9qnsr0xog2	$2a$07$dicrLS.c1yo.Z4.xyu1iQO6CBc/Tm2oUArs1crmMpSkhVU8YOfCry	80	2013-08-04 18:36:30.045073	2013-08-04 18:37:10.627903	242		0
23559	10flphs4szp9zx4uln48hjk01z	$2a$07$XdAxXxPg9pAIWNziV0I7COutIdMZRxelLxP1AFHlZM9FX8gbp3oKy	81	2013-08-04 18:36:30.074429	2013-08-04 18:37:10.876118	242		0
23560	109mhne0x7lrogopwhi78ddpak	$2a$07$dLOB7JTk9k0GySYTLSvZbOwtAfhfaq2hDI/LbGwP0sS5fWufD465y	82	2013-08-04 18:36:30.098818	2013-08-04 18:37:11.008467	242		0
23561	104n9jmhb3lil9q3f55j73up00	$2a$07$PGNwZR7j1frDLmwJIOitfO7uwJVdcQdeQJ1aVdTY4fx6jsQe3MGx2	83	2013-08-04 18:36:30.123685	2013-08-04 18:37:13.406213	242		0
23562	10d1qq1c8ljxzzd58xnqb4mjg9	$2a$07$4cnXuZLhyMwZki.RscuT3OH4h/xNfSbNhTziixtG4x4C94xVBIo5.	84	2013-08-04 18:36:30.150617	2013-08-04 18:37:16.152077	242		0
23563	10f9073dtsi0v087lkllf948lx	$2a$07$4wjji1MrGeGD1.ZZRx7ePOBjiCEbP9UaobTET8meB0bi1T.rGQ0ey	85	2013-08-04 18:36:30.172348	2013-08-04 18:37:16.288602	242		0
23564	10gseri3qfm9x8om0wgfv252ek	$2a$07$.3p1ZwkncqdaFSvtmAX5ueLtCkjvRzXrQmguJ621XAG4NAHjFScrm	86	2013-08-04 18:36:30.194017	2013-08-04 18:37:16.389369	242		0
23565	10r5jhpq8zcqvdiqk50iny9xrb	$2a$07$nx3HkOuJfZDuSodT4ekCr.Fj/MeOzulq6TUYKDIRn1fYnVFXMv2ea	87	2013-08-04 18:36:30.216575	2013-08-04 18:37:16.538424	242		0
23566	10lelvfe9jf4famkjxqs9iyb4v	$2a$07$12nxQvWOQztdR8Ueex8OrOLAtsWe2izPtkREE6vooVaM7p83LC5MK	88	2013-08-04 18:36:30.239084	2013-08-04 18:37:16.684563	242		0
23567	107mk29hxwhi1vnz8yzgv5y2kg	$2a$07$rOyMtbiwEwXcR0N1vd2lmezojt3v6d.T24MUqZ30LC/PG3RPr7tj6	89	2013-08-04 18:36:30.262048	2013-08-04 18:37:16.964579	242		0
23568	10hkue11iwtem0z4i1kpeay7vf	$2a$07$L8hTCm8XNEd7K74K9qwELuD2SsmCSglhvdbKrZs/zDPvXAYUIRp8i	90	2013-08-04 18:36:30.284379	2013-08-04 18:37:17.104326	242		0
23569	10tihyqy9q1h61az66kr9j6rvt	$2a$07$MUCrR97w8HStLPl5.5nPWeONdR9zrfXH7e7KcqZ6Vi27WmdjcCjae	91	2013-08-04 18:36:30.307769	2013-08-04 18:37:17.265943	242		0
23570	10h0j5isg29qf33f9cz1k3aqfq	$2a$07$j8rmsB6.L.lT4u3ij6YqWeMKRyyxxSHeA6ETK/IkZRXtL9PKN7g0C	92	2013-08-04 18:36:30.33199	2013-08-04 18:37:17.436564	242		0
23571	10tg2bejar2srz4fpveqyjigrh	$2a$07$5P7U6JMFd.1J..Yj5WuisOa7FXbbNaWDalOWVCo9FNP6k8cwr70pa	93	2013-08-04 18:36:30.355947	2013-08-04 18:37:17.580221	242		0
23572	10t1e8q40shik82wbf08wko21r	$2a$07$iIcP2uzv.WB2b1rQp/bSneHfaFSx4byImhU7irT.PliO/Cn4pmsDW	94	2013-08-04 18:36:30.379154	2013-08-04 18:37:17.712354	242		0
23573	10dllfppzjnq5ad4ofrawcidvw	$2a$07$caf/XvPTqf8n541.erWvXe6gby6Vx80NZXAJgSn93bdU1fYV/cZXy	95	2013-08-04 18:36:30.400771	2013-08-04 18:37:17.8468	242		0
23574	10zlbw9lmc95iegojtutcctd1i	$2a$07$ZIB43icXGumab0Ih7RqDvOAw7u2HSB09BYjVAR5rI3ZoDD4KgocVi	96	2013-08-04 18:36:30.422469	2013-08-04 18:37:17.979935	242		0
23575	10cns58tuh7cgeafeb0ch6ceqo	$2a$07$mFKOmDUzCAFMl2BiUUAsIOud5tKlZN.5C4.DVWANRkR9zlZTP6KqS	97	2013-08-04 18:36:30.444173	2013-08-04 18:37:18.106479	242		0
23576	101sd94d0hi8t25u7v3rdyvvkl	$2a$07$E.bKdGOKWfY2y4xrO/9Puea5xhRxJLjHk303ecRGq77RRzxegKxtC	98	2013-08-04 18:36:30.477467	2013-08-04 18:37:18.339798	242		0
23577	10nyu78ymeel8ghm9haxehelig	$2a$07$agAee99EdxOhF8MJFFdM6OV9W5NIu9mYOTg9uYkGxLrcXt5TJt7lO	99	2013-08-04 18:36:30.499484	2013-08-04 18:37:18.490602	242		0
23578	10lcdnbinfzpnae7kzgkjc9lrz	$2a$07$3cPjJlzmhoFROXl4Q6G6K.2dHV3KwAsQABJ5vSZ.3luNSiGK5s22C	100	2013-08-04 18:36:30.521891	2013-08-04 18:37:18.615921	242		0
23579	10v4mluudhds62clyqr0sgccit	$2a$07$zugcMy9MCeZc.OMSzy71uORVIPJYhbicmU92nGhZss0.hjc/Ua3jy	101	2013-08-04 18:36:30.543789	2013-08-04 18:37:21.776606	242		0
23580	1009p8s1cp182wa5u57a4t38xc	$2a$07$mr6nzLtmzD0KHCYNCOl54.fSi7Sx0Ajwhsk6Qeg6sASA5uRDLF3zC	102	2013-08-04 18:36:30.565651	2013-08-04 18:37:24.916231	242		0
23581	105xqrqvvuuo2kqsensircuy2j	$2a$07$e7fQ3CG4H9ErIVppVZ15l.ZR4TpqET53lE6caJrJBbmqkFb/S4H32	103	2013-08-04 18:36:30.588257	2013-08-04 18:37:25.063953	242		0
23582	10nx189ykiku1dxf7q5trj7tnp	$2a$07$s38E1kUnEo1VSD6VQo.qx.vG.XbkzrMd9D3gwIs0gJCjdslb2zkUK	104	2013-08-04 18:36:30.610197	2013-08-04 18:37:25.183404	242		0
23583	109qf1uv7g1zoolqtqemgdb0e4	$2a$07$aUx3hybyxUj9w43IB52D.OKhjxwR.URaiimGCnoYeZV0SpWP9Pjxe	105	2013-08-04 18:36:30.631827	2013-08-04 18:37:25.275973	242		0
23584	10e4844p65vn39mvzqlj6dyj4x	$2a$07$g/aZKfhQvKmaclM62cCmN.KB9rIO19EE7ggkowgBAgEEMPb156646	106	2013-08-04 18:36:30.655539	2013-08-04 18:37:25.365156	242		0
23585	10zwp2sgxtjgfetabpj23cu6id	$2a$07$uTQhU2VxoEfdB8YqZWXnP.9mmj7G2fuKOEQZMAhJmw1NRdSeZ.aLC	107	2013-08-04 18:36:30.680375	2013-08-04 18:37:25.462157	242		0
23586	101zcbvx3b1iqt41sbqb6mcuj7	$2a$07$/wAra.MvkzEAeZjF3jXAxOeWlscTlLFP9UVlxwUdf0550haAyqvQ2	108	2013-08-04 18:36:30.704687	2013-08-04 18:37:25.552654	242		0
23587	105k9447zzaxhp9noo03xi5eio	$2a$07$NhHpw4/aSuDXECG1Bx7d6eMmPfZVMgEYqH2eo7432lidkDJBIZvke	109	2013-08-04 18:36:30.74121	2013-08-04 18:37:25.655853	242		0
23588	100qatue7zf63de45bq56xcti0	$2a$07$xYMGGVGWLpFo7ub5v63Jke8FOxuq5uAW/2Zn0zecwD/WbiknQisd2	110	2013-08-04 18:36:30.775018	2013-08-04 18:37:25.796146	242		0
23589	10fuf1cjqa8igwve9eqz78p0ii	$2a$07$eoXxbaPv7BJ6bjlV9/UHQezKEJHhNBE5DMeNh4G9u5LEdcPY.lbDG	111	2013-08-04 18:36:30.802367	2013-08-04 18:37:25.941874	242		0
23590	10ian7cf1ad8q1fhnfanrb5llq	$2a$07$KiZRu9Ln68XcNOnjc1imS.v9PO5V0W8yxW1FicXUkn4PTcOt7qT2e	112	2013-08-04 18:36:30.825157	2013-08-04 18:37:26.081892	242		0
23591	10k2fyt4bedv82aah7m4vq3pe4	$2a$07$cHeR2B29kENLpGsgPt0xyOigyYZsz4Lv1N2R3/Nn7B3KGit/tE.Km	113	2013-08-04 18:36:30.849361	2013-08-04 18:37:26.220502	242		0
23592	10f2kyljy163b5t5f65xxghhp5	$2a$07$o2lX2AmF0QTvt55mzOkfYeZGnOO4IlCqcrMhjb0ROSgLGq09HPggC	114	2013-08-04 18:36:30.87202	2013-08-04 18:37:26.360009	242		0
23593	10j6e01e1brz3syzrwbah9x1gb	$2a$07$W6atiGHCBn2/LUi2NZCob.4kQb4zjNCXEMNm4edb5QY4Jklg83wha	115	2013-08-04 18:36:30.8938	2013-08-04 18:37:26.647309	242		0
23594	101aps0gun56dxk1w6homyzoc2	$2a$07$Ayl52MlgP8D6Sb7nx8Haf.YDC9LC2iKzdXrEVRY.lQ2kzvSBu257i	116	2013-08-04 18:36:30.915471	2013-08-04 18:37:26.829884	242		0
23595	10b0dtfe9e2mhfp5vwyekgyevm	$2a$07$PhUYygmGNn9poY52KCOT1uWkHGlFDNIl3VS.W9VwTkh9yp81kRZCW	117	2013-08-04 18:36:30.938195	2013-08-04 18:37:26.991537	242		0
23596	106ce1njit1ps9rwiejji3r4kx	$2a$07$nC4pLHK7rDA8L0NMSMYo0.s6SrADjhCksiH7NtVz0FCkkEyVWvdde	118	2013-08-04 18:36:30.961403	2013-08-04 18:37:27.130654	242		0
23597	1035p4b2izhoo94xnbq76ih4pl	$2a$07$R16pRT6MxpVTiVqPSalNeuMw25hox/d74AlHXw4Sj7zT.41UfljeO	119	2013-08-04 18:36:30.983276	2013-08-04 18:37:27.269671	242		0
23598	10daxb675y1r3338qkmecjz2wr	$2a$07$WiJEASPeqHEsRRBoE00S9.t99NrDCruqGQg.QAVWPlPYLojf8EFmq	120	2013-08-04 18:36:31.005883	2013-08-04 18:37:27.398934	242		0
23599	10o9heindefg7ffhgduc2o9ufm	$2a$07$gHUBi1Jlo2n2z0Ec9W0I9evhbmLCCaYoDISWKym7lum/Wliy6yHt.	121	2013-08-04 18:36:31.028757	2013-08-04 18:37:30.083276	242		0
23600	10k07vqfu4g9ucssgq6sdjixkv	$2a$07$gQ/Qd39jpDE3QhiqiUplUeaugY2i.bP.WkHP8B/oIZ2ZMZdCpc3f.	122	2013-08-04 18:36:31.050496	2013-08-04 18:37:32.635667	242		0
23601	109tglde9mbt729bxuw2okgpip	$2a$07$T5rB5m4wHKbks6nQkGogVO5mM1vOeF1hCPGjwSmSlmP2L9IvJWWIS	123	2013-08-04 18:36:31.073758	2013-08-04 18:37:35.358431	242		0
23602	10wocxn08m86ck7ukvx8i3fwg3	$2a$07$saFcYJosHVCvrK2nIw1SEOzR1OvzZBeypP17xtX3999kIsU0di9A.	124	2013-08-04 18:36:31.096639	2013-08-04 18:37:38.231586	242		0
23603	104w3wzek69wu4u7avjh735d5m	$2a$07$SZ6wnJ5D7b6UfLNVtnBbPuvtXQ3i.mKaqg3azZflBUOnrKYdNQKJm	125	2013-08-04 18:36:31.122151	2013-08-04 18:37:38.374234	242		0
23604	10aqqri06em4lj6dxa3um5qce8	$2a$07$S/Vu39tpALKPfGxl2CipT.PE966TxeveqTBeggnosudMSFi0PzJKO	126	2013-08-04 18:36:31.14618	2013-08-04 18:37:38.514194	242		0
23605	10wwa72qi05e5fg6u1qx6pv2rw	$2a$07$VJjbHTJXkZnzfslsKGN6IeUhocB7Gd/9vDtsQBbL.lVqdpLibCpvS	1	2013-08-04 18:41:28.130899	2013-08-04 18:41:31.173946	243		0
23606	10om8t7thw6g32own7ugp0uzr2	$2a$07$GZBQ3euwKEQ2yh3ziNO/e.eZTkrqmlSyTmxBeTX0Fp5t.7hPL.PaO	2	2013-08-04 18:41:28.154398	2013-08-04 18:41:31.323643	243		0
23607	10a03un9ymgtrnkzpbebxb3x77	$2a$07$YEll5ovYFRWQ1oU7kzBWuOBW01o8dHuK9XdvlkU0Fq0vNpNxvByei	3	2013-08-04 18:41:28.186134	2013-08-04 18:41:31.448765	243		0
23608	105dbwsatgmapg4e6mhrnbyt61	$2a$07$kOqUmrCLCSRSlxHccY4Qd.iB1056Uqy4EnlI9rBR0R8tUCx0pdgaO	4	2013-08-04 18:41:28.218059	2013-08-04 18:41:31.593995	243		0
23609	10gvz8xofnl9y3jy3jm4uh0yz7	$2a$07$jEpdvoe/1iDGnorE5bKiwuSoXilEmm2Qxo82bQSgYD1RKDxnQVpuy	5	2013-08-04 18:41:28.25167	2013-08-04 18:41:31.701584	243		0
23610	1037b9h5o8x2zpmgt8p95fcmre	$2a$07$F/Gx2khNr0zTZXqpTER24eyEDnrUVl0OesunrvOaftqJzRs.TnlRe	6	2013-08-04 18:41:28.274533	2013-08-04 18:41:31.830766	243		0
23611	10xkvkgdk8hair86585q74152f	$2a$07$mC8M1taLtDx7h4UDem.9OuVThm3F84UZEe5wZNRBEA.JLluhCR8c2	7	2013-08-04 18:41:28.29747	2013-08-04 18:41:31.968616	243		0
23612	10rzr54wwhe7iz11x082jx1r5i	$2a$07$9.scB0hMQslxa8wndpYIKOHYNjAMaVzNO2T02xEaUTCcAuRFFhhQW	8	2013-08-04 18:41:28.320407	2013-08-04 18:41:32.102179	243		0
23613	10diplgtg1b6mua0y6qrbsqsun	$2a$07$ckKf.v8sY1B6Ic0EpkTd1eJD7pHjn9gN1LcjAMS/QsKAZ582JYTPG	9	2013-08-04 18:41:28.344742	2013-08-04 18:41:32.230569	243		0
23614	10k5ng14r8zz90r6lp9m5d1gl9	$2a$07$uxZ2.SDwTxSf5jZATwb4JOYm0JLbuUIWXoX8XGLeStWFBPDsVEGgu	10	2013-08-04 18:41:28.366921	2013-08-04 18:41:32.370103	243		0
23615	104p7zhnqgp7lg8els0b9h18zg	$2a$07$eozRf58V259QjnfcFm5P2u223jHWpCYUuMQup1Yxv0TmO2/U8/X52	11	2013-08-04 18:41:28.388687	2013-08-04 18:41:32.501767	243		0
23616	10374jjf5qwqrr880lf64y9xyw	$2a$07$OccwkYz0u10u4116MCciEe4KFkDUJbAQQatyv5eqij1FO/9S58iO2	12	2013-08-04 18:41:28.410494	2013-08-04 18:41:32.634455	243		0
23617	102vu7vexcchltzkma4agk4hqg	$2a$07$BdxVCCOyyiLbkzXzM1s33ev.BMABk/x3VQzXzxmqG6B66AXauYZi6	13	2013-08-04 18:41:28.433831	2013-08-04 18:41:32.759036	243		0
23618	10kv00ef6mv4hd03shbktme4kv	$2a$07$yie5mQSGuasS235plQvEH.d/M7l9zgCzcYCBm1MWhnMCu2Obk9AYO	14	2013-08-04 18:41:28.455768	2013-08-04 18:41:32.889715	243		0
23619	10eqpv8rxjac8llwgxg26jwnvy	$2a$07$JYfpVBJtaTC.ESWyhrYYVukCzXKvtFl.oFIq4310Z1AN87ECi.NHu	15	2013-08-04 18:41:28.479123	2013-08-04 18:41:33.021077	243		0
23620	10a33ts84enxg0y99fg69s92mi	$2a$07$eRviRXlMXFmDGLPIFQ3Ka.veU0fgV870.bm6fXwn24Y6eKzxgylG6	16	2013-08-04 18:41:28.515694	2013-08-04 18:41:33.172269	243		0
23621	10agg4zxx5h86othlucdgzhzn1	$2a$07$M9qeYLf7Tyq/PIqUe17M9.s30I23.iSDBtYx6iN1pzht3LHEL6ReG	17	2013-08-04 18:41:28.539452	2013-08-04 18:41:33.328316	243		0
23622	105g816dhahw405k8vg2yxxbs5	$2a$07$p9YOtUN5wp3JvJWQqFiZhes2EttUW0vcgjcJDX6kR.IcwBp3lxSzm	18	2013-08-04 18:41:28.562452	2013-08-04 18:41:33.466565	243		0
23623	100irrqbjoqu2458mkjsnkq2mg	$2a$07$gwvpn65MclHCnD3.xgDuxOLcWyejYzW/NTORupeej5PbTjGDQmSry	19	2013-08-04 18:41:28.58432	2013-08-04 18:41:33.582453	243		0
23624	10dw4q6ufo0ae4qotqjq06wlen	$2a$07$2nKkJcYd/IrW2EgJL.CSKu7SbDYPkxfj15ZUZzzA8NlfiLGoQOUKu	20	2013-08-04 18:41:28.608089	2013-08-04 18:41:33.701767	243		0
23625	10ciqku9lqodko620fuvx2uxj3	$2a$07$wFu37SFj8l.bFack6UapU.F3NvU/6UxUJjpdkvbwwssp3Ioesaoim	21	2013-08-04 18:41:28.632089	2013-08-04 18:41:33.850858	243		0
23626	10knm3s2uicwwbncc76z468sxm	$2a$07$qF/w6WeKERKK4NmPa.6T2Oplm.RUcRmTNtqTL9IQSrFsQxhzESy/a	22	2013-08-04 18:41:28.655369	2013-08-04 18:41:33.967038	243		0
23627	1007u7ypvr4lfknvkuu3t12cbh	$2a$07$vyBMRAW9zVCBhbRUvTqGV.tMKRaCS8JfO8FyEJSRFXSyUrxrXPL5W	23	2013-08-04 18:41:28.677761	2013-08-04 18:41:34.089249	243		0
23628	10h0x045w43j8xyr0a8jj38lqf	$2a$07$GeKcp8P4SyGqWd.uDAc44uJFHbi2I3THgZ3.D/7cMQcf90owmGJwK	24	2013-08-04 18:41:28.700601	2013-08-04 18:41:34.233893	243		0
23629	10l9963nvr9zsl92pr6muh6rsj	$2a$07$Ohgfl1DsaoyJHWOBFSlN9eupMNAmTW6NAZNJRu7tF2aAg/xMnUXGO	25	2013-08-04 18:41:28.724777	2013-08-04 18:41:37.594802	243		0
23630	10gxit0uweddngdcc98416cftm	$2a$07$2k.df5Wq3I6xMaeioi/b9exbfwa12UQC2EnMImDrTsTtmLEZqmlzS	26	2013-08-04 18:41:28.748483	2013-08-04 18:41:40.777004	243		0
23631	10m7buwvo4jsc7ptwdarpvpgrj	$2a$07$V64DI9bAv2jlQ2KPCp.wMuydYPPwfzlhNqorhiqY285/Q4zFusMg.	27	2013-08-04 18:41:28.772886	2013-08-04 18:41:44.107395	243		0
23632	10djigs6otfdgzpnbj9azng3qd	$2a$07$bbwrNOAtiLvhzKNMzezYQ.zcNpM8O.KJ3.JBMuJEysTp/R8HtlfBe	28	2013-08-04 18:41:28.795969	2013-08-04 18:41:44.249843	243		0
23633	105u7d8xs1s72hiu14iwbhbez2	$2a$07$tquinxhEb.z55dG93uE1yOrBk9elIPBWJd1Ni82jKtb1mO0sVGwcS	29	2013-08-04 18:41:28.818991	2013-08-04 18:41:44.461381	243		0
23634	10t7kmd7kjap19dcyi7iaqtswl	$2a$07$U9iOSQo15pTbh.bWaf.OIeRZdpZBribntxnKE71kv810ds5pgQ6Hq	30	2013-08-04 18:41:28.842082	2013-08-04 18:41:44.688573	243		0
23635	104tf2ajd7jcsm6tcxlf9v8w0e	$2a$07$6vVldN41ynaYCRvsKJpL7uIfHpm18DlTUk/PSG84ETXuObhVvVrX2	31	2013-08-04 18:41:28.875813	2013-08-04 18:41:45.103627	243		0
23636	10u2ihcruwkz3ztge3hf4ufvu3	$2a$07$.kXevIfnItN7u3d1RnQ4NORkfUOqDcauizWdcW8i.phkl0NuCZpja	32	2013-08-04 18:41:28.897574	2013-08-04 18:41:45.235358	243		0
23637	10f5afgw5q6rt0b90om0dkv0og	$2a$07$J.SNVgwEYnN36xEbAUm6AeTDPqFSq2J2u02gVOG1mqH.zvwWPSEwW	33	2013-08-04 18:41:28.919327	2013-08-04 18:41:45.34442	243		0
23638	10ubf8xp3pb5oxcpitk5kmpxep	$2a$07$qBM1m3K3ZlarcHALARaZ.e3H7tntHAq.HcMihOP./yMwmrHhNEX4a	34	2013-08-04 18:41:28.94111	2013-08-04 18:41:45.477627	243		0
23639	10okox0f1ajmvqw8gao9eq21d5	$2a$07$b7RnNdZXBLJz2TisC4NxVezMGfI.U5L3fuJnZEDQQ8YGa4aClAXHe	35	2013-08-04 18:41:28.962651	2013-08-04 18:41:45.596238	243		0
23640	10ojoja1vjiqisq4c7zs7eh49j	$2a$07$jI4JlDw0QS7N37JQKu8Qienn7lnCe.CTlVDFYPANaQSPlaqkwT8fu	36	2013-08-04 18:41:28.984114	2013-08-04 18:41:45.737134	243		0
23641	10h45yhs401fpkgbwhisrgo4gf	$2a$07$w9g2tVOhZaDs1pbXb/7DvOU/57uICgVBl00y9MPVZ9aHwzfabDzIC	37	2013-08-04 18:41:29.005565	2013-08-04 18:41:45.871237	243		0
23642	10qtwwwmx1q8e4zgh4hderbl19	$2a$07$w/W7p2qSQIgrIouc9zfPg.quRqX51RJV4WXt73xvXFph3a5nFxwUi	38	2013-08-04 18:41:29.027096	2013-08-04 18:41:45.99366	243		0
23643	10o4no09fnb82i6w12ag8d04cq	$2a$07$bXUA2xwgqyJmTlosfoM2hevYvTnjkL3EknKtUwYMGIk0I4mJHGFPe	39	2013-08-04 18:41:29.048668	2013-08-04 18:41:46.13793	243		0
23644	10yk9l1egb4epv5930kb70tz7n	$2a$07$vfzwk9/hnIxaDL5PIm0Kb.uu.JpR5NrYspOJMOmimzn1zZsSRYImS	40	2013-08-04 18:41:29.070211	2013-08-04 18:41:46.26321	243		0
23645	10pfk6nzpq5nrqag3ejz834n3z	$2a$07$4NJhHy1fT.Dgn1TRGHL16uJL7tJ8KIi/WLELhLkyancaC3y0jKfGW	41	2013-08-04 18:41:29.09173	2013-08-04 18:41:46.388208	243		0
23646	100tqasstjsfvtrbgsjrcqkcrm	$2a$07$y3AO5018gPp1U4a46nRoWeAeER6UYHY5.4Ms912BeVkyCJyzGUGzu	42	2013-08-04 18:41:29.113119	2013-08-04 18:41:46.507371	243		0
23647	10gaq17ryn8sid9zzjf8v3ozi1	$2a$07$lr/R3JnqG3C6agU/dr6Q2OhIyI7XIYQAXEPBFvCd7KTs39DgF9JsO	43	2013-08-04 18:41:29.13644	2013-08-04 18:41:46.652027	243		0
23648	101mky1f9gsx5wswpmmqgtuw6o	$2a$07$wPYs6twOnRx0vCnc9.M8deSERkGi78bxCC6nFqEQHMpEedgBzNKlq	44	2013-08-04 18:41:29.160418	2013-08-04 18:41:46.807934	243		0
23649	10tvwgei2tm8mceebwqvmizb9s	$2a$07$Np5nQSDb4UiUZeYztQ4U6OP6u0.0QflhgzCqlqjGsSbhZoRiwfiK.	45	2013-08-04 18:41:29.182272	2013-08-04 18:41:46.947821	243		0
23650	10qss6iuy7mkfy6ikhpzyd1y4v	$2a$07$/BBkyhXT9rI5ltQaYcVMneoRL2UE214hQwsKcOdlfu7.fl4F0rHdO	46	2013-08-04 18:41:29.204118	2013-08-04 18:41:47.157981	243		0
23651	10ums48ifpy7z8m3rcrzacb80e	$2a$07$jTrIFruxMhWf5IdFhNAjeujAmUY11Ki4KHZ10orSdGg4QhlCHhDqC	47	2013-08-04 18:41:29.225895	2013-08-04 18:41:47.296105	243		0
23652	10i2ujoded8fvfdhlbmtujoy0l	$2a$07$3TBIqmTCTa5mOLX7h4mtLOTQi6/Fg4AJm9Y4kZQJRZ4Ed5UUv2m3.	48	2013-08-04 18:41:29.247689	2013-08-04 18:41:47.508567	243		0
23653	10tz7kg0h4j0446m5txjuqg402	$2a$07$l0Wy/eU0woXy7Nl/diRduOPFOdopiS5kFMcMYVYzF.uSBV3KXhTc2	49	2013-08-04 18:41:29.269383	2013-08-04 18:41:47.655229	243		0
23654	107rolhh4lms7ufwrkxv5r6lyx	$2a$07$8g9ymMqXeDxjNT3dsr6W1uIXQk2d.UW/.9rBy1GQxxJfR.VYUVbtK	50	2013-08-04 18:41:29.291158	2013-08-04 18:41:47.799203	243		0
23655	10tapys0wyz7tmuoh8iu8k71e3	$2a$07$5ZgVH7.mzmHJq4PywYulPudD1XT6jqnZRjmUXGZlvAw9msUdI.seu	51	2013-08-04 18:41:29.313975	2013-08-04 18:41:47.945624	243		0
23656	100dvske06rgxqmzuuaca4hlyt	$2a$07$OKDsRXJtOl91PLaFRcz8k.7zPPhngoPl3unN3r4mZ7FD.detLFI3W	52	2013-08-04 18:41:29.336895	2013-08-04 18:41:48.097376	243		0
23657	10rhk57kdgxc9yp7yysp6nl4uk	$2a$07$U2qM9pSGz6wiDwtaTInE/.sZQwXobrKS0vTOWiiqdvE5IP6dxUkt.	53	2013-08-04 18:41:29.359741	2013-08-04 18:41:48.285761	243		0
23658	10jpj4tug7fpewr4tgr9v41p21	$2a$07$PKe0Xy5nsSJav3RKTchFlOWvFTIBslQPTfO0D7b/hs2e3PSlt78N.	54	2013-08-04 18:41:29.381276	2013-08-04 18:41:48.423808	243		0
23659	102iitj784arx0mv1o52tq6wrw	$2a$07$HURQPvAbmFR7uF1zq9fRluDj1bfAJ8qDEIHGqNTYv91s4TAkxsBTy	55	2013-08-04 18:41:29.402873	2013-08-04 18:41:48.577231	243		0
23660	103wfjok7x2xb3ppblwsa714sr	$2a$07$xiN0iB703Ila1T/FLL4qy.RB68irYMyXTyUb7GV7Au4MmWvPdKVwK	56	2013-08-04 18:41:29.424495	2013-08-04 18:41:48.773573	243		0
23661	10zj1yi335fja1h5xnxjlehx8d	$2a$07$cak.jlzIu9mNkjWCKi5A6etsTqiwNjpeUFzp4vzQje5iJ87AeiZ1.	57	2013-08-04 18:41:29.445983	2013-08-04 18:41:48.911667	243		0
23662	10h603wq408xrdt0mwwvtdqgje	$2a$07$G9UkX2.952kPA3H8cdXrEu5YOF9htL6pVMy3GnjpDWcn8oNqMbr0y	58	2013-08-04 18:41:29.467383	2013-08-04 18:41:51.446312	243		0
23663	105sn5hg4xy55q7wf6mb7qmm0x	$2a$07$xjILDrdsj7g0qzHDk.d7.O24ZQWWYF8MjUf.zH2Gezb67W4OugGZ6	59	2013-08-04 18:41:29.488692	2013-08-04 18:41:53.932747	243		0
23664	10y43zweldv18hyz6jok8g0a4d	$2a$07$pLyqhJCeSJk2dikUgK/SSOciaUCahiAHS9XxJ8qEtSA8gig58mTX6	60	2013-08-04 18:41:29.510474	2013-08-04 18:41:55.515698	243		0
23665	100ekmcx72fnpwcrxxmyfln02j	$2a$07$7XxoQQPHvzRbhclsmsoBiOZOnqk4d78mpRhi6X5r7GdOqsk5HSCrG	61	2013-08-04 18:41:29.532446	2013-08-04 18:41:58.096886	243		0
23666	10xvxe73msb45ujeq5epazme6a	$2a$07$W2ZUxxXNZ01W7CMaZqL2mOcQO6y8O3uBHOhs.fScwVqWv3Paq5xf2	62	2013-08-04 18:41:29.55582	2013-08-04 18:42:00.938512	243		0
23667	106uefrejs95q7xsxzcbujomvc	$2a$07$jvNipYabtYT7Lb5b8uFR5.2oD8yCRLI84VnPQqykHllaqvicQ8i6W	63	2013-08-04 18:41:29.57873	2013-08-04 18:42:03.842687	243		0
23668	10nsi8nhm0lgukx983ahp05a1w	$2a$07$p.Y2pF25ICUbvn3tCJ25deOFPouFbu650cbiElK1YE/plBX1K2Mdm	64	2013-08-04 18:41:29.600203	2013-08-04 18:42:03.975634	243		0
23669	10d1kv1lkw5z7t7zn36mxbunb8	$2a$07$fg8shrsf44kiws9dL0BW4O.10ROP4U.V0gBzPSLrniztPkxBQD3eS	65	2013-08-04 18:41:29.623174	2013-08-04 18:42:04.100643	243		0
23670	1039doqfgqijpryj5jq0fp81mi	$2a$07$AeDfVeHLMts5Kikl8Bf9uOxCGBB8eQUpiHkv/H06FVan2OPhIwLc2	66	2013-08-04 18:41:29.647374	2013-08-04 18:42:04.244325	243		0
23671	10ox7w3kqbbkin8t14gjlr06w1	$2a$07$irCVDFiIc7Fb6DPzxbl/We8JaHGuDKO73lSrGwMvva6/VcbSgoARS	67	2013-08-04 18:41:29.669667	2013-08-04 18:42:04.38813	243		0
23672	10nvlqruk4bl9duuqefc6ji7qk	$2a$07$o6WyQFzg/Mx1lVss5Bg8felRs0B81uwk907iDnUXKbtmB66qQ6ovG	68	2013-08-04 18:41:29.691377	2013-08-04 18:42:04.488871	243		0
23673	10eji0y8p5cnlm2nputus39fwr	$2a$07$ijIPKl4XP20ToIG1CDpJkOa9zNjl357ZJ.N4Bx8yKW/DUcTPSYVn2	69	2013-08-04 18:41:29.712713	2013-08-04 18:42:04.654077	243		0
23674	105dfkdjvz8q31qlfxgx59a5wp	$2a$07$mpKKhQ/WJbtoeZvkSDQlleLyVqMhiVhzxkosAb6mS3uaHpvpCbTSa	70	2013-08-04 18:41:29.734122	2013-08-04 18:42:04.813902	243		0
23675	10xzc3o6fu6wywfi7s9w9ivvxi	$2a$07$f5H1ymouwQ.3949WNAYHFObXRbOni2RedA.VFRMyPaLa3x8lnog6e	71	2013-08-04 18:41:29.758252	2013-08-04 18:42:04.957672	243		0
23676	10b0h0iprq7t8hk1xual313a65	$2a$07$GXEbTF45nb3.hd5.j1WBjOSaDnLp04PdUdYHVn0t2VD5Y.KLjPD7a	72	2013-08-04 18:41:29.782942	2013-08-04 18:42:07.841504	243		0
23677	10cbe62ltfcn5no2bu2o2xadkh	$2a$07$a4HZQyB/3TEZNpFnENoNpucgQZfdSQhiDZXjsLiPLa30cCuuuiJ0y	73	2013-08-04 18:41:29.806411	2013-08-04 18:42:07.987544	243		0
23678	10qlpupxlglqs4idsmrmzn30v4	$2a$07$iBLELfqMLj4OQdmMLP8eO.6C9HTc33w7pLVuQizW..mRucf4L9LWm	74	2013-08-04 18:41:29.829496	2013-08-04 18:42:08.112559	243		0
23679	10n3opmhz2f6q0g9rlfosacq2i	$2a$07$KwDWzwgc8klG2INSG1d95OHV7O1JX5HJzPsxWqx3PItsV3SPSyYfW	75	2013-08-04 18:41:29.851687	2013-08-04 18:42:08.241278	243		0
23680	10t72wtpjk9ovju1hdbnma4r1d	$2a$07$ZFar1wrpnObieTbF183TGu95bZEInR/Y5LbuidwaqPGo1l/KOuT4.	76	2013-08-04 18:41:29.873146	2013-08-04 18:42:08.43693	243		0
23681	109eahumclpeoe72ltlktqu968	$2a$07$jrGqOWuWfei11jLTv3vX2u0s0cmZXiE8xCWRTDVU7dwIF9gQUu802	77	2013-08-04 18:41:29.89557	2013-08-04 18:42:08.602892	243		0
23682	10atoj70blc88onlw9kr93801s	$2a$07$QmSUJxkR97xQRDy9EYLZSeLY8b308QC0QZhP3LGtNnl.8VsOQ4/Ra	78	2013-08-04 18:41:29.918328	2013-08-04 18:42:08.737031	243		0
23683	10bwxcbok3sk2s41locx0ou0n4	$2a$07$mrWqTiKZEdCIy/Ny9VVFPukbW8rmqyUAI.aKKOhFzmgRuRyaV5xdG	79	2013-08-04 18:41:29.940311	2013-08-04 18:42:08.956456	243		0
23684	10xesavd955v2qwucn4kg2kcsc	$2a$07$BkyUG2XlcxnqMVj56.jfsul8Inds5xNErKpWEEBz/0wwZtzTWrqCO	80	2013-08-04 18:41:29.961757	2013-08-04 18:42:09.093979	243		0
23685	105zps3nn6xjn62opywuscoqil	$2a$07$d7PDGo9PzXgAh3qL6naos.CNcgSMMZZOmt8yMDaXfjhGhwanKyFC2	81	2013-08-04 18:41:29.983061	2013-08-04 18:42:09.265166	243		0
23686	107yt8jzmiefnc9n4uwm3lokwj	$2a$07$IuTnGf1hVC4tWJEJ0SqM8uPmmpxtutGeEOyDQitxMFqVDsncIQWBi	82	2013-08-04 18:41:30.00569	2013-08-04 18:42:09.396583	243		0
23687	10i8401neainopw0wjczcki984	$2a$07$1JN9MgyMyzIM.cXsSJIHl.5GOC9SA0AhfLfSNbQvnpcqKn8x7D3KK	83	2013-08-04 18:41:30.031524	2013-08-04 18:42:10.39919	243		0
23688	10h1vtk9oa6cnxg0k0kdae0if2	$2a$07$4ViyvyWyuB63kEjO8ID.LOmoUOtMAAyZfi/j.LhuSwdjdRiaGzT0q	84	2013-08-04 18:41:30.055136	2013-08-04 18:42:13.222231	243		0
23689	105iwxi83dpqv6gycb4lyxcz7r	$2a$07$GJzYnsgnQFJMD2EJGUOqluT19k3ApSNZabSlLnrtdq7qS.xNrU1Lu	85	2013-08-04 18:41:30.076476	2013-08-04 18:42:13.365588	243		0
23690	10nay4vlqokoh4cxyj8ahmw0xc	$2a$07$L0.n.uPqsSryjidiVrNo2uOW/bOYwIzsd97jaO5WN/AQlQV/8IqJu	86	2013-08-04 18:41:30.100839	2013-08-04 18:42:13.518824	243		0
23691	10mb97dj0t1ucyra72gqt9tgmx	$2a$07$OU7nPeSSjzdXpTi5t67Yau61CQ4Bu3LzJ/rCIeGvIj3Eo3273rYYi	87	2013-08-04 18:41:30.122264	2013-08-04 18:42:13.65588	243		0
23692	103i3vavge1tadobtpcm7txzl7	$2a$07$zAItwq9HID24TAPVwM92YOqqcFW8iFU.dYf2HF/9.v.BLzeuXE4cu	88	2013-08-04 18:41:30.144526	2013-08-04 18:42:13.790336	243		0
23693	10z08vrl3hxgmue3az9reiqo96	$2a$07$CL6z6QqwZqwL2zbW2g6J8.PW99shiGChY4t.LVbaVLdCeV3xTPCum	89	2013-08-04 18:41:30.167125	2013-08-04 18:42:13.979482	243		0
23694	10dsahw6t0nzj70ycwvwo1ozy2	$2a$07$W0NnG1H.fceaqy1mmiev5enx.ekHZ5iggqmNrPFNv8djPL94pW81u	90	2013-08-04 18:41:30.190309	2013-08-04 18:42:14.114986	243		0
23695	10cr3tqxjpyhywosyko9je7qhu	$2a$07$KdZJdW8muHhsPsBZc4s9Pux2T3fcZxjELMlESp1LZttJZOOS2HpYa	91	2013-08-04 18:41:30.213558	2013-08-04 18:42:14.244128	243		0
23696	10hzs6136zprbuj4kocoyb5af6	$2a$07$RHhrTDS.zP.2hCbgdVMOXebkR5AnleWkmNL/eP39OJ6wHwrqGsO02	92	2013-08-04 18:41:30.236917	2013-08-04 18:42:14.38835	243		0
23697	10q66uwm7mkajvo2ubg2v85geh	$2a$07$pyDy/ijSD/DaACCHVCJZiOW78ZSzMbLblT7DIfUss1MIsKF0/.Ada	93	2013-08-04 18:41:30.260148	2013-08-04 18:42:14.521323	243		0
23698	10rcdnzjkswcfyv8d5zvh5x903	$2a$07$8M/2vktzudU9/Fjzrw6m9enzhl.qf3.SCeJR0FOex/ogo739dtCfu	94	2013-08-04 18:41:30.282342	2013-08-04 18:42:14.654247	243		0
23699	10b11hyvugg5btguuvqy1vhomn	$2a$07$82J58YORRY0fk9gBQ8dQ3.ZIDcQZzjet9Xoh5Jbi2j3Vs9GSh3h3G	95	2013-08-04 18:41:30.304263	2013-08-04 18:42:14.782003	243		0
23700	10qt2rn28cf1uxeaahip09njxx	$2a$07$okZOwOmM.weLkrkwr51lfu6bIuMrW6h.QXun9BkeTevi2vHM7qD6.	96	2013-08-04 18:41:30.327177	2013-08-04 18:42:14.904856	243		0
23701	10fixif0pohjjzjh0nxcr5nmwi	$2a$07$MFbWo3De0xOGv2dVLp1lCOb3SGXITvepN9pCe6vooDLI6Ge07Zp1m	97	2013-08-04 18:41:30.35093	2013-08-04 18:42:15.049681	243		0
23702	1041ookgo5o1nxhe7q4rqahkhd	$2a$07$xV.rBO79ZePGT9NHCtRLHe.uiJNSpI1ARBmBjbnx.jtBSmt04ZVR2	98	2013-08-04 18:41:30.374683	2013-08-04 18:42:15.186265	243		0
23703	10lo58iw9blvnivw7u1nxrpsy0	$2a$07$JDE2kKn2Yb5AGAyiu9xnl.piuUYNwC4v3TUxvzzwN8Vq9Oimf1rxK	99	2013-08-04 18:41:30.397182	2013-08-04 18:42:15.324272	243		0
23704	10oq2jegvqjwmtfwlchdzjv4ru	$2a$07$iTSQKCkZxtLoyso.ZehDdeRtNgLfTiA0PnUQp8/3eB5sDRCfKXi3u	100	2013-08-04 18:41:30.418792	2013-08-04 18:42:15.472256	243		0
23705	10df8x5o0uuwyo4nzq7sy5exnp	$2a$07$rF9hM0jqvxH208J2PLIMf.jSx8eqsyeSz8X4XOiAD/a5gZ0zOJEnu	101	2013-08-04 18:41:30.440538	2013-08-04 18:42:18.533698	243		0
23706	10lcu8tpzyunfqr5vpelcjl3ab	$2a$07$MCif9Zvy.Ft36xUi2UHXded4N/Raiek3H31LSk13oUDwVYP3./dCi	102	2013-08-04 18:41:30.464172	2013-08-04 18:42:21.714973	243		0
23707	100s51ypnlqwrbuuday7jnzddf	$2a$07$5.Srj7Ggn68.ygrvS5THseUwjJ1jhbN6/cN3FImtd0/txbZls9LQu	103	2013-08-04 18:41:30.486018	2013-08-04 18:42:21.877493	243		0
23708	107sy4aou5cxxqqri9022o8yqv	$2a$07$c/8Otz7MnJShTPYQVfiwe.1ey3ZC2QduJIroPwkM9IxVlkMQgmh1e	104	2013-08-04 18:41:30.507564	2013-08-04 18:42:22.017955	243		0
23709	10tdyxbueslslksc3onv8mppd3	$2a$07$J/5n2Wsohm36cWREpTubROUV4d48QpnH/PLWGc/4DPtCFbgSxqIai	105	2013-08-04 18:41:30.529198	2013-08-04 18:42:22.159823	243		0
23710	109pfpgsx78vruxl8yr6pyo4if	$2a$07$4hr2w7A4FjELAW/3iTtrN.6.GVMobAF6acrJZ3mvOVl.8sFExi4ue	106	2013-08-04 18:41:30.550831	2013-08-04 18:42:22.332707	243		0
23711	10oytuez8u6yf0zrq6njqewtye	$2a$07$sffN2aJJ6bFdpw7UquEj4e1UZrjyQYYs8Xgc5GABYDdr7zPjmbVPG	107	2013-08-04 18:41:30.572247	2013-08-04 18:42:22.477461	243		0
23712	10qfq016j8tr8t851j1d6yy1s0	$2a$07$EGhw77Yj1wZUFk0wFWzaM.l0qCAfxtkiC/3.uprfCXXecgF6hHiUS	108	2013-08-04 18:41:30.593615	2013-08-04 18:42:22.617372	243		0
23713	102e42mrr6nc53luvukerl8yff	$2a$07$CzLKTq8q8p//N.6IFHbYneCs5TGp/RgnivrtwChH7eGEnlsKViSpa	109	2013-08-04 18:41:30.614925	2013-08-04 18:42:22.757534	243		0
23714	10i5c4l4au2gu14wn1u773289o	$2a$07$gvzKKkc1cGE36.3sJcvxnO1RqV3nCyfZv.Kah1TJgyButCcmrb3aq	110	2013-08-04 18:41:30.637542	2013-08-04 18:42:22.895822	243		0
23715	10sgzqfsfzhmfuzhgefmzpswj9	$2a$07$9R9qfv.Suia/LiXA1j6JBOW0hKfAGbzPvNL3HVfL/GgT6jjYzaVX6	111	2013-08-04 18:41:30.66111	2013-08-04 18:42:23.016576	243		0
23716	10mdi5iarhgwqhc22iol05pmlm	$2a$07$X40GkEuv8KMxdLLEMA15SuBnl3MqFnjRJc//L5/75ZVsXbfk4gSC.	112	2013-08-04 18:41:30.683011	2013-08-04 18:42:23.120266	243		0
23717	107ysv5luwjwsdtv4tj1nhhh62	$2a$07$9hfvv69bxb58YodYv5qkQ.hHMT3GPNZ4T70.k/yb3viJYLDPd4G/6	113	2013-08-04 18:41:30.704673	2013-08-04 18:42:23.258092	243		0
23718	10gskpc2o6w0g58a99kkh7n4u0	$2a$07$tAg2w.0taechHw1mhuP9kOKlj0qSnVelVmgVKNmAIOqRPwbjXBow.	114	2013-08-04 18:41:30.726087	2013-08-04 18:42:23.401411	243		0
23719	10z99kcaor725u21l9wme64fql	$2a$07$g9zHijv1MuW2hLrstWTCc.4BpcAIsej6oOwimlbcOtSg3BKE/279O	115	2013-08-04 18:41:30.74794	2013-08-04 18:42:23.554633	243		0
23720	10s7d5che4qon2gl3zj16sglc7	$2a$07$/hfzX7YmFdF.lBop1h.Pjed.TOX1Nt4tifcKvVqru1vtPJVT6qeS.	116	2013-08-04 18:41:30.769284	2013-08-04 18:42:23.752882	243		0
23721	108jg4e7wmrr2zfoumqnx0r24f	$2a$07$Uwfu7HZhoeqW0ZR3tmeTgOiUBCMqt2R4ca7Y7GW2L/Wj0ZXXXr8UC	117	2013-08-04 18:41:30.790657	2013-08-04 18:42:23.902339	243		0
23722	10rykjh5iu7b4xhw0d5e0rbpi4	$2a$07$S.qjAwIeIiFNgDdZWvNWEupg9j2g6MtcelIB4ZQhboKP8lfNMuDEG	118	2013-08-04 18:41:30.813607	2013-08-04 18:42:24.039928	243		0
23723	1006muh8pimd22e9xcctbcxxfs	$2a$07$LuTk7ekjyJ4M9bNvCgbvlejWSTHNjEpNYwsic7obf6d45hipPtxYa	119	2013-08-04 18:41:30.837698	2013-08-04 18:42:24.169022	243		0
23724	10hm4ulii16lcxj1525byt34ar	$2a$07$OQBOH99ra0bp8TpOY1ndQuFQb.a2vpA.vzyk05g.m/NyOpVC07K3W	120	2013-08-04 18:41:30.864355	2013-08-04 18:42:24.307956	243		0
23725	100gcjeeo4ldnc4liip29dqstr	$2a$07$zKSN4jRizy0xOhrdU7uQ1O6XMIfPWKE2yc2mD0tG82UHpxyIZDozO	121	2013-08-04 18:41:30.886048	2013-08-04 18:42:25.339872	243		0
23726	10s3it3ae6fufnk2c3w80bad67	$2a$07$xDLcUzZyuJaiBOet2vzAM.DYtFBpvdeJN3WB5bO4JsKy8NteJig2S	122	2013-08-04 18:41:30.918749	2013-08-04 18:42:26.287157	243		0
23727	10mptensaqoc8ffkd2shb8r21a	$2a$07$3BACV3Q6U0cdYLrJPwWuT.FEI4IvU7w89FhZ3F3BuolQNKUuuW44W	123	2013-08-04 18:41:30.951477	2013-08-04 18:42:29.036005	243		0
23728	10jwckjdvqnjhc5qrarf1g2gzf	$2a$07$RKG1r5iJe/BGB8jXPXg0NOji2u4D08tTcM.RzAWzLFvqlGCJWLBMC	124	2013-08-04 18:41:30.976047	2013-08-04 18:42:32.108315	243		0
23729	10dvd544bekt4d090i84dh5mo6	$2a$07$EYrLPdVNzpeRalF3jT.DtOt.JSYDJTh2eDtE3LeWRThpCPAlz1ZGO	125	2013-08-04 18:41:30.998358	2013-08-04 18:42:32.270202	243		0
23730	10km9a5cvrfngoh61ljbvgo46d	$2a$07$XFBM.lWGvCC7ER1c62ZYguta30OUVzBqoKtrdMXon8JI4fNnbXWje	126	2013-08-04 18:41:31.020877	2013-08-04 18:42:32.447193	243		0
23731	10vxi9f2n599t338ii60n20tuo	$2a$07$rpmdbg7Zsy1IiEfSXEl3BOpkYCFBs8UVmv3GAswgjVj09xD9HAQZy	1	2013-08-04 18:46:28.014411	2013-08-04 18:46:31.177844	244		0
23732	10rorudsg9g907v0ked50q5933	$2a$07$QRCp5PeL7uMgzI1/Kr8Im.cNqXaeRpU3fkEg.B2IbWtQCu4tyxFzK	2	2013-08-04 18:46:28.039178	2013-08-04 18:46:31.326035	244		0
23733	10ybn3l7uq6c7mps3j583ycq2j	$2a$07$XTq1bT8lhWnIkUK.PRFY.uqQseekjQYiTKN.1ZJJrNmCoelXY25n.	3	2013-08-04 18:46:28.068101	2013-08-04 18:46:31.468165	244		0
23734	10o2yuzr67hgak7tnr9c5cq9lv	$2a$07$mXdmAo69tMnqPpaaAbFl3.a9uKd9Xe52oJoktrSiwLAhjDGNmGmti	4	2013-08-04 18:46:28.091687	2013-08-04 18:46:31.609059	244		0
23735	103y7zuwox0bs0g4m6nb9ylx9b	$2a$07$XpT/5y1tYi1TuJ7k3UOuxe1WAbD1sBHej8CBmPBP17mhxDfRtSS8y	5	2013-08-04 18:46:28.121757	2013-08-04 18:46:31.741563	244		0
23736	108o23bbjn0tsjxyzgiau6ppov	$2a$07$TfiLaOmv72po140le9.mgOOnOisQ9aK19PPwHWXEbFAgRxE/zcS2K	6	2013-08-04 18:46:28.155312	2013-08-04 18:46:31.882728	244		0
23737	10458t4mqihi6w29fsy3gl4bxl	$2a$07$eU2Nh1I7fHHkxFAq02t4JOHQ9GyTGTCY6trfu9reAnceUpsDk3M3W	7	2013-08-04 18:46:28.177177	2013-08-04 18:46:32.009659	244		0
23738	10papn1lsm9g8oxkkpz2fimnoi	$2a$07$p44mnDunlAaHcXYTt9LUquRBA9pevKb8yF2JqSeTMps1FhJnElSFK	8	2013-08-04 18:46:28.198811	2013-08-04 18:46:32.142755	244		0
23739	10kfu9z310opqyyt89unqxqftf	$2a$07$B0NRtveLSL8PyOSRQ3l7num2vHml2YydBf63322AtmRjdrCEJAvdu	9	2013-08-04 18:46:28.22029	2013-08-04 18:46:32.304459	244		0
23740	104102iy1fyrh5ima6k8tkgoto	$2a$07$BCRaHpdDE8MS1x0nPAE8resCAJ/7ATN3yrTuU/E40piJdmx19PgFy	10	2013-08-04 18:46:28.243476	2013-08-04 18:46:32.462113	244		0
23741	104ih70xpbyb9j8gij4gifznwr	$2a$07$qBVQC8JjDv953eE4UnrTeePYksI/fjsENLF28Sy4Wi3UFbUPojmWW	11	2013-08-04 18:46:28.268541	2013-08-04 18:46:32.592321	244		0
23742	10sublqv2w6i8km4rj8uwinrrr	$2a$07$ghlliOig7K/9RfZJYc3vzu6dF4.stsj94skXuKItvEkxH8MbVGjZW	12	2013-08-04 18:46:28.293296	2013-08-04 18:46:32.73088	244		0
23743	10b8szxoen73lyhlaaufpymaf1	$2a$07$l3cvyT40KpFzzPhnRodoveu5G383q2dw8FZ7tNqcbEx8wGFozuvkO	13	2013-08-04 18:46:28.317699	2013-08-04 18:46:32.868614	244		0
23744	10b72sari3ogzu2xv4e2mt3wno	$2a$07$GslWmNr/W.lRAQVc4Zeuk.RKzoSwH00GlJxPHZbQIFiybHrwuFOUK	14	2013-08-04 18:46:28.34714	2013-08-04 18:46:33.007908	244		0
23745	10l7ytw6gigu8jrygb7d8rkafj	$2a$07$HOOKaFSkfFVymtRSU/WqeOW9ozG8vtkhrst8fL6F7ec4R4aeTmddO	15	2013-08-04 18:46:28.368832	2013-08-04 18:46:33.116424	244		0
23746	10ghjvh9id7s85fpy5idwjvg7o	$2a$07$mErwKAZMmZKI0oDSDMRcLOh9X1BPejkFylbAjCtuVwpRfBSwLI/3m	16	2013-08-04 18:46:28.391394	2013-08-04 18:46:33.261965	244		0
23747	10z1m6ihx3y8wvz3wpuwdz66z9	$2a$07$MpsNoGjVDfpJkzprLGTBQufPvTER3xuflIqwefqDXYfly50hB31MK	17	2013-08-04 18:46:28.414095	2013-08-04 18:46:33.416486	244		0
23748	10le11ny2adwx2lkvkg9js3no4	$2a$07$PGYyfqPZQOYEgf2EuwdV8O6Qalz/FXvl0A0qMvvb4tw9GuGl3fjja	18	2013-08-04 18:46:28.435868	2013-08-04 18:46:33.524493	244		0
23749	10ip0p297fce64flpwyh4s0ce6	$2a$07$4/dWZSMOGzHsiLY.EonWbephs7Zqnj.Gtg6BBGE8SmAI25zH0ytIu	19	2013-08-04 18:46:28.457583	2013-08-04 18:46:33.670487	244		0
23750	10682c8ujdad9yg81at4gvluzm	$2a$07$YrUJAKhqgLMxgd0h.FomhO9tE0gHzL6mWOOPqhiCBaKlLmKG/M9Wu	20	2013-08-04 18:46:28.47922	2013-08-04 18:46:33.812734	244		0
23751	10amj3cvljkr7u50udz1lnu69x	$2a$07$8jjHy.bUeUXXUnn1BG2Ns.DCdjEtzH8h3Q3Rm0vg2d8NW0PoSPJJq	21	2013-08-04 18:46:28.500939	2013-08-04 18:46:33.961788	244		0
23752	10hvys4nqew5rru46yv4bg0hsh	$2a$07$gVikOX/BWFYgN0u6VOrrd.ayyHoai8qjiPYKwIkrQNSx5vIVaiuUq	22	2013-08-04 18:46:28.522663	2013-08-04 18:46:34.092484	244		0
23753	10k442wofa8274yf2i0fcswy8a	$2a$07$u3Vh7m4xQYXGHpnyUOrOnOK2jdrEE2MBjiDBXa7LZ0HSS7j80qjQG	23	2013-08-04 18:46:28.544317	2013-08-04 18:46:34.230592	244		0
23754	1085u7fauiz4eyzcugx08urkh2	$2a$07$cw06q6DGu41m1YLiiACG0e29XrtrQ9NZm.8iu4alEymxGINWm2PZq	24	2013-08-04 18:46:28.566041	2013-08-04 18:46:34.348187	244		0
23755	108olflesel937mnv6pe2xcs0v	$2a$07$GGqbF/RBzq6f7BSfo5FeZ.LunyOcAm91mLhk5KrwL3x8d9rATl5o6	25	2013-08-04 18:46:28.587719	2013-08-04 18:46:37.157071	244		0
23756	10ql31x2htohurdbvvpt0myfzj	$2a$07$mWHOcQOXE3Mdb4H2zRD60un85pPf0vRUSdcAdzvNN12Rdp5kwvbvO	26	2013-08-04 18:46:28.609289	2013-08-04 18:46:39.955866	244		0
23757	10tjn9zj78pz0dxz92fbfdildt	$2a$07$vl4BvV7i4CPPueDJyGW6UO/06MSshZteVHu2Yma1uWRJvebJ4TalW	27	2013-08-04 18:46:28.630984	2013-08-04 18:46:42.776589	244		0
23758	10xe33ntowwhqfwlz1jfztdg44	$2a$07$jUPuTIhPs8qhDdkTFaNjWu/btIkKqA9chVZ2KMKTeN31paRlyWtiG	28	2013-08-04 18:46:28.652653	2013-08-04 18:46:42.937753	244		0
23759	10mw1fj72eyvwoij200zy4c1fy	$2a$07$9ZwqlXFN9XYj/v.Os.O0QuMVlQQZuo/ldIrFIt.x/uA6aixobqf8i	29	2013-08-04 18:46:28.675348	2013-08-04 18:46:43.0616	244		0
23760	10jdgdlvrmaum7oow5qsbne4p5	$2a$07$pqndKzs4HeAodpI1jIpTdeJLdCU4O2PsFKIrKfI1U4i47u5NYTGE6	30	2013-08-04 18:46:28.697827	2013-08-04 18:46:43.188829	244		0
23761	10k53yz7jw1schoaywik0yfcwc	$2a$07$J72v/7WBag4VKHMI1Zqp8.a2G7re7rXaGXrf5mJ8UELsIhg50PUd6	31	2013-08-04 18:46:28.719934	2013-08-04 18:46:43.339724	244		0
23762	10d2htlq2lzm1dn8vjamkjt1ui	$2a$07$lJlwlpyZizTxUB1555hQ0.p6zAobZN1E.ocakKwFpgMJVtXbjCF.y	32	2013-08-04 18:46:28.741535	2013-08-04 18:46:43.469983	244		0
23763	106e1uyxgjqv5d8aa3xjbdssbr	$2a$07$QVLuHv/fgbpeAMC93fI1Eev.H7NTjSknnZemrPf/lEI4jpbyDTZ8e	33	2013-08-04 18:46:28.763177	2013-08-04 18:46:43.622971	244		0
23764	10o45h9lz8ext3i6w53jbpruin	$2a$07$po.uo6tvQGgsBs33TcZpjOtbr9YUqrF0vYcWrY9bhALKj5EvBOon6	34	2013-08-04 18:46:28.785098	2013-08-04 18:46:43.756762	244		0
23765	10fb1giipf8pqvc29m9899zq8v	$2a$07$C8kIAHNmfzFSJiP/N/jT7OBwuazMZPwjrL54Y4my0n3BwuDYA3i9m	35	2013-08-04 18:46:28.80653	2013-08-04 18:46:43.873433	244		0
23766	1090h4d4r3liwwlxalttdcdqam	$2a$07$XiiD8dbGzm1Q7PatwaBxiOdc2KYWptLUQtdUX8WssSrlNwrHlBO2m	36	2013-08-04 18:46:28.828102	2013-08-04 18:46:44.010953	244		0
23767	105hua47rjmuitf6ulehdl13dt	$2a$07$ZLJruEDIfuHBKteTdXNU6ODhRuc22HxtEkkawR0DLPUOBP5tLMn52	37	2013-08-04 18:46:28.849561	2013-08-04 18:46:44.15224	244		0
23768	105nboa33yx26jjcllde46d5av	$2a$07$sXsW8ZW/t5fXVioBusdXrOHZxm8n6mrBP6Uef2yhivmMvBv7tQygu	38	2013-08-04 18:46:28.871154	2013-08-04 18:46:44.260851	244		0
23769	10k1vhrr7p9s1anxb71jfixvqr	$2a$07$g0aQA64O3VAo36CZLgNYb.VwptN4uHz923VGBwgFNo9WyVVfZPdJS	39	2013-08-04 18:46:28.892617	2013-08-04 18:46:44.361824	244		0
23770	10msa63e3jky5xn12kvbtlr83n	$2a$07$mDZg/kpgzOa2yCtXgtjF5uXAdbllGDF5PbGgZabHxcDT1mQ4Y4ZiC	40	2013-08-04 18:46:28.916325	2013-08-04 18:46:44.46954	244		0
23771	101ehjgvku8vkqie8vl8g3r2lj	$2a$07$uecm3hFjx5TsNbaxLtJr1O3eT40w4YrAhQQyC9F3G54RL/NfrdxSS	41	2013-08-04 18:46:28.9399	2013-08-04 18:46:44.598934	244		0
23772	10ojjd26pndufziqde56lkm0co	$2a$07$5QqZSXgH0BUo.d7xt5lU/Okv0s2VrcEv47B2ha7uOr5rTbKzj427O	42	2013-08-04 18:46:28.964169	2013-08-04 18:46:44.726423	244		0
23773	108rdr5dqgig7ll4tym7kv0i7k	$2a$07$rEW.SUmPPPJEvIh.PNiaBeIl8FGG957FStZEhsxixTCxVVArIU9ry	43	2013-08-04 18:46:28.98793	2013-08-04 18:46:44.853716	244		0
23774	10gjkmh33hkf49phq64i9wex3u	$2a$07$TnQJQ/dDVgvCHqqxzkGp8OqHbB7ikwTlnla9SL4WU.AIdhqLn40tm	44	2013-08-04 18:46:29.010892	2013-08-04 18:46:45.008581	244		0
23775	10ap3mw3sbmtpgm0k13we88pnx	$2a$07$Hv02p3mt9LKw25Y3TZOkjuvqoSRnrU.uIUQKd8LK25OPs6pbzcudS	45	2013-08-04 18:46:29.041938	2013-08-04 18:46:45.160292	244		0
23776	10sj9fqabvu5uc4nwgf6n1v7r3	$2a$07$f4sFFyGWmha8ay35owjeje3Cgl5nzh6ZdmExroHyY.sihFibagR5.	46	2013-08-04 18:46:29.063986	2013-08-04 18:46:45.438134	244		0
23777	10azqfm9mpq6knu9yag16sphq4	$2a$07$5T.HWc0eMrHq3MFrytUW3utlsTTNeGz/qYWGB9GCIRQ0QeRzKssQ6	47	2013-08-04 18:46:29.085916	2013-08-04 18:46:45.556944	244		0
23778	10xtmtloh4u7r1wp171epmo0x5	$2a$07$vjr06UWXppKnU6JZClkEPuF868BlyWVDT9Nuv8S6JNVtJHU4M8.rO	48	2013-08-04 18:46:29.109104	2013-08-04 18:46:45.733078	244		0
23779	10db88yuvnu3db97r29lqa90tn	$2a$07$qxr3QJwsu5WWE.//DTZGhecy5XRv54SrYVOL0qzeOvFdDN57mM25a	49	2013-08-04 18:46:29.132295	2013-08-04 18:46:45.860672	244		0
23780	10srtd4uaza4gsojdwh14ae0xo	$2a$07$N6sDvS4up41xDX3ZTbH2WO/ZWU/cb3q9NP.XuXh17EZM3k743PJw6	50	2013-08-04 18:46:29.154063	2013-08-04 18:46:46.011723	244		0
23781	10ow23yuxprdngmkzj8r6u20uy	$2a$07$HXP00URvSOpapuAfQ4tqe.YgHfMoKk.8edd9Ot6/dKvVMvH7iy3S6	51	2013-08-04 18:46:29.176042	2013-08-04 18:46:46.156496	244		0
23782	10umj9ywmr8vmozxrb1w8ok5mo	$2a$07$IX2vfkX3ItlHJMqZyEtNZeVg1.aNhT2inn4Kdm3BAkxXfDBEEuymG	52	2013-08-04 18:46:29.198032	2013-08-04 18:46:46.291046	244		0
23783	10zksdguk3kfysu5ueh1s707m0	$2a$07$20W.HVkmwJ530QxEQpjR4uqhdrO4.dlyxfbG3Vk4Y3CLL6NBKLOT6	53	2013-08-04 18:46:29.219961	2013-08-04 18:46:46.432042	244		0
23784	10ybfxssemiwnul5bk7w3ro3nz	$2a$07$78h33U5xOr.wJoIhXv27VurAFWRVf5NLNCci6F18znGvCMRm2vt4K	54	2013-08-04 18:46:29.243996	2013-08-04 18:46:46.552188	244		0
23785	10gmn57cw60xxirje9wi91ngbs	$2a$07$pLZgZTIgQRnDruZFqfLTbeDOV3IaAq1gpEgGoRI4evmo2AtJiyU.u	55	2013-08-04 18:46:29.275034	2013-08-04 18:46:46.697988	244		0
23786	10tzmpcbiudgun3y1hjq4iuhwr	$2a$07$Zenw9tzhdSh.pYoVY4wDOegdnFi5sNt/maaLAwPmhupOK2lI1mI9.	56	2013-08-04 18:46:29.299865	2013-08-04 18:46:46.820197	244		0
23787	10tojivvqsgr94un2ywlw8zdnh	$2a$07$IHxzTV8UFQ4WTMCGwtB9buBQF9GfTpPxVhQCEFIWhYXXT6T6YMgQu	57	2013-08-04 18:46:29.324122	2013-08-04 18:46:46.947811	244		0
23788	1021zcuob65wgp70qg76vstora	$2a$07$o5OAF80IoPdBOvgXWPg8rO8o9ZQjj/CfBOYkbukPgTjZBmtE4LMCe	58	2013-08-04 18:46:29.359819	2013-08-04 18:46:49.55562	244		0
23789	10rt481tbvcknx4eqmvlgakgjn	$2a$07$ftyJ/mrHFuozeRud580nkueZ4KIAI7gh2ItSFMt9WmlhGaUVu6g2W	59	2013-08-04 18:46:29.391929	2013-08-04 18:46:50.567359	244		0
23790	10ar6xqo14ro5vnfdfzi4opa5y	$2a$07$8TgTBKKer983Z.KNX/MSPeN7BIzDtjCfpxUVx89nBL3HcVzy.K816	60	2013-08-04 18:46:29.41901	2013-08-04 18:46:51.736861	244		0
23791	1063i1c9qy05h82m7o2mv7qhqm	$2a$07$W2ovzoO1Bwtn61l6qKF8fOJ.o0FjeOmlgIAsqyU11b3wLl80c3PCq	61	2013-08-04 18:46:29.440615	2013-08-04 18:46:54.528483	244		0
23792	10lkm5agc3qifspderrh78e6vx	$2a$07$c2nLtUSQY2ZpiNaQNbUiXO8txyAh.UiUA6wQnhPpKpgqdM9Ua7bie	62	2013-08-04 18:46:29.462011	2013-08-04 18:46:57.342832	244		0
23793	10zmsrlnskbz10r961rxp30512	$2a$07$LKBQz/V8yECCuwv5DQB/juMI/y/EFG/3s27/jS0sYR1B16nia7Jyy	63	2013-08-04 18:46:29.483586	2013-08-04 18:47:00.270621	244		0
23794	107op3hv0pu5fnnhvvsx2aglms	$2a$07$xua3thon3iigbz9T.E35v.9Hl8K5jtFA04.9fIx0eIvhBXENFhh7q	64	2013-08-04 18:46:29.50509	2013-08-04 18:47:00.400764	244		0
23795	10xwzljeq224momcw0uydfr0p4	$2a$07$ml5osGn7sqS9XZsAAfSxp.RSxCplofjA8RlKbEhDlq9QU55YMZfB2	65	2013-08-04 18:46:29.526567	2013-08-04 18:47:00.538043	244		0
23796	10j0iddrfpoeq3o4npag7493km	$2a$07$eEmMCuiFbGojJT7Obcn1Vet234F5z.fbMlP.9qAvnh2bQWZiY7aXC	66	2013-08-04 18:46:29.547956	2013-08-04 18:47:00.678583	244		0
23797	10lawl81cvtr55qh1onhto0i79	$2a$07$m9c1aeSk4smDEOwSno5ZbedV4j0QcAyTCWce5KFdTR/P/k5OViv/6	67	2013-08-04 18:46:29.569317	2013-08-04 18:47:00.834375	244		0
23798	10snpqb63yl50vet4esy4k58f1	$2a$07$PniO1b2wrXziE.mGAo0p5.NmUMAhfswNKWFY/3vLHrVelk9i0kRHm	68	2013-08-04 18:46:29.590664	2013-08-04 18:47:00.970602	244		0
23799	106mbhpimg93dtbohvhdklpqj0	$2a$07$bGBhGvsLWUk1S82A4r2vueagPbYirD0bSrSVRQHoNJEDvCB3frBES	69	2013-08-04 18:46:29.611938	2013-08-04 18:47:01.125949	244		0
23800	10voqmc7id6pqusespf5m6dwb1	$2a$07$dgKt7rQw8rmzZcMQWHc.ge5tfGGKXMQ6vPLexdr3e4Mys.uuGDWbe	70	2013-08-04 18:46:29.633319	2013-08-04 18:47:01.282502	244		0
23801	10e6jpk1c55p63c5fuwu3csru5	$2a$07$2hKvek5GICHJeTZqK6MnSulWay3/PLawsStbNxRSq/D.Yrruz6OXe	71	2013-08-04 18:46:29.655639	2013-08-04 18:47:01.435387	244		0
23802	105ibr0o275mh2vijfk7cjtgng	$2a$07$h1qMsEyBZI0d/WDjSm0.TulIUhu17muWHyFY1kwnLU1maBzCBslvO	72	2013-08-04 18:46:29.677999	2013-08-04 18:47:04.612101	244		0
23803	105vr6sjdjluzlwn2n253bz471	$2a$07$WcmC3aTZMaLD8Pk36dzd0esJvblThK8e.Rb4bALzTIwW9jDGUjBOS	73	2013-08-04 18:46:29.69968	2013-08-04 18:47:04.757396	244		0
23804	109j2svfyhdqw4pfdh3uka9v3t	$2a$07$eiZTxE2PqaODbW87dqMS1OQqSQ4Crfo35ujrnW8SisYOLVXJqxdHK	74	2013-08-04 18:46:29.721212	2013-08-04 18:47:04.908889	244		0
23805	10he32cqevh3vjjrl1jwl1ps81	$2a$07$MLnkQhIsD0rBzV5K44ZAgOFPadST6O.VVKLLbnlew3Isi.UP3QC9m	75	2013-08-04 18:46:29.744491	2013-08-04 18:47:05.039788	244		0
23806	10h6w515pvzrduh09ln2bzkrr5	$2a$07$x29ymKp.tWxnyVlLT0D/qulvA/uu/EeYWfgtqbpg6tajNxMNATYEK	76	2013-08-04 18:46:29.777288	2013-08-04 18:47:05.166797	244		0
23807	1025xk7iqlf0igq44evad3whrx	$2a$07$6wKt3HCWv1CwQjn2wArcVuGv60u68wjtv2kmhXnmAUxOOFHDZzE1.	77	2013-08-04 18:46:29.807175	2013-08-04 18:47:05.353345	244		0
23808	10ouc0c4gw0hu9efps6pl6we62	$2a$07$bMtxLuEEbWRCwYep12sTWuv92jJ4uKyXb7F77eppGqficgEtFh4OK	78	2013-08-04 18:46:29.840421	2013-08-04 18:47:05.508736	244		0
23809	10fd81dridta75kpjgp4m526ql	$2a$07$m1soxNp5Oxv8CwR4vvJFj.tHUzQBRJXKMZorlAZ7vSu8kiLL/Jh66	79	2013-08-04 18:46:29.863378	2013-08-04 18:47:05.652563	244		0
23810	10ik7iqszt9bil28emkzlmg8yx	$2a$07$6IwZBNmM45ikcP4FtDVcd.I1alr0Qqg069qOoEQWZuTGO/nPEjp6C	80	2013-08-04 18:46:29.885268	2013-08-04 18:47:05.805084	244		0
23811	10fqzuvwxzym345adpoigdux0o	$2a$07$gNjI1yHisIkcs5oolBFgQenTpt3918fmX6u6BsTJ9jHdcGh39ymKS	81	2013-08-04 18:46:29.908041	2013-08-04 18:47:05.951091	244		0
23812	10i9q263aldy19jlqowni380xm	$2a$07$i6PNg7cCzWCzgCkwKtIU4eksj06owAGV/6GcUOgZ8G74VEl8DIqXG	82	2013-08-04 18:46:29.931805	2013-08-04 18:47:06.104193	244		0
23813	105gj7n8ij1dyeekizxzkbi28u	$2a$07$E5QrAjvJnWw7oxoJtzqKZ.Sh7ekG/a8xg2xHIBE8vtVYQfFNn2SLu	83	2013-08-04 18:46:29.954894	2013-08-04 18:47:07.118847	244		0
23814	10gczknyv5gzd8158l7bk85pfk	$2a$07$oIhFZjeYtsmi635u0qxv/OO6wTBtb4qUTWyNIAQIm5EQeNOkckcUq	84	2013-08-04 18:46:29.98037	2013-08-04 18:47:10.001789	244		0
23815	10ytketnkk3pktx36rokm0j270	$2a$07$e0TXyY6UMRvZv.jS9jpMtOtDBsnZDEc0hlzZNyF9nAprPtPa2dcmC	85	2013-08-04 18:46:30.018632	2013-08-04 18:47:10.15294	244		0
23816	100aoyu84sq093pdnvvus88ddv	$2a$07$TNDoiuNQca9bZ6bRvGbbGe0i/SZyv/2jgPP0ST2L88zvAqcSGWdI2	86	2013-08-04 18:46:30.041919	2013-08-04 18:47:10.280701	244		0
23817	102vtzr6ljtmhtyxhnqh4dstle	$2a$07$EpwN3lMmJYzOnDgC06ir9ukBnSyoFggk8qd/EfAH3V4zpfk24cleq	87	2013-08-04 18:46:30.068029	2013-08-04 18:47:10.429804	244		0
23818	10ct79u5lttelaw3vknv0u9i3k	$2a$07$6B4g3adNSEuzk6j/SUTCMuDsgw5fynUWvVxs6x0eCX3Jlihs3C5DK	88	2013-08-04 18:46:30.092315	2013-08-04 18:47:10.568733	244		0
23819	1070b073w6t78ar05ggwpo5s6p	$2a$07$m2lUO3IFMRgeGLIENb56Z.x.sDk4bvMJC6diJzLQ0AzZFWsRkwfva	89	2013-08-04 18:46:30.126356	2013-08-04 18:47:10.796701	244		0
23820	109trb7tps1wkncibyjjy7hwk4	$2a$07$2da7OxGWDSMLrnIVrfk3ZeIer0pdH636vq.w7a7uWXi3Hg44WD37O	90	2013-08-04 18:46:30.160358	2013-08-04 18:47:11.013446	244		0
23821	10zqm0wmvsi92vwo1cjy6o90dq	$2a$07$SUDV2eGHZPb45d/g0FOia.gwXmt1oBfiZqtHZR/syDFI2OSKE/ePu	91	2013-08-04 18:46:30.18713	2013-08-04 18:47:11.189371	244		0
23822	10du6d8gzith5k7tst7gkck70z	$2a$07$w5wqPpwpUpr1fuzKvKUsiOTn3JVR6aROID/S472FinAbKiYifbQ9a	92	2013-08-04 18:46:30.210124	2013-08-04 18:47:11.359409	244		0
23823	10dsd8bwjbzejzo0sckfyv8qf2	$2a$07$uxrM0gZflTaKZBdLH9zk2OcE20cFjDISOa/meAMtzgptzWn7T97vW	93	2013-08-04 18:46:30.231708	2013-08-04 18:47:11.492847	244		0
23824	10jbftbp1j8f1tzej9kpode84d	$2a$07$uzdBDyjkXsaF/5VirGHvbehu0dxav5zUSKOaXvUgOQ3G9byxzvOK6	94	2013-08-04 18:46:30.25326	2013-08-04 18:47:11.629292	244		0
23825	10aw6kkmztdf4v5nbyvzxsdc00	$2a$07$TdTVCdGiHiwNe4X6Lv8ike/4fL7fNkYTJIE/svIdCST6xCXAGfnY.	95	2013-08-04 18:46:30.274892	2013-08-04 18:47:11.82044	244		0
23826	10hjb5o0fx95cqjrf0u989gbwu	$2a$07$CnfxeSMU1ouPzcL7SxC0E.QajuBrJWB/O1kdHY/VXFD7g2JaxAe0O	96	2013-08-04 18:46:30.300106	2013-08-04 18:47:11.945762	244		0
23827	10meefoqjfy7z8qpnazcvtoive	$2a$07$xSXySccTieOl6aYMjLIxeeSCAftqkxd9arEEl1DPdbkbywNW8NqN.	97	2013-08-04 18:46:30.323777	2013-08-04 18:47:12.104007	244		0
23828	10rqetx7sg8t0d8e5mohtk3ixb	$2a$07$3cPz0TtvVWPelElPJnmpJedeBV/aB91jGjalZTyed20HS/Vi78lhe	98	2013-08-04 18:46:30.34772	2013-08-04 18:47:12.300755	244		0
23829	10rqryg9y75n66dizm0ci0z4si	$2a$07$nuLfYxmEMJW9dpDAn/0QYuHSM2NOHqxB0IpIrhg57Qa3JUtKC/Feu	99	2013-08-04 18:46:30.371055	2013-08-04 18:47:12.409892	244		0
23830	10e2gcpbowsdyoyipapzdlzfjs	$2a$07$Zh2J66bfCtxOMDTOeT/1w.0pqsmvzSWmLTEWRkMUhHr.YBJChGEKm	100	2013-08-04 18:46:30.394186	2013-08-04 18:47:12.797382	244		0
23831	105dnzub2a962v9iqye8sc3tkk	$2a$07$AR1ieadCeD7YKbOyRu/YMOyiH/PBjWU7Rju/7WoSaZC1bAXwib./e	101	2013-08-04 18:46:30.424235	2013-08-04 18:47:15.77729	244		0
23832	10i8nsoey6r6mmiqe2j7cogp5i	$2a$07$e3tLuvs0yBca4u6CxdW81u9Nwskf5kx8Ji7vAJCt84LaX9qUvlN22	102	2013-08-04 18:46:30.463324	2013-08-04 18:47:18.77667	244		0
23833	102cuh3r8e4sd67ef845cgu29o	$2a$07$f3Q/qiidHnhR.uq4stYJCutH30bzkWlhPdUvV1aBHpJEFXE9ErEkK	103	2013-08-04 18:46:30.494618	2013-08-04 18:47:18.916101	244		0
23834	102cy8fub56gww2jfxmn5d1amr	$2a$07$6QLECAdz74LNmH5yg.NMweyjye.D6O1y1D7LJbNHLJsbKBOsfd4FW	104	2013-08-04 18:46:30.516453	2013-08-04 18:47:19.070235	244		0
23835	10l4788wy7j63sjiuw6f3kou29	$2a$07$p5pEsT6S/5EIVOML8kgQs.dmXASKF77AP6ky7T8PGMhqnO2Odr7fm	105	2013-08-04 18:46:30.538276	2013-08-04 18:47:19.189628	244		0
23836	109h4rzbshlzbezy8rjc8ti07b	$2a$07$rQPZ82EGbRL/v2X2uidzoOasbYt4ikLRgtrd3mZBZOPPlSlR4tDDq	106	2013-08-04 18:46:30.559924	2013-08-04 18:47:19.314844	244		0
23837	10tybsjg5j9sjcpald5kornugb	$2a$07$1NunFsIRnE5lLHucLuERJemub3POZQ7yX1dlpK2IlGx3AfWnsDrx6	107	2013-08-04 18:46:30.581671	2013-08-04 18:47:19.472924	244		0
23838	10wahtjh7n6j8z6odbcx35dit6	$2a$07$cRFkQv5zPwFjfrVK0CwtUOFHpg3zdyc2XMm3TCqTfo59g3t3fQgG.	108	2013-08-04 18:46:30.603383	2013-08-04 18:47:19.639248	244		0
23839	10nj87mpt5f156pwwqwui8nala	$2a$07$WrxCJDlB43IRPOfFsSBPvuBfKCNNGWUZ2ZEfSDW5ylhVN99FvZX4e	109	2013-08-04 18:46:30.625193	2013-08-04 18:47:19.779401	244		0
23840	109bg9il36x8idn0unth1x8n1f	$2a$07$wW9gX6BOIav9tUSNTIfE4.DZTfNyfGARIl32QuP6JbujR7bRlzLve	110	2013-08-04 18:46:30.647583	2013-08-04 18:47:19.922636	244		0
23841	10xwbjo4nnjiecitsrff8qh7zg	$2a$07$GLyEGy00LG6tCscdVIwiDeopbphsW4jtewe4fzLxWa1EYVPEIuVv.	111	2013-08-04 18:46:30.669152	2013-08-04 18:47:20.076006	244		0
23842	10tmciw8055l09ds2lex1w01am	$2a$07$T6UagKFpnqqy9VKWsvX1TOk6v67WvUCBMuFtIrFzH1ovtkzpWUHlO	112	2013-08-04 18:46:30.690489	2013-08-04 18:47:20.235821	244		0
23843	10n07oq588at9yynvh4l61jjo4	$2a$07$PLylO3/thodljY0Zki6UuuJ0TTNHuVTf7WfBrkjEBRCRqGAiRLghW	113	2013-08-04 18:46:30.712071	2013-08-04 18:47:20.420566	244		0
23844	102eu9p51hnc449l3n3t2a1p1p	$2a$07$J68ihHVgRNvQLSG5NZjKCeaQ5dg5ocit6r9lO6HuXP5htfYTNPCcS	114	2013-08-04 18:46:30.733407	2013-08-04 18:47:20.644305	244		0
23845	10o5svv68ms64qb5xz9ph4yx0g	$2a$07$9p82I9a5rzvgHgt1njzHF.ku4BerhNYTpiYzHIubWhpcezPSuoFlC	115	2013-08-04 18:46:30.754878	2013-08-04 18:47:20.797955	244		0
23846	10igyd5gaxbq9ad4xe4jd0ffpr	$2a$07$P2ah/YDqKWqFUS7wTeiCkOIqUxwfQttW5svHJ3FuqX7i3wlZJprfq	116	2013-08-04 18:46:30.77618	2013-08-04 18:47:20.936335	244		0
23847	10uqe2fw9w9f1rzx26ba1efpki	$2a$07$oiVNyxiBveCA8N6cElgP/OBVSX2IxhNrIrTw9XaEMCZVKcsCLUXVq	117	2013-08-04 18:46:30.797482	2013-08-04 18:47:21.058064	244		0
23848	1097myetk5f73hjmsuvsratark	$2a$07$7JSiN8nG1hYZmX6YySEtve7SvQKY6wONJNgPsUWijOOhhtzcwvat6	118	2013-08-04 18:46:30.819291	2013-08-04 18:47:21.187175	244		0
23849	10jdhr5xe6y8x9rzuao3hsc5vo	$2a$07$2mlwB8U3x1K1n4QSowD78exVP.UMLp8f1o1KvX71K0Coviix0.kT6	119	2013-08-04 18:46:30.840629	2013-08-04 18:47:21.331589	244		0
23850	10df7a685ei4n1cbbzwkm23ndz	$2a$07$mlu90oeap0CApFQ9GVnj8.E1.k3rfhGsydj4q1pFga8Q5nYk1eY72	120	2013-08-04 18:46:30.862997	2013-08-04 18:47:21.445107	244		0
23851	108wsei2jfci2wc4gphdr27lpp	$2a$07$wiMJ0nNjeRk.dwp26YJOreFdWwEvU0wvbB4fMxyppz.uWaz5KhMsu	121	2013-08-04 18:46:30.88488	2013-08-04 18:47:22.638503	244		0
23852	10fdubq0n1j34i8vqwp4ukrnzu	$2a$07$sGm9AEgR7x4jrA4lMg7rxuKlRhqcTez8KhZd.FO6T0LMk8ILjC1Uu	122	2013-08-04 18:46:30.906399	2013-08-04 18:47:23.651983	244		0
23853	10j9y4g7cch8bnj2misj26qypx	$2a$07$ifw8XzlNi8J22ek/Mprc4OikVmLjG0cozjiYWGTxvooLPHolZHbW2	123	2013-08-04 18:46:30.930561	2013-08-04 18:47:26.382237	244		0
23854	109cy42xi6eheq37g8flx8d1w9	$2a$07$1rXTzJmYKLGB5.q7QmJSWub9T3p4mRAE3ZgsOj9TqQRUJ9Eh4sBl6	124	2013-08-04 18:46:30.958873	2013-08-04 18:47:29.101817	244		0
23855	100ana59mbs9erepgyjhf7lwm9	$2a$07$NFDDctqQP.FIDDzxVe9M0uQrD2o0foIkVMWn1olKrvwds/d0UkNbS	125	2013-08-04 18:46:30.982702	2013-08-04 18:47:29.252205	244		0
23856	10zvvt9s48a9r0q2fraf350j5w	$2a$07$Hl2L8ig41v546N7qei44CupjNzO3ahKllbExZ6fPHPOQjjwrcxBK2	126	2013-08-04 18:46:31.004913	2013-08-04 18:47:29.384421	244		0
23857	10alkyswb6xooz9scv74jegtfb	$2a$07$rhFxDh3v5V1XHu3aMz1iUugAfsql66NpJjl5Gmn2GF/Es36PRdxX.	1	2013-08-04 18:51:28.105249	2013-08-04 18:51:31.2731	245		0
23858	10v9lt8af1ntp66lmw7bggabzy	$2a$07$U0.Df439GlqLPB0dmFL1oOMERimFNJyXGqLskAis/DnaYmMQ5Ht6O	2	2013-08-04 18:51:28.129874	2013-08-04 18:51:31.391542	245		0
23859	107vgf6l8rwsbt1soeop6kgfi7	$2a$07$BVTNhmSUAISNfVUU0Pce/e2yAcVsD8FfYNQ3c5VR69AFLYE494Sm6	3	2013-08-04 18:51:28.158473	2013-08-04 18:51:31.525485	245		0
23860	10sg95idjydcym13id8qhaeuf9	$2a$07$v3sSInphnb1nXEeXbjDGluOr.ZSliPuUx8QWgnWQxDyu2D3JbHETa	4	2013-08-04 18:51:28.191533	2013-08-04 18:51:31.670699	245		0
23861	10oin7aysltgwxxbz25e7k5frz	$2a$07$5njkn9swO5y.HrOWSRrWjO0A5lAt6ePi3erbaPNWUpyetg1IY3ogC	5	2013-08-04 18:51:28.212976	2013-08-04 18:51:31.798568	245		0
23862	10rb6i1x56c8sdg5i0bs7694bv	$2a$07$qHJugeSuvWh3yg7/gxJg9OxBXo7Jnov4nimBCry9lKkCwQNkGO.Ly	6	2013-08-04 18:51:28.234554	2013-08-04 18:51:31.899997	245		0
23863	102f123u23gaaz9c87ie5e2s74	$2a$07$RbWni5BlZowYp2QwrPZ1ZOs48ETwWd1Kd2FlIiGJpgr/5TQfxauVm	7	2013-08-04 18:51:28.25903	2013-08-04 18:51:32.019405	245		0
23864	10nobfmb4y870mo79h0gxsghyz	$2a$07$OR2DDIb.ySvbS9TJA/3SY.ykzLzJHaX4Q7FLFa/nSmrkUCJnTz4HW	8	2013-08-04 18:51:28.282414	2013-08-04 18:51:32.152279	245		0
23865	10m5cekx73yzy95g468yvmj7pb	$2a$07$8fq3FIITmZkBdZRHUw/fo.i2Axn1BB3zb0grn3F1DTecdVh2y10ty	9	2013-08-04 18:51:28.316179	2013-08-04 18:51:32.276357	245		0
23866	10aeuo3zczad1ccszkcaxnpukf	$2a$07$txSztS3jQzV0Kr4DCjjpEOBuFxfY2YmMz3Asd7O7s7yIwC20Ygo1K	10	2013-08-04 18:51:28.348211	2013-08-04 18:51:32.459911	245		0
23867	10975opnyai61nxm1cpwk9h4bc	$2a$07$WgQxgdmVWwXtcPRlPaKeyOPkp7dOIUc6gvJDCpJuMj5FxrRxusC9C	11	2013-08-04 18:51:28.375834	2013-08-04 18:51:32.609654	245		0
23868	10dnyv9wgbgv4pzj50d7lmsti1	$2a$07$4tHl6Ybl0w24XkEgYX0qH.o.ecpIaDQYi2O1p4Q9k5w7E2hqq5pt.	12	2013-08-04 18:51:28.397562	2013-08-04 18:51:32.760564	245		0
23869	10z2sud33fyg12nepx1g29cpjh	$2a$07$JxG8TkJrYrm24CYGCIznB./LSOy/b67G7COEwO./5rfu8766RfBZC	13	2013-08-04 18:51:28.419282	2013-08-04 18:51:32.881238	245		0
23870	10b4nstrhvl0bu3cdmzriixe3l	$2a$07$mlJToWOCUgJbDolz2janc.CCE5Kv3JC43l2kAlkEtKvOYXiFPbDqm	14	2013-08-04 18:51:28.440857	2013-08-04 18:51:32.993445	245		0
23871	109pntdlkzd73wfcmnw93rovob	$2a$07$mMKy7aexrvgX/dPemv9V7eKoTn6y0hM2NHhzxBwvqIE4ZXe0iyJ7G	15	2013-08-04 18:51:28.462513	2013-08-04 18:51:33.095227	245		0
23872	102yf8kfadkwyuctb0rhnco2vc	$2a$07$hN8itALvJQSGswUq407wEeLW/GwsxEO0YyFLcWKPjprX7lejN.Raq	16	2013-08-04 18:51:28.484159	2013-08-04 18:51:33.252891	245		0
23873	10lnk8eeubyyrabruwozgypbsr	$2a$07$UKy9uek..mEvs5VFdP3pJOTt6ls.xSPFMQhN4obwWjC580QUqZGd2	17	2013-08-04 18:51:28.506243	2013-08-04 18:51:33.39665	245		0
23874	103e5nr4tx2w6vdn7r4nbrc524	$2a$07$B.tXUS6hLYGnmR5tzP3lKeHfP61V34qhgJMCzcYZioNw/BOCqBO.G	18	2013-08-04 18:51:28.527867	2013-08-04 18:51:33.556637	245		0
23875	10yc1pnuxpvh4teafmv1aaubxy	$2a$07$4S2/neWfoEdkKTZxc30Qyu5Zve76P2ARZ2vTF3WjRJqjYy4UplwfG	19	2013-08-04 18:51:28.549373	2013-08-04 18:51:33.762722	245		0
23876	10bj30l20tq48mvk564qzxt0pa	$2a$07$whKsnk61K8SIMvkXgKc97.n5q6HQrDe/8g0e8h6GhMmNZ1VQsmDA.	20	2013-08-04 18:51:28.571282	2013-08-04 18:51:33.924684	245		0
23877	10t9dpsux349tvy0z5ze4hnbsi	$2a$07$TCUoSrL38gs0SWQrDnRLOu7c4Tpf3yaVQJoZCRPxZWBiBv9k7ZZ4W	21	2013-08-04 18:51:28.59485	2013-08-04 18:51:34.053388	245		0
23878	10qeq6dwdgxl086tjwjhtaiqjp	$2a$07$3NsY0pV28mmkJMbqf8UPMOildMfJOCb.Yqc4wwgIk6FN1VFLn3DEK	22	2013-08-04 18:51:28.61662	2013-08-04 18:51:34.172307	245		0
23879	10jbrhxff7acext152r092pwt5	$2a$07$KT7rKQ1QawD/t38ONnCXbOvnthZbKrHpIC..TBGOig2P3JImpW56u	23	2013-08-04 18:51:28.638193	2013-08-04 18:51:34.307262	245		0
23880	103tds6c88szaw8r0gsbwpd9gy	$2a$07$S8ChQ.K3lsWmX0Tt1FJQ/ud5crFK1fv1QIsdLUbbEdSnJdTFBOr6G	24	2013-08-04 18:51:28.661577	2013-08-04 18:51:34.45468	245		0
23881	106mc2dcs1m9awru8dar4743an	$2a$07$4rv9M5uJCo7UR2IMO2uaruQWjJQM0ngo8s6tzYINg9Wzfc1Nv7DJS	25	2013-08-04 18:51:28.683672	2013-08-04 18:51:37.553464	245		0
23882	10b7tkxr9aughrzeouy8vrzlz2	$2a$07$HpmTwvDh0KKyezimKwfjPuXcUHep.NCMPVeO2t6DU9NL5VG6DQX82	26	2013-08-04 18:51:28.706854	2013-08-04 18:51:40.548358	245		0
23883	10svyqkjv9na9jfzvwm8ps70mb	$2a$07$R0Q4sBbrG0T1auE5FFulDekfJkPO2dGISZmI/Y8RgoxbJ6wXWUSze	27	2013-08-04 18:51:28.730524	2013-08-04 18:51:43.61827	245		0
23884	10zwh2jxnmsc8iynpi2qqi8xng	$2a$07$fOZYtJIeF6IGfA/ib2QM8eg/b529LO.J2/7axen5gL5SovfPN8C6W	28	2013-08-04 18:51:28.752812	2013-08-04 18:51:43.778606	245		0
23885	10xmezicotaik9g93yz4roflt1	$2a$07$oA.CKlrh5jWcycFMeCvfquu0f204cvnZ7/H6ZKuU7a9Oc/sWsqrbq	29	2013-08-04 18:51:28.776722	2013-08-04 18:51:43.885623	245		0
23886	10tdlek4mh56v1ecbso5r1unad	$2a$07$FLZu2sviJmLm3qv7q.9KiuU540b84vpmAbk.bATcMgdH91KzFM4T6	30	2013-08-04 18:51:28.800998	2013-08-04 18:51:44.025783	245		0
23887	10glr0ac3df2nmch3uaeh3e29i	$2a$07$v.qETjxwz5DlcqZl4NSjEeZI4FYyAVvVksQAGCD9q1bWn.HNDiuai	31	2013-08-04 18:51:28.825457	2013-08-04 18:51:44.27163	245		0
23888	10pvsl93vq72e3dgu4ikx2f4yp	$2a$07$xXb6gZr5nUFVDEESv/txmOCqUNQ3Rl2J7quxV6eYVVsogP5/RvYsW	32	2013-08-04 18:51:28.850484	2013-08-04 18:51:44.484414	245		0
23889	10sr9kd7hqxcrz9fefnvinm33m	$2a$07$7EkaBe41jVne4ZNeYKyls.WyKX6PZVpCNDkwaVip8ALgSBGuBKRiS	33	2013-08-04 18:51:28.881443	2013-08-04 18:51:44.629224	245		0
23890	107l42cfpclq4z74355uqn4x61	$2a$07$pCSShL/Tbcjs97cfTYTgzO.g6bgdgS2gdOj5yYUOqDbQPMHAyVUle	34	2013-08-04 18:51:28.912658	2013-08-04 18:51:44.765715	245		0
23891	10sw99otgvtcspztje03l1jhlj	$2a$07$8nlCyCYa5Djnaab33OXbYucvnfQe6WxdhIkmicYZ5tI6QiIw2Ku5G	35	2013-08-04 18:51:28.936555	2013-08-04 18:51:44.896835	245		0
23892	10qq3l5ekwh5i9y1b0t8si4ey1	$2a$07$..9FQuZ080v6Abf4J8GcQuqHXZURPP6/SqQkhi.lMnVSWoOqPjHkm	36	2013-08-04 18:51:28.970942	2013-08-04 18:51:45.031998	245		0
23893	1096hk6zcnzdwrsu4a2bitbyir	$2a$07$WHu9sgpla.qP1FSX0nkwj.fbqy92OdvCEP/gkrC2Qm9AOaLlSlX3u	37	2013-08-04 18:51:28.994483	2013-08-04 18:51:45.183493	245		0
23894	10j94igdic8c16rv2j96tphnn7	$2a$07$c3oMsNPz4Zlx7OFY5phiSuaarxxqqzScRTiZ69.jANjh3pwUZrzcy	38	2013-08-04 18:51:29.016662	2013-08-04 18:51:45.32401	245		0
23895	105qkffxswpzq9nxdmvbp4yho2	$2a$07$pIhZ4/y60jtBmU3X1FH4veO7Y.Wy97yMXi383JGhXQdO6eb7jBJRK	39	2013-08-04 18:51:29.039917	2013-08-04 18:51:45.475854	245		0
23896	10gt9hcubas7v690trensu8oub	$2a$07$2RPZVhoQJQ/g1fdR6eUpR.iTScSNDAQAr5tr3Z9kSXuvsgVZ7wGm.	40	2013-08-04 18:51:29.062803	2013-08-04 18:51:45.575286	245		0
23897	10tdejkk5ru5udjif283w851f5	$2a$07$Da8MZ68q23g9XpNahpwxaeL1bNeGd5X152sefVdCJwP61p36BXJ2u	41	2013-08-04 18:51:29.086385	2013-08-04 18:51:45.695935	245		0
23898	105c0yueyqoc8amk168ngcvt3v	$2a$07$8lgn09X5Su34JEmtcvdyZe5XWSp40lbarSijPxo.T9RuY61MbYPrG	42	2013-08-04 18:51:29.109758	2013-08-04 18:51:45.820257	245		0
23899	106sr705rqrrnuntea9wyj15yj	$2a$07$jMbFad0tCo2pbdjTz3bIMOvMG9tbagx4SM1UyhtPCsNMyQBWWvIkC	43	2013-08-04 18:51:29.132645	2013-08-04 18:51:45.977177	245		0
23900	108rpt1jon42om3m25txtz1kij	$2a$07$z3fXw5u/ZwX1.P7Js.0WIeXb7sG0Gu2p/y.5mZXOyKgB0gklst/32	44	2013-08-04 18:51:29.1561	2013-08-04 18:51:46.105624	245		0
23901	109d4tnmalg6q1bwmqwd6ox9x6	$2a$07$RaSiAgnEox.NUn0blPa9MO3.FQRBocOa5MxJPZD0PoNOs/XAS1huq	45	2013-08-04 18:51:29.178165	2013-08-04 18:51:46.246658	245		0
23902	10hptv1f6vr2atnopijdsf3rwv	$2a$07$uT4RiB0VQMNlnsQm8cZII.lwWrnAzK8YYMeZJynAsBz5GGfuB.x8C	46	2013-08-04 18:51:29.200946	2013-08-04 18:51:46.594802	245		0
23903	10oj5rvz4esnsmhi82xl4stab8	$2a$07$QZm3MN4McRSMXlgOW07UIe50XQUcrOMC2lM9A6.SuOrVP1iuMDsG.	47	2013-08-04 18:51:29.224582	2013-08-04 18:51:46.735047	245		0
23904	10vfsta6osc4zfvf571ima0jls	$2a$07$XyIT3z/it/w8bdN9KiZm2OB1VfKIvmGGGdYalOvWAbY0tt.tAGklu	48	2013-08-04 18:51:29.248747	2013-08-04 18:51:46.910051	245		0
23905	10ic5nm6ewlwqu4euuwb6awkvs	$2a$07$0J50urztEOO6318PN7gTauhM19EqHRl9d9upah/72CVO2mXJ2KSra	49	2013-08-04 18:51:29.272243	2013-08-04 18:51:47.033641	245		0
23906	10q6scypypsrkpu0s01g5uqn61	$2a$07$P5c2fm3kGx1c992Dl1ms6.19eDjHFg5zFcuQ17fDWBMnEDOfYuIY2	50	2013-08-04 18:51:29.300862	2013-08-04 18:51:47.171275	245		0
23907	105iv76y1w4c39ky5plj5shjwv	$2a$07$VJ0SzstYUSWgb0IsMw4GdedhTm69LxVFyoZXGNTK5mSwbG3utUmTm	51	2013-08-04 18:51:29.324593	2013-08-04 18:51:47.297761	245		0
23908	10xaxst9eutuud3tymd061nn0v	$2a$07$7IgeQhJ2X9Asuc8BHdn/Ae9NwMV1x0ic4z3R/qjNGQ7y09MYrn2HW	52	2013-08-04 18:51:29.357114	2013-08-04 18:51:47.455734	245		0
23909	10a1c8n2sxeyymi1hyvsnyy0j0	$2a$07$QSbgT052GzgcIBnXjIl5D.8zTmVI8lNMCrN.hKhsjwXWVhGS.KFT6	53	2013-08-04 18:51:29.381426	2013-08-04 18:51:47.569128	245		0
23910	10bychhflcxwepp7xxhpifi62z	$2a$07$yHDUqqb9W78kxLImmGTawOCZdPgS0LQnxJ/raI./OtjlJTVcsbhoi	54	2013-08-04 18:51:29.419732	2013-08-04 18:51:47.728234	245		0
23911	1070o1oh1ez0tsg9n3y8bukksm	$2a$07$El0FgCtMy.fQp/Ql8b9luOihyjBUkKcaFRHXw/gkA000ZVuTvd1cS	55	2013-08-04 18:51:29.446914	2013-08-04 18:51:47.906596	245		0
23912	10o2oe5i52pfr980pn1vz8la8b	$2a$07$1frSoOQFBaO6.Y71n3bbZOq6pGCJL/PRUHiLcaxE0s8bBwLuyNTR2	56	2013-08-04 18:51:29.468649	2013-08-04 18:51:48.056152	245		0
23913	10cbqty2ukl1886eiz9vp5dmnf	$2a$07$hqpygIRYBPgQva.oMiZjiOs7yPjxPFHkJzIfWxkslMb8sOys.Qd5a	57	2013-08-04 18:51:29.490383	2013-08-04 18:51:48.221937	245		0
23914	107ldikn62j9r4y04u2thdvozz	$2a$07$irGPLo9LnmiyvPs/JTLSfexoOtYdVmPtd33dLyuIth.BTMo5AnfqG	58	2013-08-04 18:51:29.512663	2013-08-04 18:51:49.232523	245		0
23915	10yp0bgm1j7osrl6r6t9tbx4xd	$2a$07$7z4ED47VyQ6wUUo4/og3pOLagcqCN.IAgSUHHQjhhEQeNXMa9803G	59	2013-08-04 18:51:29.534301	2013-08-04 18:51:50.228083	245		0
23916	10unbwye21ohj1i219rfyulx71	$2a$07$MniaMGyzuvTAxT2f3Twgn.E.iIWo/cnEgxky9eTg5bSiNixyK/EHq	60	2013-08-04 18:51:29.555926	2013-08-04 18:51:51.702332	245		0
23917	10lw5gcr8b7dyjeabachkw9xq0	$2a$07$qSewr7SDCXWMKDvn0QKv/eEXaecYtpuYxYJAnhp3sUn.U/u9rv44q	61	2013-08-04 18:51:29.578933	2013-08-04 18:51:54.163591	245		0
23918	100958fl9dzd41o1k0xi06e1o2	$2a$07$nH1q2QYHEc/woZDdLciacuAhsotC.H8XgIZ7pK8MEewTgemyxIof.	62	2013-08-04 18:51:29.601226	2013-08-04 18:51:57.122156	245		0
23919	10y8zjije2gs25ns16yieeguau	$2a$07$/pstHIUg53a2.V06afKsAOq2cayu7Z2rpvL9tuwt6ZgcKKoRrKWXG	63	2013-08-04 18:51:29.623817	2013-08-04 18:52:00.094619	245		0
23920	101rs71slq3qnuinas1mlyr3bd	$2a$07$pzBJdKL6PoEIwyzAjelYbuhc6LcqNSxhtwZGD06ctuiRck9cUqhtm	64	2013-08-04 18:51:29.654842	2013-08-04 18:52:00.229655	245		0
23921	1012wwqj8nqqtohw9mh80d7d8i	$2a$07$SRoh12LDRzNX2C8k6UWYfuj9rdpJloKWWZR3tCWofgcC5nqG5w07S	65	2013-08-04 18:51:29.680335	2013-08-04 18:52:00.342674	245		0
23922	104jjbkdfz1lgdyl0nhh8k3snq	$2a$07$1coVIDiLcLKQW/cvTNNxSetZdl4R3v0YCIIV1nCQybUdscs26sE9C	66	2013-08-04 18:51:29.705441	2013-08-04 18:52:00.453983	245		0
23923	10zm93dcm4hdfpazu9l5xf8l9f	$2a$07$vdilXL3xYB/RvNn9i1kifuzv25kQUKs5bq82YMtsC1lLIkAeXcwzi	67	2013-08-04 18:51:29.742951	2013-08-04 18:52:00.576626	245		0
23924	107chdai7kj84zn8eeilbqmsz9	$2a$07$PWDNkby0Rn9ArmQMo4/QXuVVpbBNOIygzvUEfCi7J4mshoLbGkQde	68	2013-08-04 18:51:29.776587	2013-08-04 18:52:00.717918	245		0
23925	10y62pmdxgabt89vkel48gdpm9	$2a$07$Lm8umkQdE3NtPB/ZEVZE4.tlaa8KHPt/QKkzAkTUJzdmCTTnIYJJO	69	2013-08-04 18:51:29.798535	2013-08-04 18:52:00.894198	245		0
23926	10wl4xlyxxwq82zl3k5rebvuw4	$2a$07$7jiIQKy8q.bxcmWjS4D6SOA0h61qylds.J1Kw2Z3j6PzmtipW5ql6	70	2013-08-04 18:51:29.8233	2013-08-04 18:52:01.005496	245		0
23927	10eqiklsur84z8a60s7cibln1r	$2a$07$kJBFY2Nnry.7un94RMHBJOOWSi1qgHBjGipfWLxrtkK52YDx5echu	71	2013-08-04 18:51:29.845146	2013-08-04 18:52:01.20193	245		0
23928	10vka4hl7dzq5ulk5ocynkr9zj	$2a$07$iZwlx89/NmzAbocPdYPsv.ErpPshTxBiV.4Sf0u9siFpmY2Qsw5hC	72	2013-08-04 18:51:29.866892	2013-08-04 18:52:04.047505	245		0
23929	10rgeppvzsykg1nf5d3izclp7p	$2a$07$XhJz4zoUXO0.jnorMSeQPe9Wnizi2OxFme/fD5c.Dh5jFtiYebTRC	73	2013-08-04 18:51:29.890131	2013-08-04 18:52:04.186396	245		0
23930	10nw0lksze3jlg6alh6dogakm4	$2a$07$KzeProBYSyPzqXR1/rC8duMjnfXRGRtKyJM4DAnYeWK0EkDDiFCqi	74	2013-08-04 18:51:29.913361	2013-08-04 18:52:04.331947	245		0
23931	10zfntpbv2f49mm1porqm376g5	$2a$07$8o2z9CeBnCaNuipehQBX1ORZDz4KyEjzx7RRgqUNHuhxSMYQ2qjlK	75	2013-08-04 18:51:29.936694	2013-08-04 18:52:04.428045	245		0
23932	10udj9jqdtzvxv7drs2ygu876q	$2a$07$M6IC.OxM22xubChFx.7uF.nxy2JfHILmdg/2Bk/y.OhVx1gkFjpxS	76	2013-08-04 18:51:29.958986	2013-08-04 18:52:04.549475	245		0
23933	105evhgt45t29g92aenzvixzfc	$2a$07$pOwt2vA.Xnr1Z2RvfSeULOVBtowwHEMLCaMH1F7qBOFJLmpRrU/y2	77	2013-08-04 18:51:29.982344	2013-08-04 18:52:04.676571	245		0
23934	1008c25c0tcd7fgilw8ksuqann	$2a$07$wkTVXOJRZafwhwWnukd2feRLdBeEdmzEzDYYgeY4zgCXlnzkEEbEy	78	2013-08-04 18:51:30.004695	2013-08-04 18:52:04.812069	245		0
23935	10dzkw4tbabdcq9vl6xxm8r1s9	$2a$07$aq7WbJidE2JI5Ll6Bpe.DOThKNeIaE0NIlR1ZUmqpsZ3MZHS4VxFC	79	2013-08-04 18:51:30.026441	2013-08-04 18:52:05.051186	245		0
23936	108cdq1l9h1w0m58yjcntav4hi	$2a$07$1FOU07pJ.xlgIYbiuwLMLumJLent32aZJS1.QTf1.nvpdey.T1DzG	80	2013-08-04 18:51:30.0478	2013-08-04 18:52:05.17936	245		0
23937	101fte3mindwgjrvzzscq3w0tk	$2a$07$lMXNP9fxBWqbyY1MyPRnGOiWGSr0A5R5va2PNrHDCZVq85wH6ifFK	81	2013-08-04 18:51:30.0707	2013-08-04 18:52:05.310852	245		0
23938	10rzq467euxjj3pnmvrrho54r4	$2a$07$Wh5tyosvjogV.vB37quFmOOidHdqQwysGrbv7sF/9yy5EGiWMu9nq	82	2013-08-04 18:51:30.094057	2013-08-04 18:52:05.453999	245		0
23939	10mdvhk5h9jrjz6d6rvxh2xld3	$2a$07$EWsnL5G9u/NTHNSdZ6UBcOR7ntKiDNSqcHNP9YeYm5G5DvlwB6FaC	83	2013-08-04 18:51:30.117608	2013-08-04 18:52:07.154914	245		0
23940	10w6w4phbweh7mv30j2e3bjoz7	$2a$07$KoMvHMJfU80kw3lQchQWmud25.wyu6VFWhNRBTIanM7MYW3OWOcCK	84	2013-08-04 18:51:30.152586	2013-08-04 18:52:09.922697	245		0
23941	10rdvqvllssxcu8ijxwov168f9	$2a$07$okFxPM6g7lJw4TlaXNxaYOBQ42w4Lsw3sLa/ghRNFDCjvxnZ5gyo2	85	2013-08-04 18:51:30.174374	2013-08-04 18:52:10.049625	245		0
23942	10jbfn4ne1otryf2gtt1h4yk7r	$2a$07$1G8fdThfzttQXBRjM/Vc4O1EUtajjBzJ2RG0pDej6rhg4sFDq.Au6	86	2013-08-04 18:51:30.197029	2013-08-04 18:52:10.197231	245		0
23943	10bn8dudavj1t2txeg1ih5j3xk	$2a$07$3YKDBtAwNFYRAMK/nuXe5uap1AgmRyhUeRVobj.NDfAISjBgyaOBK	87	2013-08-04 18:51:30.218905	2013-08-04 18:52:10.336395	245		0
23944	10ien7rs7xd2svhn6m5aksynwo	$2a$07$r2zyiXpxhTKGNPVX8HQXNuE/CL3G3GFkpZx.STBB.otLu8/GNxHOK	88	2013-08-04 18:51:30.240379	2013-08-04 18:52:10.46262	245		0
23945	10iemmtxyn8sgzlw2cbu4xyc9v	$2a$07$y//sbdKX5eS/gLEmWa42K./kO.IbCxVNwl8gh00vFnTufd.1IRQQy	89	2013-08-04 18:51:30.261797	2013-08-04 18:52:10.614242	245		0
23946	10h7d8hk90fol3b3o9ltllprkp	$2a$07$4Roo9d3QKRpuxT55fyRbYuz8M46bHvwGoX7RNqMM2lMp8xrvajOA.	90	2013-08-04 18:51:30.2847	2013-08-04 18:52:10.721759	245		0
23947	107mz55g155hatxdp34hdec1ft	$2a$07$ieUO4JTxwvg98CV3cUTTj.QuhD6ZIf63MSFFxojvfhQPntIo0cAb2	91	2013-08-04 18:51:30.307777	2013-08-04 18:52:10.837644	245		0
23948	10rokhc34cy9uq0n86thwr9g83	$2a$07$x.24spTjFVbLr36L9bSozOVMNOe7BdTQYWZCr3UegwUtPJTfYAhb.	92	2013-08-04 18:51:30.329178	2013-08-04 18:52:10.956268	245		0
23949	10uwhd0z4q9v2ksr4gcifmkdz9	$2a$07$Fx0wvW99n8H0o4W.k3AR5e8XF13kGKOwcmNeHnpoy6VhEEu1BYj4q	93	2013-08-04 18:51:30.350589	2013-08-04 18:52:11.105123	245		0
23950	10xwm8fchwvc8gc6xux4lbxi1v	$2a$07$CK5xoYT4AS7WBE.Uvh4HDehUE7L4LZe4UyIzlgOBhNP0TuDZaPN26	94	2013-08-04 18:51:30.373007	2013-08-04 18:52:11.241263	245		0
23951	10p9pe2pib1jrcm8ho1kar8pg4	$2a$07$whozBCtRLWu3H1owXg/oEey3fzO8cdY5P4/AVHqE2aAAU6UmfQq5u	95	2013-08-04 18:51:30.395417	2013-08-04 18:52:11.370329	245		0
23952	10r5n6v5qsizkq6l5x7sqk288h	$2a$07$c6uj6.xk.osRID3ygKsPcOtSp6Xbua32I7eLHFWqguI5oDA2E9W2e	96	2013-08-04 18:51:30.418576	2013-08-04 18:52:11.51006	245		0
23953	1024v11tjkojb25zs5zuyiwocq	$2a$07$RNRHfBosZepPft3EJXW3m.2sFXHacx4QzsxvOCWJrTvIR2/ZkTNXC	97	2013-08-04 18:51:30.441848	2013-08-04 18:52:11.656342	245		0
23954	10a5iqs3sn83uoz0pj72hy3b1f	$2a$07$nndmb889DTbSfdCDIgXpou7XlfHLLYMyzsT3fLC6fYMvOw7NLSQpK	98	2013-08-04 18:51:30.464495	2013-08-04 18:52:11.798224	245		0
23955	10lak24ejwysdhv46k0a1sy3jz	$2a$07$cV/aXpMAqIFn4MzlETSC0ObDejx8ECV3E9VhhzFj5AjIMv0jkiGMu	99	2013-08-04 18:51:30.486633	2013-08-04 18:52:11.93214	245		0
23956	107kesspok4wh2tzky8xjtn2vj	$2a$07$UzR.ueO8Fu12AiCAyPF4HemzuyIl3oyGO86gPJ/3OBBYQbHQrqEJ.	100	2013-08-04 18:51:30.509004	2013-08-04 18:52:12.073606	245		0
23957	10dmydkgy8mb2el85tlgiwiym6	$2a$07$7gH6tjCsJl1Qnx4K6VNhe.VI4NHAfTzxlpPMjJUpaQUIbx0nv0b2e	101	2013-08-04 18:51:30.531547	2013-08-04 18:52:14.745457	245		0
23958	10qitv8fnv90s1f6o0wl2zyr5z	$2a$07$99wuVSMVEFYwweSoVKE3.uC2tEmTMuJAB5z7pV.dvENMb8MgNkVAO	102	2013-08-04 18:51:30.553135	2013-08-04 18:52:17.365838	245		0
23959	10qmzi8mmfyw047spkwceqkqxw	$2a$07$9SYhqog2vmSC2zc8z9SH9.NukUPWmJunvytEZ6.486UmNj8MVCTQ2	103	2013-08-04 18:51:30.574633	2013-08-04 18:52:17.525723	245		0
23960	10n0frcnfmth38hflnarhspta0	$2a$07$8GCjNU21bmoXJaDIwgGYde5GB.y7vwOdX0huVWEBnoSL6tPi7yMP6	104	2013-08-04 18:51:30.598386	2013-08-04 18:52:17.680598	245		0
23961	1086qoxlxdaz0akxss1q0jtqqv	$2a$07$a9GzwtdLAIn6jr49Uygvyu0uwrBkQF373eTWM5n7AKUDbE0YYuYum	105	2013-08-04 18:51:30.629621	2013-08-04 18:52:17.815727	245		0
23962	100j9srguxjx3acyvjp5vexi9w	$2a$07$n2m6ae4ReKLwBpeAbaF.Te2t9jpG0seUF0n8vnX9fc36fwbVrSBoC	106	2013-08-04 18:51:30.652992	2013-08-04 18:52:17.963703	245		0
23963	100chb0wgu0xcxkma3oy9rk505	$2a$07$iC.37hGYkh3u2oWHxaFLa.0w4cqodk9BarqgR8ujDtTPNbCe7KOai	107	2013-08-04 18:51:30.681813	2013-08-04 18:52:18.111433	245		0
23964	10mouxxyc9yn2v7cwc3bycqo5h	$2a$07$pvqrZGX04dlm1fxaZ2Vbu.V7NknmUYh7qkoKb.bkbe29ZIVZ9vl/2	108	2013-08-04 18:51:30.713994	2013-08-04 18:52:18.227913	245		0
23965	10s50xljgucw3cpms08r3741f9	$2a$07$Pp/FK36MMqsd42ua5dr.de5rZLxE8YlMp02g9D1Gwq.5o4uofsbeK	109	2013-08-04 18:51:30.73803	2013-08-04 18:52:18.427426	245		0
23966	10ljgtvmay8vk48wpp1s6q7obk	$2a$07$kzJyHkzNYk36JK/SEV7qzezMf00aYKKeKb3FDzxL7Q96RmEdATBzG	110	2013-08-04 18:51:30.762014	2013-08-04 18:52:18.546832	245		0
23967	10s8iefqd9ea4nmmphlj3ikoxs	$2a$07$MuaZpQ2qGce7FxWgisMWLOPPcX2CY0KUq0dzub24e6oJUanbjCSEq	111	2013-08-04 18:51:30.783852	2013-08-04 18:52:18.680358	245		0
23968	1052vudyqnvvegn5agan36jjwo	$2a$07$ppX70IkPfQqX.qebYA5PL.q10JImJWZFnhL6zo/umYIQo8yx0NNzi	112	2013-08-04 18:51:30.807023	2013-08-04 18:52:18.818434	245		0
23969	1056s8sk7c4d6slmlwrc9quvyn	$2a$07$uxt22.tsy4gV7eUYY6WJBeBniHQdamRZ2QwKXz3kl//w2VFbt6BhW	113	2013-08-04 18:51:30.829141	2013-08-04 18:52:18.932187	245		0
23970	10ktkt33nodqgwkf6xxxomr42e	$2a$07$Wtxnc9ccWCXXWK8pcMqpE.rYsLR0GFygBkNKuodZyXKXYCoilUOdi	114	2013-08-04 18:51:30.852768	2013-08-04 18:52:19.062611	245		0
23971	10v0h11rjk73xds0zep0u11ess	$2a$07$MyX85soyDqafuWTE8ihnNujp0.MNQQn4CdhO0dYSIyVqgCdO54OCe	115	2013-08-04 18:51:30.876163	2013-08-04 18:52:19.402072	245		0
23972	109xq9thrskm3qw6z1gh5wne0y	$2a$07$VdBRVsptEKs.XthtuRnmMufU1X1gy5rM7lMwmIrACR0/gQhAtTh4u	116	2013-08-04 18:51:30.899233	2013-08-04 18:52:19.763136	245		0
23973	10ppjewid2wxizn97cf98j1qf8	$2a$07$o9Tf14ZYCHNrfvn2JpKbWuBgMNoGwmIWNKoM6960eLRpAwojNd5TW	117	2013-08-04 18:51:30.920749	2013-08-04 18:52:19.947697	245		0
23974	10l2lj5y6hcaszej6pnbsu8qoi	$2a$07$ZXw/5P8a1zcYxu0qckppJu63zroHUr996uJvhUA0y7IrUqkKA7Nlq	118	2013-08-04 18:51:30.943757	2013-08-04 18:52:20.062886	245		0
23975	10076e8chaicig1gmyds61v4dg	$2a$07$2ZiUdq2yLQeOstFSca483u8kPkdatbiCWbGBsSjXxyLlgYoVMayEm	119	2013-08-04 18:51:30.966864	2013-08-04 18:52:20.191324	245		0
23976	10bbxpfq6y9trxeqp9k2g4hq67	$2a$07$sicJVJVjtlGIMIQjIeWxhedGrksSGIEmt8CQByuwxL.uFjMQXwPR2	120	2013-08-04 18:51:30.990039	2013-08-04 18:52:20.316915	245		0
23977	10jgv2c2vwzv4275jegr647gis	$2a$07$K66v9B63yVuxWK2sKBCu0OslL0UJNFSpJ1P0D3So7/f37UH95iXMS	121	2013-08-04 18:51:31.013184	2013-08-04 18:52:21.226642	245		0
23978	10j9c3l76cet19ehf80d5frsgn	$2a$07$Ql4DJaF1FAqTws.Ziru1d.iWl3ouxz3O4p5rKjBpYnR3tEFVgwqWu	122	2013-08-04 18:51:31.036197	2013-08-04 18:52:22.153892	245		0
23979	10rxpw80ssafzlhru7r0fahcwn	$2a$07$uQUmcPTazuUc0UkLdWAlwOMLOXgbI/vkYLBMsp/lqHSJdWqGqBxYC	123	2013-08-04 18:51:31.058362	2013-08-04 18:52:24.913367	245		0
23980	10lqcq87jf4oyzxeip2rrha013	$2a$07$8syTsHykz1Ag97SAfFjx3OvM8IiCue.O8mY16.cRFfnl9oFMLS3PS	124	2013-08-04 18:51:31.081331	2013-08-04 18:52:28.111929	245		0
23981	10x99r17lr54ng85ubv2xobu5y	$2a$07$7r/FSac5Si3ZEjuhIHr6/uib78i.w.QkZQdO5ZABP5.Lgiye6K2g6	125	2013-08-04 18:51:31.104971	2013-08-04 18:52:28.251961	245		0
23982	10lm7lautnfequlj6u5w8acp9u	$2a$07$TkH49NpqZyAEye61dL27ReyUpnFVByXsd4OU6SwCPYEE9WFEL.so.	126	2013-08-04 18:51:31.128442	2013-08-04 18:52:28.400618	245		0
23983	10hfh2m89iofsaz9v6l0nemixn	$2a$07$LO8hfoG0c0tVrbZiu.O5VuCUM4U7oi07S0FQCoayp.j514IfCYuPu	1	2013-08-04 18:56:28.084271	2013-08-04 18:56:31.38473	246		0
23984	10cyfmzc4czojroi99k5vjvm9o	$2a$07$RWqS.zuS2nLPmaC/adQ/9.Ym.YG3fxHZ6NH4ORyxP/skRjkPfS1F.	2	2013-08-04 18:56:28.11093	2013-08-04 18:56:31.543261	246		0
23985	10f7ipo34x1k0agohu3q9kjgmc	$2a$07$ZJPzBPb4Ma40lcaZTVD2o.v.0S8R7MXRFeAYwrH2rzFWaJjGs34s6	3	2013-08-04 18:56:28.140798	2013-08-04 18:56:31.676576	246		0
23986	10dy30myfbq0m4878rcxjxnppv	$2a$07$SNWiIQOSDs4VoAeZjvujjeRcQ6MrrInLp8OFqL6hp1rmbCsbzGG6u	4	2013-08-04 18:56:28.163721	2013-08-04 18:56:31.818453	246		0
23987	10c9c5ixswnclghsr3hb0h1zp5	$2a$07$ehRXTphw6AaDWhUcldyt3utnTPn/99/cNPgf5wzG/g5J2jQI22v1S	5	2013-08-04 18:56:28.186742	2013-08-04 18:56:31.95783	246		0
23988	103wov2jdyo4kw3mp01yktizlz	$2a$07$WH4HEMXWZqvXEoCAB9p4juyqBjQu4tQX.FNRziZBB9J2Cu7AxD62a	6	2013-08-04 18:56:28.211609	2013-08-04 18:56:32.094909	246		0
23989	10vudzapmesaply21thsc9g9et	$2a$07$AF6.RS6BMLwzdVFPyCLpoOvHqSP9TjYx7UDw4vE1UDeowSu8u5BPu	7	2013-08-04 18:56:28.241101	2013-08-04 18:56:32.230294	246		0
23990	10b1oz12ck85klwb2lslvhjq6f	$2a$07$Fer77UDqnkfzLr04OS.o7ed8IF7NfUotQC.0N0Oj4yUARDKBsPWuu	8	2013-08-04 18:56:28.262661	2013-08-04 18:56:32.354654	246		0
23991	10zhyar7ybbaupr0hhhy6wqomo	$2a$07$b3Kq6FJ.jwS.Uj92z.HD/OJIUVpXJr3AtbHmJSpHhrScpVwyxgcZq	9	2013-08-04 18:56:28.28423	2013-08-04 18:56:32.497271	246		0
23992	109gh2dve5nktemfdliueqqeiy	$2a$07$KlRYqFhip0AJ48AEsu0EOuuxSBXBl/SbwA0o1sBJVe48M7PNov.Q.	10	2013-08-04 18:56:28.30595	2013-08-04 18:56:32.635448	246		0
23993	10vbufvpdttn6ij517l433c3b9	$2a$07$N9y/iyipDY3nnwOfGWcMmOkYaQoGkS7YdUm1VDXiCymD.74Ovzvn.	11	2013-08-04 18:56:28.329517	2013-08-04 18:56:32.769234	246		0
23994	10vb24hhxdv9pqf2xnb4xlkhcx	$2a$07$7GEvuEFVdhYNqeS/aEpoheKXxAQQkkshEQX3p8FAgYoxNmEljAp4e	12	2013-08-04 18:56:28.353631	2013-08-04 18:56:32.91038	246		0
23995	10fhuowkvzlgbt4y5d9sqnxn9c	$2a$07$sQ48XJtXxjFPerCpeO39kuNdhkh1wl5Jg9daZhvkD8sFapQQ.WPLK	13	2013-08-04 18:56:28.380104	2013-08-04 18:56:33.029972	246		0
23996	10kzt10vlxb8ekp6lc7384su9d	$2a$07$WKJ.AEJOgKvPwoLvjuHNAudW0BBSHUW3ACPQF70XJ2w8v6cFPM/Ii	14	2013-08-04 18:56:28.41379	2013-08-04 18:56:33.152222	246		0
23997	10olja8v4449jl9l1dupie9qbk	$2a$07$vVIRJbwxhPWRlmS9rpqLw.YdJRp2GhsJTEg0jcYwj/8aDDrVLD4C.	15	2013-08-04 18:56:28.446133	2013-08-04 18:56:33.286765	246		0
23998	10naz08a70wnq0y4k5hxymt0u3	$2a$07$iGicPQV3eNzAj5ahlAC5g.eCbLol12jIo3Kjx3Fr8MKjU16QownoS	16	2013-08-04 18:56:28.471084	2013-08-04 18:56:33.431929	246		0
23999	10q4oa7cl3wr4fnkw8etbaez6j	$2a$07$c0RaeVKupmWDRphsWw1T7e.2reTXSzQEiKDA2xAbCiyYypGwsbomi	17	2013-08-04 18:56:28.49701	2013-08-04 18:56:33.590472	246		0
24000	10fjwnlj21rz9683wti2wf8icr	$2a$07$N8ASBPbZC4ZH34KbB7YcPOkw4KzVTr.6pYZBJjoFGu16BR6k9zwAm	18	2013-08-04 18:56:28.531325	2013-08-04 18:56:33.742434	246		0
24001	10yfq2uhpe6deuyfzrsvp7z6ss	$2a$07$8/gbyUJOEmT74dJDde3WLece9iotT.2KjsRj2gvIGVETsejjYOCui	19	2013-08-04 18:56:28.553466	2013-08-04 18:56:33.879703	246		0
24002	10pdrm10ajthivnj821qzg50pn	$2a$07$QwnYC91qi9ROKfJ5q27kme6p0Drar4bV3UeFVgAkpeIRKSjX8oQ.G	20	2013-08-04 18:56:28.57568	2013-08-04 18:56:33.99892	246		0
24003	1099jmwwtkc1b0xhz5qrgwg7t4	$2a$07$kx2N5uqCbAzltbknKzhqS.WvcPq6r3CSv5Z6Dxx9zyIus1PDwjjk.	21	2013-08-04 18:56:28.597646	2013-08-04 18:56:34.13338	246		0
24004	10iopg8hx07z6l7qkeubsg2g85	$2a$07$qQbVOGT6igJYQcReYDZA2OAlg7k404wegQjZIiDgd4cCXTVD4X3oa	22	2013-08-04 18:56:28.620947	2013-08-04 18:56:34.258344	246		0
24005	10vl7g6gddimjaynuc3o549ytl	$2a$07$leWMwc/SSNm.Q7dqsjBJQekS4ucgojAz4LGWCoTkQM8pphlgkdBQS	23	2013-08-04 18:56:28.643388	2013-08-04 18:56:34.364375	246		0
24006	10bhzmqlubd3pxcyup1oxpcss4	$2a$07$l6UP7lXKgwiLaDv4lhBmPOFdGIH2e9wRHA03IsIH0/Eyexd9e5dTW	24	2013-08-04 18:56:28.665104	2013-08-04 18:56:34.474785	246		0
24007	10auiktr81li2icwhj0bcpgr8k	$2a$07$nNz3TeWFw.GZ3BBTBJVWLuXvQ00BK4o81/WvJ8vdJhY8M78nDpDji	25	2013-08-04 18:56:28.687081	2013-08-04 18:56:37.441281	246		0
24008	10c38pr7k29x5anxe4l2b38mx4	$2a$07$yU5UhZHDh4mLP/UGFZWk9OEbzIe9g.pSryxaPEeXvYeoks8N7gSIu	26	2013-08-04 18:56:28.710231	2013-08-04 18:56:40.412298	246		0
24009	10ukyojiun3n7rawhno3iwibum	$2a$07$EGy/7hu8DFEk2pjbAyG.q.5XNaWepkqB0QEB7AHcsT2MWB1z0pmTi	27	2013-08-04 18:56:28.731962	2013-08-04 18:56:43.519104	246		0
24010	10sok5matqvxws0opxprgngbqx	$2a$07$e/QNuuS06o4Rz3EmobMw5.CqY/CBsxAEGSfQCTrzoJy4Ma.KKYGuy	28	2013-08-04 18:56:28.75359	2013-08-04 18:56:43.648145	246		0
24011	102rslhkcvljsmubk7367x3y3b	$2a$07$ADO5MLrIdmJ4W4XVmwcx4uj8gxAtyx2P6InqIZmQS150QfNAyqEnO	29	2013-08-04 18:56:28.775764	2013-08-04 18:56:43.795964	246		0
24012	10migtoz4rjz728l5cj9mbzvb8	$2a$07$Z8KEb4g1pIz0f2R4F0QQeO9Uc9l9GTKh0C9RKTjjMYEgjOWFkBaaO	30	2013-08-04 18:56:28.801672	2013-08-04 18:56:43.933941	246		0
24013	10mqfenx5gr8v2042sv8r1zkxk	$2a$07$sd2p7ITe3zJEIC.07oxisuh/6wfaFXvIpDWtBjbOegYK44n0b4Ouu	31	2013-08-04 18:56:28.823413	2013-08-04 18:56:44.086641	246		0
24014	10hrqk27fgwg9jsvfi48opu9uf	$2a$07$//laMCpugeRRcBEOS0hecet1g68EF2Rdtc1rUVog4bPusMKf2uFnq	32	2013-08-04 18:56:28.854412	2013-08-04 18:56:44.227685	246		0
24015	104b9wgjpdpqmwho2tbwjum6gq	$2a$07$5jq6ts9/CjHDDuK./leDfufb.MejXrzrV3QKz/NWvxAn1gQrUZhvG	33	2013-08-04 18:56:28.876451	2013-08-04 18:56:44.350587	246		0
24016	10m5kkr56i0flhpibfzx53qflr	$2a$07$s8tBwJkAHcMVsEe2QhdshejzXq777IyHCNqwZHtdTOp2HCAOqxWdS	34	2013-08-04 18:56:28.898783	2013-08-04 18:56:44.489118	246		0
24017	10afpie2p4qmshzojzmg4e7a1b	$2a$07$RgxIyVeb2OTU3Yyw211cguk9zC6GtK8o24F.KS18HCmIueLwzp..C	35	2013-08-04 18:56:28.922356	2013-08-04 18:56:44.623382	246		0
24018	10vuxbzv5wk9fqt8dxalbq1xq2	$2a$07$5T4a5JqWqrbSk.x88gFnvu0.SGE8bflDsRUqpgWLxlVYGzXVjH/1m	36	2013-08-04 18:56:28.950183	2013-08-04 18:56:44.764496	246		0
24019	10o0qxphmokiab71dmtei19ftl	$2a$07$R/k41eIBhjGEvcFXA.edFuhHjmPzMjHzBbnGLVg6hyiUndd6mrUfu	37	2013-08-04 18:56:28.979328	2013-08-04 18:56:44.920128	246		0
24020	10ciuoigk0hs1x8qsmje5lv39t	$2a$07$fPSp7M3CbaYh75qOD8NPWONHlexK6ztuc2veuR2gNeM40aqN5FLHy	38	2013-08-04 18:56:29.001145	2013-08-04 18:56:45.081701	246		0
24021	100w8hmo5vcto02o4eu3h9ppxf	$2a$07$dknon9htTp4QXBHZOwCpcObss9fqM/0Yc.RyAQ8MRBHJbE0HCN7ZK	39	2013-08-04 18:56:29.025452	2013-08-04 18:56:45.235107	246		0
24022	10k905t73yy61x4yluhh46xgls	$2a$07$E/96XWzcEQyCrrKRgh5qu.85RDID3rYA60y9kPsguI/jABcm4krie	40	2013-08-04 18:56:29.049726	2013-08-04 18:56:45.371522	246		0
24023	10mh9kme55fsxha358f9xog3i5	$2a$07$UfD8VKTaE4tEyCABDFtBQ.YHQLMyvwWqvKtUPehssiRsuGpDKpXmS	41	2013-08-04 18:56:29.082958	2013-08-04 18:56:45.51828	246		0
24024	10j7rzz91atvvwatjz9oj9tsft	$2a$07$28DL4HwpFK31SzqP1/23rO8rE/S27LVwIn2eRV1bZbm07LUX0Hjqy	42	2013-08-04 18:56:29.107959	2013-08-04 18:56:45.66079	246		0
24025	101kr7srw1dsbunf8xp8dovipl	$2a$07$Y3Lwowb/mSYB9i5gu4TC7euiPhZ3TnWe7SfNL1RGVUV1v5.4d88o6	43	2013-08-04 18:56:29.14331	2013-08-04 18:56:45.786709	246		0
24026	10atvg0fk4kkloy1jjhpmcfr1l	$2a$07$IA.9PLabcVHm4GsW6ibxjONq.4.Uyc3ut5YUrWU1E9P/P.EJSB1da	44	2013-08-04 18:56:29.16696	2013-08-04 18:56:45.914203	246		0
24027	1069p4tti36i169j1lz62igosa	$2a$07$f0ynkqdbHLlvilE5BtRfA.S8MQq5gwgyS3ZycG.HYA6T5MqTEmXM2	45	2013-08-04 18:56:29.189392	2013-08-04 18:56:46.043153	246		0
24028	101nxqdw61n3tcyc2aesxt1w60	$2a$07$Rha5Qfc9Qh/4fWh/M8KIN.jRZgYKsOERim1PwD8cqBK3u6cg2EBHq	46	2013-08-04 18:56:29.211313	2013-08-04 18:56:46.220115	246		0
24029	10b69pev66ii2xdvane1u3jt32	$2a$07$G540xdo0dbJFR23GDRzXSOqtMRyQBmABV.Sf8dJ4yQCOTYNciDw.m	47	2013-08-04 18:56:29.233492	2013-08-04 18:56:46.374392	246		0
24030	10u02ongo3hampl426iy01l74n	$2a$07$MstUnh8GRzqUo5oskeW0ouApxl4kCbJS8vyN1cYVq8qgWWWSYYtIa	48	2013-08-04 18:56:29.257134	2013-08-04 18:56:46.51225	246		0
24031	10bj57yyw6pb18yw4np366auix	$2a$07$T6ddJX.2h8UU7SB8d.V52Ozf0.FZrhsEY13QieSNSWfueJ3QRMcka	49	2013-08-04 18:56:29.279308	2013-08-04 18:56:46.654499	246		0
24032	10gsr6faxj0iv7jnxd7lktgmvh	$2a$07$zr.U3scWYthF3Q9cgroeHO2GghZeGwJLmi07agaN8dbczTK8xnYkm	50	2013-08-04 18:56:29.302731	2013-08-04 18:56:46.785869	246		0
24033	10dmfuwn56pf6n4195bam87kvw	$2a$07$DKXutaTtwfNJIl.6j6kGAuEkT4lKzaDEcFXZ7QJnEVseEW6xO.E56	51	2013-08-04 18:56:29.326779	2013-08-04 18:56:46.915084	246		0
24034	10gqraanr0r33xsvtpat862z6h	$2a$07$l5P0NvGaaGj0Mt.ZDp9Npue/jALLsGF3FBsZEdQjNkWoBYYdqBDlG	52	2013-08-04 18:56:29.349358	2013-08-04 18:56:47.063252	246		0
24035	10pjmvsthou78896pna40p7yjj	$2a$07$ZBwFMyY1LmvE7BeipOi60.SFTQq78Khr1Ab3CHBgDuklG99gq9H9G	53	2013-08-04 18:56:29.375175	2013-08-04 18:56:47.20218	246		0
24036	10o0y1p4j53vv2yoxhey1ycxg0	$2a$07$39h/AHLf4Gri.OJVDxNznOhbvaYFvkyy2oybk.kgHs88dod.qGaou	54	2013-08-04 18:56:29.398446	2013-08-04 18:56:47.337599	246		0
24037	10rpzm6ga2atug47ly9xtfv3s2	$2a$07$dCL/OwcLiobfJzxIU3fFzOG.IppdpzDLPOpgNuRJOhnbd8xG4LaY6	55	2013-08-04 18:56:29.420385	2013-08-04 18:56:47.483401	246		0
24038	10vxmk34i2bmxwiwtkbv63hsbg	$2a$07$Iyyg4PQ6hJOfzKweXnbmWe1B5CNmT7WVP.lhmn/NeHf2HeNSopRWG	56	2013-08-04 18:56:29.442188	2013-08-04 18:56:47.611282	246		0
24039	10km3kq35t99a4d1p0b276ztio	$2a$07$xaClbL/jB9egs7QTmtmc/OubnQ5.HgG9ElZ/wkKEBfGi2mrkfqrTq	57	2013-08-04 18:56:29.465088	2013-08-04 18:56:47.732106	246		0
24040	10esnd36k5b1ba1extoalpu3us	$2a$07$9AdST/.D5N/GWa8pwQzMEOw83Skxzh7MLwHfQ.bC0bfJF6X6rM4My	58	2013-08-04 18:56:29.490522	2013-08-04 18:56:50.149514	246		0
24041	10p6nkyfg8j7mm0ud50amr2144	$2a$07$JazSzglUC/su5ZWfncsG9OTLeydma9hWEYwuMKXFsK3ZspEs82j/O	59	2013-08-04 18:56:29.515141	2013-08-04 18:56:52.595913	246		0
24042	10qhq1d1gmzlk290vtsfxlgl3b	$2a$07$.u2h.wnXuafbAZwAHtVC0eLOogDO.FeYqgexwHsvVxkTs0UfwuOke	60	2013-08-04 18:56:29.544774	2013-08-04 18:56:55.366088	246		0
24043	10dyulzae1zancgesa2swxbbrl	$2a$07$PUDrLjPbebZYW1cMEGVQvuV82O.SHX63IOws.Ch3CJdMkhUSyHEgS	61	2013-08-04 18:56:29.567949	2013-08-04 18:56:58.187594	246		0
24044	10wjzda0rrv23o8zfcnl9rumpc	$2a$07$gee48XER./0kImCymwm8C.TVDClNc5MSIGUJBIjiQ3Npsjsa2/rZq	62	2013-08-04 18:56:29.601014	2013-08-04 18:57:00.909926	246		0
24045	10g0q9ovcmxa4qxmi37nrn8pwv	$2a$07$YRxICkUtajtaNYmWuCAqK.nU455wUJUzkOPnF45a7ctSvHfajsHY6	63	2013-08-04 18:56:29.624492	2013-08-04 18:57:03.794801	246		0
24046	10i6zy8pqejyfhbe84ld034c4o	$2a$07$PvwtkwYV0rx8UxESIlrP0.SXqr1GLoDNVkK3PHl00x6y08jJkCOyW	64	2013-08-04 18:56:29.648256	2013-08-04 18:57:03.935289	246		0
24047	10d1iyp5kqjcdc4els099wi9b2	$2a$07$izXQXafQA9rWx8wYErYTDuRCwBp8gnw09udGUSi8QBctTAChzbbiW	65	2013-08-04 18:56:29.672336	2013-08-04 18:57:04.085157	246		0
24048	1049wf9xqfy5o0kevixyvnxhxx	$2a$07$iFtuH96XpRVoQyrE9FxAse6ZGZfMTmNxE8Byv9DdAoQky4zT4haHu	66	2013-08-04 18:56:29.699891	2013-08-04 18:57:04.221068	246		0
24049	10pci4vqf0yjz9jb0qbzmmpr12	$2a$07$4Q90cbi8KhTW1.2BAmM74OrujqfYg60NDGcgKTz6FO6Q8VXh/xG9S	67	2013-08-04 18:56:29.728935	2013-08-04 18:57:04.447848	246		0
24050	10xk74gwr80cuebpccpv65f662	$2a$07$qSAFdmzwgrk2fhB81O3KneWFC50TyP.UZ4i33wROF7xOK97YEEqPq	68	2013-08-04 18:56:29.754534	2013-08-04 18:57:04.564308	246		0
24051	10tuma28iwfv0s1kgvxi8h2z66	$2a$07$Bug03H0MdtBIVmMg7MSjAunsti5T6R5aGg5FTXWcMuDPhYDUUgt0m	69	2013-08-04 18:56:29.778712	2013-08-04 18:57:04.731277	246		0
24052	10ta5uq4qmro1xaidr69ib6vnd	$2a$07$BG0el5K/Q5RyFcR6waBEy.3PKZHb4WMAzDBWmwZUQ/VSo/fL1n8VC	70	2013-08-04 18:56:29.812203	2013-08-04 18:57:04.915161	246		0
24053	10hyzdztvwja6tyfyfxz76sxn2	$2a$07$L8auw4b1oGK/DijjUUZCrOIlXOVpX8x7rBTsY6jdsZMJxo1JZyPWG	71	2013-08-04 18:56:29.836882	2013-08-04 18:57:05.057944	246		0
24054	10qnjr70ye2w3lbnhjohbz21n2	$2a$07$vkC.Jv0g75mzvjRBnhdBO.u4uOJzV0uwC6iIa6itbir6aTksnSDYa	72	2013-08-04 18:56:29.87407	2013-08-04 18:57:08.225667	246		0
24055	10jqtdh7tmck93w8lljo175cch	$2a$07$SBPGr3/V/Kfyf0PY57NgDuEnXNyTM0shjY8y4kMnIE.hQWAcsFk3m	73	2013-08-04 18:56:29.910166	2013-08-04 18:57:08.371156	246		0
24056	107lcutr7gvjdfofbhikvtkwpf	$2a$07$7L5A8kG70nzfTcG8p9gwLOoYRnsjTfGgTg7ou2ikTUTk6Y0ZyHduW	74	2013-08-04 18:56:29.931687	2013-08-04 18:57:08.497546	246		0
24057	10v0lub880fs7u1u7wdesyx8ra	$2a$07$N5NbwsadYmL8p.WUHXZuy.eTmugSp2yh0DdshoD4LoB9hMRX4sqSq	75	2013-08-04 18:56:29.955145	2013-08-04 18:57:08.602552	246		0
24058	10wpmr01rpmqm2c8dyz9h7p2v6	$2a$07$VjYHmGp.EtNNC/41yU2EKu1uJADVWfe9/RwBxUfh98HvXjHXBXktq	76	2013-08-04 18:56:29.976815	2013-08-04 18:57:08.736061	246		0
24059	10sjhgoyy7mwce004d3eappx1x	$2a$07$Rv/FG6WrxxkHTkIIlmLLyuFbutzYcgnlwb/EIQ/p8m8U4rl8s4SkW	77	2013-08-04 18:56:29.998419	2013-08-04 18:57:08.879148	246		0
24060	10b8de6urivlwj39fwwcg30ipo	$2a$07$52IwTpJv2QmGgRThhX2xoOqCqvF4wzuO2nslaSYHIAG3W33DY9cWG	78	2013-08-04 18:56:30.020288	2013-08-04 18:57:09.006659	246		0
24061	10crdrxynh3gx10315lcv5yz9m	$2a$07$nQ8b9yQqPbvhOKhm1U3Q6.0nfh/dcJ996f0tJj22W5dx.bPvST9My	79	2013-08-04 18:56:30.041952	2013-08-04 18:57:09.29696	246		0
24062	1056ybnhkhteksaoib6oemv9j3	$2a$07$XObXlxS0zuO4VZjbruqFO.M40BSzn7ept1fKMp7q3tILdIzymjqm.	80	2013-08-04 18:56:30.063536	2013-08-04 18:57:09.49778	246		0
24063	10xlxb09c9ktn2t2slekpx6g6l	$2a$07$mBCZe7YS3cvEOJBNlNR5guAqd625j63Hmq1OYOLTAmxLE.7BBg/1W	81	2013-08-04 18:56:30.084938	2013-08-04 18:57:09.632515	246		0
24064	10hxr2zrftcqqlqfvtu18p66c2	$2a$07$uC6hro/0zKxcWQGtnZ4fa.m0ybIucX1ed8XbUExkgwS33wdahSzp.	82	2013-08-04 18:56:30.107716	2013-08-04 18:57:09.786908	246		0
24065	101fkrsr7j05x2fo0wp0odhyh8	$2a$07$Nja/0fCwVmtH9oJJw4EUtOriQpb.SjOxfX9bbzKn/enKC9HokWxVa	83	2013-08-04 18:56:30.131248	2013-08-04 18:57:12.43809	246		0
24066	10lopnvpps2tzq9lrkr8wqysnl	$2a$07$UWHpEXg/SRQ/dnsEskZxV.bdr7d/2ejBCxfC1c1vhp5RMguuhzrpW	84	2013-08-04 18:56:30.155198	2013-08-04 18:57:15.07547	246		0
24067	10lu5kyz0cpzn06eveuxq9vkrn	$2a$07$1ReWMao6FoxQHsdIwPK5U.3s6LbWSihfNRYDk4D6Y5N6JCtR.tOlW	85	2013-08-04 18:56:30.178903	2013-08-04 18:57:15.260643	246		0
24068	106336tz4ri4a43x0x4i15d0j0	$2a$07$Z/ulsZFLkLyXdkLFYI3rXu9oI1fYsFLDlGn/mp8FOkQ01JKrsQV5i	86	2013-08-04 18:56:30.202372	2013-08-04 18:57:15.406103	246		0
24069	10o36s8vjlrbuo31fjxg2dxb1y	$2a$07$OmU/cw.eLlYe4z2hdU4dwOZRiQEbMgpI4n5Yl0oCHKr8VQb6BalFW	87	2013-08-04 18:56:30.224692	2013-08-04 18:57:15.55212	246		0
24070	10brvp7dq6mqh29ragmgiotrwu	$2a$07$VYUY7FOzAglGSHW9UrSTKu538ySte2FFZg7VQUk5o6Bmp4XEJ4v/W	88	2013-08-04 18:56:30.24608	2013-08-04 18:57:15.674076	246		0
24071	106r88studpo67b2gwzgnelqqc	$2a$07$m9m9prUKfNMnkLezrSrXV.PqqgR8gC.0RC.wRMB1.TKg2p.lEZh6q	89	2013-08-04 18:56:30.26736	2013-08-04 18:57:15.826703	246		0
24072	101d19ojhec3tf80kh558dq5a4	$2a$07$Ctr.leqoS09caLoIGpQuvubHdkGrgqdoGOqCjkb25TCwi.KAxj.c2	90	2013-08-04 18:56:30.288733	2013-08-04 18:57:15.961782	246		0
24073	107sbtydms23wzy5f5m7fk9xw3	$2a$07$TUpKpVooXIPZi.vOP6YYgumQWukdF01p9womaPliNOUKsWW9yq72m	91	2013-08-04 18:56:30.31027	2013-08-04 18:57:16.098446	246		0
24074	10lcjta0ng1k5r3bxhnqtmy7xu	$2a$07$8Xdih9lc38umRpzVW/U9WO8xFlXnloEveQc078fa8VAZEAyuGtzly	92	2013-08-04 18:56:30.333754	2013-08-04 18:57:16.227599	246		0
24075	10e15c81nzjlawm36ffec555at	$2a$07$9zMTjctUaWqfjxawDVTEmunqshlwUZk9R.cNB9j/254Eb9HX0sl16	93	2013-08-04 18:56:30.357014	2013-08-04 18:57:16.363139	246		0
24076	103by7rona60o8dfdrusw631dy	$2a$07$QfkVhIZyQHxaae9lx8iQtep0cUG3emcxf052GPGhfaaAPlmAaJGNq	94	2013-08-04 18:56:30.380591	2013-08-04 18:57:16.511114	246		0
24077	10mspuusftljy5oullcxn01nzx	$2a$07$/SoNi/LF.N2/cxzhr9CpPOmKHuWk5uQJYjzZkQ6YzItv75Aplznty	95	2013-08-04 18:56:30.40507	2013-08-04 18:57:16.659877	246		0
24078	10naagteer3pfw6tlzduos3khm	$2a$07$qyu9olZ3Pq/1Fs1zUr4UQO8vMBuDVllNQWe.IvXr80ljfdL1RObk6	96	2013-08-04 18:56:30.427286	2013-08-04 18:57:16.804823	246		0
24079	102f3j8ez87udh59bxcfzhgufz	$2a$07$JqUeDx56blpIWtIjb6d1EOsAGt1rQcgPDLbEY6FeVA7ceb.US3cwq	97	2013-08-04 18:56:30.450373	2013-08-04 18:57:16.941374	246		0
24080	10djipw2kkix89z8yuhoruiqwa	$2a$07$YXYif8qCu0P0pVGbVe4LU.S8E96AYt4Nh.CVHJTnu323yMyKzy.NO	98	2013-08-04 18:56:30.471813	2013-08-04 18:57:17.046091	246		0
24081	10fw70ga5avw5brxhpmfc3od2s	$2a$07$NVGhUVWhc/YxuLjtDq6YvOqCbe4.Hwq3UIBCr6I.heTlVyQXmzbYm	99	2013-08-04 18:56:30.49336	2013-08-04 18:57:17.164673	246		0
24082	107rpjas709awfi4l4mwlvyec2	$2a$07$9UqMz3okTCZiVkXuAUwFbu/EQZs7Qo8YUanLbUxWO6VEuEPjCt9Lu	100	2013-08-04 18:56:30.517887	2013-08-04 18:57:17.301578	246		0
24083	104xpkmcur42h5vigxxhjjf3dh	$2a$07$PpV.nQ/UpSCvrVNuT7kX.ui6BVkY.JWwweC9D2H5EP9d709tWgQte	101	2013-08-04 18:56:30.541908	2013-08-04 18:57:20.06455	246		0
24084	10pniuz4cyfyrwwzejmb3f9e3g	$2a$07$NFWeZrcrM2qg/fMvOTlP6.SZbnuBvJhD0sXCD4Aopn3BysiJJSZK.	102	2013-08-04 18:56:30.563949	2013-08-04 18:57:22.892718	246		0
24085	103wjq4p7vftslnh7ti1qy8icp	$2a$07$mPNgMj/TqxBeZPYEFWWzjubKyuRKlgmpCzFErw3fAUyu8XuKqHCni	103	2013-08-04 18:56:30.586699	2013-08-04 18:57:23.029219	246		0
24086	105o7a3zbcufkzxaoelxti0tsd	$2a$07$s444ZaHrsY3oJUx6naRXI.wt9fTk0e68FKo1qnCHYAmIrTz0odClG	104	2013-08-04 18:56:30.619017	2013-08-04 18:57:23.170123	246		0
24087	10otmxgeaijt9jdxc3rc5gr71y	$2a$07$XDiqZpoLN5vlckl9mE9Pb.ht5R9.Qaxf.o15Dz/U8amkqfHq/18XG	105	2013-08-04 18:56:30.653256	2013-08-04 18:57:23.313472	246		0
24088	10d5a8re7obe4y9bmlxbufhhyu	$2a$07$6Muih52t25LDa8SPzcmCZuXRTVshI0MAsNC4xkYXDfgkdiwam/g/i	106	2013-08-04 18:56:30.679497	2013-08-04 18:57:23.473738	246		0
24089	10wz54fbycukgd2mek1f6hnvmc	$2a$07$tH/ZBLNG5SkGwMKHNSKqP.EyYZz0RCbBhWM3OSbCGqBm3ofhbMgue	107	2013-08-04 18:56:30.70315	2013-08-04 18:57:23.627886	246		0
24090	10uki7vz6o7fzrbx43znejfo91	$2a$07$4z3b1zXZr9DticFoUGr.0ehL/nISaxVWbmb0CtedLO5RbjebdbBJS	108	2013-08-04 18:56:30.732534	2013-08-04 18:57:23.788023	246		0
24091	10orcwpc1dacznhv7opmenxblk	$2a$07$UN6pda4jbDr4/0wxnpDVneABfgJN2Up19x6YUvMLtWq1DW7AKRabq	109	2013-08-04 18:56:30.761323	2013-08-04 18:57:23.951525	246		0
24092	10hjifmnl45y5ntjf4u63acor9	$2a$07$LYrYqHAwaFUf16Wr9d2W3eptgIE5O7MuFSHbhzOhyT./nD2xmc9U2	110	2013-08-04 18:56:30.786557	2013-08-04 18:57:24.092217	246		0
24093	1016skyd0xez248vdk0lw44nb8	$2a$07$Ik1XBNIU5KwxElIaebAK1e/6zkXG.ziIuIXDVuRJAQpA6nWAl4xQe	111	2013-08-04 18:56:30.809574	2013-08-04 18:57:24.218897	246		0
24094	10xzjhfuk82gyf8vl612f21olr	$2a$07$JsQGDYWObHKLPkSTJgcF2OnbvgI1avpSQAX/FVMYLwKeE7HA/Gkvq	112	2013-08-04 18:56:30.832092	2013-08-04 18:57:24.344202	246		0
24095	10fyvf6coko0ancgr1vy8840fs	$2a$07$3GUS6Px/NhtnvIT5EnsnPuDnnUPEkcmJKdDCrcOLnCbvs5jDeQfVW	113	2013-08-04 18:56:30.853778	2013-08-04 18:57:24.49525	246		0
24096	10li9lgf1g69h12p27t054doso	$2a$07$k1CcajBpTxYPKp3c7/gAseh6sEDjRZ1OvZozFYCnWbEFZGm4UmPea	114	2013-08-04 18:56:30.876665	2013-08-04 18:57:24.6267	246		0
24097	10sq4s4rmfnwxv0ij6em4xa1hq	$2a$07$b6.VqMgjggPehwnvtZVRa.cFiXc3Fw4H72ylminKVDcYlmw6RsDbi	115	2013-08-04 18:56:30.905715	2013-08-04 18:57:24.802433	246		0
24098	10t4f37u0afxs5l6no0nqvs2n3	$2a$07$SpoSONCix1846zHEBznqvuhlniMq2iy5UUzOgXFw013MtkyjvLDd2	116	2013-08-04 18:56:30.930842	2013-08-04 18:57:24.959739	246		0
24099	1062bsqtk1ednqkhlwxur9mub4	$2a$07$IN4hVwvNYnLqdcSmIDFQQebQi458WZ.4L.v9MxXe3FYac3lQT..cG	117	2013-08-04 18:56:30.964982	2013-08-04 18:57:25.101503	246		0
24100	10lkt7rci1k1n6953acnie0f4k	$2a$07$k4h/j8e6VAUK60SY9.gmp.Cv2SVvtyXNmeY0v6mLG7Q66I.pp9egC	118	2013-08-04 18:56:31.001543	2013-08-04 18:57:25.240072	246		0
24101	108jkc7sqq705r74j964pngl4x	$2a$07$VzPNv51qVzcmuu5bxbg57.FoYO6KL/pGzsYe7tEm32YbDeJsoB3Re	119	2013-08-04 18:56:31.036805	2013-08-04 18:57:25.389015	246		0
24102	10xhns93g25qv9zi84d79pyyx9	$2a$07$bgnIpikIre7XUF4.rcy9oudkWI2l9fyOzPZ3eMYtuDVc2jYd4rfUm	120	2013-08-04 18:56:31.060013	2013-08-04 18:57:25.513512	246		0
24103	10d0pb9w6xkcf76yqu7n9xoccg	$2a$07$ppvrfzka.drY5kT40o7yaOAF.i1VMLGtF/73yVFPqAddleQlzXClK	121	2013-08-04 18:56:31.083669	2013-08-04 18:57:27.944073	246		0
24104	1090uiex3mlf83ndn0ci8ymvfm	$2a$07$Ug7cTFMjO58HuUa5Qh5RGeh6P3KoOdhbhRatWsYmChn2.6/t4HTFa	122	2013-08-04 18:56:31.106244	2013-08-04 18:57:30.432076	246		0
24105	10a7cbkw135v3twc079qwboge2	$2a$07$thhpsZlO1f1mMcHEt//Nbe942/p/jVVHpRpEcWw.XZxnRVNi0b9PW	123	2013-08-04 18:56:31.146361	2013-08-04 18:57:32.993294	246		0
24106	10bl86wngmm6cgg8rnxmsfwgfe	$2a$07$pmpWtG3rCzW/YvE1AzzPSOGEKb16.BkLIPMV4L8s.L9.riMt1Rvju	124	2013-08-04 18:56:31.170983	2013-08-04 18:57:35.800286	246		0
24107	102nitakfp6vfhba0fokrnsogy	$2a$07$sfxIIfFD2gFCrGzhStpbR.dUOx/PY.mRDQjVc8pGcFSE7.httUGV6	125	2013-08-04 18:56:31.20092	2013-08-04 18:57:35.938916	246		0
24108	10l4pci4jbw7epwhg32brj0y4j	$2a$07$TfvZb7qULeqQVTcvBdkc1ubLLMpj530BzEPl4S7fVkZW7.UUCknDy	126	2013-08-04 18:56:31.222476	2013-08-04 18:57:36.073335	246		0
24109	10i24v18tsph4gr1gwvehjxo4k	$2a$07$s5Bgwj6YrRFSodBtFMcSGezFVOKc7eanmZiqPmize4LGIzDBbryGy	1	2013-08-04 19:01:28.089565	2013-08-04 19:01:31.447273	247		0
24110	10cno7m57ww2c7ot6lxzkqtj59	$2a$07$rbh/uRWuugqnOyixMbcKBuvlXNiUvREhcBTUkG5FbGyqqmJFZqrMy	2	2013-08-04 19:01:28.114703	2013-08-04 19:01:31.566902	247		0
24111	10e8d73wgcu9q48dfsm7dq25xr	$2a$07$NTRazhamaC.5MA9sni.Bj.mPymAj5Oup5sat0yMI.1Rn7tTrgGgL6	3	2013-08-04 19:01:28.139698	2013-08-04 19:01:31.688298	247		0
24112	103tsnxn508d9p78l4q6ixzuyy	$2a$07$N1wcd.dUETtF68qEekUrJeP36hVEvuhTqx.T.xPidYqBCZfy.Jueu	4	2013-08-04 19:01:28.162574	2013-08-04 19:01:31.813512	247		0
24113	10hz8y85tzbb0v3ni53x56m87f	$2a$07$/If0tDinZEOM4oz19aNGouljT4t8iWqlthoZN7zlU9MkhYr9yz9Cq	5	2013-08-04 19:01:28.189909	2013-08-04 19:01:31.956324	247		0
24114	10lytvv7v6yc4c5r35rdgbdcbo	$2a$07$IVUNt839utj3VusF5FUnOeooXiD4RJsMkeEK6e4CdpXumXRnvnOUS	6	2013-08-04 19:01:28.216395	2013-08-04 19:01:32.104165	247		0
24115	10qvvq3lfanqpggyycq97r53xd	$2a$07$z.SlMrhs63QCSuorzv1Md.DrNlSU7HfQgsCq1ZBNh.DuKZtcHK3gK	7	2013-08-04 19:01:28.24742	2013-08-04 19:01:32.247525	247		0
24116	10mwe81e2dmu1nl4mm2swv88je	$2a$07$v6rc9r5NWGOjjyFsGA9pNOpVx9CAKONgzUsHD52OByu3wk//fBUrW	8	2013-08-04 19:01:28.281114	2013-08-04 19:01:32.441562	247		0
24117	108sw3yc2ptsms8wgseoqnrxm5	$2a$07$Yh6khrcf7C7qxIeRLgUcb.ox7UNq67rpqFSn9YKha5Of4.fjz6/oi	9	2013-08-04 19:01:28.314421	2013-08-04 19:01:32.604387	247		0
24118	10b4y1d0myyps98spzwpfv40tu	$2a$07$totp3xH73qvWAuMDTORZr.ZJXhIMEblBX/Qp0M1lZMriL1LwBb2Hq	10	2013-08-04 19:01:28.336242	2013-08-04 19:01:32.781659	247		0
24119	1079ryrj0q3o1gwqxfbfirujzl	$2a$07$qUXa7mRC9smzq4rE.V03QeqWYWNdsy/GsOcPh88ZHD6I6jUL4OP6G	11	2013-08-04 19:01:28.357973	2013-08-04 19:01:33.010835	247		0
24120	10e6v4vcyrgyxga79nv34garbf	$2a$07$bJ89F85Dnvyy7Brqxgw/bulX3WgTEcnC4Gnz6jOvmjIkF/tV2tOre	12	2013-08-04 19:01:28.379745	2013-08-04 19:01:33.18787	247		0
24121	103411h0bjby2q8c16lll1yuzj	$2a$07$upGcbsDxy8NIl6lilNIvBeCkZCg6M1AHf0UzznOGW/edX4QGZFxEm	13	2013-08-04 19:01:28.402669	2013-08-04 19:01:33.320237	247		0
24122	102dtyjx9koc2tndpvhl7u0emj	$2a$07$aW9Vym98BdsgUC9QBBgJMuauVIscCrj8yMr0G0v3o2UvljZ1EkODm	14	2013-08-04 19:01:28.433389	2013-08-04 19:01:33.436467	247		0
24123	107inixliv8dpnd96tsuxrnd5i	$2a$07$Cr/HTf7nDMS1/WZb.cpSNe9MtXrLgyeEQR43KzwMV8usz9/JeZe6.	15	2013-08-04 19:01:28.459733	2013-08-04 19:01:33.565687	247		0
24124	100d1dool55b4zonycec3hbhp9	$2a$07$YbMoX5sG77BsQOtDK5cIFeUqyJxgWD6DaUICsCip029GalwUldIQS	16	2013-08-04 19:01:28.481393	2013-08-04 19:01:33.693555	247		0
24125	10arv7sjuzmbp0dw6ifp16txlf	$2a$07$coGYDI43HUqy2CW.trHAju6wNgtOEoRuAgUrfCsAvwJQ09I4xFury	17	2013-08-04 19:01:28.503481	2013-08-04 19:01:33.811436	247		0
24126	1085x8expnkoq2ap9d278fftm9	$2a$07$mvI5AkGFifBIkOMilaTcueK.2wFXhy7mIU9x0t21hv61IWdc4/aTK	18	2013-08-04 19:01:28.525841	2013-08-04 19:01:33.955396	247		0
24127	10f2nixe0j1a15yehukd77lcbi	$2a$07$UUAok2iOIIe23Tw0Ah9dxOiwhOpnYn7Qxlxx8JoyQWSpPzJMNnB9i	19	2013-08-04 19:01:28.54761	2013-08-04 19:01:34.108602	247		0
24128	10mgeiv9fllqz1dyhr4omra7up	$2a$07$Vl8NfvpD2LHrcpxuBDd8cOT7dC6rP5PsVnYFGy7jGglMzv/CwgNg6	20	2013-08-04 19:01:28.572343	2013-08-04 19:01:34.351945	247		0
24129	10zre4x662szp9fcl4eqr6m2w2	$2a$07$T0Za1VROkTRhK/bV7rNf2utvHmAJV6PH1EawIzffvf9zYmEnsnjHq	21	2013-08-04 19:01:28.597758	2013-08-04 19:01:34.589959	247		0
24130	100ydadt0i26ts9mzbwuzu6ojk	$2a$07$PZXvHH8VTNbnzeXNnVfuieoywWdadhNjmW.oMmBC5ux68G3iT5.DS	22	2013-08-04 19:01:28.622235	2013-08-04 19:01:34.728922	247		0
24131	1090znhvci673jo933qeqywyqo	$2a$07$jASdEbKuUb03rOm5//MCdu7PSkNJ3KdVnNshJc1yOWZOotmpALG/.	23	2013-08-04 19:01:28.645858	2013-08-04 19:01:34.849683	247		0
24132	10n9xhs5kawwr67ku96nwgw53m	$2a$07$Ri3MykYwXQzs/LSor82pVOhmhidsl5Be5eqADrRQmgQt2oDZomq.y	24	2013-08-04 19:01:28.670877	2013-08-04 19:01:34.974926	247		0
24133	10lb8lsz8qb73ccca83uk4a9x7	$2a$07$FXTccSct.ono2/FWvvurjOG7/9k5Lr7cG1mZOE3LLY77K80NBRZAe	25	2013-08-04 19:01:28.711257	2013-08-04 19:01:38.152807	247		0
24134	107w53tk8915zeb84ntjx0c7ot	$2a$07$T.0Km3QklbsjknV/D/EkzOoP3Hp8PtKSNGVDdWMlS9GgOSyL5HZCS	26	2013-08-04 19:01:28.747223	2013-08-04 19:01:41.498405	247		0
24135	10f4quz6fxmjrh8llzsvd1oc02	$2a$07$YQGvRlaMfiE8AU86Ltkyv.aI53EZ71pFcQwwBh8Bkw4dXpXfMj2l6	27	2013-08-04 19:01:28.770082	2013-08-04 19:01:44.789044	247		0
24136	10jfa4jbv1ov9ia7p47bkfr1ec	$2a$07$WHChckTWC0vTNeSReiemkekGuz/AqdPVeeFB4AjvTF5gUC/QyjIxK	28	2013-08-04 19:01:28.793204	2013-08-04 19:01:44.987215	247		0
24137	10ngw1iu5pxnibejzse27yk6o6	$2a$07$gPzzla0beLWk6PkQge28pOWpDACPUdD9PHTp30xTUFi4a9//O9WaS	29	2013-08-04 19:01:28.814522	2013-08-04 19:01:45.134047	247		0
24138	109qub61nzm3fji358148wxb8i	$2a$07$Tg7r6GTxiQydRuO1RgQsmOARXM0D6XKnvi0tQbU3BPO13jfhTcPca	30	2013-08-04 19:01:28.838318	2013-08-04 19:01:45.276518	247		0
24139	10o8pmdi4ltoh5nssw3x2dq4om	$2a$07$0lTUm3MfWRwVLBOJCBSwzu6Iij5NVjlEB7hn5dhlvg/i7ToXqXfmW	31	2013-08-04 19:01:28.867523	2013-08-04 19:01:45.423104	247		0
24140	1072ef66uz3007krybym10i7h0	$2a$07$Jw1PGiWqAWMtsdS0lbjF6.D1AJkoH4O0ojqKlJdu/r53gjOwzlihS	32	2013-08-04 19:01:28.904219	2013-08-04 19:01:45.579329	247		0
24141	10fdcbls3uz159krtajt2u4gd0	$2a$07$3yaYia.QMseQUlmlp7Yxwu0ii9E.9bwu2PWYQvD/OQvzMTRM89VHy	33	2013-08-04 19:01:28.940348	2013-08-04 19:01:45.724327	247		0
24142	10wngbjadeex110luwakdv3c0n	$2a$07$impiD9pSb/KuOBQ955g11ec7Dfb5cA7Zi3til9JLClo89QQCBI1hK	34	2013-08-04 19:01:28.963825	2013-08-04 19:01:45.845083	247		0
24143	10ylzlei1dzcz7dy6rv8my81sv	$2a$07$sfrZ9CQscJnfIznyCUUCW.Vzyu0x3SBoSdQrSfkIqDip00dXc0NNS	35	2013-08-04 19:01:28.987322	2013-08-04 19:01:45.991879	247		0
24144	107rox05nyqdcvbe97y05crcid	$2a$07$/DIQlF3mhErIiD1HPpDUDussxV4PG/peaXKBhEeuFL7H181n0zyWe	36	2013-08-04 19:01:29.011534	2013-08-04 19:01:46.189388	247		0
24145	10ufixg7jzq0lwu5fxw6itivio	$2a$07$Qc1PS.JXAZ1vkz/f6.F/JOUISQHL0Yw2tFKIos9y9n5FO6HWpznvi	37	2013-08-04 19:01:29.035281	2013-08-04 19:01:46.322668	247		0
24146	105t6k79mg3iblm2bxxq88auzl	$2a$07$TnqicZzI8gmj1lGfgIxKluiphCwNSCL7cqvjy6/DgSd0wko5AEzmS	38	2013-08-04 19:01:29.058622	2013-08-04 19:01:46.438956	247		0
24147	1070e3jgae5cdfsuoh31s434l7	$2a$07$ag3epvtH6EVbrojqklXppeuNaD7hYdouKhQ0QgAcm6kGP0cFw/ROC	39	2013-08-04 19:01:29.082631	2013-08-04 19:01:46.621946	247		0
24148	10na5ezw01o8udnu0kl1bq0rh3	$2a$07$us/AohZFMQQeTP7eH7zDg.TD0jDp3P/Ja/PXB32dz3s5KTTl4PnkK	40	2013-08-04 19:01:29.10571	2013-08-04 19:01:46.750127	247		0
24149	10vnxqri2n9qwudl27ipyqabe7	$2a$07$8KLiLPSFOUV95TiHpsW6Pu2IiyjI0RxKIR4qOkHdhw/NxYoRlE3uO	41	2013-08-04 19:01:29.12983	2013-08-04 19:01:46.881189	247		0
24150	1006s0x65zcrazr8tncqst899v	$2a$07$Q2DdjLYGNv4SNvV1SAzSweNzyl0FnGxplvTgwTKXCt1f3FLSg6E8u	42	2013-08-04 19:01:29.159787	2013-08-04 19:01:46.99529	247		0
24151	10vfudpog7y36yg7f350kbpr3t	$2a$07$Lgcx36ftToV3sCH3RlaDWOJulYdO3aa3oGL0w8pFEBETjYbIj1Zpe	43	2013-08-04 19:01:29.192231	2013-08-04 19:01:47.139354	247		0
24152	10wky56j1g13n9ak7sxb9unvmd	$2a$07$BCFUuX.ImLSbt8ouRU0nreELeG8veNxOWSdRhJd/IVQXM/I97V5Je	44	2013-08-04 19:01:29.226462	2013-08-04 19:01:47.26895	247		0
24153	1099cxpd38v55ub17pse4lnlmj	$2a$07$EnKvqblqP4ELiNqDBjSyGeioDMUSIKZ56NvgRO01oZQuP1tUjJefe	45	2013-08-04 19:01:29.251825	2013-08-04 19:01:47.40374	247		0
24154	108uq56u5sbe67amnmi82t8qqc	$2a$07$NljSe5A9qb8h/QHeAbOws.Y19olCMwIIYuAJCzOxrOW4P4zDVJkk.	46	2013-08-04 19:01:29.273384	2013-08-04 19:01:47.55484	247		0
24155	108oh0ohzno6ijhblrvy0wa28o	$2a$07$aiou2Hn6uaF1Zv/RvUhXdelnEGedqP0v6aHVLfVVEdqHph61eCXGi	47	2013-08-04 19:01:29.295593	2013-08-04 19:01:47.708029	247		0
24156	10kqjtx7ptrr0vmjjr0we1vj0b	$2a$07$706BIlTv85msNZXFs1GqDOEYEhEtmP7waxiJEhzWZb.BHOrJBW4Im	48	2013-08-04 19:01:29.319136	2013-08-04 19:01:47.829617	247		0
24157	10hmhv1wmmi3vlqdvb0o0crlt0	$2a$07$vylrGiWItI3aPrSXdDP4Tuys76WY0n1ReIB6s/5CHbqigx.xcyZYy	49	2013-08-04 19:01:29.350436	2013-08-04 19:01:47.984371	247		0
24158	1053o71dcxfj7kbbofr4mv4box	$2a$07$c8k5QTxLZlu7WUH3FivnW.1lVPlhlBSg69e1O3QcJcjyL8n6eANwW	50	2013-08-04 19:01:29.393705	2013-08-04 19:01:48.133984	247		0
24159	10cmt7szzfso0sajrm5klmr4qs	$2a$07$wEGvlu5PGaKkwfRxAwpx2eIvtYhK9/oBMBmb8IgrJFsGMN3ulqLSO	51	2013-08-04 19:01:29.415257	2013-08-04 19:01:48.264133	247		0
24160	1085c005vn4r1jsp6ss0us2vs5	$2a$07$lKS6joBKvuAPI2cn9Uo7ve7pXApNJuAJ88/9d/LWcgBiUgg/UfiVG	52	2013-08-04 19:01:29.444069	2013-08-04 19:01:48.423078	247		0
24161	1074gzu5nfgd7nxlidllqf1ark	$2a$07$lAqTFIPj6fKlZQG5emtl5eqAEyz/ddOnvYK7EfkVHisRkSVvd8Y02	53	2013-08-04 19:01:29.476027	2013-08-04 19:01:48.565621	247		0
24162	106yxh0tew4huxb8u25cv1ssis	$2a$07$quV6oTyTOzv1mDsYSlkPe.gU6FuLz02keTgQ7c90SvUtAZgZp9EOe	54	2013-08-04 19:01:29.498105	2013-08-04 19:01:48.731453	247		0
24163	10gt5dk11oywht2xb4fq864zcg	$2a$07$.ZpsIGDvlAUrKY.z82XrgembUAGNGgd2MOCZ6pPHOqZvu3jf/vTh2	55	2013-08-04 19:01:29.51984	2013-08-04 19:01:48.85206	247		0
24164	10hqh88if7gxv8mqp85mtp4i26	$2a$07$ehU9xqYdRR5bsh63mZpqQOIUI397r/c9W5kba6WzH1cvzWr.XO9D6	56	2013-08-04 19:01:29.548476	2013-08-04 19:01:48.965022	247		0
24165	10xrdvuhte7adewrluyzaaev9r	$2a$07$hy8wogX4s6rLJhZRQuuJvOzg9/nxphwJ0phnwmhn5zAyAY/2YFKP.	57	2013-08-04 19:01:29.575235	2013-08-04 19:01:49.101126	247		0
24166	10vzosyyuo9kcm7nfq48zlv0rt	$2a$07$RBK.a5g.xfXPYwdmNn/MCO.xuAMNAM18GCfJFvsUGbiH8qeeitbra	58	2013-08-04 19:01:29.599484	2013-08-04 19:01:51.670598	247		0
24167	10wv0qtrlm9j1v57h5ihqufqzt	$2a$07$QDsgEpgyOTLMuDhcaIwpluP1/WS.3hoWuWPag8zJRdFnpibKhivAq	59	2013-08-04 19:01:29.624921	2013-08-04 19:01:54.20456	247		0
24168	101ray3a0xic0uf1ezbf3uqwtr	$2a$07$48wZ65Bk3HYjaw3.ASY19OuF.5CFDfzk8QZ5EWFm22CPiEAC76/h.	60	2013-08-04 19:01:29.648158	2013-08-04 19:01:56.820496	247		0
24169	10vahs3up3ozub3bko0fn6f5zg	$2a$07$6.IklFTNQaESrAh7loxGE.TskrD8CCjVujFuiS.gbFC2NDPvNT0xq	61	2013-08-04 19:01:29.669896	2013-08-04 19:01:59.495092	247		0
24170	10r9chxhxxz5ibbcba8rd89l37	$2a$07$3fUGDBi8ObhINDKIh4wOA.ZlvVEJJzJVQNkAyASmLafKkfXBYYnhO	62	2013-08-04 19:01:29.691094	2013-08-04 19:02:02.489507	247		0
24171	10czafpaafds5nuodk7husmdms	$2a$07$d0xOpnLELH7qor50Shbqb.TRmJjw6Hpdb6kVe8ToN/QTL2szFBd2G	63	2013-08-04 19:01:29.713649	2013-08-04 19:02:05.495835	247		0
24172	102qplcq7esxcllu1ms3ws3p0h	$2a$07$qrCDHyO87YA7q30q5eAEhubLMf4gHEbyQxldb0kZhE4c96wK6G5vO	64	2013-08-04 19:01:29.735954	2013-08-04 19:02:05.621223	247		0
24173	10w8icpuhrwux89q97wdmowoyf	$2a$07$JnYAoEX3hg0Ii44TZWxTz.NBJROKenjPrmYsnCIyOqQCzQ0lZJMrq	65	2013-08-04 19:01:29.757322	2013-08-04 19:02:05.757456	247		0
24174	10pcj9f3te4c5sx16p1qr28qw6	$2a$07$71Ix0CLCkwzqJgaf3eO/s.IiVCBJWxYu0xYO.8642be/C0RhodZF6	66	2013-08-04 19:01:29.77977	2013-08-04 19:02:06.035392	247		0
24175	10hf0x08hp70hg95zz9s8pfas9	$2a$07$O6jkcptWh7wpz9XcDoP7jukBz/jTWCIfLAP/yTFHhSy/bgYIF2Pom	67	2013-08-04 19:01:29.801091	2013-08-04 19:02:06.156739	247		0
24176	10o0gurtjinas26f2lchvyhphf	$2a$07$a5MkiMsxf95keOxKQghtDOE4G5vJjYP7QBJ4RR1Q7.eBM.PtuIH9q	68	2013-08-04 19:01:29.822435	2013-08-04 19:02:06.294238	247		0
24177	101z6t96fnocq6lkem3nl7vmq7	$2a$07$PZtJ/j4R0fg1HWks8QWtze5DupnPzqxbxUdI7cR0Sw8rktxftHHNu	69	2013-08-04 19:01:29.843709	2013-08-04 19:02:06.440139	247		0
24178	10whrf2g7e8u0nc1ap71fwg0mc	$2a$07$QyGs2rXTAC.jvT8TskU6bOSTSIrNdckwor6onCeToBK2PIxElUfea	70	2013-08-04 19:01:29.865212	2013-08-04 19:02:06.564774	247		0
24179	104lopqw4lmlfjiedw2bxii84d	$2a$07$iGMywBMcSBVQ4EkLOnxF6.JEfWrPH2/g4qPIkPR6tBrx/Kqfor1Au	71	2013-08-04 19:01:29.888352	2013-08-04 19:02:06.689026	247		0
24180	109wjdblrko8pw1h37fi03r2pv	$2a$07$UtMRpHlLyvAAh4RCvnNFmOum3Hifje/dOMl1W.i4YlfCByVpj79dq	72	2013-08-04 19:01:29.912402	2013-08-04 19:02:09.919703	247		0
24181	107olhwj29i145odr18iags4xq	$2a$07$ZOzg1DZ5efBt9kNdcHEyQ.5uVpSkd8RkNNQxF0C6YWajFUifgx57W	73	2013-08-04 19:01:29.934165	2013-08-04 19:02:10.077975	247		0
24182	1057ym89w6jr1386dt4qiqn6ae	$2a$07$LEouegacjrXA9qjinLNbkumZFBJ54Ty9oxKcdftnUA.TFMXTm10dO	74	2013-08-04 19:01:29.956115	2013-08-04 19:02:10.210743	247		0
24183	10h96i2t1xt0mdtf5p40hux0ka	$2a$07$xXQltyeKq13xbV.Z/O5Xae/xQXCPxoLcygjFpyHmPEX6U2z.Z3xku	75	2013-08-04 19:01:29.979791	2013-08-04 19:02:10.390725	247		0
24184	1057gipgyj0u81ec4ibzupd1n2	$2a$07$EKT3oPOAq372wucdpWwgA.RkmiRzz4NgRxyqKVcRwLyYoMyU9Mm86	76	2013-08-04 19:01:30.003282	2013-08-04 19:02:10.553346	247		0
24185	10lmke6whr0ytprjjmsrrbxux3	$2a$07$aJAc/n1GjuSCy5XaZo1Ph.NZRcLhuH13btUgj8eND6NM/OHlAe5cm	77	2013-08-04 19:01:30.027777	2013-08-04 19:02:10.683338	247		0
24186	10o8apbng2pd8zdr0csl1587gf	$2a$07$L.5l/Gsfa6iuFbKP0Ma7ouDttdOsnnGgb.JzfwCieFWHsLkW.ENgK	78	2013-08-04 19:01:30.053461	2013-08-04 19:02:10.818962	247		0
24187	10l636qpkvd75xsgauzf8pwvgo	$2a$07$zrlF30M7vRZUfFQnsKh5Du7ifGJ9yTInToV6.kFMI/TmjgmCviJES	79	2013-08-04 19:01:30.076891	2013-08-04 19:02:10.986196	247		0
24188	10zk69ler2b4dkk9jpxjave5oj	$2a$07$Y/THDUxsUCWxacGZ8vgFAeA3LWv/VQNaIpSDRDxhedrxI5jaZmhxK	80	2013-08-04 19:01:30.099738	2013-08-04 19:02:11.140842	247		0
24189	10mkyw85qbkaazkpi3dqjq9z8z	$2a$07$5F4gXVAyXY.Sp4C4lrWmrOM7rmHAAjW9LQgtSohsHOcTDHtnW7lqK	81	2013-08-04 19:01:30.121481	2013-08-04 19:02:11.330808	247		0
24190	109x5adbg1imodptbgeo2891yq	$2a$07$XwpXYWJnRUlvVsHRE5XJ3eB/HclmZbXzcu88HB206yvn5RT2aJ29O	82	2013-08-04 19:01:30.146423	2013-08-04 19:02:11.458436	247		0
24191	1020qykmpd6qq6lccjq7be8hzv	$2a$07$FCgn2KOg9J6ThlsD1/Bz3uiR9nkNkmwP5EZfj7jv1NLo6jrzjP9fS	83	2013-08-04 19:01:30.169775	2013-08-04 19:02:13.90635	247		0
24192	10ak17p3ppxm2wbrz9h3zxu6gk	$2a$07$H27lBAevoQSaVk7IYzFRc.QSfTFBg8v6LjJ979Z5nuK7f3sgbJVHG	84	2013-08-04 19:01:30.193194	2013-08-04 19:02:16.778188	247		0
24193	100a7xlv3buxqrujbnp651mnpi	$2a$07$yfESw68em87ro3f6AuRcLukT3aUGvO5Y0.HDFcwWQGmu.scRhDIfu	85	2013-08-04 19:01:30.217201	2013-08-04 19:02:16.882119	247		0
24194	105xw28d3h3jblty5ker1k6x6k	$2a$07$CnB3YAzNP/aVIN5/hdocNOZ5x0LVbt2Me4Y1sIa4HyND0p7cJy9hS	86	2013-08-04 19:01:30.241274	2013-08-04 19:02:17.01454	247		0
24195	10jp87oe57qj7ykrwtak1q7r6r	$2a$07$HYCQg5idAatsI5YbhPGhVO/OBM2ZMylXdM6rBm67AxwoCssSdNFOy	87	2013-08-04 19:01:30.264386	2013-08-04 19:02:17.157122	247		0
24196	10hg3rfecxa7s2ucw96izepkzn	$2a$07$QvB6bU5eQz7Hy0WCKFUjtuS4zU.hofVUgur0ysln9Jr/eVoXieQ/m	88	2013-08-04 19:01:30.2859	2013-08-04 19:02:17.300965	247		0
24197	101ph9sdvktazhb8hxblqmw77a	$2a$07$Nn9wxusYeT/4JgstFFU2XuCYYcHsszMNssLYr0/ywzKDdinttwq32	89	2013-08-04 19:01:30.307466	2013-08-04 19:02:17.514713	247		0
24198	10s9ymqq1r4q4m945ixz3fyq0d	$2a$07$N6O0pWbXemrWbwmjNr2TouQo0R54zS7DYymov1Syz5aK7q9R.ThwK	90	2013-08-04 19:01:30.328854	2013-08-04 19:02:17.739555	247		0
24199	10sxl5o2s01v0w7gvuyqry7s8n	$2a$07$UqCxHXL39TjBpz4oF1BbZuuRFL.T5oERuf6ME/e0P8FsqEO5iAXTW	91	2013-08-04 19:01:30.350443	2013-08-04 19:02:17.898212	247		0
24200	101sz4ocfikjr1zllkm1irw8bz	$2a$07$4yIduzdP00iPE1RwQyAUCuCuHSe1koQyDT9vCYA.Eo2SAkwcc9jNW	92	2013-08-04 19:01:30.372379	2013-08-04 19:02:18.045531	247		0
24201	10ys8mxzzh39xbt39491idm09c	$2a$07$FGYpT.pBInKbTCfIZmfTyOqDss4rCzGRTydj2/vXgYXJ8SrKLg2AK	93	2013-08-04 19:01:30.395591	2013-08-04 19:02:18.177411	247		0
24202	10kmyrhomtbyh0azu9ayfq3apw	$2a$07$Y76eObXvQ8Ua5dxLgnb7D.WcbmQyjhwdMN5QPkm43N.o9y7cKR9cK	94	2013-08-04 19:01:30.417157	2013-08-04 19:02:18.316805	247		0
24203	1075k4b8bjvusk3pqh5glrkgo7	$2a$07$my4WkBxdygXUEuJ8bVSvTeQoyNtTaxDNsKEy7rZ1M0znsnga1cXj.	95	2013-08-04 19:01:30.440935	2013-08-04 19:02:18.479804	247		0
24204	107qa496gmo27l1i7nvzep1ovj	$2a$07$02LARiidxs9tH1ZPGzUhiuBu75UyUbwl2FEKwcu/e4hwJb8aLRmYa	96	2013-08-04 19:01:30.464769	2013-08-04 19:02:18.641084	247		0
24205	108gus4fmj6xx8t9wuygmew55f	$2a$07$3O.WhpFx0OeKsykpb/4vJuLk5pYvr612sNqInal5JEY/ze5dT0lWG	97	2013-08-04 19:01:30.493972	2013-08-04 19:02:18.784881	247		0
24206	104byngwnvsfaph1schnle2mt4	$2a$07$J80e7hgH/ZHzXyW8VrFscuJEo/wzZXlsjbDbBIqp.Zb6C.0iIEa06	98	2013-08-04 19:01:30.517411	2013-08-04 19:02:18.920675	247		0
24207	10mendkd7fwhdhfnopgb8infqu	$2a$07$38DxS0T7sdt9LEQ1OyjYpeqXs3O9ENl17XpYQYBIyCclOpk8gaIb2	99	2013-08-04 19:01:30.550012	2013-08-04 19:02:19.044936	247		0
24208	10jcs74m962g76f6zb9vahydqt	$2a$07$l3NKgic234421kOYKTJd1eybc18IGtC39sLaW9yo9B6g.ZABDNgam	100	2013-08-04 19:01:30.585485	2013-08-04 19:02:19.17418	247		0
24209	1029y8pvl0lwsjpjy7yulpfa9h	$2a$07$c/Yxvdlyk/sgzD2vK9gQmuywAJEE3MQsvadtCCPLE7YE90ZKt.eCq	101	2013-08-04 19:01:30.609768	2013-08-04 19:02:22.291585	247		0
24210	10hyv2vue5rpb19urwbqkbfzds	$2a$07$1Bsm.KVh5GzUh3VhH05J/eNFPnPdi3oZ98MjHie4O9uybzrUArLH6	102	2013-08-04 19:01:30.634691	2013-08-04 19:02:25.364599	247		0
24211	10c3vwts3hpritq4xjiwkijn9u	$2a$07$Q4hn.aw96.5ArebMuNoZOez93qMLG8yzWknjqUEoPXmdctJLNwaa.	103	2013-08-04 19:01:30.658972	2013-08-04 19:02:25.510633	247		0
24212	10q1a5yj9zx3oig5si9puxwvge	$2a$07$Ai7E.CIe9sZHmkzu7jOmHOSUrQks73G2WcRuMDj9Xt.okrALy3mxq	104	2013-08-04 19:01:30.682248	2013-08-04 19:02:25.648395	247		0
24213	10qcx7q7ld6stg3sblbxcg724v	$2a$07$1BlGZd/ity/AtC1WLh8OLueqRwdL0Zh31Tk.dCXzpJ1YeQ.d1O2zq	105	2013-08-04 19:01:30.70777	2013-08-04 19:02:25.831846	247		0
24214	10h3rb8lnpj2vh0zc00ogkm0l2	$2a$07$5eJ0R6KWwSMF09/dQ2atoefwVDu.ORAUMPVFYy/BmOlKZLzOiNXUG	106	2013-08-04 19:01:30.732145	2013-08-04 19:02:25.973427	247		0
24215	10rki4cvki7ksvq3pu0vnz1hg4	$2a$07$o2VEcd3fp..8kBqA0MeIZeHCkz0DlxHltfGo0ZzywjG5tBGbYjm2O	107	2013-08-04 19:01:30.765338	2013-08-04 19:02:26.115484	247		0
24216	10n9t419rj1knphi4r0g7oripb	$2a$07$U82uWgLJSgFnoSPrQ3Plau4g86R42hpB4NNPM7rZBSzSDaFPB8Xim	108	2013-08-04 19:01:30.800345	2013-08-04 19:02:26.223524	247		0
24217	10l89i52f7dyg2l2qo2492ftd1	$2a$07$JD7WgoUl3THf480B/WDqsOyIoV.7AmzEk4zvmNdPBSA4/J65lwNva	109	2013-08-04 19:01:30.832008	2013-08-04 19:02:26.360194	247		0
24218	105b89cxehz2bm5xiqajzs88uo	$2a$07$LWATCs1YP5dpE0ZkruQTx.gBfWngUbLdJgGGvLz1u6kXCBWrjwEyC	110	2013-08-04 19:01:30.853874	2013-08-04 19:02:26.527887	247		0
24219	101y18bmtwgktevifdkqaf5j7d	$2a$07$3sx0WV4h4AyzfOpMOjWD6u2h08o/LYv14zJw8UHyhs4pM1k9HnfG2	111	2013-08-04 19:01:30.876367	2013-08-04 19:02:26.658446	247		0
24220	104502za0krz3jnuhio8xh8xrp	$2a$07$WQdRXlQfwg63ecFinoTLuuHTSeEOFGI5nIWg8Mmza/WjG35N4eBLG	112	2013-08-04 19:01:30.900027	2013-08-04 19:02:26.779214	247		0
24221	10ypofg9scgdftbi6sezjzof70	$2a$07$eeC7AoLYyZln5tHREJArs.PS11bN939lGjXSxN9/sBE1BhiSdQ2c6	113	2013-08-04 19:01:30.929009	2013-08-04 19:02:26.951162	247		0
24222	10omx07x9iv4btyvi0hb56qcw3	$2a$07$hxNDZJNQJaLagKVD3nopG.gBi8ORuB7kLV82/Wc6mcdJ2WdQDwa9C	114	2013-08-04 19:01:30.952264	2013-08-04 19:02:27.106846	247		0
24223	1055je64ef2hnyos63g9aakltk	$2a$07$I76fCpr5wDitrbjGUwM95.0.PgDbIKTNBJFlvbwk038xDusW9NHXy	115	2013-08-04 19:01:30.979226	2013-08-04 19:02:27.218872	247		0
24224	10fk8he6q82px5adivngmas49b	$2a$07$Fm6qcN4bXdtfyYVMS2GnMOZy0g3nij4WIVzDKV9ByIOPF26usHrNi	116	2013-08-04 19:01:31.01347	2013-08-04 19:02:27.379525	247		0
24225	108uxhcxrdqw9m9tmgibxn4raf	$2a$07$Apeej8cySPf2oNUhbV4cuu0/zblrCJf8lSoW.YNHN1GIdQw0pPYwi	117	2013-08-04 19:01:31.037536	2013-08-04 19:02:27.521099	247		0
24226	10pnys98znlrzr1jywt7xp09ja	$2a$07$8nVuaoQNYz2EB0v7hHS3K.f4W5bhmtjBxss0OVjL3yWGnXBzyMFua	118	2013-08-04 19:01:31.063672	2013-08-04 19:02:27.665599	247		0
24227	10xqoryjnhoeyf4plvg3ny3szl	$2a$07$qBhuOBA1HaKlz/KLa8MMqu9EPw/eZB1jNlx2lxjb.yzDXmbzwpCqq	119	2013-08-04 19:01:31.087959	2013-08-04 19:02:27.810721	247		0
24228	10ewqentrwazmmj8zryv51cdj7	$2a$07$xErWZmiVoxES6Q.GC0r5o.hnG46y/YBoHmV2OQ7126sEuxz7zztZa	120	2013-08-04 19:01:31.111138	2013-08-04 19:02:27.984421	247		0
24229	107bobz7ikc0n4q9ou7cskyo7x	$2a$07$8R2GQFwFXChIderYT0dYFOKTILYrrU7XyZaShGt1ObBWpHF9hoIhK	121	2013-08-04 19:01:31.134801	2013-08-04 19:02:30.374662	247		0
24230	10tp3j5cypdcd59mbu0fxkc790	$2a$07$FzZxS7YhNXJn8iL/Hkgj8u9GWz2LOtoCn4/bQ7y23ojlffC3BFX0u	122	2013-08-04 19:01:31.169241	2013-08-04 19:02:32.77635	247		0
24231	10oc3ptz33s3zj55h8yuwpaonq	$2a$07$CqA7T3M9jua.ly8/5ZAagehRlI0bT0aWXBrL7HD7VtlAl.9VNbRM2	123	2013-08-04 19:01:31.192883	2013-08-04 19:02:35.578975	247		0
24232	10izxa7ojhs62p5g47ka0bj3e6	$2a$07$B4Du80xlNtY6KRShsfkBXOskaRV.RRNSnwblBtVFZ3mlz6yzcW/CO	124	2013-08-04 19:01:31.228387	2013-08-04 19:02:38.482117	247		0
24233	10965jaj4ni6eg2qfwe94l3z3f	$2a$07$oXDtbAMHe8oHehB4PHnYi.dIQWHCVoruGgKptql9LgReo9rLVKh9C	125	2013-08-04 19:01:31.253928	2013-08-04 19:02:38.622516	247		0
24234	10y7pou3zjw4pbaacoda07b3zd	$2a$07$tEFmB3ppFKJAJJ9R9jQls.sAtf3XEId/addocdCnxvzyh5nQH.tz.	126	2013-08-04 19:01:31.282343	2013-08-04 19:02:38.778144	247		0
24235	10gu8span1yikg4cimmt017pw8	$2a$07$wGGKddyH7I6VfI3dq/jTrunZ68j9YzRumRaJTNBusLKMyCfu4pGfW	1	2013-08-04 19:06:28.057315	2013-08-04 19:06:31.294855	248		0
24236	10bflb257c3s74hlb94l8g2d1n	$2a$07$xFqtKoIp1Y6sFnPh1LJtfO6.L/VyHm5BxReoiZ41WQBHi/ZJ.z1Di	2	2013-08-04 19:06:28.082251	2013-08-04 19:06:31.433609	248		0
24237	10psslo76te082ev1cc1g64kut	$2a$07$liHcaNYcHmQosdLF3Eqae.3yGZm.h2ywPH9H3YjjTmjFEynZXY2Fy	3	2013-08-04 19:06:28.104138	2013-08-04 19:06:31.553277	248		0
24238	10lnjzxyvl5w24hdvtfmfce9ia	$2a$07$nDSDJ.PhU/CXPJti.q1ymOIgQBGsnzgoF2KkA699.8NC.VaHcI6Je	4	2013-08-04 19:06:28.125887	2013-08-04 19:06:31.686741	248		0
24239	108v32vk8ojahk2t14i70bj7mn	$2a$07$0BMSR61Bb1.NEJ6geUBIROGtpTJswnndWujZiJAcLHjZUikeCPpq2	5	2013-08-04 19:06:28.147358	2013-08-04 19:06:31.826688	248		0
24240	105yp1sy3niwskl7dkmcpy62bf	$2a$07$L7XFu02/Dq2MhL62tYDede3Y4OAAxKUY1FTSW9gAt7Z8z0S5QMrfC	6	2013-08-04 19:06:28.169024	2013-08-04 19:06:31.969089	248		0
24241	10gk47bmndt3q08lqn0u6s8yn1	$2a$07$Lr7SL7n6t69VuLr6VhhmWuY48np/VQpmRkBpkQs2R75E7.7QBBgQi	7	2013-08-04 19:06:28.191729	2013-08-04 19:06:32.158203	248		0
24242	10t6zwviobcrlm38jki25mqe2q	$2a$07$RU93DbRDOH0f6Y8Y/vS/0eanWAdpckViIZH2XKWk2SeUYA2KPzy3i	8	2013-08-04 19:06:28.214313	2013-08-04 19:06:32.28737	248		0
24243	109gxf7a3lz3be0enj62o3xbnr	$2a$07$PM1u0GLsdObDEGGiFaow3url4pJGGKypdcKMX/uT7HcQEiw1TTvE.	9	2013-08-04 19:06:28.237186	2013-08-04 19:06:32.440085	248		0
24244	10ifg8ddb7mfig4gzursfoeudo	$2a$07$Eos9bt0LhNbRrv.nFQUkRe8GLiFrMi.lkwwdYoso5P2XLZz85K1DK	10	2013-08-04 19:06:28.260479	2013-08-04 19:06:32.583397	248		0
24245	10z3fgjhbpe3rsgqt3rqifesky	$2a$07$KMbhXZ6/5jweeszu1ZMt/.xkM7C8xqu7d9a1EtyPKuWNtAHYb7YRO	11	2013-08-04 19:06:28.293554	2013-08-04 19:06:32.707468	248		0
24246	10yjy9le57hniwi2jnkicl0qna	$2a$07$BV8ZN.uD7s4D.QWoGVUAxuCE..MZZfOKqRR.qYIBUZu7NJ4zUwWB2	12	2013-08-04 19:06:28.319117	2013-08-04 19:06:32.827324	248		0
24247	106nf9wlpy8jm3hzwcr64sjd8p	$2a$07$j1JEG2W7I7BPCpPCeZEG7e9GSfXXoRJlhPmuaY12EwgUVvTjEApgC	13	2013-08-04 19:06:28.344168	2013-08-04 19:06:32.951675	248		0
24248	10v5e56e7ej6eoefyg8v68wqb2	$2a$07$KAlOW4DGoQuJuRCqjBj9rOh4d79g6XDQlqwjsbgtaMI71SPP6.fa6	14	2013-08-04 19:06:28.368769	2013-08-04 19:06:33.071421	248		0
24249	10jhoedcponutnnuqr1zfsacvj	$2a$07$BRTVwnSxOm5ySbBS.iokUuVFBQiajrk02su3rzpnkbB1Vxih9eSIm	15	2013-08-04 19:06:28.397895	2013-08-04 19:06:33.191465	248		0
24250	104n9e6o20l6s009ixpespuag1	$2a$07$81AZ0ej/yrTrV3oz7NvQkOfPUaI5vunzy2egC9tjksGrRcYeE4IjG	16	2013-08-04 19:06:28.423642	2013-08-04 19:06:33.365043	248		0
24251	10be5rmqe8mcclrugiq76ucvtg	$2a$07$Ra/DRN3DddOxp0ahvFHpIO7o4frrR7/omWuHzGTwbshKLgq6mo0US	17	2013-08-04 19:06:28.447551	2013-08-04 19:06:33.538447	248		0
24252	104mwkyldrvubo28d7olirgizs	$2a$07$5LoqCfdJTofmpzWeS2sgI.Hb0X6KReuMYU12vOEbHH9Gdl6awAl8S	18	2013-08-04 19:06:28.473291	2013-08-04 19:06:33.688093	248		0
24253	10ngpjxrl28vulrz8uimrzne50	$2a$07$oypcWwIm.No2JbkHxBaer.skqAe3Ul/Ee5CwfTL8dzWtt7yXudnKS	19	2013-08-04 19:06:28.504384	2013-08-04 19:06:33.825443	248		0
24254	10n9zl5tdnb67i0p6md1gl8ty3	$2a$07$s7ysby6Z8oD9p1cOhAp45e5HTj1qjSOfnPVxKE1Mw.xDafmXbsMfq	20	2013-08-04 19:06:28.527167	2013-08-04 19:06:33.942737	248		0
24255	10a04qyzvujhc570y2x5prxjxv	$2a$07$RbaWCnZR0g8kNaN/MR6jkugFjo/4z/VBqwneAMLMXdEKbxlakSmF2	21	2013-08-04 19:06:28.550473	2013-08-04 19:06:34.091426	248		0
24256	109s43w2dbyy0eo3dbby22cxgg	$2a$07$xZ88eqsWZghg8oUq72JvpepS1a7lxBO9/vhnrymt3X73QgU2DZKt2	22	2013-08-04 19:06:28.574933	2013-08-04 19:06:34.235537	248		0
24257	10l4v3hinqc4t6myh445vppvfo	$2a$07$Z6QBC/WK15Cfvt9t6jtoEOPq6SyjoaJfToD1/7NNfVHL07/RcMV12	23	2013-08-04 19:06:28.597617	2013-08-04 19:06:34.334884	248		0
24258	10j2cz4547kblkj98rh41xjeej	$2a$07$FWsXZTzwnFN5Tu3qh3PXWuf5rXt9hPoT2OH7nTsyE5hJ1jlvzJ1IK	24	2013-08-04 19:06:28.620347	2013-08-04 19:06:34.449438	248		0
24259	10cx3zmo45mjf53j29mo6tzyzv	$2a$07$Wg.w6svU.XZOpzhuDiV3C.UMLFWDfCdYuycFCOylhGTiZta2SFZs.	25	2013-08-04 19:06:28.641921	2013-08-04 19:06:37.48217	248		0
24260	1013u2dseozs1dbgg5ct9cvtov	$2a$07$A5Dgzb8Flj0O4D85fsDUKusBilCAdOsIPy/F1ZWSioM50VQOkXw6q	26	2013-08-04 19:06:28.663603	2013-08-04 19:06:40.33605	248		0
24261	10k8qk2v5rwy5y5oid8vzq6qbo	$2a$07$7AzLta9GehmCa9Mz3rD09ud5cdl0jSZ/dO3AYJPZXbSY5S83USTPm	27	2013-08-04 19:06:28.686265	2013-08-04 19:06:43.2022	248		0
24262	101qp8wxznjy6cyv0bzevhza0g	$2a$07$7Cyyo0.Fi0yOxwKtHPx74e.I.qTkthDZ1yus2C5FLuBEIU.NQhrMG	28	2013-08-04 19:06:28.707966	2013-08-04 19:06:43.329903	248		0
24263	10cuy0kp0f5lv59gvuuuit0lrq	$2a$07$UO0ZTrS5iQylgWZ43Fz0GO1Vu7y7FdHZwjnuBTInaMaLQYtwwXJVS	29	2013-08-04 19:06:28.729553	2013-08-04 19:06:43.477738	248		0
24264	10g5kj4aafpos9twswuwgpakiv	$2a$07$WffsU5WusbSgYYK5k3olledyLOcCu8NpFlY0FkyIH09cAbaVsZ2r.	30	2013-08-04 19:06:28.751206	2013-08-04 19:06:43.596177	248		0
24265	107z93kixbav7zghzi3cf22t9n	$2a$07$QOAomZ4IKsR6EeIwHGMDV.J0t/2ZNLI7q9rqnL3NK9YkIHEfPwl0W	31	2013-08-04 19:06:28.772736	2013-08-04 19:06:43.698556	248		0
24266	10143cnqqrjvcjxa9ntz6fqcru	$2a$07$LefXV0dvQYuZuirxYGplQuLW1hJfzN/vbu93qXbTFU806G69H9IJy	32	2013-08-04 19:06:28.794205	2013-08-04 19:06:43.832376	248		0
24267	10regg5r6vfzge5bvg7jg7oi60	$2a$07$.zy5.pVVmkXnwfqZA44LMent5tta8MSnvXDYPnKF/XjTrF4fC00u.	33	2013-08-04 19:06:28.815931	2013-08-04 19:06:43.977973	248		0
24268	10edpsamdsovczzavc026z75bx	$2a$07$RQLO//KrgV9TY8xlPweWuu4zhC9a5pRtqZpON9ceIifzzCtCg3K9m	34	2013-08-04 19:06:28.837591	2013-08-04 19:06:44.14362	248		0
24269	10a0z4ojhf3ou0gidy0hs9dg4k	$2a$07$4YHew7VlsXCkoA3gSEo4tONWa2wERzD.BSUSr6lYwW8c5A.T2VBFy	35	2013-08-04 19:06:28.859051	2013-08-04 19:06:44.333652	248		0
24270	10275386kpdxxjzobohkka4ckq	$2a$07$/1GY4nvVPFDTbFoYRc22Y.lqdxHFCPGfEtlRCC4wZp6LGCArjW55e	36	2013-08-04 19:06:28.881054	2013-08-04 19:06:44.519101	248		0
24271	105mbs2lqxhl73sp9ues1kb2mr	$2a$07$R4CLR/E4goUIC8VBq2Y0kuakKq.wLpCnLQaPWAspMQUZMxkSQnlRu	37	2013-08-04 19:06:28.902723	2013-08-04 19:06:44.653471	248		0
24272	10lghmq62y703oxuq1srpvdwwc	$2a$07$6DFe2F3hbUmUbV/p0Kog6Oz9AgVnAo5H1w2H3c/SR06QpCBHO//4G	38	2013-08-04 19:06:28.924204	2013-08-04 19:06:44.79845	248		0
24273	10yai3h1lgwhobs5gncsdb474u	$2a$07$XWTeoDElYdCOJn35WjMPreXBcDbIwvaCJeWLmvgJKZNL1hyQ8k3G6	39	2013-08-04 19:06:28.946178	2013-08-04 19:06:44.940324	248		0
24274	10f7wgi1zmub17ty79kwbg1ocn	$2a$07$cPY7pPxIZ1qyQnEdKyA.ieXxC1e0/wLvOlBw0W7c/z6r0ldwtEH5C	40	2013-08-04 19:06:28.970236	2013-08-04 19:06:45.069618	248		0
24275	10t7j77cgumrs40mqscqc94ujj	$2a$07$5wOs5GD.ipDLdxJTPiofxuPp1y33LCYwXcTBu2q3fFK1wJe.z8MoW	41	2013-08-04 19:06:28.99567	2013-08-04 19:06:45.187236	248		0
24276	1042pv5cogt3n3u0ow73kfdghw	$2a$07$zrCqRd/97W8VTckpA1.i9OPuS0Ps0LIr1rcyRACjth8OQU3Po7PIa	42	2013-08-04 19:06:29.026571	2013-08-04 19:06:45.319627	248		0
24277	10p6zymwv6dfhio6tmrnlck5zu	$2a$07$VEIadJl4PhRd5vdkLIZAju9f66XVA4utKhU4QdzTWiJAvx/iF3bb2	43	2013-08-04 19:06:29.057142	2013-08-04 19:06:45.448679	248		0
24278	10yqzspy2ez7in4lug8px3qrn0	$2a$07$/iZr/jsqWbMmtB0aSDDC6.tL.iPhV7oPF1QWKbcokTPkXTpUHdN9K	44	2013-08-04 19:06:29.081604	2013-08-04 19:06:45.58725	248		0
24279	10htqqubp9okgfrp6zbzmwwosa	$2a$07$1CdWgzpTWvsN5T0Q1.k5/e6TQ1jmm8/RWK2rCv7Udun3NmVufJCIG	45	2013-08-04 19:06:29.105305	2013-08-04 19:06:45.684035	248		0
24280	106ss3dkgxyhfsmo9mlpe32bfn	$2a$07$GOdeWXsXLc/TRsWyLR1rMOWbrz7CUcwGA5jdknDuWtKVtHdNuSza2	46	2013-08-04 19:06:29.127446	2013-08-04 19:06:45.804209	248		0
24281	1080g46b7vi3zl9yunrfxn5z4x	$2a$07$YxmMvBaLJVWHPX/dZMhMleY17X.vhVRqOJCE9a7ZK57X5oWokHcGm	47	2013-08-04 19:06:29.149166	2013-08-04 19:06:45.94027	248		0
24282	10h7rfv2eu26bhytd5en6w0y5l	$2a$07$1S9on6Gq.Zvw.z6c1gQqxeZrIzGiO6.1ehEEmtwyYI16rMfbEdLpO	48	2013-08-04 19:06:29.170836	2013-08-04 19:06:46.113295	248		0
24283	10uw57laxcyhq7glxggrhjnmos	$2a$07$Qxct7Y3/yPlXYH44n01leOJ9Te8ERE6rCXSBcR72iahl0MwUaUYjq	49	2013-08-04 19:06:29.192475	2013-08-04 19:06:46.232581	248		0
24284	10y9r8hrlnn9b6nhyim0lncxxi	$2a$07$EgYqYy3rnt1oawQ1ED36eOCTqxWPH3I/gbDRX7xEzVLQtR7MKQw/W	50	2013-08-04 19:06:29.213997	2013-08-04 19:06:46.371654	248		0
24285	10u1jx31d9xe0b7imav3j4nk8r	$2a$07$zWI2eZBPyRcAd6awbdm5MuJLH6tp83Zw7cyEDchpdoiDu/1C.uuT.	51	2013-08-04 19:06:29.235456	2013-08-04 19:06:46.51071	248		0
24286	10quyefizfqbpos855a1vffrvh	$2a$07$cWO5RYdMq4z0bmaYVGS4YOR/Fj2fLKp.FBa0ct7XP7dUhtUDWrhe6	52	2013-08-04 19:06:29.257091	2013-08-04 19:06:46.655377	248		0
24287	10xdzqcmxrruyid9c0n50nr2oo	$2a$07$ecSFvDEGoh1WuM.Zafe07u5TBrPTrod7P86Oml4gdvxD8N1Qau.CK	53	2013-08-04 19:06:29.279128	2013-08-04 19:06:46.78182	248		0
24288	10kb3ty8q43xsg5okaker3guuo	$2a$07$9hhy1ICA1gH6zuQFAQqy/uKhPfrF4zeDa6DlqpzYTcnYgXIthiod6	54	2013-08-04 19:06:29.300707	2013-08-04 19:06:46.927183	248		0
24289	10pvuvudm8rwk834mod68vb454	$2a$07$ECjLVW5XM0iDRIEJ97bmHOJ/TdK.ehjon6QZP9BmhlW4l5jCaoWGG	55	2013-08-04 19:06:29.322236	2013-08-04 19:06:47.071018	248		0
24290	10pejfqo1ftgs38pfbem0ock6a	$2a$07$e38SxCRt2A.waolPi4aWaug5qFMue6OFfl4.vVHW1.6F9FR/xcoHa	56	2013-08-04 19:06:29.343758	2013-08-04 19:06:47.193432	248		0
24291	10m5w2qn8jy6bihl08dlm6vld3	$2a$07$19BW/MoxR5vrmqumrE4oy.EiofDUU3j/c959xHhbXw3b9kpubwgda	57	2013-08-04 19:06:29.36514	2013-08-04 19:06:47.303451	248		0
24292	10vdt5o6k3iji42dampmab1l5p	$2a$07$SzsqF5Wv3wciqSdyECqZsO7t2V6w3XRf3ehQtYl.QAiqOpVRVbYrC	58	2013-08-04 19:06:29.386541	2013-08-04 19:06:49.787141	248		0
24293	10ykyzdy8qsoa0einmzmae4rl8	$2a$07$4oYA7zV2BMcMD9Fqi6kUdO9cxk5IqpL7qLFoD6PRR.iDg3N0ohixy	59	2013-08-04 19:06:29.407979	2013-08-04 19:06:52.328687	248		0
24294	105lnnwrsus6mx0w3fnezl91ry	$2a$07$DTXrTrU790XSQG3pUJtUb.kCH1PXtvsE34stzsDc/EgYhRKvGyzs.	60	2013-08-04 19:06:29.429329	2013-08-04 19:06:55.131796	248		0
24295	10eykmxa7ub0qqaqp4xnya8z77	$2a$07$hlboVmCcO8B8wpyvCwBf6.gbEUwtM1wo18sT1FLXUqMPEqRdY9zxe	61	2013-08-04 19:06:29.450747	2013-08-04 19:06:57.677274	248		0
24296	106p9srj8m80ljnpq49487akvz	$2a$07$L03kB1fY21XU9EEJZVhhteoDaffa5RwpYD6RS4NHyqzDtWHxlrJxW	62	2013-08-04 19:06:29.473055	2013-08-04 19:07:00.768354	248		0
24297	10v7kogkymlph0bg8atbhngbll	$2a$07$fformNSsGSRGsYcWtD2MseEGHByE.ie68hVHPkdJtn2U10HC5eEm6	63	2013-08-04 19:06:29.494884	2013-08-04 19:07:03.647848	248		0
24298	104nsz8huk9kn3eqea6r2xw6wj	$2a$07$vqDDPIeOI0KFPUrPyQqSLuqqzHYo83pXSV9a7O8izIc7KiW4PL/rq	64	2013-08-04 19:06:29.516368	2013-08-04 19:07:03.765837	248		0
24299	1055ezr1r8gkotecgpftw4auh0	$2a$07$M6mJ4gY0WTE7Z5qsgPSU9uB65wZszTZBkn9bKaME8MC8PC0u7Ivry	65	2013-08-04 19:06:29.537775	2013-08-04 19:07:03.912856	248		0
24300	10w9hgj62k10heiv8zhbscabo7	$2a$07$GGsWMXU/7f1h1JrQATbcK.Sm00XN7Z4DwVffjph4uuy83jLbcuv1O	66	2013-08-04 19:06:29.560887	2013-08-04 19:07:04.056231	248		0
24301	10do6ah33csb2z94e2378fm95y	$2a$07$x.pJh7hcwLoMUHs7Yte5k.HTSKg8tHWKqr534C3yprQp/HIqlIqB6	67	2013-08-04 19:06:29.583137	2013-08-04 19:07:04.24899	248		0
24302	10h22ojy2do39fwwc1zrcj8f15	$2a$07$0Q0hstMqlFpFhWPjX8f9yOAX0yWOCi44IoEIaOg0K9w4cgoJ7lGbi	68	2013-08-04 19:06:29.605093	2013-08-04 19:07:04.368892	248		0
24303	10rltfdqhdrry1kdzkraiirwxv	$2a$07$5HAEdZTXktpx9MLvN5dLwOSAxd20OisWZ6FiWgCGdxBgJAP6O4LC6	69	2013-08-04 19:06:29.627917	2013-08-04 19:07:04.475456	248		0
24304	10kadj54kvafmucpdmf0mduv34	$2a$07$UOXL2me4E3kc411w/1qmG.PRmboAKFYgoENSqtVzT3/03.3qXeOBm	70	2013-08-04 19:06:29.650557	2013-08-04 19:07:04.618749	248		0
24305	10bme2qugq1fjh147f8ebco6mb	$2a$07$H1qfGqdesxWMN2rktLAc0eg43NSLBpH55DJ.cgVvaxlZKRUm/7qFm	71	2013-08-04 19:06:29.680458	2013-08-04 19:07:04.7534	248		0
24306	10g0nyhzbu3m7197vkkm98ot05	$2a$07$BszYt3ZiIetlfWtZiNq/TOGVZaj7JwYzNFshpGHeh2crkIc7b5UBm	72	2013-08-04 19:06:29.701984	2013-08-04 19:07:07.845206	248		0
24307	10x9f5m6h533uta5oy6o71qe4j	$2a$07$u/M6MF2w67HSLi.8ocTt0eUkY95GVSMd4JzmZzQDFk./8yVxzg17e	73	2013-08-04 19:06:29.724714	2013-08-04 19:07:07.978766	248		0
24308	1087wb0y10977zxuguknu8emox	$2a$07$hsX0gttebXOA8ATVqGHIlum9aUC5cTxs2CguMPPueBejZcUeNcc2u	74	2013-08-04 19:06:29.753365	2013-08-04 19:07:08.128145	248		0
24309	10v4u6oqgqte5es1ahwpdqmzar	$2a$07$g3p1VO/k5G1JUic7cTAlD.J0WYhv4TRnehPtxL.V/Cj2EOdeeEyVu	75	2013-08-04 19:06:29.776021	2013-08-04 19:07:08.258716	248		0
24310	10m18un4q5ezhhyvakieg294qr	$2a$07$S3RpKn6B6kQfhd4y5JZc1.cvi0fV/SYGzDBODeqTgbio1WehlVYhW	76	2013-08-04 19:06:29.802339	2013-08-04 19:07:08.404497	248		0
24311	10kxxxb0cbp3x36eeb65y4zeuu	$2a$07$8gkoZ872.EP0IJWc1oiAYujuTjIUopJ2FEmRHGYfEYrr4dSKcaVsq	77	2013-08-04 19:06:29.825103	2013-08-04 19:07:08.602217	248		0
24312	10oiw53ddgzqhpob5ke2wvl6to	$2a$07$4k7BDUceQQhd6GAuwMGWB.KUsSXReyivd3ImlcX/pfJsTwvh4fZFO	78	2013-08-04 19:06:29.84847	2013-08-04 19:07:08.815716	248		0
24313	10ggf1jbw7hhcxyug95rpjoioi	$2a$07$AHDELdOUDMss.YIlH.7pt.6yxAMif2bKJVZGbtnyVDw.hwYBl9n5q	79	2013-08-04 19:06:29.871601	2013-08-04 19:07:08.983048	248		0
24314	10hry6im3ewwb8pedl3589vsl0	$2a$07$Ddw.n3ssGNe8pLlyZyq4leTci2xOP3aJlt9.f7tYmQfnX6nYDHm/W	80	2013-08-04 19:06:29.895172	2013-08-04 19:07:09.188457	248		0
24315	10xc4618eirrzu65idlumhqto9	$2a$07$hQ87pKzhpq58rUcFgs6BpuFL5wd5aqfswagmv2U50CePsr81B7dWy	81	2013-08-04 19:06:29.918703	2013-08-04 19:07:09.344683	248		0
24316	10tudum84chfo190a0c7svgl50	$2a$07$8RPCjF2FnogPY7vZUiIkZ.YpSgCsuAbc7wESnhc1mQ6PO0o8Z18sa	82	2013-08-04 19:06:29.958966	2013-08-04 19:07:09.493001	248		0
24317	10jgyqzgwecvme3hijsz7lvja1	$2a$07$lXkMS6gMMRd4OvYuBj3wvuH5Q7RCF7MfhAvLZWp.Hd47Fz2vl1WyC	83	2013-08-04 19:06:29.983248	2013-08-04 19:07:12.274248	248		0
24318	10acmnhj4tyqza5dm4suw5zuoq	$2a$07$vpWHmCocxxlF2gwq1AgBqe6eF6.1MnQoZugXwKyJTCNLBIQ1l64Su	84	2013-08-04 19:06:30.012898	2013-08-04 19:07:15.273739	248		0
24319	10dxtyxtm2r1urvih73k99a68d	$2a$07$Zxrv4VtqiISLJONpU4TGNOK5K4PPFsgJPsVGP4.jYrR7PElr1F.ZO	85	2013-08-04 19:06:30.039635	2013-08-04 19:07:15.423387	248		0
24320	10830stdql6q10e4cznhvlt68b	$2a$07$9yIiaI1dTcuBMYuk5DRo2uhW9fb1dmEtc5lYQ74Rp8lcNGAa3I74u	86	2013-08-04 19:06:30.062717	2013-08-04 19:07:15.561564	248		0
24321	10m28260o0mw3gth4dcmg9a6jr	$2a$07$YJd.BgxGpvAejMuQSPgYqu7uZuro0k8tBFavcNpRHTPVQnwYlJz1y	87	2013-08-04 19:06:30.092763	2013-08-04 19:07:15.708255	248		0
24322	10kqj0xe0l3by2i8rcn8uz8ruc	$2a$07$bGsNC4n3mgtGbvPTALwlwOpMmQFukWyG/HicymXOQXh81W3kXIgH2	88	2013-08-04 19:06:30.119591	2013-08-04 19:07:15.838115	248		0
24323	10nd9j4xveuhnlmd23llbuy0k5	$2a$07$cwpQqKU6s1OjPJbxolAPVengytMp3jfYaeDQCIo2GOGtZoumfW3lO	89	2013-08-04 19:06:30.142683	2013-08-04 19:07:16.011902	248		0
24324	10ot4d1eyk1bcoxjbt3d8nwvxp	$2a$07$Rp7zDpXOZXhbB/CnDq3c/OJcX6Yy.5EG9BMFPRpqumvrhgSCCztQy	90	2013-08-04 19:06:30.166982	2013-08-04 19:07:16.148552	248		0
24325	1097zfit3mwltmyhky26mvo041	$2a$07$iK.2yZmC8vzduqfKrDyXveq9s4zGliCzwIHsd01prY6zvs5x2a0rm	91	2013-08-04 19:06:30.19015	2013-08-04 19:07:16.29006	248		0
24326	108ramzayhuhyfz4quwn3vg27r	$2a$07$5RGNHZ5zVTOgIxKmC2gxOeTCrt5UssOAUry4YFRu4J3ntT8I7dKhu	92	2013-08-04 19:06:30.220758	2013-08-04 19:07:16.433735	248		0
24327	10yxsww9rxzshqytf4igwr8ooc	$2a$07$yViZ7kSlzLsOgU55CYcptudPthub4oIgoE0NrcyzZnKV5Te2TgJH2	93	2013-08-04 19:06:30.256567	2013-08-04 19:07:16.572067	248		0
24328	10ebq3v9s6lq6qyrdqk8l10y98	$2a$07$pKXGz6n3.4US1Cds4gOmfu6LLPUsbi4q0HDWckHouQtSGNPZKv9Zm	94	2013-08-04 19:06:30.296965	2013-08-04 19:07:16.722525	248		0
24329	10o0143ulpovi1a1kia3pdgzmk	$2a$07$1xhqe0Xk2CKxVM.8/Ah1ceoVpdzGZ/1w6Tk1jqcIG/nVD9cI/e9wC	95	2013-08-04 19:06:30.325235	2013-08-04 19:07:16.873299	248		0
24330	10v6neo5titxaqxf172pbae4tx	$2a$07$cEbmVGlpw19ae6CFiPLD7..iixqQpo4.txGm7ji1PawWnDss7WqlW	96	2013-08-04 19:06:30.346973	2013-08-04 19:07:16.99605	248		0
24331	10ng80hhhsvqb4hlgktkvii62d	$2a$07$JwHJ81FEOOmgsVgbQX9PluD.QRSsRHZ4Fq2dq9jCF4P6goDE7ZqlS	97	2013-08-04 19:06:30.371533	2013-08-04 19:07:17.12768	248		0
24332	10t0lpofsxb168gz7m4zm2qjwi	$2a$07$.TOc7FduVjKagXvgCbm1/OBUhi18.HUtkvmxpTcajRIOPJZRdHZVq	98	2013-08-04 19:06:30.402587	2013-08-04 19:07:17.272459	248		0
24333	104fdcueqx4isfc7b36mfvmqjm	$2a$07$15S6o2Ff5f2.mPCI7o99kut2OXnVi80BApEV97ASlAdWnGjV4IXGe	99	2013-08-04 19:06:30.431122	2013-08-04 19:07:17.411492	248		0
24334	10n294311d6ncyw0bk7hr40skx	$2a$07$tKIO/A/kbCx9QL1Xi2EqBeRmjYvsHwsB2PckhqcM6ALjvP/W48rJe	100	2013-08-04 19:06:30.45391	2013-08-04 19:07:17.543109	248		0
24335	10b2ws1esr5dt67ty32c3mh5ps	$2a$07$sYTV5qrntc5x2dkw7ie3L.Z.Tsa2Erb6lNw1dq/U9OgruHz3/VG9e	101	2013-08-04 19:06:30.48528	2013-08-04 19:07:20.45812	248		0
24336	10yry2t9c346dknnoudqa9aloe	$2a$07$U128uRuitulln1s80agJmeW/XWy.jLLUiAXoCtQzoAttaoB1oL232	102	2013-08-04 19:06:30.521732	2013-08-04 19:07:23.0839	248		0
24337	107crwtrezf4xfv6gd8lx4dbbp	$2a$07$S1lptut/XfHg/jSevfs5NeHrAaNTkerTbz6JCtdxjenf4wxDUW6q.	103	2013-08-04 19:06:30.551327	2013-08-04 19:07:23.197751	248		0
24338	101yomfpawxlbw9yg0jqt9xeco	$2a$07$G4coIF2LdtLojc4rqjG29OvjLIlP9IrZprePbk4Wi2VgI3ToJc/sO	104	2013-08-04 19:06:30.58208	2013-08-04 19:07:23.314697	248		0
24339	102gnttvvnd0vana9mf1ulxivr	$2a$07$wqROMg2Sp/NwncVT4EBDzefRiEM72bcoL0RkITCfPntaHhwCWPHv6	105	2013-08-04 19:06:30.605712	2013-08-04 19:07:23.443603	248		0
24340	10h5cdn7hgqwiq55n5veblojh9	$2a$07$/rj4no3QHtIra0iNDbQZvOdZlsIbrpRVJPE2WmdvJVm8/Ws9CIAcy	106	2013-08-04 19:06:30.627829	2013-08-04 19:07:23.586635	248		0
24341	10za7b6nn0f0gygbndidebxnu3	$2a$07$3B6ASX83bHCfU6A77NWkrusyELnpOi28WukxmfQPQX4UP3Xp8gi2a	107	2013-08-04 19:06:30.649177	2013-08-04 19:07:23.726773	248		0
24342	10upqplm2pzyne53zqei57g3rj	$2a$07$iVUb8ouKe5Q3LMDFrlS3xuaTMMkVPfgCw5WVBAtrZF.Yp.BBsEvhq	108	2013-08-04 19:06:30.671298	2013-08-04 19:07:23.881534	248		0
24343	101fchdap03unzbpma81jzin2m	$2a$07$FTrM6Nngulyboc5NGraQTuYUchL.3NSGPStH5yMr/ISo9nf3zArIm	109	2013-08-04 19:06:30.695144	2013-08-04 19:07:24.007574	248		0
24344	109r51cc1zj0acvl3tnv0gkrn9	$2a$07$B9mXHHE4Qz0dMM681XUri.TcFe42EFd9h2jEECAANVv0ee6sK5gCy	110	2013-08-04 19:06:30.717861	2013-08-04 19:07:24.130428	248		0
24345	1054k1zahlrbejmab1cnw6t37w	$2a$07$Ucj1MS1qQ.G9YJ6x81Xgo.Gdl7/VDjDw/XbS1XXmKbiIXpdnrJgnW	111	2013-08-04 19:06:30.752497	2013-08-04 19:07:24.271565	248		0
24346	104es5l9jhppja01zlfutaezhm	$2a$07$ZvFxCCkRgroGdeTC9YCIr.L73cpARZTYan/k9phcJDayFg5dz3cxC	112	2013-08-04 19:06:30.786825	2013-08-04 19:07:24.395089	248		0
24347	10haj24wrrijrcwfbydu30mdn8	$2a$07$4Q31gyRzfGkaPRZX3RNKw.3b67O3PHeYsBP5d5smBsabvEnoR4xLe	113	2013-08-04 19:06:30.809928	2013-08-04 19:07:24.525858	248		0
24348	108xk7liozs40h1jewwtg817ud	$2a$07$VRpRCftYl0yj8d4X4PW4m.hs5.uYne5JbmlpoipkI9wRxYH0cT/1y	114	2013-08-04 19:06:30.847619	2013-08-04 19:07:24.660601	248		0
24349	10kipuslphy0zq8hwz08w10jxm	$2a$07$alRunX2YMYWGM5pcjVJIGOz5nUfhkylSzGo2CB/7FH/cl3FFeVAiG	115	2013-08-04 19:06:30.880011	2013-08-04 19:07:24.800139	248		0
24350	10lkzq13hnmq8wp9634zzfgsff	$2a$07$APnN18bqLLKs78PhRFS2seDY4rjKEh1sOhlOHc/2yGEWljERvAOSm	116	2013-08-04 19:06:30.901519	2013-08-04 19:07:24.928231	248		0
24351	104c028ts7u000irk8skywc063	$2a$07$y4eYZiU7cyClLYVvnaABTOv3jaOUVuLSQ7Oq2dQS8GW0xTyAq8ql.	117	2013-08-04 19:06:30.922849	2013-08-04 19:07:25.054921	248		0
24352	10mzsnel85maxw9wo0yryw764b	$2a$07$cIyYNxXMfuPsZgtMnQEMMu0ZpUIn6K3vv4J9N0g95Gis0FiXY5R2O	118	2013-08-04 19:06:30.944111	2013-08-04 19:07:25.170407	248		0
24353	10tmp91xzh510ufc2fegw2nwvo	$2a$07$Vxq0gItBclPcqnHGZ2X5JuIhqoEc2bkLJYOI9NH0GPVjHN.YRRkPq	119	2013-08-04 19:06:30.965586	2013-08-04 19:07:25.30065	248		0
24354	10chu2ijfw4ze5i28b5qixnykf	$2a$07$pJoFznXXFHA6UzpVOp/bhO7J2JNATUipl3itXUUUnRtDVwQvT4EQ.	120	2013-08-04 19:06:30.987009	2013-08-04 19:07:25.429868	248		0
24355	10icnlawfiesycrnh8fk2163ls	$2a$07$ekul.7Ok1fOI1mdsDIO1K.j40RICVdnaggwUKNO6wnJ4h36.Cucxm	121	2013-08-04 19:06:31.011069	2013-08-04 19:07:27.757344	248		0
24356	10tswyul94z2uyddzif7msa06j	$2a$07$tEsgI2y/sjBhekFAjZ4FXOYxc9ZXRLG.2OYWxhJNoU/XMcZip8anW	122	2013-08-04 19:06:31.036049	2013-08-04 19:07:30.14436	248		0
24357	10l8y448e9mxxe11ctutui8jd0	$2a$07$JAZa89GBhLXj/2i0lUsX8eqMKMTt//zZ0xpUEnYmKAoVqrAtk1.Ra	123	2013-08-04 19:06:31.065002	2013-08-04 19:07:32.959679	248		0
24358	10ye95pm4ov3s40aefapuylnqy	$2a$07$2z7TaJK5FQu7VF/kGqdn2eBh7ZzCIJd84gZsmYJMGYwuAtW/mNAyS	124	2013-08-04 19:06:31.088545	2013-08-04 19:07:35.989745	248		0
24359	10qg79n02tpbp5d3296de3u2fi	$2a$07$4aNDF.i4vBNqgIMPGu2y5uZdj/Twj73LaKZr6RwSbsCQbGIEGDe..	125	2013-08-04 19:06:31.112061	2013-08-04 19:07:36.121107	248		0
24360	10sywlwmhxv640aacl4viys961	$2a$07$8NgoJMDnSbMhmIzfIol9P.9PCs2dDprPfGUBhwQNIg2Csdn5IlXt2	126	2013-08-04 19:06:31.136158	2013-08-04 19:07:36.253749	248		0
24361	106rw7ylgfl6cq28qlhl3mrrr0	$2a$07$6TE7OGRJ16GqDP1GWLTV5.5Vln5fKE9vMnRztt3ENg.WFixuvXHQa	1	2013-08-04 19:11:28.095278	2013-08-04 19:11:31.39019	249		0
24362	10pqhoq25yufs3d5scrderonq3	$2a$07$hnvV4t6dmfQoZITupL5Y0ulPOaLoVCugysLhchErShC8PWkSxIKqy	2	2013-08-04 19:11:28.117305	2013-08-04 19:11:31.517309	249		0
24363	10upi53wns101yfleyikalukj2	$2a$07$NI460JMwkpgqDGExv944cegsCwLo9qSqV1e80y0DKxw4gY46BMnZC	3	2013-08-04 19:11:28.138877	2013-08-04 19:11:31.637612	249		0
24364	1072p90m37kpig56uhmtaa56ul	$2a$07$8fLZw97.29ZvuXM4esnPhuRiuuHKBcQFWSAyC9wt3f5oemhZJIozq	4	2013-08-04 19:11:28.160486	2013-08-04 19:11:31.755707	249		0
24365	109us9djlcv9ixs24c6gwizarg	$2a$07$bzm2IdvwHIAqEJxjjd0lA./xg7RvBU9UAzIjbJ3DqSPYe/B.pzOA2	5	2013-08-04 19:11:28.183825	2013-08-04 19:11:31.895632	249		0
24366	10li64f76j7l2k89vi6c9a9f98	$2a$07$eLYaEF9t/37i.5MiDzzGpes2wM80B3HYKIMtjOm8ToYh6RFFfG646	6	2013-08-04 19:11:28.208006	2013-08-04 19:11:32.039995	249		0
24367	10ny8fpbz3b1hkmddnl08e169g	$2a$07$lvWgoZoeCXJPAbRgqOhvVe4PbskTSZjsEFuEQx6Q7uscWiN0QUQrK	7	2013-08-04 19:11:28.231391	2013-08-04 19:11:32.165975	249		0
24368	10wyt62iy9h50741fe9l4flmsi	$2a$07$RYUz0aVGffDAEw7uDuY4AufzgBGUxxPogaWoR.TwXn8/r1VcinIr.	8	2013-08-04 19:11:28.25317	2013-08-04 19:11:32.293735	249		0
24369	10fiuqc77z64pmdovutbeqwlon	$2a$07$lWf39sRrLu8Z.i1aq4yeMuII6z.r3iiITVxJEjL1F5OFIuKvhIkF6	9	2013-08-04 19:11:28.27839	2013-08-04 19:11:32.441175	249		0
24370	10zlrfle7dd2e60yaiarvgi3uy	$2a$07$a11yBtxqeSTKshBeK51QHehv7pss2CdtbEpDTe/bWlhWbTfFJNb4y	10	2013-08-04 19:11:28.304809	2013-08-04 19:11:32.681721	249		0
24371	10l77nfonhoqw77sljc8jibgo8	$2a$07$z288F16kp7IP8Fwbcut.NeZWxDFGJ8t20dr8MO7e.CwNB37Ugqpju	11	2013-08-04 19:11:28.336588	2013-08-04 19:11:32.850958	249		0
24372	107svtqi6vpg8uuxpaolvmawq1	$2a$07$hoesiwEh8a4qsfME2MhbzuqaNFSWq1hENDpnsGIWeCzWWQfO/CvOK	12	2013-08-04 19:11:28.36446	2013-08-04 19:11:33.066196	249		0
24373	10ei0m61cstgbmd12yy218k72r	$2a$07$cp9vLci6pVzl9UT0VfB8We/X7fNZj1OFjQp3vfSJ7WR5p16HOcCiC	13	2013-08-04 19:11:28.399204	2013-08-04 19:11:33.196112	249		0
24374	10kuyqur18wf0ib69m3bcibmiv	$2a$07$27rgYdacGv.CBolECQT1Ue5f2HIvY/IQ4AdmIa3wwtFwmO1IOgqlm	14	2013-08-04 19:11:28.420851	2013-08-04 19:11:33.298082	249		0
24375	10jyzqjnpz2i9wdugculokwih9	$2a$07$d2VAq9dokx1f.cKbn7FoiO4YS8lDBYlCGtbcXX9qNbz.mhvVLqt2u	15	2013-08-04 19:11:28.442496	2013-08-04 19:11:33.42705	249		0
24376	108h1ikl0tu1wac12etwhfqkty	$2a$07$OVnzqNfPej50JpYDdIj/5eIZrSNTae.s9ABJbnBMbiCKV1VBMNil.	16	2013-08-04 19:11:28.464216	2013-08-04 19:11:33.575044	249		0
24377	10p5x7cvcpkgbbtngteudxfhpu	$2a$07$F7j1.qWDp1lMq8tppKH6qu27pKQEQAl9mXHdssDSljkahsyD8NZWi	17	2013-08-04 19:11:28.485845	2013-08-04 19:11:33.775777	249		0
24378	10n9teqbu4zbxnnxqsiw7gcflt	$2a$07$0eAe3OVA8vB2YYLjoP039eULYdWiL7/LN3cylOsVXuk//S3lQIW9u	18	2013-08-04 19:11:28.509161	2013-08-04 19:11:33.922066	249		0
24379	10k7x4qludv2l9p91iuc3wkluh	$2a$07$p9L08KoLrs4/Gb.nVU.ij.ERnPdtX8AbgJf63rOv4/KqoN9y.MXga	19	2013-08-04 19:11:28.543617	2013-08-04 19:11:34.025248	249		0
24380	10gjko7p7aofaycdajipy61hcp	$2a$07$CPmKkNvXvbcWMnSeusFNg.hDrqip0JAa/6trtZs0hTxBhAamCWipm	20	2013-08-04 19:11:28.580335	2013-08-04 19:11:34.118948	249		0
24381	10nynbija2e832l3rbd0lgcqvw	$2a$07$gE/9O5T2.bCH5CZRkSYAiu.va0hAOYTuklB.xMXsXEtZLKP0jYbDy	21	2013-08-04 19:11:28.615521	2013-08-04 19:11:34.243963	249		0
24382	10h7oju3o22p7amb1z2xkyosjs	$2a$07$mPNipk9h2BLeQyTVaFhzvuxh//rFiOW6ZbqjJtywDYTZtZgSZTG76	22	2013-08-04 19:11:28.6473	2013-08-04 19:11:34.368419	249		0
24383	10gsicem6s0fx42j0jf0bdbn6w	$2a$07$IqelxEW.q.Xd2DSp80ou3Ohjs6aKJtyKU7hJ.g5fU5OQ3IJ98pdkC	23	2013-08-04 19:11:28.669712	2013-08-04 19:11:34.48895	249		0
24384	10gksv81i0v35pc1e50xi892cn	$2a$07$qrlYk6Gf9ZCuZHgwAjejNebgp68EwlhM45Ugi1TO8wMY1pPPpOgPe	24	2013-08-04 19:11:28.693073	2013-08-04 19:11:34.601136	249		0
24385	10j28665k7wybl9bkwdsbnjr7o	$2a$07$0FqAgLYTTT7wbeMq6ZquBeJ5rx7NvOiGZ.zWS6QonkvZ27B9RGw66	25	2013-08-04 19:11:28.715304	2013-08-04 19:11:37.426786	249		0
24386	105qesln51efkxb2t10a08yvkr	$2a$07$cQ7yflN9Iwy7xIjFA4O.Qu4TIO/kb3QWrBrNXpOQ1oggcLtfQwaa2	26	2013-08-04 19:11:28.73828	2013-08-04 19:11:40.231599	249		0
24387	109rfz1fp3fs2nc0pk43ly18rv	$2a$07$nOolvS/KOT0/zmuzfsre7uJfMe/VfdpIZtb9oVlTL0KeIFDMJMyJO	27	2013-08-04 19:11:28.760134	2013-08-04 19:11:43.160021	249		0
24388	107781c4igg3zh24w49u285lxd	$2a$07$SF8FgGWp6yU0R9lpmQvMq.4y8wjBuGc0UNv8N3/NKRVzJOv4u0.Gu	28	2013-08-04 19:11:28.783555	2013-08-04 19:11:43.403517	249		0
24389	108uw3zj3m14xxybolumojrsuq	$2a$07$eAFdJvtIW9pf51h71/hkPuH/JC1gwOq2.u7m.1GnAclWr2Ush.57y	29	2013-08-04 19:11:28.807716	2013-08-04 19:11:43.55233	249		0
24390	100hhrqgzplndxhd6n6pfaa9cc	$2a$07$9YnVutObIWgviGGqTd1oGewexdIOFLxe7nU.vlfBXww76vXZ7P302	30	2013-08-04 19:11:28.842516	2013-08-04 19:11:43.692055	249		0
24391	10piavvzpuojd452jram9yh0h5	$2a$07$njc1qnUhw7DaUIS4uNOoQ.Ohza6Ne6aXM9bWHoPJIpiHfqf/fSI1y	31	2013-08-04 19:11:28.876861	2013-08-04 19:11:43.80969	249		0
24392	10v4rfv9kzymycra8aa2vyunx0	$2a$07$dssHNr4hIPERGNfkSrjvhOeueLcikOUbMYnFzpWeZuRbbzQo5wcXG	32	2013-08-04 19:11:28.901612	2013-08-04 19:11:43.93917	249		0
24393	10rtw4w2pc0i328qiv2u8eg1yb	$2a$07$7GUCqwRp.6Xl9xADhUP9FOhilbUQdGIulwTcBhnberT3IUWh2LnL2	33	2013-08-04 19:11:28.926189	2013-08-04 19:11:44.07905	249		0
24394	10qg12xlvq1xu3czdycg5wwe8p	$2a$07$5jAhygAaAaXfWgLXfO3FrODtMR4KjAc6i8KB0PtJ59Xedw6AVFZAW	34	2013-08-04 19:11:28.951013	2013-08-04 19:11:44.305241	249		0
24395	10b7bvxgfctwqav82ehfy6x441	$2a$07$v4K91YZORfbh19yVBUvzOuIEGrYIACzIEv6jEwvAKHrZzneVvGomS	35	2013-08-04 19:11:28.974716	2013-08-04 19:11:44.469589	249		0
24396	10cmk3n78s6t20pd8bpcai4xwj	$2a$07$A1QfmXh095EsJ.d3rM6FVubpRkXCOxJrPoMyWibO6lgHaSC2FO4vi	36	2013-08-04 19:11:28.998911	2013-08-04 19:11:44.608744	249		0
24397	106hsurlfxmdgicys9awm5ug5q	$2a$07$jiZG00OPRSO3dbHgSGXFAenKZlbRFXhtJzlV7sS5CKW.Jn13U3Sxi	37	2013-08-04 19:11:29.022518	2013-08-04 19:11:44.757104	249		0
24398	10vq3byoyjjqwutpyp5oiou2bp	$2a$07$GAMnLNnpPJ3M8OtgkM9IBOsDOvXYqiCj5kiz4jW0wI5zLDUr5b//u	38	2013-08-04 19:11:29.045859	2013-08-04 19:11:44.904994	249		0
24399	10u3qemg9v9xfas5labzc79q2j	$2a$07$Jcoh.0rW7XA/zyfJTUMR0./bjSbjCkCezE7WDg.W7UNnWuCySy.Ym	39	2013-08-04 19:11:29.068958	2013-08-04 19:11:45.049131	249		0
24400	10wvcey9hf9382nx2dzo59b2en	$2a$07$jiNC6uY/mPb5JuaRumhxb.cWuoviX87aBw6tLvbt8BtiRz05r4Q.e	40	2013-08-04 19:11:29.092409	2013-08-04 19:11:45.167108	249		0
24401	10sb4rhl5icwwde7zsdni2bl7a	$2a$07$ahbFQjWX7K3pje/CAg.equxk7miKoDpncw26PCRfZw4IlBfy3CJKa	41	2013-08-04 19:11:29.115694	2013-08-04 19:11:45.307745	249		0
24402	10i05h5coginr98z5wlefb2l6j	$2a$07$xgdpohI1Z1zvAonddPCJguKdBnwwFHho6ApBIRHWbXoA3vp.2Ds0y	42	2013-08-04 19:11:29.139677	2013-08-04 19:11:45.424132	249		0
24403	10u1pxr59pzb9odo13o8u569i5	$2a$07$2OV71cSlCx5nLbTjCNkNxezAxEb1aJaUFKkerUxjUmoo6bMxkKA8.	43	2013-08-04 19:11:29.164448	2013-08-04 19:11:45.580207	249		0
24404	10858vm68acfslggowh2ui6a3b	$2a$07$N48pOLsX/7YIpBs4Hc4XaOWbqEpLDCNvRVh2Vaju.y3cMIBjxR87S	44	2013-08-04 19:11:29.200012	2013-08-04 19:11:45.757067	249		0
24405	10dllq8jm2dgk973payhkapwct	$2a$07$K5Iiwb5al6PLKUyuSxQWdO43ypa0FE3WwH8Yls7tM8eqMw9UjJ48W	45	2013-08-04 19:11:29.226191	2013-08-04 19:11:45.869932	249		0
24406	10gko4mkx8rhtubqtd2db42zcg	$2a$07$e83PYzs1fRQn2Leng5UuWe0g1yZHp0N5PHoN42Bzr3MlrtMSt0uBG	46	2013-08-04 19:11:29.249288	2013-08-04 19:11:46.068952	249		0
24407	10oir9gg0x60rmmmdg3p14dj3x	$2a$07$MUr5os0FYEF7qTgc1EVmQuc3lgx81W745GsxAk5XtoyyljCd0t85a	47	2013-08-04 19:11:29.276381	2013-08-04 19:11:46.186149	249		0
24408	10065kvke4kems3v81g5bli6ef	$2a$07$7DuO3CSgeqb2WZKBAOtxXuktHTi41KNRZSQGcbQhVvTtxc.4.Ug9m	48	2013-08-04 19:11:29.301308	2013-08-04 19:11:46.367066	249		0
24409	103hfvdsudlrzqtbbfe4rh38z0	$2a$07$4zmazB8plgd3IgTGE7CnE.0Gf36TplQlprDj6QGHKTeRtrlG4aHhe	49	2013-08-04 19:11:29.325234	2013-08-04 19:11:46.474035	249		0
24410	10sq0udidxp0crbri0353vha3x	$2a$07$YVh080qq.6eT5TfZEh2cxO/lna5xU96FNzOCGihxNZfcFExND4ZBC	50	2013-08-04 19:11:29.346733	2013-08-04 19:11:46.584334	249		0
24411	10hknv26ou9l0rnvs79bnlbo84	$2a$07$2yN/z0x7UdNdDKzh1bmX/Ov4gRc7dSx/efEnZn3D/J/qsHnd0PLXa	51	2013-08-04 19:11:29.369453	2013-08-04 19:11:46.701735	249		0
24412	10r80untkx24hw0ran4qbd3bay	$2a$07$ZcPuZRvEg3QihVDc3sR0.uz6luVFECejHub3SSiBOdl5LqMbQ.ZuO	52	2013-08-04 19:11:29.392133	2013-08-04 19:11:46.848247	249		0
24413	10v0ncba6vzrselyov503hysu3	$2a$07$UhM3yP6NwmjXbA8g0OopXerIsSnCTeQ5JzLrsDWc3cbRRCGBbtSoi	53	2013-08-04 19:11:29.415325	2013-08-04 19:11:46.97896	249		0
24414	10j17owjr75rs2qiv8srgjx9nx	$2a$07$5cpInH0BqZ9j6Ubxs62RnezBAJil3bOTzUW5i03Nvs0E5VT5Ga4Qm	54	2013-08-04 19:11:29.439734	2013-08-04 19:11:47.129171	249		0
24415	10mq7xxrfh85amin3eebfx1gxz	$2a$07$LAt0QdWP434TQGkonKQxheB3.FQZdLGEvPj/Cq.g/P.poJmHH3WdS	55	2013-08-04 19:11:29.477713	2013-08-04 19:11:47.287738	249		0
24416	103p6pg2sot58855egjfyc25ym	$2a$07$EfTtuvRLx3.Um/MWCaO1RuIBYONBIY28RTz6URskFsvMzag9szQD2	56	2013-08-04 19:11:29.50418	2013-08-04 19:11:47.445969	249		0
24417	10vlcrtjuutgjjyeakhn7vkhbg	$2a$07$jD6oDoxCKifRcp3ztDt7yebELGaRXGo.sytq588S2JxnBVxHAwORu	57	2013-08-04 19:11:29.539511	2013-08-04 19:11:47.597871	249		0
24418	10n36n7pyw7dkj092n5cubkvp0	$2a$07$g1W061bRwG8N0t6Kq/T0Lut1HthMvXgnp6j0dMk9420TuwukWaWne	58	2013-08-04 19:11:29.564538	2013-08-04 19:11:50.335478	249		0
24419	10iijrqk2v9j63n5pjh98jtjv4	$2a$07$ZwABI.KCO.BQ7.4POesHFeQ/gYU.zchDPbTJ2HEKzrEgF6kc.2K4O	59	2013-08-04 19:11:29.598724	2013-08-04 19:11:52.790583	249		0
24420	105n6tkw83k8dxk4ylg31qea85	$2a$07$fCiwiyVy5dxDpgJRsxAhYumCk/Xw5uxx9nM/R7qZnGNatbVXk2yNK	60	2013-08-04 19:11:29.631344	2013-08-04 19:11:55.221782	249		0
24421	10wnrlg3tlodq8fg784u24cixx	$2a$07$siqEjH0AcMQzvSdwRQTZfet9tnzZafMyqfG9F1l/CaGiJ7n..vdiW	61	2013-08-04 19:11:29.654144	2013-08-04 19:11:57.939352	249		0
24422	10dqu84wia7g3rs69rabaq24om	$2a$07$kj/NgJArAvXlMW2E4MgSs.byS1Id3C.mjs2kF74/BYjUu8sfr42Ki	62	2013-08-04 19:11:29.675537	2013-08-04 19:12:01.0369	249		0
24423	10cnm0fjkfiqqeroavqkw6sdbs	$2a$07$oJj03MiGv5ExA0HAI9tU3uV84JOSUMiYgtpZYRs0up0JjTamvZKyO	63	2013-08-04 19:11:29.696927	2013-08-04 19:12:03.862482	249		0
24424	10fv7tvcqr1f9563janr4wslfs	$2a$07$ugHSTBggnr74TVWP0byfeuYL9JmYZqIRxrHraBCEruVTKcv74brZa	64	2013-08-04 19:11:29.718282	2013-08-04 19:12:03.985605	249		0
24425	10avg7ylgc0higoyslmvi5g2vv	$2a$07$7432EJWfhDBEmZZT8U2bee.vlnskWqN/yW42i5pi.JHCEgZ3QxNpi	65	2013-08-04 19:11:29.739656	2013-08-04 19:12:04.132591	249		0
24426	10es8m01akjpvydohbrj5fm628	$2a$07$kSStdX1sCQkg5KQXmr.d6erqRl5JbcUnF1StGK3KyaZgqKyLnoUWi	66	2013-08-04 19:11:29.763243	2013-08-04 19:12:04.287185	249		0
24427	10mwpyaevlwfa1m0p6rayl0vt2	$2a$07$OCQYfnjS9qH311qFUT5X1OSHZdNKQVHO0j07mI7J25UXM9PH6Q/Fm	67	2013-08-04 19:11:29.802864	2013-08-04 19:12:04.421863	249		0
24428	108v9h3xm4ltec2log4sue08am	$2a$07$yqurBbP271yXF00ZTebxee4.2e3IGTTNm5dW3kF4BZaRZ3ILwhNoq	68	2013-08-04 19:11:29.826543	2013-08-04 19:12:04.566911	249		0
24429	10gddk8sruzer9noeohzsa7gfx	$2a$07$/X2qMGmZoM5TgiCU1gsVpOFMqB3YyKRKFsI9TL63B8k5X42LWTJOm	69	2013-08-04 19:11:29.849481	2013-08-04 19:12:04.726133	249		0
24430	10u5nq17fy10ktgtups9dxdas6	$2a$07$vcIzCV4lsI2d1R5G0R8a6ePEgI.ZJ2EtlgZUErjtlTqEdEcCf9d12	70	2013-08-04 19:11:29.872943	2013-08-04 19:12:04.876006	249		0
24431	10tln6e057lf2gc6lazcxny3bp	$2a$07$Dz8WxtnT7yyHdW1KlaWCCud5pVA2XiGJgLP7fFIibSj7XF7oJxYwS	71	2013-08-04 19:11:29.89887	2013-08-04 19:12:05.031792	249		0
24432	10bmcuxtq1pk2b6kh0cew96611	$2a$07$Bi6N5YnoO8vkhVcZ5T.woeot3iyngSfv3HbcirsnrYckMXB2Yq7aa	72	2013-08-04 19:11:29.922593	2013-08-04 19:12:07.594684	249		0
24433	105tnldcmp4vrfftybf567g9jk	$2a$07$Sq2GhlZRh7d4So6mfbsAPeFQNX1CU942zsvi0dAXdlo5vrRp5qTJi	73	2013-08-04 19:11:29.945773	2013-08-04 19:12:07.724463	249		0
24434	10ezt8a15wyq3lt8za2v3eca7r	$2a$07$T.svk/2zGdedeDOx9fOA3uLLrle3/9nOm4jf9HJ7eqOsJ/mtzjDF6	74	2013-08-04 19:11:29.970702	2013-08-04 19:12:07.85211	249		0
24435	10ydpp5t4xjuz0agtugunxysrv	$2a$07$pZUsZLUKNOGopmABH7IsPOmNDcFr1DQSfbq7u0uOdf1q9gixA0h4G	75	2013-08-04 19:11:29.994551	2013-08-04 19:12:08.009524	249		0
24436	10mpf2pzeys46uksy7h0prr3bc	$2a$07$ujdud7ospg2KTBGflXO7B.mJww0hlujACk8BH1rPlGmkRTZTSnbn.	76	2013-08-04 19:11:30.017987	2013-08-04 19:12:08.132464	249		0
24437	10sczwr8sufp08byzxll31bckn	$2a$07$zLTDfTMBxdrO.pFW2bwFv.cPTg4uiR2xNE/Vdfi6sYaCZ08g8aZOa	77	2013-08-04 19:11:30.041714	2013-08-04 19:12:08.255013	249		0
24438	10y2dauvc3s5yoch5fqdkxjsjc	$2a$07$Ol69ObhqDX509.3G8ASMUuXJRCley/fLL1TLqMropURRmlpsQn60K	78	2013-08-04 19:11:30.063077	2013-08-04 19:12:08.389607	249		0
24439	104yhj1tucyu0u4sj5wm15h3h0	$2a$07$BSkn9p.WUDsRLeWNTmG.o.yN7MhaUZ9.mHvaZgtmOzcDhdeLcI0Ra	79	2013-08-04 19:11:30.086079	2013-08-04 19:12:08.543109	249		0
24440	108of6rdm33hso5nc6q4hl3epw	$2a$07$sueOcb3t.e/Vd3aexVDnSu1Iy/e.n4x1HBmAe/uOWRvg.80UP6lpi	80	2013-08-04 19:11:30.124831	2013-08-04 19:12:08.669214	249		0
24441	109t53rlku00ts2y49oqfvb9vz	$2a$07$bCJB9AlHZA/B1qqwksflX.1RdcdV8EV0zZsJnBOhC9QuTVnxe0Z9i	81	2013-08-04 19:11:30.162034	2013-08-04 19:12:08.848991	249		0
24442	10fl8jznqmx1c9bs48fqa48m9x	$2a$07$0yfhtETBEZGtt0fUQGLE9efmss8HUKj4l2U7vFCy7vaMHJVK3cZdy	82	2013-08-04 19:11:30.189881	2013-08-04 19:12:08.982345	249		0
24443	107bx6gqprtg80bb9qliosp7di	$2a$07$vki4e04noyGAEdovWkpiFuBh/THfL45pNmXaS8wQAWCvuQDSomGNa	83	2013-08-04 19:11:30.212476	2013-08-04 19:12:11.366998	249		0
24444	10r1u2kg0kbrijkdu4z3u85fl9	$2a$07$Vtg9JlUkLRMkiwqOzNnfN..ayZtjJ273cwDSIv9L3b2tvVgG3ecQm	84	2013-08-04 19:11:30.234317	2013-08-04 19:12:14.116504	249		0
24445	10z0pd9irx1dxd6ply54vv3lxd	$2a$07$8zj4apSsC2yDq1XXNN5yNuXIVKW/jOqZS5KvOw56T4a23YMhj0Z9a	85	2013-08-04 19:11:30.256297	2013-08-04 19:12:14.244199	249		0
24446	102pl0i3pqn7iudj8g5yonbvk4	$2a$07$FT93KrSqloN4kgmI4894LOloaEevWXAQWv8G046ncnXpFP9fB4CMO	86	2013-08-04 19:11:30.279481	2013-08-04 19:12:14.362492	249		0
24447	101cs4ywugd8twpt8icafx0uqi	$2a$07$.A2H.M1fvPI6SIXQyKG4LeWw/bUx3d6Q8nI27YPYnHAWWhWCUNfKy	87	2013-08-04 19:11:30.301188	2013-08-04 19:12:14.493776	249		0
24448	102kfp87sshiijv00i363vg8zu	$2a$07$aCfOuYnp4dV3JPCAH2d5W.zKVWNPe2jVPFhoebfTC77cSgfl05kte	88	2013-08-04 19:11:30.324281	2013-08-04 19:12:14.607937	249		0
24449	102n829zfuqqzlxsiz7zoo2zzs	$2a$07$Atws60pPaSRKXPazfOL1xOhGq/nbDY.gsOVCilaw3C6Ddf1oz4YY6	89	2013-08-04 19:11:30.349925	2013-08-04 19:12:14.775487	249		0
24450	10wy7229b5q9j7wuzof0i6561p	$2a$07$VwqtvD5H8Df4p3PphHa/7uG.4uyjA57l512XeDLS9Jcj274ueRfFW	90	2013-08-04 19:11:30.374117	2013-08-04 19:12:14.946014	249		0
24451	10uh6xkmtxe2hyyg3xtfhmcenr	$2a$07$Dgxf2UaoA7wp.6w7rjPehumrNt1kI7.UG/RJgSfQQaBM2nx/Pd9X2	91	2013-08-04 19:11:30.397653	2013-08-04 19:12:15.095429	249		0
24452	10a7x1rjfzgfl9mycjqrd84d2o	$2a$07$cVi3oIMduDDqHpeR9vsjfuTpS.Qpwg7Y6HUDBLB8oh641VbLoGOaG	92	2013-08-04 19:11:30.419339	2013-08-04 19:12:15.220824	249		0
24453	107s26c90qs23xm8b1rml9zttw	$2a$07$nnDde6XBhSkJsE.WOpBw3eX06BXjyHSU7YCEl1k6ZmykmJtHY.ZUi	93	2013-08-04 19:11:30.442009	2013-08-04 19:12:15.359278	249		0
24454	10nimr9e2p7geugoxcfnsmb60a	$2a$07$CXpasY3OfYnpOcw8k.47B.OJAdh3FwKzni28XJmJWK17UbXiKxSgi	94	2013-08-04 19:11:30.463622	2013-08-04 19:12:15.479739	249		0
24455	10ehqsb487igin9rbd84s6hffq	$2a$07$8GYM3Sh/l.aYJyR5GZfOROIhQbgSN0HlBX5BkdLufH6le0h606QnG	95	2013-08-04 19:11:30.485099	2013-08-04 19:12:15.609749	249		0
24456	106dvom422jqv54xrsd84pk0sx	$2a$07$74pJ6Mn5cNjChTdKRmS6WO2.qwxXjrLdBE6bWz/xSCvpSZ8LGREaK	96	2013-08-04 19:11:30.506773	2013-08-04 19:12:15.73541	249		0
24457	10788ia5w1chs5ktonuqhymyhz	$2a$07$j9DINvzvKcbODg95o67Ade1OKeYzxbu9YdGG2SyiKDoMAh50na78y	97	2013-08-04 19:11:30.528109	2013-08-04 19:12:15.836261	249		0
24458	10429igkuyn7eoqsbqul9gpat8	$2a$07$SrEvDWxH8CZSoQhL5NljZOh0CHxWWHFQEbU8TJ5Ty50ShahSPJT2S	98	2013-08-04 19:11:30.549713	2013-08-04 19:12:15.969998	249		0
24459	10uzdivufv4r0tv1xo2k1b5ays	$2a$07$I4Gf11Q6olQc1HXObk8/QucW/zx00/Nbuz/4XWLXvOSd/GZmnHNF6	99	2013-08-04 19:11:30.571269	2013-08-04 19:12:16.340285	249		0
24460	10i9gbhj9fgdnma5oagrb8ye3k	$2a$07$OXBS7KXHoOIhEegFemp4Z.MVEnc0ROwfcjkk8nPO2sLhzTUQ1bscq	100	2013-08-04 19:11:30.593803	2013-08-04 19:12:16.489902	249		0
24461	10zesswx2xr8x82lrugapsiwy4	$2a$07$Qq7uoZgBymSWBJKycLXHzO5xxm/Yt1iA1.eXbWNm7nIn0RCfosTuG	101	2013-08-04 19:11:30.616146	2013-08-04 19:12:19.440243	249		0
24462	10tpmrmiy0gla2obr97sk2u7ee	$2a$07$wvdKSpUg5KTTj2TJkqKYnuC2UUiLlN9HDADYD2Zsb9DP9TC9/Vec.	102	2013-08-04 19:11:30.637825	2013-08-04 19:12:22.204541	249		0
24463	10gxoet3gxgeer0avc0o25saal	$2a$07$w0SpurjfQW8/hA8wd9doJ.HLCp03KmVYSMbT1WhVtkSWmoPE24NrK	103	2013-08-04 19:11:30.659273	2013-08-04 19:12:22.35462	249		0
24464	10hiez0frawdu3gjgm7wgzp5zx	$2a$07$xBpjMNm0Y79U7D8q4GDbDObp2oHYhLqyWZoCP2vPZ3w11/afTDoda	104	2013-08-04 19:11:30.681256	2013-08-04 19:12:22.484243	249		0
24465	10skznwh3gx5swbegkscl8k2r2	$2a$07$KMIM1vjH4dFp5rCXIb8Q2.ND/LSS0zMNdlj1DOcFLfPstjrYbY1ou	105	2013-08-04 19:11:30.702697	2013-08-04 19:12:22.606607	249		0
24466	1099jgflep06zwx2hilemk52gd	$2a$07$r8hxR8Pnr1F4eZlt52qBwexUCYCbLPs9P4g159bmX8V5oEQWIS44y	106	2013-08-04 19:11:30.724421	2013-08-04 19:12:22.74046	249		0
24467	10eia70qa2c4wpx10y8bbv2jbp	$2a$07$J5Q2bk3CRlUgBQv8z07jeuk4/lYLWRe9oK7eryB233PAIExgkH02q	107	2013-08-04 19:11:30.746864	2013-08-04 19:12:22.845031	249		0
24468	10ut1uf97f14d9cqj7wxlxlxfj	$2a$07$8F5C5pgfFRgTqpuqJbsQB.r8dVdToSw3ed09Z9t6Ma8lUnxHhgV5G	108	2013-08-04 19:11:30.770583	2013-08-04 19:12:22.960473	249		0
24469	105jyh3npgiouyjmop2hxy87jk	$2a$07$Uug1CintMnTwa/VwfXCbIOidsjXM2R/z3EdJHzTz5jGS2P01iRNR2	109	2013-08-04 19:11:30.794245	2013-08-04 19:12:23.076911	249		0
24470	10l5f5mddrrzecpo3r1mpzlrtu	$2a$07$dNwAsvbEcDCf/ttU/D4CH.j3ssuHaovk8IazDNa4Q5i.AyY8UT782	110	2013-08-04 19:11:30.818146	2013-08-04 19:12:23.188137	249		0
24471	10hn8spdfju7gr5qryc9k87d8e	$2a$07$fTsRbyCSyEJ4tAn8WoZegO.03SqBDWcQpGQaJTSAUA/Nf5xQ.JwsS	111	2013-08-04 19:11:30.841656	2013-08-04 19:12:23.318927	249		0
24472	1081al09y8va7h3fzcqg8qxtgv	$2a$07$BYqGnH6l2JPvfTPbttY4b.p2aXtWedF2lMvdhBl0T1ow7/hKHLdBi	112	2013-08-04 19:11:30.865442	2013-08-04 19:12:23.451478	249		0
24473	104efu28ybxdmjkpmthl4g8xxr	$2a$07$8OsEX06UvEvet0P6CbTTCeR5pYsr2LQYboLTYtdhj6fUSgPAtvYqa	113	2013-08-04 19:11:30.888229	2013-08-04 19:12:23.588617	249		0
24474	10brg7vffne5vispdvdgrcuo00	$2a$07$Inc5TznA3hPbH1Cc3Z6.DOx4LFM/NiLKlADNNLla/Ap2osZTp7VOy	114	2013-08-04 19:11:30.911671	2013-08-04 19:12:23.70455	249		0
24475	1051uyse53n0pcygzegoy2tp98	$2a$07$xN9w2uE7BOHMXJ7oZUDQ.um5CcGuEgtC6WXpQm.S5MuN0wmM33Wvi	115	2013-08-04 19:11:30.933515	2013-08-04 19:12:23.917568	249		0
24476	10h7qxskmbtwt5hsp4rzom50wc	$2a$07$5rWwEkccW3wVLDvrogfkXOvVOdfFMuruLL9hbkii6TCqf.UZ8K.h2	116	2013-08-04 19:11:30.955206	2013-08-04 19:12:24.06722	249		0
24477	10u1roxbz1or1iamnuavwctyyz	$2a$07$NiA0MsXq.vC4TzA.iQVuHO0lIsrJoEG5hytuL53x2Oi/n9wDOCFJq	117	2013-08-04 19:11:30.977285	2013-08-04 19:12:24.195111	249		0
24478	109d0tv6440qy2puvdh4opwjew	$2a$07$ws/PfQfHjcC/4Sg0qUxky.HHBsffYi5sX7ypgpFy7v/XyXFUszB0O	118	2013-08-04 19:11:31.00128	2013-08-04 19:12:24.326075	249		0
24479	10f6pz48mbwdfcbv4qacsx229l	$2a$07$XRstjhdlDwKxOyuYJcWZWe4Hq7AJ3/NEVqSZvZdg5GNcjbqYBILju	119	2013-08-04 19:11:31.025328	2013-08-04 19:12:24.468874	249		0
24480	104crw6lk3j5o0hcgct0f5ayqp	$2a$07$uS.9OZWybvyZk0YEWXurD.UYhxfk2n6kgmEQTK1NwHik4XAfi2Tmm	120	2013-08-04 19:11:31.048255	2013-08-04 19:12:24.617649	249		0
24481	10cejit1hs0vb4nhi7om3y9p1b	$2a$07$vaQVCxWFS/GJHqkblfg2rulp50srEt6PBC/jqKwWtQ6i1aCkYXe2O	121	2013-08-04 19:11:31.071434	2013-08-04 19:12:27.212924	249		0
24482	10270s1wa69gqdnolxq8lkxdr5	$2a$07$FAJe9gEodopnlQFbmrNO5e9Bm3oGzICWAXeXQQZ2IXwKtMzFuVH/S	122	2013-08-04 19:11:31.095267	2013-08-04 19:12:29.779888	249		0
24483	104ctrb7yzd3hc33ydbrewt7tq	$2a$07$FM7.Oaoiy/Lcxfb8W7Yl1u/a7wlWD3FNZmAON/ZxTjtPV4bUXF/Gi	123	2013-08-04 19:11:31.12293	2013-08-04 19:12:32.556967	249		0
24484	10ytr2qv8pzs8q6c6dto58cfor	$2a$07$Bcz8AIWqmaBV3MQAcfJUA.TN7d8kvsCVjAh1lOVFZENSwHlcW.odu	124	2013-08-04 19:11:31.157357	2013-08-04 19:12:35.551436	249		0
24485	10xp4emkp5wzqvqd4ecqzdfxc3	$2a$07$IJTZt90tmJVuOPPoQfLI4O6f9ahBe5DP3.BpLlmDWPo65EMWVg8ei	125	2013-08-04 19:11:31.1915	2013-08-04 19:12:35.702099	249		0
24486	103anchsxc6qokvrv1suv9ssly	$2a$07$OBQRdWoT7XYL8BoBfcJ6W.O2CMxF3wPW0s29eG2nRk8D4LoQEGCtC	126	2013-08-04 19:11:31.214449	2013-08-04 19:12:35.8511	249		0
24487	10ofrdlus2knx087d8x4t93hk8	$2a$07$DLMSkGxqCwspraasFn3xZuRy0k/l.FOy0dLygUUAY5.RzrPuMuzGy	1	2013-08-04 19:26:19.699265	2013-08-04 19:26:22.887788	250		0
24488	10wyi0fvdmqq28yp69i36ma725	$2a$07$FP.tRPmFiQQVs94hg3hz2eJERUgIo8R.TFhFHamx16rSjkzYXlWrG	2	2013-08-04 19:26:19.727867	2013-08-04 19:26:23.01297	250		0
24489	10c19e9xrkbn0273s1cvssnuwe	$2a$07$Mzs1qwrydmGRYAVX2suFlukitV/q4pBSXtw15RWyo0NFq2oW8Uv56	3	2013-08-04 19:26:19.752117	2013-08-04 19:26:23.162931	250		0
24490	10du356v4735qjwtr1k7k0a8q0	$2a$07$eqGTKr3LmLKgzCQVJ7iFKebcN6NltDywuX45kBg3Hhy9bwW3YOJIW	4	2013-08-04 19:26:19.774772	2013-08-04 19:26:23.30134	250		0
24491	10zbtpg3het3gxk4e9sp0jt633	$2a$07$mwFQrNRu23TyIOkbYJsKf.NF3995OigDYbfSUqLdIO9bHY.crBaPK	5	2013-08-04 19:26:19.798132	2013-08-04 19:26:23.446869	250		0
24492	10w7xvv5p810zj0bj9xbjdfoks	$2a$07$OB3H5jwNNr4voUkqvqgcKuBJ/xF18YkqHcTH7I6QMwvlg6KCBrSWe	6	2013-08-04 19:26:19.828803	2013-08-04 19:26:23.570598	250		0
24493	105bix92dek0ufk8n3jha5lvyi	$2a$07$wU3VDmh94NpB7bMy5Yky6ub6O7T/fh3y.WMV0lbS809.z2WpQ685.	7	2013-08-04 19:26:19.853521	2013-08-04 19:26:23.812635	250		0
24494	10imi9e7f1lj07cz69y414n0ap	$2a$07$FlOmxf/izmW0FEzYCWhMCuTJ2TaYCCRd9CNpEMYcXw4LtUm5.H84y	8	2013-08-04 19:26:19.876125	2013-08-04 19:26:24.099108	250		0
24495	10immsvkx8dg9iehwum4obzps4	$2a$07$gXcedY.HiN6ge4iYVpiRmeZG.Zdm6TCtiL/UU7/ZOfa78J6DOaINq	9	2013-08-04 19:26:19.900255	2013-08-04 19:26:24.349078	250		0
24496	10vel3ek25cgyhxobxm8ktvbkj	$2a$07$7vZnXOa9Xjo8q3OfxBY5WuSZWhSCaAwApgj5i6ToLpDN0R2AbbgMm	10	2013-08-04 19:26:19.924361	2013-08-04 19:26:24.473058	250		0
24497	10kqlmft5bu3fwd4rqjwvdnn6q	$2a$07$vnjVArm4qPxUzWcH7PA9dOcc8pswya15AoBhP/3LAPjZr.G7mXWDC	11	2013-08-04 19:26:19.947507	2013-08-04 19:26:24.617212	250		0
24498	10yz4wpn0uri55ihl9y0d0b5wp	$2a$07$iqrXITh5wJWoeHDfl3rNGObEDYKW7FZpBuEynRH6.uUYwBAlHGvAe	12	2013-08-04 19:26:19.970309	2013-08-04 19:26:24.764826	250		0
24499	10kgzr4xfz1b3nup7sghnjk2l3	$2a$07$vk41ckIbqKshDov/oM7cr.1XL6KGCT5HJrDZwMPu6WKyFnMzU7qg2	13	2013-08-04 19:26:19.992156	2013-08-04 19:26:24.899043	250		0
24500	10hqhx7a037zss7001cblclxen	$2a$07$5csnC/mQxcOUks32rVT5H.e7mH7ISJrmg6/Bp5RyLEodjENDxJ1ly	14	2013-08-04 19:26:20.013919	2013-08-04 19:26:25.026067	250		0
24501	10tm1mub4mk0olgfima7cqd8qg	$2a$07$VJlcRb2QtTY4qR1ShwzOmeo5jiQkWI4KPUw132vYjCVHSZX2lpFT.	15	2013-08-04 19:26:20.047675	2013-08-04 19:26:25.162385	250		0
24502	10z9yb8379l55kg731akeh1iap	$2a$07$RirJEbFqq8l9yw0TUYdBU.TsdqDkZqnpBLvURuzAN9oWdypkDJupC	16	2013-08-04 19:26:20.069674	2013-08-04 19:26:25.302925	250		0
24503	10gkgitts61jrlpf9sf83u0saf	$2a$07$0USKwrWR3SzPZAi168drhu.DZQHJSP/pmvXtWoT2eOTjuIfVfgiOS	17	2013-08-04 19:26:20.093044	2013-08-04 19:26:25.4571	250		0
24504	10jytb0jpo1xjzgua1iqui9vej	$2a$07$7o.b/s4DTs/LZpYGIDg3mO4tTj44sJnFYixWqWpXrx2ZL/cHfYL7e	18	2013-08-04 19:26:20.11654	2013-08-04 19:26:25.617702	250		0
24505	10zrlcvulnynocbpgjqfuiu7d7	$2a$07$HxVKWPnwNgc2Bu1Vle/M1Oz8QJ7wtEzGmhiVTzwQNltCRr.myYIO.	19	2013-08-04 19:26:20.152576	2013-08-04 19:26:28.239497	250		0
24506	10trha0gngev8k36zvw3ihi7f1	$2a$07$GEqJhQRpY/Dvf53MoWPqsePXGnO4A6hRoB5pN7u6LHM2wApdbJj9i	20	2013-08-04 19:26:20.181349	2013-08-04 19:26:30.622766	250		0
24507	10f0zigod2jrxjzcbx62nnkv71	$2a$07$IGJ/yzK6b6OZDmpcPRSsgu9M34arlUtJl4QtqLuGClVK0BGCoMjda	21	2013-08-04 19:26:20.20289	2013-08-04 19:26:33.014919	250		0
24508	10acaa47yrl4nm6yj8dyp428t7	$2a$07$lr56TpK1D/yl/n3/rAurteZXXxybSnwDZBfwuaLTA5s1sCpyQsgGK	22	2013-08-04 19:26:20.224643	2013-08-04 19:26:33.149048	250		0
24509	108xpctgdt2o473tq9n1ukms6g	$2a$07$DPEh51WCxqzOud/PUwHtD.p3B7.MxhHU2prSaewEz4jrYpQcPL9rq	23	2013-08-04 19:26:20.246618	2013-08-04 19:26:33.280672	250		0
24510	10kx393iucj67tjg48z5oz4ave	$2a$07$RxDfYA4OgqOxRk61DsnoUeTuq4Mv9wTsccX7inshTBY/52XLm4BRC	24	2013-08-04 19:26:20.268654	2013-08-04 19:26:33.394499	250		0
24511	10zfbspduqflo24bwpm3bxysow	$2a$07$Hf1F94sKHnrFrMMtqoWMWuDcldVFWQkiyJJMOmjxVxDPUxZSJYhJC	25	2013-08-04 19:26:20.291383	2013-08-04 19:26:35.977598	250		0
24512	10lnz1gis1nkqp45ach10vy7e3	$2a$07$zM1NnBJ1dCenk42F/FyvNOxrEQq4dyTsgZKDSeoFe0nuiVOtciV..	26	2013-08-04 19:26:20.314405	2013-08-04 19:26:38.59437	250		0
24513	10xcdtpk9iz4pyavnx5jwolu73	$2a$07$KGQ6qI7Od4Ek5YW07d9Y0OKle0BjIJ6H9I.ClK2p/XHeVqVGfgZdC	27	2013-08-04 19:26:20.337072	2013-08-04 19:26:41.332919	250		0
24514	101fd2qzmljqbgoc4a524yis9q	$2a$07$8tOifpz1Bl4Qx3d1L7EEr.xMPhMcPnQ0yhXwMCX0ohGo.Z3rXghZy	28	2013-08-04 19:26:20.360783	2013-08-04 19:26:41.476283	250		0
24515	10ja44eddr3yoeh1wq4e5u0g0t	$2a$07$R7o1KD558uM/F/XseelBmuwPqAzPcJKjYWWBjAvPaYEWUQzWZ157G	29	2013-08-04 19:26:20.384345	2013-08-04 19:26:41.614998	250		0
24516	10occi667hciggdmaixkj1fdtd	$2a$07$e5h5XJ.2iqk6Onem37ZYUuVE0r1I4j1FZVQPH3c1j7jDTrJT8m1CK	30	2013-08-04 19:26:20.462784	2013-08-04 19:26:41.736513	250		0
24517	10cf05vd9rb9aw3uvxilrlg6aw	$2a$07$TuUazkYJig/Xz3eLkGHKtuuzSXLfIDZRYVf1N3ll/X0ukeHsEC.qu	31	2013-08-04 19:26:20.492013	2013-08-04 19:26:41.889199	250		0
24518	1048q0dgfc3toys8ku4azpqrha	$2a$07$Pjv9O2c9KOQp0zcnwMlDEOjiMvReZKrnRZT0DYOF6gglBrEJtBApO	32	2013-08-04 19:26:20.517685	2013-08-04 19:26:42.031446	250		0
24519	10mm81n2vmzcic6j47oefh76re	$2a$07$EpqRlSeo/42ypzVN91hivOkF7wNt9oHveBbmHdoJMFkYPbqMgYfZW	33	2013-08-04 19:26:20.541779	2013-08-04 19:26:42.176831	250		0
24520	10xjq5s0sfezdiyli4c5349utm	$2a$07$Ojtb0c44vqTSTQHeOysCl.61hZIZ8/qUPyxoGXK3Zq9jEQJhnXdWu	34	2013-08-04 19:26:20.566741	2013-08-04 19:26:42.45188	250		0
24521	1024trola9ykou1bd9p9dxznnu	$2a$07$Zs97QrLfFOljEKXt0GBefOsZ5le11UjX4VU3tV3vqfeAbIVpp3Tgi	35	2013-08-04 19:26:20.5904	2013-08-04 19:26:42.666655	250		0
24522	10xh9z7790tsepvhnjamy3xprn	$2a$07$WgPw4jQNMLyFwYtLI5yIiO59nFKvm/PpS85ALxtOXiYPceKkNhOrS	36	2013-08-04 19:26:20.616559	2013-08-04 19:26:42.844009	250		0
24523	107y7juwm84h0d87trh9xbl5bx	$2a$07$7bkK4TbQokGhG1xVM3OH2eCZsSpZ.GoHSR7cEepcx08wVEuKxmBf.	37	2013-08-04 19:26:20.641419	2013-08-04 19:26:42.960659	250		0
24524	100miid8etz5824mou0d65d5cq	$2a$07$vC.n1gGQDMrXAtiUCpbyUuSz8JmMFE09dxptr99tyZyLCS4xhG3we	38	2013-08-04 19:26:20.665279	2013-08-04 19:26:43.091664	250		0
24525	10dc3f8wd1rlm9gu04w01d9k2w	$2a$07$ZbcR9yFwV9kS5yyiy0bxL.YAkvw2j7NitJf0QAwImmCtoOx8HZIZa	39	2013-08-04 19:26:20.68804	2013-08-04 19:26:43.2302	250		0
24526	1093lj04l3kmx6grx1eytld29k	$2a$07$z.qo4cE1arTriUThNHAZDe/qlidyUodCASoOuSjQwfSKkHyTK8Cwm	40	2013-08-04 19:26:20.711121	2013-08-04 19:26:43.363876	250		0
24527	10i6gqv48580jagq0jtejxamkg	$2a$07$veX308uD7FWqUbbyeqtQVuPc.19HZxtONEMCWOztIbhwh.AIr0cJK	41	2013-08-04 19:26:20.735565	2013-08-04 19:26:43.484204	250		0
24528	1003wuj7d0u4rtoj2cyqx9688m	$2a$07$K1hpwqb.BncuwzeV.ZNNQ.cB2nhjk2vsI2h8R2Ek4UU5.GOikKRn.	42	2013-08-04 19:26:20.760221	2013-08-04 19:26:43.634563	250		0
24529	10eaj3d1bqvaqpigt2tv3z4ylw	$2a$07$JymyTPZSn5VewGt3BzCbSeG7VfTmUM0VqbAiFZisg3Btcj6cVOTAa	43	2013-08-04 19:26:20.784713	2013-08-04 19:26:43.830753	250		0
24530	107vt07kfpcqc1969g42kbwvnp	$2a$07$XmBqEIzjiI9cORVMpPZkg.nFLtZM24t5k10tRuHaJ.haMtrjwimj2	44	2013-08-04 19:26:20.808344	2013-08-04 19:26:44.000628	250		0
24531	1054gmra7beo2536w2ebg3shma	$2a$07$vYRqA53KM04BvRoFi9AeFu.OOrWvs7sNavu.j.wb/x3/EnQpxNHMu	45	2013-08-04 19:26:20.831651	2013-08-04 19:26:44.135435	250		0
24532	10gyfpm2gr9t8wj20v1k2gtdid	$2a$07$yq3o8iF5sAdWro2bpE7TSedDmwwtyeOteb8k3hwGo80nholUs1HLO	46	2013-08-04 19:26:20.854696	2013-08-04 19:26:44.302689	250		0
24533	100ck20h7fd0vp9v2szbvqrvdt	$2a$07$0pfxK1a/7YKU4YJVR6IYT./0HqSd7G984qddZjHxxA/Klst7XEsma	47	2013-08-04 19:26:20.879364	2013-08-04 19:26:44.447589	250		0
24534	10niu7ic2jarzt8yskj4mvov7v	$2a$07$733JCIrIyZh9ybwPK8vmROAWSXLISq/w7tBcFU3WyJXGEtTADWVp6	48	2013-08-04 19:26:20.903271	2013-08-04 19:26:44.579451	250		0
24535	104bhp21g8z5y8xt2ok7xbkwnq	$2a$07$aDfawdBGRvjLA5YjV1J3YOT6PPLb2yFMxT1KFk2lAOl7jpB0joG6G	49	2013-08-04 19:26:20.927176	2013-08-04 19:26:44.720431	250		0
24536	107m4av34rgt3nu9y65a5k37a4	$2a$07$pPaSncYHktq8gtZFgYA4Pec1NAlDj3Fd6E7WDdXpEYj4tuMRaWxG6	50	2013-08-04 19:26:20.953481	2013-08-04 19:26:44.844345	250		0
24537	106tw3hdjujvyd3k66kqd2uyo9	$2a$07$GIfO1XV1a.6/DXOGrpNdD.PQlgrvYC2tiJaM8QekrJ7oeA68lod1i	51	2013-08-04 19:26:20.978542	2013-08-04 19:26:44.986384	250		0
24538	10xg003bt5osk2c9b0ckd5ku6x	$2a$07$Ot37aneeeKMg7NunTtyISOzBUI4aqE8OoL8jXHsKPXB9GkwY1nV.q	52	2013-08-04 19:26:21.006782	2013-08-04 19:26:45.157951	250		0
24539	109ra8yc2u9z15q5x4kh7kn734	$2a$07$E3mcRuHDPboox.2k2USqeuAbV06b3ztaWzshKGjYfKKhXogfMgoji	53	2013-08-04 19:26:21.030553	2013-08-04 19:26:45.294866	250		0
24540	10ib5hr7q1lhbmhefhuikvd19r	$2a$07$Yd8bD8ozg/SoTEixlOlsvu8mbKn8VJYTeoV3xUgKPf9mzWFULwmAS	54	2013-08-04 19:26:21.054221	2013-08-04 19:26:45.430948	250		0
24541	10xakvtnni6u201vh7xq5hoqx6	$2a$07$3hivXbZvN1VWbLwUPQwvcu./bXLG1Tl6eaPcCj6M2DDaMEcqDIMVq	55	2013-08-04 19:26:21.087218	2013-08-04 19:26:45.554061	250		0
24542	10b3n61rn06zstbtcipo7ueay2	$2a$07$2hOXqz.DFU1Vi3nhYZ3ebecwvA8L92gii/Vy6capLh8P.tM2c7DWq	56	2013-08-04 19:26:21.110753	2013-08-04 19:26:45.685527	250		0
24543	10e8d7i1cfl8g5foai27b8mcpq	$2a$07$NARvzkq5q.XXKP1HhfPK.uvKPO/THP/pOHOZm2IE/oUWzHFugfKbe	57	2013-08-04 19:26:21.149315	2013-08-04 19:26:45.795032	250		0
24544	10wmt7krg9s8hgf11p2t5jziue	$2a$07$1.R4VTfbixNGFDljdT5xV.ZE5eyWb.YLjtKufcS1ZTJOTerHrMUE6	58	2013-08-04 19:26:21.179091	2013-08-04 19:26:48.415657	250		0
24545	10c3to61k5zt95vepd2bm9c8yf	$2a$07$Y3ITMn5/7hdxIgGOGU0r0e37p0Mza./t.U7vv6ewvY7KKEjFvw3j.	59	2013-08-04 19:26:21.202664	2013-08-04 19:26:51.318543	250		0
24546	109ybixgxkxzo435ovzbwsql1g	$2a$07$1Nk.5fsfOH5VxRwXvf3WdueZOGK5bGoe5.xNdVHlkaKaVGtUDJCZC	60	2013-08-04 19:26:21.225338	2013-08-04 19:26:54.155972	250		0
24547	106yeue4kbwr5l9j7cdsih4ak6	$2a$07$P1dhQx6GrwwpFjfV/atxFOueXa.VUoUbRXeIXvy4SbGaA3S4okb5O	61	2013-08-04 19:26:21.248201	2013-08-04 19:26:56.894409	250		0
24548	1093wqattj9od06crt3n8whch4	$2a$07$ElchfbATahqbDcx1fgrMzucuRKqk5lmaOk88vBP6z54I1aNf8HQt2	62	2013-08-04 19:26:21.27155	2013-08-04 19:26:59.922764	250		0
24549	10wmqtix811dpb9hg1s4418v8y	$2a$07$bj4gJu.LB1TA63rxpNKbJewAxlaeH9iPwQKX3uyGwZ2E522nfXn7i	63	2013-08-04 19:26:21.293691	2013-08-04 19:27:02.797473	250		0
24550	1008baqh5xrf21focx66azjab1	$2a$07$TWQBC79BEXFGnLBiwdc2VevaD//LCTwA4u4vmmA2R2uww9XLGXjFq	64	2013-08-04 19:26:21.316526	2013-08-04 19:27:02.926942	250		0
24551	10bc72iohssv09vveev9fxwaf9	$2a$07$9/WoZRW2LGRMyFtiNTkYHeV4Y4NeUrihrlZxM9ySr5GiuUGXk9y4.	65	2013-08-04 19:26:21.339122	2013-08-04 19:27:03.060927	250		0
24552	107oni80nzk7ln0d2sfvklao10	$2a$07$78TUAeisXlFD4.FO9Z20J.rv46RSxK0/.wqhlDP0hiAgUBFjDIHpy	66	2013-08-04 19:26:21.36149	2013-08-04 19:27:03.2255	250		0
24553	10swz75xa6542wodm1zcrjdsln	$2a$07$O0zHB6TePWwMzktwN2zrsuHI563.BVNAsk3vZpolmUyiFkrNZUPRC	67	2013-08-04 19:26:21.38539	2013-08-04 19:27:03.403275	250		0
24554	10nps2fs1npmkl4sr1mnbals4s	$2a$07$XKoThHg5Np/4Fpzf99UI5OaN9GVRm15ouMqy1D01EmvBCpdH/6RIi	68	2013-08-04 19:26:21.407803	2013-08-04 19:27:03.523518	250		0
24555	10frisk33udcp3iobypa7dzs8l	$2a$07$bAk7cOFew2gXzKtKAufy4O8k8VFXkYTUP1C/Ta4V2nQdYxm0IK8Oy	69	2013-08-04 19:26:21.431043	2013-08-04 19:27:03.667066	250		0
24556	102h3b3lc65qng18u7rvxvg1e4	$2a$07$GTexVE6Ygy/vRAVdKFAX/engNMbqnG0jfT9Fxr2RudM7oTRGyFa5C	70	2013-08-04 19:26:21.456057	2013-08-04 19:27:06.564036	250		0
24557	10z65xn65roas7tpra0npqf653	$2a$07$yShzxs9T.kwbJcI2R8nKOe0tceGR9ft0NmUI9abPk6iNHem.5e.EC	71	2013-08-04 19:26:21.487878	2013-08-04 19:27:06.691216	250		0
24558	10j8z6zmp099o51gt094c1hwh3	$2a$07$TnnCIcRkxztvBWcVAxpEZeroKl2S/loJr5mQ1lz23Ux9laWOQ5UUm	72	2013-08-04 19:26:21.520523	2013-08-04 19:27:09.603054	250		0
24559	10bxgxzf5nrfq8zt4x3sotsh3o	$2a$07$PoMG7PE1QcqPtnyCE8MM1.JtvGIUCYrl6xA3WuWJVWg95tKlxlBV6	73	2013-08-04 19:26:21.544157	2013-08-04 19:27:09.743492	250		0
24560	10aekvfsmsgottx82ysogalg4z	$2a$07$4cuPjcLSEtHxVRKekzin5.8VzDVlm9MdpWFmzaUL8ljTHq0COYQci	74	2013-08-04 19:26:21.567577	2013-08-04 19:27:09.876437	250		0
24561	10467a372jt6t1acmbtmdqpzij	$2a$07$q1w6t3ECJB1a7y8gdXnWRu859PXeCdFlmIQKA6OBLkFS6E0k.z6nS	75	2013-08-04 19:26:21.589625	2013-08-04 19:27:10.040324	250		0
24562	10qxve3gcusf3atmyw8rzdkgiw	$2a$07$gb3e3QwRZTzCgh0prtrEie.GNoVpJamOO1ku2SGaCPA.pgr64kg6.	76	2013-08-04 19:26:21.61271	2013-08-04 19:27:10.18499	250		0
24563	10hkg8waxhyxuvphxt3t7prqf8	$2a$07$NJWeF7O7FMOZWsshIf5OYuojaOtztwEjvSCcOTZpGfciB1CB.g3Na	77	2013-08-04 19:26:21.635514	2013-08-04 19:27:10.325609	250		0
24564	10nixo7lkwdj08dkl7pskzdrbs	$2a$07$19sr9gsuBkl4XKI2vH7ciOm0YG/xbzTEBj5zA8zAbDY.Duyd8muju	78	2013-08-04 19:26:21.658058	2013-08-04 19:27:10.584798	250		0
24565	107zktwep68mzq6c0uo6c7fem6	$2a$07$/k4imeKfFME7Y69sSfjG4umB6HSKfEWvjQP5nm6moIlmrMWGcjpCW	79	2013-08-04 19:26:21.681103	2013-08-04 19:27:10.815837	250		0
24566	10der9mv7oab20g7czmjqdud48	$2a$07$Y6h39yN/dC3FW5WnAvqD9ur615eAA/wZZCDZe2tnzxdgH2REex7Zi	80	2013-08-04 19:26:21.70322	2013-08-04 19:27:10.941571	250		0
24567	1092s15hdtfw79whwwqssrgq27	$2a$07$7wXXq7PQX2jE34oP.M47vuMKx7p8NlehVWiOaKLzJ3jGIoA9X/Pj6	81	2013-08-04 19:26:21.726469	2013-08-04 19:27:11.055464	250		0
24568	10du21ufbgxcw37jdzx8wvct03	$2a$07$EHVAvjelvG//GQWMf3fwqeSrDxhN39kHenJpkzTtk8eo6fChduMnq	82	2013-08-04 19:26:21.748992	2013-08-04 19:27:11.159947	250		0
24569	10841wa9facjnfoaolwncyist7	$2a$07$8vQBzD1P48Ejb.Jbnq4faejqYoKwXD8dnoQmQkuy8EFQrm1lMEHI2	83	2013-08-04 19:26:21.770882	2013-08-04 19:27:13.803016	250		0
24570	100z3ikw8xfwypsrblmqof6ssl	$2a$07$TEIpMY9BSCjSfWc0eS1H6uvsRJ4k0t.due4Bu/VpH0Zu6i51pwpfe	84	2013-08-04 19:26:21.795267	2013-08-04 19:27:16.581372	250		0
24571	10arm30f2mekj9lgmfvf6uosv0	$2a$07$q5dAdlI9I4gvx2cHtotqqeTIhxnYGXOuxnjF.fqFO4LixwTZhW2Me	85	2013-08-04 19:26:21.820445	2013-08-04 19:27:16.711758	250		0
24572	10tqi16bvfdptn6gwut7r7thce	$2a$07$l4DRhKfVLwRkdDQbAJYWGORKEQaPfZ2DozuOv2AasxtvHxIZy9Dgm	86	2013-08-04 19:26:21.844861	2013-08-04 19:27:16.859728	250		0
24573	10e83mohh3p56g9utai4sakss2	$2a$07$AysE.qAhlicRwloaBIoD0OHLIe3ufpBkVu6Wd1em7.O6SJa6e6LXy	87	2013-08-04 19:26:21.868081	2013-08-04 19:27:16.993307	250		0
24574	10lyqv80cfnqmk87g2xxgwfmhu	$2a$07$QNm8zTd0.JkhyGtmaslQa..kMqwQBg7VazQkihHvxixBQgyzaotdu	88	2013-08-04 19:26:21.891372	2013-08-04 19:27:17.124183	250		0
24575	10u6ljrajqxpekogrvyk7rlcuz	$2a$07$Id2dIu4qr85psiwCSmcTdubg7hKFFRrpGdgBxAVsCRqavYibCUOpq	89	2013-08-04 19:26:21.9136	2013-08-04 19:27:17.410815	250		0
24576	10ukxqo57mxutju0y43mog7y7z	$2a$07$cm5e0HLt8SbqiDZ4v3z/COUshmSkFJl6FqFy0A7yauKhDz9neIJYG	90	2013-08-04 19:26:21.936806	2013-08-04 19:27:17.568433	250		0
24577	10amx662uvg3rqlghecvl7mvyy	$2a$07$OK9z958fuWQBfhAla4q6qOxyRLozdEhRasiZLKmZFw6v5hNJU1ehO	91	2013-08-04 19:26:21.959572	2013-08-04 19:27:17.693102	250		0
24578	10djxg6op2ceuvxcjgqe97yknr	$2a$07$VOI2oeHFoJz4LcLaOpm1BuqhxxAg2rt3S1SJLMmyqXIKBqNk1NHFe	92	2013-08-04 19:26:21.984332	2013-08-04 19:27:17.831025	250		0
24579	10g20sdpcc7yxwrzecn992rs2w	$2a$07$TZX94uCkNd8lSjo9Cjlq2OP9u1KjfcqL86aNNBCjcSOmedefUJ.J6	93	2013-08-04 19:26:22.012682	2013-08-04 19:27:17.973274	250		0
24580	10f36r91wwmg3hwsueexs7g8d1	$2a$07$.mUWhU6pJvZAWGM3DGmYoue7UvqjRyrKeIGuOwGYTYPdW42LqmYF6	94	2013-08-04 19:26:22.037151	2013-08-04 19:27:18.100893	250		0
24581	1000wkkjcfuc2qb96axds1e6dk	$2a$07$Dpp9ICvGOiRYuTq8M59gVeit9YzhtRX13EtAndyFYHGIQpIhB5j.G	95	2013-08-04 19:26:22.059268	2013-08-04 19:27:18.242666	250		0
24582	1075n25oldxe40s3idj76ljqlc	$2a$07$l21Z4nHllNh.0s6TQTy2ke7YK1I8LzFO02IFm8xaL7fDp7CsVc6T6	96	2013-08-04 19:26:22.08082	2013-08-04 19:27:18.388404	250		0
24583	10qlarqusxnt3fleyiko7fa89r	$2a$07$/aQF6vg0t6pl0ClQmqwPBeao89sgzA18PrW0q7MYfy4Y6Z2IkDhkW	97	2013-08-04 19:26:22.102457	2013-08-04 19:27:20.686212	250		0
24584	1045q92aov0cyzx0b416bo090v	$2a$07$ag2xDTvhXxka1JYzVt4FceNrED6Ca8kg.yTQYr5BdsBCc8bu2aesO	98	2013-08-04 19:26:22.124997	2013-08-04 19:27:22.937529	250		0
24585	10d1t7rzej8kgj6vh4kgy8e3mo	$2a$07$mhi7QAYSDqgfqZUfboqPtu7IcEY3a1g4QsjDAYwWaKgfykLQW7fNK	99	2013-08-04 19:26:22.147958	2013-08-04 19:27:23.062931	250		0
24586	10nt6z3821ot0xuw2ewy94tje9	$2a$07$kNfPi86dmlR7ByKdJ4oiNeSl89UbaGJOsyCDDVYlK.y/sEO0Q0CU.	100	2013-08-04 19:26:22.171263	2013-08-04 19:27:23.196438	250		0
24587	10x77k4shglbhk3blnw4gb4nsi	$2a$07$x.DKEt2mzj5fnsAqmN3o3uBSuA0z0pG.t4mPkoSvJt.MCrdmFTMkq	101	2013-08-04 19:26:22.194537	2013-08-04 19:27:25.89749	250		0
24588	10q8qsmkqdfart4gkjyjxibz6o	$2a$07$YcRf39RHFBaJKMrJZu3ml.JJOGtvJb.nt1AKYNGkWiFGmSrkM2oiS	102	2013-08-04 19:26:22.217264	2013-08-04 19:27:28.443651	250		0
24589	10dui4e178mpbmrst3klpbwwyb	$2a$07$qzHRsHHfvEKOlnsBULo0..dviOR8BVSW1YLLWoB/2wutKLgL2uHm2	103	2013-08-04 19:26:22.238842	2013-08-04 19:27:28.58197	250		0
24590	10v9fu8fzx1tfe4y4b5zeakdta	$2a$07$MBZgrweHKkwk7DzCcXV8tu7hlZD/ptQL/FnwIet44FTdYK9gkoNCq	104	2013-08-04 19:26:22.260431	2013-08-04 19:27:28.719924	250		0
24591	10470arasdacz8d90w8laqosu2	$2a$07$zTd5p9zLM1m1I43o70mO4uPR5OIexitaPG34c/GSK1lRBRnoL.i4q	105	2013-08-04 19:26:22.281893	2013-08-04 19:27:28.923315	250		0
24592	10xujsl1ugsztoupx2bt3oezzd	$2a$07$9Ysywum1D8.iDs0bzaerbOmGau1K7K6wiLIn8YtIYKFe5bIgVOxoK	106	2013-08-04 19:26:22.304514	2013-08-04 19:27:29.04691	250		0
24593	10dfkjdgfe58xlda7dddyw9swo	$2a$07$Ve4k1Q2/feZjZexOL.oFqORUOO5h5ZcpoGpRNrk/y7X5EjoVFRmty	107	2013-08-04 19:26:22.327151	2013-08-04 19:27:29.33467	250		0
24594	107l4rsiklrdjq0rzx53m6js79	$2a$07$jcXb0u71hHF25uyx/asPluaH5.E5KE/U0m3iD3GYmK/ax64kD1M9y	108	2013-08-04 19:26:22.349118	2013-08-04 19:27:29.610266	250		0
24595	100wwmbve4rgkflu9kqcfnn1ds	$2a$07$XK6S7QJYiKPlDvmIxKDrm.lSwFYbd4QGS.ZyKtq8JsUcoWru7QLs2	109	2013-08-04 19:26:22.371719	2013-08-04 19:27:29.710209	250		0
24596	102zuv01j3j9rz2nmhk4yyqbig	$2a$07$1DIG6kHFioD2/dSXiPmCsOevHSQsgppho9RUSa1lvQbYEcOVw5cSS	110	2013-08-04 19:26:22.394034	2013-08-04 19:27:29.822525	250		0
24597	10jjqxo7iqsrilzq5xzc3xsgmk	$2a$07$m1wtiFZbCykrJcd5lFu7JeyF2o8zMTAfIVGiR1/7vX0F/17DXcHCS	111	2013-08-04 19:26:22.417742	2013-08-04 19:27:29.963964	250		0
24598	10eqw5x5vn6u3xzihuk8issiuu	$2a$07$3aKZClnYO34sb2Aq7M4tMeMZXwBYFyecLCZNwMVgtQ5E/ZPM097gK	112	2013-08-04 19:26:22.44102	2013-08-04 19:27:30.09335	250		0
24599	10fqrsr0vo5cvsyo1x21vg05x4	$2a$07$hg5oljXtK9awT2WE/NeNxeaQy7HVcy6klCiH80HLoa0BB.p1pz.8y	113	2013-08-04 19:26:22.462662	2013-08-04 19:27:30.258932	250		0
24600	10kyucv9127qeh5i51butsbata	$2a$07$i5mQzjaj0ygGthX3Mn0rluxPQ8oNOdKWykBYBloo9DWmWL2BFpZzS	114	2013-08-04 19:26:22.484445	2013-08-04 19:27:30.524486	250		0
24601	10fa1hxthygs0j871oijo9bvsr	$2a$07$nfJMmw7DIuyK/erKYIm7fuXFZlJgMSWD.KqWawgd.AMHum2NGfomC	115	2013-08-04 19:26:22.506381	2013-08-04 19:27:30.789246	250		0
24602	10xbpg3zhhjj13utjajncwg49h	$2a$07$H0JMFW2eqEw2Tot6AQ4VHujUz/CdlEcaDAqmkhDPtXWvc8VkgeDkC	116	2013-08-04 19:26:22.527767	2013-08-04 19:27:30.920334	250		0
24603	101usf37zgms1d3ahocs1trdis	$2a$07$gI6WjxH73HZ.XI2qiQlYluyjy9LWcv1R4zpA/SKl6ZTn2akyH9eI6	117	2013-08-04 19:26:22.549718	2013-08-04 19:27:31.051762	250		0
24604	10wkqyjzhrqm8itdb9r7p6k2uh	$2a$07$kH5KUuoMH72T2Y71gEHP1uNuQb/ZwHV7wtuihFHZXHtvSJw.pU7Zu	118	2013-08-04 19:26:22.571395	2013-08-04 19:27:31.173704	250		0
24605	109f232on55tustc1hnkdvgwpu	$2a$07$XzlkCVGv116KlmMKxtwXh.bHt.OOEp8cILjTnCcWnkvMZ/leh2jVm	119	2013-08-04 19:26:22.592668	2013-08-04 19:27:31.321297	250		0
24606	10mtumyxkrxt4wecpqra5fmxkp	$2a$07$AZTyVqzGd3uf4LmUFS9RvOzLclom1YlCtvfw1IuejX9a.ba.TFSTG	120	2013-08-04 19:26:22.614688	2013-08-04 19:27:31.453851	250		0
24607	10q8skmx5fg0wqb2n5z0ut0hsh	$2a$07$Mo8gtw54/D3b5baksW8OhO6bVSQbuThBpMtNZZaWcAN4.d3fAaZcC	121	2013-08-04 19:26:22.637301	2013-08-04 19:27:34.20937	250		0
24608	101giragqai0n7wpaw7q8cvo1i	$2a$07$xhXmSPfVnSbybl9aH922Q.L6JX55iOPI7bVsSEYYILiWaSbPaLQja	122	2013-08-04 19:26:22.660728	2013-08-04 19:27:37.356256	250		0
24609	10wttn2p1sqzko8awgw2ij275i	$2a$07$vZPw9z8EPGptwyfpwR0W4.rMBQZd/UTEFXNqN8elIeF3TWfqX1kWW	123	2013-08-04 19:26:22.682635	2013-08-04 19:27:40.128098	250		0
24610	10nzh6xpvh2v0ak3ejpwx1qy8w	$2a$07$vyUCZFrkLJ.UbpgHUcKhYe3e7o3aN3RXN0ev4.2iM74Ov8gzi9R7S	124	2013-08-04 19:26:22.704437	2013-08-04 19:27:43.217036	250		0
24611	10y7gs93mqco2x18v64ahhtli4	$2a$07$.aJmG.iTuueNzt/.aLvHjOk/bd3CYghWPZ41sPsjoMHvDkr/dNlEK	125	2013-08-04 19:26:22.726731	2013-08-04 19:27:43.380702	250		0
24612	10s2qbvgpxp1462405e986vkg5	$2a$07$OsgyGtrdlD9jLMdLJRK03.EiPIxBZJqe9loHcOil7LPDlcnoh5Jgi	126	2013-08-04 19:26:22.749939	2013-08-04 19:27:43.512871	250		0
24613	10mx0hzgmq8rfogv0o5qlc4pbz	$2a$07$j6bZ4yBC61VdYWRw5P.4z.it8k6rGZiFVT3PdZ9CkSVMZFN2CkEbS	1	2013-08-04 19:31:19.11929	2013-08-04 19:31:22.174703	251		0
24614	10d3dw4y2luhu6du9ty9adm53t	$2a$07$6ikj7OduKsrsvATIyjWI0OHwdi1f1GFUgIc1vbhkQY.YvTIoFjUsG	2	2013-08-04 19:31:19.14193	2013-08-04 19:31:22.309687	251		0
24615	10n3rrzogq508v4yjt7oitgftd	$2a$07$slqxHrqVFccdS6oRBAfc3OFGM8vwBZ9wPmSBKBrVbeYijPulvBkqe	3	2013-08-04 19:31:19.164216	2013-08-04 19:31:22.437827	251		0
24616	10dz3wx9zbyymbswgcv0kln3vz	$2a$07$JYN4Fe9FUAlr3EpU4/rDfeV6vRZ4INQuI7gIh4.4MoXUVoTOuLriy	4	2013-08-04 19:31:19.186069	2013-08-04 19:31:22.588275	251		0
24617	100ahf1328p0sv3ll5umsy1lay	$2a$07$yDtBXw9Xme0M7b977q/g6.TCWpso2EpIzWay.mriJX58kPHQ3HrW.	5	2013-08-04 19:31:19.207838	2013-08-04 19:31:22.732065	251		0
24618	106hrlcvoicigdalnuvwtkvjko	$2a$07$0btapFYonWh4.VY3pJIxoOkw2uf8Bq1oxIjXtXnNN0yYbfNDcA4eW	6	2013-08-04 19:31:19.230613	2013-08-04 19:31:22.886429	251		0
24619	10sp10qn3a4rvigzxymn28zvbh	$2a$07$48yVp6bUGWjkhPtXT8RiBuvWGwIIe4fjhiOpGVzvfcoTHhDJ48sMa	7	2013-08-04 19:31:19.256411	2013-08-04 19:31:23.03163	251		0
24620	10oief0clbqf9tluxthshk42cz	$2a$07$ZQIM.CoUX0Dz8NcEHB56YunPT/ZIy2b8nED2GIjovmbInXqT7G02a	8	2013-08-04 19:31:19.282422	2013-08-04 19:31:23.174568	251		0
24621	10wr1o65u3px98mdfbt1m4ko8q	$2a$07$/.QTHsmnJhwo5gNy9Au00.sAjb/3xHBX2hQAKyhZwXudGgzqn7HOm	9	2013-08-04 19:31:19.304436	2013-08-04 19:31:23.318331	251		0
24622	10us4vovj4x2klyhlhu3rsti5e	$2a$07$e4BbN5Td3sOADFn3zwhTauvC6vT2Z0DoQ6An6w4akEE33arz1zJp.	10	2013-08-04 19:31:19.339378	2013-08-04 19:31:23.475363	251		0
24623	102r3tc34u3zk184z7hnzlwq30	$2a$07$jbXqdE7iKp18Ft6ciPeFgeM6FaB.7uAHIVLrItNO5vml5iC48L/26	11	2013-08-04 19:31:19.363932	2013-08-04 19:31:23.639001	251		0
24624	10rdss29j183cb8ek37icz10cg	$2a$07$s6e.p/SbaR8rjI3FYWWXZuqo1yYiwbSkPC8s3Kp/KiVqREJMVpWEq	12	2013-08-04 19:31:19.38859	2013-08-04 19:31:23.808311	251		0
24625	10534sqlfwzn3wm5tq5c4vvl88	$2a$07$BP94/yJBRXfR627sB6GGsuWVjW3Y.NvVwjg7/89TzsNGSL7QZhr6.	13	2013-08-04 19:31:19.41359	2013-08-04 19:31:23.932582	251		0
24626	10oju1zb0rn9gx8pp83pzzgzbj	$2a$07$vU5SvGzw865EgN985vWIrO0dGhqq2GuBXlJmnlQPYJ9ft/PjvYfW6	14	2013-08-04 19:31:19.437901	2013-08-04 19:31:24.070781	251		0
24627	10l2g5o3reh6j5jmxg8dc2uy0q	$2a$07$CdSDtlpiK2nIOgD7PgzOAulExHVAU4sSkRbBUBa/Kr1PdEe2myoRC	15	2013-08-04 19:31:19.464156	2013-08-04 19:31:24.19252	251		0
24628	10mpv4wsq5vpxrpmrkyo5s3trp	$2a$07$CD9FzfYXe5H.TK9JWJ2m6O6c16NNsx.1H6z5lyNFjQeguGzS0PlLG	16	2013-08-04 19:31:19.487625	2013-08-04 19:31:24.328226	251		0
24629	1093jotobf6s14e2mi5gtezk48	$2a$07$rnetQUvHhKJ3g3LB15OnD.jWoHZOm7BIzGCjEUQxSkxN0yKLgekxm	17	2013-08-04 19:31:19.520075	2013-08-04 19:31:24.451839	251		0
24630	10040l7ov0ng7vvfs9ej9xncxg	$2a$07$c5o1iF9bhlWwlhkXgV1p8.Zi66Cd2CfIjEUQC0JvANN42k5XFgsNa	18	2013-08-04 19:31:19.541812	2013-08-04 19:31:24.593411	251		0
24631	10awwm9b8714tladph63humbtp	$2a$07$5Rl/gg7ylPd/YXIgujlI8uXqHaSZbn/ZsWIBO53mhpSxFUwllHUI6	19	2013-08-04 19:31:19.563747	2013-08-04 19:31:26.286819	251		0
24632	10b45c9wr8wnxc6g58z62ikt6g	$2a$07$BHEHeQ5j3mSOnur6N6P8w.ESSOx2LavUyBQAFYTifxUNHBnZc2cwS	20	2013-08-04 19:31:19.585569	2013-08-04 19:31:29.195029	251		0
24633	1082lq5gl3u9dabioxdg2rrh9s	$2a$07$5EyMeNtJbiiLAKJcHt83KOtK0yOn74gFA5IgTA.znBLZS7H6KNqKG	21	2013-08-04 19:31:19.607567	2013-08-04 19:31:31.99404	251		0
24634	10ym6j00n0pllquo60cjf8yagv	$2a$07$TEZY0lJe/5uPtO.D4tO5Mu1QN.5EgF3ijlSSA/9Cl3iSsKaX2McAS	22	2013-08-04 19:31:19.629305	2013-08-04 19:31:32.139127	251		0
24635	102vx0f0qaxk8mfmy2uy6ua9y9	$2a$07$45eBD.Ex9h4YCmMJwwFZx.mJjoem4GO.W/xmYfgp1i1qUqjbyTyGu	23	2013-08-04 19:31:19.651184	2013-08-04 19:31:32.28645	251		0
24636	10sij70if0jxvko4g3xf3pnxbf	$2a$07$2qoW2uR91SkD2/zbgQpbM.MCpOgb6Jn.RyuSv6eCREPieRuhSUwG6	24	2013-08-04 19:31:19.674031	2013-08-04 19:31:32.427852	251		0
24637	10repiuqu8mh1ns8f235u4vrtz	$2a$07$Oar5A9KNEhhAmi5voDdZR.UwhLIUGN9ZJorLO4KWk2F5NZC94CrA2	25	2013-08-04 19:31:19.697244	2013-08-04 19:31:35.362146	251		0
24638	10oozrgef5wbzwqvy5wupcjr1c	$2a$07$Lih0ou2LxpgVUWGroyBE8OmH.eRtJb.a3432yZ1/ik8lsvmNKYnci	26	2013-08-04 19:31:19.719253	2013-08-04 19:31:38.33437	251		0
24639	104bhtku2chxkzmqrurhuwbwv6	$2a$07$b.hFJ.sKa12ye/3Msgsw/OzOVD43nsdrtINNhcfBv/qT18t9DSflO	27	2013-08-04 19:31:19.743491	2013-08-04 19:31:41.245396	251		0
24640	10nf0vkm9lbhkj9rzbvqpdfxbb	$2a$07$xqSUeWJ3McalAmcFVTWHFe4jI6IZ3smzajJvudkL3i9lydNSsK0E2	28	2013-08-04 19:31:19.765781	2013-08-04 19:31:41.473116	251		0
24641	10khtvosgo695t2x71hiluyiq2	$2a$07$7c9jCLb7vWaLoWB.ouexxOcK6nZfVv0W/C599WyHLjHg3ut9Fe7qa	29	2013-08-04 19:31:19.787857	2013-08-04 19:31:41.645879	251		0
24642	10l720pfh816tcx0bwsezv7roy	$2a$07$XdY5/kO3nl0dUzvYNnvIOupT9Ya/UqrhG7onulVqoUuTD6c9JhN.O	30	2013-08-04 19:31:19.810051	2013-08-04 19:31:41.868678	251		0
24643	10n11vfu9obn0lkdo5jvq040wy	$2a$07$5TVDAFllMx/m1tmK36RhfOv2K3P0Aycn0C3vLbVhHAfm1ooU4PRLG	31	2013-08-04 19:31:19.831994	2013-08-04 19:31:42.020572	251		0
24644	10gq8z6my45rfz0qgo95xeexhd	$2a$07$MdN3AhNapP.EW0fDy9E1a.LNni.8lAtJUbWGVupYu3TM9JoXtW3cy	32	2013-08-04 19:31:19.854049	2013-08-04 19:31:42.144696	251		0
24645	10ztlv4666mq2xrbea1zgb4ikn	$2a$07$w7U2jpaR/0hC6bBCuaUKuetObZbYiEQzFDD4Vq2Tx4NaUQ7JW6QHW	33	2013-08-04 19:31:19.876097	2013-08-04 19:31:42.285554	251		0
24646	10brgl6kesifb87hsa1irc0dnv	$2a$07$bv8R9P.5Q7QFp5/n3kpJyuJkOPr53Uk0fozj3NotqVVCcWvtOFLWO	34	2013-08-04 19:31:19.898141	2013-08-04 19:31:42.587663	251		0
24647	109eels2xhdnfu0v3ugiy17c2a	$2a$07$BblItPPoOF41Hg0xa.Nat.tZr4zOCijIUY6Aoeo4euYsp9vpUsw1O	35	2013-08-04 19:31:19.920141	2013-08-04 19:31:42.829638	251		0
24648	10nrg6qs3z0nhh4ld7oewng33h	$2a$07$gt809wAHTGrfZZAJ9RM9PO.R2HEkHtQXloR4Vosfki2Ii5ohzgxiO	36	2013-08-04 19:31:19.941874	2013-08-04 19:31:43.090603	251		0
24649	10gbuinc7dntdj843ghgdhbhcp	$2a$07$reyBmC0D9GahGmgMsl1pROVgRO5FDO6JgKN76xqrbrD.Mt30uiJ3a	37	2013-08-04 19:31:19.963757	2013-08-04 19:31:43.207869	251		0
24650	10hxeicxzwkzclpy883wy7t8ma	$2a$07$K7wWYG7sCKfGhHivgufuR.FgekJHKMYt702.Nlp5pvuvnY0hnjXmi	38	2013-08-04 19:31:19.98546	2013-08-04 19:31:43.310514	251		0
24651	10ugu6wsiytlktk6p6w1bjhsoq	$2a$07$AKUfIwXnw.2TiHbTjw3IP.fExEuDrcTbtoeVa7w6fhPi8wGZgLECK	39	2013-08-04 19:31:20.007278	2013-08-04 19:31:43.44115	251		0
24652	10r2isq72en6ecm6g6vdjds462	$2a$07$5f0JqByWCyC5h8K7Fpu8BuQOifuOKefKjie36ruPRh1N5TVEnZ.T.	40	2013-08-04 19:31:20.028716	2013-08-04 19:31:43.592412	251		0
24653	10b6zyn11jd2fembshditvbexk	$2a$07$ZcejbrCJKynibzkFbHgf9.cYrwq6.ffax0lDCrNQMpHHGX20LFMJu	41	2013-08-04 19:31:20.052027	2013-08-04 19:31:43.732013	251		0
24654	10m0v060qp2ix9tkyf74lsup6f	$2a$07$G3OM25qe49ygWMbOBZ/feOryvddDdXkI8Aikw/Euv6U09r1PxBdhC	42	2013-08-04 19:31:20.074636	2013-08-04 19:31:43.868726	251		0
24655	10pykl26nfqyxidp7cx6w5ej7k	$2a$07$D4JOIov9.V4IaQMPWcCqCOF6q20ANaPACxQqKNZnT537TlA7.IwpK	43	2013-08-04 19:31:20.096364	2013-08-04 19:31:44.078369	251		0
24656	10rqpgh4r70sfmo58u6hxi86qd	$2a$07$btiR3uqoTpRkzyK2DvP2XOLf6BqSQ2koej1O2bCvL3chKHmqaXyLi	44	2013-08-04 19:31:20.118631	2013-08-04 19:31:44.373786	251		0
24657	10l8am03slyyv5z9awlnlkq7ug	$2a$07$BRPUn.VIfB93zN7nzep0o.dQaPODccmBBPoBqzgKoxqbglL1sj9Pm	45	2013-08-04 19:31:20.14044	2013-08-04 19:31:44.668506	251		0
24658	10l3tqk0z62wpw9q7q0lpv6m7t	$2a$07$GOuHiy.Vey2uGL2JdyfZvuCN9CdCyluPOdRFiNfT9m7lNyrX.bIDe	46	2013-08-04 19:31:20.162053	2013-08-04 19:31:44.818729	251		0
24659	10b3q2hvzqgws1r68i5qma9z8b	$2a$07$oskhpwj7jPDhIUtVwOSZe.geIeXI0i1QbsZjjnE4vsEXcj2sN2doy	47	2013-08-04 19:31:20.183821	2013-08-04 19:31:44.976576	251		0
24660	10kh0s0a6utjxtdaxw8hzhm55s	$2a$07$YS.o2AhwwHWFjwdaFWlbGuY6cjHlPcH8TtSq7Hm0yHfWELDecPZNS	48	2013-08-04 19:31:20.205913	2013-08-04 19:31:45.131397	251		0
24661	10fbavlzou9l8z93kb7a5kemaq	$2a$07$7i76Mht0jbvkVpqhtDIOVe6ha78V8zTGHkwB0QsiGO84Z3DRKaxPm	49	2013-08-04 19:31:20.227771	2013-08-04 19:31:45.23385	251		0
24662	10f1td2c2x3hrisoemzm2tj03j	$2a$07$YInNeeKbSqEILvpArCrM3OMPFNnRsTqmeNJGw28EHHOJSJJ/TefMW	50	2013-08-04 19:31:20.249872	2013-08-04 19:31:45.349642	251		0
24663	10dz89s1e127xhk9tt6soinns0	$2a$07$G2Qh8icQr5nLOWg9KZiYvet9u2oLWrgq3nZbBCb.Lw9e7EIE.nWUK	51	2013-08-04 19:31:20.273424	2013-08-04 19:31:45.477525	251		0
24664	10eq6z3i6ojms99u6qfp713kwp	$2a$07$8pxUPe7mWcJrATtfOlwrsOJMgpqkOj.qanooiWKtxVXZyDKF6sGqi	52	2013-08-04 19:31:20.297158	2013-08-04 19:31:45.6578	251		0
24665	10vzun5d37m0kkhnifi2r9jiao	$2a$07$vbUkrkvpckNkSyUTrYwSRu0UoCuL1tBzNNthkyhOxQGNRifGVMmfC	53	2013-08-04 19:31:20.320164	2013-08-04 19:31:45.800949	251		0
24666	10br29jd1a6iydgs32mlabugkx	$2a$07$Qr.f978VAsJhU9hac9nAsOXjQotyycf2qaHV0pzkRpg8hY7G0E.hu	54	2013-08-04 19:31:20.343503	2013-08-04 19:31:45.95731	251		0
24667	10x5lmdewnl2j530q0nyx95hkk	$2a$07$Gz9eKyyaiNs7/V9N7yOg2u0wyj0qWOkOoTAsYJKyaxgR5RRNwr1My	55	2013-08-04 19:31:20.365461	2013-08-04 19:31:46.124383	251		0
24668	10tdbwgk9lvel5nihlzprkcewx	$2a$07$.8uXvrWAiQaFxNKjcwFLu.O9gk4gWDtjtAF58eN9HZnI8UF9DnTDK	56	2013-08-04 19:31:20.389522	2013-08-04 19:31:46.266423	251		0
24669	10wv6le1q81jnpf2m9f5zn8m0f	$2a$07$3KpdlLaUHuT5fagvelqsx.CzF577Xj6/fD69Xxs/7KF29ofI7lo7S	57	2013-08-04 19:31:20.411623	2013-08-04 19:31:46.427011	251		0
24670	100v7ytny3qaqqpb1xqvln1vty	$2a$07$Db6a952fL2xvL62mQqFFeeUrEVExAlfO2slTJyaUqi/PSVgYriNGW	58	2013-08-04 19:31:20.433401	2013-08-04 19:31:49.253642	251		0
24671	10kox72ez7826n07vo6f2diu1u	$2a$07$iNcEsEnCBaiBdviRrIPhUuwT2Wt.gnwBKbhVUnOhk7qUUVNn58loG	59	2013-08-04 19:31:20.454542	2013-08-04 19:31:52.297514	251		0
24672	10cn1zy8liq6awq7z9u0ioizwz	$2a$07$fHasotRxFI8BY8u2zPqYy.GA2DnFE/eCucDqH/JrbNZcyYOBhB4tG	60	2013-08-04 19:31:20.475827	2013-08-04 19:31:55.022577	251		0
24673	103zl8ppaxrb5226ueyzfwv48i	$2a$07$ZYHsr90YGmNIAcS3jpjaL.HmHKjTtT4BNxyoFvu9Hd79UftLpZDj2	61	2013-08-04 19:31:20.497153	2013-08-04 19:31:57.823499	251		0
24674	10d4eu7k4kd1lodo629c0mv7uz	$2a$07$NzHcwuSCFmsi7XfArxTqtu/Thp.oTPGngw3kGs1I1UtAiWE8P.1gW	62	2013-08-04 19:31:20.518381	2013-08-04 19:32:00.99872	251		0
24675	10zx3b994rfe87kjv7jyv8x9ra	$2a$07$pmNSYfUCq6iRXfFLQQUXour3s6fD164cxXyC.ky5fgNbBpH8a98De	63	2013-08-04 19:31:20.539813	2013-08-04 19:32:04.296909	251		0
24676	107frbf680y20cad39pavi6864	$2a$07$phO5KBLvvXUVIszR0ewsGOp7F980fCxqNav6rn27qeCxCE2btNWia	64	2013-08-04 19:31:20.560964	2013-08-04 19:32:04.437067	251		0
24677	10xa3vkyeykdq7t92yt3l4dd3x	$2a$07$PXCFE1niucckP/XQR/fMxeKOLK3H1SqjKNkgRDLXlVfHJGFosmc16	65	2013-08-04 19:31:20.58233	2013-08-04 19:32:04.582489	251		0
24678	10pswua9hgsk2fu7fo6bq5raya	$2a$07$25WRbK6zj6MkS66wtvBCYukCdDmnvIQYiDR.AU.Oi76mUimzPYd86	66	2013-08-04 19:31:20.603455	2013-08-04 19:32:04.847797	251		0
24679	105xc3nya5hsrp7yjwr0b11ypc	$2a$07$f2FHWhNFVhgboH0EpEOub.qzQbRe/ZQsA1ImgEy.FS8j3BSmqdp8C	67	2013-08-04 19:31:20.624763	2013-08-04 19:32:04.980262	251		0
24680	10ec4z5q3hbj81q73pjv2ru8no	$2a$07$XZSUXqPVlpAvi6x9y960C.jvVuVYin19s4o/ogpbgWgaolm3eO/.G	68	2013-08-04 19:31:20.645791	2013-08-04 19:32:05.109561	251		0
24681	10zo3f122x4te5x2vob7psxrsb	$2a$07$Ctj4jOuKjSdrKRv/zrKDTuTwJ8BKXtt4Uamcd50mve61JOM7LbusS	69	2013-08-04 19:31:20.667024	2013-08-04 19:32:05.291309	251		0
24682	10o25rk9upxdchncs8zmdt63ny	$2a$07$7K67raQ2/URLNrWFKb5F2OQysSdAcxCu890tNK.I8J2LpTTrKf9f2	70	2013-08-04 19:31:20.688161	2013-08-04 19:32:07.813469	251		0
24683	10vsf1z572mjr4bx3deullay4n	$2a$07$M4C6ErmINmZVWVHkwNICH.2/F7Eqjlhy3EYd6vquthvkX8WYYy3Na	71	2013-08-04 19:31:20.709296	2013-08-04 19:32:07.94009	251		0
24684	10l3r37psf06xns7hvwqds48mq	$2a$07$svG73Wx97uFO3mfJy3wEzeisRgpa0bXz/f9zESLFUMPHzNQ73vXDG	72	2013-08-04 19:31:20.730726	2013-08-04 19:32:10.729455	251		0
24685	10evvor3vhutq39k060linl7uu	$2a$07$I/85RRqNoaUiPjhdA0V2u.0dkc7LHZo6uHRqnH7WTbNVrOzbLmqfm	73	2013-08-04 19:31:20.754036	2013-08-04 19:32:10.883232	251		0
24686	10lvqmdacm3mune5d6v76aq9gc	$2a$07$hiYj5I7cgqcsL8XwKoNe/uZo5Ou42WRdCiM0GJ1Q6tjrrE5u/yPSO	74	2013-08-04 19:31:20.776687	2013-08-04 19:32:11.01103	251		0
24687	105tg3usaqq034va7ld5ye79qz	$2a$07$03xHX8bx75zmnj4Qj0lryeP9GCH0UwcB3LN4Npp/h6lGTBnTYamKu	75	2013-08-04 19:31:20.797861	2013-08-04 19:32:11.222272	251		0
24688	10vif5bxhk5tsrv5dyhlydpmyy	$2a$07$eAyOtz9eDnC2zQndBKz4Ne96n.PKhzpZqxPcDg.zuDm.at6c.lvL6	76	2013-08-04 19:31:20.819241	2013-08-04 19:32:11.360622	251		0
24689	1071oybyvrc2knef2ume55btqg	$2a$07$mFPovEuE45uXTc5QTuUupOOaihM668aju5Ry9d97EHjL9E5N9BWwm	77	2013-08-04 19:31:20.840373	2013-08-04 19:32:11.526253	251		0
24690	109k7a3x7qwbh5elqib7zykzmi	$2a$07$6Y5ghf0R743X2AXqJgym3OljsHIWQXENgx54S7lON8y7w0j46Blgq	78	2013-08-04 19:31:20.862804	2013-08-04 19:32:11.845877	251		0
24691	10df1l8fjy3zhamokbzwhunfla	$2a$07$OknDMwUJOl03MfwxwMw3euy3mhkNGWABQMlwWfwFyg3CpH0OtHoBC	79	2013-08-04 19:31:20.884753	2013-08-04 19:32:11.993587	251		0
24692	106m7tb9p4rdha9imv6hn6jvtw	$2a$07$FfL8rABE35hg8Ed5BPYGw.yKTlPwV0ohvx.Rd7ao0/jQsuA478Pay	80	2013-08-04 19:31:20.90603	2013-08-04 19:32:12.120835	251		0
24693	101ada3ul2bleg5wxf5wz4sxp0	$2a$07$c4LbSdSBEKvGzgino6/f0erSh/ro7CHkaKJWsTnSDhoBKWxcbP/d.	81	2013-08-04 19:31:20.927392	2013-08-04 19:32:12.248235	251		0
24694	10pe58hgx3h6phl7cw5sjlehqs	$2a$07$yH0j9YBFu21iTS1DDYpzMeWsMoRqP6ZiC9ypnkQjQuYiSIAHex.zK	82	2013-08-04 19:31:20.949426	2013-08-04 19:32:12.395621	251		0
24695	10bqwwm3dyqu9dn1addr4sjjqq	$2a$07$ptVhSuasVuQ6UHCUGKwSXuOdgqynyXW9yc5xmrtju0I.9jvJvmFlO	83	2013-08-04 19:31:20.974388	2013-08-04 19:32:15.110233	251		0
24696	10ihbodd3opu2nhbc2mthc1vhd	$2a$07$jrElzUpG5PrlL3RDcEiw/OJk49E5ueoVlrioAPX7K2bozYt83BbQK	84	2013-08-04 19:31:20.99761	2013-08-04 19:32:17.696672	251		0
24697	108rvgatauqd66obtjb177gjdr	$2a$07$OM0O0B40eDiWBaazWfZvuet/c9DWKX5brDuHFB4dgK.6ZSiDuDXKa	85	2013-08-04 19:31:21.020793	2013-08-04 19:32:17.842541	251		0
24698	109vmjdm5punqbe6c49dzv0o7s	$2a$07$i6WyzVRUuePvVyOwHvXmQ.23Ks72Y6ujOE/9OQY59rneqNDPRqO6C	86	2013-08-04 19:31:21.043039	2013-08-04 19:32:17.98426	251		0
24699	109jcq9ma8eqa8hxcqpgqlia0n	$2a$07$gdp6Mlk3S8DTokzYYkVoYup8N2V9WmN24e/HjxNUePpLtd.3lN.CK	87	2013-08-04 19:31:21.064526	2013-08-04 19:32:18.157881	251		0
24700	10gbs298df4ld6zubiwwnoktb5	$2a$07$6w1npyKDQCHkogPuD0aQ7ONXkG50RND8vKhW/UrEzkTI9Fqaz1rjK	88	2013-08-04 19:31:21.086494	2013-08-04 19:32:18.304028	251		0
24701	101j8ee0kv5i8xo5cv1kf7nfo1	$2a$07$79KeQyY7KlP62YB6BEzXJ.T7SIm/IjhdV5mDgrx3bvjqrUR91xRsa	89	2013-08-04 19:31:21.108042	2013-08-04 19:32:18.557927	251		0
24702	10sx0zuut36l23co91q0w40qr5	$2a$07$TesK0TrLBLHybEd0kGBJWugV4L5Q9cugfJEeVCn/7GsnxEQ4eyOGe	90	2013-08-04 19:31:21.129468	2013-08-04 19:32:18.742117	251		0
24703	10y0os1vh4lnd3ecj53mb0akvd	$2a$07$iCIAoLOMBX9omHd5FfvtBuUMhs2wAbTEIVjmGLC5YMaE2i5.dBI86	91	2013-08-04 19:31:21.150971	2013-08-04 19:32:18.90279	251		0
24704	10cin4oypqqpcojhqahiiujgdm	$2a$07$LHeMw2q8fwsFaWLmJyqoo.jQygD/Qre/EHOUSVBHugSA23kEMrn26	92	2013-08-04 19:31:21.17242	2013-08-04 19:32:19.059955	251		0
24705	10qv43mafccgbvtlc44ofar5f3	$2a$07$lU2GwusPKYeCJLMitgz9du3wBC040SR.EaoPTqVUTdizr/rUh3Zaq	93	2013-08-04 19:31:21.193771	2013-08-04 19:32:19.184366	251		0
24706	10qhif0e8q4dwawht8wq2ol5rf	$2a$07$cNVkfyTifRMBSUMQgAhiueTI4M/bHs/XLhVH7dZqVs9QilGFjM7DK	94	2013-08-04 19:31:21.215443	2013-08-04 19:32:19.287851	251		0
24707	10kurgey6lfpn9o1y67qq4ow59	$2a$07$f1AzS2czRikD12EIUQ2XXek106rOwzUEGavpNjDIpZ8u4wnneK0qK	95	2013-08-04 19:31:21.236725	2013-08-04 19:32:19.428382	251		0
24708	10mbfckgqzjgi9qnxqaodjlv9i	$2a$07$3v6ztyyaF8y2ePObx4CbW.P.07BUN.72ZPxRWb60j5XklshB0QowS	96	2013-08-04 19:31:21.258355	2013-08-04 19:32:19.561043	251		0
24709	10sid093yr84w1vaopf8fy7zvn	$2a$07$Wp/QUKco2/OQa6dsG0UO1.jiPaW1pJ9TtD4ZArcD4XZIkXieLeUVK	97	2013-08-04 19:31:21.280368	2013-08-04 19:32:22.17086	251		0
24710	107d3fkhn4h2tys80gyh0ji11a	$2a$07$cFyY6B3TvfTj1pxA.1V7oOpWLY7f.T/jeD0np38KGX5h/3mO2rhxa	98	2013-08-04 19:31:21.302789	2013-08-04 19:32:25.03089	251		0
24711	104qzy0bbs0l4y8sxskfrofosf	$2a$07$2iJXpYMOBaqJ17BvBAdGbOuLVMfi5N.YmhkM/YhbNxga94EKEsNde	99	2013-08-04 19:31:21.325486	2013-08-04 19:32:25.168212	251		0
24712	10opsaxb9xa5ocaif3ztwt1woa	$2a$07$Bz8KWPwm.O/OO7DN7hWtZeuVEOm4Ft2TDcdQnIvVP9G3A4TPKha3S	100	2013-08-04 19:31:21.350047	2013-08-04 19:32:25.307946	251		0
24713	100tiqkia6n94l0zueh2j9jxpq	$2a$07$wlEemHMLUDZSDUzRjEsUGedu70rVc2LTUVyN0N9HL55l9/a34PPtm	101	2013-08-04 19:31:21.387862	2013-08-04 19:32:28.150151	251		0
24714	10e887hbcfamibm63lf5bzsxx0	$2a$07$Dpaj9WxynPzrWo0zsr0JKelmr9ZIQzfT6WS2B99EZNQUa684Jrb9K	102	2013-08-04 19:31:21.426042	2013-08-04 19:32:31.200388	251		0
24715	10ebeodgeepfc5om1ws0mwvcsm	$2a$07$Xy5OhwR6N0oFVznt0Cd8GeiJRpRQ6MwVad.Vw5h/wkLLJMur5PJca	103	2013-08-04 19:31:21.44926	2013-08-04 19:32:31.494564	251		0
24716	10ml3jdnpfmwapd0ljicr2o40u	$2a$07$fuirsxhyLyitbYvjq7k14esiLA/ZCwhnngX4Mb5uvqDQx0Ns.yvjS	104	2013-08-04 19:31:21.472192	2013-08-04 19:32:31.708723	251		0
24717	10xpgcork7tvam4w14upnrejul	$2a$07$e8brD6jIcycmEUeg19hmS.CpcCx/sTGT5951Uk.5U6B882O/qJSeO	105	2013-08-04 19:31:21.49538	2013-08-04 19:32:31.82766	251		0
24718	10qijxfreppijc7rf5h3w3d59q	$2a$07$2yMNOvFU87YAT/0kti1FUuiiZUso/31UGz2oXcBojuBiQRS2KhxPC	106	2013-08-04 19:31:21.518369	2013-08-04 19:32:31.966583	251		0
24719	10nppxupm2ien3z7ucjeo52ch1	$2a$07$uJ6yDz6x7e1Z2oIyZKWRwukn9KJhBwtxkQ7OCKZ./nqfFn1zNVorK	107	2013-08-04 19:31:21.539964	2013-08-04 19:32:32.173643	251		0
24720	10rjbicp1zh5fznfdh0xrbt5y9	$2a$07$CG9clIwNzs6lRx.55PzF6eJDqJujrzloO7x1RpomRdw.q0ANUxWAy	108	2013-08-04 19:31:21.561691	2013-08-04 19:32:32.381157	251		0
24721	10g6ugl5sh3kjatnrvi989q2hh	$2a$07$FB9eQnrgun5tEOly6XixM.JN6q6w/i64nU1XWTEbqI0F31X3hbOXO	109	2013-08-04 19:31:21.58335	2013-08-04 19:32:32.514123	251		0
24722	10cqoimlp66m0avnywn9pf06pf	$2a$07$qNenFKlIPt8PHONH6KumJOKSz.J0ojR2fTwcWibTLKynEYcowRDYS	110	2013-08-04 19:31:21.604813	2013-08-04 19:32:32.651552	251		0
24723	10wbdsrd54mvcmdao2zdsjgujf	$2a$07$eRqYkQ5uK1Zd1ROhOBg64Oax7keCumaO.Qie48wUQEf1jir17G.ZW	111	2013-08-04 19:31:21.627635	2013-08-04 19:32:32.778214	251		0
24724	10nfcnvnuk5iy2ac2ifi46xdth	$2a$07$alw6rLHZMUh6vSKNp3gAoOJdrQBob1QFuOmyEVdQgdc2M69ecxOeW	112	2013-08-04 19:31:21.655352	2013-08-04 19:32:32.893808	251		0
24725	10myx1ypjhfxrhd6p50n9vp80b	$2a$07$RsP/pBLFRrrq66rOT5mPdO5UGjepUbc6nJ3izgikGBUBwjzblPFFW	113	2013-08-04 19:31:21.681323	2013-08-04 19:32:33.131805	251		0
24726	100cpo81ui9obct0cmr5mm5pfv	$2a$07$Vtf9ML3owCPceddMu6XozeJ2FBx34JC961QWsyn73zlpBg36kHPLC	114	2013-08-04 19:31:21.716807	2013-08-04 19:32:33.416315	251		0
24727	10e89ymp36hqtgpa0umj8o21vu	$2a$07$jRBkT/mQfLLIqWki50O6PeDqtmie1tb0cobkEShPeX5ZUtv.keuN.	115	2013-08-04 19:31:21.756084	2013-08-04 19:32:33.570141	251		0
24728	106go1m60ohxgim31tpx0htwyt	$2a$07$Z86z/7GOFUAbYRdStIWAuurK7NQTe4i30kyyL3IZWjWfCY9H0xfXi	116	2013-08-04 19:31:21.780338	2013-08-04 19:32:33.741397	251		0
24729	10k1s9h877nuv26u3rririlfc9	$2a$07$T47FsBloWcUWCRmBZWf8cOUitTU2pJQX6MiO4gHaT4GxmSbqR4i5W	117	2013-08-04 19:31:21.810393	2013-08-04 19:32:33.874912	251		0
24730	10k6rjw4asjifo7c4j6gosix7v	$2a$07$DhBR6PboSo7SGrs9W5B0H.NRL844IQXQUAajGbOEv4LlDCHWbwpsG	118	2013-08-04 19:31:21.847281	2013-08-04 19:32:33.994535	251		0
24731	100n33pndiukek5zg4ju46x9ra	$2a$07$4R.8m6jnXS8nMPNTWpHZTORwesqBUWK3G2f5LzZK5GLzB5z2qCYTK	119	2013-08-04 19:31:21.870463	2013-08-04 19:32:34.152953	251		0
24732	10h8cc8n9mdzdb0e4s59elt2ii	$2a$07$v8cbGnhKpBqjEojP2GcxKOW7G8I/za4ceE2nrAGityra8xF/FRENO	120	2013-08-04 19:31:21.892935	2013-08-04 19:32:34.284755	251		0
24733	10oab9ue5zxlfs9wykdtex2x8c	$2a$07$oPQH..uMAhitj6AY38DEweIuwsx1sUHXYJXblTOfkItDf2jGdaTlO	121	2013-08-04 19:31:21.914481	2013-08-04 19:32:37.242138	251		0
24734	10uh6f3c0p604s1slnz4226gsc	$2a$07$krcHkQ91VZ.qYNnn1EMA4OM0XLhstS4PTOuMYIciE/mtco9mtxoEa	122	2013-08-04 19:31:21.936312	2013-08-04 19:32:40.022833	251		0
24735	10nopq9t7hfqxdad68hli03fta	$2a$07$b2KF/4vITNxEO2VnhcAgNeIt3RKjdBT.VAs50Wj4lHKy2cW03s7ie	123	2013-08-04 19:31:21.959439	2013-08-04 19:32:42.909576	251		0
24736	1059b0t8ps0nyie4213kbpq2vw	$2a$07$IVHBCnw0e4kwpjILWqpXve3UX54Hf9rRAQ02VOxKHks5xoFkX5dOO	124	2013-08-04 19:31:21.981173	2013-08-04 19:32:45.782043	251		0
24737	10mbs5mlgll24u4g8icqr9g3nv	$2a$07$u.MW8obs0n47O3/xE9r/euiJHAbLj0wEMGrc2uxYVrFhVUHDFW88y	125	2013-08-04 19:31:22.003871	2013-08-04 19:32:45.917968	251		0
24738	10y6lgrvvh71qspsjutokiw170	$2a$07$OtNljz05WvGB673sITlUG.YI7uThmfKfu02KkzuPlnyMQJE1sXAnK	126	2013-08-04 19:31:22.026936	2013-08-04 19:32:46.046027	251		0
24739	10lwygssl18zaavcnrn63yelsk	$2a$07$mTu5Jv/ib34OxamTIckW3OCHHTTw4ZlujxylGonOAKFluVRMiARcO	1	2013-08-04 19:36:19.044264	2013-08-04 19:36:22.130487	252		0
24740	10w0pmuavsacvto9wzfvp9x6ci	$2a$07$DBZFJg8UhGFKh/A34wRLUuYGv7AhZtK2lVhjPtdzqasbsMVxLCryu	2	2013-08-04 19:36:19.066774	2013-08-04 19:36:22.279892	252		0
24741	10czmh1fqhhr4ssm4qn0aqyq2i	$2a$07$aUTv1h0VfFk4LbLWw8ymPuaiQw3Wi.3sar6QtFGjY8X9YKMZ8ySEO	3	2013-08-04 19:36:19.089204	2013-08-04 19:36:22.429567	252		0
24742	105lzz57yau49l8lftvwyr2gwg	$2a$07$.1G3cYWvuJy1Qe5xQCgRee/.jg5klYfUNJJiZffc/0H3Uq1j9uT9u	4	2013-08-04 19:36:19.110912	2013-08-04 19:36:22.551322	252		0
24743	103t93ewluf61hiraga4pmwd2z	$2a$07$FyRg7DjLeF.tOA/BkF9Em.Lgz5KN81xVwT6D6F9w/jcQfJ0.pYl/m	5	2013-08-04 19:36:19.13268	2013-08-04 19:36:22.691757	252		0
24744	105vekk878tngost0fa0sn9zu9	$2a$07$Vo2f3Ez8Bj.I1Be40MwccOKGyFqdpkfSRP4Vtt2DPtRiw4liW4ffS	6	2013-08-04 19:36:19.154576	2013-08-04 19:36:22.834604	252		0
24745	10aqaf843tj962zva5t5gikvag	$2a$07$ZR/GGbUFkf1hm0N0iaUmPe8lySvxtPy/mGRJIHCRn5OcqAP3UK4PS	7	2013-08-04 19:36:19.17661	2013-08-04 19:36:23.041405	252		0
24746	102680ly76a93z4idcy59lbgth	$2a$07$VDPcL4D5PJNksrUXncVH1.YVV6XRtI.tHUZVj7fq43UfUyrOzKh7S	8	2013-08-04 19:36:19.198223	2013-08-04 19:36:23.212054	252		0
24747	106yf546brafczds6y2s3sp3rh	$2a$07$p/nxQm9ZpAqVKzHZLBsTle.ZQtMMFwsdm/n0iemjqjTVuBEh.Yck2	9	2013-08-04 19:36:19.220224	2013-08-04 19:36:23.447407	252		0
24748	10g8hk9rbromr8eae5manie368	$2a$07$9PINX2TiSFMp16CYDG0aNOKMDWWtLWsnRKWxGdskDwTNg0Ln8gv4q	10	2013-08-04 19:36:19.243462	2013-08-04 19:36:23.594555	252		0
24749	10y4tnprz2nemosdrpec2n7m66	$2a$07$t6zfZqULyH2JoIjzmpJST.coEFeEytEZV0KRNTI4EVUo/rQL1koaO	11	2013-08-04 19:36:19.266244	2013-08-04 19:36:23.711735	252		0
24750	10dhr4xo4pxg0fh2njmb2xqeu8	$2a$07$1QON8CV6MkJF42SDdGCteu4q2V6aptfWLziAkOKA3q2mFcgpp434O	12	2013-08-04 19:36:19.289709	2013-08-04 19:36:23.843856	252		0
24751	100a5hgix3zx2g62azbhsme2ln	$2a$07$K5.l3vHa38gy7JoJsxzrjOT91SUutjcv9XS/LZumXfUfd8pIBLdgi	13	2013-08-04 19:36:19.312756	2013-08-04 19:36:23.96828	252		0
24752	104gmmlnebw3ont3sgzfsqas8w	$2a$07$zf53XJBy5EwHo41Bh06yee0Uvxc57VE7x4wcQpD.FdQfHG8qywK.2	14	2013-08-04 19:36:19.335064	2013-08-04 19:36:24.110746	252		0
24753	10flxrn2bxr2hgfb5fbbobolnx	$2a$07$nW1c./DQ.0ZuTjhh3fWkWehyxvFEuyMU15Ww43O.rgCirF0ag04by	15	2013-08-04 19:36:19.356795	2013-08-04 19:36:24.260371	252		0
24754	10wwyxjf65oqpe2y69erw8f36o	$2a$07$ffJ9DYiYfZ2Lb.XV/nRDDO4ue3FcS918LRMMfkMtgE07YMBxNEOym	16	2013-08-04 19:36:19.379111	2013-08-04 19:36:24.399077	252		0
24755	10tfyy9v8ub484duksk1mvr7qh	$2a$07$wF.PmYYv8p7hAuoydUhqN.D8Jgurs3y9YBOFkvSJ2DKSfCDWyHFIi	17	2013-08-04 19:36:19.4028	2013-08-04 19:36:24.571123	252		0
24756	107dfgyi6zzxgwxsi9hv0skluo	$2a$07$vFdAs/fNil19yLAXGbQs3OwxKycdRTEpsSNwYcSyQJhbfU4WIfKFG	18	2013-08-04 19:36:19.426893	2013-08-04 19:36:24.736056	252		0
24757	10222l0ibj4fiulyd159cxy57s	$2a$07$OrUZ37W/L7oi128ltLvE1u3HEqz4CURLLRYDADq0QEuIHJHNFOMEO	19	2013-08-04 19:36:19.450031	2013-08-04 19:36:27.909734	252		0
24758	100vpd35lntdbnuvcbm6ap2dlq	$2a$07$mXpvhqfSVtgm4KZBFOygE.PvqYqCLkVJ1xbJdVRTwbVe7klZKnXdO	20	2013-08-04 19:36:19.471935	2013-08-04 19:36:30.496369	252		0
24759	103d5hiz8dntcch0ipuvjhk6qu	$2a$07$hqz65eRCTsII8jOIxf2WnuewF7Mpn3CspuojBquKv/upPGRnpQIEG	21	2013-08-04 19:36:19.493746	2013-08-04 19:36:33.197388	252		0
24760	1067gx8jidx3ps9qm7f804hmnw	$2a$07$JWr7Zpj.bGeNb3DEz157AulvyhlP6QVx9KDzt2D9ZfzPC7D1erYVG	22	2013-08-04 19:36:19.515453	2013-08-04 19:36:33.334452	252		0
24761	10tdxtpdhq01hrzz4jlksay9ft	$2a$07$ybiGw3uNKWb4fEsyGj2Nf..deE47Z4mXiIKGQbTplVjDmEyIFZWAm	23	2013-08-04 19:36:19.53695	2013-08-04 19:36:33.479311	252		0
24762	10i1qc2gdhcs88rkttiusdakpi	$2a$07$u.YZExC78L3VRxzHwj.1z.1kP4w.HR0yFQAIRr4V1923uZCPYKt9S	24	2013-08-04 19:36:19.558593	2013-08-04 19:36:33.62265	252		0
24763	10wzirbr7gic6atoh8he9zjowu	$2a$07$I5KvvDOzumqPEcf/4BY1WOXvjz7W7k4nZyGPeM/yUbW8i6FqLBtSu	25	2013-08-04 19:36:19.580535	2013-08-04 19:36:36.477474	252		0
24764	106raqvwd4bhi1g2r8evxqap37	$2a$07$CdZ3ZtLt/.NdaC6qyLsLNOQ1ual/NKmVZoWCU76xb4u24Uu3M2bUu	26	2013-08-04 19:36:19.602085	2013-08-04 19:36:39.522675	252		0
24765	101apavvi8w1wvektelrrrwcgo	$2a$07$LQOhWIVza90cfQxtjBKw8ecB/Lniah.Cn4p4sjrelpAB.R4oZaYtq	27	2013-08-04 19:36:19.623541	2013-08-04 19:36:42.644873	252		0
24766	10s3x3bj3kf0r9h4y32pciun15	$2a$07$0nmnm1L0lb1cauzJBi8VeOTLbBYqe2Br2ZG5T7auw1PVdtrpppSNG	28	2013-08-04 19:36:19.645028	2013-08-04 19:36:42.791759	252		0
24767	10zoo5ps0umhtfo7vdi0d8vkvl	$2a$07$pcR8q/jtY40c.nGvo5ikIeJhNvj5yEAnYjOPHqdflSa7fpBdLprLS	29	2013-08-04 19:36:19.666654	2013-08-04 19:36:42.956309	252		0
24768	10gx2845fir1pgchkbq1o4v0qk	$2a$07$GxMySmf6OrR.lyDi.pl1ueFt1.BY8Foc5L4K0wPt0ctOyR0fTQIa2	30	2013-08-04 19:36:19.689494	2013-08-04 19:36:43.116171	252		0
24769	10k7ffn7be68u5bg3bt1rsfzqo	$2a$07$Lm.qGaS7LUVp.uzHQ20/lOaf/QKGd6yYEUlpa1ACxvDVIvWYF3y5G	31	2013-08-04 19:36:19.712005	2013-08-04 19:36:43.26006	252		0
24770	10lhhigbr9uv9f3yvcjh7brm9b	$2a$07$duWfs5RW1ezB1GzhZOGhheVE2wf.AFW7cbKVYU5OMYsFnZ.1fO.bW	32	2013-08-04 19:36:19.733644	2013-08-04 19:36:43.387772	252		0
24771	10okyhdgp7ci0y5cye3bw3xnjh	$2a$07$ncTpIvpScKSw77zIOION0uTE68tpaeaFEHfVPyqr7Jnbhh1crL58K	33	2013-08-04 19:36:19.75524	2013-08-04 19:36:43.524206	252		0
24772	10cayuo90aag3whpqjozq62yyh	$2a$07$A7zLnhYolNGAT4eCXgqg9.lUfrUJg392xjTJv1PlSbvk1VJdrFrPS	34	2013-08-04 19:36:19.779163	2013-08-04 19:36:43.795521	252		0
24773	10jgbl4pmpvxl2hp5e6hi9vn4k	$2a$07$4G/xHltONGFB./slxIZYG.QKOBBZMpeYvBSTjV0gRFeXDmUVMGQEq	35	2013-08-04 19:36:19.800935	2013-08-04 19:36:44.030741	252		0
24774	10hfmcnrq7bghiqvijpulacsd2	$2a$07$xviGgU2YgLZNtbhQUXOFR.DFn71xhvOMRDAHsSgvmHPfy3Xi45TaS	36	2013-08-04 19:36:19.822773	2013-08-04 19:36:44.173216	252		0
24775	10nm7t2c1ly3pygx8jmchxuneq	$2a$07$E1Vm79Hpyeq86qn8isk3juRfnL4WvAKjFV9mLFowlQefFk/X82jHC	37	2013-08-04 19:36:19.844447	2013-08-04 19:36:44.308553	252		0
24776	10d0xjwbhck0r94j2e3mcubi1y	$2a$07$hEIWUxQvtSr6mwdcxLzaYOWMsnazIu/SGtTVxpWZj9y5kmM/gXUOa	38	2013-08-04 19:36:19.866576	2013-08-04 19:36:44.42925	252		0
24777	10s2kfv9wvf8if95pyq6vxwu5h	$2a$07$a3vmG/r2WqjL4BgbR2cEteNJeCE8nEtZoHNA3T7ChujD/aqqJOoMO	39	2013-08-04 19:36:19.888131	2013-08-04 19:36:44.576439	252		0
24778	10h5jx6nkjplxgddh8cp25ibjp	$2a$07$F1BZL7f0yL8/NQ2uD77X7OVDaE1B2C1Rzdi/P2TJlsiV0uRxjYgY.	40	2013-08-04 19:36:19.911489	2013-08-04 19:36:44.716414	252		0
24779	10oe01hv9bhc6imktyklzdn7x8	$2a$07$83C404dq41S5ONTZU5HmJ.pKvWX4qGjcaaloBatBH.IPx3dE9AYCe	41	2013-08-04 19:36:19.933349	2013-08-04 19:36:44.85	252		0
24780	10r39pi71o4mpygprhn9fqnewo	$2a$07$aHRp3yeLb.KAn6I.1AQn2u1kGcnk.uvu0QZElmcZ/VW2od9w4VJtW	42	2013-08-04 19:36:19.955891	2013-08-04 19:36:44.973751	252		0
24781	10elhd6ztx0ywbu9z7ke39gxgy	$2a$07$PG8RaZxVplw6X0czg0CzD.U/4ZyYwDdOCg4rdpQCWSk5tcHpuoDg2	43	2013-08-04 19:36:19.977648	2013-08-04 19:36:45.145417	252		0
24782	10qult24t28ogltyawm2cvvzlp	$2a$07$KtEjKIui.qQ/4xGw/I.oS.rzDUFKlPZJ1SOyHamNxOax64M6JaoC.	44	2013-08-04 19:36:19.999193	2013-08-04 19:36:45.290467	252		0
24783	103r0nvqffntsa4tanszf1pfxw	$2a$07$S7BxD5YRR7uMU8WKxEG/Iewtuuv5jE8aEF3UY1ULT6APZa/8LKNzu	45	2013-08-04 19:36:20.020906	2013-08-04 19:36:45.412167	252		0
24784	101md5ru57kq06ce9soso1qkzf	$2a$07$KnVFEs1xLymwdxDoetGfWOuJQyWz8TvnJkP7nsS6inuBXOmqJU/su	46	2013-08-04 19:36:20.045449	2013-08-04 19:36:45.535219	252		0
24785	10quitryrwrkicveb66g2zbapq	$2a$07$ydNDY8GA/AbY2FW50wO/f.RTCLqsisW5PB6p75ezaX345vVUsn.f2	47	2013-08-04 19:36:20.079999	2013-08-04 19:36:45.662588	252		0
24786	102taz6915mk94qtnleoywubbr	$2a$07$Q1Eb318WreoAChuGfsDHouJ6QgBxjhBiyppsSAqJC1nUmAWtG12FS	48	2013-08-04 19:36:20.115466	2013-08-04 19:36:45.797734	252		0
24787	10a1j7joqylmcw5yg8whrqqfcq	$2a$07$PFSDh2JdHXj2u.eXl/xXje8xo9n0IWlCgcLp0IiWRR5HbfH5eNnhO	49	2013-08-04 19:36:20.139012	2013-08-04 19:36:45.948566	252		0
24788	10gzqrcsaxdkl6xnjjimmak7gg	$2a$07$w1TkthSVYCcPaR6xMXNZz.R07D6HttJxnTyx/xmjRyOroG2GHEBOK	50	2013-08-04 19:36:20.160985	2013-08-04 19:36:46.103716	252		0
24789	101fkfef6g5rg0urz69vejgxsj	$2a$07$v5ZooKSBr1eJi6XhTpTcSeFHQGIbAskc4BXVOcO2JJ6Rx1UXUEBDO	51	2013-08-04 19:36:20.182505	2013-08-04 19:36:46.258565	252		0
24790	10q92xgcxqbe3pyvl6q1mfbi6c	$2a$07$jzTWiD3CkahN./q.eI.tkefg7MAo9Ux3YMJduIjacOmoTiLZX3YSS	52	2013-08-04 19:36:20.203993	2013-08-04 19:36:46.391733	252		0
24791	10mlwqeqkckpkkgv01cajm0c7x	$2a$07$U5t7iJzT2EFOuqb8vSqlluf.fpkzbMz50JcuVM2GZjZio.X.8TEOe	53	2013-08-04 19:36:20.227143	2013-08-04 19:36:46.510342	252		0
24792	10f5ozsqxn1msmks7bq0cpkr65	$2a$07$09bjKFaLq1I2dcC5GiczZegY3L1Ed9ZN4eBh02Z.HUA31rgXcXxTG	54	2013-08-04 19:36:20.250254	2013-08-04 19:36:46.65474	252		0
24793	10uz8alp4hkzb395ktvdlmeew4	$2a$07$aVC7kVACgD9ro8MvDnViheKscFseXFUe1nLDC5.iGUrL0NEOj/3wG	55	2013-08-04 19:36:20.27244	2013-08-04 19:36:46.80827	252		0
24794	10pzc0pmr8wfv1220y0qdff3j2	$2a$07$J3snG7iM7fAf9.GPsJ.GK.CmJczD1O65PhvWg0VHttzlTMXmxlyH.	56	2013-08-04 19:36:20.29447	2013-08-04 19:36:46.954102	252		0
24795	10gbpzbtr9kj0ysuj6csb7il6t	$2a$07$A8pQ790vhzD/i9RJ3GGSzuLHOfiTq1dp9QtiHXwUOcD3lDDQVQot2	57	2013-08-04 19:36:20.316239	2013-08-04 19:36:47.105467	252		0
24796	101o44qgkks4p0ud9bkfoztfq4	$2a$07$72CAQWGGOHwv.jaKDBwGXekTOV4KL4HZJ4Q5Bu1XnzqVN7SqYP9WC	58	2013-08-04 19:36:20.338057	2013-08-04 19:36:49.735968	252		0
24797	10k7zmwyvf5nobwxmecs8l4hfu	$2a$07$WyLgpNqgO7ATgd8qmI0G1u1kbwC2LUuZpmxEKvukOwiMDR382sHzm	59	2013-08-04 19:36:20.362672	2013-08-04 19:36:52.534784	252		0
24798	10wzkdkgqmgt3uyb3u5l7mh962	$2a$07$S7h9YFDOJnOKQRfNjzHGyOHYf.q4ndL5nXorIkM/IhGEKCsy5JEqu	60	2013-08-04 19:36:20.394622	2013-08-04 19:36:55.224532	252		0
24799	102e3h5u2bix5ty17dhk0ssxw7	$2a$07$AF.gqfA4ex39ODY1HJB2WeTyzCTvwi9LkHujFVIf.URfbZZ0KHkIm	61	2013-08-04 19:36:20.429106	2013-08-04 19:36:58.066414	252		0
24800	103dc69rghgh71a1l83mgumj9k	$2a$07$w.gvqdCDxvHlv88C0uGoROHPaTU4hhFnZKXF4njmMpzS5AO.B0x72	62	2013-08-04 19:36:20.460054	2013-08-04 19:37:00.988189	252		0
24801	1098w4zlnje9g64cjfiecsdawa	$2a$07$fihWdPbwF/IW14ghjtUIWekThIbLBvTewY.hekmmdKkm6ABS4cTd6	63	2013-08-04 19:36:20.484438	2013-08-04 19:37:03.89552	252		0
24802	10xbgir8eapl2brcwataz9dktk	$2a$07$lptoBHoCFktXXwiVB5YrPOUuPC/dVw29BQacX6MMEM2ZU2nLz35TS	64	2013-08-04 19:36:20.514427	2013-08-04 19:37:04.007391	252		0
24803	109546pbpasqyfhelhjl3rnpzv	$2a$07$yWC7bid/76dtMBWMi2u6kelkPkaMXI1cdtP5pY5WTV5FbJNwzyKCy	65	2013-08-04 19:36:20.550501	2013-08-04 19:37:04.136176	252		0
24804	10z9oekp9n3mle0g14i7dsxb4l	$2a$07$QKchf9/7L5PwyOtcYOhYJOLBLV4oyrew13Y87gsIQs3qW.GNyOnwi	66	2013-08-04 19:36:20.576047	2013-08-04 19:37:04.459922	252		0
24805	10tnye2wiphgxthah2faul42j5	$2a$07$J4dfoJlwdp.vkWIIJI3kw.q4kMXU0uWBgAvNAK5nHtoeqV03.5i8i	67	2013-08-04 19:36:20.599273	2013-08-04 19:37:04.646507	252		0
24806	10ixu2ijnx8s3catkoju27kmyj	$2a$07$nRs2ZW8JJygODW3QxSvjHOAgi2tUKKBekJ.apRWhP5RA1a.g7SMGG	68	2013-08-04 19:36:20.620873	2013-08-04 19:37:04.784539	252		0
24807	10h2k2eo3tleph7rxixv3zk8qu	$2a$07$NXQwhwfxd0vEHwF7nSTp3uroA/LHdHasIlYc/degPHxXcblQTlUsy	69	2013-08-04 19:36:20.64609	2013-08-04 19:37:04.943451	252		0
24808	10emo4v8ta3e1rqs3ix70qlxdv	$2a$07$QxEImMMrRBH8LxZYbuLyx.Qg1DhmfOWWX6HTRvx18m5roiIdoh0oW	70	2013-08-04 19:36:20.669219	2013-08-04 19:37:07.674511	252		0
24809	1034tz82lgzx4bi0g8f3846oth	$2a$07$p1A/Qs.c8VSSvytCJTFR5eDH6yiD11/9lhXyV5Sv/M5fqlSZpb0pa	71	2013-08-04 19:36:20.692126	2013-08-04 19:37:07.828583	252		0
24810	10lmewhmzcafocx8dazwq176yi	$2a$07$9txiTVyoivMQOQ4JGql7fe8g6uR4P21of.fkdr.d7XzYfE7VPsIHi	72	2013-08-04 19:36:20.71566	2013-08-04 19:37:10.896016	252		0
24811	10tlnj0sb9lt4cpman3zkpq3p1	$2a$07$v4bxeM0QvsMWbHJxJ.5YPO6XLNLJGCgLKUdq.gxzPwg5s0gd4shmG	73	2013-08-04 19:36:20.738401	2013-08-04 19:37:11.043489	252		0
24812	10qzhhsd6bgbbhshm2ilvozg4p	$2a$07$utbxT9IL5myDoKzFXQPEoODJloZyfJbNV/H78fNG8xCePoXD22Je6	74	2013-08-04 19:36:20.759973	2013-08-04 19:37:11.169919	252		0
24813	10ur80cge46x77qm1t52z53mai	$2a$07$gUw.CAn8q/xwT4sdO6MMoO3dtzdL3kukBzb8No0F6Ek453VhrOh3m	75	2013-08-04 19:36:20.785289	2013-08-04 19:37:11.30526	252		0
24814	108vs6gpvd8bqyx4eda2iuyn76	$2a$07$ze2DlDDscZbB.bLo3wncUuneVmlz4tEO2v.MqT/yGz/u9itOrFbVe	76	2013-08-04 19:36:20.807526	2013-08-04 19:37:11.424647	252		0
24815	10jkz92x40fgjbf7kku6807gtb	$2a$07$UB5klQTDDYlWB0rvwL11L.y8Gm8uQF2jqO8RTwCiQ38wD3tyIak7q	77	2013-08-04 19:36:20.829212	2013-08-04 19:37:11.579092	252		0
24816	106otrzsc4ld3gokaiqhjiv417	$2a$07$AJhLM9.ojS56jbyUolo5x.lE2NX66XG3lutTB8lFE3/Vy4wo99iGC	78	2013-08-04 19:36:20.851009	2013-08-04 19:37:11.880352	252		0
24817	10ootrfavuua0iw1ey2iir5nqh	$2a$07$rm5bcla0UhhgZx.ST2xVcuCip6WvDN7f30.vn/8u.Xz0X1SdfW5oC	79	2013-08-04 19:36:20.873715	2013-08-04 19:37:12.028223	252		0
24818	10l47qu4ikebnhp0ynv0aoi6nc	$2a$07$NCIps2tS3RyjCh1im1MjwegpDQmSh9OD0Ax7KDWtINkOGwmy2zYP6	80	2013-08-04 19:36:20.89698	2013-08-04 19:37:12.165354	252		0
24819	10liacd3kev0ephxhsay4pstwb	$2a$07$0HC7E1vO6gdQyFoj8drDe.lkGt/n7qyyiCDmRPotnMmRsne/v.bc.	81	2013-08-04 19:36:20.918383	2013-08-04 19:37:12.29165	252		0
24820	10ntxspuynmupvfwwgfv002fmj	$2a$07$T9i9E6d73Aicuro29yY45OXIUO3yRiYtkG3LnPuuir2emkwo5mZ.i	82	2013-08-04 19:36:20.940949	2013-08-04 19:37:12.421559	252		0
24821	102hd6c84dom5oj5p3nhv7376t	$2a$07$RwilrOBJDKgfc8SyXEluUOFJjUeSj3FZugeUH3UKpvcUZNysgnRPC	83	2013-08-04 19:36:20.970649	2013-08-04 19:37:15.356428	252		0
24822	10al08z5kxky070jemej2bmmvh	$2a$07$cBD9a7RFbXR0a1mxoiubrOcwW/lWSpuXI9kFzTUr.rTi80MJv/xjK	84	2013-08-04 19:36:21.003985	2013-08-04 19:37:18.272524	252		0
24823	10z1jl8wale9fvx9smnudkil52	$2a$07$8OnkwU3Ce8ZLHsPL5GHu8O3a65HKMX0O6i/yvSjNlNgiAFlWekcAq	85	2013-08-04 19:36:21.026745	2013-08-04 19:37:18.408507	252		0
24824	10ryro6lgeurjf1bvakxpctymx	$2a$07$trwgsGotS18nuEIBuzBrrujmMRjiRcZIFQHaiJJz3iC20K37dKQNO	86	2013-08-04 19:36:21.048576	2013-08-04 19:37:18.554979	252		0
24825	10qqiaukii0gglii7vkuajx0f1	$2a$07$o4hmOhSptqElOJmCNjfiRevRo/xDthBXnlVOV6CrkIPAVXxE1oyia	87	2013-08-04 19:36:21.070149	2013-08-04 19:37:18.683118	252		0
24826	10jpgf55qiueikjxqx3bqm3xoc	$2a$07$nQsk8n9TVnvLeBOJRXuVD.Lhd38pERWEMACpiYT..ocgLC/jnR4F2	88	2013-08-04 19:36:21.092227	2013-08-04 19:37:18.829411	252		0
24827	10qahx4c7bihs3pvx7qfy4nq84	$2a$07$ipwK6nUv0XyeVZuTCwqkB.OPOKiJIej1n0y0Tcu4w6.NGq2bAxhwW	89	2013-08-04 19:36:21.114899	2013-08-04 19:37:18.980658	252		0
24828	10htx4o3bcdm18jtuiyqwcl186	$2a$07$z9XvO9X7KdA91S01XFDaneKEdehgxw3hykLZY85CX2JLcHWOSWUwe	90	2013-08-04 19:36:21.136448	2013-08-04 19:37:19.124995	252		0
24829	10c16hef8t5qv1n98a0llik468	$2a$07$RmkIX.akumaiUXe7R3YD1.MXSWIRvUq5zSGCmfjx6Ksa9gZVGAVDa	91	2013-08-04 19:36:21.15801	2013-08-04 19:37:19.271275	252		0
24830	10btojp7wn53c8ifr880pwx399	$2a$07$juHqps5EEOQTeaqyw3bsCOdh3Zla14GCZc/FKoMul2spXsElsNlYi	92	2013-08-04 19:36:21.179599	2013-08-04 19:37:19.420143	252		0
24831	10i94dmhzmdo3kkif1ntec4ivr	$2a$07$Ba6yIU7v3uVON5OMGbul1uo2XkHnP25l52qbIMeYBbvtdqft1AA3u	93	2013-08-04 19:36:21.201199	2013-08-04 19:37:19.549133	252		0
24832	10p7sl1ennzdjdmpa943bfmlry	$2a$07$0IqBYUHhp.5d/7mLx98E3ebNYbCAHZ4l.Veart9CVM9eB5.JGou.K	94	2013-08-04 19:36:21.222628	2013-08-04 19:37:19.665863	252		0
24833	103sqnbh0ys03mjvgknmv2f90j	$2a$07$doyWM.wznr3BOQ6Ftc.a1.2rgY.UHdIWQ/oOy4NeRG0aS4FrLkAna	95	2013-08-04 19:36:21.246797	2013-08-04 19:37:19.82265	252		0
24834	10y2awppkcbryavstwdvt4i3dn	$2a$07$/Dz48XRrNTsFzBpGpXx6QuotoWizFHz1yX8ZRKYhiZ4mPfGnlB0n2	96	2013-08-04 19:36:21.273822	2013-08-04 19:37:19.981829	252		0
24835	105jyi6mngrvhd8z6nx84jj2z9	$2a$07$A2QtQ2KA2q9e3FYUkLDg/.ridCgFRTNBNDpmB/lPadbps/sUOnnoO	97	2013-08-04 19:36:21.307545	2013-08-04 19:37:22.493146	252		0
24836	10bnw6g33r5bbq9mheivudbhcx	$2a$07$tpJF9QvR6uQF5/nHwD7TW.17nRW9R1blFwbdURDaPWGBGYEdE5yeu	98	2013-08-04 19:36:21.342083	2013-08-04 19:37:25.101863	252		0
24837	105b3mh21b864tw8bkwi9qriqh	$2a$07$4PkekUc9wwraG1a9DhGTuOkEMkBn4MzfyDVyNTSdsBwqfgONVyeK6	99	2013-08-04 19:36:21.367582	2013-08-04 19:37:25.289369	252		0
24838	103hli5v0n5a9fod9ncalfiud7	$2a$07$aAK86Ju3X9WhlTkBIqF6fu/DOu7IGue9Yo75cq/9VMz64oscw9es2	100	2013-08-04 19:36:21.391143	2013-08-04 19:37:25.463806	252		0
24839	10fincvxnqiy4ct44x1il0ar37	$2a$07$UhxBEw2v0G5UlvfSlDc5UeRDY3PTR3Uqa0CfULKT/Qo/V2dRpkXFm	101	2013-08-04 19:36:21.412618	2013-08-04 19:37:28.580125	252		0
24840	108rgd0aqfxgr620j8e21ih2br	$2a$07$ioWnnN90Dx.s3Gw4.44v.ecVQ9TeT4tjspsRnYji5Xziex71LuWOW	102	2013-08-04 19:36:21.434894	2013-08-04 19:37:31.511106	252		0
24841	10vtxwd3e7qoplo2ovp0jy3iaj	$2a$07$rrHr1oWlmDDz48fOWsw12OZmivFHPIyBd/MsmPsCEiYJ2uv6gEKcS	103	2013-08-04 19:36:21.458445	2013-08-04 19:37:31.631462	252		0
24842	10x9wkv4c1s8t1b7pqf3hlg66h	$2a$07$95LiIZd8huhp0m6CpHKTn.guu06ze8cfz39.ExQcBClzPCfw1unzO	104	2013-08-04 19:36:21.481811	2013-08-04 19:37:31.778511	252		0
24843	10htd15qccf3tiznr5nc3zyq69	$2a$07$XuNLt9bkdp9V0b7iGBy8huNFf9vEqhOZX80eCbdb1hmPp/s8p7Na2	105	2013-08-04 19:36:21.504338	2013-08-04 19:37:31.921579	252		0
24844	10qq9zyritmwaabl75wy73lmlg	$2a$07$s3PhUMg9yLOD9SLnqU0rqux.nKAY7k.nObdgwzASc6KSuoGUTr2Dy	106	2013-08-04 19:36:21.525488	2013-08-04 19:37:32.057346	252		0
24845	10qe2tn1up30zmv8hi55z1xi3w	$2a$07$aOPvUAm02x1ST/LD2ggJVuzUHD1JEoDxuS4vsgNuwwQ9I9f18Prau	107	2013-08-04 19:36:21.54659	2013-08-04 19:37:32.283721	252		0
24846	103fj8a6kv6pqk561fm907asfh	$2a$07$ohrRSLSpxkqFONVoG1JPVenZAXPJBUGcVmovruHflUBTuhtwLTozq	108	2013-08-04 19:36:21.569221	2013-08-04 19:37:32.503617	252		0
24847	1069sgslkfc41smm1sma1thrtf	$2a$07$EclfK/hBBj3jfqh3NeMLtevgmvLzkoSYlqdnXjDpTEZToz0PK7e4e	109	2013-08-04 19:36:21.594921	2013-08-04 19:37:32.654966	252		0
24848	1084c0tlsi0o3f7xmrvuu9vzyr	$2a$07$3cmOutErNc5nllf4VibU2.0YCcbo9mcZYe61wr4EYu5H8oXsTxgPm	110	2013-08-04 19:36:21.618481	2013-08-04 19:37:32.797334	252		0
24849	1059i6yez97k54i5p26cnz6iwz	$2a$07$UPMkF6rGbTD2/GNK34Tde.L./7RfaqKqQn1XPULJTM1yBaQFFAcsO	111	2013-08-04 19:36:21.639505	2013-08-04 19:37:32.957591	252		0
24850	10p1h2sp7joi3dke4jl8jj77ox	$2a$07$srQUNLmo.TdUnUR//x9sBO49hfc6R9vCBSGJKSZ3UGitC3xvy957K	112	2013-08-04 19:36:21.660533	2013-08-04 19:37:33.091851	252		0
24851	10mpjm7d4pctunzirwqm7zl0xb	$2a$07$DG1CT7CJQsxiJGA9ZIBR..jxVnc25r5QrQjQ9blGYUB0tWU38d3KO	113	2013-08-04 19:36:21.681528	2013-08-04 19:37:33.341799	252		0
24852	104h5qftahlsp7x4xrw1iwqkzn	$2a$07$1ABcHSaDFXI6CE4gN0pZXudNOtGnSMmS6c5NNpv6lvj/E6wTpFmRa	114	2013-08-04 19:36:21.702835	2013-08-04 19:37:33.567152	252		0
24853	10lwojwv6li5hvf6rrz8iu8p4d	$2a$07$6b0IihfR6C4L50pCwYi34.vse41EMeVHZFRUmLsi4WEnjlvDxxT1i	115	2013-08-04 19:36:21.725396	2013-08-04 19:37:33.772527	252		0
24854	105x2q9s7qp4fgdfn23tlnyxpu	$2a$07$1rkK6vnVrtVe9xsQ44Fu7u.BVeEYzsicTsEiAl1YVtpn6zuY6yQFO	116	2013-08-04 19:36:21.748643	2013-08-04 19:37:33.928122	252		0
24855	10ffdla4rw0atlnjt0z6scg8co	$2a$07$jO140Ovm/Wmi1Onc.kx0aeMJBbFSh9r.4OOiBS3XkSUh8KAh.Z8JK	117	2013-08-04 19:36:21.77349	2013-08-04 19:37:34.081683	252		0
24856	101q2r44t73u66u0xq102ycihm	$2a$07$iK21GoVGG8AuomEsI41DbOw7tM33nJ8TG/IgI6sZLZlp5.CAf.ifa	118	2013-08-04 19:36:21.798539	2013-08-04 19:37:34.225023	252		0
24857	104ic0ofviap3tiycxrkz2as4z	$2a$07$02PZKmHKr7piQBTZ0Verw.c6RIH7.n8XBa3SnCXVi4BhmOc0clEze	119	2013-08-04 19:36:21.821524	2013-08-04 19:37:34.354807	252		0
24858	10cdovhps7rus7q4tget8enhnu	$2a$07$P.SoH8.gp6bIqso35wLkN.VIENUHeC1MhiZq2rR3d/eN/1QTv3Os.	120	2013-08-04 19:36:21.847256	2013-08-04 19:37:34.496601	252		0
24859	10s6qa9osiky3lb33zvp7c8sgp	$2a$07$NgD0ga5.I1YLehF2WDgnXuFhucKsbjwdrkL2pbs5NT5yZ4Hy3Nnnu	121	2013-08-04 19:36:21.871048	2013-08-04 19:37:37.309191	252		0
24860	10i3wbrawdtpz260fpnwqpfmj0	$2a$07$U5vgOphs4HxDEg2ZUUB.iem73LqfDO1BHNm3.bnQ6YJs7xd9osAjS	122	2013-08-04 19:36:21.892535	2013-08-04 19:37:40.127532	252		0
24861	10a81tbnb8jqi6ttsa3013ldup	$2a$07$sKGZJNFQEW0j82Gr6qbxDOj/AZKlD4U7LIxz8xwp1jWpSTfmZe47C	123	2013-08-04 19:36:21.913958	2013-08-04 19:37:42.800128	252		0
24862	10mmwoo2riqrtnopdenwrhs7iw	$2a$07$P/gB29X2/AExOLTm7MRJk.4OT.OmDrSIqtOf4StMCquXtQPw2Z.wm	124	2013-08-04 19:36:21.935792	2013-08-04 19:37:45.794459	252		0
24863	106f7j6ylg31qlsx9dskbatsj8	$2a$07$1lpraKIaHmRwJP8CEtjHL.z1ywykPRk3sbYvfM/kgFRzey/MwCj.C	125	2013-08-04 19:36:21.958654	2013-08-04 19:37:45.992186	252		0
24864	10hz26zm26lko728fehyqjd91p	$2a$07$91jxjXO45ReCISuniEWUuOf06MK22sLERARvm5kUdXBN..5utiL1W	126	2013-08-04 19:36:21.981616	2013-08-04 19:37:46.147921	252		0
24865	10gkvab7g94l2etm2xszuxwvn3	$2a$07$XCvKCLYKKxgcF.RQiEblzuT93tQFgH5ziHrQYhSFSgjvfrAuDOnwe	1	2013-08-04 19:41:19.094633	2013-08-04 19:41:22.270036	253		0
24866	103r06ya5rin4inf2w6yqwqbsz	$2a$07$SbGmsonKT46jzu8ahv8ufeEvhFeNMdnVwWdG7rmqhhJ0TYbMdEn5a	2	2013-08-04 19:41:19.119654	2013-08-04 19:41:22.403094	253		0
24867	10024ky10jhayv1wpl8ysr0bv7	$2a$07$VG3nCZiFyaWo9oDiWzyR3eMOVzJ7e1cX6ZdJKHJKlgIZsC6GEW75K	3	2013-08-04 19:41:19.159884	2013-08-04 19:41:22.548272	253		0
24868	105u64c6il1zec9ejsh71mtdu7	$2a$07$alNL3j2XL8/EB5/za8MNKuPzUMu4thOicBT.tgR82bykA4QaUe.nS	4	2013-08-04 19:41:19.193327	2013-08-04 19:41:22.695511	253		0
24869	10tdr5iskd30ahysnyb5bw30za	$2a$07$WGa8t9sbjnxI5Jbpvzl1N.cG6YVjqZx0Ec5pu99XBhaPMUCfwfrja	5	2013-08-04 19:41:19.284043	2013-08-04 19:41:22.852092	253		0
24870	102siupual2fe2e7cblvfjf4xs	$2a$07$3ZLUf6GluKE0Z4K8VZ/vkunbAUMmi8anWe07aP3UcbknL18HYOE2G	6	2013-08-04 19:41:19.310843	2013-08-04 19:41:23.019534	253		0
24871	108dhq9wchtrmkshobhhmrq323	$2a$07$1niwl/hYE2YvowFInWgtouxZqJPD9YGtS2oUjky90o39mJCCsI4Ty	7	2013-08-04 19:41:19.333216	2013-08-04 19:41:23.172027	253		0
24872	102r6rhxfefr00zfb555y3l17k	$2a$07$qdAu6VdqYlkTvH4dsx104uvuVGaZVs9zFazGf6Ca3vhcmtvJzrk/a	8	2013-08-04 19:41:19.355237	2013-08-04 19:41:23.323468	253		0
24873	103gi9smwm1hugcj02l8x82dvn	$2a$07$hqOGRklgrQ026lpNyETGzOE5Bjc.tx8GVqw3D.lkFMsUA9raNyvrO	9	2013-08-04 19:41:19.376902	2013-08-04 19:41:23.448132	253		0
24874	105nbbm6jggkxvezt0ucogb75w	$2a$07$IlZuKOcKB8..A2cn3VaHTu.qVPT6IxQBbyZruNCocMwK7jqIWYnb2	10	2013-08-04 19:41:19.399051	2013-08-04 19:41:23.602568	253		0
24875	109q7wfj3hp5avc6ut6kts8e0i	$2a$07$wSa1yp8IMEUyl.e2XXr5Wu9lftL/vdmvxWWh./Y1Hkdywx0WmydZy	11	2013-08-04 19:41:19.421445	2013-08-04 19:41:23.759867	253		0
24876	10ooasakg2wi8r1bbjio92wajg	$2a$07$tnzjOcJiaVZLruUEjD3UjO5vO4XskF8wh4Nk4svVihA9PJ23iKg5y	12	2013-08-04 19:41:19.443135	2013-08-04 19:41:23.87701	253		0
24877	10knuo7gwgqo0t64a37g5nr9gt	$2a$07$B9KOpkduq0z4abcOiGnR1ukJOSKfvd.agP9bw9p6vjXS/N3scrAxa	13	2013-08-04 19:41:19.464853	2013-08-04 19:41:24.027623	253		0
24878	104oyt60eroxru2aydiqcuz989	$2a$07$BQTdofRsKFYBgk1IyDYxOeslY7ZefD0mdUHnbo4AmpEiHir3sxv/6	14	2013-08-04 19:41:19.486566	2013-08-04 19:41:24.167669	253		0
24879	10md28drp10717f8ypzxkb6ekg	$2a$07$rFUdNrfEoZu61U1hkwVxaenzAKrKilq8vjsFVhmJ7EKd/5TezenVq	15	2013-08-04 19:41:19.508184	2013-08-04 19:41:24.284277	253		0
24880	109lrqfdm64o5dfaagjopcrhhx	$2a$07$MZvqD18OuXF4F4hktolKi.F59la0ZoscRYciSZs/4XFQFcTffj.tW	16	2013-08-04 19:41:19.529728	2013-08-04 19:41:24.493182	253		0
24881	10idd1gu713hooerz0f8v31ib0	$2a$07$zD0cDWiSLqxMacVbJro1z..ecW9PYxpX5dTqMwLuKB/FSB9K/nKCK	17	2013-08-04 19:41:19.551323	2013-08-04 19:41:24.677625	253		0
24882	1080tcug006hsj7st8kxc9k2v0	$2a$07$Eg0rsHdzbusUNbbww94nm.P4bLFUk6R2McZk7kaOktG321oZPVmCC	18	2013-08-04 19:41:19.573468	2013-08-04 19:41:24.827232	253		0
24883	10ji1i3vs2uwuyubj9eg0tp5hy	$2a$07$uZ5endKDcSbqJWhxH2rYxOdRaDZfg7E9/2W9a53K0Qdejl7GSFJs.	19	2013-08-04 19:41:19.595285	2013-08-04 19:41:25.77736	253		0
24884	10zv1eam2h2vuc6ivp8f9iqavc	$2a$07$g4LdRbg2xMhChL1vANS5heOWmwyf25S1hDdwiG08xLWP5cMnEKWyy	20	2013-08-04 19:41:19.61866	2013-08-04 19:41:27.098622	253		0
24885	10ckf5nf0rodt8grh7nmlczzgi	$2a$07$1Y4yZdXCAhld0Hs.KhCv2Od9jW7NNNx1N0FoyWLVKnKejsvQRDnti	21	2013-08-04 19:41:19.641925	2013-08-04 19:41:28.350576	253		0
24886	10v00u2tzflwr184nvijt3nqsc	$2a$07$357JVm2av5SiAcLnNF8oguPECN2WVw0ESBu30y9jfoiuOl4I8dR8O	22	2013-08-04 19:41:19.664183	2013-08-04 19:41:28.473654	253		0
24887	10u0hedeumtcd7b3hy19wgklwg	$2a$07$f5XlfAIKyKU64qY9hPnFFeMHKf1S8SsrLxYsJEUTi9j2WY7UEeuWm	23	2013-08-04 19:41:19.686327	2013-08-04 19:41:28.596911	253		0
24888	103hbpehgmp0snf56d90v7m3pu	$2a$07$0sQuK/o2uwEwyCSXYpQ9C..RH90f1xw9a2l/vZkZnIO3/xfrsteuO	24	2013-08-04 19:41:19.710461	2013-08-04 19:41:28.726911	253		0
24889	10d3ykenb54o460ozc5xj5hh5o	$2a$07$sBwIb.cuh1kp5P9NMoLsyOydOxOBzl4p1ig98804C7.tES/tv.QHi	25	2013-08-04 19:41:19.734401	2013-08-04 19:41:30.378432	253		0
24890	105r1c4gop3ujzvpirces53hnr	$2a$07$YR7hU8h8wa7nAoD6LhcgDu1rwo3N6Twr8E4wBao0ccrapfpuHCpsW	26	2013-08-04 19:41:19.757713	2013-08-04 19:41:31.882427	253		0
24891	106g080c0gbodwxy0swx33u8no	$2a$07$.ErlotLGN5STM54lXVuqwOwChr1WUg9N6bMK8S5wLCqhPnDi2iSEK	27	2013-08-04 19:41:19.781942	2013-08-04 19:41:33.299834	253		0
24892	1092cqxxhsibw29a1cc0o46ij7	$2a$07$bVvsBwRx7s6lpPqBNDSAPeyArb3MbK21CIVG7MXva8jrhfEgbXBge	28	2013-08-04 19:41:19.809554	2013-08-04 19:41:33.535287	253		0
24893	10need9tkqerxksud5fa5zkvlf	$2a$07$vwylUcaISgVavca/Nd9p2.x8.PO3m3.lj8XIQUZUgIi07xfq6jo8u	29	2013-08-04 19:41:19.832991	2013-08-04 19:41:33.727989	253		0
24894	10plx42erlrffth7rwmj9lgogg	$2a$07$6zlWpgGao/LdDAi/0LQEbeuZOKg6IjTP1Ay5ICa3iZ.4eaWXQMwVC	30	2013-08-04 19:41:19.856864	2013-08-04 19:41:33.880051	253		0
24895	10t71hkfhlsc1n9xe207wzzwi3	$2a$07$j4RD6LCjvOB.32ZEGz6e9uLnOG9I4iknLIPQh0wIrf6wppgP8uzjq	31	2013-08-04 19:41:19.879689	2013-08-04 19:41:34.015792	253		0
24896	1088ufahwcfygts5gy5u78ygvq	$2a$07$HKuX4bI5QI0iQHDGBWMOtus3XQcqI734X.f/2midEvPe/iiJ1oGhy	32	2013-08-04 19:41:19.902662	2013-08-04 19:41:34.124328	253		0
24897	10x2mn9kzhomsoakmom9tyr4q0	$2a$07$p0ZQRIQovMql2rtinYrFweDuMVzgtnqY1Iw9zzS50LZnYK/eQPv7O	33	2013-08-04 19:41:19.938377	2013-08-04 19:41:34.248024	253		0
24898	10sfrhyrp1jr8mid93gx417n3i	$2a$07$ILJWF2Y1ZnBQtPG7MOUgPObZ5zg/kPztrV1Xe60mzbbPK1zAn5Sym	34	2013-08-04 19:41:19.974479	2013-08-04 19:41:34.433265	253		0
24899	10m0h45mrqxkdypidift4i9qwt	$2a$07$aPo7C3Wt9jVC/nAGxEQPn.4pj/hMUelSOv3C52lldsvBHVxVVt1qW	35	2013-08-04 19:41:19.996151	2013-08-04 19:41:34.573735	253		0
24900	10p212cqjecw1ltsil0nb3kj8e	$2a$07$nmnte3VJHabrIiAJjPgOjOHc.06IMVt6E6UOTG0/2cxq4HT/TTf/O	36	2013-08-04 19:41:20.017912	2013-08-04 19:41:34.724194	253		0
24901	101f2misa472xha7ospfhl3mrc	$2a$07$p88MZrh7iEAPaWR4o5g0b.oqdgs8tEjaLuHA8EHV3Ikoecee82YrS	37	2013-08-04 19:41:20.039714	2013-08-04 19:41:34.833444	253		0
24902	10cec4zvcwms6ppmczi9u1t92a	$2a$07$jHLj/cq4/nKkfzmctkBFFeswgE2CtHNvWQRoctR92ezXKXoyq0g9e	38	2013-08-04 19:41:20.061927	2013-08-04 19:41:34.969554	253		0
24903	10ieiu61fogwew2d7rsth6wwc2	$2a$07$92RSujPaLvApSoT16.Y2Yux8Jm13obgkXFC4l/OShXzVEvP6LaPyu	39	2013-08-04 19:41:20.085031	2013-08-04 19:41:35.090909	253		0
24904	10dcxx5h57qu4yole0d1tydfpm	$2a$07$ibLmjvaavop0QbQbZ1JiR.jJo.oyBvfmhDx3t6gIGPLPR9agQ8KfK	40	2013-08-04 19:41:20.115336	2013-08-04 19:41:35.226966	253		0
24905	100hlq2zenif4kwuoyp3jqtfmp	$2a$07$GnQi9Ydib/o8fMx5hHxF5OOl05d5AU9wO24.qbGramGjCbI/gPdCO	41	2013-08-04 19:41:20.13741	2013-08-04 19:41:35.350146	253		0
24906	105warpbjzgg33bs687zfzps6s	$2a$07$GgGd3EqBK0hGihBw4smqWufSeDuXz7vNsBKQ3K16QVtTCsObbT1Oy	42	2013-08-04 19:41:20.160679	2013-08-04 19:41:35.489484	253		0
24907	10lfrrd74j5rxr1b4r69tl7pvx	$2a$07$CHovc0vZyV29CT6Op2ZDdOSpoLYZJLDjl2UrgprA/TTGAjGOPc3nG	43	2013-08-04 19:41:20.182598	2013-08-04 19:41:35.628414	253		0
24908	10qubthkbr0d05s0819ca5up8s	$2a$07$jXZMjyK8MyY859aYto1kDuwMVpyMOqhn8k7TeEm0KYpn69A8lwzSy	44	2013-08-04 19:41:20.205086	2013-08-04 19:41:35.776918	253		0
24909	103swez7d9tm2ncv2bw8wfi4my	$2a$07$Xjdgd4KnPbhFZMnrrLLFQOiFpfG1TBDN2t5hmrJ.JYPhbf3rweu6e	45	2013-08-04 19:41:20.228609	2013-08-04 19:41:35.908884	253		0
24910	10aashl7g7jpv25smqugtzk84e	$2a$07$1xOTRTBUPGsfY6in0Dr/rOwV7FNkQAvDABYMvBH6qZsHyqmWgaMh.	46	2013-08-04 19:41:20.250794	2013-08-04 19:41:36.053288	253		0
24911	10fodl5t16trf2qg7hwuaw9n8j	$2a$07$V0pCFiJBvewIzsxCoz4nVefFsRIMT3En9CiumF0058WUGcDADPrGu	47	2013-08-04 19:41:20.272366	2013-08-04 19:41:36.175247	253		0
24912	10fgakifg7b6qno7c86zf86abw	$2a$07$T4rjotab4WDTcQZ8s9Yz9Ohb9y10vrnOTBGKat4W1SAf5ADxcT18K	48	2013-08-04 19:41:20.29593	2013-08-04 19:41:36.299822	253		0
24913	10m7tf3fhe2spt5yiijiwulsgh	$2a$07$db2ophZNIkpPdjw3QjMLX..LOofgBra7W4rXo2QWADAmlKhNnS2ia	49	2013-08-04 19:41:20.317657	2013-08-04 19:41:36.446584	253		0
24914	10sga0nh7m0sw9mk0ai56pku9p	$2a$07$0ShsqYklp30O44lAv5.Gn.lX.lQWCBsRToDDnohrLlA1.gmzlqDzy	50	2013-08-04 19:41:20.33927	2013-08-04 19:41:36.600979	253		0
24915	10d7vvq283loa47oesbszmuqv2	$2a$07$loEgmXSe1RCgnpFJ2hc1..pFmBnu3uilz4jQwY0m2TJzBaRYFUQ1y	51	2013-08-04 19:41:20.360708	2013-08-04 19:41:36.824296	253		0
24916	10s0ngvyun8tmw745tityirftg	$2a$07$iGijAT9xOPF7iE91ikkO5usn9y.pGlHcBOpqsGG8C/u.BAC2v3UZu	52	2013-08-04 19:41:20.383662	2013-08-04 19:41:36.967909	253		0
24917	10mwrs47vqpzi93izzqzpst2i9	$2a$07$GZystrkFC4rXvLxAuYbts.qeTsRUGWaWauZ9CLoLSF1pkRzskmT8O	53	2013-08-04 19:41:20.405352	2013-08-04 19:41:37.125312	253		0
24918	10mmck1x4mxa611auh7psv5q5h	$2a$07$GXPfgBqNjtfOZQ083BuUZ.7uVSjJf5qe7XaxmwdSbFel5DU5BwWOG	54	2013-08-04 19:41:20.427709	2013-08-04 19:41:37.269756	253		0
24919	10gfbrarpvj6v4strgxipda35a	$2a$07$82wJ9Mo7rzb0DG978ozrW.vEJqeObNgYJVTAkhASDbWFFEa4wn5fK	55	2013-08-04 19:41:20.449763	2013-08-04 19:41:37.424558	253		0
24920	10sy54m88yl1s45uyjcn2tnhcs	$2a$07$s8Ml0OQ7LCQBRooZcICa7exVlW8B6/g482liWRyeQN.j4OJEZDWAG	56	2013-08-04 19:41:20.472057	2013-08-04 19:41:37.540672	253		0
24921	108wgwc8e0uulbnk87b83vra2a	$2a$07$4JZTfONTY9p48371Y5sbU.Uxom.Io7DFSI2hjzfEG5BrXh61xEFba	57	2013-08-04 19:41:20.495159	2013-08-04 19:41:37.677641	253		0
24922	108wwvxkbvco8z86l3egy1npd1	$2a$07$rsDAKMgdq52dhdysHyGj6eVfRQ99jCwZf9teMME.nuFfBNQjckdWy	58	2013-08-04 19:41:20.528865	2013-08-04 19:41:40.698756	253		0
24923	10ca6qlwa1z55m536pefw2jivd	$2a$07$6SFi1Y4njHHL/Ae0TB.2w.FxluzMMfe5nbugN2YoIEY1BIlTc3orK	59	2013-08-04 19:41:20.561237	2013-08-04 19:41:43.460682	253		0
24924	10o7fs9o1kkhkxnoouccsmuasm	$2a$07$8lCxpoD8.OUAyYNT.KoWBeuUkFzsyaCcQ6mFIKZJEJYl9.b7bOqxG	60	2013-08-04 19:41:20.588396	2013-08-04 19:41:46.050448	253		0
24925	10syg2psw03z04jr0u3ghjfvj1	$2a$07$jInV3LSOi1iHyaygDFuGk.ep5tbkxpmTp3TtXYi0TZEo33t50UFQO	61	2013-08-04 19:41:20.609956	2013-08-04 19:41:48.870095	253		0
24926	100cp3q18eq6r2la1s54o7iup3	$2a$07$5DOMGqjIFNonqgrck3Ajn.AkQ4GTDsiQbl2ERu8gpMt97RUxOwIpm	62	2013-08-04 19:41:20.634123	2013-08-04 19:41:51.883179	253		0
24927	108f7k2ppp98fv01rcvxom3jfw	$2a$07$YytxxU4hXQM8FByULEgVzeZjeDiLLL5WMtl7kAxwPuWdEb/v7AMqC	63	2013-08-04 19:41:20.658073	2013-08-04 19:41:54.662216	253		0
24928	10zasxnn44mbzz4vzevspto2bq	$2a$07$ER/Xq8AmCZAE65jJqZcOcO9T9f8AdtvASo1t.Rtf5ysFz1/q3zuzu	64	2013-08-04 19:41:20.679625	2013-08-04 19:41:54.795321	253		0
24929	10ublorscy7mwm33e9t21kppia	$2a$07$Ijm7BLcAeLU7o5b6Y/q6quDv40teddNSBpAF5.pmsVDAQKgn.B1SG	65	2013-08-04 19:41:20.701229	2013-08-04 19:41:54.924518	253		0
24930	106dfqq6ar92nuaqtm5joz7qei	$2a$07$BC1sKrgtZqoLLrQsuL/UReutWKXJI0rVOBj7pO/Ujj3kRQpNX4icK	66	2013-08-04 19:41:20.722954	2013-08-04 19:41:55.10734	253		0
24931	10wru6zfhj5qd31fjwldljz1e3	$2a$07$4GFJvgA8wsfI4kv7HSyq.uGrwSgFFrAIjjUVAeEBhLaS2IjNjv7GG	67	2013-08-04 19:41:20.746391	2013-08-04 19:41:55.242509	253		0
24932	10z1u33jd7p5g4pwicdh8fwpyx	$2a$07$bZ6Ikb8elwjBVir/iUhRGOEtW/DuTCd6arJmIHaGP3DmS7/hRWycm	68	2013-08-04 19:41:20.770646	2013-08-04 19:41:55.367584	253		0
24933	10jm99i1omdrfrxsg04nblq51p	$2a$07$IS77ENJLkPUUim4AsjRe7u37ymSJLfgHqpRnqXzbaMpMWflPa2LF.	69	2013-08-04 19:41:20.794534	2013-08-04 19:41:55.566482	253		0
24934	10yeidmpuwbydwf9z4gs34zxpx	$2a$07$z6Fu4Wju6GIogFrodPQlZezRIfc/Flf9EdAy8gwy3wMPD.0Iwjt8q	70	2013-08-04 19:41:20.818323	2013-08-04 19:41:56.730888	253		0
24935	108zcsorfwiubxxhmd2i7ciw60	$2a$07$uREs2QXHnMTI5TLC57vIDO7W.at/2P9PCYzpw7jBygJNnNPLAOZS2	71	2013-08-04 19:41:20.840027	2013-08-04 19:41:56.876681	253		0
24936	10gdslugpvrgp4yvgi6jreipak	$2a$07$z9QK/iywCt9bXG5.OZrvfuXgat29Mk3EnwjCLzJwBLAMuJYv6g9Wq	72	2013-08-04 19:41:20.861549	2013-08-04 19:41:58.292492	253		0
24937	107hbq7brspbu8db09aq5uitoo	$2a$07$tqiff/jXuSqlXCa1.1SBpuDKk1wWNexAub9Kaeyr2IevkmGjyPlXq	73	2013-08-04 19:41:20.883053	2013-08-04 19:41:58.435058	253		0
24938	10vzb5vskpcjei5k1usla9vjks	$2a$07$HHObRR6m3lOAFpbJ87Mx9u3OO2F1wNkw1gh.djvCAPOY/14ke1Q1O	74	2013-08-04 19:41:20.905182	2013-08-04 19:41:58.576319	253		0
24939	108iymwv366xutvulo41wae9bt	$2a$07$k71vQzkAqTktZ2.vJzlEuuFI..oD5dJtpwz8IdtidgLai2k7fnYue	75	2013-08-04 19:41:20.940334	2013-08-04 19:41:58.81967	253		0
24940	10wrio8uio912tpcjf2l67l915	$2a$07$YclmlBRWI5J1h94zBSumjOfSzsobt9Ygo/PG4vPBrbpdR/VuwzmfC	76	2013-08-04 19:41:20.965251	2013-08-04 19:41:58.939057	253		0
24941	10bm1uw1ck6g5ee3mb29qtfzxi	$2a$07$f7XpngOG3cfgr15uCSTY2.h3UgxTtLi19WdkHU1IhCRVbuOpr1Oh6	77	2013-08-04 19:41:21.005872	2013-08-04 19:41:59.059487	253		0
24942	1048629s59fwg9zgo84fjkh1w3	$2a$07$i5hbBzxQacunyuhuXNVP/.Z1X7TUISZwbjBB7HUZfH/sYfHf3gNai	78	2013-08-04 19:41:21.02881	2013-08-04 19:41:59.217454	253		0
24943	10ix1c80rz6z4vukdlvze80cgx	$2a$07$1f.ff1UsCT0pu5HTxJKgDuVYOTcNCp6DvHBJeIzlJ/drFtS/cgPWa	79	2013-08-04 19:41:21.050715	2013-08-04 19:41:59.356691	253		0
24944	1019c0pbj3a57dpx9rkzqlgzd7	$2a$07$RdQO18yTrz25NtPCfgqquOU1Zf3m8MAonk2c0PPB0ywsqLyPTrn7q	80	2013-08-04 19:41:21.072524	2013-08-04 19:41:59.502174	253		0
24945	1064wyv390dzg3fuwrwyi1in84	$2a$07$.Wfbohi9MAgNKLVrrL8I6ub07jtML3hrq6H1wYRf7BQW0ZCWlpY5C	81	2013-08-04 19:41:21.095325	2013-08-04 19:41:59.660866	253		0
24946	105317y0rpdxl0ufd97n4hvmpa	$2a$07$M5c/ZD8gFq7LsYO8mSnBYuwiyLe7l53vzwfWY.coSFEfWVZ9WhFcK	82	2013-08-04 19:41:21.118068	2013-08-04 19:41:59.800522	253		0
24947	10p5pr6kkvybx6szl2m0ts8stu	$2a$07$4buqDbBiGyJNyUfXik0j9OJj.Txf35Vz.EzPOex5O.ujRRDSPqosC	83	2013-08-04 19:41:21.139579	2013-08-04 19:42:02.529002	253		0
24948	108y9ho6rrsu75tec9byu51z3l	$2a$07$aF1fWoXk/83j.vGzj.lZgerH6V6VgYMMReS9YDIGodHcl11WQfI3.	84	2013-08-04 19:41:21.169838	2013-08-04 19:42:05.35858	253		0
24949	105knpoeg56n8zebqs9hbdzjtn	$2a$07$ucSpBEBcKogp0O0Jh7Ny9O599Uhtnf1c4358UDZP5nU0G/GXuxxla	85	2013-08-04 19:41:21.191359	2013-08-04 19:42:05.486313	253		0
24950	10u6s7ti4rrp60f6vw4ntvj0yu	$2a$07$OLWwD0PTjloXnsf9UkF4L.NHAKhjch/l1y3FxCuJFDw8XTTThslVC	86	2013-08-04 19:41:21.213002	2013-08-04 19:42:05.616309	253		0
24951	10tfq43fjal4a8c5zhzcsob0xw	$2a$07$0tEI5IXR25NBgUXNjQjSDeG/bXTyqO4I3cZzcNxP7gzgW2Dj6yWVa	87	2013-08-04 19:41:21.234567	2013-08-04 19:42:05.751637	253		0
24952	109kdqbr99d5cczr46xef18cjt	$2a$07$nHu/ONLPTW11UBHKNkgGIeET7dOeHoQq2a1ltQaZUoG5qUSHlVRIS	88	2013-08-04 19:41:21.255991	2013-08-04 19:42:05.878654	253		0
24953	10rahc6mypd1h0i32lwhnnopyf	$2a$07$COln8xtzkUmIymq6ktmE2eC19iIWJlsY7QXlQFBLZSMcafiFxfQQq	89	2013-08-04 19:41:21.277496	2013-08-04 19:42:06.028886	253		0
24954	10jfed8aji9eroxqr1pkzd4nya	$2a$07$1sLxYfnJNR6jepgXgj7hOOPOfbcYvFVTVXpc3edtPsY8Mmcpvy/Ey	90	2013-08-04 19:41:21.300936	2013-08-04 19:42:06.242554	253		0
24955	10dk5bn63q2cyug9z8le6zq89c	$2a$07$KIN2Aa5yjHJ8OLzbgWtb9OzI7bHCEoudkQK6fWwl3Rk2DzRz67NRq	91	2013-08-04 19:41:21.321987	2013-08-04 19:42:06.36299	253		0
24956	10a4pp5qydjy3sw8udlnr82ke6	$2a$07$oAMvkwQgz7CgM7iokJAYXeSJmfq1kOTEMAcxqihI/c51iRt48H6jq	92	2013-08-04 19:41:21.343385	2013-08-04 19:42:06.498505	253		0
24957	101skkz8n9abuln72aih9gpcio	$2a$07$ZH2uMxSqnt364Y29fU/kQOuRFQxEWXfKVARNfual.wBnqe3yNDXxq	93	2013-08-04 19:41:21.365032	2013-08-04 19:42:06.618608	253		0
24958	10tz51yjcknz46i1xuqbhhadbh	$2a$07$sIdMrN5jmDiFoZknk0z2iOybF5qb.4KC/sGR0YZDaaYATTkb7mFNS	94	2013-08-04 19:41:21.386427	2013-08-04 19:42:06.74359	253		0
24959	10kagowfm8vrqczj9qzcf63l7h	$2a$07$4qgVO/9jjek4RE.DP3S9geZOc9Q.pSF.kh1qNAEvxgvPQBJjUCl2i	95	2013-08-04 19:41:21.407835	2013-08-04 19:42:06.888738	253		0
24960	10s97rvk73gq7pe7mord0tif94	$2a$07$VZdnX11EVV2h/W9ZaaBztezK.0mpUU25r1qwG0noeVjjI94xphjlq	96	2013-08-04 19:41:21.429348	2013-08-04 19:42:07.017508	253		0
24961	10uo13kxf0fohus6l9k4ydgywh	$2a$07$UIVVdijm.yRXm4cUHhLXiejXdV77aKxjo2Wa2hRClUMqYkJu7Foiy	97	2013-08-04 19:41:21.450802	2013-08-04 19:42:08.030316	253		0
24962	106i5lzlalfm7zuuk76yon7obt	$2a$07$P/Au02RSRKDRFZRRP2T9JO4illjxHUJjLQpIPJ1dHagC/zeRG8hnu	98	2013-08-04 19:41:21.472368	2013-08-04 19:42:08.973164	253		0
24963	10lo5lzug65fhs549yzxjc7cld	$2a$07$p1ZwqitEySz95utUfhuZ4OX5LM4F8eJPYW0ST4nN9JqlJE9pXByLm	99	2013-08-04 19:41:21.493806	2013-08-04 19:42:09.10255	253		0
24964	10q46crl4jcl0w585c477ho234	$2a$07$VJxmlff0OZSetncf0hk7nOPJrjY5CmUiq5xhToUIpakmKrOphRU4a	100	2013-08-04 19:41:21.515229	2013-08-04 19:42:09.276577	253		0
24965	10sl2n55whzlfz1qylz0vybfag	$2a$07$z244CCGhzbwREJtgigYD4O6Ih9yOgnEyTStDC8rtdD4MYlEkxiWtu	101	2013-08-04 19:41:21.537302	2013-08-04 19:42:10.588388	253		0
24966	102tniblv4u7w9auyqg3ts0mzq	$2a$07$hBy87G1AR4svVqaGXsD1ZulrfNqABBV2axPqMDirAfjgR6fktuEnC	102	2013-08-04 19:41:21.559942	2013-08-04 19:42:12.069701	253		0
24967	10nto1r09ptz0n5cyf5404x3m6	$2a$07$ihKMygIzmqVyhIW4trik9uUMLyuHfe5wuYQne.k5u/UOkfC/bnC62	103	2013-08-04 19:41:21.58159	2013-08-04 19:42:12.208567	253		0
24968	10639lt4e48nutk4lv1f3jz8ee	$2a$07$V.bFMgyCZ0xdgplQWM/gyOX6NRDPZ.U4g.cnoqAKrYo2GUEdsvz0i	104	2013-08-04 19:41:21.603193	2013-08-04 19:42:12.3191	253		0
24969	10x6pwha33w79cpy5sf3tk8r36	$2a$07$tmyqd.qpdC3m/ZCdlH82KOaeeuc5UxvDRiXd3/5C4V.j9k2G5af06	105	2013-08-04 19:41:21.625071	2013-08-04 19:42:12.439786	253		0
24970	10gggjx0sft0lnzkryv29s4j1m	$2a$07$e.qGAMJq1oPpmaput.MBlOm493NFi9WJoFfL/ZMHg3OsPK8205SlS	106	2013-08-04 19:41:21.648166	2013-08-04 19:42:12.569254	253		0
24971	10ipaeakb7acek8l2sdm8ofnc5	$2a$07$UZm0fChoYOhymUDpsuZv4ObiFzQ3GAGu7q1aBch8ObScwbjny2OZG	107	2013-08-04 19:41:21.673709	2013-08-04 19:42:12.808768	253		0
24972	10air7sbed27bk8memt69c6mvp	$2a$07$H.f1pk5RcUWiCabec7NV/OhoWKcrMlZ6oxpuVxq9CJHS8HijPt7vW	108	2013-08-04 19:41:21.698438	2013-08-04 19:42:13.037785	253		0
24973	105td2ltih5ozq3ca5kurdlhqi	$2a$07$8hwNi1MqlbgwvMR8uCAFaefDs9EHZ1dEXbXQo5sCnGxGtTd9OrFQ2	109	2013-08-04 19:41:21.722516	2013-08-04 19:42:13.168408	253		0
24974	1010po6s2pqmkbgjaixy0zmb1k	$2a$07$ZDNMjGvtUqoUCW.uc8lWEuDhmfW99u0AR1fmv6v0SbqP3ikL7lSMu	110	2013-08-04 19:41:21.748565	2013-08-04 19:42:13.28337	253		0
24975	10nen5fojjr2ndco0anii51mtf	$2a$07$xDrNHPbWEpHN2GRvH8AdRe5ovzELCfo3RxR0oxEXzrUDLaYlK7kBy	111	2013-08-04 19:41:21.785311	2013-08-04 19:42:13.449025	253		0
24976	10bsnvhd42r9sfiub7zaw8qp55	$2a$07$We6glC62.ZKIJb4sHH7bEenVSdY2iUtXgM3OtXSAzE.8YwcYeR2OW	112	2013-08-04 19:41:21.808867	2013-08-04 19:42:13.60674	253		0
24977	107b3sn6i3li73bjmuzq09lilp	$2a$07$SIJ.crapA68LDkKRKiTtbedK5R.RI.ynBQXKAoKvHS1n73i4Q4hZC	113	2013-08-04 19:41:21.830881	2013-08-04 19:42:13.736825	253		0
24978	10m1lg8amwwpqmos982spliopg	$2a$07$.uD4PraaUCZQZ92TAqAJZuTQhkLS0u6S73smTK1PkaoEbnoebiduu	114	2013-08-04 19:41:21.852359	2013-08-04 19:42:13.874418	253		0
24979	1003lc7a7l6l5prnu9536esfy0	$2a$07$uYWNVQ3vWik9.XidasSeFOCVU8dpxfb1bqHlAjEYkD3nClCycVyFS	115	2013-08-04 19:41:21.875255	2013-08-04 19:42:14.003907	253		0
24980	10gu0yult6sglzjinfjnfwzbzz	$2a$07$v3VgKJlSL3eFVOR3fPLf/eVjIeBL9AX1LtvSpiWDM019wOdZDbtyi	116	2013-08-04 19:41:21.898602	2013-08-04 19:42:14.13406	253		0
24981	10lwhznax6rmxrwa28cw56tead	$2a$07$FDj2tVMXyg4xdCCFrmL68OlsJIJb/YpJnrlt.1fN1Q7S1jK1HsFse	117	2013-08-04 19:41:21.920306	2013-08-04 19:42:14.319903	253		0
24982	10yipqzqp2c0qfvt8y076bjcpy	$2a$07$45u/Fb6MVhLwhd.JhoqcmOIWltjpMWEyUOgivt/SzZ48qIBB1699K	118	2013-08-04 19:41:21.941728	2013-08-04 19:42:14.50038	253		0
24983	10d48thqtskyfjedo4wwlk6zoo	$2a$07$x8BASbDsxcqfXKk3iattNOTrjo9o.3rrCzooqXWzqhRSVZ./CqKOS	119	2013-08-04 19:41:21.963102	2013-08-04 19:42:14.650064	253		0
24984	100th1d0ami3nk2murktdpm2u4	$2a$07$f1YL572byma9TS2x9ARbOeWxE2VrUWN9uwk0Cfmip46UD3iVljyMS	120	2013-08-04 19:41:21.984461	2013-08-04 19:42:14.794427	253		0
24985	100tg7v9m7p3qgxwqnk8oymqm0	$2a$07$gef4yWPrCdcelHmTEriYyu/27dz3o4EDU.d5FC7nJDekc/TJ4yZma	121	2013-08-04 19:41:22.005903	2013-08-04 19:42:16.539389	253		0
24986	10ctlc1ux5z3d80ebunj464ssu	$2a$07$vaHf1K7SYral0ZLGLSPzI.aI.voRVhxXbUGfbR8l7y./JuTDPJFy2	122	2013-08-04 19:41:22.028472	2013-08-04 19:42:19.371754	253		0
24987	10n0hhldi4hb3t2eycyfsvpjxt	$2a$07$dAO4tknl1EG7AbMcXGh3e.sN52taLLKTeyAHYX9s1fsExgbVlam.y	123	2013-08-04 19:41:22.050176	2013-08-04 19:42:22.279274	253		0
24988	10osz13mhlw4xoc99dstrqwchl	$2a$07$xMKxu5A6QbVO27r6Xe7S6e9/4MyPZXLbVyf151OJGNYSQLEsV6rN2	124	2013-08-04 19:41:22.0735	2013-08-04 19:42:25.282839	253		0
24989	100kjepvifvyqc8e1r2p7b8fxo	$2a$07$johJaKOfc/lxrd/gFo7F2.OEDH1ornBlXArW.//PUCuxsNIWeWOGK	125	2013-08-04 19:41:22.095339	2013-08-04 19:42:25.429197	253		0
24990	105k8nmv5a89s79mn5t8a0vt8q	$2a$07$WDpbFv4h7iZXgO2.HolVZ.7HneuBaDOaghnTdrpdzKbRtz9dG/Gyq	126	2013-08-04 19:41:22.116857	2013-08-04 19:42:25.584196	253		0
24991	10fjl9uglqtadafid6ujmsl2ps	$2a$07$Sb4jJK5mvCIcbgW3fyCjUuBwRDyQKcqBotn7LZvRmZ5pqJnWWeD4W	1	2013-08-04 19:46:19.080591	2013-08-04 19:46:22.213167	254		0
24992	10kqqmfagd5uekuxwapm08ai8f	$2a$07$e0v3AIeqBGfwCVxg.5AYhOHi1JnzeQpUYWL0FUegZG5QZ.x3P02T2	2	2013-08-04 19:46:19.104565	2013-08-04 19:46:22.363929	254		0
24993	10vm0nby7tfgmxgjpt5q9bt9ml	$2a$07$7fZStJqrxI1..HFkZy68ROBESKaGdKJYi2WrTwqMUVMPxun6za4OC	3	2013-08-04 19:46:19.128264	2013-08-04 19:46:22.502863	254		0
24994	107e891aru5750nngfwazk3owu	$2a$07$aBgAtX6CMj/vOiPR4lTPNO5K.2Lqk./R5Uctp5YhAXqbUU7vM6ouu	4	2013-08-04 19:46:19.151561	2013-08-04 19:46:22.628694	254		0
24995	10ox2cn7x6rk65nek9udoe4txm	$2a$07$qwRLZHmblQe8XCpWO4Naou6NaaY/fomE1VIeJRt0Io1CgSBJcpBEK	5	2013-08-04 19:46:19.173334	2013-08-04 19:46:22.760316	254		0
24996	10f74s6buvjkdjjzdygiwqetmw	$2a$07$UB0RdkTr9TpN/g6w7NfgseWomUWVH6YgOOFwk39pmbmix62/B8/Mi	6	2013-08-04 19:46:19.196042	2013-08-04 19:46:22.865826	254		0
24997	10t27yz3051dtsep4al860xyuy	$2a$07$vPXgrCHcdlWylQLOXTf/0epyxvEQbRE5J4rEe7kjUTcm8tjmM3Yy6	7	2013-08-04 19:46:19.218439	2013-08-04 19:46:23.060642	254		0
24998	10g3hm06v4dwwzveyjckrn8ccb	$2a$07$muJzWWmnU.XSsFqRGEb8B.vhnBsD23.haU56x.LIDmtbDmw5rjbQa	8	2013-08-04 19:46:19.240028	2013-08-04 19:46:23.279737	254		0
24999	10y0h7wjp9v8eonb9rq4t66eee	$2a$07$Tdz9AXlHoK8sUu4IAmTeYOmhjGnWGffimT/Kx0AMVnRDAv8cAtvVy	9	2013-08-04 19:46:19.261298	2013-08-04 19:46:23.424244	254		0
25000	10sk4r895nywt7ynt8mjzkzmqc	$2a$07$NQWKpHP/twgUowg.SG4uheB582BOURzRr2dBYEYYH1AkJHJyHrzBO	10	2013-08-04 19:46:19.284552	2013-08-04 19:46:23.567053	254		0
25001	10w87rbrfwwtrc8zu4dv2ivtwk	$2a$07$LV3AoedG9XjPPlSWja8.N.PCPi8fxphqSr8jvaRMhQrBdN1KDrl9W	11	2013-08-04 19:46:19.307218	2013-08-04 19:46:23.71367	254		0
25002	10avdp5hcc3chvwblop4hf0hrn	$2a$07$UeqDsAFpUlXX.AIaxg3W1.rKZRUYH1GW9Y2D5epy6juNaHRQO9i7K	12	2013-08-04 19:46:19.328868	2013-08-04 19:46:23.86356	254		0
25003	10pr9c9eefnzznxb4sgvt35onj	$2a$07$axrLpRhvaC9uucYZX1P0kuAeL6tyYHdqsoWo23AYgZrpzF6cRAWMO	13	2013-08-04 19:46:19.350533	2013-08-04 19:46:23.973865	254		0
25004	10dj3oqtemcmkr5u4jlsss3nov	$2a$07$u7QejMphszZbMSTiolKILe97d7FjKMIeraHaObBAMYHKYP4tCiUXW	14	2013-08-04 19:46:19.372565	2013-08-04 19:46:24.104789	254		0
25005	10a3504rxckyje2bgk9wjvp0c0	$2a$07$JPIsjzDGQujNRTIKHtNjP.QKqiNjYXUV7v7cPoV5vOrWLDcElnvOa	15	2013-08-04 19:46:19.394356	2013-08-04 19:46:24.233437	254		0
25006	108aj0o2duazz5x04n8ze9jms7	$2a$07$6oNQ/TMoumTlQT56ysb98O/q1uRxDecMxH.NHZirhOG43WEu5X.Hm	16	2013-08-04 19:46:19.416175	2013-08-04 19:46:24.388155	254		0
25007	103mczssbuvwdhq38xntmyscrg	$2a$07$CjvhyGPMbTGNwchDw0RH0eG2S/gLiSq508rox.apWzhYMaH0ayMZO	17	2013-08-04 19:46:19.438877	2013-08-04 19:46:24.538949	254		0
25008	10fh2he0hgt23hbkbt7u6nvpi7	$2a$07$5svsOGMC0vnGCUYAvabC3e.VLK1KGGqMHFHE8jsHDqick5.eBAk8G	18	2013-08-04 19:46:19.461594	2013-08-04 19:46:24.769904	254		0
25009	109y171rngr9iyy2exvj2o51jo	$2a$07$qX6.Xejrd9m9pnkXbzDn6Ojae7lSXL/BtxXbDgP0xKF8TWRLOLf4.	19	2013-08-04 19:46:19.48324	2013-08-04 19:46:25.776294	254		0
25010	10n9zuqk4kg9zejz4445g4k3bw	$2a$07$Lb7Q/St5u9NGhOIewArtRuWXiZxjawpbhXQIz2CjajPNLpT.nn6ja	20	2013-08-04 19:46:19.505117	2013-08-04 19:46:26.948829	254		0
25011	10zy5bcypz5mqm2yj59o4efufm	$2a$07$lilyNN6D0KWtu2MzgfUxqOVxAqCtd282EuAhbyBTgS7imNQLh2T4.	21	2013-08-04 19:46:19.526921	2013-08-04 19:46:28.084501	254		0
25012	10z38djspq5phc0dpa8qx6o7bu	$2a$07$6G1sA1nqb9ua41qwqnjjiu76RcRgmIfBhmHSrElw.EoKRAivCRqxK	22	2013-08-04 19:46:19.549014	2013-08-04 19:46:28.231399	254		0
25013	10vpnw575p7j0yj4yyip0h0vlr	$2a$07$Ux9iInKHFXmEoSzqyBnNiui5.Rat8km3I3R7lnhyOA6JaOKacSaqO	23	2013-08-04 19:46:19.571418	2013-08-04 19:46:28.396141	254		0
25014	10gbopsoq5t8930tzad8e2bd4o	$2a$07$aNut8aiXUL7OFodJI/Agj.qukZSszEiQMxD4YUzU93mrD4hacURXi	24	2013-08-04 19:46:19.595673	2013-08-04 19:46:28.54063	254		0
25015	10917t2tvu3qnkcoqbk1zzkd0j	$2a$07$tsBNLNXs4IoBA41h4xvnIeiijGGsDbiUL8kc0tgg6idBIUERPhLP6	25	2013-08-04 19:46:19.617808	2013-08-04 19:46:29.619162	254		0
25016	10hk2rpekp35nflc21oaxkluq7	$2a$07$Du3kevQOjsTs7sJ648DcJedPN1PgT2K5cPJ8C.t1zKofhGOY..omK	26	2013-08-04 19:46:19.641268	2013-08-04 19:46:30.620335	254		0
25017	10p18onwct0p3thxe2nb1m940d	$2a$07$k23qHS1ZYKBSy/7MmW5BouiyRLifTzkQ52k14gRqFpMF2VzCNZleu	27	2013-08-04 19:46:19.664589	2013-08-04 19:46:31.789944	254		0
25018	107talbsb733nqu2o51duzfcvr	$2a$07$zU/2n3eU/S0akGSfetIo9ezoSZvwaaYmCX36559css4Aa5kpBIDI.	28	2013-08-04 19:46:19.688307	2013-08-04 19:46:31.926564	254		0
25019	106elharxzdi4pqm14ko9rv70p	$2a$07$t3XqqnxsWyn/gx6IfjTO8.Zh10jmHznLmOmDHFP4SfcGj9aQuGAYC	29	2013-08-04 19:46:19.710265	2013-08-04 19:46:32.058027	254		0
25020	10l0f710daql88vvnmu1tchtvh	$2a$07$FIWPmhw0AtVkoF9bovBQZOxHtislGVJYOtzKi7HUC6VCxcrBW/XNS	30	2013-08-04 19:46:19.73266	2013-08-04 19:46:32.182884	254		0
25021	10gba93yvgqcyyo94dktmz6u7f	$2a$07$eHgRm5rV41Ad6ghpC0Z1nOi4XcEClp9vjd9QnKzrJfF/0kYEgTiW2	31	2013-08-04 19:46:19.756129	2013-08-04 19:46:32.299953	254		0
25022	109yjxyefz4d2v97jusampep5r	$2a$07$lF5EDJT5bYDg0BuqZXiNR.KfKEbdx6GVvSFVaE8VmSyAs3ItdmDva	32	2013-08-04 19:46:19.779795	2013-08-04 19:46:32.452158	254		0
25023	10crm90wbqyp2jf5hqdj0retxo	$2a$07$vrPivUygbcWQRVwyJrUXO.dRca0xqKXvyJ91QSqYn3Q3/0nyCV2q2	33	2013-08-04 19:46:19.804923	2013-08-04 19:46:32.599601	254		0
25024	10eh6ja55pd0wb6igz80so28fo	$2a$07$bFE6HyTxdp3Er3TbRQKFYublcu0yRItgaWQ0XIZzaysr3qeovb8UW	34	2013-08-04 19:46:19.829281	2013-08-04 19:46:32.810755	254		0
25025	10uj6lhlubxz9y1sgyphgviwo9	$2a$07$kJEgScgHxK81qW5S9e1a0.CXVyzvexTntXZrROHJq9Omv1cM61pDW	35	2013-08-04 19:46:19.863999	2013-08-04 19:46:32.99004	254		0
25026	10itxg2rhbgwrrhlnnl8wcey2p	$2a$07$KYvRhmbtGj6CDDVLu1WfgOH32nuBXL/cx1YiPaC.xISYsXHh95wjW	36	2013-08-04 19:46:19.894549	2013-08-04 19:46:33.120687	254		0
25027	101p3pd23wlyedeqhscl9mzq9b	$2a$07$bzi6s9nh4qGCybv9ccnayeirLB4wJhIqoUtDEqmujav/B3V/fB41C	37	2013-08-04 19:46:19.926747	2013-08-04 19:46:33.269121	254		0
25028	10jkd1dgyvl5cw50nq1y1lr2zu	$2a$07$Jqu1X2VLL5aBPtAKDHWp5OkWSQPX2wVHg6wxRZ/HiuNakAFHVjZDO	38	2013-08-04 19:46:19.952469	2013-08-04 19:46:33.400309	254		0
25029	107ya4so65e1no3iflxx8t505i	$2a$07$HnWdjBVga6AavwDo/LIkDemqLc9.n29JQxidd0aQYMlcE.86ZB7He	39	2013-08-04 19:46:19.97796	2013-08-04 19:46:33.530772	254		0
25030	10k2tj4swzqnf1bdsdhpetaebv	$2a$07$b4Y4kK.F7oXw7WrYG2dIzudxUAnRE42QXtpI5Ks2r.QQalHVzJHwy	40	2013-08-04 19:46:20.012456	2013-08-04 19:46:33.669074	254		0
25031	10bcmze4695spqbp628nucoape	$2a$07$.dZbqRo.6/xb2lW2IufB4OL1j5AcKEQfxYGF9IO2sHg6yNTEm9hmW	41	2013-08-04 19:46:20.045186	2013-08-04 19:46:33.798309	254		0
25032	100llfrpse8cn4fkqothk9j6j3	$2a$07$VFwjIUXgfBKIydp/TDHkBOTLLfA7ulIsnhyyZusDSezZZsy9k5z66	42	2013-08-04 19:46:20.073897	2013-08-04 19:46:33.952619	254		0
25033	10704ij5u790o51vaayayr2vgb	$2a$07$vmLi/1liH0.KCGaz6erfwu5NmA2cGuMefjww4CTTdre0q6SD7F6qS	43	2013-08-04 19:46:20.097213	2013-08-04 19:46:34.122274	254		0
25034	10ugwuunsqntzu4h1a7evaok2c	$2a$07$kEr/EXtpd/nhkkstnWH4iuj7h214mqqReIE0YAhKavP/EHxL2dxdy	44	2013-08-04 19:46:20.11919	2013-08-04 19:46:34.293329	254		0
25035	10njgsxf8r2ej7pxhj42h7jn6f	$2a$07$r33lu8xQI0RixED5uSgJFOrEd77wOXXlQJaJFISgc7uEyG04F9Qoy	45	2013-08-04 19:46:20.14109	2013-08-04 19:46:34.431099	254		0
25036	10uj5oxj6skx3loeddvisc397i	$2a$07$kmsMt/QSUsWCa7xicxQUde819YxfjnM1lCAqXkkBOv4Jp61bujE6G	46	2013-08-04 19:46:20.162802	2013-08-04 19:46:34.567989	254		0
25037	107zavgltdodtx6zjdn3e22lrt	$2a$07$mB0d8qdI8aaeNaYEEImqKe8AwLW38qSc0P6hoY2m3intcKuAiZWvm	47	2013-08-04 19:46:20.18464	2013-08-04 19:46:34.673418	254		0
25038	10g73b0ntvmuvh8rb4cgo7xa6d	$2a$07$nmSAKXAFcl2N8IrWHzswZOsGQMTN/Qc6maA/VS1zXuFdBdrS6pFHe	48	2013-08-04 19:46:20.206101	2013-08-04 19:46:34.811881	254		0
25039	10u2jux6v32djphasxj12gy1y4	$2a$07$1ihKt9ewPXymE.wZSN3emOeYhAnyZURAoRU.xWfqKgt8UwhcNzL4e	49	2013-08-04 19:46:20.227582	2013-08-04 19:46:34.963607	254		0
25040	10px9b8lr8zui3b7ae4wjo0mea	$2a$07$5UzpCoRq7fg.qD0hKSWnROzhgNZF5EEd91.pM3/l7jLIF5Woaf4EC	50	2013-08-04 19:46:20.249064	2013-08-04 19:46:35.12691	254		0
25041	10d1ddbor7z1ip6tzfm4ikirvo	$2a$07$qmQRVPGln1WGzQcSNJGwo.B18htgNULDLmxAKJqA5443z.ruhjj1a	51	2013-08-04 19:46:20.27056	2013-08-04 19:46:35.259569	254		0
25042	10l4jtut67w8lqpylija2it1ni	$2a$07$J9nHmdyCmxF2cxO50rT1GOhiEZW8EktO14PWoV8VVCoKWrdWQj34y	52	2013-08-04 19:46:20.292088	2013-08-04 19:46:35.36866	254		0
25043	106m8p6j33so5ej4rfa2a9lwtn	$2a$07$Mib/OStVssn0i/9T2DgxK.zOgGvyi.LCKiXlQ6t58cO9U3TqeiMlW	53	2013-08-04 19:46:20.313581	2013-08-04 19:46:35.503857	254		0
25044	105t0620tkuvqb5ui0m5277pzz	$2a$07$t93L97B9C4R7GviodqiBg.qbahJp/30EoB1AVznyy2pNc9HvhO1dq	54	2013-08-04 19:46:20.335555	2013-08-04 19:46:35.647471	254		0
25045	10y2fmoeycvnpipxalef9z5u1z	$2a$07$k5q0r0FUIjYORsifq1814.NVh92DGzdIku1qnNtCZFil7eLwq3n9S	55	2013-08-04 19:46:20.357669	2013-08-04 19:46:35.788243	254		0
25046	10sd2o9ta97lguhtehdlga7oal	$2a$07$ud7a5SIUfU8SuExP/5TTC.7qbyu.R7VG1oDmCVJxGy48taMd5G3ju	56	2013-08-04 19:46:20.379479	2013-08-04 19:46:35.920584	254		0
25047	10mpfz1a4sly2rxac7yerbul31	$2a$07$3xJm/Lu3yEizKxMVzJjchO5caOXvmkMxhDvT1mMzgUzQYcNqAQySG	57	2013-08-04 19:46:20.401174	2013-08-04 19:46:36.034568	254		0
25048	10itipnr8j6p0u6bjhlspog4wz	$2a$07$hvrKmnyVGjhueZF/EujsueXSo5vKQfemXKH.0sbqCBxw36kQtIv0S	58	2013-08-04 19:46:20.424254	2013-08-04 19:46:38.500642	254		0
25049	1088ihqz6raz4yo8a61gl0g0sx	$2a$07$ke9fa9cwn9rueAYdCUFNlOdcCTL.9BH9CVQobL67t5EhD7.LnFvdS	59	2013-08-04 19:46:20.445946	2013-08-04 19:46:41.110571	254		0
25050	10smhxsbk4m8fdtc0i69xus8m4	$2a$07$3nCcMaoWbdH7UCJsrXDhnucXLYGUbnCGylz75XkPQea7VSUJaHm5q	60	2013-08-04 19:46:20.467422	2013-08-04 19:46:43.88947	254		0
25051	10i73cc97yerfc6ir743r05eki	$2a$07$mjyvWH4L8v1bTxfvc8UYUuCV8pDrC7aAfkr6miS7Q8JX.S4K15Wgy	61	2013-08-04 19:46:20.490365	2013-08-04 19:46:46.470077	254		0
25052	10dvqfnmkp3ps0nfgaeehc6aku	$2a$07$aQqXeb6YfydvleZ0qAlEx.fe29EatE5hEDrudeyqml.BZduMsKtjO	62	2013-08-04 19:46:20.513185	2013-08-04 19:46:49.547194	254		0
25053	1001tiunr526ih2r58q5ce8ys0	$2a$07$50loK8LdxFB7F2u/sklB0.MUBCaDDJdATz2wXrmNYER4U1pAKeS0e	63	2013-08-04 19:46:20.535058	2013-08-04 19:46:52.546235	254		0
25054	109h0c0kld4sgbx3qsthul5xn2	$2a$07$ICc6L2yn/qFBs/emOgitleQ9xAu.iUTQdV1B.eqPcO30RiGl7puY2	64	2013-08-04 19:46:20.556653	2013-08-04 19:46:52.679077	254		0
25055	10j2qnierwvn0xgntgaw2a7oxr	$2a$07$yU296foOPJJQblekUQ6nSelgEvGe3/w4eA0DOel1G974KPElKoTcS	65	2013-08-04 19:46:20.584555	2013-08-04 19:46:52.80583	254		0
25056	10swy8ec42q7wb10bprbig48h9	$2a$07$1qvQi.M8j2rWIxBdg0XKne7ADXdEyrbF8ukPtaP21UjWjoPXhGkui	66	2013-08-04 19:46:20.607552	2013-08-04 19:46:52.922541	254		0
25057	10s08v6pi6gx6i672rmjrwcq6q	$2a$07$0DKXINAZm9GXuQO93KeRjuQJ0JI/U.1Te7PDfK0hg/p/Eie5edxDC	67	2013-08-04 19:46:20.631652	2013-08-04 19:46:53.080821	254		0
25058	1042e5g9uldzwr0kv7urx77bfl	$2a$07$K8fI4hVJDgDccKDwcBF4EeCTkFWjrh1x85ZjMcFgVZ20uixao8BMC	68	2013-08-04 19:46:20.655751	2013-08-04 19:46:53.219996	254		0
25059	106p72q7vnpjyw90lrjfka1xdm	$2a$07$BihQL9pZAcuEeTkfy3VWTuoUn31D11u//mrwuBUKIUO3y02jXybG.	69	2013-08-04 19:46:20.680758	2013-08-04 19:46:53.387992	254		0
25060	1074hepzl7mtlr03ahildk9qgv	$2a$07$fnNXtNt.6hcDdIBqAh4IpeD7CJY0ZBBcPmQyG3ddV2V4u9PYf3B.u	70	2013-08-04 19:46:20.705381	2013-08-04 19:46:54.382092	254		0
25061	10b13ab62lqpqsxrecp68uxhli	$2a$07$3vsFzZfDVAPe.HrOFB2nQe.TDwl36pv34ILvBxHM/bxwVA5fIUu7u	71	2013-08-04 19:46:20.729714	2013-08-04 19:46:54.538369	254		0
25062	10pz5zw5ugpsoqtqzgpalwsvb6	$2a$07$zF4smz1TgoNUOsBGXF8Q3.LwqGcNARRbz.gBxM9mAFU7FbBloOpvO	72	2013-08-04 19:46:20.754625	2013-08-04 19:46:56.018237	254		0
25063	107q17u6purrgx4ejlhfms78tj	$2a$07$L8HLI0OqxseP3JjdPq2I3OFr/EsZh6mCTpkxJemPmuVg1zwvON4Bi	73	2013-08-04 19:46:20.778829	2013-08-04 19:46:56.139551	254		0
25064	10ic1r85hh7bhptk1ygc5e3831	$2a$07$4aJVhPEAdKa9kKCQh8MG/.PyQWjcSamRrmmbcVwKee6pZDj7JFLyi	74	2013-08-04 19:46:20.802044	2013-08-04 19:46:56.346038	254		0
25065	109sgl62ou2fulgp9ahjpqluox	$2a$07$vOWxbQFQ14YAW1jQ4exkSexhqNp92gDOMnZDKY/t0DykyzJgdH0H.	75	2013-08-04 19:46:20.825619	2013-08-04 19:46:56.481563	254		0
25066	10jm5k153u9p4vdax2mbsbxws7	$2a$07$o2KTELYxJX9kvqrgRynrJeFPuE2q3S1H/LqFNTgiicRJAwqZq.S8W	76	2013-08-04 19:46:20.851379	2013-08-04 19:46:56.622235	254		0
25067	10ffbscs30nrhp089rnbwz8ud5	$2a$07$mPbRN9rPRpalsg/i7gYgWuMUC1yg2GfZ5mEE5UXChc6fikhAW9wJ2	77	2013-08-04 19:46:20.872597	2013-08-04 19:46:56.750072	254		0
25068	1041a6hlkiklcd6414f5c16pay	$2a$07$gdvl/xQDofeY3Fzc0y9GjuMkNjixVvg43NKdqd9YOJVgaBIYUFbgW	78	2013-08-04 19:46:20.895354	2013-08-04 19:46:56.889513	254		0
25069	10dza5di9zris3a5tk16xwjied	$2a$07$AcyW5Xn6/DiEH6aVazIKiOQv5iiTR8KxSlD.T0TFv9vOSDPb1okUG	79	2013-08-04 19:46:20.918919	2013-08-04 19:46:57.032546	254		0
25070	10jooa8h2686otzrp2jsb0whxy	$2a$07$45JPbWSYYk1ndHDZT8c.iu0NOMlGWBY7z7/O3LL9o4pkw4rMJvDjq	80	2013-08-04 19:46:20.942179	2013-08-04 19:46:57.189914	254		0
25071	10ht0vy65twhckju1760wjaoro	$2a$07$SDzuSqkVKhCQyQd.HggZg.QjY/bENRtW6o9vQl/Drx8/WxuWsKOmW	81	2013-08-04 19:46:20.964609	2013-08-04 19:46:57.337605	254		0
25072	10ev2kabp36da57sjq8hz4wtjm	$2a$07$MWvvN27BttcBa.hDy7lnrOnNBHTUTjQB4mDuBNjXzdgM2/Gz8n4ju	82	2013-08-04 19:46:20.986516	2013-08-04 19:46:57.483265	254		0
25073	10l23gwdjs32jf6h91vtajfggc	$2a$07$Y0eKTFDzdu1Ecs14j0iy8.AxeN5eXMXQ6IgQQZKvRyvmvu8tv6kqu	83	2013-08-04 19:46:21.015524	2013-08-04 19:47:00.092506	254		0
25074	10ml0lronrphhwzo72a1x59asw	$2a$07$fDbuoJJfRgs6q70PU.aCQ.nn41gxkzRb3mpYYdOkB.npHqGfWr6lC	84	2013-08-04 19:46:21.051337	2013-08-04 19:47:03.147385	254		0
25075	10ar6p3a5zyyrsec92weoqk5m6	$2a$07$TAVj2C5XKQ2hPVIr/Ur6DuI/AHpL4lo6yBPt/.BbImW40yq85kL/G	85	2013-08-04 19:46:21.074106	2013-08-04 19:47:03.275144	254		0
25076	10swp4bohg3g939zg3wlcpzyoj	$2a$07$DpVvnhGBeZj385xWBjbmPe7wxTlQF0uBPWkoyw9Qz3DR6euNUQEFG	86	2013-08-04 19:46:21.098123	2013-08-04 19:47:03.378794	254		0
25077	10xkimcxiooxcpf6jfmbsfvg25	$2a$07$7OZ4jESgsQSn7T3hV4NLiuRXb/dA/QMlO.K9oFg.Qf5pdhWD9mglW	87	2013-08-04 19:46:21.120384	2013-08-04 19:47:03.495529	254		0
25078	101pugrwncmdl4ld2jxosg5zif	$2a$07$Tc5KsUS0hLNexQIa1PN7T.fHgh2LFQGJ3HYuayKkNvJFB/CuDmrPe	88	2013-08-04 19:46:21.142418	2013-08-04 19:47:03.640248	254		0
25079	10lmn88zayiqs157anmadpslqa	$2a$07$4Zl67obw3DbVYDjJwW1Z5.Y2MiMP2lmKNG7tXWvRYkqZf4PT/oH2W	89	2013-08-04 19:46:21.163968	2013-08-04 19:47:03.776545	254		0
25080	108nvcpuewevdiigb8jhi9pm3w	$2a$07$LZy.TaBAsoj9AIR6PydfseF9AzRGxxOLyn.vJBwurs4RamrJJ.UM2	90	2013-08-04 19:46:21.185428	2013-08-04 19:47:03.933756	254		0
25081	10y0aylez63azoreiw6wrtnbhs	$2a$07$8g7GTAaty6URULmiaFL8xuVWaME6HucnsvW7ylNUSLhQLyiiut.ja	91	2013-08-04 19:46:21.206916	2013-08-04 19:47:04.087373	254		0
25082	10vhe7tssjrwjm712zg5q63g6f	$2a$07$YPa.Gl1qgawh/eXw1IxpGuCRC4HKrWo7zkwhp/diskvsANzjCDdI.	92	2013-08-04 19:46:21.229978	2013-08-04 19:47:04.234431	254		0
25083	10d3cj9k9zl3290c1nxixmcns4	$2a$07$jG8/9JRhaH/pN8j.5kpVT.Er1npK6RxJ0HAyEildTkDRdHkS4L8la	93	2013-08-04 19:46:21.259868	2013-08-04 19:47:04.356367	254		0
25084	10n1yy350j2bddbngewvzl4ad4	$2a$07$ULp7OcujHurlbmamvit3SO6CYevLzIAU.1Ri3oc5vBhbShxQSuz.u	94	2013-08-04 19:46:21.296014	2013-08-04 19:47:04.502345	254		0
25085	10m7obh1w5rkq4fwivaz8gb4ps	$2a$07$Ny7Cv4SsnZ0yFdQVOKqywO.mCBlL9kMSXrMt1RVAToRNXEyfGKdri	95	2013-08-04 19:46:21.319256	2013-08-04 19:47:04.747859	254		0
25086	10xt2cjhv4a12zneeq2e952zz9	$2a$07$y9uPk7VYm5vmLe/85Dgc2.9kxlzFJeViLX500qk2EQUqxQAgjyib.	96	2013-08-04 19:46:21.34083	2013-08-04 19:47:04.960253	254		0
25087	10khhyfhy739obzic5aimnfzgw	$2a$07$h0A4Kvt2N5jcuwbWR9DH0elB9s6woDBr9tte2GneUPQa21vZn5DYa	97	2013-08-04 19:46:21.362695	2013-08-04 19:47:05.987747	254		0
25088	109jkoayc6xd62f7aemoq5hn0d	$2a$07$zR9r83aC.zoF4J.yY3tgGOARXc2kBElPDaNZjxh9Of59jRPCM2tDi	98	2013-08-04 19:46:21.384622	2013-08-04 19:47:06.984313	254		0
25089	10qawrgm40ryr1wnf7mfwd5t0k	$2a$07$wx9FKogdNgAZLJ7/ztBRxeNnhS25RZsseX8ehumeBrpLtuCtt5dJ.	99	2013-08-04 19:46:21.406057	2013-08-04 19:47:07.119588	254		0
25090	104lnlwzeu54ci857zzemqmw26	$2a$07$3ZJkDrqltADev/LC43u/QeUBgW13UYSNzEIJ8Z3VxhJr8n9as/PrS	100	2013-08-04 19:46:21.427696	2013-08-04 19:47:07.269919	254		0
25091	10vq6axqgtuhmkktwhnyag3hwm	$2a$07$ugY0O5UptpoAdIQs4twKE.VDIFpF4tMS/TzliKnMrPEEj5MLeTLUO	101	2013-08-04 19:46:21.449758	2013-08-04 19:47:08.382243	254		0
25092	10p9zbh92crxaz0xx9a9qgpsnu	$2a$07$CaZw0qnfDzCMO9wWEHXs.eg8JnY/7e.RypUK3PRrYCwfy.kk0uWAa	102	2013-08-04 19:46:21.472193	2013-08-04 19:47:09.468828	254		0
25093	10ukagopn309i08433vf73424q	$2a$07$3Jx.SjHS1tvXzsAKuDBg.uUcUiSO133fKT9oLwnPqktQGoz.HQfdy	103	2013-08-04 19:46:21.495198	2013-08-04 19:47:09.727749	254		0
25094	1094lq3szag3ybby7lttczh6d2	$2a$07$uL34iQzWbyyLapWACP2.O.L4U5OxzL0bn9iWE5a9j3GXQs1fVSvqy	104	2013-08-04 19:46:21.51682	2013-08-04 19:47:09.943681	254		0
25095	109j1ubjqez2xdx8an175lh2s4	$2a$07$rLMxAobShlEMYJCg2qjg7uXRM0JQ5dUuTMoDOQtaGIyEcxXWKX6eW	105	2013-08-04 19:46:21.538623	2013-08-04 19:47:10.102996	254		0
25096	10upl9yr9iv37k4ouektlczkbi	$2a$07$Nh2NmRY2McdRVFrN4Sw3NuwDtjpqBGv1Kz/Pfzh.n0T84h2acsOs.	106	2013-08-04 19:46:21.560653	2013-08-04 19:47:10.257599	254		0
25097	102o367h9xrrxv75i0l4lat8ov	$2a$07$umka153HZ/MKBFmZMzT2Gu9Tx71OEgRMviP1IPllYQ/dHXMQEOORq	107	2013-08-04 19:46:21.582222	2013-08-04 19:47:10.424213	254		0
25098	10jmcza4uq1fjkbcazqs3bzyts	$2a$07$pvAoqub5eaY92aPK462JIOb0AT1X5GPMrdM7plvCG1rHwTK/qY0DO	108	2013-08-04 19:46:21.604909	2013-08-04 19:47:10.58922	254		0
25099	105wr58hyf3xu9aj4l5are2tl5	$2a$07$ajMLL7szWNULDJYN8lCxhOagOiz2Y1qioIatpZMuZaN5tz6.EWhVa	109	2013-08-04 19:46:21.626944	2013-08-04 19:47:10.731523	254		0
25100	10vy8h24hj30rp6zyvhdfo7qpr	$2a$07$JCDVaHPtB9O6/VtZ4cFoM.0nlN4TVnbnhxpHOuxW.ZbS3WYF9whtS	110	2013-08-04 19:46:21.64875	2013-08-04 19:47:10.88395	254		0
25101	10jp34dypfg9e7y8kw26c64t98	$2a$07$x0sXjPIqzfZ6t/FRiDhdMOSi0Gz1LLDHg0bDBo.3zkrEtT9/IsRma	111	2013-08-04 19:46:21.670186	2013-08-04 19:47:11.040537	254		0
25102	101k26rt03yh9t6e7zllninm4u	$2a$07$sW3hJzmH7Pz.epQiODGxYeOZrfmPTaEwLC34wr.f1jRZyClc9tPvO	112	2013-08-04 19:46:21.693936	2013-08-04 19:47:11.199587	254		0
25103	10qtnznt643fpq51didmjk3q0t	$2a$07$lMHdT1yYhBvw7TUO4RILpOhB/IC9ZDhN5seHzcaAJ53dd/OFxI3NW	113	2013-08-04 19:46:21.718192	2013-08-04 19:47:11.340151	254		0
25104	1067g0i8z9ls3001yusmz2b13z	$2a$07$FY1wcq.NzkftHrZpivyIFOnA8TCI9fyq.jvuY/t2wwSk6LMZpVUDO	114	2013-08-04 19:46:21.742077	2013-08-04 19:47:11.519809	254		0
25105	10ypkhbc50wfxflv5byideopk7	$2a$07$yI.A1hIlMd34CUCCRPNK4uibYXCGS/iaeUNnP791teENtKqVjlgva	115	2013-08-04 19:46:21.765454	2013-08-04 19:47:11.634372	254		0
25106	104fw0r0tckxoc7214maygarc9	$2a$07$0/OcbbpXp8KUsqDb3zOXqeTgBhqFlD1UFjOkFLkX8TRBtGLfocbyW	116	2013-08-04 19:46:21.80045	2013-08-04 19:47:11.739837	254		0
25107	10nozxksu8y0jxvu2bs2zlbjaa	$2a$07$GbGiDRWnvPw8KXYHX6ZmRegyIU2dnA4yTi5AiXKQw/MiBQ7GO0hga	117	2013-08-04 19:46:21.824326	2013-08-04 19:47:11.892399	254		0
25108	10pj83c2qp3gr2dq6vyg3u6pwx	$2a$07$96R3yBMj6o3UUP.hyUvXsOHbWOEbz6MLuPJhctjieFEJv8oUR9l5y	118	2013-08-04 19:46:21.849278	2013-08-04 19:47:12.047817	254		0
25109	10z8seuyduqjpfjjgnndodaf0i	$2a$07$6W90lYfVRGLI16e395QoP.TVssEqAttWbelDDMxiFlZpOSC0O4AQG	119	2013-08-04 19:46:21.874142	2013-08-04 19:47:12.305635	254		0
25110	10n0ateei2ytjxx5p4i04p0yya	$2a$07$MQoFCm3GDFPAoDi4wWI5J.oBdbA/b9guv/SdOe9i2q0BDeeYCveHG	120	2013-08-04 19:46:21.905882	2013-08-04 19:47:12.490595	254		0
25111	10gmvqrzpxgjke2yiknt16c58c	$2a$07$BBG1HOEhZLYe9nslRYTkeOqlgw/PAG2F6atJIM5LV0u5FS3gxPVd.	121	2013-08-04 19:46:21.929623	2013-08-04 19:47:15.174826	254		0
25112	10cjm4hvwas3c29imcrwsa9p9b	$2a$07$iEp21WFCCANu20a21tjWq.1DiLSymjO86/f.b8rlfUHnj.DSVBgCe	122	2013-08-04 19:46:21.958041	2013-08-04 19:47:17.811589	254		0
25113	10zum9rbo3n4h0kszd2nr1ik4o	$2a$07$LedzaFLLgOYxJbjtQO9jz.nwI3J4EVQQzp4dvMuYbiBFb7PoFaHPq	123	2013-08-04 19:46:21.99293	2013-08-04 19:47:20.951915	254		0
25114	10fyzjtxs02oop3jltrw7i5fso	$2a$07$LZaF4efogFLv4uVj2rODtesLh8D0a.6XjziTsPymRZvsS3ofVVT12	124	2013-08-04 19:46:22.015749	2013-08-04 19:47:23.863581	254		0
25115	10okr7jvysj038me45wwvovd8k	$2a$07$Pb91Oj..NJiSbVT2GDhceOiVUq3vwZacrPzbwiTJpI9RqPdzvMXS.	125	2013-08-04 19:46:22.03777	2013-08-04 19:47:24.032464	254		0
25116	1028bz6m1shjf23qw22v3oyxet	$2a$07$GcnlDPMd8Z3kd6v9BKF8Y.XkNBYy63lIzA9cuaTFB.a6LUhYAIjdi	126	2013-08-04 19:46:22.060924	2013-08-04 19:47:24.17091	254		0
25117	10xvrxzvujo0l4yr9skthvqgct	$2a$07$5hnZ6PBODxlnFc9lyGLAI.ep/YprrP.2EUI4XZoZjTGtl02SAC/fO	1	2013-08-04 19:51:19.090638	2013-08-04 19:51:22.19679	255		0
25118	10cuhv3z68k8y4mf4awq28o1uk	$2a$07$QHcdQ2C.mqqtQ0Ziz7XVCOWGF1CONEu/58Uf6JEPvOWEFJ4h9NmQK	2	2013-08-04 19:51:19.112655	2013-08-04 19:51:22.348994	255		0
25119	102dhm0fwlxl9ix67j5qfy2krq	$2a$07$E67K77y.rSRrsGuTaX1xBu4S6nklTYJdeMJWa26lgYgF5hmunGpcG	3	2013-08-04 19:51:19.135275	2013-08-04 19:51:22.489386	255		0
25120	102ihmjdfadhff7wuybutyy1lp	$2a$07$3enqj3MDICfgM/se2s9I6Om4KB.ORSt0Qw1UoKsZc3fyGpzCmDpWi	4	2013-08-04 19:51:19.156999	2013-08-04 19:51:22.623516	255		0
25121	106478s5oaj14a06xe92nt2kwi	$2a$07$.JlxDS340mjKyUjIWpQ./eoAzI2oYMMH3DZFsdqci38vNSdXmfxua	5	2013-08-04 19:51:19.1788	2013-08-04 19:51:22.756517	255		0
25122	10d50920g21fgs134o56ngasmp	$2a$07$PrL.egx1E9zzcG5t/LHEKeowAtcQICQZtwuMfqnZGZwwrHgYNjYVW	6	2013-08-04 19:51:19.200675	2013-08-04 19:51:22.91763	255		0
25123	10jx9mzvpti6seixmbr4ykz4b2	$2a$07$BSZ6U9YuSE5CI6HCPEdIdeidPzfq4W9LyVbw4om7Dl5TgK5dNU1aq	7	2013-08-04 19:51:19.222563	2013-08-04 19:51:23.054871	255		0
25124	10c7mrj6fm55veadjq417i3ng4	$2a$07$YqBROnmrrInoTlcynIPnpeGg4/bDss1M8an/uqycIXU4o2M/LTbwO	8	2013-08-04 19:51:19.244429	2013-08-04 19:51:23.179325	255		0
25125	100ziaiaph1mijuc0gkyahzqrn	$2a$07$iG94o6k.NUvFtb1v1PIFiecXxMe38P4yqiMgyiSoFiiIS7hgrfsyW	9	2013-08-04 19:51:19.26669	2013-08-04 19:51:23.338127	255		0
25126	108nwbs8es0eb3c4lcz8ho4ni6	$2a$07$8fHCBmhjJ0XrLdapgrNbk.tT0CvxO/iOVwH2tWU57Q6ep6R9LroC.	10	2013-08-04 19:51:19.289681	2013-08-04 19:51:23.537305	255		0
25127	10tjjkamyacoysqn8emniplhnx	$2a$07$3Lk.NDli5B8iW2pW21cXAOAMSnVLyiqvmyslmf/PWiVe8NpYLphFS	11	2013-08-04 19:51:19.311487	2013-08-04 19:51:23.691802	255		0
25128	10vhu0zb89qztynxp0vcvoyiz3	$2a$07$WkKuRQ0Fa/.vW5E5l47WUudCxYJbiRqX2WAbxf00Unp7chhYOIj9u	12	2013-08-04 19:51:19.333123	2013-08-04 19:51:23.865795	255		0
25129	10d5umry8g7px17jqcaxlscr9m	$2a$07$g2p7aSiGLPvYPe55OwC5Ce12cH4Xd4Jip9ucI2FqRkwwy7GOuZyxC	13	2013-08-04 19:51:19.35515	2013-08-04 19:51:24.006643	255		0
25130	10iiq4tgx2adhsr6wnt0y21qzw	$2a$07$skXq1nSPvDwoNXSXZuHA3u.fkvkV2kC64CUoxMJbWc15bZgvjXcqW	14	2013-08-04 19:51:19.376904	2013-08-04 19:51:24.141732	255		0
25131	10myvcf1p1jed2hwk3gb6jaud7	$2a$07$mf6OnI09gN.1PsBlUuPCOu551g5s1oepvZXFnb0qZ6ApmlgFQAFZq	15	2013-08-04 19:51:19.399166	2013-08-04 19:51:24.291332	255		0
25132	10sfmfwmsyseg6gjn9zy49gdar	$2a$07$lGiwfOkAO9h8wRpvfMpIFO8ZpR/39E08wrUagckjeSR5.xbKCeIyS	16	2013-08-04 19:51:19.422676	2013-08-04 19:51:24.450878	255		0
25133	10jxdod2wdxd14ecmb3jr3fq7a	$2a$07$jJuhfnKHrLyffj90Y1Ctr.ipMJEIWns1HuY2hQm81BCNYBVyuteb6	17	2013-08-04 19:51:19.451332	2013-08-04 19:51:24.609877	255		0
25134	10gl5hwne78a20dgbv4tax9rbu	$2a$07$3YXfErQJW/kNzQP8Pcdd0uqTq3dfDW4aAoKxlff4IxRgTbsiI1hDm	18	2013-08-04 19:51:19.485242	2013-08-04 19:51:24.735927	255		0
25135	109nqqritoafx8mvwo3ltk1hcd	$2a$07$FtO5CycfBWwD8KjOYy2/FOKfSQlfXp4ikQuN7f0r5k31Lbft7MCNi	19	2013-08-04 19:51:19.517717	2013-08-04 19:51:25.869273	255		0
25136	10pmix25fes0bmpbstnskfiy6t	$2a$07$vTb7VomBoMStMDeXhklIKeBV8062oy5hVTIX6eAwKHsfAusECnCRS	20	2013-08-04 19:51:19.551838	2013-08-04 19:51:26.855567	255		0
25137	100zeciwa9nn8ancz1d81i7gui	$2a$07$wm.qpNg2H/9RYTNZKER.SeDCe70uAzNas28u7QNUoJvcRSzURu1l2	21	2013-08-04 19:51:19.574044	2013-08-04 19:51:27.845332	255		0
25138	10v98hv9rbzb4uss5cf2em8v7v	$2a$07$rRiHA77NRnkGnTOO0IAPjuBrZ4eP/KKcXdn1i0aVcU9/MK3WTOgLa	22	2013-08-04 19:51:19.596742	2013-08-04 19:51:27.975135	255		0
25139	108ir2h9kenugpifztip9t02g4	$2a$07$0N0q2xOMb2m241fOHsXT.Od5Dd5l4KVbkRx/Cv8hiBmqw2h7By4rq	23	2013-08-04 19:51:19.619457	2013-08-04 19:51:28.088267	255		0
25140	10arltulrenbm0mr2g1cago5fu	$2a$07$gUx540e9UP.3wsN45hHih.zZ06ZFhplNVde2uE1ORo8GvghRqmGGK	24	2013-08-04 19:51:19.641041	2013-08-04 19:51:28.211579	255		0
25141	10y588p8l8jrr4of73ljt4qjtj	$2a$07$q1N9hAZdSmtup4mCy9Q7au5Zkb/AjU7O/QrK9rGZffwn/I3omTW4G	25	2013-08-04 19:51:19.662225	2013-08-04 19:51:29.616385	255		0
25142	10ngc0onmz2psn266qz5g5cykm	$2a$07$Mhd8J3YDd7uUW80AMaa8KOu1450aJ6817Xlfx6E3RJZZtClEF9SRS	26	2013-08-04 19:51:19.683378	2013-08-04 19:51:30.745387	255		0
25143	103i84rk17s2gyz2g3cufidnvc	$2a$07$9UHplpwyoCOUxJRNqSE5Eupm5oYjW7N3chyYmCY.aVV8Er/OV/Dq6	27	2013-08-04 19:51:19.704374	2013-08-04 19:51:31.762082	255		0
25144	10j5133k7o6pkmqlf348m92b6g	$2a$07$dvo8oBdTs2UtsaMQVLk61Oiks45jZX/MCvr/oAug08cIcI48ny72.	28	2013-08-04 19:51:19.725677	2013-08-04 19:51:31.983762	255		0
25145	10hp3tcgtmrk6tb8x9vlr1sr60	$2a$07$niqVLmGhhxNhpyp67au1BuEsmZn3kW/mjdoLlLKADRNZfwlnm5L3e	29	2013-08-04 19:51:19.748558	2013-08-04 19:51:32.124787	255		0
25146	10nydxms4mszc7h6eukdhcqraj	$2a$07$DQV84nRQ4ZAfV.5DdA3qm.JMN2f6wLgkb9LNGOQDGy7XqvcUPVG8S	30	2013-08-04 19:51:19.771508	2013-08-04 19:51:32.285843	255		0
25147	10jbvs53cy2xr3xlx6ddn54mzt	$2a$07$SvKqe6mTkQI2KsFyqfZG5ebtpObnkpl2QYtN3G1sCU09MRuPeXRta	31	2013-08-04 19:51:19.793436	2013-08-04 19:51:32.412771	255		0
25148	10f2m8ezrd2lf56hxom0zx7ifd	$2a$07$R9xmomhUe/F39D5f0q46OeA66xg285O7uinjXBseISkwRAxCXlua2	32	2013-08-04 19:51:19.815013	2013-08-04 19:51:32.546018	255		0
25149	10awaqeosix9jp2auvj87t3rb7	$2a$07$rgUMasUpMKeX0QY0/UEogOnHL6kRWjRtDYTyk7jM9VGoidghH7oqi	33	2013-08-04 19:51:19.836719	2013-08-04 19:51:32.688323	255		0
25150	1000f2q4ujt0inbzfmkkj5034e	$2a$07$5/aLHY42bMQn2I/h4Cqqree92Vakac/C8jUd35N4x9RfV6yjHfAGi	34	2013-08-04 19:51:19.858445	2013-08-04 19:51:32.922338	255		0
25151	106c73n0l37u9iiv6n866dizz2	$2a$07$/sotKsRoklOkFfCKQnFDG.YmzJwm23Do4VZtB4PmwY646eHFtNJty	35	2013-08-04 19:51:19.880027	2013-08-04 19:51:33.127641	255		0
25152	10b45sgonb340hyuf59d9rhj3b	$2a$07$Ld7srJK2YXsP3Dsj89JyR.6v3fYMpdV45wdNzC4N2ONXFvX9gyRF2	36	2013-08-04 19:51:19.901903	2013-08-04 19:51:33.306742	255		0
25153	10byd74bkemhr23cz0vvbply6a	$2a$07$lVZNMC9VX1Haoh6Pz2oHHuVw/f2KKvpjY1UXJh.hhRsqdiAvJ.d7a	37	2013-08-04 19:51:19.924644	2013-08-04 19:51:33.485819	255		0
25154	10mxns5xv489k1u4ce7yutwws9	$2a$07$1NBpZxhQfoS3mL1Fobp9leXJhAAS6MX24Gaq3TkiCxWlhEa4PGtGa	38	2013-08-04 19:51:19.948512	2013-08-04 19:51:33.639602	255		0
25155	106ft1r9jy4dfeadba5x3b19an	$2a$07$qOsD3K6/fBUB6lVXmuS/SuPbxtw9.LZDFMLrCejWEhmSsVyvTVlpW	39	2013-08-04 19:51:19.971498	2013-08-04 19:51:33.794601	255		0
25156	10t87lkf6ffz622x7ztrk6z4j0	$2a$07$s0GhD6GTqpRwK9e0dXRfy.jg0zLej6mQy2aA23PYV/mUGlHcGAZPu	40	2013-08-04 19:51:19.993772	2013-08-04 19:51:33.927123	255		0
25157	10i532vjo4sp94b0ig6b2gmoep	$2a$07$61xNkBvr2qjqqCgT5IlvMecMMIb2BxBUuJm4SuV7S7eLgOBD//rxS	41	2013-08-04 19:51:20.015709	2013-08-04 19:51:34.056204	255		0
25158	10upngsikx7rnnsycmhrqxo9cy	$2a$07$Fw0jDmzAxoG.KW7XxSoPL.OOBR8/TKqzBDBPnI3wYXw4b9JYcm9Ra	42	2013-08-04 19:51:20.037297	2013-08-04 19:51:34.196128	255		0
25159	10cg3ux9fw7v87w0s7ksentqk7	$2a$07$5Rj9UTzMsMUcA8n0ULVTJe2saOQZUBFcyiBdIweglersCcf6YmWkm	43	2013-08-04 19:51:20.060356	2013-08-04 19:51:34.358391	255		0
25160	10kllrrg0i3qai6bm14tvctxf3	$2a$07$rzjlSKMYkPffKtDECD/isO7FHdoQu2J5VDtajLIOc7/tdO1hT7aJ6	44	2013-08-04 19:51:20.083204	2013-08-04 19:51:34.511393	255		0
25161	10zjy2vg5izygzcwyklygsi8nv	$2a$07$vmDgCaNp1unW54Md5xlyp.kjCHmsvn3XSrPby/d160AUFk0llYUS2	45	2013-08-04 19:51:20.104886	2013-08-04 19:51:34.611864	255		0
25162	10ln5om97t7u30k5rhbjrguy9j	$2a$07$mkaFFi31AKhsJJ2uL6OUGuTGVW2ap4GRdbbeybQW/P1I1YMUkBVLS	46	2013-08-04 19:51:20.126504	2013-08-04 19:51:34.716207	255		0
25163	10ccssq890cguakl3zzkx34zya	$2a$07$nffulqgVdKY7SSWvr2mBH.V6CkzaCmxsebDyGCqE0ns8bP.dbupZq	47	2013-08-04 19:51:20.148453	2013-08-04 19:51:34.901865	255		0
25164	10f1clgrsb8g7iirvqc4ydii87	$2a$07$5tqsoJFifftMQF041Dskm.BYsNtpmisCGPaA2e0UgWT.5E3kMdzAa	48	2013-08-04 19:51:20.170023	2013-08-04 19:51:35.122527	255		0
25165	1060m22vo57umpz73q7uzq2ij9	$2a$07$T/ZdGRnL91WDr1hp/nh3kec2DdriYMuFrUgH1Tcbvbyq0TI0k12EW	49	2013-08-04 19:51:20.191753	2013-08-04 19:51:35.28539	255		0
25166	10bqxp6ni56znj4bro33q3fw6d	$2a$07$lDXcXn.TJpo2RMmwAgV5b.A0SLp1rNWH3UhjdsPnBzU28066zWhVW	50	2013-08-04 19:51:20.215026	2013-08-04 19:51:35.440696	255		0
25167	10cpe9nkb3w9r63y9eyzzjg94d	$2a$07$xRDqAUDjc1mBsPi.5int9.iAAYYuwph5KV6ui1pxj31PF0Ph24H0S	51	2013-08-04 19:51:20.23711	2013-08-04 19:51:35.610627	255		0
25168	109g24atfud3dy09bt3bjf52r2	$2a$07$Gpb8aUpGd0C.S6Sti//fO.FIvfk8BJx/wdopcKAOPSZOfZ.qgJCgW	52	2013-08-04 19:51:20.259244	2013-08-04 19:51:35.828389	255		0
25169	107vc37goe456c9lucz3ub87af	$2a$07$WrF8pSpfWaT.nMQ5A9uCEO6Tuy0z4uqKMkS2DnfdS.xdasbtAjl/S	53	2013-08-04 19:51:20.281262	2013-08-04 19:51:35.999827	255		0
25170	105dvrphiqe610ayu4ghc4efbo	$2a$07$RHkH6CmF3Pzcof0rdPzsCOQG7cN9VBIsdnhiNIEt48U/ThEF1v9N.	54	2013-08-04 19:51:20.303663	2013-08-04 19:51:36.135893	255		0
25171	10jsnhwc032bqek73qbuqhrobu	$2a$07$3BP6EVMy5.jmsgxwd2WcQu1j/xUKljaI0QQwlBMJnMQ14nuGje11K	55	2013-08-04 19:51:20.326605	2013-08-04 19:51:36.265537	255		0
25172	10cdwebpsxngg3z6p1f7y25ymm	$2a$07$mAX2TRoOxs/aldii.0d9T.wPEpBVIRahSJdOz5vGSeW1CTYRNFlk2	56	2013-08-04 19:51:20.349021	2013-08-04 19:51:36.401984	255		0
25173	10mv90vbkz86xbuaw3qyoa9x80	$2a$07$IzMHt0X44LTYUa5aneyxMOBkOZXoeX7FLnwbvgK.T/2Oaf46JpVpO	57	2013-08-04 19:51:20.372531	2013-08-04 19:51:36.547583	255		0
25174	10hnhk2wzvfetfzudqerixmjeo	$2a$07$wEHhab3MIYsTw6gAGUG.A.ukSIv01544866XrhyzpxdeDSYsSGAHm	58	2013-08-04 19:51:20.3942	2013-08-04 19:51:39.357037	255		0
25175	10bkj7lulull8tglkumv7bh6ee	$2a$07$pmqPShe2nv0/CNfv9QlRlOQezo/BlsOS2Ry6pMe2SbdAx5ts/h1gO	59	2013-08-04 19:51:20.419411	2013-08-04 19:51:41.929056	255		0
25176	10ojsxq7fhqshbs0z3vnoenakq	$2a$07$dkQhwfdzC4xv/Rr3iiJOk.083NKa/4PtLY4nlBOzySwyu2hjDpziu	60	2013-08-04 19:51:20.443867	2013-08-04 19:51:44.791355	255		0
25177	10yk9ax2ouaovij8yeosqpju96	$2a$07$j/gjmRx5PJGVN0Mu2UdxD.QkVBFpAYSqoGZvKmxm2siev3hokjpHS	61	2013-08-04 19:51:20.47314	2013-08-04 19:51:47.843181	255		0
25178	10zd65pr8i42vnhq0pfle8nbt6	$2a$07$tgZco2Rh4L6U7PKbQJOqDOEjPNcYan96esH/VopSDCNbUDTpF9KsO	62	2013-08-04 19:51:20.494812	2013-08-04 19:51:50.933354	255		0
25179	10058rw230hq74t74qb2gpgluy	$2a$07$7Byz0Hurb6XJNawqZTiZAuYeZO7OkBcxEqVfwx0McDPFlGPYk2J.e	63	2013-08-04 19:51:20.517894	2013-08-04 19:51:53.957788	255		0
25180	1012mophstfqshmlt2zxha24o6	$2a$07$DjsK/QQbQsvdFQO8pJQugOEBDiXQEMEYY7cOKQkqK2Vun6frzKHxG	64	2013-08-04 19:51:20.540815	2013-08-04 19:51:54.110451	255		0
25181	10xw5te9yi3ivupxidgmlim3dr	$2a$07$tHsRMTGQCkyoIRMQzYLwzOauE91CKV6ZM5.t/oaFAHmJN2WNEVUAO	65	2013-08-04 19:51:20.562886	2013-08-04 19:51:54.265576	255		0
25182	10o5tbwzalz9sak6hi6wbmzm7w	$2a$07$OlPRTFw502awVUH6TM6NseSut996U/wQ9fxEKeZ5ij954qINXF3pa	66	2013-08-04 19:51:20.585896	2013-08-04 19:51:54.403309	255		0
25183	104exblxcjfe1mtbtfab880ii1	$2a$07$GT4To7KUx4.VPYwr34QhO.LZeWEjm24YGp6FsTPh4BHYyexXtoU7m	67	2013-08-04 19:51:20.608668	2013-08-04 19:51:54.546483	255		0
25184	10qwiex5gd52oqatvpeehddcj8	$2a$07$zdiJ/CVjcY6FZU8JQB3yHeuw4wanR.FYvOUKGNUpjWjgHHPQTVDL6	68	2013-08-04 19:51:20.630144	2013-08-04 19:51:54.671612	255		0
25185	109r19mq78vtv3jxk05jo9grg5	$2a$07$W4DuFrjoi0U7bJmWhxnRUOxE69bYKodggelPrmZvZzAYJpmpnRlX2	69	2013-08-04 19:51:20.651654	2013-08-04 19:51:54.808213	255		0
25186	10lc7n9up08en7w8tlrn7jtsme	$2a$07$EpV5tjYs.P2dbhCicg.EBO2XhKmuNIF6ZkqvwxSCBxR9nNFHVcP3a	70	2013-08-04 19:51:20.673074	2013-08-04 19:51:55.824283	255		0
25187	10eg9txo1f5wivmg16oiadzobt	$2a$07$a4QrjxPhVv8ahVs4eBAG7ePmn9W4cUIjnrCFj0y47toXesd4K/8tG	71	2013-08-04 19:51:20.695053	2013-08-04 19:51:55.932917	255		0
25188	10xrfmzmbx46w621o5yog26z66	$2a$07$MtPaqd/BPna7sXK4VWf6yOWyM7RnfFz4S8yPT4Jc55RLQuv6789qa	72	2013-08-04 19:51:20.717495	2013-08-04 19:51:57.249687	255		0
25189	10fa0ctlwjzvqgnkrehssreg80	$2a$07$5idFIhgRXkmiXulWF.hNxOgxMPdFh5zKmtHSb1.3avzXErpHM.qUe	73	2013-08-04 19:51:20.739126	2013-08-04 19:51:57.448744	255		0
25190	10n3jn4o688m9hlf3m4969cehg	$2a$07$wH4xVKpKKQlBvTO5wXniUuUPoytx66S6sfxl/xvwXcTxe6mMUfRyS	74	2013-08-04 19:51:20.760795	2013-08-04 19:51:57.600078	255		0
25191	10rwje4s4noo4uh8pwkxu199ra	$2a$07$9hiXwhtAyWn4FMSCEx7mY.FyaOsKaUNlU0lLO4nyYsRXUj2zh8VzW	75	2013-08-04 19:51:20.782372	2013-08-04 19:51:57.750823	255		0
25192	10pgla1d3wgz1kwyonwxnzx9ek	$2a$07$Sgb22Vq6p8Nyb7gnzL1A9.5.2//kc9ygjyxIZUvJZnXEA7/hbTveW	76	2013-08-04 19:51:20.803805	2013-08-04 19:51:57.897362	255		0
25193	1048mstpkva0uaqa9s4kd2y4ye	$2a$07$DjE4cBb4DhPVbzC7QR.sxuWM4KcN/oTthEoMJhKpK4njpC5lYjFny	77	2013-08-04 19:51:20.825258	2013-08-04 19:51:58.062214	255		0
25194	10mos52m7t9xu3f6y5i35twazb	$2a$07$6IiNu3aGtLVpSSeCtmefFeJQCo0vMmFIT80nJglaB4jiOXxkz9Aam	78	2013-08-04 19:51:20.848339	2013-08-04 19:51:58.360717	255		0
25195	104tf1z6je9wzb2ib1umm1er7x	$2a$07$vviBa2oz3N.3hbtngA61meD2MujriskDYYVqfGx9N0rlMn6Wg.YA2	79	2013-08-04 19:51:20.873017	2013-08-04 19:51:58.480339	255		0
25196	10531twlk8ddssh6ru2pxa8o0c	$2a$07$IAJiHam84h.PxT0ejda4IeqDcg5PVazpiR8k9UzDlji5zuKv2S88m	80	2013-08-04 19:51:20.911274	2013-08-04 19:51:58.632618	255		0
25197	10qsojvkptz7g5gs69z2wid9lr	$2a$07$HYg0UawGwTbzqtPlK.r1H.VLsDT/XBmpZj2uv4dj9iAt282HqEKqy	81	2013-08-04 19:51:20.946051	2013-08-04 19:51:58.808253	255		0
25198	10e1sohl518loffv4w56lavssc	$2a$07$2AUcPz7qaNwyTzF1rgnSMeFJ4uTeHhHsnJgagHqzSaFylAV.z73oC	82	2013-08-04 19:51:20.971953	2013-08-04 19:51:58.95152	255		0
25199	10nibyj1c3gy8i3gk2110ym7lf	$2a$07$r5Bj4DOEQ2HVyw8nm22bXuisoc7ip5P1RnH4yFTWFuWer2sAo3Pk2	83	2013-08-04 19:51:20.993748	2013-08-04 19:52:01.678431	255		0
25200	10dgomueu1k3ju3nyx9p0qxf7l	$2a$07$ouv7/nByXBl6dbJzNrGVye.lyPB3Dc8cWC60yazUmOxH4LXl5havq	84	2013-08-04 19:51:21.017176	2013-08-04 19:52:04.454842	255		0
25201	108w47wwxvl3rrf09d5z96t0b2	$2a$07$2P5Up3qSvNOlDXWs/4mDzu3.COR3vtAKRG2D0CUPVo7GfqdCtbOiq	85	2013-08-04 19:51:21.040267	2013-08-04 19:52:04.590194	255		0
25202	101a3dtyd8j70ura151223k2zw	$2a$07$uw7AMqOptIc7euFQ./1G2OxDk3z3PIYvunVo8HmqmEGpWPXtQctAO	86	2013-08-04 19:51:21.061936	2013-08-04 19:52:04.749098	255		0
25203	10czxarfp8i44kkdrspu7ne5wj	$2a$07$.xxT.04qStqTZmiBSJPrmekADcV/IyivXhXrLHeYQ4KFClaE0w2ui	87	2013-08-04 19:51:21.08355	2013-08-04 19:52:04.90337	255		0
25204	101oun1smy4whgte0zl8y2rk8y	$2a$07$XGR79jIOdcPbAKNwfuPBi.grHsJ/IITwVtPVXzEkTWJsVHySMsgy6	88	2013-08-04 19:51:21.105003	2013-08-04 19:52:05.034084	255		0
25205	10bz52dhi92kfzunb7x83epexo	$2a$07$qScgCJOzK6fW46oMXTekx.Ard3nt4/SnnA3KOQAk6dCox3Qdxxiky	89	2013-08-04 19:51:21.126463	2013-08-04 19:52:05.246663	255		0
25206	10rhzcldxcscbio3hosta316hv	$2a$07$PBT2no578j2XurKWmCtIzuAwAUmM.omcIbR.vnk2snoqrK6k3pJ92	90	2013-08-04 19:51:21.149333	2013-08-04 19:52:05.385046	255		0
25207	10vnlkwlzfso2fsf8zzu0p3gwp	$2a$07$JHMCwylxRqHOUhYOKR74HuDIgkfRyx3Julv8qNRwN10UbWcj03Um6	91	2013-08-04 19:51:21.17718	2013-08-04 19:52:05.535236	255		0
25208	10uufy1pi5fec7kcpsx59b9msr	$2a$07$THJjOrucf.6/7IJ2Do2XIeEMXHd1O1KBV1V3z63IYFi/GF1QzZCNS	92	2013-08-04 19:51:21.212118	2013-08-04 19:52:05.665835	255		0
25209	10rys0o8336nmrnfx46jsifgke	$2a$07$u5p1mkZgSOIqXzwiTMrL5eYXbqjiqAHKGCPsv6KeWm6wEiMEoBM2q	93	2013-08-04 19:51:21.248094	2013-08-04 19:52:05.805071	255		0
25210	10924xhrhggloago2ocxr6q1ue	$2a$07$iXoCU/Dl7tQWXI57A4LxXO010wiVagwrrM14FxYXuVuzFQHzvyEm2	94	2013-08-04 19:51:21.271466	2013-08-04 19:52:05.952518	255		0
25211	10zctlw1vyvwystfv9qpmepd2p	$2a$07$RId64NNGyUqLKFTMhAe.jOjobEp7wr3vVRmbrRRNVWFwfMxr.cbuO	95	2013-08-04 19:51:21.293026	2013-08-04 19:52:06.091234	255		0
25212	10jy23fzmf63q3yt4hl4swnam0	$2a$07$PCugF6ZAUyP0YC7NGkUwYeOjOi4geOW.r6gLuBz9wZ0Sywbd9eU2G	96	2013-08-04 19:51:21.315512	2013-08-04 19:52:06.243276	255		0
25213	10pjy24nc4ne7nwt9ywwpkt9xf	$2a$07$qpGx32SvtvsO1dpI1XqLpuevPzqcY5Uptgvq6RMZjWknb7wXiWIce	97	2013-08-04 19:51:21.339041	2013-08-04 19:52:07.259936	255		0
25214	10sc3zxsh3rg3vgoz5t50mn24y	$2a$07$G6larSioqJtEYospiyx/GuIYdeMcJYKfkNBvuIXsFph6UA5ZzOb6u	98	2013-08-04 19:51:21.361484	2013-08-04 19:52:08.267375	255		0
25215	10zo1dnrkedxin3u3tfkvsqav6	$2a$07$.LDhcTz6yYb5qKPRuBPWD.xiBtH.mXlGPd8iOmTDslqYsvHB9OD2i	99	2013-08-04 19:51:21.38312	2013-08-04 19:52:08.443352	255		0
25216	10v6m7ozqf2phzuggq2w0qk6y3	$2a$07$DlOXdpG5jK0eAD1ZMTlJTuvcg57/qAkwu6QfIaLS5c30jQI9DQFPu	100	2013-08-04 19:51:21.405892	2013-08-04 19:52:08.622778	255		0
25217	103ulxeez8rpfr6k2dqe2lpno9	$2a$07$QZTHZW..FfZnk7QuksHW8.wzhEa0rvp6KHDHz5ediYxB.NVHOTzGi	101	2013-08-04 19:51:21.428571	2013-08-04 19:52:09.93533	255		0
25218	107guzpv4i13ixnh5547gl1kk3	$2a$07$mwudfhvLw08/fPZkiKiAguLAb0RMJt6nEBQNru78FUfQkg8PP6z0y	102	2013-08-04 19:51:21.453258	2013-08-04 19:52:10.903567	255		0
25219	10aqxct7tw8312omiciaujwhpw	$2a$07$RioU1hiJXZAXXyJmFjdl..UT4wEZnUSxQBFf8SPwmbCRlKRSfL.Bm	103	2013-08-04 19:51:21.485658	2013-08-04 19:52:11.068257	255		0
25220	10c4kjfnvb3ud4dk2m0vkoht9g	$2a$07$ylceYIQLbXUcjI3CKkqZS.5hGtdJm0eh5uC0sW/zBpunwBVaPqLcW	104	2013-08-04 19:51:21.517498	2013-08-04 19:52:11.238212	255		0
25221	10p5txr0tg0vygfc4wf0znadhd	$2a$07$U2FaruNtdBjYL/KDZp4ZNuEVYiitKY8JcQkde8agVwqCVM.6JD/by	105	2013-08-04 19:51:21.538979	2013-08-04 19:52:11.35712	255		0
25222	10rypr74di25hc8pkzz37wzfcp	$2a$07$CfGU/GPkPQFd4rUKYbOylu8uIYkc0A3tjNn2pmOt/4mCB4W5h24Le	106	2013-08-04 19:51:21.560572	2013-08-04 19:52:11.493421	255		0
25223	10xg5nxqfm8um12vmtxfx3xhyd	$2a$07$/DCarqf7Pdo/MNOfQx640.nS8rKVSUGYJNbV95ydnh1H5LpK51QVy	107	2013-08-04 19:51:21.581931	2013-08-04 19:52:11.636372	255		0
25224	10kx7neqqzuri7cw5f2ab72u1b	$2a$07$AOaQLXwpaetrAfzPIyFfN.6kfzbpZvHJfhMG74wEZw504xJvsdNDe	108	2013-08-04 19:51:21.60493	2013-08-04 19:52:11.767777	255		0
25225	10nl6w4t5occmv7idbj314n0us	$2a$07$WPsyhy9.vq/SoWmvBFwTVut37/ET.gLxnOtFtxPfLIoDKZ8U7cXa6	109	2013-08-04 19:51:21.62786	2013-08-04 19:52:11.90741	255		0
25226	10z348ejatw9pby5kswkb4c2br	$2a$07$KLl9EyXpp3SaLJ.tAAgVGOgtZNhKET6LiE1qdsT80hC0m3sN87xUS	110	2013-08-04 19:51:21.649524	2013-08-04 19:52:12.061818	255		0
25227	10otpettaebq57clt9p71jz3oy	$2a$07$yD1Kc4S02uku4oJWt5mFxO6JiA.1g9amJhpA6bPV6vGu/9w7i3ggS	111	2013-08-04 19:51:21.672604	2013-08-04 19:52:12.212057	255		0
25228	10ux4huxkv44gkfsv02s0iak1v	$2a$07$.4cplbYDgtUmuQqROLTa5uM3HPCCC9DgfEObaDSdXlr9FCFxH/5Ru	112	2013-08-04 19:51:21.697692	2013-08-04 19:52:12.335634	255		0
25229	10vv54p1tq1wfesxiuklirhoi1	$2a$07$R7IyjQCyk/XljpZPrCLotuyOSXyFtfA90LlLWwXOBGqqrHW1MM4RS	113	2013-08-04 19:51:21.729728	2013-08-04 19:52:12.443217	255		0
25230	10czmaje51buqtmhqtjigfpm33	$2a$07$GeNTCqH4KF/DZtHXMsTDN.eTdaysv/RJUwDddgzQkCDStuWvTBwe.	114	2013-08-04 19:51:21.751392	2013-08-04 19:52:12.58797	255		0
25231	10mkng73ni8ejngvfjr5hrg102	$2a$07$zyrr1NeBWb0stO7Xi17KbO5YwYRHbO/lv/1xBHXvlEpVEUjX1xsDS	115	2013-08-04 19:51:21.773082	2013-08-04 19:52:12.772722	255		0
25232	10c9c4izonx0k2ajhum5h9qayf	$2a$07$PPOavJDLepHb/rklMUY3NufMlx3ZzFaoyMgcOnBlS75n8FZqhrU9y	116	2013-08-04 19:51:21.794803	2013-08-04 19:52:13.012956	255		0
25233	10qo6w6a3zsctjwoihx923wzeg	$2a$07$/0EzjTXSEd/bjlxagydj7usBJDGDGLAgojz4FjvTyWD2AhV/OWLoW	117	2013-08-04 19:51:21.818207	2013-08-04 19:52:13.173941	255		0
25234	10ijwbnjg486r86iyyot6a128w	$2a$07$HkWucpUMMzDkQxFolXRhF.um8DQz8Gxwxb9GqDIfjwQwa7VYqw/TS	118	2013-08-04 19:51:21.847401	2013-08-04 19:52:13.331237	255		0
25235	104xl070xgkdqbsisb005adbq6	$2a$07$1sn9T0qXd9jo.DmQPXXFmu4Xm/Bg.oX4hg0ujpbp5RDB.kcF5hPTq	119	2013-08-04 19:51:21.872865	2013-08-04 19:52:13.517716	255		0
25236	10y96e7l9rxje0m36pgck7efdc	$2a$07$zYhOMzHE.QVFjukNxzhb8O2ijdkKRejl8tPoUXAX/EwMMq58WXDg2	120	2013-08-04 19:51:21.907177	2013-08-04 19:52:13.682873	255		0
25237	10pz4dx9kgs3h7wz957ugzr3xj	$2a$07$vBqiMbML1nuzSVRKfAzp1uBSLzrbHhYlNn2nltwG77M/96fH.PWpy	121	2013-08-04 19:51:21.929046	2013-08-04 19:52:16.300212	255		0
25238	10jx3g8hqtmjfqlot2qct0vho8	$2a$07$ZvJvzqp6KUYnRLQL/JoLG.rJSKxaHRgBAz99iFfCJoxOpyLniVyEy	122	2013-08-04 19:51:21.951856	2013-08-04 19:52:18.789731	255		0
25239	100dhychn9iff0qu7eshlea30z	$2a$07$7nxEt4.GaKImEIMuv152qe4E32R8is4eAfZdVg5uG4AqMH4GZMMwe	123	2013-08-04 19:51:21.975665	2013-08-04 19:52:21.552067	255		0
25240	10tb78mon4ywo5ib3tvbvavplx	$2a$07$As3fvqxK5yyOxw4gy38VL.bJDh0/Hos4hrYrC7MpdV6faQdPkO02K	124	2013-08-04 19:51:21.999779	2013-08-04 19:52:24.663737	255		0
25241	10qgjraf39u97lq6qnsmhwrxkz	$2a$07$u74VgSF0DQgGhQrJG5/sZ.e5CPhCXPdlF9/y9QQW23UFgFkLkvoFW	125	2013-08-04 19:51:22.023063	2013-08-04 19:52:24.79214	255		0
25242	1074n13bz7ixym6ww173mqz5ci	$2a$07$c37bjWHbqW5qH/QYMC.Xg.jKzcFZ7P47vp95/1ujwFs40NnA7eYq.	126	2013-08-04 19:51:22.04549	2013-08-04 19:52:24.937226	255		0
25243	10nhpjs4yznk4r7d9qt7i46i7e	$2a$07$T8bJuPIXncza0Zn59zN13eFwFqozVNyU3cXkU0gW3JZznUvgmVPFu	1	2013-08-04 19:56:19.138092	2013-08-04 19:56:22.257898	256		0
25244	10rjaxc96aqhs7dsyp99dlg81l	$2a$07$JOlurSL4fAwgF.Kl7e.hP.mK8PVAV4yV4olnisjU0/sjsMjXGc88y	2	2013-08-04 19:56:19.164681	2013-08-04 19:56:22.414037	256		0
25245	10pc8d4ch200blvn4wn32qeve3	$2a$07$d.uyzqX39zCFrv9WFS5Iiuj7Zxg5cqt1txmguuyBzcXVUqmhYEz6S	3	2013-08-04 19:56:19.187134	2013-08-04 19:56:22.564813	256		0
25246	10t1x58pnrmlfvrnm45pxqu1am	$2a$07$pN39benkGjWa8AdJBxrom.q4HF9lYE6rnYPR7VHzXGVmI3k4cLuZK	4	2013-08-04 19:56:19.210521	2013-08-04 19:56:22.688343	256		0
25247	10z49cnogd0er4ls5hc9api5ib	$2a$07$/30HtMHr4CV0K/y7pU.OCev9dOx87cpWLEFfIfh3EZ99rmntyBC1u	5	2013-08-04 19:56:19.233179	2013-08-04 19:56:22.846448	256		0
25248	10pnle57mjjcullhbl44iv163c	$2a$07$qIJLH1c8QrudVYYJJU8i0Oi6Fajii23KbCqm6LX3AfWZXPKd/Wr.S	6	2013-08-04 19:56:19.255411	2013-08-04 19:56:22.967792	256		0
25249	10tajtyn95g1bvvhyc4jpvjseh	$2a$07$6rDwIW8oaIGwe.Fea.HIUOtHKy/kb1i1N0r8fsV1QCH.rryhKr8se	7	2013-08-04 19:56:19.279688	2013-08-04 19:56:23.12056	256		0
25250	10nh24l1rufgsf6mg8t7bl7qlv	$2a$07$57EhrgCRF3sW6MT5u/Zgs.thm/X/rDI2ca.pHqB6tgm4sV6Oaxq..	8	2013-08-04 19:56:19.303376	2013-08-04 19:56:23.252839	256		0
25251	1058itcpyaoc7hd2lzx2226reu	$2a$07$dlJD.zB6BITUgvs9idz3vO0dt6EJ2cK.HPoa8oJt2.Y0ICEDbMnS.	9	2013-08-04 19:56:19.325589	2013-08-04 19:56:23.388645	256		0
25252	106yjjc6owb006rxkgretogneu	$2a$07$jZf1K5UP0YIBGCMTllzSVeu3IGc2BSw26reN2jSxrZlnv7JRBuf/q	10	2013-08-04 19:56:19.34767	2013-08-04 19:56:23.524219	256		0
25253	101pxd1l38rkk5xpy1h2nurldw	$2a$07$EXDGuLJ3Dtdt3BQiAnfTEeETz0MV9bIa9roBRmLau6kvjDBuCvIsy	11	2013-08-04 19:56:19.370392	2013-08-04 19:56:23.664492	256		0
25254	10uxejc4zsp3gtchsl7zpj9ukx	$2a$07$G.iktzJrSYHv23ATypNhjOVffgeswmrqA9dPPK1oaSh5QoPSf6XAe	12	2013-08-04 19:56:19.393551	2013-08-04 19:56:23.793918	256		0
25255	10vfo8wtazfyc8uc3x57nihyka	$2a$07$LUP2/9.97SIPNOWQO2fUTOzqMZlg/ZNuAKrZs1ihQdS5jrdBBWZKW	13	2013-08-04 19:56:19.417883	2013-08-04 19:56:23.939394	256		0
25256	10ccrpn4v6fvtsqlcvfopf66g9	$2a$07$hh.O/CwsbWMitq23EJx2De8WMEEX1Y7XUJHucTK7dyEuda23hiHuW	14	2013-08-04 19:56:19.450996	2013-08-04 19:56:24.071686	256		0
25257	10dn0gg46qgjbv0hpp14ec44ax	$2a$07$9qsNmDp/mCnVsZ/HWcqshO54EgjnE6bLo4TmahuKnJsQuLwMocnx2	15	2013-08-04 19:56:19.484625	2013-08-04 19:56:24.19866	256		0
25258	10nmybmn6axup85yjm31ijr0mz	$2a$07$XjF97pETZz6P1sGP8g5Ac.3dyPzH.R/JWZapCBCPrehrNJN1EnEDi	16	2013-08-04 19:56:19.508464	2013-08-04 19:56:24.348374	256		0
25259	10qtkfwsfgav5tgljvoljijiyi	$2a$07$MTeGtScZ4h.dXSF8XhKseeh2D9MrmDD0I7MvG1MynwzW97w4kbsKu	17	2013-08-04 19:56:19.532825	2013-08-04 19:56:24.482046	256		0
25260	101vy0yu3nxuw6a5r6a18xu0cu	$2a$07$mR7ElHz9JevrWIVw/y.DSebnbR9uLuRTG97DISdRwE1ZitrHyKNd.	18	2013-08-04 19:56:19.555561	2013-08-04 19:56:24.652114	256		0
25261	102fyo1vsr41mpdgs22r1ofhty	$2a$07$PF1eFngbSeSIAm/OfkhB6.YPm08b0sQnLls82QvIlwM9QeSzQR0N6	19	2013-08-04 19:56:19.578331	2013-08-04 19:56:25.686977	256		0
25262	10f7th6jiap6y26z49361f5eqt	$2a$07$EZIWM8VzlE3kyKmLqV/orumOgZjW7PeMoklXzJ.RJqEicIZZkMNh2	20	2013-08-04 19:56:19.600836	2013-08-04 19:56:26.670875	256		0
25263	10fjp5hsntojf48b3lmmf6vu4z	$2a$07$l/TiRvnilNzQAuw8RYl/yOITEA9BXjqtiPaIrugrA7sVkNFQJopr.	21	2013-08-04 19:56:19.624872	2013-08-04 19:56:27.674603	256		0
25264	10e4p7cbkbt80x3wiajzwgmibn	$2a$07$N0f9EZVm1S/c.oRswUWIDueZ/2ANyCdNJpoSZIqZFJ.yatTbVnqna	22	2013-08-04 19:56:19.649958	2013-08-04 19:56:27.83704	256		0
25265	10nrkpp0nz9vimtcjemc0lsq0z	$2a$07$Pupugly8PBTB.PREIHpIvu1zzzUkzISgsKsHAiUraRnSEIczdZ.xy	23	2013-08-04 19:56:19.674388	2013-08-04 19:56:28.002689	256		0
25266	10m5ssrkshn7y8qz33kvyvpy1v	$2a$07$a2oiqXs4sg./Z0rE3pL00.BH966P.gwFyskU4jfCr1fazHffTmCmu	24	2013-08-04 19:56:19.69665	2013-08-04 19:56:28.160149	256		0
25267	10pr9utjcw9le0a6skdfgwwj1x	$2a$07$Y4Y21Up2Q00dKWGyalZ/LeFBXN0VgnGgfUoVvv5Z4lOgeBg8PMamG	25	2013-08-04 19:56:19.719517	2013-08-04 19:56:29.707374	256		0
25268	107r0c5af5yc9wae43nn948z38	$2a$07$.JrBDp73jELYlKYDAu7t9Oz.G4wAfiXXfmK9.jPEIPgovPpyiJ1iq	26	2013-08-04 19:56:19.742061	2013-08-04 19:56:30.852975	256		0
25269	102w0ywfioy87r6qp1p8w3w5m4	$2a$07$0LQPqb9P/L51J3xeyCz09O8D8yzCVVNwvv.MQjFV2W0oA9od74M3K	27	2013-08-04 19:56:19.765928	2013-08-04 19:56:31.955652	256		0
25270	10yw6ykxq4gtqn66ow47zvgtdn	$2a$07$BMnCx7MYu7u3SH2H82yzd.9vxmxypOkvLX5EudNJWHI2eVSbMrbba	28	2013-08-04 19:56:19.789546	2013-08-04 19:56:32.167853	256		0
25271	10e0fx7uitf80ye1usbxbwhxut	$2a$07$cqYbK0iiEblmJono1x2tTu4vGz88.JLU6CWonBMmf4OJfzGm3NAei	29	2013-08-04 19:56:19.812235	2013-08-04 19:56:32.346733	256		0
25272	10uj0opd7cokrm3mkvrwk3hhqv	$2a$07$NfzsumYLB6Pcpxy4lkvdU.dGDC5bQqMJGJRNpqLenQejf1Bb1K8MK	30	2013-08-04 19:56:19.834541	2013-08-04 19:56:32.519659	256		0
25273	108o3m6pz0zjrh3d3k8fjnn4pr	$2a$07$ekGRDAaTX1L62ENa8FLmwepa4d45dPrVFOdQ1nZajrKA/XdyTtgYC	31	2013-08-04 19:56:19.856519	2013-08-04 19:56:32.694719	256		0
25274	100o3t29h3yehc51aly5y6q0y9	$2a$07$foLcL8BkPfocAIZ.IidgaeRI8Yq4MM72XXWBSs/.bA8j5fBHFaBYy	32	2013-08-04 19:56:19.878422	2013-08-04 19:56:32.89412	256		0
25275	10z6et5sh5wxgz5h0migzysqyx	$2a$07$GtWXBsML33nEbGWx2bE7qePAn4HSHYuGzU72IAPA1oM.XldW445QK	33	2013-08-04 19:56:19.902158	2013-08-04 19:56:33.05867	256		0
25276	102hlx81loy6ebcrlfbi1cvbql	$2a$07$R6NFg6KNjGgyMaDljrCS0.I3Nk.8neJ8dtl0C8nRXWUSH6ou0uNrO	34	2013-08-04 19:56:19.927409	2013-08-04 19:56:33.181788	256		0
25277	10zew6wl9wfhelezhlpohby9z2	$2a$07$yltR3D4Z45eOxxCriMt9KOMscM25ouVUdt0SrkMTWFbxUNaUcQmIu	35	2013-08-04 19:56:19.952338	2013-08-04 19:56:33.314638	256		0
25278	10yammphoc1e1jbh8anz1itpo7	$2a$07$inejEprWjOHL70DxpuGGY.NR9UlCt6r1phzEOxqdHl02ntg.SwV1S	36	2013-08-04 19:56:19.974503	2013-08-04 19:56:33.535052	256		0
25279	10chgsbbxm5m8dpg8wrf9z2jb1	$2a$07$4WQZxBAP6RMep.SJt9tHyOpNvo.nMnGqPLFB989pLzKb5RzLZPAu2	37	2013-08-04 19:56:19.996529	2013-08-04 19:56:33.680263	256		0
25280	103tuea6ujsoytxk87xwq9y7tk	$2a$07$TRyR6NFTTtloAjlXPpqZ5.CoDJFXHW4tuxJq6.yTgbQwocmG3tu3e	38	2013-08-04 19:56:20.018508	2013-08-04 19:56:33.831251	256		0
25281	10l99ghk82iils2p4wcpuf3by4	$2a$07$RL.DdEAYscOrWh0w.AIGXuqrPN/uywFO0C5XnzNJuQ1G4agi20IyC	39	2013-08-04 19:56:20.040376	2013-08-04 19:56:33.966014	256		0
25282	10w4hy27cmkkxvaohlcdgge621	$2a$07$3K1Bmkz6NubB0v8Zue99TeIvay2rK2OGs2ypfJxFffl.Id3jcFhrG	40	2013-08-04 19:56:20.062109	2013-08-04 19:56:34.106364	256		0
25283	10qxvtef9qcozjqxgy6lya04rk	$2a$07$VqzhN.Wyg3gAT5yaqvMmDefJ4sDY2FMaTUdtnawgq8AxUsOR0KVbK	41	2013-08-04 19:56:20.084134	2013-08-04 19:56:34.249522	256		0
25284	10dcm3ki07vz19wu78rnnf0y4w	$2a$07$2zaycgsv1eSTCRMIt9yDTuIHN6iwvSdAJY06bLZlgE1StLFbEvEkK	42	2013-08-04 19:56:20.105908	2013-08-04 19:56:34.383778	256		0
25285	106t8yw3jblqujmros19n4i7d7	$2a$07$hinpqEG/dCAZI/1a6f9wqu1.FwNog7WKdeM8MEwQTNZ0OYfdycN0a	43	2013-08-04 19:56:20.127901	2013-08-04 19:56:34.548232	256		0
25286	10j5khxk4q0f482f6npxau91qg	$2a$07$Wf3Hw99fNnaxhhabtoOUn.JEk7RVUsGPEyCC6U5Qs5u4tpUYUWXdu	44	2013-08-04 19:56:20.149618	2013-08-04 19:56:34.811995	256		0
25287	10yc3j2jlel0228pi01oggrovt	$2a$07$qRSla4Y9U/nZg8H0NEh5Iuq6u25itssyvsfY600mDucM1PhIfKnBm	45	2013-08-04 19:56:20.171911	2013-08-04 19:56:34.997813	256		0
25288	10rg34qip5ytiq7o4omjt3bfub	$2a$07$oicVdqBG//XOCP54YQtA2.SMlVdl9nDRiOziE59lPMGyXVqgzYP4W	46	2013-08-04 19:56:20.195309	2013-08-04 19:56:35.146336	256		0
25289	10xqgmy9s1kwj7y1k7420uf2d3	$2a$07$3L0nQkD1LpzHIKzr8FfqkeT65Ftts1rTcvae4I640AwbsYDF/RXbS	47	2013-08-04 19:56:20.219055	2013-08-04 19:56:35.283368	256		0
25290	10rfazs0sguzuq1grgfuqubsmm	$2a$07$8PfAc47XKI5QP/mCg4ksaeAZoTzY0h5AsCumMGtGT6V1AgcBpdOdu	48	2013-08-04 19:56:20.243492	2013-08-04 19:56:35.418015	256		0
25291	10lh68cxhjzozoh6ri4ensrfwb	$2a$07$Dd3.vpBlnp7jZgkA1KIrHuQgRQsiL5C3VV2g1l.1aL/Ah5Na6Zcs2	49	2013-08-04 19:56:20.267052	2013-08-04 19:56:35.573511	256		0
25292	10v5ghu1sc8l0dncqviglh0j3q	$2a$07$hzDOtFgIrlE8XPjA2K.F.eIDHosfU6ARj.u/i58/w0byddvdhetmG	50	2013-08-04 19:56:20.292426	2013-08-04 19:56:35.699138	256		0
25293	104wqxb0b9vtptj30befcqfznh	$2a$07$EHtVV9u.g.iRTF1QFT4eJOqO0icE7w3wgbNHaJunYwqWj4478Cg/m	51	2013-08-04 19:56:20.316837	2013-08-04 19:56:35.838224	256		0
25294	10moia1u0umssixp21el0cugp5	$2a$07$iwaiywvPvt9WJHDGjD0VWebANAoxj0lETYlqc0qfuuDamYbsFtVeO	52	2013-08-04 19:56:20.341022	2013-08-04 19:56:35.969419	256		0
25295	105mcnr5o32d74sq2l1gl9gn42	$2a$07$RVDniYYjTnXEwAiDbfv.0.8H1XltSbv37SGkkMwlgxQWXlCeLw/OW	53	2013-08-04 19:56:20.364076	2013-08-04 19:56:36.115122	256		0
25296	104ccw4rheeus6g9w699vjsois	$2a$07$8tHJOM6zpREApTMMBq2X4.ZEroxLIn2bw7FanLY6GlQjYjQX3Cy/6	54	2013-08-04 19:56:20.385988	2013-08-04 19:56:36.257583	256		0
25297	109m6n6q5alpyvi52u03h5iv3s	$2a$07$Y8q0DZiIYumPJ9FJOygtbOeoKOgd4P5I1xGxu6K.p6pnDE6JW9K/m	55	2013-08-04 19:56:20.407901	2013-08-04 19:56:36.379819	256		0
25298	103hhh21af1etbe5nqyyezlfyl	$2a$07$h8QRCORXYhMrtquYdnDg7eWzUEqBqdRkymWEBro1TdTtMiS5gWKKa	56	2013-08-04 19:56:20.430381	2013-08-04 19:56:36.516346	256		0
25299	10iry6xl1l2ylv1rf7n5q5zrpu	$2a$07$yiin5/T1wbStatuK4NmrueT9mZ.HwGcAWjmNaEOLyluE2kmlSUrTq	57	2013-08-04 19:56:20.453543	2013-08-04 19:56:36.679468	256		0
25300	105whyhtutax28na96lwenc243	$2a$07$XxnclU1wg1uDdJdbuS9vkOE/aXdzwCCyNH2nA2fiJOgZpfJ20sQz6	58	2013-08-04 19:56:20.478197	2013-08-04 19:56:39.247281	256		0
25301	10kzlt86yiq1zqd5t1hch1z4b9	$2a$07$FL46/tQN/sYHi5sxeLElXOxvry..GNZeOYczEqYpgYaNldkdq.st.	59	2013-08-04 19:56:20.500835	2013-08-04 19:56:41.862876	256		0
25302	10aazl07q2uf1ulbpjmvg0q1uj	$2a$07$7Sg5HvOOZgxtzu5eaT.lcOYP60G8yk67n5JpCY3MVzYode10qxC4q	60	2013-08-04 19:56:20.522828	2013-08-04 19:56:44.572827	256		0
25303	10r9oi2iq6pr42sq1tvd09ps52	$2a$07$b2O0tjGPG0iE3NQaNuk9a.TZAsWkwtneE7c6GYjMublHAswfUrzYK	61	2013-08-04 19:56:20.544663	2013-08-04 19:56:47.27738	256		0
25304	10o5afxlnncm6dl4hn9o7o9oau	$2a$07$9aI3VQdj4FzuQ.9GyFBbweIrfN79.Blq2zSmoQ1xFVHxg3TR5Qel2	62	2013-08-04 19:56:20.568661	2013-08-04 19:56:50.148402	256		0
25305	10xqqr6io9k4ifrehzudgep7f8	$2a$07$DXcM6JoaG5EqH4Wx5MZLTuyGtoGzHoVwYs8jeucEu./Xil4AorTJC	63	2013-08-04 19:56:20.601342	2013-08-04 19:56:53.230251	256		0
25306	10p0dn5z01eprmb0cyp1vrxnzz	$2a$07$8tyG2Q0T.x6CqCQlh/dzROQUGI4ERbfg/3i3j84wjLTigxBMS6nea	64	2013-08-04 19:56:20.636218	2013-08-04 19:56:53.37865	256		0
25307	10wjgvwyoxlgppgndlbna6g8tb	$2a$07$ar7qaX/erOS8L/k59yCE9O48ucOcWTUGzllcBsSy3PJPT3Un2ZvfW	65	2013-08-04 19:56:20.658465	2013-08-04 19:56:53.521518	256		0
25308	10n53b3imvmspgxs8bl70we8uk	$2a$07$QCmHLyGzj2Csi7vyE.tZ5.suuVzyu2cYeQTxAwTXtzfNejLPtC0nK	66	2013-08-04 19:56:20.68212	2013-08-04 19:56:53.684921	256		0
25309	10xc0v2ljbn7zi0jq3akvgmnvj	$2a$07$jXbgOXHFG2jroqr7g0DyvuQDx5NwAzpsZ5bNGu26puI8UoE9SI2Wm	67	2013-08-04 19:56:20.706465	2013-08-04 19:56:53.844163	256		0
25310	10ndh75ossbuwvmpnyt8j5ft32	$2a$07$BxevIrnTGU.VA5B2OPLPa.yuXX6C4CPPWpPEdDew5h9HTCFs5qT3y	68	2013-08-04 19:56:20.730674	2013-08-04 19:56:53.969741	256		0
25311	10imej9cob29yt8zc0klc3nd05	$2a$07$ivbmIF0oFTfhNQRxjM8PXOeYKeLxKw10wEqeFUJnZwZamHxAXKJqC	69	2013-08-04 19:56:20.754711	2013-08-04 19:56:54.153731	256		0
25312	10dhs52nbv5rnjwu8otmuzdto1	$2a$07$ryhHG3P8SsG4wjaVvRt.a.UJddJmehzFtw6hTMmLdsLsZS3xglMfa	70	2013-08-04 19:56:20.777241	2013-08-04 19:56:55.775103	256		0
25313	106otsakxvi5arx3q0bm3pyphl	$2a$07$qWuzgSEJnbCyDsiINOnoqOkxXosMPKJJny/urMLubC1388XY4.dkq	71	2013-08-04 19:56:20.801962	2013-08-04 19:56:55.909937	256		0
25314	10h0qa265ouzmm35evp40qhp1i	$2a$07$pU4CbL.9rmIQ92J2NwwqOetYjGvLTXD0yVzz2yUX9uAs5Mm9vnhDC	72	2013-08-04 19:56:20.825107	2013-08-04 19:56:57.088999	256		0
25315	10jtwj0ywvrm1s3ufrzalwr7c5	$2a$07$3.NJyrfOQ/5IdVFt3b5j2.OnXV4zs5UK1tQjakEkdgJaZjzjxk5f6	73	2013-08-04 19:56:20.848789	2013-08-04 19:56:57.234648	256		0
25316	10bmdv31c8uuta9cmu8ucwl0t7	$2a$07$Cyk6a0wjnvnklGiWojA0P.4vdH9p3TSndEqmDmCDF91J9ofUhnlxq	74	2013-08-04 19:56:20.870861	2013-08-04 19:56:57.36025	256		0
25317	10moh63plq1v9h8ogcyt1nfzjn	$2a$07$q3hVmuV6/p9xEE5h3ed0x.9qGmU.HxZu3NJdm82U2wFv/hFI1vy7q	75	2013-08-04 19:56:20.892924	2013-08-04 19:56:57.590196	256		0
25318	10ya7gaxxm09tjsytmsq9d7h66	$2a$07$xyRAvsjc9nXb83kAuOMO.OmTSCXw/oz08hMe3QLnnJkpqk3bc2Jfm	76	2013-08-04 19:56:20.915047	2013-08-04 19:56:57.771332	256		0
25319	1044ghgaaaawm9lh2qunxcl38z	$2a$07$oNaxQxIK0pxvPJ0yL1Wu0On6jw07AVCX4V3pFzZbYzDHl3bFQ2B/y	77	2013-08-04 19:56:20.939102	2013-08-04 19:56:57.911309	256		0
25320	10raax7l9ybtnnd4xhiydrshar	$2a$07$HYNOtP4rdjEo2fIokL89HOSMy0kHhyesTN9SmE4LZgz1n40KLLCz2	78	2013-08-04 19:56:20.961988	2013-08-04 19:56:58.147294	256		0
25321	10g2p8vd56zof9my2lv3951gl9	$2a$07$p86Eu.ktwbu/j9s4WH5/kuSWZ7NTVQk/Sz5szIXyrFzsdmruvuUrO	79	2013-08-04 19:56:20.98463	2013-08-04 19:56:58.270457	256		0
25322	10qmu3stl0vgs00yemy9qc3zqg	$2a$07$m8dqhCj/5Tbgd0kA8gW7uOCwqsLNjGK.zOql38lX.P.IlvuY0Rz2i	80	2013-08-04 19:56:21.007649	2013-08-04 19:56:58.472594	256		0
25323	10sa99n95d3g3zx410ikf3uonr	$2a$07$ZixrP1gOid/DuJqyPmkKp.ESQhAJac07j82Zm23L4yXxca/tfSrAK	81	2013-08-04 19:56:21.030407	2013-08-04 19:56:58.690421	256		0
25324	10w7sjlgpd0nhm0gbny3j3q234	$2a$07$d1q5G/l7MT4f7wU5rfchleFG4yWBvAuVoXgz5T5MDeT0jPh4e4QOi	82	2013-08-04 19:56:21.05314	2013-08-04 19:56:58.845002	256		0
25325	10owj2nr1f5hfqfx7g6ya5cli1	$2a$07$zK.E1Hl9xAqYdwUTmkOYC.bACpBEbvFJXdBgplWMZPyJoSRoJwnX.	83	2013-08-04 19:56:21.074668	2013-08-04 19:57:01.484508	256		0
25326	107cg6qflw86kt416qd10o99jx	$2a$07$lK0lBT7GeRZeYi817Rf89.heXkHN9g1txljxr0rQbMjnjmaOV8Zse	84	2013-08-04 19:56:21.096404	2013-08-04 19:57:04.345581	256		0
25327	10dl8mar94ho3gd4f2yqkcmq03	$2a$07$MK2qF3wnDsuldq.YgyGbdOMCv8GUzqpzR6EQkCjHXiIDKPvGQx.1i	85	2013-08-04 19:56:21.118737	2013-08-04 19:57:04.47304	256		0
25328	109gt50rouoowahas289h2l7o3	$2a$07$yJr6UbU.Hx.r84HG5GuvzOcMIBvC1fvYjH4yR1VF0cmRKZMMd6Moa	86	2013-08-04 19:56:21.142662	2013-08-04 19:57:04.609822	256		0
25329	10go0tg941azfnqo3flu8r954c	$2a$07$BiKfDwQvyHFrZyL5TDtwV.2Lu8dradgLWCZlmSve6wnbFLat/SbBu	87	2013-08-04 19:56:21.166581	2013-08-04 19:57:04.755202	256		0
25330	10xd98t13j2cl1bigsyj7236vj	$2a$07$ZcHbZumC4p.Yh8GCLMvvtejf/c7TLls5J3.T5F/TfhAtNPYYEbOLS	88	2013-08-04 19:56:21.188556	2013-08-04 19:57:04.904842	256		0
25331	10bl9pt2ki35zn844ifuna16pu	$2a$07$3BQ8jW9Uik9gtfHeoSRXxOnlolTF/A768FZgRxhXJPol0tWPm7pUu	89	2013-08-04 19:56:21.210612	2013-08-04 19:57:05.066423	256		0
25332	108c3aci9500rbi54irno409g0	$2a$07$KoAtOMAw0nS5yhURo8LtoeDU3kPbItLNWS7wHo7bP/h6KTBaaLAXq	90	2013-08-04 19:56:21.232749	2013-08-04 19:57:05.222306	256		0
25333	104rz3u155jdszpwt9wfs8exru	$2a$07$QK3h1cDAHF4FklA52AQ3YeJYEG0tF/PA7hQe33vruApjoKlinVfZW	91	2013-08-04 19:56:21.254583	2013-08-04 19:57:05.368626	256		0
25334	10swm5ccj2s3abncnpw2hfyc9d	$2a$07$XFbfUFZ1qP8bqZVYERoun.wAzvLjCeZD9mekL/NeyHGp0rJ2.PuUG	92	2013-08-04 19:56:21.276143	2013-08-04 19:57:05.535873	256		0
25335	10ckfcx5zkc7aji3xdb5j2cjaz	$2a$07$p5R6Tn0Fyd0Fh31C3qgo9OhssUdD9Ru7edUegbhGZrOE0F8l7POVS	93	2013-08-04 19:56:21.301291	2013-08-04 19:57:05.688453	256		0
25336	10kak0x2cqnrivc0s2ith3qzv2	$2a$07$n2AAntNUq.vltiCulmzRO.dmymM/zkayTDNbgdLfBUAyvjQ5VilTC	94	2013-08-04 19:56:21.324676	2013-08-04 19:57:05.832043	256		0
25337	101j1mp3axul9ld391glzn1yjj	$2a$07$pdlqk1jc9fL6uRDMjGxdsOXsmQvQnuaRM1Kgh5z.pqFjtGfCuTk7S	95	2013-08-04 19:56:21.348125	2013-08-04 19:57:05.98013	256		0
25338	10rr6hnpuf0ui523gvwkqlhmfm	$2a$07$SJ4ah1o/MZKbx07IVf/PXuvARpu99ZJ9ud1pr6/pR4OYel.TLkc6u	96	2013-08-04 19:56:21.371076	2013-08-04 19:57:06.126022	256		0
25339	10zmb486fr7q79rz7bdnzku06x	$2a$07$xrzBGHF/XYIAQWo3GK3mKutBVc9VWVl.hTRz8gwhTu3QGzMstcn0m	97	2013-08-04 19:56:21.393105	2013-08-04 19:57:07.679814	256		0
25340	10x0wgfvrbwoiiwxp3rzr4srvl	$2a$07$lcwQijsjMLJBcz2JgL6B/eV/B7ggPCssjRsCzSmohgRLGU9NLIP7.	98	2013-08-04 19:56:21.414988	2013-08-04 19:57:08.867939	256		0
25341	10f49p5rap9l978fhj5ig9n3wx	$2a$07$xiMcyWW.EqwK2uNphBia6.Td.UMG8OI5RXmLdWVVJXqjcNaqQ8.wi	99	2013-08-04 19:56:21.436995	2013-08-04 19:57:09.015526	256		0
25342	10wbc6uhnuhelh61n3s2dnvaf2	$2a$07$aSc/3cHidcafkZSMksGcquC4V3ks9tgnjDqmHPyzYgf5JzzM7vmUm	100	2013-08-04 19:56:21.458815	2013-08-04 19:57:09.176246	256		0
25343	10mz0up62pw2n6e6hp6lgbrvzq	$2a$07$MqCGe7rpBkDM4whepQK4MOWyMh8GFoV7Nf5t.ba0ZTnzYo3ftOcxu	101	2013-08-04 19:56:21.480442	2013-08-04 19:57:10.418104	256		0
25344	10592mp8qz5imtpx4xnyxsk35q	$2a$07$SPlZnSWDFQDFqDe7AdwkWeZaD.ueYPLK4Hl5JHcUAqRKndfDJ9rkq	102	2013-08-04 19:56:21.504199	2013-08-04 19:57:11.429378	256		0
25345	10d9uaztbfbj67lw2zl9elnx6p	$2a$07$LWqeMBBCQjaefeFC3uLrR.n.Z8v4Gljt21jwbTO/wlagNyVJn6NpS	103	2013-08-04 19:56:21.535977	2013-08-04 19:57:11.604717	256		0
25346	107i87bhzr3ixbo8iwnssau3bm	$2a$07$P1TklmW8BrQ8q7O.sGuYHuH8XDb7E7bwYJxpjEnMLqninoBY8iWYS	104	2013-08-04 19:56:21.568064	2013-08-04 19:57:11.754071	256		0
25347	104oa0bhrae69t56k4kfrvym08	$2a$07$QdaB8YCJFo52nvc7.fSxeuGBQP7k8/EQqwOwOERmRvh8t8P9cIKJ.	105	2013-08-04 19:56:21.589585	2013-08-04 19:57:11.891852	256		0
25348	1039svrz20r0xcba53hk2zs7m3	$2a$07$RYAG4e1JpmnuK3MKFkdAmu1EextQliIZEQ35My4fFgvk8ErbWi.he	106	2013-08-04 19:56:21.611165	2013-08-04 19:57:12.035191	256		0
25349	10q47px4gfkdz1z05njqbkpqkb	$2a$07$CAmUbNq0wlFTncOvVCUnL.ll2hZPc2MGZaxEhmvfLY4ITyVQiBkyG	107	2013-08-04 19:56:21.634038	2013-08-04 19:57:12.278776	256		0
25350	10neh9wob3muxf908dcqk6i2sk	$2a$07$546Op0.6etA.blb7LyVic.Mx/FS/xJQbRD/lidmCRmISKWTH9q0qq	108	2013-08-04 19:56:21.658927	2013-08-04 19:57:12.442851	256		0
25351	1073k6hi3v05eh57lvk8ybs94c	$2a$07$nSaolF6idSrOo7Ku2JpUe.76.IRpBuAYHfntFLY/tauDItx/l6hym	109	2013-08-04 19:56:21.68275	2013-08-04 19:57:12.585681	256		0
25352	10uapb15uflnssmsaerzpmfreg	$2a$07$M3/7xeM.pnOeXd/t291PUuMPCzujLZYwFlCHbBt6u8x7QxPsdcon6	110	2013-08-04 19:56:21.715546	2013-08-04 19:57:12.698378	256		0
25353	109lchtrf3ifj6xqicqvebgtpt	$2a$07$2lIo7YVoboUxjFZl/6jSmOqiX3DHukrDPnLhPZUZytuiYXqA8C6nO	111	2013-08-04 19:56:21.739654	2013-08-04 19:57:12.965389	256		0
25354	10q2lv0rrhblmtcfd0c0hocwln	$2a$07$3NkkeG09L7JAnAopxyJkceLVM2seRjVzVaDFGOYY0Atxf8VdZNoqK	112	2013-08-04 19:56:21.775783	2013-08-04 19:57:13.167521	256		0
25355	1084mncz0umsdc9je2k4abuelt	$2a$07$iOs3kV95rlMHifMpTWq/K./b2OBg2YTuUdSWNcIYd5olumGBUj4w2	113	2013-08-04 19:56:21.79938	2013-08-04 19:57:13.385529	256		0
25356	10x867yktqafwi7uacxlr0b95g	$2a$07$G.25b5UCCA/9C7Dm8Z/KHu5.opxb1e6xWug7MlXZ6CGHjiyOjPkDW	114	2013-08-04 19:56:21.822958	2013-08-04 19:57:13.610511	256		0
25357	107gzwzrptvhewey2fvlh1tgx3	$2a$07$80xUq6MiyeVGGZdo.sC4B.ZKmKsMzc.A2ajbUCMFmbb6yBnDT2Jou	115	2013-08-04 19:56:21.846289	2013-08-04 19:57:13.759748	256		0
25358	10ba3h55p31kfsmdx6ce8bxrmd	$2a$07$r.40PXIl4JpN09V5xkf9wOUnoyutR4zGJ.cHFOev2.2sPbpLzOzoW	116	2013-08-04 19:56:21.868238	2013-08-04 19:57:13.924675	256		0
25359	10dtboab3hk1sxqjanbqmywk6j	$2a$07$lZK21Yy5vXc6P6Z0Tx5enOJ.qLhnL5kNZs5.gXyYgstyPNDeWt86i	117	2013-08-04 19:56:21.889953	2013-08-04 19:57:14.086906	256		0
25360	10l2pf36fuiww2mujgjl3d6ete	$2a$07$sS7V5UlC77vsVuDLn7JSWuZCelLZBVsMZhBSJaWpqCviJh5DUEra6	118	2013-08-04 19:56:21.912162	2013-08-04 19:57:14.250592	256		0
25361	10331i3v3u6dl550scc4m7udmy	$2a$07$bzlBBvofLguAZ3FMVU/ut.SUnaldJXUitGRtMeYh9tCAhA1IrAT0m	119	2013-08-04 19:56:21.934228	2013-08-04 19:57:14.404337	256		0
25362	10q4hmg1m4cbxv9ra8pkvu6zal	$2a$07$MV2SXeA/jvlW7Sc0H.0U5esKpvzEF2lCcTegCLv2Ikd0fzikc53be	120	2013-08-04 19:56:21.957687	2013-08-04 19:57:14.535268	256		0
25363	108pbac8v8zgri0wxfvilohlw3	$2a$07$QBBhtQV2PZ0dBJ9CzEGOguLDJBlMRElD52Hg.aETGlhifyY4z.qeW	121	2013-08-04 19:56:21.98094	2013-08-04 19:57:17.136271	256		0
25364	10tkf7xbae008qv3rnu11875wx	$2a$07$p.hJmIg2QQTAKv1vzkCaFO2qXRtWZWDu897LdB3kZcoqGdvdx09j6	122	2013-08-04 19:56:22.004006	2013-08-04 19:57:19.709888	256		0
25365	101bzbxswjlzfir6riqxgz6djs	$2a$07$wZTOCdpZtexfhKFTPcghV.7NgxjkdI2BVEZ95AYCM5P4WLKib64hS	123	2013-08-04 19:56:22.027155	2013-08-04 19:57:22.319214	256		0
25366	102cq0j2nbn8408883mtg9ne7d	$2a$07$QhCr4xKVFoQDk.V5aQkdt.Dq9Vi.ORi/AsBwuSBGRwfdLoPiYW4mu	124	2013-08-04 19:56:22.049175	2013-08-04 19:57:25.337946	256		0
25367	101exp3pbfjgtzubxez1084fsf	$2a$07$xhmb73hbLkzR8KuF.vbOf.BLYD9agCSxx42qFQULNkQiedRQAkAAu	125	2013-08-04 19:56:22.072387	2013-08-04 19:57:25.539396	256		0
25368	10g9fxygfpzynj82t8rwg5quz7	$2a$07$OomtSblkYqmdeUXTFNgEou6v84XqsgAhlUmMIWlMLaV/ZTZA6l896	126	2013-08-04 19:56:22.095458	2013-08-04 19:57:25.790863	256		0
25369	1090b4ttfv6qlg69yglfzdqutr	$2a$07$bz1Bciosl.f.PtoxPvL9QOwK0LpHykzd9S0BxiIHhW.H1CwuK4pom	1	2013-08-04 20:01:19.084601	2013-08-04 20:01:22.326483	257		0
25370	10telbxhtgczm4pa8snm486moq	$2a$07$Y5U9mx1ukaWJdgh3P6lcbOmOrUF0hGJImJVEpCS/SkVOKW23xgf4.	2	2013-08-04 20:01:19.110141	2013-08-04 20:01:22.488066	257		0
25371	10xke8oaawtre3wwg38hufznb9	$2a$07$cXD.dk/kjXsDiiOIXnvpfO9sE2gassKX9saDqjWMTSNum3usKelWi	3	2013-08-04 20:01:19.139077	2013-08-04 20:01:22.63126	257		0
25372	10qz1q9fgk2ago0e6dhq8ksz90	$2a$07$HVROxEnafiW8SYYk3JOihurwZ8yOOjKL.VYmibH.qxNMRGxveXsgq	4	2013-08-04 20:01:19.172963	2013-08-04 20:01:22.773531	257		0
25373	105oltmmvke7rcrp6o6zajqwzr	$2a$07$zNfqcjWlkcuw54b.4HiV2.pl3ETkUCui5Qt06mWV4Q4.T3tGWVy9C	5	2013-08-04 20:01:19.206974	2013-08-04 20:01:22.916397	257		0
25374	10q64zt0dogz0ub2pah6wugdb4	$2a$07$eGWHXKWdD2lbLvjncn0wBeAkUyDsmo2gpre0bHJ2Uf0LxBCCw040i	6	2013-08-04 20:01:19.234154	2013-08-04 20:01:23.054823	257		0
25375	10vzgv9qx1kxiso7qcfwuwxuc6	$2a$07$gQ.nWV9WTclcZUoZaod.LOWjH1ftoVOO5edEboGnnetBgh4M5c5eu	7	2013-08-04 20:01:19.267569	2013-08-04 20:01:23.352722	257		0
25376	10uflllzmbfleijeqplkx6r8yq	$2a$07$JIZw2DvIIQ/hw10QGxhSBOjHFQ.h4q26ue0KjqXlaQHeyNOeej.My	8	2013-08-04 20:01:19.303396	2013-08-04 20:01:23.631118	257		0
25377	10td3zuflct3wnx1ztoc4c229r	$2a$07$O1KqQDTz8saX1Tcy3HSh/ONBW8sRLCzZHnIt5PMxU/N31soX7hQNy	9	2013-08-04 20:01:19.325496	2013-08-04 20:01:23.904434	257		0
25378	10ug8acat23nyzflw5nj9w125a	$2a$07$/G2z.wPF9CbPCePFKvWLB.BQ9458CHg.I7MvH8zDk6k9muibTIKQy	10	2013-08-04 20:01:19.348713	2013-08-04 20:01:24.065717	257		0
25379	10w06dyvi7zpszhnacukwdf78p	$2a$07$tdjh9FlYdYxLyTlwcJq3sur/iSjSZM3BMG0m/P624mqRAXZaGuqwe	11	2013-08-04 20:01:19.383451	2013-08-04 20:01:24.238392	257		0
25380	10u035aqlky1zzzcejcnjv9i63	$2a$07$RofD.Q5mFY6gfySfilSU.uI3W1TvISSYXXzU314kfeJvPyTnBw/3S	12	2013-08-04 20:01:19.405878	2013-08-04 20:01:24.35366	257		0
25381	102kcxyhky7lobo722w8dlzk5s	$2a$07$W0D8F2BqsRYcqZDzNxcRZerq9Id4.0QOBKMvMI7KSBeiH5JBhp52u	13	2013-08-04 20:01:19.429228	2013-08-04 20:01:24.494274	257		0
25382	10k1wfjoaplwgwwe4kc2u47ocq	$2a$07$nozzl5WtUnfbMMY50ymEj.06zmVosy3dgIO7oI76l1vXPuqySswOi	14	2013-08-04 20:01:19.453279	2013-08-04 20:01:24.616999	257		0
25383	10p2yqspecraisma0ixz2w1xm4	$2a$07$IYx0bGtTvnp1y5bPv6ORUOCLVLuAwQPKz5rSBuea29CYArgZW9cD6	15	2013-08-04 20:01:19.484678	2013-08-04 20:01:24.747446	257		0
25384	10rvydpyzgcec474cm7l2jbx8n	$2a$07$xsJRZgpN9OV2KA8rMWLUE.8LkZhs5.m9SpAf8sPxks6I4WkyNqb5y	16	2013-08-04 20:01:19.513468	2013-08-04 20:01:24.864546	257		0
25385	10w8tu4xvexcndpheogo4x6nwl	$2a$07$elQgaex2kMMvMf9o2WJYbOjs17C68jStKn57fUsCPXwbSNe8DKsTu	17	2013-08-04 20:01:19.539699	2013-08-04 20:01:24.993829	257		0
25386	10u5zkrue54ifu43hn91l48qh6	$2a$07$NSYO/3bEvsyJhJ9wIpGyFu9N4wnE/fGmVkWR/wFSY2hD9WmKEMVO6	18	2013-08-04 20:01:19.565613	2013-08-04 20:01:25.137447	257		0
25387	10y11k08r1w88d46ic0nkt09a2	$2a$07$B76xW7yVAafdqyM55YVP7ONZ0by.HEZnDcAqG35bgQcIHF9VlqqHW	19	2013-08-04 20:01:19.602214	2013-08-04 20:01:28.009973	257		0
25388	10fubwt8te588xsn5ou76cp5ta	$2a$07$ONnqzUAqLn203Wc.k1JZi.EVX.//QB.kZSKX.Jg92F129I2xbc91u	20	2013-08-04 20:01:19.623743	2013-08-04 20:01:31.025608	257		0
25389	10l7vzev8wsxvplwj1kony08uh	$2a$07$oUa1b3AVW3xbZOxrLYZ/3O6ndzqxWM.cv0CgiCD.QcRv7qXYT.kZC	21	2013-08-04 20:01:19.645654	2013-08-04 20:01:33.857523	257		0
25390	107tfk2ezwt35ie38q26l496cr	$2a$07$NTeXDpF1FyKpEazB.IT35.B0M1aG/1aG/f1XmCp7YfzK8KEDSAi9C	22	2013-08-04 20:01:19.669143	2013-08-04 20:01:34.004052	257		0
25391	101u4sjy5kqizc5dxb245v5d4b	$2a$07$yfSjOs1L13ZxEoRulSx.t.vY7Lj0EuAD.Xq83fNAjzexWfxxkx/B6	23	2013-08-04 20:01:19.694361	2013-08-04 20:01:34.115392	257		0
25392	103kccx7r2mv0cldukgaypnbsu	$2a$07$9msOFCScN.dYQHMmjcDUoOE02x7GuwekrAp2MxqLv8OTuGi1UkCha	24	2013-08-04 20:01:19.723679	2013-08-04 20:01:34.238811	257		0
25393	10cz5iz88fe6fvtlo1lba705jz	$2a$07$eGXZGfLd.0EvwEcDJpPAEe2Jx16PYwa8iRv5/VX/b029TNo77cGnO	25	2013-08-04 20:01:19.751618	2013-08-04 20:01:36.002787	257		0
25394	10ofova3lulmox0k9fayaonsct	$2a$07$J1bfyzSBi24PPVfzOWGlLeqiCYj7XfCLLYEHxClyOHsEad7Ek1F2K	26	2013-08-04 20:01:19.773955	2013-08-04 20:01:37.120088	257		0
25395	10uiskfae02pdvuukq12zyyhrn	$2a$07$h68Raq1TzpNAYJ/PtHToVuCedIaEZ7YRkQxQEX7pLcQlQdvHaFvCu	27	2013-08-04 20:01:19.795919	2013-08-04 20:01:38.297808	257		0
25396	10ywojeohgl2rbm2zvza0sjfxx	$2a$07$0lC.6NwSP8LD8ta.5GnRbO68CNC7auEgPzrY0qeCA2bVqilX27f/m	28	2013-08-04 20:01:19.818024	2013-08-04 20:01:38.443089	257		0
25397	10fko8r7y8xd5jli6c092izivq	$2a$07$z6VfjYFjK4A6J4VHGY0WaePTCdhuPBydhoSkrwwqaDC8rFgSUo..u	29	2013-08-04 20:01:19.841723	2013-08-04 20:01:38.594394	257		0
25398	10y5il82qhq9eo9ilevmzw5814	$2a$07$fEVJUajvx86nUktJo2g8J.Mv2jJdaZMru6Q5zo58/b/GI.DpMBJTa	30	2013-08-04 20:01:19.865503	2013-08-04 20:01:38.737681	257		0
25399	10u0f68et8kfs3xe88wi7ewi1d	$2a$07$.TcLh77uisCPkh8nsMcbw.R1Cwh2X2X.qCdREbF3qx/L26mE1v/g.	31	2013-08-04 20:01:19.892253	2013-08-04 20:01:38.874798	257		0
25400	104sjmb2afwvs8nxjsvb05rbqx	$2a$07$udG6ZD4tOwurJ3l42LJu/eLskJh22RyfWOdNPVFIZgFGY2/FN7wg6	32	2013-08-04 20:01:19.915443	2013-08-04 20:01:39.016766	257		0
25401	10s5ur89yvcpdr8tuy4qhfctwk	$2a$07$v6e/IKj.WA1eVKQO1VFyuuLKYUqnEjVMPwYxY0xk42DC3WYtfmUje	33	2013-08-04 20:01:19.939789	2013-08-04 20:01:39.165856	257		0
25402	10glxy8wsaflqujtok0l721pf1	$2a$07$5NGi.Y1vx9qBLx6tujSgzu.JWDtas/Q3QKytQK8pyNuZl3v07AifC	34	2013-08-04 20:01:19.964172	2013-08-04 20:01:39.339265	257		0
25403	10zzrwp8lhpmj4j66r3m3862g8	$2a$07$zLgsYAQlliQzSwOVxcH1X.43QYurAmSPmPfW4H1O3cUuuAt7/TfjC	35	2013-08-04 20:01:19.986796	2013-08-04 20:01:39.542506	257		0
25404	10aakyz2zdvwlgzbcr5n4rdchr	$2a$07$TIz4k5D6rr31W/me2Gb/fODgrsyc637Xs67hWp1T/1muxAGZdNPG.	36	2013-08-04 20:01:20.010736	2013-08-04 20:01:39.697036	257		0
25405	10exyeonow2h7wv9t7pr2pqtm4	$2a$07$EKmOSdbTZz4gmO.rjdlwPeVpFuboEb05RCYG/zwO8R2WqZVJGLzxa	37	2013-08-04 20:01:20.035724	2013-08-04 20:01:39.854349	257		0
25406	10eux5sxya7779or565uzqn5c8	$2a$07$AV1h.mlT.hY3ofDkatBTGewBy1C94nnEaa/pPOFgyVWBp/y3rMrCa	38	2013-08-04 20:01:20.059827	2013-08-04 20:01:39.997675	257		0
25407	10v485epnipsa942fyx5ynzxji	$2a$07$ww.1NUtp5A5Vfp/o8IjLeuj/KJwtXsUTfR2zvbiPD4LTzoKpd6TuK	39	2013-08-04 20:01:20.086098	2013-08-04 20:01:40.144183	257		0
25408	10sorzm6w73k09zm9g3t87glw5	$2a$07$YccYKwz4wCmAnNpqKrUVi.hzB8Pb1dy2EISnAWhBfXuRt8yYvc/gS	40	2013-08-04 20:01:20.12208	2013-08-04 20:01:40.318674	257		0
25409	10ieebuzc96udwk0kpi1w2pbe0	$2a$07$bPqHxIkTrVqWd56bSLTMCuKRUdOJkd/xCFI6UF2kNrfqlabj56KIi	41	2013-08-04 20:01:20.155483	2013-08-04 20:01:40.46968	257		0
25410	10wap1lfrpmjgve73kb5mwa0zc	$2a$07$yuWQQUmYSzI1XYKoAwPQauDRResTOYaW857GkFtRmeGPz8uiHjFbi	42	2013-08-04 20:01:20.177503	2013-08-04 20:01:40.614804	257		0
25411	10d62njewst9a6eu7sbe6kg0kf	$2a$07$XmAo/.1ejgLx3wMrqvSV/OmWABGs7CqqazZzKfR0kLNbF/.EpkWMi	43	2013-08-04 20:01:20.20017	2013-08-04 20:01:40.880081	257		0
25412	10jx9ecua3n2g3iwrv6x5k3iwi	$2a$07$rVkS3Imni2SZSuPVWy78BOsYUTfxtqGAv3dJ9V6ng.F/WAcHcl3sW	44	2013-08-04 20:01:20.222231	2013-08-04 20:01:41.074659	257		0
25413	10sp0ej1gfj9oo2v1viq5fsap9	$2a$07$9ui1XSfw3qfl9.8Qe67bdujjyWrGvhWmP/1HcDbW5mAsOWd11rDy.	45	2013-08-04 20:01:20.244969	2013-08-04 20:01:41.314471	257		0
25414	10b943i7swerarum7z04z9syno	$2a$07$sIUb5XyBODk2/4oFyS1ypuskC9ylbYjWkrSmr22k6Nl1w1AB8fk1.	46	2013-08-04 20:01:20.267332	2013-08-04 20:01:41.452733	257		0
25415	10ddhdqwfu67s0r7utxoamk61n	$2a$07$IWxlnrRX13Jq9xnrIl1dI.wLsLPp4wHFpWcGme63W8WZhbTXvDJwi	47	2013-08-04 20:01:20.289662	2013-08-04 20:01:41.591643	257		0
25416	10mglwwasbcr4eo7o0oi57bwi1	$2a$07$8hTzkXdh6QdCwSIDoa5OuuVV.OOfgqCTmdxmGchDyWHZcAmuT9Idi	48	2013-08-04 20:01:20.31198	2013-08-04 20:01:41.714564	257		0
25417	10tu16yrxnx2u7m3dxmxo14uff	$2a$07$gByKUgP2X6zY4ZuqXK1FR.pD8aUC.CvPW/WNTtuG4WNRzvGG6E6Sm	49	2013-08-04 20:01:20.336108	2013-08-04 20:01:41.853609	257		0
25418	108py8j9o3pvsgbqky5h6ro28b	$2a$07$ep6mgJNeeXmdt.6PyLVuD.vzJ0VURalNLBh/uE46lgVDiP1RRUFoK	50	2013-08-04 20:01:20.372746	2013-08-04 20:01:42.0121	257		0
25419	107pfaw4xtt7bq5llwodjw1k80	$2a$07$ZAeEad7TN0HmK1uva053QerTB.gtLmnMAViNb7Ce18Ng0.ejPIGZW	51	2013-08-04 20:01:20.396092	2013-08-04 20:01:42.175177	257		0
25420	10kzzv51owbc71ylplkm3o7q4b	$2a$07$cP9Kuph..0BDUKXLOjwgBO0Dps.fe75OpUP27xwtghJ5vb7rAhpZu	52	2013-08-04 20:01:20.418033	2013-08-04 20:01:42.414623	257		0
25421	10oftupkmfshrxlicxjaz70wty	$2a$07$bnxB3ek.HnKVqhR1EuPFke/jCTudFz5eBLU6aBu2H4FCnLSO67Tt2	53	2013-08-04 20:01:20.441187	2013-08-04 20:01:42.563092	257		0
25422	10e6d49mu6k62kbafbxs6qcxxr	$2a$07$iJaHTjcZ8nucTaQgQimxj.u/yd9g5Enir/TddBnifF3r4DjU8rvk2	54	2013-08-04 20:01:20.464352	2013-08-04 20:01:42.707106	257		0
25423	10lifmt4tmfqyq0oujpfukxvl9	$2a$07$K3n8Sd7r1sbO8ct3J39gg.VLv5N3vHyIfL1lpipkvyl2gp43Svese	55	2013-08-04 20:01:20.486114	2013-08-04 20:01:42.849437	257		0
25424	10y58i4if60720bnqlibzpy2qq	$2a$07$Px47VHfXX6MZSMYYTTI3xOwR9Fb6UQa/paHoXv/s6uikFO9a/QUy.	56	2013-08-04 20:01:20.508971	2013-08-04 20:01:42.99343	257		0
25425	10er9ziz42cmw9zuoz1qqihmu4	$2a$07$kCi6CVoMj9YNAFR41m/5Jut2CVgm3EDW.fN.ywm0bHxUr5znx5mO6	57	2013-08-04 20:01:20.53355	2013-08-04 20:01:43.13154	257		0
25426	10qmkknojviia3kkxjun25g0lj	$2a$07$q8OYlb9OG2YgdeWu0Llxv.uKUxKQP4b7FLluV40jcD93sblzE9v2O	58	2013-08-04 20:01:20.598674	2013-08-04 20:01:45.68109	257		0
25427	10mxbb0m61ia3bwij2w43ucp4h	$2a$07$WbyJPM2Gw29c3uYX0/.e/esFkfbSaKuf1qCfvY6ZUX7NFt0Vou.A2	59	2013-08-04 20:01:20.621983	2013-08-04 20:01:48.349018	257		0
25428	10yridcdxczsvcoqwlss5q62qa	$2a$07$MkK6Nhf1ryLuGZeY.WSNw.7gBCtTp7JRVAUjCa4Czq0Hv8.5GPghW	60	2013-08-04 20:01:20.644524	2013-08-04 20:01:50.98575	257		0
25429	10r9sz766tg7xyw6gcovbbx2rg	$2a$07$UVjjcZaVRat./wLxHiOeWuWlZf/h1OzICquoRbTSRF6TQTS2rin8.	61	2013-08-04 20:01:20.666825	2013-08-04 20:01:53.721997	257		0
25430	106mtb2uhzof33o6m3ghlr4jfw	$2a$07$FznPLM0ZwGVS4ZUBPSpMOuPm.iyQ4AuPZ7AofvWh8ufVaYpX0e6Pe	62	2013-08-04 20:01:20.68864	2013-08-04 20:01:56.815158	257		0
25431	10encb4vptnauh9ybj5eodfenc	$2a$07$g2zEjbxSeSjW8eWY3z4MGOygOdOpVwTs3gGqoXFkdQPFuZYqUH/56	63	2013-08-04 20:01:20.710838	2013-08-04 20:01:59.720396	257		0
25432	10dbnm0lrpvmhktx0tkypnjowc	$2a$07$QoXl2aHkza64I1ndjINhNO/J027niyQU.5U4G8.N7Ul30c/c5N84a	64	2013-08-04 20:01:20.732422	2013-08-04 20:01:59.866943	257		0
25433	10n5ke5zja6ekglwlfdxenqm96	$2a$07$t09D/6fdJvxpOXA1v.urc.f5SYSVfclpS/SUBFWO/ryU4yYtb.39O	65	2013-08-04 20:01:20.75409	2013-08-04 20:02:00.018839	257		0
25434	10smdrdrrra1n8mqi6e1jowmuf	$2a$07$bc0lN0PjzAek6QjSRua.a.i6VSb792DILAdiOfdHCizfseBJK0PLK	66	2013-08-04 20:01:20.775669	2013-08-04 20:02:00.151655	257		0
25435	10bxkxzo1xkhvnpsrdqtq984qb	$2a$07$ZSW45Wg7fDQ.PaiYpQdDO.VG8.lMMoumMzyg54.rElYcSS9c6Zske	67	2013-08-04 20:01:20.797316	2013-08-04 20:02:00.326087	257		0
25436	10rdzcny3rsbfgu0o8667frg4g	$2a$07$GzdmsH2DfH3GGByDNPN46O5pG585pmTrE2PlYC37wBfMpwgElIu32	68	2013-08-04 20:01:20.818958	2013-08-04 20:02:00.448779	257		0
25437	1057yv9k67jnbfyxpcveyqa9zw	$2a$07$4tVIEtcvd2oiBzcYsJ0bjesvGUBgfHwNrmBFBTZ9xiTNu0mmHGd7a	69	2013-08-04 20:01:20.841132	2013-08-04 20:02:00.601269	257		0
25438	100farkkkc0v0mh5r7te3naj2j	$2a$07$PvJ0zo6AgIdingYlm8xg8uilqmYvyYFcYlVW5gym1u7PgYV/hsQzG	70	2013-08-04 20:01:20.863032	2013-08-04 20:02:03.404571	257		0
25439	10b2l7pqvay9eljf71u5lzzwxh	$2a$07$bBbJPRXpGfUoIH5sSgkOY.Nre1QImwvlqePC4V8aH.KzVmhJyloi6	71	2013-08-04 20:01:20.884776	2013-08-04 20:02:03.533224	257		0
25440	1032yc5t3p3qi2repn9h0c119o	$2a$07$L4HoMM27YyZRXj50TqNTQuGL9qz81d.fRV8EsAMj1RKlxd1QRFeWu	72	2013-08-04 20:01:20.906361	2013-08-04 20:02:04.656903	257		0
25441	10at6oqsx98sjz8wmdq621no8f	$2a$07$1gCA6pYHNjvYd00R7IIb.ePb2/DHOdGqWEQE2jvFajT4sZskamVf6	73	2013-08-04 20:01:20.928986	2013-08-04 20:02:04.844808	257		0
25442	10ea6pr2y6y99mm9umjwni7pw5	$2a$07$wkHjWS.Dbg7dvAKSdIpfs.b2l7H/dT.rIctPd322wewKbmFskGKTu	74	2013-08-04 20:01:20.952186	2013-08-04 20:02:04.955536	257		0
25443	10dceakuzim7m5sx4yky8sx77g	$2a$07$is1gm052/9uq6Eic5jULVup27AayRAJAomkEaCKnEeFpCfc6H27y2	75	2013-08-04 20:01:20.976243	2013-08-04 20:02:05.110637	257		0
25444	10pi02ahc6c1ppvqikx18z08gi	$2a$07$6t9rf7I4tMWf42dWwNy1EOdjGluVVpQYdonNPrCwDdBVSXIvT3d2m	76	2013-08-04 20:01:20.99859	2013-08-04 20:02:05.254729	257		0
25445	10vpvmmbp8rbtu7dp3jel6yuwb	$2a$07$axHj9x1dTucrHSfMWBs/OuCkIlsGGjzfUzW/9o3ol6sYUxcF4Uux6	77	2013-08-04 20:01:21.022125	2013-08-04 20:02:05.429079	257		0
25446	100v5ldj5cxknmi9q3eu1p5yc5	$2a$07$Esxd9nMA9HL/OcrAuEm0quzP6rc1Qxeah.xovDNOKlFCP.zURpv2K	78	2013-08-04 20:01:21.047529	2013-08-04 20:02:05.610382	257		0
25447	10f0zjoo7jsol3ytd44f2mvcia	$2a$07$QSuV1NGIc6j8Lq8NhnfI4.B9qaUf2Lj0sfA8DezaZnmb.Cne5s.aS	79	2013-08-04 20:01:21.078328	2013-08-04 20:02:05.735178	257		0
25448	10euknch5am9lshz644vnbdiwn	$2a$07$HiI8u62IxYW3iD.BQSRywOOThLYyyH3WMC31A0YKZ88icVt7VTnUG	80	2013-08-04 20:01:21.100113	2013-08-04 20:02:05.86898	257		0
25449	10pmrv683ev3ffyrljv52vtepk	$2a$07$aTOxMODAkI5aeAqLlmHLvuxrE7rqGyeAObOzVuQDa192khzHIdLGa	81	2013-08-04 20:01:21.121644	2013-08-04 20:02:06.056189	257		0
25450	103eiql9r3393kkz7kgzg61wmh	$2a$07$EqYxn1JzENXD6fuFKj4bTe/708HLysH02XIDs6fEPWUVuD0dAMVne	82	2013-08-04 20:01:21.143228	2013-08-04 20:02:06.271969	257		0
25451	107uzfgmifdpy9em196k82fb1l	$2a$07$pvDY2y4LnS8cpRbIoMQpwuVVj46eOJYvoP5lSUwHcsSle0n/U8Mtm	83	2013-08-04 20:01:21.164747	2013-08-04 20:02:08.862602	257		0
25452	10gjylykyxyoeesiw5l96cr8rp	$2a$07$C8pDvjMAgR2t8qiBQip.Juqd/o4sP/lOf2yt0JzVSC43P5umuRqMm	84	2013-08-04 20:01:21.186586	2013-08-04 20:02:11.498953	257		0
25453	10qj4kljfc1696cqwrgxl6azgn	$2a$07$SKr9Vt27O5P2KqPLRysBgu2Zw6gFiZzpk3n.y3jid6n6dcmyvGFpO	85	2013-08-04 20:01:21.20782	2013-08-04 20:02:11.63549	257		0
25454	10doawiigbauwwm7g6s5tyk1nm	$2a$07$CqAYmKLv0EhXACI7i1fQIOIh9nenjkRdVMfcmXmKZ5ft/tPLmwoFW	86	2013-08-04 20:01:21.229552	2013-08-04 20:02:11.768927	257		0
25455	10bc3aj38dhf0vgf993bslh50u	$2a$07$B7zGuwz1IsuJL7hQQYqr2ePNM1WPefmYH.KXb5IYf0SnVFLkMfWMa	87	2013-08-04 20:01:21.251068	2013-08-04 20:02:11.901623	257		0
25456	10i42bzna0p7h23qk8t35ubtge	$2a$07$x3Fcmv9KPo/HK9dF1nZ6butmbtwFV5CWJgEZ0LKpM3525AknAdSU6	88	2013-08-04 20:01:21.27249	2013-08-04 20:02:12.024657	257		0
25457	10oqsu34m6ifbj5pofqfgouifg	$2a$07$Vq.GxoSpzTV9S2.FVID1.erU9jiBIfnjdXvExIwMHZlcs19Al8xEK	89	2013-08-04 20:01:21.293888	2013-08-04 20:02:12.220647	257		0
25458	10xve8f2x81qlcow0v98lg5h0j	$2a$07$sG7iUEs9Y4wAwmIift0/TO9/zDpM06Gd3ho11z630soZ7Ytx6SKcm	90	2013-08-04 20:01:21.315533	2013-08-04 20:02:12.367197	257		0
25459	10kngazjasza9ewpjs2tugn1pe	$2a$07$GHKcfB3km/4dvakzdPfWR.3.lWk1tMSyTYOi9Z2vaEIJ.FlBxP2pS	91	2013-08-04 20:01:21.337343	2013-08-04 20:02:12.522643	257		0
25460	107qvolwatviay829jovcw28vt	$2a$07$M23eDtDY1AfFXGn5RkZzfuFazZhoZcnVmB2hLL5WGxkCtztT1bMdq	92	2013-08-04 20:01:21.358906	2013-08-04 20:02:12.66824	257		0
25461	108g8cpwepm3zd29oqi0rflerz	$2a$07$p80tLbrfLkKIvZL0625k6O/RBTyFw73MaxId1EwqNxZ9bmclGu4EK	93	2013-08-04 20:01:21.380555	2013-08-04 20:02:12.801952	257		0
25462	10c1nl2v24hiwg7y3vd2fxoq6x	$2a$07$5D8hiUZMBhFGMEAgjvRrVOpo1dKrgdv6TvVcQHisGBHC7Bc/NQA06	94	2013-08-04 20:01:21.401792	2013-08-04 20:02:12.942345	257		0
25463	10idby0542gs3s3jtuc2jjwxvh	$2a$07$PRibVD6OMaveVDAydQLxyeUc2LEwE8pfyRQbp7hWEpZbjBLLXMtDu	95	2013-08-04 20:01:21.423218	2013-08-04 20:02:13.124345	257		0
25464	10b4y3g4fgvh8dq8x7q3k4rcm7	$2a$07$CmIIjVafJclA9P/7s3AfhOrUCxiSNmq9iM/e8Ft6wMU9L8c3vcJ/q	96	2013-08-04 20:01:21.44465	2013-08-04 20:02:13.297502	257		0
25465	1074xsfe4kduh1zu14cfxcqc81	$2a$07$UeZwUJUh1Y4htifewtWtZul6GtpokwqpD81GeJj.mGDoLtBwBR5OS	97	2013-08-04 20:01:21.466114	2013-08-04 20:02:15.942585	257		0
25466	10etdbwau33vwc18p9fsgfq5dt	$2a$07$cJ65KC7JgprTDY0.akP9k.WwedsTUBjxSG4DhwTC2U55eZ8dNXqo.	98	2013-08-04 20:01:21.487725	2013-08-04 20:02:19.197318	257		0
25467	10sj2mkyvw1jy5lmdmzs1a2tje	$2a$07$3EllXSRYN0Wxlv/lpsoa4ObIZUFbMWtpk61misMB9CvjZiO/yqAAC	99	2013-08-04 20:01:21.509373	2013-08-04 20:02:19.341198	257		0
25468	10ccbii7n99fis0fxp4clih26q	$2a$07$khijiUcTNE.SFIPs/19MVueYpdLGfmTR5BE06hHWr50oL60DR7PVe	100	2013-08-04 20:01:21.533151	2013-08-04 20:02:19.469056	257		0
25469	10g98q8xqd3ygvzrnixlvvd1ko	$2a$07$h8fbLN4NQ8X/l1HhFDIireu0SC.RdLvFR/NdFH2nj/sqfwNbAcWXe	101	2013-08-04 20:01:21.55747	2013-08-04 20:02:21.040507	257		0
25470	103cjj9cjk4p5djj2ptct4vm2f	$2a$07$8iuLF0SVqcZEZKPJnyv2suPgeV1tVgGQu/wQZ1QAoOSvAuewUzeXq	102	2013-08-04 20:01:21.581979	2013-08-04 20:02:22.557008	257		0
25471	10bocvrkixj3mm6j74ks1hkkbu	$2a$07$u3Ego62.Ckcb4e61spmDb.uSWaQ7dKosRtMZtlaBTSV4DekxlniUS	103	2013-08-04 20:01:21.606804	2013-08-04 20:02:22.695542	257		0
25472	100dx676vjf9s5h62533pj2cqn	$2a$07$0feXD7sn8Yf0100CepkWEujCwWPw13GyrqGr47YgV9hXp9EU3Pk0W	104	2013-08-04 20:01:21.630964	2013-08-04 20:02:22.844048	257		0
25473	1024i9d83iiarc4jrcghi2skew	$2a$07$jsY0V0cqG/yVdyi4o8KqBu46ttdrf7mvHov/EENzXWHQ1ry9j5Oi.	105	2013-08-04 20:01:21.6542	2013-08-04 20:02:23.00522	257		0
25474	10fol20dcqnyqiv168ywxthz3o	$2a$07$6jmbM7dkxEXL3sgJkUxGh.YoOMEJ6z1feOKrv7i.FKF2j8Och/PnO	106	2013-08-04 20:01:21.675986	2013-08-04 20:02:23.135757	257		0
25475	10zt74z7bm4aff2vysu3rkplz4	$2a$07$VlvB5gImtXlM8Ap2Ko7nBOxkQ6akn5kaZXFI.xYPtXyMAVKsFD6pq	107	2013-08-04 20:01:21.697505	2013-08-04 20:02:23.384132	257		0
25476	10v6078g26f2g9syvgt7kpnk5i	$2a$07$o9rkWnFWeugSwP.biz9kFuyz68HVFBZYQMO51VbKAShhNyYQaNY5m	108	2013-08-04 20:01:21.719318	2013-08-04 20:02:23.646643	257		0
25477	10fxuk0p3fzam6l9muhkmb55t1	$2a$07$ACkQ44KMp7Zz6j1IBJJ3CehyCpwoLPiHZOi10OZ0HBWnNO/6pCW7.	109	2013-08-04 20:01:21.740947	2013-08-04 20:02:23.815489	257		0
25478	10yc45h0h58k9i6oqvz5935y58	$2a$07$.tL29/zmBomKeQ1Jcy1HHOWdK0jKap1KRO8R6cE5qrGjrl59VAMYK	110	2013-08-04 20:01:21.762442	2013-08-04 20:02:23.964367	257		0
25479	1074ogmup0n63597u4tjzcnb3y	$2a$07$p1QLZ10yzFokfoZOG9N87OrSQjOSE98kotXJ4NvE5i903GFJ/lwua	111	2013-08-04 20:01:21.784347	2013-08-04 20:02:24.148276	257		0
25480	10x7gobb1hgmrjkrdd8cnuolp0	$2a$07$YYbP1c5SbUlU2lCMEMFuw.MH6PQoifV0QuXg3Y42TuMGpr57g933.	112	2013-08-04 20:01:21.805935	2013-08-04 20:02:24.368545	257		0
25481	10th24t79tlpx3q7my2fr3iqf0	$2a$07$ZsTNu1D.cSzUNDoST2R4Ge8O0ZEvU0nt6r.XhE72thxakRaqCE19.	113	2013-08-04 20:01:21.830151	2013-08-04 20:02:24.481007	257		0
25482	10n7xn1udcd5a16fr540mfl4ak	$2a$07$wKnQyHfZmrtWm8rirQDgA.wiVJ..J.q8wxbQgfb9KDIpLgTMZUfji	114	2013-08-04 20:01:21.860437	2013-08-04 20:02:24.628157	257		0
25483	10c1b1nq5i1j1eawe2o2m3977i	$2a$07$FzFYY/.E6z6MTb9s9vSN1e2xhSvoJDFLlsy1yHEsdQaDkeNhJHVHe	115	2013-08-04 20:01:21.892461	2013-08-04 20:02:24.797408	257		0
25484	101dk0nde0q8e7jyce6dw7n6if	$2a$07$60NTeUchpESDSZsPyc3B7Oh/Fu8b3A/a6U2GR2Rc5ny78nfR8VibO	116	2013-08-04 20:01:21.914297	2013-08-04 20:02:24.999409	257		0
25485	10kxqvskpfs0mko0o7c1hxwx94	$2a$07$cPJaeslUndlbWUFpiC6IpuQMw91TRn31q8G00k/cRh1CoLee3mghS	117	2013-08-04 20:01:21.936387	2013-08-04 20:02:25.208743	257		0
25486	10g4yzfq1rxuot241il1hyj8k5	$2a$07$smV1kjq/oeyfKbsPwtdGbulsy/Aq0i5o719iYkUnjrDtyFxQ.B77G	118	2013-08-04 20:01:21.958595	2013-08-04 20:02:25.427959	257		0
25487	10jxaqky8fhplmssmc8kaddmfw	$2a$07$cqZT3pKiLMelDJBaGoqck.d2.CDPOx5uexut445HSAPixLcyF6.9i	119	2013-08-04 20:01:21.9825	2013-08-04 20:02:25.585593	257		0
25488	101whoiyjroperm9lgomm452k6	$2a$07$R77dZzlPPPwDqkB2UdeBDuTWMMy0MEzME7fDrstMhmVrTian1qYuu	120	2013-08-04 20:01:22.019717	2013-08-04 20:02:25.724759	257		0
25489	108gc9jnodxm45uwccjhvn1lru	$2a$07$QbvWVyoOXs80mRqFWOr2pOchZDo9y7YM5CanaYwlufVAv1V2sJZvS	121	2013-08-04 20:01:22.053813	2013-08-04 20:02:28.442492	257		0
25490	10k2kjncs6hw0gsz7y79e3sqfy	$2a$07$dGjHePxIpcHDXuPyk52Te.uMil1/zdjKfd2IHVHqYlX6wK9xtRiBa	122	2013-08-04 20:01:22.077713	2013-08-04 20:02:31.065417	257		0
25491	10kshra5m0sr300ji7vvartg79	$2a$07$Qa1RypNfiPhCPA/q4nBvHeg1mwk0/SSbmBuaayt1yM4I1zhQ3VV4K	123	2013-08-04 20:01:22.100508	2013-08-04 20:02:33.802584	257		0
25492	10m3klk5ou9tcjczqibp6q3x6y	$2a$07$qlFpNTj08LYjYXxNJcVn/uKBoMu40tL7lApLF0HFqGAk9Ba21m3OW	124	2013-08-04 20:01:22.122827	2013-08-04 20:02:36.597527	257		0
25493	10pxj70sm6u1zcv0a609pxg13n	$2a$07$7.fkb.OF.8GMBABWyaIL.usMHw1Nd5y1TWN269ArXPnD6diomkxIi	125	2013-08-04 20:01:22.146687	2013-08-04 20:02:36.755784	257		0
25494	10bkaz3nfnq8wbtb4nipm9c2r2	$2a$07$TCFRZhZ.TNd/ZEkRZHy8QuXUBu1gseC84vue1MUk/fw/TgY9lsuxO	126	2013-08-04 20:01:22.170291	2013-08-04 20:02:36.919759	257		0
25495	10wzg6g6q3f0nylz2m60qps2z8	$2a$07$D.Llt4T.W5oQbBD6iK3GFO/h1yW.1p5Qygo9TvYXUdy4IOXiNcS7G	1	2013-08-04 20:06:19.092627	2013-08-04 20:06:22.273324	258		0
25496	106agw32xxno4cy27zhnodlnww	$2a$07$eRTgwPUnP7h8A2AxVg4RW.jEryMnun1zgVdDGQ9TvIviYOeQWsBBC	2	2013-08-04 20:06:19.114865	2013-08-04 20:06:22.42826	258		0
25497	10h2076rvdtb7x70xnhsjzrip4	$2a$07$xbAC7w2oP72/bIyLbkKP7O5SuSGaBGEvXdJE48xR1cV1xZZpqaMu2	3	2013-08-04 20:06:19.145112	2013-08-04 20:06:22.595001	258		0
25498	10vm6ii76xxvcvars3op3aghse	$2a$07$.puGGuLNFOE1Cx.sHTtlxuh5aRdKRbEAT7PXENs5jHRQzfDdrMr.6	4	2013-08-04 20:06:19.16708	2013-08-04 20:06:22.738638	258		0
25499	10zn15p3xmg8c7565ohtv7ebrq	$2a$07$HLLNiCAvsGf4P.tuXicST.sB5x7KEnRcLlD46SGk7SUwXfzKg1EqK	5	2013-08-04 20:06:19.190051	2013-08-04 20:06:22.882057	258		0
25500	10f1vzojjohf72rqefl7nblns1	$2a$07$Kk63B/VVzraziFRSLBwzOOTwaExwIUjng25nRn.x4bFXaqtNjYRju	6	2013-08-04 20:06:19.212839	2013-08-04 20:06:23.017294	258		0
25501	1094slbhle0ylybidept90xq8n	$2a$07$ilQFPeO7gk6uNn.sf7v.FeRCYxHbcrXCuaFTTwXVyN.zVdSCzzuhu	7	2013-08-04 20:06:19.234986	2013-08-04 20:06:23.235045	258		0
25502	10ohvy67mkpc2f4r0xe9igbobz	$2a$07$dJOKcMuEj.mCSssLRLJ.SuD3EZiKgBAq9zjHETm0PGEb5GGd144M6	8	2013-08-04 20:06:19.257033	2013-08-04 20:06:23.386069	258		0
25503	10uwpkaz71rtjppjn750ithnt3	$2a$07$M.Qps/a6dfBMP7EelMd2KOZk/1xLLa1g9KQKKc49w9DOCXrVu6fia	9	2013-08-04 20:06:19.279891	2013-08-04 20:06:23.595516	258		0
25504	10bf45qoz0f6psxw2593qr177n	$2a$07$DHN/h5hr8xSUJggQ8bq7GeV8UpgZCIhUVFVbNI833dGTgbJ5KdIWm	10	2013-08-04 20:06:19.303282	2013-08-04 20:06:23.734213	258		0
25505	105wqao5wkciw9kbwd0wym05bz	$2a$07$S.wWEdXmdsn9gHY9Vfm4S.XUlroKm6.RhFp/RM3Ql29uuf2QejU5a	11	2013-08-04 20:06:19.324968	2013-08-04 20:06:23.882134	258		0
25506	107fv3ig0rpk1vk3s943kyb6zl	$2a$07$Mi7AdBIh4kv2fdC2pC7KuOuSRTIyZVpI7Bd9j/1V7uFxfTuQZELxK	12	2013-08-04 20:06:19.346815	2013-08-04 20:06:24.022864	258		0
25507	10syp2lim6pzilrtpxxeoyuo98	$2a$07$GJ85OnbgyCFL1qbZsNJtPeJjP7afZeK9nojwpj1FguwoBZR2hqa7y	13	2013-08-04 20:06:19.36863	2013-08-04 20:06:24.172314	258		0
25508	10q2ah8724qibw7khma3x04r90	$2a$07$9R7yr7.zUC0c4pnriHLGEulkbndWkeZD7W2YoCKp51mVlQD3TTVpa	14	2013-08-04 20:06:19.391664	2013-08-04 20:06:24.31211	258		0
25509	105gxgocpqnngjp18moatr2qel	$2a$07$LPcJtbeGU3asGQWcK1zWFOd8sT/SgmFAPcxBInD4BqLLvnJ1qyXGC	15	2013-08-04 20:06:19.41417	2013-08-04 20:06:24.455933	258		0
25510	10urxxh6t9k5ct9duzivxjfoal	$2a$07$vQUWMAVp9/cm0wgjoNKO0uAiQXeoKQLAORu/8GGJ2YK8WIU62KGSi	16	2013-08-04 20:06:19.436066	2013-08-04 20:06:24.615487	258		0
25511	10zv2m4kuk02r6aqbg2a9dg956	$2a$07$KIyLSwCj.4gTjijoqEh.t.9RiTJkXo42Moz1dYSnb0NzHnA3Xe41S	17	2013-08-04 20:06:19.458987	2013-08-04 20:06:24.766938	258		0
25512	102del2khcregwuvss11e4bnrq	$2a$07$ZG4C7KBdDQryYK3qudigKuxYDc5KN33uqKWC5JpBWVb2q1feA51Nm	18	2013-08-04 20:06:19.481577	2013-08-04 20:06:24.913736	258		0
25513	10t3agyiv5ppipxpoqkkifeuww	$2a$07$NLshdIper04KpgBDRbrlf.leN8sexuLnNhv769m62xPjdONV4PflS	19	2013-08-04 20:06:19.505842	2013-08-04 20:06:27.672621	258		0
25514	10rc5mtiaqfj5mjjihnpa7kxck	$2a$07$Go8q7roJyG.1aNnz6zQJ3.UwwVVYlQ5ddbRiLEV1r6a/phhT1eZI2	20	2013-08-04 20:06:19.529263	2013-08-04 20:06:30.294247	258		0
25515	10cgljgrklp58ooxzbicgnwhxx	$2a$07$1dxlnqxEK5GX6kQ18mFOYuNK.BY1p6T7C7CUihQuLj8OFO5oVriaK	21	2013-08-04 20:06:19.552062	2013-08-04 20:06:32.889682	258		0
25516	104zm1vww1gp04nmdupr5krf9m	$2a$07$piY000W9es3pjlDCXegHv.8usur9p3xM8dFhydBjvrS9mxirA1THa	22	2013-08-04 20:06:19.575415	2013-08-04 20:06:33.047845	258		0
25517	104kyu66yxxs7so7agl25ipq69	$2a$07$3cM9tJscQgrW0ZTYkZcuGujhurinYyfcf3AV3h90mSH9XKt4.bW5u	23	2013-08-04 20:06:19.612768	2013-08-04 20:06:33.211514	258		0
25518	10zegbtu53qz6c3bhcblsgqzk0	$2a$07$SnrRVdvGVmc1HjOltn7c8.2n4rgY7FsiLrArsLG3AzW/quOmZOFYi	24	2013-08-04 20:06:19.635995	2013-08-04 20:06:33.362525	258		0
25519	10jyn1o7nyt6n8tiiqp2tx60hs	$2a$07$48OTPix5KJ55HjDRUond0uG6K.vlykEh6opC8oUUb18YXhNumsKCq	25	2013-08-04 20:06:19.657971	2013-08-04 20:06:34.612639	258		0
25520	10b5v2fgsyqbwntnjyjrswn654	$2a$07$ONn7FeKvPq12QVwjNVwyTuu1OewIEK3qGp3flczqNks8PPOCz.GO.	26	2013-08-04 20:06:19.68153	2013-08-04 20:06:35.809868	258		0
25521	10hab9r1ppqgeurbgkbcy0ismj	$2a$07$p.TXdXfHwgo2mmFof6J9yeLogKu8cl7AMiCtvcqz1d4fpqJ0xmt6a	27	2013-08-04 20:06:19.705624	2013-08-04 20:06:37.059662	258		0
25522	10k5hqubn7lw7e43u1nuttpucy	$2a$07$V8JtSEkHORo8TxX5e/LmwusFSqWv98HHDUKHifZsAedOzfCLHshem	28	2013-08-04 20:06:19.72886	2013-08-04 20:06:37.222474	258		0
25523	10dk2qkrbwcn3uls3oknv7e683	$2a$07$zzsOtVAI.RuRZSM8r/N7KOkWheuALaxmASDlx4s6xXSCtP6s0ctAe	29	2013-08-04 20:06:19.752137	2013-08-04 20:06:37.408668	258		0
25524	10c2au00stifw8z1cpzrktwcb7	$2a$07$4n8afTU8/Bg8i4EYTJiMmuEGAsZnCDbbmjeVOjG3D9koxP0uYyJ1S	30	2013-08-04 20:06:19.776487	2013-08-04 20:06:37.554363	258		0
25525	106v48728prcjgduo9t9pinzxn	$2a$07$oXTVuRKuDOFYY9ER.hA36O1/eUEIZm/hjXoMHc.3Z51dyYCr7KVje	31	2013-08-04 20:06:19.80171	2013-08-04 20:06:37.658787	258		0
25526	10gbjviolc5q7ov74en2gz3kvn	$2a$07$4tjc0VjOobigbkFRI8x/jeNtVIx5cHZRWdNC6R44R.MVHLhMz9/AS	32	2013-08-04 20:06:19.827559	2013-08-04 20:06:37.783143	258		0
25527	10mqw8r7gts9u28c2ka3zqkljy	$2a$07$D9uuHww9rEDPbZuRTonBKeGf4VqAgS9fq3nJ0piCo19eX29OzGl7G	33	2013-08-04 20:06:19.852575	2013-08-04 20:06:37.923087	258		0
25528	10318thhahvmrb8pcih37c29ch	$2a$07$hFW6XwY/Pw76jMD5TQpFZufWjw8GYzLLTIDH8cQ/92Z97CWUeU7qG	34	2013-08-04 20:06:19.875189	2013-08-04 20:06:38.068523	258		0
25529	10ynl05h8tiqzir8xzyuxgsppu	$2a$07$yXvenrcddWyQ1dArDWuL6uWX2PPF6QWh4mvjq8gDi3.yC9eA4Xwve	35	2013-08-04 20:06:19.898477	2013-08-04 20:06:38.218258	258		0
25530	10twvapuyexzqqxda9mpxf4wga	$2a$07$CfLP7C3i3wtaTnkN74aIZufwXZqS3aM1fusunjCM/ASYYPeoCVcJK	36	2013-08-04 20:06:19.920732	2013-08-04 20:06:38.355779	258		0
25531	103xp9mx7lmwgx8d8yyn27r0m4	$2a$07$8dTunRiGl.guTDkdCWktguQVx5yj0gtbTR..J2IeMPsWBdLnCF8YO	37	2013-08-04 20:06:19.944675	2013-08-04 20:06:38.495213	258		0
25532	10rx0wkz2dg6s6f6mf3q6cjri9	$2a$07$2mbEM1qsqJRF7Lm8AlZof.SNmScc0FWbTpU8g3Uh4oQjAPDGDD8Ji	38	2013-08-04 20:06:19.96725	2013-08-04 20:06:38.63403	258		0
25533	10pdkih9iqmoxtr3xrr2q7hmxd	$2a$07$RjRL5v256ff95JjJQEzD3uFKrt4wCPYodw0w0wDFl4.I16JPuTh46	39	2013-08-04 20:06:19.989102	2013-08-04 20:06:38.784574	258		0
25534	10pw2cid5a23564gtbzkoszizf	$2a$07$ils5vc3aiuOS9fdnNdkgruCsewYX2TNLy8UfmCewlz7LBd5KdgE3y	40	2013-08-04 20:06:20.011981	2013-08-04 20:06:38.929216	258		0
25535	10o9gj8kj5ocnaqoconntnwws2	$2a$07$TUUPBSNy2Ug11KLlWAJUJuiun6a4FxqBum47hY3O4GyRqjoDp9q8a	41	2013-08-04 20:06:20.044197	2013-08-04 20:06:39.092873	258		0
25536	10fu6ddfmwvbetamt57a4tso7l	$2a$07$V/VpO0g.EdSn3ABakK2AxO38mx2QYn1V9sCsIj2EZ.AKNBkThBi6m	42	2013-08-04 20:06:20.066439	2013-08-04 20:06:39.267512	258		0
25537	100w2cppl6ks1v61canv7yjtz7	$2a$07$PdzoU3IDa2/.gY8g1oAs4uOFrWPv9BAQe4.Y7PnXzA1Ypot2aBEP.	43	2013-08-04 20:06:20.088659	2013-08-04 20:06:39.548159	258		0
25538	10o08x6h3fdsfj7i2e5fl7ejwv	$2a$07$gNnvZqLHlxXxKJHgqKjy8eF0lW/Xp0QhaRuj5r65Fj.YV64uF/Y5e	44	2013-08-04 20:06:20.110435	2013-08-04 20:06:39.805707	258		0
25539	108caeywtafypltv58e7v3r7u6	$2a$07$DIZfMcrFaKttPulAJmfI5ucXIhxjormRxBOePryybmrxNZPoAw2pG	45	2013-08-04 20:06:20.139689	2013-08-04 20:06:40.101874	258		0
25540	1090aiulp2s47d9t5b8wumdlkt	$2a$07$8AufSK39MpiYyZ4SiWloWuf6gc3.bWMMy.bi5q1omji5o7lTJMhmm	46	2013-08-04 20:06:20.161426	2013-08-04 20:06:40.278997	258		0
25541	10y670wvro5ku9mmhx0vcj19lx	$2a$07$T8D6CNMFuRe1oN7GmeXICOJIDdcJqgLkW5OM0.RHJ78vA8Ex8WSfi	47	2013-08-04 20:06:20.18307	2013-08-04 20:06:40.458558	258		0
25542	10a8bap8scsfhb01xhf86wzx48	$2a$07$scP52//Mw..23THJjaZLXeOuIuer366ExU4CmKhKe16q2EgpkFxVa	48	2013-08-04 20:06:20.204909	2013-08-04 20:06:40.614203	258		0
25543	10tmoi89plue4qob377z3bpw3z	$2a$07$D6Snxb94FAizzsxd3ArCZed/MLFzzyO5PiFm2rfddhBfIeapkr5r6	49	2013-08-04 20:06:20.226658	2013-08-04 20:06:40.752186	258		0
25544	10b12d41b03znwdkzk20xfbbvu	$2a$07$WdOChvLb4wRzznSxuZOF5.MQbdp1pEabh3xjMYXAjNXHYendObqc.	50	2013-08-04 20:06:20.248892	2013-08-04 20:06:40.90205	258		0
25545	10xt10b3zbex2h325wndvyluq1	$2a$07$ZcJVEGtnzqDD9ZTd0TlX0enT53h7gWiCibJsbo.ZKh6.jtsVnh4fq	51	2013-08-04 20:06:20.271864	2013-08-04 20:06:41.038656	258		0
25546	10j073xwuuxfu49s0jvfyfndo3	$2a$07$pB8O/KKvbSQUBM/mXWYneu7mYnc/yrOr2KXDtH6NkEguUAMpaRSuK	52	2013-08-04 20:06:20.293284	2013-08-04 20:06:41.174812	258		0
25547	10as8wqdu4lc0q5nujet7zxr61	$2a$07$0rKWK1BJw5vrteJLm0IpVOA0LREZN3vqLp06hPSgMnJRG2JY484Cu	53	2013-08-04 20:06:20.316067	2013-08-04 20:06:41.320228	258		0
25548	10kkhz6jd7y8s3w4xljbqj2tdz	$2a$07$TLNGblmXvvlbGqZcOOXG/Oo2B3JQXCUpiXzItJwQudAj2hCVeFN02	54	2013-08-04 20:06:20.338187	2013-08-04 20:06:41.483406	258		0
25549	10nm5y52wimgav1ligb9mmpmro	$2a$07$bwS21odOltmW8S5sd8R5pu3nEpWZyT8ejq1QJNm.anfOEwYrcDkvq	55	2013-08-04 20:06:20.360033	2013-08-04 20:06:41.626836	258		0
25550	10nevluskavrg6hbonl7xwst7s	$2a$07$aZJ0QP5ALXfSOtmj73hm4OW3q3m///wA3zFPlqkITRR./GQO2zEya	56	2013-08-04 20:06:20.383787	2013-08-04 20:06:41.789363	258		0
25551	10iqw5vi0rfbj1fy3wohs5xycr	$2a$07$wD/DGGGelQH6IxuMDuySBek.V8A8e1.AMU3vUfTmOFfh6LPHON6nu	57	2013-08-04 20:06:20.409805	2013-08-04 20:06:41.948146	258		0
25552	10jqhmvrdf1eosbihwa1dgsgrx	$2a$07$yCFGndgtFcRF5s2uK7xZj.FY/l0ch5IVtltEZhsf8Mv5exDuGc3HC	58	2013-08-04 20:06:20.442689	2013-08-04 20:06:44.65795	258		0
25553	10wxnapfuegu99i6m54lkccus0	$2a$07$xKoQjjYdjsE3bPKzPCLkWe3Vfk14o5wIKnjjtMD7AxqLgT2vsHFYG	59	2013-08-04 20:06:20.476285	2013-08-04 20:06:47.138378	258		0
25554	10p41kyclaw070ogm19klr8whc	$2a$07$N.91WkHRDOITJ.Mdz30Ale4kVwadd1VwHcCNMTSITGCtWAQ8SBKPO	60	2013-08-04 20:06:20.500702	2013-08-04 20:06:49.730726	258		0
25555	103ie70392ygkjkni4ofway8sh	$2a$07$x9CsWqm8Q4N0QmqQtQqf7O5xW5Cljb./vVy0UF6LXQ0uXKlJyFNvi	61	2013-08-04 20:06:20.525823	2013-08-04 20:06:52.491493	258		0
25556	10saad1gfsvyq4kjynwsuh4sx0	$2a$07$oFHWpEzsnbPeDDJmH/rJnuGYTNP29nZbLfwUfqZ2nZ30ARnqmc20S	62	2013-08-04 20:06:20.547329	2013-08-04 20:06:55.420058	258		0
25557	10afqz73mdi3yvq9gkqtu53t43	$2a$07$FehdoL9CINBsbT6lVZIku.W3l9h1L.8eDtoB9sOzt7xl/QPtII9wC	63	2013-08-04 20:06:20.569015	2013-08-04 20:06:58.513116	258		0
25558	10qhjvanij3g4j399g6xxykgvy	$2a$07$a/JtLMKnw.VxZQbHdt/AyurWLbmrqdtTCR1CF5RJaCx.NpzATBbXi	64	2013-08-04 20:06:20.59082	2013-08-04 20:06:58.655554	258		0
25559	10p3p527uicj3z03w0wpvr603w	$2a$07$R.yk1MOvV3OVSl0gnrVIYedrAxqNWiJS3vaLnYZlpGyQoSkWYtsBi	65	2013-08-04 20:06:20.612548	2013-08-04 20:06:58.811903	258		0
25560	10wradosd8t8cw9og3jb7bojc6	$2a$07$pdLhzeVmrPuVdED5w5YxmesslUmeIyePeRjag.3iGFkkcNaUPBk0y	66	2013-08-04 20:06:20.635524	2013-08-04 20:06:59.079372	258		0
25561	1093fz00szloa23wjiznc04vlf	$2a$07$eJWeN8ZfsCF85iGd6FiRfODeJoHYqGvwZQ8OoAQc1Z4yuOgrIWaTK	67	2013-08-04 20:06:20.657275	2013-08-04 20:06:59.222514	258		0
25562	10h1rsfxc7uc1lwh1yedp4ftin	$2a$07$FwhVnqWgfUL3u3.Tj0X3GOxPdY4FRpVhxBdVTrGCIQTEyt1BzczN6	68	2013-08-04 20:06:20.679166	2013-08-04 20:06:59.345764	258		0
25563	10y5v78v9bb25g0qcw4bij53ra	$2a$07$uUgFfcNhbpRB35bGokb.XuGgwG9uGgOQt/asfNFLyLdODuKZkvasm	69	2013-08-04 20:06:20.700472	2013-08-04 20:06:59.522043	258		0
25564	10wqhib1kdvee85dklou4nrha7	$2a$07$xx72wb8ombz3GnLLxH922uNrLek1vkAUWq3Tl/dQ3z5Sf.CeC0xeW	70	2013-08-04 20:06:20.721876	2013-08-04 20:07:02.407203	258		0
25565	10vki48lo2u2ztfu5ubbbwxayc	$2a$07$Nl.CmAd0GuXW3bZcVTaj9.Sb03elTBBPRk8bOcXtkh6/k1NYoBVqq	71	2013-08-04 20:06:20.743987	2013-08-04 20:07:02.575247	258		0
25566	10wa2qg0a5mvfs7se1e9f2eh8x	$2a$07$kW6Io35fQa5sndQJ.jjYZ.tG72CHiskyGzu9PCSQ4gnVEYC3crsdK	72	2013-08-04 20:06:20.765614	2013-08-04 20:07:04.04429	258		0
25567	10jmblkaw1q0v6xxa56ln2dt35	$2a$07$118qaFrLDZ0y12SAcT5kGuv75RCG778hr1IzjHZMuXvbC1z4ZPzj6	73	2013-08-04 20:06:20.789559	2013-08-04 20:07:04.180687	258		0
25568	10ikx5swpsv25w1c2rgfgwsfza	$2a$07$.9p4SzujJC39sgoAbgPPie86b4hHJ7VCIlqQWZzS3LO1Q7xdXHqDm	74	2013-08-04 20:06:20.828103	2013-08-04 20:07:04.311419	258		0
25569	10mycuaow14ykhrwlvw3wzsetd	$2a$07$HUVjpBNsO5T0vbWTpmKMy.qfXssX0WAH52a/xnfqTMcyIzvTNWtO6	75	2013-08-04 20:06:20.852849	2013-08-04 20:07:04.456783	258		0
25570	101sw0j3irrk6t84xy48addmpo	$2a$07$U5PSnjutLYPr1yCTtKNnkexTnlD7MxZ073OAAQKpp.jwNHfkjYjp.	76	2013-08-04 20:06:20.878664	2013-08-04 20:07:04.650848	258		0
25571	10coq3f2f5gjmo5gm5em6ihe3i	$2a$07$AkTs3pnOtJy/qbGbykTa0e7Y6PtcySBpzj3NRC6mfU40VnTGizRl2	77	2013-08-04 20:06:20.903085	2013-08-04 20:07:04.805636	258		0
25572	10g7hfn9wj90s68yi05r56yj9b	$2a$07$8tdolqE0kvopGi.P51Fi7Oq5qZtkkMRksnEAXxtHdoHRCUMmKWa2y	78	2013-08-04 20:06:20.934052	2013-08-04 20:07:05.128304	258		0
25573	10ptsfvu0zpgkmrhkuaiw6jzda	$2a$07$YZAl.UFXS/HGfYIZYekcL.9QwuXi.uXovUUeGoSrGBdDzRcs5dD8S	79	2013-08-04 20:06:20.957562	2013-08-04 20:07:05.245029	258		0
25574	10iodja1221c93yptvenu1f1u1	$2a$07$Lu3KySXIBbl4sZfky/wclOXZXL3dNEAHrR/FJIuhJo/X32j39f/yC	80	2013-08-04 20:06:20.982107	2013-08-04 20:07:05.407914	258		0
25575	10zyexo2hbjqcs0l698d55qcct	$2a$07$UbfAHlMVkhqN1ZotaySA3.bEsD7hyMKsO6yWYnyDPEYEvAenjOsqy	81	2013-08-04 20:06:21.007318	2013-08-04 20:07:05.532757	258		0
25576	102btocenaq9onijzt85eia21d	$2a$07$q6hYbDb5oHLBDASdeCxMkOn5DVWgsmWLYCj3MZKjvyZHiG8f2fRXu	82	2013-08-04 20:06:21.030167	2013-08-04 20:07:05.671499	258		0
25577	10f6bzgz1i2vk41e0ao1mqd9lr	$2a$07$gSyf/uyBDQ59PabCaxlTpOIx5ugxF4jdcbT4OeaR.qZIGGEHHdMaG	83	2013-08-04 20:06:21.05226	2013-08-04 20:07:07.993042	258		0
25578	10kkemo20g2mhp5y8m03yahxz9	$2a$07$GJTARcFUznPDYhHHnfqev.vnMsW6RqmKqAr5QGZkY2V4OwVviXFb6	84	2013-08-04 20:06:21.075127	2013-08-04 20:07:10.689107	258		0
25579	104xen7l9f6dhjj0j4srogqdpv	$2a$07$1rrCMdZOe6uQrEAoShWneOAW8cNg2v8L3sBky5.0b5I53vkYk/RkK	85	2013-08-04 20:06:21.113507	2013-08-04 20:07:10.821239	258		0
25580	1052wmesq5g3t9w6qrjcm3vkhh	$2a$07$LjtgIH/5E6v4i0ugIkpV4ur9YNB0k3L.z/BGGpTYXnMD1k1ClgZ12	86	2013-08-04 20:06:21.135876	2013-08-04 20:07:10.9765	258		0
25581	10kyhd4dniit4olx18r8t093i7	$2a$07$MBn0UbokzCvmkgwbJutvmutowe/0oybb4j72pqlGZwLFVtnlSOm.m	87	2013-08-04 20:06:21.159682	2013-08-04 20:07:11.111156	258		0
25582	10fz2ohf6zdta4a60xgfsn7v2q	$2a$07$kfxU8HKu9yQJLs83ldBcyusjrbwagMVgSZPb2aUCr9AR5yIj0lOHG	88	2013-08-04 20:06:21.195091	2013-08-04 20:07:11.254756	258		0
25583	104pbe7t4hnib2rasqeq55q6vx	$2a$07$dvVidpvzHHwWyhvNJtNOAuC1K.Sbzqo.hElqCqATncYFOF7ihbs0W	89	2013-08-04 20:06:21.217084	2013-08-04 20:07:11.390691	258		0
25584	10vyh0gcslhyt1mx3t2gnq0wm3	$2a$07$jPF.s/aM55QiB2DBjPEUNu1cdw0h6DwmzcxjTgHUj2x2eMrzmBOIe	90	2013-08-04 20:06:21.2386	2013-08-04 20:07:11.519609	258		0
25585	103fv48dus5axj02j935joen7a	$2a$07$pdy9gsXRzO1JCN//0gu8fezsu8W2jwrEu2gtz1vh9YPDCiZwBqlEe	91	2013-08-04 20:06:21.260168	2013-08-04 20:07:11.649832	258		0
25586	10smmc36f6p0jr8nrvul5q97ab	$2a$07$61NvpC2susvJsWhNRHmfQuccnSqroLDaqMZG4mLCF/hB6MKn2e1MC	92	2013-08-04 20:06:21.281748	2013-08-04 20:07:11.785907	258		0
25587	10bm8ggfprg2tk6i18r4uwud8y	$2a$07$3hGwLJim9UoGKhA1tsCeMOHqIzrsqjIa9rQttlDdNWHEYGy0fIpge	93	2013-08-04 20:06:21.303697	2013-08-04 20:07:11.92736	258		0
25588	10gcu39al3qxriik2ftaj40iwp	$2a$07$W4FMzYww0JOO6boTuOEERu/1Et7cj0B5GvIbEUdN3RuaahVR3/VGS	94	2013-08-04 20:06:21.325998	2013-08-04 20:07:12.062185	258		0
25589	10ssafw27du8923mllgfzznlzu	$2a$07$gQ4NffI/i3BX2euFz.SNqeJUjkBLyWk.Q/ToiRSjiuKwzdIGdbnNG	95	2013-08-04 20:06:21.348161	2013-08-04 20:07:12.257672	258		0
25590	104u1wk8w9j7391fnbu730krbt	$2a$07$iU/xFZXdP6j/xBCqMLDrSeWotlcOSoBercDrADOlzprJYZ3qXwab.	96	2013-08-04 20:06:21.37129	2013-08-04 20:07:12.403457	258		0
25591	10lgcnngv6pkusctt7bzrv75db	$2a$07$CC5ptO94vIpkL21lk0bUh.Dft0LKn.FA93xoLdRlicLLsu/SSsL.O	97	2013-08-04 20:06:21.402201	2013-08-04 20:07:15.349013	258		0
25592	10e1sbqb6i6c2t4qlv61d1zmw2	$2a$07$M.FaT1ytRBw3IiZg78mPI.HPkDTNhQBp19WY4tIzE/f4w0c.TXiNK	98	2013-08-04 20:06:21.424127	2013-08-04 20:07:18.108135	258		0
25593	10fzpcwcq13fnppiijqkz6ekh1	$2a$07$LK9n7bDx1/r/SlKkCXc0Je5U.dMwgFweEJ3Lw/B/Gh1j0RvFE6Y7q	99	2013-08-04 20:06:21.445642	2013-08-04 20:07:18.235325	258		0
25594	103n44tjl65q08387omsxmw8lh	$2a$07$agKEKavIbWbkcslmX67qr.MTOxXG3lcDtW3mz6OgZd64B2trL.cLm	100	2013-08-04 20:06:21.467165	2013-08-04 20:07:18.390491	258		0
25595	10m8urqpj1d6gtp76jtkm8enyu	$2a$07$bfWfekb9xS6Nu4Y8dqVZmePo0nR4nc.2v39smJr9TyIDyVbkjvOdq	101	2013-08-04 20:06:21.488613	2013-08-04 20:07:19.66962	258		0
25596	107tvhgke91term45jdzorbzu0	$2a$07$Yaz767eWvIFzU9e1kXqfluKjpXEORiovz1RdZmzFWticbe4j.AiVm	102	2013-08-04 20:06:21.509979	2013-08-04 20:07:21.266193	258		0
25597	10bukcxyl8sv4p2vvwqgkmndn7	$2a$07$O8hdjYIgo2vSG62ImckmLO0lIiTU8s4xhXjiuc4jS3BL8Pf7SbTgO	103	2013-08-04 20:06:21.532415	2013-08-04 20:07:21.431523	258		0
25598	109kefqkrnxelxgy782r5by0ch	$2a$07$FGk9k.VhcSbK6C/EZ9I6hOcC9C3nA5wejs0gUmCikmG1Ywzd45trG	104	2013-08-04 20:06:21.555448	2013-08-04 20:07:21.634278	258		0
25599	10vmi5qxxz980icgkmrs4p5n9z	$2a$07$vUdaA3gyaHa2LCJclp88QO1IJxKATpHuTaAtdn0Fi5ntzPfawR/MG	105	2013-08-04 20:06:21.583496	2013-08-04 20:07:21.754843	258		0
25600	101buah4u2mc8kp81qhypnyl54	$2a$07$2z9goCBXGYvg6Gg8Ec6B7uT3BEJ7uHPPbt0M0Jlt8QMJPxKJ3/Ioq	106	2013-08-04 20:06:21.612906	2013-08-04 20:07:21.886504	258		0
25601	10ks2bmj5qsavinamo2uc5oh9i	$2a$07$jZXClQ3cG436F8XHX6yJweDoG59AJ1biGpy/72po2TTxJTRDVuvUm	107	2013-08-04 20:06:21.634229	2013-08-04 20:07:22.080228	258		0
25602	10nbop8vk76t6lc17sppkyb5cu	$2a$07$YgcazaqnmsFZoiKZzptUIO4eoP25tGPMJQjDZ5XhVKJEVQFfVdBRe	108	2013-08-04 20:06:21.655639	2013-08-04 20:07:22.212701	258		0
25603	10qjms3jxu51qyux0ydn5yami0	$2a$07$gBdvB9ivjybcl1oe0RdZfemJ9PjXhcD11jstNN7ypHlK3YRsZfmnS	109	2013-08-04 20:06:21.678815	2013-08-04 20:07:22.353719	258		0
25604	10akt9kha99ftmdr3cru8ihw5g	$2a$07$ByFm8IcZLepi4p4lxqBBC.ynP0G.4wDrAA.58uwH7CvWl1ZqPEbFC	110	2013-08-04 20:06:21.70307	2013-08-04 20:07:22.481987	258		0
25605	102b38m75ke3dlhgztsq5nz1o0	$2a$07$GodMmbFn8M3I1HsXDdaXCu3YYsQ1MeGWFsEzv0hlGKzM5X3juStX2	111	2013-08-04 20:06:21.740033	2013-08-04 20:07:22.621486	258		0
25606	10vqpxk5mi1iata7jyn6vauo28	$2a$07$ZNm/RJ9qpTbYTFMf8n7iBeSF9yf66KLSBUQd/tw9P.kAP9ExEVwqK	112	2013-08-04 20:06:21.77503	2013-08-04 20:07:22.762749	258		0
25607	102pttd31mhez6lkt6388r2tq4	$2a$07$kCtZxE0mQOqyR/B/0e2Qo.ztrnvhmMbiMXA/7mbn/622pXEV0TB6W	113	2013-08-04 20:06:21.79925	2013-08-04 20:07:22.929456	258		0
25608	10g3v0p3yutoxam4i7b93hmdan	$2a$07$S1I1s5.cvhwFb/8LHgjq1eOYNvuibSUlp1kxRoddpOaXJe7jN8dBe	114	2013-08-04 20:06:21.831811	2013-08-04 20:07:23.065712	258		0
25609	10pfbmhtjr8ihc3tzp1zgi5e63	$2a$07$h1FyutOzkzH/QZ.nCPB1le1AN9Qh2OUO9H3kkSVDgLf4EJ8NG.HGy	115	2013-08-04 20:06:21.855515	2013-08-04 20:07:23.168059	258		0
25610	10i2bxj23y7y3ky3k932x6vrp8	$2a$07$uXGDHhv9ohjrZiS.tj3tOOohx8YNvbmDiMKX5ph4RVZj2GazdpA36	116	2013-08-04 20:06:21.87899	2013-08-04 20:07:23.299738	258		0
25611	10o9k734n05hnwomyzz81j2p5b	$2a$07$Gdhq75ooaOrVcdVd.2hIj./FfyNFpjX1kczWVBJOSXC.pumBinTMO	117	2013-08-04 20:06:21.902513	2013-08-04 20:07:23.44019	258		0
25612	106ve3amjlzc0i1elguatb67yv	$2a$07$5xC8cO2Ha6iFne/fWKuH1eXp5L./b3GyKMO3CVyl0TY20QQRoQJ7a	118	2013-08-04 20:06:21.925756	2013-08-04 20:07:23.645401	258		0
25613	10rczh0i6wm045c59m0x3ee04s	$2a$07$gcE9KoEL5DCV1dG4aGAKMunJyudNGKwlXIl8HWNNJArBdpJg0O36a	119	2013-08-04 20:06:21.949638	2013-08-04 20:07:23.788806	258		0
25614	10pmyo7rnmqwoop70bv6yf1xph	$2a$07$xJpeYZ1ckS9/vvRTk8K/6ues5rijpfodD5T9Ha2r8fHXjKBA9u3aG	120	2013-08-04 20:06:21.972974	2013-08-04 20:07:23.943631	258		0
25615	10obblynpw08z462bk6mqqtdk6	$2a$07$7.fC0eU5/ksKTsxjYJjgXulL2EYF4xiGU.YE06Hm6.Bg2QuYM23VK	121	2013-08-04 20:06:21.996576	2013-08-04 20:07:26.431403	258		0
25616	10jfulqx2g4jax7787a5bkopik	$2a$07$8/61iBbAXHo77cSDXK1McOs.2KmTzbRRoxjuv.F1wq5TkG/GJerRK	122	2013-08-04 20:06:22.01945	2013-08-04 20:07:28.734702	258		0
25617	10xw0txyc4f1zyynnz9kkm8kzb	$2a$07$pmfLFfQtK4rr18TyYy/W/O3K4LsAn8Z.RynDiirynB3fxR8QTSaQq	123	2013-08-04 20:06:22.041961	2013-08-04 20:07:31.490308	258		0
25618	101dkqfpqssoa1fx8r5digw25h	$2a$07$p9Foiy9SrYNMnaD079DBROmCaT0v.tBf4gOjWONy7RFB7OOYXfSNK	124	2013-08-04 20:06:22.06456	2013-08-04 20:07:34.704998	258		0
25619	10oogorhxmz2ntwj6k6wm9pt0d	$2a$07$A4GZwamQZxXOeVBsdzjhUOrgh2HsiGAZRUubv13Oj7yr6OWpBdZe2	125	2013-08-04 20:06:22.087818	2013-08-04 20:07:34.840227	258		0
25620	10k3ut8e3srsnna7imu6l9e80b	$2a$07$jd7r8c.9/KFmozp.bvWASe8IKrhc3puBFVE1Wc2yV4861gVb08fCO	126	2013-08-04 20:06:22.110276	2013-08-04 20:07:34.973852	258		0
25621	108bhqzrs7z74cmpyq0rcyzcfx	$2a$07$J5Nd8yq262AeSHHRFWdrNeXKJagfrnuxUuFgPgQ6EKwuBXieRPutG	1	2013-08-04 20:11:19.070623	2013-08-04 20:11:22.223755	259		0
25622	1098equtrnd35jzvx1hbiuf5gt	$2a$07$AOCavzHg0wJtdkfr69d8tOBVhi/mVmwQnHTQibbLm7k1cZpfd5TiS	2	2013-08-04 20:11:19.096661	2013-08-04 20:11:22.351581	259		0
25623	108cb3kbi25kcnru5o3x8t2v9g	$2a$07$SXalVnJhMeOI98cVc9LivuuGEUmVNeaZ2tmqVxsfneyhZ/VSakv8i	3	2013-08-04 20:11:19.131201	2013-08-04 20:11:22.467528	259		0
25624	10u5bsxu6umh8l8qiefphyoi4a	$2a$07$jGnRLuuRaI4k7D1yAw4tY.RAvG1.YF7F5/EMwN2sNEYYPTJ10jYeq	4	2013-08-04 20:11:19.155839	2013-08-04 20:11:22.68091	259		0
25625	10af0cf3zhnzb259ywn9krcmpn	$2a$07$ch6VsOXjl/SRa4IgTe/8I.1ptwMPfAxVbUxXN.W0bFv8FKOzjzf7u	5	2013-08-04 20:11:19.18545	2013-08-04 20:11:22.822995	259		0
25626	1063n0t4epr5h5iohxnqdhwr2a	$2a$07$f8rT6622ngbDVs4JUfXmqu/hWlSnzScx1ADNdE7yNH0xqJb7oK9Ey	6	2013-08-04 20:11:19.219537	2013-08-04 20:11:22.958647	259		0
25627	101p9zm33flgtnm2u1v318b285	$2a$07$JvBS1FaC1OVWnKFWjW2FAOIzCNrpmQ7BIs86xM2HnQf9uFxwSRx8C	7	2013-08-04 20:11:19.241216	2013-08-04 20:11:23.105288	259		0
25628	10za4f7jle5n1j66yhtyz1pg0x	$2a$07$y8ek.3k8c42emZjk.I.VAuLnWWsUEOlyoK6Bhwc1Me11n9OfW6N3C	8	2013-08-04 20:11:19.262854	2013-08-04 20:11:23.229862	259		0
25629	1085q3vzdq4m12bmekhxplarzh	$2a$07$yIYpK/73.MgHcXHXxGkE9.arxLJVG7Bq1uVHn3HyNFLyHRRfbxm6O	9	2013-08-04 20:11:19.285216	2013-08-04 20:11:23.368936	259		0
25630	10j2y9x2z6f5mdccovv3m6rhg0	$2a$07$ieSgA35it4H.wkhtOjnPAOchRvE5hSc8YoC1CX0ZVvlZW316xTBF2	10	2013-08-04 20:11:19.308169	2013-08-04 20:11:23.503474	259		0
25631	10ae5zl7s5jvy5hivarp296dsf	$2a$07$poskZnlQPBWAutFn8yN88e/gONeTHf5LO2dYvTxpVEnebFqzG2HaK	11	2013-08-04 20:11:19.33471	2013-08-04 20:11:23.646947	259		0
25632	103rl62tpdrfda25jb13h3w23y	$2a$07$eQtys5w8f584cLotqvmiou6L5rA.rCo29wD83IeHbKOSmEtI31seK	12	2013-08-04 20:11:19.357362	2013-08-04 20:11:23.868339	259		0
25633	10jkzxvza8z8lpyupsnkpiyufu	$2a$07$147NxHDuFZxtKFYltmbz6ODesjA7VjkBYwnf.iCN9q8YpYjninlZe	13	2013-08-04 20:11:19.388016	2013-08-04 20:11:23.994893	259		0
25634	10rcfar8cfjsjclp9codkuglp2	$2a$07$otvhRNcnOZ5kSRh1OWbhD.l7v3f0Wi/c.rJBD.p.T30jt6WI4MSqS	14	2013-08-04 20:11:19.40961	2013-08-04 20:11:24.13625	259		0
25635	10jx6hm116t3ehn1k2ehrs5wb4	$2a$07$YbvNcBym4YNevtmPcUjZCe..BUHRnLfRVTd6oq.Ew0xCfGQ.E7VX.	15	2013-08-04 20:11:19.431282	2013-08-04 20:11:24.251908	259		0
25636	10cspn9dcr8yekbyckr7q4fg8q	$2a$07$/a9Iv7N3l.8S1/OjfFDMee2hTlhLN8.mXxwtYIPNuIdE2BflwqkVa	16	2013-08-04 20:11:19.453171	2013-08-04 20:11:24.369848	259		0
25637	102lfvegu7o5ad16ldh052a5yg	$2a$07$c1/OZChLcUEhK39J4jOTqOEzoa5p1z405nOj8v8ZUvqGHft5p3STi	17	2013-08-04 20:11:19.475043	2013-08-04 20:11:24.519629	259		0
25638	10al6aezz6gqhhiq8kagao9d85	$2a$07$ncR1fKk01Hg28Q24KtW7LuAfXVJsvakfwBeyzqS3pSaW8V09iiL.m	18	2013-08-04 20:11:19.498596	2013-08-04 20:11:24.640344	259		0
25639	10mmbwufjzqju5tpl4662rc302	$2a$07$JUhgRC5SYhAA5UmGlGGXV.ZRiw9n9/lUsjdCmSrHJXS.KmjF2CtwG	19	2013-08-04 20:11:19.52133	2013-08-04 20:11:27.531665	259		0
25640	1051dsdas5kqxmcscu79km0fcn	$2a$07$KlgiLyLbgc3zPTtAWg4OS.QY5/fcL3WH7vrEy1QUxpeNiLLLTrEkG	20	2013-08-04 20:11:19.544457	2013-08-04 20:11:30.370921	259		0
25641	108p7rhktqjcy3xm8ct4yhowgn	$2a$07$QUGzG9hHPjwIXjq3yNpHLuXQuL29wDzgBbMvPPyojXnsUc6XPHYyi	21	2013-08-04 20:11:19.56705	2013-08-04 20:11:33.449072	259		0
25642	100lqsog7u91uu5p0owkygy4zm	$2a$07$HybtoZShVCa5paCseexd2eGfTBJX1Uk/hL..K0waslIWkhd0umdlW	22	2013-08-04 20:11:19.592944	2013-08-04 20:11:33.637767	259		0
25643	100fm2pk4pmm4gqyol5efvk1ix	$2a$07$InSUrtgLlGM0VX0wE6hwNOcdd.R/sI0Z0pwaRA/r1KNni7usR9n6.	23	2013-08-04 20:11:19.618154	2013-08-04 20:11:33.777502	259		0
25644	1092ma1vxihds1qr20rah2vdgw	$2a$07$0R9hNnAen5VfmVLyeAFzbeEyg0CbdwwvrROVatQdUsL1yetjr.eP2	24	2013-08-04 20:11:19.643685	2013-08-04 20:11:33.896099	259		0
25645	103vntr0jlmbnyzy0sretybqng	$2a$07$0oqBjWP7kw/Wwsoa6atfbuRh01/bhSYOmw1y97bOvjXupS8cwnEKi	25	2013-08-04 20:11:19.667043	2013-08-04 20:11:35.124621	259		0
25646	109tkumyle7imizh8yt2x02lc5	$2a$07$my4MF6ErwIZZvI4VhhcqbuFTpXBjgHHZH0dJnilomQKHTlIqxgEv2	26	2013-08-04 20:11:19.690488	2013-08-04 20:11:36.238247	259		0
25647	10vqya02ytqmry0l2f7abkqorb	$2a$07$qFhdBnqbB9TDr2qC.UFAnezfMrfdxYguAg.qOPGQF2Ebr59ZswEGS	27	2013-08-04 20:11:19.713979	2013-08-04 20:11:37.384515	259		0
25648	10hstyqfiiframa06ik2rmqe6w	$2a$07$kqznMFCN.vuM59abd3qhluamfKPoHjQbyXoIXykYoPKHBXBFwCnMm	28	2013-08-04 20:11:19.735863	2013-08-04 20:11:37.546168	259		0
25649	10wrexoecezedxp30giovqwe9v	$2a$07$/T.YwXViVX3cu5IXWOzJfOY49uCJZ3gxtqn1rePVRq66MOQawgZba	29	2013-08-04 20:11:19.758638	2013-08-04 20:11:37.697857	259		0
25650	105l2w045cexhpq2i01f54mes4	$2a$07$PMZF/PnR10819gbONMkbx.VMntwCyXwvkKN6a8gLEvzFRSJr0QvSC	30	2013-08-04 20:11:19.781844	2013-08-04 20:11:37.818173	259		0
25651	10q7o67htkoqfttg9nw6l61pot	$2a$07$kVFq2sJAz0jtjTQHbU9dOeYi3qHzld.o.a6JDr2DCAEwcYQiJH4O2	31	2013-08-04 20:11:19.815993	2013-08-04 20:11:37.964552	259		0
25652	103cbccg6126ys11c8rxvye1mq	$2a$07$/Q12suTx7rrtQhK19QJulu0T61YC5UnsTyDQ3n6s7zSKIm6HYLk4S	32	2013-08-04 20:11:19.839525	2013-08-04 20:11:38.099795	259		0
25653	10ajyj1do215nlk0z91jwwfzmv	$2a$07$tXRANXwPPF9XmZWe8erDS.2FLN3WQLXaJpt9z6jRzfer4sqdwq2Ha	33	2013-08-04 20:11:19.863045	2013-08-04 20:11:38.252828	259		0
25654	10idv72bv9d495m17qcf2dmlcd	$2a$07$Z8YYs9AE9FTh8EbI8GrlzerfMiOJKONZ9Nmj8tPUo7x9pE8GCb.6C	34	2013-08-04 20:11:19.886859	2013-08-04 20:11:38.490791	259		0
25655	10nb5ri18g7ap3fvznsu68kz7b	$2a$07$i/THHFLTVftbJLSg9guBv.ftTgDXyeVtzbqMKS5MpiTBUlSfzLfcu	35	2013-08-04 20:11:19.910835	2013-08-04 20:11:38.652096	259		0
25656	10p3i8k2raqewhh8llq7f1cqk6	$2a$07$emZ34m2neK.Y.eFMAxb1SOyQi5hqNY4BAoP/3KyJMrIN0pzgLYQAa	36	2013-08-04 20:11:19.93507	2013-08-04 20:11:38.793092	259		0
25657	10qshbwxvpc9meh1rpkovffuz9	$2a$07$T5d8EIFrqLxi65K5QeVSjOf1fFO.oearf0ZtLULERbWVk1AuyHg6y	37	2013-08-04 20:11:19.959664	2013-08-04 20:11:38.938371	259		0
25658	10t257up2jwfc32i5391lmp7a8	$2a$07$fg7.tBNZQuSRSFWWs4rh0efWKAed/Gse3/5SPyr4dFjBnfQFPB0ha	38	2013-08-04 20:11:19.986009	2013-08-04 20:11:39.07857	259		0
25659	10cxtyruwncswc9lkm08c2qpfh	$2a$07$KDxJaOu6cpqHWxjrzfrAMuTMslIGjcpXvqPAK1Q9Nsc.cyvH9.SB.	39	2013-08-04 20:11:20.011321	2013-08-04 20:11:39.219476	259		0
25660	10kp44bmzr7ckena4yl2p3iy2o	$2a$07$.ZXMV8EYxtxGBuCwuVF34.MQUFFJsNbr1D.z3zJxeC10QxPFAcV2a	40	2013-08-04 20:11:20.043552	2013-08-04 20:11:39.400327	259		0
25661	10z6nbwce5gv90awcvvfj0r7aq	$2a$07$8oBbZXQFeVgbxNjO/TrbTe2C9GHuEX/f1MrFSjGL77f4gxacZwGz.	41	2013-08-04 20:11:20.065498	2013-08-04 20:11:39.554717	259		0
25662	10kcuafwj2xilsh22gcvbbiqp4	$2a$07$xvcDLaLqDhAa59F9sg53AuF9f4o2lk1bzw/ID28jq6Bn.KlKo7FzC	42	2013-08-04 20:11:20.08792	2013-08-04 20:11:39.68583	259		0
25663	10h2ltgq7n6kz54t0d382v4d2f	$2a$07$cwuFgLVNaAB/m1d79qaQhuujFaG99ZXbGcsP9SxP2tBo1OHGX/v3y	43	2013-08-04 20:11:20.110615	2013-08-04 20:11:39.828405	259		0
25664	10groezct8djrqdq0cpytpjeu2	$2a$07$nX0BS8SAp00p7Vhm.CciguF/aBQZ6TNTVWZnpOaxbuiyP1h4oIpt6	44	2013-08-04 20:11:20.133631	2013-08-04 20:11:39.949116	259		0
25665	103mwbmcz58yg4t5tejoxgpggm	$2a$07$OY8rQdCtJJgozdmDmrXq0ukKd18qWegWRQX/i8aCUGzyOYghT5uuu	45	2013-08-04 20:11:20.157336	2013-08-04 20:11:40.076675	259		0
25666	104tpl5sjwgx4z56h1bszhixcd	$2a$07$t8o344axbWGsLNoyghRRNeumSqoAXRcuIMfblpuCrm61XKM0h0Ofe	46	2013-08-04 20:11:20.181915	2013-08-04 20:11:40.205904	259		0
25667	10oudqbd8oyswt0vhsy01l2kip	$2a$07$mPEhRqddw92dn9ky4cQccOB6GcHz0PTZKk0dtVn/YU8q50aPXIKbq	47	2013-08-04 20:11:20.210062	2013-08-04 20:11:40.344913	259		0
25668	10ig7u08y72d8baslb7vjv1oax	$2a$07$OxDaAy0xZvfPVkTChdnSM.gEXkR7tvpkFUmNxmReEOPs2qYvTwhBa	48	2013-08-04 20:11:20.231739	2013-08-04 20:11:40.492954	259		0
25669	10pbk6clmiqbwezj7cfjbe5x66	$2a$07$Dr4rRzFG1UZ5lmxrmHIcOeD3xohWPOf3qI/qMgIKeTemRgsWgL07S	49	2013-08-04 20:11:20.254434	2013-08-04 20:11:40.691507	259		0
25670	10yfgrcj3yzoaqye2yge4n78tj	$2a$07$Os38rSwkxkwMcq3xsGnqZOCun6vBVi/BwWrP9Ot/C4SSt.ijlwPg6	50	2013-08-04 20:11:20.277533	2013-08-04 20:11:40.831016	259		0
25671	10misl1w9d3qlgksrx9b0zcrar	$2a$07$kvrs8K3ZsGAIee6206NBOueQulqqPIZG930nTmE9LYmJfscYOqcQ.	51	2013-08-04 20:11:20.30087	2013-08-04 20:11:40.979759	259		0
25672	10kmv7e4jh9f5weyrot7xhnv83	$2a$07$Sa24iSKG6960c0delx0u0efvhf06uqSYDYeb4y8ZCyy6XGxLx6Qwa	52	2013-08-04 20:11:20.32471	2013-08-04 20:11:41.383689	259		0
25673	10p61so2ryxw2j21h2nzpki4cb	$2a$07$0757Gbv6OaQoZDMjAb6NbeTxqbs54KamARcLGlRq4HHHh8OgrrEJG	53	2013-08-04 20:11:20.347619	2013-08-04 20:11:41.633347	259		0
25674	10cawlimznm4doj57igsgx7phj	$2a$07$bdb7aMMD1SambzyuOXy4A.LnrMJv9vdTJKhc7Smukkg.nH0bae1yG	54	2013-08-04 20:11:20.37101	2013-08-04 20:11:41.935658	259		0
25675	10gc95xl0z3qlg1n6yscphvan5	$2a$07$mF.aINIs0/RQpUo5hjcC5eifEXCorPVI43qTaPmsvu0QC2v6Ga4xK	55	2013-08-04 20:11:20.393131	2013-08-04 20:11:42.144517	259		0
25676	10ib1wetc9b1d5evhblyowziat	$2a$07$g/r7QEk/ZSnnxcwfWAnrIOt5CVcM7aRlfc5XcHOLn91AL5inYjyea	56	2013-08-04 20:11:20.414791	2013-08-04 20:11:42.285455	259		0
25677	107kd3j63dl0i345e5ff20hw8h	$2a$07$qLecDWWpMyRsNVJ/kBLM4u/OiHzwOLj3apJpZGuVw2dRYoWViwXu.	57	2013-08-04 20:11:20.436767	2013-08-04 20:11:42.420688	259		0
25678	10zinv184043yjy9mh7exemobp	$2a$07$rIPkicwX51fQACv66yDFC.8z48/oZ7/n6vSRyCUA92jbhEUtcGiI2	58	2013-08-04 20:11:20.458804	2013-08-04 20:11:44.865548	259		0
25679	10vk6bwq9pojapjg93ayk5hsz5	$2a$07$aJ0gG074.YOTSRL7B80gUeGBEPKvjlzy.FQbu4COKVHBbStzV2pdm	59	2013-08-04 20:11:20.482512	2013-08-04 20:11:47.400599	259		0
25680	101vkpe84njrbjodsywc80jqae	$2a$07$GXatyy2UrbkKYGP0XFszTuFq1XHoQAlvSIZUTZ4mq/fCEd87tX2Tq	60	2013-08-04 20:11:20.506557	2013-08-04 20:11:50.0073	259		0
25681	10p7mwjcpxuhsszg0xan07wtz6	$2a$07$pQqzylYRxhu37e06k8AThup87LlkaEFkFYXwx.hRQ3IY9OzeLK7De	61	2013-08-04 20:11:20.528874	2013-08-04 20:11:52.906527	259		0
25682	10a4enloznq8b0b6ekjtm3nchc	$2a$07$txxoqknaqIH2UyDXr6to2eD3oxznQErQOd6UVtxSYVzBuVGRuJQZC	62	2013-08-04 20:11:20.563904	2013-08-04 20:11:55.993147	259		0
25683	10cs89rizdshyt051i2adtswz6	$2a$07$WSUJ4ymIuOPXNHWyu3FQde0PhWPErmvid/IArKqb1oLuu83NFvJ52	63	2013-08-04 20:11:20.591524	2013-08-04 20:11:59.004903	259		0
25684	10mu84vz2flvciszh4u3u9646q	$2a$07$0eBrO7nB40e8agLYNbakmeU1huzUAsdqZrL/pyX2R4aRY.5/FcLu6	64	2013-08-04 20:11:20.625857	2013-08-04 20:11:59.158129	259		0
25685	103wxvz2qkujykxz6inf79vj0u	$2a$07$Du8khY5OMLsBa6mLQLb2L.Yysnh0gTfe8yK5CosSFaaeE0V/8dCtm	65	2013-08-04 20:11:20.65768	2013-08-04 20:11:59.305983	259		0
25686	10epmyy3rxxcnd8t03iolg9kjm	$2a$07$M7eqgrfkQg3y.rgrmkUN3OBq4/5DlQLaMlEwEsZ67O4VNgl5cUi2m	66	2013-08-04 20:11:20.691083	2013-08-04 20:11:59.519664	259		0
25687	101fgjhqnj3bzczfxpu0pbxitf	$2a$07$DLdyIyVfhUyvI4NVHXHLEe5cRePPMfBcLJB2n1OWLmJatJqBdY11W	67	2013-08-04 20:11:20.712981	2013-08-04 20:11:59.639312	259		0
25688	10tbrdmsn194ctfgyylzc2ym0m	$2a$07$mY5TAzn5ebr7mE6CPgdeNONE1Sz7cIPracz6nkCnVE7lF3DzIkpzq	68	2013-08-04 20:11:20.73543	2013-08-04 20:11:59.747455	259		0
25689	10ux82uk8x8wl3kxfavhctuho8	$2a$07$9ZH5aA.RL/JUGmQpFr7UE.xVro7X2zW9P9urp7mrQBJHdyanMoK/O	69	2013-08-04 20:11:20.757355	2013-08-04 20:11:59.909455	259		0
25690	10kdfrw5dwvutgrkj63y8d39tl	$2a$07$epZClrWdC8m./oVEwxix0.xGee5I2JWU7gP67XPFbkqKZBlg790ou	70	2013-08-04 20:11:20.779949	2013-08-04 20:12:02.556683	259		0
25691	10ptk3r97qvm7avo3y231ynctj	$2a$07$iGXDpStwVMjfkpNOO4HvlubQExH.TltEiiHtE2hq3TcOKWy8/Dmpi	71	2013-08-04 20:11:20.801614	2013-08-04 20:12:02.695124	259		0
25692	1083kb067jctg3anuaiv6g0nr0	$2a$07$mUonqf2f7YttuMCR/Jm4..WVUGFeyuXu/3Vryuwl7fPtX/4ipq5Li	72	2013-08-04 20:11:20.824434	2013-08-04 20:12:04.292136	259		0
25693	10144two9vj0cr8rbjg26gwf3b	$2a$07$izBy2Ln6NUgXUY514Ejaf.RDZmNHnAQrxXMNRX9iiAnWgLXFVLx.e	73	2013-08-04 20:11:20.847263	2013-08-04 20:12:04.440819	259		0
25694	10kgb4nppmudc0vwzhlagj4guj	$2a$07$RdXp7Z.HOSRNVjHJGVK5rORg3ih8QTBAzgZaykb/Lw/pF44Ccn4wy	74	2013-08-04 20:11:20.869204	2013-08-04 20:12:04.566956	259		0
25695	10xifzj8zjrnempt1stbitwvbn	$2a$07$Q0Wn4UIOf34J/obfoDsnwOV/h6OD9C.UbTI6XAD9Ze7FL19BTwsJe	75	2013-08-04 20:11:20.890801	2013-08-04 20:12:04.839464	259		0
25696	10v3jksylkcabrjfejrxanrd7e	$2a$07$t5zRNcqiasEw.nnStPRweec.ILGJNTd1hSoIorrPz0DOnyVAtqXmK	76	2013-08-04 20:11:20.912639	2013-08-04 20:12:04.96925	259		0
25697	10d3tg5uzgo9ytkksdyihvls6k	$2a$07$f4W5k/mDgIjtmoWwesZc2.uLXGh6pAFfdcFmLcu0BQ1JIxwOdYCq2	77	2013-08-04 20:11:20.934424	2013-08-04 20:12:05.112371	259		0
25698	10lpqfjkgsqogyuleqstpc3li9	$2a$07$JXQ.ZLVYib6p5XyPyFJcn.6AXw.JtAaX5SU/I3GgOYWXDUnVqpTyi	78	2013-08-04 20:11:20.955891	2013-08-04 20:12:05.268035	259		0
25699	10p08trntlf2tmphnjscyaasq0	$2a$07$W4UKGNbHRpyidKKiLHaJH.nHiS3MDrd9wnNFtK.jChtFaWGmUPwu2	79	2013-08-04 20:11:20.977443	2013-08-04 20:12:05.401639	259		0
25700	10gvo44gm011w9cngryf55ymlq	$2a$07$NhpiF9/SG1lslvY7wA.N3Ou9oP2vywt3n86ZLTiHeLJ4XojmVd06O	80	2013-08-04 20:11:21.001023	2013-08-04 20:12:05.543587	259		0
25701	10ak3rdq5ngqzf6t0an93vdx7k	$2a$07$cGKDdx7G0MLStzMQLfc4b.daRor41G4OzE1UoodR7g5yGswe9whTm	81	2013-08-04 20:11:21.024423	2013-08-04 20:12:05.831218	259		0
25702	10tfmf1wy7q3kvvqujaer31qel	$2a$07$PxABpKFek1kzZNikuyeV5uznsOwqnjb8DesBiPpPISk1BGW7a2yZy	82	2013-08-04 20:11:21.054589	2013-08-04 20:12:05.967191	259		0
25703	10udgzjqtace120nb0ujvhu6c6	$2a$07$drKA/LZNfjSBJmUA9CSXSOMn3UWp9rPn.Ii1BtNzmcP6hQDYqeIkW	83	2013-08-04 20:11:21.08732	2013-08-04 20:12:08.704347	259		0
25704	10hwpauws5xgj4acd6vl7eyzhf	$2a$07$ueohCPLt3.8D8aJ9p94m0.4BQIy8kfAWrQO7rIzO5Dsk/dSgc7dLq	84	2013-08-04 20:11:21.108471	2013-08-04 20:12:11.488509	259		0
25705	10cg9uzt48upec84m53tfv26bg	$2a$07$W5k2cfbE.hEK.wcZM0x4T.UaZ34h.XrYo/nBiRLLPITG0SkbtYuHG	85	2013-08-04 20:11:21.129575	2013-08-04 20:12:11.625962	259		0
25706	10u4qj0dn4wlfr9ktwmjq8bvqq	$2a$07$EDsLuzSqXPsF4/MPNM4SPOG0UMJVXPwdFqZQz/g/g9HyOtnUoN8Sm	86	2013-08-04 20:11:21.150725	2013-08-04 20:12:11.771097	259		0
25707	10qjiy0msohm60vq5wdclko47a	$2a$07$CGLaGl23OsBESdl0NxQnsujRYLYfliKSRb/MRRN4vbe8q.PZUuy22	87	2013-08-04 20:11:21.171889	2013-08-04 20:12:11.902514	259		0
25708	10ood4tlvlkae6xev2b1wfgtsq	$2a$07$QuRg5bz0QpF163v6t49G1.VULxEAz4YLv4A7jksJ2dtQvDbvD10gC	88	2013-08-04 20:11:21.19444	2013-08-04 20:12:12.05321	259		0
25709	10rodi3zxa9o0bo6vybkn17arj	$2a$07$8LHB7slTx6FgbY7EA6Rm/e/n5qhoruHFVqnvY8N47fdBuwe.XrZtK	89	2013-08-04 20:11:21.215753	2013-08-04 20:12:12.265137	259		0
25710	10b3bp0hdirbhsdyxehexl21m2	$2a$07$oRvt9O9ULEHxVS7v.w1UPuOQQxnAk1dJ2lZxy68kIeipTUbbcX/.K	90	2013-08-04 20:11:21.236959	2013-08-04 20:12:12.470889	259		0
25711	10r4x684urha5w7z67yzi4ms31	$2a$07$W2OajzoTlWbBD.SCbb.CLeD2hx8frFJQGjWtJtkjf6xLeSrPQ.6G.	91	2013-08-04 20:11:21.259701	2013-08-04 20:12:12.609048	259		0
25712	10umjkinqt119dgnchjcpqmdtj	$2a$07$uZ/YVPYeK7n/U/GiclVEtOVnoehkJoDlv/hF9.9cETXm27Sr9tleG	92	2013-08-04 20:11:21.294897	2013-08-04 20:12:12.750326	259		0
25713	10lm1snp7egcvof6lzk3kj2a5t	$2a$07$fYaTTuJJ6Uqh3JXWOp9c.Ot0iZ2iIea543EeDiVe.M4v5v3SzCtn.	93	2013-08-04 20:11:21.317148	2013-08-04 20:12:12.899522	259		0
25714	1016o8bx78zkazmjcdp9c619sz	$2a$07$b.n1SpBsAto1kZBSH0SSvuV1HxLDJ6gZnNUCCX6oMwcEOajur6naC	94	2013-08-04 20:11:21.339022	2013-08-04 20:12:13.000848	259		0
25715	10mhnolhdxfmylvt030h2sulz5	$2a$07$/xbsAQ.MhQlzJ.cXyA1e9OhTfBqxjhh3SVJUp6WhU/vMgBHTwqGC2	95	2013-08-04 20:11:21.361796	2013-08-04 20:12:13.128502	259		0
25716	10dojan4isucjqwvyrlkep08r6	$2a$07$diyEypQ6h0k1lzZYNtlVMelfLy3qtSiQuDq431eN/6PVggTdISa4S	96	2013-08-04 20:11:21.387383	2013-08-04 20:12:13.2815	259		0
25717	106oycdiiqhqkxbaqgeqzvv7py	$2a$07$qbJFfT6n7l3yijeSwb2DP.gehkseV39H8k1yL7Th5D.AlYlTWvWdC	97	2013-08-04 20:11:21.410334	2013-08-04 20:12:15.943228	259		0
25718	10vl0x29pr7tbpug9bkob8vryw	$2a$07$L26bPOMj8J3tJF80XFUgBO6IvjwIyUyWkSFnjFUoMCjOQpuvMIH3m	98	2013-08-04 20:11:21.432475	2013-08-04 20:12:18.906074	259		0
25719	10ml8ynheqgtqbsiuzn8ey4a45	$2a$07$ilqQXigRahaxP.RANrlUa.D2cafjkK/q9.6V5cGoNggWE8JGi.GPG	99	2013-08-04 20:11:21.455325	2013-08-04 20:12:19.10749	259		0
25720	10vsu02ecsrerz2rsuzyvhnz73	$2a$07$TAH1mXHsL0WITZ/Q/ZalGuJJ7hwbU9nNDwTZ4UyPEYvZO3twcS39i	100	2013-08-04 20:11:21.477728	2013-08-04 20:12:19.349421	259		0
25721	10nkzn7l4k9zfg13cfa3h2yxtx	$2a$07$Garzv6YfnEqeZIHgibDNGegqUWVMaqH3oK51Mr7MZ9G1T5Sm8FHOy	101	2013-08-04 20:11:21.500496	2013-08-04 20:12:20.620401	259		0
25722	10z2vg8u4wjbzdyy77kcqw4b95	$2a$07$STrao8FbSXBpSHUXwBfURe0Cn3WmGwAPDJWcRX.jZAE6Y4WPdKTM.	102	2013-08-04 20:11:21.523912	2013-08-04 20:12:21.634076	259		0
25723	109yoqz1tlq4zqo18l85a18qx1	$2a$07$rhkfXUlyb8llCDRbL1nsWet2H/dk88Nvv/gEttzPFwzf3wqQSHO6S	103	2013-08-04 20:11:21.546785	2013-08-04 20:12:21.7722	259		0
25724	10u44n4354fwqfmw2v6taws78g	$2a$07$gwP9HBxSJyckh/FvFpdnmePDFAEkgbNlXCj0NHrYVgkVfwCMyaX6a	104	2013-08-04 20:11:21.569681	2013-08-04 20:12:21.942804	259		0
25725	10aof1jmmxo5xo8qk49zqpvv9x	$2a$07$7mM/CgDWqqI3EEVE2Qa4ruq0DQBwsn/rfdLSO4SdCdIaNgd.14eXO	105	2013-08-04 20:11:21.592549	2013-08-04 20:12:22.059626	259		0
25726	10nhonhju7yvbtuafcumsokghu	$2a$07$g1ew6tDsf4pcSzA5XXh4LuRMmu9HRKNcpawZCxIWud5HdGozSkCYO	106	2013-08-04 20:11:21.614186	2013-08-04 20:12:22.198748	259		0
25727	10d34ip3uxqrlhgoyko6i974tq	$2a$07$s1R0Sz7Jr4C1QxBtIfb39.L5zY4lkSPsVVFjc7ahhSgICjv2cV1HW	107	2013-08-04 20:11:21.636633	2013-08-04 20:12:22.414834	259		0
25728	107rgysbelvfmpkznin8d61rvt	$2a$07$6PIM7DrfRgq.6ldkwhvEX.6InuuFoXJom0aTTzqmV2UbsYKfnkmiu	108	2013-08-04 20:11:21.659302	2013-08-04 20:12:22.662123	259		0
25729	1065r6jbxh96e3m4cn1pzg96c8	$2a$07$JKOpCjAUKwss0AreXGDPzeLUgNwXMxO6dZiYTIfI5i.fOvou1MY1C	109	2013-08-04 20:11:21.681372	2013-08-04 20:12:22.790319	259		0
25730	103b404ovhgd2wih5nos1q7cdr	$2a$07$OL0V3g6zGAvle2lBBCyjAO3eW8sZSAec4RZ41nQxB57lZP3Ejp07u	110	2013-08-04 20:11:21.703228	2013-08-04 20:12:22.939231	259		0
25731	10ds6ab4s0b291ifxubdtl2ot9	$2a$07$XcyKaWpI8xBZBmrMF0r7EOS4JVxavkEZt8NiGJtBQa2X5SlAaT9PW	111	2013-08-04 20:11:21.724806	2013-08-04 20:12:23.07193	259		0
25732	10pqsz9e9xtx30mnsr4bmm58gw	$2a$07$PrOYfpj6MPQrHlSP88CxWuJuBB7SVF7w1ZWsAwasdsNxjWs397HA.	112	2013-08-04 20:11:21.746589	2013-08-04 20:12:23.206669	259		0
25733	10oq7mdeueaogs7szbxl8vyeq6	$2a$07$GsCO9k4BY8p6mWGbj4KnM.Qz237TnMsXCLMTkNXxdKSnScmYoZ..m	113	2013-08-04 20:11:21.768771	2013-08-04 20:12:23.382192	259		0
25734	10ufvp0a94b04ug2gyraa86fzx	$2a$07$dZgc.viBxR8hLI/K5hnWcOO3TVvnpjqlcOjQSi9cVcOKB1JqzrQIi	114	2013-08-04 20:11:21.791676	2013-08-04 20:12:23.60552	259		0
25735	107i4wo5c83dajue462xy5tmpf	$2a$07$RchKccpha.BvYSzJcOYLguszDRfehyQjDZl3h6TU1EbETLoeHqVKC	115	2013-08-04 20:11:21.815164	2013-08-04 20:12:23.708416	259		0
25736	10o590qhzvpwznoyiam47cz2v5	$2a$07$Z1QufXZIfELDJUBvyCPl2OD5GAwgV9xGa33cpHehBP85s5Eav/ofG	116	2013-08-04 20:11:21.837753	2013-08-04 20:12:23.829174	259		0
25737	10l3dcwcyhqza0yq74j1fr9fqu	$2a$07$p8n7RWX10nfSEV3pwjER5.yXz4i5qQ7KcXKqFHZyAmyeCAukNzt8u	117	2013-08-04 20:11:21.859346	2013-08-04 20:12:23.997119	259		0
25738	101shnbcxsla4vn24wdbt77nx7	$2a$07$MjnnBZcaxUObZVlu1IJEweooKG3BrvEQxFD8sZfbI4o7SZh5MhIjy	118	2013-08-04 20:11:21.881172	2013-08-04 20:12:24.135972	259		0
25739	10gk6u1wwlbuahww2c6c5jmlnx	$2a$07$lJVXI7QLIyVdxYgSDFTsDOmRJAcF.XS54sg1w4NvspQj802JHjvFK	119	2013-08-04 20:11:21.903716	2013-08-04 20:12:24.276021	259		0
25740	10qivils3bnwicmsv19r3d32gq	$2a$07$pGW4.6fXyDsUP3flGsHMhu7TQrjea404jGXvggCZDcZqCHrlP6xPC	120	2013-08-04 20:11:21.925491	2013-08-04 20:12:24.44207	259		0
25741	101zgsvuc36zy75e8g5b2i1mcd	$2a$07$HiOSuIwqg/1T9wxu9k7NNO.NUzgV2VsjLtSmdro2Ivnn0QMXWgKA2	121	2013-08-04 20:11:21.947463	2013-08-04 20:12:27.128779	259		0
25742	102vlkybn405aoyvutfxpo7vfb	$2a$07$.8w58lGXGPruarymRyPMaO9Z.U1rsuZQXpOwC9vZI4y04uLCor0vO	122	2013-08-04 20:11:21.97046	2013-08-04 20:12:29.797947	259		0
25743	103nfzy4h9y2qlm81wsl0jbb1k	$2a$07$2BWpCbRbH4F43mjbKJL/IOB3plmc/nJ.c/DoqDzq1UA1gWOernwTW	123	2013-08-04 20:11:21.992285	2013-08-04 20:12:32.504984	259		0
25744	1039bu7vxu1clgrcw6w9h2vfmf	$2a$07$c/s/tljkHTlphkj77e8VbuHH1Etjt22DW4yZZk7UcCPXonRLuveMS	124	2013-08-04 20:11:22.016058	2013-08-04 20:12:35.712871	259		0
25745	10xwwj7ms7b2dlkbl2k210qyir	$2a$07$EwG9/vmsJYJLLdYdvknW..9UqoQGxY8Nf4vI.zx/QqBNfC4kX/nk6	125	2013-08-04 20:11:22.039446	2013-08-04 20:12:36.095019	259		0
25746	108oq9qj30botrnyvv6ypqn10l	$2a$07$wabBRayTofhk8/XgG.qo5OePBovHLZ9Qb.MXO3ED3pUi6sY4ISJQK	126	2013-08-04 20:11:22.072898	2013-08-04 20:12:36.24902	259		0
25747	10ps8sqn2j3srkjmmqdtbj48jt	$2a$07$BvEW23GGzEw279Nr.EJO3OszrD7pIe1tD29uBM.GGT24jkUb.Vsui	1	2013-08-04 20:16:19.094003	2013-08-04 20:16:22.202877	260		0
25748	101dp68vxfsf262si9u8di3tme	$2a$07$gUnIZScDqR2sECVvNC5PxOIl4WEdR9Bg0hD/ZgAL6J5ynzuPoBy/S	2	2013-08-04 20:16:19.118896	2013-08-04 20:16:22.357255	260		0
25749	109sjfb0yhig198dingwui2815	$2a$07$FM0sZ/ltCOTn6At24yBDPuy2P2PMG8J3Hr864smVXuHfnEntwaiza	3	2013-08-04 20:16:19.158586	2013-08-04 20:16:22.495968	260		0
25750	10pm2vc0xmbuv3atgolyqy6fk4	$2a$07$2/gsFIeTo0KbrpdCh2ltmusC5OPtUbbPjei7YU0eNH4kqv9n2cXdK	4	2013-08-04 20:16:19.181565	2013-08-04 20:16:22.626475	260		0
25751	10xiawa1z859bhhklvf2xc1a1l	$2a$07$NG5rrUeFWhvs2twgMP43pudxEOn2XTRg36Zyo3E8l1brU/yXf1Jey	5	2013-08-04 20:16:19.20615	2013-08-04 20:16:22.759818	260		0
25752	10usfunle4zkvq05k17vkx50r1	$2a$07$O1xR6xPXvSXjjxnyXGQKWeygnoWJlt8mdK02.owPUaFFs7UnTpWqS	6	2013-08-04 20:16:19.232492	2013-08-04 20:16:22.885654	260		0
25753	1053zr7lff3rcbdxvbt2xfl8xr	$2a$07$egJgl0DAOFEVYfUHm4DTeOJAPNz75ekBJuJOISU.dZAVA4kJShjRi	7	2013-08-04 20:16:19.255914	2013-08-04 20:16:23.144985	260		0
25754	10e2yl6lo6l3025yra4xugzbb9	$2a$07$DUcXRYoHLI2yiJqzAuqFxuXJsBQRgRW0eGi43aI6FZh2EBjFHKEzu	8	2013-08-04 20:16:19.279892	2013-08-04 20:16:23.33095	260		0
25755	10kk5z8sul2f3d01301xrofizb	$2a$07$AiKX75vHiSbsi6Bzt9EfceIgj7w6lQZVPZbN/PiQuS/sRaBstovBq	9	2013-08-04 20:16:19.313467	2013-08-04 20:16:23.536234	260		0
25756	1062zv3wvoixazxxcrci797onj	$2a$07$85zrNAnHhm4lRNqNSuGYIe6GSaUm4HppWJIdhm9llQi6dgBX1RV.e	10	2013-08-04 20:16:19.342451	2013-08-04 20:16:23.661175	260		0
25757	10sh0imk0j76vnob4fpdzdfxbp	$2a$07$ZuNPhsInmyzDWdh/nSq6IOqdByhQ1hUmhWAZdC/c718D6t3.C3Siu	11	2013-08-04 20:16:19.365173	2013-08-04 20:16:23.807852	260		0
25758	102wt2qy55pij0sstdcqqvp41h	$2a$07$eIH3keh3n6UFucip1VH7pe6G6jrvu8.JSpSIM0c5C9iRaAAwQKsui	12	2013-08-04 20:16:19.388291	2013-08-04 20:16:23.927608	260		0
25759	10de779d5ljtjfjyxs0htg43xm	$2a$07$JkEG8hoSu/ia0q/N0UZNoOh5ByStv49mzBtuMqaomW0g1M.wcx8UW	13	2013-08-04 20:16:19.41242	2013-08-04 20:16:24.066198	260		0
25760	10k6mhexo8c3hgxhm1pc1s1snj	$2a$07$TkhI9EhzHO0.zvfmNJbYK.sUqF6Ld6kfJF/jM5xfALhYtNtvqpRIS	14	2013-08-04 20:16:19.436751	2013-08-04 20:16:24.191696	260		0
25761	10balzoai7tj88n473gny1rvyk	$2a$07$zLRP6DqoTtJ3EDb7yyR4OuhiGFS9qB.DlOtzpHC6Sg1FRvsFrYBFG	15	2013-08-04 20:16:19.470785	2013-08-04 20:16:24.332356	260		0
25762	10nnuo63bn1b6xgkhqjdve44oq	$2a$07$WauxnwTFE5hYkrVlm26SkuoOlC7PKI8jE/5Qmi9XXlTNhHStuPJ3K	16	2013-08-04 20:16:19.493122	2013-08-04 20:16:24.514254	260		0
25763	10z5gst1f4vay5m5ro2y7oc9b0	$2a$07$2Y33euUvtftchlxicbdaHuTyNcdHJ67jkKMuqqdPOtPPBehU9l0J2	17	2013-08-04 20:16:19.517127	2013-08-04 20:16:24.690936	260		0
25764	104jni6iqlk7lv166ltulywey7	$2a$07$EaN29UMlbhbD2QMEt1WtQuFxZXRM24.Px/UtSjBF1xLyquPvd1kpm	18	2013-08-04 20:16:19.540321	2013-08-04 20:16:24.844651	260		0
25765	10hzbbhpy3frtduamng40s1t8y	$2a$07$du3h/9b7hkciY/Lq16IhQOkdXvSHvY.eYY6IdN1DhC.1gyub6lWFK	19	2013-08-04 20:16:19.563703	2013-08-04 20:16:27.47654	260		0
25766	10n5a110pp07wgljs4b0kxq4mq	$2a$07$ui2NQKOGmN6KrQCxo/r5ueC2g2syzatNo7IdWUEeI9YYU8fmfY6R6	20	2013-08-04 20:16:19.58688	2013-08-04 20:16:30.110701	260		0
25767	106nkhcdwfag2v9u6j2wibbn2i	$2a$07$6nNnux76aDRdNvtOKRudBONT8Md3FeQntWDWOmb.xpe3J4o2oRMhW	21	2013-08-04 20:16:19.609932	2013-08-04 20:16:32.625473	260		0
25768	10eychbdonk0471y3qk8lgk4fg	$2a$07$nNULbgqUHGCvftMpGecw5uavedvDDKkmCuT...VNBWS0Hpk6OYjjO	22	2013-08-04 20:16:19.63255	2013-08-04 20:16:32.783996	260		0
25769	10gfaa7f36h5mrw56wwc7mkzoq	$2a$07$MTzbRPFUPuI.c81U6Z9Lru/NybhxwgRHirO79juTpy6bCa/Dq9TYm	23	2013-08-04 20:16:19.655906	2013-08-04 20:16:32.943945	260		0
25770	10w2han8sbphu442vhd9ip0b5x	$2a$07$EygoHqGvIhkr34bvCfitr.ZvfLVuTarVyldcDnhIVzLqKCCopRw5.	24	2013-08-04 20:16:19.67812	2013-08-04 20:16:33.077239	260		0
25771	10w44670rbae2ryr4xya6lb6xo	$2a$07$ZOhYovXlagiUIg0kUyNmjOk4eaJKkMUvk8i5E9GgeyTzbWzx.lwq6	25	2013-08-04 20:16:19.701796	2013-08-04 20:16:34.240481	260		0
25772	10uestzviyo5dh0gdpsnssolzg	$2a$07$xtHcEVotk.G2z1c7tXSWsuqC3kyn2pqwrGnUmBjgiM99W8qRbAVuu	26	2013-08-04 20:16:19.726126	2013-08-04 20:16:35.179777	260		0
25773	10lqjophpqog5hfqro84mhtvpi	$2a$07$TP8Z6E5YfLpy4pzzuzbfDOizJT.D0dCuei7Vwz0TayomJBGPxZqfy	27	2013-08-04 20:16:19.750053	2013-08-04 20:16:36.172271	260		0
25774	10qu03qrovjidzg7wnh49mw88n	$2a$07$bXEQoFHvGpAskMvazNPH2e.EW9bPDTAyrQmxeQneWuwtBXLCba.MG	28	2013-08-04 20:16:19.781824	2013-08-04 20:16:36.289247	260		0
25775	10g9k5crozu9pgwf86gpfn36vv	$2a$07$9y7nwhIsq/6YM7W/5FzN7./6kAu8/MT1h4wE0pDrEdQUg5n8Eh.ZG	29	2013-08-04 20:16:19.805296	2013-08-04 20:16:36.436818	260		0
25776	10zas2hqvc3cwvvxydtxxmw1yy	$2a$07$I9By3Ikc19rsFANBTsXOtOGgz6IKUGIlvPfyD1OkIH.7knZQSfDqS	30	2013-08-04 20:16:19.827856	2013-08-04 20:16:36.605311	260		0
25777	103cqg6ujgavoj0rtnvzq3bj06	$2a$07$PilbeiRRBqxVTTQWD59Fyu3lMcVVxcoZRV2fTIAPPhDWr1QUmY2K2	31	2013-08-04 20:16:19.850755	2013-08-04 20:16:36.758196	260		0
25778	10zhoaw3nydx0slvwz0nunymsp	$2a$07$95aLSv65lgtiRohDVYHXPu1UBrI1QH1Gdp2e1IKzVBTtXNU9XvsfG	32	2013-08-04 20:16:19.874083	2013-08-04 20:16:36.923026	260		0
25779	10qy36etyuncrh8di1h2xdpcz6	$2a$07$BCzWGDtFiY6bHAgjFXtxZu3PNTK0yCPOOZ8luyquOP5TYZ/xdm5sS	33	2013-08-04 20:16:19.898554	2013-08-04 20:16:37.05842	260		0
25780	1044miveyux9vgjattepjzrmvk	$2a$07$RLlQ0rnbxvkwwm97LbpgW.Y1nzekOON1lvjkvXExYVeChGgZonlH6	34	2013-08-04 20:16:19.921817	2013-08-04 20:16:37.201833	260		0
25781	10wddm0ruhq3j01d6kir3kllam	$2a$07$G.oyOOZ5k08KaqfSxtGkA.OqanD/FWZQCx1GkiiR//jAKBjO7I0/a	35	2013-08-04 20:16:19.948367	2013-08-04 20:16:37.32098	260		0
25782	10tjy5i8igymcelh37nnvebek1	$2a$07$WKkd9.ljVxBhGJC7EhZG5u9mzzlpYTpD7FUrzrL7hlZeTcbP1o1RC	36	2013-08-04 20:16:19.975332	2013-08-04 20:16:37.444526	260		0
25783	10gez1knbks7dfwk2e9pcsfgqp	$2a$07$KQHaLp1r0s15zXkB.Tm4UOjlYm9YfSu404N5WlT8ZnuaKB89BKGe2	37	2013-08-04 20:16:19.999574	2013-08-04 20:16:37.584227	260		0
25784	10u3lwl2v073ks5m0pfe37n156	$2a$07$DwSZveBmCbOTkez.4PNtJ.H.OKIFOCSgmAsf3ZSVDOQddGqIrutrO	38	2013-08-04 20:16:20.035723	2013-08-04 20:16:37.738934	260		0
25785	10s7s030mkjsr016kwr1xz0r1z	$2a$07$gr.JYWoqa45SWBKMJvJCeOd3THkGrshDD9wuhga0CpHpStCVkGdny	39	2013-08-04 20:16:20.05847	2013-08-04 20:16:37.885284	260		0
25786	10oyxghjps0ztslxu7prtvwx8k	$2a$07$2RgptIU5PfLzQ.DcxPI/qeSO4yyh9wSN5Dz2R0eE50yWK6/L90SGC	40	2013-08-04 20:16:20.081909	2013-08-04 20:16:38.029238	260		0
25787	10k77k4cecwnwbvrgpude8zael	$2a$07$uEgUbc9aBap8IcfClcdHiO4HyYJYITh/x08xIeAAJPk.LIg/eQWMq	41	2013-08-04 20:16:20.108456	2013-08-04 20:16:38.157352	260		0
25788	10t6rls4nbrjmkee9k3qq7w6kk	$2a$07$ILH2pEJUCs9gf7eGxhpNYuMaMkf8k8LvSC0FtfLCOjN139MzGWqt2	42	2013-08-04 20:16:20.130246	2013-08-04 20:16:38.268055	260		0
25789	102fjbo404azdxnmgep2v0vcsx	$2a$07$YTshS5ST3Ahab4sJx/Jm3.sMZoWVVI07plP1HMdENwatU8ttsM7bu	43	2013-08-04 20:16:20.15197	2013-08-04 20:16:38.441428	260		0
25790	10mepe40lafnvdb3mougu6hvjg	$2a$07$Y0UJwD5c1ItF.272cLwBVe7/RgNowMciKNKNi5wH2yC2fAhOc2Cue	44	2013-08-04 20:16:20.174818	2013-08-04 20:16:38.597486	260		0
25791	106b2v8llixgbakbzuiof4enfa	$2a$07$RmykLmlUQ932QqAeiEEq2ux8B/H34fsNblaIwiXbOpFXFM9yQMqva	45	2013-08-04 20:16:20.19688	2013-08-04 20:16:38.815739	260		0
25792	10fhshfpvsie8elnuu3k1ghskm	$2a$07$3TG44ycrwmAHjItXE.q7.eLh06JB6nEwUe/9SejJ7PEDRK8ng4KXK	46	2013-08-04 20:16:20.219897	2013-08-04 20:16:38.970256	260		0
25793	107kqq48sek88rw6dg3hhttp5u	$2a$07$3NmkqdxNhwxQ2hRB133Ttugdu8ItaIGfEy7T.W7bd62mv7KioCU3i	47	2013-08-04 20:16:20.242082	2013-08-04 20:16:39.116348	260		0
25794	10tk5g7e2wyhjlkxi21pc3r35x	$2a$07$0TFdJx9YgXBN7IMvNIMTteiNTFZefw5tmVBlqdRg03pLgfu9scM3q	48	2013-08-04 20:16:20.264839	2013-08-04 20:16:39.262089	260		0
25795	10zcwzaxt63vupf2fn4v2mmwnn	$2a$07$oU/498vJ5nM90AUd80XKb.UwDfLnW84gBKRkPTbHIX78INeiD8IvO	49	2013-08-04 20:16:20.286658	2013-08-04 20:16:39.397775	260		0
25796	10h6uhpvtwdj4btw280z9zgwug	$2a$07$QzyxPzyhW3I.NCWQi6kYeeC1cp10CMkj6YfjplIyseIzhPsTMSdgm	50	2013-08-04 20:16:20.308458	2013-08-04 20:16:39.562257	260		0
25797	10qyjzkl1304w04zfw60imka96	$2a$07$613pqV/wgR/c8v9gF/5mnuBHNimF43Xt0rt408GJT7YlotyBtYIzi	51	2013-08-04 20:16:20.330789	2013-08-04 20:16:39.732487	260		0
25798	10zohhotannx44zvtybz3cjnel	$2a$07$5MUpLPEuXs/Tfd52MJEwQOQKOpTToc3tdV2tXhUNq1oK6kJFBoARa	52	2013-08-04 20:16:20.354303	2013-08-04 20:16:40.145391	260		0
25799	10qfmfvmrr6w6hrv98stlxemhi	$2a$07$i.wluaBk1yvBwnMyEFNDI.zJsEqRdWshoLsWVHt1d8kJ8uhQTMteW	53	2013-08-04 20:16:20.376468	2013-08-04 20:16:40.561213	260		0
25800	10uxntsox6ceeuze07d1ou2wxf	$2a$07$31Rs8taGJFoLH9Y/wmgh5.9dn33.i1FlqOPFEIqAaqF1nLRrYIaNq	54	2013-08-04 20:16:20.398103	2013-08-04 20:16:40.710353	260		0
25801	109aweo8fj30xy1z0pt70ixw8f	$2a$07$.XybB5BmCxzB1G03jLKYvOt7LIEo1EcOsPRDPRbp5571oB4IEFta2	55	2013-08-04 20:16:20.419764	2013-08-04 20:16:40.846513	260		0
25802	10lzpjiuvcr99gfbpggh5kof5l	$2a$07$M8usWSrXVxd01qH7Fnmhv.sSbn1dwCJu.U/A7OlMquGAni0yP2pdq	56	2013-08-04 20:16:20.442359	2013-08-04 20:16:40.996374	260		0
25803	10eb4dg12dn9ixqz2l8e97vpts	$2a$07$d2T./ZG2hvXstT0Pt0jmn.xbBwVha/HzjN5XcjljmqWsxQC26nTs2	57	2013-08-04 20:16:20.469508	2013-08-04 20:16:41.148977	260		0
25804	106f5cx0xe13qk6v94iffrbre8	$2a$07$HO9w2.JdNfzlHqq8T8DHhe7ZfrlL26MFYgCYt.7I2SRoEKwwOqmCS	58	2013-08-04 20:16:20.491528	2013-08-04 20:16:42.382799	260		0
25805	104ehy60kc5llmegovshfdiam7	$2a$07$1H/jMuGNYodECl2fJz3tJe0kmnBpmQR.tGUPu7N0VgTSJgSbxftJa	59	2013-08-04 20:16:20.513841	2013-08-04 20:16:43.698603	260		0
25806	10lextkk19vrwb0e49cj9xrj27	$2a$07$E/6LJpqejBBGNxpe2HWMde7ouvHzfOely08KZ554JH6w58oMvnWma	60	2013-08-04 20:16:20.537418	2013-08-04 20:16:45.778923	260		0
25807	106fq71x2sji9w8aldh2jzg292	$2a$07$Yek4V4nUcQSJr235XDcU7e.BA2rmpI58C0uqjgK.tfyNv9mbNUN1.	61	2013-08-04 20:16:20.560991	2013-08-04 20:16:48.56476	260		0
25808	10cmyxqvm2ibjw3aewttag82ir	$2a$07$UtT0NKXDzN3g88L86qn4muH8F60hhJJspEJOX5xBNjTiHBgsfBrjC	62	2013-08-04 20:16:20.583904	2013-08-04 20:16:51.56667	260		0
25809	101f8l3h51iv3ktem93trglijj	$2a$07$bkbGKPvm2TXizl7iZhghIuGck/EC46VDd8JPdsF/T94Eouhz/O4tu	63	2013-08-04 20:16:20.60606	2013-08-04 20:16:54.681729	260		0
25810	10hci0xu8zefyrhg1j0qfovhu6	$2a$07$eu8NFZ5VKDvHsxnsGRXTZ.a1dPC704kazcijkVIJ.PQnpBBBRYZY.	64	2013-08-04 20:16:20.627608	2013-08-04 20:16:54.808679	260		0
25811	104sxhb9q84l7d2xp10122rlkr	$2a$07$55RWgyI7UmMMCMLICX9aM..1p/1HzQMeKtxWgVlGYhiRPOGdsrmF.	65	2013-08-04 20:16:20.649365	2013-08-04 20:16:54.971213	260		0
25812	10c8023wjuyhnv4gpa0xkp2d8e	$2a$07$1JLwl5zJs58ky6r/v97Im.WUBcHsYKJW6idYLxYb/y.Pk6mmQDn9y	66	2013-08-04 20:16:20.671738	2013-08-04 20:16:55.162904	260		0
25813	10tqq23mfsspxpcuvw38o3ms32	$2a$07$s3kAbEbW5qZcYOxFkeoMVeQl6f0NU7YCQ/7vRglB/40U36J2dAVv6	67	2013-08-04 20:16:20.69372	2013-08-04 20:16:55.319956	260		0
25814	10c0wwqg8sfe0kjnpr6kuxjxpg	$2a$07$HxTl6t9blcvq0kl5sByLo.jraBr4zeQ/OZvZSgEpSvchcW9f2J5t2	68	2013-08-04 20:16:20.715798	2013-08-04 20:16:55.453714	260		0
25815	10wb5tscn0drzcy8c880odo0dq	$2a$07$iglyabkZCMw0WWscYQKv7.j/WSJOomKJFUnZk.xu.HNKFsOY3ZzA.	69	2013-08-04 20:16:20.740543	2013-08-04 20:16:55.595084	260		0
25816	10r3omo28wcsq9id0s4s838i3s	$2a$07$kc2iL1mvqgqGaWInN1KaduTD64gEOq.P/k.MVm2Q8VucQZckv.41C	70	2013-08-04 20:16:20.763877	2013-08-04 20:16:58.58415	260		0
25817	10v5pgxsbpo90w9rfo0w8hdm44	$2a$07$KAHR.N.mAmJa0MQwFU.LJOdu.kjFQEpjmFcPjlUrwvpwkE0ybdVaK	71	2013-08-04 20:16:20.786709	2013-08-04 20:16:58.741477	260		0
25818	10p2vv5002woid67e2we2psr8d	$2a$07$E84yDJP1j1fJHP.77IZss.vxf/ApoYIO0shd2hkbaHyrBKxZR8dwO	72	2013-08-04 20:16:20.808921	2013-08-04 20:16:59.756063	260		0
25819	10uf15qw997zp668784aep4bwf	$2a$07$PUqSQ7LjI5dAO9CHy1zPf./FaIXZf51ww2PNY8/PpZfQcUGz4BKiG	73	2013-08-04 20:16:20.831269	2013-08-04 20:16:59.92116	260		0
25820	10gs2dzbqiaktgm0tyandb71id	$2a$07$DdW15WvnVBSXfYFGonIrUuU8hGYCoNR/j09WnI02qwDOq3/1ai2EG	74	2013-08-04 20:16:20.853575	2013-08-04 20:17:00.060634	260		0
25821	10tx4nrdediten9j2oxxz0sn5p	$2a$07$HlSetiipeSy57iOm/z2B2eN4IfffYxxXw3ao3QFj9VYpai81OG/Eq	75	2013-08-04 20:16:20.87657	2013-08-04 20:17:00.236668	260		0
25822	10sxpcw6wpw0tzorgfylyjbot4	$2a$07$AO1KnauSfWY1E2xV7FV5hOSB9ggtRO0mZgp16OXq7OLX6KfkwvxEe	76	2013-08-04 20:16:20.900234	2013-08-04 20:17:00.38804	260		0
25823	107dxz8eikbkiwo358yvqj8xvr	$2a$07$iMdUbundJI7LB2aGP5a2ievxB09G.UoFTyqym.BtZjjyxMC2JLfsi	77	2013-08-04 20:16:20.922238	2013-08-04 20:17:00.618834	260		0
25824	108trcfp9smlad6f3urxmwadsm	$2a$07$fMQxZRkNhTtpMleE/xcDGunCFsy09lZ/NwXxTdBIbM/zN1ptCrZiq	78	2013-08-04 20:16:20.945097	2013-08-04 20:17:00.75235	260		0
25825	10xfy5v78sytiz0izekbyrvyke	$2a$07$ONHO9GpzPcwOt9/2/XeyoeJPC3Tw7tKv1dVQ9kWaLtoozrskc2ChG	79	2013-08-04 20:16:20.967981	2013-08-04 20:17:00.901175	260		0
25826	107ap7qdehwxxkh77jufyg8sjg	$2a$07$hFXpyyWB4jH0MopfsHcGfOdOkceZcjy/GQqsT2ZYP1nQ64u6hqovi	80	2013-08-04 20:16:20.996462	2013-08-04 20:17:01.057691	260		0
25827	10z21f6vcnaw7qcehpaxgupx8p	$2a$07$OzWQPiUX6G9pMHr3kFRc1OiZRur3V7yPB6wW7KL/n9PuxnDBjD0QG	81	2013-08-04 20:16:21.0292	2013-08-04 20:17:01.244209	260		0
25828	10eg3mzs9gxvxa1jdgi98u3z6t	$2a$07$3YfEVxN1jz7NLIBhgp9JGuZk3v9pzV7QKAU36rq6vbAUHfFwXhxFG	82	2013-08-04 20:16:21.051276	2013-08-04 20:17:01.413432	260		0
25829	10h1yucsncun04aps5bgbfbv7i	$2a$07$1GBYL1mV.wzbugCl9l3xOOowOR.d809.Pz4FnmFDnhGw9t7fa4LFS	83	2013-08-04 20:16:21.073519	2013-08-04 20:17:02.59019	260		0
25830	1028ub6yrbkczg9yva1tvu1t9y	$2a$07$m1r9FKd2Ei8h4uqbiJGMzOUDQ2W7FEiQV7BUCAQQVgeTpS0qstxOu	84	2013-08-04 20:16:21.096807	2013-08-04 20:17:05.284434	260		0
25831	10ppivro1eih2i39bh01d5m9up	$2a$07$frYITp.opRiJRwbbaMc/Y.WJAAYuPCkNVo4n2AJEJsDLUpvv2rrm6	85	2013-08-04 20:16:21.120413	2013-08-04 20:17:05.411841	260		0
25832	10334qu3nhuxpsf0pmtp5yyglk	$2a$07$VhYPw/bwxhVRuOT8ANFQ2eqrm71NnJl1EWXOyN6pOjha1qv/iZMsu	86	2013-08-04 20:16:21.141941	2013-08-04 20:17:05.547139	260		0
25833	10t7ywlea1bhtgnff9fa7uwwhj	$2a$07$DlaoqWHVyzJeNz9jXWfTgel/ula2RQf7nDJ74mYvh02oRj/KNJozK	87	2013-08-04 20:16:21.163839	2013-08-04 20:17:05.683292	260		0
25834	1000opc7lq2gg8fd1ubephjh4o	$2a$07$L2Whtz1/uAXNtJ/6y.jHXOysguoC4TtKyEf7ncPIuFTZ.D9An8RqC	88	2013-08-04 20:16:21.18546	2013-08-04 20:17:05.83151	260		0
25835	10zqip0aw7nswq34f9nab93eq5	$2a$07$i.RefVz.OyzfwPVGfV32g.zZ2e7S8jIOGadpr/VVmwxrSVfjgY3Zq	89	2013-08-04 20:16:21.207029	2013-08-04 20:17:05.992785	260		0
25836	10yc8dno28qp6ghz3ezmnmgkzg	$2a$07$49OfPCFQvXdFgg288piz6uXI8dxw.9De4z8G3o4fX60nhel6rRjqu	90	2013-08-04 20:16:21.228712	2013-08-04 20:17:06.119972	260		0
25837	10mx1n0voexyf0w04rtyzdp26c	$2a$07$HtFzB6TxyksfmZCgDTs1/eZUEo.pp1Ke2ZVv.L51NVjpqbMmabrAe	91	2013-08-04 20:16:21.250374	2013-08-04 20:17:06.275534	260		0
25838	10yq4uw0kkk2wgi9htm1be35he	$2a$07$zLnd9roBUS/oa9B0XISlw.GPV7zHKnc0twDPty1NmDOsRZCoxN3jC	92	2013-08-04 20:16:21.271792	2013-08-04 20:17:06.44681	260		0
25839	10ag117k9uv7v0j95du3qi4050	$2a$07$vF6XPeaZXajD2y3S8zf37.xHm32yY42tWOyDDApzAczdn6lu/brYm	93	2013-08-04 20:16:21.293163	2013-08-04 20:17:06.58555	260		0
25840	10jj3ezpb2nsx6n117vcayupcs	$2a$07$tB7vHAb1aoPQl8wqEDBVSugMb2RjB22C9awmUED0Nw9.tWoTvR4/y	94	2013-08-04 20:16:21.314482	2013-08-04 20:17:06.72007	260		0
25841	107m9bcmjtnqu1wv2wecqfmyrt	$2a$07$KYzY.x.F2u5wB.YJ5VYPyuszSDJcB5gq5sD.Llzfl3ApSsRDZhNlC	95	2013-08-04 20:16:21.336002	2013-08-04 20:17:06.91638	260		0
25842	10ejt6o8qoqa8aznjx3f0sid9f	$2a$07$n/iS7GBaAnQZ0jv8Amg8ZuD7a5vRVi5dciuzqeibP.60bJq6ewgK6	96	2013-08-04 20:16:21.357547	2013-08-04 20:17:07.049006	260		0
25843	10u0fgysvh0syqiajv5qbj8cdo	$2a$07$6lorGZHo4eDRUEjXyeNc.uL4iwjiPIUtz5PMnrxZCnJx20byTP5qS	97	2013-08-04 20:16:21.380646	2013-08-04 20:17:10.067304	260		0
25844	10stz0mis3bo9tashtnszurfzs	$2a$07$R1mkq.gycWmQuBa/EWhamuII68RPTkjSkwDqXjx8kr70PQyHk5gmG	98	2013-08-04 20:16:21.402569	2013-08-04 20:17:12.822981	260		0
25845	10q54keeyrey0lf9lbwwii5he9	$2a$07$aLPRuypRcOwC0c.6hZW7l.P7xQ0VKg77arE2.Whpn/ufWX8y1kdD2	99	2013-08-04 20:16:21.424325	2013-08-04 20:17:12.992271	260		0
25846	10ki27bfztj0q24rc0efjrvh2m	$2a$07$uJ4rYix8FVrPU1qp626Se.OZhp6e3vGFyBOijtO.Qk0KIlgWmTWeu	100	2013-08-04 20:16:21.446291	2013-08-04 20:17:13.181913	260		0
25847	10n2zilycw0n6skwk6b9yknu4k	$2a$07$6uXZvBnlTAI9pM7/LF63PuluY4HbXHtfeqzI3Cn9hya3fTGP60hFy	101	2013-08-04 20:16:21.470713	2013-08-04 20:17:14.373748	260		0
25848	10h8mzatlsrj85c3qksjvneh8e	$2a$07$PggU7yglLyJalUI6IhnuKejjenJ9prnxjTqBu9SIfZ/3TL66gVDSi	102	2013-08-04 20:16:21.493418	2013-08-04 20:17:15.409091	260		0
25849	101y3oahnek9oivzd8aj32iqjt	$2a$07$wMfJCiNQ.Lm9MPVf/QFu8umKGiNX4aLUdfnW0ca8gS8hwFRLFbRs6	103	2013-08-04 20:16:21.515337	2013-08-04 20:17:15.563323	260		0
25850	10rj04obc1f0t4vh42l0agvwxn	$2a$07$0/fgHcQbd2rjAthLIlWwMeJv4FZAGmJkSMV32k/i.KDqHcR1zRZZ2	104	2013-08-04 20:16:21.537076	2013-08-04 20:17:15.785224	260		0
25851	10v3x7lw74bvbgogpgp6sbxh0l	$2a$07$pS4D8whWvXIkihx9OqXN2OUm1BCpS6lOkp7aVGLHzRJARefTaQEuS	105	2013-08-04 20:16:21.558687	2013-08-04 20:17:15.909896	260		0
25852	10l0xibm06c92oiwvjo53k1fzg	$2a$07$Olmv/8GvA8Jq5uuEk886cekOH7nV2iWiuViV0w0/5JPJ8ks4E87o2	106	2013-08-04 20:16:21.580349	2013-08-04 20:17:16.043907	260		0
25853	101cgir71qn8ngtxjahsr6uqlz	$2a$07$q/XIShF.cRBh7QaTQzHukOQ3WsjR3WsW3NDIXubwebckJSURYbWnO	107	2013-08-04 20:16:21.602338	2013-08-04 20:17:16.183273	260		0
25854	10h04vp0welck8p3zwj6katkzf	$2a$07$..81IFMVXQ3ClXtJp.RSbu2P5a/eiknXxHFU/.eZZIPFmaA91DY.2	108	2013-08-04 20:16:21.624796	2013-08-04 20:17:16.33306	260		0
25855	10z697wvmzz5p46purqluqc792	$2a$07$15XocCsAPx1x/OMUAB32TuFU5/Quh/vgtwsr10Smayn2SUWdzPAn2	109	2013-08-04 20:16:21.647559	2013-08-04 20:17:16.511024	260		0
25856	10kcbh8hsjl4w7psnrpv5e4eq0	$2a$07$pMwFvqUnX7Ju2Rm974UY1ufU1rcLTwvjh3KbRvilXiby/Ji8g4waW	110	2013-08-04 20:16:21.669343	2013-08-04 20:17:16.648119	260		0
25857	106q5j5zu8g86rufdkbzxvg83o	$2a$07$j2QVKz5.rMWPn3K7EbfaDu8deihCpVI2jx9n0DsOgYkALx0b8hWfq	111	2013-08-04 20:16:21.690913	2013-08-04 20:17:16.80451	260		0
25858	106s71z6xx9y4yijlbgs9f5p56	$2a$07$ZKqeNabUTIz39wCH1NJG4uvwyg7ziHHs96TXJJu0Eesdw.IhO1J4.	112	2013-08-04 20:16:21.712528	2013-08-04 20:17:16.95116	260		0
25859	10msxqw7lo1nyazzw20224o9r2	$2a$07$DXxRLiyLkPGhyWdPU0r7jOYGjncQ08d1S1aQ.JErNHhk.4VnXu42W	113	2013-08-04 20:16:21.735219	2013-08-04 20:17:17.126365	260		0
25860	10byjxhg07rqbiq9v7zbccvdpu	$2a$07$t.k6Izk6gU0w0k3QjNJD5O1ZyDJR3lN0alfrU/XgS3LMZfHnK7ENK	114	2013-08-04 20:16:21.759783	2013-08-04 20:17:17.260067	260		0
25861	10faya4wb0lsnk2i7hyfbd43uv	$2a$07$mXY.0X6pRpdJXRUY5gCZQedBBzAOoDfgrxtjWX37NFG71UI6PrzbC	115	2013-08-04 20:16:21.783445	2013-08-04 20:17:17.474169	260		0
25862	10vshp5zsgmx64ivxflvemtvxz	$2a$07$.8EV3tG45VGLrdrS85f3l.Mhr9RF6HCf1ts6wikZBaR30UqHN547i	116	2013-08-04 20:16:21.806606	2013-08-04 20:17:17.610727	260		0
25863	10lk17oyp5bw10m3bx88hkhb9x	$2a$07$yoJRgL1RjVzk9ZxnM1GtV.p.q2UlqMdz23D8wsUENdwNuQsF1ngKO	117	2013-08-04 20:16:21.828867	2013-08-04 20:17:17.722277	260		0
25864	10hwzr08suhanje2llseqbocpg	$2a$07$T3eTHjmXce6hPckcq5lfCe1Nrw8SGM95Y.l8GLCcNTWM.prnfnE6.	118	2013-08-04 20:16:21.85245	2013-08-04 20:17:17.861237	260		0
25865	103nyv5klrqcj2q3ecf5ok6308	$2a$07$0C0vhHw.Mi1yX6lqFaHOD.evFrrCRT22SsdT42wMLY4HGRTnd/fXa	119	2013-08-04 20:16:21.875786	2013-08-04 20:17:17.994159	260		0
25866	10fxxjqly9wojyim784j6lswfp	$2a$07$ieKgI4OXurdKWfP5YyB1BOrMrYM/FIu9gR9qH8HZfXzbEiJBPtmJK	120	2013-08-04 20:16:21.898741	2013-08-04 20:17:18.114454	260		0
25867	10oft1u2yk3gty8jcd6x50t6a1	$2a$07$RCUybpK5xLDkjxy87W3Ep.BdKj1XDZR/XnOAt/uY1kPWpXV.lifoa	121	2013-08-04 20:16:21.921293	2013-08-04 20:17:20.649676	260		0
25868	10pj4e8sm7n5h5uzmdosxlk7zz	$2a$07$Vv54fg6uZ9gq25BV1ZGpNeMohHUtznOSw8M4dJ.bWaNcG73ivyHI.	122	2013-08-04 20:16:21.944396	2013-08-04 20:17:23.484673	260		0
25869	10dv1mrdbsb2e63uk7ksph69s6	$2a$07$V8FHRj4JwOPyCuXMlf6re.CICw6llH.XslwFH.sir0KiQTFx7mBeu	123	2013-08-04 20:16:21.966743	2013-08-04 20:17:25.952837	260		0
25870	107c2agknbxntnlzrxqt11mna9	$2a$07$vsflF2Slwpz..VJFAc5pmu/gD1Hn3sVu/Dw1U0esMK7jijjS274La	124	2013-08-04 20:16:21.989724	2013-08-04 20:17:28.884342	260		0
25871	108pn7lf3q68gdtb4muu3avd1b	$2a$07$lP89tD8.p3tK5CvB4O/wf.mUAwHH7t5wDp/sugZcBdHrf..61CXEq	125	2013-08-04 20:16:22.012211	2013-08-04 20:17:29.133108	260		0
25872	106hwgvuzg2omz2iut2o7vx74d	$2a$07$gyr/afpIQeYh5dkpusig1.dwm9UiyZVoLi1g6ycipScYFAPkTnNvi	126	2013-08-04 20:16:22.033945	2013-08-04 20:17:29.363808	260		0
25873	10r3bzo52c8d8wgv2e0b5wwl2l	$2a$07$nE4L4IBMe4nE9TbDeWReIOse6XqAG5yoEwRrCN7WChu5Wmx2I6g8O	1	2013-08-04 20:21:19.033857	2013-08-04 20:21:22.259203	261		0
25874	10qz8snxvkctx6hul82oy17hwd	$2a$07$TVUfqFysAOEd/r0wgVE.q.LfkfOY/IelkJAEyixiXLA/YnBEDZ.Km	2	2013-08-04 20:21:19.058883	2013-08-04 20:21:22.377329	261		0
25875	10hbncq5saikzkdf73tovkl6f5	$2a$07$QLzR5fWiyDvWKKiDz8P3oO70twQxJ13bO/Agr46TJ/wq5Wm6ZnAFC	3	2013-08-04 20:21:19.089179	2013-08-04 20:21:22.51536	261		0
25876	10krs5vrwhs7xn418p47sc1oq3	$2a$07$9BlsnFAkEX7Fm7FvjgzcZ.Cb.J3.W/QTf.aqPACiVPL6kpfY2OpN2	4	2013-08-04 20:21:19.119632	2013-08-04 20:21:22.658595	261		0
25877	10fd8sz1avgjbscmjy9lxalwrx	$2a$07$q9ZIMwNoqcRho0I4QA5.L.rkLUwhGwygGsCtf9VomQvb/j3Dp.pK2	5	2013-08-04 20:21:19.143371	2013-08-04 20:21:22.794152	261		0
25878	101otopcwznfa3w6i1ucm5tf6d	$2a$07$mtuTmv1G09tY0549N5F2GeMkMbMd2ReS61KRYVFgxKR0zgjvcdEku	6	2013-08-04 20:21:19.165227	2013-08-04 20:21:22.915772	261		0
25879	10gfg0glt3lpzezxuak1srhxxk	$2a$07$5rrb9YwredWFFftLcDPyM.ggGPplTMkAx841lEP.FXlXiTnitoGFe	7	2013-08-04 20:21:19.189609	2013-08-04 20:21:23.117518	261		0
25880	10h3ti98quf1ey1yrhdffzhojl	$2a$07$3dHN7.8Qs4sJO9JWzq9yz.5NAq3/Frh0FuM/WY7nyOXiOIeteeaYG	8	2013-08-04 20:21:19.213959	2013-08-04 20:21:23.338162	261		0
25881	10m83sgidsdhf5e9i9240wyp0c	$2a$07$S3UwnQWhmbob5/wRIFVT6uOtFypO8u7vNF1asVeyfU3RuSrsR0g2y	9	2013-08-04 20:21:19.236933	2013-08-04 20:21:23.527544	261		0
25882	10gk8hrdmkv2gjgqw208m3s4el	$2a$07$x1JL7QE/njhZQxzRpcr9bOtSQ6okvc8tcHFcOdl5xT8rsF4NIYswm	10	2013-08-04 20:21:19.258633	2013-08-04 20:21:23.723266	261		0
25883	10aljftunffm5qechxomab4ugh	$2a$07$NZjDgjGGC.ObVPGjzSYCRuC4.lnBfSSK5ltwKHEbUkmkpOsifNopu	11	2013-08-04 20:21:19.283486	2013-08-04 20:21:23.869554	261		0
25884	10sgguqwhjkcgl3aaagvb10l8r	$2a$07$9E3RNUnOdZXd99kj2uqcBe2sK8wWsJSzylA5pG.oxL4CxvDgtXj3.	12	2013-08-04 20:21:19.306078	2013-08-04 20:21:24.089246	261		0
25885	10dqcqig7m0kekm4p8h7rbu7v7	$2a$07$5wr6UbSkSOEZaeT4.9npaOK8s1ApBZeQZBneJzOjLskbNj57snZ8y	13	2013-08-04 20:21:19.335228	2013-08-04 20:21:24.239501	261		0
25886	10pc1s89sswztps8xhqlqhxt39	$2a$07$prnHd.f/C5e0XULbJz4Dme0ruOhSH5B6zvqfVobH/U5aiCc8JByia	14	2013-08-04 20:21:19.362221	2013-08-04 20:21:24.36485	261		0
25887	10slth9olcpvtyokauyl8l2noe	$2a$07$1QUlHQ7Wm138rW2NUShwR.b1cyKl9s1q3QPz.62nVN/0X0gyiyj5u	15	2013-08-04 20:21:19.393939	2013-08-04 20:21:24.494422	261		0
25888	10c2t7yc8id5vcap9pahi87q7j	$2a$07$lpKJDlXiSM1p.Ijfv923Xea8PRsIvrUwAA6TThwzQj5e9pjuZF6ru	16	2013-08-04 20:21:19.416084	2013-08-04 20:21:24.636469	261		0
25889	10sqju5v002ve6k83frngmscy7	$2a$07$aNuWbWMV3BzJ1zKjS64cOOZAXjUdfyoBf3Vbmd8Ch1uMDqrT6ioAq	17	2013-08-04 20:21:19.440446	2013-08-04 20:21:24.807627	261		0
25890	10ndcr9luekjwnk5mhx11ed56v	$2a$07$AdseOqB6wTPNg6RltJ0zAuwneLpa0dTAskhAMvfLH5WotY5xSO1Li	18	2013-08-04 20:21:19.4694	2013-08-04 20:21:24.927125	261		0
25891	10ncaeqg2wd974vrpn3me6gr2r	$2a$07$yDj/x8P90Dx2UutjWx6A.esECdNnnWYS0Vq1jm4IDeM23me88461y	19	2013-08-04 20:21:19.49879	2013-08-04 20:21:27.866271	261		0
25892	10xapl8cmv0q7pefkdaej5zz97	$2a$07$ZqD2VlruUOQowA0u3HIH0eL0gIf2QVmhv5O98/9TQWjU.FZ776w/u	20	2013-08-04 20:21:19.530641	2013-08-04 20:21:30.844938	261		0
25893	10bmq92u8koh5b10o7n1l7u4j8	$2a$07$XUNqmTBFZp8BWjVTsw7nUeO8Fi1dX3IwEN75vDWeHs3/Q3KINuOIO	21	2013-08-04 20:21:19.562426	2013-08-04 20:21:33.717137	261		0
25894	101mq3q92ghwoaascqww6d57n9	$2a$07$.uol.6Qpi0ntcZAxq1kJPeTcA6M/x5eSJep1a5lGuI1SSgp1F2bNu	22	2013-08-04 20:21:19.584719	2013-08-04 20:21:34.013714	261		0
25895	10csvwy5xd66rnhqqa6xw5wzbi	$2a$07$dWWjKt8KwqPGUP/UpuLFneaGLU9CuYjkiYp4lZwtT6iRdcCwJRVM6	23	2013-08-04 20:21:19.60648	2013-08-04 20:21:34.189037	261		0
25896	100vp3c37v8ppht3edoej2xch5	$2a$07$t3a5X6/ZOMNyk8Hxw42wgul41sbw5tEfpCTzGMNEDYiiPAatRb/cG	24	2013-08-04 20:21:19.62909	2013-08-04 20:21:34.34992	261		0
25897	101hviybyoyctcdj5wfeujgtus	$2a$07$oxte6Z6ahnjQf2DtfzalU.7Jlqghm9loTpinpt4y2HmJpnCSpM02u	25	2013-08-04 20:21:19.650815	2013-08-04 20:21:35.546708	261		0
25898	10zyz0qwwu5oqr8o233tu0zpux	$2a$07$E5uGDc6hKFtLLr4TKaq91uA4sdmdlcPPjbu/jZzAcd1IJhX2baxpO	26	2013-08-04 20:21:19.672524	2013-08-04 20:21:36.619449	261		0
25899	10pbs3fit7wumat7rzw0kpsjit	$2a$07$Kp5b3YrVu0ks4HWwI65hi.UHI9mFOHxEVEDi0Y0/jgWdAqrEDEYGS	27	2013-08-04 20:21:19.69494	2013-08-04 20:21:37.796492	261		0
25900	101h65gq2c2ms8zhsj2dqyooz7	$2a$07$cm0o11gte9YAt.X7AQxXc.gAQAELkjpk7kum7nmlDWFAcMLmpA.WG	28	2013-08-04 20:21:19.718208	2013-08-04 20:21:37.997558	261		0
25901	104m8mkn17w3omqsrrhbirelc8	$2a$07$egS1ydcFYrOv15ieT8jd7evbcfsiCzCpVef2zcinA3oGfdJ/o5RKe	29	2013-08-04 20:21:19.742761	2013-08-04 20:21:38.207574	261		0
25902	10bvl4jjha0qz09mia881m5jug	$2a$07$jsRZbGzVMF27DVLTg5ryJ.4BQZUR4yI.cyXpzs9okYwlY2.QFFKpy	30	2013-08-04 20:21:19.783468	2013-08-04 20:21:38.47289	261		0
25903	10yfbqxlsvi7l7x6mdnbojjwqz	$2a$07$vktUWpD9srEWsCvSLBN2yOocqHw4DiCUkW6FSs8AUIeXHYpDma..i	31	2013-08-04 20:21:19.820205	2013-08-04 20:21:38.620927	261		0
25904	103nks1lx2082ra6ckj9z1ddsp	$2a$07$qyM0VQBID7.umknaujuOn.btpNkvSwKJCa5f46z3xpRbx.ZO/XQu2	32	2013-08-04 20:21:19.84804	2013-08-04 20:21:38.765801	261		0
25905	10ntqqv764fhjhudkhovhhozjx	$2a$07$wOpgu/bBwIgFJNQveSDfI.uLYFPE04YHAPfAzIzCe9ZtWG4JYSB/S	33	2013-08-04 20:21:19.879218	2013-08-04 20:21:38.869235	261		0
25906	10gncu1mnp55219u0u5rmqf4l3	$2a$07$jGbCD3j6mjxxdgOywMmHg.WzU8OrJcvXixsNzjOgby4h8i3mP6WTi	34	2013-08-04 20:21:19.912645	2013-08-04 20:21:39.070469	261		0
25907	10rn2mnsrckrs2g97bo3pmeezz	$2a$07$BzzySeUQOcq4dJTv15doX.aqGCfmQ3DxLrkScYAXmCXKlti5DBKDK	35	2013-08-04 20:21:19.93591	2013-08-04 20:21:39.310805	261		0
25908	10x99rhrt0rfxxmqy7la6bt1sv	$2a$07$c8fMwKeSgoRH0E0I7Eh3jO2yj/wlDpZcZR59eNbtGiCj1rZWxRwu2	36	2013-08-04 20:21:19.971376	2013-08-04 20:21:39.590528	261		0
25909	10028sweb4f9w3zl6trrtd2qi0	$2a$07$GaIf6IGjk1eyygBOlZ4KneexN0norJgzoWC2MDqHgv3u/uOOt2GU.	37	2013-08-04 20:21:19.992908	2013-08-04 20:21:39.730771	261		0
25910	105u4dt8v5pol3vbov1udo6wys	$2a$07$Qd.58GjtWM3gwJWnhsG4VuyWXUE9skQ5Uj8wkMU2uoXLx0WANxNh.	38	2013-08-04 20:21:20.015468	2013-08-04 20:21:39.844768	261		0
25911	10osg1f2dgsjii2vi44j0vhx1z	$2a$07$WimkXXwWmjoQEhzYY.bqH.Sxk/QQvnhISDAgFqPtmGFosG3FJSnny	39	2013-08-04 20:21:20.0377	2013-08-04 20:21:39.994899	261		0
25912	108xdmrs8bu0fyjkxi9pdvhkug	$2a$07$MGINe310G4EWJWTu2VpQLevC3l45Dhos8i6Iz4m6DZYUiJC50hX4K	40	2013-08-04 20:21:20.061181	2013-08-04 20:21:40.130679	261		0
25913	104yfx9zjr8tk91irr5w2jxey8	$2a$07$xseOYpkrMHdU2pxURdbiLuZIHOnTriDtpqofvt39N9rExWFewi6gq	41	2013-08-04 20:21:20.082908	2013-08-04 20:21:40.281305	261		0
25914	108si8qz24tav3vbjkj0yv9l7a	$2a$07$7kE4glyvk/M.ZgUsDZwBoOEEhjNwC1EPG7aMceND06DD.XYijOuDu	42	2013-08-04 20:21:20.105161	2013-08-04 20:21:40.437703	261		0
25915	10v2i2b6tpdl31alqs3vu99l97	$2a$07$BQJQJ/OlOoDmCPUbBK/W.eHlzLWkha6rny5lbFMexNyvQSD182NRC	43	2013-08-04 20:21:20.126815	2013-08-04 20:21:40.762589	261		0
25916	10197daku2epmi6u6qdpp3gg44	$2a$07$dN8ZaE1s9N2NiIcy92klXeUFZY5JtIyHI5ZtM/Q2YN8tzY1P1VY0a	44	2013-08-04 20:21:20.148554	2013-08-04 20:21:41.014544	261		0
25917	10yk1tacoqqn6eotug12dazveg	$2a$07$7prPdgg.3ALGriPNu3UOL.KOtq9CZgOPYweKUPvzdLN4pckmm27lu	45	2013-08-04 20:21:20.170151	2013-08-04 20:21:41.175213	261		0
25918	10w8ajpxmqpa2a1olzo7e1665s	$2a$07$GC7KgBhm8FZp5y29jaUQaOK8nm59hb6DlGpG8CaBC.7obAmFiw5zK	46	2013-08-04 20:21:20.192128	2013-08-04 20:21:41.354875	261		0
25919	10dmrrp7pm3ctygv30t1h1ch1h	$2a$07$cnObcvdLmc3FtRzghJlNNeNlfBKd87iaXGY0W4b4/3eEHu7TysHYm	47	2013-08-04 20:21:20.216296	2013-08-04 20:21:41.598847	261		0
25920	10sbxmugposamcd00kdd909gib	$2a$07$qdHUf/HTFDyHXUyN02Q9gu8.iaRlfZ7Y0wvCYjw/YbvRCtED4RMN.	48	2013-08-04 20:21:20.240973	2013-08-04 20:21:41.771675	261		0
25921	10cpdh6xl5kx595tp0dc9nme4b	$2a$07$3oP2w6VpAMyBI6EzEeUI1uZchf72XQK2Gbkmew4XDlBgOOl/w9D2u	49	2013-08-04 20:21:20.263205	2013-08-04 20:21:41.933611	261		0
25922	1003ub7t72khk78forti3mxdlp	$2a$07$kxenV0RhzpdpahgjkU.iAOEtevNOHkowINf9vg9o2iqyaBvl7BE6q	50	2013-08-04 20:21:20.285091	2013-08-04 20:21:42.099793	261		0
25923	10rtxi0s745big2kfpmcgksynt	$2a$07$mPUUhwISjj.Q0G2m0pClHevuUbBHEP7yduQFD0oFBz2p.X.W/urwS	51	2013-08-04 20:21:20.309304	2013-08-04 20:21:42.273018	261		0
25924	10mpv1km6bygg7yrfo0c2gauhf	$2a$07$PDLRsI4AK/83wEd30NrSFeLCR3WHvpz3I0NUI52wtVzEi98rBd8C2	52	2013-08-04 20:21:20.332583	2013-08-04 20:21:42.504001	261		0
25925	10h0d2w93023dr9o3h8wcn7t70	$2a$07$BAfSwFoV2mXUjFh1WohVges09lDnDODBOb2ugnUdoJZywYQPsQ4o6	53	2013-08-04 20:21:20.354802	2013-08-04 20:21:42.685982	261		0
25926	10opve9le5cbqgnydrf1vbzstz	$2a$07$Re/UbgjTrnKmjz2q.GWtZe8u1lgTOgYUqVuqHwrmsS6RfLoNcZvm6	54	2013-08-04 20:21:20.378228	2013-08-04 20:21:42.897839	261		0
25927	10vge98l3c6neg3gdvlteqlh1b	$2a$07$deUXm8qHLE03diossURruOdJSOQTwfbzQlPlmo8JyFstzKdlq4g7e	55	2013-08-04 20:21:20.401696	2013-08-04 20:21:43.025207	261		0
25928	10p0xcdystva4jk7ggn3xfla6w	$2a$07$A1ICpV9Mni7VLAvXSaaNXe5q/8zLKKHkTUZ8q4j9OsVXXQXNwJevq	56	2013-08-04 20:21:20.423443	2013-08-04 20:21:43.14133	261		0
25929	10cniia98a5xa937bywlj7hd6e	$2a$07$sS7wAQ9eLYuViw2Vg6D7eu2Auu6p1YLVcBK7dAhxLok425OFWRgZu	57	2013-08-04 20:21:20.445328	2013-08-04 20:21:43.292198	261		0
25930	10ysvr9xaqfwyg750ccsky2o9w	$2a$07$2BECh8gBGtFQDIN6ZgZIMOnCpTqO56uHnQtrOwTcJ7NTv5GIzqYFC	58	2013-08-04 20:21:20.46752	2013-08-04 20:21:45.994783	261		0
25931	10m1pmza7ayl72imfn0ycs0tfb	$2a$07$yJCkp9lpOGFf8nrYMcXpZOL4Tu7OfgncTQRkKzaVwSUHJWGzsw9j2	59	2013-08-04 20:21:20.491026	2013-08-04 20:21:48.868756	261		0
25932	1036sk8w3dmty1qwnhnvabufe4	$2a$07$taVayh7czSM/nWt6cE1OCOx66Jg293zzmIFdEPf.wBPaxpqTEdV06	60	2013-08-04 20:21:20.514922	2013-08-04 20:21:51.550427	261		0
25933	105kg0f5d3knkar5ptc9uzxmau	$2a$07$z59Y4uRvU1Ovfqys9pVyYurdkGwBFY7k3J/jjeCXl2THqCObdpSCC	61	2013-08-04 20:21:20.537684	2013-08-04 20:21:54.360375	261		0
25934	10fxxjkfornskpxk7totwpdrmc	$2a$07$a4z1SNseV6gcpvlBaz.uxOzHmbMIbDVS2pEo/qvYI3kUvw3ZABeIa	62	2013-08-04 20:21:20.560739	2013-08-04 20:21:57.376845	261		0
25935	10wt4zxt8zehaqhn6hrhtaq7ar	$2a$07$X13u.NrH8suxTsCyubm0J.scwpw/CGWOh3fjdhrw9qt8CpIZuDvYe	63	2013-08-04 20:21:20.584386	2013-08-04 20:22:00.375705	261		0
25936	1005ay29gzzd1sz6801mvubki3	$2a$07$Bj6XjxYcgrIaoPfkxFfz3OTROsh/eesG1.GikeunFsKVLqCOAZrM6	64	2013-08-04 20:21:20.607616	2013-08-04 20:22:00.521217	261		0
25937	107oykp5vhf15jzktc3w1pm2ik	$2a$07$vUmZPxzTfpG7FKo98/pnCej0JE8jHxuic4edmpf4fm34id1H.aaKG	65	2013-08-04 20:21:20.629096	2013-08-04 20:22:00.660774	261		0
25938	10hpncxohfxefiqfvlo1mamw7x	$2a$07$/EK.L92XD9mHrbtX9DdiEOxFKcp2V/IqQgADiEz0DI.LFlZ5TnghC	66	2013-08-04 20:21:20.650555	2013-08-04 20:22:00.911702	261		0
25939	1055gt4yahye4hnv3ioc1iqhrs	$2a$07$HD2dW9HocD15t2xTUbBAgOQWmm21QR6RTFq3slU.5LOs59vX8.JkS	67	2013-08-04 20:21:20.67233	2013-08-04 20:22:01.054718	261		0
25940	10a2sd398l8h0olk22qyaw9cuq	$2a$07$oDV/cAvi7mnCH/dV6jkR5.V6zChJmM7I1vqAQvXySoAF5UWtQVui.	68	2013-08-04 20:21:20.696039	2013-08-04 20:22:01.201843	261		0
25941	10l0e6qqydq0zo05zrzav23ugz	$2a$07$jPOTQXr5Pi2Nm1/ApUsRZO9ccuDCDi.foQMBg3foqr81v16vBWsMS	69	2013-08-04 20:21:20.718871	2013-08-04 20:22:01.350931	261		0
25942	10qnhbfw1t5cw92uhbikqag6qo	$2a$07$bsBmGcOWkj.DPKUh14HHguUc3o8hBCKfFlSomnXub4/PhjkhDAQdm	70	2013-08-04 20:21:20.740933	2013-08-04 20:22:04.049995	261		0
25943	10o6v5akjvgfd5i3ozxdtfdkwx	$2a$07$X7OvGtOPgmtaTM4oQlTHB.HbqfW0d8H8XQ1BRMb3/ksjt6/GPO.8W	71	2013-08-04 20:21:20.762592	2013-08-04 20:22:04.186584	261		0
25944	10zte35ksklbpyklqion3rong1	$2a$07$y2.ceiPoR1UvlaqImn4IB.8gf79YWw5erj5s8uBoyXUosr2cK66Te	72	2013-08-04 20:21:20.785228	2013-08-04 20:22:05.195582	261		0
25945	10uxvc3afurr0y6c822jy46sfs	$2a$07$ItOe7J9Dt4RqWPj4Vuw6D.deIuYBwlGM.I6jp9R2l68k/TdY94Swm	73	2013-08-04 20:21:20.807263	2013-08-04 20:22:05.34317	261		0
25946	104fqyg2wnuj62xgnhnxqunnvf	$2a$07$gaBJBAHPm6eLq.ESv55YbuyoETx9WaB0RaPcPH5v90f0k24Cx/OWC	74	2013-08-04 20:21:20.830758	2013-08-04 20:22:05.495022	261		0
25947	10jh28ox53mcg5t8a2sui6i27f	$2a$07$8nhgt61OhnDMshGtR8PLEe1.ODL17CBMgEFQTKkp53BFO9pih.G3m	75	2013-08-04 20:21:20.860576	2013-08-04 20:22:05.619979	261		0
25948	10npzybe1wp2l5v9jpxg8zemcq	$2a$07$B5DzP/suI9f8qjXaFbsK1uynd9ePfrPM26GTvVaZ78XGEqDBvFi0K	76	2013-08-04 20:21:20.898365	2013-08-04 20:22:05.737783	261		0
25949	10ntjljt6m3l3jqe1c0jydpg1a	$2a$07$nlY1HYiEpm3TZT7V1n8LAeQyKIDKDWqHAOTq/sJr1zo3e1Lf.ujyi	77	2013-08-04 20:21:20.920278	2013-08-04 20:22:05.855072	261		0
25950	10mawbowcrwxai7tq991c9run8	$2a$07$EzMSfbWW6kULF8y6q.276.5hruV2/TCYoWxVbweJ/J.ogjAQewWCG	78	2013-08-04 20:21:20.943198	2013-08-04 20:22:06.078958	261		0
25951	10q61tcnpc3kx56s7q7ao3g6ml	$2a$07$g0mA7Jn7CKIxqRWK4Zbkj.tEmCfBRaX1HR1QzBYRGrvJy0cvfOyum	79	2013-08-04 20:21:20.964888	2013-08-04 20:22:06.376895	261		0
25952	10bbc3d01ffz3ri73fnnqjfwit	$2a$07$zlLzUVRvcjSGqi4zUIF5S.4D/x2k5ZtfOE1Ze51MbJ9omd.AIlDe6	80	2013-08-04 20:21:20.986613	2013-08-04 20:22:06.527699	261		0
25953	1019hyu63vb7l2fqabuvg4ufb1	$2a$07$IZILRh1rl/FBFndTvuclQeyMnHzSqcAoJIqgTG8MKWvWhOOurCym2	81	2013-08-04 20:21:21.010142	2013-08-04 20:22:06.896693	261		0
25954	10ppy3fg3hkg41qianhl42mme2	$2a$07$X0flYd7LEB4QTr0BiMt8G.zykSyOsB0b5Qn0Y.r9qIY2zUmktZfRm	82	2013-08-04 20:21:21.033014	2013-08-04 20:22:07.043351	261		0
25955	10zsxcqjdz33rof6seoli6ux0a	$2a$07$ZL1WhnuydsrDdxrJd1KQCeVO3e48LRq04TV7nRps0EiNBpb/JhCJ.	83	2013-08-04 20:21:21.054675	2013-08-04 20:22:09.701122	261		0
25956	10lic9q2i4cxkvhbur06x0ucgx	$2a$07$XY.u3j4w0xCgISVdnFwwp..uL4W9VHtfpZ96t08Ba987F9CH3egpO	84	2013-08-04 20:21:21.076546	2013-08-04 20:22:12.471245	261		0
25957	106hr0m6xdf2mtqfeqfxy8xq4p	$2a$07$XB3eQcUBIuxclN69BgaQWOmUsF54UkWpWhfW5PtjsOSYixorvziVK	85	2013-08-04 20:21:21.098126	2013-08-04 20:22:12.590519	261		0
25958	10zwu84eobdfnnq922yyhu0bsu	$2a$07$ClGLKS5SWHgqTX4KV67IgekZOuEiHUQNBp0BcOrK31RaLAf9u.hVu	86	2013-08-04 20:21:21.119698	2013-08-04 20:22:12.704743	261		0
25959	1029tfjhekhkkzzrtxu6ppzy2h	$2a$07$y8EvGNkYbu.gtvjRNqOes.YDZNNvn1DLg75vuNKfDr8O/lp7k8.2C	87	2013-08-04 20:21:21.141284	2013-08-04 20:22:12.837779	261		0
25960	10biuzyxiyp6hepraj62nb00iv	$2a$07$92wdcrIj2zyMy14iYphDeO/ZTlohcGfQZkexyFXMK3ovvB8xZJ6uq	88	2013-08-04 20:21:21.165944	2013-08-04 20:22:12.983013	261		0
25961	106l04jt16isduobst49eiue39	$2a$07$NNSRFv0nsbfp7BBR/XazPO8fPArOAjsDB60hSlu5fwqn9Mwmn9kBW	89	2013-08-04 20:21:21.205662	2013-08-04 20:22:13.137025	261		0
25962	10yn2vst38ichdt9gh34ve50lq	$2a$07$WmNyy7yN4.KnwJ0..SDyN.5OIc1TqpcVursZT0ykzoQV5M3IUY0ae	90	2013-08-04 20:21:21.228391	2013-08-04 20:22:13.315374	261		0
25963	10zheks7sf3ar92bvsp6vz9awq	$2a$07$AvkrUcKnYhHKueb2CCPvPuFhHiXPIxISmlsc9g4sIHZt11Lc7dK7m	91	2013-08-04 20:21:21.252951	2013-08-04 20:22:13.51617	261		0
25964	10ncn0hwb48h5ry1jmziylrda1	$2a$07$jj2e858P.GIrSvRasLRzI.2Laib6qcwB50/47c0iFqWoGkqORrrJy	92	2013-08-04 20:21:21.277255	2013-08-04 20:22:13.67385	261		0
25965	105o67tr12lcfqilxm1eb8czax	$2a$07$7D56rOrSbNwCUFgxWCcbmuNYpHqlJ5EKKqGbQ3VaLk3eanuEpzLPK	93	2013-08-04 20:21:21.347586	2013-08-04 20:22:13.792574	261		0
25966	10kl26kssbd2o1vj2071iua6d8	$2a$07$PrH0kaYQErR45w2JS9YLOuPOFiK0NlWC78BU6ZqHQghCe9SgiJ1tq	94	2013-08-04 20:21:21.371674	2013-08-04 20:22:13.895426	261		0
25967	10hzmmvn3y9jhpxkmnime91uia	$2a$07$MK7joqQ2bp8DOZsytjzxaO02HNCkrUjHCF03s49KYeUeTIlSPNwoa	95	2013-08-04 20:21:21.393639	2013-08-04 20:22:14.046174	261		0
25968	106zpvkw8a61cv5jqrheyud6z8	$2a$07$EuQIwZ7QoaLuntgRwnBHoeMuZIpJfvGR5TYZT9fVIX9WLhE1L1KQe	96	2013-08-04 20:21:21.415182	2013-08-04 20:22:14.215381	261		0
25969	10f3mm7ivpkrzx6001sez9uh0g	$2a$07$N/1M9Sd6WNdW4p9fp59OmeZ1FwxdDQQNZ1nCWmGmMTjIMWRuoYBKi	97	2013-08-04 20:21:21.436721	2013-08-04 20:22:17.245039	261		0
25970	10yelt1rnrze4yozzrc534oapa	$2a$07$Wab1ULQDBFztIpJVftJbbuQBHFS6Otdrh1qDYD5oXZ37aDEuzTYMK	98	2013-08-04 20:21:21.458398	2013-08-04 20:22:20.270187	261		0
25971	10u9n24n3ggwqudu7gf4r9as4r	$2a$07$yJglM6FSU/HurDEViHSfpeJyy3YWcU52dOWcMJb.nQMKXZGyQA1Fu	99	2013-08-04 20:21:21.479859	2013-08-04 20:22:20.435154	261		0
25972	10foxsv0g71w1amqv3iojlrjja	$2a$07$0mLILkC9y22DQMpzDpp/cefCLfmoR1OO38tQdmcuH4PFiQxeIqtGO	100	2013-08-04 20:21:21.501237	2013-08-04 20:22:20.621499	261		0
25973	10kyaw7iumsohchwbwy4hzubdp	$2a$07$.5r43WyXhf0uMV7GgM58eeG0Ml10YMJkCODIz241SuSrwPVUrYdC.	101	2013-08-04 20:21:21.524085	2013-08-04 20:22:21.806404	261		0
25974	103cw37yjr5pu8g4gd0f451xsm	$2a$07$0ziAyMaeHrI9Tpg4kdU2ouUgi9Eiu5Fn6TULEujcv..8V6othfJLC	102	2013-08-04 20:21:21.547247	2013-08-04 20:22:23.024501	261		0
25975	10b1kj7r4p9nunwhorqec4motn	$2a$07$FBygrXI6emPIAjHFAAlTl.Xf3Lwk8c1Tii8SZweZrtu7VUwnTdV3G	103	2013-08-04 20:21:21.571143	2013-08-04 20:22:23.196789	261		0
25976	10bupy5e58lxu7qkghznu8mtq2	$2a$07$Ki..ON4WvIUc3p1XxPN7.uE6S52VixYUzKB4nnmReRlrn5H/4zEV.	104	2013-08-04 20:21:21.59329	2013-08-04 20:22:23.326813	261		0
25977	10xb0cvvem0wxgb0d4b55w7fev	$2a$07$Ntg0DUk6wCgDqKChfxLm8u5G8TzFF3ur251XXyUhvufxcTdcbPYhe	105	2013-08-04 20:21:21.61546	2013-08-04 20:22:23.441263	261		0
25978	10daehnnrvqx34ofd2z6vy7wwo	$2a$07$DUogs5d7RE6iFAGlFwc23uqcGtgvLUQab6LHrEiiLleBBgK7gAJuK	106	2013-08-04 20:21:21.638044	2013-08-04 20:22:23.571877	261		0
25979	100mms0ti4mf1zq7o6i83we4qr	$2a$07$tcPLMuCLTBMj5ALoSgGKrOJmDgUcbdOeuH6q82O4XC8FqY6pNKWtW	107	2013-08-04 20:21:21.659703	2013-08-04 20:22:23.685109	261		0
25980	1023jki0or3dz87tlg7o37c1l2	$2a$07$/lr7iaSbj8PSW8tIrfG/kufyghcooilL/ULsQwmMkIfVGKjHOARdG	108	2013-08-04 20:21:21.681206	2013-08-04 20:22:23.853068	261		0
25981	10rbam2hho3uzn6fr6vcu1z60a	$2a$07$4OhL4AvVAvTmdTV1wqt38.2sLjwoUpHGEHn2gRf7NeTI8d4aZVSCK	109	2013-08-04 20:21:21.703221	2013-08-04 20:22:24.003851	261		0
25982	10ii44vpwee4imyycbh6ah2xs9	$2a$07$qEfo9kLT2jpeIR.64FQ3suyNaOlEVtQuKlbqHbMvgEuRWiWmC5zwe	110	2013-08-04 20:21:21.724807	2013-08-04 20:22:24.143692	261		0
25983	10w2yba2y50b26rjzh4jcoi7bh	$2a$07$P1dT40fjrIK37uNoF1CNC.0KTsZl7zZORYY6a5KFujJPy.G3Ycg8G	111	2013-08-04 20:21:21.747762	2013-08-04 20:22:24.252992	261		0
25984	10md3gofb3vcnkh8so12w6a0e1	$2a$07$b5kL8E3SWYq8BYB86Njj6uADrQlZ87UCLOMHy52OJrk62mnCitUvK	112	2013-08-04 20:21:21.771665	2013-08-04 20:22:24.388521	261		0
25985	10hixbkc5ycmg40hodeajwt7n2	$2a$07$UtqYBhjUShl57FBmk6K4.O2HfwpvobtplHN1scjG5hPpONO3jP9Bu	113	2013-08-04 20:21:21.794071	2013-08-04 20:22:24.624863	261		0
25986	10n0g2j4r7i44fa921epgnk9r8	$2a$07$F3XC1w8Psa3SwhZ61pcexe5fqW2JUWiE.pb.l.XoWnkd/ht8iIhdS	114	2013-08-04 20:21:21.817399	2013-08-04 20:22:24.85873	261		0
25987	10pcea6gsei4xqq5hl390j1r1d	$2a$07$9KhSILZKbIA8trMHyj72f.WW0L1rWS9FOhm/hY/HGDLTt.3RdG1Be	115	2013-08-04 20:21:21.839511	2013-08-04 20:22:25.078081	261		0
25988	10xc433m3v9c988t69h7cu534v	$2a$07$Ug95HA0NnJp5yY1XTbQOFeO0L0PT7gNabmS9ASTLuqqvxC4G6iaBK	116	2013-08-04 20:21:21.861731	2013-08-04 20:22:25.260734	261		0
25989	104s0slmmxy18197asglp4t02h	$2a$07$3DFFF99PN6weOrDE9DJnsOiEEc9YcZm7QfRAKbzeN.4dVp97qLI3q	117	2013-08-04 20:21:21.884008	2013-08-04 20:22:25.472877	261		0
25990	10yxov1f75ciyytoty8c65hye7	$2a$07$Ej4i1crrWRykuXRcbMQWX.ssPq8zLzC3SlyDDwkpfoyCWOCTWyDWe	118	2013-08-04 20:21:21.907268	2013-08-04 20:22:25.692595	261		0
25991	10639tssnhtohrsncusst5431w	$2a$07$jML/LiFwujUzwgBFH0FWdOu6HivlCQKPZpb8aIKNNn4WpK6BCAjLq	119	2013-08-04 20:21:21.930427	2013-08-04 20:22:25.839512	261		0
25992	10mi2msw4gwfazk1pvrcqyyx50	$2a$07$ufsr1GV12hlB/5Sh4zBHL.UqK2kFZ94EveSKp1HiJxiSVPilj6tVK	120	2013-08-04 20:21:21.952679	2013-08-04 20:22:25.987756	261		0
25993	10bum1xms494konkqgnefs0jm8	$2a$07$HxC2Hhh9BJ16FV1L9/C59.eetcOooOgEXBF1VQ1jXF1eKOFfP9KsO	121	2013-08-04 20:21:21.977723	2013-08-04 20:22:28.713591	261		0
25994	10r4zhbgpdnjjbkrw0ckh4seo0	$2a$07$fcvtmPP7Uj01ZZh1hVY77u5uGKIbI3jiBq2K.U/QOMFhz/GFJgKHy	122	2013-08-04 20:21:22.001531	2013-08-04 20:22:31.918623	261		0
25995	10gpqaoyg1clap0d0ym5dcmf73	$2a$07$1ZUCfGePnqjyNIsInIKbEuZcz7T3eWAmd9CodyqMdPxbztDfKNOoy	123	2013-08-04 20:21:22.039618	2013-08-04 20:22:34.573716	261		0
25996	103juku1ig730ixa05pua5tun2	$2a$07$/GyXWGtzCyCfxEiE0NgoOe8shzFpPicmi0JkwJAK.xFehDxLFRunu	124	2013-08-04 20:21:22.062963	2013-08-04 20:22:37.675574	261		0
25997	10ovpexvw6sn7dup9cf3khlxfd	$2a$07$PMdkNzlH0xcqwL7XbNF4hOtpd3tUcOuvwhvWX.h43mHQ5lcEk3B9m	125	2013-08-04 20:21:22.086204	2013-08-04 20:22:37.92562	261		0
25998	10ngc89jufcvi60rg2evlckc8n	$2a$07$2.cnHVitRTnydD2TcNhLNujcw3sWIZS/qirDBDvsXQ0JCcdt0lrO.	126	2013-08-04 20:21:22.108505	2013-08-04 20:22:38.181379	261		0
25999	100zenw9ilz2huqih2e0duyex9	$2a$07$FVYITCwZDdXR2Qzrap8j4.QSuaINObNbLPlL7AG3UlYN4s9Em/EP6	1	2013-08-04 20:26:19.060374	2013-08-04 20:26:22.239719	262		0
26000	10dp0tnpyd6acni56d3nb0zxsr	$2a$07$VJEHsFtZa0ziRr0aGiXm..41G7Jx89JOszWg6uycs.2b.pHHW/nrq	2	2013-08-04 20:26:19.083382	2013-08-04 20:26:22.364452	262		0
26001	108uegvhcfwrydkvv0y7qfdsi9	$2a$07$BsHKRJeXhhRwCJt5hVwQHODa7GBCrQdAcBx/Ap0zplNeO0lBl6h7e	3	2013-08-04 20:26:19.105819	2013-08-04 20:26:22.506476	262		0
26002	10zhbg05679kbzi3fnzsmq0l0m	$2a$07$eLV4T/4/2oMri4kbCiqlheC2.y0OkNmW4mrQue7QQ2p7qYCbPF7Nu	4	2013-08-04 20:26:19.127613	2013-08-04 20:26:22.661371	262		0
26003	10q52n69g92hbhibhzvzi6zojz	$2a$07$xO1DMwMPBwKhbKGVDC8vduiskZi7KkqOyM5ua0JMJ1Egkh3zBH6Jq	5	2013-08-04 20:26:19.149434	2013-08-04 20:26:22.810881	262		0
26004	101jev7w06vwtgm63o5ooksqxr	$2a$07$9fNlr.RxIEJr8HWVNb8TOuTZZovdeNgfyDJePwlWtP9X8sofWpW8i	6	2013-08-04 20:26:19.171077	2013-08-04 20:26:22.954833	262		0
26005	10zwdjb9eb0z74gy640asult04	$2a$07$Yh94Sh/tlXkSQ7kEhd6WFOQGMzIMfZPU4UJLpt7v2tc2u6ReUKHEi	7	2013-08-04 20:26:19.192889	2013-08-04 20:26:23.200573	262		0
26006	10sfkwwakhomecfa0sgub44ok2	$2a$07$RCRecJPIUY/GgodIErFKR.C5zIDZS.2nDzMLyeTm7Z/.dZPjg31IO	8	2013-08-04 20:26:19.214486	2013-08-04 20:26:23.350562	262		0
26007	10fch6sm4sijrgpzvy36c0gpz6	$2a$07$3IhemiuGRvlz5e/WDCXEBOh1K7ID5/1tnuRiCyFkKYTl5PtMg14fq	9	2013-08-04 20:26:19.236336	2013-08-04 20:26:23.499479	262		0
26008	10a6daa44luwbsuh7bdmg8534p	$2a$07$ucm0jINI1feCr8ehId.tfOwQXPBnYNsBKjOg2CEdFDkp/WC2tkKJi	10	2013-08-04 20:26:19.257911	2013-08-04 20:26:23.656068	262		0
26009	10mklau98bmlglp3cdbsgzbwsc	$2a$07$LetTbX6qdHSyanqztEc5XOyP8GR4D1qqiS2XVNtbI6DEbiNirI.sO	11	2013-08-04 20:26:19.280042	2013-08-04 20:26:23.800307	262		0
26010	104j6dxtvnvbo29pw8mujfv3db	$2a$07$EO6kgHaqGowtkY4Wg6dWE.TYLbg/E46kIeaVb7QLshtcXoKQWUYhy	12	2013-08-04 20:26:19.301641	2013-08-04 20:26:23.950381	262		0
26011	105m0wse4xl4rg1197asfo515m	$2a$07$wLfYhJhFVCeOFQC7ZKbOVuhalcA1iYH7JhPN/pZp0zkibOH8jHlKq	13	2013-08-04 20:26:19.323415	2013-08-04 20:26:24.095519	262		0
26012	10hwvxlolhh8eq1h2kj4ogv3bn	$2a$07$HWu/qD974DQa/cJE34op8.KMFe9j4s8ErHvIibIQUlCptgabvbjVu	14	2013-08-04 20:26:19.344994	2013-08-04 20:26:24.222701	262		0
26013	10ekfkkxoznjf59x61aoj448hm	$2a$07$b2OhJqvB6ZUIgNwcxKS.5Of9p4rp1aq4yn3E1SJBEEtL4FDQkFx3G	15	2013-08-04 20:26:19.36681	2013-08-04 20:26:24.351033	262		0
26014	10hzi0z8b3l2j8p5td5iicsdyp	$2a$07$.FyQ.x.wMVbT57VA4wiTdOWTAnbjvh0O4u5faeBOWvouvCDUrI/rK	16	2013-08-04 20:26:19.388648	2013-08-04 20:26:24.493862	262		0
26015	10tojdazjq8qg7xghdjzf5ie11	$2a$07$ECgycnIhEqfRdG9pYpM5oOc7L9jChGy2wJO1LiwWKkeQ4bZPEn/N2	17	2013-08-04 20:26:19.41029	2013-08-04 20:26:24.642527	262		0
26016	106rpaavzf2zkxson48zxwxlml	$2a$07$b3MJjFmOEs6QuGgR/NfJMOgKRmMOGcrhk9MSdFCLxD680uF10lHbK	18	2013-08-04 20:26:19.431847	2013-08-04 20:26:24.787971	262		0
26017	10wo2r0684arjp0tqulv5w1f3d	$2a$07$tEaU3cit5SnEfcSR.PKaKOF.IPrgsOeaT9SRqVQulokhFu/38fv36	19	2013-08-04 20:26:19.453518	2013-08-04 20:26:27.360758	262		0
26018	10katb7zbn8oxhupyoxifmd8f3	$2a$07$t0qkpb8zxDY5WG/GWeDouu63MhCaniDekpSi4j3oy812mzjEBy1qy	20	2013-08-04 20:26:19.475158	2013-08-04 20:26:29.948579	262		0
26019	103bv4rr4v1ls3i5oo3ycakvby	$2a$07$PecIIGRSLMSO0KDd7FVSpecnPCpXk/dGxVQtlAWmsJ7ClJkjKJfhK	21	2013-08-04 20:26:19.496931	2013-08-04 20:26:32.36779	262		0
26020	100mqj0nyywchihc393i9rkdzm	$2a$07$FNcOaJOaqwpM/tzyY0kEI.zA3QRla7Sl9Lf/xHzPlUF4n2zEMh3Um	22	2013-08-04 20:26:19.519916	2013-08-04 20:26:32.599893	262		0
26021	10kqmc6a28f3rplkp8btd0okxc	$2a$07$K9UZ.mGbNMwLkaymod4CUeQs8g8OJn2cLox07HhfxA4FANqfC9mEO	23	2013-08-04 20:26:19.543531	2013-08-04 20:26:32.820103	262		0
26022	10iy7abu3lk21s6afiz0pbs8ld	$2a$07$RzIsxs2Tpg5QM7rFwFUb4eDUMZ8SU2/09WeEWezlr7mDMx4/op8c2	24	2013-08-04 20:26:19.580245	2013-08-04 20:26:33.025716	262		0
26023	10ramej2ytac0eiesjre7v0kij	$2a$07$jWkHjX7woXY1FYWwhGXO5eO3SLXGMIMp4uO/18D873Wm/JqWrLr5e	25	2013-08-04 20:26:19.612518	2013-08-04 20:26:34.297128	262		0
26024	1067mm9evr3wxo6qdha916q5v6	$2a$07$jf8ztBrNe3OLPA9UWPC9g.rAVnKwlHH/Pj84nf31igfa9jp0YOAo.	26	2013-08-04 20:26:19.63525	2013-08-04 20:26:35.503847	262		0
26025	10uc89hvcswwk45naimshdg6c1	$2a$07$GiNIIADEfXYtjmyOnW39weson1iqJ7xKjLYUSbRan83w22L6HbJme	27	2013-08-04 20:26:19.657107	2013-08-04 20:26:36.675443	262		0
26026	10e4k7os8ra60sikow4ikou8ch	$2a$07$ooDVJNww9SuFtZi6C18g8eV0qmyt946lGEsHh2mtFp0JTec6RbmRe	28	2013-08-04 20:26:19.678844	2013-08-04 20:26:36.816497	262		0
26027	10kfakxqhjvs0kcbkakskvx7o7	$2a$07$qsqGt5BiXsuU2Mgk9K5An.66XthTbS6bX48a4uXWQcqx3CF8DpdmG	29	2013-08-04 20:26:19.700578	2013-08-04 20:26:36.966713	262		0
26028	10dqh3peu7zoexioq2wxoy2nv7	$2a$07$NeIOtivIUIOlCR2oHr7GCODUwEIj8CYmJcM5oyFmXpXXjsHHtm5ye	30	2013-08-04 20:26:19.722362	2013-08-04 20:26:37.117294	262		0
26029	100gf9us66c0sd1iqqx1t6p5vm	$2a$07$HvdjGgTLOAjQwYf128cPl.mgJ46xibhpm8hV49DHmOO/RwPDwxOFu	31	2013-08-04 20:26:19.744098	2013-08-04 20:26:37.251724	262		0
26030	10umocrn5cb5cq1qjjdx70b5t9	$2a$07$BN45YIz.gYykQQ8./C6C/Ogc2nMPYmh9nTAQAqyGVwLEclxPwLrf2	32	2013-08-04 20:26:19.765911	2013-08-04 20:26:37.399776	262		0
26031	10xjo53oey4g2wnv84l1aluj8t	$2a$07$GnpYhJi5awBgdZojHfO7g.Yq0zLNParh57oHiBi2bMgVqFK8ry5.K	33	2013-08-04 20:26:19.789844	2013-08-04 20:26:37.537838	262		0
26032	10wyht810elro3298zv1iku88c	$2a$07$0IidKOkr75Pc/KWXzNJ87O47mhH0Y0Zt16KEuuYNBJT3L8niTbxFq	34	2013-08-04 20:26:19.811678	2013-08-04 20:26:37.687835	262		0
26033	10eaieye90i6unxqbp841vudof	$2a$07$xu620di6D9gf36C73kXXLuGFxKedzG2WrITdpmLfSdXUBbFCCysp2	35	2013-08-04 20:26:19.83466	2013-08-04 20:26:37.842452	262		0
26034	106xhzqj6ons4hi34wu4lgi1sw	$2a$07$7gkeirCEAS/xYPMdaAplU.LQRbwEGq3BEoFuEoehuuSp9u2XwSNg6	36	2013-08-04 20:26:19.890913	2013-08-04 20:26:38.007146	262		0
26035	10os80oa6pykvn7dy80f02zw5h	$2a$07$co3HjR43F6qCcjq8ttr5GeaC6eX7dy4EviN45J9WkQYc4Nul0a03G	37	2013-08-04 20:26:19.914715	2013-08-04 20:26:38.149338	262		0
26036	10bq0boe2zuit32qsaaozii4pi	$2a$07$Wm4Fuiox3RQgZntWHmqYQ.EKXWoM2.2E0P2oFSDOMSvc.A/3bAK6C	38	2013-08-04 20:26:19.937425	2013-08-04 20:26:38.292352	262		0
26037	10jsollnft9mo5s3p8bwfk6x7n	$2a$07$TCIoo9vXJh5I8sShsNEN0e7aay/sfhI9H2Nu8tuKSXToTeCQvkysm	39	2013-08-04 20:26:19.960836	2013-08-04 20:26:38.4376	262		0
26038	10wbu9o61yu6vtdvb8c9wtngfo	$2a$07$dfUpvXivFbfdrmYNyr0qQu3KtEFdm3/s3W2EgEqFY1wEeo1o64EEi	40	2013-08-04 20:26:19.983374	2013-08-04 20:26:38.588153	262		0
26039	106o2fx0165yezwk352m8giwzm	$2a$07$nN93f3VJ.eS4rj8ioAakGu6eBavxAL.n5ybj8CnvzkyfFK3W/CkM2	41	2013-08-04 20:26:20.008349	2013-08-04 20:26:38.719666	262		0
26040	10etzfdahbxjemvcb7krauwg4x	$2a$07$scsTfNRR8sm/H3J4GMVPQ.xNUFD5zlMvD9mHw8kJ/dzxJ1AUjNH3K	42	2013-08-04 20:26:20.033445	2013-08-04 20:26:38.868694	262		0
26041	10j7wy5wforosvsqt26wxhfbv6	$2a$07$uQkeWojgO5qsvrFz9QWPxOF61ITc/RbSWdtNY60kBmo9U.oFJkzbS	43	2013-08-04 20:26:20.055707	2013-08-04 20:26:39.040722	262		0
26042	103829zery7ybqqc4rcp07r4t8	$2a$07$T8slJbkSGq8RJNCco4U7iuFCk3415laXZfigSI8pq3SQ686DseIv2	44	2013-08-04 20:26:20.077968	2013-08-04 20:26:39.257582	262		0
26043	10qgioz19lk0csvs2efpwlvgv2	$2a$07$IHXp/kVXZuvcZuLvw/YO2.cJwblaHObni4iUWkOfCol3juGBpvomC	45	2013-08-04 20:26:20.10223	2013-08-04 20:26:39.532532	262		0
26044	10hqifni1qiaqk571j1m6qhvxw	$2a$07$dtUI1ZzOPPYVSp4n467l.uCQwvGTG6oZLF6DY4CeDbyJorgmSjbMW	46	2013-08-04 20:26:20.129025	2013-08-04 20:26:39.791788	262		0
26045	10cf1jjy44y8glgi0clu863xqw	$2a$07$RsWgFu3w4gr0kgjAV78jK.HwtenK9Ak0oJNfYs8tcEyPO7HBsgsD6	47	2013-08-04 20:26:20.158656	2013-08-04 20:26:40.068271	262		0
26046	10kvpn1mpwe03yanx7xl5e67my	$2a$07$MfmUWWtypRXoZmg5P4G//uIGIwnUS7oMICx02/5M/19hCbQKPiHqm	48	2013-08-04 20:26:20.192151	2013-08-04 20:26:40.318615	262		0
26047	108nsrw653hocnu7qus86gimko	$2a$07$jtOrZNCsMFbfLaDeHF.M7uIeYhgclnpJTVq/eMSIkryMy2480BLwy	49	2013-08-04 20:26:20.229669	2013-08-04 20:26:40.476687	262		0
26048	10bfpvvq4xhoa30cfhzsvr61cb	$2a$07$V76NqYsjDwjjjWkM502lf.LN3.3cqF13Nq44eH3itT9ha77uizEty	50	2013-08-04 20:26:20.263386	2013-08-04 20:26:40.624485	262		0
26049	10g54pd7ql1yjjk10b90xx0ujk	$2a$07$X7HyCiTobu.SNBwpi7ecQuhECEbVbPkrwvftPldIKST1X5uql3fmy	51	2013-08-04 20:26:20.296941	2013-08-04 20:26:40.746741	262		0
26050	10epj6mla0zpistpxxhavtofsx	$2a$07$4B8Zi0R26MPqyD6uBdS02.GyMxXOmPvsCpTM5H55qBevO6ZldWc5S	52	2013-08-04 20:26:20.319371	2013-08-04 20:26:41.152022	262		0
26051	10px43cban3jyf7iymcx9b989p	$2a$07$jUD5pa7gV8YYU.fDuqyt4ueH0ceLITVFB9Dbbc/JzzrM1lljpBH4q	53	2013-08-04 20:26:20.341298	2013-08-04 20:26:41.549695	262		0
26052	10lvaww3siujyudxn48wcg8gth	$2a$07$mm2y0D11S8o9Rm6ClC/jbuGu1ca4Eetgn8VnmSrvP.vwkU2WSbLeu	54	2013-08-04 20:26:20.36367	2013-08-04 20:26:41.797339	262		0
26053	106f9pq823fdl2z6hftxeqp8dh	$2a$07$ZU0o694xdkgNnn4mYB49ne/pxuy6BbGf6k1OdszRNZTVpuWM/7jvO	55	2013-08-04 20:26:20.387253	2013-08-04 20:26:41.942132	262		0
26054	10h3ytlwnta0v8kyoa7bl7g1vk	$2a$07$Y3y5xCMpn9xef0rJYtOtJ.7vz/mCHMUr7tKU.iWCUSIVASBRY4aSm	56	2013-08-04 20:26:20.409482	2013-08-04 20:26:42.082617	262		0
26055	1053hnmfjbn7w0fapiafohf70b	$2a$07$X8vA9Mh9lLIe3o2QWjIYKeofTxnkfT552EZBDyrFTnM6UXWCOQVW6	57	2013-08-04 20:26:20.431934	2013-08-04 20:26:42.214972	262		0
26056	10l0i7vmxk4qgezmrsyd66o8vi	$2a$07$gcYaTEpkMEz6wO6.UBVr.O3kYOV14kGfF4dePQUVi811xxcB9IDU2	58	2013-08-04 20:26:20.454597	2013-08-04 20:26:44.605472	262		0
26057	101g7dqe8simngqvxqbf14eoqz	$2a$07$LdvfvMOkRcgVvumUK6RYQuCUWsXeB8dSCfex58G3fLyR.sSDaNXhq	59	2013-08-04 20:26:20.480522	2013-08-04 20:26:46.979471	262		0
26058	10rvp03egnc8d97luphffkpmzi	$2a$07$tCuz5lemKaWKU9Lno1NrJuGQa5YtAUx2VuwZDyKP72TzqIcylqIE6	60	2013-08-04 20:26:20.515829	2013-08-04 20:26:49.370814	262		0
26059	109gm45k1tflecce9seu9wcdly	$2a$07$szExMLEnuYFdCW.nP70/vOHiwRu1V.AE88vo1V1fN1RosbClAbTlO	61	2013-08-04 20:26:20.539	2013-08-04 20:26:52.044509	262		0
26060	10dgpoleixmlaaf97cjh78ovsw	$2a$07$vctuwN0./k0yVOYZ9lOoYeV2CZwBK9CNUXtOqOJIAjKCR1sQwcrqm	62	2013-08-04 20:26:20.563382	2013-08-04 20:26:55.057857	262		0
26061	10xxm1nuz93zuqhzw5mrysovdx	$2a$07$WN3P6ir2nxn4pgkuapgpKO1uJFtk1im2vJCIxgQaQEYaVBmIRQx9i	63	2013-08-04 20:26:20.587512	2013-08-04 20:26:58.260302	262		0
26062	10en0jwmomcloaiomqkvlbrxsr	$2a$07$ro09GkNuakrehVcMmvheAO3Ek8t2P5yWapOgugyExQkU.DleapHPG	64	2013-08-04 20:26:20.610039	2013-08-04 20:26:58.374141	262		0
26063	10d87qu3w3jnpetrxabhyfmwhb	$2a$07$Y6nl7.RGwoqG1DgO8Zn.V.fNehYAfWJutylg787zX1WD2os9G2AK.	65	2013-08-04 20:26:20.633459	2013-08-04 20:26:58.513521	262		0
26064	10bjmi7pqu90yc4gh1ed3aeqeg	$2a$07$7fawgJxA/mb7CZ3/KkqMj.L3WsuqYd.GGDvfBz2aqz949594jNYm6	66	2013-08-04 20:26:20.657261	2013-08-04 20:26:58.654617	262		0
26065	108j4ed8ut4wjvexmms96u8oa4	$2a$07$L2CCH79JwQX.FbmtjVYXZ.qwuS8949qgosJCvuRJ5ueeQkb74/19S	67	2013-08-04 20:26:20.679194	2013-08-04 20:26:58.806252	262		0
26066	10urhaq3n5i1cw6f8gnitax0hz	$2a$07$8gdS2Gm2oZO4j2oQ/0v/A.7Z0HiVlPvx9JeQuiYDJ4ss7QFVfexxW	68	2013-08-04 20:26:20.701346	2013-08-04 20:26:58.948965	262		0
26067	10qa2dpcb6mxhonraac7xpcao4	$2a$07$Lbnt4LCi6blM6vPrtjskf.1CTmaJf0aH.GxYovbGRNwGc/5LLEeMC	69	2013-08-04 20:26:20.723389	2013-08-04 20:26:59.165371	262		0
26068	101a2cini306vbj5tdbx7v1ckl	$2a$07$sV2tJ/8qWvpRlavpVv0CH.YZgTFfLDRuyk3TqnPDCdtDsl5VKULDu	70	2013-08-04 20:26:20.745357	2013-08-04 20:27:00.614782	262		0
26069	10unw8eh5ydo7490eodlzd2eyf	$2a$07$1RtWLIVxvk4.v/C6DQz9QeRPhpkhOF/QQZug138f8fYF2L8.vjY46	71	2013-08-04 20:26:20.767378	2013-08-04 20:27:00.760319	262		0
26070	10js4vcbtftu587i38rf1rnkik	$2a$07$BZFgeY8zd.seibuFSlRl2OzD8Rb/e1WiYlw9TXmWC7Hec2RXRkHCS	72	2013-08-04 20:26:20.792794	2013-08-04 20:27:02.145947	262		0
26071	10l830ub8zh0c3xh8znj6covxw	$2a$07$B34DD4AsAyYtNU/dSMQ7u.JueDuCg6.Ok66Z2kD6/alaRZ9p2IioO	73	2013-08-04 20:26:20.81814	2013-08-04 20:27:02.283046	262		0
26072	10t5lxn9tf4yqfmd18s357vsap	$2a$07$dxKhCsAK9zRBarOvQhBYse21FWfXLQ7slU5YkYvlG84Zdn3.TgAnS	74	2013-08-04 20:26:20.841572	2013-08-04 20:27:02.43733	262		0
26073	10eqx1ypp2xcl7e7fuxebrlfpj	$2a$07$QF6cPuUqoQVbs86/agfaru8Z.6JB/pQWfSSx9P0PuGmQUMRAOBbN6	75	2013-08-04 20:26:20.863519	2013-08-04 20:27:02.699845	262		0
26074	108oefmb764rq22qfrdn0pv3pi	$2a$07$6b.pnJK.CaZE6WI6ouOt5.dKLWbMg8vVzonMyUJ/LRy26sQvsFDci	76	2013-08-04 20:26:20.887356	2013-08-04 20:27:02.83788	262		0
26075	107veff8i64pqzdwkcihje573s	$2a$07$/cOscHtSrX.g50r8R1HM1O.DFsKw1z740VMVKN/qDuF3IvG9KHQja	77	2013-08-04 20:26:20.920408	2013-08-04 20:27:02.991274	262		0
26076	10btsordll7k8jj3rrujxqakry	$2a$07$moDUwKSAn90ukMqNucMHr.LuYoR2Yv8dDfk5k/UrSBPwHePZI1nDq	78	2013-08-04 20:26:20.946056	2013-08-04 20:27:03.138489	262		0
26077	10ykgjn5lnnyg4cs40071i2vrb	$2a$07$Ig0CoDb0giXkEF4sWjU0MuIfj84TcN24Q2VA.p4Su3/JiB8DQP.lm	79	2013-08-04 20:26:20.967862	2013-08-04 20:27:03.284121	262		0
26078	107otasq0vof70q8pkqzdlk20o	$2a$07$m0ueeanbrc/n5OFiebFYpetgLmLhW.PlLwkpnH4XnchDYkNfd6Pzu	80	2013-08-04 20:26:20.989539	2013-08-04 20:27:03.47587	262		0
26079	107k9iwjqwr3ksmkjz2o4zjcz7	$2a$07$5sobTfX1cxkvLAsYjrkwz.HG3p3nu7o4Z1UNIT3KjBXX3Afdcfuwa	81	2013-08-04 20:26:21.01395	2013-08-04 20:27:03.711425	262		0
26080	107qzimk52auc420uy3cmb05y0	$2a$07$NLGMD6qx9zcG1FkExJj1xee9fXdvr/ggBnK/v2TaeuZQLomNk2C5S	82	2013-08-04 20:26:21.039978	2013-08-04 20:27:03.864742	262		0
26081	10p390rxqmkx3gojw8oqyysd06	$2a$07$1H/Xs4/XxnoCCwec7or3oO1HUxTGolD4xQnqnynaeuhBtVPAlY3ve	83	2013-08-04 20:26:21.063877	2013-08-04 20:27:05.778261	262		0
26082	10x5ufrh37e0ft77ucz2f31n5m	$2a$07$2k.RRDDn5tkJn50w6xsk9u3DW8BI7lmvJvZDbgm/xfNnvlibmX6Se	84	2013-08-04 20:26:21.086706	2013-08-04 20:27:08.551403	262		0
26083	10dzmq0suoj1h69uizret09v6q	$2a$07$CQEils7/HDeF.dcbUtLuUeJmjaeH2ip3xQZ782Wy9c76Uz5dUM30i	85	2013-08-04 20:26:21.110422	2013-08-04 20:27:08.699924	262		0
26084	10du60jvovxrwuja7wkeveq20a	$2a$07$cGjvgkI7mby0z/SZOf35Z.VwJQIl.IK//EnPOIZXGeNsP/OiOPasK	86	2013-08-04 20:26:21.133346	2013-08-04 20:27:08.855414	262		0
26085	10w95ytff6yp0uyab93mv68p51	$2a$07$fohoMCRqejrfmq377P19nuMdQAbmsmmZKaZ2bbdw9WIc8SffdbrM.	87	2013-08-04 20:26:21.156303	2013-08-04 20:27:09.007012	262		0
26086	10si8di9m5ofc0hhsuo8utq21y	$2a$07$/3SrL7QSNuGUrlewhp1QwuAUxPoLI7Wr/hRRIS0nGStLmwTfblclm	88	2013-08-04 20:26:21.179574	2013-08-04 20:27:09.160984	262		0
26087	103878y6pjzhkrnheab8l2js14	$2a$07$kZbWpmmHiWSgsGBYrMX3/unJNa1/YYh2DWtVPTDJtZwAVFJjI4Dcm	89	2013-08-04 20:26:21.202797	2013-08-04 20:27:09.338566	262		0
26088	10d0gvl31rcrdq1xax0c9l5oa2	$2a$07$INKNQfC7HKna/5Q0ZilODOO/Ijn.Cv38v0nadPFn2r/rHHGer0wvy	90	2013-08-04 20:26:21.224967	2013-08-04 20:27:09.486226	262		0
26089	10myunjlwuskmch81vq3anlsqi	$2a$07$319Wb645xMu7JKYDXz2SpewgXZMs4D4RpznJ9GaG4otGxnZaC5cuO	91	2013-08-04 20:26:21.246855	2013-08-04 20:27:09.598983	262		0
26090	102pqxms3c14hv1i9npcfxh970	$2a$07$FGpQ45osQcUIwKqVNPNF1ul37dEs/veBIATucgwvg0jpg6g6kzZ.e	92	2013-08-04 20:26:21.269848	2013-08-04 20:27:09.739464	262		0
26091	100yh9qo6rke4frc6xbexox3h8	$2a$07$4wLPnld0i.6JP0165XFUZuI360h1lMwERkHZqGbkG9WniZ8cZwUKy	93	2013-08-04 20:26:21.29399	2013-08-04 20:27:09.883764	262		0
26092	10tkci3hgur3dho3jad1musfxo	$2a$07$gCkqxnrWMTdem.GP5U6eiOc6moX8BupOsfeLx4JeMhNCbjXcljuoS	94	2013-08-04 20:26:21.330546	2013-08-04 20:27:10.03094	262		0
26093	109bs080xb1t1wiuk7bqnmvi21	$2a$07$FWrWcAwXn6bvQn/dtN2R3.BXWjAbDRPM2PMJav2gfANU3In2Oq3Gi	95	2013-08-04 20:26:21.367134	2013-08-04 20:27:10.181541	262		0
26094	10ccym286hzfkg5n00khqy6tg6	$2a$07$pc9pnseTSskhR1m/5NDS5uhila4q7SyuIY0ikdGgyynPsHI6PCfI2	96	2013-08-04 20:26:21.388646	2013-08-04 20:27:10.341097	262		0
26095	10htvv2sa9cf41w9vj5q5rjmy1	$2a$07$d6niYLNMULoqZZzDyWE.luEwbiFW7vD86z8IB0BCpSf.2CDewDuA6	97	2013-08-04 20:26:21.411141	2013-08-04 20:27:12.957655	262		0
26096	10zom8vn7rumwcwxaxd41uns96	$2a$07$waXY2PCE2TcBtr41hvDs9uRhbAbanmHsqjQ.nVjsAQcY5sm0XO4Pm	98	2013-08-04 20:26:21.434754	2013-08-04 20:27:15.704216	262		0
26097	10fen1urlt52qziejhy8cdrte8	$2a$07$A8AqeOzh7h.JE9GE3NcYHecbx1DGu7xCbGShU9RjNE0//ejCp8w0C	99	2013-08-04 20:26:21.456328	2013-08-04 20:27:15.858374	262		0
26098	10rdph8dy1iouecoed7m86af7y	$2a$07$YxRnmbR0BQ4APDjKWhm1KOxm5jVxX6An7TM2hDrpPWWykzY2D8zwa	100	2013-08-04 20:26:21.477997	2013-08-04 20:27:16.032444	262		0
26099	10apwsc80wszgg6xbemkqwrd8v	$2a$07$j0iXkMxxnEBEMiOFbCxM0umj/KE3El4wTr4C.PbMvI3..zccifVHi	101	2013-08-04 20:26:21.501978	2013-08-04 20:27:17.138837	262		0
26100	10rrgatql00d4aj49jnohwad8v	$2a$07$oGSjpUCpzKkjZt/uOjieb.rutncopYb5UIVrfkNybJrR6sn7ieUUi	102	2013-08-04 20:26:21.533976	2013-08-04 20:27:18.206826	262		0
26101	103w3lf5h4stkiosdpnmg2wc7g	$2a$07$oO4HXHiN/TarbTKCDm9AReXStzEdrr3XipYPIuwEvQ6VVp/C/LenC	103	2013-08-04 20:26:21.556422	2013-08-04 20:27:18.357433	262		0
26102	10iji1vg51kmmd7qvulj1dtstz	$2a$07$NAjAHOmb2wgeezZfixMIjOMfKWaGsrHQ9IDCCeysCRkJEsZdqw7MG	104	2013-08-04 20:26:21.580107	2013-08-04 20:27:18.501801	262		0
26103	10vj2q2kv677getn5vua7ygs7u	$2a$07$wedDSn8WOaaPOVPrPSV/beE2yZW42n2gm3lB2VU9ExoOtv6gpvcCG	105	2013-08-04 20:26:21.601768	2013-08-04 20:27:18.647501	262		0
26104	10lydarotxwugy0fzudyifmvdr	$2a$07$VDImDd1qOFZWwRWiVG6bOuckkqc9o5dN2ziT4CvUQq7F2NZk1pqvW	106	2013-08-04 20:26:21.624032	2013-08-04 20:27:18.789305	262		0
26105	10jqxl54t5irbb437vr0w05wbr	$2a$07$9ZtLY7CUksMeszG5Jod4mu0ifO/G.E0KZHr.aN.WRcnQShedlf4I.	107	2013-08-04 20:26:21.64619	2013-08-04 20:27:18.945853	262		0
26106	10kfapt4clo0bgaigugl6q8puw	$2a$07$Hl.YasW.PX2i9zy6LXI/EOTBECuOsNRz3t/c8oplT13HYoIgi5chq	108	2013-08-04 20:26:21.667972	2013-08-04 20:27:19.114832	262		0
26107	10nwq1yffyg0yrptywzf6lt5h6	$2a$07$k2YXCpXgbIW5CqMQ2N2MZeXG3C/eVwbznMrbmUQtqS49Lu4hWumDm	109	2013-08-04 20:26:21.68939	2013-08-04 20:27:19.264899	262		0
26108	10wagyqas3hb093rvq50vhiwef	$2a$07$3NfgE18rw5yO88hxzD.elulgxx4MMcaUmckUzF92S/eBlijyQEjk6	110	2013-08-04 20:26:21.712202	2013-08-04 20:27:19.417314	262		0
26109	10u1hcd1x9mbwni7yrmtb9trsg	$2a$07$ZVJ8cdIQN4c4XN6FiPgQEepE9vwlMpfcC9JoRmmQ/AmqoMQPEISWS	111	2013-08-04 20:26:21.734205	2013-08-04 20:27:19.58582	262		0
26110	10cxs8kt9rloosr8qixan4xmft	$2a$07$zrnpakMwE95Js9WDBJVDJe3Ad6OVKzrlibVeRVEQm5Jmlk67Q6x8e	112	2013-08-04 20:26:21.755709	2013-08-04 20:27:19.737797	262		0
26111	10wgie50a8iuynjfodl27uoeio	$2a$07$6e06DvJJxi5Yi/6xL32AQuTJMhHRuDsSpvUjlMsAq5/HOMZWK8Wli	113	2013-08-04 20:26:21.777423	2013-08-04 20:27:20.205759	262		0
26112	10l2ld1u7g9fapmc11snriq4rq	$2a$07$uRbT.O/XGD3MuSyPFKIOiO5rbJE9cZ7iNsX8CEBMALrGgdbnH2QDG	114	2013-08-04 20:26:21.799939	2013-08-04 20:27:20.635322	262		0
26113	10atrfcspfx03qrbzfvyex9vur	$2a$07$jFUcS9IDJkJrBtal4M/3QuvePUyWcItJ6J8kMgIDG1ZyrJsE5KCMO	115	2013-08-04 20:26:21.82744	2013-08-04 20:27:20.84121	262		0
26114	1056cbk3gntqf5m3hpncvwxsey	$2a$07$CfXCxI8Jo6AJ6UyeicuzW.OugfH2wfdA6rl5XN94fre7p5znwZgUK	116	2013-08-04 20:26:21.849604	2013-08-04 20:27:21.028661	262		0
26115	10vppb6xpqwm30islag10embnk	$2a$07$MzADu7OjHTk3SxOlDeSA8uBDRvHQT1BKfPAFrusU.e9gyeHDjeFr.	117	2013-08-04 20:26:21.871615	2013-08-04 20:27:21.190842	262		0
26116	10sj9jo3ro9rsdea90d198a135	$2a$07$iYvrT4djB4gyU3BLkvET2uwX7X36qpxnvR2YmGJDpLYe6mHqjhySa	118	2013-08-04 20:26:21.893495	2013-08-04 20:27:21.350519	262		0
26117	102r0yhzou9q4y2v46d0b9mdnp	$2a$07$UNpMzg6UDoTC9IwSvx.Z1uDsmgPxO73LZPAMvK7yJg18I3lp.woae	119	2013-08-04 20:26:21.91714	2013-08-04 20:27:21.497026	262		0
26118	10f9duzl87irrhk9vqa7dsuihf	$2a$07$LIj3GYH3csg0PipfwmyVUOAyMkWjqBJkKU1jOu2oIvDLlMDJCnM/K	120	2013-08-04 20:26:21.940334	2013-08-04 20:27:21.644275	262		0
26119	10uhb90rye7871y3jmwdr5cb5l	$2a$07$u/y/8d1gh9G/F8eC08OhgeVTq4nNKmIN4NmozzHqS3Ajp70Wapf/y	121	2013-08-04 20:26:21.963073	2013-08-04 20:27:24.229979	262		0
26120	10q3n69uzelcjhkn90i6tq0kel	$2a$07$sQOoW0pNke3evIPJWKOUQuTvnGWUcvHijVysC1Qf/V9SjA1noMny2	122	2013-08-04 20:26:21.987749	2013-08-04 20:27:26.877367	262		0
26121	10brsmzgrtgpq3jeheuw5v3o0l	$2a$07$l4bTW.aED43hXesIrUoZZuD172TfMcgJKJvnPq6eEsus6g9yJKlz2	123	2013-08-04 20:26:22.012284	2013-08-04 20:27:29.833607	262		0
26122	10ktsgd0bbcygty5as3yx5j8up	$2a$07$fhuQ0wctkzAMG/v8gvxUL.Yv7ket9WiZtYTlWXaOCmNw1RuyRCzES	124	2013-08-04 20:26:22.035621	2013-08-04 20:27:33.04073	262		0
26123	10rxbtpdy6743eepx8q00y9f2a	$2a$07$TDBE.Z5.lZ5TO49LVI97T.fSM6G4uy1YSVgwVQ9AGcbzmOHQb7YHa	125	2013-08-04 20:26:22.059635	2013-08-04 20:27:33.453066	262		0
26124	10izgiuegk2wib6ajq6sk4ke09	$2a$07$BsRLp25ex.OQFfUlE2ZvAuF8RzKtX7..bFWuKVfAhHur4GsXru.xW	126	2013-08-04 20:26:22.085795	2013-08-04 20:27:33.616939	262		0
26125	104ehc788gpey8j9s37t3etj2f	$2a$07$ZjhnlbTpeZU8oeqFzEoppOBf2f0VtmIumoAihSQ7NddH6LIEFc5e6	1	2013-08-04 20:31:19.048392	2013-08-04 20:31:22.24377	263		0
26126	10n7n39d6c2vo5bv1gdewwsuds	$2a$07$kbwJhO8qtmHrHMDDxnfwsOVtuA.EQalxTIQo4xDnDzEAhF6If79vC	2	2013-08-04 20:31:19.072717	2013-08-04 20:31:22.401794	263		0
26127	10adpk88rbwmugx4mveexs8u48	$2a$07$4IaXP8STg.XZ9HxRbfLHeunpEbZUlbOFtU9MMTOK1MJL5CMtdF3J2	3	2013-08-04 20:31:19.108837	2013-08-04 20:31:22.528125	263		0
26128	1023ate9u6m2hkgcrdmve4rd2g	$2a$07$tWUEWglT0.7jwNHh04jpieU0otDLliEeHAsudRwkUz28RildEN6b.	4	2013-08-04 20:31:19.134151	2013-08-04 20:31:22.671228	263		0
26129	10yk502xh81ayyvl2ooxdrmsru	$2a$07$rLMsCunBmdtsoVuUNJf5VuMH5JGd59OR.nUPtOiYIPjoR/aNcXZPu	5	2013-08-04 20:31:19.156931	2013-08-04 20:31:22.796182	263		0
26130	10z9cfvaglx830rs6d22q7tlew	$2a$07$hlJ3kb8GtePBgLhlV6v16.oR74OIJMxDyvpzeDLQj1PHZQHsLUcBe	6	2013-08-04 20:31:19.1804	2013-08-04 20:31:22.927153	263		0
26131	10io0fdlurox088lx2nzt5caof	$2a$07$ZbPLpok3XLeRo.0KqwvlLeIL6ZLFJHtUvlL7bUQkQiCMJ8fYHbOgC	7	2013-08-04 20:31:19.202543	2013-08-04 20:31:23.1022	263		0
26132	10c3yukhcf9k30x7yfaly5ckha	$2a$07$WmBfMCqwJY1v0DqHOuaPseRQnxnf4elh2eqb8986YbqOEjosw9jUy	8	2013-08-04 20:31:19.225759	2013-08-04 20:31:23.272274	263		0
26133	10p5mahzr9tz5qrgkfj5gz0zb0	$2a$07$q229LsTpJedBC.BNqkTgauZ0Ca7PAevpz6rjO0osFqmhQ9Rg0ySRi	9	2013-08-04 20:31:19.248355	2013-08-04 20:31:23.424733	263		0
26134	10nl50s6q2830f30airlh6fxu5	$2a$07$i0EIGF8/UqxlbGJFBFaXN.b/Sy6qATShqYhhSFygEgiaU8wLXumau	10	2013-08-04 20:31:19.26998	2013-08-04 20:31:23.594852	263		0
26135	10cx6f7gofd8a1rlq08yy4mmbb	$2a$07$UOCTh8Dfb9OShhBkG0dB4eWd1uiM8em9ThiZ2rmQkhteDsJ2coFXe	11	2013-08-04 20:31:19.292998	2013-08-04 20:31:23.756238	263		0
26136	10ehh594ood74vm348symtherw	$2a$07$wCCX2QP6z3SCh3JI0ReureFkq.BsVyd0LcCOAA2hV75UFSBn9wGaS	12	2013-08-04 20:31:19.31808	2013-08-04 20:31:23.889157	263		0
26137	1039thjy3daqlq4o1zywrcwbtn	$2a$07$I3G/EL5MWath/0IUsXJfuOSjjlV8cPVgp8xDxce2dVE4jhvuXqHfC	13	2013-08-04 20:31:19.341612	2013-08-04 20:31:24.028692	263		0
26138	10sdjs9bi5pv5pf4c69yu9q9jw	$2a$07$iofS8G18HIOh4K/z9THOpu2WwCAQVCo.558VaE4/cZ9RgYOJshgc.	14	2013-08-04 20:31:19.36348	2013-08-04 20:31:24.168517	263		0
26139	10gxocoql18ruydnubfi90rcj0	$2a$07$HpxiB/rN2JTdJmDriG3TLe.hLiEaMr89DxpY6TtCEoflr1C08hZ8i	15	2013-08-04 20:31:19.38471	2013-08-04 20:31:24.312336	263		0
26140	10lqhzkiujw2sndcphkwcoas4c	$2a$07$v7Uxy.mMd7dEdN0/jgZZrONYap7NsL85wZUaesN5JLK/u6d1JoX1W	16	2013-08-04 20:31:19.405796	2013-08-04 20:31:24.46034	263		0
26141	10d6omr3do3bkewca0x3bebldc	$2a$07$9INW/EaH8YfSO71aQRtdP.SwjH..iHO/ABJGQ37ep1TdcKcJR52r2	17	2013-08-04 20:31:19.426882	2013-08-04 20:31:24.610957	263		0
26142	10sal6c5xpp6jee9eu89ut2dh2	$2a$07$eyWm2AdNo2KKZoIngqyNDeJaX2edoBXavBNQ32tevFU9069VC/qm.	18	2013-08-04 20:31:19.448978	2013-08-04 20:31:24.755437	263		0
26143	10zxxsrvtqqczo4hmjxju5giqp	$2a$07$0tPMm7jVlyXjCadclF1voewcjTM7Di8dZ2bhfobYh5ZgW2qg8m8pW	19	2013-08-04 20:31:19.470866	2013-08-04 20:31:27.72369	263		0
26144	103xjz7j36a7450mwf4x6j0pb3	$2a$07$cvqAxUnkHZvLyvDKdTm2f.S.RAc8dPALur9vYLMx/y8QWoGZgIK.q	20	2013-08-04 20:31:19.49371	2013-08-04 20:31:30.599746	263		0
26145	10vefzxi93yp7zz4ha08vmerez	$2a$07$8WI1UDTockfDJ46SuvKS6uQsfFpbkzVp4Ve5FrViIPSdnRU7waaEm	21	2013-08-04 20:31:19.52328	2013-08-04 20:31:33.846421	263		0
26146	10zffvwdgz7pn93gpapj63jg03	$2a$07$UNhTWRPU9ht8.YJZMcFdn.8KoXQS4hoDvwevcZWzq/7FB3U2d.HeO	22	2013-08-04 20:31:19.54536	2013-08-04 20:31:34.048652	263		0
26147	105uodtla321zksjbksmi8znfw	$2a$07$rCwJOTUiIdo53XzpwiaDDeYGiue4ZLXgXP4ESkApKKbEjXjwuK5La	23	2013-08-04 20:31:19.568357	2013-08-04 20:31:34.284529	263		0
26148	10w8zbbox29k9olrzvhv29qvnd	$2a$07$Xsazmqbkpdx867T/pehXOO/fA/3QNPmi/xcxp9PFCWrxYd1tCZs5G	24	2013-08-04 20:31:19.592446	2013-08-04 20:31:34.49326	263		0
26149	10ea3nymd0qjkj6kocckf5tes6	$2a$07$Wz0qqpXaHqJ/FGAS9x/MFOTjSm85pZAIyJboFIa7QHNPOk2L8adVi	25	2013-08-04 20:31:19.628206	2013-08-04 20:31:35.943651	263		0
26150	10dq6r4xemkmp8e9qkssdy7cxp	$2a$07$wjL5F3x8CYwfeRYkGSSfzOKFxltHh3/dZ5GhoaCz1Ir8C7Mzjnqq.	26	2013-08-04 20:31:19.66275	2013-08-04 20:31:37.215644	263		0
26151	109s2jucxdipq99zkdbcgs32pc	$2a$07$Zal4OGf.X4e99fikY4kCx.d20oY3B8Df1WBLitoiyJb4rHFI0Rlf.	27	2013-08-04 20:31:19.687784	2013-08-04 20:31:39.491894	263		0
26152	10s709k2i4ytt32gy2uddxn02w	$2a$07$k7Kg.EpgI3F1SdUvc36FmujpqY3u/LcXeGTVaF5QD2n.2JFJ6xqB2	28	2013-08-04 20:31:19.712205	2013-08-04 20:31:39.647816	263		0
26153	10fu3eiuw6m22muiol9fbnadfg	$2a$07$JA/dpVTYfSmGOXg0VIJZ/uO/aGZOfzAUOgqHDtErRcdtFfuLebBjm	29	2013-08-04 20:31:19.735502	2013-08-04 20:31:39.801618	263		0
26154	108ecqhqlqaqb2dnjgtakogwxe	$2a$07$x8aEwasX3CgRcTDnMxZOS.4HWmlKss5kh6qKlnIql/q0Cg8QtLJiS	30	2013-08-04 20:31:19.759078	2013-08-04 20:31:39.948883	263		0
26155	10gf76axe3chwmb2l95ka1fe16	$2a$07$PapOiIBLNSniyZNYpp1LrOkKXjD1ujBWe8Xu1rGgJ9gR5Ldzitt.e	31	2013-08-04 20:31:19.781819	2013-08-04 20:31:40.089646	263		0
26156	10pq4fq1d2lqufsetcbw1rrw25	$2a$07$4uV7LjFbxFhyc3eLp5qCn.0rnGqcGMi9tHTDodadNXe8dzWyI0qSO	32	2013-08-04 20:31:19.803491	2013-08-04 20:31:40.232296	263		0
26157	10p0msc4pvf4tp9q0wc7fuy44k	$2a$07$6CjIpu.wiXt75MXTxLxJwO.kOc.Te70kMIG0RVHgtI/uqOj.GztMG	33	2013-08-04 20:31:19.825531	2013-08-04 20:31:40.364616	263		0
26158	109hj5gy3928ui3mmidautx98a	$2a$07$eRyqWYKL38.4tyD/14ZXY.pvCKXKJBdiQ1PYbWnSBT6CkxB5iLOve	34	2013-08-04 20:31:19.849648	2013-08-04 20:31:40.513905	263		0
26159	10e4peh6ert18708b2yoj5u2er	$2a$07$DSmvsJSFPNO0am4GRQvBu.tIWP8VMPwX5TJEt126F.Yh5ZLc/Ngf.	35	2013-08-04 20:31:19.871591	2013-08-04 20:31:40.693946	263		0
26160	10e7sc55fs9jz4qvjjh7gktj86	$2a$07$4xRX3TkNV/Wth4gWZsST6OyaQfwShpn17V6bQvSwlj16oHUEQ0Xre	36	2013-08-04 20:31:19.893865	2013-08-04 20:31:40.824869	263		0
26161	10k68b21ckb3fetdw132vktbe9	$2a$07$rNhG6dMbjDPJmV0afHxWs.3J4gCDgDV.Ea/.2tbRxz0XZlIGZp2MS	37	2013-08-04 20:31:19.91636	2013-08-04 20:31:40.960964	263		0
26162	1051s9530la85e2yq6a2yq8p84	$2a$07$p5lL4HjdPYkLuJL1WP.YxeJN253CV.pxL/QFo15S2tf.qHyDB1apq	38	2013-08-04 20:31:19.938664	2013-08-04 20:31:41.111225	263		0
26163	109bx3ide2z1fbn6tfq1jbuq4w	$2a$07$loMtAY8cZ82aTQ6cJr44uO.XMbiStqVWt0LNapR3f2BBGrzC9mLSi	39	2013-08-04 20:31:19.961728	2013-08-04 20:31:41.261317	263		0
26164	10q35fxf3vgtllps0voz8cftlb	$2a$07$irGnnx5jR9yvN41put/ureBKJhHZSQOuKxCgutWeHj9co0/3J.e4a	40	2013-08-04 20:31:19.983485	2013-08-04 20:31:41.400555	263		0
26165	10cu24zr6cmb2zm4v0rmgdlz8d	$2a$07$3E53VaFuXm4mJIoa8AOHYOuqGyu0FkQb1wboeClagrpH4bAxAoOpu	41	2013-08-04 20:31:20.00576	2013-08-04 20:31:41.54058	263		0
26166	10ihoq5063syvsr8yn0w9h97pm	$2a$07$LXa/cUSTvV02ZszoNxHhI.QlhL4oOfYubQun9qqDKNiEoZvAylrU6	42	2013-08-04 20:31:20.028584	2013-08-04 20:31:41.724368	263		0
26167	10vig76vrcc7fwoleinhvvi2jx	$2a$07$rl2TnMvAgm0dkP9h2n25de1Le93AScGPkUiQ04A0WBymZndpNiPNC	43	2013-08-04 20:31:20.050275	2013-08-04 20:31:41.91915	263		0
26168	10a6sno5rmnoq6ohumvw5qmuic	$2a$07$AGk3P1U/bauncyIB.Q92He7Ek.uPS27IVtzIVptoFrV5B57t4XsYC	44	2013-08-04 20:31:20.072553	2013-08-04 20:31:42.119447	263		0
26169	10q1h363a42ajtufijro32go0p	$2a$07$spYowYMpiTd0b6I5pGT7t.PqoaVJvyRLwkQJnvNnP3wwUJlgSlBQy	45	2013-08-04 20:31:20.094355	2013-08-04 20:31:42.314391	263		0
26170	10818ku0ir1urpsioc4kg3mazk	$2a$07$DL6vYRjb8x4cNCKhmhjH8eiQ4AN9loiNZGTmmMwFB34bO6Ab2s6X.	46	2013-08-04 20:31:20.11621	2013-08-04 20:31:42.456976	263		0
26171	10w2q1lr4a2v1415bclo7sh3o2	$2a$07$IbKpmlIPb/cNKvLYTcUUD.rzRTFjorbpbPP8FXX7.NLhmHaNyS.IC	47	2013-08-04 20:31:20.138097	2013-08-04 20:31:42.628952	263		0
26172	10v66f9tq1fei7zjyg6u5v3ayb	$2a$07$Mc6Ry2U8bf2DJYP2o/7nR./5vY6PGWJAHrGV.xVSF7X/DBtZtE7qS	48	2013-08-04 20:31:20.160221	2013-08-04 20:31:42.829487	263		0
26173	10y33xqaw84ey0n8co5nzvoett	$2a$07$tXtcZKBAZz1HTysWo7EQNeTtEdN0km0dwUm4OL3.SN6/vUXTfylYW	49	2013-08-04 20:31:20.183798	2013-08-04 20:31:42.9899	263		0
26174	10f2r861vmb2ie56wz6v0hikkk	$2a$07$u4kNPx/kXGL2psirFjRBSeXyzWriWdAeKiZ7/an7/Q/QfbpsC88Fu	50	2013-08-04 20:31:20.239127	2013-08-04 20:31:43.13015	263		0
26175	10wtuv8o8vibod6mredcvaangm	$2a$07$lqjZ1me43iyGEZ5bmlmmReCDUUWn2YXksMEv.7eTpFgLpzZGDwgny	51	2013-08-04 20:31:20.261445	2013-08-04 20:31:43.293581	263		0
26176	10ed98yyl2g0xlfr0t8302hpat	$2a$07$SnfFnJLMz00FypK6ssonbOXZqnt6v8DhLUHS8BHPgd/OBja5.tH8m	52	2013-08-04 20:31:20.283328	2013-08-04 20:31:43.603677	263		0
26177	10gtvgp8pcutfllwu9drn4z2fl	$2a$07$JxpqGNCCzGxv57h3VWvSFOClb5vS5oWoABwIwqOVnQ9gOv9UhxzzC	53	2013-08-04 20:31:20.306161	2013-08-04 20:31:43.762686	263		0
26178	10j95uy8y6o1edhg2go3oom5am	$2a$07$EWj1WD3oCVap5Js8sDRpkO36rDTpGmhEudxWD4x3EOXHegV9uCsKy	54	2013-08-04 20:31:20.330262	2013-08-04 20:31:43.957226	263		0
26179	10tp2x4k2t0ax5wim6ldp53ssc	$2a$07$hZRrTan59SA1fAY2aKVmM.ZPrS/ozm.kzN7nI1D/ZWSL4EpbqEMBW	55	2013-08-04 20:31:20.355485	2013-08-04 20:31:44.087651	263		0
26180	1011pdw7erp5gt0rqv2ga3h8bk	$2a$07$6YB1AVQkC3BRFI2OgolCUOWjoUQTO6Ga16tup8VrJm2nymdTd.3vC	56	2013-08-04 20:31:20.379366	2013-08-04 20:31:44.23932	263		0
26181	10vtqpg46mb6udeo2xy3r9c0xq	$2a$07$6bffaMejJsAz97RapVxho.4UJq4s6LjTGGclZ8eO9wKCV.Trd2m16	57	2013-08-04 20:31:20.402061	2013-08-04 20:31:44.385478	263		0
26182	10twjbz6knc021ilz4udsuqfbc	$2a$07$RDBQMBpfCvtqugEgmRvHcOw4o8qXQGMdc/12eGL5mRsF/OjjsjpA6	58	2013-08-04 20:31:20.424568	2013-08-04 20:31:46.867263	263		0
26183	10842ye9071jxlris4lsrqpcqr	$2a$07$Qrmi01NnbLM5enQnUWgcs.iTMWt9MEggjSuy6BCdaWVX6dILQr6QC	59	2013-08-04 20:31:20.448273	2013-08-04 20:31:49.596613	263		0
26184	10dcqqo9xezflw2tw45u7mic9r	$2a$07$FM.VJOuOVaWn112XX22pEOlKQcIddGVOQF2XT7gm5.xvBCx4JXH0C	60	2013-08-04 20:31:20.471774	2013-08-04 20:31:51.944484	263		0
26185	10392kof4kk59i4apr4olznq63	$2a$07$OvzoqduOvhaS6QyRIJvQsef12CgN9qB92gYON99sGS8Vf82nUAowS	61	2013-08-04 20:31:20.495754	2013-08-04 20:31:55.041698	263		0
26186	10qhh0gddrgww3fp4pioftryq1	$2a$07$WFT2k2e1l7JBYRkYz83cBOFo7mYKuubNNmKZzoGefzoYjppVMR5KW	62	2013-08-04 20:31:20.520397	2013-08-04 20:31:57.948699	263		0
26187	106soc71u1kcdxx6ar5g6mulxc	$2a$07$.6.2/xSgZh2SB02POcTc.eFvvJW9FJT4Eq7.i4uL6se5lmLryE3MO	63	2013-08-04 20:31:20.542491	2013-08-04 20:32:01.12014	263		0
26188	10ye3og4tyypsb939dwiv36zfn	$2a$07$R2UwiTCtSJwHEBA3mpwkFe8Yz0Ao9Rnzxh8l7bzjeapPk0e89K9A.	64	2013-08-04 20:31:20.564639	2013-08-04 20:32:01.269071	263		0
26189	10px0sb90nz2p8zm14spblbgak	$2a$07$GB/.BuRyuu4SGzepHuCHWeKdxjoOTy2EMu0UnjFXBww2NHdrQUsP6	65	2013-08-04 20:31:20.586935	2013-08-04 20:32:01.430955	263		0
26190	101a2jswcjf7hf7xeidvwiiru6	$2a$07$p18ESDQuErNLfSEr/HOS3OCUU1Xuzluk3r49S2KshGm6Dc/S53lTu	66	2013-08-04 20:31:20.610247	2013-08-04 20:32:01.671526	263		0
26191	10ghxabh5zz6exeili0xik033h	$2a$07$tDRDzZAzefdAltwb4FL1qOCBx.iOFyUrd2GYCWPhdSGEl59t1pO0e	67	2013-08-04 20:31:20.632545	2013-08-04 20:32:01.815808	263		0
26192	107dlbi32svw4vbl21yu3e6zrq	$2a$07$pyC0Z91MCcQC1NuK.S2viO47Kc3CZjobxOHg7xwFn.hYMiF2Mq0oe	68	2013-08-04 20:31:20.655848	2013-08-04 20:32:01.969509	263		0
26193	10onryjxlr90s1h0d0egjhkxme	$2a$07$lf/ufy7.msjJWiKFmemH9uVfn13gAAuPLgTtbzbItPNBdKND4t0L.	69	2013-08-04 20:31:20.679285	2013-08-04 20:32:02.100511	263		0
26194	10dzcbxbhyc6g8tdemljbvwf9s	$2a$07$XrtgPtN1Vqy84QuhIB9kU.ium4j6HJXzDCNXmMGxuZktiqtShEytO	70	2013-08-04 20:31:20.703364	2013-08-04 20:32:04.803716	263		0
26195	10m9c0760svfn1maq47hyho3y2	$2a$07$an4ts35ikT6zwZLlCbwyW.1EtsumQMCA1fu1ie5/L.4AcsNM.VcGu	71	2013-08-04 20:31:20.727243	2013-08-04 20:32:04.958323	263		0
26196	101p0w5vif3jqga04r3ibneaka	$2a$07$gQCNTnVlvL/HXrfj0MalBef4gG9B9VfGEPtfClP6..GcXK8/pxxgW	72	2013-08-04 20:31:20.749407	2013-08-04 20:32:06.717793	263		0
26197	10oirp6c5hg6p714wmmom6lhkk	$2a$07$8QqnGTkfZqdOYsI8qEmZSe/N.RO7rP75j4IEozVkOHw75L6Oy8mR6	73	2013-08-04 20:31:20.771335	2013-08-04 20:32:06.879981	263		0
26198	109dbqy4tzcj1pzblnndrt6yxe	$2a$07$8561BtLbWHXWTsT9ig8JMe.IWR0wTGw2pTruVsATJfjA5fSXIAJhm	74	2013-08-04 20:31:20.793303	2013-08-04 20:32:07.025127	263		0
26199	10x3h52nbz8yjun1o1y16dbik1	$2a$07$C4kFXVzG7QkB5R9XcaaT2OggPEJ/26mLcqoy0a2oizP3kkieKTpAm	75	2013-08-04 20:31:20.815147	2013-08-04 20:32:07.179662	263		0
26200	10vklj5zfas70o8uf36a496ed9	$2a$07$5TqVkCbopi4U2FybHat.c.CwT8Cyn1X5MLW95DwTUaXbw2Xj1/vlC	76	2013-08-04 20:31:20.83921	2013-08-04 20:32:07.341036	263		0
26201	10daon8pq0o6ec90bd6bda51mt	$2a$07$HD28HjSGjoavA7/0qie3u.xNUXzYVEmOcOBliwn1rQHvGOcr5lLdu	77	2013-08-04 20:31:20.862873	2013-08-04 20:32:07.511613	263		0
26202	10ddn51nodhy7ezqh8oxnumujh	$2a$07$6mBZRT684sEOH.XT3XeXXOXf6jTGKHHYrK9F8Iz19YCGJWEtiA2QW	78	2013-08-04 20:31:20.887064	2013-08-04 20:32:07.779021	263		0
26203	10r4w6944i9ond5xafcfjytu0r	$2a$07$7gVQqh2cUJGXCslo18Ohi.zW1m2m5TH1yAfFQdBs6SXTxrIQmFK4u	79	2013-08-04 20:31:20.910032	2013-08-04 20:32:07.948418	263		0
26204	10vl9n6ax4qexlu29dnj57spx8	$2a$07$megwL/yaJ7znP8OGhW/ACe8Ncor/XZTcsbWQwyP83w0WQbmjdxOv2	80	2013-08-04 20:31:20.932147	2013-08-04 20:32:08.112648	263		0
26205	1034zuqlnmgbcexiuw43ry8a34	$2a$07$Aj8Nd/f0/aeHqtDkm1xjPus4Yuc1Ha/pQ3SdeB.Me1zpAkggMhu4e	81	2013-08-04 20:31:20.954208	2013-08-04 20:32:08.24716	263		0
26206	10etp2l6fnrwv62k2mx1lunjcx	$2a$07$jvwEiufrV8AigAjaW0r4EO0Wv1Rak5jrIOGJ2H4Gb1D9rQ4JiMv1S	82	2013-08-04 20:31:20.976156	2013-08-04 20:32:08.389451	263		0
26207	10ktme42c6jpf60dh20anx02a6	$2a$07$5omycZBU17CONn/S0tCvcOgOEucUf9S8mEk4zpuWGDiAau8i7cu96	83	2013-08-04 20:31:20.99834	2013-08-04 20:32:10.912662	263		0
26208	1095gho4eaw4tiofew09p13rp4	$2a$07$tboiuan11zlqL/PYR.M34OG1xP7EdgJC/CSOYFbDOmhC3oVozND5S	84	2013-08-04 20:31:21.022019	2013-08-04 20:32:13.850379	263		0
26209	10jxga7dje2nkercgeacdfsi7s	$2a$07$pcTEDQRFFgQPz4afcjqM6eij9NaL9Xbs76adi9LOmMqNClYmd09xq	85	2013-08-04 20:31:21.044649	2013-08-04 20:32:13.991375	263		0
26210	10t6o262r7x74rdbi50vzkv74o	$2a$07$0u6pLNtuCZdBsxieDycS1.c7aPKMxX1e8pTdbe2tO.XVjIdm2Fz9i	86	2013-08-04 20:31:21.066618	2013-08-04 20:32:14.125994	263		0
26211	10h3h70cdppgw5c5w3lc0xdc9e	$2a$07$LZ35qhPQg14Thhug.kI9GureEAo2o25ucRhUSRwoqMdDRsUL0qewS	87	2013-08-04 20:31:21.088528	2013-08-04 20:32:14.266092	263		0
26212	10ys9zov7js7bn52zh2fn8jrob	$2a$07$uu0nDGzYkGgg43XNhLHVAunTBMSC94DBUamL1FtaRCZ41AQVL0syO	88	2013-08-04 20:31:21.110424	2013-08-04 20:32:14.407618	263		0
26213	10ft0d7f8yzib2xb8flefz5dqw	$2a$07$6rI4Bc59SrGRZDTL3tIoXeU.BZcFFF91fvIXzUNUAYIpC3yLtgUSi	89	2013-08-04 20:31:21.13272	2013-08-04 20:32:14.566984	263		0
26214	10o8to5w089s3cr6hspkxc0rin	$2a$07$AEznJnDCagRmYUgzje3TQuUMyJM1Nz6Vp7djM4h2GdAnabLRSUWUy	90	2013-08-04 20:31:21.15495	2013-08-04 20:32:14.799778	263		0
26215	10uszio0ypz79cwr0ooeywo05w	$2a$07$.KAn41MaddC4p9dJWwF4iOEkbyHSQ2JCykHNO9jCegV59hz1X2mfy	91	2013-08-04 20:31:21.178564	2013-08-04 20:32:14.995851	263		0
26216	10dmttxkhfhvuaktgnirocr787	$2a$07$U94K/hVwpplMraTJzKkdkurK9hYNj8OqQDBoOtyCZomoOrocOUFaO	92	2013-08-04 20:31:21.200562	2013-08-04 20:32:15.143838	263		0
26217	1080bj8frtfcp1c330fioo7dbx	$2a$07$zBNmyrepRkn8fvRE8FnNsuPuUv4rg.5GRktTElnsQQKX6l9mLV8ve	93	2013-08-04 20:31:21.222716	2013-08-04 20:32:15.278656	263		0
26218	107uqx3pmv32p7idjlfkebyk9k	$2a$07$p/INFHmKyWLwKLrOdHUnJOjLXlZ5GeQr2vxKTHz4e9WIZamYKvvzS	94	2013-08-04 20:31:21.244415	2013-08-04 20:32:15.416365	263		0
26219	10gby2tx5k9healeuttnvpqa81	$2a$07$G60ynMNT4Wz91WCnpq/TXe8RXUF4j0H3fGzIwP1gHszN0NykJK1m.	95	2013-08-04 20:31:21.266438	2013-08-04 20:32:15.544276	263		0
26220	10rk0tj5cwfn1kgtd4yfpd3caa	$2a$07$Q5tRZo/1JuFF1nNJIw/1S.4m22dyephnjO6RAcflo8SKgQb1wq94G	96	2013-08-04 20:31:21.288552	2013-08-04 20:32:15.693986	263		0
26221	10zufbk9mpp1vxb0r8l0gxgtes	$2a$07$j3X.fqFxd.7VjOMTMITMse9IiJmbAAl/KQH3lVIhNAOMlscf4XDe2	97	2013-08-04 20:31:21.310485	2013-08-04 20:32:18.902826	263		0
26222	10rgu8iyf32pbcykssdu186cu7	$2a$07$YCnxukdxdFLzhr6CP6OFueSGL0mzrB/hshJ7e/2NSJiItIFHmfJQi	98	2013-08-04 20:31:21.335277	2013-08-04 20:32:21.929182	263		0
26223	10gkuz98oxvf817qokcocqw7tv	$2a$07$MqXlVPzfhN4qUVOUFKolLez0YmLUMmgFilS4OWaCldWA.NhaXVuuu	99	2013-08-04 20:31:21.37604	2013-08-04 20:32:22.091781	263		0
26224	10s5fbqf4np0htjf5x3dq1t81w	$2a$07$BsS0eZyg/AO/iTBsPrFfeOd6PP50zZS23r72HqatBm9w9CSfd15yS	100	2013-08-04 20:31:21.399487	2013-08-04 20:32:22.257771	263		0
26225	10yy35lzpyyvwy9rlhdhkfeenr	$2a$07$w77M4iJplSis/8zZTJU08.7iQ8ZBwtpvPH.aPW.i3NpMxWdmiSpSC	101	2013-08-04 20:31:21.424289	2013-08-04 20:32:23.410176	263		0
26226	10wms5eiq5h6socv6ut0amtfir	$2a$07$hzFImUiUrvCtcpzefn2pQedfy3m28rK0beaiK3z6.ftU54aucojH.	102	2013-08-04 20:31:21.452756	2013-08-04 20:32:24.791889	263		0
26227	104nwsdach9x1lb6vkphku487s	$2a$07$IPAkZYa19NR6AEvdfXMznezrFIKQ7E9Ww8vdU6eEGvoG8yc2hNw8i	103	2013-08-04 20:31:21.487136	2013-08-04 20:32:24.948129	263		0
26228	106p1xxvqimakahifodvakdisf	$2a$07$re50vqk.S9vgCMDD/cTJRev0AXSkKVGJoTUYy6Wprw4GkMFGw8UOO	104	2013-08-04 20:31:21.522038	2013-08-04 20:32:25.107843	263		0
26229	10sske9f0bgd3473yb44oiopx0	$2a$07$0lkZxQDmeIPe.2pghjuQLelmyOmbqWidhQbV0KlLlv6oVFTKDKMA6	105	2013-08-04 20:31:21.548238	2013-08-04 20:32:25.255528	263		0
26230	10lahjeawlpzbcyzkaxvca17m1	$2a$07$fOv0p1nEyOHhuIFb7l05oeyAy.iFww6yoaghvBKjXif8zkfo2ClW2	106	2013-08-04 20:31:21.570036	2013-08-04 20:32:25.389475	263		0
26231	10qbdr4r560hb45muerxqn4lld	$2a$07$a92Ouv395YWECJ0MJLxfNOBazYCbhyw8N5r9w2.BV2z6QuGw/OIaC	107	2013-08-04 20:31:21.594349	2013-08-04 20:32:25.656889	263		0
26232	10k9kljiztnvnt3zmns4rz916i	$2a$07$9E0Oz78O6Re6pXynSEbyceWOdwZ0oApF1gJszGP6fimwMd5WkUrZK	108	2013-08-04 20:31:21.629753	2013-08-04 20:32:25.932724	263		0
26233	10lzec5fajf4ag44ikpu6akbl8	$2a$07$NmicE0XJav1uZIPmZ3XrVuBktPJQnj5uSjwYClOKgdQR71abeVzJa	109	2013-08-04 20:31:21.653452	2013-08-04 20:32:26.071122	263		0
26234	10u70wbtbmyi8g221hj33ultc7	$2a$07$NWHhWKyaPIGFnEkob0FMe.OaJGK1HDo1zUYhnA8nsIEDFP8kMQ5SO	110	2013-08-04 20:31:21.687443	2013-08-04 20:32:26.217272	263		0
26235	10054ihh70hhnxl6wljbdyb611	$2a$07$hA4YijfNz8sFn2ZPmJiGSewysiko.f1V8HlxMvgSDzCKf5BB3mznq	111	2013-08-04 20:31:21.735837	2013-08-04 20:32:26.43917	263		0
26236	10kyqpeyf8xg935zwjtxf97spu	$2a$07$Rjz55v9aGVK9r74wZrHDQezkVvupJelshjbGDZx20KFOVUgwhZh7u	112	2013-08-04 20:31:21.761097	2013-08-04 20:32:26.60989	263		0
26237	10u3yw1uv5t3yhzaua5pquax7f	$2a$07$LF/k2GXCub13C53Lm9q5t.OA6WRMGtySobiDwRpM5ISpgPdzd8lti	113	2013-08-04 20:31:21.784859	2013-08-04 20:32:26.777672	263		0
26238	101lnwjagvb57u1one4w32o5wa	$2a$07$UNDa9DAxkqFCGXruV2qc3usp1aNLAxIhprdob/LvCrVovXFteb54q	114	2013-08-04 20:31:21.80932	2013-08-04 20:32:27.002716	263		0
26239	10qyi3altnyzk2dsfrwmth3udy	$2a$07$J34TFw6BedpBcLjBmDJcKOFykad4Ajd0xAPxhZGpMAmydOeykOhra	115	2013-08-04 20:31:21.83351	2013-08-04 20:32:27.157191	263		0
26240	10g8eu6lco4wh0sdstyg8qkt9q	$2a$07$7.DhNNsMjpjksGRLcncW5O8074q0K.eP0TllAnhGacSeji24BiHaC	116	2013-08-04 20:31:21.858487	2013-08-04 20:32:27.418757	263		0
26241	10767s0y2pk0kcbbch8p7dgkbq	$2a$07$TFu9gugeVR.6F7GwU.YBL.XoB6OGUAlXzQ5ZTSevbbemgDVw.SmyS	117	2013-08-04 20:31:21.881683	2013-08-04 20:32:27.611581	263		0
26242	102krw1mxpcwqslywauy100x66	$2a$07$LI.s3JQYongXiYwqps2gieDGu.zVEvgOvxy3vKlGPRkjn6FAgvNB.	118	2013-08-04 20:31:21.904525	2013-08-04 20:32:27.783098	263		0
26243	10b7fvfuhz76mueyteh2lar29d	$2a$07$Mx6QJkYTkLfIGtZxixH2DuJJwpCDplbSwO1jJBdCxMfbtzWTWx3q2	119	2013-08-04 20:31:21.928035	2013-08-04 20:32:27.930149	263		0
26244	10xmzi71da9zce063mksqytvyk	$2a$07$OX95KNnjp6zLUsh0D/GY3ueujuCyiHvYqOSl.NtLVTykitJ//JTNK	120	2013-08-04 20:31:21.951708	2013-08-04 20:32:28.096348	263		0
26245	10yt3a4qf1ciilrz89tfv027cq	$2a$07$WUfHnUvTNkT.FijRviawYu6riwWyIiQ9zByK3mtnq8vjaXSzAGaLa	121	2013-08-04 20:31:21.974761	2013-08-04 20:32:30.643272	263		0
26246	10usoy815gs4u77nqcj9m74w2u	$2a$07$mpMvQ1qoz8ilw5ID.YihHeZgsHeeBkMd3o2srt67qss40t/EgAVue	122	2013-08-04 20:31:21.997482	2013-08-04 20:32:33.085472	263		0
26247	10umv6e2s6zqac8n505g2gt49x	$2a$07$IvOlYNxj7eip1EXPydHIzORf0JxlfCl.nHYHGUNuCZFu544Ii.L0u	123	2013-08-04 20:31:22.021531	2013-08-04 20:32:35.838495	263		0
26248	10l7q14ov8371a12l5c0maozcg	$2a$07$qnwSlz5fLtkBc40.5MMqnegnkHixkYJEKIHyZo.2cXy.6YjB6vJkG	124	2013-08-04 20:31:22.045266	2013-08-04 20:32:39.144572	263		0
26249	10lle6xtmsk9ys6rpvy800uytk	$2a$07$YXqq79p.enDEMnCJ5gnGzOsQvDztONnP/z1cgtwCFAnfMopoiQ7KK	125	2013-08-04 20:31:22.06704	2013-08-04 20:32:39.385812	263		0
26250	10ggl1ql17x510h6cq5f2ww4yf	$2a$07$ltUpzlclsU5jE1h.Q8qMJewMNJMwh6yrnU5eEueKl0Lr2pwm9VrLu	126	2013-08-04 20:31:22.089645	2013-08-04 20:32:39.545814	263		0
\.


--
-- Name: tokens_id_seq; Type: SEQUENCE SET; Schema: public; Owner: scorebot
--

SELECT pg_catalog.setval('tokens_id_seq', 26880, true);


--
-- Name: availabilities_pkey; Type: CONSTRAINT; Schema: public; Owner: scorebot; Tablespace: 
--

ALTER TABLE ONLY availabilities
    ADD CONSTRAINT availabilities_pkey PRIMARY KEY (id);


--
-- Name: captures_pkey; Type: CONSTRAINT; Schema: public; Owner: scorebot; Tablespace: 
--

ALTER TABLE ONLY captures
    ADD CONSTRAINT captures_pkey PRIMARY KEY (id);


--
-- Name: flags_pkey; Type: CONSTRAINT; Schema: public; Owner: scorebot; Tablespace: 
--

ALTER TABLE ONLY flags
    ADD CONSTRAINT flags_pkey PRIMARY KEY (id);


--
-- Name: instances_pkey; Type: CONSTRAINT; Schema: public; Owner: scorebot; Tablespace: 
--

ALTER TABLE ONLY instances
    ADD CONSTRAINT instances_pkey PRIMARY KEY (id);


--
-- Name: messages_pkey; Type: CONSTRAINT; Schema: public; Owner: scorebot; Tablespace: 
--

ALTER TABLE ONLY messages
    ADD CONSTRAINT messages_pkey PRIMARY KEY (id);


--
-- Name: redemptions_pkey; Type: CONSTRAINT; Schema: public; Owner: scorebot; Tablespace: 
--

ALTER TABLE ONLY redemptions
    ADD CONSTRAINT redemptions_pkey PRIMARY KEY (id);


--
-- Name: rounds_pkey; Type: CONSTRAINT; Schema: public; Owner: scorebot; Tablespace: 
--

ALTER TABLE ONLY rounds
    ADD CONSTRAINT rounds_pkey PRIMARY KEY (id);


--
-- Name: services_pkey; Type: CONSTRAINT; Schema: public; Owner: scorebot; Tablespace: 
--

ALTER TABLE ONLY services
    ADD CONSTRAINT services_pkey PRIMARY KEY (id);


--
-- Name: teams_pkey; Type: CONSTRAINT; Schema: public; Owner: scorebot; Tablespace: 
--

ALTER TABLE ONLY teams
    ADD CONSTRAINT teams_pkey PRIMARY KEY (id);


--
-- Name: timers_pkey; Type: CONSTRAINT; Schema: public; Owner: scorebot; Tablespace: 
--

ALTER TABLE ONLY timers
    ADD CONSTRAINT timers_pkey PRIMARY KEY (id);


--
-- Name: tokens_pkey; Type: CONSTRAINT; Schema: public; Owner: scorebot; Tablespace: 
--

ALTER TABLE ONLY tokens
    ADD CONSTRAINT tokens_pkey PRIMARY KEY (id);


--
-- Name: index_availabilities_on_instance_id; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE INDEX index_availabilities_on_instance_id ON availabilities USING btree (instance_id);


--
-- Name: index_availabilities_on_instance_id_and_round_id; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE UNIQUE INDEX index_availabilities_on_instance_id_and_round_id ON availabilities USING btree (instance_id, round_id);


--
-- Name: index_availabilities_on_round_id; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE INDEX index_availabilities_on_round_id ON availabilities USING btree (round_id);


--
-- Name: index_captures_on_flag_id; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE INDEX index_captures_on_flag_id ON captures USING btree (flag_id);


--
-- Name: index_captures_on_redemption_id; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE INDEX index_captures_on_redemption_id ON captures USING btree (redemption_id);


--
-- Name: index_flags_on_team_id; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE INDEX index_flags_on_team_id ON flags USING btree (team_id);


--
-- Name: index_instances_on_service_id; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE INDEX index_instances_on_service_id ON instances USING btree (service_id);


--
-- Name: index_instances_on_team_id; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE INDEX index_instances_on_team_id ON instances USING btree (team_id);


--
-- Name: index_messages_on_team_id; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE INDEX index_messages_on_team_id ON messages USING btree (team_id);


--
-- Name: index_redemptions_on_team_id; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE INDEX index_redemptions_on_team_id ON redemptions USING btree (team_id);


--
-- Name: index_redemptions_on_team_id_and_token_id; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE UNIQUE INDEX index_redemptions_on_team_id_and_token_id ON redemptions USING btree (team_id, token_id);


--
-- Name: index_redemptions_on_token_id; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE INDEX index_redemptions_on_token_id ON redemptions USING btree (token_id);


--
-- Name: index_teams_on_certname; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE UNIQUE INDEX index_teams_on_certname ON teams USING btree (certname);


--
-- Name: index_teams_on_uuid; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE UNIQUE INDEX index_teams_on_uuid ON teams USING btree (uuid);


--
-- Name: index_tokens_on_instance_id; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE INDEX index_tokens_on_instance_id ON tokens USING btree (instance_id);


--
-- Name: index_tokens_on_instance_id_and_round_id; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE UNIQUE INDEX index_tokens_on_instance_id_and_round_id ON tokens USING btree (instance_id, round_id);


--
-- Name: unique_schema_migrations; Type: INDEX; Schema: public; Owner: scorebot; Tablespace: 
--

CREATE UNIQUE INDEX unique_schema_migrations ON schema_migrations USING btree (version);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

